#SelfRegulationSCP2.
#
#from
#http://bbci.de/competition/ii/tuebingen_desc_i.html
#
#Data set 1b: Self-regulation of Slow Cortical Potentials
#
#Datasets provided by University of Tuebingen.
#Correspondence to Thilo Hinterberger <thilo.Hinterberger@uni-tuebingen.de>
#
#Description of Experiments:
#The datasets were taken from an artificially respirated ALS patient. The subject was asked to move a cursor up and down on a computer screen, while his cortical potentials were taken. During the recording, the subject received auditory and visual feedback of his slow cortical potentials (Cz-Mastoids).  Cortical positivity lead to a downward movement of the cursor on the screen.  Cortical negativity lead to an upward movement of the cursor.  Each trial lasted 8s.
#During every trial, the task was visually and auditorily presented by a highlighed goal at the top (for negativity) or bottom (for positivity) of the screen from second 0.5 until second 7.5 of every trial.  In addition, the task ("up" or "down") was vocalised at second 0.5.
#The visual feedback was presented from second 2 to second 6.5. Only this 4.5 second interval of every trial is provided for training and testing. The sampling rate of 256 Hz and the recording length of 4.5s results in 1152 samples per channel for every trial.
#Trial structure overview:
#Duration: 8 s, no inter trial intervals
#task presentation: from 0.5 s to 7.5 s
#feedback period: from 2.0 s to 6.5 s
#
#
#
#Data:
#Amplifier: PsyLab EEG8
#A/D-converter: Computer Boards PCIM-DAS1602/16 bit
#Amplitude range: +/-1000 �V
#Sampling rate: 256 S/s
#EEG data was taken from the following positions:
#Channel 1: A1-Cz (10/20 system) (A1 = left mastoid)
#Channel 2: A2-Cz
#Channel 3: 2 cm frontal of C3
#Channel 4: 2 cm parietal of C3
#Channel 5: vEOG artifact channel to detect vertical eye movements
#Channel 6: 2 cm frontal of C4
#Channel 7: 2 cm parietal of C4
#All values are in �Volt.
#The EEG-values are not EOG-corrected.
#Traindata_0.txt and Traindata_1.txt:
#
#The train data contains  200 trials, 100 of each class which were recorded on the same day and permuted randomly.
#There are 7 dimensions and the series are length 1152.
#
#Test data contains 180 trials of test data.  This test data was recorded after the train data (during the same day) day.  The 180 trials belong to either class 0 or class 1.
#
#Note that it is not clear if there is any information contained in this data set that is useful for the classification task. A view on the result suggests that it is not.
#
#http://bbci.de/competition/ii/results/index.html
#The best has error 45.5%.
#
#Reference:
#Birbaumer, N., Flor, H., Ghanayim, N., Hinterberger, T., Iverson, I., Taub, E., Kotchoubey, B., K�bler, A., & Perelmouter, J, A Brain-Controlled Spelling Device for the Completely Paralyzed, Nature, 398, 297-298.
@problemName SelfRegulationSCP2
@timeStamps false
@missing false
@univariate false
@dimensions 7
@equalLength true
@seriesLength 1152
@classLabel true negativity positivity
@data
-1.75,-1.44,-1.53,-1.09,-1.28,-1.75,-2.62,-3.06,-3.19,-3.75,-5.41,-7.03,-8.19,-9.09,-10.56,-10.97,-10.47,-9.69,-9.66,-10.03,-10.09,-9.38,-8.84,-8.34,-6.91,-4.94,-2.94,-1.78,-1.09,-0.38,-0.03,-0.72,-1.91,-2.44,-2.72,-3.59,-5.03,-5.97,-7.19,-8.81,-11.38,-13.75,-15.12,-16.22,-16.94,-16.84,-15.34,-12.91,-10.69,-8.66,-6.28,-3.5,-1.69,-0.59,0.69,2.25,3.56,3.88,3.97,4.59,5.31,4.97,4.22,4.16,3.97,2.75,1.25,0.19,-0.5,-1.62,-3.31,-4.78,-5.5,-5.66,-6.34,-6.62,-6.19,-5.38,-5.53,-5.88,-5.53,-5.12,-5.19,-6.12,-6.5,-6.78,-6.94,-7.88,-8.25,-8.03,-8.06,-9.41,-10.38,-10.78,-10.34,-9.81,-9.19,-7.44,-5.16,-3.25,-2.31,-1.12,0.16,0.47,-0.88,-2.66,-4.53,-6.28,-8.75,-10.84,-11.66,-11.69,-11.97,-12.97,-13.56,-13.34,-13.78,-14.66,-15.19,-15.06,-15.22,-16.44,-17.38,-17.47,-17.53,-18.09,-18.38,-18.53,-17.91,-17.94,-18.78,-19.25,-19.38,-19.94,-21.16,-21.47,-20.28,-18.62,-17.22,-15.81,-13.81,-11.81,-10.72,-10.0,-9.28,-7.59,-6.53,-6.16,-5.62,-4.31,-3.28,-4.03,-5.25,-6.12,-7.38,-9.28,-10.72,-11.59,-11.53,-11.81,-12.44,-12.97,-12.31,-11.91,-12.09,-11.69,-10.53,-9.84,-10.19,-10.97,-11.09,-11.16,-12.25,-13.31,-13.94,-13.44,-13.25,-13.16,-12.72,-11.62,-11.03,-12.0,-13.31,-13.72,-13.84,-15.16,-15.88,-15.53,-14.91,-15.22,-15.69,-16.12,-16.09,-16.59,-17.16,-17.5,-16.66,-16.34,-17.0,-18.22,-19.38,-20.47,-22.59,-24.22,-24.72,-24.06,-23.31,-21.84,-19.56,-16.0,-12.28,-9.78,-7.53,-5.47,-4.06,-3.88,-4.31,-4.41,-4.75,-6.88,-9.56,-12.22,-14.06,-16.28,-18.72,-20.41,-20.69,-20.91,-21.12,-21.25,-19.88,-18.31,-16.81,-15.72,-13.41,-10.69,-9.47,-9.06,-8.81,-9.03,-9.91,-12.06,-14.22,-14.97,-15.47,-16.22,-16.56,-15.78,-15.03,-15.53,-16.56,-17.22,-17.34,-17.94,-19.25,-20.59,-21.0,-22.06,-24.22,-25.66,-25.78,-26.16,-27.06,-28.56,-28.56,-28.66,-28.88,-28.78,-27.88,-26.25,-25.31,-25.06,-24.31,-22.62,-20.59,-18.72,-16.0,-11.62,-7.28,-3.59,-1.22,1.41,2.91,2.34,0.09,-2.88,-5.31,-8.91,-12.53,-15.09,-16.03,-16.34,-17.19,-18.25,-17.88,-17.75,-18.66,-19.78,-20.59,-20.78,-21.19,-21.75,-21.09,-18.69,-16.53,-14.56,-13.19,-11.56,-10.78,-11.72,-13.62,-14.53,-15.09,-16.97,-19.59,-21.38,-22.94,-24.66,-26.44,-27.19,-27.06,-27.75,-29.19,-31.03,-31.72,-32.31,-33.25,-34.56,-35.09,-34.91,-35.0,-35.41,-34.69,-33.41,-32.19,-31.34,-30.06,-27.66,-25.31,-23.62,-22.5,-20.72,-18.88,-17.59,-16.78,-15.88,-14.88,-14.81,-15.97,-17.28,-18.12,-19.09,-21.56,-23.47,-23.84,-23.88,-24.38,-24.56,-23.62,-22.59,-22.31,-22.47,-22.75,-23.03,-23.88,-26.0,-27.56,-28.22,-28.25,-28.59,-28.53,-26.56,-24.31,-23.19,-22.44,-21.16,-20.25,-19.88,-20.06,-20.09,-19.5,-19.12,-20.12,-21.0,-21.59,-22.28,-24.22,-26.06,-27.44,-28.59,-29.44,-30.03,-29.12,-27.47,-25.31,-23.44,-21.59,-18.72,-16.0,-14.47,-12.56,-10.28,-7.81,-6.69,-6.28,-6.41,-7.03,-8.84,-11.78,-13.97,-15.25,-15.94,-17.06,-17.5,-16.62,-16.03,-16.53,-16.88,-16.5,-15.97,-16.34,-16.88,-16.66,-16.12,-16.25,-17.19,-18.09,-18.56,-19.56,-21.31,-22.62,-22.94,-22.75,-23.12,-23.25,-22.66,-21.44,-20.78,-20.53,-19.56,-17.19,-15.28,-14.09,-12.84,-11.28,-10.53,-11.0,-11.59,-12.22,-12.38,-13.31,-14.34,-14.09,-12.84,-12.06,-11.12,-9.72,-8.0,-6.81,-7.19,-8.03,-9.12,-10.5,-12.53,-14.09,-14.59,-14.09,-14.59,-15.19,-15.28,-14.53,-14.31,-13.38,-12.25,-10.25,-8.25,-8.0,-7.88,-7.62,-7.94,-9.19,-10.53,-11.81,-13.22,-15.78,-18.97,-22.0,-24.03,-25.44,-26.75,-27.31,-26.69,-26.44,-26.84,-27.22,-26.31,-24.69,-23.28,-21.69,-19.81,-17.97,-17.53,-17.78,-18.69,-18.56,-19.0,-19.78,-20.25,-19.44,-18.47,-18.41,-18.25,-17.38,-16.56,-16.41,-17.06,-17.19,-17.06,-17.19,-17.22,-16.56,-14.69,-13.09,-12.78,-12.41,-12.0,-11.31,-10.91,-10.41,-9.97,-9.22,-10.38,-12.69,-15.44,-18.25,-21.56,-24.94,-27.81,-28.97,-29.16,-28.97,-28.03,-25.97,-23.19,-20.75,-18.75,-16.84,-14.69,-13.81,-14.12,-14.19,-13.19,-12.03,-10.59,-8.94,-6.22,-3.62,-1.88,-0.94,0.22,1.06,0.75,-0.28,-1.66,-2.66,-3.94,-6.09,-8.44,-9.97,-11.91,-14.38,-16.41,-17.06,-16.81,-16.22,-15.0,-12.97,-10.75,-9.03,-8.69,-9.12,-9.0,-9.12,-9.84,-10.06,-9.25,-8.31,-8.41,-9.06,-9.34,-10.28,-12.25,-16.0,-19.47,-22.62,-25.66,-28.47,-30.0,-30.12,-29.94,-30.16,-29.97,-28.28,-25.84,-23.28,-20.75,-17.5,-14.53,-12.62,-11.59,-10.62,-9.31,-8.31,-8.03,-8.41,-8.62,-9.22,-10.53,-12.75,-13.47,-14.0,-15.06,-15.97,-16.47,-16.88,-17.34,-18.22,-18.53,-17.94,-16.53,-15.81,-14.84,-13.06,-11.34,-10.62,-10.28,-9.34,-8.0,-7.56,-7.41,-7.72,-7.56,-8.06,-9.78,-11.91,-13.5,-15.56,-18.47,-21.53,-23.72,-24.88,-25.94,-26.78,-26.34,-25.34,-24.41,-24.56,-24.62,-24.5,-24.53,-25.06,-24.97,-24.03,-22.59,-21.5,-21.47,-20.94,-20.56,-20.78,-22.12,-22.81,-23.59,-24.0,-24.41,-24.38,-23.06,-21.34,-19.97,-19.06,-17.12,-15.06,-13.69,-12.53,-10.94,-9.72,-9.34,-10.59,-11.62,-11.94,-12.28,-12.97,-12.66,-12.06,-11.38,-12.0,-12.97,-13.62,-14.0,-14.84,-16.47,-17.56,-18.84,-20.66,-23.12,-24.91,-25.25,-24.72,-23.94,-22.47,-19.44,-16.25,-13.88,-11.97,-10.09,-8.56,-7.66,-7.34,-6.81,-6.25,-6.09,-7.5,-9.53,-11.47,-13.62,-16.59,-19.44,-21.12,-22.16,-23.44,-24.38,-24.78,-24.59,-24.16,-24.44,-24.56,-24.09,-23.72,-24.47,-25.34,-26.06,-26.0,-27.19,-28.16,-27.91,-27.16,-26.09,-25.09,-23.66,-21.34,-18.97,-17.72,-16.56,-15.38,-14.78,-15.69,-16.94,-17.28,-16.81,-17.16,-17.38,-17.31,-17.41,-17.91,-19.0,-19.75,-19.72,-20.0,-21.16,-22.22,-22.66,-22.62,-22.78,-22.41,-21.0,-18.97,-17.69,-17.5,-17.38,-17.31,-17.94,-19.16,-19.97,-19.88,-19.88,-21.06,-22.53,-22.94,-23.31,-24.16,-24.34,-23.28,-21.06,-19.31,-18.12,-17.38,-16.78,-17.16,-18.66,-20.09,-20.16,-19.72,-20.31,-20.78,-20.56,-20.38,-21.03,-21.66,-21.19,-19.66,-18.44,-17.31,-16.62,-15.88,-16.22,-18.12,-20.44,-21.19,-21.34,-21.25,-20.97,-19.5,-17.69,-16.59,-16.22,-15.53,-14.5,-14.69,-15.88,-17.0,-17.66,-18.53,-19.78,-21.25,-22.03,-22.47,-23.44,-24.56,-24.47,-23.31,-22.62,-22.5,-22.66,-22.59,-23.06,-24.19,-25.19,-25.06,-24.84,-25.53,-26.66,-26.66,-26.25,-26.59,-26.94,-26.44,-24.88,-23.88,-23.69,-23.12,-22.25,-22.56,-23.94,-25.78,-26.53,-27.25,-28.31,-28.94,-28.09,-26.66,-25.88,-25.62,-25.22,-24.31,-24.12,-24.59,-25.0,-24.5,-24.44,-25.31,-26.09,-26.19,-25.62,-25.38,-25.19,-24.22,-22.84,-22.22,-22.53,-23.12,-23.0,-23.25,-24.66,-25.56,-25.81,-26.19,-27.31,-29.03,-29.75,-30.16,-31.19,-32.0,-32.34,-31.5,-30.75,-30.94,-30.53,-28.97,-28.38,-28.84,-29.84,-30.38,-30.97,-32.59,-34.5,-34.88,-34.22,-33.88,-33.88,-32.97,-31.59,-30.59,-30.12,-29.56,-28.16,-26.59,-26.31,-27.12,-27.06,-27.5,-28.41,-29.53,-29.34,-27.59,-26.09,-25.31,-24.44,-23.75,-24.16,-26.25,-28.41,-29.88,-30.81,-32.22,-33.0,-32.56,-31.59,-31.12,-31.25,-30.75,-30.06,-30.06,-31.19,-32.19,-32.34,-32.75,-33.91,-34.59,-34.22,-33.28,-32.69,-32.69,-31.94,-31.09,-30.81,-31.38,-31.25,-30.75,-30.62,-31.41,-32.22,-32.03,-31.81,-32.19,-32.47,-31.66,-30.72,-30.25,-30.5,-30.34,-30.09,-30.97,-32.41,-33.41,-32.88,-31.69,-30.41,-28.59,-25.94,-23.62,-23.75,-25.03,-26.66,-28.81,-31.44,-33.84,-34.34,-33.94,-32.88,-32.31,-31.88,-31.0,-30.25,-30.66,-30.97,-30.44,-29.44,-29.66,-30.0,-29.5,-29.19,-28.97,-29.25,-28.97,-28.16,-27.62,-28.44,-29.06,-28.97,-28.81,-29.38,-30.19,-30.5,-30.84,-32.47,-34.19,-35.34,-35.72,-36.16,-37.25,-37.53,-37.22,-36.72,-36.97,-37.03,-36.56,-35.78,-35.88,-36.0,-35.38,-34.31,-34.06,-34.16,-33.94,-32.5,-31.31,-30.78,-29.88,-28.5,-27.34,-27.66,-28.41,-28.72,-29.03,-30.38,-32.38,-33.72,-34.56,-35.62,-37.06,-38.03,-37.88,-37.59,-38.12,-37.62,-35.66,-33.12,-31.19,-29.12,-26.75,-25.16,-25.31,-27.16,-29.59,-32.19,-35.0,-37.84,-39.38,-39.25,-38.66,-38.62,-37.97,-36.72,-34.84,-34.0,-33.06,-32.0,-30.84,-30.88,-31.56,-32.38,-32.62,-32.84,-33.72,-34.0,-32.91,-31.62,-31.41,-30.88,-30.0,-29.28,-29.44,-30.44,-31.25,-31.97,-33.47,-35.84,-37.91,-39.31,-41.09,-43.25,-44.81,-44.94,-44.59,-44.62,-44.19,-42.78,-40.81,-39.75,-38.41,-37.25,-35.12,-34.0,-33.5,-32.81,-32.03,-32.16,-33.62,-35.09,-36.38,-37.78,-39.97,-42.28,-43.78,-44.5,-45.38,-45.72,-45.56,-44.47,-43.62,-44.0,-44.53,-44.59,-44.56,-44.97,-44.53,-42.75,-40.41,-38.19,-36.41,-34.94,-33.28,-33.0:-3.06,-3.19,-3.75,-5.41,-7.03,-8.19,-9.09,-10.56,-10.97,-10.47,-9.69,-9.66,-10.03,-10.09,-9.38,-8.84,-8.34,-6.91,-4.94,-2.94,-1.78,-1.09,-0.38,-0.03,-0.72,-1.91,-2.44,-2.72,-3.59,-5.03,-5.97,-7.19,-8.81,-11.38,-13.75,-15.12,-16.22,-16.94,-16.84,-15.34,-12.91,-10.69,-8.66,-6.28,-3.5,-1.69,-0.59,0.69,2.25,3.56,3.88,3.97,4.59,5.31,4.97,4.22,4.16,3.97,2.75,1.25,0.19,-0.5,-1.62,-3.31,-4.78,-5.5,-5.66,-6.34,-6.62,-6.19,-5.38,-5.53,-5.88,-5.53,-5.12,-5.19,-6.12,-6.5,-6.78,-6.94,-7.88,-8.25,-8.03,-8.06,-9.41,-10.38,-10.78,-10.34,-9.81,-9.19,-7.44,-5.16,-3.25,-2.31,-1.12,0.16,0.47,-0.88,-2.66,-4.53,-6.28,-8.75,-10.84,-11.66,-11.69,-11.97,-12.97,-13.56,-13.34,-13.78,-14.66,-15.19,-15.06,-15.22,-16.44,-17.38,-17.47,-17.53,-18.09,-18.38,-18.53,-17.91,-17.94,-18.78,-19.25,-19.38,-19.94,-21.16,-21.47,-20.28,-18.62,-17.22,-15.81,-13.81,-11.81,-10.72,-10.0,-9.28,-7.59,-6.53,-6.16,-5.62,-4.31,-3.28,-4.03,-5.25,-6.12,-7.38,-9.28,-10.72,-11.59,-11.53,-11.81,-12.44,-12.97,-12.31,-11.91,-12.09,-11.69,-10.53,-9.84,-10.19,-10.97,-11.09,-11.16,-12.25,-13.31,-13.94,-13.44,-13.25,-13.16,-12.72,-11.62,-11.03,-12.0,-13.31,-13.72,-13.84,-15.16,-15.88,-15.53,-14.91,-15.22,-15.69,-16.12,-16.09,-16.59,-17.16,-17.5,-16.66,-16.34,-17.0,-18.22,-19.38,-20.47,-22.59,-24.22,-24.72,-24.06,-23.31,-21.84,-19.56,-16.0,-12.28,-9.78,-7.53,-5.47,-4.06,-3.88,-4.31,-4.41,-4.75,-6.88,-9.56,-12.22,-14.06,-16.28,-18.72,-20.41,-20.69,-20.91,-21.12,-21.25,-19.88,-18.31,-16.81,-15.72,-13.41,-10.69,-9.47,-9.06,-8.81,-9.03,-9.91,-12.06,-14.22,-14.97,-15.47,-16.22,-16.56,-15.78,-15.03,-15.53,-16.56,-17.22,-17.34,-17.94,-19.25,-20.59,-21.0,-22.06,-24.22,-25.66,-25.78,-26.16,-27.06,-28.56,-28.56,-28.66,-28.88,-28.78,-27.88,-26.25,-25.31,-25.06,-24.31,-22.62,-20.59,-18.72,-16.0,-11.62,-7.28,-3.59,-1.22,1.41,2.91,2.34,0.09,-2.88,-5.31,-8.91,-12.53,-15.09,-16.03,-16.34,-17.19,-18.25,-17.88,-17.75,-18.66,-19.78,-20.59,-20.78,-21.19,-21.75,-21.09,-18.69,-16.53,-14.56,-13.19,-11.56,-10.78,-11.72,-13.62,-14.53,-15.09,-16.97,-19.59,-21.38,-22.94,-24.66,-26.44,-27.19,-27.06,-27.75,-29.19,-31.03,-31.72,-32.31,-33.25,-34.56,-35.09,-34.91,-35.0,-35.41,-34.69,-33.41,-32.19,-31.34,-30.06,-27.66,-25.31,-23.62,-22.5,-20.72,-18.88,-17.59,-16.78,-15.88,-14.88,-14.81,-15.97,-17.28,-18.12,-19.09,-21.56,-23.47,-23.84,-23.88,-24.38,-24.56,-23.62,-22.59,-22.31,-22.47,-22.75,-23.03,-23.88,-26.0,-27.56,-28.22,-28.25,-28.59,-28.53,-26.56,-24.31,-23.19,-22.44,-21.16,-20.25,-19.88,-20.06,-20.09,-19.5,-19.12,-20.12,-21.0,-21.59,-22.28,-24.22,-26.06,-27.44,-28.59,-29.44,-30.03,-29.12,-27.47,-25.31,-23.44,-21.59,-18.72,-16.0,-14.47,-12.56,-10.28,-7.81,-6.69,-6.28,-6.41,-7.03,-8.84,-11.78,-13.97,-15.25,-15.94,-17.06,-17.5,-16.62,-16.03,-16.53,-16.88,-16.5,-15.97,-16.34,-16.88,-16.66,-16.12,-16.25,-17.19,-18.09,-18.56,-19.56,-21.31,-22.62,-22.94,-22.75,-23.12,-23.25,-22.66,-21.44,-20.78,-20.53,-19.56,-17.19,-15.28,-14.09,-12.84,-11.28,-10.53,-11.0,-11.59,-12.22,-12.38,-13.31,-14.34,-14.09,-12.84,-12.06,-11.12,-9.72,-8.0,-6.81,-7.19,-8.03,-9.12,-10.5,-12.53,-14.09,-14.59,-14.09,-14.59,-15.19,-15.28,-14.53,-14.31,-13.38,-12.25,-10.25,-8.25,-8.0,-7.88,-7.62,-7.94,-9.19,-10.53,-11.81,-13.22,-15.78,-18.97,-22.0,-24.03,-25.44,-26.75,-27.31,-26.69,-26.44,-26.84,-27.22,-26.31,-24.69,-23.28,-21.69,-19.81,-17.97,-17.53,-17.78,-18.69,-18.56,-19.0,-19.78,-20.25,-19.44,-18.47,-18.41,-18.25,-17.38,-16.56,-16.41,-17.06,-17.19,-17.06,-17.19,-17.22,-16.56,-14.69,-13.09,-12.78,-12.41,-12.0,-11.31,-10.91,-10.41,-9.97,-9.22,-10.38,-12.69,-15.44,-18.25,-21.56,-24.94,-27.81,-28.97,-29.16,-28.97,-28.03,-25.97,-23.19,-20.75,-18.75,-16.84,-14.69,-13.81,-14.12,-14.19,-13.19,-12.03,-10.59,-8.94,-6.22,-3.62,-1.88,-0.94,0.22,1.06,0.75,-0.28,-1.66,-2.66,-3.94,-6.09,-8.44,-9.97,-11.91,-14.38,-16.41,-17.06,-16.81,-16.22,-15.0,-12.97,-10.75,-9.03,-8.69,-9.12,-9.0,-9.12,-9.84,-10.06,-9.25,-8.31,-8.41,-9.06,-9.34,-10.28,-12.25,-16.0,-19.47,-22.62,-25.66,-28.47,-30.0,-30.12,-29.94,-30.16,-29.97,-28.28,-25.84,-23.28,-20.75,-17.5,-14.53,-12.62,-11.59,-10.62,-9.31,-8.31,-8.03,-8.41,-8.62,-9.22,-10.53,-12.75,-13.47,-14.0,-15.06,-15.97,-16.47,-16.88,-17.34,-18.22,-18.53,-17.94,-16.53,-15.81,-14.84,-13.06,-11.34,-10.62,-10.28,-9.34,-8.0,-7.56,-7.41,-7.72,-7.56,-8.06,-9.78,-11.91,-13.5,-15.56,-18.47,-21.53,-23.72,-24.88,-25.94,-26.78,-26.34,-25.34,-24.41,-24.56,-24.62,-24.5,-24.53,-25.06,-24.97,-24.03,-22.59,-21.5,-21.47,-20.94,-20.56,-20.78,-22.12,-22.81,-23.59,-24.0,-24.41,-24.38,-23.06,-21.34,-19.97,-19.06,-17.12,-15.06,-13.69,-12.53,-10.94,-9.72,-9.34,-10.59,-11.62,-11.94,-12.28,-12.97,-12.66,-12.06,-11.38,-12.0,-12.97,-13.62,-14.0,-14.84,-16.47,-17.56,-18.84,-20.66,-23.12,-24.91,-25.25,-24.72,-23.94,-22.47,-19.44,-16.25,-13.88,-11.97,-10.09,-8.56,-7.66,-7.34,-6.81,-6.25,-6.09,-7.5,-9.53,-11.47,-13.62,-16.59,-19.44,-21.12,-22.16,-23.44,-24.38,-24.78,-24.59,-24.16,-24.44,-24.56,-24.09,-23.72,-24.47,-25.34,-26.06,-26.0,-27.19,-28.16,-27.91,-27.16,-26.09,-25.09,-23.66,-21.34,-18.97,-17.72,-16.56,-15.38,-14.78,-15.69,-16.94,-17.28,-16.81,-17.16,-17.38,-17.31,-17.41,-17.91,-19.0,-19.75,-19.72,-20.0,-21.16,-22.22,-22.66,-22.62,-22.78,-22.41,-21.0,-18.97,-17.69,-17.5,-17.38,-17.31,-17.94,-19.16,-19.97,-19.88,-19.88,-21.06,-22.53,-22.94,-23.31,-24.16,-24.34,-23.28,-21.06,-19.31,-18.12,-17.38,-16.78,-17.16,-18.66,-20.09,-20.16,-19.72,-20.31,-20.78,-20.56,-20.38,-21.03,-21.66,-21.19,-19.66,-18.44,-17.31,-16.62,-15.88,-16.22,-18.12,-20.44,-21.19,-21.34,-21.25,-20.97,-19.5,-17.69,-16.59,-16.22,-15.53,-14.5,-14.69,-15.88,-17.0,-17.66,-18.53,-19.78,-21.25,-22.03,-22.47,-23.44,-24.56,-24.47,-23.31,-22.62,-22.5,-22.66,-22.59,-23.06,-24.19,-25.19,-25.06,-24.84,-25.53,-26.66,-26.66,-26.25,-26.59,-26.94,-26.44,-24.88,-23.88,-23.69,-23.12,-22.25,-22.56,-23.94,-25.78,-26.53,-27.25,-28.31,-28.94,-28.09,-26.66,-25.88,-25.62,-25.22,-24.31,-24.12,-24.59,-25.0,-24.5,-24.44,-25.31,-26.09,-26.19,-25.62,-25.38,-25.19,-24.22,-22.84,-22.22,-22.53,-23.12,-23.0,-23.25,-24.66,-25.56,-25.81,-26.19,-27.31,-29.03,-29.75,-30.16,-31.19,-32.0,-32.34,-31.5,-30.75,-30.94,-30.53,-28.97,-28.38,-28.84,-29.84,-30.38,-30.97,-32.59,-34.5,-34.88,-34.22,-33.88,-33.88,-32.97,-31.59,-30.59,-30.12,-29.56,-28.16,-26.59,-26.31,-27.12,-27.06,-27.5,-28.41,-29.53,-29.34,-27.59,-26.09,-25.31,-24.44,-23.75,-24.16,-26.25,-28.41,-29.88,-30.81,-32.22,-33.0,-32.56,-31.59,-31.12,-31.25,-30.75,-30.06,-30.06,-31.19,-32.19,-32.34,-32.75,-33.91,-34.59,-34.22,-33.28,-32.69,-32.69,-31.94,-31.09,-30.81,-31.38,-31.25,-30.75,-30.62,-31.41,-32.22,-32.03,-31.81,-32.19,-32.47,-31.66,-30.72,-30.25,-30.5,-30.34,-30.09,-30.97,-32.41,-33.41,-32.88,-31.69,-30.41,-28.59,-25.94,-23.62,-23.75,-25.03,-26.66,-28.81,-31.44,-33.84,-34.34,-33.94,-32.88,-32.31,-31.88,-31.0,-30.25,-30.66,-30.97,-30.44,-29.44,-29.66,-30.0,-29.5,-29.19,-28.97,-29.25,-28.97,-28.16,-27.62,-28.44,-29.06,-28.97,-28.81,-29.38,-30.19,-30.5,-30.84,-32.47,-34.19,-35.34,-35.72,-36.16,-37.25,-37.53,-37.22,-36.72,-36.97,-37.03,-36.56,-35.78,-35.88,-36.0,-35.38,-34.31,-34.06,-34.16,-33.94,-32.5,-31.31,-30.78,-29.88,-28.5,-27.34,-27.66,-28.41,-28.72,-29.03,-30.38,-32.38,-33.72,-34.56,-35.62,-37.06,-38.03,-37.88,-37.59,-38.12,-37.62,-35.66,-33.12,-31.19,-29.12,-26.75,-25.16,-25.31,-27.16,-29.59,-32.19,-35.0,-37.84,-39.38,-39.25,-38.66,-38.62,-37.97,-36.72,-34.84,-34.0,-33.06,-32.0,-30.84,-30.88,-31.56,-32.38,-32.62,-32.84,-33.72,-34.0,-32.91,-31.62,-31.41,-30.88,-30.0,-29.28,-29.44,-30.44,-31.25,-31.97,-33.47,-35.84,-37.91,-39.31,-41.09,-43.25,-44.81,-44.94,-44.59,-44.62,-44.19,-42.78,-40.81,-39.75,-38.41,-37.25,-35.12,-34.0,-33.5,-32.81,-32.03,-32.16,-33.62,-35.09,-36.38,-37.78,-39.97,-42.28,-43.78,-44.5,-45.38,-45.72,-45.56,-44.47,-43.62,-44.0,-44.53,-44.59,-44.56,-44.97,-44.53,-42.75,-40.41,-38.19,-36.41,-34.94,-33.28,-33.0,1.41,2.97,4.5,5.72,6.59,7.41,7.66:-10.56,-10.97,-10.47,-9.69,-9.66,-10.03,-10.09,-9.38,-8.84,-8.34,-6.91,-4.94,-2.94,-1.78,-1.09,-0.38,-0.03,-0.72,-1.91,-2.44,-2.72,-3.59,-5.03,-5.97,-7.19,-8.81,-11.38,-13.75,-15.12,-16.22,-16.94,-16.84,-15.34,-12.91,-10.69,-8.66,-6.28,-3.5,-1.69,-0.59,0.69,2.25,3.56,3.88,3.97,4.59,5.31,4.97,4.22,4.16,3.97,2.75,1.25,0.19,-0.5,-1.62,-3.31,-4.78,-5.5,-5.66,-6.34,-6.62,-6.19,-5.38,-5.53,-5.88,-5.53,-5.12,-5.19,-6.12,-6.5,-6.78,-6.94,-7.88,-8.25,-8.03,-8.06,-9.41,-10.38,-10.78,-10.34,-9.81,-9.19,-7.44,-5.16,-3.25,-2.31,-1.12,0.16,0.47,-0.88,-2.66,-4.53,-6.28,-8.75,-10.84,-11.66,-11.69,-11.97,-12.97,-13.56,-13.34,-13.78,-14.66,-15.19,-15.06,-15.22,-16.44,-17.38,-17.47,-17.53,-18.09,-18.38,-18.53,-17.91,-17.94,-18.78,-19.25,-19.38,-19.94,-21.16,-21.47,-20.28,-18.62,-17.22,-15.81,-13.81,-11.81,-10.72,-10.0,-9.28,-7.59,-6.53,-6.16,-5.62,-4.31,-3.28,-4.03,-5.25,-6.12,-7.38,-9.28,-10.72,-11.59,-11.53,-11.81,-12.44,-12.97,-12.31,-11.91,-12.09,-11.69,-10.53,-9.84,-10.19,-10.97,-11.09,-11.16,-12.25,-13.31,-13.94,-13.44,-13.25,-13.16,-12.72,-11.62,-11.03,-12.0,-13.31,-13.72,-13.84,-15.16,-15.88,-15.53,-14.91,-15.22,-15.69,-16.12,-16.09,-16.59,-17.16,-17.5,-16.66,-16.34,-17.0,-18.22,-19.38,-20.47,-22.59,-24.22,-24.72,-24.06,-23.31,-21.84,-19.56,-16.0,-12.28,-9.78,-7.53,-5.47,-4.06,-3.88,-4.31,-4.41,-4.75,-6.88,-9.56,-12.22,-14.06,-16.28,-18.72,-20.41,-20.69,-20.91,-21.12,-21.25,-19.88,-18.31,-16.81,-15.72,-13.41,-10.69,-9.47,-9.06,-8.81,-9.03,-9.91,-12.06,-14.22,-14.97,-15.47,-16.22,-16.56,-15.78,-15.03,-15.53,-16.56,-17.22,-17.34,-17.94,-19.25,-20.59,-21.0,-22.06,-24.22,-25.66,-25.78,-26.16,-27.06,-28.56,-28.56,-28.66,-28.88,-28.78,-27.88,-26.25,-25.31,-25.06,-24.31,-22.62,-20.59,-18.72,-16.0,-11.62,-7.28,-3.59,-1.22,1.41,2.91,2.34,0.09,-2.88,-5.31,-8.91,-12.53,-15.09,-16.03,-16.34,-17.19,-18.25,-17.88,-17.75,-18.66,-19.78,-20.59,-20.78,-21.19,-21.75,-21.09,-18.69,-16.53,-14.56,-13.19,-11.56,-10.78,-11.72,-13.62,-14.53,-15.09,-16.97,-19.59,-21.38,-22.94,-24.66,-26.44,-27.19,-27.06,-27.75,-29.19,-31.03,-31.72,-32.31,-33.25,-34.56,-35.09,-34.91,-35.0,-35.41,-34.69,-33.41,-32.19,-31.34,-30.06,-27.66,-25.31,-23.62,-22.5,-20.72,-18.88,-17.59,-16.78,-15.88,-14.88,-14.81,-15.97,-17.28,-18.12,-19.09,-21.56,-23.47,-23.84,-23.88,-24.38,-24.56,-23.62,-22.59,-22.31,-22.47,-22.75,-23.03,-23.88,-26.0,-27.56,-28.22,-28.25,-28.59,-28.53,-26.56,-24.31,-23.19,-22.44,-21.16,-20.25,-19.88,-20.06,-20.09,-19.5,-19.12,-20.12,-21.0,-21.59,-22.28,-24.22,-26.06,-27.44,-28.59,-29.44,-30.03,-29.12,-27.47,-25.31,-23.44,-21.59,-18.72,-16.0,-14.47,-12.56,-10.28,-7.81,-6.69,-6.28,-6.41,-7.03,-8.84,-11.78,-13.97,-15.25,-15.94,-17.06,-17.5,-16.62,-16.03,-16.53,-16.88,-16.5,-15.97,-16.34,-16.88,-16.66,-16.12,-16.25,-17.19,-18.09,-18.56,-19.56,-21.31,-22.62,-22.94,-22.75,-23.12,-23.25,-22.66,-21.44,-20.78,-20.53,-19.56,-17.19,-15.28,-14.09,-12.84,-11.28,-10.53,-11.0,-11.59,-12.22,-12.38,-13.31,-14.34,-14.09,-12.84,-12.06,-11.12,-9.72,-8.0,-6.81,-7.19,-8.03,-9.12,-10.5,-12.53,-14.09,-14.59,-14.09,-14.59,-15.19,-15.28,-14.53,-14.31,-13.38,-12.25,-10.25,-8.25,-8.0,-7.88,-7.62,-7.94,-9.19,-10.53,-11.81,-13.22,-15.78,-18.97,-22.0,-24.03,-25.44,-26.75,-27.31,-26.69,-26.44,-26.84,-27.22,-26.31,-24.69,-23.28,-21.69,-19.81,-17.97,-17.53,-17.78,-18.69,-18.56,-19.0,-19.78,-20.25,-19.44,-18.47,-18.41,-18.25,-17.38,-16.56,-16.41,-17.06,-17.19,-17.06,-17.19,-17.22,-16.56,-14.69,-13.09,-12.78,-12.41,-12.0,-11.31,-10.91,-10.41,-9.97,-9.22,-10.38,-12.69,-15.44,-18.25,-21.56,-24.94,-27.81,-28.97,-29.16,-28.97,-28.03,-25.97,-23.19,-20.75,-18.75,-16.84,-14.69,-13.81,-14.12,-14.19,-13.19,-12.03,-10.59,-8.94,-6.22,-3.62,-1.88,-0.94,0.22,1.06,0.75,-0.28,-1.66,-2.66,-3.94,-6.09,-8.44,-9.97,-11.91,-14.38,-16.41,-17.06,-16.81,-16.22,-15.0,-12.97,-10.75,-9.03,-8.69,-9.12,-9.0,-9.12,-9.84,-10.06,-9.25,-8.31,-8.41,-9.06,-9.34,-10.28,-12.25,-16.0,-19.47,-22.62,-25.66,-28.47,-30.0,-30.12,-29.94,-30.16,-29.97,-28.28,-25.84,-23.28,-20.75,-17.5,-14.53,-12.62,-11.59,-10.62,-9.31,-8.31,-8.03,-8.41,-8.62,-9.22,-10.53,-12.75,-13.47,-14.0,-15.06,-15.97,-16.47,-16.88,-17.34,-18.22,-18.53,-17.94,-16.53,-15.81,-14.84,-13.06,-11.34,-10.62,-10.28,-9.34,-8.0,-7.56,-7.41,-7.72,-7.56,-8.06,-9.78,-11.91,-13.5,-15.56,-18.47,-21.53,-23.72,-24.88,-25.94,-26.78,-26.34,-25.34,-24.41,-24.56,-24.62,-24.5,-24.53,-25.06,-24.97,-24.03,-22.59,-21.5,-21.47,-20.94,-20.56,-20.78,-22.12,-22.81,-23.59,-24.0,-24.41,-24.38,-23.06,-21.34,-19.97,-19.06,-17.12,-15.06,-13.69,-12.53,-10.94,-9.72,-9.34,-10.59,-11.62,-11.94,-12.28,-12.97,-12.66,-12.06,-11.38,-12.0,-12.97,-13.62,-14.0,-14.84,-16.47,-17.56,-18.84,-20.66,-23.12,-24.91,-25.25,-24.72,-23.94,-22.47,-19.44,-16.25,-13.88,-11.97,-10.09,-8.56,-7.66,-7.34,-6.81,-6.25,-6.09,-7.5,-9.53,-11.47,-13.62,-16.59,-19.44,-21.12,-22.16,-23.44,-24.38,-24.78,-24.59,-24.16,-24.44,-24.56,-24.09,-23.72,-24.47,-25.34,-26.06,-26.0,-27.19,-28.16,-27.91,-27.16,-26.09,-25.09,-23.66,-21.34,-18.97,-17.72,-16.56,-15.38,-14.78,-15.69,-16.94,-17.28,-16.81,-17.16,-17.38,-17.31,-17.41,-17.91,-19.0,-19.75,-19.72,-20.0,-21.16,-22.22,-22.66,-22.62,-22.78,-22.41,-21.0,-18.97,-17.69,-17.5,-17.38,-17.31,-17.94,-19.16,-19.97,-19.88,-19.88,-21.06,-22.53,-22.94,-23.31,-24.16,-24.34,-23.28,-21.06,-19.31,-18.12,-17.38,-16.78,-17.16,-18.66,-20.09,-20.16,-19.72,-20.31,-20.78,-20.56,-20.38,-21.03,-21.66,-21.19,-19.66,-18.44,-17.31,-16.62,-15.88,-16.22,-18.12,-20.44,-21.19,-21.34,-21.25,-20.97,-19.5,-17.69,-16.59,-16.22,-15.53,-14.5,-14.69,-15.88,-17.0,-17.66,-18.53,-19.78,-21.25,-22.03,-22.47,-23.44,-24.56,-24.47,-23.31,-22.62,-22.5,-22.66,-22.59,-23.06,-24.19,-25.19,-25.06,-24.84,-25.53,-26.66,-26.66,-26.25,-26.59,-26.94,-26.44,-24.88,-23.88,-23.69,-23.12,-22.25,-22.56,-23.94,-25.78,-26.53,-27.25,-28.31,-28.94,-28.09,-26.66,-25.88,-25.62,-25.22,-24.31,-24.12,-24.59,-25.0,-24.5,-24.44,-25.31,-26.09,-26.19,-25.62,-25.38,-25.19,-24.22,-22.84,-22.22,-22.53,-23.12,-23.0,-23.25,-24.66,-25.56,-25.81,-26.19,-27.31,-29.03,-29.75,-30.16,-31.19,-32.0,-32.34,-31.5,-30.75,-30.94,-30.53,-28.97,-28.38,-28.84,-29.84,-30.38,-30.97,-32.59,-34.5,-34.88,-34.22,-33.88,-33.88,-32.97,-31.59,-30.59,-30.12,-29.56,-28.16,-26.59,-26.31,-27.12,-27.06,-27.5,-28.41,-29.53,-29.34,-27.59,-26.09,-25.31,-24.44,-23.75,-24.16,-26.25,-28.41,-29.88,-30.81,-32.22,-33.0,-32.56,-31.59,-31.12,-31.25,-30.75,-30.06,-30.06,-31.19,-32.19,-32.34,-32.75,-33.91,-34.59,-34.22,-33.28,-32.69,-32.69,-31.94,-31.09,-30.81,-31.38,-31.25,-30.75,-30.62,-31.41,-32.22,-32.03,-31.81,-32.19,-32.47,-31.66,-30.72,-30.25,-30.5,-30.34,-30.09,-30.97,-32.41,-33.41,-32.88,-31.69,-30.41,-28.59,-25.94,-23.62,-23.75,-25.03,-26.66,-28.81,-31.44,-33.84,-34.34,-33.94,-32.88,-32.31,-31.88,-31.0,-30.25,-30.66,-30.97,-30.44,-29.44,-29.66,-30.0,-29.5,-29.19,-28.97,-29.25,-28.97,-28.16,-27.62,-28.44,-29.06,-28.97,-28.81,-29.38,-30.19,-30.5,-30.84,-32.47,-34.19,-35.34,-35.72,-36.16,-37.25,-37.53,-37.22,-36.72,-36.97,-37.03,-36.56,-35.78,-35.88,-36.0,-35.38,-34.31,-34.06,-34.16,-33.94,-32.5,-31.31,-30.78,-29.88,-28.5,-27.34,-27.66,-28.41,-28.72,-29.03,-30.38,-32.38,-33.72,-34.56,-35.62,-37.06,-38.03,-37.88,-37.59,-38.12,-37.62,-35.66,-33.12,-31.19,-29.12,-26.75,-25.16,-25.31,-27.16,-29.59,-32.19,-35.0,-37.84,-39.38,-39.25,-38.66,-38.62,-37.97,-36.72,-34.84,-34.0,-33.06,-32.0,-30.84,-30.88,-31.56,-32.38,-32.62,-32.84,-33.72,-34.0,-32.91,-31.62,-31.41,-30.88,-30.0,-29.28,-29.44,-30.44,-31.25,-31.97,-33.47,-35.84,-37.91,-39.31,-41.09,-43.25,-44.81,-44.94,-44.59,-44.62,-44.19,-42.78,-40.81,-39.75,-38.41,-37.25,-35.12,-34.0,-33.5,-32.81,-32.03,-32.16,-33.62,-35.09,-36.38,-37.78,-39.97,-42.28,-43.78,-44.5,-45.38,-45.72,-45.56,-44.47,-43.62,-44.0,-44.53,-44.59,-44.56,-44.97,-44.53,-42.75,-40.41,-38.19,-36.41,-34.94,-33.28,-33.0,1.41,2.97,4.5,5.72,6.59,7.41,7.66,7.44,6.75,5.44,3.38,0.84,-1.62,-3.59:-9.38,-8.84,-8.34,-6.91,-4.94,-2.94,-1.78,-1.09,-0.38,-0.03,-0.72,-1.91,-2.44,-2.72,-3.59,-5.03,-5.97,-7.19,-8.81,-11.38,-13.75,-15.12,-16.22,-16.94,-16.84,-15.34,-12.91,-10.69,-8.66,-6.28,-3.5,-1.69,-0.59,0.69,2.25,3.56,3.88,3.97,4.59,5.31,4.97,4.22,4.16,3.97,2.75,1.25,0.19,-0.5,-1.62,-3.31,-4.78,-5.5,-5.66,-6.34,-6.62,-6.19,-5.38,-5.53,-5.88,-5.53,-5.12,-5.19,-6.12,-6.5,-6.78,-6.94,-7.88,-8.25,-8.03,-8.06,-9.41,-10.38,-10.78,-10.34,-9.81,-9.19,-7.44,-5.16,-3.25,-2.31,-1.12,0.16,0.47,-0.88,-2.66,-4.53,-6.28,-8.75,-10.84,-11.66,-11.69,-11.97,-12.97,-13.56,-13.34,-13.78,-14.66,-15.19,-15.06,-15.22,-16.44,-17.38,-17.47,-17.53,-18.09,-18.38,-18.53,-17.91,-17.94,-18.78,-19.25,-19.38,-19.94,-21.16,-21.47,-20.28,-18.62,-17.22,-15.81,-13.81,-11.81,-10.72,-10.0,-9.28,-7.59,-6.53,-6.16,-5.62,-4.31,-3.28,-4.03,-5.25,-6.12,-7.38,-9.28,-10.72,-11.59,-11.53,-11.81,-12.44,-12.97,-12.31,-11.91,-12.09,-11.69,-10.53,-9.84,-10.19,-10.97,-11.09,-11.16,-12.25,-13.31,-13.94,-13.44,-13.25,-13.16,-12.72,-11.62,-11.03,-12.0,-13.31,-13.72,-13.84,-15.16,-15.88,-15.53,-14.91,-15.22,-15.69,-16.12,-16.09,-16.59,-17.16,-17.5,-16.66,-16.34,-17.0,-18.22,-19.38,-20.47,-22.59,-24.22,-24.72,-24.06,-23.31,-21.84,-19.56,-16.0,-12.28,-9.78,-7.53,-5.47,-4.06,-3.88,-4.31,-4.41,-4.75,-6.88,-9.56,-12.22,-14.06,-16.28,-18.72,-20.41,-20.69,-20.91,-21.12,-21.25,-19.88,-18.31,-16.81,-15.72,-13.41,-10.69,-9.47,-9.06,-8.81,-9.03,-9.91,-12.06,-14.22,-14.97,-15.47,-16.22,-16.56,-15.78,-15.03,-15.53,-16.56,-17.22,-17.34,-17.94,-19.25,-20.59,-21.0,-22.06,-24.22,-25.66,-25.78,-26.16,-27.06,-28.56,-28.56,-28.66,-28.88,-28.78,-27.88,-26.25,-25.31,-25.06,-24.31,-22.62,-20.59,-18.72,-16.0,-11.62,-7.28,-3.59,-1.22,1.41,2.91,2.34,0.09,-2.88,-5.31,-8.91,-12.53,-15.09,-16.03,-16.34,-17.19,-18.25,-17.88,-17.75,-18.66,-19.78,-20.59,-20.78,-21.19,-21.75,-21.09,-18.69,-16.53,-14.56,-13.19,-11.56,-10.78,-11.72,-13.62,-14.53,-15.09,-16.97,-19.59,-21.38,-22.94,-24.66,-26.44,-27.19,-27.06,-27.75,-29.19,-31.03,-31.72,-32.31,-33.25,-34.56,-35.09,-34.91,-35.0,-35.41,-34.69,-33.41,-32.19,-31.34,-30.06,-27.66,-25.31,-23.62,-22.5,-20.72,-18.88,-17.59,-16.78,-15.88,-14.88,-14.81,-15.97,-17.28,-18.12,-19.09,-21.56,-23.47,-23.84,-23.88,-24.38,-24.56,-23.62,-22.59,-22.31,-22.47,-22.75,-23.03,-23.88,-26.0,-27.56,-28.22,-28.25,-28.59,-28.53,-26.56,-24.31,-23.19,-22.44,-21.16,-20.25,-19.88,-20.06,-20.09,-19.5,-19.12,-20.12,-21.0,-21.59,-22.28,-24.22,-26.06,-27.44,-28.59,-29.44,-30.03,-29.12,-27.47,-25.31,-23.44,-21.59,-18.72,-16.0,-14.47,-12.56,-10.28,-7.81,-6.69,-6.28,-6.41,-7.03,-8.84,-11.78,-13.97,-15.25,-15.94,-17.06,-17.5,-16.62,-16.03,-16.53,-16.88,-16.5,-15.97,-16.34,-16.88,-16.66,-16.12,-16.25,-17.19,-18.09,-18.56,-19.56,-21.31,-22.62,-22.94,-22.75,-23.12,-23.25,-22.66,-21.44,-20.78,-20.53,-19.56,-17.19,-15.28,-14.09,-12.84,-11.28,-10.53,-11.0,-11.59,-12.22,-12.38,-13.31,-14.34,-14.09,-12.84,-12.06,-11.12,-9.72,-8.0,-6.81,-7.19,-8.03,-9.12,-10.5,-12.53,-14.09,-14.59,-14.09,-14.59,-15.19,-15.28,-14.53,-14.31,-13.38,-12.25,-10.25,-8.25,-8.0,-7.88,-7.62,-7.94,-9.19,-10.53,-11.81,-13.22,-15.78,-18.97,-22.0,-24.03,-25.44,-26.75,-27.31,-26.69,-26.44,-26.84,-27.22,-26.31,-24.69,-23.28,-21.69,-19.81,-17.97,-17.53,-17.78,-18.69,-18.56,-19.0,-19.78,-20.25,-19.44,-18.47,-18.41,-18.25,-17.38,-16.56,-16.41,-17.06,-17.19,-17.06,-17.19,-17.22,-16.56,-14.69,-13.09,-12.78,-12.41,-12.0,-11.31,-10.91,-10.41,-9.97,-9.22,-10.38,-12.69,-15.44,-18.25,-21.56,-24.94,-27.81,-28.97,-29.16,-28.97,-28.03,-25.97,-23.19,-20.75,-18.75,-16.84,-14.69,-13.81,-14.12,-14.19,-13.19,-12.03,-10.59,-8.94,-6.22,-3.62,-1.88,-0.94,0.22,1.06,0.75,-0.28,-1.66,-2.66,-3.94,-6.09,-8.44,-9.97,-11.91,-14.38,-16.41,-17.06,-16.81,-16.22,-15.0,-12.97,-10.75,-9.03,-8.69,-9.12,-9.0,-9.12,-9.84,-10.06,-9.25,-8.31,-8.41,-9.06,-9.34,-10.28,-12.25,-16.0,-19.47,-22.62,-25.66,-28.47,-30.0,-30.12,-29.94,-30.16,-29.97,-28.28,-25.84,-23.28,-20.75,-17.5,-14.53,-12.62,-11.59,-10.62,-9.31,-8.31,-8.03,-8.41,-8.62,-9.22,-10.53,-12.75,-13.47,-14.0,-15.06,-15.97,-16.47,-16.88,-17.34,-18.22,-18.53,-17.94,-16.53,-15.81,-14.84,-13.06,-11.34,-10.62,-10.28,-9.34,-8.0,-7.56,-7.41,-7.72,-7.56,-8.06,-9.78,-11.91,-13.5,-15.56,-18.47,-21.53,-23.72,-24.88,-25.94,-26.78,-26.34,-25.34,-24.41,-24.56,-24.62,-24.5,-24.53,-25.06,-24.97,-24.03,-22.59,-21.5,-21.47,-20.94,-20.56,-20.78,-22.12,-22.81,-23.59,-24.0,-24.41,-24.38,-23.06,-21.34,-19.97,-19.06,-17.12,-15.06,-13.69,-12.53,-10.94,-9.72,-9.34,-10.59,-11.62,-11.94,-12.28,-12.97,-12.66,-12.06,-11.38,-12.0,-12.97,-13.62,-14.0,-14.84,-16.47,-17.56,-18.84,-20.66,-23.12,-24.91,-25.25,-24.72,-23.94,-22.47,-19.44,-16.25,-13.88,-11.97,-10.09,-8.56,-7.66,-7.34,-6.81,-6.25,-6.09,-7.5,-9.53,-11.47,-13.62,-16.59,-19.44,-21.12,-22.16,-23.44,-24.38,-24.78,-24.59,-24.16,-24.44,-24.56,-24.09,-23.72,-24.47,-25.34,-26.06,-26.0,-27.19,-28.16,-27.91,-27.16,-26.09,-25.09,-23.66,-21.34,-18.97,-17.72,-16.56,-15.38,-14.78,-15.69,-16.94,-17.28,-16.81,-17.16,-17.38,-17.31,-17.41,-17.91,-19.0,-19.75,-19.72,-20.0,-21.16,-22.22,-22.66,-22.62,-22.78,-22.41,-21.0,-18.97,-17.69,-17.5,-17.38,-17.31,-17.94,-19.16,-19.97,-19.88,-19.88,-21.06,-22.53,-22.94,-23.31,-24.16,-24.34,-23.28,-21.06,-19.31,-18.12,-17.38,-16.78,-17.16,-18.66,-20.09,-20.16,-19.72,-20.31,-20.78,-20.56,-20.38,-21.03,-21.66,-21.19,-19.66,-18.44,-17.31,-16.62,-15.88,-16.22,-18.12,-20.44,-21.19,-21.34,-21.25,-20.97,-19.5,-17.69,-16.59,-16.22,-15.53,-14.5,-14.69,-15.88,-17.0,-17.66,-18.53,-19.78,-21.25,-22.03,-22.47,-23.44,-24.56,-24.47,-23.31,-22.62,-22.5,-22.66,-22.59,-23.06,-24.19,-25.19,-25.06,-24.84,-25.53,-26.66,-26.66,-26.25,-26.59,-26.94,-26.44,-24.88,-23.88,-23.69,-23.12,-22.25,-22.56,-23.94,-25.78,-26.53,-27.25,-28.31,-28.94,-28.09,-26.66,-25.88,-25.62,-25.22,-24.31,-24.12,-24.59,-25.0,-24.5,-24.44,-25.31,-26.09,-26.19,-25.62,-25.38,-25.19,-24.22,-22.84,-22.22,-22.53,-23.12,-23.0,-23.25,-24.66,-25.56,-25.81,-26.19,-27.31,-29.03,-29.75,-30.16,-31.19,-32.0,-32.34,-31.5,-30.75,-30.94,-30.53,-28.97,-28.38,-28.84,-29.84,-30.38,-30.97,-32.59,-34.5,-34.88,-34.22,-33.88,-33.88,-32.97,-31.59,-30.59,-30.12,-29.56,-28.16,-26.59,-26.31,-27.12,-27.06,-27.5,-28.41,-29.53,-29.34,-27.59,-26.09,-25.31,-24.44,-23.75,-24.16,-26.25,-28.41,-29.88,-30.81,-32.22,-33.0,-32.56,-31.59,-31.12,-31.25,-30.75,-30.06,-30.06,-31.19,-32.19,-32.34,-32.75,-33.91,-34.59,-34.22,-33.28,-32.69,-32.69,-31.94,-31.09,-30.81,-31.38,-31.25,-30.75,-30.62,-31.41,-32.22,-32.03,-31.81,-32.19,-32.47,-31.66,-30.72,-30.25,-30.5,-30.34,-30.09,-30.97,-32.41,-33.41,-32.88,-31.69,-30.41,-28.59,-25.94,-23.62,-23.75,-25.03,-26.66,-28.81,-31.44,-33.84,-34.34,-33.94,-32.88,-32.31,-31.88,-31.0,-30.25,-30.66,-30.97,-30.44,-29.44,-29.66,-30.0,-29.5,-29.19,-28.97,-29.25,-28.97,-28.16,-27.62,-28.44,-29.06,-28.97,-28.81,-29.38,-30.19,-30.5,-30.84,-32.47,-34.19,-35.34,-35.72,-36.16,-37.25,-37.53,-37.22,-36.72,-36.97,-37.03,-36.56,-35.78,-35.88,-36.0,-35.38,-34.31,-34.06,-34.16,-33.94,-32.5,-31.31,-30.78,-29.88,-28.5,-27.34,-27.66,-28.41,-28.72,-29.03,-30.38,-32.38,-33.72,-34.56,-35.62,-37.06,-38.03,-37.88,-37.59,-38.12,-37.62,-35.66,-33.12,-31.19,-29.12,-26.75,-25.16,-25.31,-27.16,-29.59,-32.19,-35.0,-37.84,-39.38,-39.25,-38.66,-38.62,-37.97,-36.72,-34.84,-34.0,-33.06,-32.0,-30.84,-30.88,-31.56,-32.38,-32.62,-32.84,-33.72,-34.0,-32.91,-31.62,-31.41,-30.88,-30.0,-29.28,-29.44,-30.44,-31.25,-31.97,-33.47,-35.84,-37.91,-39.31,-41.09,-43.25,-44.81,-44.94,-44.59,-44.62,-44.19,-42.78,-40.81,-39.75,-38.41,-37.25,-35.12,-34.0,-33.5,-32.81,-32.03,-32.16,-33.62,-35.09,-36.38,-37.78,-39.97,-42.28,-43.78,-44.5,-45.38,-45.72,-45.56,-44.47,-43.62,-44.0,-44.53,-44.59,-44.56,-44.97,-44.53,-42.75,-40.41,-38.19,-36.41,-34.94,-33.28,-33.0,1.41,2.97,4.5,5.72,6.59,7.41,7.66,7.44,6.75,5.44,3.38,0.84,-1.62,-3.59,-4.56,-4.66,-4.25,-3.31,-2.03,-1.34,-1.31:-1.09,-0.38,-0.03,-0.72,-1.91,-2.44,-2.72,-3.59,-5.03,-5.97,-7.19,-8.81,-11.38,-13.75,-15.12,-16.22,-16.94,-16.84,-15.34,-12.91,-10.69,-8.66,-6.28,-3.5,-1.69,-0.59,0.69,2.25,3.56,3.88,3.97,4.59,5.31,4.97,4.22,4.16,3.97,2.75,1.25,0.19,-0.5,-1.62,-3.31,-4.78,-5.5,-5.66,-6.34,-6.62,-6.19,-5.38,-5.53,-5.88,-5.53,-5.12,-5.19,-6.12,-6.5,-6.78,-6.94,-7.88,-8.25,-8.03,-8.06,-9.41,-10.38,-10.78,-10.34,-9.81,-9.19,-7.44,-5.16,-3.25,-2.31,-1.12,0.16,0.47,-0.88,-2.66,-4.53,-6.28,-8.75,-10.84,-11.66,-11.69,-11.97,-12.97,-13.56,-13.34,-13.78,-14.66,-15.19,-15.06,-15.22,-16.44,-17.38,-17.47,-17.53,-18.09,-18.38,-18.53,-17.91,-17.94,-18.78,-19.25,-19.38,-19.94,-21.16,-21.47,-20.28,-18.62,-17.22,-15.81,-13.81,-11.81,-10.72,-10.0,-9.28,-7.59,-6.53,-6.16,-5.62,-4.31,-3.28,-4.03,-5.25,-6.12,-7.38,-9.28,-10.72,-11.59,-11.53,-11.81,-12.44,-12.97,-12.31,-11.91,-12.09,-11.69,-10.53,-9.84,-10.19,-10.97,-11.09,-11.16,-12.25,-13.31,-13.94,-13.44,-13.25,-13.16,-12.72,-11.62,-11.03,-12.0,-13.31,-13.72,-13.84,-15.16,-15.88,-15.53,-14.91,-15.22,-15.69,-16.12,-16.09,-16.59,-17.16,-17.5,-16.66,-16.34,-17.0,-18.22,-19.38,-20.47,-22.59,-24.22,-24.72,-24.06,-23.31,-21.84,-19.56,-16.0,-12.28,-9.78,-7.53,-5.47,-4.06,-3.88,-4.31,-4.41,-4.75,-6.88,-9.56,-12.22,-14.06,-16.28,-18.72,-20.41,-20.69,-20.91,-21.12,-21.25,-19.88,-18.31,-16.81,-15.72,-13.41,-10.69,-9.47,-9.06,-8.81,-9.03,-9.91,-12.06,-14.22,-14.97,-15.47,-16.22,-16.56,-15.78,-15.03,-15.53,-16.56,-17.22,-17.34,-17.94,-19.25,-20.59,-21.0,-22.06,-24.22,-25.66,-25.78,-26.16,-27.06,-28.56,-28.56,-28.66,-28.88,-28.78,-27.88,-26.25,-25.31,-25.06,-24.31,-22.62,-20.59,-18.72,-16.0,-11.62,-7.28,-3.59,-1.22,1.41,2.91,2.34,0.09,-2.88,-5.31,-8.91,-12.53,-15.09,-16.03,-16.34,-17.19,-18.25,-17.88,-17.75,-18.66,-19.78,-20.59,-20.78,-21.19,-21.75,-21.09,-18.69,-16.53,-14.56,-13.19,-11.56,-10.78,-11.72,-13.62,-14.53,-15.09,-16.97,-19.59,-21.38,-22.94,-24.66,-26.44,-27.19,-27.06,-27.75,-29.19,-31.03,-31.72,-32.31,-33.25,-34.56,-35.09,-34.91,-35.0,-35.41,-34.69,-33.41,-32.19,-31.34,-30.06,-27.66,-25.31,-23.62,-22.5,-20.72,-18.88,-17.59,-16.78,-15.88,-14.88,-14.81,-15.97,-17.28,-18.12,-19.09,-21.56,-23.47,-23.84,-23.88,-24.38,-24.56,-23.62,-22.59,-22.31,-22.47,-22.75,-23.03,-23.88,-26.0,-27.56,-28.22,-28.25,-28.59,-28.53,-26.56,-24.31,-23.19,-22.44,-21.16,-20.25,-19.88,-20.06,-20.09,-19.5,-19.12,-20.12,-21.0,-21.59,-22.28,-24.22,-26.06,-27.44,-28.59,-29.44,-30.03,-29.12,-27.47,-25.31,-23.44,-21.59,-18.72,-16.0,-14.47,-12.56,-10.28,-7.81,-6.69,-6.28,-6.41,-7.03,-8.84,-11.78,-13.97,-15.25,-15.94,-17.06,-17.5,-16.62,-16.03,-16.53,-16.88,-16.5,-15.97,-16.34,-16.88,-16.66,-16.12,-16.25,-17.19,-18.09,-18.56,-19.56,-21.31,-22.62,-22.94,-22.75,-23.12,-23.25,-22.66,-21.44,-20.78,-20.53,-19.56,-17.19,-15.28,-14.09,-12.84,-11.28,-10.53,-11.0,-11.59,-12.22,-12.38,-13.31,-14.34,-14.09,-12.84,-12.06,-11.12,-9.72,-8.0,-6.81,-7.19,-8.03,-9.12,-10.5,-12.53,-14.09,-14.59,-14.09,-14.59,-15.19,-15.28,-14.53,-14.31,-13.38,-12.25,-10.25,-8.25,-8.0,-7.88,-7.62,-7.94,-9.19,-10.53,-11.81,-13.22,-15.78,-18.97,-22.0,-24.03,-25.44,-26.75,-27.31,-26.69,-26.44,-26.84,-27.22,-26.31,-24.69,-23.28,-21.69,-19.81,-17.97,-17.53,-17.78,-18.69,-18.56,-19.0,-19.78,-20.25,-19.44,-18.47,-18.41,-18.25,-17.38,-16.56,-16.41,-17.06,-17.19,-17.06,-17.19,-17.22,-16.56,-14.69,-13.09,-12.78,-12.41,-12.0,-11.31,-10.91,-10.41,-9.97,-9.22,-10.38,-12.69,-15.44,-18.25,-21.56,-24.94,-27.81,-28.97,-29.16,-28.97,-28.03,-25.97,-23.19,-20.75,-18.75,-16.84,-14.69,-13.81,-14.12,-14.19,-13.19,-12.03,-10.59,-8.94,-6.22,-3.62,-1.88,-0.94,0.22,1.06,0.75,-0.28,-1.66,-2.66,-3.94,-6.09,-8.44,-9.97,-11.91,-14.38,-16.41,-17.06,-16.81,-16.22,-15.0,-12.97,-10.75,-9.03,-8.69,-9.12,-9.0,-9.12,-9.84,-10.06,-9.25,-8.31,-8.41,-9.06,-9.34,-10.28,-12.25,-16.0,-19.47,-22.62,-25.66,-28.47,-30.0,-30.12,-29.94,-30.16,-29.97,-28.28,-25.84,-23.28,-20.75,-17.5,-14.53,-12.62,-11.59,-10.62,-9.31,-8.31,-8.03,-8.41,-8.62,-9.22,-10.53,-12.75,-13.47,-14.0,-15.06,-15.97,-16.47,-16.88,-17.34,-18.22,-18.53,-17.94,-16.53,-15.81,-14.84,-13.06,-11.34,-10.62,-10.28,-9.34,-8.0,-7.56,-7.41,-7.72,-7.56,-8.06,-9.78,-11.91,-13.5,-15.56,-18.47,-21.53,-23.72,-24.88,-25.94,-26.78,-26.34,-25.34,-24.41,-24.56,-24.62,-24.5,-24.53,-25.06,-24.97,-24.03,-22.59,-21.5,-21.47,-20.94,-20.56,-20.78,-22.12,-22.81,-23.59,-24.0,-24.41,-24.38,-23.06,-21.34,-19.97,-19.06,-17.12,-15.06,-13.69,-12.53,-10.94,-9.72,-9.34,-10.59,-11.62,-11.94,-12.28,-12.97,-12.66,-12.06,-11.38,-12.0,-12.97,-13.62,-14.0,-14.84,-16.47,-17.56,-18.84,-20.66,-23.12,-24.91,-25.25,-24.72,-23.94,-22.47,-19.44,-16.25,-13.88,-11.97,-10.09,-8.56,-7.66,-7.34,-6.81,-6.25,-6.09,-7.5,-9.53,-11.47,-13.62,-16.59,-19.44,-21.12,-22.16,-23.44,-24.38,-24.78,-24.59,-24.16,-24.44,-24.56,-24.09,-23.72,-24.47,-25.34,-26.06,-26.0,-27.19,-28.16,-27.91,-27.16,-26.09,-25.09,-23.66,-21.34,-18.97,-17.72,-16.56,-15.38,-14.78,-15.69,-16.94,-17.28,-16.81,-17.16,-17.38,-17.31,-17.41,-17.91,-19.0,-19.75,-19.72,-20.0,-21.16,-22.22,-22.66,-22.62,-22.78,-22.41,-21.0,-18.97,-17.69,-17.5,-17.38,-17.31,-17.94,-19.16,-19.97,-19.88,-19.88,-21.06,-22.53,-22.94,-23.31,-24.16,-24.34,-23.28,-21.06,-19.31,-18.12,-17.38,-16.78,-17.16,-18.66,-20.09,-20.16,-19.72,-20.31,-20.78,-20.56,-20.38,-21.03,-21.66,-21.19,-19.66,-18.44,-17.31,-16.62,-15.88,-16.22,-18.12,-20.44,-21.19,-21.34,-21.25,-20.97,-19.5,-17.69,-16.59,-16.22,-15.53,-14.5,-14.69,-15.88,-17.0,-17.66,-18.53,-19.78,-21.25,-22.03,-22.47,-23.44,-24.56,-24.47,-23.31,-22.62,-22.5,-22.66,-22.59,-23.06,-24.19,-25.19,-25.06,-24.84,-25.53,-26.66,-26.66,-26.25,-26.59,-26.94,-26.44,-24.88,-23.88,-23.69,-23.12,-22.25,-22.56,-23.94,-25.78,-26.53,-27.25,-28.31,-28.94,-28.09,-26.66,-25.88,-25.62,-25.22,-24.31,-24.12,-24.59,-25.0,-24.5,-24.44,-25.31,-26.09,-26.19,-25.62,-25.38,-25.19,-24.22,-22.84,-22.22,-22.53,-23.12,-23.0,-23.25,-24.66,-25.56,-25.81,-26.19,-27.31,-29.03,-29.75,-30.16,-31.19,-32.0,-32.34,-31.5,-30.75,-30.94,-30.53,-28.97,-28.38,-28.84,-29.84,-30.38,-30.97,-32.59,-34.5,-34.88,-34.22,-33.88,-33.88,-32.97,-31.59,-30.59,-30.12,-29.56,-28.16,-26.59,-26.31,-27.12,-27.06,-27.5,-28.41,-29.53,-29.34,-27.59,-26.09,-25.31,-24.44,-23.75,-24.16,-26.25,-28.41,-29.88,-30.81,-32.22,-33.0,-32.56,-31.59,-31.12,-31.25,-30.75,-30.06,-30.06,-31.19,-32.19,-32.34,-32.75,-33.91,-34.59,-34.22,-33.28,-32.69,-32.69,-31.94,-31.09,-30.81,-31.38,-31.25,-30.75,-30.62,-31.41,-32.22,-32.03,-31.81,-32.19,-32.47,-31.66,-30.72,-30.25,-30.5,-30.34,-30.09,-30.97,-32.41,-33.41,-32.88,-31.69,-30.41,-28.59,-25.94,-23.62,-23.75,-25.03,-26.66,-28.81,-31.44,-33.84,-34.34,-33.94,-32.88,-32.31,-31.88,-31.0,-30.25,-30.66,-30.97,-30.44,-29.44,-29.66,-30.0,-29.5,-29.19,-28.97,-29.25,-28.97,-28.16,-27.62,-28.44,-29.06,-28.97,-28.81,-29.38,-30.19,-30.5,-30.84,-32.47,-34.19,-35.34,-35.72,-36.16,-37.25,-37.53,-37.22,-36.72,-36.97,-37.03,-36.56,-35.78,-35.88,-36.0,-35.38,-34.31,-34.06,-34.16,-33.94,-32.5,-31.31,-30.78,-29.88,-28.5,-27.34,-27.66,-28.41,-28.72,-29.03,-30.38,-32.38,-33.72,-34.56,-35.62,-37.06,-38.03,-37.88,-37.59,-38.12,-37.62,-35.66,-33.12,-31.19,-29.12,-26.75,-25.16,-25.31,-27.16,-29.59,-32.19,-35.0,-37.84,-39.38,-39.25,-38.66,-38.62,-37.97,-36.72,-34.84,-34.0,-33.06,-32.0,-30.84,-30.88,-31.56,-32.38,-32.62,-32.84,-33.72,-34.0,-32.91,-31.62,-31.41,-30.88,-30.0,-29.28,-29.44,-30.44,-31.25,-31.97,-33.47,-35.84,-37.91,-39.31,-41.09,-43.25,-44.81,-44.94,-44.59,-44.62,-44.19,-42.78,-40.81,-39.75,-38.41,-37.25,-35.12,-34.0,-33.5,-32.81,-32.03,-32.16,-33.62,-35.09,-36.38,-37.78,-39.97,-42.28,-43.78,-44.5,-45.38,-45.72,-45.56,-44.47,-43.62,-44.0,-44.53,-44.59,-44.56,-44.97,-44.53,-42.75,-40.41,-38.19,-36.41,-34.94,-33.28,-33.0,1.41,2.97,4.5,5.72,6.59,7.41,7.66,7.44,6.75,5.44,3.38,0.84,-1.62,-3.59,-4.56,-4.66,-4.25,-3.31,-2.03,-1.34,-1.31,-1.16,-0.84,-0.59,0.12,1.03,2.09,3.0:-3.59,-5.03,-5.97,-7.19,-8.81,-11.38,-13.75,-15.12,-16.22,-16.94,-16.84,-15.34,-12.91,-10.69,-8.66,-6.28,-3.5,-1.69,-0.59,0.69,2.25,3.56,3.88,3.97,4.59,5.31,4.97,4.22,4.16,3.97,2.75,1.25,0.19,-0.5,-1.62,-3.31,-4.78,-5.5,-5.66,-6.34,-6.62,-6.19,-5.38,-5.53,-5.88,-5.53,-5.12,-5.19,-6.12,-6.5,-6.78,-6.94,-7.88,-8.25,-8.03,-8.06,-9.41,-10.38,-10.78,-10.34,-9.81,-9.19,-7.44,-5.16,-3.25,-2.31,-1.12,0.16,0.47,-0.88,-2.66,-4.53,-6.28,-8.75,-10.84,-11.66,-11.69,-11.97,-12.97,-13.56,-13.34,-13.78,-14.66,-15.19,-15.06,-15.22,-16.44,-17.38,-17.47,-17.53,-18.09,-18.38,-18.53,-17.91,-17.94,-18.78,-19.25,-19.38,-19.94,-21.16,-21.47,-20.28,-18.62,-17.22,-15.81,-13.81,-11.81,-10.72,-10.0,-9.28,-7.59,-6.53,-6.16,-5.62,-4.31,-3.28,-4.03,-5.25,-6.12,-7.38,-9.28,-10.72,-11.59,-11.53,-11.81,-12.44,-12.97,-12.31,-11.91,-12.09,-11.69,-10.53,-9.84,-10.19,-10.97,-11.09,-11.16,-12.25,-13.31,-13.94,-13.44,-13.25,-13.16,-12.72,-11.62,-11.03,-12.0,-13.31,-13.72,-13.84,-15.16,-15.88,-15.53,-14.91,-15.22,-15.69,-16.12,-16.09,-16.59,-17.16,-17.5,-16.66,-16.34,-17.0,-18.22,-19.38,-20.47,-22.59,-24.22,-24.72,-24.06,-23.31,-21.84,-19.56,-16.0,-12.28,-9.78,-7.53,-5.47,-4.06,-3.88,-4.31,-4.41,-4.75,-6.88,-9.56,-12.22,-14.06,-16.28,-18.72,-20.41,-20.69,-20.91,-21.12,-21.25,-19.88,-18.31,-16.81,-15.72,-13.41,-10.69,-9.47,-9.06,-8.81,-9.03,-9.91,-12.06,-14.22,-14.97,-15.47,-16.22,-16.56,-15.78,-15.03,-15.53,-16.56,-17.22,-17.34,-17.94,-19.25,-20.59,-21.0,-22.06,-24.22,-25.66,-25.78,-26.16,-27.06,-28.56,-28.56,-28.66,-28.88,-28.78,-27.88,-26.25,-25.31,-25.06,-24.31,-22.62,-20.59,-18.72,-16.0,-11.62,-7.28,-3.59,-1.22,1.41,2.91,2.34,0.09,-2.88,-5.31,-8.91,-12.53,-15.09,-16.03,-16.34,-17.19,-18.25,-17.88,-17.75,-18.66,-19.78,-20.59,-20.78,-21.19,-21.75,-21.09,-18.69,-16.53,-14.56,-13.19,-11.56,-10.78,-11.72,-13.62,-14.53,-15.09,-16.97,-19.59,-21.38,-22.94,-24.66,-26.44,-27.19,-27.06,-27.75,-29.19,-31.03,-31.72,-32.31,-33.25,-34.56,-35.09,-34.91,-35.0,-35.41,-34.69,-33.41,-32.19,-31.34,-30.06,-27.66,-25.31,-23.62,-22.5,-20.72,-18.88,-17.59,-16.78,-15.88,-14.88,-14.81,-15.97,-17.28,-18.12,-19.09,-21.56,-23.47,-23.84,-23.88,-24.38,-24.56,-23.62,-22.59,-22.31,-22.47,-22.75,-23.03,-23.88,-26.0,-27.56,-28.22,-28.25,-28.59,-28.53,-26.56,-24.31,-23.19,-22.44,-21.16,-20.25,-19.88,-20.06,-20.09,-19.5,-19.12,-20.12,-21.0,-21.59,-22.28,-24.22,-26.06,-27.44,-28.59,-29.44,-30.03,-29.12,-27.47,-25.31,-23.44,-21.59,-18.72,-16.0,-14.47,-12.56,-10.28,-7.81,-6.69,-6.28,-6.41,-7.03,-8.84,-11.78,-13.97,-15.25,-15.94,-17.06,-17.5,-16.62,-16.03,-16.53,-16.88,-16.5,-15.97,-16.34,-16.88,-16.66,-16.12,-16.25,-17.19,-18.09,-18.56,-19.56,-21.31,-22.62,-22.94,-22.75,-23.12,-23.25,-22.66,-21.44,-20.78,-20.53,-19.56,-17.19,-15.28,-14.09,-12.84,-11.28,-10.53,-11.0,-11.59,-12.22,-12.38,-13.31,-14.34,-14.09,-12.84,-12.06,-11.12,-9.72,-8.0,-6.81,-7.19,-8.03,-9.12,-10.5,-12.53,-14.09,-14.59,-14.09,-14.59,-15.19,-15.28,-14.53,-14.31,-13.38,-12.25,-10.25,-8.25,-8.0,-7.88,-7.62,-7.94,-9.19,-10.53,-11.81,-13.22,-15.78,-18.97,-22.0,-24.03,-25.44,-26.75,-27.31,-26.69,-26.44,-26.84,-27.22,-26.31,-24.69,-23.28,-21.69,-19.81,-17.97,-17.53,-17.78,-18.69,-18.56,-19.0,-19.78,-20.25,-19.44,-18.47,-18.41,-18.25,-17.38,-16.56,-16.41,-17.06,-17.19,-17.06,-17.19,-17.22,-16.56,-14.69,-13.09,-12.78,-12.41,-12.0,-11.31,-10.91,-10.41,-9.97,-9.22,-10.38,-12.69,-15.44,-18.25,-21.56,-24.94,-27.81,-28.97,-29.16,-28.97,-28.03,-25.97,-23.19,-20.75,-18.75,-16.84,-14.69,-13.81,-14.12,-14.19,-13.19,-12.03,-10.59,-8.94,-6.22,-3.62,-1.88,-0.94,0.22,1.06,0.75,-0.28,-1.66,-2.66,-3.94,-6.09,-8.44,-9.97,-11.91,-14.38,-16.41,-17.06,-16.81,-16.22,-15.0,-12.97,-10.75,-9.03,-8.69,-9.12,-9.0,-9.12,-9.84,-10.06,-9.25,-8.31,-8.41,-9.06,-9.34,-10.28,-12.25,-16.0,-19.47,-22.62,-25.66,-28.47,-30.0,-30.12,-29.94,-30.16,-29.97,-28.28,-25.84,-23.28,-20.75,-17.5,-14.53,-12.62,-11.59,-10.62,-9.31,-8.31,-8.03,-8.41,-8.62,-9.22,-10.53,-12.75,-13.47,-14.0,-15.06,-15.97,-16.47,-16.88,-17.34,-18.22,-18.53,-17.94,-16.53,-15.81,-14.84,-13.06,-11.34,-10.62,-10.28,-9.34,-8.0,-7.56,-7.41,-7.72,-7.56,-8.06,-9.78,-11.91,-13.5,-15.56,-18.47,-21.53,-23.72,-24.88,-25.94,-26.78,-26.34,-25.34,-24.41,-24.56,-24.62,-24.5,-24.53,-25.06,-24.97,-24.03,-22.59,-21.5,-21.47,-20.94,-20.56,-20.78,-22.12,-22.81,-23.59,-24.0,-24.41,-24.38,-23.06,-21.34,-19.97,-19.06,-17.12,-15.06,-13.69,-12.53,-10.94,-9.72,-9.34,-10.59,-11.62,-11.94,-12.28,-12.97,-12.66,-12.06,-11.38,-12.0,-12.97,-13.62,-14.0,-14.84,-16.47,-17.56,-18.84,-20.66,-23.12,-24.91,-25.25,-24.72,-23.94,-22.47,-19.44,-16.25,-13.88,-11.97,-10.09,-8.56,-7.66,-7.34,-6.81,-6.25,-6.09,-7.5,-9.53,-11.47,-13.62,-16.59,-19.44,-21.12,-22.16,-23.44,-24.38,-24.78,-24.59,-24.16,-24.44,-24.56,-24.09,-23.72,-24.47,-25.34,-26.06,-26.0,-27.19,-28.16,-27.91,-27.16,-26.09,-25.09,-23.66,-21.34,-18.97,-17.72,-16.56,-15.38,-14.78,-15.69,-16.94,-17.28,-16.81,-17.16,-17.38,-17.31,-17.41,-17.91,-19.0,-19.75,-19.72,-20.0,-21.16,-22.22,-22.66,-22.62,-22.78,-22.41,-21.0,-18.97,-17.69,-17.5,-17.38,-17.31,-17.94,-19.16,-19.97,-19.88,-19.88,-21.06,-22.53,-22.94,-23.31,-24.16,-24.34,-23.28,-21.06,-19.31,-18.12,-17.38,-16.78,-17.16,-18.66,-20.09,-20.16,-19.72,-20.31,-20.78,-20.56,-20.38,-21.03,-21.66,-21.19,-19.66,-18.44,-17.31,-16.62,-15.88,-16.22,-18.12,-20.44,-21.19,-21.34,-21.25,-20.97,-19.5,-17.69,-16.59,-16.22,-15.53,-14.5,-14.69,-15.88,-17.0,-17.66,-18.53,-19.78,-21.25,-22.03,-22.47,-23.44,-24.56,-24.47,-23.31,-22.62,-22.5,-22.66,-22.59,-23.06,-24.19,-25.19,-25.06,-24.84,-25.53,-26.66,-26.66,-26.25,-26.59,-26.94,-26.44,-24.88,-23.88,-23.69,-23.12,-22.25,-22.56,-23.94,-25.78,-26.53,-27.25,-28.31,-28.94,-28.09,-26.66,-25.88,-25.62,-25.22,-24.31,-24.12,-24.59,-25.0,-24.5,-24.44,-25.31,-26.09,-26.19,-25.62,-25.38,-25.19,-24.22,-22.84,-22.22,-22.53,-23.12,-23.0,-23.25,-24.66,-25.56,-25.81,-26.19,-27.31,-29.03,-29.75,-30.16,-31.19,-32.0,-32.34,-31.5,-30.75,-30.94,-30.53,-28.97,-28.38,-28.84,-29.84,-30.38,-30.97,-32.59,-34.5,-34.88,-34.22,-33.88,-33.88,-32.97,-31.59,-30.59,-30.12,-29.56,-28.16,-26.59,-26.31,-27.12,-27.06,-27.5,-28.41,-29.53,-29.34,-27.59,-26.09,-25.31,-24.44,-23.75,-24.16,-26.25,-28.41,-29.88,-30.81,-32.22,-33.0,-32.56,-31.59,-31.12,-31.25,-30.75,-30.06,-30.06,-31.19,-32.19,-32.34,-32.75,-33.91,-34.59,-34.22,-33.28,-32.69,-32.69,-31.94,-31.09,-30.81,-31.38,-31.25,-30.75,-30.62,-31.41,-32.22,-32.03,-31.81,-32.19,-32.47,-31.66,-30.72,-30.25,-30.5,-30.34,-30.09,-30.97,-32.41,-33.41,-32.88,-31.69,-30.41,-28.59,-25.94,-23.62,-23.75,-25.03,-26.66,-28.81,-31.44,-33.84,-34.34,-33.94,-32.88,-32.31,-31.88,-31.0,-30.25,-30.66,-30.97,-30.44,-29.44,-29.66,-30.0,-29.5,-29.19,-28.97,-29.25,-28.97,-28.16,-27.62,-28.44,-29.06,-28.97,-28.81,-29.38,-30.19,-30.5,-30.84,-32.47,-34.19,-35.34,-35.72,-36.16,-37.25,-37.53,-37.22,-36.72,-36.97,-37.03,-36.56,-35.78,-35.88,-36.0,-35.38,-34.31,-34.06,-34.16,-33.94,-32.5,-31.31,-30.78,-29.88,-28.5,-27.34,-27.66,-28.41,-28.72,-29.03,-30.38,-32.38,-33.72,-34.56,-35.62,-37.06,-38.03,-37.88,-37.59,-38.12,-37.62,-35.66,-33.12,-31.19,-29.12,-26.75,-25.16,-25.31,-27.16,-29.59,-32.19,-35.0,-37.84,-39.38,-39.25,-38.66,-38.62,-37.97,-36.72,-34.84,-34.0,-33.06,-32.0,-30.84,-30.88,-31.56,-32.38,-32.62,-32.84,-33.72,-34.0,-32.91,-31.62,-31.41,-30.88,-30.0,-29.28,-29.44,-30.44,-31.25,-31.97,-33.47,-35.84,-37.91,-39.31,-41.09,-43.25,-44.81,-44.94,-44.59,-44.62,-44.19,-42.78,-40.81,-39.75,-38.41,-37.25,-35.12,-34.0,-33.5,-32.81,-32.03,-32.16,-33.62,-35.09,-36.38,-37.78,-39.97,-42.28,-43.78,-44.5,-45.38,-45.72,-45.56,-44.47,-43.62,-44.0,-44.53,-44.59,-44.56,-44.97,-44.53,-42.75,-40.41,-38.19,-36.41,-34.94,-33.28,-33.0,1.41,2.97,4.5,5.72,6.59,7.41,7.66,7.44,6.75,5.44,3.38,0.84,-1.62,-3.59,-4.56,-4.66,-4.25,-3.31,-2.03,-1.34,-1.31,-1.16,-0.84,-0.59,0.12,1.03,2.09,3.0,3.19,3.03,2.84,2.56,2.22,2.28,2.5:-15.12,-16.22,-16.94,-16.84,-15.34,-12.91,-10.69,-8.66,-6.28,-3.5,-1.69,-0.59,0.69,2.25,3.56,3.88,3.97,4.59,5.31,4.97,4.22,4.16,3.97,2.75,1.25,0.19,-0.5,-1.62,-3.31,-4.78,-5.5,-5.66,-6.34,-6.62,-6.19,-5.38,-5.53,-5.88,-5.53,-5.12,-5.19,-6.12,-6.5,-6.78,-6.94,-7.88,-8.25,-8.03,-8.06,-9.41,-10.38,-10.78,-10.34,-9.81,-9.19,-7.44,-5.16,-3.25,-2.31,-1.12,0.16,0.47,-0.88,-2.66,-4.53,-6.28,-8.75,-10.84,-11.66,-11.69,-11.97,-12.97,-13.56,-13.34,-13.78,-14.66,-15.19,-15.06,-15.22,-16.44,-17.38,-17.47,-17.53,-18.09,-18.38,-18.53,-17.91,-17.94,-18.78,-19.25,-19.38,-19.94,-21.16,-21.47,-20.28,-18.62,-17.22,-15.81,-13.81,-11.81,-10.72,-10.0,-9.28,-7.59,-6.53,-6.16,-5.62,-4.31,-3.28,-4.03,-5.25,-6.12,-7.38,-9.28,-10.72,-11.59,-11.53,-11.81,-12.44,-12.97,-12.31,-11.91,-12.09,-11.69,-10.53,-9.84,-10.19,-10.97,-11.09,-11.16,-12.25,-13.31,-13.94,-13.44,-13.25,-13.16,-12.72,-11.62,-11.03,-12.0,-13.31,-13.72,-13.84,-15.16,-15.88,-15.53,-14.91,-15.22,-15.69,-16.12,-16.09,-16.59,-17.16,-17.5,-16.66,-16.34,-17.0,-18.22,-19.38,-20.47,-22.59,-24.22,-24.72,-24.06,-23.31,-21.84,-19.56,-16.0,-12.28,-9.78,-7.53,-5.47,-4.06,-3.88,-4.31,-4.41,-4.75,-6.88,-9.56,-12.22,-14.06,-16.28,-18.72,-20.41,-20.69,-20.91,-21.12,-21.25,-19.88,-18.31,-16.81,-15.72,-13.41,-10.69,-9.47,-9.06,-8.81,-9.03,-9.91,-12.06,-14.22,-14.97,-15.47,-16.22,-16.56,-15.78,-15.03,-15.53,-16.56,-17.22,-17.34,-17.94,-19.25,-20.59,-21.0,-22.06,-24.22,-25.66,-25.78,-26.16,-27.06,-28.56,-28.56,-28.66,-28.88,-28.78,-27.88,-26.25,-25.31,-25.06,-24.31,-22.62,-20.59,-18.72,-16.0,-11.62,-7.28,-3.59,-1.22,1.41,2.91,2.34,0.09,-2.88,-5.31,-8.91,-12.53,-15.09,-16.03,-16.34,-17.19,-18.25,-17.88,-17.75,-18.66,-19.78,-20.59,-20.78,-21.19,-21.75,-21.09,-18.69,-16.53,-14.56,-13.19,-11.56,-10.78,-11.72,-13.62,-14.53,-15.09,-16.97,-19.59,-21.38,-22.94,-24.66,-26.44,-27.19,-27.06,-27.75,-29.19,-31.03,-31.72,-32.31,-33.25,-34.56,-35.09,-34.91,-35.0,-35.41,-34.69,-33.41,-32.19,-31.34,-30.06,-27.66,-25.31,-23.62,-22.5,-20.72,-18.88,-17.59,-16.78,-15.88,-14.88,-14.81,-15.97,-17.28,-18.12,-19.09,-21.56,-23.47,-23.84,-23.88,-24.38,-24.56,-23.62,-22.59,-22.31,-22.47,-22.75,-23.03,-23.88,-26.0,-27.56,-28.22,-28.25,-28.59,-28.53,-26.56,-24.31,-23.19,-22.44,-21.16,-20.25,-19.88,-20.06,-20.09,-19.5,-19.12,-20.12,-21.0,-21.59,-22.28,-24.22,-26.06,-27.44,-28.59,-29.44,-30.03,-29.12,-27.47,-25.31,-23.44,-21.59,-18.72,-16.0,-14.47,-12.56,-10.28,-7.81,-6.69,-6.28,-6.41,-7.03,-8.84,-11.78,-13.97,-15.25,-15.94,-17.06,-17.5,-16.62,-16.03,-16.53,-16.88,-16.5,-15.97,-16.34,-16.88,-16.66,-16.12,-16.25,-17.19,-18.09,-18.56,-19.56,-21.31,-22.62,-22.94,-22.75,-23.12,-23.25,-22.66,-21.44,-20.78,-20.53,-19.56,-17.19,-15.28,-14.09,-12.84,-11.28,-10.53,-11.0,-11.59,-12.22,-12.38,-13.31,-14.34,-14.09,-12.84,-12.06,-11.12,-9.72,-8.0,-6.81,-7.19,-8.03,-9.12,-10.5,-12.53,-14.09,-14.59,-14.09,-14.59,-15.19,-15.28,-14.53,-14.31,-13.38,-12.25,-10.25,-8.25,-8.0,-7.88,-7.62,-7.94,-9.19,-10.53,-11.81,-13.22,-15.78,-18.97,-22.0,-24.03,-25.44,-26.75,-27.31,-26.69,-26.44,-26.84,-27.22,-26.31,-24.69,-23.28,-21.69,-19.81,-17.97,-17.53,-17.78,-18.69,-18.56,-19.0,-19.78,-20.25,-19.44,-18.47,-18.41,-18.25,-17.38,-16.56,-16.41,-17.06,-17.19,-17.06,-17.19,-17.22,-16.56,-14.69,-13.09,-12.78,-12.41,-12.0,-11.31,-10.91,-10.41,-9.97,-9.22,-10.38,-12.69,-15.44,-18.25,-21.56,-24.94,-27.81,-28.97,-29.16,-28.97,-28.03,-25.97,-23.19,-20.75,-18.75,-16.84,-14.69,-13.81,-14.12,-14.19,-13.19,-12.03,-10.59,-8.94,-6.22,-3.62,-1.88,-0.94,0.22,1.06,0.75,-0.28,-1.66,-2.66,-3.94,-6.09,-8.44,-9.97,-11.91,-14.38,-16.41,-17.06,-16.81,-16.22,-15.0,-12.97,-10.75,-9.03,-8.69,-9.12,-9.0,-9.12,-9.84,-10.06,-9.25,-8.31,-8.41,-9.06,-9.34,-10.28,-12.25,-16.0,-19.47,-22.62,-25.66,-28.47,-30.0,-30.12,-29.94,-30.16,-29.97,-28.28,-25.84,-23.28,-20.75,-17.5,-14.53,-12.62,-11.59,-10.62,-9.31,-8.31,-8.03,-8.41,-8.62,-9.22,-10.53,-12.75,-13.47,-14.0,-15.06,-15.97,-16.47,-16.88,-17.34,-18.22,-18.53,-17.94,-16.53,-15.81,-14.84,-13.06,-11.34,-10.62,-10.28,-9.34,-8.0,-7.56,-7.41,-7.72,-7.56,-8.06,-9.78,-11.91,-13.5,-15.56,-18.47,-21.53,-23.72,-24.88,-25.94,-26.78,-26.34,-25.34,-24.41,-24.56,-24.62,-24.5,-24.53,-25.06,-24.97,-24.03,-22.59,-21.5,-21.47,-20.94,-20.56,-20.78,-22.12,-22.81,-23.59,-24.0,-24.41,-24.38,-23.06,-21.34,-19.97,-19.06,-17.12,-15.06,-13.69,-12.53,-10.94,-9.72,-9.34,-10.59,-11.62,-11.94,-12.28,-12.97,-12.66,-12.06,-11.38,-12.0,-12.97,-13.62,-14.0,-14.84,-16.47,-17.56,-18.84,-20.66,-23.12,-24.91,-25.25,-24.72,-23.94,-22.47,-19.44,-16.25,-13.88,-11.97,-10.09,-8.56,-7.66,-7.34,-6.81,-6.25,-6.09,-7.5,-9.53,-11.47,-13.62,-16.59,-19.44,-21.12,-22.16,-23.44,-24.38,-24.78,-24.59,-24.16,-24.44,-24.56,-24.09,-23.72,-24.47,-25.34,-26.06,-26.0,-27.19,-28.16,-27.91,-27.16,-26.09,-25.09,-23.66,-21.34,-18.97,-17.72,-16.56,-15.38,-14.78,-15.69,-16.94,-17.28,-16.81,-17.16,-17.38,-17.31,-17.41,-17.91,-19.0,-19.75,-19.72,-20.0,-21.16,-22.22,-22.66,-22.62,-22.78,-22.41,-21.0,-18.97,-17.69,-17.5,-17.38,-17.31,-17.94,-19.16,-19.97,-19.88,-19.88,-21.06,-22.53,-22.94,-23.31,-24.16,-24.34,-23.28,-21.06,-19.31,-18.12,-17.38,-16.78,-17.16,-18.66,-20.09,-20.16,-19.72,-20.31,-20.78,-20.56,-20.38,-21.03,-21.66,-21.19,-19.66,-18.44,-17.31,-16.62,-15.88,-16.22,-18.12,-20.44,-21.19,-21.34,-21.25,-20.97,-19.5,-17.69,-16.59,-16.22,-15.53,-14.5,-14.69,-15.88,-17.0,-17.66,-18.53,-19.78,-21.25,-22.03,-22.47,-23.44,-24.56,-24.47,-23.31,-22.62,-22.5,-22.66,-22.59,-23.06,-24.19,-25.19,-25.06,-24.84,-25.53,-26.66,-26.66,-26.25,-26.59,-26.94,-26.44,-24.88,-23.88,-23.69,-23.12,-22.25,-22.56,-23.94,-25.78,-26.53,-27.25,-28.31,-28.94,-28.09,-26.66,-25.88,-25.62,-25.22,-24.31,-24.12,-24.59,-25.0,-24.5,-24.44,-25.31,-26.09,-26.19,-25.62,-25.38,-25.19,-24.22,-22.84,-22.22,-22.53,-23.12,-23.0,-23.25,-24.66,-25.56,-25.81,-26.19,-27.31,-29.03,-29.75,-30.16,-31.19,-32.0,-32.34,-31.5,-30.75,-30.94,-30.53,-28.97,-28.38,-28.84,-29.84,-30.38,-30.97,-32.59,-34.5,-34.88,-34.22,-33.88,-33.88,-32.97,-31.59,-30.59,-30.12,-29.56,-28.16,-26.59,-26.31,-27.12,-27.06,-27.5,-28.41,-29.53,-29.34,-27.59,-26.09,-25.31,-24.44,-23.75,-24.16,-26.25,-28.41,-29.88,-30.81,-32.22,-33.0,-32.56,-31.59,-31.12,-31.25,-30.75,-30.06,-30.06,-31.19,-32.19,-32.34,-32.75,-33.91,-34.59,-34.22,-33.28,-32.69,-32.69,-31.94,-31.09,-30.81,-31.38,-31.25,-30.75,-30.62,-31.41,-32.22,-32.03,-31.81,-32.19,-32.47,-31.66,-30.72,-30.25,-30.5,-30.34,-30.09,-30.97,-32.41,-33.41,-32.88,-31.69,-30.41,-28.59,-25.94,-23.62,-23.75,-25.03,-26.66,-28.81,-31.44,-33.84,-34.34,-33.94,-32.88,-32.31,-31.88,-31.0,-30.25,-30.66,-30.97,-30.44,-29.44,-29.66,-30.0,-29.5,-29.19,-28.97,-29.25,-28.97,-28.16,-27.62,-28.44,-29.06,-28.97,-28.81,-29.38,-30.19,-30.5,-30.84,-32.47,-34.19,-35.34,-35.72,-36.16,-37.25,-37.53,-37.22,-36.72,-36.97,-37.03,-36.56,-35.78,-35.88,-36.0,-35.38,-34.31,-34.06,-34.16,-33.94,-32.5,-31.31,-30.78,-29.88,-28.5,-27.34,-27.66,-28.41,-28.72,-29.03,-30.38,-32.38,-33.72,-34.56,-35.62,-37.06,-38.03,-37.88,-37.59,-38.12,-37.62,-35.66,-33.12,-31.19,-29.12,-26.75,-25.16,-25.31,-27.16,-29.59,-32.19,-35.0,-37.84,-39.38,-39.25,-38.66,-38.62,-37.97,-36.72,-34.84,-34.0,-33.06,-32.0,-30.84,-30.88,-31.56,-32.38,-32.62,-32.84,-33.72,-34.0,-32.91,-31.62,-31.41,-30.88,-30.0,-29.28,-29.44,-30.44,-31.25,-31.97,-33.47,-35.84,-37.91,-39.31,-41.09,-43.25,-44.81,-44.94,-44.59,-44.62,-44.19,-42.78,-40.81,-39.75,-38.41,-37.25,-35.12,-34.0,-33.5,-32.81,-32.03,-32.16,-33.62,-35.09,-36.38,-37.78,-39.97,-42.28,-43.78,-44.5,-45.38,-45.72,-45.56,-44.47,-43.62,-44.0,-44.53,-44.59,-44.56,-44.97,-44.53,-42.75,-40.41,-38.19,-36.41,-34.94,-33.28,-33.0,1.41,2.97,4.5,5.72,6.59,7.41,7.66,7.44,6.75,5.44,3.38,0.84,-1.62,-3.59,-4.56,-4.66,-4.25,-3.31,-2.03,-1.34,-1.31,-1.16,-0.84,-0.59,0.12,1.03,2.09,3.0,3.19,3.03,2.84,2.56,2.22,2.28,2.5,3.16,3.53,3.69,3.44,2.91,1.81,0.53:negativity
22.69,22.41,20.56,19.28,20.16,20.75,20.06,19.34,21.25,24.5,25.66,25.41,25.72,26.03,24.31,20.72,17.97,18.03,17.88,16.44,15.75,17.66,20.41,21.69,22.97,26.56,30.72,32.28,31.59,30.91,30.31,28.12,23.94,20.97,21.16,22.66,22.94,23.78,27.53,31.47,32.97,33.12,34.41,36.0,36.03,33.81,32.41,32.22,31.09,27.62,24.97,25.31,26.09,25.84,25.44,27.38,29.22,28.78,26.72,26.0,26.56,26.97,26.56,27.34,30.41,32.72,32.66,32.34,34.09,36.47,36.84,36.38,37.66,39.09,37.94,34.19,31.06,28.72,25.62,21.22,18.59,19.03,21.19,21.66,22.5,25.56,28.94,30.16,29.66,30.72,32.12,32.31,31.19,31.19,32.97,34.31,33.34,31.91,32.31,32.38,31.09,29.31,29.75,31.19,30.66,28.09,26.69,26.31,24.91,22.44,21.12,22.41,23.62,22.91,21.97,22.59,23.69,22.47,20.44,20.41,21.59,21.12,19.22,18.75,19.88,20.56,19.34,19.12,20.78,22.16,20.59,18.41,18.09,18.28,16.88,13.75,12.75,12.94,11.75,8.88,7.44,8.28,9.41,9.31,10.5,14.78,19.78,22.81,24.72,27.66,30.38,30.06,27.91,25.81,24.75,22.34,17.97,14.25,13.28,13.09,11.16,9.84,11.28,13.47,13.53,13.0,14.47,17.75,19.5,20.16,21.59,24.69,26.41,25.56,25.91,28.66,31.88,32.97,33.44,34.5,35.0,32.28,27.59,24.47,23.22,21.75,19.09,18.47,20.69,22.59,22.75,23.34,25.72,28.38,28.41,26.88,27.41,28.66,28.31,26.94,27.31,29.56,30.47,28.94,27.72,28.59,28.84,27.44,26.53,27.81,30.09,30.12,29.16,29.19,30.03,29.22,26.81,25.69,26.47,27.0,25.5,25.53,27.53,29.53,29.28,28.22,28.62,29.72,28.59,26.53,25.69,26.09,25.5,23.25,22.09,23.34,24.25,22.78,21.44,22.75,24.69,25.16,24.5,25.31,26.84,26.0,23.94,23.19,24.72,25.5,24.62,23.94,25.25,25.78,23.56,21.22,21.31,22.16,21.06,19.5,19.66,21.91,22.78,22.75,23.69,26.59,29.0,28.41,27.72,28.81,29.47,27.69,25.62,26.5,29.66,31.44,32.38,34.56,37.75,38.72,36.94,34.59,33.06,29.59,23.16,16.97,14.22,12.88,10.62,8.91,9.72,12.06,13.12,13.91,16.22,20.25,22.47,21.91,20.59,21.34,21.59,19.66,17.88,18.78,21.0,21.41,21.25,22.78,25.09,25.19,22.84,21.0,20.75,19.59,15.97,12.38,11.5,11.25,9.38,7.84,9.53,12.47,14.09,14.5,16.38,19.22,20.34,18.19,16.25,16.0,15.88,14.34,13.28,15.72,19.28,20.72,21.25,23.31,26.59,27.66,26.69,26.25,26.72,25.59,21.91,18.38,17.56,17.0,15.06,13.56,14.91,17.16,17.53,17.0,18.25,20.5,21.12,19.97,20.22,22.28,24.69,25.47,26.56,30.03,32.78,32.25,29.75,28.44,27.44,24.28,20.53,18.81,19.56,19.72,17.53,16.31,16.44,15.47,12.44,8.97,8.28,8.0,6.16,3.62,3.53,5.28,5.69,5.47,6.84,10.88,14.28,16.19,18.62,23.12,27.94,30.41,32.19,35.38,38.0,37.81,35.06,33.12,32.69,30.78,27.56,25.66,26.28,26.03,23.34,21.12,20.97,20.88,19.12,16.75,17.25,18.88,19.19,18.38,19.66,22.44,24.0,23.19,22.34,22.62,21.56,18.12,13.97,12.5,11.47,8.53,5.31,4.44,5.0,4.94,3.56,3.69,5.97,7.31,6.78,7.16,10.06,13.16,14.25,15.31,18.44,21.59,22.69,22.72,24.16,26.25,27.12,25.31,23.88,24.25,24.28,22.09,20.47,21.28,22.06,20.06,17.66,17.19,17.44,16.34,14.12,13.5,14.56,14.97,13.41,12.84,14.38,15.88,15.94,16.34,19.41,22.84,24.03,23.88,24.56,25.75,24.75,21.28,18.78,17.84,16.62,13.81,11.84,12.97,14.12,13.53,13.03,14.75,17.28,18.44,19.31,22.47,27.0,29.97,30.09,29.75,29.94,28.91,25.16,22.19,21.62,21.62,19.47,16.72,16.12,16.84,16.22,15.34,16.38,19.41,21.59,21.03,20.22,20.75,20.69,18.0,15.72,16.03,17.88,18.03,17.72,18.81,20.78,21.0,19.38,18.97,20.62,21.84,21.06,20.84,22.47,24.06,23.19,22.31,23.28,25.0,24.66,23.12,23.06,23.72,23.38,21.34,20.19,21.09,21.88,20.75,19.94,21.5,23.5,23.25,22.28,23.12,24.75,24.72,23.47,23.72,25.47,25.44,23.19,21.06,20.59,20.09,17.53,15.94,17.06,19.22,19.75,19.53,20.81,23.16,23.16,21.53,20.5,20.59,19.81,17.12,14.88,15.16,16.31,15.72,15.56,17.78,20.97,22.19,22.59,23.81,26.62,28.34,28.34,28.91,30.91,32.06,30.97,29.84,30.72,31.94,30.88,29.25,29.53,30.69,30.38,28.88,28.47,29.72,29.59,27.78,26.66,27.59,28.16,26.5,24.91,25.38,26.19,25.72,24.91,25.28,27.47,27.5,26.09,25.31,26.34,26.81,26.09,25.38,26.5,27.97,26.62,24.75,24.5,25.47,24.22,22.66,22.03,23.03,22.59,20.16,18.28,18.0,17.62,15.5,14.12,15.06,16.81,16.34,14.78,14.59,15.03,14.12,12.0,11.28,12.62,13.53,12.06,11.25,12.41,13.47,12.75,11.94,13.97,16.03,16.44,15.56,15.72,17.25,17.44,16.75,16.66,18.88,20.34,19.59,18.41,18.91,19.56,18.0,16.41,17.25,19.5,19.88,19.31,19.59,21.22,21.75,20.31,19.59,20.56,20.69,18.31,15.69,15.56,15.75,14.31,12.69,13.16,15.31,16.28,16.12,16.97,18.84,19.16,17.28,15.94,17.03,18.06,17.0,15.22,15.22,15.19,13.69,11.5,11.84,13.94,15.06,14.72,15.16,17.0,18.25,17.44,16.97,19.0,21.31,21.66,21.03,22.06,22.78,21.47,18.78,17.69,18.69,18.94,17.59,16.41,17.0,16.75,14.59,12.81,13.34,15.12,15.16,14.09,15.09,17.19,18.06,17.38,18.25,20.25,20.88,18.66,16.25,16.5,16.62,15.41,14.28,15.56,17.44,17.19,15.69,15.94,17.19,16.53,13.97,12.31,12.84,12.94,11.28,9.91,10.72,11.5,10.97,10.25,11.66,14.78,16.38,16.66,18.84,22.34,24.72,25.09,25.78,28.0,30.0,29.62,29.34,31.12,33.12,33.09,31.72,31.91,33.25,33.72,32.5,33.06,35.41,36.78,35.88,35.38,36.78,38.12,37.56,36.53,37.88,39.5,39.16,37.09,36.38,36.25,34.88,31.66,28.59,27.53,25.31,21.34,18.5,18.88,20.22,20.12,19.34,19.78,21.03,20.16,17.59,16.75,17.5,17.19,15.19,14.38,15.53,16.34,14.66,13.0,13.28,14.56,13.81,12.5,12.84,14.34,14.5,12.91,12.84,14.31,14.84,13.25,11.81,12.53,13.47,12.22,10.5,11.22,12.91,12.56,10.94,10.59,11.0,10.44,8.12,7.25,8.84,10.31,9.66,9.62,11.72,14.22,14.16,13.75,14.66,16.56,16.97,15.94,16.41,18.44,19.62,18.97,19.28,21.59,23.34,22.28,20.72,20.62,21.19,19.28,16.84,16.06,16.84,16.78,15.34,15.91,18.22,20.69,20.53,21.28,23.97,26.53,26.44,25.47,26.12,27.41,26.91,25.5,25.69,27.22,27.03,24.72,22.62,22.0,20.62,16.94,14.09,14.25,15.59,16.03,16.62,18.94,22.5,23.91,24.12,25.81,29.75,32.22,32.88,33.19,34.34,34.69,31.25,27.56,25.94,25.19,22.66,20.25,20.03,21.66,21.88,20.84,21.06,23.0,23.94,22.41,21.56,22.59,23.66,22.72,21.62,22.09,23.69,23.38,21.69,22.09,24.25,25.19,24.5,24.31,26.5,27.34,25.53,22.88,22.28,21.44,17.78,14.09,12.62,12.62,11.78,10.5,11.03,14.16,16.22,15.81,15.19,16.19,16.66,14.78,13.28,14.62,17.66,18.5,18.78,20.34,23.06,24.03,23.47,24.19,26.31,26.91,24.22,21.97,21.28,20.88,18.66,16.91,17.75,19.47,19.25,17.59,17.12,17.94,17.44,14.72,12.91,14.06,15.09,14.88,14.97,18.19,21.38,21.91,21.34,22.84,24.88,24.41,22.38,20.78,20.69,19.09,15.88,13.12,13.28,13.12,11.56,10.28,12.09,15.19,16.72,18.0,20.75,24.69,25.94,25.41,25.0,26.44,26.88,24.84,23.12,23.53,23.69,21.47,19.22,19.16,20.12,18.75,16.09,14.75,14.47,13.03,10.09,9.0,10.44,11.53,10.97,10.75,14.03,17.56,19.31,20.84,23.69,26.62,27.0,25.41,24.69,25.44,24.22,21.09,18.56,18.72,18.72,17.59,16.91,18.78,21.53,21.69,20.94,21.66,23.19,22.25,19.16,16.78,16.16,15.34,13.41,12.66,15.66,18.78,19.47,19.69,21.66,23.84,23.72,22.03,22.16,23.22,22.78,19.88,18.06,18.25,17.88,15.59,13.81,14.66,15.78,14.69,13.06,13.72,15.5,15.56,14.59,15.38,17.56,18.38,17.53,17.03,19.0,19.69,18.09,16.03,16.06,16.69,15.09,12.84,12.38,13.0,12.03,10.41,10.72,13.41,15.22,14.78,14.28,15.44,15.78,13.41,10.66,10.78,11.53,11.41,11.03,12.75,15.91,17.59,16.91,17.22,19.25,20.69,19.81,19.81,22.12,24.25,23.97,23.09,24.31,26.19,26.31:19.34,21.25,24.5,25.66,25.41,25.72,26.03,24.31,20.72,17.97,18.03,17.88,16.44,15.75,17.66,20.41,21.69,22.97,26.56,30.72,32.28,31.59,30.91,30.31,28.12,23.94,20.97,21.16,22.66,22.94,23.78,27.53,31.47,32.97,33.12,34.41,36.0,36.03,33.81,32.41,32.22,31.09,27.62,24.97,25.31,26.09,25.84,25.44,27.38,29.22,28.78,26.72,26.0,26.56,26.97,26.56,27.34,30.41,32.72,32.66,32.34,34.09,36.47,36.84,36.38,37.66,39.09,37.94,34.19,31.06,28.72,25.62,21.22,18.59,19.03,21.19,21.66,22.5,25.56,28.94,30.16,29.66,30.72,32.12,32.31,31.19,31.19,32.97,34.31,33.34,31.91,32.31,32.38,31.09,29.31,29.75,31.19,30.66,28.09,26.69,26.31,24.91,22.44,21.12,22.41,23.62,22.91,21.97,22.59,23.69,22.47,20.44,20.41,21.59,21.12,19.22,18.75,19.88,20.56,19.34,19.12,20.78,22.16,20.59,18.41,18.09,18.28,16.88,13.75,12.75,12.94,11.75,8.88,7.44,8.28,9.41,9.31,10.5,14.78,19.78,22.81,24.72,27.66,30.38,30.06,27.91,25.81,24.75,22.34,17.97,14.25,13.28,13.09,11.16,9.84,11.28,13.47,13.53,13.0,14.47,17.75,19.5,20.16,21.59,24.69,26.41,25.56,25.91,28.66,31.88,32.97,33.44,34.5,35.0,32.28,27.59,24.47,23.22,21.75,19.09,18.47,20.69,22.59,22.75,23.34,25.72,28.38,28.41,26.88,27.41,28.66,28.31,26.94,27.31,29.56,30.47,28.94,27.72,28.59,28.84,27.44,26.53,27.81,30.09,30.12,29.16,29.19,30.03,29.22,26.81,25.69,26.47,27.0,25.5,25.53,27.53,29.53,29.28,28.22,28.62,29.72,28.59,26.53,25.69,26.09,25.5,23.25,22.09,23.34,24.25,22.78,21.44,22.75,24.69,25.16,24.5,25.31,26.84,26.0,23.94,23.19,24.72,25.5,24.62,23.94,25.25,25.78,23.56,21.22,21.31,22.16,21.06,19.5,19.66,21.91,22.78,22.75,23.69,26.59,29.0,28.41,27.72,28.81,29.47,27.69,25.62,26.5,29.66,31.44,32.38,34.56,37.75,38.72,36.94,34.59,33.06,29.59,23.16,16.97,14.22,12.88,10.62,8.91,9.72,12.06,13.12,13.91,16.22,20.25,22.47,21.91,20.59,21.34,21.59,19.66,17.88,18.78,21.0,21.41,21.25,22.78,25.09,25.19,22.84,21.0,20.75,19.59,15.97,12.38,11.5,11.25,9.38,7.84,9.53,12.47,14.09,14.5,16.38,19.22,20.34,18.19,16.25,16.0,15.88,14.34,13.28,15.72,19.28,20.72,21.25,23.31,26.59,27.66,26.69,26.25,26.72,25.59,21.91,18.38,17.56,17.0,15.06,13.56,14.91,17.16,17.53,17.0,18.25,20.5,21.12,19.97,20.22,22.28,24.69,25.47,26.56,30.03,32.78,32.25,29.75,28.44,27.44,24.28,20.53,18.81,19.56,19.72,17.53,16.31,16.44,15.47,12.44,8.97,8.28,8.0,6.16,3.62,3.53,5.28,5.69,5.47,6.84,10.88,14.28,16.19,18.62,23.12,27.94,30.41,32.19,35.38,38.0,37.81,35.06,33.12,32.69,30.78,27.56,25.66,26.28,26.03,23.34,21.12,20.97,20.88,19.12,16.75,17.25,18.88,19.19,18.38,19.66,22.44,24.0,23.19,22.34,22.62,21.56,18.12,13.97,12.5,11.47,8.53,5.31,4.44,5.0,4.94,3.56,3.69,5.97,7.31,6.78,7.16,10.06,13.16,14.25,15.31,18.44,21.59,22.69,22.72,24.16,26.25,27.12,25.31,23.88,24.25,24.28,22.09,20.47,21.28,22.06,20.06,17.66,17.19,17.44,16.34,14.12,13.5,14.56,14.97,13.41,12.84,14.38,15.88,15.94,16.34,19.41,22.84,24.03,23.88,24.56,25.75,24.75,21.28,18.78,17.84,16.62,13.81,11.84,12.97,14.12,13.53,13.03,14.75,17.28,18.44,19.31,22.47,27.0,29.97,30.09,29.75,29.94,28.91,25.16,22.19,21.62,21.62,19.47,16.72,16.12,16.84,16.22,15.34,16.38,19.41,21.59,21.03,20.22,20.75,20.69,18.0,15.72,16.03,17.88,18.03,17.72,18.81,20.78,21.0,19.38,18.97,20.62,21.84,21.06,20.84,22.47,24.06,23.19,22.31,23.28,25.0,24.66,23.12,23.06,23.72,23.38,21.34,20.19,21.09,21.88,20.75,19.94,21.5,23.5,23.25,22.28,23.12,24.75,24.72,23.47,23.72,25.47,25.44,23.19,21.06,20.59,20.09,17.53,15.94,17.06,19.22,19.75,19.53,20.81,23.16,23.16,21.53,20.5,20.59,19.81,17.12,14.88,15.16,16.31,15.72,15.56,17.78,20.97,22.19,22.59,23.81,26.62,28.34,28.34,28.91,30.91,32.06,30.97,29.84,30.72,31.94,30.88,29.25,29.53,30.69,30.38,28.88,28.47,29.72,29.59,27.78,26.66,27.59,28.16,26.5,24.91,25.38,26.19,25.72,24.91,25.28,27.47,27.5,26.09,25.31,26.34,26.81,26.09,25.38,26.5,27.97,26.62,24.75,24.5,25.47,24.22,22.66,22.03,23.03,22.59,20.16,18.28,18.0,17.62,15.5,14.12,15.06,16.81,16.34,14.78,14.59,15.03,14.12,12.0,11.28,12.62,13.53,12.06,11.25,12.41,13.47,12.75,11.94,13.97,16.03,16.44,15.56,15.72,17.25,17.44,16.75,16.66,18.88,20.34,19.59,18.41,18.91,19.56,18.0,16.41,17.25,19.5,19.88,19.31,19.59,21.22,21.75,20.31,19.59,20.56,20.69,18.31,15.69,15.56,15.75,14.31,12.69,13.16,15.31,16.28,16.12,16.97,18.84,19.16,17.28,15.94,17.03,18.06,17.0,15.22,15.22,15.19,13.69,11.5,11.84,13.94,15.06,14.72,15.16,17.0,18.25,17.44,16.97,19.0,21.31,21.66,21.03,22.06,22.78,21.47,18.78,17.69,18.69,18.94,17.59,16.41,17.0,16.75,14.59,12.81,13.34,15.12,15.16,14.09,15.09,17.19,18.06,17.38,18.25,20.25,20.88,18.66,16.25,16.5,16.62,15.41,14.28,15.56,17.44,17.19,15.69,15.94,17.19,16.53,13.97,12.31,12.84,12.94,11.28,9.91,10.72,11.5,10.97,10.25,11.66,14.78,16.38,16.66,18.84,22.34,24.72,25.09,25.78,28.0,30.0,29.62,29.34,31.12,33.12,33.09,31.72,31.91,33.25,33.72,32.5,33.06,35.41,36.78,35.88,35.38,36.78,38.12,37.56,36.53,37.88,39.5,39.16,37.09,36.38,36.25,34.88,31.66,28.59,27.53,25.31,21.34,18.5,18.88,20.22,20.12,19.34,19.78,21.03,20.16,17.59,16.75,17.5,17.19,15.19,14.38,15.53,16.34,14.66,13.0,13.28,14.56,13.81,12.5,12.84,14.34,14.5,12.91,12.84,14.31,14.84,13.25,11.81,12.53,13.47,12.22,10.5,11.22,12.91,12.56,10.94,10.59,11.0,10.44,8.12,7.25,8.84,10.31,9.66,9.62,11.72,14.22,14.16,13.75,14.66,16.56,16.97,15.94,16.41,18.44,19.62,18.97,19.28,21.59,23.34,22.28,20.72,20.62,21.19,19.28,16.84,16.06,16.84,16.78,15.34,15.91,18.22,20.69,20.53,21.28,23.97,26.53,26.44,25.47,26.12,27.41,26.91,25.5,25.69,27.22,27.03,24.72,22.62,22.0,20.62,16.94,14.09,14.25,15.59,16.03,16.62,18.94,22.5,23.91,24.12,25.81,29.75,32.22,32.88,33.19,34.34,34.69,31.25,27.56,25.94,25.19,22.66,20.25,20.03,21.66,21.88,20.84,21.06,23.0,23.94,22.41,21.56,22.59,23.66,22.72,21.62,22.09,23.69,23.38,21.69,22.09,24.25,25.19,24.5,24.31,26.5,27.34,25.53,22.88,22.28,21.44,17.78,14.09,12.62,12.62,11.78,10.5,11.03,14.16,16.22,15.81,15.19,16.19,16.66,14.78,13.28,14.62,17.66,18.5,18.78,20.34,23.06,24.03,23.47,24.19,26.31,26.91,24.22,21.97,21.28,20.88,18.66,16.91,17.75,19.47,19.25,17.59,17.12,17.94,17.44,14.72,12.91,14.06,15.09,14.88,14.97,18.19,21.38,21.91,21.34,22.84,24.88,24.41,22.38,20.78,20.69,19.09,15.88,13.12,13.28,13.12,11.56,10.28,12.09,15.19,16.72,18.0,20.75,24.69,25.94,25.41,25.0,26.44,26.88,24.84,23.12,23.53,23.69,21.47,19.22,19.16,20.12,18.75,16.09,14.75,14.47,13.03,10.09,9.0,10.44,11.53,10.97,10.75,14.03,17.56,19.31,20.84,23.69,26.62,27.0,25.41,24.69,25.44,24.22,21.09,18.56,18.72,18.72,17.59,16.91,18.78,21.53,21.69,20.94,21.66,23.19,22.25,19.16,16.78,16.16,15.34,13.41,12.66,15.66,18.78,19.47,19.69,21.66,23.84,23.72,22.03,22.16,23.22,22.78,19.88,18.06,18.25,17.88,15.59,13.81,14.66,15.78,14.69,13.06,13.72,15.5,15.56,14.59,15.38,17.56,18.38,17.53,17.03,19.0,19.69,18.09,16.03,16.06,16.69,15.09,12.84,12.38,13.0,12.03,10.41,10.72,13.41,15.22,14.78,14.28,15.44,15.78,13.41,10.66,10.78,11.53,11.41,11.03,12.75,15.91,17.59,16.91,17.22,19.25,20.69,19.81,19.81,22.12,24.25,23.97,23.09,24.31,26.19,26.31,31.41,31.41,30.38,29.69,30.03,30.03,29.38:24.31,20.72,17.97,18.03,17.88,16.44,15.75,17.66,20.41,21.69,22.97,26.56,30.72,32.28,31.59,30.91,30.31,28.12,23.94,20.97,21.16,22.66,22.94,23.78,27.53,31.47,32.97,33.12,34.41,36.0,36.03,33.81,32.41,32.22,31.09,27.62,24.97,25.31,26.09,25.84,25.44,27.38,29.22,28.78,26.72,26.0,26.56,26.97,26.56,27.34,30.41,32.72,32.66,32.34,34.09,36.47,36.84,36.38,37.66,39.09,37.94,34.19,31.06,28.72,25.62,21.22,18.59,19.03,21.19,21.66,22.5,25.56,28.94,30.16,29.66,30.72,32.12,32.31,31.19,31.19,32.97,34.31,33.34,31.91,32.31,32.38,31.09,29.31,29.75,31.19,30.66,28.09,26.69,26.31,24.91,22.44,21.12,22.41,23.62,22.91,21.97,22.59,23.69,22.47,20.44,20.41,21.59,21.12,19.22,18.75,19.88,20.56,19.34,19.12,20.78,22.16,20.59,18.41,18.09,18.28,16.88,13.75,12.75,12.94,11.75,8.88,7.44,8.28,9.41,9.31,10.5,14.78,19.78,22.81,24.72,27.66,30.38,30.06,27.91,25.81,24.75,22.34,17.97,14.25,13.28,13.09,11.16,9.84,11.28,13.47,13.53,13.0,14.47,17.75,19.5,20.16,21.59,24.69,26.41,25.56,25.91,28.66,31.88,32.97,33.44,34.5,35.0,32.28,27.59,24.47,23.22,21.75,19.09,18.47,20.69,22.59,22.75,23.34,25.72,28.38,28.41,26.88,27.41,28.66,28.31,26.94,27.31,29.56,30.47,28.94,27.72,28.59,28.84,27.44,26.53,27.81,30.09,30.12,29.16,29.19,30.03,29.22,26.81,25.69,26.47,27.0,25.5,25.53,27.53,29.53,29.28,28.22,28.62,29.72,28.59,26.53,25.69,26.09,25.5,23.25,22.09,23.34,24.25,22.78,21.44,22.75,24.69,25.16,24.5,25.31,26.84,26.0,23.94,23.19,24.72,25.5,24.62,23.94,25.25,25.78,23.56,21.22,21.31,22.16,21.06,19.5,19.66,21.91,22.78,22.75,23.69,26.59,29.0,28.41,27.72,28.81,29.47,27.69,25.62,26.5,29.66,31.44,32.38,34.56,37.75,38.72,36.94,34.59,33.06,29.59,23.16,16.97,14.22,12.88,10.62,8.91,9.72,12.06,13.12,13.91,16.22,20.25,22.47,21.91,20.59,21.34,21.59,19.66,17.88,18.78,21.0,21.41,21.25,22.78,25.09,25.19,22.84,21.0,20.75,19.59,15.97,12.38,11.5,11.25,9.38,7.84,9.53,12.47,14.09,14.5,16.38,19.22,20.34,18.19,16.25,16.0,15.88,14.34,13.28,15.72,19.28,20.72,21.25,23.31,26.59,27.66,26.69,26.25,26.72,25.59,21.91,18.38,17.56,17.0,15.06,13.56,14.91,17.16,17.53,17.0,18.25,20.5,21.12,19.97,20.22,22.28,24.69,25.47,26.56,30.03,32.78,32.25,29.75,28.44,27.44,24.28,20.53,18.81,19.56,19.72,17.53,16.31,16.44,15.47,12.44,8.97,8.28,8.0,6.16,3.62,3.53,5.28,5.69,5.47,6.84,10.88,14.28,16.19,18.62,23.12,27.94,30.41,32.19,35.38,38.0,37.81,35.06,33.12,32.69,30.78,27.56,25.66,26.28,26.03,23.34,21.12,20.97,20.88,19.12,16.75,17.25,18.88,19.19,18.38,19.66,22.44,24.0,23.19,22.34,22.62,21.56,18.12,13.97,12.5,11.47,8.53,5.31,4.44,5.0,4.94,3.56,3.69,5.97,7.31,6.78,7.16,10.06,13.16,14.25,15.31,18.44,21.59,22.69,22.72,24.16,26.25,27.12,25.31,23.88,24.25,24.28,22.09,20.47,21.28,22.06,20.06,17.66,17.19,17.44,16.34,14.12,13.5,14.56,14.97,13.41,12.84,14.38,15.88,15.94,16.34,19.41,22.84,24.03,23.88,24.56,25.75,24.75,21.28,18.78,17.84,16.62,13.81,11.84,12.97,14.12,13.53,13.03,14.75,17.28,18.44,19.31,22.47,27.0,29.97,30.09,29.75,29.94,28.91,25.16,22.19,21.62,21.62,19.47,16.72,16.12,16.84,16.22,15.34,16.38,19.41,21.59,21.03,20.22,20.75,20.69,18.0,15.72,16.03,17.88,18.03,17.72,18.81,20.78,21.0,19.38,18.97,20.62,21.84,21.06,20.84,22.47,24.06,23.19,22.31,23.28,25.0,24.66,23.12,23.06,23.72,23.38,21.34,20.19,21.09,21.88,20.75,19.94,21.5,23.5,23.25,22.28,23.12,24.75,24.72,23.47,23.72,25.47,25.44,23.19,21.06,20.59,20.09,17.53,15.94,17.06,19.22,19.75,19.53,20.81,23.16,23.16,21.53,20.5,20.59,19.81,17.12,14.88,15.16,16.31,15.72,15.56,17.78,20.97,22.19,22.59,23.81,26.62,28.34,28.34,28.91,30.91,32.06,30.97,29.84,30.72,31.94,30.88,29.25,29.53,30.69,30.38,28.88,28.47,29.72,29.59,27.78,26.66,27.59,28.16,26.5,24.91,25.38,26.19,25.72,24.91,25.28,27.47,27.5,26.09,25.31,26.34,26.81,26.09,25.38,26.5,27.97,26.62,24.75,24.5,25.47,24.22,22.66,22.03,23.03,22.59,20.16,18.28,18.0,17.62,15.5,14.12,15.06,16.81,16.34,14.78,14.59,15.03,14.12,12.0,11.28,12.62,13.53,12.06,11.25,12.41,13.47,12.75,11.94,13.97,16.03,16.44,15.56,15.72,17.25,17.44,16.75,16.66,18.88,20.34,19.59,18.41,18.91,19.56,18.0,16.41,17.25,19.5,19.88,19.31,19.59,21.22,21.75,20.31,19.59,20.56,20.69,18.31,15.69,15.56,15.75,14.31,12.69,13.16,15.31,16.28,16.12,16.97,18.84,19.16,17.28,15.94,17.03,18.06,17.0,15.22,15.22,15.19,13.69,11.5,11.84,13.94,15.06,14.72,15.16,17.0,18.25,17.44,16.97,19.0,21.31,21.66,21.03,22.06,22.78,21.47,18.78,17.69,18.69,18.94,17.59,16.41,17.0,16.75,14.59,12.81,13.34,15.12,15.16,14.09,15.09,17.19,18.06,17.38,18.25,20.25,20.88,18.66,16.25,16.5,16.62,15.41,14.28,15.56,17.44,17.19,15.69,15.94,17.19,16.53,13.97,12.31,12.84,12.94,11.28,9.91,10.72,11.5,10.97,10.25,11.66,14.78,16.38,16.66,18.84,22.34,24.72,25.09,25.78,28.0,30.0,29.62,29.34,31.12,33.12,33.09,31.72,31.91,33.25,33.72,32.5,33.06,35.41,36.78,35.88,35.38,36.78,38.12,37.56,36.53,37.88,39.5,39.16,37.09,36.38,36.25,34.88,31.66,28.59,27.53,25.31,21.34,18.5,18.88,20.22,20.12,19.34,19.78,21.03,20.16,17.59,16.75,17.5,17.19,15.19,14.38,15.53,16.34,14.66,13.0,13.28,14.56,13.81,12.5,12.84,14.34,14.5,12.91,12.84,14.31,14.84,13.25,11.81,12.53,13.47,12.22,10.5,11.22,12.91,12.56,10.94,10.59,11.0,10.44,8.12,7.25,8.84,10.31,9.66,9.62,11.72,14.22,14.16,13.75,14.66,16.56,16.97,15.94,16.41,18.44,19.62,18.97,19.28,21.59,23.34,22.28,20.72,20.62,21.19,19.28,16.84,16.06,16.84,16.78,15.34,15.91,18.22,20.69,20.53,21.28,23.97,26.53,26.44,25.47,26.12,27.41,26.91,25.5,25.69,27.22,27.03,24.72,22.62,22.0,20.62,16.94,14.09,14.25,15.59,16.03,16.62,18.94,22.5,23.91,24.12,25.81,29.75,32.22,32.88,33.19,34.34,34.69,31.25,27.56,25.94,25.19,22.66,20.25,20.03,21.66,21.88,20.84,21.06,23.0,23.94,22.41,21.56,22.59,23.66,22.72,21.62,22.09,23.69,23.38,21.69,22.09,24.25,25.19,24.5,24.31,26.5,27.34,25.53,22.88,22.28,21.44,17.78,14.09,12.62,12.62,11.78,10.5,11.03,14.16,16.22,15.81,15.19,16.19,16.66,14.78,13.28,14.62,17.66,18.5,18.78,20.34,23.06,24.03,23.47,24.19,26.31,26.91,24.22,21.97,21.28,20.88,18.66,16.91,17.75,19.47,19.25,17.59,17.12,17.94,17.44,14.72,12.91,14.06,15.09,14.88,14.97,18.19,21.38,21.91,21.34,22.84,24.88,24.41,22.38,20.78,20.69,19.09,15.88,13.12,13.28,13.12,11.56,10.28,12.09,15.19,16.72,18.0,20.75,24.69,25.94,25.41,25.0,26.44,26.88,24.84,23.12,23.53,23.69,21.47,19.22,19.16,20.12,18.75,16.09,14.75,14.47,13.03,10.09,9.0,10.44,11.53,10.97,10.75,14.03,17.56,19.31,20.84,23.69,26.62,27.0,25.41,24.69,25.44,24.22,21.09,18.56,18.72,18.72,17.59,16.91,18.78,21.53,21.69,20.94,21.66,23.19,22.25,19.16,16.78,16.16,15.34,13.41,12.66,15.66,18.78,19.47,19.69,21.66,23.84,23.72,22.03,22.16,23.22,22.78,19.88,18.06,18.25,17.88,15.59,13.81,14.66,15.78,14.69,13.06,13.72,15.5,15.56,14.59,15.38,17.56,18.38,17.53,17.03,19.0,19.69,18.09,16.03,16.06,16.69,15.09,12.84,12.38,13.0,12.03,10.41,10.72,13.41,15.22,14.78,14.28,15.44,15.78,13.41,10.66,10.78,11.53,11.41,11.03,12.75,15.91,17.59,16.91,17.22,19.25,20.69,19.81,19.81,22.12,24.25,23.97,23.09,24.31,26.19,26.31,31.41,31.41,30.38,29.69,30.03,30.03,29.38,28.06,29.25,31.12,31.94,31.94,32.53,32.91:17.66,20.41,21.69,22.97,26.56,30.72,32.28,31.59,30.91,30.31,28.12,23.94,20.97,21.16,22.66,22.94,23.78,27.53,31.47,32.97,33.12,34.41,36.0,36.03,33.81,32.41,32.22,31.09,27.62,24.97,25.31,26.09,25.84,25.44,27.38,29.22,28.78,26.72,26.0,26.56,26.97,26.56,27.34,30.41,32.72,32.66,32.34,34.09,36.47,36.84,36.38,37.66,39.09,37.94,34.19,31.06,28.72,25.62,21.22,18.59,19.03,21.19,21.66,22.5,25.56,28.94,30.16,29.66,30.72,32.12,32.31,31.19,31.19,32.97,34.31,33.34,31.91,32.31,32.38,31.09,29.31,29.75,31.19,30.66,28.09,26.69,26.31,24.91,22.44,21.12,22.41,23.62,22.91,21.97,22.59,23.69,22.47,20.44,20.41,21.59,21.12,19.22,18.75,19.88,20.56,19.34,19.12,20.78,22.16,20.59,18.41,18.09,18.28,16.88,13.75,12.75,12.94,11.75,8.88,7.44,8.28,9.41,9.31,10.5,14.78,19.78,22.81,24.72,27.66,30.38,30.06,27.91,25.81,24.75,22.34,17.97,14.25,13.28,13.09,11.16,9.84,11.28,13.47,13.53,13.0,14.47,17.75,19.5,20.16,21.59,24.69,26.41,25.56,25.91,28.66,31.88,32.97,33.44,34.5,35.0,32.28,27.59,24.47,23.22,21.75,19.09,18.47,20.69,22.59,22.75,23.34,25.72,28.38,28.41,26.88,27.41,28.66,28.31,26.94,27.31,29.56,30.47,28.94,27.72,28.59,28.84,27.44,26.53,27.81,30.09,30.12,29.16,29.19,30.03,29.22,26.81,25.69,26.47,27.0,25.5,25.53,27.53,29.53,29.28,28.22,28.62,29.72,28.59,26.53,25.69,26.09,25.5,23.25,22.09,23.34,24.25,22.78,21.44,22.75,24.69,25.16,24.5,25.31,26.84,26.0,23.94,23.19,24.72,25.5,24.62,23.94,25.25,25.78,23.56,21.22,21.31,22.16,21.06,19.5,19.66,21.91,22.78,22.75,23.69,26.59,29.0,28.41,27.72,28.81,29.47,27.69,25.62,26.5,29.66,31.44,32.38,34.56,37.75,38.72,36.94,34.59,33.06,29.59,23.16,16.97,14.22,12.88,10.62,8.91,9.72,12.06,13.12,13.91,16.22,20.25,22.47,21.91,20.59,21.34,21.59,19.66,17.88,18.78,21.0,21.41,21.25,22.78,25.09,25.19,22.84,21.0,20.75,19.59,15.97,12.38,11.5,11.25,9.38,7.84,9.53,12.47,14.09,14.5,16.38,19.22,20.34,18.19,16.25,16.0,15.88,14.34,13.28,15.72,19.28,20.72,21.25,23.31,26.59,27.66,26.69,26.25,26.72,25.59,21.91,18.38,17.56,17.0,15.06,13.56,14.91,17.16,17.53,17.0,18.25,20.5,21.12,19.97,20.22,22.28,24.69,25.47,26.56,30.03,32.78,32.25,29.75,28.44,27.44,24.28,20.53,18.81,19.56,19.72,17.53,16.31,16.44,15.47,12.44,8.97,8.28,8.0,6.16,3.62,3.53,5.28,5.69,5.47,6.84,10.88,14.28,16.19,18.62,23.12,27.94,30.41,32.19,35.38,38.0,37.81,35.06,33.12,32.69,30.78,27.56,25.66,26.28,26.03,23.34,21.12,20.97,20.88,19.12,16.75,17.25,18.88,19.19,18.38,19.66,22.44,24.0,23.19,22.34,22.62,21.56,18.12,13.97,12.5,11.47,8.53,5.31,4.44,5.0,4.94,3.56,3.69,5.97,7.31,6.78,7.16,10.06,13.16,14.25,15.31,18.44,21.59,22.69,22.72,24.16,26.25,27.12,25.31,23.88,24.25,24.28,22.09,20.47,21.28,22.06,20.06,17.66,17.19,17.44,16.34,14.12,13.5,14.56,14.97,13.41,12.84,14.38,15.88,15.94,16.34,19.41,22.84,24.03,23.88,24.56,25.75,24.75,21.28,18.78,17.84,16.62,13.81,11.84,12.97,14.12,13.53,13.03,14.75,17.28,18.44,19.31,22.47,27.0,29.97,30.09,29.75,29.94,28.91,25.16,22.19,21.62,21.62,19.47,16.72,16.12,16.84,16.22,15.34,16.38,19.41,21.59,21.03,20.22,20.75,20.69,18.0,15.72,16.03,17.88,18.03,17.72,18.81,20.78,21.0,19.38,18.97,20.62,21.84,21.06,20.84,22.47,24.06,23.19,22.31,23.28,25.0,24.66,23.12,23.06,23.72,23.38,21.34,20.19,21.09,21.88,20.75,19.94,21.5,23.5,23.25,22.28,23.12,24.75,24.72,23.47,23.72,25.47,25.44,23.19,21.06,20.59,20.09,17.53,15.94,17.06,19.22,19.75,19.53,20.81,23.16,23.16,21.53,20.5,20.59,19.81,17.12,14.88,15.16,16.31,15.72,15.56,17.78,20.97,22.19,22.59,23.81,26.62,28.34,28.34,28.91,30.91,32.06,30.97,29.84,30.72,31.94,30.88,29.25,29.53,30.69,30.38,28.88,28.47,29.72,29.59,27.78,26.66,27.59,28.16,26.5,24.91,25.38,26.19,25.72,24.91,25.28,27.47,27.5,26.09,25.31,26.34,26.81,26.09,25.38,26.5,27.97,26.62,24.75,24.5,25.47,24.22,22.66,22.03,23.03,22.59,20.16,18.28,18.0,17.62,15.5,14.12,15.06,16.81,16.34,14.78,14.59,15.03,14.12,12.0,11.28,12.62,13.53,12.06,11.25,12.41,13.47,12.75,11.94,13.97,16.03,16.44,15.56,15.72,17.25,17.44,16.75,16.66,18.88,20.34,19.59,18.41,18.91,19.56,18.0,16.41,17.25,19.5,19.88,19.31,19.59,21.22,21.75,20.31,19.59,20.56,20.69,18.31,15.69,15.56,15.75,14.31,12.69,13.16,15.31,16.28,16.12,16.97,18.84,19.16,17.28,15.94,17.03,18.06,17.0,15.22,15.22,15.19,13.69,11.5,11.84,13.94,15.06,14.72,15.16,17.0,18.25,17.44,16.97,19.0,21.31,21.66,21.03,22.06,22.78,21.47,18.78,17.69,18.69,18.94,17.59,16.41,17.0,16.75,14.59,12.81,13.34,15.12,15.16,14.09,15.09,17.19,18.06,17.38,18.25,20.25,20.88,18.66,16.25,16.5,16.62,15.41,14.28,15.56,17.44,17.19,15.69,15.94,17.19,16.53,13.97,12.31,12.84,12.94,11.28,9.91,10.72,11.5,10.97,10.25,11.66,14.78,16.38,16.66,18.84,22.34,24.72,25.09,25.78,28.0,30.0,29.62,29.34,31.12,33.12,33.09,31.72,31.91,33.25,33.72,32.5,33.06,35.41,36.78,35.88,35.38,36.78,38.12,37.56,36.53,37.88,39.5,39.16,37.09,36.38,36.25,34.88,31.66,28.59,27.53,25.31,21.34,18.5,18.88,20.22,20.12,19.34,19.78,21.03,20.16,17.59,16.75,17.5,17.19,15.19,14.38,15.53,16.34,14.66,13.0,13.28,14.56,13.81,12.5,12.84,14.34,14.5,12.91,12.84,14.31,14.84,13.25,11.81,12.53,13.47,12.22,10.5,11.22,12.91,12.56,10.94,10.59,11.0,10.44,8.12,7.25,8.84,10.31,9.66,9.62,11.72,14.22,14.16,13.75,14.66,16.56,16.97,15.94,16.41,18.44,19.62,18.97,19.28,21.59,23.34,22.28,20.72,20.62,21.19,19.28,16.84,16.06,16.84,16.78,15.34,15.91,18.22,20.69,20.53,21.28,23.97,26.53,26.44,25.47,26.12,27.41,26.91,25.5,25.69,27.22,27.03,24.72,22.62,22.0,20.62,16.94,14.09,14.25,15.59,16.03,16.62,18.94,22.5,23.91,24.12,25.81,29.75,32.22,32.88,33.19,34.34,34.69,31.25,27.56,25.94,25.19,22.66,20.25,20.03,21.66,21.88,20.84,21.06,23.0,23.94,22.41,21.56,22.59,23.66,22.72,21.62,22.09,23.69,23.38,21.69,22.09,24.25,25.19,24.5,24.31,26.5,27.34,25.53,22.88,22.28,21.44,17.78,14.09,12.62,12.62,11.78,10.5,11.03,14.16,16.22,15.81,15.19,16.19,16.66,14.78,13.28,14.62,17.66,18.5,18.78,20.34,23.06,24.03,23.47,24.19,26.31,26.91,24.22,21.97,21.28,20.88,18.66,16.91,17.75,19.47,19.25,17.59,17.12,17.94,17.44,14.72,12.91,14.06,15.09,14.88,14.97,18.19,21.38,21.91,21.34,22.84,24.88,24.41,22.38,20.78,20.69,19.09,15.88,13.12,13.28,13.12,11.56,10.28,12.09,15.19,16.72,18.0,20.75,24.69,25.94,25.41,25.0,26.44,26.88,24.84,23.12,23.53,23.69,21.47,19.22,19.16,20.12,18.75,16.09,14.75,14.47,13.03,10.09,9.0,10.44,11.53,10.97,10.75,14.03,17.56,19.31,20.84,23.69,26.62,27.0,25.41,24.69,25.44,24.22,21.09,18.56,18.72,18.72,17.59,16.91,18.78,21.53,21.69,20.94,21.66,23.19,22.25,19.16,16.78,16.16,15.34,13.41,12.66,15.66,18.78,19.47,19.69,21.66,23.84,23.72,22.03,22.16,23.22,22.78,19.88,18.06,18.25,17.88,15.59,13.81,14.66,15.78,14.69,13.06,13.72,15.5,15.56,14.59,15.38,17.56,18.38,17.53,17.03,19.0,19.69,18.09,16.03,16.06,16.69,15.09,12.84,12.38,13.0,12.03,10.41,10.72,13.41,15.22,14.78,14.28,15.44,15.78,13.41,10.66,10.78,11.53,11.41,11.03,12.75,15.91,17.59,16.91,17.22,19.25,20.69,19.81,19.81,22.12,24.25,23.97,23.09,24.31,26.19,26.31,31.41,31.41,30.38,29.69,30.03,30.03,29.38,28.06,29.25,31.12,31.94,31.94,32.53,32.91,31.69,28.84,26.44,25.62,24.38,22.41,21.38:31.59,30.91,30.31,28.12,23.94,20.97,21.16,22.66,22.94,23.78,27.53,31.47,32.97,33.12,34.41,36.0,36.03,33.81,32.41,32.22,31.09,27.62,24.97,25.31,26.09,25.84,25.44,27.38,29.22,28.78,26.72,26.0,26.56,26.97,26.56,27.34,30.41,32.72,32.66,32.34,34.09,36.47,36.84,36.38,37.66,39.09,37.94,34.19,31.06,28.72,25.62,21.22,18.59,19.03,21.19,21.66,22.5,25.56,28.94,30.16,29.66,30.72,32.12,32.31,31.19,31.19,32.97,34.31,33.34,31.91,32.31,32.38,31.09,29.31,29.75,31.19,30.66,28.09,26.69,26.31,24.91,22.44,21.12,22.41,23.62,22.91,21.97,22.59,23.69,22.47,20.44,20.41,21.59,21.12,19.22,18.75,19.88,20.56,19.34,19.12,20.78,22.16,20.59,18.41,18.09,18.28,16.88,13.75,12.75,12.94,11.75,8.88,7.44,8.28,9.41,9.31,10.5,14.78,19.78,22.81,24.72,27.66,30.38,30.06,27.91,25.81,24.75,22.34,17.97,14.25,13.28,13.09,11.16,9.84,11.28,13.47,13.53,13.0,14.47,17.75,19.5,20.16,21.59,24.69,26.41,25.56,25.91,28.66,31.88,32.97,33.44,34.5,35.0,32.28,27.59,24.47,23.22,21.75,19.09,18.47,20.69,22.59,22.75,23.34,25.72,28.38,28.41,26.88,27.41,28.66,28.31,26.94,27.31,29.56,30.47,28.94,27.72,28.59,28.84,27.44,26.53,27.81,30.09,30.12,29.16,29.19,30.03,29.22,26.81,25.69,26.47,27.0,25.5,25.53,27.53,29.53,29.28,28.22,28.62,29.72,28.59,26.53,25.69,26.09,25.5,23.25,22.09,23.34,24.25,22.78,21.44,22.75,24.69,25.16,24.5,25.31,26.84,26.0,23.94,23.19,24.72,25.5,24.62,23.94,25.25,25.78,23.56,21.22,21.31,22.16,21.06,19.5,19.66,21.91,22.78,22.75,23.69,26.59,29.0,28.41,27.72,28.81,29.47,27.69,25.62,26.5,29.66,31.44,32.38,34.56,37.75,38.72,36.94,34.59,33.06,29.59,23.16,16.97,14.22,12.88,10.62,8.91,9.72,12.06,13.12,13.91,16.22,20.25,22.47,21.91,20.59,21.34,21.59,19.66,17.88,18.78,21.0,21.41,21.25,22.78,25.09,25.19,22.84,21.0,20.75,19.59,15.97,12.38,11.5,11.25,9.38,7.84,9.53,12.47,14.09,14.5,16.38,19.22,20.34,18.19,16.25,16.0,15.88,14.34,13.28,15.72,19.28,20.72,21.25,23.31,26.59,27.66,26.69,26.25,26.72,25.59,21.91,18.38,17.56,17.0,15.06,13.56,14.91,17.16,17.53,17.0,18.25,20.5,21.12,19.97,20.22,22.28,24.69,25.47,26.56,30.03,32.78,32.25,29.75,28.44,27.44,24.28,20.53,18.81,19.56,19.72,17.53,16.31,16.44,15.47,12.44,8.97,8.28,8.0,6.16,3.62,3.53,5.28,5.69,5.47,6.84,10.88,14.28,16.19,18.62,23.12,27.94,30.41,32.19,35.38,38.0,37.81,35.06,33.12,32.69,30.78,27.56,25.66,26.28,26.03,23.34,21.12,20.97,20.88,19.12,16.75,17.25,18.88,19.19,18.38,19.66,22.44,24.0,23.19,22.34,22.62,21.56,18.12,13.97,12.5,11.47,8.53,5.31,4.44,5.0,4.94,3.56,3.69,5.97,7.31,6.78,7.16,10.06,13.16,14.25,15.31,18.44,21.59,22.69,22.72,24.16,26.25,27.12,25.31,23.88,24.25,24.28,22.09,20.47,21.28,22.06,20.06,17.66,17.19,17.44,16.34,14.12,13.5,14.56,14.97,13.41,12.84,14.38,15.88,15.94,16.34,19.41,22.84,24.03,23.88,24.56,25.75,24.75,21.28,18.78,17.84,16.62,13.81,11.84,12.97,14.12,13.53,13.03,14.75,17.28,18.44,19.31,22.47,27.0,29.97,30.09,29.75,29.94,28.91,25.16,22.19,21.62,21.62,19.47,16.72,16.12,16.84,16.22,15.34,16.38,19.41,21.59,21.03,20.22,20.75,20.69,18.0,15.72,16.03,17.88,18.03,17.72,18.81,20.78,21.0,19.38,18.97,20.62,21.84,21.06,20.84,22.47,24.06,23.19,22.31,23.28,25.0,24.66,23.12,23.06,23.72,23.38,21.34,20.19,21.09,21.88,20.75,19.94,21.5,23.5,23.25,22.28,23.12,24.75,24.72,23.47,23.72,25.47,25.44,23.19,21.06,20.59,20.09,17.53,15.94,17.06,19.22,19.75,19.53,20.81,23.16,23.16,21.53,20.5,20.59,19.81,17.12,14.88,15.16,16.31,15.72,15.56,17.78,20.97,22.19,22.59,23.81,26.62,28.34,28.34,28.91,30.91,32.06,30.97,29.84,30.72,31.94,30.88,29.25,29.53,30.69,30.38,28.88,28.47,29.72,29.59,27.78,26.66,27.59,28.16,26.5,24.91,25.38,26.19,25.72,24.91,25.28,27.47,27.5,26.09,25.31,26.34,26.81,26.09,25.38,26.5,27.97,26.62,24.75,24.5,25.47,24.22,22.66,22.03,23.03,22.59,20.16,18.28,18.0,17.62,15.5,14.12,15.06,16.81,16.34,14.78,14.59,15.03,14.12,12.0,11.28,12.62,13.53,12.06,11.25,12.41,13.47,12.75,11.94,13.97,16.03,16.44,15.56,15.72,17.25,17.44,16.75,16.66,18.88,20.34,19.59,18.41,18.91,19.56,18.0,16.41,17.25,19.5,19.88,19.31,19.59,21.22,21.75,20.31,19.59,20.56,20.69,18.31,15.69,15.56,15.75,14.31,12.69,13.16,15.31,16.28,16.12,16.97,18.84,19.16,17.28,15.94,17.03,18.06,17.0,15.22,15.22,15.19,13.69,11.5,11.84,13.94,15.06,14.72,15.16,17.0,18.25,17.44,16.97,19.0,21.31,21.66,21.03,22.06,22.78,21.47,18.78,17.69,18.69,18.94,17.59,16.41,17.0,16.75,14.59,12.81,13.34,15.12,15.16,14.09,15.09,17.19,18.06,17.38,18.25,20.25,20.88,18.66,16.25,16.5,16.62,15.41,14.28,15.56,17.44,17.19,15.69,15.94,17.19,16.53,13.97,12.31,12.84,12.94,11.28,9.91,10.72,11.5,10.97,10.25,11.66,14.78,16.38,16.66,18.84,22.34,24.72,25.09,25.78,28.0,30.0,29.62,29.34,31.12,33.12,33.09,31.72,31.91,33.25,33.72,32.5,33.06,35.41,36.78,35.88,35.38,36.78,38.12,37.56,36.53,37.88,39.5,39.16,37.09,36.38,36.25,34.88,31.66,28.59,27.53,25.31,21.34,18.5,18.88,20.22,20.12,19.34,19.78,21.03,20.16,17.59,16.75,17.5,17.19,15.19,14.38,15.53,16.34,14.66,13.0,13.28,14.56,13.81,12.5,12.84,14.34,14.5,12.91,12.84,14.31,14.84,13.25,11.81,12.53,13.47,12.22,10.5,11.22,12.91,12.56,10.94,10.59,11.0,10.44,8.12,7.25,8.84,10.31,9.66,9.62,11.72,14.22,14.16,13.75,14.66,16.56,16.97,15.94,16.41,18.44,19.62,18.97,19.28,21.59,23.34,22.28,20.72,20.62,21.19,19.28,16.84,16.06,16.84,16.78,15.34,15.91,18.22,20.69,20.53,21.28,23.97,26.53,26.44,25.47,26.12,27.41,26.91,25.5,25.69,27.22,27.03,24.72,22.62,22.0,20.62,16.94,14.09,14.25,15.59,16.03,16.62,18.94,22.5,23.91,24.12,25.81,29.75,32.22,32.88,33.19,34.34,34.69,31.25,27.56,25.94,25.19,22.66,20.25,20.03,21.66,21.88,20.84,21.06,23.0,23.94,22.41,21.56,22.59,23.66,22.72,21.62,22.09,23.69,23.38,21.69,22.09,24.25,25.19,24.5,24.31,26.5,27.34,25.53,22.88,22.28,21.44,17.78,14.09,12.62,12.62,11.78,10.5,11.03,14.16,16.22,15.81,15.19,16.19,16.66,14.78,13.28,14.62,17.66,18.5,18.78,20.34,23.06,24.03,23.47,24.19,26.31,26.91,24.22,21.97,21.28,20.88,18.66,16.91,17.75,19.47,19.25,17.59,17.12,17.94,17.44,14.72,12.91,14.06,15.09,14.88,14.97,18.19,21.38,21.91,21.34,22.84,24.88,24.41,22.38,20.78,20.69,19.09,15.88,13.12,13.28,13.12,11.56,10.28,12.09,15.19,16.72,18.0,20.75,24.69,25.94,25.41,25.0,26.44,26.88,24.84,23.12,23.53,23.69,21.47,19.22,19.16,20.12,18.75,16.09,14.75,14.47,13.03,10.09,9.0,10.44,11.53,10.97,10.75,14.03,17.56,19.31,20.84,23.69,26.62,27.0,25.41,24.69,25.44,24.22,21.09,18.56,18.72,18.72,17.59,16.91,18.78,21.53,21.69,20.94,21.66,23.19,22.25,19.16,16.78,16.16,15.34,13.41,12.66,15.66,18.78,19.47,19.69,21.66,23.84,23.72,22.03,22.16,23.22,22.78,19.88,18.06,18.25,17.88,15.59,13.81,14.66,15.78,14.69,13.06,13.72,15.5,15.56,14.59,15.38,17.56,18.38,17.53,17.03,19.0,19.69,18.09,16.03,16.06,16.69,15.09,12.84,12.38,13.0,12.03,10.41,10.72,13.41,15.22,14.78,14.28,15.44,15.78,13.41,10.66,10.78,11.53,11.41,11.03,12.75,15.91,17.59,16.91,17.22,19.25,20.69,19.81,19.81,22.12,24.25,23.97,23.09,24.31,26.19,26.31,31.41,31.41,30.38,29.69,30.03,30.03,29.38,28.06,29.25,31.12,31.94,31.94,32.53,32.91,31.69,28.84,26.44,25.62,24.38,22.41,21.38,22.44,24.59,26.03,27.84,31.47,35.41,37.16:22.66,22.94,23.78,27.53,31.47,32.97,33.12,34.41,36.0,36.03,33.81,32.41,32.22,31.09,27.62,24.97,25.31,26.09,25.84,25.44,27.38,29.22,28.78,26.72,26.0,26.56,26.97,26.56,27.34,30.41,32.72,32.66,32.34,34.09,36.47,36.84,36.38,37.66,39.09,37.94,34.19,31.06,28.72,25.62,21.22,18.59,19.03,21.19,21.66,22.5,25.56,28.94,30.16,29.66,30.72,32.12,32.31,31.19,31.19,32.97,34.31,33.34,31.91,32.31,32.38,31.09,29.31,29.75,31.19,30.66,28.09,26.69,26.31,24.91,22.44,21.12,22.41,23.62,22.91,21.97,22.59,23.69,22.47,20.44,20.41,21.59,21.12,19.22,18.75,19.88,20.56,19.34,19.12,20.78,22.16,20.59,18.41,18.09,18.28,16.88,13.75,12.75,12.94,11.75,8.88,7.44,8.28,9.41,9.31,10.5,14.78,19.78,22.81,24.72,27.66,30.38,30.06,27.91,25.81,24.75,22.34,17.97,14.25,13.28,13.09,11.16,9.84,11.28,13.47,13.53,13.0,14.47,17.75,19.5,20.16,21.59,24.69,26.41,25.56,25.91,28.66,31.88,32.97,33.44,34.5,35.0,32.28,27.59,24.47,23.22,21.75,19.09,18.47,20.69,22.59,22.75,23.34,25.72,28.38,28.41,26.88,27.41,28.66,28.31,26.94,27.31,29.56,30.47,28.94,27.72,28.59,28.84,27.44,26.53,27.81,30.09,30.12,29.16,29.19,30.03,29.22,26.81,25.69,26.47,27.0,25.5,25.53,27.53,29.53,29.28,28.22,28.62,29.72,28.59,26.53,25.69,26.09,25.5,23.25,22.09,23.34,24.25,22.78,21.44,22.75,24.69,25.16,24.5,25.31,26.84,26.0,23.94,23.19,24.72,25.5,24.62,23.94,25.25,25.78,23.56,21.22,21.31,22.16,21.06,19.5,19.66,21.91,22.78,22.75,23.69,26.59,29.0,28.41,27.72,28.81,29.47,27.69,25.62,26.5,29.66,31.44,32.38,34.56,37.75,38.72,36.94,34.59,33.06,29.59,23.16,16.97,14.22,12.88,10.62,8.91,9.72,12.06,13.12,13.91,16.22,20.25,22.47,21.91,20.59,21.34,21.59,19.66,17.88,18.78,21.0,21.41,21.25,22.78,25.09,25.19,22.84,21.0,20.75,19.59,15.97,12.38,11.5,11.25,9.38,7.84,9.53,12.47,14.09,14.5,16.38,19.22,20.34,18.19,16.25,16.0,15.88,14.34,13.28,15.72,19.28,20.72,21.25,23.31,26.59,27.66,26.69,26.25,26.72,25.59,21.91,18.38,17.56,17.0,15.06,13.56,14.91,17.16,17.53,17.0,18.25,20.5,21.12,19.97,20.22,22.28,24.69,25.47,26.56,30.03,32.78,32.25,29.75,28.44,27.44,24.28,20.53,18.81,19.56,19.72,17.53,16.31,16.44,15.47,12.44,8.97,8.28,8.0,6.16,3.62,3.53,5.28,5.69,5.47,6.84,10.88,14.28,16.19,18.62,23.12,27.94,30.41,32.19,35.38,38.0,37.81,35.06,33.12,32.69,30.78,27.56,25.66,26.28,26.03,23.34,21.12,20.97,20.88,19.12,16.75,17.25,18.88,19.19,18.38,19.66,22.44,24.0,23.19,22.34,22.62,21.56,18.12,13.97,12.5,11.47,8.53,5.31,4.44,5.0,4.94,3.56,3.69,5.97,7.31,6.78,7.16,10.06,13.16,14.25,15.31,18.44,21.59,22.69,22.72,24.16,26.25,27.12,25.31,23.88,24.25,24.28,22.09,20.47,21.28,22.06,20.06,17.66,17.19,17.44,16.34,14.12,13.5,14.56,14.97,13.41,12.84,14.38,15.88,15.94,16.34,19.41,22.84,24.03,23.88,24.56,25.75,24.75,21.28,18.78,17.84,16.62,13.81,11.84,12.97,14.12,13.53,13.03,14.75,17.28,18.44,19.31,22.47,27.0,29.97,30.09,29.75,29.94,28.91,25.16,22.19,21.62,21.62,19.47,16.72,16.12,16.84,16.22,15.34,16.38,19.41,21.59,21.03,20.22,20.75,20.69,18.0,15.72,16.03,17.88,18.03,17.72,18.81,20.78,21.0,19.38,18.97,20.62,21.84,21.06,20.84,22.47,24.06,23.19,22.31,23.28,25.0,24.66,23.12,23.06,23.72,23.38,21.34,20.19,21.09,21.88,20.75,19.94,21.5,23.5,23.25,22.28,23.12,24.75,24.72,23.47,23.72,25.47,25.44,23.19,21.06,20.59,20.09,17.53,15.94,17.06,19.22,19.75,19.53,20.81,23.16,23.16,21.53,20.5,20.59,19.81,17.12,14.88,15.16,16.31,15.72,15.56,17.78,20.97,22.19,22.59,23.81,26.62,28.34,28.34,28.91,30.91,32.06,30.97,29.84,30.72,31.94,30.88,29.25,29.53,30.69,30.38,28.88,28.47,29.72,29.59,27.78,26.66,27.59,28.16,26.5,24.91,25.38,26.19,25.72,24.91,25.28,27.47,27.5,26.09,25.31,26.34,26.81,26.09,25.38,26.5,27.97,26.62,24.75,24.5,25.47,24.22,22.66,22.03,23.03,22.59,20.16,18.28,18.0,17.62,15.5,14.12,15.06,16.81,16.34,14.78,14.59,15.03,14.12,12.0,11.28,12.62,13.53,12.06,11.25,12.41,13.47,12.75,11.94,13.97,16.03,16.44,15.56,15.72,17.25,17.44,16.75,16.66,18.88,20.34,19.59,18.41,18.91,19.56,18.0,16.41,17.25,19.5,19.88,19.31,19.59,21.22,21.75,20.31,19.59,20.56,20.69,18.31,15.69,15.56,15.75,14.31,12.69,13.16,15.31,16.28,16.12,16.97,18.84,19.16,17.28,15.94,17.03,18.06,17.0,15.22,15.22,15.19,13.69,11.5,11.84,13.94,15.06,14.72,15.16,17.0,18.25,17.44,16.97,19.0,21.31,21.66,21.03,22.06,22.78,21.47,18.78,17.69,18.69,18.94,17.59,16.41,17.0,16.75,14.59,12.81,13.34,15.12,15.16,14.09,15.09,17.19,18.06,17.38,18.25,20.25,20.88,18.66,16.25,16.5,16.62,15.41,14.28,15.56,17.44,17.19,15.69,15.94,17.19,16.53,13.97,12.31,12.84,12.94,11.28,9.91,10.72,11.5,10.97,10.25,11.66,14.78,16.38,16.66,18.84,22.34,24.72,25.09,25.78,28.0,30.0,29.62,29.34,31.12,33.12,33.09,31.72,31.91,33.25,33.72,32.5,33.06,35.41,36.78,35.88,35.38,36.78,38.12,37.56,36.53,37.88,39.5,39.16,37.09,36.38,36.25,34.88,31.66,28.59,27.53,25.31,21.34,18.5,18.88,20.22,20.12,19.34,19.78,21.03,20.16,17.59,16.75,17.5,17.19,15.19,14.38,15.53,16.34,14.66,13.0,13.28,14.56,13.81,12.5,12.84,14.34,14.5,12.91,12.84,14.31,14.84,13.25,11.81,12.53,13.47,12.22,10.5,11.22,12.91,12.56,10.94,10.59,11.0,10.44,8.12,7.25,8.84,10.31,9.66,9.62,11.72,14.22,14.16,13.75,14.66,16.56,16.97,15.94,16.41,18.44,19.62,18.97,19.28,21.59,23.34,22.28,20.72,20.62,21.19,19.28,16.84,16.06,16.84,16.78,15.34,15.91,18.22,20.69,20.53,21.28,23.97,26.53,26.44,25.47,26.12,27.41,26.91,25.5,25.69,27.22,27.03,24.72,22.62,22.0,20.62,16.94,14.09,14.25,15.59,16.03,16.62,18.94,22.5,23.91,24.12,25.81,29.75,32.22,32.88,33.19,34.34,34.69,31.25,27.56,25.94,25.19,22.66,20.25,20.03,21.66,21.88,20.84,21.06,23.0,23.94,22.41,21.56,22.59,23.66,22.72,21.62,22.09,23.69,23.38,21.69,22.09,24.25,25.19,24.5,24.31,26.5,27.34,25.53,22.88,22.28,21.44,17.78,14.09,12.62,12.62,11.78,10.5,11.03,14.16,16.22,15.81,15.19,16.19,16.66,14.78,13.28,14.62,17.66,18.5,18.78,20.34,23.06,24.03,23.47,24.19,26.31,26.91,24.22,21.97,21.28,20.88,18.66,16.91,17.75,19.47,19.25,17.59,17.12,17.94,17.44,14.72,12.91,14.06,15.09,14.88,14.97,18.19,21.38,21.91,21.34,22.84,24.88,24.41,22.38,20.78,20.69,19.09,15.88,13.12,13.28,13.12,11.56,10.28,12.09,15.19,16.72,18.0,20.75,24.69,25.94,25.41,25.0,26.44,26.88,24.84,23.12,23.53,23.69,21.47,19.22,19.16,20.12,18.75,16.09,14.75,14.47,13.03,10.09,9.0,10.44,11.53,10.97,10.75,14.03,17.56,19.31,20.84,23.69,26.62,27.0,25.41,24.69,25.44,24.22,21.09,18.56,18.72,18.72,17.59,16.91,18.78,21.53,21.69,20.94,21.66,23.19,22.25,19.16,16.78,16.16,15.34,13.41,12.66,15.66,18.78,19.47,19.69,21.66,23.84,23.72,22.03,22.16,23.22,22.78,19.88,18.06,18.25,17.88,15.59,13.81,14.66,15.78,14.69,13.06,13.72,15.5,15.56,14.59,15.38,17.56,18.38,17.53,17.03,19.0,19.69,18.09,16.03,16.06,16.69,15.09,12.84,12.38,13.0,12.03,10.41,10.72,13.41,15.22,14.78,14.28,15.44,15.78,13.41,10.66,10.78,11.53,11.41,11.03,12.75,15.91,17.59,16.91,17.22,19.25,20.69,19.81,19.81,22.12,24.25,23.97,23.09,24.31,26.19,26.31,31.41,31.41,30.38,29.69,30.03,30.03,29.38,28.06,29.25,31.12,31.94,31.94,32.53,32.91,31.69,28.84,26.44,25.62,24.38,22.41,21.38,22.44,24.59,26.03,27.84,31.47,35.41,37.16,37.34,37.34,37.19,35.22,31.81,28.88,27.69:34.41,36.0,36.03,33.81,32.41,32.22,31.09,27.62,24.97,25.31,26.09,25.84,25.44,27.38,29.22,28.78,26.72,26.0,26.56,26.97,26.56,27.34,30.41,32.72,32.66,32.34,34.09,36.47,36.84,36.38,37.66,39.09,37.94,34.19,31.06,28.72,25.62,21.22,18.59,19.03,21.19,21.66,22.5,25.56,28.94,30.16,29.66,30.72,32.12,32.31,31.19,31.19,32.97,34.31,33.34,31.91,32.31,32.38,31.09,29.31,29.75,31.19,30.66,28.09,26.69,26.31,24.91,22.44,21.12,22.41,23.62,22.91,21.97,22.59,23.69,22.47,20.44,20.41,21.59,21.12,19.22,18.75,19.88,20.56,19.34,19.12,20.78,22.16,20.59,18.41,18.09,18.28,16.88,13.75,12.75,12.94,11.75,8.88,7.44,8.28,9.41,9.31,10.5,14.78,19.78,22.81,24.72,27.66,30.38,30.06,27.91,25.81,24.75,22.34,17.97,14.25,13.28,13.09,11.16,9.84,11.28,13.47,13.53,13.0,14.47,17.75,19.5,20.16,21.59,24.69,26.41,25.56,25.91,28.66,31.88,32.97,33.44,34.5,35.0,32.28,27.59,24.47,23.22,21.75,19.09,18.47,20.69,22.59,22.75,23.34,25.72,28.38,28.41,26.88,27.41,28.66,28.31,26.94,27.31,29.56,30.47,28.94,27.72,28.59,28.84,27.44,26.53,27.81,30.09,30.12,29.16,29.19,30.03,29.22,26.81,25.69,26.47,27.0,25.5,25.53,27.53,29.53,29.28,28.22,28.62,29.72,28.59,26.53,25.69,26.09,25.5,23.25,22.09,23.34,24.25,22.78,21.44,22.75,24.69,25.16,24.5,25.31,26.84,26.0,23.94,23.19,24.72,25.5,24.62,23.94,25.25,25.78,23.56,21.22,21.31,22.16,21.06,19.5,19.66,21.91,22.78,22.75,23.69,26.59,29.0,28.41,27.72,28.81,29.47,27.69,25.62,26.5,29.66,31.44,32.38,34.56,37.75,38.72,36.94,34.59,33.06,29.59,23.16,16.97,14.22,12.88,10.62,8.91,9.72,12.06,13.12,13.91,16.22,20.25,22.47,21.91,20.59,21.34,21.59,19.66,17.88,18.78,21.0,21.41,21.25,22.78,25.09,25.19,22.84,21.0,20.75,19.59,15.97,12.38,11.5,11.25,9.38,7.84,9.53,12.47,14.09,14.5,16.38,19.22,20.34,18.19,16.25,16.0,15.88,14.34,13.28,15.72,19.28,20.72,21.25,23.31,26.59,27.66,26.69,26.25,26.72,25.59,21.91,18.38,17.56,17.0,15.06,13.56,14.91,17.16,17.53,17.0,18.25,20.5,21.12,19.97,20.22,22.28,24.69,25.47,26.56,30.03,32.78,32.25,29.75,28.44,27.44,24.28,20.53,18.81,19.56,19.72,17.53,16.31,16.44,15.47,12.44,8.97,8.28,8.0,6.16,3.62,3.53,5.28,5.69,5.47,6.84,10.88,14.28,16.19,18.62,23.12,27.94,30.41,32.19,35.38,38.0,37.81,35.06,33.12,32.69,30.78,27.56,25.66,26.28,26.03,23.34,21.12,20.97,20.88,19.12,16.75,17.25,18.88,19.19,18.38,19.66,22.44,24.0,23.19,22.34,22.62,21.56,18.12,13.97,12.5,11.47,8.53,5.31,4.44,5.0,4.94,3.56,3.69,5.97,7.31,6.78,7.16,10.06,13.16,14.25,15.31,18.44,21.59,22.69,22.72,24.16,26.25,27.12,25.31,23.88,24.25,24.28,22.09,20.47,21.28,22.06,20.06,17.66,17.19,17.44,16.34,14.12,13.5,14.56,14.97,13.41,12.84,14.38,15.88,15.94,16.34,19.41,22.84,24.03,23.88,24.56,25.75,24.75,21.28,18.78,17.84,16.62,13.81,11.84,12.97,14.12,13.53,13.03,14.75,17.28,18.44,19.31,22.47,27.0,29.97,30.09,29.75,29.94,28.91,25.16,22.19,21.62,21.62,19.47,16.72,16.12,16.84,16.22,15.34,16.38,19.41,21.59,21.03,20.22,20.75,20.69,18.0,15.72,16.03,17.88,18.03,17.72,18.81,20.78,21.0,19.38,18.97,20.62,21.84,21.06,20.84,22.47,24.06,23.19,22.31,23.28,25.0,24.66,23.12,23.06,23.72,23.38,21.34,20.19,21.09,21.88,20.75,19.94,21.5,23.5,23.25,22.28,23.12,24.75,24.72,23.47,23.72,25.47,25.44,23.19,21.06,20.59,20.09,17.53,15.94,17.06,19.22,19.75,19.53,20.81,23.16,23.16,21.53,20.5,20.59,19.81,17.12,14.88,15.16,16.31,15.72,15.56,17.78,20.97,22.19,22.59,23.81,26.62,28.34,28.34,28.91,30.91,32.06,30.97,29.84,30.72,31.94,30.88,29.25,29.53,30.69,30.38,28.88,28.47,29.72,29.59,27.78,26.66,27.59,28.16,26.5,24.91,25.38,26.19,25.72,24.91,25.28,27.47,27.5,26.09,25.31,26.34,26.81,26.09,25.38,26.5,27.97,26.62,24.75,24.5,25.47,24.22,22.66,22.03,23.03,22.59,20.16,18.28,18.0,17.62,15.5,14.12,15.06,16.81,16.34,14.78,14.59,15.03,14.12,12.0,11.28,12.62,13.53,12.06,11.25,12.41,13.47,12.75,11.94,13.97,16.03,16.44,15.56,15.72,17.25,17.44,16.75,16.66,18.88,20.34,19.59,18.41,18.91,19.56,18.0,16.41,17.25,19.5,19.88,19.31,19.59,21.22,21.75,20.31,19.59,20.56,20.69,18.31,15.69,15.56,15.75,14.31,12.69,13.16,15.31,16.28,16.12,16.97,18.84,19.16,17.28,15.94,17.03,18.06,17.0,15.22,15.22,15.19,13.69,11.5,11.84,13.94,15.06,14.72,15.16,17.0,18.25,17.44,16.97,19.0,21.31,21.66,21.03,22.06,22.78,21.47,18.78,17.69,18.69,18.94,17.59,16.41,17.0,16.75,14.59,12.81,13.34,15.12,15.16,14.09,15.09,17.19,18.06,17.38,18.25,20.25,20.88,18.66,16.25,16.5,16.62,15.41,14.28,15.56,17.44,17.19,15.69,15.94,17.19,16.53,13.97,12.31,12.84,12.94,11.28,9.91,10.72,11.5,10.97,10.25,11.66,14.78,16.38,16.66,18.84,22.34,24.72,25.09,25.78,28.0,30.0,29.62,29.34,31.12,33.12,33.09,31.72,31.91,33.25,33.72,32.5,33.06,35.41,36.78,35.88,35.38,36.78,38.12,37.56,36.53,37.88,39.5,39.16,37.09,36.38,36.25,34.88,31.66,28.59,27.53,25.31,21.34,18.5,18.88,20.22,20.12,19.34,19.78,21.03,20.16,17.59,16.75,17.5,17.19,15.19,14.38,15.53,16.34,14.66,13.0,13.28,14.56,13.81,12.5,12.84,14.34,14.5,12.91,12.84,14.31,14.84,13.25,11.81,12.53,13.47,12.22,10.5,11.22,12.91,12.56,10.94,10.59,11.0,10.44,8.12,7.25,8.84,10.31,9.66,9.62,11.72,14.22,14.16,13.75,14.66,16.56,16.97,15.94,16.41,18.44,19.62,18.97,19.28,21.59,23.34,22.28,20.72,20.62,21.19,19.28,16.84,16.06,16.84,16.78,15.34,15.91,18.22,20.69,20.53,21.28,23.97,26.53,26.44,25.47,26.12,27.41,26.91,25.5,25.69,27.22,27.03,24.72,22.62,22.0,20.62,16.94,14.09,14.25,15.59,16.03,16.62,18.94,22.5,23.91,24.12,25.81,29.75,32.22,32.88,33.19,34.34,34.69,31.25,27.56,25.94,25.19,22.66,20.25,20.03,21.66,21.88,20.84,21.06,23.0,23.94,22.41,21.56,22.59,23.66,22.72,21.62,22.09,23.69,23.38,21.69,22.09,24.25,25.19,24.5,24.31,26.5,27.34,25.53,22.88,22.28,21.44,17.78,14.09,12.62,12.62,11.78,10.5,11.03,14.16,16.22,15.81,15.19,16.19,16.66,14.78,13.28,14.62,17.66,18.5,18.78,20.34,23.06,24.03,23.47,24.19,26.31,26.91,24.22,21.97,21.28,20.88,18.66,16.91,17.75,19.47,19.25,17.59,17.12,17.94,17.44,14.72,12.91,14.06,15.09,14.88,14.97,18.19,21.38,21.91,21.34,22.84,24.88,24.41,22.38,20.78,20.69,19.09,15.88,13.12,13.28,13.12,11.56,10.28,12.09,15.19,16.72,18.0,20.75,24.69,25.94,25.41,25.0,26.44,26.88,24.84,23.12,23.53,23.69,21.47,19.22,19.16,20.12,18.75,16.09,14.75,14.47,13.03,10.09,9.0,10.44,11.53,10.97,10.75,14.03,17.56,19.31,20.84,23.69,26.62,27.0,25.41,24.69,25.44,24.22,21.09,18.56,18.72,18.72,17.59,16.91,18.78,21.53,21.69,20.94,21.66,23.19,22.25,19.16,16.78,16.16,15.34,13.41,12.66,15.66,18.78,19.47,19.69,21.66,23.84,23.72,22.03,22.16,23.22,22.78,19.88,18.06,18.25,17.88,15.59,13.81,14.66,15.78,14.69,13.06,13.72,15.5,15.56,14.59,15.38,17.56,18.38,17.53,17.03,19.0,19.69,18.09,16.03,16.06,16.69,15.09,12.84,12.38,13.0,12.03,10.41,10.72,13.41,15.22,14.78,14.28,15.44,15.78,13.41,10.66,10.78,11.53,11.41,11.03,12.75,15.91,17.59,16.91,17.22,19.25,20.69,19.81,19.81,22.12,24.25,23.97,23.09,24.31,26.19,26.31,31.41,31.41,30.38,29.69,30.03,30.03,29.38,28.06,29.25,31.12,31.94,31.94,32.53,32.91,31.69,28.84,26.44,25.62,24.38,22.41,21.38,22.44,24.59,26.03,27.84,31.47,35.41,37.16,37.34,37.34,37.19,35.22,31.81,28.88,27.69,26.97,25.59,25.03,27.25,30.03,31.97,32.97:negativity
46.12,47.5,47.66,49.06,51.5,53.44,53.5,54.31,56.03,56.66,54.84,52.12,50.31,48.56,45.78,42.78,41.94,42.81,43.47,42.81,43.25,44.72,45.41,44.31,43.25,44.0,44.75,43.53,42.22,42.12,42.34,41.28,39.81,40.19,41.78,43.25,43.06,43.84,45.34,46.12,44.78,43.31,43.56,43.75,42.5,40.78,40.41,40.5,39.59,37.56,36.91,37.78,38.53,38.06,39.0,40.84,41.97,40.94,39.53,39.88,40.78,41.06,41.38,43.09,45.41,46.19,45.06,44.31,44.06,43.12,40.5,39.03,39.78,40.62,39.78,39.0,39.38,39.66,38.38,36.41,35.59,35.97,35.56,34.47,34.59,36.66,38.94,39.19,39.47,40.88,41.59,40.12,38.78,38.84,40.03,40.03,39.53,40.16,41.72,42.47,42.09,42.22,43.22,44.19,43.06,42.5,43.44,44.81,44.56,43.34,43.38,43.66,42.66,41.0,40.53,41.88,42.0,40.78,39.41,39.5,39.28,37.12,35.88,36.69,38.69,39.56,40.16,41.97,44.09,44.19,42.19,40.38,39.53,37.94,35.5,34.31,35.66,37.91,38.72,39.38,40.97,42.47,41.88,40.28,39.97,39.91,38.84,37.0,35.59,35.47,35.25,33.5,32.31,31.84,31.75,29.78,27.66,27.34,28.41,28.56,28.31,29.06,30.81,31.41,30.38,30.06,30.81,32.0,31.91,32.34,34.19,36.53,36.03,35.28,35.38,36.81,37.66,37.5,37.81,38.66,38.25,35.69,33.38,32.78,32.12,30.31,29.06,29.19,29.97,29.12,27.91,28.44,30.34,31.66,32.41,34.56,38.41,41.5,43.41,45.31,48.09,49.91,49.12,47.06,46.16,45.28,43.03,40.62,39.59,40.06,39.81,38.34,37.78,38.44,38.38,37.25,36.62,38.06,40.0,40.06,39.84,40.62,41.81,41.16,39.84,39.62,40.56,41.09,40.28,39.84,40.44,40.12,38.09,36.0,35.75,35.97,34.31,32.12,31.09,31.16,30.47,29.69,29.62,31.44,32.28,32.0,32.62,34.5,36.28,36.41,36.69,38.5,40.75,41.44,41.0,41.41,41.94,41.31,39.78,39.28,40.31,40.72,39.75,39.59,41.34,43.09,43.03,43.06,43.66,44.75,43.72,41.16,39.69,39.12,37.31,34.69,32.59,32.75,32.28,30.78,29.94,30.78,32.06,31.66,30.22,29.47,29.09,27.25,24.72,24.09,25.38,26.28,25.72,25.31,26.44,26.69,25.97,25.97,28.44,31.34,32.59,33.22,34.84,37.0,37.41,36.78,36.84,38.22,38.69,38.12,37.22,38.22,38.59,37.12,35.69,35.28,35.5,33.66,31.31,30.12,30.06,29.5,28.44,28.19,29.81,30.41,30.06,30.25,32.72,35.53,37.34,38.56,40.5,41.59,39.91,36.34,33.31,31.78,30.22,28.75,29.38,31.84,33.84,33.88,33.53,34.19,34.5,33.03,31.09,30.59,30.88,30.22,29.03,29.53,31.69,33.0,33.25,34.19,36.62,38.88,39.88,40.44,42.47,43.59,43.25,41.69,41.56,41.91,40.59,37.91,35.72,34.06,32.09,29.47,27.91,29.06,30.78,31.19,31.94,34.12,36.47,37.62,37.84,39.16,40.72,40.5,38.81,37.66,37.31,36.59,35.16,34.38,35.69,37.25,37.66,37.56,38.84,39.78,39.47,37.75,37.38,37.5,36.84,35.5,34.47,35.66,36.25,34.84,33.12,32.62,31.44,29.03,26.72,26.28,26.66,26.5,25.44,25.38,26.59,27.44,27.41,28.12,30.56,33.03,33.44,33.16,34.06,35.03,34.94,34.47,35.78,37.12,37.25,35.41,34.06,33.62,32.97,31.84,32.09,34.88,37.91,39.44,40.5,42.09,42.91,41.41,39.0,37.94,38.06,37.88,37.19,37.12,38.22,38.84,38.25,37.38,37.78,38.5,36.81,34.91,34.53,34.53,34.16,33.44,33.81,35.12,35.62,34.03,32.69,32.31,31.94,30.56,29.84,31.53,33.75,34.56,34.41,35.03,35.84,35.03,33.44,32.62,32.62,32.0,29.5,27.28,26.75,26.47,25.5,25.47,27.56,30.34,31.78,31.84,32.53,33.19,32.28,30.5,29.75,30.56,32.31,33.0,34.06,36.03,36.84,35.0,32.25,30.72,30.06,29.09,28.53,29.75,31.94,33.0,32.19,31.59,31.66,31.41,29.84,28.69,29.44,30.88,30.78,30.59,31.88,33.69,33.81,32.69,32.16,32.12,31.16,29.41,28.59,29.75,31.12,30.59,29.72,30.0,30.5,29.72,28.75,29.53,31.38,32.78,33.59,35.56,38.22,40.22,40.22,39.78,39.91,39.59,37.09,34.19,32.5,31.47,29.56,27.47,27.47,29.0,30.16,30.31,31.25,33.03,33.97,33.0,32.34,33.06,33.97,33.22,31.94,32.06,32.56,31.44,29.09,27.69,27.03,25.75,23.19,22.78,24.41,26.56,27.62,29.06,31.72,34.31,34.47,34.38,35.12,36.03,34.88,32.22,30.03,28.5,26.75,24.28,23.19,24.22,25.62,25.44,25.28,26.5,27.53,26.53,25.19,25.12,25.34,24.09,21.69,20.22,19.84,19.56,18.69,19.56,22.78,26.5,28.34,29.84,31.88,33.22,32.06,29.75,28.41,28.56,28.06,27.41,28.12,30.38,32.0,31.94,32.28,33.66,34.84,33.75,32.41,32.69,33.78,33.78,33.06,32.53,32.19,30.28,27.16,25.31,26.16,27.59,27.97,28.94,31.03,33.03,32.91,32.19,32.47,33.12,32.06,30.34,29.16,29.28,28.78,27.12,25.91,26.22,26.47,25.53,25.06,26.88,29.22,29.81,29.62,30.03,31.06,30.19,28.81,28.75,30.44,31.56,30.72,29.88,30.38,30.31,28.38,26.94,27.09,27.25,26.22,24.53,24.47,25.94,25.88,24.84,25.34,27.0,27.5,26.22,25.16,25.94,26.56,25.66,25.03,26.09,27.31,26.59,24.75,24.19,24.28,23.31,21.44,20.69,22.09,23.69,23.94,24.84,27.91,30.91,31.59,31.66,32.66,34.0,33.19,31.62,30.78,30.94,29.88,27.19,25.25,25.62,26.0,25.22,24.84,25.91,27.25,26.09,24.28,23.84,24.16,22.84,20.75,19.88,20.59,20.44,19.34,18.97,20.72,22.44,22.66,22.78,24.81,26.97,27.22,26.69,26.91,27.09,25.38,22.34,20.22,19.91,19.69,18.84,18.69,20.72,22.5,22.09,20.47,19.75,18.66,16.38,14.03,13.44,14.94,15.56,15.62,16.59,19.09,21.53,22.44,23.81,26.75,29.16,29.5,28.75,29.22,29.5,27.97,25.84,25.0,25.78,26.28,26.5,27.84,30.94,33.44,33.66,32.94,33.19,32.47,29.31,25.81,24.06,24.03,24.19,24.22,26.09,29.72,32.84,34.69,36.91,40.09,41.78,41.03,38.62,37.19,35.38,31.94,27.78,26.34,26.34,25.69,24.25,23.78,24.81,25.28,24.81,25.09,27.75,30.25,31.06,30.91,32.19,33.34,32.88,31.34,30.88,31.34,30.38,27.72,25.5,24.91,23.28,20.44,17.69,17.56,17.5,17.12,16.88,19.34,22.16,23.81,24.0,25.03,26.88,27.62,27.06,27.19,28.38,28.66,26.72,24.53,23.69,23.38,21.16,19.16,18.75,19.0,18.03,16.41,16.47,18.09,18.84,18.66,18.47,19.56,20.34,19.78,19.78,22.38,25.97,28.19,29.12,30.28,30.84,29.31,25.69,23.41,22.66,22.0,20.88,20.56,22.66,23.84,23.09,21.31,21.19,21.78,21.69,21.59,23.91,27.31,29.78,30.53,31.41,32.62,32.72,30.31,28.0,27.56,27.31,25.84,24.22,24.5,25.38,24.72,23.12,23.06,24.38,24.59,23.75,23.28,24.25,24.44,22.38,20.16,19.56,19.16,17.38,15.69,16.06,17.38,17.28,16.41,16.81,18.66,19.19,18.22,17.56,18.31,18.72,17.75,17.34,19.31,21.56,21.94,21.38,21.81,22.16,20.91,18.12,16.41,16.16,15.22,12.97,12.38,14.19,15.78,15.88,15.47,16.44,17.69,17.31,16.56,17.25,19.34,19.62,18.19,16.97,16.66,14.78,10.88,7.5,6.66,6.78,6.75,7.75,11.62,15.91,18.5,20.25,23.19,27.12,30.28,32.03,34.0,35.84,35.31,31.22,26.03,22.16,18.5,14.41,11.62,12.19,13.81,14.75,14.81,15.88,17.28,17.72,17.09,17.59,20.06,22.56,23.56,24.59,26.66,28.22,27.84,27.19,28.5,31.41,33.91,35.34,37.34,39.53,39.66,36.84,33.81,32.09,30.12,26.09,22.62,20.94,19.34,16.16,12.88,11.72,12.03,12.22,12.12,13.72,17.19,20.25,21.78,23.41,26.84,29.75,30.25,30.38,32.31,33.78,33.44,31.97,31.81,31.94,30.88,28.19,26.44,25.72,24.5,21.56,19.28,18.88,19.38,18.78,18.56,20.88,23.88,25.44,26.28,27.81,29.88,30.5,29.19,29.09,30.34,31.41,30.62,30.19,31.09,31.88,30.72,29.66,29.97,30.41,29.38,27.12,26.53,27.09,26.75,24.81,23.78,23.5,22.53,19.94,18.06,17.81,18.25,17.69,17.22,19.03,21.75,23.31,23.84,25.28,27.34,28.78,28.03,27.97,28.66,28.66,26.34,23.81,23.09,22.75,20.97,19.34,18.94,19.25,18.84,17.53,17.47,18.75,19.66,18.88,18.53,19.41,20.12,19.25,18.22,18.78,20.0,20.34,20.41,22.12,24.72,25.66,25.03,24.94,26.25,27.03,26.81,27.69,30.19,32.94,33.53,33.66,33.91,34.0,31.91,29.03,27.25,26.69,25.16,22.75,21.31,21.12,21.19,20.25,20.88,23.62,27.16,29.34,31.03,33.03:54.31,56.03,56.66,54.84,52.12,50.31,48.56,45.78,42.78,41.94,42.81,43.47,42.81,43.25,44.72,45.41,44.31,43.25,44.0,44.75,43.53,42.22,42.12,42.34,41.28,39.81,40.19,41.78,43.25,43.06,43.84,45.34,46.12,44.78,43.31,43.56,43.75,42.5,40.78,40.41,40.5,39.59,37.56,36.91,37.78,38.53,38.06,39.0,40.84,41.97,40.94,39.53,39.88,40.78,41.06,41.38,43.09,45.41,46.19,45.06,44.31,44.06,43.12,40.5,39.03,39.78,40.62,39.78,39.0,39.38,39.66,38.38,36.41,35.59,35.97,35.56,34.47,34.59,36.66,38.94,39.19,39.47,40.88,41.59,40.12,38.78,38.84,40.03,40.03,39.53,40.16,41.72,42.47,42.09,42.22,43.22,44.19,43.06,42.5,43.44,44.81,44.56,43.34,43.38,43.66,42.66,41.0,40.53,41.88,42.0,40.78,39.41,39.5,39.28,37.12,35.88,36.69,38.69,39.56,40.16,41.97,44.09,44.19,42.19,40.38,39.53,37.94,35.5,34.31,35.66,37.91,38.72,39.38,40.97,42.47,41.88,40.28,39.97,39.91,38.84,37.0,35.59,35.47,35.25,33.5,32.31,31.84,31.75,29.78,27.66,27.34,28.41,28.56,28.31,29.06,30.81,31.41,30.38,30.06,30.81,32.0,31.91,32.34,34.19,36.53,36.03,35.28,35.38,36.81,37.66,37.5,37.81,38.66,38.25,35.69,33.38,32.78,32.12,30.31,29.06,29.19,29.97,29.12,27.91,28.44,30.34,31.66,32.41,34.56,38.41,41.5,43.41,45.31,48.09,49.91,49.12,47.06,46.16,45.28,43.03,40.62,39.59,40.06,39.81,38.34,37.78,38.44,38.38,37.25,36.62,38.06,40.0,40.06,39.84,40.62,41.81,41.16,39.84,39.62,40.56,41.09,40.28,39.84,40.44,40.12,38.09,36.0,35.75,35.97,34.31,32.12,31.09,31.16,30.47,29.69,29.62,31.44,32.28,32.0,32.62,34.5,36.28,36.41,36.69,38.5,40.75,41.44,41.0,41.41,41.94,41.31,39.78,39.28,40.31,40.72,39.75,39.59,41.34,43.09,43.03,43.06,43.66,44.75,43.72,41.16,39.69,39.12,37.31,34.69,32.59,32.75,32.28,30.78,29.94,30.78,32.06,31.66,30.22,29.47,29.09,27.25,24.72,24.09,25.38,26.28,25.72,25.31,26.44,26.69,25.97,25.97,28.44,31.34,32.59,33.22,34.84,37.0,37.41,36.78,36.84,38.22,38.69,38.12,37.22,38.22,38.59,37.12,35.69,35.28,35.5,33.66,31.31,30.12,30.06,29.5,28.44,28.19,29.81,30.41,30.06,30.25,32.72,35.53,37.34,38.56,40.5,41.59,39.91,36.34,33.31,31.78,30.22,28.75,29.38,31.84,33.84,33.88,33.53,34.19,34.5,33.03,31.09,30.59,30.88,30.22,29.03,29.53,31.69,33.0,33.25,34.19,36.62,38.88,39.88,40.44,42.47,43.59,43.25,41.69,41.56,41.91,40.59,37.91,35.72,34.06,32.09,29.47,27.91,29.06,30.78,31.19,31.94,34.12,36.47,37.62,37.84,39.16,40.72,40.5,38.81,37.66,37.31,36.59,35.16,34.38,35.69,37.25,37.66,37.56,38.84,39.78,39.47,37.75,37.38,37.5,36.84,35.5,34.47,35.66,36.25,34.84,33.12,32.62,31.44,29.03,26.72,26.28,26.66,26.5,25.44,25.38,26.59,27.44,27.41,28.12,30.56,33.03,33.44,33.16,34.06,35.03,34.94,34.47,35.78,37.12,37.25,35.41,34.06,33.62,32.97,31.84,32.09,34.88,37.91,39.44,40.5,42.09,42.91,41.41,39.0,37.94,38.06,37.88,37.19,37.12,38.22,38.84,38.25,37.38,37.78,38.5,36.81,34.91,34.53,34.53,34.16,33.44,33.81,35.12,35.62,34.03,32.69,32.31,31.94,30.56,29.84,31.53,33.75,34.56,34.41,35.03,35.84,35.03,33.44,32.62,32.62,32.0,29.5,27.28,26.75,26.47,25.5,25.47,27.56,30.34,31.78,31.84,32.53,33.19,32.28,30.5,29.75,30.56,32.31,33.0,34.06,36.03,36.84,35.0,32.25,30.72,30.06,29.09,28.53,29.75,31.94,33.0,32.19,31.59,31.66,31.41,29.84,28.69,29.44,30.88,30.78,30.59,31.88,33.69,33.81,32.69,32.16,32.12,31.16,29.41,28.59,29.75,31.12,30.59,29.72,30.0,30.5,29.72,28.75,29.53,31.38,32.78,33.59,35.56,38.22,40.22,40.22,39.78,39.91,39.59,37.09,34.19,32.5,31.47,29.56,27.47,27.47,29.0,30.16,30.31,31.25,33.03,33.97,33.0,32.34,33.06,33.97,33.22,31.94,32.06,32.56,31.44,29.09,27.69,27.03,25.75,23.19,22.78,24.41,26.56,27.62,29.06,31.72,34.31,34.47,34.38,35.12,36.03,34.88,32.22,30.03,28.5,26.75,24.28,23.19,24.22,25.62,25.44,25.28,26.5,27.53,26.53,25.19,25.12,25.34,24.09,21.69,20.22,19.84,19.56,18.69,19.56,22.78,26.5,28.34,29.84,31.88,33.22,32.06,29.75,28.41,28.56,28.06,27.41,28.12,30.38,32.0,31.94,32.28,33.66,34.84,33.75,32.41,32.69,33.78,33.78,33.06,32.53,32.19,30.28,27.16,25.31,26.16,27.59,27.97,28.94,31.03,33.03,32.91,32.19,32.47,33.12,32.06,30.34,29.16,29.28,28.78,27.12,25.91,26.22,26.47,25.53,25.06,26.88,29.22,29.81,29.62,30.03,31.06,30.19,28.81,28.75,30.44,31.56,30.72,29.88,30.38,30.31,28.38,26.94,27.09,27.25,26.22,24.53,24.47,25.94,25.88,24.84,25.34,27.0,27.5,26.22,25.16,25.94,26.56,25.66,25.03,26.09,27.31,26.59,24.75,24.19,24.28,23.31,21.44,20.69,22.09,23.69,23.94,24.84,27.91,30.91,31.59,31.66,32.66,34.0,33.19,31.62,30.78,30.94,29.88,27.19,25.25,25.62,26.0,25.22,24.84,25.91,27.25,26.09,24.28,23.84,24.16,22.84,20.75,19.88,20.59,20.44,19.34,18.97,20.72,22.44,22.66,22.78,24.81,26.97,27.22,26.69,26.91,27.09,25.38,22.34,20.22,19.91,19.69,18.84,18.69,20.72,22.5,22.09,20.47,19.75,18.66,16.38,14.03,13.44,14.94,15.56,15.62,16.59,19.09,21.53,22.44,23.81,26.75,29.16,29.5,28.75,29.22,29.5,27.97,25.84,25.0,25.78,26.28,26.5,27.84,30.94,33.44,33.66,32.94,33.19,32.47,29.31,25.81,24.06,24.03,24.19,24.22,26.09,29.72,32.84,34.69,36.91,40.09,41.78,41.03,38.62,37.19,35.38,31.94,27.78,26.34,26.34,25.69,24.25,23.78,24.81,25.28,24.81,25.09,27.75,30.25,31.06,30.91,32.19,33.34,32.88,31.34,30.88,31.34,30.38,27.72,25.5,24.91,23.28,20.44,17.69,17.56,17.5,17.12,16.88,19.34,22.16,23.81,24.0,25.03,26.88,27.62,27.06,27.19,28.38,28.66,26.72,24.53,23.69,23.38,21.16,19.16,18.75,19.0,18.03,16.41,16.47,18.09,18.84,18.66,18.47,19.56,20.34,19.78,19.78,22.38,25.97,28.19,29.12,30.28,30.84,29.31,25.69,23.41,22.66,22.0,20.88,20.56,22.66,23.84,23.09,21.31,21.19,21.78,21.69,21.59,23.91,27.31,29.78,30.53,31.41,32.62,32.72,30.31,28.0,27.56,27.31,25.84,24.22,24.5,25.38,24.72,23.12,23.06,24.38,24.59,23.75,23.28,24.25,24.44,22.38,20.16,19.56,19.16,17.38,15.69,16.06,17.38,17.28,16.41,16.81,18.66,19.19,18.22,17.56,18.31,18.72,17.75,17.34,19.31,21.56,21.94,21.38,21.81,22.16,20.91,18.12,16.41,16.16,15.22,12.97,12.38,14.19,15.78,15.88,15.47,16.44,17.69,17.31,16.56,17.25,19.34,19.62,18.19,16.97,16.66,14.78,10.88,7.5,6.66,6.78,6.75,7.75,11.62,15.91,18.5,20.25,23.19,27.12,30.28,32.03,34.0,35.84,35.31,31.22,26.03,22.16,18.5,14.41,11.62,12.19,13.81,14.75,14.81,15.88,17.28,17.72,17.09,17.59,20.06,22.56,23.56,24.59,26.66,28.22,27.84,27.19,28.5,31.41,33.91,35.34,37.34,39.53,39.66,36.84,33.81,32.09,30.12,26.09,22.62,20.94,19.34,16.16,12.88,11.72,12.03,12.22,12.12,13.72,17.19,20.25,21.78,23.41,26.84,29.75,30.25,30.38,32.31,33.78,33.44,31.97,31.81,31.94,30.88,28.19,26.44,25.72,24.5,21.56,19.28,18.88,19.38,18.78,18.56,20.88,23.88,25.44,26.28,27.81,29.88,30.5,29.19,29.09,30.34,31.41,30.62,30.19,31.09,31.88,30.72,29.66,29.97,30.41,29.38,27.12,26.53,27.09,26.75,24.81,23.78,23.5,22.53,19.94,18.06,17.81,18.25,17.69,17.22,19.03,21.75,23.31,23.84,25.28,27.34,28.78,28.03,27.97,28.66,28.66,26.34,23.81,23.09,22.75,20.97,19.34,18.94,19.25,18.84,17.53,17.47,18.75,19.66,18.88,18.53,19.41,20.12,19.25,18.22,18.78,20.0,20.34,20.41,22.12,24.72,25.66,25.03,24.94,26.25,27.03,26.81,27.69,30.19,32.94,33.53,33.66,33.91,34.0,31.91,29.03,27.25,26.69,25.16,22.75,21.31,21.12,21.19,20.25,20.88,23.62,27.16,29.34,31.03,33.03,62.75,63.41,64.03,64.09,64.16,65.03,66.16:45.78,42.78,41.94,42.81,43.47,42.81,43.25,44.72,45.41,44.31,43.25,44.0,44.75,43.53,42.22,42.12,42.34,41.28,39.81,40.19,41.78,43.25,43.06,43.84,45.34,46.12,44.78,43.31,43.56,43.75,42.5,40.78,40.41,40.5,39.59,37.56,36.91,37.78,38.53,38.06,39.0,40.84,41.97,40.94,39.53,39.88,40.78,41.06,41.38,43.09,45.41,46.19,45.06,44.31,44.06,43.12,40.5,39.03,39.78,40.62,39.78,39.0,39.38,39.66,38.38,36.41,35.59,35.97,35.56,34.47,34.59,36.66,38.94,39.19,39.47,40.88,41.59,40.12,38.78,38.84,40.03,40.03,39.53,40.16,41.72,42.47,42.09,42.22,43.22,44.19,43.06,42.5,43.44,44.81,44.56,43.34,43.38,43.66,42.66,41.0,40.53,41.88,42.0,40.78,39.41,39.5,39.28,37.12,35.88,36.69,38.69,39.56,40.16,41.97,44.09,44.19,42.19,40.38,39.53,37.94,35.5,34.31,35.66,37.91,38.72,39.38,40.97,42.47,41.88,40.28,39.97,39.91,38.84,37.0,35.59,35.47,35.25,33.5,32.31,31.84,31.75,29.78,27.66,27.34,28.41,28.56,28.31,29.06,30.81,31.41,30.38,30.06,30.81,32.0,31.91,32.34,34.19,36.53,36.03,35.28,35.38,36.81,37.66,37.5,37.81,38.66,38.25,35.69,33.38,32.78,32.12,30.31,29.06,29.19,29.97,29.12,27.91,28.44,30.34,31.66,32.41,34.56,38.41,41.5,43.41,45.31,48.09,49.91,49.12,47.06,46.16,45.28,43.03,40.62,39.59,40.06,39.81,38.34,37.78,38.44,38.38,37.25,36.62,38.06,40.0,40.06,39.84,40.62,41.81,41.16,39.84,39.62,40.56,41.09,40.28,39.84,40.44,40.12,38.09,36.0,35.75,35.97,34.31,32.12,31.09,31.16,30.47,29.69,29.62,31.44,32.28,32.0,32.62,34.5,36.28,36.41,36.69,38.5,40.75,41.44,41.0,41.41,41.94,41.31,39.78,39.28,40.31,40.72,39.75,39.59,41.34,43.09,43.03,43.06,43.66,44.75,43.72,41.16,39.69,39.12,37.31,34.69,32.59,32.75,32.28,30.78,29.94,30.78,32.06,31.66,30.22,29.47,29.09,27.25,24.72,24.09,25.38,26.28,25.72,25.31,26.44,26.69,25.97,25.97,28.44,31.34,32.59,33.22,34.84,37.0,37.41,36.78,36.84,38.22,38.69,38.12,37.22,38.22,38.59,37.12,35.69,35.28,35.5,33.66,31.31,30.12,30.06,29.5,28.44,28.19,29.81,30.41,30.06,30.25,32.72,35.53,37.34,38.56,40.5,41.59,39.91,36.34,33.31,31.78,30.22,28.75,29.38,31.84,33.84,33.88,33.53,34.19,34.5,33.03,31.09,30.59,30.88,30.22,29.03,29.53,31.69,33.0,33.25,34.19,36.62,38.88,39.88,40.44,42.47,43.59,43.25,41.69,41.56,41.91,40.59,37.91,35.72,34.06,32.09,29.47,27.91,29.06,30.78,31.19,31.94,34.12,36.47,37.62,37.84,39.16,40.72,40.5,38.81,37.66,37.31,36.59,35.16,34.38,35.69,37.25,37.66,37.56,38.84,39.78,39.47,37.75,37.38,37.5,36.84,35.5,34.47,35.66,36.25,34.84,33.12,32.62,31.44,29.03,26.72,26.28,26.66,26.5,25.44,25.38,26.59,27.44,27.41,28.12,30.56,33.03,33.44,33.16,34.06,35.03,34.94,34.47,35.78,37.12,37.25,35.41,34.06,33.62,32.97,31.84,32.09,34.88,37.91,39.44,40.5,42.09,42.91,41.41,39.0,37.94,38.06,37.88,37.19,37.12,38.22,38.84,38.25,37.38,37.78,38.5,36.81,34.91,34.53,34.53,34.16,33.44,33.81,35.12,35.62,34.03,32.69,32.31,31.94,30.56,29.84,31.53,33.75,34.56,34.41,35.03,35.84,35.03,33.44,32.62,32.62,32.0,29.5,27.28,26.75,26.47,25.5,25.47,27.56,30.34,31.78,31.84,32.53,33.19,32.28,30.5,29.75,30.56,32.31,33.0,34.06,36.03,36.84,35.0,32.25,30.72,30.06,29.09,28.53,29.75,31.94,33.0,32.19,31.59,31.66,31.41,29.84,28.69,29.44,30.88,30.78,30.59,31.88,33.69,33.81,32.69,32.16,32.12,31.16,29.41,28.59,29.75,31.12,30.59,29.72,30.0,30.5,29.72,28.75,29.53,31.38,32.78,33.59,35.56,38.22,40.22,40.22,39.78,39.91,39.59,37.09,34.19,32.5,31.47,29.56,27.47,27.47,29.0,30.16,30.31,31.25,33.03,33.97,33.0,32.34,33.06,33.97,33.22,31.94,32.06,32.56,31.44,29.09,27.69,27.03,25.75,23.19,22.78,24.41,26.56,27.62,29.06,31.72,34.31,34.47,34.38,35.12,36.03,34.88,32.22,30.03,28.5,26.75,24.28,23.19,24.22,25.62,25.44,25.28,26.5,27.53,26.53,25.19,25.12,25.34,24.09,21.69,20.22,19.84,19.56,18.69,19.56,22.78,26.5,28.34,29.84,31.88,33.22,32.06,29.75,28.41,28.56,28.06,27.41,28.12,30.38,32.0,31.94,32.28,33.66,34.84,33.75,32.41,32.69,33.78,33.78,33.06,32.53,32.19,30.28,27.16,25.31,26.16,27.59,27.97,28.94,31.03,33.03,32.91,32.19,32.47,33.12,32.06,30.34,29.16,29.28,28.78,27.12,25.91,26.22,26.47,25.53,25.06,26.88,29.22,29.81,29.62,30.03,31.06,30.19,28.81,28.75,30.44,31.56,30.72,29.88,30.38,30.31,28.38,26.94,27.09,27.25,26.22,24.53,24.47,25.94,25.88,24.84,25.34,27.0,27.5,26.22,25.16,25.94,26.56,25.66,25.03,26.09,27.31,26.59,24.75,24.19,24.28,23.31,21.44,20.69,22.09,23.69,23.94,24.84,27.91,30.91,31.59,31.66,32.66,34.0,33.19,31.62,30.78,30.94,29.88,27.19,25.25,25.62,26.0,25.22,24.84,25.91,27.25,26.09,24.28,23.84,24.16,22.84,20.75,19.88,20.59,20.44,19.34,18.97,20.72,22.44,22.66,22.78,24.81,26.97,27.22,26.69,26.91,27.09,25.38,22.34,20.22,19.91,19.69,18.84,18.69,20.72,22.5,22.09,20.47,19.75,18.66,16.38,14.03,13.44,14.94,15.56,15.62,16.59,19.09,21.53,22.44,23.81,26.75,29.16,29.5,28.75,29.22,29.5,27.97,25.84,25.0,25.78,26.28,26.5,27.84,30.94,33.44,33.66,32.94,33.19,32.47,29.31,25.81,24.06,24.03,24.19,24.22,26.09,29.72,32.84,34.69,36.91,40.09,41.78,41.03,38.62,37.19,35.38,31.94,27.78,26.34,26.34,25.69,24.25,23.78,24.81,25.28,24.81,25.09,27.75,30.25,31.06,30.91,32.19,33.34,32.88,31.34,30.88,31.34,30.38,27.72,25.5,24.91,23.28,20.44,17.69,17.56,17.5,17.12,16.88,19.34,22.16,23.81,24.0,25.03,26.88,27.62,27.06,27.19,28.38,28.66,26.72,24.53,23.69,23.38,21.16,19.16,18.75,19.0,18.03,16.41,16.47,18.09,18.84,18.66,18.47,19.56,20.34,19.78,19.78,22.38,25.97,28.19,29.12,30.28,30.84,29.31,25.69,23.41,22.66,22.0,20.88,20.56,22.66,23.84,23.09,21.31,21.19,21.78,21.69,21.59,23.91,27.31,29.78,30.53,31.41,32.62,32.72,30.31,28.0,27.56,27.31,25.84,24.22,24.5,25.38,24.72,23.12,23.06,24.38,24.59,23.75,23.28,24.25,24.44,22.38,20.16,19.56,19.16,17.38,15.69,16.06,17.38,17.28,16.41,16.81,18.66,19.19,18.22,17.56,18.31,18.72,17.75,17.34,19.31,21.56,21.94,21.38,21.81,22.16,20.91,18.12,16.41,16.16,15.22,12.97,12.38,14.19,15.78,15.88,15.47,16.44,17.69,17.31,16.56,17.25,19.34,19.62,18.19,16.97,16.66,14.78,10.88,7.5,6.66,6.78,6.75,7.75,11.62,15.91,18.5,20.25,23.19,27.12,30.28,32.03,34.0,35.84,35.31,31.22,26.03,22.16,18.5,14.41,11.62,12.19,13.81,14.75,14.81,15.88,17.28,17.72,17.09,17.59,20.06,22.56,23.56,24.59,26.66,28.22,27.84,27.19,28.5,31.41,33.91,35.34,37.34,39.53,39.66,36.84,33.81,32.09,30.12,26.09,22.62,20.94,19.34,16.16,12.88,11.72,12.03,12.22,12.12,13.72,17.19,20.25,21.78,23.41,26.84,29.75,30.25,30.38,32.31,33.78,33.44,31.97,31.81,31.94,30.88,28.19,26.44,25.72,24.5,21.56,19.28,18.88,19.38,18.78,18.56,20.88,23.88,25.44,26.28,27.81,29.88,30.5,29.19,29.09,30.34,31.41,30.62,30.19,31.09,31.88,30.72,29.66,29.97,30.41,29.38,27.12,26.53,27.09,26.75,24.81,23.78,23.5,22.53,19.94,18.06,17.81,18.25,17.69,17.22,19.03,21.75,23.31,23.84,25.28,27.34,28.78,28.03,27.97,28.66,28.66,26.34,23.81,23.09,22.75,20.97,19.34,18.94,19.25,18.84,17.53,17.47,18.75,19.66,18.88,18.53,19.41,20.12,19.25,18.22,18.78,20.0,20.34,20.41,22.12,24.72,25.66,25.03,24.94,26.25,27.03,26.81,27.69,30.19,32.94,33.53,33.66,33.91,34.0,31.91,29.03,27.25,26.69,25.16,22.75,21.31,21.12,21.19,20.25,20.88,23.62,27.16,29.34,31.03,33.03,62.75,63.41,64.03,64.09,64.16,65.03,66.16,67.25,68.09,68.5,68.75,68.06,66.53,64.88:44.72,45.41,44.31,43.25,44.0,44.75,43.53,42.22,42.12,42.34,41.28,39.81,40.19,41.78,43.25,43.06,43.84,45.34,46.12,44.78,43.31,43.56,43.75,42.5,40.78,40.41,40.5,39.59,37.56,36.91,37.78,38.53,38.06,39.0,40.84,41.97,40.94,39.53,39.88,40.78,41.06,41.38,43.09,45.41,46.19,45.06,44.31,44.06,43.12,40.5,39.03,39.78,40.62,39.78,39.0,39.38,39.66,38.38,36.41,35.59,35.97,35.56,34.47,34.59,36.66,38.94,39.19,39.47,40.88,41.59,40.12,38.78,38.84,40.03,40.03,39.53,40.16,41.72,42.47,42.09,42.22,43.22,44.19,43.06,42.5,43.44,44.81,44.56,43.34,43.38,43.66,42.66,41.0,40.53,41.88,42.0,40.78,39.41,39.5,39.28,37.12,35.88,36.69,38.69,39.56,40.16,41.97,44.09,44.19,42.19,40.38,39.53,37.94,35.5,34.31,35.66,37.91,38.72,39.38,40.97,42.47,41.88,40.28,39.97,39.91,38.84,37.0,35.59,35.47,35.25,33.5,32.31,31.84,31.75,29.78,27.66,27.34,28.41,28.56,28.31,29.06,30.81,31.41,30.38,30.06,30.81,32.0,31.91,32.34,34.19,36.53,36.03,35.28,35.38,36.81,37.66,37.5,37.81,38.66,38.25,35.69,33.38,32.78,32.12,30.31,29.06,29.19,29.97,29.12,27.91,28.44,30.34,31.66,32.41,34.56,38.41,41.5,43.41,45.31,48.09,49.91,49.12,47.06,46.16,45.28,43.03,40.62,39.59,40.06,39.81,38.34,37.78,38.44,38.38,37.25,36.62,38.06,40.0,40.06,39.84,40.62,41.81,41.16,39.84,39.62,40.56,41.09,40.28,39.84,40.44,40.12,38.09,36.0,35.75,35.97,34.31,32.12,31.09,31.16,30.47,29.69,29.62,31.44,32.28,32.0,32.62,34.5,36.28,36.41,36.69,38.5,40.75,41.44,41.0,41.41,41.94,41.31,39.78,39.28,40.31,40.72,39.75,39.59,41.34,43.09,43.03,43.06,43.66,44.75,43.72,41.16,39.69,39.12,37.31,34.69,32.59,32.75,32.28,30.78,29.94,30.78,32.06,31.66,30.22,29.47,29.09,27.25,24.72,24.09,25.38,26.28,25.72,25.31,26.44,26.69,25.97,25.97,28.44,31.34,32.59,33.22,34.84,37.0,37.41,36.78,36.84,38.22,38.69,38.12,37.22,38.22,38.59,37.12,35.69,35.28,35.5,33.66,31.31,30.12,30.06,29.5,28.44,28.19,29.81,30.41,30.06,30.25,32.72,35.53,37.34,38.56,40.5,41.59,39.91,36.34,33.31,31.78,30.22,28.75,29.38,31.84,33.84,33.88,33.53,34.19,34.5,33.03,31.09,30.59,30.88,30.22,29.03,29.53,31.69,33.0,33.25,34.19,36.62,38.88,39.88,40.44,42.47,43.59,43.25,41.69,41.56,41.91,40.59,37.91,35.72,34.06,32.09,29.47,27.91,29.06,30.78,31.19,31.94,34.12,36.47,37.62,37.84,39.16,40.72,40.5,38.81,37.66,37.31,36.59,35.16,34.38,35.69,37.25,37.66,37.56,38.84,39.78,39.47,37.75,37.38,37.5,36.84,35.5,34.47,35.66,36.25,34.84,33.12,32.62,31.44,29.03,26.72,26.28,26.66,26.5,25.44,25.38,26.59,27.44,27.41,28.12,30.56,33.03,33.44,33.16,34.06,35.03,34.94,34.47,35.78,37.12,37.25,35.41,34.06,33.62,32.97,31.84,32.09,34.88,37.91,39.44,40.5,42.09,42.91,41.41,39.0,37.94,38.06,37.88,37.19,37.12,38.22,38.84,38.25,37.38,37.78,38.5,36.81,34.91,34.53,34.53,34.16,33.44,33.81,35.12,35.62,34.03,32.69,32.31,31.94,30.56,29.84,31.53,33.75,34.56,34.41,35.03,35.84,35.03,33.44,32.62,32.62,32.0,29.5,27.28,26.75,26.47,25.5,25.47,27.56,30.34,31.78,31.84,32.53,33.19,32.28,30.5,29.75,30.56,32.31,33.0,34.06,36.03,36.84,35.0,32.25,30.72,30.06,29.09,28.53,29.75,31.94,33.0,32.19,31.59,31.66,31.41,29.84,28.69,29.44,30.88,30.78,30.59,31.88,33.69,33.81,32.69,32.16,32.12,31.16,29.41,28.59,29.75,31.12,30.59,29.72,30.0,30.5,29.72,28.75,29.53,31.38,32.78,33.59,35.56,38.22,40.22,40.22,39.78,39.91,39.59,37.09,34.19,32.5,31.47,29.56,27.47,27.47,29.0,30.16,30.31,31.25,33.03,33.97,33.0,32.34,33.06,33.97,33.22,31.94,32.06,32.56,31.44,29.09,27.69,27.03,25.75,23.19,22.78,24.41,26.56,27.62,29.06,31.72,34.31,34.47,34.38,35.12,36.03,34.88,32.22,30.03,28.5,26.75,24.28,23.19,24.22,25.62,25.44,25.28,26.5,27.53,26.53,25.19,25.12,25.34,24.09,21.69,20.22,19.84,19.56,18.69,19.56,22.78,26.5,28.34,29.84,31.88,33.22,32.06,29.75,28.41,28.56,28.06,27.41,28.12,30.38,32.0,31.94,32.28,33.66,34.84,33.75,32.41,32.69,33.78,33.78,33.06,32.53,32.19,30.28,27.16,25.31,26.16,27.59,27.97,28.94,31.03,33.03,32.91,32.19,32.47,33.12,32.06,30.34,29.16,29.28,28.78,27.12,25.91,26.22,26.47,25.53,25.06,26.88,29.22,29.81,29.62,30.03,31.06,30.19,28.81,28.75,30.44,31.56,30.72,29.88,30.38,30.31,28.38,26.94,27.09,27.25,26.22,24.53,24.47,25.94,25.88,24.84,25.34,27.0,27.5,26.22,25.16,25.94,26.56,25.66,25.03,26.09,27.31,26.59,24.75,24.19,24.28,23.31,21.44,20.69,22.09,23.69,23.94,24.84,27.91,30.91,31.59,31.66,32.66,34.0,33.19,31.62,30.78,30.94,29.88,27.19,25.25,25.62,26.0,25.22,24.84,25.91,27.25,26.09,24.28,23.84,24.16,22.84,20.75,19.88,20.59,20.44,19.34,18.97,20.72,22.44,22.66,22.78,24.81,26.97,27.22,26.69,26.91,27.09,25.38,22.34,20.22,19.91,19.69,18.84,18.69,20.72,22.5,22.09,20.47,19.75,18.66,16.38,14.03,13.44,14.94,15.56,15.62,16.59,19.09,21.53,22.44,23.81,26.75,29.16,29.5,28.75,29.22,29.5,27.97,25.84,25.0,25.78,26.28,26.5,27.84,30.94,33.44,33.66,32.94,33.19,32.47,29.31,25.81,24.06,24.03,24.19,24.22,26.09,29.72,32.84,34.69,36.91,40.09,41.78,41.03,38.62,37.19,35.38,31.94,27.78,26.34,26.34,25.69,24.25,23.78,24.81,25.28,24.81,25.09,27.75,30.25,31.06,30.91,32.19,33.34,32.88,31.34,30.88,31.34,30.38,27.72,25.5,24.91,23.28,20.44,17.69,17.56,17.5,17.12,16.88,19.34,22.16,23.81,24.0,25.03,26.88,27.62,27.06,27.19,28.38,28.66,26.72,24.53,23.69,23.38,21.16,19.16,18.75,19.0,18.03,16.41,16.47,18.09,18.84,18.66,18.47,19.56,20.34,19.78,19.78,22.38,25.97,28.19,29.12,30.28,30.84,29.31,25.69,23.41,22.66,22.0,20.88,20.56,22.66,23.84,23.09,21.31,21.19,21.78,21.69,21.59,23.91,27.31,29.78,30.53,31.41,32.62,32.72,30.31,28.0,27.56,27.31,25.84,24.22,24.5,25.38,24.72,23.12,23.06,24.38,24.59,23.75,23.28,24.25,24.44,22.38,20.16,19.56,19.16,17.38,15.69,16.06,17.38,17.28,16.41,16.81,18.66,19.19,18.22,17.56,18.31,18.72,17.75,17.34,19.31,21.56,21.94,21.38,21.81,22.16,20.91,18.12,16.41,16.16,15.22,12.97,12.38,14.19,15.78,15.88,15.47,16.44,17.69,17.31,16.56,17.25,19.34,19.62,18.19,16.97,16.66,14.78,10.88,7.5,6.66,6.78,6.75,7.75,11.62,15.91,18.5,20.25,23.19,27.12,30.28,32.03,34.0,35.84,35.31,31.22,26.03,22.16,18.5,14.41,11.62,12.19,13.81,14.75,14.81,15.88,17.28,17.72,17.09,17.59,20.06,22.56,23.56,24.59,26.66,28.22,27.84,27.19,28.5,31.41,33.91,35.34,37.34,39.53,39.66,36.84,33.81,32.09,30.12,26.09,22.62,20.94,19.34,16.16,12.88,11.72,12.03,12.22,12.12,13.72,17.19,20.25,21.78,23.41,26.84,29.75,30.25,30.38,32.31,33.78,33.44,31.97,31.81,31.94,30.88,28.19,26.44,25.72,24.5,21.56,19.28,18.88,19.38,18.78,18.56,20.88,23.88,25.44,26.28,27.81,29.88,30.5,29.19,29.09,30.34,31.41,30.62,30.19,31.09,31.88,30.72,29.66,29.97,30.41,29.38,27.12,26.53,27.09,26.75,24.81,23.78,23.5,22.53,19.94,18.06,17.81,18.25,17.69,17.22,19.03,21.75,23.31,23.84,25.28,27.34,28.78,28.03,27.97,28.66,28.66,26.34,23.81,23.09,22.75,20.97,19.34,18.94,19.25,18.84,17.53,17.47,18.75,19.66,18.88,18.53,19.41,20.12,19.25,18.22,18.78,20.0,20.34,20.41,22.12,24.72,25.66,25.03,24.94,26.25,27.03,26.81,27.69,30.19,32.94,33.53,33.66,33.91,34.0,31.91,29.03,27.25,26.69,25.16,22.75,21.31,21.12,21.19,20.25,20.88,23.62,27.16,29.34,31.03,33.03,62.75,63.41,64.03,64.09,64.16,65.03,66.16,67.25,68.09,68.5,68.75,68.06,66.53,64.88,63.69,62.81,62.41,62.81,64.03,64.94,65.53:42.22,42.12,42.34,41.28,39.81,40.19,41.78,43.25,43.06,43.84,45.34,46.12,44.78,43.31,43.56,43.75,42.5,40.78,40.41,40.5,39.59,37.56,36.91,37.78,38.53,38.06,39.0,40.84,41.97,40.94,39.53,39.88,40.78,41.06,41.38,43.09,45.41,46.19,45.06,44.31,44.06,43.12,40.5,39.03,39.78,40.62,39.78,39.0,39.38,39.66,38.38,36.41,35.59,35.97,35.56,34.47,34.59,36.66,38.94,39.19,39.47,40.88,41.59,40.12,38.78,38.84,40.03,40.03,39.53,40.16,41.72,42.47,42.09,42.22,43.22,44.19,43.06,42.5,43.44,44.81,44.56,43.34,43.38,43.66,42.66,41.0,40.53,41.88,42.0,40.78,39.41,39.5,39.28,37.12,35.88,36.69,38.69,39.56,40.16,41.97,44.09,44.19,42.19,40.38,39.53,37.94,35.5,34.31,35.66,37.91,38.72,39.38,40.97,42.47,41.88,40.28,39.97,39.91,38.84,37.0,35.59,35.47,35.25,33.5,32.31,31.84,31.75,29.78,27.66,27.34,28.41,28.56,28.31,29.06,30.81,31.41,30.38,30.06,30.81,32.0,31.91,32.34,34.19,36.53,36.03,35.28,35.38,36.81,37.66,37.5,37.81,38.66,38.25,35.69,33.38,32.78,32.12,30.31,29.06,29.19,29.97,29.12,27.91,28.44,30.34,31.66,32.41,34.56,38.41,41.5,43.41,45.31,48.09,49.91,49.12,47.06,46.16,45.28,43.03,40.62,39.59,40.06,39.81,38.34,37.78,38.44,38.38,37.25,36.62,38.06,40.0,40.06,39.84,40.62,41.81,41.16,39.84,39.62,40.56,41.09,40.28,39.84,40.44,40.12,38.09,36.0,35.75,35.97,34.31,32.12,31.09,31.16,30.47,29.69,29.62,31.44,32.28,32.0,32.62,34.5,36.28,36.41,36.69,38.5,40.75,41.44,41.0,41.41,41.94,41.31,39.78,39.28,40.31,40.72,39.75,39.59,41.34,43.09,43.03,43.06,43.66,44.75,43.72,41.16,39.69,39.12,37.31,34.69,32.59,32.75,32.28,30.78,29.94,30.78,32.06,31.66,30.22,29.47,29.09,27.25,24.72,24.09,25.38,26.28,25.72,25.31,26.44,26.69,25.97,25.97,28.44,31.34,32.59,33.22,34.84,37.0,37.41,36.78,36.84,38.22,38.69,38.12,37.22,38.22,38.59,37.12,35.69,35.28,35.5,33.66,31.31,30.12,30.06,29.5,28.44,28.19,29.81,30.41,30.06,30.25,32.72,35.53,37.34,38.56,40.5,41.59,39.91,36.34,33.31,31.78,30.22,28.75,29.38,31.84,33.84,33.88,33.53,34.19,34.5,33.03,31.09,30.59,30.88,30.22,29.03,29.53,31.69,33.0,33.25,34.19,36.62,38.88,39.88,40.44,42.47,43.59,43.25,41.69,41.56,41.91,40.59,37.91,35.72,34.06,32.09,29.47,27.91,29.06,30.78,31.19,31.94,34.12,36.47,37.62,37.84,39.16,40.72,40.5,38.81,37.66,37.31,36.59,35.16,34.38,35.69,37.25,37.66,37.56,38.84,39.78,39.47,37.75,37.38,37.5,36.84,35.5,34.47,35.66,36.25,34.84,33.12,32.62,31.44,29.03,26.72,26.28,26.66,26.5,25.44,25.38,26.59,27.44,27.41,28.12,30.56,33.03,33.44,33.16,34.06,35.03,34.94,34.47,35.78,37.12,37.25,35.41,34.06,33.62,32.97,31.84,32.09,34.88,37.91,39.44,40.5,42.09,42.91,41.41,39.0,37.94,38.06,37.88,37.19,37.12,38.22,38.84,38.25,37.38,37.78,38.5,36.81,34.91,34.53,34.53,34.16,33.44,33.81,35.12,35.62,34.03,32.69,32.31,31.94,30.56,29.84,31.53,33.75,34.56,34.41,35.03,35.84,35.03,33.44,32.62,32.62,32.0,29.5,27.28,26.75,26.47,25.5,25.47,27.56,30.34,31.78,31.84,32.53,33.19,32.28,30.5,29.75,30.56,32.31,33.0,34.06,36.03,36.84,35.0,32.25,30.72,30.06,29.09,28.53,29.75,31.94,33.0,32.19,31.59,31.66,31.41,29.84,28.69,29.44,30.88,30.78,30.59,31.88,33.69,33.81,32.69,32.16,32.12,31.16,29.41,28.59,29.75,31.12,30.59,29.72,30.0,30.5,29.72,28.75,29.53,31.38,32.78,33.59,35.56,38.22,40.22,40.22,39.78,39.91,39.59,37.09,34.19,32.5,31.47,29.56,27.47,27.47,29.0,30.16,30.31,31.25,33.03,33.97,33.0,32.34,33.06,33.97,33.22,31.94,32.06,32.56,31.44,29.09,27.69,27.03,25.75,23.19,22.78,24.41,26.56,27.62,29.06,31.72,34.31,34.47,34.38,35.12,36.03,34.88,32.22,30.03,28.5,26.75,24.28,23.19,24.22,25.62,25.44,25.28,26.5,27.53,26.53,25.19,25.12,25.34,24.09,21.69,20.22,19.84,19.56,18.69,19.56,22.78,26.5,28.34,29.84,31.88,33.22,32.06,29.75,28.41,28.56,28.06,27.41,28.12,30.38,32.0,31.94,32.28,33.66,34.84,33.75,32.41,32.69,33.78,33.78,33.06,32.53,32.19,30.28,27.16,25.31,26.16,27.59,27.97,28.94,31.03,33.03,32.91,32.19,32.47,33.12,32.06,30.34,29.16,29.28,28.78,27.12,25.91,26.22,26.47,25.53,25.06,26.88,29.22,29.81,29.62,30.03,31.06,30.19,28.81,28.75,30.44,31.56,30.72,29.88,30.38,30.31,28.38,26.94,27.09,27.25,26.22,24.53,24.47,25.94,25.88,24.84,25.34,27.0,27.5,26.22,25.16,25.94,26.56,25.66,25.03,26.09,27.31,26.59,24.75,24.19,24.28,23.31,21.44,20.69,22.09,23.69,23.94,24.84,27.91,30.91,31.59,31.66,32.66,34.0,33.19,31.62,30.78,30.94,29.88,27.19,25.25,25.62,26.0,25.22,24.84,25.91,27.25,26.09,24.28,23.84,24.16,22.84,20.75,19.88,20.59,20.44,19.34,18.97,20.72,22.44,22.66,22.78,24.81,26.97,27.22,26.69,26.91,27.09,25.38,22.34,20.22,19.91,19.69,18.84,18.69,20.72,22.5,22.09,20.47,19.75,18.66,16.38,14.03,13.44,14.94,15.56,15.62,16.59,19.09,21.53,22.44,23.81,26.75,29.16,29.5,28.75,29.22,29.5,27.97,25.84,25.0,25.78,26.28,26.5,27.84,30.94,33.44,33.66,32.94,33.19,32.47,29.31,25.81,24.06,24.03,24.19,24.22,26.09,29.72,32.84,34.69,36.91,40.09,41.78,41.03,38.62,37.19,35.38,31.94,27.78,26.34,26.34,25.69,24.25,23.78,24.81,25.28,24.81,25.09,27.75,30.25,31.06,30.91,32.19,33.34,32.88,31.34,30.88,31.34,30.38,27.72,25.5,24.91,23.28,20.44,17.69,17.56,17.5,17.12,16.88,19.34,22.16,23.81,24.0,25.03,26.88,27.62,27.06,27.19,28.38,28.66,26.72,24.53,23.69,23.38,21.16,19.16,18.75,19.0,18.03,16.41,16.47,18.09,18.84,18.66,18.47,19.56,20.34,19.78,19.78,22.38,25.97,28.19,29.12,30.28,30.84,29.31,25.69,23.41,22.66,22.0,20.88,20.56,22.66,23.84,23.09,21.31,21.19,21.78,21.69,21.59,23.91,27.31,29.78,30.53,31.41,32.62,32.72,30.31,28.0,27.56,27.31,25.84,24.22,24.5,25.38,24.72,23.12,23.06,24.38,24.59,23.75,23.28,24.25,24.44,22.38,20.16,19.56,19.16,17.38,15.69,16.06,17.38,17.28,16.41,16.81,18.66,19.19,18.22,17.56,18.31,18.72,17.75,17.34,19.31,21.56,21.94,21.38,21.81,22.16,20.91,18.12,16.41,16.16,15.22,12.97,12.38,14.19,15.78,15.88,15.47,16.44,17.69,17.31,16.56,17.25,19.34,19.62,18.19,16.97,16.66,14.78,10.88,7.5,6.66,6.78,6.75,7.75,11.62,15.91,18.5,20.25,23.19,27.12,30.28,32.03,34.0,35.84,35.31,31.22,26.03,22.16,18.5,14.41,11.62,12.19,13.81,14.75,14.81,15.88,17.28,17.72,17.09,17.59,20.06,22.56,23.56,24.59,26.66,28.22,27.84,27.19,28.5,31.41,33.91,35.34,37.34,39.53,39.66,36.84,33.81,32.09,30.12,26.09,22.62,20.94,19.34,16.16,12.88,11.72,12.03,12.22,12.12,13.72,17.19,20.25,21.78,23.41,26.84,29.75,30.25,30.38,32.31,33.78,33.44,31.97,31.81,31.94,30.88,28.19,26.44,25.72,24.5,21.56,19.28,18.88,19.38,18.78,18.56,20.88,23.88,25.44,26.28,27.81,29.88,30.5,29.19,29.09,30.34,31.41,30.62,30.19,31.09,31.88,30.72,29.66,29.97,30.41,29.38,27.12,26.53,27.09,26.75,24.81,23.78,23.5,22.53,19.94,18.06,17.81,18.25,17.69,17.22,19.03,21.75,23.31,23.84,25.28,27.34,28.78,28.03,27.97,28.66,28.66,26.34,23.81,23.09,22.75,20.97,19.34,18.94,19.25,18.84,17.53,17.47,18.75,19.66,18.88,18.53,19.41,20.12,19.25,18.22,18.78,20.0,20.34,20.41,22.12,24.72,25.66,25.03,24.94,26.25,27.03,26.81,27.69,30.19,32.94,33.53,33.66,33.91,34.0,31.91,29.03,27.25,26.69,25.16,22.75,21.31,21.12,21.19,20.25,20.88,23.62,27.16,29.34,31.03,33.03,62.75,63.41,64.03,64.09,64.16,65.03,66.16,67.25,68.09,68.5,68.75,68.06,66.53,64.88,63.69,62.81,62.41,62.81,64.03,64.94,65.53,65.31,64.88,63.94,62.66,61.16,59.88,58.56:43.25,43.06,43.84,45.34,46.12,44.78,43.31,43.56,43.75,42.5,40.78,40.41,40.5,39.59,37.56,36.91,37.78,38.53,38.06,39.0,40.84,41.97,40.94,39.53,39.88,40.78,41.06,41.38,43.09,45.41,46.19,45.06,44.31,44.06,43.12,40.5,39.03,39.78,40.62,39.78,39.0,39.38,39.66,38.38,36.41,35.59,35.97,35.56,34.47,34.59,36.66,38.94,39.19,39.47,40.88,41.59,40.12,38.78,38.84,40.03,40.03,39.53,40.16,41.72,42.47,42.09,42.22,43.22,44.19,43.06,42.5,43.44,44.81,44.56,43.34,43.38,43.66,42.66,41.0,40.53,41.88,42.0,40.78,39.41,39.5,39.28,37.12,35.88,36.69,38.69,39.56,40.16,41.97,44.09,44.19,42.19,40.38,39.53,37.94,35.5,34.31,35.66,37.91,38.72,39.38,40.97,42.47,41.88,40.28,39.97,39.91,38.84,37.0,35.59,35.47,35.25,33.5,32.31,31.84,31.75,29.78,27.66,27.34,28.41,28.56,28.31,29.06,30.81,31.41,30.38,30.06,30.81,32.0,31.91,32.34,34.19,36.53,36.03,35.28,35.38,36.81,37.66,37.5,37.81,38.66,38.25,35.69,33.38,32.78,32.12,30.31,29.06,29.19,29.97,29.12,27.91,28.44,30.34,31.66,32.41,34.56,38.41,41.5,43.41,45.31,48.09,49.91,49.12,47.06,46.16,45.28,43.03,40.62,39.59,40.06,39.81,38.34,37.78,38.44,38.38,37.25,36.62,38.06,40.0,40.06,39.84,40.62,41.81,41.16,39.84,39.62,40.56,41.09,40.28,39.84,40.44,40.12,38.09,36.0,35.75,35.97,34.31,32.12,31.09,31.16,30.47,29.69,29.62,31.44,32.28,32.0,32.62,34.5,36.28,36.41,36.69,38.5,40.75,41.44,41.0,41.41,41.94,41.31,39.78,39.28,40.31,40.72,39.75,39.59,41.34,43.09,43.03,43.06,43.66,44.75,43.72,41.16,39.69,39.12,37.31,34.69,32.59,32.75,32.28,30.78,29.94,30.78,32.06,31.66,30.22,29.47,29.09,27.25,24.72,24.09,25.38,26.28,25.72,25.31,26.44,26.69,25.97,25.97,28.44,31.34,32.59,33.22,34.84,37.0,37.41,36.78,36.84,38.22,38.69,38.12,37.22,38.22,38.59,37.12,35.69,35.28,35.5,33.66,31.31,30.12,30.06,29.5,28.44,28.19,29.81,30.41,30.06,30.25,32.72,35.53,37.34,38.56,40.5,41.59,39.91,36.34,33.31,31.78,30.22,28.75,29.38,31.84,33.84,33.88,33.53,34.19,34.5,33.03,31.09,30.59,30.88,30.22,29.03,29.53,31.69,33.0,33.25,34.19,36.62,38.88,39.88,40.44,42.47,43.59,43.25,41.69,41.56,41.91,40.59,37.91,35.72,34.06,32.09,29.47,27.91,29.06,30.78,31.19,31.94,34.12,36.47,37.62,37.84,39.16,40.72,40.5,38.81,37.66,37.31,36.59,35.16,34.38,35.69,37.25,37.66,37.56,38.84,39.78,39.47,37.75,37.38,37.5,36.84,35.5,34.47,35.66,36.25,34.84,33.12,32.62,31.44,29.03,26.72,26.28,26.66,26.5,25.44,25.38,26.59,27.44,27.41,28.12,30.56,33.03,33.44,33.16,34.06,35.03,34.94,34.47,35.78,37.12,37.25,35.41,34.06,33.62,32.97,31.84,32.09,34.88,37.91,39.44,40.5,42.09,42.91,41.41,39.0,37.94,38.06,37.88,37.19,37.12,38.22,38.84,38.25,37.38,37.78,38.5,36.81,34.91,34.53,34.53,34.16,33.44,33.81,35.12,35.62,34.03,32.69,32.31,31.94,30.56,29.84,31.53,33.75,34.56,34.41,35.03,35.84,35.03,33.44,32.62,32.62,32.0,29.5,27.28,26.75,26.47,25.5,25.47,27.56,30.34,31.78,31.84,32.53,33.19,32.28,30.5,29.75,30.56,32.31,33.0,34.06,36.03,36.84,35.0,32.25,30.72,30.06,29.09,28.53,29.75,31.94,33.0,32.19,31.59,31.66,31.41,29.84,28.69,29.44,30.88,30.78,30.59,31.88,33.69,33.81,32.69,32.16,32.12,31.16,29.41,28.59,29.75,31.12,30.59,29.72,30.0,30.5,29.72,28.75,29.53,31.38,32.78,33.59,35.56,38.22,40.22,40.22,39.78,39.91,39.59,37.09,34.19,32.5,31.47,29.56,27.47,27.47,29.0,30.16,30.31,31.25,33.03,33.97,33.0,32.34,33.06,33.97,33.22,31.94,32.06,32.56,31.44,29.09,27.69,27.03,25.75,23.19,22.78,24.41,26.56,27.62,29.06,31.72,34.31,34.47,34.38,35.12,36.03,34.88,32.22,30.03,28.5,26.75,24.28,23.19,24.22,25.62,25.44,25.28,26.5,27.53,26.53,25.19,25.12,25.34,24.09,21.69,20.22,19.84,19.56,18.69,19.56,22.78,26.5,28.34,29.84,31.88,33.22,32.06,29.75,28.41,28.56,28.06,27.41,28.12,30.38,32.0,31.94,32.28,33.66,34.84,33.75,32.41,32.69,33.78,33.78,33.06,32.53,32.19,30.28,27.16,25.31,26.16,27.59,27.97,28.94,31.03,33.03,32.91,32.19,32.47,33.12,32.06,30.34,29.16,29.28,28.78,27.12,25.91,26.22,26.47,25.53,25.06,26.88,29.22,29.81,29.62,30.03,31.06,30.19,28.81,28.75,30.44,31.56,30.72,29.88,30.38,30.31,28.38,26.94,27.09,27.25,26.22,24.53,24.47,25.94,25.88,24.84,25.34,27.0,27.5,26.22,25.16,25.94,26.56,25.66,25.03,26.09,27.31,26.59,24.75,24.19,24.28,23.31,21.44,20.69,22.09,23.69,23.94,24.84,27.91,30.91,31.59,31.66,32.66,34.0,33.19,31.62,30.78,30.94,29.88,27.19,25.25,25.62,26.0,25.22,24.84,25.91,27.25,26.09,24.28,23.84,24.16,22.84,20.75,19.88,20.59,20.44,19.34,18.97,20.72,22.44,22.66,22.78,24.81,26.97,27.22,26.69,26.91,27.09,25.38,22.34,20.22,19.91,19.69,18.84,18.69,20.72,22.5,22.09,20.47,19.75,18.66,16.38,14.03,13.44,14.94,15.56,15.62,16.59,19.09,21.53,22.44,23.81,26.75,29.16,29.5,28.75,29.22,29.5,27.97,25.84,25.0,25.78,26.28,26.5,27.84,30.94,33.44,33.66,32.94,33.19,32.47,29.31,25.81,24.06,24.03,24.19,24.22,26.09,29.72,32.84,34.69,36.91,40.09,41.78,41.03,38.62,37.19,35.38,31.94,27.78,26.34,26.34,25.69,24.25,23.78,24.81,25.28,24.81,25.09,27.75,30.25,31.06,30.91,32.19,33.34,32.88,31.34,30.88,31.34,30.38,27.72,25.5,24.91,23.28,20.44,17.69,17.56,17.5,17.12,16.88,19.34,22.16,23.81,24.0,25.03,26.88,27.62,27.06,27.19,28.38,28.66,26.72,24.53,23.69,23.38,21.16,19.16,18.75,19.0,18.03,16.41,16.47,18.09,18.84,18.66,18.47,19.56,20.34,19.78,19.78,22.38,25.97,28.19,29.12,30.28,30.84,29.31,25.69,23.41,22.66,22.0,20.88,20.56,22.66,23.84,23.09,21.31,21.19,21.78,21.69,21.59,23.91,27.31,29.78,30.53,31.41,32.62,32.72,30.31,28.0,27.56,27.31,25.84,24.22,24.5,25.38,24.72,23.12,23.06,24.38,24.59,23.75,23.28,24.25,24.44,22.38,20.16,19.56,19.16,17.38,15.69,16.06,17.38,17.28,16.41,16.81,18.66,19.19,18.22,17.56,18.31,18.72,17.75,17.34,19.31,21.56,21.94,21.38,21.81,22.16,20.91,18.12,16.41,16.16,15.22,12.97,12.38,14.19,15.78,15.88,15.47,16.44,17.69,17.31,16.56,17.25,19.34,19.62,18.19,16.97,16.66,14.78,10.88,7.5,6.66,6.78,6.75,7.75,11.62,15.91,18.5,20.25,23.19,27.12,30.28,32.03,34.0,35.84,35.31,31.22,26.03,22.16,18.5,14.41,11.62,12.19,13.81,14.75,14.81,15.88,17.28,17.72,17.09,17.59,20.06,22.56,23.56,24.59,26.66,28.22,27.84,27.19,28.5,31.41,33.91,35.34,37.34,39.53,39.66,36.84,33.81,32.09,30.12,26.09,22.62,20.94,19.34,16.16,12.88,11.72,12.03,12.22,12.12,13.72,17.19,20.25,21.78,23.41,26.84,29.75,30.25,30.38,32.31,33.78,33.44,31.97,31.81,31.94,30.88,28.19,26.44,25.72,24.5,21.56,19.28,18.88,19.38,18.78,18.56,20.88,23.88,25.44,26.28,27.81,29.88,30.5,29.19,29.09,30.34,31.41,30.62,30.19,31.09,31.88,30.72,29.66,29.97,30.41,29.38,27.12,26.53,27.09,26.75,24.81,23.78,23.5,22.53,19.94,18.06,17.81,18.25,17.69,17.22,19.03,21.75,23.31,23.84,25.28,27.34,28.78,28.03,27.97,28.66,28.66,26.34,23.81,23.09,22.75,20.97,19.34,18.94,19.25,18.84,17.53,17.47,18.75,19.66,18.88,18.53,19.41,20.12,19.25,18.22,18.78,20.0,20.34,20.41,22.12,24.72,25.66,25.03,24.94,26.25,27.03,26.81,27.69,30.19,32.94,33.53,33.66,33.91,34.0,31.91,29.03,27.25,26.69,25.16,22.75,21.31,21.12,21.19,20.25,20.88,23.62,27.16,29.34,31.03,33.03,62.75,63.41,64.03,64.09,64.16,65.03,66.16,67.25,68.09,68.5,68.75,68.06,66.53,64.88,63.69,62.81,62.41,62.81,64.03,64.94,65.53,65.31,64.88,63.94,62.66,61.16,59.88,58.56,57.38,55.69,54.0,52.94,52.06,51.88,52.34:43.56,43.75,42.5,40.78,40.41,40.5,39.59,37.56,36.91,37.78,38.53,38.06,39.0,40.84,41.97,40.94,39.53,39.88,40.78,41.06,41.38,43.09,45.41,46.19,45.06,44.31,44.06,43.12,40.5,39.03,39.78,40.62,39.78,39.0,39.38,39.66,38.38,36.41,35.59,35.97,35.56,34.47,34.59,36.66,38.94,39.19,39.47,40.88,41.59,40.12,38.78,38.84,40.03,40.03,39.53,40.16,41.72,42.47,42.09,42.22,43.22,44.19,43.06,42.5,43.44,44.81,44.56,43.34,43.38,43.66,42.66,41.0,40.53,41.88,42.0,40.78,39.41,39.5,39.28,37.12,35.88,36.69,38.69,39.56,40.16,41.97,44.09,44.19,42.19,40.38,39.53,37.94,35.5,34.31,35.66,37.91,38.72,39.38,40.97,42.47,41.88,40.28,39.97,39.91,38.84,37.0,35.59,35.47,35.25,33.5,32.31,31.84,31.75,29.78,27.66,27.34,28.41,28.56,28.31,29.06,30.81,31.41,30.38,30.06,30.81,32.0,31.91,32.34,34.19,36.53,36.03,35.28,35.38,36.81,37.66,37.5,37.81,38.66,38.25,35.69,33.38,32.78,32.12,30.31,29.06,29.19,29.97,29.12,27.91,28.44,30.34,31.66,32.41,34.56,38.41,41.5,43.41,45.31,48.09,49.91,49.12,47.06,46.16,45.28,43.03,40.62,39.59,40.06,39.81,38.34,37.78,38.44,38.38,37.25,36.62,38.06,40.0,40.06,39.84,40.62,41.81,41.16,39.84,39.62,40.56,41.09,40.28,39.84,40.44,40.12,38.09,36.0,35.75,35.97,34.31,32.12,31.09,31.16,30.47,29.69,29.62,31.44,32.28,32.0,32.62,34.5,36.28,36.41,36.69,38.5,40.75,41.44,41.0,41.41,41.94,41.31,39.78,39.28,40.31,40.72,39.75,39.59,41.34,43.09,43.03,43.06,43.66,44.75,43.72,41.16,39.69,39.12,37.31,34.69,32.59,32.75,32.28,30.78,29.94,30.78,32.06,31.66,30.22,29.47,29.09,27.25,24.72,24.09,25.38,26.28,25.72,25.31,26.44,26.69,25.97,25.97,28.44,31.34,32.59,33.22,34.84,37.0,37.41,36.78,36.84,38.22,38.69,38.12,37.22,38.22,38.59,37.12,35.69,35.28,35.5,33.66,31.31,30.12,30.06,29.5,28.44,28.19,29.81,30.41,30.06,30.25,32.72,35.53,37.34,38.56,40.5,41.59,39.91,36.34,33.31,31.78,30.22,28.75,29.38,31.84,33.84,33.88,33.53,34.19,34.5,33.03,31.09,30.59,30.88,30.22,29.03,29.53,31.69,33.0,33.25,34.19,36.62,38.88,39.88,40.44,42.47,43.59,43.25,41.69,41.56,41.91,40.59,37.91,35.72,34.06,32.09,29.47,27.91,29.06,30.78,31.19,31.94,34.12,36.47,37.62,37.84,39.16,40.72,40.5,38.81,37.66,37.31,36.59,35.16,34.38,35.69,37.25,37.66,37.56,38.84,39.78,39.47,37.75,37.38,37.5,36.84,35.5,34.47,35.66,36.25,34.84,33.12,32.62,31.44,29.03,26.72,26.28,26.66,26.5,25.44,25.38,26.59,27.44,27.41,28.12,30.56,33.03,33.44,33.16,34.06,35.03,34.94,34.47,35.78,37.12,37.25,35.41,34.06,33.62,32.97,31.84,32.09,34.88,37.91,39.44,40.5,42.09,42.91,41.41,39.0,37.94,38.06,37.88,37.19,37.12,38.22,38.84,38.25,37.38,37.78,38.5,36.81,34.91,34.53,34.53,34.16,33.44,33.81,35.12,35.62,34.03,32.69,32.31,31.94,30.56,29.84,31.53,33.75,34.56,34.41,35.03,35.84,35.03,33.44,32.62,32.62,32.0,29.5,27.28,26.75,26.47,25.5,25.47,27.56,30.34,31.78,31.84,32.53,33.19,32.28,30.5,29.75,30.56,32.31,33.0,34.06,36.03,36.84,35.0,32.25,30.72,30.06,29.09,28.53,29.75,31.94,33.0,32.19,31.59,31.66,31.41,29.84,28.69,29.44,30.88,30.78,30.59,31.88,33.69,33.81,32.69,32.16,32.12,31.16,29.41,28.59,29.75,31.12,30.59,29.72,30.0,30.5,29.72,28.75,29.53,31.38,32.78,33.59,35.56,38.22,40.22,40.22,39.78,39.91,39.59,37.09,34.19,32.5,31.47,29.56,27.47,27.47,29.0,30.16,30.31,31.25,33.03,33.97,33.0,32.34,33.06,33.97,33.22,31.94,32.06,32.56,31.44,29.09,27.69,27.03,25.75,23.19,22.78,24.41,26.56,27.62,29.06,31.72,34.31,34.47,34.38,35.12,36.03,34.88,32.22,30.03,28.5,26.75,24.28,23.19,24.22,25.62,25.44,25.28,26.5,27.53,26.53,25.19,25.12,25.34,24.09,21.69,20.22,19.84,19.56,18.69,19.56,22.78,26.5,28.34,29.84,31.88,33.22,32.06,29.75,28.41,28.56,28.06,27.41,28.12,30.38,32.0,31.94,32.28,33.66,34.84,33.75,32.41,32.69,33.78,33.78,33.06,32.53,32.19,30.28,27.16,25.31,26.16,27.59,27.97,28.94,31.03,33.03,32.91,32.19,32.47,33.12,32.06,30.34,29.16,29.28,28.78,27.12,25.91,26.22,26.47,25.53,25.06,26.88,29.22,29.81,29.62,30.03,31.06,30.19,28.81,28.75,30.44,31.56,30.72,29.88,30.38,30.31,28.38,26.94,27.09,27.25,26.22,24.53,24.47,25.94,25.88,24.84,25.34,27.0,27.5,26.22,25.16,25.94,26.56,25.66,25.03,26.09,27.31,26.59,24.75,24.19,24.28,23.31,21.44,20.69,22.09,23.69,23.94,24.84,27.91,30.91,31.59,31.66,32.66,34.0,33.19,31.62,30.78,30.94,29.88,27.19,25.25,25.62,26.0,25.22,24.84,25.91,27.25,26.09,24.28,23.84,24.16,22.84,20.75,19.88,20.59,20.44,19.34,18.97,20.72,22.44,22.66,22.78,24.81,26.97,27.22,26.69,26.91,27.09,25.38,22.34,20.22,19.91,19.69,18.84,18.69,20.72,22.5,22.09,20.47,19.75,18.66,16.38,14.03,13.44,14.94,15.56,15.62,16.59,19.09,21.53,22.44,23.81,26.75,29.16,29.5,28.75,29.22,29.5,27.97,25.84,25.0,25.78,26.28,26.5,27.84,30.94,33.44,33.66,32.94,33.19,32.47,29.31,25.81,24.06,24.03,24.19,24.22,26.09,29.72,32.84,34.69,36.91,40.09,41.78,41.03,38.62,37.19,35.38,31.94,27.78,26.34,26.34,25.69,24.25,23.78,24.81,25.28,24.81,25.09,27.75,30.25,31.06,30.91,32.19,33.34,32.88,31.34,30.88,31.34,30.38,27.72,25.5,24.91,23.28,20.44,17.69,17.56,17.5,17.12,16.88,19.34,22.16,23.81,24.0,25.03,26.88,27.62,27.06,27.19,28.38,28.66,26.72,24.53,23.69,23.38,21.16,19.16,18.75,19.0,18.03,16.41,16.47,18.09,18.84,18.66,18.47,19.56,20.34,19.78,19.78,22.38,25.97,28.19,29.12,30.28,30.84,29.31,25.69,23.41,22.66,22.0,20.88,20.56,22.66,23.84,23.09,21.31,21.19,21.78,21.69,21.59,23.91,27.31,29.78,30.53,31.41,32.62,32.72,30.31,28.0,27.56,27.31,25.84,24.22,24.5,25.38,24.72,23.12,23.06,24.38,24.59,23.75,23.28,24.25,24.44,22.38,20.16,19.56,19.16,17.38,15.69,16.06,17.38,17.28,16.41,16.81,18.66,19.19,18.22,17.56,18.31,18.72,17.75,17.34,19.31,21.56,21.94,21.38,21.81,22.16,20.91,18.12,16.41,16.16,15.22,12.97,12.38,14.19,15.78,15.88,15.47,16.44,17.69,17.31,16.56,17.25,19.34,19.62,18.19,16.97,16.66,14.78,10.88,7.5,6.66,6.78,6.75,7.75,11.62,15.91,18.5,20.25,23.19,27.12,30.28,32.03,34.0,35.84,35.31,31.22,26.03,22.16,18.5,14.41,11.62,12.19,13.81,14.75,14.81,15.88,17.28,17.72,17.09,17.59,20.06,22.56,23.56,24.59,26.66,28.22,27.84,27.19,28.5,31.41,33.91,35.34,37.34,39.53,39.66,36.84,33.81,32.09,30.12,26.09,22.62,20.94,19.34,16.16,12.88,11.72,12.03,12.22,12.12,13.72,17.19,20.25,21.78,23.41,26.84,29.75,30.25,30.38,32.31,33.78,33.44,31.97,31.81,31.94,30.88,28.19,26.44,25.72,24.5,21.56,19.28,18.88,19.38,18.78,18.56,20.88,23.88,25.44,26.28,27.81,29.88,30.5,29.19,29.09,30.34,31.41,30.62,30.19,31.09,31.88,30.72,29.66,29.97,30.41,29.38,27.12,26.53,27.09,26.75,24.81,23.78,23.5,22.53,19.94,18.06,17.81,18.25,17.69,17.22,19.03,21.75,23.31,23.84,25.28,27.34,28.78,28.03,27.97,28.66,28.66,26.34,23.81,23.09,22.75,20.97,19.34,18.94,19.25,18.84,17.53,17.47,18.75,19.66,18.88,18.53,19.41,20.12,19.25,18.22,18.78,20.0,20.34,20.41,22.12,24.72,25.66,25.03,24.94,26.25,27.03,26.81,27.69,30.19,32.94,33.53,33.66,33.91,34.0,31.91,29.03,27.25,26.69,25.16,22.75,21.31,21.12,21.19,20.25,20.88,23.62,27.16,29.34,31.03,33.03,62.75,63.41,64.03,64.09,64.16,65.03,66.16,67.25,68.09,68.5,68.75,68.06,66.53,64.88,63.69,62.81,62.41,62.81,64.03,64.94,65.53,65.31,64.88,63.94,62.66,61.16,59.88,58.56,57.38,55.69,54.0,52.94,52.06,51.88,52.34,54.03,55.91,57.81,58.81,60.19,61.34,62.0:negativity
5.16,6.19,7.47,9.44,11.31,12.31,13.31,14.88,15.69,14.97,13.28,11.97,11.16,10.41,10.0,10.69,12.78,14.22,14.94,15.69,16.44,16.53,15.06,13.56,12.88,12.16,11.12,9.69,8.75,7.69,6.47,5.5,6.25,8.5,11.53,14.09,16.25,18.91,20.53,21.34,21.94,23.5,25.56,26.53,26.66,26.88,25.84,23.84,21.03,18.81,17.91,17.25,16.06,14.94,14.12,13.09,10.47,7.94,6.69,5.59,4.97,4.34,5.06,6.78,8.09,8.66,8.72,9.59,9.84,9.34,9.16,10.78,12.62,13.41,13.91,14.5,13.88,12.03,9.22,7.0,5.53,4.09,2.0,0.38,0.0,-0.38,-1.16,-1.62,-0.88,0.03,0.12,-0.09,0.06,0.38,0.5,0.03,0.5,2.12,3.75,4.22,5.22,6.91,8.31,8.38,8.16,8.12,7.75,6.09,4.28,3.31,3.34,3.16,2.84,3.38,4.06,3.88,2.44,0.53,-0.09,-1.06,-2.66,-3.72,-3.56,-3.03,-2.59,-2.97,-2.31,-1.19,-0.97,-1.28,-1.09,-0.59,-0.16,-0.72,-0.97,0.12,1.78,2.47,3.38,4.97,6.41,6.72,6.28,6.0,6.25,6.25,5.69,6.03,7.22,8.16,8.28,8.41,9.53,11.22,12.5,13.78,15.94,18.41,19.97,20.75,21.88,23.22,23.97,23.38,22.66,21.78,20.16,16.78,13.06,10.03,7.94,5.75,3.97,4.28,5.47,6.72,7.72,9.38,11.72,14.0,14.91,15.88,16.66,17.5,16.41,15.06,14.03,13.38,11.72,10.28,9.47,8.84,7.69,5.66,4.56,3.91,4.09,3.19,3.19,3.34,3.56,3.03,2.69,2.81,3.31,2.94,1.94,1.09,0.69,0.12,-0.31,-0.25,1.12,2.78,3.16,3.31,3.75,4.5,4.59,4.84,6.0,7.72,8.72,8.84,8.38,8.09,6.97,4.53,2.72,1.5,0.47,-1.19,-2.91,-3.81,-3.69,-4.03,-4.22,-3.78,-2.56,-1.69,-1.19,0.09,2.38,4.5,5.59,5.88,6.53,7.69,8.25,9.47,11.47,13.72,14.28,13.81,12.19,10.97,9.31,7.28,5.94,5.47,5.22,3.97,2.94,2.28,1.69,0.38,-0.34,-0.06,1.59,3.28,4.94,6.44,8.19,8.75,8.16,7.5,7.84,8.09,7.84,7.97,8.78,10.25,11.66,12.66,14.03,15.16,15.44,14.62,13.62,13.47,12.84,11.28,9.56,8.22,6.94,5.09,3.78,3.5,3.81,4.34,4.56,5.0,7.09,9.16,10.75,12.59,14.72,16.0,16.19,16.12,17.06,18.5,19.28,19.91,20.47,21.06,20.75,19.84,18.56,17.62,16.38,14.44,13.12,13.16,13.72,13.66,13.41,13.88,14.31,13.88,13.12,12.84,13.56,13.5,12.97,12.5,12.5,11.59,9.97,7.81,6.53,5.78,5.06,4.78,6.34,9.03,11.25,13.22,14.91,16.28,16.19,15.53,14.91,15.44,16.19,16.0,16.09,15.88,15.38,13.78,12.09,11.62,11.69,12.34,12.56,13.16,13.81,13.88,13.12,12.12,11.88,11.16,10.31,9.72,10.19,11.12,11.81,11.97,12.12,12.34,12.0,11.19,10.62,11.03,11.16,10.12,8.88,8.62,8.81,8.62,8.41,9.53,11.0,11.75,12.59,13.56,15.28,16.12,16.12,16.44,17.31,18.41,19.12,19.16,19.84,20.66,20.75,20.66,21.78,22.91,23.53,23.09,22.19,21.25,19.41,16.75,14.41,13.22,12.91,12.25,12.41,13.91,15.41,16.12,15.69,15.56,15.34,15.28,15.34,16.41,18.62,20.78,22.09,22.69,23.34,23.0,21.03,18.34,16.25,14.22,12.84,12.12,12.31,13.41,14.69,14.78,14.59,15.19,15.97,16.38,17.06,18.53,19.75,19.5,18.44,18.0,17.44,16.91,16.12,15.47,15.16,13.97,12.25,10.09,8.94,7.75,6.03,4.47,3.75,4.06,3.97,3.84,5.0,6.94,8.59,9.12,10.19,11.25,12.28,12.34,12.44,12.97,13.16,12.5,11.97,12.72,14.19,15.62,16.38,17.0,17.09,15.69,12.38,9.38,6.53,4.69,2.91,2.06,3.0,4.47,5.72,6.62,8.75,11.25,13.47,15.19,16.94,18.66,19.75,18.91,17.5,16.12,14.75,12.28,9.84,8.44,7.66,6.66,5.12,4.56,4.44,3.66,2.09,0.84,0.53,0.56,0.16,0.16,1.28,2.5,2.59,2.47,3.22,4.31,5.09,5.44,6.44,7.38,7.56,7.03,6.81,7.19,8.41,9.19,10.19,11.81,13.91,14.66,14.38,14.84,15.44,15.88,15.88,16.47,17.75,18.75,18.5,17.97,17.75,17.41,15.97,14.97,14.31,14.44,14.0,13.28,12.91,12.94,12.06,10.44,9.19,8.84,9.0,9.16,9.97,12.0,13.88,14.81,15.5,16.09,17.12,17.22,16.41,16.16,16.38,16.38,15.97,15.88,17.06,18.38,18.69,18.53,18.56,18.12,16.44,14.16,12.5,11.56,10.88,10.0,9.81,10.56,10.78,10.12,9.44,9.47,9.88,9.91,10.75,12.84,15.44,17.16,18.16,18.72,19.19,18.5,17.53,16.81,16.81,16.53,15.38,14.41,13.59,13.38,12.0,10.72,10.59,10.91,10.47,9.62,8.94,8.84,8.91,8.78,9.03,10.84,12.34,12.59,12.44,12.72,13.34,12.66,11.81,11.59,12.0,11.78,11.47,11.44,12.5,12.94,12.44,11.81,11.75,11.78,10.53,10.0,10.66,12.5,13.31,14.19,14.91,15.72,15.09,13.97,13.0,12.94,12.59,10.91,9.03,7.66,6.31,3.81,1.72,1.47,2.72,3.94,5.66,8.12,11.34,13.56,14.97,16.59,18.84,20.31,20.78,20.97,21.94,22.69,21.97,21.62,22.25,23.16,23.16,22.78,21.84,20.66,18.56,15.62,13.19,12.56,12.56,12.41,12.81,14.31,15.94,16.56,16.84,17.19,18.12,17.91,17.16,16.25,16.0,15.94,14.88,14.66,16.5,18.66,19.72,20.06,20.94,21.0,20.12,18.44,17.66,17.62,17.12,15.81,15.03,15.16,14.88,13.53,12.38,12.53,12.91,12.84,12.53,13.53,14.81,14.91,14.66,14.34,14.91,15.09,14.5,14.25,14.5,13.84,12.19,10.28,9.0,8.06,6.62,5.34,5.03,5.34,4.91,4.69,4.0,4.19,4.03,3.62,3.5,4.62,6.28,7.25,8.38,10.28,12.38,13.31,13.38,14.06,14.28,13.5,11.62,9.47,8.19,6.5,4.75,3.75,4.34,5.38,5.62,5.69,6.75,7.91,8.09,7.72,8.25,9.34,9.47,8.88,8.25,8.09,7.5,6.03,4.97,5.34,6.59,7.44,8.03,9.09,10.5,11.03,9.88,9.25,8.69,7.94,6.5,5.59,6.25,7.09,7.5,7.59,8.75,9.47,9.06,7.56,6.88,7.03,7.41,8.25,10.78,14.38,17.88,20.44,22.84,26.19,29.09,31.25,33.06,34.91,35.75,34.41,31.31,27.69,24.03,20.12,15.75,12.75,11.53,11.12,10.56,9.59,9.31,8.31,5.53,1.66,-1.16,-3.19,-4.69,-5.44,-4.31,-1.44,1.72,4.28,7.19,10.69,13.28,14.53,14.78,15.59,15.88,15.19,14.09,13.47,13.34,12.5,10.97,9.53,8.19,6.69,3.97,1.75,0.53,-0.66,-2.75,-5.12,-6.25,-6.78,-7.16,-7.22,-5.97,-3.69,-1.53,-0.19,1.0,2.84,4.31,3.97,3.38,3.56,3.88,3.47,3.38,4.41,5.97,7.09,7.66,8.66,9.66,9.97,8.62,7.78,7.06,6.44,4.53,3.19,2.62,2.53,2.03,1.97,2.56,3.66,4.34,4.12,4.38,5.56,6.97,7.84,9.12,11.47,13.47,14.41,14.81,15.72,16.28,15.81,14.69,13.97,14.16,14.19,13.75,13.5,14.0,13.81,12.72,12.0,12.19,12.88,13.38,13.5,15.12,16.59,17.19,17.47,18.16,19.25,20.5,21.25,22.06,23.69,25.12,25.06,24.38,24.03,23.59,21.47,18.91,16.94,15.75,14.75,13.78,14.03,15.47,17.53,18.5,19.84,21.97,23.5,23.5,22.72,22.06,21.47,19.62,17.66,16.56,15.62,14.03,11.88,9.72,8.41,7.06,4.84,3.28,3.19,3.62,3.47,3.59,4.44,5.47,5.41,5.12,5.5,6.62,8.06,9.34,11.72,14.91,18.22,20.38,22.31,24.12,25.78,26.25,26.03,26.25,26.81,26.34,25.28,24.19,23.34,21.94,19.31,16.72,14.31,11.94,8.75,5.53,3.62,2.41,0.53,-0.97,-1.41,-0.62,0.38,1.59,3.75,6.91,9.41,10.91,12.22,13.22,13.66,12.72,11.41,10.25,9.62,8.47,7.56,7.62,9.25,11.34,13.5,16.28,19.44,22.0,22.06,21.06,19.72,18.03,15.59,13.56,12.91,13.5,13.81,13.75,14.22,14.88,14.91,14.25,13.5,13.66,13.53,12.66,11.81,11.47,10.97,9.62,8.06,7.31,7.38,6.84,6.12,5.53,5.12,4.62,3.66,3.03,3.91,4.66,4.91,5.09,5.56,7.03,8.34,9.81,12.25,15.38,18.16,19.72,20.78,21.88,22.5,22.31,22.44,23.81,25.31,25.97,26.03,25.75,25.53,24.5,23.28,23.0,23.78,24.47,24.91,25.31,26.03,26.09,24.5,21.91,19.66,16.88,14.41,12.47,12.03,13.66,15.19,16.81,18.38,20.62,22.19,23.12,23.75,25.12,26.31,26.53,25.94,25.91,25.81,24.91,23.5,22.47,21.62,20.31,18.25,15.91,14.56,13.0,10.88,8.97,8.09,8.12,8.44,8.53,9.59,10.66,10.72,9.59,9.09:14.88,15.69,14.97,13.28,11.97,11.16,10.41,10.0,10.69,12.78,14.22,14.94,15.69,16.44,16.53,15.06,13.56,12.88,12.16,11.12,9.69,8.75,7.69,6.47,5.5,6.25,8.5,11.53,14.09,16.25,18.91,20.53,21.34,21.94,23.5,25.56,26.53,26.66,26.88,25.84,23.84,21.03,18.81,17.91,17.25,16.06,14.94,14.12,13.09,10.47,7.94,6.69,5.59,4.97,4.34,5.06,6.78,8.09,8.66,8.72,9.59,9.84,9.34,9.16,10.78,12.62,13.41,13.91,14.5,13.88,12.03,9.22,7.0,5.53,4.09,2.0,0.38,0.0,-0.38,-1.16,-1.62,-0.88,0.03,0.12,-0.09,0.06,0.38,0.5,0.03,0.5,2.12,3.75,4.22,5.22,6.91,8.31,8.38,8.16,8.12,7.75,6.09,4.28,3.31,3.34,3.16,2.84,3.38,4.06,3.88,2.44,0.53,-0.09,-1.06,-2.66,-3.72,-3.56,-3.03,-2.59,-2.97,-2.31,-1.19,-0.97,-1.28,-1.09,-0.59,-0.16,-0.72,-0.97,0.12,1.78,2.47,3.38,4.97,6.41,6.72,6.28,6.0,6.25,6.25,5.69,6.03,7.22,8.16,8.28,8.41,9.53,11.22,12.5,13.78,15.94,18.41,19.97,20.75,21.88,23.22,23.97,23.38,22.66,21.78,20.16,16.78,13.06,10.03,7.94,5.75,3.97,4.28,5.47,6.72,7.72,9.38,11.72,14.0,14.91,15.88,16.66,17.5,16.41,15.06,14.03,13.38,11.72,10.28,9.47,8.84,7.69,5.66,4.56,3.91,4.09,3.19,3.19,3.34,3.56,3.03,2.69,2.81,3.31,2.94,1.94,1.09,0.69,0.12,-0.31,-0.25,1.12,2.78,3.16,3.31,3.75,4.5,4.59,4.84,6.0,7.72,8.72,8.84,8.38,8.09,6.97,4.53,2.72,1.5,0.47,-1.19,-2.91,-3.81,-3.69,-4.03,-4.22,-3.78,-2.56,-1.69,-1.19,0.09,2.38,4.5,5.59,5.88,6.53,7.69,8.25,9.47,11.47,13.72,14.28,13.81,12.19,10.97,9.31,7.28,5.94,5.47,5.22,3.97,2.94,2.28,1.69,0.38,-0.34,-0.06,1.59,3.28,4.94,6.44,8.19,8.75,8.16,7.5,7.84,8.09,7.84,7.97,8.78,10.25,11.66,12.66,14.03,15.16,15.44,14.62,13.62,13.47,12.84,11.28,9.56,8.22,6.94,5.09,3.78,3.5,3.81,4.34,4.56,5.0,7.09,9.16,10.75,12.59,14.72,16.0,16.19,16.12,17.06,18.5,19.28,19.91,20.47,21.06,20.75,19.84,18.56,17.62,16.38,14.44,13.12,13.16,13.72,13.66,13.41,13.88,14.31,13.88,13.12,12.84,13.56,13.5,12.97,12.5,12.5,11.59,9.97,7.81,6.53,5.78,5.06,4.78,6.34,9.03,11.25,13.22,14.91,16.28,16.19,15.53,14.91,15.44,16.19,16.0,16.09,15.88,15.38,13.78,12.09,11.62,11.69,12.34,12.56,13.16,13.81,13.88,13.12,12.12,11.88,11.16,10.31,9.72,10.19,11.12,11.81,11.97,12.12,12.34,12.0,11.19,10.62,11.03,11.16,10.12,8.88,8.62,8.81,8.62,8.41,9.53,11.0,11.75,12.59,13.56,15.28,16.12,16.12,16.44,17.31,18.41,19.12,19.16,19.84,20.66,20.75,20.66,21.78,22.91,23.53,23.09,22.19,21.25,19.41,16.75,14.41,13.22,12.91,12.25,12.41,13.91,15.41,16.12,15.69,15.56,15.34,15.28,15.34,16.41,18.62,20.78,22.09,22.69,23.34,23.0,21.03,18.34,16.25,14.22,12.84,12.12,12.31,13.41,14.69,14.78,14.59,15.19,15.97,16.38,17.06,18.53,19.75,19.5,18.44,18.0,17.44,16.91,16.12,15.47,15.16,13.97,12.25,10.09,8.94,7.75,6.03,4.47,3.75,4.06,3.97,3.84,5.0,6.94,8.59,9.12,10.19,11.25,12.28,12.34,12.44,12.97,13.16,12.5,11.97,12.72,14.19,15.62,16.38,17.0,17.09,15.69,12.38,9.38,6.53,4.69,2.91,2.06,3.0,4.47,5.72,6.62,8.75,11.25,13.47,15.19,16.94,18.66,19.75,18.91,17.5,16.12,14.75,12.28,9.84,8.44,7.66,6.66,5.12,4.56,4.44,3.66,2.09,0.84,0.53,0.56,0.16,0.16,1.28,2.5,2.59,2.47,3.22,4.31,5.09,5.44,6.44,7.38,7.56,7.03,6.81,7.19,8.41,9.19,10.19,11.81,13.91,14.66,14.38,14.84,15.44,15.88,15.88,16.47,17.75,18.75,18.5,17.97,17.75,17.41,15.97,14.97,14.31,14.44,14.0,13.28,12.91,12.94,12.06,10.44,9.19,8.84,9.0,9.16,9.97,12.0,13.88,14.81,15.5,16.09,17.12,17.22,16.41,16.16,16.38,16.38,15.97,15.88,17.06,18.38,18.69,18.53,18.56,18.12,16.44,14.16,12.5,11.56,10.88,10.0,9.81,10.56,10.78,10.12,9.44,9.47,9.88,9.91,10.75,12.84,15.44,17.16,18.16,18.72,19.19,18.5,17.53,16.81,16.81,16.53,15.38,14.41,13.59,13.38,12.0,10.72,10.59,10.91,10.47,9.62,8.94,8.84,8.91,8.78,9.03,10.84,12.34,12.59,12.44,12.72,13.34,12.66,11.81,11.59,12.0,11.78,11.47,11.44,12.5,12.94,12.44,11.81,11.75,11.78,10.53,10.0,10.66,12.5,13.31,14.19,14.91,15.72,15.09,13.97,13.0,12.94,12.59,10.91,9.03,7.66,6.31,3.81,1.72,1.47,2.72,3.94,5.66,8.12,11.34,13.56,14.97,16.59,18.84,20.31,20.78,20.97,21.94,22.69,21.97,21.62,22.25,23.16,23.16,22.78,21.84,20.66,18.56,15.62,13.19,12.56,12.56,12.41,12.81,14.31,15.94,16.56,16.84,17.19,18.12,17.91,17.16,16.25,16.0,15.94,14.88,14.66,16.5,18.66,19.72,20.06,20.94,21.0,20.12,18.44,17.66,17.62,17.12,15.81,15.03,15.16,14.88,13.53,12.38,12.53,12.91,12.84,12.53,13.53,14.81,14.91,14.66,14.34,14.91,15.09,14.5,14.25,14.5,13.84,12.19,10.28,9.0,8.06,6.62,5.34,5.03,5.34,4.91,4.69,4.0,4.19,4.03,3.62,3.5,4.62,6.28,7.25,8.38,10.28,12.38,13.31,13.38,14.06,14.28,13.5,11.62,9.47,8.19,6.5,4.75,3.75,4.34,5.38,5.62,5.69,6.75,7.91,8.09,7.72,8.25,9.34,9.47,8.88,8.25,8.09,7.5,6.03,4.97,5.34,6.59,7.44,8.03,9.09,10.5,11.03,9.88,9.25,8.69,7.94,6.5,5.59,6.25,7.09,7.5,7.59,8.75,9.47,9.06,7.56,6.88,7.03,7.41,8.25,10.78,14.38,17.88,20.44,22.84,26.19,29.09,31.25,33.06,34.91,35.75,34.41,31.31,27.69,24.03,20.12,15.75,12.75,11.53,11.12,10.56,9.59,9.31,8.31,5.53,1.66,-1.16,-3.19,-4.69,-5.44,-4.31,-1.44,1.72,4.28,7.19,10.69,13.28,14.53,14.78,15.59,15.88,15.19,14.09,13.47,13.34,12.5,10.97,9.53,8.19,6.69,3.97,1.75,0.53,-0.66,-2.75,-5.12,-6.25,-6.78,-7.16,-7.22,-5.97,-3.69,-1.53,-0.19,1.0,2.84,4.31,3.97,3.38,3.56,3.88,3.47,3.38,4.41,5.97,7.09,7.66,8.66,9.66,9.97,8.62,7.78,7.06,6.44,4.53,3.19,2.62,2.53,2.03,1.97,2.56,3.66,4.34,4.12,4.38,5.56,6.97,7.84,9.12,11.47,13.47,14.41,14.81,15.72,16.28,15.81,14.69,13.97,14.16,14.19,13.75,13.5,14.0,13.81,12.72,12.0,12.19,12.88,13.38,13.5,15.12,16.59,17.19,17.47,18.16,19.25,20.5,21.25,22.06,23.69,25.12,25.06,24.38,24.03,23.59,21.47,18.91,16.94,15.75,14.75,13.78,14.03,15.47,17.53,18.5,19.84,21.97,23.5,23.5,22.72,22.06,21.47,19.62,17.66,16.56,15.62,14.03,11.88,9.72,8.41,7.06,4.84,3.28,3.19,3.62,3.47,3.59,4.44,5.47,5.41,5.12,5.5,6.62,8.06,9.34,11.72,14.91,18.22,20.38,22.31,24.12,25.78,26.25,26.03,26.25,26.81,26.34,25.28,24.19,23.34,21.94,19.31,16.72,14.31,11.94,8.75,5.53,3.62,2.41,0.53,-0.97,-1.41,-0.62,0.38,1.59,3.75,6.91,9.41,10.91,12.22,13.22,13.66,12.72,11.41,10.25,9.62,8.47,7.56,7.62,9.25,11.34,13.5,16.28,19.44,22.0,22.06,21.06,19.72,18.03,15.59,13.56,12.91,13.5,13.81,13.75,14.22,14.88,14.91,14.25,13.5,13.66,13.53,12.66,11.81,11.47,10.97,9.62,8.06,7.31,7.38,6.84,6.12,5.53,5.12,4.62,3.66,3.03,3.91,4.66,4.91,5.09,5.56,7.03,8.34,9.81,12.25,15.38,18.16,19.72,20.78,21.88,22.5,22.31,22.44,23.81,25.31,25.97,26.03,25.75,25.53,24.5,23.28,23.0,23.78,24.47,24.91,25.31,26.03,26.09,24.5,21.91,19.66,16.88,14.41,12.47,12.03,13.66,15.19,16.81,18.38,20.62,22.19,23.12,23.75,25.12,26.31,26.53,25.94,25.91,25.81,24.91,23.5,22.47,21.62,20.31,18.25,15.91,14.56,13.0,10.88,8.97,8.09,8.12,8.44,8.53,9.59,10.66,10.72,9.59,9.09,44.06,43.97,43.38,42.75,41.88,41.41,41.34:10.0,10.69,12.78,14.22,14.94,15.69,16.44,16.53,15.06,13.56,12.88,12.16,11.12,9.69,8.75,7.69,6.47,5.5,6.25,8.5,11.53,14.09,16.25,18.91,20.53,21.34,21.94,23.5,25.56,26.53,26.66,26.88,25.84,23.84,21.03,18.81,17.91,17.25,16.06,14.94,14.12,13.09,10.47,7.94,6.69,5.59,4.97,4.34,5.06,6.78,8.09,8.66,8.72,9.59,9.84,9.34,9.16,10.78,12.62,13.41,13.91,14.5,13.88,12.03,9.22,7.0,5.53,4.09,2.0,0.38,0.0,-0.38,-1.16,-1.62,-0.88,0.03,0.12,-0.09,0.06,0.38,0.5,0.03,0.5,2.12,3.75,4.22,5.22,6.91,8.31,8.38,8.16,8.12,7.75,6.09,4.28,3.31,3.34,3.16,2.84,3.38,4.06,3.88,2.44,0.53,-0.09,-1.06,-2.66,-3.72,-3.56,-3.03,-2.59,-2.97,-2.31,-1.19,-0.97,-1.28,-1.09,-0.59,-0.16,-0.72,-0.97,0.12,1.78,2.47,3.38,4.97,6.41,6.72,6.28,6.0,6.25,6.25,5.69,6.03,7.22,8.16,8.28,8.41,9.53,11.22,12.5,13.78,15.94,18.41,19.97,20.75,21.88,23.22,23.97,23.38,22.66,21.78,20.16,16.78,13.06,10.03,7.94,5.75,3.97,4.28,5.47,6.72,7.72,9.38,11.72,14.0,14.91,15.88,16.66,17.5,16.41,15.06,14.03,13.38,11.72,10.28,9.47,8.84,7.69,5.66,4.56,3.91,4.09,3.19,3.19,3.34,3.56,3.03,2.69,2.81,3.31,2.94,1.94,1.09,0.69,0.12,-0.31,-0.25,1.12,2.78,3.16,3.31,3.75,4.5,4.59,4.84,6.0,7.72,8.72,8.84,8.38,8.09,6.97,4.53,2.72,1.5,0.47,-1.19,-2.91,-3.81,-3.69,-4.03,-4.22,-3.78,-2.56,-1.69,-1.19,0.09,2.38,4.5,5.59,5.88,6.53,7.69,8.25,9.47,11.47,13.72,14.28,13.81,12.19,10.97,9.31,7.28,5.94,5.47,5.22,3.97,2.94,2.28,1.69,0.38,-0.34,-0.06,1.59,3.28,4.94,6.44,8.19,8.75,8.16,7.5,7.84,8.09,7.84,7.97,8.78,10.25,11.66,12.66,14.03,15.16,15.44,14.62,13.62,13.47,12.84,11.28,9.56,8.22,6.94,5.09,3.78,3.5,3.81,4.34,4.56,5.0,7.09,9.16,10.75,12.59,14.72,16.0,16.19,16.12,17.06,18.5,19.28,19.91,20.47,21.06,20.75,19.84,18.56,17.62,16.38,14.44,13.12,13.16,13.72,13.66,13.41,13.88,14.31,13.88,13.12,12.84,13.56,13.5,12.97,12.5,12.5,11.59,9.97,7.81,6.53,5.78,5.06,4.78,6.34,9.03,11.25,13.22,14.91,16.28,16.19,15.53,14.91,15.44,16.19,16.0,16.09,15.88,15.38,13.78,12.09,11.62,11.69,12.34,12.56,13.16,13.81,13.88,13.12,12.12,11.88,11.16,10.31,9.72,10.19,11.12,11.81,11.97,12.12,12.34,12.0,11.19,10.62,11.03,11.16,10.12,8.88,8.62,8.81,8.62,8.41,9.53,11.0,11.75,12.59,13.56,15.28,16.12,16.12,16.44,17.31,18.41,19.12,19.16,19.84,20.66,20.75,20.66,21.78,22.91,23.53,23.09,22.19,21.25,19.41,16.75,14.41,13.22,12.91,12.25,12.41,13.91,15.41,16.12,15.69,15.56,15.34,15.28,15.34,16.41,18.62,20.78,22.09,22.69,23.34,23.0,21.03,18.34,16.25,14.22,12.84,12.12,12.31,13.41,14.69,14.78,14.59,15.19,15.97,16.38,17.06,18.53,19.75,19.5,18.44,18.0,17.44,16.91,16.12,15.47,15.16,13.97,12.25,10.09,8.94,7.75,6.03,4.47,3.75,4.06,3.97,3.84,5.0,6.94,8.59,9.12,10.19,11.25,12.28,12.34,12.44,12.97,13.16,12.5,11.97,12.72,14.19,15.62,16.38,17.0,17.09,15.69,12.38,9.38,6.53,4.69,2.91,2.06,3.0,4.47,5.72,6.62,8.75,11.25,13.47,15.19,16.94,18.66,19.75,18.91,17.5,16.12,14.75,12.28,9.84,8.44,7.66,6.66,5.12,4.56,4.44,3.66,2.09,0.84,0.53,0.56,0.16,0.16,1.28,2.5,2.59,2.47,3.22,4.31,5.09,5.44,6.44,7.38,7.56,7.03,6.81,7.19,8.41,9.19,10.19,11.81,13.91,14.66,14.38,14.84,15.44,15.88,15.88,16.47,17.75,18.75,18.5,17.97,17.75,17.41,15.97,14.97,14.31,14.44,14.0,13.28,12.91,12.94,12.06,10.44,9.19,8.84,9.0,9.16,9.97,12.0,13.88,14.81,15.5,16.09,17.12,17.22,16.41,16.16,16.38,16.38,15.97,15.88,17.06,18.38,18.69,18.53,18.56,18.12,16.44,14.16,12.5,11.56,10.88,10.0,9.81,10.56,10.78,10.12,9.44,9.47,9.88,9.91,10.75,12.84,15.44,17.16,18.16,18.72,19.19,18.5,17.53,16.81,16.81,16.53,15.38,14.41,13.59,13.38,12.0,10.72,10.59,10.91,10.47,9.62,8.94,8.84,8.91,8.78,9.03,10.84,12.34,12.59,12.44,12.72,13.34,12.66,11.81,11.59,12.0,11.78,11.47,11.44,12.5,12.94,12.44,11.81,11.75,11.78,10.53,10.0,10.66,12.5,13.31,14.19,14.91,15.72,15.09,13.97,13.0,12.94,12.59,10.91,9.03,7.66,6.31,3.81,1.72,1.47,2.72,3.94,5.66,8.12,11.34,13.56,14.97,16.59,18.84,20.31,20.78,20.97,21.94,22.69,21.97,21.62,22.25,23.16,23.16,22.78,21.84,20.66,18.56,15.62,13.19,12.56,12.56,12.41,12.81,14.31,15.94,16.56,16.84,17.19,18.12,17.91,17.16,16.25,16.0,15.94,14.88,14.66,16.5,18.66,19.72,20.06,20.94,21.0,20.12,18.44,17.66,17.62,17.12,15.81,15.03,15.16,14.88,13.53,12.38,12.53,12.91,12.84,12.53,13.53,14.81,14.91,14.66,14.34,14.91,15.09,14.5,14.25,14.5,13.84,12.19,10.28,9.0,8.06,6.62,5.34,5.03,5.34,4.91,4.69,4.0,4.19,4.03,3.62,3.5,4.62,6.28,7.25,8.38,10.28,12.38,13.31,13.38,14.06,14.28,13.5,11.62,9.47,8.19,6.5,4.75,3.75,4.34,5.38,5.62,5.69,6.75,7.91,8.09,7.72,8.25,9.34,9.47,8.88,8.25,8.09,7.5,6.03,4.97,5.34,6.59,7.44,8.03,9.09,10.5,11.03,9.88,9.25,8.69,7.94,6.5,5.59,6.25,7.09,7.5,7.59,8.75,9.47,9.06,7.56,6.88,7.03,7.41,8.25,10.78,14.38,17.88,20.44,22.84,26.19,29.09,31.25,33.06,34.91,35.75,34.41,31.31,27.69,24.03,20.12,15.75,12.75,11.53,11.12,10.56,9.59,9.31,8.31,5.53,1.66,-1.16,-3.19,-4.69,-5.44,-4.31,-1.44,1.72,4.28,7.19,10.69,13.28,14.53,14.78,15.59,15.88,15.19,14.09,13.47,13.34,12.5,10.97,9.53,8.19,6.69,3.97,1.75,0.53,-0.66,-2.75,-5.12,-6.25,-6.78,-7.16,-7.22,-5.97,-3.69,-1.53,-0.19,1.0,2.84,4.31,3.97,3.38,3.56,3.88,3.47,3.38,4.41,5.97,7.09,7.66,8.66,9.66,9.97,8.62,7.78,7.06,6.44,4.53,3.19,2.62,2.53,2.03,1.97,2.56,3.66,4.34,4.12,4.38,5.56,6.97,7.84,9.12,11.47,13.47,14.41,14.81,15.72,16.28,15.81,14.69,13.97,14.16,14.19,13.75,13.5,14.0,13.81,12.72,12.0,12.19,12.88,13.38,13.5,15.12,16.59,17.19,17.47,18.16,19.25,20.5,21.25,22.06,23.69,25.12,25.06,24.38,24.03,23.59,21.47,18.91,16.94,15.75,14.75,13.78,14.03,15.47,17.53,18.5,19.84,21.97,23.5,23.5,22.72,22.06,21.47,19.62,17.66,16.56,15.62,14.03,11.88,9.72,8.41,7.06,4.84,3.28,3.19,3.62,3.47,3.59,4.44,5.47,5.41,5.12,5.5,6.62,8.06,9.34,11.72,14.91,18.22,20.38,22.31,24.12,25.78,26.25,26.03,26.25,26.81,26.34,25.28,24.19,23.34,21.94,19.31,16.72,14.31,11.94,8.75,5.53,3.62,2.41,0.53,-0.97,-1.41,-0.62,0.38,1.59,3.75,6.91,9.41,10.91,12.22,13.22,13.66,12.72,11.41,10.25,9.62,8.47,7.56,7.62,9.25,11.34,13.5,16.28,19.44,22.0,22.06,21.06,19.72,18.03,15.59,13.56,12.91,13.5,13.81,13.75,14.22,14.88,14.91,14.25,13.5,13.66,13.53,12.66,11.81,11.47,10.97,9.62,8.06,7.31,7.38,6.84,6.12,5.53,5.12,4.62,3.66,3.03,3.91,4.66,4.91,5.09,5.56,7.03,8.34,9.81,12.25,15.38,18.16,19.72,20.78,21.88,22.5,22.31,22.44,23.81,25.31,25.97,26.03,25.75,25.53,24.5,23.28,23.0,23.78,24.47,24.91,25.31,26.03,26.09,24.5,21.91,19.66,16.88,14.41,12.47,12.03,13.66,15.19,16.81,18.38,20.62,22.19,23.12,23.75,25.12,26.31,26.53,25.94,25.91,25.81,24.91,23.5,22.47,21.62,20.31,18.25,15.91,14.56,13.0,10.88,8.97,8.09,8.12,8.44,8.53,9.59,10.66,10.72,9.59,9.09,44.06,43.97,43.38,42.75,41.88,41.41,41.34,41.44,42.0,42.47,42.62,42.41,42.97,43.88:16.53,15.06,13.56,12.88,12.16,11.12,9.69,8.75,7.69,6.47,5.5,6.25,8.5,11.53,14.09,16.25,18.91,20.53,21.34,21.94,23.5,25.56,26.53,26.66,26.88,25.84,23.84,21.03,18.81,17.91,17.25,16.06,14.94,14.12,13.09,10.47,7.94,6.69,5.59,4.97,4.34,5.06,6.78,8.09,8.66,8.72,9.59,9.84,9.34,9.16,10.78,12.62,13.41,13.91,14.5,13.88,12.03,9.22,7.0,5.53,4.09,2.0,0.38,0.0,-0.38,-1.16,-1.62,-0.88,0.03,0.12,-0.09,0.06,0.38,0.5,0.03,0.5,2.12,3.75,4.22,5.22,6.91,8.31,8.38,8.16,8.12,7.75,6.09,4.28,3.31,3.34,3.16,2.84,3.38,4.06,3.88,2.44,0.53,-0.09,-1.06,-2.66,-3.72,-3.56,-3.03,-2.59,-2.97,-2.31,-1.19,-0.97,-1.28,-1.09,-0.59,-0.16,-0.72,-0.97,0.12,1.78,2.47,3.38,4.97,6.41,6.72,6.28,6.0,6.25,6.25,5.69,6.03,7.22,8.16,8.28,8.41,9.53,11.22,12.5,13.78,15.94,18.41,19.97,20.75,21.88,23.22,23.97,23.38,22.66,21.78,20.16,16.78,13.06,10.03,7.94,5.75,3.97,4.28,5.47,6.72,7.72,9.38,11.72,14.0,14.91,15.88,16.66,17.5,16.41,15.06,14.03,13.38,11.72,10.28,9.47,8.84,7.69,5.66,4.56,3.91,4.09,3.19,3.19,3.34,3.56,3.03,2.69,2.81,3.31,2.94,1.94,1.09,0.69,0.12,-0.31,-0.25,1.12,2.78,3.16,3.31,3.75,4.5,4.59,4.84,6.0,7.72,8.72,8.84,8.38,8.09,6.97,4.53,2.72,1.5,0.47,-1.19,-2.91,-3.81,-3.69,-4.03,-4.22,-3.78,-2.56,-1.69,-1.19,0.09,2.38,4.5,5.59,5.88,6.53,7.69,8.25,9.47,11.47,13.72,14.28,13.81,12.19,10.97,9.31,7.28,5.94,5.47,5.22,3.97,2.94,2.28,1.69,0.38,-0.34,-0.06,1.59,3.28,4.94,6.44,8.19,8.75,8.16,7.5,7.84,8.09,7.84,7.97,8.78,10.25,11.66,12.66,14.03,15.16,15.44,14.62,13.62,13.47,12.84,11.28,9.56,8.22,6.94,5.09,3.78,3.5,3.81,4.34,4.56,5.0,7.09,9.16,10.75,12.59,14.72,16.0,16.19,16.12,17.06,18.5,19.28,19.91,20.47,21.06,20.75,19.84,18.56,17.62,16.38,14.44,13.12,13.16,13.72,13.66,13.41,13.88,14.31,13.88,13.12,12.84,13.56,13.5,12.97,12.5,12.5,11.59,9.97,7.81,6.53,5.78,5.06,4.78,6.34,9.03,11.25,13.22,14.91,16.28,16.19,15.53,14.91,15.44,16.19,16.0,16.09,15.88,15.38,13.78,12.09,11.62,11.69,12.34,12.56,13.16,13.81,13.88,13.12,12.12,11.88,11.16,10.31,9.72,10.19,11.12,11.81,11.97,12.12,12.34,12.0,11.19,10.62,11.03,11.16,10.12,8.88,8.62,8.81,8.62,8.41,9.53,11.0,11.75,12.59,13.56,15.28,16.12,16.12,16.44,17.31,18.41,19.12,19.16,19.84,20.66,20.75,20.66,21.78,22.91,23.53,23.09,22.19,21.25,19.41,16.75,14.41,13.22,12.91,12.25,12.41,13.91,15.41,16.12,15.69,15.56,15.34,15.28,15.34,16.41,18.62,20.78,22.09,22.69,23.34,23.0,21.03,18.34,16.25,14.22,12.84,12.12,12.31,13.41,14.69,14.78,14.59,15.19,15.97,16.38,17.06,18.53,19.75,19.5,18.44,18.0,17.44,16.91,16.12,15.47,15.16,13.97,12.25,10.09,8.94,7.75,6.03,4.47,3.75,4.06,3.97,3.84,5.0,6.94,8.59,9.12,10.19,11.25,12.28,12.34,12.44,12.97,13.16,12.5,11.97,12.72,14.19,15.62,16.38,17.0,17.09,15.69,12.38,9.38,6.53,4.69,2.91,2.06,3.0,4.47,5.72,6.62,8.75,11.25,13.47,15.19,16.94,18.66,19.75,18.91,17.5,16.12,14.75,12.28,9.84,8.44,7.66,6.66,5.12,4.56,4.44,3.66,2.09,0.84,0.53,0.56,0.16,0.16,1.28,2.5,2.59,2.47,3.22,4.31,5.09,5.44,6.44,7.38,7.56,7.03,6.81,7.19,8.41,9.19,10.19,11.81,13.91,14.66,14.38,14.84,15.44,15.88,15.88,16.47,17.75,18.75,18.5,17.97,17.75,17.41,15.97,14.97,14.31,14.44,14.0,13.28,12.91,12.94,12.06,10.44,9.19,8.84,9.0,9.16,9.97,12.0,13.88,14.81,15.5,16.09,17.12,17.22,16.41,16.16,16.38,16.38,15.97,15.88,17.06,18.38,18.69,18.53,18.56,18.12,16.44,14.16,12.5,11.56,10.88,10.0,9.81,10.56,10.78,10.12,9.44,9.47,9.88,9.91,10.75,12.84,15.44,17.16,18.16,18.72,19.19,18.5,17.53,16.81,16.81,16.53,15.38,14.41,13.59,13.38,12.0,10.72,10.59,10.91,10.47,9.62,8.94,8.84,8.91,8.78,9.03,10.84,12.34,12.59,12.44,12.72,13.34,12.66,11.81,11.59,12.0,11.78,11.47,11.44,12.5,12.94,12.44,11.81,11.75,11.78,10.53,10.0,10.66,12.5,13.31,14.19,14.91,15.72,15.09,13.97,13.0,12.94,12.59,10.91,9.03,7.66,6.31,3.81,1.72,1.47,2.72,3.94,5.66,8.12,11.34,13.56,14.97,16.59,18.84,20.31,20.78,20.97,21.94,22.69,21.97,21.62,22.25,23.16,23.16,22.78,21.84,20.66,18.56,15.62,13.19,12.56,12.56,12.41,12.81,14.31,15.94,16.56,16.84,17.19,18.12,17.91,17.16,16.25,16.0,15.94,14.88,14.66,16.5,18.66,19.72,20.06,20.94,21.0,20.12,18.44,17.66,17.62,17.12,15.81,15.03,15.16,14.88,13.53,12.38,12.53,12.91,12.84,12.53,13.53,14.81,14.91,14.66,14.34,14.91,15.09,14.5,14.25,14.5,13.84,12.19,10.28,9.0,8.06,6.62,5.34,5.03,5.34,4.91,4.69,4.0,4.19,4.03,3.62,3.5,4.62,6.28,7.25,8.38,10.28,12.38,13.31,13.38,14.06,14.28,13.5,11.62,9.47,8.19,6.5,4.75,3.75,4.34,5.38,5.62,5.69,6.75,7.91,8.09,7.72,8.25,9.34,9.47,8.88,8.25,8.09,7.5,6.03,4.97,5.34,6.59,7.44,8.03,9.09,10.5,11.03,9.88,9.25,8.69,7.94,6.5,5.59,6.25,7.09,7.5,7.59,8.75,9.47,9.06,7.56,6.88,7.03,7.41,8.25,10.78,14.38,17.88,20.44,22.84,26.19,29.09,31.25,33.06,34.91,35.75,34.41,31.31,27.69,24.03,20.12,15.75,12.75,11.53,11.12,10.56,9.59,9.31,8.31,5.53,1.66,-1.16,-3.19,-4.69,-5.44,-4.31,-1.44,1.72,4.28,7.19,10.69,13.28,14.53,14.78,15.59,15.88,15.19,14.09,13.47,13.34,12.5,10.97,9.53,8.19,6.69,3.97,1.75,0.53,-0.66,-2.75,-5.12,-6.25,-6.78,-7.16,-7.22,-5.97,-3.69,-1.53,-0.19,1.0,2.84,4.31,3.97,3.38,3.56,3.88,3.47,3.38,4.41,5.97,7.09,7.66,8.66,9.66,9.97,8.62,7.78,7.06,6.44,4.53,3.19,2.62,2.53,2.03,1.97,2.56,3.66,4.34,4.12,4.38,5.56,6.97,7.84,9.12,11.47,13.47,14.41,14.81,15.72,16.28,15.81,14.69,13.97,14.16,14.19,13.75,13.5,14.0,13.81,12.72,12.0,12.19,12.88,13.38,13.5,15.12,16.59,17.19,17.47,18.16,19.25,20.5,21.25,22.06,23.69,25.12,25.06,24.38,24.03,23.59,21.47,18.91,16.94,15.75,14.75,13.78,14.03,15.47,17.53,18.5,19.84,21.97,23.5,23.5,22.72,22.06,21.47,19.62,17.66,16.56,15.62,14.03,11.88,9.72,8.41,7.06,4.84,3.28,3.19,3.62,3.47,3.59,4.44,5.47,5.41,5.12,5.5,6.62,8.06,9.34,11.72,14.91,18.22,20.38,22.31,24.12,25.78,26.25,26.03,26.25,26.81,26.34,25.28,24.19,23.34,21.94,19.31,16.72,14.31,11.94,8.75,5.53,3.62,2.41,0.53,-0.97,-1.41,-0.62,0.38,1.59,3.75,6.91,9.41,10.91,12.22,13.22,13.66,12.72,11.41,10.25,9.62,8.47,7.56,7.62,9.25,11.34,13.5,16.28,19.44,22.0,22.06,21.06,19.72,18.03,15.59,13.56,12.91,13.5,13.81,13.75,14.22,14.88,14.91,14.25,13.5,13.66,13.53,12.66,11.81,11.47,10.97,9.62,8.06,7.31,7.38,6.84,6.12,5.53,5.12,4.62,3.66,3.03,3.91,4.66,4.91,5.09,5.56,7.03,8.34,9.81,12.25,15.38,18.16,19.72,20.78,21.88,22.5,22.31,22.44,23.81,25.31,25.97,26.03,25.75,25.53,24.5,23.28,23.0,23.78,24.47,24.91,25.31,26.03,26.09,24.5,21.91,19.66,16.88,14.41,12.47,12.03,13.66,15.19,16.81,18.38,20.62,22.19,23.12,23.75,25.12,26.31,26.53,25.94,25.91,25.81,24.91,23.5,22.47,21.62,20.31,18.25,15.91,14.56,13.0,10.88,8.97,8.09,8.12,8.44,8.53,9.59,10.66,10.72,9.59,9.09,44.06,43.97,43.38,42.75,41.88,41.41,41.34,41.44,42.0,42.47,42.62,42.41,42.97,43.88,45.19,46.56,48.72,50.41,51.62,52.25,52.5:8.75,7.69,6.47,5.5,6.25,8.5,11.53,14.09,16.25,18.91,20.53,21.34,21.94,23.5,25.56,26.53,26.66,26.88,25.84,23.84,21.03,18.81,17.91,17.25,16.06,14.94,14.12,13.09,10.47,7.94,6.69,5.59,4.97,4.34,5.06,6.78,8.09,8.66,8.72,9.59,9.84,9.34,9.16,10.78,12.62,13.41,13.91,14.5,13.88,12.03,9.22,7.0,5.53,4.09,2.0,0.38,0.0,-0.38,-1.16,-1.62,-0.88,0.03,0.12,-0.09,0.06,0.38,0.5,0.03,0.5,2.12,3.75,4.22,5.22,6.91,8.31,8.38,8.16,8.12,7.75,6.09,4.28,3.31,3.34,3.16,2.84,3.38,4.06,3.88,2.44,0.53,-0.09,-1.06,-2.66,-3.72,-3.56,-3.03,-2.59,-2.97,-2.31,-1.19,-0.97,-1.28,-1.09,-0.59,-0.16,-0.72,-0.97,0.12,1.78,2.47,3.38,4.97,6.41,6.72,6.28,6.0,6.25,6.25,5.69,6.03,7.22,8.16,8.28,8.41,9.53,11.22,12.5,13.78,15.94,18.41,19.97,20.75,21.88,23.22,23.97,23.38,22.66,21.78,20.16,16.78,13.06,10.03,7.94,5.75,3.97,4.28,5.47,6.72,7.72,9.38,11.72,14.0,14.91,15.88,16.66,17.5,16.41,15.06,14.03,13.38,11.72,10.28,9.47,8.84,7.69,5.66,4.56,3.91,4.09,3.19,3.19,3.34,3.56,3.03,2.69,2.81,3.31,2.94,1.94,1.09,0.69,0.12,-0.31,-0.25,1.12,2.78,3.16,3.31,3.75,4.5,4.59,4.84,6.0,7.72,8.72,8.84,8.38,8.09,6.97,4.53,2.72,1.5,0.47,-1.19,-2.91,-3.81,-3.69,-4.03,-4.22,-3.78,-2.56,-1.69,-1.19,0.09,2.38,4.5,5.59,5.88,6.53,7.69,8.25,9.47,11.47,13.72,14.28,13.81,12.19,10.97,9.31,7.28,5.94,5.47,5.22,3.97,2.94,2.28,1.69,0.38,-0.34,-0.06,1.59,3.28,4.94,6.44,8.19,8.75,8.16,7.5,7.84,8.09,7.84,7.97,8.78,10.25,11.66,12.66,14.03,15.16,15.44,14.62,13.62,13.47,12.84,11.28,9.56,8.22,6.94,5.09,3.78,3.5,3.81,4.34,4.56,5.0,7.09,9.16,10.75,12.59,14.72,16.0,16.19,16.12,17.06,18.5,19.28,19.91,20.47,21.06,20.75,19.84,18.56,17.62,16.38,14.44,13.12,13.16,13.72,13.66,13.41,13.88,14.31,13.88,13.12,12.84,13.56,13.5,12.97,12.5,12.5,11.59,9.97,7.81,6.53,5.78,5.06,4.78,6.34,9.03,11.25,13.22,14.91,16.28,16.19,15.53,14.91,15.44,16.19,16.0,16.09,15.88,15.38,13.78,12.09,11.62,11.69,12.34,12.56,13.16,13.81,13.88,13.12,12.12,11.88,11.16,10.31,9.72,10.19,11.12,11.81,11.97,12.12,12.34,12.0,11.19,10.62,11.03,11.16,10.12,8.88,8.62,8.81,8.62,8.41,9.53,11.0,11.75,12.59,13.56,15.28,16.12,16.12,16.44,17.31,18.41,19.12,19.16,19.84,20.66,20.75,20.66,21.78,22.91,23.53,23.09,22.19,21.25,19.41,16.75,14.41,13.22,12.91,12.25,12.41,13.91,15.41,16.12,15.69,15.56,15.34,15.28,15.34,16.41,18.62,20.78,22.09,22.69,23.34,23.0,21.03,18.34,16.25,14.22,12.84,12.12,12.31,13.41,14.69,14.78,14.59,15.19,15.97,16.38,17.06,18.53,19.75,19.5,18.44,18.0,17.44,16.91,16.12,15.47,15.16,13.97,12.25,10.09,8.94,7.75,6.03,4.47,3.75,4.06,3.97,3.84,5.0,6.94,8.59,9.12,10.19,11.25,12.28,12.34,12.44,12.97,13.16,12.5,11.97,12.72,14.19,15.62,16.38,17.0,17.09,15.69,12.38,9.38,6.53,4.69,2.91,2.06,3.0,4.47,5.72,6.62,8.75,11.25,13.47,15.19,16.94,18.66,19.75,18.91,17.5,16.12,14.75,12.28,9.84,8.44,7.66,6.66,5.12,4.56,4.44,3.66,2.09,0.84,0.53,0.56,0.16,0.16,1.28,2.5,2.59,2.47,3.22,4.31,5.09,5.44,6.44,7.38,7.56,7.03,6.81,7.19,8.41,9.19,10.19,11.81,13.91,14.66,14.38,14.84,15.44,15.88,15.88,16.47,17.75,18.75,18.5,17.97,17.75,17.41,15.97,14.97,14.31,14.44,14.0,13.28,12.91,12.94,12.06,10.44,9.19,8.84,9.0,9.16,9.97,12.0,13.88,14.81,15.5,16.09,17.12,17.22,16.41,16.16,16.38,16.38,15.97,15.88,17.06,18.38,18.69,18.53,18.56,18.12,16.44,14.16,12.5,11.56,10.88,10.0,9.81,10.56,10.78,10.12,9.44,9.47,9.88,9.91,10.75,12.84,15.44,17.16,18.16,18.72,19.19,18.5,17.53,16.81,16.81,16.53,15.38,14.41,13.59,13.38,12.0,10.72,10.59,10.91,10.47,9.62,8.94,8.84,8.91,8.78,9.03,10.84,12.34,12.59,12.44,12.72,13.34,12.66,11.81,11.59,12.0,11.78,11.47,11.44,12.5,12.94,12.44,11.81,11.75,11.78,10.53,10.0,10.66,12.5,13.31,14.19,14.91,15.72,15.09,13.97,13.0,12.94,12.59,10.91,9.03,7.66,6.31,3.81,1.72,1.47,2.72,3.94,5.66,8.12,11.34,13.56,14.97,16.59,18.84,20.31,20.78,20.97,21.94,22.69,21.97,21.62,22.25,23.16,23.16,22.78,21.84,20.66,18.56,15.62,13.19,12.56,12.56,12.41,12.81,14.31,15.94,16.56,16.84,17.19,18.12,17.91,17.16,16.25,16.0,15.94,14.88,14.66,16.5,18.66,19.72,20.06,20.94,21.0,20.12,18.44,17.66,17.62,17.12,15.81,15.03,15.16,14.88,13.53,12.38,12.53,12.91,12.84,12.53,13.53,14.81,14.91,14.66,14.34,14.91,15.09,14.5,14.25,14.5,13.84,12.19,10.28,9.0,8.06,6.62,5.34,5.03,5.34,4.91,4.69,4.0,4.19,4.03,3.62,3.5,4.62,6.28,7.25,8.38,10.28,12.38,13.31,13.38,14.06,14.28,13.5,11.62,9.47,8.19,6.5,4.75,3.75,4.34,5.38,5.62,5.69,6.75,7.91,8.09,7.72,8.25,9.34,9.47,8.88,8.25,8.09,7.5,6.03,4.97,5.34,6.59,7.44,8.03,9.09,10.5,11.03,9.88,9.25,8.69,7.94,6.5,5.59,6.25,7.09,7.5,7.59,8.75,9.47,9.06,7.56,6.88,7.03,7.41,8.25,10.78,14.38,17.88,20.44,22.84,26.19,29.09,31.25,33.06,34.91,35.75,34.41,31.31,27.69,24.03,20.12,15.75,12.75,11.53,11.12,10.56,9.59,9.31,8.31,5.53,1.66,-1.16,-3.19,-4.69,-5.44,-4.31,-1.44,1.72,4.28,7.19,10.69,13.28,14.53,14.78,15.59,15.88,15.19,14.09,13.47,13.34,12.5,10.97,9.53,8.19,6.69,3.97,1.75,0.53,-0.66,-2.75,-5.12,-6.25,-6.78,-7.16,-7.22,-5.97,-3.69,-1.53,-0.19,1.0,2.84,4.31,3.97,3.38,3.56,3.88,3.47,3.38,4.41,5.97,7.09,7.66,8.66,9.66,9.97,8.62,7.78,7.06,6.44,4.53,3.19,2.62,2.53,2.03,1.97,2.56,3.66,4.34,4.12,4.38,5.56,6.97,7.84,9.12,11.47,13.47,14.41,14.81,15.72,16.28,15.81,14.69,13.97,14.16,14.19,13.75,13.5,14.0,13.81,12.72,12.0,12.19,12.88,13.38,13.5,15.12,16.59,17.19,17.47,18.16,19.25,20.5,21.25,22.06,23.69,25.12,25.06,24.38,24.03,23.59,21.47,18.91,16.94,15.75,14.75,13.78,14.03,15.47,17.53,18.5,19.84,21.97,23.5,23.5,22.72,22.06,21.47,19.62,17.66,16.56,15.62,14.03,11.88,9.72,8.41,7.06,4.84,3.28,3.19,3.62,3.47,3.59,4.44,5.47,5.41,5.12,5.5,6.62,8.06,9.34,11.72,14.91,18.22,20.38,22.31,24.12,25.78,26.25,26.03,26.25,26.81,26.34,25.28,24.19,23.34,21.94,19.31,16.72,14.31,11.94,8.75,5.53,3.62,2.41,0.53,-0.97,-1.41,-0.62,0.38,1.59,3.75,6.91,9.41,10.91,12.22,13.22,13.66,12.72,11.41,10.25,9.62,8.47,7.56,7.62,9.25,11.34,13.5,16.28,19.44,22.0,22.06,21.06,19.72,18.03,15.59,13.56,12.91,13.5,13.81,13.75,14.22,14.88,14.91,14.25,13.5,13.66,13.53,12.66,11.81,11.47,10.97,9.62,8.06,7.31,7.38,6.84,6.12,5.53,5.12,4.62,3.66,3.03,3.91,4.66,4.91,5.09,5.56,7.03,8.34,9.81,12.25,15.38,18.16,19.72,20.78,21.88,22.5,22.31,22.44,23.81,25.31,25.97,26.03,25.75,25.53,24.5,23.28,23.0,23.78,24.47,24.91,25.31,26.03,26.09,24.5,21.91,19.66,16.88,14.41,12.47,12.03,13.66,15.19,16.81,18.38,20.62,22.19,23.12,23.75,25.12,26.31,26.53,25.94,25.91,25.81,24.91,23.5,22.47,21.62,20.31,18.25,15.91,14.56,13.0,10.88,8.97,8.09,8.12,8.44,8.53,9.59,10.66,10.72,9.59,9.09,44.06,43.97,43.38,42.75,41.88,41.41,41.34,41.44,42.0,42.47,42.62,42.41,42.97,43.88,45.19,46.56,48.72,50.41,51.62,52.25,52.5,52.12,51.41,50.19,49.28,48.69,48.38,47.59:14.09,16.25,18.91,20.53,21.34,21.94,23.5,25.56,26.53,26.66,26.88,25.84,23.84,21.03,18.81,17.91,17.25,16.06,14.94,14.12,13.09,10.47,7.94,6.69,5.59,4.97,4.34,5.06,6.78,8.09,8.66,8.72,9.59,9.84,9.34,9.16,10.78,12.62,13.41,13.91,14.5,13.88,12.03,9.22,7.0,5.53,4.09,2.0,0.38,0.0,-0.38,-1.16,-1.62,-0.88,0.03,0.12,-0.09,0.06,0.38,0.5,0.03,0.5,2.12,3.75,4.22,5.22,6.91,8.31,8.38,8.16,8.12,7.75,6.09,4.28,3.31,3.34,3.16,2.84,3.38,4.06,3.88,2.44,0.53,-0.09,-1.06,-2.66,-3.72,-3.56,-3.03,-2.59,-2.97,-2.31,-1.19,-0.97,-1.28,-1.09,-0.59,-0.16,-0.72,-0.97,0.12,1.78,2.47,3.38,4.97,6.41,6.72,6.28,6.0,6.25,6.25,5.69,6.03,7.22,8.16,8.28,8.41,9.53,11.22,12.5,13.78,15.94,18.41,19.97,20.75,21.88,23.22,23.97,23.38,22.66,21.78,20.16,16.78,13.06,10.03,7.94,5.75,3.97,4.28,5.47,6.72,7.72,9.38,11.72,14.0,14.91,15.88,16.66,17.5,16.41,15.06,14.03,13.38,11.72,10.28,9.47,8.84,7.69,5.66,4.56,3.91,4.09,3.19,3.19,3.34,3.56,3.03,2.69,2.81,3.31,2.94,1.94,1.09,0.69,0.12,-0.31,-0.25,1.12,2.78,3.16,3.31,3.75,4.5,4.59,4.84,6.0,7.72,8.72,8.84,8.38,8.09,6.97,4.53,2.72,1.5,0.47,-1.19,-2.91,-3.81,-3.69,-4.03,-4.22,-3.78,-2.56,-1.69,-1.19,0.09,2.38,4.5,5.59,5.88,6.53,7.69,8.25,9.47,11.47,13.72,14.28,13.81,12.19,10.97,9.31,7.28,5.94,5.47,5.22,3.97,2.94,2.28,1.69,0.38,-0.34,-0.06,1.59,3.28,4.94,6.44,8.19,8.75,8.16,7.5,7.84,8.09,7.84,7.97,8.78,10.25,11.66,12.66,14.03,15.16,15.44,14.62,13.62,13.47,12.84,11.28,9.56,8.22,6.94,5.09,3.78,3.5,3.81,4.34,4.56,5.0,7.09,9.16,10.75,12.59,14.72,16.0,16.19,16.12,17.06,18.5,19.28,19.91,20.47,21.06,20.75,19.84,18.56,17.62,16.38,14.44,13.12,13.16,13.72,13.66,13.41,13.88,14.31,13.88,13.12,12.84,13.56,13.5,12.97,12.5,12.5,11.59,9.97,7.81,6.53,5.78,5.06,4.78,6.34,9.03,11.25,13.22,14.91,16.28,16.19,15.53,14.91,15.44,16.19,16.0,16.09,15.88,15.38,13.78,12.09,11.62,11.69,12.34,12.56,13.16,13.81,13.88,13.12,12.12,11.88,11.16,10.31,9.72,10.19,11.12,11.81,11.97,12.12,12.34,12.0,11.19,10.62,11.03,11.16,10.12,8.88,8.62,8.81,8.62,8.41,9.53,11.0,11.75,12.59,13.56,15.28,16.12,16.12,16.44,17.31,18.41,19.12,19.16,19.84,20.66,20.75,20.66,21.78,22.91,23.53,23.09,22.19,21.25,19.41,16.75,14.41,13.22,12.91,12.25,12.41,13.91,15.41,16.12,15.69,15.56,15.34,15.28,15.34,16.41,18.62,20.78,22.09,22.69,23.34,23.0,21.03,18.34,16.25,14.22,12.84,12.12,12.31,13.41,14.69,14.78,14.59,15.19,15.97,16.38,17.06,18.53,19.75,19.5,18.44,18.0,17.44,16.91,16.12,15.47,15.16,13.97,12.25,10.09,8.94,7.75,6.03,4.47,3.75,4.06,3.97,3.84,5.0,6.94,8.59,9.12,10.19,11.25,12.28,12.34,12.44,12.97,13.16,12.5,11.97,12.72,14.19,15.62,16.38,17.0,17.09,15.69,12.38,9.38,6.53,4.69,2.91,2.06,3.0,4.47,5.72,6.62,8.75,11.25,13.47,15.19,16.94,18.66,19.75,18.91,17.5,16.12,14.75,12.28,9.84,8.44,7.66,6.66,5.12,4.56,4.44,3.66,2.09,0.84,0.53,0.56,0.16,0.16,1.28,2.5,2.59,2.47,3.22,4.31,5.09,5.44,6.44,7.38,7.56,7.03,6.81,7.19,8.41,9.19,10.19,11.81,13.91,14.66,14.38,14.84,15.44,15.88,15.88,16.47,17.75,18.75,18.5,17.97,17.75,17.41,15.97,14.97,14.31,14.44,14.0,13.28,12.91,12.94,12.06,10.44,9.19,8.84,9.0,9.16,9.97,12.0,13.88,14.81,15.5,16.09,17.12,17.22,16.41,16.16,16.38,16.38,15.97,15.88,17.06,18.38,18.69,18.53,18.56,18.12,16.44,14.16,12.5,11.56,10.88,10.0,9.81,10.56,10.78,10.12,9.44,9.47,9.88,9.91,10.75,12.84,15.44,17.16,18.16,18.72,19.19,18.5,17.53,16.81,16.81,16.53,15.38,14.41,13.59,13.38,12.0,10.72,10.59,10.91,10.47,9.62,8.94,8.84,8.91,8.78,9.03,10.84,12.34,12.59,12.44,12.72,13.34,12.66,11.81,11.59,12.0,11.78,11.47,11.44,12.5,12.94,12.44,11.81,11.75,11.78,10.53,10.0,10.66,12.5,13.31,14.19,14.91,15.72,15.09,13.97,13.0,12.94,12.59,10.91,9.03,7.66,6.31,3.81,1.72,1.47,2.72,3.94,5.66,8.12,11.34,13.56,14.97,16.59,18.84,20.31,20.78,20.97,21.94,22.69,21.97,21.62,22.25,23.16,23.16,22.78,21.84,20.66,18.56,15.62,13.19,12.56,12.56,12.41,12.81,14.31,15.94,16.56,16.84,17.19,18.12,17.91,17.16,16.25,16.0,15.94,14.88,14.66,16.5,18.66,19.72,20.06,20.94,21.0,20.12,18.44,17.66,17.62,17.12,15.81,15.03,15.16,14.88,13.53,12.38,12.53,12.91,12.84,12.53,13.53,14.81,14.91,14.66,14.34,14.91,15.09,14.5,14.25,14.5,13.84,12.19,10.28,9.0,8.06,6.62,5.34,5.03,5.34,4.91,4.69,4.0,4.19,4.03,3.62,3.5,4.62,6.28,7.25,8.38,10.28,12.38,13.31,13.38,14.06,14.28,13.5,11.62,9.47,8.19,6.5,4.75,3.75,4.34,5.38,5.62,5.69,6.75,7.91,8.09,7.72,8.25,9.34,9.47,8.88,8.25,8.09,7.5,6.03,4.97,5.34,6.59,7.44,8.03,9.09,10.5,11.03,9.88,9.25,8.69,7.94,6.5,5.59,6.25,7.09,7.5,7.59,8.75,9.47,9.06,7.56,6.88,7.03,7.41,8.25,10.78,14.38,17.88,20.44,22.84,26.19,29.09,31.25,33.06,34.91,35.75,34.41,31.31,27.69,24.03,20.12,15.75,12.75,11.53,11.12,10.56,9.59,9.31,8.31,5.53,1.66,-1.16,-3.19,-4.69,-5.44,-4.31,-1.44,1.72,4.28,7.19,10.69,13.28,14.53,14.78,15.59,15.88,15.19,14.09,13.47,13.34,12.5,10.97,9.53,8.19,6.69,3.97,1.75,0.53,-0.66,-2.75,-5.12,-6.25,-6.78,-7.16,-7.22,-5.97,-3.69,-1.53,-0.19,1.0,2.84,4.31,3.97,3.38,3.56,3.88,3.47,3.38,4.41,5.97,7.09,7.66,8.66,9.66,9.97,8.62,7.78,7.06,6.44,4.53,3.19,2.62,2.53,2.03,1.97,2.56,3.66,4.34,4.12,4.38,5.56,6.97,7.84,9.12,11.47,13.47,14.41,14.81,15.72,16.28,15.81,14.69,13.97,14.16,14.19,13.75,13.5,14.0,13.81,12.72,12.0,12.19,12.88,13.38,13.5,15.12,16.59,17.19,17.47,18.16,19.25,20.5,21.25,22.06,23.69,25.12,25.06,24.38,24.03,23.59,21.47,18.91,16.94,15.75,14.75,13.78,14.03,15.47,17.53,18.5,19.84,21.97,23.5,23.5,22.72,22.06,21.47,19.62,17.66,16.56,15.62,14.03,11.88,9.72,8.41,7.06,4.84,3.28,3.19,3.62,3.47,3.59,4.44,5.47,5.41,5.12,5.5,6.62,8.06,9.34,11.72,14.91,18.22,20.38,22.31,24.12,25.78,26.25,26.03,26.25,26.81,26.34,25.28,24.19,23.34,21.94,19.31,16.72,14.31,11.94,8.75,5.53,3.62,2.41,0.53,-0.97,-1.41,-0.62,0.38,1.59,3.75,6.91,9.41,10.91,12.22,13.22,13.66,12.72,11.41,10.25,9.62,8.47,7.56,7.62,9.25,11.34,13.5,16.28,19.44,22.0,22.06,21.06,19.72,18.03,15.59,13.56,12.91,13.5,13.81,13.75,14.22,14.88,14.91,14.25,13.5,13.66,13.53,12.66,11.81,11.47,10.97,9.62,8.06,7.31,7.38,6.84,6.12,5.53,5.12,4.62,3.66,3.03,3.91,4.66,4.91,5.09,5.56,7.03,8.34,9.81,12.25,15.38,18.16,19.72,20.78,21.88,22.5,22.31,22.44,23.81,25.31,25.97,26.03,25.75,25.53,24.5,23.28,23.0,23.78,24.47,24.91,25.31,26.03,26.09,24.5,21.91,19.66,16.88,14.41,12.47,12.03,13.66,15.19,16.81,18.38,20.62,22.19,23.12,23.75,25.12,26.31,26.53,25.94,25.91,25.81,24.91,23.5,22.47,21.62,20.31,18.25,15.91,14.56,13.0,10.88,8.97,8.09,8.12,8.44,8.53,9.59,10.66,10.72,9.59,9.09,44.06,43.97,43.38,42.75,41.88,41.41,41.34,41.44,42.0,42.47,42.62,42.41,42.97,43.88,45.19,46.56,48.72,50.41,51.62,52.25,52.5,52.12,51.41,50.19,49.28,48.69,48.38,47.59,46.62,45.66,44.56,44.06,44.12,44.91,46.28:25.56,26.53,26.66,26.88,25.84,23.84,21.03,18.81,17.91,17.25,16.06,14.94,14.12,13.09,10.47,7.94,6.69,5.59,4.97,4.34,5.06,6.78,8.09,8.66,8.72,9.59,9.84,9.34,9.16,10.78,12.62,13.41,13.91,14.5,13.88,12.03,9.22,7.0,5.53,4.09,2.0,0.38,0.0,-0.38,-1.16,-1.62,-0.88,0.03,0.12,-0.09,0.06,0.38,0.5,0.03,0.5,2.12,3.75,4.22,5.22,6.91,8.31,8.38,8.16,8.12,7.75,6.09,4.28,3.31,3.34,3.16,2.84,3.38,4.06,3.88,2.44,0.53,-0.09,-1.06,-2.66,-3.72,-3.56,-3.03,-2.59,-2.97,-2.31,-1.19,-0.97,-1.28,-1.09,-0.59,-0.16,-0.72,-0.97,0.12,1.78,2.47,3.38,4.97,6.41,6.72,6.28,6.0,6.25,6.25,5.69,6.03,7.22,8.16,8.28,8.41,9.53,11.22,12.5,13.78,15.94,18.41,19.97,20.75,21.88,23.22,23.97,23.38,22.66,21.78,20.16,16.78,13.06,10.03,7.94,5.75,3.97,4.28,5.47,6.72,7.72,9.38,11.72,14.0,14.91,15.88,16.66,17.5,16.41,15.06,14.03,13.38,11.72,10.28,9.47,8.84,7.69,5.66,4.56,3.91,4.09,3.19,3.19,3.34,3.56,3.03,2.69,2.81,3.31,2.94,1.94,1.09,0.69,0.12,-0.31,-0.25,1.12,2.78,3.16,3.31,3.75,4.5,4.59,4.84,6.0,7.72,8.72,8.84,8.38,8.09,6.97,4.53,2.72,1.5,0.47,-1.19,-2.91,-3.81,-3.69,-4.03,-4.22,-3.78,-2.56,-1.69,-1.19,0.09,2.38,4.5,5.59,5.88,6.53,7.69,8.25,9.47,11.47,13.72,14.28,13.81,12.19,10.97,9.31,7.28,5.94,5.47,5.22,3.97,2.94,2.28,1.69,0.38,-0.34,-0.06,1.59,3.28,4.94,6.44,8.19,8.75,8.16,7.5,7.84,8.09,7.84,7.97,8.78,10.25,11.66,12.66,14.03,15.16,15.44,14.62,13.62,13.47,12.84,11.28,9.56,8.22,6.94,5.09,3.78,3.5,3.81,4.34,4.56,5.0,7.09,9.16,10.75,12.59,14.72,16.0,16.19,16.12,17.06,18.5,19.28,19.91,20.47,21.06,20.75,19.84,18.56,17.62,16.38,14.44,13.12,13.16,13.72,13.66,13.41,13.88,14.31,13.88,13.12,12.84,13.56,13.5,12.97,12.5,12.5,11.59,9.97,7.81,6.53,5.78,5.06,4.78,6.34,9.03,11.25,13.22,14.91,16.28,16.19,15.53,14.91,15.44,16.19,16.0,16.09,15.88,15.38,13.78,12.09,11.62,11.69,12.34,12.56,13.16,13.81,13.88,13.12,12.12,11.88,11.16,10.31,9.72,10.19,11.12,11.81,11.97,12.12,12.34,12.0,11.19,10.62,11.03,11.16,10.12,8.88,8.62,8.81,8.62,8.41,9.53,11.0,11.75,12.59,13.56,15.28,16.12,16.12,16.44,17.31,18.41,19.12,19.16,19.84,20.66,20.75,20.66,21.78,22.91,23.53,23.09,22.19,21.25,19.41,16.75,14.41,13.22,12.91,12.25,12.41,13.91,15.41,16.12,15.69,15.56,15.34,15.28,15.34,16.41,18.62,20.78,22.09,22.69,23.34,23.0,21.03,18.34,16.25,14.22,12.84,12.12,12.31,13.41,14.69,14.78,14.59,15.19,15.97,16.38,17.06,18.53,19.75,19.5,18.44,18.0,17.44,16.91,16.12,15.47,15.16,13.97,12.25,10.09,8.94,7.75,6.03,4.47,3.75,4.06,3.97,3.84,5.0,6.94,8.59,9.12,10.19,11.25,12.28,12.34,12.44,12.97,13.16,12.5,11.97,12.72,14.19,15.62,16.38,17.0,17.09,15.69,12.38,9.38,6.53,4.69,2.91,2.06,3.0,4.47,5.72,6.62,8.75,11.25,13.47,15.19,16.94,18.66,19.75,18.91,17.5,16.12,14.75,12.28,9.84,8.44,7.66,6.66,5.12,4.56,4.44,3.66,2.09,0.84,0.53,0.56,0.16,0.16,1.28,2.5,2.59,2.47,3.22,4.31,5.09,5.44,6.44,7.38,7.56,7.03,6.81,7.19,8.41,9.19,10.19,11.81,13.91,14.66,14.38,14.84,15.44,15.88,15.88,16.47,17.75,18.75,18.5,17.97,17.75,17.41,15.97,14.97,14.31,14.44,14.0,13.28,12.91,12.94,12.06,10.44,9.19,8.84,9.0,9.16,9.97,12.0,13.88,14.81,15.5,16.09,17.12,17.22,16.41,16.16,16.38,16.38,15.97,15.88,17.06,18.38,18.69,18.53,18.56,18.12,16.44,14.16,12.5,11.56,10.88,10.0,9.81,10.56,10.78,10.12,9.44,9.47,9.88,9.91,10.75,12.84,15.44,17.16,18.16,18.72,19.19,18.5,17.53,16.81,16.81,16.53,15.38,14.41,13.59,13.38,12.0,10.72,10.59,10.91,10.47,9.62,8.94,8.84,8.91,8.78,9.03,10.84,12.34,12.59,12.44,12.72,13.34,12.66,11.81,11.59,12.0,11.78,11.47,11.44,12.5,12.94,12.44,11.81,11.75,11.78,10.53,10.0,10.66,12.5,13.31,14.19,14.91,15.72,15.09,13.97,13.0,12.94,12.59,10.91,9.03,7.66,6.31,3.81,1.72,1.47,2.72,3.94,5.66,8.12,11.34,13.56,14.97,16.59,18.84,20.31,20.78,20.97,21.94,22.69,21.97,21.62,22.25,23.16,23.16,22.78,21.84,20.66,18.56,15.62,13.19,12.56,12.56,12.41,12.81,14.31,15.94,16.56,16.84,17.19,18.12,17.91,17.16,16.25,16.0,15.94,14.88,14.66,16.5,18.66,19.72,20.06,20.94,21.0,20.12,18.44,17.66,17.62,17.12,15.81,15.03,15.16,14.88,13.53,12.38,12.53,12.91,12.84,12.53,13.53,14.81,14.91,14.66,14.34,14.91,15.09,14.5,14.25,14.5,13.84,12.19,10.28,9.0,8.06,6.62,5.34,5.03,5.34,4.91,4.69,4.0,4.19,4.03,3.62,3.5,4.62,6.28,7.25,8.38,10.28,12.38,13.31,13.38,14.06,14.28,13.5,11.62,9.47,8.19,6.5,4.75,3.75,4.34,5.38,5.62,5.69,6.75,7.91,8.09,7.72,8.25,9.34,9.47,8.88,8.25,8.09,7.5,6.03,4.97,5.34,6.59,7.44,8.03,9.09,10.5,11.03,9.88,9.25,8.69,7.94,6.5,5.59,6.25,7.09,7.5,7.59,8.75,9.47,9.06,7.56,6.88,7.03,7.41,8.25,10.78,14.38,17.88,20.44,22.84,26.19,29.09,31.25,33.06,34.91,35.75,34.41,31.31,27.69,24.03,20.12,15.75,12.75,11.53,11.12,10.56,9.59,9.31,8.31,5.53,1.66,-1.16,-3.19,-4.69,-5.44,-4.31,-1.44,1.72,4.28,7.19,10.69,13.28,14.53,14.78,15.59,15.88,15.19,14.09,13.47,13.34,12.5,10.97,9.53,8.19,6.69,3.97,1.75,0.53,-0.66,-2.75,-5.12,-6.25,-6.78,-7.16,-7.22,-5.97,-3.69,-1.53,-0.19,1.0,2.84,4.31,3.97,3.38,3.56,3.88,3.47,3.38,4.41,5.97,7.09,7.66,8.66,9.66,9.97,8.62,7.78,7.06,6.44,4.53,3.19,2.62,2.53,2.03,1.97,2.56,3.66,4.34,4.12,4.38,5.56,6.97,7.84,9.12,11.47,13.47,14.41,14.81,15.72,16.28,15.81,14.69,13.97,14.16,14.19,13.75,13.5,14.0,13.81,12.72,12.0,12.19,12.88,13.38,13.5,15.12,16.59,17.19,17.47,18.16,19.25,20.5,21.25,22.06,23.69,25.12,25.06,24.38,24.03,23.59,21.47,18.91,16.94,15.75,14.75,13.78,14.03,15.47,17.53,18.5,19.84,21.97,23.5,23.5,22.72,22.06,21.47,19.62,17.66,16.56,15.62,14.03,11.88,9.72,8.41,7.06,4.84,3.28,3.19,3.62,3.47,3.59,4.44,5.47,5.41,5.12,5.5,6.62,8.06,9.34,11.72,14.91,18.22,20.38,22.31,24.12,25.78,26.25,26.03,26.25,26.81,26.34,25.28,24.19,23.34,21.94,19.31,16.72,14.31,11.94,8.75,5.53,3.62,2.41,0.53,-0.97,-1.41,-0.62,0.38,1.59,3.75,6.91,9.41,10.91,12.22,13.22,13.66,12.72,11.41,10.25,9.62,8.47,7.56,7.62,9.25,11.34,13.5,16.28,19.44,22.0,22.06,21.06,19.72,18.03,15.59,13.56,12.91,13.5,13.81,13.75,14.22,14.88,14.91,14.25,13.5,13.66,13.53,12.66,11.81,11.47,10.97,9.62,8.06,7.31,7.38,6.84,6.12,5.53,5.12,4.62,3.66,3.03,3.91,4.66,4.91,5.09,5.56,7.03,8.34,9.81,12.25,15.38,18.16,19.72,20.78,21.88,22.5,22.31,22.44,23.81,25.31,25.97,26.03,25.75,25.53,24.5,23.28,23.0,23.78,24.47,24.91,25.31,26.03,26.09,24.5,21.91,19.66,16.88,14.41,12.47,12.03,13.66,15.19,16.81,18.38,20.62,22.19,23.12,23.75,25.12,26.31,26.53,25.94,25.91,25.81,24.91,23.5,22.47,21.62,20.31,18.25,15.91,14.56,13.0,10.88,8.97,8.09,8.12,8.44,8.53,9.59,10.66,10.72,9.59,9.09,44.06,43.97,43.38,42.75,41.88,41.41,41.34,41.44,42.0,42.47,42.62,42.41,42.97,43.88,45.19,46.56,48.72,50.41,51.62,52.25,52.5,52.12,51.41,50.19,49.28,48.69,48.38,47.59,46.62,45.66,44.56,44.06,44.12,44.91,46.28,47.38,47.81,48.03,47.84,47.84,47.88,48.66:negativity
23.53,24.25,24.34,24.84,25.0,23.0,20.41,19.19,19.25,18.72,17.84,18.19,20.03,21.66,22.12,23.72,26.72,29.66,30.53,30.62,30.97,31.28,29.53,27.12,25.5,24.88,23.34,20.62,19.03,19.34,19.78,19.53,20.41,22.91,25.22,25.34,24.81,24.84,25.75,25.06,23.5,22.91,22.81,21.66,19.38,17.84,17.94,18.5,18.44,19.25,22.09,25.66,27.66,28.56,29.56,29.97,28.12,25.0,22.72,22.03,21.38,20.75,20.78,22.56,24.25,24.56,24.5,26.31,28.44,29.47,29.81,30.94,32.53,31.97,30.09,28.53,28.0,26.75,24.47,22.81,23.09,23.75,23.5,23.78,25.75,28.34,29.94,30.5,31.28,32.28,31.53,30.09,29.19,30.09,30.84,30.0,29.06,29.03,28.56,26.69,24.72,24.62,25.56,25.41,24.72,24.53,25.28,24.66,22.81,21.75,21.75,21.59,20.12,18.59,18.81,19.22,18.44,17.53,17.84,19.53,20.34,20.06,20.25,21.47,21.72,20.84,20.38,21.69,23.0,22.53,21.5,21.88,22.09,20.97,19.81,20.28,21.81,22.75,23.22,24.19,26.0,27.16,26.59,25.94,26.16,25.62,22.94,20.16,18.62,17.59,16.12,14.75,14.84,16.31,17.25,17.44,18.69,21.16,22.78,23.12,23.38,25.16,26.56,26.5,25.69,26.03,26.53,25.12,22.75,21.59,20.78,19.78,18.38,18.16,20.12,22.19,22.44,22.12,22.91,23.19,21.56,19.31,18.78,18.94,18.84,18.31,18.97,20.53,21.44,20.28,19.72,20.75,21.69,21.44,21.22,22.38,23.84,23.41,22.75,23.28,23.91,23.69,22.62,22.53,23.34,24.06,24.0,23.69,24.91,25.97,25.53,24.62,25.0,25.34,24.38,22.69,22.38,23.28,23.41,22.31,22.25,23.0,23.38,22.44,22.06,23.06,23.69,22.62,21.22,21.41,22.44,22.91,23.62,25.25,27.69,28.16,26.78,25.19,24.19,23.62,22.16,21.22,22.44,23.69,23.38,22.5,23.03,23.59,23.28,22.41,21.66,21.78,20.97,19.09,17.38,17.5,17.78,16.91,16.44,17.31,18.69,19.09,18.78,20.0,22.41,23.5,23.75,24.88,26.41,26.59,25.03,23.69,23.59,23.31,21.0,18.88,17.75,17.38,16.25,15.19,15.81,17.28,17.94,17.09,17.0,17.78,18.16,16.88,15.72,16.78,18.5,19.62,21.06,24.34,27.84,29.0,28.62,28.41,28.25,27.44,25.78,25.47,26.97,28.41,28.59,28.88,30.53,31.97,31.03,29.81,29.16,28.75,26.88,24.47,23.47,23.97,24.59,24.88,26.41,29.59,32.09,32.59,32.19,32.16,32.09,30.5,28.91,28.94,30.25,31.44,31.53,32.84,34.75,35.47,34.06,32.78,32.31,32.09,30.5,29.25,29.44,30.28,29.56,28.09,27.5,27.75,26.84,24.78,24.16,24.66,25.38,25.22,25.44,26.81,27.69,27.16,26.22,27.09,28.78,29.28,28.94,30.09,31.47,31.72,31.16,30.88,31.41,31.5,30.03,29.0,29.5,29.72,28.69,26.94,26.5,27.06,26.28,25.12,25.03,26.28,26.78,26.34,26.94,28.75,30.03,29.19,28.22,28.44,28.91,28.19,26.72,26.81,27.03,26.25,24.62,23.53,24.03,23.62,21.97,21.25,22.06,23.22,23.09,22.66,23.12,23.5,22.47,20.72,20.44,21.56,22.09,21.72,21.84,22.44,20.94,17.5,14.0,11.81,10.47,8.75,8.09,9.16,11.19,11.62,11.06,11.53,12.47,12.69,11.66,11.25,11.81,11.75,9.94,8.53,8.34,8.66,8.03,7.59,8.88,10.94,11.88,11.88,12.44,13.47,13.5,12.56,12.03,12.66,13.16,12.5,11.91,12.84,14.34,14.31,13.66,14.03,14.91,13.81,12.19,11.5,12.16,12.38,11.59,11.19,12.19,12.66,11.28,10.06,10.16,10.75,10.0,9.19,10.0,11.75,12.88,13.62,15.75,19.28,22.28,23.62,24.28,25.81,26.25,24.56,22.84,21.91,21.12,18.78,16.03,14.41,14.16,14.09,13.94,15.78,19.56,23.84,26.78,29.41,32.69,35.09,35.16,33.97,34.12,34.16,31.75,28.12,24.78,22.06,18.66,14.59,11.81,11.5,11.56,10.75,11.06,13.59,16.66,18.28,19.69,21.88,24.03,24.25,23.41,23.78,25.56,27.06,27.22,27.94,29.03,28.59,25.75,22.78,21.09,20.03,17.5,14.88,13.31,12.56,10.91,8.97,8.62,10.41,12.34,13.47,15.56,19.12,23.0,25.06,27.19,30.72,34.34,36.03,35.94,35.12,34.03,29.97,24.19,19.47,17.06,15.22,13.38,12.62,14.09,15.56,15.56,14.84,15.41,16.16,15.12,13.69,13.53,14.94,15.78,16.47,18.19,21.66,24.41,24.81,24.72,25.59,25.66,23.88,22.0,21.78,22.72,22.62,21.75,22.12,23.16,22.5,20.34,18.44,18.44,18.34,17.22,16.34,17.09,18.09,17.78,17.03,18.25,20.12,20.34,19.12,18.19,18.03,16.38,14.16,13.0,13.72,14.81,14.75,14.78,15.97,17.41,17.09,16.19,16.88,18.12,18.47,18.56,19.75,22.09,23.59,23.5,23.25,24.16,24.56,22.84,20.69,19.75,19.09,16.84,13.44,11.94,11.88,11.03,10.06,10.56,12.16,12.94,12.06,11.03,12.25,13.38,13.34,13.34,15.09,17.31,18.28,18.06,19.09,20.56,20.75,19.34,18.31,18.44,17.88,16.0,14.47,14.66,14.88,13.69,11.75,11.12,10.81,9.22,6.72,5.12,5.06,4.53,3.0,2.94,5.28,7.19,8.34,9.03,11.38,13.72,14.34,14.0,14.88,16.81,17.19,16.38,16.44,17.56,17.97,17.62,18.41,21.09,24.12,24.75,24.31,24.22,23.72,21.0,18.03,16.84,16.81,16.22,14.69,13.97,14.22,14.06,12.56,11.72,12.72,14.0,14.5,14.84,16.97,19.56,20.12,19.25,18.53,17.97,16.28,13.34,11.88,12.44,13.41,13.22,13.09,14.94,16.78,16.69,16.53,17.53,18.81,18.56,16.91,15.88,16.06,15.5,14.19,14.0,15.94,17.31,16.53,15.09,14.75,14.81,14.06,13.16,15.03,17.47,18.62,18.0,17.5,17.38,16.22,13.47,11.81,12.28,12.78,12.06,11.31,12.25,13.28,12.5,11.03,11.06,11.72,11.81,10.81,10.62,11.78,11.53,9.84,8.38,8.97,9.88,9.81,10.09,12.19,14.5,15.22,14.62,15.34,16.5,17.03,16.66,17.53,19.53,21.0,20.25,18.91,18.28,17.25,14.28,11.78,11.44,12.22,12.5,12.41,13.5,15.09,15.97,15.25,14.84,15.88,16.53,15.12,14.66,15.97,17.69,17.53,16.5,16.47,16.09,14.44,12.16,11.62,12.72,13.53,13.72,14.91,17.16,19.19,19.06,18.72,19.66,20.47,19.53,18.22,18.47,19.78,19.62,18.66,18.38,18.88,18.88,17.53,17.25,19.03,20.66,20.91,20.41,21.22,21.66,20.66,18.88,18.19,18.06,16.97,14.47,13.38,14.25,15.41,15.94,17.31,19.72,21.84,21.25,19.19,18.22,17.19,14.72,11.56,10.31,10.22,9.88,9.06,10.06,13.28,16.88,18.41,20.12,22.22,23.41,22.66,21.34,21.59,22.5,21.44,18.78,16.12,13.28,9.41,4.97,2.41,2.91,4.5,4.97,6.41,8.94,11.03,11.34,10.69,11.34,12.88,13.88,14.84,17.22,21.22,24.66,26.16,27.72,30.0,31.12,29.53,27.38,25.41,23.0,18.25,12.53,7.81,4.34,0.78,-2.72,-3.97,-3.12,-2.5,-3.19,-2.91,-1.19,0.88,1.81,3.06,6.09,9.56,11.84,13.69,16.72,20.16,22.56,23.25,24.25,25.31,25.34,23.12,20.25,18.31,17.09,13.91,11.06,9.66,9.09,7.25,5.09,4.84,5.91,7.22,7.88,9.22,11.47,12.47,10.97,8.97,8.41,8.22,7.47,7.03,8.19,9.81,9.81,8.81,8.72,9.78,10.47,10.09,10.62,12.28,13.72,13.69,13.38,14.78,16.12,15.62,14.56,14.03,13.41,11.47,8.75,7.38,7.91,8.5,8.91,10.38,13.38,16.44,17.72,18.69,20.47,22.5,22.91,23.03,24.56,27.25,28.72,29.38,30.72,32.28,32.88,31.12,29.12,28.0,26.34,23.03,19.66,17.69,16.72,14.59,12.31,11.88,12.78,13.12,12.69,12.94,14.16,15.19,14.91,15.38,17.56,20.56,22.25,23.25,25.38,27.91,28.16,27.31,27.34,28.72,29.5,29.12,29.0,29.53,28.62,25.84,22.66,21.16,20.88,19.94,19.34,20.69,22.84,23.81,23.53,23.5,24.34,24.5,23.19,22.28,22.12,22.12,20.0,17.75,16.66,16.47,15.19,14.06,14.62,15.97,16.38,16.22,16.59,18.34,19.72,19.75,20.06,21.56,22.78,22.44,21.62,21.94,22.66,21.47,19.84,19.12,19.5,19.06,17.88,16.97,17.75,18.25,16.88,15.81,17.03,18.78,19.5,20.38,22.22,24.41,24.5,23.62,23.03,23.38,23.34,22.38,22.5,24.5,26.53,27.16,27.59,28.94,30.28,29.53,28.16,27.72,27.59,26.44,24.66,23.59,24.34,24.62,23.94,23.41,24.44,24.53,22.75,20.38,19.19,18.72,17.09,15.56,15.91,17.5,17.88,17.5,16.91,17.28,17.25,15.97,15.5,17.19,19.09,19.59,19.62,20.22,20.66,19.97,18.53,18.31,19.66,20.56,20.62,20.97,22.16,22.53,21.41,19.91,20.62,21.88,22.34,22.78,24.72,26.97,27.28,26.19,25.69,26.06:19.19,19.25,18.72,17.84,18.19,20.03,21.66,22.12,23.72,26.72,29.66,30.53,30.62,30.97,31.28,29.53,27.12,25.5,24.88,23.34,20.62,19.03,19.34,19.78,19.53,20.41,22.91,25.22,25.34,24.81,24.84,25.75,25.06,23.5,22.91,22.81,21.66,19.38,17.84,17.94,18.5,18.44,19.25,22.09,25.66,27.66,28.56,29.56,29.97,28.12,25.0,22.72,22.03,21.38,20.75,20.78,22.56,24.25,24.56,24.5,26.31,28.44,29.47,29.81,30.94,32.53,31.97,30.09,28.53,28.0,26.75,24.47,22.81,23.09,23.75,23.5,23.78,25.75,28.34,29.94,30.5,31.28,32.28,31.53,30.09,29.19,30.09,30.84,30.0,29.06,29.03,28.56,26.69,24.72,24.62,25.56,25.41,24.72,24.53,25.28,24.66,22.81,21.75,21.75,21.59,20.12,18.59,18.81,19.22,18.44,17.53,17.84,19.53,20.34,20.06,20.25,21.47,21.72,20.84,20.38,21.69,23.0,22.53,21.5,21.88,22.09,20.97,19.81,20.28,21.81,22.75,23.22,24.19,26.0,27.16,26.59,25.94,26.16,25.62,22.94,20.16,18.62,17.59,16.12,14.75,14.84,16.31,17.25,17.44,18.69,21.16,22.78,23.12,23.38,25.16,26.56,26.5,25.69,26.03,26.53,25.12,22.75,21.59,20.78,19.78,18.38,18.16,20.12,22.19,22.44,22.12,22.91,23.19,21.56,19.31,18.78,18.94,18.84,18.31,18.97,20.53,21.44,20.28,19.72,20.75,21.69,21.44,21.22,22.38,23.84,23.41,22.75,23.28,23.91,23.69,22.62,22.53,23.34,24.06,24.0,23.69,24.91,25.97,25.53,24.62,25.0,25.34,24.38,22.69,22.38,23.28,23.41,22.31,22.25,23.0,23.38,22.44,22.06,23.06,23.69,22.62,21.22,21.41,22.44,22.91,23.62,25.25,27.69,28.16,26.78,25.19,24.19,23.62,22.16,21.22,22.44,23.69,23.38,22.5,23.03,23.59,23.28,22.41,21.66,21.78,20.97,19.09,17.38,17.5,17.78,16.91,16.44,17.31,18.69,19.09,18.78,20.0,22.41,23.5,23.75,24.88,26.41,26.59,25.03,23.69,23.59,23.31,21.0,18.88,17.75,17.38,16.25,15.19,15.81,17.28,17.94,17.09,17.0,17.78,18.16,16.88,15.72,16.78,18.5,19.62,21.06,24.34,27.84,29.0,28.62,28.41,28.25,27.44,25.78,25.47,26.97,28.41,28.59,28.88,30.53,31.97,31.03,29.81,29.16,28.75,26.88,24.47,23.47,23.97,24.59,24.88,26.41,29.59,32.09,32.59,32.19,32.16,32.09,30.5,28.91,28.94,30.25,31.44,31.53,32.84,34.75,35.47,34.06,32.78,32.31,32.09,30.5,29.25,29.44,30.28,29.56,28.09,27.5,27.75,26.84,24.78,24.16,24.66,25.38,25.22,25.44,26.81,27.69,27.16,26.22,27.09,28.78,29.28,28.94,30.09,31.47,31.72,31.16,30.88,31.41,31.5,30.03,29.0,29.5,29.72,28.69,26.94,26.5,27.06,26.28,25.12,25.03,26.28,26.78,26.34,26.94,28.75,30.03,29.19,28.22,28.44,28.91,28.19,26.72,26.81,27.03,26.25,24.62,23.53,24.03,23.62,21.97,21.25,22.06,23.22,23.09,22.66,23.12,23.5,22.47,20.72,20.44,21.56,22.09,21.72,21.84,22.44,20.94,17.5,14.0,11.81,10.47,8.75,8.09,9.16,11.19,11.62,11.06,11.53,12.47,12.69,11.66,11.25,11.81,11.75,9.94,8.53,8.34,8.66,8.03,7.59,8.88,10.94,11.88,11.88,12.44,13.47,13.5,12.56,12.03,12.66,13.16,12.5,11.91,12.84,14.34,14.31,13.66,14.03,14.91,13.81,12.19,11.5,12.16,12.38,11.59,11.19,12.19,12.66,11.28,10.06,10.16,10.75,10.0,9.19,10.0,11.75,12.88,13.62,15.75,19.28,22.28,23.62,24.28,25.81,26.25,24.56,22.84,21.91,21.12,18.78,16.03,14.41,14.16,14.09,13.94,15.78,19.56,23.84,26.78,29.41,32.69,35.09,35.16,33.97,34.12,34.16,31.75,28.12,24.78,22.06,18.66,14.59,11.81,11.5,11.56,10.75,11.06,13.59,16.66,18.28,19.69,21.88,24.03,24.25,23.41,23.78,25.56,27.06,27.22,27.94,29.03,28.59,25.75,22.78,21.09,20.03,17.5,14.88,13.31,12.56,10.91,8.97,8.62,10.41,12.34,13.47,15.56,19.12,23.0,25.06,27.19,30.72,34.34,36.03,35.94,35.12,34.03,29.97,24.19,19.47,17.06,15.22,13.38,12.62,14.09,15.56,15.56,14.84,15.41,16.16,15.12,13.69,13.53,14.94,15.78,16.47,18.19,21.66,24.41,24.81,24.72,25.59,25.66,23.88,22.0,21.78,22.72,22.62,21.75,22.12,23.16,22.5,20.34,18.44,18.44,18.34,17.22,16.34,17.09,18.09,17.78,17.03,18.25,20.12,20.34,19.12,18.19,18.03,16.38,14.16,13.0,13.72,14.81,14.75,14.78,15.97,17.41,17.09,16.19,16.88,18.12,18.47,18.56,19.75,22.09,23.59,23.5,23.25,24.16,24.56,22.84,20.69,19.75,19.09,16.84,13.44,11.94,11.88,11.03,10.06,10.56,12.16,12.94,12.06,11.03,12.25,13.38,13.34,13.34,15.09,17.31,18.28,18.06,19.09,20.56,20.75,19.34,18.31,18.44,17.88,16.0,14.47,14.66,14.88,13.69,11.75,11.12,10.81,9.22,6.72,5.12,5.06,4.53,3.0,2.94,5.28,7.19,8.34,9.03,11.38,13.72,14.34,14.0,14.88,16.81,17.19,16.38,16.44,17.56,17.97,17.62,18.41,21.09,24.12,24.75,24.31,24.22,23.72,21.0,18.03,16.84,16.81,16.22,14.69,13.97,14.22,14.06,12.56,11.72,12.72,14.0,14.5,14.84,16.97,19.56,20.12,19.25,18.53,17.97,16.28,13.34,11.88,12.44,13.41,13.22,13.09,14.94,16.78,16.69,16.53,17.53,18.81,18.56,16.91,15.88,16.06,15.5,14.19,14.0,15.94,17.31,16.53,15.09,14.75,14.81,14.06,13.16,15.03,17.47,18.62,18.0,17.5,17.38,16.22,13.47,11.81,12.28,12.78,12.06,11.31,12.25,13.28,12.5,11.03,11.06,11.72,11.81,10.81,10.62,11.78,11.53,9.84,8.38,8.97,9.88,9.81,10.09,12.19,14.5,15.22,14.62,15.34,16.5,17.03,16.66,17.53,19.53,21.0,20.25,18.91,18.28,17.25,14.28,11.78,11.44,12.22,12.5,12.41,13.5,15.09,15.97,15.25,14.84,15.88,16.53,15.12,14.66,15.97,17.69,17.53,16.5,16.47,16.09,14.44,12.16,11.62,12.72,13.53,13.72,14.91,17.16,19.19,19.06,18.72,19.66,20.47,19.53,18.22,18.47,19.78,19.62,18.66,18.38,18.88,18.88,17.53,17.25,19.03,20.66,20.91,20.41,21.22,21.66,20.66,18.88,18.19,18.06,16.97,14.47,13.38,14.25,15.41,15.94,17.31,19.72,21.84,21.25,19.19,18.22,17.19,14.72,11.56,10.31,10.22,9.88,9.06,10.06,13.28,16.88,18.41,20.12,22.22,23.41,22.66,21.34,21.59,22.5,21.44,18.78,16.12,13.28,9.41,4.97,2.41,2.91,4.5,4.97,6.41,8.94,11.03,11.34,10.69,11.34,12.88,13.88,14.84,17.22,21.22,24.66,26.16,27.72,30.0,31.12,29.53,27.38,25.41,23.0,18.25,12.53,7.81,4.34,0.78,-2.72,-3.97,-3.12,-2.5,-3.19,-2.91,-1.19,0.88,1.81,3.06,6.09,9.56,11.84,13.69,16.72,20.16,22.56,23.25,24.25,25.31,25.34,23.12,20.25,18.31,17.09,13.91,11.06,9.66,9.09,7.25,5.09,4.84,5.91,7.22,7.88,9.22,11.47,12.47,10.97,8.97,8.41,8.22,7.47,7.03,8.19,9.81,9.81,8.81,8.72,9.78,10.47,10.09,10.62,12.28,13.72,13.69,13.38,14.78,16.12,15.62,14.56,14.03,13.41,11.47,8.75,7.38,7.91,8.5,8.91,10.38,13.38,16.44,17.72,18.69,20.47,22.5,22.91,23.03,24.56,27.25,28.72,29.38,30.72,32.28,32.88,31.12,29.12,28.0,26.34,23.03,19.66,17.69,16.72,14.59,12.31,11.88,12.78,13.12,12.69,12.94,14.16,15.19,14.91,15.38,17.56,20.56,22.25,23.25,25.38,27.91,28.16,27.31,27.34,28.72,29.5,29.12,29.0,29.53,28.62,25.84,22.66,21.16,20.88,19.94,19.34,20.69,22.84,23.81,23.53,23.5,24.34,24.5,23.19,22.28,22.12,22.12,20.0,17.75,16.66,16.47,15.19,14.06,14.62,15.97,16.38,16.22,16.59,18.34,19.72,19.75,20.06,21.56,22.78,22.44,21.62,21.94,22.66,21.47,19.84,19.12,19.5,19.06,17.88,16.97,17.75,18.25,16.88,15.81,17.03,18.78,19.5,20.38,22.22,24.41,24.5,23.62,23.03,23.38,23.34,22.38,22.5,24.5,26.53,27.16,27.59,28.94,30.28,29.53,28.16,27.72,27.59,26.44,24.66,23.59,24.34,24.62,23.94,23.41,24.44,24.53,22.75,20.38,19.19,18.72,17.09,15.56,15.91,17.5,17.88,17.5,16.91,17.28,17.25,15.97,15.5,17.19,19.09,19.59,19.62,20.22,20.66,19.97,18.53,18.31,19.66,20.56,20.62,20.97,22.16,22.53,21.41,19.91,20.62,21.88,22.34,22.78,24.72,26.97,27.28,26.19,25.69,26.06,37.06,38.75,39.75,39.28,38.53,37.5,36.62:22.12,23.72,26.72,29.66,30.53,30.62,30.97,31.28,29.53,27.12,25.5,24.88,23.34,20.62,19.03,19.34,19.78,19.53,20.41,22.91,25.22,25.34,24.81,24.84,25.75,25.06,23.5,22.91,22.81,21.66,19.38,17.84,17.94,18.5,18.44,19.25,22.09,25.66,27.66,28.56,29.56,29.97,28.12,25.0,22.72,22.03,21.38,20.75,20.78,22.56,24.25,24.56,24.5,26.31,28.44,29.47,29.81,30.94,32.53,31.97,30.09,28.53,28.0,26.75,24.47,22.81,23.09,23.75,23.5,23.78,25.75,28.34,29.94,30.5,31.28,32.28,31.53,30.09,29.19,30.09,30.84,30.0,29.06,29.03,28.56,26.69,24.72,24.62,25.56,25.41,24.72,24.53,25.28,24.66,22.81,21.75,21.75,21.59,20.12,18.59,18.81,19.22,18.44,17.53,17.84,19.53,20.34,20.06,20.25,21.47,21.72,20.84,20.38,21.69,23.0,22.53,21.5,21.88,22.09,20.97,19.81,20.28,21.81,22.75,23.22,24.19,26.0,27.16,26.59,25.94,26.16,25.62,22.94,20.16,18.62,17.59,16.12,14.75,14.84,16.31,17.25,17.44,18.69,21.16,22.78,23.12,23.38,25.16,26.56,26.5,25.69,26.03,26.53,25.12,22.75,21.59,20.78,19.78,18.38,18.16,20.12,22.19,22.44,22.12,22.91,23.19,21.56,19.31,18.78,18.94,18.84,18.31,18.97,20.53,21.44,20.28,19.72,20.75,21.69,21.44,21.22,22.38,23.84,23.41,22.75,23.28,23.91,23.69,22.62,22.53,23.34,24.06,24.0,23.69,24.91,25.97,25.53,24.62,25.0,25.34,24.38,22.69,22.38,23.28,23.41,22.31,22.25,23.0,23.38,22.44,22.06,23.06,23.69,22.62,21.22,21.41,22.44,22.91,23.62,25.25,27.69,28.16,26.78,25.19,24.19,23.62,22.16,21.22,22.44,23.69,23.38,22.5,23.03,23.59,23.28,22.41,21.66,21.78,20.97,19.09,17.38,17.5,17.78,16.91,16.44,17.31,18.69,19.09,18.78,20.0,22.41,23.5,23.75,24.88,26.41,26.59,25.03,23.69,23.59,23.31,21.0,18.88,17.75,17.38,16.25,15.19,15.81,17.28,17.94,17.09,17.0,17.78,18.16,16.88,15.72,16.78,18.5,19.62,21.06,24.34,27.84,29.0,28.62,28.41,28.25,27.44,25.78,25.47,26.97,28.41,28.59,28.88,30.53,31.97,31.03,29.81,29.16,28.75,26.88,24.47,23.47,23.97,24.59,24.88,26.41,29.59,32.09,32.59,32.19,32.16,32.09,30.5,28.91,28.94,30.25,31.44,31.53,32.84,34.75,35.47,34.06,32.78,32.31,32.09,30.5,29.25,29.44,30.28,29.56,28.09,27.5,27.75,26.84,24.78,24.16,24.66,25.38,25.22,25.44,26.81,27.69,27.16,26.22,27.09,28.78,29.28,28.94,30.09,31.47,31.72,31.16,30.88,31.41,31.5,30.03,29.0,29.5,29.72,28.69,26.94,26.5,27.06,26.28,25.12,25.03,26.28,26.78,26.34,26.94,28.75,30.03,29.19,28.22,28.44,28.91,28.19,26.72,26.81,27.03,26.25,24.62,23.53,24.03,23.62,21.97,21.25,22.06,23.22,23.09,22.66,23.12,23.5,22.47,20.72,20.44,21.56,22.09,21.72,21.84,22.44,20.94,17.5,14.0,11.81,10.47,8.75,8.09,9.16,11.19,11.62,11.06,11.53,12.47,12.69,11.66,11.25,11.81,11.75,9.94,8.53,8.34,8.66,8.03,7.59,8.88,10.94,11.88,11.88,12.44,13.47,13.5,12.56,12.03,12.66,13.16,12.5,11.91,12.84,14.34,14.31,13.66,14.03,14.91,13.81,12.19,11.5,12.16,12.38,11.59,11.19,12.19,12.66,11.28,10.06,10.16,10.75,10.0,9.19,10.0,11.75,12.88,13.62,15.75,19.28,22.28,23.62,24.28,25.81,26.25,24.56,22.84,21.91,21.12,18.78,16.03,14.41,14.16,14.09,13.94,15.78,19.56,23.84,26.78,29.41,32.69,35.09,35.16,33.97,34.12,34.16,31.75,28.12,24.78,22.06,18.66,14.59,11.81,11.5,11.56,10.75,11.06,13.59,16.66,18.28,19.69,21.88,24.03,24.25,23.41,23.78,25.56,27.06,27.22,27.94,29.03,28.59,25.75,22.78,21.09,20.03,17.5,14.88,13.31,12.56,10.91,8.97,8.62,10.41,12.34,13.47,15.56,19.12,23.0,25.06,27.19,30.72,34.34,36.03,35.94,35.12,34.03,29.97,24.19,19.47,17.06,15.22,13.38,12.62,14.09,15.56,15.56,14.84,15.41,16.16,15.12,13.69,13.53,14.94,15.78,16.47,18.19,21.66,24.41,24.81,24.72,25.59,25.66,23.88,22.0,21.78,22.72,22.62,21.75,22.12,23.16,22.5,20.34,18.44,18.44,18.34,17.22,16.34,17.09,18.09,17.78,17.03,18.25,20.12,20.34,19.12,18.19,18.03,16.38,14.16,13.0,13.72,14.81,14.75,14.78,15.97,17.41,17.09,16.19,16.88,18.12,18.47,18.56,19.75,22.09,23.59,23.5,23.25,24.16,24.56,22.84,20.69,19.75,19.09,16.84,13.44,11.94,11.88,11.03,10.06,10.56,12.16,12.94,12.06,11.03,12.25,13.38,13.34,13.34,15.09,17.31,18.28,18.06,19.09,20.56,20.75,19.34,18.31,18.44,17.88,16.0,14.47,14.66,14.88,13.69,11.75,11.12,10.81,9.22,6.72,5.12,5.06,4.53,3.0,2.94,5.28,7.19,8.34,9.03,11.38,13.72,14.34,14.0,14.88,16.81,17.19,16.38,16.44,17.56,17.97,17.62,18.41,21.09,24.12,24.75,24.31,24.22,23.72,21.0,18.03,16.84,16.81,16.22,14.69,13.97,14.22,14.06,12.56,11.72,12.72,14.0,14.5,14.84,16.97,19.56,20.12,19.25,18.53,17.97,16.28,13.34,11.88,12.44,13.41,13.22,13.09,14.94,16.78,16.69,16.53,17.53,18.81,18.56,16.91,15.88,16.06,15.5,14.19,14.0,15.94,17.31,16.53,15.09,14.75,14.81,14.06,13.16,15.03,17.47,18.62,18.0,17.5,17.38,16.22,13.47,11.81,12.28,12.78,12.06,11.31,12.25,13.28,12.5,11.03,11.06,11.72,11.81,10.81,10.62,11.78,11.53,9.84,8.38,8.97,9.88,9.81,10.09,12.19,14.5,15.22,14.62,15.34,16.5,17.03,16.66,17.53,19.53,21.0,20.25,18.91,18.28,17.25,14.28,11.78,11.44,12.22,12.5,12.41,13.5,15.09,15.97,15.25,14.84,15.88,16.53,15.12,14.66,15.97,17.69,17.53,16.5,16.47,16.09,14.44,12.16,11.62,12.72,13.53,13.72,14.91,17.16,19.19,19.06,18.72,19.66,20.47,19.53,18.22,18.47,19.78,19.62,18.66,18.38,18.88,18.88,17.53,17.25,19.03,20.66,20.91,20.41,21.22,21.66,20.66,18.88,18.19,18.06,16.97,14.47,13.38,14.25,15.41,15.94,17.31,19.72,21.84,21.25,19.19,18.22,17.19,14.72,11.56,10.31,10.22,9.88,9.06,10.06,13.28,16.88,18.41,20.12,22.22,23.41,22.66,21.34,21.59,22.5,21.44,18.78,16.12,13.28,9.41,4.97,2.41,2.91,4.5,4.97,6.41,8.94,11.03,11.34,10.69,11.34,12.88,13.88,14.84,17.22,21.22,24.66,26.16,27.72,30.0,31.12,29.53,27.38,25.41,23.0,18.25,12.53,7.81,4.34,0.78,-2.72,-3.97,-3.12,-2.5,-3.19,-2.91,-1.19,0.88,1.81,3.06,6.09,9.56,11.84,13.69,16.72,20.16,22.56,23.25,24.25,25.31,25.34,23.12,20.25,18.31,17.09,13.91,11.06,9.66,9.09,7.25,5.09,4.84,5.91,7.22,7.88,9.22,11.47,12.47,10.97,8.97,8.41,8.22,7.47,7.03,8.19,9.81,9.81,8.81,8.72,9.78,10.47,10.09,10.62,12.28,13.72,13.69,13.38,14.78,16.12,15.62,14.56,14.03,13.41,11.47,8.75,7.38,7.91,8.5,8.91,10.38,13.38,16.44,17.72,18.69,20.47,22.5,22.91,23.03,24.56,27.25,28.72,29.38,30.72,32.28,32.88,31.12,29.12,28.0,26.34,23.03,19.66,17.69,16.72,14.59,12.31,11.88,12.78,13.12,12.69,12.94,14.16,15.19,14.91,15.38,17.56,20.56,22.25,23.25,25.38,27.91,28.16,27.31,27.34,28.72,29.5,29.12,29.0,29.53,28.62,25.84,22.66,21.16,20.88,19.94,19.34,20.69,22.84,23.81,23.53,23.5,24.34,24.5,23.19,22.28,22.12,22.12,20.0,17.75,16.66,16.47,15.19,14.06,14.62,15.97,16.38,16.22,16.59,18.34,19.72,19.75,20.06,21.56,22.78,22.44,21.62,21.94,22.66,21.47,19.84,19.12,19.5,19.06,17.88,16.97,17.75,18.25,16.88,15.81,17.03,18.78,19.5,20.38,22.22,24.41,24.5,23.62,23.03,23.38,23.34,22.38,22.5,24.5,26.53,27.16,27.59,28.94,30.28,29.53,28.16,27.72,27.59,26.44,24.66,23.59,24.34,24.62,23.94,23.41,24.44,24.53,22.75,20.38,19.19,18.72,17.09,15.56,15.91,17.5,17.88,17.5,16.91,17.28,17.25,15.97,15.5,17.19,19.09,19.59,19.62,20.22,20.66,19.97,18.53,18.31,19.66,20.56,20.62,20.97,22.16,22.53,21.41,19.91,20.62,21.88,22.34,22.78,24.72,26.97,27.28,26.19,25.69,26.06,37.06,38.75,39.75,39.28,38.53,37.5,36.62,35.56,35.41,36.0,36.69,37.31,37.59,37.81:31.28,29.53,27.12,25.5,24.88,23.34,20.62,19.03,19.34,19.78,19.53,20.41,22.91,25.22,25.34,24.81,24.84,25.75,25.06,23.5,22.91,22.81,21.66,19.38,17.84,17.94,18.5,18.44,19.25,22.09,25.66,27.66,28.56,29.56,29.97,28.12,25.0,22.72,22.03,21.38,20.75,20.78,22.56,24.25,24.56,24.5,26.31,28.44,29.47,29.81,30.94,32.53,31.97,30.09,28.53,28.0,26.75,24.47,22.81,23.09,23.75,23.5,23.78,25.75,28.34,29.94,30.5,31.28,32.28,31.53,30.09,29.19,30.09,30.84,30.0,29.06,29.03,28.56,26.69,24.72,24.62,25.56,25.41,24.72,24.53,25.28,24.66,22.81,21.75,21.75,21.59,20.12,18.59,18.81,19.22,18.44,17.53,17.84,19.53,20.34,20.06,20.25,21.47,21.72,20.84,20.38,21.69,23.0,22.53,21.5,21.88,22.09,20.97,19.81,20.28,21.81,22.75,23.22,24.19,26.0,27.16,26.59,25.94,26.16,25.62,22.94,20.16,18.62,17.59,16.12,14.75,14.84,16.31,17.25,17.44,18.69,21.16,22.78,23.12,23.38,25.16,26.56,26.5,25.69,26.03,26.53,25.12,22.75,21.59,20.78,19.78,18.38,18.16,20.12,22.19,22.44,22.12,22.91,23.19,21.56,19.31,18.78,18.94,18.84,18.31,18.97,20.53,21.44,20.28,19.72,20.75,21.69,21.44,21.22,22.38,23.84,23.41,22.75,23.28,23.91,23.69,22.62,22.53,23.34,24.06,24.0,23.69,24.91,25.97,25.53,24.62,25.0,25.34,24.38,22.69,22.38,23.28,23.41,22.31,22.25,23.0,23.38,22.44,22.06,23.06,23.69,22.62,21.22,21.41,22.44,22.91,23.62,25.25,27.69,28.16,26.78,25.19,24.19,23.62,22.16,21.22,22.44,23.69,23.38,22.5,23.03,23.59,23.28,22.41,21.66,21.78,20.97,19.09,17.38,17.5,17.78,16.91,16.44,17.31,18.69,19.09,18.78,20.0,22.41,23.5,23.75,24.88,26.41,26.59,25.03,23.69,23.59,23.31,21.0,18.88,17.75,17.38,16.25,15.19,15.81,17.28,17.94,17.09,17.0,17.78,18.16,16.88,15.72,16.78,18.5,19.62,21.06,24.34,27.84,29.0,28.62,28.41,28.25,27.44,25.78,25.47,26.97,28.41,28.59,28.88,30.53,31.97,31.03,29.81,29.16,28.75,26.88,24.47,23.47,23.97,24.59,24.88,26.41,29.59,32.09,32.59,32.19,32.16,32.09,30.5,28.91,28.94,30.25,31.44,31.53,32.84,34.75,35.47,34.06,32.78,32.31,32.09,30.5,29.25,29.44,30.28,29.56,28.09,27.5,27.75,26.84,24.78,24.16,24.66,25.38,25.22,25.44,26.81,27.69,27.16,26.22,27.09,28.78,29.28,28.94,30.09,31.47,31.72,31.16,30.88,31.41,31.5,30.03,29.0,29.5,29.72,28.69,26.94,26.5,27.06,26.28,25.12,25.03,26.28,26.78,26.34,26.94,28.75,30.03,29.19,28.22,28.44,28.91,28.19,26.72,26.81,27.03,26.25,24.62,23.53,24.03,23.62,21.97,21.25,22.06,23.22,23.09,22.66,23.12,23.5,22.47,20.72,20.44,21.56,22.09,21.72,21.84,22.44,20.94,17.5,14.0,11.81,10.47,8.75,8.09,9.16,11.19,11.62,11.06,11.53,12.47,12.69,11.66,11.25,11.81,11.75,9.94,8.53,8.34,8.66,8.03,7.59,8.88,10.94,11.88,11.88,12.44,13.47,13.5,12.56,12.03,12.66,13.16,12.5,11.91,12.84,14.34,14.31,13.66,14.03,14.91,13.81,12.19,11.5,12.16,12.38,11.59,11.19,12.19,12.66,11.28,10.06,10.16,10.75,10.0,9.19,10.0,11.75,12.88,13.62,15.75,19.28,22.28,23.62,24.28,25.81,26.25,24.56,22.84,21.91,21.12,18.78,16.03,14.41,14.16,14.09,13.94,15.78,19.56,23.84,26.78,29.41,32.69,35.09,35.16,33.97,34.12,34.16,31.75,28.12,24.78,22.06,18.66,14.59,11.81,11.5,11.56,10.75,11.06,13.59,16.66,18.28,19.69,21.88,24.03,24.25,23.41,23.78,25.56,27.06,27.22,27.94,29.03,28.59,25.75,22.78,21.09,20.03,17.5,14.88,13.31,12.56,10.91,8.97,8.62,10.41,12.34,13.47,15.56,19.12,23.0,25.06,27.19,30.72,34.34,36.03,35.94,35.12,34.03,29.97,24.19,19.47,17.06,15.22,13.38,12.62,14.09,15.56,15.56,14.84,15.41,16.16,15.12,13.69,13.53,14.94,15.78,16.47,18.19,21.66,24.41,24.81,24.72,25.59,25.66,23.88,22.0,21.78,22.72,22.62,21.75,22.12,23.16,22.5,20.34,18.44,18.44,18.34,17.22,16.34,17.09,18.09,17.78,17.03,18.25,20.12,20.34,19.12,18.19,18.03,16.38,14.16,13.0,13.72,14.81,14.75,14.78,15.97,17.41,17.09,16.19,16.88,18.12,18.47,18.56,19.75,22.09,23.59,23.5,23.25,24.16,24.56,22.84,20.69,19.75,19.09,16.84,13.44,11.94,11.88,11.03,10.06,10.56,12.16,12.94,12.06,11.03,12.25,13.38,13.34,13.34,15.09,17.31,18.28,18.06,19.09,20.56,20.75,19.34,18.31,18.44,17.88,16.0,14.47,14.66,14.88,13.69,11.75,11.12,10.81,9.22,6.72,5.12,5.06,4.53,3.0,2.94,5.28,7.19,8.34,9.03,11.38,13.72,14.34,14.0,14.88,16.81,17.19,16.38,16.44,17.56,17.97,17.62,18.41,21.09,24.12,24.75,24.31,24.22,23.72,21.0,18.03,16.84,16.81,16.22,14.69,13.97,14.22,14.06,12.56,11.72,12.72,14.0,14.5,14.84,16.97,19.56,20.12,19.25,18.53,17.97,16.28,13.34,11.88,12.44,13.41,13.22,13.09,14.94,16.78,16.69,16.53,17.53,18.81,18.56,16.91,15.88,16.06,15.5,14.19,14.0,15.94,17.31,16.53,15.09,14.75,14.81,14.06,13.16,15.03,17.47,18.62,18.0,17.5,17.38,16.22,13.47,11.81,12.28,12.78,12.06,11.31,12.25,13.28,12.5,11.03,11.06,11.72,11.81,10.81,10.62,11.78,11.53,9.84,8.38,8.97,9.88,9.81,10.09,12.19,14.5,15.22,14.62,15.34,16.5,17.03,16.66,17.53,19.53,21.0,20.25,18.91,18.28,17.25,14.28,11.78,11.44,12.22,12.5,12.41,13.5,15.09,15.97,15.25,14.84,15.88,16.53,15.12,14.66,15.97,17.69,17.53,16.5,16.47,16.09,14.44,12.16,11.62,12.72,13.53,13.72,14.91,17.16,19.19,19.06,18.72,19.66,20.47,19.53,18.22,18.47,19.78,19.62,18.66,18.38,18.88,18.88,17.53,17.25,19.03,20.66,20.91,20.41,21.22,21.66,20.66,18.88,18.19,18.06,16.97,14.47,13.38,14.25,15.41,15.94,17.31,19.72,21.84,21.25,19.19,18.22,17.19,14.72,11.56,10.31,10.22,9.88,9.06,10.06,13.28,16.88,18.41,20.12,22.22,23.41,22.66,21.34,21.59,22.5,21.44,18.78,16.12,13.28,9.41,4.97,2.41,2.91,4.5,4.97,6.41,8.94,11.03,11.34,10.69,11.34,12.88,13.88,14.84,17.22,21.22,24.66,26.16,27.72,30.0,31.12,29.53,27.38,25.41,23.0,18.25,12.53,7.81,4.34,0.78,-2.72,-3.97,-3.12,-2.5,-3.19,-2.91,-1.19,0.88,1.81,3.06,6.09,9.56,11.84,13.69,16.72,20.16,22.56,23.25,24.25,25.31,25.34,23.12,20.25,18.31,17.09,13.91,11.06,9.66,9.09,7.25,5.09,4.84,5.91,7.22,7.88,9.22,11.47,12.47,10.97,8.97,8.41,8.22,7.47,7.03,8.19,9.81,9.81,8.81,8.72,9.78,10.47,10.09,10.62,12.28,13.72,13.69,13.38,14.78,16.12,15.62,14.56,14.03,13.41,11.47,8.75,7.38,7.91,8.5,8.91,10.38,13.38,16.44,17.72,18.69,20.47,22.5,22.91,23.03,24.56,27.25,28.72,29.38,30.72,32.28,32.88,31.12,29.12,28.0,26.34,23.03,19.66,17.69,16.72,14.59,12.31,11.88,12.78,13.12,12.69,12.94,14.16,15.19,14.91,15.38,17.56,20.56,22.25,23.25,25.38,27.91,28.16,27.31,27.34,28.72,29.5,29.12,29.0,29.53,28.62,25.84,22.66,21.16,20.88,19.94,19.34,20.69,22.84,23.81,23.53,23.5,24.34,24.5,23.19,22.28,22.12,22.12,20.0,17.75,16.66,16.47,15.19,14.06,14.62,15.97,16.38,16.22,16.59,18.34,19.72,19.75,20.06,21.56,22.78,22.44,21.62,21.94,22.66,21.47,19.84,19.12,19.5,19.06,17.88,16.97,17.75,18.25,16.88,15.81,17.03,18.78,19.5,20.38,22.22,24.41,24.5,23.62,23.03,23.38,23.34,22.38,22.5,24.5,26.53,27.16,27.59,28.94,30.28,29.53,28.16,27.72,27.59,26.44,24.66,23.59,24.34,24.62,23.94,23.41,24.44,24.53,22.75,20.38,19.19,18.72,17.09,15.56,15.91,17.5,17.88,17.5,16.91,17.28,17.25,15.97,15.5,17.19,19.09,19.59,19.62,20.22,20.66,19.97,18.53,18.31,19.66,20.56,20.62,20.97,22.16,22.53,21.41,19.91,20.62,21.88,22.34,22.78,24.72,26.97,27.28,26.19,25.69,26.06,37.06,38.75,39.75,39.28,38.53,37.5,36.62,35.56,35.41,36.0,36.69,37.31,37.59,37.81,38.16,38.75,38.88,39.97,41.16,41.75,41.72:19.03,19.34,19.78,19.53,20.41,22.91,25.22,25.34,24.81,24.84,25.75,25.06,23.5,22.91,22.81,21.66,19.38,17.84,17.94,18.5,18.44,19.25,22.09,25.66,27.66,28.56,29.56,29.97,28.12,25.0,22.72,22.03,21.38,20.75,20.78,22.56,24.25,24.56,24.5,26.31,28.44,29.47,29.81,30.94,32.53,31.97,30.09,28.53,28.0,26.75,24.47,22.81,23.09,23.75,23.5,23.78,25.75,28.34,29.94,30.5,31.28,32.28,31.53,30.09,29.19,30.09,30.84,30.0,29.06,29.03,28.56,26.69,24.72,24.62,25.56,25.41,24.72,24.53,25.28,24.66,22.81,21.75,21.75,21.59,20.12,18.59,18.81,19.22,18.44,17.53,17.84,19.53,20.34,20.06,20.25,21.47,21.72,20.84,20.38,21.69,23.0,22.53,21.5,21.88,22.09,20.97,19.81,20.28,21.81,22.75,23.22,24.19,26.0,27.16,26.59,25.94,26.16,25.62,22.94,20.16,18.62,17.59,16.12,14.75,14.84,16.31,17.25,17.44,18.69,21.16,22.78,23.12,23.38,25.16,26.56,26.5,25.69,26.03,26.53,25.12,22.75,21.59,20.78,19.78,18.38,18.16,20.12,22.19,22.44,22.12,22.91,23.19,21.56,19.31,18.78,18.94,18.84,18.31,18.97,20.53,21.44,20.28,19.72,20.75,21.69,21.44,21.22,22.38,23.84,23.41,22.75,23.28,23.91,23.69,22.62,22.53,23.34,24.06,24.0,23.69,24.91,25.97,25.53,24.62,25.0,25.34,24.38,22.69,22.38,23.28,23.41,22.31,22.25,23.0,23.38,22.44,22.06,23.06,23.69,22.62,21.22,21.41,22.44,22.91,23.62,25.25,27.69,28.16,26.78,25.19,24.19,23.62,22.16,21.22,22.44,23.69,23.38,22.5,23.03,23.59,23.28,22.41,21.66,21.78,20.97,19.09,17.38,17.5,17.78,16.91,16.44,17.31,18.69,19.09,18.78,20.0,22.41,23.5,23.75,24.88,26.41,26.59,25.03,23.69,23.59,23.31,21.0,18.88,17.75,17.38,16.25,15.19,15.81,17.28,17.94,17.09,17.0,17.78,18.16,16.88,15.72,16.78,18.5,19.62,21.06,24.34,27.84,29.0,28.62,28.41,28.25,27.44,25.78,25.47,26.97,28.41,28.59,28.88,30.53,31.97,31.03,29.81,29.16,28.75,26.88,24.47,23.47,23.97,24.59,24.88,26.41,29.59,32.09,32.59,32.19,32.16,32.09,30.5,28.91,28.94,30.25,31.44,31.53,32.84,34.75,35.47,34.06,32.78,32.31,32.09,30.5,29.25,29.44,30.28,29.56,28.09,27.5,27.75,26.84,24.78,24.16,24.66,25.38,25.22,25.44,26.81,27.69,27.16,26.22,27.09,28.78,29.28,28.94,30.09,31.47,31.72,31.16,30.88,31.41,31.5,30.03,29.0,29.5,29.72,28.69,26.94,26.5,27.06,26.28,25.12,25.03,26.28,26.78,26.34,26.94,28.75,30.03,29.19,28.22,28.44,28.91,28.19,26.72,26.81,27.03,26.25,24.62,23.53,24.03,23.62,21.97,21.25,22.06,23.22,23.09,22.66,23.12,23.5,22.47,20.72,20.44,21.56,22.09,21.72,21.84,22.44,20.94,17.5,14.0,11.81,10.47,8.75,8.09,9.16,11.19,11.62,11.06,11.53,12.47,12.69,11.66,11.25,11.81,11.75,9.94,8.53,8.34,8.66,8.03,7.59,8.88,10.94,11.88,11.88,12.44,13.47,13.5,12.56,12.03,12.66,13.16,12.5,11.91,12.84,14.34,14.31,13.66,14.03,14.91,13.81,12.19,11.5,12.16,12.38,11.59,11.19,12.19,12.66,11.28,10.06,10.16,10.75,10.0,9.19,10.0,11.75,12.88,13.62,15.75,19.28,22.28,23.62,24.28,25.81,26.25,24.56,22.84,21.91,21.12,18.78,16.03,14.41,14.16,14.09,13.94,15.78,19.56,23.84,26.78,29.41,32.69,35.09,35.16,33.97,34.12,34.16,31.75,28.12,24.78,22.06,18.66,14.59,11.81,11.5,11.56,10.75,11.06,13.59,16.66,18.28,19.69,21.88,24.03,24.25,23.41,23.78,25.56,27.06,27.22,27.94,29.03,28.59,25.75,22.78,21.09,20.03,17.5,14.88,13.31,12.56,10.91,8.97,8.62,10.41,12.34,13.47,15.56,19.12,23.0,25.06,27.19,30.72,34.34,36.03,35.94,35.12,34.03,29.97,24.19,19.47,17.06,15.22,13.38,12.62,14.09,15.56,15.56,14.84,15.41,16.16,15.12,13.69,13.53,14.94,15.78,16.47,18.19,21.66,24.41,24.81,24.72,25.59,25.66,23.88,22.0,21.78,22.72,22.62,21.75,22.12,23.16,22.5,20.34,18.44,18.44,18.34,17.22,16.34,17.09,18.09,17.78,17.03,18.25,20.12,20.34,19.12,18.19,18.03,16.38,14.16,13.0,13.72,14.81,14.75,14.78,15.97,17.41,17.09,16.19,16.88,18.12,18.47,18.56,19.75,22.09,23.59,23.5,23.25,24.16,24.56,22.84,20.69,19.75,19.09,16.84,13.44,11.94,11.88,11.03,10.06,10.56,12.16,12.94,12.06,11.03,12.25,13.38,13.34,13.34,15.09,17.31,18.28,18.06,19.09,20.56,20.75,19.34,18.31,18.44,17.88,16.0,14.47,14.66,14.88,13.69,11.75,11.12,10.81,9.22,6.72,5.12,5.06,4.53,3.0,2.94,5.28,7.19,8.34,9.03,11.38,13.72,14.34,14.0,14.88,16.81,17.19,16.38,16.44,17.56,17.97,17.62,18.41,21.09,24.12,24.75,24.31,24.22,23.72,21.0,18.03,16.84,16.81,16.22,14.69,13.97,14.22,14.06,12.56,11.72,12.72,14.0,14.5,14.84,16.97,19.56,20.12,19.25,18.53,17.97,16.28,13.34,11.88,12.44,13.41,13.22,13.09,14.94,16.78,16.69,16.53,17.53,18.81,18.56,16.91,15.88,16.06,15.5,14.19,14.0,15.94,17.31,16.53,15.09,14.75,14.81,14.06,13.16,15.03,17.47,18.62,18.0,17.5,17.38,16.22,13.47,11.81,12.28,12.78,12.06,11.31,12.25,13.28,12.5,11.03,11.06,11.72,11.81,10.81,10.62,11.78,11.53,9.84,8.38,8.97,9.88,9.81,10.09,12.19,14.5,15.22,14.62,15.34,16.5,17.03,16.66,17.53,19.53,21.0,20.25,18.91,18.28,17.25,14.28,11.78,11.44,12.22,12.5,12.41,13.5,15.09,15.97,15.25,14.84,15.88,16.53,15.12,14.66,15.97,17.69,17.53,16.5,16.47,16.09,14.44,12.16,11.62,12.72,13.53,13.72,14.91,17.16,19.19,19.06,18.72,19.66,20.47,19.53,18.22,18.47,19.78,19.62,18.66,18.38,18.88,18.88,17.53,17.25,19.03,20.66,20.91,20.41,21.22,21.66,20.66,18.88,18.19,18.06,16.97,14.47,13.38,14.25,15.41,15.94,17.31,19.72,21.84,21.25,19.19,18.22,17.19,14.72,11.56,10.31,10.22,9.88,9.06,10.06,13.28,16.88,18.41,20.12,22.22,23.41,22.66,21.34,21.59,22.5,21.44,18.78,16.12,13.28,9.41,4.97,2.41,2.91,4.5,4.97,6.41,8.94,11.03,11.34,10.69,11.34,12.88,13.88,14.84,17.22,21.22,24.66,26.16,27.72,30.0,31.12,29.53,27.38,25.41,23.0,18.25,12.53,7.81,4.34,0.78,-2.72,-3.97,-3.12,-2.5,-3.19,-2.91,-1.19,0.88,1.81,3.06,6.09,9.56,11.84,13.69,16.72,20.16,22.56,23.25,24.25,25.31,25.34,23.12,20.25,18.31,17.09,13.91,11.06,9.66,9.09,7.25,5.09,4.84,5.91,7.22,7.88,9.22,11.47,12.47,10.97,8.97,8.41,8.22,7.47,7.03,8.19,9.81,9.81,8.81,8.72,9.78,10.47,10.09,10.62,12.28,13.72,13.69,13.38,14.78,16.12,15.62,14.56,14.03,13.41,11.47,8.75,7.38,7.91,8.5,8.91,10.38,13.38,16.44,17.72,18.69,20.47,22.5,22.91,23.03,24.56,27.25,28.72,29.38,30.72,32.28,32.88,31.12,29.12,28.0,26.34,23.03,19.66,17.69,16.72,14.59,12.31,11.88,12.78,13.12,12.69,12.94,14.16,15.19,14.91,15.38,17.56,20.56,22.25,23.25,25.38,27.91,28.16,27.31,27.34,28.72,29.5,29.12,29.0,29.53,28.62,25.84,22.66,21.16,20.88,19.94,19.34,20.69,22.84,23.81,23.53,23.5,24.34,24.5,23.19,22.28,22.12,22.12,20.0,17.75,16.66,16.47,15.19,14.06,14.62,15.97,16.38,16.22,16.59,18.34,19.72,19.75,20.06,21.56,22.78,22.44,21.62,21.94,22.66,21.47,19.84,19.12,19.5,19.06,17.88,16.97,17.75,18.25,16.88,15.81,17.03,18.78,19.5,20.38,22.22,24.41,24.5,23.62,23.03,23.38,23.34,22.38,22.5,24.5,26.53,27.16,27.59,28.94,30.28,29.53,28.16,27.72,27.59,26.44,24.66,23.59,24.34,24.62,23.94,23.41,24.44,24.53,22.75,20.38,19.19,18.72,17.09,15.56,15.91,17.5,17.88,17.5,16.91,17.28,17.25,15.97,15.5,17.19,19.09,19.59,19.62,20.22,20.66,19.97,18.53,18.31,19.66,20.56,20.62,20.97,22.16,22.53,21.41,19.91,20.62,21.88,22.34,22.78,24.72,26.97,27.28,26.19,25.69,26.06,37.06,38.75,39.75,39.28,38.53,37.5,36.62,35.56,35.41,36.0,36.69,37.31,37.59,37.81,38.16,38.75,38.88,39.97,41.16,41.75,41.72,41.59,41.56,41.47,40.94,40.47,39.62,38.59:25.34,24.81,24.84,25.75,25.06,23.5,22.91,22.81,21.66,19.38,17.84,17.94,18.5,18.44,19.25,22.09,25.66,27.66,28.56,29.56,29.97,28.12,25.0,22.72,22.03,21.38,20.75,20.78,22.56,24.25,24.56,24.5,26.31,28.44,29.47,29.81,30.94,32.53,31.97,30.09,28.53,28.0,26.75,24.47,22.81,23.09,23.75,23.5,23.78,25.75,28.34,29.94,30.5,31.28,32.28,31.53,30.09,29.19,30.09,30.84,30.0,29.06,29.03,28.56,26.69,24.72,24.62,25.56,25.41,24.72,24.53,25.28,24.66,22.81,21.75,21.75,21.59,20.12,18.59,18.81,19.22,18.44,17.53,17.84,19.53,20.34,20.06,20.25,21.47,21.72,20.84,20.38,21.69,23.0,22.53,21.5,21.88,22.09,20.97,19.81,20.28,21.81,22.75,23.22,24.19,26.0,27.16,26.59,25.94,26.16,25.62,22.94,20.16,18.62,17.59,16.12,14.75,14.84,16.31,17.25,17.44,18.69,21.16,22.78,23.12,23.38,25.16,26.56,26.5,25.69,26.03,26.53,25.12,22.75,21.59,20.78,19.78,18.38,18.16,20.12,22.19,22.44,22.12,22.91,23.19,21.56,19.31,18.78,18.94,18.84,18.31,18.97,20.53,21.44,20.28,19.72,20.75,21.69,21.44,21.22,22.38,23.84,23.41,22.75,23.28,23.91,23.69,22.62,22.53,23.34,24.06,24.0,23.69,24.91,25.97,25.53,24.62,25.0,25.34,24.38,22.69,22.38,23.28,23.41,22.31,22.25,23.0,23.38,22.44,22.06,23.06,23.69,22.62,21.22,21.41,22.44,22.91,23.62,25.25,27.69,28.16,26.78,25.19,24.19,23.62,22.16,21.22,22.44,23.69,23.38,22.5,23.03,23.59,23.28,22.41,21.66,21.78,20.97,19.09,17.38,17.5,17.78,16.91,16.44,17.31,18.69,19.09,18.78,20.0,22.41,23.5,23.75,24.88,26.41,26.59,25.03,23.69,23.59,23.31,21.0,18.88,17.75,17.38,16.25,15.19,15.81,17.28,17.94,17.09,17.0,17.78,18.16,16.88,15.72,16.78,18.5,19.62,21.06,24.34,27.84,29.0,28.62,28.41,28.25,27.44,25.78,25.47,26.97,28.41,28.59,28.88,30.53,31.97,31.03,29.81,29.16,28.75,26.88,24.47,23.47,23.97,24.59,24.88,26.41,29.59,32.09,32.59,32.19,32.16,32.09,30.5,28.91,28.94,30.25,31.44,31.53,32.84,34.75,35.47,34.06,32.78,32.31,32.09,30.5,29.25,29.44,30.28,29.56,28.09,27.5,27.75,26.84,24.78,24.16,24.66,25.38,25.22,25.44,26.81,27.69,27.16,26.22,27.09,28.78,29.28,28.94,30.09,31.47,31.72,31.16,30.88,31.41,31.5,30.03,29.0,29.5,29.72,28.69,26.94,26.5,27.06,26.28,25.12,25.03,26.28,26.78,26.34,26.94,28.75,30.03,29.19,28.22,28.44,28.91,28.19,26.72,26.81,27.03,26.25,24.62,23.53,24.03,23.62,21.97,21.25,22.06,23.22,23.09,22.66,23.12,23.5,22.47,20.72,20.44,21.56,22.09,21.72,21.84,22.44,20.94,17.5,14.0,11.81,10.47,8.75,8.09,9.16,11.19,11.62,11.06,11.53,12.47,12.69,11.66,11.25,11.81,11.75,9.94,8.53,8.34,8.66,8.03,7.59,8.88,10.94,11.88,11.88,12.44,13.47,13.5,12.56,12.03,12.66,13.16,12.5,11.91,12.84,14.34,14.31,13.66,14.03,14.91,13.81,12.19,11.5,12.16,12.38,11.59,11.19,12.19,12.66,11.28,10.06,10.16,10.75,10.0,9.19,10.0,11.75,12.88,13.62,15.75,19.28,22.28,23.62,24.28,25.81,26.25,24.56,22.84,21.91,21.12,18.78,16.03,14.41,14.16,14.09,13.94,15.78,19.56,23.84,26.78,29.41,32.69,35.09,35.16,33.97,34.12,34.16,31.75,28.12,24.78,22.06,18.66,14.59,11.81,11.5,11.56,10.75,11.06,13.59,16.66,18.28,19.69,21.88,24.03,24.25,23.41,23.78,25.56,27.06,27.22,27.94,29.03,28.59,25.75,22.78,21.09,20.03,17.5,14.88,13.31,12.56,10.91,8.97,8.62,10.41,12.34,13.47,15.56,19.12,23.0,25.06,27.19,30.72,34.34,36.03,35.94,35.12,34.03,29.97,24.19,19.47,17.06,15.22,13.38,12.62,14.09,15.56,15.56,14.84,15.41,16.16,15.12,13.69,13.53,14.94,15.78,16.47,18.19,21.66,24.41,24.81,24.72,25.59,25.66,23.88,22.0,21.78,22.72,22.62,21.75,22.12,23.16,22.5,20.34,18.44,18.44,18.34,17.22,16.34,17.09,18.09,17.78,17.03,18.25,20.12,20.34,19.12,18.19,18.03,16.38,14.16,13.0,13.72,14.81,14.75,14.78,15.97,17.41,17.09,16.19,16.88,18.12,18.47,18.56,19.75,22.09,23.59,23.5,23.25,24.16,24.56,22.84,20.69,19.75,19.09,16.84,13.44,11.94,11.88,11.03,10.06,10.56,12.16,12.94,12.06,11.03,12.25,13.38,13.34,13.34,15.09,17.31,18.28,18.06,19.09,20.56,20.75,19.34,18.31,18.44,17.88,16.0,14.47,14.66,14.88,13.69,11.75,11.12,10.81,9.22,6.72,5.12,5.06,4.53,3.0,2.94,5.28,7.19,8.34,9.03,11.38,13.72,14.34,14.0,14.88,16.81,17.19,16.38,16.44,17.56,17.97,17.62,18.41,21.09,24.12,24.75,24.31,24.22,23.72,21.0,18.03,16.84,16.81,16.22,14.69,13.97,14.22,14.06,12.56,11.72,12.72,14.0,14.5,14.84,16.97,19.56,20.12,19.25,18.53,17.97,16.28,13.34,11.88,12.44,13.41,13.22,13.09,14.94,16.78,16.69,16.53,17.53,18.81,18.56,16.91,15.88,16.06,15.5,14.19,14.0,15.94,17.31,16.53,15.09,14.75,14.81,14.06,13.16,15.03,17.47,18.62,18.0,17.5,17.38,16.22,13.47,11.81,12.28,12.78,12.06,11.31,12.25,13.28,12.5,11.03,11.06,11.72,11.81,10.81,10.62,11.78,11.53,9.84,8.38,8.97,9.88,9.81,10.09,12.19,14.5,15.22,14.62,15.34,16.5,17.03,16.66,17.53,19.53,21.0,20.25,18.91,18.28,17.25,14.28,11.78,11.44,12.22,12.5,12.41,13.5,15.09,15.97,15.25,14.84,15.88,16.53,15.12,14.66,15.97,17.69,17.53,16.5,16.47,16.09,14.44,12.16,11.62,12.72,13.53,13.72,14.91,17.16,19.19,19.06,18.72,19.66,20.47,19.53,18.22,18.47,19.78,19.62,18.66,18.38,18.88,18.88,17.53,17.25,19.03,20.66,20.91,20.41,21.22,21.66,20.66,18.88,18.19,18.06,16.97,14.47,13.38,14.25,15.41,15.94,17.31,19.72,21.84,21.25,19.19,18.22,17.19,14.72,11.56,10.31,10.22,9.88,9.06,10.06,13.28,16.88,18.41,20.12,22.22,23.41,22.66,21.34,21.59,22.5,21.44,18.78,16.12,13.28,9.41,4.97,2.41,2.91,4.5,4.97,6.41,8.94,11.03,11.34,10.69,11.34,12.88,13.88,14.84,17.22,21.22,24.66,26.16,27.72,30.0,31.12,29.53,27.38,25.41,23.0,18.25,12.53,7.81,4.34,0.78,-2.72,-3.97,-3.12,-2.5,-3.19,-2.91,-1.19,0.88,1.81,3.06,6.09,9.56,11.84,13.69,16.72,20.16,22.56,23.25,24.25,25.31,25.34,23.12,20.25,18.31,17.09,13.91,11.06,9.66,9.09,7.25,5.09,4.84,5.91,7.22,7.88,9.22,11.47,12.47,10.97,8.97,8.41,8.22,7.47,7.03,8.19,9.81,9.81,8.81,8.72,9.78,10.47,10.09,10.62,12.28,13.72,13.69,13.38,14.78,16.12,15.62,14.56,14.03,13.41,11.47,8.75,7.38,7.91,8.5,8.91,10.38,13.38,16.44,17.72,18.69,20.47,22.5,22.91,23.03,24.56,27.25,28.72,29.38,30.72,32.28,32.88,31.12,29.12,28.0,26.34,23.03,19.66,17.69,16.72,14.59,12.31,11.88,12.78,13.12,12.69,12.94,14.16,15.19,14.91,15.38,17.56,20.56,22.25,23.25,25.38,27.91,28.16,27.31,27.34,28.72,29.5,29.12,29.0,29.53,28.62,25.84,22.66,21.16,20.88,19.94,19.34,20.69,22.84,23.81,23.53,23.5,24.34,24.5,23.19,22.28,22.12,22.12,20.0,17.75,16.66,16.47,15.19,14.06,14.62,15.97,16.38,16.22,16.59,18.34,19.72,19.75,20.06,21.56,22.78,22.44,21.62,21.94,22.66,21.47,19.84,19.12,19.5,19.06,17.88,16.97,17.75,18.25,16.88,15.81,17.03,18.78,19.5,20.38,22.22,24.41,24.5,23.62,23.03,23.38,23.34,22.38,22.5,24.5,26.53,27.16,27.59,28.94,30.28,29.53,28.16,27.72,27.59,26.44,24.66,23.59,24.34,24.62,23.94,23.41,24.44,24.53,22.75,20.38,19.19,18.72,17.09,15.56,15.91,17.5,17.88,17.5,16.91,17.28,17.25,15.97,15.5,17.19,19.09,19.59,19.62,20.22,20.66,19.97,18.53,18.31,19.66,20.56,20.62,20.97,22.16,22.53,21.41,19.91,20.62,21.88,22.34,22.78,24.72,26.97,27.28,26.19,25.69,26.06,37.06,38.75,39.75,39.28,38.53,37.5,36.62,35.56,35.41,36.0,36.69,37.31,37.59,37.81,38.16,38.75,38.88,39.97,41.16,41.75,41.72,41.59,41.56,41.47,40.94,40.47,39.62,38.59,37.06,35.44,34.62,34.66,35.16,35.62,36.59:22.81,21.66,19.38,17.84,17.94,18.5,18.44,19.25,22.09,25.66,27.66,28.56,29.56,29.97,28.12,25.0,22.72,22.03,21.38,20.75,20.78,22.56,24.25,24.56,24.5,26.31,28.44,29.47,29.81,30.94,32.53,31.97,30.09,28.53,28.0,26.75,24.47,22.81,23.09,23.75,23.5,23.78,25.75,28.34,29.94,30.5,31.28,32.28,31.53,30.09,29.19,30.09,30.84,30.0,29.06,29.03,28.56,26.69,24.72,24.62,25.56,25.41,24.72,24.53,25.28,24.66,22.81,21.75,21.75,21.59,20.12,18.59,18.81,19.22,18.44,17.53,17.84,19.53,20.34,20.06,20.25,21.47,21.72,20.84,20.38,21.69,23.0,22.53,21.5,21.88,22.09,20.97,19.81,20.28,21.81,22.75,23.22,24.19,26.0,27.16,26.59,25.94,26.16,25.62,22.94,20.16,18.62,17.59,16.12,14.75,14.84,16.31,17.25,17.44,18.69,21.16,22.78,23.12,23.38,25.16,26.56,26.5,25.69,26.03,26.53,25.12,22.75,21.59,20.78,19.78,18.38,18.16,20.12,22.19,22.44,22.12,22.91,23.19,21.56,19.31,18.78,18.94,18.84,18.31,18.97,20.53,21.44,20.28,19.72,20.75,21.69,21.44,21.22,22.38,23.84,23.41,22.75,23.28,23.91,23.69,22.62,22.53,23.34,24.06,24.0,23.69,24.91,25.97,25.53,24.62,25.0,25.34,24.38,22.69,22.38,23.28,23.41,22.31,22.25,23.0,23.38,22.44,22.06,23.06,23.69,22.62,21.22,21.41,22.44,22.91,23.62,25.25,27.69,28.16,26.78,25.19,24.19,23.62,22.16,21.22,22.44,23.69,23.38,22.5,23.03,23.59,23.28,22.41,21.66,21.78,20.97,19.09,17.38,17.5,17.78,16.91,16.44,17.31,18.69,19.09,18.78,20.0,22.41,23.5,23.75,24.88,26.41,26.59,25.03,23.69,23.59,23.31,21.0,18.88,17.75,17.38,16.25,15.19,15.81,17.28,17.94,17.09,17.0,17.78,18.16,16.88,15.72,16.78,18.5,19.62,21.06,24.34,27.84,29.0,28.62,28.41,28.25,27.44,25.78,25.47,26.97,28.41,28.59,28.88,30.53,31.97,31.03,29.81,29.16,28.75,26.88,24.47,23.47,23.97,24.59,24.88,26.41,29.59,32.09,32.59,32.19,32.16,32.09,30.5,28.91,28.94,30.25,31.44,31.53,32.84,34.75,35.47,34.06,32.78,32.31,32.09,30.5,29.25,29.44,30.28,29.56,28.09,27.5,27.75,26.84,24.78,24.16,24.66,25.38,25.22,25.44,26.81,27.69,27.16,26.22,27.09,28.78,29.28,28.94,30.09,31.47,31.72,31.16,30.88,31.41,31.5,30.03,29.0,29.5,29.72,28.69,26.94,26.5,27.06,26.28,25.12,25.03,26.28,26.78,26.34,26.94,28.75,30.03,29.19,28.22,28.44,28.91,28.19,26.72,26.81,27.03,26.25,24.62,23.53,24.03,23.62,21.97,21.25,22.06,23.22,23.09,22.66,23.12,23.5,22.47,20.72,20.44,21.56,22.09,21.72,21.84,22.44,20.94,17.5,14.0,11.81,10.47,8.75,8.09,9.16,11.19,11.62,11.06,11.53,12.47,12.69,11.66,11.25,11.81,11.75,9.94,8.53,8.34,8.66,8.03,7.59,8.88,10.94,11.88,11.88,12.44,13.47,13.5,12.56,12.03,12.66,13.16,12.5,11.91,12.84,14.34,14.31,13.66,14.03,14.91,13.81,12.19,11.5,12.16,12.38,11.59,11.19,12.19,12.66,11.28,10.06,10.16,10.75,10.0,9.19,10.0,11.75,12.88,13.62,15.75,19.28,22.28,23.62,24.28,25.81,26.25,24.56,22.84,21.91,21.12,18.78,16.03,14.41,14.16,14.09,13.94,15.78,19.56,23.84,26.78,29.41,32.69,35.09,35.16,33.97,34.12,34.16,31.75,28.12,24.78,22.06,18.66,14.59,11.81,11.5,11.56,10.75,11.06,13.59,16.66,18.28,19.69,21.88,24.03,24.25,23.41,23.78,25.56,27.06,27.22,27.94,29.03,28.59,25.75,22.78,21.09,20.03,17.5,14.88,13.31,12.56,10.91,8.97,8.62,10.41,12.34,13.47,15.56,19.12,23.0,25.06,27.19,30.72,34.34,36.03,35.94,35.12,34.03,29.97,24.19,19.47,17.06,15.22,13.38,12.62,14.09,15.56,15.56,14.84,15.41,16.16,15.12,13.69,13.53,14.94,15.78,16.47,18.19,21.66,24.41,24.81,24.72,25.59,25.66,23.88,22.0,21.78,22.72,22.62,21.75,22.12,23.16,22.5,20.34,18.44,18.44,18.34,17.22,16.34,17.09,18.09,17.78,17.03,18.25,20.12,20.34,19.12,18.19,18.03,16.38,14.16,13.0,13.72,14.81,14.75,14.78,15.97,17.41,17.09,16.19,16.88,18.12,18.47,18.56,19.75,22.09,23.59,23.5,23.25,24.16,24.56,22.84,20.69,19.75,19.09,16.84,13.44,11.94,11.88,11.03,10.06,10.56,12.16,12.94,12.06,11.03,12.25,13.38,13.34,13.34,15.09,17.31,18.28,18.06,19.09,20.56,20.75,19.34,18.31,18.44,17.88,16.0,14.47,14.66,14.88,13.69,11.75,11.12,10.81,9.22,6.72,5.12,5.06,4.53,3.0,2.94,5.28,7.19,8.34,9.03,11.38,13.72,14.34,14.0,14.88,16.81,17.19,16.38,16.44,17.56,17.97,17.62,18.41,21.09,24.12,24.75,24.31,24.22,23.72,21.0,18.03,16.84,16.81,16.22,14.69,13.97,14.22,14.06,12.56,11.72,12.72,14.0,14.5,14.84,16.97,19.56,20.12,19.25,18.53,17.97,16.28,13.34,11.88,12.44,13.41,13.22,13.09,14.94,16.78,16.69,16.53,17.53,18.81,18.56,16.91,15.88,16.06,15.5,14.19,14.0,15.94,17.31,16.53,15.09,14.75,14.81,14.06,13.16,15.03,17.47,18.62,18.0,17.5,17.38,16.22,13.47,11.81,12.28,12.78,12.06,11.31,12.25,13.28,12.5,11.03,11.06,11.72,11.81,10.81,10.62,11.78,11.53,9.84,8.38,8.97,9.88,9.81,10.09,12.19,14.5,15.22,14.62,15.34,16.5,17.03,16.66,17.53,19.53,21.0,20.25,18.91,18.28,17.25,14.28,11.78,11.44,12.22,12.5,12.41,13.5,15.09,15.97,15.25,14.84,15.88,16.53,15.12,14.66,15.97,17.69,17.53,16.5,16.47,16.09,14.44,12.16,11.62,12.72,13.53,13.72,14.91,17.16,19.19,19.06,18.72,19.66,20.47,19.53,18.22,18.47,19.78,19.62,18.66,18.38,18.88,18.88,17.53,17.25,19.03,20.66,20.91,20.41,21.22,21.66,20.66,18.88,18.19,18.06,16.97,14.47,13.38,14.25,15.41,15.94,17.31,19.72,21.84,21.25,19.19,18.22,17.19,14.72,11.56,10.31,10.22,9.88,9.06,10.06,13.28,16.88,18.41,20.12,22.22,23.41,22.66,21.34,21.59,22.5,21.44,18.78,16.12,13.28,9.41,4.97,2.41,2.91,4.5,4.97,6.41,8.94,11.03,11.34,10.69,11.34,12.88,13.88,14.84,17.22,21.22,24.66,26.16,27.72,30.0,31.12,29.53,27.38,25.41,23.0,18.25,12.53,7.81,4.34,0.78,-2.72,-3.97,-3.12,-2.5,-3.19,-2.91,-1.19,0.88,1.81,3.06,6.09,9.56,11.84,13.69,16.72,20.16,22.56,23.25,24.25,25.31,25.34,23.12,20.25,18.31,17.09,13.91,11.06,9.66,9.09,7.25,5.09,4.84,5.91,7.22,7.88,9.22,11.47,12.47,10.97,8.97,8.41,8.22,7.47,7.03,8.19,9.81,9.81,8.81,8.72,9.78,10.47,10.09,10.62,12.28,13.72,13.69,13.38,14.78,16.12,15.62,14.56,14.03,13.41,11.47,8.75,7.38,7.91,8.5,8.91,10.38,13.38,16.44,17.72,18.69,20.47,22.5,22.91,23.03,24.56,27.25,28.72,29.38,30.72,32.28,32.88,31.12,29.12,28.0,26.34,23.03,19.66,17.69,16.72,14.59,12.31,11.88,12.78,13.12,12.69,12.94,14.16,15.19,14.91,15.38,17.56,20.56,22.25,23.25,25.38,27.91,28.16,27.31,27.34,28.72,29.5,29.12,29.0,29.53,28.62,25.84,22.66,21.16,20.88,19.94,19.34,20.69,22.84,23.81,23.53,23.5,24.34,24.5,23.19,22.28,22.12,22.12,20.0,17.75,16.66,16.47,15.19,14.06,14.62,15.97,16.38,16.22,16.59,18.34,19.72,19.75,20.06,21.56,22.78,22.44,21.62,21.94,22.66,21.47,19.84,19.12,19.5,19.06,17.88,16.97,17.75,18.25,16.88,15.81,17.03,18.78,19.5,20.38,22.22,24.41,24.5,23.62,23.03,23.38,23.34,22.38,22.5,24.5,26.53,27.16,27.59,28.94,30.28,29.53,28.16,27.72,27.59,26.44,24.66,23.59,24.34,24.62,23.94,23.41,24.44,24.53,22.75,20.38,19.19,18.72,17.09,15.56,15.91,17.5,17.88,17.5,16.91,17.28,17.25,15.97,15.5,17.19,19.09,19.59,19.62,20.22,20.66,19.97,18.53,18.31,19.66,20.56,20.62,20.97,22.16,22.53,21.41,19.91,20.62,21.88,22.34,22.78,24.72,26.97,27.28,26.19,25.69,26.06,37.06,38.75,39.75,39.28,38.53,37.5,36.62,35.56,35.41,36.0,36.69,37.31,37.59,37.81,38.16,38.75,38.88,39.97,41.16,41.75,41.72,41.59,41.56,41.47,40.94,40.47,39.62,38.59,37.06,35.44,34.62,34.66,35.16,35.62,36.59,37.34,37.84,37.66,37.59,37.81,38.09,38.06:negativity
36.59,36.44,36.03,35.28,33.78,32.66,32.5,33.59,35.22,36.44,37.19,37.47,36.59,34.0,31.12,29.62,28.66,28.44,28.78,30.16,31.72,32.59,32.88,32.69,32.66,32.06,30.75,29.75,29.75,29.84,29.38,28.91,28.72,28.22,26.62,24.47,22.91,22.0,21.53,21.44,23.03,25.94,29.53,32.53,35.66,39.31,42.59,44.69,46.03,47.69,49.09,49.25,47.75,46.53,45.09,43.28,41.25,40.31,40.44,41.0,41.31,41.38,41.62,41.66,40.78,39.25,38.28,37.34,36.66,35.69,35.88,37.5,39.97,42.25,44.81,48.28,51.16,51.94,51.0,50.31,49.0,47.12,45.38,45.03,45.28,45.25,44.5,44.12,44.38,44.59,44.09,44.06,45.19,46.34,46.97,47.25,48.28,49.22,49.88,49.66,49.75,50.47,49.97,48.72,46.88,45.41,43.41,40.38,37.59,36.12,35.09,34.25,32.94,33.06,33.34,32.66,31.5,30.88,30.44,29.81,29.0,29.12,29.94,31.31,31.78,31.75,31.81,31.84,31.12,30.0,29.62,29.97,29.69,29.25,29.09,29.44,29.56,28.97,28.38,28.09,28.22,27.66,26.88,26.84,26.94,27.12,26.72,26.72,26.88,26.53,25.34,25.03,25.69,27.31,28.66,30.06,31.75,33.28,33.31,32.75,33.16,34.19,35.28,36.0,37.34,39.0,39.81,39.28,38.53,38.09,37.97,37.59,37.38,38.38,40.09,40.5,40.28,40.03,40.0,39.25,38.12,37.47,37.34,37.53,36.84,36.12,36.19,36.44,36.0,35.47,35.75,36.19,35.78,34.97,34.75,34.84,34.91,34.25,34.09,34.66,35.47,35.62,35.69,36.66,37.97,38.5,39.44,40.66,42.53,42.97,42.72,42.41,42.16,42.0,41.06,40.47,41.06,41.75,41.62,41.66,42.28,43.25,43.34,43.38,43.66,44.31,44.84,44.0,43.56,43.47,42.59,40.69,39.03,38.09,38.06,37.41,37.75,38.94,40.84,42.12,43.0,43.66,44.56,44.12,42.81,41.19,40.34,39.16,36.78,34.53,33.44,33.03,32.41,32.16,32.47,33.34,33.31,32.38,31.75,31.97,32.38,33.03,34.28,36.34,38.59,39.19,39.25,39.25,39.38,38.81,38.06,37.66,38.16,38.62,39.06,39.59,41.28,43.34,43.91,44.78,45.75,47.0,46.94,46.59,46.53,46.66,45.28,43.16,41.31,40.41,39.72,39.03,39.25,40.84,42.56,43.88,45.16,47.22,48.53,48.0,46.28,44.28,42.59,40.62,38.91,37.94,38.47,38.88,39.0,39.31,40.62,41.94,42.38,41.88,42.25,42.59,42.12,41.16,40.72,40.44,38.69,36.06,33.41,31.69,29.97,28.84,28.53,30.12,32.31,34.06,35.5,37.97,40.34,41.62,42.12,42.38,42.66,41.66,40.06,38.69,38.59,38.62,38.03,37.38,37.59,37.78,37.06,36.16,36.31,36.72,36.66,36.16,35.81,36.25,36.16,35.81,35.84,36.62,37.69,37.34,36.66,36.91,37.56,38.16,39.12,41.31,44.28,46.09,46.81,47.47,48.34,48.41,47.0,44.69,42.78,40.28,37.09,34.38,33.06,33.22,33.72,33.88,35.38,37.31,38.62,39.19,38.91,39.0,38.56,37.06,35.16,34.94,35.16,34.75,33.91,33.81,33.69,33.25,32.28,32.75,33.72,34.47,34.16,33.34,33.38,32.78,31.88,31.16,32.16,33.69,33.94,33.78,33.75,34.09,33.62,33.06,32.81,33.72,34.53,35.09,36.25,38.62,40.44,41.25,40.81,40.41,39.41,37.53,35.59,34.97,35.34,35.88,36.03,36.62,37.41,37.44,36.47,35.06,34.78,34.5,34.25,33.94,34.59,35.19,35.28,34.38,33.78,33.78,33.5,33.12,33.5,34.66,36.03,36.59,36.31,36.84,37.47,37.75,38.12,39.38,41.34,43.22,43.75,44.41,45.69,46.22,45.91,45.44,45.41,45.09,43.5,40.78,38.41,35.72,32.53,29.47,28.12,28.06,28.94,29.59,30.91,33.16,35.31,36.34,37.16,38.62,40.03,40.38,40.41,40.75,40.81,39.84,37.62,36.16,35.28,34.53,33.66,32.81,32.81,32.72,31.62,31.03,31.5,32.78,33.59,34.81,36.41,38.62,40.5,41.5,42.59,43.62,43.28,41.34,39.34,38.06,37.25,36.34,36.03,36.59,37.44,37.28,36.81,36.69,36.84,36.5,35.5,35.06,35.38,36.28,36.88,37.31,39.06,40.66,40.94,41.06,41.47,42.19,42.28,42.5,43.31,44.66,45.16,44.31,43.28,42.31,41.41,39.56,38.06,37.88,37.94,38.03,37.62,37.75,37.88,37.34,35.88,35.47,35.84,36.81,37.06,37.47,38.53,39.22,39.03,39.03,40.22,41.38,41.69,41.25,40.56,40.31,39.69,38.75,38.44,38.59,38.84,37.5,36.31,35.69,35.5,34.72,34.0,34.41,35.12,35.72,36.0,36.84,38.25,39.12,39.19,39.38,39.97,40.53,40.12,39.66,39.09,39.09,38.09,36.97,37.41,38.5,39.66,40.53,41.62,43.03,43.81,43.47,42.97,43.31,43.81,43.31,42.25,41.59,41.16,39.88,38.34,38.38,39.25,39.97,39.88,39.91,39.97,39.19,37.78,36.06,35.31,35.06,34.47,33.91,34.34,35.84,37.28,38.28,39.56,40.94,41.09,39.84,38.75,38.81,39.03,39.0,38.91,38.56,38.38,36.91,35.31,34.44,35.12,35.88,37.16,38.78,41.22,43.19,43.84,43.91,43.94,43.47,42.19,40.91,39.97,40.59,40.62,41.31,42.53,44.19,44.94,44.84,44.41,44.19,43.66,42.41,41.41,41.19,41.09,40.84,40.56,40.84,41.84,42.47,43.0,43.09,44.19,44.44,43.84,43.34,43.34,43.59,42.97,42.53,43.28,44.28,44.44,44.44,44.66,45.12,45.31,45.16,44.69,45.09,45.16,44.44,43.78,44.19,44.59,44.06,42.75,41.5,39.72,37.69,35.06,33.5,33.44,33.78,33.78,34.06,35.12,35.41,34.72,34.16,34.5,34.94,35.38,35.72,36.88,38.44,39.81,40.19,40.62,41.53,41.59,40.88,40.09,40.25,40.12,39.53,38.62,38.34,38.31,37.56,36.56,36.03,36.53,36.38,35.66,34.69,33.78,32.72,31.0,29.44,29.62,30.38,31.0,31.25,32.69,34.25,34.94,34.88,34.88,35.09,35.25,34.81,34.81,35.69,36.94,37.09,37.09,37.88,38.5,38.78,38.94,39.56,40.31,40.19,39.06,37.56,35.94,34.69,32.97,31.22,31.0,31.47,31.31,30.78,31.44,32.25,32.94,33.31,34.66,36.78,38.66,39.88,41.0,41.81,41.88,40.62,38.62,37.0,35.47,33.25,30.91,29.78,29.34,29.22,28.62,28.03,28.16,28.03,27.28,27.19,28.62,30.75,32.38,33.72,35.56,37.09,37.88,37.84,38.34,39.22,40.28,40.53,40.94,41.84,42.78,42.62,42.44,42.88,43.66,43.69,43.53,43.62,44.03,43.75,42.5,41.12,39.66,37.75,35.81,34.5,34.94,36.16,36.91,37.88,39.75,41.16,41.75,41.97,41.91,41.94,41.28,40.31,39.56,39.97,40.81,40.81,40.56,40.78,40.81,39.53,37.53,36.09,34.56,32.62,30.19,28.78,28.38,28.22,28.38,29.03,30.72,32.81,34.62,36.84,39.62,42.94,45.38,46.56,47.84,48.38,47.94,46.94,45.88,45.62,46.16,46.22,47.16,48.88,50.5,50.75,50.38,50.0,49.69,48.09,45.97,43.66,41.44,38.69,35.19,32.25,30.97,30.47,30.31,30.94,33.41,36.72,38.78,40.5,41.69,42.59,42.28,40.81,39.97,40.0,39.84,38.53,37.44,36.5,36.0,34.59,33.62,33.59,34.28,33.66,33.0,32.06,31.56,30.47,29.0,28.19,28.81,29.59,29.56,29.62,30.19,30.31,29.5,28.31,28.28,28.56,28.41,28.41,29.25,31.0,32.25,32.88,33.22,33.75,34.06,33.59,32.91,33.25,33.59,33.0,32.09,31.44,31.19,30.31,29.59,29.12,29.44,28.78,26.91,25.38,24.69,24.66,24.66,25.16,26.84,28.69,29.56,30.12,30.66,31.44,30.88,29.28,27.81,26.91,26.0,25.12,24.78,25.69,26.91,27.41,27.84,29.0,30.62,31.69,32.16,32.97,33.72,33.38,31.06,27.53,24.16,20.66,16.97,14.25,13.94,15.09,15.91,17.06,18.78,21.03,22.69,23.53,24.22,25.28,25.69,24.91,23.94,24.25,25.0,25.44,26.47,28.5,31.34,32.75,33.28,33.91,34.75,34.75,34.19,33.75,33.78,33.03,30.78,28.34,26.84,25.81,24.94,24.66,26.66,29.34,31.38,33.38,35.5,37.69,39.09,39.28,39.25,39.25,38.69,36.69,34.41,33.66,33.16,32.69,32.47,33.22,34.38,34.25,32.97,31.5,29.78,27.5,24.44,21.75,20.59,20.31,19.94,19.41,20.38,21.66,22.84,24.16,26.19,29.25,31.47,33.03,34.72,36.97,38.91,39.47,39.69,40.28,40.0,38.94,37.75,37.06,37.16,36.56,35.72,34.91,34.53,33.59,31.62,30.12,30.0,29.69,29.44,29.19,30.09,31.44,32.09,31.75,32.31,33.19,33.31,33.34,33.88,35.06,35.81,35.56,34.91,35.06,35.34,34.66,33.62,33.47,34.31,34.41,33.78,34.16,34.78,34.69,33.59,32.84,33.03,32.75,32.06,31.44,31.97,32.81,32.88,32.72,33.97,35.12,35.91,36.19,37.12,38.47,39.41,39.06,38.31,38.06,36.84,34.34,31.66,30.19,29.75,29.34,29.25,31.25,33.66,35.38,36.16,36.59,37.06,36.53,34.94,33.56:33.59,35.22,36.44,37.19,37.47,36.59,34.0,31.12,29.62,28.66,28.44,28.78,30.16,31.72,32.59,32.88,32.69,32.66,32.06,30.75,29.75,29.75,29.84,29.38,28.91,28.72,28.22,26.62,24.47,22.91,22.0,21.53,21.44,23.03,25.94,29.53,32.53,35.66,39.31,42.59,44.69,46.03,47.69,49.09,49.25,47.75,46.53,45.09,43.28,41.25,40.31,40.44,41.0,41.31,41.38,41.62,41.66,40.78,39.25,38.28,37.34,36.66,35.69,35.88,37.5,39.97,42.25,44.81,48.28,51.16,51.94,51.0,50.31,49.0,47.12,45.38,45.03,45.28,45.25,44.5,44.12,44.38,44.59,44.09,44.06,45.19,46.34,46.97,47.25,48.28,49.22,49.88,49.66,49.75,50.47,49.97,48.72,46.88,45.41,43.41,40.38,37.59,36.12,35.09,34.25,32.94,33.06,33.34,32.66,31.5,30.88,30.44,29.81,29.0,29.12,29.94,31.31,31.78,31.75,31.81,31.84,31.12,30.0,29.62,29.97,29.69,29.25,29.09,29.44,29.56,28.97,28.38,28.09,28.22,27.66,26.88,26.84,26.94,27.12,26.72,26.72,26.88,26.53,25.34,25.03,25.69,27.31,28.66,30.06,31.75,33.28,33.31,32.75,33.16,34.19,35.28,36.0,37.34,39.0,39.81,39.28,38.53,38.09,37.97,37.59,37.38,38.38,40.09,40.5,40.28,40.03,40.0,39.25,38.12,37.47,37.34,37.53,36.84,36.12,36.19,36.44,36.0,35.47,35.75,36.19,35.78,34.97,34.75,34.84,34.91,34.25,34.09,34.66,35.47,35.62,35.69,36.66,37.97,38.5,39.44,40.66,42.53,42.97,42.72,42.41,42.16,42.0,41.06,40.47,41.06,41.75,41.62,41.66,42.28,43.25,43.34,43.38,43.66,44.31,44.84,44.0,43.56,43.47,42.59,40.69,39.03,38.09,38.06,37.41,37.75,38.94,40.84,42.12,43.0,43.66,44.56,44.12,42.81,41.19,40.34,39.16,36.78,34.53,33.44,33.03,32.41,32.16,32.47,33.34,33.31,32.38,31.75,31.97,32.38,33.03,34.28,36.34,38.59,39.19,39.25,39.25,39.38,38.81,38.06,37.66,38.16,38.62,39.06,39.59,41.28,43.34,43.91,44.78,45.75,47.0,46.94,46.59,46.53,46.66,45.28,43.16,41.31,40.41,39.72,39.03,39.25,40.84,42.56,43.88,45.16,47.22,48.53,48.0,46.28,44.28,42.59,40.62,38.91,37.94,38.47,38.88,39.0,39.31,40.62,41.94,42.38,41.88,42.25,42.59,42.12,41.16,40.72,40.44,38.69,36.06,33.41,31.69,29.97,28.84,28.53,30.12,32.31,34.06,35.5,37.97,40.34,41.62,42.12,42.38,42.66,41.66,40.06,38.69,38.59,38.62,38.03,37.38,37.59,37.78,37.06,36.16,36.31,36.72,36.66,36.16,35.81,36.25,36.16,35.81,35.84,36.62,37.69,37.34,36.66,36.91,37.56,38.16,39.12,41.31,44.28,46.09,46.81,47.47,48.34,48.41,47.0,44.69,42.78,40.28,37.09,34.38,33.06,33.22,33.72,33.88,35.38,37.31,38.62,39.19,38.91,39.0,38.56,37.06,35.16,34.94,35.16,34.75,33.91,33.81,33.69,33.25,32.28,32.75,33.72,34.47,34.16,33.34,33.38,32.78,31.88,31.16,32.16,33.69,33.94,33.78,33.75,34.09,33.62,33.06,32.81,33.72,34.53,35.09,36.25,38.62,40.44,41.25,40.81,40.41,39.41,37.53,35.59,34.97,35.34,35.88,36.03,36.62,37.41,37.44,36.47,35.06,34.78,34.5,34.25,33.94,34.59,35.19,35.28,34.38,33.78,33.78,33.5,33.12,33.5,34.66,36.03,36.59,36.31,36.84,37.47,37.75,38.12,39.38,41.34,43.22,43.75,44.41,45.69,46.22,45.91,45.44,45.41,45.09,43.5,40.78,38.41,35.72,32.53,29.47,28.12,28.06,28.94,29.59,30.91,33.16,35.31,36.34,37.16,38.62,40.03,40.38,40.41,40.75,40.81,39.84,37.62,36.16,35.28,34.53,33.66,32.81,32.81,32.72,31.62,31.03,31.5,32.78,33.59,34.81,36.41,38.62,40.5,41.5,42.59,43.62,43.28,41.34,39.34,38.06,37.25,36.34,36.03,36.59,37.44,37.28,36.81,36.69,36.84,36.5,35.5,35.06,35.38,36.28,36.88,37.31,39.06,40.66,40.94,41.06,41.47,42.19,42.28,42.5,43.31,44.66,45.16,44.31,43.28,42.31,41.41,39.56,38.06,37.88,37.94,38.03,37.62,37.75,37.88,37.34,35.88,35.47,35.84,36.81,37.06,37.47,38.53,39.22,39.03,39.03,40.22,41.38,41.69,41.25,40.56,40.31,39.69,38.75,38.44,38.59,38.84,37.5,36.31,35.69,35.5,34.72,34.0,34.41,35.12,35.72,36.0,36.84,38.25,39.12,39.19,39.38,39.97,40.53,40.12,39.66,39.09,39.09,38.09,36.97,37.41,38.5,39.66,40.53,41.62,43.03,43.81,43.47,42.97,43.31,43.81,43.31,42.25,41.59,41.16,39.88,38.34,38.38,39.25,39.97,39.88,39.91,39.97,39.19,37.78,36.06,35.31,35.06,34.47,33.91,34.34,35.84,37.28,38.28,39.56,40.94,41.09,39.84,38.75,38.81,39.03,39.0,38.91,38.56,38.38,36.91,35.31,34.44,35.12,35.88,37.16,38.78,41.22,43.19,43.84,43.91,43.94,43.47,42.19,40.91,39.97,40.59,40.62,41.31,42.53,44.19,44.94,44.84,44.41,44.19,43.66,42.41,41.41,41.19,41.09,40.84,40.56,40.84,41.84,42.47,43.0,43.09,44.19,44.44,43.84,43.34,43.34,43.59,42.97,42.53,43.28,44.28,44.44,44.44,44.66,45.12,45.31,45.16,44.69,45.09,45.16,44.44,43.78,44.19,44.59,44.06,42.75,41.5,39.72,37.69,35.06,33.5,33.44,33.78,33.78,34.06,35.12,35.41,34.72,34.16,34.5,34.94,35.38,35.72,36.88,38.44,39.81,40.19,40.62,41.53,41.59,40.88,40.09,40.25,40.12,39.53,38.62,38.34,38.31,37.56,36.56,36.03,36.53,36.38,35.66,34.69,33.78,32.72,31.0,29.44,29.62,30.38,31.0,31.25,32.69,34.25,34.94,34.88,34.88,35.09,35.25,34.81,34.81,35.69,36.94,37.09,37.09,37.88,38.5,38.78,38.94,39.56,40.31,40.19,39.06,37.56,35.94,34.69,32.97,31.22,31.0,31.47,31.31,30.78,31.44,32.25,32.94,33.31,34.66,36.78,38.66,39.88,41.0,41.81,41.88,40.62,38.62,37.0,35.47,33.25,30.91,29.78,29.34,29.22,28.62,28.03,28.16,28.03,27.28,27.19,28.62,30.75,32.38,33.72,35.56,37.09,37.88,37.84,38.34,39.22,40.28,40.53,40.94,41.84,42.78,42.62,42.44,42.88,43.66,43.69,43.53,43.62,44.03,43.75,42.5,41.12,39.66,37.75,35.81,34.5,34.94,36.16,36.91,37.88,39.75,41.16,41.75,41.97,41.91,41.94,41.28,40.31,39.56,39.97,40.81,40.81,40.56,40.78,40.81,39.53,37.53,36.09,34.56,32.62,30.19,28.78,28.38,28.22,28.38,29.03,30.72,32.81,34.62,36.84,39.62,42.94,45.38,46.56,47.84,48.38,47.94,46.94,45.88,45.62,46.16,46.22,47.16,48.88,50.5,50.75,50.38,50.0,49.69,48.09,45.97,43.66,41.44,38.69,35.19,32.25,30.97,30.47,30.31,30.94,33.41,36.72,38.78,40.5,41.69,42.59,42.28,40.81,39.97,40.0,39.84,38.53,37.44,36.5,36.0,34.59,33.62,33.59,34.28,33.66,33.0,32.06,31.56,30.47,29.0,28.19,28.81,29.59,29.56,29.62,30.19,30.31,29.5,28.31,28.28,28.56,28.41,28.41,29.25,31.0,32.25,32.88,33.22,33.75,34.06,33.59,32.91,33.25,33.59,33.0,32.09,31.44,31.19,30.31,29.59,29.12,29.44,28.78,26.91,25.38,24.69,24.66,24.66,25.16,26.84,28.69,29.56,30.12,30.66,31.44,30.88,29.28,27.81,26.91,26.0,25.12,24.78,25.69,26.91,27.41,27.84,29.0,30.62,31.69,32.16,32.97,33.72,33.38,31.06,27.53,24.16,20.66,16.97,14.25,13.94,15.09,15.91,17.06,18.78,21.03,22.69,23.53,24.22,25.28,25.69,24.91,23.94,24.25,25.0,25.44,26.47,28.5,31.34,32.75,33.28,33.91,34.75,34.75,34.19,33.75,33.78,33.03,30.78,28.34,26.84,25.81,24.94,24.66,26.66,29.34,31.38,33.38,35.5,37.69,39.09,39.28,39.25,39.25,38.69,36.69,34.41,33.66,33.16,32.69,32.47,33.22,34.38,34.25,32.97,31.5,29.78,27.5,24.44,21.75,20.59,20.31,19.94,19.41,20.38,21.66,22.84,24.16,26.19,29.25,31.47,33.03,34.72,36.97,38.91,39.47,39.69,40.28,40.0,38.94,37.75,37.06,37.16,36.56,35.72,34.91,34.53,33.59,31.62,30.12,30.0,29.69,29.44,29.19,30.09,31.44,32.09,31.75,32.31,33.19,33.31,33.34,33.88,35.06,35.81,35.56,34.91,35.06,35.34,34.66,33.62,33.47,34.31,34.41,33.78,34.16,34.78,34.69,33.59,32.84,33.03,32.75,32.06,31.44,31.97,32.81,32.88,32.72,33.97,35.12,35.91,36.19,37.12,38.47,39.41,39.06,38.31,38.06,36.84,34.34,31.66,30.19,29.75,29.34,29.25,31.25,33.66,35.38,36.16,36.59,37.06,36.53,34.94,33.56,89.69,90.34,89.88,88.47,86.78,85.22,83.78:31.12,29.62,28.66,28.44,28.78,30.16,31.72,32.59,32.88,32.69,32.66,32.06,30.75,29.75,29.75,29.84,29.38,28.91,28.72,28.22,26.62,24.47,22.91,22.0,21.53,21.44,23.03,25.94,29.53,32.53,35.66,39.31,42.59,44.69,46.03,47.69,49.09,49.25,47.75,46.53,45.09,43.28,41.25,40.31,40.44,41.0,41.31,41.38,41.62,41.66,40.78,39.25,38.28,37.34,36.66,35.69,35.88,37.5,39.97,42.25,44.81,48.28,51.16,51.94,51.0,50.31,49.0,47.12,45.38,45.03,45.28,45.25,44.5,44.12,44.38,44.59,44.09,44.06,45.19,46.34,46.97,47.25,48.28,49.22,49.88,49.66,49.75,50.47,49.97,48.72,46.88,45.41,43.41,40.38,37.59,36.12,35.09,34.25,32.94,33.06,33.34,32.66,31.5,30.88,30.44,29.81,29.0,29.12,29.94,31.31,31.78,31.75,31.81,31.84,31.12,30.0,29.62,29.97,29.69,29.25,29.09,29.44,29.56,28.97,28.38,28.09,28.22,27.66,26.88,26.84,26.94,27.12,26.72,26.72,26.88,26.53,25.34,25.03,25.69,27.31,28.66,30.06,31.75,33.28,33.31,32.75,33.16,34.19,35.28,36.0,37.34,39.0,39.81,39.28,38.53,38.09,37.97,37.59,37.38,38.38,40.09,40.5,40.28,40.03,40.0,39.25,38.12,37.47,37.34,37.53,36.84,36.12,36.19,36.44,36.0,35.47,35.75,36.19,35.78,34.97,34.75,34.84,34.91,34.25,34.09,34.66,35.47,35.62,35.69,36.66,37.97,38.5,39.44,40.66,42.53,42.97,42.72,42.41,42.16,42.0,41.06,40.47,41.06,41.75,41.62,41.66,42.28,43.25,43.34,43.38,43.66,44.31,44.84,44.0,43.56,43.47,42.59,40.69,39.03,38.09,38.06,37.41,37.75,38.94,40.84,42.12,43.0,43.66,44.56,44.12,42.81,41.19,40.34,39.16,36.78,34.53,33.44,33.03,32.41,32.16,32.47,33.34,33.31,32.38,31.75,31.97,32.38,33.03,34.28,36.34,38.59,39.19,39.25,39.25,39.38,38.81,38.06,37.66,38.16,38.62,39.06,39.59,41.28,43.34,43.91,44.78,45.75,47.0,46.94,46.59,46.53,46.66,45.28,43.16,41.31,40.41,39.72,39.03,39.25,40.84,42.56,43.88,45.16,47.22,48.53,48.0,46.28,44.28,42.59,40.62,38.91,37.94,38.47,38.88,39.0,39.31,40.62,41.94,42.38,41.88,42.25,42.59,42.12,41.16,40.72,40.44,38.69,36.06,33.41,31.69,29.97,28.84,28.53,30.12,32.31,34.06,35.5,37.97,40.34,41.62,42.12,42.38,42.66,41.66,40.06,38.69,38.59,38.62,38.03,37.38,37.59,37.78,37.06,36.16,36.31,36.72,36.66,36.16,35.81,36.25,36.16,35.81,35.84,36.62,37.69,37.34,36.66,36.91,37.56,38.16,39.12,41.31,44.28,46.09,46.81,47.47,48.34,48.41,47.0,44.69,42.78,40.28,37.09,34.38,33.06,33.22,33.72,33.88,35.38,37.31,38.62,39.19,38.91,39.0,38.56,37.06,35.16,34.94,35.16,34.75,33.91,33.81,33.69,33.25,32.28,32.75,33.72,34.47,34.16,33.34,33.38,32.78,31.88,31.16,32.16,33.69,33.94,33.78,33.75,34.09,33.62,33.06,32.81,33.72,34.53,35.09,36.25,38.62,40.44,41.25,40.81,40.41,39.41,37.53,35.59,34.97,35.34,35.88,36.03,36.62,37.41,37.44,36.47,35.06,34.78,34.5,34.25,33.94,34.59,35.19,35.28,34.38,33.78,33.78,33.5,33.12,33.5,34.66,36.03,36.59,36.31,36.84,37.47,37.75,38.12,39.38,41.34,43.22,43.75,44.41,45.69,46.22,45.91,45.44,45.41,45.09,43.5,40.78,38.41,35.72,32.53,29.47,28.12,28.06,28.94,29.59,30.91,33.16,35.31,36.34,37.16,38.62,40.03,40.38,40.41,40.75,40.81,39.84,37.62,36.16,35.28,34.53,33.66,32.81,32.81,32.72,31.62,31.03,31.5,32.78,33.59,34.81,36.41,38.62,40.5,41.5,42.59,43.62,43.28,41.34,39.34,38.06,37.25,36.34,36.03,36.59,37.44,37.28,36.81,36.69,36.84,36.5,35.5,35.06,35.38,36.28,36.88,37.31,39.06,40.66,40.94,41.06,41.47,42.19,42.28,42.5,43.31,44.66,45.16,44.31,43.28,42.31,41.41,39.56,38.06,37.88,37.94,38.03,37.62,37.75,37.88,37.34,35.88,35.47,35.84,36.81,37.06,37.47,38.53,39.22,39.03,39.03,40.22,41.38,41.69,41.25,40.56,40.31,39.69,38.75,38.44,38.59,38.84,37.5,36.31,35.69,35.5,34.72,34.0,34.41,35.12,35.72,36.0,36.84,38.25,39.12,39.19,39.38,39.97,40.53,40.12,39.66,39.09,39.09,38.09,36.97,37.41,38.5,39.66,40.53,41.62,43.03,43.81,43.47,42.97,43.31,43.81,43.31,42.25,41.59,41.16,39.88,38.34,38.38,39.25,39.97,39.88,39.91,39.97,39.19,37.78,36.06,35.31,35.06,34.47,33.91,34.34,35.84,37.28,38.28,39.56,40.94,41.09,39.84,38.75,38.81,39.03,39.0,38.91,38.56,38.38,36.91,35.31,34.44,35.12,35.88,37.16,38.78,41.22,43.19,43.84,43.91,43.94,43.47,42.19,40.91,39.97,40.59,40.62,41.31,42.53,44.19,44.94,44.84,44.41,44.19,43.66,42.41,41.41,41.19,41.09,40.84,40.56,40.84,41.84,42.47,43.0,43.09,44.19,44.44,43.84,43.34,43.34,43.59,42.97,42.53,43.28,44.28,44.44,44.44,44.66,45.12,45.31,45.16,44.69,45.09,45.16,44.44,43.78,44.19,44.59,44.06,42.75,41.5,39.72,37.69,35.06,33.5,33.44,33.78,33.78,34.06,35.12,35.41,34.72,34.16,34.5,34.94,35.38,35.72,36.88,38.44,39.81,40.19,40.62,41.53,41.59,40.88,40.09,40.25,40.12,39.53,38.62,38.34,38.31,37.56,36.56,36.03,36.53,36.38,35.66,34.69,33.78,32.72,31.0,29.44,29.62,30.38,31.0,31.25,32.69,34.25,34.94,34.88,34.88,35.09,35.25,34.81,34.81,35.69,36.94,37.09,37.09,37.88,38.5,38.78,38.94,39.56,40.31,40.19,39.06,37.56,35.94,34.69,32.97,31.22,31.0,31.47,31.31,30.78,31.44,32.25,32.94,33.31,34.66,36.78,38.66,39.88,41.0,41.81,41.88,40.62,38.62,37.0,35.47,33.25,30.91,29.78,29.34,29.22,28.62,28.03,28.16,28.03,27.28,27.19,28.62,30.75,32.38,33.72,35.56,37.09,37.88,37.84,38.34,39.22,40.28,40.53,40.94,41.84,42.78,42.62,42.44,42.88,43.66,43.69,43.53,43.62,44.03,43.75,42.5,41.12,39.66,37.75,35.81,34.5,34.94,36.16,36.91,37.88,39.75,41.16,41.75,41.97,41.91,41.94,41.28,40.31,39.56,39.97,40.81,40.81,40.56,40.78,40.81,39.53,37.53,36.09,34.56,32.62,30.19,28.78,28.38,28.22,28.38,29.03,30.72,32.81,34.62,36.84,39.62,42.94,45.38,46.56,47.84,48.38,47.94,46.94,45.88,45.62,46.16,46.22,47.16,48.88,50.5,50.75,50.38,50.0,49.69,48.09,45.97,43.66,41.44,38.69,35.19,32.25,30.97,30.47,30.31,30.94,33.41,36.72,38.78,40.5,41.69,42.59,42.28,40.81,39.97,40.0,39.84,38.53,37.44,36.5,36.0,34.59,33.62,33.59,34.28,33.66,33.0,32.06,31.56,30.47,29.0,28.19,28.81,29.59,29.56,29.62,30.19,30.31,29.5,28.31,28.28,28.56,28.41,28.41,29.25,31.0,32.25,32.88,33.22,33.75,34.06,33.59,32.91,33.25,33.59,33.0,32.09,31.44,31.19,30.31,29.59,29.12,29.44,28.78,26.91,25.38,24.69,24.66,24.66,25.16,26.84,28.69,29.56,30.12,30.66,31.44,30.88,29.28,27.81,26.91,26.0,25.12,24.78,25.69,26.91,27.41,27.84,29.0,30.62,31.69,32.16,32.97,33.72,33.38,31.06,27.53,24.16,20.66,16.97,14.25,13.94,15.09,15.91,17.06,18.78,21.03,22.69,23.53,24.22,25.28,25.69,24.91,23.94,24.25,25.0,25.44,26.47,28.5,31.34,32.75,33.28,33.91,34.75,34.75,34.19,33.75,33.78,33.03,30.78,28.34,26.84,25.81,24.94,24.66,26.66,29.34,31.38,33.38,35.5,37.69,39.09,39.28,39.25,39.25,38.69,36.69,34.41,33.66,33.16,32.69,32.47,33.22,34.38,34.25,32.97,31.5,29.78,27.5,24.44,21.75,20.59,20.31,19.94,19.41,20.38,21.66,22.84,24.16,26.19,29.25,31.47,33.03,34.72,36.97,38.91,39.47,39.69,40.28,40.0,38.94,37.75,37.06,37.16,36.56,35.72,34.91,34.53,33.59,31.62,30.12,30.0,29.69,29.44,29.19,30.09,31.44,32.09,31.75,32.31,33.19,33.31,33.34,33.88,35.06,35.81,35.56,34.91,35.06,35.34,34.66,33.62,33.47,34.31,34.41,33.78,34.16,34.78,34.69,33.59,32.84,33.03,32.75,32.06,31.44,31.97,32.81,32.88,32.72,33.97,35.12,35.91,36.19,37.12,38.47,39.41,39.06,38.31,38.06,36.84,34.34,31.66,30.19,29.75,29.34,29.25,31.25,33.66,35.38,36.16,36.59,37.06,36.53,34.94,33.56,89.69,90.34,89.88,88.47,86.78,85.22,83.78,83.25,83.34,83.41,83.28,82.84,81.91,80.81:32.59,32.88,32.69,32.66,32.06,30.75,29.75,29.75,29.84,29.38,28.91,28.72,28.22,26.62,24.47,22.91,22.0,21.53,21.44,23.03,25.94,29.53,32.53,35.66,39.31,42.59,44.69,46.03,47.69,49.09,49.25,47.75,46.53,45.09,43.28,41.25,40.31,40.44,41.0,41.31,41.38,41.62,41.66,40.78,39.25,38.28,37.34,36.66,35.69,35.88,37.5,39.97,42.25,44.81,48.28,51.16,51.94,51.0,50.31,49.0,47.12,45.38,45.03,45.28,45.25,44.5,44.12,44.38,44.59,44.09,44.06,45.19,46.34,46.97,47.25,48.28,49.22,49.88,49.66,49.75,50.47,49.97,48.72,46.88,45.41,43.41,40.38,37.59,36.12,35.09,34.25,32.94,33.06,33.34,32.66,31.5,30.88,30.44,29.81,29.0,29.12,29.94,31.31,31.78,31.75,31.81,31.84,31.12,30.0,29.62,29.97,29.69,29.25,29.09,29.44,29.56,28.97,28.38,28.09,28.22,27.66,26.88,26.84,26.94,27.12,26.72,26.72,26.88,26.53,25.34,25.03,25.69,27.31,28.66,30.06,31.75,33.28,33.31,32.75,33.16,34.19,35.28,36.0,37.34,39.0,39.81,39.28,38.53,38.09,37.97,37.59,37.38,38.38,40.09,40.5,40.28,40.03,40.0,39.25,38.12,37.47,37.34,37.53,36.84,36.12,36.19,36.44,36.0,35.47,35.75,36.19,35.78,34.97,34.75,34.84,34.91,34.25,34.09,34.66,35.47,35.62,35.69,36.66,37.97,38.5,39.44,40.66,42.53,42.97,42.72,42.41,42.16,42.0,41.06,40.47,41.06,41.75,41.62,41.66,42.28,43.25,43.34,43.38,43.66,44.31,44.84,44.0,43.56,43.47,42.59,40.69,39.03,38.09,38.06,37.41,37.75,38.94,40.84,42.12,43.0,43.66,44.56,44.12,42.81,41.19,40.34,39.16,36.78,34.53,33.44,33.03,32.41,32.16,32.47,33.34,33.31,32.38,31.75,31.97,32.38,33.03,34.28,36.34,38.59,39.19,39.25,39.25,39.38,38.81,38.06,37.66,38.16,38.62,39.06,39.59,41.28,43.34,43.91,44.78,45.75,47.0,46.94,46.59,46.53,46.66,45.28,43.16,41.31,40.41,39.72,39.03,39.25,40.84,42.56,43.88,45.16,47.22,48.53,48.0,46.28,44.28,42.59,40.62,38.91,37.94,38.47,38.88,39.0,39.31,40.62,41.94,42.38,41.88,42.25,42.59,42.12,41.16,40.72,40.44,38.69,36.06,33.41,31.69,29.97,28.84,28.53,30.12,32.31,34.06,35.5,37.97,40.34,41.62,42.12,42.38,42.66,41.66,40.06,38.69,38.59,38.62,38.03,37.38,37.59,37.78,37.06,36.16,36.31,36.72,36.66,36.16,35.81,36.25,36.16,35.81,35.84,36.62,37.69,37.34,36.66,36.91,37.56,38.16,39.12,41.31,44.28,46.09,46.81,47.47,48.34,48.41,47.0,44.69,42.78,40.28,37.09,34.38,33.06,33.22,33.72,33.88,35.38,37.31,38.62,39.19,38.91,39.0,38.56,37.06,35.16,34.94,35.16,34.75,33.91,33.81,33.69,33.25,32.28,32.75,33.72,34.47,34.16,33.34,33.38,32.78,31.88,31.16,32.16,33.69,33.94,33.78,33.75,34.09,33.62,33.06,32.81,33.72,34.53,35.09,36.25,38.62,40.44,41.25,40.81,40.41,39.41,37.53,35.59,34.97,35.34,35.88,36.03,36.62,37.41,37.44,36.47,35.06,34.78,34.5,34.25,33.94,34.59,35.19,35.28,34.38,33.78,33.78,33.5,33.12,33.5,34.66,36.03,36.59,36.31,36.84,37.47,37.75,38.12,39.38,41.34,43.22,43.75,44.41,45.69,46.22,45.91,45.44,45.41,45.09,43.5,40.78,38.41,35.72,32.53,29.47,28.12,28.06,28.94,29.59,30.91,33.16,35.31,36.34,37.16,38.62,40.03,40.38,40.41,40.75,40.81,39.84,37.62,36.16,35.28,34.53,33.66,32.81,32.81,32.72,31.62,31.03,31.5,32.78,33.59,34.81,36.41,38.62,40.5,41.5,42.59,43.62,43.28,41.34,39.34,38.06,37.25,36.34,36.03,36.59,37.44,37.28,36.81,36.69,36.84,36.5,35.5,35.06,35.38,36.28,36.88,37.31,39.06,40.66,40.94,41.06,41.47,42.19,42.28,42.5,43.31,44.66,45.16,44.31,43.28,42.31,41.41,39.56,38.06,37.88,37.94,38.03,37.62,37.75,37.88,37.34,35.88,35.47,35.84,36.81,37.06,37.47,38.53,39.22,39.03,39.03,40.22,41.38,41.69,41.25,40.56,40.31,39.69,38.75,38.44,38.59,38.84,37.5,36.31,35.69,35.5,34.72,34.0,34.41,35.12,35.72,36.0,36.84,38.25,39.12,39.19,39.38,39.97,40.53,40.12,39.66,39.09,39.09,38.09,36.97,37.41,38.5,39.66,40.53,41.62,43.03,43.81,43.47,42.97,43.31,43.81,43.31,42.25,41.59,41.16,39.88,38.34,38.38,39.25,39.97,39.88,39.91,39.97,39.19,37.78,36.06,35.31,35.06,34.47,33.91,34.34,35.84,37.28,38.28,39.56,40.94,41.09,39.84,38.75,38.81,39.03,39.0,38.91,38.56,38.38,36.91,35.31,34.44,35.12,35.88,37.16,38.78,41.22,43.19,43.84,43.91,43.94,43.47,42.19,40.91,39.97,40.59,40.62,41.31,42.53,44.19,44.94,44.84,44.41,44.19,43.66,42.41,41.41,41.19,41.09,40.84,40.56,40.84,41.84,42.47,43.0,43.09,44.19,44.44,43.84,43.34,43.34,43.59,42.97,42.53,43.28,44.28,44.44,44.44,44.66,45.12,45.31,45.16,44.69,45.09,45.16,44.44,43.78,44.19,44.59,44.06,42.75,41.5,39.72,37.69,35.06,33.5,33.44,33.78,33.78,34.06,35.12,35.41,34.72,34.16,34.5,34.94,35.38,35.72,36.88,38.44,39.81,40.19,40.62,41.53,41.59,40.88,40.09,40.25,40.12,39.53,38.62,38.34,38.31,37.56,36.56,36.03,36.53,36.38,35.66,34.69,33.78,32.72,31.0,29.44,29.62,30.38,31.0,31.25,32.69,34.25,34.94,34.88,34.88,35.09,35.25,34.81,34.81,35.69,36.94,37.09,37.09,37.88,38.5,38.78,38.94,39.56,40.31,40.19,39.06,37.56,35.94,34.69,32.97,31.22,31.0,31.47,31.31,30.78,31.44,32.25,32.94,33.31,34.66,36.78,38.66,39.88,41.0,41.81,41.88,40.62,38.62,37.0,35.47,33.25,30.91,29.78,29.34,29.22,28.62,28.03,28.16,28.03,27.28,27.19,28.62,30.75,32.38,33.72,35.56,37.09,37.88,37.84,38.34,39.22,40.28,40.53,40.94,41.84,42.78,42.62,42.44,42.88,43.66,43.69,43.53,43.62,44.03,43.75,42.5,41.12,39.66,37.75,35.81,34.5,34.94,36.16,36.91,37.88,39.75,41.16,41.75,41.97,41.91,41.94,41.28,40.31,39.56,39.97,40.81,40.81,40.56,40.78,40.81,39.53,37.53,36.09,34.56,32.62,30.19,28.78,28.38,28.22,28.38,29.03,30.72,32.81,34.62,36.84,39.62,42.94,45.38,46.56,47.84,48.38,47.94,46.94,45.88,45.62,46.16,46.22,47.16,48.88,50.5,50.75,50.38,50.0,49.69,48.09,45.97,43.66,41.44,38.69,35.19,32.25,30.97,30.47,30.31,30.94,33.41,36.72,38.78,40.5,41.69,42.59,42.28,40.81,39.97,40.0,39.84,38.53,37.44,36.5,36.0,34.59,33.62,33.59,34.28,33.66,33.0,32.06,31.56,30.47,29.0,28.19,28.81,29.59,29.56,29.62,30.19,30.31,29.5,28.31,28.28,28.56,28.41,28.41,29.25,31.0,32.25,32.88,33.22,33.75,34.06,33.59,32.91,33.25,33.59,33.0,32.09,31.44,31.19,30.31,29.59,29.12,29.44,28.78,26.91,25.38,24.69,24.66,24.66,25.16,26.84,28.69,29.56,30.12,30.66,31.44,30.88,29.28,27.81,26.91,26.0,25.12,24.78,25.69,26.91,27.41,27.84,29.0,30.62,31.69,32.16,32.97,33.72,33.38,31.06,27.53,24.16,20.66,16.97,14.25,13.94,15.09,15.91,17.06,18.78,21.03,22.69,23.53,24.22,25.28,25.69,24.91,23.94,24.25,25.0,25.44,26.47,28.5,31.34,32.75,33.28,33.91,34.75,34.75,34.19,33.75,33.78,33.03,30.78,28.34,26.84,25.81,24.94,24.66,26.66,29.34,31.38,33.38,35.5,37.69,39.09,39.28,39.25,39.25,38.69,36.69,34.41,33.66,33.16,32.69,32.47,33.22,34.38,34.25,32.97,31.5,29.78,27.5,24.44,21.75,20.59,20.31,19.94,19.41,20.38,21.66,22.84,24.16,26.19,29.25,31.47,33.03,34.72,36.97,38.91,39.47,39.69,40.28,40.0,38.94,37.75,37.06,37.16,36.56,35.72,34.91,34.53,33.59,31.62,30.12,30.0,29.69,29.44,29.19,30.09,31.44,32.09,31.75,32.31,33.19,33.31,33.34,33.88,35.06,35.81,35.56,34.91,35.06,35.34,34.66,33.62,33.47,34.31,34.41,33.78,34.16,34.78,34.69,33.59,32.84,33.03,32.75,32.06,31.44,31.97,32.81,32.88,32.72,33.97,35.12,35.91,36.19,37.12,38.47,39.41,39.06,38.31,38.06,36.84,34.34,31.66,30.19,29.75,29.34,29.25,31.25,33.66,35.38,36.16,36.59,37.06,36.53,34.94,33.56,89.69,90.34,89.88,88.47,86.78,85.22,83.78,83.25,83.34,83.41,83.28,82.84,81.91,80.81,79.47,78.75,78.16,78.5,79.41,80.09,80.94:29.75,29.84,29.38,28.91,28.72,28.22,26.62,24.47,22.91,22.0,21.53,21.44,23.03,25.94,29.53,32.53,35.66,39.31,42.59,44.69,46.03,47.69,49.09,49.25,47.75,46.53,45.09,43.28,41.25,40.31,40.44,41.0,41.31,41.38,41.62,41.66,40.78,39.25,38.28,37.34,36.66,35.69,35.88,37.5,39.97,42.25,44.81,48.28,51.16,51.94,51.0,50.31,49.0,47.12,45.38,45.03,45.28,45.25,44.5,44.12,44.38,44.59,44.09,44.06,45.19,46.34,46.97,47.25,48.28,49.22,49.88,49.66,49.75,50.47,49.97,48.72,46.88,45.41,43.41,40.38,37.59,36.12,35.09,34.25,32.94,33.06,33.34,32.66,31.5,30.88,30.44,29.81,29.0,29.12,29.94,31.31,31.78,31.75,31.81,31.84,31.12,30.0,29.62,29.97,29.69,29.25,29.09,29.44,29.56,28.97,28.38,28.09,28.22,27.66,26.88,26.84,26.94,27.12,26.72,26.72,26.88,26.53,25.34,25.03,25.69,27.31,28.66,30.06,31.75,33.28,33.31,32.75,33.16,34.19,35.28,36.0,37.34,39.0,39.81,39.28,38.53,38.09,37.97,37.59,37.38,38.38,40.09,40.5,40.28,40.03,40.0,39.25,38.12,37.47,37.34,37.53,36.84,36.12,36.19,36.44,36.0,35.47,35.75,36.19,35.78,34.97,34.75,34.84,34.91,34.25,34.09,34.66,35.47,35.62,35.69,36.66,37.97,38.5,39.44,40.66,42.53,42.97,42.72,42.41,42.16,42.0,41.06,40.47,41.06,41.75,41.62,41.66,42.28,43.25,43.34,43.38,43.66,44.31,44.84,44.0,43.56,43.47,42.59,40.69,39.03,38.09,38.06,37.41,37.75,38.94,40.84,42.12,43.0,43.66,44.56,44.12,42.81,41.19,40.34,39.16,36.78,34.53,33.44,33.03,32.41,32.16,32.47,33.34,33.31,32.38,31.75,31.97,32.38,33.03,34.28,36.34,38.59,39.19,39.25,39.25,39.38,38.81,38.06,37.66,38.16,38.62,39.06,39.59,41.28,43.34,43.91,44.78,45.75,47.0,46.94,46.59,46.53,46.66,45.28,43.16,41.31,40.41,39.72,39.03,39.25,40.84,42.56,43.88,45.16,47.22,48.53,48.0,46.28,44.28,42.59,40.62,38.91,37.94,38.47,38.88,39.0,39.31,40.62,41.94,42.38,41.88,42.25,42.59,42.12,41.16,40.72,40.44,38.69,36.06,33.41,31.69,29.97,28.84,28.53,30.12,32.31,34.06,35.5,37.97,40.34,41.62,42.12,42.38,42.66,41.66,40.06,38.69,38.59,38.62,38.03,37.38,37.59,37.78,37.06,36.16,36.31,36.72,36.66,36.16,35.81,36.25,36.16,35.81,35.84,36.62,37.69,37.34,36.66,36.91,37.56,38.16,39.12,41.31,44.28,46.09,46.81,47.47,48.34,48.41,47.0,44.69,42.78,40.28,37.09,34.38,33.06,33.22,33.72,33.88,35.38,37.31,38.62,39.19,38.91,39.0,38.56,37.06,35.16,34.94,35.16,34.75,33.91,33.81,33.69,33.25,32.28,32.75,33.72,34.47,34.16,33.34,33.38,32.78,31.88,31.16,32.16,33.69,33.94,33.78,33.75,34.09,33.62,33.06,32.81,33.72,34.53,35.09,36.25,38.62,40.44,41.25,40.81,40.41,39.41,37.53,35.59,34.97,35.34,35.88,36.03,36.62,37.41,37.44,36.47,35.06,34.78,34.5,34.25,33.94,34.59,35.19,35.28,34.38,33.78,33.78,33.5,33.12,33.5,34.66,36.03,36.59,36.31,36.84,37.47,37.75,38.12,39.38,41.34,43.22,43.75,44.41,45.69,46.22,45.91,45.44,45.41,45.09,43.5,40.78,38.41,35.72,32.53,29.47,28.12,28.06,28.94,29.59,30.91,33.16,35.31,36.34,37.16,38.62,40.03,40.38,40.41,40.75,40.81,39.84,37.62,36.16,35.28,34.53,33.66,32.81,32.81,32.72,31.62,31.03,31.5,32.78,33.59,34.81,36.41,38.62,40.5,41.5,42.59,43.62,43.28,41.34,39.34,38.06,37.25,36.34,36.03,36.59,37.44,37.28,36.81,36.69,36.84,36.5,35.5,35.06,35.38,36.28,36.88,37.31,39.06,40.66,40.94,41.06,41.47,42.19,42.28,42.5,43.31,44.66,45.16,44.31,43.28,42.31,41.41,39.56,38.06,37.88,37.94,38.03,37.62,37.75,37.88,37.34,35.88,35.47,35.84,36.81,37.06,37.47,38.53,39.22,39.03,39.03,40.22,41.38,41.69,41.25,40.56,40.31,39.69,38.75,38.44,38.59,38.84,37.5,36.31,35.69,35.5,34.72,34.0,34.41,35.12,35.72,36.0,36.84,38.25,39.12,39.19,39.38,39.97,40.53,40.12,39.66,39.09,39.09,38.09,36.97,37.41,38.5,39.66,40.53,41.62,43.03,43.81,43.47,42.97,43.31,43.81,43.31,42.25,41.59,41.16,39.88,38.34,38.38,39.25,39.97,39.88,39.91,39.97,39.19,37.78,36.06,35.31,35.06,34.47,33.91,34.34,35.84,37.28,38.28,39.56,40.94,41.09,39.84,38.75,38.81,39.03,39.0,38.91,38.56,38.38,36.91,35.31,34.44,35.12,35.88,37.16,38.78,41.22,43.19,43.84,43.91,43.94,43.47,42.19,40.91,39.97,40.59,40.62,41.31,42.53,44.19,44.94,44.84,44.41,44.19,43.66,42.41,41.41,41.19,41.09,40.84,40.56,40.84,41.84,42.47,43.0,43.09,44.19,44.44,43.84,43.34,43.34,43.59,42.97,42.53,43.28,44.28,44.44,44.44,44.66,45.12,45.31,45.16,44.69,45.09,45.16,44.44,43.78,44.19,44.59,44.06,42.75,41.5,39.72,37.69,35.06,33.5,33.44,33.78,33.78,34.06,35.12,35.41,34.72,34.16,34.5,34.94,35.38,35.72,36.88,38.44,39.81,40.19,40.62,41.53,41.59,40.88,40.09,40.25,40.12,39.53,38.62,38.34,38.31,37.56,36.56,36.03,36.53,36.38,35.66,34.69,33.78,32.72,31.0,29.44,29.62,30.38,31.0,31.25,32.69,34.25,34.94,34.88,34.88,35.09,35.25,34.81,34.81,35.69,36.94,37.09,37.09,37.88,38.5,38.78,38.94,39.56,40.31,40.19,39.06,37.56,35.94,34.69,32.97,31.22,31.0,31.47,31.31,30.78,31.44,32.25,32.94,33.31,34.66,36.78,38.66,39.88,41.0,41.81,41.88,40.62,38.62,37.0,35.47,33.25,30.91,29.78,29.34,29.22,28.62,28.03,28.16,28.03,27.28,27.19,28.62,30.75,32.38,33.72,35.56,37.09,37.88,37.84,38.34,39.22,40.28,40.53,40.94,41.84,42.78,42.62,42.44,42.88,43.66,43.69,43.53,43.62,44.03,43.75,42.5,41.12,39.66,37.75,35.81,34.5,34.94,36.16,36.91,37.88,39.75,41.16,41.75,41.97,41.91,41.94,41.28,40.31,39.56,39.97,40.81,40.81,40.56,40.78,40.81,39.53,37.53,36.09,34.56,32.62,30.19,28.78,28.38,28.22,28.38,29.03,30.72,32.81,34.62,36.84,39.62,42.94,45.38,46.56,47.84,48.38,47.94,46.94,45.88,45.62,46.16,46.22,47.16,48.88,50.5,50.75,50.38,50.0,49.69,48.09,45.97,43.66,41.44,38.69,35.19,32.25,30.97,30.47,30.31,30.94,33.41,36.72,38.78,40.5,41.69,42.59,42.28,40.81,39.97,40.0,39.84,38.53,37.44,36.5,36.0,34.59,33.62,33.59,34.28,33.66,33.0,32.06,31.56,30.47,29.0,28.19,28.81,29.59,29.56,29.62,30.19,30.31,29.5,28.31,28.28,28.56,28.41,28.41,29.25,31.0,32.25,32.88,33.22,33.75,34.06,33.59,32.91,33.25,33.59,33.0,32.09,31.44,31.19,30.31,29.59,29.12,29.44,28.78,26.91,25.38,24.69,24.66,24.66,25.16,26.84,28.69,29.56,30.12,30.66,31.44,30.88,29.28,27.81,26.91,26.0,25.12,24.78,25.69,26.91,27.41,27.84,29.0,30.62,31.69,32.16,32.97,33.72,33.38,31.06,27.53,24.16,20.66,16.97,14.25,13.94,15.09,15.91,17.06,18.78,21.03,22.69,23.53,24.22,25.28,25.69,24.91,23.94,24.25,25.0,25.44,26.47,28.5,31.34,32.75,33.28,33.91,34.75,34.75,34.19,33.75,33.78,33.03,30.78,28.34,26.84,25.81,24.94,24.66,26.66,29.34,31.38,33.38,35.5,37.69,39.09,39.28,39.25,39.25,38.69,36.69,34.41,33.66,33.16,32.69,32.47,33.22,34.38,34.25,32.97,31.5,29.78,27.5,24.44,21.75,20.59,20.31,19.94,19.41,20.38,21.66,22.84,24.16,26.19,29.25,31.47,33.03,34.72,36.97,38.91,39.47,39.69,40.28,40.0,38.94,37.75,37.06,37.16,36.56,35.72,34.91,34.53,33.59,31.62,30.12,30.0,29.69,29.44,29.19,30.09,31.44,32.09,31.75,32.31,33.19,33.31,33.34,33.88,35.06,35.81,35.56,34.91,35.06,35.34,34.66,33.62,33.47,34.31,34.41,33.78,34.16,34.78,34.69,33.59,32.84,33.03,32.75,32.06,31.44,31.97,32.81,32.88,32.72,33.97,35.12,35.91,36.19,37.12,38.47,39.41,39.06,38.31,38.06,36.84,34.34,31.66,30.19,29.75,29.34,29.25,31.25,33.66,35.38,36.16,36.59,37.06,36.53,34.94,33.56,89.69,90.34,89.88,88.47,86.78,85.22,83.78,83.25,83.34,83.41,83.28,82.84,81.91,80.81,79.47,78.75,78.16,78.5,79.41,80.09,80.94,81.62,81.94,81.53,81.62,81.41,81.03,80.69:24.47,22.91,22.0,21.53,21.44,23.03,25.94,29.53,32.53,35.66,39.31,42.59,44.69,46.03,47.69,49.09,49.25,47.75,46.53,45.09,43.28,41.25,40.31,40.44,41.0,41.31,41.38,41.62,41.66,40.78,39.25,38.28,37.34,36.66,35.69,35.88,37.5,39.97,42.25,44.81,48.28,51.16,51.94,51.0,50.31,49.0,47.12,45.38,45.03,45.28,45.25,44.5,44.12,44.38,44.59,44.09,44.06,45.19,46.34,46.97,47.25,48.28,49.22,49.88,49.66,49.75,50.47,49.97,48.72,46.88,45.41,43.41,40.38,37.59,36.12,35.09,34.25,32.94,33.06,33.34,32.66,31.5,30.88,30.44,29.81,29.0,29.12,29.94,31.31,31.78,31.75,31.81,31.84,31.12,30.0,29.62,29.97,29.69,29.25,29.09,29.44,29.56,28.97,28.38,28.09,28.22,27.66,26.88,26.84,26.94,27.12,26.72,26.72,26.88,26.53,25.34,25.03,25.69,27.31,28.66,30.06,31.75,33.28,33.31,32.75,33.16,34.19,35.28,36.0,37.34,39.0,39.81,39.28,38.53,38.09,37.97,37.59,37.38,38.38,40.09,40.5,40.28,40.03,40.0,39.25,38.12,37.47,37.34,37.53,36.84,36.12,36.19,36.44,36.0,35.47,35.75,36.19,35.78,34.97,34.75,34.84,34.91,34.25,34.09,34.66,35.47,35.62,35.69,36.66,37.97,38.5,39.44,40.66,42.53,42.97,42.72,42.41,42.16,42.0,41.06,40.47,41.06,41.75,41.62,41.66,42.28,43.25,43.34,43.38,43.66,44.31,44.84,44.0,43.56,43.47,42.59,40.69,39.03,38.09,38.06,37.41,37.75,38.94,40.84,42.12,43.0,43.66,44.56,44.12,42.81,41.19,40.34,39.16,36.78,34.53,33.44,33.03,32.41,32.16,32.47,33.34,33.31,32.38,31.75,31.97,32.38,33.03,34.28,36.34,38.59,39.19,39.25,39.25,39.38,38.81,38.06,37.66,38.16,38.62,39.06,39.59,41.28,43.34,43.91,44.78,45.75,47.0,46.94,46.59,46.53,46.66,45.28,43.16,41.31,40.41,39.72,39.03,39.25,40.84,42.56,43.88,45.16,47.22,48.53,48.0,46.28,44.28,42.59,40.62,38.91,37.94,38.47,38.88,39.0,39.31,40.62,41.94,42.38,41.88,42.25,42.59,42.12,41.16,40.72,40.44,38.69,36.06,33.41,31.69,29.97,28.84,28.53,30.12,32.31,34.06,35.5,37.97,40.34,41.62,42.12,42.38,42.66,41.66,40.06,38.69,38.59,38.62,38.03,37.38,37.59,37.78,37.06,36.16,36.31,36.72,36.66,36.16,35.81,36.25,36.16,35.81,35.84,36.62,37.69,37.34,36.66,36.91,37.56,38.16,39.12,41.31,44.28,46.09,46.81,47.47,48.34,48.41,47.0,44.69,42.78,40.28,37.09,34.38,33.06,33.22,33.72,33.88,35.38,37.31,38.62,39.19,38.91,39.0,38.56,37.06,35.16,34.94,35.16,34.75,33.91,33.81,33.69,33.25,32.28,32.75,33.72,34.47,34.16,33.34,33.38,32.78,31.88,31.16,32.16,33.69,33.94,33.78,33.75,34.09,33.62,33.06,32.81,33.72,34.53,35.09,36.25,38.62,40.44,41.25,40.81,40.41,39.41,37.53,35.59,34.97,35.34,35.88,36.03,36.62,37.41,37.44,36.47,35.06,34.78,34.5,34.25,33.94,34.59,35.19,35.28,34.38,33.78,33.78,33.5,33.12,33.5,34.66,36.03,36.59,36.31,36.84,37.47,37.75,38.12,39.38,41.34,43.22,43.75,44.41,45.69,46.22,45.91,45.44,45.41,45.09,43.5,40.78,38.41,35.72,32.53,29.47,28.12,28.06,28.94,29.59,30.91,33.16,35.31,36.34,37.16,38.62,40.03,40.38,40.41,40.75,40.81,39.84,37.62,36.16,35.28,34.53,33.66,32.81,32.81,32.72,31.62,31.03,31.5,32.78,33.59,34.81,36.41,38.62,40.5,41.5,42.59,43.62,43.28,41.34,39.34,38.06,37.25,36.34,36.03,36.59,37.44,37.28,36.81,36.69,36.84,36.5,35.5,35.06,35.38,36.28,36.88,37.31,39.06,40.66,40.94,41.06,41.47,42.19,42.28,42.5,43.31,44.66,45.16,44.31,43.28,42.31,41.41,39.56,38.06,37.88,37.94,38.03,37.62,37.75,37.88,37.34,35.88,35.47,35.84,36.81,37.06,37.47,38.53,39.22,39.03,39.03,40.22,41.38,41.69,41.25,40.56,40.31,39.69,38.75,38.44,38.59,38.84,37.5,36.31,35.69,35.5,34.72,34.0,34.41,35.12,35.72,36.0,36.84,38.25,39.12,39.19,39.38,39.97,40.53,40.12,39.66,39.09,39.09,38.09,36.97,37.41,38.5,39.66,40.53,41.62,43.03,43.81,43.47,42.97,43.31,43.81,43.31,42.25,41.59,41.16,39.88,38.34,38.38,39.25,39.97,39.88,39.91,39.97,39.19,37.78,36.06,35.31,35.06,34.47,33.91,34.34,35.84,37.28,38.28,39.56,40.94,41.09,39.84,38.75,38.81,39.03,39.0,38.91,38.56,38.38,36.91,35.31,34.44,35.12,35.88,37.16,38.78,41.22,43.19,43.84,43.91,43.94,43.47,42.19,40.91,39.97,40.59,40.62,41.31,42.53,44.19,44.94,44.84,44.41,44.19,43.66,42.41,41.41,41.19,41.09,40.84,40.56,40.84,41.84,42.47,43.0,43.09,44.19,44.44,43.84,43.34,43.34,43.59,42.97,42.53,43.28,44.28,44.44,44.44,44.66,45.12,45.31,45.16,44.69,45.09,45.16,44.44,43.78,44.19,44.59,44.06,42.75,41.5,39.72,37.69,35.06,33.5,33.44,33.78,33.78,34.06,35.12,35.41,34.72,34.16,34.5,34.94,35.38,35.72,36.88,38.44,39.81,40.19,40.62,41.53,41.59,40.88,40.09,40.25,40.12,39.53,38.62,38.34,38.31,37.56,36.56,36.03,36.53,36.38,35.66,34.69,33.78,32.72,31.0,29.44,29.62,30.38,31.0,31.25,32.69,34.25,34.94,34.88,34.88,35.09,35.25,34.81,34.81,35.69,36.94,37.09,37.09,37.88,38.5,38.78,38.94,39.56,40.31,40.19,39.06,37.56,35.94,34.69,32.97,31.22,31.0,31.47,31.31,30.78,31.44,32.25,32.94,33.31,34.66,36.78,38.66,39.88,41.0,41.81,41.88,40.62,38.62,37.0,35.47,33.25,30.91,29.78,29.34,29.22,28.62,28.03,28.16,28.03,27.28,27.19,28.62,30.75,32.38,33.72,35.56,37.09,37.88,37.84,38.34,39.22,40.28,40.53,40.94,41.84,42.78,42.62,42.44,42.88,43.66,43.69,43.53,43.62,44.03,43.75,42.5,41.12,39.66,37.75,35.81,34.5,34.94,36.16,36.91,37.88,39.75,41.16,41.75,41.97,41.91,41.94,41.28,40.31,39.56,39.97,40.81,40.81,40.56,40.78,40.81,39.53,37.53,36.09,34.56,32.62,30.19,28.78,28.38,28.22,28.38,29.03,30.72,32.81,34.62,36.84,39.62,42.94,45.38,46.56,47.84,48.38,47.94,46.94,45.88,45.62,46.16,46.22,47.16,48.88,50.5,50.75,50.38,50.0,49.69,48.09,45.97,43.66,41.44,38.69,35.19,32.25,30.97,30.47,30.31,30.94,33.41,36.72,38.78,40.5,41.69,42.59,42.28,40.81,39.97,40.0,39.84,38.53,37.44,36.5,36.0,34.59,33.62,33.59,34.28,33.66,33.0,32.06,31.56,30.47,29.0,28.19,28.81,29.59,29.56,29.62,30.19,30.31,29.5,28.31,28.28,28.56,28.41,28.41,29.25,31.0,32.25,32.88,33.22,33.75,34.06,33.59,32.91,33.25,33.59,33.0,32.09,31.44,31.19,30.31,29.59,29.12,29.44,28.78,26.91,25.38,24.69,24.66,24.66,25.16,26.84,28.69,29.56,30.12,30.66,31.44,30.88,29.28,27.81,26.91,26.0,25.12,24.78,25.69,26.91,27.41,27.84,29.0,30.62,31.69,32.16,32.97,33.72,33.38,31.06,27.53,24.16,20.66,16.97,14.25,13.94,15.09,15.91,17.06,18.78,21.03,22.69,23.53,24.22,25.28,25.69,24.91,23.94,24.25,25.0,25.44,26.47,28.5,31.34,32.75,33.28,33.91,34.75,34.75,34.19,33.75,33.78,33.03,30.78,28.34,26.84,25.81,24.94,24.66,26.66,29.34,31.38,33.38,35.5,37.69,39.09,39.28,39.25,39.25,38.69,36.69,34.41,33.66,33.16,32.69,32.47,33.22,34.38,34.25,32.97,31.5,29.78,27.5,24.44,21.75,20.59,20.31,19.94,19.41,20.38,21.66,22.84,24.16,26.19,29.25,31.47,33.03,34.72,36.97,38.91,39.47,39.69,40.28,40.0,38.94,37.75,37.06,37.16,36.56,35.72,34.91,34.53,33.59,31.62,30.12,30.0,29.69,29.44,29.19,30.09,31.44,32.09,31.75,32.31,33.19,33.31,33.34,33.88,35.06,35.81,35.56,34.91,35.06,35.34,34.66,33.62,33.47,34.31,34.41,33.78,34.16,34.78,34.69,33.59,32.84,33.03,32.75,32.06,31.44,31.97,32.81,32.88,32.72,33.97,35.12,35.91,36.19,37.12,38.47,39.41,39.06,38.31,38.06,36.84,34.34,31.66,30.19,29.75,29.34,29.25,31.25,33.66,35.38,36.16,36.59,37.06,36.53,34.94,33.56,89.69,90.34,89.88,88.47,86.78,85.22,83.78,83.25,83.34,83.41,83.28,82.84,81.91,80.81,79.47,78.75,78.16,78.5,79.41,80.09,80.94,81.62,81.94,81.53,81.62,81.41,81.03,80.69,80.78,80.81,81.25,81.34,81.31,80.75,79.5:29.53,32.53,35.66,39.31,42.59,44.69,46.03,47.69,49.09,49.25,47.75,46.53,45.09,43.28,41.25,40.31,40.44,41.0,41.31,41.38,41.62,41.66,40.78,39.25,38.28,37.34,36.66,35.69,35.88,37.5,39.97,42.25,44.81,48.28,51.16,51.94,51.0,50.31,49.0,47.12,45.38,45.03,45.28,45.25,44.5,44.12,44.38,44.59,44.09,44.06,45.19,46.34,46.97,47.25,48.28,49.22,49.88,49.66,49.75,50.47,49.97,48.72,46.88,45.41,43.41,40.38,37.59,36.12,35.09,34.25,32.94,33.06,33.34,32.66,31.5,30.88,30.44,29.81,29.0,29.12,29.94,31.31,31.78,31.75,31.81,31.84,31.12,30.0,29.62,29.97,29.69,29.25,29.09,29.44,29.56,28.97,28.38,28.09,28.22,27.66,26.88,26.84,26.94,27.12,26.72,26.72,26.88,26.53,25.34,25.03,25.69,27.31,28.66,30.06,31.75,33.28,33.31,32.75,33.16,34.19,35.28,36.0,37.34,39.0,39.81,39.28,38.53,38.09,37.97,37.59,37.38,38.38,40.09,40.5,40.28,40.03,40.0,39.25,38.12,37.47,37.34,37.53,36.84,36.12,36.19,36.44,36.0,35.47,35.75,36.19,35.78,34.97,34.75,34.84,34.91,34.25,34.09,34.66,35.47,35.62,35.69,36.66,37.97,38.5,39.44,40.66,42.53,42.97,42.72,42.41,42.16,42.0,41.06,40.47,41.06,41.75,41.62,41.66,42.28,43.25,43.34,43.38,43.66,44.31,44.84,44.0,43.56,43.47,42.59,40.69,39.03,38.09,38.06,37.41,37.75,38.94,40.84,42.12,43.0,43.66,44.56,44.12,42.81,41.19,40.34,39.16,36.78,34.53,33.44,33.03,32.41,32.16,32.47,33.34,33.31,32.38,31.75,31.97,32.38,33.03,34.28,36.34,38.59,39.19,39.25,39.25,39.38,38.81,38.06,37.66,38.16,38.62,39.06,39.59,41.28,43.34,43.91,44.78,45.75,47.0,46.94,46.59,46.53,46.66,45.28,43.16,41.31,40.41,39.72,39.03,39.25,40.84,42.56,43.88,45.16,47.22,48.53,48.0,46.28,44.28,42.59,40.62,38.91,37.94,38.47,38.88,39.0,39.31,40.62,41.94,42.38,41.88,42.25,42.59,42.12,41.16,40.72,40.44,38.69,36.06,33.41,31.69,29.97,28.84,28.53,30.12,32.31,34.06,35.5,37.97,40.34,41.62,42.12,42.38,42.66,41.66,40.06,38.69,38.59,38.62,38.03,37.38,37.59,37.78,37.06,36.16,36.31,36.72,36.66,36.16,35.81,36.25,36.16,35.81,35.84,36.62,37.69,37.34,36.66,36.91,37.56,38.16,39.12,41.31,44.28,46.09,46.81,47.47,48.34,48.41,47.0,44.69,42.78,40.28,37.09,34.38,33.06,33.22,33.72,33.88,35.38,37.31,38.62,39.19,38.91,39.0,38.56,37.06,35.16,34.94,35.16,34.75,33.91,33.81,33.69,33.25,32.28,32.75,33.72,34.47,34.16,33.34,33.38,32.78,31.88,31.16,32.16,33.69,33.94,33.78,33.75,34.09,33.62,33.06,32.81,33.72,34.53,35.09,36.25,38.62,40.44,41.25,40.81,40.41,39.41,37.53,35.59,34.97,35.34,35.88,36.03,36.62,37.41,37.44,36.47,35.06,34.78,34.5,34.25,33.94,34.59,35.19,35.28,34.38,33.78,33.78,33.5,33.12,33.5,34.66,36.03,36.59,36.31,36.84,37.47,37.75,38.12,39.38,41.34,43.22,43.75,44.41,45.69,46.22,45.91,45.44,45.41,45.09,43.5,40.78,38.41,35.72,32.53,29.47,28.12,28.06,28.94,29.59,30.91,33.16,35.31,36.34,37.16,38.62,40.03,40.38,40.41,40.75,40.81,39.84,37.62,36.16,35.28,34.53,33.66,32.81,32.81,32.72,31.62,31.03,31.5,32.78,33.59,34.81,36.41,38.62,40.5,41.5,42.59,43.62,43.28,41.34,39.34,38.06,37.25,36.34,36.03,36.59,37.44,37.28,36.81,36.69,36.84,36.5,35.5,35.06,35.38,36.28,36.88,37.31,39.06,40.66,40.94,41.06,41.47,42.19,42.28,42.5,43.31,44.66,45.16,44.31,43.28,42.31,41.41,39.56,38.06,37.88,37.94,38.03,37.62,37.75,37.88,37.34,35.88,35.47,35.84,36.81,37.06,37.47,38.53,39.22,39.03,39.03,40.22,41.38,41.69,41.25,40.56,40.31,39.69,38.75,38.44,38.59,38.84,37.5,36.31,35.69,35.5,34.72,34.0,34.41,35.12,35.72,36.0,36.84,38.25,39.12,39.19,39.38,39.97,40.53,40.12,39.66,39.09,39.09,38.09,36.97,37.41,38.5,39.66,40.53,41.62,43.03,43.81,43.47,42.97,43.31,43.81,43.31,42.25,41.59,41.16,39.88,38.34,38.38,39.25,39.97,39.88,39.91,39.97,39.19,37.78,36.06,35.31,35.06,34.47,33.91,34.34,35.84,37.28,38.28,39.56,40.94,41.09,39.84,38.75,38.81,39.03,39.0,38.91,38.56,38.38,36.91,35.31,34.44,35.12,35.88,37.16,38.78,41.22,43.19,43.84,43.91,43.94,43.47,42.19,40.91,39.97,40.59,40.62,41.31,42.53,44.19,44.94,44.84,44.41,44.19,43.66,42.41,41.41,41.19,41.09,40.84,40.56,40.84,41.84,42.47,43.0,43.09,44.19,44.44,43.84,43.34,43.34,43.59,42.97,42.53,43.28,44.28,44.44,44.44,44.66,45.12,45.31,45.16,44.69,45.09,45.16,44.44,43.78,44.19,44.59,44.06,42.75,41.5,39.72,37.69,35.06,33.5,33.44,33.78,33.78,34.06,35.12,35.41,34.72,34.16,34.5,34.94,35.38,35.72,36.88,38.44,39.81,40.19,40.62,41.53,41.59,40.88,40.09,40.25,40.12,39.53,38.62,38.34,38.31,37.56,36.56,36.03,36.53,36.38,35.66,34.69,33.78,32.72,31.0,29.44,29.62,30.38,31.0,31.25,32.69,34.25,34.94,34.88,34.88,35.09,35.25,34.81,34.81,35.69,36.94,37.09,37.09,37.88,38.5,38.78,38.94,39.56,40.31,40.19,39.06,37.56,35.94,34.69,32.97,31.22,31.0,31.47,31.31,30.78,31.44,32.25,32.94,33.31,34.66,36.78,38.66,39.88,41.0,41.81,41.88,40.62,38.62,37.0,35.47,33.25,30.91,29.78,29.34,29.22,28.62,28.03,28.16,28.03,27.28,27.19,28.62,30.75,32.38,33.72,35.56,37.09,37.88,37.84,38.34,39.22,40.28,40.53,40.94,41.84,42.78,42.62,42.44,42.88,43.66,43.69,43.53,43.62,44.03,43.75,42.5,41.12,39.66,37.75,35.81,34.5,34.94,36.16,36.91,37.88,39.75,41.16,41.75,41.97,41.91,41.94,41.28,40.31,39.56,39.97,40.81,40.81,40.56,40.78,40.81,39.53,37.53,36.09,34.56,32.62,30.19,28.78,28.38,28.22,28.38,29.03,30.72,32.81,34.62,36.84,39.62,42.94,45.38,46.56,47.84,48.38,47.94,46.94,45.88,45.62,46.16,46.22,47.16,48.88,50.5,50.75,50.38,50.0,49.69,48.09,45.97,43.66,41.44,38.69,35.19,32.25,30.97,30.47,30.31,30.94,33.41,36.72,38.78,40.5,41.69,42.59,42.28,40.81,39.97,40.0,39.84,38.53,37.44,36.5,36.0,34.59,33.62,33.59,34.28,33.66,33.0,32.06,31.56,30.47,29.0,28.19,28.81,29.59,29.56,29.62,30.19,30.31,29.5,28.31,28.28,28.56,28.41,28.41,29.25,31.0,32.25,32.88,33.22,33.75,34.06,33.59,32.91,33.25,33.59,33.0,32.09,31.44,31.19,30.31,29.59,29.12,29.44,28.78,26.91,25.38,24.69,24.66,24.66,25.16,26.84,28.69,29.56,30.12,30.66,31.44,30.88,29.28,27.81,26.91,26.0,25.12,24.78,25.69,26.91,27.41,27.84,29.0,30.62,31.69,32.16,32.97,33.72,33.38,31.06,27.53,24.16,20.66,16.97,14.25,13.94,15.09,15.91,17.06,18.78,21.03,22.69,23.53,24.22,25.28,25.69,24.91,23.94,24.25,25.0,25.44,26.47,28.5,31.34,32.75,33.28,33.91,34.75,34.75,34.19,33.75,33.78,33.03,30.78,28.34,26.84,25.81,24.94,24.66,26.66,29.34,31.38,33.38,35.5,37.69,39.09,39.28,39.25,39.25,38.69,36.69,34.41,33.66,33.16,32.69,32.47,33.22,34.38,34.25,32.97,31.5,29.78,27.5,24.44,21.75,20.59,20.31,19.94,19.41,20.38,21.66,22.84,24.16,26.19,29.25,31.47,33.03,34.72,36.97,38.91,39.47,39.69,40.28,40.0,38.94,37.75,37.06,37.16,36.56,35.72,34.91,34.53,33.59,31.62,30.12,30.0,29.69,29.44,29.19,30.09,31.44,32.09,31.75,32.31,33.19,33.31,33.34,33.88,35.06,35.81,35.56,34.91,35.06,35.34,34.66,33.62,33.47,34.31,34.41,33.78,34.16,34.78,34.69,33.59,32.84,33.03,32.75,32.06,31.44,31.97,32.81,32.88,32.72,33.97,35.12,35.91,36.19,37.12,38.47,39.41,39.06,38.31,38.06,36.84,34.34,31.66,30.19,29.75,29.34,29.25,31.25,33.66,35.38,36.16,36.59,37.06,36.53,34.94,33.56,89.69,90.34,89.88,88.47,86.78,85.22,83.78,83.25,83.34,83.41,83.28,82.84,81.91,80.81,79.47,78.75,78.16,78.5,79.41,80.09,80.94,81.62,81.94,81.53,81.62,81.41,81.03,80.69,80.78,80.81,81.25,81.34,81.31,80.75,79.5,77.91,75.78,74.16,73.06,72.75,73.38,74.72:negativity
7.69,8.41,7.16,6.12,7.94,10.22,10.06,8.88,8.72,9.47,8.44,6.06,5.62,7.53,8.59,7.78,6.94,9.03,10.12,9.0,7.44,8.47,10.0,9.5,8.19,9.22,11.34,11.94,10.59,10.28,11.56,11.5,9.06,7.34,8.34,8.91,7.19,4.72,4.72,4.88,3.16,1.09,1.28,3.38,4.69,4.72,5.94,9.28,11.53,10.94,10.78,12.84,14.53,14.53,13.62,14.53,15.38,13.94,10.66,9.41,10.28,10.19,8.69,8.59,10.25,11.0,9.47,7.81,8.69,9.19,8.03,6.28,7.62,10.0,10.56,10.12,10.56,11.88,11.31,8.31,6.56,6.69,6.31,4.19,3.06,5.12,8.03,9.38,9.75,12.44,15.31,16.31,16.34,17.88,20.41,21.75,21.16,20.81,22.62,23.72,22.38,21.09,21.88,22.25,20.03,16.78,15.88,16.19,15.5,14.06,14.28,16.16,16.56,14.62,13.47,14.28,15.12,13.78,13.06,14.69,16.09,15.34,12.75,11.78,11.72,10.59,8.62,8.75,11.06,12.56,12.16,11.84,13.22,14.09,12.47,10.66,11.53,13.0,12.47,10.59,10.78,11.5,10.84,8.59,8.56,10.66,12.84,13.38,15.22,19.19,22.44,22.78,22.38,23.66,24.47,23.84,22.06,22.47,24.34,25.16,23.88,23.5,24.06,23.47,20.19,17.09,16.69,16.88,15.5,14.12,15.75,17.59,17.59,16.22,16.47,17.78,18.16,16.56,16.22,18.03,19.03,17.25,16.06,16.62,16.88,14.59,11.53,11.22,12.03,11.44,9.97,10.59,11.75,11.78,9.94,9.62,11.34,12.78,12.38,12.75,15.5,18.28,18.53,17.78,18.12,18.59,16.91,13.38,11.97,11.91,11.0,8.66,7.84,9.25,10.47,9.47,8.84,10.56,12.78,12.59,12.12,13.72,16.09,16.41,15.09,15.31,16.72,16.66,14.22,12.66,12.41,11.53,8.28,5.78,6.19,7.59,7.62,7.12,9.03,11.59,12.28,11.31,11.97,13.81,14.78,13.91,14.12,16.69,18.56,18.41,17.97,19.69,20.78,19.28,16.47,15.25,15.12,13.75,11.38,11.44,13.53,14.84,13.69,12.91,13.81,14.0,12.06,10.19,11.09,12.84,12.69,11.81,12.75,14.12,13.94,12.03,11.78,12.88,13.69,12.03,10.88,11.78,12.56,10.72,9.12,9.53,10.44,9.84,8.53,9.25,11.56,12.5,11.88,12.09,13.91,15.19,13.41,12.41,13.16,13.78,12.19,10.62,11.5,13.62,13.75,13.06,14.28,16.66,17.62,16.88,17.38,19.28,20.12,18.34,16.62,17.25,17.91,15.91,14.12,14.59,15.78,14.88,13.12,13.25,14.03,13.88,12.03,11.53,12.81,14.25,13.75,13.84,16.03,18.25,17.72,16.31,16.94,17.81,17.34,15.31,15.09,15.72,14.91,12.0,10.34,10.94,11.69,10.59,10.56,12.72,15.12,15.38,14.5,15.56,17.25,16.78,15.12,14.66,15.66,15.44,12.75,11.28,12.03,12.62,10.78,9.34,10.12,11.0,9.81,8.59,9.75,12.03,12.69,11.38,11.91,13.34,14.19,12.81,12.25,13.47,14.06,12.03,9.94,9.84,10.22,8.56,6.66,7.09,8.88,9.53,8.97,9.41,11.56,12.0,10.09,8.84,10.0,11.09,9.81,8.69,9.47,11.03,9.78,7.78,7.78,8.41,7.5,5.31,4.69,6.0,6.62,5.56,5.75,8.31,10.41,9.91,9.16,10.28,12.16,12.28,12.34,14.31,16.72,17.25,15.69,15.03,15.72,15.75,13.41,11.91,12.5,13.38,12.44,11.72,12.88,15.0,15.34,14.78,15.91,18.38,19.03,17.25,16.41,17.59,17.81,16.25,15.72,17.62,19.94,19.66,19.44,21.09,23.56,24.09,23.66,24.94,27.25,28.06,26.47,25.12,25.0,23.75,20.31,18.06,18.22,19.22,18.06,16.47,16.81,17.53,16.53,15.44,16.72,19.97,22.59,23.25,24.34,26.28,27.38,25.84,24.47,24.81,25.5,23.72,21.69,21.59,22.81,22.47,21.16,21.31,23.0,23.41,22.12,21.59,23.44,24.44,22.5,20.81,20.88,21.38,20.03,19.03,19.91,22.19,22.62,21.94,22.44,24.12,24.66,22.94,22.03,22.84,23.0,20.72,18.53,18.56,19.41,18.78,17.78,18.5,20.19,20.38,18.62,18.47,19.72,20.47,19.31,18.56,19.72,20.47,18.72,16.81,17.12,17.97,16.62,14.81,14.53,15.59,14.94,13.25,12.94,14.0,14.16,12.62,11.97,13.62,15.69,15.75,15.34,17.19,19.28,19.0,18.28,19.25,22.22,23.78,23.38,23.56,24.62,24.0,20.81,18.25,18.19,18.78,17.56,16.72,18.19,20.03,19.91,18.44,18.38,19.47,18.97,16.5,14.94,15.38,15.06,12.78,11.78,13.53,15.53,15.31,14.69,15.47,16.78,15.88,13.91,13.25,14.25,13.75,11.62,11.06,12.88,14.56,14.28,14.47,16.47,18.0,16.75,14.72,14.06,14.53,13.47,11.66,11.66,13.06,13.09,11.06,9.97,11.12,11.56,10.19,9.38,10.84,12.5,12.41,11.53,12.69,14.03,13.38,11.53,10.81,11.44,11.25,9.91,9.66,11.62,13.62,13.38,12.66,13.88,15.31,14.69,13.75,15.28,17.56,18.69,18.06,18.28,20.12,20.53,19.59,19.25,20.88,22.12,20.56,18.84,18.66,18.84,17.5,15.78,16.28,18.09,18.12,16.97,17.66,20.06,21.56,21.47,21.62,23.28,24.06,21.69,19.06,18.34,17.66,15.0,11.97,10.88,10.97,10.16,8.5,8.25,10.16,11.41,11.03,11.59,14.94,17.53,18.34,18.97,20.56,22.94,22.97,22.44,23.62,25.88,26.66,25.53,25.19,26.19,26.22,24.38,23.12,23.81,24.38,22.53,19.69,18.53,17.66,14.88,11.69,10.47,11.34,11.81,11.19,12.12,14.72,16.28,15.59,14.53,15.56,16.53,15.16,13.56,14.31,15.97,16.5,16.06,17.25,19.31,19.75,18.31,17.31,17.88,17.31,14.31,11.19,10.5,10.25,8.56,6.84,6.78,7.22,5.56,2.16,0.62,1.16,1.88,1.66,3.22,7.28,10.47,11.44,12.03,14.84,17.56,17.84,17.53,18.75,21.19,22.25,22.0,22.75,24.41,23.69,20.59,17.97,17.91,17.84,16.56,15.09,16.34,17.44,16.38,14.72,14.94,17.19,17.94,17.69,18.94,21.53,22.91,21.44,20.25,20.66,20.34,17.81,15.69,16.12,17.56,17.38,16.34,16.38,17.31,16.0,13.06,11.5,12.28,12.66,11.47,11.47,13.5,15.34,15.16,14.66,16.5,18.69,19.16,18.28,19.28,20.78,20.38,18.03,16.5,16.19,15.19,12.25,10.28,10.69,11.28,9.81,8.59,9.88,12.03,12.84,12.62,13.88,15.66,15.38,13.09,12.28,13.91,15.41,15.03,14.94,15.88,15.41,12.16,8.41,7.09,7.69,7.84,7.25,9.0,12.0,13.22,12.25,11.62,12.72,13.19,11.91,11.59,14.22,16.78,17.16,16.62,17.44,18.34,17.06,14.06,12.0,10.78,8.84,5.75,4.34,5.44,6.56,6.47,7.03,10.31,13.88,15.5,15.78,17.47,19.34,19.28,17.97,18.09,19.59,20.38,18.88,17.91,18.75,18.91,16.56,13.84,13.5,12.91,10.53,7.44,7.03,7.91,7.75,6.38,6.88,8.78,9.59,9.03,9.56,12.59,15.5,16.69,17.59,20.66,23.28,22.97,21.38,21.28,21.75,20.59,18.03,16.5,16.22,14.84,11.22,8.53,8.94,9.84,9.38,9.53,11.91,14.47,14.28,12.66,12.81,13.62,13.53,12.25,12.5,14.72,16.59,16.28,16.47,18.25,18.94,16.59,12.62,11.16,9.66,6.56,3.28,2.16,2.47,1.94,0.69,1.19,3.53,4.97,4.31,3.78,5.41,6.62,5.72,4.22,5.66,7.5,7.62,7.09,8.81,10.91,11.88,10.5,10.0,10.94,11.28,9.75,8.47,9.88,11.41,10.97,10.25,11.91,13.53,12.75,9.94,8.44,8.44,7.5,5.47,5.0,6.59,7.56,6.69,6.25,8.69,11.06,11.41,10.62,11.56,12.34,10.88,7.47,5.5,4.62,3.28,0.81,0.16,2.25,4.44,5.0,5.41,7.97,9.75,9.16,7.28,7.38,8.25,7.94,6.56,6.88,8.66,9.31,7.81,6.81,7.53,7.97,6.44,4.81,6.22,8.0,7.47,6.06,6.56,7.88,7.31,5.72,6.0,8.0,9.22,8.31,7.84,9.16,9.44,7.31,4.91,4.44,4.47,3.12,1.53,2.31,4.81,5.91,5.41,5.75,7.34,7.47,5.34,3.41,3.44,3.44,1.47,0.03,1.41,3.62,4.62,4.88,7.25,10.69,12.16,12.25,13.28,15.62,16.84,15.97,15.66,17.34,18.84,18.28,17.16,18.38,19.78,19.12,17.16,16.88,17.75,17.44,16.38,16.41,18.41,19.28,17.84,16.28,16.84,17.44,15.72,13.72,13.69,13.75,11.75,8.44,6.44,5.56,3.34,0.22,-0.31,2.03,4.62,5.25,5.47,6.78,6.53,2.78,-1.59,-4.41,-5.97,-8.69,-11.75,-12.69,-11.47,-10.81,-11.56,-10.88,-7.78,-5.5,-5.56,-5.25,-3.06,-0.03,1.19,2.81,6.78,11.97,14.72,15.25,16.41,16.91,15.12,10.16,5.38,2.22,-1.47,-7.34,-12.69,-15.06,-16.41,-18.84,-20.66,-19.12,-15.28,-12.31,-9.62,-4.84,1.47,6.69,9.22,11.56,14.34,15.66,13.31,10.31,9.19,8.16,4.94,1.19,-0.78,-1.75,-4.47,-7.66,-8.69,-7.47,-6.09:8.88,8.72,9.47,8.44,6.06,5.62,7.53,8.59,7.78,6.94,9.03,10.12,9.0,7.44,8.47,10.0,9.5,8.19,9.22,11.34,11.94,10.59,10.28,11.56,11.5,9.06,7.34,8.34,8.91,7.19,4.72,4.72,4.88,3.16,1.09,1.28,3.38,4.69,4.72,5.94,9.28,11.53,10.94,10.78,12.84,14.53,14.53,13.62,14.53,15.38,13.94,10.66,9.41,10.28,10.19,8.69,8.59,10.25,11.0,9.47,7.81,8.69,9.19,8.03,6.28,7.62,10.0,10.56,10.12,10.56,11.88,11.31,8.31,6.56,6.69,6.31,4.19,3.06,5.12,8.03,9.38,9.75,12.44,15.31,16.31,16.34,17.88,20.41,21.75,21.16,20.81,22.62,23.72,22.38,21.09,21.88,22.25,20.03,16.78,15.88,16.19,15.5,14.06,14.28,16.16,16.56,14.62,13.47,14.28,15.12,13.78,13.06,14.69,16.09,15.34,12.75,11.78,11.72,10.59,8.62,8.75,11.06,12.56,12.16,11.84,13.22,14.09,12.47,10.66,11.53,13.0,12.47,10.59,10.78,11.5,10.84,8.59,8.56,10.66,12.84,13.38,15.22,19.19,22.44,22.78,22.38,23.66,24.47,23.84,22.06,22.47,24.34,25.16,23.88,23.5,24.06,23.47,20.19,17.09,16.69,16.88,15.5,14.12,15.75,17.59,17.59,16.22,16.47,17.78,18.16,16.56,16.22,18.03,19.03,17.25,16.06,16.62,16.88,14.59,11.53,11.22,12.03,11.44,9.97,10.59,11.75,11.78,9.94,9.62,11.34,12.78,12.38,12.75,15.5,18.28,18.53,17.78,18.12,18.59,16.91,13.38,11.97,11.91,11.0,8.66,7.84,9.25,10.47,9.47,8.84,10.56,12.78,12.59,12.12,13.72,16.09,16.41,15.09,15.31,16.72,16.66,14.22,12.66,12.41,11.53,8.28,5.78,6.19,7.59,7.62,7.12,9.03,11.59,12.28,11.31,11.97,13.81,14.78,13.91,14.12,16.69,18.56,18.41,17.97,19.69,20.78,19.28,16.47,15.25,15.12,13.75,11.38,11.44,13.53,14.84,13.69,12.91,13.81,14.0,12.06,10.19,11.09,12.84,12.69,11.81,12.75,14.12,13.94,12.03,11.78,12.88,13.69,12.03,10.88,11.78,12.56,10.72,9.12,9.53,10.44,9.84,8.53,9.25,11.56,12.5,11.88,12.09,13.91,15.19,13.41,12.41,13.16,13.78,12.19,10.62,11.5,13.62,13.75,13.06,14.28,16.66,17.62,16.88,17.38,19.28,20.12,18.34,16.62,17.25,17.91,15.91,14.12,14.59,15.78,14.88,13.12,13.25,14.03,13.88,12.03,11.53,12.81,14.25,13.75,13.84,16.03,18.25,17.72,16.31,16.94,17.81,17.34,15.31,15.09,15.72,14.91,12.0,10.34,10.94,11.69,10.59,10.56,12.72,15.12,15.38,14.5,15.56,17.25,16.78,15.12,14.66,15.66,15.44,12.75,11.28,12.03,12.62,10.78,9.34,10.12,11.0,9.81,8.59,9.75,12.03,12.69,11.38,11.91,13.34,14.19,12.81,12.25,13.47,14.06,12.03,9.94,9.84,10.22,8.56,6.66,7.09,8.88,9.53,8.97,9.41,11.56,12.0,10.09,8.84,10.0,11.09,9.81,8.69,9.47,11.03,9.78,7.78,7.78,8.41,7.5,5.31,4.69,6.0,6.62,5.56,5.75,8.31,10.41,9.91,9.16,10.28,12.16,12.28,12.34,14.31,16.72,17.25,15.69,15.03,15.72,15.75,13.41,11.91,12.5,13.38,12.44,11.72,12.88,15.0,15.34,14.78,15.91,18.38,19.03,17.25,16.41,17.59,17.81,16.25,15.72,17.62,19.94,19.66,19.44,21.09,23.56,24.09,23.66,24.94,27.25,28.06,26.47,25.12,25.0,23.75,20.31,18.06,18.22,19.22,18.06,16.47,16.81,17.53,16.53,15.44,16.72,19.97,22.59,23.25,24.34,26.28,27.38,25.84,24.47,24.81,25.5,23.72,21.69,21.59,22.81,22.47,21.16,21.31,23.0,23.41,22.12,21.59,23.44,24.44,22.5,20.81,20.88,21.38,20.03,19.03,19.91,22.19,22.62,21.94,22.44,24.12,24.66,22.94,22.03,22.84,23.0,20.72,18.53,18.56,19.41,18.78,17.78,18.5,20.19,20.38,18.62,18.47,19.72,20.47,19.31,18.56,19.72,20.47,18.72,16.81,17.12,17.97,16.62,14.81,14.53,15.59,14.94,13.25,12.94,14.0,14.16,12.62,11.97,13.62,15.69,15.75,15.34,17.19,19.28,19.0,18.28,19.25,22.22,23.78,23.38,23.56,24.62,24.0,20.81,18.25,18.19,18.78,17.56,16.72,18.19,20.03,19.91,18.44,18.38,19.47,18.97,16.5,14.94,15.38,15.06,12.78,11.78,13.53,15.53,15.31,14.69,15.47,16.78,15.88,13.91,13.25,14.25,13.75,11.62,11.06,12.88,14.56,14.28,14.47,16.47,18.0,16.75,14.72,14.06,14.53,13.47,11.66,11.66,13.06,13.09,11.06,9.97,11.12,11.56,10.19,9.38,10.84,12.5,12.41,11.53,12.69,14.03,13.38,11.53,10.81,11.44,11.25,9.91,9.66,11.62,13.62,13.38,12.66,13.88,15.31,14.69,13.75,15.28,17.56,18.69,18.06,18.28,20.12,20.53,19.59,19.25,20.88,22.12,20.56,18.84,18.66,18.84,17.5,15.78,16.28,18.09,18.12,16.97,17.66,20.06,21.56,21.47,21.62,23.28,24.06,21.69,19.06,18.34,17.66,15.0,11.97,10.88,10.97,10.16,8.5,8.25,10.16,11.41,11.03,11.59,14.94,17.53,18.34,18.97,20.56,22.94,22.97,22.44,23.62,25.88,26.66,25.53,25.19,26.19,26.22,24.38,23.12,23.81,24.38,22.53,19.69,18.53,17.66,14.88,11.69,10.47,11.34,11.81,11.19,12.12,14.72,16.28,15.59,14.53,15.56,16.53,15.16,13.56,14.31,15.97,16.5,16.06,17.25,19.31,19.75,18.31,17.31,17.88,17.31,14.31,11.19,10.5,10.25,8.56,6.84,6.78,7.22,5.56,2.16,0.62,1.16,1.88,1.66,3.22,7.28,10.47,11.44,12.03,14.84,17.56,17.84,17.53,18.75,21.19,22.25,22.0,22.75,24.41,23.69,20.59,17.97,17.91,17.84,16.56,15.09,16.34,17.44,16.38,14.72,14.94,17.19,17.94,17.69,18.94,21.53,22.91,21.44,20.25,20.66,20.34,17.81,15.69,16.12,17.56,17.38,16.34,16.38,17.31,16.0,13.06,11.5,12.28,12.66,11.47,11.47,13.5,15.34,15.16,14.66,16.5,18.69,19.16,18.28,19.28,20.78,20.38,18.03,16.5,16.19,15.19,12.25,10.28,10.69,11.28,9.81,8.59,9.88,12.03,12.84,12.62,13.88,15.66,15.38,13.09,12.28,13.91,15.41,15.03,14.94,15.88,15.41,12.16,8.41,7.09,7.69,7.84,7.25,9.0,12.0,13.22,12.25,11.62,12.72,13.19,11.91,11.59,14.22,16.78,17.16,16.62,17.44,18.34,17.06,14.06,12.0,10.78,8.84,5.75,4.34,5.44,6.56,6.47,7.03,10.31,13.88,15.5,15.78,17.47,19.34,19.28,17.97,18.09,19.59,20.38,18.88,17.91,18.75,18.91,16.56,13.84,13.5,12.91,10.53,7.44,7.03,7.91,7.75,6.38,6.88,8.78,9.59,9.03,9.56,12.59,15.5,16.69,17.59,20.66,23.28,22.97,21.38,21.28,21.75,20.59,18.03,16.5,16.22,14.84,11.22,8.53,8.94,9.84,9.38,9.53,11.91,14.47,14.28,12.66,12.81,13.62,13.53,12.25,12.5,14.72,16.59,16.28,16.47,18.25,18.94,16.59,12.62,11.16,9.66,6.56,3.28,2.16,2.47,1.94,0.69,1.19,3.53,4.97,4.31,3.78,5.41,6.62,5.72,4.22,5.66,7.5,7.62,7.09,8.81,10.91,11.88,10.5,10.0,10.94,11.28,9.75,8.47,9.88,11.41,10.97,10.25,11.91,13.53,12.75,9.94,8.44,8.44,7.5,5.47,5.0,6.59,7.56,6.69,6.25,8.69,11.06,11.41,10.62,11.56,12.34,10.88,7.47,5.5,4.62,3.28,0.81,0.16,2.25,4.44,5.0,5.41,7.97,9.75,9.16,7.28,7.38,8.25,7.94,6.56,6.88,8.66,9.31,7.81,6.81,7.53,7.97,6.44,4.81,6.22,8.0,7.47,6.06,6.56,7.88,7.31,5.72,6.0,8.0,9.22,8.31,7.84,9.16,9.44,7.31,4.91,4.44,4.47,3.12,1.53,2.31,4.81,5.91,5.41,5.75,7.34,7.47,5.34,3.41,3.44,3.44,1.47,0.03,1.41,3.62,4.62,4.88,7.25,10.69,12.16,12.25,13.28,15.62,16.84,15.97,15.66,17.34,18.84,18.28,17.16,18.38,19.78,19.12,17.16,16.88,17.75,17.44,16.38,16.41,18.41,19.28,17.84,16.28,16.84,17.44,15.72,13.72,13.69,13.75,11.75,8.44,6.44,5.56,3.34,0.22,-0.31,2.03,4.62,5.25,5.47,6.78,6.53,2.78,-1.59,-4.41,-5.97,-8.69,-11.75,-12.69,-11.47,-10.81,-11.56,-10.88,-7.78,-5.5,-5.56,-5.25,-3.06,-0.03,1.19,2.81,6.78,11.97,14.72,15.25,16.41,16.91,15.12,10.16,5.38,2.22,-1.47,-7.34,-12.69,-15.06,-16.41,-18.84,-20.66,-19.12,-15.28,-12.31,-9.62,-4.84,1.47,6.69,9.22,11.56,14.34,15.66,13.31,10.31,9.19,8.16,4.94,1.19,-0.78,-1.75,-4.47,-7.66,-8.69,-7.47,-6.09,18.44,18.44,17.0,16.06,17.34,19.06,19.56:8.59,7.78,6.94,9.03,10.12,9.0,7.44,8.47,10.0,9.5,8.19,9.22,11.34,11.94,10.59,10.28,11.56,11.5,9.06,7.34,8.34,8.91,7.19,4.72,4.72,4.88,3.16,1.09,1.28,3.38,4.69,4.72,5.94,9.28,11.53,10.94,10.78,12.84,14.53,14.53,13.62,14.53,15.38,13.94,10.66,9.41,10.28,10.19,8.69,8.59,10.25,11.0,9.47,7.81,8.69,9.19,8.03,6.28,7.62,10.0,10.56,10.12,10.56,11.88,11.31,8.31,6.56,6.69,6.31,4.19,3.06,5.12,8.03,9.38,9.75,12.44,15.31,16.31,16.34,17.88,20.41,21.75,21.16,20.81,22.62,23.72,22.38,21.09,21.88,22.25,20.03,16.78,15.88,16.19,15.5,14.06,14.28,16.16,16.56,14.62,13.47,14.28,15.12,13.78,13.06,14.69,16.09,15.34,12.75,11.78,11.72,10.59,8.62,8.75,11.06,12.56,12.16,11.84,13.22,14.09,12.47,10.66,11.53,13.0,12.47,10.59,10.78,11.5,10.84,8.59,8.56,10.66,12.84,13.38,15.22,19.19,22.44,22.78,22.38,23.66,24.47,23.84,22.06,22.47,24.34,25.16,23.88,23.5,24.06,23.47,20.19,17.09,16.69,16.88,15.5,14.12,15.75,17.59,17.59,16.22,16.47,17.78,18.16,16.56,16.22,18.03,19.03,17.25,16.06,16.62,16.88,14.59,11.53,11.22,12.03,11.44,9.97,10.59,11.75,11.78,9.94,9.62,11.34,12.78,12.38,12.75,15.5,18.28,18.53,17.78,18.12,18.59,16.91,13.38,11.97,11.91,11.0,8.66,7.84,9.25,10.47,9.47,8.84,10.56,12.78,12.59,12.12,13.72,16.09,16.41,15.09,15.31,16.72,16.66,14.22,12.66,12.41,11.53,8.28,5.78,6.19,7.59,7.62,7.12,9.03,11.59,12.28,11.31,11.97,13.81,14.78,13.91,14.12,16.69,18.56,18.41,17.97,19.69,20.78,19.28,16.47,15.25,15.12,13.75,11.38,11.44,13.53,14.84,13.69,12.91,13.81,14.0,12.06,10.19,11.09,12.84,12.69,11.81,12.75,14.12,13.94,12.03,11.78,12.88,13.69,12.03,10.88,11.78,12.56,10.72,9.12,9.53,10.44,9.84,8.53,9.25,11.56,12.5,11.88,12.09,13.91,15.19,13.41,12.41,13.16,13.78,12.19,10.62,11.5,13.62,13.75,13.06,14.28,16.66,17.62,16.88,17.38,19.28,20.12,18.34,16.62,17.25,17.91,15.91,14.12,14.59,15.78,14.88,13.12,13.25,14.03,13.88,12.03,11.53,12.81,14.25,13.75,13.84,16.03,18.25,17.72,16.31,16.94,17.81,17.34,15.31,15.09,15.72,14.91,12.0,10.34,10.94,11.69,10.59,10.56,12.72,15.12,15.38,14.5,15.56,17.25,16.78,15.12,14.66,15.66,15.44,12.75,11.28,12.03,12.62,10.78,9.34,10.12,11.0,9.81,8.59,9.75,12.03,12.69,11.38,11.91,13.34,14.19,12.81,12.25,13.47,14.06,12.03,9.94,9.84,10.22,8.56,6.66,7.09,8.88,9.53,8.97,9.41,11.56,12.0,10.09,8.84,10.0,11.09,9.81,8.69,9.47,11.03,9.78,7.78,7.78,8.41,7.5,5.31,4.69,6.0,6.62,5.56,5.75,8.31,10.41,9.91,9.16,10.28,12.16,12.28,12.34,14.31,16.72,17.25,15.69,15.03,15.72,15.75,13.41,11.91,12.5,13.38,12.44,11.72,12.88,15.0,15.34,14.78,15.91,18.38,19.03,17.25,16.41,17.59,17.81,16.25,15.72,17.62,19.94,19.66,19.44,21.09,23.56,24.09,23.66,24.94,27.25,28.06,26.47,25.12,25.0,23.75,20.31,18.06,18.22,19.22,18.06,16.47,16.81,17.53,16.53,15.44,16.72,19.97,22.59,23.25,24.34,26.28,27.38,25.84,24.47,24.81,25.5,23.72,21.69,21.59,22.81,22.47,21.16,21.31,23.0,23.41,22.12,21.59,23.44,24.44,22.5,20.81,20.88,21.38,20.03,19.03,19.91,22.19,22.62,21.94,22.44,24.12,24.66,22.94,22.03,22.84,23.0,20.72,18.53,18.56,19.41,18.78,17.78,18.5,20.19,20.38,18.62,18.47,19.72,20.47,19.31,18.56,19.72,20.47,18.72,16.81,17.12,17.97,16.62,14.81,14.53,15.59,14.94,13.25,12.94,14.0,14.16,12.62,11.97,13.62,15.69,15.75,15.34,17.19,19.28,19.0,18.28,19.25,22.22,23.78,23.38,23.56,24.62,24.0,20.81,18.25,18.19,18.78,17.56,16.72,18.19,20.03,19.91,18.44,18.38,19.47,18.97,16.5,14.94,15.38,15.06,12.78,11.78,13.53,15.53,15.31,14.69,15.47,16.78,15.88,13.91,13.25,14.25,13.75,11.62,11.06,12.88,14.56,14.28,14.47,16.47,18.0,16.75,14.72,14.06,14.53,13.47,11.66,11.66,13.06,13.09,11.06,9.97,11.12,11.56,10.19,9.38,10.84,12.5,12.41,11.53,12.69,14.03,13.38,11.53,10.81,11.44,11.25,9.91,9.66,11.62,13.62,13.38,12.66,13.88,15.31,14.69,13.75,15.28,17.56,18.69,18.06,18.28,20.12,20.53,19.59,19.25,20.88,22.12,20.56,18.84,18.66,18.84,17.5,15.78,16.28,18.09,18.12,16.97,17.66,20.06,21.56,21.47,21.62,23.28,24.06,21.69,19.06,18.34,17.66,15.0,11.97,10.88,10.97,10.16,8.5,8.25,10.16,11.41,11.03,11.59,14.94,17.53,18.34,18.97,20.56,22.94,22.97,22.44,23.62,25.88,26.66,25.53,25.19,26.19,26.22,24.38,23.12,23.81,24.38,22.53,19.69,18.53,17.66,14.88,11.69,10.47,11.34,11.81,11.19,12.12,14.72,16.28,15.59,14.53,15.56,16.53,15.16,13.56,14.31,15.97,16.5,16.06,17.25,19.31,19.75,18.31,17.31,17.88,17.31,14.31,11.19,10.5,10.25,8.56,6.84,6.78,7.22,5.56,2.16,0.62,1.16,1.88,1.66,3.22,7.28,10.47,11.44,12.03,14.84,17.56,17.84,17.53,18.75,21.19,22.25,22.0,22.75,24.41,23.69,20.59,17.97,17.91,17.84,16.56,15.09,16.34,17.44,16.38,14.72,14.94,17.19,17.94,17.69,18.94,21.53,22.91,21.44,20.25,20.66,20.34,17.81,15.69,16.12,17.56,17.38,16.34,16.38,17.31,16.0,13.06,11.5,12.28,12.66,11.47,11.47,13.5,15.34,15.16,14.66,16.5,18.69,19.16,18.28,19.28,20.78,20.38,18.03,16.5,16.19,15.19,12.25,10.28,10.69,11.28,9.81,8.59,9.88,12.03,12.84,12.62,13.88,15.66,15.38,13.09,12.28,13.91,15.41,15.03,14.94,15.88,15.41,12.16,8.41,7.09,7.69,7.84,7.25,9.0,12.0,13.22,12.25,11.62,12.72,13.19,11.91,11.59,14.22,16.78,17.16,16.62,17.44,18.34,17.06,14.06,12.0,10.78,8.84,5.75,4.34,5.44,6.56,6.47,7.03,10.31,13.88,15.5,15.78,17.47,19.34,19.28,17.97,18.09,19.59,20.38,18.88,17.91,18.75,18.91,16.56,13.84,13.5,12.91,10.53,7.44,7.03,7.91,7.75,6.38,6.88,8.78,9.59,9.03,9.56,12.59,15.5,16.69,17.59,20.66,23.28,22.97,21.38,21.28,21.75,20.59,18.03,16.5,16.22,14.84,11.22,8.53,8.94,9.84,9.38,9.53,11.91,14.47,14.28,12.66,12.81,13.62,13.53,12.25,12.5,14.72,16.59,16.28,16.47,18.25,18.94,16.59,12.62,11.16,9.66,6.56,3.28,2.16,2.47,1.94,0.69,1.19,3.53,4.97,4.31,3.78,5.41,6.62,5.72,4.22,5.66,7.5,7.62,7.09,8.81,10.91,11.88,10.5,10.0,10.94,11.28,9.75,8.47,9.88,11.41,10.97,10.25,11.91,13.53,12.75,9.94,8.44,8.44,7.5,5.47,5.0,6.59,7.56,6.69,6.25,8.69,11.06,11.41,10.62,11.56,12.34,10.88,7.47,5.5,4.62,3.28,0.81,0.16,2.25,4.44,5.0,5.41,7.97,9.75,9.16,7.28,7.38,8.25,7.94,6.56,6.88,8.66,9.31,7.81,6.81,7.53,7.97,6.44,4.81,6.22,8.0,7.47,6.06,6.56,7.88,7.31,5.72,6.0,8.0,9.22,8.31,7.84,9.16,9.44,7.31,4.91,4.44,4.47,3.12,1.53,2.31,4.81,5.91,5.41,5.75,7.34,7.47,5.34,3.41,3.44,3.44,1.47,0.03,1.41,3.62,4.62,4.88,7.25,10.69,12.16,12.25,13.28,15.62,16.84,15.97,15.66,17.34,18.84,18.28,17.16,18.38,19.78,19.12,17.16,16.88,17.75,17.44,16.38,16.41,18.41,19.28,17.84,16.28,16.84,17.44,15.72,13.72,13.69,13.75,11.75,8.44,6.44,5.56,3.34,0.22,-0.31,2.03,4.62,5.25,5.47,6.78,6.53,2.78,-1.59,-4.41,-5.97,-8.69,-11.75,-12.69,-11.47,-10.81,-11.56,-10.88,-7.78,-5.5,-5.56,-5.25,-3.06,-0.03,1.19,2.81,6.78,11.97,14.72,15.25,16.41,16.91,15.12,10.16,5.38,2.22,-1.47,-7.34,-12.69,-15.06,-16.41,-18.84,-20.66,-19.12,-15.28,-12.31,-9.62,-4.84,1.47,6.69,9.22,11.56,14.34,15.66,13.31,10.31,9.19,8.16,4.94,1.19,-0.78,-1.75,-4.47,-7.66,-8.69,-7.47,-6.09,18.44,18.44,17.0,16.06,17.34,19.06,19.56,19.28,19.88,20.59,20.12,18.59,18.69,20.03:8.47,10.0,9.5,8.19,9.22,11.34,11.94,10.59,10.28,11.56,11.5,9.06,7.34,8.34,8.91,7.19,4.72,4.72,4.88,3.16,1.09,1.28,3.38,4.69,4.72,5.94,9.28,11.53,10.94,10.78,12.84,14.53,14.53,13.62,14.53,15.38,13.94,10.66,9.41,10.28,10.19,8.69,8.59,10.25,11.0,9.47,7.81,8.69,9.19,8.03,6.28,7.62,10.0,10.56,10.12,10.56,11.88,11.31,8.31,6.56,6.69,6.31,4.19,3.06,5.12,8.03,9.38,9.75,12.44,15.31,16.31,16.34,17.88,20.41,21.75,21.16,20.81,22.62,23.72,22.38,21.09,21.88,22.25,20.03,16.78,15.88,16.19,15.5,14.06,14.28,16.16,16.56,14.62,13.47,14.28,15.12,13.78,13.06,14.69,16.09,15.34,12.75,11.78,11.72,10.59,8.62,8.75,11.06,12.56,12.16,11.84,13.22,14.09,12.47,10.66,11.53,13.0,12.47,10.59,10.78,11.5,10.84,8.59,8.56,10.66,12.84,13.38,15.22,19.19,22.44,22.78,22.38,23.66,24.47,23.84,22.06,22.47,24.34,25.16,23.88,23.5,24.06,23.47,20.19,17.09,16.69,16.88,15.5,14.12,15.75,17.59,17.59,16.22,16.47,17.78,18.16,16.56,16.22,18.03,19.03,17.25,16.06,16.62,16.88,14.59,11.53,11.22,12.03,11.44,9.97,10.59,11.75,11.78,9.94,9.62,11.34,12.78,12.38,12.75,15.5,18.28,18.53,17.78,18.12,18.59,16.91,13.38,11.97,11.91,11.0,8.66,7.84,9.25,10.47,9.47,8.84,10.56,12.78,12.59,12.12,13.72,16.09,16.41,15.09,15.31,16.72,16.66,14.22,12.66,12.41,11.53,8.28,5.78,6.19,7.59,7.62,7.12,9.03,11.59,12.28,11.31,11.97,13.81,14.78,13.91,14.12,16.69,18.56,18.41,17.97,19.69,20.78,19.28,16.47,15.25,15.12,13.75,11.38,11.44,13.53,14.84,13.69,12.91,13.81,14.0,12.06,10.19,11.09,12.84,12.69,11.81,12.75,14.12,13.94,12.03,11.78,12.88,13.69,12.03,10.88,11.78,12.56,10.72,9.12,9.53,10.44,9.84,8.53,9.25,11.56,12.5,11.88,12.09,13.91,15.19,13.41,12.41,13.16,13.78,12.19,10.62,11.5,13.62,13.75,13.06,14.28,16.66,17.62,16.88,17.38,19.28,20.12,18.34,16.62,17.25,17.91,15.91,14.12,14.59,15.78,14.88,13.12,13.25,14.03,13.88,12.03,11.53,12.81,14.25,13.75,13.84,16.03,18.25,17.72,16.31,16.94,17.81,17.34,15.31,15.09,15.72,14.91,12.0,10.34,10.94,11.69,10.59,10.56,12.72,15.12,15.38,14.5,15.56,17.25,16.78,15.12,14.66,15.66,15.44,12.75,11.28,12.03,12.62,10.78,9.34,10.12,11.0,9.81,8.59,9.75,12.03,12.69,11.38,11.91,13.34,14.19,12.81,12.25,13.47,14.06,12.03,9.94,9.84,10.22,8.56,6.66,7.09,8.88,9.53,8.97,9.41,11.56,12.0,10.09,8.84,10.0,11.09,9.81,8.69,9.47,11.03,9.78,7.78,7.78,8.41,7.5,5.31,4.69,6.0,6.62,5.56,5.75,8.31,10.41,9.91,9.16,10.28,12.16,12.28,12.34,14.31,16.72,17.25,15.69,15.03,15.72,15.75,13.41,11.91,12.5,13.38,12.44,11.72,12.88,15.0,15.34,14.78,15.91,18.38,19.03,17.25,16.41,17.59,17.81,16.25,15.72,17.62,19.94,19.66,19.44,21.09,23.56,24.09,23.66,24.94,27.25,28.06,26.47,25.12,25.0,23.75,20.31,18.06,18.22,19.22,18.06,16.47,16.81,17.53,16.53,15.44,16.72,19.97,22.59,23.25,24.34,26.28,27.38,25.84,24.47,24.81,25.5,23.72,21.69,21.59,22.81,22.47,21.16,21.31,23.0,23.41,22.12,21.59,23.44,24.44,22.5,20.81,20.88,21.38,20.03,19.03,19.91,22.19,22.62,21.94,22.44,24.12,24.66,22.94,22.03,22.84,23.0,20.72,18.53,18.56,19.41,18.78,17.78,18.5,20.19,20.38,18.62,18.47,19.72,20.47,19.31,18.56,19.72,20.47,18.72,16.81,17.12,17.97,16.62,14.81,14.53,15.59,14.94,13.25,12.94,14.0,14.16,12.62,11.97,13.62,15.69,15.75,15.34,17.19,19.28,19.0,18.28,19.25,22.22,23.78,23.38,23.56,24.62,24.0,20.81,18.25,18.19,18.78,17.56,16.72,18.19,20.03,19.91,18.44,18.38,19.47,18.97,16.5,14.94,15.38,15.06,12.78,11.78,13.53,15.53,15.31,14.69,15.47,16.78,15.88,13.91,13.25,14.25,13.75,11.62,11.06,12.88,14.56,14.28,14.47,16.47,18.0,16.75,14.72,14.06,14.53,13.47,11.66,11.66,13.06,13.09,11.06,9.97,11.12,11.56,10.19,9.38,10.84,12.5,12.41,11.53,12.69,14.03,13.38,11.53,10.81,11.44,11.25,9.91,9.66,11.62,13.62,13.38,12.66,13.88,15.31,14.69,13.75,15.28,17.56,18.69,18.06,18.28,20.12,20.53,19.59,19.25,20.88,22.12,20.56,18.84,18.66,18.84,17.5,15.78,16.28,18.09,18.12,16.97,17.66,20.06,21.56,21.47,21.62,23.28,24.06,21.69,19.06,18.34,17.66,15.0,11.97,10.88,10.97,10.16,8.5,8.25,10.16,11.41,11.03,11.59,14.94,17.53,18.34,18.97,20.56,22.94,22.97,22.44,23.62,25.88,26.66,25.53,25.19,26.19,26.22,24.38,23.12,23.81,24.38,22.53,19.69,18.53,17.66,14.88,11.69,10.47,11.34,11.81,11.19,12.12,14.72,16.28,15.59,14.53,15.56,16.53,15.16,13.56,14.31,15.97,16.5,16.06,17.25,19.31,19.75,18.31,17.31,17.88,17.31,14.31,11.19,10.5,10.25,8.56,6.84,6.78,7.22,5.56,2.16,0.62,1.16,1.88,1.66,3.22,7.28,10.47,11.44,12.03,14.84,17.56,17.84,17.53,18.75,21.19,22.25,22.0,22.75,24.41,23.69,20.59,17.97,17.91,17.84,16.56,15.09,16.34,17.44,16.38,14.72,14.94,17.19,17.94,17.69,18.94,21.53,22.91,21.44,20.25,20.66,20.34,17.81,15.69,16.12,17.56,17.38,16.34,16.38,17.31,16.0,13.06,11.5,12.28,12.66,11.47,11.47,13.5,15.34,15.16,14.66,16.5,18.69,19.16,18.28,19.28,20.78,20.38,18.03,16.5,16.19,15.19,12.25,10.28,10.69,11.28,9.81,8.59,9.88,12.03,12.84,12.62,13.88,15.66,15.38,13.09,12.28,13.91,15.41,15.03,14.94,15.88,15.41,12.16,8.41,7.09,7.69,7.84,7.25,9.0,12.0,13.22,12.25,11.62,12.72,13.19,11.91,11.59,14.22,16.78,17.16,16.62,17.44,18.34,17.06,14.06,12.0,10.78,8.84,5.75,4.34,5.44,6.56,6.47,7.03,10.31,13.88,15.5,15.78,17.47,19.34,19.28,17.97,18.09,19.59,20.38,18.88,17.91,18.75,18.91,16.56,13.84,13.5,12.91,10.53,7.44,7.03,7.91,7.75,6.38,6.88,8.78,9.59,9.03,9.56,12.59,15.5,16.69,17.59,20.66,23.28,22.97,21.38,21.28,21.75,20.59,18.03,16.5,16.22,14.84,11.22,8.53,8.94,9.84,9.38,9.53,11.91,14.47,14.28,12.66,12.81,13.62,13.53,12.25,12.5,14.72,16.59,16.28,16.47,18.25,18.94,16.59,12.62,11.16,9.66,6.56,3.28,2.16,2.47,1.94,0.69,1.19,3.53,4.97,4.31,3.78,5.41,6.62,5.72,4.22,5.66,7.5,7.62,7.09,8.81,10.91,11.88,10.5,10.0,10.94,11.28,9.75,8.47,9.88,11.41,10.97,10.25,11.91,13.53,12.75,9.94,8.44,8.44,7.5,5.47,5.0,6.59,7.56,6.69,6.25,8.69,11.06,11.41,10.62,11.56,12.34,10.88,7.47,5.5,4.62,3.28,0.81,0.16,2.25,4.44,5.0,5.41,7.97,9.75,9.16,7.28,7.38,8.25,7.94,6.56,6.88,8.66,9.31,7.81,6.81,7.53,7.97,6.44,4.81,6.22,8.0,7.47,6.06,6.56,7.88,7.31,5.72,6.0,8.0,9.22,8.31,7.84,9.16,9.44,7.31,4.91,4.44,4.47,3.12,1.53,2.31,4.81,5.91,5.41,5.75,7.34,7.47,5.34,3.41,3.44,3.44,1.47,0.03,1.41,3.62,4.62,4.88,7.25,10.69,12.16,12.25,13.28,15.62,16.84,15.97,15.66,17.34,18.84,18.28,17.16,18.38,19.78,19.12,17.16,16.88,17.75,17.44,16.38,16.41,18.41,19.28,17.84,16.28,16.84,17.44,15.72,13.72,13.69,13.75,11.75,8.44,6.44,5.56,3.34,0.22,-0.31,2.03,4.62,5.25,5.47,6.78,6.53,2.78,-1.59,-4.41,-5.97,-8.69,-11.75,-12.69,-11.47,-10.81,-11.56,-10.88,-7.78,-5.5,-5.56,-5.25,-3.06,-0.03,1.19,2.81,6.78,11.97,14.72,15.25,16.41,16.91,15.12,10.16,5.38,2.22,-1.47,-7.34,-12.69,-15.06,-16.41,-18.84,-20.66,-19.12,-15.28,-12.31,-9.62,-4.84,1.47,6.69,9.22,11.56,14.34,15.66,13.31,10.31,9.19,8.16,4.94,1.19,-0.78,-1.75,-4.47,-7.66,-8.69,-7.47,-6.09,18.44,18.44,17.0,16.06,17.34,19.06,19.56,19.28,19.88,20.59,20.12,18.59,18.69,20.03,21.19,20.91,20.59,22.09,22.88,22.06,21.03:10.59,10.28,11.56,11.5,9.06,7.34,8.34,8.91,7.19,4.72,4.72,4.88,3.16,1.09,1.28,3.38,4.69,4.72,5.94,9.28,11.53,10.94,10.78,12.84,14.53,14.53,13.62,14.53,15.38,13.94,10.66,9.41,10.28,10.19,8.69,8.59,10.25,11.0,9.47,7.81,8.69,9.19,8.03,6.28,7.62,10.0,10.56,10.12,10.56,11.88,11.31,8.31,6.56,6.69,6.31,4.19,3.06,5.12,8.03,9.38,9.75,12.44,15.31,16.31,16.34,17.88,20.41,21.75,21.16,20.81,22.62,23.72,22.38,21.09,21.88,22.25,20.03,16.78,15.88,16.19,15.5,14.06,14.28,16.16,16.56,14.62,13.47,14.28,15.12,13.78,13.06,14.69,16.09,15.34,12.75,11.78,11.72,10.59,8.62,8.75,11.06,12.56,12.16,11.84,13.22,14.09,12.47,10.66,11.53,13.0,12.47,10.59,10.78,11.5,10.84,8.59,8.56,10.66,12.84,13.38,15.22,19.19,22.44,22.78,22.38,23.66,24.47,23.84,22.06,22.47,24.34,25.16,23.88,23.5,24.06,23.47,20.19,17.09,16.69,16.88,15.5,14.12,15.75,17.59,17.59,16.22,16.47,17.78,18.16,16.56,16.22,18.03,19.03,17.25,16.06,16.62,16.88,14.59,11.53,11.22,12.03,11.44,9.97,10.59,11.75,11.78,9.94,9.62,11.34,12.78,12.38,12.75,15.5,18.28,18.53,17.78,18.12,18.59,16.91,13.38,11.97,11.91,11.0,8.66,7.84,9.25,10.47,9.47,8.84,10.56,12.78,12.59,12.12,13.72,16.09,16.41,15.09,15.31,16.72,16.66,14.22,12.66,12.41,11.53,8.28,5.78,6.19,7.59,7.62,7.12,9.03,11.59,12.28,11.31,11.97,13.81,14.78,13.91,14.12,16.69,18.56,18.41,17.97,19.69,20.78,19.28,16.47,15.25,15.12,13.75,11.38,11.44,13.53,14.84,13.69,12.91,13.81,14.0,12.06,10.19,11.09,12.84,12.69,11.81,12.75,14.12,13.94,12.03,11.78,12.88,13.69,12.03,10.88,11.78,12.56,10.72,9.12,9.53,10.44,9.84,8.53,9.25,11.56,12.5,11.88,12.09,13.91,15.19,13.41,12.41,13.16,13.78,12.19,10.62,11.5,13.62,13.75,13.06,14.28,16.66,17.62,16.88,17.38,19.28,20.12,18.34,16.62,17.25,17.91,15.91,14.12,14.59,15.78,14.88,13.12,13.25,14.03,13.88,12.03,11.53,12.81,14.25,13.75,13.84,16.03,18.25,17.72,16.31,16.94,17.81,17.34,15.31,15.09,15.72,14.91,12.0,10.34,10.94,11.69,10.59,10.56,12.72,15.12,15.38,14.5,15.56,17.25,16.78,15.12,14.66,15.66,15.44,12.75,11.28,12.03,12.62,10.78,9.34,10.12,11.0,9.81,8.59,9.75,12.03,12.69,11.38,11.91,13.34,14.19,12.81,12.25,13.47,14.06,12.03,9.94,9.84,10.22,8.56,6.66,7.09,8.88,9.53,8.97,9.41,11.56,12.0,10.09,8.84,10.0,11.09,9.81,8.69,9.47,11.03,9.78,7.78,7.78,8.41,7.5,5.31,4.69,6.0,6.62,5.56,5.75,8.31,10.41,9.91,9.16,10.28,12.16,12.28,12.34,14.31,16.72,17.25,15.69,15.03,15.72,15.75,13.41,11.91,12.5,13.38,12.44,11.72,12.88,15.0,15.34,14.78,15.91,18.38,19.03,17.25,16.41,17.59,17.81,16.25,15.72,17.62,19.94,19.66,19.44,21.09,23.56,24.09,23.66,24.94,27.25,28.06,26.47,25.12,25.0,23.75,20.31,18.06,18.22,19.22,18.06,16.47,16.81,17.53,16.53,15.44,16.72,19.97,22.59,23.25,24.34,26.28,27.38,25.84,24.47,24.81,25.5,23.72,21.69,21.59,22.81,22.47,21.16,21.31,23.0,23.41,22.12,21.59,23.44,24.44,22.5,20.81,20.88,21.38,20.03,19.03,19.91,22.19,22.62,21.94,22.44,24.12,24.66,22.94,22.03,22.84,23.0,20.72,18.53,18.56,19.41,18.78,17.78,18.5,20.19,20.38,18.62,18.47,19.72,20.47,19.31,18.56,19.72,20.47,18.72,16.81,17.12,17.97,16.62,14.81,14.53,15.59,14.94,13.25,12.94,14.0,14.16,12.62,11.97,13.62,15.69,15.75,15.34,17.19,19.28,19.0,18.28,19.25,22.22,23.78,23.38,23.56,24.62,24.0,20.81,18.25,18.19,18.78,17.56,16.72,18.19,20.03,19.91,18.44,18.38,19.47,18.97,16.5,14.94,15.38,15.06,12.78,11.78,13.53,15.53,15.31,14.69,15.47,16.78,15.88,13.91,13.25,14.25,13.75,11.62,11.06,12.88,14.56,14.28,14.47,16.47,18.0,16.75,14.72,14.06,14.53,13.47,11.66,11.66,13.06,13.09,11.06,9.97,11.12,11.56,10.19,9.38,10.84,12.5,12.41,11.53,12.69,14.03,13.38,11.53,10.81,11.44,11.25,9.91,9.66,11.62,13.62,13.38,12.66,13.88,15.31,14.69,13.75,15.28,17.56,18.69,18.06,18.28,20.12,20.53,19.59,19.25,20.88,22.12,20.56,18.84,18.66,18.84,17.5,15.78,16.28,18.09,18.12,16.97,17.66,20.06,21.56,21.47,21.62,23.28,24.06,21.69,19.06,18.34,17.66,15.0,11.97,10.88,10.97,10.16,8.5,8.25,10.16,11.41,11.03,11.59,14.94,17.53,18.34,18.97,20.56,22.94,22.97,22.44,23.62,25.88,26.66,25.53,25.19,26.19,26.22,24.38,23.12,23.81,24.38,22.53,19.69,18.53,17.66,14.88,11.69,10.47,11.34,11.81,11.19,12.12,14.72,16.28,15.59,14.53,15.56,16.53,15.16,13.56,14.31,15.97,16.5,16.06,17.25,19.31,19.75,18.31,17.31,17.88,17.31,14.31,11.19,10.5,10.25,8.56,6.84,6.78,7.22,5.56,2.16,0.62,1.16,1.88,1.66,3.22,7.28,10.47,11.44,12.03,14.84,17.56,17.84,17.53,18.75,21.19,22.25,22.0,22.75,24.41,23.69,20.59,17.97,17.91,17.84,16.56,15.09,16.34,17.44,16.38,14.72,14.94,17.19,17.94,17.69,18.94,21.53,22.91,21.44,20.25,20.66,20.34,17.81,15.69,16.12,17.56,17.38,16.34,16.38,17.31,16.0,13.06,11.5,12.28,12.66,11.47,11.47,13.5,15.34,15.16,14.66,16.5,18.69,19.16,18.28,19.28,20.78,20.38,18.03,16.5,16.19,15.19,12.25,10.28,10.69,11.28,9.81,8.59,9.88,12.03,12.84,12.62,13.88,15.66,15.38,13.09,12.28,13.91,15.41,15.03,14.94,15.88,15.41,12.16,8.41,7.09,7.69,7.84,7.25,9.0,12.0,13.22,12.25,11.62,12.72,13.19,11.91,11.59,14.22,16.78,17.16,16.62,17.44,18.34,17.06,14.06,12.0,10.78,8.84,5.75,4.34,5.44,6.56,6.47,7.03,10.31,13.88,15.5,15.78,17.47,19.34,19.28,17.97,18.09,19.59,20.38,18.88,17.91,18.75,18.91,16.56,13.84,13.5,12.91,10.53,7.44,7.03,7.91,7.75,6.38,6.88,8.78,9.59,9.03,9.56,12.59,15.5,16.69,17.59,20.66,23.28,22.97,21.38,21.28,21.75,20.59,18.03,16.5,16.22,14.84,11.22,8.53,8.94,9.84,9.38,9.53,11.91,14.47,14.28,12.66,12.81,13.62,13.53,12.25,12.5,14.72,16.59,16.28,16.47,18.25,18.94,16.59,12.62,11.16,9.66,6.56,3.28,2.16,2.47,1.94,0.69,1.19,3.53,4.97,4.31,3.78,5.41,6.62,5.72,4.22,5.66,7.5,7.62,7.09,8.81,10.91,11.88,10.5,10.0,10.94,11.28,9.75,8.47,9.88,11.41,10.97,10.25,11.91,13.53,12.75,9.94,8.44,8.44,7.5,5.47,5.0,6.59,7.56,6.69,6.25,8.69,11.06,11.41,10.62,11.56,12.34,10.88,7.47,5.5,4.62,3.28,0.81,0.16,2.25,4.44,5.0,5.41,7.97,9.75,9.16,7.28,7.38,8.25,7.94,6.56,6.88,8.66,9.31,7.81,6.81,7.53,7.97,6.44,4.81,6.22,8.0,7.47,6.06,6.56,7.88,7.31,5.72,6.0,8.0,9.22,8.31,7.84,9.16,9.44,7.31,4.91,4.44,4.47,3.12,1.53,2.31,4.81,5.91,5.41,5.75,7.34,7.47,5.34,3.41,3.44,3.44,1.47,0.03,1.41,3.62,4.62,4.88,7.25,10.69,12.16,12.25,13.28,15.62,16.84,15.97,15.66,17.34,18.84,18.28,17.16,18.38,19.78,19.12,17.16,16.88,17.75,17.44,16.38,16.41,18.41,19.28,17.84,16.28,16.84,17.44,15.72,13.72,13.69,13.75,11.75,8.44,6.44,5.56,3.34,0.22,-0.31,2.03,4.62,5.25,5.47,6.78,6.53,2.78,-1.59,-4.41,-5.97,-8.69,-11.75,-12.69,-11.47,-10.81,-11.56,-10.88,-7.78,-5.5,-5.56,-5.25,-3.06,-0.03,1.19,2.81,6.78,11.97,14.72,15.25,16.41,16.91,15.12,10.16,5.38,2.22,-1.47,-7.34,-12.69,-15.06,-16.41,-18.84,-20.66,-19.12,-15.28,-12.31,-9.62,-4.84,1.47,6.69,9.22,11.56,14.34,15.66,13.31,10.31,9.19,8.16,4.94,1.19,-0.78,-1.75,-4.47,-7.66,-8.69,-7.47,-6.09,18.44,18.44,17.0,16.06,17.34,19.06,19.56,19.28,19.88,20.59,20.12,18.59,18.69,20.03,21.19,20.91,20.59,22.09,22.88,22.06,21.03,21.59,22.34,21.78,20.47,20.66,21.5,21.31:8.91,7.19,4.72,4.72,4.88,3.16,1.09,1.28,3.38,4.69,4.72,5.94,9.28,11.53,10.94,10.78,12.84,14.53,14.53,13.62,14.53,15.38,13.94,10.66,9.41,10.28,10.19,8.69,8.59,10.25,11.0,9.47,7.81,8.69,9.19,8.03,6.28,7.62,10.0,10.56,10.12,10.56,11.88,11.31,8.31,6.56,6.69,6.31,4.19,3.06,5.12,8.03,9.38,9.75,12.44,15.31,16.31,16.34,17.88,20.41,21.75,21.16,20.81,22.62,23.72,22.38,21.09,21.88,22.25,20.03,16.78,15.88,16.19,15.5,14.06,14.28,16.16,16.56,14.62,13.47,14.28,15.12,13.78,13.06,14.69,16.09,15.34,12.75,11.78,11.72,10.59,8.62,8.75,11.06,12.56,12.16,11.84,13.22,14.09,12.47,10.66,11.53,13.0,12.47,10.59,10.78,11.5,10.84,8.59,8.56,10.66,12.84,13.38,15.22,19.19,22.44,22.78,22.38,23.66,24.47,23.84,22.06,22.47,24.34,25.16,23.88,23.5,24.06,23.47,20.19,17.09,16.69,16.88,15.5,14.12,15.75,17.59,17.59,16.22,16.47,17.78,18.16,16.56,16.22,18.03,19.03,17.25,16.06,16.62,16.88,14.59,11.53,11.22,12.03,11.44,9.97,10.59,11.75,11.78,9.94,9.62,11.34,12.78,12.38,12.75,15.5,18.28,18.53,17.78,18.12,18.59,16.91,13.38,11.97,11.91,11.0,8.66,7.84,9.25,10.47,9.47,8.84,10.56,12.78,12.59,12.12,13.72,16.09,16.41,15.09,15.31,16.72,16.66,14.22,12.66,12.41,11.53,8.28,5.78,6.19,7.59,7.62,7.12,9.03,11.59,12.28,11.31,11.97,13.81,14.78,13.91,14.12,16.69,18.56,18.41,17.97,19.69,20.78,19.28,16.47,15.25,15.12,13.75,11.38,11.44,13.53,14.84,13.69,12.91,13.81,14.0,12.06,10.19,11.09,12.84,12.69,11.81,12.75,14.12,13.94,12.03,11.78,12.88,13.69,12.03,10.88,11.78,12.56,10.72,9.12,9.53,10.44,9.84,8.53,9.25,11.56,12.5,11.88,12.09,13.91,15.19,13.41,12.41,13.16,13.78,12.19,10.62,11.5,13.62,13.75,13.06,14.28,16.66,17.62,16.88,17.38,19.28,20.12,18.34,16.62,17.25,17.91,15.91,14.12,14.59,15.78,14.88,13.12,13.25,14.03,13.88,12.03,11.53,12.81,14.25,13.75,13.84,16.03,18.25,17.72,16.31,16.94,17.81,17.34,15.31,15.09,15.72,14.91,12.0,10.34,10.94,11.69,10.59,10.56,12.72,15.12,15.38,14.5,15.56,17.25,16.78,15.12,14.66,15.66,15.44,12.75,11.28,12.03,12.62,10.78,9.34,10.12,11.0,9.81,8.59,9.75,12.03,12.69,11.38,11.91,13.34,14.19,12.81,12.25,13.47,14.06,12.03,9.94,9.84,10.22,8.56,6.66,7.09,8.88,9.53,8.97,9.41,11.56,12.0,10.09,8.84,10.0,11.09,9.81,8.69,9.47,11.03,9.78,7.78,7.78,8.41,7.5,5.31,4.69,6.0,6.62,5.56,5.75,8.31,10.41,9.91,9.16,10.28,12.16,12.28,12.34,14.31,16.72,17.25,15.69,15.03,15.72,15.75,13.41,11.91,12.5,13.38,12.44,11.72,12.88,15.0,15.34,14.78,15.91,18.38,19.03,17.25,16.41,17.59,17.81,16.25,15.72,17.62,19.94,19.66,19.44,21.09,23.56,24.09,23.66,24.94,27.25,28.06,26.47,25.12,25.0,23.75,20.31,18.06,18.22,19.22,18.06,16.47,16.81,17.53,16.53,15.44,16.72,19.97,22.59,23.25,24.34,26.28,27.38,25.84,24.47,24.81,25.5,23.72,21.69,21.59,22.81,22.47,21.16,21.31,23.0,23.41,22.12,21.59,23.44,24.44,22.5,20.81,20.88,21.38,20.03,19.03,19.91,22.19,22.62,21.94,22.44,24.12,24.66,22.94,22.03,22.84,23.0,20.72,18.53,18.56,19.41,18.78,17.78,18.5,20.19,20.38,18.62,18.47,19.72,20.47,19.31,18.56,19.72,20.47,18.72,16.81,17.12,17.97,16.62,14.81,14.53,15.59,14.94,13.25,12.94,14.0,14.16,12.62,11.97,13.62,15.69,15.75,15.34,17.19,19.28,19.0,18.28,19.25,22.22,23.78,23.38,23.56,24.62,24.0,20.81,18.25,18.19,18.78,17.56,16.72,18.19,20.03,19.91,18.44,18.38,19.47,18.97,16.5,14.94,15.38,15.06,12.78,11.78,13.53,15.53,15.31,14.69,15.47,16.78,15.88,13.91,13.25,14.25,13.75,11.62,11.06,12.88,14.56,14.28,14.47,16.47,18.0,16.75,14.72,14.06,14.53,13.47,11.66,11.66,13.06,13.09,11.06,9.97,11.12,11.56,10.19,9.38,10.84,12.5,12.41,11.53,12.69,14.03,13.38,11.53,10.81,11.44,11.25,9.91,9.66,11.62,13.62,13.38,12.66,13.88,15.31,14.69,13.75,15.28,17.56,18.69,18.06,18.28,20.12,20.53,19.59,19.25,20.88,22.12,20.56,18.84,18.66,18.84,17.5,15.78,16.28,18.09,18.12,16.97,17.66,20.06,21.56,21.47,21.62,23.28,24.06,21.69,19.06,18.34,17.66,15.0,11.97,10.88,10.97,10.16,8.5,8.25,10.16,11.41,11.03,11.59,14.94,17.53,18.34,18.97,20.56,22.94,22.97,22.44,23.62,25.88,26.66,25.53,25.19,26.19,26.22,24.38,23.12,23.81,24.38,22.53,19.69,18.53,17.66,14.88,11.69,10.47,11.34,11.81,11.19,12.12,14.72,16.28,15.59,14.53,15.56,16.53,15.16,13.56,14.31,15.97,16.5,16.06,17.25,19.31,19.75,18.31,17.31,17.88,17.31,14.31,11.19,10.5,10.25,8.56,6.84,6.78,7.22,5.56,2.16,0.62,1.16,1.88,1.66,3.22,7.28,10.47,11.44,12.03,14.84,17.56,17.84,17.53,18.75,21.19,22.25,22.0,22.75,24.41,23.69,20.59,17.97,17.91,17.84,16.56,15.09,16.34,17.44,16.38,14.72,14.94,17.19,17.94,17.69,18.94,21.53,22.91,21.44,20.25,20.66,20.34,17.81,15.69,16.12,17.56,17.38,16.34,16.38,17.31,16.0,13.06,11.5,12.28,12.66,11.47,11.47,13.5,15.34,15.16,14.66,16.5,18.69,19.16,18.28,19.28,20.78,20.38,18.03,16.5,16.19,15.19,12.25,10.28,10.69,11.28,9.81,8.59,9.88,12.03,12.84,12.62,13.88,15.66,15.38,13.09,12.28,13.91,15.41,15.03,14.94,15.88,15.41,12.16,8.41,7.09,7.69,7.84,7.25,9.0,12.0,13.22,12.25,11.62,12.72,13.19,11.91,11.59,14.22,16.78,17.16,16.62,17.44,18.34,17.06,14.06,12.0,10.78,8.84,5.75,4.34,5.44,6.56,6.47,7.03,10.31,13.88,15.5,15.78,17.47,19.34,19.28,17.97,18.09,19.59,20.38,18.88,17.91,18.75,18.91,16.56,13.84,13.5,12.91,10.53,7.44,7.03,7.91,7.75,6.38,6.88,8.78,9.59,9.03,9.56,12.59,15.5,16.69,17.59,20.66,23.28,22.97,21.38,21.28,21.75,20.59,18.03,16.5,16.22,14.84,11.22,8.53,8.94,9.84,9.38,9.53,11.91,14.47,14.28,12.66,12.81,13.62,13.53,12.25,12.5,14.72,16.59,16.28,16.47,18.25,18.94,16.59,12.62,11.16,9.66,6.56,3.28,2.16,2.47,1.94,0.69,1.19,3.53,4.97,4.31,3.78,5.41,6.62,5.72,4.22,5.66,7.5,7.62,7.09,8.81,10.91,11.88,10.5,10.0,10.94,11.28,9.75,8.47,9.88,11.41,10.97,10.25,11.91,13.53,12.75,9.94,8.44,8.44,7.5,5.47,5.0,6.59,7.56,6.69,6.25,8.69,11.06,11.41,10.62,11.56,12.34,10.88,7.47,5.5,4.62,3.28,0.81,0.16,2.25,4.44,5.0,5.41,7.97,9.75,9.16,7.28,7.38,8.25,7.94,6.56,6.88,8.66,9.31,7.81,6.81,7.53,7.97,6.44,4.81,6.22,8.0,7.47,6.06,6.56,7.88,7.31,5.72,6.0,8.0,9.22,8.31,7.84,9.16,9.44,7.31,4.91,4.44,4.47,3.12,1.53,2.31,4.81,5.91,5.41,5.75,7.34,7.47,5.34,3.41,3.44,3.44,1.47,0.03,1.41,3.62,4.62,4.88,7.25,10.69,12.16,12.25,13.28,15.62,16.84,15.97,15.66,17.34,18.84,18.28,17.16,18.38,19.78,19.12,17.16,16.88,17.75,17.44,16.38,16.41,18.41,19.28,17.84,16.28,16.84,17.44,15.72,13.72,13.69,13.75,11.75,8.44,6.44,5.56,3.34,0.22,-0.31,2.03,4.62,5.25,5.47,6.78,6.53,2.78,-1.59,-4.41,-5.97,-8.69,-11.75,-12.69,-11.47,-10.81,-11.56,-10.88,-7.78,-5.5,-5.56,-5.25,-3.06,-0.03,1.19,2.81,6.78,11.97,14.72,15.25,16.41,16.91,15.12,10.16,5.38,2.22,-1.47,-7.34,-12.69,-15.06,-16.41,-18.84,-20.66,-19.12,-15.28,-12.31,-9.62,-4.84,1.47,6.69,9.22,11.56,14.34,15.66,13.31,10.31,9.19,8.16,4.94,1.19,-0.78,-1.75,-4.47,-7.66,-8.69,-7.47,-6.09,18.44,18.44,17.0,16.06,17.34,19.06,19.56,19.28,19.88,20.59,20.12,18.59,18.69,20.03,21.19,20.91,20.59,22.09,22.88,22.06,21.03,21.59,22.34,21.78,20.47,20.66,21.5,21.31,20.03,19.62,20.5,20.47,18.62,17.75,18.19:1.28,3.38,4.69,4.72,5.94,9.28,11.53,10.94,10.78,12.84,14.53,14.53,13.62,14.53,15.38,13.94,10.66,9.41,10.28,10.19,8.69,8.59,10.25,11.0,9.47,7.81,8.69,9.19,8.03,6.28,7.62,10.0,10.56,10.12,10.56,11.88,11.31,8.31,6.56,6.69,6.31,4.19,3.06,5.12,8.03,9.38,9.75,12.44,15.31,16.31,16.34,17.88,20.41,21.75,21.16,20.81,22.62,23.72,22.38,21.09,21.88,22.25,20.03,16.78,15.88,16.19,15.5,14.06,14.28,16.16,16.56,14.62,13.47,14.28,15.12,13.78,13.06,14.69,16.09,15.34,12.75,11.78,11.72,10.59,8.62,8.75,11.06,12.56,12.16,11.84,13.22,14.09,12.47,10.66,11.53,13.0,12.47,10.59,10.78,11.5,10.84,8.59,8.56,10.66,12.84,13.38,15.22,19.19,22.44,22.78,22.38,23.66,24.47,23.84,22.06,22.47,24.34,25.16,23.88,23.5,24.06,23.47,20.19,17.09,16.69,16.88,15.5,14.12,15.75,17.59,17.59,16.22,16.47,17.78,18.16,16.56,16.22,18.03,19.03,17.25,16.06,16.62,16.88,14.59,11.53,11.22,12.03,11.44,9.97,10.59,11.75,11.78,9.94,9.62,11.34,12.78,12.38,12.75,15.5,18.28,18.53,17.78,18.12,18.59,16.91,13.38,11.97,11.91,11.0,8.66,7.84,9.25,10.47,9.47,8.84,10.56,12.78,12.59,12.12,13.72,16.09,16.41,15.09,15.31,16.72,16.66,14.22,12.66,12.41,11.53,8.28,5.78,6.19,7.59,7.62,7.12,9.03,11.59,12.28,11.31,11.97,13.81,14.78,13.91,14.12,16.69,18.56,18.41,17.97,19.69,20.78,19.28,16.47,15.25,15.12,13.75,11.38,11.44,13.53,14.84,13.69,12.91,13.81,14.0,12.06,10.19,11.09,12.84,12.69,11.81,12.75,14.12,13.94,12.03,11.78,12.88,13.69,12.03,10.88,11.78,12.56,10.72,9.12,9.53,10.44,9.84,8.53,9.25,11.56,12.5,11.88,12.09,13.91,15.19,13.41,12.41,13.16,13.78,12.19,10.62,11.5,13.62,13.75,13.06,14.28,16.66,17.62,16.88,17.38,19.28,20.12,18.34,16.62,17.25,17.91,15.91,14.12,14.59,15.78,14.88,13.12,13.25,14.03,13.88,12.03,11.53,12.81,14.25,13.75,13.84,16.03,18.25,17.72,16.31,16.94,17.81,17.34,15.31,15.09,15.72,14.91,12.0,10.34,10.94,11.69,10.59,10.56,12.72,15.12,15.38,14.5,15.56,17.25,16.78,15.12,14.66,15.66,15.44,12.75,11.28,12.03,12.62,10.78,9.34,10.12,11.0,9.81,8.59,9.75,12.03,12.69,11.38,11.91,13.34,14.19,12.81,12.25,13.47,14.06,12.03,9.94,9.84,10.22,8.56,6.66,7.09,8.88,9.53,8.97,9.41,11.56,12.0,10.09,8.84,10.0,11.09,9.81,8.69,9.47,11.03,9.78,7.78,7.78,8.41,7.5,5.31,4.69,6.0,6.62,5.56,5.75,8.31,10.41,9.91,9.16,10.28,12.16,12.28,12.34,14.31,16.72,17.25,15.69,15.03,15.72,15.75,13.41,11.91,12.5,13.38,12.44,11.72,12.88,15.0,15.34,14.78,15.91,18.38,19.03,17.25,16.41,17.59,17.81,16.25,15.72,17.62,19.94,19.66,19.44,21.09,23.56,24.09,23.66,24.94,27.25,28.06,26.47,25.12,25.0,23.75,20.31,18.06,18.22,19.22,18.06,16.47,16.81,17.53,16.53,15.44,16.72,19.97,22.59,23.25,24.34,26.28,27.38,25.84,24.47,24.81,25.5,23.72,21.69,21.59,22.81,22.47,21.16,21.31,23.0,23.41,22.12,21.59,23.44,24.44,22.5,20.81,20.88,21.38,20.03,19.03,19.91,22.19,22.62,21.94,22.44,24.12,24.66,22.94,22.03,22.84,23.0,20.72,18.53,18.56,19.41,18.78,17.78,18.5,20.19,20.38,18.62,18.47,19.72,20.47,19.31,18.56,19.72,20.47,18.72,16.81,17.12,17.97,16.62,14.81,14.53,15.59,14.94,13.25,12.94,14.0,14.16,12.62,11.97,13.62,15.69,15.75,15.34,17.19,19.28,19.0,18.28,19.25,22.22,23.78,23.38,23.56,24.62,24.0,20.81,18.25,18.19,18.78,17.56,16.72,18.19,20.03,19.91,18.44,18.38,19.47,18.97,16.5,14.94,15.38,15.06,12.78,11.78,13.53,15.53,15.31,14.69,15.47,16.78,15.88,13.91,13.25,14.25,13.75,11.62,11.06,12.88,14.56,14.28,14.47,16.47,18.0,16.75,14.72,14.06,14.53,13.47,11.66,11.66,13.06,13.09,11.06,9.97,11.12,11.56,10.19,9.38,10.84,12.5,12.41,11.53,12.69,14.03,13.38,11.53,10.81,11.44,11.25,9.91,9.66,11.62,13.62,13.38,12.66,13.88,15.31,14.69,13.75,15.28,17.56,18.69,18.06,18.28,20.12,20.53,19.59,19.25,20.88,22.12,20.56,18.84,18.66,18.84,17.5,15.78,16.28,18.09,18.12,16.97,17.66,20.06,21.56,21.47,21.62,23.28,24.06,21.69,19.06,18.34,17.66,15.0,11.97,10.88,10.97,10.16,8.5,8.25,10.16,11.41,11.03,11.59,14.94,17.53,18.34,18.97,20.56,22.94,22.97,22.44,23.62,25.88,26.66,25.53,25.19,26.19,26.22,24.38,23.12,23.81,24.38,22.53,19.69,18.53,17.66,14.88,11.69,10.47,11.34,11.81,11.19,12.12,14.72,16.28,15.59,14.53,15.56,16.53,15.16,13.56,14.31,15.97,16.5,16.06,17.25,19.31,19.75,18.31,17.31,17.88,17.31,14.31,11.19,10.5,10.25,8.56,6.84,6.78,7.22,5.56,2.16,0.62,1.16,1.88,1.66,3.22,7.28,10.47,11.44,12.03,14.84,17.56,17.84,17.53,18.75,21.19,22.25,22.0,22.75,24.41,23.69,20.59,17.97,17.91,17.84,16.56,15.09,16.34,17.44,16.38,14.72,14.94,17.19,17.94,17.69,18.94,21.53,22.91,21.44,20.25,20.66,20.34,17.81,15.69,16.12,17.56,17.38,16.34,16.38,17.31,16.0,13.06,11.5,12.28,12.66,11.47,11.47,13.5,15.34,15.16,14.66,16.5,18.69,19.16,18.28,19.28,20.78,20.38,18.03,16.5,16.19,15.19,12.25,10.28,10.69,11.28,9.81,8.59,9.88,12.03,12.84,12.62,13.88,15.66,15.38,13.09,12.28,13.91,15.41,15.03,14.94,15.88,15.41,12.16,8.41,7.09,7.69,7.84,7.25,9.0,12.0,13.22,12.25,11.62,12.72,13.19,11.91,11.59,14.22,16.78,17.16,16.62,17.44,18.34,17.06,14.06,12.0,10.78,8.84,5.75,4.34,5.44,6.56,6.47,7.03,10.31,13.88,15.5,15.78,17.47,19.34,19.28,17.97,18.09,19.59,20.38,18.88,17.91,18.75,18.91,16.56,13.84,13.5,12.91,10.53,7.44,7.03,7.91,7.75,6.38,6.88,8.78,9.59,9.03,9.56,12.59,15.5,16.69,17.59,20.66,23.28,22.97,21.38,21.28,21.75,20.59,18.03,16.5,16.22,14.84,11.22,8.53,8.94,9.84,9.38,9.53,11.91,14.47,14.28,12.66,12.81,13.62,13.53,12.25,12.5,14.72,16.59,16.28,16.47,18.25,18.94,16.59,12.62,11.16,9.66,6.56,3.28,2.16,2.47,1.94,0.69,1.19,3.53,4.97,4.31,3.78,5.41,6.62,5.72,4.22,5.66,7.5,7.62,7.09,8.81,10.91,11.88,10.5,10.0,10.94,11.28,9.75,8.47,9.88,11.41,10.97,10.25,11.91,13.53,12.75,9.94,8.44,8.44,7.5,5.47,5.0,6.59,7.56,6.69,6.25,8.69,11.06,11.41,10.62,11.56,12.34,10.88,7.47,5.5,4.62,3.28,0.81,0.16,2.25,4.44,5.0,5.41,7.97,9.75,9.16,7.28,7.38,8.25,7.94,6.56,6.88,8.66,9.31,7.81,6.81,7.53,7.97,6.44,4.81,6.22,8.0,7.47,6.06,6.56,7.88,7.31,5.72,6.0,8.0,9.22,8.31,7.84,9.16,9.44,7.31,4.91,4.44,4.47,3.12,1.53,2.31,4.81,5.91,5.41,5.75,7.34,7.47,5.34,3.41,3.44,3.44,1.47,0.03,1.41,3.62,4.62,4.88,7.25,10.69,12.16,12.25,13.28,15.62,16.84,15.97,15.66,17.34,18.84,18.28,17.16,18.38,19.78,19.12,17.16,16.88,17.75,17.44,16.38,16.41,18.41,19.28,17.84,16.28,16.84,17.44,15.72,13.72,13.69,13.75,11.75,8.44,6.44,5.56,3.34,0.22,-0.31,2.03,4.62,5.25,5.47,6.78,6.53,2.78,-1.59,-4.41,-5.97,-8.69,-11.75,-12.69,-11.47,-10.81,-11.56,-10.88,-7.78,-5.5,-5.56,-5.25,-3.06,-0.03,1.19,2.81,6.78,11.97,14.72,15.25,16.41,16.91,15.12,10.16,5.38,2.22,-1.47,-7.34,-12.69,-15.06,-16.41,-18.84,-20.66,-19.12,-15.28,-12.31,-9.62,-4.84,1.47,6.69,9.22,11.56,14.34,15.66,13.31,10.31,9.19,8.16,4.94,1.19,-0.78,-1.75,-4.47,-7.66,-8.69,-7.47,-6.09,18.44,18.44,17.0,16.06,17.34,19.06,19.56,19.28,19.88,20.59,20.12,18.59,18.69,20.03,21.19,20.91,20.59,22.09,22.88,22.06,21.03,21.59,22.34,21.78,20.47,20.66,21.5,21.31,20.03,19.62,20.5,20.47,18.62,17.75,18.19,19.0,18.31,17.47,18.31,19.16,18.62,17.53:negativity
19.22,17.97,15.53,12.31,10.91,12.78,14.78,15.44,16.5,20.38,23.91,25.28,26.0,28.38,31.38,31.66,30.66,30.09,30.66,29.31,25.72,22.84,21.94,20.41,17.06,14.5,14.56,15.25,15.19,14.62,16.66,19.84,21.75,21.62,22.22,23.69,23.91,22.34,21.53,22.88,24.03,22.94,20.41,19.66,19.56,18.94,18.06,19.44,22.38,24.25,23.91,23.94,25.78,26.69,25.09,23.16,22.84,22.69,20.53,18.38,19.12,21.81,23.94,25.03,27.38,30.06,30.94,28.66,26.19,25.53,25.0,22.78,21.03,22.28,24.91,25.91,25.62,27.19,29.31,30.31,29.53,29.16,30.56,31.31,29.06,27.0,27.38,28.03,26.62,24.5,24.0,23.78,22.47,19.81,19.81,21.16,22.47,21.41,20.88,22.5,23.44,22.66,21.16,21.97,23.25,22.31,20.16,20.03,20.97,20.22,18.66,18.34,19.62,20.16,18.31,16.97,17.0,17.84,16.72,15.91,17.5,19.81,20.5,19.22,19.88,21.75,22.81,22.25,22.75,25.0,26.19,24.91,23.44,24.25,25.38,24.19,22.22,21.94,22.28,20.84,17.75,16.28,16.56,16.53,14.5,13.5,14.16,15.56,14.47,13.97,15.88,18.47,18.81,17.25,17.09,17.91,17.47,15.69,15.28,16.81,17.75,16.62,15.41,16.88,18.88,18.75,18.22,19.16,21.5,21.88,20.88,20.53,21.88,21.53,18.62,16.16,15.81,15.66,13.41,11.59,12.19,14.0,13.5,12.5,13.28,15.59,16.88,17.28,19.16,23.06,26.16,26.59,26.56,27.44,27.25,23.69,19.69,18.03,18.19,17.16,15.84,16.38,18.47,19.03,17.53,16.72,18.38,19.66,18.66,18.31,20.22,22.19,21.88,20.22,20.19,21.28,20.53,18.69,17.47,18.0,17.31,13.81,11.38,11.41,12.16,11.41,11.22,13.44,16.69,17.75,17.94,19.03,21.41,22.03,20.34,19.59,20.75,21.34,19.72,18.91,20.41,22.03,21.62,20.62,21.78,23.88,24.81,24.94,26.81,30.31,32.62,31.75,30.44,30.31,29.06,24.62,20.53,18.28,16.66,13.75,10.69,10.69,13.09,14.28,14.25,15.25,18.38,20.5,20.78,21.69,24.72,27.0,26.34,24.56,24.41,24.25,21.97,18.66,16.97,17.0,16.41,14.44,13.72,15.22,16.16,14.91,14.09,15.59,17.44,17.03,15.78,16.03,17.44,16.66,14.22,13.38,14.78,15.69,15.53,16.31,19.72,22.53,22.78,22.06,23.16,24.16,22.88,19.97,18.69,18.62,17.38,14.88,13.94,15.59,16.28,14.47,12.38,12.47,12.47,10.69,8.75,9.66,11.5,11.75,10.62,11.0,13.53,15.06,15.22,16.19,19.0,21.53,21.44,20.44,21.34,22.06,20.25,17.03,15.25,14.62,12.5,8.91,7.22,8.59,10.0,10.69,12.94,17.97,22.91,25.25,26.28,28.78,31.03,30.72,28.88,28.22,28.72,27.56,24.28,21.75,21.16,19.47,15.41,11.72,10.75,10.41,9.25,8.22,10.38,13.78,16.06,16.91,18.5,21.47,23.22,22.62,22.59,24.91,26.78,26.53,25.66,27.0,29.0,28.28,26.22,25.19,25.06,23.19,19.75,18.25,18.38,18.25,16.16,14.81,16.03,17.75,17.94,17.19,18.38,19.44,18.28,15.62,14.31,14.66,14.31,12.34,11.31,13.06,14.97,14.75,15.0,16.97,19.09,19.38,18.78,20.34,22.94,24.03,23.03,23.03,24.5,25.84,25.16,25.22,27.25,29.03,27.66,25.34,24.88,24.84,22.75,20.22,19.44,19.91,19.34,17.03,15.78,16.94,17.78,16.34,15.38,15.91,17.22,16.09,14.34,14.81,15.75,15.28,12.97,12.22,12.97,12.88,10.75,9.53,10.91,12.5,12.66,12.62,14.59,16.5,15.44,12.88,11.78,11.69,11.06,9.84,10.25,13.09,14.81,14.12,13.22,14.12,15.38,14.88,15.19,17.66,21.12,22.53,22.25,22.53,23.62,22.88,20.19,19.09,20.16,21.69,21.72,21.62,22.84,23.22,21.06,17.31,15.19,15.03,13.72,11.78,11.66,14.16,16.34,16.47,16.72,18.78,20.44,19.47,18.16,18.88,20.66,20.62,19.38,19.69,21.19,20.75,18.44,16.81,16.62,16.16,14.0,12.78,14.06,16.12,16.34,15.94,17.06,19.0,19.06,18.0,18.5,20.41,20.78,19.09,17.31,17.12,16.56,14.0,12.03,12.12,13.62,13.72,13.12,14.41,17.03,18.19,17.75,18.56,21.22,22.75,21.66,20.31,20.16,19.78,17.06,13.81,12.44,12.5,10.91,8.66,8.44,10.44,11.94,12.38,14.38,18.81,22.41,23.59,23.25,24.03,24.41,22.5,19.78,18.78,19.59,19.69,19.12,20.25,23.28,25.25,24.97,24.62,25.5,26.38,24.31,21.5,20.81,20.81,19.34,17.69,17.28,18.62,18.53,16.91,15.97,17.19,17.78,16.06,14.59,15.16,16.31,15.5,13.78,13.66,14.16,12.41,9.59,7.84,8.0,7.53,5.25,3.94,5.22,7.12,7.81,8.88,12.28,15.88,17.22,17.0,17.59,18.59,17.84,15.5,14.09,15.22,15.62,14.72,13.97,15.31,16.78,15.19,13.0,12.22,11.97,10.25,7.97,7.06,8.25,8.53,7.47,7.84,10.53,13.0,13.28,12.84,13.91,15.41,14.47,12.47,11.94,12.19,11.03,8.56,7.53,8.56,9.0,7.78,7.0,8.19,9.31,8.72,7.69,8.94,11.06,12.03,12.0,12.88,14.59,15.09,13.34,12.41,13.59,14.59,13.41,12.38,13.56,14.62,14.03,12.66,13.41,15.12,15.34,13.75,13.28,14.22,14.19,12.62,12.12,14.06,16.5,16.62,16.53,18.25,20.16,19.91,18.5,18.47,19.38,19.0,16.94,16.0,17.19,18.59,17.91,17.22,18.41,19.53,17.91,15.47,15.34,16.19,15.97,14.03,13.94,15.62,17.03,16.91,18.19,21.09,23.12,22.53,20.97,20.78,21.06,19.81,17.31,16.91,18.06,17.44,15.12,14.0,14.91,15.66,14.56,14.22,16.09,17.75,16.28,13.78,12.69,12.38,10.75,8.69,8.97,11.22,12.81,12.44,13.12,15.81,18.0,18.19,18.09,19.34,20.38,19.12,16.94,16.47,17.22,16.75,14.66,14.09,15.19,15.81,14.78,14.69,16.62,18.47,18.31,17.97,19.34,21.31,21.47,19.78,19.34,19.97,19.22,16.75,15.81,17.91,20.19,20.78,22.09,24.81,27.06,26.25,23.62,22.66,22.88,20.91,17.88,15.75,15.28,13.94,11.06,9.41,10.94,13.28,13.56,14.16,16.41,19.22,19.38,18.31,18.81,20.31,20.34,18.84,18.66,20.62,22.12,21.75,21.47,23.25,25.16,23.97,22.56,23.25,24.97,24.94,23.84,23.75,24.78,24.31,21.59,19.94,20.53,21.12,19.56,17.78,18.78,20.47,19.59,18.25,18.78,20.22,19.88,17.91,17.44,19.12,20.28,19.44,19.47,22.34,24.81,25.38,25.66,27.62,29.94,29.16,26.44,24.66,24.09,21.94,18.47,16.22,16.59,17.19,15.91,15.44,17.62,19.75,19.06,17.38,17.34,18.84,18.97,18.44,20.09,23.84,26.09,26.31,26.69,28.66,29.56,28.34,26.31,26.62,27.31,25.47,23.31,22.78,23.47,22.34,19.81,18.62,20.0,21.12,21.16,22.34,26.31,29.72,30.19,29.62,30.03,30.72,29.28,26.47,25.88,27.31,27.59,26.09,25.03,26.09,26.34,24.16,22.59,23.75,25.44,25.25,24.19,24.69,25.72,24.56,21.31,20.16,20.91,21.5,21.25,21.88,24.53,26.56,25.25,22.78,22.25,22.41,20.72,18.38,18.72,20.44,20.06,18.12,16.75,17.59,17.69,16.94,16.72,20.06,23.56,24.91,25.66,27.75,30.16,29.88,28.59,28.38,29.91,30.09,27.97,26.53,27.0,26.88,24.66,22.69,23.19,24.91,24.81,23.75,25.09,27.44,28.12,27.12,27.22,28.88,29.34,27.66,26.5,27.03,27.56,25.84,23.75,24.0,25.0,24.03,22.09,22.19,23.91,24.44,23.31,23.22,24.81,25.28,23.34,21.97,23.38,25.47,26.19,26.25,28.28,30.28,30.09,27.44,26.19,26.84,26.56,25.12,25.44,28.47,31.56,31.91,31.88,33.16,34.19,32.66,30.16,29.91,31.59,31.94,30.75,30.91,32.06,31.38,28.22,25.59,26.0,27.12,27.03,27.38,29.97,32.59,33.34,32.28,32.88,34.25,34.25,31.88,30.53,31.19,31.38,29.62,27.84,29.0,30.34,29.38,28.16,28.53,29.84,28.84,25.72,24.34,24.28,23.84,22.22,21.97,24.28,26.72,26.28,25.16,26.0,27.09,26.22,24.88,25.69,28.03,28.91,28.0,27.72,28.66,28.47,25.12,22.31,22.03,22.88,22.16,21.94,24.06,26.91,27.41,26.84,27.56,29.53,31.28,30.84,31.88,34.97,37.16,37.03,36.09,36.84,37.03,34.78,31.44,30.25,30.34,29.91,28.88,29.81,32.53,33.75,32.19,30.31,29.69,29.03,26.59,24.66,25.47,28.06,28.97,28.69,29.59,31.22,31.41,29.81,29.53,30.91,31.84,30.59,29.19,30.34,31.56,30.22,28.22,28.25,29.28,29.09,28.75,30.53,33.56,35.34,34.31,32.78,32.34,31.25,27.5,24.44,24.09,24.84,23.81,22.81,24.09,26.31,27.66,27.19,28.03,30.31,32.0,32.06,32.81,35.56,38.59,38.84,37.97,38.5,39.56,38.09,35.84,34.78,34.97,33.91,31.16,29.16,29.03,28.72,26.03,23.91,24.03:15.44,16.5,20.38,23.91,25.28,26.0,28.38,31.38,31.66,30.66,30.09,30.66,29.31,25.72,22.84,21.94,20.41,17.06,14.5,14.56,15.25,15.19,14.62,16.66,19.84,21.75,21.62,22.22,23.69,23.91,22.34,21.53,22.88,24.03,22.94,20.41,19.66,19.56,18.94,18.06,19.44,22.38,24.25,23.91,23.94,25.78,26.69,25.09,23.16,22.84,22.69,20.53,18.38,19.12,21.81,23.94,25.03,27.38,30.06,30.94,28.66,26.19,25.53,25.0,22.78,21.03,22.28,24.91,25.91,25.62,27.19,29.31,30.31,29.53,29.16,30.56,31.31,29.06,27.0,27.38,28.03,26.62,24.5,24.0,23.78,22.47,19.81,19.81,21.16,22.47,21.41,20.88,22.5,23.44,22.66,21.16,21.97,23.25,22.31,20.16,20.03,20.97,20.22,18.66,18.34,19.62,20.16,18.31,16.97,17.0,17.84,16.72,15.91,17.5,19.81,20.5,19.22,19.88,21.75,22.81,22.25,22.75,25.0,26.19,24.91,23.44,24.25,25.38,24.19,22.22,21.94,22.28,20.84,17.75,16.28,16.56,16.53,14.5,13.5,14.16,15.56,14.47,13.97,15.88,18.47,18.81,17.25,17.09,17.91,17.47,15.69,15.28,16.81,17.75,16.62,15.41,16.88,18.88,18.75,18.22,19.16,21.5,21.88,20.88,20.53,21.88,21.53,18.62,16.16,15.81,15.66,13.41,11.59,12.19,14.0,13.5,12.5,13.28,15.59,16.88,17.28,19.16,23.06,26.16,26.59,26.56,27.44,27.25,23.69,19.69,18.03,18.19,17.16,15.84,16.38,18.47,19.03,17.53,16.72,18.38,19.66,18.66,18.31,20.22,22.19,21.88,20.22,20.19,21.28,20.53,18.69,17.47,18.0,17.31,13.81,11.38,11.41,12.16,11.41,11.22,13.44,16.69,17.75,17.94,19.03,21.41,22.03,20.34,19.59,20.75,21.34,19.72,18.91,20.41,22.03,21.62,20.62,21.78,23.88,24.81,24.94,26.81,30.31,32.62,31.75,30.44,30.31,29.06,24.62,20.53,18.28,16.66,13.75,10.69,10.69,13.09,14.28,14.25,15.25,18.38,20.5,20.78,21.69,24.72,27.0,26.34,24.56,24.41,24.25,21.97,18.66,16.97,17.0,16.41,14.44,13.72,15.22,16.16,14.91,14.09,15.59,17.44,17.03,15.78,16.03,17.44,16.66,14.22,13.38,14.78,15.69,15.53,16.31,19.72,22.53,22.78,22.06,23.16,24.16,22.88,19.97,18.69,18.62,17.38,14.88,13.94,15.59,16.28,14.47,12.38,12.47,12.47,10.69,8.75,9.66,11.5,11.75,10.62,11.0,13.53,15.06,15.22,16.19,19.0,21.53,21.44,20.44,21.34,22.06,20.25,17.03,15.25,14.62,12.5,8.91,7.22,8.59,10.0,10.69,12.94,17.97,22.91,25.25,26.28,28.78,31.03,30.72,28.88,28.22,28.72,27.56,24.28,21.75,21.16,19.47,15.41,11.72,10.75,10.41,9.25,8.22,10.38,13.78,16.06,16.91,18.5,21.47,23.22,22.62,22.59,24.91,26.78,26.53,25.66,27.0,29.0,28.28,26.22,25.19,25.06,23.19,19.75,18.25,18.38,18.25,16.16,14.81,16.03,17.75,17.94,17.19,18.38,19.44,18.28,15.62,14.31,14.66,14.31,12.34,11.31,13.06,14.97,14.75,15.0,16.97,19.09,19.38,18.78,20.34,22.94,24.03,23.03,23.03,24.5,25.84,25.16,25.22,27.25,29.03,27.66,25.34,24.88,24.84,22.75,20.22,19.44,19.91,19.34,17.03,15.78,16.94,17.78,16.34,15.38,15.91,17.22,16.09,14.34,14.81,15.75,15.28,12.97,12.22,12.97,12.88,10.75,9.53,10.91,12.5,12.66,12.62,14.59,16.5,15.44,12.88,11.78,11.69,11.06,9.84,10.25,13.09,14.81,14.12,13.22,14.12,15.38,14.88,15.19,17.66,21.12,22.53,22.25,22.53,23.62,22.88,20.19,19.09,20.16,21.69,21.72,21.62,22.84,23.22,21.06,17.31,15.19,15.03,13.72,11.78,11.66,14.16,16.34,16.47,16.72,18.78,20.44,19.47,18.16,18.88,20.66,20.62,19.38,19.69,21.19,20.75,18.44,16.81,16.62,16.16,14.0,12.78,14.06,16.12,16.34,15.94,17.06,19.0,19.06,18.0,18.5,20.41,20.78,19.09,17.31,17.12,16.56,14.0,12.03,12.12,13.62,13.72,13.12,14.41,17.03,18.19,17.75,18.56,21.22,22.75,21.66,20.31,20.16,19.78,17.06,13.81,12.44,12.5,10.91,8.66,8.44,10.44,11.94,12.38,14.38,18.81,22.41,23.59,23.25,24.03,24.41,22.5,19.78,18.78,19.59,19.69,19.12,20.25,23.28,25.25,24.97,24.62,25.5,26.38,24.31,21.5,20.81,20.81,19.34,17.69,17.28,18.62,18.53,16.91,15.97,17.19,17.78,16.06,14.59,15.16,16.31,15.5,13.78,13.66,14.16,12.41,9.59,7.84,8.0,7.53,5.25,3.94,5.22,7.12,7.81,8.88,12.28,15.88,17.22,17.0,17.59,18.59,17.84,15.5,14.09,15.22,15.62,14.72,13.97,15.31,16.78,15.19,13.0,12.22,11.97,10.25,7.97,7.06,8.25,8.53,7.47,7.84,10.53,13.0,13.28,12.84,13.91,15.41,14.47,12.47,11.94,12.19,11.03,8.56,7.53,8.56,9.0,7.78,7.0,8.19,9.31,8.72,7.69,8.94,11.06,12.03,12.0,12.88,14.59,15.09,13.34,12.41,13.59,14.59,13.41,12.38,13.56,14.62,14.03,12.66,13.41,15.12,15.34,13.75,13.28,14.22,14.19,12.62,12.12,14.06,16.5,16.62,16.53,18.25,20.16,19.91,18.5,18.47,19.38,19.0,16.94,16.0,17.19,18.59,17.91,17.22,18.41,19.53,17.91,15.47,15.34,16.19,15.97,14.03,13.94,15.62,17.03,16.91,18.19,21.09,23.12,22.53,20.97,20.78,21.06,19.81,17.31,16.91,18.06,17.44,15.12,14.0,14.91,15.66,14.56,14.22,16.09,17.75,16.28,13.78,12.69,12.38,10.75,8.69,8.97,11.22,12.81,12.44,13.12,15.81,18.0,18.19,18.09,19.34,20.38,19.12,16.94,16.47,17.22,16.75,14.66,14.09,15.19,15.81,14.78,14.69,16.62,18.47,18.31,17.97,19.34,21.31,21.47,19.78,19.34,19.97,19.22,16.75,15.81,17.91,20.19,20.78,22.09,24.81,27.06,26.25,23.62,22.66,22.88,20.91,17.88,15.75,15.28,13.94,11.06,9.41,10.94,13.28,13.56,14.16,16.41,19.22,19.38,18.31,18.81,20.31,20.34,18.84,18.66,20.62,22.12,21.75,21.47,23.25,25.16,23.97,22.56,23.25,24.97,24.94,23.84,23.75,24.78,24.31,21.59,19.94,20.53,21.12,19.56,17.78,18.78,20.47,19.59,18.25,18.78,20.22,19.88,17.91,17.44,19.12,20.28,19.44,19.47,22.34,24.81,25.38,25.66,27.62,29.94,29.16,26.44,24.66,24.09,21.94,18.47,16.22,16.59,17.19,15.91,15.44,17.62,19.75,19.06,17.38,17.34,18.84,18.97,18.44,20.09,23.84,26.09,26.31,26.69,28.66,29.56,28.34,26.31,26.62,27.31,25.47,23.31,22.78,23.47,22.34,19.81,18.62,20.0,21.12,21.16,22.34,26.31,29.72,30.19,29.62,30.03,30.72,29.28,26.47,25.88,27.31,27.59,26.09,25.03,26.09,26.34,24.16,22.59,23.75,25.44,25.25,24.19,24.69,25.72,24.56,21.31,20.16,20.91,21.5,21.25,21.88,24.53,26.56,25.25,22.78,22.25,22.41,20.72,18.38,18.72,20.44,20.06,18.12,16.75,17.59,17.69,16.94,16.72,20.06,23.56,24.91,25.66,27.75,30.16,29.88,28.59,28.38,29.91,30.09,27.97,26.53,27.0,26.88,24.66,22.69,23.19,24.91,24.81,23.75,25.09,27.44,28.12,27.12,27.22,28.88,29.34,27.66,26.5,27.03,27.56,25.84,23.75,24.0,25.0,24.03,22.09,22.19,23.91,24.44,23.31,23.22,24.81,25.28,23.34,21.97,23.38,25.47,26.19,26.25,28.28,30.28,30.09,27.44,26.19,26.84,26.56,25.12,25.44,28.47,31.56,31.91,31.88,33.16,34.19,32.66,30.16,29.91,31.59,31.94,30.75,30.91,32.06,31.38,28.22,25.59,26.0,27.12,27.03,27.38,29.97,32.59,33.34,32.28,32.88,34.25,34.25,31.88,30.53,31.19,31.38,29.62,27.84,29.0,30.34,29.38,28.16,28.53,29.84,28.84,25.72,24.34,24.28,23.84,22.22,21.97,24.28,26.72,26.28,25.16,26.0,27.09,26.22,24.88,25.69,28.03,28.91,28.0,27.72,28.66,28.47,25.12,22.31,22.03,22.88,22.16,21.94,24.06,26.91,27.41,26.84,27.56,29.53,31.28,30.84,31.88,34.97,37.16,37.03,36.09,36.84,37.03,34.78,31.44,30.25,30.34,29.91,28.88,29.81,32.53,33.75,32.19,30.31,29.69,29.03,26.59,24.66,25.47,28.06,28.97,28.69,29.59,31.22,31.41,29.81,29.53,30.91,31.84,30.59,29.19,30.34,31.56,30.22,28.22,28.25,29.28,29.09,28.75,30.53,33.56,35.34,34.31,32.78,32.34,31.25,27.5,24.44,24.09,24.84,23.81,22.81,24.09,26.31,27.66,27.19,28.03,30.31,32.0,32.06,32.81,35.56,38.59,38.84,37.97,38.5,39.56,38.09,35.84,34.78,34.97,33.91,31.16,29.16,29.03,28.72,26.03,23.91,24.03,25.91,24.88,23.19,21.94,21.94,24.19,25.66:31.38,31.66,30.66,30.09,30.66,29.31,25.72,22.84,21.94,20.41,17.06,14.5,14.56,15.25,15.19,14.62,16.66,19.84,21.75,21.62,22.22,23.69,23.91,22.34,21.53,22.88,24.03,22.94,20.41,19.66,19.56,18.94,18.06,19.44,22.38,24.25,23.91,23.94,25.78,26.69,25.09,23.16,22.84,22.69,20.53,18.38,19.12,21.81,23.94,25.03,27.38,30.06,30.94,28.66,26.19,25.53,25.0,22.78,21.03,22.28,24.91,25.91,25.62,27.19,29.31,30.31,29.53,29.16,30.56,31.31,29.06,27.0,27.38,28.03,26.62,24.5,24.0,23.78,22.47,19.81,19.81,21.16,22.47,21.41,20.88,22.5,23.44,22.66,21.16,21.97,23.25,22.31,20.16,20.03,20.97,20.22,18.66,18.34,19.62,20.16,18.31,16.97,17.0,17.84,16.72,15.91,17.5,19.81,20.5,19.22,19.88,21.75,22.81,22.25,22.75,25.0,26.19,24.91,23.44,24.25,25.38,24.19,22.22,21.94,22.28,20.84,17.75,16.28,16.56,16.53,14.5,13.5,14.16,15.56,14.47,13.97,15.88,18.47,18.81,17.25,17.09,17.91,17.47,15.69,15.28,16.81,17.75,16.62,15.41,16.88,18.88,18.75,18.22,19.16,21.5,21.88,20.88,20.53,21.88,21.53,18.62,16.16,15.81,15.66,13.41,11.59,12.19,14.0,13.5,12.5,13.28,15.59,16.88,17.28,19.16,23.06,26.16,26.59,26.56,27.44,27.25,23.69,19.69,18.03,18.19,17.16,15.84,16.38,18.47,19.03,17.53,16.72,18.38,19.66,18.66,18.31,20.22,22.19,21.88,20.22,20.19,21.28,20.53,18.69,17.47,18.0,17.31,13.81,11.38,11.41,12.16,11.41,11.22,13.44,16.69,17.75,17.94,19.03,21.41,22.03,20.34,19.59,20.75,21.34,19.72,18.91,20.41,22.03,21.62,20.62,21.78,23.88,24.81,24.94,26.81,30.31,32.62,31.75,30.44,30.31,29.06,24.62,20.53,18.28,16.66,13.75,10.69,10.69,13.09,14.28,14.25,15.25,18.38,20.5,20.78,21.69,24.72,27.0,26.34,24.56,24.41,24.25,21.97,18.66,16.97,17.0,16.41,14.44,13.72,15.22,16.16,14.91,14.09,15.59,17.44,17.03,15.78,16.03,17.44,16.66,14.22,13.38,14.78,15.69,15.53,16.31,19.72,22.53,22.78,22.06,23.16,24.16,22.88,19.97,18.69,18.62,17.38,14.88,13.94,15.59,16.28,14.47,12.38,12.47,12.47,10.69,8.75,9.66,11.5,11.75,10.62,11.0,13.53,15.06,15.22,16.19,19.0,21.53,21.44,20.44,21.34,22.06,20.25,17.03,15.25,14.62,12.5,8.91,7.22,8.59,10.0,10.69,12.94,17.97,22.91,25.25,26.28,28.78,31.03,30.72,28.88,28.22,28.72,27.56,24.28,21.75,21.16,19.47,15.41,11.72,10.75,10.41,9.25,8.22,10.38,13.78,16.06,16.91,18.5,21.47,23.22,22.62,22.59,24.91,26.78,26.53,25.66,27.0,29.0,28.28,26.22,25.19,25.06,23.19,19.75,18.25,18.38,18.25,16.16,14.81,16.03,17.75,17.94,17.19,18.38,19.44,18.28,15.62,14.31,14.66,14.31,12.34,11.31,13.06,14.97,14.75,15.0,16.97,19.09,19.38,18.78,20.34,22.94,24.03,23.03,23.03,24.5,25.84,25.16,25.22,27.25,29.03,27.66,25.34,24.88,24.84,22.75,20.22,19.44,19.91,19.34,17.03,15.78,16.94,17.78,16.34,15.38,15.91,17.22,16.09,14.34,14.81,15.75,15.28,12.97,12.22,12.97,12.88,10.75,9.53,10.91,12.5,12.66,12.62,14.59,16.5,15.44,12.88,11.78,11.69,11.06,9.84,10.25,13.09,14.81,14.12,13.22,14.12,15.38,14.88,15.19,17.66,21.12,22.53,22.25,22.53,23.62,22.88,20.19,19.09,20.16,21.69,21.72,21.62,22.84,23.22,21.06,17.31,15.19,15.03,13.72,11.78,11.66,14.16,16.34,16.47,16.72,18.78,20.44,19.47,18.16,18.88,20.66,20.62,19.38,19.69,21.19,20.75,18.44,16.81,16.62,16.16,14.0,12.78,14.06,16.12,16.34,15.94,17.06,19.0,19.06,18.0,18.5,20.41,20.78,19.09,17.31,17.12,16.56,14.0,12.03,12.12,13.62,13.72,13.12,14.41,17.03,18.19,17.75,18.56,21.22,22.75,21.66,20.31,20.16,19.78,17.06,13.81,12.44,12.5,10.91,8.66,8.44,10.44,11.94,12.38,14.38,18.81,22.41,23.59,23.25,24.03,24.41,22.5,19.78,18.78,19.59,19.69,19.12,20.25,23.28,25.25,24.97,24.62,25.5,26.38,24.31,21.5,20.81,20.81,19.34,17.69,17.28,18.62,18.53,16.91,15.97,17.19,17.78,16.06,14.59,15.16,16.31,15.5,13.78,13.66,14.16,12.41,9.59,7.84,8.0,7.53,5.25,3.94,5.22,7.12,7.81,8.88,12.28,15.88,17.22,17.0,17.59,18.59,17.84,15.5,14.09,15.22,15.62,14.72,13.97,15.31,16.78,15.19,13.0,12.22,11.97,10.25,7.97,7.06,8.25,8.53,7.47,7.84,10.53,13.0,13.28,12.84,13.91,15.41,14.47,12.47,11.94,12.19,11.03,8.56,7.53,8.56,9.0,7.78,7.0,8.19,9.31,8.72,7.69,8.94,11.06,12.03,12.0,12.88,14.59,15.09,13.34,12.41,13.59,14.59,13.41,12.38,13.56,14.62,14.03,12.66,13.41,15.12,15.34,13.75,13.28,14.22,14.19,12.62,12.12,14.06,16.5,16.62,16.53,18.25,20.16,19.91,18.5,18.47,19.38,19.0,16.94,16.0,17.19,18.59,17.91,17.22,18.41,19.53,17.91,15.47,15.34,16.19,15.97,14.03,13.94,15.62,17.03,16.91,18.19,21.09,23.12,22.53,20.97,20.78,21.06,19.81,17.31,16.91,18.06,17.44,15.12,14.0,14.91,15.66,14.56,14.22,16.09,17.75,16.28,13.78,12.69,12.38,10.75,8.69,8.97,11.22,12.81,12.44,13.12,15.81,18.0,18.19,18.09,19.34,20.38,19.12,16.94,16.47,17.22,16.75,14.66,14.09,15.19,15.81,14.78,14.69,16.62,18.47,18.31,17.97,19.34,21.31,21.47,19.78,19.34,19.97,19.22,16.75,15.81,17.91,20.19,20.78,22.09,24.81,27.06,26.25,23.62,22.66,22.88,20.91,17.88,15.75,15.28,13.94,11.06,9.41,10.94,13.28,13.56,14.16,16.41,19.22,19.38,18.31,18.81,20.31,20.34,18.84,18.66,20.62,22.12,21.75,21.47,23.25,25.16,23.97,22.56,23.25,24.97,24.94,23.84,23.75,24.78,24.31,21.59,19.94,20.53,21.12,19.56,17.78,18.78,20.47,19.59,18.25,18.78,20.22,19.88,17.91,17.44,19.12,20.28,19.44,19.47,22.34,24.81,25.38,25.66,27.62,29.94,29.16,26.44,24.66,24.09,21.94,18.47,16.22,16.59,17.19,15.91,15.44,17.62,19.75,19.06,17.38,17.34,18.84,18.97,18.44,20.09,23.84,26.09,26.31,26.69,28.66,29.56,28.34,26.31,26.62,27.31,25.47,23.31,22.78,23.47,22.34,19.81,18.62,20.0,21.12,21.16,22.34,26.31,29.72,30.19,29.62,30.03,30.72,29.28,26.47,25.88,27.31,27.59,26.09,25.03,26.09,26.34,24.16,22.59,23.75,25.44,25.25,24.19,24.69,25.72,24.56,21.31,20.16,20.91,21.5,21.25,21.88,24.53,26.56,25.25,22.78,22.25,22.41,20.72,18.38,18.72,20.44,20.06,18.12,16.75,17.59,17.69,16.94,16.72,20.06,23.56,24.91,25.66,27.75,30.16,29.88,28.59,28.38,29.91,30.09,27.97,26.53,27.0,26.88,24.66,22.69,23.19,24.91,24.81,23.75,25.09,27.44,28.12,27.12,27.22,28.88,29.34,27.66,26.5,27.03,27.56,25.84,23.75,24.0,25.0,24.03,22.09,22.19,23.91,24.44,23.31,23.22,24.81,25.28,23.34,21.97,23.38,25.47,26.19,26.25,28.28,30.28,30.09,27.44,26.19,26.84,26.56,25.12,25.44,28.47,31.56,31.91,31.88,33.16,34.19,32.66,30.16,29.91,31.59,31.94,30.75,30.91,32.06,31.38,28.22,25.59,26.0,27.12,27.03,27.38,29.97,32.59,33.34,32.28,32.88,34.25,34.25,31.88,30.53,31.19,31.38,29.62,27.84,29.0,30.34,29.38,28.16,28.53,29.84,28.84,25.72,24.34,24.28,23.84,22.22,21.97,24.28,26.72,26.28,25.16,26.0,27.09,26.22,24.88,25.69,28.03,28.91,28.0,27.72,28.66,28.47,25.12,22.31,22.03,22.88,22.16,21.94,24.06,26.91,27.41,26.84,27.56,29.53,31.28,30.84,31.88,34.97,37.16,37.03,36.09,36.84,37.03,34.78,31.44,30.25,30.34,29.91,28.88,29.81,32.53,33.75,32.19,30.31,29.69,29.03,26.59,24.66,25.47,28.06,28.97,28.69,29.59,31.22,31.41,29.81,29.53,30.91,31.84,30.59,29.19,30.34,31.56,30.22,28.22,28.25,29.28,29.09,28.75,30.53,33.56,35.34,34.31,32.78,32.34,31.25,27.5,24.44,24.09,24.84,23.81,22.81,24.09,26.31,27.66,27.19,28.03,30.31,32.0,32.06,32.81,35.56,38.59,38.84,37.97,38.5,39.56,38.09,35.84,34.78,34.97,33.91,31.16,29.16,29.03,28.72,26.03,23.91,24.03,25.91,24.88,23.19,21.94,21.94,24.19,25.66,26.12,26.81,29.28,31.56,32.41,32.91,34.5:22.84,21.94,20.41,17.06,14.5,14.56,15.25,15.19,14.62,16.66,19.84,21.75,21.62,22.22,23.69,23.91,22.34,21.53,22.88,24.03,22.94,20.41,19.66,19.56,18.94,18.06,19.44,22.38,24.25,23.91,23.94,25.78,26.69,25.09,23.16,22.84,22.69,20.53,18.38,19.12,21.81,23.94,25.03,27.38,30.06,30.94,28.66,26.19,25.53,25.0,22.78,21.03,22.28,24.91,25.91,25.62,27.19,29.31,30.31,29.53,29.16,30.56,31.31,29.06,27.0,27.38,28.03,26.62,24.5,24.0,23.78,22.47,19.81,19.81,21.16,22.47,21.41,20.88,22.5,23.44,22.66,21.16,21.97,23.25,22.31,20.16,20.03,20.97,20.22,18.66,18.34,19.62,20.16,18.31,16.97,17.0,17.84,16.72,15.91,17.5,19.81,20.5,19.22,19.88,21.75,22.81,22.25,22.75,25.0,26.19,24.91,23.44,24.25,25.38,24.19,22.22,21.94,22.28,20.84,17.75,16.28,16.56,16.53,14.5,13.5,14.16,15.56,14.47,13.97,15.88,18.47,18.81,17.25,17.09,17.91,17.47,15.69,15.28,16.81,17.75,16.62,15.41,16.88,18.88,18.75,18.22,19.16,21.5,21.88,20.88,20.53,21.88,21.53,18.62,16.16,15.81,15.66,13.41,11.59,12.19,14.0,13.5,12.5,13.28,15.59,16.88,17.28,19.16,23.06,26.16,26.59,26.56,27.44,27.25,23.69,19.69,18.03,18.19,17.16,15.84,16.38,18.47,19.03,17.53,16.72,18.38,19.66,18.66,18.31,20.22,22.19,21.88,20.22,20.19,21.28,20.53,18.69,17.47,18.0,17.31,13.81,11.38,11.41,12.16,11.41,11.22,13.44,16.69,17.75,17.94,19.03,21.41,22.03,20.34,19.59,20.75,21.34,19.72,18.91,20.41,22.03,21.62,20.62,21.78,23.88,24.81,24.94,26.81,30.31,32.62,31.75,30.44,30.31,29.06,24.62,20.53,18.28,16.66,13.75,10.69,10.69,13.09,14.28,14.25,15.25,18.38,20.5,20.78,21.69,24.72,27.0,26.34,24.56,24.41,24.25,21.97,18.66,16.97,17.0,16.41,14.44,13.72,15.22,16.16,14.91,14.09,15.59,17.44,17.03,15.78,16.03,17.44,16.66,14.22,13.38,14.78,15.69,15.53,16.31,19.72,22.53,22.78,22.06,23.16,24.16,22.88,19.97,18.69,18.62,17.38,14.88,13.94,15.59,16.28,14.47,12.38,12.47,12.47,10.69,8.75,9.66,11.5,11.75,10.62,11.0,13.53,15.06,15.22,16.19,19.0,21.53,21.44,20.44,21.34,22.06,20.25,17.03,15.25,14.62,12.5,8.91,7.22,8.59,10.0,10.69,12.94,17.97,22.91,25.25,26.28,28.78,31.03,30.72,28.88,28.22,28.72,27.56,24.28,21.75,21.16,19.47,15.41,11.72,10.75,10.41,9.25,8.22,10.38,13.78,16.06,16.91,18.5,21.47,23.22,22.62,22.59,24.91,26.78,26.53,25.66,27.0,29.0,28.28,26.22,25.19,25.06,23.19,19.75,18.25,18.38,18.25,16.16,14.81,16.03,17.75,17.94,17.19,18.38,19.44,18.28,15.62,14.31,14.66,14.31,12.34,11.31,13.06,14.97,14.75,15.0,16.97,19.09,19.38,18.78,20.34,22.94,24.03,23.03,23.03,24.5,25.84,25.16,25.22,27.25,29.03,27.66,25.34,24.88,24.84,22.75,20.22,19.44,19.91,19.34,17.03,15.78,16.94,17.78,16.34,15.38,15.91,17.22,16.09,14.34,14.81,15.75,15.28,12.97,12.22,12.97,12.88,10.75,9.53,10.91,12.5,12.66,12.62,14.59,16.5,15.44,12.88,11.78,11.69,11.06,9.84,10.25,13.09,14.81,14.12,13.22,14.12,15.38,14.88,15.19,17.66,21.12,22.53,22.25,22.53,23.62,22.88,20.19,19.09,20.16,21.69,21.72,21.62,22.84,23.22,21.06,17.31,15.19,15.03,13.72,11.78,11.66,14.16,16.34,16.47,16.72,18.78,20.44,19.47,18.16,18.88,20.66,20.62,19.38,19.69,21.19,20.75,18.44,16.81,16.62,16.16,14.0,12.78,14.06,16.12,16.34,15.94,17.06,19.0,19.06,18.0,18.5,20.41,20.78,19.09,17.31,17.12,16.56,14.0,12.03,12.12,13.62,13.72,13.12,14.41,17.03,18.19,17.75,18.56,21.22,22.75,21.66,20.31,20.16,19.78,17.06,13.81,12.44,12.5,10.91,8.66,8.44,10.44,11.94,12.38,14.38,18.81,22.41,23.59,23.25,24.03,24.41,22.5,19.78,18.78,19.59,19.69,19.12,20.25,23.28,25.25,24.97,24.62,25.5,26.38,24.31,21.5,20.81,20.81,19.34,17.69,17.28,18.62,18.53,16.91,15.97,17.19,17.78,16.06,14.59,15.16,16.31,15.5,13.78,13.66,14.16,12.41,9.59,7.84,8.0,7.53,5.25,3.94,5.22,7.12,7.81,8.88,12.28,15.88,17.22,17.0,17.59,18.59,17.84,15.5,14.09,15.22,15.62,14.72,13.97,15.31,16.78,15.19,13.0,12.22,11.97,10.25,7.97,7.06,8.25,8.53,7.47,7.84,10.53,13.0,13.28,12.84,13.91,15.41,14.47,12.47,11.94,12.19,11.03,8.56,7.53,8.56,9.0,7.78,7.0,8.19,9.31,8.72,7.69,8.94,11.06,12.03,12.0,12.88,14.59,15.09,13.34,12.41,13.59,14.59,13.41,12.38,13.56,14.62,14.03,12.66,13.41,15.12,15.34,13.75,13.28,14.22,14.19,12.62,12.12,14.06,16.5,16.62,16.53,18.25,20.16,19.91,18.5,18.47,19.38,19.0,16.94,16.0,17.19,18.59,17.91,17.22,18.41,19.53,17.91,15.47,15.34,16.19,15.97,14.03,13.94,15.62,17.03,16.91,18.19,21.09,23.12,22.53,20.97,20.78,21.06,19.81,17.31,16.91,18.06,17.44,15.12,14.0,14.91,15.66,14.56,14.22,16.09,17.75,16.28,13.78,12.69,12.38,10.75,8.69,8.97,11.22,12.81,12.44,13.12,15.81,18.0,18.19,18.09,19.34,20.38,19.12,16.94,16.47,17.22,16.75,14.66,14.09,15.19,15.81,14.78,14.69,16.62,18.47,18.31,17.97,19.34,21.31,21.47,19.78,19.34,19.97,19.22,16.75,15.81,17.91,20.19,20.78,22.09,24.81,27.06,26.25,23.62,22.66,22.88,20.91,17.88,15.75,15.28,13.94,11.06,9.41,10.94,13.28,13.56,14.16,16.41,19.22,19.38,18.31,18.81,20.31,20.34,18.84,18.66,20.62,22.12,21.75,21.47,23.25,25.16,23.97,22.56,23.25,24.97,24.94,23.84,23.75,24.78,24.31,21.59,19.94,20.53,21.12,19.56,17.78,18.78,20.47,19.59,18.25,18.78,20.22,19.88,17.91,17.44,19.12,20.28,19.44,19.47,22.34,24.81,25.38,25.66,27.62,29.94,29.16,26.44,24.66,24.09,21.94,18.47,16.22,16.59,17.19,15.91,15.44,17.62,19.75,19.06,17.38,17.34,18.84,18.97,18.44,20.09,23.84,26.09,26.31,26.69,28.66,29.56,28.34,26.31,26.62,27.31,25.47,23.31,22.78,23.47,22.34,19.81,18.62,20.0,21.12,21.16,22.34,26.31,29.72,30.19,29.62,30.03,30.72,29.28,26.47,25.88,27.31,27.59,26.09,25.03,26.09,26.34,24.16,22.59,23.75,25.44,25.25,24.19,24.69,25.72,24.56,21.31,20.16,20.91,21.5,21.25,21.88,24.53,26.56,25.25,22.78,22.25,22.41,20.72,18.38,18.72,20.44,20.06,18.12,16.75,17.59,17.69,16.94,16.72,20.06,23.56,24.91,25.66,27.75,30.16,29.88,28.59,28.38,29.91,30.09,27.97,26.53,27.0,26.88,24.66,22.69,23.19,24.91,24.81,23.75,25.09,27.44,28.12,27.12,27.22,28.88,29.34,27.66,26.5,27.03,27.56,25.84,23.75,24.0,25.0,24.03,22.09,22.19,23.91,24.44,23.31,23.22,24.81,25.28,23.34,21.97,23.38,25.47,26.19,26.25,28.28,30.28,30.09,27.44,26.19,26.84,26.56,25.12,25.44,28.47,31.56,31.91,31.88,33.16,34.19,32.66,30.16,29.91,31.59,31.94,30.75,30.91,32.06,31.38,28.22,25.59,26.0,27.12,27.03,27.38,29.97,32.59,33.34,32.28,32.88,34.25,34.25,31.88,30.53,31.19,31.38,29.62,27.84,29.0,30.34,29.38,28.16,28.53,29.84,28.84,25.72,24.34,24.28,23.84,22.22,21.97,24.28,26.72,26.28,25.16,26.0,27.09,26.22,24.88,25.69,28.03,28.91,28.0,27.72,28.66,28.47,25.12,22.31,22.03,22.88,22.16,21.94,24.06,26.91,27.41,26.84,27.56,29.53,31.28,30.84,31.88,34.97,37.16,37.03,36.09,36.84,37.03,34.78,31.44,30.25,30.34,29.91,28.88,29.81,32.53,33.75,32.19,30.31,29.69,29.03,26.59,24.66,25.47,28.06,28.97,28.69,29.59,31.22,31.41,29.81,29.53,30.91,31.84,30.59,29.19,30.34,31.56,30.22,28.22,28.25,29.28,29.09,28.75,30.53,33.56,35.34,34.31,32.78,32.34,31.25,27.5,24.44,24.09,24.84,23.81,22.81,24.09,26.31,27.66,27.19,28.03,30.31,32.0,32.06,32.81,35.56,38.59,38.84,37.97,38.5,39.56,38.09,35.84,34.78,34.97,33.91,31.16,29.16,29.03,28.72,26.03,23.91,24.03,25.91,24.88,23.19,21.94,21.94,24.19,25.66,26.12,26.81,29.28,31.56,32.41,32.91,34.5,36.25,36.69,36.41,37.12,38.56,38.75,37.41:15.19,14.62,16.66,19.84,21.75,21.62,22.22,23.69,23.91,22.34,21.53,22.88,24.03,22.94,20.41,19.66,19.56,18.94,18.06,19.44,22.38,24.25,23.91,23.94,25.78,26.69,25.09,23.16,22.84,22.69,20.53,18.38,19.12,21.81,23.94,25.03,27.38,30.06,30.94,28.66,26.19,25.53,25.0,22.78,21.03,22.28,24.91,25.91,25.62,27.19,29.31,30.31,29.53,29.16,30.56,31.31,29.06,27.0,27.38,28.03,26.62,24.5,24.0,23.78,22.47,19.81,19.81,21.16,22.47,21.41,20.88,22.5,23.44,22.66,21.16,21.97,23.25,22.31,20.16,20.03,20.97,20.22,18.66,18.34,19.62,20.16,18.31,16.97,17.0,17.84,16.72,15.91,17.5,19.81,20.5,19.22,19.88,21.75,22.81,22.25,22.75,25.0,26.19,24.91,23.44,24.25,25.38,24.19,22.22,21.94,22.28,20.84,17.75,16.28,16.56,16.53,14.5,13.5,14.16,15.56,14.47,13.97,15.88,18.47,18.81,17.25,17.09,17.91,17.47,15.69,15.28,16.81,17.75,16.62,15.41,16.88,18.88,18.75,18.22,19.16,21.5,21.88,20.88,20.53,21.88,21.53,18.62,16.16,15.81,15.66,13.41,11.59,12.19,14.0,13.5,12.5,13.28,15.59,16.88,17.28,19.16,23.06,26.16,26.59,26.56,27.44,27.25,23.69,19.69,18.03,18.19,17.16,15.84,16.38,18.47,19.03,17.53,16.72,18.38,19.66,18.66,18.31,20.22,22.19,21.88,20.22,20.19,21.28,20.53,18.69,17.47,18.0,17.31,13.81,11.38,11.41,12.16,11.41,11.22,13.44,16.69,17.75,17.94,19.03,21.41,22.03,20.34,19.59,20.75,21.34,19.72,18.91,20.41,22.03,21.62,20.62,21.78,23.88,24.81,24.94,26.81,30.31,32.62,31.75,30.44,30.31,29.06,24.62,20.53,18.28,16.66,13.75,10.69,10.69,13.09,14.28,14.25,15.25,18.38,20.5,20.78,21.69,24.72,27.0,26.34,24.56,24.41,24.25,21.97,18.66,16.97,17.0,16.41,14.44,13.72,15.22,16.16,14.91,14.09,15.59,17.44,17.03,15.78,16.03,17.44,16.66,14.22,13.38,14.78,15.69,15.53,16.31,19.72,22.53,22.78,22.06,23.16,24.16,22.88,19.97,18.69,18.62,17.38,14.88,13.94,15.59,16.28,14.47,12.38,12.47,12.47,10.69,8.75,9.66,11.5,11.75,10.62,11.0,13.53,15.06,15.22,16.19,19.0,21.53,21.44,20.44,21.34,22.06,20.25,17.03,15.25,14.62,12.5,8.91,7.22,8.59,10.0,10.69,12.94,17.97,22.91,25.25,26.28,28.78,31.03,30.72,28.88,28.22,28.72,27.56,24.28,21.75,21.16,19.47,15.41,11.72,10.75,10.41,9.25,8.22,10.38,13.78,16.06,16.91,18.5,21.47,23.22,22.62,22.59,24.91,26.78,26.53,25.66,27.0,29.0,28.28,26.22,25.19,25.06,23.19,19.75,18.25,18.38,18.25,16.16,14.81,16.03,17.75,17.94,17.19,18.38,19.44,18.28,15.62,14.31,14.66,14.31,12.34,11.31,13.06,14.97,14.75,15.0,16.97,19.09,19.38,18.78,20.34,22.94,24.03,23.03,23.03,24.5,25.84,25.16,25.22,27.25,29.03,27.66,25.34,24.88,24.84,22.75,20.22,19.44,19.91,19.34,17.03,15.78,16.94,17.78,16.34,15.38,15.91,17.22,16.09,14.34,14.81,15.75,15.28,12.97,12.22,12.97,12.88,10.75,9.53,10.91,12.5,12.66,12.62,14.59,16.5,15.44,12.88,11.78,11.69,11.06,9.84,10.25,13.09,14.81,14.12,13.22,14.12,15.38,14.88,15.19,17.66,21.12,22.53,22.25,22.53,23.62,22.88,20.19,19.09,20.16,21.69,21.72,21.62,22.84,23.22,21.06,17.31,15.19,15.03,13.72,11.78,11.66,14.16,16.34,16.47,16.72,18.78,20.44,19.47,18.16,18.88,20.66,20.62,19.38,19.69,21.19,20.75,18.44,16.81,16.62,16.16,14.0,12.78,14.06,16.12,16.34,15.94,17.06,19.0,19.06,18.0,18.5,20.41,20.78,19.09,17.31,17.12,16.56,14.0,12.03,12.12,13.62,13.72,13.12,14.41,17.03,18.19,17.75,18.56,21.22,22.75,21.66,20.31,20.16,19.78,17.06,13.81,12.44,12.5,10.91,8.66,8.44,10.44,11.94,12.38,14.38,18.81,22.41,23.59,23.25,24.03,24.41,22.5,19.78,18.78,19.59,19.69,19.12,20.25,23.28,25.25,24.97,24.62,25.5,26.38,24.31,21.5,20.81,20.81,19.34,17.69,17.28,18.62,18.53,16.91,15.97,17.19,17.78,16.06,14.59,15.16,16.31,15.5,13.78,13.66,14.16,12.41,9.59,7.84,8.0,7.53,5.25,3.94,5.22,7.12,7.81,8.88,12.28,15.88,17.22,17.0,17.59,18.59,17.84,15.5,14.09,15.22,15.62,14.72,13.97,15.31,16.78,15.19,13.0,12.22,11.97,10.25,7.97,7.06,8.25,8.53,7.47,7.84,10.53,13.0,13.28,12.84,13.91,15.41,14.47,12.47,11.94,12.19,11.03,8.56,7.53,8.56,9.0,7.78,7.0,8.19,9.31,8.72,7.69,8.94,11.06,12.03,12.0,12.88,14.59,15.09,13.34,12.41,13.59,14.59,13.41,12.38,13.56,14.62,14.03,12.66,13.41,15.12,15.34,13.75,13.28,14.22,14.19,12.62,12.12,14.06,16.5,16.62,16.53,18.25,20.16,19.91,18.5,18.47,19.38,19.0,16.94,16.0,17.19,18.59,17.91,17.22,18.41,19.53,17.91,15.47,15.34,16.19,15.97,14.03,13.94,15.62,17.03,16.91,18.19,21.09,23.12,22.53,20.97,20.78,21.06,19.81,17.31,16.91,18.06,17.44,15.12,14.0,14.91,15.66,14.56,14.22,16.09,17.75,16.28,13.78,12.69,12.38,10.75,8.69,8.97,11.22,12.81,12.44,13.12,15.81,18.0,18.19,18.09,19.34,20.38,19.12,16.94,16.47,17.22,16.75,14.66,14.09,15.19,15.81,14.78,14.69,16.62,18.47,18.31,17.97,19.34,21.31,21.47,19.78,19.34,19.97,19.22,16.75,15.81,17.91,20.19,20.78,22.09,24.81,27.06,26.25,23.62,22.66,22.88,20.91,17.88,15.75,15.28,13.94,11.06,9.41,10.94,13.28,13.56,14.16,16.41,19.22,19.38,18.31,18.81,20.31,20.34,18.84,18.66,20.62,22.12,21.75,21.47,23.25,25.16,23.97,22.56,23.25,24.97,24.94,23.84,23.75,24.78,24.31,21.59,19.94,20.53,21.12,19.56,17.78,18.78,20.47,19.59,18.25,18.78,20.22,19.88,17.91,17.44,19.12,20.28,19.44,19.47,22.34,24.81,25.38,25.66,27.62,29.94,29.16,26.44,24.66,24.09,21.94,18.47,16.22,16.59,17.19,15.91,15.44,17.62,19.75,19.06,17.38,17.34,18.84,18.97,18.44,20.09,23.84,26.09,26.31,26.69,28.66,29.56,28.34,26.31,26.62,27.31,25.47,23.31,22.78,23.47,22.34,19.81,18.62,20.0,21.12,21.16,22.34,26.31,29.72,30.19,29.62,30.03,30.72,29.28,26.47,25.88,27.31,27.59,26.09,25.03,26.09,26.34,24.16,22.59,23.75,25.44,25.25,24.19,24.69,25.72,24.56,21.31,20.16,20.91,21.5,21.25,21.88,24.53,26.56,25.25,22.78,22.25,22.41,20.72,18.38,18.72,20.44,20.06,18.12,16.75,17.59,17.69,16.94,16.72,20.06,23.56,24.91,25.66,27.75,30.16,29.88,28.59,28.38,29.91,30.09,27.97,26.53,27.0,26.88,24.66,22.69,23.19,24.91,24.81,23.75,25.09,27.44,28.12,27.12,27.22,28.88,29.34,27.66,26.5,27.03,27.56,25.84,23.75,24.0,25.0,24.03,22.09,22.19,23.91,24.44,23.31,23.22,24.81,25.28,23.34,21.97,23.38,25.47,26.19,26.25,28.28,30.28,30.09,27.44,26.19,26.84,26.56,25.12,25.44,28.47,31.56,31.91,31.88,33.16,34.19,32.66,30.16,29.91,31.59,31.94,30.75,30.91,32.06,31.38,28.22,25.59,26.0,27.12,27.03,27.38,29.97,32.59,33.34,32.28,32.88,34.25,34.25,31.88,30.53,31.19,31.38,29.62,27.84,29.0,30.34,29.38,28.16,28.53,29.84,28.84,25.72,24.34,24.28,23.84,22.22,21.97,24.28,26.72,26.28,25.16,26.0,27.09,26.22,24.88,25.69,28.03,28.91,28.0,27.72,28.66,28.47,25.12,22.31,22.03,22.88,22.16,21.94,24.06,26.91,27.41,26.84,27.56,29.53,31.28,30.84,31.88,34.97,37.16,37.03,36.09,36.84,37.03,34.78,31.44,30.25,30.34,29.91,28.88,29.81,32.53,33.75,32.19,30.31,29.69,29.03,26.59,24.66,25.47,28.06,28.97,28.69,29.59,31.22,31.41,29.81,29.53,30.91,31.84,30.59,29.19,30.34,31.56,30.22,28.22,28.25,29.28,29.09,28.75,30.53,33.56,35.34,34.31,32.78,32.34,31.25,27.5,24.44,24.09,24.84,23.81,22.81,24.09,26.31,27.66,27.19,28.03,30.31,32.0,32.06,32.81,35.56,38.59,38.84,37.97,38.5,39.56,38.09,35.84,34.78,34.97,33.91,31.16,29.16,29.03,28.72,26.03,23.91,24.03,25.91,24.88,23.19,21.94,21.94,24.19,25.66,26.12,26.81,29.28,31.56,32.41,32.91,34.5,36.25,36.69,36.41,37.12,38.56,38.75,37.41,36.47,36.25,35.03,32.53,30.16,29.22,28.84:23.69,23.91,22.34,21.53,22.88,24.03,22.94,20.41,19.66,19.56,18.94,18.06,19.44,22.38,24.25,23.91,23.94,25.78,26.69,25.09,23.16,22.84,22.69,20.53,18.38,19.12,21.81,23.94,25.03,27.38,30.06,30.94,28.66,26.19,25.53,25.0,22.78,21.03,22.28,24.91,25.91,25.62,27.19,29.31,30.31,29.53,29.16,30.56,31.31,29.06,27.0,27.38,28.03,26.62,24.5,24.0,23.78,22.47,19.81,19.81,21.16,22.47,21.41,20.88,22.5,23.44,22.66,21.16,21.97,23.25,22.31,20.16,20.03,20.97,20.22,18.66,18.34,19.62,20.16,18.31,16.97,17.0,17.84,16.72,15.91,17.5,19.81,20.5,19.22,19.88,21.75,22.81,22.25,22.75,25.0,26.19,24.91,23.44,24.25,25.38,24.19,22.22,21.94,22.28,20.84,17.75,16.28,16.56,16.53,14.5,13.5,14.16,15.56,14.47,13.97,15.88,18.47,18.81,17.25,17.09,17.91,17.47,15.69,15.28,16.81,17.75,16.62,15.41,16.88,18.88,18.75,18.22,19.16,21.5,21.88,20.88,20.53,21.88,21.53,18.62,16.16,15.81,15.66,13.41,11.59,12.19,14.0,13.5,12.5,13.28,15.59,16.88,17.28,19.16,23.06,26.16,26.59,26.56,27.44,27.25,23.69,19.69,18.03,18.19,17.16,15.84,16.38,18.47,19.03,17.53,16.72,18.38,19.66,18.66,18.31,20.22,22.19,21.88,20.22,20.19,21.28,20.53,18.69,17.47,18.0,17.31,13.81,11.38,11.41,12.16,11.41,11.22,13.44,16.69,17.75,17.94,19.03,21.41,22.03,20.34,19.59,20.75,21.34,19.72,18.91,20.41,22.03,21.62,20.62,21.78,23.88,24.81,24.94,26.81,30.31,32.62,31.75,30.44,30.31,29.06,24.62,20.53,18.28,16.66,13.75,10.69,10.69,13.09,14.28,14.25,15.25,18.38,20.5,20.78,21.69,24.72,27.0,26.34,24.56,24.41,24.25,21.97,18.66,16.97,17.0,16.41,14.44,13.72,15.22,16.16,14.91,14.09,15.59,17.44,17.03,15.78,16.03,17.44,16.66,14.22,13.38,14.78,15.69,15.53,16.31,19.72,22.53,22.78,22.06,23.16,24.16,22.88,19.97,18.69,18.62,17.38,14.88,13.94,15.59,16.28,14.47,12.38,12.47,12.47,10.69,8.75,9.66,11.5,11.75,10.62,11.0,13.53,15.06,15.22,16.19,19.0,21.53,21.44,20.44,21.34,22.06,20.25,17.03,15.25,14.62,12.5,8.91,7.22,8.59,10.0,10.69,12.94,17.97,22.91,25.25,26.28,28.78,31.03,30.72,28.88,28.22,28.72,27.56,24.28,21.75,21.16,19.47,15.41,11.72,10.75,10.41,9.25,8.22,10.38,13.78,16.06,16.91,18.5,21.47,23.22,22.62,22.59,24.91,26.78,26.53,25.66,27.0,29.0,28.28,26.22,25.19,25.06,23.19,19.75,18.25,18.38,18.25,16.16,14.81,16.03,17.75,17.94,17.19,18.38,19.44,18.28,15.62,14.31,14.66,14.31,12.34,11.31,13.06,14.97,14.75,15.0,16.97,19.09,19.38,18.78,20.34,22.94,24.03,23.03,23.03,24.5,25.84,25.16,25.22,27.25,29.03,27.66,25.34,24.88,24.84,22.75,20.22,19.44,19.91,19.34,17.03,15.78,16.94,17.78,16.34,15.38,15.91,17.22,16.09,14.34,14.81,15.75,15.28,12.97,12.22,12.97,12.88,10.75,9.53,10.91,12.5,12.66,12.62,14.59,16.5,15.44,12.88,11.78,11.69,11.06,9.84,10.25,13.09,14.81,14.12,13.22,14.12,15.38,14.88,15.19,17.66,21.12,22.53,22.25,22.53,23.62,22.88,20.19,19.09,20.16,21.69,21.72,21.62,22.84,23.22,21.06,17.31,15.19,15.03,13.72,11.78,11.66,14.16,16.34,16.47,16.72,18.78,20.44,19.47,18.16,18.88,20.66,20.62,19.38,19.69,21.19,20.75,18.44,16.81,16.62,16.16,14.0,12.78,14.06,16.12,16.34,15.94,17.06,19.0,19.06,18.0,18.5,20.41,20.78,19.09,17.31,17.12,16.56,14.0,12.03,12.12,13.62,13.72,13.12,14.41,17.03,18.19,17.75,18.56,21.22,22.75,21.66,20.31,20.16,19.78,17.06,13.81,12.44,12.5,10.91,8.66,8.44,10.44,11.94,12.38,14.38,18.81,22.41,23.59,23.25,24.03,24.41,22.5,19.78,18.78,19.59,19.69,19.12,20.25,23.28,25.25,24.97,24.62,25.5,26.38,24.31,21.5,20.81,20.81,19.34,17.69,17.28,18.62,18.53,16.91,15.97,17.19,17.78,16.06,14.59,15.16,16.31,15.5,13.78,13.66,14.16,12.41,9.59,7.84,8.0,7.53,5.25,3.94,5.22,7.12,7.81,8.88,12.28,15.88,17.22,17.0,17.59,18.59,17.84,15.5,14.09,15.22,15.62,14.72,13.97,15.31,16.78,15.19,13.0,12.22,11.97,10.25,7.97,7.06,8.25,8.53,7.47,7.84,10.53,13.0,13.28,12.84,13.91,15.41,14.47,12.47,11.94,12.19,11.03,8.56,7.53,8.56,9.0,7.78,7.0,8.19,9.31,8.72,7.69,8.94,11.06,12.03,12.0,12.88,14.59,15.09,13.34,12.41,13.59,14.59,13.41,12.38,13.56,14.62,14.03,12.66,13.41,15.12,15.34,13.75,13.28,14.22,14.19,12.62,12.12,14.06,16.5,16.62,16.53,18.25,20.16,19.91,18.5,18.47,19.38,19.0,16.94,16.0,17.19,18.59,17.91,17.22,18.41,19.53,17.91,15.47,15.34,16.19,15.97,14.03,13.94,15.62,17.03,16.91,18.19,21.09,23.12,22.53,20.97,20.78,21.06,19.81,17.31,16.91,18.06,17.44,15.12,14.0,14.91,15.66,14.56,14.22,16.09,17.75,16.28,13.78,12.69,12.38,10.75,8.69,8.97,11.22,12.81,12.44,13.12,15.81,18.0,18.19,18.09,19.34,20.38,19.12,16.94,16.47,17.22,16.75,14.66,14.09,15.19,15.81,14.78,14.69,16.62,18.47,18.31,17.97,19.34,21.31,21.47,19.78,19.34,19.97,19.22,16.75,15.81,17.91,20.19,20.78,22.09,24.81,27.06,26.25,23.62,22.66,22.88,20.91,17.88,15.75,15.28,13.94,11.06,9.41,10.94,13.28,13.56,14.16,16.41,19.22,19.38,18.31,18.81,20.31,20.34,18.84,18.66,20.62,22.12,21.75,21.47,23.25,25.16,23.97,22.56,23.25,24.97,24.94,23.84,23.75,24.78,24.31,21.59,19.94,20.53,21.12,19.56,17.78,18.78,20.47,19.59,18.25,18.78,20.22,19.88,17.91,17.44,19.12,20.28,19.44,19.47,22.34,24.81,25.38,25.66,27.62,29.94,29.16,26.44,24.66,24.09,21.94,18.47,16.22,16.59,17.19,15.91,15.44,17.62,19.75,19.06,17.38,17.34,18.84,18.97,18.44,20.09,23.84,26.09,26.31,26.69,28.66,29.56,28.34,26.31,26.62,27.31,25.47,23.31,22.78,23.47,22.34,19.81,18.62,20.0,21.12,21.16,22.34,26.31,29.72,30.19,29.62,30.03,30.72,29.28,26.47,25.88,27.31,27.59,26.09,25.03,26.09,26.34,24.16,22.59,23.75,25.44,25.25,24.19,24.69,25.72,24.56,21.31,20.16,20.91,21.5,21.25,21.88,24.53,26.56,25.25,22.78,22.25,22.41,20.72,18.38,18.72,20.44,20.06,18.12,16.75,17.59,17.69,16.94,16.72,20.06,23.56,24.91,25.66,27.75,30.16,29.88,28.59,28.38,29.91,30.09,27.97,26.53,27.0,26.88,24.66,22.69,23.19,24.91,24.81,23.75,25.09,27.44,28.12,27.12,27.22,28.88,29.34,27.66,26.5,27.03,27.56,25.84,23.75,24.0,25.0,24.03,22.09,22.19,23.91,24.44,23.31,23.22,24.81,25.28,23.34,21.97,23.38,25.47,26.19,26.25,28.28,30.28,30.09,27.44,26.19,26.84,26.56,25.12,25.44,28.47,31.56,31.91,31.88,33.16,34.19,32.66,30.16,29.91,31.59,31.94,30.75,30.91,32.06,31.38,28.22,25.59,26.0,27.12,27.03,27.38,29.97,32.59,33.34,32.28,32.88,34.25,34.25,31.88,30.53,31.19,31.38,29.62,27.84,29.0,30.34,29.38,28.16,28.53,29.84,28.84,25.72,24.34,24.28,23.84,22.22,21.97,24.28,26.72,26.28,25.16,26.0,27.09,26.22,24.88,25.69,28.03,28.91,28.0,27.72,28.66,28.47,25.12,22.31,22.03,22.88,22.16,21.94,24.06,26.91,27.41,26.84,27.56,29.53,31.28,30.84,31.88,34.97,37.16,37.03,36.09,36.84,37.03,34.78,31.44,30.25,30.34,29.91,28.88,29.81,32.53,33.75,32.19,30.31,29.69,29.03,26.59,24.66,25.47,28.06,28.97,28.69,29.59,31.22,31.41,29.81,29.53,30.91,31.84,30.59,29.19,30.34,31.56,30.22,28.22,28.25,29.28,29.09,28.75,30.53,33.56,35.34,34.31,32.78,32.34,31.25,27.5,24.44,24.09,24.84,23.81,22.81,24.09,26.31,27.66,27.19,28.03,30.31,32.0,32.06,32.81,35.56,38.59,38.84,37.97,38.5,39.56,38.09,35.84,34.78,34.97,33.91,31.16,29.16,29.03,28.72,26.03,23.91,24.03,25.91,24.88,23.19,21.94,21.94,24.19,25.66,26.12,26.81,29.28,31.56,32.41,32.91,34.5,36.25,36.69,36.41,37.12,38.56,38.75,37.41,36.47,36.25,35.03,32.53,30.16,29.22,28.84,27.78,26.72,27.78,29.84,31.38,31.69,32.59:20.41,19.66,19.56,18.94,18.06,19.44,22.38,24.25,23.91,23.94,25.78,26.69,25.09,23.16,22.84,22.69,20.53,18.38,19.12,21.81,23.94,25.03,27.38,30.06,30.94,28.66,26.19,25.53,25.0,22.78,21.03,22.28,24.91,25.91,25.62,27.19,29.31,30.31,29.53,29.16,30.56,31.31,29.06,27.0,27.38,28.03,26.62,24.5,24.0,23.78,22.47,19.81,19.81,21.16,22.47,21.41,20.88,22.5,23.44,22.66,21.16,21.97,23.25,22.31,20.16,20.03,20.97,20.22,18.66,18.34,19.62,20.16,18.31,16.97,17.0,17.84,16.72,15.91,17.5,19.81,20.5,19.22,19.88,21.75,22.81,22.25,22.75,25.0,26.19,24.91,23.44,24.25,25.38,24.19,22.22,21.94,22.28,20.84,17.75,16.28,16.56,16.53,14.5,13.5,14.16,15.56,14.47,13.97,15.88,18.47,18.81,17.25,17.09,17.91,17.47,15.69,15.28,16.81,17.75,16.62,15.41,16.88,18.88,18.75,18.22,19.16,21.5,21.88,20.88,20.53,21.88,21.53,18.62,16.16,15.81,15.66,13.41,11.59,12.19,14.0,13.5,12.5,13.28,15.59,16.88,17.28,19.16,23.06,26.16,26.59,26.56,27.44,27.25,23.69,19.69,18.03,18.19,17.16,15.84,16.38,18.47,19.03,17.53,16.72,18.38,19.66,18.66,18.31,20.22,22.19,21.88,20.22,20.19,21.28,20.53,18.69,17.47,18.0,17.31,13.81,11.38,11.41,12.16,11.41,11.22,13.44,16.69,17.75,17.94,19.03,21.41,22.03,20.34,19.59,20.75,21.34,19.72,18.91,20.41,22.03,21.62,20.62,21.78,23.88,24.81,24.94,26.81,30.31,32.62,31.75,30.44,30.31,29.06,24.62,20.53,18.28,16.66,13.75,10.69,10.69,13.09,14.28,14.25,15.25,18.38,20.5,20.78,21.69,24.72,27.0,26.34,24.56,24.41,24.25,21.97,18.66,16.97,17.0,16.41,14.44,13.72,15.22,16.16,14.91,14.09,15.59,17.44,17.03,15.78,16.03,17.44,16.66,14.22,13.38,14.78,15.69,15.53,16.31,19.72,22.53,22.78,22.06,23.16,24.16,22.88,19.97,18.69,18.62,17.38,14.88,13.94,15.59,16.28,14.47,12.38,12.47,12.47,10.69,8.75,9.66,11.5,11.75,10.62,11.0,13.53,15.06,15.22,16.19,19.0,21.53,21.44,20.44,21.34,22.06,20.25,17.03,15.25,14.62,12.5,8.91,7.22,8.59,10.0,10.69,12.94,17.97,22.91,25.25,26.28,28.78,31.03,30.72,28.88,28.22,28.72,27.56,24.28,21.75,21.16,19.47,15.41,11.72,10.75,10.41,9.25,8.22,10.38,13.78,16.06,16.91,18.5,21.47,23.22,22.62,22.59,24.91,26.78,26.53,25.66,27.0,29.0,28.28,26.22,25.19,25.06,23.19,19.75,18.25,18.38,18.25,16.16,14.81,16.03,17.75,17.94,17.19,18.38,19.44,18.28,15.62,14.31,14.66,14.31,12.34,11.31,13.06,14.97,14.75,15.0,16.97,19.09,19.38,18.78,20.34,22.94,24.03,23.03,23.03,24.5,25.84,25.16,25.22,27.25,29.03,27.66,25.34,24.88,24.84,22.75,20.22,19.44,19.91,19.34,17.03,15.78,16.94,17.78,16.34,15.38,15.91,17.22,16.09,14.34,14.81,15.75,15.28,12.97,12.22,12.97,12.88,10.75,9.53,10.91,12.5,12.66,12.62,14.59,16.5,15.44,12.88,11.78,11.69,11.06,9.84,10.25,13.09,14.81,14.12,13.22,14.12,15.38,14.88,15.19,17.66,21.12,22.53,22.25,22.53,23.62,22.88,20.19,19.09,20.16,21.69,21.72,21.62,22.84,23.22,21.06,17.31,15.19,15.03,13.72,11.78,11.66,14.16,16.34,16.47,16.72,18.78,20.44,19.47,18.16,18.88,20.66,20.62,19.38,19.69,21.19,20.75,18.44,16.81,16.62,16.16,14.0,12.78,14.06,16.12,16.34,15.94,17.06,19.0,19.06,18.0,18.5,20.41,20.78,19.09,17.31,17.12,16.56,14.0,12.03,12.12,13.62,13.72,13.12,14.41,17.03,18.19,17.75,18.56,21.22,22.75,21.66,20.31,20.16,19.78,17.06,13.81,12.44,12.5,10.91,8.66,8.44,10.44,11.94,12.38,14.38,18.81,22.41,23.59,23.25,24.03,24.41,22.5,19.78,18.78,19.59,19.69,19.12,20.25,23.28,25.25,24.97,24.62,25.5,26.38,24.31,21.5,20.81,20.81,19.34,17.69,17.28,18.62,18.53,16.91,15.97,17.19,17.78,16.06,14.59,15.16,16.31,15.5,13.78,13.66,14.16,12.41,9.59,7.84,8.0,7.53,5.25,3.94,5.22,7.12,7.81,8.88,12.28,15.88,17.22,17.0,17.59,18.59,17.84,15.5,14.09,15.22,15.62,14.72,13.97,15.31,16.78,15.19,13.0,12.22,11.97,10.25,7.97,7.06,8.25,8.53,7.47,7.84,10.53,13.0,13.28,12.84,13.91,15.41,14.47,12.47,11.94,12.19,11.03,8.56,7.53,8.56,9.0,7.78,7.0,8.19,9.31,8.72,7.69,8.94,11.06,12.03,12.0,12.88,14.59,15.09,13.34,12.41,13.59,14.59,13.41,12.38,13.56,14.62,14.03,12.66,13.41,15.12,15.34,13.75,13.28,14.22,14.19,12.62,12.12,14.06,16.5,16.62,16.53,18.25,20.16,19.91,18.5,18.47,19.38,19.0,16.94,16.0,17.19,18.59,17.91,17.22,18.41,19.53,17.91,15.47,15.34,16.19,15.97,14.03,13.94,15.62,17.03,16.91,18.19,21.09,23.12,22.53,20.97,20.78,21.06,19.81,17.31,16.91,18.06,17.44,15.12,14.0,14.91,15.66,14.56,14.22,16.09,17.75,16.28,13.78,12.69,12.38,10.75,8.69,8.97,11.22,12.81,12.44,13.12,15.81,18.0,18.19,18.09,19.34,20.38,19.12,16.94,16.47,17.22,16.75,14.66,14.09,15.19,15.81,14.78,14.69,16.62,18.47,18.31,17.97,19.34,21.31,21.47,19.78,19.34,19.97,19.22,16.75,15.81,17.91,20.19,20.78,22.09,24.81,27.06,26.25,23.62,22.66,22.88,20.91,17.88,15.75,15.28,13.94,11.06,9.41,10.94,13.28,13.56,14.16,16.41,19.22,19.38,18.31,18.81,20.31,20.34,18.84,18.66,20.62,22.12,21.75,21.47,23.25,25.16,23.97,22.56,23.25,24.97,24.94,23.84,23.75,24.78,24.31,21.59,19.94,20.53,21.12,19.56,17.78,18.78,20.47,19.59,18.25,18.78,20.22,19.88,17.91,17.44,19.12,20.28,19.44,19.47,22.34,24.81,25.38,25.66,27.62,29.94,29.16,26.44,24.66,24.09,21.94,18.47,16.22,16.59,17.19,15.91,15.44,17.62,19.75,19.06,17.38,17.34,18.84,18.97,18.44,20.09,23.84,26.09,26.31,26.69,28.66,29.56,28.34,26.31,26.62,27.31,25.47,23.31,22.78,23.47,22.34,19.81,18.62,20.0,21.12,21.16,22.34,26.31,29.72,30.19,29.62,30.03,30.72,29.28,26.47,25.88,27.31,27.59,26.09,25.03,26.09,26.34,24.16,22.59,23.75,25.44,25.25,24.19,24.69,25.72,24.56,21.31,20.16,20.91,21.5,21.25,21.88,24.53,26.56,25.25,22.78,22.25,22.41,20.72,18.38,18.72,20.44,20.06,18.12,16.75,17.59,17.69,16.94,16.72,20.06,23.56,24.91,25.66,27.75,30.16,29.88,28.59,28.38,29.91,30.09,27.97,26.53,27.0,26.88,24.66,22.69,23.19,24.91,24.81,23.75,25.09,27.44,28.12,27.12,27.22,28.88,29.34,27.66,26.5,27.03,27.56,25.84,23.75,24.0,25.0,24.03,22.09,22.19,23.91,24.44,23.31,23.22,24.81,25.28,23.34,21.97,23.38,25.47,26.19,26.25,28.28,30.28,30.09,27.44,26.19,26.84,26.56,25.12,25.44,28.47,31.56,31.91,31.88,33.16,34.19,32.66,30.16,29.91,31.59,31.94,30.75,30.91,32.06,31.38,28.22,25.59,26.0,27.12,27.03,27.38,29.97,32.59,33.34,32.28,32.88,34.25,34.25,31.88,30.53,31.19,31.38,29.62,27.84,29.0,30.34,29.38,28.16,28.53,29.84,28.84,25.72,24.34,24.28,23.84,22.22,21.97,24.28,26.72,26.28,25.16,26.0,27.09,26.22,24.88,25.69,28.03,28.91,28.0,27.72,28.66,28.47,25.12,22.31,22.03,22.88,22.16,21.94,24.06,26.91,27.41,26.84,27.56,29.53,31.28,30.84,31.88,34.97,37.16,37.03,36.09,36.84,37.03,34.78,31.44,30.25,30.34,29.91,28.88,29.81,32.53,33.75,32.19,30.31,29.69,29.03,26.59,24.66,25.47,28.06,28.97,28.69,29.59,31.22,31.41,29.81,29.53,30.91,31.84,30.59,29.19,30.34,31.56,30.22,28.22,28.25,29.28,29.09,28.75,30.53,33.56,35.34,34.31,32.78,32.34,31.25,27.5,24.44,24.09,24.84,23.81,22.81,24.09,26.31,27.66,27.19,28.03,30.31,32.0,32.06,32.81,35.56,38.59,38.84,37.97,38.5,39.56,38.09,35.84,34.78,34.97,33.91,31.16,29.16,29.03,28.72,26.03,23.91,24.03,25.91,24.88,23.19,21.94,21.94,24.19,25.66,26.12,26.81,29.28,31.56,32.41,32.91,34.5,36.25,36.69,36.41,37.12,38.56,38.75,37.41,36.47,36.25,35.03,32.53,30.16,29.22,28.84,27.78,26.72,27.78,29.84,31.38,31.69,32.59,34.06,34.41,33.81,33.62,34.84,35.69,34.75:negativity
-11.5,-13.31,-14.62,-14.56,-13.16,-11.25,-9.44,-7.38,-5.06,-3.66,-3.72,-3.78,-3.25,-2.91,-3.38,-3.53,-3.69,-3.66,-4.91,-6.88,-8.72,-9.91,-11.47,-13.19,-14.41,-14.94,-15.47,-16.34,-16.62,-15.84,-15.0,-14.59,-14.53,-14.31,-13.59,-13.47,-13.28,-12.72,-11.19,-9.84,-9.12,-8.19,-7.25,-6.75,-8.06,-9.56,-10.72,-11.69,-12.81,-13.88,-13.97,-12.84,-12.12,-11.25,-10.31,-8.94,-8.31,-8.69,-9.22,-8.88,-8.47,-8.5,-8.56,-8.09,-7.12,-7.59,-8.38,-8.41,-7.84,-7.47,-6.91,-6.31,-4.62,-3.03,-2.97,-3.16,-3.19,-3.75,-5.94,-8.34,-9.97,-11.28,-12.94,-14.41,-14.72,-13.66,-11.81,-10.09,-7.91,-5.5,-3.72,-3.91,-4.38,-4.78,-4.62,-5.78,-7.06,-7.44,-7.78,-9.0,-10.97,-12.38,-13.44,-14.91,-16.72,-17.81,-18.25,-18.22,-18.94,-19.62,-19.41,-18.84,-18.81,-18.78,-18.84,-18.12,-19.06,-20.56,-22.34,-22.88,-23.06,-23.72,-23.72,-22.75,-22.5,-23.28,-24.47,-24.78,-23.94,-23.66,-23.22,-21.69,-19.12,-17.25,-15.97,-14.88,-13.56,-12.53,-12.56,-12.28,-11.31,-10.5,-10.94,-11.72,-11.91,-11.66,-12.06,-12.97,-14.0,-14.59,-15.56,-17.09,-17.59,-16.69,-15.78,-15.0,-14.25,-12.47,-10.94,-10.69,-11.34,-12.0,-12.09,-13.06,-13.91,-13.72,-12.84,-12.12,-11.69,-11.81,-11.53,-11.59,-12.41,-14.12,-14.84,-15.28,-15.81,-16.09,-15.53,-14.16,-13.5,-13.41,-13.72,-13.53,-13.59,-14.41,-14.81,-14.28,-13.97,-14.28,-14.72,-14.25,-13.22,-12.94,-12.84,-12.66,-11.47,-10.62,-9.94,-8.66,-6.59,-5.09,-5.12,-5.72,-5.88,-6.19,-7.38,-8.97,-9.97,-10.91,-12.47,-14.0,-14.72,-13.97,-13.19,-12.16,-11.44,-10.12,-9.06,-9.34,-10.22,-10.22,-10.25,-11.19,-12.34,-12.84,-12.5,-12.5,-12.72,-12.97,-12.78,-12.47,-12.84,-13.0,-11.53,-10.12,-9.91,-10.28,-10.81,-11.69,-13.75,-16.22,-17.44,-17.25,-16.66,-15.69,-14.0,-11.44,-9.44,-8.94,-9.47,-9.31,-8.84,-9.28,-10.16,-9.69,-8.69,-8.22,-7.91,-6.94,-5.38,-4.34,-4.81,-5.66,-6.09,-7.34,-9.31,-11.22,-12.34,-13.0,-14.16,-15.59,-16.28,-16.53,-16.94,-17.19,-16.62,-15.19,-13.97,-13.72,-13.69,-13.16,-12.94,-13.25,-13.41,-12.59,-11.22,-10.56,-10.69,-10.03,-9.56,-10.0,-11.06,-12.19,-13.16,-14.31,-16.19,-18.22,-18.72,-18.34,-18.34,-17.81,-15.91,-13.41,-11.59,-11.44,-11.69,-12.38,-13.81,-16.31,-18.12,-18.25,-18.03,-18.28,-17.91,-17.0,-16.31,-16.59,-17.41,-17.22,-16.31,-15.16,-14.56,-13.09,-11.53,-11.38,-12.75,-14.72,-16.0,-17.16,-18.28,-18.72,-17.41,-15.03,-13.38,-12.25,-10.66,-9.75,-9.66,-10.69,-11.41,-11.03,-11.09,-11.84,-12.5,-12.31,-12.28,-13.03,-13.75,-13.47,-12.75,-13.19,-14.91,-16.34,-18.16,-19.94,-22.03,-22.94,-22.41,-21.38,-21.03,-20.72,-19.44,-17.72,-16.44,-15.31,-13.31,-10.94,-9.81,-9.59,-9.19,-8.66,-8.28,-8.81,-8.47,-7.31,-6.0,-5.69,-5.25,-4.31,-3.53,-3.88,-5.09,-6.47,-7.59,-9.0,-10.38,-10.53,-9.78,-9.47,-10.47,-11.81,-12.97,-14.25,-15.94,-17.19,-17.16,-16.5,-15.66,-14.72,-13.5,-11.44,-9.5,-8.53,-7.0,-5.44,-4.47,-5.62,-7.19,-8.66,-9.56,-10.91,-11.88,-11.62,-10.47,-10.12,-9.94,-9.75,-9.34,-9.28,-10.97,-12.47,-13.38,-13.75,-15.0,-15.34,-14.12,-12.41,-11.38,-10.44,-8.78,-7.28,-6.38,-6.53,-6.75,-6.84,-7.5,-9.12,-10.53,-11.16,-10.66,-10.84,-10.16,-8.34,-5.72,-4.5,-3.72,-3.12,-2.5,-2.38,-2.97,-3.12,-2.62,-2.56,-3.22,-3.88,-3.78,-2.88,-2.91,-1.78,0.09,2.53,4.03,5.16,5.81,6.12,5.25,3.06,1.03,-0.47,-1.38,-2.84,-4.16,-4.75,-4.59,-5.28,-5.53,-4.69,-2.84,-1.44,-0.19,1.5,3.47,5.03,5.41,6.0,7.69,9.22,9.94,10.03,9.97,9.31,7.47,4.78,3.12,2.66,1.91,0.75,0.06,-0.12,-0.84,-2.94,-4.78,-5.69,-6.41,-7.69,-8.41,-8.28,-6.94,-6.62,-6.5,-5.75,-4.84,-4.25,-4.12,-3.72,-2.22,-0.66,0.09,1.16,3.12,4.62,4.84,4.56,4.12,3.62,2.25,0.41,-1.25,-2.0,-3.06,-4.12,-4.25,-3.34,-2.16,-1.84,-2.0,-2.34,-2.66,-3.69,-4.62,-4.66,-3.72,-3.25,-3.09,-3.06,-2.59,-2.56,-3.16,-3.5,-2.94,-1.75,-1.47,-1.56,-1.41,-2.03,-3.56,-6.0,-8.16,-9.75,-11.53,-13.28,-14.59,-14.41,-14.16,-14.34,-14.34,-13.22,-12.25,-11.84,-11.69,-10.94,-10.5,-10.94,-11.59,-12.25,-12.41,-12.59,-13.12,-13.59,-13.03,-12.22,-11.56,-10.81,-9.19,-7.09,-5.62,-4.56,-3.72,-3.59,-4.5,-6.19,-8.22,-9.38,-9.66,-10.47,-10.69,-9.78,-8.69,-7.75,-6.84,-5.47,-3.69,-3.25,-3.16,-2.97,-2.62,-2.78,-3.66,-5.22,-6.19,-7.69,-9.53,-10.75,-9.88,-8.22,-6.34,-4.75,-3.0,-2.0,-2.47,-4.06,-5.66,-6.34,-6.72,-7.59,-7.81,-7.28,-7.19,-7.94,-8.47,-7.78,-7.09,-6.59,-6.84,-6.94,-6.81,-7.38,-7.88,-8.03,-7.53,-7.62,-8.38,-9.62,-10.38,-10.97,-12.19,-12.38,-11.25,-9.62,-8.28,-7.47,-6.75,-5.84,-5.28,-4.97,-3.91,-1.44,0.72,1.34,1.53,1.75,1.78,0.78,-0.25,-0.31,-0.59,-1.03,-2.31,-3.06,-3.19,-3.44,-4.44,-5.34,-5.69,-6.06,-6.88,-7.62,-6.75,-5.59,-4.28,-3.59,-2.53,-1.25,-0.34,-0.38,-0.06,0.81,1.19,0.69,-0.22,-0.84,-1.62,-3.38,-5.34,-6.22,-7.06,-8.06,-9.38,-9.59,-9.09,-8.12,-6.97,-5.19,-2.56,-0.31,0.66,1.25,2.03,2.44,2.12,0.81,0.0,-0.53,-1.94,-3.66,-5.19,-6.34,-7.22,-8.81,-9.84,-9.72,-9.5,-10.22,-10.97,-10.59,-9.78,-8.53,-6.84,-4.62,-1.75,0.19,0.84,1.53,1.75,1.72,0.31,-1.03,-1.41,-1.28,-1.66,-2.53,-2.66,-2.88,-3.69,-4.72,-4.75,-3.62,-2.16,-1.06,0.47,1.91,3.41,3.12,2.28,2.25,2.72,2.53,2.22,2.81,3.56,4.06,3.66,3.28,3.34,2.69,1.09,-0.41,-1.19,-1.66,-2.78,-4.31,-4.84,-4.94,-5.38,-5.97,-5.34,-4.25,-3.09,-2.44,-1.31,0.38,1.69,2.19,2.06,2.25,2.62,1.66,0.78,0.59,0.53,-0.53,-2.53,-4.16,-5.5,-6.31,-6.75,-6.0,-4.31,-2.5,-2.0,-2.28,-2.31,-2.44,-3.19,-4.22,-3.88,-2.91,-2.06,-2.0,-1.94,-1.94,-2.72,-4.66,-6.0,-6.09,-5.41,-4.66,-3.81,-2.44,-0.66,-0.25,-0.62,-0.69,-0.12,-0.16,-0.69,-0.78,-0.06,0.03,-1.16,-2.59,-3.72,-4.72,-6.03,-6.69,-5.78,-3.88,-2.66,-2.03,-1.22,-0.34,-0.22,-0.88,-1.22,-0.88,-0.5,-1.09,-1.69,-1.72,-1.5,-1.59,-1.5,-0.19,1.84,2.53,2.88,2.53,2.44,2.03,0.75,-0.34,-0.44,0.0,-0.78,-1.41,-1.38,-1.66,-2.97,-4.31,-5.34,-5.03,-4.34,-3.84,-2.69,-0.47,1.31,1.72,2.19,3.56,4.91,5.0,4.81,4.78,4.25,2.88,1.47,0.97,2.19,3.53,4.78,6.41,8.88,10.59,11.25,11.34,11.84,12.47,11.22,9.47,7.91,6.62,5.03,3.41,2.78,3.47,4.0,3.66,3.62,4.25,4.94,4.97,4.75,5.16,5.56,4.69,3.22,2.25,1.53,0.66,-0.38,-0.59,0.56,1.56,2.28,2.91,4.09,4.25,3.31,2.03,1.28,1.34,0.72,0.38,0.78,1.72,2.19,2.41,2.91,4.38,5.62,5.78,5.66,6.44,6.5,5.62,4.06,3.41,3.09,2.53,2.16,2.44,3.84,4.66,4.78,5.0,5.91,6.75,6.22,5.12,4.75,4.66,4.53,4.25,4.69,6.28,6.62,6.28,5.84,5.75,5.09,3.25,1.28,0.81,0.38,-0.91,-2.19,-2.19,-1.75,-1.66,-1.22,0.12,1.91,3.44,4.06,4.75,6.25,7.12,6.88,6.59,7.28,8.06,8.0,7.62,8.06,8.25,7.34,5.59,4.28,3.75,3.09,3.12,3.34,4.72,5.47,4.94,3.84,3.81,4.03,3.97,4.19,5.25,6.72,7.22,7.41,7.62,8.78,9.38,9.0,8.44,8.5,7.97,6.59,5.03,4.31,4.38,4.0,3.62,4.22,5.72,6.19,5.66,4.97,4.66,3.66,2.38,1.28,1.59,2.59,3.12,3.69,5.28,7.31,8.56,8.91,9.78,10.62,10.78,9.72,8.5,8.44,7.72,6.03,4.56,4.22,3.62,2.53,1.22,0.88,1.53,1.91,2.22,4.38,6.81,8.97,10.12,11.53,13.22,13.97,13.44,12.53,11.56,10.84,10.0,9.0,8.72,9.0,8.56,7.16,6.16,6.0,6.0,6.09,7.09,9.31,12.06,13.41,14.38,15.19,15.25,14.84,13.69,13.62,14.22,14.66,13.94,13.5,13.75,13.34,12.22,11.12,11.38,11.25,10.38,9.34,9.72,10.31,11.19,11.66,12.62,14.03,15.09,14.97,15.25,15.88,16.38,15.03,12.84,10.88,8.56,5.72,2.72,1.41,1.25,2.0,2.72,4.5,7.5,9.69,10.59,11.25,11.91,12.38,12.19,12.22,13.34,14.44,14.81,14.41,14.12,13.97,13.28,11.84,11.12,10.97,11.03,10.12,9.62,9.81,9.94,9.38,8.44:-7.38,-5.06,-3.66,-3.72,-3.78,-3.25,-2.91,-3.38,-3.53,-3.69,-3.66,-4.91,-6.88,-8.72,-9.91,-11.47,-13.19,-14.41,-14.94,-15.47,-16.34,-16.62,-15.84,-15.0,-14.59,-14.53,-14.31,-13.59,-13.47,-13.28,-12.72,-11.19,-9.84,-9.12,-8.19,-7.25,-6.75,-8.06,-9.56,-10.72,-11.69,-12.81,-13.88,-13.97,-12.84,-12.12,-11.25,-10.31,-8.94,-8.31,-8.69,-9.22,-8.88,-8.47,-8.5,-8.56,-8.09,-7.12,-7.59,-8.38,-8.41,-7.84,-7.47,-6.91,-6.31,-4.62,-3.03,-2.97,-3.16,-3.19,-3.75,-5.94,-8.34,-9.97,-11.28,-12.94,-14.41,-14.72,-13.66,-11.81,-10.09,-7.91,-5.5,-3.72,-3.91,-4.38,-4.78,-4.62,-5.78,-7.06,-7.44,-7.78,-9.0,-10.97,-12.38,-13.44,-14.91,-16.72,-17.81,-18.25,-18.22,-18.94,-19.62,-19.41,-18.84,-18.81,-18.78,-18.84,-18.12,-19.06,-20.56,-22.34,-22.88,-23.06,-23.72,-23.72,-22.75,-22.5,-23.28,-24.47,-24.78,-23.94,-23.66,-23.22,-21.69,-19.12,-17.25,-15.97,-14.88,-13.56,-12.53,-12.56,-12.28,-11.31,-10.5,-10.94,-11.72,-11.91,-11.66,-12.06,-12.97,-14.0,-14.59,-15.56,-17.09,-17.59,-16.69,-15.78,-15.0,-14.25,-12.47,-10.94,-10.69,-11.34,-12.0,-12.09,-13.06,-13.91,-13.72,-12.84,-12.12,-11.69,-11.81,-11.53,-11.59,-12.41,-14.12,-14.84,-15.28,-15.81,-16.09,-15.53,-14.16,-13.5,-13.41,-13.72,-13.53,-13.59,-14.41,-14.81,-14.28,-13.97,-14.28,-14.72,-14.25,-13.22,-12.94,-12.84,-12.66,-11.47,-10.62,-9.94,-8.66,-6.59,-5.09,-5.12,-5.72,-5.88,-6.19,-7.38,-8.97,-9.97,-10.91,-12.47,-14.0,-14.72,-13.97,-13.19,-12.16,-11.44,-10.12,-9.06,-9.34,-10.22,-10.22,-10.25,-11.19,-12.34,-12.84,-12.5,-12.5,-12.72,-12.97,-12.78,-12.47,-12.84,-13.0,-11.53,-10.12,-9.91,-10.28,-10.81,-11.69,-13.75,-16.22,-17.44,-17.25,-16.66,-15.69,-14.0,-11.44,-9.44,-8.94,-9.47,-9.31,-8.84,-9.28,-10.16,-9.69,-8.69,-8.22,-7.91,-6.94,-5.38,-4.34,-4.81,-5.66,-6.09,-7.34,-9.31,-11.22,-12.34,-13.0,-14.16,-15.59,-16.28,-16.53,-16.94,-17.19,-16.62,-15.19,-13.97,-13.72,-13.69,-13.16,-12.94,-13.25,-13.41,-12.59,-11.22,-10.56,-10.69,-10.03,-9.56,-10.0,-11.06,-12.19,-13.16,-14.31,-16.19,-18.22,-18.72,-18.34,-18.34,-17.81,-15.91,-13.41,-11.59,-11.44,-11.69,-12.38,-13.81,-16.31,-18.12,-18.25,-18.03,-18.28,-17.91,-17.0,-16.31,-16.59,-17.41,-17.22,-16.31,-15.16,-14.56,-13.09,-11.53,-11.38,-12.75,-14.72,-16.0,-17.16,-18.28,-18.72,-17.41,-15.03,-13.38,-12.25,-10.66,-9.75,-9.66,-10.69,-11.41,-11.03,-11.09,-11.84,-12.5,-12.31,-12.28,-13.03,-13.75,-13.47,-12.75,-13.19,-14.91,-16.34,-18.16,-19.94,-22.03,-22.94,-22.41,-21.38,-21.03,-20.72,-19.44,-17.72,-16.44,-15.31,-13.31,-10.94,-9.81,-9.59,-9.19,-8.66,-8.28,-8.81,-8.47,-7.31,-6.0,-5.69,-5.25,-4.31,-3.53,-3.88,-5.09,-6.47,-7.59,-9.0,-10.38,-10.53,-9.78,-9.47,-10.47,-11.81,-12.97,-14.25,-15.94,-17.19,-17.16,-16.5,-15.66,-14.72,-13.5,-11.44,-9.5,-8.53,-7.0,-5.44,-4.47,-5.62,-7.19,-8.66,-9.56,-10.91,-11.88,-11.62,-10.47,-10.12,-9.94,-9.75,-9.34,-9.28,-10.97,-12.47,-13.38,-13.75,-15.0,-15.34,-14.12,-12.41,-11.38,-10.44,-8.78,-7.28,-6.38,-6.53,-6.75,-6.84,-7.5,-9.12,-10.53,-11.16,-10.66,-10.84,-10.16,-8.34,-5.72,-4.5,-3.72,-3.12,-2.5,-2.38,-2.97,-3.12,-2.62,-2.56,-3.22,-3.88,-3.78,-2.88,-2.91,-1.78,0.09,2.53,4.03,5.16,5.81,6.12,5.25,3.06,1.03,-0.47,-1.38,-2.84,-4.16,-4.75,-4.59,-5.28,-5.53,-4.69,-2.84,-1.44,-0.19,1.5,3.47,5.03,5.41,6.0,7.69,9.22,9.94,10.03,9.97,9.31,7.47,4.78,3.12,2.66,1.91,0.75,0.06,-0.12,-0.84,-2.94,-4.78,-5.69,-6.41,-7.69,-8.41,-8.28,-6.94,-6.62,-6.5,-5.75,-4.84,-4.25,-4.12,-3.72,-2.22,-0.66,0.09,1.16,3.12,4.62,4.84,4.56,4.12,3.62,2.25,0.41,-1.25,-2.0,-3.06,-4.12,-4.25,-3.34,-2.16,-1.84,-2.0,-2.34,-2.66,-3.69,-4.62,-4.66,-3.72,-3.25,-3.09,-3.06,-2.59,-2.56,-3.16,-3.5,-2.94,-1.75,-1.47,-1.56,-1.41,-2.03,-3.56,-6.0,-8.16,-9.75,-11.53,-13.28,-14.59,-14.41,-14.16,-14.34,-14.34,-13.22,-12.25,-11.84,-11.69,-10.94,-10.5,-10.94,-11.59,-12.25,-12.41,-12.59,-13.12,-13.59,-13.03,-12.22,-11.56,-10.81,-9.19,-7.09,-5.62,-4.56,-3.72,-3.59,-4.5,-6.19,-8.22,-9.38,-9.66,-10.47,-10.69,-9.78,-8.69,-7.75,-6.84,-5.47,-3.69,-3.25,-3.16,-2.97,-2.62,-2.78,-3.66,-5.22,-6.19,-7.69,-9.53,-10.75,-9.88,-8.22,-6.34,-4.75,-3.0,-2.0,-2.47,-4.06,-5.66,-6.34,-6.72,-7.59,-7.81,-7.28,-7.19,-7.94,-8.47,-7.78,-7.09,-6.59,-6.84,-6.94,-6.81,-7.38,-7.88,-8.03,-7.53,-7.62,-8.38,-9.62,-10.38,-10.97,-12.19,-12.38,-11.25,-9.62,-8.28,-7.47,-6.75,-5.84,-5.28,-4.97,-3.91,-1.44,0.72,1.34,1.53,1.75,1.78,0.78,-0.25,-0.31,-0.59,-1.03,-2.31,-3.06,-3.19,-3.44,-4.44,-5.34,-5.69,-6.06,-6.88,-7.62,-6.75,-5.59,-4.28,-3.59,-2.53,-1.25,-0.34,-0.38,-0.06,0.81,1.19,0.69,-0.22,-0.84,-1.62,-3.38,-5.34,-6.22,-7.06,-8.06,-9.38,-9.59,-9.09,-8.12,-6.97,-5.19,-2.56,-0.31,0.66,1.25,2.03,2.44,2.12,0.81,0.0,-0.53,-1.94,-3.66,-5.19,-6.34,-7.22,-8.81,-9.84,-9.72,-9.5,-10.22,-10.97,-10.59,-9.78,-8.53,-6.84,-4.62,-1.75,0.19,0.84,1.53,1.75,1.72,0.31,-1.03,-1.41,-1.28,-1.66,-2.53,-2.66,-2.88,-3.69,-4.72,-4.75,-3.62,-2.16,-1.06,0.47,1.91,3.41,3.12,2.28,2.25,2.72,2.53,2.22,2.81,3.56,4.06,3.66,3.28,3.34,2.69,1.09,-0.41,-1.19,-1.66,-2.78,-4.31,-4.84,-4.94,-5.38,-5.97,-5.34,-4.25,-3.09,-2.44,-1.31,0.38,1.69,2.19,2.06,2.25,2.62,1.66,0.78,0.59,0.53,-0.53,-2.53,-4.16,-5.5,-6.31,-6.75,-6.0,-4.31,-2.5,-2.0,-2.28,-2.31,-2.44,-3.19,-4.22,-3.88,-2.91,-2.06,-2.0,-1.94,-1.94,-2.72,-4.66,-6.0,-6.09,-5.41,-4.66,-3.81,-2.44,-0.66,-0.25,-0.62,-0.69,-0.12,-0.16,-0.69,-0.78,-0.06,0.03,-1.16,-2.59,-3.72,-4.72,-6.03,-6.69,-5.78,-3.88,-2.66,-2.03,-1.22,-0.34,-0.22,-0.88,-1.22,-0.88,-0.5,-1.09,-1.69,-1.72,-1.5,-1.59,-1.5,-0.19,1.84,2.53,2.88,2.53,2.44,2.03,0.75,-0.34,-0.44,0.0,-0.78,-1.41,-1.38,-1.66,-2.97,-4.31,-5.34,-5.03,-4.34,-3.84,-2.69,-0.47,1.31,1.72,2.19,3.56,4.91,5.0,4.81,4.78,4.25,2.88,1.47,0.97,2.19,3.53,4.78,6.41,8.88,10.59,11.25,11.34,11.84,12.47,11.22,9.47,7.91,6.62,5.03,3.41,2.78,3.47,4.0,3.66,3.62,4.25,4.94,4.97,4.75,5.16,5.56,4.69,3.22,2.25,1.53,0.66,-0.38,-0.59,0.56,1.56,2.28,2.91,4.09,4.25,3.31,2.03,1.28,1.34,0.72,0.38,0.78,1.72,2.19,2.41,2.91,4.38,5.62,5.78,5.66,6.44,6.5,5.62,4.06,3.41,3.09,2.53,2.16,2.44,3.84,4.66,4.78,5.0,5.91,6.75,6.22,5.12,4.75,4.66,4.53,4.25,4.69,6.28,6.62,6.28,5.84,5.75,5.09,3.25,1.28,0.81,0.38,-0.91,-2.19,-2.19,-1.75,-1.66,-1.22,0.12,1.91,3.44,4.06,4.75,6.25,7.12,6.88,6.59,7.28,8.06,8.0,7.62,8.06,8.25,7.34,5.59,4.28,3.75,3.09,3.12,3.34,4.72,5.47,4.94,3.84,3.81,4.03,3.97,4.19,5.25,6.72,7.22,7.41,7.62,8.78,9.38,9.0,8.44,8.5,7.97,6.59,5.03,4.31,4.38,4.0,3.62,4.22,5.72,6.19,5.66,4.97,4.66,3.66,2.38,1.28,1.59,2.59,3.12,3.69,5.28,7.31,8.56,8.91,9.78,10.62,10.78,9.72,8.5,8.44,7.72,6.03,4.56,4.22,3.62,2.53,1.22,0.88,1.53,1.91,2.22,4.38,6.81,8.97,10.12,11.53,13.22,13.97,13.44,12.53,11.56,10.84,10.0,9.0,8.72,9.0,8.56,7.16,6.16,6.0,6.0,6.09,7.09,9.31,12.06,13.41,14.38,15.19,15.25,14.84,13.69,13.62,14.22,14.66,13.94,13.5,13.75,13.34,12.22,11.12,11.38,11.25,10.38,9.34,9.72,10.31,11.19,11.66,12.62,14.03,15.09,14.97,15.25,15.88,16.38,15.03,12.84,10.88,8.56,5.72,2.72,1.41,1.25,2.0,2.72,4.5,7.5,9.69,10.59,11.25,11.91,12.38,12.19,12.22,13.34,14.44,14.81,14.41,14.12,13.97,13.28,11.84,11.12,10.97,11.03,10.12,9.62,9.81,9.94,9.38,8.44,3.19,2.47,1.81,1.69,2.28,3.81,5.56:-3.38,-3.53,-3.69,-3.66,-4.91,-6.88,-8.72,-9.91,-11.47,-13.19,-14.41,-14.94,-15.47,-16.34,-16.62,-15.84,-15.0,-14.59,-14.53,-14.31,-13.59,-13.47,-13.28,-12.72,-11.19,-9.84,-9.12,-8.19,-7.25,-6.75,-8.06,-9.56,-10.72,-11.69,-12.81,-13.88,-13.97,-12.84,-12.12,-11.25,-10.31,-8.94,-8.31,-8.69,-9.22,-8.88,-8.47,-8.5,-8.56,-8.09,-7.12,-7.59,-8.38,-8.41,-7.84,-7.47,-6.91,-6.31,-4.62,-3.03,-2.97,-3.16,-3.19,-3.75,-5.94,-8.34,-9.97,-11.28,-12.94,-14.41,-14.72,-13.66,-11.81,-10.09,-7.91,-5.5,-3.72,-3.91,-4.38,-4.78,-4.62,-5.78,-7.06,-7.44,-7.78,-9.0,-10.97,-12.38,-13.44,-14.91,-16.72,-17.81,-18.25,-18.22,-18.94,-19.62,-19.41,-18.84,-18.81,-18.78,-18.84,-18.12,-19.06,-20.56,-22.34,-22.88,-23.06,-23.72,-23.72,-22.75,-22.5,-23.28,-24.47,-24.78,-23.94,-23.66,-23.22,-21.69,-19.12,-17.25,-15.97,-14.88,-13.56,-12.53,-12.56,-12.28,-11.31,-10.5,-10.94,-11.72,-11.91,-11.66,-12.06,-12.97,-14.0,-14.59,-15.56,-17.09,-17.59,-16.69,-15.78,-15.0,-14.25,-12.47,-10.94,-10.69,-11.34,-12.0,-12.09,-13.06,-13.91,-13.72,-12.84,-12.12,-11.69,-11.81,-11.53,-11.59,-12.41,-14.12,-14.84,-15.28,-15.81,-16.09,-15.53,-14.16,-13.5,-13.41,-13.72,-13.53,-13.59,-14.41,-14.81,-14.28,-13.97,-14.28,-14.72,-14.25,-13.22,-12.94,-12.84,-12.66,-11.47,-10.62,-9.94,-8.66,-6.59,-5.09,-5.12,-5.72,-5.88,-6.19,-7.38,-8.97,-9.97,-10.91,-12.47,-14.0,-14.72,-13.97,-13.19,-12.16,-11.44,-10.12,-9.06,-9.34,-10.22,-10.22,-10.25,-11.19,-12.34,-12.84,-12.5,-12.5,-12.72,-12.97,-12.78,-12.47,-12.84,-13.0,-11.53,-10.12,-9.91,-10.28,-10.81,-11.69,-13.75,-16.22,-17.44,-17.25,-16.66,-15.69,-14.0,-11.44,-9.44,-8.94,-9.47,-9.31,-8.84,-9.28,-10.16,-9.69,-8.69,-8.22,-7.91,-6.94,-5.38,-4.34,-4.81,-5.66,-6.09,-7.34,-9.31,-11.22,-12.34,-13.0,-14.16,-15.59,-16.28,-16.53,-16.94,-17.19,-16.62,-15.19,-13.97,-13.72,-13.69,-13.16,-12.94,-13.25,-13.41,-12.59,-11.22,-10.56,-10.69,-10.03,-9.56,-10.0,-11.06,-12.19,-13.16,-14.31,-16.19,-18.22,-18.72,-18.34,-18.34,-17.81,-15.91,-13.41,-11.59,-11.44,-11.69,-12.38,-13.81,-16.31,-18.12,-18.25,-18.03,-18.28,-17.91,-17.0,-16.31,-16.59,-17.41,-17.22,-16.31,-15.16,-14.56,-13.09,-11.53,-11.38,-12.75,-14.72,-16.0,-17.16,-18.28,-18.72,-17.41,-15.03,-13.38,-12.25,-10.66,-9.75,-9.66,-10.69,-11.41,-11.03,-11.09,-11.84,-12.5,-12.31,-12.28,-13.03,-13.75,-13.47,-12.75,-13.19,-14.91,-16.34,-18.16,-19.94,-22.03,-22.94,-22.41,-21.38,-21.03,-20.72,-19.44,-17.72,-16.44,-15.31,-13.31,-10.94,-9.81,-9.59,-9.19,-8.66,-8.28,-8.81,-8.47,-7.31,-6.0,-5.69,-5.25,-4.31,-3.53,-3.88,-5.09,-6.47,-7.59,-9.0,-10.38,-10.53,-9.78,-9.47,-10.47,-11.81,-12.97,-14.25,-15.94,-17.19,-17.16,-16.5,-15.66,-14.72,-13.5,-11.44,-9.5,-8.53,-7.0,-5.44,-4.47,-5.62,-7.19,-8.66,-9.56,-10.91,-11.88,-11.62,-10.47,-10.12,-9.94,-9.75,-9.34,-9.28,-10.97,-12.47,-13.38,-13.75,-15.0,-15.34,-14.12,-12.41,-11.38,-10.44,-8.78,-7.28,-6.38,-6.53,-6.75,-6.84,-7.5,-9.12,-10.53,-11.16,-10.66,-10.84,-10.16,-8.34,-5.72,-4.5,-3.72,-3.12,-2.5,-2.38,-2.97,-3.12,-2.62,-2.56,-3.22,-3.88,-3.78,-2.88,-2.91,-1.78,0.09,2.53,4.03,5.16,5.81,6.12,5.25,3.06,1.03,-0.47,-1.38,-2.84,-4.16,-4.75,-4.59,-5.28,-5.53,-4.69,-2.84,-1.44,-0.19,1.5,3.47,5.03,5.41,6.0,7.69,9.22,9.94,10.03,9.97,9.31,7.47,4.78,3.12,2.66,1.91,0.75,0.06,-0.12,-0.84,-2.94,-4.78,-5.69,-6.41,-7.69,-8.41,-8.28,-6.94,-6.62,-6.5,-5.75,-4.84,-4.25,-4.12,-3.72,-2.22,-0.66,0.09,1.16,3.12,4.62,4.84,4.56,4.12,3.62,2.25,0.41,-1.25,-2.0,-3.06,-4.12,-4.25,-3.34,-2.16,-1.84,-2.0,-2.34,-2.66,-3.69,-4.62,-4.66,-3.72,-3.25,-3.09,-3.06,-2.59,-2.56,-3.16,-3.5,-2.94,-1.75,-1.47,-1.56,-1.41,-2.03,-3.56,-6.0,-8.16,-9.75,-11.53,-13.28,-14.59,-14.41,-14.16,-14.34,-14.34,-13.22,-12.25,-11.84,-11.69,-10.94,-10.5,-10.94,-11.59,-12.25,-12.41,-12.59,-13.12,-13.59,-13.03,-12.22,-11.56,-10.81,-9.19,-7.09,-5.62,-4.56,-3.72,-3.59,-4.5,-6.19,-8.22,-9.38,-9.66,-10.47,-10.69,-9.78,-8.69,-7.75,-6.84,-5.47,-3.69,-3.25,-3.16,-2.97,-2.62,-2.78,-3.66,-5.22,-6.19,-7.69,-9.53,-10.75,-9.88,-8.22,-6.34,-4.75,-3.0,-2.0,-2.47,-4.06,-5.66,-6.34,-6.72,-7.59,-7.81,-7.28,-7.19,-7.94,-8.47,-7.78,-7.09,-6.59,-6.84,-6.94,-6.81,-7.38,-7.88,-8.03,-7.53,-7.62,-8.38,-9.62,-10.38,-10.97,-12.19,-12.38,-11.25,-9.62,-8.28,-7.47,-6.75,-5.84,-5.28,-4.97,-3.91,-1.44,0.72,1.34,1.53,1.75,1.78,0.78,-0.25,-0.31,-0.59,-1.03,-2.31,-3.06,-3.19,-3.44,-4.44,-5.34,-5.69,-6.06,-6.88,-7.62,-6.75,-5.59,-4.28,-3.59,-2.53,-1.25,-0.34,-0.38,-0.06,0.81,1.19,0.69,-0.22,-0.84,-1.62,-3.38,-5.34,-6.22,-7.06,-8.06,-9.38,-9.59,-9.09,-8.12,-6.97,-5.19,-2.56,-0.31,0.66,1.25,2.03,2.44,2.12,0.81,0.0,-0.53,-1.94,-3.66,-5.19,-6.34,-7.22,-8.81,-9.84,-9.72,-9.5,-10.22,-10.97,-10.59,-9.78,-8.53,-6.84,-4.62,-1.75,0.19,0.84,1.53,1.75,1.72,0.31,-1.03,-1.41,-1.28,-1.66,-2.53,-2.66,-2.88,-3.69,-4.72,-4.75,-3.62,-2.16,-1.06,0.47,1.91,3.41,3.12,2.28,2.25,2.72,2.53,2.22,2.81,3.56,4.06,3.66,3.28,3.34,2.69,1.09,-0.41,-1.19,-1.66,-2.78,-4.31,-4.84,-4.94,-5.38,-5.97,-5.34,-4.25,-3.09,-2.44,-1.31,0.38,1.69,2.19,2.06,2.25,2.62,1.66,0.78,0.59,0.53,-0.53,-2.53,-4.16,-5.5,-6.31,-6.75,-6.0,-4.31,-2.5,-2.0,-2.28,-2.31,-2.44,-3.19,-4.22,-3.88,-2.91,-2.06,-2.0,-1.94,-1.94,-2.72,-4.66,-6.0,-6.09,-5.41,-4.66,-3.81,-2.44,-0.66,-0.25,-0.62,-0.69,-0.12,-0.16,-0.69,-0.78,-0.06,0.03,-1.16,-2.59,-3.72,-4.72,-6.03,-6.69,-5.78,-3.88,-2.66,-2.03,-1.22,-0.34,-0.22,-0.88,-1.22,-0.88,-0.5,-1.09,-1.69,-1.72,-1.5,-1.59,-1.5,-0.19,1.84,2.53,2.88,2.53,2.44,2.03,0.75,-0.34,-0.44,0.0,-0.78,-1.41,-1.38,-1.66,-2.97,-4.31,-5.34,-5.03,-4.34,-3.84,-2.69,-0.47,1.31,1.72,2.19,3.56,4.91,5.0,4.81,4.78,4.25,2.88,1.47,0.97,2.19,3.53,4.78,6.41,8.88,10.59,11.25,11.34,11.84,12.47,11.22,9.47,7.91,6.62,5.03,3.41,2.78,3.47,4.0,3.66,3.62,4.25,4.94,4.97,4.75,5.16,5.56,4.69,3.22,2.25,1.53,0.66,-0.38,-0.59,0.56,1.56,2.28,2.91,4.09,4.25,3.31,2.03,1.28,1.34,0.72,0.38,0.78,1.72,2.19,2.41,2.91,4.38,5.62,5.78,5.66,6.44,6.5,5.62,4.06,3.41,3.09,2.53,2.16,2.44,3.84,4.66,4.78,5.0,5.91,6.75,6.22,5.12,4.75,4.66,4.53,4.25,4.69,6.28,6.62,6.28,5.84,5.75,5.09,3.25,1.28,0.81,0.38,-0.91,-2.19,-2.19,-1.75,-1.66,-1.22,0.12,1.91,3.44,4.06,4.75,6.25,7.12,6.88,6.59,7.28,8.06,8.0,7.62,8.06,8.25,7.34,5.59,4.28,3.75,3.09,3.12,3.34,4.72,5.47,4.94,3.84,3.81,4.03,3.97,4.19,5.25,6.72,7.22,7.41,7.62,8.78,9.38,9.0,8.44,8.5,7.97,6.59,5.03,4.31,4.38,4.0,3.62,4.22,5.72,6.19,5.66,4.97,4.66,3.66,2.38,1.28,1.59,2.59,3.12,3.69,5.28,7.31,8.56,8.91,9.78,10.62,10.78,9.72,8.5,8.44,7.72,6.03,4.56,4.22,3.62,2.53,1.22,0.88,1.53,1.91,2.22,4.38,6.81,8.97,10.12,11.53,13.22,13.97,13.44,12.53,11.56,10.84,10.0,9.0,8.72,9.0,8.56,7.16,6.16,6.0,6.0,6.09,7.09,9.31,12.06,13.41,14.38,15.19,15.25,14.84,13.69,13.62,14.22,14.66,13.94,13.5,13.75,13.34,12.22,11.12,11.38,11.25,10.38,9.34,9.72,10.31,11.19,11.66,12.62,14.03,15.09,14.97,15.25,15.88,16.38,15.03,12.84,10.88,8.56,5.72,2.72,1.41,1.25,2.0,2.72,4.5,7.5,9.69,10.59,11.25,11.91,12.38,12.19,12.22,13.34,14.44,14.81,14.41,14.12,13.97,13.28,11.84,11.12,10.97,11.03,10.12,9.62,9.81,9.94,9.38,8.44,3.19,2.47,1.81,1.69,2.28,3.81,5.56,7.22,8.62,9.72,10.22,10.38,10.31,10.56:-9.91,-11.47,-13.19,-14.41,-14.94,-15.47,-16.34,-16.62,-15.84,-15.0,-14.59,-14.53,-14.31,-13.59,-13.47,-13.28,-12.72,-11.19,-9.84,-9.12,-8.19,-7.25,-6.75,-8.06,-9.56,-10.72,-11.69,-12.81,-13.88,-13.97,-12.84,-12.12,-11.25,-10.31,-8.94,-8.31,-8.69,-9.22,-8.88,-8.47,-8.5,-8.56,-8.09,-7.12,-7.59,-8.38,-8.41,-7.84,-7.47,-6.91,-6.31,-4.62,-3.03,-2.97,-3.16,-3.19,-3.75,-5.94,-8.34,-9.97,-11.28,-12.94,-14.41,-14.72,-13.66,-11.81,-10.09,-7.91,-5.5,-3.72,-3.91,-4.38,-4.78,-4.62,-5.78,-7.06,-7.44,-7.78,-9.0,-10.97,-12.38,-13.44,-14.91,-16.72,-17.81,-18.25,-18.22,-18.94,-19.62,-19.41,-18.84,-18.81,-18.78,-18.84,-18.12,-19.06,-20.56,-22.34,-22.88,-23.06,-23.72,-23.72,-22.75,-22.5,-23.28,-24.47,-24.78,-23.94,-23.66,-23.22,-21.69,-19.12,-17.25,-15.97,-14.88,-13.56,-12.53,-12.56,-12.28,-11.31,-10.5,-10.94,-11.72,-11.91,-11.66,-12.06,-12.97,-14.0,-14.59,-15.56,-17.09,-17.59,-16.69,-15.78,-15.0,-14.25,-12.47,-10.94,-10.69,-11.34,-12.0,-12.09,-13.06,-13.91,-13.72,-12.84,-12.12,-11.69,-11.81,-11.53,-11.59,-12.41,-14.12,-14.84,-15.28,-15.81,-16.09,-15.53,-14.16,-13.5,-13.41,-13.72,-13.53,-13.59,-14.41,-14.81,-14.28,-13.97,-14.28,-14.72,-14.25,-13.22,-12.94,-12.84,-12.66,-11.47,-10.62,-9.94,-8.66,-6.59,-5.09,-5.12,-5.72,-5.88,-6.19,-7.38,-8.97,-9.97,-10.91,-12.47,-14.0,-14.72,-13.97,-13.19,-12.16,-11.44,-10.12,-9.06,-9.34,-10.22,-10.22,-10.25,-11.19,-12.34,-12.84,-12.5,-12.5,-12.72,-12.97,-12.78,-12.47,-12.84,-13.0,-11.53,-10.12,-9.91,-10.28,-10.81,-11.69,-13.75,-16.22,-17.44,-17.25,-16.66,-15.69,-14.0,-11.44,-9.44,-8.94,-9.47,-9.31,-8.84,-9.28,-10.16,-9.69,-8.69,-8.22,-7.91,-6.94,-5.38,-4.34,-4.81,-5.66,-6.09,-7.34,-9.31,-11.22,-12.34,-13.0,-14.16,-15.59,-16.28,-16.53,-16.94,-17.19,-16.62,-15.19,-13.97,-13.72,-13.69,-13.16,-12.94,-13.25,-13.41,-12.59,-11.22,-10.56,-10.69,-10.03,-9.56,-10.0,-11.06,-12.19,-13.16,-14.31,-16.19,-18.22,-18.72,-18.34,-18.34,-17.81,-15.91,-13.41,-11.59,-11.44,-11.69,-12.38,-13.81,-16.31,-18.12,-18.25,-18.03,-18.28,-17.91,-17.0,-16.31,-16.59,-17.41,-17.22,-16.31,-15.16,-14.56,-13.09,-11.53,-11.38,-12.75,-14.72,-16.0,-17.16,-18.28,-18.72,-17.41,-15.03,-13.38,-12.25,-10.66,-9.75,-9.66,-10.69,-11.41,-11.03,-11.09,-11.84,-12.5,-12.31,-12.28,-13.03,-13.75,-13.47,-12.75,-13.19,-14.91,-16.34,-18.16,-19.94,-22.03,-22.94,-22.41,-21.38,-21.03,-20.72,-19.44,-17.72,-16.44,-15.31,-13.31,-10.94,-9.81,-9.59,-9.19,-8.66,-8.28,-8.81,-8.47,-7.31,-6.0,-5.69,-5.25,-4.31,-3.53,-3.88,-5.09,-6.47,-7.59,-9.0,-10.38,-10.53,-9.78,-9.47,-10.47,-11.81,-12.97,-14.25,-15.94,-17.19,-17.16,-16.5,-15.66,-14.72,-13.5,-11.44,-9.5,-8.53,-7.0,-5.44,-4.47,-5.62,-7.19,-8.66,-9.56,-10.91,-11.88,-11.62,-10.47,-10.12,-9.94,-9.75,-9.34,-9.28,-10.97,-12.47,-13.38,-13.75,-15.0,-15.34,-14.12,-12.41,-11.38,-10.44,-8.78,-7.28,-6.38,-6.53,-6.75,-6.84,-7.5,-9.12,-10.53,-11.16,-10.66,-10.84,-10.16,-8.34,-5.72,-4.5,-3.72,-3.12,-2.5,-2.38,-2.97,-3.12,-2.62,-2.56,-3.22,-3.88,-3.78,-2.88,-2.91,-1.78,0.09,2.53,4.03,5.16,5.81,6.12,5.25,3.06,1.03,-0.47,-1.38,-2.84,-4.16,-4.75,-4.59,-5.28,-5.53,-4.69,-2.84,-1.44,-0.19,1.5,3.47,5.03,5.41,6.0,7.69,9.22,9.94,10.03,9.97,9.31,7.47,4.78,3.12,2.66,1.91,0.75,0.06,-0.12,-0.84,-2.94,-4.78,-5.69,-6.41,-7.69,-8.41,-8.28,-6.94,-6.62,-6.5,-5.75,-4.84,-4.25,-4.12,-3.72,-2.22,-0.66,0.09,1.16,3.12,4.62,4.84,4.56,4.12,3.62,2.25,0.41,-1.25,-2.0,-3.06,-4.12,-4.25,-3.34,-2.16,-1.84,-2.0,-2.34,-2.66,-3.69,-4.62,-4.66,-3.72,-3.25,-3.09,-3.06,-2.59,-2.56,-3.16,-3.5,-2.94,-1.75,-1.47,-1.56,-1.41,-2.03,-3.56,-6.0,-8.16,-9.75,-11.53,-13.28,-14.59,-14.41,-14.16,-14.34,-14.34,-13.22,-12.25,-11.84,-11.69,-10.94,-10.5,-10.94,-11.59,-12.25,-12.41,-12.59,-13.12,-13.59,-13.03,-12.22,-11.56,-10.81,-9.19,-7.09,-5.62,-4.56,-3.72,-3.59,-4.5,-6.19,-8.22,-9.38,-9.66,-10.47,-10.69,-9.78,-8.69,-7.75,-6.84,-5.47,-3.69,-3.25,-3.16,-2.97,-2.62,-2.78,-3.66,-5.22,-6.19,-7.69,-9.53,-10.75,-9.88,-8.22,-6.34,-4.75,-3.0,-2.0,-2.47,-4.06,-5.66,-6.34,-6.72,-7.59,-7.81,-7.28,-7.19,-7.94,-8.47,-7.78,-7.09,-6.59,-6.84,-6.94,-6.81,-7.38,-7.88,-8.03,-7.53,-7.62,-8.38,-9.62,-10.38,-10.97,-12.19,-12.38,-11.25,-9.62,-8.28,-7.47,-6.75,-5.84,-5.28,-4.97,-3.91,-1.44,0.72,1.34,1.53,1.75,1.78,0.78,-0.25,-0.31,-0.59,-1.03,-2.31,-3.06,-3.19,-3.44,-4.44,-5.34,-5.69,-6.06,-6.88,-7.62,-6.75,-5.59,-4.28,-3.59,-2.53,-1.25,-0.34,-0.38,-0.06,0.81,1.19,0.69,-0.22,-0.84,-1.62,-3.38,-5.34,-6.22,-7.06,-8.06,-9.38,-9.59,-9.09,-8.12,-6.97,-5.19,-2.56,-0.31,0.66,1.25,2.03,2.44,2.12,0.81,0.0,-0.53,-1.94,-3.66,-5.19,-6.34,-7.22,-8.81,-9.84,-9.72,-9.5,-10.22,-10.97,-10.59,-9.78,-8.53,-6.84,-4.62,-1.75,0.19,0.84,1.53,1.75,1.72,0.31,-1.03,-1.41,-1.28,-1.66,-2.53,-2.66,-2.88,-3.69,-4.72,-4.75,-3.62,-2.16,-1.06,0.47,1.91,3.41,3.12,2.28,2.25,2.72,2.53,2.22,2.81,3.56,4.06,3.66,3.28,3.34,2.69,1.09,-0.41,-1.19,-1.66,-2.78,-4.31,-4.84,-4.94,-5.38,-5.97,-5.34,-4.25,-3.09,-2.44,-1.31,0.38,1.69,2.19,2.06,2.25,2.62,1.66,0.78,0.59,0.53,-0.53,-2.53,-4.16,-5.5,-6.31,-6.75,-6.0,-4.31,-2.5,-2.0,-2.28,-2.31,-2.44,-3.19,-4.22,-3.88,-2.91,-2.06,-2.0,-1.94,-1.94,-2.72,-4.66,-6.0,-6.09,-5.41,-4.66,-3.81,-2.44,-0.66,-0.25,-0.62,-0.69,-0.12,-0.16,-0.69,-0.78,-0.06,0.03,-1.16,-2.59,-3.72,-4.72,-6.03,-6.69,-5.78,-3.88,-2.66,-2.03,-1.22,-0.34,-0.22,-0.88,-1.22,-0.88,-0.5,-1.09,-1.69,-1.72,-1.5,-1.59,-1.5,-0.19,1.84,2.53,2.88,2.53,2.44,2.03,0.75,-0.34,-0.44,0.0,-0.78,-1.41,-1.38,-1.66,-2.97,-4.31,-5.34,-5.03,-4.34,-3.84,-2.69,-0.47,1.31,1.72,2.19,3.56,4.91,5.0,4.81,4.78,4.25,2.88,1.47,0.97,2.19,3.53,4.78,6.41,8.88,10.59,11.25,11.34,11.84,12.47,11.22,9.47,7.91,6.62,5.03,3.41,2.78,3.47,4.0,3.66,3.62,4.25,4.94,4.97,4.75,5.16,5.56,4.69,3.22,2.25,1.53,0.66,-0.38,-0.59,0.56,1.56,2.28,2.91,4.09,4.25,3.31,2.03,1.28,1.34,0.72,0.38,0.78,1.72,2.19,2.41,2.91,4.38,5.62,5.78,5.66,6.44,6.5,5.62,4.06,3.41,3.09,2.53,2.16,2.44,3.84,4.66,4.78,5.0,5.91,6.75,6.22,5.12,4.75,4.66,4.53,4.25,4.69,6.28,6.62,6.28,5.84,5.75,5.09,3.25,1.28,0.81,0.38,-0.91,-2.19,-2.19,-1.75,-1.66,-1.22,0.12,1.91,3.44,4.06,4.75,6.25,7.12,6.88,6.59,7.28,8.06,8.0,7.62,8.06,8.25,7.34,5.59,4.28,3.75,3.09,3.12,3.34,4.72,5.47,4.94,3.84,3.81,4.03,3.97,4.19,5.25,6.72,7.22,7.41,7.62,8.78,9.38,9.0,8.44,8.5,7.97,6.59,5.03,4.31,4.38,4.0,3.62,4.22,5.72,6.19,5.66,4.97,4.66,3.66,2.38,1.28,1.59,2.59,3.12,3.69,5.28,7.31,8.56,8.91,9.78,10.62,10.78,9.72,8.5,8.44,7.72,6.03,4.56,4.22,3.62,2.53,1.22,0.88,1.53,1.91,2.22,4.38,6.81,8.97,10.12,11.53,13.22,13.97,13.44,12.53,11.56,10.84,10.0,9.0,8.72,9.0,8.56,7.16,6.16,6.0,6.0,6.09,7.09,9.31,12.06,13.41,14.38,15.19,15.25,14.84,13.69,13.62,14.22,14.66,13.94,13.5,13.75,13.34,12.22,11.12,11.38,11.25,10.38,9.34,9.72,10.31,11.19,11.66,12.62,14.03,15.09,14.97,15.25,15.88,16.38,15.03,12.84,10.88,8.56,5.72,2.72,1.41,1.25,2.0,2.72,4.5,7.5,9.69,10.59,11.25,11.91,12.38,12.19,12.22,13.34,14.44,14.81,14.41,14.12,13.97,13.28,11.84,11.12,10.97,11.03,10.12,9.62,9.81,9.94,9.38,8.44,3.19,2.47,1.81,1.69,2.28,3.81,5.56,7.22,8.62,9.72,10.22,10.38,10.31,10.56,10.66,10.38,9.22,8.19,6.53,4.62,2.59:-16.62,-15.84,-15.0,-14.59,-14.53,-14.31,-13.59,-13.47,-13.28,-12.72,-11.19,-9.84,-9.12,-8.19,-7.25,-6.75,-8.06,-9.56,-10.72,-11.69,-12.81,-13.88,-13.97,-12.84,-12.12,-11.25,-10.31,-8.94,-8.31,-8.69,-9.22,-8.88,-8.47,-8.5,-8.56,-8.09,-7.12,-7.59,-8.38,-8.41,-7.84,-7.47,-6.91,-6.31,-4.62,-3.03,-2.97,-3.16,-3.19,-3.75,-5.94,-8.34,-9.97,-11.28,-12.94,-14.41,-14.72,-13.66,-11.81,-10.09,-7.91,-5.5,-3.72,-3.91,-4.38,-4.78,-4.62,-5.78,-7.06,-7.44,-7.78,-9.0,-10.97,-12.38,-13.44,-14.91,-16.72,-17.81,-18.25,-18.22,-18.94,-19.62,-19.41,-18.84,-18.81,-18.78,-18.84,-18.12,-19.06,-20.56,-22.34,-22.88,-23.06,-23.72,-23.72,-22.75,-22.5,-23.28,-24.47,-24.78,-23.94,-23.66,-23.22,-21.69,-19.12,-17.25,-15.97,-14.88,-13.56,-12.53,-12.56,-12.28,-11.31,-10.5,-10.94,-11.72,-11.91,-11.66,-12.06,-12.97,-14.0,-14.59,-15.56,-17.09,-17.59,-16.69,-15.78,-15.0,-14.25,-12.47,-10.94,-10.69,-11.34,-12.0,-12.09,-13.06,-13.91,-13.72,-12.84,-12.12,-11.69,-11.81,-11.53,-11.59,-12.41,-14.12,-14.84,-15.28,-15.81,-16.09,-15.53,-14.16,-13.5,-13.41,-13.72,-13.53,-13.59,-14.41,-14.81,-14.28,-13.97,-14.28,-14.72,-14.25,-13.22,-12.94,-12.84,-12.66,-11.47,-10.62,-9.94,-8.66,-6.59,-5.09,-5.12,-5.72,-5.88,-6.19,-7.38,-8.97,-9.97,-10.91,-12.47,-14.0,-14.72,-13.97,-13.19,-12.16,-11.44,-10.12,-9.06,-9.34,-10.22,-10.22,-10.25,-11.19,-12.34,-12.84,-12.5,-12.5,-12.72,-12.97,-12.78,-12.47,-12.84,-13.0,-11.53,-10.12,-9.91,-10.28,-10.81,-11.69,-13.75,-16.22,-17.44,-17.25,-16.66,-15.69,-14.0,-11.44,-9.44,-8.94,-9.47,-9.31,-8.84,-9.28,-10.16,-9.69,-8.69,-8.22,-7.91,-6.94,-5.38,-4.34,-4.81,-5.66,-6.09,-7.34,-9.31,-11.22,-12.34,-13.0,-14.16,-15.59,-16.28,-16.53,-16.94,-17.19,-16.62,-15.19,-13.97,-13.72,-13.69,-13.16,-12.94,-13.25,-13.41,-12.59,-11.22,-10.56,-10.69,-10.03,-9.56,-10.0,-11.06,-12.19,-13.16,-14.31,-16.19,-18.22,-18.72,-18.34,-18.34,-17.81,-15.91,-13.41,-11.59,-11.44,-11.69,-12.38,-13.81,-16.31,-18.12,-18.25,-18.03,-18.28,-17.91,-17.0,-16.31,-16.59,-17.41,-17.22,-16.31,-15.16,-14.56,-13.09,-11.53,-11.38,-12.75,-14.72,-16.0,-17.16,-18.28,-18.72,-17.41,-15.03,-13.38,-12.25,-10.66,-9.75,-9.66,-10.69,-11.41,-11.03,-11.09,-11.84,-12.5,-12.31,-12.28,-13.03,-13.75,-13.47,-12.75,-13.19,-14.91,-16.34,-18.16,-19.94,-22.03,-22.94,-22.41,-21.38,-21.03,-20.72,-19.44,-17.72,-16.44,-15.31,-13.31,-10.94,-9.81,-9.59,-9.19,-8.66,-8.28,-8.81,-8.47,-7.31,-6.0,-5.69,-5.25,-4.31,-3.53,-3.88,-5.09,-6.47,-7.59,-9.0,-10.38,-10.53,-9.78,-9.47,-10.47,-11.81,-12.97,-14.25,-15.94,-17.19,-17.16,-16.5,-15.66,-14.72,-13.5,-11.44,-9.5,-8.53,-7.0,-5.44,-4.47,-5.62,-7.19,-8.66,-9.56,-10.91,-11.88,-11.62,-10.47,-10.12,-9.94,-9.75,-9.34,-9.28,-10.97,-12.47,-13.38,-13.75,-15.0,-15.34,-14.12,-12.41,-11.38,-10.44,-8.78,-7.28,-6.38,-6.53,-6.75,-6.84,-7.5,-9.12,-10.53,-11.16,-10.66,-10.84,-10.16,-8.34,-5.72,-4.5,-3.72,-3.12,-2.5,-2.38,-2.97,-3.12,-2.62,-2.56,-3.22,-3.88,-3.78,-2.88,-2.91,-1.78,0.09,2.53,4.03,5.16,5.81,6.12,5.25,3.06,1.03,-0.47,-1.38,-2.84,-4.16,-4.75,-4.59,-5.28,-5.53,-4.69,-2.84,-1.44,-0.19,1.5,3.47,5.03,5.41,6.0,7.69,9.22,9.94,10.03,9.97,9.31,7.47,4.78,3.12,2.66,1.91,0.75,0.06,-0.12,-0.84,-2.94,-4.78,-5.69,-6.41,-7.69,-8.41,-8.28,-6.94,-6.62,-6.5,-5.75,-4.84,-4.25,-4.12,-3.72,-2.22,-0.66,0.09,1.16,3.12,4.62,4.84,4.56,4.12,3.62,2.25,0.41,-1.25,-2.0,-3.06,-4.12,-4.25,-3.34,-2.16,-1.84,-2.0,-2.34,-2.66,-3.69,-4.62,-4.66,-3.72,-3.25,-3.09,-3.06,-2.59,-2.56,-3.16,-3.5,-2.94,-1.75,-1.47,-1.56,-1.41,-2.03,-3.56,-6.0,-8.16,-9.75,-11.53,-13.28,-14.59,-14.41,-14.16,-14.34,-14.34,-13.22,-12.25,-11.84,-11.69,-10.94,-10.5,-10.94,-11.59,-12.25,-12.41,-12.59,-13.12,-13.59,-13.03,-12.22,-11.56,-10.81,-9.19,-7.09,-5.62,-4.56,-3.72,-3.59,-4.5,-6.19,-8.22,-9.38,-9.66,-10.47,-10.69,-9.78,-8.69,-7.75,-6.84,-5.47,-3.69,-3.25,-3.16,-2.97,-2.62,-2.78,-3.66,-5.22,-6.19,-7.69,-9.53,-10.75,-9.88,-8.22,-6.34,-4.75,-3.0,-2.0,-2.47,-4.06,-5.66,-6.34,-6.72,-7.59,-7.81,-7.28,-7.19,-7.94,-8.47,-7.78,-7.09,-6.59,-6.84,-6.94,-6.81,-7.38,-7.88,-8.03,-7.53,-7.62,-8.38,-9.62,-10.38,-10.97,-12.19,-12.38,-11.25,-9.62,-8.28,-7.47,-6.75,-5.84,-5.28,-4.97,-3.91,-1.44,0.72,1.34,1.53,1.75,1.78,0.78,-0.25,-0.31,-0.59,-1.03,-2.31,-3.06,-3.19,-3.44,-4.44,-5.34,-5.69,-6.06,-6.88,-7.62,-6.75,-5.59,-4.28,-3.59,-2.53,-1.25,-0.34,-0.38,-0.06,0.81,1.19,0.69,-0.22,-0.84,-1.62,-3.38,-5.34,-6.22,-7.06,-8.06,-9.38,-9.59,-9.09,-8.12,-6.97,-5.19,-2.56,-0.31,0.66,1.25,2.03,2.44,2.12,0.81,0.0,-0.53,-1.94,-3.66,-5.19,-6.34,-7.22,-8.81,-9.84,-9.72,-9.5,-10.22,-10.97,-10.59,-9.78,-8.53,-6.84,-4.62,-1.75,0.19,0.84,1.53,1.75,1.72,0.31,-1.03,-1.41,-1.28,-1.66,-2.53,-2.66,-2.88,-3.69,-4.72,-4.75,-3.62,-2.16,-1.06,0.47,1.91,3.41,3.12,2.28,2.25,2.72,2.53,2.22,2.81,3.56,4.06,3.66,3.28,3.34,2.69,1.09,-0.41,-1.19,-1.66,-2.78,-4.31,-4.84,-4.94,-5.38,-5.97,-5.34,-4.25,-3.09,-2.44,-1.31,0.38,1.69,2.19,2.06,2.25,2.62,1.66,0.78,0.59,0.53,-0.53,-2.53,-4.16,-5.5,-6.31,-6.75,-6.0,-4.31,-2.5,-2.0,-2.28,-2.31,-2.44,-3.19,-4.22,-3.88,-2.91,-2.06,-2.0,-1.94,-1.94,-2.72,-4.66,-6.0,-6.09,-5.41,-4.66,-3.81,-2.44,-0.66,-0.25,-0.62,-0.69,-0.12,-0.16,-0.69,-0.78,-0.06,0.03,-1.16,-2.59,-3.72,-4.72,-6.03,-6.69,-5.78,-3.88,-2.66,-2.03,-1.22,-0.34,-0.22,-0.88,-1.22,-0.88,-0.5,-1.09,-1.69,-1.72,-1.5,-1.59,-1.5,-0.19,1.84,2.53,2.88,2.53,2.44,2.03,0.75,-0.34,-0.44,0.0,-0.78,-1.41,-1.38,-1.66,-2.97,-4.31,-5.34,-5.03,-4.34,-3.84,-2.69,-0.47,1.31,1.72,2.19,3.56,4.91,5.0,4.81,4.78,4.25,2.88,1.47,0.97,2.19,3.53,4.78,6.41,8.88,10.59,11.25,11.34,11.84,12.47,11.22,9.47,7.91,6.62,5.03,3.41,2.78,3.47,4.0,3.66,3.62,4.25,4.94,4.97,4.75,5.16,5.56,4.69,3.22,2.25,1.53,0.66,-0.38,-0.59,0.56,1.56,2.28,2.91,4.09,4.25,3.31,2.03,1.28,1.34,0.72,0.38,0.78,1.72,2.19,2.41,2.91,4.38,5.62,5.78,5.66,6.44,6.5,5.62,4.06,3.41,3.09,2.53,2.16,2.44,3.84,4.66,4.78,5.0,5.91,6.75,6.22,5.12,4.75,4.66,4.53,4.25,4.69,6.28,6.62,6.28,5.84,5.75,5.09,3.25,1.28,0.81,0.38,-0.91,-2.19,-2.19,-1.75,-1.66,-1.22,0.12,1.91,3.44,4.06,4.75,6.25,7.12,6.88,6.59,7.28,8.06,8.0,7.62,8.06,8.25,7.34,5.59,4.28,3.75,3.09,3.12,3.34,4.72,5.47,4.94,3.84,3.81,4.03,3.97,4.19,5.25,6.72,7.22,7.41,7.62,8.78,9.38,9.0,8.44,8.5,7.97,6.59,5.03,4.31,4.38,4.0,3.62,4.22,5.72,6.19,5.66,4.97,4.66,3.66,2.38,1.28,1.59,2.59,3.12,3.69,5.28,7.31,8.56,8.91,9.78,10.62,10.78,9.72,8.5,8.44,7.72,6.03,4.56,4.22,3.62,2.53,1.22,0.88,1.53,1.91,2.22,4.38,6.81,8.97,10.12,11.53,13.22,13.97,13.44,12.53,11.56,10.84,10.0,9.0,8.72,9.0,8.56,7.16,6.16,6.0,6.0,6.09,7.09,9.31,12.06,13.41,14.38,15.19,15.25,14.84,13.69,13.62,14.22,14.66,13.94,13.5,13.75,13.34,12.22,11.12,11.38,11.25,10.38,9.34,9.72,10.31,11.19,11.66,12.62,14.03,15.09,14.97,15.25,15.88,16.38,15.03,12.84,10.88,8.56,5.72,2.72,1.41,1.25,2.0,2.72,4.5,7.5,9.69,10.59,11.25,11.91,12.38,12.19,12.22,13.34,14.44,14.81,14.41,14.12,13.97,13.28,11.84,11.12,10.97,11.03,10.12,9.62,9.81,9.94,9.38,8.44,3.19,2.47,1.81,1.69,2.28,3.81,5.56,7.22,8.62,9.72,10.22,10.38,10.31,10.56,10.66,10.38,9.22,8.19,6.53,4.62,2.59,1.16,0.19,0.0,-0.22,-0.19,0.44,1.59:-13.47,-13.28,-12.72,-11.19,-9.84,-9.12,-8.19,-7.25,-6.75,-8.06,-9.56,-10.72,-11.69,-12.81,-13.88,-13.97,-12.84,-12.12,-11.25,-10.31,-8.94,-8.31,-8.69,-9.22,-8.88,-8.47,-8.5,-8.56,-8.09,-7.12,-7.59,-8.38,-8.41,-7.84,-7.47,-6.91,-6.31,-4.62,-3.03,-2.97,-3.16,-3.19,-3.75,-5.94,-8.34,-9.97,-11.28,-12.94,-14.41,-14.72,-13.66,-11.81,-10.09,-7.91,-5.5,-3.72,-3.91,-4.38,-4.78,-4.62,-5.78,-7.06,-7.44,-7.78,-9.0,-10.97,-12.38,-13.44,-14.91,-16.72,-17.81,-18.25,-18.22,-18.94,-19.62,-19.41,-18.84,-18.81,-18.78,-18.84,-18.12,-19.06,-20.56,-22.34,-22.88,-23.06,-23.72,-23.72,-22.75,-22.5,-23.28,-24.47,-24.78,-23.94,-23.66,-23.22,-21.69,-19.12,-17.25,-15.97,-14.88,-13.56,-12.53,-12.56,-12.28,-11.31,-10.5,-10.94,-11.72,-11.91,-11.66,-12.06,-12.97,-14.0,-14.59,-15.56,-17.09,-17.59,-16.69,-15.78,-15.0,-14.25,-12.47,-10.94,-10.69,-11.34,-12.0,-12.09,-13.06,-13.91,-13.72,-12.84,-12.12,-11.69,-11.81,-11.53,-11.59,-12.41,-14.12,-14.84,-15.28,-15.81,-16.09,-15.53,-14.16,-13.5,-13.41,-13.72,-13.53,-13.59,-14.41,-14.81,-14.28,-13.97,-14.28,-14.72,-14.25,-13.22,-12.94,-12.84,-12.66,-11.47,-10.62,-9.94,-8.66,-6.59,-5.09,-5.12,-5.72,-5.88,-6.19,-7.38,-8.97,-9.97,-10.91,-12.47,-14.0,-14.72,-13.97,-13.19,-12.16,-11.44,-10.12,-9.06,-9.34,-10.22,-10.22,-10.25,-11.19,-12.34,-12.84,-12.5,-12.5,-12.72,-12.97,-12.78,-12.47,-12.84,-13.0,-11.53,-10.12,-9.91,-10.28,-10.81,-11.69,-13.75,-16.22,-17.44,-17.25,-16.66,-15.69,-14.0,-11.44,-9.44,-8.94,-9.47,-9.31,-8.84,-9.28,-10.16,-9.69,-8.69,-8.22,-7.91,-6.94,-5.38,-4.34,-4.81,-5.66,-6.09,-7.34,-9.31,-11.22,-12.34,-13.0,-14.16,-15.59,-16.28,-16.53,-16.94,-17.19,-16.62,-15.19,-13.97,-13.72,-13.69,-13.16,-12.94,-13.25,-13.41,-12.59,-11.22,-10.56,-10.69,-10.03,-9.56,-10.0,-11.06,-12.19,-13.16,-14.31,-16.19,-18.22,-18.72,-18.34,-18.34,-17.81,-15.91,-13.41,-11.59,-11.44,-11.69,-12.38,-13.81,-16.31,-18.12,-18.25,-18.03,-18.28,-17.91,-17.0,-16.31,-16.59,-17.41,-17.22,-16.31,-15.16,-14.56,-13.09,-11.53,-11.38,-12.75,-14.72,-16.0,-17.16,-18.28,-18.72,-17.41,-15.03,-13.38,-12.25,-10.66,-9.75,-9.66,-10.69,-11.41,-11.03,-11.09,-11.84,-12.5,-12.31,-12.28,-13.03,-13.75,-13.47,-12.75,-13.19,-14.91,-16.34,-18.16,-19.94,-22.03,-22.94,-22.41,-21.38,-21.03,-20.72,-19.44,-17.72,-16.44,-15.31,-13.31,-10.94,-9.81,-9.59,-9.19,-8.66,-8.28,-8.81,-8.47,-7.31,-6.0,-5.69,-5.25,-4.31,-3.53,-3.88,-5.09,-6.47,-7.59,-9.0,-10.38,-10.53,-9.78,-9.47,-10.47,-11.81,-12.97,-14.25,-15.94,-17.19,-17.16,-16.5,-15.66,-14.72,-13.5,-11.44,-9.5,-8.53,-7.0,-5.44,-4.47,-5.62,-7.19,-8.66,-9.56,-10.91,-11.88,-11.62,-10.47,-10.12,-9.94,-9.75,-9.34,-9.28,-10.97,-12.47,-13.38,-13.75,-15.0,-15.34,-14.12,-12.41,-11.38,-10.44,-8.78,-7.28,-6.38,-6.53,-6.75,-6.84,-7.5,-9.12,-10.53,-11.16,-10.66,-10.84,-10.16,-8.34,-5.72,-4.5,-3.72,-3.12,-2.5,-2.38,-2.97,-3.12,-2.62,-2.56,-3.22,-3.88,-3.78,-2.88,-2.91,-1.78,0.09,2.53,4.03,5.16,5.81,6.12,5.25,3.06,1.03,-0.47,-1.38,-2.84,-4.16,-4.75,-4.59,-5.28,-5.53,-4.69,-2.84,-1.44,-0.19,1.5,3.47,5.03,5.41,6.0,7.69,9.22,9.94,10.03,9.97,9.31,7.47,4.78,3.12,2.66,1.91,0.75,0.06,-0.12,-0.84,-2.94,-4.78,-5.69,-6.41,-7.69,-8.41,-8.28,-6.94,-6.62,-6.5,-5.75,-4.84,-4.25,-4.12,-3.72,-2.22,-0.66,0.09,1.16,3.12,4.62,4.84,4.56,4.12,3.62,2.25,0.41,-1.25,-2.0,-3.06,-4.12,-4.25,-3.34,-2.16,-1.84,-2.0,-2.34,-2.66,-3.69,-4.62,-4.66,-3.72,-3.25,-3.09,-3.06,-2.59,-2.56,-3.16,-3.5,-2.94,-1.75,-1.47,-1.56,-1.41,-2.03,-3.56,-6.0,-8.16,-9.75,-11.53,-13.28,-14.59,-14.41,-14.16,-14.34,-14.34,-13.22,-12.25,-11.84,-11.69,-10.94,-10.5,-10.94,-11.59,-12.25,-12.41,-12.59,-13.12,-13.59,-13.03,-12.22,-11.56,-10.81,-9.19,-7.09,-5.62,-4.56,-3.72,-3.59,-4.5,-6.19,-8.22,-9.38,-9.66,-10.47,-10.69,-9.78,-8.69,-7.75,-6.84,-5.47,-3.69,-3.25,-3.16,-2.97,-2.62,-2.78,-3.66,-5.22,-6.19,-7.69,-9.53,-10.75,-9.88,-8.22,-6.34,-4.75,-3.0,-2.0,-2.47,-4.06,-5.66,-6.34,-6.72,-7.59,-7.81,-7.28,-7.19,-7.94,-8.47,-7.78,-7.09,-6.59,-6.84,-6.94,-6.81,-7.38,-7.88,-8.03,-7.53,-7.62,-8.38,-9.62,-10.38,-10.97,-12.19,-12.38,-11.25,-9.62,-8.28,-7.47,-6.75,-5.84,-5.28,-4.97,-3.91,-1.44,0.72,1.34,1.53,1.75,1.78,0.78,-0.25,-0.31,-0.59,-1.03,-2.31,-3.06,-3.19,-3.44,-4.44,-5.34,-5.69,-6.06,-6.88,-7.62,-6.75,-5.59,-4.28,-3.59,-2.53,-1.25,-0.34,-0.38,-0.06,0.81,1.19,0.69,-0.22,-0.84,-1.62,-3.38,-5.34,-6.22,-7.06,-8.06,-9.38,-9.59,-9.09,-8.12,-6.97,-5.19,-2.56,-0.31,0.66,1.25,2.03,2.44,2.12,0.81,0.0,-0.53,-1.94,-3.66,-5.19,-6.34,-7.22,-8.81,-9.84,-9.72,-9.5,-10.22,-10.97,-10.59,-9.78,-8.53,-6.84,-4.62,-1.75,0.19,0.84,1.53,1.75,1.72,0.31,-1.03,-1.41,-1.28,-1.66,-2.53,-2.66,-2.88,-3.69,-4.72,-4.75,-3.62,-2.16,-1.06,0.47,1.91,3.41,3.12,2.28,2.25,2.72,2.53,2.22,2.81,3.56,4.06,3.66,3.28,3.34,2.69,1.09,-0.41,-1.19,-1.66,-2.78,-4.31,-4.84,-4.94,-5.38,-5.97,-5.34,-4.25,-3.09,-2.44,-1.31,0.38,1.69,2.19,2.06,2.25,2.62,1.66,0.78,0.59,0.53,-0.53,-2.53,-4.16,-5.5,-6.31,-6.75,-6.0,-4.31,-2.5,-2.0,-2.28,-2.31,-2.44,-3.19,-4.22,-3.88,-2.91,-2.06,-2.0,-1.94,-1.94,-2.72,-4.66,-6.0,-6.09,-5.41,-4.66,-3.81,-2.44,-0.66,-0.25,-0.62,-0.69,-0.12,-0.16,-0.69,-0.78,-0.06,0.03,-1.16,-2.59,-3.72,-4.72,-6.03,-6.69,-5.78,-3.88,-2.66,-2.03,-1.22,-0.34,-0.22,-0.88,-1.22,-0.88,-0.5,-1.09,-1.69,-1.72,-1.5,-1.59,-1.5,-0.19,1.84,2.53,2.88,2.53,2.44,2.03,0.75,-0.34,-0.44,0.0,-0.78,-1.41,-1.38,-1.66,-2.97,-4.31,-5.34,-5.03,-4.34,-3.84,-2.69,-0.47,1.31,1.72,2.19,3.56,4.91,5.0,4.81,4.78,4.25,2.88,1.47,0.97,2.19,3.53,4.78,6.41,8.88,10.59,11.25,11.34,11.84,12.47,11.22,9.47,7.91,6.62,5.03,3.41,2.78,3.47,4.0,3.66,3.62,4.25,4.94,4.97,4.75,5.16,5.56,4.69,3.22,2.25,1.53,0.66,-0.38,-0.59,0.56,1.56,2.28,2.91,4.09,4.25,3.31,2.03,1.28,1.34,0.72,0.38,0.78,1.72,2.19,2.41,2.91,4.38,5.62,5.78,5.66,6.44,6.5,5.62,4.06,3.41,3.09,2.53,2.16,2.44,3.84,4.66,4.78,5.0,5.91,6.75,6.22,5.12,4.75,4.66,4.53,4.25,4.69,6.28,6.62,6.28,5.84,5.75,5.09,3.25,1.28,0.81,0.38,-0.91,-2.19,-2.19,-1.75,-1.66,-1.22,0.12,1.91,3.44,4.06,4.75,6.25,7.12,6.88,6.59,7.28,8.06,8.0,7.62,8.06,8.25,7.34,5.59,4.28,3.75,3.09,3.12,3.34,4.72,5.47,4.94,3.84,3.81,4.03,3.97,4.19,5.25,6.72,7.22,7.41,7.62,8.78,9.38,9.0,8.44,8.5,7.97,6.59,5.03,4.31,4.38,4.0,3.62,4.22,5.72,6.19,5.66,4.97,4.66,3.66,2.38,1.28,1.59,2.59,3.12,3.69,5.28,7.31,8.56,8.91,9.78,10.62,10.78,9.72,8.5,8.44,7.72,6.03,4.56,4.22,3.62,2.53,1.22,0.88,1.53,1.91,2.22,4.38,6.81,8.97,10.12,11.53,13.22,13.97,13.44,12.53,11.56,10.84,10.0,9.0,8.72,9.0,8.56,7.16,6.16,6.0,6.0,6.09,7.09,9.31,12.06,13.41,14.38,15.19,15.25,14.84,13.69,13.62,14.22,14.66,13.94,13.5,13.75,13.34,12.22,11.12,11.38,11.25,10.38,9.34,9.72,10.31,11.19,11.66,12.62,14.03,15.09,14.97,15.25,15.88,16.38,15.03,12.84,10.88,8.56,5.72,2.72,1.41,1.25,2.0,2.72,4.5,7.5,9.69,10.59,11.25,11.91,12.38,12.19,12.22,13.34,14.44,14.81,14.41,14.12,13.97,13.28,11.84,11.12,10.97,11.03,10.12,9.62,9.81,9.94,9.38,8.44,3.19,2.47,1.81,1.69,2.28,3.81,5.56,7.22,8.62,9.72,10.22,10.38,10.31,10.56,10.66,10.38,9.22,8.19,6.53,4.62,2.59,1.16,0.19,0.0,-0.22,-0.19,0.44,1.59,2.84,4.09,5.44,6.97,7.47,7.16,7.06:-7.25,-6.75,-8.06,-9.56,-10.72,-11.69,-12.81,-13.88,-13.97,-12.84,-12.12,-11.25,-10.31,-8.94,-8.31,-8.69,-9.22,-8.88,-8.47,-8.5,-8.56,-8.09,-7.12,-7.59,-8.38,-8.41,-7.84,-7.47,-6.91,-6.31,-4.62,-3.03,-2.97,-3.16,-3.19,-3.75,-5.94,-8.34,-9.97,-11.28,-12.94,-14.41,-14.72,-13.66,-11.81,-10.09,-7.91,-5.5,-3.72,-3.91,-4.38,-4.78,-4.62,-5.78,-7.06,-7.44,-7.78,-9.0,-10.97,-12.38,-13.44,-14.91,-16.72,-17.81,-18.25,-18.22,-18.94,-19.62,-19.41,-18.84,-18.81,-18.78,-18.84,-18.12,-19.06,-20.56,-22.34,-22.88,-23.06,-23.72,-23.72,-22.75,-22.5,-23.28,-24.47,-24.78,-23.94,-23.66,-23.22,-21.69,-19.12,-17.25,-15.97,-14.88,-13.56,-12.53,-12.56,-12.28,-11.31,-10.5,-10.94,-11.72,-11.91,-11.66,-12.06,-12.97,-14.0,-14.59,-15.56,-17.09,-17.59,-16.69,-15.78,-15.0,-14.25,-12.47,-10.94,-10.69,-11.34,-12.0,-12.09,-13.06,-13.91,-13.72,-12.84,-12.12,-11.69,-11.81,-11.53,-11.59,-12.41,-14.12,-14.84,-15.28,-15.81,-16.09,-15.53,-14.16,-13.5,-13.41,-13.72,-13.53,-13.59,-14.41,-14.81,-14.28,-13.97,-14.28,-14.72,-14.25,-13.22,-12.94,-12.84,-12.66,-11.47,-10.62,-9.94,-8.66,-6.59,-5.09,-5.12,-5.72,-5.88,-6.19,-7.38,-8.97,-9.97,-10.91,-12.47,-14.0,-14.72,-13.97,-13.19,-12.16,-11.44,-10.12,-9.06,-9.34,-10.22,-10.22,-10.25,-11.19,-12.34,-12.84,-12.5,-12.5,-12.72,-12.97,-12.78,-12.47,-12.84,-13.0,-11.53,-10.12,-9.91,-10.28,-10.81,-11.69,-13.75,-16.22,-17.44,-17.25,-16.66,-15.69,-14.0,-11.44,-9.44,-8.94,-9.47,-9.31,-8.84,-9.28,-10.16,-9.69,-8.69,-8.22,-7.91,-6.94,-5.38,-4.34,-4.81,-5.66,-6.09,-7.34,-9.31,-11.22,-12.34,-13.0,-14.16,-15.59,-16.28,-16.53,-16.94,-17.19,-16.62,-15.19,-13.97,-13.72,-13.69,-13.16,-12.94,-13.25,-13.41,-12.59,-11.22,-10.56,-10.69,-10.03,-9.56,-10.0,-11.06,-12.19,-13.16,-14.31,-16.19,-18.22,-18.72,-18.34,-18.34,-17.81,-15.91,-13.41,-11.59,-11.44,-11.69,-12.38,-13.81,-16.31,-18.12,-18.25,-18.03,-18.28,-17.91,-17.0,-16.31,-16.59,-17.41,-17.22,-16.31,-15.16,-14.56,-13.09,-11.53,-11.38,-12.75,-14.72,-16.0,-17.16,-18.28,-18.72,-17.41,-15.03,-13.38,-12.25,-10.66,-9.75,-9.66,-10.69,-11.41,-11.03,-11.09,-11.84,-12.5,-12.31,-12.28,-13.03,-13.75,-13.47,-12.75,-13.19,-14.91,-16.34,-18.16,-19.94,-22.03,-22.94,-22.41,-21.38,-21.03,-20.72,-19.44,-17.72,-16.44,-15.31,-13.31,-10.94,-9.81,-9.59,-9.19,-8.66,-8.28,-8.81,-8.47,-7.31,-6.0,-5.69,-5.25,-4.31,-3.53,-3.88,-5.09,-6.47,-7.59,-9.0,-10.38,-10.53,-9.78,-9.47,-10.47,-11.81,-12.97,-14.25,-15.94,-17.19,-17.16,-16.5,-15.66,-14.72,-13.5,-11.44,-9.5,-8.53,-7.0,-5.44,-4.47,-5.62,-7.19,-8.66,-9.56,-10.91,-11.88,-11.62,-10.47,-10.12,-9.94,-9.75,-9.34,-9.28,-10.97,-12.47,-13.38,-13.75,-15.0,-15.34,-14.12,-12.41,-11.38,-10.44,-8.78,-7.28,-6.38,-6.53,-6.75,-6.84,-7.5,-9.12,-10.53,-11.16,-10.66,-10.84,-10.16,-8.34,-5.72,-4.5,-3.72,-3.12,-2.5,-2.38,-2.97,-3.12,-2.62,-2.56,-3.22,-3.88,-3.78,-2.88,-2.91,-1.78,0.09,2.53,4.03,5.16,5.81,6.12,5.25,3.06,1.03,-0.47,-1.38,-2.84,-4.16,-4.75,-4.59,-5.28,-5.53,-4.69,-2.84,-1.44,-0.19,1.5,3.47,5.03,5.41,6.0,7.69,9.22,9.94,10.03,9.97,9.31,7.47,4.78,3.12,2.66,1.91,0.75,0.06,-0.12,-0.84,-2.94,-4.78,-5.69,-6.41,-7.69,-8.41,-8.28,-6.94,-6.62,-6.5,-5.75,-4.84,-4.25,-4.12,-3.72,-2.22,-0.66,0.09,1.16,3.12,4.62,4.84,4.56,4.12,3.62,2.25,0.41,-1.25,-2.0,-3.06,-4.12,-4.25,-3.34,-2.16,-1.84,-2.0,-2.34,-2.66,-3.69,-4.62,-4.66,-3.72,-3.25,-3.09,-3.06,-2.59,-2.56,-3.16,-3.5,-2.94,-1.75,-1.47,-1.56,-1.41,-2.03,-3.56,-6.0,-8.16,-9.75,-11.53,-13.28,-14.59,-14.41,-14.16,-14.34,-14.34,-13.22,-12.25,-11.84,-11.69,-10.94,-10.5,-10.94,-11.59,-12.25,-12.41,-12.59,-13.12,-13.59,-13.03,-12.22,-11.56,-10.81,-9.19,-7.09,-5.62,-4.56,-3.72,-3.59,-4.5,-6.19,-8.22,-9.38,-9.66,-10.47,-10.69,-9.78,-8.69,-7.75,-6.84,-5.47,-3.69,-3.25,-3.16,-2.97,-2.62,-2.78,-3.66,-5.22,-6.19,-7.69,-9.53,-10.75,-9.88,-8.22,-6.34,-4.75,-3.0,-2.0,-2.47,-4.06,-5.66,-6.34,-6.72,-7.59,-7.81,-7.28,-7.19,-7.94,-8.47,-7.78,-7.09,-6.59,-6.84,-6.94,-6.81,-7.38,-7.88,-8.03,-7.53,-7.62,-8.38,-9.62,-10.38,-10.97,-12.19,-12.38,-11.25,-9.62,-8.28,-7.47,-6.75,-5.84,-5.28,-4.97,-3.91,-1.44,0.72,1.34,1.53,1.75,1.78,0.78,-0.25,-0.31,-0.59,-1.03,-2.31,-3.06,-3.19,-3.44,-4.44,-5.34,-5.69,-6.06,-6.88,-7.62,-6.75,-5.59,-4.28,-3.59,-2.53,-1.25,-0.34,-0.38,-0.06,0.81,1.19,0.69,-0.22,-0.84,-1.62,-3.38,-5.34,-6.22,-7.06,-8.06,-9.38,-9.59,-9.09,-8.12,-6.97,-5.19,-2.56,-0.31,0.66,1.25,2.03,2.44,2.12,0.81,0.0,-0.53,-1.94,-3.66,-5.19,-6.34,-7.22,-8.81,-9.84,-9.72,-9.5,-10.22,-10.97,-10.59,-9.78,-8.53,-6.84,-4.62,-1.75,0.19,0.84,1.53,1.75,1.72,0.31,-1.03,-1.41,-1.28,-1.66,-2.53,-2.66,-2.88,-3.69,-4.72,-4.75,-3.62,-2.16,-1.06,0.47,1.91,3.41,3.12,2.28,2.25,2.72,2.53,2.22,2.81,3.56,4.06,3.66,3.28,3.34,2.69,1.09,-0.41,-1.19,-1.66,-2.78,-4.31,-4.84,-4.94,-5.38,-5.97,-5.34,-4.25,-3.09,-2.44,-1.31,0.38,1.69,2.19,2.06,2.25,2.62,1.66,0.78,0.59,0.53,-0.53,-2.53,-4.16,-5.5,-6.31,-6.75,-6.0,-4.31,-2.5,-2.0,-2.28,-2.31,-2.44,-3.19,-4.22,-3.88,-2.91,-2.06,-2.0,-1.94,-1.94,-2.72,-4.66,-6.0,-6.09,-5.41,-4.66,-3.81,-2.44,-0.66,-0.25,-0.62,-0.69,-0.12,-0.16,-0.69,-0.78,-0.06,0.03,-1.16,-2.59,-3.72,-4.72,-6.03,-6.69,-5.78,-3.88,-2.66,-2.03,-1.22,-0.34,-0.22,-0.88,-1.22,-0.88,-0.5,-1.09,-1.69,-1.72,-1.5,-1.59,-1.5,-0.19,1.84,2.53,2.88,2.53,2.44,2.03,0.75,-0.34,-0.44,0.0,-0.78,-1.41,-1.38,-1.66,-2.97,-4.31,-5.34,-5.03,-4.34,-3.84,-2.69,-0.47,1.31,1.72,2.19,3.56,4.91,5.0,4.81,4.78,4.25,2.88,1.47,0.97,2.19,3.53,4.78,6.41,8.88,10.59,11.25,11.34,11.84,12.47,11.22,9.47,7.91,6.62,5.03,3.41,2.78,3.47,4.0,3.66,3.62,4.25,4.94,4.97,4.75,5.16,5.56,4.69,3.22,2.25,1.53,0.66,-0.38,-0.59,0.56,1.56,2.28,2.91,4.09,4.25,3.31,2.03,1.28,1.34,0.72,0.38,0.78,1.72,2.19,2.41,2.91,4.38,5.62,5.78,5.66,6.44,6.5,5.62,4.06,3.41,3.09,2.53,2.16,2.44,3.84,4.66,4.78,5.0,5.91,6.75,6.22,5.12,4.75,4.66,4.53,4.25,4.69,6.28,6.62,6.28,5.84,5.75,5.09,3.25,1.28,0.81,0.38,-0.91,-2.19,-2.19,-1.75,-1.66,-1.22,0.12,1.91,3.44,4.06,4.75,6.25,7.12,6.88,6.59,7.28,8.06,8.0,7.62,8.06,8.25,7.34,5.59,4.28,3.75,3.09,3.12,3.34,4.72,5.47,4.94,3.84,3.81,4.03,3.97,4.19,5.25,6.72,7.22,7.41,7.62,8.78,9.38,9.0,8.44,8.5,7.97,6.59,5.03,4.31,4.38,4.0,3.62,4.22,5.72,6.19,5.66,4.97,4.66,3.66,2.38,1.28,1.59,2.59,3.12,3.69,5.28,7.31,8.56,8.91,9.78,10.62,10.78,9.72,8.5,8.44,7.72,6.03,4.56,4.22,3.62,2.53,1.22,0.88,1.53,1.91,2.22,4.38,6.81,8.97,10.12,11.53,13.22,13.97,13.44,12.53,11.56,10.84,10.0,9.0,8.72,9.0,8.56,7.16,6.16,6.0,6.0,6.09,7.09,9.31,12.06,13.41,14.38,15.19,15.25,14.84,13.69,13.62,14.22,14.66,13.94,13.5,13.75,13.34,12.22,11.12,11.38,11.25,10.38,9.34,9.72,10.31,11.19,11.66,12.62,14.03,15.09,14.97,15.25,15.88,16.38,15.03,12.84,10.88,8.56,5.72,2.72,1.41,1.25,2.0,2.72,4.5,7.5,9.69,10.59,11.25,11.91,12.38,12.19,12.22,13.34,14.44,14.81,14.41,14.12,13.97,13.28,11.84,11.12,10.97,11.03,10.12,9.62,9.81,9.94,9.38,8.44,3.19,2.47,1.81,1.69,2.28,3.81,5.56,7.22,8.62,9.72,10.22,10.38,10.31,10.56,10.66,10.38,9.22,8.19,6.53,4.62,2.59,1.16,0.19,0.0,-0.22,-0.19,0.44,1.59,2.84,4.09,5.44,6.97,7.47,7.16,7.06,6.91,6.41,5.72,5.59,5.59,5.44,5.66:negativity
24.81,23.25,21.53,19.25,18.97,20.84,23.22,24.19,24.56,26.25,27.06,26.41,24.97,25.28,26.31,26.34,24.91,23.91,23.25,21.94,19.38,17.97,18.91,20.78,21.69,22.38,23.78,24.56,24.06,22.94,23.56,26.03,27.94,28.91,30.28,31.62,32.31,31.5,31.09,31.62,32.25,31.19,28.66,27.03,26.16,24.62,23.34,24.25,26.75,28.72,29.5,30.59,31.84,32.16,30.22,28.34,27.5,27.28,26.56,25.44,26.06,27.5,27.38,26.38,26.25,26.66,26.44,24.59,23.56,24.16,24.47,23.97,23.94,25.59,27.16,26.75,25.69,25.38,25.34,24.38,22.75,22.31,23.34,23.75,23.0,22.25,21.91,20.91,17.97,15.53,14.84,15.59,15.97,15.91,17.5,19.19,19.34,17.97,17.25,17.38,16.81,15.19,14.44,15.12,16.56,17.06,17.88,20.03,22.47,22.34,20.44,18.62,16.44,12.84,8.0,4.72,3.16,1.81,-0.03,-0.5,1.19,4.19,6.44,9.16,13.84,18.75,21.28,21.88,22.16,21.41,18.66,14.12,10.56,8.34,5.88,3.06,1.22,1.56,3.31,4.44,6.38,9.69,13.03,14.34,14.28,14.69,15.59,16.0,15.53,16.19,17.91,19.19,18.75,18.66,19.34,19.91,19.31,18.12,18.12,18.5,17.5,16.22,15.97,16.5,16.41,14.69,13.84,14.19,14.06,12.56,11.25,11.28,11.56,10.19,9.12,9.78,11.84,12.66,12.5,13.44,14.47,14.78,13.72,13.81,15.78,17.47,17.47,17.53,18.28,18.72,17.31,15.94,15.81,16.41,15.88,14.78,14.53,15.19,15.75,15.31,15.75,17.69,19.53,20.03,20.34,21.41,22.75,22.12,20.5,20.19,21.19,21.62,21.69,23.0,24.94,26.59,26.0,25.28,25.56,25.69,24.19,22.69,22.66,23.5,23.22,22.84,23.44,24.91,25.03,23.72,23.25,23.69,23.72,22.66,22.59,23.91,25.19,25.25,25.53,26.97,28.75,29.38,28.94,29.12,30.28,30.28,29.03,28.25,28.12,27.16,24.66,23.0,22.94,23.75,23.31,23.0,23.97,25.09,24.81,24.0,24.12,25.28,25.66,25.38,25.62,27.12,28.59,28.56,28.5,29.88,30.44,28.59,25.91,23.97,22.75,20.81,18.91,18.78,19.91,20.25,19.62,19.41,20.53,21.53,21.03,21.03,22.53,24.53,24.94,24.94,25.91,26.94,26.69,25.97,25.88,26.53,26.09,24.19,22.19,21.34,20.75,18.81,17.25,17.5,18.12,17.84,17.41,18.28,19.78,20.12,20.06,20.69,22.16,22.72,22.0,21.19,21.91,22.72,22.5,23.09,25.12,28.09,29.75,30.5,31.91,33.16,32.47,30.59,29.41,29.81,29.75,29.56,29.88,31.75,33.47,33.72,33.91,35.09,36.75,36.69,35.66,35.69,36.22,35.22,33.34,32.41,33.06,32.94,31.97,30.62,30.16,28.91,25.28,21.5,19.53,18.91,17.31,15.97,16.72,18.31,18.91,18.38,18.0,18.62,18.44,17.12,16.56,18.28,20.75,22.06,23.69,27.0,30.34,31.91,32.09,32.78,33.94,34.34,33.88,34.22,36.0,36.62,35.09,32.88,31.75,30.53,27.81,24.84,23.34,22.53,20.53,18.28,16.88,16.84,16.25,14.12,13.12,13.91,15.0,15.34,16.5,19.72,22.47,23.22,23.72,25.09,27.06,28.03,28.09,29.16,31.22,32.44,32.5,32.69,33.44,33.44,31.78,29.53,29.34,29.03,27.16,24.88,23.94,24.0,23.34,22.34,23.22,24.88,26.19,26.47,28.16,30.94,33.47,34.25,34.5,35.72,36.25,34.56,31.97,30.06,28.47,25.22,21.59,19.5,18.53,17.53,16.12,15.84,17.38,18.81,18.47,17.38,18.03,18.88,18.12,17.88,19.09,20.72,21.28,20.38,20.38,21.5,22.06,21.25,21.19,22.5,23.47,23.12,22.44,23.88,25.97,26.97,27.38,28.44,29.62,28.91,26.47,24.06,23.47,22.75,21.03,20.31,21.41,22.62,22.41,21.5,22.06,22.91,22.16,20.66,19.91,20.12,19.62,18.41,18.06,19.59,21.0,21.56,21.91,24.0,26.0,26.28,25.47,26.19,27.22,26.41,25.69,26.41,28.44,29.88,30.28,30.75,31.28,31.44,29.72,28.25,29.03,30.25,30.06,29.03,29.19,30.06,29.47,29.0,29.75,31.81,32.53,32.22,31.72,32.34,32.34,30.78,28.69,28.28,27.78,26.03,24.25,23.97,24.88,24.81,24.78,26.03,28.94,30.88,31.12,30.91,31.28,30.62,28.0,25.12,24.22,24.03,22.81,21.31,21.53,23.06,23.56,23.31,24.19,26.19,26.94,26.53,26.09,27.44,28.12,26.81,24.94,24.44,24.09,22.53,20.78,20.19,20.91,20.22,18.38,16.97,16.69,15.72,13.66,11.69,11.66,12.09,11.56,11.5,13.22,15.31,15.75,15.47,16.25,17.69,18.44,18.25,19.34,21.16,22.28,22.5,22.38,24.19,26.25,27.09,27.88,29.97,31.88,32.09,31.12,31.19,32.12,31.97,30.5,29.94,30.59,30.16,28.22,26.19,25.94,25.75,24.78,24.22,25.66,27.94,29.06,28.97,29.75,31.12,31.47,30.41,30.12,30.97,31.12,29.91,28.47,28.31,28.06,26.47,24.28,23.53,23.16,21.97,20.16,19.56,20.5,20.25,18.66,17.56,18.44,19.19,19.28,19.56,21.88,23.88,24.44,25.06,27.28,30.03,31.59,32.0,32.84,33.81,32.88,30.22,27.25,25.84,24.88,23.44,22.72,24.12,25.12,24.91,23.28,23.03,23.25,22.47,20.81,20.38,20.88,20.56,19.03,17.91,18.34,18.31,17.06,15.88,16.62,17.25,16.84,16.03,16.38,17.38,17.09,15.69,14.91,15.12,14.44,12.47,10.69,10.47,10.34,9.38,8.25,9.34,11.31,12.41,12.97,15.34,18.5,20.5,21.16,22.5,25.0,26.56,26.28,25.88,26.31,26.41,24.78,23.16,22.94,23.22,22.72,21.69,22.19,23.5,24.25,23.69,23.38,24.41,24.69,23.34,22.06,22.09,22.0,20.41,18.38,18.03,18.5,18.69,18.66,20.12,22.88,24.72,25.19,25.69,26.84,27.16,25.19,23.38,22.69,22.34,20.88,19.16,19.03,18.78,17.25,14.91,13.62,13.91,13.91,13.47,14.25,17.06,19.22,19.75,19.97,20.81,21.16,20.16,18.66,19.25,20.62,21.59,22.03,23.06,24.88,25.72,24.91,24.44,25.5,26.56,25.91,24.91,25.03,25.03,24.0,23.09,24.03,26.0,27.72,27.62,28.38,29.97,30.09,28.62,27.66,28.31,29.0,28.06,26.88,27.12,27.09,26.12,24.53,24.81,25.59,25.62,24.66,24.28,25.03,25.69,25.0,24.75,25.66,26.22,25.16,23.66,23.62,23.69,23.0,22.12,22.47,23.75,24.72,24.72,25.25,26.66,27.53,27.12,26.62,27.47,27.59,25.88,22.94,21.38,20.09,18.34,16.41,15.66,15.94,15.53,14.09,13.19,13.5,13.66,12.91,12.16,13.31,14.97,15.5,15.84,17.75,19.59,20.38,20.0,19.78,20.25,20.03,18.62,17.72,18.38,18.66,16.97,14.69,13.94,13.06,11.88,11.16,12.97,15.94,18.41,19.06,19.97,21.53,22.0,20.69,20.09,20.75,21.09,19.53,18.5,19.56,21.16,21.72,22.09,23.34,24.84,24.16,22.19,20.47,19.5,18.06,15.09,13.34,13.38,13.56,12.5,11.56,12.28,13.94,14.34,14.41,15.91,18.72,20.84,22.25,24.53,27.34,29.19,28.5,27.0,25.53,23.22,19.06,15.0,12.72,12.03,11.22,10.62,12.03,14.19,15.53,15.78,16.47,18.56,20.25,20.88,22.06,24.66,27.12,27.94,28.38,29.72,31.22,31.44,30.72,30.88,31.59,31.41,29.31,27.53,27.06,25.81,22.69,20.06,18.97,18.5,17.0,15.91,16.38,17.38,17.09,16.16,15.97,16.97,17.25,16.66,16.84,18.72,20.56,21.09,21.81,23.59,24.97,24.53,22.78,22.44,22.34,21.0,18.94,17.62,17.53,16.88,15.5,14.62,15.44,16.66,16.53,17.12,19.38,22.66,23.66,23.69,24.12,24.69,24.0,22.12,21.19,21.16,20.69,18.91,17.5,17.88,18.41,17.38,16.5,17.25,18.66,18.88,18.72,19.5,20.84,21.0,20.47,20.91,22.09,22.78,21.66,20.41,20.34,20.56,19.47,18.22,17.88,18.09,16.62,14.59,13.56,13.59,13.19,12.41,12.78,15.41,18.38,20.22,22.34,25.91,29.19,30.38,30.78,31.56,32.0,30.47,27.41,25.38,24.25,22.59,20.38,19.22,19.69,19.88,19.0,18.19,18.91,19.97,19.41,19.03,19.47,20.34,19.91,18.75,18.34,18.78,18.38,16.72,15.81,16.28,17.56,17.56,17.94,19.72,21.47,21.78,21.56,22.59,25.12,26.5,27.12,28.12,29.53,29.72,27.66,25.56,24.28,23.06,21.06,19.62,19.91,21.5,21.59,21.0,21.03,21.62,20.69,19.31,19.0,20.16,21.59,21.66,22.62,24.81,27.16,28.12,28.62,30.5,32.47,32.94,32.75,33.25,34.03,33.75,32.28,30.91,30.53,29.56,27.19,25.47,25.47,25.59,24.81,23.53,23.28,23.72,22.84,21.0,20.38,21.0,20.97,20.66,21.31,23.72,25.25,25.12,25.38,26.34,27.12,26.31,25.25,24.88,24.78,23.5,21.88,21.12,22.06,22.28,21.66,21.91,23.5,25.16,25.53,25.84,27.31,28.59,28.44,27.47,27.59,28.16,27.5,26.0,25.22,25.81,25.53,23.97,23.12,23.94:24.19,24.56,26.25,27.06,26.41,24.97,25.28,26.31,26.34,24.91,23.91,23.25,21.94,19.38,17.97,18.91,20.78,21.69,22.38,23.78,24.56,24.06,22.94,23.56,26.03,27.94,28.91,30.28,31.62,32.31,31.5,31.09,31.62,32.25,31.19,28.66,27.03,26.16,24.62,23.34,24.25,26.75,28.72,29.5,30.59,31.84,32.16,30.22,28.34,27.5,27.28,26.56,25.44,26.06,27.5,27.38,26.38,26.25,26.66,26.44,24.59,23.56,24.16,24.47,23.97,23.94,25.59,27.16,26.75,25.69,25.38,25.34,24.38,22.75,22.31,23.34,23.75,23.0,22.25,21.91,20.91,17.97,15.53,14.84,15.59,15.97,15.91,17.5,19.19,19.34,17.97,17.25,17.38,16.81,15.19,14.44,15.12,16.56,17.06,17.88,20.03,22.47,22.34,20.44,18.62,16.44,12.84,8.0,4.72,3.16,1.81,-0.03,-0.5,1.19,4.19,6.44,9.16,13.84,18.75,21.28,21.88,22.16,21.41,18.66,14.12,10.56,8.34,5.88,3.06,1.22,1.56,3.31,4.44,6.38,9.69,13.03,14.34,14.28,14.69,15.59,16.0,15.53,16.19,17.91,19.19,18.75,18.66,19.34,19.91,19.31,18.12,18.12,18.5,17.5,16.22,15.97,16.5,16.41,14.69,13.84,14.19,14.06,12.56,11.25,11.28,11.56,10.19,9.12,9.78,11.84,12.66,12.5,13.44,14.47,14.78,13.72,13.81,15.78,17.47,17.47,17.53,18.28,18.72,17.31,15.94,15.81,16.41,15.88,14.78,14.53,15.19,15.75,15.31,15.75,17.69,19.53,20.03,20.34,21.41,22.75,22.12,20.5,20.19,21.19,21.62,21.69,23.0,24.94,26.59,26.0,25.28,25.56,25.69,24.19,22.69,22.66,23.5,23.22,22.84,23.44,24.91,25.03,23.72,23.25,23.69,23.72,22.66,22.59,23.91,25.19,25.25,25.53,26.97,28.75,29.38,28.94,29.12,30.28,30.28,29.03,28.25,28.12,27.16,24.66,23.0,22.94,23.75,23.31,23.0,23.97,25.09,24.81,24.0,24.12,25.28,25.66,25.38,25.62,27.12,28.59,28.56,28.5,29.88,30.44,28.59,25.91,23.97,22.75,20.81,18.91,18.78,19.91,20.25,19.62,19.41,20.53,21.53,21.03,21.03,22.53,24.53,24.94,24.94,25.91,26.94,26.69,25.97,25.88,26.53,26.09,24.19,22.19,21.34,20.75,18.81,17.25,17.5,18.12,17.84,17.41,18.28,19.78,20.12,20.06,20.69,22.16,22.72,22.0,21.19,21.91,22.72,22.5,23.09,25.12,28.09,29.75,30.5,31.91,33.16,32.47,30.59,29.41,29.81,29.75,29.56,29.88,31.75,33.47,33.72,33.91,35.09,36.75,36.69,35.66,35.69,36.22,35.22,33.34,32.41,33.06,32.94,31.97,30.62,30.16,28.91,25.28,21.5,19.53,18.91,17.31,15.97,16.72,18.31,18.91,18.38,18.0,18.62,18.44,17.12,16.56,18.28,20.75,22.06,23.69,27.0,30.34,31.91,32.09,32.78,33.94,34.34,33.88,34.22,36.0,36.62,35.09,32.88,31.75,30.53,27.81,24.84,23.34,22.53,20.53,18.28,16.88,16.84,16.25,14.12,13.12,13.91,15.0,15.34,16.5,19.72,22.47,23.22,23.72,25.09,27.06,28.03,28.09,29.16,31.22,32.44,32.5,32.69,33.44,33.44,31.78,29.53,29.34,29.03,27.16,24.88,23.94,24.0,23.34,22.34,23.22,24.88,26.19,26.47,28.16,30.94,33.47,34.25,34.5,35.72,36.25,34.56,31.97,30.06,28.47,25.22,21.59,19.5,18.53,17.53,16.12,15.84,17.38,18.81,18.47,17.38,18.03,18.88,18.12,17.88,19.09,20.72,21.28,20.38,20.38,21.5,22.06,21.25,21.19,22.5,23.47,23.12,22.44,23.88,25.97,26.97,27.38,28.44,29.62,28.91,26.47,24.06,23.47,22.75,21.03,20.31,21.41,22.62,22.41,21.5,22.06,22.91,22.16,20.66,19.91,20.12,19.62,18.41,18.06,19.59,21.0,21.56,21.91,24.0,26.0,26.28,25.47,26.19,27.22,26.41,25.69,26.41,28.44,29.88,30.28,30.75,31.28,31.44,29.72,28.25,29.03,30.25,30.06,29.03,29.19,30.06,29.47,29.0,29.75,31.81,32.53,32.22,31.72,32.34,32.34,30.78,28.69,28.28,27.78,26.03,24.25,23.97,24.88,24.81,24.78,26.03,28.94,30.88,31.12,30.91,31.28,30.62,28.0,25.12,24.22,24.03,22.81,21.31,21.53,23.06,23.56,23.31,24.19,26.19,26.94,26.53,26.09,27.44,28.12,26.81,24.94,24.44,24.09,22.53,20.78,20.19,20.91,20.22,18.38,16.97,16.69,15.72,13.66,11.69,11.66,12.09,11.56,11.5,13.22,15.31,15.75,15.47,16.25,17.69,18.44,18.25,19.34,21.16,22.28,22.5,22.38,24.19,26.25,27.09,27.88,29.97,31.88,32.09,31.12,31.19,32.12,31.97,30.5,29.94,30.59,30.16,28.22,26.19,25.94,25.75,24.78,24.22,25.66,27.94,29.06,28.97,29.75,31.12,31.47,30.41,30.12,30.97,31.12,29.91,28.47,28.31,28.06,26.47,24.28,23.53,23.16,21.97,20.16,19.56,20.5,20.25,18.66,17.56,18.44,19.19,19.28,19.56,21.88,23.88,24.44,25.06,27.28,30.03,31.59,32.0,32.84,33.81,32.88,30.22,27.25,25.84,24.88,23.44,22.72,24.12,25.12,24.91,23.28,23.03,23.25,22.47,20.81,20.38,20.88,20.56,19.03,17.91,18.34,18.31,17.06,15.88,16.62,17.25,16.84,16.03,16.38,17.38,17.09,15.69,14.91,15.12,14.44,12.47,10.69,10.47,10.34,9.38,8.25,9.34,11.31,12.41,12.97,15.34,18.5,20.5,21.16,22.5,25.0,26.56,26.28,25.88,26.31,26.41,24.78,23.16,22.94,23.22,22.72,21.69,22.19,23.5,24.25,23.69,23.38,24.41,24.69,23.34,22.06,22.09,22.0,20.41,18.38,18.03,18.5,18.69,18.66,20.12,22.88,24.72,25.19,25.69,26.84,27.16,25.19,23.38,22.69,22.34,20.88,19.16,19.03,18.78,17.25,14.91,13.62,13.91,13.91,13.47,14.25,17.06,19.22,19.75,19.97,20.81,21.16,20.16,18.66,19.25,20.62,21.59,22.03,23.06,24.88,25.72,24.91,24.44,25.5,26.56,25.91,24.91,25.03,25.03,24.0,23.09,24.03,26.0,27.72,27.62,28.38,29.97,30.09,28.62,27.66,28.31,29.0,28.06,26.88,27.12,27.09,26.12,24.53,24.81,25.59,25.62,24.66,24.28,25.03,25.69,25.0,24.75,25.66,26.22,25.16,23.66,23.62,23.69,23.0,22.12,22.47,23.75,24.72,24.72,25.25,26.66,27.53,27.12,26.62,27.47,27.59,25.88,22.94,21.38,20.09,18.34,16.41,15.66,15.94,15.53,14.09,13.19,13.5,13.66,12.91,12.16,13.31,14.97,15.5,15.84,17.75,19.59,20.38,20.0,19.78,20.25,20.03,18.62,17.72,18.38,18.66,16.97,14.69,13.94,13.06,11.88,11.16,12.97,15.94,18.41,19.06,19.97,21.53,22.0,20.69,20.09,20.75,21.09,19.53,18.5,19.56,21.16,21.72,22.09,23.34,24.84,24.16,22.19,20.47,19.5,18.06,15.09,13.34,13.38,13.56,12.5,11.56,12.28,13.94,14.34,14.41,15.91,18.72,20.84,22.25,24.53,27.34,29.19,28.5,27.0,25.53,23.22,19.06,15.0,12.72,12.03,11.22,10.62,12.03,14.19,15.53,15.78,16.47,18.56,20.25,20.88,22.06,24.66,27.12,27.94,28.38,29.72,31.22,31.44,30.72,30.88,31.59,31.41,29.31,27.53,27.06,25.81,22.69,20.06,18.97,18.5,17.0,15.91,16.38,17.38,17.09,16.16,15.97,16.97,17.25,16.66,16.84,18.72,20.56,21.09,21.81,23.59,24.97,24.53,22.78,22.44,22.34,21.0,18.94,17.62,17.53,16.88,15.5,14.62,15.44,16.66,16.53,17.12,19.38,22.66,23.66,23.69,24.12,24.69,24.0,22.12,21.19,21.16,20.69,18.91,17.5,17.88,18.41,17.38,16.5,17.25,18.66,18.88,18.72,19.5,20.84,21.0,20.47,20.91,22.09,22.78,21.66,20.41,20.34,20.56,19.47,18.22,17.88,18.09,16.62,14.59,13.56,13.59,13.19,12.41,12.78,15.41,18.38,20.22,22.34,25.91,29.19,30.38,30.78,31.56,32.0,30.47,27.41,25.38,24.25,22.59,20.38,19.22,19.69,19.88,19.0,18.19,18.91,19.97,19.41,19.03,19.47,20.34,19.91,18.75,18.34,18.78,18.38,16.72,15.81,16.28,17.56,17.56,17.94,19.72,21.47,21.78,21.56,22.59,25.12,26.5,27.12,28.12,29.53,29.72,27.66,25.56,24.28,23.06,21.06,19.62,19.91,21.5,21.59,21.0,21.03,21.62,20.69,19.31,19.0,20.16,21.59,21.66,22.62,24.81,27.16,28.12,28.62,30.5,32.47,32.94,32.75,33.25,34.03,33.75,32.28,30.91,30.53,29.56,27.19,25.47,25.47,25.59,24.81,23.53,23.28,23.72,22.84,21.0,20.38,21.0,20.97,20.66,21.31,23.72,25.25,25.12,25.38,26.34,27.12,26.31,25.25,24.88,24.78,23.5,21.88,21.12,22.06,22.28,21.66,21.91,23.5,25.16,25.53,25.84,27.31,28.59,28.44,27.47,27.59,28.16,27.5,26.0,25.22,25.81,25.53,23.97,23.12,23.94,42.66,41.03,39.94,40.12,40.69,41.56,43.0:26.31,26.34,24.91,23.91,23.25,21.94,19.38,17.97,18.91,20.78,21.69,22.38,23.78,24.56,24.06,22.94,23.56,26.03,27.94,28.91,30.28,31.62,32.31,31.5,31.09,31.62,32.25,31.19,28.66,27.03,26.16,24.62,23.34,24.25,26.75,28.72,29.5,30.59,31.84,32.16,30.22,28.34,27.5,27.28,26.56,25.44,26.06,27.5,27.38,26.38,26.25,26.66,26.44,24.59,23.56,24.16,24.47,23.97,23.94,25.59,27.16,26.75,25.69,25.38,25.34,24.38,22.75,22.31,23.34,23.75,23.0,22.25,21.91,20.91,17.97,15.53,14.84,15.59,15.97,15.91,17.5,19.19,19.34,17.97,17.25,17.38,16.81,15.19,14.44,15.12,16.56,17.06,17.88,20.03,22.47,22.34,20.44,18.62,16.44,12.84,8.0,4.72,3.16,1.81,-0.03,-0.5,1.19,4.19,6.44,9.16,13.84,18.75,21.28,21.88,22.16,21.41,18.66,14.12,10.56,8.34,5.88,3.06,1.22,1.56,3.31,4.44,6.38,9.69,13.03,14.34,14.28,14.69,15.59,16.0,15.53,16.19,17.91,19.19,18.75,18.66,19.34,19.91,19.31,18.12,18.12,18.5,17.5,16.22,15.97,16.5,16.41,14.69,13.84,14.19,14.06,12.56,11.25,11.28,11.56,10.19,9.12,9.78,11.84,12.66,12.5,13.44,14.47,14.78,13.72,13.81,15.78,17.47,17.47,17.53,18.28,18.72,17.31,15.94,15.81,16.41,15.88,14.78,14.53,15.19,15.75,15.31,15.75,17.69,19.53,20.03,20.34,21.41,22.75,22.12,20.5,20.19,21.19,21.62,21.69,23.0,24.94,26.59,26.0,25.28,25.56,25.69,24.19,22.69,22.66,23.5,23.22,22.84,23.44,24.91,25.03,23.72,23.25,23.69,23.72,22.66,22.59,23.91,25.19,25.25,25.53,26.97,28.75,29.38,28.94,29.12,30.28,30.28,29.03,28.25,28.12,27.16,24.66,23.0,22.94,23.75,23.31,23.0,23.97,25.09,24.81,24.0,24.12,25.28,25.66,25.38,25.62,27.12,28.59,28.56,28.5,29.88,30.44,28.59,25.91,23.97,22.75,20.81,18.91,18.78,19.91,20.25,19.62,19.41,20.53,21.53,21.03,21.03,22.53,24.53,24.94,24.94,25.91,26.94,26.69,25.97,25.88,26.53,26.09,24.19,22.19,21.34,20.75,18.81,17.25,17.5,18.12,17.84,17.41,18.28,19.78,20.12,20.06,20.69,22.16,22.72,22.0,21.19,21.91,22.72,22.5,23.09,25.12,28.09,29.75,30.5,31.91,33.16,32.47,30.59,29.41,29.81,29.75,29.56,29.88,31.75,33.47,33.72,33.91,35.09,36.75,36.69,35.66,35.69,36.22,35.22,33.34,32.41,33.06,32.94,31.97,30.62,30.16,28.91,25.28,21.5,19.53,18.91,17.31,15.97,16.72,18.31,18.91,18.38,18.0,18.62,18.44,17.12,16.56,18.28,20.75,22.06,23.69,27.0,30.34,31.91,32.09,32.78,33.94,34.34,33.88,34.22,36.0,36.62,35.09,32.88,31.75,30.53,27.81,24.84,23.34,22.53,20.53,18.28,16.88,16.84,16.25,14.12,13.12,13.91,15.0,15.34,16.5,19.72,22.47,23.22,23.72,25.09,27.06,28.03,28.09,29.16,31.22,32.44,32.5,32.69,33.44,33.44,31.78,29.53,29.34,29.03,27.16,24.88,23.94,24.0,23.34,22.34,23.22,24.88,26.19,26.47,28.16,30.94,33.47,34.25,34.5,35.72,36.25,34.56,31.97,30.06,28.47,25.22,21.59,19.5,18.53,17.53,16.12,15.84,17.38,18.81,18.47,17.38,18.03,18.88,18.12,17.88,19.09,20.72,21.28,20.38,20.38,21.5,22.06,21.25,21.19,22.5,23.47,23.12,22.44,23.88,25.97,26.97,27.38,28.44,29.62,28.91,26.47,24.06,23.47,22.75,21.03,20.31,21.41,22.62,22.41,21.5,22.06,22.91,22.16,20.66,19.91,20.12,19.62,18.41,18.06,19.59,21.0,21.56,21.91,24.0,26.0,26.28,25.47,26.19,27.22,26.41,25.69,26.41,28.44,29.88,30.28,30.75,31.28,31.44,29.72,28.25,29.03,30.25,30.06,29.03,29.19,30.06,29.47,29.0,29.75,31.81,32.53,32.22,31.72,32.34,32.34,30.78,28.69,28.28,27.78,26.03,24.25,23.97,24.88,24.81,24.78,26.03,28.94,30.88,31.12,30.91,31.28,30.62,28.0,25.12,24.22,24.03,22.81,21.31,21.53,23.06,23.56,23.31,24.19,26.19,26.94,26.53,26.09,27.44,28.12,26.81,24.94,24.44,24.09,22.53,20.78,20.19,20.91,20.22,18.38,16.97,16.69,15.72,13.66,11.69,11.66,12.09,11.56,11.5,13.22,15.31,15.75,15.47,16.25,17.69,18.44,18.25,19.34,21.16,22.28,22.5,22.38,24.19,26.25,27.09,27.88,29.97,31.88,32.09,31.12,31.19,32.12,31.97,30.5,29.94,30.59,30.16,28.22,26.19,25.94,25.75,24.78,24.22,25.66,27.94,29.06,28.97,29.75,31.12,31.47,30.41,30.12,30.97,31.12,29.91,28.47,28.31,28.06,26.47,24.28,23.53,23.16,21.97,20.16,19.56,20.5,20.25,18.66,17.56,18.44,19.19,19.28,19.56,21.88,23.88,24.44,25.06,27.28,30.03,31.59,32.0,32.84,33.81,32.88,30.22,27.25,25.84,24.88,23.44,22.72,24.12,25.12,24.91,23.28,23.03,23.25,22.47,20.81,20.38,20.88,20.56,19.03,17.91,18.34,18.31,17.06,15.88,16.62,17.25,16.84,16.03,16.38,17.38,17.09,15.69,14.91,15.12,14.44,12.47,10.69,10.47,10.34,9.38,8.25,9.34,11.31,12.41,12.97,15.34,18.5,20.5,21.16,22.5,25.0,26.56,26.28,25.88,26.31,26.41,24.78,23.16,22.94,23.22,22.72,21.69,22.19,23.5,24.25,23.69,23.38,24.41,24.69,23.34,22.06,22.09,22.0,20.41,18.38,18.03,18.5,18.69,18.66,20.12,22.88,24.72,25.19,25.69,26.84,27.16,25.19,23.38,22.69,22.34,20.88,19.16,19.03,18.78,17.25,14.91,13.62,13.91,13.91,13.47,14.25,17.06,19.22,19.75,19.97,20.81,21.16,20.16,18.66,19.25,20.62,21.59,22.03,23.06,24.88,25.72,24.91,24.44,25.5,26.56,25.91,24.91,25.03,25.03,24.0,23.09,24.03,26.0,27.72,27.62,28.38,29.97,30.09,28.62,27.66,28.31,29.0,28.06,26.88,27.12,27.09,26.12,24.53,24.81,25.59,25.62,24.66,24.28,25.03,25.69,25.0,24.75,25.66,26.22,25.16,23.66,23.62,23.69,23.0,22.12,22.47,23.75,24.72,24.72,25.25,26.66,27.53,27.12,26.62,27.47,27.59,25.88,22.94,21.38,20.09,18.34,16.41,15.66,15.94,15.53,14.09,13.19,13.5,13.66,12.91,12.16,13.31,14.97,15.5,15.84,17.75,19.59,20.38,20.0,19.78,20.25,20.03,18.62,17.72,18.38,18.66,16.97,14.69,13.94,13.06,11.88,11.16,12.97,15.94,18.41,19.06,19.97,21.53,22.0,20.69,20.09,20.75,21.09,19.53,18.5,19.56,21.16,21.72,22.09,23.34,24.84,24.16,22.19,20.47,19.5,18.06,15.09,13.34,13.38,13.56,12.5,11.56,12.28,13.94,14.34,14.41,15.91,18.72,20.84,22.25,24.53,27.34,29.19,28.5,27.0,25.53,23.22,19.06,15.0,12.72,12.03,11.22,10.62,12.03,14.19,15.53,15.78,16.47,18.56,20.25,20.88,22.06,24.66,27.12,27.94,28.38,29.72,31.22,31.44,30.72,30.88,31.59,31.41,29.31,27.53,27.06,25.81,22.69,20.06,18.97,18.5,17.0,15.91,16.38,17.38,17.09,16.16,15.97,16.97,17.25,16.66,16.84,18.72,20.56,21.09,21.81,23.59,24.97,24.53,22.78,22.44,22.34,21.0,18.94,17.62,17.53,16.88,15.5,14.62,15.44,16.66,16.53,17.12,19.38,22.66,23.66,23.69,24.12,24.69,24.0,22.12,21.19,21.16,20.69,18.91,17.5,17.88,18.41,17.38,16.5,17.25,18.66,18.88,18.72,19.5,20.84,21.0,20.47,20.91,22.09,22.78,21.66,20.41,20.34,20.56,19.47,18.22,17.88,18.09,16.62,14.59,13.56,13.59,13.19,12.41,12.78,15.41,18.38,20.22,22.34,25.91,29.19,30.38,30.78,31.56,32.0,30.47,27.41,25.38,24.25,22.59,20.38,19.22,19.69,19.88,19.0,18.19,18.91,19.97,19.41,19.03,19.47,20.34,19.91,18.75,18.34,18.78,18.38,16.72,15.81,16.28,17.56,17.56,17.94,19.72,21.47,21.78,21.56,22.59,25.12,26.5,27.12,28.12,29.53,29.72,27.66,25.56,24.28,23.06,21.06,19.62,19.91,21.5,21.59,21.0,21.03,21.62,20.69,19.31,19.0,20.16,21.59,21.66,22.62,24.81,27.16,28.12,28.62,30.5,32.47,32.94,32.75,33.25,34.03,33.75,32.28,30.91,30.53,29.56,27.19,25.47,25.47,25.59,24.81,23.53,23.28,23.72,22.84,21.0,20.38,21.0,20.97,20.66,21.31,23.72,25.25,25.12,25.38,26.34,27.12,26.31,25.25,24.88,24.78,23.5,21.88,21.12,22.06,22.28,21.66,21.91,23.5,25.16,25.53,25.84,27.31,28.59,28.44,27.47,27.59,28.16,27.5,26.0,25.22,25.81,25.53,23.97,23.12,23.94,42.66,41.03,39.94,40.12,40.69,41.56,43.0,45.0,46.03,46.06,45.5,45.31,44.62,44.19:17.97,18.91,20.78,21.69,22.38,23.78,24.56,24.06,22.94,23.56,26.03,27.94,28.91,30.28,31.62,32.31,31.5,31.09,31.62,32.25,31.19,28.66,27.03,26.16,24.62,23.34,24.25,26.75,28.72,29.5,30.59,31.84,32.16,30.22,28.34,27.5,27.28,26.56,25.44,26.06,27.5,27.38,26.38,26.25,26.66,26.44,24.59,23.56,24.16,24.47,23.97,23.94,25.59,27.16,26.75,25.69,25.38,25.34,24.38,22.75,22.31,23.34,23.75,23.0,22.25,21.91,20.91,17.97,15.53,14.84,15.59,15.97,15.91,17.5,19.19,19.34,17.97,17.25,17.38,16.81,15.19,14.44,15.12,16.56,17.06,17.88,20.03,22.47,22.34,20.44,18.62,16.44,12.84,8.0,4.72,3.16,1.81,-0.03,-0.5,1.19,4.19,6.44,9.16,13.84,18.75,21.28,21.88,22.16,21.41,18.66,14.12,10.56,8.34,5.88,3.06,1.22,1.56,3.31,4.44,6.38,9.69,13.03,14.34,14.28,14.69,15.59,16.0,15.53,16.19,17.91,19.19,18.75,18.66,19.34,19.91,19.31,18.12,18.12,18.5,17.5,16.22,15.97,16.5,16.41,14.69,13.84,14.19,14.06,12.56,11.25,11.28,11.56,10.19,9.12,9.78,11.84,12.66,12.5,13.44,14.47,14.78,13.72,13.81,15.78,17.47,17.47,17.53,18.28,18.72,17.31,15.94,15.81,16.41,15.88,14.78,14.53,15.19,15.75,15.31,15.75,17.69,19.53,20.03,20.34,21.41,22.75,22.12,20.5,20.19,21.19,21.62,21.69,23.0,24.94,26.59,26.0,25.28,25.56,25.69,24.19,22.69,22.66,23.5,23.22,22.84,23.44,24.91,25.03,23.72,23.25,23.69,23.72,22.66,22.59,23.91,25.19,25.25,25.53,26.97,28.75,29.38,28.94,29.12,30.28,30.28,29.03,28.25,28.12,27.16,24.66,23.0,22.94,23.75,23.31,23.0,23.97,25.09,24.81,24.0,24.12,25.28,25.66,25.38,25.62,27.12,28.59,28.56,28.5,29.88,30.44,28.59,25.91,23.97,22.75,20.81,18.91,18.78,19.91,20.25,19.62,19.41,20.53,21.53,21.03,21.03,22.53,24.53,24.94,24.94,25.91,26.94,26.69,25.97,25.88,26.53,26.09,24.19,22.19,21.34,20.75,18.81,17.25,17.5,18.12,17.84,17.41,18.28,19.78,20.12,20.06,20.69,22.16,22.72,22.0,21.19,21.91,22.72,22.5,23.09,25.12,28.09,29.75,30.5,31.91,33.16,32.47,30.59,29.41,29.81,29.75,29.56,29.88,31.75,33.47,33.72,33.91,35.09,36.75,36.69,35.66,35.69,36.22,35.22,33.34,32.41,33.06,32.94,31.97,30.62,30.16,28.91,25.28,21.5,19.53,18.91,17.31,15.97,16.72,18.31,18.91,18.38,18.0,18.62,18.44,17.12,16.56,18.28,20.75,22.06,23.69,27.0,30.34,31.91,32.09,32.78,33.94,34.34,33.88,34.22,36.0,36.62,35.09,32.88,31.75,30.53,27.81,24.84,23.34,22.53,20.53,18.28,16.88,16.84,16.25,14.12,13.12,13.91,15.0,15.34,16.5,19.72,22.47,23.22,23.72,25.09,27.06,28.03,28.09,29.16,31.22,32.44,32.5,32.69,33.44,33.44,31.78,29.53,29.34,29.03,27.16,24.88,23.94,24.0,23.34,22.34,23.22,24.88,26.19,26.47,28.16,30.94,33.47,34.25,34.5,35.72,36.25,34.56,31.97,30.06,28.47,25.22,21.59,19.5,18.53,17.53,16.12,15.84,17.38,18.81,18.47,17.38,18.03,18.88,18.12,17.88,19.09,20.72,21.28,20.38,20.38,21.5,22.06,21.25,21.19,22.5,23.47,23.12,22.44,23.88,25.97,26.97,27.38,28.44,29.62,28.91,26.47,24.06,23.47,22.75,21.03,20.31,21.41,22.62,22.41,21.5,22.06,22.91,22.16,20.66,19.91,20.12,19.62,18.41,18.06,19.59,21.0,21.56,21.91,24.0,26.0,26.28,25.47,26.19,27.22,26.41,25.69,26.41,28.44,29.88,30.28,30.75,31.28,31.44,29.72,28.25,29.03,30.25,30.06,29.03,29.19,30.06,29.47,29.0,29.75,31.81,32.53,32.22,31.72,32.34,32.34,30.78,28.69,28.28,27.78,26.03,24.25,23.97,24.88,24.81,24.78,26.03,28.94,30.88,31.12,30.91,31.28,30.62,28.0,25.12,24.22,24.03,22.81,21.31,21.53,23.06,23.56,23.31,24.19,26.19,26.94,26.53,26.09,27.44,28.12,26.81,24.94,24.44,24.09,22.53,20.78,20.19,20.91,20.22,18.38,16.97,16.69,15.72,13.66,11.69,11.66,12.09,11.56,11.5,13.22,15.31,15.75,15.47,16.25,17.69,18.44,18.25,19.34,21.16,22.28,22.5,22.38,24.19,26.25,27.09,27.88,29.97,31.88,32.09,31.12,31.19,32.12,31.97,30.5,29.94,30.59,30.16,28.22,26.19,25.94,25.75,24.78,24.22,25.66,27.94,29.06,28.97,29.75,31.12,31.47,30.41,30.12,30.97,31.12,29.91,28.47,28.31,28.06,26.47,24.28,23.53,23.16,21.97,20.16,19.56,20.5,20.25,18.66,17.56,18.44,19.19,19.28,19.56,21.88,23.88,24.44,25.06,27.28,30.03,31.59,32.0,32.84,33.81,32.88,30.22,27.25,25.84,24.88,23.44,22.72,24.12,25.12,24.91,23.28,23.03,23.25,22.47,20.81,20.38,20.88,20.56,19.03,17.91,18.34,18.31,17.06,15.88,16.62,17.25,16.84,16.03,16.38,17.38,17.09,15.69,14.91,15.12,14.44,12.47,10.69,10.47,10.34,9.38,8.25,9.34,11.31,12.41,12.97,15.34,18.5,20.5,21.16,22.5,25.0,26.56,26.28,25.88,26.31,26.41,24.78,23.16,22.94,23.22,22.72,21.69,22.19,23.5,24.25,23.69,23.38,24.41,24.69,23.34,22.06,22.09,22.0,20.41,18.38,18.03,18.5,18.69,18.66,20.12,22.88,24.72,25.19,25.69,26.84,27.16,25.19,23.38,22.69,22.34,20.88,19.16,19.03,18.78,17.25,14.91,13.62,13.91,13.91,13.47,14.25,17.06,19.22,19.75,19.97,20.81,21.16,20.16,18.66,19.25,20.62,21.59,22.03,23.06,24.88,25.72,24.91,24.44,25.5,26.56,25.91,24.91,25.03,25.03,24.0,23.09,24.03,26.0,27.72,27.62,28.38,29.97,30.09,28.62,27.66,28.31,29.0,28.06,26.88,27.12,27.09,26.12,24.53,24.81,25.59,25.62,24.66,24.28,25.03,25.69,25.0,24.75,25.66,26.22,25.16,23.66,23.62,23.69,23.0,22.12,22.47,23.75,24.72,24.72,25.25,26.66,27.53,27.12,26.62,27.47,27.59,25.88,22.94,21.38,20.09,18.34,16.41,15.66,15.94,15.53,14.09,13.19,13.5,13.66,12.91,12.16,13.31,14.97,15.5,15.84,17.75,19.59,20.38,20.0,19.78,20.25,20.03,18.62,17.72,18.38,18.66,16.97,14.69,13.94,13.06,11.88,11.16,12.97,15.94,18.41,19.06,19.97,21.53,22.0,20.69,20.09,20.75,21.09,19.53,18.5,19.56,21.16,21.72,22.09,23.34,24.84,24.16,22.19,20.47,19.5,18.06,15.09,13.34,13.38,13.56,12.5,11.56,12.28,13.94,14.34,14.41,15.91,18.72,20.84,22.25,24.53,27.34,29.19,28.5,27.0,25.53,23.22,19.06,15.0,12.72,12.03,11.22,10.62,12.03,14.19,15.53,15.78,16.47,18.56,20.25,20.88,22.06,24.66,27.12,27.94,28.38,29.72,31.22,31.44,30.72,30.88,31.59,31.41,29.31,27.53,27.06,25.81,22.69,20.06,18.97,18.5,17.0,15.91,16.38,17.38,17.09,16.16,15.97,16.97,17.25,16.66,16.84,18.72,20.56,21.09,21.81,23.59,24.97,24.53,22.78,22.44,22.34,21.0,18.94,17.62,17.53,16.88,15.5,14.62,15.44,16.66,16.53,17.12,19.38,22.66,23.66,23.69,24.12,24.69,24.0,22.12,21.19,21.16,20.69,18.91,17.5,17.88,18.41,17.38,16.5,17.25,18.66,18.88,18.72,19.5,20.84,21.0,20.47,20.91,22.09,22.78,21.66,20.41,20.34,20.56,19.47,18.22,17.88,18.09,16.62,14.59,13.56,13.59,13.19,12.41,12.78,15.41,18.38,20.22,22.34,25.91,29.19,30.38,30.78,31.56,32.0,30.47,27.41,25.38,24.25,22.59,20.38,19.22,19.69,19.88,19.0,18.19,18.91,19.97,19.41,19.03,19.47,20.34,19.91,18.75,18.34,18.78,18.38,16.72,15.81,16.28,17.56,17.56,17.94,19.72,21.47,21.78,21.56,22.59,25.12,26.5,27.12,28.12,29.53,29.72,27.66,25.56,24.28,23.06,21.06,19.62,19.91,21.5,21.59,21.0,21.03,21.62,20.69,19.31,19.0,20.16,21.59,21.66,22.62,24.81,27.16,28.12,28.62,30.5,32.47,32.94,32.75,33.25,34.03,33.75,32.28,30.91,30.53,29.56,27.19,25.47,25.47,25.59,24.81,23.53,23.28,23.72,22.84,21.0,20.38,21.0,20.97,20.66,21.31,23.72,25.25,25.12,25.38,26.34,27.12,26.31,25.25,24.88,24.78,23.5,21.88,21.12,22.06,22.28,21.66,21.91,23.5,25.16,25.53,25.84,27.31,28.59,28.44,27.47,27.59,28.16,27.5,26.0,25.22,25.81,25.53,23.97,23.12,23.94,42.66,41.03,39.94,40.12,40.69,41.56,43.0,45.0,46.03,46.06,45.5,45.31,44.62,44.19,44.25,44.62,44.62,44.06,42.28,40.22,38.94:24.06,22.94,23.56,26.03,27.94,28.91,30.28,31.62,32.31,31.5,31.09,31.62,32.25,31.19,28.66,27.03,26.16,24.62,23.34,24.25,26.75,28.72,29.5,30.59,31.84,32.16,30.22,28.34,27.5,27.28,26.56,25.44,26.06,27.5,27.38,26.38,26.25,26.66,26.44,24.59,23.56,24.16,24.47,23.97,23.94,25.59,27.16,26.75,25.69,25.38,25.34,24.38,22.75,22.31,23.34,23.75,23.0,22.25,21.91,20.91,17.97,15.53,14.84,15.59,15.97,15.91,17.5,19.19,19.34,17.97,17.25,17.38,16.81,15.19,14.44,15.12,16.56,17.06,17.88,20.03,22.47,22.34,20.44,18.62,16.44,12.84,8.0,4.72,3.16,1.81,-0.03,-0.5,1.19,4.19,6.44,9.16,13.84,18.75,21.28,21.88,22.16,21.41,18.66,14.12,10.56,8.34,5.88,3.06,1.22,1.56,3.31,4.44,6.38,9.69,13.03,14.34,14.28,14.69,15.59,16.0,15.53,16.19,17.91,19.19,18.75,18.66,19.34,19.91,19.31,18.12,18.12,18.5,17.5,16.22,15.97,16.5,16.41,14.69,13.84,14.19,14.06,12.56,11.25,11.28,11.56,10.19,9.12,9.78,11.84,12.66,12.5,13.44,14.47,14.78,13.72,13.81,15.78,17.47,17.47,17.53,18.28,18.72,17.31,15.94,15.81,16.41,15.88,14.78,14.53,15.19,15.75,15.31,15.75,17.69,19.53,20.03,20.34,21.41,22.75,22.12,20.5,20.19,21.19,21.62,21.69,23.0,24.94,26.59,26.0,25.28,25.56,25.69,24.19,22.69,22.66,23.5,23.22,22.84,23.44,24.91,25.03,23.72,23.25,23.69,23.72,22.66,22.59,23.91,25.19,25.25,25.53,26.97,28.75,29.38,28.94,29.12,30.28,30.28,29.03,28.25,28.12,27.16,24.66,23.0,22.94,23.75,23.31,23.0,23.97,25.09,24.81,24.0,24.12,25.28,25.66,25.38,25.62,27.12,28.59,28.56,28.5,29.88,30.44,28.59,25.91,23.97,22.75,20.81,18.91,18.78,19.91,20.25,19.62,19.41,20.53,21.53,21.03,21.03,22.53,24.53,24.94,24.94,25.91,26.94,26.69,25.97,25.88,26.53,26.09,24.19,22.19,21.34,20.75,18.81,17.25,17.5,18.12,17.84,17.41,18.28,19.78,20.12,20.06,20.69,22.16,22.72,22.0,21.19,21.91,22.72,22.5,23.09,25.12,28.09,29.75,30.5,31.91,33.16,32.47,30.59,29.41,29.81,29.75,29.56,29.88,31.75,33.47,33.72,33.91,35.09,36.75,36.69,35.66,35.69,36.22,35.22,33.34,32.41,33.06,32.94,31.97,30.62,30.16,28.91,25.28,21.5,19.53,18.91,17.31,15.97,16.72,18.31,18.91,18.38,18.0,18.62,18.44,17.12,16.56,18.28,20.75,22.06,23.69,27.0,30.34,31.91,32.09,32.78,33.94,34.34,33.88,34.22,36.0,36.62,35.09,32.88,31.75,30.53,27.81,24.84,23.34,22.53,20.53,18.28,16.88,16.84,16.25,14.12,13.12,13.91,15.0,15.34,16.5,19.72,22.47,23.22,23.72,25.09,27.06,28.03,28.09,29.16,31.22,32.44,32.5,32.69,33.44,33.44,31.78,29.53,29.34,29.03,27.16,24.88,23.94,24.0,23.34,22.34,23.22,24.88,26.19,26.47,28.16,30.94,33.47,34.25,34.5,35.72,36.25,34.56,31.97,30.06,28.47,25.22,21.59,19.5,18.53,17.53,16.12,15.84,17.38,18.81,18.47,17.38,18.03,18.88,18.12,17.88,19.09,20.72,21.28,20.38,20.38,21.5,22.06,21.25,21.19,22.5,23.47,23.12,22.44,23.88,25.97,26.97,27.38,28.44,29.62,28.91,26.47,24.06,23.47,22.75,21.03,20.31,21.41,22.62,22.41,21.5,22.06,22.91,22.16,20.66,19.91,20.12,19.62,18.41,18.06,19.59,21.0,21.56,21.91,24.0,26.0,26.28,25.47,26.19,27.22,26.41,25.69,26.41,28.44,29.88,30.28,30.75,31.28,31.44,29.72,28.25,29.03,30.25,30.06,29.03,29.19,30.06,29.47,29.0,29.75,31.81,32.53,32.22,31.72,32.34,32.34,30.78,28.69,28.28,27.78,26.03,24.25,23.97,24.88,24.81,24.78,26.03,28.94,30.88,31.12,30.91,31.28,30.62,28.0,25.12,24.22,24.03,22.81,21.31,21.53,23.06,23.56,23.31,24.19,26.19,26.94,26.53,26.09,27.44,28.12,26.81,24.94,24.44,24.09,22.53,20.78,20.19,20.91,20.22,18.38,16.97,16.69,15.72,13.66,11.69,11.66,12.09,11.56,11.5,13.22,15.31,15.75,15.47,16.25,17.69,18.44,18.25,19.34,21.16,22.28,22.5,22.38,24.19,26.25,27.09,27.88,29.97,31.88,32.09,31.12,31.19,32.12,31.97,30.5,29.94,30.59,30.16,28.22,26.19,25.94,25.75,24.78,24.22,25.66,27.94,29.06,28.97,29.75,31.12,31.47,30.41,30.12,30.97,31.12,29.91,28.47,28.31,28.06,26.47,24.28,23.53,23.16,21.97,20.16,19.56,20.5,20.25,18.66,17.56,18.44,19.19,19.28,19.56,21.88,23.88,24.44,25.06,27.28,30.03,31.59,32.0,32.84,33.81,32.88,30.22,27.25,25.84,24.88,23.44,22.72,24.12,25.12,24.91,23.28,23.03,23.25,22.47,20.81,20.38,20.88,20.56,19.03,17.91,18.34,18.31,17.06,15.88,16.62,17.25,16.84,16.03,16.38,17.38,17.09,15.69,14.91,15.12,14.44,12.47,10.69,10.47,10.34,9.38,8.25,9.34,11.31,12.41,12.97,15.34,18.5,20.5,21.16,22.5,25.0,26.56,26.28,25.88,26.31,26.41,24.78,23.16,22.94,23.22,22.72,21.69,22.19,23.5,24.25,23.69,23.38,24.41,24.69,23.34,22.06,22.09,22.0,20.41,18.38,18.03,18.5,18.69,18.66,20.12,22.88,24.72,25.19,25.69,26.84,27.16,25.19,23.38,22.69,22.34,20.88,19.16,19.03,18.78,17.25,14.91,13.62,13.91,13.91,13.47,14.25,17.06,19.22,19.75,19.97,20.81,21.16,20.16,18.66,19.25,20.62,21.59,22.03,23.06,24.88,25.72,24.91,24.44,25.5,26.56,25.91,24.91,25.03,25.03,24.0,23.09,24.03,26.0,27.72,27.62,28.38,29.97,30.09,28.62,27.66,28.31,29.0,28.06,26.88,27.12,27.09,26.12,24.53,24.81,25.59,25.62,24.66,24.28,25.03,25.69,25.0,24.75,25.66,26.22,25.16,23.66,23.62,23.69,23.0,22.12,22.47,23.75,24.72,24.72,25.25,26.66,27.53,27.12,26.62,27.47,27.59,25.88,22.94,21.38,20.09,18.34,16.41,15.66,15.94,15.53,14.09,13.19,13.5,13.66,12.91,12.16,13.31,14.97,15.5,15.84,17.75,19.59,20.38,20.0,19.78,20.25,20.03,18.62,17.72,18.38,18.66,16.97,14.69,13.94,13.06,11.88,11.16,12.97,15.94,18.41,19.06,19.97,21.53,22.0,20.69,20.09,20.75,21.09,19.53,18.5,19.56,21.16,21.72,22.09,23.34,24.84,24.16,22.19,20.47,19.5,18.06,15.09,13.34,13.38,13.56,12.5,11.56,12.28,13.94,14.34,14.41,15.91,18.72,20.84,22.25,24.53,27.34,29.19,28.5,27.0,25.53,23.22,19.06,15.0,12.72,12.03,11.22,10.62,12.03,14.19,15.53,15.78,16.47,18.56,20.25,20.88,22.06,24.66,27.12,27.94,28.38,29.72,31.22,31.44,30.72,30.88,31.59,31.41,29.31,27.53,27.06,25.81,22.69,20.06,18.97,18.5,17.0,15.91,16.38,17.38,17.09,16.16,15.97,16.97,17.25,16.66,16.84,18.72,20.56,21.09,21.81,23.59,24.97,24.53,22.78,22.44,22.34,21.0,18.94,17.62,17.53,16.88,15.5,14.62,15.44,16.66,16.53,17.12,19.38,22.66,23.66,23.69,24.12,24.69,24.0,22.12,21.19,21.16,20.69,18.91,17.5,17.88,18.41,17.38,16.5,17.25,18.66,18.88,18.72,19.5,20.84,21.0,20.47,20.91,22.09,22.78,21.66,20.41,20.34,20.56,19.47,18.22,17.88,18.09,16.62,14.59,13.56,13.59,13.19,12.41,12.78,15.41,18.38,20.22,22.34,25.91,29.19,30.38,30.78,31.56,32.0,30.47,27.41,25.38,24.25,22.59,20.38,19.22,19.69,19.88,19.0,18.19,18.91,19.97,19.41,19.03,19.47,20.34,19.91,18.75,18.34,18.78,18.38,16.72,15.81,16.28,17.56,17.56,17.94,19.72,21.47,21.78,21.56,22.59,25.12,26.5,27.12,28.12,29.53,29.72,27.66,25.56,24.28,23.06,21.06,19.62,19.91,21.5,21.59,21.0,21.03,21.62,20.69,19.31,19.0,20.16,21.59,21.66,22.62,24.81,27.16,28.12,28.62,30.5,32.47,32.94,32.75,33.25,34.03,33.75,32.28,30.91,30.53,29.56,27.19,25.47,25.47,25.59,24.81,23.53,23.28,23.72,22.84,21.0,20.38,21.0,20.97,20.66,21.31,23.72,25.25,25.12,25.38,26.34,27.12,26.31,25.25,24.88,24.78,23.5,21.88,21.12,22.06,22.28,21.66,21.91,23.5,25.16,25.53,25.84,27.31,28.59,28.44,27.47,27.59,28.16,27.5,26.0,25.22,25.81,25.53,23.97,23.12,23.94,42.66,41.03,39.94,40.12,40.69,41.56,43.0,45.0,46.03,46.06,45.5,45.31,44.62,44.19,44.25,44.62,44.62,44.06,42.28,40.22,38.94,38.06,37.91,38.94,41.06,43.22,43.97,44.0:31.62,32.31,31.5,31.09,31.62,32.25,31.19,28.66,27.03,26.16,24.62,23.34,24.25,26.75,28.72,29.5,30.59,31.84,32.16,30.22,28.34,27.5,27.28,26.56,25.44,26.06,27.5,27.38,26.38,26.25,26.66,26.44,24.59,23.56,24.16,24.47,23.97,23.94,25.59,27.16,26.75,25.69,25.38,25.34,24.38,22.75,22.31,23.34,23.75,23.0,22.25,21.91,20.91,17.97,15.53,14.84,15.59,15.97,15.91,17.5,19.19,19.34,17.97,17.25,17.38,16.81,15.19,14.44,15.12,16.56,17.06,17.88,20.03,22.47,22.34,20.44,18.62,16.44,12.84,8.0,4.72,3.16,1.81,-0.03,-0.5,1.19,4.19,6.44,9.16,13.84,18.75,21.28,21.88,22.16,21.41,18.66,14.12,10.56,8.34,5.88,3.06,1.22,1.56,3.31,4.44,6.38,9.69,13.03,14.34,14.28,14.69,15.59,16.0,15.53,16.19,17.91,19.19,18.75,18.66,19.34,19.91,19.31,18.12,18.12,18.5,17.5,16.22,15.97,16.5,16.41,14.69,13.84,14.19,14.06,12.56,11.25,11.28,11.56,10.19,9.12,9.78,11.84,12.66,12.5,13.44,14.47,14.78,13.72,13.81,15.78,17.47,17.47,17.53,18.28,18.72,17.31,15.94,15.81,16.41,15.88,14.78,14.53,15.19,15.75,15.31,15.75,17.69,19.53,20.03,20.34,21.41,22.75,22.12,20.5,20.19,21.19,21.62,21.69,23.0,24.94,26.59,26.0,25.28,25.56,25.69,24.19,22.69,22.66,23.5,23.22,22.84,23.44,24.91,25.03,23.72,23.25,23.69,23.72,22.66,22.59,23.91,25.19,25.25,25.53,26.97,28.75,29.38,28.94,29.12,30.28,30.28,29.03,28.25,28.12,27.16,24.66,23.0,22.94,23.75,23.31,23.0,23.97,25.09,24.81,24.0,24.12,25.28,25.66,25.38,25.62,27.12,28.59,28.56,28.5,29.88,30.44,28.59,25.91,23.97,22.75,20.81,18.91,18.78,19.91,20.25,19.62,19.41,20.53,21.53,21.03,21.03,22.53,24.53,24.94,24.94,25.91,26.94,26.69,25.97,25.88,26.53,26.09,24.19,22.19,21.34,20.75,18.81,17.25,17.5,18.12,17.84,17.41,18.28,19.78,20.12,20.06,20.69,22.16,22.72,22.0,21.19,21.91,22.72,22.5,23.09,25.12,28.09,29.75,30.5,31.91,33.16,32.47,30.59,29.41,29.81,29.75,29.56,29.88,31.75,33.47,33.72,33.91,35.09,36.75,36.69,35.66,35.69,36.22,35.22,33.34,32.41,33.06,32.94,31.97,30.62,30.16,28.91,25.28,21.5,19.53,18.91,17.31,15.97,16.72,18.31,18.91,18.38,18.0,18.62,18.44,17.12,16.56,18.28,20.75,22.06,23.69,27.0,30.34,31.91,32.09,32.78,33.94,34.34,33.88,34.22,36.0,36.62,35.09,32.88,31.75,30.53,27.81,24.84,23.34,22.53,20.53,18.28,16.88,16.84,16.25,14.12,13.12,13.91,15.0,15.34,16.5,19.72,22.47,23.22,23.72,25.09,27.06,28.03,28.09,29.16,31.22,32.44,32.5,32.69,33.44,33.44,31.78,29.53,29.34,29.03,27.16,24.88,23.94,24.0,23.34,22.34,23.22,24.88,26.19,26.47,28.16,30.94,33.47,34.25,34.5,35.72,36.25,34.56,31.97,30.06,28.47,25.22,21.59,19.5,18.53,17.53,16.12,15.84,17.38,18.81,18.47,17.38,18.03,18.88,18.12,17.88,19.09,20.72,21.28,20.38,20.38,21.5,22.06,21.25,21.19,22.5,23.47,23.12,22.44,23.88,25.97,26.97,27.38,28.44,29.62,28.91,26.47,24.06,23.47,22.75,21.03,20.31,21.41,22.62,22.41,21.5,22.06,22.91,22.16,20.66,19.91,20.12,19.62,18.41,18.06,19.59,21.0,21.56,21.91,24.0,26.0,26.28,25.47,26.19,27.22,26.41,25.69,26.41,28.44,29.88,30.28,30.75,31.28,31.44,29.72,28.25,29.03,30.25,30.06,29.03,29.19,30.06,29.47,29.0,29.75,31.81,32.53,32.22,31.72,32.34,32.34,30.78,28.69,28.28,27.78,26.03,24.25,23.97,24.88,24.81,24.78,26.03,28.94,30.88,31.12,30.91,31.28,30.62,28.0,25.12,24.22,24.03,22.81,21.31,21.53,23.06,23.56,23.31,24.19,26.19,26.94,26.53,26.09,27.44,28.12,26.81,24.94,24.44,24.09,22.53,20.78,20.19,20.91,20.22,18.38,16.97,16.69,15.72,13.66,11.69,11.66,12.09,11.56,11.5,13.22,15.31,15.75,15.47,16.25,17.69,18.44,18.25,19.34,21.16,22.28,22.5,22.38,24.19,26.25,27.09,27.88,29.97,31.88,32.09,31.12,31.19,32.12,31.97,30.5,29.94,30.59,30.16,28.22,26.19,25.94,25.75,24.78,24.22,25.66,27.94,29.06,28.97,29.75,31.12,31.47,30.41,30.12,30.97,31.12,29.91,28.47,28.31,28.06,26.47,24.28,23.53,23.16,21.97,20.16,19.56,20.5,20.25,18.66,17.56,18.44,19.19,19.28,19.56,21.88,23.88,24.44,25.06,27.28,30.03,31.59,32.0,32.84,33.81,32.88,30.22,27.25,25.84,24.88,23.44,22.72,24.12,25.12,24.91,23.28,23.03,23.25,22.47,20.81,20.38,20.88,20.56,19.03,17.91,18.34,18.31,17.06,15.88,16.62,17.25,16.84,16.03,16.38,17.38,17.09,15.69,14.91,15.12,14.44,12.47,10.69,10.47,10.34,9.38,8.25,9.34,11.31,12.41,12.97,15.34,18.5,20.5,21.16,22.5,25.0,26.56,26.28,25.88,26.31,26.41,24.78,23.16,22.94,23.22,22.72,21.69,22.19,23.5,24.25,23.69,23.38,24.41,24.69,23.34,22.06,22.09,22.0,20.41,18.38,18.03,18.5,18.69,18.66,20.12,22.88,24.72,25.19,25.69,26.84,27.16,25.19,23.38,22.69,22.34,20.88,19.16,19.03,18.78,17.25,14.91,13.62,13.91,13.91,13.47,14.25,17.06,19.22,19.75,19.97,20.81,21.16,20.16,18.66,19.25,20.62,21.59,22.03,23.06,24.88,25.72,24.91,24.44,25.5,26.56,25.91,24.91,25.03,25.03,24.0,23.09,24.03,26.0,27.72,27.62,28.38,29.97,30.09,28.62,27.66,28.31,29.0,28.06,26.88,27.12,27.09,26.12,24.53,24.81,25.59,25.62,24.66,24.28,25.03,25.69,25.0,24.75,25.66,26.22,25.16,23.66,23.62,23.69,23.0,22.12,22.47,23.75,24.72,24.72,25.25,26.66,27.53,27.12,26.62,27.47,27.59,25.88,22.94,21.38,20.09,18.34,16.41,15.66,15.94,15.53,14.09,13.19,13.5,13.66,12.91,12.16,13.31,14.97,15.5,15.84,17.75,19.59,20.38,20.0,19.78,20.25,20.03,18.62,17.72,18.38,18.66,16.97,14.69,13.94,13.06,11.88,11.16,12.97,15.94,18.41,19.06,19.97,21.53,22.0,20.69,20.09,20.75,21.09,19.53,18.5,19.56,21.16,21.72,22.09,23.34,24.84,24.16,22.19,20.47,19.5,18.06,15.09,13.34,13.38,13.56,12.5,11.56,12.28,13.94,14.34,14.41,15.91,18.72,20.84,22.25,24.53,27.34,29.19,28.5,27.0,25.53,23.22,19.06,15.0,12.72,12.03,11.22,10.62,12.03,14.19,15.53,15.78,16.47,18.56,20.25,20.88,22.06,24.66,27.12,27.94,28.38,29.72,31.22,31.44,30.72,30.88,31.59,31.41,29.31,27.53,27.06,25.81,22.69,20.06,18.97,18.5,17.0,15.91,16.38,17.38,17.09,16.16,15.97,16.97,17.25,16.66,16.84,18.72,20.56,21.09,21.81,23.59,24.97,24.53,22.78,22.44,22.34,21.0,18.94,17.62,17.53,16.88,15.5,14.62,15.44,16.66,16.53,17.12,19.38,22.66,23.66,23.69,24.12,24.69,24.0,22.12,21.19,21.16,20.69,18.91,17.5,17.88,18.41,17.38,16.5,17.25,18.66,18.88,18.72,19.5,20.84,21.0,20.47,20.91,22.09,22.78,21.66,20.41,20.34,20.56,19.47,18.22,17.88,18.09,16.62,14.59,13.56,13.59,13.19,12.41,12.78,15.41,18.38,20.22,22.34,25.91,29.19,30.38,30.78,31.56,32.0,30.47,27.41,25.38,24.25,22.59,20.38,19.22,19.69,19.88,19.0,18.19,18.91,19.97,19.41,19.03,19.47,20.34,19.91,18.75,18.34,18.78,18.38,16.72,15.81,16.28,17.56,17.56,17.94,19.72,21.47,21.78,21.56,22.59,25.12,26.5,27.12,28.12,29.53,29.72,27.66,25.56,24.28,23.06,21.06,19.62,19.91,21.5,21.59,21.0,21.03,21.62,20.69,19.31,19.0,20.16,21.59,21.66,22.62,24.81,27.16,28.12,28.62,30.5,32.47,32.94,32.75,33.25,34.03,33.75,32.28,30.91,30.53,29.56,27.19,25.47,25.47,25.59,24.81,23.53,23.28,23.72,22.84,21.0,20.38,21.0,20.97,20.66,21.31,23.72,25.25,25.12,25.38,26.34,27.12,26.31,25.25,24.88,24.78,23.5,21.88,21.12,22.06,22.28,21.66,21.91,23.5,25.16,25.53,25.84,27.31,28.59,28.44,27.47,27.59,28.16,27.5,26.0,25.22,25.81,25.53,23.97,23.12,23.94,42.66,41.03,39.94,40.12,40.69,41.56,43.0,45.0,46.03,46.06,45.5,45.31,44.62,44.19,44.25,44.62,44.62,44.06,42.28,40.22,38.94,38.06,37.91,38.94,41.06,43.22,43.97,44.0,44.5,44.56,44.38,45.12,46.34,48.44,49.78:28.66,27.03,26.16,24.62,23.34,24.25,26.75,28.72,29.5,30.59,31.84,32.16,30.22,28.34,27.5,27.28,26.56,25.44,26.06,27.5,27.38,26.38,26.25,26.66,26.44,24.59,23.56,24.16,24.47,23.97,23.94,25.59,27.16,26.75,25.69,25.38,25.34,24.38,22.75,22.31,23.34,23.75,23.0,22.25,21.91,20.91,17.97,15.53,14.84,15.59,15.97,15.91,17.5,19.19,19.34,17.97,17.25,17.38,16.81,15.19,14.44,15.12,16.56,17.06,17.88,20.03,22.47,22.34,20.44,18.62,16.44,12.84,8.0,4.72,3.16,1.81,-0.03,-0.5,1.19,4.19,6.44,9.16,13.84,18.75,21.28,21.88,22.16,21.41,18.66,14.12,10.56,8.34,5.88,3.06,1.22,1.56,3.31,4.44,6.38,9.69,13.03,14.34,14.28,14.69,15.59,16.0,15.53,16.19,17.91,19.19,18.75,18.66,19.34,19.91,19.31,18.12,18.12,18.5,17.5,16.22,15.97,16.5,16.41,14.69,13.84,14.19,14.06,12.56,11.25,11.28,11.56,10.19,9.12,9.78,11.84,12.66,12.5,13.44,14.47,14.78,13.72,13.81,15.78,17.47,17.47,17.53,18.28,18.72,17.31,15.94,15.81,16.41,15.88,14.78,14.53,15.19,15.75,15.31,15.75,17.69,19.53,20.03,20.34,21.41,22.75,22.12,20.5,20.19,21.19,21.62,21.69,23.0,24.94,26.59,26.0,25.28,25.56,25.69,24.19,22.69,22.66,23.5,23.22,22.84,23.44,24.91,25.03,23.72,23.25,23.69,23.72,22.66,22.59,23.91,25.19,25.25,25.53,26.97,28.75,29.38,28.94,29.12,30.28,30.28,29.03,28.25,28.12,27.16,24.66,23.0,22.94,23.75,23.31,23.0,23.97,25.09,24.81,24.0,24.12,25.28,25.66,25.38,25.62,27.12,28.59,28.56,28.5,29.88,30.44,28.59,25.91,23.97,22.75,20.81,18.91,18.78,19.91,20.25,19.62,19.41,20.53,21.53,21.03,21.03,22.53,24.53,24.94,24.94,25.91,26.94,26.69,25.97,25.88,26.53,26.09,24.19,22.19,21.34,20.75,18.81,17.25,17.5,18.12,17.84,17.41,18.28,19.78,20.12,20.06,20.69,22.16,22.72,22.0,21.19,21.91,22.72,22.5,23.09,25.12,28.09,29.75,30.5,31.91,33.16,32.47,30.59,29.41,29.81,29.75,29.56,29.88,31.75,33.47,33.72,33.91,35.09,36.75,36.69,35.66,35.69,36.22,35.22,33.34,32.41,33.06,32.94,31.97,30.62,30.16,28.91,25.28,21.5,19.53,18.91,17.31,15.97,16.72,18.31,18.91,18.38,18.0,18.62,18.44,17.12,16.56,18.28,20.75,22.06,23.69,27.0,30.34,31.91,32.09,32.78,33.94,34.34,33.88,34.22,36.0,36.62,35.09,32.88,31.75,30.53,27.81,24.84,23.34,22.53,20.53,18.28,16.88,16.84,16.25,14.12,13.12,13.91,15.0,15.34,16.5,19.72,22.47,23.22,23.72,25.09,27.06,28.03,28.09,29.16,31.22,32.44,32.5,32.69,33.44,33.44,31.78,29.53,29.34,29.03,27.16,24.88,23.94,24.0,23.34,22.34,23.22,24.88,26.19,26.47,28.16,30.94,33.47,34.25,34.5,35.72,36.25,34.56,31.97,30.06,28.47,25.22,21.59,19.5,18.53,17.53,16.12,15.84,17.38,18.81,18.47,17.38,18.03,18.88,18.12,17.88,19.09,20.72,21.28,20.38,20.38,21.5,22.06,21.25,21.19,22.5,23.47,23.12,22.44,23.88,25.97,26.97,27.38,28.44,29.62,28.91,26.47,24.06,23.47,22.75,21.03,20.31,21.41,22.62,22.41,21.5,22.06,22.91,22.16,20.66,19.91,20.12,19.62,18.41,18.06,19.59,21.0,21.56,21.91,24.0,26.0,26.28,25.47,26.19,27.22,26.41,25.69,26.41,28.44,29.88,30.28,30.75,31.28,31.44,29.72,28.25,29.03,30.25,30.06,29.03,29.19,30.06,29.47,29.0,29.75,31.81,32.53,32.22,31.72,32.34,32.34,30.78,28.69,28.28,27.78,26.03,24.25,23.97,24.88,24.81,24.78,26.03,28.94,30.88,31.12,30.91,31.28,30.62,28.0,25.12,24.22,24.03,22.81,21.31,21.53,23.06,23.56,23.31,24.19,26.19,26.94,26.53,26.09,27.44,28.12,26.81,24.94,24.44,24.09,22.53,20.78,20.19,20.91,20.22,18.38,16.97,16.69,15.72,13.66,11.69,11.66,12.09,11.56,11.5,13.22,15.31,15.75,15.47,16.25,17.69,18.44,18.25,19.34,21.16,22.28,22.5,22.38,24.19,26.25,27.09,27.88,29.97,31.88,32.09,31.12,31.19,32.12,31.97,30.5,29.94,30.59,30.16,28.22,26.19,25.94,25.75,24.78,24.22,25.66,27.94,29.06,28.97,29.75,31.12,31.47,30.41,30.12,30.97,31.12,29.91,28.47,28.31,28.06,26.47,24.28,23.53,23.16,21.97,20.16,19.56,20.5,20.25,18.66,17.56,18.44,19.19,19.28,19.56,21.88,23.88,24.44,25.06,27.28,30.03,31.59,32.0,32.84,33.81,32.88,30.22,27.25,25.84,24.88,23.44,22.72,24.12,25.12,24.91,23.28,23.03,23.25,22.47,20.81,20.38,20.88,20.56,19.03,17.91,18.34,18.31,17.06,15.88,16.62,17.25,16.84,16.03,16.38,17.38,17.09,15.69,14.91,15.12,14.44,12.47,10.69,10.47,10.34,9.38,8.25,9.34,11.31,12.41,12.97,15.34,18.5,20.5,21.16,22.5,25.0,26.56,26.28,25.88,26.31,26.41,24.78,23.16,22.94,23.22,22.72,21.69,22.19,23.5,24.25,23.69,23.38,24.41,24.69,23.34,22.06,22.09,22.0,20.41,18.38,18.03,18.5,18.69,18.66,20.12,22.88,24.72,25.19,25.69,26.84,27.16,25.19,23.38,22.69,22.34,20.88,19.16,19.03,18.78,17.25,14.91,13.62,13.91,13.91,13.47,14.25,17.06,19.22,19.75,19.97,20.81,21.16,20.16,18.66,19.25,20.62,21.59,22.03,23.06,24.88,25.72,24.91,24.44,25.5,26.56,25.91,24.91,25.03,25.03,24.0,23.09,24.03,26.0,27.72,27.62,28.38,29.97,30.09,28.62,27.66,28.31,29.0,28.06,26.88,27.12,27.09,26.12,24.53,24.81,25.59,25.62,24.66,24.28,25.03,25.69,25.0,24.75,25.66,26.22,25.16,23.66,23.62,23.69,23.0,22.12,22.47,23.75,24.72,24.72,25.25,26.66,27.53,27.12,26.62,27.47,27.59,25.88,22.94,21.38,20.09,18.34,16.41,15.66,15.94,15.53,14.09,13.19,13.5,13.66,12.91,12.16,13.31,14.97,15.5,15.84,17.75,19.59,20.38,20.0,19.78,20.25,20.03,18.62,17.72,18.38,18.66,16.97,14.69,13.94,13.06,11.88,11.16,12.97,15.94,18.41,19.06,19.97,21.53,22.0,20.69,20.09,20.75,21.09,19.53,18.5,19.56,21.16,21.72,22.09,23.34,24.84,24.16,22.19,20.47,19.5,18.06,15.09,13.34,13.38,13.56,12.5,11.56,12.28,13.94,14.34,14.41,15.91,18.72,20.84,22.25,24.53,27.34,29.19,28.5,27.0,25.53,23.22,19.06,15.0,12.72,12.03,11.22,10.62,12.03,14.19,15.53,15.78,16.47,18.56,20.25,20.88,22.06,24.66,27.12,27.94,28.38,29.72,31.22,31.44,30.72,30.88,31.59,31.41,29.31,27.53,27.06,25.81,22.69,20.06,18.97,18.5,17.0,15.91,16.38,17.38,17.09,16.16,15.97,16.97,17.25,16.66,16.84,18.72,20.56,21.09,21.81,23.59,24.97,24.53,22.78,22.44,22.34,21.0,18.94,17.62,17.53,16.88,15.5,14.62,15.44,16.66,16.53,17.12,19.38,22.66,23.66,23.69,24.12,24.69,24.0,22.12,21.19,21.16,20.69,18.91,17.5,17.88,18.41,17.38,16.5,17.25,18.66,18.88,18.72,19.5,20.84,21.0,20.47,20.91,22.09,22.78,21.66,20.41,20.34,20.56,19.47,18.22,17.88,18.09,16.62,14.59,13.56,13.59,13.19,12.41,12.78,15.41,18.38,20.22,22.34,25.91,29.19,30.38,30.78,31.56,32.0,30.47,27.41,25.38,24.25,22.59,20.38,19.22,19.69,19.88,19.0,18.19,18.91,19.97,19.41,19.03,19.47,20.34,19.91,18.75,18.34,18.78,18.38,16.72,15.81,16.28,17.56,17.56,17.94,19.72,21.47,21.78,21.56,22.59,25.12,26.5,27.12,28.12,29.53,29.72,27.66,25.56,24.28,23.06,21.06,19.62,19.91,21.5,21.59,21.0,21.03,21.62,20.69,19.31,19.0,20.16,21.59,21.66,22.62,24.81,27.16,28.12,28.62,30.5,32.47,32.94,32.75,33.25,34.03,33.75,32.28,30.91,30.53,29.56,27.19,25.47,25.47,25.59,24.81,23.53,23.28,23.72,22.84,21.0,20.38,21.0,20.97,20.66,21.31,23.72,25.25,25.12,25.38,26.34,27.12,26.31,25.25,24.88,24.78,23.5,21.88,21.12,22.06,22.28,21.66,21.91,23.5,25.16,25.53,25.84,27.31,28.59,28.44,27.47,27.59,28.16,27.5,26.0,25.22,25.81,25.53,23.97,23.12,23.94,42.66,41.03,39.94,40.12,40.69,41.56,43.0,45.0,46.03,46.06,45.5,45.31,44.62,44.19,44.25,44.62,44.62,44.06,42.28,40.22,38.94,38.06,37.91,38.94,41.06,43.22,43.97,44.0,44.5,44.56,44.38,45.12,46.34,48.44,49.78,49.97,50.25,50.81,51.16,51.22,51.22,51.44:negativity
10.44,8.91,6.34,4.75,6.06,7.84,7.69,7.53,9.53,12.22,12.53,11.31,11.06,11.47,10.34,7.62,6.56,8.44,10.19,10.0,10.31,13.06,15.91,16.66,17.19,19.59,22.69,23.28,21.66,20.22,20.0,18.0,13.62,10.75,10.28,10.12,8.06,6.47,7.28,9.0,8.62,7.66,9.31,12.72,14.34,14.62,16.44,19.88,22.09,22.0,22.44,24.66,25.75,24.03,21.38,20.62,20.16,17.72,14.56,13.91,15.38,15.97,15.59,16.31,19.06,21.0,20.03,19.72,21.41,23.25,22.5,21.03,21.03,22.16,20.72,17.88,16.59,16.75,15.62,12.44,10.75,11.78,13.09,12.31,12.31,14.59,16.78,15.66,13.59,13.19,14.19,14.03,13.28,14.59,17.78,19.84,19.56,19.09,19.88,20.09,17.91,14.91,14.53,15.12,13.62,11.09,10.44,11.0,10.0,7.0,5.12,4.75,3.5,-0.03,-2.72,-2.53,-1.91,-3.31,-4.81,-4.28,-2.38,-2.94,-4.81,-4.88,-3.44,-3.0,-3.91,-3.47,-1.09,1.0,-0.12,-1.16,-0.16,1.75,1.5,0.97,2.34,3.59,2.34,-0.97,-2.88,-2.75,-2.97,-4.09,-4.06,-1.22,1.19,1.12,0.94,2.66,4.69,4.25,2.84,3.16,4.62,4.59,2.81,1.91,3.03,2.91,0.5,-1.16,-0.41,0.81,-0.47,-1.75,-0.75,1.06,0.66,-0.41,-0.09,2.0,2.5,1.31,0.38,1.84,2.44,0.78,0.22,2.12,4.88,5.38,5.16,6.66,8.78,8.34,6.66,6.03,7.38,7.25,5.16,4.16,5.59,6.5,5.62,4.53,5.41,6.19,4.41,1.66,1.22,2.72,3.19,2.34,2.62,4.56,4.38,1.81,-0.81,-0.88,-0.47,-1.75,-2.66,-0.38,2.53,3.16,2.38,3.06,4.72,4.72,2.91,1.69,2.5,2.44,0.69,-0.81,0.81,3.03,2.5,1.5,2.09,3.34,2.34,-0.03,-0.78,0.34,0.59,-0.56,-0.97,0.88,2.19,0.94,-0.47,0.5,1.78,0.72,-1.16,-0.78,0.88,0.25,-1.62,-2.38,-1.34,-1.81,-3.84,-5.25,-3.75,-2.22,-2.22,-1.91,1.25,5.34,6.62,5.88,6.44,7.56,6.94,4.91,4.19,5.72,6.25,4.59,3.38,4.31,5.41,4.69,3.72,5.38,8.12,8.75,8.38,9.69,12.22,13.16,11.38,10.41,10.38,9.66,6.75,4.12,4.38,5.0,4.09,2.41,3.28,5.28,5.5,4.53,5.0,7.06,7.91,6.66,6.31,7.84,9.03,8.09,6.75,8.06,9.59,9.44,7.84,7.78,9.03,8.44,6.41,5.88,7.25,7.75,6.41,5.81,7.44,9.0,8.34,7.31,8.25,10.06,10.44,9.53,10.22,11.81,11.19,8.03,5.88,6.25,6.22,4.28,2.91,3.97,4.47,2.31,-0.69,-1.38,-1.41,-2.28,-4.66,-4.16,-1.81,-0.62,-1.28,-1.22,1.03,2.56,1.94,1.56,3.22,5.31,4.81,2.56,2.59,3.88,3.78,2.66,3.19,5.59,6.69,5.16,4.34,5.88,7.38,6.19,4.41,4.5,4.28,1.94,-1.59,-3.38,-3.38,-4.09,-6.12,-5.97,-3.72,-1.59,-1.91,-1.84,0.06,1.56,0.0,-1.97,-1.72,-0.47,-0.31,-1.31,-0.59,1.41,1.66,-0.91,-3.0,-2.91,-3.84,-6.81,-9.28,-8.91,-8.0,-8.84,-9.72,-8.28,-5.81,-4.62,-4.81,-3.41,-0.72,0.38,-1.28,-2.16,-1.06,0.22,-0.66,-1.47,-0.19,1.12,0.16,-1.09,-0.5,1.5,2.19,1.09,1.47,3.66,4.88,3.31,2.06,2.78,3.38,1.25,-0.53,-0.03,1.31,0.5,-1.31,-1.09,0.5,0.91,-0.09,-0.22,1.47,2.78,1.41,0.41,1.72,3.66,2.94,1.75,2.38,3.25,1.56,-1.84,-3.53,-4.09,-5.34,-8.06,-9.5,-8.25,-6.88,-7.69,-8.34,-6.62,-4.53,-4.62,-5.16,-3.78,-0.94,-0.19,-1.0,-0.69,1.12,1.84,0.81,0.38,2.25,4.38,3.81,3.38,4.78,6.28,5.09,2.41,1.34,1.72,1.47,0.41,1.25,4.53,7.31,7.59,7.97,9.78,11.16,9.75,7.28,6.91,7.59,6.41,4.5,4.66,6.19,6.81,5.84,5.47,6.91,7.59,5.72,3.41,3.31,3.81,1.59,-0.69,-1.06,-0.31,-1.53,-3.5,-3.59,-2.66,-2.66,-4.25,-5.06,-3.69,-2.34,-3.06,-4.19,-2.88,-0.88,-1.28,-1.78,-0.84,1.56,2.41,1.31,1.75,3.78,5.34,4.5,3.91,5.09,5.69,3.59,1.06,1.03,2.22,2.19,1.25,1.72,3.38,3.03,0.97,-0.16,0.81,1.53,0.34,-0.47,0.5,1.38,-0.06,-2.59,-3.16,-2.28,-3.03,-4.06,-3.25,-0.06,1.59,1.72,2.12,4.0,4.97,3.16,1.0,0.25,-0.03,-2.5,-5.44,-6.47,-5.94,-7.19,-9.41,-10.38,-9.09,-8.31,-9.06,-8.78,-5.84,-2.59,-1.81,-1.5,0.38,2.66,2.53,1.03,0.88,1.91,1.66,0.41,0.34,3.16,4.84,4.53,3.34,3.72,3.56,0.75,-2.34,-2.72,-1.53,-1.34,-1.88,-1.59,-0.03,0.28,-1.31,-2.25,-0.75,-0.03,-1.12,-1.72,-0.56,1.34,1.12,-0.03,0.88,2.84,3.12,1.62,1.47,3.12,3.31,1.06,-0.66,-0.41,-0.78,-2.72,-4.56,-3.78,-1.78,-1.75,-2.62,-1.81,-0.03,0.28,-1.34,-1.5,0.09,1.31,0.34,-0.72,0.5,1.47,0.75,-0.31,0.94,2.91,3.12,1.91,1.94,3.38,3.31,1.5,0.03,0.69,0.94,-1.06,-2.69,-1.66,-0.91,-2.5,-4.72,-5.28,-4.5,-4.75,-5.72,-4.84,-2.09,-0.28,-0.91,-0.69,1.28,2.44,1.16,-0.31,1.09,3.06,3.75,4.03,6.31,9.5,10.88,10.5,10.75,12.69,13.44,11.47,9.25,9.0,8.66,6.44,4.81,5.91,7.75,7.38,5.62,4.94,5.62,5.62,4.53,4.78,7.16,8.16,6.28,4.25,4.53,4.97,4.0,3.09,5.44,8.66,10.28,10.38,11.19,12.06,11.5,8.59,6.75,7.69,9.0,8.44,7.94,9.41,10.88,10.19,8.03,7.81,8.69,8.53,7.0,6.88,8.47,9.72,8.56,8.44,10.5,12.44,12.25,11.25,12.38,13.69,12.84,10.72,10.81,12.31,13.25,12.53,13.38,15.72,16.97,15.84,14.38,15.25,15.72,14.28,12.59,13.72,15.53,15.44,13.94,13.66,14.31,13.16,10.5,8.59,8.59,8.25,5.72,3.16,3.31,3.84,2.84,1.84,3.28,5.62,6.59,6.06,7.03,9.19,10.91,10.91,11.88,15.19,18.09,17.94,16.84,17.31,17.12,14.72,10.97,9.56,9.84,9.09,7.75,7.81,9.34,9.59,7.5,5.5,5.69,6.44,5.41,4.5,6.62,9.84,10.75,9.84,10.38,11.25,10.5,8.16,7.25,8.34,9.44,8.59,8.47,10.41,12.81,12.47,10.81,11.22,12.28,11.38,8.62,7.59,8.41,8.06,5.81,5.09,6.56,8.06,7.09,6.25,7.62,9.03,8.78,7.38,8.44,10.56,11.06,9.97,10.19,11.53,12.25,11.06,10.44,12.09,13.38,11.0,7.5,5.91,5.19,2.84,0.78,1.34,3.81,4.69,3.91,4.12,5.59,6.22,4.66,3.84,5.62,7.75,7.88,7.75,9.62,12.34,12.75,11.38,11.19,11.88,10.59,7.25,5.41,5.56,5.94,4.53,3.47,4.56,5.66,4.62,2.97,3.53,5.53,5.31,4.19,4.81,7.06,8.62,8.06,7.62,8.78,9.03,7.0,5.22,6.03,7.69,7.34,6.28,7.12,9.03,9.38,8.69,9.38,11.69,13.0,11.72,10.81,11.5,11.69,9.66,7.34,7.03,7.72,6.38,4.06,3.56,4.56,4.38,2.5,1.56,2.81,3.19,0.91,-0.56,0.47,2.84,3.75,5.41,9.06,13.31,14.69,13.31,12.66,13.47,13.41,11.56,10.75,12.25,13.03,11.22,9.59,10.28,11.44,10.62,9.09,9.69,11.62,11.72,10.16,9.78,11.22,11.62,9.97,9.75,11.81,13.72,13.38,12.91,14.81,17.44,17.72,17.66,19.19,22.0,23.16,22.0,21.38,21.47,19.78,15.16,11.06,9.53,8.34,5.47,3.53,4.16,6.03,6.38,5.72,7.12,10.78,13.38,15.28,18.28,23.44,26.84,27.25,26.56,27.25,28.09,26.19,24.19,24.22,25.5,24.28,21.53,19.72,19.62,18.75,16.19,14.88,16.47,17.44,16.09,14.72,15.5,16.94,16.03,14.0,13.66,14.0,12.75,10.25,9.5,10.84,11.62,9.97,8.53,9.41,10.62,9.38,8.69,11.03,14.12,14.62,13.62,13.5,14.16,12.81,10.22,8.81,10.38,11.88,11.31,11.56,14.59,17.5,17.34,16.53,17.75,19.22,18.22,16.31,15.28,15.91,14.69,11.41,8.97,9.31,9.22,7.78,6.81,9.03,11.84,12.16,12.28,14.56,17.81,18.66,17.72,17.34,18.25,17.47,15.62,15.0,17.84,20.62,21.12,21.19,23.41,25.41,24.38,22.53,22.41,22.84,21.44,18.19,16.5,17.03,17.06,15.91,15.5,17.97,20.34,20.28,19.25,20.34,21.53,19.66,16.34,14.84,15.0,13.78,11.56,10.88,12.62,13.75,12.53,11.66,13.19,14.81,14.66,14.34,16.66,19.97,21.16,20.66,21.47,23.53,23.59,21.84,21.0,22.22,22.84,21.56,20.38,21.69,23.12,21.72,18.97,18.41,18.69,17.81,16.38,17.81,21.66,24.91,25.81,27.25,30.53,32.69,31.75,30.41,31.12,32.12,30.88,29.28:7.53,9.53,12.22,12.53,11.31,11.06,11.47,10.34,7.62,6.56,8.44,10.19,10.0,10.31,13.06,15.91,16.66,17.19,19.59,22.69,23.28,21.66,20.22,20.0,18.0,13.62,10.75,10.28,10.12,8.06,6.47,7.28,9.0,8.62,7.66,9.31,12.72,14.34,14.62,16.44,19.88,22.09,22.0,22.44,24.66,25.75,24.03,21.38,20.62,20.16,17.72,14.56,13.91,15.38,15.97,15.59,16.31,19.06,21.0,20.03,19.72,21.41,23.25,22.5,21.03,21.03,22.16,20.72,17.88,16.59,16.75,15.62,12.44,10.75,11.78,13.09,12.31,12.31,14.59,16.78,15.66,13.59,13.19,14.19,14.03,13.28,14.59,17.78,19.84,19.56,19.09,19.88,20.09,17.91,14.91,14.53,15.12,13.62,11.09,10.44,11.0,10.0,7.0,5.12,4.75,3.5,-0.03,-2.72,-2.53,-1.91,-3.31,-4.81,-4.28,-2.38,-2.94,-4.81,-4.88,-3.44,-3.0,-3.91,-3.47,-1.09,1.0,-0.12,-1.16,-0.16,1.75,1.5,0.97,2.34,3.59,2.34,-0.97,-2.88,-2.75,-2.97,-4.09,-4.06,-1.22,1.19,1.12,0.94,2.66,4.69,4.25,2.84,3.16,4.62,4.59,2.81,1.91,3.03,2.91,0.5,-1.16,-0.41,0.81,-0.47,-1.75,-0.75,1.06,0.66,-0.41,-0.09,2.0,2.5,1.31,0.38,1.84,2.44,0.78,0.22,2.12,4.88,5.38,5.16,6.66,8.78,8.34,6.66,6.03,7.38,7.25,5.16,4.16,5.59,6.5,5.62,4.53,5.41,6.19,4.41,1.66,1.22,2.72,3.19,2.34,2.62,4.56,4.38,1.81,-0.81,-0.88,-0.47,-1.75,-2.66,-0.38,2.53,3.16,2.38,3.06,4.72,4.72,2.91,1.69,2.5,2.44,0.69,-0.81,0.81,3.03,2.5,1.5,2.09,3.34,2.34,-0.03,-0.78,0.34,0.59,-0.56,-0.97,0.88,2.19,0.94,-0.47,0.5,1.78,0.72,-1.16,-0.78,0.88,0.25,-1.62,-2.38,-1.34,-1.81,-3.84,-5.25,-3.75,-2.22,-2.22,-1.91,1.25,5.34,6.62,5.88,6.44,7.56,6.94,4.91,4.19,5.72,6.25,4.59,3.38,4.31,5.41,4.69,3.72,5.38,8.12,8.75,8.38,9.69,12.22,13.16,11.38,10.41,10.38,9.66,6.75,4.12,4.38,5.0,4.09,2.41,3.28,5.28,5.5,4.53,5.0,7.06,7.91,6.66,6.31,7.84,9.03,8.09,6.75,8.06,9.59,9.44,7.84,7.78,9.03,8.44,6.41,5.88,7.25,7.75,6.41,5.81,7.44,9.0,8.34,7.31,8.25,10.06,10.44,9.53,10.22,11.81,11.19,8.03,5.88,6.25,6.22,4.28,2.91,3.97,4.47,2.31,-0.69,-1.38,-1.41,-2.28,-4.66,-4.16,-1.81,-0.62,-1.28,-1.22,1.03,2.56,1.94,1.56,3.22,5.31,4.81,2.56,2.59,3.88,3.78,2.66,3.19,5.59,6.69,5.16,4.34,5.88,7.38,6.19,4.41,4.5,4.28,1.94,-1.59,-3.38,-3.38,-4.09,-6.12,-5.97,-3.72,-1.59,-1.91,-1.84,0.06,1.56,0.0,-1.97,-1.72,-0.47,-0.31,-1.31,-0.59,1.41,1.66,-0.91,-3.0,-2.91,-3.84,-6.81,-9.28,-8.91,-8.0,-8.84,-9.72,-8.28,-5.81,-4.62,-4.81,-3.41,-0.72,0.38,-1.28,-2.16,-1.06,0.22,-0.66,-1.47,-0.19,1.12,0.16,-1.09,-0.5,1.5,2.19,1.09,1.47,3.66,4.88,3.31,2.06,2.78,3.38,1.25,-0.53,-0.03,1.31,0.5,-1.31,-1.09,0.5,0.91,-0.09,-0.22,1.47,2.78,1.41,0.41,1.72,3.66,2.94,1.75,2.38,3.25,1.56,-1.84,-3.53,-4.09,-5.34,-8.06,-9.5,-8.25,-6.88,-7.69,-8.34,-6.62,-4.53,-4.62,-5.16,-3.78,-0.94,-0.19,-1.0,-0.69,1.12,1.84,0.81,0.38,2.25,4.38,3.81,3.38,4.78,6.28,5.09,2.41,1.34,1.72,1.47,0.41,1.25,4.53,7.31,7.59,7.97,9.78,11.16,9.75,7.28,6.91,7.59,6.41,4.5,4.66,6.19,6.81,5.84,5.47,6.91,7.59,5.72,3.41,3.31,3.81,1.59,-0.69,-1.06,-0.31,-1.53,-3.5,-3.59,-2.66,-2.66,-4.25,-5.06,-3.69,-2.34,-3.06,-4.19,-2.88,-0.88,-1.28,-1.78,-0.84,1.56,2.41,1.31,1.75,3.78,5.34,4.5,3.91,5.09,5.69,3.59,1.06,1.03,2.22,2.19,1.25,1.72,3.38,3.03,0.97,-0.16,0.81,1.53,0.34,-0.47,0.5,1.38,-0.06,-2.59,-3.16,-2.28,-3.03,-4.06,-3.25,-0.06,1.59,1.72,2.12,4.0,4.97,3.16,1.0,0.25,-0.03,-2.5,-5.44,-6.47,-5.94,-7.19,-9.41,-10.38,-9.09,-8.31,-9.06,-8.78,-5.84,-2.59,-1.81,-1.5,0.38,2.66,2.53,1.03,0.88,1.91,1.66,0.41,0.34,3.16,4.84,4.53,3.34,3.72,3.56,0.75,-2.34,-2.72,-1.53,-1.34,-1.88,-1.59,-0.03,0.28,-1.31,-2.25,-0.75,-0.03,-1.12,-1.72,-0.56,1.34,1.12,-0.03,0.88,2.84,3.12,1.62,1.47,3.12,3.31,1.06,-0.66,-0.41,-0.78,-2.72,-4.56,-3.78,-1.78,-1.75,-2.62,-1.81,-0.03,0.28,-1.34,-1.5,0.09,1.31,0.34,-0.72,0.5,1.47,0.75,-0.31,0.94,2.91,3.12,1.91,1.94,3.38,3.31,1.5,0.03,0.69,0.94,-1.06,-2.69,-1.66,-0.91,-2.5,-4.72,-5.28,-4.5,-4.75,-5.72,-4.84,-2.09,-0.28,-0.91,-0.69,1.28,2.44,1.16,-0.31,1.09,3.06,3.75,4.03,6.31,9.5,10.88,10.5,10.75,12.69,13.44,11.47,9.25,9.0,8.66,6.44,4.81,5.91,7.75,7.38,5.62,4.94,5.62,5.62,4.53,4.78,7.16,8.16,6.28,4.25,4.53,4.97,4.0,3.09,5.44,8.66,10.28,10.38,11.19,12.06,11.5,8.59,6.75,7.69,9.0,8.44,7.94,9.41,10.88,10.19,8.03,7.81,8.69,8.53,7.0,6.88,8.47,9.72,8.56,8.44,10.5,12.44,12.25,11.25,12.38,13.69,12.84,10.72,10.81,12.31,13.25,12.53,13.38,15.72,16.97,15.84,14.38,15.25,15.72,14.28,12.59,13.72,15.53,15.44,13.94,13.66,14.31,13.16,10.5,8.59,8.59,8.25,5.72,3.16,3.31,3.84,2.84,1.84,3.28,5.62,6.59,6.06,7.03,9.19,10.91,10.91,11.88,15.19,18.09,17.94,16.84,17.31,17.12,14.72,10.97,9.56,9.84,9.09,7.75,7.81,9.34,9.59,7.5,5.5,5.69,6.44,5.41,4.5,6.62,9.84,10.75,9.84,10.38,11.25,10.5,8.16,7.25,8.34,9.44,8.59,8.47,10.41,12.81,12.47,10.81,11.22,12.28,11.38,8.62,7.59,8.41,8.06,5.81,5.09,6.56,8.06,7.09,6.25,7.62,9.03,8.78,7.38,8.44,10.56,11.06,9.97,10.19,11.53,12.25,11.06,10.44,12.09,13.38,11.0,7.5,5.91,5.19,2.84,0.78,1.34,3.81,4.69,3.91,4.12,5.59,6.22,4.66,3.84,5.62,7.75,7.88,7.75,9.62,12.34,12.75,11.38,11.19,11.88,10.59,7.25,5.41,5.56,5.94,4.53,3.47,4.56,5.66,4.62,2.97,3.53,5.53,5.31,4.19,4.81,7.06,8.62,8.06,7.62,8.78,9.03,7.0,5.22,6.03,7.69,7.34,6.28,7.12,9.03,9.38,8.69,9.38,11.69,13.0,11.72,10.81,11.5,11.69,9.66,7.34,7.03,7.72,6.38,4.06,3.56,4.56,4.38,2.5,1.56,2.81,3.19,0.91,-0.56,0.47,2.84,3.75,5.41,9.06,13.31,14.69,13.31,12.66,13.47,13.41,11.56,10.75,12.25,13.03,11.22,9.59,10.28,11.44,10.62,9.09,9.69,11.62,11.72,10.16,9.78,11.22,11.62,9.97,9.75,11.81,13.72,13.38,12.91,14.81,17.44,17.72,17.66,19.19,22.0,23.16,22.0,21.38,21.47,19.78,15.16,11.06,9.53,8.34,5.47,3.53,4.16,6.03,6.38,5.72,7.12,10.78,13.38,15.28,18.28,23.44,26.84,27.25,26.56,27.25,28.09,26.19,24.19,24.22,25.5,24.28,21.53,19.72,19.62,18.75,16.19,14.88,16.47,17.44,16.09,14.72,15.5,16.94,16.03,14.0,13.66,14.0,12.75,10.25,9.5,10.84,11.62,9.97,8.53,9.41,10.62,9.38,8.69,11.03,14.12,14.62,13.62,13.5,14.16,12.81,10.22,8.81,10.38,11.88,11.31,11.56,14.59,17.5,17.34,16.53,17.75,19.22,18.22,16.31,15.28,15.91,14.69,11.41,8.97,9.31,9.22,7.78,6.81,9.03,11.84,12.16,12.28,14.56,17.81,18.66,17.72,17.34,18.25,17.47,15.62,15.0,17.84,20.62,21.12,21.19,23.41,25.41,24.38,22.53,22.41,22.84,21.44,18.19,16.5,17.03,17.06,15.91,15.5,17.97,20.34,20.28,19.25,20.34,21.53,19.66,16.34,14.84,15.0,13.78,11.56,10.88,12.62,13.75,12.53,11.66,13.19,14.81,14.66,14.34,16.66,19.97,21.16,20.66,21.47,23.53,23.59,21.84,21.0,22.22,22.84,21.56,20.38,21.69,23.12,21.72,18.97,18.41,18.69,17.81,16.38,17.81,21.66,24.91,25.81,27.25,30.53,32.69,31.75,30.41,31.12,32.12,30.88,29.28,27.75,25.97,23.47,22.31,22.69,23.56,23.25:10.34,7.62,6.56,8.44,10.19,10.0,10.31,13.06,15.91,16.66,17.19,19.59,22.69,23.28,21.66,20.22,20.0,18.0,13.62,10.75,10.28,10.12,8.06,6.47,7.28,9.0,8.62,7.66,9.31,12.72,14.34,14.62,16.44,19.88,22.09,22.0,22.44,24.66,25.75,24.03,21.38,20.62,20.16,17.72,14.56,13.91,15.38,15.97,15.59,16.31,19.06,21.0,20.03,19.72,21.41,23.25,22.5,21.03,21.03,22.16,20.72,17.88,16.59,16.75,15.62,12.44,10.75,11.78,13.09,12.31,12.31,14.59,16.78,15.66,13.59,13.19,14.19,14.03,13.28,14.59,17.78,19.84,19.56,19.09,19.88,20.09,17.91,14.91,14.53,15.12,13.62,11.09,10.44,11.0,10.0,7.0,5.12,4.75,3.5,-0.03,-2.72,-2.53,-1.91,-3.31,-4.81,-4.28,-2.38,-2.94,-4.81,-4.88,-3.44,-3.0,-3.91,-3.47,-1.09,1.0,-0.12,-1.16,-0.16,1.75,1.5,0.97,2.34,3.59,2.34,-0.97,-2.88,-2.75,-2.97,-4.09,-4.06,-1.22,1.19,1.12,0.94,2.66,4.69,4.25,2.84,3.16,4.62,4.59,2.81,1.91,3.03,2.91,0.5,-1.16,-0.41,0.81,-0.47,-1.75,-0.75,1.06,0.66,-0.41,-0.09,2.0,2.5,1.31,0.38,1.84,2.44,0.78,0.22,2.12,4.88,5.38,5.16,6.66,8.78,8.34,6.66,6.03,7.38,7.25,5.16,4.16,5.59,6.5,5.62,4.53,5.41,6.19,4.41,1.66,1.22,2.72,3.19,2.34,2.62,4.56,4.38,1.81,-0.81,-0.88,-0.47,-1.75,-2.66,-0.38,2.53,3.16,2.38,3.06,4.72,4.72,2.91,1.69,2.5,2.44,0.69,-0.81,0.81,3.03,2.5,1.5,2.09,3.34,2.34,-0.03,-0.78,0.34,0.59,-0.56,-0.97,0.88,2.19,0.94,-0.47,0.5,1.78,0.72,-1.16,-0.78,0.88,0.25,-1.62,-2.38,-1.34,-1.81,-3.84,-5.25,-3.75,-2.22,-2.22,-1.91,1.25,5.34,6.62,5.88,6.44,7.56,6.94,4.91,4.19,5.72,6.25,4.59,3.38,4.31,5.41,4.69,3.72,5.38,8.12,8.75,8.38,9.69,12.22,13.16,11.38,10.41,10.38,9.66,6.75,4.12,4.38,5.0,4.09,2.41,3.28,5.28,5.5,4.53,5.0,7.06,7.91,6.66,6.31,7.84,9.03,8.09,6.75,8.06,9.59,9.44,7.84,7.78,9.03,8.44,6.41,5.88,7.25,7.75,6.41,5.81,7.44,9.0,8.34,7.31,8.25,10.06,10.44,9.53,10.22,11.81,11.19,8.03,5.88,6.25,6.22,4.28,2.91,3.97,4.47,2.31,-0.69,-1.38,-1.41,-2.28,-4.66,-4.16,-1.81,-0.62,-1.28,-1.22,1.03,2.56,1.94,1.56,3.22,5.31,4.81,2.56,2.59,3.88,3.78,2.66,3.19,5.59,6.69,5.16,4.34,5.88,7.38,6.19,4.41,4.5,4.28,1.94,-1.59,-3.38,-3.38,-4.09,-6.12,-5.97,-3.72,-1.59,-1.91,-1.84,0.06,1.56,0.0,-1.97,-1.72,-0.47,-0.31,-1.31,-0.59,1.41,1.66,-0.91,-3.0,-2.91,-3.84,-6.81,-9.28,-8.91,-8.0,-8.84,-9.72,-8.28,-5.81,-4.62,-4.81,-3.41,-0.72,0.38,-1.28,-2.16,-1.06,0.22,-0.66,-1.47,-0.19,1.12,0.16,-1.09,-0.5,1.5,2.19,1.09,1.47,3.66,4.88,3.31,2.06,2.78,3.38,1.25,-0.53,-0.03,1.31,0.5,-1.31,-1.09,0.5,0.91,-0.09,-0.22,1.47,2.78,1.41,0.41,1.72,3.66,2.94,1.75,2.38,3.25,1.56,-1.84,-3.53,-4.09,-5.34,-8.06,-9.5,-8.25,-6.88,-7.69,-8.34,-6.62,-4.53,-4.62,-5.16,-3.78,-0.94,-0.19,-1.0,-0.69,1.12,1.84,0.81,0.38,2.25,4.38,3.81,3.38,4.78,6.28,5.09,2.41,1.34,1.72,1.47,0.41,1.25,4.53,7.31,7.59,7.97,9.78,11.16,9.75,7.28,6.91,7.59,6.41,4.5,4.66,6.19,6.81,5.84,5.47,6.91,7.59,5.72,3.41,3.31,3.81,1.59,-0.69,-1.06,-0.31,-1.53,-3.5,-3.59,-2.66,-2.66,-4.25,-5.06,-3.69,-2.34,-3.06,-4.19,-2.88,-0.88,-1.28,-1.78,-0.84,1.56,2.41,1.31,1.75,3.78,5.34,4.5,3.91,5.09,5.69,3.59,1.06,1.03,2.22,2.19,1.25,1.72,3.38,3.03,0.97,-0.16,0.81,1.53,0.34,-0.47,0.5,1.38,-0.06,-2.59,-3.16,-2.28,-3.03,-4.06,-3.25,-0.06,1.59,1.72,2.12,4.0,4.97,3.16,1.0,0.25,-0.03,-2.5,-5.44,-6.47,-5.94,-7.19,-9.41,-10.38,-9.09,-8.31,-9.06,-8.78,-5.84,-2.59,-1.81,-1.5,0.38,2.66,2.53,1.03,0.88,1.91,1.66,0.41,0.34,3.16,4.84,4.53,3.34,3.72,3.56,0.75,-2.34,-2.72,-1.53,-1.34,-1.88,-1.59,-0.03,0.28,-1.31,-2.25,-0.75,-0.03,-1.12,-1.72,-0.56,1.34,1.12,-0.03,0.88,2.84,3.12,1.62,1.47,3.12,3.31,1.06,-0.66,-0.41,-0.78,-2.72,-4.56,-3.78,-1.78,-1.75,-2.62,-1.81,-0.03,0.28,-1.34,-1.5,0.09,1.31,0.34,-0.72,0.5,1.47,0.75,-0.31,0.94,2.91,3.12,1.91,1.94,3.38,3.31,1.5,0.03,0.69,0.94,-1.06,-2.69,-1.66,-0.91,-2.5,-4.72,-5.28,-4.5,-4.75,-5.72,-4.84,-2.09,-0.28,-0.91,-0.69,1.28,2.44,1.16,-0.31,1.09,3.06,3.75,4.03,6.31,9.5,10.88,10.5,10.75,12.69,13.44,11.47,9.25,9.0,8.66,6.44,4.81,5.91,7.75,7.38,5.62,4.94,5.62,5.62,4.53,4.78,7.16,8.16,6.28,4.25,4.53,4.97,4.0,3.09,5.44,8.66,10.28,10.38,11.19,12.06,11.5,8.59,6.75,7.69,9.0,8.44,7.94,9.41,10.88,10.19,8.03,7.81,8.69,8.53,7.0,6.88,8.47,9.72,8.56,8.44,10.5,12.44,12.25,11.25,12.38,13.69,12.84,10.72,10.81,12.31,13.25,12.53,13.38,15.72,16.97,15.84,14.38,15.25,15.72,14.28,12.59,13.72,15.53,15.44,13.94,13.66,14.31,13.16,10.5,8.59,8.59,8.25,5.72,3.16,3.31,3.84,2.84,1.84,3.28,5.62,6.59,6.06,7.03,9.19,10.91,10.91,11.88,15.19,18.09,17.94,16.84,17.31,17.12,14.72,10.97,9.56,9.84,9.09,7.75,7.81,9.34,9.59,7.5,5.5,5.69,6.44,5.41,4.5,6.62,9.84,10.75,9.84,10.38,11.25,10.5,8.16,7.25,8.34,9.44,8.59,8.47,10.41,12.81,12.47,10.81,11.22,12.28,11.38,8.62,7.59,8.41,8.06,5.81,5.09,6.56,8.06,7.09,6.25,7.62,9.03,8.78,7.38,8.44,10.56,11.06,9.97,10.19,11.53,12.25,11.06,10.44,12.09,13.38,11.0,7.5,5.91,5.19,2.84,0.78,1.34,3.81,4.69,3.91,4.12,5.59,6.22,4.66,3.84,5.62,7.75,7.88,7.75,9.62,12.34,12.75,11.38,11.19,11.88,10.59,7.25,5.41,5.56,5.94,4.53,3.47,4.56,5.66,4.62,2.97,3.53,5.53,5.31,4.19,4.81,7.06,8.62,8.06,7.62,8.78,9.03,7.0,5.22,6.03,7.69,7.34,6.28,7.12,9.03,9.38,8.69,9.38,11.69,13.0,11.72,10.81,11.5,11.69,9.66,7.34,7.03,7.72,6.38,4.06,3.56,4.56,4.38,2.5,1.56,2.81,3.19,0.91,-0.56,0.47,2.84,3.75,5.41,9.06,13.31,14.69,13.31,12.66,13.47,13.41,11.56,10.75,12.25,13.03,11.22,9.59,10.28,11.44,10.62,9.09,9.69,11.62,11.72,10.16,9.78,11.22,11.62,9.97,9.75,11.81,13.72,13.38,12.91,14.81,17.44,17.72,17.66,19.19,22.0,23.16,22.0,21.38,21.47,19.78,15.16,11.06,9.53,8.34,5.47,3.53,4.16,6.03,6.38,5.72,7.12,10.78,13.38,15.28,18.28,23.44,26.84,27.25,26.56,27.25,28.09,26.19,24.19,24.22,25.5,24.28,21.53,19.72,19.62,18.75,16.19,14.88,16.47,17.44,16.09,14.72,15.5,16.94,16.03,14.0,13.66,14.0,12.75,10.25,9.5,10.84,11.62,9.97,8.53,9.41,10.62,9.38,8.69,11.03,14.12,14.62,13.62,13.5,14.16,12.81,10.22,8.81,10.38,11.88,11.31,11.56,14.59,17.5,17.34,16.53,17.75,19.22,18.22,16.31,15.28,15.91,14.69,11.41,8.97,9.31,9.22,7.78,6.81,9.03,11.84,12.16,12.28,14.56,17.81,18.66,17.72,17.34,18.25,17.47,15.62,15.0,17.84,20.62,21.12,21.19,23.41,25.41,24.38,22.53,22.41,22.84,21.44,18.19,16.5,17.03,17.06,15.91,15.5,17.97,20.34,20.28,19.25,20.34,21.53,19.66,16.34,14.84,15.0,13.78,11.56,10.88,12.62,13.75,12.53,11.66,13.19,14.81,14.66,14.34,16.66,19.97,21.16,20.66,21.47,23.53,23.59,21.84,21.0,22.22,22.84,21.56,20.38,21.69,23.12,21.72,18.97,18.41,18.69,17.81,16.38,17.81,21.66,24.91,25.81,27.25,30.53,32.69,31.75,30.41,31.12,32.12,30.88,29.28,27.75,25.97,23.47,22.31,22.69,23.56,23.25,22.75,23.94,25.16,25.47,24.66,24.09,24.12:13.06,15.91,16.66,17.19,19.59,22.69,23.28,21.66,20.22,20.0,18.0,13.62,10.75,10.28,10.12,8.06,6.47,7.28,9.0,8.62,7.66,9.31,12.72,14.34,14.62,16.44,19.88,22.09,22.0,22.44,24.66,25.75,24.03,21.38,20.62,20.16,17.72,14.56,13.91,15.38,15.97,15.59,16.31,19.06,21.0,20.03,19.72,21.41,23.25,22.5,21.03,21.03,22.16,20.72,17.88,16.59,16.75,15.62,12.44,10.75,11.78,13.09,12.31,12.31,14.59,16.78,15.66,13.59,13.19,14.19,14.03,13.28,14.59,17.78,19.84,19.56,19.09,19.88,20.09,17.91,14.91,14.53,15.12,13.62,11.09,10.44,11.0,10.0,7.0,5.12,4.75,3.5,-0.03,-2.72,-2.53,-1.91,-3.31,-4.81,-4.28,-2.38,-2.94,-4.81,-4.88,-3.44,-3.0,-3.91,-3.47,-1.09,1.0,-0.12,-1.16,-0.16,1.75,1.5,0.97,2.34,3.59,2.34,-0.97,-2.88,-2.75,-2.97,-4.09,-4.06,-1.22,1.19,1.12,0.94,2.66,4.69,4.25,2.84,3.16,4.62,4.59,2.81,1.91,3.03,2.91,0.5,-1.16,-0.41,0.81,-0.47,-1.75,-0.75,1.06,0.66,-0.41,-0.09,2.0,2.5,1.31,0.38,1.84,2.44,0.78,0.22,2.12,4.88,5.38,5.16,6.66,8.78,8.34,6.66,6.03,7.38,7.25,5.16,4.16,5.59,6.5,5.62,4.53,5.41,6.19,4.41,1.66,1.22,2.72,3.19,2.34,2.62,4.56,4.38,1.81,-0.81,-0.88,-0.47,-1.75,-2.66,-0.38,2.53,3.16,2.38,3.06,4.72,4.72,2.91,1.69,2.5,2.44,0.69,-0.81,0.81,3.03,2.5,1.5,2.09,3.34,2.34,-0.03,-0.78,0.34,0.59,-0.56,-0.97,0.88,2.19,0.94,-0.47,0.5,1.78,0.72,-1.16,-0.78,0.88,0.25,-1.62,-2.38,-1.34,-1.81,-3.84,-5.25,-3.75,-2.22,-2.22,-1.91,1.25,5.34,6.62,5.88,6.44,7.56,6.94,4.91,4.19,5.72,6.25,4.59,3.38,4.31,5.41,4.69,3.72,5.38,8.12,8.75,8.38,9.69,12.22,13.16,11.38,10.41,10.38,9.66,6.75,4.12,4.38,5.0,4.09,2.41,3.28,5.28,5.5,4.53,5.0,7.06,7.91,6.66,6.31,7.84,9.03,8.09,6.75,8.06,9.59,9.44,7.84,7.78,9.03,8.44,6.41,5.88,7.25,7.75,6.41,5.81,7.44,9.0,8.34,7.31,8.25,10.06,10.44,9.53,10.22,11.81,11.19,8.03,5.88,6.25,6.22,4.28,2.91,3.97,4.47,2.31,-0.69,-1.38,-1.41,-2.28,-4.66,-4.16,-1.81,-0.62,-1.28,-1.22,1.03,2.56,1.94,1.56,3.22,5.31,4.81,2.56,2.59,3.88,3.78,2.66,3.19,5.59,6.69,5.16,4.34,5.88,7.38,6.19,4.41,4.5,4.28,1.94,-1.59,-3.38,-3.38,-4.09,-6.12,-5.97,-3.72,-1.59,-1.91,-1.84,0.06,1.56,0.0,-1.97,-1.72,-0.47,-0.31,-1.31,-0.59,1.41,1.66,-0.91,-3.0,-2.91,-3.84,-6.81,-9.28,-8.91,-8.0,-8.84,-9.72,-8.28,-5.81,-4.62,-4.81,-3.41,-0.72,0.38,-1.28,-2.16,-1.06,0.22,-0.66,-1.47,-0.19,1.12,0.16,-1.09,-0.5,1.5,2.19,1.09,1.47,3.66,4.88,3.31,2.06,2.78,3.38,1.25,-0.53,-0.03,1.31,0.5,-1.31,-1.09,0.5,0.91,-0.09,-0.22,1.47,2.78,1.41,0.41,1.72,3.66,2.94,1.75,2.38,3.25,1.56,-1.84,-3.53,-4.09,-5.34,-8.06,-9.5,-8.25,-6.88,-7.69,-8.34,-6.62,-4.53,-4.62,-5.16,-3.78,-0.94,-0.19,-1.0,-0.69,1.12,1.84,0.81,0.38,2.25,4.38,3.81,3.38,4.78,6.28,5.09,2.41,1.34,1.72,1.47,0.41,1.25,4.53,7.31,7.59,7.97,9.78,11.16,9.75,7.28,6.91,7.59,6.41,4.5,4.66,6.19,6.81,5.84,5.47,6.91,7.59,5.72,3.41,3.31,3.81,1.59,-0.69,-1.06,-0.31,-1.53,-3.5,-3.59,-2.66,-2.66,-4.25,-5.06,-3.69,-2.34,-3.06,-4.19,-2.88,-0.88,-1.28,-1.78,-0.84,1.56,2.41,1.31,1.75,3.78,5.34,4.5,3.91,5.09,5.69,3.59,1.06,1.03,2.22,2.19,1.25,1.72,3.38,3.03,0.97,-0.16,0.81,1.53,0.34,-0.47,0.5,1.38,-0.06,-2.59,-3.16,-2.28,-3.03,-4.06,-3.25,-0.06,1.59,1.72,2.12,4.0,4.97,3.16,1.0,0.25,-0.03,-2.5,-5.44,-6.47,-5.94,-7.19,-9.41,-10.38,-9.09,-8.31,-9.06,-8.78,-5.84,-2.59,-1.81,-1.5,0.38,2.66,2.53,1.03,0.88,1.91,1.66,0.41,0.34,3.16,4.84,4.53,3.34,3.72,3.56,0.75,-2.34,-2.72,-1.53,-1.34,-1.88,-1.59,-0.03,0.28,-1.31,-2.25,-0.75,-0.03,-1.12,-1.72,-0.56,1.34,1.12,-0.03,0.88,2.84,3.12,1.62,1.47,3.12,3.31,1.06,-0.66,-0.41,-0.78,-2.72,-4.56,-3.78,-1.78,-1.75,-2.62,-1.81,-0.03,0.28,-1.34,-1.5,0.09,1.31,0.34,-0.72,0.5,1.47,0.75,-0.31,0.94,2.91,3.12,1.91,1.94,3.38,3.31,1.5,0.03,0.69,0.94,-1.06,-2.69,-1.66,-0.91,-2.5,-4.72,-5.28,-4.5,-4.75,-5.72,-4.84,-2.09,-0.28,-0.91,-0.69,1.28,2.44,1.16,-0.31,1.09,3.06,3.75,4.03,6.31,9.5,10.88,10.5,10.75,12.69,13.44,11.47,9.25,9.0,8.66,6.44,4.81,5.91,7.75,7.38,5.62,4.94,5.62,5.62,4.53,4.78,7.16,8.16,6.28,4.25,4.53,4.97,4.0,3.09,5.44,8.66,10.28,10.38,11.19,12.06,11.5,8.59,6.75,7.69,9.0,8.44,7.94,9.41,10.88,10.19,8.03,7.81,8.69,8.53,7.0,6.88,8.47,9.72,8.56,8.44,10.5,12.44,12.25,11.25,12.38,13.69,12.84,10.72,10.81,12.31,13.25,12.53,13.38,15.72,16.97,15.84,14.38,15.25,15.72,14.28,12.59,13.72,15.53,15.44,13.94,13.66,14.31,13.16,10.5,8.59,8.59,8.25,5.72,3.16,3.31,3.84,2.84,1.84,3.28,5.62,6.59,6.06,7.03,9.19,10.91,10.91,11.88,15.19,18.09,17.94,16.84,17.31,17.12,14.72,10.97,9.56,9.84,9.09,7.75,7.81,9.34,9.59,7.5,5.5,5.69,6.44,5.41,4.5,6.62,9.84,10.75,9.84,10.38,11.25,10.5,8.16,7.25,8.34,9.44,8.59,8.47,10.41,12.81,12.47,10.81,11.22,12.28,11.38,8.62,7.59,8.41,8.06,5.81,5.09,6.56,8.06,7.09,6.25,7.62,9.03,8.78,7.38,8.44,10.56,11.06,9.97,10.19,11.53,12.25,11.06,10.44,12.09,13.38,11.0,7.5,5.91,5.19,2.84,0.78,1.34,3.81,4.69,3.91,4.12,5.59,6.22,4.66,3.84,5.62,7.75,7.88,7.75,9.62,12.34,12.75,11.38,11.19,11.88,10.59,7.25,5.41,5.56,5.94,4.53,3.47,4.56,5.66,4.62,2.97,3.53,5.53,5.31,4.19,4.81,7.06,8.62,8.06,7.62,8.78,9.03,7.0,5.22,6.03,7.69,7.34,6.28,7.12,9.03,9.38,8.69,9.38,11.69,13.0,11.72,10.81,11.5,11.69,9.66,7.34,7.03,7.72,6.38,4.06,3.56,4.56,4.38,2.5,1.56,2.81,3.19,0.91,-0.56,0.47,2.84,3.75,5.41,9.06,13.31,14.69,13.31,12.66,13.47,13.41,11.56,10.75,12.25,13.03,11.22,9.59,10.28,11.44,10.62,9.09,9.69,11.62,11.72,10.16,9.78,11.22,11.62,9.97,9.75,11.81,13.72,13.38,12.91,14.81,17.44,17.72,17.66,19.19,22.0,23.16,22.0,21.38,21.47,19.78,15.16,11.06,9.53,8.34,5.47,3.53,4.16,6.03,6.38,5.72,7.12,10.78,13.38,15.28,18.28,23.44,26.84,27.25,26.56,27.25,28.09,26.19,24.19,24.22,25.5,24.28,21.53,19.72,19.62,18.75,16.19,14.88,16.47,17.44,16.09,14.72,15.5,16.94,16.03,14.0,13.66,14.0,12.75,10.25,9.5,10.84,11.62,9.97,8.53,9.41,10.62,9.38,8.69,11.03,14.12,14.62,13.62,13.5,14.16,12.81,10.22,8.81,10.38,11.88,11.31,11.56,14.59,17.5,17.34,16.53,17.75,19.22,18.22,16.31,15.28,15.91,14.69,11.41,8.97,9.31,9.22,7.78,6.81,9.03,11.84,12.16,12.28,14.56,17.81,18.66,17.72,17.34,18.25,17.47,15.62,15.0,17.84,20.62,21.12,21.19,23.41,25.41,24.38,22.53,22.41,22.84,21.44,18.19,16.5,17.03,17.06,15.91,15.5,17.97,20.34,20.28,19.25,20.34,21.53,19.66,16.34,14.84,15.0,13.78,11.56,10.88,12.62,13.75,12.53,11.66,13.19,14.81,14.66,14.34,16.66,19.97,21.16,20.66,21.47,23.53,23.59,21.84,21.0,22.22,22.84,21.56,20.38,21.69,23.12,21.72,18.97,18.41,18.69,17.81,16.38,17.81,21.66,24.91,25.81,27.25,30.53,32.69,31.75,30.41,31.12,32.12,30.88,29.28,27.75,25.97,23.47,22.31,22.69,23.56,23.25,22.75,23.94,25.16,25.47,24.66,24.09,24.12,23.38,21.44,21.25,22.75,24.66,25.0,25.81:21.66,20.22,20.0,18.0,13.62,10.75,10.28,10.12,8.06,6.47,7.28,9.0,8.62,7.66,9.31,12.72,14.34,14.62,16.44,19.88,22.09,22.0,22.44,24.66,25.75,24.03,21.38,20.62,20.16,17.72,14.56,13.91,15.38,15.97,15.59,16.31,19.06,21.0,20.03,19.72,21.41,23.25,22.5,21.03,21.03,22.16,20.72,17.88,16.59,16.75,15.62,12.44,10.75,11.78,13.09,12.31,12.31,14.59,16.78,15.66,13.59,13.19,14.19,14.03,13.28,14.59,17.78,19.84,19.56,19.09,19.88,20.09,17.91,14.91,14.53,15.12,13.62,11.09,10.44,11.0,10.0,7.0,5.12,4.75,3.5,-0.03,-2.72,-2.53,-1.91,-3.31,-4.81,-4.28,-2.38,-2.94,-4.81,-4.88,-3.44,-3.0,-3.91,-3.47,-1.09,1.0,-0.12,-1.16,-0.16,1.75,1.5,0.97,2.34,3.59,2.34,-0.97,-2.88,-2.75,-2.97,-4.09,-4.06,-1.22,1.19,1.12,0.94,2.66,4.69,4.25,2.84,3.16,4.62,4.59,2.81,1.91,3.03,2.91,0.5,-1.16,-0.41,0.81,-0.47,-1.75,-0.75,1.06,0.66,-0.41,-0.09,2.0,2.5,1.31,0.38,1.84,2.44,0.78,0.22,2.12,4.88,5.38,5.16,6.66,8.78,8.34,6.66,6.03,7.38,7.25,5.16,4.16,5.59,6.5,5.62,4.53,5.41,6.19,4.41,1.66,1.22,2.72,3.19,2.34,2.62,4.56,4.38,1.81,-0.81,-0.88,-0.47,-1.75,-2.66,-0.38,2.53,3.16,2.38,3.06,4.72,4.72,2.91,1.69,2.5,2.44,0.69,-0.81,0.81,3.03,2.5,1.5,2.09,3.34,2.34,-0.03,-0.78,0.34,0.59,-0.56,-0.97,0.88,2.19,0.94,-0.47,0.5,1.78,0.72,-1.16,-0.78,0.88,0.25,-1.62,-2.38,-1.34,-1.81,-3.84,-5.25,-3.75,-2.22,-2.22,-1.91,1.25,5.34,6.62,5.88,6.44,7.56,6.94,4.91,4.19,5.72,6.25,4.59,3.38,4.31,5.41,4.69,3.72,5.38,8.12,8.75,8.38,9.69,12.22,13.16,11.38,10.41,10.38,9.66,6.75,4.12,4.38,5.0,4.09,2.41,3.28,5.28,5.5,4.53,5.0,7.06,7.91,6.66,6.31,7.84,9.03,8.09,6.75,8.06,9.59,9.44,7.84,7.78,9.03,8.44,6.41,5.88,7.25,7.75,6.41,5.81,7.44,9.0,8.34,7.31,8.25,10.06,10.44,9.53,10.22,11.81,11.19,8.03,5.88,6.25,6.22,4.28,2.91,3.97,4.47,2.31,-0.69,-1.38,-1.41,-2.28,-4.66,-4.16,-1.81,-0.62,-1.28,-1.22,1.03,2.56,1.94,1.56,3.22,5.31,4.81,2.56,2.59,3.88,3.78,2.66,3.19,5.59,6.69,5.16,4.34,5.88,7.38,6.19,4.41,4.5,4.28,1.94,-1.59,-3.38,-3.38,-4.09,-6.12,-5.97,-3.72,-1.59,-1.91,-1.84,0.06,1.56,0.0,-1.97,-1.72,-0.47,-0.31,-1.31,-0.59,1.41,1.66,-0.91,-3.0,-2.91,-3.84,-6.81,-9.28,-8.91,-8.0,-8.84,-9.72,-8.28,-5.81,-4.62,-4.81,-3.41,-0.72,0.38,-1.28,-2.16,-1.06,0.22,-0.66,-1.47,-0.19,1.12,0.16,-1.09,-0.5,1.5,2.19,1.09,1.47,3.66,4.88,3.31,2.06,2.78,3.38,1.25,-0.53,-0.03,1.31,0.5,-1.31,-1.09,0.5,0.91,-0.09,-0.22,1.47,2.78,1.41,0.41,1.72,3.66,2.94,1.75,2.38,3.25,1.56,-1.84,-3.53,-4.09,-5.34,-8.06,-9.5,-8.25,-6.88,-7.69,-8.34,-6.62,-4.53,-4.62,-5.16,-3.78,-0.94,-0.19,-1.0,-0.69,1.12,1.84,0.81,0.38,2.25,4.38,3.81,3.38,4.78,6.28,5.09,2.41,1.34,1.72,1.47,0.41,1.25,4.53,7.31,7.59,7.97,9.78,11.16,9.75,7.28,6.91,7.59,6.41,4.5,4.66,6.19,6.81,5.84,5.47,6.91,7.59,5.72,3.41,3.31,3.81,1.59,-0.69,-1.06,-0.31,-1.53,-3.5,-3.59,-2.66,-2.66,-4.25,-5.06,-3.69,-2.34,-3.06,-4.19,-2.88,-0.88,-1.28,-1.78,-0.84,1.56,2.41,1.31,1.75,3.78,5.34,4.5,3.91,5.09,5.69,3.59,1.06,1.03,2.22,2.19,1.25,1.72,3.38,3.03,0.97,-0.16,0.81,1.53,0.34,-0.47,0.5,1.38,-0.06,-2.59,-3.16,-2.28,-3.03,-4.06,-3.25,-0.06,1.59,1.72,2.12,4.0,4.97,3.16,1.0,0.25,-0.03,-2.5,-5.44,-6.47,-5.94,-7.19,-9.41,-10.38,-9.09,-8.31,-9.06,-8.78,-5.84,-2.59,-1.81,-1.5,0.38,2.66,2.53,1.03,0.88,1.91,1.66,0.41,0.34,3.16,4.84,4.53,3.34,3.72,3.56,0.75,-2.34,-2.72,-1.53,-1.34,-1.88,-1.59,-0.03,0.28,-1.31,-2.25,-0.75,-0.03,-1.12,-1.72,-0.56,1.34,1.12,-0.03,0.88,2.84,3.12,1.62,1.47,3.12,3.31,1.06,-0.66,-0.41,-0.78,-2.72,-4.56,-3.78,-1.78,-1.75,-2.62,-1.81,-0.03,0.28,-1.34,-1.5,0.09,1.31,0.34,-0.72,0.5,1.47,0.75,-0.31,0.94,2.91,3.12,1.91,1.94,3.38,3.31,1.5,0.03,0.69,0.94,-1.06,-2.69,-1.66,-0.91,-2.5,-4.72,-5.28,-4.5,-4.75,-5.72,-4.84,-2.09,-0.28,-0.91,-0.69,1.28,2.44,1.16,-0.31,1.09,3.06,3.75,4.03,6.31,9.5,10.88,10.5,10.75,12.69,13.44,11.47,9.25,9.0,8.66,6.44,4.81,5.91,7.75,7.38,5.62,4.94,5.62,5.62,4.53,4.78,7.16,8.16,6.28,4.25,4.53,4.97,4.0,3.09,5.44,8.66,10.28,10.38,11.19,12.06,11.5,8.59,6.75,7.69,9.0,8.44,7.94,9.41,10.88,10.19,8.03,7.81,8.69,8.53,7.0,6.88,8.47,9.72,8.56,8.44,10.5,12.44,12.25,11.25,12.38,13.69,12.84,10.72,10.81,12.31,13.25,12.53,13.38,15.72,16.97,15.84,14.38,15.25,15.72,14.28,12.59,13.72,15.53,15.44,13.94,13.66,14.31,13.16,10.5,8.59,8.59,8.25,5.72,3.16,3.31,3.84,2.84,1.84,3.28,5.62,6.59,6.06,7.03,9.19,10.91,10.91,11.88,15.19,18.09,17.94,16.84,17.31,17.12,14.72,10.97,9.56,9.84,9.09,7.75,7.81,9.34,9.59,7.5,5.5,5.69,6.44,5.41,4.5,6.62,9.84,10.75,9.84,10.38,11.25,10.5,8.16,7.25,8.34,9.44,8.59,8.47,10.41,12.81,12.47,10.81,11.22,12.28,11.38,8.62,7.59,8.41,8.06,5.81,5.09,6.56,8.06,7.09,6.25,7.62,9.03,8.78,7.38,8.44,10.56,11.06,9.97,10.19,11.53,12.25,11.06,10.44,12.09,13.38,11.0,7.5,5.91,5.19,2.84,0.78,1.34,3.81,4.69,3.91,4.12,5.59,6.22,4.66,3.84,5.62,7.75,7.88,7.75,9.62,12.34,12.75,11.38,11.19,11.88,10.59,7.25,5.41,5.56,5.94,4.53,3.47,4.56,5.66,4.62,2.97,3.53,5.53,5.31,4.19,4.81,7.06,8.62,8.06,7.62,8.78,9.03,7.0,5.22,6.03,7.69,7.34,6.28,7.12,9.03,9.38,8.69,9.38,11.69,13.0,11.72,10.81,11.5,11.69,9.66,7.34,7.03,7.72,6.38,4.06,3.56,4.56,4.38,2.5,1.56,2.81,3.19,0.91,-0.56,0.47,2.84,3.75,5.41,9.06,13.31,14.69,13.31,12.66,13.47,13.41,11.56,10.75,12.25,13.03,11.22,9.59,10.28,11.44,10.62,9.09,9.69,11.62,11.72,10.16,9.78,11.22,11.62,9.97,9.75,11.81,13.72,13.38,12.91,14.81,17.44,17.72,17.66,19.19,22.0,23.16,22.0,21.38,21.47,19.78,15.16,11.06,9.53,8.34,5.47,3.53,4.16,6.03,6.38,5.72,7.12,10.78,13.38,15.28,18.28,23.44,26.84,27.25,26.56,27.25,28.09,26.19,24.19,24.22,25.5,24.28,21.53,19.72,19.62,18.75,16.19,14.88,16.47,17.44,16.09,14.72,15.5,16.94,16.03,14.0,13.66,14.0,12.75,10.25,9.5,10.84,11.62,9.97,8.53,9.41,10.62,9.38,8.69,11.03,14.12,14.62,13.62,13.5,14.16,12.81,10.22,8.81,10.38,11.88,11.31,11.56,14.59,17.5,17.34,16.53,17.75,19.22,18.22,16.31,15.28,15.91,14.69,11.41,8.97,9.31,9.22,7.78,6.81,9.03,11.84,12.16,12.28,14.56,17.81,18.66,17.72,17.34,18.25,17.47,15.62,15.0,17.84,20.62,21.12,21.19,23.41,25.41,24.38,22.53,22.41,22.84,21.44,18.19,16.5,17.03,17.06,15.91,15.5,17.97,20.34,20.28,19.25,20.34,21.53,19.66,16.34,14.84,15.0,13.78,11.56,10.88,12.62,13.75,12.53,11.66,13.19,14.81,14.66,14.34,16.66,19.97,21.16,20.66,21.47,23.53,23.59,21.84,21.0,22.22,22.84,21.56,20.38,21.69,23.12,21.72,18.97,18.41,18.69,17.81,16.38,17.81,21.66,24.91,25.81,27.25,30.53,32.69,31.75,30.41,31.12,32.12,30.88,29.28,27.75,25.97,23.47,22.31,22.69,23.56,23.25,22.75,23.94,25.16,25.47,24.66,24.09,24.12,23.38,21.44,21.25,22.75,24.66,25.0,25.81,28.19,30.41,31.28,32.28,34.38,36.81,37.59:10.12,8.06,6.47,7.28,9.0,8.62,7.66,9.31,12.72,14.34,14.62,16.44,19.88,22.09,22.0,22.44,24.66,25.75,24.03,21.38,20.62,20.16,17.72,14.56,13.91,15.38,15.97,15.59,16.31,19.06,21.0,20.03,19.72,21.41,23.25,22.5,21.03,21.03,22.16,20.72,17.88,16.59,16.75,15.62,12.44,10.75,11.78,13.09,12.31,12.31,14.59,16.78,15.66,13.59,13.19,14.19,14.03,13.28,14.59,17.78,19.84,19.56,19.09,19.88,20.09,17.91,14.91,14.53,15.12,13.62,11.09,10.44,11.0,10.0,7.0,5.12,4.75,3.5,-0.03,-2.72,-2.53,-1.91,-3.31,-4.81,-4.28,-2.38,-2.94,-4.81,-4.88,-3.44,-3.0,-3.91,-3.47,-1.09,1.0,-0.12,-1.16,-0.16,1.75,1.5,0.97,2.34,3.59,2.34,-0.97,-2.88,-2.75,-2.97,-4.09,-4.06,-1.22,1.19,1.12,0.94,2.66,4.69,4.25,2.84,3.16,4.62,4.59,2.81,1.91,3.03,2.91,0.5,-1.16,-0.41,0.81,-0.47,-1.75,-0.75,1.06,0.66,-0.41,-0.09,2.0,2.5,1.31,0.38,1.84,2.44,0.78,0.22,2.12,4.88,5.38,5.16,6.66,8.78,8.34,6.66,6.03,7.38,7.25,5.16,4.16,5.59,6.5,5.62,4.53,5.41,6.19,4.41,1.66,1.22,2.72,3.19,2.34,2.62,4.56,4.38,1.81,-0.81,-0.88,-0.47,-1.75,-2.66,-0.38,2.53,3.16,2.38,3.06,4.72,4.72,2.91,1.69,2.5,2.44,0.69,-0.81,0.81,3.03,2.5,1.5,2.09,3.34,2.34,-0.03,-0.78,0.34,0.59,-0.56,-0.97,0.88,2.19,0.94,-0.47,0.5,1.78,0.72,-1.16,-0.78,0.88,0.25,-1.62,-2.38,-1.34,-1.81,-3.84,-5.25,-3.75,-2.22,-2.22,-1.91,1.25,5.34,6.62,5.88,6.44,7.56,6.94,4.91,4.19,5.72,6.25,4.59,3.38,4.31,5.41,4.69,3.72,5.38,8.12,8.75,8.38,9.69,12.22,13.16,11.38,10.41,10.38,9.66,6.75,4.12,4.38,5.0,4.09,2.41,3.28,5.28,5.5,4.53,5.0,7.06,7.91,6.66,6.31,7.84,9.03,8.09,6.75,8.06,9.59,9.44,7.84,7.78,9.03,8.44,6.41,5.88,7.25,7.75,6.41,5.81,7.44,9.0,8.34,7.31,8.25,10.06,10.44,9.53,10.22,11.81,11.19,8.03,5.88,6.25,6.22,4.28,2.91,3.97,4.47,2.31,-0.69,-1.38,-1.41,-2.28,-4.66,-4.16,-1.81,-0.62,-1.28,-1.22,1.03,2.56,1.94,1.56,3.22,5.31,4.81,2.56,2.59,3.88,3.78,2.66,3.19,5.59,6.69,5.16,4.34,5.88,7.38,6.19,4.41,4.5,4.28,1.94,-1.59,-3.38,-3.38,-4.09,-6.12,-5.97,-3.72,-1.59,-1.91,-1.84,0.06,1.56,0.0,-1.97,-1.72,-0.47,-0.31,-1.31,-0.59,1.41,1.66,-0.91,-3.0,-2.91,-3.84,-6.81,-9.28,-8.91,-8.0,-8.84,-9.72,-8.28,-5.81,-4.62,-4.81,-3.41,-0.72,0.38,-1.28,-2.16,-1.06,0.22,-0.66,-1.47,-0.19,1.12,0.16,-1.09,-0.5,1.5,2.19,1.09,1.47,3.66,4.88,3.31,2.06,2.78,3.38,1.25,-0.53,-0.03,1.31,0.5,-1.31,-1.09,0.5,0.91,-0.09,-0.22,1.47,2.78,1.41,0.41,1.72,3.66,2.94,1.75,2.38,3.25,1.56,-1.84,-3.53,-4.09,-5.34,-8.06,-9.5,-8.25,-6.88,-7.69,-8.34,-6.62,-4.53,-4.62,-5.16,-3.78,-0.94,-0.19,-1.0,-0.69,1.12,1.84,0.81,0.38,2.25,4.38,3.81,3.38,4.78,6.28,5.09,2.41,1.34,1.72,1.47,0.41,1.25,4.53,7.31,7.59,7.97,9.78,11.16,9.75,7.28,6.91,7.59,6.41,4.5,4.66,6.19,6.81,5.84,5.47,6.91,7.59,5.72,3.41,3.31,3.81,1.59,-0.69,-1.06,-0.31,-1.53,-3.5,-3.59,-2.66,-2.66,-4.25,-5.06,-3.69,-2.34,-3.06,-4.19,-2.88,-0.88,-1.28,-1.78,-0.84,1.56,2.41,1.31,1.75,3.78,5.34,4.5,3.91,5.09,5.69,3.59,1.06,1.03,2.22,2.19,1.25,1.72,3.38,3.03,0.97,-0.16,0.81,1.53,0.34,-0.47,0.5,1.38,-0.06,-2.59,-3.16,-2.28,-3.03,-4.06,-3.25,-0.06,1.59,1.72,2.12,4.0,4.97,3.16,1.0,0.25,-0.03,-2.5,-5.44,-6.47,-5.94,-7.19,-9.41,-10.38,-9.09,-8.31,-9.06,-8.78,-5.84,-2.59,-1.81,-1.5,0.38,2.66,2.53,1.03,0.88,1.91,1.66,0.41,0.34,3.16,4.84,4.53,3.34,3.72,3.56,0.75,-2.34,-2.72,-1.53,-1.34,-1.88,-1.59,-0.03,0.28,-1.31,-2.25,-0.75,-0.03,-1.12,-1.72,-0.56,1.34,1.12,-0.03,0.88,2.84,3.12,1.62,1.47,3.12,3.31,1.06,-0.66,-0.41,-0.78,-2.72,-4.56,-3.78,-1.78,-1.75,-2.62,-1.81,-0.03,0.28,-1.34,-1.5,0.09,1.31,0.34,-0.72,0.5,1.47,0.75,-0.31,0.94,2.91,3.12,1.91,1.94,3.38,3.31,1.5,0.03,0.69,0.94,-1.06,-2.69,-1.66,-0.91,-2.5,-4.72,-5.28,-4.5,-4.75,-5.72,-4.84,-2.09,-0.28,-0.91,-0.69,1.28,2.44,1.16,-0.31,1.09,3.06,3.75,4.03,6.31,9.5,10.88,10.5,10.75,12.69,13.44,11.47,9.25,9.0,8.66,6.44,4.81,5.91,7.75,7.38,5.62,4.94,5.62,5.62,4.53,4.78,7.16,8.16,6.28,4.25,4.53,4.97,4.0,3.09,5.44,8.66,10.28,10.38,11.19,12.06,11.5,8.59,6.75,7.69,9.0,8.44,7.94,9.41,10.88,10.19,8.03,7.81,8.69,8.53,7.0,6.88,8.47,9.72,8.56,8.44,10.5,12.44,12.25,11.25,12.38,13.69,12.84,10.72,10.81,12.31,13.25,12.53,13.38,15.72,16.97,15.84,14.38,15.25,15.72,14.28,12.59,13.72,15.53,15.44,13.94,13.66,14.31,13.16,10.5,8.59,8.59,8.25,5.72,3.16,3.31,3.84,2.84,1.84,3.28,5.62,6.59,6.06,7.03,9.19,10.91,10.91,11.88,15.19,18.09,17.94,16.84,17.31,17.12,14.72,10.97,9.56,9.84,9.09,7.75,7.81,9.34,9.59,7.5,5.5,5.69,6.44,5.41,4.5,6.62,9.84,10.75,9.84,10.38,11.25,10.5,8.16,7.25,8.34,9.44,8.59,8.47,10.41,12.81,12.47,10.81,11.22,12.28,11.38,8.62,7.59,8.41,8.06,5.81,5.09,6.56,8.06,7.09,6.25,7.62,9.03,8.78,7.38,8.44,10.56,11.06,9.97,10.19,11.53,12.25,11.06,10.44,12.09,13.38,11.0,7.5,5.91,5.19,2.84,0.78,1.34,3.81,4.69,3.91,4.12,5.59,6.22,4.66,3.84,5.62,7.75,7.88,7.75,9.62,12.34,12.75,11.38,11.19,11.88,10.59,7.25,5.41,5.56,5.94,4.53,3.47,4.56,5.66,4.62,2.97,3.53,5.53,5.31,4.19,4.81,7.06,8.62,8.06,7.62,8.78,9.03,7.0,5.22,6.03,7.69,7.34,6.28,7.12,9.03,9.38,8.69,9.38,11.69,13.0,11.72,10.81,11.5,11.69,9.66,7.34,7.03,7.72,6.38,4.06,3.56,4.56,4.38,2.5,1.56,2.81,3.19,0.91,-0.56,0.47,2.84,3.75,5.41,9.06,13.31,14.69,13.31,12.66,13.47,13.41,11.56,10.75,12.25,13.03,11.22,9.59,10.28,11.44,10.62,9.09,9.69,11.62,11.72,10.16,9.78,11.22,11.62,9.97,9.75,11.81,13.72,13.38,12.91,14.81,17.44,17.72,17.66,19.19,22.0,23.16,22.0,21.38,21.47,19.78,15.16,11.06,9.53,8.34,5.47,3.53,4.16,6.03,6.38,5.72,7.12,10.78,13.38,15.28,18.28,23.44,26.84,27.25,26.56,27.25,28.09,26.19,24.19,24.22,25.5,24.28,21.53,19.72,19.62,18.75,16.19,14.88,16.47,17.44,16.09,14.72,15.5,16.94,16.03,14.0,13.66,14.0,12.75,10.25,9.5,10.84,11.62,9.97,8.53,9.41,10.62,9.38,8.69,11.03,14.12,14.62,13.62,13.5,14.16,12.81,10.22,8.81,10.38,11.88,11.31,11.56,14.59,17.5,17.34,16.53,17.75,19.22,18.22,16.31,15.28,15.91,14.69,11.41,8.97,9.31,9.22,7.78,6.81,9.03,11.84,12.16,12.28,14.56,17.81,18.66,17.72,17.34,18.25,17.47,15.62,15.0,17.84,20.62,21.12,21.19,23.41,25.41,24.38,22.53,22.41,22.84,21.44,18.19,16.5,17.03,17.06,15.91,15.5,17.97,20.34,20.28,19.25,20.34,21.53,19.66,16.34,14.84,15.0,13.78,11.56,10.88,12.62,13.75,12.53,11.66,13.19,14.81,14.66,14.34,16.66,19.97,21.16,20.66,21.47,23.53,23.59,21.84,21.0,22.22,22.84,21.56,20.38,21.69,23.12,21.72,18.97,18.41,18.69,17.81,16.38,17.81,21.66,24.91,25.81,27.25,30.53,32.69,31.75,30.41,31.12,32.12,30.88,29.28,27.75,25.97,23.47,22.31,22.69,23.56,23.25,22.75,23.94,25.16,25.47,24.66,24.09,24.12,23.38,21.44,21.25,22.75,24.66,25.0,25.81,28.19,30.41,31.28,32.28,34.38,36.81,37.59,36.62,35.66,34.94,32.91,29.34,26.53,25.25:9.31,12.72,14.34,14.62,16.44,19.88,22.09,22.0,22.44,24.66,25.75,24.03,21.38,20.62,20.16,17.72,14.56,13.91,15.38,15.97,15.59,16.31,19.06,21.0,20.03,19.72,21.41,23.25,22.5,21.03,21.03,22.16,20.72,17.88,16.59,16.75,15.62,12.44,10.75,11.78,13.09,12.31,12.31,14.59,16.78,15.66,13.59,13.19,14.19,14.03,13.28,14.59,17.78,19.84,19.56,19.09,19.88,20.09,17.91,14.91,14.53,15.12,13.62,11.09,10.44,11.0,10.0,7.0,5.12,4.75,3.5,-0.03,-2.72,-2.53,-1.91,-3.31,-4.81,-4.28,-2.38,-2.94,-4.81,-4.88,-3.44,-3.0,-3.91,-3.47,-1.09,1.0,-0.12,-1.16,-0.16,1.75,1.5,0.97,2.34,3.59,2.34,-0.97,-2.88,-2.75,-2.97,-4.09,-4.06,-1.22,1.19,1.12,0.94,2.66,4.69,4.25,2.84,3.16,4.62,4.59,2.81,1.91,3.03,2.91,0.5,-1.16,-0.41,0.81,-0.47,-1.75,-0.75,1.06,0.66,-0.41,-0.09,2.0,2.5,1.31,0.38,1.84,2.44,0.78,0.22,2.12,4.88,5.38,5.16,6.66,8.78,8.34,6.66,6.03,7.38,7.25,5.16,4.16,5.59,6.5,5.62,4.53,5.41,6.19,4.41,1.66,1.22,2.72,3.19,2.34,2.62,4.56,4.38,1.81,-0.81,-0.88,-0.47,-1.75,-2.66,-0.38,2.53,3.16,2.38,3.06,4.72,4.72,2.91,1.69,2.5,2.44,0.69,-0.81,0.81,3.03,2.5,1.5,2.09,3.34,2.34,-0.03,-0.78,0.34,0.59,-0.56,-0.97,0.88,2.19,0.94,-0.47,0.5,1.78,0.72,-1.16,-0.78,0.88,0.25,-1.62,-2.38,-1.34,-1.81,-3.84,-5.25,-3.75,-2.22,-2.22,-1.91,1.25,5.34,6.62,5.88,6.44,7.56,6.94,4.91,4.19,5.72,6.25,4.59,3.38,4.31,5.41,4.69,3.72,5.38,8.12,8.75,8.38,9.69,12.22,13.16,11.38,10.41,10.38,9.66,6.75,4.12,4.38,5.0,4.09,2.41,3.28,5.28,5.5,4.53,5.0,7.06,7.91,6.66,6.31,7.84,9.03,8.09,6.75,8.06,9.59,9.44,7.84,7.78,9.03,8.44,6.41,5.88,7.25,7.75,6.41,5.81,7.44,9.0,8.34,7.31,8.25,10.06,10.44,9.53,10.22,11.81,11.19,8.03,5.88,6.25,6.22,4.28,2.91,3.97,4.47,2.31,-0.69,-1.38,-1.41,-2.28,-4.66,-4.16,-1.81,-0.62,-1.28,-1.22,1.03,2.56,1.94,1.56,3.22,5.31,4.81,2.56,2.59,3.88,3.78,2.66,3.19,5.59,6.69,5.16,4.34,5.88,7.38,6.19,4.41,4.5,4.28,1.94,-1.59,-3.38,-3.38,-4.09,-6.12,-5.97,-3.72,-1.59,-1.91,-1.84,0.06,1.56,0.0,-1.97,-1.72,-0.47,-0.31,-1.31,-0.59,1.41,1.66,-0.91,-3.0,-2.91,-3.84,-6.81,-9.28,-8.91,-8.0,-8.84,-9.72,-8.28,-5.81,-4.62,-4.81,-3.41,-0.72,0.38,-1.28,-2.16,-1.06,0.22,-0.66,-1.47,-0.19,1.12,0.16,-1.09,-0.5,1.5,2.19,1.09,1.47,3.66,4.88,3.31,2.06,2.78,3.38,1.25,-0.53,-0.03,1.31,0.5,-1.31,-1.09,0.5,0.91,-0.09,-0.22,1.47,2.78,1.41,0.41,1.72,3.66,2.94,1.75,2.38,3.25,1.56,-1.84,-3.53,-4.09,-5.34,-8.06,-9.5,-8.25,-6.88,-7.69,-8.34,-6.62,-4.53,-4.62,-5.16,-3.78,-0.94,-0.19,-1.0,-0.69,1.12,1.84,0.81,0.38,2.25,4.38,3.81,3.38,4.78,6.28,5.09,2.41,1.34,1.72,1.47,0.41,1.25,4.53,7.31,7.59,7.97,9.78,11.16,9.75,7.28,6.91,7.59,6.41,4.5,4.66,6.19,6.81,5.84,5.47,6.91,7.59,5.72,3.41,3.31,3.81,1.59,-0.69,-1.06,-0.31,-1.53,-3.5,-3.59,-2.66,-2.66,-4.25,-5.06,-3.69,-2.34,-3.06,-4.19,-2.88,-0.88,-1.28,-1.78,-0.84,1.56,2.41,1.31,1.75,3.78,5.34,4.5,3.91,5.09,5.69,3.59,1.06,1.03,2.22,2.19,1.25,1.72,3.38,3.03,0.97,-0.16,0.81,1.53,0.34,-0.47,0.5,1.38,-0.06,-2.59,-3.16,-2.28,-3.03,-4.06,-3.25,-0.06,1.59,1.72,2.12,4.0,4.97,3.16,1.0,0.25,-0.03,-2.5,-5.44,-6.47,-5.94,-7.19,-9.41,-10.38,-9.09,-8.31,-9.06,-8.78,-5.84,-2.59,-1.81,-1.5,0.38,2.66,2.53,1.03,0.88,1.91,1.66,0.41,0.34,3.16,4.84,4.53,3.34,3.72,3.56,0.75,-2.34,-2.72,-1.53,-1.34,-1.88,-1.59,-0.03,0.28,-1.31,-2.25,-0.75,-0.03,-1.12,-1.72,-0.56,1.34,1.12,-0.03,0.88,2.84,3.12,1.62,1.47,3.12,3.31,1.06,-0.66,-0.41,-0.78,-2.72,-4.56,-3.78,-1.78,-1.75,-2.62,-1.81,-0.03,0.28,-1.34,-1.5,0.09,1.31,0.34,-0.72,0.5,1.47,0.75,-0.31,0.94,2.91,3.12,1.91,1.94,3.38,3.31,1.5,0.03,0.69,0.94,-1.06,-2.69,-1.66,-0.91,-2.5,-4.72,-5.28,-4.5,-4.75,-5.72,-4.84,-2.09,-0.28,-0.91,-0.69,1.28,2.44,1.16,-0.31,1.09,3.06,3.75,4.03,6.31,9.5,10.88,10.5,10.75,12.69,13.44,11.47,9.25,9.0,8.66,6.44,4.81,5.91,7.75,7.38,5.62,4.94,5.62,5.62,4.53,4.78,7.16,8.16,6.28,4.25,4.53,4.97,4.0,3.09,5.44,8.66,10.28,10.38,11.19,12.06,11.5,8.59,6.75,7.69,9.0,8.44,7.94,9.41,10.88,10.19,8.03,7.81,8.69,8.53,7.0,6.88,8.47,9.72,8.56,8.44,10.5,12.44,12.25,11.25,12.38,13.69,12.84,10.72,10.81,12.31,13.25,12.53,13.38,15.72,16.97,15.84,14.38,15.25,15.72,14.28,12.59,13.72,15.53,15.44,13.94,13.66,14.31,13.16,10.5,8.59,8.59,8.25,5.72,3.16,3.31,3.84,2.84,1.84,3.28,5.62,6.59,6.06,7.03,9.19,10.91,10.91,11.88,15.19,18.09,17.94,16.84,17.31,17.12,14.72,10.97,9.56,9.84,9.09,7.75,7.81,9.34,9.59,7.5,5.5,5.69,6.44,5.41,4.5,6.62,9.84,10.75,9.84,10.38,11.25,10.5,8.16,7.25,8.34,9.44,8.59,8.47,10.41,12.81,12.47,10.81,11.22,12.28,11.38,8.62,7.59,8.41,8.06,5.81,5.09,6.56,8.06,7.09,6.25,7.62,9.03,8.78,7.38,8.44,10.56,11.06,9.97,10.19,11.53,12.25,11.06,10.44,12.09,13.38,11.0,7.5,5.91,5.19,2.84,0.78,1.34,3.81,4.69,3.91,4.12,5.59,6.22,4.66,3.84,5.62,7.75,7.88,7.75,9.62,12.34,12.75,11.38,11.19,11.88,10.59,7.25,5.41,5.56,5.94,4.53,3.47,4.56,5.66,4.62,2.97,3.53,5.53,5.31,4.19,4.81,7.06,8.62,8.06,7.62,8.78,9.03,7.0,5.22,6.03,7.69,7.34,6.28,7.12,9.03,9.38,8.69,9.38,11.69,13.0,11.72,10.81,11.5,11.69,9.66,7.34,7.03,7.72,6.38,4.06,3.56,4.56,4.38,2.5,1.56,2.81,3.19,0.91,-0.56,0.47,2.84,3.75,5.41,9.06,13.31,14.69,13.31,12.66,13.47,13.41,11.56,10.75,12.25,13.03,11.22,9.59,10.28,11.44,10.62,9.09,9.69,11.62,11.72,10.16,9.78,11.22,11.62,9.97,9.75,11.81,13.72,13.38,12.91,14.81,17.44,17.72,17.66,19.19,22.0,23.16,22.0,21.38,21.47,19.78,15.16,11.06,9.53,8.34,5.47,3.53,4.16,6.03,6.38,5.72,7.12,10.78,13.38,15.28,18.28,23.44,26.84,27.25,26.56,27.25,28.09,26.19,24.19,24.22,25.5,24.28,21.53,19.72,19.62,18.75,16.19,14.88,16.47,17.44,16.09,14.72,15.5,16.94,16.03,14.0,13.66,14.0,12.75,10.25,9.5,10.84,11.62,9.97,8.53,9.41,10.62,9.38,8.69,11.03,14.12,14.62,13.62,13.5,14.16,12.81,10.22,8.81,10.38,11.88,11.31,11.56,14.59,17.5,17.34,16.53,17.75,19.22,18.22,16.31,15.28,15.91,14.69,11.41,8.97,9.31,9.22,7.78,6.81,9.03,11.84,12.16,12.28,14.56,17.81,18.66,17.72,17.34,18.25,17.47,15.62,15.0,17.84,20.62,21.12,21.19,23.41,25.41,24.38,22.53,22.41,22.84,21.44,18.19,16.5,17.03,17.06,15.91,15.5,17.97,20.34,20.28,19.25,20.34,21.53,19.66,16.34,14.84,15.0,13.78,11.56,10.88,12.62,13.75,12.53,11.66,13.19,14.81,14.66,14.34,16.66,19.97,21.16,20.66,21.47,23.53,23.59,21.84,21.0,22.22,22.84,21.56,20.38,21.69,23.12,21.72,18.97,18.41,18.69,17.81,16.38,17.81,21.66,24.91,25.81,27.25,30.53,32.69,31.75,30.41,31.12,32.12,30.88,29.28,27.75,25.97,23.47,22.31,22.69,23.56,23.25,22.75,23.94,25.16,25.47,24.66,24.09,24.12,23.38,21.44,21.25,22.75,24.66,25.0,25.81,28.19,30.41,31.28,32.28,34.38,36.81,37.59,36.62,35.66,34.94,32.91,29.34,26.53,25.25,24.38,22.53,21.47,22.0,23.69,24.06,24.41:negativity
-6.44,-6.97,-6.06,-4.88,-3.94,-2.69,-0.5,0.81,0.62,-0.06,-0.38,-0.34,-0.59,-0.56,0.75,3.09,5.69,7.0,8.66,10.75,12.31,13.09,14.19,16.41,18.41,18.91,18.25,17.34,15.69,13.0,9.09,5.75,3.69,2.16,0.72,0.88,2.94,5.62,7.66,9.56,12.5,14.62,15.47,15.59,16.22,17.38,17.84,17.66,18.31,19.5,20.41,19.84,19.44,20.03,20.5,20.56,21.19,22.88,24.66,24.91,24.31,24.06,23.59,22.56,20.88,19.81,19.09,18.19,16.59,15.5,15.44,15.84,15.91,16.47,18.53,21.53,23.75,25.84,28.16,30.31,31.38,31.28,31.16,31.66,32.06,31.28,30.56,30.41,30.12,28.94,27.03,25.88,24.81,23.34,21.41,19.88,19.59,19.06,17.31,15.75,14.69,13.25,11.16,9.31,8.66,8.78,8.28,7.25,6.5,5.56,3.34,0.28,-2.31,-3.31,-3.97,-4.5,-4.19,-2.84,-1.31,-0.22,0.53,2.06,4.62,6.94,8.69,11.47,14.69,17.19,18.22,18.69,18.91,18.16,15.94,13.56,11.94,10.38,8.12,5.53,3.41,2.12,0.53,-0.34,0.47,2.72,5.62,8.34,12.06,16.94,21.44,24.81,27.69,29.91,31.72,31.97,31.53,31.47,31.66,30.88,29.38,27.84,26.66,25.19,22.94,20.72,20.19,19.81,18.78,18.19,18.34,18.31,17.16,15.88,14.81,14.97,14.81,14.47,15.06,16.44,17.5,17.22,16.84,16.38,15.75,14.03,12.66,12.22,12.34,11.91,11.41,10.81,10.72,10.28,9.12,8.97,9.31,10.22,10.56,11.5,13.31,15.84,17.94,20.12,22.28,24.44,25.03,25.06,24.66,24.88,24.41,22.97,21.41,20.56,19.81,18.81,18.25,19.0,19.84,19.56,18.16,16.78,15.81,13.97,12.34,10.91,10.41,9.84,8.88,8.66,9.59,11.12,11.94,12.78,14.47,16.25,17.97,19.19,20.59,22.69,23.62,23.31,22.91,22.31,21.28,19.5,17.69,16.19,15.16,13.66,11.97,11.31,11.59,12.31,12.75,13.78,15.56,17.06,17.38,17.06,17.94,17.81,16.81,16.12,16.22,16.78,16.91,16.66,16.88,17.03,16.5,14.78,13.0,11.81,10.56,8.38,6.59,6.38,6.28,5.53,5.09,5.62,6.88,7.34,7.72,8.69,10.41,11.44,12.25,13.38,15.56,17.62,18.72,19.22,19.56,19.03,17.53,14.94,13.5,13.09,12.94,12.59,13.0,13.78,14.22,13.44,12.34,11.84,11.31,10.03,9.09,9.69,10.66,11.69,12.16,13.16,14.5,15.44,15.44,15.62,16.66,16.97,16.34,15.59,15.28,14.66,13.75,12.88,12.88,13.34,13.38,12.41,11.62,11.62,10.91,9.66,9.16,9.69,10.41,10.28,10.31,10.84,11.66,11.91,12.09,13.59,15.91,17.69,18.91,20.03,21.31,21.19,19.72,17.91,16.56,15.25,12.91,10.44,9.22,8.66,7.94,7.22,8.19,9.72,10.78,11.06,11.75,12.56,13.0,13.0,13.41,14.94,17.16,18.59,19.19,19.97,20.19,19.25,17.44,16.06,14.94,14.16,12.44,11.47,11.66,11.78,11.44,11.0,12.12,13.53,14.66,14.84,15.62,16.25,15.88,14.88,14.66,14.88,15.03,14.84,14.53,15.88,17.59,18.5,18.91,20.09,20.75,20.16,18.84,18.22,18.12,18.16,18.31,19.84,21.69,23.88,24.59,24.75,24.59,23.97,22.56,20.62,20.03,20.53,21.0,21.53,22.38,23.5,23.94,23.16,22.59,22.03,21.59,20.06,18.41,17.66,17.31,16.66,16.06,16.66,17.56,17.75,17.09,16.44,15.97,15.59,14.59,14.16,14.47,15.03,14.25,13.5,13.5,13.84,13.69,13.59,14.5,16.28,17.22,17.75,18.19,18.75,19.12,18.62,18.22,18.0,17.88,16.03,13.5,11.09,8.88,6.75,4.62,4.03,4.66,6.0,7.03,8.06,9.97,11.09,11.12,10.72,10.75,12.03,13.22,14.38,16.44,18.31,19.0,18.03,16.84,15.91,15.12,13.56,12.69,13.0,12.88,11.56,10.5,10.06,10.19,10.44,11.28,13.28,16.38,19.34,21.81,24.34,27.19,28.88,29.06,28.78,28.56,28.12,26.66,25.0,23.41,22.16,19.78,17.53,15.88,15.56,15.56,15.25,15.5,16.25,17.31,17.47,18.31,20.31,23.25,25.44,27.5,30.22,33.16,34.88,35.69,36.06,35.91,34.75,31.97,29.25,27.09,25.31,22.75,20.34,19.34,18.88,17.94,17.5,17.84,19.0,18.97,18.34,18.28,18.47,18.97,19.22,20.19,21.66,23.0,22.81,21.97,21.03,19.72,17.56,14.78,12.44,11.62,10.78,10.03,9.66,11.16,12.62,13.66,16.19,20.53,26.03,31.47,36.88,42.19,46.09,47.19,46.12,43.66,41.28,37.94,34.44,31.5,29.62,27.66,24.78,22.12,20.16,18.59,16.47,14.88,14.28,14.62,15.62,17.16,19.91,23.72,26.75,28.34,28.84,29.72,30.25,29.56,28.66,28.09,27.0,24.12,20.69,17.72,15.69,13.97,13.0,12.97,14.31,15.0,15.16,14.44,14.59,14.62,13.97,13.97,15.25,17.66,19.91,22.22,24.62,27.94,30.12,31.16,32.03,33.88,34.84,34.47,33.97,33.56,32.69,30.75,28.5,27.22,26.62,25.34,23.75,22.69,22.31,21.06,19.19,17.34,16.81,15.84,14.41,12.94,13.22,14.0,15.09,16.47,18.97,21.88,24.53,25.97,27.03,28.75,30.03,30.31,30.53,31.97,33.03,33.22,32.22,31.91,31.72,30.28,28.41,27.22,27.16,26.53,25.84,25.25,25.59,25.62,24.62,23.53,23.72,24.75,24.88,25.38,27.0,28.12,27.97,26.31,24.25,21.78,18.56,14.78,11.41,9.69,8.66,7.62,7.38,8.28,9.81,10.41,11.41,12.97,15.25,16.81,17.88,19.16,21.0,22.28,22.41,22.12,22.81,23.09,22.41,21.03,19.97,18.69,16.38,13.91,12.81,12.81,12.84,12.59,13.12,15.16,16.97,18.56,20.31,22.78,24.88,25.59,24.88,24.5,23.72,22.53,20.62,20.09,20.84,21.72,22.12,22.94,24.34,24.62,23.25,21.25,20.22,19.31,18.12,16.94,17.0,16.81,16.12,14.66,13.66,13.53,13.59,13.12,13.75,14.84,15.88,15.84,15.12,15.47,16.28,17.03,17.97,19.69,21.97,23.41,23.56,23.44,23.75,23.72,22.78,22.22,23.06,23.62,22.97,21.62,20.44,19.06,17.53,15.41,14.56,15.03,15.59,16.06,17.44,19.97,22.75,24.22,25.53,27.56,28.66,28.44,27.78,27.56,28.06,28.44,28.59,29.09,29.66,29.12,27.16,25.06,23.44,21.75,19.44,17.25,16.69,16.75,16.06,15.66,16.25,17.0,17.72,18.44,19.78,22.09,24.34,25.62,26.53,27.69,27.97,26.59,24.88,24.16,23.47,22.22,20.12,18.59,17.38,16.16,14.28,13.31,13.09,12.94,12.09,11.25,11.47,12.0,11.62,10.91,10.97,11.28,11.41,11.22,11.97,13.72,15.09,15.69,16.53,17.84,19.25,19.12,18.66,18.22,17.78,16.31,14.5,13.97,14.78,15.75,16.75,18.69,20.94,22.41,21.88,20.78,19.81,18.69,16.78,15.62,15.41,15.88,15.75,14.91,13.81,12.78,11.28,9.12,8.25,8.03,8.19,7.22,6.22,6.28,6.69,6.25,6.0,6.66,7.06,6.78,6.25,6.56,7.22,7.88,7.56,7.69,8.69,10.0,11.0,12.19,14.12,15.38,15.03,13.59,12.12,11.22,10.16,9.09,8.59,8.88,9.19,8.22,7.62,7.53,7.59,6.12,4.78,4.5,5.03,5.03,5.0,5.12,5.38,4.44,2.84,1.41,0.81,0.53,-0.03,-0.19,0.34,2.0,2.84,3.59,5.22,7.28,8.97,10.0,12.03,14.22,15.75,16.16,16.78,17.5,17.66,16.47,14.84,13.81,13.22,12.12,11.5,12.19,13.69,15.12,15.84,16.94,18.06,18.66,18.06,17.06,17.31,17.56,17.44,17.44,18.12,19.41,19.94,20.12,21.22,22.75,24.0,24.12,24.44,25.06,25.09,24.22,23.09,22.62,22.22,20.84,19.38,18.69,18.53,17.94,17.28,17.44,18.69,19.47,19.91,20.94,22.69,24.81,26.16,27.66,29.47,31.09,31.81,31.91,31.81,32.03,31.03,29.59,27.59,26.25,24.75,22.97,21.97,22.5,23.53,24.78,25.94,27.88,29.62,30.16,29.59,29.31,29.12,28.91,28.72,29.31,31.44,33.44,34.12,34.31,34.62,33.75,31.53,28.78,26.62,24.94,22.88,21.03,19.88,19.75,18.66,17.84,16.88,17.16,16.97,16.09,15.09,14.75,14.69,14.28,14.56,15.91,17.94,19.5,20.69,21.66,22.59,23.0,23.53,24.12,25.84,27.78,28.97,29.84,30.84,31.88,31.59,30.62,30.12,29.34,28.66,27.84,28.06,29.53,30.56,30.59,30.09,30.03,29.12,27.47,25.69,24.94,24.34,23.78,23.12,23.06,23.91,24.47,24.22,24.53,25.78,26.75,27.28,27.41,28.28,29.16,28.59,27.78,27.41,27.22,26.56,25.28,24.81,24.94,25.12,24.91,25.06,26.19,27.06,26.53,25.38,24.94,24.41,23.88,23.34,23.56,24.12,24.19,23.53,23.41,24.28,25.22,25.69,26.19,27.12,27.53,27.22,25.78,25.34,24.44,23.06,21.41,20.31,20.12,19.69,18.84,17.88,17.44,16.84,15.56,14.59,15.12,15.75,15.72,15.5,16.09,17.5,18.53,19.88,21.47,23.41:0.81,0.62,-0.06,-0.38,-0.34,-0.59,-0.56,0.75,3.09,5.69,7.0,8.66,10.75,12.31,13.09,14.19,16.41,18.41,18.91,18.25,17.34,15.69,13.0,9.09,5.75,3.69,2.16,0.72,0.88,2.94,5.62,7.66,9.56,12.5,14.62,15.47,15.59,16.22,17.38,17.84,17.66,18.31,19.5,20.41,19.84,19.44,20.03,20.5,20.56,21.19,22.88,24.66,24.91,24.31,24.06,23.59,22.56,20.88,19.81,19.09,18.19,16.59,15.5,15.44,15.84,15.91,16.47,18.53,21.53,23.75,25.84,28.16,30.31,31.38,31.28,31.16,31.66,32.06,31.28,30.56,30.41,30.12,28.94,27.03,25.88,24.81,23.34,21.41,19.88,19.59,19.06,17.31,15.75,14.69,13.25,11.16,9.31,8.66,8.78,8.28,7.25,6.5,5.56,3.34,0.28,-2.31,-3.31,-3.97,-4.5,-4.19,-2.84,-1.31,-0.22,0.53,2.06,4.62,6.94,8.69,11.47,14.69,17.19,18.22,18.69,18.91,18.16,15.94,13.56,11.94,10.38,8.12,5.53,3.41,2.12,0.53,-0.34,0.47,2.72,5.62,8.34,12.06,16.94,21.44,24.81,27.69,29.91,31.72,31.97,31.53,31.47,31.66,30.88,29.38,27.84,26.66,25.19,22.94,20.72,20.19,19.81,18.78,18.19,18.34,18.31,17.16,15.88,14.81,14.97,14.81,14.47,15.06,16.44,17.5,17.22,16.84,16.38,15.75,14.03,12.66,12.22,12.34,11.91,11.41,10.81,10.72,10.28,9.12,8.97,9.31,10.22,10.56,11.5,13.31,15.84,17.94,20.12,22.28,24.44,25.03,25.06,24.66,24.88,24.41,22.97,21.41,20.56,19.81,18.81,18.25,19.0,19.84,19.56,18.16,16.78,15.81,13.97,12.34,10.91,10.41,9.84,8.88,8.66,9.59,11.12,11.94,12.78,14.47,16.25,17.97,19.19,20.59,22.69,23.62,23.31,22.91,22.31,21.28,19.5,17.69,16.19,15.16,13.66,11.97,11.31,11.59,12.31,12.75,13.78,15.56,17.06,17.38,17.06,17.94,17.81,16.81,16.12,16.22,16.78,16.91,16.66,16.88,17.03,16.5,14.78,13.0,11.81,10.56,8.38,6.59,6.38,6.28,5.53,5.09,5.62,6.88,7.34,7.72,8.69,10.41,11.44,12.25,13.38,15.56,17.62,18.72,19.22,19.56,19.03,17.53,14.94,13.5,13.09,12.94,12.59,13.0,13.78,14.22,13.44,12.34,11.84,11.31,10.03,9.09,9.69,10.66,11.69,12.16,13.16,14.5,15.44,15.44,15.62,16.66,16.97,16.34,15.59,15.28,14.66,13.75,12.88,12.88,13.34,13.38,12.41,11.62,11.62,10.91,9.66,9.16,9.69,10.41,10.28,10.31,10.84,11.66,11.91,12.09,13.59,15.91,17.69,18.91,20.03,21.31,21.19,19.72,17.91,16.56,15.25,12.91,10.44,9.22,8.66,7.94,7.22,8.19,9.72,10.78,11.06,11.75,12.56,13.0,13.0,13.41,14.94,17.16,18.59,19.19,19.97,20.19,19.25,17.44,16.06,14.94,14.16,12.44,11.47,11.66,11.78,11.44,11.0,12.12,13.53,14.66,14.84,15.62,16.25,15.88,14.88,14.66,14.88,15.03,14.84,14.53,15.88,17.59,18.5,18.91,20.09,20.75,20.16,18.84,18.22,18.12,18.16,18.31,19.84,21.69,23.88,24.59,24.75,24.59,23.97,22.56,20.62,20.03,20.53,21.0,21.53,22.38,23.5,23.94,23.16,22.59,22.03,21.59,20.06,18.41,17.66,17.31,16.66,16.06,16.66,17.56,17.75,17.09,16.44,15.97,15.59,14.59,14.16,14.47,15.03,14.25,13.5,13.5,13.84,13.69,13.59,14.5,16.28,17.22,17.75,18.19,18.75,19.12,18.62,18.22,18.0,17.88,16.03,13.5,11.09,8.88,6.75,4.62,4.03,4.66,6.0,7.03,8.06,9.97,11.09,11.12,10.72,10.75,12.03,13.22,14.38,16.44,18.31,19.0,18.03,16.84,15.91,15.12,13.56,12.69,13.0,12.88,11.56,10.5,10.06,10.19,10.44,11.28,13.28,16.38,19.34,21.81,24.34,27.19,28.88,29.06,28.78,28.56,28.12,26.66,25.0,23.41,22.16,19.78,17.53,15.88,15.56,15.56,15.25,15.5,16.25,17.31,17.47,18.31,20.31,23.25,25.44,27.5,30.22,33.16,34.88,35.69,36.06,35.91,34.75,31.97,29.25,27.09,25.31,22.75,20.34,19.34,18.88,17.94,17.5,17.84,19.0,18.97,18.34,18.28,18.47,18.97,19.22,20.19,21.66,23.0,22.81,21.97,21.03,19.72,17.56,14.78,12.44,11.62,10.78,10.03,9.66,11.16,12.62,13.66,16.19,20.53,26.03,31.47,36.88,42.19,46.09,47.19,46.12,43.66,41.28,37.94,34.44,31.5,29.62,27.66,24.78,22.12,20.16,18.59,16.47,14.88,14.28,14.62,15.62,17.16,19.91,23.72,26.75,28.34,28.84,29.72,30.25,29.56,28.66,28.09,27.0,24.12,20.69,17.72,15.69,13.97,13.0,12.97,14.31,15.0,15.16,14.44,14.59,14.62,13.97,13.97,15.25,17.66,19.91,22.22,24.62,27.94,30.12,31.16,32.03,33.88,34.84,34.47,33.97,33.56,32.69,30.75,28.5,27.22,26.62,25.34,23.75,22.69,22.31,21.06,19.19,17.34,16.81,15.84,14.41,12.94,13.22,14.0,15.09,16.47,18.97,21.88,24.53,25.97,27.03,28.75,30.03,30.31,30.53,31.97,33.03,33.22,32.22,31.91,31.72,30.28,28.41,27.22,27.16,26.53,25.84,25.25,25.59,25.62,24.62,23.53,23.72,24.75,24.88,25.38,27.0,28.12,27.97,26.31,24.25,21.78,18.56,14.78,11.41,9.69,8.66,7.62,7.38,8.28,9.81,10.41,11.41,12.97,15.25,16.81,17.88,19.16,21.0,22.28,22.41,22.12,22.81,23.09,22.41,21.03,19.97,18.69,16.38,13.91,12.81,12.81,12.84,12.59,13.12,15.16,16.97,18.56,20.31,22.78,24.88,25.59,24.88,24.5,23.72,22.53,20.62,20.09,20.84,21.72,22.12,22.94,24.34,24.62,23.25,21.25,20.22,19.31,18.12,16.94,17.0,16.81,16.12,14.66,13.66,13.53,13.59,13.12,13.75,14.84,15.88,15.84,15.12,15.47,16.28,17.03,17.97,19.69,21.97,23.41,23.56,23.44,23.75,23.72,22.78,22.22,23.06,23.62,22.97,21.62,20.44,19.06,17.53,15.41,14.56,15.03,15.59,16.06,17.44,19.97,22.75,24.22,25.53,27.56,28.66,28.44,27.78,27.56,28.06,28.44,28.59,29.09,29.66,29.12,27.16,25.06,23.44,21.75,19.44,17.25,16.69,16.75,16.06,15.66,16.25,17.0,17.72,18.44,19.78,22.09,24.34,25.62,26.53,27.69,27.97,26.59,24.88,24.16,23.47,22.22,20.12,18.59,17.38,16.16,14.28,13.31,13.09,12.94,12.09,11.25,11.47,12.0,11.62,10.91,10.97,11.28,11.41,11.22,11.97,13.72,15.09,15.69,16.53,17.84,19.25,19.12,18.66,18.22,17.78,16.31,14.5,13.97,14.78,15.75,16.75,18.69,20.94,22.41,21.88,20.78,19.81,18.69,16.78,15.62,15.41,15.88,15.75,14.91,13.81,12.78,11.28,9.12,8.25,8.03,8.19,7.22,6.22,6.28,6.69,6.25,6.0,6.66,7.06,6.78,6.25,6.56,7.22,7.88,7.56,7.69,8.69,10.0,11.0,12.19,14.12,15.38,15.03,13.59,12.12,11.22,10.16,9.09,8.59,8.88,9.19,8.22,7.62,7.53,7.59,6.12,4.78,4.5,5.03,5.03,5.0,5.12,5.38,4.44,2.84,1.41,0.81,0.53,-0.03,-0.19,0.34,2.0,2.84,3.59,5.22,7.28,8.97,10.0,12.03,14.22,15.75,16.16,16.78,17.5,17.66,16.47,14.84,13.81,13.22,12.12,11.5,12.19,13.69,15.12,15.84,16.94,18.06,18.66,18.06,17.06,17.31,17.56,17.44,17.44,18.12,19.41,19.94,20.12,21.22,22.75,24.0,24.12,24.44,25.06,25.09,24.22,23.09,22.62,22.22,20.84,19.38,18.69,18.53,17.94,17.28,17.44,18.69,19.47,19.91,20.94,22.69,24.81,26.16,27.66,29.47,31.09,31.81,31.91,31.81,32.03,31.03,29.59,27.59,26.25,24.75,22.97,21.97,22.5,23.53,24.78,25.94,27.88,29.62,30.16,29.59,29.31,29.12,28.91,28.72,29.31,31.44,33.44,34.12,34.31,34.62,33.75,31.53,28.78,26.62,24.94,22.88,21.03,19.88,19.75,18.66,17.84,16.88,17.16,16.97,16.09,15.09,14.75,14.69,14.28,14.56,15.91,17.94,19.5,20.69,21.66,22.59,23.0,23.53,24.12,25.84,27.78,28.97,29.84,30.84,31.88,31.59,30.62,30.12,29.34,28.66,27.84,28.06,29.53,30.56,30.59,30.09,30.03,29.12,27.47,25.69,24.94,24.34,23.78,23.12,23.06,23.91,24.47,24.22,24.53,25.78,26.75,27.28,27.41,28.28,29.16,28.59,27.78,27.41,27.22,26.56,25.28,24.81,24.94,25.12,24.91,25.06,26.19,27.06,26.53,25.38,24.94,24.41,23.88,23.34,23.56,24.12,24.19,23.53,23.41,24.28,25.22,25.69,26.19,27.12,27.53,27.22,25.78,25.34,24.44,23.06,21.41,20.31,20.12,19.69,18.84,17.88,17.44,16.84,15.56,14.59,15.12,15.75,15.72,15.5,16.09,17.5,18.53,19.88,21.47,23.41,27.16,28.81,31.69,35.72,39.84,43.34,46.22:0.75,3.09,5.69,7.0,8.66,10.75,12.31,13.09,14.19,16.41,18.41,18.91,18.25,17.34,15.69,13.0,9.09,5.75,3.69,2.16,0.72,0.88,2.94,5.62,7.66,9.56,12.5,14.62,15.47,15.59,16.22,17.38,17.84,17.66,18.31,19.5,20.41,19.84,19.44,20.03,20.5,20.56,21.19,22.88,24.66,24.91,24.31,24.06,23.59,22.56,20.88,19.81,19.09,18.19,16.59,15.5,15.44,15.84,15.91,16.47,18.53,21.53,23.75,25.84,28.16,30.31,31.38,31.28,31.16,31.66,32.06,31.28,30.56,30.41,30.12,28.94,27.03,25.88,24.81,23.34,21.41,19.88,19.59,19.06,17.31,15.75,14.69,13.25,11.16,9.31,8.66,8.78,8.28,7.25,6.5,5.56,3.34,0.28,-2.31,-3.31,-3.97,-4.5,-4.19,-2.84,-1.31,-0.22,0.53,2.06,4.62,6.94,8.69,11.47,14.69,17.19,18.22,18.69,18.91,18.16,15.94,13.56,11.94,10.38,8.12,5.53,3.41,2.12,0.53,-0.34,0.47,2.72,5.62,8.34,12.06,16.94,21.44,24.81,27.69,29.91,31.72,31.97,31.53,31.47,31.66,30.88,29.38,27.84,26.66,25.19,22.94,20.72,20.19,19.81,18.78,18.19,18.34,18.31,17.16,15.88,14.81,14.97,14.81,14.47,15.06,16.44,17.5,17.22,16.84,16.38,15.75,14.03,12.66,12.22,12.34,11.91,11.41,10.81,10.72,10.28,9.12,8.97,9.31,10.22,10.56,11.5,13.31,15.84,17.94,20.12,22.28,24.44,25.03,25.06,24.66,24.88,24.41,22.97,21.41,20.56,19.81,18.81,18.25,19.0,19.84,19.56,18.16,16.78,15.81,13.97,12.34,10.91,10.41,9.84,8.88,8.66,9.59,11.12,11.94,12.78,14.47,16.25,17.97,19.19,20.59,22.69,23.62,23.31,22.91,22.31,21.28,19.5,17.69,16.19,15.16,13.66,11.97,11.31,11.59,12.31,12.75,13.78,15.56,17.06,17.38,17.06,17.94,17.81,16.81,16.12,16.22,16.78,16.91,16.66,16.88,17.03,16.5,14.78,13.0,11.81,10.56,8.38,6.59,6.38,6.28,5.53,5.09,5.62,6.88,7.34,7.72,8.69,10.41,11.44,12.25,13.38,15.56,17.62,18.72,19.22,19.56,19.03,17.53,14.94,13.5,13.09,12.94,12.59,13.0,13.78,14.22,13.44,12.34,11.84,11.31,10.03,9.09,9.69,10.66,11.69,12.16,13.16,14.5,15.44,15.44,15.62,16.66,16.97,16.34,15.59,15.28,14.66,13.75,12.88,12.88,13.34,13.38,12.41,11.62,11.62,10.91,9.66,9.16,9.69,10.41,10.28,10.31,10.84,11.66,11.91,12.09,13.59,15.91,17.69,18.91,20.03,21.31,21.19,19.72,17.91,16.56,15.25,12.91,10.44,9.22,8.66,7.94,7.22,8.19,9.72,10.78,11.06,11.75,12.56,13.0,13.0,13.41,14.94,17.16,18.59,19.19,19.97,20.19,19.25,17.44,16.06,14.94,14.16,12.44,11.47,11.66,11.78,11.44,11.0,12.12,13.53,14.66,14.84,15.62,16.25,15.88,14.88,14.66,14.88,15.03,14.84,14.53,15.88,17.59,18.5,18.91,20.09,20.75,20.16,18.84,18.22,18.12,18.16,18.31,19.84,21.69,23.88,24.59,24.75,24.59,23.97,22.56,20.62,20.03,20.53,21.0,21.53,22.38,23.5,23.94,23.16,22.59,22.03,21.59,20.06,18.41,17.66,17.31,16.66,16.06,16.66,17.56,17.75,17.09,16.44,15.97,15.59,14.59,14.16,14.47,15.03,14.25,13.5,13.5,13.84,13.69,13.59,14.5,16.28,17.22,17.75,18.19,18.75,19.12,18.62,18.22,18.0,17.88,16.03,13.5,11.09,8.88,6.75,4.62,4.03,4.66,6.0,7.03,8.06,9.97,11.09,11.12,10.72,10.75,12.03,13.22,14.38,16.44,18.31,19.0,18.03,16.84,15.91,15.12,13.56,12.69,13.0,12.88,11.56,10.5,10.06,10.19,10.44,11.28,13.28,16.38,19.34,21.81,24.34,27.19,28.88,29.06,28.78,28.56,28.12,26.66,25.0,23.41,22.16,19.78,17.53,15.88,15.56,15.56,15.25,15.5,16.25,17.31,17.47,18.31,20.31,23.25,25.44,27.5,30.22,33.16,34.88,35.69,36.06,35.91,34.75,31.97,29.25,27.09,25.31,22.75,20.34,19.34,18.88,17.94,17.5,17.84,19.0,18.97,18.34,18.28,18.47,18.97,19.22,20.19,21.66,23.0,22.81,21.97,21.03,19.72,17.56,14.78,12.44,11.62,10.78,10.03,9.66,11.16,12.62,13.66,16.19,20.53,26.03,31.47,36.88,42.19,46.09,47.19,46.12,43.66,41.28,37.94,34.44,31.5,29.62,27.66,24.78,22.12,20.16,18.59,16.47,14.88,14.28,14.62,15.62,17.16,19.91,23.72,26.75,28.34,28.84,29.72,30.25,29.56,28.66,28.09,27.0,24.12,20.69,17.72,15.69,13.97,13.0,12.97,14.31,15.0,15.16,14.44,14.59,14.62,13.97,13.97,15.25,17.66,19.91,22.22,24.62,27.94,30.12,31.16,32.03,33.88,34.84,34.47,33.97,33.56,32.69,30.75,28.5,27.22,26.62,25.34,23.75,22.69,22.31,21.06,19.19,17.34,16.81,15.84,14.41,12.94,13.22,14.0,15.09,16.47,18.97,21.88,24.53,25.97,27.03,28.75,30.03,30.31,30.53,31.97,33.03,33.22,32.22,31.91,31.72,30.28,28.41,27.22,27.16,26.53,25.84,25.25,25.59,25.62,24.62,23.53,23.72,24.75,24.88,25.38,27.0,28.12,27.97,26.31,24.25,21.78,18.56,14.78,11.41,9.69,8.66,7.62,7.38,8.28,9.81,10.41,11.41,12.97,15.25,16.81,17.88,19.16,21.0,22.28,22.41,22.12,22.81,23.09,22.41,21.03,19.97,18.69,16.38,13.91,12.81,12.81,12.84,12.59,13.12,15.16,16.97,18.56,20.31,22.78,24.88,25.59,24.88,24.5,23.72,22.53,20.62,20.09,20.84,21.72,22.12,22.94,24.34,24.62,23.25,21.25,20.22,19.31,18.12,16.94,17.0,16.81,16.12,14.66,13.66,13.53,13.59,13.12,13.75,14.84,15.88,15.84,15.12,15.47,16.28,17.03,17.97,19.69,21.97,23.41,23.56,23.44,23.75,23.72,22.78,22.22,23.06,23.62,22.97,21.62,20.44,19.06,17.53,15.41,14.56,15.03,15.59,16.06,17.44,19.97,22.75,24.22,25.53,27.56,28.66,28.44,27.78,27.56,28.06,28.44,28.59,29.09,29.66,29.12,27.16,25.06,23.44,21.75,19.44,17.25,16.69,16.75,16.06,15.66,16.25,17.0,17.72,18.44,19.78,22.09,24.34,25.62,26.53,27.69,27.97,26.59,24.88,24.16,23.47,22.22,20.12,18.59,17.38,16.16,14.28,13.31,13.09,12.94,12.09,11.25,11.47,12.0,11.62,10.91,10.97,11.28,11.41,11.22,11.97,13.72,15.09,15.69,16.53,17.84,19.25,19.12,18.66,18.22,17.78,16.31,14.5,13.97,14.78,15.75,16.75,18.69,20.94,22.41,21.88,20.78,19.81,18.69,16.78,15.62,15.41,15.88,15.75,14.91,13.81,12.78,11.28,9.12,8.25,8.03,8.19,7.22,6.22,6.28,6.69,6.25,6.0,6.66,7.06,6.78,6.25,6.56,7.22,7.88,7.56,7.69,8.69,10.0,11.0,12.19,14.12,15.38,15.03,13.59,12.12,11.22,10.16,9.09,8.59,8.88,9.19,8.22,7.62,7.53,7.59,6.12,4.78,4.5,5.03,5.03,5.0,5.12,5.38,4.44,2.84,1.41,0.81,0.53,-0.03,-0.19,0.34,2.0,2.84,3.59,5.22,7.28,8.97,10.0,12.03,14.22,15.75,16.16,16.78,17.5,17.66,16.47,14.84,13.81,13.22,12.12,11.5,12.19,13.69,15.12,15.84,16.94,18.06,18.66,18.06,17.06,17.31,17.56,17.44,17.44,18.12,19.41,19.94,20.12,21.22,22.75,24.0,24.12,24.44,25.06,25.09,24.22,23.09,22.62,22.22,20.84,19.38,18.69,18.53,17.94,17.28,17.44,18.69,19.47,19.91,20.94,22.69,24.81,26.16,27.66,29.47,31.09,31.81,31.91,31.81,32.03,31.03,29.59,27.59,26.25,24.75,22.97,21.97,22.5,23.53,24.78,25.94,27.88,29.62,30.16,29.59,29.31,29.12,28.91,28.72,29.31,31.44,33.44,34.12,34.31,34.62,33.75,31.53,28.78,26.62,24.94,22.88,21.03,19.88,19.75,18.66,17.84,16.88,17.16,16.97,16.09,15.09,14.75,14.69,14.28,14.56,15.91,17.94,19.5,20.69,21.66,22.59,23.0,23.53,24.12,25.84,27.78,28.97,29.84,30.84,31.88,31.59,30.62,30.12,29.34,28.66,27.84,28.06,29.53,30.56,30.59,30.09,30.03,29.12,27.47,25.69,24.94,24.34,23.78,23.12,23.06,23.91,24.47,24.22,24.53,25.78,26.75,27.28,27.41,28.28,29.16,28.59,27.78,27.41,27.22,26.56,25.28,24.81,24.94,25.12,24.91,25.06,26.19,27.06,26.53,25.38,24.94,24.41,23.88,23.34,23.56,24.12,24.19,23.53,23.41,24.28,25.22,25.69,26.19,27.12,27.53,27.22,25.78,25.34,24.44,23.06,21.41,20.31,20.12,19.69,18.84,17.88,17.44,16.84,15.56,14.59,15.12,15.75,15.72,15.5,16.09,17.5,18.53,19.88,21.47,23.41,27.16,28.81,31.69,35.72,39.84,43.34,46.22,47.38,47.16,46.03,44.41,42.91,42.5,42.47:13.09,14.19,16.41,18.41,18.91,18.25,17.34,15.69,13.0,9.09,5.75,3.69,2.16,0.72,0.88,2.94,5.62,7.66,9.56,12.5,14.62,15.47,15.59,16.22,17.38,17.84,17.66,18.31,19.5,20.41,19.84,19.44,20.03,20.5,20.56,21.19,22.88,24.66,24.91,24.31,24.06,23.59,22.56,20.88,19.81,19.09,18.19,16.59,15.5,15.44,15.84,15.91,16.47,18.53,21.53,23.75,25.84,28.16,30.31,31.38,31.28,31.16,31.66,32.06,31.28,30.56,30.41,30.12,28.94,27.03,25.88,24.81,23.34,21.41,19.88,19.59,19.06,17.31,15.75,14.69,13.25,11.16,9.31,8.66,8.78,8.28,7.25,6.5,5.56,3.34,0.28,-2.31,-3.31,-3.97,-4.5,-4.19,-2.84,-1.31,-0.22,0.53,2.06,4.62,6.94,8.69,11.47,14.69,17.19,18.22,18.69,18.91,18.16,15.94,13.56,11.94,10.38,8.12,5.53,3.41,2.12,0.53,-0.34,0.47,2.72,5.62,8.34,12.06,16.94,21.44,24.81,27.69,29.91,31.72,31.97,31.53,31.47,31.66,30.88,29.38,27.84,26.66,25.19,22.94,20.72,20.19,19.81,18.78,18.19,18.34,18.31,17.16,15.88,14.81,14.97,14.81,14.47,15.06,16.44,17.5,17.22,16.84,16.38,15.75,14.03,12.66,12.22,12.34,11.91,11.41,10.81,10.72,10.28,9.12,8.97,9.31,10.22,10.56,11.5,13.31,15.84,17.94,20.12,22.28,24.44,25.03,25.06,24.66,24.88,24.41,22.97,21.41,20.56,19.81,18.81,18.25,19.0,19.84,19.56,18.16,16.78,15.81,13.97,12.34,10.91,10.41,9.84,8.88,8.66,9.59,11.12,11.94,12.78,14.47,16.25,17.97,19.19,20.59,22.69,23.62,23.31,22.91,22.31,21.28,19.5,17.69,16.19,15.16,13.66,11.97,11.31,11.59,12.31,12.75,13.78,15.56,17.06,17.38,17.06,17.94,17.81,16.81,16.12,16.22,16.78,16.91,16.66,16.88,17.03,16.5,14.78,13.0,11.81,10.56,8.38,6.59,6.38,6.28,5.53,5.09,5.62,6.88,7.34,7.72,8.69,10.41,11.44,12.25,13.38,15.56,17.62,18.72,19.22,19.56,19.03,17.53,14.94,13.5,13.09,12.94,12.59,13.0,13.78,14.22,13.44,12.34,11.84,11.31,10.03,9.09,9.69,10.66,11.69,12.16,13.16,14.5,15.44,15.44,15.62,16.66,16.97,16.34,15.59,15.28,14.66,13.75,12.88,12.88,13.34,13.38,12.41,11.62,11.62,10.91,9.66,9.16,9.69,10.41,10.28,10.31,10.84,11.66,11.91,12.09,13.59,15.91,17.69,18.91,20.03,21.31,21.19,19.72,17.91,16.56,15.25,12.91,10.44,9.22,8.66,7.94,7.22,8.19,9.72,10.78,11.06,11.75,12.56,13.0,13.0,13.41,14.94,17.16,18.59,19.19,19.97,20.19,19.25,17.44,16.06,14.94,14.16,12.44,11.47,11.66,11.78,11.44,11.0,12.12,13.53,14.66,14.84,15.62,16.25,15.88,14.88,14.66,14.88,15.03,14.84,14.53,15.88,17.59,18.5,18.91,20.09,20.75,20.16,18.84,18.22,18.12,18.16,18.31,19.84,21.69,23.88,24.59,24.75,24.59,23.97,22.56,20.62,20.03,20.53,21.0,21.53,22.38,23.5,23.94,23.16,22.59,22.03,21.59,20.06,18.41,17.66,17.31,16.66,16.06,16.66,17.56,17.75,17.09,16.44,15.97,15.59,14.59,14.16,14.47,15.03,14.25,13.5,13.5,13.84,13.69,13.59,14.5,16.28,17.22,17.75,18.19,18.75,19.12,18.62,18.22,18.0,17.88,16.03,13.5,11.09,8.88,6.75,4.62,4.03,4.66,6.0,7.03,8.06,9.97,11.09,11.12,10.72,10.75,12.03,13.22,14.38,16.44,18.31,19.0,18.03,16.84,15.91,15.12,13.56,12.69,13.0,12.88,11.56,10.5,10.06,10.19,10.44,11.28,13.28,16.38,19.34,21.81,24.34,27.19,28.88,29.06,28.78,28.56,28.12,26.66,25.0,23.41,22.16,19.78,17.53,15.88,15.56,15.56,15.25,15.5,16.25,17.31,17.47,18.31,20.31,23.25,25.44,27.5,30.22,33.16,34.88,35.69,36.06,35.91,34.75,31.97,29.25,27.09,25.31,22.75,20.34,19.34,18.88,17.94,17.5,17.84,19.0,18.97,18.34,18.28,18.47,18.97,19.22,20.19,21.66,23.0,22.81,21.97,21.03,19.72,17.56,14.78,12.44,11.62,10.78,10.03,9.66,11.16,12.62,13.66,16.19,20.53,26.03,31.47,36.88,42.19,46.09,47.19,46.12,43.66,41.28,37.94,34.44,31.5,29.62,27.66,24.78,22.12,20.16,18.59,16.47,14.88,14.28,14.62,15.62,17.16,19.91,23.72,26.75,28.34,28.84,29.72,30.25,29.56,28.66,28.09,27.0,24.12,20.69,17.72,15.69,13.97,13.0,12.97,14.31,15.0,15.16,14.44,14.59,14.62,13.97,13.97,15.25,17.66,19.91,22.22,24.62,27.94,30.12,31.16,32.03,33.88,34.84,34.47,33.97,33.56,32.69,30.75,28.5,27.22,26.62,25.34,23.75,22.69,22.31,21.06,19.19,17.34,16.81,15.84,14.41,12.94,13.22,14.0,15.09,16.47,18.97,21.88,24.53,25.97,27.03,28.75,30.03,30.31,30.53,31.97,33.03,33.22,32.22,31.91,31.72,30.28,28.41,27.22,27.16,26.53,25.84,25.25,25.59,25.62,24.62,23.53,23.72,24.75,24.88,25.38,27.0,28.12,27.97,26.31,24.25,21.78,18.56,14.78,11.41,9.69,8.66,7.62,7.38,8.28,9.81,10.41,11.41,12.97,15.25,16.81,17.88,19.16,21.0,22.28,22.41,22.12,22.81,23.09,22.41,21.03,19.97,18.69,16.38,13.91,12.81,12.81,12.84,12.59,13.12,15.16,16.97,18.56,20.31,22.78,24.88,25.59,24.88,24.5,23.72,22.53,20.62,20.09,20.84,21.72,22.12,22.94,24.34,24.62,23.25,21.25,20.22,19.31,18.12,16.94,17.0,16.81,16.12,14.66,13.66,13.53,13.59,13.12,13.75,14.84,15.88,15.84,15.12,15.47,16.28,17.03,17.97,19.69,21.97,23.41,23.56,23.44,23.75,23.72,22.78,22.22,23.06,23.62,22.97,21.62,20.44,19.06,17.53,15.41,14.56,15.03,15.59,16.06,17.44,19.97,22.75,24.22,25.53,27.56,28.66,28.44,27.78,27.56,28.06,28.44,28.59,29.09,29.66,29.12,27.16,25.06,23.44,21.75,19.44,17.25,16.69,16.75,16.06,15.66,16.25,17.0,17.72,18.44,19.78,22.09,24.34,25.62,26.53,27.69,27.97,26.59,24.88,24.16,23.47,22.22,20.12,18.59,17.38,16.16,14.28,13.31,13.09,12.94,12.09,11.25,11.47,12.0,11.62,10.91,10.97,11.28,11.41,11.22,11.97,13.72,15.09,15.69,16.53,17.84,19.25,19.12,18.66,18.22,17.78,16.31,14.5,13.97,14.78,15.75,16.75,18.69,20.94,22.41,21.88,20.78,19.81,18.69,16.78,15.62,15.41,15.88,15.75,14.91,13.81,12.78,11.28,9.12,8.25,8.03,8.19,7.22,6.22,6.28,6.69,6.25,6.0,6.66,7.06,6.78,6.25,6.56,7.22,7.88,7.56,7.69,8.69,10.0,11.0,12.19,14.12,15.38,15.03,13.59,12.12,11.22,10.16,9.09,8.59,8.88,9.19,8.22,7.62,7.53,7.59,6.12,4.78,4.5,5.03,5.03,5.0,5.12,5.38,4.44,2.84,1.41,0.81,0.53,-0.03,-0.19,0.34,2.0,2.84,3.59,5.22,7.28,8.97,10.0,12.03,14.22,15.75,16.16,16.78,17.5,17.66,16.47,14.84,13.81,13.22,12.12,11.5,12.19,13.69,15.12,15.84,16.94,18.06,18.66,18.06,17.06,17.31,17.56,17.44,17.44,18.12,19.41,19.94,20.12,21.22,22.75,24.0,24.12,24.44,25.06,25.09,24.22,23.09,22.62,22.22,20.84,19.38,18.69,18.53,17.94,17.28,17.44,18.69,19.47,19.91,20.94,22.69,24.81,26.16,27.66,29.47,31.09,31.81,31.91,31.81,32.03,31.03,29.59,27.59,26.25,24.75,22.97,21.97,22.5,23.53,24.78,25.94,27.88,29.62,30.16,29.59,29.31,29.12,28.91,28.72,29.31,31.44,33.44,34.12,34.31,34.62,33.75,31.53,28.78,26.62,24.94,22.88,21.03,19.88,19.75,18.66,17.84,16.88,17.16,16.97,16.09,15.09,14.75,14.69,14.28,14.56,15.91,17.94,19.5,20.69,21.66,22.59,23.0,23.53,24.12,25.84,27.78,28.97,29.84,30.84,31.88,31.59,30.62,30.12,29.34,28.66,27.84,28.06,29.53,30.56,30.59,30.09,30.03,29.12,27.47,25.69,24.94,24.34,23.78,23.12,23.06,23.91,24.47,24.22,24.53,25.78,26.75,27.28,27.41,28.28,29.16,28.59,27.78,27.41,27.22,26.56,25.28,24.81,24.94,25.12,24.91,25.06,26.19,27.06,26.53,25.38,24.94,24.41,23.88,23.34,23.56,24.12,24.19,23.53,23.41,24.28,25.22,25.69,26.19,27.12,27.53,27.22,25.78,25.34,24.44,23.06,21.41,20.31,20.12,19.69,18.84,17.88,17.44,16.84,15.56,14.59,15.12,15.75,15.72,15.5,16.09,17.5,18.53,19.88,21.47,23.41,27.16,28.81,31.69,35.72,39.84,43.34,46.22,47.38,47.16,46.03,44.41,42.91,42.5,42.47,42.94,44.38,45.5,46.0,46.19,46.41,46.72:15.69,13.0,9.09,5.75,3.69,2.16,0.72,0.88,2.94,5.62,7.66,9.56,12.5,14.62,15.47,15.59,16.22,17.38,17.84,17.66,18.31,19.5,20.41,19.84,19.44,20.03,20.5,20.56,21.19,22.88,24.66,24.91,24.31,24.06,23.59,22.56,20.88,19.81,19.09,18.19,16.59,15.5,15.44,15.84,15.91,16.47,18.53,21.53,23.75,25.84,28.16,30.31,31.38,31.28,31.16,31.66,32.06,31.28,30.56,30.41,30.12,28.94,27.03,25.88,24.81,23.34,21.41,19.88,19.59,19.06,17.31,15.75,14.69,13.25,11.16,9.31,8.66,8.78,8.28,7.25,6.5,5.56,3.34,0.28,-2.31,-3.31,-3.97,-4.5,-4.19,-2.84,-1.31,-0.22,0.53,2.06,4.62,6.94,8.69,11.47,14.69,17.19,18.22,18.69,18.91,18.16,15.94,13.56,11.94,10.38,8.12,5.53,3.41,2.12,0.53,-0.34,0.47,2.72,5.62,8.34,12.06,16.94,21.44,24.81,27.69,29.91,31.72,31.97,31.53,31.47,31.66,30.88,29.38,27.84,26.66,25.19,22.94,20.72,20.19,19.81,18.78,18.19,18.34,18.31,17.16,15.88,14.81,14.97,14.81,14.47,15.06,16.44,17.5,17.22,16.84,16.38,15.75,14.03,12.66,12.22,12.34,11.91,11.41,10.81,10.72,10.28,9.12,8.97,9.31,10.22,10.56,11.5,13.31,15.84,17.94,20.12,22.28,24.44,25.03,25.06,24.66,24.88,24.41,22.97,21.41,20.56,19.81,18.81,18.25,19.0,19.84,19.56,18.16,16.78,15.81,13.97,12.34,10.91,10.41,9.84,8.88,8.66,9.59,11.12,11.94,12.78,14.47,16.25,17.97,19.19,20.59,22.69,23.62,23.31,22.91,22.31,21.28,19.5,17.69,16.19,15.16,13.66,11.97,11.31,11.59,12.31,12.75,13.78,15.56,17.06,17.38,17.06,17.94,17.81,16.81,16.12,16.22,16.78,16.91,16.66,16.88,17.03,16.5,14.78,13.0,11.81,10.56,8.38,6.59,6.38,6.28,5.53,5.09,5.62,6.88,7.34,7.72,8.69,10.41,11.44,12.25,13.38,15.56,17.62,18.72,19.22,19.56,19.03,17.53,14.94,13.5,13.09,12.94,12.59,13.0,13.78,14.22,13.44,12.34,11.84,11.31,10.03,9.09,9.69,10.66,11.69,12.16,13.16,14.5,15.44,15.44,15.62,16.66,16.97,16.34,15.59,15.28,14.66,13.75,12.88,12.88,13.34,13.38,12.41,11.62,11.62,10.91,9.66,9.16,9.69,10.41,10.28,10.31,10.84,11.66,11.91,12.09,13.59,15.91,17.69,18.91,20.03,21.31,21.19,19.72,17.91,16.56,15.25,12.91,10.44,9.22,8.66,7.94,7.22,8.19,9.72,10.78,11.06,11.75,12.56,13.0,13.0,13.41,14.94,17.16,18.59,19.19,19.97,20.19,19.25,17.44,16.06,14.94,14.16,12.44,11.47,11.66,11.78,11.44,11.0,12.12,13.53,14.66,14.84,15.62,16.25,15.88,14.88,14.66,14.88,15.03,14.84,14.53,15.88,17.59,18.5,18.91,20.09,20.75,20.16,18.84,18.22,18.12,18.16,18.31,19.84,21.69,23.88,24.59,24.75,24.59,23.97,22.56,20.62,20.03,20.53,21.0,21.53,22.38,23.5,23.94,23.16,22.59,22.03,21.59,20.06,18.41,17.66,17.31,16.66,16.06,16.66,17.56,17.75,17.09,16.44,15.97,15.59,14.59,14.16,14.47,15.03,14.25,13.5,13.5,13.84,13.69,13.59,14.5,16.28,17.22,17.75,18.19,18.75,19.12,18.62,18.22,18.0,17.88,16.03,13.5,11.09,8.88,6.75,4.62,4.03,4.66,6.0,7.03,8.06,9.97,11.09,11.12,10.72,10.75,12.03,13.22,14.38,16.44,18.31,19.0,18.03,16.84,15.91,15.12,13.56,12.69,13.0,12.88,11.56,10.5,10.06,10.19,10.44,11.28,13.28,16.38,19.34,21.81,24.34,27.19,28.88,29.06,28.78,28.56,28.12,26.66,25.0,23.41,22.16,19.78,17.53,15.88,15.56,15.56,15.25,15.5,16.25,17.31,17.47,18.31,20.31,23.25,25.44,27.5,30.22,33.16,34.88,35.69,36.06,35.91,34.75,31.97,29.25,27.09,25.31,22.75,20.34,19.34,18.88,17.94,17.5,17.84,19.0,18.97,18.34,18.28,18.47,18.97,19.22,20.19,21.66,23.0,22.81,21.97,21.03,19.72,17.56,14.78,12.44,11.62,10.78,10.03,9.66,11.16,12.62,13.66,16.19,20.53,26.03,31.47,36.88,42.19,46.09,47.19,46.12,43.66,41.28,37.94,34.44,31.5,29.62,27.66,24.78,22.12,20.16,18.59,16.47,14.88,14.28,14.62,15.62,17.16,19.91,23.72,26.75,28.34,28.84,29.72,30.25,29.56,28.66,28.09,27.0,24.12,20.69,17.72,15.69,13.97,13.0,12.97,14.31,15.0,15.16,14.44,14.59,14.62,13.97,13.97,15.25,17.66,19.91,22.22,24.62,27.94,30.12,31.16,32.03,33.88,34.84,34.47,33.97,33.56,32.69,30.75,28.5,27.22,26.62,25.34,23.75,22.69,22.31,21.06,19.19,17.34,16.81,15.84,14.41,12.94,13.22,14.0,15.09,16.47,18.97,21.88,24.53,25.97,27.03,28.75,30.03,30.31,30.53,31.97,33.03,33.22,32.22,31.91,31.72,30.28,28.41,27.22,27.16,26.53,25.84,25.25,25.59,25.62,24.62,23.53,23.72,24.75,24.88,25.38,27.0,28.12,27.97,26.31,24.25,21.78,18.56,14.78,11.41,9.69,8.66,7.62,7.38,8.28,9.81,10.41,11.41,12.97,15.25,16.81,17.88,19.16,21.0,22.28,22.41,22.12,22.81,23.09,22.41,21.03,19.97,18.69,16.38,13.91,12.81,12.81,12.84,12.59,13.12,15.16,16.97,18.56,20.31,22.78,24.88,25.59,24.88,24.5,23.72,22.53,20.62,20.09,20.84,21.72,22.12,22.94,24.34,24.62,23.25,21.25,20.22,19.31,18.12,16.94,17.0,16.81,16.12,14.66,13.66,13.53,13.59,13.12,13.75,14.84,15.88,15.84,15.12,15.47,16.28,17.03,17.97,19.69,21.97,23.41,23.56,23.44,23.75,23.72,22.78,22.22,23.06,23.62,22.97,21.62,20.44,19.06,17.53,15.41,14.56,15.03,15.59,16.06,17.44,19.97,22.75,24.22,25.53,27.56,28.66,28.44,27.78,27.56,28.06,28.44,28.59,29.09,29.66,29.12,27.16,25.06,23.44,21.75,19.44,17.25,16.69,16.75,16.06,15.66,16.25,17.0,17.72,18.44,19.78,22.09,24.34,25.62,26.53,27.69,27.97,26.59,24.88,24.16,23.47,22.22,20.12,18.59,17.38,16.16,14.28,13.31,13.09,12.94,12.09,11.25,11.47,12.0,11.62,10.91,10.97,11.28,11.41,11.22,11.97,13.72,15.09,15.69,16.53,17.84,19.25,19.12,18.66,18.22,17.78,16.31,14.5,13.97,14.78,15.75,16.75,18.69,20.94,22.41,21.88,20.78,19.81,18.69,16.78,15.62,15.41,15.88,15.75,14.91,13.81,12.78,11.28,9.12,8.25,8.03,8.19,7.22,6.22,6.28,6.69,6.25,6.0,6.66,7.06,6.78,6.25,6.56,7.22,7.88,7.56,7.69,8.69,10.0,11.0,12.19,14.12,15.38,15.03,13.59,12.12,11.22,10.16,9.09,8.59,8.88,9.19,8.22,7.62,7.53,7.59,6.12,4.78,4.5,5.03,5.03,5.0,5.12,5.38,4.44,2.84,1.41,0.81,0.53,-0.03,-0.19,0.34,2.0,2.84,3.59,5.22,7.28,8.97,10.0,12.03,14.22,15.75,16.16,16.78,17.5,17.66,16.47,14.84,13.81,13.22,12.12,11.5,12.19,13.69,15.12,15.84,16.94,18.06,18.66,18.06,17.06,17.31,17.56,17.44,17.44,18.12,19.41,19.94,20.12,21.22,22.75,24.0,24.12,24.44,25.06,25.09,24.22,23.09,22.62,22.22,20.84,19.38,18.69,18.53,17.94,17.28,17.44,18.69,19.47,19.91,20.94,22.69,24.81,26.16,27.66,29.47,31.09,31.81,31.91,31.81,32.03,31.03,29.59,27.59,26.25,24.75,22.97,21.97,22.5,23.53,24.78,25.94,27.88,29.62,30.16,29.59,29.31,29.12,28.91,28.72,29.31,31.44,33.44,34.12,34.31,34.62,33.75,31.53,28.78,26.62,24.94,22.88,21.03,19.88,19.75,18.66,17.84,16.88,17.16,16.97,16.09,15.09,14.75,14.69,14.28,14.56,15.91,17.94,19.5,20.69,21.66,22.59,23.0,23.53,24.12,25.84,27.78,28.97,29.84,30.84,31.88,31.59,30.62,30.12,29.34,28.66,27.84,28.06,29.53,30.56,30.59,30.09,30.03,29.12,27.47,25.69,24.94,24.34,23.78,23.12,23.06,23.91,24.47,24.22,24.53,25.78,26.75,27.28,27.41,28.28,29.16,28.59,27.78,27.41,27.22,26.56,25.28,24.81,24.94,25.12,24.91,25.06,26.19,27.06,26.53,25.38,24.94,24.41,23.88,23.34,23.56,24.12,24.19,23.53,23.41,24.28,25.22,25.69,26.19,27.12,27.53,27.22,25.78,25.34,24.44,23.06,21.41,20.31,20.12,19.69,18.84,17.88,17.44,16.84,15.56,14.59,15.12,15.75,15.72,15.5,16.09,17.5,18.53,19.88,21.47,23.41,27.16,28.81,31.69,35.72,39.84,43.34,46.22,47.38,47.16,46.03,44.41,42.91,42.5,42.47,42.94,44.38,45.5,46.0,46.19,46.41,46.72,47.38,48.56,50.62,52.62,54.06,54.66,54.38:0.88,2.94,5.62,7.66,9.56,12.5,14.62,15.47,15.59,16.22,17.38,17.84,17.66,18.31,19.5,20.41,19.84,19.44,20.03,20.5,20.56,21.19,22.88,24.66,24.91,24.31,24.06,23.59,22.56,20.88,19.81,19.09,18.19,16.59,15.5,15.44,15.84,15.91,16.47,18.53,21.53,23.75,25.84,28.16,30.31,31.38,31.28,31.16,31.66,32.06,31.28,30.56,30.41,30.12,28.94,27.03,25.88,24.81,23.34,21.41,19.88,19.59,19.06,17.31,15.75,14.69,13.25,11.16,9.31,8.66,8.78,8.28,7.25,6.5,5.56,3.34,0.28,-2.31,-3.31,-3.97,-4.5,-4.19,-2.84,-1.31,-0.22,0.53,2.06,4.62,6.94,8.69,11.47,14.69,17.19,18.22,18.69,18.91,18.16,15.94,13.56,11.94,10.38,8.12,5.53,3.41,2.12,0.53,-0.34,0.47,2.72,5.62,8.34,12.06,16.94,21.44,24.81,27.69,29.91,31.72,31.97,31.53,31.47,31.66,30.88,29.38,27.84,26.66,25.19,22.94,20.72,20.19,19.81,18.78,18.19,18.34,18.31,17.16,15.88,14.81,14.97,14.81,14.47,15.06,16.44,17.5,17.22,16.84,16.38,15.75,14.03,12.66,12.22,12.34,11.91,11.41,10.81,10.72,10.28,9.12,8.97,9.31,10.22,10.56,11.5,13.31,15.84,17.94,20.12,22.28,24.44,25.03,25.06,24.66,24.88,24.41,22.97,21.41,20.56,19.81,18.81,18.25,19.0,19.84,19.56,18.16,16.78,15.81,13.97,12.34,10.91,10.41,9.84,8.88,8.66,9.59,11.12,11.94,12.78,14.47,16.25,17.97,19.19,20.59,22.69,23.62,23.31,22.91,22.31,21.28,19.5,17.69,16.19,15.16,13.66,11.97,11.31,11.59,12.31,12.75,13.78,15.56,17.06,17.38,17.06,17.94,17.81,16.81,16.12,16.22,16.78,16.91,16.66,16.88,17.03,16.5,14.78,13.0,11.81,10.56,8.38,6.59,6.38,6.28,5.53,5.09,5.62,6.88,7.34,7.72,8.69,10.41,11.44,12.25,13.38,15.56,17.62,18.72,19.22,19.56,19.03,17.53,14.94,13.5,13.09,12.94,12.59,13.0,13.78,14.22,13.44,12.34,11.84,11.31,10.03,9.09,9.69,10.66,11.69,12.16,13.16,14.5,15.44,15.44,15.62,16.66,16.97,16.34,15.59,15.28,14.66,13.75,12.88,12.88,13.34,13.38,12.41,11.62,11.62,10.91,9.66,9.16,9.69,10.41,10.28,10.31,10.84,11.66,11.91,12.09,13.59,15.91,17.69,18.91,20.03,21.31,21.19,19.72,17.91,16.56,15.25,12.91,10.44,9.22,8.66,7.94,7.22,8.19,9.72,10.78,11.06,11.75,12.56,13.0,13.0,13.41,14.94,17.16,18.59,19.19,19.97,20.19,19.25,17.44,16.06,14.94,14.16,12.44,11.47,11.66,11.78,11.44,11.0,12.12,13.53,14.66,14.84,15.62,16.25,15.88,14.88,14.66,14.88,15.03,14.84,14.53,15.88,17.59,18.5,18.91,20.09,20.75,20.16,18.84,18.22,18.12,18.16,18.31,19.84,21.69,23.88,24.59,24.75,24.59,23.97,22.56,20.62,20.03,20.53,21.0,21.53,22.38,23.5,23.94,23.16,22.59,22.03,21.59,20.06,18.41,17.66,17.31,16.66,16.06,16.66,17.56,17.75,17.09,16.44,15.97,15.59,14.59,14.16,14.47,15.03,14.25,13.5,13.5,13.84,13.69,13.59,14.5,16.28,17.22,17.75,18.19,18.75,19.12,18.62,18.22,18.0,17.88,16.03,13.5,11.09,8.88,6.75,4.62,4.03,4.66,6.0,7.03,8.06,9.97,11.09,11.12,10.72,10.75,12.03,13.22,14.38,16.44,18.31,19.0,18.03,16.84,15.91,15.12,13.56,12.69,13.0,12.88,11.56,10.5,10.06,10.19,10.44,11.28,13.28,16.38,19.34,21.81,24.34,27.19,28.88,29.06,28.78,28.56,28.12,26.66,25.0,23.41,22.16,19.78,17.53,15.88,15.56,15.56,15.25,15.5,16.25,17.31,17.47,18.31,20.31,23.25,25.44,27.5,30.22,33.16,34.88,35.69,36.06,35.91,34.75,31.97,29.25,27.09,25.31,22.75,20.34,19.34,18.88,17.94,17.5,17.84,19.0,18.97,18.34,18.28,18.47,18.97,19.22,20.19,21.66,23.0,22.81,21.97,21.03,19.72,17.56,14.78,12.44,11.62,10.78,10.03,9.66,11.16,12.62,13.66,16.19,20.53,26.03,31.47,36.88,42.19,46.09,47.19,46.12,43.66,41.28,37.94,34.44,31.5,29.62,27.66,24.78,22.12,20.16,18.59,16.47,14.88,14.28,14.62,15.62,17.16,19.91,23.72,26.75,28.34,28.84,29.72,30.25,29.56,28.66,28.09,27.0,24.12,20.69,17.72,15.69,13.97,13.0,12.97,14.31,15.0,15.16,14.44,14.59,14.62,13.97,13.97,15.25,17.66,19.91,22.22,24.62,27.94,30.12,31.16,32.03,33.88,34.84,34.47,33.97,33.56,32.69,30.75,28.5,27.22,26.62,25.34,23.75,22.69,22.31,21.06,19.19,17.34,16.81,15.84,14.41,12.94,13.22,14.0,15.09,16.47,18.97,21.88,24.53,25.97,27.03,28.75,30.03,30.31,30.53,31.97,33.03,33.22,32.22,31.91,31.72,30.28,28.41,27.22,27.16,26.53,25.84,25.25,25.59,25.62,24.62,23.53,23.72,24.75,24.88,25.38,27.0,28.12,27.97,26.31,24.25,21.78,18.56,14.78,11.41,9.69,8.66,7.62,7.38,8.28,9.81,10.41,11.41,12.97,15.25,16.81,17.88,19.16,21.0,22.28,22.41,22.12,22.81,23.09,22.41,21.03,19.97,18.69,16.38,13.91,12.81,12.81,12.84,12.59,13.12,15.16,16.97,18.56,20.31,22.78,24.88,25.59,24.88,24.5,23.72,22.53,20.62,20.09,20.84,21.72,22.12,22.94,24.34,24.62,23.25,21.25,20.22,19.31,18.12,16.94,17.0,16.81,16.12,14.66,13.66,13.53,13.59,13.12,13.75,14.84,15.88,15.84,15.12,15.47,16.28,17.03,17.97,19.69,21.97,23.41,23.56,23.44,23.75,23.72,22.78,22.22,23.06,23.62,22.97,21.62,20.44,19.06,17.53,15.41,14.56,15.03,15.59,16.06,17.44,19.97,22.75,24.22,25.53,27.56,28.66,28.44,27.78,27.56,28.06,28.44,28.59,29.09,29.66,29.12,27.16,25.06,23.44,21.75,19.44,17.25,16.69,16.75,16.06,15.66,16.25,17.0,17.72,18.44,19.78,22.09,24.34,25.62,26.53,27.69,27.97,26.59,24.88,24.16,23.47,22.22,20.12,18.59,17.38,16.16,14.28,13.31,13.09,12.94,12.09,11.25,11.47,12.0,11.62,10.91,10.97,11.28,11.41,11.22,11.97,13.72,15.09,15.69,16.53,17.84,19.25,19.12,18.66,18.22,17.78,16.31,14.5,13.97,14.78,15.75,16.75,18.69,20.94,22.41,21.88,20.78,19.81,18.69,16.78,15.62,15.41,15.88,15.75,14.91,13.81,12.78,11.28,9.12,8.25,8.03,8.19,7.22,6.22,6.28,6.69,6.25,6.0,6.66,7.06,6.78,6.25,6.56,7.22,7.88,7.56,7.69,8.69,10.0,11.0,12.19,14.12,15.38,15.03,13.59,12.12,11.22,10.16,9.09,8.59,8.88,9.19,8.22,7.62,7.53,7.59,6.12,4.78,4.5,5.03,5.03,5.0,5.12,5.38,4.44,2.84,1.41,0.81,0.53,-0.03,-0.19,0.34,2.0,2.84,3.59,5.22,7.28,8.97,10.0,12.03,14.22,15.75,16.16,16.78,17.5,17.66,16.47,14.84,13.81,13.22,12.12,11.5,12.19,13.69,15.12,15.84,16.94,18.06,18.66,18.06,17.06,17.31,17.56,17.44,17.44,18.12,19.41,19.94,20.12,21.22,22.75,24.0,24.12,24.44,25.06,25.09,24.22,23.09,22.62,22.22,20.84,19.38,18.69,18.53,17.94,17.28,17.44,18.69,19.47,19.91,20.94,22.69,24.81,26.16,27.66,29.47,31.09,31.81,31.91,31.81,32.03,31.03,29.59,27.59,26.25,24.75,22.97,21.97,22.5,23.53,24.78,25.94,27.88,29.62,30.16,29.59,29.31,29.12,28.91,28.72,29.31,31.44,33.44,34.12,34.31,34.62,33.75,31.53,28.78,26.62,24.94,22.88,21.03,19.88,19.75,18.66,17.84,16.88,17.16,16.97,16.09,15.09,14.75,14.69,14.28,14.56,15.91,17.94,19.5,20.69,21.66,22.59,23.0,23.53,24.12,25.84,27.78,28.97,29.84,30.84,31.88,31.59,30.62,30.12,29.34,28.66,27.84,28.06,29.53,30.56,30.59,30.09,30.03,29.12,27.47,25.69,24.94,24.34,23.78,23.12,23.06,23.91,24.47,24.22,24.53,25.78,26.75,27.28,27.41,28.28,29.16,28.59,27.78,27.41,27.22,26.56,25.28,24.81,24.94,25.12,24.91,25.06,26.19,27.06,26.53,25.38,24.94,24.41,23.88,23.34,23.56,24.12,24.19,23.53,23.41,24.28,25.22,25.69,26.19,27.12,27.53,27.22,25.78,25.34,24.44,23.06,21.41,20.31,20.12,19.69,18.84,17.88,17.44,16.84,15.56,14.59,15.12,15.75,15.72,15.5,16.09,17.5,18.53,19.88,21.47,23.41,27.16,28.81,31.69,35.72,39.84,43.34,46.22,47.38,47.16,46.03,44.41,42.91,42.5,42.47,42.94,44.38,45.5,46.0,46.19,46.41,46.72,47.38,48.56,50.62,52.62,54.06,54.66,54.38,53.03,51.03,48.06,44.78,42.0,39.66,37.75:15.47,15.59,16.22,17.38,17.84,17.66,18.31,19.5,20.41,19.84,19.44,20.03,20.5,20.56,21.19,22.88,24.66,24.91,24.31,24.06,23.59,22.56,20.88,19.81,19.09,18.19,16.59,15.5,15.44,15.84,15.91,16.47,18.53,21.53,23.75,25.84,28.16,30.31,31.38,31.28,31.16,31.66,32.06,31.28,30.56,30.41,30.12,28.94,27.03,25.88,24.81,23.34,21.41,19.88,19.59,19.06,17.31,15.75,14.69,13.25,11.16,9.31,8.66,8.78,8.28,7.25,6.5,5.56,3.34,0.28,-2.31,-3.31,-3.97,-4.5,-4.19,-2.84,-1.31,-0.22,0.53,2.06,4.62,6.94,8.69,11.47,14.69,17.19,18.22,18.69,18.91,18.16,15.94,13.56,11.94,10.38,8.12,5.53,3.41,2.12,0.53,-0.34,0.47,2.72,5.62,8.34,12.06,16.94,21.44,24.81,27.69,29.91,31.72,31.97,31.53,31.47,31.66,30.88,29.38,27.84,26.66,25.19,22.94,20.72,20.19,19.81,18.78,18.19,18.34,18.31,17.16,15.88,14.81,14.97,14.81,14.47,15.06,16.44,17.5,17.22,16.84,16.38,15.75,14.03,12.66,12.22,12.34,11.91,11.41,10.81,10.72,10.28,9.12,8.97,9.31,10.22,10.56,11.5,13.31,15.84,17.94,20.12,22.28,24.44,25.03,25.06,24.66,24.88,24.41,22.97,21.41,20.56,19.81,18.81,18.25,19.0,19.84,19.56,18.16,16.78,15.81,13.97,12.34,10.91,10.41,9.84,8.88,8.66,9.59,11.12,11.94,12.78,14.47,16.25,17.97,19.19,20.59,22.69,23.62,23.31,22.91,22.31,21.28,19.5,17.69,16.19,15.16,13.66,11.97,11.31,11.59,12.31,12.75,13.78,15.56,17.06,17.38,17.06,17.94,17.81,16.81,16.12,16.22,16.78,16.91,16.66,16.88,17.03,16.5,14.78,13.0,11.81,10.56,8.38,6.59,6.38,6.28,5.53,5.09,5.62,6.88,7.34,7.72,8.69,10.41,11.44,12.25,13.38,15.56,17.62,18.72,19.22,19.56,19.03,17.53,14.94,13.5,13.09,12.94,12.59,13.0,13.78,14.22,13.44,12.34,11.84,11.31,10.03,9.09,9.69,10.66,11.69,12.16,13.16,14.5,15.44,15.44,15.62,16.66,16.97,16.34,15.59,15.28,14.66,13.75,12.88,12.88,13.34,13.38,12.41,11.62,11.62,10.91,9.66,9.16,9.69,10.41,10.28,10.31,10.84,11.66,11.91,12.09,13.59,15.91,17.69,18.91,20.03,21.31,21.19,19.72,17.91,16.56,15.25,12.91,10.44,9.22,8.66,7.94,7.22,8.19,9.72,10.78,11.06,11.75,12.56,13.0,13.0,13.41,14.94,17.16,18.59,19.19,19.97,20.19,19.25,17.44,16.06,14.94,14.16,12.44,11.47,11.66,11.78,11.44,11.0,12.12,13.53,14.66,14.84,15.62,16.25,15.88,14.88,14.66,14.88,15.03,14.84,14.53,15.88,17.59,18.5,18.91,20.09,20.75,20.16,18.84,18.22,18.12,18.16,18.31,19.84,21.69,23.88,24.59,24.75,24.59,23.97,22.56,20.62,20.03,20.53,21.0,21.53,22.38,23.5,23.94,23.16,22.59,22.03,21.59,20.06,18.41,17.66,17.31,16.66,16.06,16.66,17.56,17.75,17.09,16.44,15.97,15.59,14.59,14.16,14.47,15.03,14.25,13.5,13.5,13.84,13.69,13.59,14.5,16.28,17.22,17.75,18.19,18.75,19.12,18.62,18.22,18.0,17.88,16.03,13.5,11.09,8.88,6.75,4.62,4.03,4.66,6.0,7.03,8.06,9.97,11.09,11.12,10.72,10.75,12.03,13.22,14.38,16.44,18.31,19.0,18.03,16.84,15.91,15.12,13.56,12.69,13.0,12.88,11.56,10.5,10.06,10.19,10.44,11.28,13.28,16.38,19.34,21.81,24.34,27.19,28.88,29.06,28.78,28.56,28.12,26.66,25.0,23.41,22.16,19.78,17.53,15.88,15.56,15.56,15.25,15.5,16.25,17.31,17.47,18.31,20.31,23.25,25.44,27.5,30.22,33.16,34.88,35.69,36.06,35.91,34.75,31.97,29.25,27.09,25.31,22.75,20.34,19.34,18.88,17.94,17.5,17.84,19.0,18.97,18.34,18.28,18.47,18.97,19.22,20.19,21.66,23.0,22.81,21.97,21.03,19.72,17.56,14.78,12.44,11.62,10.78,10.03,9.66,11.16,12.62,13.66,16.19,20.53,26.03,31.47,36.88,42.19,46.09,47.19,46.12,43.66,41.28,37.94,34.44,31.5,29.62,27.66,24.78,22.12,20.16,18.59,16.47,14.88,14.28,14.62,15.62,17.16,19.91,23.72,26.75,28.34,28.84,29.72,30.25,29.56,28.66,28.09,27.0,24.12,20.69,17.72,15.69,13.97,13.0,12.97,14.31,15.0,15.16,14.44,14.59,14.62,13.97,13.97,15.25,17.66,19.91,22.22,24.62,27.94,30.12,31.16,32.03,33.88,34.84,34.47,33.97,33.56,32.69,30.75,28.5,27.22,26.62,25.34,23.75,22.69,22.31,21.06,19.19,17.34,16.81,15.84,14.41,12.94,13.22,14.0,15.09,16.47,18.97,21.88,24.53,25.97,27.03,28.75,30.03,30.31,30.53,31.97,33.03,33.22,32.22,31.91,31.72,30.28,28.41,27.22,27.16,26.53,25.84,25.25,25.59,25.62,24.62,23.53,23.72,24.75,24.88,25.38,27.0,28.12,27.97,26.31,24.25,21.78,18.56,14.78,11.41,9.69,8.66,7.62,7.38,8.28,9.81,10.41,11.41,12.97,15.25,16.81,17.88,19.16,21.0,22.28,22.41,22.12,22.81,23.09,22.41,21.03,19.97,18.69,16.38,13.91,12.81,12.81,12.84,12.59,13.12,15.16,16.97,18.56,20.31,22.78,24.88,25.59,24.88,24.5,23.72,22.53,20.62,20.09,20.84,21.72,22.12,22.94,24.34,24.62,23.25,21.25,20.22,19.31,18.12,16.94,17.0,16.81,16.12,14.66,13.66,13.53,13.59,13.12,13.75,14.84,15.88,15.84,15.12,15.47,16.28,17.03,17.97,19.69,21.97,23.41,23.56,23.44,23.75,23.72,22.78,22.22,23.06,23.62,22.97,21.62,20.44,19.06,17.53,15.41,14.56,15.03,15.59,16.06,17.44,19.97,22.75,24.22,25.53,27.56,28.66,28.44,27.78,27.56,28.06,28.44,28.59,29.09,29.66,29.12,27.16,25.06,23.44,21.75,19.44,17.25,16.69,16.75,16.06,15.66,16.25,17.0,17.72,18.44,19.78,22.09,24.34,25.62,26.53,27.69,27.97,26.59,24.88,24.16,23.47,22.22,20.12,18.59,17.38,16.16,14.28,13.31,13.09,12.94,12.09,11.25,11.47,12.0,11.62,10.91,10.97,11.28,11.41,11.22,11.97,13.72,15.09,15.69,16.53,17.84,19.25,19.12,18.66,18.22,17.78,16.31,14.5,13.97,14.78,15.75,16.75,18.69,20.94,22.41,21.88,20.78,19.81,18.69,16.78,15.62,15.41,15.88,15.75,14.91,13.81,12.78,11.28,9.12,8.25,8.03,8.19,7.22,6.22,6.28,6.69,6.25,6.0,6.66,7.06,6.78,6.25,6.56,7.22,7.88,7.56,7.69,8.69,10.0,11.0,12.19,14.12,15.38,15.03,13.59,12.12,11.22,10.16,9.09,8.59,8.88,9.19,8.22,7.62,7.53,7.59,6.12,4.78,4.5,5.03,5.03,5.0,5.12,5.38,4.44,2.84,1.41,0.81,0.53,-0.03,-0.19,0.34,2.0,2.84,3.59,5.22,7.28,8.97,10.0,12.03,14.22,15.75,16.16,16.78,17.5,17.66,16.47,14.84,13.81,13.22,12.12,11.5,12.19,13.69,15.12,15.84,16.94,18.06,18.66,18.06,17.06,17.31,17.56,17.44,17.44,18.12,19.41,19.94,20.12,21.22,22.75,24.0,24.12,24.44,25.06,25.09,24.22,23.09,22.62,22.22,20.84,19.38,18.69,18.53,17.94,17.28,17.44,18.69,19.47,19.91,20.94,22.69,24.81,26.16,27.66,29.47,31.09,31.81,31.91,31.81,32.03,31.03,29.59,27.59,26.25,24.75,22.97,21.97,22.5,23.53,24.78,25.94,27.88,29.62,30.16,29.59,29.31,29.12,28.91,28.72,29.31,31.44,33.44,34.12,34.31,34.62,33.75,31.53,28.78,26.62,24.94,22.88,21.03,19.88,19.75,18.66,17.84,16.88,17.16,16.97,16.09,15.09,14.75,14.69,14.28,14.56,15.91,17.94,19.5,20.69,21.66,22.59,23.0,23.53,24.12,25.84,27.78,28.97,29.84,30.84,31.88,31.59,30.62,30.12,29.34,28.66,27.84,28.06,29.53,30.56,30.59,30.09,30.03,29.12,27.47,25.69,24.94,24.34,23.78,23.12,23.06,23.91,24.47,24.22,24.53,25.78,26.75,27.28,27.41,28.28,29.16,28.59,27.78,27.41,27.22,26.56,25.28,24.81,24.94,25.12,24.91,25.06,26.19,27.06,26.53,25.38,24.94,24.41,23.88,23.34,23.56,24.12,24.19,23.53,23.41,24.28,25.22,25.69,26.19,27.12,27.53,27.22,25.78,25.34,24.44,23.06,21.41,20.31,20.12,19.69,18.84,17.88,17.44,16.84,15.56,14.59,15.12,15.75,15.72,15.5,16.09,17.5,18.53,19.88,21.47,23.41,27.16,28.81,31.69,35.72,39.84,43.34,46.22,47.38,47.16,46.03,44.41,42.91,42.5,42.47,42.94,44.38,45.5,46.0,46.19,46.41,46.72,47.38,48.56,50.62,52.62,54.06,54.66,54.38,53.03,51.03,48.06,44.78,42.0,39.66,37.75,36.81,36.53,36.75,37.16,37.47,37.94,38.5:negativity
39.19,40.41,40.31,40.88,42.69,44.62,45.06,45.91,48.5,50.41,49.47,47.31,46.09,45.0,43.06,40.5,39.84,40.31,40.0,38.66,38.59,39.69,40.88,40.0,39.5,40.38,41.41,41.19,40.78,41.81,43.03,42.41,40.5,39.16,38.44,37.62,35.38,34.62,35.56,36.62,36.19,36.44,37.97,39.5,39.16,38.25,38.31,39.03,38.88,38.12,39.19,41.44,43.25,43.84,44.84,46.19,46.81,45.03,42.81,41.72,41.16,39.41,37.62,37.44,38.44,38.12,36.69,36.31,37.19,37.09,35.81,35.41,36.09,36.81,35.81,34.69,35.09,35.94,35.41,34.47,35.22,36.88,38.25,38.66,40.12,42.5,44.16,44.19,44.47,46.0,47.44,46.94,46.28,46.56,46.94,45.88,44.16,43.69,44.5,45.19,44.94,45.41,46.88,47.25,45.97,44.84,44.91,44.94,43.56,42.12,41.72,42.22,41.66,40.66,40.69,41.22,40.72,38.81,36.97,36.03,34.97,33.06,31.91,32.53,34.06,34.31,34.41,35.72,37.75,38.53,38.09,38.75,39.84,40.25,39.09,38.31,38.66,38.44,36.47,34.22,33.0,32.31,29.97,27.44,26.91,27.41,27.56,27.28,28.41,30.41,31.72,31.28,31.25,32.22,33.56,33.47,33.78,35.5,37.53,37.78,37.31,37.09,37.75,37.22,36.53,36.84,38.09,38.88,37.72,36.56,36.22,35.69,33.78,32.16,32.03,32.91,32.75,32.31,32.91,34.44,34.75,34.06,34.5,35.75,36.97,36.81,37.0,38.06,39.5,39.31,39.19,40.38,42.22,42.22,41.38,40.66,40.81,39.81,38.5,38.12,39.03,39.72,38.56,37.28,36.59,36.19,33.62,30.78,29.31,29.22,28.34,27.66,28.19,30.56,32.25,32.59,33.38,35.44,37.12,36.88,36.69,37.03,37.56,36.16,34.03,33.25,33.56,33.09,31.88,31.69,32.34,32.41,31.25,30.38,30.78,31.97,31.84,32.06,34.03,36.69,37.84,37.97,39.81,42.59,44.44,45.38,46.12,47.91,47.72,45.84,43.91,43.5,43.38,42.03,40.62,40.66,41.0,40.06,38.44,37.81,38.25,37.06,34.56,32.22,31.53,31.12,30.06,30.41,32.25,34.19,34.03,33.56,34.03,35.59,36.38,36.44,37.94,40.47,41.12,40.03,38.44,37.56,35.75,33.03,31.12,31.22,31.94,31.28,30.44,31.03,32.34,32.34,31.72,32.19,33.84,34.72,34.72,35.22,37.03,38.56,38.25,38.0,39.19,40.56,40.53,40.31,41.16,42.66,42.72,41.41,40.44,40.5,40.12,38.34,37.0,37.31,36.72,34.5,31.69,30.41,29.5,27.94,26.28,26.09,26.59,26.62,26.16,26.59,29.22,32.12,34.47,36.66,40.16,42.06,42.03,40.97,40.41,40.28,38.72,37.22,37.22,38.53,39.09,38.62,38.41,38.69,38.16,36.47,34.97,35.34,35.56,34.19,32.56,32.34,32.62,31.84,30.97,31.28,33.28,34.09,34.09,34.09,34.94,35.44,34.5,34.22,35.97,37.19,36.44,34.69,33.84,33.22,31.59,30.16,29.75,30.62,30.31,28.97,27.41,27.47,27.75,27.28,27.75,30.12,32.72,33.5,33.34,34.22,35.25,35.38,34.41,33.59,33.62,32.81,30.56,28.88,29.03,29.41,28.66,27.72,28.81,30.06,30.0,29.69,30.69,32.16,32.16,31.19,30.38,30.66,29.91,28.31,27.34,27.78,28.66,28.12,27.16,27.59,28.06,27.09,25.81,25.78,26.44,25.81,24.66,24.38,25.5,26.41,26.22,25.91,26.34,26.19,24.12,21.75,20.88,20.38,18.69,16.5,16.19,17.56,18.69,19.53,21.53,24.84,27.56,28.28,28.38,29.22,28.97,26.41,23.5,22.53,22.34,21.22,19.5,18.97,19.38,18.78,17.44,16.88,18.28,19.41,19.22,18.91,20.03,21.03,20.0,18.75,18.91,19.94,20.16,19.78,20.31,22.0,23.09,23.0,23.0,24.12,24.84,23.97,22.81,23.12,24.03,23.69,22.5,22.62,23.19,22.47,20.53,19.53,19.59,18.94,17.88,17.56,19.25,21.38,22.03,22.28,23.72,24.44,23.41,21.81,21.62,22.06,21.28,19.53,18.62,18.28,17.59,15.75,14.91,16.06,17.16,17.47,17.56,19.03,20.66,20.0,18.69,18.44,18.56,17.84,16.59,16.47,17.38,17.69,16.5,15.38,16.03,16.75,16.69,16.34,18.06,19.47,19.25,17.72,17.16,17.06,16.59,15.84,16.34,18.56,20.97,21.66,22.03,23.56,24.12,22.91,21.19,20.91,21.06,20.5,19.12,18.78,19.41,19.41,18.59,18.38,19.72,20.88,20.41,19.69,19.94,20.44,19.31,17.53,17.47,18.59,18.88,18.16,17.97,18.09,17.69,15.97,15.72,17.72,20.44,21.75,22.84,24.94,26.56,26.31,25.03,24.91,25.0,24.25,22.5,21.56,21.47,21.62,20.91,21.28,23.59,26.44,27.78,28.44,30.06,31.28,30.28,28.41,27.81,27.81,27.5,26.69,26.91,28.5,29.5,29.41,29.09,29.94,31.03,29.97,29.28,30.09,31.22,31.75,31.75,32.97,34.88,36.41,36.66,36.84,37.66,37.09,33.72,30.06,26.81,24.06,20.38,17.88,18.34,20.59,22.91,25.28,29.81,34.91,39.69,43.09,46.44,49.5,50.78,49.16,46.38,43.75,40.88,36.41,31.62,28.38,26.31,23.69,20.44,19.03,19.0,19.16,18.66,20.12,23.75,27.69,30.44,33.03,36.41,39.38,39.31,38.12,37.75,37.28,35.47,32.88,30.88,29.25,27.06,23.44,20.72,19.53,18.62,17.09,16.19,17.28,18.78,18.75,18.22,18.59,19.81,20.62,21.75,24.81,29.16,32.84,34.75,36.03,37.66,38.41,37.25,35.94,35.75,35.81,33.91,31.5,30.31,29.75,28.28,25.59,23.44,21.78,18.69,14.34,11.41,10.75,11.41,11.84,13.12,15.28,17.66,18.19,17.69,18.47,20.5,22.38,23.84,26.38,29.62,32.0,31.59,31.22,31.28,31.56,30.06,28.47,28.22,28.5,27.16,24.91,23.41,22.94,21.69,19.0,17.44,17.03,16.34,14.31,13.0,13.0,13.38,12.56,11.19,11.28,12.38,11.91,11.34,11.25,12.47,12.94,12.69,14.03,17.75,22.5,25.81,28.97,31.94,33.78,32.31,30.16,29.0,28.66,27.41,25.97,25.69,26.31,25.94,24.56,23.28,22.84,22.38,20.25,18.56,18.56,19.09,18.47,17.72,18.19,19.28,19.22,18.44,18.69,20.38,21.25,20.81,20.91,21.81,22.47,21.12,19.59,19.09,19.47,18.56,17.34,17.66,19.06,19.16,18.25,18.25,20.34,21.97,21.97,22.53,24.03,25.0,23.97,23.19,24.38,26.41,26.81,26.91,27.41,27.75,26.38,23.41,20.66,19.75,19.22,17.81,18.0,20.22,22.91,23.72,23.91,24.5,25.06,23.69,21.53,21.16,22.75,24.38,25.62,27.53,30.28,31.53,30.0,27.88,26.38,25.44,22.84,20.62,20.12,20.78,20.38,19.53,20.44,22.72,23.56,23.34,22.81,23.03,22.59,20.66,19.56,20.62,22.19,22.16,21.78,22.56,23.88,23.03,21.72,21.62,22.88,23.19,22.62,22.31,22.84,22.31,19.91,18.03,17.25,17.53,16.44,15.19,15.12,15.69,14.44,12.53,11.81,12.53,13.28,13.16,13.53,15.5,16.69,15.91,15.25,15.81,16.72,15.88,14.94,15.19,16.88,17.34,16.94,17.31,18.75,19.31,18.38,17.69,19.16,19.88,19.31,18.56,18.97,20.25,19.44,18.41,18.56,19.5,19.09,17.41,15.75,14.75,13.06,10.66,8.84,9.22,9.94,9.19,8.41,9.41,11.56,12.34,13.09,14.28,15.72,15.72,14.12,13.28,14.25,15.0,14.84,15.44,17.38,18.88,17.91,16.5,15.91,15.81,14.34,13.56,13.72,15.03,15.41,14.69,14.0,14.12,13.03,10.5,8.72,9.59,11.56,12.91,14.5,17.28,20.41,21.41,21.5,21.78,23.06,22.84,21.56,21.62,23.5,25.25,25.88,25.88,27.06,27.69,25.94,24.19,23.72,24.34,23.84,23.09,23.78,25.75,26.62,26.41,26.12,26.28,25.72,22.88,19.94,19.25,19.22,18.28,17.56,18.88,21.0,21.34,21.34,21.66,23.03,23.0,21.56,20.25,20.25,19.97,18.5,17.09,17.44,18.41,17.84,17.25,18.22,20.06,20.03,19.5,18.88,19.47,19.28,18.19,17.94,19.41,20.69,20.75,20.81,21.72,23.0,22.38,20.94,20.66,21.31,20.84,19.59,19.09,19.88,19.59,18.66,18.19,19.66,21.84,22.94,24.16,27.09,30.44,31.34,31.25,31.47,31.16,28.69,24.69,20.69,18.09,15.03,11.62,9.66,10.41,12.09,12.88,14.0,17.16,21.0,23.25,25.41,28.5,32.31,34.12,34.44,34.53,35.44,35.53,33.81,32.0,31.28,30.34,28.22,25.94,25.22,25.5,24.09,21.81,21.19,21.88,21.56,20.66,20.59,21.91,23.12,23.34,23.16,24.72,26.03,25.03,23.34,22.91,23.41,22.75,21.44,21.41,22.38,22.06,20.78,19.53,20.62,20.62,19.72,19.0,20.34,21.94,22.19,22.06,23.22,24.69,24.84,24.12,24.31,25.44,25.59,24.91,24.94,26.56,27.28,26.0,23.66,22.38,21.03,18.47,16.31,16.41,17.97,18.38,17.56,17.75,18.62,18.34,17.16,16.75,18.12,19.5,18.91,18.38,19.22,20.09,18.91,17.03,16.25,16.34,15.03,13.09,12.69,13.44,13.53,12.5,12.16,13.72,15.19:45.91,48.5,50.41,49.47,47.31,46.09,45.0,43.06,40.5,39.84,40.31,40.0,38.66,38.59,39.69,40.88,40.0,39.5,40.38,41.41,41.19,40.78,41.81,43.03,42.41,40.5,39.16,38.44,37.62,35.38,34.62,35.56,36.62,36.19,36.44,37.97,39.5,39.16,38.25,38.31,39.03,38.88,38.12,39.19,41.44,43.25,43.84,44.84,46.19,46.81,45.03,42.81,41.72,41.16,39.41,37.62,37.44,38.44,38.12,36.69,36.31,37.19,37.09,35.81,35.41,36.09,36.81,35.81,34.69,35.09,35.94,35.41,34.47,35.22,36.88,38.25,38.66,40.12,42.5,44.16,44.19,44.47,46.0,47.44,46.94,46.28,46.56,46.94,45.88,44.16,43.69,44.5,45.19,44.94,45.41,46.88,47.25,45.97,44.84,44.91,44.94,43.56,42.12,41.72,42.22,41.66,40.66,40.69,41.22,40.72,38.81,36.97,36.03,34.97,33.06,31.91,32.53,34.06,34.31,34.41,35.72,37.75,38.53,38.09,38.75,39.84,40.25,39.09,38.31,38.66,38.44,36.47,34.22,33.0,32.31,29.97,27.44,26.91,27.41,27.56,27.28,28.41,30.41,31.72,31.28,31.25,32.22,33.56,33.47,33.78,35.5,37.53,37.78,37.31,37.09,37.75,37.22,36.53,36.84,38.09,38.88,37.72,36.56,36.22,35.69,33.78,32.16,32.03,32.91,32.75,32.31,32.91,34.44,34.75,34.06,34.5,35.75,36.97,36.81,37.0,38.06,39.5,39.31,39.19,40.38,42.22,42.22,41.38,40.66,40.81,39.81,38.5,38.12,39.03,39.72,38.56,37.28,36.59,36.19,33.62,30.78,29.31,29.22,28.34,27.66,28.19,30.56,32.25,32.59,33.38,35.44,37.12,36.88,36.69,37.03,37.56,36.16,34.03,33.25,33.56,33.09,31.88,31.69,32.34,32.41,31.25,30.38,30.78,31.97,31.84,32.06,34.03,36.69,37.84,37.97,39.81,42.59,44.44,45.38,46.12,47.91,47.72,45.84,43.91,43.5,43.38,42.03,40.62,40.66,41.0,40.06,38.44,37.81,38.25,37.06,34.56,32.22,31.53,31.12,30.06,30.41,32.25,34.19,34.03,33.56,34.03,35.59,36.38,36.44,37.94,40.47,41.12,40.03,38.44,37.56,35.75,33.03,31.12,31.22,31.94,31.28,30.44,31.03,32.34,32.34,31.72,32.19,33.84,34.72,34.72,35.22,37.03,38.56,38.25,38.0,39.19,40.56,40.53,40.31,41.16,42.66,42.72,41.41,40.44,40.5,40.12,38.34,37.0,37.31,36.72,34.5,31.69,30.41,29.5,27.94,26.28,26.09,26.59,26.62,26.16,26.59,29.22,32.12,34.47,36.66,40.16,42.06,42.03,40.97,40.41,40.28,38.72,37.22,37.22,38.53,39.09,38.62,38.41,38.69,38.16,36.47,34.97,35.34,35.56,34.19,32.56,32.34,32.62,31.84,30.97,31.28,33.28,34.09,34.09,34.09,34.94,35.44,34.5,34.22,35.97,37.19,36.44,34.69,33.84,33.22,31.59,30.16,29.75,30.62,30.31,28.97,27.41,27.47,27.75,27.28,27.75,30.12,32.72,33.5,33.34,34.22,35.25,35.38,34.41,33.59,33.62,32.81,30.56,28.88,29.03,29.41,28.66,27.72,28.81,30.06,30.0,29.69,30.69,32.16,32.16,31.19,30.38,30.66,29.91,28.31,27.34,27.78,28.66,28.12,27.16,27.59,28.06,27.09,25.81,25.78,26.44,25.81,24.66,24.38,25.5,26.41,26.22,25.91,26.34,26.19,24.12,21.75,20.88,20.38,18.69,16.5,16.19,17.56,18.69,19.53,21.53,24.84,27.56,28.28,28.38,29.22,28.97,26.41,23.5,22.53,22.34,21.22,19.5,18.97,19.38,18.78,17.44,16.88,18.28,19.41,19.22,18.91,20.03,21.03,20.0,18.75,18.91,19.94,20.16,19.78,20.31,22.0,23.09,23.0,23.0,24.12,24.84,23.97,22.81,23.12,24.03,23.69,22.5,22.62,23.19,22.47,20.53,19.53,19.59,18.94,17.88,17.56,19.25,21.38,22.03,22.28,23.72,24.44,23.41,21.81,21.62,22.06,21.28,19.53,18.62,18.28,17.59,15.75,14.91,16.06,17.16,17.47,17.56,19.03,20.66,20.0,18.69,18.44,18.56,17.84,16.59,16.47,17.38,17.69,16.5,15.38,16.03,16.75,16.69,16.34,18.06,19.47,19.25,17.72,17.16,17.06,16.59,15.84,16.34,18.56,20.97,21.66,22.03,23.56,24.12,22.91,21.19,20.91,21.06,20.5,19.12,18.78,19.41,19.41,18.59,18.38,19.72,20.88,20.41,19.69,19.94,20.44,19.31,17.53,17.47,18.59,18.88,18.16,17.97,18.09,17.69,15.97,15.72,17.72,20.44,21.75,22.84,24.94,26.56,26.31,25.03,24.91,25.0,24.25,22.5,21.56,21.47,21.62,20.91,21.28,23.59,26.44,27.78,28.44,30.06,31.28,30.28,28.41,27.81,27.81,27.5,26.69,26.91,28.5,29.5,29.41,29.09,29.94,31.03,29.97,29.28,30.09,31.22,31.75,31.75,32.97,34.88,36.41,36.66,36.84,37.66,37.09,33.72,30.06,26.81,24.06,20.38,17.88,18.34,20.59,22.91,25.28,29.81,34.91,39.69,43.09,46.44,49.5,50.78,49.16,46.38,43.75,40.88,36.41,31.62,28.38,26.31,23.69,20.44,19.03,19.0,19.16,18.66,20.12,23.75,27.69,30.44,33.03,36.41,39.38,39.31,38.12,37.75,37.28,35.47,32.88,30.88,29.25,27.06,23.44,20.72,19.53,18.62,17.09,16.19,17.28,18.78,18.75,18.22,18.59,19.81,20.62,21.75,24.81,29.16,32.84,34.75,36.03,37.66,38.41,37.25,35.94,35.75,35.81,33.91,31.5,30.31,29.75,28.28,25.59,23.44,21.78,18.69,14.34,11.41,10.75,11.41,11.84,13.12,15.28,17.66,18.19,17.69,18.47,20.5,22.38,23.84,26.38,29.62,32.0,31.59,31.22,31.28,31.56,30.06,28.47,28.22,28.5,27.16,24.91,23.41,22.94,21.69,19.0,17.44,17.03,16.34,14.31,13.0,13.0,13.38,12.56,11.19,11.28,12.38,11.91,11.34,11.25,12.47,12.94,12.69,14.03,17.75,22.5,25.81,28.97,31.94,33.78,32.31,30.16,29.0,28.66,27.41,25.97,25.69,26.31,25.94,24.56,23.28,22.84,22.38,20.25,18.56,18.56,19.09,18.47,17.72,18.19,19.28,19.22,18.44,18.69,20.38,21.25,20.81,20.91,21.81,22.47,21.12,19.59,19.09,19.47,18.56,17.34,17.66,19.06,19.16,18.25,18.25,20.34,21.97,21.97,22.53,24.03,25.0,23.97,23.19,24.38,26.41,26.81,26.91,27.41,27.75,26.38,23.41,20.66,19.75,19.22,17.81,18.0,20.22,22.91,23.72,23.91,24.5,25.06,23.69,21.53,21.16,22.75,24.38,25.62,27.53,30.28,31.53,30.0,27.88,26.38,25.44,22.84,20.62,20.12,20.78,20.38,19.53,20.44,22.72,23.56,23.34,22.81,23.03,22.59,20.66,19.56,20.62,22.19,22.16,21.78,22.56,23.88,23.03,21.72,21.62,22.88,23.19,22.62,22.31,22.84,22.31,19.91,18.03,17.25,17.53,16.44,15.19,15.12,15.69,14.44,12.53,11.81,12.53,13.28,13.16,13.53,15.5,16.69,15.91,15.25,15.81,16.72,15.88,14.94,15.19,16.88,17.34,16.94,17.31,18.75,19.31,18.38,17.69,19.16,19.88,19.31,18.56,18.97,20.25,19.44,18.41,18.56,19.5,19.09,17.41,15.75,14.75,13.06,10.66,8.84,9.22,9.94,9.19,8.41,9.41,11.56,12.34,13.09,14.28,15.72,15.72,14.12,13.28,14.25,15.0,14.84,15.44,17.38,18.88,17.91,16.5,15.91,15.81,14.34,13.56,13.72,15.03,15.41,14.69,14.0,14.12,13.03,10.5,8.72,9.59,11.56,12.91,14.5,17.28,20.41,21.41,21.5,21.78,23.06,22.84,21.56,21.62,23.5,25.25,25.88,25.88,27.06,27.69,25.94,24.19,23.72,24.34,23.84,23.09,23.78,25.75,26.62,26.41,26.12,26.28,25.72,22.88,19.94,19.25,19.22,18.28,17.56,18.88,21.0,21.34,21.34,21.66,23.03,23.0,21.56,20.25,20.25,19.97,18.5,17.09,17.44,18.41,17.84,17.25,18.22,20.06,20.03,19.5,18.88,19.47,19.28,18.19,17.94,19.41,20.69,20.75,20.81,21.72,23.0,22.38,20.94,20.66,21.31,20.84,19.59,19.09,19.88,19.59,18.66,18.19,19.66,21.84,22.94,24.16,27.09,30.44,31.34,31.25,31.47,31.16,28.69,24.69,20.69,18.09,15.03,11.62,9.66,10.41,12.09,12.88,14.0,17.16,21.0,23.25,25.41,28.5,32.31,34.12,34.44,34.53,35.44,35.53,33.81,32.0,31.28,30.34,28.22,25.94,25.22,25.5,24.09,21.81,21.19,21.88,21.56,20.66,20.59,21.91,23.12,23.34,23.16,24.72,26.03,25.03,23.34,22.91,23.41,22.75,21.44,21.41,22.38,22.06,20.78,19.53,20.62,20.62,19.72,19.0,20.34,21.94,22.19,22.06,23.22,24.69,24.84,24.12,24.31,25.44,25.59,24.91,24.94,26.56,27.28,26.0,23.66,22.38,21.03,18.47,16.31,16.41,17.97,18.38,17.56,17.75,18.62,18.34,17.16,16.75,18.12,19.5,18.91,18.38,19.22,20.09,18.91,17.03,16.25,16.34,15.03,13.09,12.69,13.44,13.53,12.5,12.16,13.72,15.19,104.12,105.97,107.16,106.84,106.19,105.84,105.41:43.06,40.5,39.84,40.31,40.0,38.66,38.59,39.69,40.88,40.0,39.5,40.38,41.41,41.19,40.78,41.81,43.03,42.41,40.5,39.16,38.44,37.62,35.38,34.62,35.56,36.62,36.19,36.44,37.97,39.5,39.16,38.25,38.31,39.03,38.88,38.12,39.19,41.44,43.25,43.84,44.84,46.19,46.81,45.03,42.81,41.72,41.16,39.41,37.62,37.44,38.44,38.12,36.69,36.31,37.19,37.09,35.81,35.41,36.09,36.81,35.81,34.69,35.09,35.94,35.41,34.47,35.22,36.88,38.25,38.66,40.12,42.5,44.16,44.19,44.47,46.0,47.44,46.94,46.28,46.56,46.94,45.88,44.16,43.69,44.5,45.19,44.94,45.41,46.88,47.25,45.97,44.84,44.91,44.94,43.56,42.12,41.72,42.22,41.66,40.66,40.69,41.22,40.72,38.81,36.97,36.03,34.97,33.06,31.91,32.53,34.06,34.31,34.41,35.72,37.75,38.53,38.09,38.75,39.84,40.25,39.09,38.31,38.66,38.44,36.47,34.22,33.0,32.31,29.97,27.44,26.91,27.41,27.56,27.28,28.41,30.41,31.72,31.28,31.25,32.22,33.56,33.47,33.78,35.5,37.53,37.78,37.31,37.09,37.75,37.22,36.53,36.84,38.09,38.88,37.72,36.56,36.22,35.69,33.78,32.16,32.03,32.91,32.75,32.31,32.91,34.44,34.75,34.06,34.5,35.75,36.97,36.81,37.0,38.06,39.5,39.31,39.19,40.38,42.22,42.22,41.38,40.66,40.81,39.81,38.5,38.12,39.03,39.72,38.56,37.28,36.59,36.19,33.62,30.78,29.31,29.22,28.34,27.66,28.19,30.56,32.25,32.59,33.38,35.44,37.12,36.88,36.69,37.03,37.56,36.16,34.03,33.25,33.56,33.09,31.88,31.69,32.34,32.41,31.25,30.38,30.78,31.97,31.84,32.06,34.03,36.69,37.84,37.97,39.81,42.59,44.44,45.38,46.12,47.91,47.72,45.84,43.91,43.5,43.38,42.03,40.62,40.66,41.0,40.06,38.44,37.81,38.25,37.06,34.56,32.22,31.53,31.12,30.06,30.41,32.25,34.19,34.03,33.56,34.03,35.59,36.38,36.44,37.94,40.47,41.12,40.03,38.44,37.56,35.75,33.03,31.12,31.22,31.94,31.28,30.44,31.03,32.34,32.34,31.72,32.19,33.84,34.72,34.72,35.22,37.03,38.56,38.25,38.0,39.19,40.56,40.53,40.31,41.16,42.66,42.72,41.41,40.44,40.5,40.12,38.34,37.0,37.31,36.72,34.5,31.69,30.41,29.5,27.94,26.28,26.09,26.59,26.62,26.16,26.59,29.22,32.12,34.47,36.66,40.16,42.06,42.03,40.97,40.41,40.28,38.72,37.22,37.22,38.53,39.09,38.62,38.41,38.69,38.16,36.47,34.97,35.34,35.56,34.19,32.56,32.34,32.62,31.84,30.97,31.28,33.28,34.09,34.09,34.09,34.94,35.44,34.5,34.22,35.97,37.19,36.44,34.69,33.84,33.22,31.59,30.16,29.75,30.62,30.31,28.97,27.41,27.47,27.75,27.28,27.75,30.12,32.72,33.5,33.34,34.22,35.25,35.38,34.41,33.59,33.62,32.81,30.56,28.88,29.03,29.41,28.66,27.72,28.81,30.06,30.0,29.69,30.69,32.16,32.16,31.19,30.38,30.66,29.91,28.31,27.34,27.78,28.66,28.12,27.16,27.59,28.06,27.09,25.81,25.78,26.44,25.81,24.66,24.38,25.5,26.41,26.22,25.91,26.34,26.19,24.12,21.75,20.88,20.38,18.69,16.5,16.19,17.56,18.69,19.53,21.53,24.84,27.56,28.28,28.38,29.22,28.97,26.41,23.5,22.53,22.34,21.22,19.5,18.97,19.38,18.78,17.44,16.88,18.28,19.41,19.22,18.91,20.03,21.03,20.0,18.75,18.91,19.94,20.16,19.78,20.31,22.0,23.09,23.0,23.0,24.12,24.84,23.97,22.81,23.12,24.03,23.69,22.5,22.62,23.19,22.47,20.53,19.53,19.59,18.94,17.88,17.56,19.25,21.38,22.03,22.28,23.72,24.44,23.41,21.81,21.62,22.06,21.28,19.53,18.62,18.28,17.59,15.75,14.91,16.06,17.16,17.47,17.56,19.03,20.66,20.0,18.69,18.44,18.56,17.84,16.59,16.47,17.38,17.69,16.5,15.38,16.03,16.75,16.69,16.34,18.06,19.47,19.25,17.72,17.16,17.06,16.59,15.84,16.34,18.56,20.97,21.66,22.03,23.56,24.12,22.91,21.19,20.91,21.06,20.5,19.12,18.78,19.41,19.41,18.59,18.38,19.72,20.88,20.41,19.69,19.94,20.44,19.31,17.53,17.47,18.59,18.88,18.16,17.97,18.09,17.69,15.97,15.72,17.72,20.44,21.75,22.84,24.94,26.56,26.31,25.03,24.91,25.0,24.25,22.5,21.56,21.47,21.62,20.91,21.28,23.59,26.44,27.78,28.44,30.06,31.28,30.28,28.41,27.81,27.81,27.5,26.69,26.91,28.5,29.5,29.41,29.09,29.94,31.03,29.97,29.28,30.09,31.22,31.75,31.75,32.97,34.88,36.41,36.66,36.84,37.66,37.09,33.72,30.06,26.81,24.06,20.38,17.88,18.34,20.59,22.91,25.28,29.81,34.91,39.69,43.09,46.44,49.5,50.78,49.16,46.38,43.75,40.88,36.41,31.62,28.38,26.31,23.69,20.44,19.03,19.0,19.16,18.66,20.12,23.75,27.69,30.44,33.03,36.41,39.38,39.31,38.12,37.75,37.28,35.47,32.88,30.88,29.25,27.06,23.44,20.72,19.53,18.62,17.09,16.19,17.28,18.78,18.75,18.22,18.59,19.81,20.62,21.75,24.81,29.16,32.84,34.75,36.03,37.66,38.41,37.25,35.94,35.75,35.81,33.91,31.5,30.31,29.75,28.28,25.59,23.44,21.78,18.69,14.34,11.41,10.75,11.41,11.84,13.12,15.28,17.66,18.19,17.69,18.47,20.5,22.38,23.84,26.38,29.62,32.0,31.59,31.22,31.28,31.56,30.06,28.47,28.22,28.5,27.16,24.91,23.41,22.94,21.69,19.0,17.44,17.03,16.34,14.31,13.0,13.0,13.38,12.56,11.19,11.28,12.38,11.91,11.34,11.25,12.47,12.94,12.69,14.03,17.75,22.5,25.81,28.97,31.94,33.78,32.31,30.16,29.0,28.66,27.41,25.97,25.69,26.31,25.94,24.56,23.28,22.84,22.38,20.25,18.56,18.56,19.09,18.47,17.72,18.19,19.28,19.22,18.44,18.69,20.38,21.25,20.81,20.91,21.81,22.47,21.12,19.59,19.09,19.47,18.56,17.34,17.66,19.06,19.16,18.25,18.25,20.34,21.97,21.97,22.53,24.03,25.0,23.97,23.19,24.38,26.41,26.81,26.91,27.41,27.75,26.38,23.41,20.66,19.75,19.22,17.81,18.0,20.22,22.91,23.72,23.91,24.5,25.06,23.69,21.53,21.16,22.75,24.38,25.62,27.53,30.28,31.53,30.0,27.88,26.38,25.44,22.84,20.62,20.12,20.78,20.38,19.53,20.44,22.72,23.56,23.34,22.81,23.03,22.59,20.66,19.56,20.62,22.19,22.16,21.78,22.56,23.88,23.03,21.72,21.62,22.88,23.19,22.62,22.31,22.84,22.31,19.91,18.03,17.25,17.53,16.44,15.19,15.12,15.69,14.44,12.53,11.81,12.53,13.28,13.16,13.53,15.5,16.69,15.91,15.25,15.81,16.72,15.88,14.94,15.19,16.88,17.34,16.94,17.31,18.75,19.31,18.38,17.69,19.16,19.88,19.31,18.56,18.97,20.25,19.44,18.41,18.56,19.5,19.09,17.41,15.75,14.75,13.06,10.66,8.84,9.22,9.94,9.19,8.41,9.41,11.56,12.34,13.09,14.28,15.72,15.72,14.12,13.28,14.25,15.0,14.84,15.44,17.38,18.88,17.91,16.5,15.91,15.81,14.34,13.56,13.72,15.03,15.41,14.69,14.0,14.12,13.03,10.5,8.72,9.59,11.56,12.91,14.5,17.28,20.41,21.41,21.5,21.78,23.06,22.84,21.56,21.62,23.5,25.25,25.88,25.88,27.06,27.69,25.94,24.19,23.72,24.34,23.84,23.09,23.78,25.75,26.62,26.41,26.12,26.28,25.72,22.88,19.94,19.25,19.22,18.28,17.56,18.88,21.0,21.34,21.34,21.66,23.03,23.0,21.56,20.25,20.25,19.97,18.5,17.09,17.44,18.41,17.84,17.25,18.22,20.06,20.03,19.5,18.88,19.47,19.28,18.19,17.94,19.41,20.69,20.75,20.81,21.72,23.0,22.38,20.94,20.66,21.31,20.84,19.59,19.09,19.88,19.59,18.66,18.19,19.66,21.84,22.94,24.16,27.09,30.44,31.34,31.25,31.47,31.16,28.69,24.69,20.69,18.09,15.03,11.62,9.66,10.41,12.09,12.88,14.0,17.16,21.0,23.25,25.41,28.5,32.31,34.12,34.44,34.53,35.44,35.53,33.81,32.0,31.28,30.34,28.22,25.94,25.22,25.5,24.09,21.81,21.19,21.88,21.56,20.66,20.59,21.91,23.12,23.34,23.16,24.72,26.03,25.03,23.34,22.91,23.41,22.75,21.44,21.41,22.38,22.06,20.78,19.53,20.62,20.62,19.72,19.0,20.34,21.94,22.19,22.06,23.22,24.69,24.84,24.12,24.31,25.44,25.59,24.91,24.94,26.56,27.28,26.0,23.66,22.38,21.03,18.47,16.31,16.41,17.97,18.38,17.56,17.75,18.62,18.34,17.16,16.75,18.12,19.5,18.91,18.38,19.22,20.09,18.91,17.03,16.25,16.34,15.03,13.09,12.69,13.44,13.53,12.5,12.16,13.72,15.19,104.12,105.97,107.16,106.84,106.19,105.84,105.41,104.38,103.44,102.25,100.69,98.56,95.91,93.62:39.69,40.88,40.0,39.5,40.38,41.41,41.19,40.78,41.81,43.03,42.41,40.5,39.16,38.44,37.62,35.38,34.62,35.56,36.62,36.19,36.44,37.97,39.5,39.16,38.25,38.31,39.03,38.88,38.12,39.19,41.44,43.25,43.84,44.84,46.19,46.81,45.03,42.81,41.72,41.16,39.41,37.62,37.44,38.44,38.12,36.69,36.31,37.19,37.09,35.81,35.41,36.09,36.81,35.81,34.69,35.09,35.94,35.41,34.47,35.22,36.88,38.25,38.66,40.12,42.5,44.16,44.19,44.47,46.0,47.44,46.94,46.28,46.56,46.94,45.88,44.16,43.69,44.5,45.19,44.94,45.41,46.88,47.25,45.97,44.84,44.91,44.94,43.56,42.12,41.72,42.22,41.66,40.66,40.69,41.22,40.72,38.81,36.97,36.03,34.97,33.06,31.91,32.53,34.06,34.31,34.41,35.72,37.75,38.53,38.09,38.75,39.84,40.25,39.09,38.31,38.66,38.44,36.47,34.22,33.0,32.31,29.97,27.44,26.91,27.41,27.56,27.28,28.41,30.41,31.72,31.28,31.25,32.22,33.56,33.47,33.78,35.5,37.53,37.78,37.31,37.09,37.75,37.22,36.53,36.84,38.09,38.88,37.72,36.56,36.22,35.69,33.78,32.16,32.03,32.91,32.75,32.31,32.91,34.44,34.75,34.06,34.5,35.75,36.97,36.81,37.0,38.06,39.5,39.31,39.19,40.38,42.22,42.22,41.38,40.66,40.81,39.81,38.5,38.12,39.03,39.72,38.56,37.28,36.59,36.19,33.62,30.78,29.31,29.22,28.34,27.66,28.19,30.56,32.25,32.59,33.38,35.44,37.12,36.88,36.69,37.03,37.56,36.16,34.03,33.25,33.56,33.09,31.88,31.69,32.34,32.41,31.25,30.38,30.78,31.97,31.84,32.06,34.03,36.69,37.84,37.97,39.81,42.59,44.44,45.38,46.12,47.91,47.72,45.84,43.91,43.5,43.38,42.03,40.62,40.66,41.0,40.06,38.44,37.81,38.25,37.06,34.56,32.22,31.53,31.12,30.06,30.41,32.25,34.19,34.03,33.56,34.03,35.59,36.38,36.44,37.94,40.47,41.12,40.03,38.44,37.56,35.75,33.03,31.12,31.22,31.94,31.28,30.44,31.03,32.34,32.34,31.72,32.19,33.84,34.72,34.72,35.22,37.03,38.56,38.25,38.0,39.19,40.56,40.53,40.31,41.16,42.66,42.72,41.41,40.44,40.5,40.12,38.34,37.0,37.31,36.72,34.5,31.69,30.41,29.5,27.94,26.28,26.09,26.59,26.62,26.16,26.59,29.22,32.12,34.47,36.66,40.16,42.06,42.03,40.97,40.41,40.28,38.72,37.22,37.22,38.53,39.09,38.62,38.41,38.69,38.16,36.47,34.97,35.34,35.56,34.19,32.56,32.34,32.62,31.84,30.97,31.28,33.28,34.09,34.09,34.09,34.94,35.44,34.5,34.22,35.97,37.19,36.44,34.69,33.84,33.22,31.59,30.16,29.75,30.62,30.31,28.97,27.41,27.47,27.75,27.28,27.75,30.12,32.72,33.5,33.34,34.22,35.25,35.38,34.41,33.59,33.62,32.81,30.56,28.88,29.03,29.41,28.66,27.72,28.81,30.06,30.0,29.69,30.69,32.16,32.16,31.19,30.38,30.66,29.91,28.31,27.34,27.78,28.66,28.12,27.16,27.59,28.06,27.09,25.81,25.78,26.44,25.81,24.66,24.38,25.5,26.41,26.22,25.91,26.34,26.19,24.12,21.75,20.88,20.38,18.69,16.5,16.19,17.56,18.69,19.53,21.53,24.84,27.56,28.28,28.38,29.22,28.97,26.41,23.5,22.53,22.34,21.22,19.5,18.97,19.38,18.78,17.44,16.88,18.28,19.41,19.22,18.91,20.03,21.03,20.0,18.75,18.91,19.94,20.16,19.78,20.31,22.0,23.09,23.0,23.0,24.12,24.84,23.97,22.81,23.12,24.03,23.69,22.5,22.62,23.19,22.47,20.53,19.53,19.59,18.94,17.88,17.56,19.25,21.38,22.03,22.28,23.72,24.44,23.41,21.81,21.62,22.06,21.28,19.53,18.62,18.28,17.59,15.75,14.91,16.06,17.16,17.47,17.56,19.03,20.66,20.0,18.69,18.44,18.56,17.84,16.59,16.47,17.38,17.69,16.5,15.38,16.03,16.75,16.69,16.34,18.06,19.47,19.25,17.72,17.16,17.06,16.59,15.84,16.34,18.56,20.97,21.66,22.03,23.56,24.12,22.91,21.19,20.91,21.06,20.5,19.12,18.78,19.41,19.41,18.59,18.38,19.72,20.88,20.41,19.69,19.94,20.44,19.31,17.53,17.47,18.59,18.88,18.16,17.97,18.09,17.69,15.97,15.72,17.72,20.44,21.75,22.84,24.94,26.56,26.31,25.03,24.91,25.0,24.25,22.5,21.56,21.47,21.62,20.91,21.28,23.59,26.44,27.78,28.44,30.06,31.28,30.28,28.41,27.81,27.81,27.5,26.69,26.91,28.5,29.5,29.41,29.09,29.94,31.03,29.97,29.28,30.09,31.22,31.75,31.75,32.97,34.88,36.41,36.66,36.84,37.66,37.09,33.72,30.06,26.81,24.06,20.38,17.88,18.34,20.59,22.91,25.28,29.81,34.91,39.69,43.09,46.44,49.5,50.78,49.16,46.38,43.75,40.88,36.41,31.62,28.38,26.31,23.69,20.44,19.03,19.0,19.16,18.66,20.12,23.75,27.69,30.44,33.03,36.41,39.38,39.31,38.12,37.75,37.28,35.47,32.88,30.88,29.25,27.06,23.44,20.72,19.53,18.62,17.09,16.19,17.28,18.78,18.75,18.22,18.59,19.81,20.62,21.75,24.81,29.16,32.84,34.75,36.03,37.66,38.41,37.25,35.94,35.75,35.81,33.91,31.5,30.31,29.75,28.28,25.59,23.44,21.78,18.69,14.34,11.41,10.75,11.41,11.84,13.12,15.28,17.66,18.19,17.69,18.47,20.5,22.38,23.84,26.38,29.62,32.0,31.59,31.22,31.28,31.56,30.06,28.47,28.22,28.5,27.16,24.91,23.41,22.94,21.69,19.0,17.44,17.03,16.34,14.31,13.0,13.0,13.38,12.56,11.19,11.28,12.38,11.91,11.34,11.25,12.47,12.94,12.69,14.03,17.75,22.5,25.81,28.97,31.94,33.78,32.31,30.16,29.0,28.66,27.41,25.97,25.69,26.31,25.94,24.56,23.28,22.84,22.38,20.25,18.56,18.56,19.09,18.47,17.72,18.19,19.28,19.22,18.44,18.69,20.38,21.25,20.81,20.91,21.81,22.47,21.12,19.59,19.09,19.47,18.56,17.34,17.66,19.06,19.16,18.25,18.25,20.34,21.97,21.97,22.53,24.03,25.0,23.97,23.19,24.38,26.41,26.81,26.91,27.41,27.75,26.38,23.41,20.66,19.75,19.22,17.81,18.0,20.22,22.91,23.72,23.91,24.5,25.06,23.69,21.53,21.16,22.75,24.38,25.62,27.53,30.28,31.53,30.0,27.88,26.38,25.44,22.84,20.62,20.12,20.78,20.38,19.53,20.44,22.72,23.56,23.34,22.81,23.03,22.59,20.66,19.56,20.62,22.19,22.16,21.78,22.56,23.88,23.03,21.72,21.62,22.88,23.19,22.62,22.31,22.84,22.31,19.91,18.03,17.25,17.53,16.44,15.19,15.12,15.69,14.44,12.53,11.81,12.53,13.28,13.16,13.53,15.5,16.69,15.91,15.25,15.81,16.72,15.88,14.94,15.19,16.88,17.34,16.94,17.31,18.75,19.31,18.38,17.69,19.16,19.88,19.31,18.56,18.97,20.25,19.44,18.41,18.56,19.5,19.09,17.41,15.75,14.75,13.06,10.66,8.84,9.22,9.94,9.19,8.41,9.41,11.56,12.34,13.09,14.28,15.72,15.72,14.12,13.28,14.25,15.0,14.84,15.44,17.38,18.88,17.91,16.5,15.91,15.81,14.34,13.56,13.72,15.03,15.41,14.69,14.0,14.12,13.03,10.5,8.72,9.59,11.56,12.91,14.5,17.28,20.41,21.41,21.5,21.78,23.06,22.84,21.56,21.62,23.5,25.25,25.88,25.88,27.06,27.69,25.94,24.19,23.72,24.34,23.84,23.09,23.78,25.75,26.62,26.41,26.12,26.28,25.72,22.88,19.94,19.25,19.22,18.28,17.56,18.88,21.0,21.34,21.34,21.66,23.03,23.0,21.56,20.25,20.25,19.97,18.5,17.09,17.44,18.41,17.84,17.25,18.22,20.06,20.03,19.5,18.88,19.47,19.28,18.19,17.94,19.41,20.69,20.75,20.81,21.72,23.0,22.38,20.94,20.66,21.31,20.84,19.59,19.09,19.88,19.59,18.66,18.19,19.66,21.84,22.94,24.16,27.09,30.44,31.34,31.25,31.47,31.16,28.69,24.69,20.69,18.09,15.03,11.62,9.66,10.41,12.09,12.88,14.0,17.16,21.0,23.25,25.41,28.5,32.31,34.12,34.44,34.53,35.44,35.53,33.81,32.0,31.28,30.34,28.22,25.94,25.22,25.5,24.09,21.81,21.19,21.88,21.56,20.66,20.59,21.91,23.12,23.34,23.16,24.72,26.03,25.03,23.34,22.91,23.41,22.75,21.44,21.41,22.38,22.06,20.78,19.53,20.62,20.62,19.72,19.0,20.34,21.94,22.19,22.06,23.22,24.69,24.84,24.12,24.31,25.44,25.59,24.91,24.94,26.56,27.28,26.0,23.66,22.38,21.03,18.47,16.31,16.41,17.97,18.38,17.56,17.75,18.62,18.34,17.16,16.75,18.12,19.5,18.91,18.38,19.22,20.09,18.91,17.03,16.25,16.34,15.03,13.09,12.69,13.44,13.53,12.5,12.16,13.72,15.19,104.12,105.97,107.16,106.84,106.19,105.84,105.41,104.38,103.44,102.25,100.69,98.56,95.91,93.62,92.31,91.72,91.62,91.94,92.41,92.56,92.81:40.78,41.81,43.03,42.41,40.5,39.16,38.44,37.62,35.38,34.62,35.56,36.62,36.19,36.44,37.97,39.5,39.16,38.25,38.31,39.03,38.88,38.12,39.19,41.44,43.25,43.84,44.84,46.19,46.81,45.03,42.81,41.72,41.16,39.41,37.62,37.44,38.44,38.12,36.69,36.31,37.19,37.09,35.81,35.41,36.09,36.81,35.81,34.69,35.09,35.94,35.41,34.47,35.22,36.88,38.25,38.66,40.12,42.5,44.16,44.19,44.47,46.0,47.44,46.94,46.28,46.56,46.94,45.88,44.16,43.69,44.5,45.19,44.94,45.41,46.88,47.25,45.97,44.84,44.91,44.94,43.56,42.12,41.72,42.22,41.66,40.66,40.69,41.22,40.72,38.81,36.97,36.03,34.97,33.06,31.91,32.53,34.06,34.31,34.41,35.72,37.75,38.53,38.09,38.75,39.84,40.25,39.09,38.31,38.66,38.44,36.47,34.22,33.0,32.31,29.97,27.44,26.91,27.41,27.56,27.28,28.41,30.41,31.72,31.28,31.25,32.22,33.56,33.47,33.78,35.5,37.53,37.78,37.31,37.09,37.75,37.22,36.53,36.84,38.09,38.88,37.72,36.56,36.22,35.69,33.78,32.16,32.03,32.91,32.75,32.31,32.91,34.44,34.75,34.06,34.5,35.75,36.97,36.81,37.0,38.06,39.5,39.31,39.19,40.38,42.22,42.22,41.38,40.66,40.81,39.81,38.5,38.12,39.03,39.72,38.56,37.28,36.59,36.19,33.62,30.78,29.31,29.22,28.34,27.66,28.19,30.56,32.25,32.59,33.38,35.44,37.12,36.88,36.69,37.03,37.56,36.16,34.03,33.25,33.56,33.09,31.88,31.69,32.34,32.41,31.25,30.38,30.78,31.97,31.84,32.06,34.03,36.69,37.84,37.97,39.81,42.59,44.44,45.38,46.12,47.91,47.72,45.84,43.91,43.5,43.38,42.03,40.62,40.66,41.0,40.06,38.44,37.81,38.25,37.06,34.56,32.22,31.53,31.12,30.06,30.41,32.25,34.19,34.03,33.56,34.03,35.59,36.38,36.44,37.94,40.47,41.12,40.03,38.44,37.56,35.75,33.03,31.12,31.22,31.94,31.28,30.44,31.03,32.34,32.34,31.72,32.19,33.84,34.72,34.72,35.22,37.03,38.56,38.25,38.0,39.19,40.56,40.53,40.31,41.16,42.66,42.72,41.41,40.44,40.5,40.12,38.34,37.0,37.31,36.72,34.5,31.69,30.41,29.5,27.94,26.28,26.09,26.59,26.62,26.16,26.59,29.22,32.12,34.47,36.66,40.16,42.06,42.03,40.97,40.41,40.28,38.72,37.22,37.22,38.53,39.09,38.62,38.41,38.69,38.16,36.47,34.97,35.34,35.56,34.19,32.56,32.34,32.62,31.84,30.97,31.28,33.28,34.09,34.09,34.09,34.94,35.44,34.5,34.22,35.97,37.19,36.44,34.69,33.84,33.22,31.59,30.16,29.75,30.62,30.31,28.97,27.41,27.47,27.75,27.28,27.75,30.12,32.72,33.5,33.34,34.22,35.25,35.38,34.41,33.59,33.62,32.81,30.56,28.88,29.03,29.41,28.66,27.72,28.81,30.06,30.0,29.69,30.69,32.16,32.16,31.19,30.38,30.66,29.91,28.31,27.34,27.78,28.66,28.12,27.16,27.59,28.06,27.09,25.81,25.78,26.44,25.81,24.66,24.38,25.5,26.41,26.22,25.91,26.34,26.19,24.12,21.75,20.88,20.38,18.69,16.5,16.19,17.56,18.69,19.53,21.53,24.84,27.56,28.28,28.38,29.22,28.97,26.41,23.5,22.53,22.34,21.22,19.5,18.97,19.38,18.78,17.44,16.88,18.28,19.41,19.22,18.91,20.03,21.03,20.0,18.75,18.91,19.94,20.16,19.78,20.31,22.0,23.09,23.0,23.0,24.12,24.84,23.97,22.81,23.12,24.03,23.69,22.5,22.62,23.19,22.47,20.53,19.53,19.59,18.94,17.88,17.56,19.25,21.38,22.03,22.28,23.72,24.44,23.41,21.81,21.62,22.06,21.28,19.53,18.62,18.28,17.59,15.75,14.91,16.06,17.16,17.47,17.56,19.03,20.66,20.0,18.69,18.44,18.56,17.84,16.59,16.47,17.38,17.69,16.5,15.38,16.03,16.75,16.69,16.34,18.06,19.47,19.25,17.72,17.16,17.06,16.59,15.84,16.34,18.56,20.97,21.66,22.03,23.56,24.12,22.91,21.19,20.91,21.06,20.5,19.12,18.78,19.41,19.41,18.59,18.38,19.72,20.88,20.41,19.69,19.94,20.44,19.31,17.53,17.47,18.59,18.88,18.16,17.97,18.09,17.69,15.97,15.72,17.72,20.44,21.75,22.84,24.94,26.56,26.31,25.03,24.91,25.0,24.25,22.5,21.56,21.47,21.62,20.91,21.28,23.59,26.44,27.78,28.44,30.06,31.28,30.28,28.41,27.81,27.81,27.5,26.69,26.91,28.5,29.5,29.41,29.09,29.94,31.03,29.97,29.28,30.09,31.22,31.75,31.75,32.97,34.88,36.41,36.66,36.84,37.66,37.09,33.72,30.06,26.81,24.06,20.38,17.88,18.34,20.59,22.91,25.28,29.81,34.91,39.69,43.09,46.44,49.5,50.78,49.16,46.38,43.75,40.88,36.41,31.62,28.38,26.31,23.69,20.44,19.03,19.0,19.16,18.66,20.12,23.75,27.69,30.44,33.03,36.41,39.38,39.31,38.12,37.75,37.28,35.47,32.88,30.88,29.25,27.06,23.44,20.72,19.53,18.62,17.09,16.19,17.28,18.78,18.75,18.22,18.59,19.81,20.62,21.75,24.81,29.16,32.84,34.75,36.03,37.66,38.41,37.25,35.94,35.75,35.81,33.91,31.5,30.31,29.75,28.28,25.59,23.44,21.78,18.69,14.34,11.41,10.75,11.41,11.84,13.12,15.28,17.66,18.19,17.69,18.47,20.5,22.38,23.84,26.38,29.62,32.0,31.59,31.22,31.28,31.56,30.06,28.47,28.22,28.5,27.16,24.91,23.41,22.94,21.69,19.0,17.44,17.03,16.34,14.31,13.0,13.0,13.38,12.56,11.19,11.28,12.38,11.91,11.34,11.25,12.47,12.94,12.69,14.03,17.75,22.5,25.81,28.97,31.94,33.78,32.31,30.16,29.0,28.66,27.41,25.97,25.69,26.31,25.94,24.56,23.28,22.84,22.38,20.25,18.56,18.56,19.09,18.47,17.72,18.19,19.28,19.22,18.44,18.69,20.38,21.25,20.81,20.91,21.81,22.47,21.12,19.59,19.09,19.47,18.56,17.34,17.66,19.06,19.16,18.25,18.25,20.34,21.97,21.97,22.53,24.03,25.0,23.97,23.19,24.38,26.41,26.81,26.91,27.41,27.75,26.38,23.41,20.66,19.75,19.22,17.81,18.0,20.22,22.91,23.72,23.91,24.5,25.06,23.69,21.53,21.16,22.75,24.38,25.62,27.53,30.28,31.53,30.0,27.88,26.38,25.44,22.84,20.62,20.12,20.78,20.38,19.53,20.44,22.72,23.56,23.34,22.81,23.03,22.59,20.66,19.56,20.62,22.19,22.16,21.78,22.56,23.88,23.03,21.72,21.62,22.88,23.19,22.62,22.31,22.84,22.31,19.91,18.03,17.25,17.53,16.44,15.19,15.12,15.69,14.44,12.53,11.81,12.53,13.28,13.16,13.53,15.5,16.69,15.91,15.25,15.81,16.72,15.88,14.94,15.19,16.88,17.34,16.94,17.31,18.75,19.31,18.38,17.69,19.16,19.88,19.31,18.56,18.97,20.25,19.44,18.41,18.56,19.5,19.09,17.41,15.75,14.75,13.06,10.66,8.84,9.22,9.94,9.19,8.41,9.41,11.56,12.34,13.09,14.28,15.72,15.72,14.12,13.28,14.25,15.0,14.84,15.44,17.38,18.88,17.91,16.5,15.91,15.81,14.34,13.56,13.72,15.03,15.41,14.69,14.0,14.12,13.03,10.5,8.72,9.59,11.56,12.91,14.5,17.28,20.41,21.41,21.5,21.78,23.06,22.84,21.56,21.62,23.5,25.25,25.88,25.88,27.06,27.69,25.94,24.19,23.72,24.34,23.84,23.09,23.78,25.75,26.62,26.41,26.12,26.28,25.72,22.88,19.94,19.25,19.22,18.28,17.56,18.88,21.0,21.34,21.34,21.66,23.03,23.0,21.56,20.25,20.25,19.97,18.5,17.09,17.44,18.41,17.84,17.25,18.22,20.06,20.03,19.5,18.88,19.47,19.28,18.19,17.94,19.41,20.69,20.75,20.81,21.72,23.0,22.38,20.94,20.66,21.31,20.84,19.59,19.09,19.88,19.59,18.66,18.19,19.66,21.84,22.94,24.16,27.09,30.44,31.34,31.25,31.47,31.16,28.69,24.69,20.69,18.09,15.03,11.62,9.66,10.41,12.09,12.88,14.0,17.16,21.0,23.25,25.41,28.5,32.31,34.12,34.44,34.53,35.44,35.53,33.81,32.0,31.28,30.34,28.22,25.94,25.22,25.5,24.09,21.81,21.19,21.88,21.56,20.66,20.59,21.91,23.12,23.34,23.16,24.72,26.03,25.03,23.34,22.91,23.41,22.75,21.44,21.41,22.38,22.06,20.78,19.53,20.62,20.62,19.72,19.0,20.34,21.94,22.19,22.06,23.22,24.69,24.84,24.12,24.31,25.44,25.59,24.91,24.94,26.56,27.28,26.0,23.66,22.38,21.03,18.47,16.31,16.41,17.97,18.38,17.56,17.75,18.62,18.34,17.16,16.75,18.12,19.5,18.91,18.38,19.22,20.09,18.91,17.03,16.25,16.34,15.03,13.09,12.69,13.44,13.53,12.5,12.16,13.72,15.19,104.12,105.97,107.16,106.84,106.19,105.84,105.41,104.38,103.44,102.25,100.69,98.56,95.91,93.62,92.31,91.72,91.62,91.94,92.41,92.56,92.81,92.34,92.31,92.34,92.06,91.44,91.31,91.41:37.62,35.38,34.62,35.56,36.62,36.19,36.44,37.97,39.5,39.16,38.25,38.31,39.03,38.88,38.12,39.19,41.44,43.25,43.84,44.84,46.19,46.81,45.03,42.81,41.72,41.16,39.41,37.62,37.44,38.44,38.12,36.69,36.31,37.19,37.09,35.81,35.41,36.09,36.81,35.81,34.69,35.09,35.94,35.41,34.47,35.22,36.88,38.25,38.66,40.12,42.5,44.16,44.19,44.47,46.0,47.44,46.94,46.28,46.56,46.94,45.88,44.16,43.69,44.5,45.19,44.94,45.41,46.88,47.25,45.97,44.84,44.91,44.94,43.56,42.12,41.72,42.22,41.66,40.66,40.69,41.22,40.72,38.81,36.97,36.03,34.97,33.06,31.91,32.53,34.06,34.31,34.41,35.72,37.75,38.53,38.09,38.75,39.84,40.25,39.09,38.31,38.66,38.44,36.47,34.22,33.0,32.31,29.97,27.44,26.91,27.41,27.56,27.28,28.41,30.41,31.72,31.28,31.25,32.22,33.56,33.47,33.78,35.5,37.53,37.78,37.31,37.09,37.75,37.22,36.53,36.84,38.09,38.88,37.72,36.56,36.22,35.69,33.78,32.16,32.03,32.91,32.75,32.31,32.91,34.44,34.75,34.06,34.5,35.75,36.97,36.81,37.0,38.06,39.5,39.31,39.19,40.38,42.22,42.22,41.38,40.66,40.81,39.81,38.5,38.12,39.03,39.72,38.56,37.28,36.59,36.19,33.62,30.78,29.31,29.22,28.34,27.66,28.19,30.56,32.25,32.59,33.38,35.44,37.12,36.88,36.69,37.03,37.56,36.16,34.03,33.25,33.56,33.09,31.88,31.69,32.34,32.41,31.25,30.38,30.78,31.97,31.84,32.06,34.03,36.69,37.84,37.97,39.81,42.59,44.44,45.38,46.12,47.91,47.72,45.84,43.91,43.5,43.38,42.03,40.62,40.66,41.0,40.06,38.44,37.81,38.25,37.06,34.56,32.22,31.53,31.12,30.06,30.41,32.25,34.19,34.03,33.56,34.03,35.59,36.38,36.44,37.94,40.47,41.12,40.03,38.44,37.56,35.75,33.03,31.12,31.22,31.94,31.28,30.44,31.03,32.34,32.34,31.72,32.19,33.84,34.72,34.72,35.22,37.03,38.56,38.25,38.0,39.19,40.56,40.53,40.31,41.16,42.66,42.72,41.41,40.44,40.5,40.12,38.34,37.0,37.31,36.72,34.5,31.69,30.41,29.5,27.94,26.28,26.09,26.59,26.62,26.16,26.59,29.22,32.12,34.47,36.66,40.16,42.06,42.03,40.97,40.41,40.28,38.72,37.22,37.22,38.53,39.09,38.62,38.41,38.69,38.16,36.47,34.97,35.34,35.56,34.19,32.56,32.34,32.62,31.84,30.97,31.28,33.28,34.09,34.09,34.09,34.94,35.44,34.5,34.22,35.97,37.19,36.44,34.69,33.84,33.22,31.59,30.16,29.75,30.62,30.31,28.97,27.41,27.47,27.75,27.28,27.75,30.12,32.72,33.5,33.34,34.22,35.25,35.38,34.41,33.59,33.62,32.81,30.56,28.88,29.03,29.41,28.66,27.72,28.81,30.06,30.0,29.69,30.69,32.16,32.16,31.19,30.38,30.66,29.91,28.31,27.34,27.78,28.66,28.12,27.16,27.59,28.06,27.09,25.81,25.78,26.44,25.81,24.66,24.38,25.5,26.41,26.22,25.91,26.34,26.19,24.12,21.75,20.88,20.38,18.69,16.5,16.19,17.56,18.69,19.53,21.53,24.84,27.56,28.28,28.38,29.22,28.97,26.41,23.5,22.53,22.34,21.22,19.5,18.97,19.38,18.78,17.44,16.88,18.28,19.41,19.22,18.91,20.03,21.03,20.0,18.75,18.91,19.94,20.16,19.78,20.31,22.0,23.09,23.0,23.0,24.12,24.84,23.97,22.81,23.12,24.03,23.69,22.5,22.62,23.19,22.47,20.53,19.53,19.59,18.94,17.88,17.56,19.25,21.38,22.03,22.28,23.72,24.44,23.41,21.81,21.62,22.06,21.28,19.53,18.62,18.28,17.59,15.75,14.91,16.06,17.16,17.47,17.56,19.03,20.66,20.0,18.69,18.44,18.56,17.84,16.59,16.47,17.38,17.69,16.5,15.38,16.03,16.75,16.69,16.34,18.06,19.47,19.25,17.72,17.16,17.06,16.59,15.84,16.34,18.56,20.97,21.66,22.03,23.56,24.12,22.91,21.19,20.91,21.06,20.5,19.12,18.78,19.41,19.41,18.59,18.38,19.72,20.88,20.41,19.69,19.94,20.44,19.31,17.53,17.47,18.59,18.88,18.16,17.97,18.09,17.69,15.97,15.72,17.72,20.44,21.75,22.84,24.94,26.56,26.31,25.03,24.91,25.0,24.25,22.5,21.56,21.47,21.62,20.91,21.28,23.59,26.44,27.78,28.44,30.06,31.28,30.28,28.41,27.81,27.81,27.5,26.69,26.91,28.5,29.5,29.41,29.09,29.94,31.03,29.97,29.28,30.09,31.22,31.75,31.75,32.97,34.88,36.41,36.66,36.84,37.66,37.09,33.72,30.06,26.81,24.06,20.38,17.88,18.34,20.59,22.91,25.28,29.81,34.91,39.69,43.09,46.44,49.5,50.78,49.16,46.38,43.75,40.88,36.41,31.62,28.38,26.31,23.69,20.44,19.03,19.0,19.16,18.66,20.12,23.75,27.69,30.44,33.03,36.41,39.38,39.31,38.12,37.75,37.28,35.47,32.88,30.88,29.25,27.06,23.44,20.72,19.53,18.62,17.09,16.19,17.28,18.78,18.75,18.22,18.59,19.81,20.62,21.75,24.81,29.16,32.84,34.75,36.03,37.66,38.41,37.25,35.94,35.75,35.81,33.91,31.5,30.31,29.75,28.28,25.59,23.44,21.78,18.69,14.34,11.41,10.75,11.41,11.84,13.12,15.28,17.66,18.19,17.69,18.47,20.5,22.38,23.84,26.38,29.62,32.0,31.59,31.22,31.28,31.56,30.06,28.47,28.22,28.5,27.16,24.91,23.41,22.94,21.69,19.0,17.44,17.03,16.34,14.31,13.0,13.0,13.38,12.56,11.19,11.28,12.38,11.91,11.34,11.25,12.47,12.94,12.69,14.03,17.75,22.5,25.81,28.97,31.94,33.78,32.31,30.16,29.0,28.66,27.41,25.97,25.69,26.31,25.94,24.56,23.28,22.84,22.38,20.25,18.56,18.56,19.09,18.47,17.72,18.19,19.28,19.22,18.44,18.69,20.38,21.25,20.81,20.91,21.81,22.47,21.12,19.59,19.09,19.47,18.56,17.34,17.66,19.06,19.16,18.25,18.25,20.34,21.97,21.97,22.53,24.03,25.0,23.97,23.19,24.38,26.41,26.81,26.91,27.41,27.75,26.38,23.41,20.66,19.75,19.22,17.81,18.0,20.22,22.91,23.72,23.91,24.5,25.06,23.69,21.53,21.16,22.75,24.38,25.62,27.53,30.28,31.53,30.0,27.88,26.38,25.44,22.84,20.62,20.12,20.78,20.38,19.53,20.44,22.72,23.56,23.34,22.81,23.03,22.59,20.66,19.56,20.62,22.19,22.16,21.78,22.56,23.88,23.03,21.72,21.62,22.88,23.19,22.62,22.31,22.84,22.31,19.91,18.03,17.25,17.53,16.44,15.19,15.12,15.69,14.44,12.53,11.81,12.53,13.28,13.16,13.53,15.5,16.69,15.91,15.25,15.81,16.72,15.88,14.94,15.19,16.88,17.34,16.94,17.31,18.75,19.31,18.38,17.69,19.16,19.88,19.31,18.56,18.97,20.25,19.44,18.41,18.56,19.5,19.09,17.41,15.75,14.75,13.06,10.66,8.84,9.22,9.94,9.19,8.41,9.41,11.56,12.34,13.09,14.28,15.72,15.72,14.12,13.28,14.25,15.0,14.84,15.44,17.38,18.88,17.91,16.5,15.91,15.81,14.34,13.56,13.72,15.03,15.41,14.69,14.0,14.12,13.03,10.5,8.72,9.59,11.56,12.91,14.5,17.28,20.41,21.41,21.5,21.78,23.06,22.84,21.56,21.62,23.5,25.25,25.88,25.88,27.06,27.69,25.94,24.19,23.72,24.34,23.84,23.09,23.78,25.75,26.62,26.41,26.12,26.28,25.72,22.88,19.94,19.25,19.22,18.28,17.56,18.88,21.0,21.34,21.34,21.66,23.03,23.0,21.56,20.25,20.25,19.97,18.5,17.09,17.44,18.41,17.84,17.25,18.22,20.06,20.03,19.5,18.88,19.47,19.28,18.19,17.94,19.41,20.69,20.75,20.81,21.72,23.0,22.38,20.94,20.66,21.31,20.84,19.59,19.09,19.88,19.59,18.66,18.19,19.66,21.84,22.94,24.16,27.09,30.44,31.34,31.25,31.47,31.16,28.69,24.69,20.69,18.09,15.03,11.62,9.66,10.41,12.09,12.88,14.0,17.16,21.0,23.25,25.41,28.5,32.31,34.12,34.44,34.53,35.44,35.53,33.81,32.0,31.28,30.34,28.22,25.94,25.22,25.5,24.09,21.81,21.19,21.88,21.56,20.66,20.59,21.91,23.12,23.34,23.16,24.72,26.03,25.03,23.34,22.91,23.41,22.75,21.44,21.41,22.38,22.06,20.78,19.53,20.62,20.62,19.72,19.0,20.34,21.94,22.19,22.06,23.22,24.69,24.84,24.12,24.31,25.44,25.59,24.91,24.94,26.56,27.28,26.0,23.66,22.38,21.03,18.47,16.31,16.41,17.97,18.38,17.56,17.75,18.62,18.34,17.16,16.75,18.12,19.5,18.91,18.38,19.22,20.09,18.91,17.03,16.25,16.34,15.03,13.09,12.69,13.44,13.53,12.5,12.16,13.72,15.19,104.12,105.97,107.16,106.84,106.19,105.84,105.41,104.38,103.44,102.25,100.69,98.56,95.91,93.62,92.31,91.72,91.62,91.94,92.41,92.56,92.81,92.34,92.31,92.34,92.06,91.44,91.31,91.41,92.0,92.47,93.09,93.62,94.0,93.88,93.28:37.97,39.5,39.16,38.25,38.31,39.03,38.88,38.12,39.19,41.44,43.25,43.84,44.84,46.19,46.81,45.03,42.81,41.72,41.16,39.41,37.62,37.44,38.44,38.12,36.69,36.31,37.19,37.09,35.81,35.41,36.09,36.81,35.81,34.69,35.09,35.94,35.41,34.47,35.22,36.88,38.25,38.66,40.12,42.5,44.16,44.19,44.47,46.0,47.44,46.94,46.28,46.56,46.94,45.88,44.16,43.69,44.5,45.19,44.94,45.41,46.88,47.25,45.97,44.84,44.91,44.94,43.56,42.12,41.72,42.22,41.66,40.66,40.69,41.22,40.72,38.81,36.97,36.03,34.97,33.06,31.91,32.53,34.06,34.31,34.41,35.72,37.75,38.53,38.09,38.75,39.84,40.25,39.09,38.31,38.66,38.44,36.47,34.22,33.0,32.31,29.97,27.44,26.91,27.41,27.56,27.28,28.41,30.41,31.72,31.28,31.25,32.22,33.56,33.47,33.78,35.5,37.53,37.78,37.31,37.09,37.75,37.22,36.53,36.84,38.09,38.88,37.72,36.56,36.22,35.69,33.78,32.16,32.03,32.91,32.75,32.31,32.91,34.44,34.75,34.06,34.5,35.75,36.97,36.81,37.0,38.06,39.5,39.31,39.19,40.38,42.22,42.22,41.38,40.66,40.81,39.81,38.5,38.12,39.03,39.72,38.56,37.28,36.59,36.19,33.62,30.78,29.31,29.22,28.34,27.66,28.19,30.56,32.25,32.59,33.38,35.44,37.12,36.88,36.69,37.03,37.56,36.16,34.03,33.25,33.56,33.09,31.88,31.69,32.34,32.41,31.25,30.38,30.78,31.97,31.84,32.06,34.03,36.69,37.84,37.97,39.81,42.59,44.44,45.38,46.12,47.91,47.72,45.84,43.91,43.5,43.38,42.03,40.62,40.66,41.0,40.06,38.44,37.81,38.25,37.06,34.56,32.22,31.53,31.12,30.06,30.41,32.25,34.19,34.03,33.56,34.03,35.59,36.38,36.44,37.94,40.47,41.12,40.03,38.44,37.56,35.75,33.03,31.12,31.22,31.94,31.28,30.44,31.03,32.34,32.34,31.72,32.19,33.84,34.72,34.72,35.22,37.03,38.56,38.25,38.0,39.19,40.56,40.53,40.31,41.16,42.66,42.72,41.41,40.44,40.5,40.12,38.34,37.0,37.31,36.72,34.5,31.69,30.41,29.5,27.94,26.28,26.09,26.59,26.62,26.16,26.59,29.22,32.12,34.47,36.66,40.16,42.06,42.03,40.97,40.41,40.28,38.72,37.22,37.22,38.53,39.09,38.62,38.41,38.69,38.16,36.47,34.97,35.34,35.56,34.19,32.56,32.34,32.62,31.84,30.97,31.28,33.28,34.09,34.09,34.09,34.94,35.44,34.5,34.22,35.97,37.19,36.44,34.69,33.84,33.22,31.59,30.16,29.75,30.62,30.31,28.97,27.41,27.47,27.75,27.28,27.75,30.12,32.72,33.5,33.34,34.22,35.25,35.38,34.41,33.59,33.62,32.81,30.56,28.88,29.03,29.41,28.66,27.72,28.81,30.06,30.0,29.69,30.69,32.16,32.16,31.19,30.38,30.66,29.91,28.31,27.34,27.78,28.66,28.12,27.16,27.59,28.06,27.09,25.81,25.78,26.44,25.81,24.66,24.38,25.5,26.41,26.22,25.91,26.34,26.19,24.12,21.75,20.88,20.38,18.69,16.5,16.19,17.56,18.69,19.53,21.53,24.84,27.56,28.28,28.38,29.22,28.97,26.41,23.5,22.53,22.34,21.22,19.5,18.97,19.38,18.78,17.44,16.88,18.28,19.41,19.22,18.91,20.03,21.03,20.0,18.75,18.91,19.94,20.16,19.78,20.31,22.0,23.09,23.0,23.0,24.12,24.84,23.97,22.81,23.12,24.03,23.69,22.5,22.62,23.19,22.47,20.53,19.53,19.59,18.94,17.88,17.56,19.25,21.38,22.03,22.28,23.72,24.44,23.41,21.81,21.62,22.06,21.28,19.53,18.62,18.28,17.59,15.75,14.91,16.06,17.16,17.47,17.56,19.03,20.66,20.0,18.69,18.44,18.56,17.84,16.59,16.47,17.38,17.69,16.5,15.38,16.03,16.75,16.69,16.34,18.06,19.47,19.25,17.72,17.16,17.06,16.59,15.84,16.34,18.56,20.97,21.66,22.03,23.56,24.12,22.91,21.19,20.91,21.06,20.5,19.12,18.78,19.41,19.41,18.59,18.38,19.72,20.88,20.41,19.69,19.94,20.44,19.31,17.53,17.47,18.59,18.88,18.16,17.97,18.09,17.69,15.97,15.72,17.72,20.44,21.75,22.84,24.94,26.56,26.31,25.03,24.91,25.0,24.25,22.5,21.56,21.47,21.62,20.91,21.28,23.59,26.44,27.78,28.44,30.06,31.28,30.28,28.41,27.81,27.81,27.5,26.69,26.91,28.5,29.5,29.41,29.09,29.94,31.03,29.97,29.28,30.09,31.22,31.75,31.75,32.97,34.88,36.41,36.66,36.84,37.66,37.09,33.72,30.06,26.81,24.06,20.38,17.88,18.34,20.59,22.91,25.28,29.81,34.91,39.69,43.09,46.44,49.5,50.78,49.16,46.38,43.75,40.88,36.41,31.62,28.38,26.31,23.69,20.44,19.03,19.0,19.16,18.66,20.12,23.75,27.69,30.44,33.03,36.41,39.38,39.31,38.12,37.75,37.28,35.47,32.88,30.88,29.25,27.06,23.44,20.72,19.53,18.62,17.09,16.19,17.28,18.78,18.75,18.22,18.59,19.81,20.62,21.75,24.81,29.16,32.84,34.75,36.03,37.66,38.41,37.25,35.94,35.75,35.81,33.91,31.5,30.31,29.75,28.28,25.59,23.44,21.78,18.69,14.34,11.41,10.75,11.41,11.84,13.12,15.28,17.66,18.19,17.69,18.47,20.5,22.38,23.84,26.38,29.62,32.0,31.59,31.22,31.28,31.56,30.06,28.47,28.22,28.5,27.16,24.91,23.41,22.94,21.69,19.0,17.44,17.03,16.34,14.31,13.0,13.0,13.38,12.56,11.19,11.28,12.38,11.91,11.34,11.25,12.47,12.94,12.69,14.03,17.75,22.5,25.81,28.97,31.94,33.78,32.31,30.16,29.0,28.66,27.41,25.97,25.69,26.31,25.94,24.56,23.28,22.84,22.38,20.25,18.56,18.56,19.09,18.47,17.72,18.19,19.28,19.22,18.44,18.69,20.38,21.25,20.81,20.91,21.81,22.47,21.12,19.59,19.09,19.47,18.56,17.34,17.66,19.06,19.16,18.25,18.25,20.34,21.97,21.97,22.53,24.03,25.0,23.97,23.19,24.38,26.41,26.81,26.91,27.41,27.75,26.38,23.41,20.66,19.75,19.22,17.81,18.0,20.22,22.91,23.72,23.91,24.5,25.06,23.69,21.53,21.16,22.75,24.38,25.62,27.53,30.28,31.53,30.0,27.88,26.38,25.44,22.84,20.62,20.12,20.78,20.38,19.53,20.44,22.72,23.56,23.34,22.81,23.03,22.59,20.66,19.56,20.62,22.19,22.16,21.78,22.56,23.88,23.03,21.72,21.62,22.88,23.19,22.62,22.31,22.84,22.31,19.91,18.03,17.25,17.53,16.44,15.19,15.12,15.69,14.44,12.53,11.81,12.53,13.28,13.16,13.53,15.5,16.69,15.91,15.25,15.81,16.72,15.88,14.94,15.19,16.88,17.34,16.94,17.31,18.75,19.31,18.38,17.69,19.16,19.88,19.31,18.56,18.97,20.25,19.44,18.41,18.56,19.5,19.09,17.41,15.75,14.75,13.06,10.66,8.84,9.22,9.94,9.19,8.41,9.41,11.56,12.34,13.09,14.28,15.72,15.72,14.12,13.28,14.25,15.0,14.84,15.44,17.38,18.88,17.91,16.5,15.91,15.81,14.34,13.56,13.72,15.03,15.41,14.69,14.0,14.12,13.03,10.5,8.72,9.59,11.56,12.91,14.5,17.28,20.41,21.41,21.5,21.78,23.06,22.84,21.56,21.62,23.5,25.25,25.88,25.88,27.06,27.69,25.94,24.19,23.72,24.34,23.84,23.09,23.78,25.75,26.62,26.41,26.12,26.28,25.72,22.88,19.94,19.25,19.22,18.28,17.56,18.88,21.0,21.34,21.34,21.66,23.03,23.0,21.56,20.25,20.25,19.97,18.5,17.09,17.44,18.41,17.84,17.25,18.22,20.06,20.03,19.5,18.88,19.47,19.28,18.19,17.94,19.41,20.69,20.75,20.81,21.72,23.0,22.38,20.94,20.66,21.31,20.84,19.59,19.09,19.88,19.59,18.66,18.19,19.66,21.84,22.94,24.16,27.09,30.44,31.34,31.25,31.47,31.16,28.69,24.69,20.69,18.09,15.03,11.62,9.66,10.41,12.09,12.88,14.0,17.16,21.0,23.25,25.41,28.5,32.31,34.12,34.44,34.53,35.44,35.53,33.81,32.0,31.28,30.34,28.22,25.94,25.22,25.5,24.09,21.81,21.19,21.88,21.56,20.66,20.59,21.91,23.12,23.34,23.16,24.72,26.03,25.03,23.34,22.91,23.41,22.75,21.44,21.41,22.38,22.06,20.78,19.53,20.62,20.62,19.72,19.0,20.34,21.94,22.19,22.06,23.22,24.69,24.84,24.12,24.31,25.44,25.59,24.91,24.94,26.56,27.28,26.0,23.66,22.38,21.03,18.47,16.31,16.41,17.97,18.38,17.56,17.75,18.62,18.34,17.16,16.75,18.12,19.5,18.91,18.38,19.22,20.09,18.91,17.03,16.25,16.34,15.03,13.09,12.69,13.44,13.53,12.5,12.16,13.72,15.19,104.12,105.97,107.16,106.84,106.19,105.84,105.41,104.38,103.44,102.25,100.69,98.56,95.91,93.62,92.31,91.72,91.62,91.94,92.41,92.56,92.81,92.34,92.31,92.34,92.06,91.44,91.31,91.41,92.0,92.47,93.09,93.62,94.0,93.88,93.28,93.22,93.19,93.22,93.06,92.94,93.03,93.0:negativity
32.91,33.88,34.62,34.69,36.5,39.47,42.09,43.53,44.94,46.75,47.69,46.19,43.47,41.62,40.0,37.91,35.62,35.25,36.19,36.84,36.81,37.72,39.88,41.59,41.59,41.59,42.53,43.06,41.91,39.72,38.78,38.31,36.5,34.19,33.97,34.88,35.22,34.38,34.31,35.12,35.25,34.72,34.5,36.09,38.03,38.75,38.62,39.66,41.12,40.78,39.78,39.78,40.62,40.84,39.78,39.12,39.41,39.06,37.25,35.59,35.81,37.09,37.75,38.44,40.19,42.31,43.53,42.88,42.81,43.97,44.91,44.16,44.16,45.28,46.09,44.66,42.88,42.41,41.72,38.78,35.31,33.19,32.09,31.31,31.0,32.94,36.56,39.97,41.78,43.88,46.59,48.5,48.69,48.28,48.47,48.88,47.5,45.5,44.81,44.59,44.16,43.34,43.47,45.0,45.69,44.53,43.41,43.22,42.38,40.62,39.0,38.44,38.88,38.28,36.88,36.5,37.16,36.88,35.44,34.81,35.53,35.69,34.31,33.75,34.78,35.97,36.44,36.59,38.0,39.34,38.59,36.41,34.91,34.59,33.66,32.19,31.31,31.62,31.38,29.28,27.44,27.5,28.16,28.03,28.28,29.72,32.44,34.12,35.38,37.5,40.94,43.59,44.22,44.5,45.12,45.03,42.53,39.78,38.38,36.94,34.38,31.72,30.28,30.34,29.59,28.31,28.19,29.88,31.78,32.69,34.38,37.0,39.31,39.66,39.38,39.84,40.62,39.88,37.62,36.59,36.19,34.66,31.88,29.53,28.22,26.59,24.59,23.66,25.25,27.84,29.25,30.16,31.69,33.47,33.28,32.09,32.03,33.5,34.5,35.03,37.09,40.81,43.78,45.0,46.06,47.25,47.41,44.88,41.16,38.34,36.16,32.88,29.41,27.12,25.97,24.59,22.19,20.72,21.31,22.12,22.12,22.91,26.06,29.5,31.34,32.25,33.75,35.84,36.66,36.94,38.22,40.66,41.53,40.38,39.25,39.59,39.88,38.34,37.03,36.59,36.0,34.16,31.94,31.41,32.25,32.25,31.38,30.78,30.84,29.56,26.56,23.66,22.72,22.22,21.5,21.38,23.34,26.0,26.88,26.78,27.66,29.03,29.41,28.81,28.94,30.0,30.81,30.19,29.91,31.38,32.78,33.03,32.81,33.94,35.66,35.59,35.16,35.28,36.19,36.06,34.41,33.72,33.97,33.91,32.12,31.03,31.81,33.44,34.38,35.75,38.34,41.53,42.41,42.12,42.19,43.62,44.5,43.78,43.75,44.78,44.91,43.41,41.44,41.5,42.0,41.06,40.31,41.09,42.12,41.25,39.25,37.5,36.66,35.0,32.97,31.5,32.31,33.34,32.81,32.09,33.06,34.09,33.59,33.06,33.81,35.94,37.09,37.81,38.94,41.69,42.75,41.62,39.75,38.66,37.28,34.38,31.28,29.62,27.94,24.59,20.91,18.44,17.66,16.69,15.62,15.47,17.94,19.78,20.91,22.16,24.69,27.06,27.28,26.88,27.97,29.81,30.5,30.94,32.06,33.94,34.56,33.78,33.53,35.03,35.81,35.34,34.81,35.34,35.72,34.09,31.81,30.25,29.38,27.69,25.69,25.84,27.62,28.88,29.44,30.72,33.41,35.47,36.19,36.62,37.97,39.34,38.69,37.38,36.94,36.75,34.97,32.22,30.97,31.12,31.09,30.31,29.84,30.88,31.16,29.03,26.31,24.72,23.44,20.72,18.66,19.25,21.59,23.28,24.28,25.97,28.09,28.59,27.31,26.41,27.12,28.62,28.97,29.88,32.38,34.69,34.5,32.47,31.31,30.41,29.22,27.78,28.25,30.75,32.91,33.44,33.72,34.94,35.62,34.59,33.25,33.62,34.75,34.38,32.78,32.19,31.94,30.81,28.16,26.62,26.88,26.88,25.72,24.97,26.09,27.38,27.34,27.09,28.62,31.28,32.06,32.19,32.84,34.0,33.53,31.53,30.19,29.94,29.53,28.41,27.81,29.0,30.09,29.22,27.78,27.59,28.28,27.81,26.91,27.47,28.91,29.53,28.41,27.28,26.97,26.0,23.5,21.34,21.19,21.69,20.53,18.03,17.22,17.22,16.84,16.91,18.62,22.16,24.53,24.66,24.31,24.94,24.97,23.5,22.22,23.38,24.84,25.09,23.88,23.5,23.66,22.53,20.72,20.81,22.0,22.78,21.72,21.12,22.06,22.66,21.97,20.75,21.03,21.44,20.44,19.22,19.56,20.56,21.0,20.62,21.5,23.72,25.69,25.97,25.53,25.28,24.19,21.41,18.38,17.75,19.22,20.81,22.28,25.97,30.25,33.09,34.28,35.06,36.53,37.03,35.25,33.25,32.59,31.78,29.66,27.53,27.84,29.22,30.97,32.41,35.72,39.91,42.47,42.53,41.66,41.09,39.78,37.31,35.31,35.47,35.69,34.34,32.06,31.47,30.91,30.06,28.75,28.88,30.5,31.44,31.28,31.75,33.81,35.28,35.81,36.75,39.88,43.31,45.66,47.16,48.84,49.69,48.09,43.84,39.88,36.88,33.56,29.78,27.28,27.28,27.5,26.28,25.62,27.19,29.31,30.69,31.84,34.47,38.0,40.22,41.34,43.47,46.53,48.41,48.31,47.59,47.28,45.53,41.19,36.19,32.66,30.0,27.22,24.62,24.28,25.62,26.62,26.28,26.94,28.47,29.44,28.69,27.75,28.44,29.16,28.34,26.88,26.72,26.44,24.5,21.53,19.94,20.31,21.72,22.66,24.91,28.62,30.62,30.94,30.41,31.12,31.53,30.81,29.94,30.81,32.47,33.41,33.94,35.38,37.88,39.53,39.84,40.66,42.88,44.38,43.56,41.84,40.44,38.56,34.75,30.91,28.81,27.72,25.84,23.78,23.22,24.41,26.31,27.66,30.09,34.16,37.88,39.28,40.06,42.09,43.69,43.69,42.38,42.53,42.56,41.03,37.81,35.22,33.97,32.75,30.72,29.72,30.31,31.16,30.22,29.12,29.62,30.69,30.44,29.84,30.22,31.5,31.69,30.88,30.91,32.44,33.66,33.38,33.12,34.47,35.81,35.12,33.88,33.91,34.06,33.19,31.38,30.53,30.94,30.84,29.44,29.0,30.66,32.78,33.25,34.38,36.22,37.56,36.72,35.09,34.56,34.41,33.66,32.09,32.22,33.28,33.84,33.59,33.28,33.78,34.19,32.41,31.09,31.41,32.44,31.91,30.88,30.78,31.28,30.47,28.78,28.34,29.38,29.66,29.41,29.44,30.84,31.81,30.91,29.38,29.41,29.81,28.91,27.44,27.5,28.47,28.44,27.78,28.19,29.53,30.44,30.12,29.91,31.25,32.69,32.41,32.41,33.34,35.06,35.41,35.47,36.34,38.38,39.72,39.38,39.12,39.41,38.78,36.69,34.75,34.5,34.53,33.12,31.47,30.53,30.28,28.56,26.41,26.06,27.09,27.94,27.75,28.97,31.25,32.81,32.31,31.34,31.53,31.75,30.75,30.22,31.38,33.19,33.97,33.31,33.28,34.22,34.34,33.16,32.0,31.94,31.56,29.78,28.19,28.25,29.38,29.03,28.69,29.19,30.53,30.09,28.53,27.88,28.53,28.75,28.41,28.81,30.75,32.44,32.62,32.22,32.56,32.81,31.19,28.97,27.88,27.75,26.66,25.22,24.69,25.66,26.84,26.84,27.47,29.47,31.41,31.59,31.25,32.34,33.66,33.44,33.06,33.62,35.31,35.38,34.06,32.81,32.44,31.59,30.06,29.5,30.75,32.5,32.12,30.69,29.62,29.22,27.09,24.97,24.31,25.25,24.78,23.28,22.41,22.75,22.5,21.03,19.69,19.72,20.5,19.09,18.16,18.66,20.0,21.0,21.75,23.59,26.56,28.84,29.69,31.12,33.56,35.38,35.66,35.16,35.34,35.41,33.66,31.03,29.09,28.12,26.19,23.69,22.06,22.47,21.91,20.78,20.19,21.16,22.72,22.69,22.59,24.03,25.59,25.62,25.53,26.38,27.91,28.19,27.44,26.91,27.12,26.69,24.84,23.5,24.06,24.78,24.5,24.41,25.5,26.81,26.66,25.38,24.84,25.34,24.5,23.12,22.59,23.72,24.19,23.44,22.62,23.53,24.5,24.38,24.19,24.91,26.12,25.84,24.78,24.84,26.12,26.56,26.06,25.88,26.44,26.5,24.66,23.09,23.62,24.62,24.78,25.0,26.47,28.5,29.0,28.88,29.62,31.66,32.44,32.19,31.75,32.53,32.34,30.75,29.03,28.97,29.47,29.16,29.09,30.22,31.94,32.12,31.09,30.38,30.91,30.94,29.62,28.19,27.5,26.78,24.81,23.69,25.59,28.72,31.41,33.25,35.22,36.38,35.16,31.66,28.19,26.0,23.91,22.0,21.81,23.38,25.22,24.97,24.12,23.66,23.5,22.62,21.41,21.25,22.12,21.78,20.97,20.94,23.0,25.44,27.41,30.03,33.97,37.84,40.59,42.56,45.5,47.94,47.94,45.78,43.41,40.81,36.22,30.5,25.72,22.53,19.91,17.22,15.69,16.25,17.09,16.78,16.09,17.09,18.75,20.38,21.75,24.41,28.75,32.22,33.94,35.81,38.62,40.88,41.16,41.19,42.34,43.25,42.31,40.22,39.25,38.34,36.72,33.78,32.0,32.0,31.53,30.41,29.94,31.22,32.16,31.69,30.41,30.25,30.12,28.75,26.69,26.03,26.19,26.0,25.31,25.94,28.38,30.38,30.56,30.34,30.88,30.31,28.31,26.25,25.41,25.88,25.44,24.25,24.59,26.47,27.78,28.62,30.22,33.0,34.94,35.0,34.94,36.19,37.16,37.34,37.12,37.97,38.62,37.62,35.19,33.56,32.25,30.66,28.44,27.28,27.81,28.12,28.16,28.25,29.78,31.28,31.53,31.12,31.84,33.09,33.12,32.06,31.62,31.88,31.59,29.91,28.91,29.66,30.06,29.22,28.12,28.06,28.12,26.78,25.16,24.44:43.53,44.94,46.75,47.69,46.19,43.47,41.62,40.0,37.91,35.62,35.25,36.19,36.84,36.81,37.72,39.88,41.59,41.59,41.59,42.53,43.06,41.91,39.72,38.78,38.31,36.5,34.19,33.97,34.88,35.22,34.38,34.31,35.12,35.25,34.72,34.5,36.09,38.03,38.75,38.62,39.66,41.12,40.78,39.78,39.78,40.62,40.84,39.78,39.12,39.41,39.06,37.25,35.59,35.81,37.09,37.75,38.44,40.19,42.31,43.53,42.88,42.81,43.97,44.91,44.16,44.16,45.28,46.09,44.66,42.88,42.41,41.72,38.78,35.31,33.19,32.09,31.31,31.0,32.94,36.56,39.97,41.78,43.88,46.59,48.5,48.69,48.28,48.47,48.88,47.5,45.5,44.81,44.59,44.16,43.34,43.47,45.0,45.69,44.53,43.41,43.22,42.38,40.62,39.0,38.44,38.88,38.28,36.88,36.5,37.16,36.88,35.44,34.81,35.53,35.69,34.31,33.75,34.78,35.97,36.44,36.59,38.0,39.34,38.59,36.41,34.91,34.59,33.66,32.19,31.31,31.62,31.38,29.28,27.44,27.5,28.16,28.03,28.28,29.72,32.44,34.12,35.38,37.5,40.94,43.59,44.22,44.5,45.12,45.03,42.53,39.78,38.38,36.94,34.38,31.72,30.28,30.34,29.59,28.31,28.19,29.88,31.78,32.69,34.38,37.0,39.31,39.66,39.38,39.84,40.62,39.88,37.62,36.59,36.19,34.66,31.88,29.53,28.22,26.59,24.59,23.66,25.25,27.84,29.25,30.16,31.69,33.47,33.28,32.09,32.03,33.5,34.5,35.03,37.09,40.81,43.78,45.0,46.06,47.25,47.41,44.88,41.16,38.34,36.16,32.88,29.41,27.12,25.97,24.59,22.19,20.72,21.31,22.12,22.12,22.91,26.06,29.5,31.34,32.25,33.75,35.84,36.66,36.94,38.22,40.66,41.53,40.38,39.25,39.59,39.88,38.34,37.03,36.59,36.0,34.16,31.94,31.41,32.25,32.25,31.38,30.78,30.84,29.56,26.56,23.66,22.72,22.22,21.5,21.38,23.34,26.0,26.88,26.78,27.66,29.03,29.41,28.81,28.94,30.0,30.81,30.19,29.91,31.38,32.78,33.03,32.81,33.94,35.66,35.59,35.16,35.28,36.19,36.06,34.41,33.72,33.97,33.91,32.12,31.03,31.81,33.44,34.38,35.75,38.34,41.53,42.41,42.12,42.19,43.62,44.5,43.78,43.75,44.78,44.91,43.41,41.44,41.5,42.0,41.06,40.31,41.09,42.12,41.25,39.25,37.5,36.66,35.0,32.97,31.5,32.31,33.34,32.81,32.09,33.06,34.09,33.59,33.06,33.81,35.94,37.09,37.81,38.94,41.69,42.75,41.62,39.75,38.66,37.28,34.38,31.28,29.62,27.94,24.59,20.91,18.44,17.66,16.69,15.62,15.47,17.94,19.78,20.91,22.16,24.69,27.06,27.28,26.88,27.97,29.81,30.5,30.94,32.06,33.94,34.56,33.78,33.53,35.03,35.81,35.34,34.81,35.34,35.72,34.09,31.81,30.25,29.38,27.69,25.69,25.84,27.62,28.88,29.44,30.72,33.41,35.47,36.19,36.62,37.97,39.34,38.69,37.38,36.94,36.75,34.97,32.22,30.97,31.12,31.09,30.31,29.84,30.88,31.16,29.03,26.31,24.72,23.44,20.72,18.66,19.25,21.59,23.28,24.28,25.97,28.09,28.59,27.31,26.41,27.12,28.62,28.97,29.88,32.38,34.69,34.5,32.47,31.31,30.41,29.22,27.78,28.25,30.75,32.91,33.44,33.72,34.94,35.62,34.59,33.25,33.62,34.75,34.38,32.78,32.19,31.94,30.81,28.16,26.62,26.88,26.88,25.72,24.97,26.09,27.38,27.34,27.09,28.62,31.28,32.06,32.19,32.84,34.0,33.53,31.53,30.19,29.94,29.53,28.41,27.81,29.0,30.09,29.22,27.78,27.59,28.28,27.81,26.91,27.47,28.91,29.53,28.41,27.28,26.97,26.0,23.5,21.34,21.19,21.69,20.53,18.03,17.22,17.22,16.84,16.91,18.62,22.16,24.53,24.66,24.31,24.94,24.97,23.5,22.22,23.38,24.84,25.09,23.88,23.5,23.66,22.53,20.72,20.81,22.0,22.78,21.72,21.12,22.06,22.66,21.97,20.75,21.03,21.44,20.44,19.22,19.56,20.56,21.0,20.62,21.5,23.72,25.69,25.97,25.53,25.28,24.19,21.41,18.38,17.75,19.22,20.81,22.28,25.97,30.25,33.09,34.28,35.06,36.53,37.03,35.25,33.25,32.59,31.78,29.66,27.53,27.84,29.22,30.97,32.41,35.72,39.91,42.47,42.53,41.66,41.09,39.78,37.31,35.31,35.47,35.69,34.34,32.06,31.47,30.91,30.06,28.75,28.88,30.5,31.44,31.28,31.75,33.81,35.28,35.81,36.75,39.88,43.31,45.66,47.16,48.84,49.69,48.09,43.84,39.88,36.88,33.56,29.78,27.28,27.28,27.5,26.28,25.62,27.19,29.31,30.69,31.84,34.47,38.0,40.22,41.34,43.47,46.53,48.41,48.31,47.59,47.28,45.53,41.19,36.19,32.66,30.0,27.22,24.62,24.28,25.62,26.62,26.28,26.94,28.47,29.44,28.69,27.75,28.44,29.16,28.34,26.88,26.72,26.44,24.5,21.53,19.94,20.31,21.72,22.66,24.91,28.62,30.62,30.94,30.41,31.12,31.53,30.81,29.94,30.81,32.47,33.41,33.94,35.38,37.88,39.53,39.84,40.66,42.88,44.38,43.56,41.84,40.44,38.56,34.75,30.91,28.81,27.72,25.84,23.78,23.22,24.41,26.31,27.66,30.09,34.16,37.88,39.28,40.06,42.09,43.69,43.69,42.38,42.53,42.56,41.03,37.81,35.22,33.97,32.75,30.72,29.72,30.31,31.16,30.22,29.12,29.62,30.69,30.44,29.84,30.22,31.5,31.69,30.88,30.91,32.44,33.66,33.38,33.12,34.47,35.81,35.12,33.88,33.91,34.06,33.19,31.38,30.53,30.94,30.84,29.44,29.0,30.66,32.78,33.25,34.38,36.22,37.56,36.72,35.09,34.56,34.41,33.66,32.09,32.22,33.28,33.84,33.59,33.28,33.78,34.19,32.41,31.09,31.41,32.44,31.91,30.88,30.78,31.28,30.47,28.78,28.34,29.38,29.66,29.41,29.44,30.84,31.81,30.91,29.38,29.41,29.81,28.91,27.44,27.5,28.47,28.44,27.78,28.19,29.53,30.44,30.12,29.91,31.25,32.69,32.41,32.41,33.34,35.06,35.41,35.47,36.34,38.38,39.72,39.38,39.12,39.41,38.78,36.69,34.75,34.5,34.53,33.12,31.47,30.53,30.28,28.56,26.41,26.06,27.09,27.94,27.75,28.97,31.25,32.81,32.31,31.34,31.53,31.75,30.75,30.22,31.38,33.19,33.97,33.31,33.28,34.22,34.34,33.16,32.0,31.94,31.56,29.78,28.19,28.25,29.38,29.03,28.69,29.19,30.53,30.09,28.53,27.88,28.53,28.75,28.41,28.81,30.75,32.44,32.62,32.22,32.56,32.81,31.19,28.97,27.88,27.75,26.66,25.22,24.69,25.66,26.84,26.84,27.47,29.47,31.41,31.59,31.25,32.34,33.66,33.44,33.06,33.62,35.31,35.38,34.06,32.81,32.44,31.59,30.06,29.5,30.75,32.5,32.12,30.69,29.62,29.22,27.09,24.97,24.31,25.25,24.78,23.28,22.41,22.75,22.5,21.03,19.69,19.72,20.5,19.09,18.16,18.66,20.0,21.0,21.75,23.59,26.56,28.84,29.69,31.12,33.56,35.38,35.66,35.16,35.34,35.41,33.66,31.03,29.09,28.12,26.19,23.69,22.06,22.47,21.91,20.78,20.19,21.16,22.72,22.69,22.59,24.03,25.59,25.62,25.53,26.38,27.91,28.19,27.44,26.91,27.12,26.69,24.84,23.5,24.06,24.78,24.5,24.41,25.5,26.81,26.66,25.38,24.84,25.34,24.5,23.12,22.59,23.72,24.19,23.44,22.62,23.53,24.5,24.38,24.19,24.91,26.12,25.84,24.78,24.84,26.12,26.56,26.06,25.88,26.44,26.5,24.66,23.09,23.62,24.62,24.78,25.0,26.47,28.5,29.0,28.88,29.62,31.66,32.44,32.19,31.75,32.53,32.34,30.75,29.03,28.97,29.47,29.16,29.09,30.22,31.94,32.12,31.09,30.38,30.91,30.94,29.62,28.19,27.5,26.78,24.81,23.69,25.59,28.72,31.41,33.25,35.22,36.38,35.16,31.66,28.19,26.0,23.91,22.0,21.81,23.38,25.22,24.97,24.12,23.66,23.5,22.62,21.41,21.25,22.12,21.78,20.97,20.94,23.0,25.44,27.41,30.03,33.97,37.84,40.59,42.56,45.5,47.94,47.94,45.78,43.41,40.81,36.22,30.5,25.72,22.53,19.91,17.22,15.69,16.25,17.09,16.78,16.09,17.09,18.75,20.38,21.75,24.41,28.75,32.22,33.94,35.81,38.62,40.88,41.16,41.19,42.34,43.25,42.31,40.22,39.25,38.34,36.72,33.78,32.0,32.0,31.53,30.41,29.94,31.22,32.16,31.69,30.41,30.25,30.12,28.75,26.69,26.03,26.19,26.0,25.31,25.94,28.38,30.38,30.56,30.34,30.88,30.31,28.31,26.25,25.41,25.88,25.44,24.25,24.59,26.47,27.78,28.62,30.22,33.0,34.94,35.0,34.94,36.19,37.16,37.34,37.12,37.97,38.62,37.62,35.19,33.56,32.25,30.66,28.44,27.28,27.81,28.12,28.16,28.25,29.78,31.28,31.53,31.12,31.84,33.09,33.12,32.06,31.62,31.88,31.59,29.91,28.91,29.66,30.06,29.22,28.12,28.06,28.12,26.78,25.16,24.44,48.97,48.91,50.22,51.69,53.72,55.56,57.69:40.0,37.91,35.62,35.25,36.19,36.84,36.81,37.72,39.88,41.59,41.59,41.59,42.53,43.06,41.91,39.72,38.78,38.31,36.5,34.19,33.97,34.88,35.22,34.38,34.31,35.12,35.25,34.72,34.5,36.09,38.03,38.75,38.62,39.66,41.12,40.78,39.78,39.78,40.62,40.84,39.78,39.12,39.41,39.06,37.25,35.59,35.81,37.09,37.75,38.44,40.19,42.31,43.53,42.88,42.81,43.97,44.91,44.16,44.16,45.28,46.09,44.66,42.88,42.41,41.72,38.78,35.31,33.19,32.09,31.31,31.0,32.94,36.56,39.97,41.78,43.88,46.59,48.5,48.69,48.28,48.47,48.88,47.5,45.5,44.81,44.59,44.16,43.34,43.47,45.0,45.69,44.53,43.41,43.22,42.38,40.62,39.0,38.44,38.88,38.28,36.88,36.5,37.16,36.88,35.44,34.81,35.53,35.69,34.31,33.75,34.78,35.97,36.44,36.59,38.0,39.34,38.59,36.41,34.91,34.59,33.66,32.19,31.31,31.62,31.38,29.28,27.44,27.5,28.16,28.03,28.28,29.72,32.44,34.12,35.38,37.5,40.94,43.59,44.22,44.5,45.12,45.03,42.53,39.78,38.38,36.94,34.38,31.72,30.28,30.34,29.59,28.31,28.19,29.88,31.78,32.69,34.38,37.0,39.31,39.66,39.38,39.84,40.62,39.88,37.62,36.59,36.19,34.66,31.88,29.53,28.22,26.59,24.59,23.66,25.25,27.84,29.25,30.16,31.69,33.47,33.28,32.09,32.03,33.5,34.5,35.03,37.09,40.81,43.78,45.0,46.06,47.25,47.41,44.88,41.16,38.34,36.16,32.88,29.41,27.12,25.97,24.59,22.19,20.72,21.31,22.12,22.12,22.91,26.06,29.5,31.34,32.25,33.75,35.84,36.66,36.94,38.22,40.66,41.53,40.38,39.25,39.59,39.88,38.34,37.03,36.59,36.0,34.16,31.94,31.41,32.25,32.25,31.38,30.78,30.84,29.56,26.56,23.66,22.72,22.22,21.5,21.38,23.34,26.0,26.88,26.78,27.66,29.03,29.41,28.81,28.94,30.0,30.81,30.19,29.91,31.38,32.78,33.03,32.81,33.94,35.66,35.59,35.16,35.28,36.19,36.06,34.41,33.72,33.97,33.91,32.12,31.03,31.81,33.44,34.38,35.75,38.34,41.53,42.41,42.12,42.19,43.62,44.5,43.78,43.75,44.78,44.91,43.41,41.44,41.5,42.0,41.06,40.31,41.09,42.12,41.25,39.25,37.5,36.66,35.0,32.97,31.5,32.31,33.34,32.81,32.09,33.06,34.09,33.59,33.06,33.81,35.94,37.09,37.81,38.94,41.69,42.75,41.62,39.75,38.66,37.28,34.38,31.28,29.62,27.94,24.59,20.91,18.44,17.66,16.69,15.62,15.47,17.94,19.78,20.91,22.16,24.69,27.06,27.28,26.88,27.97,29.81,30.5,30.94,32.06,33.94,34.56,33.78,33.53,35.03,35.81,35.34,34.81,35.34,35.72,34.09,31.81,30.25,29.38,27.69,25.69,25.84,27.62,28.88,29.44,30.72,33.41,35.47,36.19,36.62,37.97,39.34,38.69,37.38,36.94,36.75,34.97,32.22,30.97,31.12,31.09,30.31,29.84,30.88,31.16,29.03,26.31,24.72,23.44,20.72,18.66,19.25,21.59,23.28,24.28,25.97,28.09,28.59,27.31,26.41,27.12,28.62,28.97,29.88,32.38,34.69,34.5,32.47,31.31,30.41,29.22,27.78,28.25,30.75,32.91,33.44,33.72,34.94,35.62,34.59,33.25,33.62,34.75,34.38,32.78,32.19,31.94,30.81,28.16,26.62,26.88,26.88,25.72,24.97,26.09,27.38,27.34,27.09,28.62,31.28,32.06,32.19,32.84,34.0,33.53,31.53,30.19,29.94,29.53,28.41,27.81,29.0,30.09,29.22,27.78,27.59,28.28,27.81,26.91,27.47,28.91,29.53,28.41,27.28,26.97,26.0,23.5,21.34,21.19,21.69,20.53,18.03,17.22,17.22,16.84,16.91,18.62,22.16,24.53,24.66,24.31,24.94,24.97,23.5,22.22,23.38,24.84,25.09,23.88,23.5,23.66,22.53,20.72,20.81,22.0,22.78,21.72,21.12,22.06,22.66,21.97,20.75,21.03,21.44,20.44,19.22,19.56,20.56,21.0,20.62,21.5,23.72,25.69,25.97,25.53,25.28,24.19,21.41,18.38,17.75,19.22,20.81,22.28,25.97,30.25,33.09,34.28,35.06,36.53,37.03,35.25,33.25,32.59,31.78,29.66,27.53,27.84,29.22,30.97,32.41,35.72,39.91,42.47,42.53,41.66,41.09,39.78,37.31,35.31,35.47,35.69,34.34,32.06,31.47,30.91,30.06,28.75,28.88,30.5,31.44,31.28,31.75,33.81,35.28,35.81,36.75,39.88,43.31,45.66,47.16,48.84,49.69,48.09,43.84,39.88,36.88,33.56,29.78,27.28,27.28,27.5,26.28,25.62,27.19,29.31,30.69,31.84,34.47,38.0,40.22,41.34,43.47,46.53,48.41,48.31,47.59,47.28,45.53,41.19,36.19,32.66,30.0,27.22,24.62,24.28,25.62,26.62,26.28,26.94,28.47,29.44,28.69,27.75,28.44,29.16,28.34,26.88,26.72,26.44,24.5,21.53,19.94,20.31,21.72,22.66,24.91,28.62,30.62,30.94,30.41,31.12,31.53,30.81,29.94,30.81,32.47,33.41,33.94,35.38,37.88,39.53,39.84,40.66,42.88,44.38,43.56,41.84,40.44,38.56,34.75,30.91,28.81,27.72,25.84,23.78,23.22,24.41,26.31,27.66,30.09,34.16,37.88,39.28,40.06,42.09,43.69,43.69,42.38,42.53,42.56,41.03,37.81,35.22,33.97,32.75,30.72,29.72,30.31,31.16,30.22,29.12,29.62,30.69,30.44,29.84,30.22,31.5,31.69,30.88,30.91,32.44,33.66,33.38,33.12,34.47,35.81,35.12,33.88,33.91,34.06,33.19,31.38,30.53,30.94,30.84,29.44,29.0,30.66,32.78,33.25,34.38,36.22,37.56,36.72,35.09,34.56,34.41,33.66,32.09,32.22,33.28,33.84,33.59,33.28,33.78,34.19,32.41,31.09,31.41,32.44,31.91,30.88,30.78,31.28,30.47,28.78,28.34,29.38,29.66,29.41,29.44,30.84,31.81,30.91,29.38,29.41,29.81,28.91,27.44,27.5,28.47,28.44,27.78,28.19,29.53,30.44,30.12,29.91,31.25,32.69,32.41,32.41,33.34,35.06,35.41,35.47,36.34,38.38,39.72,39.38,39.12,39.41,38.78,36.69,34.75,34.5,34.53,33.12,31.47,30.53,30.28,28.56,26.41,26.06,27.09,27.94,27.75,28.97,31.25,32.81,32.31,31.34,31.53,31.75,30.75,30.22,31.38,33.19,33.97,33.31,33.28,34.22,34.34,33.16,32.0,31.94,31.56,29.78,28.19,28.25,29.38,29.03,28.69,29.19,30.53,30.09,28.53,27.88,28.53,28.75,28.41,28.81,30.75,32.44,32.62,32.22,32.56,32.81,31.19,28.97,27.88,27.75,26.66,25.22,24.69,25.66,26.84,26.84,27.47,29.47,31.41,31.59,31.25,32.34,33.66,33.44,33.06,33.62,35.31,35.38,34.06,32.81,32.44,31.59,30.06,29.5,30.75,32.5,32.12,30.69,29.62,29.22,27.09,24.97,24.31,25.25,24.78,23.28,22.41,22.75,22.5,21.03,19.69,19.72,20.5,19.09,18.16,18.66,20.0,21.0,21.75,23.59,26.56,28.84,29.69,31.12,33.56,35.38,35.66,35.16,35.34,35.41,33.66,31.03,29.09,28.12,26.19,23.69,22.06,22.47,21.91,20.78,20.19,21.16,22.72,22.69,22.59,24.03,25.59,25.62,25.53,26.38,27.91,28.19,27.44,26.91,27.12,26.69,24.84,23.5,24.06,24.78,24.5,24.41,25.5,26.81,26.66,25.38,24.84,25.34,24.5,23.12,22.59,23.72,24.19,23.44,22.62,23.53,24.5,24.38,24.19,24.91,26.12,25.84,24.78,24.84,26.12,26.56,26.06,25.88,26.44,26.5,24.66,23.09,23.62,24.62,24.78,25.0,26.47,28.5,29.0,28.88,29.62,31.66,32.44,32.19,31.75,32.53,32.34,30.75,29.03,28.97,29.47,29.16,29.09,30.22,31.94,32.12,31.09,30.38,30.91,30.94,29.62,28.19,27.5,26.78,24.81,23.69,25.59,28.72,31.41,33.25,35.22,36.38,35.16,31.66,28.19,26.0,23.91,22.0,21.81,23.38,25.22,24.97,24.12,23.66,23.5,22.62,21.41,21.25,22.12,21.78,20.97,20.94,23.0,25.44,27.41,30.03,33.97,37.84,40.59,42.56,45.5,47.94,47.94,45.78,43.41,40.81,36.22,30.5,25.72,22.53,19.91,17.22,15.69,16.25,17.09,16.78,16.09,17.09,18.75,20.38,21.75,24.41,28.75,32.22,33.94,35.81,38.62,40.88,41.16,41.19,42.34,43.25,42.31,40.22,39.25,38.34,36.72,33.78,32.0,32.0,31.53,30.41,29.94,31.22,32.16,31.69,30.41,30.25,30.12,28.75,26.69,26.03,26.19,26.0,25.31,25.94,28.38,30.38,30.56,30.34,30.88,30.31,28.31,26.25,25.41,25.88,25.44,24.25,24.59,26.47,27.78,28.62,30.22,33.0,34.94,35.0,34.94,36.19,37.16,37.34,37.12,37.97,38.62,37.62,35.19,33.56,32.25,30.66,28.44,27.28,27.81,28.12,28.16,28.25,29.78,31.28,31.53,31.12,31.84,33.09,33.12,32.06,31.62,31.88,31.59,29.91,28.91,29.66,30.06,29.22,28.12,28.06,28.12,26.78,25.16,24.44,48.97,48.91,50.22,51.69,53.72,55.56,57.69,60.12,61.69,61.59,61.5,61.06,59.66,57.22:37.72,39.88,41.59,41.59,41.59,42.53,43.06,41.91,39.72,38.78,38.31,36.5,34.19,33.97,34.88,35.22,34.38,34.31,35.12,35.25,34.72,34.5,36.09,38.03,38.75,38.62,39.66,41.12,40.78,39.78,39.78,40.62,40.84,39.78,39.12,39.41,39.06,37.25,35.59,35.81,37.09,37.75,38.44,40.19,42.31,43.53,42.88,42.81,43.97,44.91,44.16,44.16,45.28,46.09,44.66,42.88,42.41,41.72,38.78,35.31,33.19,32.09,31.31,31.0,32.94,36.56,39.97,41.78,43.88,46.59,48.5,48.69,48.28,48.47,48.88,47.5,45.5,44.81,44.59,44.16,43.34,43.47,45.0,45.69,44.53,43.41,43.22,42.38,40.62,39.0,38.44,38.88,38.28,36.88,36.5,37.16,36.88,35.44,34.81,35.53,35.69,34.31,33.75,34.78,35.97,36.44,36.59,38.0,39.34,38.59,36.41,34.91,34.59,33.66,32.19,31.31,31.62,31.38,29.28,27.44,27.5,28.16,28.03,28.28,29.72,32.44,34.12,35.38,37.5,40.94,43.59,44.22,44.5,45.12,45.03,42.53,39.78,38.38,36.94,34.38,31.72,30.28,30.34,29.59,28.31,28.19,29.88,31.78,32.69,34.38,37.0,39.31,39.66,39.38,39.84,40.62,39.88,37.62,36.59,36.19,34.66,31.88,29.53,28.22,26.59,24.59,23.66,25.25,27.84,29.25,30.16,31.69,33.47,33.28,32.09,32.03,33.5,34.5,35.03,37.09,40.81,43.78,45.0,46.06,47.25,47.41,44.88,41.16,38.34,36.16,32.88,29.41,27.12,25.97,24.59,22.19,20.72,21.31,22.12,22.12,22.91,26.06,29.5,31.34,32.25,33.75,35.84,36.66,36.94,38.22,40.66,41.53,40.38,39.25,39.59,39.88,38.34,37.03,36.59,36.0,34.16,31.94,31.41,32.25,32.25,31.38,30.78,30.84,29.56,26.56,23.66,22.72,22.22,21.5,21.38,23.34,26.0,26.88,26.78,27.66,29.03,29.41,28.81,28.94,30.0,30.81,30.19,29.91,31.38,32.78,33.03,32.81,33.94,35.66,35.59,35.16,35.28,36.19,36.06,34.41,33.72,33.97,33.91,32.12,31.03,31.81,33.44,34.38,35.75,38.34,41.53,42.41,42.12,42.19,43.62,44.5,43.78,43.75,44.78,44.91,43.41,41.44,41.5,42.0,41.06,40.31,41.09,42.12,41.25,39.25,37.5,36.66,35.0,32.97,31.5,32.31,33.34,32.81,32.09,33.06,34.09,33.59,33.06,33.81,35.94,37.09,37.81,38.94,41.69,42.75,41.62,39.75,38.66,37.28,34.38,31.28,29.62,27.94,24.59,20.91,18.44,17.66,16.69,15.62,15.47,17.94,19.78,20.91,22.16,24.69,27.06,27.28,26.88,27.97,29.81,30.5,30.94,32.06,33.94,34.56,33.78,33.53,35.03,35.81,35.34,34.81,35.34,35.72,34.09,31.81,30.25,29.38,27.69,25.69,25.84,27.62,28.88,29.44,30.72,33.41,35.47,36.19,36.62,37.97,39.34,38.69,37.38,36.94,36.75,34.97,32.22,30.97,31.12,31.09,30.31,29.84,30.88,31.16,29.03,26.31,24.72,23.44,20.72,18.66,19.25,21.59,23.28,24.28,25.97,28.09,28.59,27.31,26.41,27.12,28.62,28.97,29.88,32.38,34.69,34.5,32.47,31.31,30.41,29.22,27.78,28.25,30.75,32.91,33.44,33.72,34.94,35.62,34.59,33.25,33.62,34.75,34.38,32.78,32.19,31.94,30.81,28.16,26.62,26.88,26.88,25.72,24.97,26.09,27.38,27.34,27.09,28.62,31.28,32.06,32.19,32.84,34.0,33.53,31.53,30.19,29.94,29.53,28.41,27.81,29.0,30.09,29.22,27.78,27.59,28.28,27.81,26.91,27.47,28.91,29.53,28.41,27.28,26.97,26.0,23.5,21.34,21.19,21.69,20.53,18.03,17.22,17.22,16.84,16.91,18.62,22.16,24.53,24.66,24.31,24.94,24.97,23.5,22.22,23.38,24.84,25.09,23.88,23.5,23.66,22.53,20.72,20.81,22.0,22.78,21.72,21.12,22.06,22.66,21.97,20.75,21.03,21.44,20.44,19.22,19.56,20.56,21.0,20.62,21.5,23.72,25.69,25.97,25.53,25.28,24.19,21.41,18.38,17.75,19.22,20.81,22.28,25.97,30.25,33.09,34.28,35.06,36.53,37.03,35.25,33.25,32.59,31.78,29.66,27.53,27.84,29.22,30.97,32.41,35.72,39.91,42.47,42.53,41.66,41.09,39.78,37.31,35.31,35.47,35.69,34.34,32.06,31.47,30.91,30.06,28.75,28.88,30.5,31.44,31.28,31.75,33.81,35.28,35.81,36.75,39.88,43.31,45.66,47.16,48.84,49.69,48.09,43.84,39.88,36.88,33.56,29.78,27.28,27.28,27.5,26.28,25.62,27.19,29.31,30.69,31.84,34.47,38.0,40.22,41.34,43.47,46.53,48.41,48.31,47.59,47.28,45.53,41.19,36.19,32.66,30.0,27.22,24.62,24.28,25.62,26.62,26.28,26.94,28.47,29.44,28.69,27.75,28.44,29.16,28.34,26.88,26.72,26.44,24.5,21.53,19.94,20.31,21.72,22.66,24.91,28.62,30.62,30.94,30.41,31.12,31.53,30.81,29.94,30.81,32.47,33.41,33.94,35.38,37.88,39.53,39.84,40.66,42.88,44.38,43.56,41.84,40.44,38.56,34.75,30.91,28.81,27.72,25.84,23.78,23.22,24.41,26.31,27.66,30.09,34.16,37.88,39.28,40.06,42.09,43.69,43.69,42.38,42.53,42.56,41.03,37.81,35.22,33.97,32.75,30.72,29.72,30.31,31.16,30.22,29.12,29.62,30.69,30.44,29.84,30.22,31.5,31.69,30.88,30.91,32.44,33.66,33.38,33.12,34.47,35.81,35.12,33.88,33.91,34.06,33.19,31.38,30.53,30.94,30.84,29.44,29.0,30.66,32.78,33.25,34.38,36.22,37.56,36.72,35.09,34.56,34.41,33.66,32.09,32.22,33.28,33.84,33.59,33.28,33.78,34.19,32.41,31.09,31.41,32.44,31.91,30.88,30.78,31.28,30.47,28.78,28.34,29.38,29.66,29.41,29.44,30.84,31.81,30.91,29.38,29.41,29.81,28.91,27.44,27.5,28.47,28.44,27.78,28.19,29.53,30.44,30.12,29.91,31.25,32.69,32.41,32.41,33.34,35.06,35.41,35.47,36.34,38.38,39.72,39.38,39.12,39.41,38.78,36.69,34.75,34.5,34.53,33.12,31.47,30.53,30.28,28.56,26.41,26.06,27.09,27.94,27.75,28.97,31.25,32.81,32.31,31.34,31.53,31.75,30.75,30.22,31.38,33.19,33.97,33.31,33.28,34.22,34.34,33.16,32.0,31.94,31.56,29.78,28.19,28.25,29.38,29.03,28.69,29.19,30.53,30.09,28.53,27.88,28.53,28.75,28.41,28.81,30.75,32.44,32.62,32.22,32.56,32.81,31.19,28.97,27.88,27.75,26.66,25.22,24.69,25.66,26.84,26.84,27.47,29.47,31.41,31.59,31.25,32.34,33.66,33.44,33.06,33.62,35.31,35.38,34.06,32.81,32.44,31.59,30.06,29.5,30.75,32.5,32.12,30.69,29.62,29.22,27.09,24.97,24.31,25.25,24.78,23.28,22.41,22.75,22.5,21.03,19.69,19.72,20.5,19.09,18.16,18.66,20.0,21.0,21.75,23.59,26.56,28.84,29.69,31.12,33.56,35.38,35.66,35.16,35.34,35.41,33.66,31.03,29.09,28.12,26.19,23.69,22.06,22.47,21.91,20.78,20.19,21.16,22.72,22.69,22.59,24.03,25.59,25.62,25.53,26.38,27.91,28.19,27.44,26.91,27.12,26.69,24.84,23.5,24.06,24.78,24.5,24.41,25.5,26.81,26.66,25.38,24.84,25.34,24.5,23.12,22.59,23.72,24.19,23.44,22.62,23.53,24.5,24.38,24.19,24.91,26.12,25.84,24.78,24.84,26.12,26.56,26.06,25.88,26.44,26.5,24.66,23.09,23.62,24.62,24.78,25.0,26.47,28.5,29.0,28.88,29.62,31.66,32.44,32.19,31.75,32.53,32.34,30.75,29.03,28.97,29.47,29.16,29.09,30.22,31.94,32.12,31.09,30.38,30.91,30.94,29.62,28.19,27.5,26.78,24.81,23.69,25.59,28.72,31.41,33.25,35.22,36.38,35.16,31.66,28.19,26.0,23.91,22.0,21.81,23.38,25.22,24.97,24.12,23.66,23.5,22.62,21.41,21.25,22.12,21.78,20.97,20.94,23.0,25.44,27.41,30.03,33.97,37.84,40.59,42.56,45.5,47.94,47.94,45.78,43.41,40.81,36.22,30.5,25.72,22.53,19.91,17.22,15.69,16.25,17.09,16.78,16.09,17.09,18.75,20.38,21.75,24.41,28.75,32.22,33.94,35.81,38.62,40.88,41.16,41.19,42.34,43.25,42.31,40.22,39.25,38.34,36.72,33.78,32.0,32.0,31.53,30.41,29.94,31.22,32.16,31.69,30.41,30.25,30.12,28.75,26.69,26.03,26.19,26.0,25.31,25.94,28.38,30.38,30.56,30.34,30.88,30.31,28.31,26.25,25.41,25.88,25.44,24.25,24.59,26.47,27.78,28.62,30.22,33.0,34.94,35.0,34.94,36.19,37.16,37.34,37.12,37.97,38.62,37.62,35.19,33.56,32.25,30.66,28.44,27.28,27.81,28.12,28.16,28.25,29.78,31.28,31.53,31.12,31.84,33.09,33.12,32.06,31.62,31.88,31.59,29.91,28.91,29.66,30.06,29.22,28.12,28.06,28.12,26.78,25.16,24.44,48.97,48.91,50.22,51.69,53.72,55.56,57.69,60.12,61.69,61.59,61.5,61.06,59.66,57.22,55.5,54.62,53.84,53.12,53.12,53.59,54.28:41.91,39.72,38.78,38.31,36.5,34.19,33.97,34.88,35.22,34.38,34.31,35.12,35.25,34.72,34.5,36.09,38.03,38.75,38.62,39.66,41.12,40.78,39.78,39.78,40.62,40.84,39.78,39.12,39.41,39.06,37.25,35.59,35.81,37.09,37.75,38.44,40.19,42.31,43.53,42.88,42.81,43.97,44.91,44.16,44.16,45.28,46.09,44.66,42.88,42.41,41.72,38.78,35.31,33.19,32.09,31.31,31.0,32.94,36.56,39.97,41.78,43.88,46.59,48.5,48.69,48.28,48.47,48.88,47.5,45.5,44.81,44.59,44.16,43.34,43.47,45.0,45.69,44.53,43.41,43.22,42.38,40.62,39.0,38.44,38.88,38.28,36.88,36.5,37.16,36.88,35.44,34.81,35.53,35.69,34.31,33.75,34.78,35.97,36.44,36.59,38.0,39.34,38.59,36.41,34.91,34.59,33.66,32.19,31.31,31.62,31.38,29.28,27.44,27.5,28.16,28.03,28.28,29.72,32.44,34.12,35.38,37.5,40.94,43.59,44.22,44.5,45.12,45.03,42.53,39.78,38.38,36.94,34.38,31.72,30.28,30.34,29.59,28.31,28.19,29.88,31.78,32.69,34.38,37.0,39.31,39.66,39.38,39.84,40.62,39.88,37.62,36.59,36.19,34.66,31.88,29.53,28.22,26.59,24.59,23.66,25.25,27.84,29.25,30.16,31.69,33.47,33.28,32.09,32.03,33.5,34.5,35.03,37.09,40.81,43.78,45.0,46.06,47.25,47.41,44.88,41.16,38.34,36.16,32.88,29.41,27.12,25.97,24.59,22.19,20.72,21.31,22.12,22.12,22.91,26.06,29.5,31.34,32.25,33.75,35.84,36.66,36.94,38.22,40.66,41.53,40.38,39.25,39.59,39.88,38.34,37.03,36.59,36.0,34.16,31.94,31.41,32.25,32.25,31.38,30.78,30.84,29.56,26.56,23.66,22.72,22.22,21.5,21.38,23.34,26.0,26.88,26.78,27.66,29.03,29.41,28.81,28.94,30.0,30.81,30.19,29.91,31.38,32.78,33.03,32.81,33.94,35.66,35.59,35.16,35.28,36.19,36.06,34.41,33.72,33.97,33.91,32.12,31.03,31.81,33.44,34.38,35.75,38.34,41.53,42.41,42.12,42.19,43.62,44.5,43.78,43.75,44.78,44.91,43.41,41.44,41.5,42.0,41.06,40.31,41.09,42.12,41.25,39.25,37.5,36.66,35.0,32.97,31.5,32.31,33.34,32.81,32.09,33.06,34.09,33.59,33.06,33.81,35.94,37.09,37.81,38.94,41.69,42.75,41.62,39.75,38.66,37.28,34.38,31.28,29.62,27.94,24.59,20.91,18.44,17.66,16.69,15.62,15.47,17.94,19.78,20.91,22.16,24.69,27.06,27.28,26.88,27.97,29.81,30.5,30.94,32.06,33.94,34.56,33.78,33.53,35.03,35.81,35.34,34.81,35.34,35.72,34.09,31.81,30.25,29.38,27.69,25.69,25.84,27.62,28.88,29.44,30.72,33.41,35.47,36.19,36.62,37.97,39.34,38.69,37.38,36.94,36.75,34.97,32.22,30.97,31.12,31.09,30.31,29.84,30.88,31.16,29.03,26.31,24.72,23.44,20.72,18.66,19.25,21.59,23.28,24.28,25.97,28.09,28.59,27.31,26.41,27.12,28.62,28.97,29.88,32.38,34.69,34.5,32.47,31.31,30.41,29.22,27.78,28.25,30.75,32.91,33.44,33.72,34.94,35.62,34.59,33.25,33.62,34.75,34.38,32.78,32.19,31.94,30.81,28.16,26.62,26.88,26.88,25.72,24.97,26.09,27.38,27.34,27.09,28.62,31.28,32.06,32.19,32.84,34.0,33.53,31.53,30.19,29.94,29.53,28.41,27.81,29.0,30.09,29.22,27.78,27.59,28.28,27.81,26.91,27.47,28.91,29.53,28.41,27.28,26.97,26.0,23.5,21.34,21.19,21.69,20.53,18.03,17.22,17.22,16.84,16.91,18.62,22.16,24.53,24.66,24.31,24.94,24.97,23.5,22.22,23.38,24.84,25.09,23.88,23.5,23.66,22.53,20.72,20.81,22.0,22.78,21.72,21.12,22.06,22.66,21.97,20.75,21.03,21.44,20.44,19.22,19.56,20.56,21.0,20.62,21.5,23.72,25.69,25.97,25.53,25.28,24.19,21.41,18.38,17.75,19.22,20.81,22.28,25.97,30.25,33.09,34.28,35.06,36.53,37.03,35.25,33.25,32.59,31.78,29.66,27.53,27.84,29.22,30.97,32.41,35.72,39.91,42.47,42.53,41.66,41.09,39.78,37.31,35.31,35.47,35.69,34.34,32.06,31.47,30.91,30.06,28.75,28.88,30.5,31.44,31.28,31.75,33.81,35.28,35.81,36.75,39.88,43.31,45.66,47.16,48.84,49.69,48.09,43.84,39.88,36.88,33.56,29.78,27.28,27.28,27.5,26.28,25.62,27.19,29.31,30.69,31.84,34.47,38.0,40.22,41.34,43.47,46.53,48.41,48.31,47.59,47.28,45.53,41.19,36.19,32.66,30.0,27.22,24.62,24.28,25.62,26.62,26.28,26.94,28.47,29.44,28.69,27.75,28.44,29.16,28.34,26.88,26.72,26.44,24.5,21.53,19.94,20.31,21.72,22.66,24.91,28.62,30.62,30.94,30.41,31.12,31.53,30.81,29.94,30.81,32.47,33.41,33.94,35.38,37.88,39.53,39.84,40.66,42.88,44.38,43.56,41.84,40.44,38.56,34.75,30.91,28.81,27.72,25.84,23.78,23.22,24.41,26.31,27.66,30.09,34.16,37.88,39.28,40.06,42.09,43.69,43.69,42.38,42.53,42.56,41.03,37.81,35.22,33.97,32.75,30.72,29.72,30.31,31.16,30.22,29.12,29.62,30.69,30.44,29.84,30.22,31.5,31.69,30.88,30.91,32.44,33.66,33.38,33.12,34.47,35.81,35.12,33.88,33.91,34.06,33.19,31.38,30.53,30.94,30.84,29.44,29.0,30.66,32.78,33.25,34.38,36.22,37.56,36.72,35.09,34.56,34.41,33.66,32.09,32.22,33.28,33.84,33.59,33.28,33.78,34.19,32.41,31.09,31.41,32.44,31.91,30.88,30.78,31.28,30.47,28.78,28.34,29.38,29.66,29.41,29.44,30.84,31.81,30.91,29.38,29.41,29.81,28.91,27.44,27.5,28.47,28.44,27.78,28.19,29.53,30.44,30.12,29.91,31.25,32.69,32.41,32.41,33.34,35.06,35.41,35.47,36.34,38.38,39.72,39.38,39.12,39.41,38.78,36.69,34.75,34.5,34.53,33.12,31.47,30.53,30.28,28.56,26.41,26.06,27.09,27.94,27.75,28.97,31.25,32.81,32.31,31.34,31.53,31.75,30.75,30.22,31.38,33.19,33.97,33.31,33.28,34.22,34.34,33.16,32.0,31.94,31.56,29.78,28.19,28.25,29.38,29.03,28.69,29.19,30.53,30.09,28.53,27.88,28.53,28.75,28.41,28.81,30.75,32.44,32.62,32.22,32.56,32.81,31.19,28.97,27.88,27.75,26.66,25.22,24.69,25.66,26.84,26.84,27.47,29.47,31.41,31.59,31.25,32.34,33.66,33.44,33.06,33.62,35.31,35.38,34.06,32.81,32.44,31.59,30.06,29.5,30.75,32.5,32.12,30.69,29.62,29.22,27.09,24.97,24.31,25.25,24.78,23.28,22.41,22.75,22.5,21.03,19.69,19.72,20.5,19.09,18.16,18.66,20.0,21.0,21.75,23.59,26.56,28.84,29.69,31.12,33.56,35.38,35.66,35.16,35.34,35.41,33.66,31.03,29.09,28.12,26.19,23.69,22.06,22.47,21.91,20.78,20.19,21.16,22.72,22.69,22.59,24.03,25.59,25.62,25.53,26.38,27.91,28.19,27.44,26.91,27.12,26.69,24.84,23.5,24.06,24.78,24.5,24.41,25.5,26.81,26.66,25.38,24.84,25.34,24.5,23.12,22.59,23.72,24.19,23.44,22.62,23.53,24.5,24.38,24.19,24.91,26.12,25.84,24.78,24.84,26.12,26.56,26.06,25.88,26.44,26.5,24.66,23.09,23.62,24.62,24.78,25.0,26.47,28.5,29.0,28.88,29.62,31.66,32.44,32.19,31.75,32.53,32.34,30.75,29.03,28.97,29.47,29.16,29.09,30.22,31.94,32.12,31.09,30.38,30.91,30.94,29.62,28.19,27.5,26.78,24.81,23.69,25.59,28.72,31.41,33.25,35.22,36.38,35.16,31.66,28.19,26.0,23.91,22.0,21.81,23.38,25.22,24.97,24.12,23.66,23.5,22.62,21.41,21.25,22.12,21.78,20.97,20.94,23.0,25.44,27.41,30.03,33.97,37.84,40.59,42.56,45.5,47.94,47.94,45.78,43.41,40.81,36.22,30.5,25.72,22.53,19.91,17.22,15.69,16.25,17.09,16.78,16.09,17.09,18.75,20.38,21.75,24.41,28.75,32.22,33.94,35.81,38.62,40.88,41.16,41.19,42.34,43.25,42.31,40.22,39.25,38.34,36.72,33.78,32.0,32.0,31.53,30.41,29.94,31.22,32.16,31.69,30.41,30.25,30.12,28.75,26.69,26.03,26.19,26.0,25.31,25.94,28.38,30.38,30.56,30.34,30.88,30.31,28.31,26.25,25.41,25.88,25.44,24.25,24.59,26.47,27.78,28.62,30.22,33.0,34.94,35.0,34.94,36.19,37.16,37.34,37.12,37.97,38.62,37.62,35.19,33.56,32.25,30.66,28.44,27.28,27.81,28.12,28.16,28.25,29.78,31.28,31.53,31.12,31.84,33.09,33.12,32.06,31.62,31.88,31.59,29.91,28.91,29.66,30.06,29.22,28.12,28.06,28.12,26.78,25.16,24.44,48.97,48.91,50.22,51.69,53.72,55.56,57.69,60.12,61.69,61.59,61.5,61.06,59.66,57.22,55.5,54.62,53.84,53.12,53.12,53.59,54.28,55.19,55.72,56.88,57.91,58.41,58.28,57.97:34.88,35.22,34.38,34.31,35.12,35.25,34.72,34.5,36.09,38.03,38.75,38.62,39.66,41.12,40.78,39.78,39.78,40.62,40.84,39.78,39.12,39.41,39.06,37.25,35.59,35.81,37.09,37.75,38.44,40.19,42.31,43.53,42.88,42.81,43.97,44.91,44.16,44.16,45.28,46.09,44.66,42.88,42.41,41.72,38.78,35.31,33.19,32.09,31.31,31.0,32.94,36.56,39.97,41.78,43.88,46.59,48.5,48.69,48.28,48.47,48.88,47.5,45.5,44.81,44.59,44.16,43.34,43.47,45.0,45.69,44.53,43.41,43.22,42.38,40.62,39.0,38.44,38.88,38.28,36.88,36.5,37.16,36.88,35.44,34.81,35.53,35.69,34.31,33.75,34.78,35.97,36.44,36.59,38.0,39.34,38.59,36.41,34.91,34.59,33.66,32.19,31.31,31.62,31.38,29.28,27.44,27.5,28.16,28.03,28.28,29.72,32.44,34.12,35.38,37.5,40.94,43.59,44.22,44.5,45.12,45.03,42.53,39.78,38.38,36.94,34.38,31.72,30.28,30.34,29.59,28.31,28.19,29.88,31.78,32.69,34.38,37.0,39.31,39.66,39.38,39.84,40.62,39.88,37.62,36.59,36.19,34.66,31.88,29.53,28.22,26.59,24.59,23.66,25.25,27.84,29.25,30.16,31.69,33.47,33.28,32.09,32.03,33.5,34.5,35.03,37.09,40.81,43.78,45.0,46.06,47.25,47.41,44.88,41.16,38.34,36.16,32.88,29.41,27.12,25.97,24.59,22.19,20.72,21.31,22.12,22.12,22.91,26.06,29.5,31.34,32.25,33.75,35.84,36.66,36.94,38.22,40.66,41.53,40.38,39.25,39.59,39.88,38.34,37.03,36.59,36.0,34.16,31.94,31.41,32.25,32.25,31.38,30.78,30.84,29.56,26.56,23.66,22.72,22.22,21.5,21.38,23.34,26.0,26.88,26.78,27.66,29.03,29.41,28.81,28.94,30.0,30.81,30.19,29.91,31.38,32.78,33.03,32.81,33.94,35.66,35.59,35.16,35.28,36.19,36.06,34.41,33.72,33.97,33.91,32.12,31.03,31.81,33.44,34.38,35.75,38.34,41.53,42.41,42.12,42.19,43.62,44.5,43.78,43.75,44.78,44.91,43.41,41.44,41.5,42.0,41.06,40.31,41.09,42.12,41.25,39.25,37.5,36.66,35.0,32.97,31.5,32.31,33.34,32.81,32.09,33.06,34.09,33.59,33.06,33.81,35.94,37.09,37.81,38.94,41.69,42.75,41.62,39.75,38.66,37.28,34.38,31.28,29.62,27.94,24.59,20.91,18.44,17.66,16.69,15.62,15.47,17.94,19.78,20.91,22.16,24.69,27.06,27.28,26.88,27.97,29.81,30.5,30.94,32.06,33.94,34.56,33.78,33.53,35.03,35.81,35.34,34.81,35.34,35.72,34.09,31.81,30.25,29.38,27.69,25.69,25.84,27.62,28.88,29.44,30.72,33.41,35.47,36.19,36.62,37.97,39.34,38.69,37.38,36.94,36.75,34.97,32.22,30.97,31.12,31.09,30.31,29.84,30.88,31.16,29.03,26.31,24.72,23.44,20.72,18.66,19.25,21.59,23.28,24.28,25.97,28.09,28.59,27.31,26.41,27.12,28.62,28.97,29.88,32.38,34.69,34.5,32.47,31.31,30.41,29.22,27.78,28.25,30.75,32.91,33.44,33.72,34.94,35.62,34.59,33.25,33.62,34.75,34.38,32.78,32.19,31.94,30.81,28.16,26.62,26.88,26.88,25.72,24.97,26.09,27.38,27.34,27.09,28.62,31.28,32.06,32.19,32.84,34.0,33.53,31.53,30.19,29.94,29.53,28.41,27.81,29.0,30.09,29.22,27.78,27.59,28.28,27.81,26.91,27.47,28.91,29.53,28.41,27.28,26.97,26.0,23.5,21.34,21.19,21.69,20.53,18.03,17.22,17.22,16.84,16.91,18.62,22.16,24.53,24.66,24.31,24.94,24.97,23.5,22.22,23.38,24.84,25.09,23.88,23.5,23.66,22.53,20.72,20.81,22.0,22.78,21.72,21.12,22.06,22.66,21.97,20.75,21.03,21.44,20.44,19.22,19.56,20.56,21.0,20.62,21.5,23.72,25.69,25.97,25.53,25.28,24.19,21.41,18.38,17.75,19.22,20.81,22.28,25.97,30.25,33.09,34.28,35.06,36.53,37.03,35.25,33.25,32.59,31.78,29.66,27.53,27.84,29.22,30.97,32.41,35.72,39.91,42.47,42.53,41.66,41.09,39.78,37.31,35.31,35.47,35.69,34.34,32.06,31.47,30.91,30.06,28.75,28.88,30.5,31.44,31.28,31.75,33.81,35.28,35.81,36.75,39.88,43.31,45.66,47.16,48.84,49.69,48.09,43.84,39.88,36.88,33.56,29.78,27.28,27.28,27.5,26.28,25.62,27.19,29.31,30.69,31.84,34.47,38.0,40.22,41.34,43.47,46.53,48.41,48.31,47.59,47.28,45.53,41.19,36.19,32.66,30.0,27.22,24.62,24.28,25.62,26.62,26.28,26.94,28.47,29.44,28.69,27.75,28.44,29.16,28.34,26.88,26.72,26.44,24.5,21.53,19.94,20.31,21.72,22.66,24.91,28.62,30.62,30.94,30.41,31.12,31.53,30.81,29.94,30.81,32.47,33.41,33.94,35.38,37.88,39.53,39.84,40.66,42.88,44.38,43.56,41.84,40.44,38.56,34.75,30.91,28.81,27.72,25.84,23.78,23.22,24.41,26.31,27.66,30.09,34.16,37.88,39.28,40.06,42.09,43.69,43.69,42.38,42.53,42.56,41.03,37.81,35.22,33.97,32.75,30.72,29.72,30.31,31.16,30.22,29.12,29.62,30.69,30.44,29.84,30.22,31.5,31.69,30.88,30.91,32.44,33.66,33.38,33.12,34.47,35.81,35.12,33.88,33.91,34.06,33.19,31.38,30.53,30.94,30.84,29.44,29.0,30.66,32.78,33.25,34.38,36.22,37.56,36.72,35.09,34.56,34.41,33.66,32.09,32.22,33.28,33.84,33.59,33.28,33.78,34.19,32.41,31.09,31.41,32.44,31.91,30.88,30.78,31.28,30.47,28.78,28.34,29.38,29.66,29.41,29.44,30.84,31.81,30.91,29.38,29.41,29.81,28.91,27.44,27.5,28.47,28.44,27.78,28.19,29.53,30.44,30.12,29.91,31.25,32.69,32.41,32.41,33.34,35.06,35.41,35.47,36.34,38.38,39.72,39.38,39.12,39.41,38.78,36.69,34.75,34.5,34.53,33.12,31.47,30.53,30.28,28.56,26.41,26.06,27.09,27.94,27.75,28.97,31.25,32.81,32.31,31.34,31.53,31.75,30.75,30.22,31.38,33.19,33.97,33.31,33.28,34.22,34.34,33.16,32.0,31.94,31.56,29.78,28.19,28.25,29.38,29.03,28.69,29.19,30.53,30.09,28.53,27.88,28.53,28.75,28.41,28.81,30.75,32.44,32.62,32.22,32.56,32.81,31.19,28.97,27.88,27.75,26.66,25.22,24.69,25.66,26.84,26.84,27.47,29.47,31.41,31.59,31.25,32.34,33.66,33.44,33.06,33.62,35.31,35.38,34.06,32.81,32.44,31.59,30.06,29.5,30.75,32.5,32.12,30.69,29.62,29.22,27.09,24.97,24.31,25.25,24.78,23.28,22.41,22.75,22.5,21.03,19.69,19.72,20.5,19.09,18.16,18.66,20.0,21.0,21.75,23.59,26.56,28.84,29.69,31.12,33.56,35.38,35.66,35.16,35.34,35.41,33.66,31.03,29.09,28.12,26.19,23.69,22.06,22.47,21.91,20.78,20.19,21.16,22.72,22.69,22.59,24.03,25.59,25.62,25.53,26.38,27.91,28.19,27.44,26.91,27.12,26.69,24.84,23.5,24.06,24.78,24.5,24.41,25.5,26.81,26.66,25.38,24.84,25.34,24.5,23.12,22.59,23.72,24.19,23.44,22.62,23.53,24.5,24.38,24.19,24.91,26.12,25.84,24.78,24.84,26.12,26.56,26.06,25.88,26.44,26.5,24.66,23.09,23.62,24.62,24.78,25.0,26.47,28.5,29.0,28.88,29.62,31.66,32.44,32.19,31.75,32.53,32.34,30.75,29.03,28.97,29.47,29.16,29.09,30.22,31.94,32.12,31.09,30.38,30.91,30.94,29.62,28.19,27.5,26.78,24.81,23.69,25.59,28.72,31.41,33.25,35.22,36.38,35.16,31.66,28.19,26.0,23.91,22.0,21.81,23.38,25.22,24.97,24.12,23.66,23.5,22.62,21.41,21.25,22.12,21.78,20.97,20.94,23.0,25.44,27.41,30.03,33.97,37.84,40.59,42.56,45.5,47.94,47.94,45.78,43.41,40.81,36.22,30.5,25.72,22.53,19.91,17.22,15.69,16.25,17.09,16.78,16.09,17.09,18.75,20.38,21.75,24.41,28.75,32.22,33.94,35.81,38.62,40.88,41.16,41.19,42.34,43.25,42.31,40.22,39.25,38.34,36.72,33.78,32.0,32.0,31.53,30.41,29.94,31.22,32.16,31.69,30.41,30.25,30.12,28.75,26.69,26.03,26.19,26.0,25.31,25.94,28.38,30.38,30.56,30.34,30.88,30.31,28.31,26.25,25.41,25.88,25.44,24.25,24.59,26.47,27.78,28.62,30.22,33.0,34.94,35.0,34.94,36.19,37.16,37.34,37.12,37.97,38.62,37.62,35.19,33.56,32.25,30.66,28.44,27.28,27.81,28.12,28.16,28.25,29.78,31.28,31.53,31.12,31.84,33.09,33.12,32.06,31.62,31.88,31.59,29.91,28.91,29.66,30.06,29.22,28.12,28.06,28.12,26.78,25.16,24.44,48.97,48.91,50.22,51.69,53.72,55.56,57.69,60.12,61.69,61.59,61.5,61.06,59.66,57.22,55.5,54.62,53.84,53.12,53.12,53.59,54.28,55.19,55.72,56.88,57.91,58.41,58.28,57.97,57.5,56.47,54.53,52.97,51.69,50.75,50.22:34.5,36.09,38.03,38.75,38.62,39.66,41.12,40.78,39.78,39.78,40.62,40.84,39.78,39.12,39.41,39.06,37.25,35.59,35.81,37.09,37.75,38.44,40.19,42.31,43.53,42.88,42.81,43.97,44.91,44.16,44.16,45.28,46.09,44.66,42.88,42.41,41.72,38.78,35.31,33.19,32.09,31.31,31.0,32.94,36.56,39.97,41.78,43.88,46.59,48.5,48.69,48.28,48.47,48.88,47.5,45.5,44.81,44.59,44.16,43.34,43.47,45.0,45.69,44.53,43.41,43.22,42.38,40.62,39.0,38.44,38.88,38.28,36.88,36.5,37.16,36.88,35.44,34.81,35.53,35.69,34.31,33.75,34.78,35.97,36.44,36.59,38.0,39.34,38.59,36.41,34.91,34.59,33.66,32.19,31.31,31.62,31.38,29.28,27.44,27.5,28.16,28.03,28.28,29.72,32.44,34.12,35.38,37.5,40.94,43.59,44.22,44.5,45.12,45.03,42.53,39.78,38.38,36.94,34.38,31.72,30.28,30.34,29.59,28.31,28.19,29.88,31.78,32.69,34.38,37.0,39.31,39.66,39.38,39.84,40.62,39.88,37.62,36.59,36.19,34.66,31.88,29.53,28.22,26.59,24.59,23.66,25.25,27.84,29.25,30.16,31.69,33.47,33.28,32.09,32.03,33.5,34.5,35.03,37.09,40.81,43.78,45.0,46.06,47.25,47.41,44.88,41.16,38.34,36.16,32.88,29.41,27.12,25.97,24.59,22.19,20.72,21.31,22.12,22.12,22.91,26.06,29.5,31.34,32.25,33.75,35.84,36.66,36.94,38.22,40.66,41.53,40.38,39.25,39.59,39.88,38.34,37.03,36.59,36.0,34.16,31.94,31.41,32.25,32.25,31.38,30.78,30.84,29.56,26.56,23.66,22.72,22.22,21.5,21.38,23.34,26.0,26.88,26.78,27.66,29.03,29.41,28.81,28.94,30.0,30.81,30.19,29.91,31.38,32.78,33.03,32.81,33.94,35.66,35.59,35.16,35.28,36.19,36.06,34.41,33.72,33.97,33.91,32.12,31.03,31.81,33.44,34.38,35.75,38.34,41.53,42.41,42.12,42.19,43.62,44.5,43.78,43.75,44.78,44.91,43.41,41.44,41.5,42.0,41.06,40.31,41.09,42.12,41.25,39.25,37.5,36.66,35.0,32.97,31.5,32.31,33.34,32.81,32.09,33.06,34.09,33.59,33.06,33.81,35.94,37.09,37.81,38.94,41.69,42.75,41.62,39.75,38.66,37.28,34.38,31.28,29.62,27.94,24.59,20.91,18.44,17.66,16.69,15.62,15.47,17.94,19.78,20.91,22.16,24.69,27.06,27.28,26.88,27.97,29.81,30.5,30.94,32.06,33.94,34.56,33.78,33.53,35.03,35.81,35.34,34.81,35.34,35.72,34.09,31.81,30.25,29.38,27.69,25.69,25.84,27.62,28.88,29.44,30.72,33.41,35.47,36.19,36.62,37.97,39.34,38.69,37.38,36.94,36.75,34.97,32.22,30.97,31.12,31.09,30.31,29.84,30.88,31.16,29.03,26.31,24.72,23.44,20.72,18.66,19.25,21.59,23.28,24.28,25.97,28.09,28.59,27.31,26.41,27.12,28.62,28.97,29.88,32.38,34.69,34.5,32.47,31.31,30.41,29.22,27.78,28.25,30.75,32.91,33.44,33.72,34.94,35.62,34.59,33.25,33.62,34.75,34.38,32.78,32.19,31.94,30.81,28.16,26.62,26.88,26.88,25.72,24.97,26.09,27.38,27.34,27.09,28.62,31.28,32.06,32.19,32.84,34.0,33.53,31.53,30.19,29.94,29.53,28.41,27.81,29.0,30.09,29.22,27.78,27.59,28.28,27.81,26.91,27.47,28.91,29.53,28.41,27.28,26.97,26.0,23.5,21.34,21.19,21.69,20.53,18.03,17.22,17.22,16.84,16.91,18.62,22.16,24.53,24.66,24.31,24.94,24.97,23.5,22.22,23.38,24.84,25.09,23.88,23.5,23.66,22.53,20.72,20.81,22.0,22.78,21.72,21.12,22.06,22.66,21.97,20.75,21.03,21.44,20.44,19.22,19.56,20.56,21.0,20.62,21.5,23.72,25.69,25.97,25.53,25.28,24.19,21.41,18.38,17.75,19.22,20.81,22.28,25.97,30.25,33.09,34.28,35.06,36.53,37.03,35.25,33.25,32.59,31.78,29.66,27.53,27.84,29.22,30.97,32.41,35.72,39.91,42.47,42.53,41.66,41.09,39.78,37.31,35.31,35.47,35.69,34.34,32.06,31.47,30.91,30.06,28.75,28.88,30.5,31.44,31.28,31.75,33.81,35.28,35.81,36.75,39.88,43.31,45.66,47.16,48.84,49.69,48.09,43.84,39.88,36.88,33.56,29.78,27.28,27.28,27.5,26.28,25.62,27.19,29.31,30.69,31.84,34.47,38.0,40.22,41.34,43.47,46.53,48.41,48.31,47.59,47.28,45.53,41.19,36.19,32.66,30.0,27.22,24.62,24.28,25.62,26.62,26.28,26.94,28.47,29.44,28.69,27.75,28.44,29.16,28.34,26.88,26.72,26.44,24.5,21.53,19.94,20.31,21.72,22.66,24.91,28.62,30.62,30.94,30.41,31.12,31.53,30.81,29.94,30.81,32.47,33.41,33.94,35.38,37.88,39.53,39.84,40.66,42.88,44.38,43.56,41.84,40.44,38.56,34.75,30.91,28.81,27.72,25.84,23.78,23.22,24.41,26.31,27.66,30.09,34.16,37.88,39.28,40.06,42.09,43.69,43.69,42.38,42.53,42.56,41.03,37.81,35.22,33.97,32.75,30.72,29.72,30.31,31.16,30.22,29.12,29.62,30.69,30.44,29.84,30.22,31.5,31.69,30.88,30.91,32.44,33.66,33.38,33.12,34.47,35.81,35.12,33.88,33.91,34.06,33.19,31.38,30.53,30.94,30.84,29.44,29.0,30.66,32.78,33.25,34.38,36.22,37.56,36.72,35.09,34.56,34.41,33.66,32.09,32.22,33.28,33.84,33.59,33.28,33.78,34.19,32.41,31.09,31.41,32.44,31.91,30.88,30.78,31.28,30.47,28.78,28.34,29.38,29.66,29.41,29.44,30.84,31.81,30.91,29.38,29.41,29.81,28.91,27.44,27.5,28.47,28.44,27.78,28.19,29.53,30.44,30.12,29.91,31.25,32.69,32.41,32.41,33.34,35.06,35.41,35.47,36.34,38.38,39.72,39.38,39.12,39.41,38.78,36.69,34.75,34.5,34.53,33.12,31.47,30.53,30.28,28.56,26.41,26.06,27.09,27.94,27.75,28.97,31.25,32.81,32.31,31.34,31.53,31.75,30.75,30.22,31.38,33.19,33.97,33.31,33.28,34.22,34.34,33.16,32.0,31.94,31.56,29.78,28.19,28.25,29.38,29.03,28.69,29.19,30.53,30.09,28.53,27.88,28.53,28.75,28.41,28.81,30.75,32.44,32.62,32.22,32.56,32.81,31.19,28.97,27.88,27.75,26.66,25.22,24.69,25.66,26.84,26.84,27.47,29.47,31.41,31.59,31.25,32.34,33.66,33.44,33.06,33.62,35.31,35.38,34.06,32.81,32.44,31.59,30.06,29.5,30.75,32.5,32.12,30.69,29.62,29.22,27.09,24.97,24.31,25.25,24.78,23.28,22.41,22.75,22.5,21.03,19.69,19.72,20.5,19.09,18.16,18.66,20.0,21.0,21.75,23.59,26.56,28.84,29.69,31.12,33.56,35.38,35.66,35.16,35.34,35.41,33.66,31.03,29.09,28.12,26.19,23.69,22.06,22.47,21.91,20.78,20.19,21.16,22.72,22.69,22.59,24.03,25.59,25.62,25.53,26.38,27.91,28.19,27.44,26.91,27.12,26.69,24.84,23.5,24.06,24.78,24.5,24.41,25.5,26.81,26.66,25.38,24.84,25.34,24.5,23.12,22.59,23.72,24.19,23.44,22.62,23.53,24.5,24.38,24.19,24.91,26.12,25.84,24.78,24.84,26.12,26.56,26.06,25.88,26.44,26.5,24.66,23.09,23.62,24.62,24.78,25.0,26.47,28.5,29.0,28.88,29.62,31.66,32.44,32.19,31.75,32.53,32.34,30.75,29.03,28.97,29.47,29.16,29.09,30.22,31.94,32.12,31.09,30.38,30.91,30.94,29.62,28.19,27.5,26.78,24.81,23.69,25.59,28.72,31.41,33.25,35.22,36.38,35.16,31.66,28.19,26.0,23.91,22.0,21.81,23.38,25.22,24.97,24.12,23.66,23.5,22.62,21.41,21.25,22.12,21.78,20.97,20.94,23.0,25.44,27.41,30.03,33.97,37.84,40.59,42.56,45.5,47.94,47.94,45.78,43.41,40.81,36.22,30.5,25.72,22.53,19.91,17.22,15.69,16.25,17.09,16.78,16.09,17.09,18.75,20.38,21.75,24.41,28.75,32.22,33.94,35.81,38.62,40.88,41.16,41.19,42.34,43.25,42.31,40.22,39.25,38.34,36.72,33.78,32.0,32.0,31.53,30.41,29.94,31.22,32.16,31.69,30.41,30.25,30.12,28.75,26.69,26.03,26.19,26.0,25.31,25.94,28.38,30.38,30.56,30.34,30.88,30.31,28.31,26.25,25.41,25.88,25.44,24.25,24.59,26.47,27.78,28.62,30.22,33.0,34.94,35.0,34.94,36.19,37.16,37.34,37.12,37.97,38.62,37.62,35.19,33.56,32.25,30.66,28.44,27.28,27.81,28.12,28.16,28.25,29.78,31.28,31.53,31.12,31.84,33.09,33.12,32.06,31.62,31.88,31.59,29.91,28.91,29.66,30.06,29.22,28.12,28.06,28.12,26.78,25.16,24.44,48.97,48.91,50.22,51.69,53.72,55.56,57.69,60.12,61.69,61.59,61.5,61.06,59.66,57.22,55.5,54.62,53.84,53.12,53.12,53.59,54.28,55.19,55.72,56.88,57.91,58.41,58.28,57.97,57.5,56.47,54.53,52.97,51.69,50.75,50.22,50.44,51.19,52.03,52.78,52.78,53.06,53.97:negativity
-5.91,-6.47,-6.47,-6.0,-5.34,-4.38,-2.41,0.5,2.75,4.53,6.34,8.34,10.0,9.84,9.47,8.75,7.28,4.28,1.03,-1.62,-3.38,-5.22,-6.62,-6.66,-5.62,-4.44,-3.75,-2.47,-0.81,-0.19,-1.03,-2.41,-3.94,-4.94,-7.22,-9.0,-9.69,-9.41,-9.62,-9.78,-9.97,-9.59,-9.25,-9.75,-9.81,-8.69,-7.41,-6.78,-5.69,-4.03,-2.34,-1.44,-0.78,0.09,1.03,0.78,0.0,-0.41,-0.06,0.34,0.66,1.44,2.62,3.28,2.69,1.72,0.94,0.56,-0.41,-1.44,-1.5,-1.03,-1.19,-1.81,-2.59,-2.97,-3.88,-5.81,-7.47,-7.84,-8.0,-8.59,-9.03,-8.69,-7.41,-6.94,-6.41,-4.91,-3.19,-1.81,-1.25,-0.53,0.97,2.31,2.53,2.41,2.75,2.88,1.44,-0.25,-0.66,-0.88,-1.53,-2.44,-3.09,-3.22,-3.78,-5.22,-5.75,-5.16,-4.19,-3.56,-3.72,-2.97,-2.59,-3.88,-5.69,-7.16,-8.03,-9.47,-11.16,-11.75,-11.34,-11.03,-10.84,-9.78,-7.44,-4.97,-3.12,-1.97,-0.66,0.28,-0.19,-1.78,-2.59,-3.09,-4.59,-6.31,-7.78,-8.16,-8.72,-9.69,-10.12,-9.62,-8.66,-8.44,-8.59,-7.72,-6.22,-5.62,-4.84,-3.25,-1.44,-1.0,-1.22,-2.44,-3.38,-3.97,-5.25,-6.0,-5.19,-3.84,-3.12,-2.22,-0.34,1.59,2.81,3.25,3.41,3.88,3.12,1.75,0.25,-0.66,-1.31,-2.59,-3.16,-2.34,-1.19,-1.12,-1.75,-2.38,-2.97,-4.16,-5.81,-6.59,-6.66,-7.28,-8.56,-10.19,-10.56,-11.06,-12.44,-13.28,-13.12,-12.56,-12.06,-11.56,-9.78,-7.31,-5.34,-4.03,-3.0,-1.25,-0.81,-1.19,-1.62,-1.09,-0.84,-1.31,-2.25,-2.44,-2.19,-3.16,-4.19,-4.47,-3.94,-4.28,-4.59,-5.06,-5.06,-5.47,-7.06,-8.47,-9.06,-9.34,-9.78,-10.28,-9.25,-7.72,-6.69,-5.84,-4.78,-3.25,-2.41,-2.47,-1.94,-0.66,0.59,1.34,1.44,2.5,3.53,3.06,2.41,2.03,2.03,1.19,0.03,-0.62,-0.5,-0.75,-1.25,-2.03,-1.88,-2.06,-2.41,-2.75,-1.62,0.72,2.97,5.03,7.66,10.03,10.78,9.91,7.91,6.16,3.72,0.72,-2.0,-3.62,-5.03,-7.31,-9.81,-11.0,-11.31,-11.72,-12.12,-11.22,-10.03,-9.25,-9.16,-8.44,-6.72,-4.78,-3.59,-2.28,0.41,2.81,4.66,5.81,7.69,8.91,8.94,7.28,5.81,4.31,2.69,0.44,-0.66,-0.34,0.0,-0.16,-0.47,0.25,1.12,1.16,0.31,0.06,-0.25,-1.12,-2.53,-3.19,-2.97,-2.91,-3.69,-4.25,-3.84,-3.34,-3.84,-4.44,-3.25,-1.62,-0.03,1.81,4.69,7.53,9.66,10.34,10.44,10.62,9.56,7.03,4.31,2.38,0.66,-1.53,-3.75,-4.5,-4.88,-5.12,-5.19,-3.88,-1.75,0.38,2.0,4.38,7.03,9.44,10.56,11.09,11.81,11.59,9.94,7.78,6.72,6.06,5.88,6.0,7.38,9.81,11.88,12.28,12.72,13.03,12.31,10.34,8.28,7.66,6.84,5.81,4.59,4.16,4.41,4.69,4.78,5.75,7.31,8.88,9.28,9.97,12.03,13.91,14.78,14.75,14.75,14.12,12.62,10.38,8.5,7.5,5.94,4.03,3.22,4.03,5.91,7.34,9.5,12.91,15.59,16.97,17.47,18.09,18.62,18.12,16.78,15.97,14.81,13.53,11.41,9.56,8.75,8.28,6.72,5.5,5.09,4.88,3.72,3.0,3.28,4.47,5.72,7.06,8.81,10.94,12.0,11.47,10.94,10.81,11.19,10.72,11.12,12.06,12.69,12.34,11.94,12.16,12.94,13.56,13.5,13.97,14.22,14.22,13.16,12.56,12.5,13.12,12.84,13.16,13.72,13.84,12.88,10.78,9.47,8.53,7.72,6.75,6.5,6.56,6.34,5.16,3.41,3.06,2.62,1.62,1.53,2.22,3.41,4.41,5.0,6.0,7.28,8.34,8.38,8.53,9.03,9.22,8.41,7.0,6.12,5.47,4.06,3.0,2.81,3.47,3.62,3.25,3.75,5.16,6.25,6.25,6.69,7.62,8.12,6.75,5.31,4.06,2.78,0.88,-0.84,-1.38,-0.91,-0.53,-0.16,0.72,2.12,3.25,3.47,3.47,3.81,4.38,4.03,3.72,4.31,5.69,6.03,6.41,7.41,8.69,9.44,9.22,9.69,10.84,11.97,12.56,13.12,14.12,14.66,13.72,12.69,12.0,11.78,10.47,8.97,8.25,8.09,7.53,7.31,7.06,7.19,6.91,5.19,3.47,2.09,1.12,0.19,0.09,0.94,2.47,3.41,3.5,3.41,3.75,3.25,1.84,0.88,0.22,0.25,-0.06,0.19,1.53,3.12,3.56,3.28,3.38,3.72,3.91,4.12,5.19,7.19,8.84,9.06,9.19,9.12,8.69,7.03,5.94,6.0,7.38,9.22,11.31,14.0,16.62,17.59,17.0,15.41,14.06,12.91,10.84,9.56,9.56,10.19,10.09,10.03,10.41,11.12,10.72,10.03,10.22,11.44,12.53,13.53,14.91,16.72,17.94,17.69,16.91,16.25,15.06,12.94,10.5,8.62,7.31,5.41,3.22,2.0,1.56,1.22,2.03,3.69,6.78,10.22,12.59,14.69,16.59,17.94,17.44,16.41,14.84,13.38,11.16,9.0,7.0,6.75,7.38,7.81,9.28,11.75,13.78,14.44,14.19,13.75,13.75,13.0,12.03,11.16,10.66,8.81,6.19,3.88,2.72,2.41,3.0,4.31,7.25,10.06,11.75,12.78,13.47,14.03,14.22,13.84,14.53,16.09,17.09,17.25,17.16,17.03,16.34,15.09,14.06,13.97,14.12,13.88,13.09,12.56,12.38,11.5,10.31,9.75,9.97,9.91,8.94,8.38,8.66,8.88,8.62,8.56,9.19,9.84,9.72,9.19,8.94,9.09,8.84,8.62,8.56,9.78,10.59,10.5,10.53,11.38,12.19,12.97,13.28,14.31,14.97,14.62,13.44,12.66,12.59,12.16,11.62,11.31,12.19,13.03,13.28,13.94,14.88,15.31,14.75,13.69,13.59,14.09,14.94,15.81,17.25,18.94,19.28,17.88,15.66,13.25,10.69,8.34,6.84,6.94,8.06,8.69,9.12,10.34,11.59,12.66,13.31,14.25,15.81,16.94,17.41,17.31,17.06,16.22,14.0,11.28,9.31,8.31,7.06,6.03,6.34,7.22,7.84,7.75,7.97,8.81,9.34,9.53,9.75,10.62,11.22,10.88,10.19,10.09,9.91,9.56,9.09,9.03,8.91,8.34,7.38,6.69,7.41,8.5,9.47,10.25,10.81,10.72,9.28,6.75,5.22,4.81,4.53,4.41,5.66,7.28,8.19,8.53,8.75,9.53,10.41,11.03,11.75,13.75,15.59,16.38,16.53,16.31,16.44,15.56,14.19,13.34,12.88,12.41,10.94,9.5,8.5,7.53,6.0,4.84,5.28,6.59,7.47,8.0,9.19,9.78,9.75,9.19,9.16,10.22,11.53,12.47,13.53,15.41,16.72,16.69,15.69,15.06,13.91,12.47,10.59,9.88,9.81,9.91,9.19,8.69,8.53,8.31,7.47,7.41,8.47,9.94,10.97,11.19,12.06,12.47,13.09,13.44,14.53,16.19,17.78,18.19,18.16,18.5,18.47,17.28,15.72,14.84,13.91,12.53,11.03,10.69,11.47,12.41,12.81,13.19,13.62,13.0,11.34,9.81,9.5,9.81,9.97,10.75,12.22,13.44,13.78,13.5,14.0,14.78,15.91,16.56,16.72,16.78,15.84,14.03,12.25,11.78,12.16,11.97,11.62,11.28,11.31,10.59,9.03,8.09,7.81,7.19,5.59,4.47,4.06,4.03,3.81,4.38,6.53,9.47,11.47,12.72,14.12,15.03,14.69,13.75,13.72,15.03,16.28,17.03,17.81,18.53,18.44,17.09,15.72,15.0,15.0,14.44,13.31,13.06,13.56,14.12,14.25,15.53,17.19,18.66,18.81,18.97,19.53,20.44,20.53,20.25,20.5,20.94,20.59,19.47,18.69,18.72,17.88,15.97,14.84,13.97,13.31,11.84,10.88,10.62,10.53,9.75,9.25,9.62,10.66,11.72,12.59,13.97,15.72,16.69,17.22,17.53,18.56,19.62,19.97,20.34,21.0,21.88,21.41,20.34,19.88,19.38,18.47,17.69,17.59,18.38,19.38,19.44,19.34,19.19,18.88,17.59,16.0,15.72,16.47,16.59,16.47,16.5,16.69,15.91,14.94,14.53,15.94,17.81,19.25,20.88,22.59,23.5,23.0,22.0,21.59,22.03,22.09,22.0,22.59,23.91,24.28,23.88,22.78,22.25,21.09,19.47,18.09,17.66,18.03,17.41,16.91,17.22,18.12,18.56,17.84,17.91,18.81,19.69,19.88,20.44,21.62,22.22,21.16,20.25,20.12,20.38,19.88,19.5,20.0,20.5,20.41,19.97,20.31,22.06,23.41,24.03,24.59,24.56,23.88,21.59,19.38,18.22,18.03,17.47,17.31,18.12,19.5,20.31,20.28,20.41,21.34,22.09,22.31,23.06,24.53,26.09,26.53,26.62,27.47,28.47,28.84,29.41,30.12,31.41,31.62,30.44,29.28,27.84,26.44,24.47,22.91,22.78,23.41,23.78,24.38,25.94,27.97,28.72,29.16,29.56,30.41,30.12,29.31,28.56,28.97,29.78,30.31,31.44,33.78,36.03,36.81,36.69,36.03,35.5,34.09,32.47,31.59,31.78,31.78,31.12,30.62,30.5,30.25,29.44,28.12,27.78,27.88,27.22,26.62,27.06,28.25,28.28,28.03,27.59,27.72,27.69,27.97,28.78,30.53,32.44,32.62,32.66,33.28,33.84,33.88,33.5,33.44,33.75,33.34,32.31,31.47,31.06,30.88,29.72,28.81,29.47,30.22:0.5,2.75,4.53,6.34,8.34,10.0,9.84,9.47,8.75,7.28,4.28,1.03,-1.62,-3.38,-5.22,-6.62,-6.66,-5.62,-4.44,-3.75,-2.47,-0.81,-0.19,-1.03,-2.41,-3.94,-4.94,-7.22,-9.0,-9.69,-9.41,-9.62,-9.78,-9.97,-9.59,-9.25,-9.75,-9.81,-8.69,-7.41,-6.78,-5.69,-4.03,-2.34,-1.44,-0.78,0.09,1.03,0.78,0.0,-0.41,-0.06,0.34,0.66,1.44,2.62,3.28,2.69,1.72,0.94,0.56,-0.41,-1.44,-1.5,-1.03,-1.19,-1.81,-2.59,-2.97,-3.88,-5.81,-7.47,-7.84,-8.0,-8.59,-9.03,-8.69,-7.41,-6.94,-6.41,-4.91,-3.19,-1.81,-1.25,-0.53,0.97,2.31,2.53,2.41,2.75,2.88,1.44,-0.25,-0.66,-0.88,-1.53,-2.44,-3.09,-3.22,-3.78,-5.22,-5.75,-5.16,-4.19,-3.56,-3.72,-2.97,-2.59,-3.88,-5.69,-7.16,-8.03,-9.47,-11.16,-11.75,-11.34,-11.03,-10.84,-9.78,-7.44,-4.97,-3.12,-1.97,-0.66,0.28,-0.19,-1.78,-2.59,-3.09,-4.59,-6.31,-7.78,-8.16,-8.72,-9.69,-10.12,-9.62,-8.66,-8.44,-8.59,-7.72,-6.22,-5.62,-4.84,-3.25,-1.44,-1.0,-1.22,-2.44,-3.38,-3.97,-5.25,-6.0,-5.19,-3.84,-3.12,-2.22,-0.34,1.59,2.81,3.25,3.41,3.88,3.12,1.75,0.25,-0.66,-1.31,-2.59,-3.16,-2.34,-1.19,-1.12,-1.75,-2.38,-2.97,-4.16,-5.81,-6.59,-6.66,-7.28,-8.56,-10.19,-10.56,-11.06,-12.44,-13.28,-13.12,-12.56,-12.06,-11.56,-9.78,-7.31,-5.34,-4.03,-3.0,-1.25,-0.81,-1.19,-1.62,-1.09,-0.84,-1.31,-2.25,-2.44,-2.19,-3.16,-4.19,-4.47,-3.94,-4.28,-4.59,-5.06,-5.06,-5.47,-7.06,-8.47,-9.06,-9.34,-9.78,-10.28,-9.25,-7.72,-6.69,-5.84,-4.78,-3.25,-2.41,-2.47,-1.94,-0.66,0.59,1.34,1.44,2.5,3.53,3.06,2.41,2.03,2.03,1.19,0.03,-0.62,-0.5,-0.75,-1.25,-2.03,-1.88,-2.06,-2.41,-2.75,-1.62,0.72,2.97,5.03,7.66,10.03,10.78,9.91,7.91,6.16,3.72,0.72,-2.0,-3.62,-5.03,-7.31,-9.81,-11.0,-11.31,-11.72,-12.12,-11.22,-10.03,-9.25,-9.16,-8.44,-6.72,-4.78,-3.59,-2.28,0.41,2.81,4.66,5.81,7.69,8.91,8.94,7.28,5.81,4.31,2.69,0.44,-0.66,-0.34,0.0,-0.16,-0.47,0.25,1.12,1.16,0.31,0.06,-0.25,-1.12,-2.53,-3.19,-2.97,-2.91,-3.69,-4.25,-3.84,-3.34,-3.84,-4.44,-3.25,-1.62,-0.03,1.81,4.69,7.53,9.66,10.34,10.44,10.62,9.56,7.03,4.31,2.38,0.66,-1.53,-3.75,-4.5,-4.88,-5.12,-5.19,-3.88,-1.75,0.38,2.0,4.38,7.03,9.44,10.56,11.09,11.81,11.59,9.94,7.78,6.72,6.06,5.88,6.0,7.38,9.81,11.88,12.28,12.72,13.03,12.31,10.34,8.28,7.66,6.84,5.81,4.59,4.16,4.41,4.69,4.78,5.75,7.31,8.88,9.28,9.97,12.03,13.91,14.78,14.75,14.75,14.12,12.62,10.38,8.5,7.5,5.94,4.03,3.22,4.03,5.91,7.34,9.5,12.91,15.59,16.97,17.47,18.09,18.62,18.12,16.78,15.97,14.81,13.53,11.41,9.56,8.75,8.28,6.72,5.5,5.09,4.88,3.72,3.0,3.28,4.47,5.72,7.06,8.81,10.94,12.0,11.47,10.94,10.81,11.19,10.72,11.12,12.06,12.69,12.34,11.94,12.16,12.94,13.56,13.5,13.97,14.22,14.22,13.16,12.56,12.5,13.12,12.84,13.16,13.72,13.84,12.88,10.78,9.47,8.53,7.72,6.75,6.5,6.56,6.34,5.16,3.41,3.06,2.62,1.62,1.53,2.22,3.41,4.41,5.0,6.0,7.28,8.34,8.38,8.53,9.03,9.22,8.41,7.0,6.12,5.47,4.06,3.0,2.81,3.47,3.62,3.25,3.75,5.16,6.25,6.25,6.69,7.62,8.12,6.75,5.31,4.06,2.78,0.88,-0.84,-1.38,-0.91,-0.53,-0.16,0.72,2.12,3.25,3.47,3.47,3.81,4.38,4.03,3.72,4.31,5.69,6.03,6.41,7.41,8.69,9.44,9.22,9.69,10.84,11.97,12.56,13.12,14.12,14.66,13.72,12.69,12.0,11.78,10.47,8.97,8.25,8.09,7.53,7.31,7.06,7.19,6.91,5.19,3.47,2.09,1.12,0.19,0.09,0.94,2.47,3.41,3.5,3.41,3.75,3.25,1.84,0.88,0.22,0.25,-0.06,0.19,1.53,3.12,3.56,3.28,3.38,3.72,3.91,4.12,5.19,7.19,8.84,9.06,9.19,9.12,8.69,7.03,5.94,6.0,7.38,9.22,11.31,14.0,16.62,17.59,17.0,15.41,14.06,12.91,10.84,9.56,9.56,10.19,10.09,10.03,10.41,11.12,10.72,10.03,10.22,11.44,12.53,13.53,14.91,16.72,17.94,17.69,16.91,16.25,15.06,12.94,10.5,8.62,7.31,5.41,3.22,2.0,1.56,1.22,2.03,3.69,6.78,10.22,12.59,14.69,16.59,17.94,17.44,16.41,14.84,13.38,11.16,9.0,7.0,6.75,7.38,7.81,9.28,11.75,13.78,14.44,14.19,13.75,13.75,13.0,12.03,11.16,10.66,8.81,6.19,3.88,2.72,2.41,3.0,4.31,7.25,10.06,11.75,12.78,13.47,14.03,14.22,13.84,14.53,16.09,17.09,17.25,17.16,17.03,16.34,15.09,14.06,13.97,14.12,13.88,13.09,12.56,12.38,11.5,10.31,9.75,9.97,9.91,8.94,8.38,8.66,8.88,8.62,8.56,9.19,9.84,9.72,9.19,8.94,9.09,8.84,8.62,8.56,9.78,10.59,10.5,10.53,11.38,12.19,12.97,13.28,14.31,14.97,14.62,13.44,12.66,12.59,12.16,11.62,11.31,12.19,13.03,13.28,13.94,14.88,15.31,14.75,13.69,13.59,14.09,14.94,15.81,17.25,18.94,19.28,17.88,15.66,13.25,10.69,8.34,6.84,6.94,8.06,8.69,9.12,10.34,11.59,12.66,13.31,14.25,15.81,16.94,17.41,17.31,17.06,16.22,14.0,11.28,9.31,8.31,7.06,6.03,6.34,7.22,7.84,7.75,7.97,8.81,9.34,9.53,9.75,10.62,11.22,10.88,10.19,10.09,9.91,9.56,9.09,9.03,8.91,8.34,7.38,6.69,7.41,8.5,9.47,10.25,10.81,10.72,9.28,6.75,5.22,4.81,4.53,4.41,5.66,7.28,8.19,8.53,8.75,9.53,10.41,11.03,11.75,13.75,15.59,16.38,16.53,16.31,16.44,15.56,14.19,13.34,12.88,12.41,10.94,9.5,8.5,7.53,6.0,4.84,5.28,6.59,7.47,8.0,9.19,9.78,9.75,9.19,9.16,10.22,11.53,12.47,13.53,15.41,16.72,16.69,15.69,15.06,13.91,12.47,10.59,9.88,9.81,9.91,9.19,8.69,8.53,8.31,7.47,7.41,8.47,9.94,10.97,11.19,12.06,12.47,13.09,13.44,14.53,16.19,17.78,18.19,18.16,18.5,18.47,17.28,15.72,14.84,13.91,12.53,11.03,10.69,11.47,12.41,12.81,13.19,13.62,13.0,11.34,9.81,9.5,9.81,9.97,10.75,12.22,13.44,13.78,13.5,14.0,14.78,15.91,16.56,16.72,16.78,15.84,14.03,12.25,11.78,12.16,11.97,11.62,11.28,11.31,10.59,9.03,8.09,7.81,7.19,5.59,4.47,4.06,4.03,3.81,4.38,6.53,9.47,11.47,12.72,14.12,15.03,14.69,13.75,13.72,15.03,16.28,17.03,17.81,18.53,18.44,17.09,15.72,15.0,15.0,14.44,13.31,13.06,13.56,14.12,14.25,15.53,17.19,18.66,18.81,18.97,19.53,20.44,20.53,20.25,20.5,20.94,20.59,19.47,18.69,18.72,17.88,15.97,14.84,13.97,13.31,11.84,10.88,10.62,10.53,9.75,9.25,9.62,10.66,11.72,12.59,13.97,15.72,16.69,17.22,17.53,18.56,19.62,19.97,20.34,21.0,21.88,21.41,20.34,19.88,19.38,18.47,17.69,17.59,18.38,19.38,19.44,19.34,19.19,18.88,17.59,16.0,15.72,16.47,16.59,16.47,16.5,16.69,15.91,14.94,14.53,15.94,17.81,19.25,20.88,22.59,23.5,23.0,22.0,21.59,22.03,22.09,22.0,22.59,23.91,24.28,23.88,22.78,22.25,21.09,19.47,18.09,17.66,18.03,17.41,16.91,17.22,18.12,18.56,17.84,17.91,18.81,19.69,19.88,20.44,21.62,22.22,21.16,20.25,20.12,20.38,19.88,19.5,20.0,20.5,20.41,19.97,20.31,22.06,23.41,24.03,24.59,24.56,23.88,21.59,19.38,18.22,18.03,17.47,17.31,18.12,19.5,20.31,20.28,20.41,21.34,22.09,22.31,23.06,24.53,26.09,26.53,26.62,27.47,28.47,28.84,29.41,30.12,31.41,31.62,30.44,29.28,27.84,26.44,24.47,22.91,22.78,23.41,23.78,24.38,25.94,27.97,28.72,29.16,29.56,30.41,30.12,29.31,28.56,28.97,29.78,30.31,31.44,33.78,36.03,36.81,36.69,36.03,35.5,34.09,32.47,31.59,31.78,31.78,31.12,30.62,30.5,30.25,29.44,28.12,27.78,27.88,27.22,26.62,27.06,28.25,28.28,28.03,27.59,27.72,27.69,27.97,28.78,30.53,32.44,32.62,32.66,33.28,33.84,33.88,33.5,33.44,33.75,33.34,32.31,31.47,31.06,30.88,29.72,28.81,29.47,30.22,40.34,39.69,38.47,38.06,38.12,39.25,40.88:9.47,8.75,7.28,4.28,1.03,-1.62,-3.38,-5.22,-6.62,-6.66,-5.62,-4.44,-3.75,-2.47,-0.81,-0.19,-1.03,-2.41,-3.94,-4.94,-7.22,-9.0,-9.69,-9.41,-9.62,-9.78,-9.97,-9.59,-9.25,-9.75,-9.81,-8.69,-7.41,-6.78,-5.69,-4.03,-2.34,-1.44,-0.78,0.09,1.03,0.78,0.0,-0.41,-0.06,0.34,0.66,1.44,2.62,3.28,2.69,1.72,0.94,0.56,-0.41,-1.44,-1.5,-1.03,-1.19,-1.81,-2.59,-2.97,-3.88,-5.81,-7.47,-7.84,-8.0,-8.59,-9.03,-8.69,-7.41,-6.94,-6.41,-4.91,-3.19,-1.81,-1.25,-0.53,0.97,2.31,2.53,2.41,2.75,2.88,1.44,-0.25,-0.66,-0.88,-1.53,-2.44,-3.09,-3.22,-3.78,-5.22,-5.75,-5.16,-4.19,-3.56,-3.72,-2.97,-2.59,-3.88,-5.69,-7.16,-8.03,-9.47,-11.16,-11.75,-11.34,-11.03,-10.84,-9.78,-7.44,-4.97,-3.12,-1.97,-0.66,0.28,-0.19,-1.78,-2.59,-3.09,-4.59,-6.31,-7.78,-8.16,-8.72,-9.69,-10.12,-9.62,-8.66,-8.44,-8.59,-7.72,-6.22,-5.62,-4.84,-3.25,-1.44,-1.0,-1.22,-2.44,-3.38,-3.97,-5.25,-6.0,-5.19,-3.84,-3.12,-2.22,-0.34,1.59,2.81,3.25,3.41,3.88,3.12,1.75,0.25,-0.66,-1.31,-2.59,-3.16,-2.34,-1.19,-1.12,-1.75,-2.38,-2.97,-4.16,-5.81,-6.59,-6.66,-7.28,-8.56,-10.19,-10.56,-11.06,-12.44,-13.28,-13.12,-12.56,-12.06,-11.56,-9.78,-7.31,-5.34,-4.03,-3.0,-1.25,-0.81,-1.19,-1.62,-1.09,-0.84,-1.31,-2.25,-2.44,-2.19,-3.16,-4.19,-4.47,-3.94,-4.28,-4.59,-5.06,-5.06,-5.47,-7.06,-8.47,-9.06,-9.34,-9.78,-10.28,-9.25,-7.72,-6.69,-5.84,-4.78,-3.25,-2.41,-2.47,-1.94,-0.66,0.59,1.34,1.44,2.5,3.53,3.06,2.41,2.03,2.03,1.19,0.03,-0.62,-0.5,-0.75,-1.25,-2.03,-1.88,-2.06,-2.41,-2.75,-1.62,0.72,2.97,5.03,7.66,10.03,10.78,9.91,7.91,6.16,3.72,0.72,-2.0,-3.62,-5.03,-7.31,-9.81,-11.0,-11.31,-11.72,-12.12,-11.22,-10.03,-9.25,-9.16,-8.44,-6.72,-4.78,-3.59,-2.28,0.41,2.81,4.66,5.81,7.69,8.91,8.94,7.28,5.81,4.31,2.69,0.44,-0.66,-0.34,0.0,-0.16,-0.47,0.25,1.12,1.16,0.31,0.06,-0.25,-1.12,-2.53,-3.19,-2.97,-2.91,-3.69,-4.25,-3.84,-3.34,-3.84,-4.44,-3.25,-1.62,-0.03,1.81,4.69,7.53,9.66,10.34,10.44,10.62,9.56,7.03,4.31,2.38,0.66,-1.53,-3.75,-4.5,-4.88,-5.12,-5.19,-3.88,-1.75,0.38,2.0,4.38,7.03,9.44,10.56,11.09,11.81,11.59,9.94,7.78,6.72,6.06,5.88,6.0,7.38,9.81,11.88,12.28,12.72,13.03,12.31,10.34,8.28,7.66,6.84,5.81,4.59,4.16,4.41,4.69,4.78,5.75,7.31,8.88,9.28,9.97,12.03,13.91,14.78,14.75,14.75,14.12,12.62,10.38,8.5,7.5,5.94,4.03,3.22,4.03,5.91,7.34,9.5,12.91,15.59,16.97,17.47,18.09,18.62,18.12,16.78,15.97,14.81,13.53,11.41,9.56,8.75,8.28,6.72,5.5,5.09,4.88,3.72,3.0,3.28,4.47,5.72,7.06,8.81,10.94,12.0,11.47,10.94,10.81,11.19,10.72,11.12,12.06,12.69,12.34,11.94,12.16,12.94,13.56,13.5,13.97,14.22,14.22,13.16,12.56,12.5,13.12,12.84,13.16,13.72,13.84,12.88,10.78,9.47,8.53,7.72,6.75,6.5,6.56,6.34,5.16,3.41,3.06,2.62,1.62,1.53,2.22,3.41,4.41,5.0,6.0,7.28,8.34,8.38,8.53,9.03,9.22,8.41,7.0,6.12,5.47,4.06,3.0,2.81,3.47,3.62,3.25,3.75,5.16,6.25,6.25,6.69,7.62,8.12,6.75,5.31,4.06,2.78,0.88,-0.84,-1.38,-0.91,-0.53,-0.16,0.72,2.12,3.25,3.47,3.47,3.81,4.38,4.03,3.72,4.31,5.69,6.03,6.41,7.41,8.69,9.44,9.22,9.69,10.84,11.97,12.56,13.12,14.12,14.66,13.72,12.69,12.0,11.78,10.47,8.97,8.25,8.09,7.53,7.31,7.06,7.19,6.91,5.19,3.47,2.09,1.12,0.19,0.09,0.94,2.47,3.41,3.5,3.41,3.75,3.25,1.84,0.88,0.22,0.25,-0.06,0.19,1.53,3.12,3.56,3.28,3.38,3.72,3.91,4.12,5.19,7.19,8.84,9.06,9.19,9.12,8.69,7.03,5.94,6.0,7.38,9.22,11.31,14.0,16.62,17.59,17.0,15.41,14.06,12.91,10.84,9.56,9.56,10.19,10.09,10.03,10.41,11.12,10.72,10.03,10.22,11.44,12.53,13.53,14.91,16.72,17.94,17.69,16.91,16.25,15.06,12.94,10.5,8.62,7.31,5.41,3.22,2.0,1.56,1.22,2.03,3.69,6.78,10.22,12.59,14.69,16.59,17.94,17.44,16.41,14.84,13.38,11.16,9.0,7.0,6.75,7.38,7.81,9.28,11.75,13.78,14.44,14.19,13.75,13.75,13.0,12.03,11.16,10.66,8.81,6.19,3.88,2.72,2.41,3.0,4.31,7.25,10.06,11.75,12.78,13.47,14.03,14.22,13.84,14.53,16.09,17.09,17.25,17.16,17.03,16.34,15.09,14.06,13.97,14.12,13.88,13.09,12.56,12.38,11.5,10.31,9.75,9.97,9.91,8.94,8.38,8.66,8.88,8.62,8.56,9.19,9.84,9.72,9.19,8.94,9.09,8.84,8.62,8.56,9.78,10.59,10.5,10.53,11.38,12.19,12.97,13.28,14.31,14.97,14.62,13.44,12.66,12.59,12.16,11.62,11.31,12.19,13.03,13.28,13.94,14.88,15.31,14.75,13.69,13.59,14.09,14.94,15.81,17.25,18.94,19.28,17.88,15.66,13.25,10.69,8.34,6.84,6.94,8.06,8.69,9.12,10.34,11.59,12.66,13.31,14.25,15.81,16.94,17.41,17.31,17.06,16.22,14.0,11.28,9.31,8.31,7.06,6.03,6.34,7.22,7.84,7.75,7.97,8.81,9.34,9.53,9.75,10.62,11.22,10.88,10.19,10.09,9.91,9.56,9.09,9.03,8.91,8.34,7.38,6.69,7.41,8.5,9.47,10.25,10.81,10.72,9.28,6.75,5.22,4.81,4.53,4.41,5.66,7.28,8.19,8.53,8.75,9.53,10.41,11.03,11.75,13.75,15.59,16.38,16.53,16.31,16.44,15.56,14.19,13.34,12.88,12.41,10.94,9.5,8.5,7.53,6.0,4.84,5.28,6.59,7.47,8.0,9.19,9.78,9.75,9.19,9.16,10.22,11.53,12.47,13.53,15.41,16.72,16.69,15.69,15.06,13.91,12.47,10.59,9.88,9.81,9.91,9.19,8.69,8.53,8.31,7.47,7.41,8.47,9.94,10.97,11.19,12.06,12.47,13.09,13.44,14.53,16.19,17.78,18.19,18.16,18.5,18.47,17.28,15.72,14.84,13.91,12.53,11.03,10.69,11.47,12.41,12.81,13.19,13.62,13.0,11.34,9.81,9.5,9.81,9.97,10.75,12.22,13.44,13.78,13.5,14.0,14.78,15.91,16.56,16.72,16.78,15.84,14.03,12.25,11.78,12.16,11.97,11.62,11.28,11.31,10.59,9.03,8.09,7.81,7.19,5.59,4.47,4.06,4.03,3.81,4.38,6.53,9.47,11.47,12.72,14.12,15.03,14.69,13.75,13.72,15.03,16.28,17.03,17.81,18.53,18.44,17.09,15.72,15.0,15.0,14.44,13.31,13.06,13.56,14.12,14.25,15.53,17.19,18.66,18.81,18.97,19.53,20.44,20.53,20.25,20.5,20.94,20.59,19.47,18.69,18.72,17.88,15.97,14.84,13.97,13.31,11.84,10.88,10.62,10.53,9.75,9.25,9.62,10.66,11.72,12.59,13.97,15.72,16.69,17.22,17.53,18.56,19.62,19.97,20.34,21.0,21.88,21.41,20.34,19.88,19.38,18.47,17.69,17.59,18.38,19.38,19.44,19.34,19.19,18.88,17.59,16.0,15.72,16.47,16.59,16.47,16.5,16.69,15.91,14.94,14.53,15.94,17.81,19.25,20.88,22.59,23.5,23.0,22.0,21.59,22.03,22.09,22.0,22.59,23.91,24.28,23.88,22.78,22.25,21.09,19.47,18.09,17.66,18.03,17.41,16.91,17.22,18.12,18.56,17.84,17.91,18.81,19.69,19.88,20.44,21.62,22.22,21.16,20.25,20.12,20.38,19.88,19.5,20.0,20.5,20.41,19.97,20.31,22.06,23.41,24.03,24.59,24.56,23.88,21.59,19.38,18.22,18.03,17.47,17.31,18.12,19.5,20.31,20.28,20.41,21.34,22.09,22.31,23.06,24.53,26.09,26.53,26.62,27.47,28.47,28.84,29.41,30.12,31.41,31.62,30.44,29.28,27.84,26.44,24.47,22.91,22.78,23.41,23.78,24.38,25.94,27.97,28.72,29.16,29.56,30.41,30.12,29.31,28.56,28.97,29.78,30.31,31.44,33.78,36.03,36.81,36.69,36.03,35.5,34.09,32.47,31.59,31.78,31.78,31.12,30.62,30.5,30.25,29.44,28.12,27.78,27.88,27.22,26.62,27.06,28.25,28.28,28.03,27.59,27.72,27.69,27.97,28.78,30.53,32.44,32.62,32.66,33.28,33.84,33.88,33.5,33.44,33.75,33.34,32.31,31.47,31.06,30.88,29.72,28.81,29.47,30.22,40.34,39.69,38.47,38.06,38.12,39.25,40.88,43.34,46.56,49.47,52.06,54.16,55.91,56.59:-5.22,-6.62,-6.66,-5.62,-4.44,-3.75,-2.47,-0.81,-0.19,-1.03,-2.41,-3.94,-4.94,-7.22,-9.0,-9.69,-9.41,-9.62,-9.78,-9.97,-9.59,-9.25,-9.75,-9.81,-8.69,-7.41,-6.78,-5.69,-4.03,-2.34,-1.44,-0.78,0.09,1.03,0.78,0.0,-0.41,-0.06,0.34,0.66,1.44,2.62,3.28,2.69,1.72,0.94,0.56,-0.41,-1.44,-1.5,-1.03,-1.19,-1.81,-2.59,-2.97,-3.88,-5.81,-7.47,-7.84,-8.0,-8.59,-9.03,-8.69,-7.41,-6.94,-6.41,-4.91,-3.19,-1.81,-1.25,-0.53,0.97,2.31,2.53,2.41,2.75,2.88,1.44,-0.25,-0.66,-0.88,-1.53,-2.44,-3.09,-3.22,-3.78,-5.22,-5.75,-5.16,-4.19,-3.56,-3.72,-2.97,-2.59,-3.88,-5.69,-7.16,-8.03,-9.47,-11.16,-11.75,-11.34,-11.03,-10.84,-9.78,-7.44,-4.97,-3.12,-1.97,-0.66,0.28,-0.19,-1.78,-2.59,-3.09,-4.59,-6.31,-7.78,-8.16,-8.72,-9.69,-10.12,-9.62,-8.66,-8.44,-8.59,-7.72,-6.22,-5.62,-4.84,-3.25,-1.44,-1.0,-1.22,-2.44,-3.38,-3.97,-5.25,-6.0,-5.19,-3.84,-3.12,-2.22,-0.34,1.59,2.81,3.25,3.41,3.88,3.12,1.75,0.25,-0.66,-1.31,-2.59,-3.16,-2.34,-1.19,-1.12,-1.75,-2.38,-2.97,-4.16,-5.81,-6.59,-6.66,-7.28,-8.56,-10.19,-10.56,-11.06,-12.44,-13.28,-13.12,-12.56,-12.06,-11.56,-9.78,-7.31,-5.34,-4.03,-3.0,-1.25,-0.81,-1.19,-1.62,-1.09,-0.84,-1.31,-2.25,-2.44,-2.19,-3.16,-4.19,-4.47,-3.94,-4.28,-4.59,-5.06,-5.06,-5.47,-7.06,-8.47,-9.06,-9.34,-9.78,-10.28,-9.25,-7.72,-6.69,-5.84,-4.78,-3.25,-2.41,-2.47,-1.94,-0.66,0.59,1.34,1.44,2.5,3.53,3.06,2.41,2.03,2.03,1.19,0.03,-0.62,-0.5,-0.75,-1.25,-2.03,-1.88,-2.06,-2.41,-2.75,-1.62,0.72,2.97,5.03,7.66,10.03,10.78,9.91,7.91,6.16,3.72,0.72,-2.0,-3.62,-5.03,-7.31,-9.81,-11.0,-11.31,-11.72,-12.12,-11.22,-10.03,-9.25,-9.16,-8.44,-6.72,-4.78,-3.59,-2.28,0.41,2.81,4.66,5.81,7.69,8.91,8.94,7.28,5.81,4.31,2.69,0.44,-0.66,-0.34,0.0,-0.16,-0.47,0.25,1.12,1.16,0.31,0.06,-0.25,-1.12,-2.53,-3.19,-2.97,-2.91,-3.69,-4.25,-3.84,-3.34,-3.84,-4.44,-3.25,-1.62,-0.03,1.81,4.69,7.53,9.66,10.34,10.44,10.62,9.56,7.03,4.31,2.38,0.66,-1.53,-3.75,-4.5,-4.88,-5.12,-5.19,-3.88,-1.75,0.38,2.0,4.38,7.03,9.44,10.56,11.09,11.81,11.59,9.94,7.78,6.72,6.06,5.88,6.0,7.38,9.81,11.88,12.28,12.72,13.03,12.31,10.34,8.28,7.66,6.84,5.81,4.59,4.16,4.41,4.69,4.78,5.75,7.31,8.88,9.28,9.97,12.03,13.91,14.78,14.75,14.75,14.12,12.62,10.38,8.5,7.5,5.94,4.03,3.22,4.03,5.91,7.34,9.5,12.91,15.59,16.97,17.47,18.09,18.62,18.12,16.78,15.97,14.81,13.53,11.41,9.56,8.75,8.28,6.72,5.5,5.09,4.88,3.72,3.0,3.28,4.47,5.72,7.06,8.81,10.94,12.0,11.47,10.94,10.81,11.19,10.72,11.12,12.06,12.69,12.34,11.94,12.16,12.94,13.56,13.5,13.97,14.22,14.22,13.16,12.56,12.5,13.12,12.84,13.16,13.72,13.84,12.88,10.78,9.47,8.53,7.72,6.75,6.5,6.56,6.34,5.16,3.41,3.06,2.62,1.62,1.53,2.22,3.41,4.41,5.0,6.0,7.28,8.34,8.38,8.53,9.03,9.22,8.41,7.0,6.12,5.47,4.06,3.0,2.81,3.47,3.62,3.25,3.75,5.16,6.25,6.25,6.69,7.62,8.12,6.75,5.31,4.06,2.78,0.88,-0.84,-1.38,-0.91,-0.53,-0.16,0.72,2.12,3.25,3.47,3.47,3.81,4.38,4.03,3.72,4.31,5.69,6.03,6.41,7.41,8.69,9.44,9.22,9.69,10.84,11.97,12.56,13.12,14.12,14.66,13.72,12.69,12.0,11.78,10.47,8.97,8.25,8.09,7.53,7.31,7.06,7.19,6.91,5.19,3.47,2.09,1.12,0.19,0.09,0.94,2.47,3.41,3.5,3.41,3.75,3.25,1.84,0.88,0.22,0.25,-0.06,0.19,1.53,3.12,3.56,3.28,3.38,3.72,3.91,4.12,5.19,7.19,8.84,9.06,9.19,9.12,8.69,7.03,5.94,6.0,7.38,9.22,11.31,14.0,16.62,17.59,17.0,15.41,14.06,12.91,10.84,9.56,9.56,10.19,10.09,10.03,10.41,11.12,10.72,10.03,10.22,11.44,12.53,13.53,14.91,16.72,17.94,17.69,16.91,16.25,15.06,12.94,10.5,8.62,7.31,5.41,3.22,2.0,1.56,1.22,2.03,3.69,6.78,10.22,12.59,14.69,16.59,17.94,17.44,16.41,14.84,13.38,11.16,9.0,7.0,6.75,7.38,7.81,9.28,11.75,13.78,14.44,14.19,13.75,13.75,13.0,12.03,11.16,10.66,8.81,6.19,3.88,2.72,2.41,3.0,4.31,7.25,10.06,11.75,12.78,13.47,14.03,14.22,13.84,14.53,16.09,17.09,17.25,17.16,17.03,16.34,15.09,14.06,13.97,14.12,13.88,13.09,12.56,12.38,11.5,10.31,9.75,9.97,9.91,8.94,8.38,8.66,8.88,8.62,8.56,9.19,9.84,9.72,9.19,8.94,9.09,8.84,8.62,8.56,9.78,10.59,10.5,10.53,11.38,12.19,12.97,13.28,14.31,14.97,14.62,13.44,12.66,12.59,12.16,11.62,11.31,12.19,13.03,13.28,13.94,14.88,15.31,14.75,13.69,13.59,14.09,14.94,15.81,17.25,18.94,19.28,17.88,15.66,13.25,10.69,8.34,6.84,6.94,8.06,8.69,9.12,10.34,11.59,12.66,13.31,14.25,15.81,16.94,17.41,17.31,17.06,16.22,14.0,11.28,9.31,8.31,7.06,6.03,6.34,7.22,7.84,7.75,7.97,8.81,9.34,9.53,9.75,10.62,11.22,10.88,10.19,10.09,9.91,9.56,9.09,9.03,8.91,8.34,7.38,6.69,7.41,8.5,9.47,10.25,10.81,10.72,9.28,6.75,5.22,4.81,4.53,4.41,5.66,7.28,8.19,8.53,8.75,9.53,10.41,11.03,11.75,13.75,15.59,16.38,16.53,16.31,16.44,15.56,14.19,13.34,12.88,12.41,10.94,9.5,8.5,7.53,6.0,4.84,5.28,6.59,7.47,8.0,9.19,9.78,9.75,9.19,9.16,10.22,11.53,12.47,13.53,15.41,16.72,16.69,15.69,15.06,13.91,12.47,10.59,9.88,9.81,9.91,9.19,8.69,8.53,8.31,7.47,7.41,8.47,9.94,10.97,11.19,12.06,12.47,13.09,13.44,14.53,16.19,17.78,18.19,18.16,18.5,18.47,17.28,15.72,14.84,13.91,12.53,11.03,10.69,11.47,12.41,12.81,13.19,13.62,13.0,11.34,9.81,9.5,9.81,9.97,10.75,12.22,13.44,13.78,13.5,14.0,14.78,15.91,16.56,16.72,16.78,15.84,14.03,12.25,11.78,12.16,11.97,11.62,11.28,11.31,10.59,9.03,8.09,7.81,7.19,5.59,4.47,4.06,4.03,3.81,4.38,6.53,9.47,11.47,12.72,14.12,15.03,14.69,13.75,13.72,15.03,16.28,17.03,17.81,18.53,18.44,17.09,15.72,15.0,15.0,14.44,13.31,13.06,13.56,14.12,14.25,15.53,17.19,18.66,18.81,18.97,19.53,20.44,20.53,20.25,20.5,20.94,20.59,19.47,18.69,18.72,17.88,15.97,14.84,13.97,13.31,11.84,10.88,10.62,10.53,9.75,9.25,9.62,10.66,11.72,12.59,13.97,15.72,16.69,17.22,17.53,18.56,19.62,19.97,20.34,21.0,21.88,21.41,20.34,19.88,19.38,18.47,17.69,17.59,18.38,19.38,19.44,19.34,19.19,18.88,17.59,16.0,15.72,16.47,16.59,16.47,16.5,16.69,15.91,14.94,14.53,15.94,17.81,19.25,20.88,22.59,23.5,23.0,22.0,21.59,22.03,22.09,22.0,22.59,23.91,24.28,23.88,22.78,22.25,21.09,19.47,18.09,17.66,18.03,17.41,16.91,17.22,18.12,18.56,17.84,17.91,18.81,19.69,19.88,20.44,21.62,22.22,21.16,20.25,20.12,20.38,19.88,19.5,20.0,20.5,20.41,19.97,20.31,22.06,23.41,24.03,24.59,24.56,23.88,21.59,19.38,18.22,18.03,17.47,17.31,18.12,19.5,20.31,20.28,20.41,21.34,22.09,22.31,23.06,24.53,26.09,26.53,26.62,27.47,28.47,28.84,29.41,30.12,31.41,31.62,30.44,29.28,27.84,26.44,24.47,22.91,22.78,23.41,23.78,24.38,25.94,27.97,28.72,29.16,29.56,30.41,30.12,29.31,28.56,28.97,29.78,30.31,31.44,33.78,36.03,36.81,36.69,36.03,35.5,34.09,32.47,31.59,31.78,31.78,31.12,30.62,30.5,30.25,29.44,28.12,27.78,27.88,27.22,26.62,27.06,28.25,28.28,28.03,27.59,27.72,27.69,27.97,28.78,30.53,32.44,32.62,32.66,33.28,33.84,33.88,33.5,33.44,33.75,33.34,32.31,31.47,31.06,30.88,29.72,28.81,29.47,30.22,40.34,39.69,38.47,38.06,38.12,39.25,40.88,43.34,46.56,49.47,52.06,54.16,55.91,56.59,56.84,55.91,54.75,52.75,50.34,47.47,45.19:-0.81,-0.19,-1.03,-2.41,-3.94,-4.94,-7.22,-9.0,-9.69,-9.41,-9.62,-9.78,-9.97,-9.59,-9.25,-9.75,-9.81,-8.69,-7.41,-6.78,-5.69,-4.03,-2.34,-1.44,-0.78,0.09,1.03,0.78,0.0,-0.41,-0.06,0.34,0.66,1.44,2.62,3.28,2.69,1.72,0.94,0.56,-0.41,-1.44,-1.5,-1.03,-1.19,-1.81,-2.59,-2.97,-3.88,-5.81,-7.47,-7.84,-8.0,-8.59,-9.03,-8.69,-7.41,-6.94,-6.41,-4.91,-3.19,-1.81,-1.25,-0.53,0.97,2.31,2.53,2.41,2.75,2.88,1.44,-0.25,-0.66,-0.88,-1.53,-2.44,-3.09,-3.22,-3.78,-5.22,-5.75,-5.16,-4.19,-3.56,-3.72,-2.97,-2.59,-3.88,-5.69,-7.16,-8.03,-9.47,-11.16,-11.75,-11.34,-11.03,-10.84,-9.78,-7.44,-4.97,-3.12,-1.97,-0.66,0.28,-0.19,-1.78,-2.59,-3.09,-4.59,-6.31,-7.78,-8.16,-8.72,-9.69,-10.12,-9.62,-8.66,-8.44,-8.59,-7.72,-6.22,-5.62,-4.84,-3.25,-1.44,-1.0,-1.22,-2.44,-3.38,-3.97,-5.25,-6.0,-5.19,-3.84,-3.12,-2.22,-0.34,1.59,2.81,3.25,3.41,3.88,3.12,1.75,0.25,-0.66,-1.31,-2.59,-3.16,-2.34,-1.19,-1.12,-1.75,-2.38,-2.97,-4.16,-5.81,-6.59,-6.66,-7.28,-8.56,-10.19,-10.56,-11.06,-12.44,-13.28,-13.12,-12.56,-12.06,-11.56,-9.78,-7.31,-5.34,-4.03,-3.0,-1.25,-0.81,-1.19,-1.62,-1.09,-0.84,-1.31,-2.25,-2.44,-2.19,-3.16,-4.19,-4.47,-3.94,-4.28,-4.59,-5.06,-5.06,-5.47,-7.06,-8.47,-9.06,-9.34,-9.78,-10.28,-9.25,-7.72,-6.69,-5.84,-4.78,-3.25,-2.41,-2.47,-1.94,-0.66,0.59,1.34,1.44,2.5,3.53,3.06,2.41,2.03,2.03,1.19,0.03,-0.62,-0.5,-0.75,-1.25,-2.03,-1.88,-2.06,-2.41,-2.75,-1.62,0.72,2.97,5.03,7.66,10.03,10.78,9.91,7.91,6.16,3.72,0.72,-2.0,-3.62,-5.03,-7.31,-9.81,-11.0,-11.31,-11.72,-12.12,-11.22,-10.03,-9.25,-9.16,-8.44,-6.72,-4.78,-3.59,-2.28,0.41,2.81,4.66,5.81,7.69,8.91,8.94,7.28,5.81,4.31,2.69,0.44,-0.66,-0.34,0.0,-0.16,-0.47,0.25,1.12,1.16,0.31,0.06,-0.25,-1.12,-2.53,-3.19,-2.97,-2.91,-3.69,-4.25,-3.84,-3.34,-3.84,-4.44,-3.25,-1.62,-0.03,1.81,4.69,7.53,9.66,10.34,10.44,10.62,9.56,7.03,4.31,2.38,0.66,-1.53,-3.75,-4.5,-4.88,-5.12,-5.19,-3.88,-1.75,0.38,2.0,4.38,7.03,9.44,10.56,11.09,11.81,11.59,9.94,7.78,6.72,6.06,5.88,6.0,7.38,9.81,11.88,12.28,12.72,13.03,12.31,10.34,8.28,7.66,6.84,5.81,4.59,4.16,4.41,4.69,4.78,5.75,7.31,8.88,9.28,9.97,12.03,13.91,14.78,14.75,14.75,14.12,12.62,10.38,8.5,7.5,5.94,4.03,3.22,4.03,5.91,7.34,9.5,12.91,15.59,16.97,17.47,18.09,18.62,18.12,16.78,15.97,14.81,13.53,11.41,9.56,8.75,8.28,6.72,5.5,5.09,4.88,3.72,3.0,3.28,4.47,5.72,7.06,8.81,10.94,12.0,11.47,10.94,10.81,11.19,10.72,11.12,12.06,12.69,12.34,11.94,12.16,12.94,13.56,13.5,13.97,14.22,14.22,13.16,12.56,12.5,13.12,12.84,13.16,13.72,13.84,12.88,10.78,9.47,8.53,7.72,6.75,6.5,6.56,6.34,5.16,3.41,3.06,2.62,1.62,1.53,2.22,3.41,4.41,5.0,6.0,7.28,8.34,8.38,8.53,9.03,9.22,8.41,7.0,6.12,5.47,4.06,3.0,2.81,3.47,3.62,3.25,3.75,5.16,6.25,6.25,6.69,7.62,8.12,6.75,5.31,4.06,2.78,0.88,-0.84,-1.38,-0.91,-0.53,-0.16,0.72,2.12,3.25,3.47,3.47,3.81,4.38,4.03,3.72,4.31,5.69,6.03,6.41,7.41,8.69,9.44,9.22,9.69,10.84,11.97,12.56,13.12,14.12,14.66,13.72,12.69,12.0,11.78,10.47,8.97,8.25,8.09,7.53,7.31,7.06,7.19,6.91,5.19,3.47,2.09,1.12,0.19,0.09,0.94,2.47,3.41,3.5,3.41,3.75,3.25,1.84,0.88,0.22,0.25,-0.06,0.19,1.53,3.12,3.56,3.28,3.38,3.72,3.91,4.12,5.19,7.19,8.84,9.06,9.19,9.12,8.69,7.03,5.94,6.0,7.38,9.22,11.31,14.0,16.62,17.59,17.0,15.41,14.06,12.91,10.84,9.56,9.56,10.19,10.09,10.03,10.41,11.12,10.72,10.03,10.22,11.44,12.53,13.53,14.91,16.72,17.94,17.69,16.91,16.25,15.06,12.94,10.5,8.62,7.31,5.41,3.22,2.0,1.56,1.22,2.03,3.69,6.78,10.22,12.59,14.69,16.59,17.94,17.44,16.41,14.84,13.38,11.16,9.0,7.0,6.75,7.38,7.81,9.28,11.75,13.78,14.44,14.19,13.75,13.75,13.0,12.03,11.16,10.66,8.81,6.19,3.88,2.72,2.41,3.0,4.31,7.25,10.06,11.75,12.78,13.47,14.03,14.22,13.84,14.53,16.09,17.09,17.25,17.16,17.03,16.34,15.09,14.06,13.97,14.12,13.88,13.09,12.56,12.38,11.5,10.31,9.75,9.97,9.91,8.94,8.38,8.66,8.88,8.62,8.56,9.19,9.84,9.72,9.19,8.94,9.09,8.84,8.62,8.56,9.78,10.59,10.5,10.53,11.38,12.19,12.97,13.28,14.31,14.97,14.62,13.44,12.66,12.59,12.16,11.62,11.31,12.19,13.03,13.28,13.94,14.88,15.31,14.75,13.69,13.59,14.09,14.94,15.81,17.25,18.94,19.28,17.88,15.66,13.25,10.69,8.34,6.84,6.94,8.06,8.69,9.12,10.34,11.59,12.66,13.31,14.25,15.81,16.94,17.41,17.31,17.06,16.22,14.0,11.28,9.31,8.31,7.06,6.03,6.34,7.22,7.84,7.75,7.97,8.81,9.34,9.53,9.75,10.62,11.22,10.88,10.19,10.09,9.91,9.56,9.09,9.03,8.91,8.34,7.38,6.69,7.41,8.5,9.47,10.25,10.81,10.72,9.28,6.75,5.22,4.81,4.53,4.41,5.66,7.28,8.19,8.53,8.75,9.53,10.41,11.03,11.75,13.75,15.59,16.38,16.53,16.31,16.44,15.56,14.19,13.34,12.88,12.41,10.94,9.5,8.5,7.53,6.0,4.84,5.28,6.59,7.47,8.0,9.19,9.78,9.75,9.19,9.16,10.22,11.53,12.47,13.53,15.41,16.72,16.69,15.69,15.06,13.91,12.47,10.59,9.88,9.81,9.91,9.19,8.69,8.53,8.31,7.47,7.41,8.47,9.94,10.97,11.19,12.06,12.47,13.09,13.44,14.53,16.19,17.78,18.19,18.16,18.5,18.47,17.28,15.72,14.84,13.91,12.53,11.03,10.69,11.47,12.41,12.81,13.19,13.62,13.0,11.34,9.81,9.5,9.81,9.97,10.75,12.22,13.44,13.78,13.5,14.0,14.78,15.91,16.56,16.72,16.78,15.84,14.03,12.25,11.78,12.16,11.97,11.62,11.28,11.31,10.59,9.03,8.09,7.81,7.19,5.59,4.47,4.06,4.03,3.81,4.38,6.53,9.47,11.47,12.72,14.12,15.03,14.69,13.75,13.72,15.03,16.28,17.03,17.81,18.53,18.44,17.09,15.72,15.0,15.0,14.44,13.31,13.06,13.56,14.12,14.25,15.53,17.19,18.66,18.81,18.97,19.53,20.44,20.53,20.25,20.5,20.94,20.59,19.47,18.69,18.72,17.88,15.97,14.84,13.97,13.31,11.84,10.88,10.62,10.53,9.75,9.25,9.62,10.66,11.72,12.59,13.97,15.72,16.69,17.22,17.53,18.56,19.62,19.97,20.34,21.0,21.88,21.41,20.34,19.88,19.38,18.47,17.69,17.59,18.38,19.38,19.44,19.34,19.19,18.88,17.59,16.0,15.72,16.47,16.59,16.47,16.5,16.69,15.91,14.94,14.53,15.94,17.81,19.25,20.88,22.59,23.5,23.0,22.0,21.59,22.03,22.09,22.0,22.59,23.91,24.28,23.88,22.78,22.25,21.09,19.47,18.09,17.66,18.03,17.41,16.91,17.22,18.12,18.56,17.84,17.91,18.81,19.69,19.88,20.44,21.62,22.22,21.16,20.25,20.12,20.38,19.88,19.5,20.0,20.5,20.41,19.97,20.31,22.06,23.41,24.03,24.59,24.56,23.88,21.59,19.38,18.22,18.03,17.47,17.31,18.12,19.5,20.31,20.28,20.41,21.34,22.09,22.31,23.06,24.53,26.09,26.53,26.62,27.47,28.47,28.84,29.41,30.12,31.41,31.62,30.44,29.28,27.84,26.44,24.47,22.91,22.78,23.41,23.78,24.38,25.94,27.97,28.72,29.16,29.56,30.41,30.12,29.31,28.56,28.97,29.78,30.31,31.44,33.78,36.03,36.81,36.69,36.03,35.5,34.09,32.47,31.59,31.78,31.78,31.12,30.62,30.5,30.25,29.44,28.12,27.78,27.88,27.22,26.62,27.06,28.25,28.28,28.03,27.59,27.72,27.69,27.97,28.78,30.53,32.44,32.62,32.66,33.28,33.84,33.88,33.5,33.44,33.75,33.34,32.31,31.47,31.06,30.88,29.72,28.81,29.47,30.22,40.34,39.69,38.47,38.06,38.12,39.25,40.88,43.34,46.56,49.47,52.06,54.16,55.91,56.59,56.84,55.91,54.75,52.75,50.34,47.47,45.19,43.84,43.03,42.44,42.84,43.88,44.91,46.25:-9.0,-9.69,-9.41,-9.62,-9.78,-9.97,-9.59,-9.25,-9.75,-9.81,-8.69,-7.41,-6.78,-5.69,-4.03,-2.34,-1.44,-0.78,0.09,1.03,0.78,0.0,-0.41,-0.06,0.34,0.66,1.44,2.62,3.28,2.69,1.72,0.94,0.56,-0.41,-1.44,-1.5,-1.03,-1.19,-1.81,-2.59,-2.97,-3.88,-5.81,-7.47,-7.84,-8.0,-8.59,-9.03,-8.69,-7.41,-6.94,-6.41,-4.91,-3.19,-1.81,-1.25,-0.53,0.97,2.31,2.53,2.41,2.75,2.88,1.44,-0.25,-0.66,-0.88,-1.53,-2.44,-3.09,-3.22,-3.78,-5.22,-5.75,-5.16,-4.19,-3.56,-3.72,-2.97,-2.59,-3.88,-5.69,-7.16,-8.03,-9.47,-11.16,-11.75,-11.34,-11.03,-10.84,-9.78,-7.44,-4.97,-3.12,-1.97,-0.66,0.28,-0.19,-1.78,-2.59,-3.09,-4.59,-6.31,-7.78,-8.16,-8.72,-9.69,-10.12,-9.62,-8.66,-8.44,-8.59,-7.72,-6.22,-5.62,-4.84,-3.25,-1.44,-1.0,-1.22,-2.44,-3.38,-3.97,-5.25,-6.0,-5.19,-3.84,-3.12,-2.22,-0.34,1.59,2.81,3.25,3.41,3.88,3.12,1.75,0.25,-0.66,-1.31,-2.59,-3.16,-2.34,-1.19,-1.12,-1.75,-2.38,-2.97,-4.16,-5.81,-6.59,-6.66,-7.28,-8.56,-10.19,-10.56,-11.06,-12.44,-13.28,-13.12,-12.56,-12.06,-11.56,-9.78,-7.31,-5.34,-4.03,-3.0,-1.25,-0.81,-1.19,-1.62,-1.09,-0.84,-1.31,-2.25,-2.44,-2.19,-3.16,-4.19,-4.47,-3.94,-4.28,-4.59,-5.06,-5.06,-5.47,-7.06,-8.47,-9.06,-9.34,-9.78,-10.28,-9.25,-7.72,-6.69,-5.84,-4.78,-3.25,-2.41,-2.47,-1.94,-0.66,0.59,1.34,1.44,2.5,3.53,3.06,2.41,2.03,2.03,1.19,0.03,-0.62,-0.5,-0.75,-1.25,-2.03,-1.88,-2.06,-2.41,-2.75,-1.62,0.72,2.97,5.03,7.66,10.03,10.78,9.91,7.91,6.16,3.72,0.72,-2.0,-3.62,-5.03,-7.31,-9.81,-11.0,-11.31,-11.72,-12.12,-11.22,-10.03,-9.25,-9.16,-8.44,-6.72,-4.78,-3.59,-2.28,0.41,2.81,4.66,5.81,7.69,8.91,8.94,7.28,5.81,4.31,2.69,0.44,-0.66,-0.34,0.0,-0.16,-0.47,0.25,1.12,1.16,0.31,0.06,-0.25,-1.12,-2.53,-3.19,-2.97,-2.91,-3.69,-4.25,-3.84,-3.34,-3.84,-4.44,-3.25,-1.62,-0.03,1.81,4.69,7.53,9.66,10.34,10.44,10.62,9.56,7.03,4.31,2.38,0.66,-1.53,-3.75,-4.5,-4.88,-5.12,-5.19,-3.88,-1.75,0.38,2.0,4.38,7.03,9.44,10.56,11.09,11.81,11.59,9.94,7.78,6.72,6.06,5.88,6.0,7.38,9.81,11.88,12.28,12.72,13.03,12.31,10.34,8.28,7.66,6.84,5.81,4.59,4.16,4.41,4.69,4.78,5.75,7.31,8.88,9.28,9.97,12.03,13.91,14.78,14.75,14.75,14.12,12.62,10.38,8.5,7.5,5.94,4.03,3.22,4.03,5.91,7.34,9.5,12.91,15.59,16.97,17.47,18.09,18.62,18.12,16.78,15.97,14.81,13.53,11.41,9.56,8.75,8.28,6.72,5.5,5.09,4.88,3.72,3.0,3.28,4.47,5.72,7.06,8.81,10.94,12.0,11.47,10.94,10.81,11.19,10.72,11.12,12.06,12.69,12.34,11.94,12.16,12.94,13.56,13.5,13.97,14.22,14.22,13.16,12.56,12.5,13.12,12.84,13.16,13.72,13.84,12.88,10.78,9.47,8.53,7.72,6.75,6.5,6.56,6.34,5.16,3.41,3.06,2.62,1.62,1.53,2.22,3.41,4.41,5.0,6.0,7.28,8.34,8.38,8.53,9.03,9.22,8.41,7.0,6.12,5.47,4.06,3.0,2.81,3.47,3.62,3.25,3.75,5.16,6.25,6.25,6.69,7.62,8.12,6.75,5.31,4.06,2.78,0.88,-0.84,-1.38,-0.91,-0.53,-0.16,0.72,2.12,3.25,3.47,3.47,3.81,4.38,4.03,3.72,4.31,5.69,6.03,6.41,7.41,8.69,9.44,9.22,9.69,10.84,11.97,12.56,13.12,14.12,14.66,13.72,12.69,12.0,11.78,10.47,8.97,8.25,8.09,7.53,7.31,7.06,7.19,6.91,5.19,3.47,2.09,1.12,0.19,0.09,0.94,2.47,3.41,3.5,3.41,3.75,3.25,1.84,0.88,0.22,0.25,-0.06,0.19,1.53,3.12,3.56,3.28,3.38,3.72,3.91,4.12,5.19,7.19,8.84,9.06,9.19,9.12,8.69,7.03,5.94,6.0,7.38,9.22,11.31,14.0,16.62,17.59,17.0,15.41,14.06,12.91,10.84,9.56,9.56,10.19,10.09,10.03,10.41,11.12,10.72,10.03,10.22,11.44,12.53,13.53,14.91,16.72,17.94,17.69,16.91,16.25,15.06,12.94,10.5,8.62,7.31,5.41,3.22,2.0,1.56,1.22,2.03,3.69,6.78,10.22,12.59,14.69,16.59,17.94,17.44,16.41,14.84,13.38,11.16,9.0,7.0,6.75,7.38,7.81,9.28,11.75,13.78,14.44,14.19,13.75,13.75,13.0,12.03,11.16,10.66,8.81,6.19,3.88,2.72,2.41,3.0,4.31,7.25,10.06,11.75,12.78,13.47,14.03,14.22,13.84,14.53,16.09,17.09,17.25,17.16,17.03,16.34,15.09,14.06,13.97,14.12,13.88,13.09,12.56,12.38,11.5,10.31,9.75,9.97,9.91,8.94,8.38,8.66,8.88,8.62,8.56,9.19,9.84,9.72,9.19,8.94,9.09,8.84,8.62,8.56,9.78,10.59,10.5,10.53,11.38,12.19,12.97,13.28,14.31,14.97,14.62,13.44,12.66,12.59,12.16,11.62,11.31,12.19,13.03,13.28,13.94,14.88,15.31,14.75,13.69,13.59,14.09,14.94,15.81,17.25,18.94,19.28,17.88,15.66,13.25,10.69,8.34,6.84,6.94,8.06,8.69,9.12,10.34,11.59,12.66,13.31,14.25,15.81,16.94,17.41,17.31,17.06,16.22,14.0,11.28,9.31,8.31,7.06,6.03,6.34,7.22,7.84,7.75,7.97,8.81,9.34,9.53,9.75,10.62,11.22,10.88,10.19,10.09,9.91,9.56,9.09,9.03,8.91,8.34,7.38,6.69,7.41,8.5,9.47,10.25,10.81,10.72,9.28,6.75,5.22,4.81,4.53,4.41,5.66,7.28,8.19,8.53,8.75,9.53,10.41,11.03,11.75,13.75,15.59,16.38,16.53,16.31,16.44,15.56,14.19,13.34,12.88,12.41,10.94,9.5,8.5,7.53,6.0,4.84,5.28,6.59,7.47,8.0,9.19,9.78,9.75,9.19,9.16,10.22,11.53,12.47,13.53,15.41,16.72,16.69,15.69,15.06,13.91,12.47,10.59,9.88,9.81,9.91,9.19,8.69,8.53,8.31,7.47,7.41,8.47,9.94,10.97,11.19,12.06,12.47,13.09,13.44,14.53,16.19,17.78,18.19,18.16,18.5,18.47,17.28,15.72,14.84,13.91,12.53,11.03,10.69,11.47,12.41,12.81,13.19,13.62,13.0,11.34,9.81,9.5,9.81,9.97,10.75,12.22,13.44,13.78,13.5,14.0,14.78,15.91,16.56,16.72,16.78,15.84,14.03,12.25,11.78,12.16,11.97,11.62,11.28,11.31,10.59,9.03,8.09,7.81,7.19,5.59,4.47,4.06,4.03,3.81,4.38,6.53,9.47,11.47,12.72,14.12,15.03,14.69,13.75,13.72,15.03,16.28,17.03,17.81,18.53,18.44,17.09,15.72,15.0,15.0,14.44,13.31,13.06,13.56,14.12,14.25,15.53,17.19,18.66,18.81,18.97,19.53,20.44,20.53,20.25,20.5,20.94,20.59,19.47,18.69,18.72,17.88,15.97,14.84,13.97,13.31,11.84,10.88,10.62,10.53,9.75,9.25,9.62,10.66,11.72,12.59,13.97,15.72,16.69,17.22,17.53,18.56,19.62,19.97,20.34,21.0,21.88,21.41,20.34,19.88,19.38,18.47,17.69,17.59,18.38,19.38,19.44,19.34,19.19,18.88,17.59,16.0,15.72,16.47,16.59,16.47,16.5,16.69,15.91,14.94,14.53,15.94,17.81,19.25,20.88,22.59,23.5,23.0,22.0,21.59,22.03,22.09,22.0,22.59,23.91,24.28,23.88,22.78,22.25,21.09,19.47,18.09,17.66,18.03,17.41,16.91,17.22,18.12,18.56,17.84,17.91,18.81,19.69,19.88,20.44,21.62,22.22,21.16,20.25,20.12,20.38,19.88,19.5,20.0,20.5,20.41,19.97,20.31,22.06,23.41,24.03,24.59,24.56,23.88,21.59,19.38,18.22,18.03,17.47,17.31,18.12,19.5,20.31,20.28,20.41,21.34,22.09,22.31,23.06,24.53,26.09,26.53,26.62,27.47,28.47,28.84,29.41,30.12,31.41,31.62,30.44,29.28,27.84,26.44,24.47,22.91,22.78,23.41,23.78,24.38,25.94,27.97,28.72,29.16,29.56,30.41,30.12,29.31,28.56,28.97,29.78,30.31,31.44,33.78,36.03,36.81,36.69,36.03,35.5,34.09,32.47,31.59,31.78,31.78,31.12,30.62,30.5,30.25,29.44,28.12,27.78,27.88,27.22,26.62,27.06,28.25,28.28,28.03,27.59,27.72,27.69,27.97,28.78,30.53,32.44,32.62,32.66,33.28,33.84,33.88,33.5,33.44,33.75,33.34,32.31,31.47,31.06,30.88,29.72,28.81,29.47,30.22,40.34,39.69,38.47,38.06,38.12,39.25,40.88,43.34,46.56,49.47,52.06,54.16,55.91,56.59,56.84,55.91,54.75,52.75,50.34,47.47,45.19,43.84,43.03,42.44,42.84,43.88,44.91,46.25,47.12,47.91,47.53,46.38,44.47,42.81,40.88:-9.25,-9.75,-9.81,-8.69,-7.41,-6.78,-5.69,-4.03,-2.34,-1.44,-0.78,0.09,1.03,0.78,0.0,-0.41,-0.06,0.34,0.66,1.44,2.62,3.28,2.69,1.72,0.94,0.56,-0.41,-1.44,-1.5,-1.03,-1.19,-1.81,-2.59,-2.97,-3.88,-5.81,-7.47,-7.84,-8.0,-8.59,-9.03,-8.69,-7.41,-6.94,-6.41,-4.91,-3.19,-1.81,-1.25,-0.53,0.97,2.31,2.53,2.41,2.75,2.88,1.44,-0.25,-0.66,-0.88,-1.53,-2.44,-3.09,-3.22,-3.78,-5.22,-5.75,-5.16,-4.19,-3.56,-3.72,-2.97,-2.59,-3.88,-5.69,-7.16,-8.03,-9.47,-11.16,-11.75,-11.34,-11.03,-10.84,-9.78,-7.44,-4.97,-3.12,-1.97,-0.66,0.28,-0.19,-1.78,-2.59,-3.09,-4.59,-6.31,-7.78,-8.16,-8.72,-9.69,-10.12,-9.62,-8.66,-8.44,-8.59,-7.72,-6.22,-5.62,-4.84,-3.25,-1.44,-1.0,-1.22,-2.44,-3.38,-3.97,-5.25,-6.0,-5.19,-3.84,-3.12,-2.22,-0.34,1.59,2.81,3.25,3.41,3.88,3.12,1.75,0.25,-0.66,-1.31,-2.59,-3.16,-2.34,-1.19,-1.12,-1.75,-2.38,-2.97,-4.16,-5.81,-6.59,-6.66,-7.28,-8.56,-10.19,-10.56,-11.06,-12.44,-13.28,-13.12,-12.56,-12.06,-11.56,-9.78,-7.31,-5.34,-4.03,-3.0,-1.25,-0.81,-1.19,-1.62,-1.09,-0.84,-1.31,-2.25,-2.44,-2.19,-3.16,-4.19,-4.47,-3.94,-4.28,-4.59,-5.06,-5.06,-5.47,-7.06,-8.47,-9.06,-9.34,-9.78,-10.28,-9.25,-7.72,-6.69,-5.84,-4.78,-3.25,-2.41,-2.47,-1.94,-0.66,0.59,1.34,1.44,2.5,3.53,3.06,2.41,2.03,2.03,1.19,0.03,-0.62,-0.5,-0.75,-1.25,-2.03,-1.88,-2.06,-2.41,-2.75,-1.62,0.72,2.97,5.03,7.66,10.03,10.78,9.91,7.91,6.16,3.72,0.72,-2.0,-3.62,-5.03,-7.31,-9.81,-11.0,-11.31,-11.72,-12.12,-11.22,-10.03,-9.25,-9.16,-8.44,-6.72,-4.78,-3.59,-2.28,0.41,2.81,4.66,5.81,7.69,8.91,8.94,7.28,5.81,4.31,2.69,0.44,-0.66,-0.34,0.0,-0.16,-0.47,0.25,1.12,1.16,0.31,0.06,-0.25,-1.12,-2.53,-3.19,-2.97,-2.91,-3.69,-4.25,-3.84,-3.34,-3.84,-4.44,-3.25,-1.62,-0.03,1.81,4.69,7.53,9.66,10.34,10.44,10.62,9.56,7.03,4.31,2.38,0.66,-1.53,-3.75,-4.5,-4.88,-5.12,-5.19,-3.88,-1.75,0.38,2.0,4.38,7.03,9.44,10.56,11.09,11.81,11.59,9.94,7.78,6.72,6.06,5.88,6.0,7.38,9.81,11.88,12.28,12.72,13.03,12.31,10.34,8.28,7.66,6.84,5.81,4.59,4.16,4.41,4.69,4.78,5.75,7.31,8.88,9.28,9.97,12.03,13.91,14.78,14.75,14.75,14.12,12.62,10.38,8.5,7.5,5.94,4.03,3.22,4.03,5.91,7.34,9.5,12.91,15.59,16.97,17.47,18.09,18.62,18.12,16.78,15.97,14.81,13.53,11.41,9.56,8.75,8.28,6.72,5.5,5.09,4.88,3.72,3.0,3.28,4.47,5.72,7.06,8.81,10.94,12.0,11.47,10.94,10.81,11.19,10.72,11.12,12.06,12.69,12.34,11.94,12.16,12.94,13.56,13.5,13.97,14.22,14.22,13.16,12.56,12.5,13.12,12.84,13.16,13.72,13.84,12.88,10.78,9.47,8.53,7.72,6.75,6.5,6.56,6.34,5.16,3.41,3.06,2.62,1.62,1.53,2.22,3.41,4.41,5.0,6.0,7.28,8.34,8.38,8.53,9.03,9.22,8.41,7.0,6.12,5.47,4.06,3.0,2.81,3.47,3.62,3.25,3.75,5.16,6.25,6.25,6.69,7.62,8.12,6.75,5.31,4.06,2.78,0.88,-0.84,-1.38,-0.91,-0.53,-0.16,0.72,2.12,3.25,3.47,3.47,3.81,4.38,4.03,3.72,4.31,5.69,6.03,6.41,7.41,8.69,9.44,9.22,9.69,10.84,11.97,12.56,13.12,14.12,14.66,13.72,12.69,12.0,11.78,10.47,8.97,8.25,8.09,7.53,7.31,7.06,7.19,6.91,5.19,3.47,2.09,1.12,0.19,0.09,0.94,2.47,3.41,3.5,3.41,3.75,3.25,1.84,0.88,0.22,0.25,-0.06,0.19,1.53,3.12,3.56,3.28,3.38,3.72,3.91,4.12,5.19,7.19,8.84,9.06,9.19,9.12,8.69,7.03,5.94,6.0,7.38,9.22,11.31,14.0,16.62,17.59,17.0,15.41,14.06,12.91,10.84,9.56,9.56,10.19,10.09,10.03,10.41,11.12,10.72,10.03,10.22,11.44,12.53,13.53,14.91,16.72,17.94,17.69,16.91,16.25,15.06,12.94,10.5,8.62,7.31,5.41,3.22,2.0,1.56,1.22,2.03,3.69,6.78,10.22,12.59,14.69,16.59,17.94,17.44,16.41,14.84,13.38,11.16,9.0,7.0,6.75,7.38,7.81,9.28,11.75,13.78,14.44,14.19,13.75,13.75,13.0,12.03,11.16,10.66,8.81,6.19,3.88,2.72,2.41,3.0,4.31,7.25,10.06,11.75,12.78,13.47,14.03,14.22,13.84,14.53,16.09,17.09,17.25,17.16,17.03,16.34,15.09,14.06,13.97,14.12,13.88,13.09,12.56,12.38,11.5,10.31,9.75,9.97,9.91,8.94,8.38,8.66,8.88,8.62,8.56,9.19,9.84,9.72,9.19,8.94,9.09,8.84,8.62,8.56,9.78,10.59,10.5,10.53,11.38,12.19,12.97,13.28,14.31,14.97,14.62,13.44,12.66,12.59,12.16,11.62,11.31,12.19,13.03,13.28,13.94,14.88,15.31,14.75,13.69,13.59,14.09,14.94,15.81,17.25,18.94,19.28,17.88,15.66,13.25,10.69,8.34,6.84,6.94,8.06,8.69,9.12,10.34,11.59,12.66,13.31,14.25,15.81,16.94,17.41,17.31,17.06,16.22,14.0,11.28,9.31,8.31,7.06,6.03,6.34,7.22,7.84,7.75,7.97,8.81,9.34,9.53,9.75,10.62,11.22,10.88,10.19,10.09,9.91,9.56,9.09,9.03,8.91,8.34,7.38,6.69,7.41,8.5,9.47,10.25,10.81,10.72,9.28,6.75,5.22,4.81,4.53,4.41,5.66,7.28,8.19,8.53,8.75,9.53,10.41,11.03,11.75,13.75,15.59,16.38,16.53,16.31,16.44,15.56,14.19,13.34,12.88,12.41,10.94,9.5,8.5,7.53,6.0,4.84,5.28,6.59,7.47,8.0,9.19,9.78,9.75,9.19,9.16,10.22,11.53,12.47,13.53,15.41,16.72,16.69,15.69,15.06,13.91,12.47,10.59,9.88,9.81,9.91,9.19,8.69,8.53,8.31,7.47,7.41,8.47,9.94,10.97,11.19,12.06,12.47,13.09,13.44,14.53,16.19,17.78,18.19,18.16,18.5,18.47,17.28,15.72,14.84,13.91,12.53,11.03,10.69,11.47,12.41,12.81,13.19,13.62,13.0,11.34,9.81,9.5,9.81,9.97,10.75,12.22,13.44,13.78,13.5,14.0,14.78,15.91,16.56,16.72,16.78,15.84,14.03,12.25,11.78,12.16,11.97,11.62,11.28,11.31,10.59,9.03,8.09,7.81,7.19,5.59,4.47,4.06,4.03,3.81,4.38,6.53,9.47,11.47,12.72,14.12,15.03,14.69,13.75,13.72,15.03,16.28,17.03,17.81,18.53,18.44,17.09,15.72,15.0,15.0,14.44,13.31,13.06,13.56,14.12,14.25,15.53,17.19,18.66,18.81,18.97,19.53,20.44,20.53,20.25,20.5,20.94,20.59,19.47,18.69,18.72,17.88,15.97,14.84,13.97,13.31,11.84,10.88,10.62,10.53,9.75,9.25,9.62,10.66,11.72,12.59,13.97,15.72,16.69,17.22,17.53,18.56,19.62,19.97,20.34,21.0,21.88,21.41,20.34,19.88,19.38,18.47,17.69,17.59,18.38,19.38,19.44,19.34,19.19,18.88,17.59,16.0,15.72,16.47,16.59,16.47,16.5,16.69,15.91,14.94,14.53,15.94,17.81,19.25,20.88,22.59,23.5,23.0,22.0,21.59,22.03,22.09,22.0,22.59,23.91,24.28,23.88,22.78,22.25,21.09,19.47,18.09,17.66,18.03,17.41,16.91,17.22,18.12,18.56,17.84,17.91,18.81,19.69,19.88,20.44,21.62,22.22,21.16,20.25,20.12,20.38,19.88,19.5,20.0,20.5,20.41,19.97,20.31,22.06,23.41,24.03,24.59,24.56,23.88,21.59,19.38,18.22,18.03,17.47,17.31,18.12,19.5,20.31,20.28,20.41,21.34,22.09,22.31,23.06,24.53,26.09,26.53,26.62,27.47,28.47,28.84,29.41,30.12,31.41,31.62,30.44,29.28,27.84,26.44,24.47,22.91,22.78,23.41,23.78,24.38,25.94,27.97,28.72,29.16,29.56,30.41,30.12,29.31,28.56,28.97,29.78,30.31,31.44,33.78,36.03,36.81,36.69,36.03,35.5,34.09,32.47,31.59,31.78,31.78,31.12,30.62,30.5,30.25,29.44,28.12,27.78,27.88,27.22,26.62,27.06,28.25,28.28,28.03,27.59,27.72,27.69,27.97,28.78,30.53,32.44,32.62,32.66,33.28,33.84,33.88,33.5,33.44,33.75,33.34,32.31,31.47,31.06,30.88,29.72,28.81,29.47,30.22,40.34,39.69,38.47,38.06,38.12,39.25,40.88,43.34,46.56,49.47,52.06,54.16,55.91,56.59,56.84,55.91,54.75,52.75,50.34,47.47,45.19,43.84,43.03,42.44,42.84,43.88,44.91,46.25,47.12,47.91,47.53,46.38,44.47,42.81,40.88,39.62,38.53,37.78,37.62,37.16,36.34,35.91:negativity
12.25,14.19,15.81,16.84,17.81,18.91,19.09,17.81,16.34,16.44,16.5,16.34,15.88,16.41,16.97,16.75,15.62,14.62,14.0,12.97,11.53,10.94,11.97,13.22,14.34,15.69,18.0,20.25,21.25,21.19,22.03,22.62,22.38,21.81,21.91,22.53,22.5,21.75,21.16,21.25,21.44,21.06,20.91,22.0,22.84,22.75,22.41,23.12,23.97,24.41,24.09,23.72,24.12,23.97,23.28,23.31,24.81,26.28,27.47,28.88,31.38,33.5,33.97,33.47,32.56,31.53,29.56,26.84,25.03,24.69,24.53,24.38,25.06,26.97,28.47,28.78,28.59,28.69,28.41,27.16,25.47,24.66,24.5,24.25,23.94,24.78,26.94,28.5,29.22,29.88,30.72,31.06,30.22,28.88,28.53,27.91,27.0,26.09,26.31,26.75,26.84,25.94,24.84,24.19,23.34,21.78,20.09,19.47,18.41,16.94,15.69,16.19,17.34,18.41,19.0,19.66,20.59,21.09,20.78,20.25,20.31,19.97,18.59,17.34,17.44,18.41,18.94,19.31,20.62,20.91,20.19,18.56,17.59,17.59,17.66,17.31,17.62,18.19,18.28,17.72,17.09,17.47,18.28,18.28,18.0,18.69,19.09,18.81,17.47,16.81,17.0,17.31,17.47,18.09,20.0,21.12,20.94,20.34,20.47,20.59,19.78,18.62,18.91,19.62,20.41,20.72,21.47,22.62,23.16,22.75,22.53,23.5,25.0,25.62,26.06,27.31,28.5,28.75,28.75,29.53,30.47,30.72,29.72,28.69,27.69,26.25,24.16,22.59,22.53,22.88,23.06,23.12,24.16,25.16,25.5,25.31,25.91,27.28,28.44,28.81,29.62,30.66,31.28,30.78,30.03,30.06,29.78,28.03,25.41,23.47,22.0,20.88,20.03,20.47,21.72,22.84,22.88,23.09,23.81,24.31,23.94,23.78,25.09,26.47,27.44,28.41,30.03,31.84,32.84,32.94,33.0,33.06,32.12,30.34,29.09,28.66,28.69,28.41,28.5,29.44,29.41,27.97,25.69,23.16,21.34,19.47,17.59,16.56,16.66,16.66,16.22,16.88,18.84,21.62,23.59,26.06,28.91,31.03,31.34,30.34,29.06,27.72,25.72,22.94,20.91,19.75,19.12,17.78,17.59,18.38,19.75,20.06,20.19,21.09,21.81,21.91,21.44,21.97,23.25,24.09,24.19,24.47,25.91,26.88,26.97,28.06,29.53,30.97,31.28,31.62,32.25,32.84,32.47,30.62,29.0,27.5,25.47,23.31,21.59,21.0,20.53,18.94,17.84,17.72,18.5,18.66,19.28,21.09,23.62,25.5,26.78,27.69,27.62,26.44,24.0,21.44,20.38,20.0,19.38,18.94,19.44,20.34,20.16,19.72,20.5,21.75,23.25,24.5,26.47,28.84,30.41,31.72,33.19,35.22,37.19,38.0,37.97,37.59,36.94,35.16,33.19,31.62,30.97,30.66,30.22,30.16,30.78,30.72,29.16,27.25,25.78,24.94,24.06,23.22,23.28,23.81,23.56,23.19,23.66,25.22,26.34,27.19,28.38,30.28,32.25,33.44,34.91,37.16,38.69,38.88,38.16,37.69,37.66,36.34,34.69,33.69,33.06,32.59,31.91,32.72,34.78,36.94,38.19,39.16,40.19,40.94,40.75,39.56,38.62,37.5,35.56,33.25,31.53,31.31,31.12,30.72,30.34,30.69,31.06,30.31,29.09,28.78,27.97,26.06,24.16,22.44,21.84,21.09,20.72,21.22,23.16,24.59,25.06,24.41,24.22,23.88,22.56,22.31,23.66,25.75,27.09,27.84,28.25,28.75,28.25,27.31,26.88,27.09,27.19,26.28,25.59,25.56,26.53,26.03,25.97,25.78,25.69,24.75,23.25,22.12,21.84,20.75,19.69,18.97,19.53,20.38,21.12,22.53,24.56,26.72,27.84,28.94,30.25,31.72,32.5,32.03,31.72,31.44,30.69,28.91,27.31,26.06,24.62,21.91,19.22,17.62,16.59,15.69,15.28,15.88,17.41,18.72,19.47,20.78,22.91,24.34,25.41,26.06,27.22,27.78,26.91,25.59,24.88,24.5,23.81,23.0,23.0,23.25,22.25,20.59,18.44,16.81,15.41,14.44,14.34,15.97,18.19,19.53,19.97,20.72,21.09,20.16,18.84,18.0,18.38,18.59,18.78,19.56,21.5,23.09,24.03,24.97,26.78,28.19,28.28,27.56,26.44,25.44,23.06,21.0,19.66,19.5,19.16,18.38,18.06,18.06,18.0,17.44,17.62,18.94,20.88,22.16,23.28,24.72,26.81,27.81,28.44,28.84,29.72,30.34,30.56,31.72,34.12,35.78,35.97,34.69,33.16,31.56,29.59,27.94,27.47,28.41,28.91,28.97,29.69,30.78,31.44,30.88,30.0,30.22,30.06,29.59,28.97,29.31,29.22,28.66,27.38,27.16,28.03,28.44,28.5,29.03,29.97,30.31,29.38,28.88,29.34,30.09,30.31,30.59,30.69,30.28,28.47,25.88,23.41,21.25,18.44,15.62,13.12,11.69,10.81,10.16,10.03,11.41,13.53,15.75,18.44,22.0,25.88,29.5,32.09,34.19,35.88,36.03,35.16,33.72,33.34,33.41,33.09,32.44,32.38,31.78,30.0,27.72,25.47,24.03,22.78,21.47,21.06,21.78,22.31,22.19,22.12,23.0,24.0,24.22,24.62,25.5,26.34,26.03,24.91,24.41,24.34,24.03,23.53,23.41,23.84,23.91,23.69,23.5,23.78,23.69,22.38,20.47,19.0,18.5,17.97,17.06,17.16,17.53,17.56,17.0,16.41,16.88,17.25,17.56,17.56,18.94,20.34,20.72,20.94,22.53,24.47,26.03,27.44,29.5,32.09,34.25,35.09,35.44,35.81,34.56,32.22,29.5,27.53,26.19,25.19,24.56,25.03,26.22,27.19,27.81,28.81,30.09,31.12,31.34,31.22,31.88,31.72,31.09,30.16,30.31,30.94,31.03,31.25,32.0,32.62,32.44,31.41,30.38,29.28,28.12,26.09,24.38,23.44,22.53,21.16,19.91,19.28,18.84,17.5,15.94,14.75,14.12,13.69,13.59,14.62,16.5,18.66,19.91,21.09,22.38,23.31,23.78,23.56,24.59,25.69,26.34,26.34,26.25,25.72,24.38,22.12,19.84,18.47,17.94,17.03,16.75,17.81,18.56,18.28,16.78,15.5,14.19,12.59,11.0,10.31,10.47,10.19,9.28,8.5,9.06,10.16,11.09,12.56,15.06,17.69,19.25,19.91,21.31,22.38,23.06,22.75,22.41,22.0,20.88,18.78,17.03,16.41,16.34,16.0,16.28,17.75,19.5,21.09,21.66,22.31,22.75,22.19,20.66,18.75,17.88,17.34,16.41,16.25,17.56,19.31,21.0,21.81,23.41,25.38,25.22,23.75,22.31,20.94,19.0,16.94,15.78,15.59,15.66,15.16,15.88,17.91,20.75,23.34,26.38,29.81,33.59,35.69,36.5,37.44,37.38,36.72,34.94,33.66,32.66,31.69,29.81,27.91,26.66,25.41,24.09,22.84,22.78,23.53,23.69,23.5,23.44,23.59,23.53,23.44,23.94,25.31,26.97,27.75,28.0,28.5,28.38,27.34,25.56,24.22,23.5,22.81,21.56,21.0,20.53,19.75,18.25,17.0,16.78,17.28,17.34,16.78,16.94,17.25,16.62,15.47,14.66,14.62,14.16,13.34,12.91,13.19,13.44,12.94,12.38,12.28,12.47,12.19,12.31,13.62,15.44,17.0,18.06,18.91,19.75,19.84,18.88,17.69,16.72,16.31,14.66,13.41,13.03,12.91,12.25,11.53,11.81,12.78,13.41,13.78,14.56,15.69,16.12,15.25,14.16,13.62,12.94,11.34,9.88,9.12,9.0,8.09,7.25,7.41,8.41,9.28,9.81,10.88,12.84,14.31,14.94,15.44,15.97,16.31,15.19,14.12,13.94,14.22,14.22,14.06,15.0,16.72,17.66,17.88,18.47,19.22,19.06,17.78,16.56,15.69,15.0,13.72,13.16,13.12,13.62,13.25,12.66,12.06,11.91,11.22,9.84,9.19,9.44,9.91,9.94,10.34,11.66,13.34,13.97,14.62,15.22,15.97,15.25,14.22,13.97,14.66,14.94,14.22,13.38,12.94,11.91,10.25,8.94,8.72,9.28,9.06,8.69,9.09,10.12,10.44,10.81,11.28,12.44,13.62,13.97,14.91,16.31,17.38,16.81,15.47,14.31,13.34,10.97,8.09,5.75,4.38,2.72,1.44,1.06,2.03,3.16,3.59,4.12,5.56,7.03,7.06,7.0,6.69,6.75,5.59,4.25,3.53,4.16,4.53,4.84,5.78,7.5,8.97,8.97,8.81,9.09,9.41,8.72,7.97,8.62,10.19,11.12,12.91,15.41,18.66,21.0,21.97,22.44,22.88,22.44,20.81,19.06,18.25,17.12,15.31,13.62,13.0,13.12,13.16,12.31,11.12,10.0,8.16,5.44,3.19,2.19,1.84,0.91,-0.03,0.31,1.03,0.84,0.69,1.69,3.59,5.44,7.47,9.94,13.31,15.75,17.25,18.22,19.72,20.78,21.03,21.19,22.16,23.69,23.16,21.66,19.66,17.38,13.59,9.78,6.91,5.94,5.47,5.84,6.97,9.09,11.34,12.16,12.38,13.09,14.16,14.47,14.44,15.09,15.91,16.34,16.0,15.44,15.5,14.97,13.69,12.84,13.19,14.25,14.72,15.44,17.0,19.09,20.47,21.38,22.94,25.09,26.81,27.16,27.94,29.38,30.03,29.31,27.94,26.81,25.28,22.16,19.22,17.34,16.28,15.0,13.44,12.38,12.44,12.28,11.41,10.66,11.28,11.28,10.25,9.12,8.91,8.91,8.19,7.72,8.28,9.88,11.69,13.53,16.06,19.69,22.5,24.0,24.5,25.12,24.72,23.44,21.81,21.03,20.81,19.5,17.75,16.59,16.84,16.66,16.41,16.94:17.81,16.34,16.44,16.5,16.34,15.88,16.41,16.97,16.75,15.62,14.62,14.0,12.97,11.53,10.94,11.97,13.22,14.34,15.69,18.0,20.25,21.25,21.19,22.03,22.62,22.38,21.81,21.91,22.53,22.5,21.75,21.16,21.25,21.44,21.06,20.91,22.0,22.84,22.75,22.41,23.12,23.97,24.41,24.09,23.72,24.12,23.97,23.28,23.31,24.81,26.28,27.47,28.88,31.38,33.5,33.97,33.47,32.56,31.53,29.56,26.84,25.03,24.69,24.53,24.38,25.06,26.97,28.47,28.78,28.59,28.69,28.41,27.16,25.47,24.66,24.5,24.25,23.94,24.78,26.94,28.5,29.22,29.88,30.72,31.06,30.22,28.88,28.53,27.91,27.0,26.09,26.31,26.75,26.84,25.94,24.84,24.19,23.34,21.78,20.09,19.47,18.41,16.94,15.69,16.19,17.34,18.41,19.0,19.66,20.59,21.09,20.78,20.25,20.31,19.97,18.59,17.34,17.44,18.41,18.94,19.31,20.62,20.91,20.19,18.56,17.59,17.59,17.66,17.31,17.62,18.19,18.28,17.72,17.09,17.47,18.28,18.28,18.0,18.69,19.09,18.81,17.47,16.81,17.0,17.31,17.47,18.09,20.0,21.12,20.94,20.34,20.47,20.59,19.78,18.62,18.91,19.62,20.41,20.72,21.47,22.62,23.16,22.75,22.53,23.5,25.0,25.62,26.06,27.31,28.5,28.75,28.75,29.53,30.47,30.72,29.72,28.69,27.69,26.25,24.16,22.59,22.53,22.88,23.06,23.12,24.16,25.16,25.5,25.31,25.91,27.28,28.44,28.81,29.62,30.66,31.28,30.78,30.03,30.06,29.78,28.03,25.41,23.47,22.0,20.88,20.03,20.47,21.72,22.84,22.88,23.09,23.81,24.31,23.94,23.78,25.09,26.47,27.44,28.41,30.03,31.84,32.84,32.94,33.0,33.06,32.12,30.34,29.09,28.66,28.69,28.41,28.5,29.44,29.41,27.97,25.69,23.16,21.34,19.47,17.59,16.56,16.66,16.66,16.22,16.88,18.84,21.62,23.59,26.06,28.91,31.03,31.34,30.34,29.06,27.72,25.72,22.94,20.91,19.75,19.12,17.78,17.59,18.38,19.75,20.06,20.19,21.09,21.81,21.91,21.44,21.97,23.25,24.09,24.19,24.47,25.91,26.88,26.97,28.06,29.53,30.97,31.28,31.62,32.25,32.84,32.47,30.62,29.0,27.5,25.47,23.31,21.59,21.0,20.53,18.94,17.84,17.72,18.5,18.66,19.28,21.09,23.62,25.5,26.78,27.69,27.62,26.44,24.0,21.44,20.38,20.0,19.38,18.94,19.44,20.34,20.16,19.72,20.5,21.75,23.25,24.5,26.47,28.84,30.41,31.72,33.19,35.22,37.19,38.0,37.97,37.59,36.94,35.16,33.19,31.62,30.97,30.66,30.22,30.16,30.78,30.72,29.16,27.25,25.78,24.94,24.06,23.22,23.28,23.81,23.56,23.19,23.66,25.22,26.34,27.19,28.38,30.28,32.25,33.44,34.91,37.16,38.69,38.88,38.16,37.69,37.66,36.34,34.69,33.69,33.06,32.59,31.91,32.72,34.78,36.94,38.19,39.16,40.19,40.94,40.75,39.56,38.62,37.5,35.56,33.25,31.53,31.31,31.12,30.72,30.34,30.69,31.06,30.31,29.09,28.78,27.97,26.06,24.16,22.44,21.84,21.09,20.72,21.22,23.16,24.59,25.06,24.41,24.22,23.88,22.56,22.31,23.66,25.75,27.09,27.84,28.25,28.75,28.25,27.31,26.88,27.09,27.19,26.28,25.59,25.56,26.53,26.03,25.97,25.78,25.69,24.75,23.25,22.12,21.84,20.75,19.69,18.97,19.53,20.38,21.12,22.53,24.56,26.72,27.84,28.94,30.25,31.72,32.5,32.03,31.72,31.44,30.69,28.91,27.31,26.06,24.62,21.91,19.22,17.62,16.59,15.69,15.28,15.88,17.41,18.72,19.47,20.78,22.91,24.34,25.41,26.06,27.22,27.78,26.91,25.59,24.88,24.5,23.81,23.0,23.0,23.25,22.25,20.59,18.44,16.81,15.41,14.44,14.34,15.97,18.19,19.53,19.97,20.72,21.09,20.16,18.84,18.0,18.38,18.59,18.78,19.56,21.5,23.09,24.03,24.97,26.78,28.19,28.28,27.56,26.44,25.44,23.06,21.0,19.66,19.5,19.16,18.38,18.06,18.06,18.0,17.44,17.62,18.94,20.88,22.16,23.28,24.72,26.81,27.81,28.44,28.84,29.72,30.34,30.56,31.72,34.12,35.78,35.97,34.69,33.16,31.56,29.59,27.94,27.47,28.41,28.91,28.97,29.69,30.78,31.44,30.88,30.0,30.22,30.06,29.59,28.97,29.31,29.22,28.66,27.38,27.16,28.03,28.44,28.5,29.03,29.97,30.31,29.38,28.88,29.34,30.09,30.31,30.59,30.69,30.28,28.47,25.88,23.41,21.25,18.44,15.62,13.12,11.69,10.81,10.16,10.03,11.41,13.53,15.75,18.44,22.0,25.88,29.5,32.09,34.19,35.88,36.03,35.16,33.72,33.34,33.41,33.09,32.44,32.38,31.78,30.0,27.72,25.47,24.03,22.78,21.47,21.06,21.78,22.31,22.19,22.12,23.0,24.0,24.22,24.62,25.5,26.34,26.03,24.91,24.41,24.34,24.03,23.53,23.41,23.84,23.91,23.69,23.5,23.78,23.69,22.38,20.47,19.0,18.5,17.97,17.06,17.16,17.53,17.56,17.0,16.41,16.88,17.25,17.56,17.56,18.94,20.34,20.72,20.94,22.53,24.47,26.03,27.44,29.5,32.09,34.25,35.09,35.44,35.81,34.56,32.22,29.5,27.53,26.19,25.19,24.56,25.03,26.22,27.19,27.81,28.81,30.09,31.12,31.34,31.22,31.88,31.72,31.09,30.16,30.31,30.94,31.03,31.25,32.0,32.62,32.44,31.41,30.38,29.28,28.12,26.09,24.38,23.44,22.53,21.16,19.91,19.28,18.84,17.5,15.94,14.75,14.12,13.69,13.59,14.62,16.5,18.66,19.91,21.09,22.38,23.31,23.78,23.56,24.59,25.69,26.34,26.34,26.25,25.72,24.38,22.12,19.84,18.47,17.94,17.03,16.75,17.81,18.56,18.28,16.78,15.5,14.19,12.59,11.0,10.31,10.47,10.19,9.28,8.5,9.06,10.16,11.09,12.56,15.06,17.69,19.25,19.91,21.31,22.38,23.06,22.75,22.41,22.0,20.88,18.78,17.03,16.41,16.34,16.0,16.28,17.75,19.5,21.09,21.66,22.31,22.75,22.19,20.66,18.75,17.88,17.34,16.41,16.25,17.56,19.31,21.0,21.81,23.41,25.38,25.22,23.75,22.31,20.94,19.0,16.94,15.78,15.59,15.66,15.16,15.88,17.91,20.75,23.34,26.38,29.81,33.59,35.69,36.5,37.44,37.38,36.72,34.94,33.66,32.66,31.69,29.81,27.91,26.66,25.41,24.09,22.84,22.78,23.53,23.69,23.5,23.44,23.59,23.53,23.44,23.94,25.31,26.97,27.75,28.0,28.5,28.38,27.34,25.56,24.22,23.5,22.81,21.56,21.0,20.53,19.75,18.25,17.0,16.78,17.28,17.34,16.78,16.94,17.25,16.62,15.47,14.66,14.62,14.16,13.34,12.91,13.19,13.44,12.94,12.38,12.28,12.47,12.19,12.31,13.62,15.44,17.0,18.06,18.91,19.75,19.84,18.88,17.69,16.72,16.31,14.66,13.41,13.03,12.91,12.25,11.53,11.81,12.78,13.41,13.78,14.56,15.69,16.12,15.25,14.16,13.62,12.94,11.34,9.88,9.12,9.0,8.09,7.25,7.41,8.41,9.28,9.81,10.88,12.84,14.31,14.94,15.44,15.97,16.31,15.19,14.12,13.94,14.22,14.22,14.06,15.0,16.72,17.66,17.88,18.47,19.22,19.06,17.78,16.56,15.69,15.0,13.72,13.16,13.12,13.62,13.25,12.66,12.06,11.91,11.22,9.84,9.19,9.44,9.91,9.94,10.34,11.66,13.34,13.97,14.62,15.22,15.97,15.25,14.22,13.97,14.66,14.94,14.22,13.38,12.94,11.91,10.25,8.94,8.72,9.28,9.06,8.69,9.09,10.12,10.44,10.81,11.28,12.44,13.62,13.97,14.91,16.31,17.38,16.81,15.47,14.31,13.34,10.97,8.09,5.75,4.38,2.72,1.44,1.06,2.03,3.16,3.59,4.12,5.56,7.03,7.06,7.0,6.69,6.75,5.59,4.25,3.53,4.16,4.53,4.84,5.78,7.5,8.97,8.97,8.81,9.09,9.41,8.72,7.97,8.62,10.19,11.12,12.91,15.41,18.66,21.0,21.97,22.44,22.88,22.44,20.81,19.06,18.25,17.12,15.31,13.62,13.0,13.12,13.16,12.31,11.12,10.0,8.16,5.44,3.19,2.19,1.84,0.91,-0.03,0.31,1.03,0.84,0.69,1.69,3.59,5.44,7.47,9.94,13.31,15.75,17.25,18.22,19.72,20.78,21.03,21.19,22.16,23.69,23.16,21.66,19.66,17.38,13.59,9.78,6.91,5.94,5.47,5.84,6.97,9.09,11.34,12.16,12.38,13.09,14.16,14.47,14.44,15.09,15.91,16.34,16.0,15.44,15.5,14.97,13.69,12.84,13.19,14.25,14.72,15.44,17.0,19.09,20.47,21.38,22.94,25.09,26.81,27.16,27.94,29.38,30.03,29.31,27.94,26.81,25.28,22.16,19.22,17.34,16.28,15.0,13.44,12.38,12.44,12.28,11.41,10.66,11.28,11.28,10.25,9.12,8.91,8.91,8.19,7.72,8.28,9.88,11.69,13.53,16.06,19.69,22.5,24.0,24.5,25.12,24.72,23.44,21.81,21.03,20.81,19.5,17.75,16.59,16.84,16.66,16.41,16.94,12.75,14.22,16.16,17.97,19.38,20.72,21.09:16.97,16.75,15.62,14.62,14.0,12.97,11.53,10.94,11.97,13.22,14.34,15.69,18.0,20.25,21.25,21.19,22.03,22.62,22.38,21.81,21.91,22.53,22.5,21.75,21.16,21.25,21.44,21.06,20.91,22.0,22.84,22.75,22.41,23.12,23.97,24.41,24.09,23.72,24.12,23.97,23.28,23.31,24.81,26.28,27.47,28.88,31.38,33.5,33.97,33.47,32.56,31.53,29.56,26.84,25.03,24.69,24.53,24.38,25.06,26.97,28.47,28.78,28.59,28.69,28.41,27.16,25.47,24.66,24.5,24.25,23.94,24.78,26.94,28.5,29.22,29.88,30.72,31.06,30.22,28.88,28.53,27.91,27.0,26.09,26.31,26.75,26.84,25.94,24.84,24.19,23.34,21.78,20.09,19.47,18.41,16.94,15.69,16.19,17.34,18.41,19.0,19.66,20.59,21.09,20.78,20.25,20.31,19.97,18.59,17.34,17.44,18.41,18.94,19.31,20.62,20.91,20.19,18.56,17.59,17.59,17.66,17.31,17.62,18.19,18.28,17.72,17.09,17.47,18.28,18.28,18.0,18.69,19.09,18.81,17.47,16.81,17.0,17.31,17.47,18.09,20.0,21.12,20.94,20.34,20.47,20.59,19.78,18.62,18.91,19.62,20.41,20.72,21.47,22.62,23.16,22.75,22.53,23.5,25.0,25.62,26.06,27.31,28.5,28.75,28.75,29.53,30.47,30.72,29.72,28.69,27.69,26.25,24.16,22.59,22.53,22.88,23.06,23.12,24.16,25.16,25.5,25.31,25.91,27.28,28.44,28.81,29.62,30.66,31.28,30.78,30.03,30.06,29.78,28.03,25.41,23.47,22.0,20.88,20.03,20.47,21.72,22.84,22.88,23.09,23.81,24.31,23.94,23.78,25.09,26.47,27.44,28.41,30.03,31.84,32.84,32.94,33.0,33.06,32.12,30.34,29.09,28.66,28.69,28.41,28.5,29.44,29.41,27.97,25.69,23.16,21.34,19.47,17.59,16.56,16.66,16.66,16.22,16.88,18.84,21.62,23.59,26.06,28.91,31.03,31.34,30.34,29.06,27.72,25.72,22.94,20.91,19.75,19.12,17.78,17.59,18.38,19.75,20.06,20.19,21.09,21.81,21.91,21.44,21.97,23.25,24.09,24.19,24.47,25.91,26.88,26.97,28.06,29.53,30.97,31.28,31.62,32.25,32.84,32.47,30.62,29.0,27.5,25.47,23.31,21.59,21.0,20.53,18.94,17.84,17.72,18.5,18.66,19.28,21.09,23.62,25.5,26.78,27.69,27.62,26.44,24.0,21.44,20.38,20.0,19.38,18.94,19.44,20.34,20.16,19.72,20.5,21.75,23.25,24.5,26.47,28.84,30.41,31.72,33.19,35.22,37.19,38.0,37.97,37.59,36.94,35.16,33.19,31.62,30.97,30.66,30.22,30.16,30.78,30.72,29.16,27.25,25.78,24.94,24.06,23.22,23.28,23.81,23.56,23.19,23.66,25.22,26.34,27.19,28.38,30.28,32.25,33.44,34.91,37.16,38.69,38.88,38.16,37.69,37.66,36.34,34.69,33.69,33.06,32.59,31.91,32.72,34.78,36.94,38.19,39.16,40.19,40.94,40.75,39.56,38.62,37.5,35.56,33.25,31.53,31.31,31.12,30.72,30.34,30.69,31.06,30.31,29.09,28.78,27.97,26.06,24.16,22.44,21.84,21.09,20.72,21.22,23.16,24.59,25.06,24.41,24.22,23.88,22.56,22.31,23.66,25.75,27.09,27.84,28.25,28.75,28.25,27.31,26.88,27.09,27.19,26.28,25.59,25.56,26.53,26.03,25.97,25.78,25.69,24.75,23.25,22.12,21.84,20.75,19.69,18.97,19.53,20.38,21.12,22.53,24.56,26.72,27.84,28.94,30.25,31.72,32.5,32.03,31.72,31.44,30.69,28.91,27.31,26.06,24.62,21.91,19.22,17.62,16.59,15.69,15.28,15.88,17.41,18.72,19.47,20.78,22.91,24.34,25.41,26.06,27.22,27.78,26.91,25.59,24.88,24.5,23.81,23.0,23.0,23.25,22.25,20.59,18.44,16.81,15.41,14.44,14.34,15.97,18.19,19.53,19.97,20.72,21.09,20.16,18.84,18.0,18.38,18.59,18.78,19.56,21.5,23.09,24.03,24.97,26.78,28.19,28.28,27.56,26.44,25.44,23.06,21.0,19.66,19.5,19.16,18.38,18.06,18.06,18.0,17.44,17.62,18.94,20.88,22.16,23.28,24.72,26.81,27.81,28.44,28.84,29.72,30.34,30.56,31.72,34.12,35.78,35.97,34.69,33.16,31.56,29.59,27.94,27.47,28.41,28.91,28.97,29.69,30.78,31.44,30.88,30.0,30.22,30.06,29.59,28.97,29.31,29.22,28.66,27.38,27.16,28.03,28.44,28.5,29.03,29.97,30.31,29.38,28.88,29.34,30.09,30.31,30.59,30.69,30.28,28.47,25.88,23.41,21.25,18.44,15.62,13.12,11.69,10.81,10.16,10.03,11.41,13.53,15.75,18.44,22.0,25.88,29.5,32.09,34.19,35.88,36.03,35.16,33.72,33.34,33.41,33.09,32.44,32.38,31.78,30.0,27.72,25.47,24.03,22.78,21.47,21.06,21.78,22.31,22.19,22.12,23.0,24.0,24.22,24.62,25.5,26.34,26.03,24.91,24.41,24.34,24.03,23.53,23.41,23.84,23.91,23.69,23.5,23.78,23.69,22.38,20.47,19.0,18.5,17.97,17.06,17.16,17.53,17.56,17.0,16.41,16.88,17.25,17.56,17.56,18.94,20.34,20.72,20.94,22.53,24.47,26.03,27.44,29.5,32.09,34.25,35.09,35.44,35.81,34.56,32.22,29.5,27.53,26.19,25.19,24.56,25.03,26.22,27.19,27.81,28.81,30.09,31.12,31.34,31.22,31.88,31.72,31.09,30.16,30.31,30.94,31.03,31.25,32.0,32.62,32.44,31.41,30.38,29.28,28.12,26.09,24.38,23.44,22.53,21.16,19.91,19.28,18.84,17.5,15.94,14.75,14.12,13.69,13.59,14.62,16.5,18.66,19.91,21.09,22.38,23.31,23.78,23.56,24.59,25.69,26.34,26.34,26.25,25.72,24.38,22.12,19.84,18.47,17.94,17.03,16.75,17.81,18.56,18.28,16.78,15.5,14.19,12.59,11.0,10.31,10.47,10.19,9.28,8.5,9.06,10.16,11.09,12.56,15.06,17.69,19.25,19.91,21.31,22.38,23.06,22.75,22.41,22.0,20.88,18.78,17.03,16.41,16.34,16.0,16.28,17.75,19.5,21.09,21.66,22.31,22.75,22.19,20.66,18.75,17.88,17.34,16.41,16.25,17.56,19.31,21.0,21.81,23.41,25.38,25.22,23.75,22.31,20.94,19.0,16.94,15.78,15.59,15.66,15.16,15.88,17.91,20.75,23.34,26.38,29.81,33.59,35.69,36.5,37.44,37.38,36.72,34.94,33.66,32.66,31.69,29.81,27.91,26.66,25.41,24.09,22.84,22.78,23.53,23.69,23.5,23.44,23.59,23.53,23.44,23.94,25.31,26.97,27.75,28.0,28.5,28.38,27.34,25.56,24.22,23.5,22.81,21.56,21.0,20.53,19.75,18.25,17.0,16.78,17.28,17.34,16.78,16.94,17.25,16.62,15.47,14.66,14.62,14.16,13.34,12.91,13.19,13.44,12.94,12.38,12.28,12.47,12.19,12.31,13.62,15.44,17.0,18.06,18.91,19.75,19.84,18.88,17.69,16.72,16.31,14.66,13.41,13.03,12.91,12.25,11.53,11.81,12.78,13.41,13.78,14.56,15.69,16.12,15.25,14.16,13.62,12.94,11.34,9.88,9.12,9.0,8.09,7.25,7.41,8.41,9.28,9.81,10.88,12.84,14.31,14.94,15.44,15.97,16.31,15.19,14.12,13.94,14.22,14.22,14.06,15.0,16.72,17.66,17.88,18.47,19.22,19.06,17.78,16.56,15.69,15.0,13.72,13.16,13.12,13.62,13.25,12.66,12.06,11.91,11.22,9.84,9.19,9.44,9.91,9.94,10.34,11.66,13.34,13.97,14.62,15.22,15.97,15.25,14.22,13.97,14.66,14.94,14.22,13.38,12.94,11.91,10.25,8.94,8.72,9.28,9.06,8.69,9.09,10.12,10.44,10.81,11.28,12.44,13.62,13.97,14.91,16.31,17.38,16.81,15.47,14.31,13.34,10.97,8.09,5.75,4.38,2.72,1.44,1.06,2.03,3.16,3.59,4.12,5.56,7.03,7.06,7.0,6.69,6.75,5.59,4.25,3.53,4.16,4.53,4.84,5.78,7.5,8.97,8.97,8.81,9.09,9.41,8.72,7.97,8.62,10.19,11.12,12.91,15.41,18.66,21.0,21.97,22.44,22.88,22.44,20.81,19.06,18.25,17.12,15.31,13.62,13.0,13.12,13.16,12.31,11.12,10.0,8.16,5.44,3.19,2.19,1.84,0.91,-0.03,0.31,1.03,0.84,0.69,1.69,3.59,5.44,7.47,9.94,13.31,15.75,17.25,18.22,19.72,20.78,21.03,21.19,22.16,23.69,23.16,21.66,19.66,17.38,13.59,9.78,6.91,5.94,5.47,5.84,6.97,9.09,11.34,12.16,12.38,13.09,14.16,14.47,14.44,15.09,15.91,16.34,16.0,15.44,15.5,14.97,13.69,12.84,13.19,14.25,14.72,15.44,17.0,19.09,20.47,21.38,22.94,25.09,26.81,27.16,27.94,29.38,30.03,29.31,27.94,26.81,25.28,22.16,19.22,17.34,16.28,15.0,13.44,12.38,12.44,12.28,11.41,10.66,11.28,11.28,10.25,9.12,8.91,8.91,8.19,7.72,8.28,9.88,11.69,13.53,16.06,19.69,22.5,24.0,24.5,25.12,24.72,23.44,21.81,21.03,20.81,19.5,17.75,16.59,16.84,16.66,16.41,16.94,12.75,14.22,16.16,17.97,19.38,20.72,21.09,21.22,21.19,21.25,21.97,22.47,23.0,22.88:10.94,11.97,13.22,14.34,15.69,18.0,20.25,21.25,21.19,22.03,22.62,22.38,21.81,21.91,22.53,22.5,21.75,21.16,21.25,21.44,21.06,20.91,22.0,22.84,22.75,22.41,23.12,23.97,24.41,24.09,23.72,24.12,23.97,23.28,23.31,24.81,26.28,27.47,28.88,31.38,33.5,33.97,33.47,32.56,31.53,29.56,26.84,25.03,24.69,24.53,24.38,25.06,26.97,28.47,28.78,28.59,28.69,28.41,27.16,25.47,24.66,24.5,24.25,23.94,24.78,26.94,28.5,29.22,29.88,30.72,31.06,30.22,28.88,28.53,27.91,27.0,26.09,26.31,26.75,26.84,25.94,24.84,24.19,23.34,21.78,20.09,19.47,18.41,16.94,15.69,16.19,17.34,18.41,19.0,19.66,20.59,21.09,20.78,20.25,20.31,19.97,18.59,17.34,17.44,18.41,18.94,19.31,20.62,20.91,20.19,18.56,17.59,17.59,17.66,17.31,17.62,18.19,18.28,17.72,17.09,17.47,18.28,18.28,18.0,18.69,19.09,18.81,17.47,16.81,17.0,17.31,17.47,18.09,20.0,21.12,20.94,20.34,20.47,20.59,19.78,18.62,18.91,19.62,20.41,20.72,21.47,22.62,23.16,22.75,22.53,23.5,25.0,25.62,26.06,27.31,28.5,28.75,28.75,29.53,30.47,30.72,29.72,28.69,27.69,26.25,24.16,22.59,22.53,22.88,23.06,23.12,24.16,25.16,25.5,25.31,25.91,27.28,28.44,28.81,29.62,30.66,31.28,30.78,30.03,30.06,29.78,28.03,25.41,23.47,22.0,20.88,20.03,20.47,21.72,22.84,22.88,23.09,23.81,24.31,23.94,23.78,25.09,26.47,27.44,28.41,30.03,31.84,32.84,32.94,33.0,33.06,32.12,30.34,29.09,28.66,28.69,28.41,28.5,29.44,29.41,27.97,25.69,23.16,21.34,19.47,17.59,16.56,16.66,16.66,16.22,16.88,18.84,21.62,23.59,26.06,28.91,31.03,31.34,30.34,29.06,27.72,25.72,22.94,20.91,19.75,19.12,17.78,17.59,18.38,19.75,20.06,20.19,21.09,21.81,21.91,21.44,21.97,23.25,24.09,24.19,24.47,25.91,26.88,26.97,28.06,29.53,30.97,31.28,31.62,32.25,32.84,32.47,30.62,29.0,27.5,25.47,23.31,21.59,21.0,20.53,18.94,17.84,17.72,18.5,18.66,19.28,21.09,23.62,25.5,26.78,27.69,27.62,26.44,24.0,21.44,20.38,20.0,19.38,18.94,19.44,20.34,20.16,19.72,20.5,21.75,23.25,24.5,26.47,28.84,30.41,31.72,33.19,35.22,37.19,38.0,37.97,37.59,36.94,35.16,33.19,31.62,30.97,30.66,30.22,30.16,30.78,30.72,29.16,27.25,25.78,24.94,24.06,23.22,23.28,23.81,23.56,23.19,23.66,25.22,26.34,27.19,28.38,30.28,32.25,33.44,34.91,37.16,38.69,38.88,38.16,37.69,37.66,36.34,34.69,33.69,33.06,32.59,31.91,32.72,34.78,36.94,38.19,39.16,40.19,40.94,40.75,39.56,38.62,37.5,35.56,33.25,31.53,31.31,31.12,30.72,30.34,30.69,31.06,30.31,29.09,28.78,27.97,26.06,24.16,22.44,21.84,21.09,20.72,21.22,23.16,24.59,25.06,24.41,24.22,23.88,22.56,22.31,23.66,25.75,27.09,27.84,28.25,28.75,28.25,27.31,26.88,27.09,27.19,26.28,25.59,25.56,26.53,26.03,25.97,25.78,25.69,24.75,23.25,22.12,21.84,20.75,19.69,18.97,19.53,20.38,21.12,22.53,24.56,26.72,27.84,28.94,30.25,31.72,32.5,32.03,31.72,31.44,30.69,28.91,27.31,26.06,24.62,21.91,19.22,17.62,16.59,15.69,15.28,15.88,17.41,18.72,19.47,20.78,22.91,24.34,25.41,26.06,27.22,27.78,26.91,25.59,24.88,24.5,23.81,23.0,23.0,23.25,22.25,20.59,18.44,16.81,15.41,14.44,14.34,15.97,18.19,19.53,19.97,20.72,21.09,20.16,18.84,18.0,18.38,18.59,18.78,19.56,21.5,23.09,24.03,24.97,26.78,28.19,28.28,27.56,26.44,25.44,23.06,21.0,19.66,19.5,19.16,18.38,18.06,18.06,18.0,17.44,17.62,18.94,20.88,22.16,23.28,24.72,26.81,27.81,28.44,28.84,29.72,30.34,30.56,31.72,34.12,35.78,35.97,34.69,33.16,31.56,29.59,27.94,27.47,28.41,28.91,28.97,29.69,30.78,31.44,30.88,30.0,30.22,30.06,29.59,28.97,29.31,29.22,28.66,27.38,27.16,28.03,28.44,28.5,29.03,29.97,30.31,29.38,28.88,29.34,30.09,30.31,30.59,30.69,30.28,28.47,25.88,23.41,21.25,18.44,15.62,13.12,11.69,10.81,10.16,10.03,11.41,13.53,15.75,18.44,22.0,25.88,29.5,32.09,34.19,35.88,36.03,35.16,33.72,33.34,33.41,33.09,32.44,32.38,31.78,30.0,27.72,25.47,24.03,22.78,21.47,21.06,21.78,22.31,22.19,22.12,23.0,24.0,24.22,24.62,25.5,26.34,26.03,24.91,24.41,24.34,24.03,23.53,23.41,23.84,23.91,23.69,23.5,23.78,23.69,22.38,20.47,19.0,18.5,17.97,17.06,17.16,17.53,17.56,17.0,16.41,16.88,17.25,17.56,17.56,18.94,20.34,20.72,20.94,22.53,24.47,26.03,27.44,29.5,32.09,34.25,35.09,35.44,35.81,34.56,32.22,29.5,27.53,26.19,25.19,24.56,25.03,26.22,27.19,27.81,28.81,30.09,31.12,31.34,31.22,31.88,31.72,31.09,30.16,30.31,30.94,31.03,31.25,32.0,32.62,32.44,31.41,30.38,29.28,28.12,26.09,24.38,23.44,22.53,21.16,19.91,19.28,18.84,17.5,15.94,14.75,14.12,13.69,13.59,14.62,16.5,18.66,19.91,21.09,22.38,23.31,23.78,23.56,24.59,25.69,26.34,26.34,26.25,25.72,24.38,22.12,19.84,18.47,17.94,17.03,16.75,17.81,18.56,18.28,16.78,15.5,14.19,12.59,11.0,10.31,10.47,10.19,9.28,8.5,9.06,10.16,11.09,12.56,15.06,17.69,19.25,19.91,21.31,22.38,23.06,22.75,22.41,22.0,20.88,18.78,17.03,16.41,16.34,16.0,16.28,17.75,19.5,21.09,21.66,22.31,22.75,22.19,20.66,18.75,17.88,17.34,16.41,16.25,17.56,19.31,21.0,21.81,23.41,25.38,25.22,23.75,22.31,20.94,19.0,16.94,15.78,15.59,15.66,15.16,15.88,17.91,20.75,23.34,26.38,29.81,33.59,35.69,36.5,37.44,37.38,36.72,34.94,33.66,32.66,31.69,29.81,27.91,26.66,25.41,24.09,22.84,22.78,23.53,23.69,23.5,23.44,23.59,23.53,23.44,23.94,25.31,26.97,27.75,28.0,28.5,28.38,27.34,25.56,24.22,23.5,22.81,21.56,21.0,20.53,19.75,18.25,17.0,16.78,17.28,17.34,16.78,16.94,17.25,16.62,15.47,14.66,14.62,14.16,13.34,12.91,13.19,13.44,12.94,12.38,12.28,12.47,12.19,12.31,13.62,15.44,17.0,18.06,18.91,19.75,19.84,18.88,17.69,16.72,16.31,14.66,13.41,13.03,12.91,12.25,11.53,11.81,12.78,13.41,13.78,14.56,15.69,16.12,15.25,14.16,13.62,12.94,11.34,9.88,9.12,9.0,8.09,7.25,7.41,8.41,9.28,9.81,10.88,12.84,14.31,14.94,15.44,15.97,16.31,15.19,14.12,13.94,14.22,14.22,14.06,15.0,16.72,17.66,17.88,18.47,19.22,19.06,17.78,16.56,15.69,15.0,13.72,13.16,13.12,13.62,13.25,12.66,12.06,11.91,11.22,9.84,9.19,9.44,9.91,9.94,10.34,11.66,13.34,13.97,14.62,15.22,15.97,15.25,14.22,13.97,14.66,14.94,14.22,13.38,12.94,11.91,10.25,8.94,8.72,9.28,9.06,8.69,9.09,10.12,10.44,10.81,11.28,12.44,13.62,13.97,14.91,16.31,17.38,16.81,15.47,14.31,13.34,10.97,8.09,5.75,4.38,2.72,1.44,1.06,2.03,3.16,3.59,4.12,5.56,7.03,7.06,7.0,6.69,6.75,5.59,4.25,3.53,4.16,4.53,4.84,5.78,7.5,8.97,8.97,8.81,9.09,9.41,8.72,7.97,8.62,10.19,11.12,12.91,15.41,18.66,21.0,21.97,22.44,22.88,22.44,20.81,19.06,18.25,17.12,15.31,13.62,13.0,13.12,13.16,12.31,11.12,10.0,8.16,5.44,3.19,2.19,1.84,0.91,-0.03,0.31,1.03,0.84,0.69,1.69,3.59,5.44,7.47,9.94,13.31,15.75,17.25,18.22,19.72,20.78,21.03,21.19,22.16,23.69,23.16,21.66,19.66,17.38,13.59,9.78,6.91,5.94,5.47,5.84,6.97,9.09,11.34,12.16,12.38,13.09,14.16,14.47,14.44,15.09,15.91,16.34,16.0,15.44,15.5,14.97,13.69,12.84,13.19,14.25,14.72,15.44,17.0,19.09,20.47,21.38,22.94,25.09,26.81,27.16,27.94,29.38,30.03,29.31,27.94,26.81,25.28,22.16,19.22,17.34,16.28,15.0,13.44,12.38,12.44,12.28,11.41,10.66,11.28,11.28,10.25,9.12,8.91,8.91,8.19,7.72,8.28,9.88,11.69,13.53,16.06,19.69,22.5,24.0,24.5,25.12,24.72,23.44,21.81,21.03,20.81,19.5,17.75,16.59,16.84,16.66,16.41,16.94,12.75,14.22,16.16,17.97,19.38,20.72,21.09,21.22,21.19,21.25,21.97,22.47,23.0,22.88,22.84,22.81,22.31,21.09,20.19,19.22,18.41:21.25,21.19,22.03,22.62,22.38,21.81,21.91,22.53,22.5,21.75,21.16,21.25,21.44,21.06,20.91,22.0,22.84,22.75,22.41,23.12,23.97,24.41,24.09,23.72,24.12,23.97,23.28,23.31,24.81,26.28,27.47,28.88,31.38,33.5,33.97,33.47,32.56,31.53,29.56,26.84,25.03,24.69,24.53,24.38,25.06,26.97,28.47,28.78,28.59,28.69,28.41,27.16,25.47,24.66,24.5,24.25,23.94,24.78,26.94,28.5,29.22,29.88,30.72,31.06,30.22,28.88,28.53,27.91,27.0,26.09,26.31,26.75,26.84,25.94,24.84,24.19,23.34,21.78,20.09,19.47,18.41,16.94,15.69,16.19,17.34,18.41,19.0,19.66,20.59,21.09,20.78,20.25,20.31,19.97,18.59,17.34,17.44,18.41,18.94,19.31,20.62,20.91,20.19,18.56,17.59,17.59,17.66,17.31,17.62,18.19,18.28,17.72,17.09,17.47,18.28,18.28,18.0,18.69,19.09,18.81,17.47,16.81,17.0,17.31,17.47,18.09,20.0,21.12,20.94,20.34,20.47,20.59,19.78,18.62,18.91,19.62,20.41,20.72,21.47,22.62,23.16,22.75,22.53,23.5,25.0,25.62,26.06,27.31,28.5,28.75,28.75,29.53,30.47,30.72,29.72,28.69,27.69,26.25,24.16,22.59,22.53,22.88,23.06,23.12,24.16,25.16,25.5,25.31,25.91,27.28,28.44,28.81,29.62,30.66,31.28,30.78,30.03,30.06,29.78,28.03,25.41,23.47,22.0,20.88,20.03,20.47,21.72,22.84,22.88,23.09,23.81,24.31,23.94,23.78,25.09,26.47,27.44,28.41,30.03,31.84,32.84,32.94,33.0,33.06,32.12,30.34,29.09,28.66,28.69,28.41,28.5,29.44,29.41,27.97,25.69,23.16,21.34,19.47,17.59,16.56,16.66,16.66,16.22,16.88,18.84,21.62,23.59,26.06,28.91,31.03,31.34,30.34,29.06,27.72,25.72,22.94,20.91,19.75,19.12,17.78,17.59,18.38,19.75,20.06,20.19,21.09,21.81,21.91,21.44,21.97,23.25,24.09,24.19,24.47,25.91,26.88,26.97,28.06,29.53,30.97,31.28,31.62,32.25,32.84,32.47,30.62,29.0,27.5,25.47,23.31,21.59,21.0,20.53,18.94,17.84,17.72,18.5,18.66,19.28,21.09,23.62,25.5,26.78,27.69,27.62,26.44,24.0,21.44,20.38,20.0,19.38,18.94,19.44,20.34,20.16,19.72,20.5,21.75,23.25,24.5,26.47,28.84,30.41,31.72,33.19,35.22,37.19,38.0,37.97,37.59,36.94,35.16,33.19,31.62,30.97,30.66,30.22,30.16,30.78,30.72,29.16,27.25,25.78,24.94,24.06,23.22,23.28,23.81,23.56,23.19,23.66,25.22,26.34,27.19,28.38,30.28,32.25,33.44,34.91,37.16,38.69,38.88,38.16,37.69,37.66,36.34,34.69,33.69,33.06,32.59,31.91,32.72,34.78,36.94,38.19,39.16,40.19,40.94,40.75,39.56,38.62,37.5,35.56,33.25,31.53,31.31,31.12,30.72,30.34,30.69,31.06,30.31,29.09,28.78,27.97,26.06,24.16,22.44,21.84,21.09,20.72,21.22,23.16,24.59,25.06,24.41,24.22,23.88,22.56,22.31,23.66,25.75,27.09,27.84,28.25,28.75,28.25,27.31,26.88,27.09,27.19,26.28,25.59,25.56,26.53,26.03,25.97,25.78,25.69,24.75,23.25,22.12,21.84,20.75,19.69,18.97,19.53,20.38,21.12,22.53,24.56,26.72,27.84,28.94,30.25,31.72,32.5,32.03,31.72,31.44,30.69,28.91,27.31,26.06,24.62,21.91,19.22,17.62,16.59,15.69,15.28,15.88,17.41,18.72,19.47,20.78,22.91,24.34,25.41,26.06,27.22,27.78,26.91,25.59,24.88,24.5,23.81,23.0,23.0,23.25,22.25,20.59,18.44,16.81,15.41,14.44,14.34,15.97,18.19,19.53,19.97,20.72,21.09,20.16,18.84,18.0,18.38,18.59,18.78,19.56,21.5,23.09,24.03,24.97,26.78,28.19,28.28,27.56,26.44,25.44,23.06,21.0,19.66,19.5,19.16,18.38,18.06,18.06,18.0,17.44,17.62,18.94,20.88,22.16,23.28,24.72,26.81,27.81,28.44,28.84,29.72,30.34,30.56,31.72,34.12,35.78,35.97,34.69,33.16,31.56,29.59,27.94,27.47,28.41,28.91,28.97,29.69,30.78,31.44,30.88,30.0,30.22,30.06,29.59,28.97,29.31,29.22,28.66,27.38,27.16,28.03,28.44,28.5,29.03,29.97,30.31,29.38,28.88,29.34,30.09,30.31,30.59,30.69,30.28,28.47,25.88,23.41,21.25,18.44,15.62,13.12,11.69,10.81,10.16,10.03,11.41,13.53,15.75,18.44,22.0,25.88,29.5,32.09,34.19,35.88,36.03,35.16,33.72,33.34,33.41,33.09,32.44,32.38,31.78,30.0,27.72,25.47,24.03,22.78,21.47,21.06,21.78,22.31,22.19,22.12,23.0,24.0,24.22,24.62,25.5,26.34,26.03,24.91,24.41,24.34,24.03,23.53,23.41,23.84,23.91,23.69,23.5,23.78,23.69,22.38,20.47,19.0,18.5,17.97,17.06,17.16,17.53,17.56,17.0,16.41,16.88,17.25,17.56,17.56,18.94,20.34,20.72,20.94,22.53,24.47,26.03,27.44,29.5,32.09,34.25,35.09,35.44,35.81,34.56,32.22,29.5,27.53,26.19,25.19,24.56,25.03,26.22,27.19,27.81,28.81,30.09,31.12,31.34,31.22,31.88,31.72,31.09,30.16,30.31,30.94,31.03,31.25,32.0,32.62,32.44,31.41,30.38,29.28,28.12,26.09,24.38,23.44,22.53,21.16,19.91,19.28,18.84,17.5,15.94,14.75,14.12,13.69,13.59,14.62,16.5,18.66,19.91,21.09,22.38,23.31,23.78,23.56,24.59,25.69,26.34,26.34,26.25,25.72,24.38,22.12,19.84,18.47,17.94,17.03,16.75,17.81,18.56,18.28,16.78,15.5,14.19,12.59,11.0,10.31,10.47,10.19,9.28,8.5,9.06,10.16,11.09,12.56,15.06,17.69,19.25,19.91,21.31,22.38,23.06,22.75,22.41,22.0,20.88,18.78,17.03,16.41,16.34,16.0,16.28,17.75,19.5,21.09,21.66,22.31,22.75,22.19,20.66,18.75,17.88,17.34,16.41,16.25,17.56,19.31,21.0,21.81,23.41,25.38,25.22,23.75,22.31,20.94,19.0,16.94,15.78,15.59,15.66,15.16,15.88,17.91,20.75,23.34,26.38,29.81,33.59,35.69,36.5,37.44,37.38,36.72,34.94,33.66,32.66,31.69,29.81,27.91,26.66,25.41,24.09,22.84,22.78,23.53,23.69,23.5,23.44,23.59,23.53,23.44,23.94,25.31,26.97,27.75,28.0,28.5,28.38,27.34,25.56,24.22,23.5,22.81,21.56,21.0,20.53,19.75,18.25,17.0,16.78,17.28,17.34,16.78,16.94,17.25,16.62,15.47,14.66,14.62,14.16,13.34,12.91,13.19,13.44,12.94,12.38,12.28,12.47,12.19,12.31,13.62,15.44,17.0,18.06,18.91,19.75,19.84,18.88,17.69,16.72,16.31,14.66,13.41,13.03,12.91,12.25,11.53,11.81,12.78,13.41,13.78,14.56,15.69,16.12,15.25,14.16,13.62,12.94,11.34,9.88,9.12,9.0,8.09,7.25,7.41,8.41,9.28,9.81,10.88,12.84,14.31,14.94,15.44,15.97,16.31,15.19,14.12,13.94,14.22,14.22,14.06,15.0,16.72,17.66,17.88,18.47,19.22,19.06,17.78,16.56,15.69,15.0,13.72,13.16,13.12,13.62,13.25,12.66,12.06,11.91,11.22,9.84,9.19,9.44,9.91,9.94,10.34,11.66,13.34,13.97,14.62,15.22,15.97,15.25,14.22,13.97,14.66,14.94,14.22,13.38,12.94,11.91,10.25,8.94,8.72,9.28,9.06,8.69,9.09,10.12,10.44,10.81,11.28,12.44,13.62,13.97,14.91,16.31,17.38,16.81,15.47,14.31,13.34,10.97,8.09,5.75,4.38,2.72,1.44,1.06,2.03,3.16,3.59,4.12,5.56,7.03,7.06,7.0,6.69,6.75,5.59,4.25,3.53,4.16,4.53,4.84,5.78,7.5,8.97,8.97,8.81,9.09,9.41,8.72,7.97,8.62,10.19,11.12,12.91,15.41,18.66,21.0,21.97,22.44,22.88,22.44,20.81,19.06,18.25,17.12,15.31,13.62,13.0,13.12,13.16,12.31,11.12,10.0,8.16,5.44,3.19,2.19,1.84,0.91,-0.03,0.31,1.03,0.84,0.69,1.69,3.59,5.44,7.47,9.94,13.31,15.75,17.25,18.22,19.72,20.78,21.03,21.19,22.16,23.69,23.16,21.66,19.66,17.38,13.59,9.78,6.91,5.94,5.47,5.84,6.97,9.09,11.34,12.16,12.38,13.09,14.16,14.47,14.44,15.09,15.91,16.34,16.0,15.44,15.5,14.97,13.69,12.84,13.19,14.25,14.72,15.44,17.0,19.09,20.47,21.38,22.94,25.09,26.81,27.16,27.94,29.38,30.03,29.31,27.94,26.81,25.28,22.16,19.22,17.34,16.28,15.0,13.44,12.38,12.44,12.28,11.41,10.66,11.28,11.28,10.25,9.12,8.91,8.91,8.19,7.72,8.28,9.88,11.69,13.53,16.06,19.69,22.5,24.0,24.5,25.12,24.72,23.44,21.81,21.03,20.81,19.5,17.75,16.59,16.84,16.66,16.41,16.94,12.75,14.22,16.16,17.97,19.38,20.72,21.09,21.22,21.19,21.25,21.97,22.47,23.0,22.88,22.84,22.81,22.31,21.09,20.19,19.22,18.41,18.03,18.56,19.59,20.91,22.28,23.47,24.69:22.53,22.5,21.75,21.16,21.25,21.44,21.06,20.91,22.0,22.84,22.75,22.41,23.12,23.97,24.41,24.09,23.72,24.12,23.97,23.28,23.31,24.81,26.28,27.47,28.88,31.38,33.5,33.97,33.47,32.56,31.53,29.56,26.84,25.03,24.69,24.53,24.38,25.06,26.97,28.47,28.78,28.59,28.69,28.41,27.16,25.47,24.66,24.5,24.25,23.94,24.78,26.94,28.5,29.22,29.88,30.72,31.06,30.22,28.88,28.53,27.91,27.0,26.09,26.31,26.75,26.84,25.94,24.84,24.19,23.34,21.78,20.09,19.47,18.41,16.94,15.69,16.19,17.34,18.41,19.0,19.66,20.59,21.09,20.78,20.25,20.31,19.97,18.59,17.34,17.44,18.41,18.94,19.31,20.62,20.91,20.19,18.56,17.59,17.59,17.66,17.31,17.62,18.19,18.28,17.72,17.09,17.47,18.28,18.28,18.0,18.69,19.09,18.81,17.47,16.81,17.0,17.31,17.47,18.09,20.0,21.12,20.94,20.34,20.47,20.59,19.78,18.62,18.91,19.62,20.41,20.72,21.47,22.62,23.16,22.75,22.53,23.5,25.0,25.62,26.06,27.31,28.5,28.75,28.75,29.53,30.47,30.72,29.72,28.69,27.69,26.25,24.16,22.59,22.53,22.88,23.06,23.12,24.16,25.16,25.5,25.31,25.91,27.28,28.44,28.81,29.62,30.66,31.28,30.78,30.03,30.06,29.78,28.03,25.41,23.47,22.0,20.88,20.03,20.47,21.72,22.84,22.88,23.09,23.81,24.31,23.94,23.78,25.09,26.47,27.44,28.41,30.03,31.84,32.84,32.94,33.0,33.06,32.12,30.34,29.09,28.66,28.69,28.41,28.5,29.44,29.41,27.97,25.69,23.16,21.34,19.47,17.59,16.56,16.66,16.66,16.22,16.88,18.84,21.62,23.59,26.06,28.91,31.03,31.34,30.34,29.06,27.72,25.72,22.94,20.91,19.75,19.12,17.78,17.59,18.38,19.75,20.06,20.19,21.09,21.81,21.91,21.44,21.97,23.25,24.09,24.19,24.47,25.91,26.88,26.97,28.06,29.53,30.97,31.28,31.62,32.25,32.84,32.47,30.62,29.0,27.5,25.47,23.31,21.59,21.0,20.53,18.94,17.84,17.72,18.5,18.66,19.28,21.09,23.62,25.5,26.78,27.69,27.62,26.44,24.0,21.44,20.38,20.0,19.38,18.94,19.44,20.34,20.16,19.72,20.5,21.75,23.25,24.5,26.47,28.84,30.41,31.72,33.19,35.22,37.19,38.0,37.97,37.59,36.94,35.16,33.19,31.62,30.97,30.66,30.22,30.16,30.78,30.72,29.16,27.25,25.78,24.94,24.06,23.22,23.28,23.81,23.56,23.19,23.66,25.22,26.34,27.19,28.38,30.28,32.25,33.44,34.91,37.16,38.69,38.88,38.16,37.69,37.66,36.34,34.69,33.69,33.06,32.59,31.91,32.72,34.78,36.94,38.19,39.16,40.19,40.94,40.75,39.56,38.62,37.5,35.56,33.25,31.53,31.31,31.12,30.72,30.34,30.69,31.06,30.31,29.09,28.78,27.97,26.06,24.16,22.44,21.84,21.09,20.72,21.22,23.16,24.59,25.06,24.41,24.22,23.88,22.56,22.31,23.66,25.75,27.09,27.84,28.25,28.75,28.25,27.31,26.88,27.09,27.19,26.28,25.59,25.56,26.53,26.03,25.97,25.78,25.69,24.75,23.25,22.12,21.84,20.75,19.69,18.97,19.53,20.38,21.12,22.53,24.56,26.72,27.84,28.94,30.25,31.72,32.5,32.03,31.72,31.44,30.69,28.91,27.31,26.06,24.62,21.91,19.22,17.62,16.59,15.69,15.28,15.88,17.41,18.72,19.47,20.78,22.91,24.34,25.41,26.06,27.22,27.78,26.91,25.59,24.88,24.5,23.81,23.0,23.0,23.25,22.25,20.59,18.44,16.81,15.41,14.44,14.34,15.97,18.19,19.53,19.97,20.72,21.09,20.16,18.84,18.0,18.38,18.59,18.78,19.56,21.5,23.09,24.03,24.97,26.78,28.19,28.28,27.56,26.44,25.44,23.06,21.0,19.66,19.5,19.16,18.38,18.06,18.06,18.0,17.44,17.62,18.94,20.88,22.16,23.28,24.72,26.81,27.81,28.44,28.84,29.72,30.34,30.56,31.72,34.12,35.78,35.97,34.69,33.16,31.56,29.59,27.94,27.47,28.41,28.91,28.97,29.69,30.78,31.44,30.88,30.0,30.22,30.06,29.59,28.97,29.31,29.22,28.66,27.38,27.16,28.03,28.44,28.5,29.03,29.97,30.31,29.38,28.88,29.34,30.09,30.31,30.59,30.69,30.28,28.47,25.88,23.41,21.25,18.44,15.62,13.12,11.69,10.81,10.16,10.03,11.41,13.53,15.75,18.44,22.0,25.88,29.5,32.09,34.19,35.88,36.03,35.16,33.72,33.34,33.41,33.09,32.44,32.38,31.78,30.0,27.72,25.47,24.03,22.78,21.47,21.06,21.78,22.31,22.19,22.12,23.0,24.0,24.22,24.62,25.5,26.34,26.03,24.91,24.41,24.34,24.03,23.53,23.41,23.84,23.91,23.69,23.5,23.78,23.69,22.38,20.47,19.0,18.5,17.97,17.06,17.16,17.53,17.56,17.0,16.41,16.88,17.25,17.56,17.56,18.94,20.34,20.72,20.94,22.53,24.47,26.03,27.44,29.5,32.09,34.25,35.09,35.44,35.81,34.56,32.22,29.5,27.53,26.19,25.19,24.56,25.03,26.22,27.19,27.81,28.81,30.09,31.12,31.34,31.22,31.88,31.72,31.09,30.16,30.31,30.94,31.03,31.25,32.0,32.62,32.44,31.41,30.38,29.28,28.12,26.09,24.38,23.44,22.53,21.16,19.91,19.28,18.84,17.5,15.94,14.75,14.12,13.69,13.59,14.62,16.5,18.66,19.91,21.09,22.38,23.31,23.78,23.56,24.59,25.69,26.34,26.34,26.25,25.72,24.38,22.12,19.84,18.47,17.94,17.03,16.75,17.81,18.56,18.28,16.78,15.5,14.19,12.59,11.0,10.31,10.47,10.19,9.28,8.5,9.06,10.16,11.09,12.56,15.06,17.69,19.25,19.91,21.31,22.38,23.06,22.75,22.41,22.0,20.88,18.78,17.03,16.41,16.34,16.0,16.28,17.75,19.5,21.09,21.66,22.31,22.75,22.19,20.66,18.75,17.88,17.34,16.41,16.25,17.56,19.31,21.0,21.81,23.41,25.38,25.22,23.75,22.31,20.94,19.0,16.94,15.78,15.59,15.66,15.16,15.88,17.91,20.75,23.34,26.38,29.81,33.59,35.69,36.5,37.44,37.38,36.72,34.94,33.66,32.66,31.69,29.81,27.91,26.66,25.41,24.09,22.84,22.78,23.53,23.69,23.5,23.44,23.59,23.53,23.44,23.94,25.31,26.97,27.75,28.0,28.5,28.38,27.34,25.56,24.22,23.5,22.81,21.56,21.0,20.53,19.75,18.25,17.0,16.78,17.28,17.34,16.78,16.94,17.25,16.62,15.47,14.66,14.62,14.16,13.34,12.91,13.19,13.44,12.94,12.38,12.28,12.47,12.19,12.31,13.62,15.44,17.0,18.06,18.91,19.75,19.84,18.88,17.69,16.72,16.31,14.66,13.41,13.03,12.91,12.25,11.53,11.81,12.78,13.41,13.78,14.56,15.69,16.12,15.25,14.16,13.62,12.94,11.34,9.88,9.12,9.0,8.09,7.25,7.41,8.41,9.28,9.81,10.88,12.84,14.31,14.94,15.44,15.97,16.31,15.19,14.12,13.94,14.22,14.22,14.06,15.0,16.72,17.66,17.88,18.47,19.22,19.06,17.78,16.56,15.69,15.0,13.72,13.16,13.12,13.62,13.25,12.66,12.06,11.91,11.22,9.84,9.19,9.44,9.91,9.94,10.34,11.66,13.34,13.97,14.62,15.22,15.97,15.25,14.22,13.97,14.66,14.94,14.22,13.38,12.94,11.91,10.25,8.94,8.72,9.28,9.06,8.69,9.09,10.12,10.44,10.81,11.28,12.44,13.62,13.97,14.91,16.31,17.38,16.81,15.47,14.31,13.34,10.97,8.09,5.75,4.38,2.72,1.44,1.06,2.03,3.16,3.59,4.12,5.56,7.03,7.06,7.0,6.69,6.75,5.59,4.25,3.53,4.16,4.53,4.84,5.78,7.5,8.97,8.97,8.81,9.09,9.41,8.72,7.97,8.62,10.19,11.12,12.91,15.41,18.66,21.0,21.97,22.44,22.88,22.44,20.81,19.06,18.25,17.12,15.31,13.62,13.0,13.12,13.16,12.31,11.12,10.0,8.16,5.44,3.19,2.19,1.84,0.91,-0.03,0.31,1.03,0.84,0.69,1.69,3.59,5.44,7.47,9.94,13.31,15.75,17.25,18.22,19.72,20.78,21.03,21.19,22.16,23.69,23.16,21.66,19.66,17.38,13.59,9.78,6.91,5.94,5.47,5.84,6.97,9.09,11.34,12.16,12.38,13.09,14.16,14.47,14.44,15.09,15.91,16.34,16.0,15.44,15.5,14.97,13.69,12.84,13.19,14.25,14.72,15.44,17.0,19.09,20.47,21.38,22.94,25.09,26.81,27.16,27.94,29.38,30.03,29.31,27.94,26.81,25.28,22.16,19.22,17.34,16.28,15.0,13.44,12.38,12.44,12.28,11.41,10.66,11.28,11.28,10.25,9.12,8.91,8.91,8.19,7.72,8.28,9.88,11.69,13.53,16.06,19.69,22.5,24.0,24.5,25.12,24.72,23.44,21.81,21.03,20.81,19.5,17.75,16.59,16.84,16.66,16.41,16.94,12.75,14.22,16.16,17.97,19.38,20.72,21.09,21.22,21.19,21.25,21.97,22.47,23.0,22.88,22.84,22.81,22.31,21.09,20.19,19.22,18.41,18.03,18.56,19.59,20.91,22.28,23.47,24.69,25.44,25.41,25.06,24.59,23.91,23.12,22.5:20.91,22.0,22.84,22.75,22.41,23.12,23.97,24.41,24.09,23.72,24.12,23.97,23.28,23.31,24.81,26.28,27.47,28.88,31.38,33.5,33.97,33.47,32.56,31.53,29.56,26.84,25.03,24.69,24.53,24.38,25.06,26.97,28.47,28.78,28.59,28.69,28.41,27.16,25.47,24.66,24.5,24.25,23.94,24.78,26.94,28.5,29.22,29.88,30.72,31.06,30.22,28.88,28.53,27.91,27.0,26.09,26.31,26.75,26.84,25.94,24.84,24.19,23.34,21.78,20.09,19.47,18.41,16.94,15.69,16.19,17.34,18.41,19.0,19.66,20.59,21.09,20.78,20.25,20.31,19.97,18.59,17.34,17.44,18.41,18.94,19.31,20.62,20.91,20.19,18.56,17.59,17.59,17.66,17.31,17.62,18.19,18.28,17.72,17.09,17.47,18.28,18.28,18.0,18.69,19.09,18.81,17.47,16.81,17.0,17.31,17.47,18.09,20.0,21.12,20.94,20.34,20.47,20.59,19.78,18.62,18.91,19.62,20.41,20.72,21.47,22.62,23.16,22.75,22.53,23.5,25.0,25.62,26.06,27.31,28.5,28.75,28.75,29.53,30.47,30.72,29.72,28.69,27.69,26.25,24.16,22.59,22.53,22.88,23.06,23.12,24.16,25.16,25.5,25.31,25.91,27.28,28.44,28.81,29.62,30.66,31.28,30.78,30.03,30.06,29.78,28.03,25.41,23.47,22.0,20.88,20.03,20.47,21.72,22.84,22.88,23.09,23.81,24.31,23.94,23.78,25.09,26.47,27.44,28.41,30.03,31.84,32.84,32.94,33.0,33.06,32.12,30.34,29.09,28.66,28.69,28.41,28.5,29.44,29.41,27.97,25.69,23.16,21.34,19.47,17.59,16.56,16.66,16.66,16.22,16.88,18.84,21.62,23.59,26.06,28.91,31.03,31.34,30.34,29.06,27.72,25.72,22.94,20.91,19.75,19.12,17.78,17.59,18.38,19.75,20.06,20.19,21.09,21.81,21.91,21.44,21.97,23.25,24.09,24.19,24.47,25.91,26.88,26.97,28.06,29.53,30.97,31.28,31.62,32.25,32.84,32.47,30.62,29.0,27.5,25.47,23.31,21.59,21.0,20.53,18.94,17.84,17.72,18.5,18.66,19.28,21.09,23.62,25.5,26.78,27.69,27.62,26.44,24.0,21.44,20.38,20.0,19.38,18.94,19.44,20.34,20.16,19.72,20.5,21.75,23.25,24.5,26.47,28.84,30.41,31.72,33.19,35.22,37.19,38.0,37.97,37.59,36.94,35.16,33.19,31.62,30.97,30.66,30.22,30.16,30.78,30.72,29.16,27.25,25.78,24.94,24.06,23.22,23.28,23.81,23.56,23.19,23.66,25.22,26.34,27.19,28.38,30.28,32.25,33.44,34.91,37.16,38.69,38.88,38.16,37.69,37.66,36.34,34.69,33.69,33.06,32.59,31.91,32.72,34.78,36.94,38.19,39.16,40.19,40.94,40.75,39.56,38.62,37.5,35.56,33.25,31.53,31.31,31.12,30.72,30.34,30.69,31.06,30.31,29.09,28.78,27.97,26.06,24.16,22.44,21.84,21.09,20.72,21.22,23.16,24.59,25.06,24.41,24.22,23.88,22.56,22.31,23.66,25.75,27.09,27.84,28.25,28.75,28.25,27.31,26.88,27.09,27.19,26.28,25.59,25.56,26.53,26.03,25.97,25.78,25.69,24.75,23.25,22.12,21.84,20.75,19.69,18.97,19.53,20.38,21.12,22.53,24.56,26.72,27.84,28.94,30.25,31.72,32.5,32.03,31.72,31.44,30.69,28.91,27.31,26.06,24.62,21.91,19.22,17.62,16.59,15.69,15.28,15.88,17.41,18.72,19.47,20.78,22.91,24.34,25.41,26.06,27.22,27.78,26.91,25.59,24.88,24.5,23.81,23.0,23.0,23.25,22.25,20.59,18.44,16.81,15.41,14.44,14.34,15.97,18.19,19.53,19.97,20.72,21.09,20.16,18.84,18.0,18.38,18.59,18.78,19.56,21.5,23.09,24.03,24.97,26.78,28.19,28.28,27.56,26.44,25.44,23.06,21.0,19.66,19.5,19.16,18.38,18.06,18.06,18.0,17.44,17.62,18.94,20.88,22.16,23.28,24.72,26.81,27.81,28.44,28.84,29.72,30.34,30.56,31.72,34.12,35.78,35.97,34.69,33.16,31.56,29.59,27.94,27.47,28.41,28.91,28.97,29.69,30.78,31.44,30.88,30.0,30.22,30.06,29.59,28.97,29.31,29.22,28.66,27.38,27.16,28.03,28.44,28.5,29.03,29.97,30.31,29.38,28.88,29.34,30.09,30.31,30.59,30.69,30.28,28.47,25.88,23.41,21.25,18.44,15.62,13.12,11.69,10.81,10.16,10.03,11.41,13.53,15.75,18.44,22.0,25.88,29.5,32.09,34.19,35.88,36.03,35.16,33.72,33.34,33.41,33.09,32.44,32.38,31.78,30.0,27.72,25.47,24.03,22.78,21.47,21.06,21.78,22.31,22.19,22.12,23.0,24.0,24.22,24.62,25.5,26.34,26.03,24.91,24.41,24.34,24.03,23.53,23.41,23.84,23.91,23.69,23.5,23.78,23.69,22.38,20.47,19.0,18.5,17.97,17.06,17.16,17.53,17.56,17.0,16.41,16.88,17.25,17.56,17.56,18.94,20.34,20.72,20.94,22.53,24.47,26.03,27.44,29.5,32.09,34.25,35.09,35.44,35.81,34.56,32.22,29.5,27.53,26.19,25.19,24.56,25.03,26.22,27.19,27.81,28.81,30.09,31.12,31.34,31.22,31.88,31.72,31.09,30.16,30.31,30.94,31.03,31.25,32.0,32.62,32.44,31.41,30.38,29.28,28.12,26.09,24.38,23.44,22.53,21.16,19.91,19.28,18.84,17.5,15.94,14.75,14.12,13.69,13.59,14.62,16.5,18.66,19.91,21.09,22.38,23.31,23.78,23.56,24.59,25.69,26.34,26.34,26.25,25.72,24.38,22.12,19.84,18.47,17.94,17.03,16.75,17.81,18.56,18.28,16.78,15.5,14.19,12.59,11.0,10.31,10.47,10.19,9.28,8.5,9.06,10.16,11.09,12.56,15.06,17.69,19.25,19.91,21.31,22.38,23.06,22.75,22.41,22.0,20.88,18.78,17.03,16.41,16.34,16.0,16.28,17.75,19.5,21.09,21.66,22.31,22.75,22.19,20.66,18.75,17.88,17.34,16.41,16.25,17.56,19.31,21.0,21.81,23.41,25.38,25.22,23.75,22.31,20.94,19.0,16.94,15.78,15.59,15.66,15.16,15.88,17.91,20.75,23.34,26.38,29.81,33.59,35.69,36.5,37.44,37.38,36.72,34.94,33.66,32.66,31.69,29.81,27.91,26.66,25.41,24.09,22.84,22.78,23.53,23.69,23.5,23.44,23.59,23.53,23.44,23.94,25.31,26.97,27.75,28.0,28.5,28.38,27.34,25.56,24.22,23.5,22.81,21.56,21.0,20.53,19.75,18.25,17.0,16.78,17.28,17.34,16.78,16.94,17.25,16.62,15.47,14.66,14.62,14.16,13.34,12.91,13.19,13.44,12.94,12.38,12.28,12.47,12.19,12.31,13.62,15.44,17.0,18.06,18.91,19.75,19.84,18.88,17.69,16.72,16.31,14.66,13.41,13.03,12.91,12.25,11.53,11.81,12.78,13.41,13.78,14.56,15.69,16.12,15.25,14.16,13.62,12.94,11.34,9.88,9.12,9.0,8.09,7.25,7.41,8.41,9.28,9.81,10.88,12.84,14.31,14.94,15.44,15.97,16.31,15.19,14.12,13.94,14.22,14.22,14.06,15.0,16.72,17.66,17.88,18.47,19.22,19.06,17.78,16.56,15.69,15.0,13.72,13.16,13.12,13.62,13.25,12.66,12.06,11.91,11.22,9.84,9.19,9.44,9.91,9.94,10.34,11.66,13.34,13.97,14.62,15.22,15.97,15.25,14.22,13.97,14.66,14.94,14.22,13.38,12.94,11.91,10.25,8.94,8.72,9.28,9.06,8.69,9.09,10.12,10.44,10.81,11.28,12.44,13.62,13.97,14.91,16.31,17.38,16.81,15.47,14.31,13.34,10.97,8.09,5.75,4.38,2.72,1.44,1.06,2.03,3.16,3.59,4.12,5.56,7.03,7.06,7.0,6.69,6.75,5.59,4.25,3.53,4.16,4.53,4.84,5.78,7.5,8.97,8.97,8.81,9.09,9.41,8.72,7.97,8.62,10.19,11.12,12.91,15.41,18.66,21.0,21.97,22.44,22.88,22.44,20.81,19.06,18.25,17.12,15.31,13.62,13.0,13.12,13.16,12.31,11.12,10.0,8.16,5.44,3.19,2.19,1.84,0.91,-0.03,0.31,1.03,0.84,0.69,1.69,3.59,5.44,7.47,9.94,13.31,15.75,17.25,18.22,19.72,20.78,21.03,21.19,22.16,23.69,23.16,21.66,19.66,17.38,13.59,9.78,6.91,5.94,5.47,5.84,6.97,9.09,11.34,12.16,12.38,13.09,14.16,14.47,14.44,15.09,15.91,16.34,16.0,15.44,15.5,14.97,13.69,12.84,13.19,14.25,14.72,15.44,17.0,19.09,20.47,21.38,22.94,25.09,26.81,27.16,27.94,29.38,30.03,29.31,27.94,26.81,25.28,22.16,19.22,17.34,16.28,15.0,13.44,12.38,12.44,12.28,11.41,10.66,11.28,11.28,10.25,9.12,8.91,8.91,8.19,7.72,8.28,9.88,11.69,13.53,16.06,19.69,22.5,24.0,24.5,25.12,24.72,23.44,21.81,21.03,20.81,19.5,17.75,16.59,16.84,16.66,16.41,16.94,12.75,14.22,16.16,17.97,19.38,20.72,21.09,21.22,21.19,21.25,21.97,22.47,23.0,22.88,22.84,22.81,22.31,21.09,20.19,19.22,18.41,18.03,18.56,19.59,20.91,22.28,23.47,24.69,25.44,25.41,25.06,24.59,23.91,23.12,22.5,22.34,22.0,22.25,22.44,23.19,24.62,26.09:negativity
-8.16,-7.31,-8.19,-6.78,-3.16,0.12,1.81,4.75,9.62,13.09,13.69,13.66,15.25,16.38,15.16,12.66,12.16,12.69,12.09,10.22,9.97,11.56,11.84,9.62,7.66,7.88,8.19,6.66,5.88,7.75,10.38,10.31,8.97,9.03,9.38,7.78,4.19,2.03,1.91,1.56,-0.56,-1.66,-0.5,-0.03,-2.03,-4.59,-4.62,-3.69,-5.03,-7.0,-6.94,-5.91,-6.91,-9.66,-11.19,-10.59,-10.5,-11.38,-10.81,-7.5,-3.94,-2.34,-1.69,1.12,4.56,5.66,5.59,7.69,11.34,14.12,14.84,16.31,19.22,20.31,18.09,15.53,14.78,13.44,10.47,7.5,6.91,7.66,7.19,5.5,5.81,7.78,9.22,8.59,9.06,11.47,12.91,11.41,9.44,9.12,8.53,5.12,0.84,-1.09,-2.53,-5.28,-9.5,-12.22,-13.03,-14.44,-16.94,-17.22,-13.56,-9.0,-5.78,-2.12,3.5,9.19,12.25,14.19,17.41,21.41,23.41,23.22,23.25,24.5,23.53,19.38,15.25,12.88,9.97,5.03,-0.19,-3.09,-5.19,-8.41,-11.59,-11.41,-9.25,-7.16,-6.06,-3.22,1.59,6.38,9.53,13.31,19.25,24.47,26.75,27.53,28.88,29.34,26.12,20.22,15.25,11.31,6.84,1.75,-0.88,-0.59,-0.25,-1.88,-2.56,-0.44,2.16,3.25,3.88,6.69,10.72,12.81,14.09,17.22,21.5,23.88,23.34,22.66,22.78,21.62,17.5,13.5,12.19,11.84,10.0,8.16,8.56,10.53,10.59,9.44,10.12,11.97,13.09,12.31,12.91,16.28,19.72,20.62,21.31,23.59,24.81,23.12,20.19,19.09,18.66,16.94,13.81,11.94,11.56,9.97,5.81,2.5,1.88,1.84,1.19,2.38,7.5,13.66,17.91,20.34,22.97,24.81,24.19,21.34,19.41,18.91,18.5,16.09,14.53,15.34,16.62,15.62,14.72,15.88,17.88,18.03,16.53,15.72,14.88,11.91,6.84,3.41,2.94,2.91,1.34,0.75,2.06,3.22,1.5,-0.69,-1.09,-0.47,-1.31,-2.06,-0.47,3.31,6.22,7.59,9.19,12.5,15.06,15.19,15.53,18.09,20.66,20.34,18.88,18.66,18.62,17.09,13.94,12.59,13.41,13.53,12.19,11.69,13.28,13.94,12.06,9.97,10.0,10.84,9.94,8.88,10.44,13.19,14.53,14.12,14.81,16.12,16.59,14.25,12.53,12.62,12.59,10.19,8.09,8.38,9.62,9.22,8.31,8.66,10.44,10.75,9.75,9.97,12.28,14.0,13.47,12.94,13.69,14.09,11.38,8.28,7.34,7.38,5.94,4.03,4.0,5.38,5.72,4.09,3.25,4.31,5.19,4.03,3.12,4.34,5.91,4.53,2.84,3.09,4.38,4.28,3.25,4.03,6.34,7.62,6.91,7.16,9.59,11.09,9.88,8.97,9.97,10.88,9.69,8.12,8.09,9.53,9.41,8.72,9.72,12.47,14.0,13.16,12.81,13.81,14.38,12.94,11.5,12.75,14.38,13.78,12.25,11.94,12.44,10.91,8.34,7.16,7.97,8.34,7.25,7.09,9.25,11.66,12.16,13.03,15.91,19.75,21.03,21.12,22.06,23.88,23.59,21.81,20.44,20.78,20.25,17.91,16.06,16.19,16.56,14.31,12.09,12.09,13.19,13.12,12.41,13.41,15.91,16.88,16.34,15.91,17.19,17.5,15.59,14.25,14.91,16.31,15.53,13.94,14.34,15.47,14.28,11.53,9.91,9.69,8.56,6.41,6.12,8.38,11.06,11.59,12.12,14.28,16.81,16.59,15.31,15.41,17.06,16.84,15.81,16.28,18.41,19.44,18.53,17.72,19.06,19.84,18.47,16.78,17.91,20.25,20.53,19.81,20.03,20.69,18.03,13.19,9.31,7.81,6.25,4.22,3.44,5.12,6.56,5.91,4.56,4.62,5.62,5.22,3.84,4.5,7.44,9.47,10.09,11.88,15.19,17.38,16.41,15.22,15.81,16.28,14.72,12.56,12.06,12.34,10.88,8.16,6.69,7.19,6.75,5.0,4.62,7.0,9.06,9.16,8.56,9.41,10.06,8.03,5.06,4.66,5.62,4.69,3.69,4.25,6.84,9.06,9.72,10.97,13.97,16.16,15.41,14.25,14.66,15.31,13.84,11.38,10.28,10.09,8.31,5.53,3.94,4.47,4.53,3.59,3.91,7.34,10.91,12.62,13.28,15.34,17.09,16.84,15.03,14.75,16.0,16.38,15.28,15.03,16.56,16.84,14.59,12.47,12.88,13.09,11.69,10.0,10.38,11.41,10.94,9.0,8.47,9.19,9.25,8.44,9.25,12.44,15.16,15.19,14.75,15.78,16.84,15.59,13.62,13.28,13.75,12.47,10.31,10.16,12.16,13.94,14.69,15.94,19.28,21.75,21.06,19.06,19.25,19.06,16.97,14.22,13.31,13.84,13.47,11.78,12.0,14.31,15.28,13.88,12.34,13.0,13.19,11.41,9.84,10.38,11.66,11.25,9.88,10.44,12.03,12.69,12.0,12.56,15.06,17.12,16.84,17.25,19.84,22.44,22.5,21.75,22.41,23.28,21.66,18.5,16.41,15.47,13.5,9.75,7.41,7.56,7.62,6.0,4.66,6.56,8.38,8.0,6.78,7.38,8.66,8.41,7.56,8.25,10.75,12.28,11.38,11.12,12.59,13.12,11.16,8.31,8.12,8.59,7.44,5.56,6.0,6.84,5.0,1.62,-0.25,0.25,0.53,-0.03,0.22,2.88,6.06,7.12,7.91,11.03,13.91,13.66,11.91,11.47,12.03,11.66,10.19,10.56,12.38,13.81,12.94,12.56,14.16,16.06,16.0,15.12,16.75,18.84,19.34,18.69,19.69,21.31,21.72,20.28,20.38,22.16,23.75,22.91,21.66,22.03,22.28,19.84,16.53,15.5,16.0,14.72,12.81,12.94,14.53,14.75,13.75,12.94,13.94,14.53,12.41,10.62,11.16,12.19,11.44,9.88,10.25,11.62,11.75,10.84,11.72,14.22,15.84,14.97,14.75,16.53,18.03,17.19,16.06,16.53,16.88,15.0,11.72,10.41,10.28,9.25,7.25,7.0,8.59,9.97,8.97,8.56,9.94,10.81,8.84,6.22,5.22,5.5,4.25,2.69,3.78,7.06,8.88,8.97,10.12,12.41,13.69,12.28,11.03,11.59,12.41,10.5,8.38,8.5,9.44,8.78,6.62,5.97,6.16,4.84,1.62,-0.03,1.0,1.59,1.09,0.91,3.44,5.75,5.56,4.44,5.0,6.5,6.53,5.5,6.62,9.34,11.06,10.91,11.28,13.5,14.75,13.06,11.03,10.5,10.22,7.66,4.5,3.94,5.25,5.69,5.22,6.41,8.72,9.69,7.5,5.66,6.12,7.31,7.34,8.22,11.47,15.0,15.66,14.0,13.06,13.12,11.47,9.22,8.69,10.94,13.41,13.44,13.72,15.44,16.62,14.53,11.53,10.5,10.78,9.38,7.0,6.5,7.25,6.38,3.72,2.59,4.38,6.25,6.75,7.81,11.22,14.34,14.56,12.78,12.56,12.38,10.78,8.62,8.53,11.5,13.81,13.88,14.38,15.72,16.06,13.03,10.12,9.03,8.78,5.88,2.41,0.78,0.69,-0.03,-1.56,-1.28,1.16,2.12,0.84,-0.16,1.28,3.22,3.34,4.53,8.38,13.03,14.88,14.97,14.97,15.03,12.0,6.81,2.72,1.53,0.34,-1.81,-2.31,0.66,4.25,6.19,8.31,12.31,16.5,17.22,15.38,13.5,11.94,8.84,3.78,0.03,-1.28,-2.66,-5.75,-7.28,-5.69,-3.03,-2.25,-1.53,1.0,4.28,5.44,4.75,5.47,6.94,6.94,4.62,2.94,3.31,3.78,2.09,0.94,1.69,2.38,0.19,-3.03,-4.25,-3.88,-4.34,-4.97,-3.69,-0.09,2.66,3.5,4.53,7.69,9.62,8.34,5.5,3.59,1.69,-3.44,-9.84,-14.31,-17.03,-20.34,-23.88,-24.47,-21.94,-19.53,-19.34,-19.28,-16.88,-14.56,-14.16,-12.75,-8.03,-2.22,1.84,5.06,9.81,15.59,19.12,19.72,19.66,19.5,17.5,12.25,7.06,4.0,1.06,-4.25,-10.34,-14.06,-16.0,-18.84,-21.22,-20.84,-17.09,-13.91,-11.56,-8.81,-3.47,0.75,2.12,2.41,4.19,5.0,3.12,0.41,0.16,2.22,3.09,3.34,4.59,6.91,6.53,2.81,-1.16,-3.34,-5.09,-8.72,-11.97,-11.94,-11.47,-12.66,-14.78,-14.0,-11.31,-9.56,-8.78,-6.22,-2.03,1.28,2.03,2.94,5.78,7.88,6.81,5.16,5.34,5.84,4.16,1.69,0.62,1.06,0.25,-2.12,-3.09,-1.25,-0.03,-0.69,-1.84,-1.16,-1.03,-3.78,-7.06,-7.72,-6.22,-5.91,-6.06,-4.03,-0.19,2.09,1.91,2.66,5.34,6.91,6.19,5.22,6.03,6.34,3.72,-0.22,-1.78,-2.66,-4.28,-7.16,-7.34,-5.66,-5.06,-6.91,-7.84,-7.12,-7.16,-9.09,-10.5,-8.56,-4.94,-3.12,-1.88,0.91,4.38,5.56,4.47,4.91,7.09,7.88,6.22,5.03,5.84,6.31,4.72,3.09,3.94,5.97,5.28,4.0,4.59,6.75,7.34,6.5,6.62,8.78,9.91,8.88,8.22,9.66,10.78,9.75,8.03,9.16,11.44,11.75,10.5,10.5,10.81,9.12,5.06,2.03,1.56,0.97,-1.22,-2.31,-0.41,2.0,2.72,2.72,4.41,6.38,5.84,3.34,1.88,2.09,1.25,-1.12,-2.0,-0.06,1.47,0.91,0.34,1.88,4.25,4.34,3.81,5.56,8.44,8.91,8.0,7.84,9.47,9.38,7.0,5.56,6.47,6.91,5.22,3.75,4.41,5.56,4.94,3.28,3.88,5.75,6.22,5.28,5.25,6.75,7.47,5.41,3.91,4.56,5.19,3.72,1.94,2.91,4.81,5.16,5.06,6.56,9.56,11.28,11.22,11.88,13.69:4.75,9.62,13.09,13.69,13.66,15.25,16.38,15.16,12.66,12.16,12.69,12.09,10.22,9.97,11.56,11.84,9.62,7.66,7.88,8.19,6.66,5.88,7.75,10.38,10.31,8.97,9.03,9.38,7.78,4.19,2.03,1.91,1.56,-0.56,-1.66,-0.5,-0.03,-2.03,-4.59,-4.62,-3.69,-5.03,-7.0,-6.94,-5.91,-6.91,-9.66,-11.19,-10.59,-10.5,-11.38,-10.81,-7.5,-3.94,-2.34,-1.69,1.12,4.56,5.66,5.59,7.69,11.34,14.12,14.84,16.31,19.22,20.31,18.09,15.53,14.78,13.44,10.47,7.5,6.91,7.66,7.19,5.5,5.81,7.78,9.22,8.59,9.06,11.47,12.91,11.41,9.44,9.12,8.53,5.12,0.84,-1.09,-2.53,-5.28,-9.5,-12.22,-13.03,-14.44,-16.94,-17.22,-13.56,-9.0,-5.78,-2.12,3.5,9.19,12.25,14.19,17.41,21.41,23.41,23.22,23.25,24.5,23.53,19.38,15.25,12.88,9.97,5.03,-0.19,-3.09,-5.19,-8.41,-11.59,-11.41,-9.25,-7.16,-6.06,-3.22,1.59,6.38,9.53,13.31,19.25,24.47,26.75,27.53,28.88,29.34,26.12,20.22,15.25,11.31,6.84,1.75,-0.88,-0.59,-0.25,-1.88,-2.56,-0.44,2.16,3.25,3.88,6.69,10.72,12.81,14.09,17.22,21.5,23.88,23.34,22.66,22.78,21.62,17.5,13.5,12.19,11.84,10.0,8.16,8.56,10.53,10.59,9.44,10.12,11.97,13.09,12.31,12.91,16.28,19.72,20.62,21.31,23.59,24.81,23.12,20.19,19.09,18.66,16.94,13.81,11.94,11.56,9.97,5.81,2.5,1.88,1.84,1.19,2.38,7.5,13.66,17.91,20.34,22.97,24.81,24.19,21.34,19.41,18.91,18.5,16.09,14.53,15.34,16.62,15.62,14.72,15.88,17.88,18.03,16.53,15.72,14.88,11.91,6.84,3.41,2.94,2.91,1.34,0.75,2.06,3.22,1.5,-0.69,-1.09,-0.47,-1.31,-2.06,-0.47,3.31,6.22,7.59,9.19,12.5,15.06,15.19,15.53,18.09,20.66,20.34,18.88,18.66,18.62,17.09,13.94,12.59,13.41,13.53,12.19,11.69,13.28,13.94,12.06,9.97,10.0,10.84,9.94,8.88,10.44,13.19,14.53,14.12,14.81,16.12,16.59,14.25,12.53,12.62,12.59,10.19,8.09,8.38,9.62,9.22,8.31,8.66,10.44,10.75,9.75,9.97,12.28,14.0,13.47,12.94,13.69,14.09,11.38,8.28,7.34,7.38,5.94,4.03,4.0,5.38,5.72,4.09,3.25,4.31,5.19,4.03,3.12,4.34,5.91,4.53,2.84,3.09,4.38,4.28,3.25,4.03,6.34,7.62,6.91,7.16,9.59,11.09,9.88,8.97,9.97,10.88,9.69,8.12,8.09,9.53,9.41,8.72,9.72,12.47,14.0,13.16,12.81,13.81,14.38,12.94,11.5,12.75,14.38,13.78,12.25,11.94,12.44,10.91,8.34,7.16,7.97,8.34,7.25,7.09,9.25,11.66,12.16,13.03,15.91,19.75,21.03,21.12,22.06,23.88,23.59,21.81,20.44,20.78,20.25,17.91,16.06,16.19,16.56,14.31,12.09,12.09,13.19,13.12,12.41,13.41,15.91,16.88,16.34,15.91,17.19,17.5,15.59,14.25,14.91,16.31,15.53,13.94,14.34,15.47,14.28,11.53,9.91,9.69,8.56,6.41,6.12,8.38,11.06,11.59,12.12,14.28,16.81,16.59,15.31,15.41,17.06,16.84,15.81,16.28,18.41,19.44,18.53,17.72,19.06,19.84,18.47,16.78,17.91,20.25,20.53,19.81,20.03,20.69,18.03,13.19,9.31,7.81,6.25,4.22,3.44,5.12,6.56,5.91,4.56,4.62,5.62,5.22,3.84,4.5,7.44,9.47,10.09,11.88,15.19,17.38,16.41,15.22,15.81,16.28,14.72,12.56,12.06,12.34,10.88,8.16,6.69,7.19,6.75,5.0,4.62,7.0,9.06,9.16,8.56,9.41,10.06,8.03,5.06,4.66,5.62,4.69,3.69,4.25,6.84,9.06,9.72,10.97,13.97,16.16,15.41,14.25,14.66,15.31,13.84,11.38,10.28,10.09,8.31,5.53,3.94,4.47,4.53,3.59,3.91,7.34,10.91,12.62,13.28,15.34,17.09,16.84,15.03,14.75,16.0,16.38,15.28,15.03,16.56,16.84,14.59,12.47,12.88,13.09,11.69,10.0,10.38,11.41,10.94,9.0,8.47,9.19,9.25,8.44,9.25,12.44,15.16,15.19,14.75,15.78,16.84,15.59,13.62,13.28,13.75,12.47,10.31,10.16,12.16,13.94,14.69,15.94,19.28,21.75,21.06,19.06,19.25,19.06,16.97,14.22,13.31,13.84,13.47,11.78,12.0,14.31,15.28,13.88,12.34,13.0,13.19,11.41,9.84,10.38,11.66,11.25,9.88,10.44,12.03,12.69,12.0,12.56,15.06,17.12,16.84,17.25,19.84,22.44,22.5,21.75,22.41,23.28,21.66,18.5,16.41,15.47,13.5,9.75,7.41,7.56,7.62,6.0,4.66,6.56,8.38,8.0,6.78,7.38,8.66,8.41,7.56,8.25,10.75,12.28,11.38,11.12,12.59,13.12,11.16,8.31,8.12,8.59,7.44,5.56,6.0,6.84,5.0,1.62,-0.25,0.25,0.53,-0.03,0.22,2.88,6.06,7.12,7.91,11.03,13.91,13.66,11.91,11.47,12.03,11.66,10.19,10.56,12.38,13.81,12.94,12.56,14.16,16.06,16.0,15.12,16.75,18.84,19.34,18.69,19.69,21.31,21.72,20.28,20.38,22.16,23.75,22.91,21.66,22.03,22.28,19.84,16.53,15.5,16.0,14.72,12.81,12.94,14.53,14.75,13.75,12.94,13.94,14.53,12.41,10.62,11.16,12.19,11.44,9.88,10.25,11.62,11.75,10.84,11.72,14.22,15.84,14.97,14.75,16.53,18.03,17.19,16.06,16.53,16.88,15.0,11.72,10.41,10.28,9.25,7.25,7.0,8.59,9.97,8.97,8.56,9.94,10.81,8.84,6.22,5.22,5.5,4.25,2.69,3.78,7.06,8.88,8.97,10.12,12.41,13.69,12.28,11.03,11.59,12.41,10.5,8.38,8.5,9.44,8.78,6.62,5.97,6.16,4.84,1.62,-0.03,1.0,1.59,1.09,0.91,3.44,5.75,5.56,4.44,5.0,6.5,6.53,5.5,6.62,9.34,11.06,10.91,11.28,13.5,14.75,13.06,11.03,10.5,10.22,7.66,4.5,3.94,5.25,5.69,5.22,6.41,8.72,9.69,7.5,5.66,6.12,7.31,7.34,8.22,11.47,15.0,15.66,14.0,13.06,13.12,11.47,9.22,8.69,10.94,13.41,13.44,13.72,15.44,16.62,14.53,11.53,10.5,10.78,9.38,7.0,6.5,7.25,6.38,3.72,2.59,4.38,6.25,6.75,7.81,11.22,14.34,14.56,12.78,12.56,12.38,10.78,8.62,8.53,11.5,13.81,13.88,14.38,15.72,16.06,13.03,10.12,9.03,8.78,5.88,2.41,0.78,0.69,-0.03,-1.56,-1.28,1.16,2.12,0.84,-0.16,1.28,3.22,3.34,4.53,8.38,13.03,14.88,14.97,14.97,15.03,12.0,6.81,2.72,1.53,0.34,-1.81,-2.31,0.66,4.25,6.19,8.31,12.31,16.5,17.22,15.38,13.5,11.94,8.84,3.78,0.03,-1.28,-2.66,-5.75,-7.28,-5.69,-3.03,-2.25,-1.53,1.0,4.28,5.44,4.75,5.47,6.94,6.94,4.62,2.94,3.31,3.78,2.09,0.94,1.69,2.38,0.19,-3.03,-4.25,-3.88,-4.34,-4.97,-3.69,-0.09,2.66,3.5,4.53,7.69,9.62,8.34,5.5,3.59,1.69,-3.44,-9.84,-14.31,-17.03,-20.34,-23.88,-24.47,-21.94,-19.53,-19.34,-19.28,-16.88,-14.56,-14.16,-12.75,-8.03,-2.22,1.84,5.06,9.81,15.59,19.12,19.72,19.66,19.5,17.5,12.25,7.06,4.0,1.06,-4.25,-10.34,-14.06,-16.0,-18.84,-21.22,-20.84,-17.09,-13.91,-11.56,-8.81,-3.47,0.75,2.12,2.41,4.19,5.0,3.12,0.41,0.16,2.22,3.09,3.34,4.59,6.91,6.53,2.81,-1.16,-3.34,-5.09,-8.72,-11.97,-11.94,-11.47,-12.66,-14.78,-14.0,-11.31,-9.56,-8.78,-6.22,-2.03,1.28,2.03,2.94,5.78,7.88,6.81,5.16,5.34,5.84,4.16,1.69,0.62,1.06,0.25,-2.12,-3.09,-1.25,-0.03,-0.69,-1.84,-1.16,-1.03,-3.78,-7.06,-7.72,-6.22,-5.91,-6.06,-4.03,-0.19,2.09,1.91,2.66,5.34,6.91,6.19,5.22,6.03,6.34,3.72,-0.22,-1.78,-2.66,-4.28,-7.16,-7.34,-5.66,-5.06,-6.91,-7.84,-7.12,-7.16,-9.09,-10.5,-8.56,-4.94,-3.12,-1.88,0.91,4.38,5.56,4.47,4.91,7.09,7.88,6.22,5.03,5.84,6.31,4.72,3.09,3.94,5.97,5.28,4.0,4.59,6.75,7.34,6.5,6.62,8.78,9.91,8.88,8.22,9.66,10.78,9.75,8.03,9.16,11.44,11.75,10.5,10.5,10.81,9.12,5.06,2.03,1.56,0.97,-1.22,-2.31,-0.41,2.0,2.72,2.72,4.41,6.38,5.84,3.34,1.88,2.09,1.25,-1.12,-2.0,-0.06,1.47,0.91,0.34,1.88,4.25,4.34,3.81,5.56,8.44,8.91,8.0,7.84,9.47,9.38,7.0,5.56,6.47,6.91,5.22,3.75,4.41,5.56,4.94,3.28,3.88,5.75,6.22,5.28,5.25,6.75,7.47,5.41,3.91,4.56,5.19,3.72,1.94,2.91,4.81,5.16,5.06,6.56,9.56,11.28,11.22,11.88,13.69,1.19,1.06,-0.16,0.12,1.91,3.69,4.88:15.16,12.66,12.16,12.69,12.09,10.22,9.97,11.56,11.84,9.62,7.66,7.88,8.19,6.66,5.88,7.75,10.38,10.31,8.97,9.03,9.38,7.78,4.19,2.03,1.91,1.56,-0.56,-1.66,-0.5,-0.03,-2.03,-4.59,-4.62,-3.69,-5.03,-7.0,-6.94,-5.91,-6.91,-9.66,-11.19,-10.59,-10.5,-11.38,-10.81,-7.5,-3.94,-2.34,-1.69,1.12,4.56,5.66,5.59,7.69,11.34,14.12,14.84,16.31,19.22,20.31,18.09,15.53,14.78,13.44,10.47,7.5,6.91,7.66,7.19,5.5,5.81,7.78,9.22,8.59,9.06,11.47,12.91,11.41,9.44,9.12,8.53,5.12,0.84,-1.09,-2.53,-5.28,-9.5,-12.22,-13.03,-14.44,-16.94,-17.22,-13.56,-9.0,-5.78,-2.12,3.5,9.19,12.25,14.19,17.41,21.41,23.41,23.22,23.25,24.5,23.53,19.38,15.25,12.88,9.97,5.03,-0.19,-3.09,-5.19,-8.41,-11.59,-11.41,-9.25,-7.16,-6.06,-3.22,1.59,6.38,9.53,13.31,19.25,24.47,26.75,27.53,28.88,29.34,26.12,20.22,15.25,11.31,6.84,1.75,-0.88,-0.59,-0.25,-1.88,-2.56,-0.44,2.16,3.25,3.88,6.69,10.72,12.81,14.09,17.22,21.5,23.88,23.34,22.66,22.78,21.62,17.5,13.5,12.19,11.84,10.0,8.16,8.56,10.53,10.59,9.44,10.12,11.97,13.09,12.31,12.91,16.28,19.72,20.62,21.31,23.59,24.81,23.12,20.19,19.09,18.66,16.94,13.81,11.94,11.56,9.97,5.81,2.5,1.88,1.84,1.19,2.38,7.5,13.66,17.91,20.34,22.97,24.81,24.19,21.34,19.41,18.91,18.5,16.09,14.53,15.34,16.62,15.62,14.72,15.88,17.88,18.03,16.53,15.72,14.88,11.91,6.84,3.41,2.94,2.91,1.34,0.75,2.06,3.22,1.5,-0.69,-1.09,-0.47,-1.31,-2.06,-0.47,3.31,6.22,7.59,9.19,12.5,15.06,15.19,15.53,18.09,20.66,20.34,18.88,18.66,18.62,17.09,13.94,12.59,13.41,13.53,12.19,11.69,13.28,13.94,12.06,9.97,10.0,10.84,9.94,8.88,10.44,13.19,14.53,14.12,14.81,16.12,16.59,14.25,12.53,12.62,12.59,10.19,8.09,8.38,9.62,9.22,8.31,8.66,10.44,10.75,9.75,9.97,12.28,14.0,13.47,12.94,13.69,14.09,11.38,8.28,7.34,7.38,5.94,4.03,4.0,5.38,5.72,4.09,3.25,4.31,5.19,4.03,3.12,4.34,5.91,4.53,2.84,3.09,4.38,4.28,3.25,4.03,6.34,7.62,6.91,7.16,9.59,11.09,9.88,8.97,9.97,10.88,9.69,8.12,8.09,9.53,9.41,8.72,9.72,12.47,14.0,13.16,12.81,13.81,14.38,12.94,11.5,12.75,14.38,13.78,12.25,11.94,12.44,10.91,8.34,7.16,7.97,8.34,7.25,7.09,9.25,11.66,12.16,13.03,15.91,19.75,21.03,21.12,22.06,23.88,23.59,21.81,20.44,20.78,20.25,17.91,16.06,16.19,16.56,14.31,12.09,12.09,13.19,13.12,12.41,13.41,15.91,16.88,16.34,15.91,17.19,17.5,15.59,14.25,14.91,16.31,15.53,13.94,14.34,15.47,14.28,11.53,9.91,9.69,8.56,6.41,6.12,8.38,11.06,11.59,12.12,14.28,16.81,16.59,15.31,15.41,17.06,16.84,15.81,16.28,18.41,19.44,18.53,17.72,19.06,19.84,18.47,16.78,17.91,20.25,20.53,19.81,20.03,20.69,18.03,13.19,9.31,7.81,6.25,4.22,3.44,5.12,6.56,5.91,4.56,4.62,5.62,5.22,3.84,4.5,7.44,9.47,10.09,11.88,15.19,17.38,16.41,15.22,15.81,16.28,14.72,12.56,12.06,12.34,10.88,8.16,6.69,7.19,6.75,5.0,4.62,7.0,9.06,9.16,8.56,9.41,10.06,8.03,5.06,4.66,5.62,4.69,3.69,4.25,6.84,9.06,9.72,10.97,13.97,16.16,15.41,14.25,14.66,15.31,13.84,11.38,10.28,10.09,8.31,5.53,3.94,4.47,4.53,3.59,3.91,7.34,10.91,12.62,13.28,15.34,17.09,16.84,15.03,14.75,16.0,16.38,15.28,15.03,16.56,16.84,14.59,12.47,12.88,13.09,11.69,10.0,10.38,11.41,10.94,9.0,8.47,9.19,9.25,8.44,9.25,12.44,15.16,15.19,14.75,15.78,16.84,15.59,13.62,13.28,13.75,12.47,10.31,10.16,12.16,13.94,14.69,15.94,19.28,21.75,21.06,19.06,19.25,19.06,16.97,14.22,13.31,13.84,13.47,11.78,12.0,14.31,15.28,13.88,12.34,13.0,13.19,11.41,9.84,10.38,11.66,11.25,9.88,10.44,12.03,12.69,12.0,12.56,15.06,17.12,16.84,17.25,19.84,22.44,22.5,21.75,22.41,23.28,21.66,18.5,16.41,15.47,13.5,9.75,7.41,7.56,7.62,6.0,4.66,6.56,8.38,8.0,6.78,7.38,8.66,8.41,7.56,8.25,10.75,12.28,11.38,11.12,12.59,13.12,11.16,8.31,8.12,8.59,7.44,5.56,6.0,6.84,5.0,1.62,-0.25,0.25,0.53,-0.03,0.22,2.88,6.06,7.12,7.91,11.03,13.91,13.66,11.91,11.47,12.03,11.66,10.19,10.56,12.38,13.81,12.94,12.56,14.16,16.06,16.0,15.12,16.75,18.84,19.34,18.69,19.69,21.31,21.72,20.28,20.38,22.16,23.75,22.91,21.66,22.03,22.28,19.84,16.53,15.5,16.0,14.72,12.81,12.94,14.53,14.75,13.75,12.94,13.94,14.53,12.41,10.62,11.16,12.19,11.44,9.88,10.25,11.62,11.75,10.84,11.72,14.22,15.84,14.97,14.75,16.53,18.03,17.19,16.06,16.53,16.88,15.0,11.72,10.41,10.28,9.25,7.25,7.0,8.59,9.97,8.97,8.56,9.94,10.81,8.84,6.22,5.22,5.5,4.25,2.69,3.78,7.06,8.88,8.97,10.12,12.41,13.69,12.28,11.03,11.59,12.41,10.5,8.38,8.5,9.44,8.78,6.62,5.97,6.16,4.84,1.62,-0.03,1.0,1.59,1.09,0.91,3.44,5.75,5.56,4.44,5.0,6.5,6.53,5.5,6.62,9.34,11.06,10.91,11.28,13.5,14.75,13.06,11.03,10.5,10.22,7.66,4.5,3.94,5.25,5.69,5.22,6.41,8.72,9.69,7.5,5.66,6.12,7.31,7.34,8.22,11.47,15.0,15.66,14.0,13.06,13.12,11.47,9.22,8.69,10.94,13.41,13.44,13.72,15.44,16.62,14.53,11.53,10.5,10.78,9.38,7.0,6.5,7.25,6.38,3.72,2.59,4.38,6.25,6.75,7.81,11.22,14.34,14.56,12.78,12.56,12.38,10.78,8.62,8.53,11.5,13.81,13.88,14.38,15.72,16.06,13.03,10.12,9.03,8.78,5.88,2.41,0.78,0.69,-0.03,-1.56,-1.28,1.16,2.12,0.84,-0.16,1.28,3.22,3.34,4.53,8.38,13.03,14.88,14.97,14.97,15.03,12.0,6.81,2.72,1.53,0.34,-1.81,-2.31,0.66,4.25,6.19,8.31,12.31,16.5,17.22,15.38,13.5,11.94,8.84,3.78,0.03,-1.28,-2.66,-5.75,-7.28,-5.69,-3.03,-2.25,-1.53,1.0,4.28,5.44,4.75,5.47,6.94,6.94,4.62,2.94,3.31,3.78,2.09,0.94,1.69,2.38,0.19,-3.03,-4.25,-3.88,-4.34,-4.97,-3.69,-0.09,2.66,3.5,4.53,7.69,9.62,8.34,5.5,3.59,1.69,-3.44,-9.84,-14.31,-17.03,-20.34,-23.88,-24.47,-21.94,-19.53,-19.34,-19.28,-16.88,-14.56,-14.16,-12.75,-8.03,-2.22,1.84,5.06,9.81,15.59,19.12,19.72,19.66,19.5,17.5,12.25,7.06,4.0,1.06,-4.25,-10.34,-14.06,-16.0,-18.84,-21.22,-20.84,-17.09,-13.91,-11.56,-8.81,-3.47,0.75,2.12,2.41,4.19,5.0,3.12,0.41,0.16,2.22,3.09,3.34,4.59,6.91,6.53,2.81,-1.16,-3.34,-5.09,-8.72,-11.97,-11.94,-11.47,-12.66,-14.78,-14.0,-11.31,-9.56,-8.78,-6.22,-2.03,1.28,2.03,2.94,5.78,7.88,6.81,5.16,5.34,5.84,4.16,1.69,0.62,1.06,0.25,-2.12,-3.09,-1.25,-0.03,-0.69,-1.84,-1.16,-1.03,-3.78,-7.06,-7.72,-6.22,-5.91,-6.06,-4.03,-0.19,2.09,1.91,2.66,5.34,6.91,6.19,5.22,6.03,6.34,3.72,-0.22,-1.78,-2.66,-4.28,-7.16,-7.34,-5.66,-5.06,-6.91,-7.84,-7.12,-7.16,-9.09,-10.5,-8.56,-4.94,-3.12,-1.88,0.91,4.38,5.56,4.47,4.91,7.09,7.88,6.22,5.03,5.84,6.31,4.72,3.09,3.94,5.97,5.28,4.0,4.59,6.75,7.34,6.5,6.62,8.78,9.91,8.88,8.22,9.66,10.78,9.75,8.03,9.16,11.44,11.75,10.5,10.5,10.81,9.12,5.06,2.03,1.56,0.97,-1.22,-2.31,-0.41,2.0,2.72,2.72,4.41,6.38,5.84,3.34,1.88,2.09,1.25,-1.12,-2.0,-0.06,1.47,0.91,0.34,1.88,4.25,4.34,3.81,5.56,8.44,8.91,8.0,7.84,9.47,9.38,7.0,5.56,6.47,6.91,5.22,3.75,4.41,5.56,4.94,3.28,3.88,5.75,6.22,5.28,5.25,6.75,7.47,5.41,3.91,4.56,5.19,3.72,1.94,2.91,4.81,5.16,5.06,6.56,9.56,11.28,11.22,11.88,13.69,1.19,1.06,-0.16,0.12,1.91,3.69,4.88,6.62,9.47,11.56,11.03,10.0,10.0,9.44:11.56,11.84,9.62,7.66,7.88,8.19,6.66,5.88,7.75,10.38,10.31,8.97,9.03,9.38,7.78,4.19,2.03,1.91,1.56,-0.56,-1.66,-0.5,-0.03,-2.03,-4.59,-4.62,-3.69,-5.03,-7.0,-6.94,-5.91,-6.91,-9.66,-11.19,-10.59,-10.5,-11.38,-10.81,-7.5,-3.94,-2.34,-1.69,1.12,4.56,5.66,5.59,7.69,11.34,14.12,14.84,16.31,19.22,20.31,18.09,15.53,14.78,13.44,10.47,7.5,6.91,7.66,7.19,5.5,5.81,7.78,9.22,8.59,9.06,11.47,12.91,11.41,9.44,9.12,8.53,5.12,0.84,-1.09,-2.53,-5.28,-9.5,-12.22,-13.03,-14.44,-16.94,-17.22,-13.56,-9.0,-5.78,-2.12,3.5,9.19,12.25,14.19,17.41,21.41,23.41,23.22,23.25,24.5,23.53,19.38,15.25,12.88,9.97,5.03,-0.19,-3.09,-5.19,-8.41,-11.59,-11.41,-9.25,-7.16,-6.06,-3.22,1.59,6.38,9.53,13.31,19.25,24.47,26.75,27.53,28.88,29.34,26.12,20.22,15.25,11.31,6.84,1.75,-0.88,-0.59,-0.25,-1.88,-2.56,-0.44,2.16,3.25,3.88,6.69,10.72,12.81,14.09,17.22,21.5,23.88,23.34,22.66,22.78,21.62,17.5,13.5,12.19,11.84,10.0,8.16,8.56,10.53,10.59,9.44,10.12,11.97,13.09,12.31,12.91,16.28,19.72,20.62,21.31,23.59,24.81,23.12,20.19,19.09,18.66,16.94,13.81,11.94,11.56,9.97,5.81,2.5,1.88,1.84,1.19,2.38,7.5,13.66,17.91,20.34,22.97,24.81,24.19,21.34,19.41,18.91,18.5,16.09,14.53,15.34,16.62,15.62,14.72,15.88,17.88,18.03,16.53,15.72,14.88,11.91,6.84,3.41,2.94,2.91,1.34,0.75,2.06,3.22,1.5,-0.69,-1.09,-0.47,-1.31,-2.06,-0.47,3.31,6.22,7.59,9.19,12.5,15.06,15.19,15.53,18.09,20.66,20.34,18.88,18.66,18.62,17.09,13.94,12.59,13.41,13.53,12.19,11.69,13.28,13.94,12.06,9.97,10.0,10.84,9.94,8.88,10.44,13.19,14.53,14.12,14.81,16.12,16.59,14.25,12.53,12.62,12.59,10.19,8.09,8.38,9.62,9.22,8.31,8.66,10.44,10.75,9.75,9.97,12.28,14.0,13.47,12.94,13.69,14.09,11.38,8.28,7.34,7.38,5.94,4.03,4.0,5.38,5.72,4.09,3.25,4.31,5.19,4.03,3.12,4.34,5.91,4.53,2.84,3.09,4.38,4.28,3.25,4.03,6.34,7.62,6.91,7.16,9.59,11.09,9.88,8.97,9.97,10.88,9.69,8.12,8.09,9.53,9.41,8.72,9.72,12.47,14.0,13.16,12.81,13.81,14.38,12.94,11.5,12.75,14.38,13.78,12.25,11.94,12.44,10.91,8.34,7.16,7.97,8.34,7.25,7.09,9.25,11.66,12.16,13.03,15.91,19.75,21.03,21.12,22.06,23.88,23.59,21.81,20.44,20.78,20.25,17.91,16.06,16.19,16.56,14.31,12.09,12.09,13.19,13.12,12.41,13.41,15.91,16.88,16.34,15.91,17.19,17.5,15.59,14.25,14.91,16.31,15.53,13.94,14.34,15.47,14.28,11.53,9.91,9.69,8.56,6.41,6.12,8.38,11.06,11.59,12.12,14.28,16.81,16.59,15.31,15.41,17.06,16.84,15.81,16.28,18.41,19.44,18.53,17.72,19.06,19.84,18.47,16.78,17.91,20.25,20.53,19.81,20.03,20.69,18.03,13.19,9.31,7.81,6.25,4.22,3.44,5.12,6.56,5.91,4.56,4.62,5.62,5.22,3.84,4.5,7.44,9.47,10.09,11.88,15.19,17.38,16.41,15.22,15.81,16.28,14.72,12.56,12.06,12.34,10.88,8.16,6.69,7.19,6.75,5.0,4.62,7.0,9.06,9.16,8.56,9.41,10.06,8.03,5.06,4.66,5.62,4.69,3.69,4.25,6.84,9.06,9.72,10.97,13.97,16.16,15.41,14.25,14.66,15.31,13.84,11.38,10.28,10.09,8.31,5.53,3.94,4.47,4.53,3.59,3.91,7.34,10.91,12.62,13.28,15.34,17.09,16.84,15.03,14.75,16.0,16.38,15.28,15.03,16.56,16.84,14.59,12.47,12.88,13.09,11.69,10.0,10.38,11.41,10.94,9.0,8.47,9.19,9.25,8.44,9.25,12.44,15.16,15.19,14.75,15.78,16.84,15.59,13.62,13.28,13.75,12.47,10.31,10.16,12.16,13.94,14.69,15.94,19.28,21.75,21.06,19.06,19.25,19.06,16.97,14.22,13.31,13.84,13.47,11.78,12.0,14.31,15.28,13.88,12.34,13.0,13.19,11.41,9.84,10.38,11.66,11.25,9.88,10.44,12.03,12.69,12.0,12.56,15.06,17.12,16.84,17.25,19.84,22.44,22.5,21.75,22.41,23.28,21.66,18.5,16.41,15.47,13.5,9.75,7.41,7.56,7.62,6.0,4.66,6.56,8.38,8.0,6.78,7.38,8.66,8.41,7.56,8.25,10.75,12.28,11.38,11.12,12.59,13.12,11.16,8.31,8.12,8.59,7.44,5.56,6.0,6.84,5.0,1.62,-0.25,0.25,0.53,-0.03,0.22,2.88,6.06,7.12,7.91,11.03,13.91,13.66,11.91,11.47,12.03,11.66,10.19,10.56,12.38,13.81,12.94,12.56,14.16,16.06,16.0,15.12,16.75,18.84,19.34,18.69,19.69,21.31,21.72,20.28,20.38,22.16,23.75,22.91,21.66,22.03,22.28,19.84,16.53,15.5,16.0,14.72,12.81,12.94,14.53,14.75,13.75,12.94,13.94,14.53,12.41,10.62,11.16,12.19,11.44,9.88,10.25,11.62,11.75,10.84,11.72,14.22,15.84,14.97,14.75,16.53,18.03,17.19,16.06,16.53,16.88,15.0,11.72,10.41,10.28,9.25,7.25,7.0,8.59,9.97,8.97,8.56,9.94,10.81,8.84,6.22,5.22,5.5,4.25,2.69,3.78,7.06,8.88,8.97,10.12,12.41,13.69,12.28,11.03,11.59,12.41,10.5,8.38,8.5,9.44,8.78,6.62,5.97,6.16,4.84,1.62,-0.03,1.0,1.59,1.09,0.91,3.44,5.75,5.56,4.44,5.0,6.5,6.53,5.5,6.62,9.34,11.06,10.91,11.28,13.5,14.75,13.06,11.03,10.5,10.22,7.66,4.5,3.94,5.25,5.69,5.22,6.41,8.72,9.69,7.5,5.66,6.12,7.31,7.34,8.22,11.47,15.0,15.66,14.0,13.06,13.12,11.47,9.22,8.69,10.94,13.41,13.44,13.72,15.44,16.62,14.53,11.53,10.5,10.78,9.38,7.0,6.5,7.25,6.38,3.72,2.59,4.38,6.25,6.75,7.81,11.22,14.34,14.56,12.78,12.56,12.38,10.78,8.62,8.53,11.5,13.81,13.88,14.38,15.72,16.06,13.03,10.12,9.03,8.78,5.88,2.41,0.78,0.69,-0.03,-1.56,-1.28,1.16,2.12,0.84,-0.16,1.28,3.22,3.34,4.53,8.38,13.03,14.88,14.97,14.97,15.03,12.0,6.81,2.72,1.53,0.34,-1.81,-2.31,0.66,4.25,6.19,8.31,12.31,16.5,17.22,15.38,13.5,11.94,8.84,3.78,0.03,-1.28,-2.66,-5.75,-7.28,-5.69,-3.03,-2.25,-1.53,1.0,4.28,5.44,4.75,5.47,6.94,6.94,4.62,2.94,3.31,3.78,2.09,0.94,1.69,2.38,0.19,-3.03,-4.25,-3.88,-4.34,-4.97,-3.69,-0.09,2.66,3.5,4.53,7.69,9.62,8.34,5.5,3.59,1.69,-3.44,-9.84,-14.31,-17.03,-20.34,-23.88,-24.47,-21.94,-19.53,-19.34,-19.28,-16.88,-14.56,-14.16,-12.75,-8.03,-2.22,1.84,5.06,9.81,15.59,19.12,19.72,19.66,19.5,17.5,12.25,7.06,4.0,1.06,-4.25,-10.34,-14.06,-16.0,-18.84,-21.22,-20.84,-17.09,-13.91,-11.56,-8.81,-3.47,0.75,2.12,2.41,4.19,5.0,3.12,0.41,0.16,2.22,3.09,3.34,4.59,6.91,6.53,2.81,-1.16,-3.34,-5.09,-8.72,-11.97,-11.94,-11.47,-12.66,-14.78,-14.0,-11.31,-9.56,-8.78,-6.22,-2.03,1.28,2.03,2.94,5.78,7.88,6.81,5.16,5.34,5.84,4.16,1.69,0.62,1.06,0.25,-2.12,-3.09,-1.25,-0.03,-0.69,-1.84,-1.16,-1.03,-3.78,-7.06,-7.72,-6.22,-5.91,-6.06,-4.03,-0.19,2.09,1.91,2.66,5.34,6.91,6.19,5.22,6.03,6.34,3.72,-0.22,-1.78,-2.66,-4.28,-7.16,-7.34,-5.66,-5.06,-6.91,-7.84,-7.12,-7.16,-9.09,-10.5,-8.56,-4.94,-3.12,-1.88,0.91,4.38,5.56,4.47,4.91,7.09,7.88,6.22,5.03,5.84,6.31,4.72,3.09,3.94,5.97,5.28,4.0,4.59,6.75,7.34,6.5,6.62,8.78,9.91,8.88,8.22,9.66,10.78,9.75,8.03,9.16,11.44,11.75,10.5,10.5,10.81,9.12,5.06,2.03,1.56,0.97,-1.22,-2.31,-0.41,2.0,2.72,2.72,4.41,6.38,5.84,3.34,1.88,2.09,1.25,-1.12,-2.0,-0.06,1.47,0.91,0.34,1.88,4.25,4.34,3.81,5.56,8.44,8.91,8.0,7.84,9.47,9.38,7.0,5.56,6.47,6.91,5.22,3.75,4.41,5.56,4.94,3.28,3.88,5.75,6.22,5.28,5.25,6.75,7.47,5.41,3.91,4.56,5.19,3.72,1.94,2.91,4.81,5.16,5.06,6.56,9.56,11.28,11.22,11.88,13.69,1.19,1.06,-0.16,0.12,1.91,3.69,4.88,6.62,9.47,11.56,11.03,10.0,10.0,9.44,7.31,4.78,3.66,3.72,3.53,3.06,4.0:5.88,7.75,10.38,10.31,8.97,9.03,9.38,7.78,4.19,2.03,1.91,1.56,-0.56,-1.66,-0.5,-0.03,-2.03,-4.59,-4.62,-3.69,-5.03,-7.0,-6.94,-5.91,-6.91,-9.66,-11.19,-10.59,-10.5,-11.38,-10.81,-7.5,-3.94,-2.34,-1.69,1.12,4.56,5.66,5.59,7.69,11.34,14.12,14.84,16.31,19.22,20.31,18.09,15.53,14.78,13.44,10.47,7.5,6.91,7.66,7.19,5.5,5.81,7.78,9.22,8.59,9.06,11.47,12.91,11.41,9.44,9.12,8.53,5.12,0.84,-1.09,-2.53,-5.28,-9.5,-12.22,-13.03,-14.44,-16.94,-17.22,-13.56,-9.0,-5.78,-2.12,3.5,9.19,12.25,14.19,17.41,21.41,23.41,23.22,23.25,24.5,23.53,19.38,15.25,12.88,9.97,5.03,-0.19,-3.09,-5.19,-8.41,-11.59,-11.41,-9.25,-7.16,-6.06,-3.22,1.59,6.38,9.53,13.31,19.25,24.47,26.75,27.53,28.88,29.34,26.12,20.22,15.25,11.31,6.84,1.75,-0.88,-0.59,-0.25,-1.88,-2.56,-0.44,2.16,3.25,3.88,6.69,10.72,12.81,14.09,17.22,21.5,23.88,23.34,22.66,22.78,21.62,17.5,13.5,12.19,11.84,10.0,8.16,8.56,10.53,10.59,9.44,10.12,11.97,13.09,12.31,12.91,16.28,19.72,20.62,21.31,23.59,24.81,23.12,20.19,19.09,18.66,16.94,13.81,11.94,11.56,9.97,5.81,2.5,1.88,1.84,1.19,2.38,7.5,13.66,17.91,20.34,22.97,24.81,24.19,21.34,19.41,18.91,18.5,16.09,14.53,15.34,16.62,15.62,14.72,15.88,17.88,18.03,16.53,15.72,14.88,11.91,6.84,3.41,2.94,2.91,1.34,0.75,2.06,3.22,1.5,-0.69,-1.09,-0.47,-1.31,-2.06,-0.47,3.31,6.22,7.59,9.19,12.5,15.06,15.19,15.53,18.09,20.66,20.34,18.88,18.66,18.62,17.09,13.94,12.59,13.41,13.53,12.19,11.69,13.28,13.94,12.06,9.97,10.0,10.84,9.94,8.88,10.44,13.19,14.53,14.12,14.81,16.12,16.59,14.25,12.53,12.62,12.59,10.19,8.09,8.38,9.62,9.22,8.31,8.66,10.44,10.75,9.75,9.97,12.28,14.0,13.47,12.94,13.69,14.09,11.38,8.28,7.34,7.38,5.94,4.03,4.0,5.38,5.72,4.09,3.25,4.31,5.19,4.03,3.12,4.34,5.91,4.53,2.84,3.09,4.38,4.28,3.25,4.03,6.34,7.62,6.91,7.16,9.59,11.09,9.88,8.97,9.97,10.88,9.69,8.12,8.09,9.53,9.41,8.72,9.72,12.47,14.0,13.16,12.81,13.81,14.38,12.94,11.5,12.75,14.38,13.78,12.25,11.94,12.44,10.91,8.34,7.16,7.97,8.34,7.25,7.09,9.25,11.66,12.16,13.03,15.91,19.75,21.03,21.12,22.06,23.88,23.59,21.81,20.44,20.78,20.25,17.91,16.06,16.19,16.56,14.31,12.09,12.09,13.19,13.12,12.41,13.41,15.91,16.88,16.34,15.91,17.19,17.5,15.59,14.25,14.91,16.31,15.53,13.94,14.34,15.47,14.28,11.53,9.91,9.69,8.56,6.41,6.12,8.38,11.06,11.59,12.12,14.28,16.81,16.59,15.31,15.41,17.06,16.84,15.81,16.28,18.41,19.44,18.53,17.72,19.06,19.84,18.47,16.78,17.91,20.25,20.53,19.81,20.03,20.69,18.03,13.19,9.31,7.81,6.25,4.22,3.44,5.12,6.56,5.91,4.56,4.62,5.62,5.22,3.84,4.5,7.44,9.47,10.09,11.88,15.19,17.38,16.41,15.22,15.81,16.28,14.72,12.56,12.06,12.34,10.88,8.16,6.69,7.19,6.75,5.0,4.62,7.0,9.06,9.16,8.56,9.41,10.06,8.03,5.06,4.66,5.62,4.69,3.69,4.25,6.84,9.06,9.72,10.97,13.97,16.16,15.41,14.25,14.66,15.31,13.84,11.38,10.28,10.09,8.31,5.53,3.94,4.47,4.53,3.59,3.91,7.34,10.91,12.62,13.28,15.34,17.09,16.84,15.03,14.75,16.0,16.38,15.28,15.03,16.56,16.84,14.59,12.47,12.88,13.09,11.69,10.0,10.38,11.41,10.94,9.0,8.47,9.19,9.25,8.44,9.25,12.44,15.16,15.19,14.75,15.78,16.84,15.59,13.62,13.28,13.75,12.47,10.31,10.16,12.16,13.94,14.69,15.94,19.28,21.75,21.06,19.06,19.25,19.06,16.97,14.22,13.31,13.84,13.47,11.78,12.0,14.31,15.28,13.88,12.34,13.0,13.19,11.41,9.84,10.38,11.66,11.25,9.88,10.44,12.03,12.69,12.0,12.56,15.06,17.12,16.84,17.25,19.84,22.44,22.5,21.75,22.41,23.28,21.66,18.5,16.41,15.47,13.5,9.75,7.41,7.56,7.62,6.0,4.66,6.56,8.38,8.0,6.78,7.38,8.66,8.41,7.56,8.25,10.75,12.28,11.38,11.12,12.59,13.12,11.16,8.31,8.12,8.59,7.44,5.56,6.0,6.84,5.0,1.62,-0.25,0.25,0.53,-0.03,0.22,2.88,6.06,7.12,7.91,11.03,13.91,13.66,11.91,11.47,12.03,11.66,10.19,10.56,12.38,13.81,12.94,12.56,14.16,16.06,16.0,15.12,16.75,18.84,19.34,18.69,19.69,21.31,21.72,20.28,20.38,22.16,23.75,22.91,21.66,22.03,22.28,19.84,16.53,15.5,16.0,14.72,12.81,12.94,14.53,14.75,13.75,12.94,13.94,14.53,12.41,10.62,11.16,12.19,11.44,9.88,10.25,11.62,11.75,10.84,11.72,14.22,15.84,14.97,14.75,16.53,18.03,17.19,16.06,16.53,16.88,15.0,11.72,10.41,10.28,9.25,7.25,7.0,8.59,9.97,8.97,8.56,9.94,10.81,8.84,6.22,5.22,5.5,4.25,2.69,3.78,7.06,8.88,8.97,10.12,12.41,13.69,12.28,11.03,11.59,12.41,10.5,8.38,8.5,9.44,8.78,6.62,5.97,6.16,4.84,1.62,-0.03,1.0,1.59,1.09,0.91,3.44,5.75,5.56,4.44,5.0,6.5,6.53,5.5,6.62,9.34,11.06,10.91,11.28,13.5,14.75,13.06,11.03,10.5,10.22,7.66,4.5,3.94,5.25,5.69,5.22,6.41,8.72,9.69,7.5,5.66,6.12,7.31,7.34,8.22,11.47,15.0,15.66,14.0,13.06,13.12,11.47,9.22,8.69,10.94,13.41,13.44,13.72,15.44,16.62,14.53,11.53,10.5,10.78,9.38,7.0,6.5,7.25,6.38,3.72,2.59,4.38,6.25,6.75,7.81,11.22,14.34,14.56,12.78,12.56,12.38,10.78,8.62,8.53,11.5,13.81,13.88,14.38,15.72,16.06,13.03,10.12,9.03,8.78,5.88,2.41,0.78,0.69,-0.03,-1.56,-1.28,1.16,2.12,0.84,-0.16,1.28,3.22,3.34,4.53,8.38,13.03,14.88,14.97,14.97,15.03,12.0,6.81,2.72,1.53,0.34,-1.81,-2.31,0.66,4.25,6.19,8.31,12.31,16.5,17.22,15.38,13.5,11.94,8.84,3.78,0.03,-1.28,-2.66,-5.75,-7.28,-5.69,-3.03,-2.25,-1.53,1.0,4.28,5.44,4.75,5.47,6.94,6.94,4.62,2.94,3.31,3.78,2.09,0.94,1.69,2.38,0.19,-3.03,-4.25,-3.88,-4.34,-4.97,-3.69,-0.09,2.66,3.5,4.53,7.69,9.62,8.34,5.5,3.59,1.69,-3.44,-9.84,-14.31,-17.03,-20.34,-23.88,-24.47,-21.94,-19.53,-19.34,-19.28,-16.88,-14.56,-14.16,-12.75,-8.03,-2.22,1.84,5.06,9.81,15.59,19.12,19.72,19.66,19.5,17.5,12.25,7.06,4.0,1.06,-4.25,-10.34,-14.06,-16.0,-18.84,-21.22,-20.84,-17.09,-13.91,-11.56,-8.81,-3.47,0.75,2.12,2.41,4.19,5.0,3.12,0.41,0.16,2.22,3.09,3.34,4.59,6.91,6.53,2.81,-1.16,-3.34,-5.09,-8.72,-11.97,-11.94,-11.47,-12.66,-14.78,-14.0,-11.31,-9.56,-8.78,-6.22,-2.03,1.28,2.03,2.94,5.78,7.88,6.81,5.16,5.34,5.84,4.16,1.69,0.62,1.06,0.25,-2.12,-3.09,-1.25,-0.03,-0.69,-1.84,-1.16,-1.03,-3.78,-7.06,-7.72,-6.22,-5.91,-6.06,-4.03,-0.19,2.09,1.91,2.66,5.34,6.91,6.19,5.22,6.03,6.34,3.72,-0.22,-1.78,-2.66,-4.28,-7.16,-7.34,-5.66,-5.06,-6.91,-7.84,-7.12,-7.16,-9.09,-10.5,-8.56,-4.94,-3.12,-1.88,0.91,4.38,5.56,4.47,4.91,7.09,7.88,6.22,5.03,5.84,6.31,4.72,3.09,3.94,5.97,5.28,4.0,4.59,6.75,7.34,6.5,6.62,8.78,9.91,8.88,8.22,9.66,10.78,9.75,8.03,9.16,11.44,11.75,10.5,10.5,10.81,9.12,5.06,2.03,1.56,0.97,-1.22,-2.31,-0.41,2.0,2.72,2.72,4.41,6.38,5.84,3.34,1.88,2.09,1.25,-1.12,-2.0,-0.06,1.47,0.91,0.34,1.88,4.25,4.34,3.81,5.56,8.44,8.91,8.0,7.84,9.47,9.38,7.0,5.56,6.47,6.91,5.22,3.75,4.41,5.56,4.94,3.28,3.88,5.75,6.22,5.28,5.25,6.75,7.47,5.41,3.91,4.56,5.19,3.72,1.94,2.91,4.81,5.16,5.06,6.56,9.56,11.28,11.22,11.88,13.69,1.19,1.06,-0.16,0.12,1.91,3.69,4.88,6.62,9.47,11.56,11.03,10.0,10.0,9.44,7.31,4.78,3.66,3.72,3.53,3.06,4.0,5.91,6.94,6.31,5.53,6.5,7.31,7.31:7.78,4.19,2.03,1.91,1.56,-0.56,-1.66,-0.5,-0.03,-2.03,-4.59,-4.62,-3.69,-5.03,-7.0,-6.94,-5.91,-6.91,-9.66,-11.19,-10.59,-10.5,-11.38,-10.81,-7.5,-3.94,-2.34,-1.69,1.12,4.56,5.66,5.59,7.69,11.34,14.12,14.84,16.31,19.22,20.31,18.09,15.53,14.78,13.44,10.47,7.5,6.91,7.66,7.19,5.5,5.81,7.78,9.22,8.59,9.06,11.47,12.91,11.41,9.44,9.12,8.53,5.12,0.84,-1.09,-2.53,-5.28,-9.5,-12.22,-13.03,-14.44,-16.94,-17.22,-13.56,-9.0,-5.78,-2.12,3.5,9.19,12.25,14.19,17.41,21.41,23.41,23.22,23.25,24.5,23.53,19.38,15.25,12.88,9.97,5.03,-0.19,-3.09,-5.19,-8.41,-11.59,-11.41,-9.25,-7.16,-6.06,-3.22,1.59,6.38,9.53,13.31,19.25,24.47,26.75,27.53,28.88,29.34,26.12,20.22,15.25,11.31,6.84,1.75,-0.88,-0.59,-0.25,-1.88,-2.56,-0.44,2.16,3.25,3.88,6.69,10.72,12.81,14.09,17.22,21.5,23.88,23.34,22.66,22.78,21.62,17.5,13.5,12.19,11.84,10.0,8.16,8.56,10.53,10.59,9.44,10.12,11.97,13.09,12.31,12.91,16.28,19.72,20.62,21.31,23.59,24.81,23.12,20.19,19.09,18.66,16.94,13.81,11.94,11.56,9.97,5.81,2.5,1.88,1.84,1.19,2.38,7.5,13.66,17.91,20.34,22.97,24.81,24.19,21.34,19.41,18.91,18.5,16.09,14.53,15.34,16.62,15.62,14.72,15.88,17.88,18.03,16.53,15.72,14.88,11.91,6.84,3.41,2.94,2.91,1.34,0.75,2.06,3.22,1.5,-0.69,-1.09,-0.47,-1.31,-2.06,-0.47,3.31,6.22,7.59,9.19,12.5,15.06,15.19,15.53,18.09,20.66,20.34,18.88,18.66,18.62,17.09,13.94,12.59,13.41,13.53,12.19,11.69,13.28,13.94,12.06,9.97,10.0,10.84,9.94,8.88,10.44,13.19,14.53,14.12,14.81,16.12,16.59,14.25,12.53,12.62,12.59,10.19,8.09,8.38,9.62,9.22,8.31,8.66,10.44,10.75,9.75,9.97,12.28,14.0,13.47,12.94,13.69,14.09,11.38,8.28,7.34,7.38,5.94,4.03,4.0,5.38,5.72,4.09,3.25,4.31,5.19,4.03,3.12,4.34,5.91,4.53,2.84,3.09,4.38,4.28,3.25,4.03,6.34,7.62,6.91,7.16,9.59,11.09,9.88,8.97,9.97,10.88,9.69,8.12,8.09,9.53,9.41,8.72,9.72,12.47,14.0,13.16,12.81,13.81,14.38,12.94,11.5,12.75,14.38,13.78,12.25,11.94,12.44,10.91,8.34,7.16,7.97,8.34,7.25,7.09,9.25,11.66,12.16,13.03,15.91,19.75,21.03,21.12,22.06,23.88,23.59,21.81,20.44,20.78,20.25,17.91,16.06,16.19,16.56,14.31,12.09,12.09,13.19,13.12,12.41,13.41,15.91,16.88,16.34,15.91,17.19,17.5,15.59,14.25,14.91,16.31,15.53,13.94,14.34,15.47,14.28,11.53,9.91,9.69,8.56,6.41,6.12,8.38,11.06,11.59,12.12,14.28,16.81,16.59,15.31,15.41,17.06,16.84,15.81,16.28,18.41,19.44,18.53,17.72,19.06,19.84,18.47,16.78,17.91,20.25,20.53,19.81,20.03,20.69,18.03,13.19,9.31,7.81,6.25,4.22,3.44,5.12,6.56,5.91,4.56,4.62,5.62,5.22,3.84,4.5,7.44,9.47,10.09,11.88,15.19,17.38,16.41,15.22,15.81,16.28,14.72,12.56,12.06,12.34,10.88,8.16,6.69,7.19,6.75,5.0,4.62,7.0,9.06,9.16,8.56,9.41,10.06,8.03,5.06,4.66,5.62,4.69,3.69,4.25,6.84,9.06,9.72,10.97,13.97,16.16,15.41,14.25,14.66,15.31,13.84,11.38,10.28,10.09,8.31,5.53,3.94,4.47,4.53,3.59,3.91,7.34,10.91,12.62,13.28,15.34,17.09,16.84,15.03,14.75,16.0,16.38,15.28,15.03,16.56,16.84,14.59,12.47,12.88,13.09,11.69,10.0,10.38,11.41,10.94,9.0,8.47,9.19,9.25,8.44,9.25,12.44,15.16,15.19,14.75,15.78,16.84,15.59,13.62,13.28,13.75,12.47,10.31,10.16,12.16,13.94,14.69,15.94,19.28,21.75,21.06,19.06,19.25,19.06,16.97,14.22,13.31,13.84,13.47,11.78,12.0,14.31,15.28,13.88,12.34,13.0,13.19,11.41,9.84,10.38,11.66,11.25,9.88,10.44,12.03,12.69,12.0,12.56,15.06,17.12,16.84,17.25,19.84,22.44,22.5,21.75,22.41,23.28,21.66,18.5,16.41,15.47,13.5,9.75,7.41,7.56,7.62,6.0,4.66,6.56,8.38,8.0,6.78,7.38,8.66,8.41,7.56,8.25,10.75,12.28,11.38,11.12,12.59,13.12,11.16,8.31,8.12,8.59,7.44,5.56,6.0,6.84,5.0,1.62,-0.25,0.25,0.53,-0.03,0.22,2.88,6.06,7.12,7.91,11.03,13.91,13.66,11.91,11.47,12.03,11.66,10.19,10.56,12.38,13.81,12.94,12.56,14.16,16.06,16.0,15.12,16.75,18.84,19.34,18.69,19.69,21.31,21.72,20.28,20.38,22.16,23.75,22.91,21.66,22.03,22.28,19.84,16.53,15.5,16.0,14.72,12.81,12.94,14.53,14.75,13.75,12.94,13.94,14.53,12.41,10.62,11.16,12.19,11.44,9.88,10.25,11.62,11.75,10.84,11.72,14.22,15.84,14.97,14.75,16.53,18.03,17.19,16.06,16.53,16.88,15.0,11.72,10.41,10.28,9.25,7.25,7.0,8.59,9.97,8.97,8.56,9.94,10.81,8.84,6.22,5.22,5.5,4.25,2.69,3.78,7.06,8.88,8.97,10.12,12.41,13.69,12.28,11.03,11.59,12.41,10.5,8.38,8.5,9.44,8.78,6.62,5.97,6.16,4.84,1.62,-0.03,1.0,1.59,1.09,0.91,3.44,5.75,5.56,4.44,5.0,6.5,6.53,5.5,6.62,9.34,11.06,10.91,11.28,13.5,14.75,13.06,11.03,10.5,10.22,7.66,4.5,3.94,5.25,5.69,5.22,6.41,8.72,9.69,7.5,5.66,6.12,7.31,7.34,8.22,11.47,15.0,15.66,14.0,13.06,13.12,11.47,9.22,8.69,10.94,13.41,13.44,13.72,15.44,16.62,14.53,11.53,10.5,10.78,9.38,7.0,6.5,7.25,6.38,3.72,2.59,4.38,6.25,6.75,7.81,11.22,14.34,14.56,12.78,12.56,12.38,10.78,8.62,8.53,11.5,13.81,13.88,14.38,15.72,16.06,13.03,10.12,9.03,8.78,5.88,2.41,0.78,0.69,-0.03,-1.56,-1.28,1.16,2.12,0.84,-0.16,1.28,3.22,3.34,4.53,8.38,13.03,14.88,14.97,14.97,15.03,12.0,6.81,2.72,1.53,0.34,-1.81,-2.31,0.66,4.25,6.19,8.31,12.31,16.5,17.22,15.38,13.5,11.94,8.84,3.78,0.03,-1.28,-2.66,-5.75,-7.28,-5.69,-3.03,-2.25,-1.53,1.0,4.28,5.44,4.75,5.47,6.94,6.94,4.62,2.94,3.31,3.78,2.09,0.94,1.69,2.38,0.19,-3.03,-4.25,-3.88,-4.34,-4.97,-3.69,-0.09,2.66,3.5,4.53,7.69,9.62,8.34,5.5,3.59,1.69,-3.44,-9.84,-14.31,-17.03,-20.34,-23.88,-24.47,-21.94,-19.53,-19.34,-19.28,-16.88,-14.56,-14.16,-12.75,-8.03,-2.22,1.84,5.06,9.81,15.59,19.12,19.72,19.66,19.5,17.5,12.25,7.06,4.0,1.06,-4.25,-10.34,-14.06,-16.0,-18.84,-21.22,-20.84,-17.09,-13.91,-11.56,-8.81,-3.47,0.75,2.12,2.41,4.19,5.0,3.12,0.41,0.16,2.22,3.09,3.34,4.59,6.91,6.53,2.81,-1.16,-3.34,-5.09,-8.72,-11.97,-11.94,-11.47,-12.66,-14.78,-14.0,-11.31,-9.56,-8.78,-6.22,-2.03,1.28,2.03,2.94,5.78,7.88,6.81,5.16,5.34,5.84,4.16,1.69,0.62,1.06,0.25,-2.12,-3.09,-1.25,-0.03,-0.69,-1.84,-1.16,-1.03,-3.78,-7.06,-7.72,-6.22,-5.91,-6.06,-4.03,-0.19,2.09,1.91,2.66,5.34,6.91,6.19,5.22,6.03,6.34,3.72,-0.22,-1.78,-2.66,-4.28,-7.16,-7.34,-5.66,-5.06,-6.91,-7.84,-7.12,-7.16,-9.09,-10.5,-8.56,-4.94,-3.12,-1.88,0.91,4.38,5.56,4.47,4.91,7.09,7.88,6.22,5.03,5.84,6.31,4.72,3.09,3.94,5.97,5.28,4.0,4.59,6.75,7.34,6.5,6.62,8.78,9.91,8.88,8.22,9.66,10.78,9.75,8.03,9.16,11.44,11.75,10.5,10.5,10.81,9.12,5.06,2.03,1.56,0.97,-1.22,-2.31,-0.41,2.0,2.72,2.72,4.41,6.38,5.84,3.34,1.88,2.09,1.25,-1.12,-2.0,-0.06,1.47,0.91,0.34,1.88,4.25,4.34,3.81,5.56,8.44,8.91,8.0,7.84,9.47,9.38,7.0,5.56,6.47,6.91,5.22,3.75,4.41,5.56,4.94,3.28,3.88,5.75,6.22,5.28,5.25,6.75,7.47,5.41,3.91,4.56,5.19,3.72,1.94,2.91,4.81,5.16,5.06,6.56,9.56,11.28,11.22,11.88,13.69,1.19,1.06,-0.16,0.12,1.91,3.69,4.88,6.62,9.47,11.56,11.03,10.0,10.0,9.44,7.31,4.78,3.66,3.72,3.53,3.06,4.0,5.91,6.94,6.31,5.53,6.5,7.31,7.31,7.75,10.31,12.78,13.25,12.12,11.94,11.56:-0.5,-0.03,-2.03,-4.59,-4.62,-3.69,-5.03,-7.0,-6.94,-5.91,-6.91,-9.66,-11.19,-10.59,-10.5,-11.38,-10.81,-7.5,-3.94,-2.34,-1.69,1.12,4.56,5.66,5.59,7.69,11.34,14.12,14.84,16.31,19.22,20.31,18.09,15.53,14.78,13.44,10.47,7.5,6.91,7.66,7.19,5.5,5.81,7.78,9.22,8.59,9.06,11.47,12.91,11.41,9.44,9.12,8.53,5.12,0.84,-1.09,-2.53,-5.28,-9.5,-12.22,-13.03,-14.44,-16.94,-17.22,-13.56,-9.0,-5.78,-2.12,3.5,9.19,12.25,14.19,17.41,21.41,23.41,23.22,23.25,24.5,23.53,19.38,15.25,12.88,9.97,5.03,-0.19,-3.09,-5.19,-8.41,-11.59,-11.41,-9.25,-7.16,-6.06,-3.22,1.59,6.38,9.53,13.31,19.25,24.47,26.75,27.53,28.88,29.34,26.12,20.22,15.25,11.31,6.84,1.75,-0.88,-0.59,-0.25,-1.88,-2.56,-0.44,2.16,3.25,3.88,6.69,10.72,12.81,14.09,17.22,21.5,23.88,23.34,22.66,22.78,21.62,17.5,13.5,12.19,11.84,10.0,8.16,8.56,10.53,10.59,9.44,10.12,11.97,13.09,12.31,12.91,16.28,19.72,20.62,21.31,23.59,24.81,23.12,20.19,19.09,18.66,16.94,13.81,11.94,11.56,9.97,5.81,2.5,1.88,1.84,1.19,2.38,7.5,13.66,17.91,20.34,22.97,24.81,24.19,21.34,19.41,18.91,18.5,16.09,14.53,15.34,16.62,15.62,14.72,15.88,17.88,18.03,16.53,15.72,14.88,11.91,6.84,3.41,2.94,2.91,1.34,0.75,2.06,3.22,1.5,-0.69,-1.09,-0.47,-1.31,-2.06,-0.47,3.31,6.22,7.59,9.19,12.5,15.06,15.19,15.53,18.09,20.66,20.34,18.88,18.66,18.62,17.09,13.94,12.59,13.41,13.53,12.19,11.69,13.28,13.94,12.06,9.97,10.0,10.84,9.94,8.88,10.44,13.19,14.53,14.12,14.81,16.12,16.59,14.25,12.53,12.62,12.59,10.19,8.09,8.38,9.62,9.22,8.31,8.66,10.44,10.75,9.75,9.97,12.28,14.0,13.47,12.94,13.69,14.09,11.38,8.28,7.34,7.38,5.94,4.03,4.0,5.38,5.72,4.09,3.25,4.31,5.19,4.03,3.12,4.34,5.91,4.53,2.84,3.09,4.38,4.28,3.25,4.03,6.34,7.62,6.91,7.16,9.59,11.09,9.88,8.97,9.97,10.88,9.69,8.12,8.09,9.53,9.41,8.72,9.72,12.47,14.0,13.16,12.81,13.81,14.38,12.94,11.5,12.75,14.38,13.78,12.25,11.94,12.44,10.91,8.34,7.16,7.97,8.34,7.25,7.09,9.25,11.66,12.16,13.03,15.91,19.75,21.03,21.12,22.06,23.88,23.59,21.81,20.44,20.78,20.25,17.91,16.06,16.19,16.56,14.31,12.09,12.09,13.19,13.12,12.41,13.41,15.91,16.88,16.34,15.91,17.19,17.5,15.59,14.25,14.91,16.31,15.53,13.94,14.34,15.47,14.28,11.53,9.91,9.69,8.56,6.41,6.12,8.38,11.06,11.59,12.12,14.28,16.81,16.59,15.31,15.41,17.06,16.84,15.81,16.28,18.41,19.44,18.53,17.72,19.06,19.84,18.47,16.78,17.91,20.25,20.53,19.81,20.03,20.69,18.03,13.19,9.31,7.81,6.25,4.22,3.44,5.12,6.56,5.91,4.56,4.62,5.62,5.22,3.84,4.5,7.44,9.47,10.09,11.88,15.19,17.38,16.41,15.22,15.81,16.28,14.72,12.56,12.06,12.34,10.88,8.16,6.69,7.19,6.75,5.0,4.62,7.0,9.06,9.16,8.56,9.41,10.06,8.03,5.06,4.66,5.62,4.69,3.69,4.25,6.84,9.06,9.72,10.97,13.97,16.16,15.41,14.25,14.66,15.31,13.84,11.38,10.28,10.09,8.31,5.53,3.94,4.47,4.53,3.59,3.91,7.34,10.91,12.62,13.28,15.34,17.09,16.84,15.03,14.75,16.0,16.38,15.28,15.03,16.56,16.84,14.59,12.47,12.88,13.09,11.69,10.0,10.38,11.41,10.94,9.0,8.47,9.19,9.25,8.44,9.25,12.44,15.16,15.19,14.75,15.78,16.84,15.59,13.62,13.28,13.75,12.47,10.31,10.16,12.16,13.94,14.69,15.94,19.28,21.75,21.06,19.06,19.25,19.06,16.97,14.22,13.31,13.84,13.47,11.78,12.0,14.31,15.28,13.88,12.34,13.0,13.19,11.41,9.84,10.38,11.66,11.25,9.88,10.44,12.03,12.69,12.0,12.56,15.06,17.12,16.84,17.25,19.84,22.44,22.5,21.75,22.41,23.28,21.66,18.5,16.41,15.47,13.5,9.75,7.41,7.56,7.62,6.0,4.66,6.56,8.38,8.0,6.78,7.38,8.66,8.41,7.56,8.25,10.75,12.28,11.38,11.12,12.59,13.12,11.16,8.31,8.12,8.59,7.44,5.56,6.0,6.84,5.0,1.62,-0.25,0.25,0.53,-0.03,0.22,2.88,6.06,7.12,7.91,11.03,13.91,13.66,11.91,11.47,12.03,11.66,10.19,10.56,12.38,13.81,12.94,12.56,14.16,16.06,16.0,15.12,16.75,18.84,19.34,18.69,19.69,21.31,21.72,20.28,20.38,22.16,23.75,22.91,21.66,22.03,22.28,19.84,16.53,15.5,16.0,14.72,12.81,12.94,14.53,14.75,13.75,12.94,13.94,14.53,12.41,10.62,11.16,12.19,11.44,9.88,10.25,11.62,11.75,10.84,11.72,14.22,15.84,14.97,14.75,16.53,18.03,17.19,16.06,16.53,16.88,15.0,11.72,10.41,10.28,9.25,7.25,7.0,8.59,9.97,8.97,8.56,9.94,10.81,8.84,6.22,5.22,5.5,4.25,2.69,3.78,7.06,8.88,8.97,10.12,12.41,13.69,12.28,11.03,11.59,12.41,10.5,8.38,8.5,9.44,8.78,6.62,5.97,6.16,4.84,1.62,-0.03,1.0,1.59,1.09,0.91,3.44,5.75,5.56,4.44,5.0,6.5,6.53,5.5,6.62,9.34,11.06,10.91,11.28,13.5,14.75,13.06,11.03,10.5,10.22,7.66,4.5,3.94,5.25,5.69,5.22,6.41,8.72,9.69,7.5,5.66,6.12,7.31,7.34,8.22,11.47,15.0,15.66,14.0,13.06,13.12,11.47,9.22,8.69,10.94,13.41,13.44,13.72,15.44,16.62,14.53,11.53,10.5,10.78,9.38,7.0,6.5,7.25,6.38,3.72,2.59,4.38,6.25,6.75,7.81,11.22,14.34,14.56,12.78,12.56,12.38,10.78,8.62,8.53,11.5,13.81,13.88,14.38,15.72,16.06,13.03,10.12,9.03,8.78,5.88,2.41,0.78,0.69,-0.03,-1.56,-1.28,1.16,2.12,0.84,-0.16,1.28,3.22,3.34,4.53,8.38,13.03,14.88,14.97,14.97,15.03,12.0,6.81,2.72,1.53,0.34,-1.81,-2.31,0.66,4.25,6.19,8.31,12.31,16.5,17.22,15.38,13.5,11.94,8.84,3.78,0.03,-1.28,-2.66,-5.75,-7.28,-5.69,-3.03,-2.25,-1.53,1.0,4.28,5.44,4.75,5.47,6.94,6.94,4.62,2.94,3.31,3.78,2.09,0.94,1.69,2.38,0.19,-3.03,-4.25,-3.88,-4.34,-4.97,-3.69,-0.09,2.66,3.5,4.53,7.69,9.62,8.34,5.5,3.59,1.69,-3.44,-9.84,-14.31,-17.03,-20.34,-23.88,-24.47,-21.94,-19.53,-19.34,-19.28,-16.88,-14.56,-14.16,-12.75,-8.03,-2.22,1.84,5.06,9.81,15.59,19.12,19.72,19.66,19.5,17.5,12.25,7.06,4.0,1.06,-4.25,-10.34,-14.06,-16.0,-18.84,-21.22,-20.84,-17.09,-13.91,-11.56,-8.81,-3.47,0.75,2.12,2.41,4.19,5.0,3.12,0.41,0.16,2.22,3.09,3.34,4.59,6.91,6.53,2.81,-1.16,-3.34,-5.09,-8.72,-11.97,-11.94,-11.47,-12.66,-14.78,-14.0,-11.31,-9.56,-8.78,-6.22,-2.03,1.28,2.03,2.94,5.78,7.88,6.81,5.16,5.34,5.84,4.16,1.69,0.62,1.06,0.25,-2.12,-3.09,-1.25,-0.03,-0.69,-1.84,-1.16,-1.03,-3.78,-7.06,-7.72,-6.22,-5.91,-6.06,-4.03,-0.19,2.09,1.91,2.66,5.34,6.91,6.19,5.22,6.03,6.34,3.72,-0.22,-1.78,-2.66,-4.28,-7.16,-7.34,-5.66,-5.06,-6.91,-7.84,-7.12,-7.16,-9.09,-10.5,-8.56,-4.94,-3.12,-1.88,0.91,4.38,5.56,4.47,4.91,7.09,7.88,6.22,5.03,5.84,6.31,4.72,3.09,3.94,5.97,5.28,4.0,4.59,6.75,7.34,6.5,6.62,8.78,9.91,8.88,8.22,9.66,10.78,9.75,8.03,9.16,11.44,11.75,10.5,10.5,10.81,9.12,5.06,2.03,1.56,0.97,-1.22,-2.31,-0.41,2.0,2.72,2.72,4.41,6.38,5.84,3.34,1.88,2.09,1.25,-1.12,-2.0,-0.06,1.47,0.91,0.34,1.88,4.25,4.34,3.81,5.56,8.44,8.91,8.0,7.84,9.47,9.38,7.0,5.56,6.47,6.91,5.22,3.75,4.41,5.56,4.94,3.28,3.88,5.75,6.22,5.28,5.25,6.75,7.47,5.41,3.91,4.56,5.19,3.72,1.94,2.91,4.81,5.16,5.06,6.56,9.56,11.28,11.22,11.88,13.69,1.19,1.06,-0.16,0.12,1.91,3.69,4.88,6.62,9.47,11.56,11.03,10.0,10.0,9.44,7.31,4.78,3.66,3.72,3.53,3.06,4.0,5.91,6.94,6.31,5.53,6.5,7.31,7.31,7.75,10.31,12.78,13.25,12.12,11.94,11.56,9.5,6.25,4.06,2.94,1.97,-0.12,-1.19:negativity
41.25,41.25,41.59,43.44,46.09,47.62,48.0,48.81,50.19,51.22,50.0,49.28,49.78,50.34,50.16,49.84,50.62,52.22,51.75,50.0,49.66,50.12,49.47,47.72,46.78,47.53,48.09,47.56,47.88,49.38,50.34,49.12,47.0,45.62,44.53,42.19,39.53,37.78,38.03,37.47,36.28,35.97,37.28,38.59,38.78,39.06,40.91,42.72,42.44,41.56,42.06,43.47,43.84,43.53,45.0,48.06,50.28,51.41,52.91,55.03,56.88,56.06,55.31,55.97,56.97,55.72,53.41,51.88,50.94,48.84,45.5,43.88,44.5,44.75,44.0,44.25,46.78,49.12,49.56,50.03,51.28,52.62,51.75,49.56,48.31,47.91,46.28,43.56,41.66,41.84,42.09,41.19,41.62,44.41,47.72,48.94,49.91,50.84,51.41,49.69,46.62,44.69,44.25,43.12,40.81,39.09,39.0,38.62,36.62,35.22,35.47,36.09,34.97,33.69,34.12,35.47,36.19,36.22,38.0,41.47,44.56,46.72,48.66,51.84,54.19,54.62,54.53,55.75,56.94,55.56,53.09,51.5,49.97,47.03,43.06,40.06,38.5,36.94,34.03,32.44,33.0,34.31,34.41,34.69,36.44,38.75,39.25,39.16,40.19,42.41,43.25,43.03,43.06,44.31,44.84,43.53,42.72,43.81,44.84,44.56,43.75,43.81,44.0,42.28,39.72,37.75,37.34,36.25,34.0,32.84,33.0,32.56,30.75,29.59,31.22,33.75,35.31,36.31,38.31,40.78,40.59,40.09,40.47,41.88,41.84,40.41,39.28,39.22,39.28,38.19,37.25,38.16,39.16,38.47,37.06,37.19,37.72,36.53,34.25,32.16,31.62,30.31,28.69,28.66,31.44,34.38,36.06,37.59,40.16,42.94,43.66,43.22,44.03,45.09,44.59,43.38,43.47,44.94,45.72,45.25,44.59,45.44,45.16,43.31,41.19,40.56,40.47,39.41,37.56,37.34,38.0,37.5,36.53,36.31,37.91,38.84,38.72,38.72,40.06,41.69,41.38,40.88,41.47,42.69,42.41,41.69,41.94,42.91,42.66,41.03,40.03,40.53,40.78,39.78,39.41,41.38,43.5,44.0,43.94,44.84,45.75,44.88,42.75,41.78,42.25,41.78,40.22,39.47,40.72,41.25,40.5,40.16,41.47,43.09,43.16,42.38,42.72,43.47,42.94,41.25,40.59,41.25,41.19,39.66,38.25,38.59,38.75,37.91,37.12,39.09,42.03,43.75,45.0,47.22,49.66,50.22,48.78,47.69,47.62,46.5,44.56,43.25,44.38,45.84,46.28,46.41,47.75,48.88,48.0,45.38,43.97,43.69,43.25,41.97,42.12,43.19,43.75,42.06,40.47,40.28,40.44,39.5,38.25,38.88,40.44,40.84,40.16,40.47,41.19,40.41,37.91,36.03,35.78,35.53,34.25,33.5,34.44,35.62,35.06,33.53,33.62,34.66,35.09,34.53,35.53,37.5,38.72,37.81,37.38,38.03,38.47,37.25,36.44,38.0,40.19,41.19,41.5,43.03,44.88,45.78,45.25,45.81,46.75,46.75,44.72,42.41,41.72,40.88,39.19,37.22,37.19,37.44,36.28,34.0,33.0,32.88,32.44,31.06,30.84,32.69,34.06,33.88,33.91,35.56,36.91,36.81,36.59,38.41,40.62,41.5,41.69,42.44,43.62,44.16,42.91,42.16,42.78,42.62,41.19,39.91,40.91,41.97,41.56,40.34,40.47,41.03,40.53,38.72,38.22,38.66,37.66,34.88,32.59,31.88,31.0,28.88,27.75,29.12,31.09,32.25,32.81,34.94,37.22,38.44,37.88,38.19,38.94,38.75,36.5,34.75,34.91,35.16,34.38,33.88,35.25,37.03,37.22,36.81,37.88,39.56,40.41,40.34,41.81,44.56,46.56,46.69,46.28,46.34,45.41,42.06,38.16,36.0,34.66,32.59,31.03,32.12,34.47,35.94,36.44,37.22,39.12,40.88,41.09,41.0,42.25,43.0,41.66,39.81,39.56,39.78,38.62,36.25,35.53,36.16,36.91,36.53,37.06,39.16,40.5,39.88,39.38,40.16,40.88,39.53,37.59,36.62,36.5,35.56,33.81,33.72,34.72,35.25,34.31,34.09,35.09,35.5,34.22,32.69,33.28,34.22,34.25,34.31,35.41,37.22,37.16,36.09,36.12,37.25,37.97,37.12,36.75,37.19,37.75,36.16,34.78,35.16,35.91,35.12,33.88,34.06,35.66,35.97,35.56,35.75,37.22,37.66,36.72,36.5,37.53,38.28,37.41,36.19,35.88,36.44,35.28,33.34,32.5,32.28,31.19,29.16,28.69,30.47,32.59,32.97,33.47,34.62,35.69,34.06,31.72,30.97,30.53,28.38,25.41,23.75,23.0,21.59,19.06,17.66,17.47,17.5,16.25,16.25,17.84,21.16,23.09,24.69,27.47,30.0,30.84,30.12,29.81,30.72,30.91,29.59,29.06,29.97,30.94,30.25,29.69,30.69,32.0,31.84,31.19,31.53,32.56,32.38,31.75,32.09,33.56,34.75,34.78,34.97,36.94,39.12,40.0,40.97,43.19,45.91,46.44,46.38,46.34,46.22,44.47,40.97,38.28,36.84,34.81,31.72,29.19,28.38,27.75,26.22,25.03,25.28,26.59,26.72,26.31,27.31,29.5,30.62,30.88,31.53,33.28,35.28,35.19,35.19,36.44,37.59,36.72,35.59,35.53,35.94,35.0,33.38,32.78,33.53,33.78,33.41,33.59,35.09,36.53,36.12,35.88,36.81,38.06,37.69,36.88,36.97,37.38,36.28,33.88,32.53,32.25,31.38,29.25,27.97,28.53,28.91,28.16,27.78,28.91,30.41,30.75,30.72,31.56,33.06,32.72,30.97,29.34,28.69,27.22,24.44,22.84,22.91,23.31,22.88,22.47,23.97,26.41,27.88,29.25,31.69,35.28,38.03,39.88,42.41,46.47,49.0,49.25,48.59,47.88,46.44,42.97,39.44,37.25,36.53,34.91,34.0,34.72,37.19,39.09,40.03,41.09,43.12,44.53,43.66,42.66,42.56,42.12,40.19,38.03,37.47,38.34,38.44,38.22,39.09,41.0,41.84,41.38,40.56,41.0,40.56,38.75,36.62,36.47,36.75,35.91,34.31,33.72,33.53,31.97,29.38,28.0,28.19,27.97,26.16,25.0,25.69,26.41,26.12,26.19,28.0,30.25,30.88,30.78,31.66,32.75,32.75,31.78,31.47,32.47,33.19,33.03,33.38,35.66,37.16,36.78,35.56,35.0,34.16,32.31,29.56,28.25,28.19,27.84,27.09,27.19,29.25,30.75,30.59,30.16,31.41,32.5,32.5,32.34,32.72,34.16,34.12,33.19,33.31,35.19,36.53,36.69,37.5,39.06,39.88,38.69,36.81,36.38,36.31,35.16,33.91,34.0,34.88,34.56,32.69,31.44,31.59,31.38,30.0,29.5,30.97,32.28,32.34,32.25,33.78,35.44,35.91,35.88,37.06,38.97,39.5,38.81,38.22,38.78,38.41,36.78,35.66,36.28,36.91,36.34,35.78,36.81,38.31,38.94,38.91,40.16,42.41,43.75,43.38,43.19,43.97,43.78,42.16,40.75,41.19,41.47,40.28,38.34,37.91,37.84,37.5,37.03,38.0,40.22,41.31,41.09,41.22,42.34,43.16,42.47,42.16,43.06,43.84,42.59,40.81,39.94,39.41,38.5,36.97,37.0,38.56,39.62,40.09,40.62,42.75,44.22,43.75,42.88,43.06,43.09,42.16,40.84,41.06,42.38,42.75,42.75,43.41,45.12,46.22,45.62,45.25,45.88,46.0,44.16,41.75,40.34,39.19,37.16,35.22,35.16,36.84,38.28,38.75,39.72,40.97,41.19,39.69,38.06,38.47,39.12,38.81,38.0,38.66,39.88,39.91,39.16,40.03,41.62,42.12,41.28,40.59,40.75,40.03,37.66,35.22,34.03,33.19,31.62,30.25,31.22,33.47,35.59,36.88,39.47,42.25,44.41,44.59,44.97,46.16,46.5,45.31,43.66,43.97,45.0,45.03,44.75,45.38,46.25,45.41,42.84,41.25,40.94,40.19,38.16,36.81,36.75,36.84,36.03,35.47,37.12,38.91,39.41,39.0,39.38,40.09,39.56,38.16,38.06,38.91,39.31,38.09,37.47,37.94,38.34,37.19,36.0,36.47,37.25,36.91,35.59,35.53,35.56,34.66,31.94,30.09,29.53,29.09,28.0,27.78,29.69,32.38,33.81,34.56,36.78,38.91,39.38,38.44,38.62,39.69,40.19,39.69,40.06,41.53,42.38,41.56,40.06,40.12,40.38,39.19,38.0,38.44,39.94,40.81,40.66,41.03,41.69,41.44,39.75,38.78,39.47,40.34,39.5,38.53,37.97,37.41,35.34,32.84,31.94,32.38,32.38,32.09,33.25,35.22,36.62,36.44,36.75,38.06,39.62,39.5,38.91,39.25,39.38,37.81,35.75,34.97,35.41,35.16,33.84,33.81,34.88,36.06,36.44,37.5,40.22,43.38,44.78,45.84,48.19,50.59,51.09,50.12,49.84,49.94,48.69,46.28,44.72,44.75,45.0,44.03,43.47,44.09,44.47,42.47,39.75,38.31,37.81,36.53,34.88,34.75,35.66,35.69,34.5,34.44,36.28,37.84,38.09,38.34,39.62,40.75,40.0,39.03,39.69,41.38,41.81,41.59,42.38,43.91,44.62,43.78,43.34,44.44,45.34,44.66,44.03,44.22,44.34,42.62,40.56,40.22,41.38,41.5,40.62,40.69,41.22,41.09,39.75,39.41,41.0,42.25,41.84,41.16,41.31,41.78,40.38,38.38,37.44,37.28,35.91,33.12,31.94,32.19,32.41,31.53,31.31,32.81,34.78,35.03,35.47,37.16,39.28,39.47,38.91,39.28,41.03,41.81,41.47,41.66,42.81,43.25,41.84,40.78,41.0,41.97,41.22,39.88,40.38,40.97,40.56,39.62,39.41,40.41:48.81,50.19,51.22,50.0,49.28,49.78,50.34,50.16,49.84,50.62,52.22,51.75,50.0,49.66,50.12,49.47,47.72,46.78,47.53,48.09,47.56,47.88,49.38,50.34,49.12,47.0,45.62,44.53,42.19,39.53,37.78,38.03,37.47,36.28,35.97,37.28,38.59,38.78,39.06,40.91,42.72,42.44,41.56,42.06,43.47,43.84,43.53,45.0,48.06,50.28,51.41,52.91,55.03,56.88,56.06,55.31,55.97,56.97,55.72,53.41,51.88,50.94,48.84,45.5,43.88,44.5,44.75,44.0,44.25,46.78,49.12,49.56,50.03,51.28,52.62,51.75,49.56,48.31,47.91,46.28,43.56,41.66,41.84,42.09,41.19,41.62,44.41,47.72,48.94,49.91,50.84,51.41,49.69,46.62,44.69,44.25,43.12,40.81,39.09,39.0,38.62,36.62,35.22,35.47,36.09,34.97,33.69,34.12,35.47,36.19,36.22,38.0,41.47,44.56,46.72,48.66,51.84,54.19,54.62,54.53,55.75,56.94,55.56,53.09,51.5,49.97,47.03,43.06,40.06,38.5,36.94,34.03,32.44,33.0,34.31,34.41,34.69,36.44,38.75,39.25,39.16,40.19,42.41,43.25,43.03,43.06,44.31,44.84,43.53,42.72,43.81,44.84,44.56,43.75,43.81,44.0,42.28,39.72,37.75,37.34,36.25,34.0,32.84,33.0,32.56,30.75,29.59,31.22,33.75,35.31,36.31,38.31,40.78,40.59,40.09,40.47,41.88,41.84,40.41,39.28,39.22,39.28,38.19,37.25,38.16,39.16,38.47,37.06,37.19,37.72,36.53,34.25,32.16,31.62,30.31,28.69,28.66,31.44,34.38,36.06,37.59,40.16,42.94,43.66,43.22,44.03,45.09,44.59,43.38,43.47,44.94,45.72,45.25,44.59,45.44,45.16,43.31,41.19,40.56,40.47,39.41,37.56,37.34,38.0,37.5,36.53,36.31,37.91,38.84,38.72,38.72,40.06,41.69,41.38,40.88,41.47,42.69,42.41,41.69,41.94,42.91,42.66,41.03,40.03,40.53,40.78,39.78,39.41,41.38,43.5,44.0,43.94,44.84,45.75,44.88,42.75,41.78,42.25,41.78,40.22,39.47,40.72,41.25,40.5,40.16,41.47,43.09,43.16,42.38,42.72,43.47,42.94,41.25,40.59,41.25,41.19,39.66,38.25,38.59,38.75,37.91,37.12,39.09,42.03,43.75,45.0,47.22,49.66,50.22,48.78,47.69,47.62,46.5,44.56,43.25,44.38,45.84,46.28,46.41,47.75,48.88,48.0,45.38,43.97,43.69,43.25,41.97,42.12,43.19,43.75,42.06,40.47,40.28,40.44,39.5,38.25,38.88,40.44,40.84,40.16,40.47,41.19,40.41,37.91,36.03,35.78,35.53,34.25,33.5,34.44,35.62,35.06,33.53,33.62,34.66,35.09,34.53,35.53,37.5,38.72,37.81,37.38,38.03,38.47,37.25,36.44,38.0,40.19,41.19,41.5,43.03,44.88,45.78,45.25,45.81,46.75,46.75,44.72,42.41,41.72,40.88,39.19,37.22,37.19,37.44,36.28,34.0,33.0,32.88,32.44,31.06,30.84,32.69,34.06,33.88,33.91,35.56,36.91,36.81,36.59,38.41,40.62,41.5,41.69,42.44,43.62,44.16,42.91,42.16,42.78,42.62,41.19,39.91,40.91,41.97,41.56,40.34,40.47,41.03,40.53,38.72,38.22,38.66,37.66,34.88,32.59,31.88,31.0,28.88,27.75,29.12,31.09,32.25,32.81,34.94,37.22,38.44,37.88,38.19,38.94,38.75,36.5,34.75,34.91,35.16,34.38,33.88,35.25,37.03,37.22,36.81,37.88,39.56,40.41,40.34,41.81,44.56,46.56,46.69,46.28,46.34,45.41,42.06,38.16,36.0,34.66,32.59,31.03,32.12,34.47,35.94,36.44,37.22,39.12,40.88,41.09,41.0,42.25,43.0,41.66,39.81,39.56,39.78,38.62,36.25,35.53,36.16,36.91,36.53,37.06,39.16,40.5,39.88,39.38,40.16,40.88,39.53,37.59,36.62,36.5,35.56,33.81,33.72,34.72,35.25,34.31,34.09,35.09,35.5,34.22,32.69,33.28,34.22,34.25,34.31,35.41,37.22,37.16,36.09,36.12,37.25,37.97,37.12,36.75,37.19,37.75,36.16,34.78,35.16,35.91,35.12,33.88,34.06,35.66,35.97,35.56,35.75,37.22,37.66,36.72,36.5,37.53,38.28,37.41,36.19,35.88,36.44,35.28,33.34,32.5,32.28,31.19,29.16,28.69,30.47,32.59,32.97,33.47,34.62,35.69,34.06,31.72,30.97,30.53,28.38,25.41,23.75,23.0,21.59,19.06,17.66,17.47,17.5,16.25,16.25,17.84,21.16,23.09,24.69,27.47,30.0,30.84,30.12,29.81,30.72,30.91,29.59,29.06,29.97,30.94,30.25,29.69,30.69,32.0,31.84,31.19,31.53,32.56,32.38,31.75,32.09,33.56,34.75,34.78,34.97,36.94,39.12,40.0,40.97,43.19,45.91,46.44,46.38,46.34,46.22,44.47,40.97,38.28,36.84,34.81,31.72,29.19,28.38,27.75,26.22,25.03,25.28,26.59,26.72,26.31,27.31,29.5,30.62,30.88,31.53,33.28,35.28,35.19,35.19,36.44,37.59,36.72,35.59,35.53,35.94,35.0,33.38,32.78,33.53,33.78,33.41,33.59,35.09,36.53,36.12,35.88,36.81,38.06,37.69,36.88,36.97,37.38,36.28,33.88,32.53,32.25,31.38,29.25,27.97,28.53,28.91,28.16,27.78,28.91,30.41,30.75,30.72,31.56,33.06,32.72,30.97,29.34,28.69,27.22,24.44,22.84,22.91,23.31,22.88,22.47,23.97,26.41,27.88,29.25,31.69,35.28,38.03,39.88,42.41,46.47,49.0,49.25,48.59,47.88,46.44,42.97,39.44,37.25,36.53,34.91,34.0,34.72,37.19,39.09,40.03,41.09,43.12,44.53,43.66,42.66,42.56,42.12,40.19,38.03,37.47,38.34,38.44,38.22,39.09,41.0,41.84,41.38,40.56,41.0,40.56,38.75,36.62,36.47,36.75,35.91,34.31,33.72,33.53,31.97,29.38,28.0,28.19,27.97,26.16,25.0,25.69,26.41,26.12,26.19,28.0,30.25,30.88,30.78,31.66,32.75,32.75,31.78,31.47,32.47,33.19,33.03,33.38,35.66,37.16,36.78,35.56,35.0,34.16,32.31,29.56,28.25,28.19,27.84,27.09,27.19,29.25,30.75,30.59,30.16,31.41,32.5,32.5,32.34,32.72,34.16,34.12,33.19,33.31,35.19,36.53,36.69,37.5,39.06,39.88,38.69,36.81,36.38,36.31,35.16,33.91,34.0,34.88,34.56,32.69,31.44,31.59,31.38,30.0,29.5,30.97,32.28,32.34,32.25,33.78,35.44,35.91,35.88,37.06,38.97,39.5,38.81,38.22,38.78,38.41,36.78,35.66,36.28,36.91,36.34,35.78,36.81,38.31,38.94,38.91,40.16,42.41,43.75,43.38,43.19,43.97,43.78,42.16,40.75,41.19,41.47,40.28,38.34,37.91,37.84,37.5,37.03,38.0,40.22,41.31,41.09,41.22,42.34,43.16,42.47,42.16,43.06,43.84,42.59,40.81,39.94,39.41,38.5,36.97,37.0,38.56,39.62,40.09,40.62,42.75,44.22,43.75,42.88,43.06,43.09,42.16,40.84,41.06,42.38,42.75,42.75,43.41,45.12,46.22,45.62,45.25,45.88,46.0,44.16,41.75,40.34,39.19,37.16,35.22,35.16,36.84,38.28,38.75,39.72,40.97,41.19,39.69,38.06,38.47,39.12,38.81,38.0,38.66,39.88,39.91,39.16,40.03,41.62,42.12,41.28,40.59,40.75,40.03,37.66,35.22,34.03,33.19,31.62,30.25,31.22,33.47,35.59,36.88,39.47,42.25,44.41,44.59,44.97,46.16,46.5,45.31,43.66,43.97,45.0,45.03,44.75,45.38,46.25,45.41,42.84,41.25,40.94,40.19,38.16,36.81,36.75,36.84,36.03,35.47,37.12,38.91,39.41,39.0,39.38,40.09,39.56,38.16,38.06,38.91,39.31,38.09,37.47,37.94,38.34,37.19,36.0,36.47,37.25,36.91,35.59,35.53,35.56,34.66,31.94,30.09,29.53,29.09,28.0,27.78,29.69,32.38,33.81,34.56,36.78,38.91,39.38,38.44,38.62,39.69,40.19,39.69,40.06,41.53,42.38,41.56,40.06,40.12,40.38,39.19,38.0,38.44,39.94,40.81,40.66,41.03,41.69,41.44,39.75,38.78,39.47,40.34,39.5,38.53,37.97,37.41,35.34,32.84,31.94,32.38,32.38,32.09,33.25,35.22,36.62,36.44,36.75,38.06,39.62,39.5,38.91,39.25,39.38,37.81,35.75,34.97,35.41,35.16,33.84,33.81,34.88,36.06,36.44,37.5,40.22,43.38,44.78,45.84,48.19,50.59,51.09,50.12,49.84,49.94,48.69,46.28,44.72,44.75,45.0,44.03,43.47,44.09,44.47,42.47,39.75,38.31,37.81,36.53,34.88,34.75,35.66,35.69,34.5,34.44,36.28,37.84,38.09,38.34,39.62,40.75,40.0,39.03,39.69,41.38,41.81,41.59,42.38,43.91,44.62,43.78,43.34,44.44,45.34,44.66,44.03,44.22,44.34,42.62,40.56,40.22,41.38,41.5,40.62,40.69,41.22,41.09,39.75,39.41,41.0,42.25,41.84,41.16,41.31,41.78,40.38,38.38,37.44,37.28,35.91,33.12,31.94,32.19,32.41,31.53,31.31,32.81,34.78,35.03,35.47,37.16,39.28,39.47,38.91,39.28,41.03,41.81,41.47,41.66,42.81,43.25,41.84,40.78,41.0,41.97,41.22,39.88,40.38,40.97,40.56,39.62,39.41,40.41,71.62,72.84,74.44,76.34,78.03,79.97,81.12:50.16,49.84,50.62,52.22,51.75,50.0,49.66,50.12,49.47,47.72,46.78,47.53,48.09,47.56,47.88,49.38,50.34,49.12,47.0,45.62,44.53,42.19,39.53,37.78,38.03,37.47,36.28,35.97,37.28,38.59,38.78,39.06,40.91,42.72,42.44,41.56,42.06,43.47,43.84,43.53,45.0,48.06,50.28,51.41,52.91,55.03,56.88,56.06,55.31,55.97,56.97,55.72,53.41,51.88,50.94,48.84,45.5,43.88,44.5,44.75,44.0,44.25,46.78,49.12,49.56,50.03,51.28,52.62,51.75,49.56,48.31,47.91,46.28,43.56,41.66,41.84,42.09,41.19,41.62,44.41,47.72,48.94,49.91,50.84,51.41,49.69,46.62,44.69,44.25,43.12,40.81,39.09,39.0,38.62,36.62,35.22,35.47,36.09,34.97,33.69,34.12,35.47,36.19,36.22,38.0,41.47,44.56,46.72,48.66,51.84,54.19,54.62,54.53,55.75,56.94,55.56,53.09,51.5,49.97,47.03,43.06,40.06,38.5,36.94,34.03,32.44,33.0,34.31,34.41,34.69,36.44,38.75,39.25,39.16,40.19,42.41,43.25,43.03,43.06,44.31,44.84,43.53,42.72,43.81,44.84,44.56,43.75,43.81,44.0,42.28,39.72,37.75,37.34,36.25,34.0,32.84,33.0,32.56,30.75,29.59,31.22,33.75,35.31,36.31,38.31,40.78,40.59,40.09,40.47,41.88,41.84,40.41,39.28,39.22,39.28,38.19,37.25,38.16,39.16,38.47,37.06,37.19,37.72,36.53,34.25,32.16,31.62,30.31,28.69,28.66,31.44,34.38,36.06,37.59,40.16,42.94,43.66,43.22,44.03,45.09,44.59,43.38,43.47,44.94,45.72,45.25,44.59,45.44,45.16,43.31,41.19,40.56,40.47,39.41,37.56,37.34,38.0,37.5,36.53,36.31,37.91,38.84,38.72,38.72,40.06,41.69,41.38,40.88,41.47,42.69,42.41,41.69,41.94,42.91,42.66,41.03,40.03,40.53,40.78,39.78,39.41,41.38,43.5,44.0,43.94,44.84,45.75,44.88,42.75,41.78,42.25,41.78,40.22,39.47,40.72,41.25,40.5,40.16,41.47,43.09,43.16,42.38,42.72,43.47,42.94,41.25,40.59,41.25,41.19,39.66,38.25,38.59,38.75,37.91,37.12,39.09,42.03,43.75,45.0,47.22,49.66,50.22,48.78,47.69,47.62,46.5,44.56,43.25,44.38,45.84,46.28,46.41,47.75,48.88,48.0,45.38,43.97,43.69,43.25,41.97,42.12,43.19,43.75,42.06,40.47,40.28,40.44,39.5,38.25,38.88,40.44,40.84,40.16,40.47,41.19,40.41,37.91,36.03,35.78,35.53,34.25,33.5,34.44,35.62,35.06,33.53,33.62,34.66,35.09,34.53,35.53,37.5,38.72,37.81,37.38,38.03,38.47,37.25,36.44,38.0,40.19,41.19,41.5,43.03,44.88,45.78,45.25,45.81,46.75,46.75,44.72,42.41,41.72,40.88,39.19,37.22,37.19,37.44,36.28,34.0,33.0,32.88,32.44,31.06,30.84,32.69,34.06,33.88,33.91,35.56,36.91,36.81,36.59,38.41,40.62,41.5,41.69,42.44,43.62,44.16,42.91,42.16,42.78,42.62,41.19,39.91,40.91,41.97,41.56,40.34,40.47,41.03,40.53,38.72,38.22,38.66,37.66,34.88,32.59,31.88,31.0,28.88,27.75,29.12,31.09,32.25,32.81,34.94,37.22,38.44,37.88,38.19,38.94,38.75,36.5,34.75,34.91,35.16,34.38,33.88,35.25,37.03,37.22,36.81,37.88,39.56,40.41,40.34,41.81,44.56,46.56,46.69,46.28,46.34,45.41,42.06,38.16,36.0,34.66,32.59,31.03,32.12,34.47,35.94,36.44,37.22,39.12,40.88,41.09,41.0,42.25,43.0,41.66,39.81,39.56,39.78,38.62,36.25,35.53,36.16,36.91,36.53,37.06,39.16,40.5,39.88,39.38,40.16,40.88,39.53,37.59,36.62,36.5,35.56,33.81,33.72,34.72,35.25,34.31,34.09,35.09,35.5,34.22,32.69,33.28,34.22,34.25,34.31,35.41,37.22,37.16,36.09,36.12,37.25,37.97,37.12,36.75,37.19,37.75,36.16,34.78,35.16,35.91,35.12,33.88,34.06,35.66,35.97,35.56,35.75,37.22,37.66,36.72,36.5,37.53,38.28,37.41,36.19,35.88,36.44,35.28,33.34,32.5,32.28,31.19,29.16,28.69,30.47,32.59,32.97,33.47,34.62,35.69,34.06,31.72,30.97,30.53,28.38,25.41,23.75,23.0,21.59,19.06,17.66,17.47,17.5,16.25,16.25,17.84,21.16,23.09,24.69,27.47,30.0,30.84,30.12,29.81,30.72,30.91,29.59,29.06,29.97,30.94,30.25,29.69,30.69,32.0,31.84,31.19,31.53,32.56,32.38,31.75,32.09,33.56,34.75,34.78,34.97,36.94,39.12,40.0,40.97,43.19,45.91,46.44,46.38,46.34,46.22,44.47,40.97,38.28,36.84,34.81,31.72,29.19,28.38,27.75,26.22,25.03,25.28,26.59,26.72,26.31,27.31,29.5,30.62,30.88,31.53,33.28,35.28,35.19,35.19,36.44,37.59,36.72,35.59,35.53,35.94,35.0,33.38,32.78,33.53,33.78,33.41,33.59,35.09,36.53,36.12,35.88,36.81,38.06,37.69,36.88,36.97,37.38,36.28,33.88,32.53,32.25,31.38,29.25,27.97,28.53,28.91,28.16,27.78,28.91,30.41,30.75,30.72,31.56,33.06,32.72,30.97,29.34,28.69,27.22,24.44,22.84,22.91,23.31,22.88,22.47,23.97,26.41,27.88,29.25,31.69,35.28,38.03,39.88,42.41,46.47,49.0,49.25,48.59,47.88,46.44,42.97,39.44,37.25,36.53,34.91,34.0,34.72,37.19,39.09,40.03,41.09,43.12,44.53,43.66,42.66,42.56,42.12,40.19,38.03,37.47,38.34,38.44,38.22,39.09,41.0,41.84,41.38,40.56,41.0,40.56,38.75,36.62,36.47,36.75,35.91,34.31,33.72,33.53,31.97,29.38,28.0,28.19,27.97,26.16,25.0,25.69,26.41,26.12,26.19,28.0,30.25,30.88,30.78,31.66,32.75,32.75,31.78,31.47,32.47,33.19,33.03,33.38,35.66,37.16,36.78,35.56,35.0,34.16,32.31,29.56,28.25,28.19,27.84,27.09,27.19,29.25,30.75,30.59,30.16,31.41,32.5,32.5,32.34,32.72,34.16,34.12,33.19,33.31,35.19,36.53,36.69,37.5,39.06,39.88,38.69,36.81,36.38,36.31,35.16,33.91,34.0,34.88,34.56,32.69,31.44,31.59,31.38,30.0,29.5,30.97,32.28,32.34,32.25,33.78,35.44,35.91,35.88,37.06,38.97,39.5,38.81,38.22,38.78,38.41,36.78,35.66,36.28,36.91,36.34,35.78,36.81,38.31,38.94,38.91,40.16,42.41,43.75,43.38,43.19,43.97,43.78,42.16,40.75,41.19,41.47,40.28,38.34,37.91,37.84,37.5,37.03,38.0,40.22,41.31,41.09,41.22,42.34,43.16,42.47,42.16,43.06,43.84,42.59,40.81,39.94,39.41,38.5,36.97,37.0,38.56,39.62,40.09,40.62,42.75,44.22,43.75,42.88,43.06,43.09,42.16,40.84,41.06,42.38,42.75,42.75,43.41,45.12,46.22,45.62,45.25,45.88,46.0,44.16,41.75,40.34,39.19,37.16,35.22,35.16,36.84,38.28,38.75,39.72,40.97,41.19,39.69,38.06,38.47,39.12,38.81,38.0,38.66,39.88,39.91,39.16,40.03,41.62,42.12,41.28,40.59,40.75,40.03,37.66,35.22,34.03,33.19,31.62,30.25,31.22,33.47,35.59,36.88,39.47,42.25,44.41,44.59,44.97,46.16,46.5,45.31,43.66,43.97,45.0,45.03,44.75,45.38,46.25,45.41,42.84,41.25,40.94,40.19,38.16,36.81,36.75,36.84,36.03,35.47,37.12,38.91,39.41,39.0,39.38,40.09,39.56,38.16,38.06,38.91,39.31,38.09,37.47,37.94,38.34,37.19,36.0,36.47,37.25,36.91,35.59,35.53,35.56,34.66,31.94,30.09,29.53,29.09,28.0,27.78,29.69,32.38,33.81,34.56,36.78,38.91,39.38,38.44,38.62,39.69,40.19,39.69,40.06,41.53,42.38,41.56,40.06,40.12,40.38,39.19,38.0,38.44,39.94,40.81,40.66,41.03,41.69,41.44,39.75,38.78,39.47,40.34,39.5,38.53,37.97,37.41,35.34,32.84,31.94,32.38,32.38,32.09,33.25,35.22,36.62,36.44,36.75,38.06,39.62,39.5,38.91,39.25,39.38,37.81,35.75,34.97,35.41,35.16,33.84,33.81,34.88,36.06,36.44,37.5,40.22,43.38,44.78,45.84,48.19,50.59,51.09,50.12,49.84,49.94,48.69,46.28,44.72,44.75,45.0,44.03,43.47,44.09,44.47,42.47,39.75,38.31,37.81,36.53,34.88,34.75,35.66,35.69,34.5,34.44,36.28,37.84,38.09,38.34,39.62,40.75,40.0,39.03,39.69,41.38,41.81,41.59,42.38,43.91,44.62,43.78,43.34,44.44,45.34,44.66,44.03,44.22,44.34,42.62,40.56,40.22,41.38,41.5,40.62,40.69,41.22,41.09,39.75,39.41,41.0,42.25,41.84,41.16,41.31,41.78,40.38,38.38,37.44,37.28,35.91,33.12,31.94,32.19,32.41,31.53,31.31,32.81,34.78,35.03,35.47,37.16,39.28,39.47,38.91,39.28,41.03,41.81,41.47,41.66,42.81,43.25,41.84,40.78,41.0,41.97,41.22,39.88,40.38,40.97,40.56,39.62,39.41,40.41,71.62,72.84,74.44,76.34,78.03,79.97,81.12,81.84,82.03,82.53,82.41,81.97,80.69,80.03:50.12,49.47,47.72,46.78,47.53,48.09,47.56,47.88,49.38,50.34,49.12,47.0,45.62,44.53,42.19,39.53,37.78,38.03,37.47,36.28,35.97,37.28,38.59,38.78,39.06,40.91,42.72,42.44,41.56,42.06,43.47,43.84,43.53,45.0,48.06,50.28,51.41,52.91,55.03,56.88,56.06,55.31,55.97,56.97,55.72,53.41,51.88,50.94,48.84,45.5,43.88,44.5,44.75,44.0,44.25,46.78,49.12,49.56,50.03,51.28,52.62,51.75,49.56,48.31,47.91,46.28,43.56,41.66,41.84,42.09,41.19,41.62,44.41,47.72,48.94,49.91,50.84,51.41,49.69,46.62,44.69,44.25,43.12,40.81,39.09,39.0,38.62,36.62,35.22,35.47,36.09,34.97,33.69,34.12,35.47,36.19,36.22,38.0,41.47,44.56,46.72,48.66,51.84,54.19,54.62,54.53,55.75,56.94,55.56,53.09,51.5,49.97,47.03,43.06,40.06,38.5,36.94,34.03,32.44,33.0,34.31,34.41,34.69,36.44,38.75,39.25,39.16,40.19,42.41,43.25,43.03,43.06,44.31,44.84,43.53,42.72,43.81,44.84,44.56,43.75,43.81,44.0,42.28,39.72,37.75,37.34,36.25,34.0,32.84,33.0,32.56,30.75,29.59,31.22,33.75,35.31,36.31,38.31,40.78,40.59,40.09,40.47,41.88,41.84,40.41,39.28,39.22,39.28,38.19,37.25,38.16,39.16,38.47,37.06,37.19,37.72,36.53,34.25,32.16,31.62,30.31,28.69,28.66,31.44,34.38,36.06,37.59,40.16,42.94,43.66,43.22,44.03,45.09,44.59,43.38,43.47,44.94,45.72,45.25,44.59,45.44,45.16,43.31,41.19,40.56,40.47,39.41,37.56,37.34,38.0,37.5,36.53,36.31,37.91,38.84,38.72,38.72,40.06,41.69,41.38,40.88,41.47,42.69,42.41,41.69,41.94,42.91,42.66,41.03,40.03,40.53,40.78,39.78,39.41,41.38,43.5,44.0,43.94,44.84,45.75,44.88,42.75,41.78,42.25,41.78,40.22,39.47,40.72,41.25,40.5,40.16,41.47,43.09,43.16,42.38,42.72,43.47,42.94,41.25,40.59,41.25,41.19,39.66,38.25,38.59,38.75,37.91,37.12,39.09,42.03,43.75,45.0,47.22,49.66,50.22,48.78,47.69,47.62,46.5,44.56,43.25,44.38,45.84,46.28,46.41,47.75,48.88,48.0,45.38,43.97,43.69,43.25,41.97,42.12,43.19,43.75,42.06,40.47,40.28,40.44,39.5,38.25,38.88,40.44,40.84,40.16,40.47,41.19,40.41,37.91,36.03,35.78,35.53,34.25,33.5,34.44,35.62,35.06,33.53,33.62,34.66,35.09,34.53,35.53,37.5,38.72,37.81,37.38,38.03,38.47,37.25,36.44,38.0,40.19,41.19,41.5,43.03,44.88,45.78,45.25,45.81,46.75,46.75,44.72,42.41,41.72,40.88,39.19,37.22,37.19,37.44,36.28,34.0,33.0,32.88,32.44,31.06,30.84,32.69,34.06,33.88,33.91,35.56,36.91,36.81,36.59,38.41,40.62,41.5,41.69,42.44,43.62,44.16,42.91,42.16,42.78,42.62,41.19,39.91,40.91,41.97,41.56,40.34,40.47,41.03,40.53,38.72,38.22,38.66,37.66,34.88,32.59,31.88,31.0,28.88,27.75,29.12,31.09,32.25,32.81,34.94,37.22,38.44,37.88,38.19,38.94,38.75,36.5,34.75,34.91,35.16,34.38,33.88,35.25,37.03,37.22,36.81,37.88,39.56,40.41,40.34,41.81,44.56,46.56,46.69,46.28,46.34,45.41,42.06,38.16,36.0,34.66,32.59,31.03,32.12,34.47,35.94,36.44,37.22,39.12,40.88,41.09,41.0,42.25,43.0,41.66,39.81,39.56,39.78,38.62,36.25,35.53,36.16,36.91,36.53,37.06,39.16,40.5,39.88,39.38,40.16,40.88,39.53,37.59,36.62,36.5,35.56,33.81,33.72,34.72,35.25,34.31,34.09,35.09,35.5,34.22,32.69,33.28,34.22,34.25,34.31,35.41,37.22,37.16,36.09,36.12,37.25,37.97,37.12,36.75,37.19,37.75,36.16,34.78,35.16,35.91,35.12,33.88,34.06,35.66,35.97,35.56,35.75,37.22,37.66,36.72,36.5,37.53,38.28,37.41,36.19,35.88,36.44,35.28,33.34,32.5,32.28,31.19,29.16,28.69,30.47,32.59,32.97,33.47,34.62,35.69,34.06,31.72,30.97,30.53,28.38,25.41,23.75,23.0,21.59,19.06,17.66,17.47,17.5,16.25,16.25,17.84,21.16,23.09,24.69,27.47,30.0,30.84,30.12,29.81,30.72,30.91,29.59,29.06,29.97,30.94,30.25,29.69,30.69,32.0,31.84,31.19,31.53,32.56,32.38,31.75,32.09,33.56,34.75,34.78,34.97,36.94,39.12,40.0,40.97,43.19,45.91,46.44,46.38,46.34,46.22,44.47,40.97,38.28,36.84,34.81,31.72,29.19,28.38,27.75,26.22,25.03,25.28,26.59,26.72,26.31,27.31,29.5,30.62,30.88,31.53,33.28,35.28,35.19,35.19,36.44,37.59,36.72,35.59,35.53,35.94,35.0,33.38,32.78,33.53,33.78,33.41,33.59,35.09,36.53,36.12,35.88,36.81,38.06,37.69,36.88,36.97,37.38,36.28,33.88,32.53,32.25,31.38,29.25,27.97,28.53,28.91,28.16,27.78,28.91,30.41,30.75,30.72,31.56,33.06,32.72,30.97,29.34,28.69,27.22,24.44,22.84,22.91,23.31,22.88,22.47,23.97,26.41,27.88,29.25,31.69,35.28,38.03,39.88,42.41,46.47,49.0,49.25,48.59,47.88,46.44,42.97,39.44,37.25,36.53,34.91,34.0,34.72,37.19,39.09,40.03,41.09,43.12,44.53,43.66,42.66,42.56,42.12,40.19,38.03,37.47,38.34,38.44,38.22,39.09,41.0,41.84,41.38,40.56,41.0,40.56,38.75,36.62,36.47,36.75,35.91,34.31,33.72,33.53,31.97,29.38,28.0,28.19,27.97,26.16,25.0,25.69,26.41,26.12,26.19,28.0,30.25,30.88,30.78,31.66,32.75,32.75,31.78,31.47,32.47,33.19,33.03,33.38,35.66,37.16,36.78,35.56,35.0,34.16,32.31,29.56,28.25,28.19,27.84,27.09,27.19,29.25,30.75,30.59,30.16,31.41,32.5,32.5,32.34,32.72,34.16,34.12,33.19,33.31,35.19,36.53,36.69,37.5,39.06,39.88,38.69,36.81,36.38,36.31,35.16,33.91,34.0,34.88,34.56,32.69,31.44,31.59,31.38,30.0,29.5,30.97,32.28,32.34,32.25,33.78,35.44,35.91,35.88,37.06,38.97,39.5,38.81,38.22,38.78,38.41,36.78,35.66,36.28,36.91,36.34,35.78,36.81,38.31,38.94,38.91,40.16,42.41,43.75,43.38,43.19,43.97,43.78,42.16,40.75,41.19,41.47,40.28,38.34,37.91,37.84,37.5,37.03,38.0,40.22,41.31,41.09,41.22,42.34,43.16,42.47,42.16,43.06,43.84,42.59,40.81,39.94,39.41,38.5,36.97,37.0,38.56,39.62,40.09,40.62,42.75,44.22,43.75,42.88,43.06,43.09,42.16,40.84,41.06,42.38,42.75,42.75,43.41,45.12,46.22,45.62,45.25,45.88,46.0,44.16,41.75,40.34,39.19,37.16,35.22,35.16,36.84,38.28,38.75,39.72,40.97,41.19,39.69,38.06,38.47,39.12,38.81,38.0,38.66,39.88,39.91,39.16,40.03,41.62,42.12,41.28,40.59,40.75,40.03,37.66,35.22,34.03,33.19,31.62,30.25,31.22,33.47,35.59,36.88,39.47,42.25,44.41,44.59,44.97,46.16,46.5,45.31,43.66,43.97,45.0,45.03,44.75,45.38,46.25,45.41,42.84,41.25,40.94,40.19,38.16,36.81,36.75,36.84,36.03,35.47,37.12,38.91,39.41,39.0,39.38,40.09,39.56,38.16,38.06,38.91,39.31,38.09,37.47,37.94,38.34,37.19,36.0,36.47,37.25,36.91,35.59,35.53,35.56,34.66,31.94,30.09,29.53,29.09,28.0,27.78,29.69,32.38,33.81,34.56,36.78,38.91,39.38,38.44,38.62,39.69,40.19,39.69,40.06,41.53,42.38,41.56,40.06,40.12,40.38,39.19,38.0,38.44,39.94,40.81,40.66,41.03,41.69,41.44,39.75,38.78,39.47,40.34,39.5,38.53,37.97,37.41,35.34,32.84,31.94,32.38,32.38,32.09,33.25,35.22,36.62,36.44,36.75,38.06,39.62,39.5,38.91,39.25,39.38,37.81,35.75,34.97,35.41,35.16,33.84,33.81,34.88,36.06,36.44,37.5,40.22,43.38,44.78,45.84,48.19,50.59,51.09,50.12,49.84,49.94,48.69,46.28,44.72,44.75,45.0,44.03,43.47,44.09,44.47,42.47,39.75,38.31,37.81,36.53,34.88,34.75,35.66,35.69,34.5,34.44,36.28,37.84,38.09,38.34,39.62,40.75,40.0,39.03,39.69,41.38,41.81,41.59,42.38,43.91,44.62,43.78,43.34,44.44,45.34,44.66,44.03,44.22,44.34,42.62,40.56,40.22,41.38,41.5,40.62,40.69,41.22,41.09,39.75,39.41,41.0,42.25,41.84,41.16,41.31,41.78,40.38,38.38,37.44,37.28,35.91,33.12,31.94,32.19,32.41,31.53,31.31,32.81,34.78,35.03,35.47,37.16,39.28,39.47,38.91,39.28,41.03,41.81,41.47,41.66,42.81,43.25,41.84,40.78,41.0,41.97,41.22,39.88,40.38,40.97,40.56,39.62,39.41,40.41,71.62,72.84,74.44,76.34,78.03,79.97,81.12,81.84,82.03,82.53,82.41,81.97,80.69,80.03,79.91,79.53,79.12,79.31,79.66,79.41,79.06:47.88,49.38,50.34,49.12,47.0,45.62,44.53,42.19,39.53,37.78,38.03,37.47,36.28,35.97,37.28,38.59,38.78,39.06,40.91,42.72,42.44,41.56,42.06,43.47,43.84,43.53,45.0,48.06,50.28,51.41,52.91,55.03,56.88,56.06,55.31,55.97,56.97,55.72,53.41,51.88,50.94,48.84,45.5,43.88,44.5,44.75,44.0,44.25,46.78,49.12,49.56,50.03,51.28,52.62,51.75,49.56,48.31,47.91,46.28,43.56,41.66,41.84,42.09,41.19,41.62,44.41,47.72,48.94,49.91,50.84,51.41,49.69,46.62,44.69,44.25,43.12,40.81,39.09,39.0,38.62,36.62,35.22,35.47,36.09,34.97,33.69,34.12,35.47,36.19,36.22,38.0,41.47,44.56,46.72,48.66,51.84,54.19,54.62,54.53,55.75,56.94,55.56,53.09,51.5,49.97,47.03,43.06,40.06,38.5,36.94,34.03,32.44,33.0,34.31,34.41,34.69,36.44,38.75,39.25,39.16,40.19,42.41,43.25,43.03,43.06,44.31,44.84,43.53,42.72,43.81,44.84,44.56,43.75,43.81,44.0,42.28,39.72,37.75,37.34,36.25,34.0,32.84,33.0,32.56,30.75,29.59,31.22,33.75,35.31,36.31,38.31,40.78,40.59,40.09,40.47,41.88,41.84,40.41,39.28,39.22,39.28,38.19,37.25,38.16,39.16,38.47,37.06,37.19,37.72,36.53,34.25,32.16,31.62,30.31,28.69,28.66,31.44,34.38,36.06,37.59,40.16,42.94,43.66,43.22,44.03,45.09,44.59,43.38,43.47,44.94,45.72,45.25,44.59,45.44,45.16,43.31,41.19,40.56,40.47,39.41,37.56,37.34,38.0,37.5,36.53,36.31,37.91,38.84,38.72,38.72,40.06,41.69,41.38,40.88,41.47,42.69,42.41,41.69,41.94,42.91,42.66,41.03,40.03,40.53,40.78,39.78,39.41,41.38,43.5,44.0,43.94,44.84,45.75,44.88,42.75,41.78,42.25,41.78,40.22,39.47,40.72,41.25,40.5,40.16,41.47,43.09,43.16,42.38,42.72,43.47,42.94,41.25,40.59,41.25,41.19,39.66,38.25,38.59,38.75,37.91,37.12,39.09,42.03,43.75,45.0,47.22,49.66,50.22,48.78,47.69,47.62,46.5,44.56,43.25,44.38,45.84,46.28,46.41,47.75,48.88,48.0,45.38,43.97,43.69,43.25,41.97,42.12,43.19,43.75,42.06,40.47,40.28,40.44,39.5,38.25,38.88,40.44,40.84,40.16,40.47,41.19,40.41,37.91,36.03,35.78,35.53,34.25,33.5,34.44,35.62,35.06,33.53,33.62,34.66,35.09,34.53,35.53,37.5,38.72,37.81,37.38,38.03,38.47,37.25,36.44,38.0,40.19,41.19,41.5,43.03,44.88,45.78,45.25,45.81,46.75,46.75,44.72,42.41,41.72,40.88,39.19,37.22,37.19,37.44,36.28,34.0,33.0,32.88,32.44,31.06,30.84,32.69,34.06,33.88,33.91,35.56,36.91,36.81,36.59,38.41,40.62,41.5,41.69,42.44,43.62,44.16,42.91,42.16,42.78,42.62,41.19,39.91,40.91,41.97,41.56,40.34,40.47,41.03,40.53,38.72,38.22,38.66,37.66,34.88,32.59,31.88,31.0,28.88,27.75,29.12,31.09,32.25,32.81,34.94,37.22,38.44,37.88,38.19,38.94,38.75,36.5,34.75,34.91,35.16,34.38,33.88,35.25,37.03,37.22,36.81,37.88,39.56,40.41,40.34,41.81,44.56,46.56,46.69,46.28,46.34,45.41,42.06,38.16,36.0,34.66,32.59,31.03,32.12,34.47,35.94,36.44,37.22,39.12,40.88,41.09,41.0,42.25,43.0,41.66,39.81,39.56,39.78,38.62,36.25,35.53,36.16,36.91,36.53,37.06,39.16,40.5,39.88,39.38,40.16,40.88,39.53,37.59,36.62,36.5,35.56,33.81,33.72,34.72,35.25,34.31,34.09,35.09,35.5,34.22,32.69,33.28,34.22,34.25,34.31,35.41,37.22,37.16,36.09,36.12,37.25,37.97,37.12,36.75,37.19,37.75,36.16,34.78,35.16,35.91,35.12,33.88,34.06,35.66,35.97,35.56,35.75,37.22,37.66,36.72,36.5,37.53,38.28,37.41,36.19,35.88,36.44,35.28,33.34,32.5,32.28,31.19,29.16,28.69,30.47,32.59,32.97,33.47,34.62,35.69,34.06,31.72,30.97,30.53,28.38,25.41,23.75,23.0,21.59,19.06,17.66,17.47,17.5,16.25,16.25,17.84,21.16,23.09,24.69,27.47,30.0,30.84,30.12,29.81,30.72,30.91,29.59,29.06,29.97,30.94,30.25,29.69,30.69,32.0,31.84,31.19,31.53,32.56,32.38,31.75,32.09,33.56,34.75,34.78,34.97,36.94,39.12,40.0,40.97,43.19,45.91,46.44,46.38,46.34,46.22,44.47,40.97,38.28,36.84,34.81,31.72,29.19,28.38,27.75,26.22,25.03,25.28,26.59,26.72,26.31,27.31,29.5,30.62,30.88,31.53,33.28,35.28,35.19,35.19,36.44,37.59,36.72,35.59,35.53,35.94,35.0,33.38,32.78,33.53,33.78,33.41,33.59,35.09,36.53,36.12,35.88,36.81,38.06,37.69,36.88,36.97,37.38,36.28,33.88,32.53,32.25,31.38,29.25,27.97,28.53,28.91,28.16,27.78,28.91,30.41,30.75,30.72,31.56,33.06,32.72,30.97,29.34,28.69,27.22,24.44,22.84,22.91,23.31,22.88,22.47,23.97,26.41,27.88,29.25,31.69,35.28,38.03,39.88,42.41,46.47,49.0,49.25,48.59,47.88,46.44,42.97,39.44,37.25,36.53,34.91,34.0,34.72,37.19,39.09,40.03,41.09,43.12,44.53,43.66,42.66,42.56,42.12,40.19,38.03,37.47,38.34,38.44,38.22,39.09,41.0,41.84,41.38,40.56,41.0,40.56,38.75,36.62,36.47,36.75,35.91,34.31,33.72,33.53,31.97,29.38,28.0,28.19,27.97,26.16,25.0,25.69,26.41,26.12,26.19,28.0,30.25,30.88,30.78,31.66,32.75,32.75,31.78,31.47,32.47,33.19,33.03,33.38,35.66,37.16,36.78,35.56,35.0,34.16,32.31,29.56,28.25,28.19,27.84,27.09,27.19,29.25,30.75,30.59,30.16,31.41,32.5,32.5,32.34,32.72,34.16,34.12,33.19,33.31,35.19,36.53,36.69,37.5,39.06,39.88,38.69,36.81,36.38,36.31,35.16,33.91,34.0,34.88,34.56,32.69,31.44,31.59,31.38,30.0,29.5,30.97,32.28,32.34,32.25,33.78,35.44,35.91,35.88,37.06,38.97,39.5,38.81,38.22,38.78,38.41,36.78,35.66,36.28,36.91,36.34,35.78,36.81,38.31,38.94,38.91,40.16,42.41,43.75,43.38,43.19,43.97,43.78,42.16,40.75,41.19,41.47,40.28,38.34,37.91,37.84,37.5,37.03,38.0,40.22,41.31,41.09,41.22,42.34,43.16,42.47,42.16,43.06,43.84,42.59,40.81,39.94,39.41,38.5,36.97,37.0,38.56,39.62,40.09,40.62,42.75,44.22,43.75,42.88,43.06,43.09,42.16,40.84,41.06,42.38,42.75,42.75,43.41,45.12,46.22,45.62,45.25,45.88,46.0,44.16,41.75,40.34,39.19,37.16,35.22,35.16,36.84,38.28,38.75,39.72,40.97,41.19,39.69,38.06,38.47,39.12,38.81,38.0,38.66,39.88,39.91,39.16,40.03,41.62,42.12,41.28,40.59,40.75,40.03,37.66,35.22,34.03,33.19,31.62,30.25,31.22,33.47,35.59,36.88,39.47,42.25,44.41,44.59,44.97,46.16,46.5,45.31,43.66,43.97,45.0,45.03,44.75,45.38,46.25,45.41,42.84,41.25,40.94,40.19,38.16,36.81,36.75,36.84,36.03,35.47,37.12,38.91,39.41,39.0,39.38,40.09,39.56,38.16,38.06,38.91,39.31,38.09,37.47,37.94,38.34,37.19,36.0,36.47,37.25,36.91,35.59,35.53,35.56,34.66,31.94,30.09,29.53,29.09,28.0,27.78,29.69,32.38,33.81,34.56,36.78,38.91,39.38,38.44,38.62,39.69,40.19,39.69,40.06,41.53,42.38,41.56,40.06,40.12,40.38,39.19,38.0,38.44,39.94,40.81,40.66,41.03,41.69,41.44,39.75,38.78,39.47,40.34,39.5,38.53,37.97,37.41,35.34,32.84,31.94,32.38,32.38,32.09,33.25,35.22,36.62,36.44,36.75,38.06,39.62,39.5,38.91,39.25,39.38,37.81,35.75,34.97,35.41,35.16,33.84,33.81,34.88,36.06,36.44,37.5,40.22,43.38,44.78,45.84,48.19,50.59,51.09,50.12,49.84,49.94,48.69,46.28,44.72,44.75,45.0,44.03,43.47,44.09,44.47,42.47,39.75,38.31,37.81,36.53,34.88,34.75,35.66,35.69,34.5,34.44,36.28,37.84,38.09,38.34,39.62,40.75,40.0,39.03,39.69,41.38,41.81,41.59,42.38,43.91,44.62,43.78,43.34,44.44,45.34,44.66,44.03,44.22,44.34,42.62,40.56,40.22,41.38,41.5,40.62,40.69,41.22,41.09,39.75,39.41,41.0,42.25,41.84,41.16,41.31,41.78,40.38,38.38,37.44,37.28,35.91,33.12,31.94,32.19,32.41,31.53,31.31,32.81,34.78,35.03,35.47,37.16,39.28,39.47,38.91,39.28,41.03,41.81,41.47,41.66,42.81,43.25,41.84,40.78,41.0,41.97,41.22,39.88,40.38,40.97,40.56,39.62,39.41,40.41,71.62,72.84,74.44,76.34,78.03,79.97,81.12,81.84,82.03,82.53,82.41,81.97,80.69,80.03,79.91,79.53,79.12,79.31,79.66,79.41,79.06,78.78,78.88,78.53,78.16,77.91,77.94,78.47:42.19,39.53,37.78,38.03,37.47,36.28,35.97,37.28,38.59,38.78,39.06,40.91,42.72,42.44,41.56,42.06,43.47,43.84,43.53,45.0,48.06,50.28,51.41,52.91,55.03,56.88,56.06,55.31,55.97,56.97,55.72,53.41,51.88,50.94,48.84,45.5,43.88,44.5,44.75,44.0,44.25,46.78,49.12,49.56,50.03,51.28,52.62,51.75,49.56,48.31,47.91,46.28,43.56,41.66,41.84,42.09,41.19,41.62,44.41,47.72,48.94,49.91,50.84,51.41,49.69,46.62,44.69,44.25,43.12,40.81,39.09,39.0,38.62,36.62,35.22,35.47,36.09,34.97,33.69,34.12,35.47,36.19,36.22,38.0,41.47,44.56,46.72,48.66,51.84,54.19,54.62,54.53,55.75,56.94,55.56,53.09,51.5,49.97,47.03,43.06,40.06,38.5,36.94,34.03,32.44,33.0,34.31,34.41,34.69,36.44,38.75,39.25,39.16,40.19,42.41,43.25,43.03,43.06,44.31,44.84,43.53,42.72,43.81,44.84,44.56,43.75,43.81,44.0,42.28,39.72,37.75,37.34,36.25,34.0,32.84,33.0,32.56,30.75,29.59,31.22,33.75,35.31,36.31,38.31,40.78,40.59,40.09,40.47,41.88,41.84,40.41,39.28,39.22,39.28,38.19,37.25,38.16,39.16,38.47,37.06,37.19,37.72,36.53,34.25,32.16,31.62,30.31,28.69,28.66,31.44,34.38,36.06,37.59,40.16,42.94,43.66,43.22,44.03,45.09,44.59,43.38,43.47,44.94,45.72,45.25,44.59,45.44,45.16,43.31,41.19,40.56,40.47,39.41,37.56,37.34,38.0,37.5,36.53,36.31,37.91,38.84,38.72,38.72,40.06,41.69,41.38,40.88,41.47,42.69,42.41,41.69,41.94,42.91,42.66,41.03,40.03,40.53,40.78,39.78,39.41,41.38,43.5,44.0,43.94,44.84,45.75,44.88,42.75,41.78,42.25,41.78,40.22,39.47,40.72,41.25,40.5,40.16,41.47,43.09,43.16,42.38,42.72,43.47,42.94,41.25,40.59,41.25,41.19,39.66,38.25,38.59,38.75,37.91,37.12,39.09,42.03,43.75,45.0,47.22,49.66,50.22,48.78,47.69,47.62,46.5,44.56,43.25,44.38,45.84,46.28,46.41,47.75,48.88,48.0,45.38,43.97,43.69,43.25,41.97,42.12,43.19,43.75,42.06,40.47,40.28,40.44,39.5,38.25,38.88,40.44,40.84,40.16,40.47,41.19,40.41,37.91,36.03,35.78,35.53,34.25,33.5,34.44,35.62,35.06,33.53,33.62,34.66,35.09,34.53,35.53,37.5,38.72,37.81,37.38,38.03,38.47,37.25,36.44,38.0,40.19,41.19,41.5,43.03,44.88,45.78,45.25,45.81,46.75,46.75,44.72,42.41,41.72,40.88,39.19,37.22,37.19,37.44,36.28,34.0,33.0,32.88,32.44,31.06,30.84,32.69,34.06,33.88,33.91,35.56,36.91,36.81,36.59,38.41,40.62,41.5,41.69,42.44,43.62,44.16,42.91,42.16,42.78,42.62,41.19,39.91,40.91,41.97,41.56,40.34,40.47,41.03,40.53,38.72,38.22,38.66,37.66,34.88,32.59,31.88,31.0,28.88,27.75,29.12,31.09,32.25,32.81,34.94,37.22,38.44,37.88,38.19,38.94,38.75,36.5,34.75,34.91,35.16,34.38,33.88,35.25,37.03,37.22,36.81,37.88,39.56,40.41,40.34,41.81,44.56,46.56,46.69,46.28,46.34,45.41,42.06,38.16,36.0,34.66,32.59,31.03,32.12,34.47,35.94,36.44,37.22,39.12,40.88,41.09,41.0,42.25,43.0,41.66,39.81,39.56,39.78,38.62,36.25,35.53,36.16,36.91,36.53,37.06,39.16,40.5,39.88,39.38,40.16,40.88,39.53,37.59,36.62,36.5,35.56,33.81,33.72,34.72,35.25,34.31,34.09,35.09,35.5,34.22,32.69,33.28,34.22,34.25,34.31,35.41,37.22,37.16,36.09,36.12,37.25,37.97,37.12,36.75,37.19,37.75,36.16,34.78,35.16,35.91,35.12,33.88,34.06,35.66,35.97,35.56,35.75,37.22,37.66,36.72,36.5,37.53,38.28,37.41,36.19,35.88,36.44,35.28,33.34,32.5,32.28,31.19,29.16,28.69,30.47,32.59,32.97,33.47,34.62,35.69,34.06,31.72,30.97,30.53,28.38,25.41,23.75,23.0,21.59,19.06,17.66,17.47,17.5,16.25,16.25,17.84,21.16,23.09,24.69,27.47,30.0,30.84,30.12,29.81,30.72,30.91,29.59,29.06,29.97,30.94,30.25,29.69,30.69,32.0,31.84,31.19,31.53,32.56,32.38,31.75,32.09,33.56,34.75,34.78,34.97,36.94,39.12,40.0,40.97,43.19,45.91,46.44,46.38,46.34,46.22,44.47,40.97,38.28,36.84,34.81,31.72,29.19,28.38,27.75,26.22,25.03,25.28,26.59,26.72,26.31,27.31,29.5,30.62,30.88,31.53,33.28,35.28,35.19,35.19,36.44,37.59,36.72,35.59,35.53,35.94,35.0,33.38,32.78,33.53,33.78,33.41,33.59,35.09,36.53,36.12,35.88,36.81,38.06,37.69,36.88,36.97,37.38,36.28,33.88,32.53,32.25,31.38,29.25,27.97,28.53,28.91,28.16,27.78,28.91,30.41,30.75,30.72,31.56,33.06,32.72,30.97,29.34,28.69,27.22,24.44,22.84,22.91,23.31,22.88,22.47,23.97,26.41,27.88,29.25,31.69,35.28,38.03,39.88,42.41,46.47,49.0,49.25,48.59,47.88,46.44,42.97,39.44,37.25,36.53,34.91,34.0,34.72,37.19,39.09,40.03,41.09,43.12,44.53,43.66,42.66,42.56,42.12,40.19,38.03,37.47,38.34,38.44,38.22,39.09,41.0,41.84,41.38,40.56,41.0,40.56,38.75,36.62,36.47,36.75,35.91,34.31,33.72,33.53,31.97,29.38,28.0,28.19,27.97,26.16,25.0,25.69,26.41,26.12,26.19,28.0,30.25,30.88,30.78,31.66,32.75,32.75,31.78,31.47,32.47,33.19,33.03,33.38,35.66,37.16,36.78,35.56,35.0,34.16,32.31,29.56,28.25,28.19,27.84,27.09,27.19,29.25,30.75,30.59,30.16,31.41,32.5,32.5,32.34,32.72,34.16,34.12,33.19,33.31,35.19,36.53,36.69,37.5,39.06,39.88,38.69,36.81,36.38,36.31,35.16,33.91,34.0,34.88,34.56,32.69,31.44,31.59,31.38,30.0,29.5,30.97,32.28,32.34,32.25,33.78,35.44,35.91,35.88,37.06,38.97,39.5,38.81,38.22,38.78,38.41,36.78,35.66,36.28,36.91,36.34,35.78,36.81,38.31,38.94,38.91,40.16,42.41,43.75,43.38,43.19,43.97,43.78,42.16,40.75,41.19,41.47,40.28,38.34,37.91,37.84,37.5,37.03,38.0,40.22,41.31,41.09,41.22,42.34,43.16,42.47,42.16,43.06,43.84,42.59,40.81,39.94,39.41,38.5,36.97,37.0,38.56,39.62,40.09,40.62,42.75,44.22,43.75,42.88,43.06,43.09,42.16,40.84,41.06,42.38,42.75,42.75,43.41,45.12,46.22,45.62,45.25,45.88,46.0,44.16,41.75,40.34,39.19,37.16,35.22,35.16,36.84,38.28,38.75,39.72,40.97,41.19,39.69,38.06,38.47,39.12,38.81,38.0,38.66,39.88,39.91,39.16,40.03,41.62,42.12,41.28,40.59,40.75,40.03,37.66,35.22,34.03,33.19,31.62,30.25,31.22,33.47,35.59,36.88,39.47,42.25,44.41,44.59,44.97,46.16,46.5,45.31,43.66,43.97,45.0,45.03,44.75,45.38,46.25,45.41,42.84,41.25,40.94,40.19,38.16,36.81,36.75,36.84,36.03,35.47,37.12,38.91,39.41,39.0,39.38,40.09,39.56,38.16,38.06,38.91,39.31,38.09,37.47,37.94,38.34,37.19,36.0,36.47,37.25,36.91,35.59,35.53,35.56,34.66,31.94,30.09,29.53,29.09,28.0,27.78,29.69,32.38,33.81,34.56,36.78,38.91,39.38,38.44,38.62,39.69,40.19,39.69,40.06,41.53,42.38,41.56,40.06,40.12,40.38,39.19,38.0,38.44,39.94,40.81,40.66,41.03,41.69,41.44,39.75,38.78,39.47,40.34,39.5,38.53,37.97,37.41,35.34,32.84,31.94,32.38,32.38,32.09,33.25,35.22,36.62,36.44,36.75,38.06,39.62,39.5,38.91,39.25,39.38,37.81,35.75,34.97,35.41,35.16,33.84,33.81,34.88,36.06,36.44,37.5,40.22,43.38,44.78,45.84,48.19,50.59,51.09,50.12,49.84,49.94,48.69,46.28,44.72,44.75,45.0,44.03,43.47,44.09,44.47,42.47,39.75,38.31,37.81,36.53,34.88,34.75,35.66,35.69,34.5,34.44,36.28,37.84,38.09,38.34,39.62,40.75,40.0,39.03,39.69,41.38,41.81,41.59,42.38,43.91,44.62,43.78,43.34,44.44,45.34,44.66,44.03,44.22,44.34,42.62,40.56,40.22,41.38,41.5,40.62,40.69,41.22,41.09,39.75,39.41,41.0,42.25,41.84,41.16,41.31,41.78,40.38,38.38,37.44,37.28,35.91,33.12,31.94,32.19,32.41,31.53,31.31,32.81,34.78,35.03,35.47,37.16,39.28,39.47,38.91,39.28,41.03,41.81,41.47,41.66,42.81,43.25,41.84,40.78,41.0,41.97,41.22,39.88,40.38,40.97,40.56,39.62,39.41,40.41,71.62,72.84,74.44,76.34,78.03,79.97,81.12,81.84,82.03,82.53,82.41,81.97,80.69,80.03,79.91,79.53,79.12,79.31,79.66,79.41,79.06,78.78,78.88,78.53,78.16,77.91,77.94,78.47,78.38,77.56,77.16,76.06,74.47,72.28,70.66:37.28,38.59,38.78,39.06,40.91,42.72,42.44,41.56,42.06,43.47,43.84,43.53,45.0,48.06,50.28,51.41,52.91,55.03,56.88,56.06,55.31,55.97,56.97,55.72,53.41,51.88,50.94,48.84,45.5,43.88,44.5,44.75,44.0,44.25,46.78,49.12,49.56,50.03,51.28,52.62,51.75,49.56,48.31,47.91,46.28,43.56,41.66,41.84,42.09,41.19,41.62,44.41,47.72,48.94,49.91,50.84,51.41,49.69,46.62,44.69,44.25,43.12,40.81,39.09,39.0,38.62,36.62,35.22,35.47,36.09,34.97,33.69,34.12,35.47,36.19,36.22,38.0,41.47,44.56,46.72,48.66,51.84,54.19,54.62,54.53,55.75,56.94,55.56,53.09,51.5,49.97,47.03,43.06,40.06,38.5,36.94,34.03,32.44,33.0,34.31,34.41,34.69,36.44,38.75,39.25,39.16,40.19,42.41,43.25,43.03,43.06,44.31,44.84,43.53,42.72,43.81,44.84,44.56,43.75,43.81,44.0,42.28,39.72,37.75,37.34,36.25,34.0,32.84,33.0,32.56,30.75,29.59,31.22,33.75,35.31,36.31,38.31,40.78,40.59,40.09,40.47,41.88,41.84,40.41,39.28,39.22,39.28,38.19,37.25,38.16,39.16,38.47,37.06,37.19,37.72,36.53,34.25,32.16,31.62,30.31,28.69,28.66,31.44,34.38,36.06,37.59,40.16,42.94,43.66,43.22,44.03,45.09,44.59,43.38,43.47,44.94,45.72,45.25,44.59,45.44,45.16,43.31,41.19,40.56,40.47,39.41,37.56,37.34,38.0,37.5,36.53,36.31,37.91,38.84,38.72,38.72,40.06,41.69,41.38,40.88,41.47,42.69,42.41,41.69,41.94,42.91,42.66,41.03,40.03,40.53,40.78,39.78,39.41,41.38,43.5,44.0,43.94,44.84,45.75,44.88,42.75,41.78,42.25,41.78,40.22,39.47,40.72,41.25,40.5,40.16,41.47,43.09,43.16,42.38,42.72,43.47,42.94,41.25,40.59,41.25,41.19,39.66,38.25,38.59,38.75,37.91,37.12,39.09,42.03,43.75,45.0,47.22,49.66,50.22,48.78,47.69,47.62,46.5,44.56,43.25,44.38,45.84,46.28,46.41,47.75,48.88,48.0,45.38,43.97,43.69,43.25,41.97,42.12,43.19,43.75,42.06,40.47,40.28,40.44,39.5,38.25,38.88,40.44,40.84,40.16,40.47,41.19,40.41,37.91,36.03,35.78,35.53,34.25,33.5,34.44,35.62,35.06,33.53,33.62,34.66,35.09,34.53,35.53,37.5,38.72,37.81,37.38,38.03,38.47,37.25,36.44,38.0,40.19,41.19,41.5,43.03,44.88,45.78,45.25,45.81,46.75,46.75,44.72,42.41,41.72,40.88,39.19,37.22,37.19,37.44,36.28,34.0,33.0,32.88,32.44,31.06,30.84,32.69,34.06,33.88,33.91,35.56,36.91,36.81,36.59,38.41,40.62,41.5,41.69,42.44,43.62,44.16,42.91,42.16,42.78,42.62,41.19,39.91,40.91,41.97,41.56,40.34,40.47,41.03,40.53,38.72,38.22,38.66,37.66,34.88,32.59,31.88,31.0,28.88,27.75,29.12,31.09,32.25,32.81,34.94,37.22,38.44,37.88,38.19,38.94,38.75,36.5,34.75,34.91,35.16,34.38,33.88,35.25,37.03,37.22,36.81,37.88,39.56,40.41,40.34,41.81,44.56,46.56,46.69,46.28,46.34,45.41,42.06,38.16,36.0,34.66,32.59,31.03,32.12,34.47,35.94,36.44,37.22,39.12,40.88,41.09,41.0,42.25,43.0,41.66,39.81,39.56,39.78,38.62,36.25,35.53,36.16,36.91,36.53,37.06,39.16,40.5,39.88,39.38,40.16,40.88,39.53,37.59,36.62,36.5,35.56,33.81,33.72,34.72,35.25,34.31,34.09,35.09,35.5,34.22,32.69,33.28,34.22,34.25,34.31,35.41,37.22,37.16,36.09,36.12,37.25,37.97,37.12,36.75,37.19,37.75,36.16,34.78,35.16,35.91,35.12,33.88,34.06,35.66,35.97,35.56,35.75,37.22,37.66,36.72,36.5,37.53,38.28,37.41,36.19,35.88,36.44,35.28,33.34,32.5,32.28,31.19,29.16,28.69,30.47,32.59,32.97,33.47,34.62,35.69,34.06,31.72,30.97,30.53,28.38,25.41,23.75,23.0,21.59,19.06,17.66,17.47,17.5,16.25,16.25,17.84,21.16,23.09,24.69,27.47,30.0,30.84,30.12,29.81,30.72,30.91,29.59,29.06,29.97,30.94,30.25,29.69,30.69,32.0,31.84,31.19,31.53,32.56,32.38,31.75,32.09,33.56,34.75,34.78,34.97,36.94,39.12,40.0,40.97,43.19,45.91,46.44,46.38,46.34,46.22,44.47,40.97,38.28,36.84,34.81,31.72,29.19,28.38,27.75,26.22,25.03,25.28,26.59,26.72,26.31,27.31,29.5,30.62,30.88,31.53,33.28,35.28,35.19,35.19,36.44,37.59,36.72,35.59,35.53,35.94,35.0,33.38,32.78,33.53,33.78,33.41,33.59,35.09,36.53,36.12,35.88,36.81,38.06,37.69,36.88,36.97,37.38,36.28,33.88,32.53,32.25,31.38,29.25,27.97,28.53,28.91,28.16,27.78,28.91,30.41,30.75,30.72,31.56,33.06,32.72,30.97,29.34,28.69,27.22,24.44,22.84,22.91,23.31,22.88,22.47,23.97,26.41,27.88,29.25,31.69,35.28,38.03,39.88,42.41,46.47,49.0,49.25,48.59,47.88,46.44,42.97,39.44,37.25,36.53,34.91,34.0,34.72,37.19,39.09,40.03,41.09,43.12,44.53,43.66,42.66,42.56,42.12,40.19,38.03,37.47,38.34,38.44,38.22,39.09,41.0,41.84,41.38,40.56,41.0,40.56,38.75,36.62,36.47,36.75,35.91,34.31,33.72,33.53,31.97,29.38,28.0,28.19,27.97,26.16,25.0,25.69,26.41,26.12,26.19,28.0,30.25,30.88,30.78,31.66,32.75,32.75,31.78,31.47,32.47,33.19,33.03,33.38,35.66,37.16,36.78,35.56,35.0,34.16,32.31,29.56,28.25,28.19,27.84,27.09,27.19,29.25,30.75,30.59,30.16,31.41,32.5,32.5,32.34,32.72,34.16,34.12,33.19,33.31,35.19,36.53,36.69,37.5,39.06,39.88,38.69,36.81,36.38,36.31,35.16,33.91,34.0,34.88,34.56,32.69,31.44,31.59,31.38,30.0,29.5,30.97,32.28,32.34,32.25,33.78,35.44,35.91,35.88,37.06,38.97,39.5,38.81,38.22,38.78,38.41,36.78,35.66,36.28,36.91,36.34,35.78,36.81,38.31,38.94,38.91,40.16,42.41,43.75,43.38,43.19,43.97,43.78,42.16,40.75,41.19,41.47,40.28,38.34,37.91,37.84,37.5,37.03,38.0,40.22,41.31,41.09,41.22,42.34,43.16,42.47,42.16,43.06,43.84,42.59,40.81,39.94,39.41,38.5,36.97,37.0,38.56,39.62,40.09,40.62,42.75,44.22,43.75,42.88,43.06,43.09,42.16,40.84,41.06,42.38,42.75,42.75,43.41,45.12,46.22,45.62,45.25,45.88,46.0,44.16,41.75,40.34,39.19,37.16,35.22,35.16,36.84,38.28,38.75,39.72,40.97,41.19,39.69,38.06,38.47,39.12,38.81,38.0,38.66,39.88,39.91,39.16,40.03,41.62,42.12,41.28,40.59,40.75,40.03,37.66,35.22,34.03,33.19,31.62,30.25,31.22,33.47,35.59,36.88,39.47,42.25,44.41,44.59,44.97,46.16,46.5,45.31,43.66,43.97,45.0,45.03,44.75,45.38,46.25,45.41,42.84,41.25,40.94,40.19,38.16,36.81,36.75,36.84,36.03,35.47,37.12,38.91,39.41,39.0,39.38,40.09,39.56,38.16,38.06,38.91,39.31,38.09,37.47,37.94,38.34,37.19,36.0,36.47,37.25,36.91,35.59,35.53,35.56,34.66,31.94,30.09,29.53,29.09,28.0,27.78,29.69,32.38,33.81,34.56,36.78,38.91,39.38,38.44,38.62,39.69,40.19,39.69,40.06,41.53,42.38,41.56,40.06,40.12,40.38,39.19,38.0,38.44,39.94,40.81,40.66,41.03,41.69,41.44,39.75,38.78,39.47,40.34,39.5,38.53,37.97,37.41,35.34,32.84,31.94,32.38,32.38,32.09,33.25,35.22,36.62,36.44,36.75,38.06,39.62,39.5,38.91,39.25,39.38,37.81,35.75,34.97,35.41,35.16,33.84,33.81,34.88,36.06,36.44,37.5,40.22,43.38,44.78,45.84,48.19,50.59,51.09,50.12,49.84,49.94,48.69,46.28,44.72,44.75,45.0,44.03,43.47,44.09,44.47,42.47,39.75,38.31,37.81,36.53,34.88,34.75,35.66,35.69,34.5,34.44,36.28,37.84,38.09,38.34,39.62,40.75,40.0,39.03,39.69,41.38,41.81,41.59,42.38,43.91,44.62,43.78,43.34,44.44,45.34,44.66,44.03,44.22,44.34,42.62,40.56,40.22,41.38,41.5,40.62,40.69,41.22,41.09,39.75,39.41,41.0,42.25,41.84,41.16,41.31,41.78,40.38,38.38,37.44,37.28,35.91,33.12,31.94,32.19,32.41,31.53,31.31,32.81,34.78,35.03,35.47,37.16,39.28,39.47,38.91,39.28,41.03,41.81,41.47,41.66,42.81,43.25,41.84,40.78,41.0,41.97,41.22,39.88,40.38,40.97,40.56,39.62,39.41,40.41,71.62,72.84,74.44,76.34,78.03,79.97,81.12,81.84,82.03,82.53,82.41,81.97,80.69,80.03,79.91,79.53,79.12,79.31,79.66,79.41,79.06,78.78,78.88,78.53,78.16,77.91,77.94,78.47,78.38,77.56,77.16,76.06,74.47,72.28,70.66,69.91,69.5,69.16,69.59,70.22,70.53,70.53:negativity
8.72,5.16,2.88,0.5,-1.06,-1.41,-0.28,0.59,1.25,2.19,4.16,6.44,8.16,10.09,12.69,15.84,17.59,18.78,19.28,19.16,17.88,15.75,13.97,13.66,13.84,14.22,14.84,16.75,18.84,19.66,19.97,20.38,20.38,19.56,18.41,18.09,18.66,19.59,20.03,21.06,23.25,25.31,26.5,27.75,29.09,29.97,30.06,29.53,28.94,28.94,27.78,25.88,23.94,22.34,20.44,18.22,16.38,15.62,15.34,15.19,15.66,16.75,18.09,18.53,18.16,17.78,17.69,17.53,16.97,16.84,17.22,17.41,17.28,17.16,17.78,18.25,18.31,18.12,18.25,18.78,18.62,18.22,17.53,16.53,15.38,13.56,11.91,11.75,12.12,12.47,13.12,14.81,16.88,18.69,20.16,21.75,23.22,23.66,23.38,22.69,22.78,22.38,21.44,20.94,20.75,20.38,19.5,17.84,16.66,15.31,13.81,12.34,11.69,12.0,12.16,11.78,11.69,12.53,12.81,12.25,11.5,11.75,12.06,11.94,12.25,13.44,14.97,16.06,16.28,16.72,17.62,17.56,16.91,16.44,16.38,16.0,15.16,13.81,13.16,12.56,11.69,10.75,10.72,11.53,12.38,13.0,13.69,14.44,14.88,14.41,13.91,14.53,15.34,15.81,15.81,16.16,16.5,16.12,15.03,14.22,13.5,12.66,11.0,9.91,9.25,9.0,8.78,8.44,9.41,11.12,12.0,12.56,13.28,13.94,13.59,12.78,12.41,12.66,13.0,12.22,11.53,11.06,10.41,8.59,7.03,6.94,7.62,8.84,10.06,12.56,15.28,17.44,18.62,20.0,21.66,22.44,22.0,21.31,21.03,20.47,18.78,16.72,15.59,14.75,13.38,11.91,11.31,11.03,10.38,9.0,8.34,9.22,10.5,11.12,12.34,13.75,14.88,15.31,15.72,17.34,18.62,19.5,19.75,20.31,20.97,21.5,21.41,21.31,22.09,22.5,22.0,21.12,20.44,20.0,18.31,16.75,16.53,16.91,17.28,17.12,16.69,16.91,16.41,15.5,15.06,15.75,16.94,17.5,17.88,18.16,18.69,18.19,17.12,16.66,16.47,16.12,14.94,13.78,12.97,11.97,10.69,9.62,10.22,12.09,13.41,14.81,16.69,18.25,18.81,18.5,18.25,17.72,17.09,15.38,13.59,12.59,11.78,10.09,8.69,8.53,9.88,11.16,12.53,14.34,16.28,16.88,16.03,15.09,14.47,13.69,12.09,11.03,11.34,12.44,12.97,13.78,15.09,16.53,16.75,16.12,16.28,17.03,17.0,16.5,16.16,16.56,17.19,17.34,18.19,20.09,21.75,22.16,21.72,21.06,20.69,19.5,18.31,17.69,18.25,18.25,17.69,17.44,17.66,17.66,16.75,16.66,17.16,18.91,19.78,20.09,20.44,20.84,20.5,19.62,19.47,20.0,20.62,20.59,20.41,20.44,20.38,18.5,16.22,14.75,13.88,13.38,13.09,13.34,13.91,13.84,12.94,12.44,13.03,13.72,14.38,15.03,16.19,17.75,18.12,18.0,18.03,18.22,17.0,14.41,11.88,9.94,8.12,6.25,5.62,7.16,9.25,11.34,13.5,15.94,18.34,19.0,18.62,18.09,18.16,17.0,15.59,14.38,13.75,12.66,10.5,8.72,8.22,7.91,7.03,6.88,7.41,8.31,8.22,7.75,7.66,8.31,8.41,8.09,8.41,9.59,10.38,10.28,10.5,11.38,11.72,11.25,10.56,10.31,10.72,10.41,9.59,9.25,9.66,8.94,7.81,6.66,6.03,5.41,3.72,2.25,1.69,1.59,1.19,0.94,1.94,3.56,4.75,5.22,5.56,6.56,7.31,7.72,8.09,10.03,12.03,13.06,13.25,13.84,13.75,12.28,10.0,8.53,7.81,6.84,5.38,4.34,4.56,4.72,4.06,3.44,3.5,3.69,2.75,1.25,0.72,0.44,-0.06,-0.56,0.25,2.31,4.16,5.25,6.06,7.09,7.16,6.16,4.88,4.28,3.81,2.31,0.41,-1.06,-2.25,-4.19,-6.47,-8.03,-8.28,-8.5,-9.19,-9.16,-7.72,-5.81,-3.53,-0.78,3.28,7.5,10.38,12.25,13.72,15.44,16.25,15.91,15.66,15.62,14.84,13.34,11.56,11.22,11.09,10.16,8.53,6.94,4.41,0.5,-3.69,-7.22,-9.59,-11.09,-11.88,-10.91,-7.62,-3.25,1.31,5.56,10.94,15.56,18.03,19.34,20.5,21.12,20.28,19.25,18.59,18.75,18.28,16.66,15.19,14.47,14.06,12.72,11.47,11.56,11.75,11.0,10.38,11.0,12.75,14.91,17.06,19.75,23.0,25.44,25.84,25.09,23.69,20.75,16.38,11.78,8.56,6.56,5.16,4.28,4.94,6.06,7.44,7.66,8.16,9.38,9.97,9.38,8.94,9.16,9.97,10.44,10.84,12.03,13.34,13.94,13.84,14.88,16.91,18.84,19.53,19.47,18.97,16.91,12.97,8.16,3.84,0.38,-3.38,-6.59,-8.53,-9.25,-9.59,-10.03,-9.22,-7.16,-4.97,-3.09,-1.09,1.78,5.25,7.41,9.31,11.56,13.09,13.22,11.94,10.59,8.97,6.5,3.31,0.34,-1.25,-2.22,-2.66,-1.62,1.06,3.94,5.53,6.84,8.5,10.56,12.44,13.84,15.78,17.69,19.0,19.28,19.78,20.88,21.47,20.66,19.53,18.5,16.56,13.09,8.75,4.66,0.62,-3.06,-6.56,-8.75,-9.41,-9.47,-9.62,-9.03,-7.25,-5.25,-4.22,-3.16,-1.06,1.66,4.0,6.88,10.22,13.59,15.75,16.28,15.81,15.22,13.97,11.41,8.81,7.22,6.41,4.59,3.22,2.75,2.94,2.81,2.97,4.44,6.5,8.31,9.25,10.25,11.06,12.06,11.62,11.31,11.88,11.94,11.22,9.88,8.84,8.5,8.12,7.94,8.78,10.53,11.53,11.53,11.16,10.5,9.84,8.06,6.62,6.03,6.38,6.16,5.88,6.31,6.91,6.94,5.97,5.59,5.94,6.22,5.94,5.97,6.72,7.66,7.53,7.0,6.75,6.66,5.59,3.59,2.34,2.06,1.44,0.28,-0.12,0.12,0.53,0.31,-0.06,0.25,1.03,0.62,0.53,0.88,1.97,2.34,2.56,2.75,3.16,3.53,3.56,3.66,4.47,5.03,3.97,2.09,0.62,-0.16,-1.09,-1.47,-0.59,1.03,2.03,2.25,2.03,2.12,1.97,1.16,0.91,1.72,3.41,4.31,4.69,5.22,5.75,4.91,3.47,2.34,2.19,2.16,1.94,2.28,4.03,5.53,5.78,5.84,6.19,6.31,5.97,5.22,5.28,6.22,6.56,6.38,5.75,5.25,3.94,1.31,-1.06,-2.06,-2.53,-3.16,-2.91,-1.69,-0.22,0.84,1.19,1.62,2.62,2.75,2.72,3.0,4.56,5.94,7.19,8.66,10.31,11.78,11.78,11.28,10.91,11.19,10.62,9.62,9.0,8.78,7.25,4.78,1.97,0.03,-1.5,-2.91,-3.56,-3.19,-2.47,-2.44,-2.91,-3.28,-3.78,-5.06,-7.06,-8.75,-9.34,-9.31,-9.0,-8.34,-6.38,-4.59,-3.5,-2.91,-1.25,0.03,0.59,0.97,1.69,2.88,3.69,4.09,4.69,6.19,7.34,7.94,8.38,9.81,10.44,10.31,9.88,9.72,9.38,8.0,5.44,2.94,0.53,-1.97,-4.06,-5.19,-4.5,-3.25,-2.75,-2.06,-0.75,0.75,2.22,3.94,6.41,9.03,11.03,11.41,11.31,10.47,9.06,6.22,3.09,0.84,-1.25,-3.75,-5.72,-6.69,-7.22,-7.62,-7.94,-7.38,-5.91,-4.69,-3.53,-2.16,-0.78,0.25,0.22,-0.31,-0.09,-0.09,-0.53,-0.78,-0.97,-1.19,-1.0,-1.69,-1.94,-1.44,-1.12,-2.03,-3.47,-4.38,-5.75,-8.0,-10.16,-10.5,-9.78,-8.72,-7.22,-4.53,-1.78,-0.22,0.0,-0.38,-0.88,-2.31,-4.62,-6.22,-6.38,-6.03,-6.0,-5.69,-4.5,-3.06,-2.19,-1.56,-0.84,-0.31,-1.19,-3.12,-5.38,-6.94,-8.41,-10.06,-11.34,-11.84,-12.53,-13.47,-14.81,-15.31,-14.94,-14.19,-13.09,-11.19,-8.88,-6.81,-5.91,-5.31,-5.06,-4.81,-5.75,-6.97,-7.34,-7.47,-7.91,-8.5,-8.44,-8.22,-8.44,-9.16,-9.22,-8.44,-6.78,-5.44,-4.38,-3.06,-2.47,-3.31,-4.69,-5.41,-5.47,-5.69,-6.47,-6.78,-7.0,-7.88,-9.81,-11.5,-12.88,-14.0,-15.84,-16.84,-16.28,-14.94,-13.22,-10.72,-7.47,-4.41,-2.38,-1.94,-2.0,-2.34,-2.91,-4.22,-4.75,-4.53,-3.5,-3.41,-3.56,-3.12,-2.66,-3.25,-4.72,-5.56,-6.12,-6.75,-8.38,-9.03,-9.0,-8.97,-9.47,-9.34,-8.56,-6.88,-6.22,-5.69,-4.69,-2.97,-2.5,-3.09,-2.97,-2.44,-1.97,-2.12,-1.88,-1.16,-0.78,-1.59,-2.81,-3.84,-4.38,-5.34,-6.62,-6.44,-5.12,-3.97,-3.31,-1.69,0.16,1.34,1.03,0.25,-0.41,-1.19,-3.19,-5.16,-5.88,-5.75,-6.19,-6.19,-5.44,-4.19,-3.62,-4.0,-4.25,-4.22,-4.53,-5.72,-6.44,-6.06,-4.84,-4.25,-3.25,-1.59,0.72,1.91,2.66,3.25,4.31,4.59,4.16,3.72,3.31,2.91,0.97,-0.59,-1.5,-1.81,-2.38,-2.97,-2.66,-1.81,-1.56,-1.66,-1.94,-1.84,-2.31,-3.25,-3.59,-2.28,-0.31,1.03,2.28,3.62,4.41,3.66,2.62,1.59,1.19,0.59,-0.38,-1.59,-2.12,-2.94,-5.06,-7.22,-8.59,-9.53,-10.19,-10.56,-9.56,-7.56,-6.62,-6.31,-6.03,-5.0,-4.53,-4.56,-4.31,-3.22,-2.84,-3.56,-4.44,-4.47,-3.41,-3.53,-3.62,-2.72,-2.0,-2.09,-2.88,-3.41,-3.38,-3.34,-3.59,-3.91,-2.81,-2.0,-2.38,-3.0,-3.34,-3.16,-3.72,-4.59,-4.88,-5.06,-5.69,-6.84,-7.41,-6.47:0.59,1.25,2.19,4.16,6.44,8.16,10.09,12.69,15.84,17.59,18.78,19.28,19.16,17.88,15.75,13.97,13.66,13.84,14.22,14.84,16.75,18.84,19.66,19.97,20.38,20.38,19.56,18.41,18.09,18.66,19.59,20.03,21.06,23.25,25.31,26.5,27.75,29.09,29.97,30.06,29.53,28.94,28.94,27.78,25.88,23.94,22.34,20.44,18.22,16.38,15.62,15.34,15.19,15.66,16.75,18.09,18.53,18.16,17.78,17.69,17.53,16.97,16.84,17.22,17.41,17.28,17.16,17.78,18.25,18.31,18.12,18.25,18.78,18.62,18.22,17.53,16.53,15.38,13.56,11.91,11.75,12.12,12.47,13.12,14.81,16.88,18.69,20.16,21.75,23.22,23.66,23.38,22.69,22.78,22.38,21.44,20.94,20.75,20.38,19.5,17.84,16.66,15.31,13.81,12.34,11.69,12.0,12.16,11.78,11.69,12.53,12.81,12.25,11.5,11.75,12.06,11.94,12.25,13.44,14.97,16.06,16.28,16.72,17.62,17.56,16.91,16.44,16.38,16.0,15.16,13.81,13.16,12.56,11.69,10.75,10.72,11.53,12.38,13.0,13.69,14.44,14.88,14.41,13.91,14.53,15.34,15.81,15.81,16.16,16.5,16.12,15.03,14.22,13.5,12.66,11.0,9.91,9.25,9.0,8.78,8.44,9.41,11.12,12.0,12.56,13.28,13.94,13.59,12.78,12.41,12.66,13.0,12.22,11.53,11.06,10.41,8.59,7.03,6.94,7.62,8.84,10.06,12.56,15.28,17.44,18.62,20.0,21.66,22.44,22.0,21.31,21.03,20.47,18.78,16.72,15.59,14.75,13.38,11.91,11.31,11.03,10.38,9.0,8.34,9.22,10.5,11.12,12.34,13.75,14.88,15.31,15.72,17.34,18.62,19.5,19.75,20.31,20.97,21.5,21.41,21.31,22.09,22.5,22.0,21.12,20.44,20.0,18.31,16.75,16.53,16.91,17.28,17.12,16.69,16.91,16.41,15.5,15.06,15.75,16.94,17.5,17.88,18.16,18.69,18.19,17.12,16.66,16.47,16.12,14.94,13.78,12.97,11.97,10.69,9.62,10.22,12.09,13.41,14.81,16.69,18.25,18.81,18.5,18.25,17.72,17.09,15.38,13.59,12.59,11.78,10.09,8.69,8.53,9.88,11.16,12.53,14.34,16.28,16.88,16.03,15.09,14.47,13.69,12.09,11.03,11.34,12.44,12.97,13.78,15.09,16.53,16.75,16.12,16.28,17.03,17.0,16.5,16.16,16.56,17.19,17.34,18.19,20.09,21.75,22.16,21.72,21.06,20.69,19.5,18.31,17.69,18.25,18.25,17.69,17.44,17.66,17.66,16.75,16.66,17.16,18.91,19.78,20.09,20.44,20.84,20.5,19.62,19.47,20.0,20.62,20.59,20.41,20.44,20.38,18.5,16.22,14.75,13.88,13.38,13.09,13.34,13.91,13.84,12.94,12.44,13.03,13.72,14.38,15.03,16.19,17.75,18.12,18.0,18.03,18.22,17.0,14.41,11.88,9.94,8.12,6.25,5.62,7.16,9.25,11.34,13.5,15.94,18.34,19.0,18.62,18.09,18.16,17.0,15.59,14.38,13.75,12.66,10.5,8.72,8.22,7.91,7.03,6.88,7.41,8.31,8.22,7.75,7.66,8.31,8.41,8.09,8.41,9.59,10.38,10.28,10.5,11.38,11.72,11.25,10.56,10.31,10.72,10.41,9.59,9.25,9.66,8.94,7.81,6.66,6.03,5.41,3.72,2.25,1.69,1.59,1.19,0.94,1.94,3.56,4.75,5.22,5.56,6.56,7.31,7.72,8.09,10.03,12.03,13.06,13.25,13.84,13.75,12.28,10.0,8.53,7.81,6.84,5.38,4.34,4.56,4.72,4.06,3.44,3.5,3.69,2.75,1.25,0.72,0.44,-0.06,-0.56,0.25,2.31,4.16,5.25,6.06,7.09,7.16,6.16,4.88,4.28,3.81,2.31,0.41,-1.06,-2.25,-4.19,-6.47,-8.03,-8.28,-8.5,-9.19,-9.16,-7.72,-5.81,-3.53,-0.78,3.28,7.5,10.38,12.25,13.72,15.44,16.25,15.91,15.66,15.62,14.84,13.34,11.56,11.22,11.09,10.16,8.53,6.94,4.41,0.5,-3.69,-7.22,-9.59,-11.09,-11.88,-10.91,-7.62,-3.25,1.31,5.56,10.94,15.56,18.03,19.34,20.5,21.12,20.28,19.25,18.59,18.75,18.28,16.66,15.19,14.47,14.06,12.72,11.47,11.56,11.75,11.0,10.38,11.0,12.75,14.91,17.06,19.75,23.0,25.44,25.84,25.09,23.69,20.75,16.38,11.78,8.56,6.56,5.16,4.28,4.94,6.06,7.44,7.66,8.16,9.38,9.97,9.38,8.94,9.16,9.97,10.44,10.84,12.03,13.34,13.94,13.84,14.88,16.91,18.84,19.53,19.47,18.97,16.91,12.97,8.16,3.84,0.38,-3.38,-6.59,-8.53,-9.25,-9.59,-10.03,-9.22,-7.16,-4.97,-3.09,-1.09,1.78,5.25,7.41,9.31,11.56,13.09,13.22,11.94,10.59,8.97,6.5,3.31,0.34,-1.25,-2.22,-2.66,-1.62,1.06,3.94,5.53,6.84,8.5,10.56,12.44,13.84,15.78,17.69,19.0,19.28,19.78,20.88,21.47,20.66,19.53,18.5,16.56,13.09,8.75,4.66,0.62,-3.06,-6.56,-8.75,-9.41,-9.47,-9.62,-9.03,-7.25,-5.25,-4.22,-3.16,-1.06,1.66,4.0,6.88,10.22,13.59,15.75,16.28,15.81,15.22,13.97,11.41,8.81,7.22,6.41,4.59,3.22,2.75,2.94,2.81,2.97,4.44,6.5,8.31,9.25,10.25,11.06,12.06,11.62,11.31,11.88,11.94,11.22,9.88,8.84,8.5,8.12,7.94,8.78,10.53,11.53,11.53,11.16,10.5,9.84,8.06,6.62,6.03,6.38,6.16,5.88,6.31,6.91,6.94,5.97,5.59,5.94,6.22,5.94,5.97,6.72,7.66,7.53,7.0,6.75,6.66,5.59,3.59,2.34,2.06,1.44,0.28,-0.12,0.12,0.53,0.31,-0.06,0.25,1.03,0.62,0.53,0.88,1.97,2.34,2.56,2.75,3.16,3.53,3.56,3.66,4.47,5.03,3.97,2.09,0.62,-0.16,-1.09,-1.47,-0.59,1.03,2.03,2.25,2.03,2.12,1.97,1.16,0.91,1.72,3.41,4.31,4.69,5.22,5.75,4.91,3.47,2.34,2.19,2.16,1.94,2.28,4.03,5.53,5.78,5.84,6.19,6.31,5.97,5.22,5.28,6.22,6.56,6.38,5.75,5.25,3.94,1.31,-1.06,-2.06,-2.53,-3.16,-2.91,-1.69,-0.22,0.84,1.19,1.62,2.62,2.75,2.72,3.0,4.56,5.94,7.19,8.66,10.31,11.78,11.78,11.28,10.91,11.19,10.62,9.62,9.0,8.78,7.25,4.78,1.97,0.03,-1.5,-2.91,-3.56,-3.19,-2.47,-2.44,-2.91,-3.28,-3.78,-5.06,-7.06,-8.75,-9.34,-9.31,-9.0,-8.34,-6.38,-4.59,-3.5,-2.91,-1.25,0.03,0.59,0.97,1.69,2.88,3.69,4.09,4.69,6.19,7.34,7.94,8.38,9.81,10.44,10.31,9.88,9.72,9.38,8.0,5.44,2.94,0.53,-1.97,-4.06,-5.19,-4.5,-3.25,-2.75,-2.06,-0.75,0.75,2.22,3.94,6.41,9.03,11.03,11.41,11.31,10.47,9.06,6.22,3.09,0.84,-1.25,-3.75,-5.72,-6.69,-7.22,-7.62,-7.94,-7.38,-5.91,-4.69,-3.53,-2.16,-0.78,0.25,0.22,-0.31,-0.09,-0.09,-0.53,-0.78,-0.97,-1.19,-1.0,-1.69,-1.94,-1.44,-1.12,-2.03,-3.47,-4.38,-5.75,-8.0,-10.16,-10.5,-9.78,-8.72,-7.22,-4.53,-1.78,-0.22,0.0,-0.38,-0.88,-2.31,-4.62,-6.22,-6.38,-6.03,-6.0,-5.69,-4.5,-3.06,-2.19,-1.56,-0.84,-0.31,-1.19,-3.12,-5.38,-6.94,-8.41,-10.06,-11.34,-11.84,-12.53,-13.47,-14.81,-15.31,-14.94,-14.19,-13.09,-11.19,-8.88,-6.81,-5.91,-5.31,-5.06,-4.81,-5.75,-6.97,-7.34,-7.47,-7.91,-8.5,-8.44,-8.22,-8.44,-9.16,-9.22,-8.44,-6.78,-5.44,-4.38,-3.06,-2.47,-3.31,-4.69,-5.41,-5.47,-5.69,-6.47,-6.78,-7.0,-7.88,-9.81,-11.5,-12.88,-14.0,-15.84,-16.84,-16.28,-14.94,-13.22,-10.72,-7.47,-4.41,-2.38,-1.94,-2.0,-2.34,-2.91,-4.22,-4.75,-4.53,-3.5,-3.41,-3.56,-3.12,-2.66,-3.25,-4.72,-5.56,-6.12,-6.75,-8.38,-9.03,-9.0,-8.97,-9.47,-9.34,-8.56,-6.88,-6.22,-5.69,-4.69,-2.97,-2.5,-3.09,-2.97,-2.44,-1.97,-2.12,-1.88,-1.16,-0.78,-1.59,-2.81,-3.84,-4.38,-5.34,-6.62,-6.44,-5.12,-3.97,-3.31,-1.69,0.16,1.34,1.03,0.25,-0.41,-1.19,-3.19,-5.16,-5.88,-5.75,-6.19,-6.19,-5.44,-4.19,-3.62,-4.0,-4.25,-4.22,-4.53,-5.72,-6.44,-6.06,-4.84,-4.25,-3.25,-1.59,0.72,1.91,2.66,3.25,4.31,4.59,4.16,3.72,3.31,2.91,0.97,-0.59,-1.5,-1.81,-2.38,-2.97,-2.66,-1.81,-1.56,-1.66,-1.94,-1.84,-2.31,-3.25,-3.59,-2.28,-0.31,1.03,2.28,3.62,4.41,3.66,2.62,1.59,1.19,0.59,-0.38,-1.59,-2.12,-2.94,-5.06,-7.22,-8.59,-9.53,-10.19,-10.56,-9.56,-7.56,-6.62,-6.31,-6.03,-5.0,-4.53,-4.56,-4.31,-3.22,-2.84,-3.56,-4.44,-4.47,-3.41,-3.53,-3.62,-2.72,-2.0,-2.09,-2.88,-3.41,-3.38,-3.34,-3.59,-3.91,-2.81,-2.0,-2.38,-3.0,-3.34,-3.16,-3.72,-4.59,-4.88,-5.06,-5.69,-6.84,-7.41,-6.47,24.97,22.38,20.97,20.41,20.62,21.56,22.81:12.69,15.84,17.59,18.78,19.28,19.16,17.88,15.75,13.97,13.66,13.84,14.22,14.84,16.75,18.84,19.66,19.97,20.38,20.38,19.56,18.41,18.09,18.66,19.59,20.03,21.06,23.25,25.31,26.5,27.75,29.09,29.97,30.06,29.53,28.94,28.94,27.78,25.88,23.94,22.34,20.44,18.22,16.38,15.62,15.34,15.19,15.66,16.75,18.09,18.53,18.16,17.78,17.69,17.53,16.97,16.84,17.22,17.41,17.28,17.16,17.78,18.25,18.31,18.12,18.25,18.78,18.62,18.22,17.53,16.53,15.38,13.56,11.91,11.75,12.12,12.47,13.12,14.81,16.88,18.69,20.16,21.75,23.22,23.66,23.38,22.69,22.78,22.38,21.44,20.94,20.75,20.38,19.5,17.84,16.66,15.31,13.81,12.34,11.69,12.0,12.16,11.78,11.69,12.53,12.81,12.25,11.5,11.75,12.06,11.94,12.25,13.44,14.97,16.06,16.28,16.72,17.62,17.56,16.91,16.44,16.38,16.0,15.16,13.81,13.16,12.56,11.69,10.75,10.72,11.53,12.38,13.0,13.69,14.44,14.88,14.41,13.91,14.53,15.34,15.81,15.81,16.16,16.5,16.12,15.03,14.22,13.5,12.66,11.0,9.91,9.25,9.0,8.78,8.44,9.41,11.12,12.0,12.56,13.28,13.94,13.59,12.78,12.41,12.66,13.0,12.22,11.53,11.06,10.41,8.59,7.03,6.94,7.62,8.84,10.06,12.56,15.28,17.44,18.62,20.0,21.66,22.44,22.0,21.31,21.03,20.47,18.78,16.72,15.59,14.75,13.38,11.91,11.31,11.03,10.38,9.0,8.34,9.22,10.5,11.12,12.34,13.75,14.88,15.31,15.72,17.34,18.62,19.5,19.75,20.31,20.97,21.5,21.41,21.31,22.09,22.5,22.0,21.12,20.44,20.0,18.31,16.75,16.53,16.91,17.28,17.12,16.69,16.91,16.41,15.5,15.06,15.75,16.94,17.5,17.88,18.16,18.69,18.19,17.12,16.66,16.47,16.12,14.94,13.78,12.97,11.97,10.69,9.62,10.22,12.09,13.41,14.81,16.69,18.25,18.81,18.5,18.25,17.72,17.09,15.38,13.59,12.59,11.78,10.09,8.69,8.53,9.88,11.16,12.53,14.34,16.28,16.88,16.03,15.09,14.47,13.69,12.09,11.03,11.34,12.44,12.97,13.78,15.09,16.53,16.75,16.12,16.28,17.03,17.0,16.5,16.16,16.56,17.19,17.34,18.19,20.09,21.75,22.16,21.72,21.06,20.69,19.5,18.31,17.69,18.25,18.25,17.69,17.44,17.66,17.66,16.75,16.66,17.16,18.91,19.78,20.09,20.44,20.84,20.5,19.62,19.47,20.0,20.62,20.59,20.41,20.44,20.38,18.5,16.22,14.75,13.88,13.38,13.09,13.34,13.91,13.84,12.94,12.44,13.03,13.72,14.38,15.03,16.19,17.75,18.12,18.0,18.03,18.22,17.0,14.41,11.88,9.94,8.12,6.25,5.62,7.16,9.25,11.34,13.5,15.94,18.34,19.0,18.62,18.09,18.16,17.0,15.59,14.38,13.75,12.66,10.5,8.72,8.22,7.91,7.03,6.88,7.41,8.31,8.22,7.75,7.66,8.31,8.41,8.09,8.41,9.59,10.38,10.28,10.5,11.38,11.72,11.25,10.56,10.31,10.72,10.41,9.59,9.25,9.66,8.94,7.81,6.66,6.03,5.41,3.72,2.25,1.69,1.59,1.19,0.94,1.94,3.56,4.75,5.22,5.56,6.56,7.31,7.72,8.09,10.03,12.03,13.06,13.25,13.84,13.75,12.28,10.0,8.53,7.81,6.84,5.38,4.34,4.56,4.72,4.06,3.44,3.5,3.69,2.75,1.25,0.72,0.44,-0.06,-0.56,0.25,2.31,4.16,5.25,6.06,7.09,7.16,6.16,4.88,4.28,3.81,2.31,0.41,-1.06,-2.25,-4.19,-6.47,-8.03,-8.28,-8.5,-9.19,-9.16,-7.72,-5.81,-3.53,-0.78,3.28,7.5,10.38,12.25,13.72,15.44,16.25,15.91,15.66,15.62,14.84,13.34,11.56,11.22,11.09,10.16,8.53,6.94,4.41,0.5,-3.69,-7.22,-9.59,-11.09,-11.88,-10.91,-7.62,-3.25,1.31,5.56,10.94,15.56,18.03,19.34,20.5,21.12,20.28,19.25,18.59,18.75,18.28,16.66,15.19,14.47,14.06,12.72,11.47,11.56,11.75,11.0,10.38,11.0,12.75,14.91,17.06,19.75,23.0,25.44,25.84,25.09,23.69,20.75,16.38,11.78,8.56,6.56,5.16,4.28,4.94,6.06,7.44,7.66,8.16,9.38,9.97,9.38,8.94,9.16,9.97,10.44,10.84,12.03,13.34,13.94,13.84,14.88,16.91,18.84,19.53,19.47,18.97,16.91,12.97,8.16,3.84,0.38,-3.38,-6.59,-8.53,-9.25,-9.59,-10.03,-9.22,-7.16,-4.97,-3.09,-1.09,1.78,5.25,7.41,9.31,11.56,13.09,13.22,11.94,10.59,8.97,6.5,3.31,0.34,-1.25,-2.22,-2.66,-1.62,1.06,3.94,5.53,6.84,8.5,10.56,12.44,13.84,15.78,17.69,19.0,19.28,19.78,20.88,21.47,20.66,19.53,18.5,16.56,13.09,8.75,4.66,0.62,-3.06,-6.56,-8.75,-9.41,-9.47,-9.62,-9.03,-7.25,-5.25,-4.22,-3.16,-1.06,1.66,4.0,6.88,10.22,13.59,15.75,16.28,15.81,15.22,13.97,11.41,8.81,7.22,6.41,4.59,3.22,2.75,2.94,2.81,2.97,4.44,6.5,8.31,9.25,10.25,11.06,12.06,11.62,11.31,11.88,11.94,11.22,9.88,8.84,8.5,8.12,7.94,8.78,10.53,11.53,11.53,11.16,10.5,9.84,8.06,6.62,6.03,6.38,6.16,5.88,6.31,6.91,6.94,5.97,5.59,5.94,6.22,5.94,5.97,6.72,7.66,7.53,7.0,6.75,6.66,5.59,3.59,2.34,2.06,1.44,0.28,-0.12,0.12,0.53,0.31,-0.06,0.25,1.03,0.62,0.53,0.88,1.97,2.34,2.56,2.75,3.16,3.53,3.56,3.66,4.47,5.03,3.97,2.09,0.62,-0.16,-1.09,-1.47,-0.59,1.03,2.03,2.25,2.03,2.12,1.97,1.16,0.91,1.72,3.41,4.31,4.69,5.22,5.75,4.91,3.47,2.34,2.19,2.16,1.94,2.28,4.03,5.53,5.78,5.84,6.19,6.31,5.97,5.22,5.28,6.22,6.56,6.38,5.75,5.25,3.94,1.31,-1.06,-2.06,-2.53,-3.16,-2.91,-1.69,-0.22,0.84,1.19,1.62,2.62,2.75,2.72,3.0,4.56,5.94,7.19,8.66,10.31,11.78,11.78,11.28,10.91,11.19,10.62,9.62,9.0,8.78,7.25,4.78,1.97,0.03,-1.5,-2.91,-3.56,-3.19,-2.47,-2.44,-2.91,-3.28,-3.78,-5.06,-7.06,-8.75,-9.34,-9.31,-9.0,-8.34,-6.38,-4.59,-3.5,-2.91,-1.25,0.03,0.59,0.97,1.69,2.88,3.69,4.09,4.69,6.19,7.34,7.94,8.38,9.81,10.44,10.31,9.88,9.72,9.38,8.0,5.44,2.94,0.53,-1.97,-4.06,-5.19,-4.5,-3.25,-2.75,-2.06,-0.75,0.75,2.22,3.94,6.41,9.03,11.03,11.41,11.31,10.47,9.06,6.22,3.09,0.84,-1.25,-3.75,-5.72,-6.69,-7.22,-7.62,-7.94,-7.38,-5.91,-4.69,-3.53,-2.16,-0.78,0.25,0.22,-0.31,-0.09,-0.09,-0.53,-0.78,-0.97,-1.19,-1.0,-1.69,-1.94,-1.44,-1.12,-2.03,-3.47,-4.38,-5.75,-8.0,-10.16,-10.5,-9.78,-8.72,-7.22,-4.53,-1.78,-0.22,0.0,-0.38,-0.88,-2.31,-4.62,-6.22,-6.38,-6.03,-6.0,-5.69,-4.5,-3.06,-2.19,-1.56,-0.84,-0.31,-1.19,-3.12,-5.38,-6.94,-8.41,-10.06,-11.34,-11.84,-12.53,-13.47,-14.81,-15.31,-14.94,-14.19,-13.09,-11.19,-8.88,-6.81,-5.91,-5.31,-5.06,-4.81,-5.75,-6.97,-7.34,-7.47,-7.91,-8.5,-8.44,-8.22,-8.44,-9.16,-9.22,-8.44,-6.78,-5.44,-4.38,-3.06,-2.47,-3.31,-4.69,-5.41,-5.47,-5.69,-6.47,-6.78,-7.0,-7.88,-9.81,-11.5,-12.88,-14.0,-15.84,-16.84,-16.28,-14.94,-13.22,-10.72,-7.47,-4.41,-2.38,-1.94,-2.0,-2.34,-2.91,-4.22,-4.75,-4.53,-3.5,-3.41,-3.56,-3.12,-2.66,-3.25,-4.72,-5.56,-6.12,-6.75,-8.38,-9.03,-9.0,-8.97,-9.47,-9.34,-8.56,-6.88,-6.22,-5.69,-4.69,-2.97,-2.5,-3.09,-2.97,-2.44,-1.97,-2.12,-1.88,-1.16,-0.78,-1.59,-2.81,-3.84,-4.38,-5.34,-6.62,-6.44,-5.12,-3.97,-3.31,-1.69,0.16,1.34,1.03,0.25,-0.41,-1.19,-3.19,-5.16,-5.88,-5.75,-6.19,-6.19,-5.44,-4.19,-3.62,-4.0,-4.25,-4.22,-4.53,-5.72,-6.44,-6.06,-4.84,-4.25,-3.25,-1.59,0.72,1.91,2.66,3.25,4.31,4.59,4.16,3.72,3.31,2.91,0.97,-0.59,-1.5,-1.81,-2.38,-2.97,-2.66,-1.81,-1.56,-1.66,-1.94,-1.84,-2.31,-3.25,-3.59,-2.28,-0.31,1.03,2.28,3.62,4.41,3.66,2.62,1.59,1.19,0.59,-0.38,-1.59,-2.12,-2.94,-5.06,-7.22,-8.59,-9.53,-10.19,-10.56,-9.56,-7.56,-6.62,-6.31,-6.03,-5.0,-4.53,-4.56,-4.31,-3.22,-2.84,-3.56,-4.44,-4.47,-3.41,-3.53,-3.62,-2.72,-2.0,-2.09,-2.88,-3.41,-3.38,-3.34,-3.59,-3.91,-2.81,-2.0,-2.38,-3.0,-3.34,-3.16,-3.72,-4.59,-4.88,-5.06,-5.69,-6.84,-7.41,-6.47,24.97,22.38,20.97,20.41,20.62,21.56,22.81,24.72,26.34,28.25,30.19,32.5,35.12,37.78:15.75,13.97,13.66,13.84,14.22,14.84,16.75,18.84,19.66,19.97,20.38,20.38,19.56,18.41,18.09,18.66,19.59,20.03,21.06,23.25,25.31,26.5,27.75,29.09,29.97,30.06,29.53,28.94,28.94,27.78,25.88,23.94,22.34,20.44,18.22,16.38,15.62,15.34,15.19,15.66,16.75,18.09,18.53,18.16,17.78,17.69,17.53,16.97,16.84,17.22,17.41,17.28,17.16,17.78,18.25,18.31,18.12,18.25,18.78,18.62,18.22,17.53,16.53,15.38,13.56,11.91,11.75,12.12,12.47,13.12,14.81,16.88,18.69,20.16,21.75,23.22,23.66,23.38,22.69,22.78,22.38,21.44,20.94,20.75,20.38,19.5,17.84,16.66,15.31,13.81,12.34,11.69,12.0,12.16,11.78,11.69,12.53,12.81,12.25,11.5,11.75,12.06,11.94,12.25,13.44,14.97,16.06,16.28,16.72,17.62,17.56,16.91,16.44,16.38,16.0,15.16,13.81,13.16,12.56,11.69,10.75,10.72,11.53,12.38,13.0,13.69,14.44,14.88,14.41,13.91,14.53,15.34,15.81,15.81,16.16,16.5,16.12,15.03,14.22,13.5,12.66,11.0,9.91,9.25,9.0,8.78,8.44,9.41,11.12,12.0,12.56,13.28,13.94,13.59,12.78,12.41,12.66,13.0,12.22,11.53,11.06,10.41,8.59,7.03,6.94,7.62,8.84,10.06,12.56,15.28,17.44,18.62,20.0,21.66,22.44,22.0,21.31,21.03,20.47,18.78,16.72,15.59,14.75,13.38,11.91,11.31,11.03,10.38,9.0,8.34,9.22,10.5,11.12,12.34,13.75,14.88,15.31,15.72,17.34,18.62,19.5,19.75,20.31,20.97,21.5,21.41,21.31,22.09,22.5,22.0,21.12,20.44,20.0,18.31,16.75,16.53,16.91,17.28,17.12,16.69,16.91,16.41,15.5,15.06,15.75,16.94,17.5,17.88,18.16,18.69,18.19,17.12,16.66,16.47,16.12,14.94,13.78,12.97,11.97,10.69,9.62,10.22,12.09,13.41,14.81,16.69,18.25,18.81,18.5,18.25,17.72,17.09,15.38,13.59,12.59,11.78,10.09,8.69,8.53,9.88,11.16,12.53,14.34,16.28,16.88,16.03,15.09,14.47,13.69,12.09,11.03,11.34,12.44,12.97,13.78,15.09,16.53,16.75,16.12,16.28,17.03,17.0,16.5,16.16,16.56,17.19,17.34,18.19,20.09,21.75,22.16,21.72,21.06,20.69,19.5,18.31,17.69,18.25,18.25,17.69,17.44,17.66,17.66,16.75,16.66,17.16,18.91,19.78,20.09,20.44,20.84,20.5,19.62,19.47,20.0,20.62,20.59,20.41,20.44,20.38,18.5,16.22,14.75,13.88,13.38,13.09,13.34,13.91,13.84,12.94,12.44,13.03,13.72,14.38,15.03,16.19,17.75,18.12,18.0,18.03,18.22,17.0,14.41,11.88,9.94,8.12,6.25,5.62,7.16,9.25,11.34,13.5,15.94,18.34,19.0,18.62,18.09,18.16,17.0,15.59,14.38,13.75,12.66,10.5,8.72,8.22,7.91,7.03,6.88,7.41,8.31,8.22,7.75,7.66,8.31,8.41,8.09,8.41,9.59,10.38,10.28,10.5,11.38,11.72,11.25,10.56,10.31,10.72,10.41,9.59,9.25,9.66,8.94,7.81,6.66,6.03,5.41,3.72,2.25,1.69,1.59,1.19,0.94,1.94,3.56,4.75,5.22,5.56,6.56,7.31,7.72,8.09,10.03,12.03,13.06,13.25,13.84,13.75,12.28,10.0,8.53,7.81,6.84,5.38,4.34,4.56,4.72,4.06,3.44,3.5,3.69,2.75,1.25,0.72,0.44,-0.06,-0.56,0.25,2.31,4.16,5.25,6.06,7.09,7.16,6.16,4.88,4.28,3.81,2.31,0.41,-1.06,-2.25,-4.19,-6.47,-8.03,-8.28,-8.5,-9.19,-9.16,-7.72,-5.81,-3.53,-0.78,3.28,7.5,10.38,12.25,13.72,15.44,16.25,15.91,15.66,15.62,14.84,13.34,11.56,11.22,11.09,10.16,8.53,6.94,4.41,0.5,-3.69,-7.22,-9.59,-11.09,-11.88,-10.91,-7.62,-3.25,1.31,5.56,10.94,15.56,18.03,19.34,20.5,21.12,20.28,19.25,18.59,18.75,18.28,16.66,15.19,14.47,14.06,12.72,11.47,11.56,11.75,11.0,10.38,11.0,12.75,14.91,17.06,19.75,23.0,25.44,25.84,25.09,23.69,20.75,16.38,11.78,8.56,6.56,5.16,4.28,4.94,6.06,7.44,7.66,8.16,9.38,9.97,9.38,8.94,9.16,9.97,10.44,10.84,12.03,13.34,13.94,13.84,14.88,16.91,18.84,19.53,19.47,18.97,16.91,12.97,8.16,3.84,0.38,-3.38,-6.59,-8.53,-9.25,-9.59,-10.03,-9.22,-7.16,-4.97,-3.09,-1.09,1.78,5.25,7.41,9.31,11.56,13.09,13.22,11.94,10.59,8.97,6.5,3.31,0.34,-1.25,-2.22,-2.66,-1.62,1.06,3.94,5.53,6.84,8.5,10.56,12.44,13.84,15.78,17.69,19.0,19.28,19.78,20.88,21.47,20.66,19.53,18.5,16.56,13.09,8.75,4.66,0.62,-3.06,-6.56,-8.75,-9.41,-9.47,-9.62,-9.03,-7.25,-5.25,-4.22,-3.16,-1.06,1.66,4.0,6.88,10.22,13.59,15.75,16.28,15.81,15.22,13.97,11.41,8.81,7.22,6.41,4.59,3.22,2.75,2.94,2.81,2.97,4.44,6.5,8.31,9.25,10.25,11.06,12.06,11.62,11.31,11.88,11.94,11.22,9.88,8.84,8.5,8.12,7.94,8.78,10.53,11.53,11.53,11.16,10.5,9.84,8.06,6.62,6.03,6.38,6.16,5.88,6.31,6.91,6.94,5.97,5.59,5.94,6.22,5.94,5.97,6.72,7.66,7.53,7.0,6.75,6.66,5.59,3.59,2.34,2.06,1.44,0.28,-0.12,0.12,0.53,0.31,-0.06,0.25,1.03,0.62,0.53,0.88,1.97,2.34,2.56,2.75,3.16,3.53,3.56,3.66,4.47,5.03,3.97,2.09,0.62,-0.16,-1.09,-1.47,-0.59,1.03,2.03,2.25,2.03,2.12,1.97,1.16,0.91,1.72,3.41,4.31,4.69,5.22,5.75,4.91,3.47,2.34,2.19,2.16,1.94,2.28,4.03,5.53,5.78,5.84,6.19,6.31,5.97,5.22,5.28,6.22,6.56,6.38,5.75,5.25,3.94,1.31,-1.06,-2.06,-2.53,-3.16,-2.91,-1.69,-0.22,0.84,1.19,1.62,2.62,2.75,2.72,3.0,4.56,5.94,7.19,8.66,10.31,11.78,11.78,11.28,10.91,11.19,10.62,9.62,9.0,8.78,7.25,4.78,1.97,0.03,-1.5,-2.91,-3.56,-3.19,-2.47,-2.44,-2.91,-3.28,-3.78,-5.06,-7.06,-8.75,-9.34,-9.31,-9.0,-8.34,-6.38,-4.59,-3.5,-2.91,-1.25,0.03,0.59,0.97,1.69,2.88,3.69,4.09,4.69,6.19,7.34,7.94,8.38,9.81,10.44,10.31,9.88,9.72,9.38,8.0,5.44,2.94,0.53,-1.97,-4.06,-5.19,-4.5,-3.25,-2.75,-2.06,-0.75,0.75,2.22,3.94,6.41,9.03,11.03,11.41,11.31,10.47,9.06,6.22,3.09,0.84,-1.25,-3.75,-5.72,-6.69,-7.22,-7.62,-7.94,-7.38,-5.91,-4.69,-3.53,-2.16,-0.78,0.25,0.22,-0.31,-0.09,-0.09,-0.53,-0.78,-0.97,-1.19,-1.0,-1.69,-1.94,-1.44,-1.12,-2.03,-3.47,-4.38,-5.75,-8.0,-10.16,-10.5,-9.78,-8.72,-7.22,-4.53,-1.78,-0.22,0.0,-0.38,-0.88,-2.31,-4.62,-6.22,-6.38,-6.03,-6.0,-5.69,-4.5,-3.06,-2.19,-1.56,-0.84,-0.31,-1.19,-3.12,-5.38,-6.94,-8.41,-10.06,-11.34,-11.84,-12.53,-13.47,-14.81,-15.31,-14.94,-14.19,-13.09,-11.19,-8.88,-6.81,-5.91,-5.31,-5.06,-4.81,-5.75,-6.97,-7.34,-7.47,-7.91,-8.5,-8.44,-8.22,-8.44,-9.16,-9.22,-8.44,-6.78,-5.44,-4.38,-3.06,-2.47,-3.31,-4.69,-5.41,-5.47,-5.69,-6.47,-6.78,-7.0,-7.88,-9.81,-11.5,-12.88,-14.0,-15.84,-16.84,-16.28,-14.94,-13.22,-10.72,-7.47,-4.41,-2.38,-1.94,-2.0,-2.34,-2.91,-4.22,-4.75,-4.53,-3.5,-3.41,-3.56,-3.12,-2.66,-3.25,-4.72,-5.56,-6.12,-6.75,-8.38,-9.03,-9.0,-8.97,-9.47,-9.34,-8.56,-6.88,-6.22,-5.69,-4.69,-2.97,-2.5,-3.09,-2.97,-2.44,-1.97,-2.12,-1.88,-1.16,-0.78,-1.59,-2.81,-3.84,-4.38,-5.34,-6.62,-6.44,-5.12,-3.97,-3.31,-1.69,0.16,1.34,1.03,0.25,-0.41,-1.19,-3.19,-5.16,-5.88,-5.75,-6.19,-6.19,-5.44,-4.19,-3.62,-4.0,-4.25,-4.22,-4.53,-5.72,-6.44,-6.06,-4.84,-4.25,-3.25,-1.59,0.72,1.91,2.66,3.25,4.31,4.59,4.16,3.72,3.31,2.91,0.97,-0.59,-1.5,-1.81,-2.38,-2.97,-2.66,-1.81,-1.56,-1.66,-1.94,-1.84,-2.31,-3.25,-3.59,-2.28,-0.31,1.03,2.28,3.62,4.41,3.66,2.62,1.59,1.19,0.59,-0.38,-1.59,-2.12,-2.94,-5.06,-7.22,-8.59,-9.53,-10.19,-10.56,-9.56,-7.56,-6.62,-6.31,-6.03,-5.0,-4.53,-4.56,-4.31,-3.22,-2.84,-3.56,-4.44,-4.47,-3.41,-3.53,-3.62,-2.72,-2.0,-2.09,-2.88,-3.41,-3.38,-3.34,-3.59,-3.91,-2.81,-2.0,-2.38,-3.0,-3.34,-3.16,-3.72,-4.59,-4.88,-5.06,-5.69,-6.84,-7.41,-6.47,24.97,22.38,20.97,20.41,20.62,21.56,22.81,24.72,26.34,28.25,30.19,32.5,35.12,37.78,40.12,42.28,43.53,43.88,43.16,41.69,39.59:18.84,19.66,19.97,20.38,20.38,19.56,18.41,18.09,18.66,19.59,20.03,21.06,23.25,25.31,26.5,27.75,29.09,29.97,30.06,29.53,28.94,28.94,27.78,25.88,23.94,22.34,20.44,18.22,16.38,15.62,15.34,15.19,15.66,16.75,18.09,18.53,18.16,17.78,17.69,17.53,16.97,16.84,17.22,17.41,17.28,17.16,17.78,18.25,18.31,18.12,18.25,18.78,18.62,18.22,17.53,16.53,15.38,13.56,11.91,11.75,12.12,12.47,13.12,14.81,16.88,18.69,20.16,21.75,23.22,23.66,23.38,22.69,22.78,22.38,21.44,20.94,20.75,20.38,19.5,17.84,16.66,15.31,13.81,12.34,11.69,12.0,12.16,11.78,11.69,12.53,12.81,12.25,11.5,11.75,12.06,11.94,12.25,13.44,14.97,16.06,16.28,16.72,17.62,17.56,16.91,16.44,16.38,16.0,15.16,13.81,13.16,12.56,11.69,10.75,10.72,11.53,12.38,13.0,13.69,14.44,14.88,14.41,13.91,14.53,15.34,15.81,15.81,16.16,16.5,16.12,15.03,14.22,13.5,12.66,11.0,9.91,9.25,9.0,8.78,8.44,9.41,11.12,12.0,12.56,13.28,13.94,13.59,12.78,12.41,12.66,13.0,12.22,11.53,11.06,10.41,8.59,7.03,6.94,7.62,8.84,10.06,12.56,15.28,17.44,18.62,20.0,21.66,22.44,22.0,21.31,21.03,20.47,18.78,16.72,15.59,14.75,13.38,11.91,11.31,11.03,10.38,9.0,8.34,9.22,10.5,11.12,12.34,13.75,14.88,15.31,15.72,17.34,18.62,19.5,19.75,20.31,20.97,21.5,21.41,21.31,22.09,22.5,22.0,21.12,20.44,20.0,18.31,16.75,16.53,16.91,17.28,17.12,16.69,16.91,16.41,15.5,15.06,15.75,16.94,17.5,17.88,18.16,18.69,18.19,17.12,16.66,16.47,16.12,14.94,13.78,12.97,11.97,10.69,9.62,10.22,12.09,13.41,14.81,16.69,18.25,18.81,18.5,18.25,17.72,17.09,15.38,13.59,12.59,11.78,10.09,8.69,8.53,9.88,11.16,12.53,14.34,16.28,16.88,16.03,15.09,14.47,13.69,12.09,11.03,11.34,12.44,12.97,13.78,15.09,16.53,16.75,16.12,16.28,17.03,17.0,16.5,16.16,16.56,17.19,17.34,18.19,20.09,21.75,22.16,21.72,21.06,20.69,19.5,18.31,17.69,18.25,18.25,17.69,17.44,17.66,17.66,16.75,16.66,17.16,18.91,19.78,20.09,20.44,20.84,20.5,19.62,19.47,20.0,20.62,20.59,20.41,20.44,20.38,18.5,16.22,14.75,13.88,13.38,13.09,13.34,13.91,13.84,12.94,12.44,13.03,13.72,14.38,15.03,16.19,17.75,18.12,18.0,18.03,18.22,17.0,14.41,11.88,9.94,8.12,6.25,5.62,7.16,9.25,11.34,13.5,15.94,18.34,19.0,18.62,18.09,18.16,17.0,15.59,14.38,13.75,12.66,10.5,8.72,8.22,7.91,7.03,6.88,7.41,8.31,8.22,7.75,7.66,8.31,8.41,8.09,8.41,9.59,10.38,10.28,10.5,11.38,11.72,11.25,10.56,10.31,10.72,10.41,9.59,9.25,9.66,8.94,7.81,6.66,6.03,5.41,3.72,2.25,1.69,1.59,1.19,0.94,1.94,3.56,4.75,5.22,5.56,6.56,7.31,7.72,8.09,10.03,12.03,13.06,13.25,13.84,13.75,12.28,10.0,8.53,7.81,6.84,5.38,4.34,4.56,4.72,4.06,3.44,3.5,3.69,2.75,1.25,0.72,0.44,-0.06,-0.56,0.25,2.31,4.16,5.25,6.06,7.09,7.16,6.16,4.88,4.28,3.81,2.31,0.41,-1.06,-2.25,-4.19,-6.47,-8.03,-8.28,-8.5,-9.19,-9.16,-7.72,-5.81,-3.53,-0.78,3.28,7.5,10.38,12.25,13.72,15.44,16.25,15.91,15.66,15.62,14.84,13.34,11.56,11.22,11.09,10.16,8.53,6.94,4.41,0.5,-3.69,-7.22,-9.59,-11.09,-11.88,-10.91,-7.62,-3.25,1.31,5.56,10.94,15.56,18.03,19.34,20.5,21.12,20.28,19.25,18.59,18.75,18.28,16.66,15.19,14.47,14.06,12.72,11.47,11.56,11.75,11.0,10.38,11.0,12.75,14.91,17.06,19.75,23.0,25.44,25.84,25.09,23.69,20.75,16.38,11.78,8.56,6.56,5.16,4.28,4.94,6.06,7.44,7.66,8.16,9.38,9.97,9.38,8.94,9.16,9.97,10.44,10.84,12.03,13.34,13.94,13.84,14.88,16.91,18.84,19.53,19.47,18.97,16.91,12.97,8.16,3.84,0.38,-3.38,-6.59,-8.53,-9.25,-9.59,-10.03,-9.22,-7.16,-4.97,-3.09,-1.09,1.78,5.25,7.41,9.31,11.56,13.09,13.22,11.94,10.59,8.97,6.5,3.31,0.34,-1.25,-2.22,-2.66,-1.62,1.06,3.94,5.53,6.84,8.5,10.56,12.44,13.84,15.78,17.69,19.0,19.28,19.78,20.88,21.47,20.66,19.53,18.5,16.56,13.09,8.75,4.66,0.62,-3.06,-6.56,-8.75,-9.41,-9.47,-9.62,-9.03,-7.25,-5.25,-4.22,-3.16,-1.06,1.66,4.0,6.88,10.22,13.59,15.75,16.28,15.81,15.22,13.97,11.41,8.81,7.22,6.41,4.59,3.22,2.75,2.94,2.81,2.97,4.44,6.5,8.31,9.25,10.25,11.06,12.06,11.62,11.31,11.88,11.94,11.22,9.88,8.84,8.5,8.12,7.94,8.78,10.53,11.53,11.53,11.16,10.5,9.84,8.06,6.62,6.03,6.38,6.16,5.88,6.31,6.91,6.94,5.97,5.59,5.94,6.22,5.94,5.97,6.72,7.66,7.53,7.0,6.75,6.66,5.59,3.59,2.34,2.06,1.44,0.28,-0.12,0.12,0.53,0.31,-0.06,0.25,1.03,0.62,0.53,0.88,1.97,2.34,2.56,2.75,3.16,3.53,3.56,3.66,4.47,5.03,3.97,2.09,0.62,-0.16,-1.09,-1.47,-0.59,1.03,2.03,2.25,2.03,2.12,1.97,1.16,0.91,1.72,3.41,4.31,4.69,5.22,5.75,4.91,3.47,2.34,2.19,2.16,1.94,2.28,4.03,5.53,5.78,5.84,6.19,6.31,5.97,5.22,5.28,6.22,6.56,6.38,5.75,5.25,3.94,1.31,-1.06,-2.06,-2.53,-3.16,-2.91,-1.69,-0.22,0.84,1.19,1.62,2.62,2.75,2.72,3.0,4.56,5.94,7.19,8.66,10.31,11.78,11.78,11.28,10.91,11.19,10.62,9.62,9.0,8.78,7.25,4.78,1.97,0.03,-1.5,-2.91,-3.56,-3.19,-2.47,-2.44,-2.91,-3.28,-3.78,-5.06,-7.06,-8.75,-9.34,-9.31,-9.0,-8.34,-6.38,-4.59,-3.5,-2.91,-1.25,0.03,0.59,0.97,1.69,2.88,3.69,4.09,4.69,6.19,7.34,7.94,8.38,9.81,10.44,10.31,9.88,9.72,9.38,8.0,5.44,2.94,0.53,-1.97,-4.06,-5.19,-4.5,-3.25,-2.75,-2.06,-0.75,0.75,2.22,3.94,6.41,9.03,11.03,11.41,11.31,10.47,9.06,6.22,3.09,0.84,-1.25,-3.75,-5.72,-6.69,-7.22,-7.62,-7.94,-7.38,-5.91,-4.69,-3.53,-2.16,-0.78,0.25,0.22,-0.31,-0.09,-0.09,-0.53,-0.78,-0.97,-1.19,-1.0,-1.69,-1.94,-1.44,-1.12,-2.03,-3.47,-4.38,-5.75,-8.0,-10.16,-10.5,-9.78,-8.72,-7.22,-4.53,-1.78,-0.22,0.0,-0.38,-0.88,-2.31,-4.62,-6.22,-6.38,-6.03,-6.0,-5.69,-4.5,-3.06,-2.19,-1.56,-0.84,-0.31,-1.19,-3.12,-5.38,-6.94,-8.41,-10.06,-11.34,-11.84,-12.53,-13.47,-14.81,-15.31,-14.94,-14.19,-13.09,-11.19,-8.88,-6.81,-5.91,-5.31,-5.06,-4.81,-5.75,-6.97,-7.34,-7.47,-7.91,-8.5,-8.44,-8.22,-8.44,-9.16,-9.22,-8.44,-6.78,-5.44,-4.38,-3.06,-2.47,-3.31,-4.69,-5.41,-5.47,-5.69,-6.47,-6.78,-7.0,-7.88,-9.81,-11.5,-12.88,-14.0,-15.84,-16.84,-16.28,-14.94,-13.22,-10.72,-7.47,-4.41,-2.38,-1.94,-2.0,-2.34,-2.91,-4.22,-4.75,-4.53,-3.5,-3.41,-3.56,-3.12,-2.66,-3.25,-4.72,-5.56,-6.12,-6.75,-8.38,-9.03,-9.0,-8.97,-9.47,-9.34,-8.56,-6.88,-6.22,-5.69,-4.69,-2.97,-2.5,-3.09,-2.97,-2.44,-1.97,-2.12,-1.88,-1.16,-0.78,-1.59,-2.81,-3.84,-4.38,-5.34,-6.62,-6.44,-5.12,-3.97,-3.31,-1.69,0.16,1.34,1.03,0.25,-0.41,-1.19,-3.19,-5.16,-5.88,-5.75,-6.19,-6.19,-5.44,-4.19,-3.62,-4.0,-4.25,-4.22,-4.53,-5.72,-6.44,-6.06,-4.84,-4.25,-3.25,-1.59,0.72,1.91,2.66,3.25,4.31,4.59,4.16,3.72,3.31,2.91,0.97,-0.59,-1.5,-1.81,-2.38,-2.97,-2.66,-1.81,-1.56,-1.66,-1.94,-1.84,-2.31,-3.25,-3.59,-2.28,-0.31,1.03,2.28,3.62,4.41,3.66,2.62,1.59,1.19,0.59,-0.38,-1.59,-2.12,-2.94,-5.06,-7.22,-8.59,-9.53,-10.19,-10.56,-9.56,-7.56,-6.62,-6.31,-6.03,-5.0,-4.53,-4.56,-4.31,-3.22,-2.84,-3.56,-4.44,-4.47,-3.41,-3.53,-3.62,-2.72,-2.0,-2.09,-2.88,-3.41,-3.38,-3.34,-3.59,-3.91,-2.81,-2.0,-2.38,-3.0,-3.34,-3.16,-3.72,-4.59,-4.88,-5.06,-5.69,-6.84,-7.41,-6.47,24.97,22.38,20.97,20.41,20.62,21.56,22.81,24.72,26.34,28.25,30.19,32.5,35.12,37.78,40.12,42.28,43.53,43.88,43.16,41.69,39.59,37.72,35.81,34.62,34.34,34.78,35.22,35.78:18.09,18.66,19.59,20.03,21.06,23.25,25.31,26.5,27.75,29.09,29.97,30.06,29.53,28.94,28.94,27.78,25.88,23.94,22.34,20.44,18.22,16.38,15.62,15.34,15.19,15.66,16.75,18.09,18.53,18.16,17.78,17.69,17.53,16.97,16.84,17.22,17.41,17.28,17.16,17.78,18.25,18.31,18.12,18.25,18.78,18.62,18.22,17.53,16.53,15.38,13.56,11.91,11.75,12.12,12.47,13.12,14.81,16.88,18.69,20.16,21.75,23.22,23.66,23.38,22.69,22.78,22.38,21.44,20.94,20.75,20.38,19.5,17.84,16.66,15.31,13.81,12.34,11.69,12.0,12.16,11.78,11.69,12.53,12.81,12.25,11.5,11.75,12.06,11.94,12.25,13.44,14.97,16.06,16.28,16.72,17.62,17.56,16.91,16.44,16.38,16.0,15.16,13.81,13.16,12.56,11.69,10.75,10.72,11.53,12.38,13.0,13.69,14.44,14.88,14.41,13.91,14.53,15.34,15.81,15.81,16.16,16.5,16.12,15.03,14.22,13.5,12.66,11.0,9.91,9.25,9.0,8.78,8.44,9.41,11.12,12.0,12.56,13.28,13.94,13.59,12.78,12.41,12.66,13.0,12.22,11.53,11.06,10.41,8.59,7.03,6.94,7.62,8.84,10.06,12.56,15.28,17.44,18.62,20.0,21.66,22.44,22.0,21.31,21.03,20.47,18.78,16.72,15.59,14.75,13.38,11.91,11.31,11.03,10.38,9.0,8.34,9.22,10.5,11.12,12.34,13.75,14.88,15.31,15.72,17.34,18.62,19.5,19.75,20.31,20.97,21.5,21.41,21.31,22.09,22.5,22.0,21.12,20.44,20.0,18.31,16.75,16.53,16.91,17.28,17.12,16.69,16.91,16.41,15.5,15.06,15.75,16.94,17.5,17.88,18.16,18.69,18.19,17.12,16.66,16.47,16.12,14.94,13.78,12.97,11.97,10.69,9.62,10.22,12.09,13.41,14.81,16.69,18.25,18.81,18.5,18.25,17.72,17.09,15.38,13.59,12.59,11.78,10.09,8.69,8.53,9.88,11.16,12.53,14.34,16.28,16.88,16.03,15.09,14.47,13.69,12.09,11.03,11.34,12.44,12.97,13.78,15.09,16.53,16.75,16.12,16.28,17.03,17.0,16.5,16.16,16.56,17.19,17.34,18.19,20.09,21.75,22.16,21.72,21.06,20.69,19.5,18.31,17.69,18.25,18.25,17.69,17.44,17.66,17.66,16.75,16.66,17.16,18.91,19.78,20.09,20.44,20.84,20.5,19.62,19.47,20.0,20.62,20.59,20.41,20.44,20.38,18.5,16.22,14.75,13.88,13.38,13.09,13.34,13.91,13.84,12.94,12.44,13.03,13.72,14.38,15.03,16.19,17.75,18.12,18.0,18.03,18.22,17.0,14.41,11.88,9.94,8.12,6.25,5.62,7.16,9.25,11.34,13.5,15.94,18.34,19.0,18.62,18.09,18.16,17.0,15.59,14.38,13.75,12.66,10.5,8.72,8.22,7.91,7.03,6.88,7.41,8.31,8.22,7.75,7.66,8.31,8.41,8.09,8.41,9.59,10.38,10.28,10.5,11.38,11.72,11.25,10.56,10.31,10.72,10.41,9.59,9.25,9.66,8.94,7.81,6.66,6.03,5.41,3.72,2.25,1.69,1.59,1.19,0.94,1.94,3.56,4.75,5.22,5.56,6.56,7.31,7.72,8.09,10.03,12.03,13.06,13.25,13.84,13.75,12.28,10.0,8.53,7.81,6.84,5.38,4.34,4.56,4.72,4.06,3.44,3.5,3.69,2.75,1.25,0.72,0.44,-0.06,-0.56,0.25,2.31,4.16,5.25,6.06,7.09,7.16,6.16,4.88,4.28,3.81,2.31,0.41,-1.06,-2.25,-4.19,-6.47,-8.03,-8.28,-8.5,-9.19,-9.16,-7.72,-5.81,-3.53,-0.78,3.28,7.5,10.38,12.25,13.72,15.44,16.25,15.91,15.66,15.62,14.84,13.34,11.56,11.22,11.09,10.16,8.53,6.94,4.41,0.5,-3.69,-7.22,-9.59,-11.09,-11.88,-10.91,-7.62,-3.25,1.31,5.56,10.94,15.56,18.03,19.34,20.5,21.12,20.28,19.25,18.59,18.75,18.28,16.66,15.19,14.47,14.06,12.72,11.47,11.56,11.75,11.0,10.38,11.0,12.75,14.91,17.06,19.75,23.0,25.44,25.84,25.09,23.69,20.75,16.38,11.78,8.56,6.56,5.16,4.28,4.94,6.06,7.44,7.66,8.16,9.38,9.97,9.38,8.94,9.16,9.97,10.44,10.84,12.03,13.34,13.94,13.84,14.88,16.91,18.84,19.53,19.47,18.97,16.91,12.97,8.16,3.84,0.38,-3.38,-6.59,-8.53,-9.25,-9.59,-10.03,-9.22,-7.16,-4.97,-3.09,-1.09,1.78,5.25,7.41,9.31,11.56,13.09,13.22,11.94,10.59,8.97,6.5,3.31,0.34,-1.25,-2.22,-2.66,-1.62,1.06,3.94,5.53,6.84,8.5,10.56,12.44,13.84,15.78,17.69,19.0,19.28,19.78,20.88,21.47,20.66,19.53,18.5,16.56,13.09,8.75,4.66,0.62,-3.06,-6.56,-8.75,-9.41,-9.47,-9.62,-9.03,-7.25,-5.25,-4.22,-3.16,-1.06,1.66,4.0,6.88,10.22,13.59,15.75,16.28,15.81,15.22,13.97,11.41,8.81,7.22,6.41,4.59,3.22,2.75,2.94,2.81,2.97,4.44,6.5,8.31,9.25,10.25,11.06,12.06,11.62,11.31,11.88,11.94,11.22,9.88,8.84,8.5,8.12,7.94,8.78,10.53,11.53,11.53,11.16,10.5,9.84,8.06,6.62,6.03,6.38,6.16,5.88,6.31,6.91,6.94,5.97,5.59,5.94,6.22,5.94,5.97,6.72,7.66,7.53,7.0,6.75,6.66,5.59,3.59,2.34,2.06,1.44,0.28,-0.12,0.12,0.53,0.31,-0.06,0.25,1.03,0.62,0.53,0.88,1.97,2.34,2.56,2.75,3.16,3.53,3.56,3.66,4.47,5.03,3.97,2.09,0.62,-0.16,-1.09,-1.47,-0.59,1.03,2.03,2.25,2.03,2.12,1.97,1.16,0.91,1.72,3.41,4.31,4.69,5.22,5.75,4.91,3.47,2.34,2.19,2.16,1.94,2.28,4.03,5.53,5.78,5.84,6.19,6.31,5.97,5.22,5.28,6.22,6.56,6.38,5.75,5.25,3.94,1.31,-1.06,-2.06,-2.53,-3.16,-2.91,-1.69,-0.22,0.84,1.19,1.62,2.62,2.75,2.72,3.0,4.56,5.94,7.19,8.66,10.31,11.78,11.78,11.28,10.91,11.19,10.62,9.62,9.0,8.78,7.25,4.78,1.97,0.03,-1.5,-2.91,-3.56,-3.19,-2.47,-2.44,-2.91,-3.28,-3.78,-5.06,-7.06,-8.75,-9.34,-9.31,-9.0,-8.34,-6.38,-4.59,-3.5,-2.91,-1.25,0.03,0.59,0.97,1.69,2.88,3.69,4.09,4.69,6.19,7.34,7.94,8.38,9.81,10.44,10.31,9.88,9.72,9.38,8.0,5.44,2.94,0.53,-1.97,-4.06,-5.19,-4.5,-3.25,-2.75,-2.06,-0.75,0.75,2.22,3.94,6.41,9.03,11.03,11.41,11.31,10.47,9.06,6.22,3.09,0.84,-1.25,-3.75,-5.72,-6.69,-7.22,-7.62,-7.94,-7.38,-5.91,-4.69,-3.53,-2.16,-0.78,0.25,0.22,-0.31,-0.09,-0.09,-0.53,-0.78,-0.97,-1.19,-1.0,-1.69,-1.94,-1.44,-1.12,-2.03,-3.47,-4.38,-5.75,-8.0,-10.16,-10.5,-9.78,-8.72,-7.22,-4.53,-1.78,-0.22,0.0,-0.38,-0.88,-2.31,-4.62,-6.22,-6.38,-6.03,-6.0,-5.69,-4.5,-3.06,-2.19,-1.56,-0.84,-0.31,-1.19,-3.12,-5.38,-6.94,-8.41,-10.06,-11.34,-11.84,-12.53,-13.47,-14.81,-15.31,-14.94,-14.19,-13.09,-11.19,-8.88,-6.81,-5.91,-5.31,-5.06,-4.81,-5.75,-6.97,-7.34,-7.47,-7.91,-8.5,-8.44,-8.22,-8.44,-9.16,-9.22,-8.44,-6.78,-5.44,-4.38,-3.06,-2.47,-3.31,-4.69,-5.41,-5.47,-5.69,-6.47,-6.78,-7.0,-7.88,-9.81,-11.5,-12.88,-14.0,-15.84,-16.84,-16.28,-14.94,-13.22,-10.72,-7.47,-4.41,-2.38,-1.94,-2.0,-2.34,-2.91,-4.22,-4.75,-4.53,-3.5,-3.41,-3.56,-3.12,-2.66,-3.25,-4.72,-5.56,-6.12,-6.75,-8.38,-9.03,-9.0,-8.97,-9.47,-9.34,-8.56,-6.88,-6.22,-5.69,-4.69,-2.97,-2.5,-3.09,-2.97,-2.44,-1.97,-2.12,-1.88,-1.16,-0.78,-1.59,-2.81,-3.84,-4.38,-5.34,-6.62,-6.44,-5.12,-3.97,-3.31,-1.69,0.16,1.34,1.03,0.25,-0.41,-1.19,-3.19,-5.16,-5.88,-5.75,-6.19,-6.19,-5.44,-4.19,-3.62,-4.0,-4.25,-4.22,-4.53,-5.72,-6.44,-6.06,-4.84,-4.25,-3.25,-1.59,0.72,1.91,2.66,3.25,4.31,4.59,4.16,3.72,3.31,2.91,0.97,-0.59,-1.5,-1.81,-2.38,-2.97,-2.66,-1.81,-1.56,-1.66,-1.94,-1.84,-2.31,-3.25,-3.59,-2.28,-0.31,1.03,2.28,3.62,4.41,3.66,2.62,1.59,1.19,0.59,-0.38,-1.59,-2.12,-2.94,-5.06,-7.22,-8.59,-9.53,-10.19,-10.56,-9.56,-7.56,-6.62,-6.31,-6.03,-5.0,-4.53,-4.56,-4.31,-3.22,-2.84,-3.56,-4.44,-4.47,-3.41,-3.53,-3.62,-2.72,-2.0,-2.09,-2.88,-3.41,-3.38,-3.34,-3.59,-3.91,-2.81,-2.0,-2.38,-3.0,-3.34,-3.16,-3.72,-4.59,-4.88,-5.06,-5.69,-6.84,-7.41,-6.47,24.97,22.38,20.97,20.41,20.62,21.56,22.81,24.72,26.34,28.25,30.19,32.5,35.12,37.78,40.12,42.28,43.53,43.88,43.16,41.69,39.59,37.72,35.81,34.62,34.34,34.78,35.22,35.78,35.94,36.22,36.5,36.34,36.59,36.88,36.78:26.5,27.75,29.09,29.97,30.06,29.53,28.94,28.94,27.78,25.88,23.94,22.34,20.44,18.22,16.38,15.62,15.34,15.19,15.66,16.75,18.09,18.53,18.16,17.78,17.69,17.53,16.97,16.84,17.22,17.41,17.28,17.16,17.78,18.25,18.31,18.12,18.25,18.78,18.62,18.22,17.53,16.53,15.38,13.56,11.91,11.75,12.12,12.47,13.12,14.81,16.88,18.69,20.16,21.75,23.22,23.66,23.38,22.69,22.78,22.38,21.44,20.94,20.75,20.38,19.5,17.84,16.66,15.31,13.81,12.34,11.69,12.0,12.16,11.78,11.69,12.53,12.81,12.25,11.5,11.75,12.06,11.94,12.25,13.44,14.97,16.06,16.28,16.72,17.62,17.56,16.91,16.44,16.38,16.0,15.16,13.81,13.16,12.56,11.69,10.75,10.72,11.53,12.38,13.0,13.69,14.44,14.88,14.41,13.91,14.53,15.34,15.81,15.81,16.16,16.5,16.12,15.03,14.22,13.5,12.66,11.0,9.91,9.25,9.0,8.78,8.44,9.41,11.12,12.0,12.56,13.28,13.94,13.59,12.78,12.41,12.66,13.0,12.22,11.53,11.06,10.41,8.59,7.03,6.94,7.62,8.84,10.06,12.56,15.28,17.44,18.62,20.0,21.66,22.44,22.0,21.31,21.03,20.47,18.78,16.72,15.59,14.75,13.38,11.91,11.31,11.03,10.38,9.0,8.34,9.22,10.5,11.12,12.34,13.75,14.88,15.31,15.72,17.34,18.62,19.5,19.75,20.31,20.97,21.5,21.41,21.31,22.09,22.5,22.0,21.12,20.44,20.0,18.31,16.75,16.53,16.91,17.28,17.12,16.69,16.91,16.41,15.5,15.06,15.75,16.94,17.5,17.88,18.16,18.69,18.19,17.12,16.66,16.47,16.12,14.94,13.78,12.97,11.97,10.69,9.62,10.22,12.09,13.41,14.81,16.69,18.25,18.81,18.5,18.25,17.72,17.09,15.38,13.59,12.59,11.78,10.09,8.69,8.53,9.88,11.16,12.53,14.34,16.28,16.88,16.03,15.09,14.47,13.69,12.09,11.03,11.34,12.44,12.97,13.78,15.09,16.53,16.75,16.12,16.28,17.03,17.0,16.5,16.16,16.56,17.19,17.34,18.19,20.09,21.75,22.16,21.72,21.06,20.69,19.5,18.31,17.69,18.25,18.25,17.69,17.44,17.66,17.66,16.75,16.66,17.16,18.91,19.78,20.09,20.44,20.84,20.5,19.62,19.47,20.0,20.62,20.59,20.41,20.44,20.38,18.5,16.22,14.75,13.88,13.38,13.09,13.34,13.91,13.84,12.94,12.44,13.03,13.72,14.38,15.03,16.19,17.75,18.12,18.0,18.03,18.22,17.0,14.41,11.88,9.94,8.12,6.25,5.62,7.16,9.25,11.34,13.5,15.94,18.34,19.0,18.62,18.09,18.16,17.0,15.59,14.38,13.75,12.66,10.5,8.72,8.22,7.91,7.03,6.88,7.41,8.31,8.22,7.75,7.66,8.31,8.41,8.09,8.41,9.59,10.38,10.28,10.5,11.38,11.72,11.25,10.56,10.31,10.72,10.41,9.59,9.25,9.66,8.94,7.81,6.66,6.03,5.41,3.72,2.25,1.69,1.59,1.19,0.94,1.94,3.56,4.75,5.22,5.56,6.56,7.31,7.72,8.09,10.03,12.03,13.06,13.25,13.84,13.75,12.28,10.0,8.53,7.81,6.84,5.38,4.34,4.56,4.72,4.06,3.44,3.5,3.69,2.75,1.25,0.72,0.44,-0.06,-0.56,0.25,2.31,4.16,5.25,6.06,7.09,7.16,6.16,4.88,4.28,3.81,2.31,0.41,-1.06,-2.25,-4.19,-6.47,-8.03,-8.28,-8.5,-9.19,-9.16,-7.72,-5.81,-3.53,-0.78,3.28,7.5,10.38,12.25,13.72,15.44,16.25,15.91,15.66,15.62,14.84,13.34,11.56,11.22,11.09,10.16,8.53,6.94,4.41,0.5,-3.69,-7.22,-9.59,-11.09,-11.88,-10.91,-7.62,-3.25,1.31,5.56,10.94,15.56,18.03,19.34,20.5,21.12,20.28,19.25,18.59,18.75,18.28,16.66,15.19,14.47,14.06,12.72,11.47,11.56,11.75,11.0,10.38,11.0,12.75,14.91,17.06,19.75,23.0,25.44,25.84,25.09,23.69,20.75,16.38,11.78,8.56,6.56,5.16,4.28,4.94,6.06,7.44,7.66,8.16,9.38,9.97,9.38,8.94,9.16,9.97,10.44,10.84,12.03,13.34,13.94,13.84,14.88,16.91,18.84,19.53,19.47,18.97,16.91,12.97,8.16,3.84,0.38,-3.38,-6.59,-8.53,-9.25,-9.59,-10.03,-9.22,-7.16,-4.97,-3.09,-1.09,1.78,5.25,7.41,9.31,11.56,13.09,13.22,11.94,10.59,8.97,6.5,3.31,0.34,-1.25,-2.22,-2.66,-1.62,1.06,3.94,5.53,6.84,8.5,10.56,12.44,13.84,15.78,17.69,19.0,19.28,19.78,20.88,21.47,20.66,19.53,18.5,16.56,13.09,8.75,4.66,0.62,-3.06,-6.56,-8.75,-9.41,-9.47,-9.62,-9.03,-7.25,-5.25,-4.22,-3.16,-1.06,1.66,4.0,6.88,10.22,13.59,15.75,16.28,15.81,15.22,13.97,11.41,8.81,7.22,6.41,4.59,3.22,2.75,2.94,2.81,2.97,4.44,6.5,8.31,9.25,10.25,11.06,12.06,11.62,11.31,11.88,11.94,11.22,9.88,8.84,8.5,8.12,7.94,8.78,10.53,11.53,11.53,11.16,10.5,9.84,8.06,6.62,6.03,6.38,6.16,5.88,6.31,6.91,6.94,5.97,5.59,5.94,6.22,5.94,5.97,6.72,7.66,7.53,7.0,6.75,6.66,5.59,3.59,2.34,2.06,1.44,0.28,-0.12,0.12,0.53,0.31,-0.06,0.25,1.03,0.62,0.53,0.88,1.97,2.34,2.56,2.75,3.16,3.53,3.56,3.66,4.47,5.03,3.97,2.09,0.62,-0.16,-1.09,-1.47,-0.59,1.03,2.03,2.25,2.03,2.12,1.97,1.16,0.91,1.72,3.41,4.31,4.69,5.22,5.75,4.91,3.47,2.34,2.19,2.16,1.94,2.28,4.03,5.53,5.78,5.84,6.19,6.31,5.97,5.22,5.28,6.22,6.56,6.38,5.75,5.25,3.94,1.31,-1.06,-2.06,-2.53,-3.16,-2.91,-1.69,-0.22,0.84,1.19,1.62,2.62,2.75,2.72,3.0,4.56,5.94,7.19,8.66,10.31,11.78,11.78,11.28,10.91,11.19,10.62,9.62,9.0,8.78,7.25,4.78,1.97,0.03,-1.5,-2.91,-3.56,-3.19,-2.47,-2.44,-2.91,-3.28,-3.78,-5.06,-7.06,-8.75,-9.34,-9.31,-9.0,-8.34,-6.38,-4.59,-3.5,-2.91,-1.25,0.03,0.59,0.97,1.69,2.88,3.69,4.09,4.69,6.19,7.34,7.94,8.38,9.81,10.44,10.31,9.88,9.72,9.38,8.0,5.44,2.94,0.53,-1.97,-4.06,-5.19,-4.5,-3.25,-2.75,-2.06,-0.75,0.75,2.22,3.94,6.41,9.03,11.03,11.41,11.31,10.47,9.06,6.22,3.09,0.84,-1.25,-3.75,-5.72,-6.69,-7.22,-7.62,-7.94,-7.38,-5.91,-4.69,-3.53,-2.16,-0.78,0.25,0.22,-0.31,-0.09,-0.09,-0.53,-0.78,-0.97,-1.19,-1.0,-1.69,-1.94,-1.44,-1.12,-2.03,-3.47,-4.38,-5.75,-8.0,-10.16,-10.5,-9.78,-8.72,-7.22,-4.53,-1.78,-0.22,0.0,-0.38,-0.88,-2.31,-4.62,-6.22,-6.38,-6.03,-6.0,-5.69,-4.5,-3.06,-2.19,-1.56,-0.84,-0.31,-1.19,-3.12,-5.38,-6.94,-8.41,-10.06,-11.34,-11.84,-12.53,-13.47,-14.81,-15.31,-14.94,-14.19,-13.09,-11.19,-8.88,-6.81,-5.91,-5.31,-5.06,-4.81,-5.75,-6.97,-7.34,-7.47,-7.91,-8.5,-8.44,-8.22,-8.44,-9.16,-9.22,-8.44,-6.78,-5.44,-4.38,-3.06,-2.47,-3.31,-4.69,-5.41,-5.47,-5.69,-6.47,-6.78,-7.0,-7.88,-9.81,-11.5,-12.88,-14.0,-15.84,-16.84,-16.28,-14.94,-13.22,-10.72,-7.47,-4.41,-2.38,-1.94,-2.0,-2.34,-2.91,-4.22,-4.75,-4.53,-3.5,-3.41,-3.56,-3.12,-2.66,-3.25,-4.72,-5.56,-6.12,-6.75,-8.38,-9.03,-9.0,-8.97,-9.47,-9.34,-8.56,-6.88,-6.22,-5.69,-4.69,-2.97,-2.5,-3.09,-2.97,-2.44,-1.97,-2.12,-1.88,-1.16,-0.78,-1.59,-2.81,-3.84,-4.38,-5.34,-6.62,-6.44,-5.12,-3.97,-3.31,-1.69,0.16,1.34,1.03,0.25,-0.41,-1.19,-3.19,-5.16,-5.88,-5.75,-6.19,-6.19,-5.44,-4.19,-3.62,-4.0,-4.25,-4.22,-4.53,-5.72,-6.44,-6.06,-4.84,-4.25,-3.25,-1.59,0.72,1.91,2.66,3.25,4.31,4.59,4.16,3.72,3.31,2.91,0.97,-0.59,-1.5,-1.81,-2.38,-2.97,-2.66,-1.81,-1.56,-1.66,-1.94,-1.84,-2.31,-3.25,-3.59,-2.28,-0.31,1.03,2.28,3.62,4.41,3.66,2.62,1.59,1.19,0.59,-0.38,-1.59,-2.12,-2.94,-5.06,-7.22,-8.59,-9.53,-10.19,-10.56,-9.56,-7.56,-6.62,-6.31,-6.03,-5.0,-4.53,-4.56,-4.31,-3.22,-2.84,-3.56,-4.44,-4.47,-3.41,-3.53,-3.62,-2.72,-2.0,-2.09,-2.88,-3.41,-3.38,-3.34,-3.59,-3.91,-2.81,-2.0,-2.38,-3.0,-3.34,-3.16,-3.72,-4.59,-4.88,-5.06,-5.69,-6.84,-7.41,-6.47,24.97,22.38,20.97,20.41,20.62,21.56,22.81,24.72,26.34,28.25,30.19,32.5,35.12,37.78,40.12,42.28,43.53,43.88,43.16,41.69,39.59,37.72,35.81,34.62,34.34,34.78,35.22,35.78,35.94,36.22,36.5,36.34,36.59,36.88,36.78,36.69,36.75,37.56,38.5,40.03,42.22,44.62:negativity
-11.31,-11.78,-11.25,-10.06,-9.44,-7.88,-5.44,-2.38,-0.28,0.84,2.12,3.16,2.94,2.38,2.12,2.38,2.41,1.47,0.12,-0.5,-1.19,-2.72,-4.28,-4.94,-5.56,-6.88,-8.62,-9.69,-10.53,-11.22,-12.31,-12.56,-11.66,-10.0,-9.09,-7.72,-5.38,-2.66,-1.0,0.62,2.44,3.94,4.72,4.38,4.31,4.69,4.66,3.44,2.31,1.78,1.5,0.0,-1.34,-2.16,-3.0,-4.78,-6.41,-7.06,-6.59,-6.03,-5.41,-4.09,-1.53,0.56,1.47,1.91,2.59,3.25,2.56,2.59,4.0,6.34,7.81,9.06,10.47,11.06,10.47,8.12,5.97,4.62,4.0,3.09,2.69,2.91,3.06,1.72,0.59,-0.38,-0.69,-1.78,-2.94,-3.66,-3.66,-3.41,-3.41,-3.31,-2.53,-1.72,-2.03,-2.66,-2.03,-0.94,-0.72,-0.78,-0.5,-0.12,-0.69,-2.47,-4.03,-5.12,-6.44,-8.47,-10.34,-10.88,-11.09,-12.31,-13.12,-12.78,-11.97,-11.91,-11.47,-10.78,-9.31,-8.66,-8.25,-7.81,-7.0,-6.53,-7.19,-7.94,-8.16,-8.41,-9.53,-11.28,-12.0,-12.16,-13.12,-13.88,-14.41,-13.62,-13.09,-13.31,-13.38,-12.91,-12.5,-12.97,-13.06,-12.19,-10.81,-10.56,-11.34,-11.84,-12.31,-13.5,-14.5,-14.88,-13.81,-12.53,-12.06,-10.97,-9.22,-7.56,-6.44,-5.41,-3.41,-1.25,-0.03,0.44,0.88,1.78,1.88,1.38,1.0,1.41,1.66,1.41,0.41,-0.22,-0.88,-2.69,-5.22,-6.22,-6.44,-7.0,-7.94,-7.91,-6.97,-6.25,-6.06,-5.38,-3.66,-2.25,-1.66,-1.81,-1.5,-1.97,-3.75,-6.0,-7.47,-8.06,-8.88,-10.06,-9.75,-8.28,-6.72,-5.66,-5.06,-4.12,-4.09,-5.03,-5.94,-5.22,-3.5,-2.12,-0.88,0.72,3.12,4.12,3.88,3.38,3.09,2.19,0.62,-0.88,-0.94,-0.97,-1.94,-3.09,-3.53,-3.41,-4.31,-5.12,-4.78,-3.66,-2.5,-1.62,-0.62,1.56,3.25,3.75,3.47,3.78,3.53,2.34,0.69,0.66,1.69,2.88,4.22,6.16,8.66,10.72,11.12,11.66,12.88,13.28,12.31,10.09,8.09,5.78,2.16,-1.5,-3.44,-4.16,-4.56,-4.41,-3.34,-1.5,-0.72,-1.12,-2.03,-2.41,-1.88,-1.44,-0.72,1.25,2.69,2.72,1.5,0.47,-0.28,-1.0,-2.09,-2.38,-1.28,0.06,0.72,1.59,3.75,6.19,7.84,8.78,10.31,10.62,9.34,6.5,3.03,-0.03,-3.19,-7.03,-10.31,-12.56,-14.56,-17.09,-18.81,-18.88,-17.88,-16.88,-15.28,-12.16,-7.88,-3.47,0.69,6.0,11.0,14.81,16.94,17.78,18.62,18.44,17.5,16.47,16.41,16.41,16.0,14.81,14.12,13.44,12.56,11.0,10.53,11.09,11.66,12.16,13.28,15.78,18.59,20.56,22.06,23.88,25.22,25.25,24.09,23.12,22.06,20.44,17.75,15.62,14.31,12.69,9.66,6.44,3.72,1.03,-2.22,-5.09,-6.19,-6.47,-6.28,-6.09,-4.22,-0.72,3.28,6.56,10.09,14.09,16.91,18.56,19.56,20.56,21.16,20.38,18.22,16.38,14.62,11.94,8.25,5.28,2.66,0.53,-2.09,-3.62,-3.12,-1.28,0.47,2.34,5.19,8.03,10.12,11.47,13.94,16.91,19.56,21.03,22.25,23.16,22.91,20.09,16.94,14.03,11.16,7.56,4.5,2.66,1.09,-0.72,-3.31,-4.34,-3.88,-2.81,-1.81,-0.19,1.66,2.62,2.06,1.19,1.0,1.44,1.53,1.62,2.47,3.78,4.91,5.5,6.75,9.03,11.22,12.12,12.59,13.28,13.62,12.56,11.34,10.84,10.5,8.91,6.59,4.59,2.72,0.69,-1.31,-2.06,-1.78,-1.09,-1.16,-1.03,-0.31,1.22,2.25,3.72,6.09,8.84,11.16,12.12,12.84,13.19,12.84,11.03,9.47,9.03,9.31,9.0,8.88,9.38,9.66,8.97,7.72,7.16,7.25,7.0,6.53,7.16,8.5,10.03,10.28,10.03,10.34,10.06,8.41,7.78,8.12,9.28,10.28,10.94,11.97,13.22,13.5,12.88,12.47,12.72,12.88,12.0,11.66,11.62,11.69,10.56,8.97,8.38,8.0,7.75,7.53,8.31,10.03,11.06,11.88,13.44,16.09,18.91,20.59,21.5,22.12,22.25,21.06,18.97,17.34,15.88,13.56,10.78,8.94,8.19,7.41,6.19,5.06,4.75,4.69,4.16,3.97,4.66,5.69,6.25,6.12,6.44,7.31,7.91,8.34,9.41,11.81,13.78,14.91,15.28,15.44,14.97,13.06,11.0,9.47,8.78,8.09,7.56,7.84,9.84,11.09,12.09,12.62,13.47,13.31,11.94,10.19,8.88,8.38,7.19,6.38,6.38,6.81,7.03,6.88,7.38,8.56,9.69,9.97,10.41,11.53,12.75,12.88,12.41,11.97,11.22,9.41,7.41,5.84,5.34,4.66,3.69,3.12,3.59,4.09,4.06,4.09,4.84,6.06,7.12,8.31,10.5,13.06,14.34,14.75,14.91,15.69,16.31,16.38,16.66,17.69,18.16,17.22,15.84,15.03,14.19,13.19,12.5,12.22,12.28,11.62,10.22,8.69,7.91,6.97,5.56,4.06,3.5,3.19,2.59,1.94,2.44,3.09,3.38,3.25,3.72,4.97,6.0,6.5,7.12,8.66,9.72,9.44,8.62,8.19,7.09,5.66,4.53,4.28,4.91,5.59,6.0,6.78,8.44,9.88,10.59,11.16,12.06,12.28,11.72,10.78,10.97,11.62,11.56,11.31,10.88,10.44,9.22,7.22,5.56,4.56,3.56,2.44,1.44,2.06,2.88,2.66,1.81,1.44,1.09,0.62,0.25,0.94,2.5,3.69,3.81,3.69,4.0,3.56,2.28,1.19,1.25,2.56,4.34,6.41,10.06,13.66,16.69,18.47,19.78,20.75,20.84,19.22,17.31,15.94,14.03,11.97,10.16,9.5,9.56,9.62,10.0,11.22,13.38,14.84,15.16,15.06,14.84,14.09,12.06,9.84,8.62,7.41,6.28,5.62,6.84,9.47,12.44,15.19,19.03,23.22,26.75,29.19,30.72,32.25,32.69,31.66,30.38,29.78,29.41,28.56,27.03,25.78,23.75,20.88,17.16,13.47,10.97,9.34,8.34,8.84,11.06,14.72,17.22,19.38,21.56,22.53,22.03,20.47,19.16,18.59,17.97,16.56,15.84,15.47,14.94,13.03,11.56,10.12,9.28,7.97,6.66,6.56,7.28,7.62,7.41,7.41,7.22,6.38,4.44,2.31,1.38,0.66,-0.56,-1.44,-1.09,0.22,1.28,3.16,6.44,10.88,15.0,18.38,21.22,23.28,24.22,23.09,21.91,20.91,19.72,17.56,15.62,14.16,13.62,13.06,12.41,13.09,14.66,16.03,16.31,16.84,17.0,16.69,14.94,13.12,12.19,11.84,11.44,11.59,12.94,15.34,16.53,16.91,16.81,16.19,15.12,13.03,11.66,11.88,13.19,14.06,15.09,16.28,16.41,14.56,12.0,9.72,8.0,6.97,6.0,6.28,7.69,9.44,10.5,11.72,13.69,15.84,17.09,18.28,20.19,22.12,22.78,22.28,21.66,20.69,18.5,15.31,12.19,9.66,7.09,3.78,1.38,0.06,-0.03,-0.56,-0.41,0.75,2.59,3.84,4.94,6.81,9.28,11.59,12.5,13.16,14.31,15.44,15.78,16.38,17.41,18.25,17.44,15.84,14.28,13.72,12.75,11.78,11.22,11.16,10.78,9.62,8.62,9.0,9.81,9.81,9.81,10.12,11.06,11.06,11.5,12.66,14.56,15.97,16.53,16.56,16.78,16.06,14.41,12.75,12.38,11.59,9.75,7.25,4.97,2.69,0.31,-1.25,-1.62,-0.62,0.31,1.0,1.47,2.38,2.88,2.5,1.88,2.5,3.84,5.19,6.19,8.12,10.59,12.12,12.81,13.62,14.91,15.62,14.81,13.88,13.97,13.91,12.88,12.5,13.41,15.09,16.19,17.25,18.84,20.81,21.47,21.69,22.0,22.88,23.12,21.88,20.25,19.47,18.94,17.84,16.81,17.0,17.25,16.84,15.72,15.06,15.31,15.34,14.56,13.97,14.25,14.25,12.91,11.34,10.31,9.94,9.12,8.69,9.38,10.44,10.25,9.09,7.78,7.88,8.62,9.59,11.62,14.88,17.47,18.75,19.34,20.69,22.75,23.81,24.53,26.5,28.72,29.5,29.25,28.41,27.0,24.41,20.47,16.69,14.56,12.78,10.97,9.12,8.31,8.0,7.09,6.78,7.66,9.88,12.19,13.94,15.47,16.91,17.66,17.16,16.09,15.84,15.59,14.59,12.97,12.31,12.41,12.28,11.72,12.03,13.03,13.53,13.28,13.28,14.88,16.12,16.5,16.19,16.81,16.84,15.97,14.53,13.91,13.47,12.25,10.53,9.41,9.75,10.34,10.91,11.5,12.88,13.5,13.09,11.88,10.94,10.62,10.31,9.5,9.81,11.47,13.16,14.41,16.41,19.16,21.12,21.53,21.38,21.22,20.09,18.16,15.66,14.12,13.19,12.25,11.16,11.06,11.84,11.97,11.75,11.5,12.12,12.59,12.12,12.03,13.38,15.62,17.94,19.62,22.09,24.12,24.72,23.53,22.44,21.88,20.66,19.0,17.84,17.72,17.22,15.78,14.25,13.5,13.16,12.44,11.59,11.97,13.44,15.0,16.0,17.78,19.72,20.56,20.09,19.22,19.06,19.28,18.69,17.69,17.5,17.06,16.19,14.59,14.19,14.19,14.16,12.56,11.22,10.81,10.31,9.47,9.69,11.88,14.34,16.06,17.22,18.88,19.97,20.28,19.34,18.41,17.28,15.06,11.88,9.03,7.62,6.75,5.5,4.69,5.31,6.16,6.31,6.03,6.97,7.56,7.78,7.62,8.0,8.72,9.56,9.59,9.75,10.47:-2.38,-0.28,0.84,2.12,3.16,2.94,2.38,2.12,2.38,2.41,1.47,0.12,-0.5,-1.19,-2.72,-4.28,-4.94,-5.56,-6.88,-8.62,-9.69,-10.53,-11.22,-12.31,-12.56,-11.66,-10.0,-9.09,-7.72,-5.38,-2.66,-1.0,0.62,2.44,3.94,4.72,4.38,4.31,4.69,4.66,3.44,2.31,1.78,1.5,0.0,-1.34,-2.16,-3.0,-4.78,-6.41,-7.06,-6.59,-6.03,-5.41,-4.09,-1.53,0.56,1.47,1.91,2.59,3.25,2.56,2.59,4.0,6.34,7.81,9.06,10.47,11.06,10.47,8.12,5.97,4.62,4.0,3.09,2.69,2.91,3.06,1.72,0.59,-0.38,-0.69,-1.78,-2.94,-3.66,-3.66,-3.41,-3.41,-3.31,-2.53,-1.72,-2.03,-2.66,-2.03,-0.94,-0.72,-0.78,-0.5,-0.12,-0.69,-2.47,-4.03,-5.12,-6.44,-8.47,-10.34,-10.88,-11.09,-12.31,-13.12,-12.78,-11.97,-11.91,-11.47,-10.78,-9.31,-8.66,-8.25,-7.81,-7.0,-6.53,-7.19,-7.94,-8.16,-8.41,-9.53,-11.28,-12.0,-12.16,-13.12,-13.88,-14.41,-13.62,-13.09,-13.31,-13.38,-12.91,-12.5,-12.97,-13.06,-12.19,-10.81,-10.56,-11.34,-11.84,-12.31,-13.5,-14.5,-14.88,-13.81,-12.53,-12.06,-10.97,-9.22,-7.56,-6.44,-5.41,-3.41,-1.25,-0.03,0.44,0.88,1.78,1.88,1.38,1.0,1.41,1.66,1.41,0.41,-0.22,-0.88,-2.69,-5.22,-6.22,-6.44,-7.0,-7.94,-7.91,-6.97,-6.25,-6.06,-5.38,-3.66,-2.25,-1.66,-1.81,-1.5,-1.97,-3.75,-6.0,-7.47,-8.06,-8.88,-10.06,-9.75,-8.28,-6.72,-5.66,-5.06,-4.12,-4.09,-5.03,-5.94,-5.22,-3.5,-2.12,-0.88,0.72,3.12,4.12,3.88,3.38,3.09,2.19,0.62,-0.88,-0.94,-0.97,-1.94,-3.09,-3.53,-3.41,-4.31,-5.12,-4.78,-3.66,-2.5,-1.62,-0.62,1.56,3.25,3.75,3.47,3.78,3.53,2.34,0.69,0.66,1.69,2.88,4.22,6.16,8.66,10.72,11.12,11.66,12.88,13.28,12.31,10.09,8.09,5.78,2.16,-1.5,-3.44,-4.16,-4.56,-4.41,-3.34,-1.5,-0.72,-1.12,-2.03,-2.41,-1.88,-1.44,-0.72,1.25,2.69,2.72,1.5,0.47,-0.28,-1.0,-2.09,-2.38,-1.28,0.06,0.72,1.59,3.75,6.19,7.84,8.78,10.31,10.62,9.34,6.5,3.03,-0.03,-3.19,-7.03,-10.31,-12.56,-14.56,-17.09,-18.81,-18.88,-17.88,-16.88,-15.28,-12.16,-7.88,-3.47,0.69,6.0,11.0,14.81,16.94,17.78,18.62,18.44,17.5,16.47,16.41,16.41,16.0,14.81,14.12,13.44,12.56,11.0,10.53,11.09,11.66,12.16,13.28,15.78,18.59,20.56,22.06,23.88,25.22,25.25,24.09,23.12,22.06,20.44,17.75,15.62,14.31,12.69,9.66,6.44,3.72,1.03,-2.22,-5.09,-6.19,-6.47,-6.28,-6.09,-4.22,-0.72,3.28,6.56,10.09,14.09,16.91,18.56,19.56,20.56,21.16,20.38,18.22,16.38,14.62,11.94,8.25,5.28,2.66,0.53,-2.09,-3.62,-3.12,-1.28,0.47,2.34,5.19,8.03,10.12,11.47,13.94,16.91,19.56,21.03,22.25,23.16,22.91,20.09,16.94,14.03,11.16,7.56,4.5,2.66,1.09,-0.72,-3.31,-4.34,-3.88,-2.81,-1.81,-0.19,1.66,2.62,2.06,1.19,1.0,1.44,1.53,1.62,2.47,3.78,4.91,5.5,6.75,9.03,11.22,12.12,12.59,13.28,13.62,12.56,11.34,10.84,10.5,8.91,6.59,4.59,2.72,0.69,-1.31,-2.06,-1.78,-1.09,-1.16,-1.03,-0.31,1.22,2.25,3.72,6.09,8.84,11.16,12.12,12.84,13.19,12.84,11.03,9.47,9.03,9.31,9.0,8.88,9.38,9.66,8.97,7.72,7.16,7.25,7.0,6.53,7.16,8.5,10.03,10.28,10.03,10.34,10.06,8.41,7.78,8.12,9.28,10.28,10.94,11.97,13.22,13.5,12.88,12.47,12.72,12.88,12.0,11.66,11.62,11.69,10.56,8.97,8.38,8.0,7.75,7.53,8.31,10.03,11.06,11.88,13.44,16.09,18.91,20.59,21.5,22.12,22.25,21.06,18.97,17.34,15.88,13.56,10.78,8.94,8.19,7.41,6.19,5.06,4.75,4.69,4.16,3.97,4.66,5.69,6.25,6.12,6.44,7.31,7.91,8.34,9.41,11.81,13.78,14.91,15.28,15.44,14.97,13.06,11.0,9.47,8.78,8.09,7.56,7.84,9.84,11.09,12.09,12.62,13.47,13.31,11.94,10.19,8.88,8.38,7.19,6.38,6.38,6.81,7.03,6.88,7.38,8.56,9.69,9.97,10.41,11.53,12.75,12.88,12.41,11.97,11.22,9.41,7.41,5.84,5.34,4.66,3.69,3.12,3.59,4.09,4.06,4.09,4.84,6.06,7.12,8.31,10.5,13.06,14.34,14.75,14.91,15.69,16.31,16.38,16.66,17.69,18.16,17.22,15.84,15.03,14.19,13.19,12.5,12.22,12.28,11.62,10.22,8.69,7.91,6.97,5.56,4.06,3.5,3.19,2.59,1.94,2.44,3.09,3.38,3.25,3.72,4.97,6.0,6.5,7.12,8.66,9.72,9.44,8.62,8.19,7.09,5.66,4.53,4.28,4.91,5.59,6.0,6.78,8.44,9.88,10.59,11.16,12.06,12.28,11.72,10.78,10.97,11.62,11.56,11.31,10.88,10.44,9.22,7.22,5.56,4.56,3.56,2.44,1.44,2.06,2.88,2.66,1.81,1.44,1.09,0.62,0.25,0.94,2.5,3.69,3.81,3.69,4.0,3.56,2.28,1.19,1.25,2.56,4.34,6.41,10.06,13.66,16.69,18.47,19.78,20.75,20.84,19.22,17.31,15.94,14.03,11.97,10.16,9.5,9.56,9.62,10.0,11.22,13.38,14.84,15.16,15.06,14.84,14.09,12.06,9.84,8.62,7.41,6.28,5.62,6.84,9.47,12.44,15.19,19.03,23.22,26.75,29.19,30.72,32.25,32.69,31.66,30.38,29.78,29.41,28.56,27.03,25.78,23.75,20.88,17.16,13.47,10.97,9.34,8.34,8.84,11.06,14.72,17.22,19.38,21.56,22.53,22.03,20.47,19.16,18.59,17.97,16.56,15.84,15.47,14.94,13.03,11.56,10.12,9.28,7.97,6.66,6.56,7.28,7.62,7.41,7.41,7.22,6.38,4.44,2.31,1.38,0.66,-0.56,-1.44,-1.09,0.22,1.28,3.16,6.44,10.88,15.0,18.38,21.22,23.28,24.22,23.09,21.91,20.91,19.72,17.56,15.62,14.16,13.62,13.06,12.41,13.09,14.66,16.03,16.31,16.84,17.0,16.69,14.94,13.12,12.19,11.84,11.44,11.59,12.94,15.34,16.53,16.91,16.81,16.19,15.12,13.03,11.66,11.88,13.19,14.06,15.09,16.28,16.41,14.56,12.0,9.72,8.0,6.97,6.0,6.28,7.69,9.44,10.5,11.72,13.69,15.84,17.09,18.28,20.19,22.12,22.78,22.28,21.66,20.69,18.5,15.31,12.19,9.66,7.09,3.78,1.38,0.06,-0.03,-0.56,-0.41,0.75,2.59,3.84,4.94,6.81,9.28,11.59,12.5,13.16,14.31,15.44,15.78,16.38,17.41,18.25,17.44,15.84,14.28,13.72,12.75,11.78,11.22,11.16,10.78,9.62,8.62,9.0,9.81,9.81,9.81,10.12,11.06,11.06,11.5,12.66,14.56,15.97,16.53,16.56,16.78,16.06,14.41,12.75,12.38,11.59,9.75,7.25,4.97,2.69,0.31,-1.25,-1.62,-0.62,0.31,1.0,1.47,2.38,2.88,2.5,1.88,2.5,3.84,5.19,6.19,8.12,10.59,12.12,12.81,13.62,14.91,15.62,14.81,13.88,13.97,13.91,12.88,12.5,13.41,15.09,16.19,17.25,18.84,20.81,21.47,21.69,22.0,22.88,23.12,21.88,20.25,19.47,18.94,17.84,16.81,17.0,17.25,16.84,15.72,15.06,15.31,15.34,14.56,13.97,14.25,14.25,12.91,11.34,10.31,9.94,9.12,8.69,9.38,10.44,10.25,9.09,7.78,7.88,8.62,9.59,11.62,14.88,17.47,18.75,19.34,20.69,22.75,23.81,24.53,26.5,28.72,29.5,29.25,28.41,27.0,24.41,20.47,16.69,14.56,12.78,10.97,9.12,8.31,8.0,7.09,6.78,7.66,9.88,12.19,13.94,15.47,16.91,17.66,17.16,16.09,15.84,15.59,14.59,12.97,12.31,12.41,12.28,11.72,12.03,13.03,13.53,13.28,13.28,14.88,16.12,16.5,16.19,16.81,16.84,15.97,14.53,13.91,13.47,12.25,10.53,9.41,9.75,10.34,10.91,11.5,12.88,13.5,13.09,11.88,10.94,10.62,10.31,9.5,9.81,11.47,13.16,14.41,16.41,19.16,21.12,21.53,21.38,21.22,20.09,18.16,15.66,14.12,13.19,12.25,11.16,11.06,11.84,11.97,11.75,11.5,12.12,12.59,12.12,12.03,13.38,15.62,17.94,19.62,22.09,24.12,24.72,23.53,22.44,21.88,20.66,19.0,17.84,17.72,17.22,15.78,14.25,13.5,13.16,12.44,11.59,11.97,13.44,15.0,16.0,17.78,19.72,20.56,20.09,19.22,19.06,19.28,18.69,17.69,17.5,17.06,16.19,14.59,14.19,14.19,14.16,12.56,11.22,10.81,10.31,9.47,9.69,11.88,14.34,16.06,17.22,18.88,19.97,20.28,19.34,18.41,17.28,15.06,11.88,9.03,7.62,6.75,5.5,4.69,5.31,6.16,6.31,6.03,6.97,7.56,7.78,7.62,8.0,8.72,9.56,9.59,9.75,10.47,29.47,29.19,29.5,30.31,31.34,32.97,34.69:2.12,2.38,2.41,1.47,0.12,-0.5,-1.19,-2.72,-4.28,-4.94,-5.56,-6.88,-8.62,-9.69,-10.53,-11.22,-12.31,-12.56,-11.66,-10.0,-9.09,-7.72,-5.38,-2.66,-1.0,0.62,2.44,3.94,4.72,4.38,4.31,4.69,4.66,3.44,2.31,1.78,1.5,0.0,-1.34,-2.16,-3.0,-4.78,-6.41,-7.06,-6.59,-6.03,-5.41,-4.09,-1.53,0.56,1.47,1.91,2.59,3.25,2.56,2.59,4.0,6.34,7.81,9.06,10.47,11.06,10.47,8.12,5.97,4.62,4.0,3.09,2.69,2.91,3.06,1.72,0.59,-0.38,-0.69,-1.78,-2.94,-3.66,-3.66,-3.41,-3.41,-3.31,-2.53,-1.72,-2.03,-2.66,-2.03,-0.94,-0.72,-0.78,-0.5,-0.12,-0.69,-2.47,-4.03,-5.12,-6.44,-8.47,-10.34,-10.88,-11.09,-12.31,-13.12,-12.78,-11.97,-11.91,-11.47,-10.78,-9.31,-8.66,-8.25,-7.81,-7.0,-6.53,-7.19,-7.94,-8.16,-8.41,-9.53,-11.28,-12.0,-12.16,-13.12,-13.88,-14.41,-13.62,-13.09,-13.31,-13.38,-12.91,-12.5,-12.97,-13.06,-12.19,-10.81,-10.56,-11.34,-11.84,-12.31,-13.5,-14.5,-14.88,-13.81,-12.53,-12.06,-10.97,-9.22,-7.56,-6.44,-5.41,-3.41,-1.25,-0.03,0.44,0.88,1.78,1.88,1.38,1.0,1.41,1.66,1.41,0.41,-0.22,-0.88,-2.69,-5.22,-6.22,-6.44,-7.0,-7.94,-7.91,-6.97,-6.25,-6.06,-5.38,-3.66,-2.25,-1.66,-1.81,-1.5,-1.97,-3.75,-6.0,-7.47,-8.06,-8.88,-10.06,-9.75,-8.28,-6.72,-5.66,-5.06,-4.12,-4.09,-5.03,-5.94,-5.22,-3.5,-2.12,-0.88,0.72,3.12,4.12,3.88,3.38,3.09,2.19,0.62,-0.88,-0.94,-0.97,-1.94,-3.09,-3.53,-3.41,-4.31,-5.12,-4.78,-3.66,-2.5,-1.62,-0.62,1.56,3.25,3.75,3.47,3.78,3.53,2.34,0.69,0.66,1.69,2.88,4.22,6.16,8.66,10.72,11.12,11.66,12.88,13.28,12.31,10.09,8.09,5.78,2.16,-1.5,-3.44,-4.16,-4.56,-4.41,-3.34,-1.5,-0.72,-1.12,-2.03,-2.41,-1.88,-1.44,-0.72,1.25,2.69,2.72,1.5,0.47,-0.28,-1.0,-2.09,-2.38,-1.28,0.06,0.72,1.59,3.75,6.19,7.84,8.78,10.31,10.62,9.34,6.5,3.03,-0.03,-3.19,-7.03,-10.31,-12.56,-14.56,-17.09,-18.81,-18.88,-17.88,-16.88,-15.28,-12.16,-7.88,-3.47,0.69,6.0,11.0,14.81,16.94,17.78,18.62,18.44,17.5,16.47,16.41,16.41,16.0,14.81,14.12,13.44,12.56,11.0,10.53,11.09,11.66,12.16,13.28,15.78,18.59,20.56,22.06,23.88,25.22,25.25,24.09,23.12,22.06,20.44,17.75,15.62,14.31,12.69,9.66,6.44,3.72,1.03,-2.22,-5.09,-6.19,-6.47,-6.28,-6.09,-4.22,-0.72,3.28,6.56,10.09,14.09,16.91,18.56,19.56,20.56,21.16,20.38,18.22,16.38,14.62,11.94,8.25,5.28,2.66,0.53,-2.09,-3.62,-3.12,-1.28,0.47,2.34,5.19,8.03,10.12,11.47,13.94,16.91,19.56,21.03,22.25,23.16,22.91,20.09,16.94,14.03,11.16,7.56,4.5,2.66,1.09,-0.72,-3.31,-4.34,-3.88,-2.81,-1.81,-0.19,1.66,2.62,2.06,1.19,1.0,1.44,1.53,1.62,2.47,3.78,4.91,5.5,6.75,9.03,11.22,12.12,12.59,13.28,13.62,12.56,11.34,10.84,10.5,8.91,6.59,4.59,2.72,0.69,-1.31,-2.06,-1.78,-1.09,-1.16,-1.03,-0.31,1.22,2.25,3.72,6.09,8.84,11.16,12.12,12.84,13.19,12.84,11.03,9.47,9.03,9.31,9.0,8.88,9.38,9.66,8.97,7.72,7.16,7.25,7.0,6.53,7.16,8.5,10.03,10.28,10.03,10.34,10.06,8.41,7.78,8.12,9.28,10.28,10.94,11.97,13.22,13.5,12.88,12.47,12.72,12.88,12.0,11.66,11.62,11.69,10.56,8.97,8.38,8.0,7.75,7.53,8.31,10.03,11.06,11.88,13.44,16.09,18.91,20.59,21.5,22.12,22.25,21.06,18.97,17.34,15.88,13.56,10.78,8.94,8.19,7.41,6.19,5.06,4.75,4.69,4.16,3.97,4.66,5.69,6.25,6.12,6.44,7.31,7.91,8.34,9.41,11.81,13.78,14.91,15.28,15.44,14.97,13.06,11.0,9.47,8.78,8.09,7.56,7.84,9.84,11.09,12.09,12.62,13.47,13.31,11.94,10.19,8.88,8.38,7.19,6.38,6.38,6.81,7.03,6.88,7.38,8.56,9.69,9.97,10.41,11.53,12.75,12.88,12.41,11.97,11.22,9.41,7.41,5.84,5.34,4.66,3.69,3.12,3.59,4.09,4.06,4.09,4.84,6.06,7.12,8.31,10.5,13.06,14.34,14.75,14.91,15.69,16.31,16.38,16.66,17.69,18.16,17.22,15.84,15.03,14.19,13.19,12.5,12.22,12.28,11.62,10.22,8.69,7.91,6.97,5.56,4.06,3.5,3.19,2.59,1.94,2.44,3.09,3.38,3.25,3.72,4.97,6.0,6.5,7.12,8.66,9.72,9.44,8.62,8.19,7.09,5.66,4.53,4.28,4.91,5.59,6.0,6.78,8.44,9.88,10.59,11.16,12.06,12.28,11.72,10.78,10.97,11.62,11.56,11.31,10.88,10.44,9.22,7.22,5.56,4.56,3.56,2.44,1.44,2.06,2.88,2.66,1.81,1.44,1.09,0.62,0.25,0.94,2.5,3.69,3.81,3.69,4.0,3.56,2.28,1.19,1.25,2.56,4.34,6.41,10.06,13.66,16.69,18.47,19.78,20.75,20.84,19.22,17.31,15.94,14.03,11.97,10.16,9.5,9.56,9.62,10.0,11.22,13.38,14.84,15.16,15.06,14.84,14.09,12.06,9.84,8.62,7.41,6.28,5.62,6.84,9.47,12.44,15.19,19.03,23.22,26.75,29.19,30.72,32.25,32.69,31.66,30.38,29.78,29.41,28.56,27.03,25.78,23.75,20.88,17.16,13.47,10.97,9.34,8.34,8.84,11.06,14.72,17.22,19.38,21.56,22.53,22.03,20.47,19.16,18.59,17.97,16.56,15.84,15.47,14.94,13.03,11.56,10.12,9.28,7.97,6.66,6.56,7.28,7.62,7.41,7.41,7.22,6.38,4.44,2.31,1.38,0.66,-0.56,-1.44,-1.09,0.22,1.28,3.16,6.44,10.88,15.0,18.38,21.22,23.28,24.22,23.09,21.91,20.91,19.72,17.56,15.62,14.16,13.62,13.06,12.41,13.09,14.66,16.03,16.31,16.84,17.0,16.69,14.94,13.12,12.19,11.84,11.44,11.59,12.94,15.34,16.53,16.91,16.81,16.19,15.12,13.03,11.66,11.88,13.19,14.06,15.09,16.28,16.41,14.56,12.0,9.72,8.0,6.97,6.0,6.28,7.69,9.44,10.5,11.72,13.69,15.84,17.09,18.28,20.19,22.12,22.78,22.28,21.66,20.69,18.5,15.31,12.19,9.66,7.09,3.78,1.38,0.06,-0.03,-0.56,-0.41,0.75,2.59,3.84,4.94,6.81,9.28,11.59,12.5,13.16,14.31,15.44,15.78,16.38,17.41,18.25,17.44,15.84,14.28,13.72,12.75,11.78,11.22,11.16,10.78,9.62,8.62,9.0,9.81,9.81,9.81,10.12,11.06,11.06,11.5,12.66,14.56,15.97,16.53,16.56,16.78,16.06,14.41,12.75,12.38,11.59,9.75,7.25,4.97,2.69,0.31,-1.25,-1.62,-0.62,0.31,1.0,1.47,2.38,2.88,2.5,1.88,2.5,3.84,5.19,6.19,8.12,10.59,12.12,12.81,13.62,14.91,15.62,14.81,13.88,13.97,13.91,12.88,12.5,13.41,15.09,16.19,17.25,18.84,20.81,21.47,21.69,22.0,22.88,23.12,21.88,20.25,19.47,18.94,17.84,16.81,17.0,17.25,16.84,15.72,15.06,15.31,15.34,14.56,13.97,14.25,14.25,12.91,11.34,10.31,9.94,9.12,8.69,9.38,10.44,10.25,9.09,7.78,7.88,8.62,9.59,11.62,14.88,17.47,18.75,19.34,20.69,22.75,23.81,24.53,26.5,28.72,29.5,29.25,28.41,27.0,24.41,20.47,16.69,14.56,12.78,10.97,9.12,8.31,8.0,7.09,6.78,7.66,9.88,12.19,13.94,15.47,16.91,17.66,17.16,16.09,15.84,15.59,14.59,12.97,12.31,12.41,12.28,11.72,12.03,13.03,13.53,13.28,13.28,14.88,16.12,16.5,16.19,16.81,16.84,15.97,14.53,13.91,13.47,12.25,10.53,9.41,9.75,10.34,10.91,11.5,12.88,13.5,13.09,11.88,10.94,10.62,10.31,9.5,9.81,11.47,13.16,14.41,16.41,19.16,21.12,21.53,21.38,21.22,20.09,18.16,15.66,14.12,13.19,12.25,11.16,11.06,11.84,11.97,11.75,11.5,12.12,12.59,12.12,12.03,13.38,15.62,17.94,19.62,22.09,24.12,24.72,23.53,22.44,21.88,20.66,19.0,17.84,17.72,17.22,15.78,14.25,13.5,13.16,12.44,11.59,11.97,13.44,15.0,16.0,17.78,19.72,20.56,20.09,19.22,19.06,19.28,18.69,17.69,17.5,17.06,16.19,14.59,14.19,14.19,14.16,12.56,11.22,10.81,10.31,9.47,9.69,11.88,14.34,16.06,17.22,18.88,19.97,20.28,19.34,18.41,17.28,15.06,11.88,9.03,7.62,6.75,5.5,4.69,5.31,6.16,6.31,6.03,6.97,7.56,7.78,7.62,8.0,8.72,9.56,9.59,9.75,10.47,29.47,29.19,29.5,30.31,31.34,32.97,34.69,36.88,38.31,38.94,39.38,39.38,38.72,37.84:-2.72,-4.28,-4.94,-5.56,-6.88,-8.62,-9.69,-10.53,-11.22,-12.31,-12.56,-11.66,-10.0,-9.09,-7.72,-5.38,-2.66,-1.0,0.62,2.44,3.94,4.72,4.38,4.31,4.69,4.66,3.44,2.31,1.78,1.5,0.0,-1.34,-2.16,-3.0,-4.78,-6.41,-7.06,-6.59,-6.03,-5.41,-4.09,-1.53,0.56,1.47,1.91,2.59,3.25,2.56,2.59,4.0,6.34,7.81,9.06,10.47,11.06,10.47,8.12,5.97,4.62,4.0,3.09,2.69,2.91,3.06,1.72,0.59,-0.38,-0.69,-1.78,-2.94,-3.66,-3.66,-3.41,-3.41,-3.31,-2.53,-1.72,-2.03,-2.66,-2.03,-0.94,-0.72,-0.78,-0.5,-0.12,-0.69,-2.47,-4.03,-5.12,-6.44,-8.47,-10.34,-10.88,-11.09,-12.31,-13.12,-12.78,-11.97,-11.91,-11.47,-10.78,-9.31,-8.66,-8.25,-7.81,-7.0,-6.53,-7.19,-7.94,-8.16,-8.41,-9.53,-11.28,-12.0,-12.16,-13.12,-13.88,-14.41,-13.62,-13.09,-13.31,-13.38,-12.91,-12.5,-12.97,-13.06,-12.19,-10.81,-10.56,-11.34,-11.84,-12.31,-13.5,-14.5,-14.88,-13.81,-12.53,-12.06,-10.97,-9.22,-7.56,-6.44,-5.41,-3.41,-1.25,-0.03,0.44,0.88,1.78,1.88,1.38,1.0,1.41,1.66,1.41,0.41,-0.22,-0.88,-2.69,-5.22,-6.22,-6.44,-7.0,-7.94,-7.91,-6.97,-6.25,-6.06,-5.38,-3.66,-2.25,-1.66,-1.81,-1.5,-1.97,-3.75,-6.0,-7.47,-8.06,-8.88,-10.06,-9.75,-8.28,-6.72,-5.66,-5.06,-4.12,-4.09,-5.03,-5.94,-5.22,-3.5,-2.12,-0.88,0.72,3.12,4.12,3.88,3.38,3.09,2.19,0.62,-0.88,-0.94,-0.97,-1.94,-3.09,-3.53,-3.41,-4.31,-5.12,-4.78,-3.66,-2.5,-1.62,-0.62,1.56,3.25,3.75,3.47,3.78,3.53,2.34,0.69,0.66,1.69,2.88,4.22,6.16,8.66,10.72,11.12,11.66,12.88,13.28,12.31,10.09,8.09,5.78,2.16,-1.5,-3.44,-4.16,-4.56,-4.41,-3.34,-1.5,-0.72,-1.12,-2.03,-2.41,-1.88,-1.44,-0.72,1.25,2.69,2.72,1.5,0.47,-0.28,-1.0,-2.09,-2.38,-1.28,0.06,0.72,1.59,3.75,6.19,7.84,8.78,10.31,10.62,9.34,6.5,3.03,-0.03,-3.19,-7.03,-10.31,-12.56,-14.56,-17.09,-18.81,-18.88,-17.88,-16.88,-15.28,-12.16,-7.88,-3.47,0.69,6.0,11.0,14.81,16.94,17.78,18.62,18.44,17.5,16.47,16.41,16.41,16.0,14.81,14.12,13.44,12.56,11.0,10.53,11.09,11.66,12.16,13.28,15.78,18.59,20.56,22.06,23.88,25.22,25.25,24.09,23.12,22.06,20.44,17.75,15.62,14.31,12.69,9.66,6.44,3.72,1.03,-2.22,-5.09,-6.19,-6.47,-6.28,-6.09,-4.22,-0.72,3.28,6.56,10.09,14.09,16.91,18.56,19.56,20.56,21.16,20.38,18.22,16.38,14.62,11.94,8.25,5.28,2.66,0.53,-2.09,-3.62,-3.12,-1.28,0.47,2.34,5.19,8.03,10.12,11.47,13.94,16.91,19.56,21.03,22.25,23.16,22.91,20.09,16.94,14.03,11.16,7.56,4.5,2.66,1.09,-0.72,-3.31,-4.34,-3.88,-2.81,-1.81,-0.19,1.66,2.62,2.06,1.19,1.0,1.44,1.53,1.62,2.47,3.78,4.91,5.5,6.75,9.03,11.22,12.12,12.59,13.28,13.62,12.56,11.34,10.84,10.5,8.91,6.59,4.59,2.72,0.69,-1.31,-2.06,-1.78,-1.09,-1.16,-1.03,-0.31,1.22,2.25,3.72,6.09,8.84,11.16,12.12,12.84,13.19,12.84,11.03,9.47,9.03,9.31,9.0,8.88,9.38,9.66,8.97,7.72,7.16,7.25,7.0,6.53,7.16,8.5,10.03,10.28,10.03,10.34,10.06,8.41,7.78,8.12,9.28,10.28,10.94,11.97,13.22,13.5,12.88,12.47,12.72,12.88,12.0,11.66,11.62,11.69,10.56,8.97,8.38,8.0,7.75,7.53,8.31,10.03,11.06,11.88,13.44,16.09,18.91,20.59,21.5,22.12,22.25,21.06,18.97,17.34,15.88,13.56,10.78,8.94,8.19,7.41,6.19,5.06,4.75,4.69,4.16,3.97,4.66,5.69,6.25,6.12,6.44,7.31,7.91,8.34,9.41,11.81,13.78,14.91,15.28,15.44,14.97,13.06,11.0,9.47,8.78,8.09,7.56,7.84,9.84,11.09,12.09,12.62,13.47,13.31,11.94,10.19,8.88,8.38,7.19,6.38,6.38,6.81,7.03,6.88,7.38,8.56,9.69,9.97,10.41,11.53,12.75,12.88,12.41,11.97,11.22,9.41,7.41,5.84,5.34,4.66,3.69,3.12,3.59,4.09,4.06,4.09,4.84,6.06,7.12,8.31,10.5,13.06,14.34,14.75,14.91,15.69,16.31,16.38,16.66,17.69,18.16,17.22,15.84,15.03,14.19,13.19,12.5,12.22,12.28,11.62,10.22,8.69,7.91,6.97,5.56,4.06,3.5,3.19,2.59,1.94,2.44,3.09,3.38,3.25,3.72,4.97,6.0,6.5,7.12,8.66,9.72,9.44,8.62,8.19,7.09,5.66,4.53,4.28,4.91,5.59,6.0,6.78,8.44,9.88,10.59,11.16,12.06,12.28,11.72,10.78,10.97,11.62,11.56,11.31,10.88,10.44,9.22,7.22,5.56,4.56,3.56,2.44,1.44,2.06,2.88,2.66,1.81,1.44,1.09,0.62,0.25,0.94,2.5,3.69,3.81,3.69,4.0,3.56,2.28,1.19,1.25,2.56,4.34,6.41,10.06,13.66,16.69,18.47,19.78,20.75,20.84,19.22,17.31,15.94,14.03,11.97,10.16,9.5,9.56,9.62,10.0,11.22,13.38,14.84,15.16,15.06,14.84,14.09,12.06,9.84,8.62,7.41,6.28,5.62,6.84,9.47,12.44,15.19,19.03,23.22,26.75,29.19,30.72,32.25,32.69,31.66,30.38,29.78,29.41,28.56,27.03,25.78,23.75,20.88,17.16,13.47,10.97,9.34,8.34,8.84,11.06,14.72,17.22,19.38,21.56,22.53,22.03,20.47,19.16,18.59,17.97,16.56,15.84,15.47,14.94,13.03,11.56,10.12,9.28,7.97,6.66,6.56,7.28,7.62,7.41,7.41,7.22,6.38,4.44,2.31,1.38,0.66,-0.56,-1.44,-1.09,0.22,1.28,3.16,6.44,10.88,15.0,18.38,21.22,23.28,24.22,23.09,21.91,20.91,19.72,17.56,15.62,14.16,13.62,13.06,12.41,13.09,14.66,16.03,16.31,16.84,17.0,16.69,14.94,13.12,12.19,11.84,11.44,11.59,12.94,15.34,16.53,16.91,16.81,16.19,15.12,13.03,11.66,11.88,13.19,14.06,15.09,16.28,16.41,14.56,12.0,9.72,8.0,6.97,6.0,6.28,7.69,9.44,10.5,11.72,13.69,15.84,17.09,18.28,20.19,22.12,22.78,22.28,21.66,20.69,18.5,15.31,12.19,9.66,7.09,3.78,1.38,0.06,-0.03,-0.56,-0.41,0.75,2.59,3.84,4.94,6.81,9.28,11.59,12.5,13.16,14.31,15.44,15.78,16.38,17.41,18.25,17.44,15.84,14.28,13.72,12.75,11.78,11.22,11.16,10.78,9.62,8.62,9.0,9.81,9.81,9.81,10.12,11.06,11.06,11.5,12.66,14.56,15.97,16.53,16.56,16.78,16.06,14.41,12.75,12.38,11.59,9.75,7.25,4.97,2.69,0.31,-1.25,-1.62,-0.62,0.31,1.0,1.47,2.38,2.88,2.5,1.88,2.5,3.84,5.19,6.19,8.12,10.59,12.12,12.81,13.62,14.91,15.62,14.81,13.88,13.97,13.91,12.88,12.5,13.41,15.09,16.19,17.25,18.84,20.81,21.47,21.69,22.0,22.88,23.12,21.88,20.25,19.47,18.94,17.84,16.81,17.0,17.25,16.84,15.72,15.06,15.31,15.34,14.56,13.97,14.25,14.25,12.91,11.34,10.31,9.94,9.12,8.69,9.38,10.44,10.25,9.09,7.78,7.88,8.62,9.59,11.62,14.88,17.47,18.75,19.34,20.69,22.75,23.81,24.53,26.5,28.72,29.5,29.25,28.41,27.0,24.41,20.47,16.69,14.56,12.78,10.97,9.12,8.31,8.0,7.09,6.78,7.66,9.88,12.19,13.94,15.47,16.91,17.66,17.16,16.09,15.84,15.59,14.59,12.97,12.31,12.41,12.28,11.72,12.03,13.03,13.53,13.28,13.28,14.88,16.12,16.5,16.19,16.81,16.84,15.97,14.53,13.91,13.47,12.25,10.53,9.41,9.75,10.34,10.91,11.5,12.88,13.5,13.09,11.88,10.94,10.62,10.31,9.5,9.81,11.47,13.16,14.41,16.41,19.16,21.12,21.53,21.38,21.22,20.09,18.16,15.66,14.12,13.19,12.25,11.16,11.06,11.84,11.97,11.75,11.5,12.12,12.59,12.12,12.03,13.38,15.62,17.94,19.62,22.09,24.12,24.72,23.53,22.44,21.88,20.66,19.0,17.84,17.72,17.22,15.78,14.25,13.5,13.16,12.44,11.59,11.97,13.44,15.0,16.0,17.78,19.72,20.56,20.09,19.22,19.06,19.28,18.69,17.69,17.5,17.06,16.19,14.59,14.19,14.19,14.16,12.56,11.22,10.81,10.31,9.47,9.69,11.88,14.34,16.06,17.22,18.88,19.97,20.28,19.34,18.41,17.28,15.06,11.88,9.03,7.62,6.75,5.5,4.69,5.31,6.16,6.31,6.03,6.97,7.56,7.78,7.62,8.0,8.72,9.56,9.59,9.75,10.47,29.47,29.19,29.5,30.31,31.34,32.97,34.69,36.88,38.31,38.94,39.38,39.38,38.72,37.84,37.31,36.62,35.59,34.69,33.88,33.03,32.59:-10.53,-11.22,-12.31,-12.56,-11.66,-10.0,-9.09,-7.72,-5.38,-2.66,-1.0,0.62,2.44,3.94,4.72,4.38,4.31,4.69,4.66,3.44,2.31,1.78,1.5,0.0,-1.34,-2.16,-3.0,-4.78,-6.41,-7.06,-6.59,-6.03,-5.41,-4.09,-1.53,0.56,1.47,1.91,2.59,3.25,2.56,2.59,4.0,6.34,7.81,9.06,10.47,11.06,10.47,8.12,5.97,4.62,4.0,3.09,2.69,2.91,3.06,1.72,0.59,-0.38,-0.69,-1.78,-2.94,-3.66,-3.66,-3.41,-3.41,-3.31,-2.53,-1.72,-2.03,-2.66,-2.03,-0.94,-0.72,-0.78,-0.5,-0.12,-0.69,-2.47,-4.03,-5.12,-6.44,-8.47,-10.34,-10.88,-11.09,-12.31,-13.12,-12.78,-11.97,-11.91,-11.47,-10.78,-9.31,-8.66,-8.25,-7.81,-7.0,-6.53,-7.19,-7.94,-8.16,-8.41,-9.53,-11.28,-12.0,-12.16,-13.12,-13.88,-14.41,-13.62,-13.09,-13.31,-13.38,-12.91,-12.5,-12.97,-13.06,-12.19,-10.81,-10.56,-11.34,-11.84,-12.31,-13.5,-14.5,-14.88,-13.81,-12.53,-12.06,-10.97,-9.22,-7.56,-6.44,-5.41,-3.41,-1.25,-0.03,0.44,0.88,1.78,1.88,1.38,1.0,1.41,1.66,1.41,0.41,-0.22,-0.88,-2.69,-5.22,-6.22,-6.44,-7.0,-7.94,-7.91,-6.97,-6.25,-6.06,-5.38,-3.66,-2.25,-1.66,-1.81,-1.5,-1.97,-3.75,-6.0,-7.47,-8.06,-8.88,-10.06,-9.75,-8.28,-6.72,-5.66,-5.06,-4.12,-4.09,-5.03,-5.94,-5.22,-3.5,-2.12,-0.88,0.72,3.12,4.12,3.88,3.38,3.09,2.19,0.62,-0.88,-0.94,-0.97,-1.94,-3.09,-3.53,-3.41,-4.31,-5.12,-4.78,-3.66,-2.5,-1.62,-0.62,1.56,3.25,3.75,3.47,3.78,3.53,2.34,0.69,0.66,1.69,2.88,4.22,6.16,8.66,10.72,11.12,11.66,12.88,13.28,12.31,10.09,8.09,5.78,2.16,-1.5,-3.44,-4.16,-4.56,-4.41,-3.34,-1.5,-0.72,-1.12,-2.03,-2.41,-1.88,-1.44,-0.72,1.25,2.69,2.72,1.5,0.47,-0.28,-1.0,-2.09,-2.38,-1.28,0.06,0.72,1.59,3.75,6.19,7.84,8.78,10.31,10.62,9.34,6.5,3.03,-0.03,-3.19,-7.03,-10.31,-12.56,-14.56,-17.09,-18.81,-18.88,-17.88,-16.88,-15.28,-12.16,-7.88,-3.47,0.69,6.0,11.0,14.81,16.94,17.78,18.62,18.44,17.5,16.47,16.41,16.41,16.0,14.81,14.12,13.44,12.56,11.0,10.53,11.09,11.66,12.16,13.28,15.78,18.59,20.56,22.06,23.88,25.22,25.25,24.09,23.12,22.06,20.44,17.75,15.62,14.31,12.69,9.66,6.44,3.72,1.03,-2.22,-5.09,-6.19,-6.47,-6.28,-6.09,-4.22,-0.72,3.28,6.56,10.09,14.09,16.91,18.56,19.56,20.56,21.16,20.38,18.22,16.38,14.62,11.94,8.25,5.28,2.66,0.53,-2.09,-3.62,-3.12,-1.28,0.47,2.34,5.19,8.03,10.12,11.47,13.94,16.91,19.56,21.03,22.25,23.16,22.91,20.09,16.94,14.03,11.16,7.56,4.5,2.66,1.09,-0.72,-3.31,-4.34,-3.88,-2.81,-1.81,-0.19,1.66,2.62,2.06,1.19,1.0,1.44,1.53,1.62,2.47,3.78,4.91,5.5,6.75,9.03,11.22,12.12,12.59,13.28,13.62,12.56,11.34,10.84,10.5,8.91,6.59,4.59,2.72,0.69,-1.31,-2.06,-1.78,-1.09,-1.16,-1.03,-0.31,1.22,2.25,3.72,6.09,8.84,11.16,12.12,12.84,13.19,12.84,11.03,9.47,9.03,9.31,9.0,8.88,9.38,9.66,8.97,7.72,7.16,7.25,7.0,6.53,7.16,8.5,10.03,10.28,10.03,10.34,10.06,8.41,7.78,8.12,9.28,10.28,10.94,11.97,13.22,13.5,12.88,12.47,12.72,12.88,12.0,11.66,11.62,11.69,10.56,8.97,8.38,8.0,7.75,7.53,8.31,10.03,11.06,11.88,13.44,16.09,18.91,20.59,21.5,22.12,22.25,21.06,18.97,17.34,15.88,13.56,10.78,8.94,8.19,7.41,6.19,5.06,4.75,4.69,4.16,3.97,4.66,5.69,6.25,6.12,6.44,7.31,7.91,8.34,9.41,11.81,13.78,14.91,15.28,15.44,14.97,13.06,11.0,9.47,8.78,8.09,7.56,7.84,9.84,11.09,12.09,12.62,13.47,13.31,11.94,10.19,8.88,8.38,7.19,6.38,6.38,6.81,7.03,6.88,7.38,8.56,9.69,9.97,10.41,11.53,12.75,12.88,12.41,11.97,11.22,9.41,7.41,5.84,5.34,4.66,3.69,3.12,3.59,4.09,4.06,4.09,4.84,6.06,7.12,8.31,10.5,13.06,14.34,14.75,14.91,15.69,16.31,16.38,16.66,17.69,18.16,17.22,15.84,15.03,14.19,13.19,12.5,12.22,12.28,11.62,10.22,8.69,7.91,6.97,5.56,4.06,3.5,3.19,2.59,1.94,2.44,3.09,3.38,3.25,3.72,4.97,6.0,6.5,7.12,8.66,9.72,9.44,8.62,8.19,7.09,5.66,4.53,4.28,4.91,5.59,6.0,6.78,8.44,9.88,10.59,11.16,12.06,12.28,11.72,10.78,10.97,11.62,11.56,11.31,10.88,10.44,9.22,7.22,5.56,4.56,3.56,2.44,1.44,2.06,2.88,2.66,1.81,1.44,1.09,0.62,0.25,0.94,2.5,3.69,3.81,3.69,4.0,3.56,2.28,1.19,1.25,2.56,4.34,6.41,10.06,13.66,16.69,18.47,19.78,20.75,20.84,19.22,17.31,15.94,14.03,11.97,10.16,9.5,9.56,9.62,10.0,11.22,13.38,14.84,15.16,15.06,14.84,14.09,12.06,9.84,8.62,7.41,6.28,5.62,6.84,9.47,12.44,15.19,19.03,23.22,26.75,29.19,30.72,32.25,32.69,31.66,30.38,29.78,29.41,28.56,27.03,25.78,23.75,20.88,17.16,13.47,10.97,9.34,8.34,8.84,11.06,14.72,17.22,19.38,21.56,22.53,22.03,20.47,19.16,18.59,17.97,16.56,15.84,15.47,14.94,13.03,11.56,10.12,9.28,7.97,6.66,6.56,7.28,7.62,7.41,7.41,7.22,6.38,4.44,2.31,1.38,0.66,-0.56,-1.44,-1.09,0.22,1.28,3.16,6.44,10.88,15.0,18.38,21.22,23.28,24.22,23.09,21.91,20.91,19.72,17.56,15.62,14.16,13.62,13.06,12.41,13.09,14.66,16.03,16.31,16.84,17.0,16.69,14.94,13.12,12.19,11.84,11.44,11.59,12.94,15.34,16.53,16.91,16.81,16.19,15.12,13.03,11.66,11.88,13.19,14.06,15.09,16.28,16.41,14.56,12.0,9.72,8.0,6.97,6.0,6.28,7.69,9.44,10.5,11.72,13.69,15.84,17.09,18.28,20.19,22.12,22.78,22.28,21.66,20.69,18.5,15.31,12.19,9.66,7.09,3.78,1.38,0.06,-0.03,-0.56,-0.41,0.75,2.59,3.84,4.94,6.81,9.28,11.59,12.5,13.16,14.31,15.44,15.78,16.38,17.41,18.25,17.44,15.84,14.28,13.72,12.75,11.78,11.22,11.16,10.78,9.62,8.62,9.0,9.81,9.81,9.81,10.12,11.06,11.06,11.5,12.66,14.56,15.97,16.53,16.56,16.78,16.06,14.41,12.75,12.38,11.59,9.75,7.25,4.97,2.69,0.31,-1.25,-1.62,-0.62,0.31,1.0,1.47,2.38,2.88,2.5,1.88,2.5,3.84,5.19,6.19,8.12,10.59,12.12,12.81,13.62,14.91,15.62,14.81,13.88,13.97,13.91,12.88,12.5,13.41,15.09,16.19,17.25,18.84,20.81,21.47,21.69,22.0,22.88,23.12,21.88,20.25,19.47,18.94,17.84,16.81,17.0,17.25,16.84,15.72,15.06,15.31,15.34,14.56,13.97,14.25,14.25,12.91,11.34,10.31,9.94,9.12,8.69,9.38,10.44,10.25,9.09,7.78,7.88,8.62,9.59,11.62,14.88,17.47,18.75,19.34,20.69,22.75,23.81,24.53,26.5,28.72,29.5,29.25,28.41,27.0,24.41,20.47,16.69,14.56,12.78,10.97,9.12,8.31,8.0,7.09,6.78,7.66,9.88,12.19,13.94,15.47,16.91,17.66,17.16,16.09,15.84,15.59,14.59,12.97,12.31,12.41,12.28,11.72,12.03,13.03,13.53,13.28,13.28,14.88,16.12,16.5,16.19,16.81,16.84,15.97,14.53,13.91,13.47,12.25,10.53,9.41,9.75,10.34,10.91,11.5,12.88,13.5,13.09,11.88,10.94,10.62,10.31,9.5,9.81,11.47,13.16,14.41,16.41,19.16,21.12,21.53,21.38,21.22,20.09,18.16,15.66,14.12,13.19,12.25,11.16,11.06,11.84,11.97,11.75,11.5,12.12,12.59,12.12,12.03,13.38,15.62,17.94,19.62,22.09,24.12,24.72,23.53,22.44,21.88,20.66,19.0,17.84,17.72,17.22,15.78,14.25,13.5,13.16,12.44,11.59,11.97,13.44,15.0,16.0,17.78,19.72,20.56,20.09,19.22,19.06,19.28,18.69,17.69,17.5,17.06,16.19,14.59,14.19,14.19,14.16,12.56,11.22,10.81,10.31,9.47,9.69,11.88,14.34,16.06,17.22,18.88,19.97,20.28,19.34,18.41,17.28,15.06,11.88,9.03,7.62,6.75,5.5,4.69,5.31,6.16,6.31,6.03,6.97,7.56,7.78,7.62,8.0,8.72,9.56,9.59,9.75,10.47,29.47,29.19,29.5,30.31,31.34,32.97,34.69,36.88,38.31,38.94,39.38,39.38,38.72,37.84,37.31,36.62,35.59,34.69,33.88,33.03,32.59,32.41,32.03,31.97,32.28,32.78,33.47,34.31:-7.72,-5.38,-2.66,-1.0,0.62,2.44,3.94,4.72,4.38,4.31,4.69,4.66,3.44,2.31,1.78,1.5,0.0,-1.34,-2.16,-3.0,-4.78,-6.41,-7.06,-6.59,-6.03,-5.41,-4.09,-1.53,0.56,1.47,1.91,2.59,3.25,2.56,2.59,4.0,6.34,7.81,9.06,10.47,11.06,10.47,8.12,5.97,4.62,4.0,3.09,2.69,2.91,3.06,1.72,0.59,-0.38,-0.69,-1.78,-2.94,-3.66,-3.66,-3.41,-3.41,-3.31,-2.53,-1.72,-2.03,-2.66,-2.03,-0.94,-0.72,-0.78,-0.5,-0.12,-0.69,-2.47,-4.03,-5.12,-6.44,-8.47,-10.34,-10.88,-11.09,-12.31,-13.12,-12.78,-11.97,-11.91,-11.47,-10.78,-9.31,-8.66,-8.25,-7.81,-7.0,-6.53,-7.19,-7.94,-8.16,-8.41,-9.53,-11.28,-12.0,-12.16,-13.12,-13.88,-14.41,-13.62,-13.09,-13.31,-13.38,-12.91,-12.5,-12.97,-13.06,-12.19,-10.81,-10.56,-11.34,-11.84,-12.31,-13.5,-14.5,-14.88,-13.81,-12.53,-12.06,-10.97,-9.22,-7.56,-6.44,-5.41,-3.41,-1.25,-0.03,0.44,0.88,1.78,1.88,1.38,1.0,1.41,1.66,1.41,0.41,-0.22,-0.88,-2.69,-5.22,-6.22,-6.44,-7.0,-7.94,-7.91,-6.97,-6.25,-6.06,-5.38,-3.66,-2.25,-1.66,-1.81,-1.5,-1.97,-3.75,-6.0,-7.47,-8.06,-8.88,-10.06,-9.75,-8.28,-6.72,-5.66,-5.06,-4.12,-4.09,-5.03,-5.94,-5.22,-3.5,-2.12,-0.88,0.72,3.12,4.12,3.88,3.38,3.09,2.19,0.62,-0.88,-0.94,-0.97,-1.94,-3.09,-3.53,-3.41,-4.31,-5.12,-4.78,-3.66,-2.5,-1.62,-0.62,1.56,3.25,3.75,3.47,3.78,3.53,2.34,0.69,0.66,1.69,2.88,4.22,6.16,8.66,10.72,11.12,11.66,12.88,13.28,12.31,10.09,8.09,5.78,2.16,-1.5,-3.44,-4.16,-4.56,-4.41,-3.34,-1.5,-0.72,-1.12,-2.03,-2.41,-1.88,-1.44,-0.72,1.25,2.69,2.72,1.5,0.47,-0.28,-1.0,-2.09,-2.38,-1.28,0.06,0.72,1.59,3.75,6.19,7.84,8.78,10.31,10.62,9.34,6.5,3.03,-0.03,-3.19,-7.03,-10.31,-12.56,-14.56,-17.09,-18.81,-18.88,-17.88,-16.88,-15.28,-12.16,-7.88,-3.47,0.69,6.0,11.0,14.81,16.94,17.78,18.62,18.44,17.5,16.47,16.41,16.41,16.0,14.81,14.12,13.44,12.56,11.0,10.53,11.09,11.66,12.16,13.28,15.78,18.59,20.56,22.06,23.88,25.22,25.25,24.09,23.12,22.06,20.44,17.75,15.62,14.31,12.69,9.66,6.44,3.72,1.03,-2.22,-5.09,-6.19,-6.47,-6.28,-6.09,-4.22,-0.72,3.28,6.56,10.09,14.09,16.91,18.56,19.56,20.56,21.16,20.38,18.22,16.38,14.62,11.94,8.25,5.28,2.66,0.53,-2.09,-3.62,-3.12,-1.28,0.47,2.34,5.19,8.03,10.12,11.47,13.94,16.91,19.56,21.03,22.25,23.16,22.91,20.09,16.94,14.03,11.16,7.56,4.5,2.66,1.09,-0.72,-3.31,-4.34,-3.88,-2.81,-1.81,-0.19,1.66,2.62,2.06,1.19,1.0,1.44,1.53,1.62,2.47,3.78,4.91,5.5,6.75,9.03,11.22,12.12,12.59,13.28,13.62,12.56,11.34,10.84,10.5,8.91,6.59,4.59,2.72,0.69,-1.31,-2.06,-1.78,-1.09,-1.16,-1.03,-0.31,1.22,2.25,3.72,6.09,8.84,11.16,12.12,12.84,13.19,12.84,11.03,9.47,9.03,9.31,9.0,8.88,9.38,9.66,8.97,7.72,7.16,7.25,7.0,6.53,7.16,8.5,10.03,10.28,10.03,10.34,10.06,8.41,7.78,8.12,9.28,10.28,10.94,11.97,13.22,13.5,12.88,12.47,12.72,12.88,12.0,11.66,11.62,11.69,10.56,8.97,8.38,8.0,7.75,7.53,8.31,10.03,11.06,11.88,13.44,16.09,18.91,20.59,21.5,22.12,22.25,21.06,18.97,17.34,15.88,13.56,10.78,8.94,8.19,7.41,6.19,5.06,4.75,4.69,4.16,3.97,4.66,5.69,6.25,6.12,6.44,7.31,7.91,8.34,9.41,11.81,13.78,14.91,15.28,15.44,14.97,13.06,11.0,9.47,8.78,8.09,7.56,7.84,9.84,11.09,12.09,12.62,13.47,13.31,11.94,10.19,8.88,8.38,7.19,6.38,6.38,6.81,7.03,6.88,7.38,8.56,9.69,9.97,10.41,11.53,12.75,12.88,12.41,11.97,11.22,9.41,7.41,5.84,5.34,4.66,3.69,3.12,3.59,4.09,4.06,4.09,4.84,6.06,7.12,8.31,10.5,13.06,14.34,14.75,14.91,15.69,16.31,16.38,16.66,17.69,18.16,17.22,15.84,15.03,14.19,13.19,12.5,12.22,12.28,11.62,10.22,8.69,7.91,6.97,5.56,4.06,3.5,3.19,2.59,1.94,2.44,3.09,3.38,3.25,3.72,4.97,6.0,6.5,7.12,8.66,9.72,9.44,8.62,8.19,7.09,5.66,4.53,4.28,4.91,5.59,6.0,6.78,8.44,9.88,10.59,11.16,12.06,12.28,11.72,10.78,10.97,11.62,11.56,11.31,10.88,10.44,9.22,7.22,5.56,4.56,3.56,2.44,1.44,2.06,2.88,2.66,1.81,1.44,1.09,0.62,0.25,0.94,2.5,3.69,3.81,3.69,4.0,3.56,2.28,1.19,1.25,2.56,4.34,6.41,10.06,13.66,16.69,18.47,19.78,20.75,20.84,19.22,17.31,15.94,14.03,11.97,10.16,9.5,9.56,9.62,10.0,11.22,13.38,14.84,15.16,15.06,14.84,14.09,12.06,9.84,8.62,7.41,6.28,5.62,6.84,9.47,12.44,15.19,19.03,23.22,26.75,29.19,30.72,32.25,32.69,31.66,30.38,29.78,29.41,28.56,27.03,25.78,23.75,20.88,17.16,13.47,10.97,9.34,8.34,8.84,11.06,14.72,17.22,19.38,21.56,22.53,22.03,20.47,19.16,18.59,17.97,16.56,15.84,15.47,14.94,13.03,11.56,10.12,9.28,7.97,6.66,6.56,7.28,7.62,7.41,7.41,7.22,6.38,4.44,2.31,1.38,0.66,-0.56,-1.44,-1.09,0.22,1.28,3.16,6.44,10.88,15.0,18.38,21.22,23.28,24.22,23.09,21.91,20.91,19.72,17.56,15.62,14.16,13.62,13.06,12.41,13.09,14.66,16.03,16.31,16.84,17.0,16.69,14.94,13.12,12.19,11.84,11.44,11.59,12.94,15.34,16.53,16.91,16.81,16.19,15.12,13.03,11.66,11.88,13.19,14.06,15.09,16.28,16.41,14.56,12.0,9.72,8.0,6.97,6.0,6.28,7.69,9.44,10.5,11.72,13.69,15.84,17.09,18.28,20.19,22.12,22.78,22.28,21.66,20.69,18.5,15.31,12.19,9.66,7.09,3.78,1.38,0.06,-0.03,-0.56,-0.41,0.75,2.59,3.84,4.94,6.81,9.28,11.59,12.5,13.16,14.31,15.44,15.78,16.38,17.41,18.25,17.44,15.84,14.28,13.72,12.75,11.78,11.22,11.16,10.78,9.62,8.62,9.0,9.81,9.81,9.81,10.12,11.06,11.06,11.5,12.66,14.56,15.97,16.53,16.56,16.78,16.06,14.41,12.75,12.38,11.59,9.75,7.25,4.97,2.69,0.31,-1.25,-1.62,-0.62,0.31,1.0,1.47,2.38,2.88,2.5,1.88,2.5,3.84,5.19,6.19,8.12,10.59,12.12,12.81,13.62,14.91,15.62,14.81,13.88,13.97,13.91,12.88,12.5,13.41,15.09,16.19,17.25,18.84,20.81,21.47,21.69,22.0,22.88,23.12,21.88,20.25,19.47,18.94,17.84,16.81,17.0,17.25,16.84,15.72,15.06,15.31,15.34,14.56,13.97,14.25,14.25,12.91,11.34,10.31,9.94,9.12,8.69,9.38,10.44,10.25,9.09,7.78,7.88,8.62,9.59,11.62,14.88,17.47,18.75,19.34,20.69,22.75,23.81,24.53,26.5,28.72,29.5,29.25,28.41,27.0,24.41,20.47,16.69,14.56,12.78,10.97,9.12,8.31,8.0,7.09,6.78,7.66,9.88,12.19,13.94,15.47,16.91,17.66,17.16,16.09,15.84,15.59,14.59,12.97,12.31,12.41,12.28,11.72,12.03,13.03,13.53,13.28,13.28,14.88,16.12,16.5,16.19,16.81,16.84,15.97,14.53,13.91,13.47,12.25,10.53,9.41,9.75,10.34,10.91,11.5,12.88,13.5,13.09,11.88,10.94,10.62,10.31,9.5,9.81,11.47,13.16,14.41,16.41,19.16,21.12,21.53,21.38,21.22,20.09,18.16,15.66,14.12,13.19,12.25,11.16,11.06,11.84,11.97,11.75,11.5,12.12,12.59,12.12,12.03,13.38,15.62,17.94,19.62,22.09,24.12,24.72,23.53,22.44,21.88,20.66,19.0,17.84,17.72,17.22,15.78,14.25,13.5,13.16,12.44,11.59,11.97,13.44,15.0,16.0,17.78,19.72,20.56,20.09,19.22,19.06,19.28,18.69,17.69,17.5,17.06,16.19,14.59,14.19,14.19,14.16,12.56,11.22,10.81,10.31,9.47,9.69,11.88,14.34,16.06,17.22,18.88,19.97,20.28,19.34,18.41,17.28,15.06,11.88,9.03,7.62,6.75,5.5,4.69,5.31,6.16,6.31,6.03,6.97,7.56,7.78,7.62,8.0,8.72,9.56,9.59,9.75,10.47,29.47,29.19,29.5,30.31,31.34,32.97,34.69,36.88,38.31,38.94,39.38,39.38,38.72,37.84,37.31,36.62,35.59,34.69,33.88,33.03,32.59,32.41,32.03,31.97,32.28,32.78,33.47,34.31,35.0,35.56,35.62,35.09,34.66,34.69,34.5:4.72,4.38,4.31,4.69,4.66,3.44,2.31,1.78,1.5,0.0,-1.34,-2.16,-3.0,-4.78,-6.41,-7.06,-6.59,-6.03,-5.41,-4.09,-1.53,0.56,1.47,1.91,2.59,3.25,2.56,2.59,4.0,6.34,7.81,9.06,10.47,11.06,10.47,8.12,5.97,4.62,4.0,3.09,2.69,2.91,3.06,1.72,0.59,-0.38,-0.69,-1.78,-2.94,-3.66,-3.66,-3.41,-3.41,-3.31,-2.53,-1.72,-2.03,-2.66,-2.03,-0.94,-0.72,-0.78,-0.5,-0.12,-0.69,-2.47,-4.03,-5.12,-6.44,-8.47,-10.34,-10.88,-11.09,-12.31,-13.12,-12.78,-11.97,-11.91,-11.47,-10.78,-9.31,-8.66,-8.25,-7.81,-7.0,-6.53,-7.19,-7.94,-8.16,-8.41,-9.53,-11.28,-12.0,-12.16,-13.12,-13.88,-14.41,-13.62,-13.09,-13.31,-13.38,-12.91,-12.5,-12.97,-13.06,-12.19,-10.81,-10.56,-11.34,-11.84,-12.31,-13.5,-14.5,-14.88,-13.81,-12.53,-12.06,-10.97,-9.22,-7.56,-6.44,-5.41,-3.41,-1.25,-0.03,0.44,0.88,1.78,1.88,1.38,1.0,1.41,1.66,1.41,0.41,-0.22,-0.88,-2.69,-5.22,-6.22,-6.44,-7.0,-7.94,-7.91,-6.97,-6.25,-6.06,-5.38,-3.66,-2.25,-1.66,-1.81,-1.5,-1.97,-3.75,-6.0,-7.47,-8.06,-8.88,-10.06,-9.75,-8.28,-6.72,-5.66,-5.06,-4.12,-4.09,-5.03,-5.94,-5.22,-3.5,-2.12,-0.88,0.72,3.12,4.12,3.88,3.38,3.09,2.19,0.62,-0.88,-0.94,-0.97,-1.94,-3.09,-3.53,-3.41,-4.31,-5.12,-4.78,-3.66,-2.5,-1.62,-0.62,1.56,3.25,3.75,3.47,3.78,3.53,2.34,0.69,0.66,1.69,2.88,4.22,6.16,8.66,10.72,11.12,11.66,12.88,13.28,12.31,10.09,8.09,5.78,2.16,-1.5,-3.44,-4.16,-4.56,-4.41,-3.34,-1.5,-0.72,-1.12,-2.03,-2.41,-1.88,-1.44,-0.72,1.25,2.69,2.72,1.5,0.47,-0.28,-1.0,-2.09,-2.38,-1.28,0.06,0.72,1.59,3.75,6.19,7.84,8.78,10.31,10.62,9.34,6.5,3.03,-0.03,-3.19,-7.03,-10.31,-12.56,-14.56,-17.09,-18.81,-18.88,-17.88,-16.88,-15.28,-12.16,-7.88,-3.47,0.69,6.0,11.0,14.81,16.94,17.78,18.62,18.44,17.5,16.47,16.41,16.41,16.0,14.81,14.12,13.44,12.56,11.0,10.53,11.09,11.66,12.16,13.28,15.78,18.59,20.56,22.06,23.88,25.22,25.25,24.09,23.12,22.06,20.44,17.75,15.62,14.31,12.69,9.66,6.44,3.72,1.03,-2.22,-5.09,-6.19,-6.47,-6.28,-6.09,-4.22,-0.72,3.28,6.56,10.09,14.09,16.91,18.56,19.56,20.56,21.16,20.38,18.22,16.38,14.62,11.94,8.25,5.28,2.66,0.53,-2.09,-3.62,-3.12,-1.28,0.47,2.34,5.19,8.03,10.12,11.47,13.94,16.91,19.56,21.03,22.25,23.16,22.91,20.09,16.94,14.03,11.16,7.56,4.5,2.66,1.09,-0.72,-3.31,-4.34,-3.88,-2.81,-1.81,-0.19,1.66,2.62,2.06,1.19,1.0,1.44,1.53,1.62,2.47,3.78,4.91,5.5,6.75,9.03,11.22,12.12,12.59,13.28,13.62,12.56,11.34,10.84,10.5,8.91,6.59,4.59,2.72,0.69,-1.31,-2.06,-1.78,-1.09,-1.16,-1.03,-0.31,1.22,2.25,3.72,6.09,8.84,11.16,12.12,12.84,13.19,12.84,11.03,9.47,9.03,9.31,9.0,8.88,9.38,9.66,8.97,7.72,7.16,7.25,7.0,6.53,7.16,8.5,10.03,10.28,10.03,10.34,10.06,8.41,7.78,8.12,9.28,10.28,10.94,11.97,13.22,13.5,12.88,12.47,12.72,12.88,12.0,11.66,11.62,11.69,10.56,8.97,8.38,8.0,7.75,7.53,8.31,10.03,11.06,11.88,13.44,16.09,18.91,20.59,21.5,22.12,22.25,21.06,18.97,17.34,15.88,13.56,10.78,8.94,8.19,7.41,6.19,5.06,4.75,4.69,4.16,3.97,4.66,5.69,6.25,6.12,6.44,7.31,7.91,8.34,9.41,11.81,13.78,14.91,15.28,15.44,14.97,13.06,11.0,9.47,8.78,8.09,7.56,7.84,9.84,11.09,12.09,12.62,13.47,13.31,11.94,10.19,8.88,8.38,7.19,6.38,6.38,6.81,7.03,6.88,7.38,8.56,9.69,9.97,10.41,11.53,12.75,12.88,12.41,11.97,11.22,9.41,7.41,5.84,5.34,4.66,3.69,3.12,3.59,4.09,4.06,4.09,4.84,6.06,7.12,8.31,10.5,13.06,14.34,14.75,14.91,15.69,16.31,16.38,16.66,17.69,18.16,17.22,15.84,15.03,14.19,13.19,12.5,12.22,12.28,11.62,10.22,8.69,7.91,6.97,5.56,4.06,3.5,3.19,2.59,1.94,2.44,3.09,3.38,3.25,3.72,4.97,6.0,6.5,7.12,8.66,9.72,9.44,8.62,8.19,7.09,5.66,4.53,4.28,4.91,5.59,6.0,6.78,8.44,9.88,10.59,11.16,12.06,12.28,11.72,10.78,10.97,11.62,11.56,11.31,10.88,10.44,9.22,7.22,5.56,4.56,3.56,2.44,1.44,2.06,2.88,2.66,1.81,1.44,1.09,0.62,0.25,0.94,2.5,3.69,3.81,3.69,4.0,3.56,2.28,1.19,1.25,2.56,4.34,6.41,10.06,13.66,16.69,18.47,19.78,20.75,20.84,19.22,17.31,15.94,14.03,11.97,10.16,9.5,9.56,9.62,10.0,11.22,13.38,14.84,15.16,15.06,14.84,14.09,12.06,9.84,8.62,7.41,6.28,5.62,6.84,9.47,12.44,15.19,19.03,23.22,26.75,29.19,30.72,32.25,32.69,31.66,30.38,29.78,29.41,28.56,27.03,25.78,23.75,20.88,17.16,13.47,10.97,9.34,8.34,8.84,11.06,14.72,17.22,19.38,21.56,22.53,22.03,20.47,19.16,18.59,17.97,16.56,15.84,15.47,14.94,13.03,11.56,10.12,9.28,7.97,6.66,6.56,7.28,7.62,7.41,7.41,7.22,6.38,4.44,2.31,1.38,0.66,-0.56,-1.44,-1.09,0.22,1.28,3.16,6.44,10.88,15.0,18.38,21.22,23.28,24.22,23.09,21.91,20.91,19.72,17.56,15.62,14.16,13.62,13.06,12.41,13.09,14.66,16.03,16.31,16.84,17.0,16.69,14.94,13.12,12.19,11.84,11.44,11.59,12.94,15.34,16.53,16.91,16.81,16.19,15.12,13.03,11.66,11.88,13.19,14.06,15.09,16.28,16.41,14.56,12.0,9.72,8.0,6.97,6.0,6.28,7.69,9.44,10.5,11.72,13.69,15.84,17.09,18.28,20.19,22.12,22.78,22.28,21.66,20.69,18.5,15.31,12.19,9.66,7.09,3.78,1.38,0.06,-0.03,-0.56,-0.41,0.75,2.59,3.84,4.94,6.81,9.28,11.59,12.5,13.16,14.31,15.44,15.78,16.38,17.41,18.25,17.44,15.84,14.28,13.72,12.75,11.78,11.22,11.16,10.78,9.62,8.62,9.0,9.81,9.81,9.81,10.12,11.06,11.06,11.5,12.66,14.56,15.97,16.53,16.56,16.78,16.06,14.41,12.75,12.38,11.59,9.75,7.25,4.97,2.69,0.31,-1.25,-1.62,-0.62,0.31,1.0,1.47,2.38,2.88,2.5,1.88,2.5,3.84,5.19,6.19,8.12,10.59,12.12,12.81,13.62,14.91,15.62,14.81,13.88,13.97,13.91,12.88,12.5,13.41,15.09,16.19,17.25,18.84,20.81,21.47,21.69,22.0,22.88,23.12,21.88,20.25,19.47,18.94,17.84,16.81,17.0,17.25,16.84,15.72,15.06,15.31,15.34,14.56,13.97,14.25,14.25,12.91,11.34,10.31,9.94,9.12,8.69,9.38,10.44,10.25,9.09,7.78,7.88,8.62,9.59,11.62,14.88,17.47,18.75,19.34,20.69,22.75,23.81,24.53,26.5,28.72,29.5,29.25,28.41,27.0,24.41,20.47,16.69,14.56,12.78,10.97,9.12,8.31,8.0,7.09,6.78,7.66,9.88,12.19,13.94,15.47,16.91,17.66,17.16,16.09,15.84,15.59,14.59,12.97,12.31,12.41,12.28,11.72,12.03,13.03,13.53,13.28,13.28,14.88,16.12,16.5,16.19,16.81,16.84,15.97,14.53,13.91,13.47,12.25,10.53,9.41,9.75,10.34,10.91,11.5,12.88,13.5,13.09,11.88,10.94,10.62,10.31,9.5,9.81,11.47,13.16,14.41,16.41,19.16,21.12,21.53,21.38,21.22,20.09,18.16,15.66,14.12,13.19,12.25,11.16,11.06,11.84,11.97,11.75,11.5,12.12,12.59,12.12,12.03,13.38,15.62,17.94,19.62,22.09,24.12,24.72,23.53,22.44,21.88,20.66,19.0,17.84,17.72,17.22,15.78,14.25,13.5,13.16,12.44,11.59,11.97,13.44,15.0,16.0,17.78,19.72,20.56,20.09,19.22,19.06,19.28,18.69,17.69,17.5,17.06,16.19,14.59,14.19,14.19,14.16,12.56,11.22,10.81,10.31,9.47,9.69,11.88,14.34,16.06,17.22,18.88,19.97,20.28,19.34,18.41,17.28,15.06,11.88,9.03,7.62,6.75,5.5,4.69,5.31,6.16,6.31,6.03,6.97,7.56,7.78,7.62,8.0,8.72,9.56,9.59,9.75,10.47,29.47,29.19,29.5,30.31,31.34,32.97,34.69,36.88,38.31,38.94,39.38,39.38,38.72,37.84,37.31,36.62,35.59,34.69,33.88,33.03,32.59,32.41,32.03,31.97,32.28,32.78,33.47,34.31,35.0,35.56,35.62,35.09,34.66,34.69,34.5,34.53,34.78,35.47,36.59,37.84,38.97,39.97:negativity
12.62,12.31,10.22,9.62,11.62,12.88,11.62,10.69,11.88,12.31,10.09,6.75,5.72,5.19,3.38,1.0,1.53,4.66,6.94,7.88,9.88,13.62,16.47,16.69,16.53,18.66,20.41,19.62,18.19,18.69,20.44,20.09,18.69,18.69,20.28,20.53,18.22,16.56,17.09,17.09,14.84,13.22,14.31,15.97,15.28,14.03,14.81,16.56,17.03,16.0,16.31,18.34,19.47,18.03,17.66,19.53,21.09,20.22,19.03,20.19,21.59,20.75,18.81,18.78,20.12,19.97,18.44,18.16,19.81,20.25,18.47,16.84,17.41,18.22,16.72,14.62,14.69,14.5,12.28,8.72,6.56,6.34,5.53,3.75,3.75,6.56,9.03,9.19,9.0,10.72,11.94,10.72,8.97,8.97,9.5,8.53,6.19,5.78,7.41,8.56,8.12,8.78,11.5,13.72,13.03,11.62,12.28,13.12,11.81,9.72,9.62,10.78,10.31,8.28,7.38,8.56,8.75,6.06,3.88,3.75,3.62,1.59,0.34,1.59,4.0,5.25,5.53,7.47,10.56,11.78,9.97,8.69,8.5,7.66,4.91,2.84,3.22,4.44,3.0,0.94,0.59,1.44,0.22,-2.0,-2.03,0.03,1.97,2.47,4.78,9.59,14.38,16.12,17.53,21.06,23.53,22.69,20.53,19.56,18.97,16.5,12.88,10.34,9.75,8.28,5.03,3.06,3.47,3.53,1.41,-0.66,-0.53,0.59,0.25,-0.75,0.81,3.62,4.91,5.0,5.88,8.09,9.0,6.94,5.16,5.34,5.5,3.06,0.72,0.41,1.41,1.0,0.19,1.09,3.22,3.41,1.31,-0.09,0.0,-0.44,-2.88,-4.53,-3.84,-2.34,-2.94,-3.44,-1.88,1.0,2.59,2.94,5.06,8.38,10.41,10.84,11.94,14.88,17.53,17.25,16.72,18.0,19.5,19.09,18.12,18.66,20.06,19.41,16.44,14.06,12.78,10.19,5.72,2.56,2.38,3.06,2.62,3.38,6.38,10.56,12.53,13.22,14.69,16.88,17.38,15.97,15.38,16.34,16.31,14.12,11.88,11.62,12.0,10.06,8.09,8.28,9.75,9.28,7.5,7.22,7.91,7.41,5.25,4.06,5.12,6.28,5.5,5.34,8.16,11.38,12.47,12.62,13.62,14.81,13.72,11.19,10.19,11.38,12.12,11.16,10.56,12.06,13.16,11.78,10.0,9.88,10.06,7.78,4.72,3.59,4.53,4.38,3.38,3.97,6.66,8.56,8.53,8.53,10.59,12.62,12.47,11.28,11.94,12.47,10.16,6.53,3.91,3.16,1.72,-0.5,-0.69,2.12,4.62,5.16,5.5,7.72,9.31,8.78,7.44,8.25,10.59,11.88,12.41,14.16,17.5,18.53,16.81,14.78,13.78,12.12,8.5,5.59,5.88,7.19,7.16,6.81,7.81,10.12,10.56,9.72,9.78,11.56,12.03,10.47,9.44,10.94,12.09,11.19,10.47,11.53,12.72,11.84,9.5,8.56,8.84,7.69,5.31,4.19,5.97,6.81,5.88,4.62,5.78,6.31,4.47,2.38,2.44,4.03,3.97,2.91,3.97,6.06,6.72,5.34,4.28,5.47,6.22,5.06,4.56,6.78,9.59,10.72,11.5,13.34,15.06,14.47,11.62,9.75,9.78,8.84,6.06,3.94,4.03,3.53,0.84,-1.19,-0.59,1.28,2.19,2.56,4.53,7.22,8.22,6.97,6.72,8.78,10.28,9.94,9.66,11.47,12.28,10.69,8.09,8.06,8.41,7.75,6.34,6.91,9.28,10.56,9.59,9.12,10.0,10.09,8.16,6.62,7.78,9.62,9.31,8.12,8.47,9.62,8.47,6.09,5.66,7.16,7.84,6.84,6.31,8.53,10.38,9.97,9.25,10.56,12.16,11.47,9.88,10.47,12.38,13.28,12.81,13.19,15.06,15.84,14.12,12.47,13.16,13.38,11.59,8.91,8.88,9.25,8.44,6.91,7.38,9.62,10.38,9.72,10.03,12.34,13.94,13.69,13.03,14.41,15.81,14.66,12.19,12.19,13.19,12.56,11.72,12.59,14.53,14.72,12.41,10.31,10.0,9.66,7.84,6.72,8.03,10.03,9.72,7.91,7.88,8.78,8.41,6.84,6.88,8.59,9.28,7.34,5.78,6.56,7.56,6.22,5.16,6.59,8.91,9.34,8.34,9.38,11.22,11.56,9.97,9.44,10.97,12.03,11.19,11.28,13.84,16.31,16.06,14.56,14.03,13.62,10.84,6.75,4.53,4.34,3.69,1.69,1.53,3.53,5.5,5.62,5.94,9.0,12.47,13.38,13.06,14.25,15.69,15.25,13.12,12.88,14.22,14.69,12.84,11.22,11.62,12.06,10.06,8.28,9.41,11.34,11.31,9.84,10.09,10.81,9.59,6.66,5.19,6.41,7.69,7.06,7.09,9.47,11.38,10.56,9.0,10.0,12.12,12.59,12.06,13.34,15.97,16.41,14.47,12.88,12.59,11.12,6.81,3.38,2.91,3.5,2.44,1.78,3.31,5.62,6.38,5.84,7.0,10.03,12.31,12.03,12.34,14.25,15.5,13.25,11.19,10.84,10.88,8.72,5.97,5.78,7.53,7.75,6.84,7.41,9.62,10.38,8.84,7.56,7.75,7.28,4.44,1.75,1.16,1.62,0.59,-1.12,-0.97,0.47,1.25,-0.12,0.0,3.0,5.41,5.53,6.06,8.34,10.16,9.31,7.44,7.66,8.84,8.0,6.62,6.66,8.72,9.75,8.72,9.0,11.56,13.66,13.44,13.0,14.44,15.44,13.97,11.12,10.09,9.66,7.19,3.56,1.62,1.16,1.0,-0.84,-1.66,0.25,2.19,1.75,1.62,3.62,6.19,6.88,6.25,7.16,9.34,9.5,7.78,7.28,8.53,8.81,6.75,5.03,5.66,6.31,4.94,4.0,5.59,8.81,9.84,10.38,11.91,14.75,15.72,14.41,13.88,14.91,14.75,11.91,9.38,9.91,11.06,10.38,10.19,12.5,15.78,17.09,16.91,18.03,20.44,21.09,19.34,18.31,18.78,18.31,15.56,12.72,12.59,12.97,11.12,8.66,8.25,9.53,9.66,9.41,10.94,14.22,16.62,16.47,15.97,17.34,17.94,15.88,13.44,13.16,13.22,11.66,8.78,8.19,9.75,10.19,9.06,9.81,11.91,12.59,10.44,8.12,8.19,9.12,8.28,8.53,11.78,16.12,17.94,17.81,18.06,18.81,17.41,13.72,10.97,9.84,8.25,4.28,0.72,0.22,0.75,-0.34,-0.91,0.97,4.38,6.03,6.38,8.0,11.72,13.12,12.81,12.97,14.88,16.0,14.97,14.25,15.72,18.03,17.91,16.53,16.62,18.25,18.09,16.5,16.38,17.75,18.22,16.25,14.75,15.75,16.5,14.78,12.5,12.88,13.47,11.69,8.81,7.78,8.09,7.44,5.94,6.38,9.5,12.16,12.56,12.94,15.28,17.25,16.56,15.16,16.28,18.31,18.66,17.81,18.28,19.56,19.31,16.75,14.56,15.22,15.16,13.06,11.22,11.72,12.81,11.31,9.25,9.66,11.81,12.75,12.78,14.5,17.62,18.75,17.56,16.97,18.38,19.56,18.22,16.34,16.09,15.97,13.69,10.03,8.53,8.47,6.69,3.66,1.97,2.75,3.59,2.97,3.47,7.16,10.88,12.44,13.16,16.19,18.75,19.22,18.38,19.09,21.62,22.69,21.12,20.41,21.22,20.38,17.66,15.59,16.25,17.59,17.16,15.94,16.91,18.56,18.03,16.41,16.5,18.12,18.69,17.25,16.34,17.78,18.88,17.69,17.0,18.94,21.25,20.97,19.16,18.69,18.53,16.28,12.44,10.34,10.78,10.72,9.31,9.03,11.56,13.66,13.31,12.59,14.19,15.81,15.81,15.03,16.34,19.12,20.53,19.94,19.88,21.25,21.75,20.06,18.75,20.12,21.38,20.53,18.88,19.81,21.69,21.41,20.03,20.16,21.56,21.94,20.44,20.31,22.72,24.28,23.44,22.47,24.03,25.97,26.09,25.97,28.22,30.81,31.12,29.5,28.69,29.75,30.12,28.16,27.53,28.91,29.19,26.72,23.41,23.0,23.22,21.91,20.25,20.5,22.03,21.88,20.22,19.84,21.5,22.5,21.59,21.59,24.25,27.06,27.5,27.03,28.41,29.41,27.75,24.38,22.53,22.25,20.59,17.97,17.22,19.06,20.56,19.97,19.22,21.09,22.81,22.28,21.16,22.31,23.88,23.0,20.69,20.03,20.91,21.09,19.91,20.03,22.41,24.78,24.41,24.16,25.97,27.47,26.34,24.16,23.69,24.16,23.34,21.03,20.94,22.78,24.41,23.53,23.62,25.66,27.5,27.38,27.19,29.28,31.56,31.06,28.81,28.41,28.53,27.75,25.53,24.97,26.47,28.16,27.53,27.47,29.94,31.94,31.53,31.22,32.44,34.75,34.62,33.0,32.44,32.69,31.28,28.19,26.78,27.69,29.16,28.94,29.22,32.06,34.94,34.84,33.66,33.97,34.84,34.47,32.38,31.88,32.47,31.81,28.78,26.91,27.72,28.75,28.16,28.09,30.44,32.81,32.47,31.0,30.44,31.06,29.94,27.56,26.5,27.16,27.03,25.0,23.38,23.72,24.59,22.84,20.78,20.56,21.69,20.62,18.44,17.94,19.28,19.31,17.97,18.28,20.12,21.47,20.5,19.97,22.28,25.06,25.66,26.03,28.19,30.66,31.56,31.06,31.59,33.22,33.25,30.94,29.38,29.72,29.41,26.91,25.06,25.75,26.94,26.75,26.28,27.5,29.56,29.41,27.84,27.53,28.5,28.41,26.88,25.91,27.09,28.34,27.56,26.62,28.19,30.06,29.75,28.22,27.88,28.94,28.5,26.62,26.03,27.59,28.28,26.94,26.28,27.28,28.53,27.16,25.47,25.94,27.81,28.0,27.38,28.62,30.34,30.94,29.19,28.78,29.91,30.25,28.47,26.75:10.69,11.88,12.31,10.09,6.75,5.72,5.19,3.38,1.0,1.53,4.66,6.94,7.88,9.88,13.62,16.47,16.69,16.53,18.66,20.41,19.62,18.19,18.69,20.44,20.09,18.69,18.69,20.28,20.53,18.22,16.56,17.09,17.09,14.84,13.22,14.31,15.97,15.28,14.03,14.81,16.56,17.03,16.0,16.31,18.34,19.47,18.03,17.66,19.53,21.09,20.22,19.03,20.19,21.59,20.75,18.81,18.78,20.12,19.97,18.44,18.16,19.81,20.25,18.47,16.84,17.41,18.22,16.72,14.62,14.69,14.5,12.28,8.72,6.56,6.34,5.53,3.75,3.75,6.56,9.03,9.19,9.0,10.72,11.94,10.72,8.97,8.97,9.5,8.53,6.19,5.78,7.41,8.56,8.12,8.78,11.5,13.72,13.03,11.62,12.28,13.12,11.81,9.72,9.62,10.78,10.31,8.28,7.38,8.56,8.75,6.06,3.88,3.75,3.62,1.59,0.34,1.59,4.0,5.25,5.53,7.47,10.56,11.78,9.97,8.69,8.5,7.66,4.91,2.84,3.22,4.44,3.0,0.94,0.59,1.44,0.22,-2.0,-2.03,0.03,1.97,2.47,4.78,9.59,14.38,16.12,17.53,21.06,23.53,22.69,20.53,19.56,18.97,16.5,12.88,10.34,9.75,8.28,5.03,3.06,3.47,3.53,1.41,-0.66,-0.53,0.59,0.25,-0.75,0.81,3.62,4.91,5.0,5.88,8.09,9.0,6.94,5.16,5.34,5.5,3.06,0.72,0.41,1.41,1.0,0.19,1.09,3.22,3.41,1.31,-0.09,0.0,-0.44,-2.88,-4.53,-3.84,-2.34,-2.94,-3.44,-1.88,1.0,2.59,2.94,5.06,8.38,10.41,10.84,11.94,14.88,17.53,17.25,16.72,18.0,19.5,19.09,18.12,18.66,20.06,19.41,16.44,14.06,12.78,10.19,5.72,2.56,2.38,3.06,2.62,3.38,6.38,10.56,12.53,13.22,14.69,16.88,17.38,15.97,15.38,16.34,16.31,14.12,11.88,11.62,12.0,10.06,8.09,8.28,9.75,9.28,7.5,7.22,7.91,7.41,5.25,4.06,5.12,6.28,5.5,5.34,8.16,11.38,12.47,12.62,13.62,14.81,13.72,11.19,10.19,11.38,12.12,11.16,10.56,12.06,13.16,11.78,10.0,9.88,10.06,7.78,4.72,3.59,4.53,4.38,3.38,3.97,6.66,8.56,8.53,8.53,10.59,12.62,12.47,11.28,11.94,12.47,10.16,6.53,3.91,3.16,1.72,-0.5,-0.69,2.12,4.62,5.16,5.5,7.72,9.31,8.78,7.44,8.25,10.59,11.88,12.41,14.16,17.5,18.53,16.81,14.78,13.78,12.12,8.5,5.59,5.88,7.19,7.16,6.81,7.81,10.12,10.56,9.72,9.78,11.56,12.03,10.47,9.44,10.94,12.09,11.19,10.47,11.53,12.72,11.84,9.5,8.56,8.84,7.69,5.31,4.19,5.97,6.81,5.88,4.62,5.78,6.31,4.47,2.38,2.44,4.03,3.97,2.91,3.97,6.06,6.72,5.34,4.28,5.47,6.22,5.06,4.56,6.78,9.59,10.72,11.5,13.34,15.06,14.47,11.62,9.75,9.78,8.84,6.06,3.94,4.03,3.53,0.84,-1.19,-0.59,1.28,2.19,2.56,4.53,7.22,8.22,6.97,6.72,8.78,10.28,9.94,9.66,11.47,12.28,10.69,8.09,8.06,8.41,7.75,6.34,6.91,9.28,10.56,9.59,9.12,10.0,10.09,8.16,6.62,7.78,9.62,9.31,8.12,8.47,9.62,8.47,6.09,5.66,7.16,7.84,6.84,6.31,8.53,10.38,9.97,9.25,10.56,12.16,11.47,9.88,10.47,12.38,13.28,12.81,13.19,15.06,15.84,14.12,12.47,13.16,13.38,11.59,8.91,8.88,9.25,8.44,6.91,7.38,9.62,10.38,9.72,10.03,12.34,13.94,13.69,13.03,14.41,15.81,14.66,12.19,12.19,13.19,12.56,11.72,12.59,14.53,14.72,12.41,10.31,10.0,9.66,7.84,6.72,8.03,10.03,9.72,7.91,7.88,8.78,8.41,6.84,6.88,8.59,9.28,7.34,5.78,6.56,7.56,6.22,5.16,6.59,8.91,9.34,8.34,9.38,11.22,11.56,9.97,9.44,10.97,12.03,11.19,11.28,13.84,16.31,16.06,14.56,14.03,13.62,10.84,6.75,4.53,4.34,3.69,1.69,1.53,3.53,5.5,5.62,5.94,9.0,12.47,13.38,13.06,14.25,15.69,15.25,13.12,12.88,14.22,14.69,12.84,11.22,11.62,12.06,10.06,8.28,9.41,11.34,11.31,9.84,10.09,10.81,9.59,6.66,5.19,6.41,7.69,7.06,7.09,9.47,11.38,10.56,9.0,10.0,12.12,12.59,12.06,13.34,15.97,16.41,14.47,12.88,12.59,11.12,6.81,3.38,2.91,3.5,2.44,1.78,3.31,5.62,6.38,5.84,7.0,10.03,12.31,12.03,12.34,14.25,15.5,13.25,11.19,10.84,10.88,8.72,5.97,5.78,7.53,7.75,6.84,7.41,9.62,10.38,8.84,7.56,7.75,7.28,4.44,1.75,1.16,1.62,0.59,-1.12,-0.97,0.47,1.25,-0.12,0.0,3.0,5.41,5.53,6.06,8.34,10.16,9.31,7.44,7.66,8.84,8.0,6.62,6.66,8.72,9.75,8.72,9.0,11.56,13.66,13.44,13.0,14.44,15.44,13.97,11.12,10.09,9.66,7.19,3.56,1.62,1.16,1.0,-0.84,-1.66,0.25,2.19,1.75,1.62,3.62,6.19,6.88,6.25,7.16,9.34,9.5,7.78,7.28,8.53,8.81,6.75,5.03,5.66,6.31,4.94,4.0,5.59,8.81,9.84,10.38,11.91,14.75,15.72,14.41,13.88,14.91,14.75,11.91,9.38,9.91,11.06,10.38,10.19,12.5,15.78,17.09,16.91,18.03,20.44,21.09,19.34,18.31,18.78,18.31,15.56,12.72,12.59,12.97,11.12,8.66,8.25,9.53,9.66,9.41,10.94,14.22,16.62,16.47,15.97,17.34,17.94,15.88,13.44,13.16,13.22,11.66,8.78,8.19,9.75,10.19,9.06,9.81,11.91,12.59,10.44,8.12,8.19,9.12,8.28,8.53,11.78,16.12,17.94,17.81,18.06,18.81,17.41,13.72,10.97,9.84,8.25,4.28,0.72,0.22,0.75,-0.34,-0.91,0.97,4.38,6.03,6.38,8.0,11.72,13.12,12.81,12.97,14.88,16.0,14.97,14.25,15.72,18.03,17.91,16.53,16.62,18.25,18.09,16.5,16.38,17.75,18.22,16.25,14.75,15.75,16.5,14.78,12.5,12.88,13.47,11.69,8.81,7.78,8.09,7.44,5.94,6.38,9.5,12.16,12.56,12.94,15.28,17.25,16.56,15.16,16.28,18.31,18.66,17.81,18.28,19.56,19.31,16.75,14.56,15.22,15.16,13.06,11.22,11.72,12.81,11.31,9.25,9.66,11.81,12.75,12.78,14.5,17.62,18.75,17.56,16.97,18.38,19.56,18.22,16.34,16.09,15.97,13.69,10.03,8.53,8.47,6.69,3.66,1.97,2.75,3.59,2.97,3.47,7.16,10.88,12.44,13.16,16.19,18.75,19.22,18.38,19.09,21.62,22.69,21.12,20.41,21.22,20.38,17.66,15.59,16.25,17.59,17.16,15.94,16.91,18.56,18.03,16.41,16.5,18.12,18.69,17.25,16.34,17.78,18.88,17.69,17.0,18.94,21.25,20.97,19.16,18.69,18.53,16.28,12.44,10.34,10.78,10.72,9.31,9.03,11.56,13.66,13.31,12.59,14.19,15.81,15.81,15.03,16.34,19.12,20.53,19.94,19.88,21.25,21.75,20.06,18.75,20.12,21.38,20.53,18.88,19.81,21.69,21.41,20.03,20.16,21.56,21.94,20.44,20.31,22.72,24.28,23.44,22.47,24.03,25.97,26.09,25.97,28.22,30.81,31.12,29.5,28.69,29.75,30.12,28.16,27.53,28.91,29.19,26.72,23.41,23.0,23.22,21.91,20.25,20.5,22.03,21.88,20.22,19.84,21.5,22.5,21.59,21.59,24.25,27.06,27.5,27.03,28.41,29.41,27.75,24.38,22.53,22.25,20.59,17.97,17.22,19.06,20.56,19.97,19.22,21.09,22.81,22.28,21.16,22.31,23.88,23.0,20.69,20.03,20.91,21.09,19.91,20.03,22.41,24.78,24.41,24.16,25.97,27.47,26.34,24.16,23.69,24.16,23.34,21.03,20.94,22.78,24.41,23.53,23.62,25.66,27.5,27.38,27.19,29.28,31.56,31.06,28.81,28.41,28.53,27.75,25.53,24.97,26.47,28.16,27.53,27.47,29.94,31.94,31.53,31.22,32.44,34.75,34.62,33.0,32.44,32.69,31.28,28.19,26.78,27.69,29.16,28.94,29.22,32.06,34.94,34.84,33.66,33.97,34.84,34.47,32.38,31.88,32.47,31.81,28.78,26.91,27.72,28.75,28.16,28.09,30.44,32.81,32.47,31.0,30.44,31.06,29.94,27.56,26.5,27.16,27.03,25.0,23.38,23.72,24.59,22.84,20.78,20.56,21.69,20.62,18.44,17.94,19.28,19.31,17.97,18.28,20.12,21.47,20.5,19.97,22.28,25.06,25.66,26.03,28.19,30.66,31.56,31.06,31.59,33.22,33.25,30.94,29.38,29.72,29.41,26.91,25.06,25.75,26.94,26.75,26.28,27.5,29.56,29.41,27.84,27.53,28.5,28.41,26.88,25.91,27.09,28.34,27.56,26.62,28.19,30.06,29.75,28.22,27.88,28.94,28.5,26.62,26.03,27.59,28.28,26.94,26.28,27.28,28.53,27.16,25.47,25.94,27.81,28.0,27.38,28.62,30.34,30.94,29.19,28.78,29.91,30.25,28.47,26.75,29.5,29.53,28.41,28.69,30.44,31.75,31.16:3.38,1.0,1.53,4.66,6.94,7.88,9.88,13.62,16.47,16.69,16.53,18.66,20.41,19.62,18.19,18.69,20.44,20.09,18.69,18.69,20.28,20.53,18.22,16.56,17.09,17.09,14.84,13.22,14.31,15.97,15.28,14.03,14.81,16.56,17.03,16.0,16.31,18.34,19.47,18.03,17.66,19.53,21.09,20.22,19.03,20.19,21.59,20.75,18.81,18.78,20.12,19.97,18.44,18.16,19.81,20.25,18.47,16.84,17.41,18.22,16.72,14.62,14.69,14.5,12.28,8.72,6.56,6.34,5.53,3.75,3.75,6.56,9.03,9.19,9.0,10.72,11.94,10.72,8.97,8.97,9.5,8.53,6.19,5.78,7.41,8.56,8.12,8.78,11.5,13.72,13.03,11.62,12.28,13.12,11.81,9.72,9.62,10.78,10.31,8.28,7.38,8.56,8.75,6.06,3.88,3.75,3.62,1.59,0.34,1.59,4.0,5.25,5.53,7.47,10.56,11.78,9.97,8.69,8.5,7.66,4.91,2.84,3.22,4.44,3.0,0.94,0.59,1.44,0.22,-2.0,-2.03,0.03,1.97,2.47,4.78,9.59,14.38,16.12,17.53,21.06,23.53,22.69,20.53,19.56,18.97,16.5,12.88,10.34,9.75,8.28,5.03,3.06,3.47,3.53,1.41,-0.66,-0.53,0.59,0.25,-0.75,0.81,3.62,4.91,5.0,5.88,8.09,9.0,6.94,5.16,5.34,5.5,3.06,0.72,0.41,1.41,1.0,0.19,1.09,3.22,3.41,1.31,-0.09,0.0,-0.44,-2.88,-4.53,-3.84,-2.34,-2.94,-3.44,-1.88,1.0,2.59,2.94,5.06,8.38,10.41,10.84,11.94,14.88,17.53,17.25,16.72,18.0,19.5,19.09,18.12,18.66,20.06,19.41,16.44,14.06,12.78,10.19,5.72,2.56,2.38,3.06,2.62,3.38,6.38,10.56,12.53,13.22,14.69,16.88,17.38,15.97,15.38,16.34,16.31,14.12,11.88,11.62,12.0,10.06,8.09,8.28,9.75,9.28,7.5,7.22,7.91,7.41,5.25,4.06,5.12,6.28,5.5,5.34,8.16,11.38,12.47,12.62,13.62,14.81,13.72,11.19,10.19,11.38,12.12,11.16,10.56,12.06,13.16,11.78,10.0,9.88,10.06,7.78,4.72,3.59,4.53,4.38,3.38,3.97,6.66,8.56,8.53,8.53,10.59,12.62,12.47,11.28,11.94,12.47,10.16,6.53,3.91,3.16,1.72,-0.5,-0.69,2.12,4.62,5.16,5.5,7.72,9.31,8.78,7.44,8.25,10.59,11.88,12.41,14.16,17.5,18.53,16.81,14.78,13.78,12.12,8.5,5.59,5.88,7.19,7.16,6.81,7.81,10.12,10.56,9.72,9.78,11.56,12.03,10.47,9.44,10.94,12.09,11.19,10.47,11.53,12.72,11.84,9.5,8.56,8.84,7.69,5.31,4.19,5.97,6.81,5.88,4.62,5.78,6.31,4.47,2.38,2.44,4.03,3.97,2.91,3.97,6.06,6.72,5.34,4.28,5.47,6.22,5.06,4.56,6.78,9.59,10.72,11.5,13.34,15.06,14.47,11.62,9.75,9.78,8.84,6.06,3.94,4.03,3.53,0.84,-1.19,-0.59,1.28,2.19,2.56,4.53,7.22,8.22,6.97,6.72,8.78,10.28,9.94,9.66,11.47,12.28,10.69,8.09,8.06,8.41,7.75,6.34,6.91,9.28,10.56,9.59,9.12,10.0,10.09,8.16,6.62,7.78,9.62,9.31,8.12,8.47,9.62,8.47,6.09,5.66,7.16,7.84,6.84,6.31,8.53,10.38,9.97,9.25,10.56,12.16,11.47,9.88,10.47,12.38,13.28,12.81,13.19,15.06,15.84,14.12,12.47,13.16,13.38,11.59,8.91,8.88,9.25,8.44,6.91,7.38,9.62,10.38,9.72,10.03,12.34,13.94,13.69,13.03,14.41,15.81,14.66,12.19,12.19,13.19,12.56,11.72,12.59,14.53,14.72,12.41,10.31,10.0,9.66,7.84,6.72,8.03,10.03,9.72,7.91,7.88,8.78,8.41,6.84,6.88,8.59,9.28,7.34,5.78,6.56,7.56,6.22,5.16,6.59,8.91,9.34,8.34,9.38,11.22,11.56,9.97,9.44,10.97,12.03,11.19,11.28,13.84,16.31,16.06,14.56,14.03,13.62,10.84,6.75,4.53,4.34,3.69,1.69,1.53,3.53,5.5,5.62,5.94,9.0,12.47,13.38,13.06,14.25,15.69,15.25,13.12,12.88,14.22,14.69,12.84,11.22,11.62,12.06,10.06,8.28,9.41,11.34,11.31,9.84,10.09,10.81,9.59,6.66,5.19,6.41,7.69,7.06,7.09,9.47,11.38,10.56,9.0,10.0,12.12,12.59,12.06,13.34,15.97,16.41,14.47,12.88,12.59,11.12,6.81,3.38,2.91,3.5,2.44,1.78,3.31,5.62,6.38,5.84,7.0,10.03,12.31,12.03,12.34,14.25,15.5,13.25,11.19,10.84,10.88,8.72,5.97,5.78,7.53,7.75,6.84,7.41,9.62,10.38,8.84,7.56,7.75,7.28,4.44,1.75,1.16,1.62,0.59,-1.12,-0.97,0.47,1.25,-0.12,0.0,3.0,5.41,5.53,6.06,8.34,10.16,9.31,7.44,7.66,8.84,8.0,6.62,6.66,8.72,9.75,8.72,9.0,11.56,13.66,13.44,13.0,14.44,15.44,13.97,11.12,10.09,9.66,7.19,3.56,1.62,1.16,1.0,-0.84,-1.66,0.25,2.19,1.75,1.62,3.62,6.19,6.88,6.25,7.16,9.34,9.5,7.78,7.28,8.53,8.81,6.75,5.03,5.66,6.31,4.94,4.0,5.59,8.81,9.84,10.38,11.91,14.75,15.72,14.41,13.88,14.91,14.75,11.91,9.38,9.91,11.06,10.38,10.19,12.5,15.78,17.09,16.91,18.03,20.44,21.09,19.34,18.31,18.78,18.31,15.56,12.72,12.59,12.97,11.12,8.66,8.25,9.53,9.66,9.41,10.94,14.22,16.62,16.47,15.97,17.34,17.94,15.88,13.44,13.16,13.22,11.66,8.78,8.19,9.75,10.19,9.06,9.81,11.91,12.59,10.44,8.12,8.19,9.12,8.28,8.53,11.78,16.12,17.94,17.81,18.06,18.81,17.41,13.72,10.97,9.84,8.25,4.28,0.72,0.22,0.75,-0.34,-0.91,0.97,4.38,6.03,6.38,8.0,11.72,13.12,12.81,12.97,14.88,16.0,14.97,14.25,15.72,18.03,17.91,16.53,16.62,18.25,18.09,16.5,16.38,17.75,18.22,16.25,14.75,15.75,16.5,14.78,12.5,12.88,13.47,11.69,8.81,7.78,8.09,7.44,5.94,6.38,9.5,12.16,12.56,12.94,15.28,17.25,16.56,15.16,16.28,18.31,18.66,17.81,18.28,19.56,19.31,16.75,14.56,15.22,15.16,13.06,11.22,11.72,12.81,11.31,9.25,9.66,11.81,12.75,12.78,14.5,17.62,18.75,17.56,16.97,18.38,19.56,18.22,16.34,16.09,15.97,13.69,10.03,8.53,8.47,6.69,3.66,1.97,2.75,3.59,2.97,3.47,7.16,10.88,12.44,13.16,16.19,18.75,19.22,18.38,19.09,21.62,22.69,21.12,20.41,21.22,20.38,17.66,15.59,16.25,17.59,17.16,15.94,16.91,18.56,18.03,16.41,16.5,18.12,18.69,17.25,16.34,17.78,18.88,17.69,17.0,18.94,21.25,20.97,19.16,18.69,18.53,16.28,12.44,10.34,10.78,10.72,9.31,9.03,11.56,13.66,13.31,12.59,14.19,15.81,15.81,15.03,16.34,19.12,20.53,19.94,19.88,21.25,21.75,20.06,18.75,20.12,21.38,20.53,18.88,19.81,21.69,21.41,20.03,20.16,21.56,21.94,20.44,20.31,22.72,24.28,23.44,22.47,24.03,25.97,26.09,25.97,28.22,30.81,31.12,29.5,28.69,29.75,30.12,28.16,27.53,28.91,29.19,26.72,23.41,23.0,23.22,21.91,20.25,20.5,22.03,21.88,20.22,19.84,21.5,22.5,21.59,21.59,24.25,27.06,27.5,27.03,28.41,29.41,27.75,24.38,22.53,22.25,20.59,17.97,17.22,19.06,20.56,19.97,19.22,21.09,22.81,22.28,21.16,22.31,23.88,23.0,20.69,20.03,20.91,21.09,19.91,20.03,22.41,24.78,24.41,24.16,25.97,27.47,26.34,24.16,23.69,24.16,23.34,21.03,20.94,22.78,24.41,23.53,23.62,25.66,27.5,27.38,27.19,29.28,31.56,31.06,28.81,28.41,28.53,27.75,25.53,24.97,26.47,28.16,27.53,27.47,29.94,31.94,31.53,31.22,32.44,34.75,34.62,33.0,32.44,32.69,31.28,28.19,26.78,27.69,29.16,28.94,29.22,32.06,34.94,34.84,33.66,33.97,34.84,34.47,32.38,31.88,32.47,31.81,28.78,26.91,27.72,28.75,28.16,28.09,30.44,32.81,32.47,31.0,30.44,31.06,29.94,27.56,26.5,27.16,27.03,25.0,23.38,23.72,24.59,22.84,20.78,20.56,21.69,20.62,18.44,17.94,19.28,19.31,17.97,18.28,20.12,21.47,20.5,19.97,22.28,25.06,25.66,26.03,28.19,30.66,31.56,31.06,31.59,33.22,33.25,30.94,29.38,29.72,29.41,26.91,25.06,25.75,26.94,26.75,26.28,27.5,29.56,29.41,27.84,27.53,28.5,28.41,26.88,25.91,27.09,28.34,27.56,26.62,28.19,30.06,29.75,28.22,27.88,28.94,28.5,26.62,26.03,27.59,28.28,26.94,26.28,27.28,28.53,27.16,25.47,25.94,27.81,28.0,27.38,28.62,30.34,30.94,29.19,28.78,29.91,30.25,28.47,26.75,29.5,29.53,28.41,28.69,30.44,31.75,31.16,30.19,30.72,30.09,27.62,24.53,23.06,22.25:13.62,16.47,16.69,16.53,18.66,20.41,19.62,18.19,18.69,20.44,20.09,18.69,18.69,20.28,20.53,18.22,16.56,17.09,17.09,14.84,13.22,14.31,15.97,15.28,14.03,14.81,16.56,17.03,16.0,16.31,18.34,19.47,18.03,17.66,19.53,21.09,20.22,19.03,20.19,21.59,20.75,18.81,18.78,20.12,19.97,18.44,18.16,19.81,20.25,18.47,16.84,17.41,18.22,16.72,14.62,14.69,14.5,12.28,8.72,6.56,6.34,5.53,3.75,3.75,6.56,9.03,9.19,9.0,10.72,11.94,10.72,8.97,8.97,9.5,8.53,6.19,5.78,7.41,8.56,8.12,8.78,11.5,13.72,13.03,11.62,12.28,13.12,11.81,9.72,9.62,10.78,10.31,8.28,7.38,8.56,8.75,6.06,3.88,3.75,3.62,1.59,0.34,1.59,4.0,5.25,5.53,7.47,10.56,11.78,9.97,8.69,8.5,7.66,4.91,2.84,3.22,4.44,3.0,0.94,0.59,1.44,0.22,-2.0,-2.03,0.03,1.97,2.47,4.78,9.59,14.38,16.12,17.53,21.06,23.53,22.69,20.53,19.56,18.97,16.5,12.88,10.34,9.75,8.28,5.03,3.06,3.47,3.53,1.41,-0.66,-0.53,0.59,0.25,-0.75,0.81,3.62,4.91,5.0,5.88,8.09,9.0,6.94,5.16,5.34,5.5,3.06,0.72,0.41,1.41,1.0,0.19,1.09,3.22,3.41,1.31,-0.09,0.0,-0.44,-2.88,-4.53,-3.84,-2.34,-2.94,-3.44,-1.88,1.0,2.59,2.94,5.06,8.38,10.41,10.84,11.94,14.88,17.53,17.25,16.72,18.0,19.5,19.09,18.12,18.66,20.06,19.41,16.44,14.06,12.78,10.19,5.72,2.56,2.38,3.06,2.62,3.38,6.38,10.56,12.53,13.22,14.69,16.88,17.38,15.97,15.38,16.34,16.31,14.12,11.88,11.62,12.0,10.06,8.09,8.28,9.75,9.28,7.5,7.22,7.91,7.41,5.25,4.06,5.12,6.28,5.5,5.34,8.16,11.38,12.47,12.62,13.62,14.81,13.72,11.19,10.19,11.38,12.12,11.16,10.56,12.06,13.16,11.78,10.0,9.88,10.06,7.78,4.72,3.59,4.53,4.38,3.38,3.97,6.66,8.56,8.53,8.53,10.59,12.62,12.47,11.28,11.94,12.47,10.16,6.53,3.91,3.16,1.72,-0.5,-0.69,2.12,4.62,5.16,5.5,7.72,9.31,8.78,7.44,8.25,10.59,11.88,12.41,14.16,17.5,18.53,16.81,14.78,13.78,12.12,8.5,5.59,5.88,7.19,7.16,6.81,7.81,10.12,10.56,9.72,9.78,11.56,12.03,10.47,9.44,10.94,12.09,11.19,10.47,11.53,12.72,11.84,9.5,8.56,8.84,7.69,5.31,4.19,5.97,6.81,5.88,4.62,5.78,6.31,4.47,2.38,2.44,4.03,3.97,2.91,3.97,6.06,6.72,5.34,4.28,5.47,6.22,5.06,4.56,6.78,9.59,10.72,11.5,13.34,15.06,14.47,11.62,9.75,9.78,8.84,6.06,3.94,4.03,3.53,0.84,-1.19,-0.59,1.28,2.19,2.56,4.53,7.22,8.22,6.97,6.72,8.78,10.28,9.94,9.66,11.47,12.28,10.69,8.09,8.06,8.41,7.75,6.34,6.91,9.28,10.56,9.59,9.12,10.0,10.09,8.16,6.62,7.78,9.62,9.31,8.12,8.47,9.62,8.47,6.09,5.66,7.16,7.84,6.84,6.31,8.53,10.38,9.97,9.25,10.56,12.16,11.47,9.88,10.47,12.38,13.28,12.81,13.19,15.06,15.84,14.12,12.47,13.16,13.38,11.59,8.91,8.88,9.25,8.44,6.91,7.38,9.62,10.38,9.72,10.03,12.34,13.94,13.69,13.03,14.41,15.81,14.66,12.19,12.19,13.19,12.56,11.72,12.59,14.53,14.72,12.41,10.31,10.0,9.66,7.84,6.72,8.03,10.03,9.72,7.91,7.88,8.78,8.41,6.84,6.88,8.59,9.28,7.34,5.78,6.56,7.56,6.22,5.16,6.59,8.91,9.34,8.34,9.38,11.22,11.56,9.97,9.44,10.97,12.03,11.19,11.28,13.84,16.31,16.06,14.56,14.03,13.62,10.84,6.75,4.53,4.34,3.69,1.69,1.53,3.53,5.5,5.62,5.94,9.0,12.47,13.38,13.06,14.25,15.69,15.25,13.12,12.88,14.22,14.69,12.84,11.22,11.62,12.06,10.06,8.28,9.41,11.34,11.31,9.84,10.09,10.81,9.59,6.66,5.19,6.41,7.69,7.06,7.09,9.47,11.38,10.56,9.0,10.0,12.12,12.59,12.06,13.34,15.97,16.41,14.47,12.88,12.59,11.12,6.81,3.38,2.91,3.5,2.44,1.78,3.31,5.62,6.38,5.84,7.0,10.03,12.31,12.03,12.34,14.25,15.5,13.25,11.19,10.84,10.88,8.72,5.97,5.78,7.53,7.75,6.84,7.41,9.62,10.38,8.84,7.56,7.75,7.28,4.44,1.75,1.16,1.62,0.59,-1.12,-0.97,0.47,1.25,-0.12,0.0,3.0,5.41,5.53,6.06,8.34,10.16,9.31,7.44,7.66,8.84,8.0,6.62,6.66,8.72,9.75,8.72,9.0,11.56,13.66,13.44,13.0,14.44,15.44,13.97,11.12,10.09,9.66,7.19,3.56,1.62,1.16,1.0,-0.84,-1.66,0.25,2.19,1.75,1.62,3.62,6.19,6.88,6.25,7.16,9.34,9.5,7.78,7.28,8.53,8.81,6.75,5.03,5.66,6.31,4.94,4.0,5.59,8.81,9.84,10.38,11.91,14.75,15.72,14.41,13.88,14.91,14.75,11.91,9.38,9.91,11.06,10.38,10.19,12.5,15.78,17.09,16.91,18.03,20.44,21.09,19.34,18.31,18.78,18.31,15.56,12.72,12.59,12.97,11.12,8.66,8.25,9.53,9.66,9.41,10.94,14.22,16.62,16.47,15.97,17.34,17.94,15.88,13.44,13.16,13.22,11.66,8.78,8.19,9.75,10.19,9.06,9.81,11.91,12.59,10.44,8.12,8.19,9.12,8.28,8.53,11.78,16.12,17.94,17.81,18.06,18.81,17.41,13.72,10.97,9.84,8.25,4.28,0.72,0.22,0.75,-0.34,-0.91,0.97,4.38,6.03,6.38,8.0,11.72,13.12,12.81,12.97,14.88,16.0,14.97,14.25,15.72,18.03,17.91,16.53,16.62,18.25,18.09,16.5,16.38,17.75,18.22,16.25,14.75,15.75,16.5,14.78,12.5,12.88,13.47,11.69,8.81,7.78,8.09,7.44,5.94,6.38,9.5,12.16,12.56,12.94,15.28,17.25,16.56,15.16,16.28,18.31,18.66,17.81,18.28,19.56,19.31,16.75,14.56,15.22,15.16,13.06,11.22,11.72,12.81,11.31,9.25,9.66,11.81,12.75,12.78,14.5,17.62,18.75,17.56,16.97,18.38,19.56,18.22,16.34,16.09,15.97,13.69,10.03,8.53,8.47,6.69,3.66,1.97,2.75,3.59,2.97,3.47,7.16,10.88,12.44,13.16,16.19,18.75,19.22,18.38,19.09,21.62,22.69,21.12,20.41,21.22,20.38,17.66,15.59,16.25,17.59,17.16,15.94,16.91,18.56,18.03,16.41,16.5,18.12,18.69,17.25,16.34,17.78,18.88,17.69,17.0,18.94,21.25,20.97,19.16,18.69,18.53,16.28,12.44,10.34,10.78,10.72,9.31,9.03,11.56,13.66,13.31,12.59,14.19,15.81,15.81,15.03,16.34,19.12,20.53,19.94,19.88,21.25,21.75,20.06,18.75,20.12,21.38,20.53,18.88,19.81,21.69,21.41,20.03,20.16,21.56,21.94,20.44,20.31,22.72,24.28,23.44,22.47,24.03,25.97,26.09,25.97,28.22,30.81,31.12,29.5,28.69,29.75,30.12,28.16,27.53,28.91,29.19,26.72,23.41,23.0,23.22,21.91,20.25,20.5,22.03,21.88,20.22,19.84,21.5,22.5,21.59,21.59,24.25,27.06,27.5,27.03,28.41,29.41,27.75,24.38,22.53,22.25,20.59,17.97,17.22,19.06,20.56,19.97,19.22,21.09,22.81,22.28,21.16,22.31,23.88,23.0,20.69,20.03,20.91,21.09,19.91,20.03,22.41,24.78,24.41,24.16,25.97,27.47,26.34,24.16,23.69,24.16,23.34,21.03,20.94,22.78,24.41,23.53,23.62,25.66,27.5,27.38,27.19,29.28,31.56,31.06,28.81,28.41,28.53,27.75,25.53,24.97,26.47,28.16,27.53,27.47,29.94,31.94,31.53,31.22,32.44,34.75,34.62,33.0,32.44,32.69,31.28,28.19,26.78,27.69,29.16,28.94,29.22,32.06,34.94,34.84,33.66,33.97,34.84,34.47,32.38,31.88,32.47,31.81,28.78,26.91,27.72,28.75,28.16,28.09,30.44,32.81,32.47,31.0,30.44,31.06,29.94,27.56,26.5,27.16,27.03,25.0,23.38,23.72,24.59,22.84,20.78,20.56,21.69,20.62,18.44,17.94,19.28,19.31,17.97,18.28,20.12,21.47,20.5,19.97,22.28,25.06,25.66,26.03,28.19,30.66,31.56,31.06,31.59,33.22,33.25,30.94,29.38,29.72,29.41,26.91,25.06,25.75,26.94,26.75,26.28,27.5,29.56,29.41,27.84,27.53,28.5,28.41,26.88,25.91,27.09,28.34,27.56,26.62,28.19,30.06,29.75,28.22,27.88,28.94,28.5,26.62,26.03,27.59,28.28,26.94,26.28,27.28,28.53,27.16,25.47,25.94,27.81,28.0,27.38,28.62,30.34,30.94,29.19,28.78,29.91,30.25,28.47,26.75,29.5,29.53,28.41,28.69,30.44,31.75,31.16,30.19,30.72,30.09,27.62,24.53,23.06,22.25,21.0,19.72,20.59,23.0,24.94,25.66,26.75:18.19,18.69,20.44,20.09,18.69,18.69,20.28,20.53,18.22,16.56,17.09,17.09,14.84,13.22,14.31,15.97,15.28,14.03,14.81,16.56,17.03,16.0,16.31,18.34,19.47,18.03,17.66,19.53,21.09,20.22,19.03,20.19,21.59,20.75,18.81,18.78,20.12,19.97,18.44,18.16,19.81,20.25,18.47,16.84,17.41,18.22,16.72,14.62,14.69,14.5,12.28,8.72,6.56,6.34,5.53,3.75,3.75,6.56,9.03,9.19,9.0,10.72,11.94,10.72,8.97,8.97,9.5,8.53,6.19,5.78,7.41,8.56,8.12,8.78,11.5,13.72,13.03,11.62,12.28,13.12,11.81,9.72,9.62,10.78,10.31,8.28,7.38,8.56,8.75,6.06,3.88,3.75,3.62,1.59,0.34,1.59,4.0,5.25,5.53,7.47,10.56,11.78,9.97,8.69,8.5,7.66,4.91,2.84,3.22,4.44,3.0,0.94,0.59,1.44,0.22,-2.0,-2.03,0.03,1.97,2.47,4.78,9.59,14.38,16.12,17.53,21.06,23.53,22.69,20.53,19.56,18.97,16.5,12.88,10.34,9.75,8.28,5.03,3.06,3.47,3.53,1.41,-0.66,-0.53,0.59,0.25,-0.75,0.81,3.62,4.91,5.0,5.88,8.09,9.0,6.94,5.16,5.34,5.5,3.06,0.72,0.41,1.41,1.0,0.19,1.09,3.22,3.41,1.31,-0.09,0.0,-0.44,-2.88,-4.53,-3.84,-2.34,-2.94,-3.44,-1.88,1.0,2.59,2.94,5.06,8.38,10.41,10.84,11.94,14.88,17.53,17.25,16.72,18.0,19.5,19.09,18.12,18.66,20.06,19.41,16.44,14.06,12.78,10.19,5.72,2.56,2.38,3.06,2.62,3.38,6.38,10.56,12.53,13.22,14.69,16.88,17.38,15.97,15.38,16.34,16.31,14.12,11.88,11.62,12.0,10.06,8.09,8.28,9.75,9.28,7.5,7.22,7.91,7.41,5.25,4.06,5.12,6.28,5.5,5.34,8.16,11.38,12.47,12.62,13.62,14.81,13.72,11.19,10.19,11.38,12.12,11.16,10.56,12.06,13.16,11.78,10.0,9.88,10.06,7.78,4.72,3.59,4.53,4.38,3.38,3.97,6.66,8.56,8.53,8.53,10.59,12.62,12.47,11.28,11.94,12.47,10.16,6.53,3.91,3.16,1.72,-0.5,-0.69,2.12,4.62,5.16,5.5,7.72,9.31,8.78,7.44,8.25,10.59,11.88,12.41,14.16,17.5,18.53,16.81,14.78,13.78,12.12,8.5,5.59,5.88,7.19,7.16,6.81,7.81,10.12,10.56,9.72,9.78,11.56,12.03,10.47,9.44,10.94,12.09,11.19,10.47,11.53,12.72,11.84,9.5,8.56,8.84,7.69,5.31,4.19,5.97,6.81,5.88,4.62,5.78,6.31,4.47,2.38,2.44,4.03,3.97,2.91,3.97,6.06,6.72,5.34,4.28,5.47,6.22,5.06,4.56,6.78,9.59,10.72,11.5,13.34,15.06,14.47,11.62,9.75,9.78,8.84,6.06,3.94,4.03,3.53,0.84,-1.19,-0.59,1.28,2.19,2.56,4.53,7.22,8.22,6.97,6.72,8.78,10.28,9.94,9.66,11.47,12.28,10.69,8.09,8.06,8.41,7.75,6.34,6.91,9.28,10.56,9.59,9.12,10.0,10.09,8.16,6.62,7.78,9.62,9.31,8.12,8.47,9.62,8.47,6.09,5.66,7.16,7.84,6.84,6.31,8.53,10.38,9.97,9.25,10.56,12.16,11.47,9.88,10.47,12.38,13.28,12.81,13.19,15.06,15.84,14.12,12.47,13.16,13.38,11.59,8.91,8.88,9.25,8.44,6.91,7.38,9.62,10.38,9.72,10.03,12.34,13.94,13.69,13.03,14.41,15.81,14.66,12.19,12.19,13.19,12.56,11.72,12.59,14.53,14.72,12.41,10.31,10.0,9.66,7.84,6.72,8.03,10.03,9.72,7.91,7.88,8.78,8.41,6.84,6.88,8.59,9.28,7.34,5.78,6.56,7.56,6.22,5.16,6.59,8.91,9.34,8.34,9.38,11.22,11.56,9.97,9.44,10.97,12.03,11.19,11.28,13.84,16.31,16.06,14.56,14.03,13.62,10.84,6.75,4.53,4.34,3.69,1.69,1.53,3.53,5.5,5.62,5.94,9.0,12.47,13.38,13.06,14.25,15.69,15.25,13.12,12.88,14.22,14.69,12.84,11.22,11.62,12.06,10.06,8.28,9.41,11.34,11.31,9.84,10.09,10.81,9.59,6.66,5.19,6.41,7.69,7.06,7.09,9.47,11.38,10.56,9.0,10.0,12.12,12.59,12.06,13.34,15.97,16.41,14.47,12.88,12.59,11.12,6.81,3.38,2.91,3.5,2.44,1.78,3.31,5.62,6.38,5.84,7.0,10.03,12.31,12.03,12.34,14.25,15.5,13.25,11.19,10.84,10.88,8.72,5.97,5.78,7.53,7.75,6.84,7.41,9.62,10.38,8.84,7.56,7.75,7.28,4.44,1.75,1.16,1.62,0.59,-1.12,-0.97,0.47,1.25,-0.12,0.0,3.0,5.41,5.53,6.06,8.34,10.16,9.31,7.44,7.66,8.84,8.0,6.62,6.66,8.72,9.75,8.72,9.0,11.56,13.66,13.44,13.0,14.44,15.44,13.97,11.12,10.09,9.66,7.19,3.56,1.62,1.16,1.0,-0.84,-1.66,0.25,2.19,1.75,1.62,3.62,6.19,6.88,6.25,7.16,9.34,9.5,7.78,7.28,8.53,8.81,6.75,5.03,5.66,6.31,4.94,4.0,5.59,8.81,9.84,10.38,11.91,14.75,15.72,14.41,13.88,14.91,14.75,11.91,9.38,9.91,11.06,10.38,10.19,12.5,15.78,17.09,16.91,18.03,20.44,21.09,19.34,18.31,18.78,18.31,15.56,12.72,12.59,12.97,11.12,8.66,8.25,9.53,9.66,9.41,10.94,14.22,16.62,16.47,15.97,17.34,17.94,15.88,13.44,13.16,13.22,11.66,8.78,8.19,9.75,10.19,9.06,9.81,11.91,12.59,10.44,8.12,8.19,9.12,8.28,8.53,11.78,16.12,17.94,17.81,18.06,18.81,17.41,13.72,10.97,9.84,8.25,4.28,0.72,0.22,0.75,-0.34,-0.91,0.97,4.38,6.03,6.38,8.0,11.72,13.12,12.81,12.97,14.88,16.0,14.97,14.25,15.72,18.03,17.91,16.53,16.62,18.25,18.09,16.5,16.38,17.75,18.22,16.25,14.75,15.75,16.5,14.78,12.5,12.88,13.47,11.69,8.81,7.78,8.09,7.44,5.94,6.38,9.5,12.16,12.56,12.94,15.28,17.25,16.56,15.16,16.28,18.31,18.66,17.81,18.28,19.56,19.31,16.75,14.56,15.22,15.16,13.06,11.22,11.72,12.81,11.31,9.25,9.66,11.81,12.75,12.78,14.5,17.62,18.75,17.56,16.97,18.38,19.56,18.22,16.34,16.09,15.97,13.69,10.03,8.53,8.47,6.69,3.66,1.97,2.75,3.59,2.97,3.47,7.16,10.88,12.44,13.16,16.19,18.75,19.22,18.38,19.09,21.62,22.69,21.12,20.41,21.22,20.38,17.66,15.59,16.25,17.59,17.16,15.94,16.91,18.56,18.03,16.41,16.5,18.12,18.69,17.25,16.34,17.78,18.88,17.69,17.0,18.94,21.25,20.97,19.16,18.69,18.53,16.28,12.44,10.34,10.78,10.72,9.31,9.03,11.56,13.66,13.31,12.59,14.19,15.81,15.81,15.03,16.34,19.12,20.53,19.94,19.88,21.25,21.75,20.06,18.75,20.12,21.38,20.53,18.88,19.81,21.69,21.41,20.03,20.16,21.56,21.94,20.44,20.31,22.72,24.28,23.44,22.47,24.03,25.97,26.09,25.97,28.22,30.81,31.12,29.5,28.69,29.75,30.12,28.16,27.53,28.91,29.19,26.72,23.41,23.0,23.22,21.91,20.25,20.5,22.03,21.88,20.22,19.84,21.5,22.5,21.59,21.59,24.25,27.06,27.5,27.03,28.41,29.41,27.75,24.38,22.53,22.25,20.59,17.97,17.22,19.06,20.56,19.97,19.22,21.09,22.81,22.28,21.16,22.31,23.88,23.0,20.69,20.03,20.91,21.09,19.91,20.03,22.41,24.78,24.41,24.16,25.97,27.47,26.34,24.16,23.69,24.16,23.34,21.03,20.94,22.78,24.41,23.53,23.62,25.66,27.5,27.38,27.19,29.28,31.56,31.06,28.81,28.41,28.53,27.75,25.53,24.97,26.47,28.16,27.53,27.47,29.94,31.94,31.53,31.22,32.44,34.75,34.62,33.0,32.44,32.69,31.28,28.19,26.78,27.69,29.16,28.94,29.22,32.06,34.94,34.84,33.66,33.97,34.84,34.47,32.38,31.88,32.47,31.81,28.78,26.91,27.72,28.75,28.16,28.09,30.44,32.81,32.47,31.0,30.44,31.06,29.94,27.56,26.5,27.16,27.03,25.0,23.38,23.72,24.59,22.84,20.78,20.56,21.69,20.62,18.44,17.94,19.28,19.31,17.97,18.28,20.12,21.47,20.5,19.97,22.28,25.06,25.66,26.03,28.19,30.66,31.56,31.06,31.59,33.22,33.25,30.94,29.38,29.72,29.41,26.91,25.06,25.75,26.94,26.75,26.28,27.5,29.56,29.41,27.84,27.53,28.5,28.41,26.88,25.91,27.09,28.34,27.56,26.62,28.19,30.06,29.75,28.22,27.88,28.94,28.5,26.62,26.03,27.59,28.28,26.94,26.28,27.28,28.53,27.16,25.47,25.94,27.81,28.0,27.38,28.62,30.34,30.94,29.19,28.78,29.91,30.25,28.47,26.75,29.5,29.53,28.41,28.69,30.44,31.75,31.16,30.19,30.72,30.09,27.62,24.53,23.06,22.25,21.0,19.72,20.59,23.0,24.94,25.66,26.75,29.19,31.06,31.03,31.34,32.81,34.16,33.88:20.53,18.22,16.56,17.09,17.09,14.84,13.22,14.31,15.97,15.28,14.03,14.81,16.56,17.03,16.0,16.31,18.34,19.47,18.03,17.66,19.53,21.09,20.22,19.03,20.19,21.59,20.75,18.81,18.78,20.12,19.97,18.44,18.16,19.81,20.25,18.47,16.84,17.41,18.22,16.72,14.62,14.69,14.5,12.28,8.72,6.56,6.34,5.53,3.75,3.75,6.56,9.03,9.19,9.0,10.72,11.94,10.72,8.97,8.97,9.5,8.53,6.19,5.78,7.41,8.56,8.12,8.78,11.5,13.72,13.03,11.62,12.28,13.12,11.81,9.72,9.62,10.78,10.31,8.28,7.38,8.56,8.75,6.06,3.88,3.75,3.62,1.59,0.34,1.59,4.0,5.25,5.53,7.47,10.56,11.78,9.97,8.69,8.5,7.66,4.91,2.84,3.22,4.44,3.0,0.94,0.59,1.44,0.22,-2.0,-2.03,0.03,1.97,2.47,4.78,9.59,14.38,16.12,17.53,21.06,23.53,22.69,20.53,19.56,18.97,16.5,12.88,10.34,9.75,8.28,5.03,3.06,3.47,3.53,1.41,-0.66,-0.53,0.59,0.25,-0.75,0.81,3.62,4.91,5.0,5.88,8.09,9.0,6.94,5.16,5.34,5.5,3.06,0.72,0.41,1.41,1.0,0.19,1.09,3.22,3.41,1.31,-0.09,0.0,-0.44,-2.88,-4.53,-3.84,-2.34,-2.94,-3.44,-1.88,1.0,2.59,2.94,5.06,8.38,10.41,10.84,11.94,14.88,17.53,17.25,16.72,18.0,19.5,19.09,18.12,18.66,20.06,19.41,16.44,14.06,12.78,10.19,5.72,2.56,2.38,3.06,2.62,3.38,6.38,10.56,12.53,13.22,14.69,16.88,17.38,15.97,15.38,16.34,16.31,14.12,11.88,11.62,12.0,10.06,8.09,8.28,9.75,9.28,7.5,7.22,7.91,7.41,5.25,4.06,5.12,6.28,5.5,5.34,8.16,11.38,12.47,12.62,13.62,14.81,13.72,11.19,10.19,11.38,12.12,11.16,10.56,12.06,13.16,11.78,10.0,9.88,10.06,7.78,4.72,3.59,4.53,4.38,3.38,3.97,6.66,8.56,8.53,8.53,10.59,12.62,12.47,11.28,11.94,12.47,10.16,6.53,3.91,3.16,1.72,-0.5,-0.69,2.12,4.62,5.16,5.5,7.72,9.31,8.78,7.44,8.25,10.59,11.88,12.41,14.16,17.5,18.53,16.81,14.78,13.78,12.12,8.5,5.59,5.88,7.19,7.16,6.81,7.81,10.12,10.56,9.72,9.78,11.56,12.03,10.47,9.44,10.94,12.09,11.19,10.47,11.53,12.72,11.84,9.5,8.56,8.84,7.69,5.31,4.19,5.97,6.81,5.88,4.62,5.78,6.31,4.47,2.38,2.44,4.03,3.97,2.91,3.97,6.06,6.72,5.34,4.28,5.47,6.22,5.06,4.56,6.78,9.59,10.72,11.5,13.34,15.06,14.47,11.62,9.75,9.78,8.84,6.06,3.94,4.03,3.53,0.84,-1.19,-0.59,1.28,2.19,2.56,4.53,7.22,8.22,6.97,6.72,8.78,10.28,9.94,9.66,11.47,12.28,10.69,8.09,8.06,8.41,7.75,6.34,6.91,9.28,10.56,9.59,9.12,10.0,10.09,8.16,6.62,7.78,9.62,9.31,8.12,8.47,9.62,8.47,6.09,5.66,7.16,7.84,6.84,6.31,8.53,10.38,9.97,9.25,10.56,12.16,11.47,9.88,10.47,12.38,13.28,12.81,13.19,15.06,15.84,14.12,12.47,13.16,13.38,11.59,8.91,8.88,9.25,8.44,6.91,7.38,9.62,10.38,9.72,10.03,12.34,13.94,13.69,13.03,14.41,15.81,14.66,12.19,12.19,13.19,12.56,11.72,12.59,14.53,14.72,12.41,10.31,10.0,9.66,7.84,6.72,8.03,10.03,9.72,7.91,7.88,8.78,8.41,6.84,6.88,8.59,9.28,7.34,5.78,6.56,7.56,6.22,5.16,6.59,8.91,9.34,8.34,9.38,11.22,11.56,9.97,9.44,10.97,12.03,11.19,11.28,13.84,16.31,16.06,14.56,14.03,13.62,10.84,6.75,4.53,4.34,3.69,1.69,1.53,3.53,5.5,5.62,5.94,9.0,12.47,13.38,13.06,14.25,15.69,15.25,13.12,12.88,14.22,14.69,12.84,11.22,11.62,12.06,10.06,8.28,9.41,11.34,11.31,9.84,10.09,10.81,9.59,6.66,5.19,6.41,7.69,7.06,7.09,9.47,11.38,10.56,9.0,10.0,12.12,12.59,12.06,13.34,15.97,16.41,14.47,12.88,12.59,11.12,6.81,3.38,2.91,3.5,2.44,1.78,3.31,5.62,6.38,5.84,7.0,10.03,12.31,12.03,12.34,14.25,15.5,13.25,11.19,10.84,10.88,8.72,5.97,5.78,7.53,7.75,6.84,7.41,9.62,10.38,8.84,7.56,7.75,7.28,4.44,1.75,1.16,1.62,0.59,-1.12,-0.97,0.47,1.25,-0.12,0.0,3.0,5.41,5.53,6.06,8.34,10.16,9.31,7.44,7.66,8.84,8.0,6.62,6.66,8.72,9.75,8.72,9.0,11.56,13.66,13.44,13.0,14.44,15.44,13.97,11.12,10.09,9.66,7.19,3.56,1.62,1.16,1.0,-0.84,-1.66,0.25,2.19,1.75,1.62,3.62,6.19,6.88,6.25,7.16,9.34,9.5,7.78,7.28,8.53,8.81,6.75,5.03,5.66,6.31,4.94,4.0,5.59,8.81,9.84,10.38,11.91,14.75,15.72,14.41,13.88,14.91,14.75,11.91,9.38,9.91,11.06,10.38,10.19,12.5,15.78,17.09,16.91,18.03,20.44,21.09,19.34,18.31,18.78,18.31,15.56,12.72,12.59,12.97,11.12,8.66,8.25,9.53,9.66,9.41,10.94,14.22,16.62,16.47,15.97,17.34,17.94,15.88,13.44,13.16,13.22,11.66,8.78,8.19,9.75,10.19,9.06,9.81,11.91,12.59,10.44,8.12,8.19,9.12,8.28,8.53,11.78,16.12,17.94,17.81,18.06,18.81,17.41,13.72,10.97,9.84,8.25,4.28,0.72,0.22,0.75,-0.34,-0.91,0.97,4.38,6.03,6.38,8.0,11.72,13.12,12.81,12.97,14.88,16.0,14.97,14.25,15.72,18.03,17.91,16.53,16.62,18.25,18.09,16.5,16.38,17.75,18.22,16.25,14.75,15.75,16.5,14.78,12.5,12.88,13.47,11.69,8.81,7.78,8.09,7.44,5.94,6.38,9.5,12.16,12.56,12.94,15.28,17.25,16.56,15.16,16.28,18.31,18.66,17.81,18.28,19.56,19.31,16.75,14.56,15.22,15.16,13.06,11.22,11.72,12.81,11.31,9.25,9.66,11.81,12.75,12.78,14.5,17.62,18.75,17.56,16.97,18.38,19.56,18.22,16.34,16.09,15.97,13.69,10.03,8.53,8.47,6.69,3.66,1.97,2.75,3.59,2.97,3.47,7.16,10.88,12.44,13.16,16.19,18.75,19.22,18.38,19.09,21.62,22.69,21.12,20.41,21.22,20.38,17.66,15.59,16.25,17.59,17.16,15.94,16.91,18.56,18.03,16.41,16.5,18.12,18.69,17.25,16.34,17.78,18.88,17.69,17.0,18.94,21.25,20.97,19.16,18.69,18.53,16.28,12.44,10.34,10.78,10.72,9.31,9.03,11.56,13.66,13.31,12.59,14.19,15.81,15.81,15.03,16.34,19.12,20.53,19.94,19.88,21.25,21.75,20.06,18.75,20.12,21.38,20.53,18.88,19.81,21.69,21.41,20.03,20.16,21.56,21.94,20.44,20.31,22.72,24.28,23.44,22.47,24.03,25.97,26.09,25.97,28.22,30.81,31.12,29.5,28.69,29.75,30.12,28.16,27.53,28.91,29.19,26.72,23.41,23.0,23.22,21.91,20.25,20.5,22.03,21.88,20.22,19.84,21.5,22.5,21.59,21.59,24.25,27.06,27.5,27.03,28.41,29.41,27.75,24.38,22.53,22.25,20.59,17.97,17.22,19.06,20.56,19.97,19.22,21.09,22.81,22.28,21.16,22.31,23.88,23.0,20.69,20.03,20.91,21.09,19.91,20.03,22.41,24.78,24.41,24.16,25.97,27.47,26.34,24.16,23.69,24.16,23.34,21.03,20.94,22.78,24.41,23.53,23.62,25.66,27.5,27.38,27.19,29.28,31.56,31.06,28.81,28.41,28.53,27.75,25.53,24.97,26.47,28.16,27.53,27.47,29.94,31.94,31.53,31.22,32.44,34.75,34.62,33.0,32.44,32.69,31.28,28.19,26.78,27.69,29.16,28.94,29.22,32.06,34.94,34.84,33.66,33.97,34.84,34.47,32.38,31.88,32.47,31.81,28.78,26.91,27.72,28.75,28.16,28.09,30.44,32.81,32.47,31.0,30.44,31.06,29.94,27.56,26.5,27.16,27.03,25.0,23.38,23.72,24.59,22.84,20.78,20.56,21.69,20.62,18.44,17.94,19.28,19.31,17.97,18.28,20.12,21.47,20.5,19.97,22.28,25.06,25.66,26.03,28.19,30.66,31.56,31.06,31.59,33.22,33.25,30.94,29.38,29.72,29.41,26.91,25.06,25.75,26.94,26.75,26.28,27.5,29.56,29.41,27.84,27.53,28.5,28.41,26.88,25.91,27.09,28.34,27.56,26.62,28.19,30.06,29.75,28.22,27.88,28.94,28.5,26.62,26.03,27.59,28.28,26.94,26.28,27.28,28.53,27.16,25.47,25.94,27.81,28.0,27.38,28.62,30.34,30.94,29.19,28.78,29.91,30.25,28.47,26.75,29.5,29.53,28.41,28.69,30.44,31.75,31.16,30.19,30.72,30.09,27.62,24.53,23.06,22.25,21.0,19.72,20.59,23.0,24.94,25.66,26.75,29.19,31.06,31.03,31.34,32.81,34.16,33.88,33.34,34.09,35.34,35.78,35.09,35.47,36.53:14.31,15.97,15.28,14.03,14.81,16.56,17.03,16.0,16.31,18.34,19.47,18.03,17.66,19.53,21.09,20.22,19.03,20.19,21.59,20.75,18.81,18.78,20.12,19.97,18.44,18.16,19.81,20.25,18.47,16.84,17.41,18.22,16.72,14.62,14.69,14.5,12.28,8.72,6.56,6.34,5.53,3.75,3.75,6.56,9.03,9.19,9.0,10.72,11.94,10.72,8.97,8.97,9.5,8.53,6.19,5.78,7.41,8.56,8.12,8.78,11.5,13.72,13.03,11.62,12.28,13.12,11.81,9.72,9.62,10.78,10.31,8.28,7.38,8.56,8.75,6.06,3.88,3.75,3.62,1.59,0.34,1.59,4.0,5.25,5.53,7.47,10.56,11.78,9.97,8.69,8.5,7.66,4.91,2.84,3.22,4.44,3.0,0.94,0.59,1.44,0.22,-2.0,-2.03,0.03,1.97,2.47,4.78,9.59,14.38,16.12,17.53,21.06,23.53,22.69,20.53,19.56,18.97,16.5,12.88,10.34,9.75,8.28,5.03,3.06,3.47,3.53,1.41,-0.66,-0.53,0.59,0.25,-0.75,0.81,3.62,4.91,5.0,5.88,8.09,9.0,6.94,5.16,5.34,5.5,3.06,0.72,0.41,1.41,1.0,0.19,1.09,3.22,3.41,1.31,-0.09,0.0,-0.44,-2.88,-4.53,-3.84,-2.34,-2.94,-3.44,-1.88,1.0,2.59,2.94,5.06,8.38,10.41,10.84,11.94,14.88,17.53,17.25,16.72,18.0,19.5,19.09,18.12,18.66,20.06,19.41,16.44,14.06,12.78,10.19,5.72,2.56,2.38,3.06,2.62,3.38,6.38,10.56,12.53,13.22,14.69,16.88,17.38,15.97,15.38,16.34,16.31,14.12,11.88,11.62,12.0,10.06,8.09,8.28,9.75,9.28,7.5,7.22,7.91,7.41,5.25,4.06,5.12,6.28,5.5,5.34,8.16,11.38,12.47,12.62,13.62,14.81,13.72,11.19,10.19,11.38,12.12,11.16,10.56,12.06,13.16,11.78,10.0,9.88,10.06,7.78,4.72,3.59,4.53,4.38,3.38,3.97,6.66,8.56,8.53,8.53,10.59,12.62,12.47,11.28,11.94,12.47,10.16,6.53,3.91,3.16,1.72,-0.5,-0.69,2.12,4.62,5.16,5.5,7.72,9.31,8.78,7.44,8.25,10.59,11.88,12.41,14.16,17.5,18.53,16.81,14.78,13.78,12.12,8.5,5.59,5.88,7.19,7.16,6.81,7.81,10.12,10.56,9.72,9.78,11.56,12.03,10.47,9.44,10.94,12.09,11.19,10.47,11.53,12.72,11.84,9.5,8.56,8.84,7.69,5.31,4.19,5.97,6.81,5.88,4.62,5.78,6.31,4.47,2.38,2.44,4.03,3.97,2.91,3.97,6.06,6.72,5.34,4.28,5.47,6.22,5.06,4.56,6.78,9.59,10.72,11.5,13.34,15.06,14.47,11.62,9.75,9.78,8.84,6.06,3.94,4.03,3.53,0.84,-1.19,-0.59,1.28,2.19,2.56,4.53,7.22,8.22,6.97,6.72,8.78,10.28,9.94,9.66,11.47,12.28,10.69,8.09,8.06,8.41,7.75,6.34,6.91,9.28,10.56,9.59,9.12,10.0,10.09,8.16,6.62,7.78,9.62,9.31,8.12,8.47,9.62,8.47,6.09,5.66,7.16,7.84,6.84,6.31,8.53,10.38,9.97,9.25,10.56,12.16,11.47,9.88,10.47,12.38,13.28,12.81,13.19,15.06,15.84,14.12,12.47,13.16,13.38,11.59,8.91,8.88,9.25,8.44,6.91,7.38,9.62,10.38,9.72,10.03,12.34,13.94,13.69,13.03,14.41,15.81,14.66,12.19,12.19,13.19,12.56,11.72,12.59,14.53,14.72,12.41,10.31,10.0,9.66,7.84,6.72,8.03,10.03,9.72,7.91,7.88,8.78,8.41,6.84,6.88,8.59,9.28,7.34,5.78,6.56,7.56,6.22,5.16,6.59,8.91,9.34,8.34,9.38,11.22,11.56,9.97,9.44,10.97,12.03,11.19,11.28,13.84,16.31,16.06,14.56,14.03,13.62,10.84,6.75,4.53,4.34,3.69,1.69,1.53,3.53,5.5,5.62,5.94,9.0,12.47,13.38,13.06,14.25,15.69,15.25,13.12,12.88,14.22,14.69,12.84,11.22,11.62,12.06,10.06,8.28,9.41,11.34,11.31,9.84,10.09,10.81,9.59,6.66,5.19,6.41,7.69,7.06,7.09,9.47,11.38,10.56,9.0,10.0,12.12,12.59,12.06,13.34,15.97,16.41,14.47,12.88,12.59,11.12,6.81,3.38,2.91,3.5,2.44,1.78,3.31,5.62,6.38,5.84,7.0,10.03,12.31,12.03,12.34,14.25,15.5,13.25,11.19,10.84,10.88,8.72,5.97,5.78,7.53,7.75,6.84,7.41,9.62,10.38,8.84,7.56,7.75,7.28,4.44,1.75,1.16,1.62,0.59,-1.12,-0.97,0.47,1.25,-0.12,0.0,3.0,5.41,5.53,6.06,8.34,10.16,9.31,7.44,7.66,8.84,8.0,6.62,6.66,8.72,9.75,8.72,9.0,11.56,13.66,13.44,13.0,14.44,15.44,13.97,11.12,10.09,9.66,7.19,3.56,1.62,1.16,1.0,-0.84,-1.66,0.25,2.19,1.75,1.62,3.62,6.19,6.88,6.25,7.16,9.34,9.5,7.78,7.28,8.53,8.81,6.75,5.03,5.66,6.31,4.94,4.0,5.59,8.81,9.84,10.38,11.91,14.75,15.72,14.41,13.88,14.91,14.75,11.91,9.38,9.91,11.06,10.38,10.19,12.5,15.78,17.09,16.91,18.03,20.44,21.09,19.34,18.31,18.78,18.31,15.56,12.72,12.59,12.97,11.12,8.66,8.25,9.53,9.66,9.41,10.94,14.22,16.62,16.47,15.97,17.34,17.94,15.88,13.44,13.16,13.22,11.66,8.78,8.19,9.75,10.19,9.06,9.81,11.91,12.59,10.44,8.12,8.19,9.12,8.28,8.53,11.78,16.12,17.94,17.81,18.06,18.81,17.41,13.72,10.97,9.84,8.25,4.28,0.72,0.22,0.75,-0.34,-0.91,0.97,4.38,6.03,6.38,8.0,11.72,13.12,12.81,12.97,14.88,16.0,14.97,14.25,15.72,18.03,17.91,16.53,16.62,18.25,18.09,16.5,16.38,17.75,18.22,16.25,14.75,15.75,16.5,14.78,12.5,12.88,13.47,11.69,8.81,7.78,8.09,7.44,5.94,6.38,9.5,12.16,12.56,12.94,15.28,17.25,16.56,15.16,16.28,18.31,18.66,17.81,18.28,19.56,19.31,16.75,14.56,15.22,15.16,13.06,11.22,11.72,12.81,11.31,9.25,9.66,11.81,12.75,12.78,14.5,17.62,18.75,17.56,16.97,18.38,19.56,18.22,16.34,16.09,15.97,13.69,10.03,8.53,8.47,6.69,3.66,1.97,2.75,3.59,2.97,3.47,7.16,10.88,12.44,13.16,16.19,18.75,19.22,18.38,19.09,21.62,22.69,21.12,20.41,21.22,20.38,17.66,15.59,16.25,17.59,17.16,15.94,16.91,18.56,18.03,16.41,16.5,18.12,18.69,17.25,16.34,17.78,18.88,17.69,17.0,18.94,21.25,20.97,19.16,18.69,18.53,16.28,12.44,10.34,10.78,10.72,9.31,9.03,11.56,13.66,13.31,12.59,14.19,15.81,15.81,15.03,16.34,19.12,20.53,19.94,19.88,21.25,21.75,20.06,18.75,20.12,21.38,20.53,18.88,19.81,21.69,21.41,20.03,20.16,21.56,21.94,20.44,20.31,22.72,24.28,23.44,22.47,24.03,25.97,26.09,25.97,28.22,30.81,31.12,29.5,28.69,29.75,30.12,28.16,27.53,28.91,29.19,26.72,23.41,23.0,23.22,21.91,20.25,20.5,22.03,21.88,20.22,19.84,21.5,22.5,21.59,21.59,24.25,27.06,27.5,27.03,28.41,29.41,27.75,24.38,22.53,22.25,20.59,17.97,17.22,19.06,20.56,19.97,19.22,21.09,22.81,22.28,21.16,22.31,23.88,23.0,20.69,20.03,20.91,21.09,19.91,20.03,22.41,24.78,24.41,24.16,25.97,27.47,26.34,24.16,23.69,24.16,23.34,21.03,20.94,22.78,24.41,23.53,23.62,25.66,27.5,27.38,27.19,29.28,31.56,31.06,28.81,28.41,28.53,27.75,25.53,24.97,26.47,28.16,27.53,27.47,29.94,31.94,31.53,31.22,32.44,34.75,34.62,33.0,32.44,32.69,31.28,28.19,26.78,27.69,29.16,28.94,29.22,32.06,34.94,34.84,33.66,33.97,34.84,34.47,32.38,31.88,32.47,31.81,28.78,26.91,27.72,28.75,28.16,28.09,30.44,32.81,32.47,31.0,30.44,31.06,29.94,27.56,26.5,27.16,27.03,25.0,23.38,23.72,24.59,22.84,20.78,20.56,21.69,20.62,18.44,17.94,19.28,19.31,17.97,18.28,20.12,21.47,20.5,19.97,22.28,25.06,25.66,26.03,28.19,30.66,31.56,31.06,31.59,33.22,33.25,30.94,29.38,29.72,29.41,26.91,25.06,25.75,26.94,26.75,26.28,27.5,29.56,29.41,27.84,27.53,28.5,28.41,26.88,25.91,27.09,28.34,27.56,26.62,28.19,30.06,29.75,28.22,27.88,28.94,28.5,26.62,26.03,27.59,28.28,26.94,26.28,27.28,28.53,27.16,25.47,25.94,27.81,28.0,27.38,28.62,30.34,30.94,29.19,28.78,29.91,30.25,28.47,26.75,29.5,29.53,28.41,28.69,30.44,31.75,31.16,30.19,30.72,30.09,27.62,24.53,23.06,22.25,21.0,19.72,20.59,23.0,24.94,25.66,26.75,29.19,31.06,31.03,31.34,32.81,34.16,33.88,33.34,34.09,35.34,35.78,35.09,35.47,36.53,36.38,34.31,32.16,31.41,29.91,27.31,25.44:negativity
6.72,5.22,4.91,5.78,5.88,3.75,2.84,4.56,6.84,7.25,7.09,8.84,11.12,11.09,10.19,10.66,12.28,13.16,12.0,11.66,13.53,14.41,12.69,10.59,10.22,10.5,9.47,8.53,10.91,15.16,17.16,16.84,17.16,18.19,17.53,15.22,14.5,16.44,18.12,17.62,16.78,17.59,18.69,17.09,14.62,13.75,14.53,14.03,12.41,12.56,15.0,16.19,15.34,14.53,15.44,16.53,14.88,13.34,13.75,15.09,14.41,12.69,12.88,14.06,14.09,12.12,10.81,11.25,11.19,8.91,7.25,8.53,10.66,10.59,9.47,9.56,9.56,7.09,3.09,1.41,2.16,2.41,1.59,2.12,4.5,6.09,4.56,2.91,3.72,5.72,6.34,7.12,10.28,14.62,16.5,15.78,15.81,16.91,16.81,14.06,12.0,11.75,11.28,8.0,4.44,3.69,4.44,3.31,1.59,1.44,2.94,2.5,0.47,-0.5,0.66,1.22,-0.75,-2.31,-0.81,0.75,0.22,-0.25,1.56,4.19,4.81,3.75,3.88,5.56,5.88,4.91,5.56,8.84,11.94,12.69,12.94,15.16,16.16,14.0,10.38,8.28,7.47,5.16,2.34,1.56,3.25,4.78,4.75,5.81,9.75,13.66,14.84,15.19,17.47,19.44,18.38,16.12,15.31,15.72,14.16,11.0,9.06,9.41,8.97,6.16,3.75,3.34,2.69,0.19,-2.47,-2.12,-0.19,-0.12,-0.94,-0.03,2.47,3.31,2.25,2.16,4.38,5.75,4.62,4.03,6.09,8.59,9.31,9.34,11.69,14.72,15.09,13.16,12.31,12.38,10.59,6.38,2.69,1.44,0.06,-3.34,-5.75,-5.12,-3.0,-2.75,-3.09,-1.84,0.5,0.38,-1.41,-1.97,-0.5,0.31,-0.44,-1.03,0.75,2.53,2.09,1.03,2.62,4.97,5.12,4.19,5.09,7.12,7.72,6.34,5.53,6.38,6.56,4.38,2.34,3.16,3.97,2.22,-0.41,-0.81,-0.31,-1.03,-2.62,-2.19,0.09,0.88,-0.41,-0.59,2.09,3.81,3.53,2.59,4.0,5.34,5.09,3.62,4.0,5.75,5.25,3.41,3.25,5.69,7.53,7.19,7.75,10.12,12.28,12.0,11.03,12.5,14.66,14.69,13.38,14.06,16.09,16.5,14.66,13.47,13.69,12.38,8.31,4.31,2.84,2.16,-0.53,-2.78,-2.06,-0.03,0.22,-1.22,-1.03,0.41,0.34,-1.22,-1.12,1.56,4.12,4.81,5.34,8.5,11.75,11.97,10.94,10.84,10.69,8.5,4.25,2.06,2.47,2.75,2.31,3.03,6.72,9.91,10.81,11.69,14.69,18.19,19.5,19.56,21.41,23.62,23.97,22.34,21.62,22.09,20.94,17.22,13.28,11.59,9.41,4.78,0.0,-2.19,-3.25,-5.47,-7.84,-7.62,-5.16,-3.09,-2.56,-0.31,5.0,9.44,11.44,13.66,17.59,20.88,21.25,20.69,21.53,22.53,21.25,17.75,15.16,13.88,11.0,5.5,1.34,-0.66,-2.16,-5.12,-7.12,-5.44,-2.47,-0.78,0.41,3.22,6.53,7.81,6.97,7.25,9.28,10.69,9.62,9.16,10.94,12.78,12.56,12.25,14.53,17.28,17.72,16.62,16.31,16.53,14.88,11.31,8.94,8.72,8.38,5.88,3.97,4.12,4.25,2.19,-0.16,-0.75,-0.56,-2.03,-5.03,-5.88,-4.81,-4.16,-4.97,-4.66,-2.38,-0.81,-2.5,-4.25,-4.06,-3.53,-5.22,-7.53,-7.5,-6.34,-6.66,-8.25,-7.88,-5.59,-3.72,-3.88,-3.19,-0.31,2.34,2.38,2.69,5.28,8.72,10.56,11.81,15.53,19.84,22.38,21.91,20.97,20.81,19.31,15.22,11.75,11.03,10.88,8.47,6.0,5.19,5.16,2.97,-0.06,-1.25,-0.56,-0.81,-2.44,-2.84,-1.06,0.56,0.22,-0.03,1.81,4.41,4.5,4.09,5.5,8.22,8.84,8.19,9.41,12.12,14.28,14.22,14.5,16.03,16.69,14.5,11.28,10.22,10.09,8.47,7.16,8.06,10.97,12.78,12.75,13.56,16.12,17.78,17.12,16.5,17.31,16.88,12.94,8.31,5.19,3.41,0.88,-1.84,-2.31,-0.03,1.28,0.94,1.53,3.91,5.53,4.5,3.88,5.66,7.69,7.75,7.38,9.34,12.31,13.53,13.53,14.56,16.5,16.88,15.06,14.09,15.16,16.28,14.88,12.97,13.09,13.41,11.69,9.69,10.0,11.88,11.97,10.25,9.72,11.34,12.06,11.22,11.06,13.16,14.53,13.06,10.41,9.16,8.31,5.5,1.91,0.81,2.25,2.91,2.41,3.25,6.12,8.19,8.16,8.72,10.81,13.19,13.38,12.47,13.12,14.91,14.28,12.5,12.12,13.09,12.75,10.88,9.5,10.41,10.97,9.22,7.25,7.69,8.72,7.62,6.19,6.53,7.5,6.66,4.06,3.16,4.41,5.12,4.25,4.03,5.69,6.53,5.06,3.62,4.84,6.88,7.34,7.25,8.44,10.44,10.53,8.5,7.62,9.25,10.09,9.06,8.69,10.78,12.19,11.44,10.19,10.62,11.59,10.66,8.88,9.06,10.78,11.28,10.31,10.41,12.34,13.69,13.0,12.12,13.25,14.22,13.0,10.97,10.72,11.38,10.31,8.19,7.75,9.38,10.28,10.16,11.12,14.75,17.66,18.5,18.72,20.47,22.19,21.69,20.0,19.72,20.78,20.19,18.09,16.97,18.09,17.94,15.81,14.0,15.09,15.88,15.19,13.94,14.97,16.75,16.72,15.94,16.66,18.94,19.47,18.41,17.81,18.91,19.16,17.34,15.56,16.03,16.41,14.88,12.62,12.97,14.16,14.09,13.19,13.91,16.03,17.25,16.19,15.06,15.72,16.03,13.75,11.97,13.31,14.97,14.25,12.84,13.38,14.75,15.03,13.47,13.31,14.78,15.53,14.5,13.94,15.81,17.03,15.19,12.66,12.62,12.84,10.91,8.31,8.06,9.0,8.84,7.41,7.5,9.97,12.22,12.72,14.09,17.97,21.62,22.31,21.84,23.16,24.59,23.78,21.88,21.47,22.0,21.62,19.38,17.66,17.72,17.25,14.16,11.38,11.38,12.19,11.66,11.25,13.09,15.88,17.09,16.25,17.0,19.47,21.5,21.44,22.34,25.0,26.16,24.75,22.41,22.38,22.28,20.62,18.25,17.88,19.31,19.41,18.47,18.81,20.97,21.97,20.0,18.53,19.34,19.94,18.47,17.19,17.91,18.88,17.81,15.81,15.84,17.03,17.56,16.28,15.84,17.03,17.69,15.56,14.12,14.56,15.59,14.22,12.62,13.25,14.72,14.47,12.75,12.5,13.91,13.88,12.28,11.5,12.69,13.22,11.22,9.12,9.28,10.34,9.53,8.53,9.56,11.75,12.25,11.31,12.12,14.81,16.56,15.94,15.41,16.94,18.06,16.34,14.75,15.31,16.47,15.47,13.72,14.31,16.03,16.5,14.97,15.19,16.88,17.66,16.06,14.94,16.09,17.22,15.66,14.06,14.34,15.12,13.66,10.94,10.28,11.5,12.09,11.84,13.31,16.88,19.28,18.78,18.12,18.97,19.81,18.25,15.94,15.97,17.03,16.31,14.5,14.62,16.22,16.91,15.91,16.12,17.97,19.34,17.84,15.62,14.88,14.34,11.53,8.31,7.78,8.91,9.16,8.25,9.06,11.53,13.16,12.62,12.88,15.25,17.38,16.88,16.41,17.59,19.0,17.94,15.66,15.0,15.72,15.38,13.38,13.03,14.72,15.12,13.25,11.62,12.75,13.62,12.91,11.75,13.31,15.69,16.31,16.25,18.06,21.38,22.81,21.59,20.5,20.28,18.47,13.59,9.47,8.34,8.59,7.84,8.12,11.0,14.75,16.47,16.56,18.09,20.94,22.88,22.72,22.81,24.56,25.72,23.44,21.34,21.56,22.62,21.94,21.03,22.03,24.03,23.75,21.12,19.72,20.12,19.72,17.81,16.72,18.34,19.53,17.81,15.75,15.31,15.56,13.75,11.53,11.44,13.34,13.5,12.22,12.06,14.0,15.44,14.62,14.22,16.59,19.25,18.91,18.5,19.59,20.81,18.62,14.97,12.16,11.28,9.09,5.66,3.66,4.25,4.22,1.69,0.12,0.75,2.09,1.06,0.06,1.66,5.25,7.28,8.06,10.47,13.69,14.62,12.5,10.88,11.19,11.12,9.22,8.5,10.69,13.62,14.34,14.53,16.0,18.5,18.78,17.59,17.78,19.81,20.03,17.94,16.22,16.53,16.44,14.09,11.59,11.72,12.06,9.88,7.06,6.44,8.09,8.53,8.31,10.0,14.5,18.47,20.59,23.5,28.66,33.06,34.19,34.09,35.66,37.09,35.72,32.53,30.91,30.66,28.97,25.28,22.94,22.75,21.69,18.25,15.75,16.19,16.81,14.94,12.72,12.84,14.16,13.84,12.66,12.94,14.66,14.59,13.12,12.47,14.88,17.47,18.0,18.22,20.56,23.31,23.12,22.47,24.28,27.31,28.28,27.69,27.97,29.53,29.44,26.78,24.69,25.44,25.88,23.88,22.03,22.22,22.88,21.53,19.44,19.78,20.97,20.0,17.47,15.88,17.0,17.69,17.28,18.09,20.91,23.31,22.59,20.59,20.25,20.28,17.94,15.25,15.12,17.38,18.66,19.0,20.28,23.47,25.06,23.59,21.53,21.5,21.16,18.62,15.97,15.44,16.09,14.97,12.75,12.41,14.44,15.72,15.62,16.19,19.09,20.97,19.94,18.88,20.28,21.47,20.16,17.53,16.66,16.59,14.59,11.09,9.22,9.41,8.75,6.19,4.72,5.88,7.22,6.12,5.31,7.19,9.44,9.69,9.28,10.53,13.84,15.25,15.25,16.16,18.25,18.69,17.16,15.44,16.12,16.88,15.5,13.38,13.5,13.97,12.5,9.91,9.72,11.19,11.59,10.03,9.28,10.09,9.78,7.25,5.59,6.69:4.56,6.84,7.25,7.09,8.84,11.12,11.09,10.19,10.66,12.28,13.16,12.0,11.66,13.53,14.41,12.69,10.59,10.22,10.5,9.47,8.53,10.91,15.16,17.16,16.84,17.16,18.19,17.53,15.22,14.5,16.44,18.12,17.62,16.78,17.59,18.69,17.09,14.62,13.75,14.53,14.03,12.41,12.56,15.0,16.19,15.34,14.53,15.44,16.53,14.88,13.34,13.75,15.09,14.41,12.69,12.88,14.06,14.09,12.12,10.81,11.25,11.19,8.91,7.25,8.53,10.66,10.59,9.47,9.56,9.56,7.09,3.09,1.41,2.16,2.41,1.59,2.12,4.5,6.09,4.56,2.91,3.72,5.72,6.34,7.12,10.28,14.62,16.5,15.78,15.81,16.91,16.81,14.06,12.0,11.75,11.28,8.0,4.44,3.69,4.44,3.31,1.59,1.44,2.94,2.5,0.47,-0.5,0.66,1.22,-0.75,-2.31,-0.81,0.75,0.22,-0.25,1.56,4.19,4.81,3.75,3.88,5.56,5.88,4.91,5.56,8.84,11.94,12.69,12.94,15.16,16.16,14.0,10.38,8.28,7.47,5.16,2.34,1.56,3.25,4.78,4.75,5.81,9.75,13.66,14.84,15.19,17.47,19.44,18.38,16.12,15.31,15.72,14.16,11.0,9.06,9.41,8.97,6.16,3.75,3.34,2.69,0.19,-2.47,-2.12,-0.19,-0.12,-0.94,-0.03,2.47,3.31,2.25,2.16,4.38,5.75,4.62,4.03,6.09,8.59,9.31,9.34,11.69,14.72,15.09,13.16,12.31,12.38,10.59,6.38,2.69,1.44,0.06,-3.34,-5.75,-5.12,-3.0,-2.75,-3.09,-1.84,0.5,0.38,-1.41,-1.97,-0.5,0.31,-0.44,-1.03,0.75,2.53,2.09,1.03,2.62,4.97,5.12,4.19,5.09,7.12,7.72,6.34,5.53,6.38,6.56,4.38,2.34,3.16,3.97,2.22,-0.41,-0.81,-0.31,-1.03,-2.62,-2.19,0.09,0.88,-0.41,-0.59,2.09,3.81,3.53,2.59,4.0,5.34,5.09,3.62,4.0,5.75,5.25,3.41,3.25,5.69,7.53,7.19,7.75,10.12,12.28,12.0,11.03,12.5,14.66,14.69,13.38,14.06,16.09,16.5,14.66,13.47,13.69,12.38,8.31,4.31,2.84,2.16,-0.53,-2.78,-2.06,-0.03,0.22,-1.22,-1.03,0.41,0.34,-1.22,-1.12,1.56,4.12,4.81,5.34,8.5,11.75,11.97,10.94,10.84,10.69,8.5,4.25,2.06,2.47,2.75,2.31,3.03,6.72,9.91,10.81,11.69,14.69,18.19,19.5,19.56,21.41,23.62,23.97,22.34,21.62,22.09,20.94,17.22,13.28,11.59,9.41,4.78,0.0,-2.19,-3.25,-5.47,-7.84,-7.62,-5.16,-3.09,-2.56,-0.31,5.0,9.44,11.44,13.66,17.59,20.88,21.25,20.69,21.53,22.53,21.25,17.75,15.16,13.88,11.0,5.5,1.34,-0.66,-2.16,-5.12,-7.12,-5.44,-2.47,-0.78,0.41,3.22,6.53,7.81,6.97,7.25,9.28,10.69,9.62,9.16,10.94,12.78,12.56,12.25,14.53,17.28,17.72,16.62,16.31,16.53,14.88,11.31,8.94,8.72,8.38,5.88,3.97,4.12,4.25,2.19,-0.16,-0.75,-0.56,-2.03,-5.03,-5.88,-4.81,-4.16,-4.97,-4.66,-2.38,-0.81,-2.5,-4.25,-4.06,-3.53,-5.22,-7.53,-7.5,-6.34,-6.66,-8.25,-7.88,-5.59,-3.72,-3.88,-3.19,-0.31,2.34,2.38,2.69,5.28,8.72,10.56,11.81,15.53,19.84,22.38,21.91,20.97,20.81,19.31,15.22,11.75,11.03,10.88,8.47,6.0,5.19,5.16,2.97,-0.06,-1.25,-0.56,-0.81,-2.44,-2.84,-1.06,0.56,0.22,-0.03,1.81,4.41,4.5,4.09,5.5,8.22,8.84,8.19,9.41,12.12,14.28,14.22,14.5,16.03,16.69,14.5,11.28,10.22,10.09,8.47,7.16,8.06,10.97,12.78,12.75,13.56,16.12,17.78,17.12,16.5,17.31,16.88,12.94,8.31,5.19,3.41,0.88,-1.84,-2.31,-0.03,1.28,0.94,1.53,3.91,5.53,4.5,3.88,5.66,7.69,7.75,7.38,9.34,12.31,13.53,13.53,14.56,16.5,16.88,15.06,14.09,15.16,16.28,14.88,12.97,13.09,13.41,11.69,9.69,10.0,11.88,11.97,10.25,9.72,11.34,12.06,11.22,11.06,13.16,14.53,13.06,10.41,9.16,8.31,5.5,1.91,0.81,2.25,2.91,2.41,3.25,6.12,8.19,8.16,8.72,10.81,13.19,13.38,12.47,13.12,14.91,14.28,12.5,12.12,13.09,12.75,10.88,9.5,10.41,10.97,9.22,7.25,7.69,8.72,7.62,6.19,6.53,7.5,6.66,4.06,3.16,4.41,5.12,4.25,4.03,5.69,6.53,5.06,3.62,4.84,6.88,7.34,7.25,8.44,10.44,10.53,8.5,7.62,9.25,10.09,9.06,8.69,10.78,12.19,11.44,10.19,10.62,11.59,10.66,8.88,9.06,10.78,11.28,10.31,10.41,12.34,13.69,13.0,12.12,13.25,14.22,13.0,10.97,10.72,11.38,10.31,8.19,7.75,9.38,10.28,10.16,11.12,14.75,17.66,18.5,18.72,20.47,22.19,21.69,20.0,19.72,20.78,20.19,18.09,16.97,18.09,17.94,15.81,14.0,15.09,15.88,15.19,13.94,14.97,16.75,16.72,15.94,16.66,18.94,19.47,18.41,17.81,18.91,19.16,17.34,15.56,16.03,16.41,14.88,12.62,12.97,14.16,14.09,13.19,13.91,16.03,17.25,16.19,15.06,15.72,16.03,13.75,11.97,13.31,14.97,14.25,12.84,13.38,14.75,15.03,13.47,13.31,14.78,15.53,14.5,13.94,15.81,17.03,15.19,12.66,12.62,12.84,10.91,8.31,8.06,9.0,8.84,7.41,7.5,9.97,12.22,12.72,14.09,17.97,21.62,22.31,21.84,23.16,24.59,23.78,21.88,21.47,22.0,21.62,19.38,17.66,17.72,17.25,14.16,11.38,11.38,12.19,11.66,11.25,13.09,15.88,17.09,16.25,17.0,19.47,21.5,21.44,22.34,25.0,26.16,24.75,22.41,22.38,22.28,20.62,18.25,17.88,19.31,19.41,18.47,18.81,20.97,21.97,20.0,18.53,19.34,19.94,18.47,17.19,17.91,18.88,17.81,15.81,15.84,17.03,17.56,16.28,15.84,17.03,17.69,15.56,14.12,14.56,15.59,14.22,12.62,13.25,14.72,14.47,12.75,12.5,13.91,13.88,12.28,11.5,12.69,13.22,11.22,9.12,9.28,10.34,9.53,8.53,9.56,11.75,12.25,11.31,12.12,14.81,16.56,15.94,15.41,16.94,18.06,16.34,14.75,15.31,16.47,15.47,13.72,14.31,16.03,16.5,14.97,15.19,16.88,17.66,16.06,14.94,16.09,17.22,15.66,14.06,14.34,15.12,13.66,10.94,10.28,11.5,12.09,11.84,13.31,16.88,19.28,18.78,18.12,18.97,19.81,18.25,15.94,15.97,17.03,16.31,14.5,14.62,16.22,16.91,15.91,16.12,17.97,19.34,17.84,15.62,14.88,14.34,11.53,8.31,7.78,8.91,9.16,8.25,9.06,11.53,13.16,12.62,12.88,15.25,17.38,16.88,16.41,17.59,19.0,17.94,15.66,15.0,15.72,15.38,13.38,13.03,14.72,15.12,13.25,11.62,12.75,13.62,12.91,11.75,13.31,15.69,16.31,16.25,18.06,21.38,22.81,21.59,20.5,20.28,18.47,13.59,9.47,8.34,8.59,7.84,8.12,11.0,14.75,16.47,16.56,18.09,20.94,22.88,22.72,22.81,24.56,25.72,23.44,21.34,21.56,22.62,21.94,21.03,22.03,24.03,23.75,21.12,19.72,20.12,19.72,17.81,16.72,18.34,19.53,17.81,15.75,15.31,15.56,13.75,11.53,11.44,13.34,13.5,12.22,12.06,14.0,15.44,14.62,14.22,16.59,19.25,18.91,18.5,19.59,20.81,18.62,14.97,12.16,11.28,9.09,5.66,3.66,4.25,4.22,1.69,0.12,0.75,2.09,1.06,0.06,1.66,5.25,7.28,8.06,10.47,13.69,14.62,12.5,10.88,11.19,11.12,9.22,8.5,10.69,13.62,14.34,14.53,16.0,18.5,18.78,17.59,17.78,19.81,20.03,17.94,16.22,16.53,16.44,14.09,11.59,11.72,12.06,9.88,7.06,6.44,8.09,8.53,8.31,10.0,14.5,18.47,20.59,23.5,28.66,33.06,34.19,34.09,35.66,37.09,35.72,32.53,30.91,30.66,28.97,25.28,22.94,22.75,21.69,18.25,15.75,16.19,16.81,14.94,12.72,12.84,14.16,13.84,12.66,12.94,14.66,14.59,13.12,12.47,14.88,17.47,18.0,18.22,20.56,23.31,23.12,22.47,24.28,27.31,28.28,27.69,27.97,29.53,29.44,26.78,24.69,25.44,25.88,23.88,22.03,22.22,22.88,21.53,19.44,19.78,20.97,20.0,17.47,15.88,17.0,17.69,17.28,18.09,20.91,23.31,22.59,20.59,20.25,20.28,17.94,15.25,15.12,17.38,18.66,19.0,20.28,23.47,25.06,23.59,21.53,21.5,21.16,18.62,15.97,15.44,16.09,14.97,12.75,12.41,14.44,15.72,15.62,16.19,19.09,20.97,19.94,18.88,20.28,21.47,20.16,17.53,16.66,16.59,14.59,11.09,9.22,9.41,8.75,6.19,4.72,5.88,7.22,6.12,5.31,7.19,9.44,9.69,9.28,10.53,13.84,15.25,15.25,16.16,18.25,18.69,17.16,15.44,16.12,16.88,15.5,13.38,13.5,13.97,12.5,9.91,9.72,11.19,11.59,10.03,9.28,10.09,9.78,7.25,5.59,6.69,26.91,25.91,25.88,26.81,26.84,25.88,25.31:10.19,10.66,12.28,13.16,12.0,11.66,13.53,14.41,12.69,10.59,10.22,10.5,9.47,8.53,10.91,15.16,17.16,16.84,17.16,18.19,17.53,15.22,14.5,16.44,18.12,17.62,16.78,17.59,18.69,17.09,14.62,13.75,14.53,14.03,12.41,12.56,15.0,16.19,15.34,14.53,15.44,16.53,14.88,13.34,13.75,15.09,14.41,12.69,12.88,14.06,14.09,12.12,10.81,11.25,11.19,8.91,7.25,8.53,10.66,10.59,9.47,9.56,9.56,7.09,3.09,1.41,2.16,2.41,1.59,2.12,4.5,6.09,4.56,2.91,3.72,5.72,6.34,7.12,10.28,14.62,16.5,15.78,15.81,16.91,16.81,14.06,12.0,11.75,11.28,8.0,4.44,3.69,4.44,3.31,1.59,1.44,2.94,2.5,0.47,-0.5,0.66,1.22,-0.75,-2.31,-0.81,0.75,0.22,-0.25,1.56,4.19,4.81,3.75,3.88,5.56,5.88,4.91,5.56,8.84,11.94,12.69,12.94,15.16,16.16,14.0,10.38,8.28,7.47,5.16,2.34,1.56,3.25,4.78,4.75,5.81,9.75,13.66,14.84,15.19,17.47,19.44,18.38,16.12,15.31,15.72,14.16,11.0,9.06,9.41,8.97,6.16,3.75,3.34,2.69,0.19,-2.47,-2.12,-0.19,-0.12,-0.94,-0.03,2.47,3.31,2.25,2.16,4.38,5.75,4.62,4.03,6.09,8.59,9.31,9.34,11.69,14.72,15.09,13.16,12.31,12.38,10.59,6.38,2.69,1.44,0.06,-3.34,-5.75,-5.12,-3.0,-2.75,-3.09,-1.84,0.5,0.38,-1.41,-1.97,-0.5,0.31,-0.44,-1.03,0.75,2.53,2.09,1.03,2.62,4.97,5.12,4.19,5.09,7.12,7.72,6.34,5.53,6.38,6.56,4.38,2.34,3.16,3.97,2.22,-0.41,-0.81,-0.31,-1.03,-2.62,-2.19,0.09,0.88,-0.41,-0.59,2.09,3.81,3.53,2.59,4.0,5.34,5.09,3.62,4.0,5.75,5.25,3.41,3.25,5.69,7.53,7.19,7.75,10.12,12.28,12.0,11.03,12.5,14.66,14.69,13.38,14.06,16.09,16.5,14.66,13.47,13.69,12.38,8.31,4.31,2.84,2.16,-0.53,-2.78,-2.06,-0.03,0.22,-1.22,-1.03,0.41,0.34,-1.22,-1.12,1.56,4.12,4.81,5.34,8.5,11.75,11.97,10.94,10.84,10.69,8.5,4.25,2.06,2.47,2.75,2.31,3.03,6.72,9.91,10.81,11.69,14.69,18.19,19.5,19.56,21.41,23.62,23.97,22.34,21.62,22.09,20.94,17.22,13.28,11.59,9.41,4.78,0.0,-2.19,-3.25,-5.47,-7.84,-7.62,-5.16,-3.09,-2.56,-0.31,5.0,9.44,11.44,13.66,17.59,20.88,21.25,20.69,21.53,22.53,21.25,17.75,15.16,13.88,11.0,5.5,1.34,-0.66,-2.16,-5.12,-7.12,-5.44,-2.47,-0.78,0.41,3.22,6.53,7.81,6.97,7.25,9.28,10.69,9.62,9.16,10.94,12.78,12.56,12.25,14.53,17.28,17.72,16.62,16.31,16.53,14.88,11.31,8.94,8.72,8.38,5.88,3.97,4.12,4.25,2.19,-0.16,-0.75,-0.56,-2.03,-5.03,-5.88,-4.81,-4.16,-4.97,-4.66,-2.38,-0.81,-2.5,-4.25,-4.06,-3.53,-5.22,-7.53,-7.5,-6.34,-6.66,-8.25,-7.88,-5.59,-3.72,-3.88,-3.19,-0.31,2.34,2.38,2.69,5.28,8.72,10.56,11.81,15.53,19.84,22.38,21.91,20.97,20.81,19.31,15.22,11.75,11.03,10.88,8.47,6.0,5.19,5.16,2.97,-0.06,-1.25,-0.56,-0.81,-2.44,-2.84,-1.06,0.56,0.22,-0.03,1.81,4.41,4.5,4.09,5.5,8.22,8.84,8.19,9.41,12.12,14.28,14.22,14.5,16.03,16.69,14.5,11.28,10.22,10.09,8.47,7.16,8.06,10.97,12.78,12.75,13.56,16.12,17.78,17.12,16.5,17.31,16.88,12.94,8.31,5.19,3.41,0.88,-1.84,-2.31,-0.03,1.28,0.94,1.53,3.91,5.53,4.5,3.88,5.66,7.69,7.75,7.38,9.34,12.31,13.53,13.53,14.56,16.5,16.88,15.06,14.09,15.16,16.28,14.88,12.97,13.09,13.41,11.69,9.69,10.0,11.88,11.97,10.25,9.72,11.34,12.06,11.22,11.06,13.16,14.53,13.06,10.41,9.16,8.31,5.5,1.91,0.81,2.25,2.91,2.41,3.25,6.12,8.19,8.16,8.72,10.81,13.19,13.38,12.47,13.12,14.91,14.28,12.5,12.12,13.09,12.75,10.88,9.5,10.41,10.97,9.22,7.25,7.69,8.72,7.62,6.19,6.53,7.5,6.66,4.06,3.16,4.41,5.12,4.25,4.03,5.69,6.53,5.06,3.62,4.84,6.88,7.34,7.25,8.44,10.44,10.53,8.5,7.62,9.25,10.09,9.06,8.69,10.78,12.19,11.44,10.19,10.62,11.59,10.66,8.88,9.06,10.78,11.28,10.31,10.41,12.34,13.69,13.0,12.12,13.25,14.22,13.0,10.97,10.72,11.38,10.31,8.19,7.75,9.38,10.28,10.16,11.12,14.75,17.66,18.5,18.72,20.47,22.19,21.69,20.0,19.72,20.78,20.19,18.09,16.97,18.09,17.94,15.81,14.0,15.09,15.88,15.19,13.94,14.97,16.75,16.72,15.94,16.66,18.94,19.47,18.41,17.81,18.91,19.16,17.34,15.56,16.03,16.41,14.88,12.62,12.97,14.16,14.09,13.19,13.91,16.03,17.25,16.19,15.06,15.72,16.03,13.75,11.97,13.31,14.97,14.25,12.84,13.38,14.75,15.03,13.47,13.31,14.78,15.53,14.5,13.94,15.81,17.03,15.19,12.66,12.62,12.84,10.91,8.31,8.06,9.0,8.84,7.41,7.5,9.97,12.22,12.72,14.09,17.97,21.62,22.31,21.84,23.16,24.59,23.78,21.88,21.47,22.0,21.62,19.38,17.66,17.72,17.25,14.16,11.38,11.38,12.19,11.66,11.25,13.09,15.88,17.09,16.25,17.0,19.47,21.5,21.44,22.34,25.0,26.16,24.75,22.41,22.38,22.28,20.62,18.25,17.88,19.31,19.41,18.47,18.81,20.97,21.97,20.0,18.53,19.34,19.94,18.47,17.19,17.91,18.88,17.81,15.81,15.84,17.03,17.56,16.28,15.84,17.03,17.69,15.56,14.12,14.56,15.59,14.22,12.62,13.25,14.72,14.47,12.75,12.5,13.91,13.88,12.28,11.5,12.69,13.22,11.22,9.12,9.28,10.34,9.53,8.53,9.56,11.75,12.25,11.31,12.12,14.81,16.56,15.94,15.41,16.94,18.06,16.34,14.75,15.31,16.47,15.47,13.72,14.31,16.03,16.5,14.97,15.19,16.88,17.66,16.06,14.94,16.09,17.22,15.66,14.06,14.34,15.12,13.66,10.94,10.28,11.5,12.09,11.84,13.31,16.88,19.28,18.78,18.12,18.97,19.81,18.25,15.94,15.97,17.03,16.31,14.5,14.62,16.22,16.91,15.91,16.12,17.97,19.34,17.84,15.62,14.88,14.34,11.53,8.31,7.78,8.91,9.16,8.25,9.06,11.53,13.16,12.62,12.88,15.25,17.38,16.88,16.41,17.59,19.0,17.94,15.66,15.0,15.72,15.38,13.38,13.03,14.72,15.12,13.25,11.62,12.75,13.62,12.91,11.75,13.31,15.69,16.31,16.25,18.06,21.38,22.81,21.59,20.5,20.28,18.47,13.59,9.47,8.34,8.59,7.84,8.12,11.0,14.75,16.47,16.56,18.09,20.94,22.88,22.72,22.81,24.56,25.72,23.44,21.34,21.56,22.62,21.94,21.03,22.03,24.03,23.75,21.12,19.72,20.12,19.72,17.81,16.72,18.34,19.53,17.81,15.75,15.31,15.56,13.75,11.53,11.44,13.34,13.5,12.22,12.06,14.0,15.44,14.62,14.22,16.59,19.25,18.91,18.5,19.59,20.81,18.62,14.97,12.16,11.28,9.09,5.66,3.66,4.25,4.22,1.69,0.12,0.75,2.09,1.06,0.06,1.66,5.25,7.28,8.06,10.47,13.69,14.62,12.5,10.88,11.19,11.12,9.22,8.5,10.69,13.62,14.34,14.53,16.0,18.5,18.78,17.59,17.78,19.81,20.03,17.94,16.22,16.53,16.44,14.09,11.59,11.72,12.06,9.88,7.06,6.44,8.09,8.53,8.31,10.0,14.5,18.47,20.59,23.5,28.66,33.06,34.19,34.09,35.66,37.09,35.72,32.53,30.91,30.66,28.97,25.28,22.94,22.75,21.69,18.25,15.75,16.19,16.81,14.94,12.72,12.84,14.16,13.84,12.66,12.94,14.66,14.59,13.12,12.47,14.88,17.47,18.0,18.22,20.56,23.31,23.12,22.47,24.28,27.31,28.28,27.69,27.97,29.53,29.44,26.78,24.69,25.44,25.88,23.88,22.03,22.22,22.88,21.53,19.44,19.78,20.97,20.0,17.47,15.88,17.0,17.69,17.28,18.09,20.91,23.31,22.59,20.59,20.25,20.28,17.94,15.25,15.12,17.38,18.66,19.0,20.28,23.47,25.06,23.59,21.53,21.5,21.16,18.62,15.97,15.44,16.09,14.97,12.75,12.41,14.44,15.72,15.62,16.19,19.09,20.97,19.94,18.88,20.28,21.47,20.16,17.53,16.66,16.59,14.59,11.09,9.22,9.41,8.75,6.19,4.72,5.88,7.22,6.12,5.31,7.19,9.44,9.69,9.28,10.53,13.84,15.25,15.25,16.16,18.25,18.69,17.16,15.44,16.12,16.88,15.5,13.38,13.5,13.97,12.5,9.91,9.72,11.19,11.59,10.03,9.28,10.09,9.78,7.25,5.59,6.69,26.91,25.91,25.88,26.81,26.84,25.88,25.31,26.25,27.5,27.53,27.03,27.53,28.19,27.38:14.41,12.69,10.59,10.22,10.5,9.47,8.53,10.91,15.16,17.16,16.84,17.16,18.19,17.53,15.22,14.5,16.44,18.12,17.62,16.78,17.59,18.69,17.09,14.62,13.75,14.53,14.03,12.41,12.56,15.0,16.19,15.34,14.53,15.44,16.53,14.88,13.34,13.75,15.09,14.41,12.69,12.88,14.06,14.09,12.12,10.81,11.25,11.19,8.91,7.25,8.53,10.66,10.59,9.47,9.56,9.56,7.09,3.09,1.41,2.16,2.41,1.59,2.12,4.5,6.09,4.56,2.91,3.72,5.72,6.34,7.12,10.28,14.62,16.5,15.78,15.81,16.91,16.81,14.06,12.0,11.75,11.28,8.0,4.44,3.69,4.44,3.31,1.59,1.44,2.94,2.5,0.47,-0.5,0.66,1.22,-0.75,-2.31,-0.81,0.75,0.22,-0.25,1.56,4.19,4.81,3.75,3.88,5.56,5.88,4.91,5.56,8.84,11.94,12.69,12.94,15.16,16.16,14.0,10.38,8.28,7.47,5.16,2.34,1.56,3.25,4.78,4.75,5.81,9.75,13.66,14.84,15.19,17.47,19.44,18.38,16.12,15.31,15.72,14.16,11.0,9.06,9.41,8.97,6.16,3.75,3.34,2.69,0.19,-2.47,-2.12,-0.19,-0.12,-0.94,-0.03,2.47,3.31,2.25,2.16,4.38,5.75,4.62,4.03,6.09,8.59,9.31,9.34,11.69,14.72,15.09,13.16,12.31,12.38,10.59,6.38,2.69,1.44,0.06,-3.34,-5.75,-5.12,-3.0,-2.75,-3.09,-1.84,0.5,0.38,-1.41,-1.97,-0.5,0.31,-0.44,-1.03,0.75,2.53,2.09,1.03,2.62,4.97,5.12,4.19,5.09,7.12,7.72,6.34,5.53,6.38,6.56,4.38,2.34,3.16,3.97,2.22,-0.41,-0.81,-0.31,-1.03,-2.62,-2.19,0.09,0.88,-0.41,-0.59,2.09,3.81,3.53,2.59,4.0,5.34,5.09,3.62,4.0,5.75,5.25,3.41,3.25,5.69,7.53,7.19,7.75,10.12,12.28,12.0,11.03,12.5,14.66,14.69,13.38,14.06,16.09,16.5,14.66,13.47,13.69,12.38,8.31,4.31,2.84,2.16,-0.53,-2.78,-2.06,-0.03,0.22,-1.22,-1.03,0.41,0.34,-1.22,-1.12,1.56,4.12,4.81,5.34,8.5,11.75,11.97,10.94,10.84,10.69,8.5,4.25,2.06,2.47,2.75,2.31,3.03,6.72,9.91,10.81,11.69,14.69,18.19,19.5,19.56,21.41,23.62,23.97,22.34,21.62,22.09,20.94,17.22,13.28,11.59,9.41,4.78,0.0,-2.19,-3.25,-5.47,-7.84,-7.62,-5.16,-3.09,-2.56,-0.31,5.0,9.44,11.44,13.66,17.59,20.88,21.25,20.69,21.53,22.53,21.25,17.75,15.16,13.88,11.0,5.5,1.34,-0.66,-2.16,-5.12,-7.12,-5.44,-2.47,-0.78,0.41,3.22,6.53,7.81,6.97,7.25,9.28,10.69,9.62,9.16,10.94,12.78,12.56,12.25,14.53,17.28,17.72,16.62,16.31,16.53,14.88,11.31,8.94,8.72,8.38,5.88,3.97,4.12,4.25,2.19,-0.16,-0.75,-0.56,-2.03,-5.03,-5.88,-4.81,-4.16,-4.97,-4.66,-2.38,-0.81,-2.5,-4.25,-4.06,-3.53,-5.22,-7.53,-7.5,-6.34,-6.66,-8.25,-7.88,-5.59,-3.72,-3.88,-3.19,-0.31,2.34,2.38,2.69,5.28,8.72,10.56,11.81,15.53,19.84,22.38,21.91,20.97,20.81,19.31,15.22,11.75,11.03,10.88,8.47,6.0,5.19,5.16,2.97,-0.06,-1.25,-0.56,-0.81,-2.44,-2.84,-1.06,0.56,0.22,-0.03,1.81,4.41,4.5,4.09,5.5,8.22,8.84,8.19,9.41,12.12,14.28,14.22,14.5,16.03,16.69,14.5,11.28,10.22,10.09,8.47,7.16,8.06,10.97,12.78,12.75,13.56,16.12,17.78,17.12,16.5,17.31,16.88,12.94,8.31,5.19,3.41,0.88,-1.84,-2.31,-0.03,1.28,0.94,1.53,3.91,5.53,4.5,3.88,5.66,7.69,7.75,7.38,9.34,12.31,13.53,13.53,14.56,16.5,16.88,15.06,14.09,15.16,16.28,14.88,12.97,13.09,13.41,11.69,9.69,10.0,11.88,11.97,10.25,9.72,11.34,12.06,11.22,11.06,13.16,14.53,13.06,10.41,9.16,8.31,5.5,1.91,0.81,2.25,2.91,2.41,3.25,6.12,8.19,8.16,8.72,10.81,13.19,13.38,12.47,13.12,14.91,14.28,12.5,12.12,13.09,12.75,10.88,9.5,10.41,10.97,9.22,7.25,7.69,8.72,7.62,6.19,6.53,7.5,6.66,4.06,3.16,4.41,5.12,4.25,4.03,5.69,6.53,5.06,3.62,4.84,6.88,7.34,7.25,8.44,10.44,10.53,8.5,7.62,9.25,10.09,9.06,8.69,10.78,12.19,11.44,10.19,10.62,11.59,10.66,8.88,9.06,10.78,11.28,10.31,10.41,12.34,13.69,13.0,12.12,13.25,14.22,13.0,10.97,10.72,11.38,10.31,8.19,7.75,9.38,10.28,10.16,11.12,14.75,17.66,18.5,18.72,20.47,22.19,21.69,20.0,19.72,20.78,20.19,18.09,16.97,18.09,17.94,15.81,14.0,15.09,15.88,15.19,13.94,14.97,16.75,16.72,15.94,16.66,18.94,19.47,18.41,17.81,18.91,19.16,17.34,15.56,16.03,16.41,14.88,12.62,12.97,14.16,14.09,13.19,13.91,16.03,17.25,16.19,15.06,15.72,16.03,13.75,11.97,13.31,14.97,14.25,12.84,13.38,14.75,15.03,13.47,13.31,14.78,15.53,14.5,13.94,15.81,17.03,15.19,12.66,12.62,12.84,10.91,8.31,8.06,9.0,8.84,7.41,7.5,9.97,12.22,12.72,14.09,17.97,21.62,22.31,21.84,23.16,24.59,23.78,21.88,21.47,22.0,21.62,19.38,17.66,17.72,17.25,14.16,11.38,11.38,12.19,11.66,11.25,13.09,15.88,17.09,16.25,17.0,19.47,21.5,21.44,22.34,25.0,26.16,24.75,22.41,22.38,22.28,20.62,18.25,17.88,19.31,19.41,18.47,18.81,20.97,21.97,20.0,18.53,19.34,19.94,18.47,17.19,17.91,18.88,17.81,15.81,15.84,17.03,17.56,16.28,15.84,17.03,17.69,15.56,14.12,14.56,15.59,14.22,12.62,13.25,14.72,14.47,12.75,12.5,13.91,13.88,12.28,11.5,12.69,13.22,11.22,9.12,9.28,10.34,9.53,8.53,9.56,11.75,12.25,11.31,12.12,14.81,16.56,15.94,15.41,16.94,18.06,16.34,14.75,15.31,16.47,15.47,13.72,14.31,16.03,16.5,14.97,15.19,16.88,17.66,16.06,14.94,16.09,17.22,15.66,14.06,14.34,15.12,13.66,10.94,10.28,11.5,12.09,11.84,13.31,16.88,19.28,18.78,18.12,18.97,19.81,18.25,15.94,15.97,17.03,16.31,14.5,14.62,16.22,16.91,15.91,16.12,17.97,19.34,17.84,15.62,14.88,14.34,11.53,8.31,7.78,8.91,9.16,8.25,9.06,11.53,13.16,12.62,12.88,15.25,17.38,16.88,16.41,17.59,19.0,17.94,15.66,15.0,15.72,15.38,13.38,13.03,14.72,15.12,13.25,11.62,12.75,13.62,12.91,11.75,13.31,15.69,16.31,16.25,18.06,21.38,22.81,21.59,20.5,20.28,18.47,13.59,9.47,8.34,8.59,7.84,8.12,11.0,14.75,16.47,16.56,18.09,20.94,22.88,22.72,22.81,24.56,25.72,23.44,21.34,21.56,22.62,21.94,21.03,22.03,24.03,23.75,21.12,19.72,20.12,19.72,17.81,16.72,18.34,19.53,17.81,15.75,15.31,15.56,13.75,11.53,11.44,13.34,13.5,12.22,12.06,14.0,15.44,14.62,14.22,16.59,19.25,18.91,18.5,19.59,20.81,18.62,14.97,12.16,11.28,9.09,5.66,3.66,4.25,4.22,1.69,0.12,0.75,2.09,1.06,0.06,1.66,5.25,7.28,8.06,10.47,13.69,14.62,12.5,10.88,11.19,11.12,9.22,8.5,10.69,13.62,14.34,14.53,16.0,18.5,18.78,17.59,17.78,19.81,20.03,17.94,16.22,16.53,16.44,14.09,11.59,11.72,12.06,9.88,7.06,6.44,8.09,8.53,8.31,10.0,14.5,18.47,20.59,23.5,28.66,33.06,34.19,34.09,35.66,37.09,35.72,32.53,30.91,30.66,28.97,25.28,22.94,22.75,21.69,18.25,15.75,16.19,16.81,14.94,12.72,12.84,14.16,13.84,12.66,12.94,14.66,14.59,13.12,12.47,14.88,17.47,18.0,18.22,20.56,23.31,23.12,22.47,24.28,27.31,28.28,27.69,27.97,29.53,29.44,26.78,24.69,25.44,25.88,23.88,22.03,22.22,22.88,21.53,19.44,19.78,20.97,20.0,17.47,15.88,17.0,17.69,17.28,18.09,20.91,23.31,22.59,20.59,20.25,20.28,17.94,15.25,15.12,17.38,18.66,19.0,20.28,23.47,25.06,23.59,21.53,21.5,21.16,18.62,15.97,15.44,16.09,14.97,12.75,12.41,14.44,15.72,15.62,16.19,19.09,20.97,19.94,18.88,20.28,21.47,20.16,17.53,16.66,16.59,14.59,11.09,9.22,9.41,8.75,6.19,4.72,5.88,7.22,6.12,5.31,7.19,9.44,9.69,9.28,10.53,13.84,15.25,15.25,16.16,18.25,18.69,17.16,15.44,16.12,16.88,15.5,13.38,13.5,13.97,12.5,9.91,9.72,11.19,11.59,10.03,9.28,10.09,9.78,7.25,5.59,6.69,26.91,25.91,25.88,26.81,26.84,25.88,25.31,26.25,27.5,27.53,27.03,27.53,28.19,27.38,25.94,25.66,26.09,26.06,25.44,25.72,27.5:10.91,15.16,17.16,16.84,17.16,18.19,17.53,15.22,14.5,16.44,18.12,17.62,16.78,17.59,18.69,17.09,14.62,13.75,14.53,14.03,12.41,12.56,15.0,16.19,15.34,14.53,15.44,16.53,14.88,13.34,13.75,15.09,14.41,12.69,12.88,14.06,14.09,12.12,10.81,11.25,11.19,8.91,7.25,8.53,10.66,10.59,9.47,9.56,9.56,7.09,3.09,1.41,2.16,2.41,1.59,2.12,4.5,6.09,4.56,2.91,3.72,5.72,6.34,7.12,10.28,14.62,16.5,15.78,15.81,16.91,16.81,14.06,12.0,11.75,11.28,8.0,4.44,3.69,4.44,3.31,1.59,1.44,2.94,2.5,0.47,-0.5,0.66,1.22,-0.75,-2.31,-0.81,0.75,0.22,-0.25,1.56,4.19,4.81,3.75,3.88,5.56,5.88,4.91,5.56,8.84,11.94,12.69,12.94,15.16,16.16,14.0,10.38,8.28,7.47,5.16,2.34,1.56,3.25,4.78,4.75,5.81,9.75,13.66,14.84,15.19,17.47,19.44,18.38,16.12,15.31,15.72,14.16,11.0,9.06,9.41,8.97,6.16,3.75,3.34,2.69,0.19,-2.47,-2.12,-0.19,-0.12,-0.94,-0.03,2.47,3.31,2.25,2.16,4.38,5.75,4.62,4.03,6.09,8.59,9.31,9.34,11.69,14.72,15.09,13.16,12.31,12.38,10.59,6.38,2.69,1.44,0.06,-3.34,-5.75,-5.12,-3.0,-2.75,-3.09,-1.84,0.5,0.38,-1.41,-1.97,-0.5,0.31,-0.44,-1.03,0.75,2.53,2.09,1.03,2.62,4.97,5.12,4.19,5.09,7.12,7.72,6.34,5.53,6.38,6.56,4.38,2.34,3.16,3.97,2.22,-0.41,-0.81,-0.31,-1.03,-2.62,-2.19,0.09,0.88,-0.41,-0.59,2.09,3.81,3.53,2.59,4.0,5.34,5.09,3.62,4.0,5.75,5.25,3.41,3.25,5.69,7.53,7.19,7.75,10.12,12.28,12.0,11.03,12.5,14.66,14.69,13.38,14.06,16.09,16.5,14.66,13.47,13.69,12.38,8.31,4.31,2.84,2.16,-0.53,-2.78,-2.06,-0.03,0.22,-1.22,-1.03,0.41,0.34,-1.22,-1.12,1.56,4.12,4.81,5.34,8.5,11.75,11.97,10.94,10.84,10.69,8.5,4.25,2.06,2.47,2.75,2.31,3.03,6.72,9.91,10.81,11.69,14.69,18.19,19.5,19.56,21.41,23.62,23.97,22.34,21.62,22.09,20.94,17.22,13.28,11.59,9.41,4.78,0.0,-2.19,-3.25,-5.47,-7.84,-7.62,-5.16,-3.09,-2.56,-0.31,5.0,9.44,11.44,13.66,17.59,20.88,21.25,20.69,21.53,22.53,21.25,17.75,15.16,13.88,11.0,5.5,1.34,-0.66,-2.16,-5.12,-7.12,-5.44,-2.47,-0.78,0.41,3.22,6.53,7.81,6.97,7.25,9.28,10.69,9.62,9.16,10.94,12.78,12.56,12.25,14.53,17.28,17.72,16.62,16.31,16.53,14.88,11.31,8.94,8.72,8.38,5.88,3.97,4.12,4.25,2.19,-0.16,-0.75,-0.56,-2.03,-5.03,-5.88,-4.81,-4.16,-4.97,-4.66,-2.38,-0.81,-2.5,-4.25,-4.06,-3.53,-5.22,-7.53,-7.5,-6.34,-6.66,-8.25,-7.88,-5.59,-3.72,-3.88,-3.19,-0.31,2.34,2.38,2.69,5.28,8.72,10.56,11.81,15.53,19.84,22.38,21.91,20.97,20.81,19.31,15.22,11.75,11.03,10.88,8.47,6.0,5.19,5.16,2.97,-0.06,-1.25,-0.56,-0.81,-2.44,-2.84,-1.06,0.56,0.22,-0.03,1.81,4.41,4.5,4.09,5.5,8.22,8.84,8.19,9.41,12.12,14.28,14.22,14.5,16.03,16.69,14.5,11.28,10.22,10.09,8.47,7.16,8.06,10.97,12.78,12.75,13.56,16.12,17.78,17.12,16.5,17.31,16.88,12.94,8.31,5.19,3.41,0.88,-1.84,-2.31,-0.03,1.28,0.94,1.53,3.91,5.53,4.5,3.88,5.66,7.69,7.75,7.38,9.34,12.31,13.53,13.53,14.56,16.5,16.88,15.06,14.09,15.16,16.28,14.88,12.97,13.09,13.41,11.69,9.69,10.0,11.88,11.97,10.25,9.72,11.34,12.06,11.22,11.06,13.16,14.53,13.06,10.41,9.16,8.31,5.5,1.91,0.81,2.25,2.91,2.41,3.25,6.12,8.19,8.16,8.72,10.81,13.19,13.38,12.47,13.12,14.91,14.28,12.5,12.12,13.09,12.75,10.88,9.5,10.41,10.97,9.22,7.25,7.69,8.72,7.62,6.19,6.53,7.5,6.66,4.06,3.16,4.41,5.12,4.25,4.03,5.69,6.53,5.06,3.62,4.84,6.88,7.34,7.25,8.44,10.44,10.53,8.5,7.62,9.25,10.09,9.06,8.69,10.78,12.19,11.44,10.19,10.62,11.59,10.66,8.88,9.06,10.78,11.28,10.31,10.41,12.34,13.69,13.0,12.12,13.25,14.22,13.0,10.97,10.72,11.38,10.31,8.19,7.75,9.38,10.28,10.16,11.12,14.75,17.66,18.5,18.72,20.47,22.19,21.69,20.0,19.72,20.78,20.19,18.09,16.97,18.09,17.94,15.81,14.0,15.09,15.88,15.19,13.94,14.97,16.75,16.72,15.94,16.66,18.94,19.47,18.41,17.81,18.91,19.16,17.34,15.56,16.03,16.41,14.88,12.62,12.97,14.16,14.09,13.19,13.91,16.03,17.25,16.19,15.06,15.72,16.03,13.75,11.97,13.31,14.97,14.25,12.84,13.38,14.75,15.03,13.47,13.31,14.78,15.53,14.5,13.94,15.81,17.03,15.19,12.66,12.62,12.84,10.91,8.31,8.06,9.0,8.84,7.41,7.5,9.97,12.22,12.72,14.09,17.97,21.62,22.31,21.84,23.16,24.59,23.78,21.88,21.47,22.0,21.62,19.38,17.66,17.72,17.25,14.16,11.38,11.38,12.19,11.66,11.25,13.09,15.88,17.09,16.25,17.0,19.47,21.5,21.44,22.34,25.0,26.16,24.75,22.41,22.38,22.28,20.62,18.25,17.88,19.31,19.41,18.47,18.81,20.97,21.97,20.0,18.53,19.34,19.94,18.47,17.19,17.91,18.88,17.81,15.81,15.84,17.03,17.56,16.28,15.84,17.03,17.69,15.56,14.12,14.56,15.59,14.22,12.62,13.25,14.72,14.47,12.75,12.5,13.91,13.88,12.28,11.5,12.69,13.22,11.22,9.12,9.28,10.34,9.53,8.53,9.56,11.75,12.25,11.31,12.12,14.81,16.56,15.94,15.41,16.94,18.06,16.34,14.75,15.31,16.47,15.47,13.72,14.31,16.03,16.5,14.97,15.19,16.88,17.66,16.06,14.94,16.09,17.22,15.66,14.06,14.34,15.12,13.66,10.94,10.28,11.5,12.09,11.84,13.31,16.88,19.28,18.78,18.12,18.97,19.81,18.25,15.94,15.97,17.03,16.31,14.5,14.62,16.22,16.91,15.91,16.12,17.97,19.34,17.84,15.62,14.88,14.34,11.53,8.31,7.78,8.91,9.16,8.25,9.06,11.53,13.16,12.62,12.88,15.25,17.38,16.88,16.41,17.59,19.0,17.94,15.66,15.0,15.72,15.38,13.38,13.03,14.72,15.12,13.25,11.62,12.75,13.62,12.91,11.75,13.31,15.69,16.31,16.25,18.06,21.38,22.81,21.59,20.5,20.28,18.47,13.59,9.47,8.34,8.59,7.84,8.12,11.0,14.75,16.47,16.56,18.09,20.94,22.88,22.72,22.81,24.56,25.72,23.44,21.34,21.56,22.62,21.94,21.03,22.03,24.03,23.75,21.12,19.72,20.12,19.72,17.81,16.72,18.34,19.53,17.81,15.75,15.31,15.56,13.75,11.53,11.44,13.34,13.5,12.22,12.06,14.0,15.44,14.62,14.22,16.59,19.25,18.91,18.5,19.59,20.81,18.62,14.97,12.16,11.28,9.09,5.66,3.66,4.25,4.22,1.69,0.12,0.75,2.09,1.06,0.06,1.66,5.25,7.28,8.06,10.47,13.69,14.62,12.5,10.88,11.19,11.12,9.22,8.5,10.69,13.62,14.34,14.53,16.0,18.5,18.78,17.59,17.78,19.81,20.03,17.94,16.22,16.53,16.44,14.09,11.59,11.72,12.06,9.88,7.06,6.44,8.09,8.53,8.31,10.0,14.5,18.47,20.59,23.5,28.66,33.06,34.19,34.09,35.66,37.09,35.72,32.53,30.91,30.66,28.97,25.28,22.94,22.75,21.69,18.25,15.75,16.19,16.81,14.94,12.72,12.84,14.16,13.84,12.66,12.94,14.66,14.59,13.12,12.47,14.88,17.47,18.0,18.22,20.56,23.31,23.12,22.47,24.28,27.31,28.28,27.69,27.97,29.53,29.44,26.78,24.69,25.44,25.88,23.88,22.03,22.22,22.88,21.53,19.44,19.78,20.97,20.0,17.47,15.88,17.0,17.69,17.28,18.09,20.91,23.31,22.59,20.59,20.25,20.28,17.94,15.25,15.12,17.38,18.66,19.0,20.28,23.47,25.06,23.59,21.53,21.5,21.16,18.62,15.97,15.44,16.09,14.97,12.75,12.41,14.44,15.72,15.62,16.19,19.09,20.97,19.94,18.88,20.28,21.47,20.16,17.53,16.66,16.59,14.59,11.09,9.22,9.41,8.75,6.19,4.72,5.88,7.22,6.12,5.31,7.19,9.44,9.69,9.28,10.53,13.84,15.25,15.25,16.16,18.25,18.69,17.16,15.44,16.12,16.88,15.5,13.38,13.5,13.97,12.5,9.91,9.72,11.19,11.59,10.03,9.28,10.09,9.78,7.25,5.59,6.69,26.91,25.91,25.88,26.81,26.84,25.88,25.31,26.25,27.5,27.53,27.03,27.53,28.19,27.38,25.94,25.66,26.09,26.06,25.44,25.72,27.5,29.16,29.44,29.38,30.22,31.44,31.59,31.88:15.22,14.5,16.44,18.12,17.62,16.78,17.59,18.69,17.09,14.62,13.75,14.53,14.03,12.41,12.56,15.0,16.19,15.34,14.53,15.44,16.53,14.88,13.34,13.75,15.09,14.41,12.69,12.88,14.06,14.09,12.12,10.81,11.25,11.19,8.91,7.25,8.53,10.66,10.59,9.47,9.56,9.56,7.09,3.09,1.41,2.16,2.41,1.59,2.12,4.5,6.09,4.56,2.91,3.72,5.72,6.34,7.12,10.28,14.62,16.5,15.78,15.81,16.91,16.81,14.06,12.0,11.75,11.28,8.0,4.44,3.69,4.44,3.31,1.59,1.44,2.94,2.5,0.47,-0.5,0.66,1.22,-0.75,-2.31,-0.81,0.75,0.22,-0.25,1.56,4.19,4.81,3.75,3.88,5.56,5.88,4.91,5.56,8.84,11.94,12.69,12.94,15.16,16.16,14.0,10.38,8.28,7.47,5.16,2.34,1.56,3.25,4.78,4.75,5.81,9.75,13.66,14.84,15.19,17.47,19.44,18.38,16.12,15.31,15.72,14.16,11.0,9.06,9.41,8.97,6.16,3.75,3.34,2.69,0.19,-2.47,-2.12,-0.19,-0.12,-0.94,-0.03,2.47,3.31,2.25,2.16,4.38,5.75,4.62,4.03,6.09,8.59,9.31,9.34,11.69,14.72,15.09,13.16,12.31,12.38,10.59,6.38,2.69,1.44,0.06,-3.34,-5.75,-5.12,-3.0,-2.75,-3.09,-1.84,0.5,0.38,-1.41,-1.97,-0.5,0.31,-0.44,-1.03,0.75,2.53,2.09,1.03,2.62,4.97,5.12,4.19,5.09,7.12,7.72,6.34,5.53,6.38,6.56,4.38,2.34,3.16,3.97,2.22,-0.41,-0.81,-0.31,-1.03,-2.62,-2.19,0.09,0.88,-0.41,-0.59,2.09,3.81,3.53,2.59,4.0,5.34,5.09,3.62,4.0,5.75,5.25,3.41,3.25,5.69,7.53,7.19,7.75,10.12,12.28,12.0,11.03,12.5,14.66,14.69,13.38,14.06,16.09,16.5,14.66,13.47,13.69,12.38,8.31,4.31,2.84,2.16,-0.53,-2.78,-2.06,-0.03,0.22,-1.22,-1.03,0.41,0.34,-1.22,-1.12,1.56,4.12,4.81,5.34,8.5,11.75,11.97,10.94,10.84,10.69,8.5,4.25,2.06,2.47,2.75,2.31,3.03,6.72,9.91,10.81,11.69,14.69,18.19,19.5,19.56,21.41,23.62,23.97,22.34,21.62,22.09,20.94,17.22,13.28,11.59,9.41,4.78,0.0,-2.19,-3.25,-5.47,-7.84,-7.62,-5.16,-3.09,-2.56,-0.31,5.0,9.44,11.44,13.66,17.59,20.88,21.25,20.69,21.53,22.53,21.25,17.75,15.16,13.88,11.0,5.5,1.34,-0.66,-2.16,-5.12,-7.12,-5.44,-2.47,-0.78,0.41,3.22,6.53,7.81,6.97,7.25,9.28,10.69,9.62,9.16,10.94,12.78,12.56,12.25,14.53,17.28,17.72,16.62,16.31,16.53,14.88,11.31,8.94,8.72,8.38,5.88,3.97,4.12,4.25,2.19,-0.16,-0.75,-0.56,-2.03,-5.03,-5.88,-4.81,-4.16,-4.97,-4.66,-2.38,-0.81,-2.5,-4.25,-4.06,-3.53,-5.22,-7.53,-7.5,-6.34,-6.66,-8.25,-7.88,-5.59,-3.72,-3.88,-3.19,-0.31,2.34,2.38,2.69,5.28,8.72,10.56,11.81,15.53,19.84,22.38,21.91,20.97,20.81,19.31,15.22,11.75,11.03,10.88,8.47,6.0,5.19,5.16,2.97,-0.06,-1.25,-0.56,-0.81,-2.44,-2.84,-1.06,0.56,0.22,-0.03,1.81,4.41,4.5,4.09,5.5,8.22,8.84,8.19,9.41,12.12,14.28,14.22,14.5,16.03,16.69,14.5,11.28,10.22,10.09,8.47,7.16,8.06,10.97,12.78,12.75,13.56,16.12,17.78,17.12,16.5,17.31,16.88,12.94,8.31,5.19,3.41,0.88,-1.84,-2.31,-0.03,1.28,0.94,1.53,3.91,5.53,4.5,3.88,5.66,7.69,7.75,7.38,9.34,12.31,13.53,13.53,14.56,16.5,16.88,15.06,14.09,15.16,16.28,14.88,12.97,13.09,13.41,11.69,9.69,10.0,11.88,11.97,10.25,9.72,11.34,12.06,11.22,11.06,13.16,14.53,13.06,10.41,9.16,8.31,5.5,1.91,0.81,2.25,2.91,2.41,3.25,6.12,8.19,8.16,8.72,10.81,13.19,13.38,12.47,13.12,14.91,14.28,12.5,12.12,13.09,12.75,10.88,9.5,10.41,10.97,9.22,7.25,7.69,8.72,7.62,6.19,6.53,7.5,6.66,4.06,3.16,4.41,5.12,4.25,4.03,5.69,6.53,5.06,3.62,4.84,6.88,7.34,7.25,8.44,10.44,10.53,8.5,7.62,9.25,10.09,9.06,8.69,10.78,12.19,11.44,10.19,10.62,11.59,10.66,8.88,9.06,10.78,11.28,10.31,10.41,12.34,13.69,13.0,12.12,13.25,14.22,13.0,10.97,10.72,11.38,10.31,8.19,7.75,9.38,10.28,10.16,11.12,14.75,17.66,18.5,18.72,20.47,22.19,21.69,20.0,19.72,20.78,20.19,18.09,16.97,18.09,17.94,15.81,14.0,15.09,15.88,15.19,13.94,14.97,16.75,16.72,15.94,16.66,18.94,19.47,18.41,17.81,18.91,19.16,17.34,15.56,16.03,16.41,14.88,12.62,12.97,14.16,14.09,13.19,13.91,16.03,17.25,16.19,15.06,15.72,16.03,13.75,11.97,13.31,14.97,14.25,12.84,13.38,14.75,15.03,13.47,13.31,14.78,15.53,14.5,13.94,15.81,17.03,15.19,12.66,12.62,12.84,10.91,8.31,8.06,9.0,8.84,7.41,7.5,9.97,12.22,12.72,14.09,17.97,21.62,22.31,21.84,23.16,24.59,23.78,21.88,21.47,22.0,21.62,19.38,17.66,17.72,17.25,14.16,11.38,11.38,12.19,11.66,11.25,13.09,15.88,17.09,16.25,17.0,19.47,21.5,21.44,22.34,25.0,26.16,24.75,22.41,22.38,22.28,20.62,18.25,17.88,19.31,19.41,18.47,18.81,20.97,21.97,20.0,18.53,19.34,19.94,18.47,17.19,17.91,18.88,17.81,15.81,15.84,17.03,17.56,16.28,15.84,17.03,17.69,15.56,14.12,14.56,15.59,14.22,12.62,13.25,14.72,14.47,12.75,12.5,13.91,13.88,12.28,11.5,12.69,13.22,11.22,9.12,9.28,10.34,9.53,8.53,9.56,11.75,12.25,11.31,12.12,14.81,16.56,15.94,15.41,16.94,18.06,16.34,14.75,15.31,16.47,15.47,13.72,14.31,16.03,16.5,14.97,15.19,16.88,17.66,16.06,14.94,16.09,17.22,15.66,14.06,14.34,15.12,13.66,10.94,10.28,11.5,12.09,11.84,13.31,16.88,19.28,18.78,18.12,18.97,19.81,18.25,15.94,15.97,17.03,16.31,14.5,14.62,16.22,16.91,15.91,16.12,17.97,19.34,17.84,15.62,14.88,14.34,11.53,8.31,7.78,8.91,9.16,8.25,9.06,11.53,13.16,12.62,12.88,15.25,17.38,16.88,16.41,17.59,19.0,17.94,15.66,15.0,15.72,15.38,13.38,13.03,14.72,15.12,13.25,11.62,12.75,13.62,12.91,11.75,13.31,15.69,16.31,16.25,18.06,21.38,22.81,21.59,20.5,20.28,18.47,13.59,9.47,8.34,8.59,7.84,8.12,11.0,14.75,16.47,16.56,18.09,20.94,22.88,22.72,22.81,24.56,25.72,23.44,21.34,21.56,22.62,21.94,21.03,22.03,24.03,23.75,21.12,19.72,20.12,19.72,17.81,16.72,18.34,19.53,17.81,15.75,15.31,15.56,13.75,11.53,11.44,13.34,13.5,12.22,12.06,14.0,15.44,14.62,14.22,16.59,19.25,18.91,18.5,19.59,20.81,18.62,14.97,12.16,11.28,9.09,5.66,3.66,4.25,4.22,1.69,0.12,0.75,2.09,1.06,0.06,1.66,5.25,7.28,8.06,10.47,13.69,14.62,12.5,10.88,11.19,11.12,9.22,8.5,10.69,13.62,14.34,14.53,16.0,18.5,18.78,17.59,17.78,19.81,20.03,17.94,16.22,16.53,16.44,14.09,11.59,11.72,12.06,9.88,7.06,6.44,8.09,8.53,8.31,10.0,14.5,18.47,20.59,23.5,28.66,33.06,34.19,34.09,35.66,37.09,35.72,32.53,30.91,30.66,28.97,25.28,22.94,22.75,21.69,18.25,15.75,16.19,16.81,14.94,12.72,12.84,14.16,13.84,12.66,12.94,14.66,14.59,13.12,12.47,14.88,17.47,18.0,18.22,20.56,23.31,23.12,22.47,24.28,27.31,28.28,27.69,27.97,29.53,29.44,26.78,24.69,25.44,25.88,23.88,22.03,22.22,22.88,21.53,19.44,19.78,20.97,20.0,17.47,15.88,17.0,17.69,17.28,18.09,20.91,23.31,22.59,20.59,20.25,20.28,17.94,15.25,15.12,17.38,18.66,19.0,20.28,23.47,25.06,23.59,21.53,21.5,21.16,18.62,15.97,15.44,16.09,14.97,12.75,12.41,14.44,15.72,15.62,16.19,19.09,20.97,19.94,18.88,20.28,21.47,20.16,17.53,16.66,16.59,14.59,11.09,9.22,9.41,8.75,6.19,4.72,5.88,7.22,6.12,5.31,7.19,9.44,9.69,9.28,10.53,13.84,15.25,15.25,16.16,18.25,18.69,17.16,15.44,16.12,16.88,15.5,13.38,13.5,13.97,12.5,9.91,9.72,11.19,11.59,10.03,9.28,10.09,9.78,7.25,5.59,6.69,26.91,25.91,25.88,26.81,26.84,25.88,25.31,26.25,27.5,27.53,27.03,27.53,28.19,27.38,25.94,25.66,26.09,26.06,25.44,25.72,27.5,29.16,29.44,29.38,30.22,31.44,31.59,31.88,34.03,37.0,38.28,37.84,37.06,36.59,35.28:18.69,17.09,14.62,13.75,14.53,14.03,12.41,12.56,15.0,16.19,15.34,14.53,15.44,16.53,14.88,13.34,13.75,15.09,14.41,12.69,12.88,14.06,14.09,12.12,10.81,11.25,11.19,8.91,7.25,8.53,10.66,10.59,9.47,9.56,9.56,7.09,3.09,1.41,2.16,2.41,1.59,2.12,4.5,6.09,4.56,2.91,3.72,5.72,6.34,7.12,10.28,14.62,16.5,15.78,15.81,16.91,16.81,14.06,12.0,11.75,11.28,8.0,4.44,3.69,4.44,3.31,1.59,1.44,2.94,2.5,0.47,-0.5,0.66,1.22,-0.75,-2.31,-0.81,0.75,0.22,-0.25,1.56,4.19,4.81,3.75,3.88,5.56,5.88,4.91,5.56,8.84,11.94,12.69,12.94,15.16,16.16,14.0,10.38,8.28,7.47,5.16,2.34,1.56,3.25,4.78,4.75,5.81,9.75,13.66,14.84,15.19,17.47,19.44,18.38,16.12,15.31,15.72,14.16,11.0,9.06,9.41,8.97,6.16,3.75,3.34,2.69,0.19,-2.47,-2.12,-0.19,-0.12,-0.94,-0.03,2.47,3.31,2.25,2.16,4.38,5.75,4.62,4.03,6.09,8.59,9.31,9.34,11.69,14.72,15.09,13.16,12.31,12.38,10.59,6.38,2.69,1.44,0.06,-3.34,-5.75,-5.12,-3.0,-2.75,-3.09,-1.84,0.5,0.38,-1.41,-1.97,-0.5,0.31,-0.44,-1.03,0.75,2.53,2.09,1.03,2.62,4.97,5.12,4.19,5.09,7.12,7.72,6.34,5.53,6.38,6.56,4.38,2.34,3.16,3.97,2.22,-0.41,-0.81,-0.31,-1.03,-2.62,-2.19,0.09,0.88,-0.41,-0.59,2.09,3.81,3.53,2.59,4.0,5.34,5.09,3.62,4.0,5.75,5.25,3.41,3.25,5.69,7.53,7.19,7.75,10.12,12.28,12.0,11.03,12.5,14.66,14.69,13.38,14.06,16.09,16.5,14.66,13.47,13.69,12.38,8.31,4.31,2.84,2.16,-0.53,-2.78,-2.06,-0.03,0.22,-1.22,-1.03,0.41,0.34,-1.22,-1.12,1.56,4.12,4.81,5.34,8.5,11.75,11.97,10.94,10.84,10.69,8.5,4.25,2.06,2.47,2.75,2.31,3.03,6.72,9.91,10.81,11.69,14.69,18.19,19.5,19.56,21.41,23.62,23.97,22.34,21.62,22.09,20.94,17.22,13.28,11.59,9.41,4.78,0.0,-2.19,-3.25,-5.47,-7.84,-7.62,-5.16,-3.09,-2.56,-0.31,5.0,9.44,11.44,13.66,17.59,20.88,21.25,20.69,21.53,22.53,21.25,17.75,15.16,13.88,11.0,5.5,1.34,-0.66,-2.16,-5.12,-7.12,-5.44,-2.47,-0.78,0.41,3.22,6.53,7.81,6.97,7.25,9.28,10.69,9.62,9.16,10.94,12.78,12.56,12.25,14.53,17.28,17.72,16.62,16.31,16.53,14.88,11.31,8.94,8.72,8.38,5.88,3.97,4.12,4.25,2.19,-0.16,-0.75,-0.56,-2.03,-5.03,-5.88,-4.81,-4.16,-4.97,-4.66,-2.38,-0.81,-2.5,-4.25,-4.06,-3.53,-5.22,-7.53,-7.5,-6.34,-6.66,-8.25,-7.88,-5.59,-3.72,-3.88,-3.19,-0.31,2.34,2.38,2.69,5.28,8.72,10.56,11.81,15.53,19.84,22.38,21.91,20.97,20.81,19.31,15.22,11.75,11.03,10.88,8.47,6.0,5.19,5.16,2.97,-0.06,-1.25,-0.56,-0.81,-2.44,-2.84,-1.06,0.56,0.22,-0.03,1.81,4.41,4.5,4.09,5.5,8.22,8.84,8.19,9.41,12.12,14.28,14.22,14.5,16.03,16.69,14.5,11.28,10.22,10.09,8.47,7.16,8.06,10.97,12.78,12.75,13.56,16.12,17.78,17.12,16.5,17.31,16.88,12.94,8.31,5.19,3.41,0.88,-1.84,-2.31,-0.03,1.28,0.94,1.53,3.91,5.53,4.5,3.88,5.66,7.69,7.75,7.38,9.34,12.31,13.53,13.53,14.56,16.5,16.88,15.06,14.09,15.16,16.28,14.88,12.97,13.09,13.41,11.69,9.69,10.0,11.88,11.97,10.25,9.72,11.34,12.06,11.22,11.06,13.16,14.53,13.06,10.41,9.16,8.31,5.5,1.91,0.81,2.25,2.91,2.41,3.25,6.12,8.19,8.16,8.72,10.81,13.19,13.38,12.47,13.12,14.91,14.28,12.5,12.12,13.09,12.75,10.88,9.5,10.41,10.97,9.22,7.25,7.69,8.72,7.62,6.19,6.53,7.5,6.66,4.06,3.16,4.41,5.12,4.25,4.03,5.69,6.53,5.06,3.62,4.84,6.88,7.34,7.25,8.44,10.44,10.53,8.5,7.62,9.25,10.09,9.06,8.69,10.78,12.19,11.44,10.19,10.62,11.59,10.66,8.88,9.06,10.78,11.28,10.31,10.41,12.34,13.69,13.0,12.12,13.25,14.22,13.0,10.97,10.72,11.38,10.31,8.19,7.75,9.38,10.28,10.16,11.12,14.75,17.66,18.5,18.72,20.47,22.19,21.69,20.0,19.72,20.78,20.19,18.09,16.97,18.09,17.94,15.81,14.0,15.09,15.88,15.19,13.94,14.97,16.75,16.72,15.94,16.66,18.94,19.47,18.41,17.81,18.91,19.16,17.34,15.56,16.03,16.41,14.88,12.62,12.97,14.16,14.09,13.19,13.91,16.03,17.25,16.19,15.06,15.72,16.03,13.75,11.97,13.31,14.97,14.25,12.84,13.38,14.75,15.03,13.47,13.31,14.78,15.53,14.5,13.94,15.81,17.03,15.19,12.66,12.62,12.84,10.91,8.31,8.06,9.0,8.84,7.41,7.5,9.97,12.22,12.72,14.09,17.97,21.62,22.31,21.84,23.16,24.59,23.78,21.88,21.47,22.0,21.62,19.38,17.66,17.72,17.25,14.16,11.38,11.38,12.19,11.66,11.25,13.09,15.88,17.09,16.25,17.0,19.47,21.5,21.44,22.34,25.0,26.16,24.75,22.41,22.38,22.28,20.62,18.25,17.88,19.31,19.41,18.47,18.81,20.97,21.97,20.0,18.53,19.34,19.94,18.47,17.19,17.91,18.88,17.81,15.81,15.84,17.03,17.56,16.28,15.84,17.03,17.69,15.56,14.12,14.56,15.59,14.22,12.62,13.25,14.72,14.47,12.75,12.5,13.91,13.88,12.28,11.5,12.69,13.22,11.22,9.12,9.28,10.34,9.53,8.53,9.56,11.75,12.25,11.31,12.12,14.81,16.56,15.94,15.41,16.94,18.06,16.34,14.75,15.31,16.47,15.47,13.72,14.31,16.03,16.5,14.97,15.19,16.88,17.66,16.06,14.94,16.09,17.22,15.66,14.06,14.34,15.12,13.66,10.94,10.28,11.5,12.09,11.84,13.31,16.88,19.28,18.78,18.12,18.97,19.81,18.25,15.94,15.97,17.03,16.31,14.5,14.62,16.22,16.91,15.91,16.12,17.97,19.34,17.84,15.62,14.88,14.34,11.53,8.31,7.78,8.91,9.16,8.25,9.06,11.53,13.16,12.62,12.88,15.25,17.38,16.88,16.41,17.59,19.0,17.94,15.66,15.0,15.72,15.38,13.38,13.03,14.72,15.12,13.25,11.62,12.75,13.62,12.91,11.75,13.31,15.69,16.31,16.25,18.06,21.38,22.81,21.59,20.5,20.28,18.47,13.59,9.47,8.34,8.59,7.84,8.12,11.0,14.75,16.47,16.56,18.09,20.94,22.88,22.72,22.81,24.56,25.72,23.44,21.34,21.56,22.62,21.94,21.03,22.03,24.03,23.75,21.12,19.72,20.12,19.72,17.81,16.72,18.34,19.53,17.81,15.75,15.31,15.56,13.75,11.53,11.44,13.34,13.5,12.22,12.06,14.0,15.44,14.62,14.22,16.59,19.25,18.91,18.5,19.59,20.81,18.62,14.97,12.16,11.28,9.09,5.66,3.66,4.25,4.22,1.69,0.12,0.75,2.09,1.06,0.06,1.66,5.25,7.28,8.06,10.47,13.69,14.62,12.5,10.88,11.19,11.12,9.22,8.5,10.69,13.62,14.34,14.53,16.0,18.5,18.78,17.59,17.78,19.81,20.03,17.94,16.22,16.53,16.44,14.09,11.59,11.72,12.06,9.88,7.06,6.44,8.09,8.53,8.31,10.0,14.5,18.47,20.59,23.5,28.66,33.06,34.19,34.09,35.66,37.09,35.72,32.53,30.91,30.66,28.97,25.28,22.94,22.75,21.69,18.25,15.75,16.19,16.81,14.94,12.72,12.84,14.16,13.84,12.66,12.94,14.66,14.59,13.12,12.47,14.88,17.47,18.0,18.22,20.56,23.31,23.12,22.47,24.28,27.31,28.28,27.69,27.97,29.53,29.44,26.78,24.69,25.44,25.88,23.88,22.03,22.22,22.88,21.53,19.44,19.78,20.97,20.0,17.47,15.88,17.0,17.69,17.28,18.09,20.91,23.31,22.59,20.59,20.25,20.28,17.94,15.25,15.12,17.38,18.66,19.0,20.28,23.47,25.06,23.59,21.53,21.5,21.16,18.62,15.97,15.44,16.09,14.97,12.75,12.41,14.44,15.72,15.62,16.19,19.09,20.97,19.94,18.88,20.28,21.47,20.16,17.53,16.66,16.59,14.59,11.09,9.22,9.41,8.75,6.19,4.72,5.88,7.22,6.12,5.31,7.19,9.44,9.69,9.28,10.53,13.84,15.25,15.25,16.16,18.25,18.69,17.16,15.44,16.12,16.88,15.5,13.38,13.5,13.97,12.5,9.91,9.72,11.19,11.59,10.03,9.28,10.09,9.78,7.25,5.59,6.69,26.91,25.91,25.88,26.81,26.84,25.88,25.31,26.25,27.5,27.53,27.03,27.53,28.19,27.38,25.94,25.66,26.09,26.06,25.44,25.72,27.5,29.16,29.44,29.38,30.22,31.44,31.59,31.88,34.03,37.0,38.28,37.84,37.06,36.59,35.28,32.56,31.75,33.19,35.09,35.84,36.59,38.12:negativity
34.12,34.97,35.25,35.59,36.5,37.0,36.44,35.56,35.34,35.56,35.66,34.91,34.91,35.31,35.72,35.91,36.53,38.5,40.91,42.97,44.91,47.88,50.78,52.34,53.22,54.75,55.56,55.47,54.38,53.03,51.59,49.56,47.34,45.22,44.31,43.88,42.69,40.91,39.72,37.88,35.44,32.94,31.91,31.91,32.44,33.03,34.0,35.62,36.78,36.78,36.31,36.31,36.12,35.41,34.91,35.78,37.69,39.25,40.25,41.84,42.78,43.06,42.28,41.53,41.0,39.97,38.16,36.25,35.34,35.66,35.97,36.41,37.81,39.41,39.88,40.03,40.5,41.34,42.25,42.03,41.88,42.28,42.22,41.72,41.5,41.81,42.91,43.31,42.84,42.75,42.62,42.16,41.47,41.53,42.44,43.59,43.88,43.84,43.97,43.72,42.06,39.25,37.31,35.5,33.31,30.94,29.19,28.31,27.88,26.94,27.22,28.66,30.38,30.97,31.91,32.91,34.31,34.84,35.25,36.0,37.28,37.53,36.38,35.0,33.62,31.47,28.62,26.84,26.5,26.75,26.66,26.78,27.44,28.25,28.66,28.44,28.78,29.0,27.94,25.66,23.38,21.81,20.53,19.5,19.25,20.22,21.22,21.31,21.41,22.41,23.97,24.56,24.47,24.19,23.62,21.62,19.41,17.44,16.88,16.69,15.94,15.97,17.25,19.12,20.44,22.09,24.41,27.22,29.12,29.75,30.06,30.34,29.72,28.5,27.91,28.41,29.62,30.5,31.22,33.0,34.78,35.47,36.06,36.38,36.88,36.75,35.44,34.56,34.59,34.81,34.19,33.59,33.47,32.41,29.53,26.31,24.03,22.56,21.53,21.66,23.66,27.06,30.12,32.47,34.28,36.06,37.78,38.19,38.91,41.28,44.03,46.25,48.47,51.69,55.0,57.06,58.22,58.69,59.19,58.5,56.53,53.91,51.25,47.62,42.16,36.69,32.5,29.88,28.06,27.66,29.22,32.41,35.25,37.97,40.41,42.72,43.97,43.31,42.12,41.19,39.75,37.66,35.31,34.19,33.53,32.72,32.94,34.5,36.88,38.72,40.09,41.16,42.41,43.03,42.75,42.28,42.5,42.66,42.0,41.38,41.88,42.59,42.16,41.88,41.62,41.62,41.12,40.03,39.53,39.78,39.66,39.38,39.12,39.16,39.44,38.16,36.19,34.44,32.84,30.97,29.56,29.41,30.16,30.25,29.25,27.81,26.66,25.66,23.59,21.62,20.53,19.75,18.41,17.69,18.81,21.62,24.12,26.03,28.25,30.19,30.91,30.19,29.41,29.25,29.53,28.75,27.75,28.09,28.53,28.62,28.88,29.97,31.81,32.88,33.38,34.03,35.12,36.06,36.16,36.22,37.28,37.75,37.09,35.56,34.72,33.56,31.69,29.09,27.22,25.75,24.0,22.06,20.78,20.69,21.12,21.66,22.41,24.75,27.16,28.75,29.31,30.25,30.72,30.03,28.94,28.0,27.72,27.28,26.38,25.53,25.75,25.59,24.56,23.19,22.72,22.69,22.41,22.5,23.66,25.62,26.31,25.97,26.06,26.38,26.81,26.69,26.84,27.91,28.91,28.72,28.0,28.5,28.69,28.5,27.69,27.41,27.06,25.88,23.56,21.44,20.0,18.19,15.84,13.78,12.41,11.0,9.22,7.62,7.72,9.06,10.62,12.03,14.62,17.88,20.94,23.41,26.19,29.78,32.69,34.41,35.62,37.19,37.31,36.25,33.78,31.88,30.06,28.38,26.56,25.97,26.78,27.25,26.97,27.12,28.03,28.75,28.81,28.88,30.06,30.81,30.69,29.47,28.56,27.38,25.41,22.94,21.06,20.69,20.62,20.47,20.06,20.41,20.09,18.34,16.16,14.94,14.38,13.75,13.09,13.53,14.66,15.62,15.38,15.44,15.91,15.56,14.59,13.75,14.19,15.22,15.88,16.19,17.44,19.19,20.47,21.16,23.34,26.09,28.47,30.22,32.06,33.91,35.31,34.5,33.16,32.66,31.41,29.47,27.16,25.78,24.75,24.03,23.31,23.88,25.22,26.47,26.88,27.41,28.97,30.53,31.09,31.66,32.66,33.41,32.91,31.88,31.09,30.16,28.62,26.47,24.91,24.47,24.66,24.19,24.31,25.69,26.84,26.88,26.47,26.84,27.38,28.0,28.41,29.94,32.09,33.47,33.91,33.84,34.06,34.31,33.66,34.16,36.25,38.78,40.25,40.97,41.22,40.59,38.69,36.03,33.94,32.62,31.69,30.19,29.12,29.31,29.5,28.62,27.62,26.56,25.75,23.94,21.47,20.25,19.81,19.28,18.69,19.0,20.41,21.06,20.56,19.75,19.16,18.75,17.34,16.34,16.84,17.84,18.72,20.25,22.69,25.69,27.84,28.72,29.22,29.91,29.91,28.69,27.22,26.31,25.41,23.38,21.88,21.53,21.94,21.94,21.62,21.84,22.62,22.66,21.78,20.84,20.75,20.03,18.69,17.5,17.0,16.78,15.59,14.34,14.12,14.59,14.53,14.22,14.84,15.94,16.78,16.62,16.97,18.0,19.19,19.94,20.84,22.47,24.03,24.12,24.06,24.19,24.59,24.34,23.41,22.59,22.22,21.62,20.31,19.09,18.59,17.78,16.28,15.31,15.41,16.59,17.56,18.72,20.53,23.03,24.62,25.25,26.16,27.03,27.59,26.72,25.66,25.03,24.75,23.62,22.88,23.12,23.62,23.41,22.19,20.5,18.78,16.69,14.0,12.09,11.59,11.66,11.56,11.69,12.66,14.28,15.25,16.34,18.19,20.53,22.56,23.91,25.12,26.56,27.06,26.0,24.72,23.75,22.5,20.28,18.44,17.62,17.19,16.09,15.56,15.28,16.16,16.69,17.12,17.69,19.31,20.5,20.84,21.38,22.0,21.94,20.81,19.53,18.97,18.94,18.84,18.84,19.06,20.25,20.56,20.44,20.28,20.84,21.03,20.62,20.09,19.84,19.75,18.88,18.53,19.47,21.28,22.34,23.12,24.31,25.5,26.75,27.66,28.75,30.88,32.72,33.41,33.72,33.81,33.59,32.19,30.41,28.88,28.06,26.81,25.69,25.03,25.34,25.25,24.91,24.16,23.91,23.53,22.91,22.38,22.44,22.81,22.59,21.66,21.12,21.12,21.31,21.34,21.69,22.38,22.31,21.0,19.09,17.81,16.0,14.16,12.78,12.94,14.22,15.75,17.03,18.19,19.28,18.94,17.5,15.88,15.47,15.22,15.16,15.12,15.66,16.38,15.88,15.03,14.88,15.34,15.81,16.19,17.12,18.5,18.88,18.22,17.41,17.88,18.12,18.28,18.47,19.53,19.91,19.44,18.09,16.91,16.03,14.81,13.53,13.53,14.38,15.19,15.44,15.72,16.31,16.88,16.12,14.94,14.16,12.94,11.28,9.53,8.91,9.59,10.53,11.59,12.81,14.81,16.78,17.53,18.53,20.47,22.28,23.41,24.19,25.31,26.0,26.16,24.88,23.34,21.88,19.41,16.22,13.47,12.0,11.22,10.38,9.94,10.81,12.06,13.09,14.12,15.97,18.03,19.72,21.12,22.75,24.47,25.97,26.47,26.06,26.25,25.84,24.88,23.56,23.44,23.91,24.25,23.72,23.5,23.03,22.0,20.5,19.78,20.19,20.69,20.25,19.69,19.84,20.44,20.94,21.88,23.69,25.31,26.59,27.06,28.06,28.75,29.03,27.66,26.09,25.0,24.03,22.91,21.88,21.84,21.84,20.78,19.38,18.5,18.19,18.03,17.44,17.56,17.69,17.38,16.44,15.94,16.31,17.16,17.88,18.47,19.47,20.38,20.5,19.41,18.75,18.44,17.94,17.09,17.5,18.62,20.31,21.09,21.88,23.66,25.53,26.62,27.0,27.34,26.78,24.78,21.81,19.62,17.81,16.72,15.41,14.69,14.81,15.47,14.97,14.53,14.41,14.31,13.47,12.72,13.25,14.66,16.44,17.25,18.12,19.75,20.84,21.0,21.09,21.75,22.56,21.88,20.38,19.28,18.59,17.25,16.31,17.34,20.44,24.28,28.16,32.38,36.41,38.88,39.19,38.25,37.53,36.97,35.66,34.5,34.0,33.88,32.97,31.0,29.53,28.56,27.25,25.22,24.38,24.66,25.44,25.56,25.84,26.12,26.59,25.56,24.09,23.91,24.12,24.09,23.62,24.06,24.22,24.09,22.31,20.88,20.28,19.72,18.88,18.69,19.38,20.62,21.25,22.12,23.69,25.72,27.69,28.78,29.97,30.94,31.56,30.53,29.22,28.5,27.78,25.97,24.38,24.03,24.59,25.0,25.78,26.91,28.38,28.91,27.84,26.72,25.5,24.06,21.78,19.81,18.25,17.59,16.44,15.47,15.62,16.62,17.0,17.44,18.09,19.66,21.19,22.31,23.34,24.47,25.41,25.0,24.47,24.62,24.56,23.31,21.69,20.22,19.25,17.56,16.38,16.0,16.66,17.06,16.88,16.62,16.72,16.75,16.06,15.31,15.41,16.06,15.31,13.94,13.44,13.44,12.88,12.62,12.69,13.44,13.81,13.31,13.0,13.0,13.31,12.59,11.72,11.94,12.62,13.12,13.22,13.75,14.41,14.31,13.88,13.25,13.44,13.62,13.06,12.66,13.56,15.0,15.41,15.72,16.81,17.44,17.22,16.78,16.81,17.78,18.59,19.03,19.44,20.41,20.94,20.34,19.88,20.19,20.81,21.22,21.12,21.41,21.75,20.97,19.47,17.91,17.28,16.38,15.25,14.06,13.75,13.56,12.56,11.53,11.19,11.81,11.28,11.06,11.25,11.53,11.06,10.16,9.16,8.88,8.84,8.41,8.44,10.31,12.78,14.62,16.75,19.56,22.09,23.16,23.75,24.25,24.78,24.56,23.34,21.69,21.12,20.34,18.97,18.16,18.72,19.47,19.03,18.16,17.62,17.72,16.81,16.03,15.91,16.62,16.75,16.38,15.94,15.94,16.0,14.94,13.56,13.34,13.19,12.66,12.16:35.56,35.34,35.56,35.66,34.91,34.91,35.31,35.72,35.91,36.53,38.5,40.91,42.97,44.91,47.88,50.78,52.34,53.22,54.75,55.56,55.47,54.38,53.03,51.59,49.56,47.34,45.22,44.31,43.88,42.69,40.91,39.72,37.88,35.44,32.94,31.91,31.91,32.44,33.03,34.0,35.62,36.78,36.78,36.31,36.31,36.12,35.41,34.91,35.78,37.69,39.25,40.25,41.84,42.78,43.06,42.28,41.53,41.0,39.97,38.16,36.25,35.34,35.66,35.97,36.41,37.81,39.41,39.88,40.03,40.5,41.34,42.25,42.03,41.88,42.28,42.22,41.72,41.5,41.81,42.91,43.31,42.84,42.75,42.62,42.16,41.47,41.53,42.44,43.59,43.88,43.84,43.97,43.72,42.06,39.25,37.31,35.5,33.31,30.94,29.19,28.31,27.88,26.94,27.22,28.66,30.38,30.97,31.91,32.91,34.31,34.84,35.25,36.0,37.28,37.53,36.38,35.0,33.62,31.47,28.62,26.84,26.5,26.75,26.66,26.78,27.44,28.25,28.66,28.44,28.78,29.0,27.94,25.66,23.38,21.81,20.53,19.5,19.25,20.22,21.22,21.31,21.41,22.41,23.97,24.56,24.47,24.19,23.62,21.62,19.41,17.44,16.88,16.69,15.94,15.97,17.25,19.12,20.44,22.09,24.41,27.22,29.12,29.75,30.06,30.34,29.72,28.5,27.91,28.41,29.62,30.5,31.22,33.0,34.78,35.47,36.06,36.38,36.88,36.75,35.44,34.56,34.59,34.81,34.19,33.59,33.47,32.41,29.53,26.31,24.03,22.56,21.53,21.66,23.66,27.06,30.12,32.47,34.28,36.06,37.78,38.19,38.91,41.28,44.03,46.25,48.47,51.69,55.0,57.06,58.22,58.69,59.19,58.5,56.53,53.91,51.25,47.62,42.16,36.69,32.5,29.88,28.06,27.66,29.22,32.41,35.25,37.97,40.41,42.72,43.97,43.31,42.12,41.19,39.75,37.66,35.31,34.19,33.53,32.72,32.94,34.5,36.88,38.72,40.09,41.16,42.41,43.03,42.75,42.28,42.5,42.66,42.0,41.38,41.88,42.59,42.16,41.88,41.62,41.62,41.12,40.03,39.53,39.78,39.66,39.38,39.12,39.16,39.44,38.16,36.19,34.44,32.84,30.97,29.56,29.41,30.16,30.25,29.25,27.81,26.66,25.66,23.59,21.62,20.53,19.75,18.41,17.69,18.81,21.62,24.12,26.03,28.25,30.19,30.91,30.19,29.41,29.25,29.53,28.75,27.75,28.09,28.53,28.62,28.88,29.97,31.81,32.88,33.38,34.03,35.12,36.06,36.16,36.22,37.28,37.75,37.09,35.56,34.72,33.56,31.69,29.09,27.22,25.75,24.0,22.06,20.78,20.69,21.12,21.66,22.41,24.75,27.16,28.75,29.31,30.25,30.72,30.03,28.94,28.0,27.72,27.28,26.38,25.53,25.75,25.59,24.56,23.19,22.72,22.69,22.41,22.5,23.66,25.62,26.31,25.97,26.06,26.38,26.81,26.69,26.84,27.91,28.91,28.72,28.0,28.5,28.69,28.5,27.69,27.41,27.06,25.88,23.56,21.44,20.0,18.19,15.84,13.78,12.41,11.0,9.22,7.62,7.72,9.06,10.62,12.03,14.62,17.88,20.94,23.41,26.19,29.78,32.69,34.41,35.62,37.19,37.31,36.25,33.78,31.88,30.06,28.38,26.56,25.97,26.78,27.25,26.97,27.12,28.03,28.75,28.81,28.88,30.06,30.81,30.69,29.47,28.56,27.38,25.41,22.94,21.06,20.69,20.62,20.47,20.06,20.41,20.09,18.34,16.16,14.94,14.38,13.75,13.09,13.53,14.66,15.62,15.38,15.44,15.91,15.56,14.59,13.75,14.19,15.22,15.88,16.19,17.44,19.19,20.47,21.16,23.34,26.09,28.47,30.22,32.06,33.91,35.31,34.5,33.16,32.66,31.41,29.47,27.16,25.78,24.75,24.03,23.31,23.88,25.22,26.47,26.88,27.41,28.97,30.53,31.09,31.66,32.66,33.41,32.91,31.88,31.09,30.16,28.62,26.47,24.91,24.47,24.66,24.19,24.31,25.69,26.84,26.88,26.47,26.84,27.38,28.0,28.41,29.94,32.09,33.47,33.91,33.84,34.06,34.31,33.66,34.16,36.25,38.78,40.25,40.97,41.22,40.59,38.69,36.03,33.94,32.62,31.69,30.19,29.12,29.31,29.5,28.62,27.62,26.56,25.75,23.94,21.47,20.25,19.81,19.28,18.69,19.0,20.41,21.06,20.56,19.75,19.16,18.75,17.34,16.34,16.84,17.84,18.72,20.25,22.69,25.69,27.84,28.72,29.22,29.91,29.91,28.69,27.22,26.31,25.41,23.38,21.88,21.53,21.94,21.94,21.62,21.84,22.62,22.66,21.78,20.84,20.75,20.03,18.69,17.5,17.0,16.78,15.59,14.34,14.12,14.59,14.53,14.22,14.84,15.94,16.78,16.62,16.97,18.0,19.19,19.94,20.84,22.47,24.03,24.12,24.06,24.19,24.59,24.34,23.41,22.59,22.22,21.62,20.31,19.09,18.59,17.78,16.28,15.31,15.41,16.59,17.56,18.72,20.53,23.03,24.62,25.25,26.16,27.03,27.59,26.72,25.66,25.03,24.75,23.62,22.88,23.12,23.62,23.41,22.19,20.5,18.78,16.69,14.0,12.09,11.59,11.66,11.56,11.69,12.66,14.28,15.25,16.34,18.19,20.53,22.56,23.91,25.12,26.56,27.06,26.0,24.72,23.75,22.5,20.28,18.44,17.62,17.19,16.09,15.56,15.28,16.16,16.69,17.12,17.69,19.31,20.5,20.84,21.38,22.0,21.94,20.81,19.53,18.97,18.94,18.84,18.84,19.06,20.25,20.56,20.44,20.28,20.84,21.03,20.62,20.09,19.84,19.75,18.88,18.53,19.47,21.28,22.34,23.12,24.31,25.5,26.75,27.66,28.75,30.88,32.72,33.41,33.72,33.81,33.59,32.19,30.41,28.88,28.06,26.81,25.69,25.03,25.34,25.25,24.91,24.16,23.91,23.53,22.91,22.38,22.44,22.81,22.59,21.66,21.12,21.12,21.31,21.34,21.69,22.38,22.31,21.0,19.09,17.81,16.0,14.16,12.78,12.94,14.22,15.75,17.03,18.19,19.28,18.94,17.5,15.88,15.47,15.22,15.16,15.12,15.66,16.38,15.88,15.03,14.88,15.34,15.81,16.19,17.12,18.5,18.88,18.22,17.41,17.88,18.12,18.28,18.47,19.53,19.91,19.44,18.09,16.91,16.03,14.81,13.53,13.53,14.38,15.19,15.44,15.72,16.31,16.88,16.12,14.94,14.16,12.94,11.28,9.53,8.91,9.59,10.53,11.59,12.81,14.81,16.78,17.53,18.53,20.47,22.28,23.41,24.19,25.31,26.0,26.16,24.88,23.34,21.88,19.41,16.22,13.47,12.0,11.22,10.38,9.94,10.81,12.06,13.09,14.12,15.97,18.03,19.72,21.12,22.75,24.47,25.97,26.47,26.06,26.25,25.84,24.88,23.56,23.44,23.91,24.25,23.72,23.5,23.03,22.0,20.5,19.78,20.19,20.69,20.25,19.69,19.84,20.44,20.94,21.88,23.69,25.31,26.59,27.06,28.06,28.75,29.03,27.66,26.09,25.0,24.03,22.91,21.88,21.84,21.84,20.78,19.38,18.5,18.19,18.03,17.44,17.56,17.69,17.38,16.44,15.94,16.31,17.16,17.88,18.47,19.47,20.38,20.5,19.41,18.75,18.44,17.94,17.09,17.5,18.62,20.31,21.09,21.88,23.66,25.53,26.62,27.0,27.34,26.78,24.78,21.81,19.62,17.81,16.72,15.41,14.69,14.81,15.47,14.97,14.53,14.41,14.31,13.47,12.72,13.25,14.66,16.44,17.25,18.12,19.75,20.84,21.0,21.09,21.75,22.56,21.88,20.38,19.28,18.59,17.25,16.31,17.34,20.44,24.28,28.16,32.38,36.41,38.88,39.19,38.25,37.53,36.97,35.66,34.5,34.0,33.88,32.97,31.0,29.53,28.56,27.25,25.22,24.38,24.66,25.44,25.56,25.84,26.12,26.59,25.56,24.09,23.91,24.12,24.09,23.62,24.06,24.22,24.09,22.31,20.88,20.28,19.72,18.88,18.69,19.38,20.62,21.25,22.12,23.69,25.72,27.69,28.78,29.97,30.94,31.56,30.53,29.22,28.5,27.78,25.97,24.38,24.03,24.59,25.0,25.78,26.91,28.38,28.91,27.84,26.72,25.5,24.06,21.78,19.81,18.25,17.59,16.44,15.47,15.62,16.62,17.0,17.44,18.09,19.66,21.19,22.31,23.34,24.47,25.41,25.0,24.47,24.62,24.56,23.31,21.69,20.22,19.25,17.56,16.38,16.0,16.66,17.06,16.88,16.62,16.72,16.75,16.06,15.31,15.41,16.06,15.31,13.94,13.44,13.44,12.88,12.62,12.69,13.44,13.81,13.31,13.0,13.0,13.31,12.59,11.72,11.94,12.62,13.12,13.22,13.75,14.41,14.31,13.88,13.25,13.44,13.62,13.06,12.66,13.56,15.0,15.41,15.72,16.81,17.44,17.22,16.78,16.81,17.78,18.59,19.03,19.44,20.41,20.94,20.34,19.88,20.19,20.81,21.22,21.12,21.41,21.75,20.97,19.47,17.91,17.28,16.38,15.25,14.06,13.75,13.56,12.56,11.53,11.19,11.81,11.28,11.06,11.25,11.53,11.06,10.16,9.16,8.88,8.84,8.41,8.44,10.31,12.78,14.62,16.75,19.56,22.09,23.16,23.75,24.25,24.78,24.56,23.34,21.69,21.12,20.34,18.97,18.16,18.72,19.47,19.03,18.16,17.62,17.72,16.81,16.03,15.91,16.62,16.75,16.38,15.94,15.94,16.0,14.94,13.56,13.34,13.19,12.66,12.16,15.62,16.5,18.12,19.0,19.03,18.62,17.81:35.72,35.91,36.53,38.5,40.91,42.97,44.91,47.88,50.78,52.34,53.22,54.75,55.56,55.47,54.38,53.03,51.59,49.56,47.34,45.22,44.31,43.88,42.69,40.91,39.72,37.88,35.44,32.94,31.91,31.91,32.44,33.03,34.0,35.62,36.78,36.78,36.31,36.31,36.12,35.41,34.91,35.78,37.69,39.25,40.25,41.84,42.78,43.06,42.28,41.53,41.0,39.97,38.16,36.25,35.34,35.66,35.97,36.41,37.81,39.41,39.88,40.03,40.5,41.34,42.25,42.03,41.88,42.28,42.22,41.72,41.5,41.81,42.91,43.31,42.84,42.75,42.62,42.16,41.47,41.53,42.44,43.59,43.88,43.84,43.97,43.72,42.06,39.25,37.31,35.5,33.31,30.94,29.19,28.31,27.88,26.94,27.22,28.66,30.38,30.97,31.91,32.91,34.31,34.84,35.25,36.0,37.28,37.53,36.38,35.0,33.62,31.47,28.62,26.84,26.5,26.75,26.66,26.78,27.44,28.25,28.66,28.44,28.78,29.0,27.94,25.66,23.38,21.81,20.53,19.5,19.25,20.22,21.22,21.31,21.41,22.41,23.97,24.56,24.47,24.19,23.62,21.62,19.41,17.44,16.88,16.69,15.94,15.97,17.25,19.12,20.44,22.09,24.41,27.22,29.12,29.75,30.06,30.34,29.72,28.5,27.91,28.41,29.62,30.5,31.22,33.0,34.78,35.47,36.06,36.38,36.88,36.75,35.44,34.56,34.59,34.81,34.19,33.59,33.47,32.41,29.53,26.31,24.03,22.56,21.53,21.66,23.66,27.06,30.12,32.47,34.28,36.06,37.78,38.19,38.91,41.28,44.03,46.25,48.47,51.69,55.0,57.06,58.22,58.69,59.19,58.5,56.53,53.91,51.25,47.62,42.16,36.69,32.5,29.88,28.06,27.66,29.22,32.41,35.25,37.97,40.41,42.72,43.97,43.31,42.12,41.19,39.75,37.66,35.31,34.19,33.53,32.72,32.94,34.5,36.88,38.72,40.09,41.16,42.41,43.03,42.75,42.28,42.5,42.66,42.0,41.38,41.88,42.59,42.16,41.88,41.62,41.62,41.12,40.03,39.53,39.78,39.66,39.38,39.12,39.16,39.44,38.16,36.19,34.44,32.84,30.97,29.56,29.41,30.16,30.25,29.25,27.81,26.66,25.66,23.59,21.62,20.53,19.75,18.41,17.69,18.81,21.62,24.12,26.03,28.25,30.19,30.91,30.19,29.41,29.25,29.53,28.75,27.75,28.09,28.53,28.62,28.88,29.97,31.81,32.88,33.38,34.03,35.12,36.06,36.16,36.22,37.28,37.75,37.09,35.56,34.72,33.56,31.69,29.09,27.22,25.75,24.0,22.06,20.78,20.69,21.12,21.66,22.41,24.75,27.16,28.75,29.31,30.25,30.72,30.03,28.94,28.0,27.72,27.28,26.38,25.53,25.75,25.59,24.56,23.19,22.72,22.69,22.41,22.5,23.66,25.62,26.31,25.97,26.06,26.38,26.81,26.69,26.84,27.91,28.91,28.72,28.0,28.5,28.69,28.5,27.69,27.41,27.06,25.88,23.56,21.44,20.0,18.19,15.84,13.78,12.41,11.0,9.22,7.62,7.72,9.06,10.62,12.03,14.62,17.88,20.94,23.41,26.19,29.78,32.69,34.41,35.62,37.19,37.31,36.25,33.78,31.88,30.06,28.38,26.56,25.97,26.78,27.25,26.97,27.12,28.03,28.75,28.81,28.88,30.06,30.81,30.69,29.47,28.56,27.38,25.41,22.94,21.06,20.69,20.62,20.47,20.06,20.41,20.09,18.34,16.16,14.94,14.38,13.75,13.09,13.53,14.66,15.62,15.38,15.44,15.91,15.56,14.59,13.75,14.19,15.22,15.88,16.19,17.44,19.19,20.47,21.16,23.34,26.09,28.47,30.22,32.06,33.91,35.31,34.5,33.16,32.66,31.41,29.47,27.16,25.78,24.75,24.03,23.31,23.88,25.22,26.47,26.88,27.41,28.97,30.53,31.09,31.66,32.66,33.41,32.91,31.88,31.09,30.16,28.62,26.47,24.91,24.47,24.66,24.19,24.31,25.69,26.84,26.88,26.47,26.84,27.38,28.0,28.41,29.94,32.09,33.47,33.91,33.84,34.06,34.31,33.66,34.16,36.25,38.78,40.25,40.97,41.22,40.59,38.69,36.03,33.94,32.62,31.69,30.19,29.12,29.31,29.5,28.62,27.62,26.56,25.75,23.94,21.47,20.25,19.81,19.28,18.69,19.0,20.41,21.06,20.56,19.75,19.16,18.75,17.34,16.34,16.84,17.84,18.72,20.25,22.69,25.69,27.84,28.72,29.22,29.91,29.91,28.69,27.22,26.31,25.41,23.38,21.88,21.53,21.94,21.94,21.62,21.84,22.62,22.66,21.78,20.84,20.75,20.03,18.69,17.5,17.0,16.78,15.59,14.34,14.12,14.59,14.53,14.22,14.84,15.94,16.78,16.62,16.97,18.0,19.19,19.94,20.84,22.47,24.03,24.12,24.06,24.19,24.59,24.34,23.41,22.59,22.22,21.62,20.31,19.09,18.59,17.78,16.28,15.31,15.41,16.59,17.56,18.72,20.53,23.03,24.62,25.25,26.16,27.03,27.59,26.72,25.66,25.03,24.75,23.62,22.88,23.12,23.62,23.41,22.19,20.5,18.78,16.69,14.0,12.09,11.59,11.66,11.56,11.69,12.66,14.28,15.25,16.34,18.19,20.53,22.56,23.91,25.12,26.56,27.06,26.0,24.72,23.75,22.5,20.28,18.44,17.62,17.19,16.09,15.56,15.28,16.16,16.69,17.12,17.69,19.31,20.5,20.84,21.38,22.0,21.94,20.81,19.53,18.97,18.94,18.84,18.84,19.06,20.25,20.56,20.44,20.28,20.84,21.03,20.62,20.09,19.84,19.75,18.88,18.53,19.47,21.28,22.34,23.12,24.31,25.5,26.75,27.66,28.75,30.88,32.72,33.41,33.72,33.81,33.59,32.19,30.41,28.88,28.06,26.81,25.69,25.03,25.34,25.25,24.91,24.16,23.91,23.53,22.91,22.38,22.44,22.81,22.59,21.66,21.12,21.12,21.31,21.34,21.69,22.38,22.31,21.0,19.09,17.81,16.0,14.16,12.78,12.94,14.22,15.75,17.03,18.19,19.28,18.94,17.5,15.88,15.47,15.22,15.16,15.12,15.66,16.38,15.88,15.03,14.88,15.34,15.81,16.19,17.12,18.5,18.88,18.22,17.41,17.88,18.12,18.28,18.47,19.53,19.91,19.44,18.09,16.91,16.03,14.81,13.53,13.53,14.38,15.19,15.44,15.72,16.31,16.88,16.12,14.94,14.16,12.94,11.28,9.53,8.91,9.59,10.53,11.59,12.81,14.81,16.78,17.53,18.53,20.47,22.28,23.41,24.19,25.31,26.0,26.16,24.88,23.34,21.88,19.41,16.22,13.47,12.0,11.22,10.38,9.94,10.81,12.06,13.09,14.12,15.97,18.03,19.72,21.12,22.75,24.47,25.97,26.47,26.06,26.25,25.84,24.88,23.56,23.44,23.91,24.25,23.72,23.5,23.03,22.0,20.5,19.78,20.19,20.69,20.25,19.69,19.84,20.44,20.94,21.88,23.69,25.31,26.59,27.06,28.06,28.75,29.03,27.66,26.09,25.0,24.03,22.91,21.88,21.84,21.84,20.78,19.38,18.5,18.19,18.03,17.44,17.56,17.69,17.38,16.44,15.94,16.31,17.16,17.88,18.47,19.47,20.38,20.5,19.41,18.75,18.44,17.94,17.09,17.5,18.62,20.31,21.09,21.88,23.66,25.53,26.62,27.0,27.34,26.78,24.78,21.81,19.62,17.81,16.72,15.41,14.69,14.81,15.47,14.97,14.53,14.41,14.31,13.47,12.72,13.25,14.66,16.44,17.25,18.12,19.75,20.84,21.0,21.09,21.75,22.56,21.88,20.38,19.28,18.59,17.25,16.31,17.34,20.44,24.28,28.16,32.38,36.41,38.88,39.19,38.25,37.53,36.97,35.66,34.5,34.0,33.88,32.97,31.0,29.53,28.56,27.25,25.22,24.38,24.66,25.44,25.56,25.84,26.12,26.59,25.56,24.09,23.91,24.12,24.09,23.62,24.06,24.22,24.09,22.31,20.88,20.28,19.72,18.88,18.69,19.38,20.62,21.25,22.12,23.69,25.72,27.69,28.78,29.97,30.94,31.56,30.53,29.22,28.5,27.78,25.97,24.38,24.03,24.59,25.0,25.78,26.91,28.38,28.91,27.84,26.72,25.5,24.06,21.78,19.81,18.25,17.59,16.44,15.47,15.62,16.62,17.0,17.44,18.09,19.66,21.19,22.31,23.34,24.47,25.41,25.0,24.47,24.62,24.56,23.31,21.69,20.22,19.25,17.56,16.38,16.0,16.66,17.06,16.88,16.62,16.72,16.75,16.06,15.31,15.41,16.06,15.31,13.94,13.44,13.44,12.88,12.62,12.69,13.44,13.81,13.31,13.0,13.0,13.31,12.59,11.72,11.94,12.62,13.12,13.22,13.75,14.41,14.31,13.88,13.25,13.44,13.62,13.06,12.66,13.56,15.0,15.41,15.72,16.81,17.44,17.22,16.78,16.81,17.78,18.59,19.03,19.44,20.41,20.94,20.34,19.88,20.19,20.81,21.22,21.12,21.41,21.75,20.97,19.47,17.91,17.28,16.38,15.25,14.06,13.75,13.56,12.56,11.53,11.19,11.81,11.28,11.06,11.25,11.53,11.06,10.16,9.16,8.88,8.84,8.41,8.44,10.31,12.78,14.62,16.75,19.56,22.09,23.16,23.75,24.25,24.78,24.56,23.34,21.69,21.12,20.34,18.97,18.16,18.72,19.47,19.03,18.16,17.62,17.72,16.81,16.03,15.91,16.62,16.75,16.38,15.94,15.94,16.0,14.94,13.56,13.34,13.19,12.66,12.16,15.62,16.5,18.12,19.0,19.03,18.62,17.81,16.66,15.53,15.12,15.34,15.47,15.84,16.5:47.88,50.78,52.34,53.22,54.75,55.56,55.47,54.38,53.03,51.59,49.56,47.34,45.22,44.31,43.88,42.69,40.91,39.72,37.88,35.44,32.94,31.91,31.91,32.44,33.03,34.0,35.62,36.78,36.78,36.31,36.31,36.12,35.41,34.91,35.78,37.69,39.25,40.25,41.84,42.78,43.06,42.28,41.53,41.0,39.97,38.16,36.25,35.34,35.66,35.97,36.41,37.81,39.41,39.88,40.03,40.5,41.34,42.25,42.03,41.88,42.28,42.22,41.72,41.5,41.81,42.91,43.31,42.84,42.75,42.62,42.16,41.47,41.53,42.44,43.59,43.88,43.84,43.97,43.72,42.06,39.25,37.31,35.5,33.31,30.94,29.19,28.31,27.88,26.94,27.22,28.66,30.38,30.97,31.91,32.91,34.31,34.84,35.25,36.0,37.28,37.53,36.38,35.0,33.62,31.47,28.62,26.84,26.5,26.75,26.66,26.78,27.44,28.25,28.66,28.44,28.78,29.0,27.94,25.66,23.38,21.81,20.53,19.5,19.25,20.22,21.22,21.31,21.41,22.41,23.97,24.56,24.47,24.19,23.62,21.62,19.41,17.44,16.88,16.69,15.94,15.97,17.25,19.12,20.44,22.09,24.41,27.22,29.12,29.75,30.06,30.34,29.72,28.5,27.91,28.41,29.62,30.5,31.22,33.0,34.78,35.47,36.06,36.38,36.88,36.75,35.44,34.56,34.59,34.81,34.19,33.59,33.47,32.41,29.53,26.31,24.03,22.56,21.53,21.66,23.66,27.06,30.12,32.47,34.28,36.06,37.78,38.19,38.91,41.28,44.03,46.25,48.47,51.69,55.0,57.06,58.22,58.69,59.19,58.5,56.53,53.91,51.25,47.62,42.16,36.69,32.5,29.88,28.06,27.66,29.22,32.41,35.25,37.97,40.41,42.72,43.97,43.31,42.12,41.19,39.75,37.66,35.31,34.19,33.53,32.72,32.94,34.5,36.88,38.72,40.09,41.16,42.41,43.03,42.75,42.28,42.5,42.66,42.0,41.38,41.88,42.59,42.16,41.88,41.62,41.62,41.12,40.03,39.53,39.78,39.66,39.38,39.12,39.16,39.44,38.16,36.19,34.44,32.84,30.97,29.56,29.41,30.16,30.25,29.25,27.81,26.66,25.66,23.59,21.62,20.53,19.75,18.41,17.69,18.81,21.62,24.12,26.03,28.25,30.19,30.91,30.19,29.41,29.25,29.53,28.75,27.75,28.09,28.53,28.62,28.88,29.97,31.81,32.88,33.38,34.03,35.12,36.06,36.16,36.22,37.28,37.75,37.09,35.56,34.72,33.56,31.69,29.09,27.22,25.75,24.0,22.06,20.78,20.69,21.12,21.66,22.41,24.75,27.16,28.75,29.31,30.25,30.72,30.03,28.94,28.0,27.72,27.28,26.38,25.53,25.75,25.59,24.56,23.19,22.72,22.69,22.41,22.5,23.66,25.62,26.31,25.97,26.06,26.38,26.81,26.69,26.84,27.91,28.91,28.72,28.0,28.5,28.69,28.5,27.69,27.41,27.06,25.88,23.56,21.44,20.0,18.19,15.84,13.78,12.41,11.0,9.22,7.62,7.72,9.06,10.62,12.03,14.62,17.88,20.94,23.41,26.19,29.78,32.69,34.41,35.62,37.19,37.31,36.25,33.78,31.88,30.06,28.38,26.56,25.97,26.78,27.25,26.97,27.12,28.03,28.75,28.81,28.88,30.06,30.81,30.69,29.47,28.56,27.38,25.41,22.94,21.06,20.69,20.62,20.47,20.06,20.41,20.09,18.34,16.16,14.94,14.38,13.75,13.09,13.53,14.66,15.62,15.38,15.44,15.91,15.56,14.59,13.75,14.19,15.22,15.88,16.19,17.44,19.19,20.47,21.16,23.34,26.09,28.47,30.22,32.06,33.91,35.31,34.5,33.16,32.66,31.41,29.47,27.16,25.78,24.75,24.03,23.31,23.88,25.22,26.47,26.88,27.41,28.97,30.53,31.09,31.66,32.66,33.41,32.91,31.88,31.09,30.16,28.62,26.47,24.91,24.47,24.66,24.19,24.31,25.69,26.84,26.88,26.47,26.84,27.38,28.0,28.41,29.94,32.09,33.47,33.91,33.84,34.06,34.31,33.66,34.16,36.25,38.78,40.25,40.97,41.22,40.59,38.69,36.03,33.94,32.62,31.69,30.19,29.12,29.31,29.5,28.62,27.62,26.56,25.75,23.94,21.47,20.25,19.81,19.28,18.69,19.0,20.41,21.06,20.56,19.75,19.16,18.75,17.34,16.34,16.84,17.84,18.72,20.25,22.69,25.69,27.84,28.72,29.22,29.91,29.91,28.69,27.22,26.31,25.41,23.38,21.88,21.53,21.94,21.94,21.62,21.84,22.62,22.66,21.78,20.84,20.75,20.03,18.69,17.5,17.0,16.78,15.59,14.34,14.12,14.59,14.53,14.22,14.84,15.94,16.78,16.62,16.97,18.0,19.19,19.94,20.84,22.47,24.03,24.12,24.06,24.19,24.59,24.34,23.41,22.59,22.22,21.62,20.31,19.09,18.59,17.78,16.28,15.31,15.41,16.59,17.56,18.72,20.53,23.03,24.62,25.25,26.16,27.03,27.59,26.72,25.66,25.03,24.75,23.62,22.88,23.12,23.62,23.41,22.19,20.5,18.78,16.69,14.0,12.09,11.59,11.66,11.56,11.69,12.66,14.28,15.25,16.34,18.19,20.53,22.56,23.91,25.12,26.56,27.06,26.0,24.72,23.75,22.5,20.28,18.44,17.62,17.19,16.09,15.56,15.28,16.16,16.69,17.12,17.69,19.31,20.5,20.84,21.38,22.0,21.94,20.81,19.53,18.97,18.94,18.84,18.84,19.06,20.25,20.56,20.44,20.28,20.84,21.03,20.62,20.09,19.84,19.75,18.88,18.53,19.47,21.28,22.34,23.12,24.31,25.5,26.75,27.66,28.75,30.88,32.72,33.41,33.72,33.81,33.59,32.19,30.41,28.88,28.06,26.81,25.69,25.03,25.34,25.25,24.91,24.16,23.91,23.53,22.91,22.38,22.44,22.81,22.59,21.66,21.12,21.12,21.31,21.34,21.69,22.38,22.31,21.0,19.09,17.81,16.0,14.16,12.78,12.94,14.22,15.75,17.03,18.19,19.28,18.94,17.5,15.88,15.47,15.22,15.16,15.12,15.66,16.38,15.88,15.03,14.88,15.34,15.81,16.19,17.12,18.5,18.88,18.22,17.41,17.88,18.12,18.28,18.47,19.53,19.91,19.44,18.09,16.91,16.03,14.81,13.53,13.53,14.38,15.19,15.44,15.72,16.31,16.88,16.12,14.94,14.16,12.94,11.28,9.53,8.91,9.59,10.53,11.59,12.81,14.81,16.78,17.53,18.53,20.47,22.28,23.41,24.19,25.31,26.0,26.16,24.88,23.34,21.88,19.41,16.22,13.47,12.0,11.22,10.38,9.94,10.81,12.06,13.09,14.12,15.97,18.03,19.72,21.12,22.75,24.47,25.97,26.47,26.06,26.25,25.84,24.88,23.56,23.44,23.91,24.25,23.72,23.5,23.03,22.0,20.5,19.78,20.19,20.69,20.25,19.69,19.84,20.44,20.94,21.88,23.69,25.31,26.59,27.06,28.06,28.75,29.03,27.66,26.09,25.0,24.03,22.91,21.88,21.84,21.84,20.78,19.38,18.5,18.19,18.03,17.44,17.56,17.69,17.38,16.44,15.94,16.31,17.16,17.88,18.47,19.47,20.38,20.5,19.41,18.75,18.44,17.94,17.09,17.5,18.62,20.31,21.09,21.88,23.66,25.53,26.62,27.0,27.34,26.78,24.78,21.81,19.62,17.81,16.72,15.41,14.69,14.81,15.47,14.97,14.53,14.41,14.31,13.47,12.72,13.25,14.66,16.44,17.25,18.12,19.75,20.84,21.0,21.09,21.75,22.56,21.88,20.38,19.28,18.59,17.25,16.31,17.34,20.44,24.28,28.16,32.38,36.41,38.88,39.19,38.25,37.53,36.97,35.66,34.5,34.0,33.88,32.97,31.0,29.53,28.56,27.25,25.22,24.38,24.66,25.44,25.56,25.84,26.12,26.59,25.56,24.09,23.91,24.12,24.09,23.62,24.06,24.22,24.09,22.31,20.88,20.28,19.72,18.88,18.69,19.38,20.62,21.25,22.12,23.69,25.72,27.69,28.78,29.97,30.94,31.56,30.53,29.22,28.5,27.78,25.97,24.38,24.03,24.59,25.0,25.78,26.91,28.38,28.91,27.84,26.72,25.5,24.06,21.78,19.81,18.25,17.59,16.44,15.47,15.62,16.62,17.0,17.44,18.09,19.66,21.19,22.31,23.34,24.47,25.41,25.0,24.47,24.62,24.56,23.31,21.69,20.22,19.25,17.56,16.38,16.0,16.66,17.06,16.88,16.62,16.72,16.75,16.06,15.31,15.41,16.06,15.31,13.94,13.44,13.44,12.88,12.62,12.69,13.44,13.81,13.31,13.0,13.0,13.31,12.59,11.72,11.94,12.62,13.12,13.22,13.75,14.41,14.31,13.88,13.25,13.44,13.62,13.06,12.66,13.56,15.0,15.41,15.72,16.81,17.44,17.22,16.78,16.81,17.78,18.59,19.03,19.44,20.41,20.94,20.34,19.88,20.19,20.81,21.22,21.12,21.41,21.75,20.97,19.47,17.91,17.28,16.38,15.25,14.06,13.75,13.56,12.56,11.53,11.19,11.81,11.28,11.06,11.25,11.53,11.06,10.16,9.16,8.88,8.84,8.41,8.44,10.31,12.78,14.62,16.75,19.56,22.09,23.16,23.75,24.25,24.78,24.56,23.34,21.69,21.12,20.34,18.97,18.16,18.72,19.47,19.03,18.16,17.62,17.72,16.81,16.03,15.91,16.62,16.75,16.38,15.94,15.94,16.0,14.94,13.56,13.34,13.19,12.66,12.16,15.62,16.5,18.12,19.0,19.03,18.62,17.81,16.66,15.53,15.12,15.34,15.47,15.84,16.5,17.56,18.62,19.84,21.09,23.09,25.09,26.94:54.38,53.03,51.59,49.56,47.34,45.22,44.31,43.88,42.69,40.91,39.72,37.88,35.44,32.94,31.91,31.91,32.44,33.03,34.0,35.62,36.78,36.78,36.31,36.31,36.12,35.41,34.91,35.78,37.69,39.25,40.25,41.84,42.78,43.06,42.28,41.53,41.0,39.97,38.16,36.25,35.34,35.66,35.97,36.41,37.81,39.41,39.88,40.03,40.5,41.34,42.25,42.03,41.88,42.28,42.22,41.72,41.5,41.81,42.91,43.31,42.84,42.75,42.62,42.16,41.47,41.53,42.44,43.59,43.88,43.84,43.97,43.72,42.06,39.25,37.31,35.5,33.31,30.94,29.19,28.31,27.88,26.94,27.22,28.66,30.38,30.97,31.91,32.91,34.31,34.84,35.25,36.0,37.28,37.53,36.38,35.0,33.62,31.47,28.62,26.84,26.5,26.75,26.66,26.78,27.44,28.25,28.66,28.44,28.78,29.0,27.94,25.66,23.38,21.81,20.53,19.5,19.25,20.22,21.22,21.31,21.41,22.41,23.97,24.56,24.47,24.19,23.62,21.62,19.41,17.44,16.88,16.69,15.94,15.97,17.25,19.12,20.44,22.09,24.41,27.22,29.12,29.75,30.06,30.34,29.72,28.5,27.91,28.41,29.62,30.5,31.22,33.0,34.78,35.47,36.06,36.38,36.88,36.75,35.44,34.56,34.59,34.81,34.19,33.59,33.47,32.41,29.53,26.31,24.03,22.56,21.53,21.66,23.66,27.06,30.12,32.47,34.28,36.06,37.78,38.19,38.91,41.28,44.03,46.25,48.47,51.69,55.0,57.06,58.22,58.69,59.19,58.5,56.53,53.91,51.25,47.62,42.16,36.69,32.5,29.88,28.06,27.66,29.22,32.41,35.25,37.97,40.41,42.72,43.97,43.31,42.12,41.19,39.75,37.66,35.31,34.19,33.53,32.72,32.94,34.5,36.88,38.72,40.09,41.16,42.41,43.03,42.75,42.28,42.5,42.66,42.0,41.38,41.88,42.59,42.16,41.88,41.62,41.62,41.12,40.03,39.53,39.78,39.66,39.38,39.12,39.16,39.44,38.16,36.19,34.44,32.84,30.97,29.56,29.41,30.16,30.25,29.25,27.81,26.66,25.66,23.59,21.62,20.53,19.75,18.41,17.69,18.81,21.62,24.12,26.03,28.25,30.19,30.91,30.19,29.41,29.25,29.53,28.75,27.75,28.09,28.53,28.62,28.88,29.97,31.81,32.88,33.38,34.03,35.12,36.06,36.16,36.22,37.28,37.75,37.09,35.56,34.72,33.56,31.69,29.09,27.22,25.75,24.0,22.06,20.78,20.69,21.12,21.66,22.41,24.75,27.16,28.75,29.31,30.25,30.72,30.03,28.94,28.0,27.72,27.28,26.38,25.53,25.75,25.59,24.56,23.19,22.72,22.69,22.41,22.5,23.66,25.62,26.31,25.97,26.06,26.38,26.81,26.69,26.84,27.91,28.91,28.72,28.0,28.5,28.69,28.5,27.69,27.41,27.06,25.88,23.56,21.44,20.0,18.19,15.84,13.78,12.41,11.0,9.22,7.62,7.72,9.06,10.62,12.03,14.62,17.88,20.94,23.41,26.19,29.78,32.69,34.41,35.62,37.19,37.31,36.25,33.78,31.88,30.06,28.38,26.56,25.97,26.78,27.25,26.97,27.12,28.03,28.75,28.81,28.88,30.06,30.81,30.69,29.47,28.56,27.38,25.41,22.94,21.06,20.69,20.62,20.47,20.06,20.41,20.09,18.34,16.16,14.94,14.38,13.75,13.09,13.53,14.66,15.62,15.38,15.44,15.91,15.56,14.59,13.75,14.19,15.22,15.88,16.19,17.44,19.19,20.47,21.16,23.34,26.09,28.47,30.22,32.06,33.91,35.31,34.5,33.16,32.66,31.41,29.47,27.16,25.78,24.75,24.03,23.31,23.88,25.22,26.47,26.88,27.41,28.97,30.53,31.09,31.66,32.66,33.41,32.91,31.88,31.09,30.16,28.62,26.47,24.91,24.47,24.66,24.19,24.31,25.69,26.84,26.88,26.47,26.84,27.38,28.0,28.41,29.94,32.09,33.47,33.91,33.84,34.06,34.31,33.66,34.16,36.25,38.78,40.25,40.97,41.22,40.59,38.69,36.03,33.94,32.62,31.69,30.19,29.12,29.31,29.5,28.62,27.62,26.56,25.75,23.94,21.47,20.25,19.81,19.28,18.69,19.0,20.41,21.06,20.56,19.75,19.16,18.75,17.34,16.34,16.84,17.84,18.72,20.25,22.69,25.69,27.84,28.72,29.22,29.91,29.91,28.69,27.22,26.31,25.41,23.38,21.88,21.53,21.94,21.94,21.62,21.84,22.62,22.66,21.78,20.84,20.75,20.03,18.69,17.5,17.0,16.78,15.59,14.34,14.12,14.59,14.53,14.22,14.84,15.94,16.78,16.62,16.97,18.0,19.19,19.94,20.84,22.47,24.03,24.12,24.06,24.19,24.59,24.34,23.41,22.59,22.22,21.62,20.31,19.09,18.59,17.78,16.28,15.31,15.41,16.59,17.56,18.72,20.53,23.03,24.62,25.25,26.16,27.03,27.59,26.72,25.66,25.03,24.75,23.62,22.88,23.12,23.62,23.41,22.19,20.5,18.78,16.69,14.0,12.09,11.59,11.66,11.56,11.69,12.66,14.28,15.25,16.34,18.19,20.53,22.56,23.91,25.12,26.56,27.06,26.0,24.72,23.75,22.5,20.28,18.44,17.62,17.19,16.09,15.56,15.28,16.16,16.69,17.12,17.69,19.31,20.5,20.84,21.38,22.0,21.94,20.81,19.53,18.97,18.94,18.84,18.84,19.06,20.25,20.56,20.44,20.28,20.84,21.03,20.62,20.09,19.84,19.75,18.88,18.53,19.47,21.28,22.34,23.12,24.31,25.5,26.75,27.66,28.75,30.88,32.72,33.41,33.72,33.81,33.59,32.19,30.41,28.88,28.06,26.81,25.69,25.03,25.34,25.25,24.91,24.16,23.91,23.53,22.91,22.38,22.44,22.81,22.59,21.66,21.12,21.12,21.31,21.34,21.69,22.38,22.31,21.0,19.09,17.81,16.0,14.16,12.78,12.94,14.22,15.75,17.03,18.19,19.28,18.94,17.5,15.88,15.47,15.22,15.16,15.12,15.66,16.38,15.88,15.03,14.88,15.34,15.81,16.19,17.12,18.5,18.88,18.22,17.41,17.88,18.12,18.28,18.47,19.53,19.91,19.44,18.09,16.91,16.03,14.81,13.53,13.53,14.38,15.19,15.44,15.72,16.31,16.88,16.12,14.94,14.16,12.94,11.28,9.53,8.91,9.59,10.53,11.59,12.81,14.81,16.78,17.53,18.53,20.47,22.28,23.41,24.19,25.31,26.0,26.16,24.88,23.34,21.88,19.41,16.22,13.47,12.0,11.22,10.38,9.94,10.81,12.06,13.09,14.12,15.97,18.03,19.72,21.12,22.75,24.47,25.97,26.47,26.06,26.25,25.84,24.88,23.56,23.44,23.91,24.25,23.72,23.5,23.03,22.0,20.5,19.78,20.19,20.69,20.25,19.69,19.84,20.44,20.94,21.88,23.69,25.31,26.59,27.06,28.06,28.75,29.03,27.66,26.09,25.0,24.03,22.91,21.88,21.84,21.84,20.78,19.38,18.5,18.19,18.03,17.44,17.56,17.69,17.38,16.44,15.94,16.31,17.16,17.88,18.47,19.47,20.38,20.5,19.41,18.75,18.44,17.94,17.09,17.5,18.62,20.31,21.09,21.88,23.66,25.53,26.62,27.0,27.34,26.78,24.78,21.81,19.62,17.81,16.72,15.41,14.69,14.81,15.47,14.97,14.53,14.41,14.31,13.47,12.72,13.25,14.66,16.44,17.25,18.12,19.75,20.84,21.0,21.09,21.75,22.56,21.88,20.38,19.28,18.59,17.25,16.31,17.34,20.44,24.28,28.16,32.38,36.41,38.88,39.19,38.25,37.53,36.97,35.66,34.5,34.0,33.88,32.97,31.0,29.53,28.56,27.25,25.22,24.38,24.66,25.44,25.56,25.84,26.12,26.59,25.56,24.09,23.91,24.12,24.09,23.62,24.06,24.22,24.09,22.31,20.88,20.28,19.72,18.88,18.69,19.38,20.62,21.25,22.12,23.69,25.72,27.69,28.78,29.97,30.94,31.56,30.53,29.22,28.5,27.78,25.97,24.38,24.03,24.59,25.0,25.78,26.91,28.38,28.91,27.84,26.72,25.5,24.06,21.78,19.81,18.25,17.59,16.44,15.47,15.62,16.62,17.0,17.44,18.09,19.66,21.19,22.31,23.34,24.47,25.41,25.0,24.47,24.62,24.56,23.31,21.69,20.22,19.25,17.56,16.38,16.0,16.66,17.06,16.88,16.62,16.72,16.75,16.06,15.31,15.41,16.06,15.31,13.94,13.44,13.44,12.88,12.62,12.69,13.44,13.81,13.31,13.0,13.0,13.31,12.59,11.72,11.94,12.62,13.12,13.22,13.75,14.41,14.31,13.88,13.25,13.44,13.62,13.06,12.66,13.56,15.0,15.41,15.72,16.81,17.44,17.22,16.78,16.81,17.78,18.59,19.03,19.44,20.41,20.94,20.34,19.88,20.19,20.81,21.22,21.12,21.41,21.75,20.97,19.47,17.91,17.28,16.38,15.25,14.06,13.75,13.56,12.56,11.53,11.19,11.81,11.28,11.06,11.25,11.53,11.06,10.16,9.16,8.88,8.84,8.41,8.44,10.31,12.78,14.62,16.75,19.56,22.09,23.16,23.75,24.25,24.78,24.56,23.34,21.69,21.12,20.34,18.97,18.16,18.72,19.47,19.03,18.16,17.62,17.72,16.81,16.03,15.91,16.62,16.75,16.38,15.94,15.94,16.0,14.94,13.56,13.34,13.19,12.66,12.16,15.62,16.5,18.12,19.0,19.03,18.62,17.81,16.66,15.53,15.12,15.34,15.47,15.84,16.5,17.56,18.62,19.84,21.09,23.09,25.09,26.94,28.88,30.75,32.5,33.38,33.81,33.66,32.94:43.88,42.69,40.91,39.72,37.88,35.44,32.94,31.91,31.91,32.44,33.03,34.0,35.62,36.78,36.78,36.31,36.31,36.12,35.41,34.91,35.78,37.69,39.25,40.25,41.84,42.78,43.06,42.28,41.53,41.0,39.97,38.16,36.25,35.34,35.66,35.97,36.41,37.81,39.41,39.88,40.03,40.5,41.34,42.25,42.03,41.88,42.28,42.22,41.72,41.5,41.81,42.91,43.31,42.84,42.75,42.62,42.16,41.47,41.53,42.44,43.59,43.88,43.84,43.97,43.72,42.06,39.25,37.31,35.5,33.31,30.94,29.19,28.31,27.88,26.94,27.22,28.66,30.38,30.97,31.91,32.91,34.31,34.84,35.25,36.0,37.28,37.53,36.38,35.0,33.62,31.47,28.62,26.84,26.5,26.75,26.66,26.78,27.44,28.25,28.66,28.44,28.78,29.0,27.94,25.66,23.38,21.81,20.53,19.5,19.25,20.22,21.22,21.31,21.41,22.41,23.97,24.56,24.47,24.19,23.62,21.62,19.41,17.44,16.88,16.69,15.94,15.97,17.25,19.12,20.44,22.09,24.41,27.22,29.12,29.75,30.06,30.34,29.72,28.5,27.91,28.41,29.62,30.5,31.22,33.0,34.78,35.47,36.06,36.38,36.88,36.75,35.44,34.56,34.59,34.81,34.19,33.59,33.47,32.41,29.53,26.31,24.03,22.56,21.53,21.66,23.66,27.06,30.12,32.47,34.28,36.06,37.78,38.19,38.91,41.28,44.03,46.25,48.47,51.69,55.0,57.06,58.22,58.69,59.19,58.5,56.53,53.91,51.25,47.62,42.16,36.69,32.5,29.88,28.06,27.66,29.22,32.41,35.25,37.97,40.41,42.72,43.97,43.31,42.12,41.19,39.75,37.66,35.31,34.19,33.53,32.72,32.94,34.5,36.88,38.72,40.09,41.16,42.41,43.03,42.75,42.28,42.5,42.66,42.0,41.38,41.88,42.59,42.16,41.88,41.62,41.62,41.12,40.03,39.53,39.78,39.66,39.38,39.12,39.16,39.44,38.16,36.19,34.44,32.84,30.97,29.56,29.41,30.16,30.25,29.25,27.81,26.66,25.66,23.59,21.62,20.53,19.75,18.41,17.69,18.81,21.62,24.12,26.03,28.25,30.19,30.91,30.19,29.41,29.25,29.53,28.75,27.75,28.09,28.53,28.62,28.88,29.97,31.81,32.88,33.38,34.03,35.12,36.06,36.16,36.22,37.28,37.75,37.09,35.56,34.72,33.56,31.69,29.09,27.22,25.75,24.0,22.06,20.78,20.69,21.12,21.66,22.41,24.75,27.16,28.75,29.31,30.25,30.72,30.03,28.94,28.0,27.72,27.28,26.38,25.53,25.75,25.59,24.56,23.19,22.72,22.69,22.41,22.5,23.66,25.62,26.31,25.97,26.06,26.38,26.81,26.69,26.84,27.91,28.91,28.72,28.0,28.5,28.69,28.5,27.69,27.41,27.06,25.88,23.56,21.44,20.0,18.19,15.84,13.78,12.41,11.0,9.22,7.62,7.72,9.06,10.62,12.03,14.62,17.88,20.94,23.41,26.19,29.78,32.69,34.41,35.62,37.19,37.31,36.25,33.78,31.88,30.06,28.38,26.56,25.97,26.78,27.25,26.97,27.12,28.03,28.75,28.81,28.88,30.06,30.81,30.69,29.47,28.56,27.38,25.41,22.94,21.06,20.69,20.62,20.47,20.06,20.41,20.09,18.34,16.16,14.94,14.38,13.75,13.09,13.53,14.66,15.62,15.38,15.44,15.91,15.56,14.59,13.75,14.19,15.22,15.88,16.19,17.44,19.19,20.47,21.16,23.34,26.09,28.47,30.22,32.06,33.91,35.31,34.5,33.16,32.66,31.41,29.47,27.16,25.78,24.75,24.03,23.31,23.88,25.22,26.47,26.88,27.41,28.97,30.53,31.09,31.66,32.66,33.41,32.91,31.88,31.09,30.16,28.62,26.47,24.91,24.47,24.66,24.19,24.31,25.69,26.84,26.88,26.47,26.84,27.38,28.0,28.41,29.94,32.09,33.47,33.91,33.84,34.06,34.31,33.66,34.16,36.25,38.78,40.25,40.97,41.22,40.59,38.69,36.03,33.94,32.62,31.69,30.19,29.12,29.31,29.5,28.62,27.62,26.56,25.75,23.94,21.47,20.25,19.81,19.28,18.69,19.0,20.41,21.06,20.56,19.75,19.16,18.75,17.34,16.34,16.84,17.84,18.72,20.25,22.69,25.69,27.84,28.72,29.22,29.91,29.91,28.69,27.22,26.31,25.41,23.38,21.88,21.53,21.94,21.94,21.62,21.84,22.62,22.66,21.78,20.84,20.75,20.03,18.69,17.5,17.0,16.78,15.59,14.34,14.12,14.59,14.53,14.22,14.84,15.94,16.78,16.62,16.97,18.0,19.19,19.94,20.84,22.47,24.03,24.12,24.06,24.19,24.59,24.34,23.41,22.59,22.22,21.62,20.31,19.09,18.59,17.78,16.28,15.31,15.41,16.59,17.56,18.72,20.53,23.03,24.62,25.25,26.16,27.03,27.59,26.72,25.66,25.03,24.75,23.62,22.88,23.12,23.62,23.41,22.19,20.5,18.78,16.69,14.0,12.09,11.59,11.66,11.56,11.69,12.66,14.28,15.25,16.34,18.19,20.53,22.56,23.91,25.12,26.56,27.06,26.0,24.72,23.75,22.5,20.28,18.44,17.62,17.19,16.09,15.56,15.28,16.16,16.69,17.12,17.69,19.31,20.5,20.84,21.38,22.0,21.94,20.81,19.53,18.97,18.94,18.84,18.84,19.06,20.25,20.56,20.44,20.28,20.84,21.03,20.62,20.09,19.84,19.75,18.88,18.53,19.47,21.28,22.34,23.12,24.31,25.5,26.75,27.66,28.75,30.88,32.72,33.41,33.72,33.81,33.59,32.19,30.41,28.88,28.06,26.81,25.69,25.03,25.34,25.25,24.91,24.16,23.91,23.53,22.91,22.38,22.44,22.81,22.59,21.66,21.12,21.12,21.31,21.34,21.69,22.38,22.31,21.0,19.09,17.81,16.0,14.16,12.78,12.94,14.22,15.75,17.03,18.19,19.28,18.94,17.5,15.88,15.47,15.22,15.16,15.12,15.66,16.38,15.88,15.03,14.88,15.34,15.81,16.19,17.12,18.5,18.88,18.22,17.41,17.88,18.12,18.28,18.47,19.53,19.91,19.44,18.09,16.91,16.03,14.81,13.53,13.53,14.38,15.19,15.44,15.72,16.31,16.88,16.12,14.94,14.16,12.94,11.28,9.53,8.91,9.59,10.53,11.59,12.81,14.81,16.78,17.53,18.53,20.47,22.28,23.41,24.19,25.31,26.0,26.16,24.88,23.34,21.88,19.41,16.22,13.47,12.0,11.22,10.38,9.94,10.81,12.06,13.09,14.12,15.97,18.03,19.72,21.12,22.75,24.47,25.97,26.47,26.06,26.25,25.84,24.88,23.56,23.44,23.91,24.25,23.72,23.5,23.03,22.0,20.5,19.78,20.19,20.69,20.25,19.69,19.84,20.44,20.94,21.88,23.69,25.31,26.59,27.06,28.06,28.75,29.03,27.66,26.09,25.0,24.03,22.91,21.88,21.84,21.84,20.78,19.38,18.5,18.19,18.03,17.44,17.56,17.69,17.38,16.44,15.94,16.31,17.16,17.88,18.47,19.47,20.38,20.5,19.41,18.75,18.44,17.94,17.09,17.5,18.62,20.31,21.09,21.88,23.66,25.53,26.62,27.0,27.34,26.78,24.78,21.81,19.62,17.81,16.72,15.41,14.69,14.81,15.47,14.97,14.53,14.41,14.31,13.47,12.72,13.25,14.66,16.44,17.25,18.12,19.75,20.84,21.0,21.09,21.75,22.56,21.88,20.38,19.28,18.59,17.25,16.31,17.34,20.44,24.28,28.16,32.38,36.41,38.88,39.19,38.25,37.53,36.97,35.66,34.5,34.0,33.88,32.97,31.0,29.53,28.56,27.25,25.22,24.38,24.66,25.44,25.56,25.84,26.12,26.59,25.56,24.09,23.91,24.12,24.09,23.62,24.06,24.22,24.09,22.31,20.88,20.28,19.72,18.88,18.69,19.38,20.62,21.25,22.12,23.69,25.72,27.69,28.78,29.97,30.94,31.56,30.53,29.22,28.5,27.78,25.97,24.38,24.03,24.59,25.0,25.78,26.91,28.38,28.91,27.84,26.72,25.5,24.06,21.78,19.81,18.25,17.59,16.44,15.47,15.62,16.62,17.0,17.44,18.09,19.66,21.19,22.31,23.34,24.47,25.41,25.0,24.47,24.62,24.56,23.31,21.69,20.22,19.25,17.56,16.38,16.0,16.66,17.06,16.88,16.62,16.72,16.75,16.06,15.31,15.41,16.06,15.31,13.94,13.44,13.44,12.88,12.62,12.69,13.44,13.81,13.31,13.0,13.0,13.31,12.59,11.72,11.94,12.62,13.12,13.22,13.75,14.41,14.31,13.88,13.25,13.44,13.62,13.06,12.66,13.56,15.0,15.41,15.72,16.81,17.44,17.22,16.78,16.81,17.78,18.59,19.03,19.44,20.41,20.94,20.34,19.88,20.19,20.81,21.22,21.12,21.41,21.75,20.97,19.47,17.91,17.28,16.38,15.25,14.06,13.75,13.56,12.56,11.53,11.19,11.81,11.28,11.06,11.25,11.53,11.06,10.16,9.16,8.88,8.84,8.41,8.44,10.31,12.78,14.62,16.75,19.56,22.09,23.16,23.75,24.25,24.78,24.56,23.34,21.69,21.12,20.34,18.97,18.16,18.72,19.47,19.03,18.16,17.62,17.72,16.81,16.03,15.91,16.62,16.75,16.38,15.94,15.94,16.0,14.94,13.56,13.34,13.19,12.66,12.16,15.62,16.5,18.12,19.0,19.03,18.62,17.81,16.66,15.53,15.12,15.34,15.47,15.84,16.5,17.56,18.62,19.84,21.09,23.09,25.09,26.94,28.88,30.75,32.5,33.38,33.81,33.66,32.94,31.97,31.06,29.88,28.97,28.53,27.81,27.34:31.91,31.91,32.44,33.03,34.0,35.62,36.78,36.78,36.31,36.31,36.12,35.41,34.91,35.78,37.69,39.25,40.25,41.84,42.78,43.06,42.28,41.53,41.0,39.97,38.16,36.25,35.34,35.66,35.97,36.41,37.81,39.41,39.88,40.03,40.5,41.34,42.25,42.03,41.88,42.28,42.22,41.72,41.5,41.81,42.91,43.31,42.84,42.75,42.62,42.16,41.47,41.53,42.44,43.59,43.88,43.84,43.97,43.72,42.06,39.25,37.31,35.5,33.31,30.94,29.19,28.31,27.88,26.94,27.22,28.66,30.38,30.97,31.91,32.91,34.31,34.84,35.25,36.0,37.28,37.53,36.38,35.0,33.62,31.47,28.62,26.84,26.5,26.75,26.66,26.78,27.44,28.25,28.66,28.44,28.78,29.0,27.94,25.66,23.38,21.81,20.53,19.5,19.25,20.22,21.22,21.31,21.41,22.41,23.97,24.56,24.47,24.19,23.62,21.62,19.41,17.44,16.88,16.69,15.94,15.97,17.25,19.12,20.44,22.09,24.41,27.22,29.12,29.75,30.06,30.34,29.72,28.5,27.91,28.41,29.62,30.5,31.22,33.0,34.78,35.47,36.06,36.38,36.88,36.75,35.44,34.56,34.59,34.81,34.19,33.59,33.47,32.41,29.53,26.31,24.03,22.56,21.53,21.66,23.66,27.06,30.12,32.47,34.28,36.06,37.78,38.19,38.91,41.28,44.03,46.25,48.47,51.69,55.0,57.06,58.22,58.69,59.19,58.5,56.53,53.91,51.25,47.62,42.16,36.69,32.5,29.88,28.06,27.66,29.22,32.41,35.25,37.97,40.41,42.72,43.97,43.31,42.12,41.19,39.75,37.66,35.31,34.19,33.53,32.72,32.94,34.5,36.88,38.72,40.09,41.16,42.41,43.03,42.75,42.28,42.5,42.66,42.0,41.38,41.88,42.59,42.16,41.88,41.62,41.62,41.12,40.03,39.53,39.78,39.66,39.38,39.12,39.16,39.44,38.16,36.19,34.44,32.84,30.97,29.56,29.41,30.16,30.25,29.25,27.81,26.66,25.66,23.59,21.62,20.53,19.75,18.41,17.69,18.81,21.62,24.12,26.03,28.25,30.19,30.91,30.19,29.41,29.25,29.53,28.75,27.75,28.09,28.53,28.62,28.88,29.97,31.81,32.88,33.38,34.03,35.12,36.06,36.16,36.22,37.28,37.75,37.09,35.56,34.72,33.56,31.69,29.09,27.22,25.75,24.0,22.06,20.78,20.69,21.12,21.66,22.41,24.75,27.16,28.75,29.31,30.25,30.72,30.03,28.94,28.0,27.72,27.28,26.38,25.53,25.75,25.59,24.56,23.19,22.72,22.69,22.41,22.5,23.66,25.62,26.31,25.97,26.06,26.38,26.81,26.69,26.84,27.91,28.91,28.72,28.0,28.5,28.69,28.5,27.69,27.41,27.06,25.88,23.56,21.44,20.0,18.19,15.84,13.78,12.41,11.0,9.22,7.62,7.72,9.06,10.62,12.03,14.62,17.88,20.94,23.41,26.19,29.78,32.69,34.41,35.62,37.19,37.31,36.25,33.78,31.88,30.06,28.38,26.56,25.97,26.78,27.25,26.97,27.12,28.03,28.75,28.81,28.88,30.06,30.81,30.69,29.47,28.56,27.38,25.41,22.94,21.06,20.69,20.62,20.47,20.06,20.41,20.09,18.34,16.16,14.94,14.38,13.75,13.09,13.53,14.66,15.62,15.38,15.44,15.91,15.56,14.59,13.75,14.19,15.22,15.88,16.19,17.44,19.19,20.47,21.16,23.34,26.09,28.47,30.22,32.06,33.91,35.31,34.5,33.16,32.66,31.41,29.47,27.16,25.78,24.75,24.03,23.31,23.88,25.22,26.47,26.88,27.41,28.97,30.53,31.09,31.66,32.66,33.41,32.91,31.88,31.09,30.16,28.62,26.47,24.91,24.47,24.66,24.19,24.31,25.69,26.84,26.88,26.47,26.84,27.38,28.0,28.41,29.94,32.09,33.47,33.91,33.84,34.06,34.31,33.66,34.16,36.25,38.78,40.25,40.97,41.22,40.59,38.69,36.03,33.94,32.62,31.69,30.19,29.12,29.31,29.5,28.62,27.62,26.56,25.75,23.94,21.47,20.25,19.81,19.28,18.69,19.0,20.41,21.06,20.56,19.75,19.16,18.75,17.34,16.34,16.84,17.84,18.72,20.25,22.69,25.69,27.84,28.72,29.22,29.91,29.91,28.69,27.22,26.31,25.41,23.38,21.88,21.53,21.94,21.94,21.62,21.84,22.62,22.66,21.78,20.84,20.75,20.03,18.69,17.5,17.0,16.78,15.59,14.34,14.12,14.59,14.53,14.22,14.84,15.94,16.78,16.62,16.97,18.0,19.19,19.94,20.84,22.47,24.03,24.12,24.06,24.19,24.59,24.34,23.41,22.59,22.22,21.62,20.31,19.09,18.59,17.78,16.28,15.31,15.41,16.59,17.56,18.72,20.53,23.03,24.62,25.25,26.16,27.03,27.59,26.72,25.66,25.03,24.75,23.62,22.88,23.12,23.62,23.41,22.19,20.5,18.78,16.69,14.0,12.09,11.59,11.66,11.56,11.69,12.66,14.28,15.25,16.34,18.19,20.53,22.56,23.91,25.12,26.56,27.06,26.0,24.72,23.75,22.5,20.28,18.44,17.62,17.19,16.09,15.56,15.28,16.16,16.69,17.12,17.69,19.31,20.5,20.84,21.38,22.0,21.94,20.81,19.53,18.97,18.94,18.84,18.84,19.06,20.25,20.56,20.44,20.28,20.84,21.03,20.62,20.09,19.84,19.75,18.88,18.53,19.47,21.28,22.34,23.12,24.31,25.5,26.75,27.66,28.75,30.88,32.72,33.41,33.72,33.81,33.59,32.19,30.41,28.88,28.06,26.81,25.69,25.03,25.34,25.25,24.91,24.16,23.91,23.53,22.91,22.38,22.44,22.81,22.59,21.66,21.12,21.12,21.31,21.34,21.69,22.38,22.31,21.0,19.09,17.81,16.0,14.16,12.78,12.94,14.22,15.75,17.03,18.19,19.28,18.94,17.5,15.88,15.47,15.22,15.16,15.12,15.66,16.38,15.88,15.03,14.88,15.34,15.81,16.19,17.12,18.5,18.88,18.22,17.41,17.88,18.12,18.28,18.47,19.53,19.91,19.44,18.09,16.91,16.03,14.81,13.53,13.53,14.38,15.19,15.44,15.72,16.31,16.88,16.12,14.94,14.16,12.94,11.28,9.53,8.91,9.59,10.53,11.59,12.81,14.81,16.78,17.53,18.53,20.47,22.28,23.41,24.19,25.31,26.0,26.16,24.88,23.34,21.88,19.41,16.22,13.47,12.0,11.22,10.38,9.94,10.81,12.06,13.09,14.12,15.97,18.03,19.72,21.12,22.75,24.47,25.97,26.47,26.06,26.25,25.84,24.88,23.56,23.44,23.91,24.25,23.72,23.5,23.03,22.0,20.5,19.78,20.19,20.69,20.25,19.69,19.84,20.44,20.94,21.88,23.69,25.31,26.59,27.06,28.06,28.75,29.03,27.66,26.09,25.0,24.03,22.91,21.88,21.84,21.84,20.78,19.38,18.5,18.19,18.03,17.44,17.56,17.69,17.38,16.44,15.94,16.31,17.16,17.88,18.47,19.47,20.38,20.5,19.41,18.75,18.44,17.94,17.09,17.5,18.62,20.31,21.09,21.88,23.66,25.53,26.62,27.0,27.34,26.78,24.78,21.81,19.62,17.81,16.72,15.41,14.69,14.81,15.47,14.97,14.53,14.41,14.31,13.47,12.72,13.25,14.66,16.44,17.25,18.12,19.75,20.84,21.0,21.09,21.75,22.56,21.88,20.38,19.28,18.59,17.25,16.31,17.34,20.44,24.28,28.16,32.38,36.41,38.88,39.19,38.25,37.53,36.97,35.66,34.5,34.0,33.88,32.97,31.0,29.53,28.56,27.25,25.22,24.38,24.66,25.44,25.56,25.84,26.12,26.59,25.56,24.09,23.91,24.12,24.09,23.62,24.06,24.22,24.09,22.31,20.88,20.28,19.72,18.88,18.69,19.38,20.62,21.25,22.12,23.69,25.72,27.69,28.78,29.97,30.94,31.56,30.53,29.22,28.5,27.78,25.97,24.38,24.03,24.59,25.0,25.78,26.91,28.38,28.91,27.84,26.72,25.5,24.06,21.78,19.81,18.25,17.59,16.44,15.47,15.62,16.62,17.0,17.44,18.09,19.66,21.19,22.31,23.34,24.47,25.41,25.0,24.47,24.62,24.56,23.31,21.69,20.22,19.25,17.56,16.38,16.0,16.66,17.06,16.88,16.62,16.72,16.75,16.06,15.31,15.41,16.06,15.31,13.94,13.44,13.44,12.88,12.62,12.69,13.44,13.81,13.31,13.0,13.0,13.31,12.59,11.72,11.94,12.62,13.12,13.22,13.75,14.41,14.31,13.88,13.25,13.44,13.62,13.06,12.66,13.56,15.0,15.41,15.72,16.81,17.44,17.22,16.78,16.81,17.78,18.59,19.03,19.44,20.41,20.94,20.34,19.88,20.19,20.81,21.22,21.12,21.41,21.75,20.97,19.47,17.91,17.28,16.38,15.25,14.06,13.75,13.56,12.56,11.53,11.19,11.81,11.28,11.06,11.25,11.53,11.06,10.16,9.16,8.88,8.84,8.41,8.44,10.31,12.78,14.62,16.75,19.56,22.09,23.16,23.75,24.25,24.78,24.56,23.34,21.69,21.12,20.34,18.97,18.16,18.72,19.47,19.03,18.16,17.62,17.72,16.81,16.03,15.91,16.62,16.75,16.38,15.94,15.94,16.0,14.94,13.56,13.34,13.19,12.66,12.16,15.62,16.5,18.12,19.0,19.03,18.62,17.81,16.66,15.53,15.12,15.34,15.47,15.84,16.5,17.56,18.62,19.84,21.09,23.09,25.09,26.94,28.88,30.75,32.5,33.38,33.81,33.66,32.94,31.97,31.06,29.88,28.97,28.53,27.81,27.34,27.09,27.38,26.25,24.59,22.69,20.81,18.38:negativity
-1.84,-1.34,-1.78,-0.62,0.44,-1.06,-3.34,-4.06,-3.84,-5.16,-7.41,-7.56,-5.06,-3.28,-3.25,-2.91,-1.69,-1.5,-4.16,-7.19,-7.38,-6.28,-6.16,-5.59,-3.56,-0.19,0.78,-0.22,-1.12,-0.41,-0.94,-3.44,-5.25,-5.28,-5.16,-7.22,-9.5,-9.91,-9.28,-9.44,-10.0,-7.91,-4.12,-1.09,-0.28,1.12,3.91,5.94,5.47,5.34,6.81,7.22,4.62,0.0,-2.62,-4.62,-8.09,-11.38,-12.28,-11.03,-9.78,-9.0,-6.97,-2.5,0.81,1.59,1.28,2.22,2.97,1.41,-1.03,-2.03,-1.59,-3.0,-4.78,-5.56,-4.06,-3.94,-5.53,-6.53,-5.31,-4.62,-6.03,-7.47,-6.75,-5.56,-6.53,-8.12,-7.91,-6.72,-7.22,-9.16,-9.62,-8.22,-7.62,-8.56,-8.5,-5.97,-2.94,-2.03,-1.62,0.06,1.19,-0.19,-2.56,-3.03,-1.69,-1.56,-2.94,-3.47,-2.16,-1.78,-3.59,-5.22,-4.72,-5.12,-7.97,-10.88,-11.22,-10.03,-10.28,-10.69,-9.78,-7.28,-6.62,-7.75,-8.25,-6.94,-7.12,-9.25,-11.78,-11.28,-10.34,-10.81,-11.41,-9.62,-6.94,-6.38,-6.94,-6.09,-4.25,-4.03,-6.16,-7.94,-7.75,-8.34,-10.78,-12.91,-12.78,-12.44,-14.06,-15.75,-15.34,-13.28,-12.66,-13.53,-13.25,-12.06,-12.62,-15.56,-17.91,-18.19,-19.09,-21.56,-23.47,-22.91,-21.41,-22.0,-23.22,-22.56,-20.75,-20.38,-20.88,-20.44,-18.38,-17.19,-17.84,-18.28,-16.12,-14.03,-13.5,-13.03,-9.94,-6.09,-4.22,-3.94,-2.41,-0.19,0.22,-1.25,-2.0,-1.5,-1.69,-3.88,-5.5,-5.0,-4.53,-6.47,-9.53,-10.88,-11.75,-14.53,-18.38,-20.22,-20.22,-20.81,-22.59,-22.78,-20.34,-17.69,-16.09,-13.16,-7.34,-1.25,2.47,4.94,7.84,10.31,9.75,7.47,6.31,6.75,7.03,6.5,7.19,10.06,12.25,11.41,9.75,9.41,8.66,5.88,1.91,0.12,-0.91,-3.34,-6.66,-7.72,-6.53,-5.66,-5.94,-5.28,-2.59,-0.31,-1.12,-2.81,-3.19,-4.25,-7.56,-11.34,-12.69,-12.84,-13.31,-14.88,-15.06,-13.66,-13.38,-15.12,-16.25,-15.75,-15.19,-16.5,-18.28,-17.81,-17.16,-18.25,-20.16,-20.47,-19.09,-18.88,-19.81,-19.25,-16.66,-14.72,-14.44,-13.94,-11.84,-9.72,-9.81,-10.16,-8.59,-6.12,-5.31,-5.75,-4.69,-2.28,-0.94,-2.09,-2.84,-2.16,-2.62,-5.28,-7.53,-6.59,-5.28,-6.09,-7.22,-6.56,-5.69,-6.88,-9.09,-9.94,-9.16,-8.72,-10.09,-10.38,-8.78,-7.62,-9.31,-10.59,-9.81,-8.34,-9.31,-10.97,-11.19,-10.84,-12.38,-15.62,-17.75,-18.44,-19.31,-21.56,-22.31,-20.12,-17.97,-17.88,-17.59,-15.56,-13.03,-12.66,-12.94,-11.59,-9.03,-8.0,-8.78,-8.22,-6.66,-6.31,-8.19,-9.56,-8.69,-8.06,-8.84,-9.72,-8.06,-5.84,-5.91,-7.12,-7.41,-6.81,-8.03,-10.38,-11.28,-9.88,-8.81,-9.91,-10.47,-9.69,-9.28,-11.19,-13.5,-13.16,-11.0,-10.22,-10.09,-8.03,-4.94,-3.56,-3.97,-3.31,-1.56,-0.03,-0.97,-2.12,-1.0,-0.12,-1.56,-3.12,-2.97,-2.31,-3.62,-6.75,-9.06,-10.34,-12.59,-16.22,-18.22,-16.91,-15.06,-14.94,-14.94,-12.81,-10.97,-11.75,-13.5,-13.06,-11.78,-11.56,-12.72,-12.16,-9.88,-8.28,-8.66,-8.28,-6.59,-5.47,-7.66,-10.56,-12.0,-12.59,-15.25,-18.12,-18.72,-17.91,-18.59,-20.75,-21.56,-20.31,-19.84,-21.09,-21.19,-19.12,-16.97,-17.06,-17.06,-15.41,-12.78,-12.06,-12.31,-10.59,-7.72,-6.72,-8.12,-8.72,-7.56,-7.12,-8.53,-9.03,-6.94,-5.06,-5.28,-6.22,-5.03,-3.34,-3.59,-5.22,-5.19,-3.66,-3.62,-5.22,-5.56,-3.62,-1.94,-2.12,-2.38,-1.12,-0.34,-2.22,-5.22,-5.78,-5.09,-5.38,-6.72,-6.09,-3.88,-2.91,-4.03,-3.94,-2.41,-1.56,-3.62,-5.44,-5.16,-4.5,-5.84,-7.19,-6.84,-5.19,-5.69,-7.97,-8.84,-7.84,-7.97,-9.28,-8.88,-5.34,-1.81,-0.75,0.06,1.78,4.03,3.19,1.62,1.16,2.03,1.25,-0.97,-1.91,-1.19,-1.72,-4.72,-7.19,-7.03,-6.41,-7.34,-8.28,-6.91,-4.88,-5.25,-6.66,-6.59,-5.41,-5.78,-8.12,-9.59,-9.47,-10.53,-14.09,-17.12,-18.06,-18.59,-20.88,-23.22,-22.84,-20.91,-20.41,-20.41,-18.75,-15.19,-13.38,-13.28,-12.12,-9.12,-6.59,-6.28,-6.19,-3.97,-2.06,-2.81,-4.34,-3.88,-2.38,-2.5,-3.88,-3.81,-2.09,-1.78,-3.53,-5.0,-4.88,-5.28,-8.03,-10.72,-10.06,-8.97,-9.12,-9.09,-7.0,-3.66,-2.16,-2.69,-2.81,-1.62,-1.91,-4.53,-6.38,-5.72,-4.94,-6.5,-7.31,-5.38,-3.06,-3.03,-4.09,-3.88,-2.53,-2.88,-4.09,-3.69,-0.47,1.84,2.41,2.94,4.78,5.56,3.25,0.0,-1.28,-1.41,-3.53,-5.56,-5.41,-3.59,-3.5,-4.81,-5.75,-4.62,-4.66,-6.44,-7.44,-5.81,-3.81,-4.38,-5.28,-4.0,-2.47,-2.78,-4.34,-3.47,-1.16,0.59,0.69,1.62,4.38,5.59,3.75,1.59,1.66,1.81,-0.47,-3.25,-4.0,-4.09,-5.75,-8.28,-8.78,-6.81,-5.31,-5.75,-5.12,-2.94,-1.94,-4.06,-6.44,-6.41,-5.88,-6.81,-7.88,-6.88,-4.34,-4.06,-5.34,-5.81,-4.5,-4.97,-6.88,-8.16,-6.56,-5.59,-6.81,-8.53,-7.75,-6.47,-7.25,-8.28,-7.03,-5.03,-4.5,-5.66,-5.5,-3.16,-1.69,-2.22,-2.31,-0.31,1.31,0.75,-0.03,1.59,3.47,2.94,0.94,0.91,1.62,0.97,-0.94,-1.78,-0.25,1.12,1.03,1.44,4.53,7.94,7.97,7.31,8.0,9.0,6.97,3.88,2.72,2.88,2.16,0.12,-0.5,1.09,2.0,0.69,-0.09,1.5,2.75,1.75,0.44,1.22,3.12,3.0,1.34,1.25,1.97,1.22,-0.38,-0.34,3.06,6.12,6.66,6.47,7.75,8.53,7.16,5.91,7.28,9.41,9.5,7.78,7.19,8.25,7.84,5.66,4.53,5.84,7.12,6.0,5.0,5.84,7.0,6.09,4.31,4.5,6.25,6.12,5.06,5.62,8.03,9.75,8.78,8.03,9.09,9.38,7.03,4.69,4.88,6.03,5.53,4.53,5.59,7.88,8.0,6.72,6.59,7.94,8.09,6.5,4.97,5.66,6.16,4.78,2.59,2.78,3.72,1.84,-1.78,-4.12,-5.69,-8.47,-12.59,-14.19,-12.38,-10.19,-8.75,-6.38,-1.31,3.91,6.53,8.22,11.56,15.12,16.03,15.09,14.34,14.22,11.59,6.44,2.06,-0.12,-2.44,-6.59,-9.62,-9.62,-7.97,-7.31,-6.12,-1.5,4.69,9.53,12.5,16.0,19.88,21.38,19.75,18.16,18.47,18.16,15.22,11.88,11.03,10.16,7.34,3.34,1.06,-0.06,-2.78,-6.69,-8.75,-8.44,-8.56,-10.31,-10.94,-8.94,-6.69,-6.12,-5.44,-1.88,3.06,6.5,9.19,13.69,19.06,22.34,22.34,22.69,23.88,23.22,20.0,17.28,17.44,17.88,16.12,14.09,13.91,14.06,11.81,8.0,5.62,4.53,2.0,-2.31,-4.84,-4.62,-4.31,-5.22,-5.38,-2.5,0.44,1.12,0.88,2.78,5.19,6.19,5.56,6.97,9.81,11.66,10.97,11.09,13.16,14.81,13.91,13.53,15.66,18.25,18.88,18.47,19.78,20.94,19.59,15.94,13.47,12.41,10.38,6.31,3.31,2.62,2.25,0.03,-1.12,1.0,4.06,5.72,6.97,10.25,14.16,16.06,15.84,16.19,18.06,18.72,17.81,18.06,21.25,24.44,25.22,25.72,27.38,28.5,26.53,22.38,19.31,17.16,13.56,8.69,6.44,7.38,8.69,8.81,10.28,14.03,17.56,18.19,17.72,18.5,19.06,17.16,13.59,11.97,12.12,11.81,10.16,10.25,12.16,13.16,11.78,11.03,11.94,13.31,13.03,12.72,15.25,18.78,20.75,21.31,22.34,23.81,23.38,20.75,19.53,20.75,21.88,21.44,20.62,21.56,21.91,19.44,15.84,13.91,12.72,10.72,7.81,6.97,8.72,9.81,9.62,10.5,13.31,16.12,16.22,16.62,19.38,22.72,23.53,23.03,23.69,23.97,21.41,16.81,13.81,12.84,12.03,10.66,11.66,15.16,19.12,20.03,20.69,23.09,25.53,25.06,23.34,22.97,23.53,22.78,20.81,20.66,22.41,23.03,21.72,20.16,20.5,20.69,18.56,16.44,16.84,18.66,19.12,18.94,20.38,23.12,24.41,23.72,23.66,25.38,26.47,25.38,24.28,25.28,26.53,25.38,23.62,23.66,24.78,23.91,21.84,21.25,22.0,21.88,19.84,18.84,20.16,21.19,19.62,18.5,19.72,21.59,21.5,20.62,21.19,22.75,22.28,20.38,19.62,20.59,20.28,17.88,16.5,17.75,19.22,18.56,18.0,19.16,20.62,19.72,18.03,17.91,19.16,18.97,18.03,18.47,20.84,22.44,21.94,22.0,23.78,25.12,23.59,21.53,21.34,21.88,20.88,18.66,18.38,19.22,18.84,17.09,16.88,18.75,20.31,19.75,19.56,21.38,23.19,22.31,20.94,21.75,23.47,23.41,22.72,23.91,26.59,27.59,26.91,27.06,28.84,29.38,27.38,25.44,25.31,25.5,23.0,19.84,18.03,16.94,14.06,11.09,10.59,12.81,14.19,14.31,15.5,18.56,20.59,20.22,19.56,20.75,21.78,21.06,20.06,21.28,23.31,23.62,22.09,21.78,22.56,22.44,20.44,19.16,20.56,22.0,21.72,21.62,23.16,24.91,23.31,20.56,18.91,18.66,16.84,14.31,13.81,15.53,17.03,16.81,16.62,18.31,19.22:-4.06,-3.84,-5.16,-7.41,-7.56,-5.06,-3.28,-3.25,-2.91,-1.69,-1.5,-4.16,-7.19,-7.38,-6.28,-6.16,-5.59,-3.56,-0.19,0.78,-0.22,-1.12,-0.41,-0.94,-3.44,-5.25,-5.28,-5.16,-7.22,-9.5,-9.91,-9.28,-9.44,-10.0,-7.91,-4.12,-1.09,-0.28,1.12,3.91,5.94,5.47,5.34,6.81,7.22,4.62,0.0,-2.62,-4.62,-8.09,-11.38,-12.28,-11.03,-9.78,-9.0,-6.97,-2.5,0.81,1.59,1.28,2.22,2.97,1.41,-1.03,-2.03,-1.59,-3.0,-4.78,-5.56,-4.06,-3.94,-5.53,-6.53,-5.31,-4.62,-6.03,-7.47,-6.75,-5.56,-6.53,-8.12,-7.91,-6.72,-7.22,-9.16,-9.62,-8.22,-7.62,-8.56,-8.5,-5.97,-2.94,-2.03,-1.62,0.06,1.19,-0.19,-2.56,-3.03,-1.69,-1.56,-2.94,-3.47,-2.16,-1.78,-3.59,-5.22,-4.72,-5.12,-7.97,-10.88,-11.22,-10.03,-10.28,-10.69,-9.78,-7.28,-6.62,-7.75,-8.25,-6.94,-7.12,-9.25,-11.78,-11.28,-10.34,-10.81,-11.41,-9.62,-6.94,-6.38,-6.94,-6.09,-4.25,-4.03,-6.16,-7.94,-7.75,-8.34,-10.78,-12.91,-12.78,-12.44,-14.06,-15.75,-15.34,-13.28,-12.66,-13.53,-13.25,-12.06,-12.62,-15.56,-17.91,-18.19,-19.09,-21.56,-23.47,-22.91,-21.41,-22.0,-23.22,-22.56,-20.75,-20.38,-20.88,-20.44,-18.38,-17.19,-17.84,-18.28,-16.12,-14.03,-13.5,-13.03,-9.94,-6.09,-4.22,-3.94,-2.41,-0.19,0.22,-1.25,-2.0,-1.5,-1.69,-3.88,-5.5,-5.0,-4.53,-6.47,-9.53,-10.88,-11.75,-14.53,-18.38,-20.22,-20.22,-20.81,-22.59,-22.78,-20.34,-17.69,-16.09,-13.16,-7.34,-1.25,2.47,4.94,7.84,10.31,9.75,7.47,6.31,6.75,7.03,6.5,7.19,10.06,12.25,11.41,9.75,9.41,8.66,5.88,1.91,0.12,-0.91,-3.34,-6.66,-7.72,-6.53,-5.66,-5.94,-5.28,-2.59,-0.31,-1.12,-2.81,-3.19,-4.25,-7.56,-11.34,-12.69,-12.84,-13.31,-14.88,-15.06,-13.66,-13.38,-15.12,-16.25,-15.75,-15.19,-16.5,-18.28,-17.81,-17.16,-18.25,-20.16,-20.47,-19.09,-18.88,-19.81,-19.25,-16.66,-14.72,-14.44,-13.94,-11.84,-9.72,-9.81,-10.16,-8.59,-6.12,-5.31,-5.75,-4.69,-2.28,-0.94,-2.09,-2.84,-2.16,-2.62,-5.28,-7.53,-6.59,-5.28,-6.09,-7.22,-6.56,-5.69,-6.88,-9.09,-9.94,-9.16,-8.72,-10.09,-10.38,-8.78,-7.62,-9.31,-10.59,-9.81,-8.34,-9.31,-10.97,-11.19,-10.84,-12.38,-15.62,-17.75,-18.44,-19.31,-21.56,-22.31,-20.12,-17.97,-17.88,-17.59,-15.56,-13.03,-12.66,-12.94,-11.59,-9.03,-8.0,-8.78,-8.22,-6.66,-6.31,-8.19,-9.56,-8.69,-8.06,-8.84,-9.72,-8.06,-5.84,-5.91,-7.12,-7.41,-6.81,-8.03,-10.38,-11.28,-9.88,-8.81,-9.91,-10.47,-9.69,-9.28,-11.19,-13.5,-13.16,-11.0,-10.22,-10.09,-8.03,-4.94,-3.56,-3.97,-3.31,-1.56,-0.03,-0.97,-2.12,-1.0,-0.12,-1.56,-3.12,-2.97,-2.31,-3.62,-6.75,-9.06,-10.34,-12.59,-16.22,-18.22,-16.91,-15.06,-14.94,-14.94,-12.81,-10.97,-11.75,-13.5,-13.06,-11.78,-11.56,-12.72,-12.16,-9.88,-8.28,-8.66,-8.28,-6.59,-5.47,-7.66,-10.56,-12.0,-12.59,-15.25,-18.12,-18.72,-17.91,-18.59,-20.75,-21.56,-20.31,-19.84,-21.09,-21.19,-19.12,-16.97,-17.06,-17.06,-15.41,-12.78,-12.06,-12.31,-10.59,-7.72,-6.72,-8.12,-8.72,-7.56,-7.12,-8.53,-9.03,-6.94,-5.06,-5.28,-6.22,-5.03,-3.34,-3.59,-5.22,-5.19,-3.66,-3.62,-5.22,-5.56,-3.62,-1.94,-2.12,-2.38,-1.12,-0.34,-2.22,-5.22,-5.78,-5.09,-5.38,-6.72,-6.09,-3.88,-2.91,-4.03,-3.94,-2.41,-1.56,-3.62,-5.44,-5.16,-4.5,-5.84,-7.19,-6.84,-5.19,-5.69,-7.97,-8.84,-7.84,-7.97,-9.28,-8.88,-5.34,-1.81,-0.75,0.06,1.78,4.03,3.19,1.62,1.16,2.03,1.25,-0.97,-1.91,-1.19,-1.72,-4.72,-7.19,-7.03,-6.41,-7.34,-8.28,-6.91,-4.88,-5.25,-6.66,-6.59,-5.41,-5.78,-8.12,-9.59,-9.47,-10.53,-14.09,-17.12,-18.06,-18.59,-20.88,-23.22,-22.84,-20.91,-20.41,-20.41,-18.75,-15.19,-13.38,-13.28,-12.12,-9.12,-6.59,-6.28,-6.19,-3.97,-2.06,-2.81,-4.34,-3.88,-2.38,-2.5,-3.88,-3.81,-2.09,-1.78,-3.53,-5.0,-4.88,-5.28,-8.03,-10.72,-10.06,-8.97,-9.12,-9.09,-7.0,-3.66,-2.16,-2.69,-2.81,-1.62,-1.91,-4.53,-6.38,-5.72,-4.94,-6.5,-7.31,-5.38,-3.06,-3.03,-4.09,-3.88,-2.53,-2.88,-4.09,-3.69,-0.47,1.84,2.41,2.94,4.78,5.56,3.25,0.0,-1.28,-1.41,-3.53,-5.56,-5.41,-3.59,-3.5,-4.81,-5.75,-4.62,-4.66,-6.44,-7.44,-5.81,-3.81,-4.38,-5.28,-4.0,-2.47,-2.78,-4.34,-3.47,-1.16,0.59,0.69,1.62,4.38,5.59,3.75,1.59,1.66,1.81,-0.47,-3.25,-4.0,-4.09,-5.75,-8.28,-8.78,-6.81,-5.31,-5.75,-5.12,-2.94,-1.94,-4.06,-6.44,-6.41,-5.88,-6.81,-7.88,-6.88,-4.34,-4.06,-5.34,-5.81,-4.5,-4.97,-6.88,-8.16,-6.56,-5.59,-6.81,-8.53,-7.75,-6.47,-7.25,-8.28,-7.03,-5.03,-4.5,-5.66,-5.5,-3.16,-1.69,-2.22,-2.31,-0.31,1.31,0.75,-0.03,1.59,3.47,2.94,0.94,0.91,1.62,0.97,-0.94,-1.78,-0.25,1.12,1.03,1.44,4.53,7.94,7.97,7.31,8.0,9.0,6.97,3.88,2.72,2.88,2.16,0.12,-0.5,1.09,2.0,0.69,-0.09,1.5,2.75,1.75,0.44,1.22,3.12,3.0,1.34,1.25,1.97,1.22,-0.38,-0.34,3.06,6.12,6.66,6.47,7.75,8.53,7.16,5.91,7.28,9.41,9.5,7.78,7.19,8.25,7.84,5.66,4.53,5.84,7.12,6.0,5.0,5.84,7.0,6.09,4.31,4.5,6.25,6.12,5.06,5.62,8.03,9.75,8.78,8.03,9.09,9.38,7.03,4.69,4.88,6.03,5.53,4.53,5.59,7.88,8.0,6.72,6.59,7.94,8.09,6.5,4.97,5.66,6.16,4.78,2.59,2.78,3.72,1.84,-1.78,-4.12,-5.69,-8.47,-12.59,-14.19,-12.38,-10.19,-8.75,-6.38,-1.31,3.91,6.53,8.22,11.56,15.12,16.03,15.09,14.34,14.22,11.59,6.44,2.06,-0.12,-2.44,-6.59,-9.62,-9.62,-7.97,-7.31,-6.12,-1.5,4.69,9.53,12.5,16.0,19.88,21.38,19.75,18.16,18.47,18.16,15.22,11.88,11.03,10.16,7.34,3.34,1.06,-0.06,-2.78,-6.69,-8.75,-8.44,-8.56,-10.31,-10.94,-8.94,-6.69,-6.12,-5.44,-1.88,3.06,6.5,9.19,13.69,19.06,22.34,22.34,22.69,23.88,23.22,20.0,17.28,17.44,17.88,16.12,14.09,13.91,14.06,11.81,8.0,5.62,4.53,2.0,-2.31,-4.84,-4.62,-4.31,-5.22,-5.38,-2.5,0.44,1.12,0.88,2.78,5.19,6.19,5.56,6.97,9.81,11.66,10.97,11.09,13.16,14.81,13.91,13.53,15.66,18.25,18.88,18.47,19.78,20.94,19.59,15.94,13.47,12.41,10.38,6.31,3.31,2.62,2.25,0.03,-1.12,1.0,4.06,5.72,6.97,10.25,14.16,16.06,15.84,16.19,18.06,18.72,17.81,18.06,21.25,24.44,25.22,25.72,27.38,28.5,26.53,22.38,19.31,17.16,13.56,8.69,6.44,7.38,8.69,8.81,10.28,14.03,17.56,18.19,17.72,18.5,19.06,17.16,13.59,11.97,12.12,11.81,10.16,10.25,12.16,13.16,11.78,11.03,11.94,13.31,13.03,12.72,15.25,18.78,20.75,21.31,22.34,23.81,23.38,20.75,19.53,20.75,21.88,21.44,20.62,21.56,21.91,19.44,15.84,13.91,12.72,10.72,7.81,6.97,8.72,9.81,9.62,10.5,13.31,16.12,16.22,16.62,19.38,22.72,23.53,23.03,23.69,23.97,21.41,16.81,13.81,12.84,12.03,10.66,11.66,15.16,19.12,20.03,20.69,23.09,25.53,25.06,23.34,22.97,23.53,22.78,20.81,20.66,22.41,23.03,21.72,20.16,20.5,20.69,18.56,16.44,16.84,18.66,19.12,18.94,20.38,23.12,24.41,23.72,23.66,25.38,26.47,25.38,24.28,25.28,26.53,25.38,23.62,23.66,24.78,23.91,21.84,21.25,22.0,21.88,19.84,18.84,20.16,21.19,19.62,18.5,19.72,21.59,21.5,20.62,21.19,22.75,22.28,20.38,19.62,20.59,20.28,17.88,16.5,17.75,19.22,18.56,18.0,19.16,20.62,19.72,18.03,17.91,19.16,18.97,18.03,18.47,20.84,22.44,21.94,22.0,23.78,25.12,23.59,21.53,21.34,21.88,20.88,18.66,18.38,19.22,18.84,17.09,16.88,18.75,20.31,19.75,19.56,21.38,23.19,22.31,20.94,21.75,23.47,23.41,22.72,23.91,26.59,27.59,26.91,27.06,28.84,29.38,27.38,25.44,25.31,25.5,23.0,19.84,18.03,16.94,14.06,11.09,10.59,12.81,14.19,14.31,15.5,18.56,20.59,20.22,19.56,20.75,21.78,21.06,20.06,21.28,23.31,23.62,22.09,21.78,22.56,22.44,20.44,19.16,20.56,22.0,21.72,21.62,23.16,24.91,23.31,20.56,18.91,18.66,16.84,14.31,13.81,15.53,17.03,16.81,16.62,18.31,19.22,40.56,41.56,41.75,41.75,41.28,38.44,34.81:-3.25,-2.91,-1.69,-1.5,-4.16,-7.19,-7.38,-6.28,-6.16,-5.59,-3.56,-0.19,0.78,-0.22,-1.12,-0.41,-0.94,-3.44,-5.25,-5.28,-5.16,-7.22,-9.5,-9.91,-9.28,-9.44,-10.0,-7.91,-4.12,-1.09,-0.28,1.12,3.91,5.94,5.47,5.34,6.81,7.22,4.62,0.0,-2.62,-4.62,-8.09,-11.38,-12.28,-11.03,-9.78,-9.0,-6.97,-2.5,0.81,1.59,1.28,2.22,2.97,1.41,-1.03,-2.03,-1.59,-3.0,-4.78,-5.56,-4.06,-3.94,-5.53,-6.53,-5.31,-4.62,-6.03,-7.47,-6.75,-5.56,-6.53,-8.12,-7.91,-6.72,-7.22,-9.16,-9.62,-8.22,-7.62,-8.56,-8.5,-5.97,-2.94,-2.03,-1.62,0.06,1.19,-0.19,-2.56,-3.03,-1.69,-1.56,-2.94,-3.47,-2.16,-1.78,-3.59,-5.22,-4.72,-5.12,-7.97,-10.88,-11.22,-10.03,-10.28,-10.69,-9.78,-7.28,-6.62,-7.75,-8.25,-6.94,-7.12,-9.25,-11.78,-11.28,-10.34,-10.81,-11.41,-9.62,-6.94,-6.38,-6.94,-6.09,-4.25,-4.03,-6.16,-7.94,-7.75,-8.34,-10.78,-12.91,-12.78,-12.44,-14.06,-15.75,-15.34,-13.28,-12.66,-13.53,-13.25,-12.06,-12.62,-15.56,-17.91,-18.19,-19.09,-21.56,-23.47,-22.91,-21.41,-22.0,-23.22,-22.56,-20.75,-20.38,-20.88,-20.44,-18.38,-17.19,-17.84,-18.28,-16.12,-14.03,-13.5,-13.03,-9.94,-6.09,-4.22,-3.94,-2.41,-0.19,0.22,-1.25,-2.0,-1.5,-1.69,-3.88,-5.5,-5.0,-4.53,-6.47,-9.53,-10.88,-11.75,-14.53,-18.38,-20.22,-20.22,-20.81,-22.59,-22.78,-20.34,-17.69,-16.09,-13.16,-7.34,-1.25,2.47,4.94,7.84,10.31,9.75,7.47,6.31,6.75,7.03,6.5,7.19,10.06,12.25,11.41,9.75,9.41,8.66,5.88,1.91,0.12,-0.91,-3.34,-6.66,-7.72,-6.53,-5.66,-5.94,-5.28,-2.59,-0.31,-1.12,-2.81,-3.19,-4.25,-7.56,-11.34,-12.69,-12.84,-13.31,-14.88,-15.06,-13.66,-13.38,-15.12,-16.25,-15.75,-15.19,-16.5,-18.28,-17.81,-17.16,-18.25,-20.16,-20.47,-19.09,-18.88,-19.81,-19.25,-16.66,-14.72,-14.44,-13.94,-11.84,-9.72,-9.81,-10.16,-8.59,-6.12,-5.31,-5.75,-4.69,-2.28,-0.94,-2.09,-2.84,-2.16,-2.62,-5.28,-7.53,-6.59,-5.28,-6.09,-7.22,-6.56,-5.69,-6.88,-9.09,-9.94,-9.16,-8.72,-10.09,-10.38,-8.78,-7.62,-9.31,-10.59,-9.81,-8.34,-9.31,-10.97,-11.19,-10.84,-12.38,-15.62,-17.75,-18.44,-19.31,-21.56,-22.31,-20.12,-17.97,-17.88,-17.59,-15.56,-13.03,-12.66,-12.94,-11.59,-9.03,-8.0,-8.78,-8.22,-6.66,-6.31,-8.19,-9.56,-8.69,-8.06,-8.84,-9.72,-8.06,-5.84,-5.91,-7.12,-7.41,-6.81,-8.03,-10.38,-11.28,-9.88,-8.81,-9.91,-10.47,-9.69,-9.28,-11.19,-13.5,-13.16,-11.0,-10.22,-10.09,-8.03,-4.94,-3.56,-3.97,-3.31,-1.56,-0.03,-0.97,-2.12,-1.0,-0.12,-1.56,-3.12,-2.97,-2.31,-3.62,-6.75,-9.06,-10.34,-12.59,-16.22,-18.22,-16.91,-15.06,-14.94,-14.94,-12.81,-10.97,-11.75,-13.5,-13.06,-11.78,-11.56,-12.72,-12.16,-9.88,-8.28,-8.66,-8.28,-6.59,-5.47,-7.66,-10.56,-12.0,-12.59,-15.25,-18.12,-18.72,-17.91,-18.59,-20.75,-21.56,-20.31,-19.84,-21.09,-21.19,-19.12,-16.97,-17.06,-17.06,-15.41,-12.78,-12.06,-12.31,-10.59,-7.72,-6.72,-8.12,-8.72,-7.56,-7.12,-8.53,-9.03,-6.94,-5.06,-5.28,-6.22,-5.03,-3.34,-3.59,-5.22,-5.19,-3.66,-3.62,-5.22,-5.56,-3.62,-1.94,-2.12,-2.38,-1.12,-0.34,-2.22,-5.22,-5.78,-5.09,-5.38,-6.72,-6.09,-3.88,-2.91,-4.03,-3.94,-2.41,-1.56,-3.62,-5.44,-5.16,-4.5,-5.84,-7.19,-6.84,-5.19,-5.69,-7.97,-8.84,-7.84,-7.97,-9.28,-8.88,-5.34,-1.81,-0.75,0.06,1.78,4.03,3.19,1.62,1.16,2.03,1.25,-0.97,-1.91,-1.19,-1.72,-4.72,-7.19,-7.03,-6.41,-7.34,-8.28,-6.91,-4.88,-5.25,-6.66,-6.59,-5.41,-5.78,-8.12,-9.59,-9.47,-10.53,-14.09,-17.12,-18.06,-18.59,-20.88,-23.22,-22.84,-20.91,-20.41,-20.41,-18.75,-15.19,-13.38,-13.28,-12.12,-9.12,-6.59,-6.28,-6.19,-3.97,-2.06,-2.81,-4.34,-3.88,-2.38,-2.5,-3.88,-3.81,-2.09,-1.78,-3.53,-5.0,-4.88,-5.28,-8.03,-10.72,-10.06,-8.97,-9.12,-9.09,-7.0,-3.66,-2.16,-2.69,-2.81,-1.62,-1.91,-4.53,-6.38,-5.72,-4.94,-6.5,-7.31,-5.38,-3.06,-3.03,-4.09,-3.88,-2.53,-2.88,-4.09,-3.69,-0.47,1.84,2.41,2.94,4.78,5.56,3.25,0.0,-1.28,-1.41,-3.53,-5.56,-5.41,-3.59,-3.5,-4.81,-5.75,-4.62,-4.66,-6.44,-7.44,-5.81,-3.81,-4.38,-5.28,-4.0,-2.47,-2.78,-4.34,-3.47,-1.16,0.59,0.69,1.62,4.38,5.59,3.75,1.59,1.66,1.81,-0.47,-3.25,-4.0,-4.09,-5.75,-8.28,-8.78,-6.81,-5.31,-5.75,-5.12,-2.94,-1.94,-4.06,-6.44,-6.41,-5.88,-6.81,-7.88,-6.88,-4.34,-4.06,-5.34,-5.81,-4.5,-4.97,-6.88,-8.16,-6.56,-5.59,-6.81,-8.53,-7.75,-6.47,-7.25,-8.28,-7.03,-5.03,-4.5,-5.66,-5.5,-3.16,-1.69,-2.22,-2.31,-0.31,1.31,0.75,-0.03,1.59,3.47,2.94,0.94,0.91,1.62,0.97,-0.94,-1.78,-0.25,1.12,1.03,1.44,4.53,7.94,7.97,7.31,8.0,9.0,6.97,3.88,2.72,2.88,2.16,0.12,-0.5,1.09,2.0,0.69,-0.09,1.5,2.75,1.75,0.44,1.22,3.12,3.0,1.34,1.25,1.97,1.22,-0.38,-0.34,3.06,6.12,6.66,6.47,7.75,8.53,7.16,5.91,7.28,9.41,9.5,7.78,7.19,8.25,7.84,5.66,4.53,5.84,7.12,6.0,5.0,5.84,7.0,6.09,4.31,4.5,6.25,6.12,5.06,5.62,8.03,9.75,8.78,8.03,9.09,9.38,7.03,4.69,4.88,6.03,5.53,4.53,5.59,7.88,8.0,6.72,6.59,7.94,8.09,6.5,4.97,5.66,6.16,4.78,2.59,2.78,3.72,1.84,-1.78,-4.12,-5.69,-8.47,-12.59,-14.19,-12.38,-10.19,-8.75,-6.38,-1.31,3.91,6.53,8.22,11.56,15.12,16.03,15.09,14.34,14.22,11.59,6.44,2.06,-0.12,-2.44,-6.59,-9.62,-9.62,-7.97,-7.31,-6.12,-1.5,4.69,9.53,12.5,16.0,19.88,21.38,19.75,18.16,18.47,18.16,15.22,11.88,11.03,10.16,7.34,3.34,1.06,-0.06,-2.78,-6.69,-8.75,-8.44,-8.56,-10.31,-10.94,-8.94,-6.69,-6.12,-5.44,-1.88,3.06,6.5,9.19,13.69,19.06,22.34,22.34,22.69,23.88,23.22,20.0,17.28,17.44,17.88,16.12,14.09,13.91,14.06,11.81,8.0,5.62,4.53,2.0,-2.31,-4.84,-4.62,-4.31,-5.22,-5.38,-2.5,0.44,1.12,0.88,2.78,5.19,6.19,5.56,6.97,9.81,11.66,10.97,11.09,13.16,14.81,13.91,13.53,15.66,18.25,18.88,18.47,19.78,20.94,19.59,15.94,13.47,12.41,10.38,6.31,3.31,2.62,2.25,0.03,-1.12,1.0,4.06,5.72,6.97,10.25,14.16,16.06,15.84,16.19,18.06,18.72,17.81,18.06,21.25,24.44,25.22,25.72,27.38,28.5,26.53,22.38,19.31,17.16,13.56,8.69,6.44,7.38,8.69,8.81,10.28,14.03,17.56,18.19,17.72,18.5,19.06,17.16,13.59,11.97,12.12,11.81,10.16,10.25,12.16,13.16,11.78,11.03,11.94,13.31,13.03,12.72,15.25,18.78,20.75,21.31,22.34,23.81,23.38,20.75,19.53,20.75,21.88,21.44,20.62,21.56,21.91,19.44,15.84,13.91,12.72,10.72,7.81,6.97,8.72,9.81,9.62,10.5,13.31,16.12,16.22,16.62,19.38,22.72,23.53,23.03,23.69,23.97,21.41,16.81,13.81,12.84,12.03,10.66,11.66,15.16,19.12,20.03,20.69,23.09,25.53,25.06,23.34,22.97,23.53,22.78,20.81,20.66,22.41,23.03,21.72,20.16,20.5,20.69,18.56,16.44,16.84,18.66,19.12,18.94,20.38,23.12,24.41,23.72,23.66,25.38,26.47,25.38,24.28,25.28,26.53,25.38,23.62,23.66,24.78,23.91,21.84,21.25,22.0,21.88,19.84,18.84,20.16,21.19,19.62,18.5,19.72,21.59,21.5,20.62,21.19,22.75,22.28,20.38,19.62,20.59,20.28,17.88,16.5,17.75,19.22,18.56,18.0,19.16,20.62,19.72,18.03,17.91,19.16,18.97,18.03,18.47,20.84,22.44,21.94,22.0,23.78,25.12,23.59,21.53,21.34,21.88,20.88,18.66,18.38,19.22,18.84,17.09,16.88,18.75,20.31,19.75,19.56,21.38,23.19,22.31,20.94,21.75,23.47,23.41,22.72,23.91,26.59,27.59,26.91,27.06,28.84,29.38,27.38,25.44,25.31,25.5,23.0,19.84,18.03,16.94,14.06,11.09,10.59,12.81,14.19,14.31,15.5,18.56,20.59,20.22,19.56,20.75,21.78,21.06,20.06,21.28,23.31,23.62,22.09,21.78,22.56,22.44,20.44,19.16,20.56,22.0,21.72,21.62,23.16,24.91,23.31,20.56,18.91,18.66,16.84,14.31,13.81,15.53,17.03,16.81,16.62,18.31,19.22,40.56,41.56,41.75,41.75,41.28,38.44,34.81,32.09,30.19,27.38,24.5,23.78,25.5,27.34:-6.28,-6.16,-5.59,-3.56,-0.19,0.78,-0.22,-1.12,-0.41,-0.94,-3.44,-5.25,-5.28,-5.16,-7.22,-9.5,-9.91,-9.28,-9.44,-10.0,-7.91,-4.12,-1.09,-0.28,1.12,3.91,5.94,5.47,5.34,6.81,7.22,4.62,0.0,-2.62,-4.62,-8.09,-11.38,-12.28,-11.03,-9.78,-9.0,-6.97,-2.5,0.81,1.59,1.28,2.22,2.97,1.41,-1.03,-2.03,-1.59,-3.0,-4.78,-5.56,-4.06,-3.94,-5.53,-6.53,-5.31,-4.62,-6.03,-7.47,-6.75,-5.56,-6.53,-8.12,-7.91,-6.72,-7.22,-9.16,-9.62,-8.22,-7.62,-8.56,-8.5,-5.97,-2.94,-2.03,-1.62,0.06,1.19,-0.19,-2.56,-3.03,-1.69,-1.56,-2.94,-3.47,-2.16,-1.78,-3.59,-5.22,-4.72,-5.12,-7.97,-10.88,-11.22,-10.03,-10.28,-10.69,-9.78,-7.28,-6.62,-7.75,-8.25,-6.94,-7.12,-9.25,-11.78,-11.28,-10.34,-10.81,-11.41,-9.62,-6.94,-6.38,-6.94,-6.09,-4.25,-4.03,-6.16,-7.94,-7.75,-8.34,-10.78,-12.91,-12.78,-12.44,-14.06,-15.75,-15.34,-13.28,-12.66,-13.53,-13.25,-12.06,-12.62,-15.56,-17.91,-18.19,-19.09,-21.56,-23.47,-22.91,-21.41,-22.0,-23.22,-22.56,-20.75,-20.38,-20.88,-20.44,-18.38,-17.19,-17.84,-18.28,-16.12,-14.03,-13.5,-13.03,-9.94,-6.09,-4.22,-3.94,-2.41,-0.19,0.22,-1.25,-2.0,-1.5,-1.69,-3.88,-5.5,-5.0,-4.53,-6.47,-9.53,-10.88,-11.75,-14.53,-18.38,-20.22,-20.22,-20.81,-22.59,-22.78,-20.34,-17.69,-16.09,-13.16,-7.34,-1.25,2.47,4.94,7.84,10.31,9.75,7.47,6.31,6.75,7.03,6.5,7.19,10.06,12.25,11.41,9.75,9.41,8.66,5.88,1.91,0.12,-0.91,-3.34,-6.66,-7.72,-6.53,-5.66,-5.94,-5.28,-2.59,-0.31,-1.12,-2.81,-3.19,-4.25,-7.56,-11.34,-12.69,-12.84,-13.31,-14.88,-15.06,-13.66,-13.38,-15.12,-16.25,-15.75,-15.19,-16.5,-18.28,-17.81,-17.16,-18.25,-20.16,-20.47,-19.09,-18.88,-19.81,-19.25,-16.66,-14.72,-14.44,-13.94,-11.84,-9.72,-9.81,-10.16,-8.59,-6.12,-5.31,-5.75,-4.69,-2.28,-0.94,-2.09,-2.84,-2.16,-2.62,-5.28,-7.53,-6.59,-5.28,-6.09,-7.22,-6.56,-5.69,-6.88,-9.09,-9.94,-9.16,-8.72,-10.09,-10.38,-8.78,-7.62,-9.31,-10.59,-9.81,-8.34,-9.31,-10.97,-11.19,-10.84,-12.38,-15.62,-17.75,-18.44,-19.31,-21.56,-22.31,-20.12,-17.97,-17.88,-17.59,-15.56,-13.03,-12.66,-12.94,-11.59,-9.03,-8.0,-8.78,-8.22,-6.66,-6.31,-8.19,-9.56,-8.69,-8.06,-8.84,-9.72,-8.06,-5.84,-5.91,-7.12,-7.41,-6.81,-8.03,-10.38,-11.28,-9.88,-8.81,-9.91,-10.47,-9.69,-9.28,-11.19,-13.5,-13.16,-11.0,-10.22,-10.09,-8.03,-4.94,-3.56,-3.97,-3.31,-1.56,-0.03,-0.97,-2.12,-1.0,-0.12,-1.56,-3.12,-2.97,-2.31,-3.62,-6.75,-9.06,-10.34,-12.59,-16.22,-18.22,-16.91,-15.06,-14.94,-14.94,-12.81,-10.97,-11.75,-13.5,-13.06,-11.78,-11.56,-12.72,-12.16,-9.88,-8.28,-8.66,-8.28,-6.59,-5.47,-7.66,-10.56,-12.0,-12.59,-15.25,-18.12,-18.72,-17.91,-18.59,-20.75,-21.56,-20.31,-19.84,-21.09,-21.19,-19.12,-16.97,-17.06,-17.06,-15.41,-12.78,-12.06,-12.31,-10.59,-7.72,-6.72,-8.12,-8.72,-7.56,-7.12,-8.53,-9.03,-6.94,-5.06,-5.28,-6.22,-5.03,-3.34,-3.59,-5.22,-5.19,-3.66,-3.62,-5.22,-5.56,-3.62,-1.94,-2.12,-2.38,-1.12,-0.34,-2.22,-5.22,-5.78,-5.09,-5.38,-6.72,-6.09,-3.88,-2.91,-4.03,-3.94,-2.41,-1.56,-3.62,-5.44,-5.16,-4.5,-5.84,-7.19,-6.84,-5.19,-5.69,-7.97,-8.84,-7.84,-7.97,-9.28,-8.88,-5.34,-1.81,-0.75,0.06,1.78,4.03,3.19,1.62,1.16,2.03,1.25,-0.97,-1.91,-1.19,-1.72,-4.72,-7.19,-7.03,-6.41,-7.34,-8.28,-6.91,-4.88,-5.25,-6.66,-6.59,-5.41,-5.78,-8.12,-9.59,-9.47,-10.53,-14.09,-17.12,-18.06,-18.59,-20.88,-23.22,-22.84,-20.91,-20.41,-20.41,-18.75,-15.19,-13.38,-13.28,-12.12,-9.12,-6.59,-6.28,-6.19,-3.97,-2.06,-2.81,-4.34,-3.88,-2.38,-2.5,-3.88,-3.81,-2.09,-1.78,-3.53,-5.0,-4.88,-5.28,-8.03,-10.72,-10.06,-8.97,-9.12,-9.09,-7.0,-3.66,-2.16,-2.69,-2.81,-1.62,-1.91,-4.53,-6.38,-5.72,-4.94,-6.5,-7.31,-5.38,-3.06,-3.03,-4.09,-3.88,-2.53,-2.88,-4.09,-3.69,-0.47,1.84,2.41,2.94,4.78,5.56,3.25,0.0,-1.28,-1.41,-3.53,-5.56,-5.41,-3.59,-3.5,-4.81,-5.75,-4.62,-4.66,-6.44,-7.44,-5.81,-3.81,-4.38,-5.28,-4.0,-2.47,-2.78,-4.34,-3.47,-1.16,0.59,0.69,1.62,4.38,5.59,3.75,1.59,1.66,1.81,-0.47,-3.25,-4.0,-4.09,-5.75,-8.28,-8.78,-6.81,-5.31,-5.75,-5.12,-2.94,-1.94,-4.06,-6.44,-6.41,-5.88,-6.81,-7.88,-6.88,-4.34,-4.06,-5.34,-5.81,-4.5,-4.97,-6.88,-8.16,-6.56,-5.59,-6.81,-8.53,-7.75,-6.47,-7.25,-8.28,-7.03,-5.03,-4.5,-5.66,-5.5,-3.16,-1.69,-2.22,-2.31,-0.31,1.31,0.75,-0.03,1.59,3.47,2.94,0.94,0.91,1.62,0.97,-0.94,-1.78,-0.25,1.12,1.03,1.44,4.53,7.94,7.97,7.31,8.0,9.0,6.97,3.88,2.72,2.88,2.16,0.12,-0.5,1.09,2.0,0.69,-0.09,1.5,2.75,1.75,0.44,1.22,3.12,3.0,1.34,1.25,1.97,1.22,-0.38,-0.34,3.06,6.12,6.66,6.47,7.75,8.53,7.16,5.91,7.28,9.41,9.5,7.78,7.19,8.25,7.84,5.66,4.53,5.84,7.12,6.0,5.0,5.84,7.0,6.09,4.31,4.5,6.25,6.12,5.06,5.62,8.03,9.75,8.78,8.03,9.09,9.38,7.03,4.69,4.88,6.03,5.53,4.53,5.59,7.88,8.0,6.72,6.59,7.94,8.09,6.5,4.97,5.66,6.16,4.78,2.59,2.78,3.72,1.84,-1.78,-4.12,-5.69,-8.47,-12.59,-14.19,-12.38,-10.19,-8.75,-6.38,-1.31,3.91,6.53,8.22,11.56,15.12,16.03,15.09,14.34,14.22,11.59,6.44,2.06,-0.12,-2.44,-6.59,-9.62,-9.62,-7.97,-7.31,-6.12,-1.5,4.69,9.53,12.5,16.0,19.88,21.38,19.75,18.16,18.47,18.16,15.22,11.88,11.03,10.16,7.34,3.34,1.06,-0.06,-2.78,-6.69,-8.75,-8.44,-8.56,-10.31,-10.94,-8.94,-6.69,-6.12,-5.44,-1.88,3.06,6.5,9.19,13.69,19.06,22.34,22.34,22.69,23.88,23.22,20.0,17.28,17.44,17.88,16.12,14.09,13.91,14.06,11.81,8.0,5.62,4.53,2.0,-2.31,-4.84,-4.62,-4.31,-5.22,-5.38,-2.5,0.44,1.12,0.88,2.78,5.19,6.19,5.56,6.97,9.81,11.66,10.97,11.09,13.16,14.81,13.91,13.53,15.66,18.25,18.88,18.47,19.78,20.94,19.59,15.94,13.47,12.41,10.38,6.31,3.31,2.62,2.25,0.03,-1.12,1.0,4.06,5.72,6.97,10.25,14.16,16.06,15.84,16.19,18.06,18.72,17.81,18.06,21.25,24.44,25.22,25.72,27.38,28.5,26.53,22.38,19.31,17.16,13.56,8.69,6.44,7.38,8.69,8.81,10.28,14.03,17.56,18.19,17.72,18.5,19.06,17.16,13.59,11.97,12.12,11.81,10.16,10.25,12.16,13.16,11.78,11.03,11.94,13.31,13.03,12.72,15.25,18.78,20.75,21.31,22.34,23.81,23.38,20.75,19.53,20.75,21.88,21.44,20.62,21.56,21.91,19.44,15.84,13.91,12.72,10.72,7.81,6.97,8.72,9.81,9.62,10.5,13.31,16.12,16.22,16.62,19.38,22.72,23.53,23.03,23.69,23.97,21.41,16.81,13.81,12.84,12.03,10.66,11.66,15.16,19.12,20.03,20.69,23.09,25.53,25.06,23.34,22.97,23.53,22.78,20.81,20.66,22.41,23.03,21.72,20.16,20.5,20.69,18.56,16.44,16.84,18.66,19.12,18.94,20.38,23.12,24.41,23.72,23.66,25.38,26.47,25.38,24.28,25.28,26.53,25.38,23.62,23.66,24.78,23.91,21.84,21.25,22.0,21.88,19.84,18.84,20.16,21.19,19.62,18.5,19.72,21.59,21.5,20.62,21.19,22.75,22.28,20.38,19.62,20.59,20.28,17.88,16.5,17.75,19.22,18.56,18.0,19.16,20.62,19.72,18.03,17.91,19.16,18.97,18.03,18.47,20.84,22.44,21.94,22.0,23.78,25.12,23.59,21.53,21.34,21.88,20.88,18.66,18.38,19.22,18.84,17.09,16.88,18.75,20.31,19.75,19.56,21.38,23.19,22.31,20.94,21.75,23.47,23.41,22.72,23.91,26.59,27.59,26.91,27.06,28.84,29.38,27.38,25.44,25.31,25.5,23.0,19.84,18.03,16.94,14.06,11.09,10.59,12.81,14.19,14.31,15.5,18.56,20.59,20.22,19.56,20.75,21.78,21.06,20.06,21.28,23.31,23.62,22.09,21.78,22.56,22.44,20.44,19.16,20.56,22.0,21.72,21.62,23.16,24.91,23.31,20.56,18.91,18.66,16.84,14.31,13.81,15.53,17.03,16.81,16.62,18.31,19.22,40.56,41.56,41.75,41.75,41.28,38.44,34.81,32.09,30.19,27.38,24.5,23.78,25.5,27.34,28.47,29.81,32.22,33.28,32.25,30.88,30.97:-1.12,-0.41,-0.94,-3.44,-5.25,-5.28,-5.16,-7.22,-9.5,-9.91,-9.28,-9.44,-10.0,-7.91,-4.12,-1.09,-0.28,1.12,3.91,5.94,5.47,5.34,6.81,7.22,4.62,0.0,-2.62,-4.62,-8.09,-11.38,-12.28,-11.03,-9.78,-9.0,-6.97,-2.5,0.81,1.59,1.28,2.22,2.97,1.41,-1.03,-2.03,-1.59,-3.0,-4.78,-5.56,-4.06,-3.94,-5.53,-6.53,-5.31,-4.62,-6.03,-7.47,-6.75,-5.56,-6.53,-8.12,-7.91,-6.72,-7.22,-9.16,-9.62,-8.22,-7.62,-8.56,-8.5,-5.97,-2.94,-2.03,-1.62,0.06,1.19,-0.19,-2.56,-3.03,-1.69,-1.56,-2.94,-3.47,-2.16,-1.78,-3.59,-5.22,-4.72,-5.12,-7.97,-10.88,-11.22,-10.03,-10.28,-10.69,-9.78,-7.28,-6.62,-7.75,-8.25,-6.94,-7.12,-9.25,-11.78,-11.28,-10.34,-10.81,-11.41,-9.62,-6.94,-6.38,-6.94,-6.09,-4.25,-4.03,-6.16,-7.94,-7.75,-8.34,-10.78,-12.91,-12.78,-12.44,-14.06,-15.75,-15.34,-13.28,-12.66,-13.53,-13.25,-12.06,-12.62,-15.56,-17.91,-18.19,-19.09,-21.56,-23.47,-22.91,-21.41,-22.0,-23.22,-22.56,-20.75,-20.38,-20.88,-20.44,-18.38,-17.19,-17.84,-18.28,-16.12,-14.03,-13.5,-13.03,-9.94,-6.09,-4.22,-3.94,-2.41,-0.19,0.22,-1.25,-2.0,-1.5,-1.69,-3.88,-5.5,-5.0,-4.53,-6.47,-9.53,-10.88,-11.75,-14.53,-18.38,-20.22,-20.22,-20.81,-22.59,-22.78,-20.34,-17.69,-16.09,-13.16,-7.34,-1.25,2.47,4.94,7.84,10.31,9.75,7.47,6.31,6.75,7.03,6.5,7.19,10.06,12.25,11.41,9.75,9.41,8.66,5.88,1.91,0.12,-0.91,-3.34,-6.66,-7.72,-6.53,-5.66,-5.94,-5.28,-2.59,-0.31,-1.12,-2.81,-3.19,-4.25,-7.56,-11.34,-12.69,-12.84,-13.31,-14.88,-15.06,-13.66,-13.38,-15.12,-16.25,-15.75,-15.19,-16.5,-18.28,-17.81,-17.16,-18.25,-20.16,-20.47,-19.09,-18.88,-19.81,-19.25,-16.66,-14.72,-14.44,-13.94,-11.84,-9.72,-9.81,-10.16,-8.59,-6.12,-5.31,-5.75,-4.69,-2.28,-0.94,-2.09,-2.84,-2.16,-2.62,-5.28,-7.53,-6.59,-5.28,-6.09,-7.22,-6.56,-5.69,-6.88,-9.09,-9.94,-9.16,-8.72,-10.09,-10.38,-8.78,-7.62,-9.31,-10.59,-9.81,-8.34,-9.31,-10.97,-11.19,-10.84,-12.38,-15.62,-17.75,-18.44,-19.31,-21.56,-22.31,-20.12,-17.97,-17.88,-17.59,-15.56,-13.03,-12.66,-12.94,-11.59,-9.03,-8.0,-8.78,-8.22,-6.66,-6.31,-8.19,-9.56,-8.69,-8.06,-8.84,-9.72,-8.06,-5.84,-5.91,-7.12,-7.41,-6.81,-8.03,-10.38,-11.28,-9.88,-8.81,-9.91,-10.47,-9.69,-9.28,-11.19,-13.5,-13.16,-11.0,-10.22,-10.09,-8.03,-4.94,-3.56,-3.97,-3.31,-1.56,-0.03,-0.97,-2.12,-1.0,-0.12,-1.56,-3.12,-2.97,-2.31,-3.62,-6.75,-9.06,-10.34,-12.59,-16.22,-18.22,-16.91,-15.06,-14.94,-14.94,-12.81,-10.97,-11.75,-13.5,-13.06,-11.78,-11.56,-12.72,-12.16,-9.88,-8.28,-8.66,-8.28,-6.59,-5.47,-7.66,-10.56,-12.0,-12.59,-15.25,-18.12,-18.72,-17.91,-18.59,-20.75,-21.56,-20.31,-19.84,-21.09,-21.19,-19.12,-16.97,-17.06,-17.06,-15.41,-12.78,-12.06,-12.31,-10.59,-7.72,-6.72,-8.12,-8.72,-7.56,-7.12,-8.53,-9.03,-6.94,-5.06,-5.28,-6.22,-5.03,-3.34,-3.59,-5.22,-5.19,-3.66,-3.62,-5.22,-5.56,-3.62,-1.94,-2.12,-2.38,-1.12,-0.34,-2.22,-5.22,-5.78,-5.09,-5.38,-6.72,-6.09,-3.88,-2.91,-4.03,-3.94,-2.41,-1.56,-3.62,-5.44,-5.16,-4.5,-5.84,-7.19,-6.84,-5.19,-5.69,-7.97,-8.84,-7.84,-7.97,-9.28,-8.88,-5.34,-1.81,-0.75,0.06,1.78,4.03,3.19,1.62,1.16,2.03,1.25,-0.97,-1.91,-1.19,-1.72,-4.72,-7.19,-7.03,-6.41,-7.34,-8.28,-6.91,-4.88,-5.25,-6.66,-6.59,-5.41,-5.78,-8.12,-9.59,-9.47,-10.53,-14.09,-17.12,-18.06,-18.59,-20.88,-23.22,-22.84,-20.91,-20.41,-20.41,-18.75,-15.19,-13.38,-13.28,-12.12,-9.12,-6.59,-6.28,-6.19,-3.97,-2.06,-2.81,-4.34,-3.88,-2.38,-2.5,-3.88,-3.81,-2.09,-1.78,-3.53,-5.0,-4.88,-5.28,-8.03,-10.72,-10.06,-8.97,-9.12,-9.09,-7.0,-3.66,-2.16,-2.69,-2.81,-1.62,-1.91,-4.53,-6.38,-5.72,-4.94,-6.5,-7.31,-5.38,-3.06,-3.03,-4.09,-3.88,-2.53,-2.88,-4.09,-3.69,-0.47,1.84,2.41,2.94,4.78,5.56,3.25,0.0,-1.28,-1.41,-3.53,-5.56,-5.41,-3.59,-3.5,-4.81,-5.75,-4.62,-4.66,-6.44,-7.44,-5.81,-3.81,-4.38,-5.28,-4.0,-2.47,-2.78,-4.34,-3.47,-1.16,0.59,0.69,1.62,4.38,5.59,3.75,1.59,1.66,1.81,-0.47,-3.25,-4.0,-4.09,-5.75,-8.28,-8.78,-6.81,-5.31,-5.75,-5.12,-2.94,-1.94,-4.06,-6.44,-6.41,-5.88,-6.81,-7.88,-6.88,-4.34,-4.06,-5.34,-5.81,-4.5,-4.97,-6.88,-8.16,-6.56,-5.59,-6.81,-8.53,-7.75,-6.47,-7.25,-8.28,-7.03,-5.03,-4.5,-5.66,-5.5,-3.16,-1.69,-2.22,-2.31,-0.31,1.31,0.75,-0.03,1.59,3.47,2.94,0.94,0.91,1.62,0.97,-0.94,-1.78,-0.25,1.12,1.03,1.44,4.53,7.94,7.97,7.31,8.0,9.0,6.97,3.88,2.72,2.88,2.16,0.12,-0.5,1.09,2.0,0.69,-0.09,1.5,2.75,1.75,0.44,1.22,3.12,3.0,1.34,1.25,1.97,1.22,-0.38,-0.34,3.06,6.12,6.66,6.47,7.75,8.53,7.16,5.91,7.28,9.41,9.5,7.78,7.19,8.25,7.84,5.66,4.53,5.84,7.12,6.0,5.0,5.84,7.0,6.09,4.31,4.5,6.25,6.12,5.06,5.62,8.03,9.75,8.78,8.03,9.09,9.38,7.03,4.69,4.88,6.03,5.53,4.53,5.59,7.88,8.0,6.72,6.59,7.94,8.09,6.5,4.97,5.66,6.16,4.78,2.59,2.78,3.72,1.84,-1.78,-4.12,-5.69,-8.47,-12.59,-14.19,-12.38,-10.19,-8.75,-6.38,-1.31,3.91,6.53,8.22,11.56,15.12,16.03,15.09,14.34,14.22,11.59,6.44,2.06,-0.12,-2.44,-6.59,-9.62,-9.62,-7.97,-7.31,-6.12,-1.5,4.69,9.53,12.5,16.0,19.88,21.38,19.75,18.16,18.47,18.16,15.22,11.88,11.03,10.16,7.34,3.34,1.06,-0.06,-2.78,-6.69,-8.75,-8.44,-8.56,-10.31,-10.94,-8.94,-6.69,-6.12,-5.44,-1.88,3.06,6.5,9.19,13.69,19.06,22.34,22.34,22.69,23.88,23.22,20.0,17.28,17.44,17.88,16.12,14.09,13.91,14.06,11.81,8.0,5.62,4.53,2.0,-2.31,-4.84,-4.62,-4.31,-5.22,-5.38,-2.5,0.44,1.12,0.88,2.78,5.19,6.19,5.56,6.97,9.81,11.66,10.97,11.09,13.16,14.81,13.91,13.53,15.66,18.25,18.88,18.47,19.78,20.94,19.59,15.94,13.47,12.41,10.38,6.31,3.31,2.62,2.25,0.03,-1.12,1.0,4.06,5.72,6.97,10.25,14.16,16.06,15.84,16.19,18.06,18.72,17.81,18.06,21.25,24.44,25.22,25.72,27.38,28.5,26.53,22.38,19.31,17.16,13.56,8.69,6.44,7.38,8.69,8.81,10.28,14.03,17.56,18.19,17.72,18.5,19.06,17.16,13.59,11.97,12.12,11.81,10.16,10.25,12.16,13.16,11.78,11.03,11.94,13.31,13.03,12.72,15.25,18.78,20.75,21.31,22.34,23.81,23.38,20.75,19.53,20.75,21.88,21.44,20.62,21.56,21.91,19.44,15.84,13.91,12.72,10.72,7.81,6.97,8.72,9.81,9.62,10.5,13.31,16.12,16.22,16.62,19.38,22.72,23.53,23.03,23.69,23.97,21.41,16.81,13.81,12.84,12.03,10.66,11.66,15.16,19.12,20.03,20.69,23.09,25.53,25.06,23.34,22.97,23.53,22.78,20.81,20.66,22.41,23.03,21.72,20.16,20.5,20.69,18.56,16.44,16.84,18.66,19.12,18.94,20.38,23.12,24.41,23.72,23.66,25.38,26.47,25.38,24.28,25.28,26.53,25.38,23.62,23.66,24.78,23.91,21.84,21.25,22.0,21.88,19.84,18.84,20.16,21.19,19.62,18.5,19.72,21.59,21.5,20.62,21.19,22.75,22.28,20.38,19.62,20.59,20.28,17.88,16.5,17.75,19.22,18.56,18.0,19.16,20.62,19.72,18.03,17.91,19.16,18.97,18.03,18.47,20.84,22.44,21.94,22.0,23.78,25.12,23.59,21.53,21.34,21.88,20.88,18.66,18.38,19.22,18.84,17.09,16.88,18.75,20.31,19.75,19.56,21.38,23.19,22.31,20.94,21.75,23.47,23.41,22.72,23.91,26.59,27.59,26.91,27.06,28.84,29.38,27.38,25.44,25.31,25.5,23.0,19.84,18.03,16.94,14.06,11.09,10.59,12.81,14.19,14.31,15.5,18.56,20.59,20.22,19.56,20.75,21.78,21.06,20.06,21.28,23.31,23.62,22.09,21.78,22.56,22.44,20.44,19.16,20.56,22.0,21.72,21.62,23.16,24.91,23.31,20.56,18.91,18.66,16.84,14.31,13.81,15.53,17.03,16.81,16.62,18.31,19.22,40.56,41.56,41.75,41.75,41.28,38.44,34.81,32.09,30.19,27.38,24.5,23.78,25.5,27.34,28.47,29.81,32.22,33.28,32.25,30.88,30.97,32.09,32.5,33.31,35.53,38.0,39.28,39.03:-7.22,-9.5,-9.91,-9.28,-9.44,-10.0,-7.91,-4.12,-1.09,-0.28,1.12,3.91,5.94,5.47,5.34,6.81,7.22,4.62,0.0,-2.62,-4.62,-8.09,-11.38,-12.28,-11.03,-9.78,-9.0,-6.97,-2.5,0.81,1.59,1.28,2.22,2.97,1.41,-1.03,-2.03,-1.59,-3.0,-4.78,-5.56,-4.06,-3.94,-5.53,-6.53,-5.31,-4.62,-6.03,-7.47,-6.75,-5.56,-6.53,-8.12,-7.91,-6.72,-7.22,-9.16,-9.62,-8.22,-7.62,-8.56,-8.5,-5.97,-2.94,-2.03,-1.62,0.06,1.19,-0.19,-2.56,-3.03,-1.69,-1.56,-2.94,-3.47,-2.16,-1.78,-3.59,-5.22,-4.72,-5.12,-7.97,-10.88,-11.22,-10.03,-10.28,-10.69,-9.78,-7.28,-6.62,-7.75,-8.25,-6.94,-7.12,-9.25,-11.78,-11.28,-10.34,-10.81,-11.41,-9.62,-6.94,-6.38,-6.94,-6.09,-4.25,-4.03,-6.16,-7.94,-7.75,-8.34,-10.78,-12.91,-12.78,-12.44,-14.06,-15.75,-15.34,-13.28,-12.66,-13.53,-13.25,-12.06,-12.62,-15.56,-17.91,-18.19,-19.09,-21.56,-23.47,-22.91,-21.41,-22.0,-23.22,-22.56,-20.75,-20.38,-20.88,-20.44,-18.38,-17.19,-17.84,-18.28,-16.12,-14.03,-13.5,-13.03,-9.94,-6.09,-4.22,-3.94,-2.41,-0.19,0.22,-1.25,-2.0,-1.5,-1.69,-3.88,-5.5,-5.0,-4.53,-6.47,-9.53,-10.88,-11.75,-14.53,-18.38,-20.22,-20.22,-20.81,-22.59,-22.78,-20.34,-17.69,-16.09,-13.16,-7.34,-1.25,2.47,4.94,7.84,10.31,9.75,7.47,6.31,6.75,7.03,6.5,7.19,10.06,12.25,11.41,9.75,9.41,8.66,5.88,1.91,0.12,-0.91,-3.34,-6.66,-7.72,-6.53,-5.66,-5.94,-5.28,-2.59,-0.31,-1.12,-2.81,-3.19,-4.25,-7.56,-11.34,-12.69,-12.84,-13.31,-14.88,-15.06,-13.66,-13.38,-15.12,-16.25,-15.75,-15.19,-16.5,-18.28,-17.81,-17.16,-18.25,-20.16,-20.47,-19.09,-18.88,-19.81,-19.25,-16.66,-14.72,-14.44,-13.94,-11.84,-9.72,-9.81,-10.16,-8.59,-6.12,-5.31,-5.75,-4.69,-2.28,-0.94,-2.09,-2.84,-2.16,-2.62,-5.28,-7.53,-6.59,-5.28,-6.09,-7.22,-6.56,-5.69,-6.88,-9.09,-9.94,-9.16,-8.72,-10.09,-10.38,-8.78,-7.62,-9.31,-10.59,-9.81,-8.34,-9.31,-10.97,-11.19,-10.84,-12.38,-15.62,-17.75,-18.44,-19.31,-21.56,-22.31,-20.12,-17.97,-17.88,-17.59,-15.56,-13.03,-12.66,-12.94,-11.59,-9.03,-8.0,-8.78,-8.22,-6.66,-6.31,-8.19,-9.56,-8.69,-8.06,-8.84,-9.72,-8.06,-5.84,-5.91,-7.12,-7.41,-6.81,-8.03,-10.38,-11.28,-9.88,-8.81,-9.91,-10.47,-9.69,-9.28,-11.19,-13.5,-13.16,-11.0,-10.22,-10.09,-8.03,-4.94,-3.56,-3.97,-3.31,-1.56,-0.03,-0.97,-2.12,-1.0,-0.12,-1.56,-3.12,-2.97,-2.31,-3.62,-6.75,-9.06,-10.34,-12.59,-16.22,-18.22,-16.91,-15.06,-14.94,-14.94,-12.81,-10.97,-11.75,-13.5,-13.06,-11.78,-11.56,-12.72,-12.16,-9.88,-8.28,-8.66,-8.28,-6.59,-5.47,-7.66,-10.56,-12.0,-12.59,-15.25,-18.12,-18.72,-17.91,-18.59,-20.75,-21.56,-20.31,-19.84,-21.09,-21.19,-19.12,-16.97,-17.06,-17.06,-15.41,-12.78,-12.06,-12.31,-10.59,-7.72,-6.72,-8.12,-8.72,-7.56,-7.12,-8.53,-9.03,-6.94,-5.06,-5.28,-6.22,-5.03,-3.34,-3.59,-5.22,-5.19,-3.66,-3.62,-5.22,-5.56,-3.62,-1.94,-2.12,-2.38,-1.12,-0.34,-2.22,-5.22,-5.78,-5.09,-5.38,-6.72,-6.09,-3.88,-2.91,-4.03,-3.94,-2.41,-1.56,-3.62,-5.44,-5.16,-4.5,-5.84,-7.19,-6.84,-5.19,-5.69,-7.97,-8.84,-7.84,-7.97,-9.28,-8.88,-5.34,-1.81,-0.75,0.06,1.78,4.03,3.19,1.62,1.16,2.03,1.25,-0.97,-1.91,-1.19,-1.72,-4.72,-7.19,-7.03,-6.41,-7.34,-8.28,-6.91,-4.88,-5.25,-6.66,-6.59,-5.41,-5.78,-8.12,-9.59,-9.47,-10.53,-14.09,-17.12,-18.06,-18.59,-20.88,-23.22,-22.84,-20.91,-20.41,-20.41,-18.75,-15.19,-13.38,-13.28,-12.12,-9.12,-6.59,-6.28,-6.19,-3.97,-2.06,-2.81,-4.34,-3.88,-2.38,-2.5,-3.88,-3.81,-2.09,-1.78,-3.53,-5.0,-4.88,-5.28,-8.03,-10.72,-10.06,-8.97,-9.12,-9.09,-7.0,-3.66,-2.16,-2.69,-2.81,-1.62,-1.91,-4.53,-6.38,-5.72,-4.94,-6.5,-7.31,-5.38,-3.06,-3.03,-4.09,-3.88,-2.53,-2.88,-4.09,-3.69,-0.47,1.84,2.41,2.94,4.78,5.56,3.25,0.0,-1.28,-1.41,-3.53,-5.56,-5.41,-3.59,-3.5,-4.81,-5.75,-4.62,-4.66,-6.44,-7.44,-5.81,-3.81,-4.38,-5.28,-4.0,-2.47,-2.78,-4.34,-3.47,-1.16,0.59,0.69,1.62,4.38,5.59,3.75,1.59,1.66,1.81,-0.47,-3.25,-4.0,-4.09,-5.75,-8.28,-8.78,-6.81,-5.31,-5.75,-5.12,-2.94,-1.94,-4.06,-6.44,-6.41,-5.88,-6.81,-7.88,-6.88,-4.34,-4.06,-5.34,-5.81,-4.5,-4.97,-6.88,-8.16,-6.56,-5.59,-6.81,-8.53,-7.75,-6.47,-7.25,-8.28,-7.03,-5.03,-4.5,-5.66,-5.5,-3.16,-1.69,-2.22,-2.31,-0.31,1.31,0.75,-0.03,1.59,3.47,2.94,0.94,0.91,1.62,0.97,-0.94,-1.78,-0.25,1.12,1.03,1.44,4.53,7.94,7.97,7.31,8.0,9.0,6.97,3.88,2.72,2.88,2.16,0.12,-0.5,1.09,2.0,0.69,-0.09,1.5,2.75,1.75,0.44,1.22,3.12,3.0,1.34,1.25,1.97,1.22,-0.38,-0.34,3.06,6.12,6.66,6.47,7.75,8.53,7.16,5.91,7.28,9.41,9.5,7.78,7.19,8.25,7.84,5.66,4.53,5.84,7.12,6.0,5.0,5.84,7.0,6.09,4.31,4.5,6.25,6.12,5.06,5.62,8.03,9.75,8.78,8.03,9.09,9.38,7.03,4.69,4.88,6.03,5.53,4.53,5.59,7.88,8.0,6.72,6.59,7.94,8.09,6.5,4.97,5.66,6.16,4.78,2.59,2.78,3.72,1.84,-1.78,-4.12,-5.69,-8.47,-12.59,-14.19,-12.38,-10.19,-8.75,-6.38,-1.31,3.91,6.53,8.22,11.56,15.12,16.03,15.09,14.34,14.22,11.59,6.44,2.06,-0.12,-2.44,-6.59,-9.62,-9.62,-7.97,-7.31,-6.12,-1.5,4.69,9.53,12.5,16.0,19.88,21.38,19.75,18.16,18.47,18.16,15.22,11.88,11.03,10.16,7.34,3.34,1.06,-0.06,-2.78,-6.69,-8.75,-8.44,-8.56,-10.31,-10.94,-8.94,-6.69,-6.12,-5.44,-1.88,3.06,6.5,9.19,13.69,19.06,22.34,22.34,22.69,23.88,23.22,20.0,17.28,17.44,17.88,16.12,14.09,13.91,14.06,11.81,8.0,5.62,4.53,2.0,-2.31,-4.84,-4.62,-4.31,-5.22,-5.38,-2.5,0.44,1.12,0.88,2.78,5.19,6.19,5.56,6.97,9.81,11.66,10.97,11.09,13.16,14.81,13.91,13.53,15.66,18.25,18.88,18.47,19.78,20.94,19.59,15.94,13.47,12.41,10.38,6.31,3.31,2.62,2.25,0.03,-1.12,1.0,4.06,5.72,6.97,10.25,14.16,16.06,15.84,16.19,18.06,18.72,17.81,18.06,21.25,24.44,25.22,25.72,27.38,28.5,26.53,22.38,19.31,17.16,13.56,8.69,6.44,7.38,8.69,8.81,10.28,14.03,17.56,18.19,17.72,18.5,19.06,17.16,13.59,11.97,12.12,11.81,10.16,10.25,12.16,13.16,11.78,11.03,11.94,13.31,13.03,12.72,15.25,18.78,20.75,21.31,22.34,23.81,23.38,20.75,19.53,20.75,21.88,21.44,20.62,21.56,21.91,19.44,15.84,13.91,12.72,10.72,7.81,6.97,8.72,9.81,9.62,10.5,13.31,16.12,16.22,16.62,19.38,22.72,23.53,23.03,23.69,23.97,21.41,16.81,13.81,12.84,12.03,10.66,11.66,15.16,19.12,20.03,20.69,23.09,25.53,25.06,23.34,22.97,23.53,22.78,20.81,20.66,22.41,23.03,21.72,20.16,20.5,20.69,18.56,16.44,16.84,18.66,19.12,18.94,20.38,23.12,24.41,23.72,23.66,25.38,26.47,25.38,24.28,25.28,26.53,25.38,23.62,23.66,24.78,23.91,21.84,21.25,22.0,21.88,19.84,18.84,20.16,21.19,19.62,18.5,19.72,21.59,21.5,20.62,21.19,22.75,22.28,20.38,19.62,20.59,20.28,17.88,16.5,17.75,19.22,18.56,18.0,19.16,20.62,19.72,18.03,17.91,19.16,18.97,18.03,18.47,20.84,22.44,21.94,22.0,23.78,25.12,23.59,21.53,21.34,21.88,20.88,18.66,18.38,19.22,18.84,17.09,16.88,18.75,20.31,19.75,19.56,21.38,23.19,22.31,20.94,21.75,23.47,23.41,22.72,23.91,26.59,27.59,26.91,27.06,28.84,29.38,27.38,25.44,25.31,25.5,23.0,19.84,18.03,16.94,14.06,11.09,10.59,12.81,14.19,14.31,15.5,18.56,20.59,20.22,19.56,20.75,21.78,21.06,20.06,21.28,23.31,23.62,22.09,21.78,22.56,22.44,20.44,19.16,20.56,22.0,21.72,21.62,23.16,24.91,23.31,20.56,18.91,18.66,16.84,14.31,13.81,15.53,17.03,16.81,16.62,18.31,19.22,40.56,41.56,41.75,41.75,41.28,38.44,34.81,32.09,30.19,27.38,24.5,23.78,25.5,27.34,28.47,29.81,32.22,33.28,32.25,30.88,30.97,32.09,32.5,33.31,35.53,38.0,39.28,39.03,38.88,39.78,39.69,37.69,35.59,33.88,31.47:-4.12,-1.09,-0.28,1.12,3.91,5.94,5.47,5.34,6.81,7.22,4.62,0.0,-2.62,-4.62,-8.09,-11.38,-12.28,-11.03,-9.78,-9.0,-6.97,-2.5,0.81,1.59,1.28,2.22,2.97,1.41,-1.03,-2.03,-1.59,-3.0,-4.78,-5.56,-4.06,-3.94,-5.53,-6.53,-5.31,-4.62,-6.03,-7.47,-6.75,-5.56,-6.53,-8.12,-7.91,-6.72,-7.22,-9.16,-9.62,-8.22,-7.62,-8.56,-8.5,-5.97,-2.94,-2.03,-1.62,0.06,1.19,-0.19,-2.56,-3.03,-1.69,-1.56,-2.94,-3.47,-2.16,-1.78,-3.59,-5.22,-4.72,-5.12,-7.97,-10.88,-11.22,-10.03,-10.28,-10.69,-9.78,-7.28,-6.62,-7.75,-8.25,-6.94,-7.12,-9.25,-11.78,-11.28,-10.34,-10.81,-11.41,-9.62,-6.94,-6.38,-6.94,-6.09,-4.25,-4.03,-6.16,-7.94,-7.75,-8.34,-10.78,-12.91,-12.78,-12.44,-14.06,-15.75,-15.34,-13.28,-12.66,-13.53,-13.25,-12.06,-12.62,-15.56,-17.91,-18.19,-19.09,-21.56,-23.47,-22.91,-21.41,-22.0,-23.22,-22.56,-20.75,-20.38,-20.88,-20.44,-18.38,-17.19,-17.84,-18.28,-16.12,-14.03,-13.5,-13.03,-9.94,-6.09,-4.22,-3.94,-2.41,-0.19,0.22,-1.25,-2.0,-1.5,-1.69,-3.88,-5.5,-5.0,-4.53,-6.47,-9.53,-10.88,-11.75,-14.53,-18.38,-20.22,-20.22,-20.81,-22.59,-22.78,-20.34,-17.69,-16.09,-13.16,-7.34,-1.25,2.47,4.94,7.84,10.31,9.75,7.47,6.31,6.75,7.03,6.5,7.19,10.06,12.25,11.41,9.75,9.41,8.66,5.88,1.91,0.12,-0.91,-3.34,-6.66,-7.72,-6.53,-5.66,-5.94,-5.28,-2.59,-0.31,-1.12,-2.81,-3.19,-4.25,-7.56,-11.34,-12.69,-12.84,-13.31,-14.88,-15.06,-13.66,-13.38,-15.12,-16.25,-15.75,-15.19,-16.5,-18.28,-17.81,-17.16,-18.25,-20.16,-20.47,-19.09,-18.88,-19.81,-19.25,-16.66,-14.72,-14.44,-13.94,-11.84,-9.72,-9.81,-10.16,-8.59,-6.12,-5.31,-5.75,-4.69,-2.28,-0.94,-2.09,-2.84,-2.16,-2.62,-5.28,-7.53,-6.59,-5.28,-6.09,-7.22,-6.56,-5.69,-6.88,-9.09,-9.94,-9.16,-8.72,-10.09,-10.38,-8.78,-7.62,-9.31,-10.59,-9.81,-8.34,-9.31,-10.97,-11.19,-10.84,-12.38,-15.62,-17.75,-18.44,-19.31,-21.56,-22.31,-20.12,-17.97,-17.88,-17.59,-15.56,-13.03,-12.66,-12.94,-11.59,-9.03,-8.0,-8.78,-8.22,-6.66,-6.31,-8.19,-9.56,-8.69,-8.06,-8.84,-9.72,-8.06,-5.84,-5.91,-7.12,-7.41,-6.81,-8.03,-10.38,-11.28,-9.88,-8.81,-9.91,-10.47,-9.69,-9.28,-11.19,-13.5,-13.16,-11.0,-10.22,-10.09,-8.03,-4.94,-3.56,-3.97,-3.31,-1.56,-0.03,-0.97,-2.12,-1.0,-0.12,-1.56,-3.12,-2.97,-2.31,-3.62,-6.75,-9.06,-10.34,-12.59,-16.22,-18.22,-16.91,-15.06,-14.94,-14.94,-12.81,-10.97,-11.75,-13.5,-13.06,-11.78,-11.56,-12.72,-12.16,-9.88,-8.28,-8.66,-8.28,-6.59,-5.47,-7.66,-10.56,-12.0,-12.59,-15.25,-18.12,-18.72,-17.91,-18.59,-20.75,-21.56,-20.31,-19.84,-21.09,-21.19,-19.12,-16.97,-17.06,-17.06,-15.41,-12.78,-12.06,-12.31,-10.59,-7.72,-6.72,-8.12,-8.72,-7.56,-7.12,-8.53,-9.03,-6.94,-5.06,-5.28,-6.22,-5.03,-3.34,-3.59,-5.22,-5.19,-3.66,-3.62,-5.22,-5.56,-3.62,-1.94,-2.12,-2.38,-1.12,-0.34,-2.22,-5.22,-5.78,-5.09,-5.38,-6.72,-6.09,-3.88,-2.91,-4.03,-3.94,-2.41,-1.56,-3.62,-5.44,-5.16,-4.5,-5.84,-7.19,-6.84,-5.19,-5.69,-7.97,-8.84,-7.84,-7.97,-9.28,-8.88,-5.34,-1.81,-0.75,0.06,1.78,4.03,3.19,1.62,1.16,2.03,1.25,-0.97,-1.91,-1.19,-1.72,-4.72,-7.19,-7.03,-6.41,-7.34,-8.28,-6.91,-4.88,-5.25,-6.66,-6.59,-5.41,-5.78,-8.12,-9.59,-9.47,-10.53,-14.09,-17.12,-18.06,-18.59,-20.88,-23.22,-22.84,-20.91,-20.41,-20.41,-18.75,-15.19,-13.38,-13.28,-12.12,-9.12,-6.59,-6.28,-6.19,-3.97,-2.06,-2.81,-4.34,-3.88,-2.38,-2.5,-3.88,-3.81,-2.09,-1.78,-3.53,-5.0,-4.88,-5.28,-8.03,-10.72,-10.06,-8.97,-9.12,-9.09,-7.0,-3.66,-2.16,-2.69,-2.81,-1.62,-1.91,-4.53,-6.38,-5.72,-4.94,-6.5,-7.31,-5.38,-3.06,-3.03,-4.09,-3.88,-2.53,-2.88,-4.09,-3.69,-0.47,1.84,2.41,2.94,4.78,5.56,3.25,0.0,-1.28,-1.41,-3.53,-5.56,-5.41,-3.59,-3.5,-4.81,-5.75,-4.62,-4.66,-6.44,-7.44,-5.81,-3.81,-4.38,-5.28,-4.0,-2.47,-2.78,-4.34,-3.47,-1.16,0.59,0.69,1.62,4.38,5.59,3.75,1.59,1.66,1.81,-0.47,-3.25,-4.0,-4.09,-5.75,-8.28,-8.78,-6.81,-5.31,-5.75,-5.12,-2.94,-1.94,-4.06,-6.44,-6.41,-5.88,-6.81,-7.88,-6.88,-4.34,-4.06,-5.34,-5.81,-4.5,-4.97,-6.88,-8.16,-6.56,-5.59,-6.81,-8.53,-7.75,-6.47,-7.25,-8.28,-7.03,-5.03,-4.5,-5.66,-5.5,-3.16,-1.69,-2.22,-2.31,-0.31,1.31,0.75,-0.03,1.59,3.47,2.94,0.94,0.91,1.62,0.97,-0.94,-1.78,-0.25,1.12,1.03,1.44,4.53,7.94,7.97,7.31,8.0,9.0,6.97,3.88,2.72,2.88,2.16,0.12,-0.5,1.09,2.0,0.69,-0.09,1.5,2.75,1.75,0.44,1.22,3.12,3.0,1.34,1.25,1.97,1.22,-0.38,-0.34,3.06,6.12,6.66,6.47,7.75,8.53,7.16,5.91,7.28,9.41,9.5,7.78,7.19,8.25,7.84,5.66,4.53,5.84,7.12,6.0,5.0,5.84,7.0,6.09,4.31,4.5,6.25,6.12,5.06,5.62,8.03,9.75,8.78,8.03,9.09,9.38,7.03,4.69,4.88,6.03,5.53,4.53,5.59,7.88,8.0,6.72,6.59,7.94,8.09,6.5,4.97,5.66,6.16,4.78,2.59,2.78,3.72,1.84,-1.78,-4.12,-5.69,-8.47,-12.59,-14.19,-12.38,-10.19,-8.75,-6.38,-1.31,3.91,6.53,8.22,11.56,15.12,16.03,15.09,14.34,14.22,11.59,6.44,2.06,-0.12,-2.44,-6.59,-9.62,-9.62,-7.97,-7.31,-6.12,-1.5,4.69,9.53,12.5,16.0,19.88,21.38,19.75,18.16,18.47,18.16,15.22,11.88,11.03,10.16,7.34,3.34,1.06,-0.06,-2.78,-6.69,-8.75,-8.44,-8.56,-10.31,-10.94,-8.94,-6.69,-6.12,-5.44,-1.88,3.06,6.5,9.19,13.69,19.06,22.34,22.34,22.69,23.88,23.22,20.0,17.28,17.44,17.88,16.12,14.09,13.91,14.06,11.81,8.0,5.62,4.53,2.0,-2.31,-4.84,-4.62,-4.31,-5.22,-5.38,-2.5,0.44,1.12,0.88,2.78,5.19,6.19,5.56,6.97,9.81,11.66,10.97,11.09,13.16,14.81,13.91,13.53,15.66,18.25,18.88,18.47,19.78,20.94,19.59,15.94,13.47,12.41,10.38,6.31,3.31,2.62,2.25,0.03,-1.12,1.0,4.06,5.72,6.97,10.25,14.16,16.06,15.84,16.19,18.06,18.72,17.81,18.06,21.25,24.44,25.22,25.72,27.38,28.5,26.53,22.38,19.31,17.16,13.56,8.69,6.44,7.38,8.69,8.81,10.28,14.03,17.56,18.19,17.72,18.5,19.06,17.16,13.59,11.97,12.12,11.81,10.16,10.25,12.16,13.16,11.78,11.03,11.94,13.31,13.03,12.72,15.25,18.78,20.75,21.31,22.34,23.81,23.38,20.75,19.53,20.75,21.88,21.44,20.62,21.56,21.91,19.44,15.84,13.91,12.72,10.72,7.81,6.97,8.72,9.81,9.62,10.5,13.31,16.12,16.22,16.62,19.38,22.72,23.53,23.03,23.69,23.97,21.41,16.81,13.81,12.84,12.03,10.66,11.66,15.16,19.12,20.03,20.69,23.09,25.53,25.06,23.34,22.97,23.53,22.78,20.81,20.66,22.41,23.03,21.72,20.16,20.5,20.69,18.56,16.44,16.84,18.66,19.12,18.94,20.38,23.12,24.41,23.72,23.66,25.38,26.47,25.38,24.28,25.28,26.53,25.38,23.62,23.66,24.78,23.91,21.84,21.25,22.0,21.88,19.84,18.84,20.16,21.19,19.62,18.5,19.72,21.59,21.5,20.62,21.19,22.75,22.28,20.38,19.62,20.59,20.28,17.88,16.5,17.75,19.22,18.56,18.0,19.16,20.62,19.72,18.03,17.91,19.16,18.97,18.03,18.47,20.84,22.44,21.94,22.0,23.78,25.12,23.59,21.53,21.34,21.88,20.88,18.66,18.38,19.22,18.84,17.09,16.88,18.75,20.31,19.75,19.56,21.38,23.19,22.31,20.94,21.75,23.47,23.41,22.72,23.91,26.59,27.59,26.91,27.06,28.84,29.38,27.38,25.44,25.31,25.5,23.0,19.84,18.03,16.94,14.06,11.09,10.59,12.81,14.19,14.31,15.5,18.56,20.59,20.22,19.56,20.75,21.78,21.06,20.06,21.28,23.31,23.62,22.09,21.78,22.56,22.44,20.44,19.16,20.56,22.0,21.72,21.62,23.16,24.91,23.31,20.56,18.91,18.66,16.84,14.31,13.81,15.53,17.03,16.81,16.62,18.31,19.22,40.56,41.56,41.75,41.75,41.28,38.44,34.81,32.09,30.19,27.38,24.5,23.78,25.5,27.34,28.47,29.81,32.22,33.28,32.25,30.88,30.97,32.09,32.5,33.31,35.53,38.0,39.28,39.03,38.88,39.78,39.69,37.69,35.59,33.88,31.47,27.34,23.28,21.28,21.25,21.47,22.75,26.22:negativity
45.31,43.44,40.69,39.59,41.34,42.25,40.69,39.44,40.41,41.31,39.53,37.47,38.22,39.47,37.94,35.72,34.88,36.53,37.03,36.75,38.06,42.31,45.91,47.09,48.16,51.22,53.5,52.19,49.19,47.91,46.81,43.94,40.06,38.38,39.72,40.44,39.84,40.12,42.84,44.72,43.97,42.81,44.41,46.25,45.81,44.59,45.38,47.5,47.56,45.75,45.19,46.84,47.72,46.78,47.28,51.09,55.09,56.81,58.0,61.0,63.59,63.12,60.78,59.75,59.31,57.16,52.84,49.59,49.19,48.5,45.81,44.28,45.44,46.38,44.53,42.16,42.03,42.97,42.41,40.84,41.28,43.69,44.84,44.44,45.19,48.56,50.88,50.66,49.97,51.66,53.38,53.03,52.09,53.38,55.91,55.97,54.53,54.5,55.94,55.97,53.25,50.88,50.75,49.94,47.19,45.06,46.41,48.81,49.41,48.66,49.09,50.53,49.22,45.91,44.47,45.12,44.78,42.19,39.94,39.97,39.81,37.78,35.66,36.94,39.75,40.81,40.97,43.38,47.5,49.44,48.75,48.16,48.94,48.34,45.16,42.41,43.06,44.34,43.5,42.38,43.28,44.69,43.28,39.75,37.94,38.28,37.62,35.88,35.59,38.5,41.06,41.44,42.12,44.81,47.5,47.28,45.25,44.66,44.69,42.81,39.41,38.06,39.66,41.44,41.47,42.59,46.06,48.84,48.53,47.91,49.31,50.88,49.91,47.16,46.31,46.81,46.69,45.41,46.22,49.97,53.28,53.78,53.69,55.03,55.09,51.59,47.09,44.88,44.22,42.53,40.78,42.19,45.53,48.12,48.59,49.44,52.16,54.06,53.41,52.91,54.97,56.78,55.81,53.5,52.91,53.0,50.88,47.5,45.62,45.5,44.53,40.88,38.03,37.56,37.47,35.69,34.25,36.09,38.81,39.5,39.06,41.03,44.53,46.56,46.66,47.91,50.69,51.94,50.81,49.97,51.66,53.22,52.66,51.69,52.88,54.53,53.69,51.28,49.88,49.53,47.47,43.75,41.56,42.28,43.06,41.84,41.25,43.47,45.97,46.16,45.75,47.69,50.28,50.81,49.84,50.06,51.72,52.31,50.78,50.56,52.78,54.88,53.81,53.03,53.59,54.81,53.31,51.06,51.41,52.97,52.88,51.97,52.62,54.56,55.75,54.31,53.47,54.75,55.84,54.12,52.0,51.69,52.22,50.72,48.69,48.81,50.34,50.28,47.78,46.47,46.81,46.53,43.97,42.12,43.59,45.62,45.81,45.59,47.12,49.03,48.09,45.69,45.94,48.56,51.16,52.91,56.25,61.41,65.41,65.06,64.09,64.25,64.31,62.03,59.16,58.5,59.16,58.28,55.94,55.16,55.97,56.41,54.28,52.69,53.12,53.16,50.28,47.19,46.91,47.31,46.03,44.25,44.5,46.59,47.34,46.72,47.12,49.72,51.81,51.19,50.81,52.69,54.75,53.31,50.75,50.03,50.0,47.78,45.12,44.84,47.5,49.56,49.91,51.06,53.72,55.34,53.62,51.75,51.91,52.94,51.81,50.34,50.81,53.25,53.84,53.25,53.94,56.44,57.38,55.81,54.03,54.12,53.78,51.12,48.75,49.25,50.84,50.66,49.56,49.69,51.09,50.31,47.66,46.12,46.25,45.97,43.69,42.0,42.62,43.84,42.88,41.5,42.28,43.69,42.53,39.72,38.0,37.81,36.75,34.09,32.81,34.62,35.53,34.25,32.91,33.44,33.97,32.06,30.09,30.56,32.59,33.12,32.5,32.69,34.28,34.53,32.81,32.16,35.09,37.31,37.53,37.72,39.81,41.97,41.59,40.0,39.81,40.06,38.12,34.31,31.5,30.81,30.03,27.75,26.81,29.5,32.44,33.34,34.34,37.91,42.16,43.69,43.66,44.81,46.5,45.81,43.31,41.97,42.81,42.94,40.84,38.62,38.41,38.09,35.53,32.38,31.72,32.75,32.16,31.16,32.38,35.66,37.47,36.84,36.5,37.66,38.25,35.97,33.75,34.09,35.12,34.03,32.44,33.0,34.59,34.78,33.81,34.16,37.0,38.72,38.19,37.88,39.56,40.75,39.69,38.38,39.22,40.22,39.41,37.06,36.69,38.06,38.22,37.47,37.72,40.34,42.22,41.81,41.28,42.94,43.78,42.41,40.59,40.91,42.25,42.19,41.22,41.75,43.88,44.22,42.53,41.31,42.12,42.41,41.03,40.38,42.47,45.19,45.69,44.75,45.47,46.44,45.62,43.34,42.78,43.69,43.81,41.62,40.0,41.03,41.66,40.53,39.66,41.81,44.12,44.22,43.75,45.16,47.66,49.0,48.78,49.56,51.25,51.62,49.31,47.09,47.84,48.59,47.19,45.34,45.53,46.12,44.5,42.34,42.34,44.25,44.59,42.78,41.66,41.94,40.88,37.66,34.41,33.66,33.62,31.62,29.47,30.22,32.62,33.28,32.66,33.66,36.03,36.88,35.91,35.53,37.78,39.75,39.62,39.84,42.56,46.0,47.12,47.03,48.72,51.22,51.5,49.53,48.62,49.19,48.91,46.44,45.06,46.22,47.56,46.12,43.91,44.16,44.72,44.0,42.25,42.62,44.16,43.78,41.09,39.19,39.66,39.91,38.94,38.88,41.31,43.59,43.25,41.91,42.44,44.78,44.94,43.97,45.03,47.0,46.88,44.59,43.09,43.34,43.66,41.78,40.25,41.75,44.03,44.19,43.53,44.84,46.66,46.25,43.84,42.47,42.56,41.66,38.41,36.28,36.69,37.84,37.22,37.31,40.12,43.47,44.41,44.03,45.19,46.94,46.81,44.41,43.62,44.75,44.56,42.12,40.09,40.81,41.16,39.44,38.31,39.53,41.47,41.78,40.78,41.91,44.5,45.06,42.97,42.09,42.47,42.94,41.88,42.19,45.09,48.03,47.94,46.25,46.0,46.81,45.62,43.41,43.22,44.5,45.0,43.31,42.44,43.94,45.19,43.66,42.47,43.75,45.03,43.94,41.94,42.5,44.69,45.44,45.0,46.12,48.12,48.59,46.28,43.94,43.53,43.16,40.12,36.94,36.88,38.28,37.75,36.91,38.34,41.06,42.09,40.56,40.66,42.66,43.72,42.59,42.44,44.34,46.0,45.22,43.75,44.28,45.62,45.19,43.19,43.16,45.16,46.28,45.34,45.72,47.41,47.97,45.38,42.56,41.88,41.62,39.22,36.66,37.03,39.12,39.81,39.81,41.69,45.59,48.09,47.69,47.62,49.47,50.19,48.34,47.31,48.81,50.75,50.22,48.09,47.38,47.94,47.06,45.06,44.81,46.78,47.22,44.75,42.72,42.62,42.69,40.19,38.12,38.5,39.59,38.34,36.47,36.44,38.78,39.84,39.53,40.53,43.44,44.84,43.38,41.97,42.28,42.75,40.16,37.72,37.91,39.25,38.72,36.97,36.78,38.47,39.03,37.53,37.72,40.16,41.75,40.12,38.12,38.41,38.62,36.38,33.59,33.25,33.88,32.44,29.75,28.59,30.06,30.59,29.41,29.31,32.09,34.41,33.91,33.0,34.16,35.78,34.5,33.19,33.84,36.06,37.12,36.09,35.69,37.25,37.28,34.72,33.28,35.12,37.72,38.53,39.91,43.06,47.12,48.19,47.91,49.06,51.47,51.69,49.81,48.44,48.53,47.88,44.66,41.72,41.97,42.16,39.72,36.75,35.91,36.38,34.59,32.5,32.97,35.88,37.72,37.88,38.47,41.44,43.22,42.25,41.41,43.28,45.31,45.06,43.91,45.0,47.53,47.09,45.19,43.56,43.28,41.19,36.84,33.97,33.81,34.56,32.88,31.59,32.66,34.16,33.0,31.25,32.09,35.0,36.75,36.81,38.22,41.62,43.72,43.78,44.16,46.56,48.34,46.5,44.22,44.41,45.84,45.47,43.97,44.03,44.44,42.69,38.62,35.31,34.84,33.91,31.25,29.88,32.0,35.03,36.44,37.88,41.06,44.25,44.62,42.94,42.81,44.56,44.81,43.41,42.56,44.12,45.06,43.56,42.28,43.56,45.25,44.59,43.72,45.31,48.28,49.16,48.44,48.91,50.31,50.19,47.59,45.72,46.38,46.84,45.03,43.22,44.38,45.69,43.88,40.53,39.25,38.91,37.09,34.88,34.47,36.75,38.44,37.91,37.56,40.19,42.62,43.03,43.31,46.72,50.66,51.81,51.44,51.88,53.31,52.22,48.88,46.75,46.81,45.97,43.31,41.25,41.84,42.78,41.41,39.84,40.94,42.75,42.22,39.69,38.94,39.56,39.62,38.0,37.69,40.22,41.84,40.91,39.91,41.5,43.34,43.34,42.47,44.34,47.41,48.5,47.97,48.91,51.25,52.19,50.5,49.56,50.47,50.44,47.53,43.97,42.47,41.41,38.47,34.88,33.91,34.94,34.72,33.44,34.06,36.78,38.22,36.97,36.44,37.97,39.41,38.69,37.81,39.69,42.31,43.09,42.38,43.22,44.69,43.59,40.06,37.5,37.41,37.62,36.56,36.56,39.16,41.62,40.75,38.72,38.75,39.53,38.66,36.56,36.81,39.22,41.16,41.56,43.38,47.44,50.56,50.38,49.53,50.78,52.12,50.44,48.12,48.41,49.69,48.75,46.03,44.75,45.03,44.25,41.53,40.09,41.12,41.56,39.47,37.22,37.72,39.25,38.81,37.34,37.34,38.28,37.25,34.0,32.81,34.53,35.75,34.97,35.12,37.25,39.12,38.19,36.44,37.0,38.34,37.69,35.88,36.19,38.06,39.0,37.75,37.81,39.59,41.0,39.5,38.56,39.94,41.69,41.34,40.53,41.91,43.59,43.03,40.41,39.09,39.19,38.22,35.06,32.88,33.09,32.72,30.16,28.22,29.28,31.38,32.0,32.5,35.31,39.88,42.59,43.53,45.47,48.41,49.59,47.75,46.59,47.53,48.53,47.28,46.19,47.38,49.25,48.25,45.84,44.88,45.0,43.94,41.78,41.59,43.81,45.34,43.66,42.25:39.44,40.41,41.31,39.53,37.47,38.22,39.47,37.94,35.72,34.88,36.53,37.03,36.75,38.06,42.31,45.91,47.09,48.16,51.22,53.5,52.19,49.19,47.91,46.81,43.94,40.06,38.38,39.72,40.44,39.84,40.12,42.84,44.72,43.97,42.81,44.41,46.25,45.81,44.59,45.38,47.5,47.56,45.75,45.19,46.84,47.72,46.78,47.28,51.09,55.09,56.81,58.0,61.0,63.59,63.12,60.78,59.75,59.31,57.16,52.84,49.59,49.19,48.5,45.81,44.28,45.44,46.38,44.53,42.16,42.03,42.97,42.41,40.84,41.28,43.69,44.84,44.44,45.19,48.56,50.88,50.66,49.97,51.66,53.38,53.03,52.09,53.38,55.91,55.97,54.53,54.5,55.94,55.97,53.25,50.88,50.75,49.94,47.19,45.06,46.41,48.81,49.41,48.66,49.09,50.53,49.22,45.91,44.47,45.12,44.78,42.19,39.94,39.97,39.81,37.78,35.66,36.94,39.75,40.81,40.97,43.38,47.5,49.44,48.75,48.16,48.94,48.34,45.16,42.41,43.06,44.34,43.5,42.38,43.28,44.69,43.28,39.75,37.94,38.28,37.62,35.88,35.59,38.5,41.06,41.44,42.12,44.81,47.5,47.28,45.25,44.66,44.69,42.81,39.41,38.06,39.66,41.44,41.47,42.59,46.06,48.84,48.53,47.91,49.31,50.88,49.91,47.16,46.31,46.81,46.69,45.41,46.22,49.97,53.28,53.78,53.69,55.03,55.09,51.59,47.09,44.88,44.22,42.53,40.78,42.19,45.53,48.12,48.59,49.44,52.16,54.06,53.41,52.91,54.97,56.78,55.81,53.5,52.91,53.0,50.88,47.5,45.62,45.5,44.53,40.88,38.03,37.56,37.47,35.69,34.25,36.09,38.81,39.5,39.06,41.03,44.53,46.56,46.66,47.91,50.69,51.94,50.81,49.97,51.66,53.22,52.66,51.69,52.88,54.53,53.69,51.28,49.88,49.53,47.47,43.75,41.56,42.28,43.06,41.84,41.25,43.47,45.97,46.16,45.75,47.69,50.28,50.81,49.84,50.06,51.72,52.31,50.78,50.56,52.78,54.88,53.81,53.03,53.59,54.81,53.31,51.06,51.41,52.97,52.88,51.97,52.62,54.56,55.75,54.31,53.47,54.75,55.84,54.12,52.0,51.69,52.22,50.72,48.69,48.81,50.34,50.28,47.78,46.47,46.81,46.53,43.97,42.12,43.59,45.62,45.81,45.59,47.12,49.03,48.09,45.69,45.94,48.56,51.16,52.91,56.25,61.41,65.41,65.06,64.09,64.25,64.31,62.03,59.16,58.5,59.16,58.28,55.94,55.16,55.97,56.41,54.28,52.69,53.12,53.16,50.28,47.19,46.91,47.31,46.03,44.25,44.5,46.59,47.34,46.72,47.12,49.72,51.81,51.19,50.81,52.69,54.75,53.31,50.75,50.03,50.0,47.78,45.12,44.84,47.5,49.56,49.91,51.06,53.72,55.34,53.62,51.75,51.91,52.94,51.81,50.34,50.81,53.25,53.84,53.25,53.94,56.44,57.38,55.81,54.03,54.12,53.78,51.12,48.75,49.25,50.84,50.66,49.56,49.69,51.09,50.31,47.66,46.12,46.25,45.97,43.69,42.0,42.62,43.84,42.88,41.5,42.28,43.69,42.53,39.72,38.0,37.81,36.75,34.09,32.81,34.62,35.53,34.25,32.91,33.44,33.97,32.06,30.09,30.56,32.59,33.12,32.5,32.69,34.28,34.53,32.81,32.16,35.09,37.31,37.53,37.72,39.81,41.97,41.59,40.0,39.81,40.06,38.12,34.31,31.5,30.81,30.03,27.75,26.81,29.5,32.44,33.34,34.34,37.91,42.16,43.69,43.66,44.81,46.5,45.81,43.31,41.97,42.81,42.94,40.84,38.62,38.41,38.09,35.53,32.38,31.72,32.75,32.16,31.16,32.38,35.66,37.47,36.84,36.5,37.66,38.25,35.97,33.75,34.09,35.12,34.03,32.44,33.0,34.59,34.78,33.81,34.16,37.0,38.72,38.19,37.88,39.56,40.75,39.69,38.38,39.22,40.22,39.41,37.06,36.69,38.06,38.22,37.47,37.72,40.34,42.22,41.81,41.28,42.94,43.78,42.41,40.59,40.91,42.25,42.19,41.22,41.75,43.88,44.22,42.53,41.31,42.12,42.41,41.03,40.38,42.47,45.19,45.69,44.75,45.47,46.44,45.62,43.34,42.78,43.69,43.81,41.62,40.0,41.03,41.66,40.53,39.66,41.81,44.12,44.22,43.75,45.16,47.66,49.0,48.78,49.56,51.25,51.62,49.31,47.09,47.84,48.59,47.19,45.34,45.53,46.12,44.5,42.34,42.34,44.25,44.59,42.78,41.66,41.94,40.88,37.66,34.41,33.66,33.62,31.62,29.47,30.22,32.62,33.28,32.66,33.66,36.03,36.88,35.91,35.53,37.78,39.75,39.62,39.84,42.56,46.0,47.12,47.03,48.72,51.22,51.5,49.53,48.62,49.19,48.91,46.44,45.06,46.22,47.56,46.12,43.91,44.16,44.72,44.0,42.25,42.62,44.16,43.78,41.09,39.19,39.66,39.91,38.94,38.88,41.31,43.59,43.25,41.91,42.44,44.78,44.94,43.97,45.03,47.0,46.88,44.59,43.09,43.34,43.66,41.78,40.25,41.75,44.03,44.19,43.53,44.84,46.66,46.25,43.84,42.47,42.56,41.66,38.41,36.28,36.69,37.84,37.22,37.31,40.12,43.47,44.41,44.03,45.19,46.94,46.81,44.41,43.62,44.75,44.56,42.12,40.09,40.81,41.16,39.44,38.31,39.53,41.47,41.78,40.78,41.91,44.5,45.06,42.97,42.09,42.47,42.94,41.88,42.19,45.09,48.03,47.94,46.25,46.0,46.81,45.62,43.41,43.22,44.5,45.0,43.31,42.44,43.94,45.19,43.66,42.47,43.75,45.03,43.94,41.94,42.5,44.69,45.44,45.0,46.12,48.12,48.59,46.28,43.94,43.53,43.16,40.12,36.94,36.88,38.28,37.75,36.91,38.34,41.06,42.09,40.56,40.66,42.66,43.72,42.59,42.44,44.34,46.0,45.22,43.75,44.28,45.62,45.19,43.19,43.16,45.16,46.28,45.34,45.72,47.41,47.97,45.38,42.56,41.88,41.62,39.22,36.66,37.03,39.12,39.81,39.81,41.69,45.59,48.09,47.69,47.62,49.47,50.19,48.34,47.31,48.81,50.75,50.22,48.09,47.38,47.94,47.06,45.06,44.81,46.78,47.22,44.75,42.72,42.62,42.69,40.19,38.12,38.5,39.59,38.34,36.47,36.44,38.78,39.84,39.53,40.53,43.44,44.84,43.38,41.97,42.28,42.75,40.16,37.72,37.91,39.25,38.72,36.97,36.78,38.47,39.03,37.53,37.72,40.16,41.75,40.12,38.12,38.41,38.62,36.38,33.59,33.25,33.88,32.44,29.75,28.59,30.06,30.59,29.41,29.31,32.09,34.41,33.91,33.0,34.16,35.78,34.5,33.19,33.84,36.06,37.12,36.09,35.69,37.25,37.28,34.72,33.28,35.12,37.72,38.53,39.91,43.06,47.12,48.19,47.91,49.06,51.47,51.69,49.81,48.44,48.53,47.88,44.66,41.72,41.97,42.16,39.72,36.75,35.91,36.38,34.59,32.5,32.97,35.88,37.72,37.88,38.47,41.44,43.22,42.25,41.41,43.28,45.31,45.06,43.91,45.0,47.53,47.09,45.19,43.56,43.28,41.19,36.84,33.97,33.81,34.56,32.88,31.59,32.66,34.16,33.0,31.25,32.09,35.0,36.75,36.81,38.22,41.62,43.72,43.78,44.16,46.56,48.34,46.5,44.22,44.41,45.84,45.47,43.97,44.03,44.44,42.69,38.62,35.31,34.84,33.91,31.25,29.88,32.0,35.03,36.44,37.88,41.06,44.25,44.62,42.94,42.81,44.56,44.81,43.41,42.56,44.12,45.06,43.56,42.28,43.56,45.25,44.59,43.72,45.31,48.28,49.16,48.44,48.91,50.31,50.19,47.59,45.72,46.38,46.84,45.03,43.22,44.38,45.69,43.88,40.53,39.25,38.91,37.09,34.88,34.47,36.75,38.44,37.91,37.56,40.19,42.62,43.03,43.31,46.72,50.66,51.81,51.44,51.88,53.31,52.22,48.88,46.75,46.81,45.97,43.31,41.25,41.84,42.78,41.41,39.84,40.94,42.75,42.22,39.69,38.94,39.56,39.62,38.0,37.69,40.22,41.84,40.91,39.91,41.5,43.34,43.34,42.47,44.34,47.41,48.5,47.97,48.91,51.25,52.19,50.5,49.56,50.47,50.44,47.53,43.97,42.47,41.41,38.47,34.88,33.91,34.94,34.72,33.44,34.06,36.78,38.22,36.97,36.44,37.97,39.41,38.69,37.81,39.69,42.31,43.09,42.38,43.22,44.69,43.59,40.06,37.5,37.41,37.62,36.56,36.56,39.16,41.62,40.75,38.72,38.75,39.53,38.66,36.56,36.81,39.22,41.16,41.56,43.38,47.44,50.56,50.38,49.53,50.78,52.12,50.44,48.12,48.41,49.69,48.75,46.03,44.75,45.03,44.25,41.53,40.09,41.12,41.56,39.47,37.22,37.72,39.25,38.81,37.34,37.34,38.28,37.25,34.0,32.81,34.53,35.75,34.97,35.12,37.25,39.12,38.19,36.44,37.0,38.34,37.69,35.88,36.19,38.06,39.0,37.75,37.81,39.59,41.0,39.5,38.56,39.94,41.69,41.34,40.53,41.91,43.59,43.03,40.41,39.09,39.19,38.22,35.06,32.88,33.09,32.72,30.16,28.22,29.28,31.38,32.0,32.5,35.31,39.88,42.59,43.53,45.47,48.41,49.59,47.75,46.59,47.53,48.53,47.28,46.19,47.38,49.25,48.25,45.84,44.88,45.0,43.94,41.78,41.59,43.81,45.34,43.66,42.25,47.78,46.38,45.0,44.75,46.34,47.41,46.97:37.94,35.72,34.88,36.53,37.03,36.75,38.06,42.31,45.91,47.09,48.16,51.22,53.5,52.19,49.19,47.91,46.81,43.94,40.06,38.38,39.72,40.44,39.84,40.12,42.84,44.72,43.97,42.81,44.41,46.25,45.81,44.59,45.38,47.5,47.56,45.75,45.19,46.84,47.72,46.78,47.28,51.09,55.09,56.81,58.0,61.0,63.59,63.12,60.78,59.75,59.31,57.16,52.84,49.59,49.19,48.5,45.81,44.28,45.44,46.38,44.53,42.16,42.03,42.97,42.41,40.84,41.28,43.69,44.84,44.44,45.19,48.56,50.88,50.66,49.97,51.66,53.38,53.03,52.09,53.38,55.91,55.97,54.53,54.5,55.94,55.97,53.25,50.88,50.75,49.94,47.19,45.06,46.41,48.81,49.41,48.66,49.09,50.53,49.22,45.91,44.47,45.12,44.78,42.19,39.94,39.97,39.81,37.78,35.66,36.94,39.75,40.81,40.97,43.38,47.5,49.44,48.75,48.16,48.94,48.34,45.16,42.41,43.06,44.34,43.5,42.38,43.28,44.69,43.28,39.75,37.94,38.28,37.62,35.88,35.59,38.5,41.06,41.44,42.12,44.81,47.5,47.28,45.25,44.66,44.69,42.81,39.41,38.06,39.66,41.44,41.47,42.59,46.06,48.84,48.53,47.91,49.31,50.88,49.91,47.16,46.31,46.81,46.69,45.41,46.22,49.97,53.28,53.78,53.69,55.03,55.09,51.59,47.09,44.88,44.22,42.53,40.78,42.19,45.53,48.12,48.59,49.44,52.16,54.06,53.41,52.91,54.97,56.78,55.81,53.5,52.91,53.0,50.88,47.5,45.62,45.5,44.53,40.88,38.03,37.56,37.47,35.69,34.25,36.09,38.81,39.5,39.06,41.03,44.53,46.56,46.66,47.91,50.69,51.94,50.81,49.97,51.66,53.22,52.66,51.69,52.88,54.53,53.69,51.28,49.88,49.53,47.47,43.75,41.56,42.28,43.06,41.84,41.25,43.47,45.97,46.16,45.75,47.69,50.28,50.81,49.84,50.06,51.72,52.31,50.78,50.56,52.78,54.88,53.81,53.03,53.59,54.81,53.31,51.06,51.41,52.97,52.88,51.97,52.62,54.56,55.75,54.31,53.47,54.75,55.84,54.12,52.0,51.69,52.22,50.72,48.69,48.81,50.34,50.28,47.78,46.47,46.81,46.53,43.97,42.12,43.59,45.62,45.81,45.59,47.12,49.03,48.09,45.69,45.94,48.56,51.16,52.91,56.25,61.41,65.41,65.06,64.09,64.25,64.31,62.03,59.16,58.5,59.16,58.28,55.94,55.16,55.97,56.41,54.28,52.69,53.12,53.16,50.28,47.19,46.91,47.31,46.03,44.25,44.5,46.59,47.34,46.72,47.12,49.72,51.81,51.19,50.81,52.69,54.75,53.31,50.75,50.03,50.0,47.78,45.12,44.84,47.5,49.56,49.91,51.06,53.72,55.34,53.62,51.75,51.91,52.94,51.81,50.34,50.81,53.25,53.84,53.25,53.94,56.44,57.38,55.81,54.03,54.12,53.78,51.12,48.75,49.25,50.84,50.66,49.56,49.69,51.09,50.31,47.66,46.12,46.25,45.97,43.69,42.0,42.62,43.84,42.88,41.5,42.28,43.69,42.53,39.72,38.0,37.81,36.75,34.09,32.81,34.62,35.53,34.25,32.91,33.44,33.97,32.06,30.09,30.56,32.59,33.12,32.5,32.69,34.28,34.53,32.81,32.16,35.09,37.31,37.53,37.72,39.81,41.97,41.59,40.0,39.81,40.06,38.12,34.31,31.5,30.81,30.03,27.75,26.81,29.5,32.44,33.34,34.34,37.91,42.16,43.69,43.66,44.81,46.5,45.81,43.31,41.97,42.81,42.94,40.84,38.62,38.41,38.09,35.53,32.38,31.72,32.75,32.16,31.16,32.38,35.66,37.47,36.84,36.5,37.66,38.25,35.97,33.75,34.09,35.12,34.03,32.44,33.0,34.59,34.78,33.81,34.16,37.0,38.72,38.19,37.88,39.56,40.75,39.69,38.38,39.22,40.22,39.41,37.06,36.69,38.06,38.22,37.47,37.72,40.34,42.22,41.81,41.28,42.94,43.78,42.41,40.59,40.91,42.25,42.19,41.22,41.75,43.88,44.22,42.53,41.31,42.12,42.41,41.03,40.38,42.47,45.19,45.69,44.75,45.47,46.44,45.62,43.34,42.78,43.69,43.81,41.62,40.0,41.03,41.66,40.53,39.66,41.81,44.12,44.22,43.75,45.16,47.66,49.0,48.78,49.56,51.25,51.62,49.31,47.09,47.84,48.59,47.19,45.34,45.53,46.12,44.5,42.34,42.34,44.25,44.59,42.78,41.66,41.94,40.88,37.66,34.41,33.66,33.62,31.62,29.47,30.22,32.62,33.28,32.66,33.66,36.03,36.88,35.91,35.53,37.78,39.75,39.62,39.84,42.56,46.0,47.12,47.03,48.72,51.22,51.5,49.53,48.62,49.19,48.91,46.44,45.06,46.22,47.56,46.12,43.91,44.16,44.72,44.0,42.25,42.62,44.16,43.78,41.09,39.19,39.66,39.91,38.94,38.88,41.31,43.59,43.25,41.91,42.44,44.78,44.94,43.97,45.03,47.0,46.88,44.59,43.09,43.34,43.66,41.78,40.25,41.75,44.03,44.19,43.53,44.84,46.66,46.25,43.84,42.47,42.56,41.66,38.41,36.28,36.69,37.84,37.22,37.31,40.12,43.47,44.41,44.03,45.19,46.94,46.81,44.41,43.62,44.75,44.56,42.12,40.09,40.81,41.16,39.44,38.31,39.53,41.47,41.78,40.78,41.91,44.5,45.06,42.97,42.09,42.47,42.94,41.88,42.19,45.09,48.03,47.94,46.25,46.0,46.81,45.62,43.41,43.22,44.5,45.0,43.31,42.44,43.94,45.19,43.66,42.47,43.75,45.03,43.94,41.94,42.5,44.69,45.44,45.0,46.12,48.12,48.59,46.28,43.94,43.53,43.16,40.12,36.94,36.88,38.28,37.75,36.91,38.34,41.06,42.09,40.56,40.66,42.66,43.72,42.59,42.44,44.34,46.0,45.22,43.75,44.28,45.62,45.19,43.19,43.16,45.16,46.28,45.34,45.72,47.41,47.97,45.38,42.56,41.88,41.62,39.22,36.66,37.03,39.12,39.81,39.81,41.69,45.59,48.09,47.69,47.62,49.47,50.19,48.34,47.31,48.81,50.75,50.22,48.09,47.38,47.94,47.06,45.06,44.81,46.78,47.22,44.75,42.72,42.62,42.69,40.19,38.12,38.5,39.59,38.34,36.47,36.44,38.78,39.84,39.53,40.53,43.44,44.84,43.38,41.97,42.28,42.75,40.16,37.72,37.91,39.25,38.72,36.97,36.78,38.47,39.03,37.53,37.72,40.16,41.75,40.12,38.12,38.41,38.62,36.38,33.59,33.25,33.88,32.44,29.75,28.59,30.06,30.59,29.41,29.31,32.09,34.41,33.91,33.0,34.16,35.78,34.5,33.19,33.84,36.06,37.12,36.09,35.69,37.25,37.28,34.72,33.28,35.12,37.72,38.53,39.91,43.06,47.12,48.19,47.91,49.06,51.47,51.69,49.81,48.44,48.53,47.88,44.66,41.72,41.97,42.16,39.72,36.75,35.91,36.38,34.59,32.5,32.97,35.88,37.72,37.88,38.47,41.44,43.22,42.25,41.41,43.28,45.31,45.06,43.91,45.0,47.53,47.09,45.19,43.56,43.28,41.19,36.84,33.97,33.81,34.56,32.88,31.59,32.66,34.16,33.0,31.25,32.09,35.0,36.75,36.81,38.22,41.62,43.72,43.78,44.16,46.56,48.34,46.5,44.22,44.41,45.84,45.47,43.97,44.03,44.44,42.69,38.62,35.31,34.84,33.91,31.25,29.88,32.0,35.03,36.44,37.88,41.06,44.25,44.62,42.94,42.81,44.56,44.81,43.41,42.56,44.12,45.06,43.56,42.28,43.56,45.25,44.59,43.72,45.31,48.28,49.16,48.44,48.91,50.31,50.19,47.59,45.72,46.38,46.84,45.03,43.22,44.38,45.69,43.88,40.53,39.25,38.91,37.09,34.88,34.47,36.75,38.44,37.91,37.56,40.19,42.62,43.03,43.31,46.72,50.66,51.81,51.44,51.88,53.31,52.22,48.88,46.75,46.81,45.97,43.31,41.25,41.84,42.78,41.41,39.84,40.94,42.75,42.22,39.69,38.94,39.56,39.62,38.0,37.69,40.22,41.84,40.91,39.91,41.5,43.34,43.34,42.47,44.34,47.41,48.5,47.97,48.91,51.25,52.19,50.5,49.56,50.47,50.44,47.53,43.97,42.47,41.41,38.47,34.88,33.91,34.94,34.72,33.44,34.06,36.78,38.22,36.97,36.44,37.97,39.41,38.69,37.81,39.69,42.31,43.09,42.38,43.22,44.69,43.59,40.06,37.5,37.41,37.62,36.56,36.56,39.16,41.62,40.75,38.72,38.75,39.53,38.66,36.56,36.81,39.22,41.16,41.56,43.38,47.44,50.56,50.38,49.53,50.78,52.12,50.44,48.12,48.41,49.69,48.75,46.03,44.75,45.03,44.25,41.53,40.09,41.12,41.56,39.47,37.22,37.72,39.25,38.81,37.34,37.34,38.28,37.25,34.0,32.81,34.53,35.75,34.97,35.12,37.25,39.12,38.19,36.44,37.0,38.34,37.69,35.88,36.19,38.06,39.0,37.75,37.81,39.59,41.0,39.5,38.56,39.94,41.69,41.34,40.53,41.91,43.59,43.03,40.41,39.09,39.19,38.22,35.06,32.88,33.09,32.72,30.16,28.22,29.28,31.38,32.0,32.5,35.31,39.88,42.59,43.53,45.47,48.41,49.59,47.75,46.59,47.53,48.53,47.28,46.19,47.38,49.25,48.25,45.84,44.88,45.0,43.94,41.78,41.59,43.81,45.34,43.66,42.25,47.78,46.38,45.0,44.75,46.34,47.41,46.97,46.59,47.34,47.88,46.69,44.91,44.97,45.47:42.31,45.91,47.09,48.16,51.22,53.5,52.19,49.19,47.91,46.81,43.94,40.06,38.38,39.72,40.44,39.84,40.12,42.84,44.72,43.97,42.81,44.41,46.25,45.81,44.59,45.38,47.5,47.56,45.75,45.19,46.84,47.72,46.78,47.28,51.09,55.09,56.81,58.0,61.0,63.59,63.12,60.78,59.75,59.31,57.16,52.84,49.59,49.19,48.5,45.81,44.28,45.44,46.38,44.53,42.16,42.03,42.97,42.41,40.84,41.28,43.69,44.84,44.44,45.19,48.56,50.88,50.66,49.97,51.66,53.38,53.03,52.09,53.38,55.91,55.97,54.53,54.5,55.94,55.97,53.25,50.88,50.75,49.94,47.19,45.06,46.41,48.81,49.41,48.66,49.09,50.53,49.22,45.91,44.47,45.12,44.78,42.19,39.94,39.97,39.81,37.78,35.66,36.94,39.75,40.81,40.97,43.38,47.5,49.44,48.75,48.16,48.94,48.34,45.16,42.41,43.06,44.34,43.5,42.38,43.28,44.69,43.28,39.75,37.94,38.28,37.62,35.88,35.59,38.5,41.06,41.44,42.12,44.81,47.5,47.28,45.25,44.66,44.69,42.81,39.41,38.06,39.66,41.44,41.47,42.59,46.06,48.84,48.53,47.91,49.31,50.88,49.91,47.16,46.31,46.81,46.69,45.41,46.22,49.97,53.28,53.78,53.69,55.03,55.09,51.59,47.09,44.88,44.22,42.53,40.78,42.19,45.53,48.12,48.59,49.44,52.16,54.06,53.41,52.91,54.97,56.78,55.81,53.5,52.91,53.0,50.88,47.5,45.62,45.5,44.53,40.88,38.03,37.56,37.47,35.69,34.25,36.09,38.81,39.5,39.06,41.03,44.53,46.56,46.66,47.91,50.69,51.94,50.81,49.97,51.66,53.22,52.66,51.69,52.88,54.53,53.69,51.28,49.88,49.53,47.47,43.75,41.56,42.28,43.06,41.84,41.25,43.47,45.97,46.16,45.75,47.69,50.28,50.81,49.84,50.06,51.72,52.31,50.78,50.56,52.78,54.88,53.81,53.03,53.59,54.81,53.31,51.06,51.41,52.97,52.88,51.97,52.62,54.56,55.75,54.31,53.47,54.75,55.84,54.12,52.0,51.69,52.22,50.72,48.69,48.81,50.34,50.28,47.78,46.47,46.81,46.53,43.97,42.12,43.59,45.62,45.81,45.59,47.12,49.03,48.09,45.69,45.94,48.56,51.16,52.91,56.25,61.41,65.41,65.06,64.09,64.25,64.31,62.03,59.16,58.5,59.16,58.28,55.94,55.16,55.97,56.41,54.28,52.69,53.12,53.16,50.28,47.19,46.91,47.31,46.03,44.25,44.5,46.59,47.34,46.72,47.12,49.72,51.81,51.19,50.81,52.69,54.75,53.31,50.75,50.03,50.0,47.78,45.12,44.84,47.5,49.56,49.91,51.06,53.72,55.34,53.62,51.75,51.91,52.94,51.81,50.34,50.81,53.25,53.84,53.25,53.94,56.44,57.38,55.81,54.03,54.12,53.78,51.12,48.75,49.25,50.84,50.66,49.56,49.69,51.09,50.31,47.66,46.12,46.25,45.97,43.69,42.0,42.62,43.84,42.88,41.5,42.28,43.69,42.53,39.72,38.0,37.81,36.75,34.09,32.81,34.62,35.53,34.25,32.91,33.44,33.97,32.06,30.09,30.56,32.59,33.12,32.5,32.69,34.28,34.53,32.81,32.16,35.09,37.31,37.53,37.72,39.81,41.97,41.59,40.0,39.81,40.06,38.12,34.31,31.5,30.81,30.03,27.75,26.81,29.5,32.44,33.34,34.34,37.91,42.16,43.69,43.66,44.81,46.5,45.81,43.31,41.97,42.81,42.94,40.84,38.62,38.41,38.09,35.53,32.38,31.72,32.75,32.16,31.16,32.38,35.66,37.47,36.84,36.5,37.66,38.25,35.97,33.75,34.09,35.12,34.03,32.44,33.0,34.59,34.78,33.81,34.16,37.0,38.72,38.19,37.88,39.56,40.75,39.69,38.38,39.22,40.22,39.41,37.06,36.69,38.06,38.22,37.47,37.72,40.34,42.22,41.81,41.28,42.94,43.78,42.41,40.59,40.91,42.25,42.19,41.22,41.75,43.88,44.22,42.53,41.31,42.12,42.41,41.03,40.38,42.47,45.19,45.69,44.75,45.47,46.44,45.62,43.34,42.78,43.69,43.81,41.62,40.0,41.03,41.66,40.53,39.66,41.81,44.12,44.22,43.75,45.16,47.66,49.0,48.78,49.56,51.25,51.62,49.31,47.09,47.84,48.59,47.19,45.34,45.53,46.12,44.5,42.34,42.34,44.25,44.59,42.78,41.66,41.94,40.88,37.66,34.41,33.66,33.62,31.62,29.47,30.22,32.62,33.28,32.66,33.66,36.03,36.88,35.91,35.53,37.78,39.75,39.62,39.84,42.56,46.0,47.12,47.03,48.72,51.22,51.5,49.53,48.62,49.19,48.91,46.44,45.06,46.22,47.56,46.12,43.91,44.16,44.72,44.0,42.25,42.62,44.16,43.78,41.09,39.19,39.66,39.91,38.94,38.88,41.31,43.59,43.25,41.91,42.44,44.78,44.94,43.97,45.03,47.0,46.88,44.59,43.09,43.34,43.66,41.78,40.25,41.75,44.03,44.19,43.53,44.84,46.66,46.25,43.84,42.47,42.56,41.66,38.41,36.28,36.69,37.84,37.22,37.31,40.12,43.47,44.41,44.03,45.19,46.94,46.81,44.41,43.62,44.75,44.56,42.12,40.09,40.81,41.16,39.44,38.31,39.53,41.47,41.78,40.78,41.91,44.5,45.06,42.97,42.09,42.47,42.94,41.88,42.19,45.09,48.03,47.94,46.25,46.0,46.81,45.62,43.41,43.22,44.5,45.0,43.31,42.44,43.94,45.19,43.66,42.47,43.75,45.03,43.94,41.94,42.5,44.69,45.44,45.0,46.12,48.12,48.59,46.28,43.94,43.53,43.16,40.12,36.94,36.88,38.28,37.75,36.91,38.34,41.06,42.09,40.56,40.66,42.66,43.72,42.59,42.44,44.34,46.0,45.22,43.75,44.28,45.62,45.19,43.19,43.16,45.16,46.28,45.34,45.72,47.41,47.97,45.38,42.56,41.88,41.62,39.22,36.66,37.03,39.12,39.81,39.81,41.69,45.59,48.09,47.69,47.62,49.47,50.19,48.34,47.31,48.81,50.75,50.22,48.09,47.38,47.94,47.06,45.06,44.81,46.78,47.22,44.75,42.72,42.62,42.69,40.19,38.12,38.5,39.59,38.34,36.47,36.44,38.78,39.84,39.53,40.53,43.44,44.84,43.38,41.97,42.28,42.75,40.16,37.72,37.91,39.25,38.72,36.97,36.78,38.47,39.03,37.53,37.72,40.16,41.75,40.12,38.12,38.41,38.62,36.38,33.59,33.25,33.88,32.44,29.75,28.59,30.06,30.59,29.41,29.31,32.09,34.41,33.91,33.0,34.16,35.78,34.5,33.19,33.84,36.06,37.12,36.09,35.69,37.25,37.28,34.72,33.28,35.12,37.72,38.53,39.91,43.06,47.12,48.19,47.91,49.06,51.47,51.69,49.81,48.44,48.53,47.88,44.66,41.72,41.97,42.16,39.72,36.75,35.91,36.38,34.59,32.5,32.97,35.88,37.72,37.88,38.47,41.44,43.22,42.25,41.41,43.28,45.31,45.06,43.91,45.0,47.53,47.09,45.19,43.56,43.28,41.19,36.84,33.97,33.81,34.56,32.88,31.59,32.66,34.16,33.0,31.25,32.09,35.0,36.75,36.81,38.22,41.62,43.72,43.78,44.16,46.56,48.34,46.5,44.22,44.41,45.84,45.47,43.97,44.03,44.44,42.69,38.62,35.31,34.84,33.91,31.25,29.88,32.0,35.03,36.44,37.88,41.06,44.25,44.62,42.94,42.81,44.56,44.81,43.41,42.56,44.12,45.06,43.56,42.28,43.56,45.25,44.59,43.72,45.31,48.28,49.16,48.44,48.91,50.31,50.19,47.59,45.72,46.38,46.84,45.03,43.22,44.38,45.69,43.88,40.53,39.25,38.91,37.09,34.88,34.47,36.75,38.44,37.91,37.56,40.19,42.62,43.03,43.31,46.72,50.66,51.81,51.44,51.88,53.31,52.22,48.88,46.75,46.81,45.97,43.31,41.25,41.84,42.78,41.41,39.84,40.94,42.75,42.22,39.69,38.94,39.56,39.62,38.0,37.69,40.22,41.84,40.91,39.91,41.5,43.34,43.34,42.47,44.34,47.41,48.5,47.97,48.91,51.25,52.19,50.5,49.56,50.47,50.44,47.53,43.97,42.47,41.41,38.47,34.88,33.91,34.94,34.72,33.44,34.06,36.78,38.22,36.97,36.44,37.97,39.41,38.69,37.81,39.69,42.31,43.09,42.38,43.22,44.69,43.59,40.06,37.5,37.41,37.62,36.56,36.56,39.16,41.62,40.75,38.72,38.75,39.53,38.66,36.56,36.81,39.22,41.16,41.56,43.38,47.44,50.56,50.38,49.53,50.78,52.12,50.44,48.12,48.41,49.69,48.75,46.03,44.75,45.03,44.25,41.53,40.09,41.12,41.56,39.47,37.22,37.72,39.25,38.81,37.34,37.34,38.28,37.25,34.0,32.81,34.53,35.75,34.97,35.12,37.25,39.12,38.19,36.44,37.0,38.34,37.69,35.88,36.19,38.06,39.0,37.75,37.81,39.59,41.0,39.5,38.56,39.94,41.69,41.34,40.53,41.91,43.59,43.03,40.41,39.09,39.19,38.22,35.06,32.88,33.09,32.72,30.16,28.22,29.28,31.38,32.0,32.5,35.31,39.88,42.59,43.53,45.47,48.41,49.59,47.75,46.59,47.53,48.53,47.28,46.19,47.38,49.25,48.25,45.84,44.88,45.0,43.94,41.78,41.59,43.81,45.34,43.66,42.25,47.78,46.38,45.0,44.75,46.34,47.41,46.97,46.59,47.34,47.88,46.69,44.91,44.97,45.47,43.91,42.03,40.69,41.44,41.16,40.56,41.5:49.19,47.91,46.81,43.94,40.06,38.38,39.72,40.44,39.84,40.12,42.84,44.72,43.97,42.81,44.41,46.25,45.81,44.59,45.38,47.5,47.56,45.75,45.19,46.84,47.72,46.78,47.28,51.09,55.09,56.81,58.0,61.0,63.59,63.12,60.78,59.75,59.31,57.16,52.84,49.59,49.19,48.5,45.81,44.28,45.44,46.38,44.53,42.16,42.03,42.97,42.41,40.84,41.28,43.69,44.84,44.44,45.19,48.56,50.88,50.66,49.97,51.66,53.38,53.03,52.09,53.38,55.91,55.97,54.53,54.5,55.94,55.97,53.25,50.88,50.75,49.94,47.19,45.06,46.41,48.81,49.41,48.66,49.09,50.53,49.22,45.91,44.47,45.12,44.78,42.19,39.94,39.97,39.81,37.78,35.66,36.94,39.75,40.81,40.97,43.38,47.5,49.44,48.75,48.16,48.94,48.34,45.16,42.41,43.06,44.34,43.5,42.38,43.28,44.69,43.28,39.75,37.94,38.28,37.62,35.88,35.59,38.5,41.06,41.44,42.12,44.81,47.5,47.28,45.25,44.66,44.69,42.81,39.41,38.06,39.66,41.44,41.47,42.59,46.06,48.84,48.53,47.91,49.31,50.88,49.91,47.16,46.31,46.81,46.69,45.41,46.22,49.97,53.28,53.78,53.69,55.03,55.09,51.59,47.09,44.88,44.22,42.53,40.78,42.19,45.53,48.12,48.59,49.44,52.16,54.06,53.41,52.91,54.97,56.78,55.81,53.5,52.91,53.0,50.88,47.5,45.62,45.5,44.53,40.88,38.03,37.56,37.47,35.69,34.25,36.09,38.81,39.5,39.06,41.03,44.53,46.56,46.66,47.91,50.69,51.94,50.81,49.97,51.66,53.22,52.66,51.69,52.88,54.53,53.69,51.28,49.88,49.53,47.47,43.75,41.56,42.28,43.06,41.84,41.25,43.47,45.97,46.16,45.75,47.69,50.28,50.81,49.84,50.06,51.72,52.31,50.78,50.56,52.78,54.88,53.81,53.03,53.59,54.81,53.31,51.06,51.41,52.97,52.88,51.97,52.62,54.56,55.75,54.31,53.47,54.75,55.84,54.12,52.0,51.69,52.22,50.72,48.69,48.81,50.34,50.28,47.78,46.47,46.81,46.53,43.97,42.12,43.59,45.62,45.81,45.59,47.12,49.03,48.09,45.69,45.94,48.56,51.16,52.91,56.25,61.41,65.41,65.06,64.09,64.25,64.31,62.03,59.16,58.5,59.16,58.28,55.94,55.16,55.97,56.41,54.28,52.69,53.12,53.16,50.28,47.19,46.91,47.31,46.03,44.25,44.5,46.59,47.34,46.72,47.12,49.72,51.81,51.19,50.81,52.69,54.75,53.31,50.75,50.03,50.0,47.78,45.12,44.84,47.5,49.56,49.91,51.06,53.72,55.34,53.62,51.75,51.91,52.94,51.81,50.34,50.81,53.25,53.84,53.25,53.94,56.44,57.38,55.81,54.03,54.12,53.78,51.12,48.75,49.25,50.84,50.66,49.56,49.69,51.09,50.31,47.66,46.12,46.25,45.97,43.69,42.0,42.62,43.84,42.88,41.5,42.28,43.69,42.53,39.72,38.0,37.81,36.75,34.09,32.81,34.62,35.53,34.25,32.91,33.44,33.97,32.06,30.09,30.56,32.59,33.12,32.5,32.69,34.28,34.53,32.81,32.16,35.09,37.31,37.53,37.72,39.81,41.97,41.59,40.0,39.81,40.06,38.12,34.31,31.5,30.81,30.03,27.75,26.81,29.5,32.44,33.34,34.34,37.91,42.16,43.69,43.66,44.81,46.5,45.81,43.31,41.97,42.81,42.94,40.84,38.62,38.41,38.09,35.53,32.38,31.72,32.75,32.16,31.16,32.38,35.66,37.47,36.84,36.5,37.66,38.25,35.97,33.75,34.09,35.12,34.03,32.44,33.0,34.59,34.78,33.81,34.16,37.0,38.72,38.19,37.88,39.56,40.75,39.69,38.38,39.22,40.22,39.41,37.06,36.69,38.06,38.22,37.47,37.72,40.34,42.22,41.81,41.28,42.94,43.78,42.41,40.59,40.91,42.25,42.19,41.22,41.75,43.88,44.22,42.53,41.31,42.12,42.41,41.03,40.38,42.47,45.19,45.69,44.75,45.47,46.44,45.62,43.34,42.78,43.69,43.81,41.62,40.0,41.03,41.66,40.53,39.66,41.81,44.12,44.22,43.75,45.16,47.66,49.0,48.78,49.56,51.25,51.62,49.31,47.09,47.84,48.59,47.19,45.34,45.53,46.12,44.5,42.34,42.34,44.25,44.59,42.78,41.66,41.94,40.88,37.66,34.41,33.66,33.62,31.62,29.47,30.22,32.62,33.28,32.66,33.66,36.03,36.88,35.91,35.53,37.78,39.75,39.62,39.84,42.56,46.0,47.12,47.03,48.72,51.22,51.5,49.53,48.62,49.19,48.91,46.44,45.06,46.22,47.56,46.12,43.91,44.16,44.72,44.0,42.25,42.62,44.16,43.78,41.09,39.19,39.66,39.91,38.94,38.88,41.31,43.59,43.25,41.91,42.44,44.78,44.94,43.97,45.03,47.0,46.88,44.59,43.09,43.34,43.66,41.78,40.25,41.75,44.03,44.19,43.53,44.84,46.66,46.25,43.84,42.47,42.56,41.66,38.41,36.28,36.69,37.84,37.22,37.31,40.12,43.47,44.41,44.03,45.19,46.94,46.81,44.41,43.62,44.75,44.56,42.12,40.09,40.81,41.16,39.44,38.31,39.53,41.47,41.78,40.78,41.91,44.5,45.06,42.97,42.09,42.47,42.94,41.88,42.19,45.09,48.03,47.94,46.25,46.0,46.81,45.62,43.41,43.22,44.5,45.0,43.31,42.44,43.94,45.19,43.66,42.47,43.75,45.03,43.94,41.94,42.5,44.69,45.44,45.0,46.12,48.12,48.59,46.28,43.94,43.53,43.16,40.12,36.94,36.88,38.28,37.75,36.91,38.34,41.06,42.09,40.56,40.66,42.66,43.72,42.59,42.44,44.34,46.0,45.22,43.75,44.28,45.62,45.19,43.19,43.16,45.16,46.28,45.34,45.72,47.41,47.97,45.38,42.56,41.88,41.62,39.22,36.66,37.03,39.12,39.81,39.81,41.69,45.59,48.09,47.69,47.62,49.47,50.19,48.34,47.31,48.81,50.75,50.22,48.09,47.38,47.94,47.06,45.06,44.81,46.78,47.22,44.75,42.72,42.62,42.69,40.19,38.12,38.5,39.59,38.34,36.47,36.44,38.78,39.84,39.53,40.53,43.44,44.84,43.38,41.97,42.28,42.75,40.16,37.72,37.91,39.25,38.72,36.97,36.78,38.47,39.03,37.53,37.72,40.16,41.75,40.12,38.12,38.41,38.62,36.38,33.59,33.25,33.88,32.44,29.75,28.59,30.06,30.59,29.41,29.31,32.09,34.41,33.91,33.0,34.16,35.78,34.5,33.19,33.84,36.06,37.12,36.09,35.69,37.25,37.28,34.72,33.28,35.12,37.72,38.53,39.91,43.06,47.12,48.19,47.91,49.06,51.47,51.69,49.81,48.44,48.53,47.88,44.66,41.72,41.97,42.16,39.72,36.75,35.91,36.38,34.59,32.5,32.97,35.88,37.72,37.88,38.47,41.44,43.22,42.25,41.41,43.28,45.31,45.06,43.91,45.0,47.53,47.09,45.19,43.56,43.28,41.19,36.84,33.97,33.81,34.56,32.88,31.59,32.66,34.16,33.0,31.25,32.09,35.0,36.75,36.81,38.22,41.62,43.72,43.78,44.16,46.56,48.34,46.5,44.22,44.41,45.84,45.47,43.97,44.03,44.44,42.69,38.62,35.31,34.84,33.91,31.25,29.88,32.0,35.03,36.44,37.88,41.06,44.25,44.62,42.94,42.81,44.56,44.81,43.41,42.56,44.12,45.06,43.56,42.28,43.56,45.25,44.59,43.72,45.31,48.28,49.16,48.44,48.91,50.31,50.19,47.59,45.72,46.38,46.84,45.03,43.22,44.38,45.69,43.88,40.53,39.25,38.91,37.09,34.88,34.47,36.75,38.44,37.91,37.56,40.19,42.62,43.03,43.31,46.72,50.66,51.81,51.44,51.88,53.31,52.22,48.88,46.75,46.81,45.97,43.31,41.25,41.84,42.78,41.41,39.84,40.94,42.75,42.22,39.69,38.94,39.56,39.62,38.0,37.69,40.22,41.84,40.91,39.91,41.5,43.34,43.34,42.47,44.34,47.41,48.5,47.97,48.91,51.25,52.19,50.5,49.56,50.47,50.44,47.53,43.97,42.47,41.41,38.47,34.88,33.91,34.94,34.72,33.44,34.06,36.78,38.22,36.97,36.44,37.97,39.41,38.69,37.81,39.69,42.31,43.09,42.38,43.22,44.69,43.59,40.06,37.5,37.41,37.62,36.56,36.56,39.16,41.62,40.75,38.72,38.75,39.53,38.66,36.56,36.81,39.22,41.16,41.56,43.38,47.44,50.56,50.38,49.53,50.78,52.12,50.44,48.12,48.41,49.69,48.75,46.03,44.75,45.03,44.25,41.53,40.09,41.12,41.56,39.47,37.22,37.72,39.25,38.81,37.34,37.34,38.28,37.25,34.0,32.81,34.53,35.75,34.97,35.12,37.25,39.12,38.19,36.44,37.0,38.34,37.69,35.88,36.19,38.06,39.0,37.75,37.81,39.59,41.0,39.5,38.56,39.94,41.69,41.34,40.53,41.91,43.59,43.03,40.41,39.09,39.19,38.22,35.06,32.88,33.09,32.72,30.16,28.22,29.28,31.38,32.0,32.5,35.31,39.88,42.59,43.53,45.47,48.41,49.59,47.75,46.59,47.53,48.53,47.28,46.19,47.38,49.25,48.25,45.84,44.88,45.0,43.94,41.78,41.59,43.81,45.34,43.66,42.25,47.78,46.38,45.0,44.75,46.34,47.41,46.97,46.59,47.34,47.88,46.69,44.91,44.97,45.47,43.91,42.03,40.69,41.44,41.16,40.56,41.5,44.47,47.16,48.12,49.53,52.31,54.38,54.09:40.44,39.84,40.12,42.84,44.72,43.97,42.81,44.41,46.25,45.81,44.59,45.38,47.5,47.56,45.75,45.19,46.84,47.72,46.78,47.28,51.09,55.09,56.81,58.0,61.0,63.59,63.12,60.78,59.75,59.31,57.16,52.84,49.59,49.19,48.5,45.81,44.28,45.44,46.38,44.53,42.16,42.03,42.97,42.41,40.84,41.28,43.69,44.84,44.44,45.19,48.56,50.88,50.66,49.97,51.66,53.38,53.03,52.09,53.38,55.91,55.97,54.53,54.5,55.94,55.97,53.25,50.88,50.75,49.94,47.19,45.06,46.41,48.81,49.41,48.66,49.09,50.53,49.22,45.91,44.47,45.12,44.78,42.19,39.94,39.97,39.81,37.78,35.66,36.94,39.75,40.81,40.97,43.38,47.5,49.44,48.75,48.16,48.94,48.34,45.16,42.41,43.06,44.34,43.5,42.38,43.28,44.69,43.28,39.75,37.94,38.28,37.62,35.88,35.59,38.5,41.06,41.44,42.12,44.81,47.5,47.28,45.25,44.66,44.69,42.81,39.41,38.06,39.66,41.44,41.47,42.59,46.06,48.84,48.53,47.91,49.31,50.88,49.91,47.16,46.31,46.81,46.69,45.41,46.22,49.97,53.28,53.78,53.69,55.03,55.09,51.59,47.09,44.88,44.22,42.53,40.78,42.19,45.53,48.12,48.59,49.44,52.16,54.06,53.41,52.91,54.97,56.78,55.81,53.5,52.91,53.0,50.88,47.5,45.62,45.5,44.53,40.88,38.03,37.56,37.47,35.69,34.25,36.09,38.81,39.5,39.06,41.03,44.53,46.56,46.66,47.91,50.69,51.94,50.81,49.97,51.66,53.22,52.66,51.69,52.88,54.53,53.69,51.28,49.88,49.53,47.47,43.75,41.56,42.28,43.06,41.84,41.25,43.47,45.97,46.16,45.75,47.69,50.28,50.81,49.84,50.06,51.72,52.31,50.78,50.56,52.78,54.88,53.81,53.03,53.59,54.81,53.31,51.06,51.41,52.97,52.88,51.97,52.62,54.56,55.75,54.31,53.47,54.75,55.84,54.12,52.0,51.69,52.22,50.72,48.69,48.81,50.34,50.28,47.78,46.47,46.81,46.53,43.97,42.12,43.59,45.62,45.81,45.59,47.12,49.03,48.09,45.69,45.94,48.56,51.16,52.91,56.25,61.41,65.41,65.06,64.09,64.25,64.31,62.03,59.16,58.5,59.16,58.28,55.94,55.16,55.97,56.41,54.28,52.69,53.12,53.16,50.28,47.19,46.91,47.31,46.03,44.25,44.5,46.59,47.34,46.72,47.12,49.72,51.81,51.19,50.81,52.69,54.75,53.31,50.75,50.03,50.0,47.78,45.12,44.84,47.5,49.56,49.91,51.06,53.72,55.34,53.62,51.75,51.91,52.94,51.81,50.34,50.81,53.25,53.84,53.25,53.94,56.44,57.38,55.81,54.03,54.12,53.78,51.12,48.75,49.25,50.84,50.66,49.56,49.69,51.09,50.31,47.66,46.12,46.25,45.97,43.69,42.0,42.62,43.84,42.88,41.5,42.28,43.69,42.53,39.72,38.0,37.81,36.75,34.09,32.81,34.62,35.53,34.25,32.91,33.44,33.97,32.06,30.09,30.56,32.59,33.12,32.5,32.69,34.28,34.53,32.81,32.16,35.09,37.31,37.53,37.72,39.81,41.97,41.59,40.0,39.81,40.06,38.12,34.31,31.5,30.81,30.03,27.75,26.81,29.5,32.44,33.34,34.34,37.91,42.16,43.69,43.66,44.81,46.5,45.81,43.31,41.97,42.81,42.94,40.84,38.62,38.41,38.09,35.53,32.38,31.72,32.75,32.16,31.16,32.38,35.66,37.47,36.84,36.5,37.66,38.25,35.97,33.75,34.09,35.12,34.03,32.44,33.0,34.59,34.78,33.81,34.16,37.0,38.72,38.19,37.88,39.56,40.75,39.69,38.38,39.22,40.22,39.41,37.06,36.69,38.06,38.22,37.47,37.72,40.34,42.22,41.81,41.28,42.94,43.78,42.41,40.59,40.91,42.25,42.19,41.22,41.75,43.88,44.22,42.53,41.31,42.12,42.41,41.03,40.38,42.47,45.19,45.69,44.75,45.47,46.44,45.62,43.34,42.78,43.69,43.81,41.62,40.0,41.03,41.66,40.53,39.66,41.81,44.12,44.22,43.75,45.16,47.66,49.0,48.78,49.56,51.25,51.62,49.31,47.09,47.84,48.59,47.19,45.34,45.53,46.12,44.5,42.34,42.34,44.25,44.59,42.78,41.66,41.94,40.88,37.66,34.41,33.66,33.62,31.62,29.47,30.22,32.62,33.28,32.66,33.66,36.03,36.88,35.91,35.53,37.78,39.75,39.62,39.84,42.56,46.0,47.12,47.03,48.72,51.22,51.5,49.53,48.62,49.19,48.91,46.44,45.06,46.22,47.56,46.12,43.91,44.16,44.72,44.0,42.25,42.62,44.16,43.78,41.09,39.19,39.66,39.91,38.94,38.88,41.31,43.59,43.25,41.91,42.44,44.78,44.94,43.97,45.03,47.0,46.88,44.59,43.09,43.34,43.66,41.78,40.25,41.75,44.03,44.19,43.53,44.84,46.66,46.25,43.84,42.47,42.56,41.66,38.41,36.28,36.69,37.84,37.22,37.31,40.12,43.47,44.41,44.03,45.19,46.94,46.81,44.41,43.62,44.75,44.56,42.12,40.09,40.81,41.16,39.44,38.31,39.53,41.47,41.78,40.78,41.91,44.5,45.06,42.97,42.09,42.47,42.94,41.88,42.19,45.09,48.03,47.94,46.25,46.0,46.81,45.62,43.41,43.22,44.5,45.0,43.31,42.44,43.94,45.19,43.66,42.47,43.75,45.03,43.94,41.94,42.5,44.69,45.44,45.0,46.12,48.12,48.59,46.28,43.94,43.53,43.16,40.12,36.94,36.88,38.28,37.75,36.91,38.34,41.06,42.09,40.56,40.66,42.66,43.72,42.59,42.44,44.34,46.0,45.22,43.75,44.28,45.62,45.19,43.19,43.16,45.16,46.28,45.34,45.72,47.41,47.97,45.38,42.56,41.88,41.62,39.22,36.66,37.03,39.12,39.81,39.81,41.69,45.59,48.09,47.69,47.62,49.47,50.19,48.34,47.31,48.81,50.75,50.22,48.09,47.38,47.94,47.06,45.06,44.81,46.78,47.22,44.75,42.72,42.62,42.69,40.19,38.12,38.5,39.59,38.34,36.47,36.44,38.78,39.84,39.53,40.53,43.44,44.84,43.38,41.97,42.28,42.75,40.16,37.72,37.91,39.25,38.72,36.97,36.78,38.47,39.03,37.53,37.72,40.16,41.75,40.12,38.12,38.41,38.62,36.38,33.59,33.25,33.88,32.44,29.75,28.59,30.06,30.59,29.41,29.31,32.09,34.41,33.91,33.0,34.16,35.78,34.5,33.19,33.84,36.06,37.12,36.09,35.69,37.25,37.28,34.72,33.28,35.12,37.72,38.53,39.91,43.06,47.12,48.19,47.91,49.06,51.47,51.69,49.81,48.44,48.53,47.88,44.66,41.72,41.97,42.16,39.72,36.75,35.91,36.38,34.59,32.5,32.97,35.88,37.72,37.88,38.47,41.44,43.22,42.25,41.41,43.28,45.31,45.06,43.91,45.0,47.53,47.09,45.19,43.56,43.28,41.19,36.84,33.97,33.81,34.56,32.88,31.59,32.66,34.16,33.0,31.25,32.09,35.0,36.75,36.81,38.22,41.62,43.72,43.78,44.16,46.56,48.34,46.5,44.22,44.41,45.84,45.47,43.97,44.03,44.44,42.69,38.62,35.31,34.84,33.91,31.25,29.88,32.0,35.03,36.44,37.88,41.06,44.25,44.62,42.94,42.81,44.56,44.81,43.41,42.56,44.12,45.06,43.56,42.28,43.56,45.25,44.59,43.72,45.31,48.28,49.16,48.44,48.91,50.31,50.19,47.59,45.72,46.38,46.84,45.03,43.22,44.38,45.69,43.88,40.53,39.25,38.91,37.09,34.88,34.47,36.75,38.44,37.91,37.56,40.19,42.62,43.03,43.31,46.72,50.66,51.81,51.44,51.88,53.31,52.22,48.88,46.75,46.81,45.97,43.31,41.25,41.84,42.78,41.41,39.84,40.94,42.75,42.22,39.69,38.94,39.56,39.62,38.0,37.69,40.22,41.84,40.91,39.91,41.5,43.34,43.34,42.47,44.34,47.41,48.5,47.97,48.91,51.25,52.19,50.5,49.56,50.47,50.44,47.53,43.97,42.47,41.41,38.47,34.88,33.91,34.94,34.72,33.44,34.06,36.78,38.22,36.97,36.44,37.97,39.41,38.69,37.81,39.69,42.31,43.09,42.38,43.22,44.69,43.59,40.06,37.5,37.41,37.62,36.56,36.56,39.16,41.62,40.75,38.72,38.75,39.53,38.66,36.56,36.81,39.22,41.16,41.56,43.38,47.44,50.56,50.38,49.53,50.78,52.12,50.44,48.12,48.41,49.69,48.75,46.03,44.75,45.03,44.25,41.53,40.09,41.12,41.56,39.47,37.22,37.72,39.25,38.81,37.34,37.34,38.28,37.25,34.0,32.81,34.53,35.75,34.97,35.12,37.25,39.12,38.19,36.44,37.0,38.34,37.69,35.88,36.19,38.06,39.0,37.75,37.81,39.59,41.0,39.5,38.56,39.94,41.69,41.34,40.53,41.91,43.59,43.03,40.41,39.09,39.19,38.22,35.06,32.88,33.09,32.72,30.16,28.22,29.28,31.38,32.0,32.5,35.31,39.88,42.59,43.53,45.47,48.41,49.59,47.75,46.59,47.53,48.53,47.28,46.19,47.38,49.25,48.25,45.84,44.88,45.0,43.94,41.78,41.59,43.81,45.34,43.66,42.25,47.78,46.38,45.0,44.75,46.34,47.41,46.97,46.59,47.34,47.88,46.69,44.91,44.97,45.47,43.91,42.03,40.69,41.44,41.16,40.56,41.5,44.47,47.16,48.12,49.53,52.31,54.38,54.09,52.53,51.84,51.19,49.31,46.94,46.06,47.5:44.41,46.25,45.81,44.59,45.38,47.5,47.56,45.75,45.19,46.84,47.72,46.78,47.28,51.09,55.09,56.81,58.0,61.0,63.59,63.12,60.78,59.75,59.31,57.16,52.84,49.59,49.19,48.5,45.81,44.28,45.44,46.38,44.53,42.16,42.03,42.97,42.41,40.84,41.28,43.69,44.84,44.44,45.19,48.56,50.88,50.66,49.97,51.66,53.38,53.03,52.09,53.38,55.91,55.97,54.53,54.5,55.94,55.97,53.25,50.88,50.75,49.94,47.19,45.06,46.41,48.81,49.41,48.66,49.09,50.53,49.22,45.91,44.47,45.12,44.78,42.19,39.94,39.97,39.81,37.78,35.66,36.94,39.75,40.81,40.97,43.38,47.5,49.44,48.75,48.16,48.94,48.34,45.16,42.41,43.06,44.34,43.5,42.38,43.28,44.69,43.28,39.75,37.94,38.28,37.62,35.88,35.59,38.5,41.06,41.44,42.12,44.81,47.5,47.28,45.25,44.66,44.69,42.81,39.41,38.06,39.66,41.44,41.47,42.59,46.06,48.84,48.53,47.91,49.31,50.88,49.91,47.16,46.31,46.81,46.69,45.41,46.22,49.97,53.28,53.78,53.69,55.03,55.09,51.59,47.09,44.88,44.22,42.53,40.78,42.19,45.53,48.12,48.59,49.44,52.16,54.06,53.41,52.91,54.97,56.78,55.81,53.5,52.91,53.0,50.88,47.5,45.62,45.5,44.53,40.88,38.03,37.56,37.47,35.69,34.25,36.09,38.81,39.5,39.06,41.03,44.53,46.56,46.66,47.91,50.69,51.94,50.81,49.97,51.66,53.22,52.66,51.69,52.88,54.53,53.69,51.28,49.88,49.53,47.47,43.75,41.56,42.28,43.06,41.84,41.25,43.47,45.97,46.16,45.75,47.69,50.28,50.81,49.84,50.06,51.72,52.31,50.78,50.56,52.78,54.88,53.81,53.03,53.59,54.81,53.31,51.06,51.41,52.97,52.88,51.97,52.62,54.56,55.75,54.31,53.47,54.75,55.84,54.12,52.0,51.69,52.22,50.72,48.69,48.81,50.34,50.28,47.78,46.47,46.81,46.53,43.97,42.12,43.59,45.62,45.81,45.59,47.12,49.03,48.09,45.69,45.94,48.56,51.16,52.91,56.25,61.41,65.41,65.06,64.09,64.25,64.31,62.03,59.16,58.5,59.16,58.28,55.94,55.16,55.97,56.41,54.28,52.69,53.12,53.16,50.28,47.19,46.91,47.31,46.03,44.25,44.5,46.59,47.34,46.72,47.12,49.72,51.81,51.19,50.81,52.69,54.75,53.31,50.75,50.03,50.0,47.78,45.12,44.84,47.5,49.56,49.91,51.06,53.72,55.34,53.62,51.75,51.91,52.94,51.81,50.34,50.81,53.25,53.84,53.25,53.94,56.44,57.38,55.81,54.03,54.12,53.78,51.12,48.75,49.25,50.84,50.66,49.56,49.69,51.09,50.31,47.66,46.12,46.25,45.97,43.69,42.0,42.62,43.84,42.88,41.5,42.28,43.69,42.53,39.72,38.0,37.81,36.75,34.09,32.81,34.62,35.53,34.25,32.91,33.44,33.97,32.06,30.09,30.56,32.59,33.12,32.5,32.69,34.28,34.53,32.81,32.16,35.09,37.31,37.53,37.72,39.81,41.97,41.59,40.0,39.81,40.06,38.12,34.31,31.5,30.81,30.03,27.75,26.81,29.5,32.44,33.34,34.34,37.91,42.16,43.69,43.66,44.81,46.5,45.81,43.31,41.97,42.81,42.94,40.84,38.62,38.41,38.09,35.53,32.38,31.72,32.75,32.16,31.16,32.38,35.66,37.47,36.84,36.5,37.66,38.25,35.97,33.75,34.09,35.12,34.03,32.44,33.0,34.59,34.78,33.81,34.16,37.0,38.72,38.19,37.88,39.56,40.75,39.69,38.38,39.22,40.22,39.41,37.06,36.69,38.06,38.22,37.47,37.72,40.34,42.22,41.81,41.28,42.94,43.78,42.41,40.59,40.91,42.25,42.19,41.22,41.75,43.88,44.22,42.53,41.31,42.12,42.41,41.03,40.38,42.47,45.19,45.69,44.75,45.47,46.44,45.62,43.34,42.78,43.69,43.81,41.62,40.0,41.03,41.66,40.53,39.66,41.81,44.12,44.22,43.75,45.16,47.66,49.0,48.78,49.56,51.25,51.62,49.31,47.09,47.84,48.59,47.19,45.34,45.53,46.12,44.5,42.34,42.34,44.25,44.59,42.78,41.66,41.94,40.88,37.66,34.41,33.66,33.62,31.62,29.47,30.22,32.62,33.28,32.66,33.66,36.03,36.88,35.91,35.53,37.78,39.75,39.62,39.84,42.56,46.0,47.12,47.03,48.72,51.22,51.5,49.53,48.62,49.19,48.91,46.44,45.06,46.22,47.56,46.12,43.91,44.16,44.72,44.0,42.25,42.62,44.16,43.78,41.09,39.19,39.66,39.91,38.94,38.88,41.31,43.59,43.25,41.91,42.44,44.78,44.94,43.97,45.03,47.0,46.88,44.59,43.09,43.34,43.66,41.78,40.25,41.75,44.03,44.19,43.53,44.84,46.66,46.25,43.84,42.47,42.56,41.66,38.41,36.28,36.69,37.84,37.22,37.31,40.12,43.47,44.41,44.03,45.19,46.94,46.81,44.41,43.62,44.75,44.56,42.12,40.09,40.81,41.16,39.44,38.31,39.53,41.47,41.78,40.78,41.91,44.5,45.06,42.97,42.09,42.47,42.94,41.88,42.19,45.09,48.03,47.94,46.25,46.0,46.81,45.62,43.41,43.22,44.5,45.0,43.31,42.44,43.94,45.19,43.66,42.47,43.75,45.03,43.94,41.94,42.5,44.69,45.44,45.0,46.12,48.12,48.59,46.28,43.94,43.53,43.16,40.12,36.94,36.88,38.28,37.75,36.91,38.34,41.06,42.09,40.56,40.66,42.66,43.72,42.59,42.44,44.34,46.0,45.22,43.75,44.28,45.62,45.19,43.19,43.16,45.16,46.28,45.34,45.72,47.41,47.97,45.38,42.56,41.88,41.62,39.22,36.66,37.03,39.12,39.81,39.81,41.69,45.59,48.09,47.69,47.62,49.47,50.19,48.34,47.31,48.81,50.75,50.22,48.09,47.38,47.94,47.06,45.06,44.81,46.78,47.22,44.75,42.72,42.62,42.69,40.19,38.12,38.5,39.59,38.34,36.47,36.44,38.78,39.84,39.53,40.53,43.44,44.84,43.38,41.97,42.28,42.75,40.16,37.72,37.91,39.25,38.72,36.97,36.78,38.47,39.03,37.53,37.72,40.16,41.75,40.12,38.12,38.41,38.62,36.38,33.59,33.25,33.88,32.44,29.75,28.59,30.06,30.59,29.41,29.31,32.09,34.41,33.91,33.0,34.16,35.78,34.5,33.19,33.84,36.06,37.12,36.09,35.69,37.25,37.28,34.72,33.28,35.12,37.72,38.53,39.91,43.06,47.12,48.19,47.91,49.06,51.47,51.69,49.81,48.44,48.53,47.88,44.66,41.72,41.97,42.16,39.72,36.75,35.91,36.38,34.59,32.5,32.97,35.88,37.72,37.88,38.47,41.44,43.22,42.25,41.41,43.28,45.31,45.06,43.91,45.0,47.53,47.09,45.19,43.56,43.28,41.19,36.84,33.97,33.81,34.56,32.88,31.59,32.66,34.16,33.0,31.25,32.09,35.0,36.75,36.81,38.22,41.62,43.72,43.78,44.16,46.56,48.34,46.5,44.22,44.41,45.84,45.47,43.97,44.03,44.44,42.69,38.62,35.31,34.84,33.91,31.25,29.88,32.0,35.03,36.44,37.88,41.06,44.25,44.62,42.94,42.81,44.56,44.81,43.41,42.56,44.12,45.06,43.56,42.28,43.56,45.25,44.59,43.72,45.31,48.28,49.16,48.44,48.91,50.31,50.19,47.59,45.72,46.38,46.84,45.03,43.22,44.38,45.69,43.88,40.53,39.25,38.91,37.09,34.88,34.47,36.75,38.44,37.91,37.56,40.19,42.62,43.03,43.31,46.72,50.66,51.81,51.44,51.88,53.31,52.22,48.88,46.75,46.81,45.97,43.31,41.25,41.84,42.78,41.41,39.84,40.94,42.75,42.22,39.69,38.94,39.56,39.62,38.0,37.69,40.22,41.84,40.91,39.91,41.5,43.34,43.34,42.47,44.34,47.41,48.5,47.97,48.91,51.25,52.19,50.5,49.56,50.47,50.44,47.53,43.97,42.47,41.41,38.47,34.88,33.91,34.94,34.72,33.44,34.06,36.78,38.22,36.97,36.44,37.97,39.41,38.69,37.81,39.69,42.31,43.09,42.38,43.22,44.69,43.59,40.06,37.5,37.41,37.62,36.56,36.56,39.16,41.62,40.75,38.72,38.75,39.53,38.66,36.56,36.81,39.22,41.16,41.56,43.38,47.44,50.56,50.38,49.53,50.78,52.12,50.44,48.12,48.41,49.69,48.75,46.03,44.75,45.03,44.25,41.53,40.09,41.12,41.56,39.47,37.22,37.72,39.25,38.81,37.34,37.34,38.28,37.25,34.0,32.81,34.53,35.75,34.97,35.12,37.25,39.12,38.19,36.44,37.0,38.34,37.69,35.88,36.19,38.06,39.0,37.75,37.81,39.59,41.0,39.5,38.56,39.94,41.69,41.34,40.53,41.91,43.59,43.03,40.41,39.09,39.19,38.22,35.06,32.88,33.09,32.72,30.16,28.22,29.28,31.38,32.0,32.5,35.31,39.88,42.59,43.53,45.47,48.41,49.59,47.75,46.59,47.53,48.53,47.28,46.19,47.38,49.25,48.25,45.84,44.88,45.0,43.94,41.78,41.59,43.81,45.34,43.66,42.25,47.78,46.38,45.0,44.75,46.34,47.41,46.97,46.59,47.34,47.88,46.69,44.91,44.97,45.47,43.91,42.03,40.69,41.44,41.16,40.56,41.5,44.47,47.16,48.12,49.53,52.31,54.38,54.09,52.53,51.84,51.19,49.31,46.94,46.06,47.5,48.03,47.5,47.0,47.97,48.28,47.03,45.88:negativity
17.91,16.94,14.34,12.91,12.38,10.22,6.31,3.78,3.69,3.09,0.97,0.34,2.06,3.94,3.59,2.5,2.94,3.31,1.56,-1.28,-2.34,-1.25,-0.69,-0.81,0.53,4.38,7.34,7.69,8.28,10.62,13.28,13.38,13.81,15.47,17.66,17.41,14.94,13.97,14.38,13.41,10.69,8.59,8.62,7.81,4.75,2.25,2.5,3.88,3.59,3.03,4.03,6.0,6.41,5.25,5.81,7.97,9.03,7.78,6.53,7.12,6.75,3.91,0.91,-0.25,-0.69,-2.97,-5.72,-6.53,-6.31,-6.94,-9.47,-10.47,-9.59,-8.47,-8.69,-7.53,-3.84,0.16,1.28,1.66,3.25,5.09,4.66,3.28,3.81,5.88,6.66,5.44,4.66,5.44,5.5,3.16,1.28,1.34,1.66,-0.03,-1.81,-1.59,-0.12,-0.16,-1.16,-0.5,1.66,3.31,2.91,3.16,4.91,5.91,4.44,2.84,3.25,4.25,3.69,2.44,2.69,3.84,2.66,-0.22,-2.81,-3.5,-4.47,-6.31,-6.75,-4.38,-1.06,-0.16,-0.25,1.41,2.94,1.84,-0.19,-0.53,0.81,1.12,0.59,1.41,4.59,7.59,8.34,9.31,12.16,14.81,14.59,13.12,12.75,12.31,10.38,7.66,7.0,8.47,8.69,6.5,4.69,3.84,2.53,-0.75,-2.69,-1.38,1.41,2.75,3.88,6.88,10.56,12.19,11.66,11.75,13.41,13.06,9.78,6.59,4.84,2.44,-2.19,-5.44,-5.69,-3.88,-3.41,-3.44,-2.22,-0.31,-0.12,-1.28,-1.12,2.44,6.06,8.19,10.5,14.41,17.09,16.47,14.91,14.41,14.72,13.44,10.72,9.97,10.69,10.41,8.25,6.62,6.47,5.19,1.03,-3.22,-5.53,-7.25,-10.66,-13.66,-13.88,-11.5,-9.12,-6.31,-1.62,5.59,11.31,14.25,16.53,19.97,21.97,21.12,19.5,19.47,19.69,17.25,14.22,12.88,13.5,13.12,12.38,13.03,15.75,17.56,16.84,16.12,16.53,16.19,13.25,9.47,7.53,6.41,3.53,0.19,-0.91,0.88,2.28,3.16,5.59,10.25,14.16,15.75,17.19,20.41,23.09,22.75,21.28,21.25,21.72,20.78,18.69,17.69,18.25,17.25,14.19,11.31,10.91,10.66,9.09,8.59,10.75,13.62,14.28,13.41,13.53,14.34,13.75,12.12,12.62,15.81,19.19,21.31,24.12,28.84,32.88,33.25,32.0,30.81,29.34,24.78,18.72,14.38,11.62,8.56,4.91,2.84,4.0,4.59,3.31,2.38,3.91,5.78,6.69,6.84,9.59,12.59,13.56,12.12,12.03,13.0,13.19,12.41,13.12,16.66,20.66,23.09,25.28,28.94,31.94,31.69,29.12,27.5,26.31,23.59,19.56,16.53,14.94,12.22,7.75,4.22,3.72,4.28,3.28,2.62,4.88,7.78,9.06,9.56,11.66,14.53,16.09,16.31,17.5,20.91,23.12,22.88,22.12,23.03,23.5,22.19,19.84,19.34,18.94,16.81,13.16,11.31,11.31,11.44,10.72,11.44,13.78,15.53,14.09,11.44,10.66,10.09,8.19,6.72,8.25,11.38,13.09,13.0,13.16,14.41,14.59,13.03,11.91,12.69,13.59,11.62,9.12,8.97,9.34,8.38,6.28,5.75,6.53,6.41,4.88,4.97,7.31,8.97,8.75,8.34,9.41,10.16,9.09,7.25,8.38,10.88,12.12,11.59,12.31,13.47,13.69,11.59,10.91,12.31,13.72,12.75,12.16,13.28,14.88,14.03,12.56,13.03,15.38,16.47,16.25,17.25,19.69,20.94,19.47,18.34,18.97,18.97,16.44,13.69,13.12,13.66,12.97,11.56,11.78,13.41,13.81,12.62,12.69,15.03,16.69,16.12,15.28,16.44,17.0,15.34,13.56,14.16,15.97,16.34,15.47,15.81,17.38,17.31,15.06,13.81,14.41,15.19,13.72,12.84,13.91,15.44,14.75,13.75,14.69,17.25,18.41,18.38,19.0,21.06,21.84,20.03,18.53,19.22,19.59,17.06,14.56,14.03,14.06,12.31,10.34,10.5,12.59,13.44,12.69,13.06,14.91,15.81,14.31,13.31,14.28,15.53,14.34,12.97,13.28,14.78,14.41,12.69,12.62,13.94,13.81,11.66,10.19,10.56,10.44,8.47,7.03,8.06,9.69,9.22,7.91,8.31,10.0,10.22,9.06,9.38,11.22,11.84,10.09,9.03,9.84,10.38,7.91,5.22,4.72,5.06,3.66,1.94,2.16,3.81,4.25,3.62,4.53,7.53,9.94,9.84,9.94,12.19,14.41,14.38,13.69,14.69,16.66,16.19,14.72,14.41,15.47,15.38,13.66,13.44,15.5,17.62,17.47,16.91,18.41,19.56,18.22,15.91,15.34,16.16,15.38,13.75,13.25,14.56,14.66,12.28,10.81,11.88,13.0,11.81,11.28,13.0,15.78,16.06,15.66,16.22,18.0,17.88,15.97,15.09,16.41,16.97,15.16,13.94,14.81,15.62,13.75,11.47,11.09,11.31,9.88,8.22,8.78,11.94,14.66,15.88,17.69,21.03,22.72,21.72,20.09,20.81,21.78,20.28,18.38,18.56,19.41,18.19,15.62,14.28,15.12,14.56,12.22,10.94,11.84,12.16,10.16,7.78,7.47,7.47,5.22,2.66,2.66,4.72,5.84,6.5,8.38,12.12,14.62,14.69,14.34,16.22,17.19,15.47,13.72,14.25,15.5,15.12,13.91,14.53,16.09,16.03,14.34,13.19,13.75,13.78,12.03,10.44,11.5,12.38,11.12,9.56,10.0,11.78,12.06,11.28,11.94,14.19,15.25,15.31,16.19,19.97,22.84,23.19,22.31,22.94,23.53,21.88,19.91,19.94,21.5,21.19,19.03,17.66,18.38,18.59,17.22,16.44,18.34,19.59,18.5,16.62,17.28,18.84,18.97,17.5,17.69,18.62,17.78,14.72,12.5,12.47,12.19,10.0,7.88,8.69,9.5,8.44,7.03,8.38,10.75,11.34,10.81,11.09,13.28,14.0,13.22,13.41,15.94,17.84,17.5,16.41,17.16,17.78,16.16,13.88,13.91,15.69,15.94,14.5,13.91,14.94,14.38,12.06,10.78,11.94,13.19,12.06,10.59,11.25,12.72,12.09,10.69,11.75,14.25,15.25,14.28,14.25,15.75,15.97,14.38,12.88,14.06,14.78,13.25,10.88,11.0,12.09,11.69,9.78,9.47,10.47,9.91,7.88,6.25,7.84,8.88,7.97,7.41,9.56,11.78,12.31,11.69,12.75,14.84,15.25,13.5,12.69,13.56,13.25,11.47,10.56,12.56,14.5,13.75,12.66,13.31,14.34,12.88,10.38,9.31,9.69,9.31,7.97,8.53,11.41,14.12,14.03,13.5,15.25,16.31,15.47,13.81,14.5,15.69,15.31,13.44,13.5,14.97,15.62,14.72,14.25,16.03,17.62,17.0,16.22,17.62,18.69,16.94,14.16,12.91,12.62,11.25,8.25,7.25,7.59,7.91,5.91,5.12,7.25,10.19,11.41,12.94,17.09,21.16,22.72,22.06,22.09,22.59,21.31,18.16,16.28,16.38,15.91,13.59,11.88,12.19,13.0,11.88,9.84,9.69,9.84,8.66,6.69,7.03,9.59,12.16,13.12,15.12,18.25,20.38,18.62,16.5,15.78,15.06,12.19,8.06,5.84,4.84,2.62,-0.19,-0.97,0.62,1.75,1.41,1.94,4.78,8.0,9.06,9.5,11.88,14.53,15.12,14.19,14.38,15.62,15.31,13.28,12.38,12.81,12.91,9.84,6.84,5.62,5.0,2.59,1.16,2.12,4.81,6.19,6.47,7.75,9.88,10.91,9.69,9.09,9.94,10.88,9.03,7.16,7.06,7.72,6.38,4.22,3.75,4.94,4.03,1.66,0.5,0.75,0.12,-2.31,-3.78,-3.09,-1.97,-2.84,-4.03,-2.94,-0.78,-0.22,-0.25,1.88,5.62,7.81,8.25,8.53,9.75,9.72,6.97,4.31,3.5,3.47,1.41,-0.88,-0.56,1.53,2.09,1.91,2.38,4.5,4.75,2.81,1.69,2.66,3.62,2.72,2.38,4.31,6.78,6.78,5.59,5.81,7.19,7.16,6.09,5.75,7.06,7.25,5.12,3.62,4.44,5.88,5.62,5.16,6.34,7.62,6.91,4.78,3.97,4.94,4.91,3.81,3.97,6.56,9.19,9.66,10.12,11.81,12.94,11.81,9.75,9.66,10.91,10.66,8.84,8.19,8.72,8.47,6.66,5.59,7.06,8.25,7.25,6.03,6.38,7.19,6.44,5.03,5.84,8.41,10.5,11.22,12.31,14.84,15.94,14.06,12.19,12.25,12.09,9.69,7.31,6.44,7.09,6.0,3.88,3.66,5.31,6.09,6.31,7.62,11.75,15.12,16.09,16.28,17.28,17.66,15.88,12.94,11.97,12.44,11.78,9.5,8.34,8.53,8.0,5.69,4.28,5.66,7.25,6.66,5.44,6.22,7.25,6.97,6.44,8.0,11.44,13.56,13.69,13.56,14.56,14.34,11.56,9.31,9.94,11.66,11.94,12.16,14.28,16.47,16.5,14.97,14.03,14.06,13.38,10.69,8.66,8.97,9.09,7.56,5.78,6.53,7.94,7.88,7.38,9.19,11.47,12.72,12.22,12.75,15.19,17.09,17.31,17.69,20.0,21.91,21.12,19.12,18.5,18.41,16.66,14.38,14.75,16.25,17.25,16.44,16.19,17.56,18.28,17.16,16.09,17.59,19.03,19.41,18.81,19.97,21.56,21.53,19.25,17.69,17.59,17.0,15.34,14.88,17.25,20.5,21.44,22.34,25.19,28.28,29.19,28.44,28.94,30.12,29.38,27.12,25.12,25.31,24.94,22.59,20.66,20.84,21.03,18.94,15.56,14.22,13.66,12.19,9.94,9.75,11.56,13.12,12.69,12.94,15.34,17.0,16.44,15.53,17.06,19.44,19.78,19.16,20.56,22.75,23.06,21.75:3.78,3.69,3.09,0.97,0.34,2.06,3.94,3.59,2.5,2.94,3.31,1.56,-1.28,-2.34,-1.25,-0.69,-0.81,0.53,4.38,7.34,7.69,8.28,10.62,13.28,13.38,13.81,15.47,17.66,17.41,14.94,13.97,14.38,13.41,10.69,8.59,8.62,7.81,4.75,2.25,2.5,3.88,3.59,3.03,4.03,6.0,6.41,5.25,5.81,7.97,9.03,7.78,6.53,7.12,6.75,3.91,0.91,-0.25,-0.69,-2.97,-5.72,-6.53,-6.31,-6.94,-9.47,-10.47,-9.59,-8.47,-8.69,-7.53,-3.84,0.16,1.28,1.66,3.25,5.09,4.66,3.28,3.81,5.88,6.66,5.44,4.66,5.44,5.5,3.16,1.28,1.34,1.66,-0.03,-1.81,-1.59,-0.12,-0.16,-1.16,-0.5,1.66,3.31,2.91,3.16,4.91,5.91,4.44,2.84,3.25,4.25,3.69,2.44,2.69,3.84,2.66,-0.22,-2.81,-3.5,-4.47,-6.31,-6.75,-4.38,-1.06,-0.16,-0.25,1.41,2.94,1.84,-0.19,-0.53,0.81,1.12,0.59,1.41,4.59,7.59,8.34,9.31,12.16,14.81,14.59,13.12,12.75,12.31,10.38,7.66,7.0,8.47,8.69,6.5,4.69,3.84,2.53,-0.75,-2.69,-1.38,1.41,2.75,3.88,6.88,10.56,12.19,11.66,11.75,13.41,13.06,9.78,6.59,4.84,2.44,-2.19,-5.44,-5.69,-3.88,-3.41,-3.44,-2.22,-0.31,-0.12,-1.28,-1.12,2.44,6.06,8.19,10.5,14.41,17.09,16.47,14.91,14.41,14.72,13.44,10.72,9.97,10.69,10.41,8.25,6.62,6.47,5.19,1.03,-3.22,-5.53,-7.25,-10.66,-13.66,-13.88,-11.5,-9.12,-6.31,-1.62,5.59,11.31,14.25,16.53,19.97,21.97,21.12,19.5,19.47,19.69,17.25,14.22,12.88,13.5,13.12,12.38,13.03,15.75,17.56,16.84,16.12,16.53,16.19,13.25,9.47,7.53,6.41,3.53,0.19,-0.91,0.88,2.28,3.16,5.59,10.25,14.16,15.75,17.19,20.41,23.09,22.75,21.28,21.25,21.72,20.78,18.69,17.69,18.25,17.25,14.19,11.31,10.91,10.66,9.09,8.59,10.75,13.62,14.28,13.41,13.53,14.34,13.75,12.12,12.62,15.81,19.19,21.31,24.12,28.84,32.88,33.25,32.0,30.81,29.34,24.78,18.72,14.38,11.62,8.56,4.91,2.84,4.0,4.59,3.31,2.38,3.91,5.78,6.69,6.84,9.59,12.59,13.56,12.12,12.03,13.0,13.19,12.41,13.12,16.66,20.66,23.09,25.28,28.94,31.94,31.69,29.12,27.5,26.31,23.59,19.56,16.53,14.94,12.22,7.75,4.22,3.72,4.28,3.28,2.62,4.88,7.78,9.06,9.56,11.66,14.53,16.09,16.31,17.5,20.91,23.12,22.88,22.12,23.03,23.5,22.19,19.84,19.34,18.94,16.81,13.16,11.31,11.31,11.44,10.72,11.44,13.78,15.53,14.09,11.44,10.66,10.09,8.19,6.72,8.25,11.38,13.09,13.0,13.16,14.41,14.59,13.03,11.91,12.69,13.59,11.62,9.12,8.97,9.34,8.38,6.28,5.75,6.53,6.41,4.88,4.97,7.31,8.97,8.75,8.34,9.41,10.16,9.09,7.25,8.38,10.88,12.12,11.59,12.31,13.47,13.69,11.59,10.91,12.31,13.72,12.75,12.16,13.28,14.88,14.03,12.56,13.03,15.38,16.47,16.25,17.25,19.69,20.94,19.47,18.34,18.97,18.97,16.44,13.69,13.12,13.66,12.97,11.56,11.78,13.41,13.81,12.62,12.69,15.03,16.69,16.12,15.28,16.44,17.0,15.34,13.56,14.16,15.97,16.34,15.47,15.81,17.38,17.31,15.06,13.81,14.41,15.19,13.72,12.84,13.91,15.44,14.75,13.75,14.69,17.25,18.41,18.38,19.0,21.06,21.84,20.03,18.53,19.22,19.59,17.06,14.56,14.03,14.06,12.31,10.34,10.5,12.59,13.44,12.69,13.06,14.91,15.81,14.31,13.31,14.28,15.53,14.34,12.97,13.28,14.78,14.41,12.69,12.62,13.94,13.81,11.66,10.19,10.56,10.44,8.47,7.03,8.06,9.69,9.22,7.91,8.31,10.0,10.22,9.06,9.38,11.22,11.84,10.09,9.03,9.84,10.38,7.91,5.22,4.72,5.06,3.66,1.94,2.16,3.81,4.25,3.62,4.53,7.53,9.94,9.84,9.94,12.19,14.41,14.38,13.69,14.69,16.66,16.19,14.72,14.41,15.47,15.38,13.66,13.44,15.5,17.62,17.47,16.91,18.41,19.56,18.22,15.91,15.34,16.16,15.38,13.75,13.25,14.56,14.66,12.28,10.81,11.88,13.0,11.81,11.28,13.0,15.78,16.06,15.66,16.22,18.0,17.88,15.97,15.09,16.41,16.97,15.16,13.94,14.81,15.62,13.75,11.47,11.09,11.31,9.88,8.22,8.78,11.94,14.66,15.88,17.69,21.03,22.72,21.72,20.09,20.81,21.78,20.28,18.38,18.56,19.41,18.19,15.62,14.28,15.12,14.56,12.22,10.94,11.84,12.16,10.16,7.78,7.47,7.47,5.22,2.66,2.66,4.72,5.84,6.5,8.38,12.12,14.62,14.69,14.34,16.22,17.19,15.47,13.72,14.25,15.5,15.12,13.91,14.53,16.09,16.03,14.34,13.19,13.75,13.78,12.03,10.44,11.5,12.38,11.12,9.56,10.0,11.78,12.06,11.28,11.94,14.19,15.25,15.31,16.19,19.97,22.84,23.19,22.31,22.94,23.53,21.88,19.91,19.94,21.5,21.19,19.03,17.66,18.38,18.59,17.22,16.44,18.34,19.59,18.5,16.62,17.28,18.84,18.97,17.5,17.69,18.62,17.78,14.72,12.5,12.47,12.19,10.0,7.88,8.69,9.5,8.44,7.03,8.38,10.75,11.34,10.81,11.09,13.28,14.0,13.22,13.41,15.94,17.84,17.5,16.41,17.16,17.78,16.16,13.88,13.91,15.69,15.94,14.5,13.91,14.94,14.38,12.06,10.78,11.94,13.19,12.06,10.59,11.25,12.72,12.09,10.69,11.75,14.25,15.25,14.28,14.25,15.75,15.97,14.38,12.88,14.06,14.78,13.25,10.88,11.0,12.09,11.69,9.78,9.47,10.47,9.91,7.88,6.25,7.84,8.88,7.97,7.41,9.56,11.78,12.31,11.69,12.75,14.84,15.25,13.5,12.69,13.56,13.25,11.47,10.56,12.56,14.5,13.75,12.66,13.31,14.34,12.88,10.38,9.31,9.69,9.31,7.97,8.53,11.41,14.12,14.03,13.5,15.25,16.31,15.47,13.81,14.5,15.69,15.31,13.44,13.5,14.97,15.62,14.72,14.25,16.03,17.62,17.0,16.22,17.62,18.69,16.94,14.16,12.91,12.62,11.25,8.25,7.25,7.59,7.91,5.91,5.12,7.25,10.19,11.41,12.94,17.09,21.16,22.72,22.06,22.09,22.59,21.31,18.16,16.28,16.38,15.91,13.59,11.88,12.19,13.0,11.88,9.84,9.69,9.84,8.66,6.69,7.03,9.59,12.16,13.12,15.12,18.25,20.38,18.62,16.5,15.78,15.06,12.19,8.06,5.84,4.84,2.62,-0.19,-0.97,0.62,1.75,1.41,1.94,4.78,8.0,9.06,9.5,11.88,14.53,15.12,14.19,14.38,15.62,15.31,13.28,12.38,12.81,12.91,9.84,6.84,5.62,5.0,2.59,1.16,2.12,4.81,6.19,6.47,7.75,9.88,10.91,9.69,9.09,9.94,10.88,9.03,7.16,7.06,7.72,6.38,4.22,3.75,4.94,4.03,1.66,0.5,0.75,0.12,-2.31,-3.78,-3.09,-1.97,-2.84,-4.03,-2.94,-0.78,-0.22,-0.25,1.88,5.62,7.81,8.25,8.53,9.75,9.72,6.97,4.31,3.5,3.47,1.41,-0.88,-0.56,1.53,2.09,1.91,2.38,4.5,4.75,2.81,1.69,2.66,3.62,2.72,2.38,4.31,6.78,6.78,5.59,5.81,7.19,7.16,6.09,5.75,7.06,7.25,5.12,3.62,4.44,5.88,5.62,5.16,6.34,7.62,6.91,4.78,3.97,4.94,4.91,3.81,3.97,6.56,9.19,9.66,10.12,11.81,12.94,11.81,9.75,9.66,10.91,10.66,8.84,8.19,8.72,8.47,6.66,5.59,7.06,8.25,7.25,6.03,6.38,7.19,6.44,5.03,5.84,8.41,10.5,11.22,12.31,14.84,15.94,14.06,12.19,12.25,12.09,9.69,7.31,6.44,7.09,6.0,3.88,3.66,5.31,6.09,6.31,7.62,11.75,15.12,16.09,16.28,17.28,17.66,15.88,12.94,11.97,12.44,11.78,9.5,8.34,8.53,8.0,5.69,4.28,5.66,7.25,6.66,5.44,6.22,7.25,6.97,6.44,8.0,11.44,13.56,13.69,13.56,14.56,14.34,11.56,9.31,9.94,11.66,11.94,12.16,14.28,16.47,16.5,14.97,14.03,14.06,13.38,10.69,8.66,8.97,9.09,7.56,5.78,6.53,7.94,7.88,7.38,9.19,11.47,12.72,12.22,12.75,15.19,17.09,17.31,17.69,20.0,21.91,21.12,19.12,18.5,18.41,16.66,14.38,14.75,16.25,17.25,16.44,16.19,17.56,18.28,17.16,16.09,17.59,19.03,19.41,18.81,19.97,21.56,21.53,19.25,17.69,17.59,17.0,15.34,14.88,17.25,20.5,21.44,22.34,25.19,28.28,29.19,28.44,28.94,30.12,29.38,27.12,25.12,25.31,24.94,22.59,20.66,20.84,21.03,18.94,15.56,14.22,13.66,12.19,9.94,9.75,11.56,13.12,12.69,12.94,15.34,17.0,16.44,15.53,17.06,19.44,19.78,19.16,20.56,22.75,23.06,21.75,26.66,26.97,26.03,25.12,24.38,22.0,17.78:3.59,2.5,2.94,3.31,1.56,-1.28,-2.34,-1.25,-0.69,-0.81,0.53,4.38,7.34,7.69,8.28,10.62,13.28,13.38,13.81,15.47,17.66,17.41,14.94,13.97,14.38,13.41,10.69,8.59,8.62,7.81,4.75,2.25,2.5,3.88,3.59,3.03,4.03,6.0,6.41,5.25,5.81,7.97,9.03,7.78,6.53,7.12,6.75,3.91,0.91,-0.25,-0.69,-2.97,-5.72,-6.53,-6.31,-6.94,-9.47,-10.47,-9.59,-8.47,-8.69,-7.53,-3.84,0.16,1.28,1.66,3.25,5.09,4.66,3.28,3.81,5.88,6.66,5.44,4.66,5.44,5.5,3.16,1.28,1.34,1.66,-0.03,-1.81,-1.59,-0.12,-0.16,-1.16,-0.5,1.66,3.31,2.91,3.16,4.91,5.91,4.44,2.84,3.25,4.25,3.69,2.44,2.69,3.84,2.66,-0.22,-2.81,-3.5,-4.47,-6.31,-6.75,-4.38,-1.06,-0.16,-0.25,1.41,2.94,1.84,-0.19,-0.53,0.81,1.12,0.59,1.41,4.59,7.59,8.34,9.31,12.16,14.81,14.59,13.12,12.75,12.31,10.38,7.66,7.0,8.47,8.69,6.5,4.69,3.84,2.53,-0.75,-2.69,-1.38,1.41,2.75,3.88,6.88,10.56,12.19,11.66,11.75,13.41,13.06,9.78,6.59,4.84,2.44,-2.19,-5.44,-5.69,-3.88,-3.41,-3.44,-2.22,-0.31,-0.12,-1.28,-1.12,2.44,6.06,8.19,10.5,14.41,17.09,16.47,14.91,14.41,14.72,13.44,10.72,9.97,10.69,10.41,8.25,6.62,6.47,5.19,1.03,-3.22,-5.53,-7.25,-10.66,-13.66,-13.88,-11.5,-9.12,-6.31,-1.62,5.59,11.31,14.25,16.53,19.97,21.97,21.12,19.5,19.47,19.69,17.25,14.22,12.88,13.5,13.12,12.38,13.03,15.75,17.56,16.84,16.12,16.53,16.19,13.25,9.47,7.53,6.41,3.53,0.19,-0.91,0.88,2.28,3.16,5.59,10.25,14.16,15.75,17.19,20.41,23.09,22.75,21.28,21.25,21.72,20.78,18.69,17.69,18.25,17.25,14.19,11.31,10.91,10.66,9.09,8.59,10.75,13.62,14.28,13.41,13.53,14.34,13.75,12.12,12.62,15.81,19.19,21.31,24.12,28.84,32.88,33.25,32.0,30.81,29.34,24.78,18.72,14.38,11.62,8.56,4.91,2.84,4.0,4.59,3.31,2.38,3.91,5.78,6.69,6.84,9.59,12.59,13.56,12.12,12.03,13.0,13.19,12.41,13.12,16.66,20.66,23.09,25.28,28.94,31.94,31.69,29.12,27.5,26.31,23.59,19.56,16.53,14.94,12.22,7.75,4.22,3.72,4.28,3.28,2.62,4.88,7.78,9.06,9.56,11.66,14.53,16.09,16.31,17.5,20.91,23.12,22.88,22.12,23.03,23.5,22.19,19.84,19.34,18.94,16.81,13.16,11.31,11.31,11.44,10.72,11.44,13.78,15.53,14.09,11.44,10.66,10.09,8.19,6.72,8.25,11.38,13.09,13.0,13.16,14.41,14.59,13.03,11.91,12.69,13.59,11.62,9.12,8.97,9.34,8.38,6.28,5.75,6.53,6.41,4.88,4.97,7.31,8.97,8.75,8.34,9.41,10.16,9.09,7.25,8.38,10.88,12.12,11.59,12.31,13.47,13.69,11.59,10.91,12.31,13.72,12.75,12.16,13.28,14.88,14.03,12.56,13.03,15.38,16.47,16.25,17.25,19.69,20.94,19.47,18.34,18.97,18.97,16.44,13.69,13.12,13.66,12.97,11.56,11.78,13.41,13.81,12.62,12.69,15.03,16.69,16.12,15.28,16.44,17.0,15.34,13.56,14.16,15.97,16.34,15.47,15.81,17.38,17.31,15.06,13.81,14.41,15.19,13.72,12.84,13.91,15.44,14.75,13.75,14.69,17.25,18.41,18.38,19.0,21.06,21.84,20.03,18.53,19.22,19.59,17.06,14.56,14.03,14.06,12.31,10.34,10.5,12.59,13.44,12.69,13.06,14.91,15.81,14.31,13.31,14.28,15.53,14.34,12.97,13.28,14.78,14.41,12.69,12.62,13.94,13.81,11.66,10.19,10.56,10.44,8.47,7.03,8.06,9.69,9.22,7.91,8.31,10.0,10.22,9.06,9.38,11.22,11.84,10.09,9.03,9.84,10.38,7.91,5.22,4.72,5.06,3.66,1.94,2.16,3.81,4.25,3.62,4.53,7.53,9.94,9.84,9.94,12.19,14.41,14.38,13.69,14.69,16.66,16.19,14.72,14.41,15.47,15.38,13.66,13.44,15.5,17.62,17.47,16.91,18.41,19.56,18.22,15.91,15.34,16.16,15.38,13.75,13.25,14.56,14.66,12.28,10.81,11.88,13.0,11.81,11.28,13.0,15.78,16.06,15.66,16.22,18.0,17.88,15.97,15.09,16.41,16.97,15.16,13.94,14.81,15.62,13.75,11.47,11.09,11.31,9.88,8.22,8.78,11.94,14.66,15.88,17.69,21.03,22.72,21.72,20.09,20.81,21.78,20.28,18.38,18.56,19.41,18.19,15.62,14.28,15.12,14.56,12.22,10.94,11.84,12.16,10.16,7.78,7.47,7.47,5.22,2.66,2.66,4.72,5.84,6.5,8.38,12.12,14.62,14.69,14.34,16.22,17.19,15.47,13.72,14.25,15.5,15.12,13.91,14.53,16.09,16.03,14.34,13.19,13.75,13.78,12.03,10.44,11.5,12.38,11.12,9.56,10.0,11.78,12.06,11.28,11.94,14.19,15.25,15.31,16.19,19.97,22.84,23.19,22.31,22.94,23.53,21.88,19.91,19.94,21.5,21.19,19.03,17.66,18.38,18.59,17.22,16.44,18.34,19.59,18.5,16.62,17.28,18.84,18.97,17.5,17.69,18.62,17.78,14.72,12.5,12.47,12.19,10.0,7.88,8.69,9.5,8.44,7.03,8.38,10.75,11.34,10.81,11.09,13.28,14.0,13.22,13.41,15.94,17.84,17.5,16.41,17.16,17.78,16.16,13.88,13.91,15.69,15.94,14.5,13.91,14.94,14.38,12.06,10.78,11.94,13.19,12.06,10.59,11.25,12.72,12.09,10.69,11.75,14.25,15.25,14.28,14.25,15.75,15.97,14.38,12.88,14.06,14.78,13.25,10.88,11.0,12.09,11.69,9.78,9.47,10.47,9.91,7.88,6.25,7.84,8.88,7.97,7.41,9.56,11.78,12.31,11.69,12.75,14.84,15.25,13.5,12.69,13.56,13.25,11.47,10.56,12.56,14.5,13.75,12.66,13.31,14.34,12.88,10.38,9.31,9.69,9.31,7.97,8.53,11.41,14.12,14.03,13.5,15.25,16.31,15.47,13.81,14.5,15.69,15.31,13.44,13.5,14.97,15.62,14.72,14.25,16.03,17.62,17.0,16.22,17.62,18.69,16.94,14.16,12.91,12.62,11.25,8.25,7.25,7.59,7.91,5.91,5.12,7.25,10.19,11.41,12.94,17.09,21.16,22.72,22.06,22.09,22.59,21.31,18.16,16.28,16.38,15.91,13.59,11.88,12.19,13.0,11.88,9.84,9.69,9.84,8.66,6.69,7.03,9.59,12.16,13.12,15.12,18.25,20.38,18.62,16.5,15.78,15.06,12.19,8.06,5.84,4.84,2.62,-0.19,-0.97,0.62,1.75,1.41,1.94,4.78,8.0,9.06,9.5,11.88,14.53,15.12,14.19,14.38,15.62,15.31,13.28,12.38,12.81,12.91,9.84,6.84,5.62,5.0,2.59,1.16,2.12,4.81,6.19,6.47,7.75,9.88,10.91,9.69,9.09,9.94,10.88,9.03,7.16,7.06,7.72,6.38,4.22,3.75,4.94,4.03,1.66,0.5,0.75,0.12,-2.31,-3.78,-3.09,-1.97,-2.84,-4.03,-2.94,-0.78,-0.22,-0.25,1.88,5.62,7.81,8.25,8.53,9.75,9.72,6.97,4.31,3.5,3.47,1.41,-0.88,-0.56,1.53,2.09,1.91,2.38,4.5,4.75,2.81,1.69,2.66,3.62,2.72,2.38,4.31,6.78,6.78,5.59,5.81,7.19,7.16,6.09,5.75,7.06,7.25,5.12,3.62,4.44,5.88,5.62,5.16,6.34,7.62,6.91,4.78,3.97,4.94,4.91,3.81,3.97,6.56,9.19,9.66,10.12,11.81,12.94,11.81,9.75,9.66,10.91,10.66,8.84,8.19,8.72,8.47,6.66,5.59,7.06,8.25,7.25,6.03,6.38,7.19,6.44,5.03,5.84,8.41,10.5,11.22,12.31,14.84,15.94,14.06,12.19,12.25,12.09,9.69,7.31,6.44,7.09,6.0,3.88,3.66,5.31,6.09,6.31,7.62,11.75,15.12,16.09,16.28,17.28,17.66,15.88,12.94,11.97,12.44,11.78,9.5,8.34,8.53,8.0,5.69,4.28,5.66,7.25,6.66,5.44,6.22,7.25,6.97,6.44,8.0,11.44,13.56,13.69,13.56,14.56,14.34,11.56,9.31,9.94,11.66,11.94,12.16,14.28,16.47,16.5,14.97,14.03,14.06,13.38,10.69,8.66,8.97,9.09,7.56,5.78,6.53,7.94,7.88,7.38,9.19,11.47,12.72,12.22,12.75,15.19,17.09,17.31,17.69,20.0,21.91,21.12,19.12,18.5,18.41,16.66,14.38,14.75,16.25,17.25,16.44,16.19,17.56,18.28,17.16,16.09,17.59,19.03,19.41,18.81,19.97,21.56,21.53,19.25,17.69,17.59,17.0,15.34,14.88,17.25,20.5,21.44,22.34,25.19,28.28,29.19,28.44,28.94,30.12,29.38,27.12,25.12,25.31,24.94,22.59,20.66,20.84,21.03,18.94,15.56,14.22,13.66,12.19,9.94,9.75,11.56,13.12,12.69,12.94,15.34,17.0,16.44,15.53,17.06,19.44,19.78,19.16,20.56,22.75,23.06,21.75,26.66,26.97,26.03,25.12,24.38,22.0,17.78,14.75,12.56,10.47,7.56,5.75,5.91,6.28:-1.25,-0.69,-0.81,0.53,4.38,7.34,7.69,8.28,10.62,13.28,13.38,13.81,15.47,17.66,17.41,14.94,13.97,14.38,13.41,10.69,8.59,8.62,7.81,4.75,2.25,2.5,3.88,3.59,3.03,4.03,6.0,6.41,5.25,5.81,7.97,9.03,7.78,6.53,7.12,6.75,3.91,0.91,-0.25,-0.69,-2.97,-5.72,-6.53,-6.31,-6.94,-9.47,-10.47,-9.59,-8.47,-8.69,-7.53,-3.84,0.16,1.28,1.66,3.25,5.09,4.66,3.28,3.81,5.88,6.66,5.44,4.66,5.44,5.5,3.16,1.28,1.34,1.66,-0.03,-1.81,-1.59,-0.12,-0.16,-1.16,-0.5,1.66,3.31,2.91,3.16,4.91,5.91,4.44,2.84,3.25,4.25,3.69,2.44,2.69,3.84,2.66,-0.22,-2.81,-3.5,-4.47,-6.31,-6.75,-4.38,-1.06,-0.16,-0.25,1.41,2.94,1.84,-0.19,-0.53,0.81,1.12,0.59,1.41,4.59,7.59,8.34,9.31,12.16,14.81,14.59,13.12,12.75,12.31,10.38,7.66,7.0,8.47,8.69,6.5,4.69,3.84,2.53,-0.75,-2.69,-1.38,1.41,2.75,3.88,6.88,10.56,12.19,11.66,11.75,13.41,13.06,9.78,6.59,4.84,2.44,-2.19,-5.44,-5.69,-3.88,-3.41,-3.44,-2.22,-0.31,-0.12,-1.28,-1.12,2.44,6.06,8.19,10.5,14.41,17.09,16.47,14.91,14.41,14.72,13.44,10.72,9.97,10.69,10.41,8.25,6.62,6.47,5.19,1.03,-3.22,-5.53,-7.25,-10.66,-13.66,-13.88,-11.5,-9.12,-6.31,-1.62,5.59,11.31,14.25,16.53,19.97,21.97,21.12,19.5,19.47,19.69,17.25,14.22,12.88,13.5,13.12,12.38,13.03,15.75,17.56,16.84,16.12,16.53,16.19,13.25,9.47,7.53,6.41,3.53,0.19,-0.91,0.88,2.28,3.16,5.59,10.25,14.16,15.75,17.19,20.41,23.09,22.75,21.28,21.25,21.72,20.78,18.69,17.69,18.25,17.25,14.19,11.31,10.91,10.66,9.09,8.59,10.75,13.62,14.28,13.41,13.53,14.34,13.75,12.12,12.62,15.81,19.19,21.31,24.12,28.84,32.88,33.25,32.0,30.81,29.34,24.78,18.72,14.38,11.62,8.56,4.91,2.84,4.0,4.59,3.31,2.38,3.91,5.78,6.69,6.84,9.59,12.59,13.56,12.12,12.03,13.0,13.19,12.41,13.12,16.66,20.66,23.09,25.28,28.94,31.94,31.69,29.12,27.5,26.31,23.59,19.56,16.53,14.94,12.22,7.75,4.22,3.72,4.28,3.28,2.62,4.88,7.78,9.06,9.56,11.66,14.53,16.09,16.31,17.5,20.91,23.12,22.88,22.12,23.03,23.5,22.19,19.84,19.34,18.94,16.81,13.16,11.31,11.31,11.44,10.72,11.44,13.78,15.53,14.09,11.44,10.66,10.09,8.19,6.72,8.25,11.38,13.09,13.0,13.16,14.41,14.59,13.03,11.91,12.69,13.59,11.62,9.12,8.97,9.34,8.38,6.28,5.75,6.53,6.41,4.88,4.97,7.31,8.97,8.75,8.34,9.41,10.16,9.09,7.25,8.38,10.88,12.12,11.59,12.31,13.47,13.69,11.59,10.91,12.31,13.72,12.75,12.16,13.28,14.88,14.03,12.56,13.03,15.38,16.47,16.25,17.25,19.69,20.94,19.47,18.34,18.97,18.97,16.44,13.69,13.12,13.66,12.97,11.56,11.78,13.41,13.81,12.62,12.69,15.03,16.69,16.12,15.28,16.44,17.0,15.34,13.56,14.16,15.97,16.34,15.47,15.81,17.38,17.31,15.06,13.81,14.41,15.19,13.72,12.84,13.91,15.44,14.75,13.75,14.69,17.25,18.41,18.38,19.0,21.06,21.84,20.03,18.53,19.22,19.59,17.06,14.56,14.03,14.06,12.31,10.34,10.5,12.59,13.44,12.69,13.06,14.91,15.81,14.31,13.31,14.28,15.53,14.34,12.97,13.28,14.78,14.41,12.69,12.62,13.94,13.81,11.66,10.19,10.56,10.44,8.47,7.03,8.06,9.69,9.22,7.91,8.31,10.0,10.22,9.06,9.38,11.22,11.84,10.09,9.03,9.84,10.38,7.91,5.22,4.72,5.06,3.66,1.94,2.16,3.81,4.25,3.62,4.53,7.53,9.94,9.84,9.94,12.19,14.41,14.38,13.69,14.69,16.66,16.19,14.72,14.41,15.47,15.38,13.66,13.44,15.5,17.62,17.47,16.91,18.41,19.56,18.22,15.91,15.34,16.16,15.38,13.75,13.25,14.56,14.66,12.28,10.81,11.88,13.0,11.81,11.28,13.0,15.78,16.06,15.66,16.22,18.0,17.88,15.97,15.09,16.41,16.97,15.16,13.94,14.81,15.62,13.75,11.47,11.09,11.31,9.88,8.22,8.78,11.94,14.66,15.88,17.69,21.03,22.72,21.72,20.09,20.81,21.78,20.28,18.38,18.56,19.41,18.19,15.62,14.28,15.12,14.56,12.22,10.94,11.84,12.16,10.16,7.78,7.47,7.47,5.22,2.66,2.66,4.72,5.84,6.5,8.38,12.12,14.62,14.69,14.34,16.22,17.19,15.47,13.72,14.25,15.5,15.12,13.91,14.53,16.09,16.03,14.34,13.19,13.75,13.78,12.03,10.44,11.5,12.38,11.12,9.56,10.0,11.78,12.06,11.28,11.94,14.19,15.25,15.31,16.19,19.97,22.84,23.19,22.31,22.94,23.53,21.88,19.91,19.94,21.5,21.19,19.03,17.66,18.38,18.59,17.22,16.44,18.34,19.59,18.5,16.62,17.28,18.84,18.97,17.5,17.69,18.62,17.78,14.72,12.5,12.47,12.19,10.0,7.88,8.69,9.5,8.44,7.03,8.38,10.75,11.34,10.81,11.09,13.28,14.0,13.22,13.41,15.94,17.84,17.5,16.41,17.16,17.78,16.16,13.88,13.91,15.69,15.94,14.5,13.91,14.94,14.38,12.06,10.78,11.94,13.19,12.06,10.59,11.25,12.72,12.09,10.69,11.75,14.25,15.25,14.28,14.25,15.75,15.97,14.38,12.88,14.06,14.78,13.25,10.88,11.0,12.09,11.69,9.78,9.47,10.47,9.91,7.88,6.25,7.84,8.88,7.97,7.41,9.56,11.78,12.31,11.69,12.75,14.84,15.25,13.5,12.69,13.56,13.25,11.47,10.56,12.56,14.5,13.75,12.66,13.31,14.34,12.88,10.38,9.31,9.69,9.31,7.97,8.53,11.41,14.12,14.03,13.5,15.25,16.31,15.47,13.81,14.5,15.69,15.31,13.44,13.5,14.97,15.62,14.72,14.25,16.03,17.62,17.0,16.22,17.62,18.69,16.94,14.16,12.91,12.62,11.25,8.25,7.25,7.59,7.91,5.91,5.12,7.25,10.19,11.41,12.94,17.09,21.16,22.72,22.06,22.09,22.59,21.31,18.16,16.28,16.38,15.91,13.59,11.88,12.19,13.0,11.88,9.84,9.69,9.84,8.66,6.69,7.03,9.59,12.16,13.12,15.12,18.25,20.38,18.62,16.5,15.78,15.06,12.19,8.06,5.84,4.84,2.62,-0.19,-0.97,0.62,1.75,1.41,1.94,4.78,8.0,9.06,9.5,11.88,14.53,15.12,14.19,14.38,15.62,15.31,13.28,12.38,12.81,12.91,9.84,6.84,5.62,5.0,2.59,1.16,2.12,4.81,6.19,6.47,7.75,9.88,10.91,9.69,9.09,9.94,10.88,9.03,7.16,7.06,7.72,6.38,4.22,3.75,4.94,4.03,1.66,0.5,0.75,0.12,-2.31,-3.78,-3.09,-1.97,-2.84,-4.03,-2.94,-0.78,-0.22,-0.25,1.88,5.62,7.81,8.25,8.53,9.75,9.72,6.97,4.31,3.5,3.47,1.41,-0.88,-0.56,1.53,2.09,1.91,2.38,4.5,4.75,2.81,1.69,2.66,3.62,2.72,2.38,4.31,6.78,6.78,5.59,5.81,7.19,7.16,6.09,5.75,7.06,7.25,5.12,3.62,4.44,5.88,5.62,5.16,6.34,7.62,6.91,4.78,3.97,4.94,4.91,3.81,3.97,6.56,9.19,9.66,10.12,11.81,12.94,11.81,9.75,9.66,10.91,10.66,8.84,8.19,8.72,8.47,6.66,5.59,7.06,8.25,7.25,6.03,6.38,7.19,6.44,5.03,5.84,8.41,10.5,11.22,12.31,14.84,15.94,14.06,12.19,12.25,12.09,9.69,7.31,6.44,7.09,6.0,3.88,3.66,5.31,6.09,6.31,7.62,11.75,15.12,16.09,16.28,17.28,17.66,15.88,12.94,11.97,12.44,11.78,9.5,8.34,8.53,8.0,5.69,4.28,5.66,7.25,6.66,5.44,6.22,7.25,6.97,6.44,8.0,11.44,13.56,13.69,13.56,14.56,14.34,11.56,9.31,9.94,11.66,11.94,12.16,14.28,16.47,16.5,14.97,14.03,14.06,13.38,10.69,8.66,8.97,9.09,7.56,5.78,6.53,7.94,7.88,7.38,9.19,11.47,12.72,12.22,12.75,15.19,17.09,17.31,17.69,20.0,21.91,21.12,19.12,18.5,18.41,16.66,14.38,14.75,16.25,17.25,16.44,16.19,17.56,18.28,17.16,16.09,17.59,19.03,19.41,18.81,19.97,21.56,21.53,19.25,17.69,17.59,17.0,15.34,14.88,17.25,20.5,21.44,22.34,25.19,28.28,29.19,28.44,28.94,30.12,29.38,27.12,25.12,25.31,24.94,22.59,20.66,20.84,21.03,18.94,15.56,14.22,13.66,12.19,9.94,9.75,11.56,13.12,12.69,12.94,15.34,17.0,16.44,15.53,17.06,19.44,19.78,19.16,20.56,22.75,23.06,21.75,26.66,26.97,26.03,25.12,24.38,22.0,17.78,14.75,12.56,10.47,7.56,5.75,5.91,6.28,5.53,4.88,5.34,6.16,5.53,4.38,4.56:8.28,10.62,13.28,13.38,13.81,15.47,17.66,17.41,14.94,13.97,14.38,13.41,10.69,8.59,8.62,7.81,4.75,2.25,2.5,3.88,3.59,3.03,4.03,6.0,6.41,5.25,5.81,7.97,9.03,7.78,6.53,7.12,6.75,3.91,0.91,-0.25,-0.69,-2.97,-5.72,-6.53,-6.31,-6.94,-9.47,-10.47,-9.59,-8.47,-8.69,-7.53,-3.84,0.16,1.28,1.66,3.25,5.09,4.66,3.28,3.81,5.88,6.66,5.44,4.66,5.44,5.5,3.16,1.28,1.34,1.66,-0.03,-1.81,-1.59,-0.12,-0.16,-1.16,-0.5,1.66,3.31,2.91,3.16,4.91,5.91,4.44,2.84,3.25,4.25,3.69,2.44,2.69,3.84,2.66,-0.22,-2.81,-3.5,-4.47,-6.31,-6.75,-4.38,-1.06,-0.16,-0.25,1.41,2.94,1.84,-0.19,-0.53,0.81,1.12,0.59,1.41,4.59,7.59,8.34,9.31,12.16,14.81,14.59,13.12,12.75,12.31,10.38,7.66,7.0,8.47,8.69,6.5,4.69,3.84,2.53,-0.75,-2.69,-1.38,1.41,2.75,3.88,6.88,10.56,12.19,11.66,11.75,13.41,13.06,9.78,6.59,4.84,2.44,-2.19,-5.44,-5.69,-3.88,-3.41,-3.44,-2.22,-0.31,-0.12,-1.28,-1.12,2.44,6.06,8.19,10.5,14.41,17.09,16.47,14.91,14.41,14.72,13.44,10.72,9.97,10.69,10.41,8.25,6.62,6.47,5.19,1.03,-3.22,-5.53,-7.25,-10.66,-13.66,-13.88,-11.5,-9.12,-6.31,-1.62,5.59,11.31,14.25,16.53,19.97,21.97,21.12,19.5,19.47,19.69,17.25,14.22,12.88,13.5,13.12,12.38,13.03,15.75,17.56,16.84,16.12,16.53,16.19,13.25,9.47,7.53,6.41,3.53,0.19,-0.91,0.88,2.28,3.16,5.59,10.25,14.16,15.75,17.19,20.41,23.09,22.75,21.28,21.25,21.72,20.78,18.69,17.69,18.25,17.25,14.19,11.31,10.91,10.66,9.09,8.59,10.75,13.62,14.28,13.41,13.53,14.34,13.75,12.12,12.62,15.81,19.19,21.31,24.12,28.84,32.88,33.25,32.0,30.81,29.34,24.78,18.72,14.38,11.62,8.56,4.91,2.84,4.0,4.59,3.31,2.38,3.91,5.78,6.69,6.84,9.59,12.59,13.56,12.12,12.03,13.0,13.19,12.41,13.12,16.66,20.66,23.09,25.28,28.94,31.94,31.69,29.12,27.5,26.31,23.59,19.56,16.53,14.94,12.22,7.75,4.22,3.72,4.28,3.28,2.62,4.88,7.78,9.06,9.56,11.66,14.53,16.09,16.31,17.5,20.91,23.12,22.88,22.12,23.03,23.5,22.19,19.84,19.34,18.94,16.81,13.16,11.31,11.31,11.44,10.72,11.44,13.78,15.53,14.09,11.44,10.66,10.09,8.19,6.72,8.25,11.38,13.09,13.0,13.16,14.41,14.59,13.03,11.91,12.69,13.59,11.62,9.12,8.97,9.34,8.38,6.28,5.75,6.53,6.41,4.88,4.97,7.31,8.97,8.75,8.34,9.41,10.16,9.09,7.25,8.38,10.88,12.12,11.59,12.31,13.47,13.69,11.59,10.91,12.31,13.72,12.75,12.16,13.28,14.88,14.03,12.56,13.03,15.38,16.47,16.25,17.25,19.69,20.94,19.47,18.34,18.97,18.97,16.44,13.69,13.12,13.66,12.97,11.56,11.78,13.41,13.81,12.62,12.69,15.03,16.69,16.12,15.28,16.44,17.0,15.34,13.56,14.16,15.97,16.34,15.47,15.81,17.38,17.31,15.06,13.81,14.41,15.19,13.72,12.84,13.91,15.44,14.75,13.75,14.69,17.25,18.41,18.38,19.0,21.06,21.84,20.03,18.53,19.22,19.59,17.06,14.56,14.03,14.06,12.31,10.34,10.5,12.59,13.44,12.69,13.06,14.91,15.81,14.31,13.31,14.28,15.53,14.34,12.97,13.28,14.78,14.41,12.69,12.62,13.94,13.81,11.66,10.19,10.56,10.44,8.47,7.03,8.06,9.69,9.22,7.91,8.31,10.0,10.22,9.06,9.38,11.22,11.84,10.09,9.03,9.84,10.38,7.91,5.22,4.72,5.06,3.66,1.94,2.16,3.81,4.25,3.62,4.53,7.53,9.94,9.84,9.94,12.19,14.41,14.38,13.69,14.69,16.66,16.19,14.72,14.41,15.47,15.38,13.66,13.44,15.5,17.62,17.47,16.91,18.41,19.56,18.22,15.91,15.34,16.16,15.38,13.75,13.25,14.56,14.66,12.28,10.81,11.88,13.0,11.81,11.28,13.0,15.78,16.06,15.66,16.22,18.0,17.88,15.97,15.09,16.41,16.97,15.16,13.94,14.81,15.62,13.75,11.47,11.09,11.31,9.88,8.22,8.78,11.94,14.66,15.88,17.69,21.03,22.72,21.72,20.09,20.81,21.78,20.28,18.38,18.56,19.41,18.19,15.62,14.28,15.12,14.56,12.22,10.94,11.84,12.16,10.16,7.78,7.47,7.47,5.22,2.66,2.66,4.72,5.84,6.5,8.38,12.12,14.62,14.69,14.34,16.22,17.19,15.47,13.72,14.25,15.5,15.12,13.91,14.53,16.09,16.03,14.34,13.19,13.75,13.78,12.03,10.44,11.5,12.38,11.12,9.56,10.0,11.78,12.06,11.28,11.94,14.19,15.25,15.31,16.19,19.97,22.84,23.19,22.31,22.94,23.53,21.88,19.91,19.94,21.5,21.19,19.03,17.66,18.38,18.59,17.22,16.44,18.34,19.59,18.5,16.62,17.28,18.84,18.97,17.5,17.69,18.62,17.78,14.72,12.5,12.47,12.19,10.0,7.88,8.69,9.5,8.44,7.03,8.38,10.75,11.34,10.81,11.09,13.28,14.0,13.22,13.41,15.94,17.84,17.5,16.41,17.16,17.78,16.16,13.88,13.91,15.69,15.94,14.5,13.91,14.94,14.38,12.06,10.78,11.94,13.19,12.06,10.59,11.25,12.72,12.09,10.69,11.75,14.25,15.25,14.28,14.25,15.75,15.97,14.38,12.88,14.06,14.78,13.25,10.88,11.0,12.09,11.69,9.78,9.47,10.47,9.91,7.88,6.25,7.84,8.88,7.97,7.41,9.56,11.78,12.31,11.69,12.75,14.84,15.25,13.5,12.69,13.56,13.25,11.47,10.56,12.56,14.5,13.75,12.66,13.31,14.34,12.88,10.38,9.31,9.69,9.31,7.97,8.53,11.41,14.12,14.03,13.5,15.25,16.31,15.47,13.81,14.5,15.69,15.31,13.44,13.5,14.97,15.62,14.72,14.25,16.03,17.62,17.0,16.22,17.62,18.69,16.94,14.16,12.91,12.62,11.25,8.25,7.25,7.59,7.91,5.91,5.12,7.25,10.19,11.41,12.94,17.09,21.16,22.72,22.06,22.09,22.59,21.31,18.16,16.28,16.38,15.91,13.59,11.88,12.19,13.0,11.88,9.84,9.69,9.84,8.66,6.69,7.03,9.59,12.16,13.12,15.12,18.25,20.38,18.62,16.5,15.78,15.06,12.19,8.06,5.84,4.84,2.62,-0.19,-0.97,0.62,1.75,1.41,1.94,4.78,8.0,9.06,9.5,11.88,14.53,15.12,14.19,14.38,15.62,15.31,13.28,12.38,12.81,12.91,9.84,6.84,5.62,5.0,2.59,1.16,2.12,4.81,6.19,6.47,7.75,9.88,10.91,9.69,9.09,9.94,10.88,9.03,7.16,7.06,7.72,6.38,4.22,3.75,4.94,4.03,1.66,0.5,0.75,0.12,-2.31,-3.78,-3.09,-1.97,-2.84,-4.03,-2.94,-0.78,-0.22,-0.25,1.88,5.62,7.81,8.25,8.53,9.75,9.72,6.97,4.31,3.5,3.47,1.41,-0.88,-0.56,1.53,2.09,1.91,2.38,4.5,4.75,2.81,1.69,2.66,3.62,2.72,2.38,4.31,6.78,6.78,5.59,5.81,7.19,7.16,6.09,5.75,7.06,7.25,5.12,3.62,4.44,5.88,5.62,5.16,6.34,7.62,6.91,4.78,3.97,4.94,4.91,3.81,3.97,6.56,9.19,9.66,10.12,11.81,12.94,11.81,9.75,9.66,10.91,10.66,8.84,8.19,8.72,8.47,6.66,5.59,7.06,8.25,7.25,6.03,6.38,7.19,6.44,5.03,5.84,8.41,10.5,11.22,12.31,14.84,15.94,14.06,12.19,12.25,12.09,9.69,7.31,6.44,7.09,6.0,3.88,3.66,5.31,6.09,6.31,7.62,11.75,15.12,16.09,16.28,17.28,17.66,15.88,12.94,11.97,12.44,11.78,9.5,8.34,8.53,8.0,5.69,4.28,5.66,7.25,6.66,5.44,6.22,7.25,6.97,6.44,8.0,11.44,13.56,13.69,13.56,14.56,14.34,11.56,9.31,9.94,11.66,11.94,12.16,14.28,16.47,16.5,14.97,14.03,14.06,13.38,10.69,8.66,8.97,9.09,7.56,5.78,6.53,7.94,7.88,7.38,9.19,11.47,12.72,12.22,12.75,15.19,17.09,17.31,17.69,20.0,21.91,21.12,19.12,18.5,18.41,16.66,14.38,14.75,16.25,17.25,16.44,16.19,17.56,18.28,17.16,16.09,17.59,19.03,19.41,18.81,19.97,21.56,21.53,19.25,17.69,17.59,17.0,15.34,14.88,17.25,20.5,21.44,22.34,25.19,28.28,29.19,28.44,28.94,30.12,29.38,27.12,25.12,25.31,24.94,22.59,20.66,20.84,21.03,18.94,15.56,14.22,13.66,12.19,9.94,9.75,11.56,13.12,12.69,12.94,15.34,17.0,16.44,15.53,17.06,19.44,19.78,19.16,20.56,22.75,23.06,21.75,26.66,26.97,26.03,25.12,24.38,22.0,17.78,14.75,12.56,10.47,7.56,5.75,5.91,6.28,5.53,4.88,5.34,6.16,5.53,4.38,4.56,6.06,7.5,8.38,10.0,13.56,16.38,16.94:17.41,14.94,13.97,14.38,13.41,10.69,8.59,8.62,7.81,4.75,2.25,2.5,3.88,3.59,3.03,4.03,6.0,6.41,5.25,5.81,7.97,9.03,7.78,6.53,7.12,6.75,3.91,0.91,-0.25,-0.69,-2.97,-5.72,-6.53,-6.31,-6.94,-9.47,-10.47,-9.59,-8.47,-8.69,-7.53,-3.84,0.16,1.28,1.66,3.25,5.09,4.66,3.28,3.81,5.88,6.66,5.44,4.66,5.44,5.5,3.16,1.28,1.34,1.66,-0.03,-1.81,-1.59,-0.12,-0.16,-1.16,-0.5,1.66,3.31,2.91,3.16,4.91,5.91,4.44,2.84,3.25,4.25,3.69,2.44,2.69,3.84,2.66,-0.22,-2.81,-3.5,-4.47,-6.31,-6.75,-4.38,-1.06,-0.16,-0.25,1.41,2.94,1.84,-0.19,-0.53,0.81,1.12,0.59,1.41,4.59,7.59,8.34,9.31,12.16,14.81,14.59,13.12,12.75,12.31,10.38,7.66,7.0,8.47,8.69,6.5,4.69,3.84,2.53,-0.75,-2.69,-1.38,1.41,2.75,3.88,6.88,10.56,12.19,11.66,11.75,13.41,13.06,9.78,6.59,4.84,2.44,-2.19,-5.44,-5.69,-3.88,-3.41,-3.44,-2.22,-0.31,-0.12,-1.28,-1.12,2.44,6.06,8.19,10.5,14.41,17.09,16.47,14.91,14.41,14.72,13.44,10.72,9.97,10.69,10.41,8.25,6.62,6.47,5.19,1.03,-3.22,-5.53,-7.25,-10.66,-13.66,-13.88,-11.5,-9.12,-6.31,-1.62,5.59,11.31,14.25,16.53,19.97,21.97,21.12,19.5,19.47,19.69,17.25,14.22,12.88,13.5,13.12,12.38,13.03,15.75,17.56,16.84,16.12,16.53,16.19,13.25,9.47,7.53,6.41,3.53,0.19,-0.91,0.88,2.28,3.16,5.59,10.25,14.16,15.75,17.19,20.41,23.09,22.75,21.28,21.25,21.72,20.78,18.69,17.69,18.25,17.25,14.19,11.31,10.91,10.66,9.09,8.59,10.75,13.62,14.28,13.41,13.53,14.34,13.75,12.12,12.62,15.81,19.19,21.31,24.12,28.84,32.88,33.25,32.0,30.81,29.34,24.78,18.72,14.38,11.62,8.56,4.91,2.84,4.0,4.59,3.31,2.38,3.91,5.78,6.69,6.84,9.59,12.59,13.56,12.12,12.03,13.0,13.19,12.41,13.12,16.66,20.66,23.09,25.28,28.94,31.94,31.69,29.12,27.5,26.31,23.59,19.56,16.53,14.94,12.22,7.75,4.22,3.72,4.28,3.28,2.62,4.88,7.78,9.06,9.56,11.66,14.53,16.09,16.31,17.5,20.91,23.12,22.88,22.12,23.03,23.5,22.19,19.84,19.34,18.94,16.81,13.16,11.31,11.31,11.44,10.72,11.44,13.78,15.53,14.09,11.44,10.66,10.09,8.19,6.72,8.25,11.38,13.09,13.0,13.16,14.41,14.59,13.03,11.91,12.69,13.59,11.62,9.12,8.97,9.34,8.38,6.28,5.75,6.53,6.41,4.88,4.97,7.31,8.97,8.75,8.34,9.41,10.16,9.09,7.25,8.38,10.88,12.12,11.59,12.31,13.47,13.69,11.59,10.91,12.31,13.72,12.75,12.16,13.28,14.88,14.03,12.56,13.03,15.38,16.47,16.25,17.25,19.69,20.94,19.47,18.34,18.97,18.97,16.44,13.69,13.12,13.66,12.97,11.56,11.78,13.41,13.81,12.62,12.69,15.03,16.69,16.12,15.28,16.44,17.0,15.34,13.56,14.16,15.97,16.34,15.47,15.81,17.38,17.31,15.06,13.81,14.41,15.19,13.72,12.84,13.91,15.44,14.75,13.75,14.69,17.25,18.41,18.38,19.0,21.06,21.84,20.03,18.53,19.22,19.59,17.06,14.56,14.03,14.06,12.31,10.34,10.5,12.59,13.44,12.69,13.06,14.91,15.81,14.31,13.31,14.28,15.53,14.34,12.97,13.28,14.78,14.41,12.69,12.62,13.94,13.81,11.66,10.19,10.56,10.44,8.47,7.03,8.06,9.69,9.22,7.91,8.31,10.0,10.22,9.06,9.38,11.22,11.84,10.09,9.03,9.84,10.38,7.91,5.22,4.72,5.06,3.66,1.94,2.16,3.81,4.25,3.62,4.53,7.53,9.94,9.84,9.94,12.19,14.41,14.38,13.69,14.69,16.66,16.19,14.72,14.41,15.47,15.38,13.66,13.44,15.5,17.62,17.47,16.91,18.41,19.56,18.22,15.91,15.34,16.16,15.38,13.75,13.25,14.56,14.66,12.28,10.81,11.88,13.0,11.81,11.28,13.0,15.78,16.06,15.66,16.22,18.0,17.88,15.97,15.09,16.41,16.97,15.16,13.94,14.81,15.62,13.75,11.47,11.09,11.31,9.88,8.22,8.78,11.94,14.66,15.88,17.69,21.03,22.72,21.72,20.09,20.81,21.78,20.28,18.38,18.56,19.41,18.19,15.62,14.28,15.12,14.56,12.22,10.94,11.84,12.16,10.16,7.78,7.47,7.47,5.22,2.66,2.66,4.72,5.84,6.5,8.38,12.12,14.62,14.69,14.34,16.22,17.19,15.47,13.72,14.25,15.5,15.12,13.91,14.53,16.09,16.03,14.34,13.19,13.75,13.78,12.03,10.44,11.5,12.38,11.12,9.56,10.0,11.78,12.06,11.28,11.94,14.19,15.25,15.31,16.19,19.97,22.84,23.19,22.31,22.94,23.53,21.88,19.91,19.94,21.5,21.19,19.03,17.66,18.38,18.59,17.22,16.44,18.34,19.59,18.5,16.62,17.28,18.84,18.97,17.5,17.69,18.62,17.78,14.72,12.5,12.47,12.19,10.0,7.88,8.69,9.5,8.44,7.03,8.38,10.75,11.34,10.81,11.09,13.28,14.0,13.22,13.41,15.94,17.84,17.5,16.41,17.16,17.78,16.16,13.88,13.91,15.69,15.94,14.5,13.91,14.94,14.38,12.06,10.78,11.94,13.19,12.06,10.59,11.25,12.72,12.09,10.69,11.75,14.25,15.25,14.28,14.25,15.75,15.97,14.38,12.88,14.06,14.78,13.25,10.88,11.0,12.09,11.69,9.78,9.47,10.47,9.91,7.88,6.25,7.84,8.88,7.97,7.41,9.56,11.78,12.31,11.69,12.75,14.84,15.25,13.5,12.69,13.56,13.25,11.47,10.56,12.56,14.5,13.75,12.66,13.31,14.34,12.88,10.38,9.31,9.69,9.31,7.97,8.53,11.41,14.12,14.03,13.5,15.25,16.31,15.47,13.81,14.5,15.69,15.31,13.44,13.5,14.97,15.62,14.72,14.25,16.03,17.62,17.0,16.22,17.62,18.69,16.94,14.16,12.91,12.62,11.25,8.25,7.25,7.59,7.91,5.91,5.12,7.25,10.19,11.41,12.94,17.09,21.16,22.72,22.06,22.09,22.59,21.31,18.16,16.28,16.38,15.91,13.59,11.88,12.19,13.0,11.88,9.84,9.69,9.84,8.66,6.69,7.03,9.59,12.16,13.12,15.12,18.25,20.38,18.62,16.5,15.78,15.06,12.19,8.06,5.84,4.84,2.62,-0.19,-0.97,0.62,1.75,1.41,1.94,4.78,8.0,9.06,9.5,11.88,14.53,15.12,14.19,14.38,15.62,15.31,13.28,12.38,12.81,12.91,9.84,6.84,5.62,5.0,2.59,1.16,2.12,4.81,6.19,6.47,7.75,9.88,10.91,9.69,9.09,9.94,10.88,9.03,7.16,7.06,7.72,6.38,4.22,3.75,4.94,4.03,1.66,0.5,0.75,0.12,-2.31,-3.78,-3.09,-1.97,-2.84,-4.03,-2.94,-0.78,-0.22,-0.25,1.88,5.62,7.81,8.25,8.53,9.75,9.72,6.97,4.31,3.5,3.47,1.41,-0.88,-0.56,1.53,2.09,1.91,2.38,4.5,4.75,2.81,1.69,2.66,3.62,2.72,2.38,4.31,6.78,6.78,5.59,5.81,7.19,7.16,6.09,5.75,7.06,7.25,5.12,3.62,4.44,5.88,5.62,5.16,6.34,7.62,6.91,4.78,3.97,4.94,4.91,3.81,3.97,6.56,9.19,9.66,10.12,11.81,12.94,11.81,9.75,9.66,10.91,10.66,8.84,8.19,8.72,8.47,6.66,5.59,7.06,8.25,7.25,6.03,6.38,7.19,6.44,5.03,5.84,8.41,10.5,11.22,12.31,14.84,15.94,14.06,12.19,12.25,12.09,9.69,7.31,6.44,7.09,6.0,3.88,3.66,5.31,6.09,6.31,7.62,11.75,15.12,16.09,16.28,17.28,17.66,15.88,12.94,11.97,12.44,11.78,9.5,8.34,8.53,8.0,5.69,4.28,5.66,7.25,6.66,5.44,6.22,7.25,6.97,6.44,8.0,11.44,13.56,13.69,13.56,14.56,14.34,11.56,9.31,9.94,11.66,11.94,12.16,14.28,16.47,16.5,14.97,14.03,14.06,13.38,10.69,8.66,8.97,9.09,7.56,5.78,6.53,7.94,7.88,7.38,9.19,11.47,12.72,12.22,12.75,15.19,17.09,17.31,17.69,20.0,21.91,21.12,19.12,18.5,18.41,16.66,14.38,14.75,16.25,17.25,16.44,16.19,17.56,18.28,17.16,16.09,17.59,19.03,19.41,18.81,19.97,21.56,21.53,19.25,17.69,17.59,17.0,15.34,14.88,17.25,20.5,21.44,22.34,25.19,28.28,29.19,28.44,28.94,30.12,29.38,27.12,25.12,25.31,24.94,22.59,20.66,20.84,21.03,18.94,15.56,14.22,13.66,12.19,9.94,9.75,11.56,13.12,12.69,12.94,15.34,17.0,16.44,15.53,17.06,19.44,19.78,19.16,20.56,22.75,23.06,21.75,26.66,26.97,26.03,25.12,24.38,22.0,17.78,14.75,12.56,10.47,7.56,5.75,5.91,6.28,5.53,4.88,5.34,6.16,5.53,4.38,4.56,6.06,7.5,8.38,10.0,13.56,16.38,16.94,17.34,19.16,20.62,20.56,20.5,21.53,22.62:8.62,7.81,4.75,2.25,2.5,3.88,3.59,3.03,4.03,6.0,6.41,5.25,5.81,7.97,9.03,7.78,6.53,7.12,6.75,3.91,0.91,-0.25,-0.69,-2.97,-5.72,-6.53,-6.31,-6.94,-9.47,-10.47,-9.59,-8.47,-8.69,-7.53,-3.84,0.16,1.28,1.66,3.25,5.09,4.66,3.28,3.81,5.88,6.66,5.44,4.66,5.44,5.5,3.16,1.28,1.34,1.66,-0.03,-1.81,-1.59,-0.12,-0.16,-1.16,-0.5,1.66,3.31,2.91,3.16,4.91,5.91,4.44,2.84,3.25,4.25,3.69,2.44,2.69,3.84,2.66,-0.22,-2.81,-3.5,-4.47,-6.31,-6.75,-4.38,-1.06,-0.16,-0.25,1.41,2.94,1.84,-0.19,-0.53,0.81,1.12,0.59,1.41,4.59,7.59,8.34,9.31,12.16,14.81,14.59,13.12,12.75,12.31,10.38,7.66,7.0,8.47,8.69,6.5,4.69,3.84,2.53,-0.75,-2.69,-1.38,1.41,2.75,3.88,6.88,10.56,12.19,11.66,11.75,13.41,13.06,9.78,6.59,4.84,2.44,-2.19,-5.44,-5.69,-3.88,-3.41,-3.44,-2.22,-0.31,-0.12,-1.28,-1.12,2.44,6.06,8.19,10.5,14.41,17.09,16.47,14.91,14.41,14.72,13.44,10.72,9.97,10.69,10.41,8.25,6.62,6.47,5.19,1.03,-3.22,-5.53,-7.25,-10.66,-13.66,-13.88,-11.5,-9.12,-6.31,-1.62,5.59,11.31,14.25,16.53,19.97,21.97,21.12,19.5,19.47,19.69,17.25,14.22,12.88,13.5,13.12,12.38,13.03,15.75,17.56,16.84,16.12,16.53,16.19,13.25,9.47,7.53,6.41,3.53,0.19,-0.91,0.88,2.28,3.16,5.59,10.25,14.16,15.75,17.19,20.41,23.09,22.75,21.28,21.25,21.72,20.78,18.69,17.69,18.25,17.25,14.19,11.31,10.91,10.66,9.09,8.59,10.75,13.62,14.28,13.41,13.53,14.34,13.75,12.12,12.62,15.81,19.19,21.31,24.12,28.84,32.88,33.25,32.0,30.81,29.34,24.78,18.72,14.38,11.62,8.56,4.91,2.84,4.0,4.59,3.31,2.38,3.91,5.78,6.69,6.84,9.59,12.59,13.56,12.12,12.03,13.0,13.19,12.41,13.12,16.66,20.66,23.09,25.28,28.94,31.94,31.69,29.12,27.5,26.31,23.59,19.56,16.53,14.94,12.22,7.75,4.22,3.72,4.28,3.28,2.62,4.88,7.78,9.06,9.56,11.66,14.53,16.09,16.31,17.5,20.91,23.12,22.88,22.12,23.03,23.5,22.19,19.84,19.34,18.94,16.81,13.16,11.31,11.31,11.44,10.72,11.44,13.78,15.53,14.09,11.44,10.66,10.09,8.19,6.72,8.25,11.38,13.09,13.0,13.16,14.41,14.59,13.03,11.91,12.69,13.59,11.62,9.12,8.97,9.34,8.38,6.28,5.75,6.53,6.41,4.88,4.97,7.31,8.97,8.75,8.34,9.41,10.16,9.09,7.25,8.38,10.88,12.12,11.59,12.31,13.47,13.69,11.59,10.91,12.31,13.72,12.75,12.16,13.28,14.88,14.03,12.56,13.03,15.38,16.47,16.25,17.25,19.69,20.94,19.47,18.34,18.97,18.97,16.44,13.69,13.12,13.66,12.97,11.56,11.78,13.41,13.81,12.62,12.69,15.03,16.69,16.12,15.28,16.44,17.0,15.34,13.56,14.16,15.97,16.34,15.47,15.81,17.38,17.31,15.06,13.81,14.41,15.19,13.72,12.84,13.91,15.44,14.75,13.75,14.69,17.25,18.41,18.38,19.0,21.06,21.84,20.03,18.53,19.22,19.59,17.06,14.56,14.03,14.06,12.31,10.34,10.5,12.59,13.44,12.69,13.06,14.91,15.81,14.31,13.31,14.28,15.53,14.34,12.97,13.28,14.78,14.41,12.69,12.62,13.94,13.81,11.66,10.19,10.56,10.44,8.47,7.03,8.06,9.69,9.22,7.91,8.31,10.0,10.22,9.06,9.38,11.22,11.84,10.09,9.03,9.84,10.38,7.91,5.22,4.72,5.06,3.66,1.94,2.16,3.81,4.25,3.62,4.53,7.53,9.94,9.84,9.94,12.19,14.41,14.38,13.69,14.69,16.66,16.19,14.72,14.41,15.47,15.38,13.66,13.44,15.5,17.62,17.47,16.91,18.41,19.56,18.22,15.91,15.34,16.16,15.38,13.75,13.25,14.56,14.66,12.28,10.81,11.88,13.0,11.81,11.28,13.0,15.78,16.06,15.66,16.22,18.0,17.88,15.97,15.09,16.41,16.97,15.16,13.94,14.81,15.62,13.75,11.47,11.09,11.31,9.88,8.22,8.78,11.94,14.66,15.88,17.69,21.03,22.72,21.72,20.09,20.81,21.78,20.28,18.38,18.56,19.41,18.19,15.62,14.28,15.12,14.56,12.22,10.94,11.84,12.16,10.16,7.78,7.47,7.47,5.22,2.66,2.66,4.72,5.84,6.5,8.38,12.12,14.62,14.69,14.34,16.22,17.19,15.47,13.72,14.25,15.5,15.12,13.91,14.53,16.09,16.03,14.34,13.19,13.75,13.78,12.03,10.44,11.5,12.38,11.12,9.56,10.0,11.78,12.06,11.28,11.94,14.19,15.25,15.31,16.19,19.97,22.84,23.19,22.31,22.94,23.53,21.88,19.91,19.94,21.5,21.19,19.03,17.66,18.38,18.59,17.22,16.44,18.34,19.59,18.5,16.62,17.28,18.84,18.97,17.5,17.69,18.62,17.78,14.72,12.5,12.47,12.19,10.0,7.88,8.69,9.5,8.44,7.03,8.38,10.75,11.34,10.81,11.09,13.28,14.0,13.22,13.41,15.94,17.84,17.5,16.41,17.16,17.78,16.16,13.88,13.91,15.69,15.94,14.5,13.91,14.94,14.38,12.06,10.78,11.94,13.19,12.06,10.59,11.25,12.72,12.09,10.69,11.75,14.25,15.25,14.28,14.25,15.75,15.97,14.38,12.88,14.06,14.78,13.25,10.88,11.0,12.09,11.69,9.78,9.47,10.47,9.91,7.88,6.25,7.84,8.88,7.97,7.41,9.56,11.78,12.31,11.69,12.75,14.84,15.25,13.5,12.69,13.56,13.25,11.47,10.56,12.56,14.5,13.75,12.66,13.31,14.34,12.88,10.38,9.31,9.69,9.31,7.97,8.53,11.41,14.12,14.03,13.5,15.25,16.31,15.47,13.81,14.5,15.69,15.31,13.44,13.5,14.97,15.62,14.72,14.25,16.03,17.62,17.0,16.22,17.62,18.69,16.94,14.16,12.91,12.62,11.25,8.25,7.25,7.59,7.91,5.91,5.12,7.25,10.19,11.41,12.94,17.09,21.16,22.72,22.06,22.09,22.59,21.31,18.16,16.28,16.38,15.91,13.59,11.88,12.19,13.0,11.88,9.84,9.69,9.84,8.66,6.69,7.03,9.59,12.16,13.12,15.12,18.25,20.38,18.62,16.5,15.78,15.06,12.19,8.06,5.84,4.84,2.62,-0.19,-0.97,0.62,1.75,1.41,1.94,4.78,8.0,9.06,9.5,11.88,14.53,15.12,14.19,14.38,15.62,15.31,13.28,12.38,12.81,12.91,9.84,6.84,5.62,5.0,2.59,1.16,2.12,4.81,6.19,6.47,7.75,9.88,10.91,9.69,9.09,9.94,10.88,9.03,7.16,7.06,7.72,6.38,4.22,3.75,4.94,4.03,1.66,0.5,0.75,0.12,-2.31,-3.78,-3.09,-1.97,-2.84,-4.03,-2.94,-0.78,-0.22,-0.25,1.88,5.62,7.81,8.25,8.53,9.75,9.72,6.97,4.31,3.5,3.47,1.41,-0.88,-0.56,1.53,2.09,1.91,2.38,4.5,4.75,2.81,1.69,2.66,3.62,2.72,2.38,4.31,6.78,6.78,5.59,5.81,7.19,7.16,6.09,5.75,7.06,7.25,5.12,3.62,4.44,5.88,5.62,5.16,6.34,7.62,6.91,4.78,3.97,4.94,4.91,3.81,3.97,6.56,9.19,9.66,10.12,11.81,12.94,11.81,9.75,9.66,10.91,10.66,8.84,8.19,8.72,8.47,6.66,5.59,7.06,8.25,7.25,6.03,6.38,7.19,6.44,5.03,5.84,8.41,10.5,11.22,12.31,14.84,15.94,14.06,12.19,12.25,12.09,9.69,7.31,6.44,7.09,6.0,3.88,3.66,5.31,6.09,6.31,7.62,11.75,15.12,16.09,16.28,17.28,17.66,15.88,12.94,11.97,12.44,11.78,9.5,8.34,8.53,8.0,5.69,4.28,5.66,7.25,6.66,5.44,6.22,7.25,6.97,6.44,8.0,11.44,13.56,13.69,13.56,14.56,14.34,11.56,9.31,9.94,11.66,11.94,12.16,14.28,16.47,16.5,14.97,14.03,14.06,13.38,10.69,8.66,8.97,9.09,7.56,5.78,6.53,7.94,7.88,7.38,9.19,11.47,12.72,12.22,12.75,15.19,17.09,17.31,17.69,20.0,21.91,21.12,19.12,18.5,18.41,16.66,14.38,14.75,16.25,17.25,16.44,16.19,17.56,18.28,17.16,16.09,17.59,19.03,19.41,18.81,19.97,21.56,21.53,19.25,17.69,17.59,17.0,15.34,14.88,17.25,20.5,21.44,22.34,25.19,28.28,29.19,28.44,28.94,30.12,29.38,27.12,25.12,25.31,24.94,22.59,20.66,20.84,21.03,18.94,15.56,14.22,13.66,12.19,9.94,9.75,11.56,13.12,12.69,12.94,15.34,17.0,16.44,15.53,17.06,19.44,19.78,19.16,20.56,22.75,23.06,21.75,26.66,26.97,26.03,25.12,24.38,22.0,17.78,14.75,12.56,10.47,7.56,5.75,5.91,6.28,5.53,4.88,5.34,6.16,5.53,4.38,4.56,6.06,7.5,8.38,10.0,13.56,16.38,16.94,17.34,19.16,20.62,20.56,20.5,21.53,22.62,22.22,19.94,18.72,18.22,16.66,13.84,11.69:negativity
27.12,26.47,27.09,26.88,25.66,24.53,24.97,24.72,23.22,21.66,21.53,21.69,21.22,20.72,21.97,24.03,25.59,26.41,27.5,29.59,30.62,30.28,30.28,31.53,32.22,31.41,30.19,29.75,29.75,28.72,27.19,27.12,28.34,28.81,28.66,29.28,30.81,31.56,30.56,29.19,28.66,27.78,25.41,23.12,23.06,24.03,24.88,25.28,26.69,28.75,29.31,28.56,27.38,27.22,26.66,25.34,24.75,26.56,28.56,28.84,28.53,28.97,29.5,28.94,27.78,27.81,28.53,28.06,26.84,26.12,26.84,27.34,26.81,26.28,26.91,27.19,26.5,25.38,26.0,27.41,28.16,28.41,29.56,31.81,32.84,32.34,31.31,30.62,28.91,25.69,22.44,21.06,20.97,21.0,21.06,22.72,24.66,25.09,24.0,22.91,22.69,21.75,19.88,18.53,19.22,20.03,19.62,19.06,19.66,20.81,20.72,20.56,22.22,24.38,25.97,26.59,27.03,27.72,27.03,24.81,23.06,23.31,24.34,24.56,24.78,25.91,26.94,26.56,24.81,23.97,23.97,23.47,22.19,21.81,22.66,23.38,22.62,21.53,22.38,23.25,22.62,21.81,22.03,22.69,22.53,21.19,20.94,21.72,21.5,20.19,19.34,20.09,20.75,20.56,20.97,22.47,24.0,23.78,22.0,20.91,19.81,17.59,14.44,13.28,13.5,14.22,14.75,16.0,18.72,20.84,21.25,21.12,21.94,22.66,22.0,20.66,20.31,21.09,21.34,20.94,21.78,23.59,24.59,23.91,23.25,23.62,23.47,21.91,19.66,18.88,18.16,16.12,13.47,12.44,12.47,11.81,10.59,10.62,11.75,12.38,11.78,11.81,13.75,16.78,19.78,22.84,27.41,31.31,32.97,32.41,31.69,31.88,31.88,31.91,32.91,34.66,35.97,34.88,32.59,31.53,30.5,28.16,26.16,25.91,26.34,25.88,24.28,23.19,22.75,22.03,20.81,20.84,22.75,24.38,24.56,24.25,24.75,24.94,23.59,21.5,20.94,21.12,20.94,20.09,20.09,21.22,21.72,20.66,20.25,21.03,21.69,20.94,20.06,20.81,21.72,22.06,21.38,22.09,23.72,24.31,24.06,24.47,25.34,25.41,23.53,21.78,21.91,22.91,23.0,24.03,25.94,28.25,28.41,27.12,26.84,27.47,27.31,26.38,26.56,27.78,28.47,27.66,26.84,26.69,26.19,23.44,20.56,19.16,18.81,18.0,17.16,18.06,19.94,21.09,20.56,20.31,21.0,21.56,21.06,20.97,21.69,22.66,21.88,20.47,20.53,21.25,20.88,19.38,19.09,20.12,20.97,21.06,21.94,23.66,25.0,24.28,23.44,23.53,24.06,23.06,21.0,20.25,19.69,18.06,15.69,14.66,14.97,15.28,15.28,16.19,18.94,21.34,22.16,22.41,23.38,24.47,24.56,24.38,25.75,28.16,29.66,29.75,30.38,31.75,32.28,31.31,30.38,30.09,29.56,27.22,25.12,24.81,25.88,25.69,25.06,25.25,26.09,26.09,25.22,25.44,26.91,27.66,27.03,26.25,26.38,26.41,24.97,23.31,23.31,24.66,24.94,24.81,25.44,26.69,26.66,25.09,24.03,24.25,24.25,22.91,22.16,23.0,24.44,24.94,25.09,26.59,28.31,28.34,27.41,27.16,28.06,27.97,26.94,26.62,27.78,29.28,29.69,30.16,31.81,33.38,32.59,30.56,28.97,27.72,24.94,21.44,19.19,18.38,17.66,15.94,15.19,16.22,17.34,17.44,18.06,19.94,22.16,22.81,22.47,23.09,24.47,24.94,24.66,25.19,26.38,25.97,23.19,20.62,19.25,18.34,16.81,16.06,17.47,19.44,20.25,20.84,22.53,24.94,26.38,26.69,27.19,28.78,29.59,28.91,28.59,29.47,30.72,29.78,28.41,27.88,27.53,25.56,22.78,20.97,20.66,19.97,18.69,18.56,20.34,21.81,21.91,22.03,23.78,25.53,25.5,25.12,26.25,27.28,27.09,26.28,25.97,26.81,26.91,26.41,26.56,28.53,30.69,31.12,31.41,32.97,34.62,34.25,33.5,32.97,33.09,31.56,29.0,27.75,28.19,28.75,28.5,29.25,31.34,32.59,31.84,30.53,30.28,30.19,28.0,25.5,23.66,22.38,20.22,17.66,16.06,16.47,17.19,17.06,17.91,20.16,22.38,22.66,22.88,24.38,26.47,27.28,27.38,28.47,29.78,29.66,28.12,26.72,26.19,25.28,23.41,22.03,22.38,22.72,21.47,19.88,19.62,20.38,20.12,20.03,21.75,24.69,26.38,26.66,26.91,28.12,28.72,27.31,26.38,26.59,26.81,25.5,24.34,25.19,27.41,28.53,29.25,30.47,32.44,33.56,33.06,33.19,34.84,36.44,36.5,36.0,36.88,37.09,35.47,33.25,32.53,32.84,31.94,30.62,30.0,31.06,31.31,31.03,31.19,32.91,34.16,33.62,32.56,32.5,32.44,31.0,29.41,29.5,31.19,31.97,32.19,32.91,34.59,35.53,34.66,34.28,35.19,35.62,34.34,33.03,33.19,33.22,32.03,29.84,29.22,29.69,29.62,29.56,31.0,34.03,36.34,36.78,36.94,38.03,38.16,36.81,35.09,34.56,34.53,33.41,32.25,32.44,34.12,35.03,34.78,34.56,35.25,35.0,33.09,31.47,31.5,31.75,31.12,30.0,30.22,31.5,31.19,29.78,29.16,29.78,29.62,28.75,28.94,31.28,33.78,34.94,35.88,38.69,41.22,41.91,41.53,42.38,43.06,42.06,39.75,37.84,36.75,34.81,31.72,29.41,29.22,28.91,28.06,27.0,27.97,29.16,29.19,28.69,29.88,31.62,32.5,32.31,33.03,34.66,35.56,35.22,34.91,36.22,37.06,36.22,35.03,35.53,36.22,35.59,34.28,33.84,33.81,32.47,29.81,28.12,27.78,27.25,26.12,26.06,28.38,30.41,31.06,30.91,31.97,33.0,32.62,32.16,33.22,35.22,36.28,36.25,36.41,37.69,37.12,34.59,31.31,28.94,26.5,23.34,20.41,20.16,20.78,20.16,19.19,19.38,21.22,22.44,22.91,24.56,27.44,29.84,30.94,31.88,34.53,36.44,37.47,38.31,40.41,43.91,45.94,45.94,45.66,44.84,42.06,37.16,32.84,30.41,27.88,24.5,21.31,20.62,20.72,20.66,21.06,24.16,28.62,32.03,34.47,37.97,41.91,44.47,44.97,45.59,47.66,48.84,48.34,47.47,47.59,47.44,45.56,42.91,41.78,41.44,39.84,37.31,35.88,35.44,34.47,32.75,31.62,32.91,34.03,34.41,34.75,36.88,39.25,40.25,40.12,41.16,41.31,39.88,36.56,33.88,32.47,31.09,29.12,27.97,28.62,29.41,29.03,28.38,29.09,30.03,29.5,28.16,28.03,29.03,28.91,27.94,27.16,27.53,27.19,25.25,24.06,25.38,27.62,29.0,31.16,35.38,40.0,43.25,44.91,46.72,48.94,49.28,48.0,47.28,47.78,47.88,46.12,44.66,45.25,46.66,46.91,47.38,48.91,50.25,49.94,48.0,46.28,45.81,44.22,41.56,39.72,39.75,40.22,39.69,39.22,40.25,40.88,39.44,37.09,35.94,35.22,33.38,30.72,29.5,30.38,31.12,30.91,31.72,34.0,36.03,37.19,39.09,43.06,47.5,49.94,51.0,51.94,52.25,50.38,46.75,44.34,43.16,42.25,41.06,40.75,42.41,43.31,42.03,40.25,39.31,38.72,37.09,35.41,35.25,35.41,34.66,32.16,30.34,30.25,30.25,29.41,29.84,32.12,34.34,34.5,33.81,34.16,34.22,32.66,31.12,30.72,31.62,32.03,31.25,30.91,31.53,31.06,28.94,26.78,26.44,26.34,25.47,24.84,25.78,26.97,26.88,26.03,26.25,27.44,28.19,27.91,28.28,29.84,30.75,29.66,28.09,27.31,26.25,23.66,20.78,19.72,20.03,19.75,18.69,19.0,19.97,20.25,18.88,18.12,18.88,19.75,18.97,18.81,19.78,20.91,20.56,19.97,20.41,21.44,21.72,21.56,22.81,25.34,27.78,28.34,29.38,31.41,33.09,33.12,33.12,34.38,35.56,35.88,35.59,36.22,37.78,38.22,37.0,36.59,36.66,35.78,33.09,31.09,30.75,30.78,29.59,28.5,29.12,29.5,28.69,27.25,26.75,26.69,25.72,23.78,22.78,23.06,23.69,23.28,23.66,25.25,27.03,26.94,26.62,27.62,28.97,29.22,29.19,30.03,31.84,32.66,32.06,31.66,32.59,33.06,31.81,30.91,31.09,31.0,29.28,27.28,27.16,28.16,27.94,27.75,28.28,29.31,30.19,30.09,30.59,32.56,34.41,34.41,34.31,34.97,35.78,34.5,32.59,31.66,31.53,30.25,28.28,27.88,28.66,29.16,28.06,27.81,28.78,29.56,28.81,28.19,28.78,29.91,29.59,29.62,30.97,34.12,36.22,37.44,39.53,41.53,42.38,40.81,39.25,38.62,38.06,36.0,34.75,35.0,36.12,35.38,34.0,33.28,32.56,30.5,27.62,25.72,25.06,24.12,22.31,21.09,22.09,24.0,25.47,27.5,31.0,35.22,37.56,38.72,40.09,42.31,42.88,42.09,42.06,42.66,42.94,41.34,39.94,39.53,39.22,36.88,34.44,33.31,33.53,33.12,32.88,34.28,36.53,38.38,38.5,38.75,39.88,40.0,38.47,37.12,37.09,37.69,37.03,36.41,37.31,39.25,40.03,40.44,41.28,42.59,42.56,40.19,38.03,37.03,35.94,33.97,32.5,32.72,33.25,32.44,31.62,32.16,33.5,33.88,34.03,35.31,37.66,39.47,40.0,40.72,42.09,42.44,41.06,39.31,38.72,38.28,36.38,33.94,32.94,32.97,32.03,30.66,30.69,31.91,33.25,33.44,33.69,35.06,36.12,35.22,34.94,36.44,38.75,40.06,40.84:24.72,23.22,21.66,21.53,21.69,21.22,20.72,21.97,24.03,25.59,26.41,27.5,29.59,30.62,30.28,30.28,31.53,32.22,31.41,30.19,29.75,29.75,28.72,27.19,27.12,28.34,28.81,28.66,29.28,30.81,31.56,30.56,29.19,28.66,27.78,25.41,23.12,23.06,24.03,24.88,25.28,26.69,28.75,29.31,28.56,27.38,27.22,26.66,25.34,24.75,26.56,28.56,28.84,28.53,28.97,29.5,28.94,27.78,27.81,28.53,28.06,26.84,26.12,26.84,27.34,26.81,26.28,26.91,27.19,26.5,25.38,26.0,27.41,28.16,28.41,29.56,31.81,32.84,32.34,31.31,30.62,28.91,25.69,22.44,21.06,20.97,21.0,21.06,22.72,24.66,25.09,24.0,22.91,22.69,21.75,19.88,18.53,19.22,20.03,19.62,19.06,19.66,20.81,20.72,20.56,22.22,24.38,25.97,26.59,27.03,27.72,27.03,24.81,23.06,23.31,24.34,24.56,24.78,25.91,26.94,26.56,24.81,23.97,23.97,23.47,22.19,21.81,22.66,23.38,22.62,21.53,22.38,23.25,22.62,21.81,22.03,22.69,22.53,21.19,20.94,21.72,21.5,20.19,19.34,20.09,20.75,20.56,20.97,22.47,24.0,23.78,22.0,20.91,19.81,17.59,14.44,13.28,13.5,14.22,14.75,16.0,18.72,20.84,21.25,21.12,21.94,22.66,22.0,20.66,20.31,21.09,21.34,20.94,21.78,23.59,24.59,23.91,23.25,23.62,23.47,21.91,19.66,18.88,18.16,16.12,13.47,12.44,12.47,11.81,10.59,10.62,11.75,12.38,11.78,11.81,13.75,16.78,19.78,22.84,27.41,31.31,32.97,32.41,31.69,31.88,31.88,31.91,32.91,34.66,35.97,34.88,32.59,31.53,30.5,28.16,26.16,25.91,26.34,25.88,24.28,23.19,22.75,22.03,20.81,20.84,22.75,24.38,24.56,24.25,24.75,24.94,23.59,21.5,20.94,21.12,20.94,20.09,20.09,21.22,21.72,20.66,20.25,21.03,21.69,20.94,20.06,20.81,21.72,22.06,21.38,22.09,23.72,24.31,24.06,24.47,25.34,25.41,23.53,21.78,21.91,22.91,23.0,24.03,25.94,28.25,28.41,27.12,26.84,27.47,27.31,26.38,26.56,27.78,28.47,27.66,26.84,26.69,26.19,23.44,20.56,19.16,18.81,18.0,17.16,18.06,19.94,21.09,20.56,20.31,21.0,21.56,21.06,20.97,21.69,22.66,21.88,20.47,20.53,21.25,20.88,19.38,19.09,20.12,20.97,21.06,21.94,23.66,25.0,24.28,23.44,23.53,24.06,23.06,21.0,20.25,19.69,18.06,15.69,14.66,14.97,15.28,15.28,16.19,18.94,21.34,22.16,22.41,23.38,24.47,24.56,24.38,25.75,28.16,29.66,29.75,30.38,31.75,32.28,31.31,30.38,30.09,29.56,27.22,25.12,24.81,25.88,25.69,25.06,25.25,26.09,26.09,25.22,25.44,26.91,27.66,27.03,26.25,26.38,26.41,24.97,23.31,23.31,24.66,24.94,24.81,25.44,26.69,26.66,25.09,24.03,24.25,24.25,22.91,22.16,23.0,24.44,24.94,25.09,26.59,28.31,28.34,27.41,27.16,28.06,27.97,26.94,26.62,27.78,29.28,29.69,30.16,31.81,33.38,32.59,30.56,28.97,27.72,24.94,21.44,19.19,18.38,17.66,15.94,15.19,16.22,17.34,17.44,18.06,19.94,22.16,22.81,22.47,23.09,24.47,24.94,24.66,25.19,26.38,25.97,23.19,20.62,19.25,18.34,16.81,16.06,17.47,19.44,20.25,20.84,22.53,24.94,26.38,26.69,27.19,28.78,29.59,28.91,28.59,29.47,30.72,29.78,28.41,27.88,27.53,25.56,22.78,20.97,20.66,19.97,18.69,18.56,20.34,21.81,21.91,22.03,23.78,25.53,25.5,25.12,26.25,27.28,27.09,26.28,25.97,26.81,26.91,26.41,26.56,28.53,30.69,31.12,31.41,32.97,34.62,34.25,33.5,32.97,33.09,31.56,29.0,27.75,28.19,28.75,28.5,29.25,31.34,32.59,31.84,30.53,30.28,30.19,28.0,25.5,23.66,22.38,20.22,17.66,16.06,16.47,17.19,17.06,17.91,20.16,22.38,22.66,22.88,24.38,26.47,27.28,27.38,28.47,29.78,29.66,28.12,26.72,26.19,25.28,23.41,22.03,22.38,22.72,21.47,19.88,19.62,20.38,20.12,20.03,21.75,24.69,26.38,26.66,26.91,28.12,28.72,27.31,26.38,26.59,26.81,25.5,24.34,25.19,27.41,28.53,29.25,30.47,32.44,33.56,33.06,33.19,34.84,36.44,36.5,36.0,36.88,37.09,35.47,33.25,32.53,32.84,31.94,30.62,30.0,31.06,31.31,31.03,31.19,32.91,34.16,33.62,32.56,32.5,32.44,31.0,29.41,29.5,31.19,31.97,32.19,32.91,34.59,35.53,34.66,34.28,35.19,35.62,34.34,33.03,33.19,33.22,32.03,29.84,29.22,29.69,29.62,29.56,31.0,34.03,36.34,36.78,36.94,38.03,38.16,36.81,35.09,34.56,34.53,33.41,32.25,32.44,34.12,35.03,34.78,34.56,35.25,35.0,33.09,31.47,31.5,31.75,31.12,30.0,30.22,31.5,31.19,29.78,29.16,29.78,29.62,28.75,28.94,31.28,33.78,34.94,35.88,38.69,41.22,41.91,41.53,42.38,43.06,42.06,39.75,37.84,36.75,34.81,31.72,29.41,29.22,28.91,28.06,27.0,27.97,29.16,29.19,28.69,29.88,31.62,32.5,32.31,33.03,34.66,35.56,35.22,34.91,36.22,37.06,36.22,35.03,35.53,36.22,35.59,34.28,33.84,33.81,32.47,29.81,28.12,27.78,27.25,26.12,26.06,28.38,30.41,31.06,30.91,31.97,33.0,32.62,32.16,33.22,35.22,36.28,36.25,36.41,37.69,37.12,34.59,31.31,28.94,26.5,23.34,20.41,20.16,20.78,20.16,19.19,19.38,21.22,22.44,22.91,24.56,27.44,29.84,30.94,31.88,34.53,36.44,37.47,38.31,40.41,43.91,45.94,45.94,45.66,44.84,42.06,37.16,32.84,30.41,27.88,24.5,21.31,20.62,20.72,20.66,21.06,24.16,28.62,32.03,34.47,37.97,41.91,44.47,44.97,45.59,47.66,48.84,48.34,47.47,47.59,47.44,45.56,42.91,41.78,41.44,39.84,37.31,35.88,35.44,34.47,32.75,31.62,32.91,34.03,34.41,34.75,36.88,39.25,40.25,40.12,41.16,41.31,39.88,36.56,33.88,32.47,31.09,29.12,27.97,28.62,29.41,29.03,28.38,29.09,30.03,29.5,28.16,28.03,29.03,28.91,27.94,27.16,27.53,27.19,25.25,24.06,25.38,27.62,29.0,31.16,35.38,40.0,43.25,44.91,46.72,48.94,49.28,48.0,47.28,47.78,47.88,46.12,44.66,45.25,46.66,46.91,47.38,48.91,50.25,49.94,48.0,46.28,45.81,44.22,41.56,39.72,39.75,40.22,39.69,39.22,40.25,40.88,39.44,37.09,35.94,35.22,33.38,30.72,29.5,30.38,31.12,30.91,31.72,34.0,36.03,37.19,39.09,43.06,47.5,49.94,51.0,51.94,52.25,50.38,46.75,44.34,43.16,42.25,41.06,40.75,42.41,43.31,42.03,40.25,39.31,38.72,37.09,35.41,35.25,35.41,34.66,32.16,30.34,30.25,30.25,29.41,29.84,32.12,34.34,34.5,33.81,34.16,34.22,32.66,31.12,30.72,31.62,32.03,31.25,30.91,31.53,31.06,28.94,26.78,26.44,26.34,25.47,24.84,25.78,26.97,26.88,26.03,26.25,27.44,28.19,27.91,28.28,29.84,30.75,29.66,28.09,27.31,26.25,23.66,20.78,19.72,20.03,19.75,18.69,19.0,19.97,20.25,18.88,18.12,18.88,19.75,18.97,18.81,19.78,20.91,20.56,19.97,20.41,21.44,21.72,21.56,22.81,25.34,27.78,28.34,29.38,31.41,33.09,33.12,33.12,34.38,35.56,35.88,35.59,36.22,37.78,38.22,37.0,36.59,36.66,35.78,33.09,31.09,30.75,30.78,29.59,28.5,29.12,29.5,28.69,27.25,26.75,26.69,25.72,23.78,22.78,23.06,23.69,23.28,23.66,25.25,27.03,26.94,26.62,27.62,28.97,29.22,29.19,30.03,31.84,32.66,32.06,31.66,32.59,33.06,31.81,30.91,31.09,31.0,29.28,27.28,27.16,28.16,27.94,27.75,28.28,29.31,30.19,30.09,30.59,32.56,34.41,34.41,34.31,34.97,35.78,34.5,32.59,31.66,31.53,30.25,28.28,27.88,28.66,29.16,28.06,27.81,28.78,29.56,28.81,28.19,28.78,29.91,29.59,29.62,30.97,34.12,36.22,37.44,39.53,41.53,42.38,40.81,39.25,38.62,38.06,36.0,34.75,35.0,36.12,35.38,34.0,33.28,32.56,30.5,27.62,25.72,25.06,24.12,22.31,21.09,22.09,24.0,25.47,27.5,31.0,35.22,37.56,38.72,40.09,42.31,42.88,42.09,42.06,42.66,42.94,41.34,39.94,39.53,39.22,36.88,34.44,33.31,33.53,33.12,32.88,34.28,36.53,38.38,38.5,38.75,39.88,40.0,38.47,37.12,37.09,37.69,37.03,36.41,37.31,39.25,40.03,40.44,41.28,42.59,42.56,40.19,38.03,37.03,35.94,33.97,32.5,32.72,33.25,32.44,31.62,32.16,33.5,33.88,34.03,35.31,37.66,39.47,40.0,40.72,42.09,42.44,41.06,39.31,38.72,38.28,36.38,33.94,32.94,32.97,32.03,30.66,30.69,31.91,33.25,33.44,33.69,35.06,36.12,35.22,34.94,36.44,38.75,40.06,40.84,64.0,63.16,62.34,61.75,61.5,60.75,59.28:21.97,24.03,25.59,26.41,27.5,29.59,30.62,30.28,30.28,31.53,32.22,31.41,30.19,29.75,29.75,28.72,27.19,27.12,28.34,28.81,28.66,29.28,30.81,31.56,30.56,29.19,28.66,27.78,25.41,23.12,23.06,24.03,24.88,25.28,26.69,28.75,29.31,28.56,27.38,27.22,26.66,25.34,24.75,26.56,28.56,28.84,28.53,28.97,29.5,28.94,27.78,27.81,28.53,28.06,26.84,26.12,26.84,27.34,26.81,26.28,26.91,27.19,26.5,25.38,26.0,27.41,28.16,28.41,29.56,31.81,32.84,32.34,31.31,30.62,28.91,25.69,22.44,21.06,20.97,21.0,21.06,22.72,24.66,25.09,24.0,22.91,22.69,21.75,19.88,18.53,19.22,20.03,19.62,19.06,19.66,20.81,20.72,20.56,22.22,24.38,25.97,26.59,27.03,27.72,27.03,24.81,23.06,23.31,24.34,24.56,24.78,25.91,26.94,26.56,24.81,23.97,23.97,23.47,22.19,21.81,22.66,23.38,22.62,21.53,22.38,23.25,22.62,21.81,22.03,22.69,22.53,21.19,20.94,21.72,21.5,20.19,19.34,20.09,20.75,20.56,20.97,22.47,24.0,23.78,22.0,20.91,19.81,17.59,14.44,13.28,13.5,14.22,14.75,16.0,18.72,20.84,21.25,21.12,21.94,22.66,22.0,20.66,20.31,21.09,21.34,20.94,21.78,23.59,24.59,23.91,23.25,23.62,23.47,21.91,19.66,18.88,18.16,16.12,13.47,12.44,12.47,11.81,10.59,10.62,11.75,12.38,11.78,11.81,13.75,16.78,19.78,22.84,27.41,31.31,32.97,32.41,31.69,31.88,31.88,31.91,32.91,34.66,35.97,34.88,32.59,31.53,30.5,28.16,26.16,25.91,26.34,25.88,24.28,23.19,22.75,22.03,20.81,20.84,22.75,24.38,24.56,24.25,24.75,24.94,23.59,21.5,20.94,21.12,20.94,20.09,20.09,21.22,21.72,20.66,20.25,21.03,21.69,20.94,20.06,20.81,21.72,22.06,21.38,22.09,23.72,24.31,24.06,24.47,25.34,25.41,23.53,21.78,21.91,22.91,23.0,24.03,25.94,28.25,28.41,27.12,26.84,27.47,27.31,26.38,26.56,27.78,28.47,27.66,26.84,26.69,26.19,23.44,20.56,19.16,18.81,18.0,17.16,18.06,19.94,21.09,20.56,20.31,21.0,21.56,21.06,20.97,21.69,22.66,21.88,20.47,20.53,21.25,20.88,19.38,19.09,20.12,20.97,21.06,21.94,23.66,25.0,24.28,23.44,23.53,24.06,23.06,21.0,20.25,19.69,18.06,15.69,14.66,14.97,15.28,15.28,16.19,18.94,21.34,22.16,22.41,23.38,24.47,24.56,24.38,25.75,28.16,29.66,29.75,30.38,31.75,32.28,31.31,30.38,30.09,29.56,27.22,25.12,24.81,25.88,25.69,25.06,25.25,26.09,26.09,25.22,25.44,26.91,27.66,27.03,26.25,26.38,26.41,24.97,23.31,23.31,24.66,24.94,24.81,25.44,26.69,26.66,25.09,24.03,24.25,24.25,22.91,22.16,23.0,24.44,24.94,25.09,26.59,28.31,28.34,27.41,27.16,28.06,27.97,26.94,26.62,27.78,29.28,29.69,30.16,31.81,33.38,32.59,30.56,28.97,27.72,24.94,21.44,19.19,18.38,17.66,15.94,15.19,16.22,17.34,17.44,18.06,19.94,22.16,22.81,22.47,23.09,24.47,24.94,24.66,25.19,26.38,25.97,23.19,20.62,19.25,18.34,16.81,16.06,17.47,19.44,20.25,20.84,22.53,24.94,26.38,26.69,27.19,28.78,29.59,28.91,28.59,29.47,30.72,29.78,28.41,27.88,27.53,25.56,22.78,20.97,20.66,19.97,18.69,18.56,20.34,21.81,21.91,22.03,23.78,25.53,25.5,25.12,26.25,27.28,27.09,26.28,25.97,26.81,26.91,26.41,26.56,28.53,30.69,31.12,31.41,32.97,34.62,34.25,33.5,32.97,33.09,31.56,29.0,27.75,28.19,28.75,28.5,29.25,31.34,32.59,31.84,30.53,30.28,30.19,28.0,25.5,23.66,22.38,20.22,17.66,16.06,16.47,17.19,17.06,17.91,20.16,22.38,22.66,22.88,24.38,26.47,27.28,27.38,28.47,29.78,29.66,28.12,26.72,26.19,25.28,23.41,22.03,22.38,22.72,21.47,19.88,19.62,20.38,20.12,20.03,21.75,24.69,26.38,26.66,26.91,28.12,28.72,27.31,26.38,26.59,26.81,25.5,24.34,25.19,27.41,28.53,29.25,30.47,32.44,33.56,33.06,33.19,34.84,36.44,36.5,36.0,36.88,37.09,35.47,33.25,32.53,32.84,31.94,30.62,30.0,31.06,31.31,31.03,31.19,32.91,34.16,33.62,32.56,32.5,32.44,31.0,29.41,29.5,31.19,31.97,32.19,32.91,34.59,35.53,34.66,34.28,35.19,35.62,34.34,33.03,33.19,33.22,32.03,29.84,29.22,29.69,29.62,29.56,31.0,34.03,36.34,36.78,36.94,38.03,38.16,36.81,35.09,34.56,34.53,33.41,32.25,32.44,34.12,35.03,34.78,34.56,35.25,35.0,33.09,31.47,31.5,31.75,31.12,30.0,30.22,31.5,31.19,29.78,29.16,29.78,29.62,28.75,28.94,31.28,33.78,34.94,35.88,38.69,41.22,41.91,41.53,42.38,43.06,42.06,39.75,37.84,36.75,34.81,31.72,29.41,29.22,28.91,28.06,27.0,27.97,29.16,29.19,28.69,29.88,31.62,32.5,32.31,33.03,34.66,35.56,35.22,34.91,36.22,37.06,36.22,35.03,35.53,36.22,35.59,34.28,33.84,33.81,32.47,29.81,28.12,27.78,27.25,26.12,26.06,28.38,30.41,31.06,30.91,31.97,33.0,32.62,32.16,33.22,35.22,36.28,36.25,36.41,37.69,37.12,34.59,31.31,28.94,26.5,23.34,20.41,20.16,20.78,20.16,19.19,19.38,21.22,22.44,22.91,24.56,27.44,29.84,30.94,31.88,34.53,36.44,37.47,38.31,40.41,43.91,45.94,45.94,45.66,44.84,42.06,37.16,32.84,30.41,27.88,24.5,21.31,20.62,20.72,20.66,21.06,24.16,28.62,32.03,34.47,37.97,41.91,44.47,44.97,45.59,47.66,48.84,48.34,47.47,47.59,47.44,45.56,42.91,41.78,41.44,39.84,37.31,35.88,35.44,34.47,32.75,31.62,32.91,34.03,34.41,34.75,36.88,39.25,40.25,40.12,41.16,41.31,39.88,36.56,33.88,32.47,31.09,29.12,27.97,28.62,29.41,29.03,28.38,29.09,30.03,29.5,28.16,28.03,29.03,28.91,27.94,27.16,27.53,27.19,25.25,24.06,25.38,27.62,29.0,31.16,35.38,40.0,43.25,44.91,46.72,48.94,49.28,48.0,47.28,47.78,47.88,46.12,44.66,45.25,46.66,46.91,47.38,48.91,50.25,49.94,48.0,46.28,45.81,44.22,41.56,39.72,39.75,40.22,39.69,39.22,40.25,40.88,39.44,37.09,35.94,35.22,33.38,30.72,29.5,30.38,31.12,30.91,31.72,34.0,36.03,37.19,39.09,43.06,47.5,49.94,51.0,51.94,52.25,50.38,46.75,44.34,43.16,42.25,41.06,40.75,42.41,43.31,42.03,40.25,39.31,38.72,37.09,35.41,35.25,35.41,34.66,32.16,30.34,30.25,30.25,29.41,29.84,32.12,34.34,34.5,33.81,34.16,34.22,32.66,31.12,30.72,31.62,32.03,31.25,30.91,31.53,31.06,28.94,26.78,26.44,26.34,25.47,24.84,25.78,26.97,26.88,26.03,26.25,27.44,28.19,27.91,28.28,29.84,30.75,29.66,28.09,27.31,26.25,23.66,20.78,19.72,20.03,19.75,18.69,19.0,19.97,20.25,18.88,18.12,18.88,19.75,18.97,18.81,19.78,20.91,20.56,19.97,20.41,21.44,21.72,21.56,22.81,25.34,27.78,28.34,29.38,31.41,33.09,33.12,33.12,34.38,35.56,35.88,35.59,36.22,37.78,38.22,37.0,36.59,36.66,35.78,33.09,31.09,30.75,30.78,29.59,28.5,29.12,29.5,28.69,27.25,26.75,26.69,25.72,23.78,22.78,23.06,23.69,23.28,23.66,25.25,27.03,26.94,26.62,27.62,28.97,29.22,29.19,30.03,31.84,32.66,32.06,31.66,32.59,33.06,31.81,30.91,31.09,31.0,29.28,27.28,27.16,28.16,27.94,27.75,28.28,29.31,30.19,30.09,30.59,32.56,34.41,34.41,34.31,34.97,35.78,34.5,32.59,31.66,31.53,30.25,28.28,27.88,28.66,29.16,28.06,27.81,28.78,29.56,28.81,28.19,28.78,29.91,29.59,29.62,30.97,34.12,36.22,37.44,39.53,41.53,42.38,40.81,39.25,38.62,38.06,36.0,34.75,35.0,36.12,35.38,34.0,33.28,32.56,30.5,27.62,25.72,25.06,24.12,22.31,21.09,22.09,24.0,25.47,27.5,31.0,35.22,37.56,38.72,40.09,42.31,42.88,42.09,42.06,42.66,42.94,41.34,39.94,39.53,39.22,36.88,34.44,33.31,33.53,33.12,32.88,34.28,36.53,38.38,38.5,38.75,39.88,40.0,38.47,37.12,37.09,37.69,37.03,36.41,37.31,39.25,40.03,40.44,41.28,42.59,42.56,40.19,38.03,37.03,35.94,33.97,32.5,32.72,33.25,32.44,31.62,32.16,33.5,33.88,34.03,35.31,37.66,39.47,40.0,40.72,42.09,42.44,41.06,39.31,38.72,38.28,36.38,33.94,32.94,32.97,32.03,30.66,30.69,31.91,33.25,33.44,33.69,35.06,36.12,35.22,34.94,36.44,38.75,40.06,40.84,64.0,63.16,62.34,61.75,61.5,60.75,59.28,58.03,57.62,57.44,57.09,57.06,58.0,59.47:30.28,30.28,31.53,32.22,31.41,30.19,29.75,29.75,28.72,27.19,27.12,28.34,28.81,28.66,29.28,30.81,31.56,30.56,29.19,28.66,27.78,25.41,23.12,23.06,24.03,24.88,25.28,26.69,28.75,29.31,28.56,27.38,27.22,26.66,25.34,24.75,26.56,28.56,28.84,28.53,28.97,29.5,28.94,27.78,27.81,28.53,28.06,26.84,26.12,26.84,27.34,26.81,26.28,26.91,27.19,26.5,25.38,26.0,27.41,28.16,28.41,29.56,31.81,32.84,32.34,31.31,30.62,28.91,25.69,22.44,21.06,20.97,21.0,21.06,22.72,24.66,25.09,24.0,22.91,22.69,21.75,19.88,18.53,19.22,20.03,19.62,19.06,19.66,20.81,20.72,20.56,22.22,24.38,25.97,26.59,27.03,27.72,27.03,24.81,23.06,23.31,24.34,24.56,24.78,25.91,26.94,26.56,24.81,23.97,23.97,23.47,22.19,21.81,22.66,23.38,22.62,21.53,22.38,23.25,22.62,21.81,22.03,22.69,22.53,21.19,20.94,21.72,21.5,20.19,19.34,20.09,20.75,20.56,20.97,22.47,24.0,23.78,22.0,20.91,19.81,17.59,14.44,13.28,13.5,14.22,14.75,16.0,18.72,20.84,21.25,21.12,21.94,22.66,22.0,20.66,20.31,21.09,21.34,20.94,21.78,23.59,24.59,23.91,23.25,23.62,23.47,21.91,19.66,18.88,18.16,16.12,13.47,12.44,12.47,11.81,10.59,10.62,11.75,12.38,11.78,11.81,13.75,16.78,19.78,22.84,27.41,31.31,32.97,32.41,31.69,31.88,31.88,31.91,32.91,34.66,35.97,34.88,32.59,31.53,30.5,28.16,26.16,25.91,26.34,25.88,24.28,23.19,22.75,22.03,20.81,20.84,22.75,24.38,24.56,24.25,24.75,24.94,23.59,21.5,20.94,21.12,20.94,20.09,20.09,21.22,21.72,20.66,20.25,21.03,21.69,20.94,20.06,20.81,21.72,22.06,21.38,22.09,23.72,24.31,24.06,24.47,25.34,25.41,23.53,21.78,21.91,22.91,23.0,24.03,25.94,28.25,28.41,27.12,26.84,27.47,27.31,26.38,26.56,27.78,28.47,27.66,26.84,26.69,26.19,23.44,20.56,19.16,18.81,18.0,17.16,18.06,19.94,21.09,20.56,20.31,21.0,21.56,21.06,20.97,21.69,22.66,21.88,20.47,20.53,21.25,20.88,19.38,19.09,20.12,20.97,21.06,21.94,23.66,25.0,24.28,23.44,23.53,24.06,23.06,21.0,20.25,19.69,18.06,15.69,14.66,14.97,15.28,15.28,16.19,18.94,21.34,22.16,22.41,23.38,24.47,24.56,24.38,25.75,28.16,29.66,29.75,30.38,31.75,32.28,31.31,30.38,30.09,29.56,27.22,25.12,24.81,25.88,25.69,25.06,25.25,26.09,26.09,25.22,25.44,26.91,27.66,27.03,26.25,26.38,26.41,24.97,23.31,23.31,24.66,24.94,24.81,25.44,26.69,26.66,25.09,24.03,24.25,24.25,22.91,22.16,23.0,24.44,24.94,25.09,26.59,28.31,28.34,27.41,27.16,28.06,27.97,26.94,26.62,27.78,29.28,29.69,30.16,31.81,33.38,32.59,30.56,28.97,27.72,24.94,21.44,19.19,18.38,17.66,15.94,15.19,16.22,17.34,17.44,18.06,19.94,22.16,22.81,22.47,23.09,24.47,24.94,24.66,25.19,26.38,25.97,23.19,20.62,19.25,18.34,16.81,16.06,17.47,19.44,20.25,20.84,22.53,24.94,26.38,26.69,27.19,28.78,29.59,28.91,28.59,29.47,30.72,29.78,28.41,27.88,27.53,25.56,22.78,20.97,20.66,19.97,18.69,18.56,20.34,21.81,21.91,22.03,23.78,25.53,25.5,25.12,26.25,27.28,27.09,26.28,25.97,26.81,26.91,26.41,26.56,28.53,30.69,31.12,31.41,32.97,34.62,34.25,33.5,32.97,33.09,31.56,29.0,27.75,28.19,28.75,28.5,29.25,31.34,32.59,31.84,30.53,30.28,30.19,28.0,25.5,23.66,22.38,20.22,17.66,16.06,16.47,17.19,17.06,17.91,20.16,22.38,22.66,22.88,24.38,26.47,27.28,27.38,28.47,29.78,29.66,28.12,26.72,26.19,25.28,23.41,22.03,22.38,22.72,21.47,19.88,19.62,20.38,20.12,20.03,21.75,24.69,26.38,26.66,26.91,28.12,28.72,27.31,26.38,26.59,26.81,25.5,24.34,25.19,27.41,28.53,29.25,30.47,32.44,33.56,33.06,33.19,34.84,36.44,36.5,36.0,36.88,37.09,35.47,33.25,32.53,32.84,31.94,30.62,30.0,31.06,31.31,31.03,31.19,32.91,34.16,33.62,32.56,32.5,32.44,31.0,29.41,29.5,31.19,31.97,32.19,32.91,34.59,35.53,34.66,34.28,35.19,35.62,34.34,33.03,33.19,33.22,32.03,29.84,29.22,29.69,29.62,29.56,31.0,34.03,36.34,36.78,36.94,38.03,38.16,36.81,35.09,34.56,34.53,33.41,32.25,32.44,34.12,35.03,34.78,34.56,35.25,35.0,33.09,31.47,31.5,31.75,31.12,30.0,30.22,31.5,31.19,29.78,29.16,29.78,29.62,28.75,28.94,31.28,33.78,34.94,35.88,38.69,41.22,41.91,41.53,42.38,43.06,42.06,39.75,37.84,36.75,34.81,31.72,29.41,29.22,28.91,28.06,27.0,27.97,29.16,29.19,28.69,29.88,31.62,32.5,32.31,33.03,34.66,35.56,35.22,34.91,36.22,37.06,36.22,35.03,35.53,36.22,35.59,34.28,33.84,33.81,32.47,29.81,28.12,27.78,27.25,26.12,26.06,28.38,30.41,31.06,30.91,31.97,33.0,32.62,32.16,33.22,35.22,36.28,36.25,36.41,37.69,37.12,34.59,31.31,28.94,26.5,23.34,20.41,20.16,20.78,20.16,19.19,19.38,21.22,22.44,22.91,24.56,27.44,29.84,30.94,31.88,34.53,36.44,37.47,38.31,40.41,43.91,45.94,45.94,45.66,44.84,42.06,37.16,32.84,30.41,27.88,24.5,21.31,20.62,20.72,20.66,21.06,24.16,28.62,32.03,34.47,37.97,41.91,44.47,44.97,45.59,47.66,48.84,48.34,47.47,47.59,47.44,45.56,42.91,41.78,41.44,39.84,37.31,35.88,35.44,34.47,32.75,31.62,32.91,34.03,34.41,34.75,36.88,39.25,40.25,40.12,41.16,41.31,39.88,36.56,33.88,32.47,31.09,29.12,27.97,28.62,29.41,29.03,28.38,29.09,30.03,29.5,28.16,28.03,29.03,28.91,27.94,27.16,27.53,27.19,25.25,24.06,25.38,27.62,29.0,31.16,35.38,40.0,43.25,44.91,46.72,48.94,49.28,48.0,47.28,47.78,47.88,46.12,44.66,45.25,46.66,46.91,47.38,48.91,50.25,49.94,48.0,46.28,45.81,44.22,41.56,39.72,39.75,40.22,39.69,39.22,40.25,40.88,39.44,37.09,35.94,35.22,33.38,30.72,29.5,30.38,31.12,30.91,31.72,34.0,36.03,37.19,39.09,43.06,47.5,49.94,51.0,51.94,52.25,50.38,46.75,44.34,43.16,42.25,41.06,40.75,42.41,43.31,42.03,40.25,39.31,38.72,37.09,35.41,35.25,35.41,34.66,32.16,30.34,30.25,30.25,29.41,29.84,32.12,34.34,34.5,33.81,34.16,34.22,32.66,31.12,30.72,31.62,32.03,31.25,30.91,31.53,31.06,28.94,26.78,26.44,26.34,25.47,24.84,25.78,26.97,26.88,26.03,26.25,27.44,28.19,27.91,28.28,29.84,30.75,29.66,28.09,27.31,26.25,23.66,20.78,19.72,20.03,19.75,18.69,19.0,19.97,20.25,18.88,18.12,18.88,19.75,18.97,18.81,19.78,20.91,20.56,19.97,20.41,21.44,21.72,21.56,22.81,25.34,27.78,28.34,29.38,31.41,33.09,33.12,33.12,34.38,35.56,35.88,35.59,36.22,37.78,38.22,37.0,36.59,36.66,35.78,33.09,31.09,30.75,30.78,29.59,28.5,29.12,29.5,28.69,27.25,26.75,26.69,25.72,23.78,22.78,23.06,23.69,23.28,23.66,25.25,27.03,26.94,26.62,27.62,28.97,29.22,29.19,30.03,31.84,32.66,32.06,31.66,32.59,33.06,31.81,30.91,31.09,31.0,29.28,27.28,27.16,28.16,27.94,27.75,28.28,29.31,30.19,30.09,30.59,32.56,34.41,34.41,34.31,34.97,35.78,34.5,32.59,31.66,31.53,30.25,28.28,27.88,28.66,29.16,28.06,27.81,28.78,29.56,28.81,28.19,28.78,29.91,29.59,29.62,30.97,34.12,36.22,37.44,39.53,41.53,42.38,40.81,39.25,38.62,38.06,36.0,34.75,35.0,36.12,35.38,34.0,33.28,32.56,30.5,27.62,25.72,25.06,24.12,22.31,21.09,22.09,24.0,25.47,27.5,31.0,35.22,37.56,38.72,40.09,42.31,42.88,42.09,42.06,42.66,42.94,41.34,39.94,39.53,39.22,36.88,34.44,33.31,33.53,33.12,32.88,34.28,36.53,38.38,38.5,38.75,39.88,40.0,38.47,37.12,37.09,37.69,37.03,36.41,37.31,39.25,40.03,40.44,41.28,42.59,42.56,40.19,38.03,37.03,35.94,33.97,32.5,32.72,33.25,32.44,31.62,32.16,33.5,33.88,34.03,35.31,37.66,39.47,40.0,40.72,42.09,42.44,41.06,39.31,38.72,38.28,36.38,33.94,32.94,32.97,32.03,30.66,30.69,31.91,33.25,33.44,33.69,35.06,36.12,35.22,34.94,36.44,38.75,40.06,40.84,64.0,63.16,62.34,61.75,61.5,60.75,59.28,58.03,57.62,57.44,57.09,57.06,58.0,59.47,60.25,61.16,62.59,63.97,64.16,63.84,63.41:29.75,28.72,27.19,27.12,28.34,28.81,28.66,29.28,30.81,31.56,30.56,29.19,28.66,27.78,25.41,23.12,23.06,24.03,24.88,25.28,26.69,28.75,29.31,28.56,27.38,27.22,26.66,25.34,24.75,26.56,28.56,28.84,28.53,28.97,29.5,28.94,27.78,27.81,28.53,28.06,26.84,26.12,26.84,27.34,26.81,26.28,26.91,27.19,26.5,25.38,26.0,27.41,28.16,28.41,29.56,31.81,32.84,32.34,31.31,30.62,28.91,25.69,22.44,21.06,20.97,21.0,21.06,22.72,24.66,25.09,24.0,22.91,22.69,21.75,19.88,18.53,19.22,20.03,19.62,19.06,19.66,20.81,20.72,20.56,22.22,24.38,25.97,26.59,27.03,27.72,27.03,24.81,23.06,23.31,24.34,24.56,24.78,25.91,26.94,26.56,24.81,23.97,23.97,23.47,22.19,21.81,22.66,23.38,22.62,21.53,22.38,23.25,22.62,21.81,22.03,22.69,22.53,21.19,20.94,21.72,21.5,20.19,19.34,20.09,20.75,20.56,20.97,22.47,24.0,23.78,22.0,20.91,19.81,17.59,14.44,13.28,13.5,14.22,14.75,16.0,18.72,20.84,21.25,21.12,21.94,22.66,22.0,20.66,20.31,21.09,21.34,20.94,21.78,23.59,24.59,23.91,23.25,23.62,23.47,21.91,19.66,18.88,18.16,16.12,13.47,12.44,12.47,11.81,10.59,10.62,11.75,12.38,11.78,11.81,13.75,16.78,19.78,22.84,27.41,31.31,32.97,32.41,31.69,31.88,31.88,31.91,32.91,34.66,35.97,34.88,32.59,31.53,30.5,28.16,26.16,25.91,26.34,25.88,24.28,23.19,22.75,22.03,20.81,20.84,22.75,24.38,24.56,24.25,24.75,24.94,23.59,21.5,20.94,21.12,20.94,20.09,20.09,21.22,21.72,20.66,20.25,21.03,21.69,20.94,20.06,20.81,21.72,22.06,21.38,22.09,23.72,24.31,24.06,24.47,25.34,25.41,23.53,21.78,21.91,22.91,23.0,24.03,25.94,28.25,28.41,27.12,26.84,27.47,27.31,26.38,26.56,27.78,28.47,27.66,26.84,26.69,26.19,23.44,20.56,19.16,18.81,18.0,17.16,18.06,19.94,21.09,20.56,20.31,21.0,21.56,21.06,20.97,21.69,22.66,21.88,20.47,20.53,21.25,20.88,19.38,19.09,20.12,20.97,21.06,21.94,23.66,25.0,24.28,23.44,23.53,24.06,23.06,21.0,20.25,19.69,18.06,15.69,14.66,14.97,15.28,15.28,16.19,18.94,21.34,22.16,22.41,23.38,24.47,24.56,24.38,25.75,28.16,29.66,29.75,30.38,31.75,32.28,31.31,30.38,30.09,29.56,27.22,25.12,24.81,25.88,25.69,25.06,25.25,26.09,26.09,25.22,25.44,26.91,27.66,27.03,26.25,26.38,26.41,24.97,23.31,23.31,24.66,24.94,24.81,25.44,26.69,26.66,25.09,24.03,24.25,24.25,22.91,22.16,23.0,24.44,24.94,25.09,26.59,28.31,28.34,27.41,27.16,28.06,27.97,26.94,26.62,27.78,29.28,29.69,30.16,31.81,33.38,32.59,30.56,28.97,27.72,24.94,21.44,19.19,18.38,17.66,15.94,15.19,16.22,17.34,17.44,18.06,19.94,22.16,22.81,22.47,23.09,24.47,24.94,24.66,25.19,26.38,25.97,23.19,20.62,19.25,18.34,16.81,16.06,17.47,19.44,20.25,20.84,22.53,24.94,26.38,26.69,27.19,28.78,29.59,28.91,28.59,29.47,30.72,29.78,28.41,27.88,27.53,25.56,22.78,20.97,20.66,19.97,18.69,18.56,20.34,21.81,21.91,22.03,23.78,25.53,25.5,25.12,26.25,27.28,27.09,26.28,25.97,26.81,26.91,26.41,26.56,28.53,30.69,31.12,31.41,32.97,34.62,34.25,33.5,32.97,33.09,31.56,29.0,27.75,28.19,28.75,28.5,29.25,31.34,32.59,31.84,30.53,30.28,30.19,28.0,25.5,23.66,22.38,20.22,17.66,16.06,16.47,17.19,17.06,17.91,20.16,22.38,22.66,22.88,24.38,26.47,27.28,27.38,28.47,29.78,29.66,28.12,26.72,26.19,25.28,23.41,22.03,22.38,22.72,21.47,19.88,19.62,20.38,20.12,20.03,21.75,24.69,26.38,26.66,26.91,28.12,28.72,27.31,26.38,26.59,26.81,25.5,24.34,25.19,27.41,28.53,29.25,30.47,32.44,33.56,33.06,33.19,34.84,36.44,36.5,36.0,36.88,37.09,35.47,33.25,32.53,32.84,31.94,30.62,30.0,31.06,31.31,31.03,31.19,32.91,34.16,33.62,32.56,32.5,32.44,31.0,29.41,29.5,31.19,31.97,32.19,32.91,34.59,35.53,34.66,34.28,35.19,35.62,34.34,33.03,33.19,33.22,32.03,29.84,29.22,29.69,29.62,29.56,31.0,34.03,36.34,36.78,36.94,38.03,38.16,36.81,35.09,34.56,34.53,33.41,32.25,32.44,34.12,35.03,34.78,34.56,35.25,35.0,33.09,31.47,31.5,31.75,31.12,30.0,30.22,31.5,31.19,29.78,29.16,29.78,29.62,28.75,28.94,31.28,33.78,34.94,35.88,38.69,41.22,41.91,41.53,42.38,43.06,42.06,39.75,37.84,36.75,34.81,31.72,29.41,29.22,28.91,28.06,27.0,27.97,29.16,29.19,28.69,29.88,31.62,32.5,32.31,33.03,34.66,35.56,35.22,34.91,36.22,37.06,36.22,35.03,35.53,36.22,35.59,34.28,33.84,33.81,32.47,29.81,28.12,27.78,27.25,26.12,26.06,28.38,30.41,31.06,30.91,31.97,33.0,32.62,32.16,33.22,35.22,36.28,36.25,36.41,37.69,37.12,34.59,31.31,28.94,26.5,23.34,20.41,20.16,20.78,20.16,19.19,19.38,21.22,22.44,22.91,24.56,27.44,29.84,30.94,31.88,34.53,36.44,37.47,38.31,40.41,43.91,45.94,45.94,45.66,44.84,42.06,37.16,32.84,30.41,27.88,24.5,21.31,20.62,20.72,20.66,21.06,24.16,28.62,32.03,34.47,37.97,41.91,44.47,44.97,45.59,47.66,48.84,48.34,47.47,47.59,47.44,45.56,42.91,41.78,41.44,39.84,37.31,35.88,35.44,34.47,32.75,31.62,32.91,34.03,34.41,34.75,36.88,39.25,40.25,40.12,41.16,41.31,39.88,36.56,33.88,32.47,31.09,29.12,27.97,28.62,29.41,29.03,28.38,29.09,30.03,29.5,28.16,28.03,29.03,28.91,27.94,27.16,27.53,27.19,25.25,24.06,25.38,27.62,29.0,31.16,35.38,40.0,43.25,44.91,46.72,48.94,49.28,48.0,47.28,47.78,47.88,46.12,44.66,45.25,46.66,46.91,47.38,48.91,50.25,49.94,48.0,46.28,45.81,44.22,41.56,39.72,39.75,40.22,39.69,39.22,40.25,40.88,39.44,37.09,35.94,35.22,33.38,30.72,29.5,30.38,31.12,30.91,31.72,34.0,36.03,37.19,39.09,43.06,47.5,49.94,51.0,51.94,52.25,50.38,46.75,44.34,43.16,42.25,41.06,40.75,42.41,43.31,42.03,40.25,39.31,38.72,37.09,35.41,35.25,35.41,34.66,32.16,30.34,30.25,30.25,29.41,29.84,32.12,34.34,34.5,33.81,34.16,34.22,32.66,31.12,30.72,31.62,32.03,31.25,30.91,31.53,31.06,28.94,26.78,26.44,26.34,25.47,24.84,25.78,26.97,26.88,26.03,26.25,27.44,28.19,27.91,28.28,29.84,30.75,29.66,28.09,27.31,26.25,23.66,20.78,19.72,20.03,19.75,18.69,19.0,19.97,20.25,18.88,18.12,18.88,19.75,18.97,18.81,19.78,20.91,20.56,19.97,20.41,21.44,21.72,21.56,22.81,25.34,27.78,28.34,29.38,31.41,33.09,33.12,33.12,34.38,35.56,35.88,35.59,36.22,37.78,38.22,37.0,36.59,36.66,35.78,33.09,31.09,30.75,30.78,29.59,28.5,29.12,29.5,28.69,27.25,26.75,26.69,25.72,23.78,22.78,23.06,23.69,23.28,23.66,25.25,27.03,26.94,26.62,27.62,28.97,29.22,29.19,30.03,31.84,32.66,32.06,31.66,32.59,33.06,31.81,30.91,31.09,31.0,29.28,27.28,27.16,28.16,27.94,27.75,28.28,29.31,30.19,30.09,30.59,32.56,34.41,34.41,34.31,34.97,35.78,34.5,32.59,31.66,31.53,30.25,28.28,27.88,28.66,29.16,28.06,27.81,28.78,29.56,28.81,28.19,28.78,29.91,29.59,29.62,30.97,34.12,36.22,37.44,39.53,41.53,42.38,40.81,39.25,38.62,38.06,36.0,34.75,35.0,36.12,35.38,34.0,33.28,32.56,30.5,27.62,25.72,25.06,24.12,22.31,21.09,22.09,24.0,25.47,27.5,31.0,35.22,37.56,38.72,40.09,42.31,42.88,42.09,42.06,42.66,42.94,41.34,39.94,39.53,39.22,36.88,34.44,33.31,33.53,33.12,32.88,34.28,36.53,38.38,38.5,38.75,39.88,40.0,38.47,37.12,37.09,37.69,37.03,36.41,37.31,39.25,40.03,40.44,41.28,42.59,42.56,40.19,38.03,37.03,35.94,33.97,32.5,32.72,33.25,32.44,31.62,32.16,33.5,33.88,34.03,35.31,37.66,39.47,40.0,40.72,42.09,42.44,41.06,39.31,38.72,38.28,36.38,33.94,32.94,32.97,32.03,30.66,30.69,31.91,33.25,33.44,33.69,35.06,36.12,35.22,34.94,36.44,38.75,40.06,40.84,64.0,63.16,62.34,61.75,61.5,60.75,59.28,58.03,57.62,57.44,57.09,57.06,58.0,59.47,60.25,61.16,62.59,63.97,64.16,63.84,63.41,63.34,63.25,63.41,64.03,65.28,66.78,67.06:29.28,30.81,31.56,30.56,29.19,28.66,27.78,25.41,23.12,23.06,24.03,24.88,25.28,26.69,28.75,29.31,28.56,27.38,27.22,26.66,25.34,24.75,26.56,28.56,28.84,28.53,28.97,29.5,28.94,27.78,27.81,28.53,28.06,26.84,26.12,26.84,27.34,26.81,26.28,26.91,27.19,26.5,25.38,26.0,27.41,28.16,28.41,29.56,31.81,32.84,32.34,31.31,30.62,28.91,25.69,22.44,21.06,20.97,21.0,21.06,22.72,24.66,25.09,24.0,22.91,22.69,21.75,19.88,18.53,19.22,20.03,19.62,19.06,19.66,20.81,20.72,20.56,22.22,24.38,25.97,26.59,27.03,27.72,27.03,24.81,23.06,23.31,24.34,24.56,24.78,25.91,26.94,26.56,24.81,23.97,23.97,23.47,22.19,21.81,22.66,23.38,22.62,21.53,22.38,23.25,22.62,21.81,22.03,22.69,22.53,21.19,20.94,21.72,21.5,20.19,19.34,20.09,20.75,20.56,20.97,22.47,24.0,23.78,22.0,20.91,19.81,17.59,14.44,13.28,13.5,14.22,14.75,16.0,18.72,20.84,21.25,21.12,21.94,22.66,22.0,20.66,20.31,21.09,21.34,20.94,21.78,23.59,24.59,23.91,23.25,23.62,23.47,21.91,19.66,18.88,18.16,16.12,13.47,12.44,12.47,11.81,10.59,10.62,11.75,12.38,11.78,11.81,13.75,16.78,19.78,22.84,27.41,31.31,32.97,32.41,31.69,31.88,31.88,31.91,32.91,34.66,35.97,34.88,32.59,31.53,30.5,28.16,26.16,25.91,26.34,25.88,24.28,23.19,22.75,22.03,20.81,20.84,22.75,24.38,24.56,24.25,24.75,24.94,23.59,21.5,20.94,21.12,20.94,20.09,20.09,21.22,21.72,20.66,20.25,21.03,21.69,20.94,20.06,20.81,21.72,22.06,21.38,22.09,23.72,24.31,24.06,24.47,25.34,25.41,23.53,21.78,21.91,22.91,23.0,24.03,25.94,28.25,28.41,27.12,26.84,27.47,27.31,26.38,26.56,27.78,28.47,27.66,26.84,26.69,26.19,23.44,20.56,19.16,18.81,18.0,17.16,18.06,19.94,21.09,20.56,20.31,21.0,21.56,21.06,20.97,21.69,22.66,21.88,20.47,20.53,21.25,20.88,19.38,19.09,20.12,20.97,21.06,21.94,23.66,25.0,24.28,23.44,23.53,24.06,23.06,21.0,20.25,19.69,18.06,15.69,14.66,14.97,15.28,15.28,16.19,18.94,21.34,22.16,22.41,23.38,24.47,24.56,24.38,25.75,28.16,29.66,29.75,30.38,31.75,32.28,31.31,30.38,30.09,29.56,27.22,25.12,24.81,25.88,25.69,25.06,25.25,26.09,26.09,25.22,25.44,26.91,27.66,27.03,26.25,26.38,26.41,24.97,23.31,23.31,24.66,24.94,24.81,25.44,26.69,26.66,25.09,24.03,24.25,24.25,22.91,22.16,23.0,24.44,24.94,25.09,26.59,28.31,28.34,27.41,27.16,28.06,27.97,26.94,26.62,27.78,29.28,29.69,30.16,31.81,33.38,32.59,30.56,28.97,27.72,24.94,21.44,19.19,18.38,17.66,15.94,15.19,16.22,17.34,17.44,18.06,19.94,22.16,22.81,22.47,23.09,24.47,24.94,24.66,25.19,26.38,25.97,23.19,20.62,19.25,18.34,16.81,16.06,17.47,19.44,20.25,20.84,22.53,24.94,26.38,26.69,27.19,28.78,29.59,28.91,28.59,29.47,30.72,29.78,28.41,27.88,27.53,25.56,22.78,20.97,20.66,19.97,18.69,18.56,20.34,21.81,21.91,22.03,23.78,25.53,25.5,25.12,26.25,27.28,27.09,26.28,25.97,26.81,26.91,26.41,26.56,28.53,30.69,31.12,31.41,32.97,34.62,34.25,33.5,32.97,33.09,31.56,29.0,27.75,28.19,28.75,28.5,29.25,31.34,32.59,31.84,30.53,30.28,30.19,28.0,25.5,23.66,22.38,20.22,17.66,16.06,16.47,17.19,17.06,17.91,20.16,22.38,22.66,22.88,24.38,26.47,27.28,27.38,28.47,29.78,29.66,28.12,26.72,26.19,25.28,23.41,22.03,22.38,22.72,21.47,19.88,19.62,20.38,20.12,20.03,21.75,24.69,26.38,26.66,26.91,28.12,28.72,27.31,26.38,26.59,26.81,25.5,24.34,25.19,27.41,28.53,29.25,30.47,32.44,33.56,33.06,33.19,34.84,36.44,36.5,36.0,36.88,37.09,35.47,33.25,32.53,32.84,31.94,30.62,30.0,31.06,31.31,31.03,31.19,32.91,34.16,33.62,32.56,32.5,32.44,31.0,29.41,29.5,31.19,31.97,32.19,32.91,34.59,35.53,34.66,34.28,35.19,35.62,34.34,33.03,33.19,33.22,32.03,29.84,29.22,29.69,29.62,29.56,31.0,34.03,36.34,36.78,36.94,38.03,38.16,36.81,35.09,34.56,34.53,33.41,32.25,32.44,34.12,35.03,34.78,34.56,35.25,35.0,33.09,31.47,31.5,31.75,31.12,30.0,30.22,31.5,31.19,29.78,29.16,29.78,29.62,28.75,28.94,31.28,33.78,34.94,35.88,38.69,41.22,41.91,41.53,42.38,43.06,42.06,39.75,37.84,36.75,34.81,31.72,29.41,29.22,28.91,28.06,27.0,27.97,29.16,29.19,28.69,29.88,31.62,32.5,32.31,33.03,34.66,35.56,35.22,34.91,36.22,37.06,36.22,35.03,35.53,36.22,35.59,34.28,33.84,33.81,32.47,29.81,28.12,27.78,27.25,26.12,26.06,28.38,30.41,31.06,30.91,31.97,33.0,32.62,32.16,33.22,35.22,36.28,36.25,36.41,37.69,37.12,34.59,31.31,28.94,26.5,23.34,20.41,20.16,20.78,20.16,19.19,19.38,21.22,22.44,22.91,24.56,27.44,29.84,30.94,31.88,34.53,36.44,37.47,38.31,40.41,43.91,45.94,45.94,45.66,44.84,42.06,37.16,32.84,30.41,27.88,24.5,21.31,20.62,20.72,20.66,21.06,24.16,28.62,32.03,34.47,37.97,41.91,44.47,44.97,45.59,47.66,48.84,48.34,47.47,47.59,47.44,45.56,42.91,41.78,41.44,39.84,37.31,35.88,35.44,34.47,32.75,31.62,32.91,34.03,34.41,34.75,36.88,39.25,40.25,40.12,41.16,41.31,39.88,36.56,33.88,32.47,31.09,29.12,27.97,28.62,29.41,29.03,28.38,29.09,30.03,29.5,28.16,28.03,29.03,28.91,27.94,27.16,27.53,27.19,25.25,24.06,25.38,27.62,29.0,31.16,35.38,40.0,43.25,44.91,46.72,48.94,49.28,48.0,47.28,47.78,47.88,46.12,44.66,45.25,46.66,46.91,47.38,48.91,50.25,49.94,48.0,46.28,45.81,44.22,41.56,39.72,39.75,40.22,39.69,39.22,40.25,40.88,39.44,37.09,35.94,35.22,33.38,30.72,29.5,30.38,31.12,30.91,31.72,34.0,36.03,37.19,39.09,43.06,47.5,49.94,51.0,51.94,52.25,50.38,46.75,44.34,43.16,42.25,41.06,40.75,42.41,43.31,42.03,40.25,39.31,38.72,37.09,35.41,35.25,35.41,34.66,32.16,30.34,30.25,30.25,29.41,29.84,32.12,34.34,34.5,33.81,34.16,34.22,32.66,31.12,30.72,31.62,32.03,31.25,30.91,31.53,31.06,28.94,26.78,26.44,26.34,25.47,24.84,25.78,26.97,26.88,26.03,26.25,27.44,28.19,27.91,28.28,29.84,30.75,29.66,28.09,27.31,26.25,23.66,20.78,19.72,20.03,19.75,18.69,19.0,19.97,20.25,18.88,18.12,18.88,19.75,18.97,18.81,19.78,20.91,20.56,19.97,20.41,21.44,21.72,21.56,22.81,25.34,27.78,28.34,29.38,31.41,33.09,33.12,33.12,34.38,35.56,35.88,35.59,36.22,37.78,38.22,37.0,36.59,36.66,35.78,33.09,31.09,30.75,30.78,29.59,28.5,29.12,29.5,28.69,27.25,26.75,26.69,25.72,23.78,22.78,23.06,23.69,23.28,23.66,25.25,27.03,26.94,26.62,27.62,28.97,29.22,29.19,30.03,31.84,32.66,32.06,31.66,32.59,33.06,31.81,30.91,31.09,31.0,29.28,27.28,27.16,28.16,27.94,27.75,28.28,29.31,30.19,30.09,30.59,32.56,34.41,34.41,34.31,34.97,35.78,34.5,32.59,31.66,31.53,30.25,28.28,27.88,28.66,29.16,28.06,27.81,28.78,29.56,28.81,28.19,28.78,29.91,29.59,29.62,30.97,34.12,36.22,37.44,39.53,41.53,42.38,40.81,39.25,38.62,38.06,36.0,34.75,35.0,36.12,35.38,34.0,33.28,32.56,30.5,27.62,25.72,25.06,24.12,22.31,21.09,22.09,24.0,25.47,27.5,31.0,35.22,37.56,38.72,40.09,42.31,42.88,42.09,42.06,42.66,42.94,41.34,39.94,39.53,39.22,36.88,34.44,33.31,33.53,33.12,32.88,34.28,36.53,38.38,38.5,38.75,39.88,40.0,38.47,37.12,37.09,37.69,37.03,36.41,37.31,39.25,40.03,40.44,41.28,42.59,42.56,40.19,38.03,37.03,35.94,33.97,32.5,32.72,33.25,32.44,31.62,32.16,33.5,33.88,34.03,35.31,37.66,39.47,40.0,40.72,42.09,42.44,41.06,39.31,38.72,38.28,36.38,33.94,32.94,32.97,32.03,30.66,30.69,31.91,33.25,33.44,33.69,35.06,36.12,35.22,34.94,36.44,38.75,40.06,40.84,64.0,63.16,62.34,61.75,61.5,60.75,59.28,58.03,57.62,57.44,57.09,57.06,58.0,59.47,60.25,61.16,62.59,63.97,64.16,63.84,63.41,63.34,63.25,63.41,64.03,65.28,66.78,67.06,67.0,67.22,66.91,66.31,65.91,66.03,66.41:25.41,23.12,23.06,24.03,24.88,25.28,26.69,28.75,29.31,28.56,27.38,27.22,26.66,25.34,24.75,26.56,28.56,28.84,28.53,28.97,29.5,28.94,27.78,27.81,28.53,28.06,26.84,26.12,26.84,27.34,26.81,26.28,26.91,27.19,26.5,25.38,26.0,27.41,28.16,28.41,29.56,31.81,32.84,32.34,31.31,30.62,28.91,25.69,22.44,21.06,20.97,21.0,21.06,22.72,24.66,25.09,24.0,22.91,22.69,21.75,19.88,18.53,19.22,20.03,19.62,19.06,19.66,20.81,20.72,20.56,22.22,24.38,25.97,26.59,27.03,27.72,27.03,24.81,23.06,23.31,24.34,24.56,24.78,25.91,26.94,26.56,24.81,23.97,23.97,23.47,22.19,21.81,22.66,23.38,22.62,21.53,22.38,23.25,22.62,21.81,22.03,22.69,22.53,21.19,20.94,21.72,21.5,20.19,19.34,20.09,20.75,20.56,20.97,22.47,24.0,23.78,22.0,20.91,19.81,17.59,14.44,13.28,13.5,14.22,14.75,16.0,18.72,20.84,21.25,21.12,21.94,22.66,22.0,20.66,20.31,21.09,21.34,20.94,21.78,23.59,24.59,23.91,23.25,23.62,23.47,21.91,19.66,18.88,18.16,16.12,13.47,12.44,12.47,11.81,10.59,10.62,11.75,12.38,11.78,11.81,13.75,16.78,19.78,22.84,27.41,31.31,32.97,32.41,31.69,31.88,31.88,31.91,32.91,34.66,35.97,34.88,32.59,31.53,30.5,28.16,26.16,25.91,26.34,25.88,24.28,23.19,22.75,22.03,20.81,20.84,22.75,24.38,24.56,24.25,24.75,24.94,23.59,21.5,20.94,21.12,20.94,20.09,20.09,21.22,21.72,20.66,20.25,21.03,21.69,20.94,20.06,20.81,21.72,22.06,21.38,22.09,23.72,24.31,24.06,24.47,25.34,25.41,23.53,21.78,21.91,22.91,23.0,24.03,25.94,28.25,28.41,27.12,26.84,27.47,27.31,26.38,26.56,27.78,28.47,27.66,26.84,26.69,26.19,23.44,20.56,19.16,18.81,18.0,17.16,18.06,19.94,21.09,20.56,20.31,21.0,21.56,21.06,20.97,21.69,22.66,21.88,20.47,20.53,21.25,20.88,19.38,19.09,20.12,20.97,21.06,21.94,23.66,25.0,24.28,23.44,23.53,24.06,23.06,21.0,20.25,19.69,18.06,15.69,14.66,14.97,15.28,15.28,16.19,18.94,21.34,22.16,22.41,23.38,24.47,24.56,24.38,25.75,28.16,29.66,29.75,30.38,31.75,32.28,31.31,30.38,30.09,29.56,27.22,25.12,24.81,25.88,25.69,25.06,25.25,26.09,26.09,25.22,25.44,26.91,27.66,27.03,26.25,26.38,26.41,24.97,23.31,23.31,24.66,24.94,24.81,25.44,26.69,26.66,25.09,24.03,24.25,24.25,22.91,22.16,23.0,24.44,24.94,25.09,26.59,28.31,28.34,27.41,27.16,28.06,27.97,26.94,26.62,27.78,29.28,29.69,30.16,31.81,33.38,32.59,30.56,28.97,27.72,24.94,21.44,19.19,18.38,17.66,15.94,15.19,16.22,17.34,17.44,18.06,19.94,22.16,22.81,22.47,23.09,24.47,24.94,24.66,25.19,26.38,25.97,23.19,20.62,19.25,18.34,16.81,16.06,17.47,19.44,20.25,20.84,22.53,24.94,26.38,26.69,27.19,28.78,29.59,28.91,28.59,29.47,30.72,29.78,28.41,27.88,27.53,25.56,22.78,20.97,20.66,19.97,18.69,18.56,20.34,21.81,21.91,22.03,23.78,25.53,25.5,25.12,26.25,27.28,27.09,26.28,25.97,26.81,26.91,26.41,26.56,28.53,30.69,31.12,31.41,32.97,34.62,34.25,33.5,32.97,33.09,31.56,29.0,27.75,28.19,28.75,28.5,29.25,31.34,32.59,31.84,30.53,30.28,30.19,28.0,25.5,23.66,22.38,20.22,17.66,16.06,16.47,17.19,17.06,17.91,20.16,22.38,22.66,22.88,24.38,26.47,27.28,27.38,28.47,29.78,29.66,28.12,26.72,26.19,25.28,23.41,22.03,22.38,22.72,21.47,19.88,19.62,20.38,20.12,20.03,21.75,24.69,26.38,26.66,26.91,28.12,28.72,27.31,26.38,26.59,26.81,25.5,24.34,25.19,27.41,28.53,29.25,30.47,32.44,33.56,33.06,33.19,34.84,36.44,36.5,36.0,36.88,37.09,35.47,33.25,32.53,32.84,31.94,30.62,30.0,31.06,31.31,31.03,31.19,32.91,34.16,33.62,32.56,32.5,32.44,31.0,29.41,29.5,31.19,31.97,32.19,32.91,34.59,35.53,34.66,34.28,35.19,35.62,34.34,33.03,33.19,33.22,32.03,29.84,29.22,29.69,29.62,29.56,31.0,34.03,36.34,36.78,36.94,38.03,38.16,36.81,35.09,34.56,34.53,33.41,32.25,32.44,34.12,35.03,34.78,34.56,35.25,35.0,33.09,31.47,31.5,31.75,31.12,30.0,30.22,31.5,31.19,29.78,29.16,29.78,29.62,28.75,28.94,31.28,33.78,34.94,35.88,38.69,41.22,41.91,41.53,42.38,43.06,42.06,39.75,37.84,36.75,34.81,31.72,29.41,29.22,28.91,28.06,27.0,27.97,29.16,29.19,28.69,29.88,31.62,32.5,32.31,33.03,34.66,35.56,35.22,34.91,36.22,37.06,36.22,35.03,35.53,36.22,35.59,34.28,33.84,33.81,32.47,29.81,28.12,27.78,27.25,26.12,26.06,28.38,30.41,31.06,30.91,31.97,33.0,32.62,32.16,33.22,35.22,36.28,36.25,36.41,37.69,37.12,34.59,31.31,28.94,26.5,23.34,20.41,20.16,20.78,20.16,19.19,19.38,21.22,22.44,22.91,24.56,27.44,29.84,30.94,31.88,34.53,36.44,37.47,38.31,40.41,43.91,45.94,45.94,45.66,44.84,42.06,37.16,32.84,30.41,27.88,24.5,21.31,20.62,20.72,20.66,21.06,24.16,28.62,32.03,34.47,37.97,41.91,44.47,44.97,45.59,47.66,48.84,48.34,47.47,47.59,47.44,45.56,42.91,41.78,41.44,39.84,37.31,35.88,35.44,34.47,32.75,31.62,32.91,34.03,34.41,34.75,36.88,39.25,40.25,40.12,41.16,41.31,39.88,36.56,33.88,32.47,31.09,29.12,27.97,28.62,29.41,29.03,28.38,29.09,30.03,29.5,28.16,28.03,29.03,28.91,27.94,27.16,27.53,27.19,25.25,24.06,25.38,27.62,29.0,31.16,35.38,40.0,43.25,44.91,46.72,48.94,49.28,48.0,47.28,47.78,47.88,46.12,44.66,45.25,46.66,46.91,47.38,48.91,50.25,49.94,48.0,46.28,45.81,44.22,41.56,39.72,39.75,40.22,39.69,39.22,40.25,40.88,39.44,37.09,35.94,35.22,33.38,30.72,29.5,30.38,31.12,30.91,31.72,34.0,36.03,37.19,39.09,43.06,47.5,49.94,51.0,51.94,52.25,50.38,46.75,44.34,43.16,42.25,41.06,40.75,42.41,43.31,42.03,40.25,39.31,38.72,37.09,35.41,35.25,35.41,34.66,32.16,30.34,30.25,30.25,29.41,29.84,32.12,34.34,34.5,33.81,34.16,34.22,32.66,31.12,30.72,31.62,32.03,31.25,30.91,31.53,31.06,28.94,26.78,26.44,26.34,25.47,24.84,25.78,26.97,26.88,26.03,26.25,27.44,28.19,27.91,28.28,29.84,30.75,29.66,28.09,27.31,26.25,23.66,20.78,19.72,20.03,19.75,18.69,19.0,19.97,20.25,18.88,18.12,18.88,19.75,18.97,18.81,19.78,20.91,20.56,19.97,20.41,21.44,21.72,21.56,22.81,25.34,27.78,28.34,29.38,31.41,33.09,33.12,33.12,34.38,35.56,35.88,35.59,36.22,37.78,38.22,37.0,36.59,36.66,35.78,33.09,31.09,30.75,30.78,29.59,28.5,29.12,29.5,28.69,27.25,26.75,26.69,25.72,23.78,22.78,23.06,23.69,23.28,23.66,25.25,27.03,26.94,26.62,27.62,28.97,29.22,29.19,30.03,31.84,32.66,32.06,31.66,32.59,33.06,31.81,30.91,31.09,31.0,29.28,27.28,27.16,28.16,27.94,27.75,28.28,29.31,30.19,30.09,30.59,32.56,34.41,34.41,34.31,34.97,35.78,34.5,32.59,31.66,31.53,30.25,28.28,27.88,28.66,29.16,28.06,27.81,28.78,29.56,28.81,28.19,28.78,29.91,29.59,29.62,30.97,34.12,36.22,37.44,39.53,41.53,42.38,40.81,39.25,38.62,38.06,36.0,34.75,35.0,36.12,35.38,34.0,33.28,32.56,30.5,27.62,25.72,25.06,24.12,22.31,21.09,22.09,24.0,25.47,27.5,31.0,35.22,37.56,38.72,40.09,42.31,42.88,42.09,42.06,42.66,42.94,41.34,39.94,39.53,39.22,36.88,34.44,33.31,33.53,33.12,32.88,34.28,36.53,38.38,38.5,38.75,39.88,40.0,38.47,37.12,37.09,37.69,37.03,36.41,37.31,39.25,40.03,40.44,41.28,42.59,42.56,40.19,38.03,37.03,35.94,33.97,32.5,32.72,33.25,32.44,31.62,32.16,33.5,33.88,34.03,35.31,37.66,39.47,40.0,40.72,42.09,42.44,41.06,39.31,38.72,38.28,36.38,33.94,32.94,32.97,32.03,30.66,30.69,31.91,33.25,33.44,33.69,35.06,36.12,35.22,34.94,36.44,38.75,40.06,40.84,64.0,63.16,62.34,61.75,61.5,60.75,59.28,58.03,57.62,57.44,57.09,57.06,58.0,59.47,60.25,61.16,62.59,63.97,64.16,63.84,63.41,63.34,63.25,63.41,64.03,65.28,66.78,67.06,67.0,67.22,66.91,66.31,65.91,66.03,66.41,67.0,67.19,67.25,67.12,66.16,64.5,62.72:negativity
-1.09,-0.34,0.28,-0.97,-2.34,-1.94,-1.28,-1.44,-1.91,-0.66,1.12,1.94,2.25,3.75,6.44,8.06,8.06,8.12,9.16,9.97,8.78,8.06,8.47,9.34,8.97,7.78,7.69,8.31,7.62,5.81,4.56,4.62,4.09,2.5,2.0,3.06,4.88,4.66,4.75,5.84,8.0,8.31,8.12,8.81,10.22,10.06,9.38,9.94,12.28,14.25,15.38,16.56,18.78,20.16,19.69,17.72,16.44,15.03,11.97,8.88,7.12,7.25,7.31,6.81,6.81,7.81,8.47,8.19,8.09,9.94,12.62,13.44,14.03,15.44,17.31,17.72,17.19,17.09,17.19,14.97,11.03,6.97,4.19,1.34,-2.19,-4.22,-4.44,-3.56,-3.81,-3.47,-1.34,2.25,4.44,6.31,9.34,12.94,15.41,16.59,17.59,19.59,20.12,18.84,17.25,16.62,16.16,13.69,10.81,9.0,7.75,5.34,2.47,0.84,0.97,0.94,0.53,1.53,4.09,6.69,7.53,7.81,9.34,10.84,10.03,8.59,7.56,6.88,4.53,1.31,-0.72,-1.53,-2.22,-4.09,-4.88,-3.66,-2.16,-1.91,-1.22,0.72,3.38,4.94,6.22,8.53,11.19,12.34,11.72,11.12,11.56,11.62,10.66,10.09,10.81,11.41,9.97,7.56,6.25,5.22,2.88,-0.31,-2.16,-2.5,-3.22,-4.09,-3.69,-1.25,0.75,1.81,2.94,5.12,6.84,6.47,5.25,5.22,5.69,5.53,5.31,5.94,7.5,7.62,7.09,6.59,7.56,7.84,6.72,5.0,4.44,3.41,1.0,-1.56,-2.53,-2.0,-1.78,-1.72,-1.28,-0.22,-0.62,-2.56,-4.25,-4.66,-5.16,-6.81,-8.34,-7.81,-6.78,-6.47,-6.19,-4.19,-1.81,-0.47,-0.06,1.22,3.78,5.41,5.84,6.5,8.47,9.91,10.16,10.41,11.94,13.47,13.25,12.5,13.06,14.09,14.28,13.72,13.53,13.94,12.78,9.47,5.84,4.06,2.47,0.19,-1.19,-0.56,0.78,0.94,0.5,1.66,3.69,4.91,5.09,5.56,7.06,7.56,6.94,6.53,8.34,10.31,11.12,11.78,14.12,16.62,17.56,17.19,16.47,16.06,14.09,11.0,8.91,8.38,7.62,5.84,3.72,2.69,1.59,-0.19,-2.19,-1.44,0.59,2.06,3.41,5.0,7.22,7.75,7.06,6.12,6.84,7.12,6.78,6.62,7.97,9.56,9.66,9.28,9.94,10.78,9.97,8.66,7.5,7.44,7.06,6.22,5.75,7.03,7.72,6.44,4.5,3.5,2.16,0.09,-1.94,-1.97,-0.62,0.25,0.94,2.5,4.97,7.06,7.28,7.38,8.38,8.88,8.22,7.72,9.19,12.06,14.22,15.81,18.75,21.25,22.0,20.94,19.59,18.91,16.81,12.59,7.94,4.38,0.72,-3.81,-7.41,-8.16,-7.34,-6.56,-5.72,-3.69,0.03,2.59,3.81,5.47,7.78,9.16,8.91,8.91,10.84,13.0,13.41,13.06,13.69,14.56,13.78,12.44,12.38,13.12,13.0,11.06,9.16,7.91,6.03,2.44,-1.22,-2.97,-4.66,-7.25,-9.84,-10.06,-9.16,-8.69,-8.19,-6.62,-3.44,-0.5,1.12,3.03,6.0,8.09,7.97,6.81,6.69,5.94,4.03,1.5,1.09,1.31,0.56,-0.88,-1.75,-1.53,-1.53,-2.62,-2.38,-0.5,1.56,2.06,2.28,3.88,5.22,5.03,4.25,4.66,4.91,4.38,2.47,1.44,1.44,1.09,-0.44,-1.69,-1.09,-0.56,-1.62,-3.0,-3.09,-2.88,-4.12,-6.0,-5.69,-4.81,-3.94,-3.5,-1.97,0.94,3.5,4.19,4.28,5.5,6.34,5.41,4.25,5.0,6.09,5.5,3.81,2.66,1.34,-0.69,-3.66,-5.19,-5.06,-4.34,-4.62,-4.5,-2.91,-0.94,-0.34,-0.78,0.38,1.75,1.72,0.69,0.44,0.78,0.84,-0.25,-0.25,1.41,3.31,3.66,3.78,4.84,4.91,3.03,-0.03,-2.34,-3.88,-5.75,-8.66,-9.81,-9.22,-8.75,-9.06,-8.25,-6.28,-4.66,-4.53,-4.28,-2.22,0.53,1.81,1.94,2.94,3.34,2.25,0.22,-0.25,0.97,2.34,2.44,2.91,3.5,3.31,0.94,-1.94,-3.28,-3.88,-4.84,-6.06,-5.62,-3.84,-3.16,-3.88,-3.84,-2.69,-1.88,-2.12,-1.47,0.62,2.69,3.25,2.97,3.59,4.84,4.56,3.84,4.41,5.88,6.94,6.94,7.53,8.91,9.62,8.31,6.72,5.72,4.31,1.44,-2.09,-3.91,-4.47,-5.19,-5.81,-4.44,-1.97,-0.12,0.38,2.06,4.53,7.38,9.06,10.41,12.94,14.84,14.84,13.5,13.34,13.34,12.06,9.69,7.69,6.47,4.44,1.09,-1.19,-1.72,-1.69,-2.59,-2.97,-1.31,0.69,2.0,2.75,5.09,8.25,10.41,11.0,11.62,12.38,12.03,9.53,7.25,6.88,7.41,6.94,6.62,7.91,8.94,8.0,5.94,4.59,4.31,3.38,1.19,-0.09,-0.09,-0.09,-1.16,-1.19,0.66,3.12,4.09,5.09,7.41,10.38,12.0,12.38,12.81,13.81,13.25,11.44,10.19,10.94,11.56,10.69,9.78,9.62,9.41,6.81,4.03,2.59,2.31,0.81,-0.69,-0.69,0.53,1.5,1.81,2.81,5.28,7.03,6.28,5.28,5.5,5.81,4.66,3.22,3.0,3.06,2.19,0.59,0.25,1.53,2.56,1.97,1.47,2.06,2.16,0.62,-0.25,0.78,2.5,3.0,3.38,5.06,7.34,8.22,8.0,7.97,8.44,7.69,5.16,2.59,1.31,0.12,-2.25,-3.81,-3.16,-1.06,0.0,0.16,0.97,2.31,1.47,-0.91,-2.38,-2.81,-2.94,-3.97,-4.0,-1.56,0.75,1.59,1.91,3.38,4.81,4.56,4.12,4.81,7.16,9.28,10.62,12.31,14.78,16.28,15.44,14.41,14.81,15.31,14.34,13.22,13.5,14.5,14.06,12.66,12.41,13.34,13.56,12.12,11.0,10.59,9.88,6.78,4.03,3.0,2.56,0.94,-0.38,0.34,2.72,4.38,5.72,7.91,11.56,14.25,15.44,16.97,19.25,20.41,18.69,15.94,12.84,8.75,1.75,-6.06,-12.69,-17.62,-22.53,-26.34,-26.62,-23.16,-18.59,-14.0,-8.31,-1.91,3.81,7.09,9.84,13.47,16.28,16.34,14.81,13.44,12.28,10.09,7.34,5.59,5.53,5.16,3.5,2.5,2.66,3.16,1.97,1.0,1.91,3.66,4.31,4.16,4.59,5.44,4.75,2.56,1.22,2.25,3.5,3.88,4.66,7.0,8.94,8.66,8.12,8.78,9.91,9.38,8.06,7.62,8.66,8.56,8.06,8.25,10.25,11.72,11.19,10.06,9.88,9.34,6.53,3.0,1.12,-0.16,-2.09,-4.97,-6.06,-5.81,-5.91,-6.97,-7.0,-5.03,-3.03,-2.03,-1.09,1.78,4.94,5.84,5.88,6.41,7.09,6.03,3.56,1.72,1.25,0.19,-1.91,-3.09,-2.56,-2.25,-3.28,-4.59,-4.12,-2.69,-2.59,-2.44,-0.84,2.06,3.81,4.94,6.91,9.75,12.12,12.94,13.34,15.41,16.75,16.53,15.75,16.38,17.31,16.47,14.56,13.22,12.44,10.56,7.5,5.12,4.25,2.81,0.34,-2.12,-2.34,-2.59,-4.19,-6.25,-6.62,-6.09,-6.66,-6.66,-5.34,-2.03,0.25,1.94,4.44,8.12,11.19,12.22,12.41,13.34,13.62,12.12,10.19,9.78,10.56,10.62,10.06,10.84,12.56,13.06,11.94,10.44,10.25,9.0,6.19,3.72,3.44,4.16,4.34,4.69,6.44,8.53,8.81,7.69,7.09,8.09,8.75,8.53,9.12,11.03,11.94,10.72,8.75,8.0,7.41,5.62,3.31,3.03,4.09,4.34,4.44,5.31,7.59,8.84,8.59,8.31,8.97,9.56,8.28,7.12,8.47,10.94,12.56,13.5,14.91,16.22,15.81,13.62,11.91,11.94,11.0,8.84,7.06,6.41,6.34,5.09,3.56,4.25,6.06,7.34,8.22,10.53,13.69,15.25,15.25,14.59,14.28,13.31,10.62,8.56,8.06,8.59,8.75,8.72,10.47,13.0,13.72,13.31,13.31,13.81,13.91,12.72,12.0,12.66,12.81,11.41,10.16,10.47,11.19,10.28,8.31,8.0,8.72,8.41,7.5,7.62,8.59,8.72,7.66,7.56,9.31,10.88,11.06,10.66,11.47,12.59,12.44,11.66,12.44,13.41,13.25,11.59,10.91,11.66,11.41,9.78,8.56,8.31,7.84,6.25,4.81,5.34,6.38,6.41,5.62,6.44,8.12,8.62,7.62,7.56,8.06,8.03,6.31,5.25,5.84,6.47,5.84,4.56,4.78,5.44,4.31,2.59,2.28,3.12,3.25,2.09,2.0,3.34,4.62,4.44,4.88,7.34,9.47,10.81,11.28,12.97,15.38,16.22,15.81,16.56,17.59,17.84,16.5,15.5,16.62,17.5,16.75,15.91,16.94,17.88,17.41,16.5,16.69,17.16,16.06,14.09,13.0,13.66,13.91,12.84,12.09,12.91,12.88,11.53,10.03,10.0,10.12,9.53,8.19,8.91,10.88,12.03,12.38,12.81,13.75,13.84,12.12,10.16,9.78,9.38,7.53,5.25,4.25,3.59,1.94,0.28,0.75,3.09,5.91,8.16,10.72,14.16,15.84,14.53,12.66,11.19,10.09,7.66,5.62,5.34,5.72,5.22,4.0,3.94,5.03,5.84,5.84,6.59,9.12,12.03,13.56,15.16,18.31,20.59,20.19,18.75,17.78,17.22,15.88,13.5,12.56,12.34,10.97,8.19,5.5,4.72,4.69,4.03,4.06,6.19,8.78,9.78,10.5,12.62,15.09,16.56,16.72,17.53,18.81,19.16,17.88,16.56,16.28,15.94,13.62,11.62,11.19,10.91,9.28,7.03,6.41,7.03,7.44,7.66,9.25:-1.44,-1.91,-0.66,1.12,1.94,2.25,3.75,6.44,8.06,8.06,8.12,9.16,9.97,8.78,8.06,8.47,9.34,8.97,7.78,7.69,8.31,7.62,5.81,4.56,4.62,4.09,2.5,2.0,3.06,4.88,4.66,4.75,5.84,8.0,8.31,8.12,8.81,10.22,10.06,9.38,9.94,12.28,14.25,15.38,16.56,18.78,20.16,19.69,17.72,16.44,15.03,11.97,8.88,7.12,7.25,7.31,6.81,6.81,7.81,8.47,8.19,8.09,9.94,12.62,13.44,14.03,15.44,17.31,17.72,17.19,17.09,17.19,14.97,11.03,6.97,4.19,1.34,-2.19,-4.22,-4.44,-3.56,-3.81,-3.47,-1.34,2.25,4.44,6.31,9.34,12.94,15.41,16.59,17.59,19.59,20.12,18.84,17.25,16.62,16.16,13.69,10.81,9.0,7.75,5.34,2.47,0.84,0.97,0.94,0.53,1.53,4.09,6.69,7.53,7.81,9.34,10.84,10.03,8.59,7.56,6.88,4.53,1.31,-0.72,-1.53,-2.22,-4.09,-4.88,-3.66,-2.16,-1.91,-1.22,0.72,3.38,4.94,6.22,8.53,11.19,12.34,11.72,11.12,11.56,11.62,10.66,10.09,10.81,11.41,9.97,7.56,6.25,5.22,2.88,-0.31,-2.16,-2.5,-3.22,-4.09,-3.69,-1.25,0.75,1.81,2.94,5.12,6.84,6.47,5.25,5.22,5.69,5.53,5.31,5.94,7.5,7.62,7.09,6.59,7.56,7.84,6.72,5.0,4.44,3.41,1.0,-1.56,-2.53,-2.0,-1.78,-1.72,-1.28,-0.22,-0.62,-2.56,-4.25,-4.66,-5.16,-6.81,-8.34,-7.81,-6.78,-6.47,-6.19,-4.19,-1.81,-0.47,-0.06,1.22,3.78,5.41,5.84,6.5,8.47,9.91,10.16,10.41,11.94,13.47,13.25,12.5,13.06,14.09,14.28,13.72,13.53,13.94,12.78,9.47,5.84,4.06,2.47,0.19,-1.19,-0.56,0.78,0.94,0.5,1.66,3.69,4.91,5.09,5.56,7.06,7.56,6.94,6.53,8.34,10.31,11.12,11.78,14.12,16.62,17.56,17.19,16.47,16.06,14.09,11.0,8.91,8.38,7.62,5.84,3.72,2.69,1.59,-0.19,-2.19,-1.44,0.59,2.06,3.41,5.0,7.22,7.75,7.06,6.12,6.84,7.12,6.78,6.62,7.97,9.56,9.66,9.28,9.94,10.78,9.97,8.66,7.5,7.44,7.06,6.22,5.75,7.03,7.72,6.44,4.5,3.5,2.16,0.09,-1.94,-1.97,-0.62,0.25,0.94,2.5,4.97,7.06,7.28,7.38,8.38,8.88,8.22,7.72,9.19,12.06,14.22,15.81,18.75,21.25,22.0,20.94,19.59,18.91,16.81,12.59,7.94,4.38,0.72,-3.81,-7.41,-8.16,-7.34,-6.56,-5.72,-3.69,0.03,2.59,3.81,5.47,7.78,9.16,8.91,8.91,10.84,13.0,13.41,13.06,13.69,14.56,13.78,12.44,12.38,13.12,13.0,11.06,9.16,7.91,6.03,2.44,-1.22,-2.97,-4.66,-7.25,-9.84,-10.06,-9.16,-8.69,-8.19,-6.62,-3.44,-0.5,1.12,3.03,6.0,8.09,7.97,6.81,6.69,5.94,4.03,1.5,1.09,1.31,0.56,-0.88,-1.75,-1.53,-1.53,-2.62,-2.38,-0.5,1.56,2.06,2.28,3.88,5.22,5.03,4.25,4.66,4.91,4.38,2.47,1.44,1.44,1.09,-0.44,-1.69,-1.09,-0.56,-1.62,-3.0,-3.09,-2.88,-4.12,-6.0,-5.69,-4.81,-3.94,-3.5,-1.97,0.94,3.5,4.19,4.28,5.5,6.34,5.41,4.25,5.0,6.09,5.5,3.81,2.66,1.34,-0.69,-3.66,-5.19,-5.06,-4.34,-4.62,-4.5,-2.91,-0.94,-0.34,-0.78,0.38,1.75,1.72,0.69,0.44,0.78,0.84,-0.25,-0.25,1.41,3.31,3.66,3.78,4.84,4.91,3.03,-0.03,-2.34,-3.88,-5.75,-8.66,-9.81,-9.22,-8.75,-9.06,-8.25,-6.28,-4.66,-4.53,-4.28,-2.22,0.53,1.81,1.94,2.94,3.34,2.25,0.22,-0.25,0.97,2.34,2.44,2.91,3.5,3.31,0.94,-1.94,-3.28,-3.88,-4.84,-6.06,-5.62,-3.84,-3.16,-3.88,-3.84,-2.69,-1.88,-2.12,-1.47,0.62,2.69,3.25,2.97,3.59,4.84,4.56,3.84,4.41,5.88,6.94,6.94,7.53,8.91,9.62,8.31,6.72,5.72,4.31,1.44,-2.09,-3.91,-4.47,-5.19,-5.81,-4.44,-1.97,-0.12,0.38,2.06,4.53,7.38,9.06,10.41,12.94,14.84,14.84,13.5,13.34,13.34,12.06,9.69,7.69,6.47,4.44,1.09,-1.19,-1.72,-1.69,-2.59,-2.97,-1.31,0.69,2.0,2.75,5.09,8.25,10.41,11.0,11.62,12.38,12.03,9.53,7.25,6.88,7.41,6.94,6.62,7.91,8.94,8.0,5.94,4.59,4.31,3.38,1.19,-0.09,-0.09,-0.09,-1.16,-1.19,0.66,3.12,4.09,5.09,7.41,10.38,12.0,12.38,12.81,13.81,13.25,11.44,10.19,10.94,11.56,10.69,9.78,9.62,9.41,6.81,4.03,2.59,2.31,0.81,-0.69,-0.69,0.53,1.5,1.81,2.81,5.28,7.03,6.28,5.28,5.5,5.81,4.66,3.22,3.0,3.06,2.19,0.59,0.25,1.53,2.56,1.97,1.47,2.06,2.16,0.62,-0.25,0.78,2.5,3.0,3.38,5.06,7.34,8.22,8.0,7.97,8.44,7.69,5.16,2.59,1.31,0.12,-2.25,-3.81,-3.16,-1.06,0.0,0.16,0.97,2.31,1.47,-0.91,-2.38,-2.81,-2.94,-3.97,-4.0,-1.56,0.75,1.59,1.91,3.38,4.81,4.56,4.12,4.81,7.16,9.28,10.62,12.31,14.78,16.28,15.44,14.41,14.81,15.31,14.34,13.22,13.5,14.5,14.06,12.66,12.41,13.34,13.56,12.12,11.0,10.59,9.88,6.78,4.03,3.0,2.56,0.94,-0.38,0.34,2.72,4.38,5.72,7.91,11.56,14.25,15.44,16.97,19.25,20.41,18.69,15.94,12.84,8.75,1.75,-6.06,-12.69,-17.62,-22.53,-26.34,-26.62,-23.16,-18.59,-14.0,-8.31,-1.91,3.81,7.09,9.84,13.47,16.28,16.34,14.81,13.44,12.28,10.09,7.34,5.59,5.53,5.16,3.5,2.5,2.66,3.16,1.97,1.0,1.91,3.66,4.31,4.16,4.59,5.44,4.75,2.56,1.22,2.25,3.5,3.88,4.66,7.0,8.94,8.66,8.12,8.78,9.91,9.38,8.06,7.62,8.66,8.56,8.06,8.25,10.25,11.72,11.19,10.06,9.88,9.34,6.53,3.0,1.12,-0.16,-2.09,-4.97,-6.06,-5.81,-5.91,-6.97,-7.0,-5.03,-3.03,-2.03,-1.09,1.78,4.94,5.84,5.88,6.41,7.09,6.03,3.56,1.72,1.25,0.19,-1.91,-3.09,-2.56,-2.25,-3.28,-4.59,-4.12,-2.69,-2.59,-2.44,-0.84,2.06,3.81,4.94,6.91,9.75,12.12,12.94,13.34,15.41,16.75,16.53,15.75,16.38,17.31,16.47,14.56,13.22,12.44,10.56,7.5,5.12,4.25,2.81,0.34,-2.12,-2.34,-2.59,-4.19,-6.25,-6.62,-6.09,-6.66,-6.66,-5.34,-2.03,0.25,1.94,4.44,8.12,11.19,12.22,12.41,13.34,13.62,12.12,10.19,9.78,10.56,10.62,10.06,10.84,12.56,13.06,11.94,10.44,10.25,9.0,6.19,3.72,3.44,4.16,4.34,4.69,6.44,8.53,8.81,7.69,7.09,8.09,8.75,8.53,9.12,11.03,11.94,10.72,8.75,8.0,7.41,5.62,3.31,3.03,4.09,4.34,4.44,5.31,7.59,8.84,8.59,8.31,8.97,9.56,8.28,7.12,8.47,10.94,12.56,13.5,14.91,16.22,15.81,13.62,11.91,11.94,11.0,8.84,7.06,6.41,6.34,5.09,3.56,4.25,6.06,7.34,8.22,10.53,13.69,15.25,15.25,14.59,14.28,13.31,10.62,8.56,8.06,8.59,8.75,8.72,10.47,13.0,13.72,13.31,13.31,13.81,13.91,12.72,12.0,12.66,12.81,11.41,10.16,10.47,11.19,10.28,8.31,8.0,8.72,8.41,7.5,7.62,8.59,8.72,7.66,7.56,9.31,10.88,11.06,10.66,11.47,12.59,12.44,11.66,12.44,13.41,13.25,11.59,10.91,11.66,11.41,9.78,8.56,8.31,7.84,6.25,4.81,5.34,6.38,6.41,5.62,6.44,8.12,8.62,7.62,7.56,8.06,8.03,6.31,5.25,5.84,6.47,5.84,4.56,4.78,5.44,4.31,2.59,2.28,3.12,3.25,2.09,2.0,3.34,4.62,4.44,4.88,7.34,9.47,10.81,11.28,12.97,15.38,16.22,15.81,16.56,17.59,17.84,16.5,15.5,16.62,17.5,16.75,15.91,16.94,17.88,17.41,16.5,16.69,17.16,16.06,14.09,13.0,13.66,13.91,12.84,12.09,12.91,12.88,11.53,10.03,10.0,10.12,9.53,8.19,8.91,10.88,12.03,12.38,12.81,13.75,13.84,12.12,10.16,9.78,9.38,7.53,5.25,4.25,3.59,1.94,0.28,0.75,3.09,5.91,8.16,10.72,14.16,15.84,14.53,12.66,11.19,10.09,7.66,5.62,5.34,5.72,5.22,4.0,3.94,5.03,5.84,5.84,6.59,9.12,12.03,13.56,15.16,18.31,20.59,20.19,18.75,17.78,17.22,15.88,13.5,12.56,12.34,10.97,8.19,5.5,4.72,4.69,4.03,4.06,6.19,8.78,9.78,10.5,12.62,15.09,16.56,16.72,17.53,18.81,19.16,17.88,16.56,16.28,15.94,13.62,11.62,11.19,10.91,9.28,7.03,6.41,7.03,7.44,7.66,9.25,36.19,35.31,35.5,36.06,36.5,36.84,37.59:6.44,8.06,8.06,8.12,9.16,9.97,8.78,8.06,8.47,9.34,8.97,7.78,7.69,8.31,7.62,5.81,4.56,4.62,4.09,2.5,2.0,3.06,4.88,4.66,4.75,5.84,8.0,8.31,8.12,8.81,10.22,10.06,9.38,9.94,12.28,14.25,15.38,16.56,18.78,20.16,19.69,17.72,16.44,15.03,11.97,8.88,7.12,7.25,7.31,6.81,6.81,7.81,8.47,8.19,8.09,9.94,12.62,13.44,14.03,15.44,17.31,17.72,17.19,17.09,17.19,14.97,11.03,6.97,4.19,1.34,-2.19,-4.22,-4.44,-3.56,-3.81,-3.47,-1.34,2.25,4.44,6.31,9.34,12.94,15.41,16.59,17.59,19.59,20.12,18.84,17.25,16.62,16.16,13.69,10.81,9.0,7.75,5.34,2.47,0.84,0.97,0.94,0.53,1.53,4.09,6.69,7.53,7.81,9.34,10.84,10.03,8.59,7.56,6.88,4.53,1.31,-0.72,-1.53,-2.22,-4.09,-4.88,-3.66,-2.16,-1.91,-1.22,0.72,3.38,4.94,6.22,8.53,11.19,12.34,11.72,11.12,11.56,11.62,10.66,10.09,10.81,11.41,9.97,7.56,6.25,5.22,2.88,-0.31,-2.16,-2.5,-3.22,-4.09,-3.69,-1.25,0.75,1.81,2.94,5.12,6.84,6.47,5.25,5.22,5.69,5.53,5.31,5.94,7.5,7.62,7.09,6.59,7.56,7.84,6.72,5.0,4.44,3.41,1.0,-1.56,-2.53,-2.0,-1.78,-1.72,-1.28,-0.22,-0.62,-2.56,-4.25,-4.66,-5.16,-6.81,-8.34,-7.81,-6.78,-6.47,-6.19,-4.19,-1.81,-0.47,-0.06,1.22,3.78,5.41,5.84,6.5,8.47,9.91,10.16,10.41,11.94,13.47,13.25,12.5,13.06,14.09,14.28,13.72,13.53,13.94,12.78,9.47,5.84,4.06,2.47,0.19,-1.19,-0.56,0.78,0.94,0.5,1.66,3.69,4.91,5.09,5.56,7.06,7.56,6.94,6.53,8.34,10.31,11.12,11.78,14.12,16.62,17.56,17.19,16.47,16.06,14.09,11.0,8.91,8.38,7.62,5.84,3.72,2.69,1.59,-0.19,-2.19,-1.44,0.59,2.06,3.41,5.0,7.22,7.75,7.06,6.12,6.84,7.12,6.78,6.62,7.97,9.56,9.66,9.28,9.94,10.78,9.97,8.66,7.5,7.44,7.06,6.22,5.75,7.03,7.72,6.44,4.5,3.5,2.16,0.09,-1.94,-1.97,-0.62,0.25,0.94,2.5,4.97,7.06,7.28,7.38,8.38,8.88,8.22,7.72,9.19,12.06,14.22,15.81,18.75,21.25,22.0,20.94,19.59,18.91,16.81,12.59,7.94,4.38,0.72,-3.81,-7.41,-8.16,-7.34,-6.56,-5.72,-3.69,0.03,2.59,3.81,5.47,7.78,9.16,8.91,8.91,10.84,13.0,13.41,13.06,13.69,14.56,13.78,12.44,12.38,13.12,13.0,11.06,9.16,7.91,6.03,2.44,-1.22,-2.97,-4.66,-7.25,-9.84,-10.06,-9.16,-8.69,-8.19,-6.62,-3.44,-0.5,1.12,3.03,6.0,8.09,7.97,6.81,6.69,5.94,4.03,1.5,1.09,1.31,0.56,-0.88,-1.75,-1.53,-1.53,-2.62,-2.38,-0.5,1.56,2.06,2.28,3.88,5.22,5.03,4.25,4.66,4.91,4.38,2.47,1.44,1.44,1.09,-0.44,-1.69,-1.09,-0.56,-1.62,-3.0,-3.09,-2.88,-4.12,-6.0,-5.69,-4.81,-3.94,-3.5,-1.97,0.94,3.5,4.19,4.28,5.5,6.34,5.41,4.25,5.0,6.09,5.5,3.81,2.66,1.34,-0.69,-3.66,-5.19,-5.06,-4.34,-4.62,-4.5,-2.91,-0.94,-0.34,-0.78,0.38,1.75,1.72,0.69,0.44,0.78,0.84,-0.25,-0.25,1.41,3.31,3.66,3.78,4.84,4.91,3.03,-0.03,-2.34,-3.88,-5.75,-8.66,-9.81,-9.22,-8.75,-9.06,-8.25,-6.28,-4.66,-4.53,-4.28,-2.22,0.53,1.81,1.94,2.94,3.34,2.25,0.22,-0.25,0.97,2.34,2.44,2.91,3.5,3.31,0.94,-1.94,-3.28,-3.88,-4.84,-6.06,-5.62,-3.84,-3.16,-3.88,-3.84,-2.69,-1.88,-2.12,-1.47,0.62,2.69,3.25,2.97,3.59,4.84,4.56,3.84,4.41,5.88,6.94,6.94,7.53,8.91,9.62,8.31,6.72,5.72,4.31,1.44,-2.09,-3.91,-4.47,-5.19,-5.81,-4.44,-1.97,-0.12,0.38,2.06,4.53,7.38,9.06,10.41,12.94,14.84,14.84,13.5,13.34,13.34,12.06,9.69,7.69,6.47,4.44,1.09,-1.19,-1.72,-1.69,-2.59,-2.97,-1.31,0.69,2.0,2.75,5.09,8.25,10.41,11.0,11.62,12.38,12.03,9.53,7.25,6.88,7.41,6.94,6.62,7.91,8.94,8.0,5.94,4.59,4.31,3.38,1.19,-0.09,-0.09,-0.09,-1.16,-1.19,0.66,3.12,4.09,5.09,7.41,10.38,12.0,12.38,12.81,13.81,13.25,11.44,10.19,10.94,11.56,10.69,9.78,9.62,9.41,6.81,4.03,2.59,2.31,0.81,-0.69,-0.69,0.53,1.5,1.81,2.81,5.28,7.03,6.28,5.28,5.5,5.81,4.66,3.22,3.0,3.06,2.19,0.59,0.25,1.53,2.56,1.97,1.47,2.06,2.16,0.62,-0.25,0.78,2.5,3.0,3.38,5.06,7.34,8.22,8.0,7.97,8.44,7.69,5.16,2.59,1.31,0.12,-2.25,-3.81,-3.16,-1.06,0.0,0.16,0.97,2.31,1.47,-0.91,-2.38,-2.81,-2.94,-3.97,-4.0,-1.56,0.75,1.59,1.91,3.38,4.81,4.56,4.12,4.81,7.16,9.28,10.62,12.31,14.78,16.28,15.44,14.41,14.81,15.31,14.34,13.22,13.5,14.5,14.06,12.66,12.41,13.34,13.56,12.12,11.0,10.59,9.88,6.78,4.03,3.0,2.56,0.94,-0.38,0.34,2.72,4.38,5.72,7.91,11.56,14.25,15.44,16.97,19.25,20.41,18.69,15.94,12.84,8.75,1.75,-6.06,-12.69,-17.62,-22.53,-26.34,-26.62,-23.16,-18.59,-14.0,-8.31,-1.91,3.81,7.09,9.84,13.47,16.28,16.34,14.81,13.44,12.28,10.09,7.34,5.59,5.53,5.16,3.5,2.5,2.66,3.16,1.97,1.0,1.91,3.66,4.31,4.16,4.59,5.44,4.75,2.56,1.22,2.25,3.5,3.88,4.66,7.0,8.94,8.66,8.12,8.78,9.91,9.38,8.06,7.62,8.66,8.56,8.06,8.25,10.25,11.72,11.19,10.06,9.88,9.34,6.53,3.0,1.12,-0.16,-2.09,-4.97,-6.06,-5.81,-5.91,-6.97,-7.0,-5.03,-3.03,-2.03,-1.09,1.78,4.94,5.84,5.88,6.41,7.09,6.03,3.56,1.72,1.25,0.19,-1.91,-3.09,-2.56,-2.25,-3.28,-4.59,-4.12,-2.69,-2.59,-2.44,-0.84,2.06,3.81,4.94,6.91,9.75,12.12,12.94,13.34,15.41,16.75,16.53,15.75,16.38,17.31,16.47,14.56,13.22,12.44,10.56,7.5,5.12,4.25,2.81,0.34,-2.12,-2.34,-2.59,-4.19,-6.25,-6.62,-6.09,-6.66,-6.66,-5.34,-2.03,0.25,1.94,4.44,8.12,11.19,12.22,12.41,13.34,13.62,12.12,10.19,9.78,10.56,10.62,10.06,10.84,12.56,13.06,11.94,10.44,10.25,9.0,6.19,3.72,3.44,4.16,4.34,4.69,6.44,8.53,8.81,7.69,7.09,8.09,8.75,8.53,9.12,11.03,11.94,10.72,8.75,8.0,7.41,5.62,3.31,3.03,4.09,4.34,4.44,5.31,7.59,8.84,8.59,8.31,8.97,9.56,8.28,7.12,8.47,10.94,12.56,13.5,14.91,16.22,15.81,13.62,11.91,11.94,11.0,8.84,7.06,6.41,6.34,5.09,3.56,4.25,6.06,7.34,8.22,10.53,13.69,15.25,15.25,14.59,14.28,13.31,10.62,8.56,8.06,8.59,8.75,8.72,10.47,13.0,13.72,13.31,13.31,13.81,13.91,12.72,12.0,12.66,12.81,11.41,10.16,10.47,11.19,10.28,8.31,8.0,8.72,8.41,7.5,7.62,8.59,8.72,7.66,7.56,9.31,10.88,11.06,10.66,11.47,12.59,12.44,11.66,12.44,13.41,13.25,11.59,10.91,11.66,11.41,9.78,8.56,8.31,7.84,6.25,4.81,5.34,6.38,6.41,5.62,6.44,8.12,8.62,7.62,7.56,8.06,8.03,6.31,5.25,5.84,6.47,5.84,4.56,4.78,5.44,4.31,2.59,2.28,3.12,3.25,2.09,2.0,3.34,4.62,4.44,4.88,7.34,9.47,10.81,11.28,12.97,15.38,16.22,15.81,16.56,17.59,17.84,16.5,15.5,16.62,17.5,16.75,15.91,16.94,17.88,17.41,16.5,16.69,17.16,16.06,14.09,13.0,13.66,13.91,12.84,12.09,12.91,12.88,11.53,10.03,10.0,10.12,9.53,8.19,8.91,10.88,12.03,12.38,12.81,13.75,13.84,12.12,10.16,9.78,9.38,7.53,5.25,4.25,3.59,1.94,0.28,0.75,3.09,5.91,8.16,10.72,14.16,15.84,14.53,12.66,11.19,10.09,7.66,5.62,5.34,5.72,5.22,4.0,3.94,5.03,5.84,5.84,6.59,9.12,12.03,13.56,15.16,18.31,20.59,20.19,18.75,17.78,17.22,15.88,13.5,12.56,12.34,10.97,8.19,5.5,4.72,4.69,4.03,4.06,6.19,8.78,9.78,10.5,12.62,15.09,16.56,16.72,17.53,18.81,19.16,17.88,16.56,16.28,15.94,13.62,11.62,11.19,10.91,9.28,7.03,6.41,7.03,7.44,7.66,9.25,36.19,35.31,35.5,36.06,36.5,36.84,37.59,38.91,39.69,40.44,40.84,41.69,42.47,43.44:8.06,8.47,9.34,8.97,7.78,7.69,8.31,7.62,5.81,4.56,4.62,4.09,2.5,2.0,3.06,4.88,4.66,4.75,5.84,8.0,8.31,8.12,8.81,10.22,10.06,9.38,9.94,12.28,14.25,15.38,16.56,18.78,20.16,19.69,17.72,16.44,15.03,11.97,8.88,7.12,7.25,7.31,6.81,6.81,7.81,8.47,8.19,8.09,9.94,12.62,13.44,14.03,15.44,17.31,17.72,17.19,17.09,17.19,14.97,11.03,6.97,4.19,1.34,-2.19,-4.22,-4.44,-3.56,-3.81,-3.47,-1.34,2.25,4.44,6.31,9.34,12.94,15.41,16.59,17.59,19.59,20.12,18.84,17.25,16.62,16.16,13.69,10.81,9.0,7.75,5.34,2.47,0.84,0.97,0.94,0.53,1.53,4.09,6.69,7.53,7.81,9.34,10.84,10.03,8.59,7.56,6.88,4.53,1.31,-0.72,-1.53,-2.22,-4.09,-4.88,-3.66,-2.16,-1.91,-1.22,0.72,3.38,4.94,6.22,8.53,11.19,12.34,11.72,11.12,11.56,11.62,10.66,10.09,10.81,11.41,9.97,7.56,6.25,5.22,2.88,-0.31,-2.16,-2.5,-3.22,-4.09,-3.69,-1.25,0.75,1.81,2.94,5.12,6.84,6.47,5.25,5.22,5.69,5.53,5.31,5.94,7.5,7.62,7.09,6.59,7.56,7.84,6.72,5.0,4.44,3.41,1.0,-1.56,-2.53,-2.0,-1.78,-1.72,-1.28,-0.22,-0.62,-2.56,-4.25,-4.66,-5.16,-6.81,-8.34,-7.81,-6.78,-6.47,-6.19,-4.19,-1.81,-0.47,-0.06,1.22,3.78,5.41,5.84,6.5,8.47,9.91,10.16,10.41,11.94,13.47,13.25,12.5,13.06,14.09,14.28,13.72,13.53,13.94,12.78,9.47,5.84,4.06,2.47,0.19,-1.19,-0.56,0.78,0.94,0.5,1.66,3.69,4.91,5.09,5.56,7.06,7.56,6.94,6.53,8.34,10.31,11.12,11.78,14.12,16.62,17.56,17.19,16.47,16.06,14.09,11.0,8.91,8.38,7.62,5.84,3.72,2.69,1.59,-0.19,-2.19,-1.44,0.59,2.06,3.41,5.0,7.22,7.75,7.06,6.12,6.84,7.12,6.78,6.62,7.97,9.56,9.66,9.28,9.94,10.78,9.97,8.66,7.5,7.44,7.06,6.22,5.75,7.03,7.72,6.44,4.5,3.5,2.16,0.09,-1.94,-1.97,-0.62,0.25,0.94,2.5,4.97,7.06,7.28,7.38,8.38,8.88,8.22,7.72,9.19,12.06,14.22,15.81,18.75,21.25,22.0,20.94,19.59,18.91,16.81,12.59,7.94,4.38,0.72,-3.81,-7.41,-8.16,-7.34,-6.56,-5.72,-3.69,0.03,2.59,3.81,5.47,7.78,9.16,8.91,8.91,10.84,13.0,13.41,13.06,13.69,14.56,13.78,12.44,12.38,13.12,13.0,11.06,9.16,7.91,6.03,2.44,-1.22,-2.97,-4.66,-7.25,-9.84,-10.06,-9.16,-8.69,-8.19,-6.62,-3.44,-0.5,1.12,3.03,6.0,8.09,7.97,6.81,6.69,5.94,4.03,1.5,1.09,1.31,0.56,-0.88,-1.75,-1.53,-1.53,-2.62,-2.38,-0.5,1.56,2.06,2.28,3.88,5.22,5.03,4.25,4.66,4.91,4.38,2.47,1.44,1.44,1.09,-0.44,-1.69,-1.09,-0.56,-1.62,-3.0,-3.09,-2.88,-4.12,-6.0,-5.69,-4.81,-3.94,-3.5,-1.97,0.94,3.5,4.19,4.28,5.5,6.34,5.41,4.25,5.0,6.09,5.5,3.81,2.66,1.34,-0.69,-3.66,-5.19,-5.06,-4.34,-4.62,-4.5,-2.91,-0.94,-0.34,-0.78,0.38,1.75,1.72,0.69,0.44,0.78,0.84,-0.25,-0.25,1.41,3.31,3.66,3.78,4.84,4.91,3.03,-0.03,-2.34,-3.88,-5.75,-8.66,-9.81,-9.22,-8.75,-9.06,-8.25,-6.28,-4.66,-4.53,-4.28,-2.22,0.53,1.81,1.94,2.94,3.34,2.25,0.22,-0.25,0.97,2.34,2.44,2.91,3.5,3.31,0.94,-1.94,-3.28,-3.88,-4.84,-6.06,-5.62,-3.84,-3.16,-3.88,-3.84,-2.69,-1.88,-2.12,-1.47,0.62,2.69,3.25,2.97,3.59,4.84,4.56,3.84,4.41,5.88,6.94,6.94,7.53,8.91,9.62,8.31,6.72,5.72,4.31,1.44,-2.09,-3.91,-4.47,-5.19,-5.81,-4.44,-1.97,-0.12,0.38,2.06,4.53,7.38,9.06,10.41,12.94,14.84,14.84,13.5,13.34,13.34,12.06,9.69,7.69,6.47,4.44,1.09,-1.19,-1.72,-1.69,-2.59,-2.97,-1.31,0.69,2.0,2.75,5.09,8.25,10.41,11.0,11.62,12.38,12.03,9.53,7.25,6.88,7.41,6.94,6.62,7.91,8.94,8.0,5.94,4.59,4.31,3.38,1.19,-0.09,-0.09,-0.09,-1.16,-1.19,0.66,3.12,4.09,5.09,7.41,10.38,12.0,12.38,12.81,13.81,13.25,11.44,10.19,10.94,11.56,10.69,9.78,9.62,9.41,6.81,4.03,2.59,2.31,0.81,-0.69,-0.69,0.53,1.5,1.81,2.81,5.28,7.03,6.28,5.28,5.5,5.81,4.66,3.22,3.0,3.06,2.19,0.59,0.25,1.53,2.56,1.97,1.47,2.06,2.16,0.62,-0.25,0.78,2.5,3.0,3.38,5.06,7.34,8.22,8.0,7.97,8.44,7.69,5.16,2.59,1.31,0.12,-2.25,-3.81,-3.16,-1.06,0.0,0.16,0.97,2.31,1.47,-0.91,-2.38,-2.81,-2.94,-3.97,-4.0,-1.56,0.75,1.59,1.91,3.38,4.81,4.56,4.12,4.81,7.16,9.28,10.62,12.31,14.78,16.28,15.44,14.41,14.81,15.31,14.34,13.22,13.5,14.5,14.06,12.66,12.41,13.34,13.56,12.12,11.0,10.59,9.88,6.78,4.03,3.0,2.56,0.94,-0.38,0.34,2.72,4.38,5.72,7.91,11.56,14.25,15.44,16.97,19.25,20.41,18.69,15.94,12.84,8.75,1.75,-6.06,-12.69,-17.62,-22.53,-26.34,-26.62,-23.16,-18.59,-14.0,-8.31,-1.91,3.81,7.09,9.84,13.47,16.28,16.34,14.81,13.44,12.28,10.09,7.34,5.59,5.53,5.16,3.5,2.5,2.66,3.16,1.97,1.0,1.91,3.66,4.31,4.16,4.59,5.44,4.75,2.56,1.22,2.25,3.5,3.88,4.66,7.0,8.94,8.66,8.12,8.78,9.91,9.38,8.06,7.62,8.66,8.56,8.06,8.25,10.25,11.72,11.19,10.06,9.88,9.34,6.53,3.0,1.12,-0.16,-2.09,-4.97,-6.06,-5.81,-5.91,-6.97,-7.0,-5.03,-3.03,-2.03,-1.09,1.78,4.94,5.84,5.88,6.41,7.09,6.03,3.56,1.72,1.25,0.19,-1.91,-3.09,-2.56,-2.25,-3.28,-4.59,-4.12,-2.69,-2.59,-2.44,-0.84,2.06,3.81,4.94,6.91,9.75,12.12,12.94,13.34,15.41,16.75,16.53,15.75,16.38,17.31,16.47,14.56,13.22,12.44,10.56,7.5,5.12,4.25,2.81,0.34,-2.12,-2.34,-2.59,-4.19,-6.25,-6.62,-6.09,-6.66,-6.66,-5.34,-2.03,0.25,1.94,4.44,8.12,11.19,12.22,12.41,13.34,13.62,12.12,10.19,9.78,10.56,10.62,10.06,10.84,12.56,13.06,11.94,10.44,10.25,9.0,6.19,3.72,3.44,4.16,4.34,4.69,6.44,8.53,8.81,7.69,7.09,8.09,8.75,8.53,9.12,11.03,11.94,10.72,8.75,8.0,7.41,5.62,3.31,3.03,4.09,4.34,4.44,5.31,7.59,8.84,8.59,8.31,8.97,9.56,8.28,7.12,8.47,10.94,12.56,13.5,14.91,16.22,15.81,13.62,11.91,11.94,11.0,8.84,7.06,6.41,6.34,5.09,3.56,4.25,6.06,7.34,8.22,10.53,13.69,15.25,15.25,14.59,14.28,13.31,10.62,8.56,8.06,8.59,8.75,8.72,10.47,13.0,13.72,13.31,13.31,13.81,13.91,12.72,12.0,12.66,12.81,11.41,10.16,10.47,11.19,10.28,8.31,8.0,8.72,8.41,7.5,7.62,8.59,8.72,7.66,7.56,9.31,10.88,11.06,10.66,11.47,12.59,12.44,11.66,12.44,13.41,13.25,11.59,10.91,11.66,11.41,9.78,8.56,8.31,7.84,6.25,4.81,5.34,6.38,6.41,5.62,6.44,8.12,8.62,7.62,7.56,8.06,8.03,6.31,5.25,5.84,6.47,5.84,4.56,4.78,5.44,4.31,2.59,2.28,3.12,3.25,2.09,2.0,3.34,4.62,4.44,4.88,7.34,9.47,10.81,11.28,12.97,15.38,16.22,15.81,16.56,17.59,17.84,16.5,15.5,16.62,17.5,16.75,15.91,16.94,17.88,17.41,16.5,16.69,17.16,16.06,14.09,13.0,13.66,13.91,12.84,12.09,12.91,12.88,11.53,10.03,10.0,10.12,9.53,8.19,8.91,10.88,12.03,12.38,12.81,13.75,13.84,12.12,10.16,9.78,9.38,7.53,5.25,4.25,3.59,1.94,0.28,0.75,3.09,5.91,8.16,10.72,14.16,15.84,14.53,12.66,11.19,10.09,7.66,5.62,5.34,5.72,5.22,4.0,3.94,5.03,5.84,5.84,6.59,9.12,12.03,13.56,15.16,18.31,20.59,20.19,18.75,17.78,17.22,15.88,13.5,12.56,12.34,10.97,8.19,5.5,4.72,4.69,4.03,4.06,6.19,8.78,9.78,10.5,12.62,15.09,16.56,16.72,17.53,18.81,19.16,17.88,16.56,16.28,15.94,13.62,11.62,11.19,10.91,9.28,7.03,6.41,7.03,7.44,7.66,9.25,36.19,35.31,35.5,36.06,36.5,36.84,37.59,38.91,39.69,40.44,40.84,41.69,42.47,43.44,45.12,47.03,49.38,51.38,52.47,53.88,54.69:7.62,5.81,4.56,4.62,4.09,2.5,2.0,3.06,4.88,4.66,4.75,5.84,8.0,8.31,8.12,8.81,10.22,10.06,9.38,9.94,12.28,14.25,15.38,16.56,18.78,20.16,19.69,17.72,16.44,15.03,11.97,8.88,7.12,7.25,7.31,6.81,6.81,7.81,8.47,8.19,8.09,9.94,12.62,13.44,14.03,15.44,17.31,17.72,17.19,17.09,17.19,14.97,11.03,6.97,4.19,1.34,-2.19,-4.22,-4.44,-3.56,-3.81,-3.47,-1.34,2.25,4.44,6.31,9.34,12.94,15.41,16.59,17.59,19.59,20.12,18.84,17.25,16.62,16.16,13.69,10.81,9.0,7.75,5.34,2.47,0.84,0.97,0.94,0.53,1.53,4.09,6.69,7.53,7.81,9.34,10.84,10.03,8.59,7.56,6.88,4.53,1.31,-0.72,-1.53,-2.22,-4.09,-4.88,-3.66,-2.16,-1.91,-1.22,0.72,3.38,4.94,6.22,8.53,11.19,12.34,11.72,11.12,11.56,11.62,10.66,10.09,10.81,11.41,9.97,7.56,6.25,5.22,2.88,-0.31,-2.16,-2.5,-3.22,-4.09,-3.69,-1.25,0.75,1.81,2.94,5.12,6.84,6.47,5.25,5.22,5.69,5.53,5.31,5.94,7.5,7.62,7.09,6.59,7.56,7.84,6.72,5.0,4.44,3.41,1.0,-1.56,-2.53,-2.0,-1.78,-1.72,-1.28,-0.22,-0.62,-2.56,-4.25,-4.66,-5.16,-6.81,-8.34,-7.81,-6.78,-6.47,-6.19,-4.19,-1.81,-0.47,-0.06,1.22,3.78,5.41,5.84,6.5,8.47,9.91,10.16,10.41,11.94,13.47,13.25,12.5,13.06,14.09,14.28,13.72,13.53,13.94,12.78,9.47,5.84,4.06,2.47,0.19,-1.19,-0.56,0.78,0.94,0.5,1.66,3.69,4.91,5.09,5.56,7.06,7.56,6.94,6.53,8.34,10.31,11.12,11.78,14.12,16.62,17.56,17.19,16.47,16.06,14.09,11.0,8.91,8.38,7.62,5.84,3.72,2.69,1.59,-0.19,-2.19,-1.44,0.59,2.06,3.41,5.0,7.22,7.75,7.06,6.12,6.84,7.12,6.78,6.62,7.97,9.56,9.66,9.28,9.94,10.78,9.97,8.66,7.5,7.44,7.06,6.22,5.75,7.03,7.72,6.44,4.5,3.5,2.16,0.09,-1.94,-1.97,-0.62,0.25,0.94,2.5,4.97,7.06,7.28,7.38,8.38,8.88,8.22,7.72,9.19,12.06,14.22,15.81,18.75,21.25,22.0,20.94,19.59,18.91,16.81,12.59,7.94,4.38,0.72,-3.81,-7.41,-8.16,-7.34,-6.56,-5.72,-3.69,0.03,2.59,3.81,5.47,7.78,9.16,8.91,8.91,10.84,13.0,13.41,13.06,13.69,14.56,13.78,12.44,12.38,13.12,13.0,11.06,9.16,7.91,6.03,2.44,-1.22,-2.97,-4.66,-7.25,-9.84,-10.06,-9.16,-8.69,-8.19,-6.62,-3.44,-0.5,1.12,3.03,6.0,8.09,7.97,6.81,6.69,5.94,4.03,1.5,1.09,1.31,0.56,-0.88,-1.75,-1.53,-1.53,-2.62,-2.38,-0.5,1.56,2.06,2.28,3.88,5.22,5.03,4.25,4.66,4.91,4.38,2.47,1.44,1.44,1.09,-0.44,-1.69,-1.09,-0.56,-1.62,-3.0,-3.09,-2.88,-4.12,-6.0,-5.69,-4.81,-3.94,-3.5,-1.97,0.94,3.5,4.19,4.28,5.5,6.34,5.41,4.25,5.0,6.09,5.5,3.81,2.66,1.34,-0.69,-3.66,-5.19,-5.06,-4.34,-4.62,-4.5,-2.91,-0.94,-0.34,-0.78,0.38,1.75,1.72,0.69,0.44,0.78,0.84,-0.25,-0.25,1.41,3.31,3.66,3.78,4.84,4.91,3.03,-0.03,-2.34,-3.88,-5.75,-8.66,-9.81,-9.22,-8.75,-9.06,-8.25,-6.28,-4.66,-4.53,-4.28,-2.22,0.53,1.81,1.94,2.94,3.34,2.25,0.22,-0.25,0.97,2.34,2.44,2.91,3.5,3.31,0.94,-1.94,-3.28,-3.88,-4.84,-6.06,-5.62,-3.84,-3.16,-3.88,-3.84,-2.69,-1.88,-2.12,-1.47,0.62,2.69,3.25,2.97,3.59,4.84,4.56,3.84,4.41,5.88,6.94,6.94,7.53,8.91,9.62,8.31,6.72,5.72,4.31,1.44,-2.09,-3.91,-4.47,-5.19,-5.81,-4.44,-1.97,-0.12,0.38,2.06,4.53,7.38,9.06,10.41,12.94,14.84,14.84,13.5,13.34,13.34,12.06,9.69,7.69,6.47,4.44,1.09,-1.19,-1.72,-1.69,-2.59,-2.97,-1.31,0.69,2.0,2.75,5.09,8.25,10.41,11.0,11.62,12.38,12.03,9.53,7.25,6.88,7.41,6.94,6.62,7.91,8.94,8.0,5.94,4.59,4.31,3.38,1.19,-0.09,-0.09,-0.09,-1.16,-1.19,0.66,3.12,4.09,5.09,7.41,10.38,12.0,12.38,12.81,13.81,13.25,11.44,10.19,10.94,11.56,10.69,9.78,9.62,9.41,6.81,4.03,2.59,2.31,0.81,-0.69,-0.69,0.53,1.5,1.81,2.81,5.28,7.03,6.28,5.28,5.5,5.81,4.66,3.22,3.0,3.06,2.19,0.59,0.25,1.53,2.56,1.97,1.47,2.06,2.16,0.62,-0.25,0.78,2.5,3.0,3.38,5.06,7.34,8.22,8.0,7.97,8.44,7.69,5.16,2.59,1.31,0.12,-2.25,-3.81,-3.16,-1.06,0.0,0.16,0.97,2.31,1.47,-0.91,-2.38,-2.81,-2.94,-3.97,-4.0,-1.56,0.75,1.59,1.91,3.38,4.81,4.56,4.12,4.81,7.16,9.28,10.62,12.31,14.78,16.28,15.44,14.41,14.81,15.31,14.34,13.22,13.5,14.5,14.06,12.66,12.41,13.34,13.56,12.12,11.0,10.59,9.88,6.78,4.03,3.0,2.56,0.94,-0.38,0.34,2.72,4.38,5.72,7.91,11.56,14.25,15.44,16.97,19.25,20.41,18.69,15.94,12.84,8.75,1.75,-6.06,-12.69,-17.62,-22.53,-26.34,-26.62,-23.16,-18.59,-14.0,-8.31,-1.91,3.81,7.09,9.84,13.47,16.28,16.34,14.81,13.44,12.28,10.09,7.34,5.59,5.53,5.16,3.5,2.5,2.66,3.16,1.97,1.0,1.91,3.66,4.31,4.16,4.59,5.44,4.75,2.56,1.22,2.25,3.5,3.88,4.66,7.0,8.94,8.66,8.12,8.78,9.91,9.38,8.06,7.62,8.66,8.56,8.06,8.25,10.25,11.72,11.19,10.06,9.88,9.34,6.53,3.0,1.12,-0.16,-2.09,-4.97,-6.06,-5.81,-5.91,-6.97,-7.0,-5.03,-3.03,-2.03,-1.09,1.78,4.94,5.84,5.88,6.41,7.09,6.03,3.56,1.72,1.25,0.19,-1.91,-3.09,-2.56,-2.25,-3.28,-4.59,-4.12,-2.69,-2.59,-2.44,-0.84,2.06,3.81,4.94,6.91,9.75,12.12,12.94,13.34,15.41,16.75,16.53,15.75,16.38,17.31,16.47,14.56,13.22,12.44,10.56,7.5,5.12,4.25,2.81,0.34,-2.12,-2.34,-2.59,-4.19,-6.25,-6.62,-6.09,-6.66,-6.66,-5.34,-2.03,0.25,1.94,4.44,8.12,11.19,12.22,12.41,13.34,13.62,12.12,10.19,9.78,10.56,10.62,10.06,10.84,12.56,13.06,11.94,10.44,10.25,9.0,6.19,3.72,3.44,4.16,4.34,4.69,6.44,8.53,8.81,7.69,7.09,8.09,8.75,8.53,9.12,11.03,11.94,10.72,8.75,8.0,7.41,5.62,3.31,3.03,4.09,4.34,4.44,5.31,7.59,8.84,8.59,8.31,8.97,9.56,8.28,7.12,8.47,10.94,12.56,13.5,14.91,16.22,15.81,13.62,11.91,11.94,11.0,8.84,7.06,6.41,6.34,5.09,3.56,4.25,6.06,7.34,8.22,10.53,13.69,15.25,15.25,14.59,14.28,13.31,10.62,8.56,8.06,8.59,8.75,8.72,10.47,13.0,13.72,13.31,13.31,13.81,13.91,12.72,12.0,12.66,12.81,11.41,10.16,10.47,11.19,10.28,8.31,8.0,8.72,8.41,7.5,7.62,8.59,8.72,7.66,7.56,9.31,10.88,11.06,10.66,11.47,12.59,12.44,11.66,12.44,13.41,13.25,11.59,10.91,11.66,11.41,9.78,8.56,8.31,7.84,6.25,4.81,5.34,6.38,6.41,5.62,6.44,8.12,8.62,7.62,7.56,8.06,8.03,6.31,5.25,5.84,6.47,5.84,4.56,4.78,5.44,4.31,2.59,2.28,3.12,3.25,2.09,2.0,3.34,4.62,4.44,4.88,7.34,9.47,10.81,11.28,12.97,15.38,16.22,15.81,16.56,17.59,17.84,16.5,15.5,16.62,17.5,16.75,15.91,16.94,17.88,17.41,16.5,16.69,17.16,16.06,14.09,13.0,13.66,13.91,12.84,12.09,12.91,12.88,11.53,10.03,10.0,10.12,9.53,8.19,8.91,10.88,12.03,12.38,12.81,13.75,13.84,12.12,10.16,9.78,9.38,7.53,5.25,4.25,3.59,1.94,0.28,0.75,3.09,5.91,8.16,10.72,14.16,15.84,14.53,12.66,11.19,10.09,7.66,5.62,5.34,5.72,5.22,4.0,3.94,5.03,5.84,5.84,6.59,9.12,12.03,13.56,15.16,18.31,20.59,20.19,18.75,17.78,17.22,15.88,13.5,12.56,12.34,10.97,8.19,5.5,4.72,4.69,4.03,4.06,6.19,8.78,9.78,10.5,12.62,15.09,16.56,16.72,17.53,18.81,19.16,17.88,16.56,16.28,15.94,13.62,11.62,11.19,10.91,9.28,7.03,6.41,7.03,7.44,7.66,9.25,36.19,35.31,35.5,36.06,36.5,36.84,37.59,38.91,39.69,40.44,40.84,41.69,42.47,43.44,45.12,47.03,49.38,51.38,52.47,53.88,54.69,55.16,54.94,54.34,54.19,53.19,51.62,49.88:3.06,4.88,4.66,4.75,5.84,8.0,8.31,8.12,8.81,10.22,10.06,9.38,9.94,12.28,14.25,15.38,16.56,18.78,20.16,19.69,17.72,16.44,15.03,11.97,8.88,7.12,7.25,7.31,6.81,6.81,7.81,8.47,8.19,8.09,9.94,12.62,13.44,14.03,15.44,17.31,17.72,17.19,17.09,17.19,14.97,11.03,6.97,4.19,1.34,-2.19,-4.22,-4.44,-3.56,-3.81,-3.47,-1.34,2.25,4.44,6.31,9.34,12.94,15.41,16.59,17.59,19.59,20.12,18.84,17.25,16.62,16.16,13.69,10.81,9.0,7.75,5.34,2.47,0.84,0.97,0.94,0.53,1.53,4.09,6.69,7.53,7.81,9.34,10.84,10.03,8.59,7.56,6.88,4.53,1.31,-0.72,-1.53,-2.22,-4.09,-4.88,-3.66,-2.16,-1.91,-1.22,0.72,3.38,4.94,6.22,8.53,11.19,12.34,11.72,11.12,11.56,11.62,10.66,10.09,10.81,11.41,9.97,7.56,6.25,5.22,2.88,-0.31,-2.16,-2.5,-3.22,-4.09,-3.69,-1.25,0.75,1.81,2.94,5.12,6.84,6.47,5.25,5.22,5.69,5.53,5.31,5.94,7.5,7.62,7.09,6.59,7.56,7.84,6.72,5.0,4.44,3.41,1.0,-1.56,-2.53,-2.0,-1.78,-1.72,-1.28,-0.22,-0.62,-2.56,-4.25,-4.66,-5.16,-6.81,-8.34,-7.81,-6.78,-6.47,-6.19,-4.19,-1.81,-0.47,-0.06,1.22,3.78,5.41,5.84,6.5,8.47,9.91,10.16,10.41,11.94,13.47,13.25,12.5,13.06,14.09,14.28,13.72,13.53,13.94,12.78,9.47,5.84,4.06,2.47,0.19,-1.19,-0.56,0.78,0.94,0.5,1.66,3.69,4.91,5.09,5.56,7.06,7.56,6.94,6.53,8.34,10.31,11.12,11.78,14.12,16.62,17.56,17.19,16.47,16.06,14.09,11.0,8.91,8.38,7.62,5.84,3.72,2.69,1.59,-0.19,-2.19,-1.44,0.59,2.06,3.41,5.0,7.22,7.75,7.06,6.12,6.84,7.12,6.78,6.62,7.97,9.56,9.66,9.28,9.94,10.78,9.97,8.66,7.5,7.44,7.06,6.22,5.75,7.03,7.72,6.44,4.5,3.5,2.16,0.09,-1.94,-1.97,-0.62,0.25,0.94,2.5,4.97,7.06,7.28,7.38,8.38,8.88,8.22,7.72,9.19,12.06,14.22,15.81,18.75,21.25,22.0,20.94,19.59,18.91,16.81,12.59,7.94,4.38,0.72,-3.81,-7.41,-8.16,-7.34,-6.56,-5.72,-3.69,0.03,2.59,3.81,5.47,7.78,9.16,8.91,8.91,10.84,13.0,13.41,13.06,13.69,14.56,13.78,12.44,12.38,13.12,13.0,11.06,9.16,7.91,6.03,2.44,-1.22,-2.97,-4.66,-7.25,-9.84,-10.06,-9.16,-8.69,-8.19,-6.62,-3.44,-0.5,1.12,3.03,6.0,8.09,7.97,6.81,6.69,5.94,4.03,1.5,1.09,1.31,0.56,-0.88,-1.75,-1.53,-1.53,-2.62,-2.38,-0.5,1.56,2.06,2.28,3.88,5.22,5.03,4.25,4.66,4.91,4.38,2.47,1.44,1.44,1.09,-0.44,-1.69,-1.09,-0.56,-1.62,-3.0,-3.09,-2.88,-4.12,-6.0,-5.69,-4.81,-3.94,-3.5,-1.97,0.94,3.5,4.19,4.28,5.5,6.34,5.41,4.25,5.0,6.09,5.5,3.81,2.66,1.34,-0.69,-3.66,-5.19,-5.06,-4.34,-4.62,-4.5,-2.91,-0.94,-0.34,-0.78,0.38,1.75,1.72,0.69,0.44,0.78,0.84,-0.25,-0.25,1.41,3.31,3.66,3.78,4.84,4.91,3.03,-0.03,-2.34,-3.88,-5.75,-8.66,-9.81,-9.22,-8.75,-9.06,-8.25,-6.28,-4.66,-4.53,-4.28,-2.22,0.53,1.81,1.94,2.94,3.34,2.25,0.22,-0.25,0.97,2.34,2.44,2.91,3.5,3.31,0.94,-1.94,-3.28,-3.88,-4.84,-6.06,-5.62,-3.84,-3.16,-3.88,-3.84,-2.69,-1.88,-2.12,-1.47,0.62,2.69,3.25,2.97,3.59,4.84,4.56,3.84,4.41,5.88,6.94,6.94,7.53,8.91,9.62,8.31,6.72,5.72,4.31,1.44,-2.09,-3.91,-4.47,-5.19,-5.81,-4.44,-1.97,-0.12,0.38,2.06,4.53,7.38,9.06,10.41,12.94,14.84,14.84,13.5,13.34,13.34,12.06,9.69,7.69,6.47,4.44,1.09,-1.19,-1.72,-1.69,-2.59,-2.97,-1.31,0.69,2.0,2.75,5.09,8.25,10.41,11.0,11.62,12.38,12.03,9.53,7.25,6.88,7.41,6.94,6.62,7.91,8.94,8.0,5.94,4.59,4.31,3.38,1.19,-0.09,-0.09,-0.09,-1.16,-1.19,0.66,3.12,4.09,5.09,7.41,10.38,12.0,12.38,12.81,13.81,13.25,11.44,10.19,10.94,11.56,10.69,9.78,9.62,9.41,6.81,4.03,2.59,2.31,0.81,-0.69,-0.69,0.53,1.5,1.81,2.81,5.28,7.03,6.28,5.28,5.5,5.81,4.66,3.22,3.0,3.06,2.19,0.59,0.25,1.53,2.56,1.97,1.47,2.06,2.16,0.62,-0.25,0.78,2.5,3.0,3.38,5.06,7.34,8.22,8.0,7.97,8.44,7.69,5.16,2.59,1.31,0.12,-2.25,-3.81,-3.16,-1.06,0.0,0.16,0.97,2.31,1.47,-0.91,-2.38,-2.81,-2.94,-3.97,-4.0,-1.56,0.75,1.59,1.91,3.38,4.81,4.56,4.12,4.81,7.16,9.28,10.62,12.31,14.78,16.28,15.44,14.41,14.81,15.31,14.34,13.22,13.5,14.5,14.06,12.66,12.41,13.34,13.56,12.12,11.0,10.59,9.88,6.78,4.03,3.0,2.56,0.94,-0.38,0.34,2.72,4.38,5.72,7.91,11.56,14.25,15.44,16.97,19.25,20.41,18.69,15.94,12.84,8.75,1.75,-6.06,-12.69,-17.62,-22.53,-26.34,-26.62,-23.16,-18.59,-14.0,-8.31,-1.91,3.81,7.09,9.84,13.47,16.28,16.34,14.81,13.44,12.28,10.09,7.34,5.59,5.53,5.16,3.5,2.5,2.66,3.16,1.97,1.0,1.91,3.66,4.31,4.16,4.59,5.44,4.75,2.56,1.22,2.25,3.5,3.88,4.66,7.0,8.94,8.66,8.12,8.78,9.91,9.38,8.06,7.62,8.66,8.56,8.06,8.25,10.25,11.72,11.19,10.06,9.88,9.34,6.53,3.0,1.12,-0.16,-2.09,-4.97,-6.06,-5.81,-5.91,-6.97,-7.0,-5.03,-3.03,-2.03,-1.09,1.78,4.94,5.84,5.88,6.41,7.09,6.03,3.56,1.72,1.25,0.19,-1.91,-3.09,-2.56,-2.25,-3.28,-4.59,-4.12,-2.69,-2.59,-2.44,-0.84,2.06,3.81,4.94,6.91,9.75,12.12,12.94,13.34,15.41,16.75,16.53,15.75,16.38,17.31,16.47,14.56,13.22,12.44,10.56,7.5,5.12,4.25,2.81,0.34,-2.12,-2.34,-2.59,-4.19,-6.25,-6.62,-6.09,-6.66,-6.66,-5.34,-2.03,0.25,1.94,4.44,8.12,11.19,12.22,12.41,13.34,13.62,12.12,10.19,9.78,10.56,10.62,10.06,10.84,12.56,13.06,11.94,10.44,10.25,9.0,6.19,3.72,3.44,4.16,4.34,4.69,6.44,8.53,8.81,7.69,7.09,8.09,8.75,8.53,9.12,11.03,11.94,10.72,8.75,8.0,7.41,5.62,3.31,3.03,4.09,4.34,4.44,5.31,7.59,8.84,8.59,8.31,8.97,9.56,8.28,7.12,8.47,10.94,12.56,13.5,14.91,16.22,15.81,13.62,11.91,11.94,11.0,8.84,7.06,6.41,6.34,5.09,3.56,4.25,6.06,7.34,8.22,10.53,13.69,15.25,15.25,14.59,14.28,13.31,10.62,8.56,8.06,8.59,8.75,8.72,10.47,13.0,13.72,13.31,13.31,13.81,13.91,12.72,12.0,12.66,12.81,11.41,10.16,10.47,11.19,10.28,8.31,8.0,8.72,8.41,7.5,7.62,8.59,8.72,7.66,7.56,9.31,10.88,11.06,10.66,11.47,12.59,12.44,11.66,12.44,13.41,13.25,11.59,10.91,11.66,11.41,9.78,8.56,8.31,7.84,6.25,4.81,5.34,6.38,6.41,5.62,6.44,8.12,8.62,7.62,7.56,8.06,8.03,6.31,5.25,5.84,6.47,5.84,4.56,4.78,5.44,4.31,2.59,2.28,3.12,3.25,2.09,2.0,3.34,4.62,4.44,4.88,7.34,9.47,10.81,11.28,12.97,15.38,16.22,15.81,16.56,17.59,17.84,16.5,15.5,16.62,17.5,16.75,15.91,16.94,17.88,17.41,16.5,16.69,17.16,16.06,14.09,13.0,13.66,13.91,12.84,12.09,12.91,12.88,11.53,10.03,10.0,10.12,9.53,8.19,8.91,10.88,12.03,12.38,12.81,13.75,13.84,12.12,10.16,9.78,9.38,7.53,5.25,4.25,3.59,1.94,0.28,0.75,3.09,5.91,8.16,10.72,14.16,15.84,14.53,12.66,11.19,10.09,7.66,5.62,5.34,5.72,5.22,4.0,3.94,5.03,5.84,5.84,6.59,9.12,12.03,13.56,15.16,18.31,20.59,20.19,18.75,17.78,17.22,15.88,13.5,12.56,12.34,10.97,8.19,5.5,4.72,4.69,4.03,4.06,6.19,8.78,9.78,10.5,12.62,15.09,16.56,16.72,17.53,18.81,19.16,17.88,16.56,16.28,15.94,13.62,11.62,11.19,10.91,9.28,7.03,6.41,7.03,7.44,7.66,9.25,36.19,35.31,35.5,36.06,36.5,36.84,37.59,38.91,39.69,40.44,40.84,41.69,42.47,43.44,45.12,47.03,49.38,51.38,52.47,53.88,54.69,55.16,54.94,54.34,54.19,53.19,51.62,49.88,48.28,46.84,45.28,43.62,42.28,41.53,41.28:8.12,8.81,10.22,10.06,9.38,9.94,12.28,14.25,15.38,16.56,18.78,20.16,19.69,17.72,16.44,15.03,11.97,8.88,7.12,7.25,7.31,6.81,6.81,7.81,8.47,8.19,8.09,9.94,12.62,13.44,14.03,15.44,17.31,17.72,17.19,17.09,17.19,14.97,11.03,6.97,4.19,1.34,-2.19,-4.22,-4.44,-3.56,-3.81,-3.47,-1.34,2.25,4.44,6.31,9.34,12.94,15.41,16.59,17.59,19.59,20.12,18.84,17.25,16.62,16.16,13.69,10.81,9.0,7.75,5.34,2.47,0.84,0.97,0.94,0.53,1.53,4.09,6.69,7.53,7.81,9.34,10.84,10.03,8.59,7.56,6.88,4.53,1.31,-0.72,-1.53,-2.22,-4.09,-4.88,-3.66,-2.16,-1.91,-1.22,0.72,3.38,4.94,6.22,8.53,11.19,12.34,11.72,11.12,11.56,11.62,10.66,10.09,10.81,11.41,9.97,7.56,6.25,5.22,2.88,-0.31,-2.16,-2.5,-3.22,-4.09,-3.69,-1.25,0.75,1.81,2.94,5.12,6.84,6.47,5.25,5.22,5.69,5.53,5.31,5.94,7.5,7.62,7.09,6.59,7.56,7.84,6.72,5.0,4.44,3.41,1.0,-1.56,-2.53,-2.0,-1.78,-1.72,-1.28,-0.22,-0.62,-2.56,-4.25,-4.66,-5.16,-6.81,-8.34,-7.81,-6.78,-6.47,-6.19,-4.19,-1.81,-0.47,-0.06,1.22,3.78,5.41,5.84,6.5,8.47,9.91,10.16,10.41,11.94,13.47,13.25,12.5,13.06,14.09,14.28,13.72,13.53,13.94,12.78,9.47,5.84,4.06,2.47,0.19,-1.19,-0.56,0.78,0.94,0.5,1.66,3.69,4.91,5.09,5.56,7.06,7.56,6.94,6.53,8.34,10.31,11.12,11.78,14.12,16.62,17.56,17.19,16.47,16.06,14.09,11.0,8.91,8.38,7.62,5.84,3.72,2.69,1.59,-0.19,-2.19,-1.44,0.59,2.06,3.41,5.0,7.22,7.75,7.06,6.12,6.84,7.12,6.78,6.62,7.97,9.56,9.66,9.28,9.94,10.78,9.97,8.66,7.5,7.44,7.06,6.22,5.75,7.03,7.72,6.44,4.5,3.5,2.16,0.09,-1.94,-1.97,-0.62,0.25,0.94,2.5,4.97,7.06,7.28,7.38,8.38,8.88,8.22,7.72,9.19,12.06,14.22,15.81,18.75,21.25,22.0,20.94,19.59,18.91,16.81,12.59,7.94,4.38,0.72,-3.81,-7.41,-8.16,-7.34,-6.56,-5.72,-3.69,0.03,2.59,3.81,5.47,7.78,9.16,8.91,8.91,10.84,13.0,13.41,13.06,13.69,14.56,13.78,12.44,12.38,13.12,13.0,11.06,9.16,7.91,6.03,2.44,-1.22,-2.97,-4.66,-7.25,-9.84,-10.06,-9.16,-8.69,-8.19,-6.62,-3.44,-0.5,1.12,3.03,6.0,8.09,7.97,6.81,6.69,5.94,4.03,1.5,1.09,1.31,0.56,-0.88,-1.75,-1.53,-1.53,-2.62,-2.38,-0.5,1.56,2.06,2.28,3.88,5.22,5.03,4.25,4.66,4.91,4.38,2.47,1.44,1.44,1.09,-0.44,-1.69,-1.09,-0.56,-1.62,-3.0,-3.09,-2.88,-4.12,-6.0,-5.69,-4.81,-3.94,-3.5,-1.97,0.94,3.5,4.19,4.28,5.5,6.34,5.41,4.25,5.0,6.09,5.5,3.81,2.66,1.34,-0.69,-3.66,-5.19,-5.06,-4.34,-4.62,-4.5,-2.91,-0.94,-0.34,-0.78,0.38,1.75,1.72,0.69,0.44,0.78,0.84,-0.25,-0.25,1.41,3.31,3.66,3.78,4.84,4.91,3.03,-0.03,-2.34,-3.88,-5.75,-8.66,-9.81,-9.22,-8.75,-9.06,-8.25,-6.28,-4.66,-4.53,-4.28,-2.22,0.53,1.81,1.94,2.94,3.34,2.25,0.22,-0.25,0.97,2.34,2.44,2.91,3.5,3.31,0.94,-1.94,-3.28,-3.88,-4.84,-6.06,-5.62,-3.84,-3.16,-3.88,-3.84,-2.69,-1.88,-2.12,-1.47,0.62,2.69,3.25,2.97,3.59,4.84,4.56,3.84,4.41,5.88,6.94,6.94,7.53,8.91,9.62,8.31,6.72,5.72,4.31,1.44,-2.09,-3.91,-4.47,-5.19,-5.81,-4.44,-1.97,-0.12,0.38,2.06,4.53,7.38,9.06,10.41,12.94,14.84,14.84,13.5,13.34,13.34,12.06,9.69,7.69,6.47,4.44,1.09,-1.19,-1.72,-1.69,-2.59,-2.97,-1.31,0.69,2.0,2.75,5.09,8.25,10.41,11.0,11.62,12.38,12.03,9.53,7.25,6.88,7.41,6.94,6.62,7.91,8.94,8.0,5.94,4.59,4.31,3.38,1.19,-0.09,-0.09,-0.09,-1.16,-1.19,0.66,3.12,4.09,5.09,7.41,10.38,12.0,12.38,12.81,13.81,13.25,11.44,10.19,10.94,11.56,10.69,9.78,9.62,9.41,6.81,4.03,2.59,2.31,0.81,-0.69,-0.69,0.53,1.5,1.81,2.81,5.28,7.03,6.28,5.28,5.5,5.81,4.66,3.22,3.0,3.06,2.19,0.59,0.25,1.53,2.56,1.97,1.47,2.06,2.16,0.62,-0.25,0.78,2.5,3.0,3.38,5.06,7.34,8.22,8.0,7.97,8.44,7.69,5.16,2.59,1.31,0.12,-2.25,-3.81,-3.16,-1.06,0.0,0.16,0.97,2.31,1.47,-0.91,-2.38,-2.81,-2.94,-3.97,-4.0,-1.56,0.75,1.59,1.91,3.38,4.81,4.56,4.12,4.81,7.16,9.28,10.62,12.31,14.78,16.28,15.44,14.41,14.81,15.31,14.34,13.22,13.5,14.5,14.06,12.66,12.41,13.34,13.56,12.12,11.0,10.59,9.88,6.78,4.03,3.0,2.56,0.94,-0.38,0.34,2.72,4.38,5.72,7.91,11.56,14.25,15.44,16.97,19.25,20.41,18.69,15.94,12.84,8.75,1.75,-6.06,-12.69,-17.62,-22.53,-26.34,-26.62,-23.16,-18.59,-14.0,-8.31,-1.91,3.81,7.09,9.84,13.47,16.28,16.34,14.81,13.44,12.28,10.09,7.34,5.59,5.53,5.16,3.5,2.5,2.66,3.16,1.97,1.0,1.91,3.66,4.31,4.16,4.59,5.44,4.75,2.56,1.22,2.25,3.5,3.88,4.66,7.0,8.94,8.66,8.12,8.78,9.91,9.38,8.06,7.62,8.66,8.56,8.06,8.25,10.25,11.72,11.19,10.06,9.88,9.34,6.53,3.0,1.12,-0.16,-2.09,-4.97,-6.06,-5.81,-5.91,-6.97,-7.0,-5.03,-3.03,-2.03,-1.09,1.78,4.94,5.84,5.88,6.41,7.09,6.03,3.56,1.72,1.25,0.19,-1.91,-3.09,-2.56,-2.25,-3.28,-4.59,-4.12,-2.69,-2.59,-2.44,-0.84,2.06,3.81,4.94,6.91,9.75,12.12,12.94,13.34,15.41,16.75,16.53,15.75,16.38,17.31,16.47,14.56,13.22,12.44,10.56,7.5,5.12,4.25,2.81,0.34,-2.12,-2.34,-2.59,-4.19,-6.25,-6.62,-6.09,-6.66,-6.66,-5.34,-2.03,0.25,1.94,4.44,8.12,11.19,12.22,12.41,13.34,13.62,12.12,10.19,9.78,10.56,10.62,10.06,10.84,12.56,13.06,11.94,10.44,10.25,9.0,6.19,3.72,3.44,4.16,4.34,4.69,6.44,8.53,8.81,7.69,7.09,8.09,8.75,8.53,9.12,11.03,11.94,10.72,8.75,8.0,7.41,5.62,3.31,3.03,4.09,4.34,4.44,5.31,7.59,8.84,8.59,8.31,8.97,9.56,8.28,7.12,8.47,10.94,12.56,13.5,14.91,16.22,15.81,13.62,11.91,11.94,11.0,8.84,7.06,6.41,6.34,5.09,3.56,4.25,6.06,7.34,8.22,10.53,13.69,15.25,15.25,14.59,14.28,13.31,10.62,8.56,8.06,8.59,8.75,8.72,10.47,13.0,13.72,13.31,13.31,13.81,13.91,12.72,12.0,12.66,12.81,11.41,10.16,10.47,11.19,10.28,8.31,8.0,8.72,8.41,7.5,7.62,8.59,8.72,7.66,7.56,9.31,10.88,11.06,10.66,11.47,12.59,12.44,11.66,12.44,13.41,13.25,11.59,10.91,11.66,11.41,9.78,8.56,8.31,7.84,6.25,4.81,5.34,6.38,6.41,5.62,6.44,8.12,8.62,7.62,7.56,8.06,8.03,6.31,5.25,5.84,6.47,5.84,4.56,4.78,5.44,4.31,2.59,2.28,3.12,3.25,2.09,2.0,3.34,4.62,4.44,4.88,7.34,9.47,10.81,11.28,12.97,15.38,16.22,15.81,16.56,17.59,17.84,16.5,15.5,16.62,17.5,16.75,15.91,16.94,17.88,17.41,16.5,16.69,17.16,16.06,14.09,13.0,13.66,13.91,12.84,12.09,12.91,12.88,11.53,10.03,10.0,10.12,9.53,8.19,8.91,10.88,12.03,12.38,12.81,13.75,13.84,12.12,10.16,9.78,9.38,7.53,5.25,4.25,3.59,1.94,0.28,0.75,3.09,5.91,8.16,10.72,14.16,15.84,14.53,12.66,11.19,10.09,7.66,5.62,5.34,5.72,5.22,4.0,3.94,5.03,5.84,5.84,6.59,9.12,12.03,13.56,15.16,18.31,20.59,20.19,18.75,17.78,17.22,15.88,13.5,12.56,12.34,10.97,8.19,5.5,4.72,4.69,4.03,4.06,6.19,8.78,9.78,10.5,12.62,15.09,16.56,16.72,17.53,18.81,19.16,17.88,16.56,16.28,15.94,13.62,11.62,11.19,10.91,9.28,7.03,6.41,7.03,7.44,7.66,9.25,36.19,35.31,35.5,36.06,36.5,36.84,37.59,38.91,39.69,40.44,40.84,41.69,42.47,43.44,45.12,47.03,49.38,51.38,52.47,53.88,54.69,55.16,54.94,54.34,54.19,53.19,51.62,49.88,48.28,46.84,45.28,43.62,42.28,41.53,41.28,41.22,42.47,43.97,45.69,46.69,47.88,49.09:negativity
26.75,27.75,30.62,34.28,35.38,33.88,31.88,31.19,29.09,24.66,21.34,21.16,21.78,21.09,20.34,22.69,26.12,27.28,27.25,28.38,31.25,32.38,31.53,31.22,32.56,32.59,29.44,25.78,24.34,23.44,20.19,16.38,15.09,15.06,13.47,10.81,9.97,10.91,10.59,8.41,6.84,7.91,9.16,8.72,8.44,11.22,14.59,15.38,14.72,16.56,19.78,21.34,22.03,23.44,26.81,28.0,26.62,25.47,27.19,28.84,28.72,28.22,29.91,32.06,31.84,30.03,29.97,31.69,31.5,29.16,27.59,27.62,26.75,23.34,20.22,19.62,19.75,17.31,14.16,13.66,14.72,14.44,13.47,14.69,18.38,21.19,21.34,22.25,25.19,27.81,28.19,28.66,32.41,36.56,37.94,38.03,39.53,41.88,41.94,39.81,38.88,39.22,38.41,35.34,32.38,32.56,32.75,30.59,27.75,27.44,27.97,26.5,23.59,22.34,22.88,21.84,19.25,18.75,20.91,22.94,22.31,21.56,22.75,23.69,22.16,18.78,17.69,17.59,15.66,12.91,12.09,14.16,14.69,12.88,12.25,14.25,16.38,16.69,17.19,20.34,23.25,22.97,20.62,19.56,19.19,17.41,14.66,13.69,15.47,17.41,17.38,17.88,21.0,23.91,23.56,21.69,21.25,20.97,18.41,14.66,13.34,14.25,14.0,11.97,11.41,13.62,15.66,15.88,16.66,19.78,22.66,22.72,21.16,20.94,21.47,20.09,17.03,15.69,15.88,14.69,10.97,7.75,7.22,6.5,4.31,3.06,4.59,7.78,9.34,10.12,12.84,16.41,18.38,17.78,18.66,21.34,23.25,22.69,22.16,23.31,23.81,21.59,18.16,16.5,15.38,12.59,8.22,5.91,6.28,6.25,5.06,6.25,10.19,13.62,15.06,15.88,18.62,21.31,21.31,20.47,21.56,23.75,24.16,23.19,23.12,24.38,24.56,22.16,20.38,21.0,21.94,20.53,19.19,20.12,22.03,21.84,20.53,21.0,22.97,23.84,22.94,23.28,25.66,26.5,24.31,22.56,23.06,23.44,22.19,20.09,20.22,21.31,20.09,18.0,17.88,19.56,19.94,18.66,18.06,19.91,21.16,19.66,17.72,18.12,18.94,18.03,16.75,17.69,20.0,20.47,19.75,20.06,22.25,23.28,22.28,21.72,23.53,25.72,25.31,24.41,25.38,26.47,24.88,22.66,22.03,23.53,24.06,23.06,23.56,25.75,27.09,25.91,24.66,25.31,26.41,24.69,22.59,23.12,24.84,24.81,23.28,22.97,23.62,22.75,19.69,17.75,18.69,20.22,19.94,19.5,21.28,23.38,22.84,21.25,21.38,23.06,22.66,20.5,19.91,20.53,21.09,19.94,19.28,21.62,23.97,24.22,24.09,25.06,26.56,25.25,22.41,20.47,20.25,18.53,16.09,14.91,16.41,18.25,17.94,17.81,19.91,22.06,21.47,20.44,21.41,23.84,24.22,23.66,23.84,25.16,24.62,21.56,18.81,18.62,18.91,17.09,15.53,16.72,18.0,17.25,15.62,15.66,17.22,17.5,16.44,17.12,20.5,23.5,24.94,26.78,30.16,32.75,32.12,29.53,28.66,28.56,26.62,23.84,22.81,23.62,23.16,21.06,19.91,21.03,21.72,19.62,17.28,17.16,17.62,16.12,14.38,15.19,17.28,18.03,17.41,18.16,20.5,21.31,20.5,20.09,22.0,24.06,24.0,23.59,25.19,27.41,27.31,26.16,26.81,28.88,29.41,27.94,27.44,28.12,27.59,24.81,22.0,22.59,23.66,23.28,22.19,22.44,23.16,21.12,17.97,16.66,17.44,17.84,16.81,16.72,19.28,21.25,20.81,20.09,21.62,22.75,21.09,18.75,18.47,19.81,19.91,18.97,19.38,22.22,24.59,24.84,25.53,28.91,31.53,31.09,29.91,30.38,31.19,29.53,26.16,24.44,24.44,23.0,20.41,19.25,20.75,22.0,20.56,18.94,19.75,20.47,19.5,17.94,19.25,21.34,21.91,20.78,20.84,22.31,22.59,20.72,19.28,19.78,20.0,17.97,15.88,16.44,17.62,16.88,15.47,16.19,18.88,21.28,23.03,25.72,29.91,32.16,30.62,28.25,27.44,26.28,22.97,19.75,19.41,20.22,19.94,18.78,19.5,21.78,22.47,21.25,20.84,22.59,24.5,24.03,24.41,27.34,30.56,31.41,31.59,33.38,36.44,37.22,35.56,35.0,35.0,33.38,28.94,24.84,22.91,21.5,18.22,15.28,15.69,17.03,17.0,16.28,17.75,21.06,23.31,23.47,24.41,27.12,28.53,27.03,25.5,26.0,26.38,24.62,22.59,23.34,26.16,27.5,28.03,29.59,31.97,32.5,30.19,28.38,28.38,27.91,25.38,23.22,23.91,25.81,25.75,24.94,26.25,28.38,28.34,26.44,25.16,25.0,23.72,20.09,17.72,18.25,19.91,20.5,21.72,25.59,30.5,33.03,33.72,35.25,37.0,36.03,32.25,28.94,27.5,25.94,22.56,19.81,20.03,21.25,20.81,20.44,22.75,26.66,28.97,29.22,30.91,33.81,35.12,33.88,32.88,33.53,33.78,30.66,27.84,27.31,27.34,25.09,22.53,21.81,22.81,23.06,22.19,23.31,26.78,29.69,30.56,31.88,35.28,38.44,38.38,37.25,37.69,38.66,37.25,34.31,33.03,33.75,32.97,31.38,31.75,34.31,36.38,35.06,32.59,31.62,30.5,27.0,23.66,23.16,24.53,24.53,23.53,23.75,25.81,26.81,25.69,25.12,26.72,27.25,25.09,22.41,22.0,22.91,22.34,21.84,23.41,26.84,28.53,28.03,28.28,30.62,32.12,31.47,31.41,33.38,35.5,34.22,32.0,31.88,32.03,30.34,27.38,26.25,27.12,26.75,25.0,24.72,27.28,29.72,29.94,30.5,33.34,36.62,37.31,37.5,39.03,40.94,40.16,37.88,36.5,36.78,36.69,34.56,33.44,35.0,36.22,34.69,32.38,31.94,32.16,30.56,28.34,28.28,29.84,29.44,26.47,24.0,23.62,22.59,19.78,18.22,20.0,22.41,22.78,22.47,24.5,27.5,27.91,26.78,27.22,28.97,29.47,28.34,29.16,32.19,34.91,35.0,34.12,35.28,35.94,33.22,29.06,26.94,25.69,23.5,20.69,20.28,22.56,24.41,24.12,24.12,25.91,27.09,25.31,22.97,23.03,23.91,22.59,20.62,20.41,22.47,22.62,21.62,21.94,24.69,27.16,27.53,28.06,31.62,34.75,35.38,34.38,35.22,36.66,35.66,33.44,33.28,34.88,35.59,34.44,34.0,35.41,36.12,34.47,32.69,33.56,34.78,33.28,30.12,28.62,27.94,25.75,22.75,21.56,23.5,25.22,25.34,26.75,30.81,34.03,34.88,35.12,37.97,41.97,44.19,45.12,47.09,49.22,49.25,45.88,43.25,42.81,41.44,37.84,34.22,32.94,31.53,27.75,23.16,21.22,20.56,18.62,15.84,15.34,17.03,18.34,18.12,19.72,24.19,28.44,29.69,30.44,32.75,35.03,34.66,33.5,34.38,36.41,36.62,34.75,34.12,35.22,35.16,32.56,30.69,31.28,31.38,29.25,26.69,26.88,27.66,26.78,24.81,24.41,25.38,25.0,22.94,21.88,23.28,24.56,23.84,23.75,26.66,29.91,31.12,31.34,33.88,37.06,38.22,37.16,37.53,38.88,38.31,34.97,32.09,31.09,29.44,25.22,21.22,19.81,19.78,18.59,17.16,19.16,22.62,25.0,25.91,28.19,32.25,35.31,35.38,35.72,37.88,39.22,37.66,35.28,34.94,35.19,33.88,31.41,31.34,32.72,32.78,31.0,30.06,31.66,32.34,30.47,28.31,28.03,28.16,26.09,24.0,24.88,27.22,28.06,27.22,27.5,29.06,29.44,27.28,25.72,26.81,27.81,26.31,25.22,26.22,28.03,27.09,25.66,26.16,27.44,26.84,24.34,22.75,23.16,23.47,22.28,22.94,26.62,30.91,32.53,33.25,35.19,37.12,36.66,34.69,34.44,35.59,36.16,34.78,34.78,36.81,38.19,36.53,34.72,34.56,34.28,31.5,28.22,27.25,27.72,27.12,25.53,25.41,27.19,27.69,25.75,24.28,24.88,25.28,23.56,22.28,24.16,27.66,29.25,30.38,32.75,35.84,36.22,34.28,32.59,32.31,31.0,27.5,24.31,24.06,24.28,22.56,20.78,21.44,23.06,23.31,22.88,24.53,28.19,30.62,30.59,30.91,32.66,33.44,31.75,29.62,29.59,29.59,27.0,23.5,21.78,21.91,21.06,19.38,19.97,22.97,24.75,24.75,25.0,27.0,29.25,28.62,28.03,29.94,32.56,32.19,29.88,27.0,23.34,16.75,8.44,1.56,-1.16,-2.53,-4.41,-3.66,0.66,5.97,9.06,11.72,15.34,19.66,21.97,23.0,25.12,29.03,30.84,30.41,30.5,32.69,34.22,33.06,31.31,31.59,32.06,29.94,26.62,24.72,23.5,20.03,14.75,10.88,9.09,6.88,3.5,1.72,3.22,5.66,6.81,7.94,11.28,15.34,17.34,18.0,19.75,22.91,24.12,23.41,22.78,24.56,25.38,23.91,23.22,24.97,27.03,26.88,25.94,26.84,28.31,28.0,26.59,26.56,28.56,29.09,27.44,25.94,26.69,27.22,25.97,24.88,26.38,28.22,27.44,25.38,24.81,25.06,23.59,20.5,18.91,19.53,19.75,18.28,17.75,20.03,22.31,22.31,21.88,23.56,25.88,26.97,27.09,29.34,32.88,35.59,36.72,38.38,42.53,45.38,45.16,44.19,45.16,45.28,43.03,39.59,37.53,36.28,33.78,30.19,28.84,30.0,30.41,28.66,27.22,27.78,27.38,24.88,22.69,23.56,25.69,26.38,26.72,28.94,32.31,33.84,32.88,32.75,33.91,33.75,31.16,29.12,29.28,29.41,27.09,24.56:31.19,29.09,24.66,21.34,21.16,21.78,21.09,20.34,22.69,26.12,27.28,27.25,28.38,31.25,32.38,31.53,31.22,32.56,32.59,29.44,25.78,24.34,23.44,20.19,16.38,15.09,15.06,13.47,10.81,9.97,10.91,10.59,8.41,6.84,7.91,9.16,8.72,8.44,11.22,14.59,15.38,14.72,16.56,19.78,21.34,22.03,23.44,26.81,28.0,26.62,25.47,27.19,28.84,28.72,28.22,29.91,32.06,31.84,30.03,29.97,31.69,31.5,29.16,27.59,27.62,26.75,23.34,20.22,19.62,19.75,17.31,14.16,13.66,14.72,14.44,13.47,14.69,18.38,21.19,21.34,22.25,25.19,27.81,28.19,28.66,32.41,36.56,37.94,38.03,39.53,41.88,41.94,39.81,38.88,39.22,38.41,35.34,32.38,32.56,32.75,30.59,27.75,27.44,27.97,26.5,23.59,22.34,22.88,21.84,19.25,18.75,20.91,22.94,22.31,21.56,22.75,23.69,22.16,18.78,17.69,17.59,15.66,12.91,12.09,14.16,14.69,12.88,12.25,14.25,16.38,16.69,17.19,20.34,23.25,22.97,20.62,19.56,19.19,17.41,14.66,13.69,15.47,17.41,17.38,17.88,21.0,23.91,23.56,21.69,21.25,20.97,18.41,14.66,13.34,14.25,14.0,11.97,11.41,13.62,15.66,15.88,16.66,19.78,22.66,22.72,21.16,20.94,21.47,20.09,17.03,15.69,15.88,14.69,10.97,7.75,7.22,6.5,4.31,3.06,4.59,7.78,9.34,10.12,12.84,16.41,18.38,17.78,18.66,21.34,23.25,22.69,22.16,23.31,23.81,21.59,18.16,16.5,15.38,12.59,8.22,5.91,6.28,6.25,5.06,6.25,10.19,13.62,15.06,15.88,18.62,21.31,21.31,20.47,21.56,23.75,24.16,23.19,23.12,24.38,24.56,22.16,20.38,21.0,21.94,20.53,19.19,20.12,22.03,21.84,20.53,21.0,22.97,23.84,22.94,23.28,25.66,26.5,24.31,22.56,23.06,23.44,22.19,20.09,20.22,21.31,20.09,18.0,17.88,19.56,19.94,18.66,18.06,19.91,21.16,19.66,17.72,18.12,18.94,18.03,16.75,17.69,20.0,20.47,19.75,20.06,22.25,23.28,22.28,21.72,23.53,25.72,25.31,24.41,25.38,26.47,24.88,22.66,22.03,23.53,24.06,23.06,23.56,25.75,27.09,25.91,24.66,25.31,26.41,24.69,22.59,23.12,24.84,24.81,23.28,22.97,23.62,22.75,19.69,17.75,18.69,20.22,19.94,19.5,21.28,23.38,22.84,21.25,21.38,23.06,22.66,20.5,19.91,20.53,21.09,19.94,19.28,21.62,23.97,24.22,24.09,25.06,26.56,25.25,22.41,20.47,20.25,18.53,16.09,14.91,16.41,18.25,17.94,17.81,19.91,22.06,21.47,20.44,21.41,23.84,24.22,23.66,23.84,25.16,24.62,21.56,18.81,18.62,18.91,17.09,15.53,16.72,18.0,17.25,15.62,15.66,17.22,17.5,16.44,17.12,20.5,23.5,24.94,26.78,30.16,32.75,32.12,29.53,28.66,28.56,26.62,23.84,22.81,23.62,23.16,21.06,19.91,21.03,21.72,19.62,17.28,17.16,17.62,16.12,14.38,15.19,17.28,18.03,17.41,18.16,20.5,21.31,20.5,20.09,22.0,24.06,24.0,23.59,25.19,27.41,27.31,26.16,26.81,28.88,29.41,27.94,27.44,28.12,27.59,24.81,22.0,22.59,23.66,23.28,22.19,22.44,23.16,21.12,17.97,16.66,17.44,17.84,16.81,16.72,19.28,21.25,20.81,20.09,21.62,22.75,21.09,18.75,18.47,19.81,19.91,18.97,19.38,22.22,24.59,24.84,25.53,28.91,31.53,31.09,29.91,30.38,31.19,29.53,26.16,24.44,24.44,23.0,20.41,19.25,20.75,22.0,20.56,18.94,19.75,20.47,19.5,17.94,19.25,21.34,21.91,20.78,20.84,22.31,22.59,20.72,19.28,19.78,20.0,17.97,15.88,16.44,17.62,16.88,15.47,16.19,18.88,21.28,23.03,25.72,29.91,32.16,30.62,28.25,27.44,26.28,22.97,19.75,19.41,20.22,19.94,18.78,19.5,21.78,22.47,21.25,20.84,22.59,24.5,24.03,24.41,27.34,30.56,31.41,31.59,33.38,36.44,37.22,35.56,35.0,35.0,33.38,28.94,24.84,22.91,21.5,18.22,15.28,15.69,17.03,17.0,16.28,17.75,21.06,23.31,23.47,24.41,27.12,28.53,27.03,25.5,26.0,26.38,24.62,22.59,23.34,26.16,27.5,28.03,29.59,31.97,32.5,30.19,28.38,28.38,27.91,25.38,23.22,23.91,25.81,25.75,24.94,26.25,28.38,28.34,26.44,25.16,25.0,23.72,20.09,17.72,18.25,19.91,20.5,21.72,25.59,30.5,33.03,33.72,35.25,37.0,36.03,32.25,28.94,27.5,25.94,22.56,19.81,20.03,21.25,20.81,20.44,22.75,26.66,28.97,29.22,30.91,33.81,35.12,33.88,32.88,33.53,33.78,30.66,27.84,27.31,27.34,25.09,22.53,21.81,22.81,23.06,22.19,23.31,26.78,29.69,30.56,31.88,35.28,38.44,38.38,37.25,37.69,38.66,37.25,34.31,33.03,33.75,32.97,31.38,31.75,34.31,36.38,35.06,32.59,31.62,30.5,27.0,23.66,23.16,24.53,24.53,23.53,23.75,25.81,26.81,25.69,25.12,26.72,27.25,25.09,22.41,22.0,22.91,22.34,21.84,23.41,26.84,28.53,28.03,28.28,30.62,32.12,31.47,31.41,33.38,35.5,34.22,32.0,31.88,32.03,30.34,27.38,26.25,27.12,26.75,25.0,24.72,27.28,29.72,29.94,30.5,33.34,36.62,37.31,37.5,39.03,40.94,40.16,37.88,36.5,36.78,36.69,34.56,33.44,35.0,36.22,34.69,32.38,31.94,32.16,30.56,28.34,28.28,29.84,29.44,26.47,24.0,23.62,22.59,19.78,18.22,20.0,22.41,22.78,22.47,24.5,27.5,27.91,26.78,27.22,28.97,29.47,28.34,29.16,32.19,34.91,35.0,34.12,35.28,35.94,33.22,29.06,26.94,25.69,23.5,20.69,20.28,22.56,24.41,24.12,24.12,25.91,27.09,25.31,22.97,23.03,23.91,22.59,20.62,20.41,22.47,22.62,21.62,21.94,24.69,27.16,27.53,28.06,31.62,34.75,35.38,34.38,35.22,36.66,35.66,33.44,33.28,34.88,35.59,34.44,34.0,35.41,36.12,34.47,32.69,33.56,34.78,33.28,30.12,28.62,27.94,25.75,22.75,21.56,23.5,25.22,25.34,26.75,30.81,34.03,34.88,35.12,37.97,41.97,44.19,45.12,47.09,49.22,49.25,45.88,43.25,42.81,41.44,37.84,34.22,32.94,31.53,27.75,23.16,21.22,20.56,18.62,15.84,15.34,17.03,18.34,18.12,19.72,24.19,28.44,29.69,30.44,32.75,35.03,34.66,33.5,34.38,36.41,36.62,34.75,34.12,35.22,35.16,32.56,30.69,31.28,31.38,29.25,26.69,26.88,27.66,26.78,24.81,24.41,25.38,25.0,22.94,21.88,23.28,24.56,23.84,23.75,26.66,29.91,31.12,31.34,33.88,37.06,38.22,37.16,37.53,38.88,38.31,34.97,32.09,31.09,29.44,25.22,21.22,19.81,19.78,18.59,17.16,19.16,22.62,25.0,25.91,28.19,32.25,35.31,35.38,35.72,37.88,39.22,37.66,35.28,34.94,35.19,33.88,31.41,31.34,32.72,32.78,31.0,30.06,31.66,32.34,30.47,28.31,28.03,28.16,26.09,24.0,24.88,27.22,28.06,27.22,27.5,29.06,29.44,27.28,25.72,26.81,27.81,26.31,25.22,26.22,28.03,27.09,25.66,26.16,27.44,26.84,24.34,22.75,23.16,23.47,22.28,22.94,26.62,30.91,32.53,33.25,35.19,37.12,36.66,34.69,34.44,35.59,36.16,34.78,34.78,36.81,38.19,36.53,34.72,34.56,34.28,31.5,28.22,27.25,27.72,27.12,25.53,25.41,27.19,27.69,25.75,24.28,24.88,25.28,23.56,22.28,24.16,27.66,29.25,30.38,32.75,35.84,36.22,34.28,32.59,32.31,31.0,27.5,24.31,24.06,24.28,22.56,20.78,21.44,23.06,23.31,22.88,24.53,28.19,30.62,30.59,30.91,32.66,33.44,31.75,29.62,29.59,29.59,27.0,23.5,21.78,21.91,21.06,19.38,19.97,22.97,24.75,24.75,25.0,27.0,29.25,28.62,28.03,29.94,32.56,32.19,29.88,27.0,23.34,16.75,8.44,1.56,-1.16,-2.53,-4.41,-3.66,0.66,5.97,9.06,11.72,15.34,19.66,21.97,23.0,25.12,29.03,30.84,30.41,30.5,32.69,34.22,33.06,31.31,31.59,32.06,29.94,26.62,24.72,23.5,20.03,14.75,10.88,9.09,6.88,3.5,1.72,3.22,5.66,6.81,7.94,11.28,15.34,17.34,18.0,19.75,22.91,24.12,23.41,22.78,24.56,25.38,23.91,23.22,24.97,27.03,26.88,25.94,26.84,28.31,28.0,26.59,26.56,28.56,29.09,27.44,25.94,26.69,27.22,25.97,24.88,26.38,28.22,27.44,25.38,24.81,25.06,23.59,20.5,18.91,19.53,19.75,18.28,17.75,20.03,22.31,22.31,21.88,23.56,25.88,26.97,27.09,29.34,32.88,35.59,36.72,38.38,42.53,45.38,45.16,44.19,45.16,45.28,43.03,39.59,37.53,36.28,33.78,30.19,28.84,30.0,30.41,28.66,27.22,27.78,27.38,24.88,22.69,23.56,25.69,26.38,26.72,28.94,32.31,33.84,32.88,32.75,33.91,33.75,31.16,29.12,29.28,29.41,27.09,24.56,46.28,48.94,52.5,56.0,57.16,56.0,53.88:20.34,22.69,26.12,27.28,27.25,28.38,31.25,32.38,31.53,31.22,32.56,32.59,29.44,25.78,24.34,23.44,20.19,16.38,15.09,15.06,13.47,10.81,9.97,10.91,10.59,8.41,6.84,7.91,9.16,8.72,8.44,11.22,14.59,15.38,14.72,16.56,19.78,21.34,22.03,23.44,26.81,28.0,26.62,25.47,27.19,28.84,28.72,28.22,29.91,32.06,31.84,30.03,29.97,31.69,31.5,29.16,27.59,27.62,26.75,23.34,20.22,19.62,19.75,17.31,14.16,13.66,14.72,14.44,13.47,14.69,18.38,21.19,21.34,22.25,25.19,27.81,28.19,28.66,32.41,36.56,37.94,38.03,39.53,41.88,41.94,39.81,38.88,39.22,38.41,35.34,32.38,32.56,32.75,30.59,27.75,27.44,27.97,26.5,23.59,22.34,22.88,21.84,19.25,18.75,20.91,22.94,22.31,21.56,22.75,23.69,22.16,18.78,17.69,17.59,15.66,12.91,12.09,14.16,14.69,12.88,12.25,14.25,16.38,16.69,17.19,20.34,23.25,22.97,20.62,19.56,19.19,17.41,14.66,13.69,15.47,17.41,17.38,17.88,21.0,23.91,23.56,21.69,21.25,20.97,18.41,14.66,13.34,14.25,14.0,11.97,11.41,13.62,15.66,15.88,16.66,19.78,22.66,22.72,21.16,20.94,21.47,20.09,17.03,15.69,15.88,14.69,10.97,7.75,7.22,6.5,4.31,3.06,4.59,7.78,9.34,10.12,12.84,16.41,18.38,17.78,18.66,21.34,23.25,22.69,22.16,23.31,23.81,21.59,18.16,16.5,15.38,12.59,8.22,5.91,6.28,6.25,5.06,6.25,10.19,13.62,15.06,15.88,18.62,21.31,21.31,20.47,21.56,23.75,24.16,23.19,23.12,24.38,24.56,22.16,20.38,21.0,21.94,20.53,19.19,20.12,22.03,21.84,20.53,21.0,22.97,23.84,22.94,23.28,25.66,26.5,24.31,22.56,23.06,23.44,22.19,20.09,20.22,21.31,20.09,18.0,17.88,19.56,19.94,18.66,18.06,19.91,21.16,19.66,17.72,18.12,18.94,18.03,16.75,17.69,20.0,20.47,19.75,20.06,22.25,23.28,22.28,21.72,23.53,25.72,25.31,24.41,25.38,26.47,24.88,22.66,22.03,23.53,24.06,23.06,23.56,25.75,27.09,25.91,24.66,25.31,26.41,24.69,22.59,23.12,24.84,24.81,23.28,22.97,23.62,22.75,19.69,17.75,18.69,20.22,19.94,19.5,21.28,23.38,22.84,21.25,21.38,23.06,22.66,20.5,19.91,20.53,21.09,19.94,19.28,21.62,23.97,24.22,24.09,25.06,26.56,25.25,22.41,20.47,20.25,18.53,16.09,14.91,16.41,18.25,17.94,17.81,19.91,22.06,21.47,20.44,21.41,23.84,24.22,23.66,23.84,25.16,24.62,21.56,18.81,18.62,18.91,17.09,15.53,16.72,18.0,17.25,15.62,15.66,17.22,17.5,16.44,17.12,20.5,23.5,24.94,26.78,30.16,32.75,32.12,29.53,28.66,28.56,26.62,23.84,22.81,23.62,23.16,21.06,19.91,21.03,21.72,19.62,17.28,17.16,17.62,16.12,14.38,15.19,17.28,18.03,17.41,18.16,20.5,21.31,20.5,20.09,22.0,24.06,24.0,23.59,25.19,27.41,27.31,26.16,26.81,28.88,29.41,27.94,27.44,28.12,27.59,24.81,22.0,22.59,23.66,23.28,22.19,22.44,23.16,21.12,17.97,16.66,17.44,17.84,16.81,16.72,19.28,21.25,20.81,20.09,21.62,22.75,21.09,18.75,18.47,19.81,19.91,18.97,19.38,22.22,24.59,24.84,25.53,28.91,31.53,31.09,29.91,30.38,31.19,29.53,26.16,24.44,24.44,23.0,20.41,19.25,20.75,22.0,20.56,18.94,19.75,20.47,19.5,17.94,19.25,21.34,21.91,20.78,20.84,22.31,22.59,20.72,19.28,19.78,20.0,17.97,15.88,16.44,17.62,16.88,15.47,16.19,18.88,21.28,23.03,25.72,29.91,32.16,30.62,28.25,27.44,26.28,22.97,19.75,19.41,20.22,19.94,18.78,19.5,21.78,22.47,21.25,20.84,22.59,24.5,24.03,24.41,27.34,30.56,31.41,31.59,33.38,36.44,37.22,35.56,35.0,35.0,33.38,28.94,24.84,22.91,21.5,18.22,15.28,15.69,17.03,17.0,16.28,17.75,21.06,23.31,23.47,24.41,27.12,28.53,27.03,25.5,26.0,26.38,24.62,22.59,23.34,26.16,27.5,28.03,29.59,31.97,32.5,30.19,28.38,28.38,27.91,25.38,23.22,23.91,25.81,25.75,24.94,26.25,28.38,28.34,26.44,25.16,25.0,23.72,20.09,17.72,18.25,19.91,20.5,21.72,25.59,30.5,33.03,33.72,35.25,37.0,36.03,32.25,28.94,27.5,25.94,22.56,19.81,20.03,21.25,20.81,20.44,22.75,26.66,28.97,29.22,30.91,33.81,35.12,33.88,32.88,33.53,33.78,30.66,27.84,27.31,27.34,25.09,22.53,21.81,22.81,23.06,22.19,23.31,26.78,29.69,30.56,31.88,35.28,38.44,38.38,37.25,37.69,38.66,37.25,34.31,33.03,33.75,32.97,31.38,31.75,34.31,36.38,35.06,32.59,31.62,30.5,27.0,23.66,23.16,24.53,24.53,23.53,23.75,25.81,26.81,25.69,25.12,26.72,27.25,25.09,22.41,22.0,22.91,22.34,21.84,23.41,26.84,28.53,28.03,28.28,30.62,32.12,31.47,31.41,33.38,35.5,34.22,32.0,31.88,32.03,30.34,27.38,26.25,27.12,26.75,25.0,24.72,27.28,29.72,29.94,30.5,33.34,36.62,37.31,37.5,39.03,40.94,40.16,37.88,36.5,36.78,36.69,34.56,33.44,35.0,36.22,34.69,32.38,31.94,32.16,30.56,28.34,28.28,29.84,29.44,26.47,24.0,23.62,22.59,19.78,18.22,20.0,22.41,22.78,22.47,24.5,27.5,27.91,26.78,27.22,28.97,29.47,28.34,29.16,32.19,34.91,35.0,34.12,35.28,35.94,33.22,29.06,26.94,25.69,23.5,20.69,20.28,22.56,24.41,24.12,24.12,25.91,27.09,25.31,22.97,23.03,23.91,22.59,20.62,20.41,22.47,22.62,21.62,21.94,24.69,27.16,27.53,28.06,31.62,34.75,35.38,34.38,35.22,36.66,35.66,33.44,33.28,34.88,35.59,34.44,34.0,35.41,36.12,34.47,32.69,33.56,34.78,33.28,30.12,28.62,27.94,25.75,22.75,21.56,23.5,25.22,25.34,26.75,30.81,34.03,34.88,35.12,37.97,41.97,44.19,45.12,47.09,49.22,49.25,45.88,43.25,42.81,41.44,37.84,34.22,32.94,31.53,27.75,23.16,21.22,20.56,18.62,15.84,15.34,17.03,18.34,18.12,19.72,24.19,28.44,29.69,30.44,32.75,35.03,34.66,33.5,34.38,36.41,36.62,34.75,34.12,35.22,35.16,32.56,30.69,31.28,31.38,29.25,26.69,26.88,27.66,26.78,24.81,24.41,25.38,25.0,22.94,21.88,23.28,24.56,23.84,23.75,26.66,29.91,31.12,31.34,33.88,37.06,38.22,37.16,37.53,38.88,38.31,34.97,32.09,31.09,29.44,25.22,21.22,19.81,19.78,18.59,17.16,19.16,22.62,25.0,25.91,28.19,32.25,35.31,35.38,35.72,37.88,39.22,37.66,35.28,34.94,35.19,33.88,31.41,31.34,32.72,32.78,31.0,30.06,31.66,32.34,30.47,28.31,28.03,28.16,26.09,24.0,24.88,27.22,28.06,27.22,27.5,29.06,29.44,27.28,25.72,26.81,27.81,26.31,25.22,26.22,28.03,27.09,25.66,26.16,27.44,26.84,24.34,22.75,23.16,23.47,22.28,22.94,26.62,30.91,32.53,33.25,35.19,37.12,36.66,34.69,34.44,35.59,36.16,34.78,34.78,36.81,38.19,36.53,34.72,34.56,34.28,31.5,28.22,27.25,27.72,27.12,25.53,25.41,27.19,27.69,25.75,24.28,24.88,25.28,23.56,22.28,24.16,27.66,29.25,30.38,32.75,35.84,36.22,34.28,32.59,32.31,31.0,27.5,24.31,24.06,24.28,22.56,20.78,21.44,23.06,23.31,22.88,24.53,28.19,30.62,30.59,30.91,32.66,33.44,31.75,29.62,29.59,29.59,27.0,23.5,21.78,21.91,21.06,19.38,19.97,22.97,24.75,24.75,25.0,27.0,29.25,28.62,28.03,29.94,32.56,32.19,29.88,27.0,23.34,16.75,8.44,1.56,-1.16,-2.53,-4.41,-3.66,0.66,5.97,9.06,11.72,15.34,19.66,21.97,23.0,25.12,29.03,30.84,30.41,30.5,32.69,34.22,33.06,31.31,31.59,32.06,29.94,26.62,24.72,23.5,20.03,14.75,10.88,9.09,6.88,3.5,1.72,3.22,5.66,6.81,7.94,11.28,15.34,17.34,18.0,19.75,22.91,24.12,23.41,22.78,24.56,25.38,23.91,23.22,24.97,27.03,26.88,25.94,26.84,28.31,28.0,26.59,26.56,28.56,29.09,27.44,25.94,26.69,27.22,25.97,24.88,26.38,28.22,27.44,25.38,24.81,25.06,23.59,20.5,18.91,19.53,19.75,18.28,17.75,20.03,22.31,22.31,21.88,23.56,25.88,26.97,27.09,29.34,32.88,35.59,36.72,38.38,42.53,45.38,45.16,44.19,45.16,45.28,43.03,39.59,37.53,36.28,33.78,30.19,28.84,30.0,30.41,28.66,27.22,27.78,27.38,24.88,22.69,23.56,25.69,26.38,26.72,28.94,32.31,33.84,32.88,32.75,33.91,33.75,31.16,29.12,29.28,29.41,27.09,24.56,46.28,48.94,52.5,56.0,57.16,56.0,53.88,52.56,50.12,46.34,43.5,43.09,43.09,42.22:32.38,31.53,31.22,32.56,32.59,29.44,25.78,24.34,23.44,20.19,16.38,15.09,15.06,13.47,10.81,9.97,10.91,10.59,8.41,6.84,7.91,9.16,8.72,8.44,11.22,14.59,15.38,14.72,16.56,19.78,21.34,22.03,23.44,26.81,28.0,26.62,25.47,27.19,28.84,28.72,28.22,29.91,32.06,31.84,30.03,29.97,31.69,31.5,29.16,27.59,27.62,26.75,23.34,20.22,19.62,19.75,17.31,14.16,13.66,14.72,14.44,13.47,14.69,18.38,21.19,21.34,22.25,25.19,27.81,28.19,28.66,32.41,36.56,37.94,38.03,39.53,41.88,41.94,39.81,38.88,39.22,38.41,35.34,32.38,32.56,32.75,30.59,27.75,27.44,27.97,26.5,23.59,22.34,22.88,21.84,19.25,18.75,20.91,22.94,22.31,21.56,22.75,23.69,22.16,18.78,17.69,17.59,15.66,12.91,12.09,14.16,14.69,12.88,12.25,14.25,16.38,16.69,17.19,20.34,23.25,22.97,20.62,19.56,19.19,17.41,14.66,13.69,15.47,17.41,17.38,17.88,21.0,23.91,23.56,21.69,21.25,20.97,18.41,14.66,13.34,14.25,14.0,11.97,11.41,13.62,15.66,15.88,16.66,19.78,22.66,22.72,21.16,20.94,21.47,20.09,17.03,15.69,15.88,14.69,10.97,7.75,7.22,6.5,4.31,3.06,4.59,7.78,9.34,10.12,12.84,16.41,18.38,17.78,18.66,21.34,23.25,22.69,22.16,23.31,23.81,21.59,18.16,16.5,15.38,12.59,8.22,5.91,6.28,6.25,5.06,6.25,10.19,13.62,15.06,15.88,18.62,21.31,21.31,20.47,21.56,23.75,24.16,23.19,23.12,24.38,24.56,22.16,20.38,21.0,21.94,20.53,19.19,20.12,22.03,21.84,20.53,21.0,22.97,23.84,22.94,23.28,25.66,26.5,24.31,22.56,23.06,23.44,22.19,20.09,20.22,21.31,20.09,18.0,17.88,19.56,19.94,18.66,18.06,19.91,21.16,19.66,17.72,18.12,18.94,18.03,16.75,17.69,20.0,20.47,19.75,20.06,22.25,23.28,22.28,21.72,23.53,25.72,25.31,24.41,25.38,26.47,24.88,22.66,22.03,23.53,24.06,23.06,23.56,25.75,27.09,25.91,24.66,25.31,26.41,24.69,22.59,23.12,24.84,24.81,23.28,22.97,23.62,22.75,19.69,17.75,18.69,20.22,19.94,19.5,21.28,23.38,22.84,21.25,21.38,23.06,22.66,20.5,19.91,20.53,21.09,19.94,19.28,21.62,23.97,24.22,24.09,25.06,26.56,25.25,22.41,20.47,20.25,18.53,16.09,14.91,16.41,18.25,17.94,17.81,19.91,22.06,21.47,20.44,21.41,23.84,24.22,23.66,23.84,25.16,24.62,21.56,18.81,18.62,18.91,17.09,15.53,16.72,18.0,17.25,15.62,15.66,17.22,17.5,16.44,17.12,20.5,23.5,24.94,26.78,30.16,32.75,32.12,29.53,28.66,28.56,26.62,23.84,22.81,23.62,23.16,21.06,19.91,21.03,21.72,19.62,17.28,17.16,17.62,16.12,14.38,15.19,17.28,18.03,17.41,18.16,20.5,21.31,20.5,20.09,22.0,24.06,24.0,23.59,25.19,27.41,27.31,26.16,26.81,28.88,29.41,27.94,27.44,28.12,27.59,24.81,22.0,22.59,23.66,23.28,22.19,22.44,23.16,21.12,17.97,16.66,17.44,17.84,16.81,16.72,19.28,21.25,20.81,20.09,21.62,22.75,21.09,18.75,18.47,19.81,19.91,18.97,19.38,22.22,24.59,24.84,25.53,28.91,31.53,31.09,29.91,30.38,31.19,29.53,26.16,24.44,24.44,23.0,20.41,19.25,20.75,22.0,20.56,18.94,19.75,20.47,19.5,17.94,19.25,21.34,21.91,20.78,20.84,22.31,22.59,20.72,19.28,19.78,20.0,17.97,15.88,16.44,17.62,16.88,15.47,16.19,18.88,21.28,23.03,25.72,29.91,32.16,30.62,28.25,27.44,26.28,22.97,19.75,19.41,20.22,19.94,18.78,19.5,21.78,22.47,21.25,20.84,22.59,24.5,24.03,24.41,27.34,30.56,31.41,31.59,33.38,36.44,37.22,35.56,35.0,35.0,33.38,28.94,24.84,22.91,21.5,18.22,15.28,15.69,17.03,17.0,16.28,17.75,21.06,23.31,23.47,24.41,27.12,28.53,27.03,25.5,26.0,26.38,24.62,22.59,23.34,26.16,27.5,28.03,29.59,31.97,32.5,30.19,28.38,28.38,27.91,25.38,23.22,23.91,25.81,25.75,24.94,26.25,28.38,28.34,26.44,25.16,25.0,23.72,20.09,17.72,18.25,19.91,20.5,21.72,25.59,30.5,33.03,33.72,35.25,37.0,36.03,32.25,28.94,27.5,25.94,22.56,19.81,20.03,21.25,20.81,20.44,22.75,26.66,28.97,29.22,30.91,33.81,35.12,33.88,32.88,33.53,33.78,30.66,27.84,27.31,27.34,25.09,22.53,21.81,22.81,23.06,22.19,23.31,26.78,29.69,30.56,31.88,35.28,38.44,38.38,37.25,37.69,38.66,37.25,34.31,33.03,33.75,32.97,31.38,31.75,34.31,36.38,35.06,32.59,31.62,30.5,27.0,23.66,23.16,24.53,24.53,23.53,23.75,25.81,26.81,25.69,25.12,26.72,27.25,25.09,22.41,22.0,22.91,22.34,21.84,23.41,26.84,28.53,28.03,28.28,30.62,32.12,31.47,31.41,33.38,35.5,34.22,32.0,31.88,32.03,30.34,27.38,26.25,27.12,26.75,25.0,24.72,27.28,29.72,29.94,30.5,33.34,36.62,37.31,37.5,39.03,40.94,40.16,37.88,36.5,36.78,36.69,34.56,33.44,35.0,36.22,34.69,32.38,31.94,32.16,30.56,28.34,28.28,29.84,29.44,26.47,24.0,23.62,22.59,19.78,18.22,20.0,22.41,22.78,22.47,24.5,27.5,27.91,26.78,27.22,28.97,29.47,28.34,29.16,32.19,34.91,35.0,34.12,35.28,35.94,33.22,29.06,26.94,25.69,23.5,20.69,20.28,22.56,24.41,24.12,24.12,25.91,27.09,25.31,22.97,23.03,23.91,22.59,20.62,20.41,22.47,22.62,21.62,21.94,24.69,27.16,27.53,28.06,31.62,34.75,35.38,34.38,35.22,36.66,35.66,33.44,33.28,34.88,35.59,34.44,34.0,35.41,36.12,34.47,32.69,33.56,34.78,33.28,30.12,28.62,27.94,25.75,22.75,21.56,23.5,25.22,25.34,26.75,30.81,34.03,34.88,35.12,37.97,41.97,44.19,45.12,47.09,49.22,49.25,45.88,43.25,42.81,41.44,37.84,34.22,32.94,31.53,27.75,23.16,21.22,20.56,18.62,15.84,15.34,17.03,18.34,18.12,19.72,24.19,28.44,29.69,30.44,32.75,35.03,34.66,33.5,34.38,36.41,36.62,34.75,34.12,35.22,35.16,32.56,30.69,31.28,31.38,29.25,26.69,26.88,27.66,26.78,24.81,24.41,25.38,25.0,22.94,21.88,23.28,24.56,23.84,23.75,26.66,29.91,31.12,31.34,33.88,37.06,38.22,37.16,37.53,38.88,38.31,34.97,32.09,31.09,29.44,25.22,21.22,19.81,19.78,18.59,17.16,19.16,22.62,25.0,25.91,28.19,32.25,35.31,35.38,35.72,37.88,39.22,37.66,35.28,34.94,35.19,33.88,31.41,31.34,32.72,32.78,31.0,30.06,31.66,32.34,30.47,28.31,28.03,28.16,26.09,24.0,24.88,27.22,28.06,27.22,27.5,29.06,29.44,27.28,25.72,26.81,27.81,26.31,25.22,26.22,28.03,27.09,25.66,26.16,27.44,26.84,24.34,22.75,23.16,23.47,22.28,22.94,26.62,30.91,32.53,33.25,35.19,37.12,36.66,34.69,34.44,35.59,36.16,34.78,34.78,36.81,38.19,36.53,34.72,34.56,34.28,31.5,28.22,27.25,27.72,27.12,25.53,25.41,27.19,27.69,25.75,24.28,24.88,25.28,23.56,22.28,24.16,27.66,29.25,30.38,32.75,35.84,36.22,34.28,32.59,32.31,31.0,27.5,24.31,24.06,24.28,22.56,20.78,21.44,23.06,23.31,22.88,24.53,28.19,30.62,30.59,30.91,32.66,33.44,31.75,29.62,29.59,29.59,27.0,23.5,21.78,21.91,21.06,19.38,19.97,22.97,24.75,24.75,25.0,27.0,29.25,28.62,28.03,29.94,32.56,32.19,29.88,27.0,23.34,16.75,8.44,1.56,-1.16,-2.53,-4.41,-3.66,0.66,5.97,9.06,11.72,15.34,19.66,21.97,23.0,25.12,29.03,30.84,30.41,30.5,32.69,34.22,33.06,31.31,31.59,32.06,29.94,26.62,24.72,23.5,20.03,14.75,10.88,9.09,6.88,3.5,1.72,3.22,5.66,6.81,7.94,11.28,15.34,17.34,18.0,19.75,22.91,24.12,23.41,22.78,24.56,25.38,23.91,23.22,24.97,27.03,26.88,25.94,26.84,28.31,28.0,26.59,26.56,28.56,29.09,27.44,25.94,26.69,27.22,25.97,24.88,26.38,28.22,27.44,25.38,24.81,25.06,23.59,20.5,18.91,19.53,19.75,18.28,17.75,20.03,22.31,22.31,21.88,23.56,25.88,26.97,27.09,29.34,32.88,35.59,36.72,38.38,42.53,45.38,45.16,44.19,45.16,45.28,43.03,39.59,37.53,36.28,33.78,30.19,28.84,30.0,30.41,28.66,27.22,27.78,27.38,24.88,22.69,23.56,25.69,26.38,26.72,28.94,32.31,33.84,32.88,32.75,33.91,33.75,31.16,29.12,29.28,29.41,27.09,24.56,46.28,48.94,52.5,56.0,57.16,56.0,53.88,52.56,50.12,46.34,43.5,43.09,43.09,42.22,41.75,42.81,45.03,45.72,45.75,46.75,49.16:24.34,23.44,20.19,16.38,15.09,15.06,13.47,10.81,9.97,10.91,10.59,8.41,6.84,7.91,9.16,8.72,8.44,11.22,14.59,15.38,14.72,16.56,19.78,21.34,22.03,23.44,26.81,28.0,26.62,25.47,27.19,28.84,28.72,28.22,29.91,32.06,31.84,30.03,29.97,31.69,31.5,29.16,27.59,27.62,26.75,23.34,20.22,19.62,19.75,17.31,14.16,13.66,14.72,14.44,13.47,14.69,18.38,21.19,21.34,22.25,25.19,27.81,28.19,28.66,32.41,36.56,37.94,38.03,39.53,41.88,41.94,39.81,38.88,39.22,38.41,35.34,32.38,32.56,32.75,30.59,27.75,27.44,27.97,26.5,23.59,22.34,22.88,21.84,19.25,18.75,20.91,22.94,22.31,21.56,22.75,23.69,22.16,18.78,17.69,17.59,15.66,12.91,12.09,14.16,14.69,12.88,12.25,14.25,16.38,16.69,17.19,20.34,23.25,22.97,20.62,19.56,19.19,17.41,14.66,13.69,15.47,17.41,17.38,17.88,21.0,23.91,23.56,21.69,21.25,20.97,18.41,14.66,13.34,14.25,14.0,11.97,11.41,13.62,15.66,15.88,16.66,19.78,22.66,22.72,21.16,20.94,21.47,20.09,17.03,15.69,15.88,14.69,10.97,7.75,7.22,6.5,4.31,3.06,4.59,7.78,9.34,10.12,12.84,16.41,18.38,17.78,18.66,21.34,23.25,22.69,22.16,23.31,23.81,21.59,18.16,16.5,15.38,12.59,8.22,5.91,6.28,6.25,5.06,6.25,10.19,13.62,15.06,15.88,18.62,21.31,21.31,20.47,21.56,23.75,24.16,23.19,23.12,24.38,24.56,22.16,20.38,21.0,21.94,20.53,19.19,20.12,22.03,21.84,20.53,21.0,22.97,23.84,22.94,23.28,25.66,26.5,24.31,22.56,23.06,23.44,22.19,20.09,20.22,21.31,20.09,18.0,17.88,19.56,19.94,18.66,18.06,19.91,21.16,19.66,17.72,18.12,18.94,18.03,16.75,17.69,20.0,20.47,19.75,20.06,22.25,23.28,22.28,21.72,23.53,25.72,25.31,24.41,25.38,26.47,24.88,22.66,22.03,23.53,24.06,23.06,23.56,25.75,27.09,25.91,24.66,25.31,26.41,24.69,22.59,23.12,24.84,24.81,23.28,22.97,23.62,22.75,19.69,17.75,18.69,20.22,19.94,19.5,21.28,23.38,22.84,21.25,21.38,23.06,22.66,20.5,19.91,20.53,21.09,19.94,19.28,21.62,23.97,24.22,24.09,25.06,26.56,25.25,22.41,20.47,20.25,18.53,16.09,14.91,16.41,18.25,17.94,17.81,19.91,22.06,21.47,20.44,21.41,23.84,24.22,23.66,23.84,25.16,24.62,21.56,18.81,18.62,18.91,17.09,15.53,16.72,18.0,17.25,15.62,15.66,17.22,17.5,16.44,17.12,20.5,23.5,24.94,26.78,30.16,32.75,32.12,29.53,28.66,28.56,26.62,23.84,22.81,23.62,23.16,21.06,19.91,21.03,21.72,19.62,17.28,17.16,17.62,16.12,14.38,15.19,17.28,18.03,17.41,18.16,20.5,21.31,20.5,20.09,22.0,24.06,24.0,23.59,25.19,27.41,27.31,26.16,26.81,28.88,29.41,27.94,27.44,28.12,27.59,24.81,22.0,22.59,23.66,23.28,22.19,22.44,23.16,21.12,17.97,16.66,17.44,17.84,16.81,16.72,19.28,21.25,20.81,20.09,21.62,22.75,21.09,18.75,18.47,19.81,19.91,18.97,19.38,22.22,24.59,24.84,25.53,28.91,31.53,31.09,29.91,30.38,31.19,29.53,26.16,24.44,24.44,23.0,20.41,19.25,20.75,22.0,20.56,18.94,19.75,20.47,19.5,17.94,19.25,21.34,21.91,20.78,20.84,22.31,22.59,20.72,19.28,19.78,20.0,17.97,15.88,16.44,17.62,16.88,15.47,16.19,18.88,21.28,23.03,25.72,29.91,32.16,30.62,28.25,27.44,26.28,22.97,19.75,19.41,20.22,19.94,18.78,19.5,21.78,22.47,21.25,20.84,22.59,24.5,24.03,24.41,27.34,30.56,31.41,31.59,33.38,36.44,37.22,35.56,35.0,35.0,33.38,28.94,24.84,22.91,21.5,18.22,15.28,15.69,17.03,17.0,16.28,17.75,21.06,23.31,23.47,24.41,27.12,28.53,27.03,25.5,26.0,26.38,24.62,22.59,23.34,26.16,27.5,28.03,29.59,31.97,32.5,30.19,28.38,28.38,27.91,25.38,23.22,23.91,25.81,25.75,24.94,26.25,28.38,28.34,26.44,25.16,25.0,23.72,20.09,17.72,18.25,19.91,20.5,21.72,25.59,30.5,33.03,33.72,35.25,37.0,36.03,32.25,28.94,27.5,25.94,22.56,19.81,20.03,21.25,20.81,20.44,22.75,26.66,28.97,29.22,30.91,33.81,35.12,33.88,32.88,33.53,33.78,30.66,27.84,27.31,27.34,25.09,22.53,21.81,22.81,23.06,22.19,23.31,26.78,29.69,30.56,31.88,35.28,38.44,38.38,37.25,37.69,38.66,37.25,34.31,33.03,33.75,32.97,31.38,31.75,34.31,36.38,35.06,32.59,31.62,30.5,27.0,23.66,23.16,24.53,24.53,23.53,23.75,25.81,26.81,25.69,25.12,26.72,27.25,25.09,22.41,22.0,22.91,22.34,21.84,23.41,26.84,28.53,28.03,28.28,30.62,32.12,31.47,31.41,33.38,35.5,34.22,32.0,31.88,32.03,30.34,27.38,26.25,27.12,26.75,25.0,24.72,27.28,29.72,29.94,30.5,33.34,36.62,37.31,37.5,39.03,40.94,40.16,37.88,36.5,36.78,36.69,34.56,33.44,35.0,36.22,34.69,32.38,31.94,32.16,30.56,28.34,28.28,29.84,29.44,26.47,24.0,23.62,22.59,19.78,18.22,20.0,22.41,22.78,22.47,24.5,27.5,27.91,26.78,27.22,28.97,29.47,28.34,29.16,32.19,34.91,35.0,34.12,35.28,35.94,33.22,29.06,26.94,25.69,23.5,20.69,20.28,22.56,24.41,24.12,24.12,25.91,27.09,25.31,22.97,23.03,23.91,22.59,20.62,20.41,22.47,22.62,21.62,21.94,24.69,27.16,27.53,28.06,31.62,34.75,35.38,34.38,35.22,36.66,35.66,33.44,33.28,34.88,35.59,34.44,34.0,35.41,36.12,34.47,32.69,33.56,34.78,33.28,30.12,28.62,27.94,25.75,22.75,21.56,23.5,25.22,25.34,26.75,30.81,34.03,34.88,35.12,37.97,41.97,44.19,45.12,47.09,49.22,49.25,45.88,43.25,42.81,41.44,37.84,34.22,32.94,31.53,27.75,23.16,21.22,20.56,18.62,15.84,15.34,17.03,18.34,18.12,19.72,24.19,28.44,29.69,30.44,32.75,35.03,34.66,33.5,34.38,36.41,36.62,34.75,34.12,35.22,35.16,32.56,30.69,31.28,31.38,29.25,26.69,26.88,27.66,26.78,24.81,24.41,25.38,25.0,22.94,21.88,23.28,24.56,23.84,23.75,26.66,29.91,31.12,31.34,33.88,37.06,38.22,37.16,37.53,38.88,38.31,34.97,32.09,31.09,29.44,25.22,21.22,19.81,19.78,18.59,17.16,19.16,22.62,25.0,25.91,28.19,32.25,35.31,35.38,35.72,37.88,39.22,37.66,35.28,34.94,35.19,33.88,31.41,31.34,32.72,32.78,31.0,30.06,31.66,32.34,30.47,28.31,28.03,28.16,26.09,24.0,24.88,27.22,28.06,27.22,27.5,29.06,29.44,27.28,25.72,26.81,27.81,26.31,25.22,26.22,28.03,27.09,25.66,26.16,27.44,26.84,24.34,22.75,23.16,23.47,22.28,22.94,26.62,30.91,32.53,33.25,35.19,37.12,36.66,34.69,34.44,35.59,36.16,34.78,34.78,36.81,38.19,36.53,34.72,34.56,34.28,31.5,28.22,27.25,27.72,27.12,25.53,25.41,27.19,27.69,25.75,24.28,24.88,25.28,23.56,22.28,24.16,27.66,29.25,30.38,32.75,35.84,36.22,34.28,32.59,32.31,31.0,27.5,24.31,24.06,24.28,22.56,20.78,21.44,23.06,23.31,22.88,24.53,28.19,30.62,30.59,30.91,32.66,33.44,31.75,29.62,29.59,29.59,27.0,23.5,21.78,21.91,21.06,19.38,19.97,22.97,24.75,24.75,25.0,27.0,29.25,28.62,28.03,29.94,32.56,32.19,29.88,27.0,23.34,16.75,8.44,1.56,-1.16,-2.53,-4.41,-3.66,0.66,5.97,9.06,11.72,15.34,19.66,21.97,23.0,25.12,29.03,30.84,30.41,30.5,32.69,34.22,33.06,31.31,31.59,32.06,29.94,26.62,24.72,23.5,20.03,14.75,10.88,9.09,6.88,3.5,1.72,3.22,5.66,6.81,7.94,11.28,15.34,17.34,18.0,19.75,22.91,24.12,23.41,22.78,24.56,25.38,23.91,23.22,24.97,27.03,26.88,25.94,26.84,28.31,28.0,26.59,26.56,28.56,29.09,27.44,25.94,26.69,27.22,25.97,24.88,26.38,28.22,27.44,25.38,24.81,25.06,23.59,20.5,18.91,19.53,19.75,18.28,17.75,20.03,22.31,22.31,21.88,23.56,25.88,26.97,27.09,29.34,32.88,35.59,36.72,38.38,42.53,45.38,45.16,44.19,45.16,45.28,43.03,39.59,37.53,36.28,33.78,30.19,28.84,30.0,30.41,28.66,27.22,27.78,27.38,24.88,22.69,23.56,25.69,26.38,26.72,28.94,32.31,33.84,32.88,32.75,33.91,33.75,31.16,29.12,29.28,29.41,27.09,24.56,46.28,48.94,52.5,56.0,57.16,56.0,53.88,52.56,50.12,46.34,43.5,43.09,43.09,42.22,41.75,42.81,45.03,45.72,45.75,46.75,49.16,50.38,50.28,50.28,51.47,51.34,49.16,46.59:10.81,9.97,10.91,10.59,8.41,6.84,7.91,9.16,8.72,8.44,11.22,14.59,15.38,14.72,16.56,19.78,21.34,22.03,23.44,26.81,28.0,26.62,25.47,27.19,28.84,28.72,28.22,29.91,32.06,31.84,30.03,29.97,31.69,31.5,29.16,27.59,27.62,26.75,23.34,20.22,19.62,19.75,17.31,14.16,13.66,14.72,14.44,13.47,14.69,18.38,21.19,21.34,22.25,25.19,27.81,28.19,28.66,32.41,36.56,37.94,38.03,39.53,41.88,41.94,39.81,38.88,39.22,38.41,35.34,32.38,32.56,32.75,30.59,27.75,27.44,27.97,26.5,23.59,22.34,22.88,21.84,19.25,18.75,20.91,22.94,22.31,21.56,22.75,23.69,22.16,18.78,17.69,17.59,15.66,12.91,12.09,14.16,14.69,12.88,12.25,14.25,16.38,16.69,17.19,20.34,23.25,22.97,20.62,19.56,19.19,17.41,14.66,13.69,15.47,17.41,17.38,17.88,21.0,23.91,23.56,21.69,21.25,20.97,18.41,14.66,13.34,14.25,14.0,11.97,11.41,13.62,15.66,15.88,16.66,19.78,22.66,22.72,21.16,20.94,21.47,20.09,17.03,15.69,15.88,14.69,10.97,7.75,7.22,6.5,4.31,3.06,4.59,7.78,9.34,10.12,12.84,16.41,18.38,17.78,18.66,21.34,23.25,22.69,22.16,23.31,23.81,21.59,18.16,16.5,15.38,12.59,8.22,5.91,6.28,6.25,5.06,6.25,10.19,13.62,15.06,15.88,18.62,21.31,21.31,20.47,21.56,23.75,24.16,23.19,23.12,24.38,24.56,22.16,20.38,21.0,21.94,20.53,19.19,20.12,22.03,21.84,20.53,21.0,22.97,23.84,22.94,23.28,25.66,26.5,24.31,22.56,23.06,23.44,22.19,20.09,20.22,21.31,20.09,18.0,17.88,19.56,19.94,18.66,18.06,19.91,21.16,19.66,17.72,18.12,18.94,18.03,16.75,17.69,20.0,20.47,19.75,20.06,22.25,23.28,22.28,21.72,23.53,25.72,25.31,24.41,25.38,26.47,24.88,22.66,22.03,23.53,24.06,23.06,23.56,25.75,27.09,25.91,24.66,25.31,26.41,24.69,22.59,23.12,24.84,24.81,23.28,22.97,23.62,22.75,19.69,17.75,18.69,20.22,19.94,19.5,21.28,23.38,22.84,21.25,21.38,23.06,22.66,20.5,19.91,20.53,21.09,19.94,19.28,21.62,23.97,24.22,24.09,25.06,26.56,25.25,22.41,20.47,20.25,18.53,16.09,14.91,16.41,18.25,17.94,17.81,19.91,22.06,21.47,20.44,21.41,23.84,24.22,23.66,23.84,25.16,24.62,21.56,18.81,18.62,18.91,17.09,15.53,16.72,18.0,17.25,15.62,15.66,17.22,17.5,16.44,17.12,20.5,23.5,24.94,26.78,30.16,32.75,32.12,29.53,28.66,28.56,26.62,23.84,22.81,23.62,23.16,21.06,19.91,21.03,21.72,19.62,17.28,17.16,17.62,16.12,14.38,15.19,17.28,18.03,17.41,18.16,20.5,21.31,20.5,20.09,22.0,24.06,24.0,23.59,25.19,27.41,27.31,26.16,26.81,28.88,29.41,27.94,27.44,28.12,27.59,24.81,22.0,22.59,23.66,23.28,22.19,22.44,23.16,21.12,17.97,16.66,17.44,17.84,16.81,16.72,19.28,21.25,20.81,20.09,21.62,22.75,21.09,18.75,18.47,19.81,19.91,18.97,19.38,22.22,24.59,24.84,25.53,28.91,31.53,31.09,29.91,30.38,31.19,29.53,26.16,24.44,24.44,23.0,20.41,19.25,20.75,22.0,20.56,18.94,19.75,20.47,19.5,17.94,19.25,21.34,21.91,20.78,20.84,22.31,22.59,20.72,19.28,19.78,20.0,17.97,15.88,16.44,17.62,16.88,15.47,16.19,18.88,21.28,23.03,25.72,29.91,32.16,30.62,28.25,27.44,26.28,22.97,19.75,19.41,20.22,19.94,18.78,19.5,21.78,22.47,21.25,20.84,22.59,24.5,24.03,24.41,27.34,30.56,31.41,31.59,33.38,36.44,37.22,35.56,35.0,35.0,33.38,28.94,24.84,22.91,21.5,18.22,15.28,15.69,17.03,17.0,16.28,17.75,21.06,23.31,23.47,24.41,27.12,28.53,27.03,25.5,26.0,26.38,24.62,22.59,23.34,26.16,27.5,28.03,29.59,31.97,32.5,30.19,28.38,28.38,27.91,25.38,23.22,23.91,25.81,25.75,24.94,26.25,28.38,28.34,26.44,25.16,25.0,23.72,20.09,17.72,18.25,19.91,20.5,21.72,25.59,30.5,33.03,33.72,35.25,37.0,36.03,32.25,28.94,27.5,25.94,22.56,19.81,20.03,21.25,20.81,20.44,22.75,26.66,28.97,29.22,30.91,33.81,35.12,33.88,32.88,33.53,33.78,30.66,27.84,27.31,27.34,25.09,22.53,21.81,22.81,23.06,22.19,23.31,26.78,29.69,30.56,31.88,35.28,38.44,38.38,37.25,37.69,38.66,37.25,34.31,33.03,33.75,32.97,31.38,31.75,34.31,36.38,35.06,32.59,31.62,30.5,27.0,23.66,23.16,24.53,24.53,23.53,23.75,25.81,26.81,25.69,25.12,26.72,27.25,25.09,22.41,22.0,22.91,22.34,21.84,23.41,26.84,28.53,28.03,28.28,30.62,32.12,31.47,31.41,33.38,35.5,34.22,32.0,31.88,32.03,30.34,27.38,26.25,27.12,26.75,25.0,24.72,27.28,29.72,29.94,30.5,33.34,36.62,37.31,37.5,39.03,40.94,40.16,37.88,36.5,36.78,36.69,34.56,33.44,35.0,36.22,34.69,32.38,31.94,32.16,30.56,28.34,28.28,29.84,29.44,26.47,24.0,23.62,22.59,19.78,18.22,20.0,22.41,22.78,22.47,24.5,27.5,27.91,26.78,27.22,28.97,29.47,28.34,29.16,32.19,34.91,35.0,34.12,35.28,35.94,33.22,29.06,26.94,25.69,23.5,20.69,20.28,22.56,24.41,24.12,24.12,25.91,27.09,25.31,22.97,23.03,23.91,22.59,20.62,20.41,22.47,22.62,21.62,21.94,24.69,27.16,27.53,28.06,31.62,34.75,35.38,34.38,35.22,36.66,35.66,33.44,33.28,34.88,35.59,34.44,34.0,35.41,36.12,34.47,32.69,33.56,34.78,33.28,30.12,28.62,27.94,25.75,22.75,21.56,23.5,25.22,25.34,26.75,30.81,34.03,34.88,35.12,37.97,41.97,44.19,45.12,47.09,49.22,49.25,45.88,43.25,42.81,41.44,37.84,34.22,32.94,31.53,27.75,23.16,21.22,20.56,18.62,15.84,15.34,17.03,18.34,18.12,19.72,24.19,28.44,29.69,30.44,32.75,35.03,34.66,33.5,34.38,36.41,36.62,34.75,34.12,35.22,35.16,32.56,30.69,31.28,31.38,29.25,26.69,26.88,27.66,26.78,24.81,24.41,25.38,25.0,22.94,21.88,23.28,24.56,23.84,23.75,26.66,29.91,31.12,31.34,33.88,37.06,38.22,37.16,37.53,38.88,38.31,34.97,32.09,31.09,29.44,25.22,21.22,19.81,19.78,18.59,17.16,19.16,22.62,25.0,25.91,28.19,32.25,35.31,35.38,35.72,37.88,39.22,37.66,35.28,34.94,35.19,33.88,31.41,31.34,32.72,32.78,31.0,30.06,31.66,32.34,30.47,28.31,28.03,28.16,26.09,24.0,24.88,27.22,28.06,27.22,27.5,29.06,29.44,27.28,25.72,26.81,27.81,26.31,25.22,26.22,28.03,27.09,25.66,26.16,27.44,26.84,24.34,22.75,23.16,23.47,22.28,22.94,26.62,30.91,32.53,33.25,35.19,37.12,36.66,34.69,34.44,35.59,36.16,34.78,34.78,36.81,38.19,36.53,34.72,34.56,34.28,31.5,28.22,27.25,27.72,27.12,25.53,25.41,27.19,27.69,25.75,24.28,24.88,25.28,23.56,22.28,24.16,27.66,29.25,30.38,32.75,35.84,36.22,34.28,32.59,32.31,31.0,27.5,24.31,24.06,24.28,22.56,20.78,21.44,23.06,23.31,22.88,24.53,28.19,30.62,30.59,30.91,32.66,33.44,31.75,29.62,29.59,29.59,27.0,23.5,21.78,21.91,21.06,19.38,19.97,22.97,24.75,24.75,25.0,27.0,29.25,28.62,28.03,29.94,32.56,32.19,29.88,27.0,23.34,16.75,8.44,1.56,-1.16,-2.53,-4.41,-3.66,0.66,5.97,9.06,11.72,15.34,19.66,21.97,23.0,25.12,29.03,30.84,30.41,30.5,32.69,34.22,33.06,31.31,31.59,32.06,29.94,26.62,24.72,23.5,20.03,14.75,10.88,9.09,6.88,3.5,1.72,3.22,5.66,6.81,7.94,11.28,15.34,17.34,18.0,19.75,22.91,24.12,23.41,22.78,24.56,25.38,23.91,23.22,24.97,27.03,26.88,25.94,26.84,28.31,28.0,26.59,26.56,28.56,29.09,27.44,25.94,26.69,27.22,25.97,24.88,26.38,28.22,27.44,25.38,24.81,25.06,23.59,20.5,18.91,19.53,19.75,18.28,17.75,20.03,22.31,22.31,21.88,23.56,25.88,26.97,27.09,29.34,32.88,35.59,36.72,38.38,42.53,45.38,45.16,44.19,45.16,45.28,43.03,39.59,37.53,36.28,33.78,30.19,28.84,30.0,30.41,28.66,27.22,27.78,27.38,24.88,22.69,23.56,25.69,26.38,26.72,28.94,32.31,33.84,32.88,32.75,33.91,33.75,31.16,29.12,29.28,29.41,27.09,24.56,46.28,48.94,52.5,56.0,57.16,56.0,53.88,52.56,50.12,46.34,43.5,43.09,43.09,42.22,41.75,42.81,45.03,45.72,45.75,46.75,49.16,50.38,50.28,50.28,51.47,51.34,49.16,46.59,45.41,44.41,41.5,38.09,36.16,34.88,32.06:9.16,8.72,8.44,11.22,14.59,15.38,14.72,16.56,19.78,21.34,22.03,23.44,26.81,28.0,26.62,25.47,27.19,28.84,28.72,28.22,29.91,32.06,31.84,30.03,29.97,31.69,31.5,29.16,27.59,27.62,26.75,23.34,20.22,19.62,19.75,17.31,14.16,13.66,14.72,14.44,13.47,14.69,18.38,21.19,21.34,22.25,25.19,27.81,28.19,28.66,32.41,36.56,37.94,38.03,39.53,41.88,41.94,39.81,38.88,39.22,38.41,35.34,32.38,32.56,32.75,30.59,27.75,27.44,27.97,26.5,23.59,22.34,22.88,21.84,19.25,18.75,20.91,22.94,22.31,21.56,22.75,23.69,22.16,18.78,17.69,17.59,15.66,12.91,12.09,14.16,14.69,12.88,12.25,14.25,16.38,16.69,17.19,20.34,23.25,22.97,20.62,19.56,19.19,17.41,14.66,13.69,15.47,17.41,17.38,17.88,21.0,23.91,23.56,21.69,21.25,20.97,18.41,14.66,13.34,14.25,14.0,11.97,11.41,13.62,15.66,15.88,16.66,19.78,22.66,22.72,21.16,20.94,21.47,20.09,17.03,15.69,15.88,14.69,10.97,7.75,7.22,6.5,4.31,3.06,4.59,7.78,9.34,10.12,12.84,16.41,18.38,17.78,18.66,21.34,23.25,22.69,22.16,23.31,23.81,21.59,18.16,16.5,15.38,12.59,8.22,5.91,6.28,6.25,5.06,6.25,10.19,13.62,15.06,15.88,18.62,21.31,21.31,20.47,21.56,23.75,24.16,23.19,23.12,24.38,24.56,22.16,20.38,21.0,21.94,20.53,19.19,20.12,22.03,21.84,20.53,21.0,22.97,23.84,22.94,23.28,25.66,26.5,24.31,22.56,23.06,23.44,22.19,20.09,20.22,21.31,20.09,18.0,17.88,19.56,19.94,18.66,18.06,19.91,21.16,19.66,17.72,18.12,18.94,18.03,16.75,17.69,20.0,20.47,19.75,20.06,22.25,23.28,22.28,21.72,23.53,25.72,25.31,24.41,25.38,26.47,24.88,22.66,22.03,23.53,24.06,23.06,23.56,25.75,27.09,25.91,24.66,25.31,26.41,24.69,22.59,23.12,24.84,24.81,23.28,22.97,23.62,22.75,19.69,17.75,18.69,20.22,19.94,19.5,21.28,23.38,22.84,21.25,21.38,23.06,22.66,20.5,19.91,20.53,21.09,19.94,19.28,21.62,23.97,24.22,24.09,25.06,26.56,25.25,22.41,20.47,20.25,18.53,16.09,14.91,16.41,18.25,17.94,17.81,19.91,22.06,21.47,20.44,21.41,23.84,24.22,23.66,23.84,25.16,24.62,21.56,18.81,18.62,18.91,17.09,15.53,16.72,18.0,17.25,15.62,15.66,17.22,17.5,16.44,17.12,20.5,23.5,24.94,26.78,30.16,32.75,32.12,29.53,28.66,28.56,26.62,23.84,22.81,23.62,23.16,21.06,19.91,21.03,21.72,19.62,17.28,17.16,17.62,16.12,14.38,15.19,17.28,18.03,17.41,18.16,20.5,21.31,20.5,20.09,22.0,24.06,24.0,23.59,25.19,27.41,27.31,26.16,26.81,28.88,29.41,27.94,27.44,28.12,27.59,24.81,22.0,22.59,23.66,23.28,22.19,22.44,23.16,21.12,17.97,16.66,17.44,17.84,16.81,16.72,19.28,21.25,20.81,20.09,21.62,22.75,21.09,18.75,18.47,19.81,19.91,18.97,19.38,22.22,24.59,24.84,25.53,28.91,31.53,31.09,29.91,30.38,31.19,29.53,26.16,24.44,24.44,23.0,20.41,19.25,20.75,22.0,20.56,18.94,19.75,20.47,19.5,17.94,19.25,21.34,21.91,20.78,20.84,22.31,22.59,20.72,19.28,19.78,20.0,17.97,15.88,16.44,17.62,16.88,15.47,16.19,18.88,21.28,23.03,25.72,29.91,32.16,30.62,28.25,27.44,26.28,22.97,19.75,19.41,20.22,19.94,18.78,19.5,21.78,22.47,21.25,20.84,22.59,24.5,24.03,24.41,27.34,30.56,31.41,31.59,33.38,36.44,37.22,35.56,35.0,35.0,33.38,28.94,24.84,22.91,21.5,18.22,15.28,15.69,17.03,17.0,16.28,17.75,21.06,23.31,23.47,24.41,27.12,28.53,27.03,25.5,26.0,26.38,24.62,22.59,23.34,26.16,27.5,28.03,29.59,31.97,32.5,30.19,28.38,28.38,27.91,25.38,23.22,23.91,25.81,25.75,24.94,26.25,28.38,28.34,26.44,25.16,25.0,23.72,20.09,17.72,18.25,19.91,20.5,21.72,25.59,30.5,33.03,33.72,35.25,37.0,36.03,32.25,28.94,27.5,25.94,22.56,19.81,20.03,21.25,20.81,20.44,22.75,26.66,28.97,29.22,30.91,33.81,35.12,33.88,32.88,33.53,33.78,30.66,27.84,27.31,27.34,25.09,22.53,21.81,22.81,23.06,22.19,23.31,26.78,29.69,30.56,31.88,35.28,38.44,38.38,37.25,37.69,38.66,37.25,34.31,33.03,33.75,32.97,31.38,31.75,34.31,36.38,35.06,32.59,31.62,30.5,27.0,23.66,23.16,24.53,24.53,23.53,23.75,25.81,26.81,25.69,25.12,26.72,27.25,25.09,22.41,22.0,22.91,22.34,21.84,23.41,26.84,28.53,28.03,28.28,30.62,32.12,31.47,31.41,33.38,35.5,34.22,32.0,31.88,32.03,30.34,27.38,26.25,27.12,26.75,25.0,24.72,27.28,29.72,29.94,30.5,33.34,36.62,37.31,37.5,39.03,40.94,40.16,37.88,36.5,36.78,36.69,34.56,33.44,35.0,36.22,34.69,32.38,31.94,32.16,30.56,28.34,28.28,29.84,29.44,26.47,24.0,23.62,22.59,19.78,18.22,20.0,22.41,22.78,22.47,24.5,27.5,27.91,26.78,27.22,28.97,29.47,28.34,29.16,32.19,34.91,35.0,34.12,35.28,35.94,33.22,29.06,26.94,25.69,23.5,20.69,20.28,22.56,24.41,24.12,24.12,25.91,27.09,25.31,22.97,23.03,23.91,22.59,20.62,20.41,22.47,22.62,21.62,21.94,24.69,27.16,27.53,28.06,31.62,34.75,35.38,34.38,35.22,36.66,35.66,33.44,33.28,34.88,35.59,34.44,34.0,35.41,36.12,34.47,32.69,33.56,34.78,33.28,30.12,28.62,27.94,25.75,22.75,21.56,23.5,25.22,25.34,26.75,30.81,34.03,34.88,35.12,37.97,41.97,44.19,45.12,47.09,49.22,49.25,45.88,43.25,42.81,41.44,37.84,34.22,32.94,31.53,27.75,23.16,21.22,20.56,18.62,15.84,15.34,17.03,18.34,18.12,19.72,24.19,28.44,29.69,30.44,32.75,35.03,34.66,33.5,34.38,36.41,36.62,34.75,34.12,35.22,35.16,32.56,30.69,31.28,31.38,29.25,26.69,26.88,27.66,26.78,24.81,24.41,25.38,25.0,22.94,21.88,23.28,24.56,23.84,23.75,26.66,29.91,31.12,31.34,33.88,37.06,38.22,37.16,37.53,38.88,38.31,34.97,32.09,31.09,29.44,25.22,21.22,19.81,19.78,18.59,17.16,19.16,22.62,25.0,25.91,28.19,32.25,35.31,35.38,35.72,37.88,39.22,37.66,35.28,34.94,35.19,33.88,31.41,31.34,32.72,32.78,31.0,30.06,31.66,32.34,30.47,28.31,28.03,28.16,26.09,24.0,24.88,27.22,28.06,27.22,27.5,29.06,29.44,27.28,25.72,26.81,27.81,26.31,25.22,26.22,28.03,27.09,25.66,26.16,27.44,26.84,24.34,22.75,23.16,23.47,22.28,22.94,26.62,30.91,32.53,33.25,35.19,37.12,36.66,34.69,34.44,35.59,36.16,34.78,34.78,36.81,38.19,36.53,34.72,34.56,34.28,31.5,28.22,27.25,27.72,27.12,25.53,25.41,27.19,27.69,25.75,24.28,24.88,25.28,23.56,22.28,24.16,27.66,29.25,30.38,32.75,35.84,36.22,34.28,32.59,32.31,31.0,27.5,24.31,24.06,24.28,22.56,20.78,21.44,23.06,23.31,22.88,24.53,28.19,30.62,30.59,30.91,32.66,33.44,31.75,29.62,29.59,29.59,27.0,23.5,21.78,21.91,21.06,19.38,19.97,22.97,24.75,24.75,25.0,27.0,29.25,28.62,28.03,29.94,32.56,32.19,29.88,27.0,23.34,16.75,8.44,1.56,-1.16,-2.53,-4.41,-3.66,0.66,5.97,9.06,11.72,15.34,19.66,21.97,23.0,25.12,29.03,30.84,30.41,30.5,32.69,34.22,33.06,31.31,31.59,32.06,29.94,26.62,24.72,23.5,20.03,14.75,10.88,9.09,6.88,3.5,1.72,3.22,5.66,6.81,7.94,11.28,15.34,17.34,18.0,19.75,22.91,24.12,23.41,22.78,24.56,25.38,23.91,23.22,24.97,27.03,26.88,25.94,26.84,28.31,28.0,26.59,26.56,28.56,29.09,27.44,25.94,26.69,27.22,25.97,24.88,26.38,28.22,27.44,25.38,24.81,25.06,23.59,20.5,18.91,19.53,19.75,18.28,17.75,20.03,22.31,22.31,21.88,23.56,25.88,26.97,27.09,29.34,32.88,35.59,36.72,38.38,42.53,45.38,45.16,44.19,45.16,45.28,43.03,39.59,37.53,36.28,33.78,30.19,28.84,30.0,30.41,28.66,27.22,27.78,27.38,24.88,22.69,23.56,25.69,26.38,26.72,28.94,32.31,33.84,32.88,32.75,33.91,33.75,31.16,29.12,29.28,29.41,27.09,24.56,46.28,48.94,52.5,56.0,57.16,56.0,53.88,52.56,50.12,46.34,43.5,43.09,43.09,42.22,41.75,42.81,45.03,45.72,45.75,46.75,49.16,50.38,50.28,50.28,51.47,51.34,49.16,46.59,45.41,44.41,41.5,38.09,36.16,34.88,32.06,28.84,26.69,25.88,24.06,21.28,19.0,18.59:negativity
21.88,20.72,21.41,23.06,22.59,20.38,19.91,21.38,21.75,19.22,16.69,16.19,15.16,12.06,9.44,10.09,12.59,13.53,13.91,16.34,20.62,23.03,23.84,25.41,28.88,31.28,30.56,29.47,30.03,29.97,26.97,22.69,21.06,21.88,22.03,22.78,25.78,31.16,33.69,32.38,30.12,29.5,28.31,25.03,22.72,23.97,26.72,27.91,28.66,31.97,36.56,38.84,38.62,38.91,40.62,41.09,38.72,37.03,37.53,38.03,35.66,32.41,31.19,30.59,28.03,24.16,22.41,22.19,20.66,17.22,15.0,15.31,15.31,13.28,11.5,12.34,14.16,14.25,13.31,14.91,17.5,18.03,17.12,17.75,20.28,21.31,19.69,18.75,20.38,21.88,21.56,21.06,22.97,25.81,25.91,24.66,25.09,25.84,24.44,20.78,18.47,18.28,18.12,15.94,14.66,15.75,17.19,15.66,13.28,13.59,14.62,14.22,12.47,12.97,15.44,17.25,16.81,17.56,20.22,21.72,20.94,19.84,21.16,23.0,22.44,20.62,20.94,22.38,22.09,19.97,19.56,20.75,21.41,19.91,18.47,19.62,20.66,19.69,18.81,21.25,25.06,26.84,27.28,28.69,30.91,31.0,29.09,28.06,29.25,29.84,27.81,25.78,26.38,27.25,25.91,24.25,24.97,26.84,26.81,25.28,25.28,26.62,26.94,25.03,24.25,25.69,26.91,26.12,24.84,26.41,28.31,28.12,27.16,28.47,31.06,31.47,29.59,28.06,28.06,27.91,26.0,25.5,28.12,31.12,31.12,30.38,31.62,33.0,32.0,29.69,28.72,29.34,28.66,26.34,25.06,26.44,27.28,25.97,24.69,25.75,27.31,26.09,24.5,24.56,25.66,25.34,23.59,22.78,24.09,24.56,22.25,20.91,21.81,23.03,22.31,21.31,23.34,25.91,26.5,25.66,26.41,28.09,27.94,25.81,24.41,25.25,25.5,23.81,22.28,23.09,24.38,22.88,20.72,20.81,22.09,21.28,19.59,19.75,21.56,22.38,21.44,21.12,22.62,23.5,21.38,19.75,20.28,21.09,20.12,18.12,18.06,19.12,18.47,16.62,16.59,18.97,21.03,21.12,22.12,24.78,27.28,26.72,25.78,26.88,28.84,28.59,26.56,25.66,25.56,23.38,19.34,17.22,17.84,18.91,18.38,18.06,20.75,24.03,25.28,25.72,28.06,30.62,30.75,28.84,27.47,27.53,26.88,24.03,21.91,22.69,23.72,22.16,21.0,21.94,23.81,23.03,21.31,21.22,22.91,23.06,21.66,20.84,22.12,22.38,20.38,18.81,20.19,21.84,21.22,20.28,21.19,23.19,22.84,21.22,20.66,21.41,20.66,17.66,15.56,16.34,17.0,15.62,14.28,15.19,16.38,15.5,14.16,15.03,17.16,17.94,17.03,17.12,18.97,19.62,17.38,15.06,15.0,14.72,12.84,11.16,12.72,15.66,17.0,17.06,17.81,19.62,19.78,18.06,17.53,19.44,20.81,20.06,19.22,20.72,22.81,23.38,23.38,25.25,28.03,28.41,26.28,24.69,23.88,21.69,16.97,12.69,11.03,9.44,6.12,3.62,4.34,6.78,8.34,9.16,12.19,16.22,18.44,17.94,17.53,18.38,17.97,15.38,13.22,14.5,16.44,16.44,15.69,16.69,17.91,16.56,13.53,11.62,11.0,9.38,5.88,4.06,5.59,7.53,8.25,9.28,12.56,15.75,16.34,15.44,16.25,17.38,17.03,15.0,13.88,14.88,15.22,13.56,12.44,14.12,15.53,15.09,14.16,15.72,18.78,20.22,21.06,23.28,26.44,27.53,25.53,23.38,22.44,20.84,16.75,13.25,12.5,12.31,10.59,8.62,8.88,10.12,9.53,7.62,7.41,9.5,12.03,13.31,15.97,20.72,24.31,24.06,21.62,20.12,17.91,13.41,8.47,6.66,7.22,7.03,5.75,5.94,7.91,10.09,10.41,11.53,15.25,18.62,18.84,17.44,17.56,18.38,17.12,14.66,14.25,15.22,14.75,10.53,6.78,5.28,3.38,0.69,-0.78,1.09,4.22,4.59,3.88,4.84,6.88,7.62,7.38,8.62,12.03,14.81,15.06,15.28,17.19,18.53,16.47,13.34,11.91,11.28,9.03,5.22,3.34,3.22,2.12,-0.69,-2.16,-1.19,-1.12,-3.12,-4.62,-2.69,0.94,3.31,5.22,8.94,13.38,15.0,14.16,13.72,14.66,14.59,12.75,12.16,14.94,17.91,18.44,18.47,19.5,20.88,19.22,15.72,14.09,13.78,12.44,9.62,8.69,11.0,13.31,13.53,14.56,17.53,20.09,19.66,17.91,17.88,18.81,17.62,15.06,14.03,14.75,13.97,10.69,8.34,8.28,7.88,5.19,3.62,4.97,7.56,7.62,6.91,7.5,9.22,8.59,6.53,6.41,8.09,9.0,7.53,6.44,7.69,8.41,6.72,5.16,5.94,8.25,8.97,8.84,10.84,14.41,16.91,17.88,19.66,22.94,24.5,22.62,19.88,19.22,19.56,18.03,17.16,18.75,22.12,23.03,22.09,22.09,23.75,23.88,21.31,19.0,19.25,19.03,16.19,13.53,14.03,15.5,15.12,14.16,15.75,19.31,21.31,21.5,22.19,24.19,24.19,21.12,17.62,16.88,16.09,13.12,10.69,11.56,14.03,14.97,15.03,16.69,20.66,23.09,23.09,23.38,25.19,25.47,22.31,19.16,18.75,18.62,16.19,12.66,11.28,10.75,7.97,4.72,3.97,5.91,8.44,9.72,12.22,17.12,21.22,22.34,22.56,24.59,26.06,24.53,21.69,20.97,21.5,20.59,17.94,15.94,15.97,14.69,11.44,8.66,9.34,10.03,9.22,8.38,11.09,15.16,17.31,18.06,20.41,24.0,26.12,26.19,26.03,27.31,26.59,22.5,17.84,16.0,15.44,13.75,12.5,14.25,17.84,19.62,19.56,20.31,22.69,23.31,21.44,20.28,21.38,22.25,20.81,19.5,21.12,23.72,24.22,23.81,24.94,26.78,26.5,23.81,21.97,22.41,21.97,19.88,17.91,19.09,19.97,18.88,17.38,18.69,21.12,21.88,22.19,24.31,27.78,30.06,29.56,29.5,31.53,32.22,30.72,28.72,29.0,28.81,26.34,23.03,21.97,22.31,21.31,18.44,16.75,16.81,15.69,13.03,12.0,14.09,16.31,16.25,15.44,16.97,19.03,19.25,18.38,19.66,22.25,23.09,21.91,21.69,23.72,24.62,22.94,21.34,21.94,22.97,21.66,19.47,19.97,20.97,20.0,17.19,16.53,17.47,17.12,14.59,13.12,13.81,14.56,13.5,12.66,14.31,16.19,15.78,13.72,14.03,15.44,15.09,13.38,13.41,15.81,17.56,16.72,16.72,19.22,21.34,20.44,18.97,18.78,18.5,15.44,10.97,8.97,9.03,8.38,6.69,6.69,8.5,9.81,8.31,7.31,8.75,10.53,9.66,7.72,7.66,8.56,8.12,6.34,6.75,8.5,9.69,8.56,8.59,11.56,14.72,15.62,16.28,19.03,21.88,21.62,20.28,20.78,22.5,22.56,20.72,19.5,19.69,18.72,14.94,12.75,13.28,14.12,13.25,12.16,13.31,15.16,14.88,13.62,14.22,16.47,18.12,18.5,19.94,23.09,25.03,23.09,20.41,19.38,18.75,15.62,12.59,12.19,13.38,13.19,12.19,12.66,14.62,15.88,14.72,14.56,16.25,17.78,15.94,13.34,12.53,12.16,10.5,8.47,9.59,12.66,14.31,14.53,16.0,18.81,20.12,19.16,18.22,19.06,19.69,17.66,14.91,14.16,14.38,12.38,9.69,8.56,9.12,8.34,5.81,4.19,5.09,5.34,3.25,1.56,2.84,5.5,6.09,7.12,10.16,14.53,16.78,17.06,18.19,20.12,20.53,17.56,14.91,13.78,11.75,7.28,2.72,0.62,0.22,-1.25,-2.84,-1.69,1.38,3.47,3.91,5.19,7.81,9.56,8.09,6.19,6.81,7.69,6.59,5.56,6.78,9.0,8.88,7.22,7.19,9.47,11.16,11.91,13.81,18.38,22.25,23.47,24.22,26.72,28.72,27.31,24.44,23.0,23.03,21.22,18.0,15.91,15.69,14.09,10.22,7.28,7.03,7.03,5.62,4.88,7.06,10.5,11.91,12.22,14.0,16.88,17.56,16.31,15.66,16.97,17.44,15.91,14.5,14.97,15.31,12.31,8.38,6.41,5.81,4.44,3.0,3.62,6.31,7.44,6.03,4.56,5.03,5.25,3.56,2.38,4.0,6.5,6.28,4.88,4.22,4.34,2.69,0.06,-0.88,0.88,1.72,0.66,0.09,2.25,4.56,5.03,4.97,7.09,9.31,8.69,6.22,4.31,3.94,1.81,-1.53,-3.97,-4.25,-5.12,-8.38,-10.97,-10.75,-8.97,-8.56,-8.22,-5.59,-2.03,-0.38,-0.25,1.22,4.41,6.41,6.22,6.5,8.97,10.44,9.59,8.03,9.28,10.62,10.09,8.88,9.19,10.41,9.16,6.03,3.41,2.59,0.97,-2.38,-4.94,-4.28,-3.22,-3.44,-3.22,-0.47,3.44,5.41,6.62,9.0,13.0,15.12,15.16,14.97,16.19,16.0,12.78,8.78,6.94,5.19,1.47,-2.19,-2.91,-1.62,-1.41,-2.44,-1.53,1.03,2.91,2.56,2.69,5.03,6.91,6.38,5.19,6.25,8.09,8.16,7.22,8.31,10.69,11.03,8.72,6.91,6.81,5.5,2.34,-0.44,-0.28,-0.38,-2.97,-6.25,-7.34,-7.25,-7.53,-7.75,-5.16,-0.28,4.0,6.38,9.16,13.78,17.69,18.31,18.41,20.09,21.56,19.59,16.47,15.03,14.41,12.25,8.34,5.91,5.19,3.5,0.12,-1.59,-0.28,1.78,2.5,3.25,6.97,11.38,13.44,14.0,16.25,18.75,19.66,18.09,17.62,18.44,18.62,16.16,14.25,14.62,15.25,13.78,12.06,13.0,14.91,15.22,14.28:21.38,21.75,19.22,16.69,16.19,15.16,12.06,9.44,10.09,12.59,13.53,13.91,16.34,20.62,23.03,23.84,25.41,28.88,31.28,30.56,29.47,30.03,29.97,26.97,22.69,21.06,21.88,22.03,22.78,25.78,31.16,33.69,32.38,30.12,29.5,28.31,25.03,22.72,23.97,26.72,27.91,28.66,31.97,36.56,38.84,38.62,38.91,40.62,41.09,38.72,37.03,37.53,38.03,35.66,32.41,31.19,30.59,28.03,24.16,22.41,22.19,20.66,17.22,15.0,15.31,15.31,13.28,11.5,12.34,14.16,14.25,13.31,14.91,17.5,18.03,17.12,17.75,20.28,21.31,19.69,18.75,20.38,21.88,21.56,21.06,22.97,25.81,25.91,24.66,25.09,25.84,24.44,20.78,18.47,18.28,18.12,15.94,14.66,15.75,17.19,15.66,13.28,13.59,14.62,14.22,12.47,12.97,15.44,17.25,16.81,17.56,20.22,21.72,20.94,19.84,21.16,23.0,22.44,20.62,20.94,22.38,22.09,19.97,19.56,20.75,21.41,19.91,18.47,19.62,20.66,19.69,18.81,21.25,25.06,26.84,27.28,28.69,30.91,31.0,29.09,28.06,29.25,29.84,27.81,25.78,26.38,27.25,25.91,24.25,24.97,26.84,26.81,25.28,25.28,26.62,26.94,25.03,24.25,25.69,26.91,26.12,24.84,26.41,28.31,28.12,27.16,28.47,31.06,31.47,29.59,28.06,28.06,27.91,26.0,25.5,28.12,31.12,31.12,30.38,31.62,33.0,32.0,29.69,28.72,29.34,28.66,26.34,25.06,26.44,27.28,25.97,24.69,25.75,27.31,26.09,24.5,24.56,25.66,25.34,23.59,22.78,24.09,24.56,22.25,20.91,21.81,23.03,22.31,21.31,23.34,25.91,26.5,25.66,26.41,28.09,27.94,25.81,24.41,25.25,25.5,23.81,22.28,23.09,24.38,22.88,20.72,20.81,22.09,21.28,19.59,19.75,21.56,22.38,21.44,21.12,22.62,23.5,21.38,19.75,20.28,21.09,20.12,18.12,18.06,19.12,18.47,16.62,16.59,18.97,21.03,21.12,22.12,24.78,27.28,26.72,25.78,26.88,28.84,28.59,26.56,25.66,25.56,23.38,19.34,17.22,17.84,18.91,18.38,18.06,20.75,24.03,25.28,25.72,28.06,30.62,30.75,28.84,27.47,27.53,26.88,24.03,21.91,22.69,23.72,22.16,21.0,21.94,23.81,23.03,21.31,21.22,22.91,23.06,21.66,20.84,22.12,22.38,20.38,18.81,20.19,21.84,21.22,20.28,21.19,23.19,22.84,21.22,20.66,21.41,20.66,17.66,15.56,16.34,17.0,15.62,14.28,15.19,16.38,15.5,14.16,15.03,17.16,17.94,17.03,17.12,18.97,19.62,17.38,15.06,15.0,14.72,12.84,11.16,12.72,15.66,17.0,17.06,17.81,19.62,19.78,18.06,17.53,19.44,20.81,20.06,19.22,20.72,22.81,23.38,23.38,25.25,28.03,28.41,26.28,24.69,23.88,21.69,16.97,12.69,11.03,9.44,6.12,3.62,4.34,6.78,8.34,9.16,12.19,16.22,18.44,17.94,17.53,18.38,17.97,15.38,13.22,14.5,16.44,16.44,15.69,16.69,17.91,16.56,13.53,11.62,11.0,9.38,5.88,4.06,5.59,7.53,8.25,9.28,12.56,15.75,16.34,15.44,16.25,17.38,17.03,15.0,13.88,14.88,15.22,13.56,12.44,14.12,15.53,15.09,14.16,15.72,18.78,20.22,21.06,23.28,26.44,27.53,25.53,23.38,22.44,20.84,16.75,13.25,12.5,12.31,10.59,8.62,8.88,10.12,9.53,7.62,7.41,9.5,12.03,13.31,15.97,20.72,24.31,24.06,21.62,20.12,17.91,13.41,8.47,6.66,7.22,7.03,5.75,5.94,7.91,10.09,10.41,11.53,15.25,18.62,18.84,17.44,17.56,18.38,17.12,14.66,14.25,15.22,14.75,10.53,6.78,5.28,3.38,0.69,-0.78,1.09,4.22,4.59,3.88,4.84,6.88,7.62,7.38,8.62,12.03,14.81,15.06,15.28,17.19,18.53,16.47,13.34,11.91,11.28,9.03,5.22,3.34,3.22,2.12,-0.69,-2.16,-1.19,-1.12,-3.12,-4.62,-2.69,0.94,3.31,5.22,8.94,13.38,15.0,14.16,13.72,14.66,14.59,12.75,12.16,14.94,17.91,18.44,18.47,19.5,20.88,19.22,15.72,14.09,13.78,12.44,9.62,8.69,11.0,13.31,13.53,14.56,17.53,20.09,19.66,17.91,17.88,18.81,17.62,15.06,14.03,14.75,13.97,10.69,8.34,8.28,7.88,5.19,3.62,4.97,7.56,7.62,6.91,7.5,9.22,8.59,6.53,6.41,8.09,9.0,7.53,6.44,7.69,8.41,6.72,5.16,5.94,8.25,8.97,8.84,10.84,14.41,16.91,17.88,19.66,22.94,24.5,22.62,19.88,19.22,19.56,18.03,17.16,18.75,22.12,23.03,22.09,22.09,23.75,23.88,21.31,19.0,19.25,19.03,16.19,13.53,14.03,15.5,15.12,14.16,15.75,19.31,21.31,21.5,22.19,24.19,24.19,21.12,17.62,16.88,16.09,13.12,10.69,11.56,14.03,14.97,15.03,16.69,20.66,23.09,23.09,23.38,25.19,25.47,22.31,19.16,18.75,18.62,16.19,12.66,11.28,10.75,7.97,4.72,3.97,5.91,8.44,9.72,12.22,17.12,21.22,22.34,22.56,24.59,26.06,24.53,21.69,20.97,21.5,20.59,17.94,15.94,15.97,14.69,11.44,8.66,9.34,10.03,9.22,8.38,11.09,15.16,17.31,18.06,20.41,24.0,26.12,26.19,26.03,27.31,26.59,22.5,17.84,16.0,15.44,13.75,12.5,14.25,17.84,19.62,19.56,20.31,22.69,23.31,21.44,20.28,21.38,22.25,20.81,19.5,21.12,23.72,24.22,23.81,24.94,26.78,26.5,23.81,21.97,22.41,21.97,19.88,17.91,19.09,19.97,18.88,17.38,18.69,21.12,21.88,22.19,24.31,27.78,30.06,29.56,29.5,31.53,32.22,30.72,28.72,29.0,28.81,26.34,23.03,21.97,22.31,21.31,18.44,16.75,16.81,15.69,13.03,12.0,14.09,16.31,16.25,15.44,16.97,19.03,19.25,18.38,19.66,22.25,23.09,21.91,21.69,23.72,24.62,22.94,21.34,21.94,22.97,21.66,19.47,19.97,20.97,20.0,17.19,16.53,17.47,17.12,14.59,13.12,13.81,14.56,13.5,12.66,14.31,16.19,15.78,13.72,14.03,15.44,15.09,13.38,13.41,15.81,17.56,16.72,16.72,19.22,21.34,20.44,18.97,18.78,18.5,15.44,10.97,8.97,9.03,8.38,6.69,6.69,8.5,9.81,8.31,7.31,8.75,10.53,9.66,7.72,7.66,8.56,8.12,6.34,6.75,8.5,9.69,8.56,8.59,11.56,14.72,15.62,16.28,19.03,21.88,21.62,20.28,20.78,22.5,22.56,20.72,19.5,19.69,18.72,14.94,12.75,13.28,14.12,13.25,12.16,13.31,15.16,14.88,13.62,14.22,16.47,18.12,18.5,19.94,23.09,25.03,23.09,20.41,19.38,18.75,15.62,12.59,12.19,13.38,13.19,12.19,12.66,14.62,15.88,14.72,14.56,16.25,17.78,15.94,13.34,12.53,12.16,10.5,8.47,9.59,12.66,14.31,14.53,16.0,18.81,20.12,19.16,18.22,19.06,19.69,17.66,14.91,14.16,14.38,12.38,9.69,8.56,9.12,8.34,5.81,4.19,5.09,5.34,3.25,1.56,2.84,5.5,6.09,7.12,10.16,14.53,16.78,17.06,18.19,20.12,20.53,17.56,14.91,13.78,11.75,7.28,2.72,0.62,0.22,-1.25,-2.84,-1.69,1.38,3.47,3.91,5.19,7.81,9.56,8.09,6.19,6.81,7.69,6.59,5.56,6.78,9.0,8.88,7.22,7.19,9.47,11.16,11.91,13.81,18.38,22.25,23.47,24.22,26.72,28.72,27.31,24.44,23.0,23.03,21.22,18.0,15.91,15.69,14.09,10.22,7.28,7.03,7.03,5.62,4.88,7.06,10.5,11.91,12.22,14.0,16.88,17.56,16.31,15.66,16.97,17.44,15.91,14.5,14.97,15.31,12.31,8.38,6.41,5.81,4.44,3.0,3.62,6.31,7.44,6.03,4.56,5.03,5.25,3.56,2.38,4.0,6.5,6.28,4.88,4.22,4.34,2.69,0.06,-0.88,0.88,1.72,0.66,0.09,2.25,4.56,5.03,4.97,7.09,9.31,8.69,6.22,4.31,3.94,1.81,-1.53,-3.97,-4.25,-5.12,-8.38,-10.97,-10.75,-8.97,-8.56,-8.22,-5.59,-2.03,-0.38,-0.25,1.22,4.41,6.41,6.22,6.5,8.97,10.44,9.59,8.03,9.28,10.62,10.09,8.88,9.19,10.41,9.16,6.03,3.41,2.59,0.97,-2.38,-4.94,-4.28,-3.22,-3.44,-3.22,-0.47,3.44,5.41,6.62,9.0,13.0,15.12,15.16,14.97,16.19,16.0,12.78,8.78,6.94,5.19,1.47,-2.19,-2.91,-1.62,-1.41,-2.44,-1.53,1.03,2.91,2.56,2.69,5.03,6.91,6.38,5.19,6.25,8.09,8.16,7.22,8.31,10.69,11.03,8.72,6.91,6.81,5.5,2.34,-0.44,-0.28,-0.38,-2.97,-6.25,-7.34,-7.25,-7.53,-7.75,-5.16,-0.28,4.0,6.38,9.16,13.78,17.69,18.31,18.41,20.09,21.56,19.59,16.47,15.03,14.41,12.25,8.34,5.91,5.19,3.5,0.12,-1.59,-0.28,1.78,2.5,3.25,6.97,11.38,13.44,14.0,16.25,18.75,19.66,18.09,17.62,18.44,18.62,16.16,14.25,14.62,15.25,13.78,12.06,13.0,14.91,15.22,14.28,25.09,25.09,26.66,28.44,28.75,27.59,27.28:9.44,10.09,12.59,13.53,13.91,16.34,20.62,23.03,23.84,25.41,28.88,31.28,30.56,29.47,30.03,29.97,26.97,22.69,21.06,21.88,22.03,22.78,25.78,31.16,33.69,32.38,30.12,29.5,28.31,25.03,22.72,23.97,26.72,27.91,28.66,31.97,36.56,38.84,38.62,38.91,40.62,41.09,38.72,37.03,37.53,38.03,35.66,32.41,31.19,30.59,28.03,24.16,22.41,22.19,20.66,17.22,15.0,15.31,15.31,13.28,11.5,12.34,14.16,14.25,13.31,14.91,17.5,18.03,17.12,17.75,20.28,21.31,19.69,18.75,20.38,21.88,21.56,21.06,22.97,25.81,25.91,24.66,25.09,25.84,24.44,20.78,18.47,18.28,18.12,15.94,14.66,15.75,17.19,15.66,13.28,13.59,14.62,14.22,12.47,12.97,15.44,17.25,16.81,17.56,20.22,21.72,20.94,19.84,21.16,23.0,22.44,20.62,20.94,22.38,22.09,19.97,19.56,20.75,21.41,19.91,18.47,19.62,20.66,19.69,18.81,21.25,25.06,26.84,27.28,28.69,30.91,31.0,29.09,28.06,29.25,29.84,27.81,25.78,26.38,27.25,25.91,24.25,24.97,26.84,26.81,25.28,25.28,26.62,26.94,25.03,24.25,25.69,26.91,26.12,24.84,26.41,28.31,28.12,27.16,28.47,31.06,31.47,29.59,28.06,28.06,27.91,26.0,25.5,28.12,31.12,31.12,30.38,31.62,33.0,32.0,29.69,28.72,29.34,28.66,26.34,25.06,26.44,27.28,25.97,24.69,25.75,27.31,26.09,24.5,24.56,25.66,25.34,23.59,22.78,24.09,24.56,22.25,20.91,21.81,23.03,22.31,21.31,23.34,25.91,26.5,25.66,26.41,28.09,27.94,25.81,24.41,25.25,25.5,23.81,22.28,23.09,24.38,22.88,20.72,20.81,22.09,21.28,19.59,19.75,21.56,22.38,21.44,21.12,22.62,23.5,21.38,19.75,20.28,21.09,20.12,18.12,18.06,19.12,18.47,16.62,16.59,18.97,21.03,21.12,22.12,24.78,27.28,26.72,25.78,26.88,28.84,28.59,26.56,25.66,25.56,23.38,19.34,17.22,17.84,18.91,18.38,18.06,20.75,24.03,25.28,25.72,28.06,30.62,30.75,28.84,27.47,27.53,26.88,24.03,21.91,22.69,23.72,22.16,21.0,21.94,23.81,23.03,21.31,21.22,22.91,23.06,21.66,20.84,22.12,22.38,20.38,18.81,20.19,21.84,21.22,20.28,21.19,23.19,22.84,21.22,20.66,21.41,20.66,17.66,15.56,16.34,17.0,15.62,14.28,15.19,16.38,15.5,14.16,15.03,17.16,17.94,17.03,17.12,18.97,19.62,17.38,15.06,15.0,14.72,12.84,11.16,12.72,15.66,17.0,17.06,17.81,19.62,19.78,18.06,17.53,19.44,20.81,20.06,19.22,20.72,22.81,23.38,23.38,25.25,28.03,28.41,26.28,24.69,23.88,21.69,16.97,12.69,11.03,9.44,6.12,3.62,4.34,6.78,8.34,9.16,12.19,16.22,18.44,17.94,17.53,18.38,17.97,15.38,13.22,14.5,16.44,16.44,15.69,16.69,17.91,16.56,13.53,11.62,11.0,9.38,5.88,4.06,5.59,7.53,8.25,9.28,12.56,15.75,16.34,15.44,16.25,17.38,17.03,15.0,13.88,14.88,15.22,13.56,12.44,14.12,15.53,15.09,14.16,15.72,18.78,20.22,21.06,23.28,26.44,27.53,25.53,23.38,22.44,20.84,16.75,13.25,12.5,12.31,10.59,8.62,8.88,10.12,9.53,7.62,7.41,9.5,12.03,13.31,15.97,20.72,24.31,24.06,21.62,20.12,17.91,13.41,8.47,6.66,7.22,7.03,5.75,5.94,7.91,10.09,10.41,11.53,15.25,18.62,18.84,17.44,17.56,18.38,17.12,14.66,14.25,15.22,14.75,10.53,6.78,5.28,3.38,0.69,-0.78,1.09,4.22,4.59,3.88,4.84,6.88,7.62,7.38,8.62,12.03,14.81,15.06,15.28,17.19,18.53,16.47,13.34,11.91,11.28,9.03,5.22,3.34,3.22,2.12,-0.69,-2.16,-1.19,-1.12,-3.12,-4.62,-2.69,0.94,3.31,5.22,8.94,13.38,15.0,14.16,13.72,14.66,14.59,12.75,12.16,14.94,17.91,18.44,18.47,19.5,20.88,19.22,15.72,14.09,13.78,12.44,9.62,8.69,11.0,13.31,13.53,14.56,17.53,20.09,19.66,17.91,17.88,18.81,17.62,15.06,14.03,14.75,13.97,10.69,8.34,8.28,7.88,5.19,3.62,4.97,7.56,7.62,6.91,7.5,9.22,8.59,6.53,6.41,8.09,9.0,7.53,6.44,7.69,8.41,6.72,5.16,5.94,8.25,8.97,8.84,10.84,14.41,16.91,17.88,19.66,22.94,24.5,22.62,19.88,19.22,19.56,18.03,17.16,18.75,22.12,23.03,22.09,22.09,23.75,23.88,21.31,19.0,19.25,19.03,16.19,13.53,14.03,15.5,15.12,14.16,15.75,19.31,21.31,21.5,22.19,24.19,24.19,21.12,17.62,16.88,16.09,13.12,10.69,11.56,14.03,14.97,15.03,16.69,20.66,23.09,23.09,23.38,25.19,25.47,22.31,19.16,18.75,18.62,16.19,12.66,11.28,10.75,7.97,4.72,3.97,5.91,8.44,9.72,12.22,17.12,21.22,22.34,22.56,24.59,26.06,24.53,21.69,20.97,21.5,20.59,17.94,15.94,15.97,14.69,11.44,8.66,9.34,10.03,9.22,8.38,11.09,15.16,17.31,18.06,20.41,24.0,26.12,26.19,26.03,27.31,26.59,22.5,17.84,16.0,15.44,13.75,12.5,14.25,17.84,19.62,19.56,20.31,22.69,23.31,21.44,20.28,21.38,22.25,20.81,19.5,21.12,23.72,24.22,23.81,24.94,26.78,26.5,23.81,21.97,22.41,21.97,19.88,17.91,19.09,19.97,18.88,17.38,18.69,21.12,21.88,22.19,24.31,27.78,30.06,29.56,29.5,31.53,32.22,30.72,28.72,29.0,28.81,26.34,23.03,21.97,22.31,21.31,18.44,16.75,16.81,15.69,13.03,12.0,14.09,16.31,16.25,15.44,16.97,19.03,19.25,18.38,19.66,22.25,23.09,21.91,21.69,23.72,24.62,22.94,21.34,21.94,22.97,21.66,19.47,19.97,20.97,20.0,17.19,16.53,17.47,17.12,14.59,13.12,13.81,14.56,13.5,12.66,14.31,16.19,15.78,13.72,14.03,15.44,15.09,13.38,13.41,15.81,17.56,16.72,16.72,19.22,21.34,20.44,18.97,18.78,18.5,15.44,10.97,8.97,9.03,8.38,6.69,6.69,8.5,9.81,8.31,7.31,8.75,10.53,9.66,7.72,7.66,8.56,8.12,6.34,6.75,8.5,9.69,8.56,8.59,11.56,14.72,15.62,16.28,19.03,21.88,21.62,20.28,20.78,22.5,22.56,20.72,19.5,19.69,18.72,14.94,12.75,13.28,14.12,13.25,12.16,13.31,15.16,14.88,13.62,14.22,16.47,18.12,18.5,19.94,23.09,25.03,23.09,20.41,19.38,18.75,15.62,12.59,12.19,13.38,13.19,12.19,12.66,14.62,15.88,14.72,14.56,16.25,17.78,15.94,13.34,12.53,12.16,10.5,8.47,9.59,12.66,14.31,14.53,16.0,18.81,20.12,19.16,18.22,19.06,19.69,17.66,14.91,14.16,14.38,12.38,9.69,8.56,9.12,8.34,5.81,4.19,5.09,5.34,3.25,1.56,2.84,5.5,6.09,7.12,10.16,14.53,16.78,17.06,18.19,20.12,20.53,17.56,14.91,13.78,11.75,7.28,2.72,0.62,0.22,-1.25,-2.84,-1.69,1.38,3.47,3.91,5.19,7.81,9.56,8.09,6.19,6.81,7.69,6.59,5.56,6.78,9.0,8.88,7.22,7.19,9.47,11.16,11.91,13.81,18.38,22.25,23.47,24.22,26.72,28.72,27.31,24.44,23.0,23.03,21.22,18.0,15.91,15.69,14.09,10.22,7.28,7.03,7.03,5.62,4.88,7.06,10.5,11.91,12.22,14.0,16.88,17.56,16.31,15.66,16.97,17.44,15.91,14.5,14.97,15.31,12.31,8.38,6.41,5.81,4.44,3.0,3.62,6.31,7.44,6.03,4.56,5.03,5.25,3.56,2.38,4.0,6.5,6.28,4.88,4.22,4.34,2.69,0.06,-0.88,0.88,1.72,0.66,0.09,2.25,4.56,5.03,4.97,7.09,9.31,8.69,6.22,4.31,3.94,1.81,-1.53,-3.97,-4.25,-5.12,-8.38,-10.97,-10.75,-8.97,-8.56,-8.22,-5.59,-2.03,-0.38,-0.25,1.22,4.41,6.41,6.22,6.5,8.97,10.44,9.59,8.03,9.28,10.62,10.09,8.88,9.19,10.41,9.16,6.03,3.41,2.59,0.97,-2.38,-4.94,-4.28,-3.22,-3.44,-3.22,-0.47,3.44,5.41,6.62,9.0,13.0,15.12,15.16,14.97,16.19,16.0,12.78,8.78,6.94,5.19,1.47,-2.19,-2.91,-1.62,-1.41,-2.44,-1.53,1.03,2.91,2.56,2.69,5.03,6.91,6.38,5.19,6.25,8.09,8.16,7.22,8.31,10.69,11.03,8.72,6.91,6.81,5.5,2.34,-0.44,-0.28,-0.38,-2.97,-6.25,-7.34,-7.25,-7.53,-7.75,-5.16,-0.28,4.0,6.38,9.16,13.78,17.69,18.31,18.41,20.09,21.56,19.59,16.47,15.03,14.41,12.25,8.34,5.91,5.19,3.5,0.12,-1.59,-0.28,1.78,2.5,3.25,6.97,11.38,13.44,14.0,16.25,18.75,19.66,18.09,17.62,18.44,18.62,16.16,14.25,14.62,15.25,13.78,12.06,13.0,14.91,15.22,14.28,25.09,25.09,26.66,28.44,28.75,27.59,27.28,28.31,28.69,27.06,25.81,25.88,25.53,23.84:23.03,23.84,25.41,28.88,31.28,30.56,29.47,30.03,29.97,26.97,22.69,21.06,21.88,22.03,22.78,25.78,31.16,33.69,32.38,30.12,29.5,28.31,25.03,22.72,23.97,26.72,27.91,28.66,31.97,36.56,38.84,38.62,38.91,40.62,41.09,38.72,37.03,37.53,38.03,35.66,32.41,31.19,30.59,28.03,24.16,22.41,22.19,20.66,17.22,15.0,15.31,15.31,13.28,11.5,12.34,14.16,14.25,13.31,14.91,17.5,18.03,17.12,17.75,20.28,21.31,19.69,18.75,20.38,21.88,21.56,21.06,22.97,25.81,25.91,24.66,25.09,25.84,24.44,20.78,18.47,18.28,18.12,15.94,14.66,15.75,17.19,15.66,13.28,13.59,14.62,14.22,12.47,12.97,15.44,17.25,16.81,17.56,20.22,21.72,20.94,19.84,21.16,23.0,22.44,20.62,20.94,22.38,22.09,19.97,19.56,20.75,21.41,19.91,18.47,19.62,20.66,19.69,18.81,21.25,25.06,26.84,27.28,28.69,30.91,31.0,29.09,28.06,29.25,29.84,27.81,25.78,26.38,27.25,25.91,24.25,24.97,26.84,26.81,25.28,25.28,26.62,26.94,25.03,24.25,25.69,26.91,26.12,24.84,26.41,28.31,28.12,27.16,28.47,31.06,31.47,29.59,28.06,28.06,27.91,26.0,25.5,28.12,31.12,31.12,30.38,31.62,33.0,32.0,29.69,28.72,29.34,28.66,26.34,25.06,26.44,27.28,25.97,24.69,25.75,27.31,26.09,24.5,24.56,25.66,25.34,23.59,22.78,24.09,24.56,22.25,20.91,21.81,23.03,22.31,21.31,23.34,25.91,26.5,25.66,26.41,28.09,27.94,25.81,24.41,25.25,25.5,23.81,22.28,23.09,24.38,22.88,20.72,20.81,22.09,21.28,19.59,19.75,21.56,22.38,21.44,21.12,22.62,23.5,21.38,19.75,20.28,21.09,20.12,18.12,18.06,19.12,18.47,16.62,16.59,18.97,21.03,21.12,22.12,24.78,27.28,26.72,25.78,26.88,28.84,28.59,26.56,25.66,25.56,23.38,19.34,17.22,17.84,18.91,18.38,18.06,20.75,24.03,25.28,25.72,28.06,30.62,30.75,28.84,27.47,27.53,26.88,24.03,21.91,22.69,23.72,22.16,21.0,21.94,23.81,23.03,21.31,21.22,22.91,23.06,21.66,20.84,22.12,22.38,20.38,18.81,20.19,21.84,21.22,20.28,21.19,23.19,22.84,21.22,20.66,21.41,20.66,17.66,15.56,16.34,17.0,15.62,14.28,15.19,16.38,15.5,14.16,15.03,17.16,17.94,17.03,17.12,18.97,19.62,17.38,15.06,15.0,14.72,12.84,11.16,12.72,15.66,17.0,17.06,17.81,19.62,19.78,18.06,17.53,19.44,20.81,20.06,19.22,20.72,22.81,23.38,23.38,25.25,28.03,28.41,26.28,24.69,23.88,21.69,16.97,12.69,11.03,9.44,6.12,3.62,4.34,6.78,8.34,9.16,12.19,16.22,18.44,17.94,17.53,18.38,17.97,15.38,13.22,14.5,16.44,16.44,15.69,16.69,17.91,16.56,13.53,11.62,11.0,9.38,5.88,4.06,5.59,7.53,8.25,9.28,12.56,15.75,16.34,15.44,16.25,17.38,17.03,15.0,13.88,14.88,15.22,13.56,12.44,14.12,15.53,15.09,14.16,15.72,18.78,20.22,21.06,23.28,26.44,27.53,25.53,23.38,22.44,20.84,16.75,13.25,12.5,12.31,10.59,8.62,8.88,10.12,9.53,7.62,7.41,9.5,12.03,13.31,15.97,20.72,24.31,24.06,21.62,20.12,17.91,13.41,8.47,6.66,7.22,7.03,5.75,5.94,7.91,10.09,10.41,11.53,15.25,18.62,18.84,17.44,17.56,18.38,17.12,14.66,14.25,15.22,14.75,10.53,6.78,5.28,3.38,0.69,-0.78,1.09,4.22,4.59,3.88,4.84,6.88,7.62,7.38,8.62,12.03,14.81,15.06,15.28,17.19,18.53,16.47,13.34,11.91,11.28,9.03,5.22,3.34,3.22,2.12,-0.69,-2.16,-1.19,-1.12,-3.12,-4.62,-2.69,0.94,3.31,5.22,8.94,13.38,15.0,14.16,13.72,14.66,14.59,12.75,12.16,14.94,17.91,18.44,18.47,19.5,20.88,19.22,15.72,14.09,13.78,12.44,9.62,8.69,11.0,13.31,13.53,14.56,17.53,20.09,19.66,17.91,17.88,18.81,17.62,15.06,14.03,14.75,13.97,10.69,8.34,8.28,7.88,5.19,3.62,4.97,7.56,7.62,6.91,7.5,9.22,8.59,6.53,6.41,8.09,9.0,7.53,6.44,7.69,8.41,6.72,5.16,5.94,8.25,8.97,8.84,10.84,14.41,16.91,17.88,19.66,22.94,24.5,22.62,19.88,19.22,19.56,18.03,17.16,18.75,22.12,23.03,22.09,22.09,23.75,23.88,21.31,19.0,19.25,19.03,16.19,13.53,14.03,15.5,15.12,14.16,15.75,19.31,21.31,21.5,22.19,24.19,24.19,21.12,17.62,16.88,16.09,13.12,10.69,11.56,14.03,14.97,15.03,16.69,20.66,23.09,23.09,23.38,25.19,25.47,22.31,19.16,18.75,18.62,16.19,12.66,11.28,10.75,7.97,4.72,3.97,5.91,8.44,9.72,12.22,17.12,21.22,22.34,22.56,24.59,26.06,24.53,21.69,20.97,21.5,20.59,17.94,15.94,15.97,14.69,11.44,8.66,9.34,10.03,9.22,8.38,11.09,15.16,17.31,18.06,20.41,24.0,26.12,26.19,26.03,27.31,26.59,22.5,17.84,16.0,15.44,13.75,12.5,14.25,17.84,19.62,19.56,20.31,22.69,23.31,21.44,20.28,21.38,22.25,20.81,19.5,21.12,23.72,24.22,23.81,24.94,26.78,26.5,23.81,21.97,22.41,21.97,19.88,17.91,19.09,19.97,18.88,17.38,18.69,21.12,21.88,22.19,24.31,27.78,30.06,29.56,29.5,31.53,32.22,30.72,28.72,29.0,28.81,26.34,23.03,21.97,22.31,21.31,18.44,16.75,16.81,15.69,13.03,12.0,14.09,16.31,16.25,15.44,16.97,19.03,19.25,18.38,19.66,22.25,23.09,21.91,21.69,23.72,24.62,22.94,21.34,21.94,22.97,21.66,19.47,19.97,20.97,20.0,17.19,16.53,17.47,17.12,14.59,13.12,13.81,14.56,13.5,12.66,14.31,16.19,15.78,13.72,14.03,15.44,15.09,13.38,13.41,15.81,17.56,16.72,16.72,19.22,21.34,20.44,18.97,18.78,18.5,15.44,10.97,8.97,9.03,8.38,6.69,6.69,8.5,9.81,8.31,7.31,8.75,10.53,9.66,7.72,7.66,8.56,8.12,6.34,6.75,8.5,9.69,8.56,8.59,11.56,14.72,15.62,16.28,19.03,21.88,21.62,20.28,20.78,22.5,22.56,20.72,19.5,19.69,18.72,14.94,12.75,13.28,14.12,13.25,12.16,13.31,15.16,14.88,13.62,14.22,16.47,18.12,18.5,19.94,23.09,25.03,23.09,20.41,19.38,18.75,15.62,12.59,12.19,13.38,13.19,12.19,12.66,14.62,15.88,14.72,14.56,16.25,17.78,15.94,13.34,12.53,12.16,10.5,8.47,9.59,12.66,14.31,14.53,16.0,18.81,20.12,19.16,18.22,19.06,19.69,17.66,14.91,14.16,14.38,12.38,9.69,8.56,9.12,8.34,5.81,4.19,5.09,5.34,3.25,1.56,2.84,5.5,6.09,7.12,10.16,14.53,16.78,17.06,18.19,20.12,20.53,17.56,14.91,13.78,11.75,7.28,2.72,0.62,0.22,-1.25,-2.84,-1.69,1.38,3.47,3.91,5.19,7.81,9.56,8.09,6.19,6.81,7.69,6.59,5.56,6.78,9.0,8.88,7.22,7.19,9.47,11.16,11.91,13.81,18.38,22.25,23.47,24.22,26.72,28.72,27.31,24.44,23.0,23.03,21.22,18.0,15.91,15.69,14.09,10.22,7.28,7.03,7.03,5.62,4.88,7.06,10.5,11.91,12.22,14.0,16.88,17.56,16.31,15.66,16.97,17.44,15.91,14.5,14.97,15.31,12.31,8.38,6.41,5.81,4.44,3.0,3.62,6.31,7.44,6.03,4.56,5.03,5.25,3.56,2.38,4.0,6.5,6.28,4.88,4.22,4.34,2.69,0.06,-0.88,0.88,1.72,0.66,0.09,2.25,4.56,5.03,4.97,7.09,9.31,8.69,6.22,4.31,3.94,1.81,-1.53,-3.97,-4.25,-5.12,-8.38,-10.97,-10.75,-8.97,-8.56,-8.22,-5.59,-2.03,-0.38,-0.25,1.22,4.41,6.41,6.22,6.5,8.97,10.44,9.59,8.03,9.28,10.62,10.09,8.88,9.19,10.41,9.16,6.03,3.41,2.59,0.97,-2.38,-4.94,-4.28,-3.22,-3.44,-3.22,-0.47,3.44,5.41,6.62,9.0,13.0,15.12,15.16,14.97,16.19,16.0,12.78,8.78,6.94,5.19,1.47,-2.19,-2.91,-1.62,-1.41,-2.44,-1.53,1.03,2.91,2.56,2.69,5.03,6.91,6.38,5.19,6.25,8.09,8.16,7.22,8.31,10.69,11.03,8.72,6.91,6.81,5.5,2.34,-0.44,-0.28,-0.38,-2.97,-6.25,-7.34,-7.25,-7.53,-7.75,-5.16,-0.28,4.0,6.38,9.16,13.78,17.69,18.31,18.41,20.09,21.56,19.59,16.47,15.03,14.41,12.25,8.34,5.91,5.19,3.5,0.12,-1.59,-0.28,1.78,2.5,3.25,6.97,11.38,13.44,14.0,16.25,18.75,19.66,18.09,17.62,18.44,18.62,16.16,14.25,14.62,15.25,13.78,12.06,13.0,14.91,15.22,14.28,25.09,25.09,26.66,28.44,28.75,27.59,27.28,28.31,28.69,27.06,25.81,25.88,25.53,23.84,22.22,22.59,24.06,24.41,23.84,25.03,27.25:30.03,29.97,26.97,22.69,21.06,21.88,22.03,22.78,25.78,31.16,33.69,32.38,30.12,29.5,28.31,25.03,22.72,23.97,26.72,27.91,28.66,31.97,36.56,38.84,38.62,38.91,40.62,41.09,38.72,37.03,37.53,38.03,35.66,32.41,31.19,30.59,28.03,24.16,22.41,22.19,20.66,17.22,15.0,15.31,15.31,13.28,11.5,12.34,14.16,14.25,13.31,14.91,17.5,18.03,17.12,17.75,20.28,21.31,19.69,18.75,20.38,21.88,21.56,21.06,22.97,25.81,25.91,24.66,25.09,25.84,24.44,20.78,18.47,18.28,18.12,15.94,14.66,15.75,17.19,15.66,13.28,13.59,14.62,14.22,12.47,12.97,15.44,17.25,16.81,17.56,20.22,21.72,20.94,19.84,21.16,23.0,22.44,20.62,20.94,22.38,22.09,19.97,19.56,20.75,21.41,19.91,18.47,19.62,20.66,19.69,18.81,21.25,25.06,26.84,27.28,28.69,30.91,31.0,29.09,28.06,29.25,29.84,27.81,25.78,26.38,27.25,25.91,24.25,24.97,26.84,26.81,25.28,25.28,26.62,26.94,25.03,24.25,25.69,26.91,26.12,24.84,26.41,28.31,28.12,27.16,28.47,31.06,31.47,29.59,28.06,28.06,27.91,26.0,25.5,28.12,31.12,31.12,30.38,31.62,33.0,32.0,29.69,28.72,29.34,28.66,26.34,25.06,26.44,27.28,25.97,24.69,25.75,27.31,26.09,24.5,24.56,25.66,25.34,23.59,22.78,24.09,24.56,22.25,20.91,21.81,23.03,22.31,21.31,23.34,25.91,26.5,25.66,26.41,28.09,27.94,25.81,24.41,25.25,25.5,23.81,22.28,23.09,24.38,22.88,20.72,20.81,22.09,21.28,19.59,19.75,21.56,22.38,21.44,21.12,22.62,23.5,21.38,19.75,20.28,21.09,20.12,18.12,18.06,19.12,18.47,16.62,16.59,18.97,21.03,21.12,22.12,24.78,27.28,26.72,25.78,26.88,28.84,28.59,26.56,25.66,25.56,23.38,19.34,17.22,17.84,18.91,18.38,18.06,20.75,24.03,25.28,25.72,28.06,30.62,30.75,28.84,27.47,27.53,26.88,24.03,21.91,22.69,23.72,22.16,21.0,21.94,23.81,23.03,21.31,21.22,22.91,23.06,21.66,20.84,22.12,22.38,20.38,18.81,20.19,21.84,21.22,20.28,21.19,23.19,22.84,21.22,20.66,21.41,20.66,17.66,15.56,16.34,17.0,15.62,14.28,15.19,16.38,15.5,14.16,15.03,17.16,17.94,17.03,17.12,18.97,19.62,17.38,15.06,15.0,14.72,12.84,11.16,12.72,15.66,17.0,17.06,17.81,19.62,19.78,18.06,17.53,19.44,20.81,20.06,19.22,20.72,22.81,23.38,23.38,25.25,28.03,28.41,26.28,24.69,23.88,21.69,16.97,12.69,11.03,9.44,6.12,3.62,4.34,6.78,8.34,9.16,12.19,16.22,18.44,17.94,17.53,18.38,17.97,15.38,13.22,14.5,16.44,16.44,15.69,16.69,17.91,16.56,13.53,11.62,11.0,9.38,5.88,4.06,5.59,7.53,8.25,9.28,12.56,15.75,16.34,15.44,16.25,17.38,17.03,15.0,13.88,14.88,15.22,13.56,12.44,14.12,15.53,15.09,14.16,15.72,18.78,20.22,21.06,23.28,26.44,27.53,25.53,23.38,22.44,20.84,16.75,13.25,12.5,12.31,10.59,8.62,8.88,10.12,9.53,7.62,7.41,9.5,12.03,13.31,15.97,20.72,24.31,24.06,21.62,20.12,17.91,13.41,8.47,6.66,7.22,7.03,5.75,5.94,7.91,10.09,10.41,11.53,15.25,18.62,18.84,17.44,17.56,18.38,17.12,14.66,14.25,15.22,14.75,10.53,6.78,5.28,3.38,0.69,-0.78,1.09,4.22,4.59,3.88,4.84,6.88,7.62,7.38,8.62,12.03,14.81,15.06,15.28,17.19,18.53,16.47,13.34,11.91,11.28,9.03,5.22,3.34,3.22,2.12,-0.69,-2.16,-1.19,-1.12,-3.12,-4.62,-2.69,0.94,3.31,5.22,8.94,13.38,15.0,14.16,13.72,14.66,14.59,12.75,12.16,14.94,17.91,18.44,18.47,19.5,20.88,19.22,15.72,14.09,13.78,12.44,9.62,8.69,11.0,13.31,13.53,14.56,17.53,20.09,19.66,17.91,17.88,18.81,17.62,15.06,14.03,14.75,13.97,10.69,8.34,8.28,7.88,5.19,3.62,4.97,7.56,7.62,6.91,7.5,9.22,8.59,6.53,6.41,8.09,9.0,7.53,6.44,7.69,8.41,6.72,5.16,5.94,8.25,8.97,8.84,10.84,14.41,16.91,17.88,19.66,22.94,24.5,22.62,19.88,19.22,19.56,18.03,17.16,18.75,22.12,23.03,22.09,22.09,23.75,23.88,21.31,19.0,19.25,19.03,16.19,13.53,14.03,15.5,15.12,14.16,15.75,19.31,21.31,21.5,22.19,24.19,24.19,21.12,17.62,16.88,16.09,13.12,10.69,11.56,14.03,14.97,15.03,16.69,20.66,23.09,23.09,23.38,25.19,25.47,22.31,19.16,18.75,18.62,16.19,12.66,11.28,10.75,7.97,4.72,3.97,5.91,8.44,9.72,12.22,17.12,21.22,22.34,22.56,24.59,26.06,24.53,21.69,20.97,21.5,20.59,17.94,15.94,15.97,14.69,11.44,8.66,9.34,10.03,9.22,8.38,11.09,15.16,17.31,18.06,20.41,24.0,26.12,26.19,26.03,27.31,26.59,22.5,17.84,16.0,15.44,13.75,12.5,14.25,17.84,19.62,19.56,20.31,22.69,23.31,21.44,20.28,21.38,22.25,20.81,19.5,21.12,23.72,24.22,23.81,24.94,26.78,26.5,23.81,21.97,22.41,21.97,19.88,17.91,19.09,19.97,18.88,17.38,18.69,21.12,21.88,22.19,24.31,27.78,30.06,29.56,29.5,31.53,32.22,30.72,28.72,29.0,28.81,26.34,23.03,21.97,22.31,21.31,18.44,16.75,16.81,15.69,13.03,12.0,14.09,16.31,16.25,15.44,16.97,19.03,19.25,18.38,19.66,22.25,23.09,21.91,21.69,23.72,24.62,22.94,21.34,21.94,22.97,21.66,19.47,19.97,20.97,20.0,17.19,16.53,17.47,17.12,14.59,13.12,13.81,14.56,13.5,12.66,14.31,16.19,15.78,13.72,14.03,15.44,15.09,13.38,13.41,15.81,17.56,16.72,16.72,19.22,21.34,20.44,18.97,18.78,18.5,15.44,10.97,8.97,9.03,8.38,6.69,6.69,8.5,9.81,8.31,7.31,8.75,10.53,9.66,7.72,7.66,8.56,8.12,6.34,6.75,8.5,9.69,8.56,8.59,11.56,14.72,15.62,16.28,19.03,21.88,21.62,20.28,20.78,22.5,22.56,20.72,19.5,19.69,18.72,14.94,12.75,13.28,14.12,13.25,12.16,13.31,15.16,14.88,13.62,14.22,16.47,18.12,18.5,19.94,23.09,25.03,23.09,20.41,19.38,18.75,15.62,12.59,12.19,13.38,13.19,12.19,12.66,14.62,15.88,14.72,14.56,16.25,17.78,15.94,13.34,12.53,12.16,10.5,8.47,9.59,12.66,14.31,14.53,16.0,18.81,20.12,19.16,18.22,19.06,19.69,17.66,14.91,14.16,14.38,12.38,9.69,8.56,9.12,8.34,5.81,4.19,5.09,5.34,3.25,1.56,2.84,5.5,6.09,7.12,10.16,14.53,16.78,17.06,18.19,20.12,20.53,17.56,14.91,13.78,11.75,7.28,2.72,0.62,0.22,-1.25,-2.84,-1.69,1.38,3.47,3.91,5.19,7.81,9.56,8.09,6.19,6.81,7.69,6.59,5.56,6.78,9.0,8.88,7.22,7.19,9.47,11.16,11.91,13.81,18.38,22.25,23.47,24.22,26.72,28.72,27.31,24.44,23.0,23.03,21.22,18.0,15.91,15.69,14.09,10.22,7.28,7.03,7.03,5.62,4.88,7.06,10.5,11.91,12.22,14.0,16.88,17.56,16.31,15.66,16.97,17.44,15.91,14.5,14.97,15.31,12.31,8.38,6.41,5.81,4.44,3.0,3.62,6.31,7.44,6.03,4.56,5.03,5.25,3.56,2.38,4.0,6.5,6.28,4.88,4.22,4.34,2.69,0.06,-0.88,0.88,1.72,0.66,0.09,2.25,4.56,5.03,4.97,7.09,9.31,8.69,6.22,4.31,3.94,1.81,-1.53,-3.97,-4.25,-5.12,-8.38,-10.97,-10.75,-8.97,-8.56,-8.22,-5.59,-2.03,-0.38,-0.25,1.22,4.41,6.41,6.22,6.5,8.97,10.44,9.59,8.03,9.28,10.62,10.09,8.88,9.19,10.41,9.16,6.03,3.41,2.59,0.97,-2.38,-4.94,-4.28,-3.22,-3.44,-3.22,-0.47,3.44,5.41,6.62,9.0,13.0,15.12,15.16,14.97,16.19,16.0,12.78,8.78,6.94,5.19,1.47,-2.19,-2.91,-1.62,-1.41,-2.44,-1.53,1.03,2.91,2.56,2.69,5.03,6.91,6.38,5.19,6.25,8.09,8.16,7.22,8.31,10.69,11.03,8.72,6.91,6.81,5.5,2.34,-0.44,-0.28,-0.38,-2.97,-6.25,-7.34,-7.25,-7.53,-7.75,-5.16,-0.28,4.0,6.38,9.16,13.78,17.69,18.31,18.41,20.09,21.56,19.59,16.47,15.03,14.41,12.25,8.34,5.91,5.19,3.5,0.12,-1.59,-0.28,1.78,2.5,3.25,6.97,11.38,13.44,14.0,16.25,18.75,19.66,18.09,17.62,18.44,18.62,16.16,14.25,14.62,15.25,13.78,12.06,13.0,14.91,15.22,14.28,25.09,25.09,26.66,28.44,28.75,27.59,27.28,28.31,28.69,27.06,25.81,25.88,25.53,23.84,22.22,22.59,24.06,24.41,23.84,25.03,27.25,28.31,28.72,29.75,31.97,33.5,33.22,32.47:22.78,25.78,31.16,33.69,32.38,30.12,29.5,28.31,25.03,22.72,23.97,26.72,27.91,28.66,31.97,36.56,38.84,38.62,38.91,40.62,41.09,38.72,37.03,37.53,38.03,35.66,32.41,31.19,30.59,28.03,24.16,22.41,22.19,20.66,17.22,15.0,15.31,15.31,13.28,11.5,12.34,14.16,14.25,13.31,14.91,17.5,18.03,17.12,17.75,20.28,21.31,19.69,18.75,20.38,21.88,21.56,21.06,22.97,25.81,25.91,24.66,25.09,25.84,24.44,20.78,18.47,18.28,18.12,15.94,14.66,15.75,17.19,15.66,13.28,13.59,14.62,14.22,12.47,12.97,15.44,17.25,16.81,17.56,20.22,21.72,20.94,19.84,21.16,23.0,22.44,20.62,20.94,22.38,22.09,19.97,19.56,20.75,21.41,19.91,18.47,19.62,20.66,19.69,18.81,21.25,25.06,26.84,27.28,28.69,30.91,31.0,29.09,28.06,29.25,29.84,27.81,25.78,26.38,27.25,25.91,24.25,24.97,26.84,26.81,25.28,25.28,26.62,26.94,25.03,24.25,25.69,26.91,26.12,24.84,26.41,28.31,28.12,27.16,28.47,31.06,31.47,29.59,28.06,28.06,27.91,26.0,25.5,28.12,31.12,31.12,30.38,31.62,33.0,32.0,29.69,28.72,29.34,28.66,26.34,25.06,26.44,27.28,25.97,24.69,25.75,27.31,26.09,24.5,24.56,25.66,25.34,23.59,22.78,24.09,24.56,22.25,20.91,21.81,23.03,22.31,21.31,23.34,25.91,26.5,25.66,26.41,28.09,27.94,25.81,24.41,25.25,25.5,23.81,22.28,23.09,24.38,22.88,20.72,20.81,22.09,21.28,19.59,19.75,21.56,22.38,21.44,21.12,22.62,23.5,21.38,19.75,20.28,21.09,20.12,18.12,18.06,19.12,18.47,16.62,16.59,18.97,21.03,21.12,22.12,24.78,27.28,26.72,25.78,26.88,28.84,28.59,26.56,25.66,25.56,23.38,19.34,17.22,17.84,18.91,18.38,18.06,20.75,24.03,25.28,25.72,28.06,30.62,30.75,28.84,27.47,27.53,26.88,24.03,21.91,22.69,23.72,22.16,21.0,21.94,23.81,23.03,21.31,21.22,22.91,23.06,21.66,20.84,22.12,22.38,20.38,18.81,20.19,21.84,21.22,20.28,21.19,23.19,22.84,21.22,20.66,21.41,20.66,17.66,15.56,16.34,17.0,15.62,14.28,15.19,16.38,15.5,14.16,15.03,17.16,17.94,17.03,17.12,18.97,19.62,17.38,15.06,15.0,14.72,12.84,11.16,12.72,15.66,17.0,17.06,17.81,19.62,19.78,18.06,17.53,19.44,20.81,20.06,19.22,20.72,22.81,23.38,23.38,25.25,28.03,28.41,26.28,24.69,23.88,21.69,16.97,12.69,11.03,9.44,6.12,3.62,4.34,6.78,8.34,9.16,12.19,16.22,18.44,17.94,17.53,18.38,17.97,15.38,13.22,14.5,16.44,16.44,15.69,16.69,17.91,16.56,13.53,11.62,11.0,9.38,5.88,4.06,5.59,7.53,8.25,9.28,12.56,15.75,16.34,15.44,16.25,17.38,17.03,15.0,13.88,14.88,15.22,13.56,12.44,14.12,15.53,15.09,14.16,15.72,18.78,20.22,21.06,23.28,26.44,27.53,25.53,23.38,22.44,20.84,16.75,13.25,12.5,12.31,10.59,8.62,8.88,10.12,9.53,7.62,7.41,9.5,12.03,13.31,15.97,20.72,24.31,24.06,21.62,20.12,17.91,13.41,8.47,6.66,7.22,7.03,5.75,5.94,7.91,10.09,10.41,11.53,15.25,18.62,18.84,17.44,17.56,18.38,17.12,14.66,14.25,15.22,14.75,10.53,6.78,5.28,3.38,0.69,-0.78,1.09,4.22,4.59,3.88,4.84,6.88,7.62,7.38,8.62,12.03,14.81,15.06,15.28,17.19,18.53,16.47,13.34,11.91,11.28,9.03,5.22,3.34,3.22,2.12,-0.69,-2.16,-1.19,-1.12,-3.12,-4.62,-2.69,0.94,3.31,5.22,8.94,13.38,15.0,14.16,13.72,14.66,14.59,12.75,12.16,14.94,17.91,18.44,18.47,19.5,20.88,19.22,15.72,14.09,13.78,12.44,9.62,8.69,11.0,13.31,13.53,14.56,17.53,20.09,19.66,17.91,17.88,18.81,17.62,15.06,14.03,14.75,13.97,10.69,8.34,8.28,7.88,5.19,3.62,4.97,7.56,7.62,6.91,7.5,9.22,8.59,6.53,6.41,8.09,9.0,7.53,6.44,7.69,8.41,6.72,5.16,5.94,8.25,8.97,8.84,10.84,14.41,16.91,17.88,19.66,22.94,24.5,22.62,19.88,19.22,19.56,18.03,17.16,18.75,22.12,23.03,22.09,22.09,23.75,23.88,21.31,19.0,19.25,19.03,16.19,13.53,14.03,15.5,15.12,14.16,15.75,19.31,21.31,21.5,22.19,24.19,24.19,21.12,17.62,16.88,16.09,13.12,10.69,11.56,14.03,14.97,15.03,16.69,20.66,23.09,23.09,23.38,25.19,25.47,22.31,19.16,18.75,18.62,16.19,12.66,11.28,10.75,7.97,4.72,3.97,5.91,8.44,9.72,12.22,17.12,21.22,22.34,22.56,24.59,26.06,24.53,21.69,20.97,21.5,20.59,17.94,15.94,15.97,14.69,11.44,8.66,9.34,10.03,9.22,8.38,11.09,15.16,17.31,18.06,20.41,24.0,26.12,26.19,26.03,27.31,26.59,22.5,17.84,16.0,15.44,13.75,12.5,14.25,17.84,19.62,19.56,20.31,22.69,23.31,21.44,20.28,21.38,22.25,20.81,19.5,21.12,23.72,24.22,23.81,24.94,26.78,26.5,23.81,21.97,22.41,21.97,19.88,17.91,19.09,19.97,18.88,17.38,18.69,21.12,21.88,22.19,24.31,27.78,30.06,29.56,29.5,31.53,32.22,30.72,28.72,29.0,28.81,26.34,23.03,21.97,22.31,21.31,18.44,16.75,16.81,15.69,13.03,12.0,14.09,16.31,16.25,15.44,16.97,19.03,19.25,18.38,19.66,22.25,23.09,21.91,21.69,23.72,24.62,22.94,21.34,21.94,22.97,21.66,19.47,19.97,20.97,20.0,17.19,16.53,17.47,17.12,14.59,13.12,13.81,14.56,13.5,12.66,14.31,16.19,15.78,13.72,14.03,15.44,15.09,13.38,13.41,15.81,17.56,16.72,16.72,19.22,21.34,20.44,18.97,18.78,18.5,15.44,10.97,8.97,9.03,8.38,6.69,6.69,8.5,9.81,8.31,7.31,8.75,10.53,9.66,7.72,7.66,8.56,8.12,6.34,6.75,8.5,9.69,8.56,8.59,11.56,14.72,15.62,16.28,19.03,21.88,21.62,20.28,20.78,22.5,22.56,20.72,19.5,19.69,18.72,14.94,12.75,13.28,14.12,13.25,12.16,13.31,15.16,14.88,13.62,14.22,16.47,18.12,18.5,19.94,23.09,25.03,23.09,20.41,19.38,18.75,15.62,12.59,12.19,13.38,13.19,12.19,12.66,14.62,15.88,14.72,14.56,16.25,17.78,15.94,13.34,12.53,12.16,10.5,8.47,9.59,12.66,14.31,14.53,16.0,18.81,20.12,19.16,18.22,19.06,19.69,17.66,14.91,14.16,14.38,12.38,9.69,8.56,9.12,8.34,5.81,4.19,5.09,5.34,3.25,1.56,2.84,5.5,6.09,7.12,10.16,14.53,16.78,17.06,18.19,20.12,20.53,17.56,14.91,13.78,11.75,7.28,2.72,0.62,0.22,-1.25,-2.84,-1.69,1.38,3.47,3.91,5.19,7.81,9.56,8.09,6.19,6.81,7.69,6.59,5.56,6.78,9.0,8.88,7.22,7.19,9.47,11.16,11.91,13.81,18.38,22.25,23.47,24.22,26.72,28.72,27.31,24.44,23.0,23.03,21.22,18.0,15.91,15.69,14.09,10.22,7.28,7.03,7.03,5.62,4.88,7.06,10.5,11.91,12.22,14.0,16.88,17.56,16.31,15.66,16.97,17.44,15.91,14.5,14.97,15.31,12.31,8.38,6.41,5.81,4.44,3.0,3.62,6.31,7.44,6.03,4.56,5.03,5.25,3.56,2.38,4.0,6.5,6.28,4.88,4.22,4.34,2.69,0.06,-0.88,0.88,1.72,0.66,0.09,2.25,4.56,5.03,4.97,7.09,9.31,8.69,6.22,4.31,3.94,1.81,-1.53,-3.97,-4.25,-5.12,-8.38,-10.97,-10.75,-8.97,-8.56,-8.22,-5.59,-2.03,-0.38,-0.25,1.22,4.41,6.41,6.22,6.5,8.97,10.44,9.59,8.03,9.28,10.62,10.09,8.88,9.19,10.41,9.16,6.03,3.41,2.59,0.97,-2.38,-4.94,-4.28,-3.22,-3.44,-3.22,-0.47,3.44,5.41,6.62,9.0,13.0,15.12,15.16,14.97,16.19,16.0,12.78,8.78,6.94,5.19,1.47,-2.19,-2.91,-1.62,-1.41,-2.44,-1.53,1.03,2.91,2.56,2.69,5.03,6.91,6.38,5.19,6.25,8.09,8.16,7.22,8.31,10.69,11.03,8.72,6.91,6.81,5.5,2.34,-0.44,-0.28,-0.38,-2.97,-6.25,-7.34,-7.25,-7.53,-7.75,-5.16,-0.28,4.0,6.38,9.16,13.78,17.69,18.31,18.41,20.09,21.56,19.59,16.47,15.03,14.41,12.25,8.34,5.91,5.19,3.5,0.12,-1.59,-0.28,1.78,2.5,3.25,6.97,11.38,13.44,14.0,16.25,18.75,19.66,18.09,17.62,18.44,18.62,16.16,14.25,14.62,15.25,13.78,12.06,13.0,14.91,15.22,14.28,25.09,25.09,26.66,28.44,28.75,27.59,27.28,28.31,28.69,27.06,25.81,25.88,25.53,23.84,22.22,22.59,24.06,24.41,23.84,25.03,27.25,28.31,28.72,29.75,31.97,33.5,33.22,32.47,32.94,32.97,30.38,27.12,25.25,24.97,24.69:28.31,25.03,22.72,23.97,26.72,27.91,28.66,31.97,36.56,38.84,38.62,38.91,40.62,41.09,38.72,37.03,37.53,38.03,35.66,32.41,31.19,30.59,28.03,24.16,22.41,22.19,20.66,17.22,15.0,15.31,15.31,13.28,11.5,12.34,14.16,14.25,13.31,14.91,17.5,18.03,17.12,17.75,20.28,21.31,19.69,18.75,20.38,21.88,21.56,21.06,22.97,25.81,25.91,24.66,25.09,25.84,24.44,20.78,18.47,18.28,18.12,15.94,14.66,15.75,17.19,15.66,13.28,13.59,14.62,14.22,12.47,12.97,15.44,17.25,16.81,17.56,20.22,21.72,20.94,19.84,21.16,23.0,22.44,20.62,20.94,22.38,22.09,19.97,19.56,20.75,21.41,19.91,18.47,19.62,20.66,19.69,18.81,21.25,25.06,26.84,27.28,28.69,30.91,31.0,29.09,28.06,29.25,29.84,27.81,25.78,26.38,27.25,25.91,24.25,24.97,26.84,26.81,25.28,25.28,26.62,26.94,25.03,24.25,25.69,26.91,26.12,24.84,26.41,28.31,28.12,27.16,28.47,31.06,31.47,29.59,28.06,28.06,27.91,26.0,25.5,28.12,31.12,31.12,30.38,31.62,33.0,32.0,29.69,28.72,29.34,28.66,26.34,25.06,26.44,27.28,25.97,24.69,25.75,27.31,26.09,24.5,24.56,25.66,25.34,23.59,22.78,24.09,24.56,22.25,20.91,21.81,23.03,22.31,21.31,23.34,25.91,26.5,25.66,26.41,28.09,27.94,25.81,24.41,25.25,25.5,23.81,22.28,23.09,24.38,22.88,20.72,20.81,22.09,21.28,19.59,19.75,21.56,22.38,21.44,21.12,22.62,23.5,21.38,19.75,20.28,21.09,20.12,18.12,18.06,19.12,18.47,16.62,16.59,18.97,21.03,21.12,22.12,24.78,27.28,26.72,25.78,26.88,28.84,28.59,26.56,25.66,25.56,23.38,19.34,17.22,17.84,18.91,18.38,18.06,20.75,24.03,25.28,25.72,28.06,30.62,30.75,28.84,27.47,27.53,26.88,24.03,21.91,22.69,23.72,22.16,21.0,21.94,23.81,23.03,21.31,21.22,22.91,23.06,21.66,20.84,22.12,22.38,20.38,18.81,20.19,21.84,21.22,20.28,21.19,23.19,22.84,21.22,20.66,21.41,20.66,17.66,15.56,16.34,17.0,15.62,14.28,15.19,16.38,15.5,14.16,15.03,17.16,17.94,17.03,17.12,18.97,19.62,17.38,15.06,15.0,14.72,12.84,11.16,12.72,15.66,17.0,17.06,17.81,19.62,19.78,18.06,17.53,19.44,20.81,20.06,19.22,20.72,22.81,23.38,23.38,25.25,28.03,28.41,26.28,24.69,23.88,21.69,16.97,12.69,11.03,9.44,6.12,3.62,4.34,6.78,8.34,9.16,12.19,16.22,18.44,17.94,17.53,18.38,17.97,15.38,13.22,14.5,16.44,16.44,15.69,16.69,17.91,16.56,13.53,11.62,11.0,9.38,5.88,4.06,5.59,7.53,8.25,9.28,12.56,15.75,16.34,15.44,16.25,17.38,17.03,15.0,13.88,14.88,15.22,13.56,12.44,14.12,15.53,15.09,14.16,15.72,18.78,20.22,21.06,23.28,26.44,27.53,25.53,23.38,22.44,20.84,16.75,13.25,12.5,12.31,10.59,8.62,8.88,10.12,9.53,7.62,7.41,9.5,12.03,13.31,15.97,20.72,24.31,24.06,21.62,20.12,17.91,13.41,8.47,6.66,7.22,7.03,5.75,5.94,7.91,10.09,10.41,11.53,15.25,18.62,18.84,17.44,17.56,18.38,17.12,14.66,14.25,15.22,14.75,10.53,6.78,5.28,3.38,0.69,-0.78,1.09,4.22,4.59,3.88,4.84,6.88,7.62,7.38,8.62,12.03,14.81,15.06,15.28,17.19,18.53,16.47,13.34,11.91,11.28,9.03,5.22,3.34,3.22,2.12,-0.69,-2.16,-1.19,-1.12,-3.12,-4.62,-2.69,0.94,3.31,5.22,8.94,13.38,15.0,14.16,13.72,14.66,14.59,12.75,12.16,14.94,17.91,18.44,18.47,19.5,20.88,19.22,15.72,14.09,13.78,12.44,9.62,8.69,11.0,13.31,13.53,14.56,17.53,20.09,19.66,17.91,17.88,18.81,17.62,15.06,14.03,14.75,13.97,10.69,8.34,8.28,7.88,5.19,3.62,4.97,7.56,7.62,6.91,7.5,9.22,8.59,6.53,6.41,8.09,9.0,7.53,6.44,7.69,8.41,6.72,5.16,5.94,8.25,8.97,8.84,10.84,14.41,16.91,17.88,19.66,22.94,24.5,22.62,19.88,19.22,19.56,18.03,17.16,18.75,22.12,23.03,22.09,22.09,23.75,23.88,21.31,19.0,19.25,19.03,16.19,13.53,14.03,15.5,15.12,14.16,15.75,19.31,21.31,21.5,22.19,24.19,24.19,21.12,17.62,16.88,16.09,13.12,10.69,11.56,14.03,14.97,15.03,16.69,20.66,23.09,23.09,23.38,25.19,25.47,22.31,19.16,18.75,18.62,16.19,12.66,11.28,10.75,7.97,4.72,3.97,5.91,8.44,9.72,12.22,17.12,21.22,22.34,22.56,24.59,26.06,24.53,21.69,20.97,21.5,20.59,17.94,15.94,15.97,14.69,11.44,8.66,9.34,10.03,9.22,8.38,11.09,15.16,17.31,18.06,20.41,24.0,26.12,26.19,26.03,27.31,26.59,22.5,17.84,16.0,15.44,13.75,12.5,14.25,17.84,19.62,19.56,20.31,22.69,23.31,21.44,20.28,21.38,22.25,20.81,19.5,21.12,23.72,24.22,23.81,24.94,26.78,26.5,23.81,21.97,22.41,21.97,19.88,17.91,19.09,19.97,18.88,17.38,18.69,21.12,21.88,22.19,24.31,27.78,30.06,29.56,29.5,31.53,32.22,30.72,28.72,29.0,28.81,26.34,23.03,21.97,22.31,21.31,18.44,16.75,16.81,15.69,13.03,12.0,14.09,16.31,16.25,15.44,16.97,19.03,19.25,18.38,19.66,22.25,23.09,21.91,21.69,23.72,24.62,22.94,21.34,21.94,22.97,21.66,19.47,19.97,20.97,20.0,17.19,16.53,17.47,17.12,14.59,13.12,13.81,14.56,13.5,12.66,14.31,16.19,15.78,13.72,14.03,15.44,15.09,13.38,13.41,15.81,17.56,16.72,16.72,19.22,21.34,20.44,18.97,18.78,18.5,15.44,10.97,8.97,9.03,8.38,6.69,6.69,8.5,9.81,8.31,7.31,8.75,10.53,9.66,7.72,7.66,8.56,8.12,6.34,6.75,8.5,9.69,8.56,8.59,11.56,14.72,15.62,16.28,19.03,21.88,21.62,20.28,20.78,22.5,22.56,20.72,19.5,19.69,18.72,14.94,12.75,13.28,14.12,13.25,12.16,13.31,15.16,14.88,13.62,14.22,16.47,18.12,18.5,19.94,23.09,25.03,23.09,20.41,19.38,18.75,15.62,12.59,12.19,13.38,13.19,12.19,12.66,14.62,15.88,14.72,14.56,16.25,17.78,15.94,13.34,12.53,12.16,10.5,8.47,9.59,12.66,14.31,14.53,16.0,18.81,20.12,19.16,18.22,19.06,19.69,17.66,14.91,14.16,14.38,12.38,9.69,8.56,9.12,8.34,5.81,4.19,5.09,5.34,3.25,1.56,2.84,5.5,6.09,7.12,10.16,14.53,16.78,17.06,18.19,20.12,20.53,17.56,14.91,13.78,11.75,7.28,2.72,0.62,0.22,-1.25,-2.84,-1.69,1.38,3.47,3.91,5.19,7.81,9.56,8.09,6.19,6.81,7.69,6.59,5.56,6.78,9.0,8.88,7.22,7.19,9.47,11.16,11.91,13.81,18.38,22.25,23.47,24.22,26.72,28.72,27.31,24.44,23.0,23.03,21.22,18.0,15.91,15.69,14.09,10.22,7.28,7.03,7.03,5.62,4.88,7.06,10.5,11.91,12.22,14.0,16.88,17.56,16.31,15.66,16.97,17.44,15.91,14.5,14.97,15.31,12.31,8.38,6.41,5.81,4.44,3.0,3.62,6.31,7.44,6.03,4.56,5.03,5.25,3.56,2.38,4.0,6.5,6.28,4.88,4.22,4.34,2.69,0.06,-0.88,0.88,1.72,0.66,0.09,2.25,4.56,5.03,4.97,7.09,9.31,8.69,6.22,4.31,3.94,1.81,-1.53,-3.97,-4.25,-5.12,-8.38,-10.97,-10.75,-8.97,-8.56,-8.22,-5.59,-2.03,-0.38,-0.25,1.22,4.41,6.41,6.22,6.5,8.97,10.44,9.59,8.03,9.28,10.62,10.09,8.88,9.19,10.41,9.16,6.03,3.41,2.59,0.97,-2.38,-4.94,-4.28,-3.22,-3.44,-3.22,-0.47,3.44,5.41,6.62,9.0,13.0,15.12,15.16,14.97,16.19,16.0,12.78,8.78,6.94,5.19,1.47,-2.19,-2.91,-1.62,-1.41,-2.44,-1.53,1.03,2.91,2.56,2.69,5.03,6.91,6.38,5.19,6.25,8.09,8.16,7.22,8.31,10.69,11.03,8.72,6.91,6.81,5.5,2.34,-0.44,-0.28,-0.38,-2.97,-6.25,-7.34,-7.25,-7.53,-7.75,-5.16,-0.28,4.0,6.38,9.16,13.78,17.69,18.31,18.41,20.09,21.56,19.59,16.47,15.03,14.41,12.25,8.34,5.91,5.19,3.5,0.12,-1.59,-0.28,1.78,2.5,3.25,6.97,11.38,13.44,14.0,16.25,18.75,19.66,18.09,17.62,18.44,18.62,16.16,14.25,14.62,15.25,13.78,12.06,13.0,14.91,15.22,14.28,25.09,25.09,26.66,28.44,28.75,27.59,27.28,28.31,28.69,27.06,25.81,25.88,25.53,23.84,22.22,22.59,24.06,24.41,23.84,25.03,27.25,28.31,28.72,29.75,31.97,33.5,33.22,32.47,32.94,32.97,30.38,27.12,25.25,24.97,24.69,24.88,27.22,31.59,34.5,35.34,35.19,35.81:negativity
32.72,30.59,28.62,25.38,21.84,21.94,24.75,27.28,27.88,29.47,32.28,34.16,32.62,30.5,31.0,32.41,31.62,30.06,30.56,31.69,29.84,26.28,24.12,24.12,23.75,21.56,20.38,21.97,23.56,22.72,21.84,23.38,24.84,23.69,21.62,21.62,23.22,23.69,22.84,23.91,26.81,28.94,29.06,29.19,31.38,33.62,33.25,32.41,33.59,35.16,34.06,31.91,31.31,32.69,33.25,32.28,31.72,32.56,32.34,29.25,26.38,26.59,27.94,28.12,28.47,31.25,35.47,37.66,38.16,39.34,41.59,42.03,39.84,37.94,38.0,38.03,35.34,32.72,32.06,32.06,29.81,26.97,26.22,27.81,27.97,27.19,27.53,30.78,33.25,33.88,35.66,39.69,43.84,44.91,45.22,47.38,49.56,49.19,47.03,46.5,46.97,46.06,42.91,40.28,39.41,37.62,33.34,29.34,27.56,26.5,23.38,19.84,19.5,21.03,21.19,20.59,21.44,23.75,25.25,24.75,25.28,28.66,31.72,32.25,32.38,34.44,35.94,34.38,31.09,29.19,28.47,26.59,23.5,22.91,25.03,26.62,26.5,26.91,29.5,31.56,30.88,29.81,31.28,33.78,33.94,32.88,33.38,35.25,35.44,33.84,33.41,35.28,36.75,35.72,35.0,37.16,39.41,39.12,38.0,38.34,39.22,38.44,36.88,36.97,39.53,41.25,40.06,39.03,39.84,39.28,35.84,32.0,30.81,29.81,26.97,24.78,25.22,28.0,29.88,30.41,31.88,35.0,36.38,35.25,34.78,36.59,38.59,38.25,37.56,39.09,41.22,40.47,38.38,37.22,36.88,34.72,31.12,29.62,30.97,32.69,33.31,35.0,39.16,43.38,44.81,45.25,47.09,49.5,49.94,48.41,48.25,49.31,48.66,46.28,44.5,44.84,45.06,42.59,40.12,40.66,41.59,40.47,38.81,39.53,41.0,41.22,39.84,40.22,42.56,43.09,42.16,41.69,43.81,45.62,45.25,44.62,45.5,46.81,46.19,43.66,43.16,44.25,44.03,42.78,42.72,45.19,47.19,46.84,46.88,49.81,52.69,52.88,52.16,52.69,53.25,51.62,48.16,45.81,44.88,43.25,39.84,38.19,39.44,41.0,40.94,40.66,43.03,45.53,45.53,44.94,46.12,47.94,48.44,47.0,46.84,48.12,48.56,46.41,44.56,44.94,45.12,43.25,41.28,42.06,43.78,44.12,42.69,42.97,44.69,44.56,42.47,41.59,42.91,43.97,43.16,42.97,45.38,47.09,45.81,43.31,42.22,42.34,41.03,39.06,38.97,40.66,41.5,40.56,41.0,43.56,45.56,44.41,42.75,42.75,43.0,41.56,39.38,40.0,42.19,42.84,42.41,43.38,46.47,48.38,47.91,47.66,49.38,50.38,48.19,45.91,46.56,47.91,47.31,45.69,46.41,48.59,49.16,48.25,48.62,50.72,51.88,51.06,50.97,53.56,56.66,57.0,56.25,57.12,57.94,55.81,52.31,50.19,49.56,47.94,44.66,43.28,44.03,45.03,43.88,43.0,44.28,46.09,45.38,44.22,45.75,48.56,49.88,49.34,50.12,52.31,52.75,50.38,48.28,47.91,46.56,42.84,39.0,37.94,38.0,36.28,33.94,34.12,36.0,36.81,36.28,37.19,39.66,40.91,39.53,38.28,39.88,41.5,41.12,40.66,42.72,45.72,45.78,44.28,43.28,43.25,41.28,37.44,34.69,34.78,34.56,32.22,30.56,31.69,33.94,34.19,35.03,38.22,42.56,44.59,44.41,45.25,47.44,48.28,46.91,46.47,48.25,50.0,49.28,49.16,51.31,53.62,52.94,50.41,48.78,48.22,45.78,42.16,40.38,40.44,39.88,36.84,34.53,34.97,35.56,34.03,32.88,34.22,36.84,37.22,36.5,37.31,39.53,39.84,38.44,37.91,39.72,40.91,39.88,39.53,41.78,44.41,44.28,43.12,43.75,45.25,44.75,43.03,42.88,44.56,44.78,42.5,41.06,42.19,43.66,42.91,42.62,44.78,47.69,47.56,46.5,47.03,48.12,47.03,43.94,42.56,43.16,43.44,42.81,43.22,46.56,49.97,50.47,50.06,51.59,53.16,52.0,49.12,47.94,47.75,46.06,42.94,41.34,42.72,43.44,42.44,41.81,43.84,45.81,45.09,44.0,45.0,47.28,47.12,46.09,47.06,49.31,50.03,48.03,46.53,46.84,46.47,43.41,40.72,41.5,42.75,41.56,40.19,41.19,43.66,44.19,42.84,42.94,44.28,44.16,42.19,41.34,43.47,45.69,44.94,43.22,43.34,43.66,41.81,39.12,39.09,41.47,41.88,40.59,40.25,42.47,43.78,43.31,44.0,47.44,50.75,50.81,50.0,50.38,51.03,48.97,45.47,44.41,45.25,45.09,43.44,42.91,44.62,45.38,43.72,42.25,43.22,44.56,43.53,41.5,41.66,42.88,42.19,40.12,40.31,42.84,44.34,43.69,43.41,45.47,46.44,44.69,42.75,43.53,44.78,43.78,41.62,41.41,41.69,40.03,36.62,34.69,35.41,35.81,34.88,34.75,37.56,40.06,40.44,40.41,42.94,45.59,45.69,44.38,44.5,45.72,45.25,42.94,41.09,41.34,40.81,37.69,34.47,34.19,33.69,31.34,28.75,29.41,31.59,32.12,31.5,32.66,35.38,37.0,36.91,37.62,40.62,42.75,42.25,41.03,42.19,43.16,41.31,38.25,36.91,37.0,35.97,33.75,33.5,35.28,36.38,34.84,34.38,36.25,37.84,37.19,35.78,37.41,39.91,40.12,39.72,41.22,43.81,44.19,42.56,42.25,43.97,45.06,43.44,42.44,43.5,44.62,43.12,40.62,40.31,40.41,38.47,35.69,34.5,35.41,35.56,33.84,33.5,35.69,37.47,36.62,35.75,37.16,38.5,37.72,35.97,36.91,39.22,39.97,39.56,40.44,42.88,43.53,41.66,40.16,41.06,41.41,40.09,38.34,39.12,40.69,40.0,38.28,38.94,41.09,41.69,40.38,40.59,42.75,44.0,42.88,42.38,44.47,46.81,46.59,45.84,46.75,47.84,45.53,41.91,40.69,41.12,41.16,39.88,39.56,41.5,42.19,40.25,38.5,39.03,40.56,40.06,39.16,41.0,43.62,44.06,42.62,42.78,44.41,44.62,42.09,39.97,39.78,38.88,35.94,33.44,34.22,35.53,35.16,33.72,34.38,35.94,36.12,34.22,33.59,35.0,35.88,34.44,33.81,35.94,38.31,38.72,39.28,41.69,44.53,44.91,43.25,43.25,44.72,45.22,43.44,42.91,44.22,45.03,43.22,41.81,42.47,43.78,43.0,41.69,43.16,45.81,46.06,44.22,43.62,44.19,43.69,41.22,40.28,41.69,42.97,41.91,40.97,42.19,44.38,44.19,43.0,44.28,46.69,48.0,47.44,47.66,49.91,50.81,49.19,48.09,49.38,50.62,48.72,46.91,47.53,49.22,49.06,48.19,49.06,50.72,50.06,47.28,44.75,44.66,44.0,41.12,39.0,39.31,39.91,38.0,36.28,36.59,38.72,39.0,38.09,38.75,40.88,41.91,40.69,40.31,42.03,43.06,41.0,38.53,38.16,38.06,35.72,33.19,33.31,35.34,36.0,35.22,35.75,37.84,39.0,37.97,37.31,39.31,40.75,39.53,37.81,38.38,39.75,38.97,37.25,37.38,38.94,38.69,36.44,35.34,35.69,34.94,32.19,30.31,31.59,33.69,33.28,32.72,33.47,34.75,34.03,32.56,32.62,35.34,36.75,35.62,35.19,36.47,36.84,34.72,33.31,34.09,35.81,35.0,32.81,32.09,32.56,31.16,28.62,28.81,31.38,33.41,33.19,33.38,35.59,36.84,35.72,34.5,35.56,37.38,37.31,35.81,35.91,36.97,35.91,33.25,31.19,31.28,31.34,29.81,29.41,32.22,35.28,36.09,36.03,37.38,39.22,38.47,36.62,35.84,37.28,37.31,35.81,35.25,36.38,36.31,33.19,29.59,28.44,28.22,26.5,25.38,27.44,31.22,33.62,33.88,34.66,36.34,35.78,33.09,31.06,31.31,31.72,29.53,27.19,27.69,29.25,28.88,28.0,29.0,31.34,32.0,30.72,30.0,31.22,31.31,29.69,28.44,30.81,33.81,34.22,34.62,36.53,38.91,38.81,37.16,37.16,38.41,38.25,35.75,33.69,33.56,32.41,28.91,25.97,25.91,27.09,26.88,26.47,28.41,32.03,33.75,34.25,35.97,39.53,41.5,40.69,39.75,40.78,41.22,39.78,38.41,39.41,40.84,39.62,37.03,35.88,36.0,34.94,32.12,31.09,32.34,32.84,31.56,31.16,33.5,35.91,35.97,35.16,36.28,37.47,36.44,33.91,33.0,33.16,32.16,29.75,27.81,28.69,29.59,28.09,26.59,27.69,29.09,28.03,25.66,25.19,25.72,24.78,22.91,23.19,25.78,27.72,27.66,27.69,29.38,30.56,28.94,26.97,27.59,28.81,28.34,27.31,28.91,32.16,34.75,35.81,37.69,41.03,42.66,40.81,38.59,38.5,38.5,36.59,34.19,34.69,36.03,35.72,33.69,32.81,32.28,30.5,26.69,24.09,25.0,26.03,25.28,24.41,25.56,26.62,25.47,23.97,25.16,28.03,30.09,30.94,32.84,36.12,37.81,36.66,35.31,36.22,36.03,33.19,29.97,28.94,29.81,28.97,28.09,29.88,33.06,34.09,32.72,31.44,30.72,28.94,24.25,19.88,18.53,17.44,14.78,12.22,13.03,15.56,17.34,18.5,22.03,26.78,30.31,31.28,32.66,35.53,37.12,35.62,33.59,33.28,33.41,31.03,27.78,26.97,27.5,26.47,24.19,23.88,25.84,26.94,25.66,25.06,26.38,27.19,25.78,24.91,26.59,29.78,31.19,31.62,33.84,37.38,39.03,38.22,38.09,40.06,40.44,38.56,37.25,38.25,39.53,37.91,36.25,37.09,38.66:27.28,27.88,29.47,32.28,34.16,32.62,30.5,31.0,32.41,31.62,30.06,30.56,31.69,29.84,26.28,24.12,24.12,23.75,21.56,20.38,21.97,23.56,22.72,21.84,23.38,24.84,23.69,21.62,21.62,23.22,23.69,22.84,23.91,26.81,28.94,29.06,29.19,31.38,33.62,33.25,32.41,33.59,35.16,34.06,31.91,31.31,32.69,33.25,32.28,31.72,32.56,32.34,29.25,26.38,26.59,27.94,28.12,28.47,31.25,35.47,37.66,38.16,39.34,41.59,42.03,39.84,37.94,38.0,38.03,35.34,32.72,32.06,32.06,29.81,26.97,26.22,27.81,27.97,27.19,27.53,30.78,33.25,33.88,35.66,39.69,43.84,44.91,45.22,47.38,49.56,49.19,47.03,46.5,46.97,46.06,42.91,40.28,39.41,37.62,33.34,29.34,27.56,26.5,23.38,19.84,19.5,21.03,21.19,20.59,21.44,23.75,25.25,24.75,25.28,28.66,31.72,32.25,32.38,34.44,35.94,34.38,31.09,29.19,28.47,26.59,23.5,22.91,25.03,26.62,26.5,26.91,29.5,31.56,30.88,29.81,31.28,33.78,33.94,32.88,33.38,35.25,35.44,33.84,33.41,35.28,36.75,35.72,35.0,37.16,39.41,39.12,38.0,38.34,39.22,38.44,36.88,36.97,39.53,41.25,40.06,39.03,39.84,39.28,35.84,32.0,30.81,29.81,26.97,24.78,25.22,28.0,29.88,30.41,31.88,35.0,36.38,35.25,34.78,36.59,38.59,38.25,37.56,39.09,41.22,40.47,38.38,37.22,36.88,34.72,31.12,29.62,30.97,32.69,33.31,35.0,39.16,43.38,44.81,45.25,47.09,49.5,49.94,48.41,48.25,49.31,48.66,46.28,44.5,44.84,45.06,42.59,40.12,40.66,41.59,40.47,38.81,39.53,41.0,41.22,39.84,40.22,42.56,43.09,42.16,41.69,43.81,45.62,45.25,44.62,45.5,46.81,46.19,43.66,43.16,44.25,44.03,42.78,42.72,45.19,47.19,46.84,46.88,49.81,52.69,52.88,52.16,52.69,53.25,51.62,48.16,45.81,44.88,43.25,39.84,38.19,39.44,41.0,40.94,40.66,43.03,45.53,45.53,44.94,46.12,47.94,48.44,47.0,46.84,48.12,48.56,46.41,44.56,44.94,45.12,43.25,41.28,42.06,43.78,44.12,42.69,42.97,44.69,44.56,42.47,41.59,42.91,43.97,43.16,42.97,45.38,47.09,45.81,43.31,42.22,42.34,41.03,39.06,38.97,40.66,41.5,40.56,41.0,43.56,45.56,44.41,42.75,42.75,43.0,41.56,39.38,40.0,42.19,42.84,42.41,43.38,46.47,48.38,47.91,47.66,49.38,50.38,48.19,45.91,46.56,47.91,47.31,45.69,46.41,48.59,49.16,48.25,48.62,50.72,51.88,51.06,50.97,53.56,56.66,57.0,56.25,57.12,57.94,55.81,52.31,50.19,49.56,47.94,44.66,43.28,44.03,45.03,43.88,43.0,44.28,46.09,45.38,44.22,45.75,48.56,49.88,49.34,50.12,52.31,52.75,50.38,48.28,47.91,46.56,42.84,39.0,37.94,38.0,36.28,33.94,34.12,36.0,36.81,36.28,37.19,39.66,40.91,39.53,38.28,39.88,41.5,41.12,40.66,42.72,45.72,45.78,44.28,43.28,43.25,41.28,37.44,34.69,34.78,34.56,32.22,30.56,31.69,33.94,34.19,35.03,38.22,42.56,44.59,44.41,45.25,47.44,48.28,46.91,46.47,48.25,50.0,49.28,49.16,51.31,53.62,52.94,50.41,48.78,48.22,45.78,42.16,40.38,40.44,39.88,36.84,34.53,34.97,35.56,34.03,32.88,34.22,36.84,37.22,36.5,37.31,39.53,39.84,38.44,37.91,39.72,40.91,39.88,39.53,41.78,44.41,44.28,43.12,43.75,45.25,44.75,43.03,42.88,44.56,44.78,42.5,41.06,42.19,43.66,42.91,42.62,44.78,47.69,47.56,46.5,47.03,48.12,47.03,43.94,42.56,43.16,43.44,42.81,43.22,46.56,49.97,50.47,50.06,51.59,53.16,52.0,49.12,47.94,47.75,46.06,42.94,41.34,42.72,43.44,42.44,41.81,43.84,45.81,45.09,44.0,45.0,47.28,47.12,46.09,47.06,49.31,50.03,48.03,46.53,46.84,46.47,43.41,40.72,41.5,42.75,41.56,40.19,41.19,43.66,44.19,42.84,42.94,44.28,44.16,42.19,41.34,43.47,45.69,44.94,43.22,43.34,43.66,41.81,39.12,39.09,41.47,41.88,40.59,40.25,42.47,43.78,43.31,44.0,47.44,50.75,50.81,50.0,50.38,51.03,48.97,45.47,44.41,45.25,45.09,43.44,42.91,44.62,45.38,43.72,42.25,43.22,44.56,43.53,41.5,41.66,42.88,42.19,40.12,40.31,42.84,44.34,43.69,43.41,45.47,46.44,44.69,42.75,43.53,44.78,43.78,41.62,41.41,41.69,40.03,36.62,34.69,35.41,35.81,34.88,34.75,37.56,40.06,40.44,40.41,42.94,45.59,45.69,44.38,44.5,45.72,45.25,42.94,41.09,41.34,40.81,37.69,34.47,34.19,33.69,31.34,28.75,29.41,31.59,32.12,31.5,32.66,35.38,37.0,36.91,37.62,40.62,42.75,42.25,41.03,42.19,43.16,41.31,38.25,36.91,37.0,35.97,33.75,33.5,35.28,36.38,34.84,34.38,36.25,37.84,37.19,35.78,37.41,39.91,40.12,39.72,41.22,43.81,44.19,42.56,42.25,43.97,45.06,43.44,42.44,43.5,44.62,43.12,40.62,40.31,40.41,38.47,35.69,34.5,35.41,35.56,33.84,33.5,35.69,37.47,36.62,35.75,37.16,38.5,37.72,35.97,36.91,39.22,39.97,39.56,40.44,42.88,43.53,41.66,40.16,41.06,41.41,40.09,38.34,39.12,40.69,40.0,38.28,38.94,41.09,41.69,40.38,40.59,42.75,44.0,42.88,42.38,44.47,46.81,46.59,45.84,46.75,47.84,45.53,41.91,40.69,41.12,41.16,39.88,39.56,41.5,42.19,40.25,38.5,39.03,40.56,40.06,39.16,41.0,43.62,44.06,42.62,42.78,44.41,44.62,42.09,39.97,39.78,38.88,35.94,33.44,34.22,35.53,35.16,33.72,34.38,35.94,36.12,34.22,33.59,35.0,35.88,34.44,33.81,35.94,38.31,38.72,39.28,41.69,44.53,44.91,43.25,43.25,44.72,45.22,43.44,42.91,44.22,45.03,43.22,41.81,42.47,43.78,43.0,41.69,43.16,45.81,46.06,44.22,43.62,44.19,43.69,41.22,40.28,41.69,42.97,41.91,40.97,42.19,44.38,44.19,43.0,44.28,46.69,48.0,47.44,47.66,49.91,50.81,49.19,48.09,49.38,50.62,48.72,46.91,47.53,49.22,49.06,48.19,49.06,50.72,50.06,47.28,44.75,44.66,44.0,41.12,39.0,39.31,39.91,38.0,36.28,36.59,38.72,39.0,38.09,38.75,40.88,41.91,40.69,40.31,42.03,43.06,41.0,38.53,38.16,38.06,35.72,33.19,33.31,35.34,36.0,35.22,35.75,37.84,39.0,37.97,37.31,39.31,40.75,39.53,37.81,38.38,39.75,38.97,37.25,37.38,38.94,38.69,36.44,35.34,35.69,34.94,32.19,30.31,31.59,33.69,33.28,32.72,33.47,34.75,34.03,32.56,32.62,35.34,36.75,35.62,35.19,36.47,36.84,34.72,33.31,34.09,35.81,35.0,32.81,32.09,32.56,31.16,28.62,28.81,31.38,33.41,33.19,33.38,35.59,36.84,35.72,34.5,35.56,37.38,37.31,35.81,35.91,36.97,35.91,33.25,31.19,31.28,31.34,29.81,29.41,32.22,35.28,36.09,36.03,37.38,39.22,38.47,36.62,35.84,37.28,37.31,35.81,35.25,36.38,36.31,33.19,29.59,28.44,28.22,26.5,25.38,27.44,31.22,33.62,33.88,34.66,36.34,35.78,33.09,31.06,31.31,31.72,29.53,27.19,27.69,29.25,28.88,28.0,29.0,31.34,32.0,30.72,30.0,31.22,31.31,29.69,28.44,30.81,33.81,34.22,34.62,36.53,38.91,38.81,37.16,37.16,38.41,38.25,35.75,33.69,33.56,32.41,28.91,25.97,25.91,27.09,26.88,26.47,28.41,32.03,33.75,34.25,35.97,39.53,41.5,40.69,39.75,40.78,41.22,39.78,38.41,39.41,40.84,39.62,37.03,35.88,36.0,34.94,32.12,31.09,32.34,32.84,31.56,31.16,33.5,35.91,35.97,35.16,36.28,37.47,36.44,33.91,33.0,33.16,32.16,29.75,27.81,28.69,29.59,28.09,26.59,27.69,29.09,28.03,25.66,25.19,25.72,24.78,22.91,23.19,25.78,27.72,27.66,27.69,29.38,30.56,28.94,26.97,27.59,28.81,28.34,27.31,28.91,32.16,34.75,35.81,37.69,41.03,42.66,40.81,38.59,38.5,38.5,36.59,34.19,34.69,36.03,35.72,33.69,32.81,32.28,30.5,26.69,24.09,25.0,26.03,25.28,24.41,25.56,26.62,25.47,23.97,25.16,28.03,30.09,30.94,32.84,36.12,37.81,36.66,35.31,36.22,36.03,33.19,29.97,28.94,29.81,28.97,28.09,29.88,33.06,34.09,32.72,31.44,30.72,28.94,24.25,19.88,18.53,17.44,14.78,12.22,13.03,15.56,17.34,18.5,22.03,26.78,30.31,31.28,32.66,35.53,37.12,35.62,33.59,33.28,33.41,31.03,27.78,26.97,27.5,26.47,24.19,23.88,25.84,26.94,25.66,25.06,26.38,27.19,25.78,24.91,26.59,29.78,31.19,31.62,33.84,37.38,39.03,38.22,38.09,40.06,40.44,38.56,37.25,38.25,39.53,37.91,36.25,37.09,38.66,57.34,56.19,54.69,52.38,49.44,48.78,50.28:31.0,32.41,31.62,30.06,30.56,31.69,29.84,26.28,24.12,24.12,23.75,21.56,20.38,21.97,23.56,22.72,21.84,23.38,24.84,23.69,21.62,21.62,23.22,23.69,22.84,23.91,26.81,28.94,29.06,29.19,31.38,33.62,33.25,32.41,33.59,35.16,34.06,31.91,31.31,32.69,33.25,32.28,31.72,32.56,32.34,29.25,26.38,26.59,27.94,28.12,28.47,31.25,35.47,37.66,38.16,39.34,41.59,42.03,39.84,37.94,38.0,38.03,35.34,32.72,32.06,32.06,29.81,26.97,26.22,27.81,27.97,27.19,27.53,30.78,33.25,33.88,35.66,39.69,43.84,44.91,45.22,47.38,49.56,49.19,47.03,46.5,46.97,46.06,42.91,40.28,39.41,37.62,33.34,29.34,27.56,26.5,23.38,19.84,19.5,21.03,21.19,20.59,21.44,23.75,25.25,24.75,25.28,28.66,31.72,32.25,32.38,34.44,35.94,34.38,31.09,29.19,28.47,26.59,23.5,22.91,25.03,26.62,26.5,26.91,29.5,31.56,30.88,29.81,31.28,33.78,33.94,32.88,33.38,35.25,35.44,33.84,33.41,35.28,36.75,35.72,35.0,37.16,39.41,39.12,38.0,38.34,39.22,38.44,36.88,36.97,39.53,41.25,40.06,39.03,39.84,39.28,35.84,32.0,30.81,29.81,26.97,24.78,25.22,28.0,29.88,30.41,31.88,35.0,36.38,35.25,34.78,36.59,38.59,38.25,37.56,39.09,41.22,40.47,38.38,37.22,36.88,34.72,31.12,29.62,30.97,32.69,33.31,35.0,39.16,43.38,44.81,45.25,47.09,49.5,49.94,48.41,48.25,49.31,48.66,46.28,44.5,44.84,45.06,42.59,40.12,40.66,41.59,40.47,38.81,39.53,41.0,41.22,39.84,40.22,42.56,43.09,42.16,41.69,43.81,45.62,45.25,44.62,45.5,46.81,46.19,43.66,43.16,44.25,44.03,42.78,42.72,45.19,47.19,46.84,46.88,49.81,52.69,52.88,52.16,52.69,53.25,51.62,48.16,45.81,44.88,43.25,39.84,38.19,39.44,41.0,40.94,40.66,43.03,45.53,45.53,44.94,46.12,47.94,48.44,47.0,46.84,48.12,48.56,46.41,44.56,44.94,45.12,43.25,41.28,42.06,43.78,44.12,42.69,42.97,44.69,44.56,42.47,41.59,42.91,43.97,43.16,42.97,45.38,47.09,45.81,43.31,42.22,42.34,41.03,39.06,38.97,40.66,41.5,40.56,41.0,43.56,45.56,44.41,42.75,42.75,43.0,41.56,39.38,40.0,42.19,42.84,42.41,43.38,46.47,48.38,47.91,47.66,49.38,50.38,48.19,45.91,46.56,47.91,47.31,45.69,46.41,48.59,49.16,48.25,48.62,50.72,51.88,51.06,50.97,53.56,56.66,57.0,56.25,57.12,57.94,55.81,52.31,50.19,49.56,47.94,44.66,43.28,44.03,45.03,43.88,43.0,44.28,46.09,45.38,44.22,45.75,48.56,49.88,49.34,50.12,52.31,52.75,50.38,48.28,47.91,46.56,42.84,39.0,37.94,38.0,36.28,33.94,34.12,36.0,36.81,36.28,37.19,39.66,40.91,39.53,38.28,39.88,41.5,41.12,40.66,42.72,45.72,45.78,44.28,43.28,43.25,41.28,37.44,34.69,34.78,34.56,32.22,30.56,31.69,33.94,34.19,35.03,38.22,42.56,44.59,44.41,45.25,47.44,48.28,46.91,46.47,48.25,50.0,49.28,49.16,51.31,53.62,52.94,50.41,48.78,48.22,45.78,42.16,40.38,40.44,39.88,36.84,34.53,34.97,35.56,34.03,32.88,34.22,36.84,37.22,36.5,37.31,39.53,39.84,38.44,37.91,39.72,40.91,39.88,39.53,41.78,44.41,44.28,43.12,43.75,45.25,44.75,43.03,42.88,44.56,44.78,42.5,41.06,42.19,43.66,42.91,42.62,44.78,47.69,47.56,46.5,47.03,48.12,47.03,43.94,42.56,43.16,43.44,42.81,43.22,46.56,49.97,50.47,50.06,51.59,53.16,52.0,49.12,47.94,47.75,46.06,42.94,41.34,42.72,43.44,42.44,41.81,43.84,45.81,45.09,44.0,45.0,47.28,47.12,46.09,47.06,49.31,50.03,48.03,46.53,46.84,46.47,43.41,40.72,41.5,42.75,41.56,40.19,41.19,43.66,44.19,42.84,42.94,44.28,44.16,42.19,41.34,43.47,45.69,44.94,43.22,43.34,43.66,41.81,39.12,39.09,41.47,41.88,40.59,40.25,42.47,43.78,43.31,44.0,47.44,50.75,50.81,50.0,50.38,51.03,48.97,45.47,44.41,45.25,45.09,43.44,42.91,44.62,45.38,43.72,42.25,43.22,44.56,43.53,41.5,41.66,42.88,42.19,40.12,40.31,42.84,44.34,43.69,43.41,45.47,46.44,44.69,42.75,43.53,44.78,43.78,41.62,41.41,41.69,40.03,36.62,34.69,35.41,35.81,34.88,34.75,37.56,40.06,40.44,40.41,42.94,45.59,45.69,44.38,44.5,45.72,45.25,42.94,41.09,41.34,40.81,37.69,34.47,34.19,33.69,31.34,28.75,29.41,31.59,32.12,31.5,32.66,35.38,37.0,36.91,37.62,40.62,42.75,42.25,41.03,42.19,43.16,41.31,38.25,36.91,37.0,35.97,33.75,33.5,35.28,36.38,34.84,34.38,36.25,37.84,37.19,35.78,37.41,39.91,40.12,39.72,41.22,43.81,44.19,42.56,42.25,43.97,45.06,43.44,42.44,43.5,44.62,43.12,40.62,40.31,40.41,38.47,35.69,34.5,35.41,35.56,33.84,33.5,35.69,37.47,36.62,35.75,37.16,38.5,37.72,35.97,36.91,39.22,39.97,39.56,40.44,42.88,43.53,41.66,40.16,41.06,41.41,40.09,38.34,39.12,40.69,40.0,38.28,38.94,41.09,41.69,40.38,40.59,42.75,44.0,42.88,42.38,44.47,46.81,46.59,45.84,46.75,47.84,45.53,41.91,40.69,41.12,41.16,39.88,39.56,41.5,42.19,40.25,38.5,39.03,40.56,40.06,39.16,41.0,43.62,44.06,42.62,42.78,44.41,44.62,42.09,39.97,39.78,38.88,35.94,33.44,34.22,35.53,35.16,33.72,34.38,35.94,36.12,34.22,33.59,35.0,35.88,34.44,33.81,35.94,38.31,38.72,39.28,41.69,44.53,44.91,43.25,43.25,44.72,45.22,43.44,42.91,44.22,45.03,43.22,41.81,42.47,43.78,43.0,41.69,43.16,45.81,46.06,44.22,43.62,44.19,43.69,41.22,40.28,41.69,42.97,41.91,40.97,42.19,44.38,44.19,43.0,44.28,46.69,48.0,47.44,47.66,49.91,50.81,49.19,48.09,49.38,50.62,48.72,46.91,47.53,49.22,49.06,48.19,49.06,50.72,50.06,47.28,44.75,44.66,44.0,41.12,39.0,39.31,39.91,38.0,36.28,36.59,38.72,39.0,38.09,38.75,40.88,41.91,40.69,40.31,42.03,43.06,41.0,38.53,38.16,38.06,35.72,33.19,33.31,35.34,36.0,35.22,35.75,37.84,39.0,37.97,37.31,39.31,40.75,39.53,37.81,38.38,39.75,38.97,37.25,37.38,38.94,38.69,36.44,35.34,35.69,34.94,32.19,30.31,31.59,33.69,33.28,32.72,33.47,34.75,34.03,32.56,32.62,35.34,36.75,35.62,35.19,36.47,36.84,34.72,33.31,34.09,35.81,35.0,32.81,32.09,32.56,31.16,28.62,28.81,31.38,33.41,33.19,33.38,35.59,36.84,35.72,34.5,35.56,37.38,37.31,35.81,35.91,36.97,35.91,33.25,31.19,31.28,31.34,29.81,29.41,32.22,35.28,36.09,36.03,37.38,39.22,38.47,36.62,35.84,37.28,37.31,35.81,35.25,36.38,36.31,33.19,29.59,28.44,28.22,26.5,25.38,27.44,31.22,33.62,33.88,34.66,36.34,35.78,33.09,31.06,31.31,31.72,29.53,27.19,27.69,29.25,28.88,28.0,29.0,31.34,32.0,30.72,30.0,31.22,31.31,29.69,28.44,30.81,33.81,34.22,34.62,36.53,38.91,38.81,37.16,37.16,38.41,38.25,35.75,33.69,33.56,32.41,28.91,25.97,25.91,27.09,26.88,26.47,28.41,32.03,33.75,34.25,35.97,39.53,41.5,40.69,39.75,40.78,41.22,39.78,38.41,39.41,40.84,39.62,37.03,35.88,36.0,34.94,32.12,31.09,32.34,32.84,31.56,31.16,33.5,35.91,35.97,35.16,36.28,37.47,36.44,33.91,33.0,33.16,32.16,29.75,27.81,28.69,29.59,28.09,26.59,27.69,29.09,28.03,25.66,25.19,25.72,24.78,22.91,23.19,25.78,27.72,27.66,27.69,29.38,30.56,28.94,26.97,27.59,28.81,28.34,27.31,28.91,32.16,34.75,35.81,37.69,41.03,42.66,40.81,38.59,38.5,38.5,36.59,34.19,34.69,36.03,35.72,33.69,32.81,32.28,30.5,26.69,24.09,25.0,26.03,25.28,24.41,25.56,26.62,25.47,23.97,25.16,28.03,30.09,30.94,32.84,36.12,37.81,36.66,35.31,36.22,36.03,33.19,29.97,28.94,29.81,28.97,28.09,29.88,33.06,34.09,32.72,31.44,30.72,28.94,24.25,19.88,18.53,17.44,14.78,12.22,13.03,15.56,17.34,18.5,22.03,26.78,30.31,31.28,32.66,35.53,37.12,35.62,33.59,33.28,33.41,31.03,27.78,26.97,27.5,26.47,24.19,23.88,25.84,26.94,25.66,25.06,26.38,27.19,25.78,24.91,26.59,29.78,31.19,31.62,33.84,37.38,39.03,38.22,38.09,40.06,40.44,38.56,37.25,38.25,39.53,37.91,36.25,37.09,38.66,57.34,56.19,54.69,52.38,49.44,48.78,50.28,51.38,51.12,51.47,52.69,53.44,52.06,51.53:26.28,24.12,24.12,23.75,21.56,20.38,21.97,23.56,22.72,21.84,23.38,24.84,23.69,21.62,21.62,23.22,23.69,22.84,23.91,26.81,28.94,29.06,29.19,31.38,33.62,33.25,32.41,33.59,35.16,34.06,31.91,31.31,32.69,33.25,32.28,31.72,32.56,32.34,29.25,26.38,26.59,27.94,28.12,28.47,31.25,35.47,37.66,38.16,39.34,41.59,42.03,39.84,37.94,38.0,38.03,35.34,32.72,32.06,32.06,29.81,26.97,26.22,27.81,27.97,27.19,27.53,30.78,33.25,33.88,35.66,39.69,43.84,44.91,45.22,47.38,49.56,49.19,47.03,46.5,46.97,46.06,42.91,40.28,39.41,37.62,33.34,29.34,27.56,26.5,23.38,19.84,19.5,21.03,21.19,20.59,21.44,23.75,25.25,24.75,25.28,28.66,31.72,32.25,32.38,34.44,35.94,34.38,31.09,29.19,28.47,26.59,23.5,22.91,25.03,26.62,26.5,26.91,29.5,31.56,30.88,29.81,31.28,33.78,33.94,32.88,33.38,35.25,35.44,33.84,33.41,35.28,36.75,35.72,35.0,37.16,39.41,39.12,38.0,38.34,39.22,38.44,36.88,36.97,39.53,41.25,40.06,39.03,39.84,39.28,35.84,32.0,30.81,29.81,26.97,24.78,25.22,28.0,29.88,30.41,31.88,35.0,36.38,35.25,34.78,36.59,38.59,38.25,37.56,39.09,41.22,40.47,38.38,37.22,36.88,34.72,31.12,29.62,30.97,32.69,33.31,35.0,39.16,43.38,44.81,45.25,47.09,49.5,49.94,48.41,48.25,49.31,48.66,46.28,44.5,44.84,45.06,42.59,40.12,40.66,41.59,40.47,38.81,39.53,41.0,41.22,39.84,40.22,42.56,43.09,42.16,41.69,43.81,45.62,45.25,44.62,45.5,46.81,46.19,43.66,43.16,44.25,44.03,42.78,42.72,45.19,47.19,46.84,46.88,49.81,52.69,52.88,52.16,52.69,53.25,51.62,48.16,45.81,44.88,43.25,39.84,38.19,39.44,41.0,40.94,40.66,43.03,45.53,45.53,44.94,46.12,47.94,48.44,47.0,46.84,48.12,48.56,46.41,44.56,44.94,45.12,43.25,41.28,42.06,43.78,44.12,42.69,42.97,44.69,44.56,42.47,41.59,42.91,43.97,43.16,42.97,45.38,47.09,45.81,43.31,42.22,42.34,41.03,39.06,38.97,40.66,41.5,40.56,41.0,43.56,45.56,44.41,42.75,42.75,43.0,41.56,39.38,40.0,42.19,42.84,42.41,43.38,46.47,48.38,47.91,47.66,49.38,50.38,48.19,45.91,46.56,47.91,47.31,45.69,46.41,48.59,49.16,48.25,48.62,50.72,51.88,51.06,50.97,53.56,56.66,57.0,56.25,57.12,57.94,55.81,52.31,50.19,49.56,47.94,44.66,43.28,44.03,45.03,43.88,43.0,44.28,46.09,45.38,44.22,45.75,48.56,49.88,49.34,50.12,52.31,52.75,50.38,48.28,47.91,46.56,42.84,39.0,37.94,38.0,36.28,33.94,34.12,36.0,36.81,36.28,37.19,39.66,40.91,39.53,38.28,39.88,41.5,41.12,40.66,42.72,45.72,45.78,44.28,43.28,43.25,41.28,37.44,34.69,34.78,34.56,32.22,30.56,31.69,33.94,34.19,35.03,38.22,42.56,44.59,44.41,45.25,47.44,48.28,46.91,46.47,48.25,50.0,49.28,49.16,51.31,53.62,52.94,50.41,48.78,48.22,45.78,42.16,40.38,40.44,39.88,36.84,34.53,34.97,35.56,34.03,32.88,34.22,36.84,37.22,36.5,37.31,39.53,39.84,38.44,37.91,39.72,40.91,39.88,39.53,41.78,44.41,44.28,43.12,43.75,45.25,44.75,43.03,42.88,44.56,44.78,42.5,41.06,42.19,43.66,42.91,42.62,44.78,47.69,47.56,46.5,47.03,48.12,47.03,43.94,42.56,43.16,43.44,42.81,43.22,46.56,49.97,50.47,50.06,51.59,53.16,52.0,49.12,47.94,47.75,46.06,42.94,41.34,42.72,43.44,42.44,41.81,43.84,45.81,45.09,44.0,45.0,47.28,47.12,46.09,47.06,49.31,50.03,48.03,46.53,46.84,46.47,43.41,40.72,41.5,42.75,41.56,40.19,41.19,43.66,44.19,42.84,42.94,44.28,44.16,42.19,41.34,43.47,45.69,44.94,43.22,43.34,43.66,41.81,39.12,39.09,41.47,41.88,40.59,40.25,42.47,43.78,43.31,44.0,47.44,50.75,50.81,50.0,50.38,51.03,48.97,45.47,44.41,45.25,45.09,43.44,42.91,44.62,45.38,43.72,42.25,43.22,44.56,43.53,41.5,41.66,42.88,42.19,40.12,40.31,42.84,44.34,43.69,43.41,45.47,46.44,44.69,42.75,43.53,44.78,43.78,41.62,41.41,41.69,40.03,36.62,34.69,35.41,35.81,34.88,34.75,37.56,40.06,40.44,40.41,42.94,45.59,45.69,44.38,44.5,45.72,45.25,42.94,41.09,41.34,40.81,37.69,34.47,34.19,33.69,31.34,28.75,29.41,31.59,32.12,31.5,32.66,35.38,37.0,36.91,37.62,40.62,42.75,42.25,41.03,42.19,43.16,41.31,38.25,36.91,37.0,35.97,33.75,33.5,35.28,36.38,34.84,34.38,36.25,37.84,37.19,35.78,37.41,39.91,40.12,39.72,41.22,43.81,44.19,42.56,42.25,43.97,45.06,43.44,42.44,43.5,44.62,43.12,40.62,40.31,40.41,38.47,35.69,34.5,35.41,35.56,33.84,33.5,35.69,37.47,36.62,35.75,37.16,38.5,37.72,35.97,36.91,39.22,39.97,39.56,40.44,42.88,43.53,41.66,40.16,41.06,41.41,40.09,38.34,39.12,40.69,40.0,38.28,38.94,41.09,41.69,40.38,40.59,42.75,44.0,42.88,42.38,44.47,46.81,46.59,45.84,46.75,47.84,45.53,41.91,40.69,41.12,41.16,39.88,39.56,41.5,42.19,40.25,38.5,39.03,40.56,40.06,39.16,41.0,43.62,44.06,42.62,42.78,44.41,44.62,42.09,39.97,39.78,38.88,35.94,33.44,34.22,35.53,35.16,33.72,34.38,35.94,36.12,34.22,33.59,35.0,35.88,34.44,33.81,35.94,38.31,38.72,39.28,41.69,44.53,44.91,43.25,43.25,44.72,45.22,43.44,42.91,44.22,45.03,43.22,41.81,42.47,43.78,43.0,41.69,43.16,45.81,46.06,44.22,43.62,44.19,43.69,41.22,40.28,41.69,42.97,41.91,40.97,42.19,44.38,44.19,43.0,44.28,46.69,48.0,47.44,47.66,49.91,50.81,49.19,48.09,49.38,50.62,48.72,46.91,47.53,49.22,49.06,48.19,49.06,50.72,50.06,47.28,44.75,44.66,44.0,41.12,39.0,39.31,39.91,38.0,36.28,36.59,38.72,39.0,38.09,38.75,40.88,41.91,40.69,40.31,42.03,43.06,41.0,38.53,38.16,38.06,35.72,33.19,33.31,35.34,36.0,35.22,35.75,37.84,39.0,37.97,37.31,39.31,40.75,39.53,37.81,38.38,39.75,38.97,37.25,37.38,38.94,38.69,36.44,35.34,35.69,34.94,32.19,30.31,31.59,33.69,33.28,32.72,33.47,34.75,34.03,32.56,32.62,35.34,36.75,35.62,35.19,36.47,36.84,34.72,33.31,34.09,35.81,35.0,32.81,32.09,32.56,31.16,28.62,28.81,31.38,33.41,33.19,33.38,35.59,36.84,35.72,34.5,35.56,37.38,37.31,35.81,35.91,36.97,35.91,33.25,31.19,31.28,31.34,29.81,29.41,32.22,35.28,36.09,36.03,37.38,39.22,38.47,36.62,35.84,37.28,37.31,35.81,35.25,36.38,36.31,33.19,29.59,28.44,28.22,26.5,25.38,27.44,31.22,33.62,33.88,34.66,36.34,35.78,33.09,31.06,31.31,31.72,29.53,27.19,27.69,29.25,28.88,28.0,29.0,31.34,32.0,30.72,30.0,31.22,31.31,29.69,28.44,30.81,33.81,34.22,34.62,36.53,38.91,38.81,37.16,37.16,38.41,38.25,35.75,33.69,33.56,32.41,28.91,25.97,25.91,27.09,26.88,26.47,28.41,32.03,33.75,34.25,35.97,39.53,41.5,40.69,39.75,40.78,41.22,39.78,38.41,39.41,40.84,39.62,37.03,35.88,36.0,34.94,32.12,31.09,32.34,32.84,31.56,31.16,33.5,35.91,35.97,35.16,36.28,37.47,36.44,33.91,33.0,33.16,32.16,29.75,27.81,28.69,29.59,28.09,26.59,27.69,29.09,28.03,25.66,25.19,25.72,24.78,22.91,23.19,25.78,27.72,27.66,27.69,29.38,30.56,28.94,26.97,27.59,28.81,28.34,27.31,28.91,32.16,34.75,35.81,37.69,41.03,42.66,40.81,38.59,38.5,38.5,36.59,34.19,34.69,36.03,35.72,33.69,32.81,32.28,30.5,26.69,24.09,25.0,26.03,25.28,24.41,25.56,26.62,25.47,23.97,25.16,28.03,30.09,30.94,32.84,36.12,37.81,36.66,35.31,36.22,36.03,33.19,29.97,28.94,29.81,28.97,28.09,29.88,33.06,34.09,32.72,31.44,30.72,28.94,24.25,19.88,18.53,17.44,14.78,12.22,13.03,15.56,17.34,18.5,22.03,26.78,30.31,31.28,32.66,35.53,37.12,35.62,33.59,33.28,33.41,31.03,27.78,26.97,27.5,26.47,24.19,23.88,25.84,26.94,25.66,25.06,26.38,27.19,25.78,24.91,26.59,29.78,31.19,31.62,33.84,37.38,39.03,38.22,38.09,40.06,40.44,38.56,37.25,38.25,39.53,37.91,36.25,37.09,38.66,57.34,56.19,54.69,52.38,49.44,48.78,50.28,51.38,51.12,51.47,52.69,53.44,52.06,51.53,52.66,55.06,56.72,57.44,59.41,61.06,60.16:23.56,22.72,21.84,23.38,24.84,23.69,21.62,21.62,23.22,23.69,22.84,23.91,26.81,28.94,29.06,29.19,31.38,33.62,33.25,32.41,33.59,35.16,34.06,31.91,31.31,32.69,33.25,32.28,31.72,32.56,32.34,29.25,26.38,26.59,27.94,28.12,28.47,31.25,35.47,37.66,38.16,39.34,41.59,42.03,39.84,37.94,38.0,38.03,35.34,32.72,32.06,32.06,29.81,26.97,26.22,27.81,27.97,27.19,27.53,30.78,33.25,33.88,35.66,39.69,43.84,44.91,45.22,47.38,49.56,49.19,47.03,46.5,46.97,46.06,42.91,40.28,39.41,37.62,33.34,29.34,27.56,26.5,23.38,19.84,19.5,21.03,21.19,20.59,21.44,23.75,25.25,24.75,25.28,28.66,31.72,32.25,32.38,34.44,35.94,34.38,31.09,29.19,28.47,26.59,23.5,22.91,25.03,26.62,26.5,26.91,29.5,31.56,30.88,29.81,31.28,33.78,33.94,32.88,33.38,35.25,35.44,33.84,33.41,35.28,36.75,35.72,35.0,37.16,39.41,39.12,38.0,38.34,39.22,38.44,36.88,36.97,39.53,41.25,40.06,39.03,39.84,39.28,35.84,32.0,30.81,29.81,26.97,24.78,25.22,28.0,29.88,30.41,31.88,35.0,36.38,35.25,34.78,36.59,38.59,38.25,37.56,39.09,41.22,40.47,38.38,37.22,36.88,34.72,31.12,29.62,30.97,32.69,33.31,35.0,39.16,43.38,44.81,45.25,47.09,49.5,49.94,48.41,48.25,49.31,48.66,46.28,44.5,44.84,45.06,42.59,40.12,40.66,41.59,40.47,38.81,39.53,41.0,41.22,39.84,40.22,42.56,43.09,42.16,41.69,43.81,45.62,45.25,44.62,45.5,46.81,46.19,43.66,43.16,44.25,44.03,42.78,42.72,45.19,47.19,46.84,46.88,49.81,52.69,52.88,52.16,52.69,53.25,51.62,48.16,45.81,44.88,43.25,39.84,38.19,39.44,41.0,40.94,40.66,43.03,45.53,45.53,44.94,46.12,47.94,48.44,47.0,46.84,48.12,48.56,46.41,44.56,44.94,45.12,43.25,41.28,42.06,43.78,44.12,42.69,42.97,44.69,44.56,42.47,41.59,42.91,43.97,43.16,42.97,45.38,47.09,45.81,43.31,42.22,42.34,41.03,39.06,38.97,40.66,41.5,40.56,41.0,43.56,45.56,44.41,42.75,42.75,43.0,41.56,39.38,40.0,42.19,42.84,42.41,43.38,46.47,48.38,47.91,47.66,49.38,50.38,48.19,45.91,46.56,47.91,47.31,45.69,46.41,48.59,49.16,48.25,48.62,50.72,51.88,51.06,50.97,53.56,56.66,57.0,56.25,57.12,57.94,55.81,52.31,50.19,49.56,47.94,44.66,43.28,44.03,45.03,43.88,43.0,44.28,46.09,45.38,44.22,45.75,48.56,49.88,49.34,50.12,52.31,52.75,50.38,48.28,47.91,46.56,42.84,39.0,37.94,38.0,36.28,33.94,34.12,36.0,36.81,36.28,37.19,39.66,40.91,39.53,38.28,39.88,41.5,41.12,40.66,42.72,45.72,45.78,44.28,43.28,43.25,41.28,37.44,34.69,34.78,34.56,32.22,30.56,31.69,33.94,34.19,35.03,38.22,42.56,44.59,44.41,45.25,47.44,48.28,46.91,46.47,48.25,50.0,49.28,49.16,51.31,53.62,52.94,50.41,48.78,48.22,45.78,42.16,40.38,40.44,39.88,36.84,34.53,34.97,35.56,34.03,32.88,34.22,36.84,37.22,36.5,37.31,39.53,39.84,38.44,37.91,39.72,40.91,39.88,39.53,41.78,44.41,44.28,43.12,43.75,45.25,44.75,43.03,42.88,44.56,44.78,42.5,41.06,42.19,43.66,42.91,42.62,44.78,47.69,47.56,46.5,47.03,48.12,47.03,43.94,42.56,43.16,43.44,42.81,43.22,46.56,49.97,50.47,50.06,51.59,53.16,52.0,49.12,47.94,47.75,46.06,42.94,41.34,42.72,43.44,42.44,41.81,43.84,45.81,45.09,44.0,45.0,47.28,47.12,46.09,47.06,49.31,50.03,48.03,46.53,46.84,46.47,43.41,40.72,41.5,42.75,41.56,40.19,41.19,43.66,44.19,42.84,42.94,44.28,44.16,42.19,41.34,43.47,45.69,44.94,43.22,43.34,43.66,41.81,39.12,39.09,41.47,41.88,40.59,40.25,42.47,43.78,43.31,44.0,47.44,50.75,50.81,50.0,50.38,51.03,48.97,45.47,44.41,45.25,45.09,43.44,42.91,44.62,45.38,43.72,42.25,43.22,44.56,43.53,41.5,41.66,42.88,42.19,40.12,40.31,42.84,44.34,43.69,43.41,45.47,46.44,44.69,42.75,43.53,44.78,43.78,41.62,41.41,41.69,40.03,36.62,34.69,35.41,35.81,34.88,34.75,37.56,40.06,40.44,40.41,42.94,45.59,45.69,44.38,44.5,45.72,45.25,42.94,41.09,41.34,40.81,37.69,34.47,34.19,33.69,31.34,28.75,29.41,31.59,32.12,31.5,32.66,35.38,37.0,36.91,37.62,40.62,42.75,42.25,41.03,42.19,43.16,41.31,38.25,36.91,37.0,35.97,33.75,33.5,35.28,36.38,34.84,34.38,36.25,37.84,37.19,35.78,37.41,39.91,40.12,39.72,41.22,43.81,44.19,42.56,42.25,43.97,45.06,43.44,42.44,43.5,44.62,43.12,40.62,40.31,40.41,38.47,35.69,34.5,35.41,35.56,33.84,33.5,35.69,37.47,36.62,35.75,37.16,38.5,37.72,35.97,36.91,39.22,39.97,39.56,40.44,42.88,43.53,41.66,40.16,41.06,41.41,40.09,38.34,39.12,40.69,40.0,38.28,38.94,41.09,41.69,40.38,40.59,42.75,44.0,42.88,42.38,44.47,46.81,46.59,45.84,46.75,47.84,45.53,41.91,40.69,41.12,41.16,39.88,39.56,41.5,42.19,40.25,38.5,39.03,40.56,40.06,39.16,41.0,43.62,44.06,42.62,42.78,44.41,44.62,42.09,39.97,39.78,38.88,35.94,33.44,34.22,35.53,35.16,33.72,34.38,35.94,36.12,34.22,33.59,35.0,35.88,34.44,33.81,35.94,38.31,38.72,39.28,41.69,44.53,44.91,43.25,43.25,44.72,45.22,43.44,42.91,44.22,45.03,43.22,41.81,42.47,43.78,43.0,41.69,43.16,45.81,46.06,44.22,43.62,44.19,43.69,41.22,40.28,41.69,42.97,41.91,40.97,42.19,44.38,44.19,43.0,44.28,46.69,48.0,47.44,47.66,49.91,50.81,49.19,48.09,49.38,50.62,48.72,46.91,47.53,49.22,49.06,48.19,49.06,50.72,50.06,47.28,44.75,44.66,44.0,41.12,39.0,39.31,39.91,38.0,36.28,36.59,38.72,39.0,38.09,38.75,40.88,41.91,40.69,40.31,42.03,43.06,41.0,38.53,38.16,38.06,35.72,33.19,33.31,35.34,36.0,35.22,35.75,37.84,39.0,37.97,37.31,39.31,40.75,39.53,37.81,38.38,39.75,38.97,37.25,37.38,38.94,38.69,36.44,35.34,35.69,34.94,32.19,30.31,31.59,33.69,33.28,32.72,33.47,34.75,34.03,32.56,32.62,35.34,36.75,35.62,35.19,36.47,36.84,34.72,33.31,34.09,35.81,35.0,32.81,32.09,32.56,31.16,28.62,28.81,31.38,33.41,33.19,33.38,35.59,36.84,35.72,34.5,35.56,37.38,37.31,35.81,35.91,36.97,35.91,33.25,31.19,31.28,31.34,29.81,29.41,32.22,35.28,36.09,36.03,37.38,39.22,38.47,36.62,35.84,37.28,37.31,35.81,35.25,36.38,36.31,33.19,29.59,28.44,28.22,26.5,25.38,27.44,31.22,33.62,33.88,34.66,36.34,35.78,33.09,31.06,31.31,31.72,29.53,27.19,27.69,29.25,28.88,28.0,29.0,31.34,32.0,30.72,30.0,31.22,31.31,29.69,28.44,30.81,33.81,34.22,34.62,36.53,38.91,38.81,37.16,37.16,38.41,38.25,35.75,33.69,33.56,32.41,28.91,25.97,25.91,27.09,26.88,26.47,28.41,32.03,33.75,34.25,35.97,39.53,41.5,40.69,39.75,40.78,41.22,39.78,38.41,39.41,40.84,39.62,37.03,35.88,36.0,34.94,32.12,31.09,32.34,32.84,31.56,31.16,33.5,35.91,35.97,35.16,36.28,37.47,36.44,33.91,33.0,33.16,32.16,29.75,27.81,28.69,29.59,28.09,26.59,27.69,29.09,28.03,25.66,25.19,25.72,24.78,22.91,23.19,25.78,27.72,27.66,27.69,29.38,30.56,28.94,26.97,27.59,28.81,28.34,27.31,28.91,32.16,34.75,35.81,37.69,41.03,42.66,40.81,38.59,38.5,38.5,36.59,34.19,34.69,36.03,35.72,33.69,32.81,32.28,30.5,26.69,24.09,25.0,26.03,25.28,24.41,25.56,26.62,25.47,23.97,25.16,28.03,30.09,30.94,32.84,36.12,37.81,36.66,35.31,36.22,36.03,33.19,29.97,28.94,29.81,28.97,28.09,29.88,33.06,34.09,32.72,31.44,30.72,28.94,24.25,19.88,18.53,17.44,14.78,12.22,13.03,15.56,17.34,18.5,22.03,26.78,30.31,31.28,32.66,35.53,37.12,35.62,33.59,33.28,33.41,31.03,27.78,26.97,27.5,26.47,24.19,23.88,25.84,26.94,25.66,25.06,26.38,27.19,25.78,24.91,26.59,29.78,31.19,31.62,33.84,37.38,39.03,38.22,38.09,40.06,40.44,38.56,37.25,38.25,39.53,37.91,36.25,37.09,38.66,57.34,56.19,54.69,52.38,49.44,48.78,50.28,51.38,51.12,51.47,52.69,53.44,52.06,51.53,52.66,55.06,56.72,57.44,59.41,61.06,60.16,57.16,54.44,52.84,50.78,47.56,45.19,45.09:21.62,23.22,23.69,22.84,23.91,26.81,28.94,29.06,29.19,31.38,33.62,33.25,32.41,33.59,35.16,34.06,31.91,31.31,32.69,33.25,32.28,31.72,32.56,32.34,29.25,26.38,26.59,27.94,28.12,28.47,31.25,35.47,37.66,38.16,39.34,41.59,42.03,39.84,37.94,38.0,38.03,35.34,32.72,32.06,32.06,29.81,26.97,26.22,27.81,27.97,27.19,27.53,30.78,33.25,33.88,35.66,39.69,43.84,44.91,45.22,47.38,49.56,49.19,47.03,46.5,46.97,46.06,42.91,40.28,39.41,37.62,33.34,29.34,27.56,26.5,23.38,19.84,19.5,21.03,21.19,20.59,21.44,23.75,25.25,24.75,25.28,28.66,31.72,32.25,32.38,34.44,35.94,34.38,31.09,29.19,28.47,26.59,23.5,22.91,25.03,26.62,26.5,26.91,29.5,31.56,30.88,29.81,31.28,33.78,33.94,32.88,33.38,35.25,35.44,33.84,33.41,35.28,36.75,35.72,35.0,37.16,39.41,39.12,38.0,38.34,39.22,38.44,36.88,36.97,39.53,41.25,40.06,39.03,39.84,39.28,35.84,32.0,30.81,29.81,26.97,24.78,25.22,28.0,29.88,30.41,31.88,35.0,36.38,35.25,34.78,36.59,38.59,38.25,37.56,39.09,41.22,40.47,38.38,37.22,36.88,34.72,31.12,29.62,30.97,32.69,33.31,35.0,39.16,43.38,44.81,45.25,47.09,49.5,49.94,48.41,48.25,49.31,48.66,46.28,44.5,44.84,45.06,42.59,40.12,40.66,41.59,40.47,38.81,39.53,41.0,41.22,39.84,40.22,42.56,43.09,42.16,41.69,43.81,45.62,45.25,44.62,45.5,46.81,46.19,43.66,43.16,44.25,44.03,42.78,42.72,45.19,47.19,46.84,46.88,49.81,52.69,52.88,52.16,52.69,53.25,51.62,48.16,45.81,44.88,43.25,39.84,38.19,39.44,41.0,40.94,40.66,43.03,45.53,45.53,44.94,46.12,47.94,48.44,47.0,46.84,48.12,48.56,46.41,44.56,44.94,45.12,43.25,41.28,42.06,43.78,44.12,42.69,42.97,44.69,44.56,42.47,41.59,42.91,43.97,43.16,42.97,45.38,47.09,45.81,43.31,42.22,42.34,41.03,39.06,38.97,40.66,41.5,40.56,41.0,43.56,45.56,44.41,42.75,42.75,43.0,41.56,39.38,40.0,42.19,42.84,42.41,43.38,46.47,48.38,47.91,47.66,49.38,50.38,48.19,45.91,46.56,47.91,47.31,45.69,46.41,48.59,49.16,48.25,48.62,50.72,51.88,51.06,50.97,53.56,56.66,57.0,56.25,57.12,57.94,55.81,52.31,50.19,49.56,47.94,44.66,43.28,44.03,45.03,43.88,43.0,44.28,46.09,45.38,44.22,45.75,48.56,49.88,49.34,50.12,52.31,52.75,50.38,48.28,47.91,46.56,42.84,39.0,37.94,38.0,36.28,33.94,34.12,36.0,36.81,36.28,37.19,39.66,40.91,39.53,38.28,39.88,41.5,41.12,40.66,42.72,45.72,45.78,44.28,43.28,43.25,41.28,37.44,34.69,34.78,34.56,32.22,30.56,31.69,33.94,34.19,35.03,38.22,42.56,44.59,44.41,45.25,47.44,48.28,46.91,46.47,48.25,50.0,49.28,49.16,51.31,53.62,52.94,50.41,48.78,48.22,45.78,42.16,40.38,40.44,39.88,36.84,34.53,34.97,35.56,34.03,32.88,34.22,36.84,37.22,36.5,37.31,39.53,39.84,38.44,37.91,39.72,40.91,39.88,39.53,41.78,44.41,44.28,43.12,43.75,45.25,44.75,43.03,42.88,44.56,44.78,42.5,41.06,42.19,43.66,42.91,42.62,44.78,47.69,47.56,46.5,47.03,48.12,47.03,43.94,42.56,43.16,43.44,42.81,43.22,46.56,49.97,50.47,50.06,51.59,53.16,52.0,49.12,47.94,47.75,46.06,42.94,41.34,42.72,43.44,42.44,41.81,43.84,45.81,45.09,44.0,45.0,47.28,47.12,46.09,47.06,49.31,50.03,48.03,46.53,46.84,46.47,43.41,40.72,41.5,42.75,41.56,40.19,41.19,43.66,44.19,42.84,42.94,44.28,44.16,42.19,41.34,43.47,45.69,44.94,43.22,43.34,43.66,41.81,39.12,39.09,41.47,41.88,40.59,40.25,42.47,43.78,43.31,44.0,47.44,50.75,50.81,50.0,50.38,51.03,48.97,45.47,44.41,45.25,45.09,43.44,42.91,44.62,45.38,43.72,42.25,43.22,44.56,43.53,41.5,41.66,42.88,42.19,40.12,40.31,42.84,44.34,43.69,43.41,45.47,46.44,44.69,42.75,43.53,44.78,43.78,41.62,41.41,41.69,40.03,36.62,34.69,35.41,35.81,34.88,34.75,37.56,40.06,40.44,40.41,42.94,45.59,45.69,44.38,44.5,45.72,45.25,42.94,41.09,41.34,40.81,37.69,34.47,34.19,33.69,31.34,28.75,29.41,31.59,32.12,31.5,32.66,35.38,37.0,36.91,37.62,40.62,42.75,42.25,41.03,42.19,43.16,41.31,38.25,36.91,37.0,35.97,33.75,33.5,35.28,36.38,34.84,34.38,36.25,37.84,37.19,35.78,37.41,39.91,40.12,39.72,41.22,43.81,44.19,42.56,42.25,43.97,45.06,43.44,42.44,43.5,44.62,43.12,40.62,40.31,40.41,38.47,35.69,34.5,35.41,35.56,33.84,33.5,35.69,37.47,36.62,35.75,37.16,38.5,37.72,35.97,36.91,39.22,39.97,39.56,40.44,42.88,43.53,41.66,40.16,41.06,41.41,40.09,38.34,39.12,40.69,40.0,38.28,38.94,41.09,41.69,40.38,40.59,42.75,44.0,42.88,42.38,44.47,46.81,46.59,45.84,46.75,47.84,45.53,41.91,40.69,41.12,41.16,39.88,39.56,41.5,42.19,40.25,38.5,39.03,40.56,40.06,39.16,41.0,43.62,44.06,42.62,42.78,44.41,44.62,42.09,39.97,39.78,38.88,35.94,33.44,34.22,35.53,35.16,33.72,34.38,35.94,36.12,34.22,33.59,35.0,35.88,34.44,33.81,35.94,38.31,38.72,39.28,41.69,44.53,44.91,43.25,43.25,44.72,45.22,43.44,42.91,44.22,45.03,43.22,41.81,42.47,43.78,43.0,41.69,43.16,45.81,46.06,44.22,43.62,44.19,43.69,41.22,40.28,41.69,42.97,41.91,40.97,42.19,44.38,44.19,43.0,44.28,46.69,48.0,47.44,47.66,49.91,50.81,49.19,48.09,49.38,50.62,48.72,46.91,47.53,49.22,49.06,48.19,49.06,50.72,50.06,47.28,44.75,44.66,44.0,41.12,39.0,39.31,39.91,38.0,36.28,36.59,38.72,39.0,38.09,38.75,40.88,41.91,40.69,40.31,42.03,43.06,41.0,38.53,38.16,38.06,35.72,33.19,33.31,35.34,36.0,35.22,35.75,37.84,39.0,37.97,37.31,39.31,40.75,39.53,37.81,38.38,39.75,38.97,37.25,37.38,38.94,38.69,36.44,35.34,35.69,34.94,32.19,30.31,31.59,33.69,33.28,32.72,33.47,34.75,34.03,32.56,32.62,35.34,36.75,35.62,35.19,36.47,36.84,34.72,33.31,34.09,35.81,35.0,32.81,32.09,32.56,31.16,28.62,28.81,31.38,33.41,33.19,33.38,35.59,36.84,35.72,34.5,35.56,37.38,37.31,35.81,35.91,36.97,35.91,33.25,31.19,31.28,31.34,29.81,29.41,32.22,35.28,36.09,36.03,37.38,39.22,38.47,36.62,35.84,37.28,37.31,35.81,35.25,36.38,36.31,33.19,29.59,28.44,28.22,26.5,25.38,27.44,31.22,33.62,33.88,34.66,36.34,35.78,33.09,31.06,31.31,31.72,29.53,27.19,27.69,29.25,28.88,28.0,29.0,31.34,32.0,30.72,30.0,31.22,31.31,29.69,28.44,30.81,33.81,34.22,34.62,36.53,38.91,38.81,37.16,37.16,38.41,38.25,35.75,33.69,33.56,32.41,28.91,25.97,25.91,27.09,26.88,26.47,28.41,32.03,33.75,34.25,35.97,39.53,41.5,40.69,39.75,40.78,41.22,39.78,38.41,39.41,40.84,39.62,37.03,35.88,36.0,34.94,32.12,31.09,32.34,32.84,31.56,31.16,33.5,35.91,35.97,35.16,36.28,37.47,36.44,33.91,33.0,33.16,32.16,29.75,27.81,28.69,29.59,28.09,26.59,27.69,29.09,28.03,25.66,25.19,25.72,24.78,22.91,23.19,25.78,27.72,27.66,27.69,29.38,30.56,28.94,26.97,27.59,28.81,28.34,27.31,28.91,32.16,34.75,35.81,37.69,41.03,42.66,40.81,38.59,38.5,38.5,36.59,34.19,34.69,36.03,35.72,33.69,32.81,32.28,30.5,26.69,24.09,25.0,26.03,25.28,24.41,25.56,26.62,25.47,23.97,25.16,28.03,30.09,30.94,32.84,36.12,37.81,36.66,35.31,36.22,36.03,33.19,29.97,28.94,29.81,28.97,28.09,29.88,33.06,34.09,32.72,31.44,30.72,28.94,24.25,19.88,18.53,17.44,14.78,12.22,13.03,15.56,17.34,18.5,22.03,26.78,30.31,31.28,32.66,35.53,37.12,35.62,33.59,33.28,33.41,31.03,27.78,26.97,27.5,26.47,24.19,23.88,25.84,26.94,25.66,25.06,26.38,27.19,25.78,24.91,26.59,29.78,31.19,31.62,33.84,37.38,39.03,38.22,38.09,40.06,40.44,38.56,37.25,38.25,39.53,37.91,36.25,37.09,38.66,57.34,56.19,54.69,52.38,49.44,48.78,50.28,51.38,51.12,51.47,52.69,53.44,52.06,51.53,52.66,55.06,56.72,57.44,59.41,61.06,60.16,57.16,54.44,52.84,50.78,47.56,45.19,45.09,44.97,42.94,41.06,40.19,38.97,36.09,33.19:29.06,29.19,31.38,33.62,33.25,32.41,33.59,35.16,34.06,31.91,31.31,32.69,33.25,32.28,31.72,32.56,32.34,29.25,26.38,26.59,27.94,28.12,28.47,31.25,35.47,37.66,38.16,39.34,41.59,42.03,39.84,37.94,38.0,38.03,35.34,32.72,32.06,32.06,29.81,26.97,26.22,27.81,27.97,27.19,27.53,30.78,33.25,33.88,35.66,39.69,43.84,44.91,45.22,47.38,49.56,49.19,47.03,46.5,46.97,46.06,42.91,40.28,39.41,37.62,33.34,29.34,27.56,26.5,23.38,19.84,19.5,21.03,21.19,20.59,21.44,23.75,25.25,24.75,25.28,28.66,31.72,32.25,32.38,34.44,35.94,34.38,31.09,29.19,28.47,26.59,23.5,22.91,25.03,26.62,26.5,26.91,29.5,31.56,30.88,29.81,31.28,33.78,33.94,32.88,33.38,35.25,35.44,33.84,33.41,35.28,36.75,35.72,35.0,37.16,39.41,39.12,38.0,38.34,39.22,38.44,36.88,36.97,39.53,41.25,40.06,39.03,39.84,39.28,35.84,32.0,30.81,29.81,26.97,24.78,25.22,28.0,29.88,30.41,31.88,35.0,36.38,35.25,34.78,36.59,38.59,38.25,37.56,39.09,41.22,40.47,38.38,37.22,36.88,34.72,31.12,29.62,30.97,32.69,33.31,35.0,39.16,43.38,44.81,45.25,47.09,49.5,49.94,48.41,48.25,49.31,48.66,46.28,44.5,44.84,45.06,42.59,40.12,40.66,41.59,40.47,38.81,39.53,41.0,41.22,39.84,40.22,42.56,43.09,42.16,41.69,43.81,45.62,45.25,44.62,45.5,46.81,46.19,43.66,43.16,44.25,44.03,42.78,42.72,45.19,47.19,46.84,46.88,49.81,52.69,52.88,52.16,52.69,53.25,51.62,48.16,45.81,44.88,43.25,39.84,38.19,39.44,41.0,40.94,40.66,43.03,45.53,45.53,44.94,46.12,47.94,48.44,47.0,46.84,48.12,48.56,46.41,44.56,44.94,45.12,43.25,41.28,42.06,43.78,44.12,42.69,42.97,44.69,44.56,42.47,41.59,42.91,43.97,43.16,42.97,45.38,47.09,45.81,43.31,42.22,42.34,41.03,39.06,38.97,40.66,41.5,40.56,41.0,43.56,45.56,44.41,42.75,42.75,43.0,41.56,39.38,40.0,42.19,42.84,42.41,43.38,46.47,48.38,47.91,47.66,49.38,50.38,48.19,45.91,46.56,47.91,47.31,45.69,46.41,48.59,49.16,48.25,48.62,50.72,51.88,51.06,50.97,53.56,56.66,57.0,56.25,57.12,57.94,55.81,52.31,50.19,49.56,47.94,44.66,43.28,44.03,45.03,43.88,43.0,44.28,46.09,45.38,44.22,45.75,48.56,49.88,49.34,50.12,52.31,52.75,50.38,48.28,47.91,46.56,42.84,39.0,37.94,38.0,36.28,33.94,34.12,36.0,36.81,36.28,37.19,39.66,40.91,39.53,38.28,39.88,41.5,41.12,40.66,42.72,45.72,45.78,44.28,43.28,43.25,41.28,37.44,34.69,34.78,34.56,32.22,30.56,31.69,33.94,34.19,35.03,38.22,42.56,44.59,44.41,45.25,47.44,48.28,46.91,46.47,48.25,50.0,49.28,49.16,51.31,53.62,52.94,50.41,48.78,48.22,45.78,42.16,40.38,40.44,39.88,36.84,34.53,34.97,35.56,34.03,32.88,34.22,36.84,37.22,36.5,37.31,39.53,39.84,38.44,37.91,39.72,40.91,39.88,39.53,41.78,44.41,44.28,43.12,43.75,45.25,44.75,43.03,42.88,44.56,44.78,42.5,41.06,42.19,43.66,42.91,42.62,44.78,47.69,47.56,46.5,47.03,48.12,47.03,43.94,42.56,43.16,43.44,42.81,43.22,46.56,49.97,50.47,50.06,51.59,53.16,52.0,49.12,47.94,47.75,46.06,42.94,41.34,42.72,43.44,42.44,41.81,43.84,45.81,45.09,44.0,45.0,47.28,47.12,46.09,47.06,49.31,50.03,48.03,46.53,46.84,46.47,43.41,40.72,41.5,42.75,41.56,40.19,41.19,43.66,44.19,42.84,42.94,44.28,44.16,42.19,41.34,43.47,45.69,44.94,43.22,43.34,43.66,41.81,39.12,39.09,41.47,41.88,40.59,40.25,42.47,43.78,43.31,44.0,47.44,50.75,50.81,50.0,50.38,51.03,48.97,45.47,44.41,45.25,45.09,43.44,42.91,44.62,45.38,43.72,42.25,43.22,44.56,43.53,41.5,41.66,42.88,42.19,40.12,40.31,42.84,44.34,43.69,43.41,45.47,46.44,44.69,42.75,43.53,44.78,43.78,41.62,41.41,41.69,40.03,36.62,34.69,35.41,35.81,34.88,34.75,37.56,40.06,40.44,40.41,42.94,45.59,45.69,44.38,44.5,45.72,45.25,42.94,41.09,41.34,40.81,37.69,34.47,34.19,33.69,31.34,28.75,29.41,31.59,32.12,31.5,32.66,35.38,37.0,36.91,37.62,40.62,42.75,42.25,41.03,42.19,43.16,41.31,38.25,36.91,37.0,35.97,33.75,33.5,35.28,36.38,34.84,34.38,36.25,37.84,37.19,35.78,37.41,39.91,40.12,39.72,41.22,43.81,44.19,42.56,42.25,43.97,45.06,43.44,42.44,43.5,44.62,43.12,40.62,40.31,40.41,38.47,35.69,34.5,35.41,35.56,33.84,33.5,35.69,37.47,36.62,35.75,37.16,38.5,37.72,35.97,36.91,39.22,39.97,39.56,40.44,42.88,43.53,41.66,40.16,41.06,41.41,40.09,38.34,39.12,40.69,40.0,38.28,38.94,41.09,41.69,40.38,40.59,42.75,44.0,42.88,42.38,44.47,46.81,46.59,45.84,46.75,47.84,45.53,41.91,40.69,41.12,41.16,39.88,39.56,41.5,42.19,40.25,38.5,39.03,40.56,40.06,39.16,41.0,43.62,44.06,42.62,42.78,44.41,44.62,42.09,39.97,39.78,38.88,35.94,33.44,34.22,35.53,35.16,33.72,34.38,35.94,36.12,34.22,33.59,35.0,35.88,34.44,33.81,35.94,38.31,38.72,39.28,41.69,44.53,44.91,43.25,43.25,44.72,45.22,43.44,42.91,44.22,45.03,43.22,41.81,42.47,43.78,43.0,41.69,43.16,45.81,46.06,44.22,43.62,44.19,43.69,41.22,40.28,41.69,42.97,41.91,40.97,42.19,44.38,44.19,43.0,44.28,46.69,48.0,47.44,47.66,49.91,50.81,49.19,48.09,49.38,50.62,48.72,46.91,47.53,49.22,49.06,48.19,49.06,50.72,50.06,47.28,44.75,44.66,44.0,41.12,39.0,39.31,39.91,38.0,36.28,36.59,38.72,39.0,38.09,38.75,40.88,41.91,40.69,40.31,42.03,43.06,41.0,38.53,38.16,38.06,35.72,33.19,33.31,35.34,36.0,35.22,35.75,37.84,39.0,37.97,37.31,39.31,40.75,39.53,37.81,38.38,39.75,38.97,37.25,37.38,38.94,38.69,36.44,35.34,35.69,34.94,32.19,30.31,31.59,33.69,33.28,32.72,33.47,34.75,34.03,32.56,32.62,35.34,36.75,35.62,35.19,36.47,36.84,34.72,33.31,34.09,35.81,35.0,32.81,32.09,32.56,31.16,28.62,28.81,31.38,33.41,33.19,33.38,35.59,36.84,35.72,34.5,35.56,37.38,37.31,35.81,35.91,36.97,35.91,33.25,31.19,31.28,31.34,29.81,29.41,32.22,35.28,36.09,36.03,37.38,39.22,38.47,36.62,35.84,37.28,37.31,35.81,35.25,36.38,36.31,33.19,29.59,28.44,28.22,26.5,25.38,27.44,31.22,33.62,33.88,34.66,36.34,35.78,33.09,31.06,31.31,31.72,29.53,27.19,27.69,29.25,28.88,28.0,29.0,31.34,32.0,30.72,30.0,31.22,31.31,29.69,28.44,30.81,33.81,34.22,34.62,36.53,38.91,38.81,37.16,37.16,38.41,38.25,35.75,33.69,33.56,32.41,28.91,25.97,25.91,27.09,26.88,26.47,28.41,32.03,33.75,34.25,35.97,39.53,41.5,40.69,39.75,40.78,41.22,39.78,38.41,39.41,40.84,39.62,37.03,35.88,36.0,34.94,32.12,31.09,32.34,32.84,31.56,31.16,33.5,35.91,35.97,35.16,36.28,37.47,36.44,33.91,33.0,33.16,32.16,29.75,27.81,28.69,29.59,28.09,26.59,27.69,29.09,28.03,25.66,25.19,25.72,24.78,22.91,23.19,25.78,27.72,27.66,27.69,29.38,30.56,28.94,26.97,27.59,28.81,28.34,27.31,28.91,32.16,34.75,35.81,37.69,41.03,42.66,40.81,38.59,38.5,38.5,36.59,34.19,34.69,36.03,35.72,33.69,32.81,32.28,30.5,26.69,24.09,25.0,26.03,25.28,24.41,25.56,26.62,25.47,23.97,25.16,28.03,30.09,30.94,32.84,36.12,37.81,36.66,35.31,36.22,36.03,33.19,29.97,28.94,29.81,28.97,28.09,29.88,33.06,34.09,32.72,31.44,30.72,28.94,24.25,19.88,18.53,17.44,14.78,12.22,13.03,15.56,17.34,18.5,22.03,26.78,30.31,31.28,32.66,35.53,37.12,35.62,33.59,33.28,33.41,31.03,27.78,26.97,27.5,26.47,24.19,23.88,25.84,26.94,25.66,25.06,26.38,27.19,25.78,24.91,26.59,29.78,31.19,31.62,33.84,37.38,39.03,38.22,38.09,40.06,40.44,38.56,37.25,38.25,39.53,37.91,36.25,37.09,38.66,57.34,56.19,54.69,52.38,49.44,48.78,50.28,51.38,51.12,51.47,52.69,53.44,52.06,51.53,52.66,55.06,56.72,57.44,59.41,61.06,60.16,57.16,54.44,52.84,50.78,47.56,45.19,45.09,44.97,42.94,41.06,40.19,38.97,36.09,33.19,32.0,32.62,33.25,33.44,35.44,38.66,41.34:negativity
17.97,14.84,11.5,9.44,7.97,6.47,5.81,6.88,9.25,10.91,12.47,14.0,16.22,17.28,18.06,18.53,20.16,21.41,21.97,22.28,23.0,23.06,21.16,18.19,15.09,11.88,8.16,4.84,2.97,3.47,4.97,6.75,8.44,11.09,13.0,13.25,13.06,13.66,14.84,15.88,16.72,18.5,20.72,21.66,21.81,21.53,21.75,21.66,20.66,19.5,19.34,19.81,19.62,19.19,19.34,20.22,19.97,19.38,19.84,21.22,22.12,22.88,23.53,25.28,26.75,27.0,27.19,28.25,29.62,30.31,30.75,32.0,32.81,32.03,29.91,27.72,26.5,25.47,24.62,24.44,25.12,25.81,25.66,25.31,25.91,26.66,27.16,27.03,27.59,28.47,29.09,28.91,29.16,29.53,29.69,28.41,26.62,25.59,24.41,22.59,20.75,19.94,19.91,19.12,17.84,16.81,17.06,17.53,17.41,18.47,20.41,21.75,21.19,19.78,18.69,17.16,15.22,13.22,12.91,13.53,14.0,14.0,14.5,15.84,16.12,15.62,14.75,14.56,13.69,12.06,10.22,9.5,9.41,9.75,9.88,10.88,12.72,13.81,13.88,13.84,14.34,14.75,14.06,13.03,12.56,12.28,10.88,8.91,7.75,6.84,5.81,4.78,4.38,5.5,6.5,6.91,7.81,9.66,11.56,13.12,14.66,16.88,18.84,19.41,18.78,18.44,18.25,18.34,17.81,18.44,19.16,19.97,19.31,18.47,18.38,18.19,16.66,15.09,13.94,13.38,12.5,11.5,11.41,12.34,12.94,12.88,13.0,13.94,14.62,14.31,13.66,13.66,13.41,12.28,10.78,10.28,10.72,11.56,12.19,13.91,16.16,18.22,19.38,21.06,23.72,26.19,27.94,29.16,31.03,32.59,33.19,32.88,32.84,32.75,31.81,30.12,28.44,27.12,25.91,24.03,22.38,22.28,22.28,21.34,19.94,19.25,18.78,17.62,16.94,16.84,17.97,18.75,18.69,19.19,20.53,22.03,22.97,24.41,26.06,27.75,28.06,27.69,27.41,27.25,26.47,24.78,23.38,22.69,21.5,19.75,18.66,18.16,18.69,18.56,18.97,20.62,22.53,23.47,23.84,24.19,24.25,23.72,22.78,21.72,21.72,21.44,20.09,19.12,18.5,18.19,17.28,16.03,15.25,15.5,15.0,14.41,14.0,14.25,13.66,12.69,11.88,12.22,13.34,13.84,14.75,16.38,18.03,18.44,18.41,18.56,18.91,18.56,17.72,17.66,18.66,19.47,20.28,20.78,21.66,21.91,20.81,19.59,18.59,18.28,17.81,17.0,17.12,17.84,18.34,18.0,17.75,17.22,16.47,14.44,11.81,10.53,10.03,9.12,8.91,9.5,11.28,12.5,13.03,13.97,15.28,15.94,15.84,15.81,16.5,17.19,16.91,16.62,17.34,17.84,18.09,18.12,18.72,20.03,21.16,22.0,22.47,23.69,24.5,23.69,22.59,22.44,22.44,21.94,21.19,20.75,20.84,20.09,18.56,17.34,16.59,16.03,15.16,14.66,15.72,17.09,17.69,17.94,18.44,19.03,18.47,17.5,17.09,17.12,17.16,16.81,16.53,17.25,17.16,16.5,15.75,15.69,16.16,16.41,16.47,17.03,17.53,17.38,16.44,16.06,16.62,17.16,17.56,18.0,19.0,19.31,17.97,15.81,14.09,12.03,9.56,7.41,7.09,8.09,9.94,12.22,15.59,20.12,24.62,27.72,29.88,31.16,29.91,26.56,22.34,19.25,17.28,15.88,15.16,14.88,14.72,13.69,11.19,9.09,7.88,7.47,7.72,8.72,11.5,14.53,17.06,18.59,20.59,22.41,23.28,23.34,23.38,23.25,22.66,20.88,19.09,18.25,17.66,16.91,16.12,16.88,17.72,18.03,17.91,17.78,18.03,18.0,17.16,15.81,15.41,14.12,11.31,8.66,7.38,7.31,6.97,7.31,9.84,12.66,15.78,18.28,21.0,23.88,25.62,26.25,26.19,26.56,26.22,24.97,23.44,22.41,21.38,19.94,18.22,17.62,17.12,16.62,15.44,14.66,14.09,13.53,12.44,11.31,10.88,9.72,8.34,6.56,5.62,5.66,5.41,5.38,6.22,7.5,8.84,9.59,10.72,12.41,14.38,15.5,16.25,17.78,19.19,19.84,20.03,20.47,20.75,20.06,18.19,16.22,13.88,11.25,8.31,5.81,5.03,5.34,5.06,5.12,5.97,7.38,8.38,9.28,11.16,13.81,16.56,18.84,21.0,22.84,24.0,23.09,21.75,20.69,20.16,18.91,17.94,18.06,18.75,18.78,18.16,17.31,16.72,16.28,15.53,15.12,16.22,16.97,16.66,15.91,15.75,15.91,15.94,15.75,16.31,17.34,17.12,15.69,14.66,14.38,14.59,14.5,15.53,17.66,19.62,20.72,21.88,22.59,23.03,22.25,21.34,20.53,20.88,21.16,20.59,20.06,20.19,20.03,18.97,18.0,17.44,17.66,16.75,15.47,14.69,14.75,14.53,14.72,16.03,18.59,20.91,21.94,22.19,22.53,22.66,21.41,20.47,20.25,20.66,20.34,19.84,19.38,19.44,18.62,17.25,16.44,16.81,17.62,18.31,19.22,21.44,23.53,24.69,24.94,25.44,26.19,25.69,24.53,23.56,23.22,22.5,21.22,20.16,20.25,20.72,20.03,19.22,19.47,19.66,18.88,17.59,16.94,16.66,15.75,14.41,13.16,12.97,12.81,12.16,11.88,13.16,14.44,14.69,14.84,15.59,16.59,16.94,16.91,17.25,18.03,18.03,17.5,17.19,17.88,18.09,17.69,17.25,17.66,18.44,18.16,17.91,18.22,18.91,18.66,17.72,17.0,17.03,16.44,14.94,14.25,14.69,15.03,14.62,14.06,13.59,13.41,12.84,12.0,12.34,13.97,15.56,16.62,17.78,19.44,20.59,20.56,20.31,21.47,22.66,23.06,23.19,23.75,24.09,23.25,21.72,20.41,20.03,20.06,19.25,19.12,19.94,20.5,20.22,19.69,20.06,20.78,20.78,20.28,20.56,21.78,22.16,21.84,22.25,23.44,24.56,25.47,26.44,28.22,29.16,28.28,26.25,24.59,22.88,20.88,18.88,17.72,17.78,17.19,15.91,15.19,15.5,15.47,14.84,14.84,15.56,16.66,16.41,15.56,15.16,14.34,13.22,11.94,11.69,12.53,13.41,13.69,14.12,15.12,15.72,15.25,14.69,15.03,15.69,15.81,15.78,16.56,17.56,17.66,17.31,16.75,16.38,15.69,14.06,12.44,12.41,13.16,13.59,14.59,16.88,19.81,22.28,23.34,24.47,25.03,24.44,21.94,20.19,19.12,18.38,17.09,16.59,17.25,18.25,18.44,18.0,17.97,17.69,16.22,13.31,11.03,9.0,6.5,4.09,2.47,2.16,2.5,2.69,3.5,5.88,8.59,10.97,12.47,14.88,17.5,19.31,20.69,22.31,24.12,25.16,24.62,24.12,24.0,23.78,22.62,21.16,20.34,19.5,18.0,16.0,15.0,14.5,14.16,13.78,13.78,14.78,16.19,16.44,16.91,18.06,19.34,19.25,18.28,17.94,17.94,17.53,17.25,18.0,19.56,20.78,20.56,20.12,19.72,19.12,17.16,15.59,15.19,15.34,14.91,13.72,12.91,12.28,11.53,10.34,10.0,10.5,11.0,9.88,8.81,8.94,9.94,10.56,11.66,13.62,15.72,16.84,17.12,18.12,19.56,21.06,21.91,22.75,24.41,25.06,24.0,22.34,21.25,20.12,18.44,16.78,15.91,15.66,14.66,13.44,12.97,13.5,13.88,13.44,12.78,12.78,12.53,11.03,9.94,9.91,10.56,10.72,10.97,11.78,12.97,13.88,13.91,14.78,15.75,16.91,16.81,16.56,17.03,17.03,16.06,14.66,13.62,12.94,11.5,9.78,9.22,10.0,10.81,11.62,13.56,15.91,17.75,18.47,18.84,18.94,19.34,18.59,17.69,17.0,16.97,16.44,15.19,14.34,14.16,13.91,13.06,12.81,13.78,15.25,15.91,16.94,19.16,21.66,23.91,25.72,27.53,29.53,30.66,30.38,29.59,29.03,27.94,25.84,23.97,23.09,22.56,21.09,19.91,19.16,18.28,16.97,15.31,13.56,12.56,11.62,10.25,9.28,9.28,9.28,8.53,8.06,8.16,8.69,8.62,8.12,8.31,9.03,9.5,10.16,11.69,14.66,17.81,20.22,22.19,24.12,25.19,24.25,22.78,21.12,19.81,17.78,15.69,13.78,12.69,11.03,8.97,6.78,5.12,3.31,1.09,-0.38,-0.25,0.94,2.25,3.41,4.81,6.41,7.34,7.72,8.5,10.0,11.5,12.44,13.53,15.16,16.38,16.25,15.56,15.5,15.91,15.78,15.62,15.81,16.31,15.81,14.75,13.31,12.53,11.66,9.91,8.09,7.44,7.16,6.78,6.81,8.09,9.69,11.12,12.41,14.09,16.75,19.03,20.78,22.47,24.72,26.03,25.75,24.44,23.22,21.94,20.28,18.62,18.34,18.94,19.22,19.47,19.81,20.28,20.16,18.88,17.25,16.81,16.75,16.59,16.66,17.12,17.41,17.0,16.38,16.41,17.28,18.22,18.84,19.28,20.16,20.41,20.03,19.72,19.69,20.0,19.44,18.41,17.88,17.53,17.0,15.97,15.25,15.0,15.12,14.41,13.81,14.16,14.5,14.16,13.56,13.94,14.5,14.69,14.31,14.5,14.5,14.31,13.16,12.59,12.44,13.0,12.81,12.94,14.28,16.22,17.47,18.5,19.88,20.81,20.66,19.94,19.22,18.81,18.59,17.38,16.31,15.75,15.16,13.78,12.0,11.09,10.31,9.19,8.03,8.0,8.53,9.44,10.38,11.41,13.41,15.09,15.56,15.59,15.66,15.28,14.03,12.56,11.91,12.19,12.78,12.81,13.28,13.5,12.84,10.81,8.72,7.97,8.19,8.81,10.62,13.59,16.34,17.72:6.88,9.25,10.91,12.47,14.0,16.22,17.28,18.06,18.53,20.16,21.41,21.97,22.28,23.0,23.06,21.16,18.19,15.09,11.88,8.16,4.84,2.97,3.47,4.97,6.75,8.44,11.09,13.0,13.25,13.06,13.66,14.84,15.88,16.72,18.5,20.72,21.66,21.81,21.53,21.75,21.66,20.66,19.5,19.34,19.81,19.62,19.19,19.34,20.22,19.97,19.38,19.84,21.22,22.12,22.88,23.53,25.28,26.75,27.0,27.19,28.25,29.62,30.31,30.75,32.0,32.81,32.03,29.91,27.72,26.5,25.47,24.62,24.44,25.12,25.81,25.66,25.31,25.91,26.66,27.16,27.03,27.59,28.47,29.09,28.91,29.16,29.53,29.69,28.41,26.62,25.59,24.41,22.59,20.75,19.94,19.91,19.12,17.84,16.81,17.06,17.53,17.41,18.47,20.41,21.75,21.19,19.78,18.69,17.16,15.22,13.22,12.91,13.53,14.0,14.0,14.5,15.84,16.12,15.62,14.75,14.56,13.69,12.06,10.22,9.5,9.41,9.75,9.88,10.88,12.72,13.81,13.88,13.84,14.34,14.75,14.06,13.03,12.56,12.28,10.88,8.91,7.75,6.84,5.81,4.78,4.38,5.5,6.5,6.91,7.81,9.66,11.56,13.12,14.66,16.88,18.84,19.41,18.78,18.44,18.25,18.34,17.81,18.44,19.16,19.97,19.31,18.47,18.38,18.19,16.66,15.09,13.94,13.38,12.5,11.5,11.41,12.34,12.94,12.88,13.0,13.94,14.62,14.31,13.66,13.66,13.41,12.28,10.78,10.28,10.72,11.56,12.19,13.91,16.16,18.22,19.38,21.06,23.72,26.19,27.94,29.16,31.03,32.59,33.19,32.88,32.84,32.75,31.81,30.12,28.44,27.12,25.91,24.03,22.38,22.28,22.28,21.34,19.94,19.25,18.78,17.62,16.94,16.84,17.97,18.75,18.69,19.19,20.53,22.03,22.97,24.41,26.06,27.75,28.06,27.69,27.41,27.25,26.47,24.78,23.38,22.69,21.5,19.75,18.66,18.16,18.69,18.56,18.97,20.62,22.53,23.47,23.84,24.19,24.25,23.72,22.78,21.72,21.72,21.44,20.09,19.12,18.5,18.19,17.28,16.03,15.25,15.5,15.0,14.41,14.0,14.25,13.66,12.69,11.88,12.22,13.34,13.84,14.75,16.38,18.03,18.44,18.41,18.56,18.91,18.56,17.72,17.66,18.66,19.47,20.28,20.78,21.66,21.91,20.81,19.59,18.59,18.28,17.81,17.0,17.12,17.84,18.34,18.0,17.75,17.22,16.47,14.44,11.81,10.53,10.03,9.12,8.91,9.5,11.28,12.5,13.03,13.97,15.28,15.94,15.84,15.81,16.5,17.19,16.91,16.62,17.34,17.84,18.09,18.12,18.72,20.03,21.16,22.0,22.47,23.69,24.5,23.69,22.59,22.44,22.44,21.94,21.19,20.75,20.84,20.09,18.56,17.34,16.59,16.03,15.16,14.66,15.72,17.09,17.69,17.94,18.44,19.03,18.47,17.5,17.09,17.12,17.16,16.81,16.53,17.25,17.16,16.5,15.75,15.69,16.16,16.41,16.47,17.03,17.53,17.38,16.44,16.06,16.62,17.16,17.56,18.0,19.0,19.31,17.97,15.81,14.09,12.03,9.56,7.41,7.09,8.09,9.94,12.22,15.59,20.12,24.62,27.72,29.88,31.16,29.91,26.56,22.34,19.25,17.28,15.88,15.16,14.88,14.72,13.69,11.19,9.09,7.88,7.47,7.72,8.72,11.5,14.53,17.06,18.59,20.59,22.41,23.28,23.34,23.38,23.25,22.66,20.88,19.09,18.25,17.66,16.91,16.12,16.88,17.72,18.03,17.91,17.78,18.03,18.0,17.16,15.81,15.41,14.12,11.31,8.66,7.38,7.31,6.97,7.31,9.84,12.66,15.78,18.28,21.0,23.88,25.62,26.25,26.19,26.56,26.22,24.97,23.44,22.41,21.38,19.94,18.22,17.62,17.12,16.62,15.44,14.66,14.09,13.53,12.44,11.31,10.88,9.72,8.34,6.56,5.62,5.66,5.41,5.38,6.22,7.5,8.84,9.59,10.72,12.41,14.38,15.5,16.25,17.78,19.19,19.84,20.03,20.47,20.75,20.06,18.19,16.22,13.88,11.25,8.31,5.81,5.03,5.34,5.06,5.12,5.97,7.38,8.38,9.28,11.16,13.81,16.56,18.84,21.0,22.84,24.0,23.09,21.75,20.69,20.16,18.91,17.94,18.06,18.75,18.78,18.16,17.31,16.72,16.28,15.53,15.12,16.22,16.97,16.66,15.91,15.75,15.91,15.94,15.75,16.31,17.34,17.12,15.69,14.66,14.38,14.59,14.5,15.53,17.66,19.62,20.72,21.88,22.59,23.03,22.25,21.34,20.53,20.88,21.16,20.59,20.06,20.19,20.03,18.97,18.0,17.44,17.66,16.75,15.47,14.69,14.75,14.53,14.72,16.03,18.59,20.91,21.94,22.19,22.53,22.66,21.41,20.47,20.25,20.66,20.34,19.84,19.38,19.44,18.62,17.25,16.44,16.81,17.62,18.31,19.22,21.44,23.53,24.69,24.94,25.44,26.19,25.69,24.53,23.56,23.22,22.5,21.22,20.16,20.25,20.72,20.03,19.22,19.47,19.66,18.88,17.59,16.94,16.66,15.75,14.41,13.16,12.97,12.81,12.16,11.88,13.16,14.44,14.69,14.84,15.59,16.59,16.94,16.91,17.25,18.03,18.03,17.5,17.19,17.88,18.09,17.69,17.25,17.66,18.44,18.16,17.91,18.22,18.91,18.66,17.72,17.0,17.03,16.44,14.94,14.25,14.69,15.03,14.62,14.06,13.59,13.41,12.84,12.0,12.34,13.97,15.56,16.62,17.78,19.44,20.59,20.56,20.31,21.47,22.66,23.06,23.19,23.75,24.09,23.25,21.72,20.41,20.03,20.06,19.25,19.12,19.94,20.5,20.22,19.69,20.06,20.78,20.78,20.28,20.56,21.78,22.16,21.84,22.25,23.44,24.56,25.47,26.44,28.22,29.16,28.28,26.25,24.59,22.88,20.88,18.88,17.72,17.78,17.19,15.91,15.19,15.5,15.47,14.84,14.84,15.56,16.66,16.41,15.56,15.16,14.34,13.22,11.94,11.69,12.53,13.41,13.69,14.12,15.12,15.72,15.25,14.69,15.03,15.69,15.81,15.78,16.56,17.56,17.66,17.31,16.75,16.38,15.69,14.06,12.44,12.41,13.16,13.59,14.59,16.88,19.81,22.28,23.34,24.47,25.03,24.44,21.94,20.19,19.12,18.38,17.09,16.59,17.25,18.25,18.44,18.0,17.97,17.69,16.22,13.31,11.03,9.0,6.5,4.09,2.47,2.16,2.5,2.69,3.5,5.88,8.59,10.97,12.47,14.88,17.5,19.31,20.69,22.31,24.12,25.16,24.62,24.12,24.0,23.78,22.62,21.16,20.34,19.5,18.0,16.0,15.0,14.5,14.16,13.78,13.78,14.78,16.19,16.44,16.91,18.06,19.34,19.25,18.28,17.94,17.94,17.53,17.25,18.0,19.56,20.78,20.56,20.12,19.72,19.12,17.16,15.59,15.19,15.34,14.91,13.72,12.91,12.28,11.53,10.34,10.0,10.5,11.0,9.88,8.81,8.94,9.94,10.56,11.66,13.62,15.72,16.84,17.12,18.12,19.56,21.06,21.91,22.75,24.41,25.06,24.0,22.34,21.25,20.12,18.44,16.78,15.91,15.66,14.66,13.44,12.97,13.5,13.88,13.44,12.78,12.78,12.53,11.03,9.94,9.91,10.56,10.72,10.97,11.78,12.97,13.88,13.91,14.78,15.75,16.91,16.81,16.56,17.03,17.03,16.06,14.66,13.62,12.94,11.5,9.78,9.22,10.0,10.81,11.62,13.56,15.91,17.75,18.47,18.84,18.94,19.34,18.59,17.69,17.0,16.97,16.44,15.19,14.34,14.16,13.91,13.06,12.81,13.78,15.25,15.91,16.94,19.16,21.66,23.91,25.72,27.53,29.53,30.66,30.38,29.59,29.03,27.94,25.84,23.97,23.09,22.56,21.09,19.91,19.16,18.28,16.97,15.31,13.56,12.56,11.62,10.25,9.28,9.28,9.28,8.53,8.06,8.16,8.69,8.62,8.12,8.31,9.03,9.5,10.16,11.69,14.66,17.81,20.22,22.19,24.12,25.19,24.25,22.78,21.12,19.81,17.78,15.69,13.78,12.69,11.03,8.97,6.78,5.12,3.31,1.09,-0.38,-0.25,0.94,2.25,3.41,4.81,6.41,7.34,7.72,8.5,10.0,11.5,12.44,13.53,15.16,16.38,16.25,15.56,15.5,15.91,15.78,15.62,15.81,16.31,15.81,14.75,13.31,12.53,11.66,9.91,8.09,7.44,7.16,6.78,6.81,8.09,9.69,11.12,12.41,14.09,16.75,19.03,20.78,22.47,24.72,26.03,25.75,24.44,23.22,21.94,20.28,18.62,18.34,18.94,19.22,19.47,19.81,20.28,20.16,18.88,17.25,16.81,16.75,16.59,16.66,17.12,17.41,17.0,16.38,16.41,17.28,18.22,18.84,19.28,20.16,20.41,20.03,19.72,19.69,20.0,19.44,18.41,17.88,17.53,17.0,15.97,15.25,15.0,15.12,14.41,13.81,14.16,14.5,14.16,13.56,13.94,14.5,14.69,14.31,14.5,14.5,14.31,13.16,12.59,12.44,13.0,12.81,12.94,14.28,16.22,17.47,18.5,19.88,20.81,20.66,19.94,19.22,18.81,18.59,17.38,16.31,15.75,15.16,13.78,12.0,11.09,10.31,9.19,8.03,8.0,8.53,9.44,10.38,11.41,13.41,15.09,15.56,15.59,15.66,15.28,14.03,12.56,11.91,12.19,12.78,12.81,13.28,13.5,12.84,10.81,8.72,7.97,8.19,8.81,10.62,13.59,16.34,17.72,40.12,38.03,35.34,33.03,31.09,30.25,30.22:18.06,18.53,20.16,21.41,21.97,22.28,23.0,23.06,21.16,18.19,15.09,11.88,8.16,4.84,2.97,3.47,4.97,6.75,8.44,11.09,13.0,13.25,13.06,13.66,14.84,15.88,16.72,18.5,20.72,21.66,21.81,21.53,21.75,21.66,20.66,19.5,19.34,19.81,19.62,19.19,19.34,20.22,19.97,19.38,19.84,21.22,22.12,22.88,23.53,25.28,26.75,27.0,27.19,28.25,29.62,30.31,30.75,32.0,32.81,32.03,29.91,27.72,26.5,25.47,24.62,24.44,25.12,25.81,25.66,25.31,25.91,26.66,27.16,27.03,27.59,28.47,29.09,28.91,29.16,29.53,29.69,28.41,26.62,25.59,24.41,22.59,20.75,19.94,19.91,19.12,17.84,16.81,17.06,17.53,17.41,18.47,20.41,21.75,21.19,19.78,18.69,17.16,15.22,13.22,12.91,13.53,14.0,14.0,14.5,15.84,16.12,15.62,14.75,14.56,13.69,12.06,10.22,9.5,9.41,9.75,9.88,10.88,12.72,13.81,13.88,13.84,14.34,14.75,14.06,13.03,12.56,12.28,10.88,8.91,7.75,6.84,5.81,4.78,4.38,5.5,6.5,6.91,7.81,9.66,11.56,13.12,14.66,16.88,18.84,19.41,18.78,18.44,18.25,18.34,17.81,18.44,19.16,19.97,19.31,18.47,18.38,18.19,16.66,15.09,13.94,13.38,12.5,11.5,11.41,12.34,12.94,12.88,13.0,13.94,14.62,14.31,13.66,13.66,13.41,12.28,10.78,10.28,10.72,11.56,12.19,13.91,16.16,18.22,19.38,21.06,23.72,26.19,27.94,29.16,31.03,32.59,33.19,32.88,32.84,32.75,31.81,30.12,28.44,27.12,25.91,24.03,22.38,22.28,22.28,21.34,19.94,19.25,18.78,17.62,16.94,16.84,17.97,18.75,18.69,19.19,20.53,22.03,22.97,24.41,26.06,27.75,28.06,27.69,27.41,27.25,26.47,24.78,23.38,22.69,21.5,19.75,18.66,18.16,18.69,18.56,18.97,20.62,22.53,23.47,23.84,24.19,24.25,23.72,22.78,21.72,21.72,21.44,20.09,19.12,18.5,18.19,17.28,16.03,15.25,15.5,15.0,14.41,14.0,14.25,13.66,12.69,11.88,12.22,13.34,13.84,14.75,16.38,18.03,18.44,18.41,18.56,18.91,18.56,17.72,17.66,18.66,19.47,20.28,20.78,21.66,21.91,20.81,19.59,18.59,18.28,17.81,17.0,17.12,17.84,18.34,18.0,17.75,17.22,16.47,14.44,11.81,10.53,10.03,9.12,8.91,9.5,11.28,12.5,13.03,13.97,15.28,15.94,15.84,15.81,16.5,17.19,16.91,16.62,17.34,17.84,18.09,18.12,18.72,20.03,21.16,22.0,22.47,23.69,24.5,23.69,22.59,22.44,22.44,21.94,21.19,20.75,20.84,20.09,18.56,17.34,16.59,16.03,15.16,14.66,15.72,17.09,17.69,17.94,18.44,19.03,18.47,17.5,17.09,17.12,17.16,16.81,16.53,17.25,17.16,16.5,15.75,15.69,16.16,16.41,16.47,17.03,17.53,17.38,16.44,16.06,16.62,17.16,17.56,18.0,19.0,19.31,17.97,15.81,14.09,12.03,9.56,7.41,7.09,8.09,9.94,12.22,15.59,20.12,24.62,27.72,29.88,31.16,29.91,26.56,22.34,19.25,17.28,15.88,15.16,14.88,14.72,13.69,11.19,9.09,7.88,7.47,7.72,8.72,11.5,14.53,17.06,18.59,20.59,22.41,23.28,23.34,23.38,23.25,22.66,20.88,19.09,18.25,17.66,16.91,16.12,16.88,17.72,18.03,17.91,17.78,18.03,18.0,17.16,15.81,15.41,14.12,11.31,8.66,7.38,7.31,6.97,7.31,9.84,12.66,15.78,18.28,21.0,23.88,25.62,26.25,26.19,26.56,26.22,24.97,23.44,22.41,21.38,19.94,18.22,17.62,17.12,16.62,15.44,14.66,14.09,13.53,12.44,11.31,10.88,9.72,8.34,6.56,5.62,5.66,5.41,5.38,6.22,7.5,8.84,9.59,10.72,12.41,14.38,15.5,16.25,17.78,19.19,19.84,20.03,20.47,20.75,20.06,18.19,16.22,13.88,11.25,8.31,5.81,5.03,5.34,5.06,5.12,5.97,7.38,8.38,9.28,11.16,13.81,16.56,18.84,21.0,22.84,24.0,23.09,21.75,20.69,20.16,18.91,17.94,18.06,18.75,18.78,18.16,17.31,16.72,16.28,15.53,15.12,16.22,16.97,16.66,15.91,15.75,15.91,15.94,15.75,16.31,17.34,17.12,15.69,14.66,14.38,14.59,14.5,15.53,17.66,19.62,20.72,21.88,22.59,23.03,22.25,21.34,20.53,20.88,21.16,20.59,20.06,20.19,20.03,18.97,18.0,17.44,17.66,16.75,15.47,14.69,14.75,14.53,14.72,16.03,18.59,20.91,21.94,22.19,22.53,22.66,21.41,20.47,20.25,20.66,20.34,19.84,19.38,19.44,18.62,17.25,16.44,16.81,17.62,18.31,19.22,21.44,23.53,24.69,24.94,25.44,26.19,25.69,24.53,23.56,23.22,22.5,21.22,20.16,20.25,20.72,20.03,19.22,19.47,19.66,18.88,17.59,16.94,16.66,15.75,14.41,13.16,12.97,12.81,12.16,11.88,13.16,14.44,14.69,14.84,15.59,16.59,16.94,16.91,17.25,18.03,18.03,17.5,17.19,17.88,18.09,17.69,17.25,17.66,18.44,18.16,17.91,18.22,18.91,18.66,17.72,17.0,17.03,16.44,14.94,14.25,14.69,15.03,14.62,14.06,13.59,13.41,12.84,12.0,12.34,13.97,15.56,16.62,17.78,19.44,20.59,20.56,20.31,21.47,22.66,23.06,23.19,23.75,24.09,23.25,21.72,20.41,20.03,20.06,19.25,19.12,19.94,20.5,20.22,19.69,20.06,20.78,20.78,20.28,20.56,21.78,22.16,21.84,22.25,23.44,24.56,25.47,26.44,28.22,29.16,28.28,26.25,24.59,22.88,20.88,18.88,17.72,17.78,17.19,15.91,15.19,15.5,15.47,14.84,14.84,15.56,16.66,16.41,15.56,15.16,14.34,13.22,11.94,11.69,12.53,13.41,13.69,14.12,15.12,15.72,15.25,14.69,15.03,15.69,15.81,15.78,16.56,17.56,17.66,17.31,16.75,16.38,15.69,14.06,12.44,12.41,13.16,13.59,14.59,16.88,19.81,22.28,23.34,24.47,25.03,24.44,21.94,20.19,19.12,18.38,17.09,16.59,17.25,18.25,18.44,18.0,17.97,17.69,16.22,13.31,11.03,9.0,6.5,4.09,2.47,2.16,2.5,2.69,3.5,5.88,8.59,10.97,12.47,14.88,17.5,19.31,20.69,22.31,24.12,25.16,24.62,24.12,24.0,23.78,22.62,21.16,20.34,19.5,18.0,16.0,15.0,14.5,14.16,13.78,13.78,14.78,16.19,16.44,16.91,18.06,19.34,19.25,18.28,17.94,17.94,17.53,17.25,18.0,19.56,20.78,20.56,20.12,19.72,19.12,17.16,15.59,15.19,15.34,14.91,13.72,12.91,12.28,11.53,10.34,10.0,10.5,11.0,9.88,8.81,8.94,9.94,10.56,11.66,13.62,15.72,16.84,17.12,18.12,19.56,21.06,21.91,22.75,24.41,25.06,24.0,22.34,21.25,20.12,18.44,16.78,15.91,15.66,14.66,13.44,12.97,13.5,13.88,13.44,12.78,12.78,12.53,11.03,9.94,9.91,10.56,10.72,10.97,11.78,12.97,13.88,13.91,14.78,15.75,16.91,16.81,16.56,17.03,17.03,16.06,14.66,13.62,12.94,11.5,9.78,9.22,10.0,10.81,11.62,13.56,15.91,17.75,18.47,18.84,18.94,19.34,18.59,17.69,17.0,16.97,16.44,15.19,14.34,14.16,13.91,13.06,12.81,13.78,15.25,15.91,16.94,19.16,21.66,23.91,25.72,27.53,29.53,30.66,30.38,29.59,29.03,27.94,25.84,23.97,23.09,22.56,21.09,19.91,19.16,18.28,16.97,15.31,13.56,12.56,11.62,10.25,9.28,9.28,9.28,8.53,8.06,8.16,8.69,8.62,8.12,8.31,9.03,9.5,10.16,11.69,14.66,17.81,20.22,22.19,24.12,25.19,24.25,22.78,21.12,19.81,17.78,15.69,13.78,12.69,11.03,8.97,6.78,5.12,3.31,1.09,-0.38,-0.25,0.94,2.25,3.41,4.81,6.41,7.34,7.72,8.5,10.0,11.5,12.44,13.53,15.16,16.38,16.25,15.56,15.5,15.91,15.78,15.62,15.81,16.31,15.81,14.75,13.31,12.53,11.66,9.91,8.09,7.44,7.16,6.78,6.81,8.09,9.69,11.12,12.41,14.09,16.75,19.03,20.78,22.47,24.72,26.03,25.75,24.44,23.22,21.94,20.28,18.62,18.34,18.94,19.22,19.47,19.81,20.28,20.16,18.88,17.25,16.81,16.75,16.59,16.66,17.12,17.41,17.0,16.38,16.41,17.28,18.22,18.84,19.28,20.16,20.41,20.03,19.72,19.69,20.0,19.44,18.41,17.88,17.53,17.0,15.97,15.25,15.0,15.12,14.41,13.81,14.16,14.5,14.16,13.56,13.94,14.5,14.69,14.31,14.5,14.5,14.31,13.16,12.59,12.44,13.0,12.81,12.94,14.28,16.22,17.47,18.5,19.88,20.81,20.66,19.94,19.22,18.81,18.59,17.38,16.31,15.75,15.16,13.78,12.0,11.09,10.31,9.19,8.03,8.0,8.53,9.44,10.38,11.41,13.41,15.09,15.56,15.59,15.66,15.28,14.03,12.56,11.91,12.19,12.78,12.81,13.28,13.5,12.84,10.81,8.72,7.97,8.19,8.81,10.62,13.59,16.34,17.72,40.12,38.03,35.34,33.03,31.09,30.25,30.22,31.19,33.34,35.44,37.69,39.31,41.16,42.5:23.06,21.16,18.19,15.09,11.88,8.16,4.84,2.97,3.47,4.97,6.75,8.44,11.09,13.0,13.25,13.06,13.66,14.84,15.88,16.72,18.5,20.72,21.66,21.81,21.53,21.75,21.66,20.66,19.5,19.34,19.81,19.62,19.19,19.34,20.22,19.97,19.38,19.84,21.22,22.12,22.88,23.53,25.28,26.75,27.0,27.19,28.25,29.62,30.31,30.75,32.0,32.81,32.03,29.91,27.72,26.5,25.47,24.62,24.44,25.12,25.81,25.66,25.31,25.91,26.66,27.16,27.03,27.59,28.47,29.09,28.91,29.16,29.53,29.69,28.41,26.62,25.59,24.41,22.59,20.75,19.94,19.91,19.12,17.84,16.81,17.06,17.53,17.41,18.47,20.41,21.75,21.19,19.78,18.69,17.16,15.22,13.22,12.91,13.53,14.0,14.0,14.5,15.84,16.12,15.62,14.75,14.56,13.69,12.06,10.22,9.5,9.41,9.75,9.88,10.88,12.72,13.81,13.88,13.84,14.34,14.75,14.06,13.03,12.56,12.28,10.88,8.91,7.75,6.84,5.81,4.78,4.38,5.5,6.5,6.91,7.81,9.66,11.56,13.12,14.66,16.88,18.84,19.41,18.78,18.44,18.25,18.34,17.81,18.44,19.16,19.97,19.31,18.47,18.38,18.19,16.66,15.09,13.94,13.38,12.5,11.5,11.41,12.34,12.94,12.88,13.0,13.94,14.62,14.31,13.66,13.66,13.41,12.28,10.78,10.28,10.72,11.56,12.19,13.91,16.16,18.22,19.38,21.06,23.72,26.19,27.94,29.16,31.03,32.59,33.19,32.88,32.84,32.75,31.81,30.12,28.44,27.12,25.91,24.03,22.38,22.28,22.28,21.34,19.94,19.25,18.78,17.62,16.94,16.84,17.97,18.75,18.69,19.19,20.53,22.03,22.97,24.41,26.06,27.75,28.06,27.69,27.41,27.25,26.47,24.78,23.38,22.69,21.5,19.75,18.66,18.16,18.69,18.56,18.97,20.62,22.53,23.47,23.84,24.19,24.25,23.72,22.78,21.72,21.72,21.44,20.09,19.12,18.5,18.19,17.28,16.03,15.25,15.5,15.0,14.41,14.0,14.25,13.66,12.69,11.88,12.22,13.34,13.84,14.75,16.38,18.03,18.44,18.41,18.56,18.91,18.56,17.72,17.66,18.66,19.47,20.28,20.78,21.66,21.91,20.81,19.59,18.59,18.28,17.81,17.0,17.12,17.84,18.34,18.0,17.75,17.22,16.47,14.44,11.81,10.53,10.03,9.12,8.91,9.5,11.28,12.5,13.03,13.97,15.28,15.94,15.84,15.81,16.5,17.19,16.91,16.62,17.34,17.84,18.09,18.12,18.72,20.03,21.16,22.0,22.47,23.69,24.5,23.69,22.59,22.44,22.44,21.94,21.19,20.75,20.84,20.09,18.56,17.34,16.59,16.03,15.16,14.66,15.72,17.09,17.69,17.94,18.44,19.03,18.47,17.5,17.09,17.12,17.16,16.81,16.53,17.25,17.16,16.5,15.75,15.69,16.16,16.41,16.47,17.03,17.53,17.38,16.44,16.06,16.62,17.16,17.56,18.0,19.0,19.31,17.97,15.81,14.09,12.03,9.56,7.41,7.09,8.09,9.94,12.22,15.59,20.12,24.62,27.72,29.88,31.16,29.91,26.56,22.34,19.25,17.28,15.88,15.16,14.88,14.72,13.69,11.19,9.09,7.88,7.47,7.72,8.72,11.5,14.53,17.06,18.59,20.59,22.41,23.28,23.34,23.38,23.25,22.66,20.88,19.09,18.25,17.66,16.91,16.12,16.88,17.72,18.03,17.91,17.78,18.03,18.0,17.16,15.81,15.41,14.12,11.31,8.66,7.38,7.31,6.97,7.31,9.84,12.66,15.78,18.28,21.0,23.88,25.62,26.25,26.19,26.56,26.22,24.97,23.44,22.41,21.38,19.94,18.22,17.62,17.12,16.62,15.44,14.66,14.09,13.53,12.44,11.31,10.88,9.72,8.34,6.56,5.62,5.66,5.41,5.38,6.22,7.5,8.84,9.59,10.72,12.41,14.38,15.5,16.25,17.78,19.19,19.84,20.03,20.47,20.75,20.06,18.19,16.22,13.88,11.25,8.31,5.81,5.03,5.34,5.06,5.12,5.97,7.38,8.38,9.28,11.16,13.81,16.56,18.84,21.0,22.84,24.0,23.09,21.75,20.69,20.16,18.91,17.94,18.06,18.75,18.78,18.16,17.31,16.72,16.28,15.53,15.12,16.22,16.97,16.66,15.91,15.75,15.91,15.94,15.75,16.31,17.34,17.12,15.69,14.66,14.38,14.59,14.5,15.53,17.66,19.62,20.72,21.88,22.59,23.03,22.25,21.34,20.53,20.88,21.16,20.59,20.06,20.19,20.03,18.97,18.0,17.44,17.66,16.75,15.47,14.69,14.75,14.53,14.72,16.03,18.59,20.91,21.94,22.19,22.53,22.66,21.41,20.47,20.25,20.66,20.34,19.84,19.38,19.44,18.62,17.25,16.44,16.81,17.62,18.31,19.22,21.44,23.53,24.69,24.94,25.44,26.19,25.69,24.53,23.56,23.22,22.5,21.22,20.16,20.25,20.72,20.03,19.22,19.47,19.66,18.88,17.59,16.94,16.66,15.75,14.41,13.16,12.97,12.81,12.16,11.88,13.16,14.44,14.69,14.84,15.59,16.59,16.94,16.91,17.25,18.03,18.03,17.5,17.19,17.88,18.09,17.69,17.25,17.66,18.44,18.16,17.91,18.22,18.91,18.66,17.72,17.0,17.03,16.44,14.94,14.25,14.69,15.03,14.62,14.06,13.59,13.41,12.84,12.0,12.34,13.97,15.56,16.62,17.78,19.44,20.59,20.56,20.31,21.47,22.66,23.06,23.19,23.75,24.09,23.25,21.72,20.41,20.03,20.06,19.25,19.12,19.94,20.5,20.22,19.69,20.06,20.78,20.78,20.28,20.56,21.78,22.16,21.84,22.25,23.44,24.56,25.47,26.44,28.22,29.16,28.28,26.25,24.59,22.88,20.88,18.88,17.72,17.78,17.19,15.91,15.19,15.5,15.47,14.84,14.84,15.56,16.66,16.41,15.56,15.16,14.34,13.22,11.94,11.69,12.53,13.41,13.69,14.12,15.12,15.72,15.25,14.69,15.03,15.69,15.81,15.78,16.56,17.56,17.66,17.31,16.75,16.38,15.69,14.06,12.44,12.41,13.16,13.59,14.59,16.88,19.81,22.28,23.34,24.47,25.03,24.44,21.94,20.19,19.12,18.38,17.09,16.59,17.25,18.25,18.44,18.0,17.97,17.69,16.22,13.31,11.03,9.0,6.5,4.09,2.47,2.16,2.5,2.69,3.5,5.88,8.59,10.97,12.47,14.88,17.5,19.31,20.69,22.31,24.12,25.16,24.62,24.12,24.0,23.78,22.62,21.16,20.34,19.5,18.0,16.0,15.0,14.5,14.16,13.78,13.78,14.78,16.19,16.44,16.91,18.06,19.34,19.25,18.28,17.94,17.94,17.53,17.25,18.0,19.56,20.78,20.56,20.12,19.72,19.12,17.16,15.59,15.19,15.34,14.91,13.72,12.91,12.28,11.53,10.34,10.0,10.5,11.0,9.88,8.81,8.94,9.94,10.56,11.66,13.62,15.72,16.84,17.12,18.12,19.56,21.06,21.91,22.75,24.41,25.06,24.0,22.34,21.25,20.12,18.44,16.78,15.91,15.66,14.66,13.44,12.97,13.5,13.88,13.44,12.78,12.78,12.53,11.03,9.94,9.91,10.56,10.72,10.97,11.78,12.97,13.88,13.91,14.78,15.75,16.91,16.81,16.56,17.03,17.03,16.06,14.66,13.62,12.94,11.5,9.78,9.22,10.0,10.81,11.62,13.56,15.91,17.75,18.47,18.84,18.94,19.34,18.59,17.69,17.0,16.97,16.44,15.19,14.34,14.16,13.91,13.06,12.81,13.78,15.25,15.91,16.94,19.16,21.66,23.91,25.72,27.53,29.53,30.66,30.38,29.59,29.03,27.94,25.84,23.97,23.09,22.56,21.09,19.91,19.16,18.28,16.97,15.31,13.56,12.56,11.62,10.25,9.28,9.28,9.28,8.53,8.06,8.16,8.69,8.62,8.12,8.31,9.03,9.5,10.16,11.69,14.66,17.81,20.22,22.19,24.12,25.19,24.25,22.78,21.12,19.81,17.78,15.69,13.78,12.69,11.03,8.97,6.78,5.12,3.31,1.09,-0.38,-0.25,0.94,2.25,3.41,4.81,6.41,7.34,7.72,8.5,10.0,11.5,12.44,13.53,15.16,16.38,16.25,15.56,15.5,15.91,15.78,15.62,15.81,16.31,15.81,14.75,13.31,12.53,11.66,9.91,8.09,7.44,7.16,6.78,6.81,8.09,9.69,11.12,12.41,14.09,16.75,19.03,20.78,22.47,24.72,26.03,25.75,24.44,23.22,21.94,20.28,18.62,18.34,18.94,19.22,19.47,19.81,20.28,20.16,18.88,17.25,16.81,16.75,16.59,16.66,17.12,17.41,17.0,16.38,16.41,17.28,18.22,18.84,19.28,20.16,20.41,20.03,19.72,19.69,20.0,19.44,18.41,17.88,17.53,17.0,15.97,15.25,15.0,15.12,14.41,13.81,14.16,14.5,14.16,13.56,13.94,14.5,14.69,14.31,14.5,14.5,14.31,13.16,12.59,12.44,13.0,12.81,12.94,14.28,16.22,17.47,18.5,19.88,20.81,20.66,19.94,19.22,18.81,18.59,17.38,16.31,15.75,15.16,13.78,12.0,11.09,10.31,9.19,8.03,8.0,8.53,9.44,10.38,11.41,13.41,15.09,15.56,15.59,15.66,15.28,14.03,12.56,11.91,12.19,12.78,12.81,13.28,13.5,12.84,10.81,8.72,7.97,8.19,8.81,10.62,13.59,16.34,17.72,40.12,38.03,35.34,33.03,31.09,30.25,30.22,31.19,33.34,35.44,37.69,39.31,41.16,42.5,43.53,43.94,44.56,44.75,44.59,44.06,43.0:2.97,3.47,4.97,6.75,8.44,11.09,13.0,13.25,13.06,13.66,14.84,15.88,16.72,18.5,20.72,21.66,21.81,21.53,21.75,21.66,20.66,19.5,19.34,19.81,19.62,19.19,19.34,20.22,19.97,19.38,19.84,21.22,22.12,22.88,23.53,25.28,26.75,27.0,27.19,28.25,29.62,30.31,30.75,32.0,32.81,32.03,29.91,27.72,26.5,25.47,24.62,24.44,25.12,25.81,25.66,25.31,25.91,26.66,27.16,27.03,27.59,28.47,29.09,28.91,29.16,29.53,29.69,28.41,26.62,25.59,24.41,22.59,20.75,19.94,19.91,19.12,17.84,16.81,17.06,17.53,17.41,18.47,20.41,21.75,21.19,19.78,18.69,17.16,15.22,13.22,12.91,13.53,14.0,14.0,14.5,15.84,16.12,15.62,14.75,14.56,13.69,12.06,10.22,9.5,9.41,9.75,9.88,10.88,12.72,13.81,13.88,13.84,14.34,14.75,14.06,13.03,12.56,12.28,10.88,8.91,7.75,6.84,5.81,4.78,4.38,5.5,6.5,6.91,7.81,9.66,11.56,13.12,14.66,16.88,18.84,19.41,18.78,18.44,18.25,18.34,17.81,18.44,19.16,19.97,19.31,18.47,18.38,18.19,16.66,15.09,13.94,13.38,12.5,11.5,11.41,12.34,12.94,12.88,13.0,13.94,14.62,14.31,13.66,13.66,13.41,12.28,10.78,10.28,10.72,11.56,12.19,13.91,16.16,18.22,19.38,21.06,23.72,26.19,27.94,29.16,31.03,32.59,33.19,32.88,32.84,32.75,31.81,30.12,28.44,27.12,25.91,24.03,22.38,22.28,22.28,21.34,19.94,19.25,18.78,17.62,16.94,16.84,17.97,18.75,18.69,19.19,20.53,22.03,22.97,24.41,26.06,27.75,28.06,27.69,27.41,27.25,26.47,24.78,23.38,22.69,21.5,19.75,18.66,18.16,18.69,18.56,18.97,20.62,22.53,23.47,23.84,24.19,24.25,23.72,22.78,21.72,21.72,21.44,20.09,19.12,18.5,18.19,17.28,16.03,15.25,15.5,15.0,14.41,14.0,14.25,13.66,12.69,11.88,12.22,13.34,13.84,14.75,16.38,18.03,18.44,18.41,18.56,18.91,18.56,17.72,17.66,18.66,19.47,20.28,20.78,21.66,21.91,20.81,19.59,18.59,18.28,17.81,17.0,17.12,17.84,18.34,18.0,17.75,17.22,16.47,14.44,11.81,10.53,10.03,9.12,8.91,9.5,11.28,12.5,13.03,13.97,15.28,15.94,15.84,15.81,16.5,17.19,16.91,16.62,17.34,17.84,18.09,18.12,18.72,20.03,21.16,22.0,22.47,23.69,24.5,23.69,22.59,22.44,22.44,21.94,21.19,20.75,20.84,20.09,18.56,17.34,16.59,16.03,15.16,14.66,15.72,17.09,17.69,17.94,18.44,19.03,18.47,17.5,17.09,17.12,17.16,16.81,16.53,17.25,17.16,16.5,15.75,15.69,16.16,16.41,16.47,17.03,17.53,17.38,16.44,16.06,16.62,17.16,17.56,18.0,19.0,19.31,17.97,15.81,14.09,12.03,9.56,7.41,7.09,8.09,9.94,12.22,15.59,20.12,24.62,27.72,29.88,31.16,29.91,26.56,22.34,19.25,17.28,15.88,15.16,14.88,14.72,13.69,11.19,9.09,7.88,7.47,7.72,8.72,11.5,14.53,17.06,18.59,20.59,22.41,23.28,23.34,23.38,23.25,22.66,20.88,19.09,18.25,17.66,16.91,16.12,16.88,17.72,18.03,17.91,17.78,18.03,18.0,17.16,15.81,15.41,14.12,11.31,8.66,7.38,7.31,6.97,7.31,9.84,12.66,15.78,18.28,21.0,23.88,25.62,26.25,26.19,26.56,26.22,24.97,23.44,22.41,21.38,19.94,18.22,17.62,17.12,16.62,15.44,14.66,14.09,13.53,12.44,11.31,10.88,9.72,8.34,6.56,5.62,5.66,5.41,5.38,6.22,7.5,8.84,9.59,10.72,12.41,14.38,15.5,16.25,17.78,19.19,19.84,20.03,20.47,20.75,20.06,18.19,16.22,13.88,11.25,8.31,5.81,5.03,5.34,5.06,5.12,5.97,7.38,8.38,9.28,11.16,13.81,16.56,18.84,21.0,22.84,24.0,23.09,21.75,20.69,20.16,18.91,17.94,18.06,18.75,18.78,18.16,17.31,16.72,16.28,15.53,15.12,16.22,16.97,16.66,15.91,15.75,15.91,15.94,15.75,16.31,17.34,17.12,15.69,14.66,14.38,14.59,14.5,15.53,17.66,19.62,20.72,21.88,22.59,23.03,22.25,21.34,20.53,20.88,21.16,20.59,20.06,20.19,20.03,18.97,18.0,17.44,17.66,16.75,15.47,14.69,14.75,14.53,14.72,16.03,18.59,20.91,21.94,22.19,22.53,22.66,21.41,20.47,20.25,20.66,20.34,19.84,19.38,19.44,18.62,17.25,16.44,16.81,17.62,18.31,19.22,21.44,23.53,24.69,24.94,25.44,26.19,25.69,24.53,23.56,23.22,22.5,21.22,20.16,20.25,20.72,20.03,19.22,19.47,19.66,18.88,17.59,16.94,16.66,15.75,14.41,13.16,12.97,12.81,12.16,11.88,13.16,14.44,14.69,14.84,15.59,16.59,16.94,16.91,17.25,18.03,18.03,17.5,17.19,17.88,18.09,17.69,17.25,17.66,18.44,18.16,17.91,18.22,18.91,18.66,17.72,17.0,17.03,16.44,14.94,14.25,14.69,15.03,14.62,14.06,13.59,13.41,12.84,12.0,12.34,13.97,15.56,16.62,17.78,19.44,20.59,20.56,20.31,21.47,22.66,23.06,23.19,23.75,24.09,23.25,21.72,20.41,20.03,20.06,19.25,19.12,19.94,20.5,20.22,19.69,20.06,20.78,20.78,20.28,20.56,21.78,22.16,21.84,22.25,23.44,24.56,25.47,26.44,28.22,29.16,28.28,26.25,24.59,22.88,20.88,18.88,17.72,17.78,17.19,15.91,15.19,15.5,15.47,14.84,14.84,15.56,16.66,16.41,15.56,15.16,14.34,13.22,11.94,11.69,12.53,13.41,13.69,14.12,15.12,15.72,15.25,14.69,15.03,15.69,15.81,15.78,16.56,17.56,17.66,17.31,16.75,16.38,15.69,14.06,12.44,12.41,13.16,13.59,14.59,16.88,19.81,22.28,23.34,24.47,25.03,24.44,21.94,20.19,19.12,18.38,17.09,16.59,17.25,18.25,18.44,18.0,17.97,17.69,16.22,13.31,11.03,9.0,6.5,4.09,2.47,2.16,2.5,2.69,3.5,5.88,8.59,10.97,12.47,14.88,17.5,19.31,20.69,22.31,24.12,25.16,24.62,24.12,24.0,23.78,22.62,21.16,20.34,19.5,18.0,16.0,15.0,14.5,14.16,13.78,13.78,14.78,16.19,16.44,16.91,18.06,19.34,19.25,18.28,17.94,17.94,17.53,17.25,18.0,19.56,20.78,20.56,20.12,19.72,19.12,17.16,15.59,15.19,15.34,14.91,13.72,12.91,12.28,11.53,10.34,10.0,10.5,11.0,9.88,8.81,8.94,9.94,10.56,11.66,13.62,15.72,16.84,17.12,18.12,19.56,21.06,21.91,22.75,24.41,25.06,24.0,22.34,21.25,20.12,18.44,16.78,15.91,15.66,14.66,13.44,12.97,13.5,13.88,13.44,12.78,12.78,12.53,11.03,9.94,9.91,10.56,10.72,10.97,11.78,12.97,13.88,13.91,14.78,15.75,16.91,16.81,16.56,17.03,17.03,16.06,14.66,13.62,12.94,11.5,9.78,9.22,10.0,10.81,11.62,13.56,15.91,17.75,18.47,18.84,18.94,19.34,18.59,17.69,17.0,16.97,16.44,15.19,14.34,14.16,13.91,13.06,12.81,13.78,15.25,15.91,16.94,19.16,21.66,23.91,25.72,27.53,29.53,30.66,30.38,29.59,29.03,27.94,25.84,23.97,23.09,22.56,21.09,19.91,19.16,18.28,16.97,15.31,13.56,12.56,11.62,10.25,9.28,9.28,9.28,8.53,8.06,8.16,8.69,8.62,8.12,8.31,9.03,9.5,10.16,11.69,14.66,17.81,20.22,22.19,24.12,25.19,24.25,22.78,21.12,19.81,17.78,15.69,13.78,12.69,11.03,8.97,6.78,5.12,3.31,1.09,-0.38,-0.25,0.94,2.25,3.41,4.81,6.41,7.34,7.72,8.5,10.0,11.5,12.44,13.53,15.16,16.38,16.25,15.56,15.5,15.91,15.78,15.62,15.81,16.31,15.81,14.75,13.31,12.53,11.66,9.91,8.09,7.44,7.16,6.78,6.81,8.09,9.69,11.12,12.41,14.09,16.75,19.03,20.78,22.47,24.72,26.03,25.75,24.44,23.22,21.94,20.28,18.62,18.34,18.94,19.22,19.47,19.81,20.28,20.16,18.88,17.25,16.81,16.75,16.59,16.66,17.12,17.41,17.0,16.38,16.41,17.28,18.22,18.84,19.28,20.16,20.41,20.03,19.72,19.69,20.0,19.44,18.41,17.88,17.53,17.0,15.97,15.25,15.0,15.12,14.41,13.81,14.16,14.5,14.16,13.56,13.94,14.5,14.69,14.31,14.5,14.5,14.31,13.16,12.59,12.44,13.0,12.81,12.94,14.28,16.22,17.47,18.5,19.88,20.81,20.66,19.94,19.22,18.81,18.59,17.38,16.31,15.75,15.16,13.78,12.0,11.09,10.31,9.19,8.03,8.0,8.53,9.44,10.38,11.41,13.41,15.09,15.56,15.59,15.66,15.28,14.03,12.56,11.91,12.19,12.78,12.81,13.28,13.5,12.84,10.81,8.72,7.97,8.19,8.81,10.62,13.59,16.34,17.72,40.12,38.03,35.34,33.03,31.09,30.25,30.22,31.19,33.34,35.44,37.69,39.31,41.16,42.5,43.53,43.94,44.56,44.75,44.59,44.06,43.0,41.53,39.09,36.09,32.44,28.75,25.59,23.19:13.25,13.06,13.66,14.84,15.88,16.72,18.5,20.72,21.66,21.81,21.53,21.75,21.66,20.66,19.5,19.34,19.81,19.62,19.19,19.34,20.22,19.97,19.38,19.84,21.22,22.12,22.88,23.53,25.28,26.75,27.0,27.19,28.25,29.62,30.31,30.75,32.0,32.81,32.03,29.91,27.72,26.5,25.47,24.62,24.44,25.12,25.81,25.66,25.31,25.91,26.66,27.16,27.03,27.59,28.47,29.09,28.91,29.16,29.53,29.69,28.41,26.62,25.59,24.41,22.59,20.75,19.94,19.91,19.12,17.84,16.81,17.06,17.53,17.41,18.47,20.41,21.75,21.19,19.78,18.69,17.16,15.22,13.22,12.91,13.53,14.0,14.0,14.5,15.84,16.12,15.62,14.75,14.56,13.69,12.06,10.22,9.5,9.41,9.75,9.88,10.88,12.72,13.81,13.88,13.84,14.34,14.75,14.06,13.03,12.56,12.28,10.88,8.91,7.75,6.84,5.81,4.78,4.38,5.5,6.5,6.91,7.81,9.66,11.56,13.12,14.66,16.88,18.84,19.41,18.78,18.44,18.25,18.34,17.81,18.44,19.16,19.97,19.31,18.47,18.38,18.19,16.66,15.09,13.94,13.38,12.5,11.5,11.41,12.34,12.94,12.88,13.0,13.94,14.62,14.31,13.66,13.66,13.41,12.28,10.78,10.28,10.72,11.56,12.19,13.91,16.16,18.22,19.38,21.06,23.72,26.19,27.94,29.16,31.03,32.59,33.19,32.88,32.84,32.75,31.81,30.12,28.44,27.12,25.91,24.03,22.38,22.28,22.28,21.34,19.94,19.25,18.78,17.62,16.94,16.84,17.97,18.75,18.69,19.19,20.53,22.03,22.97,24.41,26.06,27.75,28.06,27.69,27.41,27.25,26.47,24.78,23.38,22.69,21.5,19.75,18.66,18.16,18.69,18.56,18.97,20.62,22.53,23.47,23.84,24.19,24.25,23.72,22.78,21.72,21.72,21.44,20.09,19.12,18.5,18.19,17.28,16.03,15.25,15.5,15.0,14.41,14.0,14.25,13.66,12.69,11.88,12.22,13.34,13.84,14.75,16.38,18.03,18.44,18.41,18.56,18.91,18.56,17.72,17.66,18.66,19.47,20.28,20.78,21.66,21.91,20.81,19.59,18.59,18.28,17.81,17.0,17.12,17.84,18.34,18.0,17.75,17.22,16.47,14.44,11.81,10.53,10.03,9.12,8.91,9.5,11.28,12.5,13.03,13.97,15.28,15.94,15.84,15.81,16.5,17.19,16.91,16.62,17.34,17.84,18.09,18.12,18.72,20.03,21.16,22.0,22.47,23.69,24.5,23.69,22.59,22.44,22.44,21.94,21.19,20.75,20.84,20.09,18.56,17.34,16.59,16.03,15.16,14.66,15.72,17.09,17.69,17.94,18.44,19.03,18.47,17.5,17.09,17.12,17.16,16.81,16.53,17.25,17.16,16.5,15.75,15.69,16.16,16.41,16.47,17.03,17.53,17.38,16.44,16.06,16.62,17.16,17.56,18.0,19.0,19.31,17.97,15.81,14.09,12.03,9.56,7.41,7.09,8.09,9.94,12.22,15.59,20.12,24.62,27.72,29.88,31.16,29.91,26.56,22.34,19.25,17.28,15.88,15.16,14.88,14.72,13.69,11.19,9.09,7.88,7.47,7.72,8.72,11.5,14.53,17.06,18.59,20.59,22.41,23.28,23.34,23.38,23.25,22.66,20.88,19.09,18.25,17.66,16.91,16.12,16.88,17.72,18.03,17.91,17.78,18.03,18.0,17.16,15.81,15.41,14.12,11.31,8.66,7.38,7.31,6.97,7.31,9.84,12.66,15.78,18.28,21.0,23.88,25.62,26.25,26.19,26.56,26.22,24.97,23.44,22.41,21.38,19.94,18.22,17.62,17.12,16.62,15.44,14.66,14.09,13.53,12.44,11.31,10.88,9.72,8.34,6.56,5.62,5.66,5.41,5.38,6.22,7.5,8.84,9.59,10.72,12.41,14.38,15.5,16.25,17.78,19.19,19.84,20.03,20.47,20.75,20.06,18.19,16.22,13.88,11.25,8.31,5.81,5.03,5.34,5.06,5.12,5.97,7.38,8.38,9.28,11.16,13.81,16.56,18.84,21.0,22.84,24.0,23.09,21.75,20.69,20.16,18.91,17.94,18.06,18.75,18.78,18.16,17.31,16.72,16.28,15.53,15.12,16.22,16.97,16.66,15.91,15.75,15.91,15.94,15.75,16.31,17.34,17.12,15.69,14.66,14.38,14.59,14.5,15.53,17.66,19.62,20.72,21.88,22.59,23.03,22.25,21.34,20.53,20.88,21.16,20.59,20.06,20.19,20.03,18.97,18.0,17.44,17.66,16.75,15.47,14.69,14.75,14.53,14.72,16.03,18.59,20.91,21.94,22.19,22.53,22.66,21.41,20.47,20.25,20.66,20.34,19.84,19.38,19.44,18.62,17.25,16.44,16.81,17.62,18.31,19.22,21.44,23.53,24.69,24.94,25.44,26.19,25.69,24.53,23.56,23.22,22.5,21.22,20.16,20.25,20.72,20.03,19.22,19.47,19.66,18.88,17.59,16.94,16.66,15.75,14.41,13.16,12.97,12.81,12.16,11.88,13.16,14.44,14.69,14.84,15.59,16.59,16.94,16.91,17.25,18.03,18.03,17.5,17.19,17.88,18.09,17.69,17.25,17.66,18.44,18.16,17.91,18.22,18.91,18.66,17.72,17.0,17.03,16.44,14.94,14.25,14.69,15.03,14.62,14.06,13.59,13.41,12.84,12.0,12.34,13.97,15.56,16.62,17.78,19.44,20.59,20.56,20.31,21.47,22.66,23.06,23.19,23.75,24.09,23.25,21.72,20.41,20.03,20.06,19.25,19.12,19.94,20.5,20.22,19.69,20.06,20.78,20.78,20.28,20.56,21.78,22.16,21.84,22.25,23.44,24.56,25.47,26.44,28.22,29.16,28.28,26.25,24.59,22.88,20.88,18.88,17.72,17.78,17.19,15.91,15.19,15.5,15.47,14.84,14.84,15.56,16.66,16.41,15.56,15.16,14.34,13.22,11.94,11.69,12.53,13.41,13.69,14.12,15.12,15.72,15.25,14.69,15.03,15.69,15.81,15.78,16.56,17.56,17.66,17.31,16.75,16.38,15.69,14.06,12.44,12.41,13.16,13.59,14.59,16.88,19.81,22.28,23.34,24.47,25.03,24.44,21.94,20.19,19.12,18.38,17.09,16.59,17.25,18.25,18.44,18.0,17.97,17.69,16.22,13.31,11.03,9.0,6.5,4.09,2.47,2.16,2.5,2.69,3.5,5.88,8.59,10.97,12.47,14.88,17.5,19.31,20.69,22.31,24.12,25.16,24.62,24.12,24.0,23.78,22.62,21.16,20.34,19.5,18.0,16.0,15.0,14.5,14.16,13.78,13.78,14.78,16.19,16.44,16.91,18.06,19.34,19.25,18.28,17.94,17.94,17.53,17.25,18.0,19.56,20.78,20.56,20.12,19.72,19.12,17.16,15.59,15.19,15.34,14.91,13.72,12.91,12.28,11.53,10.34,10.0,10.5,11.0,9.88,8.81,8.94,9.94,10.56,11.66,13.62,15.72,16.84,17.12,18.12,19.56,21.06,21.91,22.75,24.41,25.06,24.0,22.34,21.25,20.12,18.44,16.78,15.91,15.66,14.66,13.44,12.97,13.5,13.88,13.44,12.78,12.78,12.53,11.03,9.94,9.91,10.56,10.72,10.97,11.78,12.97,13.88,13.91,14.78,15.75,16.91,16.81,16.56,17.03,17.03,16.06,14.66,13.62,12.94,11.5,9.78,9.22,10.0,10.81,11.62,13.56,15.91,17.75,18.47,18.84,18.94,19.34,18.59,17.69,17.0,16.97,16.44,15.19,14.34,14.16,13.91,13.06,12.81,13.78,15.25,15.91,16.94,19.16,21.66,23.91,25.72,27.53,29.53,30.66,30.38,29.59,29.03,27.94,25.84,23.97,23.09,22.56,21.09,19.91,19.16,18.28,16.97,15.31,13.56,12.56,11.62,10.25,9.28,9.28,9.28,8.53,8.06,8.16,8.69,8.62,8.12,8.31,9.03,9.5,10.16,11.69,14.66,17.81,20.22,22.19,24.12,25.19,24.25,22.78,21.12,19.81,17.78,15.69,13.78,12.69,11.03,8.97,6.78,5.12,3.31,1.09,-0.38,-0.25,0.94,2.25,3.41,4.81,6.41,7.34,7.72,8.5,10.0,11.5,12.44,13.53,15.16,16.38,16.25,15.56,15.5,15.91,15.78,15.62,15.81,16.31,15.81,14.75,13.31,12.53,11.66,9.91,8.09,7.44,7.16,6.78,6.81,8.09,9.69,11.12,12.41,14.09,16.75,19.03,20.78,22.47,24.72,26.03,25.75,24.44,23.22,21.94,20.28,18.62,18.34,18.94,19.22,19.47,19.81,20.28,20.16,18.88,17.25,16.81,16.75,16.59,16.66,17.12,17.41,17.0,16.38,16.41,17.28,18.22,18.84,19.28,20.16,20.41,20.03,19.72,19.69,20.0,19.44,18.41,17.88,17.53,17.0,15.97,15.25,15.0,15.12,14.41,13.81,14.16,14.5,14.16,13.56,13.94,14.5,14.69,14.31,14.5,14.5,14.31,13.16,12.59,12.44,13.0,12.81,12.94,14.28,16.22,17.47,18.5,19.88,20.81,20.66,19.94,19.22,18.81,18.59,17.38,16.31,15.75,15.16,13.78,12.0,11.09,10.31,9.19,8.03,8.0,8.53,9.44,10.38,11.41,13.41,15.09,15.56,15.59,15.66,15.28,14.03,12.56,11.91,12.19,12.78,12.81,13.28,13.5,12.84,10.81,8.72,7.97,8.19,8.81,10.62,13.59,16.34,17.72,40.12,38.03,35.34,33.03,31.09,30.25,30.22,31.19,33.34,35.44,37.69,39.31,41.16,42.5,43.53,43.94,44.56,44.75,44.59,44.06,43.0,41.53,39.09,36.09,32.44,28.75,25.59,23.19,21.94,22.28,24.03,26.0,28.06,29.47,30.41:20.72,21.66,21.81,21.53,21.75,21.66,20.66,19.5,19.34,19.81,19.62,19.19,19.34,20.22,19.97,19.38,19.84,21.22,22.12,22.88,23.53,25.28,26.75,27.0,27.19,28.25,29.62,30.31,30.75,32.0,32.81,32.03,29.91,27.72,26.5,25.47,24.62,24.44,25.12,25.81,25.66,25.31,25.91,26.66,27.16,27.03,27.59,28.47,29.09,28.91,29.16,29.53,29.69,28.41,26.62,25.59,24.41,22.59,20.75,19.94,19.91,19.12,17.84,16.81,17.06,17.53,17.41,18.47,20.41,21.75,21.19,19.78,18.69,17.16,15.22,13.22,12.91,13.53,14.0,14.0,14.5,15.84,16.12,15.62,14.75,14.56,13.69,12.06,10.22,9.5,9.41,9.75,9.88,10.88,12.72,13.81,13.88,13.84,14.34,14.75,14.06,13.03,12.56,12.28,10.88,8.91,7.75,6.84,5.81,4.78,4.38,5.5,6.5,6.91,7.81,9.66,11.56,13.12,14.66,16.88,18.84,19.41,18.78,18.44,18.25,18.34,17.81,18.44,19.16,19.97,19.31,18.47,18.38,18.19,16.66,15.09,13.94,13.38,12.5,11.5,11.41,12.34,12.94,12.88,13.0,13.94,14.62,14.31,13.66,13.66,13.41,12.28,10.78,10.28,10.72,11.56,12.19,13.91,16.16,18.22,19.38,21.06,23.72,26.19,27.94,29.16,31.03,32.59,33.19,32.88,32.84,32.75,31.81,30.12,28.44,27.12,25.91,24.03,22.38,22.28,22.28,21.34,19.94,19.25,18.78,17.62,16.94,16.84,17.97,18.75,18.69,19.19,20.53,22.03,22.97,24.41,26.06,27.75,28.06,27.69,27.41,27.25,26.47,24.78,23.38,22.69,21.5,19.75,18.66,18.16,18.69,18.56,18.97,20.62,22.53,23.47,23.84,24.19,24.25,23.72,22.78,21.72,21.72,21.44,20.09,19.12,18.5,18.19,17.28,16.03,15.25,15.5,15.0,14.41,14.0,14.25,13.66,12.69,11.88,12.22,13.34,13.84,14.75,16.38,18.03,18.44,18.41,18.56,18.91,18.56,17.72,17.66,18.66,19.47,20.28,20.78,21.66,21.91,20.81,19.59,18.59,18.28,17.81,17.0,17.12,17.84,18.34,18.0,17.75,17.22,16.47,14.44,11.81,10.53,10.03,9.12,8.91,9.5,11.28,12.5,13.03,13.97,15.28,15.94,15.84,15.81,16.5,17.19,16.91,16.62,17.34,17.84,18.09,18.12,18.72,20.03,21.16,22.0,22.47,23.69,24.5,23.69,22.59,22.44,22.44,21.94,21.19,20.75,20.84,20.09,18.56,17.34,16.59,16.03,15.16,14.66,15.72,17.09,17.69,17.94,18.44,19.03,18.47,17.5,17.09,17.12,17.16,16.81,16.53,17.25,17.16,16.5,15.75,15.69,16.16,16.41,16.47,17.03,17.53,17.38,16.44,16.06,16.62,17.16,17.56,18.0,19.0,19.31,17.97,15.81,14.09,12.03,9.56,7.41,7.09,8.09,9.94,12.22,15.59,20.12,24.62,27.72,29.88,31.16,29.91,26.56,22.34,19.25,17.28,15.88,15.16,14.88,14.72,13.69,11.19,9.09,7.88,7.47,7.72,8.72,11.5,14.53,17.06,18.59,20.59,22.41,23.28,23.34,23.38,23.25,22.66,20.88,19.09,18.25,17.66,16.91,16.12,16.88,17.72,18.03,17.91,17.78,18.03,18.0,17.16,15.81,15.41,14.12,11.31,8.66,7.38,7.31,6.97,7.31,9.84,12.66,15.78,18.28,21.0,23.88,25.62,26.25,26.19,26.56,26.22,24.97,23.44,22.41,21.38,19.94,18.22,17.62,17.12,16.62,15.44,14.66,14.09,13.53,12.44,11.31,10.88,9.72,8.34,6.56,5.62,5.66,5.41,5.38,6.22,7.5,8.84,9.59,10.72,12.41,14.38,15.5,16.25,17.78,19.19,19.84,20.03,20.47,20.75,20.06,18.19,16.22,13.88,11.25,8.31,5.81,5.03,5.34,5.06,5.12,5.97,7.38,8.38,9.28,11.16,13.81,16.56,18.84,21.0,22.84,24.0,23.09,21.75,20.69,20.16,18.91,17.94,18.06,18.75,18.78,18.16,17.31,16.72,16.28,15.53,15.12,16.22,16.97,16.66,15.91,15.75,15.91,15.94,15.75,16.31,17.34,17.12,15.69,14.66,14.38,14.59,14.5,15.53,17.66,19.62,20.72,21.88,22.59,23.03,22.25,21.34,20.53,20.88,21.16,20.59,20.06,20.19,20.03,18.97,18.0,17.44,17.66,16.75,15.47,14.69,14.75,14.53,14.72,16.03,18.59,20.91,21.94,22.19,22.53,22.66,21.41,20.47,20.25,20.66,20.34,19.84,19.38,19.44,18.62,17.25,16.44,16.81,17.62,18.31,19.22,21.44,23.53,24.69,24.94,25.44,26.19,25.69,24.53,23.56,23.22,22.5,21.22,20.16,20.25,20.72,20.03,19.22,19.47,19.66,18.88,17.59,16.94,16.66,15.75,14.41,13.16,12.97,12.81,12.16,11.88,13.16,14.44,14.69,14.84,15.59,16.59,16.94,16.91,17.25,18.03,18.03,17.5,17.19,17.88,18.09,17.69,17.25,17.66,18.44,18.16,17.91,18.22,18.91,18.66,17.72,17.0,17.03,16.44,14.94,14.25,14.69,15.03,14.62,14.06,13.59,13.41,12.84,12.0,12.34,13.97,15.56,16.62,17.78,19.44,20.59,20.56,20.31,21.47,22.66,23.06,23.19,23.75,24.09,23.25,21.72,20.41,20.03,20.06,19.25,19.12,19.94,20.5,20.22,19.69,20.06,20.78,20.78,20.28,20.56,21.78,22.16,21.84,22.25,23.44,24.56,25.47,26.44,28.22,29.16,28.28,26.25,24.59,22.88,20.88,18.88,17.72,17.78,17.19,15.91,15.19,15.5,15.47,14.84,14.84,15.56,16.66,16.41,15.56,15.16,14.34,13.22,11.94,11.69,12.53,13.41,13.69,14.12,15.12,15.72,15.25,14.69,15.03,15.69,15.81,15.78,16.56,17.56,17.66,17.31,16.75,16.38,15.69,14.06,12.44,12.41,13.16,13.59,14.59,16.88,19.81,22.28,23.34,24.47,25.03,24.44,21.94,20.19,19.12,18.38,17.09,16.59,17.25,18.25,18.44,18.0,17.97,17.69,16.22,13.31,11.03,9.0,6.5,4.09,2.47,2.16,2.5,2.69,3.5,5.88,8.59,10.97,12.47,14.88,17.5,19.31,20.69,22.31,24.12,25.16,24.62,24.12,24.0,23.78,22.62,21.16,20.34,19.5,18.0,16.0,15.0,14.5,14.16,13.78,13.78,14.78,16.19,16.44,16.91,18.06,19.34,19.25,18.28,17.94,17.94,17.53,17.25,18.0,19.56,20.78,20.56,20.12,19.72,19.12,17.16,15.59,15.19,15.34,14.91,13.72,12.91,12.28,11.53,10.34,10.0,10.5,11.0,9.88,8.81,8.94,9.94,10.56,11.66,13.62,15.72,16.84,17.12,18.12,19.56,21.06,21.91,22.75,24.41,25.06,24.0,22.34,21.25,20.12,18.44,16.78,15.91,15.66,14.66,13.44,12.97,13.5,13.88,13.44,12.78,12.78,12.53,11.03,9.94,9.91,10.56,10.72,10.97,11.78,12.97,13.88,13.91,14.78,15.75,16.91,16.81,16.56,17.03,17.03,16.06,14.66,13.62,12.94,11.5,9.78,9.22,10.0,10.81,11.62,13.56,15.91,17.75,18.47,18.84,18.94,19.34,18.59,17.69,17.0,16.97,16.44,15.19,14.34,14.16,13.91,13.06,12.81,13.78,15.25,15.91,16.94,19.16,21.66,23.91,25.72,27.53,29.53,30.66,30.38,29.59,29.03,27.94,25.84,23.97,23.09,22.56,21.09,19.91,19.16,18.28,16.97,15.31,13.56,12.56,11.62,10.25,9.28,9.28,9.28,8.53,8.06,8.16,8.69,8.62,8.12,8.31,9.03,9.5,10.16,11.69,14.66,17.81,20.22,22.19,24.12,25.19,24.25,22.78,21.12,19.81,17.78,15.69,13.78,12.69,11.03,8.97,6.78,5.12,3.31,1.09,-0.38,-0.25,0.94,2.25,3.41,4.81,6.41,7.34,7.72,8.5,10.0,11.5,12.44,13.53,15.16,16.38,16.25,15.56,15.5,15.91,15.78,15.62,15.81,16.31,15.81,14.75,13.31,12.53,11.66,9.91,8.09,7.44,7.16,6.78,6.81,8.09,9.69,11.12,12.41,14.09,16.75,19.03,20.78,22.47,24.72,26.03,25.75,24.44,23.22,21.94,20.28,18.62,18.34,18.94,19.22,19.47,19.81,20.28,20.16,18.88,17.25,16.81,16.75,16.59,16.66,17.12,17.41,17.0,16.38,16.41,17.28,18.22,18.84,19.28,20.16,20.41,20.03,19.72,19.69,20.0,19.44,18.41,17.88,17.53,17.0,15.97,15.25,15.0,15.12,14.41,13.81,14.16,14.5,14.16,13.56,13.94,14.5,14.69,14.31,14.5,14.5,14.31,13.16,12.59,12.44,13.0,12.81,12.94,14.28,16.22,17.47,18.5,19.88,20.81,20.66,19.94,19.22,18.81,18.59,17.38,16.31,15.75,15.16,13.78,12.0,11.09,10.31,9.19,8.03,8.0,8.53,9.44,10.38,11.41,13.41,15.09,15.56,15.59,15.66,15.28,14.03,12.56,11.91,12.19,12.78,12.81,13.28,13.5,12.84,10.81,8.72,7.97,8.19,8.81,10.62,13.59,16.34,17.72,40.12,38.03,35.34,33.03,31.09,30.25,30.22,31.19,33.34,35.44,37.69,39.31,41.16,42.5,43.53,43.94,44.56,44.75,44.59,44.06,43.0,41.53,39.09,36.09,32.44,28.75,25.59,23.19,21.94,22.28,24.03,26.0,28.06,29.47,30.41,31.0,31.19,31.62,32.91,34.81,36.94,38.94:negativity
23.16,22.22,18.97,16.19,17.03,18.5,18.47,18.38,20.5,23.88,24.91,23.94,24.28,26.31,26.81,24.91,23.22,23.44,23.31,21.19,19.09,19.62,21.31,20.94,19.22,18.94,19.66,18.5,15.69,14.22,15.19,16.03,14.91,14.72,17.19,19.91,20.56,20.38,22.47,25.34,25.78,25.06,25.78,27.84,28.66,27.72,26.91,28.78,29.75,28.03,26.41,26.91,27.84,26.16,23.59,22.88,23.22,22.75,21.44,22.06,24.88,26.66,25.91,24.84,26.06,26.5,24.66,22.34,22.81,24.47,24.09,23.0,23.56,25.28,25.59,23.69,23.38,25.16,26.41,25.38,24.91,26.69,28.72,28.03,26.59,27.16,27.97,27.0,24.28,23.53,24.31,23.75,21.34,19.81,20.53,21.16,20.0,19.06,20.53,22.19,21.53,19.81,19.97,20.75,19.53,16.66,14.84,14.66,13.19,9.91,7.72,8.0,8.66,7.44,6.03,7.53,9.66,9.62,8.31,9.0,10.75,11.28,10.06,10.09,12.19,13.5,11.62,10.16,10.78,11.47,9.78,7.53,7.78,8.94,8.62,6.59,6.5,7.97,8.41,6.84,6.91,9.75,12.41,12.91,13.38,16.28,19.22,19.25,18.0,18.44,19.44,18.44,15.88,14.44,15.09,15.16,13.22,13.06,15.69,18.38,18.59,18.41,19.75,21.03,19.84,17.62,17.16,17.88,17.12,14.69,13.44,14.34,15.44,14.34,14.66,17.53,21.16,22.62,23.62,26.53,29.69,30.72,29.81,30.38,32.12,31.91,29.34,27.44,27.0,26.88,24.31,22.22,22.44,23.22,20.94,17.72,16.12,15.09,12.69,9.34,8.56,10.41,12.66,13.5,15.22,19.06,22.09,21.91,20.59,20.47,20.94,19.31,17.25,17.5,19.84,21.0,20.44,21.25,23.81,25.16,24.56,24.0,25.5,26.88,25.25,23.47,23.19,23.94,22.72,20.81,20.03,20.56,19.31,15.34,12.75,11.91,11.16,9.03,7.91,10.25,14.09,15.94,17.88,21.97,27.09,30.28,31.31,32.88,34.78,34.53,30.78,26.97,24.75,21.78,16.38,10.88,8.41,7.75,6.66,6.5,9.0,13.5,16.56,17.38,18.62,21.34,23.0,22.34,22.28,24.47,26.31,25.59,23.88,23.91,24.75,23.44,21.25,20.59,22.12,22.28,20.84,20.62,22.03,23.06,21.56,19.75,20.19,21.09,20.09,19.0,20.19,22.75,23.56,22.94,23.09,25.16,26.28,25.38,25.16,26.97,28.12,26.41,23.69,22.75,22.03,19.78,17.0,16.19,17.5,17.12,15.53,14.28,15.03,14.5,12.09,10.5,11.31,12.62,11.69,10.25,10.69,12.28,12.28,11.59,12.44,14.69,15.81,15.12,14.69,15.94,16.62,14.5,12.16,12.12,12.88,12.31,10.97,11.97,13.88,14.31,12.94,12.62,14.34,15.59,15.06,15.31,18.66,21.62,22.38,21.84,23.06,24.12,22.75,19.84,18.78,19.19,18.28,16.09,14.84,16.09,16.94,16.19,16.12,18.59,20.69,20.41,19.12,19.59,21.0,20.84,19.28,19.06,20.44,20.53,18.44,16.56,16.94,16.16,12.88,9.59,8.75,8.66,7.25,5.66,6.69,9.0,10.41,10.5,11.84,15.09,17.0,16.59,15.81,16.44,17.0,15.06,12.88,12.88,13.91,12.72,10.84,10.88,11.66,11.62,10.0,9.16,10.34,11.41,9.94,8.78,10.34,11.72,10.94,9.53,10.38,12.28,12.78,12.31,13.81,17.16,19.41,19.12,18.59,19.53,19.22,16.34,13.5,13.41,14.25,13.5,12.22,12.62,13.97,13.59,10.75,8.84,8.47,7.59,4.84,4.12,7.41,11.28,13.53,15.19,17.81,19.88,19.62,18.06,18.72,21.09,22.94,23.31,24.28,26.59,27.81,26.06,23.62,23.28,22.94,20.41,17.16,16.19,16.12,14.31,11.03,9.62,10.44,10.53,9.31,9.31,12.28,15.19,15.25,15.12,17.44,20.06,20.0,18.97,19.66,21.16,20.97,19.16,19.06,20.38,20.66,18.56,16.72,16.59,15.94,12.72,8.56,6.94,6.47,5.16,3.78,5.47,8.75,10.94,10.5,11.19,13.28,15.09,14.16,13.53,15.38,17.47,16.25,14.06,14.28,14.88,13.84,11.72,12.09,14.31,15.56,14.88,15.06,16.97,18.0,16.31,13.88,13.38,13.22,11.22,8.31,7.5,8.41,7.84,6.66,7.81,11.47,14.31,15.41,16.66,19.66,22.66,23.0,22.69,24.25,26.09,25.69,23.94,23.66,24.41,23.66,20.28,17.91,17.25,15.97,12.41,9.91,10.44,11.97,11.78,10.78,11.91,13.47,13.12,11.78,12.22,14.69,16.75,16.88,17.22,19.38,19.91,17.28,14.19,12.94,12.41,9.78,6.84,5.78,6.16,5.22,3.38,3.06,5.19,7.06,6.88,7.69,10.75,14.12,15.19,15.72,18.59,21.91,22.06,20.5,19.38,18.84,16.38,11.75,8.0,6.59,5.38,1.72,-0.97,-0.72,-0.09,-1.59,-3.16,-1.88,1.06,2.5,3.19,5.75,9.69,12.12,12.38,12.78,15.22,17.0,15.91,14.19,15.0,15.62,13.56,10.41,9.5,9.59,7.34,4.09,1.88,2.12,2.19,0.75,0.19,2.41,4.16,3.28,2.09,3.06,5.22,5.75,6.41,9.03,13.66,16.59,17.22,18.0,19.84,20.03,17.31,14.34,13.53,12.72,9.78,6.81,6.56,8.12,8.25,7.59,8.38,10.47,10.31,7.78,5.62,5.88,6.16,4.56,4.5,7.03,10.56,11.72,11.97,13.94,16.84,17.41,16.41,16.69,18.34,18.47,16.66,15.0,15.78,16.53,14.62,12.47,12.91,14.5,14.38,13.94,15.56,18.88,20.16,19.16,18.56,19.16,17.91,14.06,10.5,9.66,9.53,7.69,5.91,6.94,9.69,11.12,12.03,14.56,18.34,19.97,18.78,17.91,18.81,19.47,17.19,14.56,14.28,13.97,11.59,8.53,7.75,8.66,8.0,6.84,7.62,10.84,13.22,13.25,13.25,14.62,15.47,13.38,10.78,11.16,11.88,10.56,8.5,8.25,9.56,8.69,6.38,5.34,6.78,7.66,7.0,7.59,10.88,14.09,15.28,15.62,18.09,21.12,21.62,19.97,19.62,19.97,18.88,16.53,15.72,17.81,19.5,18.78,17.88,18.94,19.84,18.09,15.59,15.78,16.84,16.56,14.78,14.25,15.38,15.28,12.69,10.84,11.62,11.69,9.5,7.25,7.97,9.41,9.69,9.31,10.91,13.91,14.84,13.56,12.81,13.81,13.59,11.12,9.06,9.62,9.78,7.41,4.66,4.5,5.72,6.0,5.72,7.75,11.22,13.09,12.72,12.91,14.88,15.84,14.62,13.31,14.84,16.44,15.81,14.25,14.72,15.66,14.47,11.56,10.28,10.59,10.0,7.47,6.0,6.78,7.28,5.75,4.12,5.84,8.09,8.94,9.12,11.5,14.75,15.72,14.38,13.44,13.62,12.31,8.81,6.34,6.66,7.81,6.56,4.72,5.41,6.28,5.31,3.81,4.69,7.5,9.19,8.91,9.47,11.38,12.75,11.25,10.0,11.47,13.31,12.66,11.94,12.97,14.78,14.44,12.12,10.78,11.38,11.5,10.28,10.78,13.94,16.5,15.53,13.84,13.62,13.22,11.09,8.25,8.12,9.69,10.38,9.44,9.53,11.16,11.31,8.75,6.88,7.75,9.34,9.47,9.91,12.62,15.84,16.12,14.72,14.25,14.91,14.22,11.81,10.78,11.69,12.56,11.03,9.66,10.66,12.34,11.69,10.75,11.78,14.22,14.59,13.12,12.75,13.5,13.56,11.34,10.84,13.31,16.62,17.12,17.0,18.09,18.62,16.44,13.25,11.81,11.91,10.97,8.41,7.62,8.78,9.41,7.62,6.22,7.09,7.81,6.34,4.72,5.75,7.31,6.91,5.97,6.44,7.91,7.84,5.72,4.22,5.0,5.84,4.91,5.22,8.69,12.75,14.28,15.44,18.34,21.69,22.66,21.56,21.0,21.41,19.78,15.72,12.84,12.25,11.94,9.72,7.69,7.5,8.59,7.31,6.06,7.38,10.47,12.41,13.03,14.22,17.16,18.53,16.97,15.47,15.62,15.56,13.09,11.06,12.06,14.88,16.16,16.62,18.28,20.91,21.0,18.72,17.12,17.06,16.66,14.28,12.44,13.19,14.31,13.25,11.44,11.69,13.03,11.94,9.94,9.59,10.47,10.09,8.12,7.25,9.28,11.53,12.09,12.78,15.28,18.09,17.97,17.56,18.69,21.31,22.44,21.75,22.09,23.88,24.72,23.31,22.59,23.78,24.75,22.75,20.28,19.75,19.88,17.75,14.91,14.03,14.62,13.97,12.28,11.81,13.62,15.28,14.88,14.72,17.12,19.47,19.12,18.03,18.19,19.47,18.72,16.66,15.78,16.5,15.47,12.31,9.44,8.47,6.84,2.62,-1.34,-2.72,-2.69,-3.94,-4.97,-3.22,0.56,3.19,4.66,7.38,11.91,14.88,14.81,14.47,15.78,16.41,14.69,12.88,13.22,14.31,13.0,10.75,9.97,10.78,10.62,8.88,8.38,10.31,11.5,10.88,10.34,12.38,14.44,14.0,12.22,12.78,14.5,14.59,14.44,16.09,19.72,21.97,21.59,20.84,21.25,20.16,16.59,12.91,11.84,11.94,10.56,8.47,8.03,9.34,9.41,8.56,9.56,13.03,16.41,18.31,20.97,26.25,30.91,32.62,32.81,33.62,34.0,31.41,27.47,25.28,24.94,23.91,21.75,20.84,22.03,22.0,19.22,15.84,14.62,13.72,11.69,9.69,10.59,13.66,15.19,15.16,16.25,18.59,19.03,17.19,15.97,17.09,18.03,17.44,17.03,19.25,22.0,22.69:18.38,20.5,23.88,24.91,23.94,24.28,26.31,26.81,24.91,23.22,23.44,23.31,21.19,19.09,19.62,21.31,20.94,19.22,18.94,19.66,18.5,15.69,14.22,15.19,16.03,14.91,14.72,17.19,19.91,20.56,20.38,22.47,25.34,25.78,25.06,25.78,27.84,28.66,27.72,26.91,28.78,29.75,28.03,26.41,26.91,27.84,26.16,23.59,22.88,23.22,22.75,21.44,22.06,24.88,26.66,25.91,24.84,26.06,26.5,24.66,22.34,22.81,24.47,24.09,23.0,23.56,25.28,25.59,23.69,23.38,25.16,26.41,25.38,24.91,26.69,28.72,28.03,26.59,27.16,27.97,27.0,24.28,23.53,24.31,23.75,21.34,19.81,20.53,21.16,20.0,19.06,20.53,22.19,21.53,19.81,19.97,20.75,19.53,16.66,14.84,14.66,13.19,9.91,7.72,8.0,8.66,7.44,6.03,7.53,9.66,9.62,8.31,9.0,10.75,11.28,10.06,10.09,12.19,13.5,11.62,10.16,10.78,11.47,9.78,7.53,7.78,8.94,8.62,6.59,6.5,7.97,8.41,6.84,6.91,9.75,12.41,12.91,13.38,16.28,19.22,19.25,18.0,18.44,19.44,18.44,15.88,14.44,15.09,15.16,13.22,13.06,15.69,18.38,18.59,18.41,19.75,21.03,19.84,17.62,17.16,17.88,17.12,14.69,13.44,14.34,15.44,14.34,14.66,17.53,21.16,22.62,23.62,26.53,29.69,30.72,29.81,30.38,32.12,31.91,29.34,27.44,27.0,26.88,24.31,22.22,22.44,23.22,20.94,17.72,16.12,15.09,12.69,9.34,8.56,10.41,12.66,13.5,15.22,19.06,22.09,21.91,20.59,20.47,20.94,19.31,17.25,17.5,19.84,21.0,20.44,21.25,23.81,25.16,24.56,24.0,25.5,26.88,25.25,23.47,23.19,23.94,22.72,20.81,20.03,20.56,19.31,15.34,12.75,11.91,11.16,9.03,7.91,10.25,14.09,15.94,17.88,21.97,27.09,30.28,31.31,32.88,34.78,34.53,30.78,26.97,24.75,21.78,16.38,10.88,8.41,7.75,6.66,6.5,9.0,13.5,16.56,17.38,18.62,21.34,23.0,22.34,22.28,24.47,26.31,25.59,23.88,23.91,24.75,23.44,21.25,20.59,22.12,22.28,20.84,20.62,22.03,23.06,21.56,19.75,20.19,21.09,20.09,19.0,20.19,22.75,23.56,22.94,23.09,25.16,26.28,25.38,25.16,26.97,28.12,26.41,23.69,22.75,22.03,19.78,17.0,16.19,17.5,17.12,15.53,14.28,15.03,14.5,12.09,10.5,11.31,12.62,11.69,10.25,10.69,12.28,12.28,11.59,12.44,14.69,15.81,15.12,14.69,15.94,16.62,14.5,12.16,12.12,12.88,12.31,10.97,11.97,13.88,14.31,12.94,12.62,14.34,15.59,15.06,15.31,18.66,21.62,22.38,21.84,23.06,24.12,22.75,19.84,18.78,19.19,18.28,16.09,14.84,16.09,16.94,16.19,16.12,18.59,20.69,20.41,19.12,19.59,21.0,20.84,19.28,19.06,20.44,20.53,18.44,16.56,16.94,16.16,12.88,9.59,8.75,8.66,7.25,5.66,6.69,9.0,10.41,10.5,11.84,15.09,17.0,16.59,15.81,16.44,17.0,15.06,12.88,12.88,13.91,12.72,10.84,10.88,11.66,11.62,10.0,9.16,10.34,11.41,9.94,8.78,10.34,11.72,10.94,9.53,10.38,12.28,12.78,12.31,13.81,17.16,19.41,19.12,18.59,19.53,19.22,16.34,13.5,13.41,14.25,13.5,12.22,12.62,13.97,13.59,10.75,8.84,8.47,7.59,4.84,4.12,7.41,11.28,13.53,15.19,17.81,19.88,19.62,18.06,18.72,21.09,22.94,23.31,24.28,26.59,27.81,26.06,23.62,23.28,22.94,20.41,17.16,16.19,16.12,14.31,11.03,9.62,10.44,10.53,9.31,9.31,12.28,15.19,15.25,15.12,17.44,20.06,20.0,18.97,19.66,21.16,20.97,19.16,19.06,20.38,20.66,18.56,16.72,16.59,15.94,12.72,8.56,6.94,6.47,5.16,3.78,5.47,8.75,10.94,10.5,11.19,13.28,15.09,14.16,13.53,15.38,17.47,16.25,14.06,14.28,14.88,13.84,11.72,12.09,14.31,15.56,14.88,15.06,16.97,18.0,16.31,13.88,13.38,13.22,11.22,8.31,7.5,8.41,7.84,6.66,7.81,11.47,14.31,15.41,16.66,19.66,22.66,23.0,22.69,24.25,26.09,25.69,23.94,23.66,24.41,23.66,20.28,17.91,17.25,15.97,12.41,9.91,10.44,11.97,11.78,10.78,11.91,13.47,13.12,11.78,12.22,14.69,16.75,16.88,17.22,19.38,19.91,17.28,14.19,12.94,12.41,9.78,6.84,5.78,6.16,5.22,3.38,3.06,5.19,7.06,6.88,7.69,10.75,14.12,15.19,15.72,18.59,21.91,22.06,20.5,19.38,18.84,16.38,11.75,8.0,6.59,5.38,1.72,-0.97,-0.72,-0.09,-1.59,-3.16,-1.88,1.06,2.5,3.19,5.75,9.69,12.12,12.38,12.78,15.22,17.0,15.91,14.19,15.0,15.62,13.56,10.41,9.5,9.59,7.34,4.09,1.88,2.12,2.19,0.75,0.19,2.41,4.16,3.28,2.09,3.06,5.22,5.75,6.41,9.03,13.66,16.59,17.22,18.0,19.84,20.03,17.31,14.34,13.53,12.72,9.78,6.81,6.56,8.12,8.25,7.59,8.38,10.47,10.31,7.78,5.62,5.88,6.16,4.56,4.5,7.03,10.56,11.72,11.97,13.94,16.84,17.41,16.41,16.69,18.34,18.47,16.66,15.0,15.78,16.53,14.62,12.47,12.91,14.5,14.38,13.94,15.56,18.88,20.16,19.16,18.56,19.16,17.91,14.06,10.5,9.66,9.53,7.69,5.91,6.94,9.69,11.12,12.03,14.56,18.34,19.97,18.78,17.91,18.81,19.47,17.19,14.56,14.28,13.97,11.59,8.53,7.75,8.66,8.0,6.84,7.62,10.84,13.22,13.25,13.25,14.62,15.47,13.38,10.78,11.16,11.88,10.56,8.5,8.25,9.56,8.69,6.38,5.34,6.78,7.66,7.0,7.59,10.88,14.09,15.28,15.62,18.09,21.12,21.62,19.97,19.62,19.97,18.88,16.53,15.72,17.81,19.5,18.78,17.88,18.94,19.84,18.09,15.59,15.78,16.84,16.56,14.78,14.25,15.38,15.28,12.69,10.84,11.62,11.69,9.5,7.25,7.97,9.41,9.69,9.31,10.91,13.91,14.84,13.56,12.81,13.81,13.59,11.12,9.06,9.62,9.78,7.41,4.66,4.5,5.72,6.0,5.72,7.75,11.22,13.09,12.72,12.91,14.88,15.84,14.62,13.31,14.84,16.44,15.81,14.25,14.72,15.66,14.47,11.56,10.28,10.59,10.0,7.47,6.0,6.78,7.28,5.75,4.12,5.84,8.09,8.94,9.12,11.5,14.75,15.72,14.38,13.44,13.62,12.31,8.81,6.34,6.66,7.81,6.56,4.72,5.41,6.28,5.31,3.81,4.69,7.5,9.19,8.91,9.47,11.38,12.75,11.25,10.0,11.47,13.31,12.66,11.94,12.97,14.78,14.44,12.12,10.78,11.38,11.5,10.28,10.78,13.94,16.5,15.53,13.84,13.62,13.22,11.09,8.25,8.12,9.69,10.38,9.44,9.53,11.16,11.31,8.75,6.88,7.75,9.34,9.47,9.91,12.62,15.84,16.12,14.72,14.25,14.91,14.22,11.81,10.78,11.69,12.56,11.03,9.66,10.66,12.34,11.69,10.75,11.78,14.22,14.59,13.12,12.75,13.5,13.56,11.34,10.84,13.31,16.62,17.12,17.0,18.09,18.62,16.44,13.25,11.81,11.91,10.97,8.41,7.62,8.78,9.41,7.62,6.22,7.09,7.81,6.34,4.72,5.75,7.31,6.91,5.97,6.44,7.91,7.84,5.72,4.22,5.0,5.84,4.91,5.22,8.69,12.75,14.28,15.44,18.34,21.69,22.66,21.56,21.0,21.41,19.78,15.72,12.84,12.25,11.94,9.72,7.69,7.5,8.59,7.31,6.06,7.38,10.47,12.41,13.03,14.22,17.16,18.53,16.97,15.47,15.62,15.56,13.09,11.06,12.06,14.88,16.16,16.62,18.28,20.91,21.0,18.72,17.12,17.06,16.66,14.28,12.44,13.19,14.31,13.25,11.44,11.69,13.03,11.94,9.94,9.59,10.47,10.09,8.12,7.25,9.28,11.53,12.09,12.78,15.28,18.09,17.97,17.56,18.69,21.31,22.44,21.75,22.09,23.88,24.72,23.31,22.59,23.78,24.75,22.75,20.28,19.75,19.88,17.75,14.91,14.03,14.62,13.97,12.28,11.81,13.62,15.28,14.88,14.72,17.12,19.47,19.12,18.03,18.19,19.47,18.72,16.66,15.78,16.5,15.47,12.31,9.44,8.47,6.84,2.62,-1.34,-2.72,-2.69,-3.94,-4.97,-3.22,0.56,3.19,4.66,7.38,11.91,14.88,14.81,14.47,15.78,16.41,14.69,12.88,13.22,14.31,13.0,10.75,9.97,10.78,10.62,8.88,8.38,10.31,11.5,10.88,10.34,12.38,14.44,14.0,12.22,12.78,14.5,14.59,14.44,16.09,19.72,21.97,21.59,20.84,21.25,20.16,16.59,12.91,11.84,11.94,10.56,8.47,8.03,9.34,9.41,8.56,9.56,13.03,16.41,18.31,20.97,26.25,30.91,32.62,32.81,33.62,34.0,31.41,27.47,25.28,24.94,23.91,21.75,20.84,22.03,22.0,19.22,15.84,14.62,13.72,11.69,9.69,10.59,13.66,15.19,15.16,16.25,18.59,19.03,17.19,15.97,17.09,18.03,17.44,17.03,19.25,22.0,22.69,32.81,33.25,30.97,28.72,28.16,28.38,27.91:26.81,24.91,23.22,23.44,23.31,21.19,19.09,19.62,21.31,20.94,19.22,18.94,19.66,18.5,15.69,14.22,15.19,16.03,14.91,14.72,17.19,19.91,20.56,20.38,22.47,25.34,25.78,25.06,25.78,27.84,28.66,27.72,26.91,28.78,29.75,28.03,26.41,26.91,27.84,26.16,23.59,22.88,23.22,22.75,21.44,22.06,24.88,26.66,25.91,24.84,26.06,26.5,24.66,22.34,22.81,24.47,24.09,23.0,23.56,25.28,25.59,23.69,23.38,25.16,26.41,25.38,24.91,26.69,28.72,28.03,26.59,27.16,27.97,27.0,24.28,23.53,24.31,23.75,21.34,19.81,20.53,21.16,20.0,19.06,20.53,22.19,21.53,19.81,19.97,20.75,19.53,16.66,14.84,14.66,13.19,9.91,7.72,8.0,8.66,7.44,6.03,7.53,9.66,9.62,8.31,9.0,10.75,11.28,10.06,10.09,12.19,13.5,11.62,10.16,10.78,11.47,9.78,7.53,7.78,8.94,8.62,6.59,6.5,7.97,8.41,6.84,6.91,9.75,12.41,12.91,13.38,16.28,19.22,19.25,18.0,18.44,19.44,18.44,15.88,14.44,15.09,15.16,13.22,13.06,15.69,18.38,18.59,18.41,19.75,21.03,19.84,17.62,17.16,17.88,17.12,14.69,13.44,14.34,15.44,14.34,14.66,17.53,21.16,22.62,23.62,26.53,29.69,30.72,29.81,30.38,32.12,31.91,29.34,27.44,27.0,26.88,24.31,22.22,22.44,23.22,20.94,17.72,16.12,15.09,12.69,9.34,8.56,10.41,12.66,13.5,15.22,19.06,22.09,21.91,20.59,20.47,20.94,19.31,17.25,17.5,19.84,21.0,20.44,21.25,23.81,25.16,24.56,24.0,25.5,26.88,25.25,23.47,23.19,23.94,22.72,20.81,20.03,20.56,19.31,15.34,12.75,11.91,11.16,9.03,7.91,10.25,14.09,15.94,17.88,21.97,27.09,30.28,31.31,32.88,34.78,34.53,30.78,26.97,24.75,21.78,16.38,10.88,8.41,7.75,6.66,6.5,9.0,13.5,16.56,17.38,18.62,21.34,23.0,22.34,22.28,24.47,26.31,25.59,23.88,23.91,24.75,23.44,21.25,20.59,22.12,22.28,20.84,20.62,22.03,23.06,21.56,19.75,20.19,21.09,20.09,19.0,20.19,22.75,23.56,22.94,23.09,25.16,26.28,25.38,25.16,26.97,28.12,26.41,23.69,22.75,22.03,19.78,17.0,16.19,17.5,17.12,15.53,14.28,15.03,14.5,12.09,10.5,11.31,12.62,11.69,10.25,10.69,12.28,12.28,11.59,12.44,14.69,15.81,15.12,14.69,15.94,16.62,14.5,12.16,12.12,12.88,12.31,10.97,11.97,13.88,14.31,12.94,12.62,14.34,15.59,15.06,15.31,18.66,21.62,22.38,21.84,23.06,24.12,22.75,19.84,18.78,19.19,18.28,16.09,14.84,16.09,16.94,16.19,16.12,18.59,20.69,20.41,19.12,19.59,21.0,20.84,19.28,19.06,20.44,20.53,18.44,16.56,16.94,16.16,12.88,9.59,8.75,8.66,7.25,5.66,6.69,9.0,10.41,10.5,11.84,15.09,17.0,16.59,15.81,16.44,17.0,15.06,12.88,12.88,13.91,12.72,10.84,10.88,11.66,11.62,10.0,9.16,10.34,11.41,9.94,8.78,10.34,11.72,10.94,9.53,10.38,12.28,12.78,12.31,13.81,17.16,19.41,19.12,18.59,19.53,19.22,16.34,13.5,13.41,14.25,13.5,12.22,12.62,13.97,13.59,10.75,8.84,8.47,7.59,4.84,4.12,7.41,11.28,13.53,15.19,17.81,19.88,19.62,18.06,18.72,21.09,22.94,23.31,24.28,26.59,27.81,26.06,23.62,23.28,22.94,20.41,17.16,16.19,16.12,14.31,11.03,9.62,10.44,10.53,9.31,9.31,12.28,15.19,15.25,15.12,17.44,20.06,20.0,18.97,19.66,21.16,20.97,19.16,19.06,20.38,20.66,18.56,16.72,16.59,15.94,12.72,8.56,6.94,6.47,5.16,3.78,5.47,8.75,10.94,10.5,11.19,13.28,15.09,14.16,13.53,15.38,17.47,16.25,14.06,14.28,14.88,13.84,11.72,12.09,14.31,15.56,14.88,15.06,16.97,18.0,16.31,13.88,13.38,13.22,11.22,8.31,7.5,8.41,7.84,6.66,7.81,11.47,14.31,15.41,16.66,19.66,22.66,23.0,22.69,24.25,26.09,25.69,23.94,23.66,24.41,23.66,20.28,17.91,17.25,15.97,12.41,9.91,10.44,11.97,11.78,10.78,11.91,13.47,13.12,11.78,12.22,14.69,16.75,16.88,17.22,19.38,19.91,17.28,14.19,12.94,12.41,9.78,6.84,5.78,6.16,5.22,3.38,3.06,5.19,7.06,6.88,7.69,10.75,14.12,15.19,15.72,18.59,21.91,22.06,20.5,19.38,18.84,16.38,11.75,8.0,6.59,5.38,1.72,-0.97,-0.72,-0.09,-1.59,-3.16,-1.88,1.06,2.5,3.19,5.75,9.69,12.12,12.38,12.78,15.22,17.0,15.91,14.19,15.0,15.62,13.56,10.41,9.5,9.59,7.34,4.09,1.88,2.12,2.19,0.75,0.19,2.41,4.16,3.28,2.09,3.06,5.22,5.75,6.41,9.03,13.66,16.59,17.22,18.0,19.84,20.03,17.31,14.34,13.53,12.72,9.78,6.81,6.56,8.12,8.25,7.59,8.38,10.47,10.31,7.78,5.62,5.88,6.16,4.56,4.5,7.03,10.56,11.72,11.97,13.94,16.84,17.41,16.41,16.69,18.34,18.47,16.66,15.0,15.78,16.53,14.62,12.47,12.91,14.5,14.38,13.94,15.56,18.88,20.16,19.16,18.56,19.16,17.91,14.06,10.5,9.66,9.53,7.69,5.91,6.94,9.69,11.12,12.03,14.56,18.34,19.97,18.78,17.91,18.81,19.47,17.19,14.56,14.28,13.97,11.59,8.53,7.75,8.66,8.0,6.84,7.62,10.84,13.22,13.25,13.25,14.62,15.47,13.38,10.78,11.16,11.88,10.56,8.5,8.25,9.56,8.69,6.38,5.34,6.78,7.66,7.0,7.59,10.88,14.09,15.28,15.62,18.09,21.12,21.62,19.97,19.62,19.97,18.88,16.53,15.72,17.81,19.5,18.78,17.88,18.94,19.84,18.09,15.59,15.78,16.84,16.56,14.78,14.25,15.38,15.28,12.69,10.84,11.62,11.69,9.5,7.25,7.97,9.41,9.69,9.31,10.91,13.91,14.84,13.56,12.81,13.81,13.59,11.12,9.06,9.62,9.78,7.41,4.66,4.5,5.72,6.0,5.72,7.75,11.22,13.09,12.72,12.91,14.88,15.84,14.62,13.31,14.84,16.44,15.81,14.25,14.72,15.66,14.47,11.56,10.28,10.59,10.0,7.47,6.0,6.78,7.28,5.75,4.12,5.84,8.09,8.94,9.12,11.5,14.75,15.72,14.38,13.44,13.62,12.31,8.81,6.34,6.66,7.81,6.56,4.72,5.41,6.28,5.31,3.81,4.69,7.5,9.19,8.91,9.47,11.38,12.75,11.25,10.0,11.47,13.31,12.66,11.94,12.97,14.78,14.44,12.12,10.78,11.38,11.5,10.28,10.78,13.94,16.5,15.53,13.84,13.62,13.22,11.09,8.25,8.12,9.69,10.38,9.44,9.53,11.16,11.31,8.75,6.88,7.75,9.34,9.47,9.91,12.62,15.84,16.12,14.72,14.25,14.91,14.22,11.81,10.78,11.69,12.56,11.03,9.66,10.66,12.34,11.69,10.75,11.78,14.22,14.59,13.12,12.75,13.5,13.56,11.34,10.84,13.31,16.62,17.12,17.0,18.09,18.62,16.44,13.25,11.81,11.91,10.97,8.41,7.62,8.78,9.41,7.62,6.22,7.09,7.81,6.34,4.72,5.75,7.31,6.91,5.97,6.44,7.91,7.84,5.72,4.22,5.0,5.84,4.91,5.22,8.69,12.75,14.28,15.44,18.34,21.69,22.66,21.56,21.0,21.41,19.78,15.72,12.84,12.25,11.94,9.72,7.69,7.5,8.59,7.31,6.06,7.38,10.47,12.41,13.03,14.22,17.16,18.53,16.97,15.47,15.62,15.56,13.09,11.06,12.06,14.88,16.16,16.62,18.28,20.91,21.0,18.72,17.12,17.06,16.66,14.28,12.44,13.19,14.31,13.25,11.44,11.69,13.03,11.94,9.94,9.59,10.47,10.09,8.12,7.25,9.28,11.53,12.09,12.78,15.28,18.09,17.97,17.56,18.69,21.31,22.44,21.75,22.09,23.88,24.72,23.31,22.59,23.78,24.75,22.75,20.28,19.75,19.88,17.75,14.91,14.03,14.62,13.97,12.28,11.81,13.62,15.28,14.88,14.72,17.12,19.47,19.12,18.03,18.19,19.47,18.72,16.66,15.78,16.5,15.47,12.31,9.44,8.47,6.84,2.62,-1.34,-2.72,-2.69,-3.94,-4.97,-3.22,0.56,3.19,4.66,7.38,11.91,14.88,14.81,14.47,15.78,16.41,14.69,12.88,13.22,14.31,13.0,10.75,9.97,10.78,10.62,8.88,8.38,10.31,11.5,10.88,10.34,12.38,14.44,14.0,12.22,12.78,14.5,14.59,14.44,16.09,19.72,21.97,21.59,20.84,21.25,20.16,16.59,12.91,11.84,11.94,10.56,8.47,8.03,9.34,9.41,8.56,9.56,13.03,16.41,18.31,20.97,26.25,30.91,32.62,32.81,33.62,34.0,31.41,27.47,25.28,24.94,23.91,21.75,20.84,22.03,22.0,19.22,15.84,14.62,13.72,11.69,9.69,10.59,13.66,15.19,15.16,16.25,18.59,19.03,17.19,15.97,17.09,18.03,17.44,17.03,19.25,22.0,22.69,32.81,33.25,30.97,28.72,28.16,28.38,27.91,27.56,29.03,31.19,32.28,32.09,32.97,35.03:19.62,21.31,20.94,19.22,18.94,19.66,18.5,15.69,14.22,15.19,16.03,14.91,14.72,17.19,19.91,20.56,20.38,22.47,25.34,25.78,25.06,25.78,27.84,28.66,27.72,26.91,28.78,29.75,28.03,26.41,26.91,27.84,26.16,23.59,22.88,23.22,22.75,21.44,22.06,24.88,26.66,25.91,24.84,26.06,26.5,24.66,22.34,22.81,24.47,24.09,23.0,23.56,25.28,25.59,23.69,23.38,25.16,26.41,25.38,24.91,26.69,28.72,28.03,26.59,27.16,27.97,27.0,24.28,23.53,24.31,23.75,21.34,19.81,20.53,21.16,20.0,19.06,20.53,22.19,21.53,19.81,19.97,20.75,19.53,16.66,14.84,14.66,13.19,9.91,7.72,8.0,8.66,7.44,6.03,7.53,9.66,9.62,8.31,9.0,10.75,11.28,10.06,10.09,12.19,13.5,11.62,10.16,10.78,11.47,9.78,7.53,7.78,8.94,8.62,6.59,6.5,7.97,8.41,6.84,6.91,9.75,12.41,12.91,13.38,16.28,19.22,19.25,18.0,18.44,19.44,18.44,15.88,14.44,15.09,15.16,13.22,13.06,15.69,18.38,18.59,18.41,19.75,21.03,19.84,17.62,17.16,17.88,17.12,14.69,13.44,14.34,15.44,14.34,14.66,17.53,21.16,22.62,23.62,26.53,29.69,30.72,29.81,30.38,32.12,31.91,29.34,27.44,27.0,26.88,24.31,22.22,22.44,23.22,20.94,17.72,16.12,15.09,12.69,9.34,8.56,10.41,12.66,13.5,15.22,19.06,22.09,21.91,20.59,20.47,20.94,19.31,17.25,17.5,19.84,21.0,20.44,21.25,23.81,25.16,24.56,24.0,25.5,26.88,25.25,23.47,23.19,23.94,22.72,20.81,20.03,20.56,19.31,15.34,12.75,11.91,11.16,9.03,7.91,10.25,14.09,15.94,17.88,21.97,27.09,30.28,31.31,32.88,34.78,34.53,30.78,26.97,24.75,21.78,16.38,10.88,8.41,7.75,6.66,6.5,9.0,13.5,16.56,17.38,18.62,21.34,23.0,22.34,22.28,24.47,26.31,25.59,23.88,23.91,24.75,23.44,21.25,20.59,22.12,22.28,20.84,20.62,22.03,23.06,21.56,19.75,20.19,21.09,20.09,19.0,20.19,22.75,23.56,22.94,23.09,25.16,26.28,25.38,25.16,26.97,28.12,26.41,23.69,22.75,22.03,19.78,17.0,16.19,17.5,17.12,15.53,14.28,15.03,14.5,12.09,10.5,11.31,12.62,11.69,10.25,10.69,12.28,12.28,11.59,12.44,14.69,15.81,15.12,14.69,15.94,16.62,14.5,12.16,12.12,12.88,12.31,10.97,11.97,13.88,14.31,12.94,12.62,14.34,15.59,15.06,15.31,18.66,21.62,22.38,21.84,23.06,24.12,22.75,19.84,18.78,19.19,18.28,16.09,14.84,16.09,16.94,16.19,16.12,18.59,20.69,20.41,19.12,19.59,21.0,20.84,19.28,19.06,20.44,20.53,18.44,16.56,16.94,16.16,12.88,9.59,8.75,8.66,7.25,5.66,6.69,9.0,10.41,10.5,11.84,15.09,17.0,16.59,15.81,16.44,17.0,15.06,12.88,12.88,13.91,12.72,10.84,10.88,11.66,11.62,10.0,9.16,10.34,11.41,9.94,8.78,10.34,11.72,10.94,9.53,10.38,12.28,12.78,12.31,13.81,17.16,19.41,19.12,18.59,19.53,19.22,16.34,13.5,13.41,14.25,13.5,12.22,12.62,13.97,13.59,10.75,8.84,8.47,7.59,4.84,4.12,7.41,11.28,13.53,15.19,17.81,19.88,19.62,18.06,18.72,21.09,22.94,23.31,24.28,26.59,27.81,26.06,23.62,23.28,22.94,20.41,17.16,16.19,16.12,14.31,11.03,9.62,10.44,10.53,9.31,9.31,12.28,15.19,15.25,15.12,17.44,20.06,20.0,18.97,19.66,21.16,20.97,19.16,19.06,20.38,20.66,18.56,16.72,16.59,15.94,12.72,8.56,6.94,6.47,5.16,3.78,5.47,8.75,10.94,10.5,11.19,13.28,15.09,14.16,13.53,15.38,17.47,16.25,14.06,14.28,14.88,13.84,11.72,12.09,14.31,15.56,14.88,15.06,16.97,18.0,16.31,13.88,13.38,13.22,11.22,8.31,7.5,8.41,7.84,6.66,7.81,11.47,14.31,15.41,16.66,19.66,22.66,23.0,22.69,24.25,26.09,25.69,23.94,23.66,24.41,23.66,20.28,17.91,17.25,15.97,12.41,9.91,10.44,11.97,11.78,10.78,11.91,13.47,13.12,11.78,12.22,14.69,16.75,16.88,17.22,19.38,19.91,17.28,14.19,12.94,12.41,9.78,6.84,5.78,6.16,5.22,3.38,3.06,5.19,7.06,6.88,7.69,10.75,14.12,15.19,15.72,18.59,21.91,22.06,20.5,19.38,18.84,16.38,11.75,8.0,6.59,5.38,1.72,-0.97,-0.72,-0.09,-1.59,-3.16,-1.88,1.06,2.5,3.19,5.75,9.69,12.12,12.38,12.78,15.22,17.0,15.91,14.19,15.0,15.62,13.56,10.41,9.5,9.59,7.34,4.09,1.88,2.12,2.19,0.75,0.19,2.41,4.16,3.28,2.09,3.06,5.22,5.75,6.41,9.03,13.66,16.59,17.22,18.0,19.84,20.03,17.31,14.34,13.53,12.72,9.78,6.81,6.56,8.12,8.25,7.59,8.38,10.47,10.31,7.78,5.62,5.88,6.16,4.56,4.5,7.03,10.56,11.72,11.97,13.94,16.84,17.41,16.41,16.69,18.34,18.47,16.66,15.0,15.78,16.53,14.62,12.47,12.91,14.5,14.38,13.94,15.56,18.88,20.16,19.16,18.56,19.16,17.91,14.06,10.5,9.66,9.53,7.69,5.91,6.94,9.69,11.12,12.03,14.56,18.34,19.97,18.78,17.91,18.81,19.47,17.19,14.56,14.28,13.97,11.59,8.53,7.75,8.66,8.0,6.84,7.62,10.84,13.22,13.25,13.25,14.62,15.47,13.38,10.78,11.16,11.88,10.56,8.5,8.25,9.56,8.69,6.38,5.34,6.78,7.66,7.0,7.59,10.88,14.09,15.28,15.62,18.09,21.12,21.62,19.97,19.62,19.97,18.88,16.53,15.72,17.81,19.5,18.78,17.88,18.94,19.84,18.09,15.59,15.78,16.84,16.56,14.78,14.25,15.38,15.28,12.69,10.84,11.62,11.69,9.5,7.25,7.97,9.41,9.69,9.31,10.91,13.91,14.84,13.56,12.81,13.81,13.59,11.12,9.06,9.62,9.78,7.41,4.66,4.5,5.72,6.0,5.72,7.75,11.22,13.09,12.72,12.91,14.88,15.84,14.62,13.31,14.84,16.44,15.81,14.25,14.72,15.66,14.47,11.56,10.28,10.59,10.0,7.47,6.0,6.78,7.28,5.75,4.12,5.84,8.09,8.94,9.12,11.5,14.75,15.72,14.38,13.44,13.62,12.31,8.81,6.34,6.66,7.81,6.56,4.72,5.41,6.28,5.31,3.81,4.69,7.5,9.19,8.91,9.47,11.38,12.75,11.25,10.0,11.47,13.31,12.66,11.94,12.97,14.78,14.44,12.12,10.78,11.38,11.5,10.28,10.78,13.94,16.5,15.53,13.84,13.62,13.22,11.09,8.25,8.12,9.69,10.38,9.44,9.53,11.16,11.31,8.75,6.88,7.75,9.34,9.47,9.91,12.62,15.84,16.12,14.72,14.25,14.91,14.22,11.81,10.78,11.69,12.56,11.03,9.66,10.66,12.34,11.69,10.75,11.78,14.22,14.59,13.12,12.75,13.5,13.56,11.34,10.84,13.31,16.62,17.12,17.0,18.09,18.62,16.44,13.25,11.81,11.91,10.97,8.41,7.62,8.78,9.41,7.62,6.22,7.09,7.81,6.34,4.72,5.75,7.31,6.91,5.97,6.44,7.91,7.84,5.72,4.22,5.0,5.84,4.91,5.22,8.69,12.75,14.28,15.44,18.34,21.69,22.66,21.56,21.0,21.41,19.78,15.72,12.84,12.25,11.94,9.72,7.69,7.5,8.59,7.31,6.06,7.38,10.47,12.41,13.03,14.22,17.16,18.53,16.97,15.47,15.62,15.56,13.09,11.06,12.06,14.88,16.16,16.62,18.28,20.91,21.0,18.72,17.12,17.06,16.66,14.28,12.44,13.19,14.31,13.25,11.44,11.69,13.03,11.94,9.94,9.59,10.47,10.09,8.12,7.25,9.28,11.53,12.09,12.78,15.28,18.09,17.97,17.56,18.69,21.31,22.44,21.75,22.09,23.88,24.72,23.31,22.59,23.78,24.75,22.75,20.28,19.75,19.88,17.75,14.91,14.03,14.62,13.97,12.28,11.81,13.62,15.28,14.88,14.72,17.12,19.47,19.12,18.03,18.19,19.47,18.72,16.66,15.78,16.5,15.47,12.31,9.44,8.47,6.84,2.62,-1.34,-2.72,-2.69,-3.94,-4.97,-3.22,0.56,3.19,4.66,7.38,11.91,14.88,14.81,14.47,15.78,16.41,14.69,12.88,13.22,14.31,13.0,10.75,9.97,10.78,10.62,8.88,8.38,10.31,11.5,10.88,10.34,12.38,14.44,14.0,12.22,12.78,14.5,14.59,14.44,16.09,19.72,21.97,21.59,20.84,21.25,20.16,16.59,12.91,11.84,11.94,10.56,8.47,8.03,9.34,9.41,8.56,9.56,13.03,16.41,18.31,20.97,26.25,30.91,32.62,32.81,33.62,34.0,31.41,27.47,25.28,24.94,23.91,21.75,20.84,22.03,22.0,19.22,15.84,14.62,13.72,11.69,9.69,10.59,13.66,15.19,15.16,16.25,18.59,19.03,17.19,15.97,17.09,18.03,17.44,17.03,19.25,22.0,22.69,32.81,33.25,30.97,28.72,28.16,28.38,27.91,27.56,29.03,31.19,32.28,32.09,32.97,35.03,35.91,35.25,34.59,35.12,35.16,33.88,32.72:15.69,14.22,15.19,16.03,14.91,14.72,17.19,19.91,20.56,20.38,22.47,25.34,25.78,25.06,25.78,27.84,28.66,27.72,26.91,28.78,29.75,28.03,26.41,26.91,27.84,26.16,23.59,22.88,23.22,22.75,21.44,22.06,24.88,26.66,25.91,24.84,26.06,26.5,24.66,22.34,22.81,24.47,24.09,23.0,23.56,25.28,25.59,23.69,23.38,25.16,26.41,25.38,24.91,26.69,28.72,28.03,26.59,27.16,27.97,27.0,24.28,23.53,24.31,23.75,21.34,19.81,20.53,21.16,20.0,19.06,20.53,22.19,21.53,19.81,19.97,20.75,19.53,16.66,14.84,14.66,13.19,9.91,7.72,8.0,8.66,7.44,6.03,7.53,9.66,9.62,8.31,9.0,10.75,11.28,10.06,10.09,12.19,13.5,11.62,10.16,10.78,11.47,9.78,7.53,7.78,8.94,8.62,6.59,6.5,7.97,8.41,6.84,6.91,9.75,12.41,12.91,13.38,16.28,19.22,19.25,18.0,18.44,19.44,18.44,15.88,14.44,15.09,15.16,13.22,13.06,15.69,18.38,18.59,18.41,19.75,21.03,19.84,17.62,17.16,17.88,17.12,14.69,13.44,14.34,15.44,14.34,14.66,17.53,21.16,22.62,23.62,26.53,29.69,30.72,29.81,30.38,32.12,31.91,29.34,27.44,27.0,26.88,24.31,22.22,22.44,23.22,20.94,17.72,16.12,15.09,12.69,9.34,8.56,10.41,12.66,13.5,15.22,19.06,22.09,21.91,20.59,20.47,20.94,19.31,17.25,17.5,19.84,21.0,20.44,21.25,23.81,25.16,24.56,24.0,25.5,26.88,25.25,23.47,23.19,23.94,22.72,20.81,20.03,20.56,19.31,15.34,12.75,11.91,11.16,9.03,7.91,10.25,14.09,15.94,17.88,21.97,27.09,30.28,31.31,32.88,34.78,34.53,30.78,26.97,24.75,21.78,16.38,10.88,8.41,7.75,6.66,6.5,9.0,13.5,16.56,17.38,18.62,21.34,23.0,22.34,22.28,24.47,26.31,25.59,23.88,23.91,24.75,23.44,21.25,20.59,22.12,22.28,20.84,20.62,22.03,23.06,21.56,19.75,20.19,21.09,20.09,19.0,20.19,22.75,23.56,22.94,23.09,25.16,26.28,25.38,25.16,26.97,28.12,26.41,23.69,22.75,22.03,19.78,17.0,16.19,17.5,17.12,15.53,14.28,15.03,14.5,12.09,10.5,11.31,12.62,11.69,10.25,10.69,12.28,12.28,11.59,12.44,14.69,15.81,15.12,14.69,15.94,16.62,14.5,12.16,12.12,12.88,12.31,10.97,11.97,13.88,14.31,12.94,12.62,14.34,15.59,15.06,15.31,18.66,21.62,22.38,21.84,23.06,24.12,22.75,19.84,18.78,19.19,18.28,16.09,14.84,16.09,16.94,16.19,16.12,18.59,20.69,20.41,19.12,19.59,21.0,20.84,19.28,19.06,20.44,20.53,18.44,16.56,16.94,16.16,12.88,9.59,8.75,8.66,7.25,5.66,6.69,9.0,10.41,10.5,11.84,15.09,17.0,16.59,15.81,16.44,17.0,15.06,12.88,12.88,13.91,12.72,10.84,10.88,11.66,11.62,10.0,9.16,10.34,11.41,9.94,8.78,10.34,11.72,10.94,9.53,10.38,12.28,12.78,12.31,13.81,17.16,19.41,19.12,18.59,19.53,19.22,16.34,13.5,13.41,14.25,13.5,12.22,12.62,13.97,13.59,10.75,8.84,8.47,7.59,4.84,4.12,7.41,11.28,13.53,15.19,17.81,19.88,19.62,18.06,18.72,21.09,22.94,23.31,24.28,26.59,27.81,26.06,23.62,23.28,22.94,20.41,17.16,16.19,16.12,14.31,11.03,9.62,10.44,10.53,9.31,9.31,12.28,15.19,15.25,15.12,17.44,20.06,20.0,18.97,19.66,21.16,20.97,19.16,19.06,20.38,20.66,18.56,16.72,16.59,15.94,12.72,8.56,6.94,6.47,5.16,3.78,5.47,8.75,10.94,10.5,11.19,13.28,15.09,14.16,13.53,15.38,17.47,16.25,14.06,14.28,14.88,13.84,11.72,12.09,14.31,15.56,14.88,15.06,16.97,18.0,16.31,13.88,13.38,13.22,11.22,8.31,7.5,8.41,7.84,6.66,7.81,11.47,14.31,15.41,16.66,19.66,22.66,23.0,22.69,24.25,26.09,25.69,23.94,23.66,24.41,23.66,20.28,17.91,17.25,15.97,12.41,9.91,10.44,11.97,11.78,10.78,11.91,13.47,13.12,11.78,12.22,14.69,16.75,16.88,17.22,19.38,19.91,17.28,14.19,12.94,12.41,9.78,6.84,5.78,6.16,5.22,3.38,3.06,5.19,7.06,6.88,7.69,10.75,14.12,15.19,15.72,18.59,21.91,22.06,20.5,19.38,18.84,16.38,11.75,8.0,6.59,5.38,1.72,-0.97,-0.72,-0.09,-1.59,-3.16,-1.88,1.06,2.5,3.19,5.75,9.69,12.12,12.38,12.78,15.22,17.0,15.91,14.19,15.0,15.62,13.56,10.41,9.5,9.59,7.34,4.09,1.88,2.12,2.19,0.75,0.19,2.41,4.16,3.28,2.09,3.06,5.22,5.75,6.41,9.03,13.66,16.59,17.22,18.0,19.84,20.03,17.31,14.34,13.53,12.72,9.78,6.81,6.56,8.12,8.25,7.59,8.38,10.47,10.31,7.78,5.62,5.88,6.16,4.56,4.5,7.03,10.56,11.72,11.97,13.94,16.84,17.41,16.41,16.69,18.34,18.47,16.66,15.0,15.78,16.53,14.62,12.47,12.91,14.5,14.38,13.94,15.56,18.88,20.16,19.16,18.56,19.16,17.91,14.06,10.5,9.66,9.53,7.69,5.91,6.94,9.69,11.12,12.03,14.56,18.34,19.97,18.78,17.91,18.81,19.47,17.19,14.56,14.28,13.97,11.59,8.53,7.75,8.66,8.0,6.84,7.62,10.84,13.22,13.25,13.25,14.62,15.47,13.38,10.78,11.16,11.88,10.56,8.5,8.25,9.56,8.69,6.38,5.34,6.78,7.66,7.0,7.59,10.88,14.09,15.28,15.62,18.09,21.12,21.62,19.97,19.62,19.97,18.88,16.53,15.72,17.81,19.5,18.78,17.88,18.94,19.84,18.09,15.59,15.78,16.84,16.56,14.78,14.25,15.38,15.28,12.69,10.84,11.62,11.69,9.5,7.25,7.97,9.41,9.69,9.31,10.91,13.91,14.84,13.56,12.81,13.81,13.59,11.12,9.06,9.62,9.78,7.41,4.66,4.5,5.72,6.0,5.72,7.75,11.22,13.09,12.72,12.91,14.88,15.84,14.62,13.31,14.84,16.44,15.81,14.25,14.72,15.66,14.47,11.56,10.28,10.59,10.0,7.47,6.0,6.78,7.28,5.75,4.12,5.84,8.09,8.94,9.12,11.5,14.75,15.72,14.38,13.44,13.62,12.31,8.81,6.34,6.66,7.81,6.56,4.72,5.41,6.28,5.31,3.81,4.69,7.5,9.19,8.91,9.47,11.38,12.75,11.25,10.0,11.47,13.31,12.66,11.94,12.97,14.78,14.44,12.12,10.78,11.38,11.5,10.28,10.78,13.94,16.5,15.53,13.84,13.62,13.22,11.09,8.25,8.12,9.69,10.38,9.44,9.53,11.16,11.31,8.75,6.88,7.75,9.34,9.47,9.91,12.62,15.84,16.12,14.72,14.25,14.91,14.22,11.81,10.78,11.69,12.56,11.03,9.66,10.66,12.34,11.69,10.75,11.78,14.22,14.59,13.12,12.75,13.5,13.56,11.34,10.84,13.31,16.62,17.12,17.0,18.09,18.62,16.44,13.25,11.81,11.91,10.97,8.41,7.62,8.78,9.41,7.62,6.22,7.09,7.81,6.34,4.72,5.75,7.31,6.91,5.97,6.44,7.91,7.84,5.72,4.22,5.0,5.84,4.91,5.22,8.69,12.75,14.28,15.44,18.34,21.69,22.66,21.56,21.0,21.41,19.78,15.72,12.84,12.25,11.94,9.72,7.69,7.5,8.59,7.31,6.06,7.38,10.47,12.41,13.03,14.22,17.16,18.53,16.97,15.47,15.62,15.56,13.09,11.06,12.06,14.88,16.16,16.62,18.28,20.91,21.0,18.72,17.12,17.06,16.66,14.28,12.44,13.19,14.31,13.25,11.44,11.69,13.03,11.94,9.94,9.59,10.47,10.09,8.12,7.25,9.28,11.53,12.09,12.78,15.28,18.09,17.97,17.56,18.69,21.31,22.44,21.75,22.09,23.88,24.72,23.31,22.59,23.78,24.75,22.75,20.28,19.75,19.88,17.75,14.91,14.03,14.62,13.97,12.28,11.81,13.62,15.28,14.88,14.72,17.12,19.47,19.12,18.03,18.19,19.47,18.72,16.66,15.78,16.5,15.47,12.31,9.44,8.47,6.84,2.62,-1.34,-2.72,-2.69,-3.94,-4.97,-3.22,0.56,3.19,4.66,7.38,11.91,14.88,14.81,14.47,15.78,16.41,14.69,12.88,13.22,14.31,13.0,10.75,9.97,10.78,10.62,8.88,8.38,10.31,11.5,10.88,10.34,12.38,14.44,14.0,12.22,12.78,14.5,14.59,14.44,16.09,19.72,21.97,21.59,20.84,21.25,20.16,16.59,12.91,11.84,11.94,10.56,8.47,8.03,9.34,9.41,8.56,9.56,13.03,16.41,18.31,20.97,26.25,30.91,32.62,32.81,33.62,34.0,31.41,27.47,25.28,24.94,23.91,21.75,20.84,22.03,22.0,19.22,15.84,14.62,13.72,11.69,9.69,10.59,13.66,15.19,15.16,16.25,18.59,19.03,17.19,15.97,17.09,18.03,17.44,17.03,19.25,22.0,22.69,32.81,33.25,30.97,28.72,28.16,28.38,27.91,27.56,29.03,31.19,32.28,32.09,32.97,35.03,35.91,35.25,34.59,35.12,35.16,33.88,32.72,33.38,34.62,34.25,32.62,31.66,31.06,29.44:19.91,20.56,20.38,22.47,25.34,25.78,25.06,25.78,27.84,28.66,27.72,26.91,28.78,29.75,28.03,26.41,26.91,27.84,26.16,23.59,22.88,23.22,22.75,21.44,22.06,24.88,26.66,25.91,24.84,26.06,26.5,24.66,22.34,22.81,24.47,24.09,23.0,23.56,25.28,25.59,23.69,23.38,25.16,26.41,25.38,24.91,26.69,28.72,28.03,26.59,27.16,27.97,27.0,24.28,23.53,24.31,23.75,21.34,19.81,20.53,21.16,20.0,19.06,20.53,22.19,21.53,19.81,19.97,20.75,19.53,16.66,14.84,14.66,13.19,9.91,7.72,8.0,8.66,7.44,6.03,7.53,9.66,9.62,8.31,9.0,10.75,11.28,10.06,10.09,12.19,13.5,11.62,10.16,10.78,11.47,9.78,7.53,7.78,8.94,8.62,6.59,6.5,7.97,8.41,6.84,6.91,9.75,12.41,12.91,13.38,16.28,19.22,19.25,18.0,18.44,19.44,18.44,15.88,14.44,15.09,15.16,13.22,13.06,15.69,18.38,18.59,18.41,19.75,21.03,19.84,17.62,17.16,17.88,17.12,14.69,13.44,14.34,15.44,14.34,14.66,17.53,21.16,22.62,23.62,26.53,29.69,30.72,29.81,30.38,32.12,31.91,29.34,27.44,27.0,26.88,24.31,22.22,22.44,23.22,20.94,17.72,16.12,15.09,12.69,9.34,8.56,10.41,12.66,13.5,15.22,19.06,22.09,21.91,20.59,20.47,20.94,19.31,17.25,17.5,19.84,21.0,20.44,21.25,23.81,25.16,24.56,24.0,25.5,26.88,25.25,23.47,23.19,23.94,22.72,20.81,20.03,20.56,19.31,15.34,12.75,11.91,11.16,9.03,7.91,10.25,14.09,15.94,17.88,21.97,27.09,30.28,31.31,32.88,34.78,34.53,30.78,26.97,24.75,21.78,16.38,10.88,8.41,7.75,6.66,6.5,9.0,13.5,16.56,17.38,18.62,21.34,23.0,22.34,22.28,24.47,26.31,25.59,23.88,23.91,24.75,23.44,21.25,20.59,22.12,22.28,20.84,20.62,22.03,23.06,21.56,19.75,20.19,21.09,20.09,19.0,20.19,22.75,23.56,22.94,23.09,25.16,26.28,25.38,25.16,26.97,28.12,26.41,23.69,22.75,22.03,19.78,17.0,16.19,17.5,17.12,15.53,14.28,15.03,14.5,12.09,10.5,11.31,12.62,11.69,10.25,10.69,12.28,12.28,11.59,12.44,14.69,15.81,15.12,14.69,15.94,16.62,14.5,12.16,12.12,12.88,12.31,10.97,11.97,13.88,14.31,12.94,12.62,14.34,15.59,15.06,15.31,18.66,21.62,22.38,21.84,23.06,24.12,22.75,19.84,18.78,19.19,18.28,16.09,14.84,16.09,16.94,16.19,16.12,18.59,20.69,20.41,19.12,19.59,21.0,20.84,19.28,19.06,20.44,20.53,18.44,16.56,16.94,16.16,12.88,9.59,8.75,8.66,7.25,5.66,6.69,9.0,10.41,10.5,11.84,15.09,17.0,16.59,15.81,16.44,17.0,15.06,12.88,12.88,13.91,12.72,10.84,10.88,11.66,11.62,10.0,9.16,10.34,11.41,9.94,8.78,10.34,11.72,10.94,9.53,10.38,12.28,12.78,12.31,13.81,17.16,19.41,19.12,18.59,19.53,19.22,16.34,13.5,13.41,14.25,13.5,12.22,12.62,13.97,13.59,10.75,8.84,8.47,7.59,4.84,4.12,7.41,11.28,13.53,15.19,17.81,19.88,19.62,18.06,18.72,21.09,22.94,23.31,24.28,26.59,27.81,26.06,23.62,23.28,22.94,20.41,17.16,16.19,16.12,14.31,11.03,9.62,10.44,10.53,9.31,9.31,12.28,15.19,15.25,15.12,17.44,20.06,20.0,18.97,19.66,21.16,20.97,19.16,19.06,20.38,20.66,18.56,16.72,16.59,15.94,12.72,8.56,6.94,6.47,5.16,3.78,5.47,8.75,10.94,10.5,11.19,13.28,15.09,14.16,13.53,15.38,17.47,16.25,14.06,14.28,14.88,13.84,11.72,12.09,14.31,15.56,14.88,15.06,16.97,18.0,16.31,13.88,13.38,13.22,11.22,8.31,7.5,8.41,7.84,6.66,7.81,11.47,14.31,15.41,16.66,19.66,22.66,23.0,22.69,24.25,26.09,25.69,23.94,23.66,24.41,23.66,20.28,17.91,17.25,15.97,12.41,9.91,10.44,11.97,11.78,10.78,11.91,13.47,13.12,11.78,12.22,14.69,16.75,16.88,17.22,19.38,19.91,17.28,14.19,12.94,12.41,9.78,6.84,5.78,6.16,5.22,3.38,3.06,5.19,7.06,6.88,7.69,10.75,14.12,15.19,15.72,18.59,21.91,22.06,20.5,19.38,18.84,16.38,11.75,8.0,6.59,5.38,1.72,-0.97,-0.72,-0.09,-1.59,-3.16,-1.88,1.06,2.5,3.19,5.75,9.69,12.12,12.38,12.78,15.22,17.0,15.91,14.19,15.0,15.62,13.56,10.41,9.5,9.59,7.34,4.09,1.88,2.12,2.19,0.75,0.19,2.41,4.16,3.28,2.09,3.06,5.22,5.75,6.41,9.03,13.66,16.59,17.22,18.0,19.84,20.03,17.31,14.34,13.53,12.72,9.78,6.81,6.56,8.12,8.25,7.59,8.38,10.47,10.31,7.78,5.62,5.88,6.16,4.56,4.5,7.03,10.56,11.72,11.97,13.94,16.84,17.41,16.41,16.69,18.34,18.47,16.66,15.0,15.78,16.53,14.62,12.47,12.91,14.5,14.38,13.94,15.56,18.88,20.16,19.16,18.56,19.16,17.91,14.06,10.5,9.66,9.53,7.69,5.91,6.94,9.69,11.12,12.03,14.56,18.34,19.97,18.78,17.91,18.81,19.47,17.19,14.56,14.28,13.97,11.59,8.53,7.75,8.66,8.0,6.84,7.62,10.84,13.22,13.25,13.25,14.62,15.47,13.38,10.78,11.16,11.88,10.56,8.5,8.25,9.56,8.69,6.38,5.34,6.78,7.66,7.0,7.59,10.88,14.09,15.28,15.62,18.09,21.12,21.62,19.97,19.62,19.97,18.88,16.53,15.72,17.81,19.5,18.78,17.88,18.94,19.84,18.09,15.59,15.78,16.84,16.56,14.78,14.25,15.38,15.28,12.69,10.84,11.62,11.69,9.5,7.25,7.97,9.41,9.69,9.31,10.91,13.91,14.84,13.56,12.81,13.81,13.59,11.12,9.06,9.62,9.78,7.41,4.66,4.5,5.72,6.0,5.72,7.75,11.22,13.09,12.72,12.91,14.88,15.84,14.62,13.31,14.84,16.44,15.81,14.25,14.72,15.66,14.47,11.56,10.28,10.59,10.0,7.47,6.0,6.78,7.28,5.75,4.12,5.84,8.09,8.94,9.12,11.5,14.75,15.72,14.38,13.44,13.62,12.31,8.81,6.34,6.66,7.81,6.56,4.72,5.41,6.28,5.31,3.81,4.69,7.5,9.19,8.91,9.47,11.38,12.75,11.25,10.0,11.47,13.31,12.66,11.94,12.97,14.78,14.44,12.12,10.78,11.38,11.5,10.28,10.78,13.94,16.5,15.53,13.84,13.62,13.22,11.09,8.25,8.12,9.69,10.38,9.44,9.53,11.16,11.31,8.75,6.88,7.75,9.34,9.47,9.91,12.62,15.84,16.12,14.72,14.25,14.91,14.22,11.81,10.78,11.69,12.56,11.03,9.66,10.66,12.34,11.69,10.75,11.78,14.22,14.59,13.12,12.75,13.5,13.56,11.34,10.84,13.31,16.62,17.12,17.0,18.09,18.62,16.44,13.25,11.81,11.91,10.97,8.41,7.62,8.78,9.41,7.62,6.22,7.09,7.81,6.34,4.72,5.75,7.31,6.91,5.97,6.44,7.91,7.84,5.72,4.22,5.0,5.84,4.91,5.22,8.69,12.75,14.28,15.44,18.34,21.69,22.66,21.56,21.0,21.41,19.78,15.72,12.84,12.25,11.94,9.72,7.69,7.5,8.59,7.31,6.06,7.38,10.47,12.41,13.03,14.22,17.16,18.53,16.97,15.47,15.62,15.56,13.09,11.06,12.06,14.88,16.16,16.62,18.28,20.91,21.0,18.72,17.12,17.06,16.66,14.28,12.44,13.19,14.31,13.25,11.44,11.69,13.03,11.94,9.94,9.59,10.47,10.09,8.12,7.25,9.28,11.53,12.09,12.78,15.28,18.09,17.97,17.56,18.69,21.31,22.44,21.75,22.09,23.88,24.72,23.31,22.59,23.78,24.75,22.75,20.28,19.75,19.88,17.75,14.91,14.03,14.62,13.97,12.28,11.81,13.62,15.28,14.88,14.72,17.12,19.47,19.12,18.03,18.19,19.47,18.72,16.66,15.78,16.5,15.47,12.31,9.44,8.47,6.84,2.62,-1.34,-2.72,-2.69,-3.94,-4.97,-3.22,0.56,3.19,4.66,7.38,11.91,14.88,14.81,14.47,15.78,16.41,14.69,12.88,13.22,14.31,13.0,10.75,9.97,10.78,10.62,8.88,8.38,10.31,11.5,10.88,10.34,12.38,14.44,14.0,12.22,12.78,14.5,14.59,14.44,16.09,19.72,21.97,21.59,20.84,21.25,20.16,16.59,12.91,11.84,11.94,10.56,8.47,8.03,9.34,9.41,8.56,9.56,13.03,16.41,18.31,20.97,26.25,30.91,32.62,32.81,33.62,34.0,31.41,27.47,25.28,24.94,23.91,21.75,20.84,22.03,22.0,19.22,15.84,14.62,13.72,11.69,9.69,10.59,13.66,15.19,15.16,16.25,18.59,19.03,17.19,15.97,17.09,18.03,17.44,17.03,19.25,22.0,22.69,32.81,33.25,30.97,28.72,28.16,28.38,27.91,27.56,29.03,31.19,32.28,32.09,32.97,35.03,35.91,35.25,34.59,35.12,35.16,33.88,32.72,33.38,34.62,34.25,32.62,31.66,31.06,29.44,26.75,24.94,25.12,25.16,24.47,24.34,26.38:25.78,27.84,28.66,27.72,26.91,28.78,29.75,28.03,26.41,26.91,27.84,26.16,23.59,22.88,23.22,22.75,21.44,22.06,24.88,26.66,25.91,24.84,26.06,26.5,24.66,22.34,22.81,24.47,24.09,23.0,23.56,25.28,25.59,23.69,23.38,25.16,26.41,25.38,24.91,26.69,28.72,28.03,26.59,27.16,27.97,27.0,24.28,23.53,24.31,23.75,21.34,19.81,20.53,21.16,20.0,19.06,20.53,22.19,21.53,19.81,19.97,20.75,19.53,16.66,14.84,14.66,13.19,9.91,7.72,8.0,8.66,7.44,6.03,7.53,9.66,9.62,8.31,9.0,10.75,11.28,10.06,10.09,12.19,13.5,11.62,10.16,10.78,11.47,9.78,7.53,7.78,8.94,8.62,6.59,6.5,7.97,8.41,6.84,6.91,9.75,12.41,12.91,13.38,16.28,19.22,19.25,18.0,18.44,19.44,18.44,15.88,14.44,15.09,15.16,13.22,13.06,15.69,18.38,18.59,18.41,19.75,21.03,19.84,17.62,17.16,17.88,17.12,14.69,13.44,14.34,15.44,14.34,14.66,17.53,21.16,22.62,23.62,26.53,29.69,30.72,29.81,30.38,32.12,31.91,29.34,27.44,27.0,26.88,24.31,22.22,22.44,23.22,20.94,17.72,16.12,15.09,12.69,9.34,8.56,10.41,12.66,13.5,15.22,19.06,22.09,21.91,20.59,20.47,20.94,19.31,17.25,17.5,19.84,21.0,20.44,21.25,23.81,25.16,24.56,24.0,25.5,26.88,25.25,23.47,23.19,23.94,22.72,20.81,20.03,20.56,19.31,15.34,12.75,11.91,11.16,9.03,7.91,10.25,14.09,15.94,17.88,21.97,27.09,30.28,31.31,32.88,34.78,34.53,30.78,26.97,24.75,21.78,16.38,10.88,8.41,7.75,6.66,6.5,9.0,13.5,16.56,17.38,18.62,21.34,23.0,22.34,22.28,24.47,26.31,25.59,23.88,23.91,24.75,23.44,21.25,20.59,22.12,22.28,20.84,20.62,22.03,23.06,21.56,19.75,20.19,21.09,20.09,19.0,20.19,22.75,23.56,22.94,23.09,25.16,26.28,25.38,25.16,26.97,28.12,26.41,23.69,22.75,22.03,19.78,17.0,16.19,17.5,17.12,15.53,14.28,15.03,14.5,12.09,10.5,11.31,12.62,11.69,10.25,10.69,12.28,12.28,11.59,12.44,14.69,15.81,15.12,14.69,15.94,16.62,14.5,12.16,12.12,12.88,12.31,10.97,11.97,13.88,14.31,12.94,12.62,14.34,15.59,15.06,15.31,18.66,21.62,22.38,21.84,23.06,24.12,22.75,19.84,18.78,19.19,18.28,16.09,14.84,16.09,16.94,16.19,16.12,18.59,20.69,20.41,19.12,19.59,21.0,20.84,19.28,19.06,20.44,20.53,18.44,16.56,16.94,16.16,12.88,9.59,8.75,8.66,7.25,5.66,6.69,9.0,10.41,10.5,11.84,15.09,17.0,16.59,15.81,16.44,17.0,15.06,12.88,12.88,13.91,12.72,10.84,10.88,11.66,11.62,10.0,9.16,10.34,11.41,9.94,8.78,10.34,11.72,10.94,9.53,10.38,12.28,12.78,12.31,13.81,17.16,19.41,19.12,18.59,19.53,19.22,16.34,13.5,13.41,14.25,13.5,12.22,12.62,13.97,13.59,10.75,8.84,8.47,7.59,4.84,4.12,7.41,11.28,13.53,15.19,17.81,19.88,19.62,18.06,18.72,21.09,22.94,23.31,24.28,26.59,27.81,26.06,23.62,23.28,22.94,20.41,17.16,16.19,16.12,14.31,11.03,9.62,10.44,10.53,9.31,9.31,12.28,15.19,15.25,15.12,17.44,20.06,20.0,18.97,19.66,21.16,20.97,19.16,19.06,20.38,20.66,18.56,16.72,16.59,15.94,12.72,8.56,6.94,6.47,5.16,3.78,5.47,8.75,10.94,10.5,11.19,13.28,15.09,14.16,13.53,15.38,17.47,16.25,14.06,14.28,14.88,13.84,11.72,12.09,14.31,15.56,14.88,15.06,16.97,18.0,16.31,13.88,13.38,13.22,11.22,8.31,7.5,8.41,7.84,6.66,7.81,11.47,14.31,15.41,16.66,19.66,22.66,23.0,22.69,24.25,26.09,25.69,23.94,23.66,24.41,23.66,20.28,17.91,17.25,15.97,12.41,9.91,10.44,11.97,11.78,10.78,11.91,13.47,13.12,11.78,12.22,14.69,16.75,16.88,17.22,19.38,19.91,17.28,14.19,12.94,12.41,9.78,6.84,5.78,6.16,5.22,3.38,3.06,5.19,7.06,6.88,7.69,10.75,14.12,15.19,15.72,18.59,21.91,22.06,20.5,19.38,18.84,16.38,11.75,8.0,6.59,5.38,1.72,-0.97,-0.72,-0.09,-1.59,-3.16,-1.88,1.06,2.5,3.19,5.75,9.69,12.12,12.38,12.78,15.22,17.0,15.91,14.19,15.0,15.62,13.56,10.41,9.5,9.59,7.34,4.09,1.88,2.12,2.19,0.75,0.19,2.41,4.16,3.28,2.09,3.06,5.22,5.75,6.41,9.03,13.66,16.59,17.22,18.0,19.84,20.03,17.31,14.34,13.53,12.72,9.78,6.81,6.56,8.12,8.25,7.59,8.38,10.47,10.31,7.78,5.62,5.88,6.16,4.56,4.5,7.03,10.56,11.72,11.97,13.94,16.84,17.41,16.41,16.69,18.34,18.47,16.66,15.0,15.78,16.53,14.62,12.47,12.91,14.5,14.38,13.94,15.56,18.88,20.16,19.16,18.56,19.16,17.91,14.06,10.5,9.66,9.53,7.69,5.91,6.94,9.69,11.12,12.03,14.56,18.34,19.97,18.78,17.91,18.81,19.47,17.19,14.56,14.28,13.97,11.59,8.53,7.75,8.66,8.0,6.84,7.62,10.84,13.22,13.25,13.25,14.62,15.47,13.38,10.78,11.16,11.88,10.56,8.5,8.25,9.56,8.69,6.38,5.34,6.78,7.66,7.0,7.59,10.88,14.09,15.28,15.62,18.09,21.12,21.62,19.97,19.62,19.97,18.88,16.53,15.72,17.81,19.5,18.78,17.88,18.94,19.84,18.09,15.59,15.78,16.84,16.56,14.78,14.25,15.38,15.28,12.69,10.84,11.62,11.69,9.5,7.25,7.97,9.41,9.69,9.31,10.91,13.91,14.84,13.56,12.81,13.81,13.59,11.12,9.06,9.62,9.78,7.41,4.66,4.5,5.72,6.0,5.72,7.75,11.22,13.09,12.72,12.91,14.88,15.84,14.62,13.31,14.84,16.44,15.81,14.25,14.72,15.66,14.47,11.56,10.28,10.59,10.0,7.47,6.0,6.78,7.28,5.75,4.12,5.84,8.09,8.94,9.12,11.5,14.75,15.72,14.38,13.44,13.62,12.31,8.81,6.34,6.66,7.81,6.56,4.72,5.41,6.28,5.31,3.81,4.69,7.5,9.19,8.91,9.47,11.38,12.75,11.25,10.0,11.47,13.31,12.66,11.94,12.97,14.78,14.44,12.12,10.78,11.38,11.5,10.28,10.78,13.94,16.5,15.53,13.84,13.62,13.22,11.09,8.25,8.12,9.69,10.38,9.44,9.53,11.16,11.31,8.75,6.88,7.75,9.34,9.47,9.91,12.62,15.84,16.12,14.72,14.25,14.91,14.22,11.81,10.78,11.69,12.56,11.03,9.66,10.66,12.34,11.69,10.75,11.78,14.22,14.59,13.12,12.75,13.5,13.56,11.34,10.84,13.31,16.62,17.12,17.0,18.09,18.62,16.44,13.25,11.81,11.91,10.97,8.41,7.62,8.78,9.41,7.62,6.22,7.09,7.81,6.34,4.72,5.75,7.31,6.91,5.97,6.44,7.91,7.84,5.72,4.22,5.0,5.84,4.91,5.22,8.69,12.75,14.28,15.44,18.34,21.69,22.66,21.56,21.0,21.41,19.78,15.72,12.84,12.25,11.94,9.72,7.69,7.5,8.59,7.31,6.06,7.38,10.47,12.41,13.03,14.22,17.16,18.53,16.97,15.47,15.62,15.56,13.09,11.06,12.06,14.88,16.16,16.62,18.28,20.91,21.0,18.72,17.12,17.06,16.66,14.28,12.44,13.19,14.31,13.25,11.44,11.69,13.03,11.94,9.94,9.59,10.47,10.09,8.12,7.25,9.28,11.53,12.09,12.78,15.28,18.09,17.97,17.56,18.69,21.31,22.44,21.75,22.09,23.88,24.72,23.31,22.59,23.78,24.75,22.75,20.28,19.75,19.88,17.75,14.91,14.03,14.62,13.97,12.28,11.81,13.62,15.28,14.88,14.72,17.12,19.47,19.12,18.03,18.19,19.47,18.72,16.66,15.78,16.5,15.47,12.31,9.44,8.47,6.84,2.62,-1.34,-2.72,-2.69,-3.94,-4.97,-3.22,0.56,3.19,4.66,7.38,11.91,14.88,14.81,14.47,15.78,16.41,14.69,12.88,13.22,14.31,13.0,10.75,9.97,10.78,10.62,8.88,8.38,10.31,11.5,10.88,10.34,12.38,14.44,14.0,12.22,12.78,14.5,14.59,14.44,16.09,19.72,21.97,21.59,20.84,21.25,20.16,16.59,12.91,11.84,11.94,10.56,8.47,8.03,9.34,9.41,8.56,9.56,13.03,16.41,18.31,20.97,26.25,30.91,32.62,32.81,33.62,34.0,31.41,27.47,25.28,24.94,23.91,21.75,20.84,22.03,22.0,19.22,15.84,14.62,13.72,11.69,9.69,10.59,13.66,15.19,15.16,16.25,18.59,19.03,17.19,15.97,17.09,18.03,17.44,17.03,19.25,22.0,22.69,32.81,33.25,30.97,28.72,28.16,28.38,27.91,27.56,29.03,31.19,32.28,32.09,32.97,35.03,35.91,35.25,34.59,35.12,35.16,33.88,32.72,33.38,34.62,34.25,32.62,31.66,31.06,29.44,26.75,24.94,25.12,25.16,24.47,24.34,26.38,29.03,30.41,31.47,33.62,36.34,37.41,37.31:negativity
28.03,28.03,26.66,24.38,23.31,23.12,22.22,20.28,19.0,19.53,19.97,19.31,18.31,19.06,20.03,19.34,18.47,18.22,19.06,18.72,17.62,17.53,18.78,18.94,17.69,16.31,16.66,17.03,15.91,15.12,16.25,17.78,17.75,17.44,18.19,19.69,20.41,19.75,19.75,20.62,20.78,19.34,17.69,17.59,17.66,16.28,14.53,14.78,15.75,15.16,14.34,14.25,15.62,16.56,16.72,17.78,20.16,21.41,20.97,20.06,20.38,21.09,20.34,19.25,19.31,20.12,19.59,18.53,18.91,20.34,20.84,19.88,19.31,19.81,19.94,18.72,18.16,19.62,21.47,22.12,22.22,23.19,24.0,22.78,20.47,18.88,18.38,17.47,15.5,14.75,15.44,15.66,14.97,14.34,15.31,16.47,16.5,16.25,17.72,20.31,21.5,21.94,22.75,24.22,24.59,23.09,22.09,22.22,22.06,20.12,17.66,17.03,16.38,14.62,12.91,12.97,14.81,15.75,16.06,17.12,19.0,19.53,18.06,16.72,17.09,17.88,17.53,16.88,17.84,18.62,18.0,16.44,16.38,16.81,16.25,14.62,13.94,14.75,15.16,15.09,15.03,16.31,17.31,16.78,16.12,16.69,17.66,17.34,15.91,15.66,15.44,14.09,11.69,9.97,10.12,10.34,9.94,10.69,12.91,15.44,16.62,17.38,19.72,22.75,23.97,24.56,25.84,26.94,26.44,24.12,22.28,21.31,19.97,17.5,15.53,15.53,15.97,14.84,13.34,13.06,13.0,11.53,8.94,8.44,9.31,10.0,10.59,12.62,16.56,20.34,22.53,24.19,26.94,29.16,29.12,28.12,28.53,29.38,29.53,29.09,29.94,32.0,32.53,31.84,30.53,30.12,28.62,25.16,21.66,19.75,18.62,17.38,16.22,16.97,18.34,18.56,17.53,17.34,18.31,18.5,17.59,17.0,18.22,18.78,17.72,16.75,17.41,18.5,18.56,18.22,19.22,20.09,19.0,16.06,13.41,11.97,10.44,8.28,7.56,8.34,8.97,7.94,6.41,6.69,7.5,7.22,7.44,9.53,12.91,15.81,17.06,18.75,20.56,21.22,19.78,18.81,19.78,20.88,20.94,21.22,23.25,25.69,26.66,26.25,27.12,28.25,28.03,26.19,24.5,23.5,21.62,18.31,15.31,14.19,12.94,10.28,7.41,6.53,7.03,6.94,6.97,8.75,11.88,13.91,14.78,16.28,18.06,18.94,18.16,17.28,18.25,19.19,18.78,17.81,18.06,18.44,17.53,15.41,14.72,14.31,13.06,10.84,9.34,9.19,8.94,7.09,5.69,6.06,6.84,6.97,7.19,9.81,13.22,15.72,17.16,19.25,21.62,22.44,21.12,20.31,20.59,20.56,19.16,18.03,18.41,18.59,17.56,16.0,15.97,16.59,16.5,15.44,15.66,16.38,16.38,14.94,14.22,14.97,15.66,15.28,15.22,16.94,18.59,19.0,18.59,19.47,21.03,22.03,22.16,23.72,26.31,27.88,27.34,26.69,26.53,25.94,23.94,22.09,22.31,22.44,21.38,19.41,18.44,18.19,17.44,16.22,16.25,18.0,19.41,19.09,19.38,20.62,21.38,20.53,19.72,20.75,22.53,23.28,23.22,24.72,26.03,25.88,24.59,24.12,24.97,25.75,25.03,25.25,26.69,27.88,27.56,27.44,28.97,30.66,31.41,31.28,32.41,33.78,34.06,32.88,32.34,32.47,31.81,30.0,28.84,29.72,30.56,30.25,29.62,30.12,30.78,29.81,28.25,28.09,28.69,28.81,27.75,27.16,27.81,28.19,27.03,26.84,27.97,29.19,28.5,27.38,27.78,28.81,29.0,28.28,28.78,29.91,30.16,29.38,29.66,31.06,31.91,31.09,30.0,29.75,29.53,27.47,25.12,24.38,24.25,23.28,21.44,21.06,21.59,21.81,21.31,21.28,22.75,24.31,24.31,24.72,26.59,28.59,28.41,27.25,27.0,26.56,25.69,23.56,23.25,24.16,24.78,24.31,24.28,26.0,27.47,26.91,26.44,26.88,26.91,25.0,22.38,21.25,20.88,20.03,18.66,18.84,20.44,21.41,20.5,20.06,20.62,20.81,19.47,18.47,19.03,20.19,20.34,20.31,22.03,24.5,26.03,26.06,27.06,28.5,28.38,26.44,24.38,22.78,21.09,18.75,16.91,17.25,18.78,19.25,19.75,21.09,22.5,23.03,21.34,20.47,20.19,19.88,18.69,18.12,19.38,20.94,20.81,20.06,19.88,19.44,17.22,14.41,13.06,13.06,13.03,12.41,13.47,15.72,17.81,18.28,18.78,20.25,20.91,19.53,17.81,16.88,16.62,15.06,13.34,13.09,13.94,14.22,13.5,13.56,14.44,15.09,13.5,12.72,13.12,13.88,13.69,14.0,15.75,18.22,19.19,18.75,18.41,18.53,17.19,14.66,13.31,13.34,14.25,14.12,14.53,16.72,18.84,19.22,18.88,19.59,20.91,21.06,20.47,20.56,20.91,20.19,17.97,16.03,15.44,15.34,14.12,14.0,15.75,18.28,19.25,19.19,19.22,18.47,16.38,13.12,11.12,10.72,10.47,9.75,9.72,10.81,11.91,11.5,11.12,12.16,13.91,14.25,14.47,16.19,17.94,18.72,18.19,18.25,19.41,20.03,19.47,19.69,21.44,23.28,23.53,23.38,24.31,25.56,25.12,23.88,24.06,25.03,24.78,23.25,22.16,21.78,20.88,18.84,17.84,18.31,19.16,18.62,17.81,17.91,18.47,17.47,15.44,14.59,14.53,13.56,12.16,11.97,13.28,15.22,16.12,17.34,19.62,21.31,20.28,18.66,17.53,16.94,15.47,14.22,14.41,16.0,17.0,17.38,17.88,19.28,20.25,19.28,19.03,19.94,21.62,21.78,22.22,23.47,25.0,24.78,23.75,23.28,23.28,22.16,19.72,18.09,17.69,17.38,15.69,14.75,15.72,17.56,18.06,19.12,21.44,23.84,24.88,24.91,25.19,26.44,26.03,24.69,23.91,24.03,24.59,24.25,24.94,27.0,29.41,30.31,30.47,31.62,33.09,32.84,31.31,30.31,29.69,28.41,25.91,24.47,24.44,24.31,22.81,21.12,20.66,21.06,20.47,20.03,21.22,23.03,23.31,22.16,21.44,21.44,21.16,20.12,19.41,20.19,21.06,20.25,19.97,20.94,22.75,23.25,23.25,23.66,24.59,24.16,22.66,21.91,22.5,22.75,21.56,21.34,22.19,23.16,22.97,22.56,23.44,24.75,24.56,24.12,24.94,27.03,27.78,27.97,28.28,28.78,27.69,24.72,21.91,20.69,20.47,19.56,19.09,20.31,22.47,22.88,22.91,23.84,25.31,26.03,25.25,24.62,24.59,24.03,21.34,18.72,17.97,17.91,16.44,15.09,15.38,16.03,15.28,13.91,13.41,14.16,14.22,13.5,13.66,15.53,16.97,17.06,16.81,17.31,17.59,16.34,14.94,15.38,17.38,18.22,18.56,19.56,20.75,20.5,19.59,19.06,19.88,21.0,20.38,19.88,19.84,19.81,18.0,15.91,15.56,16.66,17.34,17.88,19.38,21.56,22.22,21.59,21.0,20.91,20.78,18.94,17.66,18.09,19.53,19.97,20.28,21.84,24.28,25.53,26.0,26.44,27.38,26.84,24.75,22.72,22.56,23.53,23.5,24.41,26.88,30.03,31.41,31.25,31.5,31.62,30.41,28.56,27.59,28.97,30.31,30.31,30.81,32.38,33.03,31.72,30.56,30.5,30.97,29.78,27.59,25.72,24.5,22.47,20.34,19.53,20.69,21.94,22.31,22.62,24.62,26.44,26.28,26.09,25.97,25.53,23.41,20.47,18.44,17.16,15.62,13.16,11.91,12.28,12.84,13.31,15.12,18.97,23.09,25.62,27.44,29.75,31.47,31.5,30.53,30.53,31.56,31.38,30.41,29.25,29.41,28.16,25.72,23.66,23.47,23.88,23.34,22.94,23.53,24.25,23.41,21.69,20.91,21.75,22.81,23.84,26.03,29.97,33.16,34.56,35.09,35.69,35.66,33.62,30.81,28.75,27.56,25.09,22.53,21.12,21.03,20.94,20.59,20.94,22.59,23.62,22.81,21.09,20.25,19.31,17.38,15.44,14.53,14.5,13.22,11.31,9.91,10.09,10.44,10.28,10.56,12.66,13.75,13.47,12.84,13.06,14.38,14.53,14.59,15.91,17.97,18.81,18.34,18.41,19.25,18.91,17.25,16.12,16.72,17.22,16.84,16.69,18.09,19.88,20.09,19.72,19.91,20.53,19.66,17.88,16.66,17.06,17.22,16.38,16.31,18.47,20.88,22.09,22.84,24.72,26.56,26.34,24.75,23.75,23.59,22.44,20.34,18.78,18.72,18.66,17.31,16.28,16.5,17.03,16.66,16.28,17.59,19.34,19.97,19.84,20.44,21.66,22.88,23.5,24.78,27.72,29.84,30.28,30.44,31.09,31.25,30.12,28.34,27.56,26.94,24.62,21.53,19.28,18.31,17.0,16.22,16.62,18.69,20.88,21.09,21.03,21.97,22.78,22.5,22.0,23.19,24.97,25.66,25.28,25.31,25.66,24.94,23.38,22.81,24.06,25.66,25.91,26.59,27.94,28.62,27.22,24.84,23.22,22.25,20.84,19.44,19.56,21.59,23.47,24.41,25.72,27.88,29.34,28.88,28.0,28.47,29.47,29.0,27.97,27.88,27.16,25.0,22.22,19.69,19.03,18.84,18.41,18.75,21.03,22.88,22.91,21.69,21.06,20.72,19.22,17.88,18.5,20.28,21.62,22.09,22.53,23.97,25.0,24.38,23.91,24.78,25.78,25.22,25.0,26.47,28.44,29.19,28.84,29.12,29.72,29.44,28.16,27.19,27.06,26.44,24.38,22.28,22.12,22.59,22.28,22.56,24.38,26.69,27.88,28.19,29.06,29.78,29.84,28.12,26.59,26.31,25.44,23.59,22.19,22.97,24.0,23.44,22.19,21.94,22.12:20.28,19.0,19.53,19.97,19.31,18.31,19.06,20.03,19.34,18.47,18.22,19.06,18.72,17.62,17.53,18.78,18.94,17.69,16.31,16.66,17.03,15.91,15.12,16.25,17.78,17.75,17.44,18.19,19.69,20.41,19.75,19.75,20.62,20.78,19.34,17.69,17.59,17.66,16.28,14.53,14.78,15.75,15.16,14.34,14.25,15.62,16.56,16.72,17.78,20.16,21.41,20.97,20.06,20.38,21.09,20.34,19.25,19.31,20.12,19.59,18.53,18.91,20.34,20.84,19.88,19.31,19.81,19.94,18.72,18.16,19.62,21.47,22.12,22.22,23.19,24.0,22.78,20.47,18.88,18.38,17.47,15.5,14.75,15.44,15.66,14.97,14.34,15.31,16.47,16.5,16.25,17.72,20.31,21.5,21.94,22.75,24.22,24.59,23.09,22.09,22.22,22.06,20.12,17.66,17.03,16.38,14.62,12.91,12.97,14.81,15.75,16.06,17.12,19.0,19.53,18.06,16.72,17.09,17.88,17.53,16.88,17.84,18.62,18.0,16.44,16.38,16.81,16.25,14.62,13.94,14.75,15.16,15.09,15.03,16.31,17.31,16.78,16.12,16.69,17.66,17.34,15.91,15.66,15.44,14.09,11.69,9.97,10.12,10.34,9.94,10.69,12.91,15.44,16.62,17.38,19.72,22.75,23.97,24.56,25.84,26.94,26.44,24.12,22.28,21.31,19.97,17.5,15.53,15.53,15.97,14.84,13.34,13.06,13.0,11.53,8.94,8.44,9.31,10.0,10.59,12.62,16.56,20.34,22.53,24.19,26.94,29.16,29.12,28.12,28.53,29.38,29.53,29.09,29.94,32.0,32.53,31.84,30.53,30.12,28.62,25.16,21.66,19.75,18.62,17.38,16.22,16.97,18.34,18.56,17.53,17.34,18.31,18.5,17.59,17.0,18.22,18.78,17.72,16.75,17.41,18.5,18.56,18.22,19.22,20.09,19.0,16.06,13.41,11.97,10.44,8.28,7.56,8.34,8.97,7.94,6.41,6.69,7.5,7.22,7.44,9.53,12.91,15.81,17.06,18.75,20.56,21.22,19.78,18.81,19.78,20.88,20.94,21.22,23.25,25.69,26.66,26.25,27.12,28.25,28.03,26.19,24.5,23.5,21.62,18.31,15.31,14.19,12.94,10.28,7.41,6.53,7.03,6.94,6.97,8.75,11.88,13.91,14.78,16.28,18.06,18.94,18.16,17.28,18.25,19.19,18.78,17.81,18.06,18.44,17.53,15.41,14.72,14.31,13.06,10.84,9.34,9.19,8.94,7.09,5.69,6.06,6.84,6.97,7.19,9.81,13.22,15.72,17.16,19.25,21.62,22.44,21.12,20.31,20.59,20.56,19.16,18.03,18.41,18.59,17.56,16.0,15.97,16.59,16.5,15.44,15.66,16.38,16.38,14.94,14.22,14.97,15.66,15.28,15.22,16.94,18.59,19.0,18.59,19.47,21.03,22.03,22.16,23.72,26.31,27.88,27.34,26.69,26.53,25.94,23.94,22.09,22.31,22.44,21.38,19.41,18.44,18.19,17.44,16.22,16.25,18.0,19.41,19.09,19.38,20.62,21.38,20.53,19.72,20.75,22.53,23.28,23.22,24.72,26.03,25.88,24.59,24.12,24.97,25.75,25.03,25.25,26.69,27.88,27.56,27.44,28.97,30.66,31.41,31.28,32.41,33.78,34.06,32.88,32.34,32.47,31.81,30.0,28.84,29.72,30.56,30.25,29.62,30.12,30.78,29.81,28.25,28.09,28.69,28.81,27.75,27.16,27.81,28.19,27.03,26.84,27.97,29.19,28.5,27.38,27.78,28.81,29.0,28.28,28.78,29.91,30.16,29.38,29.66,31.06,31.91,31.09,30.0,29.75,29.53,27.47,25.12,24.38,24.25,23.28,21.44,21.06,21.59,21.81,21.31,21.28,22.75,24.31,24.31,24.72,26.59,28.59,28.41,27.25,27.0,26.56,25.69,23.56,23.25,24.16,24.78,24.31,24.28,26.0,27.47,26.91,26.44,26.88,26.91,25.0,22.38,21.25,20.88,20.03,18.66,18.84,20.44,21.41,20.5,20.06,20.62,20.81,19.47,18.47,19.03,20.19,20.34,20.31,22.03,24.5,26.03,26.06,27.06,28.5,28.38,26.44,24.38,22.78,21.09,18.75,16.91,17.25,18.78,19.25,19.75,21.09,22.5,23.03,21.34,20.47,20.19,19.88,18.69,18.12,19.38,20.94,20.81,20.06,19.88,19.44,17.22,14.41,13.06,13.06,13.03,12.41,13.47,15.72,17.81,18.28,18.78,20.25,20.91,19.53,17.81,16.88,16.62,15.06,13.34,13.09,13.94,14.22,13.5,13.56,14.44,15.09,13.5,12.72,13.12,13.88,13.69,14.0,15.75,18.22,19.19,18.75,18.41,18.53,17.19,14.66,13.31,13.34,14.25,14.12,14.53,16.72,18.84,19.22,18.88,19.59,20.91,21.06,20.47,20.56,20.91,20.19,17.97,16.03,15.44,15.34,14.12,14.0,15.75,18.28,19.25,19.19,19.22,18.47,16.38,13.12,11.12,10.72,10.47,9.75,9.72,10.81,11.91,11.5,11.12,12.16,13.91,14.25,14.47,16.19,17.94,18.72,18.19,18.25,19.41,20.03,19.47,19.69,21.44,23.28,23.53,23.38,24.31,25.56,25.12,23.88,24.06,25.03,24.78,23.25,22.16,21.78,20.88,18.84,17.84,18.31,19.16,18.62,17.81,17.91,18.47,17.47,15.44,14.59,14.53,13.56,12.16,11.97,13.28,15.22,16.12,17.34,19.62,21.31,20.28,18.66,17.53,16.94,15.47,14.22,14.41,16.0,17.0,17.38,17.88,19.28,20.25,19.28,19.03,19.94,21.62,21.78,22.22,23.47,25.0,24.78,23.75,23.28,23.28,22.16,19.72,18.09,17.69,17.38,15.69,14.75,15.72,17.56,18.06,19.12,21.44,23.84,24.88,24.91,25.19,26.44,26.03,24.69,23.91,24.03,24.59,24.25,24.94,27.0,29.41,30.31,30.47,31.62,33.09,32.84,31.31,30.31,29.69,28.41,25.91,24.47,24.44,24.31,22.81,21.12,20.66,21.06,20.47,20.03,21.22,23.03,23.31,22.16,21.44,21.44,21.16,20.12,19.41,20.19,21.06,20.25,19.97,20.94,22.75,23.25,23.25,23.66,24.59,24.16,22.66,21.91,22.5,22.75,21.56,21.34,22.19,23.16,22.97,22.56,23.44,24.75,24.56,24.12,24.94,27.03,27.78,27.97,28.28,28.78,27.69,24.72,21.91,20.69,20.47,19.56,19.09,20.31,22.47,22.88,22.91,23.84,25.31,26.03,25.25,24.62,24.59,24.03,21.34,18.72,17.97,17.91,16.44,15.09,15.38,16.03,15.28,13.91,13.41,14.16,14.22,13.5,13.66,15.53,16.97,17.06,16.81,17.31,17.59,16.34,14.94,15.38,17.38,18.22,18.56,19.56,20.75,20.5,19.59,19.06,19.88,21.0,20.38,19.88,19.84,19.81,18.0,15.91,15.56,16.66,17.34,17.88,19.38,21.56,22.22,21.59,21.0,20.91,20.78,18.94,17.66,18.09,19.53,19.97,20.28,21.84,24.28,25.53,26.0,26.44,27.38,26.84,24.75,22.72,22.56,23.53,23.5,24.41,26.88,30.03,31.41,31.25,31.5,31.62,30.41,28.56,27.59,28.97,30.31,30.31,30.81,32.38,33.03,31.72,30.56,30.5,30.97,29.78,27.59,25.72,24.5,22.47,20.34,19.53,20.69,21.94,22.31,22.62,24.62,26.44,26.28,26.09,25.97,25.53,23.41,20.47,18.44,17.16,15.62,13.16,11.91,12.28,12.84,13.31,15.12,18.97,23.09,25.62,27.44,29.75,31.47,31.5,30.53,30.53,31.56,31.38,30.41,29.25,29.41,28.16,25.72,23.66,23.47,23.88,23.34,22.94,23.53,24.25,23.41,21.69,20.91,21.75,22.81,23.84,26.03,29.97,33.16,34.56,35.09,35.69,35.66,33.62,30.81,28.75,27.56,25.09,22.53,21.12,21.03,20.94,20.59,20.94,22.59,23.62,22.81,21.09,20.25,19.31,17.38,15.44,14.53,14.5,13.22,11.31,9.91,10.09,10.44,10.28,10.56,12.66,13.75,13.47,12.84,13.06,14.38,14.53,14.59,15.91,17.97,18.81,18.34,18.41,19.25,18.91,17.25,16.12,16.72,17.22,16.84,16.69,18.09,19.88,20.09,19.72,19.91,20.53,19.66,17.88,16.66,17.06,17.22,16.38,16.31,18.47,20.88,22.09,22.84,24.72,26.56,26.34,24.75,23.75,23.59,22.44,20.34,18.78,18.72,18.66,17.31,16.28,16.5,17.03,16.66,16.28,17.59,19.34,19.97,19.84,20.44,21.66,22.88,23.5,24.78,27.72,29.84,30.28,30.44,31.09,31.25,30.12,28.34,27.56,26.94,24.62,21.53,19.28,18.31,17.0,16.22,16.62,18.69,20.88,21.09,21.03,21.97,22.78,22.5,22.0,23.19,24.97,25.66,25.28,25.31,25.66,24.94,23.38,22.81,24.06,25.66,25.91,26.59,27.94,28.62,27.22,24.84,23.22,22.25,20.84,19.44,19.56,21.59,23.47,24.41,25.72,27.88,29.34,28.88,28.0,28.47,29.47,29.0,27.97,27.88,27.16,25.0,22.22,19.69,19.03,18.84,18.41,18.75,21.03,22.88,22.91,21.69,21.06,20.72,19.22,17.88,18.5,20.28,21.62,22.09,22.53,23.97,25.0,24.38,23.91,24.78,25.78,25.22,25.0,26.47,28.44,29.19,28.84,29.12,29.72,29.44,28.16,27.19,27.06,26.44,24.38,22.28,22.12,22.59,22.28,22.56,24.38,26.69,27.88,28.19,29.06,29.78,29.84,28.12,26.59,26.31,25.44,23.59,22.19,22.97,24.0,23.44,22.19,21.94,22.12,79.31,78.66,78.09,77.84,77.12,76.31,75.44:20.03,19.34,18.47,18.22,19.06,18.72,17.62,17.53,18.78,18.94,17.69,16.31,16.66,17.03,15.91,15.12,16.25,17.78,17.75,17.44,18.19,19.69,20.41,19.75,19.75,20.62,20.78,19.34,17.69,17.59,17.66,16.28,14.53,14.78,15.75,15.16,14.34,14.25,15.62,16.56,16.72,17.78,20.16,21.41,20.97,20.06,20.38,21.09,20.34,19.25,19.31,20.12,19.59,18.53,18.91,20.34,20.84,19.88,19.31,19.81,19.94,18.72,18.16,19.62,21.47,22.12,22.22,23.19,24.0,22.78,20.47,18.88,18.38,17.47,15.5,14.75,15.44,15.66,14.97,14.34,15.31,16.47,16.5,16.25,17.72,20.31,21.5,21.94,22.75,24.22,24.59,23.09,22.09,22.22,22.06,20.12,17.66,17.03,16.38,14.62,12.91,12.97,14.81,15.75,16.06,17.12,19.0,19.53,18.06,16.72,17.09,17.88,17.53,16.88,17.84,18.62,18.0,16.44,16.38,16.81,16.25,14.62,13.94,14.75,15.16,15.09,15.03,16.31,17.31,16.78,16.12,16.69,17.66,17.34,15.91,15.66,15.44,14.09,11.69,9.97,10.12,10.34,9.94,10.69,12.91,15.44,16.62,17.38,19.72,22.75,23.97,24.56,25.84,26.94,26.44,24.12,22.28,21.31,19.97,17.5,15.53,15.53,15.97,14.84,13.34,13.06,13.0,11.53,8.94,8.44,9.31,10.0,10.59,12.62,16.56,20.34,22.53,24.19,26.94,29.16,29.12,28.12,28.53,29.38,29.53,29.09,29.94,32.0,32.53,31.84,30.53,30.12,28.62,25.16,21.66,19.75,18.62,17.38,16.22,16.97,18.34,18.56,17.53,17.34,18.31,18.5,17.59,17.0,18.22,18.78,17.72,16.75,17.41,18.5,18.56,18.22,19.22,20.09,19.0,16.06,13.41,11.97,10.44,8.28,7.56,8.34,8.97,7.94,6.41,6.69,7.5,7.22,7.44,9.53,12.91,15.81,17.06,18.75,20.56,21.22,19.78,18.81,19.78,20.88,20.94,21.22,23.25,25.69,26.66,26.25,27.12,28.25,28.03,26.19,24.5,23.5,21.62,18.31,15.31,14.19,12.94,10.28,7.41,6.53,7.03,6.94,6.97,8.75,11.88,13.91,14.78,16.28,18.06,18.94,18.16,17.28,18.25,19.19,18.78,17.81,18.06,18.44,17.53,15.41,14.72,14.31,13.06,10.84,9.34,9.19,8.94,7.09,5.69,6.06,6.84,6.97,7.19,9.81,13.22,15.72,17.16,19.25,21.62,22.44,21.12,20.31,20.59,20.56,19.16,18.03,18.41,18.59,17.56,16.0,15.97,16.59,16.5,15.44,15.66,16.38,16.38,14.94,14.22,14.97,15.66,15.28,15.22,16.94,18.59,19.0,18.59,19.47,21.03,22.03,22.16,23.72,26.31,27.88,27.34,26.69,26.53,25.94,23.94,22.09,22.31,22.44,21.38,19.41,18.44,18.19,17.44,16.22,16.25,18.0,19.41,19.09,19.38,20.62,21.38,20.53,19.72,20.75,22.53,23.28,23.22,24.72,26.03,25.88,24.59,24.12,24.97,25.75,25.03,25.25,26.69,27.88,27.56,27.44,28.97,30.66,31.41,31.28,32.41,33.78,34.06,32.88,32.34,32.47,31.81,30.0,28.84,29.72,30.56,30.25,29.62,30.12,30.78,29.81,28.25,28.09,28.69,28.81,27.75,27.16,27.81,28.19,27.03,26.84,27.97,29.19,28.5,27.38,27.78,28.81,29.0,28.28,28.78,29.91,30.16,29.38,29.66,31.06,31.91,31.09,30.0,29.75,29.53,27.47,25.12,24.38,24.25,23.28,21.44,21.06,21.59,21.81,21.31,21.28,22.75,24.31,24.31,24.72,26.59,28.59,28.41,27.25,27.0,26.56,25.69,23.56,23.25,24.16,24.78,24.31,24.28,26.0,27.47,26.91,26.44,26.88,26.91,25.0,22.38,21.25,20.88,20.03,18.66,18.84,20.44,21.41,20.5,20.06,20.62,20.81,19.47,18.47,19.03,20.19,20.34,20.31,22.03,24.5,26.03,26.06,27.06,28.5,28.38,26.44,24.38,22.78,21.09,18.75,16.91,17.25,18.78,19.25,19.75,21.09,22.5,23.03,21.34,20.47,20.19,19.88,18.69,18.12,19.38,20.94,20.81,20.06,19.88,19.44,17.22,14.41,13.06,13.06,13.03,12.41,13.47,15.72,17.81,18.28,18.78,20.25,20.91,19.53,17.81,16.88,16.62,15.06,13.34,13.09,13.94,14.22,13.5,13.56,14.44,15.09,13.5,12.72,13.12,13.88,13.69,14.0,15.75,18.22,19.19,18.75,18.41,18.53,17.19,14.66,13.31,13.34,14.25,14.12,14.53,16.72,18.84,19.22,18.88,19.59,20.91,21.06,20.47,20.56,20.91,20.19,17.97,16.03,15.44,15.34,14.12,14.0,15.75,18.28,19.25,19.19,19.22,18.47,16.38,13.12,11.12,10.72,10.47,9.75,9.72,10.81,11.91,11.5,11.12,12.16,13.91,14.25,14.47,16.19,17.94,18.72,18.19,18.25,19.41,20.03,19.47,19.69,21.44,23.28,23.53,23.38,24.31,25.56,25.12,23.88,24.06,25.03,24.78,23.25,22.16,21.78,20.88,18.84,17.84,18.31,19.16,18.62,17.81,17.91,18.47,17.47,15.44,14.59,14.53,13.56,12.16,11.97,13.28,15.22,16.12,17.34,19.62,21.31,20.28,18.66,17.53,16.94,15.47,14.22,14.41,16.0,17.0,17.38,17.88,19.28,20.25,19.28,19.03,19.94,21.62,21.78,22.22,23.47,25.0,24.78,23.75,23.28,23.28,22.16,19.72,18.09,17.69,17.38,15.69,14.75,15.72,17.56,18.06,19.12,21.44,23.84,24.88,24.91,25.19,26.44,26.03,24.69,23.91,24.03,24.59,24.25,24.94,27.0,29.41,30.31,30.47,31.62,33.09,32.84,31.31,30.31,29.69,28.41,25.91,24.47,24.44,24.31,22.81,21.12,20.66,21.06,20.47,20.03,21.22,23.03,23.31,22.16,21.44,21.44,21.16,20.12,19.41,20.19,21.06,20.25,19.97,20.94,22.75,23.25,23.25,23.66,24.59,24.16,22.66,21.91,22.5,22.75,21.56,21.34,22.19,23.16,22.97,22.56,23.44,24.75,24.56,24.12,24.94,27.03,27.78,27.97,28.28,28.78,27.69,24.72,21.91,20.69,20.47,19.56,19.09,20.31,22.47,22.88,22.91,23.84,25.31,26.03,25.25,24.62,24.59,24.03,21.34,18.72,17.97,17.91,16.44,15.09,15.38,16.03,15.28,13.91,13.41,14.16,14.22,13.5,13.66,15.53,16.97,17.06,16.81,17.31,17.59,16.34,14.94,15.38,17.38,18.22,18.56,19.56,20.75,20.5,19.59,19.06,19.88,21.0,20.38,19.88,19.84,19.81,18.0,15.91,15.56,16.66,17.34,17.88,19.38,21.56,22.22,21.59,21.0,20.91,20.78,18.94,17.66,18.09,19.53,19.97,20.28,21.84,24.28,25.53,26.0,26.44,27.38,26.84,24.75,22.72,22.56,23.53,23.5,24.41,26.88,30.03,31.41,31.25,31.5,31.62,30.41,28.56,27.59,28.97,30.31,30.31,30.81,32.38,33.03,31.72,30.56,30.5,30.97,29.78,27.59,25.72,24.5,22.47,20.34,19.53,20.69,21.94,22.31,22.62,24.62,26.44,26.28,26.09,25.97,25.53,23.41,20.47,18.44,17.16,15.62,13.16,11.91,12.28,12.84,13.31,15.12,18.97,23.09,25.62,27.44,29.75,31.47,31.5,30.53,30.53,31.56,31.38,30.41,29.25,29.41,28.16,25.72,23.66,23.47,23.88,23.34,22.94,23.53,24.25,23.41,21.69,20.91,21.75,22.81,23.84,26.03,29.97,33.16,34.56,35.09,35.69,35.66,33.62,30.81,28.75,27.56,25.09,22.53,21.12,21.03,20.94,20.59,20.94,22.59,23.62,22.81,21.09,20.25,19.31,17.38,15.44,14.53,14.5,13.22,11.31,9.91,10.09,10.44,10.28,10.56,12.66,13.75,13.47,12.84,13.06,14.38,14.53,14.59,15.91,17.97,18.81,18.34,18.41,19.25,18.91,17.25,16.12,16.72,17.22,16.84,16.69,18.09,19.88,20.09,19.72,19.91,20.53,19.66,17.88,16.66,17.06,17.22,16.38,16.31,18.47,20.88,22.09,22.84,24.72,26.56,26.34,24.75,23.75,23.59,22.44,20.34,18.78,18.72,18.66,17.31,16.28,16.5,17.03,16.66,16.28,17.59,19.34,19.97,19.84,20.44,21.66,22.88,23.5,24.78,27.72,29.84,30.28,30.44,31.09,31.25,30.12,28.34,27.56,26.94,24.62,21.53,19.28,18.31,17.0,16.22,16.62,18.69,20.88,21.09,21.03,21.97,22.78,22.5,22.0,23.19,24.97,25.66,25.28,25.31,25.66,24.94,23.38,22.81,24.06,25.66,25.91,26.59,27.94,28.62,27.22,24.84,23.22,22.25,20.84,19.44,19.56,21.59,23.47,24.41,25.72,27.88,29.34,28.88,28.0,28.47,29.47,29.0,27.97,27.88,27.16,25.0,22.22,19.69,19.03,18.84,18.41,18.75,21.03,22.88,22.91,21.69,21.06,20.72,19.22,17.88,18.5,20.28,21.62,22.09,22.53,23.97,25.0,24.38,23.91,24.78,25.78,25.22,25.0,26.47,28.44,29.19,28.84,29.12,29.72,29.44,28.16,27.19,27.06,26.44,24.38,22.28,22.12,22.59,22.28,22.56,24.38,26.69,27.88,28.19,29.06,29.78,29.84,28.12,26.59,26.31,25.44,23.59,22.19,22.97,24.0,23.44,22.19,21.94,22.12,79.31,78.66,78.09,77.84,77.12,76.31,75.44,75.03,74.56,73.69,73.03,72.78,72.06,70.59:17.53,18.78,18.94,17.69,16.31,16.66,17.03,15.91,15.12,16.25,17.78,17.75,17.44,18.19,19.69,20.41,19.75,19.75,20.62,20.78,19.34,17.69,17.59,17.66,16.28,14.53,14.78,15.75,15.16,14.34,14.25,15.62,16.56,16.72,17.78,20.16,21.41,20.97,20.06,20.38,21.09,20.34,19.25,19.31,20.12,19.59,18.53,18.91,20.34,20.84,19.88,19.31,19.81,19.94,18.72,18.16,19.62,21.47,22.12,22.22,23.19,24.0,22.78,20.47,18.88,18.38,17.47,15.5,14.75,15.44,15.66,14.97,14.34,15.31,16.47,16.5,16.25,17.72,20.31,21.5,21.94,22.75,24.22,24.59,23.09,22.09,22.22,22.06,20.12,17.66,17.03,16.38,14.62,12.91,12.97,14.81,15.75,16.06,17.12,19.0,19.53,18.06,16.72,17.09,17.88,17.53,16.88,17.84,18.62,18.0,16.44,16.38,16.81,16.25,14.62,13.94,14.75,15.16,15.09,15.03,16.31,17.31,16.78,16.12,16.69,17.66,17.34,15.91,15.66,15.44,14.09,11.69,9.97,10.12,10.34,9.94,10.69,12.91,15.44,16.62,17.38,19.72,22.75,23.97,24.56,25.84,26.94,26.44,24.12,22.28,21.31,19.97,17.5,15.53,15.53,15.97,14.84,13.34,13.06,13.0,11.53,8.94,8.44,9.31,10.0,10.59,12.62,16.56,20.34,22.53,24.19,26.94,29.16,29.12,28.12,28.53,29.38,29.53,29.09,29.94,32.0,32.53,31.84,30.53,30.12,28.62,25.16,21.66,19.75,18.62,17.38,16.22,16.97,18.34,18.56,17.53,17.34,18.31,18.5,17.59,17.0,18.22,18.78,17.72,16.75,17.41,18.5,18.56,18.22,19.22,20.09,19.0,16.06,13.41,11.97,10.44,8.28,7.56,8.34,8.97,7.94,6.41,6.69,7.5,7.22,7.44,9.53,12.91,15.81,17.06,18.75,20.56,21.22,19.78,18.81,19.78,20.88,20.94,21.22,23.25,25.69,26.66,26.25,27.12,28.25,28.03,26.19,24.5,23.5,21.62,18.31,15.31,14.19,12.94,10.28,7.41,6.53,7.03,6.94,6.97,8.75,11.88,13.91,14.78,16.28,18.06,18.94,18.16,17.28,18.25,19.19,18.78,17.81,18.06,18.44,17.53,15.41,14.72,14.31,13.06,10.84,9.34,9.19,8.94,7.09,5.69,6.06,6.84,6.97,7.19,9.81,13.22,15.72,17.16,19.25,21.62,22.44,21.12,20.31,20.59,20.56,19.16,18.03,18.41,18.59,17.56,16.0,15.97,16.59,16.5,15.44,15.66,16.38,16.38,14.94,14.22,14.97,15.66,15.28,15.22,16.94,18.59,19.0,18.59,19.47,21.03,22.03,22.16,23.72,26.31,27.88,27.34,26.69,26.53,25.94,23.94,22.09,22.31,22.44,21.38,19.41,18.44,18.19,17.44,16.22,16.25,18.0,19.41,19.09,19.38,20.62,21.38,20.53,19.72,20.75,22.53,23.28,23.22,24.72,26.03,25.88,24.59,24.12,24.97,25.75,25.03,25.25,26.69,27.88,27.56,27.44,28.97,30.66,31.41,31.28,32.41,33.78,34.06,32.88,32.34,32.47,31.81,30.0,28.84,29.72,30.56,30.25,29.62,30.12,30.78,29.81,28.25,28.09,28.69,28.81,27.75,27.16,27.81,28.19,27.03,26.84,27.97,29.19,28.5,27.38,27.78,28.81,29.0,28.28,28.78,29.91,30.16,29.38,29.66,31.06,31.91,31.09,30.0,29.75,29.53,27.47,25.12,24.38,24.25,23.28,21.44,21.06,21.59,21.81,21.31,21.28,22.75,24.31,24.31,24.72,26.59,28.59,28.41,27.25,27.0,26.56,25.69,23.56,23.25,24.16,24.78,24.31,24.28,26.0,27.47,26.91,26.44,26.88,26.91,25.0,22.38,21.25,20.88,20.03,18.66,18.84,20.44,21.41,20.5,20.06,20.62,20.81,19.47,18.47,19.03,20.19,20.34,20.31,22.03,24.5,26.03,26.06,27.06,28.5,28.38,26.44,24.38,22.78,21.09,18.75,16.91,17.25,18.78,19.25,19.75,21.09,22.5,23.03,21.34,20.47,20.19,19.88,18.69,18.12,19.38,20.94,20.81,20.06,19.88,19.44,17.22,14.41,13.06,13.06,13.03,12.41,13.47,15.72,17.81,18.28,18.78,20.25,20.91,19.53,17.81,16.88,16.62,15.06,13.34,13.09,13.94,14.22,13.5,13.56,14.44,15.09,13.5,12.72,13.12,13.88,13.69,14.0,15.75,18.22,19.19,18.75,18.41,18.53,17.19,14.66,13.31,13.34,14.25,14.12,14.53,16.72,18.84,19.22,18.88,19.59,20.91,21.06,20.47,20.56,20.91,20.19,17.97,16.03,15.44,15.34,14.12,14.0,15.75,18.28,19.25,19.19,19.22,18.47,16.38,13.12,11.12,10.72,10.47,9.75,9.72,10.81,11.91,11.5,11.12,12.16,13.91,14.25,14.47,16.19,17.94,18.72,18.19,18.25,19.41,20.03,19.47,19.69,21.44,23.28,23.53,23.38,24.31,25.56,25.12,23.88,24.06,25.03,24.78,23.25,22.16,21.78,20.88,18.84,17.84,18.31,19.16,18.62,17.81,17.91,18.47,17.47,15.44,14.59,14.53,13.56,12.16,11.97,13.28,15.22,16.12,17.34,19.62,21.31,20.28,18.66,17.53,16.94,15.47,14.22,14.41,16.0,17.0,17.38,17.88,19.28,20.25,19.28,19.03,19.94,21.62,21.78,22.22,23.47,25.0,24.78,23.75,23.28,23.28,22.16,19.72,18.09,17.69,17.38,15.69,14.75,15.72,17.56,18.06,19.12,21.44,23.84,24.88,24.91,25.19,26.44,26.03,24.69,23.91,24.03,24.59,24.25,24.94,27.0,29.41,30.31,30.47,31.62,33.09,32.84,31.31,30.31,29.69,28.41,25.91,24.47,24.44,24.31,22.81,21.12,20.66,21.06,20.47,20.03,21.22,23.03,23.31,22.16,21.44,21.44,21.16,20.12,19.41,20.19,21.06,20.25,19.97,20.94,22.75,23.25,23.25,23.66,24.59,24.16,22.66,21.91,22.5,22.75,21.56,21.34,22.19,23.16,22.97,22.56,23.44,24.75,24.56,24.12,24.94,27.03,27.78,27.97,28.28,28.78,27.69,24.72,21.91,20.69,20.47,19.56,19.09,20.31,22.47,22.88,22.91,23.84,25.31,26.03,25.25,24.62,24.59,24.03,21.34,18.72,17.97,17.91,16.44,15.09,15.38,16.03,15.28,13.91,13.41,14.16,14.22,13.5,13.66,15.53,16.97,17.06,16.81,17.31,17.59,16.34,14.94,15.38,17.38,18.22,18.56,19.56,20.75,20.5,19.59,19.06,19.88,21.0,20.38,19.88,19.84,19.81,18.0,15.91,15.56,16.66,17.34,17.88,19.38,21.56,22.22,21.59,21.0,20.91,20.78,18.94,17.66,18.09,19.53,19.97,20.28,21.84,24.28,25.53,26.0,26.44,27.38,26.84,24.75,22.72,22.56,23.53,23.5,24.41,26.88,30.03,31.41,31.25,31.5,31.62,30.41,28.56,27.59,28.97,30.31,30.31,30.81,32.38,33.03,31.72,30.56,30.5,30.97,29.78,27.59,25.72,24.5,22.47,20.34,19.53,20.69,21.94,22.31,22.62,24.62,26.44,26.28,26.09,25.97,25.53,23.41,20.47,18.44,17.16,15.62,13.16,11.91,12.28,12.84,13.31,15.12,18.97,23.09,25.62,27.44,29.75,31.47,31.5,30.53,30.53,31.56,31.38,30.41,29.25,29.41,28.16,25.72,23.66,23.47,23.88,23.34,22.94,23.53,24.25,23.41,21.69,20.91,21.75,22.81,23.84,26.03,29.97,33.16,34.56,35.09,35.69,35.66,33.62,30.81,28.75,27.56,25.09,22.53,21.12,21.03,20.94,20.59,20.94,22.59,23.62,22.81,21.09,20.25,19.31,17.38,15.44,14.53,14.5,13.22,11.31,9.91,10.09,10.44,10.28,10.56,12.66,13.75,13.47,12.84,13.06,14.38,14.53,14.59,15.91,17.97,18.81,18.34,18.41,19.25,18.91,17.25,16.12,16.72,17.22,16.84,16.69,18.09,19.88,20.09,19.72,19.91,20.53,19.66,17.88,16.66,17.06,17.22,16.38,16.31,18.47,20.88,22.09,22.84,24.72,26.56,26.34,24.75,23.75,23.59,22.44,20.34,18.78,18.72,18.66,17.31,16.28,16.5,17.03,16.66,16.28,17.59,19.34,19.97,19.84,20.44,21.66,22.88,23.5,24.78,27.72,29.84,30.28,30.44,31.09,31.25,30.12,28.34,27.56,26.94,24.62,21.53,19.28,18.31,17.0,16.22,16.62,18.69,20.88,21.09,21.03,21.97,22.78,22.5,22.0,23.19,24.97,25.66,25.28,25.31,25.66,24.94,23.38,22.81,24.06,25.66,25.91,26.59,27.94,28.62,27.22,24.84,23.22,22.25,20.84,19.44,19.56,21.59,23.47,24.41,25.72,27.88,29.34,28.88,28.0,28.47,29.47,29.0,27.97,27.88,27.16,25.0,22.22,19.69,19.03,18.84,18.41,18.75,21.03,22.88,22.91,21.69,21.06,20.72,19.22,17.88,18.5,20.28,21.62,22.09,22.53,23.97,25.0,24.38,23.91,24.78,25.78,25.22,25.0,26.47,28.44,29.19,28.84,29.12,29.72,29.44,28.16,27.19,27.06,26.44,24.38,22.28,22.12,22.59,22.28,22.56,24.38,26.69,27.88,28.19,29.06,29.78,29.84,28.12,26.59,26.31,25.44,23.59,22.19,22.97,24.0,23.44,22.19,21.94,22.12,79.31,78.66,78.09,77.84,77.12,76.31,75.44,75.03,74.56,73.69,73.03,72.78,72.06,70.59,69.5,68.81,68.31,67.5,67.03,67.06,67.38:15.91,15.12,16.25,17.78,17.75,17.44,18.19,19.69,20.41,19.75,19.75,20.62,20.78,19.34,17.69,17.59,17.66,16.28,14.53,14.78,15.75,15.16,14.34,14.25,15.62,16.56,16.72,17.78,20.16,21.41,20.97,20.06,20.38,21.09,20.34,19.25,19.31,20.12,19.59,18.53,18.91,20.34,20.84,19.88,19.31,19.81,19.94,18.72,18.16,19.62,21.47,22.12,22.22,23.19,24.0,22.78,20.47,18.88,18.38,17.47,15.5,14.75,15.44,15.66,14.97,14.34,15.31,16.47,16.5,16.25,17.72,20.31,21.5,21.94,22.75,24.22,24.59,23.09,22.09,22.22,22.06,20.12,17.66,17.03,16.38,14.62,12.91,12.97,14.81,15.75,16.06,17.12,19.0,19.53,18.06,16.72,17.09,17.88,17.53,16.88,17.84,18.62,18.0,16.44,16.38,16.81,16.25,14.62,13.94,14.75,15.16,15.09,15.03,16.31,17.31,16.78,16.12,16.69,17.66,17.34,15.91,15.66,15.44,14.09,11.69,9.97,10.12,10.34,9.94,10.69,12.91,15.44,16.62,17.38,19.72,22.75,23.97,24.56,25.84,26.94,26.44,24.12,22.28,21.31,19.97,17.5,15.53,15.53,15.97,14.84,13.34,13.06,13.0,11.53,8.94,8.44,9.31,10.0,10.59,12.62,16.56,20.34,22.53,24.19,26.94,29.16,29.12,28.12,28.53,29.38,29.53,29.09,29.94,32.0,32.53,31.84,30.53,30.12,28.62,25.16,21.66,19.75,18.62,17.38,16.22,16.97,18.34,18.56,17.53,17.34,18.31,18.5,17.59,17.0,18.22,18.78,17.72,16.75,17.41,18.5,18.56,18.22,19.22,20.09,19.0,16.06,13.41,11.97,10.44,8.28,7.56,8.34,8.97,7.94,6.41,6.69,7.5,7.22,7.44,9.53,12.91,15.81,17.06,18.75,20.56,21.22,19.78,18.81,19.78,20.88,20.94,21.22,23.25,25.69,26.66,26.25,27.12,28.25,28.03,26.19,24.5,23.5,21.62,18.31,15.31,14.19,12.94,10.28,7.41,6.53,7.03,6.94,6.97,8.75,11.88,13.91,14.78,16.28,18.06,18.94,18.16,17.28,18.25,19.19,18.78,17.81,18.06,18.44,17.53,15.41,14.72,14.31,13.06,10.84,9.34,9.19,8.94,7.09,5.69,6.06,6.84,6.97,7.19,9.81,13.22,15.72,17.16,19.25,21.62,22.44,21.12,20.31,20.59,20.56,19.16,18.03,18.41,18.59,17.56,16.0,15.97,16.59,16.5,15.44,15.66,16.38,16.38,14.94,14.22,14.97,15.66,15.28,15.22,16.94,18.59,19.0,18.59,19.47,21.03,22.03,22.16,23.72,26.31,27.88,27.34,26.69,26.53,25.94,23.94,22.09,22.31,22.44,21.38,19.41,18.44,18.19,17.44,16.22,16.25,18.0,19.41,19.09,19.38,20.62,21.38,20.53,19.72,20.75,22.53,23.28,23.22,24.72,26.03,25.88,24.59,24.12,24.97,25.75,25.03,25.25,26.69,27.88,27.56,27.44,28.97,30.66,31.41,31.28,32.41,33.78,34.06,32.88,32.34,32.47,31.81,30.0,28.84,29.72,30.56,30.25,29.62,30.12,30.78,29.81,28.25,28.09,28.69,28.81,27.75,27.16,27.81,28.19,27.03,26.84,27.97,29.19,28.5,27.38,27.78,28.81,29.0,28.28,28.78,29.91,30.16,29.38,29.66,31.06,31.91,31.09,30.0,29.75,29.53,27.47,25.12,24.38,24.25,23.28,21.44,21.06,21.59,21.81,21.31,21.28,22.75,24.31,24.31,24.72,26.59,28.59,28.41,27.25,27.0,26.56,25.69,23.56,23.25,24.16,24.78,24.31,24.28,26.0,27.47,26.91,26.44,26.88,26.91,25.0,22.38,21.25,20.88,20.03,18.66,18.84,20.44,21.41,20.5,20.06,20.62,20.81,19.47,18.47,19.03,20.19,20.34,20.31,22.03,24.5,26.03,26.06,27.06,28.5,28.38,26.44,24.38,22.78,21.09,18.75,16.91,17.25,18.78,19.25,19.75,21.09,22.5,23.03,21.34,20.47,20.19,19.88,18.69,18.12,19.38,20.94,20.81,20.06,19.88,19.44,17.22,14.41,13.06,13.06,13.03,12.41,13.47,15.72,17.81,18.28,18.78,20.25,20.91,19.53,17.81,16.88,16.62,15.06,13.34,13.09,13.94,14.22,13.5,13.56,14.44,15.09,13.5,12.72,13.12,13.88,13.69,14.0,15.75,18.22,19.19,18.75,18.41,18.53,17.19,14.66,13.31,13.34,14.25,14.12,14.53,16.72,18.84,19.22,18.88,19.59,20.91,21.06,20.47,20.56,20.91,20.19,17.97,16.03,15.44,15.34,14.12,14.0,15.75,18.28,19.25,19.19,19.22,18.47,16.38,13.12,11.12,10.72,10.47,9.75,9.72,10.81,11.91,11.5,11.12,12.16,13.91,14.25,14.47,16.19,17.94,18.72,18.19,18.25,19.41,20.03,19.47,19.69,21.44,23.28,23.53,23.38,24.31,25.56,25.12,23.88,24.06,25.03,24.78,23.25,22.16,21.78,20.88,18.84,17.84,18.31,19.16,18.62,17.81,17.91,18.47,17.47,15.44,14.59,14.53,13.56,12.16,11.97,13.28,15.22,16.12,17.34,19.62,21.31,20.28,18.66,17.53,16.94,15.47,14.22,14.41,16.0,17.0,17.38,17.88,19.28,20.25,19.28,19.03,19.94,21.62,21.78,22.22,23.47,25.0,24.78,23.75,23.28,23.28,22.16,19.72,18.09,17.69,17.38,15.69,14.75,15.72,17.56,18.06,19.12,21.44,23.84,24.88,24.91,25.19,26.44,26.03,24.69,23.91,24.03,24.59,24.25,24.94,27.0,29.41,30.31,30.47,31.62,33.09,32.84,31.31,30.31,29.69,28.41,25.91,24.47,24.44,24.31,22.81,21.12,20.66,21.06,20.47,20.03,21.22,23.03,23.31,22.16,21.44,21.44,21.16,20.12,19.41,20.19,21.06,20.25,19.97,20.94,22.75,23.25,23.25,23.66,24.59,24.16,22.66,21.91,22.5,22.75,21.56,21.34,22.19,23.16,22.97,22.56,23.44,24.75,24.56,24.12,24.94,27.03,27.78,27.97,28.28,28.78,27.69,24.72,21.91,20.69,20.47,19.56,19.09,20.31,22.47,22.88,22.91,23.84,25.31,26.03,25.25,24.62,24.59,24.03,21.34,18.72,17.97,17.91,16.44,15.09,15.38,16.03,15.28,13.91,13.41,14.16,14.22,13.5,13.66,15.53,16.97,17.06,16.81,17.31,17.59,16.34,14.94,15.38,17.38,18.22,18.56,19.56,20.75,20.5,19.59,19.06,19.88,21.0,20.38,19.88,19.84,19.81,18.0,15.91,15.56,16.66,17.34,17.88,19.38,21.56,22.22,21.59,21.0,20.91,20.78,18.94,17.66,18.09,19.53,19.97,20.28,21.84,24.28,25.53,26.0,26.44,27.38,26.84,24.75,22.72,22.56,23.53,23.5,24.41,26.88,30.03,31.41,31.25,31.5,31.62,30.41,28.56,27.59,28.97,30.31,30.31,30.81,32.38,33.03,31.72,30.56,30.5,30.97,29.78,27.59,25.72,24.5,22.47,20.34,19.53,20.69,21.94,22.31,22.62,24.62,26.44,26.28,26.09,25.97,25.53,23.41,20.47,18.44,17.16,15.62,13.16,11.91,12.28,12.84,13.31,15.12,18.97,23.09,25.62,27.44,29.75,31.47,31.5,30.53,30.53,31.56,31.38,30.41,29.25,29.41,28.16,25.72,23.66,23.47,23.88,23.34,22.94,23.53,24.25,23.41,21.69,20.91,21.75,22.81,23.84,26.03,29.97,33.16,34.56,35.09,35.69,35.66,33.62,30.81,28.75,27.56,25.09,22.53,21.12,21.03,20.94,20.59,20.94,22.59,23.62,22.81,21.09,20.25,19.31,17.38,15.44,14.53,14.5,13.22,11.31,9.91,10.09,10.44,10.28,10.56,12.66,13.75,13.47,12.84,13.06,14.38,14.53,14.59,15.91,17.97,18.81,18.34,18.41,19.25,18.91,17.25,16.12,16.72,17.22,16.84,16.69,18.09,19.88,20.09,19.72,19.91,20.53,19.66,17.88,16.66,17.06,17.22,16.38,16.31,18.47,20.88,22.09,22.84,24.72,26.56,26.34,24.75,23.75,23.59,22.44,20.34,18.78,18.72,18.66,17.31,16.28,16.5,17.03,16.66,16.28,17.59,19.34,19.97,19.84,20.44,21.66,22.88,23.5,24.78,27.72,29.84,30.28,30.44,31.09,31.25,30.12,28.34,27.56,26.94,24.62,21.53,19.28,18.31,17.0,16.22,16.62,18.69,20.88,21.09,21.03,21.97,22.78,22.5,22.0,23.19,24.97,25.66,25.28,25.31,25.66,24.94,23.38,22.81,24.06,25.66,25.91,26.59,27.94,28.62,27.22,24.84,23.22,22.25,20.84,19.44,19.56,21.59,23.47,24.41,25.72,27.88,29.34,28.88,28.0,28.47,29.47,29.0,27.97,27.88,27.16,25.0,22.22,19.69,19.03,18.84,18.41,18.75,21.03,22.88,22.91,21.69,21.06,20.72,19.22,17.88,18.5,20.28,21.62,22.09,22.53,23.97,25.0,24.38,23.91,24.78,25.78,25.22,25.0,26.47,28.44,29.19,28.84,29.12,29.72,29.44,28.16,27.19,27.06,26.44,24.38,22.28,22.12,22.59,22.28,22.56,24.38,26.69,27.88,28.19,29.06,29.78,29.84,28.12,26.59,26.31,25.44,23.59,22.19,22.97,24.0,23.44,22.19,21.94,22.12,79.31,78.66,78.09,77.84,77.12,76.31,75.44,75.03,74.56,73.69,73.03,72.78,72.06,70.59,69.5,68.81,68.31,67.5,67.03,67.06,67.38,67.56,67.62,67.94,68.31,68.19,68.06,68.84:19.69,20.41,19.75,19.75,20.62,20.78,19.34,17.69,17.59,17.66,16.28,14.53,14.78,15.75,15.16,14.34,14.25,15.62,16.56,16.72,17.78,20.16,21.41,20.97,20.06,20.38,21.09,20.34,19.25,19.31,20.12,19.59,18.53,18.91,20.34,20.84,19.88,19.31,19.81,19.94,18.72,18.16,19.62,21.47,22.12,22.22,23.19,24.0,22.78,20.47,18.88,18.38,17.47,15.5,14.75,15.44,15.66,14.97,14.34,15.31,16.47,16.5,16.25,17.72,20.31,21.5,21.94,22.75,24.22,24.59,23.09,22.09,22.22,22.06,20.12,17.66,17.03,16.38,14.62,12.91,12.97,14.81,15.75,16.06,17.12,19.0,19.53,18.06,16.72,17.09,17.88,17.53,16.88,17.84,18.62,18.0,16.44,16.38,16.81,16.25,14.62,13.94,14.75,15.16,15.09,15.03,16.31,17.31,16.78,16.12,16.69,17.66,17.34,15.91,15.66,15.44,14.09,11.69,9.97,10.12,10.34,9.94,10.69,12.91,15.44,16.62,17.38,19.72,22.75,23.97,24.56,25.84,26.94,26.44,24.12,22.28,21.31,19.97,17.5,15.53,15.53,15.97,14.84,13.34,13.06,13.0,11.53,8.94,8.44,9.31,10.0,10.59,12.62,16.56,20.34,22.53,24.19,26.94,29.16,29.12,28.12,28.53,29.38,29.53,29.09,29.94,32.0,32.53,31.84,30.53,30.12,28.62,25.16,21.66,19.75,18.62,17.38,16.22,16.97,18.34,18.56,17.53,17.34,18.31,18.5,17.59,17.0,18.22,18.78,17.72,16.75,17.41,18.5,18.56,18.22,19.22,20.09,19.0,16.06,13.41,11.97,10.44,8.28,7.56,8.34,8.97,7.94,6.41,6.69,7.5,7.22,7.44,9.53,12.91,15.81,17.06,18.75,20.56,21.22,19.78,18.81,19.78,20.88,20.94,21.22,23.25,25.69,26.66,26.25,27.12,28.25,28.03,26.19,24.5,23.5,21.62,18.31,15.31,14.19,12.94,10.28,7.41,6.53,7.03,6.94,6.97,8.75,11.88,13.91,14.78,16.28,18.06,18.94,18.16,17.28,18.25,19.19,18.78,17.81,18.06,18.44,17.53,15.41,14.72,14.31,13.06,10.84,9.34,9.19,8.94,7.09,5.69,6.06,6.84,6.97,7.19,9.81,13.22,15.72,17.16,19.25,21.62,22.44,21.12,20.31,20.59,20.56,19.16,18.03,18.41,18.59,17.56,16.0,15.97,16.59,16.5,15.44,15.66,16.38,16.38,14.94,14.22,14.97,15.66,15.28,15.22,16.94,18.59,19.0,18.59,19.47,21.03,22.03,22.16,23.72,26.31,27.88,27.34,26.69,26.53,25.94,23.94,22.09,22.31,22.44,21.38,19.41,18.44,18.19,17.44,16.22,16.25,18.0,19.41,19.09,19.38,20.62,21.38,20.53,19.72,20.75,22.53,23.28,23.22,24.72,26.03,25.88,24.59,24.12,24.97,25.75,25.03,25.25,26.69,27.88,27.56,27.44,28.97,30.66,31.41,31.28,32.41,33.78,34.06,32.88,32.34,32.47,31.81,30.0,28.84,29.72,30.56,30.25,29.62,30.12,30.78,29.81,28.25,28.09,28.69,28.81,27.75,27.16,27.81,28.19,27.03,26.84,27.97,29.19,28.5,27.38,27.78,28.81,29.0,28.28,28.78,29.91,30.16,29.38,29.66,31.06,31.91,31.09,30.0,29.75,29.53,27.47,25.12,24.38,24.25,23.28,21.44,21.06,21.59,21.81,21.31,21.28,22.75,24.31,24.31,24.72,26.59,28.59,28.41,27.25,27.0,26.56,25.69,23.56,23.25,24.16,24.78,24.31,24.28,26.0,27.47,26.91,26.44,26.88,26.91,25.0,22.38,21.25,20.88,20.03,18.66,18.84,20.44,21.41,20.5,20.06,20.62,20.81,19.47,18.47,19.03,20.19,20.34,20.31,22.03,24.5,26.03,26.06,27.06,28.5,28.38,26.44,24.38,22.78,21.09,18.75,16.91,17.25,18.78,19.25,19.75,21.09,22.5,23.03,21.34,20.47,20.19,19.88,18.69,18.12,19.38,20.94,20.81,20.06,19.88,19.44,17.22,14.41,13.06,13.06,13.03,12.41,13.47,15.72,17.81,18.28,18.78,20.25,20.91,19.53,17.81,16.88,16.62,15.06,13.34,13.09,13.94,14.22,13.5,13.56,14.44,15.09,13.5,12.72,13.12,13.88,13.69,14.0,15.75,18.22,19.19,18.75,18.41,18.53,17.19,14.66,13.31,13.34,14.25,14.12,14.53,16.72,18.84,19.22,18.88,19.59,20.91,21.06,20.47,20.56,20.91,20.19,17.97,16.03,15.44,15.34,14.12,14.0,15.75,18.28,19.25,19.19,19.22,18.47,16.38,13.12,11.12,10.72,10.47,9.75,9.72,10.81,11.91,11.5,11.12,12.16,13.91,14.25,14.47,16.19,17.94,18.72,18.19,18.25,19.41,20.03,19.47,19.69,21.44,23.28,23.53,23.38,24.31,25.56,25.12,23.88,24.06,25.03,24.78,23.25,22.16,21.78,20.88,18.84,17.84,18.31,19.16,18.62,17.81,17.91,18.47,17.47,15.44,14.59,14.53,13.56,12.16,11.97,13.28,15.22,16.12,17.34,19.62,21.31,20.28,18.66,17.53,16.94,15.47,14.22,14.41,16.0,17.0,17.38,17.88,19.28,20.25,19.28,19.03,19.94,21.62,21.78,22.22,23.47,25.0,24.78,23.75,23.28,23.28,22.16,19.72,18.09,17.69,17.38,15.69,14.75,15.72,17.56,18.06,19.12,21.44,23.84,24.88,24.91,25.19,26.44,26.03,24.69,23.91,24.03,24.59,24.25,24.94,27.0,29.41,30.31,30.47,31.62,33.09,32.84,31.31,30.31,29.69,28.41,25.91,24.47,24.44,24.31,22.81,21.12,20.66,21.06,20.47,20.03,21.22,23.03,23.31,22.16,21.44,21.44,21.16,20.12,19.41,20.19,21.06,20.25,19.97,20.94,22.75,23.25,23.25,23.66,24.59,24.16,22.66,21.91,22.5,22.75,21.56,21.34,22.19,23.16,22.97,22.56,23.44,24.75,24.56,24.12,24.94,27.03,27.78,27.97,28.28,28.78,27.69,24.72,21.91,20.69,20.47,19.56,19.09,20.31,22.47,22.88,22.91,23.84,25.31,26.03,25.25,24.62,24.59,24.03,21.34,18.72,17.97,17.91,16.44,15.09,15.38,16.03,15.28,13.91,13.41,14.16,14.22,13.5,13.66,15.53,16.97,17.06,16.81,17.31,17.59,16.34,14.94,15.38,17.38,18.22,18.56,19.56,20.75,20.5,19.59,19.06,19.88,21.0,20.38,19.88,19.84,19.81,18.0,15.91,15.56,16.66,17.34,17.88,19.38,21.56,22.22,21.59,21.0,20.91,20.78,18.94,17.66,18.09,19.53,19.97,20.28,21.84,24.28,25.53,26.0,26.44,27.38,26.84,24.75,22.72,22.56,23.53,23.5,24.41,26.88,30.03,31.41,31.25,31.5,31.62,30.41,28.56,27.59,28.97,30.31,30.31,30.81,32.38,33.03,31.72,30.56,30.5,30.97,29.78,27.59,25.72,24.5,22.47,20.34,19.53,20.69,21.94,22.31,22.62,24.62,26.44,26.28,26.09,25.97,25.53,23.41,20.47,18.44,17.16,15.62,13.16,11.91,12.28,12.84,13.31,15.12,18.97,23.09,25.62,27.44,29.75,31.47,31.5,30.53,30.53,31.56,31.38,30.41,29.25,29.41,28.16,25.72,23.66,23.47,23.88,23.34,22.94,23.53,24.25,23.41,21.69,20.91,21.75,22.81,23.84,26.03,29.97,33.16,34.56,35.09,35.69,35.66,33.62,30.81,28.75,27.56,25.09,22.53,21.12,21.03,20.94,20.59,20.94,22.59,23.62,22.81,21.09,20.25,19.31,17.38,15.44,14.53,14.5,13.22,11.31,9.91,10.09,10.44,10.28,10.56,12.66,13.75,13.47,12.84,13.06,14.38,14.53,14.59,15.91,17.97,18.81,18.34,18.41,19.25,18.91,17.25,16.12,16.72,17.22,16.84,16.69,18.09,19.88,20.09,19.72,19.91,20.53,19.66,17.88,16.66,17.06,17.22,16.38,16.31,18.47,20.88,22.09,22.84,24.72,26.56,26.34,24.75,23.75,23.59,22.44,20.34,18.78,18.72,18.66,17.31,16.28,16.5,17.03,16.66,16.28,17.59,19.34,19.97,19.84,20.44,21.66,22.88,23.5,24.78,27.72,29.84,30.28,30.44,31.09,31.25,30.12,28.34,27.56,26.94,24.62,21.53,19.28,18.31,17.0,16.22,16.62,18.69,20.88,21.09,21.03,21.97,22.78,22.5,22.0,23.19,24.97,25.66,25.28,25.31,25.66,24.94,23.38,22.81,24.06,25.66,25.91,26.59,27.94,28.62,27.22,24.84,23.22,22.25,20.84,19.44,19.56,21.59,23.47,24.41,25.72,27.88,29.34,28.88,28.0,28.47,29.47,29.0,27.97,27.88,27.16,25.0,22.22,19.69,19.03,18.84,18.41,18.75,21.03,22.88,22.91,21.69,21.06,20.72,19.22,17.88,18.5,20.28,21.62,22.09,22.53,23.97,25.0,24.38,23.91,24.78,25.78,25.22,25.0,26.47,28.44,29.19,28.84,29.12,29.72,29.44,28.16,27.19,27.06,26.44,24.38,22.28,22.12,22.59,22.28,22.56,24.38,26.69,27.88,28.19,29.06,29.78,29.84,28.12,26.59,26.31,25.44,23.59,22.19,22.97,24.0,23.44,22.19,21.94,22.12,79.31,78.66,78.09,77.84,77.12,76.31,75.44,75.03,74.56,73.69,73.03,72.78,72.06,70.59,69.5,68.81,68.31,67.5,67.03,67.06,67.38,67.56,67.62,67.94,68.31,68.19,68.06,68.84,69.97,71.53,73.12,74.59,76.53,78.38,79.22:17.69,17.59,17.66,16.28,14.53,14.78,15.75,15.16,14.34,14.25,15.62,16.56,16.72,17.78,20.16,21.41,20.97,20.06,20.38,21.09,20.34,19.25,19.31,20.12,19.59,18.53,18.91,20.34,20.84,19.88,19.31,19.81,19.94,18.72,18.16,19.62,21.47,22.12,22.22,23.19,24.0,22.78,20.47,18.88,18.38,17.47,15.5,14.75,15.44,15.66,14.97,14.34,15.31,16.47,16.5,16.25,17.72,20.31,21.5,21.94,22.75,24.22,24.59,23.09,22.09,22.22,22.06,20.12,17.66,17.03,16.38,14.62,12.91,12.97,14.81,15.75,16.06,17.12,19.0,19.53,18.06,16.72,17.09,17.88,17.53,16.88,17.84,18.62,18.0,16.44,16.38,16.81,16.25,14.62,13.94,14.75,15.16,15.09,15.03,16.31,17.31,16.78,16.12,16.69,17.66,17.34,15.91,15.66,15.44,14.09,11.69,9.97,10.12,10.34,9.94,10.69,12.91,15.44,16.62,17.38,19.72,22.75,23.97,24.56,25.84,26.94,26.44,24.12,22.28,21.31,19.97,17.5,15.53,15.53,15.97,14.84,13.34,13.06,13.0,11.53,8.94,8.44,9.31,10.0,10.59,12.62,16.56,20.34,22.53,24.19,26.94,29.16,29.12,28.12,28.53,29.38,29.53,29.09,29.94,32.0,32.53,31.84,30.53,30.12,28.62,25.16,21.66,19.75,18.62,17.38,16.22,16.97,18.34,18.56,17.53,17.34,18.31,18.5,17.59,17.0,18.22,18.78,17.72,16.75,17.41,18.5,18.56,18.22,19.22,20.09,19.0,16.06,13.41,11.97,10.44,8.28,7.56,8.34,8.97,7.94,6.41,6.69,7.5,7.22,7.44,9.53,12.91,15.81,17.06,18.75,20.56,21.22,19.78,18.81,19.78,20.88,20.94,21.22,23.25,25.69,26.66,26.25,27.12,28.25,28.03,26.19,24.5,23.5,21.62,18.31,15.31,14.19,12.94,10.28,7.41,6.53,7.03,6.94,6.97,8.75,11.88,13.91,14.78,16.28,18.06,18.94,18.16,17.28,18.25,19.19,18.78,17.81,18.06,18.44,17.53,15.41,14.72,14.31,13.06,10.84,9.34,9.19,8.94,7.09,5.69,6.06,6.84,6.97,7.19,9.81,13.22,15.72,17.16,19.25,21.62,22.44,21.12,20.31,20.59,20.56,19.16,18.03,18.41,18.59,17.56,16.0,15.97,16.59,16.5,15.44,15.66,16.38,16.38,14.94,14.22,14.97,15.66,15.28,15.22,16.94,18.59,19.0,18.59,19.47,21.03,22.03,22.16,23.72,26.31,27.88,27.34,26.69,26.53,25.94,23.94,22.09,22.31,22.44,21.38,19.41,18.44,18.19,17.44,16.22,16.25,18.0,19.41,19.09,19.38,20.62,21.38,20.53,19.72,20.75,22.53,23.28,23.22,24.72,26.03,25.88,24.59,24.12,24.97,25.75,25.03,25.25,26.69,27.88,27.56,27.44,28.97,30.66,31.41,31.28,32.41,33.78,34.06,32.88,32.34,32.47,31.81,30.0,28.84,29.72,30.56,30.25,29.62,30.12,30.78,29.81,28.25,28.09,28.69,28.81,27.75,27.16,27.81,28.19,27.03,26.84,27.97,29.19,28.5,27.38,27.78,28.81,29.0,28.28,28.78,29.91,30.16,29.38,29.66,31.06,31.91,31.09,30.0,29.75,29.53,27.47,25.12,24.38,24.25,23.28,21.44,21.06,21.59,21.81,21.31,21.28,22.75,24.31,24.31,24.72,26.59,28.59,28.41,27.25,27.0,26.56,25.69,23.56,23.25,24.16,24.78,24.31,24.28,26.0,27.47,26.91,26.44,26.88,26.91,25.0,22.38,21.25,20.88,20.03,18.66,18.84,20.44,21.41,20.5,20.06,20.62,20.81,19.47,18.47,19.03,20.19,20.34,20.31,22.03,24.5,26.03,26.06,27.06,28.5,28.38,26.44,24.38,22.78,21.09,18.75,16.91,17.25,18.78,19.25,19.75,21.09,22.5,23.03,21.34,20.47,20.19,19.88,18.69,18.12,19.38,20.94,20.81,20.06,19.88,19.44,17.22,14.41,13.06,13.06,13.03,12.41,13.47,15.72,17.81,18.28,18.78,20.25,20.91,19.53,17.81,16.88,16.62,15.06,13.34,13.09,13.94,14.22,13.5,13.56,14.44,15.09,13.5,12.72,13.12,13.88,13.69,14.0,15.75,18.22,19.19,18.75,18.41,18.53,17.19,14.66,13.31,13.34,14.25,14.12,14.53,16.72,18.84,19.22,18.88,19.59,20.91,21.06,20.47,20.56,20.91,20.19,17.97,16.03,15.44,15.34,14.12,14.0,15.75,18.28,19.25,19.19,19.22,18.47,16.38,13.12,11.12,10.72,10.47,9.75,9.72,10.81,11.91,11.5,11.12,12.16,13.91,14.25,14.47,16.19,17.94,18.72,18.19,18.25,19.41,20.03,19.47,19.69,21.44,23.28,23.53,23.38,24.31,25.56,25.12,23.88,24.06,25.03,24.78,23.25,22.16,21.78,20.88,18.84,17.84,18.31,19.16,18.62,17.81,17.91,18.47,17.47,15.44,14.59,14.53,13.56,12.16,11.97,13.28,15.22,16.12,17.34,19.62,21.31,20.28,18.66,17.53,16.94,15.47,14.22,14.41,16.0,17.0,17.38,17.88,19.28,20.25,19.28,19.03,19.94,21.62,21.78,22.22,23.47,25.0,24.78,23.75,23.28,23.28,22.16,19.72,18.09,17.69,17.38,15.69,14.75,15.72,17.56,18.06,19.12,21.44,23.84,24.88,24.91,25.19,26.44,26.03,24.69,23.91,24.03,24.59,24.25,24.94,27.0,29.41,30.31,30.47,31.62,33.09,32.84,31.31,30.31,29.69,28.41,25.91,24.47,24.44,24.31,22.81,21.12,20.66,21.06,20.47,20.03,21.22,23.03,23.31,22.16,21.44,21.44,21.16,20.12,19.41,20.19,21.06,20.25,19.97,20.94,22.75,23.25,23.25,23.66,24.59,24.16,22.66,21.91,22.5,22.75,21.56,21.34,22.19,23.16,22.97,22.56,23.44,24.75,24.56,24.12,24.94,27.03,27.78,27.97,28.28,28.78,27.69,24.72,21.91,20.69,20.47,19.56,19.09,20.31,22.47,22.88,22.91,23.84,25.31,26.03,25.25,24.62,24.59,24.03,21.34,18.72,17.97,17.91,16.44,15.09,15.38,16.03,15.28,13.91,13.41,14.16,14.22,13.5,13.66,15.53,16.97,17.06,16.81,17.31,17.59,16.34,14.94,15.38,17.38,18.22,18.56,19.56,20.75,20.5,19.59,19.06,19.88,21.0,20.38,19.88,19.84,19.81,18.0,15.91,15.56,16.66,17.34,17.88,19.38,21.56,22.22,21.59,21.0,20.91,20.78,18.94,17.66,18.09,19.53,19.97,20.28,21.84,24.28,25.53,26.0,26.44,27.38,26.84,24.75,22.72,22.56,23.53,23.5,24.41,26.88,30.03,31.41,31.25,31.5,31.62,30.41,28.56,27.59,28.97,30.31,30.31,30.81,32.38,33.03,31.72,30.56,30.5,30.97,29.78,27.59,25.72,24.5,22.47,20.34,19.53,20.69,21.94,22.31,22.62,24.62,26.44,26.28,26.09,25.97,25.53,23.41,20.47,18.44,17.16,15.62,13.16,11.91,12.28,12.84,13.31,15.12,18.97,23.09,25.62,27.44,29.75,31.47,31.5,30.53,30.53,31.56,31.38,30.41,29.25,29.41,28.16,25.72,23.66,23.47,23.88,23.34,22.94,23.53,24.25,23.41,21.69,20.91,21.75,22.81,23.84,26.03,29.97,33.16,34.56,35.09,35.69,35.66,33.62,30.81,28.75,27.56,25.09,22.53,21.12,21.03,20.94,20.59,20.94,22.59,23.62,22.81,21.09,20.25,19.31,17.38,15.44,14.53,14.5,13.22,11.31,9.91,10.09,10.44,10.28,10.56,12.66,13.75,13.47,12.84,13.06,14.38,14.53,14.59,15.91,17.97,18.81,18.34,18.41,19.25,18.91,17.25,16.12,16.72,17.22,16.84,16.69,18.09,19.88,20.09,19.72,19.91,20.53,19.66,17.88,16.66,17.06,17.22,16.38,16.31,18.47,20.88,22.09,22.84,24.72,26.56,26.34,24.75,23.75,23.59,22.44,20.34,18.78,18.72,18.66,17.31,16.28,16.5,17.03,16.66,16.28,17.59,19.34,19.97,19.84,20.44,21.66,22.88,23.5,24.78,27.72,29.84,30.28,30.44,31.09,31.25,30.12,28.34,27.56,26.94,24.62,21.53,19.28,18.31,17.0,16.22,16.62,18.69,20.88,21.09,21.03,21.97,22.78,22.5,22.0,23.19,24.97,25.66,25.28,25.31,25.66,24.94,23.38,22.81,24.06,25.66,25.91,26.59,27.94,28.62,27.22,24.84,23.22,22.25,20.84,19.44,19.56,21.59,23.47,24.41,25.72,27.88,29.34,28.88,28.0,28.47,29.47,29.0,27.97,27.88,27.16,25.0,22.22,19.69,19.03,18.84,18.41,18.75,21.03,22.88,22.91,21.69,21.06,20.72,19.22,17.88,18.5,20.28,21.62,22.09,22.53,23.97,25.0,24.38,23.91,24.78,25.78,25.22,25.0,26.47,28.44,29.19,28.84,29.12,29.72,29.44,28.16,27.19,27.06,26.44,24.38,22.28,22.12,22.59,22.28,22.56,24.38,26.69,27.88,28.19,29.06,29.78,29.84,28.12,26.59,26.31,25.44,23.59,22.19,22.97,24.0,23.44,22.19,21.94,22.12,79.31,78.66,78.09,77.84,77.12,76.31,75.44,75.03,74.56,73.69,73.03,72.78,72.06,70.59,69.5,68.81,68.31,67.5,67.03,67.06,67.38,67.56,67.62,67.94,68.31,68.19,68.06,68.84,69.97,71.53,73.12,74.59,76.53,78.38,79.22,79.59,79.5,79.53,78.5,76.72,75.44,74.22:negativity
24.03,23.59,23.62,22.66,19.75,16.66,14.91,14.16,12.53,11.84,13.62,16.59,18.62,19.44,20.75,22.34,23.72,23.53,24.19,25.62,26.09,24.5,22.38,21.5,21.47,20.38,19.16,19.28,20.09,19.62,18.5,18.47,19.91,20.72,20.31,20.91,22.12,23.28,22.72,21.81,22.25,23.31,22.78,22.16,22.31,23.38,22.84,21.56,21.5,22.94,24.41,25.09,26.41,28.88,30.53,29.56,27.62,26.47,25.84,24.28,22.47,22.19,23.06,23.03,21.88,21.66,22.38,22.53,21.03,19.75,20.41,21.44,21.25,21.5,23.75,26.12,27.25,27.72,28.75,29.88,29.34,26.97,25.31,24.47,23.53,21.41,19.66,19.06,18.41,16.47,14.75,15.59,17.38,18.69,19.97,22.47,26.03,28.44,30.0,31.75,34.03,34.84,33.06,30.84,29.28,27.41,24.06,20.81,19.28,19.19,18.69,18.41,20.22,23.03,24.97,25.72,26.94,29.56,32.31,34.19,37.12,41.16,45.31,46.69,46.47,45.84,44.38,40.59,35.22,30.47,26.81,22.44,17.31,13.22,10.62,8.59,5.84,4.72,6.06,9.12,11.09,12.91,15.78,18.88,20.78,21.38,23.12,26.22,28.88,30.31,32.56,36.03,38.56,38.81,38.34,38.66,39.09,37.75,36.0,35.19,35.41,34.47,32.5,31.62,32.38,32.59,31.53,31.28,32.28,33.09,32.25,31.91,33.12,35.34,35.62,34.44,33.91,33.31,31.47,29.0,28.19,28.94,29.19,28.5,28.34,28.94,29.16,27.25,25.44,24.81,25.22,24.84,24.84,26.41,28.94,30.59,30.69,30.91,31.25,30.41,27.69,25.38,24.78,25.09,24.69,24.41,25.56,27.53,28.38,28.56,30.25,31.94,33.09,32.38,32.19,33.25,34.03,33.0,31.84,31.38,30.78,28.75,27.12,27.56,29.62,30.97,31.91,33.62,36.41,38.03,38.0,38.19,39.16,38.81,36.31,33.78,32.19,30.97,28.78,27.0,26.84,27.44,26.81,25.59,25.25,25.56,25.16,23.94,23.44,24.56,25.81,25.72,25.69,27.31,28.66,28.31,27.38,27.25,27.59,26.16,24.16,23.28,23.62,23.59,22.72,22.5,23.69,24.59,24.22,23.72,25.16,27.53,28.66,29.59,31.88,34.41,34.62,33.62,33.03,33.88,33.94,33.19,33.16,34.66,35.66,34.69,33.53,33.94,34.81,34.12,33.78,33.84,34.31,33.19,30.66,28.88,28.72,28.16,26.56,25.5,26.06,26.72,26.06,25.94,27.62,30.09,31.22,31.81,33.25,35.03,34.59,32.69,30.59,29.91,28.56,25.88,24.34,25.0,25.72,25.06,23.84,24.06,24.78,24.47,24.25,25.66,28.88,30.94,30.94,31.12,31.53,30.78,28.34,26.56,27.03,28.19,28.12,28.38,29.53,30.97,30.88,29.69,29.66,30.81,31.12,30.5,30.03,30.44,29.66,26.97,24.03,22.97,22.47,21.38,21.38,23.03,25.97,28.0,28.97,30.59,33.44,35.25,36.0,37.44,40.34,42.34,42.06,41.16,40.5,39.47,36.34,32.72,30.59,29.44,27.34,25.31,24.62,26.12,27.59,28.31,30.06,33.38,35.91,36.28,36.03,35.91,35.47,33.38,30.62,29.94,30.0,28.88,27.38,27.09,28.09,28.69,28.44,28.78,31.38,33.78,35.5,37.59,41.19,44.34,45.19,44.69,44.12,43.19,40.62,37.06,35.16,35.25,35.12,34.44,34.19,34.84,35.19,33.5,31.16,30.47,29.94,27.41,24.81,23.81,23.78,23.06,21.69,21.94,23.31,24.12,23.44,22.62,23.09,22.75,21.0,19.59,19.97,21.66,22.34,22.94,24.19,25.84,25.22,23.0,20.81,19.31,17.25,14.53,12.25,12.69,13.94,14.22,14.91,17.28,19.38,19.62,18.81,19.12,20.62,21.09,20.91,21.34,22.91,23.69,23.22,22.94,25.12,27.5,28.53,29.09,30.59,32.0,31.28,29.91,29.53,30.22,30.19,29.53,29.25,30.22,30.12,28.16,26.0,25.31,24.94,23.72,22.97,24.66,26.66,27.72,27.66,28.34,29.69,30.03,29.03,28.84,30.56,31.56,31.12,30.91,32.22,33.5,33.59,33.31,34.88,37.19,37.69,36.81,36.41,36.66,35.59,32.56,29.75,28.47,27.34,25.44,24.5,26.38,29.0,29.88,30.03,31.25,32.38,31.91,30.38,29.62,30.44,30.78,29.84,29.41,30.44,30.75,29.47,28.09,27.91,28.47,28.09,26.84,27.41,29.34,30.38,30.88,31.97,34.25,35.47,34.88,33.97,34.78,35.75,35.03,34.59,35.75,36.91,36.22,34.44,33.53,33.44,31.97,30.16,28.97,29.25,29.28,27.69,26.66,27.41,28.06,27.12,26.31,26.81,28.22,27.94,27.31,28.34,30.47,31.56,31.84,32.91,34.88,35.56,34.41,32.88,32.53,31.59,29.47,26.97,26.31,26.09,25.0,22.66,22.09,22.44,22.34,21.56,21.88,24.19,26.44,26.22,26.62,28.5,30.0,29.91,29.44,30.91,32.38,32.59,32.03,32.25,33.69,34.41,34.31,35.09,37.66,39.03,38.59,38.03,38.66,39.31,38.31,36.78,36.84,37.16,36.28,34.75,34.53,35.09,34.34,32.06,30.34,30.72,30.5,29.38,28.72,29.25,29.5,28.66,26.84,27.22,28.5,28.88,28.75,29.88,32.03,32.78,32.0,31.41,32.25,32.5,30.75,29.03,28.5,28.06,26.41,23.75,22.78,23.16,22.91,22.22,23.38,26.19,28.16,28.5,28.44,29.62,29.84,28.0,26.19,25.91,25.97,24.91,23.62,23.91,25.5,26.31,26.03,26.66,28.31,28.81,28.09,27.12,28.41,29.5,29.19,29.12,30.53,32.25,32.06,30.5,29.84,29.66,28.44,25.81,24.06,23.94,23.69,22.47,22.31,25.09,27.81,29.44,30.25,32.19,33.69,33.19,31.12,29.69,29.0,27.44,24.5,23.25,24.25,25.53,25.84,26.56,28.03,28.66,27.31,25.06,24.62,25.19,24.78,24.19,24.19,24.72,24.19,21.34,19.28,18.75,18.75,17.56,17.12,19.16,21.5,22.75,23.53,25.31,27.19,27.34,25.72,25.22,25.66,25.91,25.06,25.34,27.47,29.59,30.53,31.91,35.16,38.12,39.06,38.53,38.84,39.12,38.59,37.75,38.88,40.91,41.91,40.75,39.12,37.16,34.0,28.66,23.38,20.41,18.16,15.94,14.41,15.16,17.84,20.34,22.94,26.88,31.62,35.19,36.44,37.03,38.47,38.81,37.38,35.44,34.88,34.31,32.06,28.84,27.31,26.72,25.62,24.0,24.53,26.38,27.78,27.78,27.88,28.91,29.56,28.62,27.81,28.5,29.78,29.94,29.19,29.22,30.06,29.38,27.56,26.84,27.34,27.38,26.06,25.31,26.34,27.28,26.59,26.06,26.47,27.38,27.09,25.94,26.56,27.88,27.69,25.88,23.94,22.72,21.31,17.94,15.72,15.38,15.75,15.25,15.19,17.0,19.75,21.5,22.53,24.75,27.81,30.25,31.28,32.72,35.91,38.66,39.19,39.84,41.44,42.88,41.78,39.94,39.25,38.41,36.03,32.59,30.53,29.66,28.28,25.59,23.81,23.78,24.44,24.5,25.38,28.69,32.5,34.81,36.88,39.66,43.12,44.66,44.22,44.0,44.09,42.91,39.72,37.06,35.59,34.16,30.72,27.91,26.88,26.19,24.59,23.12,23.19,24.44,25.44,25.0,25.84,27.75,29.31,29.56,30.28,32.41,34.66,34.59,34.19,34.91,35.62,34.47,33.0,32.72,32.94,33.06,31.78,31.69,32.81,33.12,31.94,30.69,31.03,30.81,28.75,26.72,25.72,24.47,21.56,18.34,16.5,15.75,14.91,13.12,12.56,13.41,13.78,12.69,12.53,13.69,14.84,14.47,14.53,16.53,19.47,21.66,23.16,25.44,28.16,29.06,27.88,26.78,26.78,26.62,25.19,24.41,25.47,26.94,26.88,26.62,27.97,30.12,30.53,29.66,28.62,27.62,25.28,21.41,18.78,18.59,19.0,19.12,20.53,24.44,29.25,32.19,34.31,36.97,39.44,39.16,37.25,36.34,36.25,35.31,33.47,32.25,32.19,31.72,29.59,27.31,27.12,27.47,26.53,25.91,26.88,29.03,29.97,29.97,30.44,30.81,29.78,26.22,23.0,20.91,19.41,16.72,15.34,15.84,17.44,17.91,18.59,20.34,22.94,24.03,23.5,23.28,23.53,23.0,21.22,20.09,20.5,21.19,20.44,19.44,19.97,21.25,21.09,20.44,20.97,22.88,23.47,23.0,22.81,23.25,23.31,21.47,20.34,20.38,20.94,20.25,19.81,20.88,22.69,23.41,23.41,24.25,26.34,27.53,27.31,27.38,28.38,28.38,26.44,24.44,23.72,23.62,22.25,21.19,21.88,23.78,24.5,24.5,25.59,27.31,27.88,27.53,27.56,29.25,30.66,30.5,29.91,30.38,30.38,28.34,26.31,25.22,24.94,24.25,23.09,23.56,25.97,28.62,30.81,33.59,37.66,40.81,41.38,41.0,40.75,40.06,37.12,33.53,30.75,29.38,26.66,23.75,21.88,21.5,20.28,18.09,16.72,17.03,17.81,17.59,18.09,20.47,23.5,25.0,25.81,27.44,29.12,29.28,28.38,27.91,28.12,27.66,25.38,22.97,22.22,21.44,19.44,17.75,17.72,18.0,17.34,16.25,16.47,17.88,18.0,17.31,17.53,18.88,19.47,18.81,18.44,20.12,21.44,21.84,22.0,23.38,24.34,23.72,22.31,21.78,22.53,22.25,20.91,20.53,21.34,21.84,20.62,19.62,20.25,20.66,20.16,20.06,21.66,23.97,24.5,24.16,24.09,25.16,24.84,24.06,24.12:14.16,12.53,11.84,13.62,16.59,18.62,19.44,20.75,22.34,23.72,23.53,24.19,25.62,26.09,24.5,22.38,21.5,21.47,20.38,19.16,19.28,20.09,19.62,18.5,18.47,19.91,20.72,20.31,20.91,22.12,23.28,22.72,21.81,22.25,23.31,22.78,22.16,22.31,23.38,22.84,21.56,21.5,22.94,24.41,25.09,26.41,28.88,30.53,29.56,27.62,26.47,25.84,24.28,22.47,22.19,23.06,23.03,21.88,21.66,22.38,22.53,21.03,19.75,20.41,21.44,21.25,21.5,23.75,26.12,27.25,27.72,28.75,29.88,29.34,26.97,25.31,24.47,23.53,21.41,19.66,19.06,18.41,16.47,14.75,15.59,17.38,18.69,19.97,22.47,26.03,28.44,30.0,31.75,34.03,34.84,33.06,30.84,29.28,27.41,24.06,20.81,19.28,19.19,18.69,18.41,20.22,23.03,24.97,25.72,26.94,29.56,32.31,34.19,37.12,41.16,45.31,46.69,46.47,45.84,44.38,40.59,35.22,30.47,26.81,22.44,17.31,13.22,10.62,8.59,5.84,4.72,6.06,9.12,11.09,12.91,15.78,18.88,20.78,21.38,23.12,26.22,28.88,30.31,32.56,36.03,38.56,38.81,38.34,38.66,39.09,37.75,36.0,35.19,35.41,34.47,32.5,31.62,32.38,32.59,31.53,31.28,32.28,33.09,32.25,31.91,33.12,35.34,35.62,34.44,33.91,33.31,31.47,29.0,28.19,28.94,29.19,28.5,28.34,28.94,29.16,27.25,25.44,24.81,25.22,24.84,24.84,26.41,28.94,30.59,30.69,30.91,31.25,30.41,27.69,25.38,24.78,25.09,24.69,24.41,25.56,27.53,28.38,28.56,30.25,31.94,33.09,32.38,32.19,33.25,34.03,33.0,31.84,31.38,30.78,28.75,27.12,27.56,29.62,30.97,31.91,33.62,36.41,38.03,38.0,38.19,39.16,38.81,36.31,33.78,32.19,30.97,28.78,27.0,26.84,27.44,26.81,25.59,25.25,25.56,25.16,23.94,23.44,24.56,25.81,25.72,25.69,27.31,28.66,28.31,27.38,27.25,27.59,26.16,24.16,23.28,23.62,23.59,22.72,22.5,23.69,24.59,24.22,23.72,25.16,27.53,28.66,29.59,31.88,34.41,34.62,33.62,33.03,33.88,33.94,33.19,33.16,34.66,35.66,34.69,33.53,33.94,34.81,34.12,33.78,33.84,34.31,33.19,30.66,28.88,28.72,28.16,26.56,25.5,26.06,26.72,26.06,25.94,27.62,30.09,31.22,31.81,33.25,35.03,34.59,32.69,30.59,29.91,28.56,25.88,24.34,25.0,25.72,25.06,23.84,24.06,24.78,24.47,24.25,25.66,28.88,30.94,30.94,31.12,31.53,30.78,28.34,26.56,27.03,28.19,28.12,28.38,29.53,30.97,30.88,29.69,29.66,30.81,31.12,30.5,30.03,30.44,29.66,26.97,24.03,22.97,22.47,21.38,21.38,23.03,25.97,28.0,28.97,30.59,33.44,35.25,36.0,37.44,40.34,42.34,42.06,41.16,40.5,39.47,36.34,32.72,30.59,29.44,27.34,25.31,24.62,26.12,27.59,28.31,30.06,33.38,35.91,36.28,36.03,35.91,35.47,33.38,30.62,29.94,30.0,28.88,27.38,27.09,28.09,28.69,28.44,28.78,31.38,33.78,35.5,37.59,41.19,44.34,45.19,44.69,44.12,43.19,40.62,37.06,35.16,35.25,35.12,34.44,34.19,34.84,35.19,33.5,31.16,30.47,29.94,27.41,24.81,23.81,23.78,23.06,21.69,21.94,23.31,24.12,23.44,22.62,23.09,22.75,21.0,19.59,19.97,21.66,22.34,22.94,24.19,25.84,25.22,23.0,20.81,19.31,17.25,14.53,12.25,12.69,13.94,14.22,14.91,17.28,19.38,19.62,18.81,19.12,20.62,21.09,20.91,21.34,22.91,23.69,23.22,22.94,25.12,27.5,28.53,29.09,30.59,32.0,31.28,29.91,29.53,30.22,30.19,29.53,29.25,30.22,30.12,28.16,26.0,25.31,24.94,23.72,22.97,24.66,26.66,27.72,27.66,28.34,29.69,30.03,29.03,28.84,30.56,31.56,31.12,30.91,32.22,33.5,33.59,33.31,34.88,37.19,37.69,36.81,36.41,36.66,35.59,32.56,29.75,28.47,27.34,25.44,24.5,26.38,29.0,29.88,30.03,31.25,32.38,31.91,30.38,29.62,30.44,30.78,29.84,29.41,30.44,30.75,29.47,28.09,27.91,28.47,28.09,26.84,27.41,29.34,30.38,30.88,31.97,34.25,35.47,34.88,33.97,34.78,35.75,35.03,34.59,35.75,36.91,36.22,34.44,33.53,33.44,31.97,30.16,28.97,29.25,29.28,27.69,26.66,27.41,28.06,27.12,26.31,26.81,28.22,27.94,27.31,28.34,30.47,31.56,31.84,32.91,34.88,35.56,34.41,32.88,32.53,31.59,29.47,26.97,26.31,26.09,25.0,22.66,22.09,22.44,22.34,21.56,21.88,24.19,26.44,26.22,26.62,28.5,30.0,29.91,29.44,30.91,32.38,32.59,32.03,32.25,33.69,34.41,34.31,35.09,37.66,39.03,38.59,38.03,38.66,39.31,38.31,36.78,36.84,37.16,36.28,34.75,34.53,35.09,34.34,32.06,30.34,30.72,30.5,29.38,28.72,29.25,29.5,28.66,26.84,27.22,28.5,28.88,28.75,29.88,32.03,32.78,32.0,31.41,32.25,32.5,30.75,29.03,28.5,28.06,26.41,23.75,22.78,23.16,22.91,22.22,23.38,26.19,28.16,28.5,28.44,29.62,29.84,28.0,26.19,25.91,25.97,24.91,23.62,23.91,25.5,26.31,26.03,26.66,28.31,28.81,28.09,27.12,28.41,29.5,29.19,29.12,30.53,32.25,32.06,30.5,29.84,29.66,28.44,25.81,24.06,23.94,23.69,22.47,22.31,25.09,27.81,29.44,30.25,32.19,33.69,33.19,31.12,29.69,29.0,27.44,24.5,23.25,24.25,25.53,25.84,26.56,28.03,28.66,27.31,25.06,24.62,25.19,24.78,24.19,24.19,24.72,24.19,21.34,19.28,18.75,18.75,17.56,17.12,19.16,21.5,22.75,23.53,25.31,27.19,27.34,25.72,25.22,25.66,25.91,25.06,25.34,27.47,29.59,30.53,31.91,35.16,38.12,39.06,38.53,38.84,39.12,38.59,37.75,38.88,40.91,41.91,40.75,39.12,37.16,34.0,28.66,23.38,20.41,18.16,15.94,14.41,15.16,17.84,20.34,22.94,26.88,31.62,35.19,36.44,37.03,38.47,38.81,37.38,35.44,34.88,34.31,32.06,28.84,27.31,26.72,25.62,24.0,24.53,26.38,27.78,27.78,27.88,28.91,29.56,28.62,27.81,28.5,29.78,29.94,29.19,29.22,30.06,29.38,27.56,26.84,27.34,27.38,26.06,25.31,26.34,27.28,26.59,26.06,26.47,27.38,27.09,25.94,26.56,27.88,27.69,25.88,23.94,22.72,21.31,17.94,15.72,15.38,15.75,15.25,15.19,17.0,19.75,21.5,22.53,24.75,27.81,30.25,31.28,32.72,35.91,38.66,39.19,39.84,41.44,42.88,41.78,39.94,39.25,38.41,36.03,32.59,30.53,29.66,28.28,25.59,23.81,23.78,24.44,24.5,25.38,28.69,32.5,34.81,36.88,39.66,43.12,44.66,44.22,44.0,44.09,42.91,39.72,37.06,35.59,34.16,30.72,27.91,26.88,26.19,24.59,23.12,23.19,24.44,25.44,25.0,25.84,27.75,29.31,29.56,30.28,32.41,34.66,34.59,34.19,34.91,35.62,34.47,33.0,32.72,32.94,33.06,31.78,31.69,32.81,33.12,31.94,30.69,31.03,30.81,28.75,26.72,25.72,24.47,21.56,18.34,16.5,15.75,14.91,13.12,12.56,13.41,13.78,12.69,12.53,13.69,14.84,14.47,14.53,16.53,19.47,21.66,23.16,25.44,28.16,29.06,27.88,26.78,26.78,26.62,25.19,24.41,25.47,26.94,26.88,26.62,27.97,30.12,30.53,29.66,28.62,27.62,25.28,21.41,18.78,18.59,19.0,19.12,20.53,24.44,29.25,32.19,34.31,36.97,39.44,39.16,37.25,36.34,36.25,35.31,33.47,32.25,32.19,31.72,29.59,27.31,27.12,27.47,26.53,25.91,26.88,29.03,29.97,29.97,30.44,30.81,29.78,26.22,23.0,20.91,19.41,16.72,15.34,15.84,17.44,17.91,18.59,20.34,22.94,24.03,23.5,23.28,23.53,23.0,21.22,20.09,20.5,21.19,20.44,19.44,19.97,21.25,21.09,20.44,20.97,22.88,23.47,23.0,22.81,23.25,23.31,21.47,20.34,20.38,20.94,20.25,19.81,20.88,22.69,23.41,23.41,24.25,26.34,27.53,27.31,27.38,28.38,28.38,26.44,24.44,23.72,23.62,22.25,21.19,21.88,23.78,24.5,24.5,25.59,27.31,27.88,27.53,27.56,29.25,30.66,30.5,29.91,30.38,30.38,28.34,26.31,25.22,24.94,24.25,23.09,23.56,25.97,28.62,30.81,33.59,37.66,40.81,41.38,41.0,40.75,40.06,37.12,33.53,30.75,29.38,26.66,23.75,21.88,21.5,20.28,18.09,16.72,17.03,17.81,17.59,18.09,20.47,23.5,25.0,25.81,27.44,29.12,29.28,28.38,27.91,28.12,27.66,25.38,22.97,22.22,21.44,19.44,17.75,17.72,18.0,17.34,16.25,16.47,17.88,18.0,17.31,17.53,18.88,19.47,18.81,18.44,20.12,21.44,21.84,22.0,23.38,24.34,23.72,22.31,21.78,22.53,22.25,20.91,20.53,21.34,21.84,20.62,19.62,20.25,20.66,20.16,20.06,21.66,23.97,24.5,24.16,24.09,25.16,24.84,24.06,24.12,51.78,51.59,50.41,49.0,46.97,44.41,40.94:20.75,22.34,23.72,23.53,24.19,25.62,26.09,24.5,22.38,21.5,21.47,20.38,19.16,19.28,20.09,19.62,18.5,18.47,19.91,20.72,20.31,20.91,22.12,23.28,22.72,21.81,22.25,23.31,22.78,22.16,22.31,23.38,22.84,21.56,21.5,22.94,24.41,25.09,26.41,28.88,30.53,29.56,27.62,26.47,25.84,24.28,22.47,22.19,23.06,23.03,21.88,21.66,22.38,22.53,21.03,19.75,20.41,21.44,21.25,21.5,23.75,26.12,27.25,27.72,28.75,29.88,29.34,26.97,25.31,24.47,23.53,21.41,19.66,19.06,18.41,16.47,14.75,15.59,17.38,18.69,19.97,22.47,26.03,28.44,30.0,31.75,34.03,34.84,33.06,30.84,29.28,27.41,24.06,20.81,19.28,19.19,18.69,18.41,20.22,23.03,24.97,25.72,26.94,29.56,32.31,34.19,37.12,41.16,45.31,46.69,46.47,45.84,44.38,40.59,35.22,30.47,26.81,22.44,17.31,13.22,10.62,8.59,5.84,4.72,6.06,9.12,11.09,12.91,15.78,18.88,20.78,21.38,23.12,26.22,28.88,30.31,32.56,36.03,38.56,38.81,38.34,38.66,39.09,37.75,36.0,35.19,35.41,34.47,32.5,31.62,32.38,32.59,31.53,31.28,32.28,33.09,32.25,31.91,33.12,35.34,35.62,34.44,33.91,33.31,31.47,29.0,28.19,28.94,29.19,28.5,28.34,28.94,29.16,27.25,25.44,24.81,25.22,24.84,24.84,26.41,28.94,30.59,30.69,30.91,31.25,30.41,27.69,25.38,24.78,25.09,24.69,24.41,25.56,27.53,28.38,28.56,30.25,31.94,33.09,32.38,32.19,33.25,34.03,33.0,31.84,31.38,30.78,28.75,27.12,27.56,29.62,30.97,31.91,33.62,36.41,38.03,38.0,38.19,39.16,38.81,36.31,33.78,32.19,30.97,28.78,27.0,26.84,27.44,26.81,25.59,25.25,25.56,25.16,23.94,23.44,24.56,25.81,25.72,25.69,27.31,28.66,28.31,27.38,27.25,27.59,26.16,24.16,23.28,23.62,23.59,22.72,22.5,23.69,24.59,24.22,23.72,25.16,27.53,28.66,29.59,31.88,34.41,34.62,33.62,33.03,33.88,33.94,33.19,33.16,34.66,35.66,34.69,33.53,33.94,34.81,34.12,33.78,33.84,34.31,33.19,30.66,28.88,28.72,28.16,26.56,25.5,26.06,26.72,26.06,25.94,27.62,30.09,31.22,31.81,33.25,35.03,34.59,32.69,30.59,29.91,28.56,25.88,24.34,25.0,25.72,25.06,23.84,24.06,24.78,24.47,24.25,25.66,28.88,30.94,30.94,31.12,31.53,30.78,28.34,26.56,27.03,28.19,28.12,28.38,29.53,30.97,30.88,29.69,29.66,30.81,31.12,30.5,30.03,30.44,29.66,26.97,24.03,22.97,22.47,21.38,21.38,23.03,25.97,28.0,28.97,30.59,33.44,35.25,36.0,37.44,40.34,42.34,42.06,41.16,40.5,39.47,36.34,32.72,30.59,29.44,27.34,25.31,24.62,26.12,27.59,28.31,30.06,33.38,35.91,36.28,36.03,35.91,35.47,33.38,30.62,29.94,30.0,28.88,27.38,27.09,28.09,28.69,28.44,28.78,31.38,33.78,35.5,37.59,41.19,44.34,45.19,44.69,44.12,43.19,40.62,37.06,35.16,35.25,35.12,34.44,34.19,34.84,35.19,33.5,31.16,30.47,29.94,27.41,24.81,23.81,23.78,23.06,21.69,21.94,23.31,24.12,23.44,22.62,23.09,22.75,21.0,19.59,19.97,21.66,22.34,22.94,24.19,25.84,25.22,23.0,20.81,19.31,17.25,14.53,12.25,12.69,13.94,14.22,14.91,17.28,19.38,19.62,18.81,19.12,20.62,21.09,20.91,21.34,22.91,23.69,23.22,22.94,25.12,27.5,28.53,29.09,30.59,32.0,31.28,29.91,29.53,30.22,30.19,29.53,29.25,30.22,30.12,28.16,26.0,25.31,24.94,23.72,22.97,24.66,26.66,27.72,27.66,28.34,29.69,30.03,29.03,28.84,30.56,31.56,31.12,30.91,32.22,33.5,33.59,33.31,34.88,37.19,37.69,36.81,36.41,36.66,35.59,32.56,29.75,28.47,27.34,25.44,24.5,26.38,29.0,29.88,30.03,31.25,32.38,31.91,30.38,29.62,30.44,30.78,29.84,29.41,30.44,30.75,29.47,28.09,27.91,28.47,28.09,26.84,27.41,29.34,30.38,30.88,31.97,34.25,35.47,34.88,33.97,34.78,35.75,35.03,34.59,35.75,36.91,36.22,34.44,33.53,33.44,31.97,30.16,28.97,29.25,29.28,27.69,26.66,27.41,28.06,27.12,26.31,26.81,28.22,27.94,27.31,28.34,30.47,31.56,31.84,32.91,34.88,35.56,34.41,32.88,32.53,31.59,29.47,26.97,26.31,26.09,25.0,22.66,22.09,22.44,22.34,21.56,21.88,24.19,26.44,26.22,26.62,28.5,30.0,29.91,29.44,30.91,32.38,32.59,32.03,32.25,33.69,34.41,34.31,35.09,37.66,39.03,38.59,38.03,38.66,39.31,38.31,36.78,36.84,37.16,36.28,34.75,34.53,35.09,34.34,32.06,30.34,30.72,30.5,29.38,28.72,29.25,29.5,28.66,26.84,27.22,28.5,28.88,28.75,29.88,32.03,32.78,32.0,31.41,32.25,32.5,30.75,29.03,28.5,28.06,26.41,23.75,22.78,23.16,22.91,22.22,23.38,26.19,28.16,28.5,28.44,29.62,29.84,28.0,26.19,25.91,25.97,24.91,23.62,23.91,25.5,26.31,26.03,26.66,28.31,28.81,28.09,27.12,28.41,29.5,29.19,29.12,30.53,32.25,32.06,30.5,29.84,29.66,28.44,25.81,24.06,23.94,23.69,22.47,22.31,25.09,27.81,29.44,30.25,32.19,33.69,33.19,31.12,29.69,29.0,27.44,24.5,23.25,24.25,25.53,25.84,26.56,28.03,28.66,27.31,25.06,24.62,25.19,24.78,24.19,24.19,24.72,24.19,21.34,19.28,18.75,18.75,17.56,17.12,19.16,21.5,22.75,23.53,25.31,27.19,27.34,25.72,25.22,25.66,25.91,25.06,25.34,27.47,29.59,30.53,31.91,35.16,38.12,39.06,38.53,38.84,39.12,38.59,37.75,38.88,40.91,41.91,40.75,39.12,37.16,34.0,28.66,23.38,20.41,18.16,15.94,14.41,15.16,17.84,20.34,22.94,26.88,31.62,35.19,36.44,37.03,38.47,38.81,37.38,35.44,34.88,34.31,32.06,28.84,27.31,26.72,25.62,24.0,24.53,26.38,27.78,27.78,27.88,28.91,29.56,28.62,27.81,28.5,29.78,29.94,29.19,29.22,30.06,29.38,27.56,26.84,27.34,27.38,26.06,25.31,26.34,27.28,26.59,26.06,26.47,27.38,27.09,25.94,26.56,27.88,27.69,25.88,23.94,22.72,21.31,17.94,15.72,15.38,15.75,15.25,15.19,17.0,19.75,21.5,22.53,24.75,27.81,30.25,31.28,32.72,35.91,38.66,39.19,39.84,41.44,42.88,41.78,39.94,39.25,38.41,36.03,32.59,30.53,29.66,28.28,25.59,23.81,23.78,24.44,24.5,25.38,28.69,32.5,34.81,36.88,39.66,43.12,44.66,44.22,44.0,44.09,42.91,39.72,37.06,35.59,34.16,30.72,27.91,26.88,26.19,24.59,23.12,23.19,24.44,25.44,25.0,25.84,27.75,29.31,29.56,30.28,32.41,34.66,34.59,34.19,34.91,35.62,34.47,33.0,32.72,32.94,33.06,31.78,31.69,32.81,33.12,31.94,30.69,31.03,30.81,28.75,26.72,25.72,24.47,21.56,18.34,16.5,15.75,14.91,13.12,12.56,13.41,13.78,12.69,12.53,13.69,14.84,14.47,14.53,16.53,19.47,21.66,23.16,25.44,28.16,29.06,27.88,26.78,26.78,26.62,25.19,24.41,25.47,26.94,26.88,26.62,27.97,30.12,30.53,29.66,28.62,27.62,25.28,21.41,18.78,18.59,19.0,19.12,20.53,24.44,29.25,32.19,34.31,36.97,39.44,39.16,37.25,36.34,36.25,35.31,33.47,32.25,32.19,31.72,29.59,27.31,27.12,27.47,26.53,25.91,26.88,29.03,29.97,29.97,30.44,30.81,29.78,26.22,23.0,20.91,19.41,16.72,15.34,15.84,17.44,17.91,18.59,20.34,22.94,24.03,23.5,23.28,23.53,23.0,21.22,20.09,20.5,21.19,20.44,19.44,19.97,21.25,21.09,20.44,20.97,22.88,23.47,23.0,22.81,23.25,23.31,21.47,20.34,20.38,20.94,20.25,19.81,20.88,22.69,23.41,23.41,24.25,26.34,27.53,27.31,27.38,28.38,28.38,26.44,24.44,23.72,23.62,22.25,21.19,21.88,23.78,24.5,24.5,25.59,27.31,27.88,27.53,27.56,29.25,30.66,30.5,29.91,30.38,30.38,28.34,26.31,25.22,24.94,24.25,23.09,23.56,25.97,28.62,30.81,33.59,37.66,40.81,41.38,41.0,40.75,40.06,37.12,33.53,30.75,29.38,26.66,23.75,21.88,21.5,20.28,18.09,16.72,17.03,17.81,17.59,18.09,20.47,23.5,25.0,25.81,27.44,29.12,29.28,28.38,27.91,28.12,27.66,25.38,22.97,22.22,21.44,19.44,17.75,17.72,18.0,17.34,16.25,16.47,17.88,18.0,17.31,17.53,18.88,19.47,18.81,18.44,20.12,21.44,21.84,22.0,23.38,24.34,23.72,22.31,21.78,22.53,22.25,20.91,20.53,21.34,21.84,20.62,19.62,20.25,20.66,20.16,20.06,21.66,23.97,24.5,24.16,24.09,25.16,24.84,24.06,24.12,51.78,51.59,50.41,49.0,46.97,44.41,40.94,38.62,37.47,37.06,37.25,38.38,40.56,42.19:24.5,22.38,21.5,21.47,20.38,19.16,19.28,20.09,19.62,18.5,18.47,19.91,20.72,20.31,20.91,22.12,23.28,22.72,21.81,22.25,23.31,22.78,22.16,22.31,23.38,22.84,21.56,21.5,22.94,24.41,25.09,26.41,28.88,30.53,29.56,27.62,26.47,25.84,24.28,22.47,22.19,23.06,23.03,21.88,21.66,22.38,22.53,21.03,19.75,20.41,21.44,21.25,21.5,23.75,26.12,27.25,27.72,28.75,29.88,29.34,26.97,25.31,24.47,23.53,21.41,19.66,19.06,18.41,16.47,14.75,15.59,17.38,18.69,19.97,22.47,26.03,28.44,30.0,31.75,34.03,34.84,33.06,30.84,29.28,27.41,24.06,20.81,19.28,19.19,18.69,18.41,20.22,23.03,24.97,25.72,26.94,29.56,32.31,34.19,37.12,41.16,45.31,46.69,46.47,45.84,44.38,40.59,35.22,30.47,26.81,22.44,17.31,13.22,10.62,8.59,5.84,4.72,6.06,9.12,11.09,12.91,15.78,18.88,20.78,21.38,23.12,26.22,28.88,30.31,32.56,36.03,38.56,38.81,38.34,38.66,39.09,37.75,36.0,35.19,35.41,34.47,32.5,31.62,32.38,32.59,31.53,31.28,32.28,33.09,32.25,31.91,33.12,35.34,35.62,34.44,33.91,33.31,31.47,29.0,28.19,28.94,29.19,28.5,28.34,28.94,29.16,27.25,25.44,24.81,25.22,24.84,24.84,26.41,28.94,30.59,30.69,30.91,31.25,30.41,27.69,25.38,24.78,25.09,24.69,24.41,25.56,27.53,28.38,28.56,30.25,31.94,33.09,32.38,32.19,33.25,34.03,33.0,31.84,31.38,30.78,28.75,27.12,27.56,29.62,30.97,31.91,33.62,36.41,38.03,38.0,38.19,39.16,38.81,36.31,33.78,32.19,30.97,28.78,27.0,26.84,27.44,26.81,25.59,25.25,25.56,25.16,23.94,23.44,24.56,25.81,25.72,25.69,27.31,28.66,28.31,27.38,27.25,27.59,26.16,24.16,23.28,23.62,23.59,22.72,22.5,23.69,24.59,24.22,23.72,25.16,27.53,28.66,29.59,31.88,34.41,34.62,33.62,33.03,33.88,33.94,33.19,33.16,34.66,35.66,34.69,33.53,33.94,34.81,34.12,33.78,33.84,34.31,33.19,30.66,28.88,28.72,28.16,26.56,25.5,26.06,26.72,26.06,25.94,27.62,30.09,31.22,31.81,33.25,35.03,34.59,32.69,30.59,29.91,28.56,25.88,24.34,25.0,25.72,25.06,23.84,24.06,24.78,24.47,24.25,25.66,28.88,30.94,30.94,31.12,31.53,30.78,28.34,26.56,27.03,28.19,28.12,28.38,29.53,30.97,30.88,29.69,29.66,30.81,31.12,30.5,30.03,30.44,29.66,26.97,24.03,22.97,22.47,21.38,21.38,23.03,25.97,28.0,28.97,30.59,33.44,35.25,36.0,37.44,40.34,42.34,42.06,41.16,40.5,39.47,36.34,32.72,30.59,29.44,27.34,25.31,24.62,26.12,27.59,28.31,30.06,33.38,35.91,36.28,36.03,35.91,35.47,33.38,30.62,29.94,30.0,28.88,27.38,27.09,28.09,28.69,28.44,28.78,31.38,33.78,35.5,37.59,41.19,44.34,45.19,44.69,44.12,43.19,40.62,37.06,35.16,35.25,35.12,34.44,34.19,34.84,35.19,33.5,31.16,30.47,29.94,27.41,24.81,23.81,23.78,23.06,21.69,21.94,23.31,24.12,23.44,22.62,23.09,22.75,21.0,19.59,19.97,21.66,22.34,22.94,24.19,25.84,25.22,23.0,20.81,19.31,17.25,14.53,12.25,12.69,13.94,14.22,14.91,17.28,19.38,19.62,18.81,19.12,20.62,21.09,20.91,21.34,22.91,23.69,23.22,22.94,25.12,27.5,28.53,29.09,30.59,32.0,31.28,29.91,29.53,30.22,30.19,29.53,29.25,30.22,30.12,28.16,26.0,25.31,24.94,23.72,22.97,24.66,26.66,27.72,27.66,28.34,29.69,30.03,29.03,28.84,30.56,31.56,31.12,30.91,32.22,33.5,33.59,33.31,34.88,37.19,37.69,36.81,36.41,36.66,35.59,32.56,29.75,28.47,27.34,25.44,24.5,26.38,29.0,29.88,30.03,31.25,32.38,31.91,30.38,29.62,30.44,30.78,29.84,29.41,30.44,30.75,29.47,28.09,27.91,28.47,28.09,26.84,27.41,29.34,30.38,30.88,31.97,34.25,35.47,34.88,33.97,34.78,35.75,35.03,34.59,35.75,36.91,36.22,34.44,33.53,33.44,31.97,30.16,28.97,29.25,29.28,27.69,26.66,27.41,28.06,27.12,26.31,26.81,28.22,27.94,27.31,28.34,30.47,31.56,31.84,32.91,34.88,35.56,34.41,32.88,32.53,31.59,29.47,26.97,26.31,26.09,25.0,22.66,22.09,22.44,22.34,21.56,21.88,24.19,26.44,26.22,26.62,28.5,30.0,29.91,29.44,30.91,32.38,32.59,32.03,32.25,33.69,34.41,34.31,35.09,37.66,39.03,38.59,38.03,38.66,39.31,38.31,36.78,36.84,37.16,36.28,34.75,34.53,35.09,34.34,32.06,30.34,30.72,30.5,29.38,28.72,29.25,29.5,28.66,26.84,27.22,28.5,28.88,28.75,29.88,32.03,32.78,32.0,31.41,32.25,32.5,30.75,29.03,28.5,28.06,26.41,23.75,22.78,23.16,22.91,22.22,23.38,26.19,28.16,28.5,28.44,29.62,29.84,28.0,26.19,25.91,25.97,24.91,23.62,23.91,25.5,26.31,26.03,26.66,28.31,28.81,28.09,27.12,28.41,29.5,29.19,29.12,30.53,32.25,32.06,30.5,29.84,29.66,28.44,25.81,24.06,23.94,23.69,22.47,22.31,25.09,27.81,29.44,30.25,32.19,33.69,33.19,31.12,29.69,29.0,27.44,24.5,23.25,24.25,25.53,25.84,26.56,28.03,28.66,27.31,25.06,24.62,25.19,24.78,24.19,24.19,24.72,24.19,21.34,19.28,18.75,18.75,17.56,17.12,19.16,21.5,22.75,23.53,25.31,27.19,27.34,25.72,25.22,25.66,25.91,25.06,25.34,27.47,29.59,30.53,31.91,35.16,38.12,39.06,38.53,38.84,39.12,38.59,37.75,38.88,40.91,41.91,40.75,39.12,37.16,34.0,28.66,23.38,20.41,18.16,15.94,14.41,15.16,17.84,20.34,22.94,26.88,31.62,35.19,36.44,37.03,38.47,38.81,37.38,35.44,34.88,34.31,32.06,28.84,27.31,26.72,25.62,24.0,24.53,26.38,27.78,27.78,27.88,28.91,29.56,28.62,27.81,28.5,29.78,29.94,29.19,29.22,30.06,29.38,27.56,26.84,27.34,27.38,26.06,25.31,26.34,27.28,26.59,26.06,26.47,27.38,27.09,25.94,26.56,27.88,27.69,25.88,23.94,22.72,21.31,17.94,15.72,15.38,15.75,15.25,15.19,17.0,19.75,21.5,22.53,24.75,27.81,30.25,31.28,32.72,35.91,38.66,39.19,39.84,41.44,42.88,41.78,39.94,39.25,38.41,36.03,32.59,30.53,29.66,28.28,25.59,23.81,23.78,24.44,24.5,25.38,28.69,32.5,34.81,36.88,39.66,43.12,44.66,44.22,44.0,44.09,42.91,39.72,37.06,35.59,34.16,30.72,27.91,26.88,26.19,24.59,23.12,23.19,24.44,25.44,25.0,25.84,27.75,29.31,29.56,30.28,32.41,34.66,34.59,34.19,34.91,35.62,34.47,33.0,32.72,32.94,33.06,31.78,31.69,32.81,33.12,31.94,30.69,31.03,30.81,28.75,26.72,25.72,24.47,21.56,18.34,16.5,15.75,14.91,13.12,12.56,13.41,13.78,12.69,12.53,13.69,14.84,14.47,14.53,16.53,19.47,21.66,23.16,25.44,28.16,29.06,27.88,26.78,26.78,26.62,25.19,24.41,25.47,26.94,26.88,26.62,27.97,30.12,30.53,29.66,28.62,27.62,25.28,21.41,18.78,18.59,19.0,19.12,20.53,24.44,29.25,32.19,34.31,36.97,39.44,39.16,37.25,36.34,36.25,35.31,33.47,32.25,32.19,31.72,29.59,27.31,27.12,27.47,26.53,25.91,26.88,29.03,29.97,29.97,30.44,30.81,29.78,26.22,23.0,20.91,19.41,16.72,15.34,15.84,17.44,17.91,18.59,20.34,22.94,24.03,23.5,23.28,23.53,23.0,21.22,20.09,20.5,21.19,20.44,19.44,19.97,21.25,21.09,20.44,20.97,22.88,23.47,23.0,22.81,23.25,23.31,21.47,20.34,20.38,20.94,20.25,19.81,20.88,22.69,23.41,23.41,24.25,26.34,27.53,27.31,27.38,28.38,28.38,26.44,24.44,23.72,23.62,22.25,21.19,21.88,23.78,24.5,24.5,25.59,27.31,27.88,27.53,27.56,29.25,30.66,30.5,29.91,30.38,30.38,28.34,26.31,25.22,24.94,24.25,23.09,23.56,25.97,28.62,30.81,33.59,37.66,40.81,41.38,41.0,40.75,40.06,37.12,33.53,30.75,29.38,26.66,23.75,21.88,21.5,20.28,18.09,16.72,17.03,17.81,17.59,18.09,20.47,23.5,25.0,25.81,27.44,29.12,29.28,28.38,27.91,28.12,27.66,25.38,22.97,22.22,21.44,19.44,17.75,17.72,18.0,17.34,16.25,16.47,17.88,18.0,17.31,17.53,18.88,19.47,18.81,18.44,20.12,21.44,21.84,22.0,23.38,24.34,23.72,22.31,21.78,22.53,22.25,20.91,20.53,21.34,21.84,20.62,19.62,20.25,20.66,20.16,20.06,21.66,23.97,24.5,24.16,24.09,25.16,24.84,24.06,24.12,51.78,51.59,50.41,49.0,46.97,44.41,40.94,38.62,37.47,37.06,37.25,38.38,40.56,42.19,42.94,43.69,45.06,46.25,47.06,47.0,46.72:20.09,19.62,18.5,18.47,19.91,20.72,20.31,20.91,22.12,23.28,22.72,21.81,22.25,23.31,22.78,22.16,22.31,23.38,22.84,21.56,21.5,22.94,24.41,25.09,26.41,28.88,30.53,29.56,27.62,26.47,25.84,24.28,22.47,22.19,23.06,23.03,21.88,21.66,22.38,22.53,21.03,19.75,20.41,21.44,21.25,21.5,23.75,26.12,27.25,27.72,28.75,29.88,29.34,26.97,25.31,24.47,23.53,21.41,19.66,19.06,18.41,16.47,14.75,15.59,17.38,18.69,19.97,22.47,26.03,28.44,30.0,31.75,34.03,34.84,33.06,30.84,29.28,27.41,24.06,20.81,19.28,19.19,18.69,18.41,20.22,23.03,24.97,25.72,26.94,29.56,32.31,34.19,37.12,41.16,45.31,46.69,46.47,45.84,44.38,40.59,35.22,30.47,26.81,22.44,17.31,13.22,10.62,8.59,5.84,4.72,6.06,9.12,11.09,12.91,15.78,18.88,20.78,21.38,23.12,26.22,28.88,30.31,32.56,36.03,38.56,38.81,38.34,38.66,39.09,37.75,36.0,35.19,35.41,34.47,32.5,31.62,32.38,32.59,31.53,31.28,32.28,33.09,32.25,31.91,33.12,35.34,35.62,34.44,33.91,33.31,31.47,29.0,28.19,28.94,29.19,28.5,28.34,28.94,29.16,27.25,25.44,24.81,25.22,24.84,24.84,26.41,28.94,30.59,30.69,30.91,31.25,30.41,27.69,25.38,24.78,25.09,24.69,24.41,25.56,27.53,28.38,28.56,30.25,31.94,33.09,32.38,32.19,33.25,34.03,33.0,31.84,31.38,30.78,28.75,27.12,27.56,29.62,30.97,31.91,33.62,36.41,38.03,38.0,38.19,39.16,38.81,36.31,33.78,32.19,30.97,28.78,27.0,26.84,27.44,26.81,25.59,25.25,25.56,25.16,23.94,23.44,24.56,25.81,25.72,25.69,27.31,28.66,28.31,27.38,27.25,27.59,26.16,24.16,23.28,23.62,23.59,22.72,22.5,23.69,24.59,24.22,23.72,25.16,27.53,28.66,29.59,31.88,34.41,34.62,33.62,33.03,33.88,33.94,33.19,33.16,34.66,35.66,34.69,33.53,33.94,34.81,34.12,33.78,33.84,34.31,33.19,30.66,28.88,28.72,28.16,26.56,25.5,26.06,26.72,26.06,25.94,27.62,30.09,31.22,31.81,33.25,35.03,34.59,32.69,30.59,29.91,28.56,25.88,24.34,25.0,25.72,25.06,23.84,24.06,24.78,24.47,24.25,25.66,28.88,30.94,30.94,31.12,31.53,30.78,28.34,26.56,27.03,28.19,28.12,28.38,29.53,30.97,30.88,29.69,29.66,30.81,31.12,30.5,30.03,30.44,29.66,26.97,24.03,22.97,22.47,21.38,21.38,23.03,25.97,28.0,28.97,30.59,33.44,35.25,36.0,37.44,40.34,42.34,42.06,41.16,40.5,39.47,36.34,32.72,30.59,29.44,27.34,25.31,24.62,26.12,27.59,28.31,30.06,33.38,35.91,36.28,36.03,35.91,35.47,33.38,30.62,29.94,30.0,28.88,27.38,27.09,28.09,28.69,28.44,28.78,31.38,33.78,35.5,37.59,41.19,44.34,45.19,44.69,44.12,43.19,40.62,37.06,35.16,35.25,35.12,34.44,34.19,34.84,35.19,33.5,31.16,30.47,29.94,27.41,24.81,23.81,23.78,23.06,21.69,21.94,23.31,24.12,23.44,22.62,23.09,22.75,21.0,19.59,19.97,21.66,22.34,22.94,24.19,25.84,25.22,23.0,20.81,19.31,17.25,14.53,12.25,12.69,13.94,14.22,14.91,17.28,19.38,19.62,18.81,19.12,20.62,21.09,20.91,21.34,22.91,23.69,23.22,22.94,25.12,27.5,28.53,29.09,30.59,32.0,31.28,29.91,29.53,30.22,30.19,29.53,29.25,30.22,30.12,28.16,26.0,25.31,24.94,23.72,22.97,24.66,26.66,27.72,27.66,28.34,29.69,30.03,29.03,28.84,30.56,31.56,31.12,30.91,32.22,33.5,33.59,33.31,34.88,37.19,37.69,36.81,36.41,36.66,35.59,32.56,29.75,28.47,27.34,25.44,24.5,26.38,29.0,29.88,30.03,31.25,32.38,31.91,30.38,29.62,30.44,30.78,29.84,29.41,30.44,30.75,29.47,28.09,27.91,28.47,28.09,26.84,27.41,29.34,30.38,30.88,31.97,34.25,35.47,34.88,33.97,34.78,35.75,35.03,34.59,35.75,36.91,36.22,34.44,33.53,33.44,31.97,30.16,28.97,29.25,29.28,27.69,26.66,27.41,28.06,27.12,26.31,26.81,28.22,27.94,27.31,28.34,30.47,31.56,31.84,32.91,34.88,35.56,34.41,32.88,32.53,31.59,29.47,26.97,26.31,26.09,25.0,22.66,22.09,22.44,22.34,21.56,21.88,24.19,26.44,26.22,26.62,28.5,30.0,29.91,29.44,30.91,32.38,32.59,32.03,32.25,33.69,34.41,34.31,35.09,37.66,39.03,38.59,38.03,38.66,39.31,38.31,36.78,36.84,37.16,36.28,34.75,34.53,35.09,34.34,32.06,30.34,30.72,30.5,29.38,28.72,29.25,29.5,28.66,26.84,27.22,28.5,28.88,28.75,29.88,32.03,32.78,32.0,31.41,32.25,32.5,30.75,29.03,28.5,28.06,26.41,23.75,22.78,23.16,22.91,22.22,23.38,26.19,28.16,28.5,28.44,29.62,29.84,28.0,26.19,25.91,25.97,24.91,23.62,23.91,25.5,26.31,26.03,26.66,28.31,28.81,28.09,27.12,28.41,29.5,29.19,29.12,30.53,32.25,32.06,30.5,29.84,29.66,28.44,25.81,24.06,23.94,23.69,22.47,22.31,25.09,27.81,29.44,30.25,32.19,33.69,33.19,31.12,29.69,29.0,27.44,24.5,23.25,24.25,25.53,25.84,26.56,28.03,28.66,27.31,25.06,24.62,25.19,24.78,24.19,24.19,24.72,24.19,21.34,19.28,18.75,18.75,17.56,17.12,19.16,21.5,22.75,23.53,25.31,27.19,27.34,25.72,25.22,25.66,25.91,25.06,25.34,27.47,29.59,30.53,31.91,35.16,38.12,39.06,38.53,38.84,39.12,38.59,37.75,38.88,40.91,41.91,40.75,39.12,37.16,34.0,28.66,23.38,20.41,18.16,15.94,14.41,15.16,17.84,20.34,22.94,26.88,31.62,35.19,36.44,37.03,38.47,38.81,37.38,35.44,34.88,34.31,32.06,28.84,27.31,26.72,25.62,24.0,24.53,26.38,27.78,27.78,27.88,28.91,29.56,28.62,27.81,28.5,29.78,29.94,29.19,29.22,30.06,29.38,27.56,26.84,27.34,27.38,26.06,25.31,26.34,27.28,26.59,26.06,26.47,27.38,27.09,25.94,26.56,27.88,27.69,25.88,23.94,22.72,21.31,17.94,15.72,15.38,15.75,15.25,15.19,17.0,19.75,21.5,22.53,24.75,27.81,30.25,31.28,32.72,35.91,38.66,39.19,39.84,41.44,42.88,41.78,39.94,39.25,38.41,36.03,32.59,30.53,29.66,28.28,25.59,23.81,23.78,24.44,24.5,25.38,28.69,32.5,34.81,36.88,39.66,43.12,44.66,44.22,44.0,44.09,42.91,39.72,37.06,35.59,34.16,30.72,27.91,26.88,26.19,24.59,23.12,23.19,24.44,25.44,25.0,25.84,27.75,29.31,29.56,30.28,32.41,34.66,34.59,34.19,34.91,35.62,34.47,33.0,32.72,32.94,33.06,31.78,31.69,32.81,33.12,31.94,30.69,31.03,30.81,28.75,26.72,25.72,24.47,21.56,18.34,16.5,15.75,14.91,13.12,12.56,13.41,13.78,12.69,12.53,13.69,14.84,14.47,14.53,16.53,19.47,21.66,23.16,25.44,28.16,29.06,27.88,26.78,26.78,26.62,25.19,24.41,25.47,26.94,26.88,26.62,27.97,30.12,30.53,29.66,28.62,27.62,25.28,21.41,18.78,18.59,19.0,19.12,20.53,24.44,29.25,32.19,34.31,36.97,39.44,39.16,37.25,36.34,36.25,35.31,33.47,32.25,32.19,31.72,29.59,27.31,27.12,27.47,26.53,25.91,26.88,29.03,29.97,29.97,30.44,30.81,29.78,26.22,23.0,20.91,19.41,16.72,15.34,15.84,17.44,17.91,18.59,20.34,22.94,24.03,23.5,23.28,23.53,23.0,21.22,20.09,20.5,21.19,20.44,19.44,19.97,21.25,21.09,20.44,20.97,22.88,23.47,23.0,22.81,23.25,23.31,21.47,20.34,20.38,20.94,20.25,19.81,20.88,22.69,23.41,23.41,24.25,26.34,27.53,27.31,27.38,28.38,28.38,26.44,24.44,23.72,23.62,22.25,21.19,21.88,23.78,24.5,24.5,25.59,27.31,27.88,27.53,27.56,29.25,30.66,30.5,29.91,30.38,30.38,28.34,26.31,25.22,24.94,24.25,23.09,23.56,25.97,28.62,30.81,33.59,37.66,40.81,41.38,41.0,40.75,40.06,37.12,33.53,30.75,29.38,26.66,23.75,21.88,21.5,20.28,18.09,16.72,17.03,17.81,17.59,18.09,20.47,23.5,25.0,25.81,27.44,29.12,29.28,28.38,27.91,28.12,27.66,25.38,22.97,22.22,21.44,19.44,17.75,17.72,18.0,17.34,16.25,16.47,17.88,18.0,17.31,17.53,18.88,19.47,18.81,18.44,20.12,21.44,21.84,22.0,23.38,24.34,23.72,22.31,21.78,22.53,22.25,20.91,20.53,21.34,21.84,20.62,19.62,20.25,20.66,20.16,20.06,21.66,23.97,24.5,24.16,24.09,25.16,24.84,24.06,24.12,51.78,51.59,50.41,49.0,46.97,44.41,40.94,38.62,37.47,37.06,37.25,38.38,40.56,42.19,42.94,43.69,45.06,46.25,47.06,47.0,46.72,46.19,44.91,43.47,42.84,42.94,43.44,43.38:20.91,22.12,23.28,22.72,21.81,22.25,23.31,22.78,22.16,22.31,23.38,22.84,21.56,21.5,22.94,24.41,25.09,26.41,28.88,30.53,29.56,27.62,26.47,25.84,24.28,22.47,22.19,23.06,23.03,21.88,21.66,22.38,22.53,21.03,19.75,20.41,21.44,21.25,21.5,23.75,26.12,27.25,27.72,28.75,29.88,29.34,26.97,25.31,24.47,23.53,21.41,19.66,19.06,18.41,16.47,14.75,15.59,17.38,18.69,19.97,22.47,26.03,28.44,30.0,31.75,34.03,34.84,33.06,30.84,29.28,27.41,24.06,20.81,19.28,19.19,18.69,18.41,20.22,23.03,24.97,25.72,26.94,29.56,32.31,34.19,37.12,41.16,45.31,46.69,46.47,45.84,44.38,40.59,35.22,30.47,26.81,22.44,17.31,13.22,10.62,8.59,5.84,4.72,6.06,9.12,11.09,12.91,15.78,18.88,20.78,21.38,23.12,26.22,28.88,30.31,32.56,36.03,38.56,38.81,38.34,38.66,39.09,37.75,36.0,35.19,35.41,34.47,32.5,31.62,32.38,32.59,31.53,31.28,32.28,33.09,32.25,31.91,33.12,35.34,35.62,34.44,33.91,33.31,31.47,29.0,28.19,28.94,29.19,28.5,28.34,28.94,29.16,27.25,25.44,24.81,25.22,24.84,24.84,26.41,28.94,30.59,30.69,30.91,31.25,30.41,27.69,25.38,24.78,25.09,24.69,24.41,25.56,27.53,28.38,28.56,30.25,31.94,33.09,32.38,32.19,33.25,34.03,33.0,31.84,31.38,30.78,28.75,27.12,27.56,29.62,30.97,31.91,33.62,36.41,38.03,38.0,38.19,39.16,38.81,36.31,33.78,32.19,30.97,28.78,27.0,26.84,27.44,26.81,25.59,25.25,25.56,25.16,23.94,23.44,24.56,25.81,25.72,25.69,27.31,28.66,28.31,27.38,27.25,27.59,26.16,24.16,23.28,23.62,23.59,22.72,22.5,23.69,24.59,24.22,23.72,25.16,27.53,28.66,29.59,31.88,34.41,34.62,33.62,33.03,33.88,33.94,33.19,33.16,34.66,35.66,34.69,33.53,33.94,34.81,34.12,33.78,33.84,34.31,33.19,30.66,28.88,28.72,28.16,26.56,25.5,26.06,26.72,26.06,25.94,27.62,30.09,31.22,31.81,33.25,35.03,34.59,32.69,30.59,29.91,28.56,25.88,24.34,25.0,25.72,25.06,23.84,24.06,24.78,24.47,24.25,25.66,28.88,30.94,30.94,31.12,31.53,30.78,28.34,26.56,27.03,28.19,28.12,28.38,29.53,30.97,30.88,29.69,29.66,30.81,31.12,30.5,30.03,30.44,29.66,26.97,24.03,22.97,22.47,21.38,21.38,23.03,25.97,28.0,28.97,30.59,33.44,35.25,36.0,37.44,40.34,42.34,42.06,41.16,40.5,39.47,36.34,32.72,30.59,29.44,27.34,25.31,24.62,26.12,27.59,28.31,30.06,33.38,35.91,36.28,36.03,35.91,35.47,33.38,30.62,29.94,30.0,28.88,27.38,27.09,28.09,28.69,28.44,28.78,31.38,33.78,35.5,37.59,41.19,44.34,45.19,44.69,44.12,43.19,40.62,37.06,35.16,35.25,35.12,34.44,34.19,34.84,35.19,33.5,31.16,30.47,29.94,27.41,24.81,23.81,23.78,23.06,21.69,21.94,23.31,24.12,23.44,22.62,23.09,22.75,21.0,19.59,19.97,21.66,22.34,22.94,24.19,25.84,25.22,23.0,20.81,19.31,17.25,14.53,12.25,12.69,13.94,14.22,14.91,17.28,19.38,19.62,18.81,19.12,20.62,21.09,20.91,21.34,22.91,23.69,23.22,22.94,25.12,27.5,28.53,29.09,30.59,32.0,31.28,29.91,29.53,30.22,30.19,29.53,29.25,30.22,30.12,28.16,26.0,25.31,24.94,23.72,22.97,24.66,26.66,27.72,27.66,28.34,29.69,30.03,29.03,28.84,30.56,31.56,31.12,30.91,32.22,33.5,33.59,33.31,34.88,37.19,37.69,36.81,36.41,36.66,35.59,32.56,29.75,28.47,27.34,25.44,24.5,26.38,29.0,29.88,30.03,31.25,32.38,31.91,30.38,29.62,30.44,30.78,29.84,29.41,30.44,30.75,29.47,28.09,27.91,28.47,28.09,26.84,27.41,29.34,30.38,30.88,31.97,34.25,35.47,34.88,33.97,34.78,35.75,35.03,34.59,35.75,36.91,36.22,34.44,33.53,33.44,31.97,30.16,28.97,29.25,29.28,27.69,26.66,27.41,28.06,27.12,26.31,26.81,28.22,27.94,27.31,28.34,30.47,31.56,31.84,32.91,34.88,35.56,34.41,32.88,32.53,31.59,29.47,26.97,26.31,26.09,25.0,22.66,22.09,22.44,22.34,21.56,21.88,24.19,26.44,26.22,26.62,28.5,30.0,29.91,29.44,30.91,32.38,32.59,32.03,32.25,33.69,34.41,34.31,35.09,37.66,39.03,38.59,38.03,38.66,39.31,38.31,36.78,36.84,37.16,36.28,34.75,34.53,35.09,34.34,32.06,30.34,30.72,30.5,29.38,28.72,29.25,29.5,28.66,26.84,27.22,28.5,28.88,28.75,29.88,32.03,32.78,32.0,31.41,32.25,32.5,30.75,29.03,28.5,28.06,26.41,23.75,22.78,23.16,22.91,22.22,23.38,26.19,28.16,28.5,28.44,29.62,29.84,28.0,26.19,25.91,25.97,24.91,23.62,23.91,25.5,26.31,26.03,26.66,28.31,28.81,28.09,27.12,28.41,29.5,29.19,29.12,30.53,32.25,32.06,30.5,29.84,29.66,28.44,25.81,24.06,23.94,23.69,22.47,22.31,25.09,27.81,29.44,30.25,32.19,33.69,33.19,31.12,29.69,29.0,27.44,24.5,23.25,24.25,25.53,25.84,26.56,28.03,28.66,27.31,25.06,24.62,25.19,24.78,24.19,24.19,24.72,24.19,21.34,19.28,18.75,18.75,17.56,17.12,19.16,21.5,22.75,23.53,25.31,27.19,27.34,25.72,25.22,25.66,25.91,25.06,25.34,27.47,29.59,30.53,31.91,35.16,38.12,39.06,38.53,38.84,39.12,38.59,37.75,38.88,40.91,41.91,40.75,39.12,37.16,34.0,28.66,23.38,20.41,18.16,15.94,14.41,15.16,17.84,20.34,22.94,26.88,31.62,35.19,36.44,37.03,38.47,38.81,37.38,35.44,34.88,34.31,32.06,28.84,27.31,26.72,25.62,24.0,24.53,26.38,27.78,27.78,27.88,28.91,29.56,28.62,27.81,28.5,29.78,29.94,29.19,29.22,30.06,29.38,27.56,26.84,27.34,27.38,26.06,25.31,26.34,27.28,26.59,26.06,26.47,27.38,27.09,25.94,26.56,27.88,27.69,25.88,23.94,22.72,21.31,17.94,15.72,15.38,15.75,15.25,15.19,17.0,19.75,21.5,22.53,24.75,27.81,30.25,31.28,32.72,35.91,38.66,39.19,39.84,41.44,42.88,41.78,39.94,39.25,38.41,36.03,32.59,30.53,29.66,28.28,25.59,23.81,23.78,24.44,24.5,25.38,28.69,32.5,34.81,36.88,39.66,43.12,44.66,44.22,44.0,44.09,42.91,39.72,37.06,35.59,34.16,30.72,27.91,26.88,26.19,24.59,23.12,23.19,24.44,25.44,25.0,25.84,27.75,29.31,29.56,30.28,32.41,34.66,34.59,34.19,34.91,35.62,34.47,33.0,32.72,32.94,33.06,31.78,31.69,32.81,33.12,31.94,30.69,31.03,30.81,28.75,26.72,25.72,24.47,21.56,18.34,16.5,15.75,14.91,13.12,12.56,13.41,13.78,12.69,12.53,13.69,14.84,14.47,14.53,16.53,19.47,21.66,23.16,25.44,28.16,29.06,27.88,26.78,26.78,26.62,25.19,24.41,25.47,26.94,26.88,26.62,27.97,30.12,30.53,29.66,28.62,27.62,25.28,21.41,18.78,18.59,19.0,19.12,20.53,24.44,29.25,32.19,34.31,36.97,39.44,39.16,37.25,36.34,36.25,35.31,33.47,32.25,32.19,31.72,29.59,27.31,27.12,27.47,26.53,25.91,26.88,29.03,29.97,29.97,30.44,30.81,29.78,26.22,23.0,20.91,19.41,16.72,15.34,15.84,17.44,17.91,18.59,20.34,22.94,24.03,23.5,23.28,23.53,23.0,21.22,20.09,20.5,21.19,20.44,19.44,19.97,21.25,21.09,20.44,20.97,22.88,23.47,23.0,22.81,23.25,23.31,21.47,20.34,20.38,20.94,20.25,19.81,20.88,22.69,23.41,23.41,24.25,26.34,27.53,27.31,27.38,28.38,28.38,26.44,24.44,23.72,23.62,22.25,21.19,21.88,23.78,24.5,24.5,25.59,27.31,27.88,27.53,27.56,29.25,30.66,30.5,29.91,30.38,30.38,28.34,26.31,25.22,24.94,24.25,23.09,23.56,25.97,28.62,30.81,33.59,37.66,40.81,41.38,41.0,40.75,40.06,37.12,33.53,30.75,29.38,26.66,23.75,21.88,21.5,20.28,18.09,16.72,17.03,17.81,17.59,18.09,20.47,23.5,25.0,25.81,27.44,29.12,29.28,28.38,27.91,28.12,27.66,25.38,22.97,22.22,21.44,19.44,17.75,17.72,18.0,17.34,16.25,16.47,17.88,18.0,17.31,17.53,18.88,19.47,18.81,18.44,20.12,21.44,21.84,22.0,23.38,24.34,23.72,22.31,21.78,22.53,22.25,20.91,20.53,21.34,21.84,20.62,19.62,20.25,20.66,20.16,20.06,21.66,23.97,24.5,24.16,24.09,25.16,24.84,24.06,24.12,51.78,51.59,50.41,49.0,46.97,44.41,40.94,38.62,37.47,37.06,37.25,38.38,40.56,42.19,42.94,43.69,45.06,46.25,47.06,47.0,46.72,46.19,44.91,43.47,42.84,42.94,43.44,43.38,43.53,44.16,44.56,44.62,44.94,45.47,45.97:22.78,22.16,22.31,23.38,22.84,21.56,21.5,22.94,24.41,25.09,26.41,28.88,30.53,29.56,27.62,26.47,25.84,24.28,22.47,22.19,23.06,23.03,21.88,21.66,22.38,22.53,21.03,19.75,20.41,21.44,21.25,21.5,23.75,26.12,27.25,27.72,28.75,29.88,29.34,26.97,25.31,24.47,23.53,21.41,19.66,19.06,18.41,16.47,14.75,15.59,17.38,18.69,19.97,22.47,26.03,28.44,30.0,31.75,34.03,34.84,33.06,30.84,29.28,27.41,24.06,20.81,19.28,19.19,18.69,18.41,20.22,23.03,24.97,25.72,26.94,29.56,32.31,34.19,37.12,41.16,45.31,46.69,46.47,45.84,44.38,40.59,35.22,30.47,26.81,22.44,17.31,13.22,10.62,8.59,5.84,4.72,6.06,9.12,11.09,12.91,15.78,18.88,20.78,21.38,23.12,26.22,28.88,30.31,32.56,36.03,38.56,38.81,38.34,38.66,39.09,37.75,36.0,35.19,35.41,34.47,32.5,31.62,32.38,32.59,31.53,31.28,32.28,33.09,32.25,31.91,33.12,35.34,35.62,34.44,33.91,33.31,31.47,29.0,28.19,28.94,29.19,28.5,28.34,28.94,29.16,27.25,25.44,24.81,25.22,24.84,24.84,26.41,28.94,30.59,30.69,30.91,31.25,30.41,27.69,25.38,24.78,25.09,24.69,24.41,25.56,27.53,28.38,28.56,30.25,31.94,33.09,32.38,32.19,33.25,34.03,33.0,31.84,31.38,30.78,28.75,27.12,27.56,29.62,30.97,31.91,33.62,36.41,38.03,38.0,38.19,39.16,38.81,36.31,33.78,32.19,30.97,28.78,27.0,26.84,27.44,26.81,25.59,25.25,25.56,25.16,23.94,23.44,24.56,25.81,25.72,25.69,27.31,28.66,28.31,27.38,27.25,27.59,26.16,24.16,23.28,23.62,23.59,22.72,22.5,23.69,24.59,24.22,23.72,25.16,27.53,28.66,29.59,31.88,34.41,34.62,33.62,33.03,33.88,33.94,33.19,33.16,34.66,35.66,34.69,33.53,33.94,34.81,34.12,33.78,33.84,34.31,33.19,30.66,28.88,28.72,28.16,26.56,25.5,26.06,26.72,26.06,25.94,27.62,30.09,31.22,31.81,33.25,35.03,34.59,32.69,30.59,29.91,28.56,25.88,24.34,25.0,25.72,25.06,23.84,24.06,24.78,24.47,24.25,25.66,28.88,30.94,30.94,31.12,31.53,30.78,28.34,26.56,27.03,28.19,28.12,28.38,29.53,30.97,30.88,29.69,29.66,30.81,31.12,30.5,30.03,30.44,29.66,26.97,24.03,22.97,22.47,21.38,21.38,23.03,25.97,28.0,28.97,30.59,33.44,35.25,36.0,37.44,40.34,42.34,42.06,41.16,40.5,39.47,36.34,32.72,30.59,29.44,27.34,25.31,24.62,26.12,27.59,28.31,30.06,33.38,35.91,36.28,36.03,35.91,35.47,33.38,30.62,29.94,30.0,28.88,27.38,27.09,28.09,28.69,28.44,28.78,31.38,33.78,35.5,37.59,41.19,44.34,45.19,44.69,44.12,43.19,40.62,37.06,35.16,35.25,35.12,34.44,34.19,34.84,35.19,33.5,31.16,30.47,29.94,27.41,24.81,23.81,23.78,23.06,21.69,21.94,23.31,24.12,23.44,22.62,23.09,22.75,21.0,19.59,19.97,21.66,22.34,22.94,24.19,25.84,25.22,23.0,20.81,19.31,17.25,14.53,12.25,12.69,13.94,14.22,14.91,17.28,19.38,19.62,18.81,19.12,20.62,21.09,20.91,21.34,22.91,23.69,23.22,22.94,25.12,27.5,28.53,29.09,30.59,32.0,31.28,29.91,29.53,30.22,30.19,29.53,29.25,30.22,30.12,28.16,26.0,25.31,24.94,23.72,22.97,24.66,26.66,27.72,27.66,28.34,29.69,30.03,29.03,28.84,30.56,31.56,31.12,30.91,32.22,33.5,33.59,33.31,34.88,37.19,37.69,36.81,36.41,36.66,35.59,32.56,29.75,28.47,27.34,25.44,24.5,26.38,29.0,29.88,30.03,31.25,32.38,31.91,30.38,29.62,30.44,30.78,29.84,29.41,30.44,30.75,29.47,28.09,27.91,28.47,28.09,26.84,27.41,29.34,30.38,30.88,31.97,34.25,35.47,34.88,33.97,34.78,35.75,35.03,34.59,35.75,36.91,36.22,34.44,33.53,33.44,31.97,30.16,28.97,29.25,29.28,27.69,26.66,27.41,28.06,27.12,26.31,26.81,28.22,27.94,27.31,28.34,30.47,31.56,31.84,32.91,34.88,35.56,34.41,32.88,32.53,31.59,29.47,26.97,26.31,26.09,25.0,22.66,22.09,22.44,22.34,21.56,21.88,24.19,26.44,26.22,26.62,28.5,30.0,29.91,29.44,30.91,32.38,32.59,32.03,32.25,33.69,34.41,34.31,35.09,37.66,39.03,38.59,38.03,38.66,39.31,38.31,36.78,36.84,37.16,36.28,34.75,34.53,35.09,34.34,32.06,30.34,30.72,30.5,29.38,28.72,29.25,29.5,28.66,26.84,27.22,28.5,28.88,28.75,29.88,32.03,32.78,32.0,31.41,32.25,32.5,30.75,29.03,28.5,28.06,26.41,23.75,22.78,23.16,22.91,22.22,23.38,26.19,28.16,28.5,28.44,29.62,29.84,28.0,26.19,25.91,25.97,24.91,23.62,23.91,25.5,26.31,26.03,26.66,28.31,28.81,28.09,27.12,28.41,29.5,29.19,29.12,30.53,32.25,32.06,30.5,29.84,29.66,28.44,25.81,24.06,23.94,23.69,22.47,22.31,25.09,27.81,29.44,30.25,32.19,33.69,33.19,31.12,29.69,29.0,27.44,24.5,23.25,24.25,25.53,25.84,26.56,28.03,28.66,27.31,25.06,24.62,25.19,24.78,24.19,24.19,24.72,24.19,21.34,19.28,18.75,18.75,17.56,17.12,19.16,21.5,22.75,23.53,25.31,27.19,27.34,25.72,25.22,25.66,25.91,25.06,25.34,27.47,29.59,30.53,31.91,35.16,38.12,39.06,38.53,38.84,39.12,38.59,37.75,38.88,40.91,41.91,40.75,39.12,37.16,34.0,28.66,23.38,20.41,18.16,15.94,14.41,15.16,17.84,20.34,22.94,26.88,31.62,35.19,36.44,37.03,38.47,38.81,37.38,35.44,34.88,34.31,32.06,28.84,27.31,26.72,25.62,24.0,24.53,26.38,27.78,27.78,27.88,28.91,29.56,28.62,27.81,28.5,29.78,29.94,29.19,29.22,30.06,29.38,27.56,26.84,27.34,27.38,26.06,25.31,26.34,27.28,26.59,26.06,26.47,27.38,27.09,25.94,26.56,27.88,27.69,25.88,23.94,22.72,21.31,17.94,15.72,15.38,15.75,15.25,15.19,17.0,19.75,21.5,22.53,24.75,27.81,30.25,31.28,32.72,35.91,38.66,39.19,39.84,41.44,42.88,41.78,39.94,39.25,38.41,36.03,32.59,30.53,29.66,28.28,25.59,23.81,23.78,24.44,24.5,25.38,28.69,32.5,34.81,36.88,39.66,43.12,44.66,44.22,44.0,44.09,42.91,39.72,37.06,35.59,34.16,30.72,27.91,26.88,26.19,24.59,23.12,23.19,24.44,25.44,25.0,25.84,27.75,29.31,29.56,30.28,32.41,34.66,34.59,34.19,34.91,35.62,34.47,33.0,32.72,32.94,33.06,31.78,31.69,32.81,33.12,31.94,30.69,31.03,30.81,28.75,26.72,25.72,24.47,21.56,18.34,16.5,15.75,14.91,13.12,12.56,13.41,13.78,12.69,12.53,13.69,14.84,14.47,14.53,16.53,19.47,21.66,23.16,25.44,28.16,29.06,27.88,26.78,26.78,26.62,25.19,24.41,25.47,26.94,26.88,26.62,27.97,30.12,30.53,29.66,28.62,27.62,25.28,21.41,18.78,18.59,19.0,19.12,20.53,24.44,29.25,32.19,34.31,36.97,39.44,39.16,37.25,36.34,36.25,35.31,33.47,32.25,32.19,31.72,29.59,27.31,27.12,27.47,26.53,25.91,26.88,29.03,29.97,29.97,30.44,30.81,29.78,26.22,23.0,20.91,19.41,16.72,15.34,15.84,17.44,17.91,18.59,20.34,22.94,24.03,23.5,23.28,23.53,23.0,21.22,20.09,20.5,21.19,20.44,19.44,19.97,21.25,21.09,20.44,20.97,22.88,23.47,23.0,22.81,23.25,23.31,21.47,20.34,20.38,20.94,20.25,19.81,20.88,22.69,23.41,23.41,24.25,26.34,27.53,27.31,27.38,28.38,28.38,26.44,24.44,23.72,23.62,22.25,21.19,21.88,23.78,24.5,24.5,25.59,27.31,27.88,27.53,27.56,29.25,30.66,30.5,29.91,30.38,30.38,28.34,26.31,25.22,24.94,24.25,23.09,23.56,25.97,28.62,30.81,33.59,37.66,40.81,41.38,41.0,40.75,40.06,37.12,33.53,30.75,29.38,26.66,23.75,21.88,21.5,20.28,18.09,16.72,17.03,17.81,17.59,18.09,20.47,23.5,25.0,25.81,27.44,29.12,29.28,28.38,27.91,28.12,27.66,25.38,22.97,22.22,21.44,19.44,17.75,17.72,18.0,17.34,16.25,16.47,17.88,18.0,17.31,17.53,18.88,19.47,18.81,18.44,20.12,21.44,21.84,22.0,23.38,24.34,23.72,22.31,21.78,22.53,22.25,20.91,20.53,21.34,21.84,20.62,19.62,20.25,20.66,20.16,20.06,21.66,23.97,24.5,24.16,24.09,25.16,24.84,24.06,24.12,51.78,51.59,50.41,49.0,46.97,44.41,40.94,38.62,37.47,37.06,37.25,38.38,40.56,42.19,42.94,43.69,45.06,46.25,47.06,47.0,46.72,46.19,44.91,43.47,42.84,42.94,43.44,43.38,43.53,44.16,44.56,44.62,44.94,45.47,45.97,46.66,46.66,46.78,46.69,45.88,44.12,43.0:negativity
36.78,36.0,33.66,31.25,29.53,29.09,28.5,28.75,29.91,31.66,32.06,31.41,29.94,28.47,26.62,24.44,22.69,22.69,23.28,23.5,24.12,25.56,27.62,28.66,28.84,29.19,29.75,29.5,28.44,28.12,28.34,28.69,27.84,27.41,27.5,27.59,26.38,24.84,24.06,23.5,22.94,22.47,23.16,24.69,25.5,25.75,25.66,25.91,25.72,24.53,23.78,23.59,23.94,23.38,23.12,23.78,25.53,26.78,27.69,29.19,31.31,32.72,33.75,34.38,35.62,36.31,35.31,33.56,32.53,31.78,29.69,27.66,26.03,25.25,24.31,23.09,22.56,23.59,24.97,25.78,27.0,29.44,31.5,31.94,32.28,33.16,34.69,35.06,35.75,36.5,37.47,37.59,37.19,36.41,36.56,36.34,35.19,33.75,33.44,32.94,31.81,31.0,31.09,31.62,31.47,30.44,29.31,28.53,27.16,25.34,24.06,23.91,24.44,24.19,24.31,25.34,26.69,26.75,26.38,26.12,25.88,24.69,23.12,22.22,22.41,22.38,21.78,21.28,21.72,22.34,22.19,21.88,22.53,23.69,24.06,24.47,25.84,27.84,29.22,29.84,30.44,32.38,33.62,34.34,34.47,35.12,35.31,33.94,31.34,29.72,27.94,26.06,24.59,24.41,25.5,26.69,27.66,28.75,31.38,34.38,36.5,37.97,39.91,41.72,41.84,41.38,41.25,41.38,40.25,38.25,37.0,36.25,35.12,33.44,32.03,32.25,32.31,32.12,32.5,34.34,36.75,38.66,40.34,42.56,44.06,44.28,42.81,41.41,40.22,38.66,36.56,34.34,33.5,32.59,31.12,29.38,28.34,27.81,26.5,24.81,24.47,25.22,26.28,27.66,29.72,32.62,35.16,36.88,37.69,38.91,39.5,39.19,37.72,36.69,35.91,34.88,33.16,32.28,32.59,32.56,31.78,31.16,31.31,31.31,30.69,30.34,31.88,34.06,35.66,37.0,38.78,40.5,41.16,40.75,40.88,41.66,42.16,41.62,41.25,41.25,40.94,39.66,37.78,36.59,35.09,33.44,31.12,30.0,29.53,28.5,26.62,25.03,24.38,24.25,23.94,24.75,27.03,29.69,31.66,32.94,34.69,36.0,36.25,35.19,34.88,34.94,34.84,34.28,34.06,34.81,35.56,35.44,35.06,35.53,35.62,34.5,32.56,30.91,29.28,27.59,26.38,26.12,27.84,29.41,30.69,32.09,34.75,37.22,37.91,38.75,39.53,39.69,38.88,38.0,37.69,37.41,36.5,34.38,32.5,30.91,29.56,28.56,28.62,30.28,33.31,35.47,36.44,37.0,36.56,34.53,31.66,30.19,30.0,30.5,30.62,30.97,31.28,30.94,29.31,27.38,26.75,26.41,26.41,26.28,27.59,29.12,29.59,28.94,28.06,27.69,27.0,25.78,25.81,27.0,28.88,30.66,32.75,36.31,39.59,41.84,42.88,43.0,42.69,40.59,37.22,33.94,31.56,29.91,27.84,26.56,26.78,27.28,27.28,27.94,29.81,32.28,34.59,36.91,39.16,41.34,42.56,42.09,41.47,40.75,40.38,39.09,37.94,37.88,37.62,36.12,34.34,33.25,32.72,31.97,31.41,31.91,33.22,34.22,34.0,33.88,33.78,34.09,33.34,32.75,32.56,32.91,32.06,30.5,29.47,29.06,28.59,28.25,29.28,31.94,34.69,36.09,36.81,37.09,36.75,34.81,33.53,33.0,33.78,34.47,34.75,35.78,36.91,37.31,36.62,36.16,36.41,37.09,37.19,37.62,38.47,39.25,38.12,36.34,34.5,33.47,31.75,29.66,28.31,27.56,26.84,25.84,25.75,27.59,30.34,32.56,35.31,38.5,42.06,44.0,45.06,45.91,46.31,45.41,43.38,41.41,40.25,39.0,37.34,36.38,36.59,37.19,36.97,36.5,36.5,36.69,35.94,34.81,34.06,34.38,34.22,33.78,33.56,34.16,35.22,36.0,36.91,38.56,40.16,40.41,39.72,39.47,39.28,37.94,36.06,34.5,33.41,32.16,30.53,28.75,28.09,27.16,25.81,25.09,25.16,26.19,27.22,27.59,28.22,29.06,29.41,29.03,28.97,30.03,30.66,30.78,31.34,32.59,34.72,36.22,37.56,38.97,40.19,40.0,39.34,38.38,37.97,37.34,36.5,36.06,36.5,37.28,37.75,38.31,39.5,41.44,42.44,42.78,43.38,43.88,43.5,42.19,40.94,40.44,39.28,37.91,36.75,36.31,35.28,34.41,33.03,32.44,32.66,32.97,32.97,33.53,34.94,36.12,36.88,38.16,39.72,41.12,41.94,42.62,44.28,45.91,46.84,47.12,47.41,47.5,46.62,45.19,43.84,43.03,42.0,40.84,40.0,40.31,41.31,41.66,42.19,43.69,45.44,46.44,46.81,47.22,47.53,46.75,45.28,44.0,43.72,43.5,42.25,41.16,40.97,40.62,40.16,40.19,41.25,42.59,44.03,44.62,45.56,47.06,47.88,47.38,46.59,45.81,44.28,41.66,39.34,38.53,38.22,38.38,38.25,39.16,40.22,40.94,41.06,41.91,43.19,44.06,44.22,44.0,44.66,44.75,44.12,43.22,43.16,43.44,43.56,43.22,43.44,43.66,43.12,41.91,41.25,41.88,43.0,43.97,45.16,46.81,47.91,47.66,46.88,46.62,45.66,43.84,41.62,39.75,38.44,37.44,36.38,35.47,35.78,36.19,35.72,35.16,35.19,34.56,32.97,31.09,30.44,29.97,29.97,29.62,30.41,31.47,32.19,31.81,31.09,30.81,30.28,29.47,28.59,28.72,28.78,28.31,27.81,28.19,29.41,30.84,31.72,33.22,34.59,35.56,35.31,34.75,34.91,34.81,33.91,32.56,32.03,32.56,32.94,32.62,33.41,34.62,35.19,35.0,35.53,36.66,37.91,37.94,37.84,38.22,38.75,38.5,37.66,37.38,37.41,37.09,35.91,35.44,35.72,35.88,35.78,36.25,37.25,38.34,38.25,37.66,37.41,37.22,36.09,34.94,34.47,34.78,35.03,35.19,36.0,37.25,38.88,38.84,38.19,37.34,36.22,34.09,31.81,30.66,30.53,30.72,30.59,31.66,33.19,34.34,34.06,33.78,33.41,32.91,31.28,29.56,29.0,29.38,29.69,30.22,32.0,33.91,35.28,35.78,36.28,36.88,36.38,34.38,32.44,31.31,30.62,30.12,30.03,31.12,32.69,33.59,34.06,34.69,35.78,36.38,35.88,35.41,35.19,35.03,33.5,32.19,31.84,31.78,30.75,30.06,30.28,31.59,32.59,33.62,34.72,36.03,36.66,35.84,35.38,35.69,36.53,36.44,36.62,37.16,37.75,37.22,36.06,35.44,35.12,33.94,32.06,30.72,30.5,30.41,30.0,30.12,31.0,31.62,30.06,28.19,26.94,25.78,24.22,23.12,23.03,23.75,24.28,24.81,25.62,28.16,30.69,32.47,34.22,36.0,37.91,38.12,38.0,37.91,37.94,37.31,36.5,35.78,36.47,37.12,36.94,36.38,36.12,35.09,32.44,29.81,27.47,26.0,23.94,22.12,21.66,22.47,22.69,22.59,22.66,23.81,25.06,25.97,27.31,29.62,32.56,33.97,35.03,36.88,38.81,38.94,38.62,38.47,38.94,39.22,39.41,40.38,42.5,44.47,45.44,46.12,47.16,47.56,46.47,44.22,42.34,40.41,37.5,34.47,32.84,32.38,32.81,32.97,34.0,36.0,37.66,38.28,38.22,38.56,38.28,36.38,33.75,31.31,29.62,27.25,25.22,23.78,23.72,24.0,23.97,24.5,26.5,29.25,31.44,33.09,35.91,38.0,38.47,38.12,37.97,37.78,36.56,34.84,33.12,32.69,32.75,32.59,33.0,34.59,36.41,37.06,37.0,37.38,37.84,37.16,35.44,33.91,33.12,31.78,30.25,29.62,29.69,29.66,28.94,27.75,27.78,28.47,29.0,30.12,32.41,35.12,36.97,38.12,39.53,41.88,43.75,44.91,45.84,47.22,48.41,48.72,48.5,48.88,48.5,46.62,43.22,40.31,37.81,35.56,33.25,31.59,30.94,29.62,27.69,25.41,24.72,25.22,25.44,26.66,29.34,32.5,35.0,36.56,38.75,41.12,43.19,44.38,45.97,47.97,49.5,49.59,49.19,49.0,48.09,45.62,42.81,40.41,39.22,38.62,38.03,38.84,40.44,42.0,42.78,43.0,44.09,44.56,43.31,42.03,41.31,41.41,41.28,41.16,42.0,43.78,45.5,45.69,46.31,46.38,45.44,42.84,39.97,38.31,37.25,36.5,35.75,36.5,37.16,37.44,37.19,37.91,40.03,42.38,44.19,46.62,49.75,51.78,52.72,53.06,53.22,52.88,51.28,48.88,46.31,43.16,39.59,35.44,32.0,29.88,28.91,27.91,27.72,28.88,30.38,31.09,31.81,32.94,34.31,35.19,35.66,36.75,37.78,38.25,37.31,36.09,35.12,34.19,32.88,32.31,33.16,34.81,35.69,36.03,36.34,36.56,35.84,34.16,33.16,32.56,31.62,29.81,29.25,30.03,31.59,32.28,33.41,34.94,35.88,35.28,34.28,33.62,33.47,33.88,33.72,34.97,36.75,38.03,38.25,38.38,39.22,39.72,39.16,38.12,37.31,36.69,35.38,34.56,34.56,35.5,35.97,35.44,34.88,34.78,34.72,34.28,34.0,34.69,35.81,35.78,35.72,36.59,38.03,38.31,38.12,38.34,39.0,39.81,39.88,40.25,41.44,42.94,43.41,44.0,45.31,46.38,46.09,44.53,43.22,41.97,39.81,37.22,34.59,32.41,30.31,27.47,25.78,25.22,25.62,25.78,26.34,27.62,28.62,29.16,29.09,29.28,30.38,31.28,32.03,33.66,35.75,38.34,40.0,42.09,44.12,45.94,46.62,46.19,45.91,44.97,43.38,40.94,38.44,37.03,35.69,34.03,32.78,33.0,33.34,32.69,32.03,32.16,32.94,33.19:28.75,29.91,31.66,32.06,31.41,29.94,28.47,26.62,24.44,22.69,22.69,23.28,23.5,24.12,25.56,27.62,28.66,28.84,29.19,29.75,29.5,28.44,28.12,28.34,28.69,27.84,27.41,27.5,27.59,26.38,24.84,24.06,23.5,22.94,22.47,23.16,24.69,25.5,25.75,25.66,25.91,25.72,24.53,23.78,23.59,23.94,23.38,23.12,23.78,25.53,26.78,27.69,29.19,31.31,32.72,33.75,34.38,35.62,36.31,35.31,33.56,32.53,31.78,29.69,27.66,26.03,25.25,24.31,23.09,22.56,23.59,24.97,25.78,27.0,29.44,31.5,31.94,32.28,33.16,34.69,35.06,35.75,36.5,37.47,37.59,37.19,36.41,36.56,36.34,35.19,33.75,33.44,32.94,31.81,31.0,31.09,31.62,31.47,30.44,29.31,28.53,27.16,25.34,24.06,23.91,24.44,24.19,24.31,25.34,26.69,26.75,26.38,26.12,25.88,24.69,23.12,22.22,22.41,22.38,21.78,21.28,21.72,22.34,22.19,21.88,22.53,23.69,24.06,24.47,25.84,27.84,29.22,29.84,30.44,32.38,33.62,34.34,34.47,35.12,35.31,33.94,31.34,29.72,27.94,26.06,24.59,24.41,25.5,26.69,27.66,28.75,31.38,34.38,36.5,37.97,39.91,41.72,41.84,41.38,41.25,41.38,40.25,38.25,37.0,36.25,35.12,33.44,32.03,32.25,32.31,32.12,32.5,34.34,36.75,38.66,40.34,42.56,44.06,44.28,42.81,41.41,40.22,38.66,36.56,34.34,33.5,32.59,31.12,29.38,28.34,27.81,26.5,24.81,24.47,25.22,26.28,27.66,29.72,32.62,35.16,36.88,37.69,38.91,39.5,39.19,37.72,36.69,35.91,34.88,33.16,32.28,32.59,32.56,31.78,31.16,31.31,31.31,30.69,30.34,31.88,34.06,35.66,37.0,38.78,40.5,41.16,40.75,40.88,41.66,42.16,41.62,41.25,41.25,40.94,39.66,37.78,36.59,35.09,33.44,31.12,30.0,29.53,28.5,26.62,25.03,24.38,24.25,23.94,24.75,27.03,29.69,31.66,32.94,34.69,36.0,36.25,35.19,34.88,34.94,34.84,34.28,34.06,34.81,35.56,35.44,35.06,35.53,35.62,34.5,32.56,30.91,29.28,27.59,26.38,26.12,27.84,29.41,30.69,32.09,34.75,37.22,37.91,38.75,39.53,39.69,38.88,38.0,37.69,37.41,36.5,34.38,32.5,30.91,29.56,28.56,28.62,30.28,33.31,35.47,36.44,37.0,36.56,34.53,31.66,30.19,30.0,30.5,30.62,30.97,31.28,30.94,29.31,27.38,26.75,26.41,26.41,26.28,27.59,29.12,29.59,28.94,28.06,27.69,27.0,25.78,25.81,27.0,28.88,30.66,32.75,36.31,39.59,41.84,42.88,43.0,42.69,40.59,37.22,33.94,31.56,29.91,27.84,26.56,26.78,27.28,27.28,27.94,29.81,32.28,34.59,36.91,39.16,41.34,42.56,42.09,41.47,40.75,40.38,39.09,37.94,37.88,37.62,36.12,34.34,33.25,32.72,31.97,31.41,31.91,33.22,34.22,34.0,33.88,33.78,34.09,33.34,32.75,32.56,32.91,32.06,30.5,29.47,29.06,28.59,28.25,29.28,31.94,34.69,36.09,36.81,37.09,36.75,34.81,33.53,33.0,33.78,34.47,34.75,35.78,36.91,37.31,36.62,36.16,36.41,37.09,37.19,37.62,38.47,39.25,38.12,36.34,34.5,33.47,31.75,29.66,28.31,27.56,26.84,25.84,25.75,27.59,30.34,32.56,35.31,38.5,42.06,44.0,45.06,45.91,46.31,45.41,43.38,41.41,40.25,39.0,37.34,36.38,36.59,37.19,36.97,36.5,36.5,36.69,35.94,34.81,34.06,34.38,34.22,33.78,33.56,34.16,35.22,36.0,36.91,38.56,40.16,40.41,39.72,39.47,39.28,37.94,36.06,34.5,33.41,32.16,30.53,28.75,28.09,27.16,25.81,25.09,25.16,26.19,27.22,27.59,28.22,29.06,29.41,29.03,28.97,30.03,30.66,30.78,31.34,32.59,34.72,36.22,37.56,38.97,40.19,40.0,39.34,38.38,37.97,37.34,36.5,36.06,36.5,37.28,37.75,38.31,39.5,41.44,42.44,42.78,43.38,43.88,43.5,42.19,40.94,40.44,39.28,37.91,36.75,36.31,35.28,34.41,33.03,32.44,32.66,32.97,32.97,33.53,34.94,36.12,36.88,38.16,39.72,41.12,41.94,42.62,44.28,45.91,46.84,47.12,47.41,47.5,46.62,45.19,43.84,43.03,42.0,40.84,40.0,40.31,41.31,41.66,42.19,43.69,45.44,46.44,46.81,47.22,47.53,46.75,45.28,44.0,43.72,43.5,42.25,41.16,40.97,40.62,40.16,40.19,41.25,42.59,44.03,44.62,45.56,47.06,47.88,47.38,46.59,45.81,44.28,41.66,39.34,38.53,38.22,38.38,38.25,39.16,40.22,40.94,41.06,41.91,43.19,44.06,44.22,44.0,44.66,44.75,44.12,43.22,43.16,43.44,43.56,43.22,43.44,43.66,43.12,41.91,41.25,41.88,43.0,43.97,45.16,46.81,47.91,47.66,46.88,46.62,45.66,43.84,41.62,39.75,38.44,37.44,36.38,35.47,35.78,36.19,35.72,35.16,35.19,34.56,32.97,31.09,30.44,29.97,29.97,29.62,30.41,31.47,32.19,31.81,31.09,30.81,30.28,29.47,28.59,28.72,28.78,28.31,27.81,28.19,29.41,30.84,31.72,33.22,34.59,35.56,35.31,34.75,34.91,34.81,33.91,32.56,32.03,32.56,32.94,32.62,33.41,34.62,35.19,35.0,35.53,36.66,37.91,37.94,37.84,38.22,38.75,38.5,37.66,37.38,37.41,37.09,35.91,35.44,35.72,35.88,35.78,36.25,37.25,38.34,38.25,37.66,37.41,37.22,36.09,34.94,34.47,34.78,35.03,35.19,36.0,37.25,38.88,38.84,38.19,37.34,36.22,34.09,31.81,30.66,30.53,30.72,30.59,31.66,33.19,34.34,34.06,33.78,33.41,32.91,31.28,29.56,29.0,29.38,29.69,30.22,32.0,33.91,35.28,35.78,36.28,36.88,36.38,34.38,32.44,31.31,30.62,30.12,30.03,31.12,32.69,33.59,34.06,34.69,35.78,36.38,35.88,35.41,35.19,35.03,33.5,32.19,31.84,31.78,30.75,30.06,30.28,31.59,32.59,33.62,34.72,36.03,36.66,35.84,35.38,35.69,36.53,36.44,36.62,37.16,37.75,37.22,36.06,35.44,35.12,33.94,32.06,30.72,30.5,30.41,30.0,30.12,31.0,31.62,30.06,28.19,26.94,25.78,24.22,23.12,23.03,23.75,24.28,24.81,25.62,28.16,30.69,32.47,34.22,36.0,37.91,38.12,38.0,37.91,37.94,37.31,36.5,35.78,36.47,37.12,36.94,36.38,36.12,35.09,32.44,29.81,27.47,26.0,23.94,22.12,21.66,22.47,22.69,22.59,22.66,23.81,25.06,25.97,27.31,29.62,32.56,33.97,35.03,36.88,38.81,38.94,38.62,38.47,38.94,39.22,39.41,40.38,42.5,44.47,45.44,46.12,47.16,47.56,46.47,44.22,42.34,40.41,37.5,34.47,32.84,32.38,32.81,32.97,34.0,36.0,37.66,38.28,38.22,38.56,38.28,36.38,33.75,31.31,29.62,27.25,25.22,23.78,23.72,24.0,23.97,24.5,26.5,29.25,31.44,33.09,35.91,38.0,38.47,38.12,37.97,37.78,36.56,34.84,33.12,32.69,32.75,32.59,33.0,34.59,36.41,37.06,37.0,37.38,37.84,37.16,35.44,33.91,33.12,31.78,30.25,29.62,29.69,29.66,28.94,27.75,27.78,28.47,29.0,30.12,32.41,35.12,36.97,38.12,39.53,41.88,43.75,44.91,45.84,47.22,48.41,48.72,48.5,48.88,48.5,46.62,43.22,40.31,37.81,35.56,33.25,31.59,30.94,29.62,27.69,25.41,24.72,25.22,25.44,26.66,29.34,32.5,35.0,36.56,38.75,41.12,43.19,44.38,45.97,47.97,49.5,49.59,49.19,49.0,48.09,45.62,42.81,40.41,39.22,38.62,38.03,38.84,40.44,42.0,42.78,43.0,44.09,44.56,43.31,42.03,41.31,41.41,41.28,41.16,42.0,43.78,45.5,45.69,46.31,46.38,45.44,42.84,39.97,38.31,37.25,36.5,35.75,36.5,37.16,37.44,37.19,37.91,40.03,42.38,44.19,46.62,49.75,51.78,52.72,53.06,53.22,52.88,51.28,48.88,46.31,43.16,39.59,35.44,32.0,29.88,28.91,27.91,27.72,28.88,30.38,31.09,31.81,32.94,34.31,35.19,35.66,36.75,37.78,38.25,37.31,36.09,35.12,34.19,32.88,32.31,33.16,34.81,35.69,36.03,36.34,36.56,35.84,34.16,33.16,32.56,31.62,29.81,29.25,30.03,31.59,32.28,33.41,34.94,35.88,35.28,34.28,33.62,33.47,33.88,33.72,34.97,36.75,38.03,38.25,38.38,39.22,39.72,39.16,38.12,37.31,36.69,35.38,34.56,34.56,35.5,35.97,35.44,34.88,34.78,34.72,34.28,34.0,34.69,35.81,35.78,35.72,36.59,38.03,38.31,38.12,38.34,39.0,39.81,39.88,40.25,41.44,42.94,43.41,44.0,45.31,46.38,46.09,44.53,43.22,41.97,39.81,37.22,34.59,32.41,30.31,27.47,25.78,25.22,25.62,25.78,26.34,27.62,28.62,29.16,29.09,29.28,30.38,31.28,32.03,33.66,35.75,38.34,40.0,42.09,44.12,45.94,46.62,46.19,45.91,44.97,43.38,40.94,38.44,37.03,35.69,34.03,32.78,33.0,33.34,32.69,32.03,32.16,32.94,33.19,59.0,58.44,57.31,56.0,54.44,53.38,53.47:26.62,24.44,22.69,22.69,23.28,23.5,24.12,25.56,27.62,28.66,28.84,29.19,29.75,29.5,28.44,28.12,28.34,28.69,27.84,27.41,27.5,27.59,26.38,24.84,24.06,23.5,22.94,22.47,23.16,24.69,25.5,25.75,25.66,25.91,25.72,24.53,23.78,23.59,23.94,23.38,23.12,23.78,25.53,26.78,27.69,29.19,31.31,32.72,33.75,34.38,35.62,36.31,35.31,33.56,32.53,31.78,29.69,27.66,26.03,25.25,24.31,23.09,22.56,23.59,24.97,25.78,27.0,29.44,31.5,31.94,32.28,33.16,34.69,35.06,35.75,36.5,37.47,37.59,37.19,36.41,36.56,36.34,35.19,33.75,33.44,32.94,31.81,31.0,31.09,31.62,31.47,30.44,29.31,28.53,27.16,25.34,24.06,23.91,24.44,24.19,24.31,25.34,26.69,26.75,26.38,26.12,25.88,24.69,23.12,22.22,22.41,22.38,21.78,21.28,21.72,22.34,22.19,21.88,22.53,23.69,24.06,24.47,25.84,27.84,29.22,29.84,30.44,32.38,33.62,34.34,34.47,35.12,35.31,33.94,31.34,29.72,27.94,26.06,24.59,24.41,25.5,26.69,27.66,28.75,31.38,34.38,36.5,37.97,39.91,41.72,41.84,41.38,41.25,41.38,40.25,38.25,37.0,36.25,35.12,33.44,32.03,32.25,32.31,32.12,32.5,34.34,36.75,38.66,40.34,42.56,44.06,44.28,42.81,41.41,40.22,38.66,36.56,34.34,33.5,32.59,31.12,29.38,28.34,27.81,26.5,24.81,24.47,25.22,26.28,27.66,29.72,32.62,35.16,36.88,37.69,38.91,39.5,39.19,37.72,36.69,35.91,34.88,33.16,32.28,32.59,32.56,31.78,31.16,31.31,31.31,30.69,30.34,31.88,34.06,35.66,37.0,38.78,40.5,41.16,40.75,40.88,41.66,42.16,41.62,41.25,41.25,40.94,39.66,37.78,36.59,35.09,33.44,31.12,30.0,29.53,28.5,26.62,25.03,24.38,24.25,23.94,24.75,27.03,29.69,31.66,32.94,34.69,36.0,36.25,35.19,34.88,34.94,34.84,34.28,34.06,34.81,35.56,35.44,35.06,35.53,35.62,34.5,32.56,30.91,29.28,27.59,26.38,26.12,27.84,29.41,30.69,32.09,34.75,37.22,37.91,38.75,39.53,39.69,38.88,38.0,37.69,37.41,36.5,34.38,32.5,30.91,29.56,28.56,28.62,30.28,33.31,35.47,36.44,37.0,36.56,34.53,31.66,30.19,30.0,30.5,30.62,30.97,31.28,30.94,29.31,27.38,26.75,26.41,26.41,26.28,27.59,29.12,29.59,28.94,28.06,27.69,27.0,25.78,25.81,27.0,28.88,30.66,32.75,36.31,39.59,41.84,42.88,43.0,42.69,40.59,37.22,33.94,31.56,29.91,27.84,26.56,26.78,27.28,27.28,27.94,29.81,32.28,34.59,36.91,39.16,41.34,42.56,42.09,41.47,40.75,40.38,39.09,37.94,37.88,37.62,36.12,34.34,33.25,32.72,31.97,31.41,31.91,33.22,34.22,34.0,33.88,33.78,34.09,33.34,32.75,32.56,32.91,32.06,30.5,29.47,29.06,28.59,28.25,29.28,31.94,34.69,36.09,36.81,37.09,36.75,34.81,33.53,33.0,33.78,34.47,34.75,35.78,36.91,37.31,36.62,36.16,36.41,37.09,37.19,37.62,38.47,39.25,38.12,36.34,34.5,33.47,31.75,29.66,28.31,27.56,26.84,25.84,25.75,27.59,30.34,32.56,35.31,38.5,42.06,44.0,45.06,45.91,46.31,45.41,43.38,41.41,40.25,39.0,37.34,36.38,36.59,37.19,36.97,36.5,36.5,36.69,35.94,34.81,34.06,34.38,34.22,33.78,33.56,34.16,35.22,36.0,36.91,38.56,40.16,40.41,39.72,39.47,39.28,37.94,36.06,34.5,33.41,32.16,30.53,28.75,28.09,27.16,25.81,25.09,25.16,26.19,27.22,27.59,28.22,29.06,29.41,29.03,28.97,30.03,30.66,30.78,31.34,32.59,34.72,36.22,37.56,38.97,40.19,40.0,39.34,38.38,37.97,37.34,36.5,36.06,36.5,37.28,37.75,38.31,39.5,41.44,42.44,42.78,43.38,43.88,43.5,42.19,40.94,40.44,39.28,37.91,36.75,36.31,35.28,34.41,33.03,32.44,32.66,32.97,32.97,33.53,34.94,36.12,36.88,38.16,39.72,41.12,41.94,42.62,44.28,45.91,46.84,47.12,47.41,47.5,46.62,45.19,43.84,43.03,42.0,40.84,40.0,40.31,41.31,41.66,42.19,43.69,45.44,46.44,46.81,47.22,47.53,46.75,45.28,44.0,43.72,43.5,42.25,41.16,40.97,40.62,40.16,40.19,41.25,42.59,44.03,44.62,45.56,47.06,47.88,47.38,46.59,45.81,44.28,41.66,39.34,38.53,38.22,38.38,38.25,39.16,40.22,40.94,41.06,41.91,43.19,44.06,44.22,44.0,44.66,44.75,44.12,43.22,43.16,43.44,43.56,43.22,43.44,43.66,43.12,41.91,41.25,41.88,43.0,43.97,45.16,46.81,47.91,47.66,46.88,46.62,45.66,43.84,41.62,39.75,38.44,37.44,36.38,35.47,35.78,36.19,35.72,35.16,35.19,34.56,32.97,31.09,30.44,29.97,29.97,29.62,30.41,31.47,32.19,31.81,31.09,30.81,30.28,29.47,28.59,28.72,28.78,28.31,27.81,28.19,29.41,30.84,31.72,33.22,34.59,35.56,35.31,34.75,34.91,34.81,33.91,32.56,32.03,32.56,32.94,32.62,33.41,34.62,35.19,35.0,35.53,36.66,37.91,37.94,37.84,38.22,38.75,38.5,37.66,37.38,37.41,37.09,35.91,35.44,35.72,35.88,35.78,36.25,37.25,38.34,38.25,37.66,37.41,37.22,36.09,34.94,34.47,34.78,35.03,35.19,36.0,37.25,38.88,38.84,38.19,37.34,36.22,34.09,31.81,30.66,30.53,30.72,30.59,31.66,33.19,34.34,34.06,33.78,33.41,32.91,31.28,29.56,29.0,29.38,29.69,30.22,32.0,33.91,35.28,35.78,36.28,36.88,36.38,34.38,32.44,31.31,30.62,30.12,30.03,31.12,32.69,33.59,34.06,34.69,35.78,36.38,35.88,35.41,35.19,35.03,33.5,32.19,31.84,31.78,30.75,30.06,30.28,31.59,32.59,33.62,34.72,36.03,36.66,35.84,35.38,35.69,36.53,36.44,36.62,37.16,37.75,37.22,36.06,35.44,35.12,33.94,32.06,30.72,30.5,30.41,30.0,30.12,31.0,31.62,30.06,28.19,26.94,25.78,24.22,23.12,23.03,23.75,24.28,24.81,25.62,28.16,30.69,32.47,34.22,36.0,37.91,38.12,38.0,37.91,37.94,37.31,36.5,35.78,36.47,37.12,36.94,36.38,36.12,35.09,32.44,29.81,27.47,26.0,23.94,22.12,21.66,22.47,22.69,22.59,22.66,23.81,25.06,25.97,27.31,29.62,32.56,33.97,35.03,36.88,38.81,38.94,38.62,38.47,38.94,39.22,39.41,40.38,42.5,44.47,45.44,46.12,47.16,47.56,46.47,44.22,42.34,40.41,37.5,34.47,32.84,32.38,32.81,32.97,34.0,36.0,37.66,38.28,38.22,38.56,38.28,36.38,33.75,31.31,29.62,27.25,25.22,23.78,23.72,24.0,23.97,24.5,26.5,29.25,31.44,33.09,35.91,38.0,38.47,38.12,37.97,37.78,36.56,34.84,33.12,32.69,32.75,32.59,33.0,34.59,36.41,37.06,37.0,37.38,37.84,37.16,35.44,33.91,33.12,31.78,30.25,29.62,29.69,29.66,28.94,27.75,27.78,28.47,29.0,30.12,32.41,35.12,36.97,38.12,39.53,41.88,43.75,44.91,45.84,47.22,48.41,48.72,48.5,48.88,48.5,46.62,43.22,40.31,37.81,35.56,33.25,31.59,30.94,29.62,27.69,25.41,24.72,25.22,25.44,26.66,29.34,32.5,35.0,36.56,38.75,41.12,43.19,44.38,45.97,47.97,49.5,49.59,49.19,49.0,48.09,45.62,42.81,40.41,39.22,38.62,38.03,38.84,40.44,42.0,42.78,43.0,44.09,44.56,43.31,42.03,41.31,41.41,41.28,41.16,42.0,43.78,45.5,45.69,46.31,46.38,45.44,42.84,39.97,38.31,37.25,36.5,35.75,36.5,37.16,37.44,37.19,37.91,40.03,42.38,44.19,46.62,49.75,51.78,52.72,53.06,53.22,52.88,51.28,48.88,46.31,43.16,39.59,35.44,32.0,29.88,28.91,27.91,27.72,28.88,30.38,31.09,31.81,32.94,34.31,35.19,35.66,36.75,37.78,38.25,37.31,36.09,35.12,34.19,32.88,32.31,33.16,34.81,35.69,36.03,36.34,36.56,35.84,34.16,33.16,32.56,31.62,29.81,29.25,30.03,31.59,32.28,33.41,34.94,35.88,35.28,34.28,33.62,33.47,33.88,33.72,34.97,36.75,38.03,38.25,38.38,39.22,39.72,39.16,38.12,37.31,36.69,35.38,34.56,34.56,35.5,35.97,35.44,34.88,34.78,34.72,34.28,34.0,34.69,35.81,35.78,35.72,36.59,38.03,38.31,38.12,38.34,39.0,39.81,39.88,40.25,41.44,42.94,43.41,44.0,45.31,46.38,46.09,44.53,43.22,41.97,39.81,37.22,34.59,32.41,30.31,27.47,25.78,25.22,25.62,25.78,26.34,27.62,28.62,29.16,29.09,29.28,30.38,31.28,32.03,33.66,35.75,38.34,40.0,42.09,44.12,45.94,46.62,46.19,45.91,44.97,43.38,40.94,38.44,37.03,35.69,34.03,32.78,33.0,33.34,32.69,32.03,32.16,32.94,33.19,59.0,58.44,57.31,56.0,54.44,53.38,53.47,53.66,53.75,54.16,54.56,54.03,53.19,52.03:25.56,27.62,28.66,28.84,29.19,29.75,29.5,28.44,28.12,28.34,28.69,27.84,27.41,27.5,27.59,26.38,24.84,24.06,23.5,22.94,22.47,23.16,24.69,25.5,25.75,25.66,25.91,25.72,24.53,23.78,23.59,23.94,23.38,23.12,23.78,25.53,26.78,27.69,29.19,31.31,32.72,33.75,34.38,35.62,36.31,35.31,33.56,32.53,31.78,29.69,27.66,26.03,25.25,24.31,23.09,22.56,23.59,24.97,25.78,27.0,29.44,31.5,31.94,32.28,33.16,34.69,35.06,35.75,36.5,37.47,37.59,37.19,36.41,36.56,36.34,35.19,33.75,33.44,32.94,31.81,31.0,31.09,31.62,31.47,30.44,29.31,28.53,27.16,25.34,24.06,23.91,24.44,24.19,24.31,25.34,26.69,26.75,26.38,26.12,25.88,24.69,23.12,22.22,22.41,22.38,21.78,21.28,21.72,22.34,22.19,21.88,22.53,23.69,24.06,24.47,25.84,27.84,29.22,29.84,30.44,32.38,33.62,34.34,34.47,35.12,35.31,33.94,31.34,29.72,27.94,26.06,24.59,24.41,25.5,26.69,27.66,28.75,31.38,34.38,36.5,37.97,39.91,41.72,41.84,41.38,41.25,41.38,40.25,38.25,37.0,36.25,35.12,33.44,32.03,32.25,32.31,32.12,32.5,34.34,36.75,38.66,40.34,42.56,44.06,44.28,42.81,41.41,40.22,38.66,36.56,34.34,33.5,32.59,31.12,29.38,28.34,27.81,26.5,24.81,24.47,25.22,26.28,27.66,29.72,32.62,35.16,36.88,37.69,38.91,39.5,39.19,37.72,36.69,35.91,34.88,33.16,32.28,32.59,32.56,31.78,31.16,31.31,31.31,30.69,30.34,31.88,34.06,35.66,37.0,38.78,40.5,41.16,40.75,40.88,41.66,42.16,41.62,41.25,41.25,40.94,39.66,37.78,36.59,35.09,33.44,31.12,30.0,29.53,28.5,26.62,25.03,24.38,24.25,23.94,24.75,27.03,29.69,31.66,32.94,34.69,36.0,36.25,35.19,34.88,34.94,34.84,34.28,34.06,34.81,35.56,35.44,35.06,35.53,35.62,34.5,32.56,30.91,29.28,27.59,26.38,26.12,27.84,29.41,30.69,32.09,34.75,37.22,37.91,38.75,39.53,39.69,38.88,38.0,37.69,37.41,36.5,34.38,32.5,30.91,29.56,28.56,28.62,30.28,33.31,35.47,36.44,37.0,36.56,34.53,31.66,30.19,30.0,30.5,30.62,30.97,31.28,30.94,29.31,27.38,26.75,26.41,26.41,26.28,27.59,29.12,29.59,28.94,28.06,27.69,27.0,25.78,25.81,27.0,28.88,30.66,32.75,36.31,39.59,41.84,42.88,43.0,42.69,40.59,37.22,33.94,31.56,29.91,27.84,26.56,26.78,27.28,27.28,27.94,29.81,32.28,34.59,36.91,39.16,41.34,42.56,42.09,41.47,40.75,40.38,39.09,37.94,37.88,37.62,36.12,34.34,33.25,32.72,31.97,31.41,31.91,33.22,34.22,34.0,33.88,33.78,34.09,33.34,32.75,32.56,32.91,32.06,30.5,29.47,29.06,28.59,28.25,29.28,31.94,34.69,36.09,36.81,37.09,36.75,34.81,33.53,33.0,33.78,34.47,34.75,35.78,36.91,37.31,36.62,36.16,36.41,37.09,37.19,37.62,38.47,39.25,38.12,36.34,34.5,33.47,31.75,29.66,28.31,27.56,26.84,25.84,25.75,27.59,30.34,32.56,35.31,38.5,42.06,44.0,45.06,45.91,46.31,45.41,43.38,41.41,40.25,39.0,37.34,36.38,36.59,37.19,36.97,36.5,36.5,36.69,35.94,34.81,34.06,34.38,34.22,33.78,33.56,34.16,35.22,36.0,36.91,38.56,40.16,40.41,39.72,39.47,39.28,37.94,36.06,34.5,33.41,32.16,30.53,28.75,28.09,27.16,25.81,25.09,25.16,26.19,27.22,27.59,28.22,29.06,29.41,29.03,28.97,30.03,30.66,30.78,31.34,32.59,34.72,36.22,37.56,38.97,40.19,40.0,39.34,38.38,37.97,37.34,36.5,36.06,36.5,37.28,37.75,38.31,39.5,41.44,42.44,42.78,43.38,43.88,43.5,42.19,40.94,40.44,39.28,37.91,36.75,36.31,35.28,34.41,33.03,32.44,32.66,32.97,32.97,33.53,34.94,36.12,36.88,38.16,39.72,41.12,41.94,42.62,44.28,45.91,46.84,47.12,47.41,47.5,46.62,45.19,43.84,43.03,42.0,40.84,40.0,40.31,41.31,41.66,42.19,43.69,45.44,46.44,46.81,47.22,47.53,46.75,45.28,44.0,43.72,43.5,42.25,41.16,40.97,40.62,40.16,40.19,41.25,42.59,44.03,44.62,45.56,47.06,47.88,47.38,46.59,45.81,44.28,41.66,39.34,38.53,38.22,38.38,38.25,39.16,40.22,40.94,41.06,41.91,43.19,44.06,44.22,44.0,44.66,44.75,44.12,43.22,43.16,43.44,43.56,43.22,43.44,43.66,43.12,41.91,41.25,41.88,43.0,43.97,45.16,46.81,47.91,47.66,46.88,46.62,45.66,43.84,41.62,39.75,38.44,37.44,36.38,35.47,35.78,36.19,35.72,35.16,35.19,34.56,32.97,31.09,30.44,29.97,29.97,29.62,30.41,31.47,32.19,31.81,31.09,30.81,30.28,29.47,28.59,28.72,28.78,28.31,27.81,28.19,29.41,30.84,31.72,33.22,34.59,35.56,35.31,34.75,34.91,34.81,33.91,32.56,32.03,32.56,32.94,32.62,33.41,34.62,35.19,35.0,35.53,36.66,37.91,37.94,37.84,38.22,38.75,38.5,37.66,37.38,37.41,37.09,35.91,35.44,35.72,35.88,35.78,36.25,37.25,38.34,38.25,37.66,37.41,37.22,36.09,34.94,34.47,34.78,35.03,35.19,36.0,37.25,38.88,38.84,38.19,37.34,36.22,34.09,31.81,30.66,30.53,30.72,30.59,31.66,33.19,34.34,34.06,33.78,33.41,32.91,31.28,29.56,29.0,29.38,29.69,30.22,32.0,33.91,35.28,35.78,36.28,36.88,36.38,34.38,32.44,31.31,30.62,30.12,30.03,31.12,32.69,33.59,34.06,34.69,35.78,36.38,35.88,35.41,35.19,35.03,33.5,32.19,31.84,31.78,30.75,30.06,30.28,31.59,32.59,33.62,34.72,36.03,36.66,35.84,35.38,35.69,36.53,36.44,36.62,37.16,37.75,37.22,36.06,35.44,35.12,33.94,32.06,30.72,30.5,30.41,30.0,30.12,31.0,31.62,30.06,28.19,26.94,25.78,24.22,23.12,23.03,23.75,24.28,24.81,25.62,28.16,30.69,32.47,34.22,36.0,37.91,38.12,38.0,37.91,37.94,37.31,36.5,35.78,36.47,37.12,36.94,36.38,36.12,35.09,32.44,29.81,27.47,26.0,23.94,22.12,21.66,22.47,22.69,22.59,22.66,23.81,25.06,25.97,27.31,29.62,32.56,33.97,35.03,36.88,38.81,38.94,38.62,38.47,38.94,39.22,39.41,40.38,42.5,44.47,45.44,46.12,47.16,47.56,46.47,44.22,42.34,40.41,37.5,34.47,32.84,32.38,32.81,32.97,34.0,36.0,37.66,38.28,38.22,38.56,38.28,36.38,33.75,31.31,29.62,27.25,25.22,23.78,23.72,24.0,23.97,24.5,26.5,29.25,31.44,33.09,35.91,38.0,38.47,38.12,37.97,37.78,36.56,34.84,33.12,32.69,32.75,32.59,33.0,34.59,36.41,37.06,37.0,37.38,37.84,37.16,35.44,33.91,33.12,31.78,30.25,29.62,29.69,29.66,28.94,27.75,27.78,28.47,29.0,30.12,32.41,35.12,36.97,38.12,39.53,41.88,43.75,44.91,45.84,47.22,48.41,48.72,48.5,48.88,48.5,46.62,43.22,40.31,37.81,35.56,33.25,31.59,30.94,29.62,27.69,25.41,24.72,25.22,25.44,26.66,29.34,32.5,35.0,36.56,38.75,41.12,43.19,44.38,45.97,47.97,49.5,49.59,49.19,49.0,48.09,45.62,42.81,40.41,39.22,38.62,38.03,38.84,40.44,42.0,42.78,43.0,44.09,44.56,43.31,42.03,41.31,41.41,41.28,41.16,42.0,43.78,45.5,45.69,46.31,46.38,45.44,42.84,39.97,38.31,37.25,36.5,35.75,36.5,37.16,37.44,37.19,37.91,40.03,42.38,44.19,46.62,49.75,51.78,52.72,53.06,53.22,52.88,51.28,48.88,46.31,43.16,39.59,35.44,32.0,29.88,28.91,27.91,27.72,28.88,30.38,31.09,31.81,32.94,34.31,35.19,35.66,36.75,37.78,38.25,37.31,36.09,35.12,34.19,32.88,32.31,33.16,34.81,35.69,36.03,36.34,36.56,35.84,34.16,33.16,32.56,31.62,29.81,29.25,30.03,31.59,32.28,33.41,34.94,35.88,35.28,34.28,33.62,33.47,33.88,33.72,34.97,36.75,38.03,38.25,38.38,39.22,39.72,39.16,38.12,37.31,36.69,35.38,34.56,34.56,35.5,35.97,35.44,34.88,34.78,34.72,34.28,34.0,34.69,35.81,35.78,35.72,36.59,38.03,38.31,38.12,38.34,39.0,39.81,39.88,40.25,41.44,42.94,43.41,44.0,45.31,46.38,46.09,44.53,43.22,41.97,39.81,37.22,34.59,32.41,30.31,27.47,25.78,25.22,25.62,25.78,26.34,27.62,28.62,29.16,29.09,29.28,30.38,31.28,32.03,33.66,35.75,38.34,40.0,42.09,44.12,45.94,46.62,46.19,45.91,44.97,43.38,40.94,38.44,37.03,35.69,34.03,32.78,33.0,33.34,32.69,32.03,32.16,32.94,33.19,59.0,58.44,57.31,56.0,54.44,53.38,53.47,53.66,53.75,54.16,54.56,54.03,53.19,52.03,51.22,50.72,50.25,50.44,51.56,53.16,54.72:28.44,28.12,28.34,28.69,27.84,27.41,27.5,27.59,26.38,24.84,24.06,23.5,22.94,22.47,23.16,24.69,25.5,25.75,25.66,25.91,25.72,24.53,23.78,23.59,23.94,23.38,23.12,23.78,25.53,26.78,27.69,29.19,31.31,32.72,33.75,34.38,35.62,36.31,35.31,33.56,32.53,31.78,29.69,27.66,26.03,25.25,24.31,23.09,22.56,23.59,24.97,25.78,27.0,29.44,31.5,31.94,32.28,33.16,34.69,35.06,35.75,36.5,37.47,37.59,37.19,36.41,36.56,36.34,35.19,33.75,33.44,32.94,31.81,31.0,31.09,31.62,31.47,30.44,29.31,28.53,27.16,25.34,24.06,23.91,24.44,24.19,24.31,25.34,26.69,26.75,26.38,26.12,25.88,24.69,23.12,22.22,22.41,22.38,21.78,21.28,21.72,22.34,22.19,21.88,22.53,23.69,24.06,24.47,25.84,27.84,29.22,29.84,30.44,32.38,33.62,34.34,34.47,35.12,35.31,33.94,31.34,29.72,27.94,26.06,24.59,24.41,25.5,26.69,27.66,28.75,31.38,34.38,36.5,37.97,39.91,41.72,41.84,41.38,41.25,41.38,40.25,38.25,37.0,36.25,35.12,33.44,32.03,32.25,32.31,32.12,32.5,34.34,36.75,38.66,40.34,42.56,44.06,44.28,42.81,41.41,40.22,38.66,36.56,34.34,33.5,32.59,31.12,29.38,28.34,27.81,26.5,24.81,24.47,25.22,26.28,27.66,29.72,32.62,35.16,36.88,37.69,38.91,39.5,39.19,37.72,36.69,35.91,34.88,33.16,32.28,32.59,32.56,31.78,31.16,31.31,31.31,30.69,30.34,31.88,34.06,35.66,37.0,38.78,40.5,41.16,40.75,40.88,41.66,42.16,41.62,41.25,41.25,40.94,39.66,37.78,36.59,35.09,33.44,31.12,30.0,29.53,28.5,26.62,25.03,24.38,24.25,23.94,24.75,27.03,29.69,31.66,32.94,34.69,36.0,36.25,35.19,34.88,34.94,34.84,34.28,34.06,34.81,35.56,35.44,35.06,35.53,35.62,34.5,32.56,30.91,29.28,27.59,26.38,26.12,27.84,29.41,30.69,32.09,34.75,37.22,37.91,38.75,39.53,39.69,38.88,38.0,37.69,37.41,36.5,34.38,32.5,30.91,29.56,28.56,28.62,30.28,33.31,35.47,36.44,37.0,36.56,34.53,31.66,30.19,30.0,30.5,30.62,30.97,31.28,30.94,29.31,27.38,26.75,26.41,26.41,26.28,27.59,29.12,29.59,28.94,28.06,27.69,27.0,25.78,25.81,27.0,28.88,30.66,32.75,36.31,39.59,41.84,42.88,43.0,42.69,40.59,37.22,33.94,31.56,29.91,27.84,26.56,26.78,27.28,27.28,27.94,29.81,32.28,34.59,36.91,39.16,41.34,42.56,42.09,41.47,40.75,40.38,39.09,37.94,37.88,37.62,36.12,34.34,33.25,32.72,31.97,31.41,31.91,33.22,34.22,34.0,33.88,33.78,34.09,33.34,32.75,32.56,32.91,32.06,30.5,29.47,29.06,28.59,28.25,29.28,31.94,34.69,36.09,36.81,37.09,36.75,34.81,33.53,33.0,33.78,34.47,34.75,35.78,36.91,37.31,36.62,36.16,36.41,37.09,37.19,37.62,38.47,39.25,38.12,36.34,34.5,33.47,31.75,29.66,28.31,27.56,26.84,25.84,25.75,27.59,30.34,32.56,35.31,38.5,42.06,44.0,45.06,45.91,46.31,45.41,43.38,41.41,40.25,39.0,37.34,36.38,36.59,37.19,36.97,36.5,36.5,36.69,35.94,34.81,34.06,34.38,34.22,33.78,33.56,34.16,35.22,36.0,36.91,38.56,40.16,40.41,39.72,39.47,39.28,37.94,36.06,34.5,33.41,32.16,30.53,28.75,28.09,27.16,25.81,25.09,25.16,26.19,27.22,27.59,28.22,29.06,29.41,29.03,28.97,30.03,30.66,30.78,31.34,32.59,34.72,36.22,37.56,38.97,40.19,40.0,39.34,38.38,37.97,37.34,36.5,36.06,36.5,37.28,37.75,38.31,39.5,41.44,42.44,42.78,43.38,43.88,43.5,42.19,40.94,40.44,39.28,37.91,36.75,36.31,35.28,34.41,33.03,32.44,32.66,32.97,32.97,33.53,34.94,36.12,36.88,38.16,39.72,41.12,41.94,42.62,44.28,45.91,46.84,47.12,47.41,47.5,46.62,45.19,43.84,43.03,42.0,40.84,40.0,40.31,41.31,41.66,42.19,43.69,45.44,46.44,46.81,47.22,47.53,46.75,45.28,44.0,43.72,43.5,42.25,41.16,40.97,40.62,40.16,40.19,41.25,42.59,44.03,44.62,45.56,47.06,47.88,47.38,46.59,45.81,44.28,41.66,39.34,38.53,38.22,38.38,38.25,39.16,40.22,40.94,41.06,41.91,43.19,44.06,44.22,44.0,44.66,44.75,44.12,43.22,43.16,43.44,43.56,43.22,43.44,43.66,43.12,41.91,41.25,41.88,43.0,43.97,45.16,46.81,47.91,47.66,46.88,46.62,45.66,43.84,41.62,39.75,38.44,37.44,36.38,35.47,35.78,36.19,35.72,35.16,35.19,34.56,32.97,31.09,30.44,29.97,29.97,29.62,30.41,31.47,32.19,31.81,31.09,30.81,30.28,29.47,28.59,28.72,28.78,28.31,27.81,28.19,29.41,30.84,31.72,33.22,34.59,35.56,35.31,34.75,34.91,34.81,33.91,32.56,32.03,32.56,32.94,32.62,33.41,34.62,35.19,35.0,35.53,36.66,37.91,37.94,37.84,38.22,38.75,38.5,37.66,37.38,37.41,37.09,35.91,35.44,35.72,35.88,35.78,36.25,37.25,38.34,38.25,37.66,37.41,37.22,36.09,34.94,34.47,34.78,35.03,35.19,36.0,37.25,38.88,38.84,38.19,37.34,36.22,34.09,31.81,30.66,30.53,30.72,30.59,31.66,33.19,34.34,34.06,33.78,33.41,32.91,31.28,29.56,29.0,29.38,29.69,30.22,32.0,33.91,35.28,35.78,36.28,36.88,36.38,34.38,32.44,31.31,30.62,30.12,30.03,31.12,32.69,33.59,34.06,34.69,35.78,36.38,35.88,35.41,35.19,35.03,33.5,32.19,31.84,31.78,30.75,30.06,30.28,31.59,32.59,33.62,34.72,36.03,36.66,35.84,35.38,35.69,36.53,36.44,36.62,37.16,37.75,37.22,36.06,35.44,35.12,33.94,32.06,30.72,30.5,30.41,30.0,30.12,31.0,31.62,30.06,28.19,26.94,25.78,24.22,23.12,23.03,23.75,24.28,24.81,25.62,28.16,30.69,32.47,34.22,36.0,37.91,38.12,38.0,37.91,37.94,37.31,36.5,35.78,36.47,37.12,36.94,36.38,36.12,35.09,32.44,29.81,27.47,26.0,23.94,22.12,21.66,22.47,22.69,22.59,22.66,23.81,25.06,25.97,27.31,29.62,32.56,33.97,35.03,36.88,38.81,38.94,38.62,38.47,38.94,39.22,39.41,40.38,42.5,44.47,45.44,46.12,47.16,47.56,46.47,44.22,42.34,40.41,37.5,34.47,32.84,32.38,32.81,32.97,34.0,36.0,37.66,38.28,38.22,38.56,38.28,36.38,33.75,31.31,29.62,27.25,25.22,23.78,23.72,24.0,23.97,24.5,26.5,29.25,31.44,33.09,35.91,38.0,38.47,38.12,37.97,37.78,36.56,34.84,33.12,32.69,32.75,32.59,33.0,34.59,36.41,37.06,37.0,37.38,37.84,37.16,35.44,33.91,33.12,31.78,30.25,29.62,29.69,29.66,28.94,27.75,27.78,28.47,29.0,30.12,32.41,35.12,36.97,38.12,39.53,41.88,43.75,44.91,45.84,47.22,48.41,48.72,48.5,48.88,48.5,46.62,43.22,40.31,37.81,35.56,33.25,31.59,30.94,29.62,27.69,25.41,24.72,25.22,25.44,26.66,29.34,32.5,35.0,36.56,38.75,41.12,43.19,44.38,45.97,47.97,49.5,49.59,49.19,49.0,48.09,45.62,42.81,40.41,39.22,38.62,38.03,38.84,40.44,42.0,42.78,43.0,44.09,44.56,43.31,42.03,41.31,41.41,41.28,41.16,42.0,43.78,45.5,45.69,46.31,46.38,45.44,42.84,39.97,38.31,37.25,36.5,35.75,36.5,37.16,37.44,37.19,37.91,40.03,42.38,44.19,46.62,49.75,51.78,52.72,53.06,53.22,52.88,51.28,48.88,46.31,43.16,39.59,35.44,32.0,29.88,28.91,27.91,27.72,28.88,30.38,31.09,31.81,32.94,34.31,35.19,35.66,36.75,37.78,38.25,37.31,36.09,35.12,34.19,32.88,32.31,33.16,34.81,35.69,36.03,36.34,36.56,35.84,34.16,33.16,32.56,31.62,29.81,29.25,30.03,31.59,32.28,33.41,34.94,35.88,35.28,34.28,33.62,33.47,33.88,33.72,34.97,36.75,38.03,38.25,38.38,39.22,39.72,39.16,38.12,37.31,36.69,35.38,34.56,34.56,35.5,35.97,35.44,34.88,34.78,34.72,34.28,34.0,34.69,35.81,35.78,35.72,36.59,38.03,38.31,38.12,38.34,39.0,39.81,39.88,40.25,41.44,42.94,43.41,44.0,45.31,46.38,46.09,44.53,43.22,41.97,39.81,37.22,34.59,32.41,30.31,27.47,25.78,25.22,25.62,25.78,26.34,27.62,28.62,29.16,29.09,29.28,30.38,31.28,32.03,33.66,35.75,38.34,40.0,42.09,44.12,45.94,46.62,46.19,45.91,44.97,43.38,40.94,38.44,37.03,35.69,34.03,32.78,33.0,33.34,32.69,32.03,32.16,32.94,33.19,59.0,58.44,57.31,56.0,54.44,53.38,53.47,53.66,53.75,54.16,54.56,54.03,53.19,52.03,51.22,50.72,50.25,50.44,51.56,53.16,54.72,56.28,58.0,58.88,58.72,57.81,56.69,55.34:27.59,26.38,24.84,24.06,23.5,22.94,22.47,23.16,24.69,25.5,25.75,25.66,25.91,25.72,24.53,23.78,23.59,23.94,23.38,23.12,23.78,25.53,26.78,27.69,29.19,31.31,32.72,33.75,34.38,35.62,36.31,35.31,33.56,32.53,31.78,29.69,27.66,26.03,25.25,24.31,23.09,22.56,23.59,24.97,25.78,27.0,29.44,31.5,31.94,32.28,33.16,34.69,35.06,35.75,36.5,37.47,37.59,37.19,36.41,36.56,36.34,35.19,33.75,33.44,32.94,31.81,31.0,31.09,31.62,31.47,30.44,29.31,28.53,27.16,25.34,24.06,23.91,24.44,24.19,24.31,25.34,26.69,26.75,26.38,26.12,25.88,24.69,23.12,22.22,22.41,22.38,21.78,21.28,21.72,22.34,22.19,21.88,22.53,23.69,24.06,24.47,25.84,27.84,29.22,29.84,30.44,32.38,33.62,34.34,34.47,35.12,35.31,33.94,31.34,29.72,27.94,26.06,24.59,24.41,25.5,26.69,27.66,28.75,31.38,34.38,36.5,37.97,39.91,41.72,41.84,41.38,41.25,41.38,40.25,38.25,37.0,36.25,35.12,33.44,32.03,32.25,32.31,32.12,32.5,34.34,36.75,38.66,40.34,42.56,44.06,44.28,42.81,41.41,40.22,38.66,36.56,34.34,33.5,32.59,31.12,29.38,28.34,27.81,26.5,24.81,24.47,25.22,26.28,27.66,29.72,32.62,35.16,36.88,37.69,38.91,39.5,39.19,37.72,36.69,35.91,34.88,33.16,32.28,32.59,32.56,31.78,31.16,31.31,31.31,30.69,30.34,31.88,34.06,35.66,37.0,38.78,40.5,41.16,40.75,40.88,41.66,42.16,41.62,41.25,41.25,40.94,39.66,37.78,36.59,35.09,33.44,31.12,30.0,29.53,28.5,26.62,25.03,24.38,24.25,23.94,24.75,27.03,29.69,31.66,32.94,34.69,36.0,36.25,35.19,34.88,34.94,34.84,34.28,34.06,34.81,35.56,35.44,35.06,35.53,35.62,34.5,32.56,30.91,29.28,27.59,26.38,26.12,27.84,29.41,30.69,32.09,34.75,37.22,37.91,38.75,39.53,39.69,38.88,38.0,37.69,37.41,36.5,34.38,32.5,30.91,29.56,28.56,28.62,30.28,33.31,35.47,36.44,37.0,36.56,34.53,31.66,30.19,30.0,30.5,30.62,30.97,31.28,30.94,29.31,27.38,26.75,26.41,26.41,26.28,27.59,29.12,29.59,28.94,28.06,27.69,27.0,25.78,25.81,27.0,28.88,30.66,32.75,36.31,39.59,41.84,42.88,43.0,42.69,40.59,37.22,33.94,31.56,29.91,27.84,26.56,26.78,27.28,27.28,27.94,29.81,32.28,34.59,36.91,39.16,41.34,42.56,42.09,41.47,40.75,40.38,39.09,37.94,37.88,37.62,36.12,34.34,33.25,32.72,31.97,31.41,31.91,33.22,34.22,34.0,33.88,33.78,34.09,33.34,32.75,32.56,32.91,32.06,30.5,29.47,29.06,28.59,28.25,29.28,31.94,34.69,36.09,36.81,37.09,36.75,34.81,33.53,33.0,33.78,34.47,34.75,35.78,36.91,37.31,36.62,36.16,36.41,37.09,37.19,37.62,38.47,39.25,38.12,36.34,34.5,33.47,31.75,29.66,28.31,27.56,26.84,25.84,25.75,27.59,30.34,32.56,35.31,38.5,42.06,44.0,45.06,45.91,46.31,45.41,43.38,41.41,40.25,39.0,37.34,36.38,36.59,37.19,36.97,36.5,36.5,36.69,35.94,34.81,34.06,34.38,34.22,33.78,33.56,34.16,35.22,36.0,36.91,38.56,40.16,40.41,39.72,39.47,39.28,37.94,36.06,34.5,33.41,32.16,30.53,28.75,28.09,27.16,25.81,25.09,25.16,26.19,27.22,27.59,28.22,29.06,29.41,29.03,28.97,30.03,30.66,30.78,31.34,32.59,34.72,36.22,37.56,38.97,40.19,40.0,39.34,38.38,37.97,37.34,36.5,36.06,36.5,37.28,37.75,38.31,39.5,41.44,42.44,42.78,43.38,43.88,43.5,42.19,40.94,40.44,39.28,37.91,36.75,36.31,35.28,34.41,33.03,32.44,32.66,32.97,32.97,33.53,34.94,36.12,36.88,38.16,39.72,41.12,41.94,42.62,44.28,45.91,46.84,47.12,47.41,47.5,46.62,45.19,43.84,43.03,42.0,40.84,40.0,40.31,41.31,41.66,42.19,43.69,45.44,46.44,46.81,47.22,47.53,46.75,45.28,44.0,43.72,43.5,42.25,41.16,40.97,40.62,40.16,40.19,41.25,42.59,44.03,44.62,45.56,47.06,47.88,47.38,46.59,45.81,44.28,41.66,39.34,38.53,38.22,38.38,38.25,39.16,40.22,40.94,41.06,41.91,43.19,44.06,44.22,44.0,44.66,44.75,44.12,43.22,43.16,43.44,43.56,43.22,43.44,43.66,43.12,41.91,41.25,41.88,43.0,43.97,45.16,46.81,47.91,47.66,46.88,46.62,45.66,43.84,41.62,39.75,38.44,37.44,36.38,35.47,35.78,36.19,35.72,35.16,35.19,34.56,32.97,31.09,30.44,29.97,29.97,29.62,30.41,31.47,32.19,31.81,31.09,30.81,30.28,29.47,28.59,28.72,28.78,28.31,27.81,28.19,29.41,30.84,31.72,33.22,34.59,35.56,35.31,34.75,34.91,34.81,33.91,32.56,32.03,32.56,32.94,32.62,33.41,34.62,35.19,35.0,35.53,36.66,37.91,37.94,37.84,38.22,38.75,38.5,37.66,37.38,37.41,37.09,35.91,35.44,35.72,35.88,35.78,36.25,37.25,38.34,38.25,37.66,37.41,37.22,36.09,34.94,34.47,34.78,35.03,35.19,36.0,37.25,38.88,38.84,38.19,37.34,36.22,34.09,31.81,30.66,30.53,30.72,30.59,31.66,33.19,34.34,34.06,33.78,33.41,32.91,31.28,29.56,29.0,29.38,29.69,30.22,32.0,33.91,35.28,35.78,36.28,36.88,36.38,34.38,32.44,31.31,30.62,30.12,30.03,31.12,32.69,33.59,34.06,34.69,35.78,36.38,35.88,35.41,35.19,35.03,33.5,32.19,31.84,31.78,30.75,30.06,30.28,31.59,32.59,33.62,34.72,36.03,36.66,35.84,35.38,35.69,36.53,36.44,36.62,37.16,37.75,37.22,36.06,35.44,35.12,33.94,32.06,30.72,30.5,30.41,30.0,30.12,31.0,31.62,30.06,28.19,26.94,25.78,24.22,23.12,23.03,23.75,24.28,24.81,25.62,28.16,30.69,32.47,34.22,36.0,37.91,38.12,38.0,37.91,37.94,37.31,36.5,35.78,36.47,37.12,36.94,36.38,36.12,35.09,32.44,29.81,27.47,26.0,23.94,22.12,21.66,22.47,22.69,22.59,22.66,23.81,25.06,25.97,27.31,29.62,32.56,33.97,35.03,36.88,38.81,38.94,38.62,38.47,38.94,39.22,39.41,40.38,42.5,44.47,45.44,46.12,47.16,47.56,46.47,44.22,42.34,40.41,37.5,34.47,32.84,32.38,32.81,32.97,34.0,36.0,37.66,38.28,38.22,38.56,38.28,36.38,33.75,31.31,29.62,27.25,25.22,23.78,23.72,24.0,23.97,24.5,26.5,29.25,31.44,33.09,35.91,38.0,38.47,38.12,37.97,37.78,36.56,34.84,33.12,32.69,32.75,32.59,33.0,34.59,36.41,37.06,37.0,37.38,37.84,37.16,35.44,33.91,33.12,31.78,30.25,29.62,29.69,29.66,28.94,27.75,27.78,28.47,29.0,30.12,32.41,35.12,36.97,38.12,39.53,41.88,43.75,44.91,45.84,47.22,48.41,48.72,48.5,48.88,48.5,46.62,43.22,40.31,37.81,35.56,33.25,31.59,30.94,29.62,27.69,25.41,24.72,25.22,25.44,26.66,29.34,32.5,35.0,36.56,38.75,41.12,43.19,44.38,45.97,47.97,49.5,49.59,49.19,49.0,48.09,45.62,42.81,40.41,39.22,38.62,38.03,38.84,40.44,42.0,42.78,43.0,44.09,44.56,43.31,42.03,41.31,41.41,41.28,41.16,42.0,43.78,45.5,45.69,46.31,46.38,45.44,42.84,39.97,38.31,37.25,36.5,35.75,36.5,37.16,37.44,37.19,37.91,40.03,42.38,44.19,46.62,49.75,51.78,52.72,53.06,53.22,52.88,51.28,48.88,46.31,43.16,39.59,35.44,32.0,29.88,28.91,27.91,27.72,28.88,30.38,31.09,31.81,32.94,34.31,35.19,35.66,36.75,37.78,38.25,37.31,36.09,35.12,34.19,32.88,32.31,33.16,34.81,35.69,36.03,36.34,36.56,35.84,34.16,33.16,32.56,31.62,29.81,29.25,30.03,31.59,32.28,33.41,34.94,35.88,35.28,34.28,33.62,33.47,33.88,33.72,34.97,36.75,38.03,38.25,38.38,39.22,39.72,39.16,38.12,37.31,36.69,35.38,34.56,34.56,35.5,35.97,35.44,34.88,34.78,34.72,34.28,34.0,34.69,35.81,35.78,35.72,36.59,38.03,38.31,38.12,38.34,39.0,39.81,39.88,40.25,41.44,42.94,43.41,44.0,45.31,46.38,46.09,44.53,43.22,41.97,39.81,37.22,34.59,32.41,30.31,27.47,25.78,25.22,25.62,25.78,26.34,27.62,28.62,29.16,29.09,29.28,30.38,31.28,32.03,33.66,35.75,38.34,40.0,42.09,44.12,45.94,46.62,46.19,45.91,44.97,43.38,40.94,38.44,37.03,35.69,34.03,32.78,33.0,33.34,32.69,32.03,32.16,32.94,33.19,59.0,58.44,57.31,56.0,54.44,53.38,53.47,53.66,53.75,54.16,54.56,54.03,53.19,52.03,51.22,50.72,50.25,50.44,51.56,53.16,54.72,56.28,58.0,58.88,58.72,57.81,56.69,55.34,53.81,52.69,52.25,52.06,51.78,51.59,51.31:23.16,24.69,25.5,25.75,25.66,25.91,25.72,24.53,23.78,23.59,23.94,23.38,23.12,23.78,25.53,26.78,27.69,29.19,31.31,32.72,33.75,34.38,35.62,36.31,35.31,33.56,32.53,31.78,29.69,27.66,26.03,25.25,24.31,23.09,22.56,23.59,24.97,25.78,27.0,29.44,31.5,31.94,32.28,33.16,34.69,35.06,35.75,36.5,37.47,37.59,37.19,36.41,36.56,36.34,35.19,33.75,33.44,32.94,31.81,31.0,31.09,31.62,31.47,30.44,29.31,28.53,27.16,25.34,24.06,23.91,24.44,24.19,24.31,25.34,26.69,26.75,26.38,26.12,25.88,24.69,23.12,22.22,22.41,22.38,21.78,21.28,21.72,22.34,22.19,21.88,22.53,23.69,24.06,24.47,25.84,27.84,29.22,29.84,30.44,32.38,33.62,34.34,34.47,35.12,35.31,33.94,31.34,29.72,27.94,26.06,24.59,24.41,25.5,26.69,27.66,28.75,31.38,34.38,36.5,37.97,39.91,41.72,41.84,41.38,41.25,41.38,40.25,38.25,37.0,36.25,35.12,33.44,32.03,32.25,32.31,32.12,32.5,34.34,36.75,38.66,40.34,42.56,44.06,44.28,42.81,41.41,40.22,38.66,36.56,34.34,33.5,32.59,31.12,29.38,28.34,27.81,26.5,24.81,24.47,25.22,26.28,27.66,29.72,32.62,35.16,36.88,37.69,38.91,39.5,39.19,37.72,36.69,35.91,34.88,33.16,32.28,32.59,32.56,31.78,31.16,31.31,31.31,30.69,30.34,31.88,34.06,35.66,37.0,38.78,40.5,41.16,40.75,40.88,41.66,42.16,41.62,41.25,41.25,40.94,39.66,37.78,36.59,35.09,33.44,31.12,30.0,29.53,28.5,26.62,25.03,24.38,24.25,23.94,24.75,27.03,29.69,31.66,32.94,34.69,36.0,36.25,35.19,34.88,34.94,34.84,34.28,34.06,34.81,35.56,35.44,35.06,35.53,35.62,34.5,32.56,30.91,29.28,27.59,26.38,26.12,27.84,29.41,30.69,32.09,34.75,37.22,37.91,38.75,39.53,39.69,38.88,38.0,37.69,37.41,36.5,34.38,32.5,30.91,29.56,28.56,28.62,30.28,33.31,35.47,36.44,37.0,36.56,34.53,31.66,30.19,30.0,30.5,30.62,30.97,31.28,30.94,29.31,27.38,26.75,26.41,26.41,26.28,27.59,29.12,29.59,28.94,28.06,27.69,27.0,25.78,25.81,27.0,28.88,30.66,32.75,36.31,39.59,41.84,42.88,43.0,42.69,40.59,37.22,33.94,31.56,29.91,27.84,26.56,26.78,27.28,27.28,27.94,29.81,32.28,34.59,36.91,39.16,41.34,42.56,42.09,41.47,40.75,40.38,39.09,37.94,37.88,37.62,36.12,34.34,33.25,32.72,31.97,31.41,31.91,33.22,34.22,34.0,33.88,33.78,34.09,33.34,32.75,32.56,32.91,32.06,30.5,29.47,29.06,28.59,28.25,29.28,31.94,34.69,36.09,36.81,37.09,36.75,34.81,33.53,33.0,33.78,34.47,34.75,35.78,36.91,37.31,36.62,36.16,36.41,37.09,37.19,37.62,38.47,39.25,38.12,36.34,34.5,33.47,31.75,29.66,28.31,27.56,26.84,25.84,25.75,27.59,30.34,32.56,35.31,38.5,42.06,44.0,45.06,45.91,46.31,45.41,43.38,41.41,40.25,39.0,37.34,36.38,36.59,37.19,36.97,36.5,36.5,36.69,35.94,34.81,34.06,34.38,34.22,33.78,33.56,34.16,35.22,36.0,36.91,38.56,40.16,40.41,39.72,39.47,39.28,37.94,36.06,34.5,33.41,32.16,30.53,28.75,28.09,27.16,25.81,25.09,25.16,26.19,27.22,27.59,28.22,29.06,29.41,29.03,28.97,30.03,30.66,30.78,31.34,32.59,34.72,36.22,37.56,38.97,40.19,40.0,39.34,38.38,37.97,37.34,36.5,36.06,36.5,37.28,37.75,38.31,39.5,41.44,42.44,42.78,43.38,43.88,43.5,42.19,40.94,40.44,39.28,37.91,36.75,36.31,35.28,34.41,33.03,32.44,32.66,32.97,32.97,33.53,34.94,36.12,36.88,38.16,39.72,41.12,41.94,42.62,44.28,45.91,46.84,47.12,47.41,47.5,46.62,45.19,43.84,43.03,42.0,40.84,40.0,40.31,41.31,41.66,42.19,43.69,45.44,46.44,46.81,47.22,47.53,46.75,45.28,44.0,43.72,43.5,42.25,41.16,40.97,40.62,40.16,40.19,41.25,42.59,44.03,44.62,45.56,47.06,47.88,47.38,46.59,45.81,44.28,41.66,39.34,38.53,38.22,38.38,38.25,39.16,40.22,40.94,41.06,41.91,43.19,44.06,44.22,44.0,44.66,44.75,44.12,43.22,43.16,43.44,43.56,43.22,43.44,43.66,43.12,41.91,41.25,41.88,43.0,43.97,45.16,46.81,47.91,47.66,46.88,46.62,45.66,43.84,41.62,39.75,38.44,37.44,36.38,35.47,35.78,36.19,35.72,35.16,35.19,34.56,32.97,31.09,30.44,29.97,29.97,29.62,30.41,31.47,32.19,31.81,31.09,30.81,30.28,29.47,28.59,28.72,28.78,28.31,27.81,28.19,29.41,30.84,31.72,33.22,34.59,35.56,35.31,34.75,34.91,34.81,33.91,32.56,32.03,32.56,32.94,32.62,33.41,34.62,35.19,35.0,35.53,36.66,37.91,37.94,37.84,38.22,38.75,38.5,37.66,37.38,37.41,37.09,35.91,35.44,35.72,35.88,35.78,36.25,37.25,38.34,38.25,37.66,37.41,37.22,36.09,34.94,34.47,34.78,35.03,35.19,36.0,37.25,38.88,38.84,38.19,37.34,36.22,34.09,31.81,30.66,30.53,30.72,30.59,31.66,33.19,34.34,34.06,33.78,33.41,32.91,31.28,29.56,29.0,29.38,29.69,30.22,32.0,33.91,35.28,35.78,36.28,36.88,36.38,34.38,32.44,31.31,30.62,30.12,30.03,31.12,32.69,33.59,34.06,34.69,35.78,36.38,35.88,35.41,35.19,35.03,33.5,32.19,31.84,31.78,30.75,30.06,30.28,31.59,32.59,33.62,34.72,36.03,36.66,35.84,35.38,35.69,36.53,36.44,36.62,37.16,37.75,37.22,36.06,35.44,35.12,33.94,32.06,30.72,30.5,30.41,30.0,30.12,31.0,31.62,30.06,28.19,26.94,25.78,24.22,23.12,23.03,23.75,24.28,24.81,25.62,28.16,30.69,32.47,34.22,36.0,37.91,38.12,38.0,37.91,37.94,37.31,36.5,35.78,36.47,37.12,36.94,36.38,36.12,35.09,32.44,29.81,27.47,26.0,23.94,22.12,21.66,22.47,22.69,22.59,22.66,23.81,25.06,25.97,27.31,29.62,32.56,33.97,35.03,36.88,38.81,38.94,38.62,38.47,38.94,39.22,39.41,40.38,42.5,44.47,45.44,46.12,47.16,47.56,46.47,44.22,42.34,40.41,37.5,34.47,32.84,32.38,32.81,32.97,34.0,36.0,37.66,38.28,38.22,38.56,38.28,36.38,33.75,31.31,29.62,27.25,25.22,23.78,23.72,24.0,23.97,24.5,26.5,29.25,31.44,33.09,35.91,38.0,38.47,38.12,37.97,37.78,36.56,34.84,33.12,32.69,32.75,32.59,33.0,34.59,36.41,37.06,37.0,37.38,37.84,37.16,35.44,33.91,33.12,31.78,30.25,29.62,29.69,29.66,28.94,27.75,27.78,28.47,29.0,30.12,32.41,35.12,36.97,38.12,39.53,41.88,43.75,44.91,45.84,47.22,48.41,48.72,48.5,48.88,48.5,46.62,43.22,40.31,37.81,35.56,33.25,31.59,30.94,29.62,27.69,25.41,24.72,25.22,25.44,26.66,29.34,32.5,35.0,36.56,38.75,41.12,43.19,44.38,45.97,47.97,49.5,49.59,49.19,49.0,48.09,45.62,42.81,40.41,39.22,38.62,38.03,38.84,40.44,42.0,42.78,43.0,44.09,44.56,43.31,42.03,41.31,41.41,41.28,41.16,42.0,43.78,45.5,45.69,46.31,46.38,45.44,42.84,39.97,38.31,37.25,36.5,35.75,36.5,37.16,37.44,37.19,37.91,40.03,42.38,44.19,46.62,49.75,51.78,52.72,53.06,53.22,52.88,51.28,48.88,46.31,43.16,39.59,35.44,32.0,29.88,28.91,27.91,27.72,28.88,30.38,31.09,31.81,32.94,34.31,35.19,35.66,36.75,37.78,38.25,37.31,36.09,35.12,34.19,32.88,32.31,33.16,34.81,35.69,36.03,36.34,36.56,35.84,34.16,33.16,32.56,31.62,29.81,29.25,30.03,31.59,32.28,33.41,34.94,35.88,35.28,34.28,33.62,33.47,33.88,33.72,34.97,36.75,38.03,38.25,38.38,39.22,39.72,39.16,38.12,37.31,36.69,35.38,34.56,34.56,35.5,35.97,35.44,34.88,34.78,34.72,34.28,34.0,34.69,35.81,35.78,35.72,36.59,38.03,38.31,38.12,38.34,39.0,39.81,39.88,40.25,41.44,42.94,43.41,44.0,45.31,46.38,46.09,44.53,43.22,41.97,39.81,37.22,34.59,32.41,30.31,27.47,25.78,25.22,25.62,25.78,26.34,27.62,28.62,29.16,29.09,29.28,30.38,31.28,32.03,33.66,35.75,38.34,40.0,42.09,44.12,45.94,46.62,46.19,45.91,44.97,43.38,40.94,38.44,37.03,35.69,34.03,32.78,33.0,33.34,32.69,32.03,32.16,32.94,33.19,59.0,58.44,57.31,56.0,54.44,53.38,53.47,53.66,53.75,54.16,54.56,54.03,53.19,52.03,51.22,50.72,50.25,50.44,51.56,53.16,54.72,56.28,58.0,58.88,58.72,57.81,56.69,55.34,53.81,52.69,52.25,52.06,51.78,51.59,51.31,51.19,51.12,50.34,49.5,49.44,49.44,49.75:negativity
21.5,20.75,20.25,20.12,20.75,22.28,22.78,22.88,22.88,23.25,23.12,22.31,21.09,20.34,19.09,17.19,15.03,14.19,14.06,14.28,14.41,15.09,16.12,16.94,17.09,17.53,18.44,19.5,19.41,19.31,19.97,20.25,20.03,19.0,17.94,17.03,16.03,15.0,14.44,14.91,15.56,15.53,15.16,15.84,16.44,16.28,15.72,16.19,16.66,17.19,17.16,17.72,18.91,19.28,18.59,17.97,18.19,18.28,17.97,18.19,19.28,20.22,20.28,19.56,19.41,18.66,17.69,16.53,15.66,15.34,14.94,14.03,13.25,13.62,14.41,14.88,15.41,16.31,16.84,16.31,14.84,13.88,13.34,13.22,12.78,12.94,14.06,14.97,15.31,15.53,16.06,16.25,15.47,14.5,14.88,16.09,17.56,18.16,19.28,20.22,20.78,20.22,20.28,21.59,22.88,23.16,22.88,22.91,22.44,20.88,18.59,17.0,16.44,15.41,13.72,12.47,11.47,10.06,7.72,5.84,5.06,4.78,3.88,2.5,1.88,1.38,0.44,-0.44,-0.47,0.44,1.34,1.59,2.66,4.12,6.06,6.41,6.28,6.06,5.44,3.41,1.28,0.66,0.97,1.28,1.53,2.75,4.91,6.97,8.69,10.78,13.25,15.47,16.38,17.19,18.19,19.28,19.16,18.53,17.16,15.62,12.53,8.34,4.38,1.59,-0.59,-2.5,-3.31,-2.28,-0.25,1.16,2.81,5.12,7.81,9.75,11.12,13.28,15.94,18.0,19.09,19.97,20.84,20.47,18.16,15.5,13.28,11.06,8.69,7.06,5.81,5.16,3.81,1.66,0.09,-0.62,-1.12,-1.78,-1.5,0.19,2.06,3.03,4.56,6.84,9.5,11.78,14.0,16.44,18.91,20.25,20.12,19.5,18.72,17.31,14.53,11.56,9.25,6.88,3.78,1.59,0.84,1.81,4.19,7.47,12.25,17.94,23.47,27.03,29.56,31.69,32.53,31.0,28.81,26.91,23.97,19.59,14.56,9.88,5.28,0.06,-4.28,-7.59,-9.09,-9.41,-10.22,-9.62,-7.81,-5.28,-3.0,-0.56,2.81,5.91,7.62,8.84,10.0,11.28,11.91,11.41,10.31,9.78,8.34,6.03,3.12,1.03,-0.78,-3.78,-6.62,-7.94,-8.31,-9.09,-9.75,-9.62,-8.88,-8.19,-7.75,-6.59,-4.19,-1.69,-0.03,0.88,2.31,3.12,2.09,0.88,0.53,0.81,0.66,0.25,0.53,1.25,1.5,1.06,0.72,0.94,0.97,-0.03,-1.25,-1.47,-1.03,-1.31,-1.56,-1.03,-0.03,0.34,0.59,0.75,1.84,2.72,2.94,3.16,4.66,6.53,7.28,7.72,8.62,9.31,8.88,7.97,7.66,8.09,8.44,8.47,8.88,10.31,11.25,11.06,10.28,10.06,9.88,9.16,8.88,9.47,10.66,10.88,10.31,9.66,9.91,9.94,9.19,8.47,8.91,9.16,8.47,7.75,8.38,9.25,9.38,9.16,9.38,9.62,9.12,8.16,7.75,8.72,10.44,12.09,14.31,17.47,20.47,21.75,22.31,22.84,22.19,20.38,17.59,15.53,14.59,14.38,14.56,15.41,17.44,19.06,19.56,19.41,20.22,20.19,18.97,17.12,15.91,14.44,12.44,10.0,8.84,8.75,9.31,10.0,11.56,14.28,16.19,16.56,15.97,15.34,14.41,13.06,11.47,11.78,12.84,14.38,15.62,17.47,20.12,21.78,22.0,21.59,21.81,21.78,20.97,20.22,20.03,20.19,18.97,17.19,16.25,15.69,14.69,12.78,11.69,11.38,11.44,10.5,10.25,11.19,11.84,11.22,10.44,9.97,9.19,8.28,6.81,6.72,7.41,8.09,8.66,9.34,10.44,10.94,10.09,8.88,8.31,7.81,7.62,7.03,6.84,7.03,6.91,6.81,7.28,8.94,10.56,10.78,11.28,12.12,12.81,12.78,12.5,12.66,12.91,12.44,11.53,11.75,12.03,11.72,9.88,8.28,7.38,6.44,4.38,2.94,2.41,1.75,0.56,-0.84,-1.34,-1.66,-1.75,-2.59,-3.0,-2.66,-2.06,-2.19,-1.59,0.47,2.66,3.84,5.03,6.78,8.34,9.25,9.62,10.31,11.47,11.94,11.62,11.41,11.66,11.38,9.66,8.5,8.06,8.19,6.91,5.75,4.69,3.69,1.81,0.41,0.06,1.19,2.53,3.72,5.22,7.38,8.44,8.03,7.16,6.47,6.06,4.75,3.97,3.44,3.03,2.16,0.41,-0.38,-0.38,-0.16,-0.28,-0.5,-0.53,-1.19,-2.94,-5.09,-6.38,-7.41,-9.22,-10.75,-11.0,-9.97,-8.12,-5.72,-2.12,2.12,6.06,8.09,9.09,9.78,8.91,6.0,2.62,0.03,-1.31,-3.03,-3.84,-3.16,-1.62,-0.62,-0.34,0.16,0.75,1.19,0.44,0.47,1.28,2.62,3.53,4.09,4.84,5.72,5.38,4.78,4.81,5.12,4.53,3.09,1.09,-0.78,-2.28,-4.47,-5.75,-5.44,-4.09,-3.34,-2.0,-0.09,2.41,4.41,5.84,7.19,8.75,9.25,8.09,6.0,3.44,-0.03,-4.94,-10.09,-13.88,-16.91,-19.06,-20.22,-19.69,-17.78,-15.31,-12.97,-10.91,-8.47,-6.28,-4.81,-2.62,0.72,4.59,7.44,9.06,10.06,10.0,7.97,4.97,2.06,-0.25,-2.69,-5.19,-7.09,-7.62,-7.56,-7.78,-6.94,-5.06,-2.38,-0.66,1.06,2.38,3.0,2.12,-0.03,-1.94,-2.78,-3.62,-4.38,-4.47,-3.19,-2.12,-2.09,-1.81,-1.25,-0.72,-1.41,-1.81,-1.78,-0.84,-0.16,0.38,1.28,2.59,3.06,2.34,1.06,0.19,-0.72,-2.41,-4.06,-4.84,-4.91,-5.19,-5.62,-5.5,-4.97,-4.72,-5.38,-5.69,-5.47,-5.38,-6.25,-6.69,-6.28,-5.25,-4.44,-3.19,-1.12,1.38,3.41,5.31,7.19,9.41,10.66,11.0,10.78,11.0,11.12,10.66,10.22,10.38,10.75,10.16,9.75,9.81,10.31,10.59,10.72,11.0,12.34,13.16,13.5,13.22,13.47,13.34,12.97,12.22,12.62,12.66,12.34,11.5,10.59,10.19,9.5,8.03,6.75,6.56,6.34,6.28,6.53,8.69,11.31,13.59,15.25,16.97,18.16,18.47,17.94,17.44,17.59,17.69,17.66,17.25,17.72,17.59,16.56,14.69,13.19,11.47,8.94,6.03,3.47,1.5,0.09,-1.22,-1.62,-0.78,0.25,0.72,0.59,1.0,1.03,0.28,-0.66,-1.12,-1.03,-1.19,-1.75,-1.91,-1.5,-1.19,-1.34,-1.12,0.41,1.78,2.66,2.91,3.5,3.06,1.28,-0.88,-3.06,-4.28,-4.78,-4.78,-3.75,-1.78,0.34,1.59,2.47,3.81,5.41,6.38,7.06,8.56,10.5,11.41,11.5,11.78,11.84,11.34,10.41,9.78,10.09,11.06,11.53,12.12,13.47,14.69,14.56,13.34,12.03,10.12,7.81,5.28,3.75,3.47,3.88,4.47,5.53,7.31,8.81,9.34,9.44,10.03,10.44,10.53,10.78,12.0,13.44,14.38,14.25,13.94,12.97,12.06,10.62,10.09,10.28,11.12,11.31,11.53,11.91,11.97,11.59,10.31,9.31,8.5,7.88,6.59,5.81,5.44,5.19,3.44,1.47,-0.44,-1.66,-3.62,-5.66,-6.66,-7.09,-7.53,-8.06,-7.5,-6.19,-4.41,-3.59,-2.97,-2.34,-2.44,-3.69,-5.25,-5.91,-5.72,-5.78,-5.47,-4.03,-2.41,-1.38,-1.06,-0.94,-0.06,0.84,1.28,2.31,3.94,4.88,4.84,4.19,4.16,4.53,4.62,4.56,5.03,5.84,5.81,4.62,3.28,2.56,1.56,0.0,-1.06,-0.97,-0.56,-0.22,0.09,1.5,3.44,5.25,6.38,7.84,9.41,10.69,11.31,12.16,13.47,14.66,14.16,13.22,12.09,10.78,8.72,6.62,5.03,4.19,3.0,1.41,0.59,0.91,1.56,1.91,2.81,4.59,6.47,7.19,7.5,7.72,7.25,6.03,4.38,3.31,3.38,4.16,4.66,5.38,6.44,6.59,5.25,3.75,2.91,2.53,1.94,1.59,1.84,2.56,2.62,2.53,2.84,4.12,5.19,5.69,6.03,7.19,8.0,7.97,7.94,8.12,8.44,7.56,6.09,4.94,4.25,2.81,1.41,-0.28,-1.0,-1.69,-3.0,-3.94,-3.19,-1.81,-1.09,-0.03,1.22,2.53,2.81,2.34,2.28,2.81,3.0,2.84,2.81,3.97,4.88,5.12,5.5,7.0,8.44,9.03,9.22,9.72,9.88,9.09,7.97,6.81,6.09,5.12,3.66,2.47,2.59,2.91,2.81,2.38,2.03,1.12,-1.38,-4.34,-6.38,-7.53,-8.34,-8.56,-7.59,-5.25,-2.69,-0.94,0.31,1.62,2.59,1.84,0.69,0.22,0.09,-0.56,-1.47,-1.56,-1.09,-1.19,-1.84,-1.94,-1.38,-0.66,-0.31,0.31,1.41,2.34,2.06,1.22,0.78,0.56,0.16,0.12,1.0,2.84,4.53,5.75,7.03,8.66,10.06,10.88,11.28,12.19,13.0,12.38,10.62,9.09,7.94,6.47,4.56,3.19,2.88,2.47,1.5,1.0,1.75,2.75,2.91,2.97,3.56,4.12,3.88,2.94,2.75,2.97,2.28,1.16,0.62,0.94,1.16,1.0,0.91,1.59,2.09,1.59,1.38,2.38,4.59,6.69,8.69,11.0,12.47,12.53,11.16,9.0,7.81,6.53,4.5,2.56,2.09,1.72,0.44,-1.16,-2.16,-2.03,-2.0,-1.72,0.12,2.97,5.41,6.34,6.5,6.69,5.94,3.88,1.22,0.22,0.06,-0.09,-0.06,1.31,3.75,6.03,7.28,8.84,10.28,10.47,9.09,7.44,6.22,5.03,3.09,0.84,-0.34,-1.44,-2.81,-4.38,-4.94,-4.09,-2.66,-1.06,1.47,5.09,8.03,9.69,10.56,12.0,13.41,13.84,14.0,14.94,15.47,14.72,13.06,11.41,10.94,10.44:22.88,22.88,23.25,23.12,22.31,21.09,20.34,19.09,17.19,15.03,14.19,14.06,14.28,14.41,15.09,16.12,16.94,17.09,17.53,18.44,19.5,19.41,19.31,19.97,20.25,20.03,19.0,17.94,17.03,16.03,15.0,14.44,14.91,15.56,15.53,15.16,15.84,16.44,16.28,15.72,16.19,16.66,17.19,17.16,17.72,18.91,19.28,18.59,17.97,18.19,18.28,17.97,18.19,19.28,20.22,20.28,19.56,19.41,18.66,17.69,16.53,15.66,15.34,14.94,14.03,13.25,13.62,14.41,14.88,15.41,16.31,16.84,16.31,14.84,13.88,13.34,13.22,12.78,12.94,14.06,14.97,15.31,15.53,16.06,16.25,15.47,14.5,14.88,16.09,17.56,18.16,19.28,20.22,20.78,20.22,20.28,21.59,22.88,23.16,22.88,22.91,22.44,20.88,18.59,17.0,16.44,15.41,13.72,12.47,11.47,10.06,7.72,5.84,5.06,4.78,3.88,2.5,1.88,1.38,0.44,-0.44,-0.47,0.44,1.34,1.59,2.66,4.12,6.06,6.41,6.28,6.06,5.44,3.41,1.28,0.66,0.97,1.28,1.53,2.75,4.91,6.97,8.69,10.78,13.25,15.47,16.38,17.19,18.19,19.28,19.16,18.53,17.16,15.62,12.53,8.34,4.38,1.59,-0.59,-2.5,-3.31,-2.28,-0.25,1.16,2.81,5.12,7.81,9.75,11.12,13.28,15.94,18.0,19.09,19.97,20.84,20.47,18.16,15.5,13.28,11.06,8.69,7.06,5.81,5.16,3.81,1.66,0.09,-0.62,-1.12,-1.78,-1.5,0.19,2.06,3.03,4.56,6.84,9.5,11.78,14.0,16.44,18.91,20.25,20.12,19.5,18.72,17.31,14.53,11.56,9.25,6.88,3.78,1.59,0.84,1.81,4.19,7.47,12.25,17.94,23.47,27.03,29.56,31.69,32.53,31.0,28.81,26.91,23.97,19.59,14.56,9.88,5.28,0.06,-4.28,-7.59,-9.09,-9.41,-10.22,-9.62,-7.81,-5.28,-3.0,-0.56,2.81,5.91,7.62,8.84,10.0,11.28,11.91,11.41,10.31,9.78,8.34,6.03,3.12,1.03,-0.78,-3.78,-6.62,-7.94,-8.31,-9.09,-9.75,-9.62,-8.88,-8.19,-7.75,-6.59,-4.19,-1.69,-0.03,0.88,2.31,3.12,2.09,0.88,0.53,0.81,0.66,0.25,0.53,1.25,1.5,1.06,0.72,0.94,0.97,-0.03,-1.25,-1.47,-1.03,-1.31,-1.56,-1.03,-0.03,0.34,0.59,0.75,1.84,2.72,2.94,3.16,4.66,6.53,7.28,7.72,8.62,9.31,8.88,7.97,7.66,8.09,8.44,8.47,8.88,10.31,11.25,11.06,10.28,10.06,9.88,9.16,8.88,9.47,10.66,10.88,10.31,9.66,9.91,9.94,9.19,8.47,8.91,9.16,8.47,7.75,8.38,9.25,9.38,9.16,9.38,9.62,9.12,8.16,7.75,8.72,10.44,12.09,14.31,17.47,20.47,21.75,22.31,22.84,22.19,20.38,17.59,15.53,14.59,14.38,14.56,15.41,17.44,19.06,19.56,19.41,20.22,20.19,18.97,17.12,15.91,14.44,12.44,10.0,8.84,8.75,9.31,10.0,11.56,14.28,16.19,16.56,15.97,15.34,14.41,13.06,11.47,11.78,12.84,14.38,15.62,17.47,20.12,21.78,22.0,21.59,21.81,21.78,20.97,20.22,20.03,20.19,18.97,17.19,16.25,15.69,14.69,12.78,11.69,11.38,11.44,10.5,10.25,11.19,11.84,11.22,10.44,9.97,9.19,8.28,6.81,6.72,7.41,8.09,8.66,9.34,10.44,10.94,10.09,8.88,8.31,7.81,7.62,7.03,6.84,7.03,6.91,6.81,7.28,8.94,10.56,10.78,11.28,12.12,12.81,12.78,12.5,12.66,12.91,12.44,11.53,11.75,12.03,11.72,9.88,8.28,7.38,6.44,4.38,2.94,2.41,1.75,0.56,-0.84,-1.34,-1.66,-1.75,-2.59,-3.0,-2.66,-2.06,-2.19,-1.59,0.47,2.66,3.84,5.03,6.78,8.34,9.25,9.62,10.31,11.47,11.94,11.62,11.41,11.66,11.38,9.66,8.5,8.06,8.19,6.91,5.75,4.69,3.69,1.81,0.41,0.06,1.19,2.53,3.72,5.22,7.38,8.44,8.03,7.16,6.47,6.06,4.75,3.97,3.44,3.03,2.16,0.41,-0.38,-0.38,-0.16,-0.28,-0.5,-0.53,-1.19,-2.94,-5.09,-6.38,-7.41,-9.22,-10.75,-11.0,-9.97,-8.12,-5.72,-2.12,2.12,6.06,8.09,9.09,9.78,8.91,6.0,2.62,0.03,-1.31,-3.03,-3.84,-3.16,-1.62,-0.62,-0.34,0.16,0.75,1.19,0.44,0.47,1.28,2.62,3.53,4.09,4.84,5.72,5.38,4.78,4.81,5.12,4.53,3.09,1.09,-0.78,-2.28,-4.47,-5.75,-5.44,-4.09,-3.34,-2.0,-0.09,2.41,4.41,5.84,7.19,8.75,9.25,8.09,6.0,3.44,-0.03,-4.94,-10.09,-13.88,-16.91,-19.06,-20.22,-19.69,-17.78,-15.31,-12.97,-10.91,-8.47,-6.28,-4.81,-2.62,0.72,4.59,7.44,9.06,10.06,10.0,7.97,4.97,2.06,-0.25,-2.69,-5.19,-7.09,-7.62,-7.56,-7.78,-6.94,-5.06,-2.38,-0.66,1.06,2.38,3.0,2.12,-0.03,-1.94,-2.78,-3.62,-4.38,-4.47,-3.19,-2.12,-2.09,-1.81,-1.25,-0.72,-1.41,-1.81,-1.78,-0.84,-0.16,0.38,1.28,2.59,3.06,2.34,1.06,0.19,-0.72,-2.41,-4.06,-4.84,-4.91,-5.19,-5.62,-5.5,-4.97,-4.72,-5.38,-5.69,-5.47,-5.38,-6.25,-6.69,-6.28,-5.25,-4.44,-3.19,-1.12,1.38,3.41,5.31,7.19,9.41,10.66,11.0,10.78,11.0,11.12,10.66,10.22,10.38,10.75,10.16,9.75,9.81,10.31,10.59,10.72,11.0,12.34,13.16,13.5,13.22,13.47,13.34,12.97,12.22,12.62,12.66,12.34,11.5,10.59,10.19,9.5,8.03,6.75,6.56,6.34,6.28,6.53,8.69,11.31,13.59,15.25,16.97,18.16,18.47,17.94,17.44,17.59,17.69,17.66,17.25,17.72,17.59,16.56,14.69,13.19,11.47,8.94,6.03,3.47,1.5,0.09,-1.22,-1.62,-0.78,0.25,0.72,0.59,1.0,1.03,0.28,-0.66,-1.12,-1.03,-1.19,-1.75,-1.91,-1.5,-1.19,-1.34,-1.12,0.41,1.78,2.66,2.91,3.5,3.06,1.28,-0.88,-3.06,-4.28,-4.78,-4.78,-3.75,-1.78,0.34,1.59,2.47,3.81,5.41,6.38,7.06,8.56,10.5,11.41,11.5,11.78,11.84,11.34,10.41,9.78,10.09,11.06,11.53,12.12,13.47,14.69,14.56,13.34,12.03,10.12,7.81,5.28,3.75,3.47,3.88,4.47,5.53,7.31,8.81,9.34,9.44,10.03,10.44,10.53,10.78,12.0,13.44,14.38,14.25,13.94,12.97,12.06,10.62,10.09,10.28,11.12,11.31,11.53,11.91,11.97,11.59,10.31,9.31,8.5,7.88,6.59,5.81,5.44,5.19,3.44,1.47,-0.44,-1.66,-3.62,-5.66,-6.66,-7.09,-7.53,-8.06,-7.5,-6.19,-4.41,-3.59,-2.97,-2.34,-2.44,-3.69,-5.25,-5.91,-5.72,-5.78,-5.47,-4.03,-2.41,-1.38,-1.06,-0.94,-0.06,0.84,1.28,2.31,3.94,4.88,4.84,4.19,4.16,4.53,4.62,4.56,5.03,5.84,5.81,4.62,3.28,2.56,1.56,0.0,-1.06,-0.97,-0.56,-0.22,0.09,1.5,3.44,5.25,6.38,7.84,9.41,10.69,11.31,12.16,13.47,14.66,14.16,13.22,12.09,10.78,8.72,6.62,5.03,4.19,3.0,1.41,0.59,0.91,1.56,1.91,2.81,4.59,6.47,7.19,7.5,7.72,7.25,6.03,4.38,3.31,3.38,4.16,4.66,5.38,6.44,6.59,5.25,3.75,2.91,2.53,1.94,1.59,1.84,2.56,2.62,2.53,2.84,4.12,5.19,5.69,6.03,7.19,8.0,7.97,7.94,8.12,8.44,7.56,6.09,4.94,4.25,2.81,1.41,-0.28,-1.0,-1.69,-3.0,-3.94,-3.19,-1.81,-1.09,-0.03,1.22,2.53,2.81,2.34,2.28,2.81,3.0,2.84,2.81,3.97,4.88,5.12,5.5,7.0,8.44,9.03,9.22,9.72,9.88,9.09,7.97,6.81,6.09,5.12,3.66,2.47,2.59,2.91,2.81,2.38,2.03,1.12,-1.38,-4.34,-6.38,-7.53,-8.34,-8.56,-7.59,-5.25,-2.69,-0.94,0.31,1.62,2.59,1.84,0.69,0.22,0.09,-0.56,-1.47,-1.56,-1.09,-1.19,-1.84,-1.94,-1.38,-0.66,-0.31,0.31,1.41,2.34,2.06,1.22,0.78,0.56,0.16,0.12,1.0,2.84,4.53,5.75,7.03,8.66,10.06,10.88,11.28,12.19,13.0,12.38,10.62,9.09,7.94,6.47,4.56,3.19,2.88,2.47,1.5,1.0,1.75,2.75,2.91,2.97,3.56,4.12,3.88,2.94,2.75,2.97,2.28,1.16,0.62,0.94,1.16,1.0,0.91,1.59,2.09,1.59,1.38,2.38,4.59,6.69,8.69,11.0,12.47,12.53,11.16,9.0,7.81,6.53,4.5,2.56,2.09,1.72,0.44,-1.16,-2.16,-2.03,-2.0,-1.72,0.12,2.97,5.41,6.34,6.5,6.69,5.94,3.88,1.22,0.22,0.06,-0.09,-0.06,1.31,3.75,6.03,7.28,8.84,10.28,10.47,9.09,7.44,6.22,5.03,3.09,0.84,-0.34,-1.44,-2.81,-4.38,-4.94,-4.09,-2.66,-1.06,1.47,5.09,8.03,9.69,10.56,12.0,13.41,13.84,14.0,14.94,15.47,14.72,13.06,11.41,10.94,10.44,21.16,20.47,20.16,20.0,20.22,20.47,20.31:19.09,17.19,15.03,14.19,14.06,14.28,14.41,15.09,16.12,16.94,17.09,17.53,18.44,19.5,19.41,19.31,19.97,20.25,20.03,19.0,17.94,17.03,16.03,15.0,14.44,14.91,15.56,15.53,15.16,15.84,16.44,16.28,15.72,16.19,16.66,17.19,17.16,17.72,18.91,19.28,18.59,17.97,18.19,18.28,17.97,18.19,19.28,20.22,20.28,19.56,19.41,18.66,17.69,16.53,15.66,15.34,14.94,14.03,13.25,13.62,14.41,14.88,15.41,16.31,16.84,16.31,14.84,13.88,13.34,13.22,12.78,12.94,14.06,14.97,15.31,15.53,16.06,16.25,15.47,14.5,14.88,16.09,17.56,18.16,19.28,20.22,20.78,20.22,20.28,21.59,22.88,23.16,22.88,22.91,22.44,20.88,18.59,17.0,16.44,15.41,13.72,12.47,11.47,10.06,7.72,5.84,5.06,4.78,3.88,2.5,1.88,1.38,0.44,-0.44,-0.47,0.44,1.34,1.59,2.66,4.12,6.06,6.41,6.28,6.06,5.44,3.41,1.28,0.66,0.97,1.28,1.53,2.75,4.91,6.97,8.69,10.78,13.25,15.47,16.38,17.19,18.19,19.28,19.16,18.53,17.16,15.62,12.53,8.34,4.38,1.59,-0.59,-2.5,-3.31,-2.28,-0.25,1.16,2.81,5.12,7.81,9.75,11.12,13.28,15.94,18.0,19.09,19.97,20.84,20.47,18.16,15.5,13.28,11.06,8.69,7.06,5.81,5.16,3.81,1.66,0.09,-0.62,-1.12,-1.78,-1.5,0.19,2.06,3.03,4.56,6.84,9.5,11.78,14.0,16.44,18.91,20.25,20.12,19.5,18.72,17.31,14.53,11.56,9.25,6.88,3.78,1.59,0.84,1.81,4.19,7.47,12.25,17.94,23.47,27.03,29.56,31.69,32.53,31.0,28.81,26.91,23.97,19.59,14.56,9.88,5.28,0.06,-4.28,-7.59,-9.09,-9.41,-10.22,-9.62,-7.81,-5.28,-3.0,-0.56,2.81,5.91,7.62,8.84,10.0,11.28,11.91,11.41,10.31,9.78,8.34,6.03,3.12,1.03,-0.78,-3.78,-6.62,-7.94,-8.31,-9.09,-9.75,-9.62,-8.88,-8.19,-7.75,-6.59,-4.19,-1.69,-0.03,0.88,2.31,3.12,2.09,0.88,0.53,0.81,0.66,0.25,0.53,1.25,1.5,1.06,0.72,0.94,0.97,-0.03,-1.25,-1.47,-1.03,-1.31,-1.56,-1.03,-0.03,0.34,0.59,0.75,1.84,2.72,2.94,3.16,4.66,6.53,7.28,7.72,8.62,9.31,8.88,7.97,7.66,8.09,8.44,8.47,8.88,10.31,11.25,11.06,10.28,10.06,9.88,9.16,8.88,9.47,10.66,10.88,10.31,9.66,9.91,9.94,9.19,8.47,8.91,9.16,8.47,7.75,8.38,9.25,9.38,9.16,9.38,9.62,9.12,8.16,7.75,8.72,10.44,12.09,14.31,17.47,20.47,21.75,22.31,22.84,22.19,20.38,17.59,15.53,14.59,14.38,14.56,15.41,17.44,19.06,19.56,19.41,20.22,20.19,18.97,17.12,15.91,14.44,12.44,10.0,8.84,8.75,9.31,10.0,11.56,14.28,16.19,16.56,15.97,15.34,14.41,13.06,11.47,11.78,12.84,14.38,15.62,17.47,20.12,21.78,22.0,21.59,21.81,21.78,20.97,20.22,20.03,20.19,18.97,17.19,16.25,15.69,14.69,12.78,11.69,11.38,11.44,10.5,10.25,11.19,11.84,11.22,10.44,9.97,9.19,8.28,6.81,6.72,7.41,8.09,8.66,9.34,10.44,10.94,10.09,8.88,8.31,7.81,7.62,7.03,6.84,7.03,6.91,6.81,7.28,8.94,10.56,10.78,11.28,12.12,12.81,12.78,12.5,12.66,12.91,12.44,11.53,11.75,12.03,11.72,9.88,8.28,7.38,6.44,4.38,2.94,2.41,1.75,0.56,-0.84,-1.34,-1.66,-1.75,-2.59,-3.0,-2.66,-2.06,-2.19,-1.59,0.47,2.66,3.84,5.03,6.78,8.34,9.25,9.62,10.31,11.47,11.94,11.62,11.41,11.66,11.38,9.66,8.5,8.06,8.19,6.91,5.75,4.69,3.69,1.81,0.41,0.06,1.19,2.53,3.72,5.22,7.38,8.44,8.03,7.16,6.47,6.06,4.75,3.97,3.44,3.03,2.16,0.41,-0.38,-0.38,-0.16,-0.28,-0.5,-0.53,-1.19,-2.94,-5.09,-6.38,-7.41,-9.22,-10.75,-11.0,-9.97,-8.12,-5.72,-2.12,2.12,6.06,8.09,9.09,9.78,8.91,6.0,2.62,0.03,-1.31,-3.03,-3.84,-3.16,-1.62,-0.62,-0.34,0.16,0.75,1.19,0.44,0.47,1.28,2.62,3.53,4.09,4.84,5.72,5.38,4.78,4.81,5.12,4.53,3.09,1.09,-0.78,-2.28,-4.47,-5.75,-5.44,-4.09,-3.34,-2.0,-0.09,2.41,4.41,5.84,7.19,8.75,9.25,8.09,6.0,3.44,-0.03,-4.94,-10.09,-13.88,-16.91,-19.06,-20.22,-19.69,-17.78,-15.31,-12.97,-10.91,-8.47,-6.28,-4.81,-2.62,0.72,4.59,7.44,9.06,10.06,10.0,7.97,4.97,2.06,-0.25,-2.69,-5.19,-7.09,-7.62,-7.56,-7.78,-6.94,-5.06,-2.38,-0.66,1.06,2.38,3.0,2.12,-0.03,-1.94,-2.78,-3.62,-4.38,-4.47,-3.19,-2.12,-2.09,-1.81,-1.25,-0.72,-1.41,-1.81,-1.78,-0.84,-0.16,0.38,1.28,2.59,3.06,2.34,1.06,0.19,-0.72,-2.41,-4.06,-4.84,-4.91,-5.19,-5.62,-5.5,-4.97,-4.72,-5.38,-5.69,-5.47,-5.38,-6.25,-6.69,-6.28,-5.25,-4.44,-3.19,-1.12,1.38,3.41,5.31,7.19,9.41,10.66,11.0,10.78,11.0,11.12,10.66,10.22,10.38,10.75,10.16,9.75,9.81,10.31,10.59,10.72,11.0,12.34,13.16,13.5,13.22,13.47,13.34,12.97,12.22,12.62,12.66,12.34,11.5,10.59,10.19,9.5,8.03,6.75,6.56,6.34,6.28,6.53,8.69,11.31,13.59,15.25,16.97,18.16,18.47,17.94,17.44,17.59,17.69,17.66,17.25,17.72,17.59,16.56,14.69,13.19,11.47,8.94,6.03,3.47,1.5,0.09,-1.22,-1.62,-0.78,0.25,0.72,0.59,1.0,1.03,0.28,-0.66,-1.12,-1.03,-1.19,-1.75,-1.91,-1.5,-1.19,-1.34,-1.12,0.41,1.78,2.66,2.91,3.5,3.06,1.28,-0.88,-3.06,-4.28,-4.78,-4.78,-3.75,-1.78,0.34,1.59,2.47,3.81,5.41,6.38,7.06,8.56,10.5,11.41,11.5,11.78,11.84,11.34,10.41,9.78,10.09,11.06,11.53,12.12,13.47,14.69,14.56,13.34,12.03,10.12,7.81,5.28,3.75,3.47,3.88,4.47,5.53,7.31,8.81,9.34,9.44,10.03,10.44,10.53,10.78,12.0,13.44,14.38,14.25,13.94,12.97,12.06,10.62,10.09,10.28,11.12,11.31,11.53,11.91,11.97,11.59,10.31,9.31,8.5,7.88,6.59,5.81,5.44,5.19,3.44,1.47,-0.44,-1.66,-3.62,-5.66,-6.66,-7.09,-7.53,-8.06,-7.5,-6.19,-4.41,-3.59,-2.97,-2.34,-2.44,-3.69,-5.25,-5.91,-5.72,-5.78,-5.47,-4.03,-2.41,-1.38,-1.06,-0.94,-0.06,0.84,1.28,2.31,3.94,4.88,4.84,4.19,4.16,4.53,4.62,4.56,5.03,5.84,5.81,4.62,3.28,2.56,1.56,0.0,-1.06,-0.97,-0.56,-0.22,0.09,1.5,3.44,5.25,6.38,7.84,9.41,10.69,11.31,12.16,13.47,14.66,14.16,13.22,12.09,10.78,8.72,6.62,5.03,4.19,3.0,1.41,0.59,0.91,1.56,1.91,2.81,4.59,6.47,7.19,7.5,7.72,7.25,6.03,4.38,3.31,3.38,4.16,4.66,5.38,6.44,6.59,5.25,3.75,2.91,2.53,1.94,1.59,1.84,2.56,2.62,2.53,2.84,4.12,5.19,5.69,6.03,7.19,8.0,7.97,7.94,8.12,8.44,7.56,6.09,4.94,4.25,2.81,1.41,-0.28,-1.0,-1.69,-3.0,-3.94,-3.19,-1.81,-1.09,-0.03,1.22,2.53,2.81,2.34,2.28,2.81,3.0,2.84,2.81,3.97,4.88,5.12,5.5,7.0,8.44,9.03,9.22,9.72,9.88,9.09,7.97,6.81,6.09,5.12,3.66,2.47,2.59,2.91,2.81,2.38,2.03,1.12,-1.38,-4.34,-6.38,-7.53,-8.34,-8.56,-7.59,-5.25,-2.69,-0.94,0.31,1.62,2.59,1.84,0.69,0.22,0.09,-0.56,-1.47,-1.56,-1.09,-1.19,-1.84,-1.94,-1.38,-0.66,-0.31,0.31,1.41,2.34,2.06,1.22,0.78,0.56,0.16,0.12,1.0,2.84,4.53,5.75,7.03,8.66,10.06,10.88,11.28,12.19,13.0,12.38,10.62,9.09,7.94,6.47,4.56,3.19,2.88,2.47,1.5,1.0,1.75,2.75,2.91,2.97,3.56,4.12,3.88,2.94,2.75,2.97,2.28,1.16,0.62,0.94,1.16,1.0,0.91,1.59,2.09,1.59,1.38,2.38,4.59,6.69,8.69,11.0,12.47,12.53,11.16,9.0,7.81,6.53,4.5,2.56,2.09,1.72,0.44,-1.16,-2.16,-2.03,-2.0,-1.72,0.12,2.97,5.41,6.34,6.5,6.69,5.94,3.88,1.22,0.22,0.06,-0.09,-0.06,1.31,3.75,6.03,7.28,8.84,10.28,10.47,9.09,7.44,6.22,5.03,3.09,0.84,-0.34,-1.44,-2.81,-4.38,-4.94,-4.09,-2.66,-1.06,1.47,5.09,8.03,9.69,10.56,12.0,13.41,13.84,14.0,14.94,15.47,14.72,13.06,11.41,10.94,10.44,21.16,20.47,20.16,20.0,20.22,20.47,20.31,20.12,19.59,18.94,18.03,17.69,17.22,16.62:15.09,16.12,16.94,17.09,17.53,18.44,19.5,19.41,19.31,19.97,20.25,20.03,19.0,17.94,17.03,16.03,15.0,14.44,14.91,15.56,15.53,15.16,15.84,16.44,16.28,15.72,16.19,16.66,17.19,17.16,17.72,18.91,19.28,18.59,17.97,18.19,18.28,17.97,18.19,19.28,20.22,20.28,19.56,19.41,18.66,17.69,16.53,15.66,15.34,14.94,14.03,13.25,13.62,14.41,14.88,15.41,16.31,16.84,16.31,14.84,13.88,13.34,13.22,12.78,12.94,14.06,14.97,15.31,15.53,16.06,16.25,15.47,14.5,14.88,16.09,17.56,18.16,19.28,20.22,20.78,20.22,20.28,21.59,22.88,23.16,22.88,22.91,22.44,20.88,18.59,17.0,16.44,15.41,13.72,12.47,11.47,10.06,7.72,5.84,5.06,4.78,3.88,2.5,1.88,1.38,0.44,-0.44,-0.47,0.44,1.34,1.59,2.66,4.12,6.06,6.41,6.28,6.06,5.44,3.41,1.28,0.66,0.97,1.28,1.53,2.75,4.91,6.97,8.69,10.78,13.25,15.47,16.38,17.19,18.19,19.28,19.16,18.53,17.16,15.62,12.53,8.34,4.38,1.59,-0.59,-2.5,-3.31,-2.28,-0.25,1.16,2.81,5.12,7.81,9.75,11.12,13.28,15.94,18.0,19.09,19.97,20.84,20.47,18.16,15.5,13.28,11.06,8.69,7.06,5.81,5.16,3.81,1.66,0.09,-0.62,-1.12,-1.78,-1.5,0.19,2.06,3.03,4.56,6.84,9.5,11.78,14.0,16.44,18.91,20.25,20.12,19.5,18.72,17.31,14.53,11.56,9.25,6.88,3.78,1.59,0.84,1.81,4.19,7.47,12.25,17.94,23.47,27.03,29.56,31.69,32.53,31.0,28.81,26.91,23.97,19.59,14.56,9.88,5.28,0.06,-4.28,-7.59,-9.09,-9.41,-10.22,-9.62,-7.81,-5.28,-3.0,-0.56,2.81,5.91,7.62,8.84,10.0,11.28,11.91,11.41,10.31,9.78,8.34,6.03,3.12,1.03,-0.78,-3.78,-6.62,-7.94,-8.31,-9.09,-9.75,-9.62,-8.88,-8.19,-7.75,-6.59,-4.19,-1.69,-0.03,0.88,2.31,3.12,2.09,0.88,0.53,0.81,0.66,0.25,0.53,1.25,1.5,1.06,0.72,0.94,0.97,-0.03,-1.25,-1.47,-1.03,-1.31,-1.56,-1.03,-0.03,0.34,0.59,0.75,1.84,2.72,2.94,3.16,4.66,6.53,7.28,7.72,8.62,9.31,8.88,7.97,7.66,8.09,8.44,8.47,8.88,10.31,11.25,11.06,10.28,10.06,9.88,9.16,8.88,9.47,10.66,10.88,10.31,9.66,9.91,9.94,9.19,8.47,8.91,9.16,8.47,7.75,8.38,9.25,9.38,9.16,9.38,9.62,9.12,8.16,7.75,8.72,10.44,12.09,14.31,17.47,20.47,21.75,22.31,22.84,22.19,20.38,17.59,15.53,14.59,14.38,14.56,15.41,17.44,19.06,19.56,19.41,20.22,20.19,18.97,17.12,15.91,14.44,12.44,10.0,8.84,8.75,9.31,10.0,11.56,14.28,16.19,16.56,15.97,15.34,14.41,13.06,11.47,11.78,12.84,14.38,15.62,17.47,20.12,21.78,22.0,21.59,21.81,21.78,20.97,20.22,20.03,20.19,18.97,17.19,16.25,15.69,14.69,12.78,11.69,11.38,11.44,10.5,10.25,11.19,11.84,11.22,10.44,9.97,9.19,8.28,6.81,6.72,7.41,8.09,8.66,9.34,10.44,10.94,10.09,8.88,8.31,7.81,7.62,7.03,6.84,7.03,6.91,6.81,7.28,8.94,10.56,10.78,11.28,12.12,12.81,12.78,12.5,12.66,12.91,12.44,11.53,11.75,12.03,11.72,9.88,8.28,7.38,6.44,4.38,2.94,2.41,1.75,0.56,-0.84,-1.34,-1.66,-1.75,-2.59,-3.0,-2.66,-2.06,-2.19,-1.59,0.47,2.66,3.84,5.03,6.78,8.34,9.25,9.62,10.31,11.47,11.94,11.62,11.41,11.66,11.38,9.66,8.5,8.06,8.19,6.91,5.75,4.69,3.69,1.81,0.41,0.06,1.19,2.53,3.72,5.22,7.38,8.44,8.03,7.16,6.47,6.06,4.75,3.97,3.44,3.03,2.16,0.41,-0.38,-0.38,-0.16,-0.28,-0.5,-0.53,-1.19,-2.94,-5.09,-6.38,-7.41,-9.22,-10.75,-11.0,-9.97,-8.12,-5.72,-2.12,2.12,6.06,8.09,9.09,9.78,8.91,6.0,2.62,0.03,-1.31,-3.03,-3.84,-3.16,-1.62,-0.62,-0.34,0.16,0.75,1.19,0.44,0.47,1.28,2.62,3.53,4.09,4.84,5.72,5.38,4.78,4.81,5.12,4.53,3.09,1.09,-0.78,-2.28,-4.47,-5.75,-5.44,-4.09,-3.34,-2.0,-0.09,2.41,4.41,5.84,7.19,8.75,9.25,8.09,6.0,3.44,-0.03,-4.94,-10.09,-13.88,-16.91,-19.06,-20.22,-19.69,-17.78,-15.31,-12.97,-10.91,-8.47,-6.28,-4.81,-2.62,0.72,4.59,7.44,9.06,10.06,10.0,7.97,4.97,2.06,-0.25,-2.69,-5.19,-7.09,-7.62,-7.56,-7.78,-6.94,-5.06,-2.38,-0.66,1.06,2.38,3.0,2.12,-0.03,-1.94,-2.78,-3.62,-4.38,-4.47,-3.19,-2.12,-2.09,-1.81,-1.25,-0.72,-1.41,-1.81,-1.78,-0.84,-0.16,0.38,1.28,2.59,3.06,2.34,1.06,0.19,-0.72,-2.41,-4.06,-4.84,-4.91,-5.19,-5.62,-5.5,-4.97,-4.72,-5.38,-5.69,-5.47,-5.38,-6.25,-6.69,-6.28,-5.25,-4.44,-3.19,-1.12,1.38,3.41,5.31,7.19,9.41,10.66,11.0,10.78,11.0,11.12,10.66,10.22,10.38,10.75,10.16,9.75,9.81,10.31,10.59,10.72,11.0,12.34,13.16,13.5,13.22,13.47,13.34,12.97,12.22,12.62,12.66,12.34,11.5,10.59,10.19,9.5,8.03,6.75,6.56,6.34,6.28,6.53,8.69,11.31,13.59,15.25,16.97,18.16,18.47,17.94,17.44,17.59,17.69,17.66,17.25,17.72,17.59,16.56,14.69,13.19,11.47,8.94,6.03,3.47,1.5,0.09,-1.22,-1.62,-0.78,0.25,0.72,0.59,1.0,1.03,0.28,-0.66,-1.12,-1.03,-1.19,-1.75,-1.91,-1.5,-1.19,-1.34,-1.12,0.41,1.78,2.66,2.91,3.5,3.06,1.28,-0.88,-3.06,-4.28,-4.78,-4.78,-3.75,-1.78,0.34,1.59,2.47,3.81,5.41,6.38,7.06,8.56,10.5,11.41,11.5,11.78,11.84,11.34,10.41,9.78,10.09,11.06,11.53,12.12,13.47,14.69,14.56,13.34,12.03,10.12,7.81,5.28,3.75,3.47,3.88,4.47,5.53,7.31,8.81,9.34,9.44,10.03,10.44,10.53,10.78,12.0,13.44,14.38,14.25,13.94,12.97,12.06,10.62,10.09,10.28,11.12,11.31,11.53,11.91,11.97,11.59,10.31,9.31,8.5,7.88,6.59,5.81,5.44,5.19,3.44,1.47,-0.44,-1.66,-3.62,-5.66,-6.66,-7.09,-7.53,-8.06,-7.5,-6.19,-4.41,-3.59,-2.97,-2.34,-2.44,-3.69,-5.25,-5.91,-5.72,-5.78,-5.47,-4.03,-2.41,-1.38,-1.06,-0.94,-0.06,0.84,1.28,2.31,3.94,4.88,4.84,4.19,4.16,4.53,4.62,4.56,5.03,5.84,5.81,4.62,3.28,2.56,1.56,0.0,-1.06,-0.97,-0.56,-0.22,0.09,1.5,3.44,5.25,6.38,7.84,9.41,10.69,11.31,12.16,13.47,14.66,14.16,13.22,12.09,10.78,8.72,6.62,5.03,4.19,3.0,1.41,0.59,0.91,1.56,1.91,2.81,4.59,6.47,7.19,7.5,7.72,7.25,6.03,4.38,3.31,3.38,4.16,4.66,5.38,6.44,6.59,5.25,3.75,2.91,2.53,1.94,1.59,1.84,2.56,2.62,2.53,2.84,4.12,5.19,5.69,6.03,7.19,8.0,7.97,7.94,8.12,8.44,7.56,6.09,4.94,4.25,2.81,1.41,-0.28,-1.0,-1.69,-3.0,-3.94,-3.19,-1.81,-1.09,-0.03,1.22,2.53,2.81,2.34,2.28,2.81,3.0,2.84,2.81,3.97,4.88,5.12,5.5,7.0,8.44,9.03,9.22,9.72,9.88,9.09,7.97,6.81,6.09,5.12,3.66,2.47,2.59,2.91,2.81,2.38,2.03,1.12,-1.38,-4.34,-6.38,-7.53,-8.34,-8.56,-7.59,-5.25,-2.69,-0.94,0.31,1.62,2.59,1.84,0.69,0.22,0.09,-0.56,-1.47,-1.56,-1.09,-1.19,-1.84,-1.94,-1.38,-0.66,-0.31,0.31,1.41,2.34,2.06,1.22,0.78,0.56,0.16,0.12,1.0,2.84,4.53,5.75,7.03,8.66,10.06,10.88,11.28,12.19,13.0,12.38,10.62,9.09,7.94,6.47,4.56,3.19,2.88,2.47,1.5,1.0,1.75,2.75,2.91,2.97,3.56,4.12,3.88,2.94,2.75,2.97,2.28,1.16,0.62,0.94,1.16,1.0,0.91,1.59,2.09,1.59,1.38,2.38,4.59,6.69,8.69,11.0,12.47,12.53,11.16,9.0,7.81,6.53,4.5,2.56,2.09,1.72,0.44,-1.16,-2.16,-2.03,-2.0,-1.72,0.12,2.97,5.41,6.34,6.5,6.69,5.94,3.88,1.22,0.22,0.06,-0.09,-0.06,1.31,3.75,6.03,7.28,8.84,10.28,10.47,9.09,7.44,6.22,5.03,3.09,0.84,-0.34,-1.44,-2.81,-4.38,-4.94,-4.09,-2.66,-1.06,1.47,5.09,8.03,9.69,10.56,12.0,13.41,13.84,14.0,14.94,15.47,14.72,13.06,11.41,10.94,10.44,21.16,20.47,20.16,20.0,20.22,20.47,20.31,20.12,19.59,18.94,18.03,17.69,17.22,16.62,16.12,15.62,14.78,13.78,13.56,13.69,14.09:19.41,19.31,19.97,20.25,20.03,19.0,17.94,17.03,16.03,15.0,14.44,14.91,15.56,15.53,15.16,15.84,16.44,16.28,15.72,16.19,16.66,17.19,17.16,17.72,18.91,19.28,18.59,17.97,18.19,18.28,17.97,18.19,19.28,20.22,20.28,19.56,19.41,18.66,17.69,16.53,15.66,15.34,14.94,14.03,13.25,13.62,14.41,14.88,15.41,16.31,16.84,16.31,14.84,13.88,13.34,13.22,12.78,12.94,14.06,14.97,15.31,15.53,16.06,16.25,15.47,14.5,14.88,16.09,17.56,18.16,19.28,20.22,20.78,20.22,20.28,21.59,22.88,23.16,22.88,22.91,22.44,20.88,18.59,17.0,16.44,15.41,13.72,12.47,11.47,10.06,7.72,5.84,5.06,4.78,3.88,2.5,1.88,1.38,0.44,-0.44,-0.47,0.44,1.34,1.59,2.66,4.12,6.06,6.41,6.28,6.06,5.44,3.41,1.28,0.66,0.97,1.28,1.53,2.75,4.91,6.97,8.69,10.78,13.25,15.47,16.38,17.19,18.19,19.28,19.16,18.53,17.16,15.62,12.53,8.34,4.38,1.59,-0.59,-2.5,-3.31,-2.28,-0.25,1.16,2.81,5.12,7.81,9.75,11.12,13.28,15.94,18.0,19.09,19.97,20.84,20.47,18.16,15.5,13.28,11.06,8.69,7.06,5.81,5.16,3.81,1.66,0.09,-0.62,-1.12,-1.78,-1.5,0.19,2.06,3.03,4.56,6.84,9.5,11.78,14.0,16.44,18.91,20.25,20.12,19.5,18.72,17.31,14.53,11.56,9.25,6.88,3.78,1.59,0.84,1.81,4.19,7.47,12.25,17.94,23.47,27.03,29.56,31.69,32.53,31.0,28.81,26.91,23.97,19.59,14.56,9.88,5.28,0.06,-4.28,-7.59,-9.09,-9.41,-10.22,-9.62,-7.81,-5.28,-3.0,-0.56,2.81,5.91,7.62,8.84,10.0,11.28,11.91,11.41,10.31,9.78,8.34,6.03,3.12,1.03,-0.78,-3.78,-6.62,-7.94,-8.31,-9.09,-9.75,-9.62,-8.88,-8.19,-7.75,-6.59,-4.19,-1.69,-0.03,0.88,2.31,3.12,2.09,0.88,0.53,0.81,0.66,0.25,0.53,1.25,1.5,1.06,0.72,0.94,0.97,-0.03,-1.25,-1.47,-1.03,-1.31,-1.56,-1.03,-0.03,0.34,0.59,0.75,1.84,2.72,2.94,3.16,4.66,6.53,7.28,7.72,8.62,9.31,8.88,7.97,7.66,8.09,8.44,8.47,8.88,10.31,11.25,11.06,10.28,10.06,9.88,9.16,8.88,9.47,10.66,10.88,10.31,9.66,9.91,9.94,9.19,8.47,8.91,9.16,8.47,7.75,8.38,9.25,9.38,9.16,9.38,9.62,9.12,8.16,7.75,8.72,10.44,12.09,14.31,17.47,20.47,21.75,22.31,22.84,22.19,20.38,17.59,15.53,14.59,14.38,14.56,15.41,17.44,19.06,19.56,19.41,20.22,20.19,18.97,17.12,15.91,14.44,12.44,10.0,8.84,8.75,9.31,10.0,11.56,14.28,16.19,16.56,15.97,15.34,14.41,13.06,11.47,11.78,12.84,14.38,15.62,17.47,20.12,21.78,22.0,21.59,21.81,21.78,20.97,20.22,20.03,20.19,18.97,17.19,16.25,15.69,14.69,12.78,11.69,11.38,11.44,10.5,10.25,11.19,11.84,11.22,10.44,9.97,9.19,8.28,6.81,6.72,7.41,8.09,8.66,9.34,10.44,10.94,10.09,8.88,8.31,7.81,7.62,7.03,6.84,7.03,6.91,6.81,7.28,8.94,10.56,10.78,11.28,12.12,12.81,12.78,12.5,12.66,12.91,12.44,11.53,11.75,12.03,11.72,9.88,8.28,7.38,6.44,4.38,2.94,2.41,1.75,0.56,-0.84,-1.34,-1.66,-1.75,-2.59,-3.0,-2.66,-2.06,-2.19,-1.59,0.47,2.66,3.84,5.03,6.78,8.34,9.25,9.62,10.31,11.47,11.94,11.62,11.41,11.66,11.38,9.66,8.5,8.06,8.19,6.91,5.75,4.69,3.69,1.81,0.41,0.06,1.19,2.53,3.72,5.22,7.38,8.44,8.03,7.16,6.47,6.06,4.75,3.97,3.44,3.03,2.16,0.41,-0.38,-0.38,-0.16,-0.28,-0.5,-0.53,-1.19,-2.94,-5.09,-6.38,-7.41,-9.22,-10.75,-11.0,-9.97,-8.12,-5.72,-2.12,2.12,6.06,8.09,9.09,9.78,8.91,6.0,2.62,0.03,-1.31,-3.03,-3.84,-3.16,-1.62,-0.62,-0.34,0.16,0.75,1.19,0.44,0.47,1.28,2.62,3.53,4.09,4.84,5.72,5.38,4.78,4.81,5.12,4.53,3.09,1.09,-0.78,-2.28,-4.47,-5.75,-5.44,-4.09,-3.34,-2.0,-0.09,2.41,4.41,5.84,7.19,8.75,9.25,8.09,6.0,3.44,-0.03,-4.94,-10.09,-13.88,-16.91,-19.06,-20.22,-19.69,-17.78,-15.31,-12.97,-10.91,-8.47,-6.28,-4.81,-2.62,0.72,4.59,7.44,9.06,10.06,10.0,7.97,4.97,2.06,-0.25,-2.69,-5.19,-7.09,-7.62,-7.56,-7.78,-6.94,-5.06,-2.38,-0.66,1.06,2.38,3.0,2.12,-0.03,-1.94,-2.78,-3.62,-4.38,-4.47,-3.19,-2.12,-2.09,-1.81,-1.25,-0.72,-1.41,-1.81,-1.78,-0.84,-0.16,0.38,1.28,2.59,3.06,2.34,1.06,0.19,-0.72,-2.41,-4.06,-4.84,-4.91,-5.19,-5.62,-5.5,-4.97,-4.72,-5.38,-5.69,-5.47,-5.38,-6.25,-6.69,-6.28,-5.25,-4.44,-3.19,-1.12,1.38,3.41,5.31,7.19,9.41,10.66,11.0,10.78,11.0,11.12,10.66,10.22,10.38,10.75,10.16,9.75,9.81,10.31,10.59,10.72,11.0,12.34,13.16,13.5,13.22,13.47,13.34,12.97,12.22,12.62,12.66,12.34,11.5,10.59,10.19,9.5,8.03,6.75,6.56,6.34,6.28,6.53,8.69,11.31,13.59,15.25,16.97,18.16,18.47,17.94,17.44,17.59,17.69,17.66,17.25,17.72,17.59,16.56,14.69,13.19,11.47,8.94,6.03,3.47,1.5,0.09,-1.22,-1.62,-0.78,0.25,0.72,0.59,1.0,1.03,0.28,-0.66,-1.12,-1.03,-1.19,-1.75,-1.91,-1.5,-1.19,-1.34,-1.12,0.41,1.78,2.66,2.91,3.5,3.06,1.28,-0.88,-3.06,-4.28,-4.78,-4.78,-3.75,-1.78,0.34,1.59,2.47,3.81,5.41,6.38,7.06,8.56,10.5,11.41,11.5,11.78,11.84,11.34,10.41,9.78,10.09,11.06,11.53,12.12,13.47,14.69,14.56,13.34,12.03,10.12,7.81,5.28,3.75,3.47,3.88,4.47,5.53,7.31,8.81,9.34,9.44,10.03,10.44,10.53,10.78,12.0,13.44,14.38,14.25,13.94,12.97,12.06,10.62,10.09,10.28,11.12,11.31,11.53,11.91,11.97,11.59,10.31,9.31,8.5,7.88,6.59,5.81,5.44,5.19,3.44,1.47,-0.44,-1.66,-3.62,-5.66,-6.66,-7.09,-7.53,-8.06,-7.5,-6.19,-4.41,-3.59,-2.97,-2.34,-2.44,-3.69,-5.25,-5.91,-5.72,-5.78,-5.47,-4.03,-2.41,-1.38,-1.06,-0.94,-0.06,0.84,1.28,2.31,3.94,4.88,4.84,4.19,4.16,4.53,4.62,4.56,5.03,5.84,5.81,4.62,3.28,2.56,1.56,0.0,-1.06,-0.97,-0.56,-0.22,0.09,1.5,3.44,5.25,6.38,7.84,9.41,10.69,11.31,12.16,13.47,14.66,14.16,13.22,12.09,10.78,8.72,6.62,5.03,4.19,3.0,1.41,0.59,0.91,1.56,1.91,2.81,4.59,6.47,7.19,7.5,7.72,7.25,6.03,4.38,3.31,3.38,4.16,4.66,5.38,6.44,6.59,5.25,3.75,2.91,2.53,1.94,1.59,1.84,2.56,2.62,2.53,2.84,4.12,5.19,5.69,6.03,7.19,8.0,7.97,7.94,8.12,8.44,7.56,6.09,4.94,4.25,2.81,1.41,-0.28,-1.0,-1.69,-3.0,-3.94,-3.19,-1.81,-1.09,-0.03,1.22,2.53,2.81,2.34,2.28,2.81,3.0,2.84,2.81,3.97,4.88,5.12,5.5,7.0,8.44,9.03,9.22,9.72,9.88,9.09,7.97,6.81,6.09,5.12,3.66,2.47,2.59,2.91,2.81,2.38,2.03,1.12,-1.38,-4.34,-6.38,-7.53,-8.34,-8.56,-7.59,-5.25,-2.69,-0.94,0.31,1.62,2.59,1.84,0.69,0.22,0.09,-0.56,-1.47,-1.56,-1.09,-1.19,-1.84,-1.94,-1.38,-0.66,-0.31,0.31,1.41,2.34,2.06,1.22,0.78,0.56,0.16,0.12,1.0,2.84,4.53,5.75,7.03,8.66,10.06,10.88,11.28,12.19,13.0,12.38,10.62,9.09,7.94,6.47,4.56,3.19,2.88,2.47,1.5,1.0,1.75,2.75,2.91,2.97,3.56,4.12,3.88,2.94,2.75,2.97,2.28,1.16,0.62,0.94,1.16,1.0,0.91,1.59,2.09,1.59,1.38,2.38,4.59,6.69,8.69,11.0,12.47,12.53,11.16,9.0,7.81,6.53,4.5,2.56,2.09,1.72,0.44,-1.16,-2.16,-2.03,-2.0,-1.72,0.12,2.97,5.41,6.34,6.5,6.69,5.94,3.88,1.22,0.22,0.06,-0.09,-0.06,1.31,3.75,6.03,7.28,8.84,10.28,10.47,9.09,7.44,6.22,5.03,3.09,0.84,-0.34,-1.44,-2.81,-4.38,-4.94,-4.09,-2.66,-1.06,1.47,5.09,8.03,9.69,10.56,12.0,13.41,13.84,14.0,14.94,15.47,14.72,13.06,11.41,10.94,10.44,21.16,20.47,20.16,20.0,20.22,20.47,20.31,20.12,19.59,18.94,18.03,17.69,17.22,16.62,16.12,15.62,14.78,13.78,13.56,13.69,14.09,14.66,15.69,16.78,18.09,19.41,20.38,21.22:17.03,16.03,15.0,14.44,14.91,15.56,15.53,15.16,15.84,16.44,16.28,15.72,16.19,16.66,17.19,17.16,17.72,18.91,19.28,18.59,17.97,18.19,18.28,17.97,18.19,19.28,20.22,20.28,19.56,19.41,18.66,17.69,16.53,15.66,15.34,14.94,14.03,13.25,13.62,14.41,14.88,15.41,16.31,16.84,16.31,14.84,13.88,13.34,13.22,12.78,12.94,14.06,14.97,15.31,15.53,16.06,16.25,15.47,14.5,14.88,16.09,17.56,18.16,19.28,20.22,20.78,20.22,20.28,21.59,22.88,23.16,22.88,22.91,22.44,20.88,18.59,17.0,16.44,15.41,13.72,12.47,11.47,10.06,7.72,5.84,5.06,4.78,3.88,2.5,1.88,1.38,0.44,-0.44,-0.47,0.44,1.34,1.59,2.66,4.12,6.06,6.41,6.28,6.06,5.44,3.41,1.28,0.66,0.97,1.28,1.53,2.75,4.91,6.97,8.69,10.78,13.25,15.47,16.38,17.19,18.19,19.28,19.16,18.53,17.16,15.62,12.53,8.34,4.38,1.59,-0.59,-2.5,-3.31,-2.28,-0.25,1.16,2.81,5.12,7.81,9.75,11.12,13.28,15.94,18.0,19.09,19.97,20.84,20.47,18.16,15.5,13.28,11.06,8.69,7.06,5.81,5.16,3.81,1.66,0.09,-0.62,-1.12,-1.78,-1.5,0.19,2.06,3.03,4.56,6.84,9.5,11.78,14.0,16.44,18.91,20.25,20.12,19.5,18.72,17.31,14.53,11.56,9.25,6.88,3.78,1.59,0.84,1.81,4.19,7.47,12.25,17.94,23.47,27.03,29.56,31.69,32.53,31.0,28.81,26.91,23.97,19.59,14.56,9.88,5.28,0.06,-4.28,-7.59,-9.09,-9.41,-10.22,-9.62,-7.81,-5.28,-3.0,-0.56,2.81,5.91,7.62,8.84,10.0,11.28,11.91,11.41,10.31,9.78,8.34,6.03,3.12,1.03,-0.78,-3.78,-6.62,-7.94,-8.31,-9.09,-9.75,-9.62,-8.88,-8.19,-7.75,-6.59,-4.19,-1.69,-0.03,0.88,2.31,3.12,2.09,0.88,0.53,0.81,0.66,0.25,0.53,1.25,1.5,1.06,0.72,0.94,0.97,-0.03,-1.25,-1.47,-1.03,-1.31,-1.56,-1.03,-0.03,0.34,0.59,0.75,1.84,2.72,2.94,3.16,4.66,6.53,7.28,7.72,8.62,9.31,8.88,7.97,7.66,8.09,8.44,8.47,8.88,10.31,11.25,11.06,10.28,10.06,9.88,9.16,8.88,9.47,10.66,10.88,10.31,9.66,9.91,9.94,9.19,8.47,8.91,9.16,8.47,7.75,8.38,9.25,9.38,9.16,9.38,9.62,9.12,8.16,7.75,8.72,10.44,12.09,14.31,17.47,20.47,21.75,22.31,22.84,22.19,20.38,17.59,15.53,14.59,14.38,14.56,15.41,17.44,19.06,19.56,19.41,20.22,20.19,18.97,17.12,15.91,14.44,12.44,10.0,8.84,8.75,9.31,10.0,11.56,14.28,16.19,16.56,15.97,15.34,14.41,13.06,11.47,11.78,12.84,14.38,15.62,17.47,20.12,21.78,22.0,21.59,21.81,21.78,20.97,20.22,20.03,20.19,18.97,17.19,16.25,15.69,14.69,12.78,11.69,11.38,11.44,10.5,10.25,11.19,11.84,11.22,10.44,9.97,9.19,8.28,6.81,6.72,7.41,8.09,8.66,9.34,10.44,10.94,10.09,8.88,8.31,7.81,7.62,7.03,6.84,7.03,6.91,6.81,7.28,8.94,10.56,10.78,11.28,12.12,12.81,12.78,12.5,12.66,12.91,12.44,11.53,11.75,12.03,11.72,9.88,8.28,7.38,6.44,4.38,2.94,2.41,1.75,0.56,-0.84,-1.34,-1.66,-1.75,-2.59,-3.0,-2.66,-2.06,-2.19,-1.59,0.47,2.66,3.84,5.03,6.78,8.34,9.25,9.62,10.31,11.47,11.94,11.62,11.41,11.66,11.38,9.66,8.5,8.06,8.19,6.91,5.75,4.69,3.69,1.81,0.41,0.06,1.19,2.53,3.72,5.22,7.38,8.44,8.03,7.16,6.47,6.06,4.75,3.97,3.44,3.03,2.16,0.41,-0.38,-0.38,-0.16,-0.28,-0.5,-0.53,-1.19,-2.94,-5.09,-6.38,-7.41,-9.22,-10.75,-11.0,-9.97,-8.12,-5.72,-2.12,2.12,6.06,8.09,9.09,9.78,8.91,6.0,2.62,0.03,-1.31,-3.03,-3.84,-3.16,-1.62,-0.62,-0.34,0.16,0.75,1.19,0.44,0.47,1.28,2.62,3.53,4.09,4.84,5.72,5.38,4.78,4.81,5.12,4.53,3.09,1.09,-0.78,-2.28,-4.47,-5.75,-5.44,-4.09,-3.34,-2.0,-0.09,2.41,4.41,5.84,7.19,8.75,9.25,8.09,6.0,3.44,-0.03,-4.94,-10.09,-13.88,-16.91,-19.06,-20.22,-19.69,-17.78,-15.31,-12.97,-10.91,-8.47,-6.28,-4.81,-2.62,0.72,4.59,7.44,9.06,10.06,10.0,7.97,4.97,2.06,-0.25,-2.69,-5.19,-7.09,-7.62,-7.56,-7.78,-6.94,-5.06,-2.38,-0.66,1.06,2.38,3.0,2.12,-0.03,-1.94,-2.78,-3.62,-4.38,-4.47,-3.19,-2.12,-2.09,-1.81,-1.25,-0.72,-1.41,-1.81,-1.78,-0.84,-0.16,0.38,1.28,2.59,3.06,2.34,1.06,0.19,-0.72,-2.41,-4.06,-4.84,-4.91,-5.19,-5.62,-5.5,-4.97,-4.72,-5.38,-5.69,-5.47,-5.38,-6.25,-6.69,-6.28,-5.25,-4.44,-3.19,-1.12,1.38,3.41,5.31,7.19,9.41,10.66,11.0,10.78,11.0,11.12,10.66,10.22,10.38,10.75,10.16,9.75,9.81,10.31,10.59,10.72,11.0,12.34,13.16,13.5,13.22,13.47,13.34,12.97,12.22,12.62,12.66,12.34,11.5,10.59,10.19,9.5,8.03,6.75,6.56,6.34,6.28,6.53,8.69,11.31,13.59,15.25,16.97,18.16,18.47,17.94,17.44,17.59,17.69,17.66,17.25,17.72,17.59,16.56,14.69,13.19,11.47,8.94,6.03,3.47,1.5,0.09,-1.22,-1.62,-0.78,0.25,0.72,0.59,1.0,1.03,0.28,-0.66,-1.12,-1.03,-1.19,-1.75,-1.91,-1.5,-1.19,-1.34,-1.12,0.41,1.78,2.66,2.91,3.5,3.06,1.28,-0.88,-3.06,-4.28,-4.78,-4.78,-3.75,-1.78,0.34,1.59,2.47,3.81,5.41,6.38,7.06,8.56,10.5,11.41,11.5,11.78,11.84,11.34,10.41,9.78,10.09,11.06,11.53,12.12,13.47,14.69,14.56,13.34,12.03,10.12,7.81,5.28,3.75,3.47,3.88,4.47,5.53,7.31,8.81,9.34,9.44,10.03,10.44,10.53,10.78,12.0,13.44,14.38,14.25,13.94,12.97,12.06,10.62,10.09,10.28,11.12,11.31,11.53,11.91,11.97,11.59,10.31,9.31,8.5,7.88,6.59,5.81,5.44,5.19,3.44,1.47,-0.44,-1.66,-3.62,-5.66,-6.66,-7.09,-7.53,-8.06,-7.5,-6.19,-4.41,-3.59,-2.97,-2.34,-2.44,-3.69,-5.25,-5.91,-5.72,-5.78,-5.47,-4.03,-2.41,-1.38,-1.06,-0.94,-0.06,0.84,1.28,2.31,3.94,4.88,4.84,4.19,4.16,4.53,4.62,4.56,5.03,5.84,5.81,4.62,3.28,2.56,1.56,0.0,-1.06,-0.97,-0.56,-0.22,0.09,1.5,3.44,5.25,6.38,7.84,9.41,10.69,11.31,12.16,13.47,14.66,14.16,13.22,12.09,10.78,8.72,6.62,5.03,4.19,3.0,1.41,0.59,0.91,1.56,1.91,2.81,4.59,6.47,7.19,7.5,7.72,7.25,6.03,4.38,3.31,3.38,4.16,4.66,5.38,6.44,6.59,5.25,3.75,2.91,2.53,1.94,1.59,1.84,2.56,2.62,2.53,2.84,4.12,5.19,5.69,6.03,7.19,8.0,7.97,7.94,8.12,8.44,7.56,6.09,4.94,4.25,2.81,1.41,-0.28,-1.0,-1.69,-3.0,-3.94,-3.19,-1.81,-1.09,-0.03,1.22,2.53,2.81,2.34,2.28,2.81,3.0,2.84,2.81,3.97,4.88,5.12,5.5,7.0,8.44,9.03,9.22,9.72,9.88,9.09,7.97,6.81,6.09,5.12,3.66,2.47,2.59,2.91,2.81,2.38,2.03,1.12,-1.38,-4.34,-6.38,-7.53,-8.34,-8.56,-7.59,-5.25,-2.69,-0.94,0.31,1.62,2.59,1.84,0.69,0.22,0.09,-0.56,-1.47,-1.56,-1.09,-1.19,-1.84,-1.94,-1.38,-0.66,-0.31,0.31,1.41,2.34,2.06,1.22,0.78,0.56,0.16,0.12,1.0,2.84,4.53,5.75,7.03,8.66,10.06,10.88,11.28,12.19,13.0,12.38,10.62,9.09,7.94,6.47,4.56,3.19,2.88,2.47,1.5,1.0,1.75,2.75,2.91,2.97,3.56,4.12,3.88,2.94,2.75,2.97,2.28,1.16,0.62,0.94,1.16,1.0,0.91,1.59,2.09,1.59,1.38,2.38,4.59,6.69,8.69,11.0,12.47,12.53,11.16,9.0,7.81,6.53,4.5,2.56,2.09,1.72,0.44,-1.16,-2.16,-2.03,-2.0,-1.72,0.12,2.97,5.41,6.34,6.5,6.69,5.94,3.88,1.22,0.22,0.06,-0.09,-0.06,1.31,3.75,6.03,7.28,8.84,10.28,10.47,9.09,7.44,6.22,5.03,3.09,0.84,-0.34,-1.44,-2.81,-4.38,-4.94,-4.09,-2.66,-1.06,1.47,5.09,8.03,9.69,10.56,12.0,13.41,13.84,14.0,14.94,15.47,14.72,13.06,11.41,10.94,10.44,21.16,20.47,20.16,20.0,20.22,20.47,20.31,20.12,19.59,18.94,18.03,17.69,17.22,16.62,16.12,15.62,14.78,13.78,13.56,13.69,14.09,14.66,15.69,16.78,18.09,19.41,20.38,21.22,21.66,21.5,21.22,20.47,20.12,19.25,18.06:15.16,15.84,16.44,16.28,15.72,16.19,16.66,17.19,17.16,17.72,18.91,19.28,18.59,17.97,18.19,18.28,17.97,18.19,19.28,20.22,20.28,19.56,19.41,18.66,17.69,16.53,15.66,15.34,14.94,14.03,13.25,13.62,14.41,14.88,15.41,16.31,16.84,16.31,14.84,13.88,13.34,13.22,12.78,12.94,14.06,14.97,15.31,15.53,16.06,16.25,15.47,14.5,14.88,16.09,17.56,18.16,19.28,20.22,20.78,20.22,20.28,21.59,22.88,23.16,22.88,22.91,22.44,20.88,18.59,17.0,16.44,15.41,13.72,12.47,11.47,10.06,7.72,5.84,5.06,4.78,3.88,2.5,1.88,1.38,0.44,-0.44,-0.47,0.44,1.34,1.59,2.66,4.12,6.06,6.41,6.28,6.06,5.44,3.41,1.28,0.66,0.97,1.28,1.53,2.75,4.91,6.97,8.69,10.78,13.25,15.47,16.38,17.19,18.19,19.28,19.16,18.53,17.16,15.62,12.53,8.34,4.38,1.59,-0.59,-2.5,-3.31,-2.28,-0.25,1.16,2.81,5.12,7.81,9.75,11.12,13.28,15.94,18.0,19.09,19.97,20.84,20.47,18.16,15.5,13.28,11.06,8.69,7.06,5.81,5.16,3.81,1.66,0.09,-0.62,-1.12,-1.78,-1.5,0.19,2.06,3.03,4.56,6.84,9.5,11.78,14.0,16.44,18.91,20.25,20.12,19.5,18.72,17.31,14.53,11.56,9.25,6.88,3.78,1.59,0.84,1.81,4.19,7.47,12.25,17.94,23.47,27.03,29.56,31.69,32.53,31.0,28.81,26.91,23.97,19.59,14.56,9.88,5.28,0.06,-4.28,-7.59,-9.09,-9.41,-10.22,-9.62,-7.81,-5.28,-3.0,-0.56,2.81,5.91,7.62,8.84,10.0,11.28,11.91,11.41,10.31,9.78,8.34,6.03,3.12,1.03,-0.78,-3.78,-6.62,-7.94,-8.31,-9.09,-9.75,-9.62,-8.88,-8.19,-7.75,-6.59,-4.19,-1.69,-0.03,0.88,2.31,3.12,2.09,0.88,0.53,0.81,0.66,0.25,0.53,1.25,1.5,1.06,0.72,0.94,0.97,-0.03,-1.25,-1.47,-1.03,-1.31,-1.56,-1.03,-0.03,0.34,0.59,0.75,1.84,2.72,2.94,3.16,4.66,6.53,7.28,7.72,8.62,9.31,8.88,7.97,7.66,8.09,8.44,8.47,8.88,10.31,11.25,11.06,10.28,10.06,9.88,9.16,8.88,9.47,10.66,10.88,10.31,9.66,9.91,9.94,9.19,8.47,8.91,9.16,8.47,7.75,8.38,9.25,9.38,9.16,9.38,9.62,9.12,8.16,7.75,8.72,10.44,12.09,14.31,17.47,20.47,21.75,22.31,22.84,22.19,20.38,17.59,15.53,14.59,14.38,14.56,15.41,17.44,19.06,19.56,19.41,20.22,20.19,18.97,17.12,15.91,14.44,12.44,10.0,8.84,8.75,9.31,10.0,11.56,14.28,16.19,16.56,15.97,15.34,14.41,13.06,11.47,11.78,12.84,14.38,15.62,17.47,20.12,21.78,22.0,21.59,21.81,21.78,20.97,20.22,20.03,20.19,18.97,17.19,16.25,15.69,14.69,12.78,11.69,11.38,11.44,10.5,10.25,11.19,11.84,11.22,10.44,9.97,9.19,8.28,6.81,6.72,7.41,8.09,8.66,9.34,10.44,10.94,10.09,8.88,8.31,7.81,7.62,7.03,6.84,7.03,6.91,6.81,7.28,8.94,10.56,10.78,11.28,12.12,12.81,12.78,12.5,12.66,12.91,12.44,11.53,11.75,12.03,11.72,9.88,8.28,7.38,6.44,4.38,2.94,2.41,1.75,0.56,-0.84,-1.34,-1.66,-1.75,-2.59,-3.0,-2.66,-2.06,-2.19,-1.59,0.47,2.66,3.84,5.03,6.78,8.34,9.25,9.62,10.31,11.47,11.94,11.62,11.41,11.66,11.38,9.66,8.5,8.06,8.19,6.91,5.75,4.69,3.69,1.81,0.41,0.06,1.19,2.53,3.72,5.22,7.38,8.44,8.03,7.16,6.47,6.06,4.75,3.97,3.44,3.03,2.16,0.41,-0.38,-0.38,-0.16,-0.28,-0.5,-0.53,-1.19,-2.94,-5.09,-6.38,-7.41,-9.22,-10.75,-11.0,-9.97,-8.12,-5.72,-2.12,2.12,6.06,8.09,9.09,9.78,8.91,6.0,2.62,0.03,-1.31,-3.03,-3.84,-3.16,-1.62,-0.62,-0.34,0.16,0.75,1.19,0.44,0.47,1.28,2.62,3.53,4.09,4.84,5.72,5.38,4.78,4.81,5.12,4.53,3.09,1.09,-0.78,-2.28,-4.47,-5.75,-5.44,-4.09,-3.34,-2.0,-0.09,2.41,4.41,5.84,7.19,8.75,9.25,8.09,6.0,3.44,-0.03,-4.94,-10.09,-13.88,-16.91,-19.06,-20.22,-19.69,-17.78,-15.31,-12.97,-10.91,-8.47,-6.28,-4.81,-2.62,0.72,4.59,7.44,9.06,10.06,10.0,7.97,4.97,2.06,-0.25,-2.69,-5.19,-7.09,-7.62,-7.56,-7.78,-6.94,-5.06,-2.38,-0.66,1.06,2.38,3.0,2.12,-0.03,-1.94,-2.78,-3.62,-4.38,-4.47,-3.19,-2.12,-2.09,-1.81,-1.25,-0.72,-1.41,-1.81,-1.78,-0.84,-0.16,0.38,1.28,2.59,3.06,2.34,1.06,0.19,-0.72,-2.41,-4.06,-4.84,-4.91,-5.19,-5.62,-5.5,-4.97,-4.72,-5.38,-5.69,-5.47,-5.38,-6.25,-6.69,-6.28,-5.25,-4.44,-3.19,-1.12,1.38,3.41,5.31,7.19,9.41,10.66,11.0,10.78,11.0,11.12,10.66,10.22,10.38,10.75,10.16,9.75,9.81,10.31,10.59,10.72,11.0,12.34,13.16,13.5,13.22,13.47,13.34,12.97,12.22,12.62,12.66,12.34,11.5,10.59,10.19,9.5,8.03,6.75,6.56,6.34,6.28,6.53,8.69,11.31,13.59,15.25,16.97,18.16,18.47,17.94,17.44,17.59,17.69,17.66,17.25,17.72,17.59,16.56,14.69,13.19,11.47,8.94,6.03,3.47,1.5,0.09,-1.22,-1.62,-0.78,0.25,0.72,0.59,1.0,1.03,0.28,-0.66,-1.12,-1.03,-1.19,-1.75,-1.91,-1.5,-1.19,-1.34,-1.12,0.41,1.78,2.66,2.91,3.5,3.06,1.28,-0.88,-3.06,-4.28,-4.78,-4.78,-3.75,-1.78,0.34,1.59,2.47,3.81,5.41,6.38,7.06,8.56,10.5,11.41,11.5,11.78,11.84,11.34,10.41,9.78,10.09,11.06,11.53,12.12,13.47,14.69,14.56,13.34,12.03,10.12,7.81,5.28,3.75,3.47,3.88,4.47,5.53,7.31,8.81,9.34,9.44,10.03,10.44,10.53,10.78,12.0,13.44,14.38,14.25,13.94,12.97,12.06,10.62,10.09,10.28,11.12,11.31,11.53,11.91,11.97,11.59,10.31,9.31,8.5,7.88,6.59,5.81,5.44,5.19,3.44,1.47,-0.44,-1.66,-3.62,-5.66,-6.66,-7.09,-7.53,-8.06,-7.5,-6.19,-4.41,-3.59,-2.97,-2.34,-2.44,-3.69,-5.25,-5.91,-5.72,-5.78,-5.47,-4.03,-2.41,-1.38,-1.06,-0.94,-0.06,0.84,1.28,2.31,3.94,4.88,4.84,4.19,4.16,4.53,4.62,4.56,5.03,5.84,5.81,4.62,3.28,2.56,1.56,0.0,-1.06,-0.97,-0.56,-0.22,0.09,1.5,3.44,5.25,6.38,7.84,9.41,10.69,11.31,12.16,13.47,14.66,14.16,13.22,12.09,10.78,8.72,6.62,5.03,4.19,3.0,1.41,0.59,0.91,1.56,1.91,2.81,4.59,6.47,7.19,7.5,7.72,7.25,6.03,4.38,3.31,3.38,4.16,4.66,5.38,6.44,6.59,5.25,3.75,2.91,2.53,1.94,1.59,1.84,2.56,2.62,2.53,2.84,4.12,5.19,5.69,6.03,7.19,8.0,7.97,7.94,8.12,8.44,7.56,6.09,4.94,4.25,2.81,1.41,-0.28,-1.0,-1.69,-3.0,-3.94,-3.19,-1.81,-1.09,-0.03,1.22,2.53,2.81,2.34,2.28,2.81,3.0,2.84,2.81,3.97,4.88,5.12,5.5,7.0,8.44,9.03,9.22,9.72,9.88,9.09,7.97,6.81,6.09,5.12,3.66,2.47,2.59,2.91,2.81,2.38,2.03,1.12,-1.38,-4.34,-6.38,-7.53,-8.34,-8.56,-7.59,-5.25,-2.69,-0.94,0.31,1.62,2.59,1.84,0.69,0.22,0.09,-0.56,-1.47,-1.56,-1.09,-1.19,-1.84,-1.94,-1.38,-0.66,-0.31,0.31,1.41,2.34,2.06,1.22,0.78,0.56,0.16,0.12,1.0,2.84,4.53,5.75,7.03,8.66,10.06,10.88,11.28,12.19,13.0,12.38,10.62,9.09,7.94,6.47,4.56,3.19,2.88,2.47,1.5,1.0,1.75,2.75,2.91,2.97,3.56,4.12,3.88,2.94,2.75,2.97,2.28,1.16,0.62,0.94,1.16,1.0,0.91,1.59,2.09,1.59,1.38,2.38,4.59,6.69,8.69,11.0,12.47,12.53,11.16,9.0,7.81,6.53,4.5,2.56,2.09,1.72,0.44,-1.16,-2.16,-2.03,-2.0,-1.72,0.12,2.97,5.41,6.34,6.5,6.69,5.94,3.88,1.22,0.22,0.06,-0.09,-0.06,1.31,3.75,6.03,7.28,8.84,10.28,10.47,9.09,7.44,6.22,5.03,3.09,0.84,-0.34,-1.44,-2.81,-4.38,-4.94,-4.09,-2.66,-1.06,1.47,5.09,8.03,9.69,10.56,12.0,13.41,13.84,14.0,14.94,15.47,14.72,13.06,11.41,10.94,10.44,21.16,20.47,20.16,20.0,20.22,20.47,20.31,20.12,19.59,18.94,18.03,17.69,17.22,16.62,16.12,15.62,14.78,13.78,13.56,13.69,14.09,14.66,15.69,16.78,18.09,19.41,20.38,21.22,21.66,21.5,21.22,20.47,20.12,19.25,18.06,17.19,16.53,16.38,16.22,16.09,16.28,16.38:negativity
17.94,16.78,14.0,11.78,10.47,8.66,5.41,3.72,4.66,6.66,7.97,9.69,13.09,16.38,17.91,17.88,17.56,17.75,16.47,14.09,13.0,13.53,14.16,13.06,12.22,12.19,12.41,10.62,8.94,8.84,9.47,8.66,7.25,6.47,6.94,6.59,5.31,5.12,6.34,7.62,7.91,8.75,11.56,15.03,17.03,18.34,20.47,22.62,22.53,20.78,19.66,18.62,16.72,13.12,10.03,8.25,7.06,3.94,1.47,1.03,1.62,1.59,2.41,5.34,9.12,12.16,13.72,15.47,17.97,19.62,19.12,19.25,20.66,22.09,21.81,20.91,21.06,21.38,19.03,16.06,13.91,12.56,10.34,6.81,4.66,4.41,4.25,3.03,2.53,3.84,5.56,5.78,6.47,8.53,11.34,12.75,13.09,14.28,16.31,17.16,16.06,14.94,14.78,13.81,11.53,9.91,10.5,11.59,10.72,9.25,8.25,7.53,5.5,3.03,2.25,3.19,4.62,5.34,6.47,8.88,10.81,9.91,8.28,7.84,7.97,6.72,5.5,6.25,8.03,8.91,8.91,9.75,11.38,12.22,10.81,9.31,9.56,9.47,7.91,6.75,7.25,8.47,7.62,5.94,5.44,5.69,5.09,4.09,4.47,6.59,7.97,7.41,6.91,7.72,8.38,7.59,6.94,7.34,8.06,6.91,5.47,4.94,6.09,6.66,6.59,7.47,9.25,10.75,10.34,10.47,12.12,14.97,16.03,17.38,20.0,22.81,23.91,23.28,22.91,23.44,22.84,20.5,18.66,17.78,16.47,12.94,9.34,7.25,6.19,3.78,1.59,1.03,1.84,1.75,1.34,2.0,4.34,5.97,6.97,8.94,12.5,15.84,17.16,17.66,18.03,17.72,15.44,12.0,10.34,10.09,9.44,8.62,8.41,9.75,10.19,9.22,8.56,9.38,11.0,11.78,12.81,15.94,19.84,21.84,22.78,24.12,26.12,26.16,25.31,24.62,25.09,24.41,21.59,18.47,16.0,13.12,8.41,4.19,1.91,1.47,1.31,1.66,3.69,6.72,8.62,8.97,9.59,12.22,14.19,15.5,17.41,20.69,23.94,24.75,24.12,23.41,22.56,19.59,15.62,12.62,10.81,8.22,4.38,1.28,0.09,-0.81,-2.06,-3.16,-2.25,-0.53,0.41,1.22,3.66,7.69,10.62,13.31,16.69,21.25,24.59,25.75,25.78,26.53,25.88,23.53,21.0,19.69,18.94,17.44,15.5,14.69,15.09,14.66,12.72,11.34,10.53,8.53,4.66,0.06,-2.31,-4.41,-6.91,-8.25,-6.72,-3.97,-2.19,-0.25,2.5,6.47,9.56,11.19,12.97,15.53,17.06,16.69,15.94,16.03,15.94,14.28,12.25,11.41,11.84,11.0,9.44,8.5,8.25,6.88,4.75,3.09,3.5,4.72,4.81,4.81,5.72,6.06,5.06,2.56,1.53,1.12,-0.03,-2.16,-2.88,-1.62,-0.56,0.0,0.69,2.62,4.34,3.53,2.22,1.84,1.97,1.31,0.0,0.66,2.16,2.75,2.72,3.5,5.81,7.59,7.88,7.97,9.28,9.97,9.09,7.72,7.91,8.19,7.47,5.62,5.47,6.47,7.25,7.47,8.09,10.09,11.03,10.22,9.19,9.28,10.12,9.44,8.84,9.91,11.34,12.0,11.75,12.09,13.75,14.38,13.38,12.28,12.62,12.59,11.03,9.81,10.56,11.5,11.16,10.47,11.34,12.69,13.12,11.94,11.19,11.22,10.81,9.81,9.78,11.88,13.94,14.59,14.28,14.94,15.12,13.19,10.38,9.09,8.62,7.97,6.5,5.66,5.97,5.91,4.56,3.31,3.56,3.31,2.09,0.59,1.59,4.06,6.22,8.16,11.0,14.44,16.84,17.5,18.28,19.25,19.47,17.16,14.12,12.56,11.22,9.22,7.44,8.25,9.5,10.06,9.41,9.19,9.56,8.97,6.78,5.03,5.06,5.59,5.78,6.91,10.59,14.53,17.0,18.59,21.03,23.5,24.5,23.97,23.69,24.31,23.59,21.06,18.84,17.84,16.81,14.97,14.0,15.16,16.94,17.75,17.59,18.78,19.91,20.56,20.09,20.69,22.53,23.5,22.41,21.0,20.56,19.38,16.53,13.69,11.97,10.38,7.53,3.78,1.47,0.41,-0.34,-1.34,-0.53,2.19,5.12,7.22,9.41,12.84,16.28,17.75,18.44,20.28,22.09,22.59,21.59,21.38,21.5,20.34,17.66,15.12,13.03,10.84,7.09,3.81,2.59,2.72,1.81,1.0,1.72,3.0,3.31,2.97,3.88,6.06,8.44,9.88,11.62,14.72,17.28,17.88,17.97,19.12,20.28,19.41,17.62,16.5,15.66,13.47,10.44,8.47,7.56,6.97,5.44,4.59,5.62,6.91,6.81,6.22,7.62,9.5,10.62,11.09,12.5,14.34,14.59,12.97,12.44,12.91,13.28,12.41,11.78,12.59,13.28,12.62,11.81,12.66,14.22,14.34,13.47,13.34,14.09,13.47,11.28,10.25,10.22,10.06,9.09,8.88,10.53,12.34,13.0,13.34,15.09,17.56,19.56,20.69,22.81,25.38,26.38,25.09,23.44,22.38,21.12,18.28,16.41,16.09,16.5,15.5,14.31,14.0,15.0,15.25,14.72,15.19,16.78,17.44,15.88,14.69,14.62,14.28,12.22,10.56,10.28,10.47,9.78,8.91,9.38,11.16,12.22,11.97,12.5,13.75,14.28,12.81,11.94,12.94,14.53,14.81,15.31,16.56,17.59,16.31,13.72,12.09,11.59,10.84,9.62,9.5,11.06,12.75,13.22,13.84,15.84,18.25,18.66,18.72,20.31,22.44,23.22,22.81,22.44,22.5,21.81,20.0,18.75,19.31,19.66,18.44,17.22,17.06,17.66,16.84,16.19,17.44,19.66,20.5,20.34,20.31,21.16,21.0,19.38,18.41,19.16,20.84,21.34,22.56,25.12,28.16,28.59,28.16,27.81,28.09,26.56,23.75,21.19,19.81,17.91,15.0,12.88,13.03,13.75,13.09,12.97,14.16,16.0,16.25,15.88,16.34,17.41,17.44,16.22,15.62,16.72,17.28,16.5,15.5,15.84,16.12,15.0,13.78,14.09,15.25,15.12,13.97,13.72,14.38,14.22,12.78,11.59,12.44,13.25,12.31,12.06,13.19,14.69,14.28,13.12,13.19,14.12,13.34,12.06,11.44,12.12,12.19,11.0,10.38,11.69,12.88,12.25,11.38,11.38,11.62,10.28,8.78,9.47,11.97,13.75,14.69,15.56,17.53,17.84,16.31,15.16,15.47,16.34,15.81,15.28,16.25,17.31,16.5,15.34,15.03,16.69,16.72,16.03,15.69,16.03,15.28,12.66,9.69,8.97,8.81,8.12,8.25,10.97,14.88,17.12,18.69,20.41,23.0,23.44,22.5,21.19,21.16,20.03,16.91,13.62,11.47,9.38,5.25,1.25,-1.25,-2.25,-3.88,-4.91,-4.06,-0.59,2.59,4.78,7.59,11.69,14.44,14.91,14.44,15.19,15.78,14.66,13.16,13.41,14.47,14.62,13.31,12.88,13.31,12.44,9.88,7.44,6.25,5.0,2.41,-0.06,-0.38,0.62,0.38,-0.31,0.53,2.41,3.09,2.47,2.59,4.22,4.62,4.06,4.03,6.44,9.09,10.62,12.16,15.19,17.62,17.56,16.34,16.28,17.34,17.94,17.78,18.34,19.72,19.81,17.97,15.62,15.84,16.16,15.56,14.59,15.12,15.62,14.19,11.19,8.91,7.25,5.06,1.81,0.19,1.16,3.12,4.84,7.44,12.16,16.06,17.12,16.16,14.84,13.22,9.59,5.22,2.72,2.09,1.5,0.19,0.03,1.56,2.94,3.22,3.81,6.75,10.31,12.12,12.53,13.38,13.66,11.5,7.62,4.59,3.28,1.62,-0.41,-1.12,0.34,1.91,1.91,1.19,2.34,3.91,4.66,5.19,7.69,11.31,13.72,14.16,14.59,15.03,14.34,11.59,9.22,8.75,8.5,7.38,5.88,6.44,7.97,8.44,8.0,8.91,10.72,11.56,10.62,10.44,11.44,11.56,9.31,7.03,6.5,6.09,4.25,2.19,1.94,1.69,0.28,-2.38,-3.94,-4.53,-5.62,-7.41,-8.0,-6.09,-4.03,-3.09,-1.78,1.41,4.47,6.62,8.16,11.34,14.78,16.38,16.38,17.09,18.66,19.28,18.5,17.91,18.69,18.72,16.56,14.03,13.16,12.62,10.97,9.28,9.25,9.97,9.62,8.0,7.31,7.75,7.22,5.12,3.69,4.22,5.06,4.81,5.22,7.5,10.34,12.03,12.66,14.34,15.84,16.09,14.44,13.28,13.88,13.88,11.78,10.19,10.72,11.06,10.38,10.12,11.88,14.78,16.03,16.31,17.78,19.62,19.97,18.47,17.06,16.53,15.72,12.91,10.78,11.0,12.06,12.5,12.47,14.09,16.25,17.22,16.75,17.41,19.41,20.12,18.72,17.66,17.62,17.12,15.0,13.19,13.34,13.41,12.06,10.16,9.97,10.5,10.06,8.84,8.84,10.19,11.16,11.0,11.38,13.28,15.03,15.38,15.75,18.03,21.12,22.5,22.94,24.0,25.28,24.69,22.59,21.06,20.5,19.47,16.5,14.19,13.56,12.53,10.09,7.97,7.72,8.47,8.25,7.78,8.88,11.28,13.06,13.75,15.38,18.0,19.97,19.69,19.69,20.88,21.91,20.97,19.72,19.94,20.41,19.31,17.75,17.09,17.09,16.5,14.16,12.56,12.12,11.47,9.19,7.81,8.5,9.59,9.41,9.56,11.84,14.78,16.5,17.28,18.56,19.84,19.25,16.75,14.75,14.0,13.41,11.41,9.75,9.94,10.56,10.12,9.69,11.09,13.31,14.38,14.34,15.28,16.69,17.09,15.91,14.84,14.94,15.34,13.66,12.0,11.69,12.31,11.5,10.34,10.94,12.44,12.94,12.06,12.12,13.03,13.31,11.91,10.47,10.06:3.72,4.66,6.66,7.97,9.69,13.09,16.38,17.91,17.88,17.56,17.75,16.47,14.09,13.0,13.53,14.16,13.06,12.22,12.19,12.41,10.62,8.94,8.84,9.47,8.66,7.25,6.47,6.94,6.59,5.31,5.12,6.34,7.62,7.91,8.75,11.56,15.03,17.03,18.34,20.47,22.62,22.53,20.78,19.66,18.62,16.72,13.12,10.03,8.25,7.06,3.94,1.47,1.03,1.62,1.59,2.41,5.34,9.12,12.16,13.72,15.47,17.97,19.62,19.12,19.25,20.66,22.09,21.81,20.91,21.06,21.38,19.03,16.06,13.91,12.56,10.34,6.81,4.66,4.41,4.25,3.03,2.53,3.84,5.56,5.78,6.47,8.53,11.34,12.75,13.09,14.28,16.31,17.16,16.06,14.94,14.78,13.81,11.53,9.91,10.5,11.59,10.72,9.25,8.25,7.53,5.5,3.03,2.25,3.19,4.62,5.34,6.47,8.88,10.81,9.91,8.28,7.84,7.97,6.72,5.5,6.25,8.03,8.91,8.91,9.75,11.38,12.22,10.81,9.31,9.56,9.47,7.91,6.75,7.25,8.47,7.62,5.94,5.44,5.69,5.09,4.09,4.47,6.59,7.97,7.41,6.91,7.72,8.38,7.59,6.94,7.34,8.06,6.91,5.47,4.94,6.09,6.66,6.59,7.47,9.25,10.75,10.34,10.47,12.12,14.97,16.03,17.38,20.0,22.81,23.91,23.28,22.91,23.44,22.84,20.5,18.66,17.78,16.47,12.94,9.34,7.25,6.19,3.78,1.59,1.03,1.84,1.75,1.34,2.0,4.34,5.97,6.97,8.94,12.5,15.84,17.16,17.66,18.03,17.72,15.44,12.0,10.34,10.09,9.44,8.62,8.41,9.75,10.19,9.22,8.56,9.38,11.0,11.78,12.81,15.94,19.84,21.84,22.78,24.12,26.12,26.16,25.31,24.62,25.09,24.41,21.59,18.47,16.0,13.12,8.41,4.19,1.91,1.47,1.31,1.66,3.69,6.72,8.62,8.97,9.59,12.22,14.19,15.5,17.41,20.69,23.94,24.75,24.12,23.41,22.56,19.59,15.62,12.62,10.81,8.22,4.38,1.28,0.09,-0.81,-2.06,-3.16,-2.25,-0.53,0.41,1.22,3.66,7.69,10.62,13.31,16.69,21.25,24.59,25.75,25.78,26.53,25.88,23.53,21.0,19.69,18.94,17.44,15.5,14.69,15.09,14.66,12.72,11.34,10.53,8.53,4.66,0.06,-2.31,-4.41,-6.91,-8.25,-6.72,-3.97,-2.19,-0.25,2.5,6.47,9.56,11.19,12.97,15.53,17.06,16.69,15.94,16.03,15.94,14.28,12.25,11.41,11.84,11.0,9.44,8.5,8.25,6.88,4.75,3.09,3.5,4.72,4.81,4.81,5.72,6.06,5.06,2.56,1.53,1.12,-0.03,-2.16,-2.88,-1.62,-0.56,0.0,0.69,2.62,4.34,3.53,2.22,1.84,1.97,1.31,0.0,0.66,2.16,2.75,2.72,3.5,5.81,7.59,7.88,7.97,9.28,9.97,9.09,7.72,7.91,8.19,7.47,5.62,5.47,6.47,7.25,7.47,8.09,10.09,11.03,10.22,9.19,9.28,10.12,9.44,8.84,9.91,11.34,12.0,11.75,12.09,13.75,14.38,13.38,12.28,12.62,12.59,11.03,9.81,10.56,11.5,11.16,10.47,11.34,12.69,13.12,11.94,11.19,11.22,10.81,9.81,9.78,11.88,13.94,14.59,14.28,14.94,15.12,13.19,10.38,9.09,8.62,7.97,6.5,5.66,5.97,5.91,4.56,3.31,3.56,3.31,2.09,0.59,1.59,4.06,6.22,8.16,11.0,14.44,16.84,17.5,18.28,19.25,19.47,17.16,14.12,12.56,11.22,9.22,7.44,8.25,9.5,10.06,9.41,9.19,9.56,8.97,6.78,5.03,5.06,5.59,5.78,6.91,10.59,14.53,17.0,18.59,21.03,23.5,24.5,23.97,23.69,24.31,23.59,21.06,18.84,17.84,16.81,14.97,14.0,15.16,16.94,17.75,17.59,18.78,19.91,20.56,20.09,20.69,22.53,23.5,22.41,21.0,20.56,19.38,16.53,13.69,11.97,10.38,7.53,3.78,1.47,0.41,-0.34,-1.34,-0.53,2.19,5.12,7.22,9.41,12.84,16.28,17.75,18.44,20.28,22.09,22.59,21.59,21.38,21.5,20.34,17.66,15.12,13.03,10.84,7.09,3.81,2.59,2.72,1.81,1.0,1.72,3.0,3.31,2.97,3.88,6.06,8.44,9.88,11.62,14.72,17.28,17.88,17.97,19.12,20.28,19.41,17.62,16.5,15.66,13.47,10.44,8.47,7.56,6.97,5.44,4.59,5.62,6.91,6.81,6.22,7.62,9.5,10.62,11.09,12.5,14.34,14.59,12.97,12.44,12.91,13.28,12.41,11.78,12.59,13.28,12.62,11.81,12.66,14.22,14.34,13.47,13.34,14.09,13.47,11.28,10.25,10.22,10.06,9.09,8.88,10.53,12.34,13.0,13.34,15.09,17.56,19.56,20.69,22.81,25.38,26.38,25.09,23.44,22.38,21.12,18.28,16.41,16.09,16.5,15.5,14.31,14.0,15.0,15.25,14.72,15.19,16.78,17.44,15.88,14.69,14.62,14.28,12.22,10.56,10.28,10.47,9.78,8.91,9.38,11.16,12.22,11.97,12.5,13.75,14.28,12.81,11.94,12.94,14.53,14.81,15.31,16.56,17.59,16.31,13.72,12.09,11.59,10.84,9.62,9.5,11.06,12.75,13.22,13.84,15.84,18.25,18.66,18.72,20.31,22.44,23.22,22.81,22.44,22.5,21.81,20.0,18.75,19.31,19.66,18.44,17.22,17.06,17.66,16.84,16.19,17.44,19.66,20.5,20.34,20.31,21.16,21.0,19.38,18.41,19.16,20.84,21.34,22.56,25.12,28.16,28.59,28.16,27.81,28.09,26.56,23.75,21.19,19.81,17.91,15.0,12.88,13.03,13.75,13.09,12.97,14.16,16.0,16.25,15.88,16.34,17.41,17.44,16.22,15.62,16.72,17.28,16.5,15.5,15.84,16.12,15.0,13.78,14.09,15.25,15.12,13.97,13.72,14.38,14.22,12.78,11.59,12.44,13.25,12.31,12.06,13.19,14.69,14.28,13.12,13.19,14.12,13.34,12.06,11.44,12.12,12.19,11.0,10.38,11.69,12.88,12.25,11.38,11.38,11.62,10.28,8.78,9.47,11.97,13.75,14.69,15.56,17.53,17.84,16.31,15.16,15.47,16.34,15.81,15.28,16.25,17.31,16.5,15.34,15.03,16.69,16.72,16.03,15.69,16.03,15.28,12.66,9.69,8.97,8.81,8.12,8.25,10.97,14.88,17.12,18.69,20.41,23.0,23.44,22.5,21.19,21.16,20.03,16.91,13.62,11.47,9.38,5.25,1.25,-1.25,-2.25,-3.88,-4.91,-4.06,-0.59,2.59,4.78,7.59,11.69,14.44,14.91,14.44,15.19,15.78,14.66,13.16,13.41,14.47,14.62,13.31,12.88,13.31,12.44,9.88,7.44,6.25,5.0,2.41,-0.06,-0.38,0.62,0.38,-0.31,0.53,2.41,3.09,2.47,2.59,4.22,4.62,4.06,4.03,6.44,9.09,10.62,12.16,15.19,17.62,17.56,16.34,16.28,17.34,17.94,17.78,18.34,19.72,19.81,17.97,15.62,15.84,16.16,15.56,14.59,15.12,15.62,14.19,11.19,8.91,7.25,5.06,1.81,0.19,1.16,3.12,4.84,7.44,12.16,16.06,17.12,16.16,14.84,13.22,9.59,5.22,2.72,2.09,1.5,0.19,0.03,1.56,2.94,3.22,3.81,6.75,10.31,12.12,12.53,13.38,13.66,11.5,7.62,4.59,3.28,1.62,-0.41,-1.12,0.34,1.91,1.91,1.19,2.34,3.91,4.66,5.19,7.69,11.31,13.72,14.16,14.59,15.03,14.34,11.59,9.22,8.75,8.5,7.38,5.88,6.44,7.97,8.44,8.0,8.91,10.72,11.56,10.62,10.44,11.44,11.56,9.31,7.03,6.5,6.09,4.25,2.19,1.94,1.69,0.28,-2.38,-3.94,-4.53,-5.62,-7.41,-8.0,-6.09,-4.03,-3.09,-1.78,1.41,4.47,6.62,8.16,11.34,14.78,16.38,16.38,17.09,18.66,19.28,18.5,17.91,18.69,18.72,16.56,14.03,13.16,12.62,10.97,9.28,9.25,9.97,9.62,8.0,7.31,7.75,7.22,5.12,3.69,4.22,5.06,4.81,5.22,7.5,10.34,12.03,12.66,14.34,15.84,16.09,14.44,13.28,13.88,13.88,11.78,10.19,10.72,11.06,10.38,10.12,11.88,14.78,16.03,16.31,17.78,19.62,19.97,18.47,17.06,16.53,15.72,12.91,10.78,11.0,12.06,12.5,12.47,14.09,16.25,17.22,16.75,17.41,19.41,20.12,18.72,17.66,17.62,17.12,15.0,13.19,13.34,13.41,12.06,10.16,9.97,10.5,10.06,8.84,8.84,10.19,11.16,11.0,11.38,13.28,15.03,15.38,15.75,18.03,21.12,22.5,22.94,24.0,25.28,24.69,22.59,21.06,20.5,19.47,16.5,14.19,13.56,12.53,10.09,7.97,7.72,8.47,8.25,7.78,8.88,11.28,13.06,13.75,15.38,18.0,19.97,19.69,19.69,20.88,21.91,20.97,19.72,19.94,20.41,19.31,17.75,17.09,17.09,16.5,14.16,12.56,12.12,11.47,9.19,7.81,8.5,9.59,9.41,9.56,11.84,14.78,16.5,17.28,18.56,19.84,19.25,16.75,14.75,14.0,13.41,11.41,9.75,9.94,10.56,10.12,9.69,11.09,13.31,14.38,14.34,15.28,16.69,17.09,15.91,14.84,14.94,15.34,13.66,12.0,11.69,12.31,11.5,10.34,10.94,12.44,12.94,12.06,12.12,13.03,13.31,11.91,10.47,10.06,41.19,40.81,40.31,38.97,36.53,34.12,32.16:17.91,17.88,17.56,17.75,16.47,14.09,13.0,13.53,14.16,13.06,12.22,12.19,12.41,10.62,8.94,8.84,9.47,8.66,7.25,6.47,6.94,6.59,5.31,5.12,6.34,7.62,7.91,8.75,11.56,15.03,17.03,18.34,20.47,22.62,22.53,20.78,19.66,18.62,16.72,13.12,10.03,8.25,7.06,3.94,1.47,1.03,1.62,1.59,2.41,5.34,9.12,12.16,13.72,15.47,17.97,19.62,19.12,19.25,20.66,22.09,21.81,20.91,21.06,21.38,19.03,16.06,13.91,12.56,10.34,6.81,4.66,4.41,4.25,3.03,2.53,3.84,5.56,5.78,6.47,8.53,11.34,12.75,13.09,14.28,16.31,17.16,16.06,14.94,14.78,13.81,11.53,9.91,10.5,11.59,10.72,9.25,8.25,7.53,5.5,3.03,2.25,3.19,4.62,5.34,6.47,8.88,10.81,9.91,8.28,7.84,7.97,6.72,5.5,6.25,8.03,8.91,8.91,9.75,11.38,12.22,10.81,9.31,9.56,9.47,7.91,6.75,7.25,8.47,7.62,5.94,5.44,5.69,5.09,4.09,4.47,6.59,7.97,7.41,6.91,7.72,8.38,7.59,6.94,7.34,8.06,6.91,5.47,4.94,6.09,6.66,6.59,7.47,9.25,10.75,10.34,10.47,12.12,14.97,16.03,17.38,20.0,22.81,23.91,23.28,22.91,23.44,22.84,20.5,18.66,17.78,16.47,12.94,9.34,7.25,6.19,3.78,1.59,1.03,1.84,1.75,1.34,2.0,4.34,5.97,6.97,8.94,12.5,15.84,17.16,17.66,18.03,17.72,15.44,12.0,10.34,10.09,9.44,8.62,8.41,9.75,10.19,9.22,8.56,9.38,11.0,11.78,12.81,15.94,19.84,21.84,22.78,24.12,26.12,26.16,25.31,24.62,25.09,24.41,21.59,18.47,16.0,13.12,8.41,4.19,1.91,1.47,1.31,1.66,3.69,6.72,8.62,8.97,9.59,12.22,14.19,15.5,17.41,20.69,23.94,24.75,24.12,23.41,22.56,19.59,15.62,12.62,10.81,8.22,4.38,1.28,0.09,-0.81,-2.06,-3.16,-2.25,-0.53,0.41,1.22,3.66,7.69,10.62,13.31,16.69,21.25,24.59,25.75,25.78,26.53,25.88,23.53,21.0,19.69,18.94,17.44,15.5,14.69,15.09,14.66,12.72,11.34,10.53,8.53,4.66,0.06,-2.31,-4.41,-6.91,-8.25,-6.72,-3.97,-2.19,-0.25,2.5,6.47,9.56,11.19,12.97,15.53,17.06,16.69,15.94,16.03,15.94,14.28,12.25,11.41,11.84,11.0,9.44,8.5,8.25,6.88,4.75,3.09,3.5,4.72,4.81,4.81,5.72,6.06,5.06,2.56,1.53,1.12,-0.03,-2.16,-2.88,-1.62,-0.56,0.0,0.69,2.62,4.34,3.53,2.22,1.84,1.97,1.31,0.0,0.66,2.16,2.75,2.72,3.5,5.81,7.59,7.88,7.97,9.28,9.97,9.09,7.72,7.91,8.19,7.47,5.62,5.47,6.47,7.25,7.47,8.09,10.09,11.03,10.22,9.19,9.28,10.12,9.44,8.84,9.91,11.34,12.0,11.75,12.09,13.75,14.38,13.38,12.28,12.62,12.59,11.03,9.81,10.56,11.5,11.16,10.47,11.34,12.69,13.12,11.94,11.19,11.22,10.81,9.81,9.78,11.88,13.94,14.59,14.28,14.94,15.12,13.19,10.38,9.09,8.62,7.97,6.5,5.66,5.97,5.91,4.56,3.31,3.56,3.31,2.09,0.59,1.59,4.06,6.22,8.16,11.0,14.44,16.84,17.5,18.28,19.25,19.47,17.16,14.12,12.56,11.22,9.22,7.44,8.25,9.5,10.06,9.41,9.19,9.56,8.97,6.78,5.03,5.06,5.59,5.78,6.91,10.59,14.53,17.0,18.59,21.03,23.5,24.5,23.97,23.69,24.31,23.59,21.06,18.84,17.84,16.81,14.97,14.0,15.16,16.94,17.75,17.59,18.78,19.91,20.56,20.09,20.69,22.53,23.5,22.41,21.0,20.56,19.38,16.53,13.69,11.97,10.38,7.53,3.78,1.47,0.41,-0.34,-1.34,-0.53,2.19,5.12,7.22,9.41,12.84,16.28,17.75,18.44,20.28,22.09,22.59,21.59,21.38,21.5,20.34,17.66,15.12,13.03,10.84,7.09,3.81,2.59,2.72,1.81,1.0,1.72,3.0,3.31,2.97,3.88,6.06,8.44,9.88,11.62,14.72,17.28,17.88,17.97,19.12,20.28,19.41,17.62,16.5,15.66,13.47,10.44,8.47,7.56,6.97,5.44,4.59,5.62,6.91,6.81,6.22,7.62,9.5,10.62,11.09,12.5,14.34,14.59,12.97,12.44,12.91,13.28,12.41,11.78,12.59,13.28,12.62,11.81,12.66,14.22,14.34,13.47,13.34,14.09,13.47,11.28,10.25,10.22,10.06,9.09,8.88,10.53,12.34,13.0,13.34,15.09,17.56,19.56,20.69,22.81,25.38,26.38,25.09,23.44,22.38,21.12,18.28,16.41,16.09,16.5,15.5,14.31,14.0,15.0,15.25,14.72,15.19,16.78,17.44,15.88,14.69,14.62,14.28,12.22,10.56,10.28,10.47,9.78,8.91,9.38,11.16,12.22,11.97,12.5,13.75,14.28,12.81,11.94,12.94,14.53,14.81,15.31,16.56,17.59,16.31,13.72,12.09,11.59,10.84,9.62,9.5,11.06,12.75,13.22,13.84,15.84,18.25,18.66,18.72,20.31,22.44,23.22,22.81,22.44,22.5,21.81,20.0,18.75,19.31,19.66,18.44,17.22,17.06,17.66,16.84,16.19,17.44,19.66,20.5,20.34,20.31,21.16,21.0,19.38,18.41,19.16,20.84,21.34,22.56,25.12,28.16,28.59,28.16,27.81,28.09,26.56,23.75,21.19,19.81,17.91,15.0,12.88,13.03,13.75,13.09,12.97,14.16,16.0,16.25,15.88,16.34,17.41,17.44,16.22,15.62,16.72,17.28,16.5,15.5,15.84,16.12,15.0,13.78,14.09,15.25,15.12,13.97,13.72,14.38,14.22,12.78,11.59,12.44,13.25,12.31,12.06,13.19,14.69,14.28,13.12,13.19,14.12,13.34,12.06,11.44,12.12,12.19,11.0,10.38,11.69,12.88,12.25,11.38,11.38,11.62,10.28,8.78,9.47,11.97,13.75,14.69,15.56,17.53,17.84,16.31,15.16,15.47,16.34,15.81,15.28,16.25,17.31,16.5,15.34,15.03,16.69,16.72,16.03,15.69,16.03,15.28,12.66,9.69,8.97,8.81,8.12,8.25,10.97,14.88,17.12,18.69,20.41,23.0,23.44,22.5,21.19,21.16,20.03,16.91,13.62,11.47,9.38,5.25,1.25,-1.25,-2.25,-3.88,-4.91,-4.06,-0.59,2.59,4.78,7.59,11.69,14.44,14.91,14.44,15.19,15.78,14.66,13.16,13.41,14.47,14.62,13.31,12.88,13.31,12.44,9.88,7.44,6.25,5.0,2.41,-0.06,-0.38,0.62,0.38,-0.31,0.53,2.41,3.09,2.47,2.59,4.22,4.62,4.06,4.03,6.44,9.09,10.62,12.16,15.19,17.62,17.56,16.34,16.28,17.34,17.94,17.78,18.34,19.72,19.81,17.97,15.62,15.84,16.16,15.56,14.59,15.12,15.62,14.19,11.19,8.91,7.25,5.06,1.81,0.19,1.16,3.12,4.84,7.44,12.16,16.06,17.12,16.16,14.84,13.22,9.59,5.22,2.72,2.09,1.5,0.19,0.03,1.56,2.94,3.22,3.81,6.75,10.31,12.12,12.53,13.38,13.66,11.5,7.62,4.59,3.28,1.62,-0.41,-1.12,0.34,1.91,1.91,1.19,2.34,3.91,4.66,5.19,7.69,11.31,13.72,14.16,14.59,15.03,14.34,11.59,9.22,8.75,8.5,7.38,5.88,6.44,7.97,8.44,8.0,8.91,10.72,11.56,10.62,10.44,11.44,11.56,9.31,7.03,6.5,6.09,4.25,2.19,1.94,1.69,0.28,-2.38,-3.94,-4.53,-5.62,-7.41,-8.0,-6.09,-4.03,-3.09,-1.78,1.41,4.47,6.62,8.16,11.34,14.78,16.38,16.38,17.09,18.66,19.28,18.5,17.91,18.69,18.72,16.56,14.03,13.16,12.62,10.97,9.28,9.25,9.97,9.62,8.0,7.31,7.75,7.22,5.12,3.69,4.22,5.06,4.81,5.22,7.5,10.34,12.03,12.66,14.34,15.84,16.09,14.44,13.28,13.88,13.88,11.78,10.19,10.72,11.06,10.38,10.12,11.88,14.78,16.03,16.31,17.78,19.62,19.97,18.47,17.06,16.53,15.72,12.91,10.78,11.0,12.06,12.5,12.47,14.09,16.25,17.22,16.75,17.41,19.41,20.12,18.72,17.66,17.62,17.12,15.0,13.19,13.34,13.41,12.06,10.16,9.97,10.5,10.06,8.84,8.84,10.19,11.16,11.0,11.38,13.28,15.03,15.38,15.75,18.03,21.12,22.5,22.94,24.0,25.28,24.69,22.59,21.06,20.5,19.47,16.5,14.19,13.56,12.53,10.09,7.97,7.72,8.47,8.25,7.78,8.88,11.28,13.06,13.75,15.38,18.0,19.97,19.69,19.69,20.88,21.91,20.97,19.72,19.94,20.41,19.31,17.75,17.09,17.09,16.5,14.16,12.56,12.12,11.47,9.19,7.81,8.5,9.59,9.41,9.56,11.84,14.78,16.5,17.28,18.56,19.84,19.25,16.75,14.75,14.0,13.41,11.41,9.75,9.94,10.56,10.12,9.69,11.09,13.31,14.38,14.34,15.28,16.69,17.09,15.91,14.84,14.94,15.34,13.66,12.0,11.69,12.31,11.5,10.34,10.94,12.44,12.94,12.06,12.12,13.03,13.31,11.91,10.47,10.06,41.19,40.81,40.31,38.97,36.53,34.12,32.16,30.53,29.62,29.81,31.31,33.56,35.72,37.91:13.53,14.16,13.06,12.22,12.19,12.41,10.62,8.94,8.84,9.47,8.66,7.25,6.47,6.94,6.59,5.31,5.12,6.34,7.62,7.91,8.75,11.56,15.03,17.03,18.34,20.47,22.62,22.53,20.78,19.66,18.62,16.72,13.12,10.03,8.25,7.06,3.94,1.47,1.03,1.62,1.59,2.41,5.34,9.12,12.16,13.72,15.47,17.97,19.62,19.12,19.25,20.66,22.09,21.81,20.91,21.06,21.38,19.03,16.06,13.91,12.56,10.34,6.81,4.66,4.41,4.25,3.03,2.53,3.84,5.56,5.78,6.47,8.53,11.34,12.75,13.09,14.28,16.31,17.16,16.06,14.94,14.78,13.81,11.53,9.91,10.5,11.59,10.72,9.25,8.25,7.53,5.5,3.03,2.25,3.19,4.62,5.34,6.47,8.88,10.81,9.91,8.28,7.84,7.97,6.72,5.5,6.25,8.03,8.91,8.91,9.75,11.38,12.22,10.81,9.31,9.56,9.47,7.91,6.75,7.25,8.47,7.62,5.94,5.44,5.69,5.09,4.09,4.47,6.59,7.97,7.41,6.91,7.72,8.38,7.59,6.94,7.34,8.06,6.91,5.47,4.94,6.09,6.66,6.59,7.47,9.25,10.75,10.34,10.47,12.12,14.97,16.03,17.38,20.0,22.81,23.91,23.28,22.91,23.44,22.84,20.5,18.66,17.78,16.47,12.94,9.34,7.25,6.19,3.78,1.59,1.03,1.84,1.75,1.34,2.0,4.34,5.97,6.97,8.94,12.5,15.84,17.16,17.66,18.03,17.72,15.44,12.0,10.34,10.09,9.44,8.62,8.41,9.75,10.19,9.22,8.56,9.38,11.0,11.78,12.81,15.94,19.84,21.84,22.78,24.12,26.12,26.16,25.31,24.62,25.09,24.41,21.59,18.47,16.0,13.12,8.41,4.19,1.91,1.47,1.31,1.66,3.69,6.72,8.62,8.97,9.59,12.22,14.19,15.5,17.41,20.69,23.94,24.75,24.12,23.41,22.56,19.59,15.62,12.62,10.81,8.22,4.38,1.28,0.09,-0.81,-2.06,-3.16,-2.25,-0.53,0.41,1.22,3.66,7.69,10.62,13.31,16.69,21.25,24.59,25.75,25.78,26.53,25.88,23.53,21.0,19.69,18.94,17.44,15.5,14.69,15.09,14.66,12.72,11.34,10.53,8.53,4.66,0.06,-2.31,-4.41,-6.91,-8.25,-6.72,-3.97,-2.19,-0.25,2.5,6.47,9.56,11.19,12.97,15.53,17.06,16.69,15.94,16.03,15.94,14.28,12.25,11.41,11.84,11.0,9.44,8.5,8.25,6.88,4.75,3.09,3.5,4.72,4.81,4.81,5.72,6.06,5.06,2.56,1.53,1.12,-0.03,-2.16,-2.88,-1.62,-0.56,0.0,0.69,2.62,4.34,3.53,2.22,1.84,1.97,1.31,0.0,0.66,2.16,2.75,2.72,3.5,5.81,7.59,7.88,7.97,9.28,9.97,9.09,7.72,7.91,8.19,7.47,5.62,5.47,6.47,7.25,7.47,8.09,10.09,11.03,10.22,9.19,9.28,10.12,9.44,8.84,9.91,11.34,12.0,11.75,12.09,13.75,14.38,13.38,12.28,12.62,12.59,11.03,9.81,10.56,11.5,11.16,10.47,11.34,12.69,13.12,11.94,11.19,11.22,10.81,9.81,9.78,11.88,13.94,14.59,14.28,14.94,15.12,13.19,10.38,9.09,8.62,7.97,6.5,5.66,5.97,5.91,4.56,3.31,3.56,3.31,2.09,0.59,1.59,4.06,6.22,8.16,11.0,14.44,16.84,17.5,18.28,19.25,19.47,17.16,14.12,12.56,11.22,9.22,7.44,8.25,9.5,10.06,9.41,9.19,9.56,8.97,6.78,5.03,5.06,5.59,5.78,6.91,10.59,14.53,17.0,18.59,21.03,23.5,24.5,23.97,23.69,24.31,23.59,21.06,18.84,17.84,16.81,14.97,14.0,15.16,16.94,17.75,17.59,18.78,19.91,20.56,20.09,20.69,22.53,23.5,22.41,21.0,20.56,19.38,16.53,13.69,11.97,10.38,7.53,3.78,1.47,0.41,-0.34,-1.34,-0.53,2.19,5.12,7.22,9.41,12.84,16.28,17.75,18.44,20.28,22.09,22.59,21.59,21.38,21.5,20.34,17.66,15.12,13.03,10.84,7.09,3.81,2.59,2.72,1.81,1.0,1.72,3.0,3.31,2.97,3.88,6.06,8.44,9.88,11.62,14.72,17.28,17.88,17.97,19.12,20.28,19.41,17.62,16.5,15.66,13.47,10.44,8.47,7.56,6.97,5.44,4.59,5.62,6.91,6.81,6.22,7.62,9.5,10.62,11.09,12.5,14.34,14.59,12.97,12.44,12.91,13.28,12.41,11.78,12.59,13.28,12.62,11.81,12.66,14.22,14.34,13.47,13.34,14.09,13.47,11.28,10.25,10.22,10.06,9.09,8.88,10.53,12.34,13.0,13.34,15.09,17.56,19.56,20.69,22.81,25.38,26.38,25.09,23.44,22.38,21.12,18.28,16.41,16.09,16.5,15.5,14.31,14.0,15.0,15.25,14.72,15.19,16.78,17.44,15.88,14.69,14.62,14.28,12.22,10.56,10.28,10.47,9.78,8.91,9.38,11.16,12.22,11.97,12.5,13.75,14.28,12.81,11.94,12.94,14.53,14.81,15.31,16.56,17.59,16.31,13.72,12.09,11.59,10.84,9.62,9.5,11.06,12.75,13.22,13.84,15.84,18.25,18.66,18.72,20.31,22.44,23.22,22.81,22.44,22.5,21.81,20.0,18.75,19.31,19.66,18.44,17.22,17.06,17.66,16.84,16.19,17.44,19.66,20.5,20.34,20.31,21.16,21.0,19.38,18.41,19.16,20.84,21.34,22.56,25.12,28.16,28.59,28.16,27.81,28.09,26.56,23.75,21.19,19.81,17.91,15.0,12.88,13.03,13.75,13.09,12.97,14.16,16.0,16.25,15.88,16.34,17.41,17.44,16.22,15.62,16.72,17.28,16.5,15.5,15.84,16.12,15.0,13.78,14.09,15.25,15.12,13.97,13.72,14.38,14.22,12.78,11.59,12.44,13.25,12.31,12.06,13.19,14.69,14.28,13.12,13.19,14.12,13.34,12.06,11.44,12.12,12.19,11.0,10.38,11.69,12.88,12.25,11.38,11.38,11.62,10.28,8.78,9.47,11.97,13.75,14.69,15.56,17.53,17.84,16.31,15.16,15.47,16.34,15.81,15.28,16.25,17.31,16.5,15.34,15.03,16.69,16.72,16.03,15.69,16.03,15.28,12.66,9.69,8.97,8.81,8.12,8.25,10.97,14.88,17.12,18.69,20.41,23.0,23.44,22.5,21.19,21.16,20.03,16.91,13.62,11.47,9.38,5.25,1.25,-1.25,-2.25,-3.88,-4.91,-4.06,-0.59,2.59,4.78,7.59,11.69,14.44,14.91,14.44,15.19,15.78,14.66,13.16,13.41,14.47,14.62,13.31,12.88,13.31,12.44,9.88,7.44,6.25,5.0,2.41,-0.06,-0.38,0.62,0.38,-0.31,0.53,2.41,3.09,2.47,2.59,4.22,4.62,4.06,4.03,6.44,9.09,10.62,12.16,15.19,17.62,17.56,16.34,16.28,17.34,17.94,17.78,18.34,19.72,19.81,17.97,15.62,15.84,16.16,15.56,14.59,15.12,15.62,14.19,11.19,8.91,7.25,5.06,1.81,0.19,1.16,3.12,4.84,7.44,12.16,16.06,17.12,16.16,14.84,13.22,9.59,5.22,2.72,2.09,1.5,0.19,0.03,1.56,2.94,3.22,3.81,6.75,10.31,12.12,12.53,13.38,13.66,11.5,7.62,4.59,3.28,1.62,-0.41,-1.12,0.34,1.91,1.91,1.19,2.34,3.91,4.66,5.19,7.69,11.31,13.72,14.16,14.59,15.03,14.34,11.59,9.22,8.75,8.5,7.38,5.88,6.44,7.97,8.44,8.0,8.91,10.72,11.56,10.62,10.44,11.44,11.56,9.31,7.03,6.5,6.09,4.25,2.19,1.94,1.69,0.28,-2.38,-3.94,-4.53,-5.62,-7.41,-8.0,-6.09,-4.03,-3.09,-1.78,1.41,4.47,6.62,8.16,11.34,14.78,16.38,16.38,17.09,18.66,19.28,18.5,17.91,18.69,18.72,16.56,14.03,13.16,12.62,10.97,9.28,9.25,9.97,9.62,8.0,7.31,7.75,7.22,5.12,3.69,4.22,5.06,4.81,5.22,7.5,10.34,12.03,12.66,14.34,15.84,16.09,14.44,13.28,13.88,13.88,11.78,10.19,10.72,11.06,10.38,10.12,11.88,14.78,16.03,16.31,17.78,19.62,19.97,18.47,17.06,16.53,15.72,12.91,10.78,11.0,12.06,12.5,12.47,14.09,16.25,17.22,16.75,17.41,19.41,20.12,18.72,17.66,17.62,17.12,15.0,13.19,13.34,13.41,12.06,10.16,9.97,10.5,10.06,8.84,8.84,10.19,11.16,11.0,11.38,13.28,15.03,15.38,15.75,18.03,21.12,22.5,22.94,24.0,25.28,24.69,22.59,21.06,20.5,19.47,16.5,14.19,13.56,12.53,10.09,7.97,7.72,8.47,8.25,7.78,8.88,11.28,13.06,13.75,15.38,18.0,19.97,19.69,19.69,20.88,21.91,20.97,19.72,19.94,20.41,19.31,17.75,17.09,17.09,16.5,14.16,12.56,12.12,11.47,9.19,7.81,8.5,9.59,9.41,9.56,11.84,14.78,16.5,17.28,18.56,19.84,19.25,16.75,14.75,14.0,13.41,11.41,9.75,9.94,10.56,10.12,9.69,11.09,13.31,14.38,14.34,15.28,16.69,17.09,15.91,14.84,14.94,15.34,13.66,12.0,11.69,12.31,11.5,10.34,10.94,12.44,12.94,12.06,12.12,13.03,13.31,11.91,10.47,10.06,41.19,40.81,40.31,38.97,36.53,34.12,32.16,30.53,29.62,29.81,31.31,33.56,35.72,37.91,40.12,41.41,41.44,40.5,39.88,39.06,38.41:8.94,8.84,9.47,8.66,7.25,6.47,6.94,6.59,5.31,5.12,6.34,7.62,7.91,8.75,11.56,15.03,17.03,18.34,20.47,22.62,22.53,20.78,19.66,18.62,16.72,13.12,10.03,8.25,7.06,3.94,1.47,1.03,1.62,1.59,2.41,5.34,9.12,12.16,13.72,15.47,17.97,19.62,19.12,19.25,20.66,22.09,21.81,20.91,21.06,21.38,19.03,16.06,13.91,12.56,10.34,6.81,4.66,4.41,4.25,3.03,2.53,3.84,5.56,5.78,6.47,8.53,11.34,12.75,13.09,14.28,16.31,17.16,16.06,14.94,14.78,13.81,11.53,9.91,10.5,11.59,10.72,9.25,8.25,7.53,5.5,3.03,2.25,3.19,4.62,5.34,6.47,8.88,10.81,9.91,8.28,7.84,7.97,6.72,5.5,6.25,8.03,8.91,8.91,9.75,11.38,12.22,10.81,9.31,9.56,9.47,7.91,6.75,7.25,8.47,7.62,5.94,5.44,5.69,5.09,4.09,4.47,6.59,7.97,7.41,6.91,7.72,8.38,7.59,6.94,7.34,8.06,6.91,5.47,4.94,6.09,6.66,6.59,7.47,9.25,10.75,10.34,10.47,12.12,14.97,16.03,17.38,20.0,22.81,23.91,23.28,22.91,23.44,22.84,20.5,18.66,17.78,16.47,12.94,9.34,7.25,6.19,3.78,1.59,1.03,1.84,1.75,1.34,2.0,4.34,5.97,6.97,8.94,12.5,15.84,17.16,17.66,18.03,17.72,15.44,12.0,10.34,10.09,9.44,8.62,8.41,9.75,10.19,9.22,8.56,9.38,11.0,11.78,12.81,15.94,19.84,21.84,22.78,24.12,26.12,26.16,25.31,24.62,25.09,24.41,21.59,18.47,16.0,13.12,8.41,4.19,1.91,1.47,1.31,1.66,3.69,6.72,8.62,8.97,9.59,12.22,14.19,15.5,17.41,20.69,23.94,24.75,24.12,23.41,22.56,19.59,15.62,12.62,10.81,8.22,4.38,1.28,0.09,-0.81,-2.06,-3.16,-2.25,-0.53,0.41,1.22,3.66,7.69,10.62,13.31,16.69,21.25,24.59,25.75,25.78,26.53,25.88,23.53,21.0,19.69,18.94,17.44,15.5,14.69,15.09,14.66,12.72,11.34,10.53,8.53,4.66,0.06,-2.31,-4.41,-6.91,-8.25,-6.72,-3.97,-2.19,-0.25,2.5,6.47,9.56,11.19,12.97,15.53,17.06,16.69,15.94,16.03,15.94,14.28,12.25,11.41,11.84,11.0,9.44,8.5,8.25,6.88,4.75,3.09,3.5,4.72,4.81,4.81,5.72,6.06,5.06,2.56,1.53,1.12,-0.03,-2.16,-2.88,-1.62,-0.56,0.0,0.69,2.62,4.34,3.53,2.22,1.84,1.97,1.31,0.0,0.66,2.16,2.75,2.72,3.5,5.81,7.59,7.88,7.97,9.28,9.97,9.09,7.72,7.91,8.19,7.47,5.62,5.47,6.47,7.25,7.47,8.09,10.09,11.03,10.22,9.19,9.28,10.12,9.44,8.84,9.91,11.34,12.0,11.75,12.09,13.75,14.38,13.38,12.28,12.62,12.59,11.03,9.81,10.56,11.5,11.16,10.47,11.34,12.69,13.12,11.94,11.19,11.22,10.81,9.81,9.78,11.88,13.94,14.59,14.28,14.94,15.12,13.19,10.38,9.09,8.62,7.97,6.5,5.66,5.97,5.91,4.56,3.31,3.56,3.31,2.09,0.59,1.59,4.06,6.22,8.16,11.0,14.44,16.84,17.5,18.28,19.25,19.47,17.16,14.12,12.56,11.22,9.22,7.44,8.25,9.5,10.06,9.41,9.19,9.56,8.97,6.78,5.03,5.06,5.59,5.78,6.91,10.59,14.53,17.0,18.59,21.03,23.5,24.5,23.97,23.69,24.31,23.59,21.06,18.84,17.84,16.81,14.97,14.0,15.16,16.94,17.75,17.59,18.78,19.91,20.56,20.09,20.69,22.53,23.5,22.41,21.0,20.56,19.38,16.53,13.69,11.97,10.38,7.53,3.78,1.47,0.41,-0.34,-1.34,-0.53,2.19,5.12,7.22,9.41,12.84,16.28,17.75,18.44,20.28,22.09,22.59,21.59,21.38,21.5,20.34,17.66,15.12,13.03,10.84,7.09,3.81,2.59,2.72,1.81,1.0,1.72,3.0,3.31,2.97,3.88,6.06,8.44,9.88,11.62,14.72,17.28,17.88,17.97,19.12,20.28,19.41,17.62,16.5,15.66,13.47,10.44,8.47,7.56,6.97,5.44,4.59,5.62,6.91,6.81,6.22,7.62,9.5,10.62,11.09,12.5,14.34,14.59,12.97,12.44,12.91,13.28,12.41,11.78,12.59,13.28,12.62,11.81,12.66,14.22,14.34,13.47,13.34,14.09,13.47,11.28,10.25,10.22,10.06,9.09,8.88,10.53,12.34,13.0,13.34,15.09,17.56,19.56,20.69,22.81,25.38,26.38,25.09,23.44,22.38,21.12,18.28,16.41,16.09,16.5,15.5,14.31,14.0,15.0,15.25,14.72,15.19,16.78,17.44,15.88,14.69,14.62,14.28,12.22,10.56,10.28,10.47,9.78,8.91,9.38,11.16,12.22,11.97,12.5,13.75,14.28,12.81,11.94,12.94,14.53,14.81,15.31,16.56,17.59,16.31,13.72,12.09,11.59,10.84,9.62,9.5,11.06,12.75,13.22,13.84,15.84,18.25,18.66,18.72,20.31,22.44,23.22,22.81,22.44,22.5,21.81,20.0,18.75,19.31,19.66,18.44,17.22,17.06,17.66,16.84,16.19,17.44,19.66,20.5,20.34,20.31,21.16,21.0,19.38,18.41,19.16,20.84,21.34,22.56,25.12,28.16,28.59,28.16,27.81,28.09,26.56,23.75,21.19,19.81,17.91,15.0,12.88,13.03,13.75,13.09,12.97,14.16,16.0,16.25,15.88,16.34,17.41,17.44,16.22,15.62,16.72,17.28,16.5,15.5,15.84,16.12,15.0,13.78,14.09,15.25,15.12,13.97,13.72,14.38,14.22,12.78,11.59,12.44,13.25,12.31,12.06,13.19,14.69,14.28,13.12,13.19,14.12,13.34,12.06,11.44,12.12,12.19,11.0,10.38,11.69,12.88,12.25,11.38,11.38,11.62,10.28,8.78,9.47,11.97,13.75,14.69,15.56,17.53,17.84,16.31,15.16,15.47,16.34,15.81,15.28,16.25,17.31,16.5,15.34,15.03,16.69,16.72,16.03,15.69,16.03,15.28,12.66,9.69,8.97,8.81,8.12,8.25,10.97,14.88,17.12,18.69,20.41,23.0,23.44,22.5,21.19,21.16,20.03,16.91,13.62,11.47,9.38,5.25,1.25,-1.25,-2.25,-3.88,-4.91,-4.06,-0.59,2.59,4.78,7.59,11.69,14.44,14.91,14.44,15.19,15.78,14.66,13.16,13.41,14.47,14.62,13.31,12.88,13.31,12.44,9.88,7.44,6.25,5.0,2.41,-0.06,-0.38,0.62,0.38,-0.31,0.53,2.41,3.09,2.47,2.59,4.22,4.62,4.06,4.03,6.44,9.09,10.62,12.16,15.19,17.62,17.56,16.34,16.28,17.34,17.94,17.78,18.34,19.72,19.81,17.97,15.62,15.84,16.16,15.56,14.59,15.12,15.62,14.19,11.19,8.91,7.25,5.06,1.81,0.19,1.16,3.12,4.84,7.44,12.16,16.06,17.12,16.16,14.84,13.22,9.59,5.22,2.72,2.09,1.5,0.19,0.03,1.56,2.94,3.22,3.81,6.75,10.31,12.12,12.53,13.38,13.66,11.5,7.62,4.59,3.28,1.62,-0.41,-1.12,0.34,1.91,1.91,1.19,2.34,3.91,4.66,5.19,7.69,11.31,13.72,14.16,14.59,15.03,14.34,11.59,9.22,8.75,8.5,7.38,5.88,6.44,7.97,8.44,8.0,8.91,10.72,11.56,10.62,10.44,11.44,11.56,9.31,7.03,6.5,6.09,4.25,2.19,1.94,1.69,0.28,-2.38,-3.94,-4.53,-5.62,-7.41,-8.0,-6.09,-4.03,-3.09,-1.78,1.41,4.47,6.62,8.16,11.34,14.78,16.38,16.38,17.09,18.66,19.28,18.5,17.91,18.69,18.72,16.56,14.03,13.16,12.62,10.97,9.28,9.25,9.97,9.62,8.0,7.31,7.75,7.22,5.12,3.69,4.22,5.06,4.81,5.22,7.5,10.34,12.03,12.66,14.34,15.84,16.09,14.44,13.28,13.88,13.88,11.78,10.19,10.72,11.06,10.38,10.12,11.88,14.78,16.03,16.31,17.78,19.62,19.97,18.47,17.06,16.53,15.72,12.91,10.78,11.0,12.06,12.5,12.47,14.09,16.25,17.22,16.75,17.41,19.41,20.12,18.72,17.66,17.62,17.12,15.0,13.19,13.34,13.41,12.06,10.16,9.97,10.5,10.06,8.84,8.84,10.19,11.16,11.0,11.38,13.28,15.03,15.38,15.75,18.03,21.12,22.5,22.94,24.0,25.28,24.69,22.59,21.06,20.5,19.47,16.5,14.19,13.56,12.53,10.09,7.97,7.72,8.47,8.25,7.78,8.88,11.28,13.06,13.75,15.38,18.0,19.97,19.69,19.69,20.88,21.91,20.97,19.72,19.94,20.41,19.31,17.75,17.09,17.09,16.5,14.16,12.56,12.12,11.47,9.19,7.81,8.5,9.59,9.41,9.56,11.84,14.78,16.5,17.28,18.56,19.84,19.25,16.75,14.75,14.0,13.41,11.41,9.75,9.94,10.56,10.12,9.69,11.09,13.31,14.38,14.34,15.28,16.69,17.09,15.91,14.84,14.94,15.34,13.66,12.0,11.69,12.31,11.5,10.34,10.94,12.44,12.94,12.06,12.12,13.03,13.31,11.91,10.47,10.06,41.19,40.81,40.31,38.97,36.53,34.12,32.16,30.53,29.62,29.81,31.31,33.56,35.72,37.91,40.12,41.41,41.44,40.5,39.88,39.06,38.41,37.84,37.78,38.0,37.69,36.5,35.16,34.31:6.59,5.31,5.12,6.34,7.62,7.91,8.75,11.56,15.03,17.03,18.34,20.47,22.62,22.53,20.78,19.66,18.62,16.72,13.12,10.03,8.25,7.06,3.94,1.47,1.03,1.62,1.59,2.41,5.34,9.12,12.16,13.72,15.47,17.97,19.62,19.12,19.25,20.66,22.09,21.81,20.91,21.06,21.38,19.03,16.06,13.91,12.56,10.34,6.81,4.66,4.41,4.25,3.03,2.53,3.84,5.56,5.78,6.47,8.53,11.34,12.75,13.09,14.28,16.31,17.16,16.06,14.94,14.78,13.81,11.53,9.91,10.5,11.59,10.72,9.25,8.25,7.53,5.5,3.03,2.25,3.19,4.62,5.34,6.47,8.88,10.81,9.91,8.28,7.84,7.97,6.72,5.5,6.25,8.03,8.91,8.91,9.75,11.38,12.22,10.81,9.31,9.56,9.47,7.91,6.75,7.25,8.47,7.62,5.94,5.44,5.69,5.09,4.09,4.47,6.59,7.97,7.41,6.91,7.72,8.38,7.59,6.94,7.34,8.06,6.91,5.47,4.94,6.09,6.66,6.59,7.47,9.25,10.75,10.34,10.47,12.12,14.97,16.03,17.38,20.0,22.81,23.91,23.28,22.91,23.44,22.84,20.5,18.66,17.78,16.47,12.94,9.34,7.25,6.19,3.78,1.59,1.03,1.84,1.75,1.34,2.0,4.34,5.97,6.97,8.94,12.5,15.84,17.16,17.66,18.03,17.72,15.44,12.0,10.34,10.09,9.44,8.62,8.41,9.75,10.19,9.22,8.56,9.38,11.0,11.78,12.81,15.94,19.84,21.84,22.78,24.12,26.12,26.16,25.31,24.62,25.09,24.41,21.59,18.47,16.0,13.12,8.41,4.19,1.91,1.47,1.31,1.66,3.69,6.72,8.62,8.97,9.59,12.22,14.19,15.5,17.41,20.69,23.94,24.75,24.12,23.41,22.56,19.59,15.62,12.62,10.81,8.22,4.38,1.28,0.09,-0.81,-2.06,-3.16,-2.25,-0.53,0.41,1.22,3.66,7.69,10.62,13.31,16.69,21.25,24.59,25.75,25.78,26.53,25.88,23.53,21.0,19.69,18.94,17.44,15.5,14.69,15.09,14.66,12.72,11.34,10.53,8.53,4.66,0.06,-2.31,-4.41,-6.91,-8.25,-6.72,-3.97,-2.19,-0.25,2.5,6.47,9.56,11.19,12.97,15.53,17.06,16.69,15.94,16.03,15.94,14.28,12.25,11.41,11.84,11.0,9.44,8.5,8.25,6.88,4.75,3.09,3.5,4.72,4.81,4.81,5.72,6.06,5.06,2.56,1.53,1.12,-0.03,-2.16,-2.88,-1.62,-0.56,0.0,0.69,2.62,4.34,3.53,2.22,1.84,1.97,1.31,0.0,0.66,2.16,2.75,2.72,3.5,5.81,7.59,7.88,7.97,9.28,9.97,9.09,7.72,7.91,8.19,7.47,5.62,5.47,6.47,7.25,7.47,8.09,10.09,11.03,10.22,9.19,9.28,10.12,9.44,8.84,9.91,11.34,12.0,11.75,12.09,13.75,14.38,13.38,12.28,12.62,12.59,11.03,9.81,10.56,11.5,11.16,10.47,11.34,12.69,13.12,11.94,11.19,11.22,10.81,9.81,9.78,11.88,13.94,14.59,14.28,14.94,15.12,13.19,10.38,9.09,8.62,7.97,6.5,5.66,5.97,5.91,4.56,3.31,3.56,3.31,2.09,0.59,1.59,4.06,6.22,8.16,11.0,14.44,16.84,17.5,18.28,19.25,19.47,17.16,14.12,12.56,11.22,9.22,7.44,8.25,9.5,10.06,9.41,9.19,9.56,8.97,6.78,5.03,5.06,5.59,5.78,6.91,10.59,14.53,17.0,18.59,21.03,23.5,24.5,23.97,23.69,24.31,23.59,21.06,18.84,17.84,16.81,14.97,14.0,15.16,16.94,17.75,17.59,18.78,19.91,20.56,20.09,20.69,22.53,23.5,22.41,21.0,20.56,19.38,16.53,13.69,11.97,10.38,7.53,3.78,1.47,0.41,-0.34,-1.34,-0.53,2.19,5.12,7.22,9.41,12.84,16.28,17.75,18.44,20.28,22.09,22.59,21.59,21.38,21.5,20.34,17.66,15.12,13.03,10.84,7.09,3.81,2.59,2.72,1.81,1.0,1.72,3.0,3.31,2.97,3.88,6.06,8.44,9.88,11.62,14.72,17.28,17.88,17.97,19.12,20.28,19.41,17.62,16.5,15.66,13.47,10.44,8.47,7.56,6.97,5.44,4.59,5.62,6.91,6.81,6.22,7.62,9.5,10.62,11.09,12.5,14.34,14.59,12.97,12.44,12.91,13.28,12.41,11.78,12.59,13.28,12.62,11.81,12.66,14.22,14.34,13.47,13.34,14.09,13.47,11.28,10.25,10.22,10.06,9.09,8.88,10.53,12.34,13.0,13.34,15.09,17.56,19.56,20.69,22.81,25.38,26.38,25.09,23.44,22.38,21.12,18.28,16.41,16.09,16.5,15.5,14.31,14.0,15.0,15.25,14.72,15.19,16.78,17.44,15.88,14.69,14.62,14.28,12.22,10.56,10.28,10.47,9.78,8.91,9.38,11.16,12.22,11.97,12.5,13.75,14.28,12.81,11.94,12.94,14.53,14.81,15.31,16.56,17.59,16.31,13.72,12.09,11.59,10.84,9.62,9.5,11.06,12.75,13.22,13.84,15.84,18.25,18.66,18.72,20.31,22.44,23.22,22.81,22.44,22.5,21.81,20.0,18.75,19.31,19.66,18.44,17.22,17.06,17.66,16.84,16.19,17.44,19.66,20.5,20.34,20.31,21.16,21.0,19.38,18.41,19.16,20.84,21.34,22.56,25.12,28.16,28.59,28.16,27.81,28.09,26.56,23.75,21.19,19.81,17.91,15.0,12.88,13.03,13.75,13.09,12.97,14.16,16.0,16.25,15.88,16.34,17.41,17.44,16.22,15.62,16.72,17.28,16.5,15.5,15.84,16.12,15.0,13.78,14.09,15.25,15.12,13.97,13.72,14.38,14.22,12.78,11.59,12.44,13.25,12.31,12.06,13.19,14.69,14.28,13.12,13.19,14.12,13.34,12.06,11.44,12.12,12.19,11.0,10.38,11.69,12.88,12.25,11.38,11.38,11.62,10.28,8.78,9.47,11.97,13.75,14.69,15.56,17.53,17.84,16.31,15.16,15.47,16.34,15.81,15.28,16.25,17.31,16.5,15.34,15.03,16.69,16.72,16.03,15.69,16.03,15.28,12.66,9.69,8.97,8.81,8.12,8.25,10.97,14.88,17.12,18.69,20.41,23.0,23.44,22.5,21.19,21.16,20.03,16.91,13.62,11.47,9.38,5.25,1.25,-1.25,-2.25,-3.88,-4.91,-4.06,-0.59,2.59,4.78,7.59,11.69,14.44,14.91,14.44,15.19,15.78,14.66,13.16,13.41,14.47,14.62,13.31,12.88,13.31,12.44,9.88,7.44,6.25,5.0,2.41,-0.06,-0.38,0.62,0.38,-0.31,0.53,2.41,3.09,2.47,2.59,4.22,4.62,4.06,4.03,6.44,9.09,10.62,12.16,15.19,17.62,17.56,16.34,16.28,17.34,17.94,17.78,18.34,19.72,19.81,17.97,15.62,15.84,16.16,15.56,14.59,15.12,15.62,14.19,11.19,8.91,7.25,5.06,1.81,0.19,1.16,3.12,4.84,7.44,12.16,16.06,17.12,16.16,14.84,13.22,9.59,5.22,2.72,2.09,1.5,0.19,0.03,1.56,2.94,3.22,3.81,6.75,10.31,12.12,12.53,13.38,13.66,11.5,7.62,4.59,3.28,1.62,-0.41,-1.12,0.34,1.91,1.91,1.19,2.34,3.91,4.66,5.19,7.69,11.31,13.72,14.16,14.59,15.03,14.34,11.59,9.22,8.75,8.5,7.38,5.88,6.44,7.97,8.44,8.0,8.91,10.72,11.56,10.62,10.44,11.44,11.56,9.31,7.03,6.5,6.09,4.25,2.19,1.94,1.69,0.28,-2.38,-3.94,-4.53,-5.62,-7.41,-8.0,-6.09,-4.03,-3.09,-1.78,1.41,4.47,6.62,8.16,11.34,14.78,16.38,16.38,17.09,18.66,19.28,18.5,17.91,18.69,18.72,16.56,14.03,13.16,12.62,10.97,9.28,9.25,9.97,9.62,8.0,7.31,7.75,7.22,5.12,3.69,4.22,5.06,4.81,5.22,7.5,10.34,12.03,12.66,14.34,15.84,16.09,14.44,13.28,13.88,13.88,11.78,10.19,10.72,11.06,10.38,10.12,11.88,14.78,16.03,16.31,17.78,19.62,19.97,18.47,17.06,16.53,15.72,12.91,10.78,11.0,12.06,12.5,12.47,14.09,16.25,17.22,16.75,17.41,19.41,20.12,18.72,17.66,17.62,17.12,15.0,13.19,13.34,13.41,12.06,10.16,9.97,10.5,10.06,8.84,8.84,10.19,11.16,11.0,11.38,13.28,15.03,15.38,15.75,18.03,21.12,22.5,22.94,24.0,25.28,24.69,22.59,21.06,20.5,19.47,16.5,14.19,13.56,12.53,10.09,7.97,7.72,8.47,8.25,7.78,8.88,11.28,13.06,13.75,15.38,18.0,19.97,19.69,19.69,20.88,21.91,20.97,19.72,19.94,20.41,19.31,17.75,17.09,17.09,16.5,14.16,12.56,12.12,11.47,9.19,7.81,8.5,9.59,9.41,9.56,11.84,14.78,16.5,17.28,18.56,19.84,19.25,16.75,14.75,14.0,13.41,11.41,9.75,9.94,10.56,10.12,9.69,11.09,13.31,14.38,14.34,15.28,16.69,17.09,15.91,14.84,14.94,15.34,13.66,12.0,11.69,12.31,11.5,10.34,10.94,12.44,12.94,12.06,12.12,13.03,13.31,11.91,10.47,10.06,41.19,40.81,40.31,38.97,36.53,34.12,32.16,30.53,29.62,29.81,31.31,33.56,35.72,37.91,40.12,41.41,41.44,40.5,39.88,39.06,38.41,37.84,37.78,38.0,37.69,36.5,35.16,34.31,33.41,32.31,32.06,31.94,32.22,32.09,32.16:11.56,15.03,17.03,18.34,20.47,22.62,22.53,20.78,19.66,18.62,16.72,13.12,10.03,8.25,7.06,3.94,1.47,1.03,1.62,1.59,2.41,5.34,9.12,12.16,13.72,15.47,17.97,19.62,19.12,19.25,20.66,22.09,21.81,20.91,21.06,21.38,19.03,16.06,13.91,12.56,10.34,6.81,4.66,4.41,4.25,3.03,2.53,3.84,5.56,5.78,6.47,8.53,11.34,12.75,13.09,14.28,16.31,17.16,16.06,14.94,14.78,13.81,11.53,9.91,10.5,11.59,10.72,9.25,8.25,7.53,5.5,3.03,2.25,3.19,4.62,5.34,6.47,8.88,10.81,9.91,8.28,7.84,7.97,6.72,5.5,6.25,8.03,8.91,8.91,9.75,11.38,12.22,10.81,9.31,9.56,9.47,7.91,6.75,7.25,8.47,7.62,5.94,5.44,5.69,5.09,4.09,4.47,6.59,7.97,7.41,6.91,7.72,8.38,7.59,6.94,7.34,8.06,6.91,5.47,4.94,6.09,6.66,6.59,7.47,9.25,10.75,10.34,10.47,12.12,14.97,16.03,17.38,20.0,22.81,23.91,23.28,22.91,23.44,22.84,20.5,18.66,17.78,16.47,12.94,9.34,7.25,6.19,3.78,1.59,1.03,1.84,1.75,1.34,2.0,4.34,5.97,6.97,8.94,12.5,15.84,17.16,17.66,18.03,17.72,15.44,12.0,10.34,10.09,9.44,8.62,8.41,9.75,10.19,9.22,8.56,9.38,11.0,11.78,12.81,15.94,19.84,21.84,22.78,24.12,26.12,26.16,25.31,24.62,25.09,24.41,21.59,18.47,16.0,13.12,8.41,4.19,1.91,1.47,1.31,1.66,3.69,6.72,8.62,8.97,9.59,12.22,14.19,15.5,17.41,20.69,23.94,24.75,24.12,23.41,22.56,19.59,15.62,12.62,10.81,8.22,4.38,1.28,0.09,-0.81,-2.06,-3.16,-2.25,-0.53,0.41,1.22,3.66,7.69,10.62,13.31,16.69,21.25,24.59,25.75,25.78,26.53,25.88,23.53,21.0,19.69,18.94,17.44,15.5,14.69,15.09,14.66,12.72,11.34,10.53,8.53,4.66,0.06,-2.31,-4.41,-6.91,-8.25,-6.72,-3.97,-2.19,-0.25,2.5,6.47,9.56,11.19,12.97,15.53,17.06,16.69,15.94,16.03,15.94,14.28,12.25,11.41,11.84,11.0,9.44,8.5,8.25,6.88,4.75,3.09,3.5,4.72,4.81,4.81,5.72,6.06,5.06,2.56,1.53,1.12,-0.03,-2.16,-2.88,-1.62,-0.56,0.0,0.69,2.62,4.34,3.53,2.22,1.84,1.97,1.31,0.0,0.66,2.16,2.75,2.72,3.5,5.81,7.59,7.88,7.97,9.28,9.97,9.09,7.72,7.91,8.19,7.47,5.62,5.47,6.47,7.25,7.47,8.09,10.09,11.03,10.22,9.19,9.28,10.12,9.44,8.84,9.91,11.34,12.0,11.75,12.09,13.75,14.38,13.38,12.28,12.62,12.59,11.03,9.81,10.56,11.5,11.16,10.47,11.34,12.69,13.12,11.94,11.19,11.22,10.81,9.81,9.78,11.88,13.94,14.59,14.28,14.94,15.12,13.19,10.38,9.09,8.62,7.97,6.5,5.66,5.97,5.91,4.56,3.31,3.56,3.31,2.09,0.59,1.59,4.06,6.22,8.16,11.0,14.44,16.84,17.5,18.28,19.25,19.47,17.16,14.12,12.56,11.22,9.22,7.44,8.25,9.5,10.06,9.41,9.19,9.56,8.97,6.78,5.03,5.06,5.59,5.78,6.91,10.59,14.53,17.0,18.59,21.03,23.5,24.5,23.97,23.69,24.31,23.59,21.06,18.84,17.84,16.81,14.97,14.0,15.16,16.94,17.75,17.59,18.78,19.91,20.56,20.09,20.69,22.53,23.5,22.41,21.0,20.56,19.38,16.53,13.69,11.97,10.38,7.53,3.78,1.47,0.41,-0.34,-1.34,-0.53,2.19,5.12,7.22,9.41,12.84,16.28,17.75,18.44,20.28,22.09,22.59,21.59,21.38,21.5,20.34,17.66,15.12,13.03,10.84,7.09,3.81,2.59,2.72,1.81,1.0,1.72,3.0,3.31,2.97,3.88,6.06,8.44,9.88,11.62,14.72,17.28,17.88,17.97,19.12,20.28,19.41,17.62,16.5,15.66,13.47,10.44,8.47,7.56,6.97,5.44,4.59,5.62,6.91,6.81,6.22,7.62,9.5,10.62,11.09,12.5,14.34,14.59,12.97,12.44,12.91,13.28,12.41,11.78,12.59,13.28,12.62,11.81,12.66,14.22,14.34,13.47,13.34,14.09,13.47,11.28,10.25,10.22,10.06,9.09,8.88,10.53,12.34,13.0,13.34,15.09,17.56,19.56,20.69,22.81,25.38,26.38,25.09,23.44,22.38,21.12,18.28,16.41,16.09,16.5,15.5,14.31,14.0,15.0,15.25,14.72,15.19,16.78,17.44,15.88,14.69,14.62,14.28,12.22,10.56,10.28,10.47,9.78,8.91,9.38,11.16,12.22,11.97,12.5,13.75,14.28,12.81,11.94,12.94,14.53,14.81,15.31,16.56,17.59,16.31,13.72,12.09,11.59,10.84,9.62,9.5,11.06,12.75,13.22,13.84,15.84,18.25,18.66,18.72,20.31,22.44,23.22,22.81,22.44,22.5,21.81,20.0,18.75,19.31,19.66,18.44,17.22,17.06,17.66,16.84,16.19,17.44,19.66,20.5,20.34,20.31,21.16,21.0,19.38,18.41,19.16,20.84,21.34,22.56,25.12,28.16,28.59,28.16,27.81,28.09,26.56,23.75,21.19,19.81,17.91,15.0,12.88,13.03,13.75,13.09,12.97,14.16,16.0,16.25,15.88,16.34,17.41,17.44,16.22,15.62,16.72,17.28,16.5,15.5,15.84,16.12,15.0,13.78,14.09,15.25,15.12,13.97,13.72,14.38,14.22,12.78,11.59,12.44,13.25,12.31,12.06,13.19,14.69,14.28,13.12,13.19,14.12,13.34,12.06,11.44,12.12,12.19,11.0,10.38,11.69,12.88,12.25,11.38,11.38,11.62,10.28,8.78,9.47,11.97,13.75,14.69,15.56,17.53,17.84,16.31,15.16,15.47,16.34,15.81,15.28,16.25,17.31,16.5,15.34,15.03,16.69,16.72,16.03,15.69,16.03,15.28,12.66,9.69,8.97,8.81,8.12,8.25,10.97,14.88,17.12,18.69,20.41,23.0,23.44,22.5,21.19,21.16,20.03,16.91,13.62,11.47,9.38,5.25,1.25,-1.25,-2.25,-3.88,-4.91,-4.06,-0.59,2.59,4.78,7.59,11.69,14.44,14.91,14.44,15.19,15.78,14.66,13.16,13.41,14.47,14.62,13.31,12.88,13.31,12.44,9.88,7.44,6.25,5.0,2.41,-0.06,-0.38,0.62,0.38,-0.31,0.53,2.41,3.09,2.47,2.59,4.22,4.62,4.06,4.03,6.44,9.09,10.62,12.16,15.19,17.62,17.56,16.34,16.28,17.34,17.94,17.78,18.34,19.72,19.81,17.97,15.62,15.84,16.16,15.56,14.59,15.12,15.62,14.19,11.19,8.91,7.25,5.06,1.81,0.19,1.16,3.12,4.84,7.44,12.16,16.06,17.12,16.16,14.84,13.22,9.59,5.22,2.72,2.09,1.5,0.19,0.03,1.56,2.94,3.22,3.81,6.75,10.31,12.12,12.53,13.38,13.66,11.5,7.62,4.59,3.28,1.62,-0.41,-1.12,0.34,1.91,1.91,1.19,2.34,3.91,4.66,5.19,7.69,11.31,13.72,14.16,14.59,15.03,14.34,11.59,9.22,8.75,8.5,7.38,5.88,6.44,7.97,8.44,8.0,8.91,10.72,11.56,10.62,10.44,11.44,11.56,9.31,7.03,6.5,6.09,4.25,2.19,1.94,1.69,0.28,-2.38,-3.94,-4.53,-5.62,-7.41,-8.0,-6.09,-4.03,-3.09,-1.78,1.41,4.47,6.62,8.16,11.34,14.78,16.38,16.38,17.09,18.66,19.28,18.5,17.91,18.69,18.72,16.56,14.03,13.16,12.62,10.97,9.28,9.25,9.97,9.62,8.0,7.31,7.75,7.22,5.12,3.69,4.22,5.06,4.81,5.22,7.5,10.34,12.03,12.66,14.34,15.84,16.09,14.44,13.28,13.88,13.88,11.78,10.19,10.72,11.06,10.38,10.12,11.88,14.78,16.03,16.31,17.78,19.62,19.97,18.47,17.06,16.53,15.72,12.91,10.78,11.0,12.06,12.5,12.47,14.09,16.25,17.22,16.75,17.41,19.41,20.12,18.72,17.66,17.62,17.12,15.0,13.19,13.34,13.41,12.06,10.16,9.97,10.5,10.06,8.84,8.84,10.19,11.16,11.0,11.38,13.28,15.03,15.38,15.75,18.03,21.12,22.5,22.94,24.0,25.28,24.69,22.59,21.06,20.5,19.47,16.5,14.19,13.56,12.53,10.09,7.97,7.72,8.47,8.25,7.78,8.88,11.28,13.06,13.75,15.38,18.0,19.97,19.69,19.69,20.88,21.91,20.97,19.72,19.94,20.41,19.31,17.75,17.09,17.09,16.5,14.16,12.56,12.12,11.47,9.19,7.81,8.5,9.59,9.41,9.56,11.84,14.78,16.5,17.28,18.56,19.84,19.25,16.75,14.75,14.0,13.41,11.41,9.75,9.94,10.56,10.12,9.69,11.09,13.31,14.38,14.34,15.28,16.69,17.09,15.91,14.84,14.94,15.34,13.66,12.0,11.69,12.31,11.5,10.34,10.94,12.44,12.94,12.06,12.12,13.03,13.31,11.91,10.47,10.06,41.19,40.81,40.31,38.97,36.53,34.12,32.16,30.53,29.62,29.81,31.31,33.56,35.72,37.91,40.12,41.41,41.44,40.5,39.88,39.06,38.41,37.84,37.78,38.0,37.69,36.5,35.16,34.31,33.41,32.31,32.06,31.94,32.22,32.09,32.16,32.34,32.44,32.38,31.62,31.03,31.5,32.41:negativity
34.88,34.91,34.91,33.88,32.12,32.06,33.09,32.94,30.62,28.41,26.62,24.25,20.88,18.34,18.59,19.62,19.53,18.53,18.66,19.16,18.5,17.22,17.78,19.62,21.56,22.69,24.88,28.69,32.06,33.59,34.5,36.19,37.12,35.62,31.97,29.44,27.12,24.09,20.72,18.91,18.94,19.22,18.03,18.16,20.28,22.53,23.44,23.88,25.41,25.91,24.59,22.19,20.84,21.12,21.5,22.0,24.16,28.25,31.59,32.22,32.16,32.75,32.06,29.44,26.38,25.28,24.94,23.69,22.59,23.62,25.44,26.34,25.62,25.69,27.19,28.47,28.78,29.84,32.72,35.56,36.72,37.91,41.34,45.19,47.12,47.66,48.0,47.38,44.88,40.66,36.75,34.94,33.5,30.53,28.53,28.84,29.03,27.5,25.78,24.72,24.75,23.91,22.28,22.97,24.81,26.03,25.97,26.62,28.12,28.91,28.0,27.0,27.72,28.09,27.56,26.0,25.47,24.69,22.78,19.56,17.06,16.03,15.0,13.22,12.81,14.19,15.81,16.06,16.22,17.5,19.56,20.22,20.88,23.0,25.38,26.72,26.72,27.41,29.09,30.53,30.22,30.09,31.25,31.69,30.16,28.53,28.16,28.16,26.69,24.75,24.16,24.72,24.91,24.38,24.66,26.47,27.78,27.47,27.84,29.5,30.94,30.75,30.34,30.66,31.53,31.25,29.91,29.38,29.66,28.81,26.62,25.12,24.62,23.75,22.06,20.91,22.09,24.06,24.19,24.03,25.09,25.88,24.94,23.06,21.88,21.25,19.59,17.16,15.59,15.78,16.97,17.12,17.78,20.38,23.38,24.81,26.38,28.91,31.97,33.56,34.0,34.75,36.47,37.62,37.03,36.88,37.75,37.84,35.66,32.91,31.22,30.28,28.12,25.78,24.84,24.84,24.12,22.75,22.84,24.38,26.28,27.38,29.16,31.91,34.66,35.81,35.94,37.06,38.81,38.78,37.94,37.72,37.97,36.97,34.31,32.0,31.09,30.19,28.0,26.47,26.94,27.38,26.41,24.62,23.75,23.19,21.22,18.88,17.47,17.69,17.84,17.94,19.03,22.16,25.75,27.06,28.22,30.12,32.16,32.0,31.72,32.25,33.59,33.16,31.97,31.53,31.81,31.59,29.94,28.38,28.16,27.97,26.19,24.28,24.06,24.69,24.06,23.34,23.91,25.34,25.44,24.78,24.72,26.06,27.25,27.34,27.88,29.31,30.59,29.59,28.38,28.44,29.66,29.28,28.53,28.28,28.31,26.59,23.59,21.41,21.22,21.22,20.66,20.91,23.09,25.53,26.75,27.78,29.5,31.53,31.62,30.31,29.88,30.75,31.06,30.06,29.88,30.53,30.47,28.59,26.88,26.44,26.5,25.0,23.81,24.19,25.78,26.59,26.62,27.25,29.06,29.91,29.41,29.34,30.38,30.5,28.78,26.62,25.44,25.0,23.53,21.94,21.69,22.81,23.16,22.59,23.25,25.34,26.53,26.19,26.16,27.19,27.78,26.72,25.66,25.5,25.81,24.62,23.5,23.34,24.25,24.31,23.44,23.38,23.97,23.97,22.53,21.0,20.47,20.06,17.97,16.19,15.38,15.22,14.03,12.41,11.31,11.97,11.44,10.62,10.94,13.38,15.84,17.06,18.5,20.72,22.69,22.75,21.81,21.91,22.5,21.41,19.31,18.38,18.41,17.88,16.66,16.0,16.75,17.12,15.78,14.72,15.22,16.38,16.25,15.97,16.41,17.03,16.06,14.12,12.88,13.28,12.88,11.19,10.84,11.94,12.88,12.56,12.16,12.62,13.06,12.22,10.91,10.78,11.41,11.09,9.94,9.47,10.62,11.22,10.44,10.0,10.53,10.62,8.81,7.25,7.34,8.66,9.34,10.09,12.25,15.06,16.75,16.69,16.72,17.88,18.81,18.19,17.78,18.62,19.03,17.91,16.06,15.5,15.88,15.16,14.03,13.91,14.31,13.38,10.81,8.81,8.44,8.34,7.56,7.41,9.09,11.12,11.75,11.84,13.06,14.44,14.53,13.31,13.03,13.69,14.06,13.72,14.12,16.25,18.56,19.78,20.72,23.19,25.34,25.75,24.94,24.59,24.59,23.25,20.47,18.47,17.09,15.19,12.19,10.12,10.72,12.09,12.69,13.53,15.81,17.97,18.19,17.84,18.12,19.19,19.94,19.34,19.59,20.69,21.12,20.06,18.38,18.47,18.62,17.31,16.16,16.88,17.59,17.06,15.5,14.69,14.91,14.5,13.75,14.0,15.72,17.59,18.22,19.0,21.06,22.72,22.53,21.16,21.16,21.28,20.09,18.03,16.75,16.62,16.12,14.75,14.44,15.72,16.97,16.34,15.72,16.5,17.09,16.44,15.19,15.22,15.75,15.03,13.75,12.53,12.62,12.72,11.53,11.22,12.72,13.88,13.53,12.56,12.78,13.34,13.0,12.03,12.47,14.19,15.06,15.06,15.53,17.09,17.88,16.91,16.0,17.0,17.75,17.47,17.28,18.47,20.44,20.97,20.03,19.44,18.59,16.31,12.91,10.34,9.47,9.53,9.0,9.03,11.19,13.19,14.19,14.81,16.44,18.38,19.66,20.25,21.78,23.88,25.47,24.81,24.06,24.12,23.22,21.03,18.69,18.38,18.81,18.66,18.5,19.38,21.22,22.22,22.25,23.72,26.06,27.09,25.47,23.09,20.62,17.47,13.47,10.44,10.28,11.66,12.94,14.03,16.44,19.56,21.28,21.53,22.0,22.84,23.03,21.25,19.53,19.69,20.19,19.31,18.81,19.75,20.84,20.5,19.25,18.91,19.47,19.59,19.03,20.03,21.91,23.66,23.5,22.53,22.56,21.91,20.34,18.41,18.66,19.88,20.41,19.88,20.34,21.28,21.06,19.78,19.75,21.12,22.47,22.38,21.5,21.22,20.28,17.84,15.06,13.91,14.34,14.66,14.28,14.84,16.03,16.41,15.38,14.94,16.44,18.38,19.12,20.06,22.84,25.69,27.53,28.25,29.62,30.66,28.81,25.25,21.75,19.0,16.19,12.59,10.0,9.19,9.12,7.97,6.97,7.22,8.56,8.69,9.09,11.38,15.44,19.41,22.41,25.97,30.5,33.81,34.94,35.22,36.09,36.88,35.16,32.59,30.94,29.09,26.06,22.25,20.09,19.0,17.38,15.16,13.28,12.81,12.66,11.75,11.97,14.25,17.47,19.84,22.09,25.44,28.88,31.0,31.22,31.47,31.91,31.12,29.06,27.53,27.88,28.16,26.91,26.28,27.0,28.59,28.5,27.44,27.22,27.19,25.5,23.0,21.31,21.12,20.66,18.66,17.16,16.94,16.31,13.97,11.88,11.31,11.69,11.03,9.97,10.16,11.38,12.0,12.16,13.06,15.34,16.28,16.06,15.72,17.47,19.53,20.53,21.88,24.66,28.38,30.88,32.78,34.97,37.38,38.09,36.88,36.09,36.28,36.03,33.75,30.78,28.84,27.12,24.56,22.19,21.66,22.28,22.25,21.19,21.12,22.22,23.22,23.5,24.97,28.0,31.12,32.12,32.59,33.84,35.06,34.12,33.0,32.84,33.47,33.12,32.5,32.62,33.94,34.75,33.59,32.59,32.31,31.78,29.59,27.0,25.88,25.56,24.19,23.03,23.62,25.81,26.75,26.75,27.25,28.84,29.75,29.25,28.28,29.0,29.62,28.44,27.19,27.53,28.38,28.25,28.12,29.38,31.53,32.34,31.62,30.97,31.09,30.75,28.47,26.41,25.97,25.56,23.34,21.31,20.81,21.12,20.41,19.41,19.66,21.34,22.38,21.91,22.19,23.91,24.84,23.94,23.0,23.19,23.53,22.5,21.47,22.0,23.09,22.94,21.72,21.09,21.59,21.69,20.66,20.44,21.38,22.34,21.25,19.91,20.03,20.84,20.56,20.22,21.62,23.97,25.5,25.69,26.22,27.69,28.38,28.06,27.66,29.09,31.0,31.0,30.84,31.97,33.25,32.38,30.5,29.38,28.69,27.41,25.16,23.94,24.72,25.5,25.72,26.56,29.09,31.16,30.88,29.72,29.75,30.72,30.97,30.94,32.69,35.38,36.88,36.53,36.25,36.84,37.0,36.44,35.75,37.12,38.28,37.59,36.12,35.59,35.5,34.84,33.5,33.47,34.34,34.88,33.94,33.28,34.0,34.44,33.69,32.19,32.5,33.09,32.12,30.94,30.94,32.22,32.47,31.22,31.22,32.53,32.84,32.06,31.5,32.66,33.28,32.5,30.88,31.19,31.53,30.75,29.41,29.5,30.94,31.16,30.47,30.53,31.78,32.5,31.94,31.97,33.47,34.94,34.22,32.78,32.5,32.81,32.0,30.78,31.31,32.69,33.25,32.69,32.31,33.62,34.16,33.34,32.88,33.78,34.84,34.62,33.66,34.41,35.41,35.62,34.34,34.31,35.06,34.84,33.59,32.47,33.03,33.19,31.53,29.78,29.47,29.22,28.03,26.16,25.97,27.0,27.12,26.53,26.88,28.03,28.75,28.06,27.97,29.81,31.84,32.66,33.56,35.38,37.03,37.09,35.81,35.94,36.66,36.25,34.44,33.34,33.25,32.09,30.31,28.97,30.16,31.12,30.72,29.81,30.28,30.69,29.84,28.47,29.06,30.78,31.75,31.5,31.62,33.22,33.56,32.41,31.59,32.19,32.34,31.09,29.25,29.44,30.34,30.78,30.62,31.53,33.47,34.47,33.59,33.38,34.56,35.5,35.03,34.97,36.56,38.0,37.31,34.91,33.47,32.03,30.16,28.31,28.78,31.44,34.06,35.31,36.62,39.03,40.44,39.75,38.03,37.66,37.31,36.06,34.72,35.16,36.75,36.97,35.75,35.59,36.31,36.09,35.09,34.16,34.75,35.5,34.88,34.41,35.91,38.16,39.06,39.09,39.91,40.44,39.84,37.56,35.75,35.06,34.72,33.09,32.16,33.0,34.41,34.56,34.44,36.19,38.16,38.97,38.5,38.72,39.72,39.94,38.91:32.94,30.62,28.41,26.62,24.25,20.88,18.34,18.59,19.62,19.53,18.53,18.66,19.16,18.5,17.22,17.78,19.62,21.56,22.69,24.88,28.69,32.06,33.59,34.5,36.19,37.12,35.62,31.97,29.44,27.12,24.09,20.72,18.91,18.94,19.22,18.03,18.16,20.28,22.53,23.44,23.88,25.41,25.91,24.59,22.19,20.84,21.12,21.5,22.0,24.16,28.25,31.59,32.22,32.16,32.75,32.06,29.44,26.38,25.28,24.94,23.69,22.59,23.62,25.44,26.34,25.62,25.69,27.19,28.47,28.78,29.84,32.72,35.56,36.72,37.91,41.34,45.19,47.12,47.66,48.0,47.38,44.88,40.66,36.75,34.94,33.5,30.53,28.53,28.84,29.03,27.5,25.78,24.72,24.75,23.91,22.28,22.97,24.81,26.03,25.97,26.62,28.12,28.91,28.0,27.0,27.72,28.09,27.56,26.0,25.47,24.69,22.78,19.56,17.06,16.03,15.0,13.22,12.81,14.19,15.81,16.06,16.22,17.5,19.56,20.22,20.88,23.0,25.38,26.72,26.72,27.41,29.09,30.53,30.22,30.09,31.25,31.69,30.16,28.53,28.16,28.16,26.69,24.75,24.16,24.72,24.91,24.38,24.66,26.47,27.78,27.47,27.84,29.5,30.94,30.75,30.34,30.66,31.53,31.25,29.91,29.38,29.66,28.81,26.62,25.12,24.62,23.75,22.06,20.91,22.09,24.06,24.19,24.03,25.09,25.88,24.94,23.06,21.88,21.25,19.59,17.16,15.59,15.78,16.97,17.12,17.78,20.38,23.38,24.81,26.38,28.91,31.97,33.56,34.0,34.75,36.47,37.62,37.03,36.88,37.75,37.84,35.66,32.91,31.22,30.28,28.12,25.78,24.84,24.84,24.12,22.75,22.84,24.38,26.28,27.38,29.16,31.91,34.66,35.81,35.94,37.06,38.81,38.78,37.94,37.72,37.97,36.97,34.31,32.0,31.09,30.19,28.0,26.47,26.94,27.38,26.41,24.62,23.75,23.19,21.22,18.88,17.47,17.69,17.84,17.94,19.03,22.16,25.75,27.06,28.22,30.12,32.16,32.0,31.72,32.25,33.59,33.16,31.97,31.53,31.81,31.59,29.94,28.38,28.16,27.97,26.19,24.28,24.06,24.69,24.06,23.34,23.91,25.34,25.44,24.78,24.72,26.06,27.25,27.34,27.88,29.31,30.59,29.59,28.38,28.44,29.66,29.28,28.53,28.28,28.31,26.59,23.59,21.41,21.22,21.22,20.66,20.91,23.09,25.53,26.75,27.78,29.5,31.53,31.62,30.31,29.88,30.75,31.06,30.06,29.88,30.53,30.47,28.59,26.88,26.44,26.5,25.0,23.81,24.19,25.78,26.59,26.62,27.25,29.06,29.91,29.41,29.34,30.38,30.5,28.78,26.62,25.44,25.0,23.53,21.94,21.69,22.81,23.16,22.59,23.25,25.34,26.53,26.19,26.16,27.19,27.78,26.72,25.66,25.5,25.81,24.62,23.5,23.34,24.25,24.31,23.44,23.38,23.97,23.97,22.53,21.0,20.47,20.06,17.97,16.19,15.38,15.22,14.03,12.41,11.31,11.97,11.44,10.62,10.94,13.38,15.84,17.06,18.5,20.72,22.69,22.75,21.81,21.91,22.5,21.41,19.31,18.38,18.41,17.88,16.66,16.0,16.75,17.12,15.78,14.72,15.22,16.38,16.25,15.97,16.41,17.03,16.06,14.12,12.88,13.28,12.88,11.19,10.84,11.94,12.88,12.56,12.16,12.62,13.06,12.22,10.91,10.78,11.41,11.09,9.94,9.47,10.62,11.22,10.44,10.0,10.53,10.62,8.81,7.25,7.34,8.66,9.34,10.09,12.25,15.06,16.75,16.69,16.72,17.88,18.81,18.19,17.78,18.62,19.03,17.91,16.06,15.5,15.88,15.16,14.03,13.91,14.31,13.38,10.81,8.81,8.44,8.34,7.56,7.41,9.09,11.12,11.75,11.84,13.06,14.44,14.53,13.31,13.03,13.69,14.06,13.72,14.12,16.25,18.56,19.78,20.72,23.19,25.34,25.75,24.94,24.59,24.59,23.25,20.47,18.47,17.09,15.19,12.19,10.12,10.72,12.09,12.69,13.53,15.81,17.97,18.19,17.84,18.12,19.19,19.94,19.34,19.59,20.69,21.12,20.06,18.38,18.47,18.62,17.31,16.16,16.88,17.59,17.06,15.5,14.69,14.91,14.5,13.75,14.0,15.72,17.59,18.22,19.0,21.06,22.72,22.53,21.16,21.16,21.28,20.09,18.03,16.75,16.62,16.12,14.75,14.44,15.72,16.97,16.34,15.72,16.5,17.09,16.44,15.19,15.22,15.75,15.03,13.75,12.53,12.62,12.72,11.53,11.22,12.72,13.88,13.53,12.56,12.78,13.34,13.0,12.03,12.47,14.19,15.06,15.06,15.53,17.09,17.88,16.91,16.0,17.0,17.75,17.47,17.28,18.47,20.44,20.97,20.03,19.44,18.59,16.31,12.91,10.34,9.47,9.53,9.0,9.03,11.19,13.19,14.19,14.81,16.44,18.38,19.66,20.25,21.78,23.88,25.47,24.81,24.06,24.12,23.22,21.03,18.69,18.38,18.81,18.66,18.5,19.38,21.22,22.22,22.25,23.72,26.06,27.09,25.47,23.09,20.62,17.47,13.47,10.44,10.28,11.66,12.94,14.03,16.44,19.56,21.28,21.53,22.0,22.84,23.03,21.25,19.53,19.69,20.19,19.31,18.81,19.75,20.84,20.5,19.25,18.91,19.47,19.59,19.03,20.03,21.91,23.66,23.5,22.53,22.56,21.91,20.34,18.41,18.66,19.88,20.41,19.88,20.34,21.28,21.06,19.78,19.75,21.12,22.47,22.38,21.5,21.22,20.28,17.84,15.06,13.91,14.34,14.66,14.28,14.84,16.03,16.41,15.38,14.94,16.44,18.38,19.12,20.06,22.84,25.69,27.53,28.25,29.62,30.66,28.81,25.25,21.75,19.0,16.19,12.59,10.0,9.19,9.12,7.97,6.97,7.22,8.56,8.69,9.09,11.38,15.44,19.41,22.41,25.97,30.5,33.81,34.94,35.22,36.09,36.88,35.16,32.59,30.94,29.09,26.06,22.25,20.09,19.0,17.38,15.16,13.28,12.81,12.66,11.75,11.97,14.25,17.47,19.84,22.09,25.44,28.88,31.0,31.22,31.47,31.91,31.12,29.06,27.53,27.88,28.16,26.91,26.28,27.0,28.59,28.5,27.44,27.22,27.19,25.5,23.0,21.31,21.12,20.66,18.66,17.16,16.94,16.31,13.97,11.88,11.31,11.69,11.03,9.97,10.16,11.38,12.0,12.16,13.06,15.34,16.28,16.06,15.72,17.47,19.53,20.53,21.88,24.66,28.38,30.88,32.78,34.97,37.38,38.09,36.88,36.09,36.28,36.03,33.75,30.78,28.84,27.12,24.56,22.19,21.66,22.28,22.25,21.19,21.12,22.22,23.22,23.5,24.97,28.0,31.12,32.12,32.59,33.84,35.06,34.12,33.0,32.84,33.47,33.12,32.5,32.62,33.94,34.75,33.59,32.59,32.31,31.78,29.59,27.0,25.88,25.56,24.19,23.03,23.62,25.81,26.75,26.75,27.25,28.84,29.75,29.25,28.28,29.0,29.62,28.44,27.19,27.53,28.38,28.25,28.12,29.38,31.53,32.34,31.62,30.97,31.09,30.75,28.47,26.41,25.97,25.56,23.34,21.31,20.81,21.12,20.41,19.41,19.66,21.34,22.38,21.91,22.19,23.91,24.84,23.94,23.0,23.19,23.53,22.5,21.47,22.0,23.09,22.94,21.72,21.09,21.59,21.69,20.66,20.44,21.38,22.34,21.25,19.91,20.03,20.84,20.56,20.22,21.62,23.97,25.5,25.69,26.22,27.69,28.38,28.06,27.66,29.09,31.0,31.0,30.84,31.97,33.25,32.38,30.5,29.38,28.69,27.41,25.16,23.94,24.72,25.5,25.72,26.56,29.09,31.16,30.88,29.72,29.75,30.72,30.97,30.94,32.69,35.38,36.88,36.53,36.25,36.84,37.0,36.44,35.75,37.12,38.28,37.59,36.12,35.59,35.5,34.84,33.5,33.47,34.34,34.88,33.94,33.28,34.0,34.44,33.69,32.19,32.5,33.09,32.12,30.94,30.94,32.22,32.47,31.22,31.22,32.53,32.84,32.06,31.5,32.66,33.28,32.5,30.88,31.19,31.53,30.75,29.41,29.5,30.94,31.16,30.47,30.53,31.78,32.5,31.94,31.97,33.47,34.94,34.22,32.78,32.5,32.81,32.0,30.78,31.31,32.69,33.25,32.69,32.31,33.62,34.16,33.34,32.88,33.78,34.84,34.62,33.66,34.41,35.41,35.62,34.34,34.31,35.06,34.84,33.59,32.47,33.03,33.19,31.53,29.78,29.47,29.22,28.03,26.16,25.97,27.0,27.12,26.53,26.88,28.03,28.75,28.06,27.97,29.81,31.84,32.66,33.56,35.38,37.03,37.09,35.81,35.94,36.66,36.25,34.44,33.34,33.25,32.09,30.31,28.97,30.16,31.12,30.72,29.81,30.28,30.69,29.84,28.47,29.06,30.78,31.75,31.5,31.62,33.22,33.56,32.41,31.59,32.19,32.34,31.09,29.25,29.44,30.34,30.78,30.62,31.53,33.47,34.47,33.59,33.38,34.56,35.5,35.03,34.97,36.56,38.0,37.31,34.91,33.47,32.03,30.16,28.31,28.78,31.44,34.06,35.31,36.62,39.03,40.44,39.75,38.03,37.66,37.31,36.06,34.72,35.16,36.75,36.97,35.75,35.59,36.31,36.09,35.09,34.16,34.75,35.5,34.88,34.41,35.91,38.16,39.06,39.09,39.91,40.44,39.84,37.56,35.75,35.06,34.72,33.09,32.16,33.0,34.41,34.56,34.44,36.19,38.16,38.97,38.5,38.72,39.72,39.94,38.91,60.97,61.53,61.69,62.44,62.91,63.56,64.09:18.59,19.62,19.53,18.53,18.66,19.16,18.5,17.22,17.78,19.62,21.56,22.69,24.88,28.69,32.06,33.59,34.5,36.19,37.12,35.62,31.97,29.44,27.12,24.09,20.72,18.91,18.94,19.22,18.03,18.16,20.28,22.53,23.44,23.88,25.41,25.91,24.59,22.19,20.84,21.12,21.5,22.0,24.16,28.25,31.59,32.22,32.16,32.75,32.06,29.44,26.38,25.28,24.94,23.69,22.59,23.62,25.44,26.34,25.62,25.69,27.19,28.47,28.78,29.84,32.72,35.56,36.72,37.91,41.34,45.19,47.12,47.66,48.0,47.38,44.88,40.66,36.75,34.94,33.5,30.53,28.53,28.84,29.03,27.5,25.78,24.72,24.75,23.91,22.28,22.97,24.81,26.03,25.97,26.62,28.12,28.91,28.0,27.0,27.72,28.09,27.56,26.0,25.47,24.69,22.78,19.56,17.06,16.03,15.0,13.22,12.81,14.19,15.81,16.06,16.22,17.5,19.56,20.22,20.88,23.0,25.38,26.72,26.72,27.41,29.09,30.53,30.22,30.09,31.25,31.69,30.16,28.53,28.16,28.16,26.69,24.75,24.16,24.72,24.91,24.38,24.66,26.47,27.78,27.47,27.84,29.5,30.94,30.75,30.34,30.66,31.53,31.25,29.91,29.38,29.66,28.81,26.62,25.12,24.62,23.75,22.06,20.91,22.09,24.06,24.19,24.03,25.09,25.88,24.94,23.06,21.88,21.25,19.59,17.16,15.59,15.78,16.97,17.12,17.78,20.38,23.38,24.81,26.38,28.91,31.97,33.56,34.0,34.75,36.47,37.62,37.03,36.88,37.75,37.84,35.66,32.91,31.22,30.28,28.12,25.78,24.84,24.84,24.12,22.75,22.84,24.38,26.28,27.38,29.16,31.91,34.66,35.81,35.94,37.06,38.81,38.78,37.94,37.72,37.97,36.97,34.31,32.0,31.09,30.19,28.0,26.47,26.94,27.38,26.41,24.62,23.75,23.19,21.22,18.88,17.47,17.69,17.84,17.94,19.03,22.16,25.75,27.06,28.22,30.12,32.16,32.0,31.72,32.25,33.59,33.16,31.97,31.53,31.81,31.59,29.94,28.38,28.16,27.97,26.19,24.28,24.06,24.69,24.06,23.34,23.91,25.34,25.44,24.78,24.72,26.06,27.25,27.34,27.88,29.31,30.59,29.59,28.38,28.44,29.66,29.28,28.53,28.28,28.31,26.59,23.59,21.41,21.22,21.22,20.66,20.91,23.09,25.53,26.75,27.78,29.5,31.53,31.62,30.31,29.88,30.75,31.06,30.06,29.88,30.53,30.47,28.59,26.88,26.44,26.5,25.0,23.81,24.19,25.78,26.59,26.62,27.25,29.06,29.91,29.41,29.34,30.38,30.5,28.78,26.62,25.44,25.0,23.53,21.94,21.69,22.81,23.16,22.59,23.25,25.34,26.53,26.19,26.16,27.19,27.78,26.72,25.66,25.5,25.81,24.62,23.5,23.34,24.25,24.31,23.44,23.38,23.97,23.97,22.53,21.0,20.47,20.06,17.97,16.19,15.38,15.22,14.03,12.41,11.31,11.97,11.44,10.62,10.94,13.38,15.84,17.06,18.5,20.72,22.69,22.75,21.81,21.91,22.5,21.41,19.31,18.38,18.41,17.88,16.66,16.0,16.75,17.12,15.78,14.72,15.22,16.38,16.25,15.97,16.41,17.03,16.06,14.12,12.88,13.28,12.88,11.19,10.84,11.94,12.88,12.56,12.16,12.62,13.06,12.22,10.91,10.78,11.41,11.09,9.94,9.47,10.62,11.22,10.44,10.0,10.53,10.62,8.81,7.25,7.34,8.66,9.34,10.09,12.25,15.06,16.75,16.69,16.72,17.88,18.81,18.19,17.78,18.62,19.03,17.91,16.06,15.5,15.88,15.16,14.03,13.91,14.31,13.38,10.81,8.81,8.44,8.34,7.56,7.41,9.09,11.12,11.75,11.84,13.06,14.44,14.53,13.31,13.03,13.69,14.06,13.72,14.12,16.25,18.56,19.78,20.72,23.19,25.34,25.75,24.94,24.59,24.59,23.25,20.47,18.47,17.09,15.19,12.19,10.12,10.72,12.09,12.69,13.53,15.81,17.97,18.19,17.84,18.12,19.19,19.94,19.34,19.59,20.69,21.12,20.06,18.38,18.47,18.62,17.31,16.16,16.88,17.59,17.06,15.5,14.69,14.91,14.5,13.75,14.0,15.72,17.59,18.22,19.0,21.06,22.72,22.53,21.16,21.16,21.28,20.09,18.03,16.75,16.62,16.12,14.75,14.44,15.72,16.97,16.34,15.72,16.5,17.09,16.44,15.19,15.22,15.75,15.03,13.75,12.53,12.62,12.72,11.53,11.22,12.72,13.88,13.53,12.56,12.78,13.34,13.0,12.03,12.47,14.19,15.06,15.06,15.53,17.09,17.88,16.91,16.0,17.0,17.75,17.47,17.28,18.47,20.44,20.97,20.03,19.44,18.59,16.31,12.91,10.34,9.47,9.53,9.0,9.03,11.19,13.19,14.19,14.81,16.44,18.38,19.66,20.25,21.78,23.88,25.47,24.81,24.06,24.12,23.22,21.03,18.69,18.38,18.81,18.66,18.5,19.38,21.22,22.22,22.25,23.72,26.06,27.09,25.47,23.09,20.62,17.47,13.47,10.44,10.28,11.66,12.94,14.03,16.44,19.56,21.28,21.53,22.0,22.84,23.03,21.25,19.53,19.69,20.19,19.31,18.81,19.75,20.84,20.5,19.25,18.91,19.47,19.59,19.03,20.03,21.91,23.66,23.5,22.53,22.56,21.91,20.34,18.41,18.66,19.88,20.41,19.88,20.34,21.28,21.06,19.78,19.75,21.12,22.47,22.38,21.5,21.22,20.28,17.84,15.06,13.91,14.34,14.66,14.28,14.84,16.03,16.41,15.38,14.94,16.44,18.38,19.12,20.06,22.84,25.69,27.53,28.25,29.62,30.66,28.81,25.25,21.75,19.0,16.19,12.59,10.0,9.19,9.12,7.97,6.97,7.22,8.56,8.69,9.09,11.38,15.44,19.41,22.41,25.97,30.5,33.81,34.94,35.22,36.09,36.88,35.16,32.59,30.94,29.09,26.06,22.25,20.09,19.0,17.38,15.16,13.28,12.81,12.66,11.75,11.97,14.25,17.47,19.84,22.09,25.44,28.88,31.0,31.22,31.47,31.91,31.12,29.06,27.53,27.88,28.16,26.91,26.28,27.0,28.59,28.5,27.44,27.22,27.19,25.5,23.0,21.31,21.12,20.66,18.66,17.16,16.94,16.31,13.97,11.88,11.31,11.69,11.03,9.97,10.16,11.38,12.0,12.16,13.06,15.34,16.28,16.06,15.72,17.47,19.53,20.53,21.88,24.66,28.38,30.88,32.78,34.97,37.38,38.09,36.88,36.09,36.28,36.03,33.75,30.78,28.84,27.12,24.56,22.19,21.66,22.28,22.25,21.19,21.12,22.22,23.22,23.5,24.97,28.0,31.12,32.12,32.59,33.84,35.06,34.12,33.0,32.84,33.47,33.12,32.5,32.62,33.94,34.75,33.59,32.59,32.31,31.78,29.59,27.0,25.88,25.56,24.19,23.03,23.62,25.81,26.75,26.75,27.25,28.84,29.75,29.25,28.28,29.0,29.62,28.44,27.19,27.53,28.38,28.25,28.12,29.38,31.53,32.34,31.62,30.97,31.09,30.75,28.47,26.41,25.97,25.56,23.34,21.31,20.81,21.12,20.41,19.41,19.66,21.34,22.38,21.91,22.19,23.91,24.84,23.94,23.0,23.19,23.53,22.5,21.47,22.0,23.09,22.94,21.72,21.09,21.59,21.69,20.66,20.44,21.38,22.34,21.25,19.91,20.03,20.84,20.56,20.22,21.62,23.97,25.5,25.69,26.22,27.69,28.38,28.06,27.66,29.09,31.0,31.0,30.84,31.97,33.25,32.38,30.5,29.38,28.69,27.41,25.16,23.94,24.72,25.5,25.72,26.56,29.09,31.16,30.88,29.72,29.75,30.72,30.97,30.94,32.69,35.38,36.88,36.53,36.25,36.84,37.0,36.44,35.75,37.12,38.28,37.59,36.12,35.59,35.5,34.84,33.5,33.47,34.34,34.88,33.94,33.28,34.0,34.44,33.69,32.19,32.5,33.09,32.12,30.94,30.94,32.22,32.47,31.22,31.22,32.53,32.84,32.06,31.5,32.66,33.28,32.5,30.88,31.19,31.53,30.75,29.41,29.5,30.94,31.16,30.47,30.53,31.78,32.5,31.94,31.97,33.47,34.94,34.22,32.78,32.5,32.81,32.0,30.78,31.31,32.69,33.25,32.69,32.31,33.62,34.16,33.34,32.88,33.78,34.84,34.62,33.66,34.41,35.41,35.62,34.34,34.31,35.06,34.84,33.59,32.47,33.03,33.19,31.53,29.78,29.47,29.22,28.03,26.16,25.97,27.0,27.12,26.53,26.88,28.03,28.75,28.06,27.97,29.81,31.84,32.66,33.56,35.38,37.03,37.09,35.81,35.94,36.66,36.25,34.44,33.34,33.25,32.09,30.31,28.97,30.16,31.12,30.72,29.81,30.28,30.69,29.84,28.47,29.06,30.78,31.75,31.5,31.62,33.22,33.56,32.41,31.59,32.19,32.34,31.09,29.25,29.44,30.34,30.78,30.62,31.53,33.47,34.47,33.59,33.38,34.56,35.5,35.03,34.97,36.56,38.0,37.31,34.91,33.47,32.03,30.16,28.31,28.78,31.44,34.06,35.31,36.62,39.03,40.44,39.75,38.03,37.66,37.31,36.06,34.72,35.16,36.75,36.97,35.75,35.59,36.31,36.09,35.09,34.16,34.75,35.5,34.88,34.41,35.91,38.16,39.06,39.09,39.91,40.44,39.84,37.56,35.75,35.06,34.72,33.09,32.16,33.0,34.41,34.56,34.44,36.19,38.16,38.97,38.5,38.72,39.72,39.94,38.91,60.97,61.53,61.69,62.44,62.91,63.56,64.09,64.59,64.16,62.28,59.25,56.47,53.81,51.62:17.22,17.78,19.62,21.56,22.69,24.88,28.69,32.06,33.59,34.5,36.19,37.12,35.62,31.97,29.44,27.12,24.09,20.72,18.91,18.94,19.22,18.03,18.16,20.28,22.53,23.44,23.88,25.41,25.91,24.59,22.19,20.84,21.12,21.5,22.0,24.16,28.25,31.59,32.22,32.16,32.75,32.06,29.44,26.38,25.28,24.94,23.69,22.59,23.62,25.44,26.34,25.62,25.69,27.19,28.47,28.78,29.84,32.72,35.56,36.72,37.91,41.34,45.19,47.12,47.66,48.0,47.38,44.88,40.66,36.75,34.94,33.5,30.53,28.53,28.84,29.03,27.5,25.78,24.72,24.75,23.91,22.28,22.97,24.81,26.03,25.97,26.62,28.12,28.91,28.0,27.0,27.72,28.09,27.56,26.0,25.47,24.69,22.78,19.56,17.06,16.03,15.0,13.22,12.81,14.19,15.81,16.06,16.22,17.5,19.56,20.22,20.88,23.0,25.38,26.72,26.72,27.41,29.09,30.53,30.22,30.09,31.25,31.69,30.16,28.53,28.16,28.16,26.69,24.75,24.16,24.72,24.91,24.38,24.66,26.47,27.78,27.47,27.84,29.5,30.94,30.75,30.34,30.66,31.53,31.25,29.91,29.38,29.66,28.81,26.62,25.12,24.62,23.75,22.06,20.91,22.09,24.06,24.19,24.03,25.09,25.88,24.94,23.06,21.88,21.25,19.59,17.16,15.59,15.78,16.97,17.12,17.78,20.38,23.38,24.81,26.38,28.91,31.97,33.56,34.0,34.75,36.47,37.62,37.03,36.88,37.75,37.84,35.66,32.91,31.22,30.28,28.12,25.78,24.84,24.84,24.12,22.75,22.84,24.38,26.28,27.38,29.16,31.91,34.66,35.81,35.94,37.06,38.81,38.78,37.94,37.72,37.97,36.97,34.31,32.0,31.09,30.19,28.0,26.47,26.94,27.38,26.41,24.62,23.75,23.19,21.22,18.88,17.47,17.69,17.84,17.94,19.03,22.16,25.75,27.06,28.22,30.12,32.16,32.0,31.72,32.25,33.59,33.16,31.97,31.53,31.81,31.59,29.94,28.38,28.16,27.97,26.19,24.28,24.06,24.69,24.06,23.34,23.91,25.34,25.44,24.78,24.72,26.06,27.25,27.34,27.88,29.31,30.59,29.59,28.38,28.44,29.66,29.28,28.53,28.28,28.31,26.59,23.59,21.41,21.22,21.22,20.66,20.91,23.09,25.53,26.75,27.78,29.5,31.53,31.62,30.31,29.88,30.75,31.06,30.06,29.88,30.53,30.47,28.59,26.88,26.44,26.5,25.0,23.81,24.19,25.78,26.59,26.62,27.25,29.06,29.91,29.41,29.34,30.38,30.5,28.78,26.62,25.44,25.0,23.53,21.94,21.69,22.81,23.16,22.59,23.25,25.34,26.53,26.19,26.16,27.19,27.78,26.72,25.66,25.5,25.81,24.62,23.5,23.34,24.25,24.31,23.44,23.38,23.97,23.97,22.53,21.0,20.47,20.06,17.97,16.19,15.38,15.22,14.03,12.41,11.31,11.97,11.44,10.62,10.94,13.38,15.84,17.06,18.5,20.72,22.69,22.75,21.81,21.91,22.5,21.41,19.31,18.38,18.41,17.88,16.66,16.0,16.75,17.12,15.78,14.72,15.22,16.38,16.25,15.97,16.41,17.03,16.06,14.12,12.88,13.28,12.88,11.19,10.84,11.94,12.88,12.56,12.16,12.62,13.06,12.22,10.91,10.78,11.41,11.09,9.94,9.47,10.62,11.22,10.44,10.0,10.53,10.62,8.81,7.25,7.34,8.66,9.34,10.09,12.25,15.06,16.75,16.69,16.72,17.88,18.81,18.19,17.78,18.62,19.03,17.91,16.06,15.5,15.88,15.16,14.03,13.91,14.31,13.38,10.81,8.81,8.44,8.34,7.56,7.41,9.09,11.12,11.75,11.84,13.06,14.44,14.53,13.31,13.03,13.69,14.06,13.72,14.12,16.25,18.56,19.78,20.72,23.19,25.34,25.75,24.94,24.59,24.59,23.25,20.47,18.47,17.09,15.19,12.19,10.12,10.72,12.09,12.69,13.53,15.81,17.97,18.19,17.84,18.12,19.19,19.94,19.34,19.59,20.69,21.12,20.06,18.38,18.47,18.62,17.31,16.16,16.88,17.59,17.06,15.5,14.69,14.91,14.5,13.75,14.0,15.72,17.59,18.22,19.0,21.06,22.72,22.53,21.16,21.16,21.28,20.09,18.03,16.75,16.62,16.12,14.75,14.44,15.72,16.97,16.34,15.72,16.5,17.09,16.44,15.19,15.22,15.75,15.03,13.75,12.53,12.62,12.72,11.53,11.22,12.72,13.88,13.53,12.56,12.78,13.34,13.0,12.03,12.47,14.19,15.06,15.06,15.53,17.09,17.88,16.91,16.0,17.0,17.75,17.47,17.28,18.47,20.44,20.97,20.03,19.44,18.59,16.31,12.91,10.34,9.47,9.53,9.0,9.03,11.19,13.19,14.19,14.81,16.44,18.38,19.66,20.25,21.78,23.88,25.47,24.81,24.06,24.12,23.22,21.03,18.69,18.38,18.81,18.66,18.5,19.38,21.22,22.22,22.25,23.72,26.06,27.09,25.47,23.09,20.62,17.47,13.47,10.44,10.28,11.66,12.94,14.03,16.44,19.56,21.28,21.53,22.0,22.84,23.03,21.25,19.53,19.69,20.19,19.31,18.81,19.75,20.84,20.5,19.25,18.91,19.47,19.59,19.03,20.03,21.91,23.66,23.5,22.53,22.56,21.91,20.34,18.41,18.66,19.88,20.41,19.88,20.34,21.28,21.06,19.78,19.75,21.12,22.47,22.38,21.5,21.22,20.28,17.84,15.06,13.91,14.34,14.66,14.28,14.84,16.03,16.41,15.38,14.94,16.44,18.38,19.12,20.06,22.84,25.69,27.53,28.25,29.62,30.66,28.81,25.25,21.75,19.0,16.19,12.59,10.0,9.19,9.12,7.97,6.97,7.22,8.56,8.69,9.09,11.38,15.44,19.41,22.41,25.97,30.5,33.81,34.94,35.22,36.09,36.88,35.16,32.59,30.94,29.09,26.06,22.25,20.09,19.0,17.38,15.16,13.28,12.81,12.66,11.75,11.97,14.25,17.47,19.84,22.09,25.44,28.88,31.0,31.22,31.47,31.91,31.12,29.06,27.53,27.88,28.16,26.91,26.28,27.0,28.59,28.5,27.44,27.22,27.19,25.5,23.0,21.31,21.12,20.66,18.66,17.16,16.94,16.31,13.97,11.88,11.31,11.69,11.03,9.97,10.16,11.38,12.0,12.16,13.06,15.34,16.28,16.06,15.72,17.47,19.53,20.53,21.88,24.66,28.38,30.88,32.78,34.97,37.38,38.09,36.88,36.09,36.28,36.03,33.75,30.78,28.84,27.12,24.56,22.19,21.66,22.28,22.25,21.19,21.12,22.22,23.22,23.5,24.97,28.0,31.12,32.12,32.59,33.84,35.06,34.12,33.0,32.84,33.47,33.12,32.5,32.62,33.94,34.75,33.59,32.59,32.31,31.78,29.59,27.0,25.88,25.56,24.19,23.03,23.62,25.81,26.75,26.75,27.25,28.84,29.75,29.25,28.28,29.0,29.62,28.44,27.19,27.53,28.38,28.25,28.12,29.38,31.53,32.34,31.62,30.97,31.09,30.75,28.47,26.41,25.97,25.56,23.34,21.31,20.81,21.12,20.41,19.41,19.66,21.34,22.38,21.91,22.19,23.91,24.84,23.94,23.0,23.19,23.53,22.5,21.47,22.0,23.09,22.94,21.72,21.09,21.59,21.69,20.66,20.44,21.38,22.34,21.25,19.91,20.03,20.84,20.56,20.22,21.62,23.97,25.5,25.69,26.22,27.69,28.38,28.06,27.66,29.09,31.0,31.0,30.84,31.97,33.25,32.38,30.5,29.38,28.69,27.41,25.16,23.94,24.72,25.5,25.72,26.56,29.09,31.16,30.88,29.72,29.75,30.72,30.97,30.94,32.69,35.38,36.88,36.53,36.25,36.84,37.0,36.44,35.75,37.12,38.28,37.59,36.12,35.59,35.5,34.84,33.5,33.47,34.34,34.88,33.94,33.28,34.0,34.44,33.69,32.19,32.5,33.09,32.12,30.94,30.94,32.22,32.47,31.22,31.22,32.53,32.84,32.06,31.5,32.66,33.28,32.5,30.88,31.19,31.53,30.75,29.41,29.5,30.94,31.16,30.47,30.53,31.78,32.5,31.94,31.97,33.47,34.94,34.22,32.78,32.5,32.81,32.0,30.78,31.31,32.69,33.25,32.69,32.31,33.62,34.16,33.34,32.88,33.78,34.84,34.62,33.66,34.41,35.41,35.62,34.34,34.31,35.06,34.84,33.59,32.47,33.03,33.19,31.53,29.78,29.47,29.22,28.03,26.16,25.97,27.0,27.12,26.53,26.88,28.03,28.75,28.06,27.97,29.81,31.84,32.66,33.56,35.38,37.03,37.09,35.81,35.94,36.66,36.25,34.44,33.34,33.25,32.09,30.31,28.97,30.16,31.12,30.72,29.81,30.28,30.69,29.84,28.47,29.06,30.78,31.75,31.5,31.62,33.22,33.56,32.41,31.59,32.19,32.34,31.09,29.25,29.44,30.34,30.78,30.62,31.53,33.47,34.47,33.59,33.38,34.56,35.5,35.03,34.97,36.56,38.0,37.31,34.91,33.47,32.03,30.16,28.31,28.78,31.44,34.06,35.31,36.62,39.03,40.44,39.75,38.03,37.66,37.31,36.06,34.72,35.16,36.75,36.97,35.75,35.59,36.31,36.09,35.09,34.16,34.75,35.5,34.88,34.41,35.91,38.16,39.06,39.09,39.91,40.44,39.84,37.56,35.75,35.06,34.72,33.09,32.16,33.0,34.41,34.56,34.44,36.19,38.16,38.97,38.5,38.72,39.72,39.94,38.91,60.97,61.53,61.69,62.44,62.91,63.56,64.09,64.59,64.16,62.28,59.25,56.47,53.81,51.62,49.81,49.12,48.91,48.59,48.06,47.84,48.16:32.06,33.59,34.5,36.19,37.12,35.62,31.97,29.44,27.12,24.09,20.72,18.91,18.94,19.22,18.03,18.16,20.28,22.53,23.44,23.88,25.41,25.91,24.59,22.19,20.84,21.12,21.5,22.0,24.16,28.25,31.59,32.22,32.16,32.75,32.06,29.44,26.38,25.28,24.94,23.69,22.59,23.62,25.44,26.34,25.62,25.69,27.19,28.47,28.78,29.84,32.72,35.56,36.72,37.91,41.34,45.19,47.12,47.66,48.0,47.38,44.88,40.66,36.75,34.94,33.5,30.53,28.53,28.84,29.03,27.5,25.78,24.72,24.75,23.91,22.28,22.97,24.81,26.03,25.97,26.62,28.12,28.91,28.0,27.0,27.72,28.09,27.56,26.0,25.47,24.69,22.78,19.56,17.06,16.03,15.0,13.22,12.81,14.19,15.81,16.06,16.22,17.5,19.56,20.22,20.88,23.0,25.38,26.72,26.72,27.41,29.09,30.53,30.22,30.09,31.25,31.69,30.16,28.53,28.16,28.16,26.69,24.75,24.16,24.72,24.91,24.38,24.66,26.47,27.78,27.47,27.84,29.5,30.94,30.75,30.34,30.66,31.53,31.25,29.91,29.38,29.66,28.81,26.62,25.12,24.62,23.75,22.06,20.91,22.09,24.06,24.19,24.03,25.09,25.88,24.94,23.06,21.88,21.25,19.59,17.16,15.59,15.78,16.97,17.12,17.78,20.38,23.38,24.81,26.38,28.91,31.97,33.56,34.0,34.75,36.47,37.62,37.03,36.88,37.75,37.84,35.66,32.91,31.22,30.28,28.12,25.78,24.84,24.84,24.12,22.75,22.84,24.38,26.28,27.38,29.16,31.91,34.66,35.81,35.94,37.06,38.81,38.78,37.94,37.72,37.97,36.97,34.31,32.0,31.09,30.19,28.0,26.47,26.94,27.38,26.41,24.62,23.75,23.19,21.22,18.88,17.47,17.69,17.84,17.94,19.03,22.16,25.75,27.06,28.22,30.12,32.16,32.0,31.72,32.25,33.59,33.16,31.97,31.53,31.81,31.59,29.94,28.38,28.16,27.97,26.19,24.28,24.06,24.69,24.06,23.34,23.91,25.34,25.44,24.78,24.72,26.06,27.25,27.34,27.88,29.31,30.59,29.59,28.38,28.44,29.66,29.28,28.53,28.28,28.31,26.59,23.59,21.41,21.22,21.22,20.66,20.91,23.09,25.53,26.75,27.78,29.5,31.53,31.62,30.31,29.88,30.75,31.06,30.06,29.88,30.53,30.47,28.59,26.88,26.44,26.5,25.0,23.81,24.19,25.78,26.59,26.62,27.25,29.06,29.91,29.41,29.34,30.38,30.5,28.78,26.62,25.44,25.0,23.53,21.94,21.69,22.81,23.16,22.59,23.25,25.34,26.53,26.19,26.16,27.19,27.78,26.72,25.66,25.5,25.81,24.62,23.5,23.34,24.25,24.31,23.44,23.38,23.97,23.97,22.53,21.0,20.47,20.06,17.97,16.19,15.38,15.22,14.03,12.41,11.31,11.97,11.44,10.62,10.94,13.38,15.84,17.06,18.5,20.72,22.69,22.75,21.81,21.91,22.5,21.41,19.31,18.38,18.41,17.88,16.66,16.0,16.75,17.12,15.78,14.72,15.22,16.38,16.25,15.97,16.41,17.03,16.06,14.12,12.88,13.28,12.88,11.19,10.84,11.94,12.88,12.56,12.16,12.62,13.06,12.22,10.91,10.78,11.41,11.09,9.94,9.47,10.62,11.22,10.44,10.0,10.53,10.62,8.81,7.25,7.34,8.66,9.34,10.09,12.25,15.06,16.75,16.69,16.72,17.88,18.81,18.19,17.78,18.62,19.03,17.91,16.06,15.5,15.88,15.16,14.03,13.91,14.31,13.38,10.81,8.81,8.44,8.34,7.56,7.41,9.09,11.12,11.75,11.84,13.06,14.44,14.53,13.31,13.03,13.69,14.06,13.72,14.12,16.25,18.56,19.78,20.72,23.19,25.34,25.75,24.94,24.59,24.59,23.25,20.47,18.47,17.09,15.19,12.19,10.12,10.72,12.09,12.69,13.53,15.81,17.97,18.19,17.84,18.12,19.19,19.94,19.34,19.59,20.69,21.12,20.06,18.38,18.47,18.62,17.31,16.16,16.88,17.59,17.06,15.5,14.69,14.91,14.5,13.75,14.0,15.72,17.59,18.22,19.0,21.06,22.72,22.53,21.16,21.16,21.28,20.09,18.03,16.75,16.62,16.12,14.75,14.44,15.72,16.97,16.34,15.72,16.5,17.09,16.44,15.19,15.22,15.75,15.03,13.75,12.53,12.62,12.72,11.53,11.22,12.72,13.88,13.53,12.56,12.78,13.34,13.0,12.03,12.47,14.19,15.06,15.06,15.53,17.09,17.88,16.91,16.0,17.0,17.75,17.47,17.28,18.47,20.44,20.97,20.03,19.44,18.59,16.31,12.91,10.34,9.47,9.53,9.0,9.03,11.19,13.19,14.19,14.81,16.44,18.38,19.66,20.25,21.78,23.88,25.47,24.81,24.06,24.12,23.22,21.03,18.69,18.38,18.81,18.66,18.5,19.38,21.22,22.22,22.25,23.72,26.06,27.09,25.47,23.09,20.62,17.47,13.47,10.44,10.28,11.66,12.94,14.03,16.44,19.56,21.28,21.53,22.0,22.84,23.03,21.25,19.53,19.69,20.19,19.31,18.81,19.75,20.84,20.5,19.25,18.91,19.47,19.59,19.03,20.03,21.91,23.66,23.5,22.53,22.56,21.91,20.34,18.41,18.66,19.88,20.41,19.88,20.34,21.28,21.06,19.78,19.75,21.12,22.47,22.38,21.5,21.22,20.28,17.84,15.06,13.91,14.34,14.66,14.28,14.84,16.03,16.41,15.38,14.94,16.44,18.38,19.12,20.06,22.84,25.69,27.53,28.25,29.62,30.66,28.81,25.25,21.75,19.0,16.19,12.59,10.0,9.19,9.12,7.97,6.97,7.22,8.56,8.69,9.09,11.38,15.44,19.41,22.41,25.97,30.5,33.81,34.94,35.22,36.09,36.88,35.16,32.59,30.94,29.09,26.06,22.25,20.09,19.0,17.38,15.16,13.28,12.81,12.66,11.75,11.97,14.25,17.47,19.84,22.09,25.44,28.88,31.0,31.22,31.47,31.91,31.12,29.06,27.53,27.88,28.16,26.91,26.28,27.0,28.59,28.5,27.44,27.22,27.19,25.5,23.0,21.31,21.12,20.66,18.66,17.16,16.94,16.31,13.97,11.88,11.31,11.69,11.03,9.97,10.16,11.38,12.0,12.16,13.06,15.34,16.28,16.06,15.72,17.47,19.53,20.53,21.88,24.66,28.38,30.88,32.78,34.97,37.38,38.09,36.88,36.09,36.28,36.03,33.75,30.78,28.84,27.12,24.56,22.19,21.66,22.28,22.25,21.19,21.12,22.22,23.22,23.5,24.97,28.0,31.12,32.12,32.59,33.84,35.06,34.12,33.0,32.84,33.47,33.12,32.5,32.62,33.94,34.75,33.59,32.59,32.31,31.78,29.59,27.0,25.88,25.56,24.19,23.03,23.62,25.81,26.75,26.75,27.25,28.84,29.75,29.25,28.28,29.0,29.62,28.44,27.19,27.53,28.38,28.25,28.12,29.38,31.53,32.34,31.62,30.97,31.09,30.75,28.47,26.41,25.97,25.56,23.34,21.31,20.81,21.12,20.41,19.41,19.66,21.34,22.38,21.91,22.19,23.91,24.84,23.94,23.0,23.19,23.53,22.5,21.47,22.0,23.09,22.94,21.72,21.09,21.59,21.69,20.66,20.44,21.38,22.34,21.25,19.91,20.03,20.84,20.56,20.22,21.62,23.97,25.5,25.69,26.22,27.69,28.38,28.06,27.66,29.09,31.0,31.0,30.84,31.97,33.25,32.38,30.5,29.38,28.69,27.41,25.16,23.94,24.72,25.5,25.72,26.56,29.09,31.16,30.88,29.72,29.75,30.72,30.97,30.94,32.69,35.38,36.88,36.53,36.25,36.84,37.0,36.44,35.75,37.12,38.28,37.59,36.12,35.59,35.5,34.84,33.5,33.47,34.34,34.88,33.94,33.28,34.0,34.44,33.69,32.19,32.5,33.09,32.12,30.94,30.94,32.22,32.47,31.22,31.22,32.53,32.84,32.06,31.5,32.66,33.28,32.5,30.88,31.19,31.53,30.75,29.41,29.5,30.94,31.16,30.47,30.53,31.78,32.5,31.94,31.97,33.47,34.94,34.22,32.78,32.5,32.81,32.0,30.78,31.31,32.69,33.25,32.69,32.31,33.62,34.16,33.34,32.88,33.78,34.84,34.62,33.66,34.41,35.41,35.62,34.34,34.31,35.06,34.84,33.59,32.47,33.03,33.19,31.53,29.78,29.47,29.22,28.03,26.16,25.97,27.0,27.12,26.53,26.88,28.03,28.75,28.06,27.97,29.81,31.84,32.66,33.56,35.38,37.03,37.09,35.81,35.94,36.66,36.25,34.44,33.34,33.25,32.09,30.31,28.97,30.16,31.12,30.72,29.81,30.28,30.69,29.84,28.47,29.06,30.78,31.75,31.5,31.62,33.22,33.56,32.41,31.59,32.19,32.34,31.09,29.25,29.44,30.34,30.78,30.62,31.53,33.47,34.47,33.59,33.38,34.56,35.5,35.03,34.97,36.56,38.0,37.31,34.91,33.47,32.03,30.16,28.31,28.78,31.44,34.06,35.31,36.62,39.03,40.44,39.75,38.03,37.66,37.31,36.06,34.72,35.16,36.75,36.97,35.75,35.59,36.31,36.09,35.09,34.16,34.75,35.5,34.88,34.41,35.91,38.16,39.06,39.09,39.91,40.44,39.84,37.56,35.75,35.06,34.72,33.09,32.16,33.0,34.41,34.56,34.44,36.19,38.16,38.97,38.5,38.72,39.72,39.94,38.91,60.97,61.53,61.69,62.44,62.91,63.56,64.09,64.59,64.16,62.28,59.25,56.47,53.81,51.62,49.81,49.12,48.91,48.59,48.06,47.84,48.16,48.62,49.56,50.38,51.34,52.56,53.44,54.47:29.44,27.12,24.09,20.72,18.91,18.94,19.22,18.03,18.16,20.28,22.53,23.44,23.88,25.41,25.91,24.59,22.19,20.84,21.12,21.5,22.0,24.16,28.25,31.59,32.22,32.16,32.75,32.06,29.44,26.38,25.28,24.94,23.69,22.59,23.62,25.44,26.34,25.62,25.69,27.19,28.47,28.78,29.84,32.72,35.56,36.72,37.91,41.34,45.19,47.12,47.66,48.0,47.38,44.88,40.66,36.75,34.94,33.5,30.53,28.53,28.84,29.03,27.5,25.78,24.72,24.75,23.91,22.28,22.97,24.81,26.03,25.97,26.62,28.12,28.91,28.0,27.0,27.72,28.09,27.56,26.0,25.47,24.69,22.78,19.56,17.06,16.03,15.0,13.22,12.81,14.19,15.81,16.06,16.22,17.5,19.56,20.22,20.88,23.0,25.38,26.72,26.72,27.41,29.09,30.53,30.22,30.09,31.25,31.69,30.16,28.53,28.16,28.16,26.69,24.75,24.16,24.72,24.91,24.38,24.66,26.47,27.78,27.47,27.84,29.5,30.94,30.75,30.34,30.66,31.53,31.25,29.91,29.38,29.66,28.81,26.62,25.12,24.62,23.75,22.06,20.91,22.09,24.06,24.19,24.03,25.09,25.88,24.94,23.06,21.88,21.25,19.59,17.16,15.59,15.78,16.97,17.12,17.78,20.38,23.38,24.81,26.38,28.91,31.97,33.56,34.0,34.75,36.47,37.62,37.03,36.88,37.75,37.84,35.66,32.91,31.22,30.28,28.12,25.78,24.84,24.84,24.12,22.75,22.84,24.38,26.28,27.38,29.16,31.91,34.66,35.81,35.94,37.06,38.81,38.78,37.94,37.72,37.97,36.97,34.31,32.0,31.09,30.19,28.0,26.47,26.94,27.38,26.41,24.62,23.75,23.19,21.22,18.88,17.47,17.69,17.84,17.94,19.03,22.16,25.75,27.06,28.22,30.12,32.16,32.0,31.72,32.25,33.59,33.16,31.97,31.53,31.81,31.59,29.94,28.38,28.16,27.97,26.19,24.28,24.06,24.69,24.06,23.34,23.91,25.34,25.44,24.78,24.72,26.06,27.25,27.34,27.88,29.31,30.59,29.59,28.38,28.44,29.66,29.28,28.53,28.28,28.31,26.59,23.59,21.41,21.22,21.22,20.66,20.91,23.09,25.53,26.75,27.78,29.5,31.53,31.62,30.31,29.88,30.75,31.06,30.06,29.88,30.53,30.47,28.59,26.88,26.44,26.5,25.0,23.81,24.19,25.78,26.59,26.62,27.25,29.06,29.91,29.41,29.34,30.38,30.5,28.78,26.62,25.44,25.0,23.53,21.94,21.69,22.81,23.16,22.59,23.25,25.34,26.53,26.19,26.16,27.19,27.78,26.72,25.66,25.5,25.81,24.62,23.5,23.34,24.25,24.31,23.44,23.38,23.97,23.97,22.53,21.0,20.47,20.06,17.97,16.19,15.38,15.22,14.03,12.41,11.31,11.97,11.44,10.62,10.94,13.38,15.84,17.06,18.5,20.72,22.69,22.75,21.81,21.91,22.5,21.41,19.31,18.38,18.41,17.88,16.66,16.0,16.75,17.12,15.78,14.72,15.22,16.38,16.25,15.97,16.41,17.03,16.06,14.12,12.88,13.28,12.88,11.19,10.84,11.94,12.88,12.56,12.16,12.62,13.06,12.22,10.91,10.78,11.41,11.09,9.94,9.47,10.62,11.22,10.44,10.0,10.53,10.62,8.81,7.25,7.34,8.66,9.34,10.09,12.25,15.06,16.75,16.69,16.72,17.88,18.81,18.19,17.78,18.62,19.03,17.91,16.06,15.5,15.88,15.16,14.03,13.91,14.31,13.38,10.81,8.81,8.44,8.34,7.56,7.41,9.09,11.12,11.75,11.84,13.06,14.44,14.53,13.31,13.03,13.69,14.06,13.72,14.12,16.25,18.56,19.78,20.72,23.19,25.34,25.75,24.94,24.59,24.59,23.25,20.47,18.47,17.09,15.19,12.19,10.12,10.72,12.09,12.69,13.53,15.81,17.97,18.19,17.84,18.12,19.19,19.94,19.34,19.59,20.69,21.12,20.06,18.38,18.47,18.62,17.31,16.16,16.88,17.59,17.06,15.5,14.69,14.91,14.5,13.75,14.0,15.72,17.59,18.22,19.0,21.06,22.72,22.53,21.16,21.16,21.28,20.09,18.03,16.75,16.62,16.12,14.75,14.44,15.72,16.97,16.34,15.72,16.5,17.09,16.44,15.19,15.22,15.75,15.03,13.75,12.53,12.62,12.72,11.53,11.22,12.72,13.88,13.53,12.56,12.78,13.34,13.0,12.03,12.47,14.19,15.06,15.06,15.53,17.09,17.88,16.91,16.0,17.0,17.75,17.47,17.28,18.47,20.44,20.97,20.03,19.44,18.59,16.31,12.91,10.34,9.47,9.53,9.0,9.03,11.19,13.19,14.19,14.81,16.44,18.38,19.66,20.25,21.78,23.88,25.47,24.81,24.06,24.12,23.22,21.03,18.69,18.38,18.81,18.66,18.5,19.38,21.22,22.22,22.25,23.72,26.06,27.09,25.47,23.09,20.62,17.47,13.47,10.44,10.28,11.66,12.94,14.03,16.44,19.56,21.28,21.53,22.0,22.84,23.03,21.25,19.53,19.69,20.19,19.31,18.81,19.75,20.84,20.5,19.25,18.91,19.47,19.59,19.03,20.03,21.91,23.66,23.5,22.53,22.56,21.91,20.34,18.41,18.66,19.88,20.41,19.88,20.34,21.28,21.06,19.78,19.75,21.12,22.47,22.38,21.5,21.22,20.28,17.84,15.06,13.91,14.34,14.66,14.28,14.84,16.03,16.41,15.38,14.94,16.44,18.38,19.12,20.06,22.84,25.69,27.53,28.25,29.62,30.66,28.81,25.25,21.75,19.0,16.19,12.59,10.0,9.19,9.12,7.97,6.97,7.22,8.56,8.69,9.09,11.38,15.44,19.41,22.41,25.97,30.5,33.81,34.94,35.22,36.09,36.88,35.16,32.59,30.94,29.09,26.06,22.25,20.09,19.0,17.38,15.16,13.28,12.81,12.66,11.75,11.97,14.25,17.47,19.84,22.09,25.44,28.88,31.0,31.22,31.47,31.91,31.12,29.06,27.53,27.88,28.16,26.91,26.28,27.0,28.59,28.5,27.44,27.22,27.19,25.5,23.0,21.31,21.12,20.66,18.66,17.16,16.94,16.31,13.97,11.88,11.31,11.69,11.03,9.97,10.16,11.38,12.0,12.16,13.06,15.34,16.28,16.06,15.72,17.47,19.53,20.53,21.88,24.66,28.38,30.88,32.78,34.97,37.38,38.09,36.88,36.09,36.28,36.03,33.75,30.78,28.84,27.12,24.56,22.19,21.66,22.28,22.25,21.19,21.12,22.22,23.22,23.5,24.97,28.0,31.12,32.12,32.59,33.84,35.06,34.12,33.0,32.84,33.47,33.12,32.5,32.62,33.94,34.75,33.59,32.59,32.31,31.78,29.59,27.0,25.88,25.56,24.19,23.03,23.62,25.81,26.75,26.75,27.25,28.84,29.75,29.25,28.28,29.0,29.62,28.44,27.19,27.53,28.38,28.25,28.12,29.38,31.53,32.34,31.62,30.97,31.09,30.75,28.47,26.41,25.97,25.56,23.34,21.31,20.81,21.12,20.41,19.41,19.66,21.34,22.38,21.91,22.19,23.91,24.84,23.94,23.0,23.19,23.53,22.5,21.47,22.0,23.09,22.94,21.72,21.09,21.59,21.69,20.66,20.44,21.38,22.34,21.25,19.91,20.03,20.84,20.56,20.22,21.62,23.97,25.5,25.69,26.22,27.69,28.38,28.06,27.66,29.09,31.0,31.0,30.84,31.97,33.25,32.38,30.5,29.38,28.69,27.41,25.16,23.94,24.72,25.5,25.72,26.56,29.09,31.16,30.88,29.72,29.75,30.72,30.97,30.94,32.69,35.38,36.88,36.53,36.25,36.84,37.0,36.44,35.75,37.12,38.28,37.59,36.12,35.59,35.5,34.84,33.5,33.47,34.34,34.88,33.94,33.28,34.0,34.44,33.69,32.19,32.5,33.09,32.12,30.94,30.94,32.22,32.47,31.22,31.22,32.53,32.84,32.06,31.5,32.66,33.28,32.5,30.88,31.19,31.53,30.75,29.41,29.5,30.94,31.16,30.47,30.53,31.78,32.5,31.94,31.97,33.47,34.94,34.22,32.78,32.5,32.81,32.0,30.78,31.31,32.69,33.25,32.69,32.31,33.62,34.16,33.34,32.88,33.78,34.84,34.62,33.66,34.41,35.41,35.62,34.34,34.31,35.06,34.84,33.59,32.47,33.03,33.19,31.53,29.78,29.47,29.22,28.03,26.16,25.97,27.0,27.12,26.53,26.88,28.03,28.75,28.06,27.97,29.81,31.84,32.66,33.56,35.38,37.03,37.09,35.81,35.94,36.66,36.25,34.44,33.34,33.25,32.09,30.31,28.97,30.16,31.12,30.72,29.81,30.28,30.69,29.84,28.47,29.06,30.78,31.75,31.5,31.62,33.22,33.56,32.41,31.59,32.19,32.34,31.09,29.25,29.44,30.34,30.78,30.62,31.53,33.47,34.47,33.59,33.38,34.56,35.5,35.03,34.97,36.56,38.0,37.31,34.91,33.47,32.03,30.16,28.31,28.78,31.44,34.06,35.31,36.62,39.03,40.44,39.75,38.03,37.66,37.31,36.06,34.72,35.16,36.75,36.97,35.75,35.59,36.31,36.09,35.09,34.16,34.75,35.5,34.88,34.41,35.91,38.16,39.06,39.09,39.91,40.44,39.84,37.56,35.75,35.06,34.72,33.09,32.16,33.0,34.41,34.56,34.44,36.19,38.16,38.97,38.5,38.72,39.72,39.94,38.91,60.97,61.53,61.69,62.44,62.91,63.56,64.09,64.59,64.16,62.28,59.25,56.47,53.81,51.62,49.81,49.12,48.91,48.59,48.06,47.84,48.16,48.62,49.56,50.38,51.34,52.56,53.44,54.47,56.19,58.41,60.38,61.62,62.28,62.0,59.88:18.03,18.16,20.28,22.53,23.44,23.88,25.41,25.91,24.59,22.19,20.84,21.12,21.5,22.0,24.16,28.25,31.59,32.22,32.16,32.75,32.06,29.44,26.38,25.28,24.94,23.69,22.59,23.62,25.44,26.34,25.62,25.69,27.19,28.47,28.78,29.84,32.72,35.56,36.72,37.91,41.34,45.19,47.12,47.66,48.0,47.38,44.88,40.66,36.75,34.94,33.5,30.53,28.53,28.84,29.03,27.5,25.78,24.72,24.75,23.91,22.28,22.97,24.81,26.03,25.97,26.62,28.12,28.91,28.0,27.0,27.72,28.09,27.56,26.0,25.47,24.69,22.78,19.56,17.06,16.03,15.0,13.22,12.81,14.19,15.81,16.06,16.22,17.5,19.56,20.22,20.88,23.0,25.38,26.72,26.72,27.41,29.09,30.53,30.22,30.09,31.25,31.69,30.16,28.53,28.16,28.16,26.69,24.75,24.16,24.72,24.91,24.38,24.66,26.47,27.78,27.47,27.84,29.5,30.94,30.75,30.34,30.66,31.53,31.25,29.91,29.38,29.66,28.81,26.62,25.12,24.62,23.75,22.06,20.91,22.09,24.06,24.19,24.03,25.09,25.88,24.94,23.06,21.88,21.25,19.59,17.16,15.59,15.78,16.97,17.12,17.78,20.38,23.38,24.81,26.38,28.91,31.97,33.56,34.0,34.75,36.47,37.62,37.03,36.88,37.75,37.84,35.66,32.91,31.22,30.28,28.12,25.78,24.84,24.84,24.12,22.75,22.84,24.38,26.28,27.38,29.16,31.91,34.66,35.81,35.94,37.06,38.81,38.78,37.94,37.72,37.97,36.97,34.31,32.0,31.09,30.19,28.0,26.47,26.94,27.38,26.41,24.62,23.75,23.19,21.22,18.88,17.47,17.69,17.84,17.94,19.03,22.16,25.75,27.06,28.22,30.12,32.16,32.0,31.72,32.25,33.59,33.16,31.97,31.53,31.81,31.59,29.94,28.38,28.16,27.97,26.19,24.28,24.06,24.69,24.06,23.34,23.91,25.34,25.44,24.78,24.72,26.06,27.25,27.34,27.88,29.31,30.59,29.59,28.38,28.44,29.66,29.28,28.53,28.28,28.31,26.59,23.59,21.41,21.22,21.22,20.66,20.91,23.09,25.53,26.75,27.78,29.5,31.53,31.62,30.31,29.88,30.75,31.06,30.06,29.88,30.53,30.47,28.59,26.88,26.44,26.5,25.0,23.81,24.19,25.78,26.59,26.62,27.25,29.06,29.91,29.41,29.34,30.38,30.5,28.78,26.62,25.44,25.0,23.53,21.94,21.69,22.81,23.16,22.59,23.25,25.34,26.53,26.19,26.16,27.19,27.78,26.72,25.66,25.5,25.81,24.62,23.5,23.34,24.25,24.31,23.44,23.38,23.97,23.97,22.53,21.0,20.47,20.06,17.97,16.19,15.38,15.22,14.03,12.41,11.31,11.97,11.44,10.62,10.94,13.38,15.84,17.06,18.5,20.72,22.69,22.75,21.81,21.91,22.5,21.41,19.31,18.38,18.41,17.88,16.66,16.0,16.75,17.12,15.78,14.72,15.22,16.38,16.25,15.97,16.41,17.03,16.06,14.12,12.88,13.28,12.88,11.19,10.84,11.94,12.88,12.56,12.16,12.62,13.06,12.22,10.91,10.78,11.41,11.09,9.94,9.47,10.62,11.22,10.44,10.0,10.53,10.62,8.81,7.25,7.34,8.66,9.34,10.09,12.25,15.06,16.75,16.69,16.72,17.88,18.81,18.19,17.78,18.62,19.03,17.91,16.06,15.5,15.88,15.16,14.03,13.91,14.31,13.38,10.81,8.81,8.44,8.34,7.56,7.41,9.09,11.12,11.75,11.84,13.06,14.44,14.53,13.31,13.03,13.69,14.06,13.72,14.12,16.25,18.56,19.78,20.72,23.19,25.34,25.75,24.94,24.59,24.59,23.25,20.47,18.47,17.09,15.19,12.19,10.12,10.72,12.09,12.69,13.53,15.81,17.97,18.19,17.84,18.12,19.19,19.94,19.34,19.59,20.69,21.12,20.06,18.38,18.47,18.62,17.31,16.16,16.88,17.59,17.06,15.5,14.69,14.91,14.5,13.75,14.0,15.72,17.59,18.22,19.0,21.06,22.72,22.53,21.16,21.16,21.28,20.09,18.03,16.75,16.62,16.12,14.75,14.44,15.72,16.97,16.34,15.72,16.5,17.09,16.44,15.19,15.22,15.75,15.03,13.75,12.53,12.62,12.72,11.53,11.22,12.72,13.88,13.53,12.56,12.78,13.34,13.0,12.03,12.47,14.19,15.06,15.06,15.53,17.09,17.88,16.91,16.0,17.0,17.75,17.47,17.28,18.47,20.44,20.97,20.03,19.44,18.59,16.31,12.91,10.34,9.47,9.53,9.0,9.03,11.19,13.19,14.19,14.81,16.44,18.38,19.66,20.25,21.78,23.88,25.47,24.81,24.06,24.12,23.22,21.03,18.69,18.38,18.81,18.66,18.5,19.38,21.22,22.22,22.25,23.72,26.06,27.09,25.47,23.09,20.62,17.47,13.47,10.44,10.28,11.66,12.94,14.03,16.44,19.56,21.28,21.53,22.0,22.84,23.03,21.25,19.53,19.69,20.19,19.31,18.81,19.75,20.84,20.5,19.25,18.91,19.47,19.59,19.03,20.03,21.91,23.66,23.5,22.53,22.56,21.91,20.34,18.41,18.66,19.88,20.41,19.88,20.34,21.28,21.06,19.78,19.75,21.12,22.47,22.38,21.5,21.22,20.28,17.84,15.06,13.91,14.34,14.66,14.28,14.84,16.03,16.41,15.38,14.94,16.44,18.38,19.12,20.06,22.84,25.69,27.53,28.25,29.62,30.66,28.81,25.25,21.75,19.0,16.19,12.59,10.0,9.19,9.12,7.97,6.97,7.22,8.56,8.69,9.09,11.38,15.44,19.41,22.41,25.97,30.5,33.81,34.94,35.22,36.09,36.88,35.16,32.59,30.94,29.09,26.06,22.25,20.09,19.0,17.38,15.16,13.28,12.81,12.66,11.75,11.97,14.25,17.47,19.84,22.09,25.44,28.88,31.0,31.22,31.47,31.91,31.12,29.06,27.53,27.88,28.16,26.91,26.28,27.0,28.59,28.5,27.44,27.22,27.19,25.5,23.0,21.31,21.12,20.66,18.66,17.16,16.94,16.31,13.97,11.88,11.31,11.69,11.03,9.97,10.16,11.38,12.0,12.16,13.06,15.34,16.28,16.06,15.72,17.47,19.53,20.53,21.88,24.66,28.38,30.88,32.78,34.97,37.38,38.09,36.88,36.09,36.28,36.03,33.75,30.78,28.84,27.12,24.56,22.19,21.66,22.28,22.25,21.19,21.12,22.22,23.22,23.5,24.97,28.0,31.12,32.12,32.59,33.84,35.06,34.12,33.0,32.84,33.47,33.12,32.5,32.62,33.94,34.75,33.59,32.59,32.31,31.78,29.59,27.0,25.88,25.56,24.19,23.03,23.62,25.81,26.75,26.75,27.25,28.84,29.75,29.25,28.28,29.0,29.62,28.44,27.19,27.53,28.38,28.25,28.12,29.38,31.53,32.34,31.62,30.97,31.09,30.75,28.47,26.41,25.97,25.56,23.34,21.31,20.81,21.12,20.41,19.41,19.66,21.34,22.38,21.91,22.19,23.91,24.84,23.94,23.0,23.19,23.53,22.5,21.47,22.0,23.09,22.94,21.72,21.09,21.59,21.69,20.66,20.44,21.38,22.34,21.25,19.91,20.03,20.84,20.56,20.22,21.62,23.97,25.5,25.69,26.22,27.69,28.38,28.06,27.66,29.09,31.0,31.0,30.84,31.97,33.25,32.38,30.5,29.38,28.69,27.41,25.16,23.94,24.72,25.5,25.72,26.56,29.09,31.16,30.88,29.72,29.75,30.72,30.97,30.94,32.69,35.38,36.88,36.53,36.25,36.84,37.0,36.44,35.75,37.12,38.28,37.59,36.12,35.59,35.5,34.84,33.5,33.47,34.34,34.88,33.94,33.28,34.0,34.44,33.69,32.19,32.5,33.09,32.12,30.94,30.94,32.22,32.47,31.22,31.22,32.53,32.84,32.06,31.5,32.66,33.28,32.5,30.88,31.19,31.53,30.75,29.41,29.5,30.94,31.16,30.47,30.53,31.78,32.5,31.94,31.97,33.47,34.94,34.22,32.78,32.5,32.81,32.0,30.78,31.31,32.69,33.25,32.69,32.31,33.62,34.16,33.34,32.88,33.78,34.84,34.62,33.66,34.41,35.41,35.62,34.34,34.31,35.06,34.84,33.59,32.47,33.03,33.19,31.53,29.78,29.47,29.22,28.03,26.16,25.97,27.0,27.12,26.53,26.88,28.03,28.75,28.06,27.97,29.81,31.84,32.66,33.56,35.38,37.03,37.09,35.81,35.94,36.66,36.25,34.44,33.34,33.25,32.09,30.31,28.97,30.16,31.12,30.72,29.81,30.28,30.69,29.84,28.47,29.06,30.78,31.75,31.5,31.62,33.22,33.56,32.41,31.59,32.19,32.34,31.09,29.25,29.44,30.34,30.78,30.62,31.53,33.47,34.47,33.59,33.38,34.56,35.5,35.03,34.97,36.56,38.0,37.31,34.91,33.47,32.03,30.16,28.31,28.78,31.44,34.06,35.31,36.62,39.03,40.44,39.75,38.03,37.66,37.31,36.06,34.72,35.16,36.75,36.97,35.75,35.59,36.31,36.09,35.09,34.16,34.75,35.5,34.88,34.41,35.91,38.16,39.06,39.09,39.91,40.44,39.84,37.56,35.75,35.06,34.72,33.09,32.16,33.0,34.41,34.56,34.44,36.19,38.16,38.97,38.5,38.72,39.72,39.94,38.91,60.97,61.53,61.69,62.44,62.91,63.56,64.09,64.59,64.16,62.28,59.25,56.47,53.81,51.62,49.81,49.12,48.91,48.59,48.06,47.84,48.16,48.62,49.56,50.38,51.34,52.56,53.44,54.47,56.19,58.41,60.38,61.62,62.28,62.0,59.88,56.84,53.66,50.38,47.34,45.28,43.88,43.53:negativity
3.12,4.12,5.38,7.28,10.69,16.03,20.88,24.81,28.03,31.12,33.03,32.75,31.06,29.78,28.16,25.38,22.38,20.81,19.69,18.84,18.0,18.19,20.34,22.38,23.94,26.19,28.88,31.19,32.44,33.5,34.88,36.5,37.12,36.84,37.03,36.94,36.03,34.0,32.03,30.53,28.53,25.88,24.06,23.47,23.31,23.19,23.0,23.34,23.72,23.12,22.12,22.0,22.22,22.44,22.19,22.44,23.19,23.69,23.22,22.31,22.06,22.12,21.28,20.38,20.75,22.03,22.81,22.69,23.56,24.19,24.31,23.59,22.97,23.34,23.34,22.38,21.06,19.88,18.66,16.91,15.16,14.69,15.31,15.5,15.47,16.03,16.84,17.22,16.56,16.06,16.25,16.41,16.5,16.5,17.09,18.25,18.38,17.5,17.38,18.0,17.94,17.31,17.12,17.09,16.91,15.34,14.19,14.78,15.47,16.31,17.62,20.12,22.72,24.59,25.25,26.38,27.06,26.94,25.69,24.56,24.25,24.06,22.91,22.03,21.91,21.38,20.0,17.78,16.47,15.22,13.44,11.66,10.75,10.94,11.19,10.84,10.97,11.72,12.47,12.66,13.56,15.31,17.59,18.94,20.19,21.88,23.5,24.59,24.38,24.53,24.94,25.03,24.28,24.56,26.09,27.62,28.38,29.25,30.19,30.66,29.88,28.12,26.75,25.69,24.5,23.12,22.69,23.28,23.69,23.09,23.22,23.72,24.09,23.66,22.94,22.91,22.41,21.0,18.69,17.03,16.03,14.81,13.5,13.03,13.62,13.84,12.88,12.09,11.25,10.41,8.47,6.47,5.62,5.66,5.53,5.34,5.94,7.16,8.03,8.06,8.25,9.06,9.62,9.47,9.38,10.38,11.72,12.47,12.91,13.78,14.56,14.25,12.97,11.66,10.47,8.72,6.19,4.09,3.12,2.88,2.62,3.53,5.84,8.72,10.81,12.97,15.94,18.69,20.88,22.06,23.19,23.5,22.88,20.81,18.38,16.94,15.66,13.62,12.34,12.56,12.88,12.09,11.12,10.59,9.78,8.25,6.03,4.66,4.19,4.0,3.94,4.53,6.31,8.12,9.03,9.88,11.09,12.09,12.5,12.88,13.22,14.62,15.97,16.44,17.03,18.16,18.94,18.56,17.88,18.09,18.16,17.12,15.62,14.81,13.97,11.91,9.91,8.56,8.03,7.69,6.66,6.41,6.91,7.31,6.78,6.41,7.12,7.94,8.06,7.78,8.31,9.03,8.69,8.09,7.69,7.97,7.81,7.16,6.62,6.97,7.38,7.31,8.0,9.91,12.47,14.53,16.16,17.75,19.62,20.69,21.34,22.28,23.81,25.25,25.38,26.0,27.31,28.28,28.19,27.66,27.56,27.81,27.53,27.0,27.12,27.38,26.75,25.53,24.0,23.19,22.0,20.38,19.09,18.78,18.75,17.78,16.84,16.28,16.34,16.25,15.69,15.62,15.94,15.69,14.41,13.22,12.66,12.34,11.66,11.62,13.0,14.78,15.62,16.53,17.62,18.88,19.53,19.75,20.69,22.28,23.56,24.09,24.62,25.56,26.59,26.78,27.22,28.41,30.06,30.84,31.5,32.16,33.0,33.0,32.0,30.97,30.38,28.94,27.25,25.53,24.5,23.41,21.91,20.47,20.22,21.12,21.66,22.53,23.41,24.28,23.75,22.34,21.22,20.75,20.84,20.5,20.88,22.0,22.97,23.16,22.97,22.94,23.03,22.44,21.59,21.25,21.78,21.38,20.66,20.22,20.88,21.25,21.88,22.66,23.81,24.97,24.84,24.06,23.38,22.97,21.72,20.56,20.19,20.12,19.09,17.38,15.12,12.97,10.91,8.47,6.34,5.78,5.56,5.38,5.69,6.44,8.03,9.12,9.88,10.78,12.62,14.22,15.44,16.88,18.56,20.12,20.25,19.75,19.84,19.41,18.31,17.06,16.28,16.31,16.44,16.22,16.25,16.94,17.47,17.66,17.94,19.28,20.84,21.25,21.28,22.06,22.69,22.59,21.81,20.78,19.72,17.75,15.56,13.88,13.75,14.22,14.25,14.47,15.31,16.09,15.62,14.94,14.78,15.06,15.25,15.25,15.84,17.31,18.25,18.62,19.19,20.66,21.62,21.84,21.47,21.31,20.72,18.69,15.94,13.75,12.22,10.66,9.62,9.62,10.91,12.22,13.0,13.38,14.94,16.19,16.66,17.0,17.75,18.62,18.88,19.09,19.97,21.25,21.97,21.5,20.56,19.91,18.53,16.53,14.28,13.41,13.0,12.03,11.41,11.75,12.66,13.25,13.84,15.28,17.22,19.03,20.0,20.62,21.09,20.94,19.19,16.91,15.5,14.38,12.88,12.06,12.38,13.16,14.06,14.81,15.72,17.0,17.91,17.88,17.47,17.69,17.97,17.5,17.25,18.03,19.41,19.62,19.31,19.66,19.59,18.88,17.75,16.69,16.25,15.97,14.91,14.12,14.12,14.62,14.12,13.78,14.62,15.53,15.88,15.81,16.47,17.25,17.78,18.16,18.72,19.97,20.44,20.25,20.22,21.38,22.47,23.62,24.31,25.75,26.53,25.94,24.34,22.44,20.59,18.12,15.81,14.44,14.72,15.38,15.47,16.03,16.91,17.5,17.25,16.59,16.47,16.41,15.94,15.03,15.69,16.88,17.69,17.69,16.94,16.41,15.41,13.91,13.56,15.06,17.34,19.75,21.75,24.53,26.44,27.25,27.0,26.69,25.66,24.72,22.56,20.19,18.59,17.66,16.19,14.81,14.47,14.25,13.44,12.38,12.22,13.53,14.0,13.81,13.75,13.91,13.34,12.56,12.94,14.66,17.28,19.06,20.75,21.78,22.09,21.28,19.12,17.81,17.03,16.41,15.56,15.69,16.31,17.0,16.5,15.16,14.0,12.25,9.5,6.78,5.38,5.38,5.62,5.69,6.72,8.41,9.59,10.47,12.03,14.56,17.47,19.31,20.94,22.78,24.19,24.12,23.19,22.5,21.84,20.97,19.78,19.78,20.91,22.31,22.66,23.69,25.12,26.56,26.81,26.75,27.44,27.94,27.81,27.62,28.06,28.84,28.78,27.69,26.5,25.62,24.41,22.72,21.69,21.69,22.06,21.94,21.84,22.44,23.38,23.62,23.06,22.41,22.5,21.88,20.53,19.69,19.62,19.78,19.06,19.12,19.75,21.19,21.78,22.22,22.94,23.69,23.31,21.56,20.03,19.16,17.94,16.31,15.59,15.97,16.78,17.31,18.5,20.41,22.28,22.69,22.12,21.44,20.91,20.22,19.12,19.41,20.62,21.88,22.78,23.75,25.06,26.47,25.88,24.72,23.5,22.62,20.69,18.38,17.0,16.25,15.41,14.5,14.66,16.09,17.31,18.03,18.66,19.78,20.53,20.12,19.34,19.12,19.53,19.16,18.53,18.88,19.22,19.16,18.41,17.41,17.0,16.84,16.09,15.78,16.78,18.28,19.12,20.06,21.5,23.03,23.56,23.56,23.78,24.84,25.78,26.41,27.31,28.56,29.19,28.53,27.47,27.12,26.5,24.53,22.31,20.06,18.12,15.0,11.75,9.66,8.81,9.22,10.06,12.03,15.19,18.25,20.16,21.25,22.78,23.97,23.56,23.0,22.81,23.25,22.94,22.19,21.78,21.78,20.84,18.28,15.16,13.19,11.53,10.56,10.78,13.06,16.44,18.97,21.31,23.31,24.81,24.91,24.19,23.12,22.81,22.84,22.44,22.47,23.69,24.94,24.5,22.72,21.31,19.69,16.56,13.94,12.38,12.0,11.69,11.31,11.91,13.38,14.78,15.0,15.25,16.5,17.19,17.09,16.62,16.53,16.69,16.41,16.41,17.5,20.0,22.53,24.94,27.28,30.09,32.06,32.12,31.44,31.28,30.97,29.91,28.88,28.38,27.91,26.34,23.5,20.59,17.94,14.53,10.94,7.97,7.09,7.41,7.75,9.38,12.41,15.91,18.91,21.28,24.25,27.31,28.72,28.69,28.0,27.75,26.5,24.53,23.06,22.47,22.06,21.53,20.88,21.53,22.88,23.59,23.53,23.84,24.34,23.84,22.62,21.5,21.25,21.03,20.38,20.03,21.31,22.88,23.56,24.66,26.72,29.22,30.72,31.53,31.75,31.5,29.38,26.12,23.44,21.84,20.66,19.62,19.12,19.5,20.12,19.31,18.59,18.41,18.28,17.91,17.16,17.25,18.16,18.75,18.72,19.06,20.34,21.47,22.22,22.97,24.41,26.0,26.38,26.19,26.91,28.19,28.56,28.5,28.81,29.12,28.56,26.38,23.75,22.28,21.28,20.56,20.94,23.81,27.47,29.62,31.03,31.78,31.88,30.03,27.16,25.0,23.69,22.31,21.31,20.91,22.0,22.94,23.5,23.22,23.41,23.09,21.78,19.94,18.62,18.66,17.94,16.91,16.94,18.5,19.88,20.78,21.88,23.62,25.25,26.0,26.53,28.34,30.91,32.34,33.88,35.97,38.53,40.28,40.97,42.0,44.06,46.25,47.69,49.78,52.44,54.59,54.84,54.06,53.25,52.06,50.22,47.75,45.88,45.03,44.31,43.03,42.03,41.78,40.78,38.25,34.59,31.03,27.47,23.19,19.22,16.53,15.66,14.88,14.44,14.31,15.53,16.66,16.62,17.12,19.12,21.59,23.41,26.16,29.69,33.38,35.78,36.69,37.5,37.78,36.62,34.41,32.56,31.72,30.78,29.53,29.19,29.78,30.53,30.88,30.69,31.19,31.47,31.03,30.22,30.16,30.88,31.16,30.75,30.34,30.66,30.44,29.69,28.84,28.91,28.78,27.66,26.47,26.44,27.28,28.25,28.59,30.16,31.59,31.56,29.53,26.69,23.66,20.09,16.25,13.88,13.75,14.94,15.97,17.69,20.62,23.62,26.12,27.38,28.56,29.5,29.47,28.5,27.56,28.03,28.5,28.25,27.81,28.22,28.22,27.19,25.78,25.53,26.28,26.66,26.44,25.88,25.41,24.03,22.0,20.47:24.81,28.03,31.12,33.03,32.75,31.06,29.78,28.16,25.38,22.38,20.81,19.69,18.84,18.0,18.19,20.34,22.38,23.94,26.19,28.88,31.19,32.44,33.5,34.88,36.5,37.12,36.84,37.03,36.94,36.03,34.0,32.03,30.53,28.53,25.88,24.06,23.47,23.31,23.19,23.0,23.34,23.72,23.12,22.12,22.0,22.22,22.44,22.19,22.44,23.19,23.69,23.22,22.31,22.06,22.12,21.28,20.38,20.75,22.03,22.81,22.69,23.56,24.19,24.31,23.59,22.97,23.34,23.34,22.38,21.06,19.88,18.66,16.91,15.16,14.69,15.31,15.5,15.47,16.03,16.84,17.22,16.56,16.06,16.25,16.41,16.5,16.5,17.09,18.25,18.38,17.5,17.38,18.0,17.94,17.31,17.12,17.09,16.91,15.34,14.19,14.78,15.47,16.31,17.62,20.12,22.72,24.59,25.25,26.38,27.06,26.94,25.69,24.56,24.25,24.06,22.91,22.03,21.91,21.38,20.0,17.78,16.47,15.22,13.44,11.66,10.75,10.94,11.19,10.84,10.97,11.72,12.47,12.66,13.56,15.31,17.59,18.94,20.19,21.88,23.5,24.59,24.38,24.53,24.94,25.03,24.28,24.56,26.09,27.62,28.38,29.25,30.19,30.66,29.88,28.12,26.75,25.69,24.5,23.12,22.69,23.28,23.69,23.09,23.22,23.72,24.09,23.66,22.94,22.91,22.41,21.0,18.69,17.03,16.03,14.81,13.5,13.03,13.62,13.84,12.88,12.09,11.25,10.41,8.47,6.47,5.62,5.66,5.53,5.34,5.94,7.16,8.03,8.06,8.25,9.06,9.62,9.47,9.38,10.38,11.72,12.47,12.91,13.78,14.56,14.25,12.97,11.66,10.47,8.72,6.19,4.09,3.12,2.88,2.62,3.53,5.84,8.72,10.81,12.97,15.94,18.69,20.88,22.06,23.19,23.5,22.88,20.81,18.38,16.94,15.66,13.62,12.34,12.56,12.88,12.09,11.12,10.59,9.78,8.25,6.03,4.66,4.19,4.0,3.94,4.53,6.31,8.12,9.03,9.88,11.09,12.09,12.5,12.88,13.22,14.62,15.97,16.44,17.03,18.16,18.94,18.56,17.88,18.09,18.16,17.12,15.62,14.81,13.97,11.91,9.91,8.56,8.03,7.69,6.66,6.41,6.91,7.31,6.78,6.41,7.12,7.94,8.06,7.78,8.31,9.03,8.69,8.09,7.69,7.97,7.81,7.16,6.62,6.97,7.38,7.31,8.0,9.91,12.47,14.53,16.16,17.75,19.62,20.69,21.34,22.28,23.81,25.25,25.38,26.0,27.31,28.28,28.19,27.66,27.56,27.81,27.53,27.0,27.12,27.38,26.75,25.53,24.0,23.19,22.0,20.38,19.09,18.78,18.75,17.78,16.84,16.28,16.34,16.25,15.69,15.62,15.94,15.69,14.41,13.22,12.66,12.34,11.66,11.62,13.0,14.78,15.62,16.53,17.62,18.88,19.53,19.75,20.69,22.28,23.56,24.09,24.62,25.56,26.59,26.78,27.22,28.41,30.06,30.84,31.5,32.16,33.0,33.0,32.0,30.97,30.38,28.94,27.25,25.53,24.5,23.41,21.91,20.47,20.22,21.12,21.66,22.53,23.41,24.28,23.75,22.34,21.22,20.75,20.84,20.5,20.88,22.0,22.97,23.16,22.97,22.94,23.03,22.44,21.59,21.25,21.78,21.38,20.66,20.22,20.88,21.25,21.88,22.66,23.81,24.97,24.84,24.06,23.38,22.97,21.72,20.56,20.19,20.12,19.09,17.38,15.12,12.97,10.91,8.47,6.34,5.78,5.56,5.38,5.69,6.44,8.03,9.12,9.88,10.78,12.62,14.22,15.44,16.88,18.56,20.12,20.25,19.75,19.84,19.41,18.31,17.06,16.28,16.31,16.44,16.22,16.25,16.94,17.47,17.66,17.94,19.28,20.84,21.25,21.28,22.06,22.69,22.59,21.81,20.78,19.72,17.75,15.56,13.88,13.75,14.22,14.25,14.47,15.31,16.09,15.62,14.94,14.78,15.06,15.25,15.25,15.84,17.31,18.25,18.62,19.19,20.66,21.62,21.84,21.47,21.31,20.72,18.69,15.94,13.75,12.22,10.66,9.62,9.62,10.91,12.22,13.0,13.38,14.94,16.19,16.66,17.0,17.75,18.62,18.88,19.09,19.97,21.25,21.97,21.5,20.56,19.91,18.53,16.53,14.28,13.41,13.0,12.03,11.41,11.75,12.66,13.25,13.84,15.28,17.22,19.03,20.0,20.62,21.09,20.94,19.19,16.91,15.5,14.38,12.88,12.06,12.38,13.16,14.06,14.81,15.72,17.0,17.91,17.88,17.47,17.69,17.97,17.5,17.25,18.03,19.41,19.62,19.31,19.66,19.59,18.88,17.75,16.69,16.25,15.97,14.91,14.12,14.12,14.62,14.12,13.78,14.62,15.53,15.88,15.81,16.47,17.25,17.78,18.16,18.72,19.97,20.44,20.25,20.22,21.38,22.47,23.62,24.31,25.75,26.53,25.94,24.34,22.44,20.59,18.12,15.81,14.44,14.72,15.38,15.47,16.03,16.91,17.5,17.25,16.59,16.47,16.41,15.94,15.03,15.69,16.88,17.69,17.69,16.94,16.41,15.41,13.91,13.56,15.06,17.34,19.75,21.75,24.53,26.44,27.25,27.0,26.69,25.66,24.72,22.56,20.19,18.59,17.66,16.19,14.81,14.47,14.25,13.44,12.38,12.22,13.53,14.0,13.81,13.75,13.91,13.34,12.56,12.94,14.66,17.28,19.06,20.75,21.78,22.09,21.28,19.12,17.81,17.03,16.41,15.56,15.69,16.31,17.0,16.5,15.16,14.0,12.25,9.5,6.78,5.38,5.38,5.62,5.69,6.72,8.41,9.59,10.47,12.03,14.56,17.47,19.31,20.94,22.78,24.19,24.12,23.19,22.5,21.84,20.97,19.78,19.78,20.91,22.31,22.66,23.69,25.12,26.56,26.81,26.75,27.44,27.94,27.81,27.62,28.06,28.84,28.78,27.69,26.5,25.62,24.41,22.72,21.69,21.69,22.06,21.94,21.84,22.44,23.38,23.62,23.06,22.41,22.5,21.88,20.53,19.69,19.62,19.78,19.06,19.12,19.75,21.19,21.78,22.22,22.94,23.69,23.31,21.56,20.03,19.16,17.94,16.31,15.59,15.97,16.78,17.31,18.5,20.41,22.28,22.69,22.12,21.44,20.91,20.22,19.12,19.41,20.62,21.88,22.78,23.75,25.06,26.47,25.88,24.72,23.5,22.62,20.69,18.38,17.0,16.25,15.41,14.5,14.66,16.09,17.31,18.03,18.66,19.78,20.53,20.12,19.34,19.12,19.53,19.16,18.53,18.88,19.22,19.16,18.41,17.41,17.0,16.84,16.09,15.78,16.78,18.28,19.12,20.06,21.5,23.03,23.56,23.56,23.78,24.84,25.78,26.41,27.31,28.56,29.19,28.53,27.47,27.12,26.5,24.53,22.31,20.06,18.12,15.0,11.75,9.66,8.81,9.22,10.06,12.03,15.19,18.25,20.16,21.25,22.78,23.97,23.56,23.0,22.81,23.25,22.94,22.19,21.78,21.78,20.84,18.28,15.16,13.19,11.53,10.56,10.78,13.06,16.44,18.97,21.31,23.31,24.81,24.91,24.19,23.12,22.81,22.84,22.44,22.47,23.69,24.94,24.5,22.72,21.31,19.69,16.56,13.94,12.38,12.0,11.69,11.31,11.91,13.38,14.78,15.0,15.25,16.5,17.19,17.09,16.62,16.53,16.69,16.41,16.41,17.5,20.0,22.53,24.94,27.28,30.09,32.06,32.12,31.44,31.28,30.97,29.91,28.88,28.38,27.91,26.34,23.5,20.59,17.94,14.53,10.94,7.97,7.09,7.41,7.75,9.38,12.41,15.91,18.91,21.28,24.25,27.31,28.72,28.69,28.0,27.75,26.5,24.53,23.06,22.47,22.06,21.53,20.88,21.53,22.88,23.59,23.53,23.84,24.34,23.84,22.62,21.5,21.25,21.03,20.38,20.03,21.31,22.88,23.56,24.66,26.72,29.22,30.72,31.53,31.75,31.5,29.38,26.12,23.44,21.84,20.66,19.62,19.12,19.5,20.12,19.31,18.59,18.41,18.28,17.91,17.16,17.25,18.16,18.75,18.72,19.06,20.34,21.47,22.22,22.97,24.41,26.0,26.38,26.19,26.91,28.19,28.56,28.5,28.81,29.12,28.56,26.38,23.75,22.28,21.28,20.56,20.94,23.81,27.47,29.62,31.03,31.78,31.88,30.03,27.16,25.0,23.69,22.31,21.31,20.91,22.0,22.94,23.5,23.22,23.41,23.09,21.78,19.94,18.62,18.66,17.94,16.91,16.94,18.5,19.88,20.78,21.88,23.62,25.25,26.0,26.53,28.34,30.91,32.34,33.88,35.97,38.53,40.28,40.97,42.0,44.06,46.25,47.69,49.78,52.44,54.59,54.84,54.06,53.25,52.06,50.22,47.75,45.88,45.03,44.31,43.03,42.03,41.78,40.78,38.25,34.59,31.03,27.47,23.19,19.22,16.53,15.66,14.88,14.44,14.31,15.53,16.66,16.62,17.12,19.12,21.59,23.41,26.16,29.69,33.38,35.78,36.69,37.5,37.78,36.62,34.41,32.56,31.72,30.78,29.53,29.19,29.78,30.53,30.88,30.69,31.19,31.47,31.03,30.22,30.16,30.88,31.16,30.75,30.34,30.66,30.44,29.69,28.84,28.91,28.78,27.66,26.47,26.44,27.28,28.25,28.59,30.16,31.59,31.56,29.53,26.69,23.66,20.09,16.25,13.88,13.75,14.94,15.97,17.69,20.62,23.62,26.12,27.38,28.56,29.5,29.47,28.5,27.56,28.03,28.5,28.25,27.81,28.22,28.22,27.19,25.78,25.53,26.28,26.66,26.44,25.88,25.41,24.03,22.0,20.47,27.78,29.19,30.88,33.28,36.38,40.25,44.19:28.16,25.38,22.38,20.81,19.69,18.84,18.0,18.19,20.34,22.38,23.94,26.19,28.88,31.19,32.44,33.5,34.88,36.5,37.12,36.84,37.03,36.94,36.03,34.0,32.03,30.53,28.53,25.88,24.06,23.47,23.31,23.19,23.0,23.34,23.72,23.12,22.12,22.0,22.22,22.44,22.19,22.44,23.19,23.69,23.22,22.31,22.06,22.12,21.28,20.38,20.75,22.03,22.81,22.69,23.56,24.19,24.31,23.59,22.97,23.34,23.34,22.38,21.06,19.88,18.66,16.91,15.16,14.69,15.31,15.5,15.47,16.03,16.84,17.22,16.56,16.06,16.25,16.41,16.5,16.5,17.09,18.25,18.38,17.5,17.38,18.0,17.94,17.31,17.12,17.09,16.91,15.34,14.19,14.78,15.47,16.31,17.62,20.12,22.72,24.59,25.25,26.38,27.06,26.94,25.69,24.56,24.25,24.06,22.91,22.03,21.91,21.38,20.0,17.78,16.47,15.22,13.44,11.66,10.75,10.94,11.19,10.84,10.97,11.72,12.47,12.66,13.56,15.31,17.59,18.94,20.19,21.88,23.5,24.59,24.38,24.53,24.94,25.03,24.28,24.56,26.09,27.62,28.38,29.25,30.19,30.66,29.88,28.12,26.75,25.69,24.5,23.12,22.69,23.28,23.69,23.09,23.22,23.72,24.09,23.66,22.94,22.91,22.41,21.0,18.69,17.03,16.03,14.81,13.5,13.03,13.62,13.84,12.88,12.09,11.25,10.41,8.47,6.47,5.62,5.66,5.53,5.34,5.94,7.16,8.03,8.06,8.25,9.06,9.62,9.47,9.38,10.38,11.72,12.47,12.91,13.78,14.56,14.25,12.97,11.66,10.47,8.72,6.19,4.09,3.12,2.88,2.62,3.53,5.84,8.72,10.81,12.97,15.94,18.69,20.88,22.06,23.19,23.5,22.88,20.81,18.38,16.94,15.66,13.62,12.34,12.56,12.88,12.09,11.12,10.59,9.78,8.25,6.03,4.66,4.19,4.0,3.94,4.53,6.31,8.12,9.03,9.88,11.09,12.09,12.5,12.88,13.22,14.62,15.97,16.44,17.03,18.16,18.94,18.56,17.88,18.09,18.16,17.12,15.62,14.81,13.97,11.91,9.91,8.56,8.03,7.69,6.66,6.41,6.91,7.31,6.78,6.41,7.12,7.94,8.06,7.78,8.31,9.03,8.69,8.09,7.69,7.97,7.81,7.16,6.62,6.97,7.38,7.31,8.0,9.91,12.47,14.53,16.16,17.75,19.62,20.69,21.34,22.28,23.81,25.25,25.38,26.0,27.31,28.28,28.19,27.66,27.56,27.81,27.53,27.0,27.12,27.38,26.75,25.53,24.0,23.19,22.0,20.38,19.09,18.78,18.75,17.78,16.84,16.28,16.34,16.25,15.69,15.62,15.94,15.69,14.41,13.22,12.66,12.34,11.66,11.62,13.0,14.78,15.62,16.53,17.62,18.88,19.53,19.75,20.69,22.28,23.56,24.09,24.62,25.56,26.59,26.78,27.22,28.41,30.06,30.84,31.5,32.16,33.0,33.0,32.0,30.97,30.38,28.94,27.25,25.53,24.5,23.41,21.91,20.47,20.22,21.12,21.66,22.53,23.41,24.28,23.75,22.34,21.22,20.75,20.84,20.5,20.88,22.0,22.97,23.16,22.97,22.94,23.03,22.44,21.59,21.25,21.78,21.38,20.66,20.22,20.88,21.25,21.88,22.66,23.81,24.97,24.84,24.06,23.38,22.97,21.72,20.56,20.19,20.12,19.09,17.38,15.12,12.97,10.91,8.47,6.34,5.78,5.56,5.38,5.69,6.44,8.03,9.12,9.88,10.78,12.62,14.22,15.44,16.88,18.56,20.12,20.25,19.75,19.84,19.41,18.31,17.06,16.28,16.31,16.44,16.22,16.25,16.94,17.47,17.66,17.94,19.28,20.84,21.25,21.28,22.06,22.69,22.59,21.81,20.78,19.72,17.75,15.56,13.88,13.75,14.22,14.25,14.47,15.31,16.09,15.62,14.94,14.78,15.06,15.25,15.25,15.84,17.31,18.25,18.62,19.19,20.66,21.62,21.84,21.47,21.31,20.72,18.69,15.94,13.75,12.22,10.66,9.62,9.62,10.91,12.22,13.0,13.38,14.94,16.19,16.66,17.0,17.75,18.62,18.88,19.09,19.97,21.25,21.97,21.5,20.56,19.91,18.53,16.53,14.28,13.41,13.0,12.03,11.41,11.75,12.66,13.25,13.84,15.28,17.22,19.03,20.0,20.62,21.09,20.94,19.19,16.91,15.5,14.38,12.88,12.06,12.38,13.16,14.06,14.81,15.72,17.0,17.91,17.88,17.47,17.69,17.97,17.5,17.25,18.03,19.41,19.62,19.31,19.66,19.59,18.88,17.75,16.69,16.25,15.97,14.91,14.12,14.12,14.62,14.12,13.78,14.62,15.53,15.88,15.81,16.47,17.25,17.78,18.16,18.72,19.97,20.44,20.25,20.22,21.38,22.47,23.62,24.31,25.75,26.53,25.94,24.34,22.44,20.59,18.12,15.81,14.44,14.72,15.38,15.47,16.03,16.91,17.5,17.25,16.59,16.47,16.41,15.94,15.03,15.69,16.88,17.69,17.69,16.94,16.41,15.41,13.91,13.56,15.06,17.34,19.75,21.75,24.53,26.44,27.25,27.0,26.69,25.66,24.72,22.56,20.19,18.59,17.66,16.19,14.81,14.47,14.25,13.44,12.38,12.22,13.53,14.0,13.81,13.75,13.91,13.34,12.56,12.94,14.66,17.28,19.06,20.75,21.78,22.09,21.28,19.12,17.81,17.03,16.41,15.56,15.69,16.31,17.0,16.5,15.16,14.0,12.25,9.5,6.78,5.38,5.38,5.62,5.69,6.72,8.41,9.59,10.47,12.03,14.56,17.47,19.31,20.94,22.78,24.19,24.12,23.19,22.5,21.84,20.97,19.78,19.78,20.91,22.31,22.66,23.69,25.12,26.56,26.81,26.75,27.44,27.94,27.81,27.62,28.06,28.84,28.78,27.69,26.5,25.62,24.41,22.72,21.69,21.69,22.06,21.94,21.84,22.44,23.38,23.62,23.06,22.41,22.5,21.88,20.53,19.69,19.62,19.78,19.06,19.12,19.75,21.19,21.78,22.22,22.94,23.69,23.31,21.56,20.03,19.16,17.94,16.31,15.59,15.97,16.78,17.31,18.5,20.41,22.28,22.69,22.12,21.44,20.91,20.22,19.12,19.41,20.62,21.88,22.78,23.75,25.06,26.47,25.88,24.72,23.5,22.62,20.69,18.38,17.0,16.25,15.41,14.5,14.66,16.09,17.31,18.03,18.66,19.78,20.53,20.12,19.34,19.12,19.53,19.16,18.53,18.88,19.22,19.16,18.41,17.41,17.0,16.84,16.09,15.78,16.78,18.28,19.12,20.06,21.5,23.03,23.56,23.56,23.78,24.84,25.78,26.41,27.31,28.56,29.19,28.53,27.47,27.12,26.5,24.53,22.31,20.06,18.12,15.0,11.75,9.66,8.81,9.22,10.06,12.03,15.19,18.25,20.16,21.25,22.78,23.97,23.56,23.0,22.81,23.25,22.94,22.19,21.78,21.78,20.84,18.28,15.16,13.19,11.53,10.56,10.78,13.06,16.44,18.97,21.31,23.31,24.81,24.91,24.19,23.12,22.81,22.84,22.44,22.47,23.69,24.94,24.5,22.72,21.31,19.69,16.56,13.94,12.38,12.0,11.69,11.31,11.91,13.38,14.78,15.0,15.25,16.5,17.19,17.09,16.62,16.53,16.69,16.41,16.41,17.5,20.0,22.53,24.94,27.28,30.09,32.06,32.12,31.44,31.28,30.97,29.91,28.88,28.38,27.91,26.34,23.5,20.59,17.94,14.53,10.94,7.97,7.09,7.41,7.75,9.38,12.41,15.91,18.91,21.28,24.25,27.31,28.72,28.69,28.0,27.75,26.5,24.53,23.06,22.47,22.06,21.53,20.88,21.53,22.88,23.59,23.53,23.84,24.34,23.84,22.62,21.5,21.25,21.03,20.38,20.03,21.31,22.88,23.56,24.66,26.72,29.22,30.72,31.53,31.75,31.5,29.38,26.12,23.44,21.84,20.66,19.62,19.12,19.5,20.12,19.31,18.59,18.41,18.28,17.91,17.16,17.25,18.16,18.75,18.72,19.06,20.34,21.47,22.22,22.97,24.41,26.0,26.38,26.19,26.91,28.19,28.56,28.5,28.81,29.12,28.56,26.38,23.75,22.28,21.28,20.56,20.94,23.81,27.47,29.62,31.03,31.78,31.88,30.03,27.16,25.0,23.69,22.31,21.31,20.91,22.0,22.94,23.5,23.22,23.41,23.09,21.78,19.94,18.62,18.66,17.94,16.91,16.94,18.5,19.88,20.78,21.88,23.62,25.25,26.0,26.53,28.34,30.91,32.34,33.88,35.97,38.53,40.28,40.97,42.0,44.06,46.25,47.69,49.78,52.44,54.59,54.84,54.06,53.25,52.06,50.22,47.75,45.88,45.03,44.31,43.03,42.03,41.78,40.78,38.25,34.59,31.03,27.47,23.19,19.22,16.53,15.66,14.88,14.44,14.31,15.53,16.66,16.62,17.12,19.12,21.59,23.41,26.16,29.69,33.38,35.78,36.69,37.5,37.78,36.62,34.41,32.56,31.72,30.78,29.53,29.19,29.78,30.53,30.88,30.69,31.19,31.47,31.03,30.22,30.16,30.88,31.16,30.75,30.34,30.66,30.44,29.69,28.84,28.91,28.78,27.66,26.47,26.44,27.28,28.25,28.59,30.16,31.59,31.56,29.53,26.69,23.66,20.09,16.25,13.88,13.75,14.94,15.97,17.69,20.62,23.62,26.12,27.38,28.56,29.5,29.47,28.5,27.56,28.03,28.5,28.25,27.81,28.22,28.22,27.19,25.78,25.53,26.28,26.66,26.44,25.88,25.41,24.03,22.0,20.47,27.78,29.19,30.88,33.28,36.38,40.25,44.19,47.84,50.84,52.94,54.38,54.56,53.66,52.38:18.19,20.34,22.38,23.94,26.19,28.88,31.19,32.44,33.5,34.88,36.5,37.12,36.84,37.03,36.94,36.03,34.0,32.03,30.53,28.53,25.88,24.06,23.47,23.31,23.19,23.0,23.34,23.72,23.12,22.12,22.0,22.22,22.44,22.19,22.44,23.19,23.69,23.22,22.31,22.06,22.12,21.28,20.38,20.75,22.03,22.81,22.69,23.56,24.19,24.31,23.59,22.97,23.34,23.34,22.38,21.06,19.88,18.66,16.91,15.16,14.69,15.31,15.5,15.47,16.03,16.84,17.22,16.56,16.06,16.25,16.41,16.5,16.5,17.09,18.25,18.38,17.5,17.38,18.0,17.94,17.31,17.12,17.09,16.91,15.34,14.19,14.78,15.47,16.31,17.62,20.12,22.72,24.59,25.25,26.38,27.06,26.94,25.69,24.56,24.25,24.06,22.91,22.03,21.91,21.38,20.0,17.78,16.47,15.22,13.44,11.66,10.75,10.94,11.19,10.84,10.97,11.72,12.47,12.66,13.56,15.31,17.59,18.94,20.19,21.88,23.5,24.59,24.38,24.53,24.94,25.03,24.28,24.56,26.09,27.62,28.38,29.25,30.19,30.66,29.88,28.12,26.75,25.69,24.5,23.12,22.69,23.28,23.69,23.09,23.22,23.72,24.09,23.66,22.94,22.91,22.41,21.0,18.69,17.03,16.03,14.81,13.5,13.03,13.62,13.84,12.88,12.09,11.25,10.41,8.47,6.47,5.62,5.66,5.53,5.34,5.94,7.16,8.03,8.06,8.25,9.06,9.62,9.47,9.38,10.38,11.72,12.47,12.91,13.78,14.56,14.25,12.97,11.66,10.47,8.72,6.19,4.09,3.12,2.88,2.62,3.53,5.84,8.72,10.81,12.97,15.94,18.69,20.88,22.06,23.19,23.5,22.88,20.81,18.38,16.94,15.66,13.62,12.34,12.56,12.88,12.09,11.12,10.59,9.78,8.25,6.03,4.66,4.19,4.0,3.94,4.53,6.31,8.12,9.03,9.88,11.09,12.09,12.5,12.88,13.22,14.62,15.97,16.44,17.03,18.16,18.94,18.56,17.88,18.09,18.16,17.12,15.62,14.81,13.97,11.91,9.91,8.56,8.03,7.69,6.66,6.41,6.91,7.31,6.78,6.41,7.12,7.94,8.06,7.78,8.31,9.03,8.69,8.09,7.69,7.97,7.81,7.16,6.62,6.97,7.38,7.31,8.0,9.91,12.47,14.53,16.16,17.75,19.62,20.69,21.34,22.28,23.81,25.25,25.38,26.0,27.31,28.28,28.19,27.66,27.56,27.81,27.53,27.0,27.12,27.38,26.75,25.53,24.0,23.19,22.0,20.38,19.09,18.78,18.75,17.78,16.84,16.28,16.34,16.25,15.69,15.62,15.94,15.69,14.41,13.22,12.66,12.34,11.66,11.62,13.0,14.78,15.62,16.53,17.62,18.88,19.53,19.75,20.69,22.28,23.56,24.09,24.62,25.56,26.59,26.78,27.22,28.41,30.06,30.84,31.5,32.16,33.0,33.0,32.0,30.97,30.38,28.94,27.25,25.53,24.5,23.41,21.91,20.47,20.22,21.12,21.66,22.53,23.41,24.28,23.75,22.34,21.22,20.75,20.84,20.5,20.88,22.0,22.97,23.16,22.97,22.94,23.03,22.44,21.59,21.25,21.78,21.38,20.66,20.22,20.88,21.25,21.88,22.66,23.81,24.97,24.84,24.06,23.38,22.97,21.72,20.56,20.19,20.12,19.09,17.38,15.12,12.97,10.91,8.47,6.34,5.78,5.56,5.38,5.69,6.44,8.03,9.12,9.88,10.78,12.62,14.22,15.44,16.88,18.56,20.12,20.25,19.75,19.84,19.41,18.31,17.06,16.28,16.31,16.44,16.22,16.25,16.94,17.47,17.66,17.94,19.28,20.84,21.25,21.28,22.06,22.69,22.59,21.81,20.78,19.72,17.75,15.56,13.88,13.75,14.22,14.25,14.47,15.31,16.09,15.62,14.94,14.78,15.06,15.25,15.25,15.84,17.31,18.25,18.62,19.19,20.66,21.62,21.84,21.47,21.31,20.72,18.69,15.94,13.75,12.22,10.66,9.62,9.62,10.91,12.22,13.0,13.38,14.94,16.19,16.66,17.0,17.75,18.62,18.88,19.09,19.97,21.25,21.97,21.5,20.56,19.91,18.53,16.53,14.28,13.41,13.0,12.03,11.41,11.75,12.66,13.25,13.84,15.28,17.22,19.03,20.0,20.62,21.09,20.94,19.19,16.91,15.5,14.38,12.88,12.06,12.38,13.16,14.06,14.81,15.72,17.0,17.91,17.88,17.47,17.69,17.97,17.5,17.25,18.03,19.41,19.62,19.31,19.66,19.59,18.88,17.75,16.69,16.25,15.97,14.91,14.12,14.12,14.62,14.12,13.78,14.62,15.53,15.88,15.81,16.47,17.25,17.78,18.16,18.72,19.97,20.44,20.25,20.22,21.38,22.47,23.62,24.31,25.75,26.53,25.94,24.34,22.44,20.59,18.12,15.81,14.44,14.72,15.38,15.47,16.03,16.91,17.5,17.25,16.59,16.47,16.41,15.94,15.03,15.69,16.88,17.69,17.69,16.94,16.41,15.41,13.91,13.56,15.06,17.34,19.75,21.75,24.53,26.44,27.25,27.0,26.69,25.66,24.72,22.56,20.19,18.59,17.66,16.19,14.81,14.47,14.25,13.44,12.38,12.22,13.53,14.0,13.81,13.75,13.91,13.34,12.56,12.94,14.66,17.28,19.06,20.75,21.78,22.09,21.28,19.12,17.81,17.03,16.41,15.56,15.69,16.31,17.0,16.5,15.16,14.0,12.25,9.5,6.78,5.38,5.38,5.62,5.69,6.72,8.41,9.59,10.47,12.03,14.56,17.47,19.31,20.94,22.78,24.19,24.12,23.19,22.5,21.84,20.97,19.78,19.78,20.91,22.31,22.66,23.69,25.12,26.56,26.81,26.75,27.44,27.94,27.81,27.62,28.06,28.84,28.78,27.69,26.5,25.62,24.41,22.72,21.69,21.69,22.06,21.94,21.84,22.44,23.38,23.62,23.06,22.41,22.5,21.88,20.53,19.69,19.62,19.78,19.06,19.12,19.75,21.19,21.78,22.22,22.94,23.69,23.31,21.56,20.03,19.16,17.94,16.31,15.59,15.97,16.78,17.31,18.5,20.41,22.28,22.69,22.12,21.44,20.91,20.22,19.12,19.41,20.62,21.88,22.78,23.75,25.06,26.47,25.88,24.72,23.5,22.62,20.69,18.38,17.0,16.25,15.41,14.5,14.66,16.09,17.31,18.03,18.66,19.78,20.53,20.12,19.34,19.12,19.53,19.16,18.53,18.88,19.22,19.16,18.41,17.41,17.0,16.84,16.09,15.78,16.78,18.28,19.12,20.06,21.5,23.03,23.56,23.56,23.78,24.84,25.78,26.41,27.31,28.56,29.19,28.53,27.47,27.12,26.5,24.53,22.31,20.06,18.12,15.0,11.75,9.66,8.81,9.22,10.06,12.03,15.19,18.25,20.16,21.25,22.78,23.97,23.56,23.0,22.81,23.25,22.94,22.19,21.78,21.78,20.84,18.28,15.16,13.19,11.53,10.56,10.78,13.06,16.44,18.97,21.31,23.31,24.81,24.91,24.19,23.12,22.81,22.84,22.44,22.47,23.69,24.94,24.5,22.72,21.31,19.69,16.56,13.94,12.38,12.0,11.69,11.31,11.91,13.38,14.78,15.0,15.25,16.5,17.19,17.09,16.62,16.53,16.69,16.41,16.41,17.5,20.0,22.53,24.94,27.28,30.09,32.06,32.12,31.44,31.28,30.97,29.91,28.88,28.38,27.91,26.34,23.5,20.59,17.94,14.53,10.94,7.97,7.09,7.41,7.75,9.38,12.41,15.91,18.91,21.28,24.25,27.31,28.72,28.69,28.0,27.75,26.5,24.53,23.06,22.47,22.06,21.53,20.88,21.53,22.88,23.59,23.53,23.84,24.34,23.84,22.62,21.5,21.25,21.03,20.38,20.03,21.31,22.88,23.56,24.66,26.72,29.22,30.72,31.53,31.75,31.5,29.38,26.12,23.44,21.84,20.66,19.62,19.12,19.5,20.12,19.31,18.59,18.41,18.28,17.91,17.16,17.25,18.16,18.75,18.72,19.06,20.34,21.47,22.22,22.97,24.41,26.0,26.38,26.19,26.91,28.19,28.56,28.5,28.81,29.12,28.56,26.38,23.75,22.28,21.28,20.56,20.94,23.81,27.47,29.62,31.03,31.78,31.88,30.03,27.16,25.0,23.69,22.31,21.31,20.91,22.0,22.94,23.5,23.22,23.41,23.09,21.78,19.94,18.62,18.66,17.94,16.91,16.94,18.5,19.88,20.78,21.88,23.62,25.25,26.0,26.53,28.34,30.91,32.34,33.88,35.97,38.53,40.28,40.97,42.0,44.06,46.25,47.69,49.78,52.44,54.59,54.84,54.06,53.25,52.06,50.22,47.75,45.88,45.03,44.31,43.03,42.03,41.78,40.78,38.25,34.59,31.03,27.47,23.19,19.22,16.53,15.66,14.88,14.44,14.31,15.53,16.66,16.62,17.12,19.12,21.59,23.41,26.16,29.69,33.38,35.78,36.69,37.5,37.78,36.62,34.41,32.56,31.72,30.78,29.53,29.19,29.78,30.53,30.88,30.69,31.19,31.47,31.03,30.22,30.16,30.88,31.16,30.75,30.34,30.66,30.44,29.69,28.84,28.91,28.78,27.66,26.47,26.44,27.28,28.25,28.59,30.16,31.59,31.56,29.53,26.69,23.66,20.09,16.25,13.88,13.75,14.94,15.97,17.69,20.62,23.62,26.12,27.38,28.56,29.5,29.47,28.5,27.56,28.03,28.5,28.25,27.81,28.22,28.22,27.19,25.78,25.53,26.28,26.66,26.44,25.88,25.41,24.03,22.0,20.47,27.78,29.19,30.88,33.28,36.38,40.25,44.19,47.84,50.84,52.94,54.38,54.56,53.66,52.38,50.97,49.5,47.88,46.75,45.72,44.97,44.34:32.44,33.5,34.88,36.5,37.12,36.84,37.03,36.94,36.03,34.0,32.03,30.53,28.53,25.88,24.06,23.47,23.31,23.19,23.0,23.34,23.72,23.12,22.12,22.0,22.22,22.44,22.19,22.44,23.19,23.69,23.22,22.31,22.06,22.12,21.28,20.38,20.75,22.03,22.81,22.69,23.56,24.19,24.31,23.59,22.97,23.34,23.34,22.38,21.06,19.88,18.66,16.91,15.16,14.69,15.31,15.5,15.47,16.03,16.84,17.22,16.56,16.06,16.25,16.41,16.5,16.5,17.09,18.25,18.38,17.5,17.38,18.0,17.94,17.31,17.12,17.09,16.91,15.34,14.19,14.78,15.47,16.31,17.62,20.12,22.72,24.59,25.25,26.38,27.06,26.94,25.69,24.56,24.25,24.06,22.91,22.03,21.91,21.38,20.0,17.78,16.47,15.22,13.44,11.66,10.75,10.94,11.19,10.84,10.97,11.72,12.47,12.66,13.56,15.31,17.59,18.94,20.19,21.88,23.5,24.59,24.38,24.53,24.94,25.03,24.28,24.56,26.09,27.62,28.38,29.25,30.19,30.66,29.88,28.12,26.75,25.69,24.5,23.12,22.69,23.28,23.69,23.09,23.22,23.72,24.09,23.66,22.94,22.91,22.41,21.0,18.69,17.03,16.03,14.81,13.5,13.03,13.62,13.84,12.88,12.09,11.25,10.41,8.47,6.47,5.62,5.66,5.53,5.34,5.94,7.16,8.03,8.06,8.25,9.06,9.62,9.47,9.38,10.38,11.72,12.47,12.91,13.78,14.56,14.25,12.97,11.66,10.47,8.72,6.19,4.09,3.12,2.88,2.62,3.53,5.84,8.72,10.81,12.97,15.94,18.69,20.88,22.06,23.19,23.5,22.88,20.81,18.38,16.94,15.66,13.62,12.34,12.56,12.88,12.09,11.12,10.59,9.78,8.25,6.03,4.66,4.19,4.0,3.94,4.53,6.31,8.12,9.03,9.88,11.09,12.09,12.5,12.88,13.22,14.62,15.97,16.44,17.03,18.16,18.94,18.56,17.88,18.09,18.16,17.12,15.62,14.81,13.97,11.91,9.91,8.56,8.03,7.69,6.66,6.41,6.91,7.31,6.78,6.41,7.12,7.94,8.06,7.78,8.31,9.03,8.69,8.09,7.69,7.97,7.81,7.16,6.62,6.97,7.38,7.31,8.0,9.91,12.47,14.53,16.16,17.75,19.62,20.69,21.34,22.28,23.81,25.25,25.38,26.0,27.31,28.28,28.19,27.66,27.56,27.81,27.53,27.0,27.12,27.38,26.75,25.53,24.0,23.19,22.0,20.38,19.09,18.78,18.75,17.78,16.84,16.28,16.34,16.25,15.69,15.62,15.94,15.69,14.41,13.22,12.66,12.34,11.66,11.62,13.0,14.78,15.62,16.53,17.62,18.88,19.53,19.75,20.69,22.28,23.56,24.09,24.62,25.56,26.59,26.78,27.22,28.41,30.06,30.84,31.5,32.16,33.0,33.0,32.0,30.97,30.38,28.94,27.25,25.53,24.5,23.41,21.91,20.47,20.22,21.12,21.66,22.53,23.41,24.28,23.75,22.34,21.22,20.75,20.84,20.5,20.88,22.0,22.97,23.16,22.97,22.94,23.03,22.44,21.59,21.25,21.78,21.38,20.66,20.22,20.88,21.25,21.88,22.66,23.81,24.97,24.84,24.06,23.38,22.97,21.72,20.56,20.19,20.12,19.09,17.38,15.12,12.97,10.91,8.47,6.34,5.78,5.56,5.38,5.69,6.44,8.03,9.12,9.88,10.78,12.62,14.22,15.44,16.88,18.56,20.12,20.25,19.75,19.84,19.41,18.31,17.06,16.28,16.31,16.44,16.22,16.25,16.94,17.47,17.66,17.94,19.28,20.84,21.25,21.28,22.06,22.69,22.59,21.81,20.78,19.72,17.75,15.56,13.88,13.75,14.22,14.25,14.47,15.31,16.09,15.62,14.94,14.78,15.06,15.25,15.25,15.84,17.31,18.25,18.62,19.19,20.66,21.62,21.84,21.47,21.31,20.72,18.69,15.94,13.75,12.22,10.66,9.62,9.62,10.91,12.22,13.0,13.38,14.94,16.19,16.66,17.0,17.75,18.62,18.88,19.09,19.97,21.25,21.97,21.5,20.56,19.91,18.53,16.53,14.28,13.41,13.0,12.03,11.41,11.75,12.66,13.25,13.84,15.28,17.22,19.03,20.0,20.62,21.09,20.94,19.19,16.91,15.5,14.38,12.88,12.06,12.38,13.16,14.06,14.81,15.72,17.0,17.91,17.88,17.47,17.69,17.97,17.5,17.25,18.03,19.41,19.62,19.31,19.66,19.59,18.88,17.75,16.69,16.25,15.97,14.91,14.12,14.12,14.62,14.12,13.78,14.62,15.53,15.88,15.81,16.47,17.25,17.78,18.16,18.72,19.97,20.44,20.25,20.22,21.38,22.47,23.62,24.31,25.75,26.53,25.94,24.34,22.44,20.59,18.12,15.81,14.44,14.72,15.38,15.47,16.03,16.91,17.5,17.25,16.59,16.47,16.41,15.94,15.03,15.69,16.88,17.69,17.69,16.94,16.41,15.41,13.91,13.56,15.06,17.34,19.75,21.75,24.53,26.44,27.25,27.0,26.69,25.66,24.72,22.56,20.19,18.59,17.66,16.19,14.81,14.47,14.25,13.44,12.38,12.22,13.53,14.0,13.81,13.75,13.91,13.34,12.56,12.94,14.66,17.28,19.06,20.75,21.78,22.09,21.28,19.12,17.81,17.03,16.41,15.56,15.69,16.31,17.0,16.5,15.16,14.0,12.25,9.5,6.78,5.38,5.38,5.62,5.69,6.72,8.41,9.59,10.47,12.03,14.56,17.47,19.31,20.94,22.78,24.19,24.12,23.19,22.5,21.84,20.97,19.78,19.78,20.91,22.31,22.66,23.69,25.12,26.56,26.81,26.75,27.44,27.94,27.81,27.62,28.06,28.84,28.78,27.69,26.5,25.62,24.41,22.72,21.69,21.69,22.06,21.94,21.84,22.44,23.38,23.62,23.06,22.41,22.5,21.88,20.53,19.69,19.62,19.78,19.06,19.12,19.75,21.19,21.78,22.22,22.94,23.69,23.31,21.56,20.03,19.16,17.94,16.31,15.59,15.97,16.78,17.31,18.5,20.41,22.28,22.69,22.12,21.44,20.91,20.22,19.12,19.41,20.62,21.88,22.78,23.75,25.06,26.47,25.88,24.72,23.5,22.62,20.69,18.38,17.0,16.25,15.41,14.5,14.66,16.09,17.31,18.03,18.66,19.78,20.53,20.12,19.34,19.12,19.53,19.16,18.53,18.88,19.22,19.16,18.41,17.41,17.0,16.84,16.09,15.78,16.78,18.28,19.12,20.06,21.5,23.03,23.56,23.56,23.78,24.84,25.78,26.41,27.31,28.56,29.19,28.53,27.47,27.12,26.5,24.53,22.31,20.06,18.12,15.0,11.75,9.66,8.81,9.22,10.06,12.03,15.19,18.25,20.16,21.25,22.78,23.97,23.56,23.0,22.81,23.25,22.94,22.19,21.78,21.78,20.84,18.28,15.16,13.19,11.53,10.56,10.78,13.06,16.44,18.97,21.31,23.31,24.81,24.91,24.19,23.12,22.81,22.84,22.44,22.47,23.69,24.94,24.5,22.72,21.31,19.69,16.56,13.94,12.38,12.0,11.69,11.31,11.91,13.38,14.78,15.0,15.25,16.5,17.19,17.09,16.62,16.53,16.69,16.41,16.41,17.5,20.0,22.53,24.94,27.28,30.09,32.06,32.12,31.44,31.28,30.97,29.91,28.88,28.38,27.91,26.34,23.5,20.59,17.94,14.53,10.94,7.97,7.09,7.41,7.75,9.38,12.41,15.91,18.91,21.28,24.25,27.31,28.72,28.69,28.0,27.75,26.5,24.53,23.06,22.47,22.06,21.53,20.88,21.53,22.88,23.59,23.53,23.84,24.34,23.84,22.62,21.5,21.25,21.03,20.38,20.03,21.31,22.88,23.56,24.66,26.72,29.22,30.72,31.53,31.75,31.5,29.38,26.12,23.44,21.84,20.66,19.62,19.12,19.5,20.12,19.31,18.59,18.41,18.28,17.91,17.16,17.25,18.16,18.75,18.72,19.06,20.34,21.47,22.22,22.97,24.41,26.0,26.38,26.19,26.91,28.19,28.56,28.5,28.81,29.12,28.56,26.38,23.75,22.28,21.28,20.56,20.94,23.81,27.47,29.62,31.03,31.78,31.88,30.03,27.16,25.0,23.69,22.31,21.31,20.91,22.0,22.94,23.5,23.22,23.41,23.09,21.78,19.94,18.62,18.66,17.94,16.91,16.94,18.5,19.88,20.78,21.88,23.62,25.25,26.0,26.53,28.34,30.91,32.34,33.88,35.97,38.53,40.28,40.97,42.0,44.06,46.25,47.69,49.78,52.44,54.59,54.84,54.06,53.25,52.06,50.22,47.75,45.88,45.03,44.31,43.03,42.03,41.78,40.78,38.25,34.59,31.03,27.47,23.19,19.22,16.53,15.66,14.88,14.44,14.31,15.53,16.66,16.62,17.12,19.12,21.59,23.41,26.16,29.69,33.38,35.78,36.69,37.5,37.78,36.62,34.41,32.56,31.72,30.78,29.53,29.19,29.78,30.53,30.88,30.69,31.19,31.47,31.03,30.22,30.16,30.88,31.16,30.75,30.34,30.66,30.44,29.69,28.84,28.91,28.78,27.66,26.47,26.44,27.28,28.25,28.59,30.16,31.59,31.56,29.53,26.69,23.66,20.09,16.25,13.88,13.75,14.94,15.97,17.69,20.62,23.62,26.12,27.38,28.56,29.5,29.47,28.5,27.56,28.03,28.5,28.25,27.81,28.22,28.22,27.19,25.78,25.53,26.28,26.66,26.44,25.88,25.41,24.03,22.0,20.47,27.78,29.19,30.88,33.28,36.38,40.25,44.19,47.84,50.84,52.94,54.38,54.56,53.66,52.38,50.97,49.5,47.88,46.75,45.72,44.97,44.34,43.91,44.38,45.16,46.5,47.97,49.66,51.28:36.94,36.03,34.0,32.03,30.53,28.53,25.88,24.06,23.47,23.31,23.19,23.0,23.34,23.72,23.12,22.12,22.0,22.22,22.44,22.19,22.44,23.19,23.69,23.22,22.31,22.06,22.12,21.28,20.38,20.75,22.03,22.81,22.69,23.56,24.19,24.31,23.59,22.97,23.34,23.34,22.38,21.06,19.88,18.66,16.91,15.16,14.69,15.31,15.5,15.47,16.03,16.84,17.22,16.56,16.06,16.25,16.41,16.5,16.5,17.09,18.25,18.38,17.5,17.38,18.0,17.94,17.31,17.12,17.09,16.91,15.34,14.19,14.78,15.47,16.31,17.62,20.12,22.72,24.59,25.25,26.38,27.06,26.94,25.69,24.56,24.25,24.06,22.91,22.03,21.91,21.38,20.0,17.78,16.47,15.22,13.44,11.66,10.75,10.94,11.19,10.84,10.97,11.72,12.47,12.66,13.56,15.31,17.59,18.94,20.19,21.88,23.5,24.59,24.38,24.53,24.94,25.03,24.28,24.56,26.09,27.62,28.38,29.25,30.19,30.66,29.88,28.12,26.75,25.69,24.5,23.12,22.69,23.28,23.69,23.09,23.22,23.72,24.09,23.66,22.94,22.91,22.41,21.0,18.69,17.03,16.03,14.81,13.5,13.03,13.62,13.84,12.88,12.09,11.25,10.41,8.47,6.47,5.62,5.66,5.53,5.34,5.94,7.16,8.03,8.06,8.25,9.06,9.62,9.47,9.38,10.38,11.72,12.47,12.91,13.78,14.56,14.25,12.97,11.66,10.47,8.72,6.19,4.09,3.12,2.88,2.62,3.53,5.84,8.72,10.81,12.97,15.94,18.69,20.88,22.06,23.19,23.5,22.88,20.81,18.38,16.94,15.66,13.62,12.34,12.56,12.88,12.09,11.12,10.59,9.78,8.25,6.03,4.66,4.19,4.0,3.94,4.53,6.31,8.12,9.03,9.88,11.09,12.09,12.5,12.88,13.22,14.62,15.97,16.44,17.03,18.16,18.94,18.56,17.88,18.09,18.16,17.12,15.62,14.81,13.97,11.91,9.91,8.56,8.03,7.69,6.66,6.41,6.91,7.31,6.78,6.41,7.12,7.94,8.06,7.78,8.31,9.03,8.69,8.09,7.69,7.97,7.81,7.16,6.62,6.97,7.38,7.31,8.0,9.91,12.47,14.53,16.16,17.75,19.62,20.69,21.34,22.28,23.81,25.25,25.38,26.0,27.31,28.28,28.19,27.66,27.56,27.81,27.53,27.0,27.12,27.38,26.75,25.53,24.0,23.19,22.0,20.38,19.09,18.78,18.75,17.78,16.84,16.28,16.34,16.25,15.69,15.62,15.94,15.69,14.41,13.22,12.66,12.34,11.66,11.62,13.0,14.78,15.62,16.53,17.62,18.88,19.53,19.75,20.69,22.28,23.56,24.09,24.62,25.56,26.59,26.78,27.22,28.41,30.06,30.84,31.5,32.16,33.0,33.0,32.0,30.97,30.38,28.94,27.25,25.53,24.5,23.41,21.91,20.47,20.22,21.12,21.66,22.53,23.41,24.28,23.75,22.34,21.22,20.75,20.84,20.5,20.88,22.0,22.97,23.16,22.97,22.94,23.03,22.44,21.59,21.25,21.78,21.38,20.66,20.22,20.88,21.25,21.88,22.66,23.81,24.97,24.84,24.06,23.38,22.97,21.72,20.56,20.19,20.12,19.09,17.38,15.12,12.97,10.91,8.47,6.34,5.78,5.56,5.38,5.69,6.44,8.03,9.12,9.88,10.78,12.62,14.22,15.44,16.88,18.56,20.12,20.25,19.75,19.84,19.41,18.31,17.06,16.28,16.31,16.44,16.22,16.25,16.94,17.47,17.66,17.94,19.28,20.84,21.25,21.28,22.06,22.69,22.59,21.81,20.78,19.72,17.75,15.56,13.88,13.75,14.22,14.25,14.47,15.31,16.09,15.62,14.94,14.78,15.06,15.25,15.25,15.84,17.31,18.25,18.62,19.19,20.66,21.62,21.84,21.47,21.31,20.72,18.69,15.94,13.75,12.22,10.66,9.62,9.62,10.91,12.22,13.0,13.38,14.94,16.19,16.66,17.0,17.75,18.62,18.88,19.09,19.97,21.25,21.97,21.5,20.56,19.91,18.53,16.53,14.28,13.41,13.0,12.03,11.41,11.75,12.66,13.25,13.84,15.28,17.22,19.03,20.0,20.62,21.09,20.94,19.19,16.91,15.5,14.38,12.88,12.06,12.38,13.16,14.06,14.81,15.72,17.0,17.91,17.88,17.47,17.69,17.97,17.5,17.25,18.03,19.41,19.62,19.31,19.66,19.59,18.88,17.75,16.69,16.25,15.97,14.91,14.12,14.12,14.62,14.12,13.78,14.62,15.53,15.88,15.81,16.47,17.25,17.78,18.16,18.72,19.97,20.44,20.25,20.22,21.38,22.47,23.62,24.31,25.75,26.53,25.94,24.34,22.44,20.59,18.12,15.81,14.44,14.72,15.38,15.47,16.03,16.91,17.5,17.25,16.59,16.47,16.41,15.94,15.03,15.69,16.88,17.69,17.69,16.94,16.41,15.41,13.91,13.56,15.06,17.34,19.75,21.75,24.53,26.44,27.25,27.0,26.69,25.66,24.72,22.56,20.19,18.59,17.66,16.19,14.81,14.47,14.25,13.44,12.38,12.22,13.53,14.0,13.81,13.75,13.91,13.34,12.56,12.94,14.66,17.28,19.06,20.75,21.78,22.09,21.28,19.12,17.81,17.03,16.41,15.56,15.69,16.31,17.0,16.5,15.16,14.0,12.25,9.5,6.78,5.38,5.38,5.62,5.69,6.72,8.41,9.59,10.47,12.03,14.56,17.47,19.31,20.94,22.78,24.19,24.12,23.19,22.5,21.84,20.97,19.78,19.78,20.91,22.31,22.66,23.69,25.12,26.56,26.81,26.75,27.44,27.94,27.81,27.62,28.06,28.84,28.78,27.69,26.5,25.62,24.41,22.72,21.69,21.69,22.06,21.94,21.84,22.44,23.38,23.62,23.06,22.41,22.5,21.88,20.53,19.69,19.62,19.78,19.06,19.12,19.75,21.19,21.78,22.22,22.94,23.69,23.31,21.56,20.03,19.16,17.94,16.31,15.59,15.97,16.78,17.31,18.5,20.41,22.28,22.69,22.12,21.44,20.91,20.22,19.12,19.41,20.62,21.88,22.78,23.75,25.06,26.47,25.88,24.72,23.5,22.62,20.69,18.38,17.0,16.25,15.41,14.5,14.66,16.09,17.31,18.03,18.66,19.78,20.53,20.12,19.34,19.12,19.53,19.16,18.53,18.88,19.22,19.16,18.41,17.41,17.0,16.84,16.09,15.78,16.78,18.28,19.12,20.06,21.5,23.03,23.56,23.56,23.78,24.84,25.78,26.41,27.31,28.56,29.19,28.53,27.47,27.12,26.5,24.53,22.31,20.06,18.12,15.0,11.75,9.66,8.81,9.22,10.06,12.03,15.19,18.25,20.16,21.25,22.78,23.97,23.56,23.0,22.81,23.25,22.94,22.19,21.78,21.78,20.84,18.28,15.16,13.19,11.53,10.56,10.78,13.06,16.44,18.97,21.31,23.31,24.81,24.91,24.19,23.12,22.81,22.84,22.44,22.47,23.69,24.94,24.5,22.72,21.31,19.69,16.56,13.94,12.38,12.0,11.69,11.31,11.91,13.38,14.78,15.0,15.25,16.5,17.19,17.09,16.62,16.53,16.69,16.41,16.41,17.5,20.0,22.53,24.94,27.28,30.09,32.06,32.12,31.44,31.28,30.97,29.91,28.88,28.38,27.91,26.34,23.5,20.59,17.94,14.53,10.94,7.97,7.09,7.41,7.75,9.38,12.41,15.91,18.91,21.28,24.25,27.31,28.72,28.69,28.0,27.75,26.5,24.53,23.06,22.47,22.06,21.53,20.88,21.53,22.88,23.59,23.53,23.84,24.34,23.84,22.62,21.5,21.25,21.03,20.38,20.03,21.31,22.88,23.56,24.66,26.72,29.22,30.72,31.53,31.75,31.5,29.38,26.12,23.44,21.84,20.66,19.62,19.12,19.5,20.12,19.31,18.59,18.41,18.28,17.91,17.16,17.25,18.16,18.75,18.72,19.06,20.34,21.47,22.22,22.97,24.41,26.0,26.38,26.19,26.91,28.19,28.56,28.5,28.81,29.12,28.56,26.38,23.75,22.28,21.28,20.56,20.94,23.81,27.47,29.62,31.03,31.78,31.88,30.03,27.16,25.0,23.69,22.31,21.31,20.91,22.0,22.94,23.5,23.22,23.41,23.09,21.78,19.94,18.62,18.66,17.94,16.91,16.94,18.5,19.88,20.78,21.88,23.62,25.25,26.0,26.53,28.34,30.91,32.34,33.88,35.97,38.53,40.28,40.97,42.0,44.06,46.25,47.69,49.78,52.44,54.59,54.84,54.06,53.25,52.06,50.22,47.75,45.88,45.03,44.31,43.03,42.03,41.78,40.78,38.25,34.59,31.03,27.47,23.19,19.22,16.53,15.66,14.88,14.44,14.31,15.53,16.66,16.62,17.12,19.12,21.59,23.41,26.16,29.69,33.38,35.78,36.69,37.5,37.78,36.62,34.41,32.56,31.72,30.78,29.53,29.19,29.78,30.53,30.88,30.69,31.19,31.47,31.03,30.22,30.16,30.88,31.16,30.75,30.34,30.66,30.44,29.69,28.84,28.91,28.78,27.66,26.47,26.44,27.28,28.25,28.59,30.16,31.59,31.56,29.53,26.69,23.66,20.09,16.25,13.88,13.75,14.94,15.97,17.69,20.62,23.62,26.12,27.38,28.56,29.5,29.47,28.5,27.56,28.03,28.5,28.25,27.81,28.22,28.22,27.19,25.78,25.53,26.28,26.66,26.44,25.88,25.41,24.03,22.0,20.47,27.78,29.19,30.88,33.28,36.38,40.25,44.19,47.84,50.84,52.94,54.38,54.56,53.66,52.38,50.97,49.5,47.88,46.75,45.72,44.97,44.34,43.91,44.38,45.16,46.5,47.97,49.66,51.28,52.62,53.94,54.84,55.75,56.72,57.06,57.5:24.06,23.47,23.31,23.19,23.0,23.34,23.72,23.12,22.12,22.0,22.22,22.44,22.19,22.44,23.19,23.69,23.22,22.31,22.06,22.12,21.28,20.38,20.75,22.03,22.81,22.69,23.56,24.19,24.31,23.59,22.97,23.34,23.34,22.38,21.06,19.88,18.66,16.91,15.16,14.69,15.31,15.5,15.47,16.03,16.84,17.22,16.56,16.06,16.25,16.41,16.5,16.5,17.09,18.25,18.38,17.5,17.38,18.0,17.94,17.31,17.12,17.09,16.91,15.34,14.19,14.78,15.47,16.31,17.62,20.12,22.72,24.59,25.25,26.38,27.06,26.94,25.69,24.56,24.25,24.06,22.91,22.03,21.91,21.38,20.0,17.78,16.47,15.22,13.44,11.66,10.75,10.94,11.19,10.84,10.97,11.72,12.47,12.66,13.56,15.31,17.59,18.94,20.19,21.88,23.5,24.59,24.38,24.53,24.94,25.03,24.28,24.56,26.09,27.62,28.38,29.25,30.19,30.66,29.88,28.12,26.75,25.69,24.5,23.12,22.69,23.28,23.69,23.09,23.22,23.72,24.09,23.66,22.94,22.91,22.41,21.0,18.69,17.03,16.03,14.81,13.5,13.03,13.62,13.84,12.88,12.09,11.25,10.41,8.47,6.47,5.62,5.66,5.53,5.34,5.94,7.16,8.03,8.06,8.25,9.06,9.62,9.47,9.38,10.38,11.72,12.47,12.91,13.78,14.56,14.25,12.97,11.66,10.47,8.72,6.19,4.09,3.12,2.88,2.62,3.53,5.84,8.72,10.81,12.97,15.94,18.69,20.88,22.06,23.19,23.5,22.88,20.81,18.38,16.94,15.66,13.62,12.34,12.56,12.88,12.09,11.12,10.59,9.78,8.25,6.03,4.66,4.19,4.0,3.94,4.53,6.31,8.12,9.03,9.88,11.09,12.09,12.5,12.88,13.22,14.62,15.97,16.44,17.03,18.16,18.94,18.56,17.88,18.09,18.16,17.12,15.62,14.81,13.97,11.91,9.91,8.56,8.03,7.69,6.66,6.41,6.91,7.31,6.78,6.41,7.12,7.94,8.06,7.78,8.31,9.03,8.69,8.09,7.69,7.97,7.81,7.16,6.62,6.97,7.38,7.31,8.0,9.91,12.47,14.53,16.16,17.75,19.62,20.69,21.34,22.28,23.81,25.25,25.38,26.0,27.31,28.28,28.19,27.66,27.56,27.81,27.53,27.0,27.12,27.38,26.75,25.53,24.0,23.19,22.0,20.38,19.09,18.78,18.75,17.78,16.84,16.28,16.34,16.25,15.69,15.62,15.94,15.69,14.41,13.22,12.66,12.34,11.66,11.62,13.0,14.78,15.62,16.53,17.62,18.88,19.53,19.75,20.69,22.28,23.56,24.09,24.62,25.56,26.59,26.78,27.22,28.41,30.06,30.84,31.5,32.16,33.0,33.0,32.0,30.97,30.38,28.94,27.25,25.53,24.5,23.41,21.91,20.47,20.22,21.12,21.66,22.53,23.41,24.28,23.75,22.34,21.22,20.75,20.84,20.5,20.88,22.0,22.97,23.16,22.97,22.94,23.03,22.44,21.59,21.25,21.78,21.38,20.66,20.22,20.88,21.25,21.88,22.66,23.81,24.97,24.84,24.06,23.38,22.97,21.72,20.56,20.19,20.12,19.09,17.38,15.12,12.97,10.91,8.47,6.34,5.78,5.56,5.38,5.69,6.44,8.03,9.12,9.88,10.78,12.62,14.22,15.44,16.88,18.56,20.12,20.25,19.75,19.84,19.41,18.31,17.06,16.28,16.31,16.44,16.22,16.25,16.94,17.47,17.66,17.94,19.28,20.84,21.25,21.28,22.06,22.69,22.59,21.81,20.78,19.72,17.75,15.56,13.88,13.75,14.22,14.25,14.47,15.31,16.09,15.62,14.94,14.78,15.06,15.25,15.25,15.84,17.31,18.25,18.62,19.19,20.66,21.62,21.84,21.47,21.31,20.72,18.69,15.94,13.75,12.22,10.66,9.62,9.62,10.91,12.22,13.0,13.38,14.94,16.19,16.66,17.0,17.75,18.62,18.88,19.09,19.97,21.25,21.97,21.5,20.56,19.91,18.53,16.53,14.28,13.41,13.0,12.03,11.41,11.75,12.66,13.25,13.84,15.28,17.22,19.03,20.0,20.62,21.09,20.94,19.19,16.91,15.5,14.38,12.88,12.06,12.38,13.16,14.06,14.81,15.72,17.0,17.91,17.88,17.47,17.69,17.97,17.5,17.25,18.03,19.41,19.62,19.31,19.66,19.59,18.88,17.75,16.69,16.25,15.97,14.91,14.12,14.12,14.62,14.12,13.78,14.62,15.53,15.88,15.81,16.47,17.25,17.78,18.16,18.72,19.97,20.44,20.25,20.22,21.38,22.47,23.62,24.31,25.75,26.53,25.94,24.34,22.44,20.59,18.12,15.81,14.44,14.72,15.38,15.47,16.03,16.91,17.5,17.25,16.59,16.47,16.41,15.94,15.03,15.69,16.88,17.69,17.69,16.94,16.41,15.41,13.91,13.56,15.06,17.34,19.75,21.75,24.53,26.44,27.25,27.0,26.69,25.66,24.72,22.56,20.19,18.59,17.66,16.19,14.81,14.47,14.25,13.44,12.38,12.22,13.53,14.0,13.81,13.75,13.91,13.34,12.56,12.94,14.66,17.28,19.06,20.75,21.78,22.09,21.28,19.12,17.81,17.03,16.41,15.56,15.69,16.31,17.0,16.5,15.16,14.0,12.25,9.5,6.78,5.38,5.38,5.62,5.69,6.72,8.41,9.59,10.47,12.03,14.56,17.47,19.31,20.94,22.78,24.19,24.12,23.19,22.5,21.84,20.97,19.78,19.78,20.91,22.31,22.66,23.69,25.12,26.56,26.81,26.75,27.44,27.94,27.81,27.62,28.06,28.84,28.78,27.69,26.5,25.62,24.41,22.72,21.69,21.69,22.06,21.94,21.84,22.44,23.38,23.62,23.06,22.41,22.5,21.88,20.53,19.69,19.62,19.78,19.06,19.12,19.75,21.19,21.78,22.22,22.94,23.69,23.31,21.56,20.03,19.16,17.94,16.31,15.59,15.97,16.78,17.31,18.5,20.41,22.28,22.69,22.12,21.44,20.91,20.22,19.12,19.41,20.62,21.88,22.78,23.75,25.06,26.47,25.88,24.72,23.5,22.62,20.69,18.38,17.0,16.25,15.41,14.5,14.66,16.09,17.31,18.03,18.66,19.78,20.53,20.12,19.34,19.12,19.53,19.16,18.53,18.88,19.22,19.16,18.41,17.41,17.0,16.84,16.09,15.78,16.78,18.28,19.12,20.06,21.5,23.03,23.56,23.56,23.78,24.84,25.78,26.41,27.31,28.56,29.19,28.53,27.47,27.12,26.5,24.53,22.31,20.06,18.12,15.0,11.75,9.66,8.81,9.22,10.06,12.03,15.19,18.25,20.16,21.25,22.78,23.97,23.56,23.0,22.81,23.25,22.94,22.19,21.78,21.78,20.84,18.28,15.16,13.19,11.53,10.56,10.78,13.06,16.44,18.97,21.31,23.31,24.81,24.91,24.19,23.12,22.81,22.84,22.44,22.47,23.69,24.94,24.5,22.72,21.31,19.69,16.56,13.94,12.38,12.0,11.69,11.31,11.91,13.38,14.78,15.0,15.25,16.5,17.19,17.09,16.62,16.53,16.69,16.41,16.41,17.5,20.0,22.53,24.94,27.28,30.09,32.06,32.12,31.44,31.28,30.97,29.91,28.88,28.38,27.91,26.34,23.5,20.59,17.94,14.53,10.94,7.97,7.09,7.41,7.75,9.38,12.41,15.91,18.91,21.28,24.25,27.31,28.72,28.69,28.0,27.75,26.5,24.53,23.06,22.47,22.06,21.53,20.88,21.53,22.88,23.59,23.53,23.84,24.34,23.84,22.62,21.5,21.25,21.03,20.38,20.03,21.31,22.88,23.56,24.66,26.72,29.22,30.72,31.53,31.75,31.5,29.38,26.12,23.44,21.84,20.66,19.62,19.12,19.5,20.12,19.31,18.59,18.41,18.28,17.91,17.16,17.25,18.16,18.75,18.72,19.06,20.34,21.47,22.22,22.97,24.41,26.0,26.38,26.19,26.91,28.19,28.56,28.5,28.81,29.12,28.56,26.38,23.75,22.28,21.28,20.56,20.94,23.81,27.47,29.62,31.03,31.78,31.88,30.03,27.16,25.0,23.69,22.31,21.31,20.91,22.0,22.94,23.5,23.22,23.41,23.09,21.78,19.94,18.62,18.66,17.94,16.91,16.94,18.5,19.88,20.78,21.88,23.62,25.25,26.0,26.53,28.34,30.91,32.34,33.88,35.97,38.53,40.28,40.97,42.0,44.06,46.25,47.69,49.78,52.44,54.59,54.84,54.06,53.25,52.06,50.22,47.75,45.88,45.03,44.31,43.03,42.03,41.78,40.78,38.25,34.59,31.03,27.47,23.19,19.22,16.53,15.66,14.88,14.44,14.31,15.53,16.66,16.62,17.12,19.12,21.59,23.41,26.16,29.69,33.38,35.78,36.69,37.5,37.78,36.62,34.41,32.56,31.72,30.78,29.53,29.19,29.78,30.53,30.88,30.69,31.19,31.47,31.03,30.22,30.16,30.88,31.16,30.75,30.34,30.66,30.44,29.69,28.84,28.91,28.78,27.66,26.47,26.44,27.28,28.25,28.59,30.16,31.59,31.56,29.53,26.69,23.66,20.09,16.25,13.88,13.75,14.94,15.97,17.69,20.62,23.62,26.12,27.38,28.56,29.5,29.47,28.5,27.56,28.03,28.5,28.25,27.81,28.22,28.22,27.19,25.78,25.53,26.28,26.66,26.44,25.88,25.41,24.03,22.0,20.47,27.78,29.19,30.88,33.28,36.38,40.25,44.19,47.84,50.84,52.94,54.38,54.56,53.66,52.38,50.97,49.5,47.88,46.75,45.72,44.97,44.34,43.91,44.38,45.16,46.5,47.97,49.66,51.28,52.62,53.94,54.84,55.75,56.72,57.06,57.5,57.69,57.44,56.88,56.0,54.88,53.38,52.03:negativity
11.25,8.47,6.97,8.31,9.53,9.22,10.5,14.66,18.88,20.31,19.72,20.16,19.97,17.56,13.84,12.12,13.34,14.59,14.5,15.69,19.19,21.81,21.28,19.88,19.81,20.0,17.75,14.72,14.16,15.38,15.5,13.84,13.12,14.41,14.56,12.72,11.62,13.16,15.88,16.88,18.19,21.62,25.69,26.53,24.31,22.5,21.5,19.25,15.91,14.41,15.53,16.62,15.28,13.75,13.94,14.44,13.12,11.75,12.78,14.97,15.78,14.22,13.28,13.69,13.56,11.78,11.41,13.88,16.41,16.5,15.91,16.91,17.97,16.28,13.47,12.19,12.31,10.84,7.91,6.06,6.47,6.31,3.94,2.41,3.66,5.66,5.66,5.38,6.84,8.75,8.22,6.12,5.62,6.75,6.75,5.09,4.5,6.16,7.97,6.97,6.62,7.94,9.91,8.66,6.66,6.06,6.31,5.06,2.84,2.75,5.84,8.56,9.62,11.03,13.69,15.22,12.75,9.75,8.84,8.88,7.0,4.16,3.41,3.47,2.09,-0.5,-2.06,-1.44,-0.72,-1.81,-2.28,0.06,3.25,4.47,4.97,7.09,9.53,9.56,7.72,6.56,6.91,6.62,4.72,4.47,7.06,9.78,10.31,10.38,11.88,13.5,11.75,9.31,8.78,9.94,9.5,8.03,7.75,9.25,10.03,8.44,8.12,10.56,12.94,13.44,14.12,16.75,19.75,20.56,19.66,19.59,20.72,20.5,18.06,16.75,17.53,18.06,16.31,14.38,14.88,15.88,14.34,12.38,13.06,14.44,13.97,12.16,11.53,12.41,12.03,10.16,9.06,10.62,12.38,12.44,12.25,14.12,16.28,15.97,14.09,13.59,14.19,12.62,9.66,8.25,9.62,11.0,10.94,11.94,14.97,18.06,18.38,18.38,19.91,21.66,20.91,18.06,16.12,15.41,13.38,10.53,9.19,10.78,12.12,11.69,11.22,12.62,14.03,13.44,12.22,13.38,15.78,17.19,17.34,18.28,20.59,20.94,18.91,16.62,16.56,15.81,13.12,10.41,10.53,11.94,11.16,9.84,10.31,12.12,12.88,12.47,13.25,16.12,18.12,17.62,16.41,17.03,18.28,17.0,15.31,16.0,17.53,16.91,14.5,13.5,13.78,13.94,12.75,13.62,17.44,20.72,21.38,21.44,23.28,24.25,23.0,20.28,19.5,20.06,19.31,17.59,17.25,18.69,18.91,17.12,16.19,17.53,18.88,17.88,16.25,16.66,17.25,15.69,12.78,11.59,12.06,11.56,9.81,9.28,11.16,12.19,11.12,10.34,12.09,14.31,14.94,15.03,17.12,19.69,19.72,17.5,15.94,15.72,14.59,11.84,10.72,12.75,15.09,14.84,14.31,15.72,17.12,16.44,15.22,16.38,18.56,19.38,17.62,16.78,17.25,16.0,11.94,8.09,6.69,5.47,3.34,2.03,4.34,8.38,10.81,12.84,16.16,20.53,23.31,23.56,24.22,26.25,27.06,24.94,22.25,21.56,20.88,17.75,14.03,12.94,13.47,12.84,11.28,11.78,14.03,15.38,14.38,14.06,15.59,16.91,15.31,13.31,13.47,13.91,12.06,9.44,9.03,10.12,10.66,9.97,10.78,13.59,15.16,13.53,11.34,10.62,9.44,6.38,3.22,3.91,7.03,9.16,11.03,14.53,18.56,20.0,18.97,18.56,20.06,21.16,19.56,17.56,17.66,17.0,14.19,10.44,9.28,9.59,8.62,6.81,6.62,8.41,9.06,7.31,6.19,7.34,8.28,7.0,6.25,8.5,12.03,13.84,14.44,16.75,19.75,20.94,19.84,19.53,21.0,20.88,18.16,15.44,14.62,14.0,11.84,9.75,10.19,11.84,11.47,9.38,8.78,10.12,10.25,8.88,8.97,11.66,14.5,14.91,15.38,17.91,19.75,18.34,15.75,15.0,15.59,15.31,14.28,15.12,17.5,18.28,16.12,14.03,13.59,13.25,11.09,9.59,11.09,13.53,13.81,12.44,11.97,12.62,11.78,9.53,9.53,11.88,13.38,12.28,10.97,10.81,10.12,6.72,3.41,2.59,3.56,3.56,3.19,5.16,8.81,10.75,10.28,10.06,11.5,11.97,10.0,8.34,9.5,10.88,10.34,9.5,10.38,12.09,11.69,9.44,8.19,9.12,9.0,6.97,5.75,6.47,6.69,4.62,2.41,2.62,3.91,3.16,1.66,1.91,2.94,2.22,-0.25,-1.75,-0.59,0.09,-1.06,-1.72,-0.25,1.53,0.41,-0.75,0.19,2.56,2.97,2.0,2.56,4.81,4.59,2.22,0.06,1.03,2.0,1.19,1.47,4.09,6.84,6.94,5.81,6.22,7.84,7.34,5.41,4.62,6.16,6.22,4.59,3.66,5.03,6.34,5.12,3.28,3.91,5.34,4.16,2.47,3.0,5.38,6.12,5.72,6.31,8.94,10.03,8.66,7.03,7.25,7.47,5.12,2.66,2.0,2.62,1.25,-1.09,-0.88,0.62,1.88,1.25,1.28,3.0,3.59,1.41,-0.53,0.38,2.31,2.62,2.44,3.84,5.38,4.06,0.44,-1.88,-1.75,-2.0,-3.25,-2.81,0.53,3.09,3.09,2.06,2.56,3.94,2.78,1.06,1.41,3.25,3.12,1.5,0.56,1.72,2.16,0.53,-0.69,1.09,3.53,3.72,3.69,6.03,8.66,8.53,6.72,5.84,5.94,4.06,0.38,-2.19,-1.84,-1.25,-2.72,-4.16,-3.41,-2.69,-4.09,-6.28,-5.78,-3.38,-2.25,-2.62,-1.66,1.78,4.03,4.03,4.19,6.34,7.94,6.12,3.91,4.06,4.62,2.72,-0.38,-1.5,-1.0,-1.88,-3.94,-4.66,-3.16,-2.34,-3.19,-3.09,-0.12,3.28,3.69,3.47,4.94,6.28,5.25,2.94,2.28,3.16,2.69,0.44,-0.44,1.09,2.19,1.16,0.59,2.72,5.12,5.47,4.88,6.62,8.75,8.41,5.59,4.12,4.44,4.28,2.66,2.72,5.12,7.0,6.0,4.19,4.56,5.22,3.56,0.81,-0.06,0.25,-0.91,-3.38,-4.41,-2.66,-1.19,-1.03,-0.03,3.78,7.5,8.41,8.03,9.25,10.56,9.72,7.97,8.16,10.0,10.66,8.62,7.66,8.53,8.5,5.94,3.66,3.53,3.38,1.28,-1.5,-2.16,-1.97,-3.22,-5.78,-6.59,-5.47,-4.91,-6.34,-6.78,-4.31,-1.72,-1.31,-1.0,1.75,4.97,5.41,4.97,6.94,9.84,11.09,10.41,9.94,10.75,10.16,6.53,3.41,2.78,2.12,-0.81,-3.72,-4.28,-3.59,-3.91,-5.03,-4.0,-1.22,-0.09,-0.78,-0.28,2.19,4.5,3.81,3.5,4.69,5.75,4.19,1.72,1.78,3.06,2.69,1.59,2.47,4.56,5.75,4.28,2.97,3.41,3.19,1.25,-0.16,1.22,3.69,3.66,2.25,2.06,2.47,1.38,-1.12,-1.75,-0.31,0.78,-0.25,-0.69,1.16,3.28,3.03,2.38,3.53,4.97,3.97,1.78,1.03,1.88,1.81,0.09,-0.06,1.81,3.62,3.41,3.47,5.53,7.78,7.41,6.19,6.25,7.41,6.5,4.25,3.62,4.78,4.91,3.25,2.38,3.56,4.56,3.03,2.03,3.16,5.38,6.16,6.56,9.28,13.66,16.38,16.5,16.59,17.12,15.88,12.16,9.66,9.94,11.0,10.19,8.72,8.62,8.41,5.84,1.94,-0.19,0.22,0.5,-0.22,0.66,3.81,6.47,6.28,5.75,7.22,8.5,6.72,4.5,4.09,4.78,4.06,2.56,3.16,5.88,7.69,7.56,7.59,9.94,11.47,10.72,9.78,11.12,13.22,13.03,12.12,12.62,13.81,13.03,9.78,7.09,6.47,5.09,1.88,0.06,1.12,2.97,3.34,3.91,6.66,10.06,11.09,10.62,11.06,12.88,13.31,12.09,11.56,13.12,14.19,12.41,10.69,11.09,11.03,8.28,4.62,2.94,3.03,1.97,0.81,1.47,4.06,5.66,5.25,5.62,8.06,10.59,10.78,10.44,11.38,12.25,10.31,6.81,4.94,4.84,3.34,1.25,1.0,3.28,5.34,5.53,6.12,9.09,11.59,11.69,10.78,11.62,12.59,11.28,8.78,7.72,8.59,7.97,5.66,3.69,3.88,4.06,2.5,1.56,3.91,6.94,7.75,7.91,9.59,11.66,11.69,10.28,9.94,11.06,11.06,9.03,7.34,7.91,8.06,5.84,3.31,2.72,2.78,0.88,-1.53,-1.91,-0.75,-0.5,-1.66,-1.31,1.5,3.84,4.19,4.81,7.56,10.03,9.34,8.0,8.12,8.72,7.0,3.81,2.03,1.72,0.69,-1.81,-3.44,-2.28,-1.84,-3.5,-5.53,-4.41,-2.94,-3.09,-4.16,-3.06,-1.12,-1.12,-2.78,-3.16,-2.0,-1.44,-2.62,-2.75,0.19,3.62,5.0,6.09,9.78,13.53,14.75,14.56,15.69,17.28,16.75,14.12,12.12,12.22,11.91,9.59,7.47,7.59,7.88,6.22,4.62,5.81,8.66,10.06,10.91,13.41,18.16,22.0,23.94,26.78,30.78,33.28,32.06,29.41,28.53,27.41,24.41,20.81,19.75,19.69,17.5,13.59,11.31,10.59,10.16,8.69,8.81,12.09,15.75,17.09,17.69,19.75,21.66,20.59,17.81,17.09,18.5,18.72,17.62,17.69,19.44,20.53,19.12,18.25,19.75,21.31,20.25,18.41,18.22,18.66,17.31,14.66,14.31,15.34,15.69,14.06,13.47,15.25,16.91,16.38,16.03,18.25,20.12,19.28,17.22,16.59,16.66,15.09,11.91,10.16,9.91,8.81,5.69,3.56,4.12,4.72,3.47,1.91,2.97,5.5,6.28,6.91,9.69,13.81,16.09,16.28,17.28,19.91,21.91,21.34,20.66,21.94,23.06,21.06,18.44,18.22,19.22,18.78,17.56,18.5,21.12,22.53,21.53,21.41,23.0,24.19,22.56,21.47,22.25,22.97,20.94,17.81:14.66,18.88,20.31,19.72,20.16,19.97,17.56,13.84,12.12,13.34,14.59,14.5,15.69,19.19,21.81,21.28,19.88,19.81,20.0,17.75,14.72,14.16,15.38,15.5,13.84,13.12,14.41,14.56,12.72,11.62,13.16,15.88,16.88,18.19,21.62,25.69,26.53,24.31,22.5,21.5,19.25,15.91,14.41,15.53,16.62,15.28,13.75,13.94,14.44,13.12,11.75,12.78,14.97,15.78,14.22,13.28,13.69,13.56,11.78,11.41,13.88,16.41,16.5,15.91,16.91,17.97,16.28,13.47,12.19,12.31,10.84,7.91,6.06,6.47,6.31,3.94,2.41,3.66,5.66,5.66,5.38,6.84,8.75,8.22,6.12,5.62,6.75,6.75,5.09,4.5,6.16,7.97,6.97,6.62,7.94,9.91,8.66,6.66,6.06,6.31,5.06,2.84,2.75,5.84,8.56,9.62,11.03,13.69,15.22,12.75,9.75,8.84,8.88,7.0,4.16,3.41,3.47,2.09,-0.5,-2.06,-1.44,-0.72,-1.81,-2.28,0.06,3.25,4.47,4.97,7.09,9.53,9.56,7.72,6.56,6.91,6.62,4.72,4.47,7.06,9.78,10.31,10.38,11.88,13.5,11.75,9.31,8.78,9.94,9.5,8.03,7.75,9.25,10.03,8.44,8.12,10.56,12.94,13.44,14.12,16.75,19.75,20.56,19.66,19.59,20.72,20.5,18.06,16.75,17.53,18.06,16.31,14.38,14.88,15.88,14.34,12.38,13.06,14.44,13.97,12.16,11.53,12.41,12.03,10.16,9.06,10.62,12.38,12.44,12.25,14.12,16.28,15.97,14.09,13.59,14.19,12.62,9.66,8.25,9.62,11.0,10.94,11.94,14.97,18.06,18.38,18.38,19.91,21.66,20.91,18.06,16.12,15.41,13.38,10.53,9.19,10.78,12.12,11.69,11.22,12.62,14.03,13.44,12.22,13.38,15.78,17.19,17.34,18.28,20.59,20.94,18.91,16.62,16.56,15.81,13.12,10.41,10.53,11.94,11.16,9.84,10.31,12.12,12.88,12.47,13.25,16.12,18.12,17.62,16.41,17.03,18.28,17.0,15.31,16.0,17.53,16.91,14.5,13.5,13.78,13.94,12.75,13.62,17.44,20.72,21.38,21.44,23.28,24.25,23.0,20.28,19.5,20.06,19.31,17.59,17.25,18.69,18.91,17.12,16.19,17.53,18.88,17.88,16.25,16.66,17.25,15.69,12.78,11.59,12.06,11.56,9.81,9.28,11.16,12.19,11.12,10.34,12.09,14.31,14.94,15.03,17.12,19.69,19.72,17.5,15.94,15.72,14.59,11.84,10.72,12.75,15.09,14.84,14.31,15.72,17.12,16.44,15.22,16.38,18.56,19.38,17.62,16.78,17.25,16.0,11.94,8.09,6.69,5.47,3.34,2.03,4.34,8.38,10.81,12.84,16.16,20.53,23.31,23.56,24.22,26.25,27.06,24.94,22.25,21.56,20.88,17.75,14.03,12.94,13.47,12.84,11.28,11.78,14.03,15.38,14.38,14.06,15.59,16.91,15.31,13.31,13.47,13.91,12.06,9.44,9.03,10.12,10.66,9.97,10.78,13.59,15.16,13.53,11.34,10.62,9.44,6.38,3.22,3.91,7.03,9.16,11.03,14.53,18.56,20.0,18.97,18.56,20.06,21.16,19.56,17.56,17.66,17.0,14.19,10.44,9.28,9.59,8.62,6.81,6.62,8.41,9.06,7.31,6.19,7.34,8.28,7.0,6.25,8.5,12.03,13.84,14.44,16.75,19.75,20.94,19.84,19.53,21.0,20.88,18.16,15.44,14.62,14.0,11.84,9.75,10.19,11.84,11.47,9.38,8.78,10.12,10.25,8.88,8.97,11.66,14.5,14.91,15.38,17.91,19.75,18.34,15.75,15.0,15.59,15.31,14.28,15.12,17.5,18.28,16.12,14.03,13.59,13.25,11.09,9.59,11.09,13.53,13.81,12.44,11.97,12.62,11.78,9.53,9.53,11.88,13.38,12.28,10.97,10.81,10.12,6.72,3.41,2.59,3.56,3.56,3.19,5.16,8.81,10.75,10.28,10.06,11.5,11.97,10.0,8.34,9.5,10.88,10.34,9.5,10.38,12.09,11.69,9.44,8.19,9.12,9.0,6.97,5.75,6.47,6.69,4.62,2.41,2.62,3.91,3.16,1.66,1.91,2.94,2.22,-0.25,-1.75,-0.59,0.09,-1.06,-1.72,-0.25,1.53,0.41,-0.75,0.19,2.56,2.97,2.0,2.56,4.81,4.59,2.22,0.06,1.03,2.0,1.19,1.47,4.09,6.84,6.94,5.81,6.22,7.84,7.34,5.41,4.62,6.16,6.22,4.59,3.66,5.03,6.34,5.12,3.28,3.91,5.34,4.16,2.47,3.0,5.38,6.12,5.72,6.31,8.94,10.03,8.66,7.03,7.25,7.47,5.12,2.66,2.0,2.62,1.25,-1.09,-0.88,0.62,1.88,1.25,1.28,3.0,3.59,1.41,-0.53,0.38,2.31,2.62,2.44,3.84,5.38,4.06,0.44,-1.88,-1.75,-2.0,-3.25,-2.81,0.53,3.09,3.09,2.06,2.56,3.94,2.78,1.06,1.41,3.25,3.12,1.5,0.56,1.72,2.16,0.53,-0.69,1.09,3.53,3.72,3.69,6.03,8.66,8.53,6.72,5.84,5.94,4.06,0.38,-2.19,-1.84,-1.25,-2.72,-4.16,-3.41,-2.69,-4.09,-6.28,-5.78,-3.38,-2.25,-2.62,-1.66,1.78,4.03,4.03,4.19,6.34,7.94,6.12,3.91,4.06,4.62,2.72,-0.38,-1.5,-1.0,-1.88,-3.94,-4.66,-3.16,-2.34,-3.19,-3.09,-0.12,3.28,3.69,3.47,4.94,6.28,5.25,2.94,2.28,3.16,2.69,0.44,-0.44,1.09,2.19,1.16,0.59,2.72,5.12,5.47,4.88,6.62,8.75,8.41,5.59,4.12,4.44,4.28,2.66,2.72,5.12,7.0,6.0,4.19,4.56,5.22,3.56,0.81,-0.06,0.25,-0.91,-3.38,-4.41,-2.66,-1.19,-1.03,-0.03,3.78,7.5,8.41,8.03,9.25,10.56,9.72,7.97,8.16,10.0,10.66,8.62,7.66,8.53,8.5,5.94,3.66,3.53,3.38,1.28,-1.5,-2.16,-1.97,-3.22,-5.78,-6.59,-5.47,-4.91,-6.34,-6.78,-4.31,-1.72,-1.31,-1.0,1.75,4.97,5.41,4.97,6.94,9.84,11.09,10.41,9.94,10.75,10.16,6.53,3.41,2.78,2.12,-0.81,-3.72,-4.28,-3.59,-3.91,-5.03,-4.0,-1.22,-0.09,-0.78,-0.28,2.19,4.5,3.81,3.5,4.69,5.75,4.19,1.72,1.78,3.06,2.69,1.59,2.47,4.56,5.75,4.28,2.97,3.41,3.19,1.25,-0.16,1.22,3.69,3.66,2.25,2.06,2.47,1.38,-1.12,-1.75,-0.31,0.78,-0.25,-0.69,1.16,3.28,3.03,2.38,3.53,4.97,3.97,1.78,1.03,1.88,1.81,0.09,-0.06,1.81,3.62,3.41,3.47,5.53,7.78,7.41,6.19,6.25,7.41,6.5,4.25,3.62,4.78,4.91,3.25,2.38,3.56,4.56,3.03,2.03,3.16,5.38,6.16,6.56,9.28,13.66,16.38,16.5,16.59,17.12,15.88,12.16,9.66,9.94,11.0,10.19,8.72,8.62,8.41,5.84,1.94,-0.19,0.22,0.5,-0.22,0.66,3.81,6.47,6.28,5.75,7.22,8.5,6.72,4.5,4.09,4.78,4.06,2.56,3.16,5.88,7.69,7.56,7.59,9.94,11.47,10.72,9.78,11.12,13.22,13.03,12.12,12.62,13.81,13.03,9.78,7.09,6.47,5.09,1.88,0.06,1.12,2.97,3.34,3.91,6.66,10.06,11.09,10.62,11.06,12.88,13.31,12.09,11.56,13.12,14.19,12.41,10.69,11.09,11.03,8.28,4.62,2.94,3.03,1.97,0.81,1.47,4.06,5.66,5.25,5.62,8.06,10.59,10.78,10.44,11.38,12.25,10.31,6.81,4.94,4.84,3.34,1.25,1.0,3.28,5.34,5.53,6.12,9.09,11.59,11.69,10.78,11.62,12.59,11.28,8.78,7.72,8.59,7.97,5.66,3.69,3.88,4.06,2.5,1.56,3.91,6.94,7.75,7.91,9.59,11.66,11.69,10.28,9.94,11.06,11.06,9.03,7.34,7.91,8.06,5.84,3.31,2.72,2.78,0.88,-1.53,-1.91,-0.75,-0.5,-1.66,-1.31,1.5,3.84,4.19,4.81,7.56,10.03,9.34,8.0,8.12,8.72,7.0,3.81,2.03,1.72,0.69,-1.81,-3.44,-2.28,-1.84,-3.5,-5.53,-4.41,-2.94,-3.09,-4.16,-3.06,-1.12,-1.12,-2.78,-3.16,-2.0,-1.44,-2.62,-2.75,0.19,3.62,5.0,6.09,9.78,13.53,14.75,14.56,15.69,17.28,16.75,14.12,12.12,12.22,11.91,9.59,7.47,7.59,7.88,6.22,4.62,5.81,8.66,10.06,10.91,13.41,18.16,22.0,23.94,26.78,30.78,33.28,32.06,29.41,28.53,27.41,24.41,20.81,19.75,19.69,17.5,13.59,11.31,10.59,10.16,8.69,8.81,12.09,15.75,17.09,17.69,19.75,21.66,20.59,17.81,17.09,18.5,18.72,17.62,17.69,19.44,20.53,19.12,18.25,19.75,21.31,20.25,18.41,18.22,18.66,17.31,14.66,14.31,15.34,15.69,14.06,13.47,15.25,16.91,16.38,16.03,18.25,20.12,19.28,17.22,16.59,16.66,15.09,11.91,10.16,9.91,8.81,5.69,3.56,4.12,4.72,3.47,1.91,2.97,5.5,6.28,6.91,9.69,13.81,16.09,16.28,17.28,19.91,21.91,21.34,20.66,21.94,23.06,21.06,18.44,18.22,19.22,18.78,17.56,18.5,21.12,22.53,21.53,21.41,23.0,24.19,22.56,21.47,22.25,22.97,20.94,17.81,26.06,23.47,22.03,22.22,22.78,22.47,23.66:13.84,12.12,13.34,14.59,14.5,15.69,19.19,21.81,21.28,19.88,19.81,20.0,17.75,14.72,14.16,15.38,15.5,13.84,13.12,14.41,14.56,12.72,11.62,13.16,15.88,16.88,18.19,21.62,25.69,26.53,24.31,22.5,21.5,19.25,15.91,14.41,15.53,16.62,15.28,13.75,13.94,14.44,13.12,11.75,12.78,14.97,15.78,14.22,13.28,13.69,13.56,11.78,11.41,13.88,16.41,16.5,15.91,16.91,17.97,16.28,13.47,12.19,12.31,10.84,7.91,6.06,6.47,6.31,3.94,2.41,3.66,5.66,5.66,5.38,6.84,8.75,8.22,6.12,5.62,6.75,6.75,5.09,4.5,6.16,7.97,6.97,6.62,7.94,9.91,8.66,6.66,6.06,6.31,5.06,2.84,2.75,5.84,8.56,9.62,11.03,13.69,15.22,12.75,9.75,8.84,8.88,7.0,4.16,3.41,3.47,2.09,-0.5,-2.06,-1.44,-0.72,-1.81,-2.28,0.06,3.25,4.47,4.97,7.09,9.53,9.56,7.72,6.56,6.91,6.62,4.72,4.47,7.06,9.78,10.31,10.38,11.88,13.5,11.75,9.31,8.78,9.94,9.5,8.03,7.75,9.25,10.03,8.44,8.12,10.56,12.94,13.44,14.12,16.75,19.75,20.56,19.66,19.59,20.72,20.5,18.06,16.75,17.53,18.06,16.31,14.38,14.88,15.88,14.34,12.38,13.06,14.44,13.97,12.16,11.53,12.41,12.03,10.16,9.06,10.62,12.38,12.44,12.25,14.12,16.28,15.97,14.09,13.59,14.19,12.62,9.66,8.25,9.62,11.0,10.94,11.94,14.97,18.06,18.38,18.38,19.91,21.66,20.91,18.06,16.12,15.41,13.38,10.53,9.19,10.78,12.12,11.69,11.22,12.62,14.03,13.44,12.22,13.38,15.78,17.19,17.34,18.28,20.59,20.94,18.91,16.62,16.56,15.81,13.12,10.41,10.53,11.94,11.16,9.84,10.31,12.12,12.88,12.47,13.25,16.12,18.12,17.62,16.41,17.03,18.28,17.0,15.31,16.0,17.53,16.91,14.5,13.5,13.78,13.94,12.75,13.62,17.44,20.72,21.38,21.44,23.28,24.25,23.0,20.28,19.5,20.06,19.31,17.59,17.25,18.69,18.91,17.12,16.19,17.53,18.88,17.88,16.25,16.66,17.25,15.69,12.78,11.59,12.06,11.56,9.81,9.28,11.16,12.19,11.12,10.34,12.09,14.31,14.94,15.03,17.12,19.69,19.72,17.5,15.94,15.72,14.59,11.84,10.72,12.75,15.09,14.84,14.31,15.72,17.12,16.44,15.22,16.38,18.56,19.38,17.62,16.78,17.25,16.0,11.94,8.09,6.69,5.47,3.34,2.03,4.34,8.38,10.81,12.84,16.16,20.53,23.31,23.56,24.22,26.25,27.06,24.94,22.25,21.56,20.88,17.75,14.03,12.94,13.47,12.84,11.28,11.78,14.03,15.38,14.38,14.06,15.59,16.91,15.31,13.31,13.47,13.91,12.06,9.44,9.03,10.12,10.66,9.97,10.78,13.59,15.16,13.53,11.34,10.62,9.44,6.38,3.22,3.91,7.03,9.16,11.03,14.53,18.56,20.0,18.97,18.56,20.06,21.16,19.56,17.56,17.66,17.0,14.19,10.44,9.28,9.59,8.62,6.81,6.62,8.41,9.06,7.31,6.19,7.34,8.28,7.0,6.25,8.5,12.03,13.84,14.44,16.75,19.75,20.94,19.84,19.53,21.0,20.88,18.16,15.44,14.62,14.0,11.84,9.75,10.19,11.84,11.47,9.38,8.78,10.12,10.25,8.88,8.97,11.66,14.5,14.91,15.38,17.91,19.75,18.34,15.75,15.0,15.59,15.31,14.28,15.12,17.5,18.28,16.12,14.03,13.59,13.25,11.09,9.59,11.09,13.53,13.81,12.44,11.97,12.62,11.78,9.53,9.53,11.88,13.38,12.28,10.97,10.81,10.12,6.72,3.41,2.59,3.56,3.56,3.19,5.16,8.81,10.75,10.28,10.06,11.5,11.97,10.0,8.34,9.5,10.88,10.34,9.5,10.38,12.09,11.69,9.44,8.19,9.12,9.0,6.97,5.75,6.47,6.69,4.62,2.41,2.62,3.91,3.16,1.66,1.91,2.94,2.22,-0.25,-1.75,-0.59,0.09,-1.06,-1.72,-0.25,1.53,0.41,-0.75,0.19,2.56,2.97,2.0,2.56,4.81,4.59,2.22,0.06,1.03,2.0,1.19,1.47,4.09,6.84,6.94,5.81,6.22,7.84,7.34,5.41,4.62,6.16,6.22,4.59,3.66,5.03,6.34,5.12,3.28,3.91,5.34,4.16,2.47,3.0,5.38,6.12,5.72,6.31,8.94,10.03,8.66,7.03,7.25,7.47,5.12,2.66,2.0,2.62,1.25,-1.09,-0.88,0.62,1.88,1.25,1.28,3.0,3.59,1.41,-0.53,0.38,2.31,2.62,2.44,3.84,5.38,4.06,0.44,-1.88,-1.75,-2.0,-3.25,-2.81,0.53,3.09,3.09,2.06,2.56,3.94,2.78,1.06,1.41,3.25,3.12,1.5,0.56,1.72,2.16,0.53,-0.69,1.09,3.53,3.72,3.69,6.03,8.66,8.53,6.72,5.84,5.94,4.06,0.38,-2.19,-1.84,-1.25,-2.72,-4.16,-3.41,-2.69,-4.09,-6.28,-5.78,-3.38,-2.25,-2.62,-1.66,1.78,4.03,4.03,4.19,6.34,7.94,6.12,3.91,4.06,4.62,2.72,-0.38,-1.5,-1.0,-1.88,-3.94,-4.66,-3.16,-2.34,-3.19,-3.09,-0.12,3.28,3.69,3.47,4.94,6.28,5.25,2.94,2.28,3.16,2.69,0.44,-0.44,1.09,2.19,1.16,0.59,2.72,5.12,5.47,4.88,6.62,8.75,8.41,5.59,4.12,4.44,4.28,2.66,2.72,5.12,7.0,6.0,4.19,4.56,5.22,3.56,0.81,-0.06,0.25,-0.91,-3.38,-4.41,-2.66,-1.19,-1.03,-0.03,3.78,7.5,8.41,8.03,9.25,10.56,9.72,7.97,8.16,10.0,10.66,8.62,7.66,8.53,8.5,5.94,3.66,3.53,3.38,1.28,-1.5,-2.16,-1.97,-3.22,-5.78,-6.59,-5.47,-4.91,-6.34,-6.78,-4.31,-1.72,-1.31,-1.0,1.75,4.97,5.41,4.97,6.94,9.84,11.09,10.41,9.94,10.75,10.16,6.53,3.41,2.78,2.12,-0.81,-3.72,-4.28,-3.59,-3.91,-5.03,-4.0,-1.22,-0.09,-0.78,-0.28,2.19,4.5,3.81,3.5,4.69,5.75,4.19,1.72,1.78,3.06,2.69,1.59,2.47,4.56,5.75,4.28,2.97,3.41,3.19,1.25,-0.16,1.22,3.69,3.66,2.25,2.06,2.47,1.38,-1.12,-1.75,-0.31,0.78,-0.25,-0.69,1.16,3.28,3.03,2.38,3.53,4.97,3.97,1.78,1.03,1.88,1.81,0.09,-0.06,1.81,3.62,3.41,3.47,5.53,7.78,7.41,6.19,6.25,7.41,6.5,4.25,3.62,4.78,4.91,3.25,2.38,3.56,4.56,3.03,2.03,3.16,5.38,6.16,6.56,9.28,13.66,16.38,16.5,16.59,17.12,15.88,12.16,9.66,9.94,11.0,10.19,8.72,8.62,8.41,5.84,1.94,-0.19,0.22,0.5,-0.22,0.66,3.81,6.47,6.28,5.75,7.22,8.5,6.72,4.5,4.09,4.78,4.06,2.56,3.16,5.88,7.69,7.56,7.59,9.94,11.47,10.72,9.78,11.12,13.22,13.03,12.12,12.62,13.81,13.03,9.78,7.09,6.47,5.09,1.88,0.06,1.12,2.97,3.34,3.91,6.66,10.06,11.09,10.62,11.06,12.88,13.31,12.09,11.56,13.12,14.19,12.41,10.69,11.09,11.03,8.28,4.62,2.94,3.03,1.97,0.81,1.47,4.06,5.66,5.25,5.62,8.06,10.59,10.78,10.44,11.38,12.25,10.31,6.81,4.94,4.84,3.34,1.25,1.0,3.28,5.34,5.53,6.12,9.09,11.59,11.69,10.78,11.62,12.59,11.28,8.78,7.72,8.59,7.97,5.66,3.69,3.88,4.06,2.5,1.56,3.91,6.94,7.75,7.91,9.59,11.66,11.69,10.28,9.94,11.06,11.06,9.03,7.34,7.91,8.06,5.84,3.31,2.72,2.78,0.88,-1.53,-1.91,-0.75,-0.5,-1.66,-1.31,1.5,3.84,4.19,4.81,7.56,10.03,9.34,8.0,8.12,8.72,7.0,3.81,2.03,1.72,0.69,-1.81,-3.44,-2.28,-1.84,-3.5,-5.53,-4.41,-2.94,-3.09,-4.16,-3.06,-1.12,-1.12,-2.78,-3.16,-2.0,-1.44,-2.62,-2.75,0.19,3.62,5.0,6.09,9.78,13.53,14.75,14.56,15.69,17.28,16.75,14.12,12.12,12.22,11.91,9.59,7.47,7.59,7.88,6.22,4.62,5.81,8.66,10.06,10.91,13.41,18.16,22.0,23.94,26.78,30.78,33.28,32.06,29.41,28.53,27.41,24.41,20.81,19.75,19.69,17.5,13.59,11.31,10.59,10.16,8.69,8.81,12.09,15.75,17.09,17.69,19.75,21.66,20.59,17.81,17.09,18.5,18.72,17.62,17.69,19.44,20.53,19.12,18.25,19.75,21.31,20.25,18.41,18.22,18.66,17.31,14.66,14.31,15.34,15.69,14.06,13.47,15.25,16.91,16.38,16.03,18.25,20.12,19.28,17.22,16.59,16.66,15.09,11.91,10.16,9.91,8.81,5.69,3.56,4.12,4.72,3.47,1.91,2.97,5.5,6.28,6.91,9.69,13.81,16.09,16.28,17.28,19.91,21.91,21.34,20.66,21.94,23.06,21.06,18.44,18.22,19.22,18.78,17.56,18.5,21.12,22.53,21.53,21.41,23.0,24.19,22.56,21.47,22.25,22.97,20.94,17.81,26.06,23.47,22.03,22.22,22.78,22.47,23.66,27.16,30.81,32.78,33.25,33.66,33.25,31.19:21.81,21.28,19.88,19.81,20.0,17.75,14.72,14.16,15.38,15.5,13.84,13.12,14.41,14.56,12.72,11.62,13.16,15.88,16.88,18.19,21.62,25.69,26.53,24.31,22.5,21.5,19.25,15.91,14.41,15.53,16.62,15.28,13.75,13.94,14.44,13.12,11.75,12.78,14.97,15.78,14.22,13.28,13.69,13.56,11.78,11.41,13.88,16.41,16.5,15.91,16.91,17.97,16.28,13.47,12.19,12.31,10.84,7.91,6.06,6.47,6.31,3.94,2.41,3.66,5.66,5.66,5.38,6.84,8.75,8.22,6.12,5.62,6.75,6.75,5.09,4.5,6.16,7.97,6.97,6.62,7.94,9.91,8.66,6.66,6.06,6.31,5.06,2.84,2.75,5.84,8.56,9.62,11.03,13.69,15.22,12.75,9.75,8.84,8.88,7.0,4.16,3.41,3.47,2.09,-0.5,-2.06,-1.44,-0.72,-1.81,-2.28,0.06,3.25,4.47,4.97,7.09,9.53,9.56,7.72,6.56,6.91,6.62,4.72,4.47,7.06,9.78,10.31,10.38,11.88,13.5,11.75,9.31,8.78,9.94,9.5,8.03,7.75,9.25,10.03,8.44,8.12,10.56,12.94,13.44,14.12,16.75,19.75,20.56,19.66,19.59,20.72,20.5,18.06,16.75,17.53,18.06,16.31,14.38,14.88,15.88,14.34,12.38,13.06,14.44,13.97,12.16,11.53,12.41,12.03,10.16,9.06,10.62,12.38,12.44,12.25,14.12,16.28,15.97,14.09,13.59,14.19,12.62,9.66,8.25,9.62,11.0,10.94,11.94,14.97,18.06,18.38,18.38,19.91,21.66,20.91,18.06,16.12,15.41,13.38,10.53,9.19,10.78,12.12,11.69,11.22,12.62,14.03,13.44,12.22,13.38,15.78,17.19,17.34,18.28,20.59,20.94,18.91,16.62,16.56,15.81,13.12,10.41,10.53,11.94,11.16,9.84,10.31,12.12,12.88,12.47,13.25,16.12,18.12,17.62,16.41,17.03,18.28,17.0,15.31,16.0,17.53,16.91,14.5,13.5,13.78,13.94,12.75,13.62,17.44,20.72,21.38,21.44,23.28,24.25,23.0,20.28,19.5,20.06,19.31,17.59,17.25,18.69,18.91,17.12,16.19,17.53,18.88,17.88,16.25,16.66,17.25,15.69,12.78,11.59,12.06,11.56,9.81,9.28,11.16,12.19,11.12,10.34,12.09,14.31,14.94,15.03,17.12,19.69,19.72,17.5,15.94,15.72,14.59,11.84,10.72,12.75,15.09,14.84,14.31,15.72,17.12,16.44,15.22,16.38,18.56,19.38,17.62,16.78,17.25,16.0,11.94,8.09,6.69,5.47,3.34,2.03,4.34,8.38,10.81,12.84,16.16,20.53,23.31,23.56,24.22,26.25,27.06,24.94,22.25,21.56,20.88,17.75,14.03,12.94,13.47,12.84,11.28,11.78,14.03,15.38,14.38,14.06,15.59,16.91,15.31,13.31,13.47,13.91,12.06,9.44,9.03,10.12,10.66,9.97,10.78,13.59,15.16,13.53,11.34,10.62,9.44,6.38,3.22,3.91,7.03,9.16,11.03,14.53,18.56,20.0,18.97,18.56,20.06,21.16,19.56,17.56,17.66,17.0,14.19,10.44,9.28,9.59,8.62,6.81,6.62,8.41,9.06,7.31,6.19,7.34,8.28,7.0,6.25,8.5,12.03,13.84,14.44,16.75,19.75,20.94,19.84,19.53,21.0,20.88,18.16,15.44,14.62,14.0,11.84,9.75,10.19,11.84,11.47,9.38,8.78,10.12,10.25,8.88,8.97,11.66,14.5,14.91,15.38,17.91,19.75,18.34,15.75,15.0,15.59,15.31,14.28,15.12,17.5,18.28,16.12,14.03,13.59,13.25,11.09,9.59,11.09,13.53,13.81,12.44,11.97,12.62,11.78,9.53,9.53,11.88,13.38,12.28,10.97,10.81,10.12,6.72,3.41,2.59,3.56,3.56,3.19,5.16,8.81,10.75,10.28,10.06,11.5,11.97,10.0,8.34,9.5,10.88,10.34,9.5,10.38,12.09,11.69,9.44,8.19,9.12,9.0,6.97,5.75,6.47,6.69,4.62,2.41,2.62,3.91,3.16,1.66,1.91,2.94,2.22,-0.25,-1.75,-0.59,0.09,-1.06,-1.72,-0.25,1.53,0.41,-0.75,0.19,2.56,2.97,2.0,2.56,4.81,4.59,2.22,0.06,1.03,2.0,1.19,1.47,4.09,6.84,6.94,5.81,6.22,7.84,7.34,5.41,4.62,6.16,6.22,4.59,3.66,5.03,6.34,5.12,3.28,3.91,5.34,4.16,2.47,3.0,5.38,6.12,5.72,6.31,8.94,10.03,8.66,7.03,7.25,7.47,5.12,2.66,2.0,2.62,1.25,-1.09,-0.88,0.62,1.88,1.25,1.28,3.0,3.59,1.41,-0.53,0.38,2.31,2.62,2.44,3.84,5.38,4.06,0.44,-1.88,-1.75,-2.0,-3.25,-2.81,0.53,3.09,3.09,2.06,2.56,3.94,2.78,1.06,1.41,3.25,3.12,1.5,0.56,1.72,2.16,0.53,-0.69,1.09,3.53,3.72,3.69,6.03,8.66,8.53,6.72,5.84,5.94,4.06,0.38,-2.19,-1.84,-1.25,-2.72,-4.16,-3.41,-2.69,-4.09,-6.28,-5.78,-3.38,-2.25,-2.62,-1.66,1.78,4.03,4.03,4.19,6.34,7.94,6.12,3.91,4.06,4.62,2.72,-0.38,-1.5,-1.0,-1.88,-3.94,-4.66,-3.16,-2.34,-3.19,-3.09,-0.12,3.28,3.69,3.47,4.94,6.28,5.25,2.94,2.28,3.16,2.69,0.44,-0.44,1.09,2.19,1.16,0.59,2.72,5.12,5.47,4.88,6.62,8.75,8.41,5.59,4.12,4.44,4.28,2.66,2.72,5.12,7.0,6.0,4.19,4.56,5.22,3.56,0.81,-0.06,0.25,-0.91,-3.38,-4.41,-2.66,-1.19,-1.03,-0.03,3.78,7.5,8.41,8.03,9.25,10.56,9.72,7.97,8.16,10.0,10.66,8.62,7.66,8.53,8.5,5.94,3.66,3.53,3.38,1.28,-1.5,-2.16,-1.97,-3.22,-5.78,-6.59,-5.47,-4.91,-6.34,-6.78,-4.31,-1.72,-1.31,-1.0,1.75,4.97,5.41,4.97,6.94,9.84,11.09,10.41,9.94,10.75,10.16,6.53,3.41,2.78,2.12,-0.81,-3.72,-4.28,-3.59,-3.91,-5.03,-4.0,-1.22,-0.09,-0.78,-0.28,2.19,4.5,3.81,3.5,4.69,5.75,4.19,1.72,1.78,3.06,2.69,1.59,2.47,4.56,5.75,4.28,2.97,3.41,3.19,1.25,-0.16,1.22,3.69,3.66,2.25,2.06,2.47,1.38,-1.12,-1.75,-0.31,0.78,-0.25,-0.69,1.16,3.28,3.03,2.38,3.53,4.97,3.97,1.78,1.03,1.88,1.81,0.09,-0.06,1.81,3.62,3.41,3.47,5.53,7.78,7.41,6.19,6.25,7.41,6.5,4.25,3.62,4.78,4.91,3.25,2.38,3.56,4.56,3.03,2.03,3.16,5.38,6.16,6.56,9.28,13.66,16.38,16.5,16.59,17.12,15.88,12.16,9.66,9.94,11.0,10.19,8.72,8.62,8.41,5.84,1.94,-0.19,0.22,0.5,-0.22,0.66,3.81,6.47,6.28,5.75,7.22,8.5,6.72,4.5,4.09,4.78,4.06,2.56,3.16,5.88,7.69,7.56,7.59,9.94,11.47,10.72,9.78,11.12,13.22,13.03,12.12,12.62,13.81,13.03,9.78,7.09,6.47,5.09,1.88,0.06,1.12,2.97,3.34,3.91,6.66,10.06,11.09,10.62,11.06,12.88,13.31,12.09,11.56,13.12,14.19,12.41,10.69,11.09,11.03,8.28,4.62,2.94,3.03,1.97,0.81,1.47,4.06,5.66,5.25,5.62,8.06,10.59,10.78,10.44,11.38,12.25,10.31,6.81,4.94,4.84,3.34,1.25,1.0,3.28,5.34,5.53,6.12,9.09,11.59,11.69,10.78,11.62,12.59,11.28,8.78,7.72,8.59,7.97,5.66,3.69,3.88,4.06,2.5,1.56,3.91,6.94,7.75,7.91,9.59,11.66,11.69,10.28,9.94,11.06,11.06,9.03,7.34,7.91,8.06,5.84,3.31,2.72,2.78,0.88,-1.53,-1.91,-0.75,-0.5,-1.66,-1.31,1.5,3.84,4.19,4.81,7.56,10.03,9.34,8.0,8.12,8.72,7.0,3.81,2.03,1.72,0.69,-1.81,-3.44,-2.28,-1.84,-3.5,-5.53,-4.41,-2.94,-3.09,-4.16,-3.06,-1.12,-1.12,-2.78,-3.16,-2.0,-1.44,-2.62,-2.75,0.19,3.62,5.0,6.09,9.78,13.53,14.75,14.56,15.69,17.28,16.75,14.12,12.12,12.22,11.91,9.59,7.47,7.59,7.88,6.22,4.62,5.81,8.66,10.06,10.91,13.41,18.16,22.0,23.94,26.78,30.78,33.28,32.06,29.41,28.53,27.41,24.41,20.81,19.75,19.69,17.5,13.59,11.31,10.59,10.16,8.69,8.81,12.09,15.75,17.09,17.69,19.75,21.66,20.59,17.81,17.09,18.5,18.72,17.62,17.69,19.44,20.53,19.12,18.25,19.75,21.31,20.25,18.41,18.22,18.66,17.31,14.66,14.31,15.34,15.69,14.06,13.47,15.25,16.91,16.38,16.03,18.25,20.12,19.28,17.22,16.59,16.66,15.09,11.91,10.16,9.91,8.81,5.69,3.56,4.12,4.72,3.47,1.91,2.97,5.5,6.28,6.91,9.69,13.81,16.09,16.28,17.28,19.91,21.91,21.34,20.66,21.94,23.06,21.06,18.44,18.22,19.22,18.78,17.56,18.5,21.12,22.53,21.53,21.41,23.0,24.19,22.56,21.47,22.25,22.97,20.94,17.81,26.06,23.47,22.03,22.22,22.78,22.47,23.66,27.16,30.81,32.78,33.25,33.66,33.25,31.19,28.19,26.94,28.16,29.59,30.28,32.06,35.16:14.16,15.38,15.5,13.84,13.12,14.41,14.56,12.72,11.62,13.16,15.88,16.88,18.19,21.62,25.69,26.53,24.31,22.5,21.5,19.25,15.91,14.41,15.53,16.62,15.28,13.75,13.94,14.44,13.12,11.75,12.78,14.97,15.78,14.22,13.28,13.69,13.56,11.78,11.41,13.88,16.41,16.5,15.91,16.91,17.97,16.28,13.47,12.19,12.31,10.84,7.91,6.06,6.47,6.31,3.94,2.41,3.66,5.66,5.66,5.38,6.84,8.75,8.22,6.12,5.62,6.75,6.75,5.09,4.5,6.16,7.97,6.97,6.62,7.94,9.91,8.66,6.66,6.06,6.31,5.06,2.84,2.75,5.84,8.56,9.62,11.03,13.69,15.22,12.75,9.75,8.84,8.88,7.0,4.16,3.41,3.47,2.09,-0.5,-2.06,-1.44,-0.72,-1.81,-2.28,0.06,3.25,4.47,4.97,7.09,9.53,9.56,7.72,6.56,6.91,6.62,4.72,4.47,7.06,9.78,10.31,10.38,11.88,13.5,11.75,9.31,8.78,9.94,9.5,8.03,7.75,9.25,10.03,8.44,8.12,10.56,12.94,13.44,14.12,16.75,19.75,20.56,19.66,19.59,20.72,20.5,18.06,16.75,17.53,18.06,16.31,14.38,14.88,15.88,14.34,12.38,13.06,14.44,13.97,12.16,11.53,12.41,12.03,10.16,9.06,10.62,12.38,12.44,12.25,14.12,16.28,15.97,14.09,13.59,14.19,12.62,9.66,8.25,9.62,11.0,10.94,11.94,14.97,18.06,18.38,18.38,19.91,21.66,20.91,18.06,16.12,15.41,13.38,10.53,9.19,10.78,12.12,11.69,11.22,12.62,14.03,13.44,12.22,13.38,15.78,17.19,17.34,18.28,20.59,20.94,18.91,16.62,16.56,15.81,13.12,10.41,10.53,11.94,11.16,9.84,10.31,12.12,12.88,12.47,13.25,16.12,18.12,17.62,16.41,17.03,18.28,17.0,15.31,16.0,17.53,16.91,14.5,13.5,13.78,13.94,12.75,13.62,17.44,20.72,21.38,21.44,23.28,24.25,23.0,20.28,19.5,20.06,19.31,17.59,17.25,18.69,18.91,17.12,16.19,17.53,18.88,17.88,16.25,16.66,17.25,15.69,12.78,11.59,12.06,11.56,9.81,9.28,11.16,12.19,11.12,10.34,12.09,14.31,14.94,15.03,17.12,19.69,19.72,17.5,15.94,15.72,14.59,11.84,10.72,12.75,15.09,14.84,14.31,15.72,17.12,16.44,15.22,16.38,18.56,19.38,17.62,16.78,17.25,16.0,11.94,8.09,6.69,5.47,3.34,2.03,4.34,8.38,10.81,12.84,16.16,20.53,23.31,23.56,24.22,26.25,27.06,24.94,22.25,21.56,20.88,17.75,14.03,12.94,13.47,12.84,11.28,11.78,14.03,15.38,14.38,14.06,15.59,16.91,15.31,13.31,13.47,13.91,12.06,9.44,9.03,10.12,10.66,9.97,10.78,13.59,15.16,13.53,11.34,10.62,9.44,6.38,3.22,3.91,7.03,9.16,11.03,14.53,18.56,20.0,18.97,18.56,20.06,21.16,19.56,17.56,17.66,17.0,14.19,10.44,9.28,9.59,8.62,6.81,6.62,8.41,9.06,7.31,6.19,7.34,8.28,7.0,6.25,8.5,12.03,13.84,14.44,16.75,19.75,20.94,19.84,19.53,21.0,20.88,18.16,15.44,14.62,14.0,11.84,9.75,10.19,11.84,11.47,9.38,8.78,10.12,10.25,8.88,8.97,11.66,14.5,14.91,15.38,17.91,19.75,18.34,15.75,15.0,15.59,15.31,14.28,15.12,17.5,18.28,16.12,14.03,13.59,13.25,11.09,9.59,11.09,13.53,13.81,12.44,11.97,12.62,11.78,9.53,9.53,11.88,13.38,12.28,10.97,10.81,10.12,6.72,3.41,2.59,3.56,3.56,3.19,5.16,8.81,10.75,10.28,10.06,11.5,11.97,10.0,8.34,9.5,10.88,10.34,9.5,10.38,12.09,11.69,9.44,8.19,9.12,9.0,6.97,5.75,6.47,6.69,4.62,2.41,2.62,3.91,3.16,1.66,1.91,2.94,2.22,-0.25,-1.75,-0.59,0.09,-1.06,-1.72,-0.25,1.53,0.41,-0.75,0.19,2.56,2.97,2.0,2.56,4.81,4.59,2.22,0.06,1.03,2.0,1.19,1.47,4.09,6.84,6.94,5.81,6.22,7.84,7.34,5.41,4.62,6.16,6.22,4.59,3.66,5.03,6.34,5.12,3.28,3.91,5.34,4.16,2.47,3.0,5.38,6.12,5.72,6.31,8.94,10.03,8.66,7.03,7.25,7.47,5.12,2.66,2.0,2.62,1.25,-1.09,-0.88,0.62,1.88,1.25,1.28,3.0,3.59,1.41,-0.53,0.38,2.31,2.62,2.44,3.84,5.38,4.06,0.44,-1.88,-1.75,-2.0,-3.25,-2.81,0.53,3.09,3.09,2.06,2.56,3.94,2.78,1.06,1.41,3.25,3.12,1.5,0.56,1.72,2.16,0.53,-0.69,1.09,3.53,3.72,3.69,6.03,8.66,8.53,6.72,5.84,5.94,4.06,0.38,-2.19,-1.84,-1.25,-2.72,-4.16,-3.41,-2.69,-4.09,-6.28,-5.78,-3.38,-2.25,-2.62,-1.66,1.78,4.03,4.03,4.19,6.34,7.94,6.12,3.91,4.06,4.62,2.72,-0.38,-1.5,-1.0,-1.88,-3.94,-4.66,-3.16,-2.34,-3.19,-3.09,-0.12,3.28,3.69,3.47,4.94,6.28,5.25,2.94,2.28,3.16,2.69,0.44,-0.44,1.09,2.19,1.16,0.59,2.72,5.12,5.47,4.88,6.62,8.75,8.41,5.59,4.12,4.44,4.28,2.66,2.72,5.12,7.0,6.0,4.19,4.56,5.22,3.56,0.81,-0.06,0.25,-0.91,-3.38,-4.41,-2.66,-1.19,-1.03,-0.03,3.78,7.5,8.41,8.03,9.25,10.56,9.72,7.97,8.16,10.0,10.66,8.62,7.66,8.53,8.5,5.94,3.66,3.53,3.38,1.28,-1.5,-2.16,-1.97,-3.22,-5.78,-6.59,-5.47,-4.91,-6.34,-6.78,-4.31,-1.72,-1.31,-1.0,1.75,4.97,5.41,4.97,6.94,9.84,11.09,10.41,9.94,10.75,10.16,6.53,3.41,2.78,2.12,-0.81,-3.72,-4.28,-3.59,-3.91,-5.03,-4.0,-1.22,-0.09,-0.78,-0.28,2.19,4.5,3.81,3.5,4.69,5.75,4.19,1.72,1.78,3.06,2.69,1.59,2.47,4.56,5.75,4.28,2.97,3.41,3.19,1.25,-0.16,1.22,3.69,3.66,2.25,2.06,2.47,1.38,-1.12,-1.75,-0.31,0.78,-0.25,-0.69,1.16,3.28,3.03,2.38,3.53,4.97,3.97,1.78,1.03,1.88,1.81,0.09,-0.06,1.81,3.62,3.41,3.47,5.53,7.78,7.41,6.19,6.25,7.41,6.5,4.25,3.62,4.78,4.91,3.25,2.38,3.56,4.56,3.03,2.03,3.16,5.38,6.16,6.56,9.28,13.66,16.38,16.5,16.59,17.12,15.88,12.16,9.66,9.94,11.0,10.19,8.72,8.62,8.41,5.84,1.94,-0.19,0.22,0.5,-0.22,0.66,3.81,6.47,6.28,5.75,7.22,8.5,6.72,4.5,4.09,4.78,4.06,2.56,3.16,5.88,7.69,7.56,7.59,9.94,11.47,10.72,9.78,11.12,13.22,13.03,12.12,12.62,13.81,13.03,9.78,7.09,6.47,5.09,1.88,0.06,1.12,2.97,3.34,3.91,6.66,10.06,11.09,10.62,11.06,12.88,13.31,12.09,11.56,13.12,14.19,12.41,10.69,11.09,11.03,8.28,4.62,2.94,3.03,1.97,0.81,1.47,4.06,5.66,5.25,5.62,8.06,10.59,10.78,10.44,11.38,12.25,10.31,6.81,4.94,4.84,3.34,1.25,1.0,3.28,5.34,5.53,6.12,9.09,11.59,11.69,10.78,11.62,12.59,11.28,8.78,7.72,8.59,7.97,5.66,3.69,3.88,4.06,2.5,1.56,3.91,6.94,7.75,7.91,9.59,11.66,11.69,10.28,9.94,11.06,11.06,9.03,7.34,7.91,8.06,5.84,3.31,2.72,2.78,0.88,-1.53,-1.91,-0.75,-0.5,-1.66,-1.31,1.5,3.84,4.19,4.81,7.56,10.03,9.34,8.0,8.12,8.72,7.0,3.81,2.03,1.72,0.69,-1.81,-3.44,-2.28,-1.84,-3.5,-5.53,-4.41,-2.94,-3.09,-4.16,-3.06,-1.12,-1.12,-2.78,-3.16,-2.0,-1.44,-2.62,-2.75,0.19,3.62,5.0,6.09,9.78,13.53,14.75,14.56,15.69,17.28,16.75,14.12,12.12,12.22,11.91,9.59,7.47,7.59,7.88,6.22,4.62,5.81,8.66,10.06,10.91,13.41,18.16,22.0,23.94,26.78,30.78,33.28,32.06,29.41,28.53,27.41,24.41,20.81,19.75,19.69,17.5,13.59,11.31,10.59,10.16,8.69,8.81,12.09,15.75,17.09,17.69,19.75,21.66,20.59,17.81,17.09,18.5,18.72,17.62,17.69,19.44,20.53,19.12,18.25,19.75,21.31,20.25,18.41,18.22,18.66,17.31,14.66,14.31,15.34,15.69,14.06,13.47,15.25,16.91,16.38,16.03,18.25,20.12,19.28,17.22,16.59,16.66,15.09,11.91,10.16,9.91,8.81,5.69,3.56,4.12,4.72,3.47,1.91,2.97,5.5,6.28,6.91,9.69,13.81,16.09,16.28,17.28,19.91,21.91,21.34,20.66,21.94,23.06,21.06,18.44,18.22,19.22,18.78,17.56,18.5,21.12,22.53,21.53,21.41,23.0,24.19,22.56,21.47,22.25,22.97,20.94,17.81,26.06,23.47,22.03,22.22,22.78,22.47,23.66,27.16,30.81,32.78,33.25,33.66,33.25,31.19,28.19,26.94,28.16,29.59,30.28,32.06,35.16,37.25,36.88,35.59,34.69,33.53,30.91,27.62:12.72,11.62,13.16,15.88,16.88,18.19,21.62,25.69,26.53,24.31,22.5,21.5,19.25,15.91,14.41,15.53,16.62,15.28,13.75,13.94,14.44,13.12,11.75,12.78,14.97,15.78,14.22,13.28,13.69,13.56,11.78,11.41,13.88,16.41,16.5,15.91,16.91,17.97,16.28,13.47,12.19,12.31,10.84,7.91,6.06,6.47,6.31,3.94,2.41,3.66,5.66,5.66,5.38,6.84,8.75,8.22,6.12,5.62,6.75,6.75,5.09,4.5,6.16,7.97,6.97,6.62,7.94,9.91,8.66,6.66,6.06,6.31,5.06,2.84,2.75,5.84,8.56,9.62,11.03,13.69,15.22,12.75,9.75,8.84,8.88,7.0,4.16,3.41,3.47,2.09,-0.5,-2.06,-1.44,-0.72,-1.81,-2.28,0.06,3.25,4.47,4.97,7.09,9.53,9.56,7.72,6.56,6.91,6.62,4.72,4.47,7.06,9.78,10.31,10.38,11.88,13.5,11.75,9.31,8.78,9.94,9.5,8.03,7.75,9.25,10.03,8.44,8.12,10.56,12.94,13.44,14.12,16.75,19.75,20.56,19.66,19.59,20.72,20.5,18.06,16.75,17.53,18.06,16.31,14.38,14.88,15.88,14.34,12.38,13.06,14.44,13.97,12.16,11.53,12.41,12.03,10.16,9.06,10.62,12.38,12.44,12.25,14.12,16.28,15.97,14.09,13.59,14.19,12.62,9.66,8.25,9.62,11.0,10.94,11.94,14.97,18.06,18.38,18.38,19.91,21.66,20.91,18.06,16.12,15.41,13.38,10.53,9.19,10.78,12.12,11.69,11.22,12.62,14.03,13.44,12.22,13.38,15.78,17.19,17.34,18.28,20.59,20.94,18.91,16.62,16.56,15.81,13.12,10.41,10.53,11.94,11.16,9.84,10.31,12.12,12.88,12.47,13.25,16.12,18.12,17.62,16.41,17.03,18.28,17.0,15.31,16.0,17.53,16.91,14.5,13.5,13.78,13.94,12.75,13.62,17.44,20.72,21.38,21.44,23.28,24.25,23.0,20.28,19.5,20.06,19.31,17.59,17.25,18.69,18.91,17.12,16.19,17.53,18.88,17.88,16.25,16.66,17.25,15.69,12.78,11.59,12.06,11.56,9.81,9.28,11.16,12.19,11.12,10.34,12.09,14.31,14.94,15.03,17.12,19.69,19.72,17.5,15.94,15.72,14.59,11.84,10.72,12.75,15.09,14.84,14.31,15.72,17.12,16.44,15.22,16.38,18.56,19.38,17.62,16.78,17.25,16.0,11.94,8.09,6.69,5.47,3.34,2.03,4.34,8.38,10.81,12.84,16.16,20.53,23.31,23.56,24.22,26.25,27.06,24.94,22.25,21.56,20.88,17.75,14.03,12.94,13.47,12.84,11.28,11.78,14.03,15.38,14.38,14.06,15.59,16.91,15.31,13.31,13.47,13.91,12.06,9.44,9.03,10.12,10.66,9.97,10.78,13.59,15.16,13.53,11.34,10.62,9.44,6.38,3.22,3.91,7.03,9.16,11.03,14.53,18.56,20.0,18.97,18.56,20.06,21.16,19.56,17.56,17.66,17.0,14.19,10.44,9.28,9.59,8.62,6.81,6.62,8.41,9.06,7.31,6.19,7.34,8.28,7.0,6.25,8.5,12.03,13.84,14.44,16.75,19.75,20.94,19.84,19.53,21.0,20.88,18.16,15.44,14.62,14.0,11.84,9.75,10.19,11.84,11.47,9.38,8.78,10.12,10.25,8.88,8.97,11.66,14.5,14.91,15.38,17.91,19.75,18.34,15.75,15.0,15.59,15.31,14.28,15.12,17.5,18.28,16.12,14.03,13.59,13.25,11.09,9.59,11.09,13.53,13.81,12.44,11.97,12.62,11.78,9.53,9.53,11.88,13.38,12.28,10.97,10.81,10.12,6.72,3.41,2.59,3.56,3.56,3.19,5.16,8.81,10.75,10.28,10.06,11.5,11.97,10.0,8.34,9.5,10.88,10.34,9.5,10.38,12.09,11.69,9.44,8.19,9.12,9.0,6.97,5.75,6.47,6.69,4.62,2.41,2.62,3.91,3.16,1.66,1.91,2.94,2.22,-0.25,-1.75,-0.59,0.09,-1.06,-1.72,-0.25,1.53,0.41,-0.75,0.19,2.56,2.97,2.0,2.56,4.81,4.59,2.22,0.06,1.03,2.0,1.19,1.47,4.09,6.84,6.94,5.81,6.22,7.84,7.34,5.41,4.62,6.16,6.22,4.59,3.66,5.03,6.34,5.12,3.28,3.91,5.34,4.16,2.47,3.0,5.38,6.12,5.72,6.31,8.94,10.03,8.66,7.03,7.25,7.47,5.12,2.66,2.0,2.62,1.25,-1.09,-0.88,0.62,1.88,1.25,1.28,3.0,3.59,1.41,-0.53,0.38,2.31,2.62,2.44,3.84,5.38,4.06,0.44,-1.88,-1.75,-2.0,-3.25,-2.81,0.53,3.09,3.09,2.06,2.56,3.94,2.78,1.06,1.41,3.25,3.12,1.5,0.56,1.72,2.16,0.53,-0.69,1.09,3.53,3.72,3.69,6.03,8.66,8.53,6.72,5.84,5.94,4.06,0.38,-2.19,-1.84,-1.25,-2.72,-4.16,-3.41,-2.69,-4.09,-6.28,-5.78,-3.38,-2.25,-2.62,-1.66,1.78,4.03,4.03,4.19,6.34,7.94,6.12,3.91,4.06,4.62,2.72,-0.38,-1.5,-1.0,-1.88,-3.94,-4.66,-3.16,-2.34,-3.19,-3.09,-0.12,3.28,3.69,3.47,4.94,6.28,5.25,2.94,2.28,3.16,2.69,0.44,-0.44,1.09,2.19,1.16,0.59,2.72,5.12,5.47,4.88,6.62,8.75,8.41,5.59,4.12,4.44,4.28,2.66,2.72,5.12,7.0,6.0,4.19,4.56,5.22,3.56,0.81,-0.06,0.25,-0.91,-3.38,-4.41,-2.66,-1.19,-1.03,-0.03,3.78,7.5,8.41,8.03,9.25,10.56,9.72,7.97,8.16,10.0,10.66,8.62,7.66,8.53,8.5,5.94,3.66,3.53,3.38,1.28,-1.5,-2.16,-1.97,-3.22,-5.78,-6.59,-5.47,-4.91,-6.34,-6.78,-4.31,-1.72,-1.31,-1.0,1.75,4.97,5.41,4.97,6.94,9.84,11.09,10.41,9.94,10.75,10.16,6.53,3.41,2.78,2.12,-0.81,-3.72,-4.28,-3.59,-3.91,-5.03,-4.0,-1.22,-0.09,-0.78,-0.28,2.19,4.5,3.81,3.5,4.69,5.75,4.19,1.72,1.78,3.06,2.69,1.59,2.47,4.56,5.75,4.28,2.97,3.41,3.19,1.25,-0.16,1.22,3.69,3.66,2.25,2.06,2.47,1.38,-1.12,-1.75,-0.31,0.78,-0.25,-0.69,1.16,3.28,3.03,2.38,3.53,4.97,3.97,1.78,1.03,1.88,1.81,0.09,-0.06,1.81,3.62,3.41,3.47,5.53,7.78,7.41,6.19,6.25,7.41,6.5,4.25,3.62,4.78,4.91,3.25,2.38,3.56,4.56,3.03,2.03,3.16,5.38,6.16,6.56,9.28,13.66,16.38,16.5,16.59,17.12,15.88,12.16,9.66,9.94,11.0,10.19,8.72,8.62,8.41,5.84,1.94,-0.19,0.22,0.5,-0.22,0.66,3.81,6.47,6.28,5.75,7.22,8.5,6.72,4.5,4.09,4.78,4.06,2.56,3.16,5.88,7.69,7.56,7.59,9.94,11.47,10.72,9.78,11.12,13.22,13.03,12.12,12.62,13.81,13.03,9.78,7.09,6.47,5.09,1.88,0.06,1.12,2.97,3.34,3.91,6.66,10.06,11.09,10.62,11.06,12.88,13.31,12.09,11.56,13.12,14.19,12.41,10.69,11.09,11.03,8.28,4.62,2.94,3.03,1.97,0.81,1.47,4.06,5.66,5.25,5.62,8.06,10.59,10.78,10.44,11.38,12.25,10.31,6.81,4.94,4.84,3.34,1.25,1.0,3.28,5.34,5.53,6.12,9.09,11.59,11.69,10.78,11.62,12.59,11.28,8.78,7.72,8.59,7.97,5.66,3.69,3.88,4.06,2.5,1.56,3.91,6.94,7.75,7.91,9.59,11.66,11.69,10.28,9.94,11.06,11.06,9.03,7.34,7.91,8.06,5.84,3.31,2.72,2.78,0.88,-1.53,-1.91,-0.75,-0.5,-1.66,-1.31,1.5,3.84,4.19,4.81,7.56,10.03,9.34,8.0,8.12,8.72,7.0,3.81,2.03,1.72,0.69,-1.81,-3.44,-2.28,-1.84,-3.5,-5.53,-4.41,-2.94,-3.09,-4.16,-3.06,-1.12,-1.12,-2.78,-3.16,-2.0,-1.44,-2.62,-2.75,0.19,3.62,5.0,6.09,9.78,13.53,14.75,14.56,15.69,17.28,16.75,14.12,12.12,12.22,11.91,9.59,7.47,7.59,7.88,6.22,4.62,5.81,8.66,10.06,10.91,13.41,18.16,22.0,23.94,26.78,30.78,33.28,32.06,29.41,28.53,27.41,24.41,20.81,19.75,19.69,17.5,13.59,11.31,10.59,10.16,8.69,8.81,12.09,15.75,17.09,17.69,19.75,21.66,20.59,17.81,17.09,18.5,18.72,17.62,17.69,19.44,20.53,19.12,18.25,19.75,21.31,20.25,18.41,18.22,18.66,17.31,14.66,14.31,15.34,15.69,14.06,13.47,15.25,16.91,16.38,16.03,18.25,20.12,19.28,17.22,16.59,16.66,15.09,11.91,10.16,9.91,8.81,5.69,3.56,4.12,4.72,3.47,1.91,2.97,5.5,6.28,6.91,9.69,13.81,16.09,16.28,17.28,19.91,21.91,21.34,20.66,21.94,23.06,21.06,18.44,18.22,19.22,18.78,17.56,18.5,21.12,22.53,21.53,21.41,23.0,24.19,22.56,21.47,22.25,22.97,20.94,17.81,26.06,23.47,22.03,22.22,22.78,22.47,23.66,27.16,30.81,32.78,33.25,33.66,33.25,31.19,28.19,26.94,28.16,29.59,30.28,32.06,35.16,37.25,36.88,35.59,34.69,33.53,30.91,27.62,26.03,25.84,24.97,23.06,22.03,22.25,22.16:25.69,26.53,24.31,22.5,21.5,19.25,15.91,14.41,15.53,16.62,15.28,13.75,13.94,14.44,13.12,11.75,12.78,14.97,15.78,14.22,13.28,13.69,13.56,11.78,11.41,13.88,16.41,16.5,15.91,16.91,17.97,16.28,13.47,12.19,12.31,10.84,7.91,6.06,6.47,6.31,3.94,2.41,3.66,5.66,5.66,5.38,6.84,8.75,8.22,6.12,5.62,6.75,6.75,5.09,4.5,6.16,7.97,6.97,6.62,7.94,9.91,8.66,6.66,6.06,6.31,5.06,2.84,2.75,5.84,8.56,9.62,11.03,13.69,15.22,12.75,9.75,8.84,8.88,7.0,4.16,3.41,3.47,2.09,-0.5,-2.06,-1.44,-0.72,-1.81,-2.28,0.06,3.25,4.47,4.97,7.09,9.53,9.56,7.72,6.56,6.91,6.62,4.72,4.47,7.06,9.78,10.31,10.38,11.88,13.5,11.75,9.31,8.78,9.94,9.5,8.03,7.75,9.25,10.03,8.44,8.12,10.56,12.94,13.44,14.12,16.75,19.75,20.56,19.66,19.59,20.72,20.5,18.06,16.75,17.53,18.06,16.31,14.38,14.88,15.88,14.34,12.38,13.06,14.44,13.97,12.16,11.53,12.41,12.03,10.16,9.06,10.62,12.38,12.44,12.25,14.12,16.28,15.97,14.09,13.59,14.19,12.62,9.66,8.25,9.62,11.0,10.94,11.94,14.97,18.06,18.38,18.38,19.91,21.66,20.91,18.06,16.12,15.41,13.38,10.53,9.19,10.78,12.12,11.69,11.22,12.62,14.03,13.44,12.22,13.38,15.78,17.19,17.34,18.28,20.59,20.94,18.91,16.62,16.56,15.81,13.12,10.41,10.53,11.94,11.16,9.84,10.31,12.12,12.88,12.47,13.25,16.12,18.12,17.62,16.41,17.03,18.28,17.0,15.31,16.0,17.53,16.91,14.5,13.5,13.78,13.94,12.75,13.62,17.44,20.72,21.38,21.44,23.28,24.25,23.0,20.28,19.5,20.06,19.31,17.59,17.25,18.69,18.91,17.12,16.19,17.53,18.88,17.88,16.25,16.66,17.25,15.69,12.78,11.59,12.06,11.56,9.81,9.28,11.16,12.19,11.12,10.34,12.09,14.31,14.94,15.03,17.12,19.69,19.72,17.5,15.94,15.72,14.59,11.84,10.72,12.75,15.09,14.84,14.31,15.72,17.12,16.44,15.22,16.38,18.56,19.38,17.62,16.78,17.25,16.0,11.94,8.09,6.69,5.47,3.34,2.03,4.34,8.38,10.81,12.84,16.16,20.53,23.31,23.56,24.22,26.25,27.06,24.94,22.25,21.56,20.88,17.75,14.03,12.94,13.47,12.84,11.28,11.78,14.03,15.38,14.38,14.06,15.59,16.91,15.31,13.31,13.47,13.91,12.06,9.44,9.03,10.12,10.66,9.97,10.78,13.59,15.16,13.53,11.34,10.62,9.44,6.38,3.22,3.91,7.03,9.16,11.03,14.53,18.56,20.0,18.97,18.56,20.06,21.16,19.56,17.56,17.66,17.0,14.19,10.44,9.28,9.59,8.62,6.81,6.62,8.41,9.06,7.31,6.19,7.34,8.28,7.0,6.25,8.5,12.03,13.84,14.44,16.75,19.75,20.94,19.84,19.53,21.0,20.88,18.16,15.44,14.62,14.0,11.84,9.75,10.19,11.84,11.47,9.38,8.78,10.12,10.25,8.88,8.97,11.66,14.5,14.91,15.38,17.91,19.75,18.34,15.75,15.0,15.59,15.31,14.28,15.12,17.5,18.28,16.12,14.03,13.59,13.25,11.09,9.59,11.09,13.53,13.81,12.44,11.97,12.62,11.78,9.53,9.53,11.88,13.38,12.28,10.97,10.81,10.12,6.72,3.41,2.59,3.56,3.56,3.19,5.16,8.81,10.75,10.28,10.06,11.5,11.97,10.0,8.34,9.5,10.88,10.34,9.5,10.38,12.09,11.69,9.44,8.19,9.12,9.0,6.97,5.75,6.47,6.69,4.62,2.41,2.62,3.91,3.16,1.66,1.91,2.94,2.22,-0.25,-1.75,-0.59,0.09,-1.06,-1.72,-0.25,1.53,0.41,-0.75,0.19,2.56,2.97,2.0,2.56,4.81,4.59,2.22,0.06,1.03,2.0,1.19,1.47,4.09,6.84,6.94,5.81,6.22,7.84,7.34,5.41,4.62,6.16,6.22,4.59,3.66,5.03,6.34,5.12,3.28,3.91,5.34,4.16,2.47,3.0,5.38,6.12,5.72,6.31,8.94,10.03,8.66,7.03,7.25,7.47,5.12,2.66,2.0,2.62,1.25,-1.09,-0.88,0.62,1.88,1.25,1.28,3.0,3.59,1.41,-0.53,0.38,2.31,2.62,2.44,3.84,5.38,4.06,0.44,-1.88,-1.75,-2.0,-3.25,-2.81,0.53,3.09,3.09,2.06,2.56,3.94,2.78,1.06,1.41,3.25,3.12,1.5,0.56,1.72,2.16,0.53,-0.69,1.09,3.53,3.72,3.69,6.03,8.66,8.53,6.72,5.84,5.94,4.06,0.38,-2.19,-1.84,-1.25,-2.72,-4.16,-3.41,-2.69,-4.09,-6.28,-5.78,-3.38,-2.25,-2.62,-1.66,1.78,4.03,4.03,4.19,6.34,7.94,6.12,3.91,4.06,4.62,2.72,-0.38,-1.5,-1.0,-1.88,-3.94,-4.66,-3.16,-2.34,-3.19,-3.09,-0.12,3.28,3.69,3.47,4.94,6.28,5.25,2.94,2.28,3.16,2.69,0.44,-0.44,1.09,2.19,1.16,0.59,2.72,5.12,5.47,4.88,6.62,8.75,8.41,5.59,4.12,4.44,4.28,2.66,2.72,5.12,7.0,6.0,4.19,4.56,5.22,3.56,0.81,-0.06,0.25,-0.91,-3.38,-4.41,-2.66,-1.19,-1.03,-0.03,3.78,7.5,8.41,8.03,9.25,10.56,9.72,7.97,8.16,10.0,10.66,8.62,7.66,8.53,8.5,5.94,3.66,3.53,3.38,1.28,-1.5,-2.16,-1.97,-3.22,-5.78,-6.59,-5.47,-4.91,-6.34,-6.78,-4.31,-1.72,-1.31,-1.0,1.75,4.97,5.41,4.97,6.94,9.84,11.09,10.41,9.94,10.75,10.16,6.53,3.41,2.78,2.12,-0.81,-3.72,-4.28,-3.59,-3.91,-5.03,-4.0,-1.22,-0.09,-0.78,-0.28,2.19,4.5,3.81,3.5,4.69,5.75,4.19,1.72,1.78,3.06,2.69,1.59,2.47,4.56,5.75,4.28,2.97,3.41,3.19,1.25,-0.16,1.22,3.69,3.66,2.25,2.06,2.47,1.38,-1.12,-1.75,-0.31,0.78,-0.25,-0.69,1.16,3.28,3.03,2.38,3.53,4.97,3.97,1.78,1.03,1.88,1.81,0.09,-0.06,1.81,3.62,3.41,3.47,5.53,7.78,7.41,6.19,6.25,7.41,6.5,4.25,3.62,4.78,4.91,3.25,2.38,3.56,4.56,3.03,2.03,3.16,5.38,6.16,6.56,9.28,13.66,16.38,16.5,16.59,17.12,15.88,12.16,9.66,9.94,11.0,10.19,8.72,8.62,8.41,5.84,1.94,-0.19,0.22,0.5,-0.22,0.66,3.81,6.47,6.28,5.75,7.22,8.5,6.72,4.5,4.09,4.78,4.06,2.56,3.16,5.88,7.69,7.56,7.59,9.94,11.47,10.72,9.78,11.12,13.22,13.03,12.12,12.62,13.81,13.03,9.78,7.09,6.47,5.09,1.88,0.06,1.12,2.97,3.34,3.91,6.66,10.06,11.09,10.62,11.06,12.88,13.31,12.09,11.56,13.12,14.19,12.41,10.69,11.09,11.03,8.28,4.62,2.94,3.03,1.97,0.81,1.47,4.06,5.66,5.25,5.62,8.06,10.59,10.78,10.44,11.38,12.25,10.31,6.81,4.94,4.84,3.34,1.25,1.0,3.28,5.34,5.53,6.12,9.09,11.59,11.69,10.78,11.62,12.59,11.28,8.78,7.72,8.59,7.97,5.66,3.69,3.88,4.06,2.5,1.56,3.91,6.94,7.75,7.91,9.59,11.66,11.69,10.28,9.94,11.06,11.06,9.03,7.34,7.91,8.06,5.84,3.31,2.72,2.78,0.88,-1.53,-1.91,-0.75,-0.5,-1.66,-1.31,1.5,3.84,4.19,4.81,7.56,10.03,9.34,8.0,8.12,8.72,7.0,3.81,2.03,1.72,0.69,-1.81,-3.44,-2.28,-1.84,-3.5,-5.53,-4.41,-2.94,-3.09,-4.16,-3.06,-1.12,-1.12,-2.78,-3.16,-2.0,-1.44,-2.62,-2.75,0.19,3.62,5.0,6.09,9.78,13.53,14.75,14.56,15.69,17.28,16.75,14.12,12.12,12.22,11.91,9.59,7.47,7.59,7.88,6.22,4.62,5.81,8.66,10.06,10.91,13.41,18.16,22.0,23.94,26.78,30.78,33.28,32.06,29.41,28.53,27.41,24.41,20.81,19.75,19.69,17.5,13.59,11.31,10.59,10.16,8.69,8.81,12.09,15.75,17.09,17.69,19.75,21.66,20.59,17.81,17.09,18.5,18.72,17.62,17.69,19.44,20.53,19.12,18.25,19.75,21.31,20.25,18.41,18.22,18.66,17.31,14.66,14.31,15.34,15.69,14.06,13.47,15.25,16.91,16.38,16.03,18.25,20.12,19.28,17.22,16.59,16.66,15.09,11.91,10.16,9.91,8.81,5.69,3.56,4.12,4.72,3.47,1.91,2.97,5.5,6.28,6.91,9.69,13.81,16.09,16.28,17.28,19.91,21.91,21.34,20.66,21.94,23.06,21.06,18.44,18.22,19.22,18.78,17.56,18.5,21.12,22.53,21.53,21.41,23.0,24.19,22.56,21.47,22.25,22.97,20.94,17.81,26.06,23.47,22.03,22.22,22.78,22.47,23.66,27.16,30.81,32.78,33.25,33.66,33.25,31.19,28.19,26.94,28.16,29.59,30.28,32.06,35.16,37.25,36.88,35.59,34.69,33.53,30.91,27.62,26.03,25.84,24.97,23.06,22.03,22.25,22.16,20.88,20.56,22.41,25.44,27.81,30.59,35.22:negativity
2.19,1.19,0.5,0.47,2.34,6.62,11.25,14.62,17.59,21.53,24.5,24.91,23.5,22.81,22.81,21.53,19.91,19.0,19.59,19.53,18.06,17.28,18.78,20.84,22.19,23.81,26.41,28.91,29.41,28.75,28.5,29.22,29.03,27.97,27.81,29.56,31.78,32.75,34.0,36.75,39.06,38.88,38.06,38.59,39.69,39.97,39.69,40.34,42.0,42.03,40.31,38.38,37.66,36.12,32.84,29.69,28.19,27.25,25.09,22.88,22.84,23.94,24.38,24.22,25.22,27.38,28.09,26.53,24.66,24.03,22.69,19.91,17.25,16.41,15.62,13.88,11.41,10.81,11.03,10.28,9.28,9.47,12.44,16.19,19.5,23.34,28.94,33.25,35.03,35.34,37.22,39.19,39.75,38.91,38.69,38.72,37.22,33.88,31.47,30.84,30.38,28.62,26.97,26.88,26.41,23.69,20.47,18.44,17.28,15.19,12.75,11.88,12.69,12.97,12.56,13.06,15.44,17.34,18.0,18.31,19.94,21.44,21.03,19.31,19.0,19.19,17.78,15.03,12.62,11.22,8.47,4.47,1.66,1.62,2.28,2.38,2.91,5.38,8.56,10.81,13.03,17.0,21.84,25.34,27.06,28.84,31.09,32.66,32.5,32.41,33.69,33.88,32.25,29.5,27.72,26.31,23.38,19.84,17.78,17.03,15.75,13.84,13.06,14.38,16.0,16.62,17.84,21.06,24.25,25.66,26.28,28.41,30.91,32.31,33.06,34.72,37.53,39.06,38.09,36.47,35.34,32.62,27.75,23.19,20.12,18.0,15.44,12.53,12.0,13.06,13.06,12.72,14.0,16.28,17.81,17.97,18.53,20.16,21.53,21.19,21.31,22.62,24.28,24.62,24.0,24.62,25.78,26.28,25.84,26.0,27.34,27.78,26.53,25.25,25.31,25.88,25.88,26.22,28.88,32.59,35.12,36.0,37.19,38.31,37.97,35.5,33.34,32.91,31.81,29.22,26.97,26.69,26.72,25.47,24.0,23.84,24.03,22.91,20.19,18.97,18.94,18.56,17.44,17.5,19.41,21.59,22.19,22.66,24.38,26.12,26.06,25.44,25.47,26.47,26.69,25.97,27.16,29.47,31.56,31.66,32.06,33.28,33.94,32.09,29.84,28.66,27.56,24.88,21.41,19.0,17.84,16.5,14.62,15.06,17.44,20.44,22.19,24.69,28.75,32.31,33.53,33.75,34.12,33.88,31.97,29.25,27.91,27.53,26.94,25.12,23.84,23.69,23.75,22.16,21.47,23.03,25.47,26.66,27.72,30.06,32.75,33.72,33.31,33.25,34.19,34.75,33.41,32.75,33.34,33.44,31.38,29.22,28.59,28.34,26.75,24.56,23.03,22.47,20.94,19.12,18.75,20.62,22.47,22.81,23.53,25.06,26.41,25.47,24.25,24.0,24.38,23.44,22.12,22.5,23.91,24.38,23.81,23.09,23.84,23.81,22.56,21.84,22.53,23.78,22.88,21.56,20.97,21.47,20.56,19.0,18.56,19.56,19.97,19.28,19.22,20.66,21.75,20.78,19.5,20.06,21.28,21.16,20.78,22.0,23.69,23.88,22.62,21.94,21.75,20.25,17.0,14.28,13.19,12.62,11.41,10.59,12.06,14.56,15.69,16.91,18.81,21.62,23.62,24.72,26.75,30.28,33.31,34.25,34.62,35.69,36.25,34.69,32.53,31.38,30.22,27.25,23.31,20.16,17.81,14.72,11.06,8.94,8.94,9.84,9.94,10.94,13.56,16.78,19.0,21.22,24.75,29.25,31.34,32.38,33.62,35.22,35.78,34.78,34.09,34.38,34.38,32.47,30.56,30.09,29.78,27.84,25.06,23.53,22.88,21.69,20.69,20.84,23.06,24.69,24.38,24.38,25.5,26.31,25.56,24.69,24.72,24.88,23.81,22.09,21.31,21.78,21.66,21.0,21.38,23.84,25.91,26.44,26.88,28.16,28.81,27.66,26.56,27.0,27.75,27.44,26.19,25.66,25.75,24.75,22.53,20.69,20.38,20.16,19.16,18.5,19.19,19.97,19.38,18.16,18.47,19.16,19.03,18.28,18.12,19.22,20.06,19.56,19.59,20.97,22.06,21.66,21.38,22.03,23.69,24.09,24.19,25.28,26.88,26.81,25.56,24.06,24.75,24.81,24.75,24.88,26.66,28.0,27.53,26.41,26.22,26.47,25.28,23.22,22.22,22.0,21.06,19.09,18.0,18.44,18.81,18.38,18.34,20.25,22.53,23.19,22.59,22.59,22.19,20.31,17.38,15.28,14.97,15.09,14.56,15.81,19.22,23.0,25.69,27.81,31.16,33.88,35.16,35.28,35.66,36.06,34.62,31.94,29.34,28.78,28.72,28.03,28.12,29.62,30.31,28.66,26.03,24.5,23.62,22.66,21.94,23.31,26.62,29.88,32.0,34.38,37.59,39.66,39.5,38.44,38.41,38.0,35.44,31.59,28.81,26.59,23.16,19.34,18.09,18.81,19.88,20.5,21.53,23.81,26.0,26.12,25.62,26.69,27.53,27.12,25.97,26.34,27.5,28.16,27.94,28.72,30.84,32.53,33.09,34.03,36.19,38.41,38.59,37.94,37.72,37.12,34.41,30.09,26.97,24.19,21.5,17.81,15.88,15.84,16.16,15.66,15.5,17.53,20.03,21.72,22.94,25.66,28.44,29.56,28.69,28.31,28.31,27.41,25.34,23.97,24.31,24.41,23.38,22.19,22.03,22.75,22.25,22.0,23.91,27.31,29.56,30.34,31.66,32.94,32.81,30.97,29.94,30.34,31.12,30.34,29.56,29.69,30.09,28.88,27.25,27.5,29.22,30.5,30.41,30.69,30.97,30.09,26.81,23.81,22.31,21.41,19.78,18.19,18.88,20.28,20.81,20.69,21.09,21.91,21.59,19.31,17.28,16.66,17.09,16.84,17.81,20.81,24.22,25.78,26.25,27.62,29.5,30.38,30.25,31.62,33.72,34.69,34.06,33.66,33.94,33.81,32.25,30.5,30.66,31.28,30.56,29.34,29.12,29.06,27.41,24.75,22.88,22.69,22.56,21.34,21.25,23.16,25.12,25.78,26.16,27.72,29.34,29.56,29.09,29.91,31.81,32.88,32.72,32.34,32.94,32.62,30.78,29.12,29.31,30.19,29.19,27.44,26.78,27.0,25.59,23.28,21.81,21.44,20.44,18.44,17.72,19.28,21.06,21.53,22.12,23.94,25.97,26.31,25.88,26.66,27.78,27.28,25.53,24.38,24.09,24.0,23.34,23.97,26.22,28.5,28.75,28.19,28.47,28.56,26.78,24.34,22.5,21.56,20.19,17.72,16.16,16.22,15.62,13.56,12.31,12.81,13.59,12.66,11.94,12.66,14.44,15.16,15.97,18.19,21.88,24.69,26.5,28.69,31.84,34.12,34.5,34.41,35.34,36.03,35.03,33.56,33.31,33.62,32.91,31.06,30.62,31.41,31.5,30.09,28.66,28.06,26.97,24.28,22.19,21.88,22.75,22.69,22.38,23.62,25.91,26.53,25.69,25.38,26.78,27.56,27.59,28.03,30.34,32.06,31.69,30.66,30.84,30.94,28.97,26.62,25.56,26.41,26.94,27.31,27.88,29.47,30.16,28.81,26.91,26.5,26.69,24.81,22.38,21.06,20.53,18.84,17.31,17.25,19.09,20.62,21.62,23.16,26.03,27.72,27.0,24.97,23.88,23.12,20.91,19.12,19.06,19.75,19.06,17.38,16.28,16.62,16.59,15.75,15.31,17.12,19.09,19.5,20.28,22.66,25.03,26.12,26.78,28.0,30.03,30.97,30.03,29.69,30.19,29.56,27.88,26.0,26.19,26.75,25.66,23.53,23.0,22.31,20.09,17.34,16.03,16.59,16.44,15.94,16.25,18.78,20.38,20.28,20.19,21.69,23.62,23.97,24.75,27.16,30.31,31.0,29.66,28.47,27.38,25.19,21.41,18.62,17.94,17.19,15.22,12.81,12.78,13.09,11.78,10.44,10.88,12.47,12.69,12.16,12.62,14.81,16.78,17.72,19.31,22.59,24.94,25.03,24.22,24.59,25.03,24.12,22.66,22.69,23.62,23.81,23.38,24.06,26.75,28.38,27.78,26.28,25.59,24.09,20.91,17.12,15.75,15.28,14.0,12.06,12.09,13.28,13.22,12.06,11.16,11.72,11.62,10.5,9.72,11.25,13.59,15.12,16.28,19.12,21.97,23.0,22.19,22.06,22.34,21.53,19.06,16.91,16.81,15.97,13.41,10.91,10.44,10.09,9.06,7.84,8.62,10.12,10.31,9.38,10.16,13.09,15.5,17.06,18.72,21.44,23.12,22.47,21.0,21.03,21.72,20.88,19.72,20.25,21.44,21.5,20.06,19.22,19.75,19.66,17.62,16.0,15.97,15.88,14.47,13.44,14.31,16.31,16.78,16.5,17.34,18.81,18.72,17.19,16.03,16.75,17.03,16.75,16.5,18.09,19.47,19.38,18.12,18.28,18.91,18.38,16.62,16.09,16.53,16.0,13.81,12.31,12.31,12.47,11.34,10.62,11.75,13.34,13.44,13.0,13.91,15.84,16.16,15.62,15.94,17.12,17.75,16.72,16.5,17.72,17.94,16.84,14.94,15.12,15.75,15.75,15.88,17.72,20.59,22.53,22.19,22.31,22.88,22.31,19.47,16.75,15.72,15.5,14.78,14.5,16.41,18.81,19.62,18.88,18.62,19.22,19.38,17.75,16.47,16.5,16.06,13.88,12.56,12.91,13.47,12.91,11.62,11.72,12.75,12.5,11.59,12.03,13.44,14.16,13.0,12.31,12.75,13.19,11.81,11.0,11.66,13.09,12.94,12.56,13.66,15.75,17.06,16.78,17.19,18.06,18.0,15.72,14.16,14.16,14.47,13.25,12.41,12.38,12.84,12.06,10.56,10.66,11.81,12.28,11.5,11.56,12.91,13.56,12.22,11.22,11.31,11.66,10.88,10.06,11.03,12.81,13.59,12.88,13.38,14.31,14.66,13.78,13.72,15.56,17.72,18.34:14.62,17.59,21.53,24.5,24.91,23.5,22.81,22.81,21.53,19.91,19.0,19.59,19.53,18.06,17.28,18.78,20.84,22.19,23.81,26.41,28.91,29.41,28.75,28.5,29.22,29.03,27.97,27.81,29.56,31.78,32.75,34.0,36.75,39.06,38.88,38.06,38.59,39.69,39.97,39.69,40.34,42.0,42.03,40.31,38.38,37.66,36.12,32.84,29.69,28.19,27.25,25.09,22.88,22.84,23.94,24.38,24.22,25.22,27.38,28.09,26.53,24.66,24.03,22.69,19.91,17.25,16.41,15.62,13.88,11.41,10.81,11.03,10.28,9.28,9.47,12.44,16.19,19.5,23.34,28.94,33.25,35.03,35.34,37.22,39.19,39.75,38.91,38.69,38.72,37.22,33.88,31.47,30.84,30.38,28.62,26.97,26.88,26.41,23.69,20.47,18.44,17.28,15.19,12.75,11.88,12.69,12.97,12.56,13.06,15.44,17.34,18.0,18.31,19.94,21.44,21.03,19.31,19.0,19.19,17.78,15.03,12.62,11.22,8.47,4.47,1.66,1.62,2.28,2.38,2.91,5.38,8.56,10.81,13.03,17.0,21.84,25.34,27.06,28.84,31.09,32.66,32.5,32.41,33.69,33.88,32.25,29.5,27.72,26.31,23.38,19.84,17.78,17.03,15.75,13.84,13.06,14.38,16.0,16.62,17.84,21.06,24.25,25.66,26.28,28.41,30.91,32.31,33.06,34.72,37.53,39.06,38.09,36.47,35.34,32.62,27.75,23.19,20.12,18.0,15.44,12.53,12.0,13.06,13.06,12.72,14.0,16.28,17.81,17.97,18.53,20.16,21.53,21.19,21.31,22.62,24.28,24.62,24.0,24.62,25.78,26.28,25.84,26.0,27.34,27.78,26.53,25.25,25.31,25.88,25.88,26.22,28.88,32.59,35.12,36.0,37.19,38.31,37.97,35.5,33.34,32.91,31.81,29.22,26.97,26.69,26.72,25.47,24.0,23.84,24.03,22.91,20.19,18.97,18.94,18.56,17.44,17.5,19.41,21.59,22.19,22.66,24.38,26.12,26.06,25.44,25.47,26.47,26.69,25.97,27.16,29.47,31.56,31.66,32.06,33.28,33.94,32.09,29.84,28.66,27.56,24.88,21.41,19.0,17.84,16.5,14.62,15.06,17.44,20.44,22.19,24.69,28.75,32.31,33.53,33.75,34.12,33.88,31.97,29.25,27.91,27.53,26.94,25.12,23.84,23.69,23.75,22.16,21.47,23.03,25.47,26.66,27.72,30.06,32.75,33.72,33.31,33.25,34.19,34.75,33.41,32.75,33.34,33.44,31.38,29.22,28.59,28.34,26.75,24.56,23.03,22.47,20.94,19.12,18.75,20.62,22.47,22.81,23.53,25.06,26.41,25.47,24.25,24.0,24.38,23.44,22.12,22.5,23.91,24.38,23.81,23.09,23.84,23.81,22.56,21.84,22.53,23.78,22.88,21.56,20.97,21.47,20.56,19.0,18.56,19.56,19.97,19.28,19.22,20.66,21.75,20.78,19.5,20.06,21.28,21.16,20.78,22.0,23.69,23.88,22.62,21.94,21.75,20.25,17.0,14.28,13.19,12.62,11.41,10.59,12.06,14.56,15.69,16.91,18.81,21.62,23.62,24.72,26.75,30.28,33.31,34.25,34.62,35.69,36.25,34.69,32.53,31.38,30.22,27.25,23.31,20.16,17.81,14.72,11.06,8.94,8.94,9.84,9.94,10.94,13.56,16.78,19.0,21.22,24.75,29.25,31.34,32.38,33.62,35.22,35.78,34.78,34.09,34.38,34.38,32.47,30.56,30.09,29.78,27.84,25.06,23.53,22.88,21.69,20.69,20.84,23.06,24.69,24.38,24.38,25.5,26.31,25.56,24.69,24.72,24.88,23.81,22.09,21.31,21.78,21.66,21.0,21.38,23.84,25.91,26.44,26.88,28.16,28.81,27.66,26.56,27.0,27.75,27.44,26.19,25.66,25.75,24.75,22.53,20.69,20.38,20.16,19.16,18.5,19.19,19.97,19.38,18.16,18.47,19.16,19.03,18.28,18.12,19.22,20.06,19.56,19.59,20.97,22.06,21.66,21.38,22.03,23.69,24.09,24.19,25.28,26.88,26.81,25.56,24.06,24.75,24.81,24.75,24.88,26.66,28.0,27.53,26.41,26.22,26.47,25.28,23.22,22.22,22.0,21.06,19.09,18.0,18.44,18.81,18.38,18.34,20.25,22.53,23.19,22.59,22.59,22.19,20.31,17.38,15.28,14.97,15.09,14.56,15.81,19.22,23.0,25.69,27.81,31.16,33.88,35.16,35.28,35.66,36.06,34.62,31.94,29.34,28.78,28.72,28.03,28.12,29.62,30.31,28.66,26.03,24.5,23.62,22.66,21.94,23.31,26.62,29.88,32.0,34.38,37.59,39.66,39.5,38.44,38.41,38.0,35.44,31.59,28.81,26.59,23.16,19.34,18.09,18.81,19.88,20.5,21.53,23.81,26.0,26.12,25.62,26.69,27.53,27.12,25.97,26.34,27.5,28.16,27.94,28.72,30.84,32.53,33.09,34.03,36.19,38.41,38.59,37.94,37.72,37.12,34.41,30.09,26.97,24.19,21.5,17.81,15.88,15.84,16.16,15.66,15.5,17.53,20.03,21.72,22.94,25.66,28.44,29.56,28.69,28.31,28.31,27.41,25.34,23.97,24.31,24.41,23.38,22.19,22.03,22.75,22.25,22.0,23.91,27.31,29.56,30.34,31.66,32.94,32.81,30.97,29.94,30.34,31.12,30.34,29.56,29.69,30.09,28.88,27.25,27.5,29.22,30.5,30.41,30.69,30.97,30.09,26.81,23.81,22.31,21.41,19.78,18.19,18.88,20.28,20.81,20.69,21.09,21.91,21.59,19.31,17.28,16.66,17.09,16.84,17.81,20.81,24.22,25.78,26.25,27.62,29.5,30.38,30.25,31.62,33.72,34.69,34.06,33.66,33.94,33.81,32.25,30.5,30.66,31.28,30.56,29.34,29.12,29.06,27.41,24.75,22.88,22.69,22.56,21.34,21.25,23.16,25.12,25.78,26.16,27.72,29.34,29.56,29.09,29.91,31.81,32.88,32.72,32.34,32.94,32.62,30.78,29.12,29.31,30.19,29.19,27.44,26.78,27.0,25.59,23.28,21.81,21.44,20.44,18.44,17.72,19.28,21.06,21.53,22.12,23.94,25.97,26.31,25.88,26.66,27.78,27.28,25.53,24.38,24.09,24.0,23.34,23.97,26.22,28.5,28.75,28.19,28.47,28.56,26.78,24.34,22.5,21.56,20.19,17.72,16.16,16.22,15.62,13.56,12.31,12.81,13.59,12.66,11.94,12.66,14.44,15.16,15.97,18.19,21.88,24.69,26.5,28.69,31.84,34.12,34.5,34.41,35.34,36.03,35.03,33.56,33.31,33.62,32.91,31.06,30.62,31.41,31.5,30.09,28.66,28.06,26.97,24.28,22.19,21.88,22.75,22.69,22.38,23.62,25.91,26.53,25.69,25.38,26.78,27.56,27.59,28.03,30.34,32.06,31.69,30.66,30.84,30.94,28.97,26.62,25.56,26.41,26.94,27.31,27.88,29.47,30.16,28.81,26.91,26.5,26.69,24.81,22.38,21.06,20.53,18.84,17.31,17.25,19.09,20.62,21.62,23.16,26.03,27.72,27.0,24.97,23.88,23.12,20.91,19.12,19.06,19.75,19.06,17.38,16.28,16.62,16.59,15.75,15.31,17.12,19.09,19.5,20.28,22.66,25.03,26.12,26.78,28.0,30.03,30.97,30.03,29.69,30.19,29.56,27.88,26.0,26.19,26.75,25.66,23.53,23.0,22.31,20.09,17.34,16.03,16.59,16.44,15.94,16.25,18.78,20.38,20.28,20.19,21.69,23.62,23.97,24.75,27.16,30.31,31.0,29.66,28.47,27.38,25.19,21.41,18.62,17.94,17.19,15.22,12.81,12.78,13.09,11.78,10.44,10.88,12.47,12.69,12.16,12.62,14.81,16.78,17.72,19.31,22.59,24.94,25.03,24.22,24.59,25.03,24.12,22.66,22.69,23.62,23.81,23.38,24.06,26.75,28.38,27.78,26.28,25.59,24.09,20.91,17.12,15.75,15.28,14.0,12.06,12.09,13.28,13.22,12.06,11.16,11.72,11.62,10.5,9.72,11.25,13.59,15.12,16.28,19.12,21.97,23.0,22.19,22.06,22.34,21.53,19.06,16.91,16.81,15.97,13.41,10.91,10.44,10.09,9.06,7.84,8.62,10.12,10.31,9.38,10.16,13.09,15.5,17.06,18.72,21.44,23.12,22.47,21.0,21.03,21.72,20.88,19.72,20.25,21.44,21.5,20.06,19.22,19.75,19.66,17.62,16.0,15.97,15.88,14.47,13.44,14.31,16.31,16.78,16.5,17.34,18.81,18.72,17.19,16.03,16.75,17.03,16.75,16.5,18.09,19.47,19.38,18.12,18.28,18.91,18.38,16.62,16.09,16.53,16.0,13.81,12.31,12.31,12.47,11.34,10.62,11.75,13.34,13.44,13.0,13.91,15.84,16.16,15.62,15.94,17.12,17.75,16.72,16.5,17.72,17.94,16.84,14.94,15.12,15.75,15.75,15.88,17.72,20.59,22.53,22.19,22.31,22.88,22.31,19.47,16.75,15.72,15.5,14.78,14.5,16.41,18.81,19.62,18.88,18.62,19.22,19.38,17.75,16.47,16.5,16.06,13.88,12.56,12.91,13.47,12.91,11.62,11.72,12.75,12.5,11.59,12.03,13.44,14.16,13.0,12.31,12.75,13.19,11.81,11.0,11.66,13.09,12.94,12.56,13.66,15.75,17.06,16.78,17.19,18.06,18.0,15.72,14.16,14.16,14.47,13.25,12.41,12.38,12.84,12.06,10.56,10.66,11.81,12.28,11.5,11.56,12.91,13.56,12.22,11.22,11.31,11.66,10.88,10.06,11.03,12.81,13.59,12.88,13.38,14.31,14.66,13.78,13.72,15.56,17.72,18.34,12.5,9.41,7.75,8.0,9.19,11.19,14.03:22.81,21.53,19.91,19.0,19.59,19.53,18.06,17.28,18.78,20.84,22.19,23.81,26.41,28.91,29.41,28.75,28.5,29.22,29.03,27.97,27.81,29.56,31.78,32.75,34.0,36.75,39.06,38.88,38.06,38.59,39.69,39.97,39.69,40.34,42.0,42.03,40.31,38.38,37.66,36.12,32.84,29.69,28.19,27.25,25.09,22.88,22.84,23.94,24.38,24.22,25.22,27.38,28.09,26.53,24.66,24.03,22.69,19.91,17.25,16.41,15.62,13.88,11.41,10.81,11.03,10.28,9.28,9.47,12.44,16.19,19.5,23.34,28.94,33.25,35.03,35.34,37.22,39.19,39.75,38.91,38.69,38.72,37.22,33.88,31.47,30.84,30.38,28.62,26.97,26.88,26.41,23.69,20.47,18.44,17.28,15.19,12.75,11.88,12.69,12.97,12.56,13.06,15.44,17.34,18.0,18.31,19.94,21.44,21.03,19.31,19.0,19.19,17.78,15.03,12.62,11.22,8.47,4.47,1.66,1.62,2.28,2.38,2.91,5.38,8.56,10.81,13.03,17.0,21.84,25.34,27.06,28.84,31.09,32.66,32.5,32.41,33.69,33.88,32.25,29.5,27.72,26.31,23.38,19.84,17.78,17.03,15.75,13.84,13.06,14.38,16.0,16.62,17.84,21.06,24.25,25.66,26.28,28.41,30.91,32.31,33.06,34.72,37.53,39.06,38.09,36.47,35.34,32.62,27.75,23.19,20.12,18.0,15.44,12.53,12.0,13.06,13.06,12.72,14.0,16.28,17.81,17.97,18.53,20.16,21.53,21.19,21.31,22.62,24.28,24.62,24.0,24.62,25.78,26.28,25.84,26.0,27.34,27.78,26.53,25.25,25.31,25.88,25.88,26.22,28.88,32.59,35.12,36.0,37.19,38.31,37.97,35.5,33.34,32.91,31.81,29.22,26.97,26.69,26.72,25.47,24.0,23.84,24.03,22.91,20.19,18.97,18.94,18.56,17.44,17.5,19.41,21.59,22.19,22.66,24.38,26.12,26.06,25.44,25.47,26.47,26.69,25.97,27.16,29.47,31.56,31.66,32.06,33.28,33.94,32.09,29.84,28.66,27.56,24.88,21.41,19.0,17.84,16.5,14.62,15.06,17.44,20.44,22.19,24.69,28.75,32.31,33.53,33.75,34.12,33.88,31.97,29.25,27.91,27.53,26.94,25.12,23.84,23.69,23.75,22.16,21.47,23.03,25.47,26.66,27.72,30.06,32.75,33.72,33.31,33.25,34.19,34.75,33.41,32.75,33.34,33.44,31.38,29.22,28.59,28.34,26.75,24.56,23.03,22.47,20.94,19.12,18.75,20.62,22.47,22.81,23.53,25.06,26.41,25.47,24.25,24.0,24.38,23.44,22.12,22.5,23.91,24.38,23.81,23.09,23.84,23.81,22.56,21.84,22.53,23.78,22.88,21.56,20.97,21.47,20.56,19.0,18.56,19.56,19.97,19.28,19.22,20.66,21.75,20.78,19.5,20.06,21.28,21.16,20.78,22.0,23.69,23.88,22.62,21.94,21.75,20.25,17.0,14.28,13.19,12.62,11.41,10.59,12.06,14.56,15.69,16.91,18.81,21.62,23.62,24.72,26.75,30.28,33.31,34.25,34.62,35.69,36.25,34.69,32.53,31.38,30.22,27.25,23.31,20.16,17.81,14.72,11.06,8.94,8.94,9.84,9.94,10.94,13.56,16.78,19.0,21.22,24.75,29.25,31.34,32.38,33.62,35.22,35.78,34.78,34.09,34.38,34.38,32.47,30.56,30.09,29.78,27.84,25.06,23.53,22.88,21.69,20.69,20.84,23.06,24.69,24.38,24.38,25.5,26.31,25.56,24.69,24.72,24.88,23.81,22.09,21.31,21.78,21.66,21.0,21.38,23.84,25.91,26.44,26.88,28.16,28.81,27.66,26.56,27.0,27.75,27.44,26.19,25.66,25.75,24.75,22.53,20.69,20.38,20.16,19.16,18.5,19.19,19.97,19.38,18.16,18.47,19.16,19.03,18.28,18.12,19.22,20.06,19.56,19.59,20.97,22.06,21.66,21.38,22.03,23.69,24.09,24.19,25.28,26.88,26.81,25.56,24.06,24.75,24.81,24.75,24.88,26.66,28.0,27.53,26.41,26.22,26.47,25.28,23.22,22.22,22.0,21.06,19.09,18.0,18.44,18.81,18.38,18.34,20.25,22.53,23.19,22.59,22.59,22.19,20.31,17.38,15.28,14.97,15.09,14.56,15.81,19.22,23.0,25.69,27.81,31.16,33.88,35.16,35.28,35.66,36.06,34.62,31.94,29.34,28.78,28.72,28.03,28.12,29.62,30.31,28.66,26.03,24.5,23.62,22.66,21.94,23.31,26.62,29.88,32.0,34.38,37.59,39.66,39.5,38.44,38.41,38.0,35.44,31.59,28.81,26.59,23.16,19.34,18.09,18.81,19.88,20.5,21.53,23.81,26.0,26.12,25.62,26.69,27.53,27.12,25.97,26.34,27.5,28.16,27.94,28.72,30.84,32.53,33.09,34.03,36.19,38.41,38.59,37.94,37.72,37.12,34.41,30.09,26.97,24.19,21.5,17.81,15.88,15.84,16.16,15.66,15.5,17.53,20.03,21.72,22.94,25.66,28.44,29.56,28.69,28.31,28.31,27.41,25.34,23.97,24.31,24.41,23.38,22.19,22.03,22.75,22.25,22.0,23.91,27.31,29.56,30.34,31.66,32.94,32.81,30.97,29.94,30.34,31.12,30.34,29.56,29.69,30.09,28.88,27.25,27.5,29.22,30.5,30.41,30.69,30.97,30.09,26.81,23.81,22.31,21.41,19.78,18.19,18.88,20.28,20.81,20.69,21.09,21.91,21.59,19.31,17.28,16.66,17.09,16.84,17.81,20.81,24.22,25.78,26.25,27.62,29.5,30.38,30.25,31.62,33.72,34.69,34.06,33.66,33.94,33.81,32.25,30.5,30.66,31.28,30.56,29.34,29.12,29.06,27.41,24.75,22.88,22.69,22.56,21.34,21.25,23.16,25.12,25.78,26.16,27.72,29.34,29.56,29.09,29.91,31.81,32.88,32.72,32.34,32.94,32.62,30.78,29.12,29.31,30.19,29.19,27.44,26.78,27.0,25.59,23.28,21.81,21.44,20.44,18.44,17.72,19.28,21.06,21.53,22.12,23.94,25.97,26.31,25.88,26.66,27.78,27.28,25.53,24.38,24.09,24.0,23.34,23.97,26.22,28.5,28.75,28.19,28.47,28.56,26.78,24.34,22.5,21.56,20.19,17.72,16.16,16.22,15.62,13.56,12.31,12.81,13.59,12.66,11.94,12.66,14.44,15.16,15.97,18.19,21.88,24.69,26.5,28.69,31.84,34.12,34.5,34.41,35.34,36.03,35.03,33.56,33.31,33.62,32.91,31.06,30.62,31.41,31.5,30.09,28.66,28.06,26.97,24.28,22.19,21.88,22.75,22.69,22.38,23.62,25.91,26.53,25.69,25.38,26.78,27.56,27.59,28.03,30.34,32.06,31.69,30.66,30.84,30.94,28.97,26.62,25.56,26.41,26.94,27.31,27.88,29.47,30.16,28.81,26.91,26.5,26.69,24.81,22.38,21.06,20.53,18.84,17.31,17.25,19.09,20.62,21.62,23.16,26.03,27.72,27.0,24.97,23.88,23.12,20.91,19.12,19.06,19.75,19.06,17.38,16.28,16.62,16.59,15.75,15.31,17.12,19.09,19.5,20.28,22.66,25.03,26.12,26.78,28.0,30.03,30.97,30.03,29.69,30.19,29.56,27.88,26.0,26.19,26.75,25.66,23.53,23.0,22.31,20.09,17.34,16.03,16.59,16.44,15.94,16.25,18.78,20.38,20.28,20.19,21.69,23.62,23.97,24.75,27.16,30.31,31.0,29.66,28.47,27.38,25.19,21.41,18.62,17.94,17.19,15.22,12.81,12.78,13.09,11.78,10.44,10.88,12.47,12.69,12.16,12.62,14.81,16.78,17.72,19.31,22.59,24.94,25.03,24.22,24.59,25.03,24.12,22.66,22.69,23.62,23.81,23.38,24.06,26.75,28.38,27.78,26.28,25.59,24.09,20.91,17.12,15.75,15.28,14.0,12.06,12.09,13.28,13.22,12.06,11.16,11.72,11.62,10.5,9.72,11.25,13.59,15.12,16.28,19.12,21.97,23.0,22.19,22.06,22.34,21.53,19.06,16.91,16.81,15.97,13.41,10.91,10.44,10.09,9.06,7.84,8.62,10.12,10.31,9.38,10.16,13.09,15.5,17.06,18.72,21.44,23.12,22.47,21.0,21.03,21.72,20.88,19.72,20.25,21.44,21.5,20.06,19.22,19.75,19.66,17.62,16.0,15.97,15.88,14.47,13.44,14.31,16.31,16.78,16.5,17.34,18.81,18.72,17.19,16.03,16.75,17.03,16.75,16.5,18.09,19.47,19.38,18.12,18.28,18.91,18.38,16.62,16.09,16.53,16.0,13.81,12.31,12.31,12.47,11.34,10.62,11.75,13.34,13.44,13.0,13.91,15.84,16.16,15.62,15.94,17.12,17.75,16.72,16.5,17.72,17.94,16.84,14.94,15.12,15.75,15.75,15.88,17.72,20.59,22.53,22.19,22.31,22.88,22.31,19.47,16.75,15.72,15.5,14.78,14.5,16.41,18.81,19.62,18.88,18.62,19.22,19.38,17.75,16.47,16.5,16.06,13.88,12.56,12.91,13.47,12.91,11.62,11.72,12.75,12.5,11.59,12.03,13.44,14.16,13.0,12.31,12.75,13.19,11.81,11.0,11.66,13.09,12.94,12.56,13.66,15.75,17.06,16.78,17.19,18.06,18.0,15.72,14.16,14.16,14.47,13.25,12.41,12.38,12.84,12.06,10.56,10.66,11.81,12.28,11.5,11.56,12.91,13.56,12.22,11.22,11.31,11.66,10.88,10.06,11.03,12.81,13.59,12.88,13.38,14.31,14.66,13.78,13.72,15.56,17.72,18.34,12.5,9.41,7.75,8.0,9.19,11.19,14.03,17.12,19.5,21.0,21.75,22.09,21.72,20.62:17.28,18.78,20.84,22.19,23.81,26.41,28.91,29.41,28.75,28.5,29.22,29.03,27.97,27.81,29.56,31.78,32.75,34.0,36.75,39.06,38.88,38.06,38.59,39.69,39.97,39.69,40.34,42.0,42.03,40.31,38.38,37.66,36.12,32.84,29.69,28.19,27.25,25.09,22.88,22.84,23.94,24.38,24.22,25.22,27.38,28.09,26.53,24.66,24.03,22.69,19.91,17.25,16.41,15.62,13.88,11.41,10.81,11.03,10.28,9.28,9.47,12.44,16.19,19.5,23.34,28.94,33.25,35.03,35.34,37.22,39.19,39.75,38.91,38.69,38.72,37.22,33.88,31.47,30.84,30.38,28.62,26.97,26.88,26.41,23.69,20.47,18.44,17.28,15.19,12.75,11.88,12.69,12.97,12.56,13.06,15.44,17.34,18.0,18.31,19.94,21.44,21.03,19.31,19.0,19.19,17.78,15.03,12.62,11.22,8.47,4.47,1.66,1.62,2.28,2.38,2.91,5.38,8.56,10.81,13.03,17.0,21.84,25.34,27.06,28.84,31.09,32.66,32.5,32.41,33.69,33.88,32.25,29.5,27.72,26.31,23.38,19.84,17.78,17.03,15.75,13.84,13.06,14.38,16.0,16.62,17.84,21.06,24.25,25.66,26.28,28.41,30.91,32.31,33.06,34.72,37.53,39.06,38.09,36.47,35.34,32.62,27.75,23.19,20.12,18.0,15.44,12.53,12.0,13.06,13.06,12.72,14.0,16.28,17.81,17.97,18.53,20.16,21.53,21.19,21.31,22.62,24.28,24.62,24.0,24.62,25.78,26.28,25.84,26.0,27.34,27.78,26.53,25.25,25.31,25.88,25.88,26.22,28.88,32.59,35.12,36.0,37.19,38.31,37.97,35.5,33.34,32.91,31.81,29.22,26.97,26.69,26.72,25.47,24.0,23.84,24.03,22.91,20.19,18.97,18.94,18.56,17.44,17.5,19.41,21.59,22.19,22.66,24.38,26.12,26.06,25.44,25.47,26.47,26.69,25.97,27.16,29.47,31.56,31.66,32.06,33.28,33.94,32.09,29.84,28.66,27.56,24.88,21.41,19.0,17.84,16.5,14.62,15.06,17.44,20.44,22.19,24.69,28.75,32.31,33.53,33.75,34.12,33.88,31.97,29.25,27.91,27.53,26.94,25.12,23.84,23.69,23.75,22.16,21.47,23.03,25.47,26.66,27.72,30.06,32.75,33.72,33.31,33.25,34.19,34.75,33.41,32.75,33.34,33.44,31.38,29.22,28.59,28.34,26.75,24.56,23.03,22.47,20.94,19.12,18.75,20.62,22.47,22.81,23.53,25.06,26.41,25.47,24.25,24.0,24.38,23.44,22.12,22.5,23.91,24.38,23.81,23.09,23.84,23.81,22.56,21.84,22.53,23.78,22.88,21.56,20.97,21.47,20.56,19.0,18.56,19.56,19.97,19.28,19.22,20.66,21.75,20.78,19.5,20.06,21.28,21.16,20.78,22.0,23.69,23.88,22.62,21.94,21.75,20.25,17.0,14.28,13.19,12.62,11.41,10.59,12.06,14.56,15.69,16.91,18.81,21.62,23.62,24.72,26.75,30.28,33.31,34.25,34.62,35.69,36.25,34.69,32.53,31.38,30.22,27.25,23.31,20.16,17.81,14.72,11.06,8.94,8.94,9.84,9.94,10.94,13.56,16.78,19.0,21.22,24.75,29.25,31.34,32.38,33.62,35.22,35.78,34.78,34.09,34.38,34.38,32.47,30.56,30.09,29.78,27.84,25.06,23.53,22.88,21.69,20.69,20.84,23.06,24.69,24.38,24.38,25.5,26.31,25.56,24.69,24.72,24.88,23.81,22.09,21.31,21.78,21.66,21.0,21.38,23.84,25.91,26.44,26.88,28.16,28.81,27.66,26.56,27.0,27.75,27.44,26.19,25.66,25.75,24.75,22.53,20.69,20.38,20.16,19.16,18.5,19.19,19.97,19.38,18.16,18.47,19.16,19.03,18.28,18.12,19.22,20.06,19.56,19.59,20.97,22.06,21.66,21.38,22.03,23.69,24.09,24.19,25.28,26.88,26.81,25.56,24.06,24.75,24.81,24.75,24.88,26.66,28.0,27.53,26.41,26.22,26.47,25.28,23.22,22.22,22.0,21.06,19.09,18.0,18.44,18.81,18.38,18.34,20.25,22.53,23.19,22.59,22.59,22.19,20.31,17.38,15.28,14.97,15.09,14.56,15.81,19.22,23.0,25.69,27.81,31.16,33.88,35.16,35.28,35.66,36.06,34.62,31.94,29.34,28.78,28.72,28.03,28.12,29.62,30.31,28.66,26.03,24.5,23.62,22.66,21.94,23.31,26.62,29.88,32.0,34.38,37.59,39.66,39.5,38.44,38.41,38.0,35.44,31.59,28.81,26.59,23.16,19.34,18.09,18.81,19.88,20.5,21.53,23.81,26.0,26.12,25.62,26.69,27.53,27.12,25.97,26.34,27.5,28.16,27.94,28.72,30.84,32.53,33.09,34.03,36.19,38.41,38.59,37.94,37.72,37.12,34.41,30.09,26.97,24.19,21.5,17.81,15.88,15.84,16.16,15.66,15.5,17.53,20.03,21.72,22.94,25.66,28.44,29.56,28.69,28.31,28.31,27.41,25.34,23.97,24.31,24.41,23.38,22.19,22.03,22.75,22.25,22.0,23.91,27.31,29.56,30.34,31.66,32.94,32.81,30.97,29.94,30.34,31.12,30.34,29.56,29.69,30.09,28.88,27.25,27.5,29.22,30.5,30.41,30.69,30.97,30.09,26.81,23.81,22.31,21.41,19.78,18.19,18.88,20.28,20.81,20.69,21.09,21.91,21.59,19.31,17.28,16.66,17.09,16.84,17.81,20.81,24.22,25.78,26.25,27.62,29.5,30.38,30.25,31.62,33.72,34.69,34.06,33.66,33.94,33.81,32.25,30.5,30.66,31.28,30.56,29.34,29.12,29.06,27.41,24.75,22.88,22.69,22.56,21.34,21.25,23.16,25.12,25.78,26.16,27.72,29.34,29.56,29.09,29.91,31.81,32.88,32.72,32.34,32.94,32.62,30.78,29.12,29.31,30.19,29.19,27.44,26.78,27.0,25.59,23.28,21.81,21.44,20.44,18.44,17.72,19.28,21.06,21.53,22.12,23.94,25.97,26.31,25.88,26.66,27.78,27.28,25.53,24.38,24.09,24.0,23.34,23.97,26.22,28.5,28.75,28.19,28.47,28.56,26.78,24.34,22.5,21.56,20.19,17.72,16.16,16.22,15.62,13.56,12.31,12.81,13.59,12.66,11.94,12.66,14.44,15.16,15.97,18.19,21.88,24.69,26.5,28.69,31.84,34.12,34.5,34.41,35.34,36.03,35.03,33.56,33.31,33.62,32.91,31.06,30.62,31.41,31.5,30.09,28.66,28.06,26.97,24.28,22.19,21.88,22.75,22.69,22.38,23.62,25.91,26.53,25.69,25.38,26.78,27.56,27.59,28.03,30.34,32.06,31.69,30.66,30.84,30.94,28.97,26.62,25.56,26.41,26.94,27.31,27.88,29.47,30.16,28.81,26.91,26.5,26.69,24.81,22.38,21.06,20.53,18.84,17.31,17.25,19.09,20.62,21.62,23.16,26.03,27.72,27.0,24.97,23.88,23.12,20.91,19.12,19.06,19.75,19.06,17.38,16.28,16.62,16.59,15.75,15.31,17.12,19.09,19.5,20.28,22.66,25.03,26.12,26.78,28.0,30.03,30.97,30.03,29.69,30.19,29.56,27.88,26.0,26.19,26.75,25.66,23.53,23.0,22.31,20.09,17.34,16.03,16.59,16.44,15.94,16.25,18.78,20.38,20.28,20.19,21.69,23.62,23.97,24.75,27.16,30.31,31.0,29.66,28.47,27.38,25.19,21.41,18.62,17.94,17.19,15.22,12.81,12.78,13.09,11.78,10.44,10.88,12.47,12.69,12.16,12.62,14.81,16.78,17.72,19.31,22.59,24.94,25.03,24.22,24.59,25.03,24.12,22.66,22.69,23.62,23.81,23.38,24.06,26.75,28.38,27.78,26.28,25.59,24.09,20.91,17.12,15.75,15.28,14.0,12.06,12.09,13.28,13.22,12.06,11.16,11.72,11.62,10.5,9.72,11.25,13.59,15.12,16.28,19.12,21.97,23.0,22.19,22.06,22.34,21.53,19.06,16.91,16.81,15.97,13.41,10.91,10.44,10.09,9.06,7.84,8.62,10.12,10.31,9.38,10.16,13.09,15.5,17.06,18.72,21.44,23.12,22.47,21.0,21.03,21.72,20.88,19.72,20.25,21.44,21.5,20.06,19.22,19.75,19.66,17.62,16.0,15.97,15.88,14.47,13.44,14.31,16.31,16.78,16.5,17.34,18.81,18.72,17.19,16.03,16.75,17.03,16.75,16.5,18.09,19.47,19.38,18.12,18.28,18.91,18.38,16.62,16.09,16.53,16.0,13.81,12.31,12.31,12.47,11.34,10.62,11.75,13.34,13.44,13.0,13.91,15.84,16.16,15.62,15.94,17.12,17.75,16.72,16.5,17.72,17.94,16.84,14.94,15.12,15.75,15.75,15.88,17.72,20.59,22.53,22.19,22.31,22.88,22.31,19.47,16.75,15.72,15.5,14.78,14.5,16.41,18.81,19.62,18.88,18.62,19.22,19.38,17.75,16.47,16.5,16.06,13.88,12.56,12.91,13.47,12.91,11.62,11.72,12.75,12.5,11.59,12.03,13.44,14.16,13.0,12.31,12.75,13.19,11.81,11.0,11.66,13.09,12.94,12.56,13.66,15.75,17.06,16.78,17.19,18.06,18.0,15.72,14.16,14.16,14.47,13.25,12.41,12.38,12.84,12.06,10.56,10.66,11.81,12.28,11.5,11.56,12.91,13.56,12.22,11.22,11.31,11.66,10.88,10.06,11.03,12.81,13.59,12.88,13.38,14.31,14.66,13.78,13.72,15.56,17.72,18.34,12.5,9.41,7.75,8.0,9.19,11.19,14.03,17.12,19.5,21.0,21.75,22.09,21.72,20.62,19.94,19.62,19.91,19.81,19.56,19.44,19.25:29.41,28.75,28.5,29.22,29.03,27.97,27.81,29.56,31.78,32.75,34.0,36.75,39.06,38.88,38.06,38.59,39.69,39.97,39.69,40.34,42.0,42.03,40.31,38.38,37.66,36.12,32.84,29.69,28.19,27.25,25.09,22.88,22.84,23.94,24.38,24.22,25.22,27.38,28.09,26.53,24.66,24.03,22.69,19.91,17.25,16.41,15.62,13.88,11.41,10.81,11.03,10.28,9.28,9.47,12.44,16.19,19.5,23.34,28.94,33.25,35.03,35.34,37.22,39.19,39.75,38.91,38.69,38.72,37.22,33.88,31.47,30.84,30.38,28.62,26.97,26.88,26.41,23.69,20.47,18.44,17.28,15.19,12.75,11.88,12.69,12.97,12.56,13.06,15.44,17.34,18.0,18.31,19.94,21.44,21.03,19.31,19.0,19.19,17.78,15.03,12.62,11.22,8.47,4.47,1.66,1.62,2.28,2.38,2.91,5.38,8.56,10.81,13.03,17.0,21.84,25.34,27.06,28.84,31.09,32.66,32.5,32.41,33.69,33.88,32.25,29.5,27.72,26.31,23.38,19.84,17.78,17.03,15.75,13.84,13.06,14.38,16.0,16.62,17.84,21.06,24.25,25.66,26.28,28.41,30.91,32.31,33.06,34.72,37.53,39.06,38.09,36.47,35.34,32.62,27.75,23.19,20.12,18.0,15.44,12.53,12.0,13.06,13.06,12.72,14.0,16.28,17.81,17.97,18.53,20.16,21.53,21.19,21.31,22.62,24.28,24.62,24.0,24.62,25.78,26.28,25.84,26.0,27.34,27.78,26.53,25.25,25.31,25.88,25.88,26.22,28.88,32.59,35.12,36.0,37.19,38.31,37.97,35.5,33.34,32.91,31.81,29.22,26.97,26.69,26.72,25.47,24.0,23.84,24.03,22.91,20.19,18.97,18.94,18.56,17.44,17.5,19.41,21.59,22.19,22.66,24.38,26.12,26.06,25.44,25.47,26.47,26.69,25.97,27.16,29.47,31.56,31.66,32.06,33.28,33.94,32.09,29.84,28.66,27.56,24.88,21.41,19.0,17.84,16.5,14.62,15.06,17.44,20.44,22.19,24.69,28.75,32.31,33.53,33.75,34.12,33.88,31.97,29.25,27.91,27.53,26.94,25.12,23.84,23.69,23.75,22.16,21.47,23.03,25.47,26.66,27.72,30.06,32.75,33.72,33.31,33.25,34.19,34.75,33.41,32.75,33.34,33.44,31.38,29.22,28.59,28.34,26.75,24.56,23.03,22.47,20.94,19.12,18.75,20.62,22.47,22.81,23.53,25.06,26.41,25.47,24.25,24.0,24.38,23.44,22.12,22.5,23.91,24.38,23.81,23.09,23.84,23.81,22.56,21.84,22.53,23.78,22.88,21.56,20.97,21.47,20.56,19.0,18.56,19.56,19.97,19.28,19.22,20.66,21.75,20.78,19.5,20.06,21.28,21.16,20.78,22.0,23.69,23.88,22.62,21.94,21.75,20.25,17.0,14.28,13.19,12.62,11.41,10.59,12.06,14.56,15.69,16.91,18.81,21.62,23.62,24.72,26.75,30.28,33.31,34.25,34.62,35.69,36.25,34.69,32.53,31.38,30.22,27.25,23.31,20.16,17.81,14.72,11.06,8.94,8.94,9.84,9.94,10.94,13.56,16.78,19.0,21.22,24.75,29.25,31.34,32.38,33.62,35.22,35.78,34.78,34.09,34.38,34.38,32.47,30.56,30.09,29.78,27.84,25.06,23.53,22.88,21.69,20.69,20.84,23.06,24.69,24.38,24.38,25.5,26.31,25.56,24.69,24.72,24.88,23.81,22.09,21.31,21.78,21.66,21.0,21.38,23.84,25.91,26.44,26.88,28.16,28.81,27.66,26.56,27.0,27.75,27.44,26.19,25.66,25.75,24.75,22.53,20.69,20.38,20.16,19.16,18.5,19.19,19.97,19.38,18.16,18.47,19.16,19.03,18.28,18.12,19.22,20.06,19.56,19.59,20.97,22.06,21.66,21.38,22.03,23.69,24.09,24.19,25.28,26.88,26.81,25.56,24.06,24.75,24.81,24.75,24.88,26.66,28.0,27.53,26.41,26.22,26.47,25.28,23.22,22.22,22.0,21.06,19.09,18.0,18.44,18.81,18.38,18.34,20.25,22.53,23.19,22.59,22.59,22.19,20.31,17.38,15.28,14.97,15.09,14.56,15.81,19.22,23.0,25.69,27.81,31.16,33.88,35.16,35.28,35.66,36.06,34.62,31.94,29.34,28.78,28.72,28.03,28.12,29.62,30.31,28.66,26.03,24.5,23.62,22.66,21.94,23.31,26.62,29.88,32.0,34.38,37.59,39.66,39.5,38.44,38.41,38.0,35.44,31.59,28.81,26.59,23.16,19.34,18.09,18.81,19.88,20.5,21.53,23.81,26.0,26.12,25.62,26.69,27.53,27.12,25.97,26.34,27.5,28.16,27.94,28.72,30.84,32.53,33.09,34.03,36.19,38.41,38.59,37.94,37.72,37.12,34.41,30.09,26.97,24.19,21.5,17.81,15.88,15.84,16.16,15.66,15.5,17.53,20.03,21.72,22.94,25.66,28.44,29.56,28.69,28.31,28.31,27.41,25.34,23.97,24.31,24.41,23.38,22.19,22.03,22.75,22.25,22.0,23.91,27.31,29.56,30.34,31.66,32.94,32.81,30.97,29.94,30.34,31.12,30.34,29.56,29.69,30.09,28.88,27.25,27.5,29.22,30.5,30.41,30.69,30.97,30.09,26.81,23.81,22.31,21.41,19.78,18.19,18.88,20.28,20.81,20.69,21.09,21.91,21.59,19.31,17.28,16.66,17.09,16.84,17.81,20.81,24.22,25.78,26.25,27.62,29.5,30.38,30.25,31.62,33.72,34.69,34.06,33.66,33.94,33.81,32.25,30.5,30.66,31.28,30.56,29.34,29.12,29.06,27.41,24.75,22.88,22.69,22.56,21.34,21.25,23.16,25.12,25.78,26.16,27.72,29.34,29.56,29.09,29.91,31.81,32.88,32.72,32.34,32.94,32.62,30.78,29.12,29.31,30.19,29.19,27.44,26.78,27.0,25.59,23.28,21.81,21.44,20.44,18.44,17.72,19.28,21.06,21.53,22.12,23.94,25.97,26.31,25.88,26.66,27.78,27.28,25.53,24.38,24.09,24.0,23.34,23.97,26.22,28.5,28.75,28.19,28.47,28.56,26.78,24.34,22.5,21.56,20.19,17.72,16.16,16.22,15.62,13.56,12.31,12.81,13.59,12.66,11.94,12.66,14.44,15.16,15.97,18.19,21.88,24.69,26.5,28.69,31.84,34.12,34.5,34.41,35.34,36.03,35.03,33.56,33.31,33.62,32.91,31.06,30.62,31.41,31.5,30.09,28.66,28.06,26.97,24.28,22.19,21.88,22.75,22.69,22.38,23.62,25.91,26.53,25.69,25.38,26.78,27.56,27.59,28.03,30.34,32.06,31.69,30.66,30.84,30.94,28.97,26.62,25.56,26.41,26.94,27.31,27.88,29.47,30.16,28.81,26.91,26.5,26.69,24.81,22.38,21.06,20.53,18.84,17.31,17.25,19.09,20.62,21.62,23.16,26.03,27.72,27.0,24.97,23.88,23.12,20.91,19.12,19.06,19.75,19.06,17.38,16.28,16.62,16.59,15.75,15.31,17.12,19.09,19.5,20.28,22.66,25.03,26.12,26.78,28.0,30.03,30.97,30.03,29.69,30.19,29.56,27.88,26.0,26.19,26.75,25.66,23.53,23.0,22.31,20.09,17.34,16.03,16.59,16.44,15.94,16.25,18.78,20.38,20.28,20.19,21.69,23.62,23.97,24.75,27.16,30.31,31.0,29.66,28.47,27.38,25.19,21.41,18.62,17.94,17.19,15.22,12.81,12.78,13.09,11.78,10.44,10.88,12.47,12.69,12.16,12.62,14.81,16.78,17.72,19.31,22.59,24.94,25.03,24.22,24.59,25.03,24.12,22.66,22.69,23.62,23.81,23.38,24.06,26.75,28.38,27.78,26.28,25.59,24.09,20.91,17.12,15.75,15.28,14.0,12.06,12.09,13.28,13.22,12.06,11.16,11.72,11.62,10.5,9.72,11.25,13.59,15.12,16.28,19.12,21.97,23.0,22.19,22.06,22.34,21.53,19.06,16.91,16.81,15.97,13.41,10.91,10.44,10.09,9.06,7.84,8.62,10.12,10.31,9.38,10.16,13.09,15.5,17.06,18.72,21.44,23.12,22.47,21.0,21.03,21.72,20.88,19.72,20.25,21.44,21.5,20.06,19.22,19.75,19.66,17.62,16.0,15.97,15.88,14.47,13.44,14.31,16.31,16.78,16.5,17.34,18.81,18.72,17.19,16.03,16.75,17.03,16.75,16.5,18.09,19.47,19.38,18.12,18.28,18.91,18.38,16.62,16.09,16.53,16.0,13.81,12.31,12.31,12.47,11.34,10.62,11.75,13.34,13.44,13.0,13.91,15.84,16.16,15.62,15.94,17.12,17.75,16.72,16.5,17.72,17.94,16.84,14.94,15.12,15.75,15.75,15.88,17.72,20.59,22.53,22.19,22.31,22.88,22.31,19.47,16.75,15.72,15.5,14.78,14.5,16.41,18.81,19.62,18.88,18.62,19.22,19.38,17.75,16.47,16.5,16.06,13.88,12.56,12.91,13.47,12.91,11.62,11.72,12.75,12.5,11.59,12.03,13.44,14.16,13.0,12.31,12.75,13.19,11.81,11.0,11.66,13.09,12.94,12.56,13.66,15.75,17.06,16.78,17.19,18.06,18.0,15.72,14.16,14.16,14.47,13.25,12.41,12.38,12.84,12.06,10.56,10.66,11.81,12.28,11.5,11.56,12.91,13.56,12.22,11.22,11.31,11.66,10.88,10.06,11.03,12.81,13.59,12.88,13.38,14.31,14.66,13.78,13.72,15.56,17.72,18.34,12.5,9.41,7.75,8.0,9.19,11.19,14.03,17.12,19.5,21.0,21.75,22.09,21.72,20.62,19.94,19.62,19.91,19.81,19.56,19.44,19.25,18.5,18.19,18.5,20.06,21.66,22.5,23.5:29.56,31.78,32.75,34.0,36.75,39.06,38.88,38.06,38.59,39.69,39.97,39.69,40.34,42.0,42.03,40.31,38.38,37.66,36.12,32.84,29.69,28.19,27.25,25.09,22.88,22.84,23.94,24.38,24.22,25.22,27.38,28.09,26.53,24.66,24.03,22.69,19.91,17.25,16.41,15.62,13.88,11.41,10.81,11.03,10.28,9.28,9.47,12.44,16.19,19.5,23.34,28.94,33.25,35.03,35.34,37.22,39.19,39.75,38.91,38.69,38.72,37.22,33.88,31.47,30.84,30.38,28.62,26.97,26.88,26.41,23.69,20.47,18.44,17.28,15.19,12.75,11.88,12.69,12.97,12.56,13.06,15.44,17.34,18.0,18.31,19.94,21.44,21.03,19.31,19.0,19.19,17.78,15.03,12.62,11.22,8.47,4.47,1.66,1.62,2.28,2.38,2.91,5.38,8.56,10.81,13.03,17.0,21.84,25.34,27.06,28.84,31.09,32.66,32.5,32.41,33.69,33.88,32.25,29.5,27.72,26.31,23.38,19.84,17.78,17.03,15.75,13.84,13.06,14.38,16.0,16.62,17.84,21.06,24.25,25.66,26.28,28.41,30.91,32.31,33.06,34.72,37.53,39.06,38.09,36.47,35.34,32.62,27.75,23.19,20.12,18.0,15.44,12.53,12.0,13.06,13.06,12.72,14.0,16.28,17.81,17.97,18.53,20.16,21.53,21.19,21.31,22.62,24.28,24.62,24.0,24.62,25.78,26.28,25.84,26.0,27.34,27.78,26.53,25.25,25.31,25.88,25.88,26.22,28.88,32.59,35.12,36.0,37.19,38.31,37.97,35.5,33.34,32.91,31.81,29.22,26.97,26.69,26.72,25.47,24.0,23.84,24.03,22.91,20.19,18.97,18.94,18.56,17.44,17.5,19.41,21.59,22.19,22.66,24.38,26.12,26.06,25.44,25.47,26.47,26.69,25.97,27.16,29.47,31.56,31.66,32.06,33.28,33.94,32.09,29.84,28.66,27.56,24.88,21.41,19.0,17.84,16.5,14.62,15.06,17.44,20.44,22.19,24.69,28.75,32.31,33.53,33.75,34.12,33.88,31.97,29.25,27.91,27.53,26.94,25.12,23.84,23.69,23.75,22.16,21.47,23.03,25.47,26.66,27.72,30.06,32.75,33.72,33.31,33.25,34.19,34.75,33.41,32.75,33.34,33.44,31.38,29.22,28.59,28.34,26.75,24.56,23.03,22.47,20.94,19.12,18.75,20.62,22.47,22.81,23.53,25.06,26.41,25.47,24.25,24.0,24.38,23.44,22.12,22.5,23.91,24.38,23.81,23.09,23.84,23.81,22.56,21.84,22.53,23.78,22.88,21.56,20.97,21.47,20.56,19.0,18.56,19.56,19.97,19.28,19.22,20.66,21.75,20.78,19.5,20.06,21.28,21.16,20.78,22.0,23.69,23.88,22.62,21.94,21.75,20.25,17.0,14.28,13.19,12.62,11.41,10.59,12.06,14.56,15.69,16.91,18.81,21.62,23.62,24.72,26.75,30.28,33.31,34.25,34.62,35.69,36.25,34.69,32.53,31.38,30.22,27.25,23.31,20.16,17.81,14.72,11.06,8.94,8.94,9.84,9.94,10.94,13.56,16.78,19.0,21.22,24.75,29.25,31.34,32.38,33.62,35.22,35.78,34.78,34.09,34.38,34.38,32.47,30.56,30.09,29.78,27.84,25.06,23.53,22.88,21.69,20.69,20.84,23.06,24.69,24.38,24.38,25.5,26.31,25.56,24.69,24.72,24.88,23.81,22.09,21.31,21.78,21.66,21.0,21.38,23.84,25.91,26.44,26.88,28.16,28.81,27.66,26.56,27.0,27.75,27.44,26.19,25.66,25.75,24.75,22.53,20.69,20.38,20.16,19.16,18.5,19.19,19.97,19.38,18.16,18.47,19.16,19.03,18.28,18.12,19.22,20.06,19.56,19.59,20.97,22.06,21.66,21.38,22.03,23.69,24.09,24.19,25.28,26.88,26.81,25.56,24.06,24.75,24.81,24.75,24.88,26.66,28.0,27.53,26.41,26.22,26.47,25.28,23.22,22.22,22.0,21.06,19.09,18.0,18.44,18.81,18.38,18.34,20.25,22.53,23.19,22.59,22.59,22.19,20.31,17.38,15.28,14.97,15.09,14.56,15.81,19.22,23.0,25.69,27.81,31.16,33.88,35.16,35.28,35.66,36.06,34.62,31.94,29.34,28.78,28.72,28.03,28.12,29.62,30.31,28.66,26.03,24.5,23.62,22.66,21.94,23.31,26.62,29.88,32.0,34.38,37.59,39.66,39.5,38.44,38.41,38.0,35.44,31.59,28.81,26.59,23.16,19.34,18.09,18.81,19.88,20.5,21.53,23.81,26.0,26.12,25.62,26.69,27.53,27.12,25.97,26.34,27.5,28.16,27.94,28.72,30.84,32.53,33.09,34.03,36.19,38.41,38.59,37.94,37.72,37.12,34.41,30.09,26.97,24.19,21.5,17.81,15.88,15.84,16.16,15.66,15.5,17.53,20.03,21.72,22.94,25.66,28.44,29.56,28.69,28.31,28.31,27.41,25.34,23.97,24.31,24.41,23.38,22.19,22.03,22.75,22.25,22.0,23.91,27.31,29.56,30.34,31.66,32.94,32.81,30.97,29.94,30.34,31.12,30.34,29.56,29.69,30.09,28.88,27.25,27.5,29.22,30.5,30.41,30.69,30.97,30.09,26.81,23.81,22.31,21.41,19.78,18.19,18.88,20.28,20.81,20.69,21.09,21.91,21.59,19.31,17.28,16.66,17.09,16.84,17.81,20.81,24.22,25.78,26.25,27.62,29.5,30.38,30.25,31.62,33.72,34.69,34.06,33.66,33.94,33.81,32.25,30.5,30.66,31.28,30.56,29.34,29.12,29.06,27.41,24.75,22.88,22.69,22.56,21.34,21.25,23.16,25.12,25.78,26.16,27.72,29.34,29.56,29.09,29.91,31.81,32.88,32.72,32.34,32.94,32.62,30.78,29.12,29.31,30.19,29.19,27.44,26.78,27.0,25.59,23.28,21.81,21.44,20.44,18.44,17.72,19.28,21.06,21.53,22.12,23.94,25.97,26.31,25.88,26.66,27.78,27.28,25.53,24.38,24.09,24.0,23.34,23.97,26.22,28.5,28.75,28.19,28.47,28.56,26.78,24.34,22.5,21.56,20.19,17.72,16.16,16.22,15.62,13.56,12.31,12.81,13.59,12.66,11.94,12.66,14.44,15.16,15.97,18.19,21.88,24.69,26.5,28.69,31.84,34.12,34.5,34.41,35.34,36.03,35.03,33.56,33.31,33.62,32.91,31.06,30.62,31.41,31.5,30.09,28.66,28.06,26.97,24.28,22.19,21.88,22.75,22.69,22.38,23.62,25.91,26.53,25.69,25.38,26.78,27.56,27.59,28.03,30.34,32.06,31.69,30.66,30.84,30.94,28.97,26.62,25.56,26.41,26.94,27.31,27.88,29.47,30.16,28.81,26.91,26.5,26.69,24.81,22.38,21.06,20.53,18.84,17.31,17.25,19.09,20.62,21.62,23.16,26.03,27.72,27.0,24.97,23.88,23.12,20.91,19.12,19.06,19.75,19.06,17.38,16.28,16.62,16.59,15.75,15.31,17.12,19.09,19.5,20.28,22.66,25.03,26.12,26.78,28.0,30.03,30.97,30.03,29.69,30.19,29.56,27.88,26.0,26.19,26.75,25.66,23.53,23.0,22.31,20.09,17.34,16.03,16.59,16.44,15.94,16.25,18.78,20.38,20.28,20.19,21.69,23.62,23.97,24.75,27.16,30.31,31.0,29.66,28.47,27.38,25.19,21.41,18.62,17.94,17.19,15.22,12.81,12.78,13.09,11.78,10.44,10.88,12.47,12.69,12.16,12.62,14.81,16.78,17.72,19.31,22.59,24.94,25.03,24.22,24.59,25.03,24.12,22.66,22.69,23.62,23.81,23.38,24.06,26.75,28.38,27.78,26.28,25.59,24.09,20.91,17.12,15.75,15.28,14.0,12.06,12.09,13.28,13.22,12.06,11.16,11.72,11.62,10.5,9.72,11.25,13.59,15.12,16.28,19.12,21.97,23.0,22.19,22.06,22.34,21.53,19.06,16.91,16.81,15.97,13.41,10.91,10.44,10.09,9.06,7.84,8.62,10.12,10.31,9.38,10.16,13.09,15.5,17.06,18.72,21.44,23.12,22.47,21.0,21.03,21.72,20.88,19.72,20.25,21.44,21.5,20.06,19.22,19.75,19.66,17.62,16.0,15.97,15.88,14.47,13.44,14.31,16.31,16.78,16.5,17.34,18.81,18.72,17.19,16.03,16.75,17.03,16.75,16.5,18.09,19.47,19.38,18.12,18.28,18.91,18.38,16.62,16.09,16.53,16.0,13.81,12.31,12.31,12.47,11.34,10.62,11.75,13.34,13.44,13.0,13.91,15.84,16.16,15.62,15.94,17.12,17.75,16.72,16.5,17.72,17.94,16.84,14.94,15.12,15.75,15.75,15.88,17.72,20.59,22.53,22.19,22.31,22.88,22.31,19.47,16.75,15.72,15.5,14.78,14.5,16.41,18.81,19.62,18.88,18.62,19.22,19.38,17.75,16.47,16.5,16.06,13.88,12.56,12.91,13.47,12.91,11.62,11.72,12.75,12.5,11.59,12.03,13.44,14.16,13.0,12.31,12.75,13.19,11.81,11.0,11.66,13.09,12.94,12.56,13.66,15.75,17.06,16.78,17.19,18.06,18.0,15.72,14.16,14.16,14.47,13.25,12.41,12.38,12.84,12.06,10.56,10.66,11.81,12.28,11.5,11.56,12.91,13.56,12.22,11.22,11.31,11.66,10.88,10.06,11.03,12.81,13.59,12.88,13.38,14.31,14.66,13.78,13.72,15.56,17.72,18.34,12.5,9.41,7.75,8.0,9.19,11.19,14.03,17.12,19.5,21.0,21.75,22.09,21.72,20.62,19.94,19.62,19.91,19.81,19.56,19.44,19.25,18.5,18.19,18.5,20.06,21.66,22.5,23.5,24.12,24.38,24.12,23.53,23.5,23.34,22.81:38.06,38.59,39.69,39.97,39.69,40.34,42.0,42.03,40.31,38.38,37.66,36.12,32.84,29.69,28.19,27.25,25.09,22.88,22.84,23.94,24.38,24.22,25.22,27.38,28.09,26.53,24.66,24.03,22.69,19.91,17.25,16.41,15.62,13.88,11.41,10.81,11.03,10.28,9.28,9.47,12.44,16.19,19.5,23.34,28.94,33.25,35.03,35.34,37.22,39.19,39.75,38.91,38.69,38.72,37.22,33.88,31.47,30.84,30.38,28.62,26.97,26.88,26.41,23.69,20.47,18.44,17.28,15.19,12.75,11.88,12.69,12.97,12.56,13.06,15.44,17.34,18.0,18.31,19.94,21.44,21.03,19.31,19.0,19.19,17.78,15.03,12.62,11.22,8.47,4.47,1.66,1.62,2.28,2.38,2.91,5.38,8.56,10.81,13.03,17.0,21.84,25.34,27.06,28.84,31.09,32.66,32.5,32.41,33.69,33.88,32.25,29.5,27.72,26.31,23.38,19.84,17.78,17.03,15.75,13.84,13.06,14.38,16.0,16.62,17.84,21.06,24.25,25.66,26.28,28.41,30.91,32.31,33.06,34.72,37.53,39.06,38.09,36.47,35.34,32.62,27.75,23.19,20.12,18.0,15.44,12.53,12.0,13.06,13.06,12.72,14.0,16.28,17.81,17.97,18.53,20.16,21.53,21.19,21.31,22.62,24.28,24.62,24.0,24.62,25.78,26.28,25.84,26.0,27.34,27.78,26.53,25.25,25.31,25.88,25.88,26.22,28.88,32.59,35.12,36.0,37.19,38.31,37.97,35.5,33.34,32.91,31.81,29.22,26.97,26.69,26.72,25.47,24.0,23.84,24.03,22.91,20.19,18.97,18.94,18.56,17.44,17.5,19.41,21.59,22.19,22.66,24.38,26.12,26.06,25.44,25.47,26.47,26.69,25.97,27.16,29.47,31.56,31.66,32.06,33.28,33.94,32.09,29.84,28.66,27.56,24.88,21.41,19.0,17.84,16.5,14.62,15.06,17.44,20.44,22.19,24.69,28.75,32.31,33.53,33.75,34.12,33.88,31.97,29.25,27.91,27.53,26.94,25.12,23.84,23.69,23.75,22.16,21.47,23.03,25.47,26.66,27.72,30.06,32.75,33.72,33.31,33.25,34.19,34.75,33.41,32.75,33.34,33.44,31.38,29.22,28.59,28.34,26.75,24.56,23.03,22.47,20.94,19.12,18.75,20.62,22.47,22.81,23.53,25.06,26.41,25.47,24.25,24.0,24.38,23.44,22.12,22.5,23.91,24.38,23.81,23.09,23.84,23.81,22.56,21.84,22.53,23.78,22.88,21.56,20.97,21.47,20.56,19.0,18.56,19.56,19.97,19.28,19.22,20.66,21.75,20.78,19.5,20.06,21.28,21.16,20.78,22.0,23.69,23.88,22.62,21.94,21.75,20.25,17.0,14.28,13.19,12.62,11.41,10.59,12.06,14.56,15.69,16.91,18.81,21.62,23.62,24.72,26.75,30.28,33.31,34.25,34.62,35.69,36.25,34.69,32.53,31.38,30.22,27.25,23.31,20.16,17.81,14.72,11.06,8.94,8.94,9.84,9.94,10.94,13.56,16.78,19.0,21.22,24.75,29.25,31.34,32.38,33.62,35.22,35.78,34.78,34.09,34.38,34.38,32.47,30.56,30.09,29.78,27.84,25.06,23.53,22.88,21.69,20.69,20.84,23.06,24.69,24.38,24.38,25.5,26.31,25.56,24.69,24.72,24.88,23.81,22.09,21.31,21.78,21.66,21.0,21.38,23.84,25.91,26.44,26.88,28.16,28.81,27.66,26.56,27.0,27.75,27.44,26.19,25.66,25.75,24.75,22.53,20.69,20.38,20.16,19.16,18.5,19.19,19.97,19.38,18.16,18.47,19.16,19.03,18.28,18.12,19.22,20.06,19.56,19.59,20.97,22.06,21.66,21.38,22.03,23.69,24.09,24.19,25.28,26.88,26.81,25.56,24.06,24.75,24.81,24.75,24.88,26.66,28.0,27.53,26.41,26.22,26.47,25.28,23.22,22.22,22.0,21.06,19.09,18.0,18.44,18.81,18.38,18.34,20.25,22.53,23.19,22.59,22.59,22.19,20.31,17.38,15.28,14.97,15.09,14.56,15.81,19.22,23.0,25.69,27.81,31.16,33.88,35.16,35.28,35.66,36.06,34.62,31.94,29.34,28.78,28.72,28.03,28.12,29.62,30.31,28.66,26.03,24.5,23.62,22.66,21.94,23.31,26.62,29.88,32.0,34.38,37.59,39.66,39.5,38.44,38.41,38.0,35.44,31.59,28.81,26.59,23.16,19.34,18.09,18.81,19.88,20.5,21.53,23.81,26.0,26.12,25.62,26.69,27.53,27.12,25.97,26.34,27.5,28.16,27.94,28.72,30.84,32.53,33.09,34.03,36.19,38.41,38.59,37.94,37.72,37.12,34.41,30.09,26.97,24.19,21.5,17.81,15.88,15.84,16.16,15.66,15.5,17.53,20.03,21.72,22.94,25.66,28.44,29.56,28.69,28.31,28.31,27.41,25.34,23.97,24.31,24.41,23.38,22.19,22.03,22.75,22.25,22.0,23.91,27.31,29.56,30.34,31.66,32.94,32.81,30.97,29.94,30.34,31.12,30.34,29.56,29.69,30.09,28.88,27.25,27.5,29.22,30.5,30.41,30.69,30.97,30.09,26.81,23.81,22.31,21.41,19.78,18.19,18.88,20.28,20.81,20.69,21.09,21.91,21.59,19.31,17.28,16.66,17.09,16.84,17.81,20.81,24.22,25.78,26.25,27.62,29.5,30.38,30.25,31.62,33.72,34.69,34.06,33.66,33.94,33.81,32.25,30.5,30.66,31.28,30.56,29.34,29.12,29.06,27.41,24.75,22.88,22.69,22.56,21.34,21.25,23.16,25.12,25.78,26.16,27.72,29.34,29.56,29.09,29.91,31.81,32.88,32.72,32.34,32.94,32.62,30.78,29.12,29.31,30.19,29.19,27.44,26.78,27.0,25.59,23.28,21.81,21.44,20.44,18.44,17.72,19.28,21.06,21.53,22.12,23.94,25.97,26.31,25.88,26.66,27.78,27.28,25.53,24.38,24.09,24.0,23.34,23.97,26.22,28.5,28.75,28.19,28.47,28.56,26.78,24.34,22.5,21.56,20.19,17.72,16.16,16.22,15.62,13.56,12.31,12.81,13.59,12.66,11.94,12.66,14.44,15.16,15.97,18.19,21.88,24.69,26.5,28.69,31.84,34.12,34.5,34.41,35.34,36.03,35.03,33.56,33.31,33.62,32.91,31.06,30.62,31.41,31.5,30.09,28.66,28.06,26.97,24.28,22.19,21.88,22.75,22.69,22.38,23.62,25.91,26.53,25.69,25.38,26.78,27.56,27.59,28.03,30.34,32.06,31.69,30.66,30.84,30.94,28.97,26.62,25.56,26.41,26.94,27.31,27.88,29.47,30.16,28.81,26.91,26.5,26.69,24.81,22.38,21.06,20.53,18.84,17.31,17.25,19.09,20.62,21.62,23.16,26.03,27.72,27.0,24.97,23.88,23.12,20.91,19.12,19.06,19.75,19.06,17.38,16.28,16.62,16.59,15.75,15.31,17.12,19.09,19.5,20.28,22.66,25.03,26.12,26.78,28.0,30.03,30.97,30.03,29.69,30.19,29.56,27.88,26.0,26.19,26.75,25.66,23.53,23.0,22.31,20.09,17.34,16.03,16.59,16.44,15.94,16.25,18.78,20.38,20.28,20.19,21.69,23.62,23.97,24.75,27.16,30.31,31.0,29.66,28.47,27.38,25.19,21.41,18.62,17.94,17.19,15.22,12.81,12.78,13.09,11.78,10.44,10.88,12.47,12.69,12.16,12.62,14.81,16.78,17.72,19.31,22.59,24.94,25.03,24.22,24.59,25.03,24.12,22.66,22.69,23.62,23.81,23.38,24.06,26.75,28.38,27.78,26.28,25.59,24.09,20.91,17.12,15.75,15.28,14.0,12.06,12.09,13.28,13.22,12.06,11.16,11.72,11.62,10.5,9.72,11.25,13.59,15.12,16.28,19.12,21.97,23.0,22.19,22.06,22.34,21.53,19.06,16.91,16.81,15.97,13.41,10.91,10.44,10.09,9.06,7.84,8.62,10.12,10.31,9.38,10.16,13.09,15.5,17.06,18.72,21.44,23.12,22.47,21.0,21.03,21.72,20.88,19.72,20.25,21.44,21.5,20.06,19.22,19.75,19.66,17.62,16.0,15.97,15.88,14.47,13.44,14.31,16.31,16.78,16.5,17.34,18.81,18.72,17.19,16.03,16.75,17.03,16.75,16.5,18.09,19.47,19.38,18.12,18.28,18.91,18.38,16.62,16.09,16.53,16.0,13.81,12.31,12.31,12.47,11.34,10.62,11.75,13.34,13.44,13.0,13.91,15.84,16.16,15.62,15.94,17.12,17.75,16.72,16.5,17.72,17.94,16.84,14.94,15.12,15.75,15.75,15.88,17.72,20.59,22.53,22.19,22.31,22.88,22.31,19.47,16.75,15.72,15.5,14.78,14.5,16.41,18.81,19.62,18.88,18.62,19.22,19.38,17.75,16.47,16.5,16.06,13.88,12.56,12.91,13.47,12.91,11.62,11.72,12.75,12.5,11.59,12.03,13.44,14.16,13.0,12.31,12.75,13.19,11.81,11.0,11.66,13.09,12.94,12.56,13.66,15.75,17.06,16.78,17.19,18.06,18.0,15.72,14.16,14.16,14.47,13.25,12.41,12.38,12.84,12.06,10.56,10.66,11.81,12.28,11.5,11.56,12.91,13.56,12.22,11.22,11.31,11.66,10.88,10.06,11.03,12.81,13.59,12.88,13.38,14.31,14.66,13.78,13.72,15.56,17.72,18.34,12.5,9.41,7.75,8.0,9.19,11.19,14.03,17.12,19.5,21.0,21.75,22.09,21.72,20.62,19.94,19.62,19.91,19.81,19.56,19.44,19.25,18.5,18.19,18.5,20.06,21.66,22.5,23.5,24.12,24.38,24.12,23.53,23.5,23.34,22.81,22.34,23.22,24.97,26.62,28.5,30.09,31.72:negativity
13.47,11.56,9.62,8.41,7.03,5.19,4.19,4.56,5.19,5.19,5.25,6.28,7.78,8.72,9.47,10.69,11.81,12.0,11.62,11.28,12.0,12.53,12.22,11.72,11.81,11.66,10.28,9.09,8.69,8.53,7.69,6.41,6.28,7.28,8.31,8.81,9.88,11.16,11.84,11.16,10.47,11.16,12.62,14.22,16.31,19.84,23.84,26.31,27.5,28.16,28.44,27.44,25.19,23.12,21.5,19.53,16.5,13.03,10.47,7.81,4.12,1.12,0.12,0.38,1.22,3.22,6.5,11.25,16.34,20.78,24.97,28.72,30.72,29.84,27.47,25.19,22.91,19.94,17.38,15.88,15.34,13.88,12.0,10.75,10.12,9.31,7.75,6.91,7.22,7.41,6.72,5.62,5.5,5.72,5.72,6.22,8.03,10.97,13.16,14.69,15.81,17.47,17.91,17.34,16.72,16.66,16.31,15.22,13.78,13.38,13.38,12.62,11.59,10.97,11.28,11.47,11.38,11.75,13.66,15.38,15.94,16.62,17.75,18.41,18.06,16.81,16.56,16.59,16.06,14.5,13.47,13.0,11.44,9.28,7.44,7.16,6.53,5.81,5.53,6.72,8.66,10.16,11.44,13.34,15.84,17.41,18.12,19.56,20.75,20.84,19.44,17.03,14.59,11.25,6.59,1.81,-1.16,-2.72,-2.97,-2.16,0.69,5.09,8.91,11.5,13.78,16.38,18.0,18.25,18.72,20.66,22.31,23.0,22.69,22.59,21.72,19.31,16.28,13.81,12.53,11.56,10.59,10.5,11.12,11.53,10.69,9.5,9.75,10.0,9.97,10.47,12.47,15.62,18.91,21.5,24.56,26.94,28.31,27.22,25.41,24.59,23.78,22.53,21.81,22.44,22.75,21.62,19.41,17.66,15.72,14.03,12.56,12.53,14.19,16.16,17.03,17.72,18.72,18.81,17.5,16.34,15.94,15.81,15.91,16.12,17.03,18.69,19.62,19.44,19.62,19.78,19.41,18.19,17.31,17.56,18.31,18.28,18.59,20.03,21.88,22.97,23.84,25.28,26.53,26.62,25.62,24.59,23.72,22.41,20.06,18.0,17.03,16.56,15.34,14.06,13.81,13.38,11.91,10.19,9.16,8.97,9.09,8.69,9.22,10.84,12.25,12.41,12.72,13.78,14.88,15.06,14.88,15.09,15.66,15.91,15.72,16.78,18.12,19.12,18.38,17.34,16.19,15.16,13.34,12.06,11.94,12.12,11.53,10.59,10.0,9.81,9.25,8.66,9.31,11.34,14.0,16.41,19.56,22.97,26.16,27.53,28.03,28.22,27.72,26.25,23.88,22.31,21.19,20.16,18.44,17.56,17.78,18.09,17.59,17.03,16.94,16.88,15.09,13.88,13.88,15.03,16.53,18.25,21.16,24.28,26.75,27.25,27.03,26.47,25.16,22.25,19.56,17.84,17.12,15.53,14.47,14.81,15.84,16.47,16.56,16.44,17.12,17.38,17.0,17.22,18.56,19.53,19.56,19.53,20.03,21.28,21.47,21.97,22.78,24.03,24.16,23.16,22.31,21.62,20.75,19.16,18.09,17.81,18.16,17.75,17.44,17.56,18.59,18.88,18.59,19.28,20.56,21.75,21.97,22.94,24.34,25.75,25.72,25.56,25.91,25.81,24.41,22.84,22.38,22.25,21.62,21.16,20.91,20.84,19.69,18.28,17.25,16.78,16.84,15.97,15.84,16.16,17.03,17.5,18.16,19.53,21.0,21.53,21.19,20.12,19.56,18.38,16.19,14.5,13.81,13.81,13.12,13.16,14.19,15.72,16.62,17.5,19.03,20.59,21.09,20.28,19.5,19.28,19.28,18.91,18.59,19.03,19.34,18.53,17.41,17.06,16.97,16.28,15.19,15.19,16.41,17.5,18.31,19.16,20.44,21.0,20.84,20.5,21.09,22.16,22.69,22.81,23.72,25.0,25.5,24.72,24.09,23.78,22.66,20.75,19.19,18.75,18.06,16.59,15.09,14.16,13.44,12.19,11.41,11.56,13.0,13.47,13.22,13.22,13.41,13.0,12.78,13.12,14.91,16.78,17.69,18.25,18.47,18.41,17.62,16.69,16.59,17.81,18.66,19.12,19.69,20.47,20.66,19.91,19.38,19.97,21.03,21.25,21.53,22.25,22.62,21.66,20.16,18.88,18.53,18.03,17.09,16.22,16.41,16.12,14.94,14.06,14.44,14.59,13.84,13.25,12.97,13.25,13.09,12.56,12.41,12.94,12.25,11.12,10.47,10.59,11.12,11.38,11.59,12.34,12.62,11.81,11.0,10.62,11.88,13.12,14.94,17.31,20.47,23.03,24.34,25.0,25.91,25.66,23.66,21.12,19.34,17.5,15.66,13.5,12.97,13.41,13.5,13.53,13.75,14.59,14.84,14.03,13.75,14.25,14.72,14.69,14.5,15.25,16.0,16.59,16.72,17.5,19.19,20.25,20.97,21.72,22.94,24.22,24.53,24.88,25.53,26.25,26.0,24.81,23.78,22.53,20.72,18.31,16.56,15.91,14.84,13.47,12.44,12.41,12.81,12.91,13.5,14.81,16.19,16.75,16.69,16.72,17.03,16.16,14.44,13.5,13.38,13.19,12.38,11.88,12.41,12.66,12.34,12.5,12.97,13.44,13.44,13.22,13.47,13.78,13.59,12.69,11.66,11.47,11.16,10.84,10.56,10.94,12.28,12.88,13.44,14.53,15.84,16.25,15.78,16.06,17.06,18.06,18.41,18.97,19.69,19.66,18.38,16.41,15.81,15.62,15.59,15.69,16.62,17.59,18.0,17.5,16.84,16.16,15.25,12.97,10.94,10.12,9.72,9.09,8.47,8.91,9.03,8.38,7.28,6.75,7.34,7.97,8.41,9.31,10.62,12.06,12.44,12.75,13.75,14.81,14.69,14.19,14.81,15.25,14.81,13.75,13.41,12.88,11.84,10.41,9.22,9.22,9.12,8.19,7.28,6.84,6.38,5.66,5.06,5.53,6.5,7.19,7.34,8.06,9.5,10.72,10.78,11.06,11.62,11.62,10.81,9.94,9.78,10.31,10.22,9.59,9.81,10.09,10.16,9.44,9.5,10.12,10.78,10.56,10.94,11.81,12.28,11.91,10.97,10.66,10.53,9.91,9.09,9.66,10.75,11.53,11.47,11.59,11.84,11.38,10.16,9.12,9.16,9.69,9.38,9.19,9.5,9.66,9.25,8.06,7.78,7.69,7.75,7.47,7.53,8.06,8.47,7.38,6.31,6.34,6.56,5.97,5.09,4.62,4.28,3.5,2.09,2.06,2.81,3.22,2.69,2.59,2.88,3.5,3.97,4.72,6.69,9.41,11.28,12.81,14.62,16.31,16.56,15.62,14.69,13.66,12.38,10.25,8.66,7.66,6.81,5.31,3.91,3.59,4.0,4.25,4.22,5.09,6.56,6.84,6.16,5.22,4.78,4.0,1.94,0.84,0.88,1.44,1.47,1.5,2.06,2.72,2.03,0.88,0.53,0.91,1.41,2.38,4.12,6.69,8.75,8.84,8.44,8.44,8.34,8.31,8.19,8.88,9.88,9.78,8.47,7.28,6.47,5.03,2.81,1.62,1.81,2.88,3.16,3.56,4.19,4.88,4.34,3.56,3.47,3.88,3.94,3.41,3.75,5.06,6.09,6.75,7.59,8.72,9.88,9.56,8.75,8.66,8.44,7.44,6.19,5.5,5.34,4.69,3.69,3.25,3.84,4.34,4.03,3.81,3.91,4.22,2.91,1.28,0.53,0.38,-0.19,-0.94,-1.03,0.09,0.84,1.47,2.38,4.25,5.47,5.59,5.06,5.31,5.03,3.41,1.62,0.69,0.66,0.56,0.66,1.22,2.56,3.56,4.0,4.5,5.81,6.41,5.62,4.75,4.19,4.06,3.31,2.75,3.12,4.56,5.31,5.84,6.88,7.97,8.47,7.75,7.22,7.47,7.75,7.19,6.97,7.56,8.06,7.66,6.94,6.44,6.59,5.88,4.62,3.5,3.59,3.5,3.31,3.84,5.72,7.34,7.75,7.91,8.16,8.03,6.88,5.44,4.19,4.47,4.94,5.25,6.38,8.34,9.81,10.03,10.19,11.22,11.78,11.16,10.44,10.41,10.88,10.38,9.19,7.97,7.16,5.66,3.88,3.16,3.88,5.16,5.38,5.53,6.59,7.19,6.75,6.5,6.94,7.91,8.44,8.75,9.47,11.19,12.94,14.38,16.22,19.25,21.84,22.47,22.47,22.25,21.5,19.09,15.75,12.25,9.12,4.81,-0.09,-4.03,-5.72,-6.75,-7.16,-6.09,-3.38,-0.84,0.12,0.31,0.41,0.62,0.41,0.69,2.78,6.25,9.44,12.03,14.38,16.44,17.34,17.09,15.94,15.69,14.78,12.03,8.5,5.03,1.72,-2.12,-5.62,-7.53,-8.25,-8.81,-9.03,-9.03,-7.66,-6.25,-5.5,-4.59,-2.75,-0.38,1.59,3.62,6.06,8.75,10.0,9.78,9.16,8.72,7.41,5.16,3.12,2.56,2.47,2.16,2.31,4.19,6.06,7.69,8.59,9.88,11.34,11.81,11.09,10.81,11.06,10.97,10.0,8.91,8.47,7.12,4.69,2.25,1.16,1.34,1.69,2.84,5.59,9.28,12.16,14.38,16.47,18.16,18.72,17.38,15.62,14.19,12.78,10.72,8.66,7.47,7.06,6.28,5.38,5.81,7.16,8.47,8.94,9.59,10.81,11.34,10.75,10.06,10.44,11.03,10.84,9.75,9.25,8.31,6.25,3.12,0.69,-0.44,-0.94,-1.0,0.53,4.31,8.28,11.5,13.81,16.0,16.91,16.25,14.66,13.62,13.59,12.75,11.0,10.0,9.59,8.94,7.38,6.59,6.62,6.56,5.78,5.16,6.38,7.97,9.75,11.31,14.28,17.72,20.5,22.12,23.31,23.59,22.09,18.53,14.53,11.09,8.16,5.28,2.88,2.56,3.22,4.0,4.78,6.25,8.53,10.0,10.47,11.28,12.75,14.12,14.28,14.22,14.81,15.47,15.19,14.62,15.25,15.41:4.56,5.19,5.19,5.25,6.28,7.78,8.72,9.47,10.69,11.81,12.0,11.62,11.28,12.0,12.53,12.22,11.72,11.81,11.66,10.28,9.09,8.69,8.53,7.69,6.41,6.28,7.28,8.31,8.81,9.88,11.16,11.84,11.16,10.47,11.16,12.62,14.22,16.31,19.84,23.84,26.31,27.5,28.16,28.44,27.44,25.19,23.12,21.5,19.53,16.5,13.03,10.47,7.81,4.12,1.12,0.12,0.38,1.22,3.22,6.5,11.25,16.34,20.78,24.97,28.72,30.72,29.84,27.47,25.19,22.91,19.94,17.38,15.88,15.34,13.88,12.0,10.75,10.12,9.31,7.75,6.91,7.22,7.41,6.72,5.62,5.5,5.72,5.72,6.22,8.03,10.97,13.16,14.69,15.81,17.47,17.91,17.34,16.72,16.66,16.31,15.22,13.78,13.38,13.38,12.62,11.59,10.97,11.28,11.47,11.38,11.75,13.66,15.38,15.94,16.62,17.75,18.41,18.06,16.81,16.56,16.59,16.06,14.5,13.47,13.0,11.44,9.28,7.44,7.16,6.53,5.81,5.53,6.72,8.66,10.16,11.44,13.34,15.84,17.41,18.12,19.56,20.75,20.84,19.44,17.03,14.59,11.25,6.59,1.81,-1.16,-2.72,-2.97,-2.16,0.69,5.09,8.91,11.5,13.78,16.38,18.0,18.25,18.72,20.66,22.31,23.0,22.69,22.59,21.72,19.31,16.28,13.81,12.53,11.56,10.59,10.5,11.12,11.53,10.69,9.5,9.75,10.0,9.97,10.47,12.47,15.62,18.91,21.5,24.56,26.94,28.31,27.22,25.41,24.59,23.78,22.53,21.81,22.44,22.75,21.62,19.41,17.66,15.72,14.03,12.56,12.53,14.19,16.16,17.03,17.72,18.72,18.81,17.5,16.34,15.94,15.81,15.91,16.12,17.03,18.69,19.62,19.44,19.62,19.78,19.41,18.19,17.31,17.56,18.31,18.28,18.59,20.03,21.88,22.97,23.84,25.28,26.53,26.62,25.62,24.59,23.72,22.41,20.06,18.0,17.03,16.56,15.34,14.06,13.81,13.38,11.91,10.19,9.16,8.97,9.09,8.69,9.22,10.84,12.25,12.41,12.72,13.78,14.88,15.06,14.88,15.09,15.66,15.91,15.72,16.78,18.12,19.12,18.38,17.34,16.19,15.16,13.34,12.06,11.94,12.12,11.53,10.59,10.0,9.81,9.25,8.66,9.31,11.34,14.0,16.41,19.56,22.97,26.16,27.53,28.03,28.22,27.72,26.25,23.88,22.31,21.19,20.16,18.44,17.56,17.78,18.09,17.59,17.03,16.94,16.88,15.09,13.88,13.88,15.03,16.53,18.25,21.16,24.28,26.75,27.25,27.03,26.47,25.16,22.25,19.56,17.84,17.12,15.53,14.47,14.81,15.84,16.47,16.56,16.44,17.12,17.38,17.0,17.22,18.56,19.53,19.56,19.53,20.03,21.28,21.47,21.97,22.78,24.03,24.16,23.16,22.31,21.62,20.75,19.16,18.09,17.81,18.16,17.75,17.44,17.56,18.59,18.88,18.59,19.28,20.56,21.75,21.97,22.94,24.34,25.75,25.72,25.56,25.91,25.81,24.41,22.84,22.38,22.25,21.62,21.16,20.91,20.84,19.69,18.28,17.25,16.78,16.84,15.97,15.84,16.16,17.03,17.5,18.16,19.53,21.0,21.53,21.19,20.12,19.56,18.38,16.19,14.5,13.81,13.81,13.12,13.16,14.19,15.72,16.62,17.5,19.03,20.59,21.09,20.28,19.5,19.28,19.28,18.91,18.59,19.03,19.34,18.53,17.41,17.06,16.97,16.28,15.19,15.19,16.41,17.5,18.31,19.16,20.44,21.0,20.84,20.5,21.09,22.16,22.69,22.81,23.72,25.0,25.5,24.72,24.09,23.78,22.66,20.75,19.19,18.75,18.06,16.59,15.09,14.16,13.44,12.19,11.41,11.56,13.0,13.47,13.22,13.22,13.41,13.0,12.78,13.12,14.91,16.78,17.69,18.25,18.47,18.41,17.62,16.69,16.59,17.81,18.66,19.12,19.69,20.47,20.66,19.91,19.38,19.97,21.03,21.25,21.53,22.25,22.62,21.66,20.16,18.88,18.53,18.03,17.09,16.22,16.41,16.12,14.94,14.06,14.44,14.59,13.84,13.25,12.97,13.25,13.09,12.56,12.41,12.94,12.25,11.12,10.47,10.59,11.12,11.38,11.59,12.34,12.62,11.81,11.0,10.62,11.88,13.12,14.94,17.31,20.47,23.03,24.34,25.0,25.91,25.66,23.66,21.12,19.34,17.5,15.66,13.5,12.97,13.41,13.5,13.53,13.75,14.59,14.84,14.03,13.75,14.25,14.72,14.69,14.5,15.25,16.0,16.59,16.72,17.5,19.19,20.25,20.97,21.72,22.94,24.22,24.53,24.88,25.53,26.25,26.0,24.81,23.78,22.53,20.72,18.31,16.56,15.91,14.84,13.47,12.44,12.41,12.81,12.91,13.5,14.81,16.19,16.75,16.69,16.72,17.03,16.16,14.44,13.5,13.38,13.19,12.38,11.88,12.41,12.66,12.34,12.5,12.97,13.44,13.44,13.22,13.47,13.78,13.59,12.69,11.66,11.47,11.16,10.84,10.56,10.94,12.28,12.88,13.44,14.53,15.84,16.25,15.78,16.06,17.06,18.06,18.41,18.97,19.69,19.66,18.38,16.41,15.81,15.62,15.59,15.69,16.62,17.59,18.0,17.5,16.84,16.16,15.25,12.97,10.94,10.12,9.72,9.09,8.47,8.91,9.03,8.38,7.28,6.75,7.34,7.97,8.41,9.31,10.62,12.06,12.44,12.75,13.75,14.81,14.69,14.19,14.81,15.25,14.81,13.75,13.41,12.88,11.84,10.41,9.22,9.22,9.12,8.19,7.28,6.84,6.38,5.66,5.06,5.53,6.5,7.19,7.34,8.06,9.5,10.72,10.78,11.06,11.62,11.62,10.81,9.94,9.78,10.31,10.22,9.59,9.81,10.09,10.16,9.44,9.5,10.12,10.78,10.56,10.94,11.81,12.28,11.91,10.97,10.66,10.53,9.91,9.09,9.66,10.75,11.53,11.47,11.59,11.84,11.38,10.16,9.12,9.16,9.69,9.38,9.19,9.5,9.66,9.25,8.06,7.78,7.69,7.75,7.47,7.53,8.06,8.47,7.38,6.31,6.34,6.56,5.97,5.09,4.62,4.28,3.5,2.09,2.06,2.81,3.22,2.69,2.59,2.88,3.5,3.97,4.72,6.69,9.41,11.28,12.81,14.62,16.31,16.56,15.62,14.69,13.66,12.38,10.25,8.66,7.66,6.81,5.31,3.91,3.59,4.0,4.25,4.22,5.09,6.56,6.84,6.16,5.22,4.78,4.0,1.94,0.84,0.88,1.44,1.47,1.5,2.06,2.72,2.03,0.88,0.53,0.91,1.41,2.38,4.12,6.69,8.75,8.84,8.44,8.44,8.34,8.31,8.19,8.88,9.88,9.78,8.47,7.28,6.47,5.03,2.81,1.62,1.81,2.88,3.16,3.56,4.19,4.88,4.34,3.56,3.47,3.88,3.94,3.41,3.75,5.06,6.09,6.75,7.59,8.72,9.88,9.56,8.75,8.66,8.44,7.44,6.19,5.5,5.34,4.69,3.69,3.25,3.84,4.34,4.03,3.81,3.91,4.22,2.91,1.28,0.53,0.38,-0.19,-0.94,-1.03,0.09,0.84,1.47,2.38,4.25,5.47,5.59,5.06,5.31,5.03,3.41,1.62,0.69,0.66,0.56,0.66,1.22,2.56,3.56,4.0,4.5,5.81,6.41,5.62,4.75,4.19,4.06,3.31,2.75,3.12,4.56,5.31,5.84,6.88,7.97,8.47,7.75,7.22,7.47,7.75,7.19,6.97,7.56,8.06,7.66,6.94,6.44,6.59,5.88,4.62,3.5,3.59,3.5,3.31,3.84,5.72,7.34,7.75,7.91,8.16,8.03,6.88,5.44,4.19,4.47,4.94,5.25,6.38,8.34,9.81,10.03,10.19,11.22,11.78,11.16,10.44,10.41,10.88,10.38,9.19,7.97,7.16,5.66,3.88,3.16,3.88,5.16,5.38,5.53,6.59,7.19,6.75,6.5,6.94,7.91,8.44,8.75,9.47,11.19,12.94,14.38,16.22,19.25,21.84,22.47,22.47,22.25,21.5,19.09,15.75,12.25,9.12,4.81,-0.09,-4.03,-5.72,-6.75,-7.16,-6.09,-3.38,-0.84,0.12,0.31,0.41,0.62,0.41,0.69,2.78,6.25,9.44,12.03,14.38,16.44,17.34,17.09,15.94,15.69,14.78,12.03,8.5,5.03,1.72,-2.12,-5.62,-7.53,-8.25,-8.81,-9.03,-9.03,-7.66,-6.25,-5.5,-4.59,-2.75,-0.38,1.59,3.62,6.06,8.75,10.0,9.78,9.16,8.72,7.41,5.16,3.12,2.56,2.47,2.16,2.31,4.19,6.06,7.69,8.59,9.88,11.34,11.81,11.09,10.81,11.06,10.97,10.0,8.91,8.47,7.12,4.69,2.25,1.16,1.34,1.69,2.84,5.59,9.28,12.16,14.38,16.47,18.16,18.72,17.38,15.62,14.19,12.78,10.72,8.66,7.47,7.06,6.28,5.38,5.81,7.16,8.47,8.94,9.59,10.81,11.34,10.75,10.06,10.44,11.03,10.84,9.75,9.25,8.31,6.25,3.12,0.69,-0.44,-0.94,-1.0,0.53,4.31,8.28,11.5,13.81,16.0,16.91,16.25,14.66,13.62,13.59,12.75,11.0,10.0,9.59,8.94,7.38,6.59,6.62,6.56,5.78,5.16,6.38,7.97,9.75,11.31,14.28,17.72,20.5,22.12,23.31,23.59,22.09,18.53,14.53,11.09,8.16,5.28,2.88,2.56,3.22,4.0,4.78,6.25,8.53,10.0,10.47,11.28,12.75,14.12,14.28,14.22,14.81,15.47,15.19,14.62,15.25,15.41,20.62,20.0,18.66,17.69,16.84,16.16,15.53:9.47,10.69,11.81,12.0,11.62,11.28,12.0,12.53,12.22,11.72,11.81,11.66,10.28,9.09,8.69,8.53,7.69,6.41,6.28,7.28,8.31,8.81,9.88,11.16,11.84,11.16,10.47,11.16,12.62,14.22,16.31,19.84,23.84,26.31,27.5,28.16,28.44,27.44,25.19,23.12,21.5,19.53,16.5,13.03,10.47,7.81,4.12,1.12,0.12,0.38,1.22,3.22,6.5,11.25,16.34,20.78,24.97,28.72,30.72,29.84,27.47,25.19,22.91,19.94,17.38,15.88,15.34,13.88,12.0,10.75,10.12,9.31,7.75,6.91,7.22,7.41,6.72,5.62,5.5,5.72,5.72,6.22,8.03,10.97,13.16,14.69,15.81,17.47,17.91,17.34,16.72,16.66,16.31,15.22,13.78,13.38,13.38,12.62,11.59,10.97,11.28,11.47,11.38,11.75,13.66,15.38,15.94,16.62,17.75,18.41,18.06,16.81,16.56,16.59,16.06,14.5,13.47,13.0,11.44,9.28,7.44,7.16,6.53,5.81,5.53,6.72,8.66,10.16,11.44,13.34,15.84,17.41,18.12,19.56,20.75,20.84,19.44,17.03,14.59,11.25,6.59,1.81,-1.16,-2.72,-2.97,-2.16,0.69,5.09,8.91,11.5,13.78,16.38,18.0,18.25,18.72,20.66,22.31,23.0,22.69,22.59,21.72,19.31,16.28,13.81,12.53,11.56,10.59,10.5,11.12,11.53,10.69,9.5,9.75,10.0,9.97,10.47,12.47,15.62,18.91,21.5,24.56,26.94,28.31,27.22,25.41,24.59,23.78,22.53,21.81,22.44,22.75,21.62,19.41,17.66,15.72,14.03,12.56,12.53,14.19,16.16,17.03,17.72,18.72,18.81,17.5,16.34,15.94,15.81,15.91,16.12,17.03,18.69,19.62,19.44,19.62,19.78,19.41,18.19,17.31,17.56,18.31,18.28,18.59,20.03,21.88,22.97,23.84,25.28,26.53,26.62,25.62,24.59,23.72,22.41,20.06,18.0,17.03,16.56,15.34,14.06,13.81,13.38,11.91,10.19,9.16,8.97,9.09,8.69,9.22,10.84,12.25,12.41,12.72,13.78,14.88,15.06,14.88,15.09,15.66,15.91,15.72,16.78,18.12,19.12,18.38,17.34,16.19,15.16,13.34,12.06,11.94,12.12,11.53,10.59,10.0,9.81,9.25,8.66,9.31,11.34,14.0,16.41,19.56,22.97,26.16,27.53,28.03,28.22,27.72,26.25,23.88,22.31,21.19,20.16,18.44,17.56,17.78,18.09,17.59,17.03,16.94,16.88,15.09,13.88,13.88,15.03,16.53,18.25,21.16,24.28,26.75,27.25,27.03,26.47,25.16,22.25,19.56,17.84,17.12,15.53,14.47,14.81,15.84,16.47,16.56,16.44,17.12,17.38,17.0,17.22,18.56,19.53,19.56,19.53,20.03,21.28,21.47,21.97,22.78,24.03,24.16,23.16,22.31,21.62,20.75,19.16,18.09,17.81,18.16,17.75,17.44,17.56,18.59,18.88,18.59,19.28,20.56,21.75,21.97,22.94,24.34,25.75,25.72,25.56,25.91,25.81,24.41,22.84,22.38,22.25,21.62,21.16,20.91,20.84,19.69,18.28,17.25,16.78,16.84,15.97,15.84,16.16,17.03,17.5,18.16,19.53,21.0,21.53,21.19,20.12,19.56,18.38,16.19,14.5,13.81,13.81,13.12,13.16,14.19,15.72,16.62,17.5,19.03,20.59,21.09,20.28,19.5,19.28,19.28,18.91,18.59,19.03,19.34,18.53,17.41,17.06,16.97,16.28,15.19,15.19,16.41,17.5,18.31,19.16,20.44,21.0,20.84,20.5,21.09,22.16,22.69,22.81,23.72,25.0,25.5,24.72,24.09,23.78,22.66,20.75,19.19,18.75,18.06,16.59,15.09,14.16,13.44,12.19,11.41,11.56,13.0,13.47,13.22,13.22,13.41,13.0,12.78,13.12,14.91,16.78,17.69,18.25,18.47,18.41,17.62,16.69,16.59,17.81,18.66,19.12,19.69,20.47,20.66,19.91,19.38,19.97,21.03,21.25,21.53,22.25,22.62,21.66,20.16,18.88,18.53,18.03,17.09,16.22,16.41,16.12,14.94,14.06,14.44,14.59,13.84,13.25,12.97,13.25,13.09,12.56,12.41,12.94,12.25,11.12,10.47,10.59,11.12,11.38,11.59,12.34,12.62,11.81,11.0,10.62,11.88,13.12,14.94,17.31,20.47,23.03,24.34,25.0,25.91,25.66,23.66,21.12,19.34,17.5,15.66,13.5,12.97,13.41,13.5,13.53,13.75,14.59,14.84,14.03,13.75,14.25,14.72,14.69,14.5,15.25,16.0,16.59,16.72,17.5,19.19,20.25,20.97,21.72,22.94,24.22,24.53,24.88,25.53,26.25,26.0,24.81,23.78,22.53,20.72,18.31,16.56,15.91,14.84,13.47,12.44,12.41,12.81,12.91,13.5,14.81,16.19,16.75,16.69,16.72,17.03,16.16,14.44,13.5,13.38,13.19,12.38,11.88,12.41,12.66,12.34,12.5,12.97,13.44,13.44,13.22,13.47,13.78,13.59,12.69,11.66,11.47,11.16,10.84,10.56,10.94,12.28,12.88,13.44,14.53,15.84,16.25,15.78,16.06,17.06,18.06,18.41,18.97,19.69,19.66,18.38,16.41,15.81,15.62,15.59,15.69,16.62,17.59,18.0,17.5,16.84,16.16,15.25,12.97,10.94,10.12,9.72,9.09,8.47,8.91,9.03,8.38,7.28,6.75,7.34,7.97,8.41,9.31,10.62,12.06,12.44,12.75,13.75,14.81,14.69,14.19,14.81,15.25,14.81,13.75,13.41,12.88,11.84,10.41,9.22,9.22,9.12,8.19,7.28,6.84,6.38,5.66,5.06,5.53,6.5,7.19,7.34,8.06,9.5,10.72,10.78,11.06,11.62,11.62,10.81,9.94,9.78,10.31,10.22,9.59,9.81,10.09,10.16,9.44,9.5,10.12,10.78,10.56,10.94,11.81,12.28,11.91,10.97,10.66,10.53,9.91,9.09,9.66,10.75,11.53,11.47,11.59,11.84,11.38,10.16,9.12,9.16,9.69,9.38,9.19,9.5,9.66,9.25,8.06,7.78,7.69,7.75,7.47,7.53,8.06,8.47,7.38,6.31,6.34,6.56,5.97,5.09,4.62,4.28,3.5,2.09,2.06,2.81,3.22,2.69,2.59,2.88,3.5,3.97,4.72,6.69,9.41,11.28,12.81,14.62,16.31,16.56,15.62,14.69,13.66,12.38,10.25,8.66,7.66,6.81,5.31,3.91,3.59,4.0,4.25,4.22,5.09,6.56,6.84,6.16,5.22,4.78,4.0,1.94,0.84,0.88,1.44,1.47,1.5,2.06,2.72,2.03,0.88,0.53,0.91,1.41,2.38,4.12,6.69,8.75,8.84,8.44,8.44,8.34,8.31,8.19,8.88,9.88,9.78,8.47,7.28,6.47,5.03,2.81,1.62,1.81,2.88,3.16,3.56,4.19,4.88,4.34,3.56,3.47,3.88,3.94,3.41,3.75,5.06,6.09,6.75,7.59,8.72,9.88,9.56,8.75,8.66,8.44,7.44,6.19,5.5,5.34,4.69,3.69,3.25,3.84,4.34,4.03,3.81,3.91,4.22,2.91,1.28,0.53,0.38,-0.19,-0.94,-1.03,0.09,0.84,1.47,2.38,4.25,5.47,5.59,5.06,5.31,5.03,3.41,1.62,0.69,0.66,0.56,0.66,1.22,2.56,3.56,4.0,4.5,5.81,6.41,5.62,4.75,4.19,4.06,3.31,2.75,3.12,4.56,5.31,5.84,6.88,7.97,8.47,7.75,7.22,7.47,7.75,7.19,6.97,7.56,8.06,7.66,6.94,6.44,6.59,5.88,4.62,3.5,3.59,3.5,3.31,3.84,5.72,7.34,7.75,7.91,8.16,8.03,6.88,5.44,4.19,4.47,4.94,5.25,6.38,8.34,9.81,10.03,10.19,11.22,11.78,11.16,10.44,10.41,10.88,10.38,9.19,7.97,7.16,5.66,3.88,3.16,3.88,5.16,5.38,5.53,6.59,7.19,6.75,6.5,6.94,7.91,8.44,8.75,9.47,11.19,12.94,14.38,16.22,19.25,21.84,22.47,22.47,22.25,21.5,19.09,15.75,12.25,9.12,4.81,-0.09,-4.03,-5.72,-6.75,-7.16,-6.09,-3.38,-0.84,0.12,0.31,0.41,0.62,0.41,0.69,2.78,6.25,9.44,12.03,14.38,16.44,17.34,17.09,15.94,15.69,14.78,12.03,8.5,5.03,1.72,-2.12,-5.62,-7.53,-8.25,-8.81,-9.03,-9.03,-7.66,-6.25,-5.5,-4.59,-2.75,-0.38,1.59,3.62,6.06,8.75,10.0,9.78,9.16,8.72,7.41,5.16,3.12,2.56,2.47,2.16,2.31,4.19,6.06,7.69,8.59,9.88,11.34,11.81,11.09,10.81,11.06,10.97,10.0,8.91,8.47,7.12,4.69,2.25,1.16,1.34,1.69,2.84,5.59,9.28,12.16,14.38,16.47,18.16,18.72,17.38,15.62,14.19,12.78,10.72,8.66,7.47,7.06,6.28,5.38,5.81,7.16,8.47,8.94,9.59,10.81,11.34,10.75,10.06,10.44,11.03,10.84,9.75,9.25,8.31,6.25,3.12,0.69,-0.44,-0.94,-1.0,0.53,4.31,8.28,11.5,13.81,16.0,16.91,16.25,14.66,13.62,13.59,12.75,11.0,10.0,9.59,8.94,7.38,6.59,6.62,6.56,5.78,5.16,6.38,7.97,9.75,11.31,14.28,17.72,20.5,22.12,23.31,23.59,22.09,18.53,14.53,11.09,8.16,5.28,2.88,2.56,3.22,4.0,4.78,6.25,8.53,10.0,10.47,11.28,12.75,14.12,14.28,14.22,14.81,15.47,15.19,14.62,15.25,15.41,20.62,20.0,18.66,17.69,16.84,16.16,15.53,15.22,15.0,15.22,15.28,16.0,17.44,19.47:12.53,12.22,11.72,11.81,11.66,10.28,9.09,8.69,8.53,7.69,6.41,6.28,7.28,8.31,8.81,9.88,11.16,11.84,11.16,10.47,11.16,12.62,14.22,16.31,19.84,23.84,26.31,27.5,28.16,28.44,27.44,25.19,23.12,21.5,19.53,16.5,13.03,10.47,7.81,4.12,1.12,0.12,0.38,1.22,3.22,6.5,11.25,16.34,20.78,24.97,28.72,30.72,29.84,27.47,25.19,22.91,19.94,17.38,15.88,15.34,13.88,12.0,10.75,10.12,9.31,7.75,6.91,7.22,7.41,6.72,5.62,5.5,5.72,5.72,6.22,8.03,10.97,13.16,14.69,15.81,17.47,17.91,17.34,16.72,16.66,16.31,15.22,13.78,13.38,13.38,12.62,11.59,10.97,11.28,11.47,11.38,11.75,13.66,15.38,15.94,16.62,17.75,18.41,18.06,16.81,16.56,16.59,16.06,14.5,13.47,13.0,11.44,9.28,7.44,7.16,6.53,5.81,5.53,6.72,8.66,10.16,11.44,13.34,15.84,17.41,18.12,19.56,20.75,20.84,19.44,17.03,14.59,11.25,6.59,1.81,-1.16,-2.72,-2.97,-2.16,0.69,5.09,8.91,11.5,13.78,16.38,18.0,18.25,18.72,20.66,22.31,23.0,22.69,22.59,21.72,19.31,16.28,13.81,12.53,11.56,10.59,10.5,11.12,11.53,10.69,9.5,9.75,10.0,9.97,10.47,12.47,15.62,18.91,21.5,24.56,26.94,28.31,27.22,25.41,24.59,23.78,22.53,21.81,22.44,22.75,21.62,19.41,17.66,15.72,14.03,12.56,12.53,14.19,16.16,17.03,17.72,18.72,18.81,17.5,16.34,15.94,15.81,15.91,16.12,17.03,18.69,19.62,19.44,19.62,19.78,19.41,18.19,17.31,17.56,18.31,18.28,18.59,20.03,21.88,22.97,23.84,25.28,26.53,26.62,25.62,24.59,23.72,22.41,20.06,18.0,17.03,16.56,15.34,14.06,13.81,13.38,11.91,10.19,9.16,8.97,9.09,8.69,9.22,10.84,12.25,12.41,12.72,13.78,14.88,15.06,14.88,15.09,15.66,15.91,15.72,16.78,18.12,19.12,18.38,17.34,16.19,15.16,13.34,12.06,11.94,12.12,11.53,10.59,10.0,9.81,9.25,8.66,9.31,11.34,14.0,16.41,19.56,22.97,26.16,27.53,28.03,28.22,27.72,26.25,23.88,22.31,21.19,20.16,18.44,17.56,17.78,18.09,17.59,17.03,16.94,16.88,15.09,13.88,13.88,15.03,16.53,18.25,21.16,24.28,26.75,27.25,27.03,26.47,25.16,22.25,19.56,17.84,17.12,15.53,14.47,14.81,15.84,16.47,16.56,16.44,17.12,17.38,17.0,17.22,18.56,19.53,19.56,19.53,20.03,21.28,21.47,21.97,22.78,24.03,24.16,23.16,22.31,21.62,20.75,19.16,18.09,17.81,18.16,17.75,17.44,17.56,18.59,18.88,18.59,19.28,20.56,21.75,21.97,22.94,24.34,25.75,25.72,25.56,25.91,25.81,24.41,22.84,22.38,22.25,21.62,21.16,20.91,20.84,19.69,18.28,17.25,16.78,16.84,15.97,15.84,16.16,17.03,17.5,18.16,19.53,21.0,21.53,21.19,20.12,19.56,18.38,16.19,14.5,13.81,13.81,13.12,13.16,14.19,15.72,16.62,17.5,19.03,20.59,21.09,20.28,19.5,19.28,19.28,18.91,18.59,19.03,19.34,18.53,17.41,17.06,16.97,16.28,15.19,15.19,16.41,17.5,18.31,19.16,20.44,21.0,20.84,20.5,21.09,22.16,22.69,22.81,23.72,25.0,25.5,24.72,24.09,23.78,22.66,20.75,19.19,18.75,18.06,16.59,15.09,14.16,13.44,12.19,11.41,11.56,13.0,13.47,13.22,13.22,13.41,13.0,12.78,13.12,14.91,16.78,17.69,18.25,18.47,18.41,17.62,16.69,16.59,17.81,18.66,19.12,19.69,20.47,20.66,19.91,19.38,19.97,21.03,21.25,21.53,22.25,22.62,21.66,20.16,18.88,18.53,18.03,17.09,16.22,16.41,16.12,14.94,14.06,14.44,14.59,13.84,13.25,12.97,13.25,13.09,12.56,12.41,12.94,12.25,11.12,10.47,10.59,11.12,11.38,11.59,12.34,12.62,11.81,11.0,10.62,11.88,13.12,14.94,17.31,20.47,23.03,24.34,25.0,25.91,25.66,23.66,21.12,19.34,17.5,15.66,13.5,12.97,13.41,13.5,13.53,13.75,14.59,14.84,14.03,13.75,14.25,14.72,14.69,14.5,15.25,16.0,16.59,16.72,17.5,19.19,20.25,20.97,21.72,22.94,24.22,24.53,24.88,25.53,26.25,26.0,24.81,23.78,22.53,20.72,18.31,16.56,15.91,14.84,13.47,12.44,12.41,12.81,12.91,13.5,14.81,16.19,16.75,16.69,16.72,17.03,16.16,14.44,13.5,13.38,13.19,12.38,11.88,12.41,12.66,12.34,12.5,12.97,13.44,13.44,13.22,13.47,13.78,13.59,12.69,11.66,11.47,11.16,10.84,10.56,10.94,12.28,12.88,13.44,14.53,15.84,16.25,15.78,16.06,17.06,18.06,18.41,18.97,19.69,19.66,18.38,16.41,15.81,15.62,15.59,15.69,16.62,17.59,18.0,17.5,16.84,16.16,15.25,12.97,10.94,10.12,9.72,9.09,8.47,8.91,9.03,8.38,7.28,6.75,7.34,7.97,8.41,9.31,10.62,12.06,12.44,12.75,13.75,14.81,14.69,14.19,14.81,15.25,14.81,13.75,13.41,12.88,11.84,10.41,9.22,9.22,9.12,8.19,7.28,6.84,6.38,5.66,5.06,5.53,6.5,7.19,7.34,8.06,9.5,10.72,10.78,11.06,11.62,11.62,10.81,9.94,9.78,10.31,10.22,9.59,9.81,10.09,10.16,9.44,9.5,10.12,10.78,10.56,10.94,11.81,12.28,11.91,10.97,10.66,10.53,9.91,9.09,9.66,10.75,11.53,11.47,11.59,11.84,11.38,10.16,9.12,9.16,9.69,9.38,9.19,9.5,9.66,9.25,8.06,7.78,7.69,7.75,7.47,7.53,8.06,8.47,7.38,6.31,6.34,6.56,5.97,5.09,4.62,4.28,3.5,2.09,2.06,2.81,3.22,2.69,2.59,2.88,3.5,3.97,4.72,6.69,9.41,11.28,12.81,14.62,16.31,16.56,15.62,14.69,13.66,12.38,10.25,8.66,7.66,6.81,5.31,3.91,3.59,4.0,4.25,4.22,5.09,6.56,6.84,6.16,5.22,4.78,4.0,1.94,0.84,0.88,1.44,1.47,1.5,2.06,2.72,2.03,0.88,0.53,0.91,1.41,2.38,4.12,6.69,8.75,8.84,8.44,8.44,8.34,8.31,8.19,8.88,9.88,9.78,8.47,7.28,6.47,5.03,2.81,1.62,1.81,2.88,3.16,3.56,4.19,4.88,4.34,3.56,3.47,3.88,3.94,3.41,3.75,5.06,6.09,6.75,7.59,8.72,9.88,9.56,8.75,8.66,8.44,7.44,6.19,5.5,5.34,4.69,3.69,3.25,3.84,4.34,4.03,3.81,3.91,4.22,2.91,1.28,0.53,0.38,-0.19,-0.94,-1.03,0.09,0.84,1.47,2.38,4.25,5.47,5.59,5.06,5.31,5.03,3.41,1.62,0.69,0.66,0.56,0.66,1.22,2.56,3.56,4.0,4.5,5.81,6.41,5.62,4.75,4.19,4.06,3.31,2.75,3.12,4.56,5.31,5.84,6.88,7.97,8.47,7.75,7.22,7.47,7.75,7.19,6.97,7.56,8.06,7.66,6.94,6.44,6.59,5.88,4.62,3.5,3.59,3.5,3.31,3.84,5.72,7.34,7.75,7.91,8.16,8.03,6.88,5.44,4.19,4.47,4.94,5.25,6.38,8.34,9.81,10.03,10.19,11.22,11.78,11.16,10.44,10.41,10.88,10.38,9.19,7.97,7.16,5.66,3.88,3.16,3.88,5.16,5.38,5.53,6.59,7.19,6.75,6.5,6.94,7.91,8.44,8.75,9.47,11.19,12.94,14.38,16.22,19.25,21.84,22.47,22.47,22.25,21.5,19.09,15.75,12.25,9.12,4.81,-0.09,-4.03,-5.72,-6.75,-7.16,-6.09,-3.38,-0.84,0.12,0.31,0.41,0.62,0.41,0.69,2.78,6.25,9.44,12.03,14.38,16.44,17.34,17.09,15.94,15.69,14.78,12.03,8.5,5.03,1.72,-2.12,-5.62,-7.53,-8.25,-8.81,-9.03,-9.03,-7.66,-6.25,-5.5,-4.59,-2.75,-0.38,1.59,3.62,6.06,8.75,10.0,9.78,9.16,8.72,7.41,5.16,3.12,2.56,2.47,2.16,2.31,4.19,6.06,7.69,8.59,9.88,11.34,11.81,11.09,10.81,11.06,10.97,10.0,8.91,8.47,7.12,4.69,2.25,1.16,1.34,1.69,2.84,5.59,9.28,12.16,14.38,16.47,18.16,18.72,17.38,15.62,14.19,12.78,10.72,8.66,7.47,7.06,6.28,5.38,5.81,7.16,8.47,8.94,9.59,10.81,11.34,10.75,10.06,10.44,11.03,10.84,9.75,9.25,8.31,6.25,3.12,0.69,-0.44,-0.94,-1.0,0.53,4.31,8.28,11.5,13.81,16.0,16.91,16.25,14.66,13.62,13.59,12.75,11.0,10.0,9.59,8.94,7.38,6.59,6.62,6.56,5.78,5.16,6.38,7.97,9.75,11.31,14.28,17.72,20.5,22.12,23.31,23.59,22.09,18.53,14.53,11.09,8.16,5.28,2.88,2.56,3.22,4.0,4.78,6.25,8.53,10.0,10.47,11.28,12.75,14.12,14.28,14.22,14.81,15.47,15.19,14.62,15.25,15.41,20.62,20.0,18.66,17.69,16.84,16.16,15.53,15.22,15.0,15.22,15.28,16.0,17.44,19.47,20.53,21.06,21.19,20.91,20.06,18.97,18.72:8.69,8.53,7.69,6.41,6.28,7.28,8.31,8.81,9.88,11.16,11.84,11.16,10.47,11.16,12.62,14.22,16.31,19.84,23.84,26.31,27.5,28.16,28.44,27.44,25.19,23.12,21.5,19.53,16.5,13.03,10.47,7.81,4.12,1.12,0.12,0.38,1.22,3.22,6.5,11.25,16.34,20.78,24.97,28.72,30.72,29.84,27.47,25.19,22.91,19.94,17.38,15.88,15.34,13.88,12.0,10.75,10.12,9.31,7.75,6.91,7.22,7.41,6.72,5.62,5.5,5.72,5.72,6.22,8.03,10.97,13.16,14.69,15.81,17.47,17.91,17.34,16.72,16.66,16.31,15.22,13.78,13.38,13.38,12.62,11.59,10.97,11.28,11.47,11.38,11.75,13.66,15.38,15.94,16.62,17.75,18.41,18.06,16.81,16.56,16.59,16.06,14.5,13.47,13.0,11.44,9.28,7.44,7.16,6.53,5.81,5.53,6.72,8.66,10.16,11.44,13.34,15.84,17.41,18.12,19.56,20.75,20.84,19.44,17.03,14.59,11.25,6.59,1.81,-1.16,-2.72,-2.97,-2.16,0.69,5.09,8.91,11.5,13.78,16.38,18.0,18.25,18.72,20.66,22.31,23.0,22.69,22.59,21.72,19.31,16.28,13.81,12.53,11.56,10.59,10.5,11.12,11.53,10.69,9.5,9.75,10.0,9.97,10.47,12.47,15.62,18.91,21.5,24.56,26.94,28.31,27.22,25.41,24.59,23.78,22.53,21.81,22.44,22.75,21.62,19.41,17.66,15.72,14.03,12.56,12.53,14.19,16.16,17.03,17.72,18.72,18.81,17.5,16.34,15.94,15.81,15.91,16.12,17.03,18.69,19.62,19.44,19.62,19.78,19.41,18.19,17.31,17.56,18.31,18.28,18.59,20.03,21.88,22.97,23.84,25.28,26.53,26.62,25.62,24.59,23.72,22.41,20.06,18.0,17.03,16.56,15.34,14.06,13.81,13.38,11.91,10.19,9.16,8.97,9.09,8.69,9.22,10.84,12.25,12.41,12.72,13.78,14.88,15.06,14.88,15.09,15.66,15.91,15.72,16.78,18.12,19.12,18.38,17.34,16.19,15.16,13.34,12.06,11.94,12.12,11.53,10.59,10.0,9.81,9.25,8.66,9.31,11.34,14.0,16.41,19.56,22.97,26.16,27.53,28.03,28.22,27.72,26.25,23.88,22.31,21.19,20.16,18.44,17.56,17.78,18.09,17.59,17.03,16.94,16.88,15.09,13.88,13.88,15.03,16.53,18.25,21.16,24.28,26.75,27.25,27.03,26.47,25.16,22.25,19.56,17.84,17.12,15.53,14.47,14.81,15.84,16.47,16.56,16.44,17.12,17.38,17.0,17.22,18.56,19.53,19.56,19.53,20.03,21.28,21.47,21.97,22.78,24.03,24.16,23.16,22.31,21.62,20.75,19.16,18.09,17.81,18.16,17.75,17.44,17.56,18.59,18.88,18.59,19.28,20.56,21.75,21.97,22.94,24.34,25.75,25.72,25.56,25.91,25.81,24.41,22.84,22.38,22.25,21.62,21.16,20.91,20.84,19.69,18.28,17.25,16.78,16.84,15.97,15.84,16.16,17.03,17.5,18.16,19.53,21.0,21.53,21.19,20.12,19.56,18.38,16.19,14.5,13.81,13.81,13.12,13.16,14.19,15.72,16.62,17.5,19.03,20.59,21.09,20.28,19.5,19.28,19.28,18.91,18.59,19.03,19.34,18.53,17.41,17.06,16.97,16.28,15.19,15.19,16.41,17.5,18.31,19.16,20.44,21.0,20.84,20.5,21.09,22.16,22.69,22.81,23.72,25.0,25.5,24.72,24.09,23.78,22.66,20.75,19.19,18.75,18.06,16.59,15.09,14.16,13.44,12.19,11.41,11.56,13.0,13.47,13.22,13.22,13.41,13.0,12.78,13.12,14.91,16.78,17.69,18.25,18.47,18.41,17.62,16.69,16.59,17.81,18.66,19.12,19.69,20.47,20.66,19.91,19.38,19.97,21.03,21.25,21.53,22.25,22.62,21.66,20.16,18.88,18.53,18.03,17.09,16.22,16.41,16.12,14.94,14.06,14.44,14.59,13.84,13.25,12.97,13.25,13.09,12.56,12.41,12.94,12.25,11.12,10.47,10.59,11.12,11.38,11.59,12.34,12.62,11.81,11.0,10.62,11.88,13.12,14.94,17.31,20.47,23.03,24.34,25.0,25.91,25.66,23.66,21.12,19.34,17.5,15.66,13.5,12.97,13.41,13.5,13.53,13.75,14.59,14.84,14.03,13.75,14.25,14.72,14.69,14.5,15.25,16.0,16.59,16.72,17.5,19.19,20.25,20.97,21.72,22.94,24.22,24.53,24.88,25.53,26.25,26.0,24.81,23.78,22.53,20.72,18.31,16.56,15.91,14.84,13.47,12.44,12.41,12.81,12.91,13.5,14.81,16.19,16.75,16.69,16.72,17.03,16.16,14.44,13.5,13.38,13.19,12.38,11.88,12.41,12.66,12.34,12.5,12.97,13.44,13.44,13.22,13.47,13.78,13.59,12.69,11.66,11.47,11.16,10.84,10.56,10.94,12.28,12.88,13.44,14.53,15.84,16.25,15.78,16.06,17.06,18.06,18.41,18.97,19.69,19.66,18.38,16.41,15.81,15.62,15.59,15.69,16.62,17.59,18.0,17.5,16.84,16.16,15.25,12.97,10.94,10.12,9.72,9.09,8.47,8.91,9.03,8.38,7.28,6.75,7.34,7.97,8.41,9.31,10.62,12.06,12.44,12.75,13.75,14.81,14.69,14.19,14.81,15.25,14.81,13.75,13.41,12.88,11.84,10.41,9.22,9.22,9.12,8.19,7.28,6.84,6.38,5.66,5.06,5.53,6.5,7.19,7.34,8.06,9.5,10.72,10.78,11.06,11.62,11.62,10.81,9.94,9.78,10.31,10.22,9.59,9.81,10.09,10.16,9.44,9.5,10.12,10.78,10.56,10.94,11.81,12.28,11.91,10.97,10.66,10.53,9.91,9.09,9.66,10.75,11.53,11.47,11.59,11.84,11.38,10.16,9.12,9.16,9.69,9.38,9.19,9.5,9.66,9.25,8.06,7.78,7.69,7.75,7.47,7.53,8.06,8.47,7.38,6.31,6.34,6.56,5.97,5.09,4.62,4.28,3.5,2.09,2.06,2.81,3.22,2.69,2.59,2.88,3.5,3.97,4.72,6.69,9.41,11.28,12.81,14.62,16.31,16.56,15.62,14.69,13.66,12.38,10.25,8.66,7.66,6.81,5.31,3.91,3.59,4.0,4.25,4.22,5.09,6.56,6.84,6.16,5.22,4.78,4.0,1.94,0.84,0.88,1.44,1.47,1.5,2.06,2.72,2.03,0.88,0.53,0.91,1.41,2.38,4.12,6.69,8.75,8.84,8.44,8.44,8.34,8.31,8.19,8.88,9.88,9.78,8.47,7.28,6.47,5.03,2.81,1.62,1.81,2.88,3.16,3.56,4.19,4.88,4.34,3.56,3.47,3.88,3.94,3.41,3.75,5.06,6.09,6.75,7.59,8.72,9.88,9.56,8.75,8.66,8.44,7.44,6.19,5.5,5.34,4.69,3.69,3.25,3.84,4.34,4.03,3.81,3.91,4.22,2.91,1.28,0.53,0.38,-0.19,-0.94,-1.03,0.09,0.84,1.47,2.38,4.25,5.47,5.59,5.06,5.31,5.03,3.41,1.62,0.69,0.66,0.56,0.66,1.22,2.56,3.56,4.0,4.5,5.81,6.41,5.62,4.75,4.19,4.06,3.31,2.75,3.12,4.56,5.31,5.84,6.88,7.97,8.47,7.75,7.22,7.47,7.75,7.19,6.97,7.56,8.06,7.66,6.94,6.44,6.59,5.88,4.62,3.5,3.59,3.5,3.31,3.84,5.72,7.34,7.75,7.91,8.16,8.03,6.88,5.44,4.19,4.47,4.94,5.25,6.38,8.34,9.81,10.03,10.19,11.22,11.78,11.16,10.44,10.41,10.88,10.38,9.19,7.97,7.16,5.66,3.88,3.16,3.88,5.16,5.38,5.53,6.59,7.19,6.75,6.5,6.94,7.91,8.44,8.75,9.47,11.19,12.94,14.38,16.22,19.25,21.84,22.47,22.47,22.25,21.5,19.09,15.75,12.25,9.12,4.81,-0.09,-4.03,-5.72,-6.75,-7.16,-6.09,-3.38,-0.84,0.12,0.31,0.41,0.62,0.41,0.69,2.78,6.25,9.44,12.03,14.38,16.44,17.34,17.09,15.94,15.69,14.78,12.03,8.5,5.03,1.72,-2.12,-5.62,-7.53,-8.25,-8.81,-9.03,-9.03,-7.66,-6.25,-5.5,-4.59,-2.75,-0.38,1.59,3.62,6.06,8.75,10.0,9.78,9.16,8.72,7.41,5.16,3.12,2.56,2.47,2.16,2.31,4.19,6.06,7.69,8.59,9.88,11.34,11.81,11.09,10.81,11.06,10.97,10.0,8.91,8.47,7.12,4.69,2.25,1.16,1.34,1.69,2.84,5.59,9.28,12.16,14.38,16.47,18.16,18.72,17.38,15.62,14.19,12.78,10.72,8.66,7.47,7.06,6.28,5.38,5.81,7.16,8.47,8.94,9.59,10.81,11.34,10.75,10.06,10.44,11.03,10.84,9.75,9.25,8.31,6.25,3.12,0.69,-0.44,-0.94,-1.0,0.53,4.31,8.28,11.5,13.81,16.0,16.91,16.25,14.66,13.62,13.59,12.75,11.0,10.0,9.59,8.94,7.38,6.59,6.62,6.56,5.78,5.16,6.38,7.97,9.75,11.31,14.28,17.72,20.5,22.12,23.31,23.59,22.09,18.53,14.53,11.09,8.16,5.28,2.88,2.56,3.22,4.0,4.78,6.25,8.53,10.0,10.47,11.28,12.75,14.12,14.28,14.22,14.81,15.47,15.19,14.62,15.25,15.41,20.62,20.0,18.66,17.69,16.84,16.16,15.53,15.22,15.0,15.22,15.28,16.0,17.44,19.47,20.53,21.06,21.19,20.91,20.06,18.97,18.72,18.53,18.0,17.25,16.47,15.72,14.78,14.19:8.81,9.88,11.16,11.84,11.16,10.47,11.16,12.62,14.22,16.31,19.84,23.84,26.31,27.5,28.16,28.44,27.44,25.19,23.12,21.5,19.53,16.5,13.03,10.47,7.81,4.12,1.12,0.12,0.38,1.22,3.22,6.5,11.25,16.34,20.78,24.97,28.72,30.72,29.84,27.47,25.19,22.91,19.94,17.38,15.88,15.34,13.88,12.0,10.75,10.12,9.31,7.75,6.91,7.22,7.41,6.72,5.62,5.5,5.72,5.72,6.22,8.03,10.97,13.16,14.69,15.81,17.47,17.91,17.34,16.72,16.66,16.31,15.22,13.78,13.38,13.38,12.62,11.59,10.97,11.28,11.47,11.38,11.75,13.66,15.38,15.94,16.62,17.75,18.41,18.06,16.81,16.56,16.59,16.06,14.5,13.47,13.0,11.44,9.28,7.44,7.16,6.53,5.81,5.53,6.72,8.66,10.16,11.44,13.34,15.84,17.41,18.12,19.56,20.75,20.84,19.44,17.03,14.59,11.25,6.59,1.81,-1.16,-2.72,-2.97,-2.16,0.69,5.09,8.91,11.5,13.78,16.38,18.0,18.25,18.72,20.66,22.31,23.0,22.69,22.59,21.72,19.31,16.28,13.81,12.53,11.56,10.59,10.5,11.12,11.53,10.69,9.5,9.75,10.0,9.97,10.47,12.47,15.62,18.91,21.5,24.56,26.94,28.31,27.22,25.41,24.59,23.78,22.53,21.81,22.44,22.75,21.62,19.41,17.66,15.72,14.03,12.56,12.53,14.19,16.16,17.03,17.72,18.72,18.81,17.5,16.34,15.94,15.81,15.91,16.12,17.03,18.69,19.62,19.44,19.62,19.78,19.41,18.19,17.31,17.56,18.31,18.28,18.59,20.03,21.88,22.97,23.84,25.28,26.53,26.62,25.62,24.59,23.72,22.41,20.06,18.0,17.03,16.56,15.34,14.06,13.81,13.38,11.91,10.19,9.16,8.97,9.09,8.69,9.22,10.84,12.25,12.41,12.72,13.78,14.88,15.06,14.88,15.09,15.66,15.91,15.72,16.78,18.12,19.12,18.38,17.34,16.19,15.16,13.34,12.06,11.94,12.12,11.53,10.59,10.0,9.81,9.25,8.66,9.31,11.34,14.0,16.41,19.56,22.97,26.16,27.53,28.03,28.22,27.72,26.25,23.88,22.31,21.19,20.16,18.44,17.56,17.78,18.09,17.59,17.03,16.94,16.88,15.09,13.88,13.88,15.03,16.53,18.25,21.16,24.28,26.75,27.25,27.03,26.47,25.16,22.25,19.56,17.84,17.12,15.53,14.47,14.81,15.84,16.47,16.56,16.44,17.12,17.38,17.0,17.22,18.56,19.53,19.56,19.53,20.03,21.28,21.47,21.97,22.78,24.03,24.16,23.16,22.31,21.62,20.75,19.16,18.09,17.81,18.16,17.75,17.44,17.56,18.59,18.88,18.59,19.28,20.56,21.75,21.97,22.94,24.34,25.75,25.72,25.56,25.91,25.81,24.41,22.84,22.38,22.25,21.62,21.16,20.91,20.84,19.69,18.28,17.25,16.78,16.84,15.97,15.84,16.16,17.03,17.5,18.16,19.53,21.0,21.53,21.19,20.12,19.56,18.38,16.19,14.5,13.81,13.81,13.12,13.16,14.19,15.72,16.62,17.5,19.03,20.59,21.09,20.28,19.5,19.28,19.28,18.91,18.59,19.03,19.34,18.53,17.41,17.06,16.97,16.28,15.19,15.19,16.41,17.5,18.31,19.16,20.44,21.0,20.84,20.5,21.09,22.16,22.69,22.81,23.72,25.0,25.5,24.72,24.09,23.78,22.66,20.75,19.19,18.75,18.06,16.59,15.09,14.16,13.44,12.19,11.41,11.56,13.0,13.47,13.22,13.22,13.41,13.0,12.78,13.12,14.91,16.78,17.69,18.25,18.47,18.41,17.62,16.69,16.59,17.81,18.66,19.12,19.69,20.47,20.66,19.91,19.38,19.97,21.03,21.25,21.53,22.25,22.62,21.66,20.16,18.88,18.53,18.03,17.09,16.22,16.41,16.12,14.94,14.06,14.44,14.59,13.84,13.25,12.97,13.25,13.09,12.56,12.41,12.94,12.25,11.12,10.47,10.59,11.12,11.38,11.59,12.34,12.62,11.81,11.0,10.62,11.88,13.12,14.94,17.31,20.47,23.03,24.34,25.0,25.91,25.66,23.66,21.12,19.34,17.5,15.66,13.5,12.97,13.41,13.5,13.53,13.75,14.59,14.84,14.03,13.75,14.25,14.72,14.69,14.5,15.25,16.0,16.59,16.72,17.5,19.19,20.25,20.97,21.72,22.94,24.22,24.53,24.88,25.53,26.25,26.0,24.81,23.78,22.53,20.72,18.31,16.56,15.91,14.84,13.47,12.44,12.41,12.81,12.91,13.5,14.81,16.19,16.75,16.69,16.72,17.03,16.16,14.44,13.5,13.38,13.19,12.38,11.88,12.41,12.66,12.34,12.5,12.97,13.44,13.44,13.22,13.47,13.78,13.59,12.69,11.66,11.47,11.16,10.84,10.56,10.94,12.28,12.88,13.44,14.53,15.84,16.25,15.78,16.06,17.06,18.06,18.41,18.97,19.69,19.66,18.38,16.41,15.81,15.62,15.59,15.69,16.62,17.59,18.0,17.5,16.84,16.16,15.25,12.97,10.94,10.12,9.72,9.09,8.47,8.91,9.03,8.38,7.28,6.75,7.34,7.97,8.41,9.31,10.62,12.06,12.44,12.75,13.75,14.81,14.69,14.19,14.81,15.25,14.81,13.75,13.41,12.88,11.84,10.41,9.22,9.22,9.12,8.19,7.28,6.84,6.38,5.66,5.06,5.53,6.5,7.19,7.34,8.06,9.5,10.72,10.78,11.06,11.62,11.62,10.81,9.94,9.78,10.31,10.22,9.59,9.81,10.09,10.16,9.44,9.5,10.12,10.78,10.56,10.94,11.81,12.28,11.91,10.97,10.66,10.53,9.91,9.09,9.66,10.75,11.53,11.47,11.59,11.84,11.38,10.16,9.12,9.16,9.69,9.38,9.19,9.5,9.66,9.25,8.06,7.78,7.69,7.75,7.47,7.53,8.06,8.47,7.38,6.31,6.34,6.56,5.97,5.09,4.62,4.28,3.5,2.09,2.06,2.81,3.22,2.69,2.59,2.88,3.5,3.97,4.72,6.69,9.41,11.28,12.81,14.62,16.31,16.56,15.62,14.69,13.66,12.38,10.25,8.66,7.66,6.81,5.31,3.91,3.59,4.0,4.25,4.22,5.09,6.56,6.84,6.16,5.22,4.78,4.0,1.94,0.84,0.88,1.44,1.47,1.5,2.06,2.72,2.03,0.88,0.53,0.91,1.41,2.38,4.12,6.69,8.75,8.84,8.44,8.44,8.34,8.31,8.19,8.88,9.88,9.78,8.47,7.28,6.47,5.03,2.81,1.62,1.81,2.88,3.16,3.56,4.19,4.88,4.34,3.56,3.47,3.88,3.94,3.41,3.75,5.06,6.09,6.75,7.59,8.72,9.88,9.56,8.75,8.66,8.44,7.44,6.19,5.5,5.34,4.69,3.69,3.25,3.84,4.34,4.03,3.81,3.91,4.22,2.91,1.28,0.53,0.38,-0.19,-0.94,-1.03,0.09,0.84,1.47,2.38,4.25,5.47,5.59,5.06,5.31,5.03,3.41,1.62,0.69,0.66,0.56,0.66,1.22,2.56,3.56,4.0,4.5,5.81,6.41,5.62,4.75,4.19,4.06,3.31,2.75,3.12,4.56,5.31,5.84,6.88,7.97,8.47,7.75,7.22,7.47,7.75,7.19,6.97,7.56,8.06,7.66,6.94,6.44,6.59,5.88,4.62,3.5,3.59,3.5,3.31,3.84,5.72,7.34,7.75,7.91,8.16,8.03,6.88,5.44,4.19,4.47,4.94,5.25,6.38,8.34,9.81,10.03,10.19,11.22,11.78,11.16,10.44,10.41,10.88,10.38,9.19,7.97,7.16,5.66,3.88,3.16,3.88,5.16,5.38,5.53,6.59,7.19,6.75,6.5,6.94,7.91,8.44,8.75,9.47,11.19,12.94,14.38,16.22,19.25,21.84,22.47,22.47,22.25,21.5,19.09,15.75,12.25,9.12,4.81,-0.09,-4.03,-5.72,-6.75,-7.16,-6.09,-3.38,-0.84,0.12,0.31,0.41,0.62,0.41,0.69,2.78,6.25,9.44,12.03,14.38,16.44,17.34,17.09,15.94,15.69,14.78,12.03,8.5,5.03,1.72,-2.12,-5.62,-7.53,-8.25,-8.81,-9.03,-9.03,-7.66,-6.25,-5.5,-4.59,-2.75,-0.38,1.59,3.62,6.06,8.75,10.0,9.78,9.16,8.72,7.41,5.16,3.12,2.56,2.47,2.16,2.31,4.19,6.06,7.69,8.59,9.88,11.34,11.81,11.09,10.81,11.06,10.97,10.0,8.91,8.47,7.12,4.69,2.25,1.16,1.34,1.69,2.84,5.59,9.28,12.16,14.38,16.47,18.16,18.72,17.38,15.62,14.19,12.78,10.72,8.66,7.47,7.06,6.28,5.38,5.81,7.16,8.47,8.94,9.59,10.81,11.34,10.75,10.06,10.44,11.03,10.84,9.75,9.25,8.31,6.25,3.12,0.69,-0.44,-0.94,-1.0,0.53,4.31,8.28,11.5,13.81,16.0,16.91,16.25,14.66,13.62,13.59,12.75,11.0,10.0,9.59,8.94,7.38,6.59,6.62,6.56,5.78,5.16,6.38,7.97,9.75,11.31,14.28,17.72,20.5,22.12,23.31,23.59,22.09,18.53,14.53,11.09,8.16,5.28,2.88,2.56,3.22,4.0,4.78,6.25,8.53,10.0,10.47,11.28,12.75,14.12,14.28,14.22,14.81,15.47,15.19,14.62,15.25,15.41,20.62,20.0,18.66,17.69,16.84,16.16,15.53,15.22,15.0,15.22,15.28,16.0,17.44,19.47,20.53,21.06,21.19,20.91,20.06,18.97,18.72,18.53,18.0,17.25,16.47,15.72,14.78,14.19,13.91,14.19,14.91,15.56,16.34,17.69,18.53:12.62,14.22,16.31,19.84,23.84,26.31,27.5,28.16,28.44,27.44,25.19,23.12,21.5,19.53,16.5,13.03,10.47,7.81,4.12,1.12,0.12,0.38,1.22,3.22,6.5,11.25,16.34,20.78,24.97,28.72,30.72,29.84,27.47,25.19,22.91,19.94,17.38,15.88,15.34,13.88,12.0,10.75,10.12,9.31,7.75,6.91,7.22,7.41,6.72,5.62,5.5,5.72,5.72,6.22,8.03,10.97,13.16,14.69,15.81,17.47,17.91,17.34,16.72,16.66,16.31,15.22,13.78,13.38,13.38,12.62,11.59,10.97,11.28,11.47,11.38,11.75,13.66,15.38,15.94,16.62,17.75,18.41,18.06,16.81,16.56,16.59,16.06,14.5,13.47,13.0,11.44,9.28,7.44,7.16,6.53,5.81,5.53,6.72,8.66,10.16,11.44,13.34,15.84,17.41,18.12,19.56,20.75,20.84,19.44,17.03,14.59,11.25,6.59,1.81,-1.16,-2.72,-2.97,-2.16,0.69,5.09,8.91,11.5,13.78,16.38,18.0,18.25,18.72,20.66,22.31,23.0,22.69,22.59,21.72,19.31,16.28,13.81,12.53,11.56,10.59,10.5,11.12,11.53,10.69,9.5,9.75,10.0,9.97,10.47,12.47,15.62,18.91,21.5,24.56,26.94,28.31,27.22,25.41,24.59,23.78,22.53,21.81,22.44,22.75,21.62,19.41,17.66,15.72,14.03,12.56,12.53,14.19,16.16,17.03,17.72,18.72,18.81,17.5,16.34,15.94,15.81,15.91,16.12,17.03,18.69,19.62,19.44,19.62,19.78,19.41,18.19,17.31,17.56,18.31,18.28,18.59,20.03,21.88,22.97,23.84,25.28,26.53,26.62,25.62,24.59,23.72,22.41,20.06,18.0,17.03,16.56,15.34,14.06,13.81,13.38,11.91,10.19,9.16,8.97,9.09,8.69,9.22,10.84,12.25,12.41,12.72,13.78,14.88,15.06,14.88,15.09,15.66,15.91,15.72,16.78,18.12,19.12,18.38,17.34,16.19,15.16,13.34,12.06,11.94,12.12,11.53,10.59,10.0,9.81,9.25,8.66,9.31,11.34,14.0,16.41,19.56,22.97,26.16,27.53,28.03,28.22,27.72,26.25,23.88,22.31,21.19,20.16,18.44,17.56,17.78,18.09,17.59,17.03,16.94,16.88,15.09,13.88,13.88,15.03,16.53,18.25,21.16,24.28,26.75,27.25,27.03,26.47,25.16,22.25,19.56,17.84,17.12,15.53,14.47,14.81,15.84,16.47,16.56,16.44,17.12,17.38,17.0,17.22,18.56,19.53,19.56,19.53,20.03,21.28,21.47,21.97,22.78,24.03,24.16,23.16,22.31,21.62,20.75,19.16,18.09,17.81,18.16,17.75,17.44,17.56,18.59,18.88,18.59,19.28,20.56,21.75,21.97,22.94,24.34,25.75,25.72,25.56,25.91,25.81,24.41,22.84,22.38,22.25,21.62,21.16,20.91,20.84,19.69,18.28,17.25,16.78,16.84,15.97,15.84,16.16,17.03,17.5,18.16,19.53,21.0,21.53,21.19,20.12,19.56,18.38,16.19,14.5,13.81,13.81,13.12,13.16,14.19,15.72,16.62,17.5,19.03,20.59,21.09,20.28,19.5,19.28,19.28,18.91,18.59,19.03,19.34,18.53,17.41,17.06,16.97,16.28,15.19,15.19,16.41,17.5,18.31,19.16,20.44,21.0,20.84,20.5,21.09,22.16,22.69,22.81,23.72,25.0,25.5,24.72,24.09,23.78,22.66,20.75,19.19,18.75,18.06,16.59,15.09,14.16,13.44,12.19,11.41,11.56,13.0,13.47,13.22,13.22,13.41,13.0,12.78,13.12,14.91,16.78,17.69,18.25,18.47,18.41,17.62,16.69,16.59,17.81,18.66,19.12,19.69,20.47,20.66,19.91,19.38,19.97,21.03,21.25,21.53,22.25,22.62,21.66,20.16,18.88,18.53,18.03,17.09,16.22,16.41,16.12,14.94,14.06,14.44,14.59,13.84,13.25,12.97,13.25,13.09,12.56,12.41,12.94,12.25,11.12,10.47,10.59,11.12,11.38,11.59,12.34,12.62,11.81,11.0,10.62,11.88,13.12,14.94,17.31,20.47,23.03,24.34,25.0,25.91,25.66,23.66,21.12,19.34,17.5,15.66,13.5,12.97,13.41,13.5,13.53,13.75,14.59,14.84,14.03,13.75,14.25,14.72,14.69,14.5,15.25,16.0,16.59,16.72,17.5,19.19,20.25,20.97,21.72,22.94,24.22,24.53,24.88,25.53,26.25,26.0,24.81,23.78,22.53,20.72,18.31,16.56,15.91,14.84,13.47,12.44,12.41,12.81,12.91,13.5,14.81,16.19,16.75,16.69,16.72,17.03,16.16,14.44,13.5,13.38,13.19,12.38,11.88,12.41,12.66,12.34,12.5,12.97,13.44,13.44,13.22,13.47,13.78,13.59,12.69,11.66,11.47,11.16,10.84,10.56,10.94,12.28,12.88,13.44,14.53,15.84,16.25,15.78,16.06,17.06,18.06,18.41,18.97,19.69,19.66,18.38,16.41,15.81,15.62,15.59,15.69,16.62,17.59,18.0,17.5,16.84,16.16,15.25,12.97,10.94,10.12,9.72,9.09,8.47,8.91,9.03,8.38,7.28,6.75,7.34,7.97,8.41,9.31,10.62,12.06,12.44,12.75,13.75,14.81,14.69,14.19,14.81,15.25,14.81,13.75,13.41,12.88,11.84,10.41,9.22,9.22,9.12,8.19,7.28,6.84,6.38,5.66,5.06,5.53,6.5,7.19,7.34,8.06,9.5,10.72,10.78,11.06,11.62,11.62,10.81,9.94,9.78,10.31,10.22,9.59,9.81,10.09,10.16,9.44,9.5,10.12,10.78,10.56,10.94,11.81,12.28,11.91,10.97,10.66,10.53,9.91,9.09,9.66,10.75,11.53,11.47,11.59,11.84,11.38,10.16,9.12,9.16,9.69,9.38,9.19,9.5,9.66,9.25,8.06,7.78,7.69,7.75,7.47,7.53,8.06,8.47,7.38,6.31,6.34,6.56,5.97,5.09,4.62,4.28,3.5,2.09,2.06,2.81,3.22,2.69,2.59,2.88,3.5,3.97,4.72,6.69,9.41,11.28,12.81,14.62,16.31,16.56,15.62,14.69,13.66,12.38,10.25,8.66,7.66,6.81,5.31,3.91,3.59,4.0,4.25,4.22,5.09,6.56,6.84,6.16,5.22,4.78,4.0,1.94,0.84,0.88,1.44,1.47,1.5,2.06,2.72,2.03,0.88,0.53,0.91,1.41,2.38,4.12,6.69,8.75,8.84,8.44,8.44,8.34,8.31,8.19,8.88,9.88,9.78,8.47,7.28,6.47,5.03,2.81,1.62,1.81,2.88,3.16,3.56,4.19,4.88,4.34,3.56,3.47,3.88,3.94,3.41,3.75,5.06,6.09,6.75,7.59,8.72,9.88,9.56,8.75,8.66,8.44,7.44,6.19,5.5,5.34,4.69,3.69,3.25,3.84,4.34,4.03,3.81,3.91,4.22,2.91,1.28,0.53,0.38,-0.19,-0.94,-1.03,0.09,0.84,1.47,2.38,4.25,5.47,5.59,5.06,5.31,5.03,3.41,1.62,0.69,0.66,0.56,0.66,1.22,2.56,3.56,4.0,4.5,5.81,6.41,5.62,4.75,4.19,4.06,3.31,2.75,3.12,4.56,5.31,5.84,6.88,7.97,8.47,7.75,7.22,7.47,7.75,7.19,6.97,7.56,8.06,7.66,6.94,6.44,6.59,5.88,4.62,3.5,3.59,3.5,3.31,3.84,5.72,7.34,7.75,7.91,8.16,8.03,6.88,5.44,4.19,4.47,4.94,5.25,6.38,8.34,9.81,10.03,10.19,11.22,11.78,11.16,10.44,10.41,10.88,10.38,9.19,7.97,7.16,5.66,3.88,3.16,3.88,5.16,5.38,5.53,6.59,7.19,6.75,6.5,6.94,7.91,8.44,8.75,9.47,11.19,12.94,14.38,16.22,19.25,21.84,22.47,22.47,22.25,21.5,19.09,15.75,12.25,9.12,4.81,-0.09,-4.03,-5.72,-6.75,-7.16,-6.09,-3.38,-0.84,0.12,0.31,0.41,0.62,0.41,0.69,2.78,6.25,9.44,12.03,14.38,16.44,17.34,17.09,15.94,15.69,14.78,12.03,8.5,5.03,1.72,-2.12,-5.62,-7.53,-8.25,-8.81,-9.03,-9.03,-7.66,-6.25,-5.5,-4.59,-2.75,-0.38,1.59,3.62,6.06,8.75,10.0,9.78,9.16,8.72,7.41,5.16,3.12,2.56,2.47,2.16,2.31,4.19,6.06,7.69,8.59,9.88,11.34,11.81,11.09,10.81,11.06,10.97,10.0,8.91,8.47,7.12,4.69,2.25,1.16,1.34,1.69,2.84,5.59,9.28,12.16,14.38,16.47,18.16,18.72,17.38,15.62,14.19,12.78,10.72,8.66,7.47,7.06,6.28,5.38,5.81,7.16,8.47,8.94,9.59,10.81,11.34,10.75,10.06,10.44,11.03,10.84,9.75,9.25,8.31,6.25,3.12,0.69,-0.44,-0.94,-1.0,0.53,4.31,8.28,11.5,13.81,16.0,16.91,16.25,14.66,13.62,13.59,12.75,11.0,10.0,9.59,8.94,7.38,6.59,6.62,6.56,5.78,5.16,6.38,7.97,9.75,11.31,14.28,17.72,20.5,22.12,23.31,23.59,22.09,18.53,14.53,11.09,8.16,5.28,2.88,2.56,3.22,4.0,4.78,6.25,8.53,10.0,10.47,11.28,12.75,14.12,14.28,14.22,14.81,15.47,15.19,14.62,15.25,15.41,20.62,20.0,18.66,17.69,16.84,16.16,15.53,15.22,15.0,15.22,15.28,16.0,17.44,19.47,20.53,21.06,21.19,20.91,20.06,18.97,18.72,18.53,18.0,17.25,16.47,15.72,14.78,14.19,13.91,14.19,14.91,15.56,16.34,17.69,18.53,18.81,18.41,17.16,15.59,13.38,11.25,9.81:negativity
11.34,12.66,12.38,12.47,13.72,13.47,11.53,9.19,8.75,7.97,5.53,2.94,2.31,2.16,1.31,0.06,0.38,1.31,0.78,-1.78,-4.34,-5.72,-7.38,-10.0,-11.75,-10.72,-9.06,-8.31,-7.38,-5.09,-2.31,-1.03,-0.94,-0.34,1.03,0.94,-1.19,-2.94,-3.84,-5.22,-8.03,-10.34,-10.59,-9.44,-9.19,-9.06,-7.5,-5.38,-4.69,-4.78,-3.59,-1.28,1.0,2.0,3.03,4.97,5.66,4.25,1.09,-0.94,-2.88,-6.22,-10.31,-12.09,-12.88,-13.72,-15.31,-15.75,-14.5,-12.91,-12.53,-11.69,-8.91,-5.72,-3.88,-2.78,-0.31,1.75,1.75,0.16,-0.75,-0.97,-1.69,-3.47,-4.62,-3.5,-3.12,-4.16,-5.25,-5.03,-4.59,-5.53,-7.06,-7.25,-6.72,-7.38,-8.88,-9.34,-8.25,-7.84,-8.53,-8.19,-6.44,-5.12,-5.72,-7.12,-7.78,-8.09,-9.72,-11.03,-10.56,-8.75,-7.22,-6.84,-5.62,-3.41,-1.62,-1.78,-1.47,0.44,2.78,3.62,4.5,6.69,8.94,9.22,7.62,6.16,4.5,1.06,-4.28,-8.69,-10.88,-12.59,-14.66,-14.91,-12.34,-8.59,-5.84,-3.16,0.41,3.75,4.53,3.72,3.66,4.88,5.84,5.38,5.78,7.16,7.97,6.34,4.16,2.62,0.62,-3.22,-7.09,-9.38,-9.56,-9.91,-10.38,-8.91,-5.88,-2.91,-1.44,1.03,4.59,7.69,8.5,8.69,10.34,12.06,11.88,11.56,12.22,13.62,13.53,11.69,10.44,9.97,8.47,5.38,3.16,2.5,2.75,1.81,1.06,1.88,2.94,2.56,1.38,0.66,1.31,0.88,-0.34,-0.62,0.81,2.47,2.66,2.91,3.97,4.69,3.12,0.59,-0.91,-1.84,-3.97,-6.12,-6.91,-5.84,-4.78,-4.69,-3.88,-1.78,-0.22,-1.03,-1.72,-1.09,0.09,0.09,0.25,1.19,2.69,2.31,0.84,-0.38,-0.31,-1.06,-3.09,-4.5,-4.31,-3.91,-4.53,-4.56,-3.0,-0.75,-0.06,-0.25,0.03,1.25,1.5,1.12,1.81,3.84,5.16,4.44,3.28,3.03,2.62,0.78,-0.47,0.22,1.91,1.94,1.81,2.66,4.47,6.0,6.44,7.5,9.03,9.31,7.69,6.12,5.5,5.81,4.5,2.69,1.75,1.06,-1.28,-4.41,-6.06,-5.62,-4.88,-4.91,-3.72,-1.44,0.28,-0.16,-1.28,-1.03,-0.09,-0.31,-0.38,1.03,3.28,3.78,2.41,0.53,-0.5,-2.38,-5.25,-7.38,-7.44,-7.06,-8.09,-9.22,-8.69,-7.22,-6.44,-5.97,-4.41,-1.44,0.09,0.5,1.03,2.69,3.31,2.69,2.16,2.78,3.47,2.41,0.0,-1.53,-3.28,-6.06,-8.66,-9.84,-9.38,-8.97,-9.28,-9.38,-7.88,-6.59,-6.75,-7.28,-6.62,-5.72,-6.59,-7.84,-8.34,-7.78,-8.09,-9.06,-8.81,-7.41,-6.53,-7.25,-7.81,-6.78,-5.47,-4.94,-4.16,-1.56,1.75,3.53,4.62,5.94,7.75,8.59,7.97,7.34,7.53,6.69,4.09,1.56,0.91,0.78,0.06,-1.0,-0.81,-0.34,-2.03,-4.47,-5.75,-6.12,-6.56,-7.59,-8.22,-7.09,-6.59,-7.19,-8.28,-7.75,-6.97,-7.47,-8.38,-7.94,-6.44,-6.41,-7.06,-6.78,-5.66,-5.09,-5.81,-6.88,-6.59,-6.97,-8.75,-10.78,-11.03,-10.16,-10.22,-10.44,-9.31,-7.41,-6.59,-7.0,-6.44,-4.78,-3.84,-4.22,-4.44,-3.31,-2.62,-3.56,-5.25,-5.84,-6.5,-8.53,-11.0,-11.75,-11.19,-11.19,-11.84,-11.88,-10.81,-10.03,-10.44,-10.59,-8.62,-6.38,-5.5,-4.81,-3.28,-1.56,-1.19,-2.38,-3.16,-2.91,-3.78,-5.88,-7.25,-7.41,-7.56,-8.47,-9.59,-9.28,-8.69,-9.31,-10.25,-10.12,-9.38,-9.44,-10.25,-10.22,-9.19,-7.97,-8.12,-7.66,-6.06,-5.03,-5.91,-6.91,-6.84,-6.75,-7.91,-9.44,-9.72,-9.34,-9.62,-10.88,-11.5,-11.56,-11.84,-13.47,-14.56,-14.28,-13.5,-13.66,-14.38,-13.84,-12.66,-12.84,-13.56,-12.94,-11.22,-9.94,-9.69,-9.59,-8.59,-8.22,-9.59,-11.06,-10.78,-10.44,-11.12,-12.09,-11.75,-10.5,-10.62,-11.62,-11.75,-11.44,-11.84,-13.69,-14.91,-14.97,-14.91,-16.41,-18.19,-18.25,-17.72,-18.28,-19.72,-19.44,-18.19,-17.88,-18.16,-17.0,-14.38,-11.75,-10.75,-9.78,-7.78,-6.44,-6.38,-7.19,-7.0,-6.28,-7.5,-9.31,-9.69,-9.09,-8.97,-9.72,-10.03,-9.41,-9.44,-10.97,-12.53,-12.25,-11.47,-11.88,-11.84,-10.34,-8.44,-7.59,-7.97,-7.66,-7.0,-6.88,-8.81,-10.06,-9.94,-9.84,-10.97,-11.62,-10.94,-9.91,-10.25,-11.28,-11.28,-10.62,-11.12,-12.47,-12.81,-11.78,-10.88,-11.91,-12.47,-12.69,-13.09,-15.53,-17.53,-17.41,-15.59,-13.97,-12.06,-8.5,-4.34,-2.12,-2.38,-2.75,-2.97,-4.09,-6.59,-8.91,-10.12,-11.5,-14.56,-17.59,-19.09,-18.97,-18.5,-18.28,-16.16,-12.88,-10.88,-10.16,-8.84,-6.31,-3.78,-2.88,-2.06,-0.25,1.62,0.91,-0.56,-1.41,-2.5,-4.94,-8.69,-11.22,-12.09,-13.12,-14.62,-14.66,-12.31,-10.0,-8.91,-7.66,-5.84,-3.88,-4.31,-5.25,-4.72,-3.22,-1.59,-0.38,1.88,4.78,6.06,4.22,0.75,-2.53,-6.44,-12.09,-16.59,-18.5,-18.56,-18.88,-18.88,-16.84,-13.38,-10.84,-8.94,-6.72,-3.38,-1.06,-0.59,-0.28,1.25,2.59,2.16,2.06,3.25,5.0,5.0,4.03,3.91,4.31,4.59,4.12,4.75,7.78,10.34,11.09,11.22,11.88,11.5,9.22,5.88,3.97,3.38,1.5,-0.34,-0.56,0.69,1.72,2.03,2.59,4.69,6.59,5.78,4.5,4.19,3.28,0.56,-2.31,-4.03,-4.28,-5.28,-7.0,-7.5,-6.56,-6.31,-7.31,-8.0,-6.66,-5.53,-6.09,-7.22,-7.19,-7.25,-9.12,-11.38,-12.0,-10.81,-10.75,-11.06,-10.88,-9.56,-8.78,-9.44,-9.66,-8.12,-6.41,-6.12,-6.62,-5.84,-4.34,-4.66,-5.34,-5.22,-3.38,-2.84,-3.69,-4.25,-4.09,-4.62,-6.88,-8.47,-8.47,-7.69,-8.38,-9.41,-8.84,-7.53,-7.41,-7.78,-7.22,-5.38,-4.53,-5.0,-5.34,-3.97,-2.91,-3.81,-4.5,-3.97,-2.84,-3.66,-5.22,-5.78,-5.56,-6.84,-9.12,-10.84,-10.97,-11.75,-13.31,-13.94,-12.41,-10.53,-9.81,-9.47,-7.69,-5.12,-4.12,-3.94,-2.16,0.97,2.5,3.16,3.66,5.28,5.06,3.22,1.31,1.47,1.75,0.75,-0.03,0.78,2.12,1.28,-0.34,-1.12,-1.31,-2.19,-4.31,-5.62,-5.72,-6.28,-8.0,-9.41,-8.19,-6.12,-4.75,-3.19,0.31,4.72,7.44,8.78,10.84,12.66,13.59,12.31,11.03,10.91,10.0,7.34,4.38,3.5,3.22,2.09,0.81,1.47,2.94,3.31,2.94,3.97,6.56,8.44,8.97,9.34,10.5,11.09,10.0,8.66,9.5,10.53,10.19,8.66,7.47,6.97,4.97,1.62,-0.56,-0.53,-0.59,-1.47,-2.19,-1.09,0.19,-0.31,-0.97,0.16,1.66,1.53,0.34,0.44,2.06,3.41,3.75,4.72,6.56,7.28,5.75,3.78,3.47,3.31,1.78,-0.12,0.38,1.69,1.84,1.53,2.47,4.12,4.41,2.94,1.62,1.72,1.44,-0.47,-2.06,-2.28,-2.34,-4.06,-6.25,-6.59,-5.41,-4.88,-4.53,-2.44,0.88,3.5,4.12,4.19,5.16,5.97,4.84,4.12,5.47,7.38,7.84,7.47,7.97,9.06,9.0,7.31,5.72,5.31,3.94,0.88,-1.62,-2.22,-2.41,-3.69,-4.75,-3.56,-1.53,-0.06,0.19,1.66,3.97,4.41,3.03,1.56,1.88,1.62,0.19,-0.84,0.34,1.69,1.16,-0.09,0.03,0.66,0.44,-0.75,-0.5,1.12,1.81,1.0,0.75,2.03,3.12,2.5,1.91,2.28,2.47,0.69,-1.75,-2.59,-2.28,-2.41,-3.16,-3.22,-2.19,-1.84,-3.44,-4.56,-4.22,-3.88,-4.84,-5.78,-4.56,-3.31,-3.31,-4.12,-3.38,-1.97,-1.09,-2.06,-2.41,-2.22,-2.59,-4.88,-5.94,-5.0,-3.19,-1.75,0.22,4.62,9.47,12.5,13.62,14.91,15.34,13.88,10.75,8.31,7.78,7.06,5.16,4.09,5.16,6.72,6.97,7.41,9.31,11.47,12.19,11.5,11.25,11.28,10.31,7.62,6.09,6.62,7.53,7.16,7.12,8.12,8.69,7.53,5.75,5.06,5.94,6.59,6.44,7.75,10.25,11.91,11.59,11.41,11.78,11.41,8.69,5.62,3.88,2.78,0.44,-2.0,-2.5,-1.94,-2.0,-2.62,-2.19,0.12,1.44,1.03,1.03,2.22,3.78,3.34,3.25,4.88,6.56,6.78,6.75,7.97,10.38,11.91,12.41,13.56,15.91,17.69,17.53,17.22,17.69,17.97,16.72,15.44,15.84,16.62,16.38,14.72,14.16,14.72,15.25,15.06,15.5,17.81,19.91,19.75,19.25,19.78,20.5,19.5,18.34,18.31,19.12,18.59,16.91,15.84,16.0,15.38,13.72,12.47,12.88,13.41,12.38,11.28,11.75,12.72,12.44,11.34,11.84,13.53,14.53,14.75,16.28,18.84,20.78,21.03,20.69,21.62,22.34,21.09,20.09,20.19,20.88,19.5,17.25,16.31,16.12,15.34,13.81,13.5,14.28,14.66,13.47,12.66,12.97,13.66,12.88,11.84,12.25,13.62,13.53,13.06,12.91,14.25,14.69,13.78,13.5,14.25,15.03,13.88,13.06,13.69,15.09,14.47,13.75,13.78,14.56,13.88,11.94,10.69,10.62,9.78,8.28,8.06,9.88,12.59,13.44,14.34,16.12,18.19,18.34,17.94,18.34,19.47,19.59,18.47,18.31:9.19,8.75,7.97,5.53,2.94,2.31,2.16,1.31,0.06,0.38,1.31,0.78,-1.78,-4.34,-5.72,-7.38,-10.0,-11.75,-10.72,-9.06,-8.31,-7.38,-5.09,-2.31,-1.03,-0.94,-0.34,1.03,0.94,-1.19,-2.94,-3.84,-5.22,-8.03,-10.34,-10.59,-9.44,-9.19,-9.06,-7.5,-5.38,-4.69,-4.78,-3.59,-1.28,1.0,2.0,3.03,4.97,5.66,4.25,1.09,-0.94,-2.88,-6.22,-10.31,-12.09,-12.88,-13.72,-15.31,-15.75,-14.5,-12.91,-12.53,-11.69,-8.91,-5.72,-3.88,-2.78,-0.31,1.75,1.75,0.16,-0.75,-0.97,-1.69,-3.47,-4.62,-3.5,-3.12,-4.16,-5.25,-5.03,-4.59,-5.53,-7.06,-7.25,-6.72,-7.38,-8.88,-9.34,-8.25,-7.84,-8.53,-8.19,-6.44,-5.12,-5.72,-7.12,-7.78,-8.09,-9.72,-11.03,-10.56,-8.75,-7.22,-6.84,-5.62,-3.41,-1.62,-1.78,-1.47,0.44,2.78,3.62,4.5,6.69,8.94,9.22,7.62,6.16,4.5,1.06,-4.28,-8.69,-10.88,-12.59,-14.66,-14.91,-12.34,-8.59,-5.84,-3.16,0.41,3.75,4.53,3.72,3.66,4.88,5.84,5.38,5.78,7.16,7.97,6.34,4.16,2.62,0.62,-3.22,-7.09,-9.38,-9.56,-9.91,-10.38,-8.91,-5.88,-2.91,-1.44,1.03,4.59,7.69,8.5,8.69,10.34,12.06,11.88,11.56,12.22,13.62,13.53,11.69,10.44,9.97,8.47,5.38,3.16,2.5,2.75,1.81,1.06,1.88,2.94,2.56,1.38,0.66,1.31,0.88,-0.34,-0.62,0.81,2.47,2.66,2.91,3.97,4.69,3.12,0.59,-0.91,-1.84,-3.97,-6.12,-6.91,-5.84,-4.78,-4.69,-3.88,-1.78,-0.22,-1.03,-1.72,-1.09,0.09,0.09,0.25,1.19,2.69,2.31,0.84,-0.38,-0.31,-1.06,-3.09,-4.5,-4.31,-3.91,-4.53,-4.56,-3.0,-0.75,-0.06,-0.25,0.03,1.25,1.5,1.12,1.81,3.84,5.16,4.44,3.28,3.03,2.62,0.78,-0.47,0.22,1.91,1.94,1.81,2.66,4.47,6.0,6.44,7.5,9.03,9.31,7.69,6.12,5.5,5.81,4.5,2.69,1.75,1.06,-1.28,-4.41,-6.06,-5.62,-4.88,-4.91,-3.72,-1.44,0.28,-0.16,-1.28,-1.03,-0.09,-0.31,-0.38,1.03,3.28,3.78,2.41,0.53,-0.5,-2.38,-5.25,-7.38,-7.44,-7.06,-8.09,-9.22,-8.69,-7.22,-6.44,-5.97,-4.41,-1.44,0.09,0.5,1.03,2.69,3.31,2.69,2.16,2.78,3.47,2.41,0.0,-1.53,-3.28,-6.06,-8.66,-9.84,-9.38,-8.97,-9.28,-9.38,-7.88,-6.59,-6.75,-7.28,-6.62,-5.72,-6.59,-7.84,-8.34,-7.78,-8.09,-9.06,-8.81,-7.41,-6.53,-7.25,-7.81,-6.78,-5.47,-4.94,-4.16,-1.56,1.75,3.53,4.62,5.94,7.75,8.59,7.97,7.34,7.53,6.69,4.09,1.56,0.91,0.78,0.06,-1.0,-0.81,-0.34,-2.03,-4.47,-5.75,-6.12,-6.56,-7.59,-8.22,-7.09,-6.59,-7.19,-8.28,-7.75,-6.97,-7.47,-8.38,-7.94,-6.44,-6.41,-7.06,-6.78,-5.66,-5.09,-5.81,-6.88,-6.59,-6.97,-8.75,-10.78,-11.03,-10.16,-10.22,-10.44,-9.31,-7.41,-6.59,-7.0,-6.44,-4.78,-3.84,-4.22,-4.44,-3.31,-2.62,-3.56,-5.25,-5.84,-6.5,-8.53,-11.0,-11.75,-11.19,-11.19,-11.84,-11.88,-10.81,-10.03,-10.44,-10.59,-8.62,-6.38,-5.5,-4.81,-3.28,-1.56,-1.19,-2.38,-3.16,-2.91,-3.78,-5.88,-7.25,-7.41,-7.56,-8.47,-9.59,-9.28,-8.69,-9.31,-10.25,-10.12,-9.38,-9.44,-10.25,-10.22,-9.19,-7.97,-8.12,-7.66,-6.06,-5.03,-5.91,-6.91,-6.84,-6.75,-7.91,-9.44,-9.72,-9.34,-9.62,-10.88,-11.5,-11.56,-11.84,-13.47,-14.56,-14.28,-13.5,-13.66,-14.38,-13.84,-12.66,-12.84,-13.56,-12.94,-11.22,-9.94,-9.69,-9.59,-8.59,-8.22,-9.59,-11.06,-10.78,-10.44,-11.12,-12.09,-11.75,-10.5,-10.62,-11.62,-11.75,-11.44,-11.84,-13.69,-14.91,-14.97,-14.91,-16.41,-18.19,-18.25,-17.72,-18.28,-19.72,-19.44,-18.19,-17.88,-18.16,-17.0,-14.38,-11.75,-10.75,-9.78,-7.78,-6.44,-6.38,-7.19,-7.0,-6.28,-7.5,-9.31,-9.69,-9.09,-8.97,-9.72,-10.03,-9.41,-9.44,-10.97,-12.53,-12.25,-11.47,-11.88,-11.84,-10.34,-8.44,-7.59,-7.97,-7.66,-7.0,-6.88,-8.81,-10.06,-9.94,-9.84,-10.97,-11.62,-10.94,-9.91,-10.25,-11.28,-11.28,-10.62,-11.12,-12.47,-12.81,-11.78,-10.88,-11.91,-12.47,-12.69,-13.09,-15.53,-17.53,-17.41,-15.59,-13.97,-12.06,-8.5,-4.34,-2.12,-2.38,-2.75,-2.97,-4.09,-6.59,-8.91,-10.12,-11.5,-14.56,-17.59,-19.09,-18.97,-18.5,-18.28,-16.16,-12.88,-10.88,-10.16,-8.84,-6.31,-3.78,-2.88,-2.06,-0.25,1.62,0.91,-0.56,-1.41,-2.5,-4.94,-8.69,-11.22,-12.09,-13.12,-14.62,-14.66,-12.31,-10.0,-8.91,-7.66,-5.84,-3.88,-4.31,-5.25,-4.72,-3.22,-1.59,-0.38,1.88,4.78,6.06,4.22,0.75,-2.53,-6.44,-12.09,-16.59,-18.5,-18.56,-18.88,-18.88,-16.84,-13.38,-10.84,-8.94,-6.72,-3.38,-1.06,-0.59,-0.28,1.25,2.59,2.16,2.06,3.25,5.0,5.0,4.03,3.91,4.31,4.59,4.12,4.75,7.78,10.34,11.09,11.22,11.88,11.5,9.22,5.88,3.97,3.38,1.5,-0.34,-0.56,0.69,1.72,2.03,2.59,4.69,6.59,5.78,4.5,4.19,3.28,0.56,-2.31,-4.03,-4.28,-5.28,-7.0,-7.5,-6.56,-6.31,-7.31,-8.0,-6.66,-5.53,-6.09,-7.22,-7.19,-7.25,-9.12,-11.38,-12.0,-10.81,-10.75,-11.06,-10.88,-9.56,-8.78,-9.44,-9.66,-8.12,-6.41,-6.12,-6.62,-5.84,-4.34,-4.66,-5.34,-5.22,-3.38,-2.84,-3.69,-4.25,-4.09,-4.62,-6.88,-8.47,-8.47,-7.69,-8.38,-9.41,-8.84,-7.53,-7.41,-7.78,-7.22,-5.38,-4.53,-5.0,-5.34,-3.97,-2.91,-3.81,-4.5,-3.97,-2.84,-3.66,-5.22,-5.78,-5.56,-6.84,-9.12,-10.84,-10.97,-11.75,-13.31,-13.94,-12.41,-10.53,-9.81,-9.47,-7.69,-5.12,-4.12,-3.94,-2.16,0.97,2.5,3.16,3.66,5.28,5.06,3.22,1.31,1.47,1.75,0.75,-0.03,0.78,2.12,1.28,-0.34,-1.12,-1.31,-2.19,-4.31,-5.62,-5.72,-6.28,-8.0,-9.41,-8.19,-6.12,-4.75,-3.19,0.31,4.72,7.44,8.78,10.84,12.66,13.59,12.31,11.03,10.91,10.0,7.34,4.38,3.5,3.22,2.09,0.81,1.47,2.94,3.31,2.94,3.97,6.56,8.44,8.97,9.34,10.5,11.09,10.0,8.66,9.5,10.53,10.19,8.66,7.47,6.97,4.97,1.62,-0.56,-0.53,-0.59,-1.47,-2.19,-1.09,0.19,-0.31,-0.97,0.16,1.66,1.53,0.34,0.44,2.06,3.41,3.75,4.72,6.56,7.28,5.75,3.78,3.47,3.31,1.78,-0.12,0.38,1.69,1.84,1.53,2.47,4.12,4.41,2.94,1.62,1.72,1.44,-0.47,-2.06,-2.28,-2.34,-4.06,-6.25,-6.59,-5.41,-4.88,-4.53,-2.44,0.88,3.5,4.12,4.19,5.16,5.97,4.84,4.12,5.47,7.38,7.84,7.47,7.97,9.06,9.0,7.31,5.72,5.31,3.94,0.88,-1.62,-2.22,-2.41,-3.69,-4.75,-3.56,-1.53,-0.06,0.19,1.66,3.97,4.41,3.03,1.56,1.88,1.62,0.19,-0.84,0.34,1.69,1.16,-0.09,0.03,0.66,0.44,-0.75,-0.5,1.12,1.81,1.0,0.75,2.03,3.12,2.5,1.91,2.28,2.47,0.69,-1.75,-2.59,-2.28,-2.41,-3.16,-3.22,-2.19,-1.84,-3.44,-4.56,-4.22,-3.88,-4.84,-5.78,-4.56,-3.31,-3.31,-4.12,-3.38,-1.97,-1.09,-2.06,-2.41,-2.22,-2.59,-4.88,-5.94,-5.0,-3.19,-1.75,0.22,4.62,9.47,12.5,13.62,14.91,15.34,13.88,10.75,8.31,7.78,7.06,5.16,4.09,5.16,6.72,6.97,7.41,9.31,11.47,12.19,11.5,11.25,11.28,10.31,7.62,6.09,6.62,7.53,7.16,7.12,8.12,8.69,7.53,5.75,5.06,5.94,6.59,6.44,7.75,10.25,11.91,11.59,11.41,11.78,11.41,8.69,5.62,3.88,2.78,0.44,-2.0,-2.5,-1.94,-2.0,-2.62,-2.19,0.12,1.44,1.03,1.03,2.22,3.78,3.34,3.25,4.88,6.56,6.78,6.75,7.97,10.38,11.91,12.41,13.56,15.91,17.69,17.53,17.22,17.69,17.97,16.72,15.44,15.84,16.62,16.38,14.72,14.16,14.72,15.25,15.06,15.5,17.81,19.91,19.75,19.25,19.78,20.5,19.5,18.34,18.31,19.12,18.59,16.91,15.84,16.0,15.38,13.72,12.47,12.88,13.41,12.38,11.28,11.75,12.72,12.44,11.34,11.84,13.53,14.53,14.75,16.28,18.84,20.78,21.03,20.69,21.62,22.34,21.09,20.09,20.19,20.88,19.5,17.25,16.31,16.12,15.34,13.81,13.5,14.28,14.66,13.47,12.66,12.97,13.66,12.88,11.84,12.25,13.62,13.53,13.06,12.91,14.25,14.69,13.78,13.5,14.25,15.03,13.88,13.06,13.69,15.09,14.47,13.75,13.78,14.56,13.88,11.94,10.69,10.62,9.78,8.28,8.06,9.88,12.59,13.44,14.34,16.12,18.19,18.34,17.94,18.34,19.47,19.59,18.47,18.31,29.25,30.47,31.38,31.5,31.25,30.62,29.81:1.31,0.06,0.38,1.31,0.78,-1.78,-4.34,-5.72,-7.38,-10.0,-11.75,-10.72,-9.06,-8.31,-7.38,-5.09,-2.31,-1.03,-0.94,-0.34,1.03,0.94,-1.19,-2.94,-3.84,-5.22,-8.03,-10.34,-10.59,-9.44,-9.19,-9.06,-7.5,-5.38,-4.69,-4.78,-3.59,-1.28,1.0,2.0,3.03,4.97,5.66,4.25,1.09,-0.94,-2.88,-6.22,-10.31,-12.09,-12.88,-13.72,-15.31,-15.75,-14.5,-12.91,-12.53,-11.69,-8.91,-5.72,-3.88,-2.78,-0.31,1.75,1.75,0.16,-0.75,-0.97,-1.69,-3.47,-4.62,-3.5,-3.12,-4.16,-5.25,-5.03,-4.59,-5.53,-7.06,-7.25,-6.72,-7.38,-8.88,-9.34,-8.25,-7.84,-8.53,-8.19,-6.44,-5.12,-5.72,-7.12,-7.78,-8.09,-9.72,-11.03,-10.56,-8.75,-7.22,-6.84,-5.62,-3.41,-1.62,-1.78,-1.47,0.44,2.78,3.62,4.5,6.69,8.94,9.22,7.62,6.16,4.5,1.06,-4.28,-8.69,-10.88,-12.59,-14.66,-14.91,-12.34,-8.59,-5.84,-3.16,0.41,3.75,4.53,3.72,3.66,4.88,5.84,5.38,5.78,7.16,7.97,6.34,4.16,2.62,0.62,-3.22,-7.09,-9.38,-9.56,-9.91,-10.38,-8.91,-5.88,-2.91,-1.44,1.03,4.59,7.69,8.5,8.69,10.34,12.06,11.88,11.56,12.22,13.62,13.53,11.69,10.44,9.97,8.47,5.38,3.16,2.5,2.75,1.81,1.06,1.88,2.94,2.56,1.38,0.66,1.31,0.88,-0.34,-0.62,0.81,2.47,2.66,2.91,3.97,4.69,3.12,0.59,-0.91,-1.84,-3.97,-6.12,-6.91,-5.84,-4.78,-4.69,-3.88,-1.78,-0.22,-1.03,-1.72,-1.09,0.09,0.09,0.25,1.19,2.69,2.31,0.84,-0.38,-0.31,-1.06,-3.09,-4.5,-4.31,-3.91,-4.53,-4.56,-3.0,-0.75,-0.06,-0.25,0.03,1.25,1.5,1.12,1.81,3.84,5.16,4.44,3.28,3.03,2.62,0.78,-0.47,0.22,1.91,1.94,1.81,2.66,4.47,6.0,6.44,7.5,9.03,9.31,7.69,6.12,5.5,5.81,4.5,2.69,1.75,1.06,-1.28,-4.41,-6.06,-5.62,-4.88,-4.91,-3.72,-1.44,0.28,-0.16,-1.28,-1.03,-0.09,-0.31,-0.38,1.03,3.28,3.78,2.41,0.53,-0.5,-2.38,-5.25,-7.38,-7.44,-7.06,-8.09,-9.22,-8.69,-7.22,-6.44,-5.97,-4.41,-1.44,0.09,0.5,1.03,2.69,3.31,2.69,2.16,2.78,3.47,2.41,0.0,-1.53,-3.28,-6.06,-8.66,-9.84,-9.38,-8.97,-9.28,-9.38,-7.88,-6.59,-6.75,-7.28,-6.62,-5.72,-6.59,-7.84,-8.34,-7.78,-8.09,-9.06,-8.81,-7.41,-6.53,-7.25,-7.81,-6.78,-5.47,-4.94,-4.16,-1.56,1.75,3.53,4.62,5.94,7.75,8.59,7.97,7.34,7.53,6.69,4.09,1.56,0.91,0.78,0.06,-1.0,-0.81,-0.34,-2.03,-4.47,-5.75,-6.12,-6.56,-7.59,-8.22,-7.09,-6.59,-7.19,-8.28,-7.75,-6.97,-7.47,-8.38,-7.94,-6.44,-6.41,-7.06,-6.78,-5.66,-5.09,-5.81,-6.88,-6.59,-6.97,-8.75,-10.78,-11.03,-10.16,-10.22,-10.44,-9.31,-7.41,-6.59,-7.0,-6.44,-4.78,-3.84,-4.22,-4.44,-3.31,-2.62,-3.56,-5.25,-5.84,-6.5,-8.53,-11.0,-11.75,-11.19,-11.19,-11.84,-11.88,-10.81,-10.03,-10.44,-10.59,-8.62,-6.38,-5.5,-4.81,-3.28,-1.56,-1.19,-2.38,-3.16,-2.91,-3.78,-5.88,-7.25,-7.41,-7.56,-8.47,-9.59,-9.28,-8.69,-9.31,-10.25,-10.12,-9.38,-9.44,-10.25,-10.22,-9.19,-7.97,-8.12,-7.66,-6.06,-5.03,-5.91,-6.91,-6.84,-6.75,-7.91,-9.44,-9.72,-9.34,-9.62,-10.88,-11.5,-11.56,-11.84,-13.47,-14.56,-14.28,-13.5,-13.66,-14.38,-13.84,-12.66,-12.84,-13.56,-12.94,-11.22,-9.94,-9.69,-9.59,-8.59,-8.22,-9.59,-11.06,-10.78,-10.44,-11.12,-12.09,-11.75,-10.5,-10.62,-11.62,-11.75,-11.44,-11.84,-13.69,-14.91,-14.97,-14.91,-16.41,-18.19,-18.25,-17.72,-18.28,-19.72,-19.44,-18.19,-17.88,-18.16,-17.0,-14.38,-11.75,-10.75,-9.78,-7.78,-6.44,-6.38,-7.19,-7.0,-6.28,-7.5,-9.31,-9.69,-9.09,-8.97,-9.72,-10.03,-9.41,-9.44,-10.97,-12.53,-12.25,-11.47,-11.88,-11.84,-10.34,-8.44,-7.59,-7.97,-7.66,-7.0,-6.88,-8.81,-10.06,-9.94,-9.84,-10.97,-11.62,-10.94,-9.91,-10.25,-11.28,-11.28,-10.62,-11.12,-12.47,-12.81,-11.78,-10.88,-11.91,-12.47,-12.69,-13.09,-15.53,-17.53,-17.41,-15.59,-13.97,-12.06,-8.5,-4.34,-2.12,-2.38,-2.75,-2.97,-4.09,-6.59,-8.91,-10.12,-11.5,-14.56,-17.59,-19.09,-18.97,-18.5,-18.28,-16.16,-12.88,-10.88,-10.16,-8.84,-6.31,-3.78,-2.88,-2.06,-0.25,1.62,0.91,-0.56,-1.41,-2.5,-4.94,-8.69,-11.22,-12.09,-13.12,-14.62,-14.66,-12.31,-10.0,-8.91,-7.66,-5.84,-3.88,-4.31,-5.25,-4.72,-3.22,-1.59,-0.38,1.88,4.78,6.06,4.22,0.75,-2.53,-6.44,-12.09,-16.59,-18.5,-18.56,-18.88,-18.88,-16.84,-13.38,-10.84,-8.94,-6.72,-3.38,-1.06,-0.59,-0.28,1.25,2.59,2.16,2.06,3.25,5.0,5.0,4.03,3.91,4.31,4.59,4.12,4.75,7.78,10.34,11.09,11.22,11.88,11.5,9.22,5.88,3.97,3.38,1.5,-0.34,-0.56,0.69,1.72,2.03,2.59,4.69,6.59,5.78,4.5,4.19,3.28,0.56,-2.31,-4.03,-4.28,-5.28,-7.0,-7.5,-6.56,-6.31,-7.31,-8.0,-6.66,-5.53,-6.09,-7.22,-7.19,-7.25,-9.12,-11.38,-12.0,-10.81,-10.75,-11.06,-10.88,-9.56,-8.78,-9.44,-9.66,-8.12,-6.41,-6.12,-6.62,-5.84,-4.34,-4.66,-5.34,-5.22,-3.38,-2.84,-3.69,-4.25,-4.09,-4.62,-6.88,-8.47,-8.47,-7.69,-8.38,-9.41,-8.84,-7.53,-7.41,-7.78,-7.22,-5.38,-4.53,-5.0,-5.34,-3.97,-2.91,-3.81,-4.5,-3.97,-2.84,-3.66,-5.22,-5.78,-5.56,-6.84,-9.12,-10.84,-10.97,-11.75,-13.31,-13.94,-12.41,-10.53,-9.81,-9.47,-7.69,-5.12,-4.12,-3.94,-2.16,0.97,2.5,3.16,3.66,5.28,5.06,3.22,1.31,1.47,1.75,0.75,-0.03,0.78,2.12,1.28,-0.34,-1.12,-1.31,-2.19,-4.31,-5.62,-5.72,-6.28,-8.0,-9.41,-8.19,-6.12,-4.75,-3.19,0.31,4.72,7.44,8.78,10.84,12.66,13.59,12.31,11.03,10.91,10.0,7.34,4.38,3.5,3.22,2.09,0.81,1.47,2.94,3.31,2.94,3.97,6.56,8.44,8.97,9.34,10.5,11.09,10.0,8.66,9.5,10.53,10.19,8.66,7.47,6.97,4.97,1.62,-0.56,-0.53,-0.59,-1.47,-2.19,-1.09,0.19,-0.31,-0.97,0.16,1.66,1.53,0.34,0.44,2.06,3.41,3.75,4.72,6.56,7.28,5.75,3.78,3.47,3.31,1.78,-0.12,0.38,1.69,1.84,1.53,2.47,4.12,4.41,2.94,1.62,1.72,1.44,-0.47,-2.06,-2.28,-2.34,-4.06,-6.25,-6.59,-5.41,-4.88,-4.53,-2.44,0.88,3.5,4.12,4.19,5.16,5.97,4.84,4.12,5.47,7.38,7.84,7.47,7.97,9.06,9.0,7.31,5.72,5.31,3.94,0.88,-1.62,-2.22,-2.41,-3.69,-4.75,-3.56,-1.53,-0.06,0.19,1.66,3.97,4.41,3.03,1.56,1.88,1.62,0.19,-0.84,0.34,1.69,1.16,-0.09,0.03,0.66,0.44,-0.75,-0.5,1.12,1.81,1.0,0.75,2.03,3.12,2.5,1.91,2.28,2.47,0.69,-1.75,-2.59,-2.28,-2.41,-3.16,-3.22,-2.19,-1.84,-3.44,-4.56,-4.22,-3.88,-4.84,-5.78,-4.56,-3.31,-3.31,-4.12,-3.38,-1.97,-1.09,-2.06,-2.41,-2.22,-2.59,-4.88,-5.94,-5.0,-3.19,-1.75,0.22,4.62,9.47,12.5,13.62,14.91,15.34,13.88,10.75,8.31,7.78,7.06,5.16,4.09,5.16,6.72,6.97,7.41,9.31,11.47,12.19,11.5,11.25,11.28,10.31,7.62,6.09,6.62,7.53,7.16,7.12,8.12,8.69,7.53,5.75,5.06,5.94,6.59,6.44,7.75,10.25,11.91,11.59,11.41,11.78,11.41,8.69,5.62,3.88,2.78,0.44,-2.0,-2.5,-1.94,-2.0,-2.62,-2.19,0.12,1.44,1.03,1.03,2.22,3.78,3.34,3.25,4.88,6.56,6.78,6.75,7.97,10.38,11.91,12.41,13.56,15.91,17.69,17.53,17.22,17.69,17.97,16.72,15.44,15.84,16.62,16.38,14.72,14.16,14.72,15.25,15.06,15.5,17.81,19.91,19.75,19.25,19.78,20.5,19.5,18.34,18.31,19.12,18.59,16.91,15.84,16.0,15.38,13.72,12.47,12.88,13.41,12.38,11.28,11.75,12.72,12.44,11.34,11.84,13.53,14.53,14.75,16.28,18.84,20.78,21.03,20.69,21.62,22.34,21.09,20.09,20.19,20.88,19.5,17.25,16.31,16.12,15.34,13.81,13.5,14.28,14.66,13.47,12.66,12.97,13.66,12.88,11.84,12.25,13.62,13.53,13.06,12.91,14.25,14.69,13.78,13.5,14.25,15.03,13.88,13.06,13.69,15.09,14.47,13.75,13.78,14.56,13.88,11.94,10.69,10.62,9.78,8.28,8.06,9.88,12.59,13.44,14.34,16.12,18.19,18.34,17.94,18.34,19.47,19.59,18.47,18.31,29.25,30.47,31.38,31.5,31.25,30.62,29.81,27.97,26.22,25.09,24.38,23.41,22.41,21.47:-5.72,-7.38,-10.0,-11.75,-10.72,-9.06,-8.31,-7.38,-5.09,-2.31,-1.03,-0.94,-0.34,1.03,0.94,-1.19,-2.94,-3.84,-5.22,-8.03,-10.34,-10.59,-9.44,-9.19,-9.06,-7.5,-5.38,-4.69,-4.78,-3.59,-1.28,1.0,2.0,3.03,4.97,5.66,4.25,1.09,-0.94,-2.88,-6.22,-10.31,-12.09,-12.88,-13.72,-15.31,-15.75,-14.5,-12.91,-12.53,-11.69,-8.91,-5.72,-3.88,-2.78,-0.31,1.75,1.75,0.16,-0.75,-0.97,-1.69,-3.47,-4.62,-3.5,-3.12,-4.16,-5.25,-5.03,-4.59,-5.53,-7.06,-7.25,-6.72,-7.38,-8.88,-9.34,-8.25,-7.84,-8.53,-8.19,-6.44,-5.12,-5.72,-7.12,-7.78,-8.09,-9.72,-11.03,-10.56,-8.75,-7.22,-6.84,-5.62,-3.41,-1.62,-1.78,-1.47,0.44,2.78,3.62,4.5,6.69,8.94,9.22,7.62,6.16,4.5,1.06,-4.28,-8.69,-10.88,-12.59,-14.66,-14.91,-12.34,-8.59,-5.84,-3.16,0.41,3.75,4.53,3.72,3.66,4.88,5.84,5.38,5.78,7.16,7.97,6.34,4.16,2.62,0.62,-3.22,-7.09,-9.38,-9.56,-9.91,-10.38,-8.91,-5.88,-2.91,-1.44,1.03,4.59,7.69,8.5,8.69,10.34,12.06,11.88,11.56,12.22,13.62,13.53,11.69,10.44,9.97,8.47,5.38,3.16,2.5,2.75,1.81,1.06,1.88,2.94,2.56,1.38,0.66,1.31,0.88,-0.34,-0.62,0.81,2.47,2.66,2.91,3.97,4.69,3.12,0.59,-0.91,-1.84,-3.97,-6.12,-6.91,-5.84,-4.78,-4.69,-3.88,-1.78,-0.22,-1.03,-1.72,-1.09,0.09,0.09,0.25,1.19,2.69,2.31,0.84,-0.38,-0.31,-1.06,-3.09,-4.5,-4.31,-3.91,-4.53,-4.56,-3.0,-0.75,-0.06,-0.25,0.03,1.25,1.5,1.12,1.81,3.84,5.16,4.44,3.28,3.03,2.62,0.78,-0.47,0.22,1.91,1.94,1.81,2.66,4.47,6.0,6.44,7.5,9.03,9.31,7.69,6.12,5.5,5.81,4.5,2.69,1.75,1.06,-1.28,-4.41,-6.06,-5.62,-4.88,-4.91,-3.72,-1.44,0.28,-0.16,-1.28,-1.03,-0.09,-0.31,-0.38,1.03,3.28,3.78,2.41,0.53,-0.5,-2.38,-5.25,-7.38,-7.44,-7.06,-8.09,-9.22,-8.69,-7.22,-6.44,-5.97,-4.41,-1.44,0.09,0.5,1.03,2.69,3.31,2.69,2.16,2.78,3.47,2.41,0.0,-1.53,-3.28,-6.06,-8.66,-9.84,-9.38,-8.97,-9.28,-9.38,-7.88,-6.59,-6.75,-7.28,-6.62,-5.72,-6.59,-7.84,-8.34,-7.78,-8.09,-9.06,-8.81,-7.41,-6.53,-7.25,-7.81,-6.78,-5.47,-4.94,-4.16,-1.56,1.75,3.53,4.62,5.94,7.75,8.59,7.97,7.34,7.53,6.69,4.09,1.56,0.91,0.78,0.06,-1.0,-0.81,-0.34,-2.03,-4.47,-5.75,-6.12,-6.56,-7.59,-8.22,-7.09,-6.59,-7.19,-8.28,-7.75,-6.97,-7.47,-8.38,-7.94,-6.44,-6.41,-7.06,-6.78,-5.66,-5.09,-5.81,-6.88,-6.59,-6.97,-8.75,-10.78,-11.03,-10.16,-10.22,-10.44,-9.31,-7.41,-6.59,-7.0,-6.44,-4.78,-3.84,-4.22,-4.44,-3.31,-2.62,-3.56,-5.25,-5.84,-6.5,-8.53,-11.0,-11.75,-11.19,-11.19,-11.84,-11.88,-10.81,-10.03,-10.44,-10.59,-8.62,-6.38,-5.5,-4.81,-3.28,-1.56,-1.19,-2.38,-3.16,-2.91,-3.78,-5.88,-7.25,-7.41,-7.56,-8.47,-9.59,-9.28,-8.69,-9.31,-10.25,-10.12,-9.38,-9.44,-10.25,-10.22,-9.19,-7.97,-8.12,-7.66,-6.06,-5.03,-5.91,-6.91,-6.84,-6.75,-7.91,-9.44,-9.72,-9.34,-9.62,-10.88,-11.5,-11.56,-11.84,-13.47,-14.56,-14.28,-13.5,-13.66,-14.38,-13.84,-12.66,-12.84,-13.56,-12.94,-11.22,-9.94,-9.69,-9.59,-8.59,-8.22,-9.59,-11.06,-10.78,-10.44,-11.12,-12.09,-11.75,-10.5,-10.62,-11.62,-11.75,-11.44,-11.84,-13.69,-14.91,-14.97,-14.91,-16.41,-18.19,-18.25,-17.72,-18.28,-19.72,-19.44,-18.19,-17.88,-18.16,-17.0,-14.38,-11.75,-10.75,-9.78,-7.78,-6.44,-6.38,-7.19,-7.0,-6.28,-7.5,-9.31,-9.69,-9.09,-8.97,-9.72,-10.03,-9.41,-9.44,-10.97,-12.53,-12.25,-11.47,-11.88,-11.84,-10.34,-8.44,-7.59,-7.97,-7.66,-7.0,-6.88,-8.81,-10.06,-9.94,-9.84,-10.97,-11.62,-10.94,-9.91,-10.25,-11.28,-11.28,-10.62,-11.12,-12.47,-12.81,-11.78,-10.88,-11.91,-12.47,-12.69,-13.09,-15.53,-17.53,-17.41,-15.59,-13.97,-12.06,-8.5,-4.34,-2.12,-2.38,-2.75,-2.97,-4.09,-6.59,-8.91,-10.12,-11.5,-14.56,-17.59,-19.09,-18.97,-18.5,-18.28,-16.16,-12.88,-10.88,-10.16,-8.84,-6.31,-3.78,-2.88,-2.06,-0.25,1.62,0.91,-0.56,-1.41,-2.5,-4.94,-8.69,-11.22,-12.09,-13.12,-14.62,-14.66,-12.31,-10.0,-8.91,-7.66,-5.84,-3.88,-4.31,-5.25,-4.72,-3.22,-1.59,-0.38,1.88,4.78,6.06,4.22,0.75,-2.53,-6.44,-12.09,-16.59,-18.5,-18.56,-18.88,-18.88,-16.84,-13.38,-10.84,-8.94,-6.72,-3.38,-1.06,-0.59,-0.28,1.25,2.59,2.16,2.06,3.25,5.0,5.0,4.03,3.91,4.31,4.59,4.12,4.75,7.78,10.34,11.09,11.22,11.88,11.5,9.22,5.88,3.97,3.38,1.5,-0.34,-0.56,0.69,1.72,2.03,2.59,4.69,6.59,5.78,4.5,4.19,3.28,0.56,-2.31,-4.03,-4.28,-5.28,-7.0,-7.5,-6.56,-6.31,-7.31,-8.0,-6.66,-5.53,-6.09,-7.22,-7.19,-7.25,-9.12,-11.38,-12.0,-10.81,-10.75,-11.06,-10.88,-9.56,-8.78,-9.44,-9.66,-8.12,-6.41,-6.12,-6.62,-5.84,-4.34,-4.66,-5.34,-5.22,-3.38,-2.84,-3.69,-4.25,-4.09,-4.62,-6.88,-8.47,-8.47,-7.69,-8.38,-9.41,-8.84,-7.53,-7.41,-7.78,-7.22,-5.38,-4.53,-5.0,-5.34,-3.97,-2.91,-3.81,-4.5,-3.97,-2.84,-3.66,-5.22,-5.78,-5.56,-6.84,-9.12,-10.84,-10.97,-11.75,-13.31,-13.94,-12.41,-10.53,-9.81,-9.47,-7.69,-5.12,-4.12,-3.94,-2.16,0.97,2.5,3.16,3.66,5.28,5.06,3.22,1.31,1.47,1.75,0.75,-0.03,0.78,2.12,1.28,-0.34,-1.12,-1.31,-2.19,-4.31,-5.62,-5.72,-6.28,-8.0,-9.41,-8.19,-6.12,-4.75,-3.19,0.31,4.72,7.44,8.78,10.84,12.66,13.59,12.31,11.03,10.91,10.0,7.34,4.38,3.5,3.22,2.09,0.81,1.47,2.94,3.31,2.94,3.97,6.56,8.44,8.97,9.34,10.5,11.09,10.0,8.66,9.5,10.53,10.19,8.66,7.47,6.97,4.97,1.62,-0.56,-0.53,-0.59,-1.47,-2.19,-1.09,0.19,-0.31,-0.97,0.16,1.66,1.53,0.34,0.44,2.06,3.41,3.75,4.72,6.56,7.28,5.75,3.78,3.47,3.31,1.78,-0.12,0.38,1.69,1.84,1.53,2.47,4.12,4.41,2.94,1.62,1.72,1.44,-0.47,-2.06,-2.28,-2.34,-4.06,-6.25,-6.59,-5.41,-4.88,-4.53,-2.44,0.88,3.5,4.12,4.19,5.16,5.97,4.84,4.12,5.47,7.38,7.84,7.47,7.97,9.06,9.0,7.31,5.72,5.31,3.94,0.88,-1.62,-2.22,-2.41,-3.69,-4.75,-3.56,-1.53,-0.06,0.19,1.66,3.97,4.41,3.03,1.56,1.88,1.62,0.19,-0.84,0.34,1.69,1.16,-0.09,0.03,0.66,0.44,-0.75,-0.5,1.12,1.81,1.0,0.75,2.03,3.12,2.5,1.91,2.28,2.47,0.69,-1.75,-2.59,-2.28,-2.41,-3.16,-3.22,-2.19,-1.84,-3.44,-4.56,-4.22,-3.88,-4.84,-5.78,-4.56,-3.31,-3.31,-4.12,-3.38,-1.97,-1.09,-2.06,-2.41,-2.22,-2.59,-4.88,-5.94,-5.0,-3.19,-1.75,0.22,4.62,9.47,12.5,13.62,14.91,15.34,13.88,10.75,8.31,7.78,7.06,5.16,4.09,5.16,6.72,6.97,7.41,9.31,11.47,12.19,11.5,11.25,11.28,10.31,7.62,6.09,6.62,7.53,7.16,7.12,8.12,8.69,7.53,5.75,5.06,5.94,6.59,6.44,7.75,10.25,11.91,11.59,11.41,11.78,11.41,8.69,5.62,3.88,2.78,0.44,-2.0,-2.5,-1.94,-2.0,-2.62,-2.19,0.12,1.44,1.03,1.03,2.22,3.78,3.34,3.25,4.88,6.56,6.78,6.75,7.97,10.38,11.91,12.41,13.56,15.91,17.69,17.53,17.22,17.69,17.97,16.72,15.44,15.84,16.62,16.38,14.72,14.16,14.72,15.25,15.06,15.5,17.81,19.91,19.75,19.25,19.78,20.5,19.5,18.34,18.31,19.12,18.59,16.91,15.84,16.0,15.38,13.72,12.47,12.88,13.41,12.38,11.28,11.75,12.72,12.44,11.34,11.84,13.53,14.53,14.75,16.28,18.84,20.78,21.03,20.69,21.62,22.34,21.09,20.09,20.19,20.88,19.5,17.25,16.31,16.12,15.34,13.81,13.5,14.28,14.66,13.47,12.66,12.97,13.66,12.88,11.84,12.25,13.62,13.53,13.06,12.91,14.25,14.69,13.78,13.5,14.25,15.03,13.88,13.06,13.69,15.09,14.47,13.75,13.78,14.56,13.88,11.94,10.69,10.62,9.78,8.28,8.06,9.88,12.59,13.44,14.34,16.12,18.19,18.34,17.94,18.34,19.47,19.59,18.47,18.31,29.25,30.47,31.38,31.5,31.25,30.62,29.81,27.97,26.22,25.09,24.38,23.41,22.41,21.47,20.81,20.47,20.0,19.44,19.03,18.19,16.56:-7.38,-5.09,-2.31,-1.03,-0.94,-0.34,1.03,0.94,-1.19,-2.94,-3.84,-5.22,-8.03,-10.34,-10.59,-9.44,-9.19,-9.06,-7.5,-5.38,-4.69,-4.78,-3.59,-1.28,1.0,2.0,3.03,4.97,5.66,4.25,1.09,-0.94,-2.88,-6.22,-10.31,-12.09,-12.88,-13.72,-15.31,-15.75,-14.5,-12.91,-12.53,-11.69,-8.91,-5.72,-3.88,-2.78,-0.31,1.75,1.75,0.16,-0.75,-0.97,-1.69,-3.47,-4.62,-3.5,-3.12,-4.16,-5.25,-5.03,-4.59,-5.53,-7.06,-7.25,-6.72,-7.38,-8.88,-9.34,-8.25,-7.84,-8.53,-8.19,-6.44,-5.12,-5.72,-7.12,-7.78,-8.09,-9.72,-11.03,-10.56,-8.75,-7.22,-6.84,-5.62,-3.41,-1.62,-1.78,-1.47,0.44,2.78,3.62,4.5,6.69,8.94,9.22,7.62,6.16,4.5,1.06,-4.28,-8.69,-10.88,-12.59,-14.66,-14.91,-12.34,-8.59,-5.84,-3.16,0.41,3.75,4.53,3.72,3.66,4.88,5.84,5.38,5.78,7.16,7.97,6.34,4.16,2.62,0.62,-3.22,-7.09,-9.38,-9.56,-9.91,-10.38,-8.91,-5.88,-2.91,-1.44,1.03,4.59,7.69,8.5,8.69,10.34,12.06,11.88,11.56,12.22,13.62,13.53,11.69,10.44,9.97,8.47,5.38,3.16,2.5,2.75,1.81,1.06,1.88,2.94,2.56,1.38,0.66,1.31,0.88,-0.34,-0.62,0.81,2.47,2.66,2.91,3.97,4.69,3.12,0.59,-0.91,-1.84,-3.97,-6.12,-6.91,-5.84,-4.78,-4.69,-3.88,-1.78,-0.22,-1.03,-1.72,-1.09,0.09,0.09,0.25,1.19,2.69,2.31,0.84,-0.38,-0.31,-1.06,-3.09,-4.5,-4.31,-3.91,-4.53,-4.56,-3.0,-0.75,-0.06,-0.25,0.03,1.25,1.5,1.12,1.81,3.84,5.16,4.44,3.28,3.03,2.62,0.78,-0.47,0.22,1.91,1.94,1.81,2.66,4.47,6.0,6.44,7.5,9.03,9.31,7.69,6.12,5.5,5.81,4.5,2.69,1.75,1.06,-1.28,-4.41,-6.06,-5.62,-4.88,-4.91,-3.72,-1.44,0.28,-0.16,-1.28,-1.03,-0.09,-0.31,-0.38,1.03,3.28,3.78,2.41,0.53,-0.5,-2.38,-5.25,-7.38,-7.44,-7.06,-8.09,-9.22,-8.69,-7.22,-6.44,-5.97,-4.41,-1.44,0.09,0.5,1.03,2.69,3.31,2.69,2.16,2.78,3.47,2.41,0.0,-1.53,-3.28,-6.06,-8.66,-9.84,-9.38,-8.97,-9.28,-9.38,-7.88,-6.59,-6.75,-7.28,-6.62,-5.72,-6.59,-7.84,-8.34,-7.78,-8.09,-9.06,-8.81,-7.41,-6.53,-7.25,-7.81,-6.78,-5.47,-4.94,-4.16,-1.56,1.75,3.53,4.62,5.94,7.75,8.59,7.97,7.34,7.53,6.69,4.09,1.56,0.91,0.78,0.06,-1.0,-0.81,-0.34,-2.03,-4.47,-5.75,-6.12,-6.56,-7.59,-8.22,-7.09,-6.59,-7.19,-8.28,-7.75,-6.97,-7.47,-8.38,-7.94,-6.44,-6.41,-7.06,-6.78,-5.66,-5.09,-5.81,-6.88,-6.59,-6.97,-8.75,-10.78,-11.03,-10.16,-10.22,-10.44,-9.31,-7.41,-6.59,-7.0,-6.44,-4.78,-3.84,-4.22,-4.44,-3.31,-2.62,-3.56,-5.25,-5.84,-6.5,-8.53,-11.0,-11.75,-11.19,-11.19,-11.84,-11.88,-10.81,-10.03,-10.44,-10.59,-8.62,-6.38,-5.5,-4.81,-3.28,-1.56,-1.19,-2.38,-3.16,-2.91,-3.78,-5.88,-7.25,-7.41,-7.56,-8.47,-9.59,-9.28,-8.69,-9.31,-10.25,-10.12,-9.38,-9.44,-10.25,-10.22,-9.19,-7.97,-8.12,-7.66,-6.06,-5.03,-5.91,-6.91,-6.84,-6.75,-7.91,-9.44,-9.72,-9.34,-9.62,-10.88,-11.5,-11.56,-11.84,-13.47,-14.56,-14.28,-13.5,-13.66,-14.38,-13.84,-12.66,-12.84,-13.56,-12.94,-11.22,-9.94,-9.69,-9.59,-8.59,-8.22,-9.59,-11.06,-10.78,-10.44,-11.12,-12.09,-11.75,-10.5,-10.62,-11.62,-11.75,-11.44,-11.84,-13.69,-14.91,-14.97,-14.91,-16.41,-18.19,-18.25,-17.72,-18.28,-19.72,-19.44,-18.19,-17.88,-18.16,-17.0,-14.38,-11.75,-10.75,-9.78,-7.78,-6.44,-6.38,-7.19,-7.0,-6.28,-7.5,-9.31,-9.69,-9.09,-8.97,-9.72,-10.03,-9.41,-9.44,-10.97,-12.53,-12.25,-11.47,-11.88,-11.84,-10.34,-8.44,-7.59,-7.97,-7.66,-7.0,-6.88,-8.81,-10.06,-9.94,-9.84,-10.97,-11.62,-10.94,-9.91,-10.25,-11.28,-11.28,-10.62,-11.12,-12.47,-12.81,-11.78,-10.88,-11.91,-12.47,-12.69,-13.09,-15.53,-17.53,-17.41,-15.59,-13.97,-12.06,-8.5,-4.34,-2.12,-2.38,-2.75,-2.97,-4.09,-6.59,-8.91,-10.12,-11.5,-14.56,-17.59,-19.09,-18.97,-18.5,-18.28,-16.16,-12.88,-10.88,-10.16,-8.84,-6.31,-3.78,-2.88,-2.06,-0.25,1.62,0.91,-0.56,-1.41,-2.5,-4.94,-8.69,-11.22,-12.09,-13.12,-14.62,-14.66,-12.31,-10.0,-8.91,-7.66,-5.84,-3.88,-4.31,-5.25,-4.72,-3.22,-1.59,-0.38,1.88,4.78,6.06,4.22,0.75,-2.53,-6.44,-12.09,-16.59,-18.5,-18.56,-18.88,-18.88,-16.84,-13.38,-10.84,-8.94,-6.72,-3.38,-1.06,-0.59,-0.28,1.25,2.59,2.16,2.06,3.25,5.0,5.0,4.03,3.91,4.31,4.59,4.12,4.75,7.78,10.34,11.09,11.22,11.88,11.5,9.22,5.88,3.97,3.38,1.5,-0.34,-0.56,0.69,1.72,2.03,2.59,4.69,6.59,5.78,4.5,4.19,3.28,0.56,-2.31,-4.03,-4.28,-5.28,-7.0,-7.5,-6.56,-6.31,-7.31,-8.0,-6.66,-5.53,-6.09,-7.22,-7.19,-7.25,-9.12,-11.38,-12.0,-10.81,-10.75,-11.06,-10.88,-9.56,-8.78,-9.44,-9.66,-8.12,-6.41,-6.12,-6.62,-5.84,-4.34,-4.66,-5.34,-5.22,-3.38,-2.84,-3.69,-4.25,-4.09,-4.62,-6.88,-8.47,-8.47,-7.69,-8.38,-9.41,-8.84,-7.53,-7.41,-7.78,-7.22,-5.38,-4.53,-5.0,-5.34,-3.97,-2.91,-3.81,-4.5,-3.97,-2.84,-3.66,-5.22,-5.78,-5.56,-6.84,-9.12,-10.84,-10.97,-11.75,-13.31,-13.94,-12.41,-10.53,-9.81,-9.47,-7.69,-5.12,-4.12,-3.94,-2.16,0.97,2.5,3.16,3.66,5.28,5.06,3.22,1.31,1.47,1.75,0.75,-0.03,0.78,2.12,1.28,-0.34,-1.12,-1.31,-2.19,-4.31,-5.62,-5.72,-6.28,-8.0,-9.41,-8.19,-6.12,-4.75,-3.19,0.31,4.72,7.44,8.78,10.84,12.66,13.59,12.31,11.03,10.91,10.0,7.34,4.38,3.5,3.22,2.09,0.81,1.47,2.94,3.31,2.94,3.97,6.56,8.44,8.97,9.34,10.5,11.09,10.0,8.66,9.5,10.53,10.19,8.66,7.47,6.97,4.97,1.62,-0.56,-0.53,-0.59,-1.47,-2.19,-1.09,0.19,-0.31,-0.97,0.16,1.66,1.53,0.34,0.44,2.06,3.41,3.75,4.72,6.56,7.28,5.75,3.78,3.47,3.31,1.78,-0.12,0.38,1.69,1.84,1.53,2.47,4.12,4.41,2.94,1.62,1.72,1.44,-0.47,-2.06,-2.28,-2.34,-4.06,-6.25,-6.59,-5.41,-4.88,-4.53,-2.44,0.88,3.5,4.12,4.19,5.16,5.97,4.84,4.12,5.47,7.38,7.84,7.47,7.97,9.06,9.0,7.31,5.72,5.31,3.94,0.88,-1.62,-2.22,-2.41,-3.69,-4.75,-3.56,-1.53,-0.06,0.19,1.66,3.97,4.41,3.03,1.56,1.88,1.62,0.19,-0.84,0.34,1.69,1.16,-0.09,0.03,0.66,0.44,-0.75,-0.5,1.12,1.81,1.0,0.75,2.03,3.12,2.5,1.91,2.28,2.47,0.69,-1.75,-2.59,-2.28,-2.41,-3.16,-3.22,-2.19,-1.84,-3.44,-4.56,-4.22,-3.88,-4.84,-5.78,-4.56,-3.31,-3.31,-4.12,-3.38,-1.97,-1.09,-2.06,-2.41,-2.22,-2.59,-4.88,-5.94,-5.0,-3.19,-1.75,0.22,4.62,9.47,12.5,13.62,14.91,15.34,13.88,10.75,8.31,7.78,7.06,5.16,4.09,5.16,6.72,6.97,7.41,9.31,11.47,12.19,11.5,11.25,11.28,10.31,7.62,6.09,6.62,7.53,7.16,7.12,8.12,8.69,7.53,5.75,5.06,5.94,6.59,6.44,7.75,10.25,11.91,11.59,11.41,11.78,11.41,8.69,5.62,3.88,2.78,0.44,-2.0,-2.5,-1.94,-2.0,-2.62,-2.19,0.12,1.44,1.03,1.03,2.22,3.78,3.34,3.25,4.88,6.56,6.78,6.75,7.97,10.38,11.91,12.41,13.56,15.91,17.69,17.53,17.22,17.69,17.97,16.72,15.44,15.84,16.62,16.38,14.72,14.16,14.72,15.25,15.06,15.5,17.81,19.91,19.75,19.25,19.78,20.5,19.5,18.34,18.31,19.12,18.59,16.91,15.84,16.0,15.38,13.72,12.47,12.88,13.41,12.38,11.28,11.75,12.72,12.44,11.34,11.84,13.53,14.53,14.75,16.28,18.84,20.78,21.03,20.69,21.62,22.34,21.09,20.09,20.19,20.88,19.5,17.25,16.31,16.12,15.34,13.81,13.5,14.28,14.66,13.47,12.66,12.97,13.66,12.88,11.84,12.25,13.62,13.53,13.06,12.91,14.25,14.69,13.78,13.5,14.25,15.03,13.88,13.06,13.69,15.09,14.47,13.75,13.78,14.56,13.88,11.94,10.69,10.62,9.78,8.28,8.06,9.88,12.59,13.44,14.34,16.12,18.19,18.34,17.94,18.34,19.47,19.59,18.47,18.31,29.25,30.47,31.38,31.5,31.25,30.62,29.81,27.97,26.22,25.09,24.38,23.41,22.41,21.47,20.81,20.47,20.0,19.44,19.03,18.19,16.56,14.59,12.94,11.78,10.75,9.91,10.12,11.06:0.94,-1.19,-2.94,-3.84,-5.22,-8.03,-10.34,-10.59,-9.44,-9.19,-9.06,-7.5,-5.38,-4.69,-4.78,-3.59,-1.28,1.0,2.0,3.03,4.97,5.66,4.25,1.09,-0.94,-2.88,-6.22,-10.31,-12.09,-12.88,-13.72,-15.31,-15.75,-14.5,-12.91,-12.53,-11.69,-8.91,-5.72,-3.88,-2.78,-0.31,1.75,1.75,0.16,-0.75,-0.97,-1.69,-3.47,-4.62,-3.5,-3.12,-4.16,-5.25,-5.03,-4.59,-5.53,-7.06,-7.25,-6.72,-7.38,-8.88,-9.34,-8.25,-7.84,-8.53,-8.19,-6.44,-5.12,-5.72,-7.12,-7.78,-8.09,-9.72,-11.03,-10.56,-8.75,-7.22,-6.84,-5.62,-3.41,-1.62,-1.78,-1.47,0.44,2.78,3.62,4.5,6.69,8.94,9.22,7.62,6.16,4.5,1.06,-4.28,-8.69,-10.88,-12.59,-14.66,-14.91,-12.34,-8.59,-5.84,-3.16,0.41,3.75,4.53,3.72,3.66,4.88,5.84,5.38,5.78,7.16,7.97,6.34,4.16,2.62,0.62,-3.22,-7.09,-9.38,-9.56,-9.91,-10.38,-8.91,-5.88,-2.91,-1.44,1.03,4.59,7.69,8.5,8.69,10.34,12.06,11.88,11.56,12.22,13.62,13.53,11.69,10.44,9.97,8.47,5.38,3.16,2.5,2.75,1.81,1.06,1.88,2.94,2.56,1.38,0.66,1.31,0.88,-0.34,-0.62,0.81,2.47,2.66,2.91,3.97,4.69,3.12,0.59,-0.91,-1.84,-3.97,-6.12,-6.91,-5.84,-4.78,-4.69,-3.88,-1.78,-0.22,-1.03,-1.72,-1.09,0.09,0.09,0.25,1.19,2.69,2.31,0.84,-0.38,-0.31,-1.06,-3.09,-4.5,-4.31,-3.91,-4.53,-4.56,-3.0,-0.75,-0.06,-0.25,0.03,1.25,1.5,1.12,1.81,3.84,5.16,4.44,3.28,3.03,2.62,0.78,-0.47,0.22,1.91,1.94,1.81,2.66,4.47,6.0,6.44,7.5,9.03,9.31,7.69,6.12,5.5,5.81,4.5,2.69,1.75,1.06,-1.28,-4.41,-6.06,-5.62,-4.88,-4.91,-3.72,-1.44,0.28,-0.16,-1.28,-1.03,-0.09,-0.31,-0.38,1.03,3.28,3.78,2.41,0.53,-0.5,-2.38,-5.25,-7.38,-7.44,-7.06,-8.09,-9.22,-8.69,-7.22,-6.44,-5.97,-4.41,-1.44,0.09,0.5,1.03,2.69,3.31,2.69,2.16,2.78,3.47,2.41,0.0,-1.53,-3.28,-6.06,-8.66,-9.84,-9.38,-8.97,-9.28,-9.38,-7.88,-6.59,-6.75,-7.28,-6.62,-5.72,-6.59,-7.84,-8.34,-7.78,-8.09,-9.06,-8.81,-7.41,-6.53,-7.25,-7.81,-6.78,-5.47,-4.94,-4.16,-1.56,1.75,3.53,4.62,5.94,7.75,8.59,7.97,7.34,7.53,6.69,4.09,1.56,0.91,0.78,0.06,-1.0,-0.81,-0.34,-2.03,-4.47,-5.75,-6.12,-6.56,-7.59,-8.22,-7.09,-6.59,-7.19,-8.28,-7.75,-6.97,-7.47,-8.38,-7.94,-6.44,-6.41,-7.06,-6.78,-5.66,-5.09,-5.81,-6.88,-6.59,-6.97,-8.75,-10.78,-11.03,-10.16,-10.22,-10.44,-9.31,-7.41,-6.59,-7.0,-6.44,-4.78,-3.84,-4.22,-4.44,-3.31,-2.62,-3.56,-5.25,-5.84,-6.5,-8.53,-11.0,-11.75,-11.19,-11.19,-11.84,-11.88,-10.81,-10.03,-10.44,-10.59,-8.62,-6.38,-5.5,-4.81,-3.28,-1.56,-1.19,-2.38,-3.16,-2.91,-3.78,-5.88,-7.25,-7.41,-7.56,-8.47,-9.59,-9.28,-8.69,-9.31,-10.25,-10.12,-9.38,-9.44,-10.25,-10.22,-9.19,-7.97,-8.12,-7.66,-6.06,-5.03,-5.91,-6.91,-6.84,-6.75,-7.91,-9.44,-9.72,-9.34,-9.62,-10.88,-11.5,-11.56,-11.84,-13.47,-14.56,-14.28,-13.5,-13.66,-14.38,-13.84,-12.66,-12.84,-13.56,-12.94,-11.22,-9.94,-9.69,-9.59,-8.59,-8.22,-9.59,-11.06,-10.78,-10.44,-11.12,-12.09,-11.75,-10.5,-10.62,-11.62,-11.75,-11.44,-11.84,-13.69,-14.91,-14.97,-14.91,-16.41,-18.19,-18.25,-17.72,-18.28,-19.72,-19.44,-18.19,-17.88,-18.16,-17.0,-14.38,-11.75,-10.75,-9.78,-7.78,-6.44,-6.38,-7.19,-7.0,-6.28,-7.5,-9.31,-9.69,-9.09,-8.97,-9.72,-10.03,-9.41,-9.44,-10.97,-12.53,-12.25,-11.47,-11.88,-11.84,-10.34,-8.44,-7.59,-7.97,-7.66,-7.0,-6.88,-8.81,-10.06,-9.94,-9.84,-10.97,-11.62,-10.94,-9.91,-10.25,-11.28,-11.28,-10.62,-11.12,-12.47,-12.81,-11.78,-10.88,-11.91,-12.47,-12.69,-13.09,-15.53,-17.53,-17.41,-15.59,-13.97,-12.06,-8.5,-4.34,-2.12,-2.38,-2.75,-2.97,-4.09,-6.59,-8.91,-10.12,-11.5,-14.56,-17.59,-19.09,-18.97,-18.5,-18.28,-16.16,-12.88,-10.88,-10.16,-8.84,-6.31,-3.78,-2.88,-2.06,-0.25,1.62,0.91,-0.56,-1.41,-2.5,-4.94,-8.69,-11.22,-12.09,-13.12,-14.62,-14.66,-12.31,-10.0,-8.91,-7.66,-5.84,-3.88,-4.31,-5.25,-4.72,-3.22,-1.59,-0.38,1.88,4.78,6.06,4.22,0.75,-2.53,-6.44,-12.09,-16.59,-18.5,-18.56,-18.88,-18.88,-16.84,-13.38,-10.84,-8.94,-6.72,-3.38,-1.06,-0.59,-0.28,1.25,2.59,2.16,2.06,3.25,5.0,5.0,4.03,3.91,4.31,4.59,4.12,4.75,7.78,10.34,11.09,11.22,11.88,11.5,9.22,5.88,3.97,3.38,1.5,-0.34,-0.56,0.69,1.72,2.03,2.59,4.69,6.59,5.78,4.5,4.19,3.28,0.56,-2.31,-4.03,-4.28,-5.28,-7.0,-7.5,-6.56,-6.31,-7.31,-8.0,-6.66,-5.53,-6.09,-7.22,-7.19,-7.25,-9.12,-11.38,-12.0,-10.81,-10.75,-11.06,-10.88,-9.56,-8.78,-9.44,-9.66,-8.12,-6.41,-6.12,-6.62,-5.84,-4.34,-4.66,-5.34,-5.22,-3.38,-2.84,-3.69,-4.25,-4.09,-4.62,-6.88,-8.47,-8.47,-7.69,-8.38,-9.41,-8.84,-7.53,-7.41,-7.78,-7.22,-5.38,-4.53,-5.0,-5.34,-3.97,-2.91,-3.81,-4.5,-3.97,-2.84,-3.66,-5.22,-5.78,-5.56,-6.84,-9.12,-10.84,-10.97,-11.75,-13.31,-13.94,-12.41,-10.53,-9.81,-9.47,-7.69,-5.12,-4.12,-3.94,-2.16,0.97,2.5,3.16,3.66,5.28,5.06,3.22,1.31,1.47,1.75,0.75,-0.03,0.78,2.12,1.28,-0.34,-1.12,-1.31,-2.19,-4.31,-5.62,-5.72,-6.28,-8.0,-9.41,-8.19,-6.12,-4.75,-3.19,0.31,4.72,7.44,8.78,10.84,12.66,13.59,12.31,11.03,10.91,10.0,7.34,4.38,3.5,3.22,2.09,0.81,1.47,2.94,3.31,2.94,3.97,6.56,8.44,8.97,9.34,10.5,11.09,10.0,8.66,9.5,10.53,10.19,8.66,7.47,6.97,4.97,1.62,-0.56,-0.53,-0.59,-1.47,-2.19,-1.09,0.19,-0.31,-0.97,0.16,1.66,1.53,0.34,0.44,2.06,3.41,3.75,4.72,6.56,7.28,5.75,3.78,3.47,3.31,1.78,-0.12,0.38,1.69,1.84,1.53,2.47,4.12,4.41,2.94,1.62,1.72,1.44,-0.47,-2.06,-2.28,-2.34,-4.06,-6.25,-6.59,-5.41,-4.88,-4.53,-2.44,0.88,3.5,4.12,4.19,5.16,5.97,4.84,4.12,5.47,7.38,7.84,7.47,7.97,9.06,9.0,7.31,5.72,5.31,3.94,0.88,-1.62,-2.22,-2.41,-3.69,-4.75,-3.56,-1.53,-0.06,0.19,1.66,3.97,4.41,3.03,1.56,1.88,1.62,0.19,-0.84,0.34,1.69,1.16,-0.09,0.03,0.66,0.44,-0.75,-0.5,1.12,1.81,1.0,0.75,2.03,3.12,2.5,1.91,2.28,2.47,0.69,-1.75,-2.59,-2.28,-2.41,-3.16,-3.22,-2.19,-1.84,-3.44,-4.56,-4.22,-3.88,-4.84,-5.78,-4.56,-3.31,-3.31,-4.12,-3.38,-1.97,-1.09,-2.06,-2.41,-2.22,-2.59,-4.88,-5.94,-5.0,-3.19,-1.75,0.22,4.62,9.47,12.5,13.62,14.91,15.34,13.88,10.75,8.31,7.78,7.06,5.16,4.09,5.16,6.72,6.97,7.41,9.31,11.47,12.19,11.5,11.25,11.28,10.31,7.62,6.09,6.62,7.53,7.16,7.12,8.12,8.69,7.53,5.75,5.06,5.94,6.59,6.44,7.75,10.25,11.91,11.59,11.41,11.78,11.41,8.69,5.62,3.88,2.78,0.44,-2.0,-2.5,-1.94,-2.0,-2.62,-2.19,0.12,1.44,1.03,1.03,2.22,3.78,3.34,3.25,4.88,6.56,6.78,6.75,7.97,10.38,11.91,12.41,13.56,15.91,17.69,17.53,17.22,17.69,17.97,16.72,15.44,15.84,16.62,16.38,14.72,14.16,14.72,15.25,15.06,15.5,17.81,19.91,19.75,19.25,19.78,20.5,19.5,18.34,18.31,19.12,18.59,16.91,15.84,16.0,15.38,13.72,12.47,12.88,13.41,12.38,11.28,11.75,12.72,12.44,11.34,11.84,13.53,14.53,14.75,16.28,18.84,20.78,21.03,20.69,21.62,22.34,21.09,20.09,20.19,20.88,19.5,17.25,16.31,16.12,15.34,13.81,13.5,14.28,14.66,13.47,12.66,12.97,13.66,12.88,11.84,12.25,13.62,13.53,13.06,12.91,14.25,14.69,13.78,13.5,14.25,15.03,13.88,13.06,13.69,15.09,14.47,13.75,13.78,14.56,13.88,11.94,10.69,10.62,9.78,8.28,8.06,9.88,12.59,13.44,14.34,16.12,18.19,18.34,17.94,18.34,19.47,19.59,18.47,18.31,29.25,30.47,31.38,31.5,31.25,30.62,29.81,27.97,26.22,25.09,24.38,23.41,22.41,21.47,20.81,20.47,20.0,19.44,19.03,18.19,16.56,14.59,12.94,11.78,10.75,9.91,10.12,11.06,12.34,13.22,14.81,16.84,18.31,19.31,20.09:-10.59,-9.44,-9.19,-9.06,-7.5,-5.38,-4.69,-4.78,-3.59,-1.28,1.0,2.0,3.03,4.97,5.66,4.25,1.09,-0.94,-2.88,-6.22,-10.31,-12.09,-12.88,-13.72,-15.31,-15.75,-14.5,-12.91,-12.53,-11.69,-8.91,-5.72,-3.88,-2.78,-0.31,1.75,1.75,0.16,-0.75,-0.97,-1.69,-3.47,-4.62,-3.5,-3.12,-4.16,-5.25,-5.03,-4.59,-5.53,-7.06,-7.25,-6.72,-7.38,-8.88,-9.34,-8.25,-7.84,-8.53,-8.19,-6.44,-5.12,-5.72,-7.12,-7.78,-8.09,-9.72,-11.03,-10.56,-8.75,-7.22,-6.84,-5.62,-3.41,-1.62,-1.78,-1.47,0.44,2.78,3.62,4.5,6.69,8.94,9.22,7.62,6.16,4.5,1.06,-4.28,-8.69,-10.88,-12.59,-14.66,-14.91,-12.34,-8.59,-5.84,-3.16,0.41,3.75,4.53,3.72,3.66,4.88,5.84,5.38,5.78,7.16,7.97,6.34,4.16,2.62,0.62,-3.22,-7.09,-9.38,-9.56,-9.91,-10.38,-8.91,-5.88,-2.91,-1.44,1.03,4.59,7.69,8.5,8.69,10.34,12.06,11.88,11.56,12.22,13.62,13.53,11.69,10.44,9.97,8.47,5.38,3.16,2.5,2.75,1.81,1.06,1.88,2.94,2.56,1.38,0.66,1.31,0.88,-0.34,-0.62,0.81,2.47,2.66,2.91,3.97,4.69,3.12,0.59,-0.91,-1.84,-3.97,-6.12,-6.91,-5.84,-4.78,-4.69,-3.88,-1.78,-0.22,-1.03,-1.72,-1.09,0.09,0.09,0.25,1.19,2.69,2.31,0.84,-0.38,-0.31,-1.06,-3.09,-4.5,-4.31,-3.91,-4.53,-4.56,-3.0,-0.75,-0.06,-0.25,0.03,1.25,1.5,1.12,1.81,3.84,5.16,4.44,3.28,3.03,2.62,0.78,-0.47,0.22,1.91,1.94,1.81,2.66,4.47,6.0,6.44,7.5,9.03,9.31,7.69,6.12,5.5,5.81,4.5,2.69,1.75,1.06,-1.28,-4.41,-6.06,-5.62,-4.88,-4.91,-3.72,-1.44,0.28,-0.16,-1.28,-1.03,-0.09,-0.31,-0.38,1.03,3.28,3.78,2.41,0.53,-0.5,-2.38,-5.25,-7.38,-7.44,-7.06,-8.09,-9.22,-8.69,-7.22,-6.44,-5.97,-4.41,-1.44,0.09,0.5,1.03,2.69,3.31,2.69,2.16,2.78,3.47,2.41,0.0,-1.53,-3.28,-6.06,-8.66,-9.84,-9.38,-8.97,-9.28,-9.38,-7.88,-6.59,-6.75,-7.28,-6.62,-5.72,-6.59,-7.84,-8.34,-7.78,-8.09,-9.06,-8.81,-7.41,-6.53,-7.25,-7.81,-6.78,-5.47,-4.94,-4.16,-1.56,1.75,3.53,4.62,5.94,7.75,8.59,7.97,7.34,7.53,6.69,4.09,1.56,0.91,0.78,0.06,-1.0,-0.81,-0.34,-2.03,-4.47,-5.75,-6.12,-6.56,-7.59,-8.22,-7.09,-6.59,-7.19,-8.28,-7.75,-6.97,-7.47,-8.38,-7.94,-6.44,-6.41,-7.06,-6.78,-5.66,-5.09,-5.81,-6.88,-6.59,-6.97,-8.75,-10.78,-11.03,-10.16,-10.22,-10.44,-9.31,-7.41,-6.59,-7.0,-6.44,-4.78,-3.84,-4.22,-4.44,-3.31,-2.62,-3.56,-5.25,-5.84,-6.5,-8.53,-11.0,-11.75,-11.19,-11.19,-11.84,-11.88,-10.81,-10.03,-10.44,-10.59,-8.62,-6.38,-5.5,-4.81,-3.28,-1.56,-1.19,-2.38,-3.16,-2.91,-3.78,-5.88,-7.25,-7.41,-7.56,-8.47,-9.59,-9.28,-8.69,-9.31,-10.25,-10.12,-9.38,-9.44,-10.25,-10.22,-9.19,-7.97,-8.12,-7.66,-6.06,-5.03,-5.91,-6.91,-6.84,-6.75,-7.91,-9.44,-9.72,-9.34,-9.62,-10.88,-11.5,-11.56,-11.84,-13.47,-14.56,-14.28,-13.5,-13.66,-14.38,-13.84,-12.66,-12.84,-13.56,-12.94,-11.22,-9.94,-9.69,-9.59,-8.59,-8.22,-9.59,-11.06,-10.78,-10.44,-11.12,-12.09,-11.75,-10.5,-10.62,-11.62,-11.75,-11.44,-11.84,-13.69,-14.91,-14.97,-14.91,-16.41,-18.19,-18.25,-17.72,-18.28,-19.72,-19.44,-18.19,-17.88,-18.16,-17.0,-14.38,-11.75,-10.75,-9.78,-7.78,-6.44,-6.38,-7.19,-7.0,-6.28,-7.5,-9.31,-9.69,-9.09,-8.97,-9.72,-10.03,-9.41,-9.44,-10.97,-12.53,-12.25,-11.47,-11.88,-11.84,-10.34,-8.44,-7.59,-7.97,-7.66,-7.0,-6.88,-8.81,-10.06,-9.94,-9.84,-10.97,-11.62,-10.94,-9.91,-10.25,-11.28,-11.28,-10.62,-11.12,-12.47,-12.81,-11.78,-10.88,-11.91,-12.47,-12.69,-13.09,-15.53,-17.53,-17.41,-15.59,-13.97,-12.06,-8.5,-4.34,-2.12,-2.38,-2.75,-2.97,-4.09,-6.59,-8.91,-10.12,-11.5,-14.56,-17.59,-19.09,-18.97,-18.5,-18.28,-16.16,-12.88,-10.88,-10.16,-8.84,-6.31,-3.78,-2.88,-2.06,-0.25,1.62,0.91,-0.56,-1.41,-2.5,-4.94,-8.69,-11.22,-12.09,-13.12,-14.62,-14.66,-12.31,-10.0,-8.91,-7.66,-5.84,-3.88,-4.31,-5.25,-4.72,-3.22,-1.59,-0.38,1.88,4.78,6.06,4.22,0.75,-2.53,-6.44,-12.09,-16.59,-18.5,-18.56,-18.88,-18.88,-16.84,-13.38,-10.84,-8.94,-6.72,-3.38,-1.06,-0.59,-0.28,1.25,2.59,2.16,2.06,3.25,5.0,5.0,4.03,3.91,4.31,4.59,4.12,4.75,7.78,10.34,11.09,11.22,11.88,11.5,9.22,5.88,3.97,3.38,1.5,-0.34,-0.56,0.69,1.72,2.03,2.59,4.69,6.59,5.78,4.5,4.19,3.28,0.56,-2.31,-4.03,-4.28,-5.28,-7.0,-7.5,-6.56,-6.31,-7.31,-8.0,-6.66,-5.53,-6.09,-7.22,-7.19,-7.25,-9.12,-11.38,-12.0,-10.81,-10.75,-11.06,-10.88,-9.56,-8.78,-9.44,-9.66,-8.12,-6.41,-6.12,-6.62,-5.84,-4.34,-4.66,-5.34,-5.22,-3.38,-2.84,-3.69,-4.25,-4.09,-4.62,-6.88,-8.47,-8.47,-7.69,-8.38,-9.41,-8.84,-7.53,-7.41,-7.78,-7.22,-5.38,-4.53,-5.0,-5.34,-3.97,-2.91,-3.81,-4.5,-3.97,-2.84,-3.66,-5.22,-5.78,-5.56,-6.84,-9.12,-10.84,-10.97,-11.75,-13.31,-13.94,-12.41,-10.53,-9.81,-9.47,-7.69,-5.12,-4.12,-3.94,-2.16,0.97,2.5,3.16,3.66,5.28,5.06,3.22,1.31,1.47,1.75,0.75,-0.03,0.78,2.12,1.28,-0.34,-1.12,-1.31,-2.19,-4.31,-5.62,-5.72,-6.28,-8.0,-9.41,-8.19,-6.12,-4.75,-3.19,0.31,4.72,7.44,8.78,10.84,12.66,13.59,12.31,11.03,10.91,10.0,7.34,4.38,3.5,3.22,2.09,0.81,1.47,2.94,3.31,2.94,3.97,6.56,8.44,8.97,9.34,10.5,11.09,10.0,8.66,9.5,10.53,10.19,8.66,7.47,6.97,4.97,1.62,-0.56,-0.53,-0.59,-1.47,-2.19,-1.09,0.19,-0.31,-0.97,0.16,1.66,1.53,0.34,0.44,2.06,3.41,3.75,4.72,6.56,7.28,5.75,3.78,3.47,3.31,1.78,-0.12,0.38,1.69,1.84,1.53,2.47,4.12,4.41,2.94,1.62,1.72,1.44,-0.47,-2.06,-2.28,-2.34,-4.06,-6.25,-6.59,-5.41,-4.88,-4.53,-2.44,0.88,3.5,4.12,4.19,5.16,5.97,4.84,4.12,5.47,7.38,7.84,7.47,7.97,9.06,9.0,7.31,5.72,5.31,3.94,0.88,-1.62,-2.22,-2.41,-3.69,-4.75,-3.56,-1.53,-0.06,0.19,1.66,3.97,4.41,3.03,1.56,1.88,1.62,0.19,-0.84,0.34,1.69,1.16,-0.09,0.03,0.66,0.44,-0.75,-0.5,1.12,1.81,1.0,0.75,2.03,3.12,2.5,1.91,2.28,2.47,0.69,-1.75,-2.59,-2.28,-2.41,-3.16,-3.22,-2.19,-1.84,-3.44,-4.56,-4.22,-3.88,-4.84,-5.78,-4.56,-3.31,-3.31,-4.12,-3.38,-1.97,-1.09,-2.06,-2.41,-2.22,-2.59,-4.88,-5.94,-5.0,-3.19,-1.75,0.22,4.62,9.47,12.5,13.62,14.91,15.34,13.88,10.75,8.31,7.78,7.06,5.16,4.09,5.16,6.72,6.97,7.41,9.31,11.47,12.19,11.5,11.25,11.28,10.31,7.62,6.09,6.62,7.53,7.16,7.12,8.12,8.69,7.53,5.75,5.06,5.94,6.59,6.44,7.75,10.25,11.91,11.59,11.41,11.78,11.41,8.69,5.62,3.88,2.78,0.44,-2.0,-2.5,-1.94,-2.0,-2.62,-2.19,0.12,1.44,1.03,1.03,2.22,3.78,3.34,3.25,4.88,6.56,6.78,6.75,7.97,10.38,11.91,12.41,13.56,15.91,17.69,17.53,17.22,17.69,17.97,16.72,15.44,15.84,16.62,16.38,14.72,14.16,14.72,15.25,15.06,15.5,17.81,19.91,19.75,19.25,19.78,20.5,19.5,18.34,18.31,19.12,18.59,16.91,15.84,16.0,15.38,13.72,12.47,12.88,13.41,12.38,11.28,11.75,12.72,12.44,11.34,11.84,13.53,14.53,14.75,16.28,18.84,20.78,21.03,20.69,21.62,22.34,21.09,20.09,20.19,20.88,19.5,17.25,16.31,16.12,15.34,13.81,13.5,14.28,14.66,13.47,12.66,12.97,13.66,12.88,11.84,12.25,13.62,13.53,13.06,12.91,14.25,14.69,13.78,13.5,14.25,15.03,13.88,13.06,13.69,15.09,14.47,13.75,13.78,14.56,13.88,11.94,10.69,10.62,9.78,8.28,8.06,9.88,12.59,13.44,14.34,16.12,18.19,18.34,17.94,18.34,19.47,19.59,18.47,18.31,29.25,30.47,31.38,31.5,31.25,30.62,29.81,27.97,26.22,25.09,24.38,23.41,22.41,21.47,20.81,20.47,20.0,19.44,19.03,18.19,16.56,14.59,12.94,11.78,10.75,9.91,10.12,11.06,12.34,13.22,14.81,16.84,18.31,19.31,20.09,20.81,20.56,19.84,18.62,17.31,16.38,15.75:negativity
20.53,21.19,22.5,21.88,20.09,20.22,21.78,22.56,21.53,21.5,23.5,24.84,24.41,24.31,27.12,30.22,30.56,29.12,28.88,28.81,26.78,23.5,21.97,22.91,23.19,21.38,20.53,21.5,21.5,18.97,16.16,16.47,17.94,18.38,18.44,20.94,24.19,25.91,25.16,25.19,26.47,25.38,21.84,19.22,19.34,20.0,19.28,18.56,20.38,22.16,21.78,20.34,20.81,22.84,23.81,23.56,25.09,28.03,29.94,29.09,28.38,29.59,30.53,28.91,27.44,28.19,29.84,29.88,28.69,29.62,31.72,31.94,29.81,28.25,28.25,27.72,24.97,23.5,25.16,27.22,27.12,26.0,27.12,28.03,27.16,25.38,25.75,28.38,30.22,30.12,30.56,32.41,32.56,29.72,27.66,28.25,30.09,30.16,29.94,31.81,34.25,34.5,32.16,31.62,32.03,31.28,28.41,27.03,28.19,29.09,28.19,27.41,28.94,30.31,29.66,28.16,28.06,28.88,27.47,24.38,22.84,23.0,22.53,20.5,19.84,21.56,23.44,23.28,23.56,25.94,28.25,28.19,26.22,25.25,24.84,22.5,18.56,16.72,16.78,16.56,14.72,13.97,15.81,18.03,18.41,18.88,21.84,25.53,27.03,26.38,26.94,27.38,26.22,22.44,20.16,20.28,20.09,18.56,18.41,21.38,25.03,26.28,27.06,29.59,31.78,31.06,28.31,26.47,25.75,23.81,19.97,17.62,17.12,16.28,12.88,10.38,10.47,11.38,10.25,9.41,10.94,13.81,15.5,16.75,20.19,25.41,29.56,31.25,32.84,34.56,33.97,28.94,22.78,18.16,13.91,8.59,4.22,3.56,5.56,7.09,7.94,10.75,14.69,18.12,19.41,21.94,26.81,31.19,33.12,34.5,37.31,39.78,39.5,38.03,38.53,39.66,38.75,36.06,34.84,34.41,33.12,29.53,27.22,26.84,26.91,25.28,24.62,26.38,29.5,29.91,29.66,30.22,31.44,30.97,29.03,28.28,29.34,29.66,27.28,25.09,25.0,25.31,24.09,23.25,25.06,28.25,29.19,29.22,31.0,33.88,35.44,35.69,37.19,39.94,40.94,39.34,36.94,36.31,35.22,31.78,28.28,26.69,26.22,24.22,21.56,20.62,21.25,20.56,17.88,16.28,16.62,17.19,16.16,16.03,18.5,21.91,22.66,23.28,25.19,27.16,26.88,24.59,23.44,23.66,23.56,21.41,20.81,21.88,23.06,21.47,20.69,21.97,24.38,24.81,24.78,26.94,29.69,30.72,30.22,30.44,31.91,32.16,30.38,29.16,29.81,30.06,27.84,25.28,24.81,25.31,24.41,23.44,24.66,27.72,28.47,27.22,26.22,26.31,24.69,20.97,17.94,17.09,16.62,14.59,13.41,14.88,17.88,18.78,19.06,21.0,24.12,25.59,26.09,28.38,32.59,36.16,37.16,38.19,39.94,41.12,38.91,36.03,34.53,34.38,32.09,28.81,27.47,26.94,25.0,21.19,18.03,16.97,15.53,12.47,10.72,11.56,13.84,14.31,14.44,16.16,18.06,17.34,15.16,14.44,15.91,16.94,17.09,18.59,22.25,25.03,25.25,25.09,26.09,26.84,24.81,22.59,22.41,23.28,22.31,20.19,19.66,20.81,21.22,20.38,20.91,23.69,26.03,26.03,26.12,27.81,29.97,30.03,28.75,29.5,31.19,31.38,30.19,30.22,31.56,31.47,29.25,27.28,27.28,27.44,26.0,24.47,24.94,25.38,23.91,21.03,19.56,20.03,18.78,16.66,15.34,16.31,16.06,14.0,12.72,13.41,14.38,13.47,12.22,12.78,14.41,14.19,13.91,15.12,18.28,19.66,18.81,18.5,19.75,20.56,19.56,19.19,21.09,22.94,22.62,21.62,22.28,23.44,22.97,21.31,20.72,21.88,22.16,20.84,21.0,23.28,24.75,23.97,23.22,24.44,25.75,25.41,25.0,26.38,29.09,29.94,29.44,29.69,30.81,30.5,28.03,25.88,25.88,25.69,23.06,20.38,19.75,19.88,18.47,17.09,17.81,20.59,22.41,24.0,26.84,31.25,33.69,33.0,31.09,30.44,29.12,26.19,23.28,23.0,23.72,22.84,20.84,20.66,21.66,21.03,19.34,19.03,21.34,23.12,23.66,24.25,26.91,28.75,28.5,27.38,28.31,29.94,30.06,29.03,29.44,30.97,31.34,30.12,29.66,30.78,31.09,28.59,26.03,25.5,25.59,23.75,22.12,22.62,24.56,25.06,24.69,25.59,27.88,29.0,28.44,28.22,30.12,31.31,30.28,28.59,29.25,29.66,28.09,25.53,24.47,24.47,22.84,19.69,18.06,18.38,17.62,15.72,14.91,16.94,19.09,19.69,19.81,22.44,24.97,25.41,25.16,26.72,29.81,31.19,30.81,30.88,32.22,32.22,30.53,29.16,30.06,30.59,29.12,27.19,27.25,28.5,28.06,27.03,27.44,29.19,29.22,27.56,26.84,28.09,28.94,27.97,27.44,29.47,31.19,30.22,28.34,28.28,28.59,27.38,25.69,25.81,27.81,28.59,28.09,28.28,30.59,32.0,31.62,30.81,31.91,32.59,31.0,29.0,29.16,30.31,30.25,28.88,28.56,29.47,28.75,26.75,25.5,26.66,27.91,26.91,25.75,26.75,27.81,26.84,24.97,24.97,25.91,25.56,24.06,24.28,26.12,26.84,25.12,23.66,23.94,24.59,23.22,22.47,24.44,26.38,26.25,24.84,24.91,25.62,24.78,22.88,22.09,23.47,24.41,24.19,24.75,27.81,30.97,31.38,30.94,32.12,33.44,32.62,30.53,30.06,30.97,30.81,29.53,29.56,31.5,32.62,31.28,29.47,29.53,29.97,28.75,27.34,28.75,30.59,31.06,29.88,29.78,30.31,29.72,27.16,25.59,26.09,26.22,25.0,24.09,25.5,27.19,27.09,25.88,26.44,27.22,26.47,23.84,22.75,22.97,22.69,20.78,20.31,22.19,24.03,24.0,23.62,25.44,27.62,27.81,27.47,29.38,32.06,33.12,31.84,31.09,30.41,28.38,23.59,19.19,17.53,16.5,14.34,13.34,15.84,19.5,21.78,23.09,25.19,27.81,28.44,26.62,25.69,26.62,27.16,25.81,24.97,26.62,28.0,26.84,24.91,25.12,25.72,24.91,23.5,24.22,25.97,27.0,25.5,24.78,25.31,25.31,22.66,20.12,19.84,19.5,17.03,14.69,14.94,17.03,18.03,18.34,20.5,23.88,26.0,25.91,26.28,28.0,29.22,27.78,26.56,26.97,28.19,26.75,24.91,24.88,25.94,25.53,23.62,23.56,25.09,26.44,25.66,26.06,29.16,31.81,31.56,30.59,30.88,30.56,27.34,23.12,20.78,20.47,19.66,18.47,19.56,22.94,25.59,25.97,26.56,28.5,30.38,29.31,27.56,27.53,27.38,25.31,22.34,21.72,23.0,23.81,23.31,24.34,26.75,27.91,26.03,24.25,23.78,23.81,21.59,19.47,20.25,22.22,22.59,21.91,22.81,24.53,25.12,23.69,24.12,26.81,30.25,31.62,33.06,35.94,38.09,37.06,34.72,34.0,34.62,33.62,31.59,31.53,33.16,33.69,32.12,30.66,30.75,29.91,26.72,23.91,23.84,24.56,24.12,23.16,24.62,27.53,28.91,28.94,30.47,33.44,34.75,33.72,33.03,34.03,34.41,32.38,30.16,29.12,28.91,26.53,23.56,22.81,23.72,23.59,22.25,22.38,24.31,26.03,24.72,23.72,24.22,24.44,21.59,18.78,18.0,18.41,16.91,14.69,14.78,17.34,18.59,18.53,19.66,22.25,23.5,22.09,20.91,22.09,23.84,23.5,22.78,23.75,25.06,23.47,20.47,18.41,17.97,16.72,14.09,13.5,15.56,17.75,18.69,19.78,22.97,25.84,25.53,23.81,23.56,24.66,24.53,24.03,25.59,29.22,31.97,31.91,32.59,35.38,37.25,36.28,34.31,33.75,32.97,29.59,25.69,23.97,24.19,22.41,19.44,17.16,16.47,14.69,11.31,9.91,11.88,14.66,15.56,17.03,19.72,22.41,21.78,20.19,19.78,21.34,21.28,20.59,20.91,23.16,24.06,22.53,21.38,22.25,23.25,21.84,20.59,22.28,24.34,24.62,23.75,24.0,25.03,24.72,23.22,23.09,25.16,26.34,25.41,24.19,24.84,24.78,22.44,19.16,18.03,18.31,17.84,17.22,19.44,23.91,27.0,28.0,28.84,31.0,32.12,30.5,29.0,29.88,31.34,30.25,28.56,28.19,28.34,26.09,22.91,21.09,21.72,21.75,20.62,20.16,21.44,22.06,19.72,17.0,16.53,17.59,16.88,16.25,18.38,22.03,23.72,24.03,25.62,28.97,30.94,30.69,30.16,31.5,31.81,29.47,26.66,26.16,26.56,24.44,21.84,20.62,21.0,20.09,17.88,16.56,17.84,18.06,16.44,15.03,15.44,15.38,12.78,10.31,10.25,12.25,13.44,13.94,16.41,20.28,22.22,21.66,21.62,23.41,24.28,22.44,20.44,20.41,19.69,16.06,11.84,10.06,10.28,9.91,9.09,10.75,14.38,16.53,16.69,17.56,20.38,22.81,23.09,23.53,26.47,29.72,30.16,29.69,30.25,31.53,30.44,27.69,26.09,26.28,25.22,22.25,20.38,21.28,22.06,20.62,19.22,19.94,21.12,19.94,17.94,18.16,19.53,19.59,18.44,18.69,20.72,22.03,21.22,20.59,22.56,23.69,22.91,21.88,23.22,25.78,26.88,27.03,29.06,32.69,34.47,34.34,35.12,37.62,38.28,35.88,32.84,31.59,30.38,27.09,24.38,24.25,25.41,24.97,23.22,22.97,23.84,22.88,19.97,17.94,18.41,19.22,18.38,18.41,20.97,23.84,24.44,23.97,25.62,27.97,28.34,27.66,28.16,30.28,31.25,29.81,28.66,29.16,28.59,25.75,22.72,22.44,22.72,21.0,18.56:22.56,21.53,21.5,23.5,24.84,24.41,24.31,27.12,30.22,30.56,29.12,28.88,28.81,26.78,23.5,21.97,22.91,23.19,21.38,20.53,21.5,21.5,18.97,16.16,16.47,17.94,18.38,18.44,20.94,24.19,25.91,25.16,25.19,26.47,25.38,21.84,19.22,19.34,20.0,19.28,18.56,20.38,22.16,21.78,20.34,20.81,22.84,23.81,23.56,25.09,28.03,29.94,29.09,28.38,29.59,30.53,28.91,27.44,28.19,29.84,29.88,28.69,29.62,31.72,31.94,29.81,28.25,28.25,27.72,24.97,23.5,25.16,27.22,27.12,26.0,27.12,28.03,27.16,25.38,25.75,28.38,30.22,30.12,30.56,32.41,32.56,29.72,27.66,28.25,30.09,30.16,29.94,31.81,34.25,34.5,32.16,31.62,32.03,31.28,28.41,27.03,28.19,29.09,28.19,27.41,28.94,30.31,29.66,28.16,28.06,28.88,27.47,24.38,22.84,23.0,22.53,20.5,19.84,21.56,23.44,23.28,23.56,25.94,28.25,28.19,26.22,25.25,24.84,22.5,18.56,16.72,16.78,16.56,14.72,13.97,15.81,18.03,18.41,18.88,21.84,25.53,27.03,26.38,26.94,27.38,26.22,22.44,20.16,20.28,20.09,18.56,18.41,21.38,25.03,26.28,27.06,29.59,31.78,31.06,28.31,26.47,25.75,23.81,19.97,17.62,17.12,16.28,12.88,10.38,10.47,11.38,10.25,9.41,10.94,13.81,15.5,16.75,20.19,25.41,29.56,31.25,32.84,34.56,33.97,28.94,22.78,18.16,13.91,8.59,4.22,3.56,5.56,7.09,7.94,10.75,14.69,18.12,19.41,21.94,26.81,31.19,33.12,34.5,37.31,39.78,39.5,38.03,38.53,39.66,38.75,36.06,34.84,34.41,33.12,29.53,27.22,26.84,26.91,25.28,24.62,26.38,29.5,29.91,29.66,30.22,31.44,30.97,29.03,28.28,29.34,29.66,27.28,25.09,25.0,25.31,24.09,23.25,25.06,28.25,29.19,29.22,31.0,33.88,35.44,35.69,37.19,39.94,40.94,39.34,36.94,36.31,35.22,31.78,28.28,26.69,26.22,24.22,21.56,20.62,21.25,20.56,17.88,16.28,16.62,17.19,16.16,16.03,18.5,21.91,22.66,23.28,25.19,27.16,26.88,24.59,23.44,23.66,23.56,21.41,20.81,21.88,23.06,21.47,20.69,21.97,24.38,24.81,24.78,26.94,29.69,30.72,30.22,30.44,31.91,32.16,30.38,29.16,29.81,30.06,27.84,25.28,24.81,25.31,24.41,23.44,24.66,27.72,28.47,27.22,26.22,26.31,24.69,20.97,17.94,17.09,16.62,14.59,13.41,14.88,17.88,18.78,19.06,21.0,24.12,25.59,26.09,28.38,32.59,36.16,37.16,38.19,39.94,41.12,38.91,36.03,34.53,34.38,32.09,28.81,27.47,26.94,25.0,21.19,18.03,16.97,15.53,12.47,10.72,11.56,13.84,14.31,14.44,16.16,18.06,17.34,15.16,14.44,15.91,16.94,17.09,18.59,22.25,25.03,25.25,25.09,26.09,26.84,24.81,22.59,22.41,23.28,22.31,20.19,19.66,20.81,21.22,20.38,20.91,23.69,26.03,26.03,26.12,27.81,29.97,30.03,28.75,29.5,31.19,31.38,30.19,30.22,31.56,31.47,29.25,27.28,27.28,27.44,26.0,24.47,24.94,25.38,23.91,21.03,19.56,20.03,18.78,16.66,15.34,16.31,16.06,14.0,12.72,13.41,14.38,13.47,12.22,12.78,14.41,14.19,13.91,15.12,18.28,19.66,18.81,18.5,19.75,20.56,19.56,19.19,21.09,22.94,22.62,21.62,22.28,23.44,22.97,21.31,20.72,21.88,22.16,20.84,21.0,23.28,24.75,23.97,23.22,24.44,25.75,25.41,25.0,26.38,29.09,29.94,29.44,29.69,30.81,30.5,28.03,25.88,25.88,25.69,23.06,20.38,19.75,19.88,18.47,17.09,17.81,20.59,22.41,24.0,26.84,31.25,33.69,33.0,31.09,30.44,29.12,26.19,23.28,23.0,23.72,22.84,20.84,20.66,21.66,21.03,19.34,19.03,21.34,23.12,23.66,24.25,26.91,28.75,28.5,27.38,28.31,29.94,30.06,29.03,29.44,30.97,31.34,30.12,29.66,30.78,31.09,28.59,26.03,25.5,25.59,23.75,22.12,22.62,24.56,25.06,24.69,25.59,27.88,29.0,28.44,28.22,30.12,31.31,30.28,28.59,29.25,29.66,28.09,25.53,24.47,24.47,22.84,19.69,18.06,18.38,17.62,15.72,14.91,16.94,19.09,19.69,19.81,22.44,24.97,25.41,25.16,26.72,29.81,31.19,30.81,30.88,32.22,32.22,30.53,29.16,30.06,30.59,29.12,27.19,27.25,28.5,28.06,27.03,27.44,29.19,29.22,27.56,26.84,28.09,28.94,27.97,27.44,29.47,31.19,30.22,28.34,28.28,28.59,27.38,25.69,25.81,27.81,28.59,28.09,28.28,30.59,32.0,31.62,30.81,31.91,32.59,31.0,29.0,29.16,30.31,30.25,28.88,28.56,29.47,28.75,26.75,25.5,26.66,27.91,26.91,25.75,26.75,27.81,26.84,24.97,24.97,25.91,25.56,24.06,24.28,26.12,26.84,25.12,23.66,23.94,24.59,23.22,22.47,24.44,26.38,26.25,24.84,24.91,25.62,24.78,22.88,22.09,23.47,24.41,24.19,24.75,27.81,30.97,31.38,30.94,32.12,33.44,32.62,30.53,30.06,30.97,30.81,29.53,29.56,31.5,32.62,31.28,29.47,29.53,29.97,28.75,27.34,28.75,30.59,31.06,29.88,29.78,30.31,29.72,27.16,25.59,26.09,26.22,25.0,24.09,25.5,27.19,27.09,25.88,26.44,27.22,26.47,23.84,22.75,22.97,22.69,20.78,20.31,22.19,24.03,24.0,23.62,25.44,27.62,27.81,27.47,29.38,32.06,33.12,31.84,31.09,30.41,28.38,23.59,19.19,17.53,16.5,14.34,13.34,15.84,19.5,21.78,23.09,25.19,27.81,28.44,26.62,25.69,26.62,27.16,25.81,24.97,26.62,28.0,26.84,24.91,25.12,25.72,24.91,23.5,24.22,25.97,27.0,25.5,24.78,25.31,25.31,22.66,20.12,19.84,19.5,17.03,14.69,14.94,17.03,18.03,18.34,20.5,23.88,26.0,25.91,26.28,28.0,29.22,27.78,26.56,26.97,28.19,26.75,24.91,24.88,25.94,25.53,23.62,23.56,25.09,26.44,25.66,26.06,29.16,31.81,31.56,30.59,30.88,30.56,27.34,23.12,20.78,20.47,19.66,18.47,19.56,22.94,25.59,25.97,26.56,28.5,30.38,29.31,27.56,27.53,27.38,25.31,22.34,21.72,23.0,23.81,23.31,24.34,26.75,27.91,26.03,24.25,23.78,23.81,21.59,19.47,20.25,22.22,22.59,21.91,22.81,24.53,25.12,23.69,24.12,26.81,30.25,31.62,33.06,35.94,38.09,37.06,34.72,34.0,34.62,33.62,31.59,31.53,33.16,33.69,32.12,30.66,30.75,29.91,26.72,23.91,23.84,24.56,24.12,23.16,24.62,27.53,28.91,28.94,30.47,33.44,34.75,33.72,33.03,34.03,34.41,32.38,30.16,29.12,28.91,26.53,23.56,22.81,23.72,23.59,22.25,22.38,24.31,26.03,24.72,23.72,24.22,24.44,21.59,18.78,18.0,18.41,16.91,14.69,14.78,17.34,18.59,18.53,19.66,22.25,23.5,22.09,20.91,22.09,23.84,23.5,22.78,23.75,25.06,23.47,20.47,18.41,17.97,16.72,14.09,13.5,15.56,17.75,18.69,19.78,22.97,25.84,25.53,23.81,23.56,24.66,24.53,24.03,25.59,29.22,31.97,31.91,32.59,35.38,37.25,36.28,34.31,33.75,32.97,29.59,25.69,23.97,24.19,22.41,19.44,17.16,16.47,14.69,11.31,9.91,11.88,14.66,15.56,17.03,19.72,22.41,21.78,20.19,19.78,21.34,21.28,20.59,20.91,23.16,24.06,22.53,21.38,22.25,23.25,21.84,20.59,22.28,24.34,24.62,23.75,24.0,25.03,24.72,23.22,23.09,25.16,26.34,25.41,24.19,24.84,24.78,22.44,19.16,18.03,18.31,17.84,17.22,19.44,23.91,27.0,28.0,28.84,31.0,32.12,30.5,29.0,29.88,31.34,30.25,28.56,28.19,28.34,26.09,22.91,21.09,21.72,21.75,20.62,20.16,21.44,22.06,19.72,17.0,16.53,17.59,16.88,16.25,18.38,22.03,23.72,24.03,25.62,28.97,30.94,30.69,30.16,31.5,31.81,29.47,26.66,26.16,26.56,24.44,21.84,20.62,21.0,20.09,17.88,16.56,17.84,18.06,16.44,15.03,15.44,15.38,12.78,10.31,10.25,12.25,13.44,13.94,16.41,20.28,22.22,21.66,21.62,23.41,24.28,22.44,20.44,20.41,19.69,16.06,11.84,10.06,10.28,9.91,9.09,10.75,14.38,16.53,16.69,17.56,20.38,22.81,23.09,23.53,26.47,29.72,30.16,29.69,30.25,31.53,30.44,27.69,26.09,26.28,25.22,22.25,20.38,21.28,22.06,20.62,19.22,19.94,21.12,19.94,17.94,18.16,19.53,19.59,18.44,18.69,20.72,22.03,21.22,20.59,22.56,23.69,22.91,21.88,23.22,25.78,26.88,27.03,29.06,32.69,34.47,34.34,35.12,37.62,38.28,35.88,32.84,31.59,30.38,27.09,24.38,24.25,25.41,24.97,23.22,22.97,23.84,22.88,19.97,17.94,18.41,19.22,18.38,18.41,20.97,23.84,24.44,23.97,25.62,27.97,28.34,27.66,28.16,30.28,31.25,29.81,28.66,29.16,28.59,25.75,22.72,22.44,22.72,21.0,18.56,31.62,31.97,32.53,32.0,30.0,29.28,29.38:27.12,30.22,30.56,29.12,28.88,28.81,26.78,23.5,21.97,22.91,23.19,21.38,20.53,21.5,21.5,18.97,16.16,16.47,17.94,18.38,18.44,20.94,24.19,25.91,25.16,25.19,26.47,25.38,21.84,19.22,19.34,20.0,19.28,18.56,20.38,22.16,21.78,20.34,20.81,22.84,23.81,23.56,25.09,28.03,29.94,29.09,28.38,29.59,30.53,28.91,27.44,28.19,29.84,29.88,28.69,29.62,31.72,31.94,29.81,28.25,28.25,27.72,24.97,23.5,25.16,27.22,27.12,26.0,27.12,28.03,27.16,25.38,25.75,28.38,30.22,30.12,30.56,32.41,32.56,29.72,27.66,28.25,30.09,30.16,29.94,31.81,34.25,34.5,32.16,31.62,32.03,31.28,28.41,27.03,28.19,29.09,28.19,27.41,28.94,30.31,29.66,28.16,28.06,28.88,27.47,24.38,22.84,23.0,22.53,20.5,19.84,21.56,23.44,23.28,23.56,25.94,28.25,28.19,26.22,25.25,24.84,22.5,18.56,16.72,16.78,16.56,14.72,13.97,15.81,18.03,18.41,18.88,21.84,25.53,27.03,26.38,26.94,27.38,26.22,22.44,20.16,20.28,20.09,18.56,18.41,21.38,25.03,26.28,27.06,29.59,31.78,31.06,28.31,26.47,25.75,23.81,19.97,17.62,17.12,16.28,12.88,10.38,10.47,11.38,10.25,9.41,10.94,13.81,15.5,16.75,20.19,25.41,29.56,31.25,32.84,34.56,33.97,28.94,22.78,18.16,13.91,8.59,4.22,3.56,5.56,7.09,7.94,10.75,14.69,18.12,19.41,21.94,26.81,31.19,33.12,34.5,37.31,39.78,39.5,38.03,38.53,39.66,38.75,36.06,34.84,34.41,33.12,29.53,27.22,26.84,26.91,25.28,24.62,26.38,29.5,29.91,29.66,30.22,31.44,30.97,29.03,28.28,29.34,29.66,27.28,25.09,25.0,25.31,24.09,23.25,25.06,28.25,29.19,29.22,31.0,33.88,35.44,35.69,37.19,39.94,40.94,39.34,36.94,36.31,35.22,31.78,28.28,26.69,26.22,24.22,21.56,20.62,21.25,20.56,17.88,16.28,16.62,17.19,16.16,16.03,18.5,21.91,22.66,23.28,25.19,27.16,26.88,24.59,23.44,23.66,23.56,21.41,20.81,21.88,23.06,21.47,20.69,21.97,24.38,24.81,24.78,26.94,29.69,30.72,30.22,30.44,31.91,32.16,30.38,29.16,29.81,30.06,27.84,25.28,24.81,25.31,24.41,23.44,24.66,27.72,28.47,27.22,26.22,26.31,24.69,20.97,17.94,17.09,16.62,14.59,13.41,14.88,17.88,18.78,19.06,21.0,24.12,25.59,26.09,28.38,32.59,36.16,37.16,38.19,39.94,41.12,38.91,36.03,34.53,34.38,32.09,28.81,27.47,26.94,25.0,21.19,18.03,16.97,15.53,12.47,10.72,11.56,13.84,14.31,14.44,16.16,18.06,17.34,15.16,14.44,15.91,16.94,17.09,18.59,22.25,25.03,25.25,25.09,26.09,26.84,24.81,22.59,22.41,23.28,22.31,20.19,19.66,20.81,21.22,20.38,20.91,23.69,26.03,26.03,26.12,27.81,29.97,30.03,28.75,29.5,31.19,31.38,30.19,30.22,31.56,31.47,29.25,27.28,27.28,27.44,26.0,24.47,24.94,25.38,23.91,21.03,19.56,20.03,18.78,16.66,15.34,16.31,16.06,14.0,12.72,13.41,14.38,13.47,12.22,12.78,14.41,14.19,13.91,15.12,18.28,19.66,18.81,18.5,19.75,20.56,19.56,19.19,21.09,22.94,22.62,21.62,22.28,23.44,22.97,21.31,20.72,21.88,22.16,20.84,21.0,23.28,24.75,23.97,23.22,24.44,25.75,25.41,25.0,26.38,29.09,29.94,29.44,29.69,30.81,30.5,28.03,25.88,25.88,25.69,23.06,20.38,19.75,19.88,18.47,17.09,17.81,20.59,22.41,24.0,26.84,31.25,33.69,33.0,31.09,30.44,29.12,26.19,23.28,23.0,23.72,22.84,20.84,20.66,21.66,21.03,19.34,19.03,21.34,23.12,23.66,24.25,26.91,28.75,28.5,27.38,28.31,29.94,30.06,29.03,29.44,30.97,31.34,30.12,29.66,30.78,31.09,28.59,26.03,25.5,25.59,23.75,22.12,22.62,24.56,25.06,24.69,25.59,27.88,29.0,28.44,28.22,30.12,31.31,30.28,28.59,29.25,29.66,28.09,25.53,24.47,24.47,22.84,19.69,18.06,18.38,17.62,15.72,14.91,16.94,19.09,19.69,19.81,22.44,24.97,25.41,25.16,26.72,29.81,31.19,30.81,30.88,32.22,32.22,30.53,29.16,30.06,30.59,29.12,27.19,27.25,28.5,28.06,27.03,27.44,29.19,29.22,27.56,26.84,28.09,28.94,27.97,27.44,29.47,31.19,30.22,28.34,28.28,28.59,27.38,25.69,25.81,27.81,28.59,28.09,28.28,30.59,32.0,31.62,30.81,31.91,32.59,31.0,29.0,29.16,30.31,30.25,28.88,28.56,29.47,28.75,26.75,25.5,26.66,27.91,26.91,25.75,26.75,27.81,26.84,24.97,24.97,25.91,25.56,24.06,24.28,26.12,26.84,25.12,23.66,23.94,24.59,23.22,22.47,24.44,26.38,26.25,24.84,24.91,25.62,24.78,22.88,22.09,23.47,24.41,24.19,24.75,27.81,30.97,31.38,30.94,32.12,33.44,32.62,30.53,30.06,30.97,30.81,29.53,29.56,31.5,32.62,31.28,29.47,29.53,29.97,28.75,27.34,28.75,30.59,31.06,29.88,29.78,30.31,29.72,27.16,25.59,26.09,26.22,25.0,24.09,25.5,27.19,27.09,25.88,26.44,27.22,26.47,23.84,22.75,22.97,22.69,20.78,20.31,22.19,24.03,24.0,23.62,25.44,27.62,27.81,27.47,29.38,32.06,33.12,31.84,31.09,30.41,28.38,23.59,19.19,17.53,16.5,14.34,13.34,15.84,19.5,21.78,23.09,25.19,27.81,28.44,26.62,25.69,26.62,27.16,25.81,24.97,26.62,28.0,26.84,24.91,25.12,25.72,24.91,23.5,24.22,25.97,27.0,25.5,24.78,25.31,25.31,22.66,20.12,19.84,19.5,17.03,14.69,14.94,17.03,18.03,18.34,20.5,23.88,26.0,25.91,26.28,28.0,29.22,27.78,26.56,26.97,28.19,26.75,24.91,24.88,25.94,25.53,23.62,23.56,25.09,26.44,25.66,26.06,29.16,31.81,31.56,30.59,30.88,30.56,27.34,23.12,20.78,20.47,19.66,18.47,19.56,22.94,25.59,25.97,26.56,28.5,30.38,29.31,27.56,27.53,27.38,25.31,22.34,21.72,23.0,23.81,23.31,24.34,26.75,27.91,26.03,24.25,23.78,23.81,21.59,19.47,20.25,22.22,22.59,21.91,22.81,24.53,25.12,23.69,24.12,26.81,30.25,31.62,33.06,35.94,38.09,37.06,34.72,34.0,34.62,33.62,31.59,31.53,33.16,33.69,32.12,30.66,30.75,29.91,26.72,23.91,23.84,24.56,24.12,23.16,24.62,27.53,28.91,28.94,30.47,33.44,34.75,33.72,33.03,34.03,34.41,32.38,30.16,29.12,28.91,26.53,23.56,22.81,23.72,23.59,22.25,22.38,24.31,26.03,24.72,23.72,24.22,24.44,21.59,18.78,18.0,18.41,16.91,14.69,14.78,17.34,18.59,18.53,19.66,22.25,23.5,22.09,20.91,22.09,23.84,23.5,22.78,23.75,25.06,23.47,20.47,18.41,17.97,16.72,14.09,13.5,15.56,17.75,18.69,19.78,22.97,25.84,25.53,23.81,23.56,24.66,24.53,24.03,25.59,29.22,31.97,31.91,32.59,35.38,37.25,36.28,34.31,33.75,32.97,29.59,25.69,23.97,24.19,22.41,19.44,17.16,16.47,14.69,11.31,9.91,11.88,14.66,15.56,17.03,19.72,22.41,21.78,20.19,19.78,21.34,21.28,20.59,20.91,23.16,24.06,22.53,21.38,22.25,23.25,21.84,20.59,22.28,24.34,24.62,23.75,24.0,25.03,24.72,23.22,23.09,25.16,26.34,25.41,24.19,24.84,24.78,22.44,19.16,18.03,18.31,17.84,17.22,19.44,23.91,27.0,28.0,28.84,31.0,32.12,30.5,29.0,29.88,31.34,30.25,28.56,28.19,28.34,26.09,22.91,21.09,21.72,21.75,20.62,20.16,21.44,22.06,19.72,17.0,16.53,17.59,16.88,16.25,18.38,22.03,23.72,24.03,25.62,28.97,30.94,30.69,30.16,31.5,31.81,29.47,26.66,26.16,26.56,24.44,21.84,20.62,21.0,20.09,17.88,16.56,17.84,18.06,16.44,15.03,15.44,15.38,12.78,10.31,10.25,12.25,13.44,13.94,16.41,20.28,22.22,21.66,21.62,23.41,24.28,22.44,20.44,20.41,19.69,16.06,11.84,10.06,10.28,9.91,9.09,10.75,14.38,16.53,16.69,17.56,20.38,22.81,23.09,23.53,26.47,29.72,30.16,29.69,30.25,31.53,30.44,27.69,26.09,26.28,25.22,22.25,20.38,21.28,22.06,20.62,19.22,19.94,21.12,19.94,17.94,18.16,19.53,19.59,18.44,18.69,20.72,22.03,21.22,20.59,22.56,23.69,22.91,21.88,23.22,25.78,26.88,27.03,29.06,32.69,34.47,34.34,35.12,37.62,38.28,35.88,32.84,31.59,30.38,27.09,24.38,24.25,25.41,24.97,23.22,22.97,23.84,22.88,19.97,17.94,18.41,19.22,18.38,18.41,20.97,23.84,24.44,23.97,25.62,27.97,28.34,27.66,28.16,30.28,31.25,29.81,28.66,29.16,28.59,25.75,22.72,22.44,22.72,21.0,18.56,31.62,31.97,32.53,32.0,30.0,29.28,29.38,28.81,26.72,25.5,25.38,25.0,23.44,22.5:23.5,21.97,22.91,23.19,21.38,20.53,21.5,21.5,18.97,16.16,16.47,17.94,18.38,18.44,20.94,24.19,25.91,25.16,25.19,26.47,25.38,21.84,19.22,19.34,20.0,19.28,18.56,20.38,22.16,21.78,20.34,20.81,22.84,23.81,23.56,25.09,28.03,29.94,29.09,28.38,29.59,30.53,28.91,27.44,28.19,29.84,29.88,28.69,29.62,31.72,31.94,29.81,28.25,28.25,27.72,24.97,23.5,25.16,27.22,27.12,26.0,27.12,28.03,27.16,25.38,25.75,28.38,30.22,30.12,30.56,32.41,32.56,29.72,27.66,28.25,30.09,30.16,29.94,31.81,34.25,34.5,32.16,31.62,32.03,31.28,28.41,27.03,28.19,29.09,28.19,27.41,28.94,30.31,29.66,28.16,28.06,28.88,27.47,24.38,22.84,23.0,22.53,20.5,19.84,21.56,23.44,23.28,23.56,25.94,28.25,28.19,26.22,25.25,24.84,22.5,18.56,16.72,16.78,16.56,14.72,13.97,15.81,18.03,18.41,18.88,21.84,25.53,27.03,26.38,26.94,27.38,26.22,22.44,20.16,20.28,20.09,18.56,18.41,21.38,25.03,26.28,27.06,29.59,31.78,31.06,28.31,26.47,25.75,23.81,19.97,17.62,17.12,16.28,12.88,10.38,10.47,11.38,10.25,9.41,10.94,13.81,15.5,16.75,20.19,25.41,29.56,31.25,32.84,34.56,33.97,28.94,22.78,18.16,13.91,8.59,4.22,3.56,5.56,7.09,7.94,10.75,14.69,18.12,19.41,21.94,26.81,31.19,33.12,34.5,37.31,39.78,39.5,38.03,38.53,39.66,38.75,36.06,34.84,34.41,33.12,29.53,27.22,26.84,26.91,25.28,24.62,26.38,29.5,29.91,29.66,30.22,31.44,30.97,29.03,28.28,29.34,29.66,27.28,25.09,25.0,25.31,24.09,23.25,25.06,28.25,29.19,29.22,31.0,33.88,35.44,35.69,37.19,39.94,40.94,39.34,36.94,36.31,35.22,31.78,28.28,26.69,26.22,24.22,21.56,20.62,21.25,20.56,17.88,16.28,16.62,17.19,16.16,16.03,18.5,21.91,22.66,23.28,25.19,27.16,26.88,24.59,23.44,23.66,23.56,21.41,20.81,21.88,23.06,21.47,20.69,21.97,24.38,24.81,24.78,26.94,29.69,30.72,30.22,30.44,31.91,32.16,30.38,29.16,29.81,30.06,27.84,25.28,24.81,25.31,24.41,23.44,24.66,27.72,28.47,27.22,26.22,26.31,24.69,20.97,17.94,17.09,16.62,14.59,13.41,14.88,17.88,18.78,19.06,21.0,24.12,25.59,26.09,28.38,32.59,36.16,37.16,38.19,39.94,41.12,38.91,36.03,34.53,34.38,32.09,28.81,27.47,26.94,25.0,21.19,18.03,16.97,15.53,12.47,10.72,11.56,13.84,14.31,14.44,16.16,18.06,17.34,15.16,14.44,15.91,16.94,17.09,18.59,22.25,25.03,25.25,25.09,26.09,26.84,24.81,22.59,22.41,23.28,22.31,20.19,19.66,20.81,21.22,20.38,20.91,23.69,26.03,26.03,26.12,27.81,29.97,30.03,28.75,29.5,31.19,31.38,30.19,30.22,31.56,31.47,29.25,27.28,27.28,27.44,26.0,24.47,24.94,25.38,23.91,21.03,19.56,20.03,18.78,16.66,15.34,16.31,16.06,14.0,12.72,13.41,14.38,13.47,12.22,12.78,14.41,14.19,13.91,15.12,18.28,19.66,18.81,18.5,19.75,20.56,19.56,19.19,21.09,22.94,22.62,21.62,22.28,23.44,22.97,21.31,20.72,21.88,22.16,20.84,21.0,23.28,24.75,23.97,23.22,24.44,25.75,25.41,25.0,26.38,29.09,29.94,29.44,29.69,30.81,30.5,28.03,25.88,25.88,25.69,23.06,20.38,19.75,19.88,18.47,17.09,17.81,20.59,22.41,24.0,26.84,31.25,33.69,33.0,31.09,30.44,29.12,26.19,23.28,23.0,23.72,22.84,20.84,20.66,21.66,21.03,19.34,19.03,21.34,23.12,23.66,24.25,26.91,28.75,28.5,27.38,28.31,29.94,30.06,29.03,29.44,30.97,31.34,30.12,29.66,30.78,31.09,28.59,26.03,25.5,25.59,23.75,22.12,22.62,24.56,25.06,24.69,25.59,27.88,29.0,28.44,28.22,30.12,31.31,30.28,28.59,29.25,29.66,28.09,25.53,24.47,24.47,22.84,19.69,18.06,18.38,17.62,15.72,14.91,16.94,19.09,19.69,19.81,22.44,24.97,25.41,25.16,26.72,29.81,31.19,30.81,30.88,32.22,32.22,30.53,29.16,30.06,30.59,29.12,27.19,27.25,28.5,28.06,27.03,27.44,29.19,29.22,27.56,26.84,28.09,28.94,27.97,27.44,29.47,31.19,30.22,28.34,28.28,28.59,27.38,25.69,25.81,27.81,28.59,28.09,28.28,30.59,32.0,31.62,30.81,31.91,32.59,31.0,29.0,29.16,30.31,30.25,28.88,28.56,29.47,28.75,26.75,25.5,26.66,27.91,26.91,25.75,26.75,27.81,26.84,24.97,24.97,25.91,25.56,24.06,24.28,26.12,26.84,25.12,23.66,23.94,24.59,23.22,22.47,24.44,26.38,26.25,24.84,24.91,25.62,24.78,22.88,22.09,23.47,24.41,24.19,24.75,27.81,30.97,31.38,30.94,32.12,33.44,32.62,30.53,30.06,30.97,30.81,29.53,29.56,31.5,32.62,31.28,29.47,29.53,29.97,28.75,27.34,28.75,30.59,31.06,29.88,29.78,30.31,29.72,27.16,25.59,26.09,26.22,25.0,24.09,25.5,27.19,27.09,25.88,26.44,27.22,26.47,23.84,22.75,22.97,22.69,20.78,20.31,22.19,24.03,24.0,23.62,25.44,27.62,27.81,27.47,29.38,32.06,33.12,31.84,31.09,30.41,28.38,23.59,19.19,17.53,16.5,14.34,13.34,15.84,19.5,21.78,23.09,25.19,27.81,28.44,26.62,25.69,26.62,27.16,25.81,24.97,26.62,28.0,26.84,24.91,25.12,25.72,24.91,23.5,24.22,25.97,27.0,25.5,24.78,25.31,25.31,22.66,20.12,19.84,19.5,17.03,14.69,14.94,17.03,18.03,18.34,20.5,23.88,26.0,25.91,26.28,28.0,29.22,27.78,26.56,26.97,28.19,26.75,24.91,24.88,25.94,25.53,23.62,23.56,25.09,26.44,25.66,26.06,29.16,31.81,31.56,30.59,30.88,30.56,27.34,23.12,20.78,20.47,19.66,18.47,19.56,22.94,25.59,25.97,26.56,28.5,30.38,29.31,27.56,27.53,27.38,25.31,22.34,21.72,23.0,23.81,23.31,24.34,26.75,27.91,26.03,24.25,23.78,23.81,21.59,19.47,20.25,22.22,22.59,21.91,22.81,24.53,25.12,23.69,24.12,26.81,30.25,31.62,33.06,35.94,38.09,37.06,34.72,34.0,34.62,33.62,31.59,31.53,33.16,33.69,32.12,30.66,30.75,29.91,26.72,23.91,23.84,24.56,24.12,23.16,24.62,27.53,28.91,28.94,30.47,33.44,34.75,33.72,33.03,34.03,34.41,32.38,30.16,29.12,28.91,26.53,23.56,22.81,23.72,23.59,22.25,22.38,24.31,26.03,24.72,23.72,24.22,24.44,21.59,18.78,18.0,18.41,16.91,14.69,14.78,17.34,18.59,18.53,19.66,22.25,23.5,22.09,20.91,22.09,23.84,23.5,22.78,23.75,25.06,23.47,20.47,18.41,17.97,16.72,14.09,13.5,15.56,17.75,18.69,19.78,22.97,25.84,25.53,23.81,23.56,24.66,24.53,24.03,25.59,29.22,31.97,31.91,32.59,35.38,37.25,36.28,34.31,33.75,32.97,29.59,25.69,23.97,24.19,22.41,19.44,17.16,16.47,14.69,11.31,9.91,11.88,14.66,15.56,17.03,19.72,22.41,21.78,20.19,19.78,21.34,21.28,20.59,20.91,23.16,24.06,22.53,21.38,22.25,23.25,21.84,20.59,22.28,24.34,24.62,23.75,24.0,25.03,24.72,23.22,23.09,25.16,26.34,25.41,24.19,24.84,24.78,22.44,19.16,18.03,18.31,17.84,17.22,19.44,23.91,27.0,28.0,28.84,31.0,32.12,30.5,29.0,29.88,31.34,30.25,28.56,28.19,28.34,26.09,22.91,21.09,21.72,21.75,20.62,20.16,21.44,22.06,19.72,17.0,16.53,17.59,16.88,16.25,18.38,22.03,23.72,24.03,25.62,28.97,30.94,30.69,30.16,31.5,31.81,29.47,26.66,26.16,26.56,24.44,21.84,20.62,21.0,20.09,17.88,16.56,17.84,18.06,16.44,15.03,15.44,15.38,12.78,10.31,10.25,12.25,13.44,13.94,16.41,20.28,22.22,21.66,21.62,23.41,24.28,22.44,20.44,20.41,19.69,16.06,11.84,10.06,10.28,9.91,9.09,10.75,14.38,16.53,16.69,17.56,20.38,22.81,23.09,23.53,26.47,29.72,30.16,29.69,30.25,31.53,30.44,27.69,26.09,26.28,25.22,22.25,20.38,21.28,22.06,20.62,19.22,19.94,21.12,19.94,17.94,18.16,19.53,19.59,18.44,18.69,20.72,22.03,21.22,20.59,22.56,23.69,22.91,21.88,23.22,25.78,26.88,27.03,29.06,32.69,34.47,34.34,35.12,37.62,38.28,35.88,32.84,31.59,30.38,27.09,24.38,24.25,25.41,24.97,23.22,22.97,23.84,22.88,19.97,17.94,18.41,19.22,18.38,18.41,20.97,23.84,24.44,23.97,25.62,27.97,28.34,27.66,28.16,30.28,31.25,29.81,28.66,29.16,28.59,25.75,22.72,22.44,22.72,21.0,18.56,31.62,31.97,32.53,32.0,30.0,29.28,29.38,28.81,26.72,25.5,25.38,25.0,23.44,22.5,23.84,26.06,27.16,27.75,29.16,30.59,30.44:21.5,18.97,16.16,16.47,17.94,18.38,18.44,20.94,24.19,25.91,25.16,25.19,26.47,25.38,21.84,19.22,19.34,20.0,19.28,18.56,20.38,22.16,21.78,20.34,20.81,22.84,23.81,23.56,25.09,28.03,29.94,29.09,28.38,29.59,30.53,28.91,27.44,28.19,29.84,29.88,28.69,29.62,31.72,31.94,29.81,28.25,28.25,27.72,24.97,23.5,25.16,27.22,27.12,26.0,27.12,28.03,27.16,25.38,25.75,28.38,30.22,30.12,30.56,32.41,32.56,29.72,27.66,28.25,30.09,30.16,29.94,31.81,34.25,34.5,32.16,31.62,32.03,31.28,28.41,27.03,28.19,29.09,28.19,27.41,28.94,30.31,29.66,28.16,28.06,28.88,27.47,24.38,22.84,23.0,22.53,20.5,19.84,21.56,23.44,23.28,23.56,25.94,28.25,28.19,26.22,25.25,24.84,22.5,18.56,16.72,16.78,16.56,14.72,13.97,15.81,18.03,18.41,18.88,21.84,25.53,27.03,26.38,26.94,27.38,26.22,22.44,20.16,20.28,20.09,18.56,18.41,21.38,25.03,26.28,27.06,29.59,31.78,31.06,28.31,26.47,25.75,23.81,19.97,17.62,17.12,16.28,12.88,10.38,10.47,11.38,10.25,9.41,10.94,13.81,15.5,16.75,20.19,25.41,29.56,31.25,32.84,34.56,33.97,28.94,22.78,18.16,13.91,8.59,4.22,3.56,5.56,7.09,7.94,10.75,14.69,18.12,19.41,21.94,26.81,31.19,33.12,34.5,37.31,39.78,39.5,38.03,38.53,39.66,38.75,36.06,34.84,34.41,33.12,29.53,27.22,26.84,26.91,25.28,24.62,26.38,29.5,29.91,29.66,30.22,31.44,30.97,29.03,28.28,29.34,29.66,27.28,25.09,25.0,25.31,24.09,23.25,25.06,28.25,29.19,29.22,31.0,33.88,35.44,35.69,37.19,39.94,40.94,39.34,36.94,36.31,35.22,31.78,28.28,26.69,26.22,24.22,21.56,20.62,21.25,20.56,17.88,16.28,16.62,17.19,16.16,16.03,18.5,21.91,22.66,23.28,25.19,27.16,26.88,24.59,23.44,23.66,23.56,21.41,20.81,21.88,23.06,21.47,20.69,21.97,24.38,24.81,24.78,26.94,29.69,30.72,30.22,30.44,31.91,32.16,30.38,29.16,29.81,30.06,27.84,25.28,24.81,25.31,24.41,23.44,24.66,27.72,28.47,27.22,26.22,26.31,24.69,20.97,17.94,17.09,16.62,14.59,13.41,14.88,17.88,18.78,19.06,21.0,24.12,25.59,26.09,28.38,32.59,36.16,37.16,38.19,39.94,41.12,38.91,36.03,34.53,34.38,32.09,28.81,27.47,26.94,25.0,21.19,18.03,16.97,15.53,12.47,10.72,11.56,13.84,14.31,14.44,16.16,18.06,17.34,15.16,14.44,15.91,16.94,17.09,18.59,22.25,25.03,25.25,25.09,26.09,26.84,24.81,22.59,22.41,23.28,22.31,20.19,19.66,20.81,21.22,20.38,20.91,23.69,26.03,26.03,26.12,27.81,29.97,30.03,28.75,29.5,31.19,31.38,30.19,30.22,31.56,31.47,29.25,27.28,27.28,27.44,26.0,24.47,24.94,25.38,23.91,21.03,19.56,20.03,18.78,16.66,15.34,16.31,16.06,14.0,12.72,13.41,14.38,13.47,12.22,12.78,14.41,14.19,13.91,15.12,18.28,19.66,18.81,18.5,19.75,20.56,19.56,19.19,21.09,22.94,22.62,21.62,22.28,23.44,22.97,21.31,20.72,21.88,22.16,20.84,21.0,23.28,24.75,23.97,23.22,24.44,25.75,25.41,25.0,26.38,29.09,29.94,29.44,29.69,30.81,30.5,28.03,25.88,25.88,25.69,23.06,20.38,19.75,19.88,18.47,17.09,17.81,20.59,22.41,24.0,26.84,31.25,33.69,33.0,31.09,30.44,29.12,26.19,23.28,23.0,23.72,22.84,20.84,20.66,21.66,21.03,19.34,19.03,21.34,23.12,23.66,24.25,26.91,28.75,28.5,27.38,28.31,29.94,30.06,29.03,29.44,30.97,31.34,30.12,29.66,30.78,31.09,28.59,26.03,25.5,25.59,23.75,22.12,22.62,24.56,25.06,24.69,25.59,27.88,29.0,28.44,28.22,30.12,31.31,30.28,28.59,29.25,29.66,28.09,25.53,24.47,24.47,22.84,19.69,18.06,18.38,17.62,15.72,14.91,16.94,19.09,19.69,19.81,22.44,24.97,25.41,25.16,26.72,29.81,31.19,30.81,30.88,32.22,32.22,30.53,29.16,30.06,30.59,29.12,27.19,27.25,28.5,28.06,27.03,27.44,29.19,29.22,27.56,26.84,28.09,28.94,27.97,27.44,29.47,31.19,30.22,28.34,28.28,28.59,27.38,25.69,25.81,27.81,28.59,28.09,28.28,30.59,32.0,31.62,30.81,31.91,32.59,31.0,29.0,29.16,30.31,30.25,28.88,28.56,29.47,28.75,26.75,25.5,26.66,27.91,26.91,25.75,26.75,27.81,26.84,24.97,24.97,25.91,25.56,24.06,24.28,26.12,26.84,25.12,23.66,23.94,24.59,23.22,22.47,24.44,26.38,26.25,24.84,24.91,25.62,24.78,22.88,22.09,23.47,24.41,24.19,24.75,27.81,30.97,31.38,30.94,32.12,33.44,32.62,30.53,30.06,30.97,30.81,29.53,29.56,31.5,32.62,31.28,29.47,29.53,29.97,28.75,27.34,28.75,30.59,31.06,29.88,29.78,30.31,29.72,27.16,25.59,26.09,26.22,25.0,24.09,25.5,27.19,27.09,25.88,26.44,27.22,26.47,23.84,22.75,22.97,22.69,20.78,20.31,22.19,24.03,24.0,23.62,25.44,27.62,27.81,27.47,29.38,32.06,33.12,31.84,31.09,30.41,28.38,23.59,19.19,17.53,16.5,14.34,13.34,15.84,19.5,21.78,23.09,25.19,27.81,28.44,26.62,25.69,26.62,27.16,25.81,24.97,26.62,28.0,26.84,24.91,25.12,25.72,24.91,23.5,24.22,25.97,27.0,25.5,24.78,25.31,25.31,22.66,20.12,19.84,19.5,17.03,14.69,14.94,17.03,18.03,18.34,20.5,23.88,26.0,25.91,26.28,28.0,29.22,27.78,26.56,26.97,28.19,26.75,24.91,24.88,25.94,25.53,23.62,23.56,25.09,26.44,25.66,26.06,29.16,31.81,31.56,30.59,30.88,30.56,27.34,23.12,20.78,20.47,19.66,18.47,19.56,22.94,25.59,25.97,26.56,28.5,30.38,29.31,27.56,27.53,27.38,25.31,22.34,21.72,23.0,23.81,23.31,24.34,26.75,27.91,26.03,24.25,23.78,23.81,21.59,19.47,20.25,22.22,22.59,21.91,22.81,24.53,25.12,23.69,24.12,26.81,30.25,31.62,33.06,35.94,38.09,37.06,34.72,34.0,34.62,33.62,31.59,31.53,33.16,33.69,32.12,30.66,30.75,29.91,26.72,23.91,23.84,24.56,24.12,23.16,24.62,27.53,28.91,28.94,30.47,33.44,34.75,33.72,33.03,34.03,34.41,32.38,30.16,29.12,28.91,26.53,23.56,22.81,23.72,23.59,22.25,22.38,24.31,26.03,24.72,23.72,24.22,24.44,21.59,18.78,18.0,18.41,16.91,14.69,14.78,17.34,18.59,18.53,19.66,22.25,23.5,22.09,20.91,22.09,23.84,23.5,22.78,23.75,25.06,23.47,20.47,18.41,17.97,16.72,14.09,13.5,15.56,17.75,18.69,19.78,22.97,25.84,25.53,23.81,23.56,24.66,24.53,24.03,25.59,29.22,31.97,31.91,32.59,35.38,37.25,36.28,34.31,33.75,32.97,29.59,25.69,23.97,24.19,22.41,19.44,17.16,16.47,14.69,11.31,9.91,11.88,14.66,15.56,17.03,19.72,22.41,21.78,20.19,19.78,21.34,21.28,20.59,20.91,23.16,24.06,22.53,21.38,22.25,23.25,21.84,20.59,22.28,24.34,24.62,23.75,24.0,25.03,24.72,23.22,23.09,25.16,26.34,25.41,24.19,24.84,24.78,22.44,19.16,18.03,18.31,17.84,17.22,19.44,23.91,27.0,28.0,28.84,31.0,32.12,30.5,29.0,29.88,31.34,30.25,28.56,28.19,28.34,26.09,22.91,21.09,21.72,21.75,20.62,20.16,21.44,22.06,19.72,17.0,16.53,17.59,16.88,16.25,18.38,22.03,23.72,24.03,25.62,28.97,30.94,30.69,30.16,31.5,31.81,29.47,26.66,26.16,26.56,24.44,21.84,20.62,21.0,20.09,17.88,16.56,17.84,18.06,16.44,15.03,15.44,15.38,12.78,10.31,10.25,12.25,13.44,13.94,16.41,20.28,22.22,21.66,21.62,23.41,24.28,22.44,20.44,20.41,19.69,16.06,11.84,10.06,10.28,9.91,9.09,10.75,14.38,16.53,16.69,17.56,20.38,22.81,23.09,23.53,26.47,29.72,30.16,29.69,30.25,31.53,30.44,27.69,26.09,26.28,25.22,22.25,20.38,21.28,22.06,20.62,19.22,19.94,21.12,19.94,17.94,18.16,19.53,19.59,18.44,18.69,20.72,22.03,21.22,20.59,22.56,23.69,22.91,21.88,23.22,25.78,26.88,27.03,29.06,32.69,34.47,34.34,35.12,37.62,38.28,35.88,32.84,31.59,30.38,27.09,24.38,24.25,25.41,24.97,23.22,22.97,23.84,22.88,19.97,17.94,18.41,19.22,18.38,18.41,20.97,23.84,24.44,23.97,25.62,27.97,28.34,27.66,28.16,30.28,31.25,29.81,28.66,29.16,28.59,25.75,22.72,22.44,22.72,21.0,18.56,31.62,31.97,32.53,32.0,30.0,29.28,29.38,28.81,26.72,25.5,25.38,25.0,23.44,22.5,23.84,26.06,27.16,27.75,29.16,30.59,30.44,28.78,27.78,27.69,26.78,24.47,23.62,24.47:20.94,24.19,25.91,25.16,25.19,26.47,25.38,21.84,19.22,19.34,20.0,19.28,18.56,20.38,22.16,21.78,20.34,20.81,22.84,23.81,23.56,25.09,28.03,29.94,29.09,28.38,29.59,30.53,28.91,27.44,28.19,29.84,29.88,28.69,29.62,31.72,31.94,29.81,28.25,28.25,27.72,24.97,23.5,25.16,27.22,27.12,26.0,27.12,28.03,27.16,25.38,25.75,28.38,30.22,30.12,30.56,32.41,32.56,29.72,27.66,28.25,30.09,30.16,29.94,31.81,34.25,34.5,32.16,31.62,32.03,31.28,28.41,27.03,28.19,29.09,28.19,27.41,28.94,30.31,29.66,28.16,28.06,28.88,27.47,24.38,22.84,23.0,22.53,20.5,19.84,21.56,23.44,23.28,23.56,25.94,28.25,28.19,26.22,25.25,24.84,22.5,18.56,16.72,16.78,16.56,14.72,13.97,15.81,18.03,18.41,18.88,21.84,25.53,27.03,26.38,26.94,27.38,26.22,22.44,20.16,20.28,20.09,18.56,18.41,21.38,25.03,26.28,27.06,29.59,31.78,31.06,28.31,26.47,25.75,23.81,19.97,17.62,17.12,16.28,12.88,10.38,10.47,11.38,10.25,9.41,10.94,13.81,15.5,16.75,20.19,25.41,29.56,31.25,32.84,34.56,33.97,28.94,22.78,18.16,13.91,8.59,4.22,3.56,5.56,7.09,7.94,10.75,14.69,18.12,19.41,21.94,26.81,31.19,33.12,34.5,37.31,39.78,39.5,38.03,38.53,39.66,38.75,36.06,34.84,34.41,33.12,29.53,27.22,26.84,26.91,25.28,24.62,26.38,29.5,29.91,29.66,30.22,31.44,30.97,29.03,28.28,29.34,29.66,27.28,25.09,25.0,25.31,24.09,23.25,25.06,28.25,29.19,29.22,31.0,33.88,35.44,35.69,37.19,39.94,40.94,39.34,36.94,36.31,35.22,31.78,28.28,26.69,26.22,24.22,21.56,20.62,21.25,20.56,17.88,16.28,16.62,17.19,16.16,16.03,18.5,21.91,22.66,23.28,25.19,27.16,26.88,24.59,23.44,23.66,23.56,21.41,20.81,21.88,23.06,21.47,20.69,21.97,24.38,24.81,24.78,26.94,29.69,30.72,30.22,30.44,31.91,32.16,30.38,29.16,29.81,30.06,27.84,25.28,24.81,25.31,24.41,23.44,24.66,27.72,28.47,27.22,26.22,26.31,24.69,20.97,17.94,17.09,16.62,14.59,13.41,14.88,17.88,18.78,19.06,21.0,24.12,25.59,26.09,28.38,32.59,36.16,37.16,38.19,39.94,41.12,38.91,36.03,34.53,34.38,32.09,28.81,27.47,26.94,25.0,21.19,18.03,16.97,15.53,12.47,10.72,11.56,13.84,14.31,14.44,16.16,18.06,17.34,15.16,14.44,15.91,16.94,17.09,18.59,22.25,25.03,25.25,25.09,26.09,26.84,24.81,22.59,22.41,23.28,22.31,20.19,19.66,20.81,21.22,20.38,20.91,23.69,26.03,26.03,26.12,27.81,29.97,30.03,28.75,29.5,31.19,31.38,30.19,30.22,31.56,31.47,29.25,27.28,27.28,27.44,26.0,24.47,24.94,25.38,23.91,21.03,19.56,20.03,18.78,16.66,15.34,16.31,16.06,14.0,12.72,13.41,14.38,13.47,12.22,12.78,14.41,14.19,13.91,15.12,18.28,19.66,18.81,18.5,19.75,20.56,19.56,19.19,21.09,22.94,22.62,21.62,22.28,23.44,22.97,21.31,20.72,21.88,22.16,20.84,21.0,23.28,24.75,23.97,23.22,24.44,25.75,25.41,25.0,26.38,29.09,29.94,29.44,29.69,30.81,30.5,28.03,25.88,25.88,25.69,23.06,20.38,19.75,19.88,18.47,17.09,17.81,20.59,22.41,24.0,26.84,31.25,33.69,33.0,31.09,30.44,29.12,26.19,23.28,23.0,23.72,22.84,20.84,20.66,21.66,21.03,19.34,19.03,21.34,23.12,23.66,24.25,26.91,28.75,28.5,27.38,28.31,29.94,30.06,29.03,29.44,30.97,31.34,30.12,29.66,30.78,31.09,28.59,26.03,25.5,25.59,23.75,22.12,22.62,24.56,25.06,24.69,25.59,27.88,29.0,28.44,28.22,30.12,31.31,30.28,28.59,29.25,29.66,28.09,25.53,24.47,24.47,22.84,19.69,18.06,18.38,17.62,15.72,14.91,16.94,19.09,19.69,19.81,22.44,24.97,25.41,25.16,26.72,29.81,31.19,30.81,30.88,32.22,32.22,30.53,29.16,30.06,30.59,29.12,27.19,27.25,28.5,28.06,27.03,27.44,29.19,29.22,27.56,26.84,28.09,28.94,27.97,27.44,29.47,31.19,30.22,28.34,28.28,28.59,27.38,25.69,25.81,27.81,28.59,28.09,28.28,30.59,32.0,31.62,30.81,31.91,32.59,31.0,29.0,29.16,30.31,30.25,28.88,28.56,29.47,28.75,26.75,25.5,26.66,27.91,26.91,25.75,26.75,27.81,26.84,24.97,24.97,25.91,25.56,24.06,24.28,26.12,26.84,25.12,23.66,23.94,24.59,23.22,22.47,24.44,26.38,26.25,24.84,24.91,25.62,24.78,22.88,22.09,23.47,24.41,24.19,24.75,27.81,30.97,31.38,30.94,32.12,33.44,32.62,30.53,30.06,30.97,30.81,29.53,29.56,31.5,32.62,31.28,29.47,29.53,29.97,28.75,27.34,28.75,30.59,31.06,29.88,29.78,30.31,29.72,27.16,25.59,26.09,26.22,25.0,24.09,25.5,27.19,27.09,25.88,26.44,27.22,26.47,23.84,22.75,22.97,22.69,20.78,20.31,22.19,24.03,24.0,23.62,25.44,27.62,27.81,27.47,29.38,32.06,33.12,31.84,31.09,30.41,28.38,23.59,19.19,17.53,16.5,14.34,13.34,15.84,19.5,21.78,23.09,25.19,27.81,28.44,26.62,25.69,26.62,27.16,25.81,24.97,26.62,28.0,26.84,24.91,25.12,25.72,24.91,23.5,24.22,25.97,27.0,25.5,24.78,25.31,25.31,22.66,20.12,19.84,19.5,17.03,14.69,14.94,17.03,18.03,18.34,20.5,23.88,26.0,25.91,26.28,28.0,29.22,27.78,26.56,26.97,28.19,26.75,24.91,24.88,25.94,25.53,23.62,23.56,25.09,26.44,25.66,26.06,29.16,31.81,31.56,30.59,30.88,30.56,27.34,23.12,20.78,20.47,19.66,18.47,19.56,22.94,25.59,25.97,26.56,28.5,30.38,29.31,27.56,27.53,27.38,25.31,22.34,21.72,23.0,23.81,23.31,24.34,26.75,27.91,26.03,24.25,23.78,23.81,21.59,19.47,20.25,22.22,22.59,21.91,22.81,24.53,25.12,23.69,24.12,26.81,30.25,31.62,33.06,35.94,38.09,37.06,34.72,34.0,34.62,33.62,31.59,31.53,33.16,33.69,32.12,30.66,30.75,29.91,26.72,23.91,23.84,24.56,24.12,23.16,24.62,27.53,28.91,28.94,30.47,33.44,34.75,33.72,33.03,34.03,34.41,32.38,30.16,29.12,28.91,26.53,23.56,22.81,23.72,23.59,22.25,22.38,24.31,26.03,24.72,23.72,24.22,24.44,21.59,18.78,18.0,18.41,16.91,14.69,14.78,17.34,18.59,18.53,19.66,22.25,23.5,22.09,20.91,22.09,23.84,23.5,22.78,23.75,25.06,23.47,20.47,18.41,17.97,16.72,14.09,13.5,15.56,17.75,18.69,19.78,22.97,25.84,25.53,23.81,23.56,24.66,24.53,24.03,25.59,29.22,31.97,31.91,32.59,35.38,37.25,36.28,34.31,33.75,32.97,29.59,25.69,23.97,24.19,22.41,19.44,17.16,16.47,14.69,11.31,9.91,11.88,14.66,15.56,17.03,19.72,22.41,21.78,20.19,19.78,21.34,21.28,20.59,20.91,23.16,24.06,22.53,21.38,22.25,23.25,21.84,20.59,22.28,24.34,24.62,23.75,24.0,25.03,24.72,23.22,23.09,25.16,26.34,25.41,24.19,24.84,24.78,22.44,19.16,18.03,18.31,17.84,17.22,19.44,23.91,27.0,28.0,28.84,31.0,32.12,30.5,29.0,29.88,31.34,30.25,28.56,28.19,28.34,26.09,22.91,21.09,21.72,21.75,20.62,20.16,21.44,22.06,19.72,17.0,16.53,17.59,16.88,16.25,18.38,22.03,23.72,24.03,25.62,28.97,30.94,30.69,30.16,31.5,31.81,29.47,26.66,26.16,26.56,24.44,21.84,20.62,21.0,20.09,17.88,16.56,17.84,18.06,16.44,15.03,15.44,15.38,12.78,10.31,10.25,12.25,13.44,13.94,16.41,20.28,22.22,21.66,21.62,23.41,24.28,22.44,20.44,20.41,19.69,16.06,11.84,10.06,10.28,9.91,9.09,10.75,14.38,16.53,16.69,17.56,20.38,22.81,23.09,23.53,26.47,29.72,30.16,29.69,30.25,31.53,30.44,27.69,26.09,26.28,25.22,22.25,20.38,21.28,22.06,20.62,19.22,19.94,21.12,19.94,17.94,18.16,19.53,19.59,18.44,18.69,20.72,22.03,21.22,20.59,22.56,23.69,22.91,21.88,23.22,25.78,26.88,27.03,29.06,32.69,34.47,34.34,35.12,37.62,38.28,35.88,32.84,31.59,30.38,27.09,24.38,24.25,25.41,24.97,23.22,22.97,23.84,22.88,19.97,17.94,18.41,19.22,18.38,18.41,20.97,23.84,24.44,23.97,25.62,27.97,28.34,27.66,28.16,30.28,31.25,29.81,28.66,29.16,28.59,25.75,22.72,22.44,22.72,21.0,18.56,31.62,31.97,32.53,32.0,30.0,29.28,29.38,28.81,26.72,25.5,25.38,25.0,23.44,22.5,23.84,26.06,27.16,27.75,29.16,30.59,30.44,28.78,27.78,27.69,26.78,24.47,23.62,24.47,25.5,25.25,24.91,26.25,28.03,28.47,28.84:21.84,19.22,19.34,20.0,19.28,18.56,20.38,22.16,21.78,20.34,20.81,22.84,23.81,23.56,25.09,28.03,29.94,29.09,28.38,29.59,30.53,28.91,27.44,28.19,29.84,29.88,28.69,29.62,31.72,31.94,29.81,28.25,28.25,27.72,24.97,23.5,25.16,27.22,27.12,26.0,27.12,28.03,27.16,25.38,25.75,28.38,30.22,30.12,30.56,32.41,32.56,29.72,27.66,28.25,30.09,30.16,29.94,31.81,34.25,34.5,32.16,31.62,32.03,31.28,28.41,27.03,28.19,29.09,28.19,27.41,28.94,30.31,29.66,28.16,28.06,28.88,27.47,24.38,22.84,23.0,22.53,20.5,19.84,21.56,23.44,23.28,23.56,25.94,28.25,28.19,26.22,25.25,24.84,22.5,18.56,16.72,16.78,16.56,14.72,13.97,15.81,18.03,18.41,18.88,21.84,25.53,27.03,26.38,26.94,27.38,26.22,22.44,20.16,20.28,20.09,18.56,18.41,21.38,25.03,26.28,27.06,29.59,31.78,31.06,28.31,26.47,25.75,23.81,19.97,17.62,17.12,16.28,12.88,10.38,10.47,11.38,10.25,9.41,10.94,13.81,15.5,16.75,20.19,25.41,29.56,31.25,32.84,34.56,33.97,28.94,22.78,18.16,13.91,8.59,4.22,3.56,5.56,7.09,7.94,10.75,14.69,18.12,19.41,21.94,26.81,31.19,33.12,34.5,37.31,39.78,39.5,38.03,38.53,39.66,38.75,36.06,34.84,34.41,33.12,29.53,27.22,26.84,26.91,25.28,24.62,26.38,29.5,29.91,29.66,30.22,31.44,30.97,29.03,28.28,29.34,29.66,27.28,25.09,25.0,25.31,24.09,23.25,25.06,28.25,29.19,29.22,31.0,33.88,35.44,35.69,37.19,39.94,40.94,39.34,36.94,36.31,35.22,31.78,28.28,26.69,26.22,24.22,21.56,20.62,21.25,20.56,17.88,16.28,16.62,17.19,16.16,16.03,18.5,21.91,22.66,23.28,25.19,27.16,26.88,24.59,23.44,23.66,23.56,21.41,20.81,21.88,23.06,21.47,20.69,21.97,24.38,24.81,24.78,26.94,29.69,30.72,30.22,30.44,31.91,32.16,30.38,29.16,29.81,30.06,27.84,25.28,24.81,25.31,24.41,23.44,24.66,27.72,28.47,27.22,26.22,26.31,24.69,20.97,17.94,17.09,16.62,14.59,13.41,14.88,17.88,18.78,19.06,21.0,24.12,25.59,26.09,28.38,32.59,36.16,37.16,38.19,39.94,41.12,38.91,36.03,34.53,34.38,32.09,28.81,27.47,26.94,25.0,21.19,18.03,16.97,15.53,12.47,10.72,11.56,13.84,14.31,14.44,16.16,18.06,17.34,15.16,14.44,15.91,16.94,17.09,18.59,22.25,25.03,25.25,25.09,26.09,26.84,24.81,22.59,22.41,23.28,22.31,20.19,19.66,20.81,21.22,20.38,20.91,23.69,26.03,26.03,26.12,27.81,29.97,30.03,28.75,29.5,31.19,31.38,30.19,30.22,31.56,31.47,29.25,27.28,27.28,27.44,26.0,24.47,24.94,25.38,23.91,21.03,19.56,20.03,18.78,16.66,15.34,16.31,16.06,14.0,12.72,13.41,14.38,13.47,12.22,12.78,14.41,14.19,13.91,15.12,18.28,19.66,18.81,18.5,19.75,20.56,19.56,19.19,21.09,22.94,22.62,21.62,22.28,23.44,22.97,21.31,20.72,21.88,22.16,20.84,21.0,23.28,24.75,23.97,23.22,24.44,25.75,25.41,25.0,26.38,29.09,29.94,29.44,29.69,30.81,30.5,28.03,25.88,25.88,25.69,23.06,20.38,19.75,19.88,18.47,17.09,17.81,20.59,22.41,24.0,26.84,31.25,33.69,33.0,31.09,30.44,29.12,26.19,23.28,23.0,23.72,22.84,20.84,20.66,21.66,21.03,19.34,19.03,21.34,23.12,23.66,24.25,26.91,28.75,28.5,27.38,28.31,29.94,30.06,29.03,29.44,30.97,31.34,30.12,29.66,30.78,31.09,28.59,26.03,25.5,25.59,23.75,22.12,22.62,24.56,25.06,24.69,25.59,27.88,29.0,28.44,28.22,30.12,31.31,30.28,28.59,29.25,29.66,28.09,25.53,24.47,24.47,22.84,19.69,18.06,18.38,17.62,15.72,14.91,16.94,19.09,19.69,19.81,22.44,24.97,25.41,25.16,26.72,29.81,31.19,30.81,30.88,32.22,32.22,30.53,29.16,30.06,30.59,29.12,27.19,27.25,28.5,28.06,27.03,27.44,29.19,29.22,27.56,26.84,28.09,28.94,27.97,27.44,29.47,31.19,30.22,28.34,28.28,28.59,27.38,25.69,25.81,27.81,28.59,28.09,28.28,30.59,32.0,31.62,30.81,31.91,32.59,31.0,29.0,29.16,30.31,30.25,28.88,28.56,29.47,28.75,26.75,25.5,26.66,27.91,26.91,25.75,26.75,27.81,26.84,24.97,24.97,25.91,25.56,24.06,24.28,26.12,26.84,25.12,23.66,23.94,24.59,23.22,22.47,24.44,26.38,26.25,24.84,24.91,25.62,24.78,22.88,22.09,23.47,24.41,24.19,24.75,27.81,30.97,31.38,30.94,32.12,33.44,32.62,30.53,30.06,30.97,30.81,29.53,29.56,31.5,32.62,31.28,29.47,29.53,29.97,28.75,27.34,28.75,30.59,31.06,29.88,29.78,30.31,29.72,27.16,25.59,26.09,26.22,25.0,24.09,25.5,27.19,27.09,25.88,26.44,27.22,26.47,23.84,22.75,22.97,22.69,20.78,20.31,22.19,24.03,24.0,23.62,25.44,27.62,27.81,27.47,29.38,32.06,33.12,31.84,31.09,30.41,28.38,23.59,19.19,17.53,16.5,14.34,13.34,15.84,19.5,21.78,23.09,25.19,27.81,28.44,26.62,25.69,26.62,27.16,25.81,24.97,26.62,28.0,26.84,24.91,25.12,25.72,24.91,23.5,24.22,25.97,27.0,25.5,24.78,25.31,25.31,22.66,20.12,19.84,19.5,17.03,14.69,14.94,17.03,18.03,18.34,20.5,23.88,26.0,25.91,26.28,28.0,29.22,27.78,26.56,26.97,28.19,26.75,24.91,24.88,25.94,25.53,23.62,23.56,25.09,26.44,25.66,26.06,29.16,31.81,31.56,30.59,30.88,30.56,27.34,23.12,20.78,20.47,19.66,18.47,19.56,22.94,25.59,25.97,26.56,28.5,30.38,29.31,27.56,27.53,27.38,25.31,22.34,21.72,23.0,23.81,23.31,24.34,26.75,27.91,26.03,24.25,23.78,23.81,21.59,19.47,20.25,22.22,22.59,21.91,22.81,24.53,25.12,23.69,24.12,26.81,30.25,31.62,33.06,35.94,38.09,37.06,34.72,34.0,34.62,33.62,31.59,31.53,33.16,33.69,32.12,30.66,30.75,29.91,26.72,23.91,23.84,24.56,24.12,23.16,24.62,27.53,28.91,28.94,30.47,33.44,34.75,33.72,33.03,34.03,34.41,32.38,30.16,29.12,28.91,26.53,23.56,22.81,23.72,23.59,22.25,22.38,24.31,26.03,24.72,23.72,24.22,24.44,21.59,18.78,18.0,18.41,16.91,14.69,14.78,17.34,18.59,18.53,19.66,22.25,23.5,22.09,20.91,22.09,23.84,23.5,22.78,23.75,25.06,23.47,20.47,18.41,17.97,16.72,14.09,13.5,15.56,17.75,18.69,19.78,22.97,25.84,25.53,23.81,23.56,24.66,24.53,24.03,25.59,29.22,31.97,31.91,32.59,35.38,37.25,36.28,34.31,33.75,32.97,29.59,25.69,23.97,24.19,22.41,19.44,17.16,16.47,14.69,11.31,9.91,11.88,14.66,15.56,17.03,19.72,22.41,21.78,20.19,19.78,21.34,21.28,20.59,20.91,23.16,24.06,22.53,21.38,22.25,23.25,21.84,20.59,22.28,24.34,24.62,23.75,24.0,25.03,24.72,23.22,23.09,25.16,26.34,25.41,24.19,24.84,24.78,22.44,19.16,18.03,18.31,17.84,17.22,19.44,23.91,27.0,28.0,28.84,31.0,32.12,30.5,29.0,29.88,31.34,30.25,28.56,28.19,28.34,26.09,22.91,21.09,21.72,21.75,20.62,20.16,21.44,22.06,19.72,17.0,16.53,17.59,16.88,16.25,18.38,22.03,23.72,24.03,25.62,28.97,30.94,30.69,30.16,31.5,31.81,29.47,26.66,26.16,26.56,24.44,21.84,20.62,21.0,20.09,17.88,16.56,17.84,18.06,16.44,15.03,15.44,15.38,12.78,10.31,10.25,12.25,13.44,13.94,16.41,20.28,22.22,21.66,21.62,23.41,24.28,22.44,20.44,20.41,19.69,16.06,11.84,10.06,10.28,9.91,9.09,10.75,14.38,16.53,16.69,17.56,20.38,22.81,23.09,23.53,26.47,29.72,30.16,29.69,30.25,31.53,30.44,27.69,26.09,26.28,25.22,22.25,20.38,21.28,22.06,20.62,19.22,19.94,21.12,19.94,17.94,18.16,19.53,19.59,18.44,18.69,20.72,22.03,21.22,20.59,22.56,23.69,22.91,21.88,23.22,25.78,26.88,27.03,29.06,32.69,34.47,34.34,35.12,37.62,38.28,35.88,32.84,31.59,30.38,27.09,24.38,24.25,25.41,24.97,23.22,22.97,23.84,22.88,19.97,17.94,18.41,19.22,18.38,18.41,20.97,23.84,24.44,23.97,25.62,27.97,28.34,27.66,28.16,30.28,31.25,29.81,28.66,29.16,28.59,25.75,22.72,22.44,22.72,21.0,18.56,31.62,31.97,32.53,32.0,30.0,29.28,29.38,28.81,26.72,25.5,25.38,25.0,23.44,22.5,23.84,26.06,27.16,27.75,29.16,30.59,30.44,28.78,27.78,27.69,26.78,24.47,23.62,24.47,25.5,25.25,24.91,26.25,28.03,28.47,28.84,30.66,32.91,33.97,33.0,32.38,31.66,29.59:negativity
8.25,7.41,7.16,6.44,4.69,2.81,0.97,-0.47,-2.53,-4.25,-4.53,-3.53,-2.53,-1.25,0.0,1.97,3.47,4.03,4.84,6.78,8.66,9.34,10.5,11.91,13.53,13.66,13.69,13.38,13.38,12.59,11.06,10.12,9.78,9.22,8.16,7.25,7.19,6.78,5.0,3.41,2.59,1.91,0.97,0.38,0.41,1.06,1.75,1.84,2.34,3.19,3.28,2.41,1.47,1.25,1.53,1.16,0.66,1.09,2.09,2.53,3.0,4.28,6.38,7.91,8.22,7.78,7.19,6.19,4.03,2.34,2.03,2.94,3.62,4.28,5.53,6.62,5.97,4.75,3.69,3.56,3.69,3.88,4.91,6.88,9.25,10.44,11.84,14.0,16.25,17.34,18.22,19.03,19.75,19.28,17.38,15.16,13.69,11.94,10.06,8.62,8.97,9.34,9.16,9.09,9.44,10.22,9.59,8.66,8.03,7.59,6.66,5.47,4.16,3.84,3.25,1.88,0.66,0.41,0.81,0.62,0.75,1.19,1.72,1.5,0.62,-0.03,-0.28,-0.75,-0.94,-0.53,1.03,2.62,3.22,3.12,3.22,2.88,1.84,1.28,1.66,2.69,3.66,4.88,6.03,8.16,9.56,10.19,10.66,11.97,13.28,13.75,13.88,14.28,13.88,11.22,8.06,5.12,3.53,3.19,3.44,4.94,7.22,8.75,8.53,8.03,7.69,7.06,5.59,3.88,3.19,2.84,2.5,2.34,3.19,4.75,5.5,5.47,5.62,5.75,5.56,4.34,2.91,3.22,3.69,3.53,3.19,3.66,4.19,3.91,3.0,2.91,3.62,3.75,3.69,3.84,5.12,6.22,6.22,6.81,8.16,9.41,10.03,10.56,11.47,12.22,12.19,11.28,10.81,10.44,10.0,9.34,8.78,9.44,9.72,9.31,8.19,7.53,6.53,5.0,3.19,2.41,2.22,1.75,0.38,-1.06,-1.53,-2.34,-3.44,-4.22,-3.72,-3.03,-3.0,-3.31,-2.25,-0.97,-0.28,0.34,1.91,3.59,5.25,5.66,5.72,5.97,5.62,4.03,2.78,2.66,2.5,1.25,-0.31,-1.91,-3.62,-5.34,-6.5,-6.47,-5.34,-4.06,-3.22,-2.62,-1.53,-0.72,-0.22,0.22,1.75,3.31,4.25,4.69,5.44,5.97,5.56,4.03,2.94,2.22,1.09,-0.44,-1.59,-1.5,-1.03,-0.94,-1.22,-0.41,0.47,0.78,1.06,2.22,3.22,3.69,3.59,3.62,4.72,6.16,6.84,7.5,8.5,9.03,8.62,7.31,7.28,7.5,7.59,7.53,8.19,8.84,8.88,7.72,6.09,5.16,4.59,3.09,2.25,2.53,2.72,2.62,1.88,2.47,3.38,3.84,3.88,4.78,5.53,6.28,6.66,7.06,7.84,9.16,9.34,9.34,10.12,11.09,11.34,11.12,11.78,13.06,13.38,13.12,12.47,11.53,10.25,7.84,5.78,4.66,3.97,2.84,1.78,1.84,2.59,3.09,3.69,4.97,6.75,8.0,7.88,7.25,6.84,6.19,4.94,4.19,4.62,5.59,6.03,6.12,6.38,6.53,5.72,3.53,1.72,0.38,-0.72,-2.28,-3.03,-3.09,-3.28,-4.38,-5.47,-5.06,-3.81,-2.66,-1.09,1.56,4.62,7.06,8.53,9.62,10.94,11.81,11.31,11.5,12.38,13.53,13.69,13.28,13.5,13.0,11.25,8.94,6.78,5.19,3.84,2.53,2.12,2.84,3.47,3.16,2.75,2.88,3.34,2.88,2.59,3.12,4.0,4.12,3.62,3.16,2.72,1.91,0.56,0.03,0.56,2.09,2.91,3.69,4.75,6.22,6.47,6.41,7.12,8.47,9.34,9.56,10.0,10.41,10.41,8.81,6.91,5.28,3.56,1.22,-0.69,-1.44,-0.75,-0.53,0.16,1.69,4.44,6.94,8.81,10.5,12.09,13.06,12.47,11.91,12.22,12.31,11.97,11.28,11.03,11.31,10.47,9.22,8.44,8.31,8.03,7.5,7.25,8.16,8.38,7.56,6.22,5.0,4.03,2.47,1.41,1.28,2.0,2.31,1.97,2.06,2.75,3.12,3.0,2.81,3.53,4.34,4.16,4.06,4.38,4.53,3.12,1.38,-0.41,-1.5,-2.94,-4.53,-5.5,-5.41,-5.19,-5.44,-5.25,-4.12,-3.22,-3.91,-4.84,-5.22,-5.0,-5.78,-6.38,-6.19,-5.09,-4.53,-4.03,-2.91,-1.28,0.41,1.0,1.62,3.56,5.41,5.94,6.12,6.53,7.12,6.47,5.5,4.75,4.31,3.19,1.03,-0.84,-1.91,-3.03,-4.41,-5.38,-4.84,-3.62,-2.75,-2.44,-1.72,-0.44,-0.59,-1.06,-1.25,-0.78,-0.75,-1.34,-1.72,-1.22,-0.78,-1.34,-2.28,-2.25,-1.88,-2.34,-2.75,-2.31,-1.03,-0.06,1.16,3.09,5.94,8.19,8.62,8.66,8.38,7.72,6.28,4.56,4.06,4.44,3.31,2.03,0.84,0.19,-0.78,-1.69,-2.19,-1.59,-1.38,-2.25,-3.5,-3.81,-4.0,-4.75,-5.09,-4.16,-2.53,-1.34,-1.16,-0.75,-0.22,-0.31,-0.97,-1.03,0.41,1.66,1.84,1.56,1.91,2.34,1.69,0.84,1.44,2.47,3.31,4.22,5.41,7.53,8.84,8.69,8.03,7.72,7.5,6.06,5.0,4.88,5.47,5.25,4.62,4.41,4.56,4.19,3.12,2.94,4.38,6.28,7.47,9.12,11.28,12.78,12.34,11.28,10.53,10.38,9.5,8.72,9.31,10.5,11.44,11.69,11.72,12.62,12.53,11.62,10.53,10.16,10.28,9.44,8.38,8.03,8.19,7.72,6.59,6.06,6.38,6.31,5.19,4.41,4.47,4.38,3.69,2.75,3.12,3.75,3.66,3.25,3.62,4.97,5.56,5.0,4.44,3.91,2.19,-0.56,-3.12,-4.03,-4.34,-4.97,-5.81,-5.16,-4.47,-4.34,-4.69,-4.44,-3.41,-2.88,-2.97,-2.62,-1.59,-0.75,-0.44,0.03,1.59,3.47,4.66,4.72,5.19,5.09,4.66,3.03,2.62,3.06,3.72,4.19,5.09,7.5,9.88,10.69,11.06,11.38,10.47,8.03,4.97,3.09,2.47,2.03,2.12,3.19,4.84,5.94,5.5,4.56,4.94,5.41,5.5,6.31,8.09,10.0,10.72,10.38,10.53,10.78,10.69,9.84,9.75,10.47,11.38,11.25,11.81,13.16,14.62,15.16,15.47,16.28,17.31,17.38,16.56,16.19,15.53,14.25,12.28,10.84,10.62,10.66,9.62,8.97,9.06,9.03,8.47,7.5,7.06,6.81,6.44,5.31,5.41,6.22,6.81,6.0,5.31,5.0,4.72,4.0,3.16,3.41,3.75,3.19,2.28,1.69,1.78,1.34,-0.03,-0.69,-0.88,-0.69,-1.22,-0.66,1.22,3.78,5.5,6.94,9.03,10.88,11.28,10.97,10.94,11.06,11.06,10.56,10.94,12.31,14.25,14.38,13.94,13.19,11.25,7.78,3.84,0.81,-0.94,-2.22,-3.41,-3.47,-2.75,-2.5,-3.19,-3.41,-2.72,-1.47,0.0,2.09,5.19,8.66,10.84,11.94,12.56,13.12,12.78,11.97,12.19,13.31,14.41,14.28,13.75,12.97,11.69,8.53,5.28,2.94,2.0,0.69,-0.12,0.38,1.69,2.81,3.25,4.06,5.09,5.88,5.78,6.47,7.84,9.66,10.34,10.66,10.72,10.53,9.41,7.75,7.06,7.16,6.69,5.81,5.28,4.91,4.84,4.5,4.34,5.16,6.28,6.81,6.72,7.06,8.22,8.84,9.03,9.97,11.41,12.53,12.34,11.81,11.72,11.44,10.44,9.16,8.88,9.25,8.62,7.88,7.91,8.59,8.41,7.59,6.91,6.47,6.12,5.31,5.0,6.0,7.12,7.47,7.44,7.44,7.78,7.0,6.25,5.81,6.38,6.25,5.06,4.03,3.62,3.06,1.59,0.69,0.41,0.59,0.41,0.28,1.09,3.0,4.31,4.97,6.0,7.44,8.12,7.97,8.06,8.47,8.56,7.75,6.75,6.5,6.62,6.31,5.75,5.28,5.59,6.03,6.31,7.41,9.44,10.94,10.84,9.41,8.16,6.94,5.19,3.91,4.09,5.16,5.09,4.16,2.78,1.44,-0.59,-2.53,-3.75,-2.88,-1.47,-0.06,1.69,3.88,5.72,6.16,5.59,5.47,5.41,5.03,4.22,3.66,4.12,4.72,4.5,4.44,5.12,5.75,5.59,5.03,5.31,5.72,5.75,5.12,4.66,4.19,3.03,1.19,-0.44,-1.09,-0.91,-0.91,-0.66,0.41,1.06,0.91,0.03,-0.38,0.09,0.81,1.59,2.88,5.0,6.62,6.56,6.06,6.38,6.19,5.44,4.38,4.31,4.41,4.25,3.78,3.94,4.44,4.31,3.22,2.06,1.5,0.31,-1.56,-3.41,-4.56,-5.22,-5.5,-6.19,-5.5,-4.78,-4.44,-4.59,-4.31,-3.38,-3.31,-3.72,-4.06,-3.72,-3.16,-3.25,-3.16,-2.09,-0.97,-0.44,-0.03,1.16,2.53,4.12,4.88,5.59,6.41,6.16,4.62,2.91,2.19,2.28,1.94,1.91,2.91,3.72,3.59,2.88,2.47,2.72,3.5,4.06,5.12,6.78,8.16,8.19,8.0,8.22,8.41,7.25,5.75,5.06,4.56,4.16,3.5,4.0,4.88,5.75,5.62,5.09,4.72,3.72,1.59,-0.28,-1.16,-1.28,-1.78,-1.75,-0.88,0.62,1.78,2.41,2.94,3.53,4.62,4.53,4.75,5.81,6.19,5.59,4.66,4.25,4.66,5.09,5.38,6.31,7.19,7.72,6.91,6.34,6.56,7.06,6.72,6.75,7.06,7.16,6.56,5.88,6.03,7.0,7.31,6.81,6.59,6.62,6.06,4.78,4.41,4.78,5.34,5.22,5.09,4.88,4.78,3.78,2.06,1.25,1.47,1.41,0.94,0.94,1.62,2.19,1.88,1.88,2.47,3.06,2.31,1.16,0.53,-0.03,-1.12,-2.09,-1.84,-0.53:-0.47,-2.53,-4.25,-4.53,-3.53,-2.53,-1.25,0.0,1.97,3.47,4.03,4.84,6.78,8.66,9.34,10.5,11.91,13.53,13.66,13.69,13.38,13.38,12.59,11.06,10.12,9.78,9.22,8.16,7.25,7.19,6.78,5.0,3.41,2.59,1.91,0.97,0.38,0.41,1.06,1.75,1.84,2.34,3.19,3.28,2.41,1.47,1.25,1.53,1.16,0.66,1.09,2.09,2.53,3.0,4.28,6.38,7.91,8.22,7.78,7.19,6.19,4.03,2.34,2.03,2.94,3.62,4.28,5.53,6.62,5.97,4.75,3.69,3.56,3.69,3.88,4.91,6.88,9.25,10.44,11.84,14.0,16.25,17.34,18.22,19.03,19.75,19.28,17.38,15.16,13.69,11.94,10.06,8.62,8.97,9.34,9.16,9.09,9.44,10.22,9.59,8.66,8.03,7.59,6.66,5.47,4.16,3.84,3.25,1.88,0.66,0.41,0.81,0.62,0.75,1.19,1.72,1.5,0.62,-0.03,-0.28,-0.75,-0.94,-0.53,1.03,2.62,3.22,3.12,3.22,2.88,1.84,1.28,1.66,2.69,3.66,4.88,6.03,8.16,9.56,10.19,10.66,11.97,13.28,13.75,13.88,14.28,13.88,11.22,8.06,5.12,3.53,3.19,3.44,4.94,7.22,8.75,8.53,8.03,7.69,7.06,5.59,3.88,3.19,2.84,2.5,2.34,3.19,4.75,5.5,5.47,5.62,5.75,5.56,4.34,2.91,3.22,3.69,3.53,3.19,3.66,4.19,3.91,3.0,2.91,3.62,3.75,3.69,3.84,5.12,6.22,6.22,6.81,8.16,9.41,10.03,10.56,11.47,12.22,12.19,11.28,10.81,10.44,10.0,9.34,8.78,9.44,9.72,9.31,8.19,7.53,6.53,5.0,3.19,2.41,2.22,1.75,0.38,-1.06,-1.53,-2.34,-3.44,-4.22,-3.72,-3.03,-3.0,-3.31,-2.25,-0.97,-0.28,0.34,1.91,3.59,5.25,5.66,5.72,5.97,5.62,4.03,2.78,2.66,2.5,1.25,-0.31,-1.91,-3.62,-5.34,-6.5,-6.47,-5.34,-4.06,-3.22,-2.62,-1.53,-0.72,-0.22,0.22,1.75,3.31,4.25,4.69,5.44,5.97,5.56,4.03,2.94,2.22,1.09,-0.44,-1.59,-1.5,-1.03,-0.94,-1.22,-0.41,0.47,0.78,1.06,2.22,3.22,3.69,3.59,3.62,4.72,6.16,6.84,7.5,8.5,9.03,8.62,7.31,7.28,7.5,7.59,7.53,8.19,8.84,8.88,7.72,6.09,5.16,4.59,3.09,2.25,2.53,2.72,2.62,1.88,2.47,3.38,3.84,3.88,4.78,5.53,6.28,6.66,7.06,7.84,9.16,9.34,9.34,10.12,11.09,11.34,11.12,11.78,13.06,13.38,13.12,12.47,11.53,10.25,7.84,5.78,4.66,3.97,2.84,1.78,1.84,2.59,3.09,3.69,4.97,6.75,8.0,7.88,7.25,6.84,6.19,4.94,4.19,4.62,5.59,6.03,6.12,6.38,6.53,5.72,3.53,1.72,0.38,-0.72,-2.28,-3.03,-3.09,-3.28,-4.38,-5.47,-5.06,-3.81,-2.66,-1.09,1.56,4.62,7.06,8.53,9.62,10.94,11.81,11.31,11.5,12.38,13.53,13.69,13.28,13.5,13.0,11.25,8.94,6.78,5.19,3.84,2.53,2.12,2.84,3.47,3.16,2.75,2.88,3.34,2.88,2.59,3.12,4.0,4.12,3.62,3.16,2.72,1.91,0.56,0.03,0.56,2.09,2.91,3.69,4.75,6.22,6.47,6.41,7.12,8.47,9.34,9.56,10.0,10.41,10.41,8.81,6.91,5.28,3.56,1.22,-0.69,-1.44,-0.75,-0.53,0.16,1.69,4.44,6.94,8.81,10.5,12.09,13.06,12.47,11.91,12.22,12.31,11.97,11.28,11.03,11.31,10.47,9.22,8.44,8.31,8.03,7.5,7.25,8.16,8.38,7.56,6.22,5.0,4.03,2.47,1.41,1.28,2.0,2.31,1.97,2.06,2.75,3.12,3.0,2.81,3.53,4.34,4.16,4.06,4.38,4.53,3.12,1.38,-0.41,-1.5,-2.94,-4.53,-5.5,-5.41,-5.19,-5.44,-5.25,-4.12,-3.22,-3.91,-4.84,-5.22,-5.0,-5.78,-6.38,-6.19,-5.09,-4.53,-4.03,-2.91,-1.28,0.41,1.0,1.62,3.56,5.41,5.94,6.12,6.53,7.12,6.47,5.5,4.75,4.31,3.19,1.03,-0.84,-1.91,-3.03,-4.41,-5.38,-4.84,-3.62,-2.75,-2.44,-1.72,-0.44,-0.59,-1.06,-1.25,-0.78,-0.75,-1.34,-1.72,-1.22,-0.78,-1.34,-2.28,-2.25,-1.88,-2.34,-2.75,-2.31,-1.03,-0.06,1.16,3.09,5.94,8.19,8.62,8.66,8.38,7.72,6.28,4.56,4.06,4.44,3.31,2.03,0.84,0.19,-0.78,-1.69,-2.19,-1.59,-1.38,-2.25,-3.5,-3.81,-4.0,-4.75,-5.09,-4.16,-2.53,-1.34,-1.16,-0.75,-0.22,-0.31,-0.97,-1.03,0.41,1.66,1.84,1.56,1.91,2.34,1.69,0.84,1.44,2.47,3.31,4.22,5.41,7.53,8.84,8.69,8.03,7.72,7.5,6.06,5.0,4.88,5.47,5.25,4.62,4.41,4.56,4.19,3.12,2.94,4.38,6.28,7.47,9.12,11.28,12.78,12.34,11.28,10.53,10.38,9.5,8.72,9.31,10.5,11.44,11.69,11.72,12.62,12.53,11.62,10.53,10.16,10.28,9.44,8.38,8.03,8.19,7.72,6.59,6.06,6.38,6.31,5.19,4.41,4.47,4.38,3.69,2.75,3.12,3.75,3.66,3.25,3.62,4.97,5.56,5.0,4.44,3.91,2.19,-0.56,-3.12,-4.03,-4.34,-4.97,-5.81,-5.16,-4.47,-4.34,-4.69,-4.44,-3.41,-2.88,-2.97,-2.62,-1.59,-0.75,-0.44,0.03,1.59,3.47,4.66,4.72,5.19,5.09,4.66,3.03,2.62,3.06,3.72,4.19,5.09,7.5,9.88,10.69,11.06,11.38,10.47,8.03,4.97,3.09,2.47,2.03,2.12,3.19,4.84,5.94,5.5,4.56,4.94,5.41,5.5,6.31,8.09,10.0,10.72,10.38,10.53,10.78,10.69,9.84,9.75,10.47,11.38,11.25,11.81,13.16,14.62,15.16,15.47,16.28,17.31,17.38,16.56,16.19,15.53,14.25,12.28,10.84,10.62,10.66,9.62,8.97,9.06,9.03,8.47,7.5,7.06,6.81,6.44,5.31,5.41,6.22,6.81,6.0,5.31,5.0,4.72,4.0,3.16,3.41,3.75,3.19,2.28,1.69,1.78,1.34,-0.03,-0.69,-0.88,-0.69,-1.22,-0.66,1.22,3.78,5.5,6.94,9.03,10.88,11.28,10.97,10.94,11.06,11.06,10.56,10.94,12.31,14.25,14.38,13.94,13.19,11.25,7.78,3.84,0.81,-0.94,-2.22,-3.41,-3.47,-2.75,-2.5,-3.19,-3.41,-2.72,-1.47,0.0,2.09,5.19,8.66,10.84,11.94,12.56,13.12,12.78,11.97,12.19,13.31,14.41,14.28,13.75,12.97,11.69,8.53,5.28,2.94,2.0,0.69,-0.12,0.38,1.69,2.81,3.25,4.06,5.09,5.88,5.78,6.47,7.84,9.66,10.34,10.66,10.72,10.53,9.41,7.75,7.06,7.16,6.69,5.81,5.28,4.91,4.84,4.5,4.34,5.16,6.28,6.81,6.72,7.06,8.22,8.84,9.03,9.97,11.41,12.53,12.34,11.81,11.72,11.44,10.44,9.16,8.88,9.25,8.62,7.88,7.91,8.59,8.41,7.59,6.91,6.47,6.12,5.31,5.0,6.0,7.12,7.47,7.44,7.44,7.78,7.0,6.25,5.81,6.38,6.25,5.06,4.03,3.62,3.06,1.59,0.69,0.41,0.59,0.41,0.28,1.09,3.0,4.31,4.97,6.0,7.44,8.12,7.97,8.06,8.47,8.56,7.75,6.75,6.5,6.62,6.31,5.75,5.28,5.59,6.03,6.31,7.41,9.44,10.94,10.84,9.41,8.16,6.94,5.19,3.91,4.09,5.16,5.09,4.16,2.78,1.44,-0.59,-2.53,-3.75,-2.88,-1.47,-0.06,1.69,3.88,5.72,6.16,5.59,5.47,5.41,5.03,4.22,3.66,4.12,4.72,4.5,4.44,5.12,5.75,5.59,5.03,5.31,5.72,5.75,5.12,4.66,4.19,3.03,1.19,-0.44,-1.09,-0.91,-0.91,-0.66,0.41,1.06,0.91,0.03,-0.38,0.09,0.81,1.59,2.88,5.0,6.62,6.56,6.06,6.38,6.19,5.44,4.38,4.31,4.41,4.25,3.78,3.94,4.44,4.31,3.22,2.06,1.5,0.31,-1.56,-3.41,-4.56,-5.22,-5.5,-6.19,-5.5,-4.78,-4.44,-4.59,-4.31,-3.38,-3.31,-3.72,-4.06,-3.72,-3.16,-3.25,-3.16,-2.09,-0.97,-0.44,-0.03,1.16,2.53,4.12,4.88,5.59,6.41,6.16,4.62,2.91,2.19,2.28,1.94,1.91,2.91,3.72,3.59,2.88,2.47,2.72,3.5,4.06,5.12,6.78,8.16,8.19,8.0,8.22,8.41,7.25,5.75,5.06,4.56,4.16,3.5,4.0,4.88,5.75,5.62,5.09,4.72,3.72,1.59,-0.28,-1.16,-1.28,-1.78,-1.75,-0.88,0.62,1.78,2.41,2.94,3.53,4.62,4.53,4.75,5.81,6.19,5.59,4.66,4.25,4.66,5.09,5.38,6.31,7.19,7.72,6.91,6.34,6.56,7.06,6.72,6.75,7.06,7.16,6.56,5.88,6.03,7.0,7.31,6.81,6.59,6.62,6.06,4.78,4.41,4.78,5.34,5.22,5.09,4.88,4.78,3.78,2.06,1.25,1.47,1.41,0.94,0.94,1.62,2.19,1.88,1.88,2.47,3.06,2.31,1.16,0.53,-0.03,-1.12,-2.09,-1.84,-0.53,32.69,33.31,33.97,33.78,32.81,31.53,29.44:0.0,1.97,3.47,4.03,4.84,6.78,8.66,9.34,10.5,11.91,13.53,13.66,13.69,13.38,13.38,12.59,11.06,10.12,9.78,9.22,8.16,7.25,7.19,6.78,5.0,3.41,2.59,1.91,0.97,0.38,0.41,1.06,1.75,1.84,2.34,3.19,3.28,2.41,1.47,1.25,1.53,1.16,0.66,1.09,2.09,2.53,3.0,4.28,6.38,7.91,8.22,7.78,7.19,6.19,4.03,2.34,2.03,2.94,3.62,4.28,5.53,6.62,5.97,4.75,3.69,3.56,3.69,3.88,4.91,6.88,9.25,10.44,11.84,14.0,16.25,17.34,18.22,19.03,19.75,19.28,17.38,15.16,13.69,11.94,10.06,8.62,8.97,9.34,9.16,9.09,9.44,10.22,9.59,8.66,8.03,7.59,6.66,5.47,4.16,3.84,3.25,1.88,0.66,0.41,0.81,0.62,0.75,1.19,1.72,1.5,0.62,-0.03,-0.28,-0.75,-0.94,-0.53,1.03,2.62,3.22,3.12,3.22,2.88,1.84,1.28,1.66,2.69,3.66,4.88,6.03,8.16,9.56,10.19,10.66,11.97,13.28,13.75,13.88,14.28,13.88,11.22,8.06,5.12,3.53,3.19,3.44,4.94,7.22,8.75,8.53,8.03,7.69,7.06,5.59,3.88,3.19,2.84,2.5,2.34,3.19,4.75,5.5,5.47,5.62,5.75,5.56,4.34,2.91,3.22,3.69,3.53,3.19,3.66,4.19,3.91,3.0,2.91,3.62,3.75,3.69,3.84,5.12,6.22,6.22,6.81,8.16,9.41,10.03,10.56,11.47,12.22,12.19,11.28,10.81,10.44,10.0,9.34,8.78,9.44,9.72,9.31,8.19,7.53,6.53,5.0,3.19,2.41,2.22,1.75,0.38,-1.06,-1.53,-2.34,-3.44,-4.22,-3.72,-3.03,-3.0,-3.31,-2.25,-0.97,-0.28,0.34,1.91,3.59,5.25,5.66,5.72,5.97,5.62,4.03,2.78,2.66,2.5,1.25,-0.31,-1.91,-3.62,-5.34,-6.5,-6.47,-5.34,-4.06,-3.22,-2.62,-1.53,-0.72,-0.22,0.22,1.75,3.31,4.25,4.69,5.44,5.97,5.56,4.03,2.94,2.22,1.09,-0.44,-1.59,-1.5,-1.03,-0.94,-1.22,-0.41,0.47,0.78,1.06,2.22,3.22,3.69,3.59,3.62,4.72,6.16,6.84,7.5,8.5,9.03,8.62,7.31,7.28,7.5,7.59,7.53,8.19,8.84,8.88,7.72,6.09,5.16,4.59,3.09,2.25,2.53,2.72,2.62,1.88,2.47,3.38,3.84,3.88,4.78,5.53,6.28,6.66,7.06,7.84,9.16,9.34,9.34,10.12,11.09,11.34,11.12,11.78,13.06,13.38,13.12,12.47,11.53,10.25,7.84,5.78,4.66,3.97,2.84,1.78,1.84,2.59,3.09,3.69,4.97,6.75,8.0,7.88,7.25,6.84,6.19,4.94,4.19,4.62,5.59,6.03,6.12,6.38,6.53,5.72,3.53,1.72,0.38,-0.72,-2.28,-3.03,-3.09,-3.28,-4.38,-5.47,-5.06,-3.81,-2.66,-1.09,1.56,4.62,7.06,8.53,9.62,10.94,11.81,11.31,11.5,12.38,13.53,13.69,13.28,13.5,13.0,11.25,8.94,6.78,5.19,3.84,2.53,2.12,2.84,3.47,3.16,2.75,2.88,3.34,2.88,2.59,3.12,4.0,4.12,3.62,3.16,2.72,1.91,0.56,0.03,0.56,2.09,2.91,3.69,4.75,6.22,6.47,6.41,7.12,8.47,9.34,9.56,10.0,10.41,10.41,8.81,6.91,5.28,3.56,1.22,-0.69,-1.44,-0.75,-0.53,0.16,1.69,4.44,6.94,8.81,10.5,12.09,13.06,12.47,11.91,12.22,12.31,11.97,11.28,11.03,11.31,10.47,9.22,8.44,8.31,8.03,7.5,7.25,8.16,8.38,7.56,6.22,5.0,4.03,2.47,1.41,1.28,2.0,2.31,1.97,2.06,2.75,3.12,3.0,2.81,3.53,4.34,4.16,4.06,4.38,4.53,3.12,1.38,-0.41,-1.5,-2.94,-4.53,-5.5,-5.41,-5.19,-5.44,-5.25,-4.12,-3.22,-3.91,-4.84,-5.22,-5.0,-5.78,-6.38,-6.19,-5.09,-4.53,-4.03,-2.91,-1.28,0.41,1.0,1.62,3.56,5.41,5.94,6.12,6.53,7.12,6.47,5.5,4.75,4.31,3.19,1.03,-0.84,-1.91,-3.03,-4.41,-5.38,-4.84,-3.62,-2.75,-2.44,-1.72,-0.44,-0.59,-1.06,-1.25,-0.78,-0.75,-1.34,-1.72,-1.22,-0.78,-1.34,-2.28,-2.25,-1.88,-2.34,-2.75,-2.31,-1.03,-0.06,1.16,3.09,5.94,8.19,8.62,8.66,8.38,7.72,6.28,4.56,4.06,4.44,3.31,2.03,0.84,0.19,-0.78,-1.69,-2.19,-1.59,-1.38,-2.25,-3.5,-3.81,-4.0,-4.75,-5.09,-4.16,-2.53,-1.34,-1.16,-0.75,-0.22,-0.31,-0.97,-1.03,0.41,1.66,1.84,1.56,1.91,2.34,1.69,0.84,1.44,2.47,3.31,4.22,5.41,7.53,8.84,8.69,8.03,7.72,7.5,6.06,5.0,4.88,5.47,5.25,4.62,4.41,4.56,4.19,3.12,2.94,4.38,6.28,7.47,9.12,11.28,12.78,12.34,11.28,10.53,10.38,9.5,8.72,9.31,10.5,11.44,11.69,11.72,12.62,12.53,11.62,10.53,10.16,10.28,9.44,8.38,8.03,8.19,7.72,6.59,6.06,6.38,6.31,5.19,4.41,4.47,4.38,3.69,2.75,3.12,3.75,3.66,3.25,3.62,4.97,5.56,5.0,4.44,3.91,2.19,-0.56,-3.12,-4.03,-4.34,-4.97,-5.81,-5.16,-4.47,-4.34,-4.69,-4.44,-3.41,-2.88,-2.97,-2.62,-1.59,-0.75,-0.44,0.03,1.59,3.47,4.66,4.72,5.19,5.09,4.66,3.03,2.62,3.06,3.72,4.19,5.09,7.5,9.88,10.69,11.06,11.38,10.47,8.03,4.97,3.09,2.47,2.03,2.12,3.19,4.84,5.94,5.5,4.56,4.94,5.41,5.5,6.31,8.09,10.0,10.72,10.38,10.53,10.78,10.69,9.84,9.75,10.47,11.38,11.25,11.81,13.16,14.62,15.16,15.47,16.28,17.31,17.38,16.56,16.19,15.53,14.25,12.28,10.84,10.62,10.66,9.62,8.97,9.06,9.03,8.47,7.5,7.06,6.81,6.44,5.31,5.41,6.22,6.81,6.0,5.31,5.0,4.72,4.0,3.16,3.41,3.75,3.19,2.28,1.69,1.78,1.34,-0.03,-0.69,-0.88,-0.69,-1.22,-0.66,1.22,3.78,5.5,6.94,9.03,10.88,11.28,10.97,10.94,11.06,11.06,10.56,10.94,12.31,14.25,14.38,13.94,13.19,11.25,7.78,3.84,0.81,-0.94,-2.22,-3.41,-3.47,-2.75,-2.5,-3.19,-3.41,-2.72,-1.47,0.0,2.09,5.19,8.66,10.84,11.94,12.56,13.12,12.78,11.97,12.19,13.31,14.41,14.28,13.75,12.97,11.69,8.53,5.28,2.94,2.0,0.69,-0.12,0.38,1.69,2.81,3.25,4.06,5.09,5.88,5.78,6.47,7.84,9.66,10.34,10.66,10.72,10.53,9.41,7.75,7.06,7.16,6.69,5.81,5.28,4.91,4.84,4.5,4.34,5.16,6.28,6.81,6.72,7.06,8.22,8.84,9.03,9.97,11.41,12.53,12.34,11.81,11.72,11.44,10.44,9.16,8.88,9.25,8.62,7.88,7.91,8.59,8.41,7.59,6.91,6.47,6.12,5.31,5.0,6.0,7.12,7.47,7.44,7.44,7.78,7.0,6.25,5.81,6.38,6.25,5.06,4.03,3.62,3.06,1.59,0.69,0.41,0.59,0.41,0.28,1.09,3.0,4.31,4.97,6.0,7.44,8.12,7.97,8.06,8.47,8.56,7.75,6.75,6.5,6.62,6.31,5.75,5.28,5.59,6.03,6.31,7.41,9.44,10.94,10.84,9.41,8.16,6.94,5.19,3.91,4.09,5.16,5.09,4.16,2.78,1.44,-0.59,-2.53,-3.75,-2.88,-1.47,-0.06,1.69,3.88,5.72,6.16,5.59,5.47,5.41,5.03,4.22,3.66,4.12,4.72,4.5,4.44,5.12,5.75,5.59,5.03,5.31,5.72,5.75,5.12,4.66,4.19,3.03,1.19,-0.44,-1.09,-0.91,-0.91,-0.66,0.41,1.06,0.91,0.03,-0.38,0.09,0.81,1.59,2.88,5.0,6.62,6.56,6.06,6.38,6.19,5.44,4.38,4.31,4.41,4.25,3.78,3.94,4.44,4.31,3.22,2.06,1.5,0.31,-1.56,-3.41,-4.56,-5.22,-5.5,-6.19,-5.5,-4.78,-4.44,-4.59,-4.31,-3.38,-3.31,-3.72,-4.06,-3.72,-3.16,-3.25,-3.16,-2.09,-0.97,-0.44,-0.03,1.16,2.53,4.12,4.88,5.59,6.41,6.16,4.62,2.91,2.19,2.28,1.94,1.91,2.91,3.72,3.59,2.88,2.47,2.72,3.5,4.06,5.12,6.78,8.16,8.19,8.0,8.22,8.41,7.25,5.75,5.06,4.56,4.16,3.5,4.0,4.88,5.75,5.62,5.09,4.72,3.72,1.59,-0.28,-1.16,-1.28,-1.78,-1.75,-0.88,0.62,1.78,2.41,2.94,3.53,4.62,4.53,4.75,5.81,6.19,5.59,4.66,4.25,4.66,5.09,5.38,6.31,7.19,7.72,6.91,6.34,6.56,7.06,6.72,6.75,7.06,7.16,6.56,5.88,6.03,7.0,7.31,6.81,6.59,6.62,6.06,4.78,4.41,4.78,5.34,5.22,5.09,4.88,4.78,3.78,2.06,1.25,1.47,1.41,0.94,0.94,1.62,2.19,1.88,1.88,2.47,3.06,2.31,1.16,0.53,-0.03,-1.12,-2.09,-1.84,-0.53,32.69,33.31,33.97,33.78,32.81,31.53,29.44,27.75,26.38,25.56,25.56,26.34,27.66,28.66:9.34,10.5,11.91,13.53,13.66,13.69,13.38,13.38,12.59,11.06,10.12,9.78,9.22,8.16,7.25,7.19,6.78,5.0,3.41,2.59,1.91,0.97,0.38,0.41,1.06,1.75,1.84,2.34,3.19,3.28,2.41,1.47,1.25,1.53,1.16,0.66,1.09,2.09,2.53,3.0,4.28,6.38,7.91,8.22,7.78,7.19,6.19,4.03,2.34,2.03,2.94,3.62,4.28,5.53,6.62,5.97,4.75,3.69,3.56,3.69,3.88,4.91,6.88,9.25,10.44,11.84,14.0,16.25,17.34,18.22,19.03,19.75,19.28,17.38,15.16,13.69,11.94,10.06,8.62,8.97,9.34,9.16,9.09,9.44,10.22,9.59,8.66,8.03,7.59,6.66,5.47,4.16,3.84,3.25,1.88,0.66,0.41,0.81,0.62,0.75,1.19,1.72,1.5,0.62,-0.03,-0.28,-0.75,-0.94,-0.53,1.03,2.62,3.22,3.12,3.22,2.88,1.84,1.28,1.66,2.69,3.66,4.88,6.03,8.16,9.56,10.19,10.66,11.97,13.28,13.75,13.88,14.28,13.88,11.22,8.06,5.12,3.53,3.19,3.44,4.94,7.22,8.75,8.53,8.03,7.69,7.06,5.59,3.88,3.19,2.84,2.5,2.34,3.19,4.75,5.5,5.47,5.62,5.75,5.56,4.34,2.91,3.22,3.69,3.53,3.19,3.66,4.19,3.91,3.0,2.91,3.62,3.75,3.69,3.84,5.12,6.22,6.22,6.81,8.16,9.41,10.03,10.56,11.47,12.22,12.19,11.28,10.81,10.44,10.0,9.34,8.78,9.44,9.72,9.31,8.19,7.53,6.53,5.0,3.19,2.41,2.22,1.75,0.38,-1.06,-1.53,-2.34,-3.44,-4.22,-3.72,-3.03,-3.0,-3.31,-2.25,-0.97,-0.28,0.34,1.91,3.59,5.25,5.66,5.72,5.97,5.62,4.03,2.78,2.66,2.5,1.25,-0.31,-1.91,-3.62,-5.34,-6.5,-6.47,-5.34,-4.06,-3.22,-2.62,-1.53,-0.72,-0.22,0.22,1.75,3.31,4.25,4.69,5.44,5.97,5.56,4.03,2.94,2.22,1.09,-0.44,-1.59,-1.5,-1.03,-0.94,-1.22,-0.41,0.47,0.78,1.06,2.22,3.22,3.69,3.59,3.62,4.72,6.16,6.84,7.5,8.5,9.03,8.62,7.31,7.28,7.5,7.59,7.53,8.19,8.84,8.88,7.72,6.09,5.16,4.59,3.09,2.25,2.53,2.72,2.62,1.88,2.47,3.38,3.84,3.88,4.78,5.53,6.28,6.66,7.06,7.84,9.16,9.34,9.34,10.12,11.09,11.34,11.12,11.78,13.06,13.38,13.12,12.47,11.53,10.25,7.84,5.78,4.66,3.97,2.84,1.78,1.84,2.59,3.09,3.69,4.97,6.75,8.0,7.88,7.25,6.84,6.19,4.94,4.19,4.62,5.59,6.03,6.12,6.38,6.53,5.72,3.53,1.72,0.38,-0.72,-2.28,-3.03,-3.09,-3.28,-4.38,-5.47,-5.06,-3.81,-2.66,-1.09,1.56,4.62,7.06,8.53,9.62,10.94,11.81,11.31,11.5,12.38,13.53,13.69,13.28,13.5,13.0,11.25,8.94,6.78,5.19,3.84,2.53,2.12,2.84,3.47,3.16,2.75,2.88,3.34,2.88,2.59,3.12,4.0,4.12,3.62,3.16,2.72,1.91,0.56,0.03,0.56,2.09,2.91,3.69,4.75,6.22,6.47,6.41,7.12,8.47,9.34,9.56,10.0,10.41,10.41,8.81,6.91,5.28,3.56,1.22,-0.69,-1.44,-0.75,-0.53,0.16,1.69,4.44,6.94,8.81,10.5,12.09,13.06,12.47,11.91,12.22,12.31,11.97,11.28,11.03,11.31,10.47,9.22,8.44,8.31,8.03,7.5,7.25,8.16,8.38,7.56,6.22,5.0,4.03,2.47,1.41,1.28,2.0,2.31,1.97,2.06,2.75,3.12,3.0,2.81,3.53,4.34,4.16,4.06,4.38,4.53,3.12,1.38,-0.41,-1.5,-2.94,-4.53,-5.5,-5.41,-5.19,-5.44,-5.25,-4.12,-3.22,-3.91,-4.84,-5.22,-5.0,-5.78,-6.38,-6.19,-5.09,-4.53,-4.03,-2.91,-1.28,0.41,1.0,1.62,3.56,5.41,5.94,6.12,6.53,7.12,6.47,5.5,4.75,4.31,3.19,1.03,-0.84,-1.91,-3.03,-4.41,-5.38,-4.84,-3.62,-2.75,-2.44,-1.72,-0.44,-0.59,-1.06,-1.25,-0.78,-0.75,-1.34,-1.72,-1.22,-0.78,-1.34,-2.28,-2.25,-1.88,-2.34,-2.75,-2.31,-1.03,-0.06,1.16,3.09,5.94,8.19,8.62,8.66,8.38,7.72,6.28,4.56,4.06,4.44,3.31,2.03,0.84,0.19,-0.78,-1.69,-2.19,-1.59,-1.38,-2.25,-3.5,-3.81,-4.0,-4.75,-5.09,-4.16,-2.53,-1.34,-1.16,-0.75,-0.22,-0.31,-0.97,-1.03,0.41,1.66,1.84,1.56,1.91,2.34,1.69,0.84,1.44,2.47,3.31,4.22,5.41,7.53,8.84,8.69,8.03,7.72,7.5,6.06,5.0,4.88,5.47,5.25,4.62,4.41,4.56,4.19,3.12,2.94,4.38,6.28,7.47,9.12,11.28,12.78,12.34,11.28,10.53,10.38,9.5,8.72,9.31,10.5,11.44,11.69,11.72,12.62,12.53,11.62,10.53,10.16,10.28,9.44,8.38,8.03,8.19,7.72,6.59,6.06,6.38,6.31,5.19,4.41,4.47,4.38,3.69,2.75,3.12,3.75,3.66,3.25,3.62,4.97,5.56,5.0,4.44,3.91,2.19,-0.56,-3.12,-4.03,-4.34,-4.97,-5.81,-5.16,-4.47,-4.34,-4.69,-4.44,-3.41,-2.88,-2.97,-2.62,-1.59,-0.75,-0.44,0.03,1.59,3.47,4.66,4.72,5.19,5.09,4.66,3.03,2.62,3.06,3.72,4.19,5.09,7.5,9.88,10.69,11.06,11.38,10.47,8.03,4.97,3.09,2.47,2.03,2.12,3.19,4.84,5.94,5.5,4.56,4.94,5.41,5.5,6.31,8.09,10.0,10.72,10.38,10.53,10.78,10.69,9.84,9.75,10.47,11.38,11.25,11.81,13.16,14.62,15.16,15.47,16.28,17.31,17.38,16.56,16.19,15.53,14.25,12.28,10.84,10.62,10.66,9.62,8.97,9.06,9.03,8.47,7.5,7.06,6.81,6.44,5.31,5.41,6.22,6.81,6.0,5.31,5.0,4.72,4.0,3.16,3.41,3.75,3.19,2.28,1.69,1.78,1.34,-0.03,-0.69,-0.88,-0.69,-1.22,-0.66,1.22,3.78,5.5,6.94,9.03,10.88,11.28,10.97,10.94,11.06,11.06,10.56,10.94,12.31,14.25,14.38,13.94,13.19,11.25,7.78,3.84,0.81,-0.94,-2.22,-3.41,-3.47,-2.75,-2.5,-3.19,-3.41,-2.72,-1.47,0.0,2.09,5.19,8.66,10.84,11.94,12.56,13.12,12.78,11.97,12.19,13.31,14.41,14.28,13.75,12.97,11.69,8.53,5.28,2.94,2.0,0.69,-0.12,0.38,1.69,2.81,3.25,4.06,5.09,5.88,5.78,6.47,7.84,9.66,10.34,10.66,10.72,10.53,9.41,7.75,7.06,7.16,6.69,5.81,5.28,4.91,4.84,4.5,4.34,5.16,6.28,6.81,6.72,7.06,8.22,8.84,9.03,9.97,11.41,12.53,12.34,11.81,11.72,11.44,10.44,9.16,8.88,9.25,8.62,7.88,7.91,8.59,8.41,7.59,6.91,6.47,6.12,5.31,5.0,6.0,7.12,7.47,7.44,7.44,7.78,7.0,6.25,5.81,6.38,6.25,5.06,4.03,3.62,3.06,1.59,0.69,0.41,0.59,0.41,0.28,1.09,3.0,4.31,4.97,6.0,7.44,8.12,7.97,8.06,8.47,8.56,7.75,6.75,6.5,6.62,6.31,5.75,5.28,5.59,6.03,6.31,7.41,9.44,10.94,10.84,9.41,8.16,6.94,5.19,3.91,4.09,5.16,5.09,4.16,2.78,1.44,-0.59,-2.53,-3.75,-2.88,-1.47,-0.06,1.69,3.88,5.72,6.16,5.59,5.47,5.41,5.03,4.22,3.66,4.12,4.72,4.5,4.44,5.12,5.75,5.59,5.03,5.31,5.72,5.75,5.12,4.66,4.19,3.03,1.19,-0.44,-1.09,-0.91,-0.91,-0.66,0.41,1.06,0.91,0.03,-0.38,0.09,0.81,1.59,2.88,5.0,6.62,6.56,6.06,6.38,6.19,5.44,4.38,4.31,4.41,4.25,3.78,3.94,4.44,4.31,3.22,2.06,1.5,0.31,-1.56,-3.41,-4.56,-5.22,-5.5,-6.19,-5.5,-4.78,-4.44,-4.59,-4.31,-3.38,-3.31,-3.72,-4.06,-3.72,-3.16,-3.25,-3.16,-2.09,-0.97,-0.44,-0.03,1.16,2.53,4.12,4.88,5.59,6.41,6.16,4.62,2.91,2.19,2.28,1.94,1.91,2.91,3.72,3.59,2.88,2.47,2.72,3.5,4.06,5.12,6.78,8.16,8.19,8.0,8.22,8.41,7.25,5.75,5.06,4.56,4.16,3.5,4.0,4.88,5.75,5.62,5.09,4.72,3.72,1.59,-0.28,-1.16,-1.28,-1.78,-1.75,-0.88,0.62,1.78,2.41,2.94,3.53,4.62,4.53,4.75,5.81,6.19,5.59,4.66,4.25,4.66,5.09,5.38,6.31,7.19,7.72,6.91,6.34,6.56,7.06,6.72,6.75,7.06,7.16,6.56,5.88,6.03,7.0,7.31,6.81,6.59,6.62,6.06,4.78,4.41,4.78,5.34,5.22,5.09,4.88,4.78,3.78,2.06,1.25,1.47,1.41,0.94,0.94,1.62,2.19,1.88,1.88,2.47,3.06,2.31,1.16,0.53,-0.03,-1.12,-2.09,-1.84,-0.53,32.69,33.31,33.97,33.78,32.81,31.53,29.44,27.75,26.38,25.56,25.56,26.34,27.66,28.66,29.41,29.88,30.62,30.78,31.12,31.97,32.97:13.38,12.59,11.06,10.12,9.78,9.22,8.16,7.25,7.19,6.78,5.0,3.41,2.59,1.91,0.97,0.38,0.41,1.06,1.75,1.84,2.34,3.19,3.28,2.41,1.47,1.25,1.53,1.16,0.66,1.09,2.09,2.53,3.0,4.28,6.38,7.91,8.22,7.78,7.19,6.19,4.03,2.34,2.03,2.94,3.62,4.28,5.53,6.62,5.97,4.75,3.69,3.56,3.69,3.88,4.91,6.88,9.25,10.44,11.84,14.0,16.25,17.34,18.22,19.03,19.75,19.28,17.38,15.16,13.69,11.94,10.06,8.62,8.97,9.34,9.16,9.09,9.44,10.22,9.59,8.66,8.03,7.59,6.66,5.47,4.16,3.84,3.25,1.88,0.66,0.41,0.81,0.62,0.75,1.19,1.72,1.5,0.62,-0.03,-0.28,-0.75,-0.94,-0.53,1.03,2.62,3.22,3.12,3.22,2.88,1.84,1.28,1.66,2.69,3.66,4.88,6.03,8.16,9.56,10.19,10.66,11.97,13.28,13.75,13.88,14.28,13.88,11.22,8.06,5.12,3.53,3.19,3.44,4.94,7.22,8.75,8.53,8.03,7.69,7.06,5.59,3.88,3.19,2.84,2.5,2.34,3.19,4.75,5.5,5.47,5.62,5.75,5.56,4.34,2.91,3.22,3.69,3.53,3.19,3.66,4.19,3.91,3.0,2.91,3.62,3.75,3.69,3.84,5.12,6.22,6.22,6.81,8.16,9.41,10.03,10.56,11.47,12.22,12.19,11.28,10.81,10.44,10.0,9.34,8.78,9.44,9.72,9.31,8.19,7.53,6.53,5.0,3.19,2.41,2.22,1.75,0.38,-1.06,-1.53,-2.34,-3.44,-4.22,-3.72,-3.03,-3.0,-3.31,-2.25,-0.97,-0.28,0.34,1.91,3.59,5.25,5.66,5.72,5.97,5.62,4.03,2.78,2.66,2.5,1.25,-0.31,-1.91,-3.62,-5.34,-6.5,-6.47,-5.34,-4.06,-3.22,-2.62,-1.53,-0.72,-0.22,0.22,1.75,3.31,4.25,4.69,5.44,5.97,5.56,4.03,2.94,2.22,1.09,-0.44,-1.59,-1.5,-1.03,-0.94,-1.22,-0.41,0.47,0.78,1.06,2.22,3.22,3.69,3.59,3.62,4.72,6.16,6.84,7.5,8.5,9.03,8.62,7.31,7.28,7.5,7.59,7.53,8.19,8.84,8.88,7.72,6.09,5.16,4.59,3.09,2.25,2.53,2.72,2.62,1.88,2.47,3.38,3.84,3.88,4.78,5.53,6.28,6.66,7.06,7.84,9.16,9.34,9.34,10.12,11.09,11.34,11.12,11.78,13.06,13.38,13.12,12.47,11.53,10.25,7.84,5.78,4.66,3.97,2.84,1.78,1.84,2.59,3.09,3.69,4.97,6.75,8.0,7.88,7.25,6.84,6.19,4.94,4.19,4.62,5.59,6.03,6.12,6.38,6.53,5.72,3.53,1.72,0.38,-0.72,-2.28,-3.03,-3.09,-3.28,-4.38,-5.47,-5.06,-3.81,-2.66,-1.09,1.56,4.62,7.06,8.53,9.62,10.94,11.81,11.31,11.5,12.38,13.53,13.69,13.28,13.5,13.0,11.25,8.94,6.78,5.19,3.84,2.53,2.12,2.84,3.47,3.16,2.75,2.88,3.34,2.88,2.59,3.12,4.0,4.12,3.62,3.16,2.72,1.91,0.56,0.03,0.56,2.09,2.91,3.69,4.75,6.22,6.47,6.41,7.12,8.47,9.34,9.56,10.0,10.41,10.41,8.81,6.91,5.28,3.56,1.22,-0.69,-1.44,-0.75,-0.53,0.16,1.69,4.44,6.94,8.81,10.5,12.09,13.06,12.47,11.91,12.22,12.31,11.97,11.28,11.03,11.31,10.47,9.22,8.44,8.31,8.03,7.5,7.25,8.16,8.38,7.56,6.22,5.0,4.03,2.47,1.41,1.28,2.0,2.31,1.97,2.06,2.75,3.12,3.0,2.81,3.53,4.34,4.16,4.06,4.38,4.53,3.12,1.38,-0.41,-1.5,-2.94,-4.53,-5.5,-5.41,-5.19,-5.44,-5.25,-4.12,-3.22,-3.91,-4.84,-5.22,-5.0,-5.78,-6.38,-6.19,-5.09,-4.53,-4.03,-2.91,-1.28,0.41,1.0,1.62,3.56,5.41,5.94,6.12,6.53,7.12,6.47,5.5,4.75,4.31,3.19,1.03,-0.84,-1.91,-3.03,-4.41,-5.38,-4.84,-3.62,-2.75,-2.44,-1.72,-0.44,-0.59,-1.06,-1.25,-0.78,-0.75,-1.34,-1.72,-1.22,-0.78,-1.34,-2.28,-2.25,-1.88,-2.34,-2.75,-2.31,-1.03,-0.06,1.16,3.09,5.94,8.19,8.62,8.66,8.38,7.72,6.28,4.56,4.06,4.44,3.31,2.03,0.84,0.19,-0.78,-1.69,-2.19,-1.59,-1.38,-2.25,-3.5,-3.81,-4.0,-4.75,-5.09,-4.16,-2.53,-1.34,-1.16,-0.75,-0.22,-0.31,-0.97,-1.03,0.41,1.66,1.84,1.56,1.91,2.34,1.69,0.84,1.44,2.47,3.31,4.22,5.41,7.53,8.84,8.69,8.03,7.72,7.5,6.06,5.0,4.88,5.47,5.25,4.62,4.41,4.56,4.19,3.12,2.94,4.38,6.28,7.47,9.12,11.28,12.78,12.34,11.28,10.53,10.38,9.5,8.72,9.31,10.5,11.44,11.69,11.72,12.62,12.53,11.62,10.53,10.16,10.28,9.44,8.38,8.03,8.19,7.72,6.59,6.06,6.38,6.31,5.19,4.41,4.47,4.38,3.69,2.75,3.12,3.75,3.66,3.25,3.62,4.97,5.56,5.0,4.44,3.91,2.19,-0.56,-3.12,-4.03,-4.34,-4.97,-5.81,-5.16,-4.47,-4.34,-4.69,-4.44,-3.41,-2.88,-2.97,-2.62,-1.59,-0.75,-0.44,0.03,1.59,3.47,4.66,4.72,5.19,5.09,4.66,3.03,2.62,3.06,3.72,4.19,5.09,7.5,9.88,10.69,11.06,11.38,10.47,8.03,4.97,3.09,2.47,2.03,2.12,3.19,4.84,5.94,5.5,4.56,4.94,5.41,5.5,6.31,8.09,10.0,10.72,10.38,10.53,10.78,10.69,9.84,9.75,10.47,11.38,11.25,11.81,13.16,14.62,15.16,15.47,16.28,17.31,17.38,16.56,16.19,15.53,14.25,12.28,10.84,10.62,10.66,9.62,8.97,9.06,9.03,8.47,7.5,7.06,6.81,6.44,5.31,5.41,6.22,6.81,6.0,5.31,5.0,4.72,4.0,3.16,3.41,3.75,3.19,2.28,1.69,1.78,1.34,-0.03,-0.69,-0.88,-0.69,-1.22,-0.66,1.22,3.78,5.5,6.94,9.03,10.88,11.28,10.97,10.94,11.06,11.06,10.56,10.94,12.31,14.25,14.38,13.94,13.19,11.25,7.78,3.84,0.81,-0.94,-2.22,-3.41,-3.47,-2.75,-2.5,-3.19,-3.41,-2.72,-1.47,0.0,2.09,5.19,8.66,10.84,11.94,12.56,13.12,12.78,11.97,12.19,13.31,14.41,14.28,13.75,12.97,11.69,8.53,5.28,2.94,2.0,0.69,-0.12,0.38,1.69,2.81,3.25,4.06,5.09,5.88,5.78,6.47,7.84,9.66,10.34,10.66,10.72,10.53,9.41,7.75,7.06,7.16,6.69,5.81,5.28,4.91,4.84,4.5,4.34,5.16,6.28,6.81,6.72,7.06,8.22,8.84,9.03,9.97,11.41,12.53,12.34,11.81,11.72,11.44,10.44,9.16,8.88,9.25,8.62,7.88,7.91,8.59,8.41,7.59,6.91,6.47,6.12,5.31,5.0,6.0,7.12,7.47,7.44,7.44,7.78,7.0,6.25,5.81,6.38,6.25,5.06,4.03,3.62,3.06,1.59,0.69,0.41,0.59,0.41,0.28,1.09,3.0,4.31,4.97,6.0,7.44,8.12,7.97,8.06,8.47,8.56,7.75,6.75,6.5,6.62,6.31,5.75,5.28,5.59,6.03,6.31,7.41,9.44,10.94,10.84,9.41,8.16,6.94,5.19,3.91,4.09,5.16,5.09,4.16,2.78,1.44,-0.59,-2.53,-3.75,-2.88,-1.47,-0.06,1.69,3.88,5.72,6.16,5.59,5.47,5.41,5.03,4.22,3.66,4.12,4.72,4.5,4.44,5.12,5.75,5.59,5.03,5.31,5.72,5.75,5.12,4.66,4.19,3.03,1.19,-0.44,-1.09,-0.91,-0.91,-0.66,0.41,1.06,0.91,0.03,-0.38,0.09,0.81,1.59,2.88,5.0,6.62,6.56,6.06,6.38,6.19,5.44,4.38,4.31,4.41,4.25,3.78,3.94,4.44,4.31,3.22,2.06,1.5,0.31,-1.56,-3.41,-4.56,-5.22,-5.5,-6.19,-5.5,-4.78,-4.44,-4.59,-4.31,-3.38,-3.31,-3.72,-4.06,-3.72,-3.16,-3.25,-3.16,-2.09,-0.97,-0.44,-0.03,1.16,2.53,4.12,4.88,5.59,6.41,6.16,4.62,2.91,2.19,2.28,1.94,1.91,2.91,3.72,3.59,2.88,2.47,2.72,3.5,4.06,5.12,6.78,8.16,8.19,8.0,8.22,8.41,7.25,5.75,5.06,4.56,4.16,3.5,4.0,4.88,5.75,5.62,5.09,4.72,3.72,1.59,-0.28,-1.16,-1.28,-1.78,-1.75,-0.88,0.62,1.78,2.41,2.94,3.53,4.62,4.53,4.75,5.81,6.19,5.59,4.66,4.25,4.66,5.09,5.38,6.31,7.19,7.72,6.91,6.34,6.56,7.06,6.72,6.75,7.06,7.16,6.56,5.88,6.03,7.0,7.31,6.81,6.59,6.62,6.06,4.78,4.41,4.78,5.34,5.22,5.09,4.88,4.78,3.78,2.06,1.25,1.47,1.41,0.94,0.94,1.62,2.19,1.88,1.88,2.47,3.06,2.31,1.16,0.53,-0.03,-1.12,-2.09,-1.84,-0.53,32.69,33.31,33.97,33.78,32.81,31.53,29.44,27.75,26.38,25.56,25.56,26.34,27.66,28.66,29.41,29.88,30.62,30.78,31.12,31.97,32.97,33.47,34.56,35.16,36.12,36.53,37.09,36.88:7.25,7.19,6.78,5.0,3.41,2.59,1.91,0.97,0.38,0.41,1.06,1.75,1.84,2.34,3.19,3.28,2.41,1.47,1.25,1.53,1.16,0.66,1.09,2.09,2.53,3.0,4.28,6.38,7.91,8.22,7.78,7.19,6.19,4.03,2.34,2.03,2.94,3.62,4.28,5.53,6.62,5.97,4.75,3.69,3.56,3.69,3.88,4.91,6.88,9.25,10.44,11.84,14.0,16.25,17.34,18.22,19.03,19.75,19.28,17.38,15.16,13.69,11.94,10.06,8.62,8.97,9.34,9.16,9.09,9.44,10.22,9.59,8.66,8.03,7.59,6.66,5.47,4.16,3.84,3.25,1.88,0.66,0.41,0.81,0.62,0.75,1.19,1.72,1.5,0.62,-0.03,-0.28,-0.75,-0.94,-0.53,1.03,2.62,3.22,3.12,3.22,2.88,1.84,1.28,1.66,2.69,3.66,4.88,6.03,8.16,9.56,10.19,10.66,11.97,13.28,13.75,13.88,14.28,13.88,11.22,8.06,5.12,3.53,3.19,3.44,4.94,7.22,8.75,8.53,8.03,7.69,7.06,5.59,3.88,3.19,2.84,2.5,2.34,3.19,4.75,5.5,5.47,5.62,5.75,5.56,4.34,2.91,3.22,3.69,3.53,3.19,3.66,4.19,3.91,3.0,2.91,3.62,3.75,3.69,3.84,5.12,6.22,6.22,6.81,8.16,9.41,10.03,10.56,11.47,12.22,12.19,11.28,10.81,10.44,10.0,9.34,8.78,9.44,9.72,9.31,8.19,7.53,6.53,5.0,3.19,2.41,2.22,1.75,0.38,-1.06,-1.53,-2.34,-3.44,-4.22,-3.72,-3.03,-3.0,-3.31,-2.25,-0.97,-0.28,0.34,1.91,3.59,5.25,5.66,5.72,5.97,5.62,4.03,2.78,2.66,2.5,1.25,-0.31,-1.91,-3.62,-5.34,-6.5,-6.47,-5.34,-4.06,-3.22,-2.62,-1.53,-0.72,-0.22,0.22,1.75,3.31,4.25,4.69,5.44,5.97,5.56,4.03,2.94,2.22,1.09,-0.44,-1.59,-1.5,-1.03,-0.94,-1.22,-0.41,0.47,0.78,1.06,2.22,3.22,3.69,3.59,3.62,4.72,6.16,6.84,7.5,8.5,9.03,8.62,7.31,7.28,7.5,7.59,7.53,8.19,8.84,8.88,7.72,6.09,5.16,4.59,3.09,2.25,2.53,2.72,2.62,1.88,2.47,3.38,3.84,3.88,4.78,5.53,6.28,6.66,7.06,7.84,9.16,9.34,9.34,10.12,11.09,11.34,11.12,11.78,13.06,13.38,13.12,12.47,11.53,10.25,7.84,5.78,4.66,3.97,2.84,1.78,1.84,2.59,3.09,3.69,4.97,6.75,8.0,7.88,7.25,6.84,6.19,4.94,4.19,4.62,5.59,6.03,6.12,6.38,6.53,5.72,3.53,1.72,0.38,-0.72,-2.28,-3.03,-3.09,-3.28,-4.38,-5.47,-5.06,-3.81,-2.66,-1.09,1.56,4.62,7.06,8.53,9.62,10.94,11.81,11.31,11.5,12.38,13.53,13.69,13.28,13.5,13.0,11.25,8.94,6.78,5.19,3.84,2.53,2.12,2.84,3.47,3.16,2.75,2.88,3.34,2.88,2.59,3.12,4.0,4.12,3.62,3.16,2.72,1.91,0.56,0.03,0.56,2.09,2.91,3.69,4.75,6.22,6.47,6.41,7.12,8.47,9.34,9.56,10.0,10.41,10.41,8.81,6.91,5.28,3.56,1.22,-0.69,-1.44,-0.75,-0.53,0.16,1.69,4.44,6.94,8.81,10.5,12.09,13.06,12.47,11.91,12.22,12.31,11.97,11.28,11.03,11.31,10.47,9.22,8.44,8.31,8.03,7.5,7.25,8.16,8.38,7.56,6.22,5.0,4.03,2.47,1.41,1.28,2.0,2.31,1.97,2.06,2.75,3.12,3.0,2.81,3.53,4.34,4.16,4.06,4.38,4.53,3.12,1.38,-0.41,-1.5,-2.94,-4.53,-5.5,-5.41,-5.19,-5.44,-5.25,-4.12,-3.22,-3.91,-4.84,-5.22,-5.0,-5.78,-6.38,-6.19,-5.09,-4.53,-4.03,-2.91,-1.28,0.41,1.0,1.62,3.56,5.41,5.94,6.12,6.53,7.12,6.47,5.5,4.75,4.31,3.19,1.03,-0.84,-1.91,-3.03,-4.41,-5.38,-4.84,-3.62,-2.75,-2.44,-1.72,-0.44,-0.59,-1.06,-1.25,-0.78,-0.75,-1.34,-1.72,-1.22,-0.78,-1.34,-2.28,-2.25,-1.88,-2.34,-2.75,-2.31,-1.03,-0.06,1.16,3.09,5.94,8.19,8.62,8.66,8.38,7.72,6.28,4.56,4.06,4.44,3.31,2.03,0.84,0.19,-0.78,-1.69,-2.19,-1.59,-1.38,-2.25,-3.5,-3.81,-4.0,-4.75,-5.09,-4.16,-2.53,-1.34,-1.16,-0.75,-0.22,-0.31,-0.97,-1.03,0.41,1.66,1.84,1.56,1.91,2.34,1.69,0.84,1.44,2.47,3.31,4.22,5.41,7.53,8.84,8.69,8.03,7.72,7.5,6.06,5.0,4.88,5.47,5.25,4.62,4.41,4.56,4.19,3.12,2.94,4.38,6.28,7.47,9.12,11.28,12.78,12.34,11.28,10.53,10.38,9.5,8.72,9.31,10.5,11.44,11.69,11.72,12.62,12.53,11.62,10.53,10.16,10.28,9.44,8.38,8.03,8.19,7.72,6.59,6.06,6.38,6.31,5.19,4.41,4.47,4.38,3.69,2.75,3.12,3.75,3.66,3.25,3.62,4.97,5.56,5.0,4.44,3.91,2.19,-0.56,-3.12,-4.03,-4.34,-4.97,-5.81,-5.16,-4.47,-4.34,-4.69,-4.44,-3.41,-2.88,-2.97,-2.62,-1.59,-0.75,-0.44,0.03,1.59,3.47,4.66,4.72,5.19,5.09,4.66,3.03,2.62,3.06,3.72,4.19,5.09,7.5,9.88,10.69,11.06,11.38,10.47,8.03,4.97,3.09,2.47,2.03,2.12,3.19,4.84,5.94,5.5,4.56,4.94,5.41,5.5,6.31,8.09,10.0,10.72,10.38,10.53,10.78,10.69,9.84,9.75,10.47,11.38,11.25,11.81,13.16,14.62,15.16,15.47,16.28,17.31,17.38,16.56,16.19,15.53,14.25,12.28,10.84,10.62,10.66,9.62,8.97,9.06,9.03,8.47,7.5,7.06,6.81,6.44,5.31,5.41,6.22,6.81,6.0,5.31,5.0,4.72,4.0,3.16,3.41,3.75,3.19,2.28,1.69,1.78,1.34,-0.03,-0.69,-0.88,-0.69,-1.22,-0.66,1.22,3.78,5.5,6.94,9.03,10.88,11.28,10.97,10.94,11.06,11.06,10.56,10.94,12.31,14.25,14.38,13.94,13.19,11.25,7.78,3.84,0.81,-0.94,-2.22,-3.41,-3.47,-2.75,-2.5,-3.19,-3.41,-2.72,-1.47,0.0,2.09,5.19,8.66,10.84,11.94,12.56,13.12,12.78,11.97,12.19,13.31,14.41,14.28,13.75,12.97,11.69,8.53,5.28,2.94,2.0,0.69,-0.12,0.38,1.69,2.81,3.25,4.06,5.09,5.88,5.78,6.47,7.84,9.66,10.34,10.66,10.72,10.53,9.41,7.75,7.06,7.16,6.69,5.81,5.28,4.91,4.84,4.5,4.34,5.16,6.28,6.81,6.72,7.06,8.22,8.84,9.03,9.97,11.41,12.53,12.34,11.81,11.72,11.44,10.44,9.16,8.88,9.25,8.62,7.88,7.91,8.59,8.41,7.59,6.91,6.47,6.12,5.31,5.0,6.0,7.12,7.47,7.44,7.44,7.78,7.0,6.25,5.81,6.38,6.25,5.06,4.03,3.62,3.06,1.59,0.69,0.41,0.59,0.41,0.28,1.09,3.0,4.31,4.97,6.0,7.44,8.12,7.97,8.06,8.47,8.56,7.75,6.75,6.5,6.62,6.31,5.75,5.28,5.59,6.03,6.31,7.41,9.44,10.94,10.84,9.41,8.16,6.94,5.19,3.91,4.09,5.16,5.09,4.16,2.78,1.44,-0.59,-2.53,-3.75,-2.88,-1.47,-0.06,1.69,3.88,5.72,6.16,5.59,5.47,5.41,5.03,4.22,3.66,4.12,4.72,4.5,4.44,5.12,5.75,5.59,5.03,5.31,5.72,5.75,5.12,4.66,4.19,3.03,1.19,-0.44,-1.09,-0.91,-0.91,-0.66,0.41,1.06,0.91,0.03,-0.38,0.09,0.81,1.59,2.88,5.0,6.62,6.56,6.06,6.38,6.19,5.44,4.38,4.31,4.41,4.25,3.78,3.94,4.44,4.31,3.22,2.06,1.5,0.31,-1.56,-3.41,-4.56,-5.22,-5.5,-6.19,-5.5,-4.78,-4.44,-4.59,-4.31,-3.38,-3.31,-3.72,-4.06,-3.72,-3.16,-3.25,-3.16,-2.09,-0.97,-0.44,-0.03,1.16,2.53,4.12,4.88,5.59,6.41,6.16,4.62,2.91,2.19,2.28,1.94,1.91,2.91,3.72,3.59,2.88,2.47,2.72,3.5,4.06,5.12,6.78,8.16,8.19,8.0,8.22,8.41,7.25,5.75,5.06,4.56,4.16,3.5,4.0,4.88,5.75,5.62,5.09,4.72,3.72,1.59,-0.28,-1.16,-1.28,-1.78,-1.75,-0.88,0.62,1.78,2.41,2.94,3.53,4.62,4.53,4.75,5.81,6.19,5.59,4.66,4.25,4.66,5.09,5.38,6.31,7.19,7.72,6.91,6.34,6.56,7.06,6.72,6.75,7.06,7.16,6.56,5.88,6.03,7.0,7.31,6.81,6.59,6.62,6.06,4.78,4.41,4.78,5.34,5.22,5.09,4.88,4.78,3.78,2.06,1.25,1.47,1.41,0.94,0.94,1.62,2.19,1.88,1.88,2.47,3.06,2.31,1.16,0.53,-0.03,-1.12,-2.09,-1.84,-0.53,32.69,33.31,33.97,33.78,32.81,31.53,29.44,27.75,26.38,25.56,25.56,26.34,27.66,28.66,29.41,29.88,30.62,30.78,31.12,31.97,32.97,33.47,34.56,35.16,36.12,36.53,37.09,36.88,36.81,36.5,35.69,35.25,34.59,33.81,33.12:0.97,0.38,0.41,1.06,1.75,1.84,2.34,3.19,3.28,2.41,1.47,1.25,1.53,1.16,0.66,1.09,2.09,2.53,3.0,4.28,6.38,7.91,8.22,7.78,7.19,6.19,4.03,2.34,2.03,2.94,3.62,4.28,5.53,6.62,5.97,4.75,3.69,3.56,3.69,3.88,4.91,6.88,9.25,10.44,11.84,14.0,16.25,17.34,18.22,19.03,19.75,19.28,17.38,15.16,13.69,11.94,10.06,8.62,8.97,9.34,9.16,9.09,9.44,10.22,9.59,8.66,8.03,7.59,6.66,5.47,4.16,3.84,3.25,1.88,0.66,0.41,0.81,0.62,0.75,1.19,1.72,1.5,0.62,-0.03,-0.28,-0.75,-0.94,-0.53,1.03,2.62,3.22,3.12,3.22,2.88,1.84,1.28,1.66,2.69,3.66,4.88,6.03,8.16,9.56,10.19,10.66,11.97,13.28,13.75,13.88,14.28,13.88,11.22,8.06,5.12,3.53,3.19,3.44,4.94,7.22,8.75,8.53,8.03,7.69,7.06,5.59,3.88,3.19,2.84,2.5,2.34,3.19,4.75,5.5,5.47,5.62,5.75,5.56,4.34,2.91,3.22,3.69,3.53,3.19,3.66,4.19,3.91,3.0,2.91,3.62,3.75,3.69,3.84,5.12,6.22,6.22,6.81,8.16,9.41,10.03,10.56,11.47,12.22,12.19,11.28,10.81,10.44,10.0,9.34,8.78,9.44,9.72,9.31,8.19,7.53,6.53,5.0,3.19,2.41,2.22,1.75,0.38,-1.06,-1.53,-2.34,-3.44,-4.22,-3.72,-3.03,-3.0,-3.31,-2.25,-0.97,-0.28,0.34,1.91,3.59,5.25,5.66,5.72,5.97,5.62,4.03,2.78,2.66,2.5,1.25,-0.31,-1.91,-3.62,-5.34,-6.5,-6.47,-5.34,-4.06,-3.22,-2.62,-1.53,-0.72,-0.22,0.22,1.75,3.31,4.25,4.69,5.44,5.97,5.56,4.03,2.94,2.22,1.09,-0.44,-1.59,-1.5,-1.03,-0.94,-1.22,-0.41,0.47,0.78,1.06,2.22,3.22,3.69,3.59,3.62,4.72,6.16,6.84,7.5,8.5,9.03,8.62,7.31,7.28,7.5,7.59,7.53,8.19,8.84,8.88,7.72,6.09,5.16,4.59,3.09,2.25,2.53,2.72,2.62,1.88,2.47,3.38,3.84,3.88,4.78,5.53,6.28,6.66,7.06,7.84,9.16,9.34,9.34,10.12,11.09,11.34,11.12,11.78,13.06,13.38,13.12,12.47,11.53,10.25,7.84,5.78,4.66,3.97,2.84,1.78,1.84,2.59,3.09,3.69,4.97,6.75,8.0,7.88,7.25,6.84,6.19,4.94,4.19,4.62,5.59,6.03,6.12,6.38,6.53,5.72,3.53,1.72,0.38,-0.72,-2.28,-3.03,-3.09,-3.28,-4.38,-5.47,-5.06,-3.81,-2.66,-1.09,1.56,4.62,7.06,8.53,9.62,10.94,11.81,11.31,11.5,12.38,13.53,13.69,13.28,13.5,13.0,11.25,8.94,6.78,5.19,3.84,2.53,2.12,2.84,3.47,3.16,2.75,2.88,3.34,2.88,2.59,3.12,4.0,4.12,3.62,3.16,2.72,1.91,0.56,0.03,0.56,2.09,2.91,3.69,4.75,6.22,6.47,6.41,7.12,8.47,9.34,9.56,10.0,10.41,10.41,8.81,6.91,5.28,3.56,1.22,-0.69,-1.44,-0.75,-0.53,0.16,1.69,4.44,6.94,8.81,10.5,12.09,13.06,12.47,11.91,12.22,12.31,11.97,11.28,11.03,11.31,10.47,9.22,8.44,8.31,8.03,7.5,7.25,8.16,8.38,7.56,6.22,5.0,4.03,2.47,1.41,1.28,2.0,2.31,1.97,2.06,2.75,3.12,3.0,2.81,3.53,4.34,4.16,4.06,4.38,4.53,3.12,1.38,-0.41,-1.5,-2.94,-4.53,-5.5,-5.41,-5.19,-5.44,-5.25,-4.12,-3.22,-3.91,-4.84,-5.22,-5.0,-5.78,-6.38,-6.19,-5.09,-4.53,-4.03,-2.91,-1.28,0.41,1.0,1.62,3.56,5.41,5.94,6.12,6.53,7.12,6.47,5.5,4.75,4.31,3.19,1.03,-0.84,-1.91,-3.03,-4.41,-5.38,-4.84,-3.62,-2.75,-2.44,-1.72,-0.44,-0.59,-1.06,-1.25,-0.78,-0.75,-1.34,-1.72,-1.22,-0.78,-1.34,-2.28,-2.25,-1.88,-2.34,-2.75,-2.31,-1.03,-0.06,1.16,3.09,5.94,8.19,8.62,8.66,8.38,7.72,6.28,4.56,4.06,4.44,3.31,2.03,0.84,0.19,-0.78,-1.69,-2.19,-1.59,-1.38,-2.25,-3.5,-3.81,-4.0,-4.75,-5.09,-4.16,-2.53,-1.34,-1.16,-0.75,-0.22,-0.31,-0.97,-1.03,0.41,1.66,1.84,1.56,1.91,2.34,1.69,0.84,1.44,2.47,3.31,4.22,5.41,7.53,8.84,8.69,8.03,7.72,7.5,6.06,5.0,4.88,5.47,5.25,4.62,4.41,4.56,4.19,3.12,2.94,4.38,6.28,7.47,9.12,11.28,12.78,12.34,11.28,10.53,10.38,9.5,8.72,9.31,10.5,11.44,11.69,11.72,12.62,12.53,11.62,10.53,10.16,10.28,9.44,8.38,8.03,8.19,7.72,6.59,6.06,6.38,6.31,5.19,4.41,4.47,4.38,3.69,2.75,3.12,3.75,3.66,3.25,3.62,4.97,5.56,5.0,4.44,3.91,2.19,-0.56,-3.12,-4.03,-4.34,-4.97,-5.81,-5.16,-4.47,-4.34,-4.69,-4.44,-3.41,-2.88,-2.97,-2.62,-1.59,-0.75,-0.44,0.03,1.59,3.47,4.66,4.72,5.19,5.09,4.66,3.03,2.62,3.06,3.72,4.19,5.09,7.5,9.88,10.69,11.06,11.38,10.47,8.03,4.97,3.09,2.47,2.03,2.12,3.19,4.84,5.94,5.5,4.56,4.94,5.41,5.5,6.31,8.09,10.0,10.72,10.38,10.53,10.78,10.69,9.84,9.75,10.47,11.38,11.25,11.81,13.16,14.62,15.16,15.47,16.28,17.31,17.38,16.56,16.19,15.53,14.25,12.28,10.84,10.62,10.66,9.62,8.97,9.06,9.03,8.47,7.5,7.06,6.81,6.44,5.31,5.41,6.22,6.81,6.0,5.31,5.0,4.72,4.0,3.16,3.41,3.75,3.19,2.28,1.69,1.78,1.34,-0.03,-0.69,-0.88,-0.69,-1.22,-0.66,1.22,3.78,5.5,6.94,9.03,10.88,11.28,10.97,10.94,11.06,11.06,10.56,10.94,12.31,14.25,14.38,13.94,13.19,11.25,7.78,3.84,0.81,-0.94,-2.22,-3.41,-3.47,-2.75,-2.5,-3.19,-3.41,-2.72,-1.47,0.0,2.09,5.19,8.66,10.84,11.94,12.56,13.12,12.78,11.97,12.19,13.31,14.41,14.28,13.75,12.97,11.69,8.53,5.28,2.94,2.0,0.69,-0.12,0.38,1.69,2.81,3.25,4.06,5.09,5.88,5.78,6.47,7.84,9.66,10.34,10.66,10.72,10.53,9.41,7.75,7.06,7.16,6.69,5.81,5.28,4.91,4.84,4.5,4.34,5.16,6.28,6.81,6.72,7.06,8.22,8.84,9.03,9.97,11.41,12.53,12.34,11.81,11.72,11.44,10.44,9.16,8.88,9.25,8.62,7.88,7.91,8.59,8.41,7.59,6.91,6.47,6.12,5.31,5.0,6.0,7.12,7.47,7.44,7.44,7.78,7.0,6.25,5.81,6.38,6.25,5.06,4.03,3.62,3.06,1.59,0.69,0.41,0.59,0.41,0.28,1.09,3.0,4.31,4.97,6.0,7.44,8.12,7.97,8.06,8.47,8.56,7.75,6.75,6.5,6.62,6.31,5.75,5.28,5.59,6.03,6.31,7.41,9.44,10.94,10.84,9.41,8.16,6.94,5.19,3.91,4.09,5.16,5.09,4.16,2.78,1.44,-0.59,-2.53,-3.75,-2.88,-1.47,-0.06,1.69,3.88,5.72,6.16,5.59,5.47,5.41,5.03,4.22,3.66,4.12,4.72,4.5,4.44,5.12,5.75,5.59,5.03,5.31,5.72,5.75,5.12,4.66,4.19,3.03,1.19,-0.44,-1.09,-0.91,-0.91,-0.66,0.41,1.06,0.91,0.03,-0.38,0.09,0.81,1.59,2.88,5.0,6.62,6.56,6.06,6.38,6.19,5.44,4.38,4.31,4.41,4.25,3.78,3.94,4.44,4.31,3.22,2.06,1.5,0.31,-1.56,-3.41,-4.56,-5.22,-5.5,-6.19,-5.5,-4.78,-4.44,-4.59,-4.31,-3.38,-3.31,-3.72,-4.06,-3.72,-3.16,-3.25,-3.16,-2.09,-0.97,-0.44,-0.03,1.16,2.53,4.12,4.88,5.59,6.41,6.16,4.62,2.91,2.19,2.28,1.94,1.91,2.91,3.72,3.59,2.88,2.47,2.72,3.5,4.06,5.12,6.78,8.16,8.19,8.0,8.22,8.41,7.25,5.75,5.06,4.56,4.16,3.5,4.0,4.88,5.75,5.62,5.09,4.72,3.72,1.59,-0.28,-1.16,-1.28,-1.78,-1.75,-0.88,0.62,1.78,2.41,2.94,3.53,4.62,4.53,4.75,5.81,6.19,5.59,4.66,4.25,4.66,5.09,5.38,6.31,7.19,7.72,6.91,6.34,6.56,7.06,6.72,6.75,7.06,7.16,6.56,5.88,6.03,7.0,7.31,6.81,6.59,6.62,6.06,4.78,4.41,4.78,5.34,5.22,5.09,4.88,4.78,3.78,2.06,1.25,1.47,1.41,0.94,0.94,1.62,2.19,1.88,1.88,2.47,3.06,2.31,1.16,0.53,-0.03,-1.12,-2.09,-1.84,-0.53,32.69,33.31,33.97,33.78,32.81,31.53,29.44,27.75,26.38,25.56,25.56,26.34,27.66,28.66,29.41,29.88,30.62,30.78,31.12,31.97,32.97,33.47,34.56,35.16,36.12,36.53,37.09,36.88,36.81,36.5,35.69,35.25,34.59,33.81,33.12,32.44,31.47,30.44,28.91,26.94,24.88,23.31:negativity
8.56,12.25,14.5,14.62,15.44,18.16,20.12,18.69,17.41,18.38,19.25,17.09,13.97,12.53,12.06,9.41,5.09,2.78,3.25,2.5,0.91,0.66,3.47,6.56,7.0,7.59,10.78,14.25,14.75,14.16,14.97,16.81,16.22,13.94,13.0,14.22,14.62,12.06,10.09,10.91,11.56,9.97,8.78,10.53,13.03,13.03,11.69,11.47,12.47,11.5,8.25,6.19,7.06,7.88,6.59,5.91,8.28,10.72,9.5,7.88,9.03,12.0,12.59,12.69,14.69,17.91,19.19,17.53,16.81,17.84,18.38,15.84,14.03,15.28,17.56,16.75,15.72,17.12,19.56,19.41,17.22,15.81,15.25,13.03,8.56,5.97,6.91,8.41,7.84,7.66,10.56,14.31,15.25,15.59,17.66,20.69,21.22,19.78,19.53,21.38,21.5,19.28,17.47,18.03,18.88,16.94,15.22,16.5,18.88,18.56,16.84,17.38,19.5,19.47,17.69,17.56,19.28,20.06,17.97,16.69,18.69,20.88,20.66,20.16,22.69,26.03,26.28,25.03,24.81,25.22,23.31,19.41,16.66,16.41,16.06,13.28,11.03,12.0,13.66,12.97,11.69,13.19,15.53,15.03,13.06,12.5,14.0,13.78,11.69,9.78,10.5,10.84,8.38,6.0,6.69,7.94,6.41,3.81,3.97,5.94,5.66,4.34,4.91,7.31,8.56,7.56,7.47,10.09,11.91,10.53,8.34,8.28,8.72,6.66,3.38,3.44,4.94,5.22,3.97,4.25,7.0,8.28,7.59,7.09,9.5,11.22,10.22,8.41,9.31,11.16,11.44,10.38,12.03,15.72,17.25,16.72,16.94,18.88,18.97,16.44,14.38,14.75,15.81,14.41,12.94,14.84,18.12,18.97,18.06,18.66,20.88,21.25,20.25,20.81,23.44,25.0,23.09,20.41,19.97,19.16,16.25,12.72,12.44,14.5,15.12,14.19,14.53,16.62,16.5,13.47,11.78,13.66,15.28,14.97,14.97,17.03,19.12,18.5,16.0,16.06,17.66,17.34,15.0,14.22,15.03,14.31,10.94,8.38,9.53,10.81,10.56,10.25,13.41,16.59,16.97,15.59,15.5,16.53,15.56,13.19,12.81,15.12,16.66,15.97,15.47,17.12,18.44,16.59,13.97,13.44,13.66,11.31,8.19,7.47,9.22,10.25,9.59,10.62,14.19,16.31,15.31,14.34,15.69,16.97,15.75,13.91,14.97,16.88,17.03,16.0,17.03,19.66,20.16,17.31,14.5,13.06,10.25,4.72,-0.22,-1.16,-0.69,-1.06,-0.5,3.31,9.25,13.28,14.91,17.06,20.09,21.0,19.38,18.31,20.19,21.94,21.03,19.62,20.84,21.97,20.62,17.47,16.12,16.34,14.31,10.25,8.0,8.09,8.22,6.75,6.97,10.53,14.09,15.16,14.97,16.16,16.91,14.44,9.62,7.72,8.06,8.06,7.31,8.53,12.06,14.19,13.22,11.88,12.81,13.53,12.0,10.16,11.25,13.25,12.5,9.44,7.84,6.94,4.44,0.03,-2.66,-1.41,0.09,0.16,1.97,6.59,11.53,13.28,12.91,13.78,14.5,12.5,9.25,7.84,9.19,9.5,8.16,8.0,10.81,12.94,12.12,11.41,13.09,14.81,14.44,13.38,15.0,17.91,18.84,17.62,17.75,19.88,20.66,18.38,16.97,17.53,17.53,14.44,10.59,9.38,8.72,5.72,2.44,2.16,4.12,5.19,5.19,7.47,12.19,16.41,17.59,19.12,22.31,23.72,21.59,17.59,15.38,13.38,9.47,5.12,3.75,4.81,5.28,3.59,3.53,5.41,6.25,4.66,4.28,7.38,11.72,13.88,15.62,19.78,23.81,25.56,24.69,26.0,28.44,28.88,26.56,24.59,24.09,22.34,17.22,12.12,10.0,8.66,5.84,3.12,3.75,6.09,6.94,6.38,7.25,9.97,11.28,10.19,10.31,13.06,15.97,16.0,16.38,19.22,22.34,23.31,23.06,24.47,26.5,25.94,22.91,20.66,20.12,18.75,14.69,11.94,12.06,12.16,9.72,7.06,6.94,7.31,5.31,2.72,2.5,3.84,4.81,5.03,6.72,10.91,14.34,14.75,15.0,16.91,18.5,16.88,14.0,12.62,11.88,8.62,4.22,2.72,3.5,3.97,3.19,3.47,6.44,8.94,8.59,8.44,10.94,13.78,13.34,12.28,12.62,13.56,12.22,9.31,8.16,9.06,9.12,6.62,4.47,4.84,4.62,1.28,-1.44,-1.88,-0.81,-1.47,-1.75,1.16,5.78,9.03,10.0,11.69,14.09,15.19,13.41,12.34,13.56,14.84,13.16,10.78,10.59,10.44,7.91,3.94,1.97,1.75,-0.06,-3.19,-4.09,-2.34,-0.72,-0.78,-0.09,3.38,6.41,6.22,4.66,4.5,5.5,4.31,2.47,2.34,4.56,4.81,2.44,1.47,2.22,3.22,1.78,1.28,3.78,6.81,7.12,6.66,7.94,10.06,9.97,8.62,8.41,9.41,8.94,5.5,2.44,2.31,2.59,1.38,1.44,4.5,7.81,8.22,7.06,7.53,9.44,9.66,8.53,8.81,10.84,11.19,8.62,6.66,7.66,8.5,7.12,6.22,7.69,9.47,8.81,6.88,7.0,8.38,8.09,6.97,7.59,10.62,12.97,12.47,12.72,14.44,15.81,13.78,11.16,11.25,12.47,12.31,12.16,14.06,17.75,19.16,18.06,17.41,19.12,19.72,18.0,16.72,17.78,18.91,17.81,16.0,16.59,18.41,17.62,15.44,14.78,15.81,15.59,13.38,11.72,12.34,12.0,9.09,6.16,5.75,6.53,5.12,3.94,5.31,7.91,8.5,6.53,5.0,5.41,4.5,2.12,0.94,2.78,4.69,3.34,1.72,2.22,3.47,2.47,0.88,1.69,3.88,4.53,3.84,4.53,7.44,9.5,8.59,7.5,8.16,8.22,5.72,3.12,3.03,4.44,3.75,1.97,2.22,4.09,4.53,3.28,3.34,6.06,8.09,8.22,8.88,12.09,14.69,14.72,14.12,15.16,17.25,16.69,14.78,14.12,14.78,13.84,10.84,8.62,8.91,8.84,6.72,4.88,6.0,7.88,7.41,6.5,7.47,9.69,10.06,8.62,8.38,9.94,10.06,8.06,6.84,8.69,10.53,10.25,9.41,11.0,13.34,13.47,13.34,15.38,18.56,19.72,18.53,17.22,16.97,15.28,10.81,7.03,6.41,6.34,3.88,1.25,1.12,1.66,0.91,-0.38,0.5,3.72,5.38,5.22,5.38,7.97,9.88,9.22,9.03,11.56,14.19,14.62,14.22,16.03,19.0,19.47,18.25,17.28,18.06,16.81,13.62,11.41,11.53,11.03,7.69,4.16,2.78,2.19,-0.31,-2.91,-2.47,-0.03,1.41,1.09,2.5,5.12,6.62,5.75,5.84,8.81,10.75,10.16,8.59,8.97,10.12,9.34,7.84,8.88,11.25,12.31,11.25,11.0,12.5,12.38,9.84,7.66,8.5,9.47,8.81,7.97,9.22,11.34,11.53,9.94,9.72,11.44,11.53,9.72,8.88,10.34,11.31,9.59,8.09,8.97,9.81,7.44,4.19,2.84,2.69,1.53,-0.69,-0.47,1.66,2.97,1.62,1.34,3.69,5.72,5.38,4.84,7.41,10.28,11.09,11.06,12.75,15.47,15.75,13.34,11.97,11.53,10.47,6.81,4.0,3.88,3.59,1.06,-1.81,-1.91,-1.22,-2.47,-4.06,-3.38,-0.94,0.03,-0.84,-0.28,2.06,3.09,1.12,-0.84,-0.69,-0.31,-1.91,-2.72,0.06,4.81,8.03,9.38,11.81,14.59,14.44,11.72,9.5,9.31,8.41,4.69,1.47,0.97,1.22,0.41,-0.84,1.03,4.62,6.53,7.0,8.72,12.09,13.62,12.03,11.03,11.88,11.91,8.78,5.69,5.47,6.22,5.59,4.66,6.5,10.22,11.75,11.06,11.19,12.62,12.44,9.72,7.88,8.62,9.72,8.62,7.56,8.97,11.34,11.06,9.22,9.31,10.56,10.59,8.53,8.16,9.69,10.34,8.22,6.62,7.53,9.16,8.19,6.69,7.78,10.09,10.03,8.5,8.97,11.06,11.5,9.81,8.62,9.44,9.12,5.84,3.12,3.22,3.94,2.44,0.34,0.66,2.5,2.84,2.5,3.94,7.53,9.75,9.19,9.16,11.5,13.69,13.53,13.16,15.03,17.25,16.88,15.0,15.16,16.62,15.69,12.28,9.88,8.56,6.25,1.03,-3.12,-4.19,-3.94,-5.0,-5.12,-2.09,2.0,3.22,3.06,4.06,6.12,6.44,4.53,3.97,5.38,6.12,4.75,3.78,5.91,8.25,7.44,5.41,5.62,6.22,5.38,3.62,4.09,6.81,8.19,7.22,6.44,7.41,7.78,5.16,2.88,3.16,3.75,1.84,-0.53,-0.31,1.97,2.94,3.06,4.41,7.5,8.72,7.28,6.28,7.66,8.94,7.84,6.59,7.97,10.22,9.94,8.53,9.47,12.16,12.84,11.66,11.56,13.44,14.12,11.62,8.97,8.5,7.62,4.78,2.16,2.94,5.66,6.53,6.19,7.84,10.62,12.47,11.56,11.56,13.62,14.66,13.0,11.56,12.62,14.5,13.53,12.03,12.47,13.75,11.91,8.19,6.06,6.25,5.69,4.06,3.78,6.56,9.0,8.53,8.16,10.75,13.97,14.75,15.06,17.41,20.94,21.31,19.19,18.0,18.0,16.78,13.31,11.28,12.12,13.25,11.75,10.25,11.75,14.38,14.66,14.59,15.81,18.34,18.31,15.5,13.38,13.34,12.75,10.16,8.41,10.16,12.34,11.72,9.84,10.09,11.22,9.62,7.22,7.25,9.0,9.22,7.28,5.88,7.0,8.19,7.09,6.62,9.06,11.94,11.31,9.25,9.62,11.31,10.75,9.34,9.66,12.31,13.41,11.75,10.81,12.0,12.56,10.47,8.38,8.69,9.53,8.06,5.31:18.69,17.41,18.38,19.25,17.09,13.97,12.53,12.06,9.41,5.09,2.78,3.25,2.5,0.91,0.66,3.47,6.56,7.0,7.59,10.78,14.25,14.75,14.16,14.97,16.81,16.22,13.94,13.0,14.22,14.62,12.06,10.09,10.91,11.56,9.97,8.78,10.53,13.03,13.03,11.69,11.47,12.47,11.5,8.25,6.19,7.06,7.88,6.59,5.91,8.28,10.72,9.5,7.88,9.03,12.0,12.59,12.69,14.69,17.91,19.19,17.53,16.81,17.84,18.38,15.84,14.03,15.28,17.56,16.75,15.72,17.12,19.56,19.41,17.22,15.81,15.25,13.03,8.56,5.97,6.91,8.41,7.84,7.66,10.56,14.31,15.25,15.59,17.66,20.69,21.22,19.78,19.53,21.38,21.5,19.28,17.47,18.03,18.88,16.94,15.22,16.5,18.88,18.56,16.84,17.38,19.5,19.47,17.69,17.56,19.28,20.06,17.97,16.69,18.69,20.88,20.66,20.16,22.69,26.03,26.28,25.03,24.81,25.22,23.31,19.41,16.66,16.41,16.06,13.28,11.03,12.0,13.66,12.97,11.69,13.19,15.53,15.03,13.06,12.5,14.0,13.78,11.69,9.78,10.5,10.84,8.38,6.0,6.69,7.94,6.41,3.81,3.97,5.94,5.66,4.34,4.91,7.31,8.56,7.56,7.47,10.09,11.91,10.53,8.34,8.28,8.72,6.66,3.38,3.44,4.94,5.22,3.97,4.25,7.0,8.28,7.59,7.09,9.5,11.22,10.22,8.41,9.31,11.16,11.44,10.38,12.03,15.72,17.25,16.72,16.94,18.88,18.97,16.44,14.38,14.75,15.81,14.41,12.94,14.84,18.12,18.97,18.06,18.66,20.88,21.25,20.25,20.81,23.44,25.0,23.09,20.41,19.97,19.16,16.25,12.72,12.44,14.5,15.12,14.19,14.53,16.62,16.5,13.47,11.78,13.66,15.28,14.97,14.97,17.03,19.12,18.5,16.0,16.06,17.66,17.34,15.0,14.22,15.03,14.31,10.94,8.38,9.53,10.81,10.56,10.25,13.41,16.59,16.97,15.59,15.5,16.53,15.56,13.19,12.81,15.12,16.66,15.97,15.47,17.12,18.44,16.59,13.97,13.44,13.66,11.31,8.19,7.47,9.22,10.25,9.59,10.62,14.19,16.31,15.31,14.34,15.69,16.97,15.75,13.91,14.97,16.88,17.03,16.0,17.03,19.66,20.16,17.31,14.5,13.06,10.25,4.72,-0.22,-1.16,-0.69,-1.06,-0.5,3.31,9.25,13.28,14.91,17.06,20.09,21.0,19.38,18.31,20.19,21.94,21.03,19.62,20.84,21.97,20.62,17.47,16.12,16.34,14.31,10.25,8.0,8.09,8.22,6.75,6.97,10.53,14.09,15.16,14.97,16.16,16.91,14.44,9.62,7.72,8.06,8.06,7.31,8.53,12.06,14.19,13.22,11.88,12.81,13.53,12.0,10.16,11.25,13.25,12.5,9.44,7.84,6.94,4.44,0.03,-2.66,-1.41,0.09,0.16,1.97,6.59,11.53,13.28,12.91,13.78,14.5,12.5,9.25,7.84,9.19,9.5,8.16,8.0,10.81,12.94,12.12,11.41,13.09,14.81,14.44,13.38,15.0,17.91,18.84,17.62,17.75,19.88,20.66,18.38,16.97,17.53,17.53,14.44,10.59,9.38,8.72,5.72,2.44,2.16,4.12,5.19,5.19,7.47,12.19,16.41,17.59,19.12,22.31,23.72,21.59,17.59,15.38,13.38,9.47,5.12,3.75,4.81,5.28,3.59,3.53,5.41,6.25,4.66,4.28,7.38,11.72,13.88,15.62,19.78,23.81,25.56,24.69,26.0,28.44,28.88,26.56,24.59,24.09,22.34,17.22,12.12,10.0,8.66,5.84,3.12,3.75,6.09,6.94,6.38,7.25,9.97,11.28,10.19,10.31,13.06,15.97,16.0,16.38,19.22,22.34,23.31,23.06,24.47,26.5,25.94,22.91,20.66,20.12,18.75,14.69,11.94,12.06,12.16,9.72,7.06,6.94,7.31,5.31,2.72,2.5,3.84,4.81,5.03,6.72,10.91,14.34,14.75,15.0,16.91,18.5,16.88,14.0,12.62,11.88,8.62,4.22,2.72,3.5,3.97,3.19,3.47,6.44,8.94,8.59,8.44,10.94,13.78,13.34,12.28,12.62,13.56,12.22,9.31,8.16,9.06,9.12,6.62,4.47,4.84,4.62,1.28,-1.44,-1.88,-0.81,-1.47,-1.75,1.16,5.78,9.03,10.0,11.69,14.09,15.19,13.41,12.34,13.56,14.84,13.16,10.78,10.59,10.44,7.91,3.94,1.97,1.75,-0.06,-3.19,-4.09,-2.34,-0.72,-0.78,-0.09,3.38,6.41,6.22,4.66,4.5,5.5,4.31,2.47,2.34,4.56,4.81,2.44,1.47,2.22,3.22,1.78,1.28,3.78,6.81,7.12,6.66,7.94,10.06,9.97,8.62,8.41,9.41,8.94,5.5,2.44,2.31,2.59,1.38,1.44,4.5,7.81,8.22,7.06,7.53,9.44,9.66,8.53,8.81,10.84,11.19,8.62,6.66,7.66,8.5,7.12,6.22,7.69,9.47,8.81,6.88,7.0,8.38,8.09,6.97,7.59,10.62,12.97,12.47,12.72,14.44,15.81,13.78,11.16,11.25,12.47,12.31,12.16,14.06,17.75,19.16,18.06,17.41,19.12,19.72,18.0,16.72,17.78,18.91,17.81,16.0,16.59,18.41,17.62,15.44,14.78,15.81,15.59,13.38,11.72,12.34,12.0,9.09,6.16,5.75,6.53,5.12,3.94,5.31,7.91,8.5,6.53,5.0,5.41,4.5,2.12,0.94,2.78,4.69,3.34,1.72,2.22,3.47,2.47,0.88,1.69,3.88,4.53,3.84,4.53,7.44,9.5,8.59,7.5,8.16,8.22,5.72,3.12,3.03,4.44,3.75,1.97,2.22,4.09,4.53,3.28,3.34,6.06,8.09,8.22,8.88,12.09,14.69,14.72,14.12,15.16,17.25,16.69,14.78,14.12,14.78,13.84,10.84,8.62,8.91,8.84,6.72,4.88,6.0,7.88,7.41,6.5,7.47,9.69,10.06,8.62,8.38,9.94,10.06,8.06,6.84,8.69,10.53,10.25,9.41,11.0,13.34,13.47,13.34,15.38,18.56,19.72,18.53,17.22,16.97,15.28,10.81,7.03,6.41,6.34,3.88,1.25,1.12,1.66,0.91,-0.38,0.5,3.72,5.38,5.22,5.38,7.97,9.88,9.22,9.03,11.56,14.19,14.62,14.22,16.03,19.0,19.47,18.25,17.28,18.06,16.81,13.62,11.41,11.53,11.03,7.69,4.16,2.78,2.19,-0.31,-2.91,-2.47,-0.03,1.41,1.09,2.5,5.12,6.62,5.75,5.84,8.81,10.75,10.16,8.59,8.97,10.12,9.34,7.84,8.88,11.25,12.31,11.25,11.0,12.5,12.38,9.84,7.66,8.5,9.47,8.81,7.97,9.22,11.34,11.53,9.94,9.72,11.44,11.53,9.72,8.88,10.34,11.31,9.59,8.09,8.97,9.81,7.44,4.19,2.84,2.69,1.53,-0.69,-0.47,1.66,2.97,1.62,1.34,3.69,5.72,5.38,4.84,7.41,10.28,11.09,11.06,12.75,15.47,15.75,13.34,11.97,11.53,10.47,6.81,4.0,3.88,3.59,1.06,-1.81,-1.91,-1.22,-2.47,-4.06,-3.38,-0.94,0.03,-0.84,-0.28,2.06,3.09,1.12,-0.84,-0.69,-0.31,-1.91,-2.72,0.06,4.81,8.03,9.38,11.81,14.59,14.44,11.72,9.5,9.31,8.41,4.69,1.47,0.97,1.22,0.41,-0.84,1.03,4.62,6.53,7.0,8.72,12.09,13.62,12.03,11.03,11.88,11.91,8.78,5.69,5.47,6.22,5.59,4.66,6.5,10.22,11.75,11.06,11.19,12.62,12.44,9.72,7.88,8.62,9.72,8.62,7.56,8.97,11.34,11.06,9.22,9.31,10.56,10.59,8.53,8.16,9.69,10.34,8.22,6.62,7.53,9.16,8.19,6.69,7.78,10.09,10.03,8.5,8.97,11.06,11.5,9.81,8.62,9.44,9.12,5.84,3.12,3.22,3.94,2.44,0.34,0.66,2.5,2.84,2.5,3.94,7.53,9.75,9.19,9.16,11.5,13.69,13.53,13.16,15.03,17.25,16.88,15.0,15.16,16.62,15.69,12.28,9.88,8.56,6.25,1.03,-3.12,-4.19,-3.94,-5.0,-5.12,-2.09,2.0,3.22,3.06,4.06,6.12,6.44,4.53,3.97,5.38,6.12,4.75,3.78,5.91,8.25,7.44,5.41,5.62,6.22,5.38,3.62,4.09,6.81,8.19,7.22,6.44,7.41,7.78,5.16,2.88,3.16,3.75,1.84,-0.53,-0.31,1.97,2.94,3.06,4.41,7.5,8.72,7.28,6.28,7.66,8.94,7.84,6.59,7.97,10.22,9.94,8.53,9.47,12.16,12.84,11.66,11.56,13.44,14.12,11.62,8.97,8.5,7.62,4.78,2.16,2.94,5.66,6.53,6.19,7.84,10.62,12.47,11.56,11.56,13.62,14.66,13.0,11.56,12.62,14.5,13.53,12.03,12.47,13.75,11.91,8.19,6.06,6.25,5.69,4.06,3.78,6.56,9.0,8.53,8.16,10.75,13.97,14.75,15.06,17.41,20.94,21.31,19.19,18.0,18.0,16.78,13.31,11.28,12.12,13.25,11.75,10.25,11.75,14.38,14.66,14.59,15.81,18.34,18.31,15.5,13.38,13.34,12.75,10.16,8.41,10.16,12.34,11.72,9.84,10.09,11.22,9.62,7.22,7.25,9.0,9.22,7.28,5.88,7.0,8.19,7.09,6.62,9.06,11.94,11.31,9.25,9.62,11.31,10.75,9.34,9.66,12.31,13.41,11.75,10.81,12.0,12.56,10.47,8.38,8.69,9.53,8.06,5.31,22.09,26.47,29.5,30.41,31.38,32.88,33.59:12.06,9.41,5.09,2.78,3.25,2.5,0.91,0.66,3.47,6.56,7.0,7.59,10.78,14.25,14.75,14.16,14.97,16.81,16.22,13.94,13.0,14.22,14.62,12.06,10.09,10.91,11.56,9.97,8.78,10.53,13.03,13.03,11.69,11.47,12.47,11.5,8.25,6.19,7.06,7.88,6.59,5.91,8.28,10.72,9.5,7.88,9.03,12.0,12.59,12.69,14.69,17.91,19.19,17.53,16.81,17.84,18.38,15.84,14.03,15.28,17.56,16.75,15.72,17.12,19.56,19.41,17.22,15.81,15.25,13.03,8.56,5.97,6.91,8.41,7.84,7.66,10.56,14.31,15.25,15.59,17.66,20.69,21.22,19.78,19.53,21.38,21.5,19.28,17.47,18.03,18.88,16.94,15.22,16.5,18.88,18.56,16.84,17.38,19.5,19.47,17.69,17.56,19.28,20.06,17.97,16.69,18.69,20.88,20.66,20.16,22.69,26.03,26.28,25.03,24.81,25.22,23.31,19.41,16.66,16.41,16.06,13.28,11.03,12.0,13.66,12.97,11.69,13.19,15.53,15.03,13.06,12.5,14.0,13.78,11.69,9.78,10.5,10.84,8.38,6.0,6.69,7.94,6.41,3.81,3.97,5.94,5.66,4.34,4.91,7.31,8.56,7.56,7.47,10.09,11.91,10.53,8.34,8.28,8.72,6.66,3.38,3.44,4.94,5.22,3.97,4.25,7.0,8.28,7.59,7.09,9.5,11.22,10.22,8.41,9.31,11.16,11.44,10.38,12.03,15.72,17.25,16.72,16.94,18.88,18.97,16.44,14.38,14.75,15.81,14.41,12.94,14.84,18.12,18.97,18.06,18.66,20.88,21.25,20.25,20.81,23.44,25.0,23.09,20.41,19.97,19.16,16.25,12.72,12.44,14.5,15.12,14.19,14.53,16.62,16.5,13.47,11.78,13.66,15.28,14.97,14.97,17.03,19.12,18.5,16.0,16.06,17.66,17.34,15.0,14.22,15.03,14.31,10.94,8.38,9.53,10.81,10.56,10.25,13.41,16.59,16.97,15.59,15.5,16.53,15.56,13.19,12.81,15.12,16.66,15.97,15.47,17.12,18.44,16.59,13.97,13.44,13.66,11.31,8.19,7.47,9.22,10.25,9.59,10.62,14.19,16.31,15.31,14.34,15.69,16.97,15.75,13.91,14.97,16.88,17.03,16.0,17.03,19.66,20.16,17.31,14.5,13.06,10.25,4.72,-0.22,-1.16,-0.69,-1.06,-0.5,3.31,9.25,13.28,14.91,17.06,20.09,21.0,19.38,18.31,20.19,21.94,21.03,19.62,20.84,21.97,20.62,17.47,16.12,16.34,14.31,10.25,8.0,8.09,8.22,6.75,6.97,10.53,14.09,15.16,14.97,16.16,16.91,14.44,9.62,7.72,8.06,8.06,7.31,8.53,12.06,14.19,13.22,11.88,12.81,13.53,12.0,10.16,11.25,13.25,12.5,9.44,7.84,6.94,4.44,0.03,-2.66,-1.41,0.09,0.16,1.97,6.59,11.53,13.28,12.91,13.78,14.5,12.5,9.25,7.84,9.19,9.5,8.16,8.0,10.81,12.94,12.12,11.41,13.09,14.81,14.44,13.38,15.0,17.91,18.84,17.62,17.75,19.88,20.66,18.38,16.97,17.53,17.53,14.44,10.59,9.38,8.72,5.72,2.44,2.16,4.12,5.19,5.19,7.47,12.19,16.41,17.59,19.12,22.31,23.72,21.59,17.59,15.38,13.38,9.47,5.12,3.75,4.81,5.28,3.59,3.53,5.41,6.25,4.66,4.28,7.38,11.72,13.88,15.62,19.78,23.81,25.56,24.69,26.0,28.44,28.88,26.56,24.59,24.09,22.34,17.22,12.12,10.0,8.66,5.84,3.12,3.75,6.09,6.94,6.38,7.25,9.97,11.28,10.19,10.31,13.06,15.97,16.0,16.38,19.22,22.34,23.31,23.06,24.47,26.5,25.94,22.91,20.66,20.12,18.75,14.69,11.94,12.06,12.16,9.72,7.06,6.94,7.31,5.31,2.72,2.5,3.84,4.81,5.03,6.72,10.91,14.34,14.75,15.0,16.91,18.5,16.88,14.0,12.62,11.88,8.62,4.22,2.72,3.5,3.97,3.19,3.47,6.44,8.94,8.59,8.44,10.94,13.78,13.34,12.28,12.62,13.56,12.22,9.31,8.16,9.06,9.12,6.62,4.47,4.84,4.62,1.28,-1.44,-1.88,-0.81,-1.47,-1.75,1.16,5.78,9.03,10.0,11.69,14.09,15.19,13.41,12.34,13.56,14.84,13.16,10.78,10.59,10.44,7.91,3.94,1.97,1.75,-0.06,-3.19,-4.09,-2.34,-0.72,-0.78,-0.09,3.38,6.41,6.22,4.66,4.5,5.5,4.31,2.47,2.34,4.56,4.81,2.44,1.47,2.22,3.22,1.78,1.28,3.78,6.81,7.12,6.66,7.94,10.06,9.97,8.62,8.41,9.41,8.94,5.5,2.44,2.31,2.59,1.38,1.44,4.5,7.81,8.22,7.06,7.53,9.44,9.66,8.53,8.81,10.84,11.19,8.62,6.66,7.66,8.5,7.12,6.22,7.69,9.47,8.81,6.88,7.0,8.38,8.09,6.97,7.59,10.62,12.97,12.47,12.72,14.44,15.81,13.78,11.16,11.25,12.47,12.31,12.16,14.06,17.75,19.16,18.06,17.41,19.12,19.72,18.0,16.72,17.78,18.91,17.81,16.0,16.59,18.41,17.62,15.44,14.78,15.81,15.59,13.38,11.72,12.34,12.0,9.09,6.16,5.75,6.53,5.12,3.94,5.31,7.91,8.5,6.53,5.0,5.41,4.5,2.12,0.94,2.78,4.69,3.34,1.72,2.22,3.47,2.47,0.88,1.69,3.88,4.53,3.84,4.53,7.44,9.5,8.59,7.5,8.16,8.22,5.72,3.12,3.03,4.44,3.75,1.97,2.22,4.09,4.53,3.28,3.34,6.06,8.09,8.22,8.88,12.09,14.69,14.72,14.12,15.16,17.25,16.69,14.78,14.12,14.78,13.84,10.84,8.62,8.91,8.84,6.72,4.88,6.0,7.88,7.41,6.5,7.47,9.69,10.06,8.62,8.38,9.94,10.06,8.06,6.84,8.69,10.53,10.25,9.41,11.0,13.34,13.47,13.34,15.38,18.56,19.72,18.53,17.22,16.97,15.28,10.81,7.03,6.41,6.34,3.88,1.25,1.12,1.66,0.91,-0.38,0.5,3.72,5.38,5.22,5.38,7.97,9.88,9.22,9.03,11.56,14.19,14.62,14.22,16.03,19.0,19.47,18.25,17.28,18.06,16.81,13.62,11.41,11.53,11.03,7.69,4.16,2.78,2.19,-0.31,-2.91,-2.47,-0.03,1.41,1.09,2.5,5.12,6.62,5.75,5.84,8.81,10.75,10.16,8.59,8.97,10.12,9.34,7.84,8.88,11.25,12.31,11.25,11.0,12.5,12.38,9.84,7.66,8.5,9.47,8.81,7.97,9.22,11.34,11.53,9.94,9.72,11.44,11.53,9.72,8.88,10.34,11.31,9.59,8.09,8.97,9.81,7.44,4.19,2.84,2.69,1.53,-0.69,-0.47,1.66,2.97,1.62,1.34,3.69,5.72,5.38,4.84,7.41,10.28,11.09,11.06,12.75,15.47,15.75,13.34,11.97,11.53,10.47,6.81,4.0,3.88,3.59,1.06,-1.81,-1.91,-1.22,-2.47,-4.06,-3.38,-0.94,0.03,-0.84,-0.28,2.06,3.09,1.12,-0.84,-0.69,-0.31,-1.91,-2.72,0.06,4.81,8.03,9.38,11.81,14.59,14.44,11.72,9.5,9.31,8.41,4.69,1.47,0.97,1.22,0.41,-0.84,1.03,4.62,6.53,7.0,8.72,12.09,13.62,12.03,11.03,11.88,11.91,8.78,5.69,5.47,6.22,5.59,4.66,6.5,10.22,11.75,11.06,11.19,12.62,12.44,9.72,7.88,8.62,9.72,8.62,7.56,8.97,11.34,11.06,9.22,9.31,10.56,10.59,8.53,8.16,9.69,10.34,8.22,6.62,7.53,9.16,8.19,6.69,7.78,10.09,10.03,8.5,8.97,11.06,11.5,9.81,8.62,9.44,9.12,5.84,3.12,3.22,3.94,2.44,0.34,0.66,2.5,2.84,2.5,3.94,7.53,9.75,9.19,9.16,11.5,13.69,13.53,13.16,15.03,17.25,16.88,15.0,15.16,16.62,15.69,12.28,9.88,8.56,6.25,1.03,-3.12,-4.19,-3.94,-5.0,-5.12,-2.09,2.0,3.22,3.06,4.06,6.12,6.44,4.53,3.97,5.38,6.12,4.75,3.78,5.91,8.25,7.44,5.41,5.62,6.22,5.38,3.62,4.09,6.81,8.19,7.22,6.44,7.41,7.78,5.16,2.88,3.16,3.75,1.84,-0.53,-0.31,1.97,2.94,3.06,4.41,7.5,8.72,7.28,6.28,7.66,8.94,7.84,6.59,7.97,10.22,9.94,8.53,9.47,12.16,12.84,11.66,11.56,13.44,14.12,11.62,8.97,8.5,7.62,4.78,2.16,2.94,5.66,6.53,6.19,7.84,10.62,12.47,11.56,11.56,13.62,14.66,13.0,11.56,12.62,14.5,13.53,12.03,12.47,13.75,11.91,8.19,6.06,6.25,5.69,4.06,3.78,6.56,9.0,8.53,8.16,10.75,13.97,14.75,15.06,17.41,20.94,21.31,19.19,18.0,18.0,16.78,13.31,11.28,12.12,13.25,11.75,10.25,11.75,14.38,14.66,14.59,15.81,18.34,18.31,15.5,13.38,13.34,12.75,10.16,8.41,10.16,12.34,11.72,9.84,10.09,11.22,9.62,7.22,7.25,9.0,9.22,7.28,5.88,7.0,8.19,7.09,6.62,9.06,11.94,11.31,9.25,9.62,11.31,10.75,9.34,9.66,12.31,13.41,11.75,10.81,12.0,12.56,10.47,8.38,8.69,9.53,8.06,5.31,22.09,26.47,29.5,30.41,31.38,32.88,33.59,32.28,31.03,30.84,30.81,28.88,26.47,25.16:0.66,3.47,6.56,7.0,7.59,10.78,14.25,14.75,14.16,14.97,16.81,16.22,13.94,13.0,14.22,14.62,12.06,10.09,10.91,11.56,9.97,8.78,10.53,13.03,13.03,11.69,11.47,12.47,11.5,8.25,6.19,7.06,7.88,6.59,5.91,8.28,10.72,9.5,7.88,9.03,12.0,12.59,12.69,14.69,17.91,19.19,17.53,16.81,17.84,18.38,15.84,14.03,15.28,17.56,16.75,15.72,17.12,19.56,19.41,17.22,15.81,15.25,13.03,8.56,5.97,6.91,8.41,7.84,7.66,10.56,14.31,15.25,15.59,17.66,20.69,21.22,19.78,19.53,21.38,21.5,19.28,17.47,18.03,18.88,16.94,15.22,16.5,18.88,18.56,16.84,17.38,19.5,19.47,17.69,17.56,19.28,20.06,17.97,16.69,18.69,20.88,20.66,20.16,22.69,26.03,26.28,25.03,24.81,25.22,23.31,19.41,16.66,16.41,16.06,13.28,11.03,12.0,13.66,12.97,11.69,13.19,15.53,15.03,13.06,12.5,14.0,13.78,11.69,9.78,10.5,10.84,8.38,6.0,6.69,7.94,6.41,3.81,3.97,5.94,5.66,4.34,4.91,7.31,8.56,7.56,7.47,10.09,11.91,10.53,8.34,8.28,8.72,6.66,3.38,3.44,4.94,5.22,3.97,4.25,7.0,8.28,7.59,7.09,9.5,11.22,10.22,8.41,9.31,11.16,11.44,10.38,12.03,15.72,17.25,16.72,16.94,18.88,18.97,16.44,14.38,14.75,15.81,14.41,12.94,14.84,18.12,18.97,18.06,18.66,20.88,21.25,20.25,20.81,23.44,25.0,23.09,20.41,19.97,19.16,16.25,12.72,12.44,14.5,15.12,14.19,14.53,16.62,16.5,13.47,11.78,13.66,15.28,14.97,14.97,17.03,19.12,18.5,16.0,16.06,17.66,17.34,15.0,14.22,15.03,14.31,10.94,8.38,9.53,10.81,10.56,10.25,13.41,16.59,16.97,15.59,15.5,16.53,15.56,13.19,12.81,15.12,16.66,15.97,15.47,17.12,18.44,16.59,13.97,13.44,13.66,11.31,8.19,7.47,9.22,10.25,9.59,10.62,14.19,16.31,15.31,14.34,15.69,16.97,15.75,13.91,14.97,16.88,17.03,16.0,17.03,19.66,20.16,17.31,14.5,13.06,10.25,4.72,-0.22,-1.16,-0.69,-1.06,-0.5,3.31,9.25,13.28,14.91,17.06,20.09,21.0,19.38,18.31,20.19,21.94,21.03,19.62,20.84,21.97,20.62,17.47,16.12,16.34,14.31,10.25,8.0,8.09,8.22,6.75,6.97,10.53,14.09,15.16,14.97,16.16,16.91,14.44,9.62,7.72,8.06,8.06,7.31,8.53,12.06,14.19,13.22,11.88,12.81,13.53,12.0,10.16,11.25,13.25,12.5,9.44,7.84,6.94,4.44,0.03,-2.66,-1.41,0.09,0.16,1.97,6.59,11.53,13.28,12.91,13.78,14.5,12.5,9.25,7.84,9.19,9.5,8.16,8.0,10.81,12.94,12.12,11.41,13.09,14.81,14.44,13.38,15.0,17.91,18.84,17.62,17.75,19.88,20.66,18.38,16.97,17.53,17.53,14.44,10.59,9.38,8.72,5.72,2.44,2.16,4.12,5.19,5.19,7.47,12.19,16.41,17.59,19.12,22.31,23.72,21.59,17.59,15.38,13.38,9.47,5.12,3.75,4.81,5.28,3.59,3.53,5.41,6.25,4.66,4.28,7.38,11.72,13.88,15.62,19.78,23.81,25.56,24.69,26.0,28.44,28.88,26.56,24.59,24.09,22.34,17.22,12.12,10.0,8.66,5.84,3.12,3.75,6.09,6.94,6.38,7.25,9.97,11.28,10.19,10.31,13.06,15.97,16.0,16.38,19.22,22.34,23.31,23.06,24.47,26.5,25.94,22.91,20.66,20.12,18.75,14.69,11.94,12.06,12.16,9.72,7.06,6.94,7.31,5.31,2.72,2.5,3.84,4.81,5.03,6.72,10.91,14.34,14.75,15.0,16.91,18.5,16.88,14.0,12.62,11.88,8.62,4.22,2.72,3.5,3.97,3.19,3.47,6.44,8.94,8.59,8.44,10.94,13.78,13.34,12.28,12.62,13.56,12.22,9.31,8.16,9.06,9.12,6.62,4.47,4.84,4.62,1.28,-1.44,-1.88,-0.81,-1.47,-1.75,1.16,5.78,9.03,10.0,11.69,14.09,15.19,13.41,12.34,13.56,14.84,13.16,10.78,10.59,10.44,7.91,3.94,1.97,1.75,-0.06,-3.19,-4.09,-2.34,-0.72,-0.78,-0.09,3.38,6.41,6.22,4.66,4.5,5.5,4.31,2.47,2.34,4.56,4.81,2.44,1.47,2.22,3.22,1.78,1.28,3.78,6.81,7.12,6.66,7.94,10.06,9.97,8.62,8.41,9.41,8.94,5.5,2.44,2.31,2.59,1.38,1.44,4.5,7.81,8.22,7.06,7.53,9.44,9.66,8.53,8.81,10.84,11.19,8.62,6.66,7.66,8.5,7.12,6.22,7.69,9.47,8.81,6.88,7.0,8.38,8.09,6.97,7.59,10.62,12.97,12.47,12.72,14.44,15.81,13.78,11.16,11.25,12.47,12.31,12.16,14.06,17.75,19.16,18.06,17.41,19.12,19.72,18.0,16.72,17.78,18.91,17.81,16.0,16.59,18.41,17.62,15.44,14.78,15.81,15.59,13.38,11.72,12.34,12.0,9.09,6.16,5.75,6.53,5.12,3.94,5.31,7.91,8.5,6.53,5.0,5.41,4.5,2.12,0.94,2.78,4.69,3.34,1.72,2.22,3.47,2.47,0.88,1.69,3.88,4.53,3.84,4.53,7.44,9.5,8.59,7.5,8.16,8.22,5.72,3.12,3.03,4.44,3.75,1.97,2.22,4.09,4.53,3.28,3.34,6.06,8.09,8.22,8.88,12.09,14.69,14.72,14.12,15.16,17.25,16.69,14.78,14.12,14.78,13.84,10.84,8.62,8.91,8.84,6.72,4.88,6.0,7.88,7.41,6.5,7.47,9.69,10.06,8.62,8.38,9.94,10.06,8.06,6.84,8.69,10.53,10.25,9.41,11.0,13.34,13.47,13.34,15.38,18.56,19.72,18.53,17.22,16.97,15.28,10.81,7.03,6.41,6.34,3.88,1.25,1.12,1.66,0.91,-0.38,0.5,3.72,5.38,5.22,5.38,7.97,9.88,9.22,9.03,11.56,14.19,14.62,14.22,16.03,19.0,19.47,18.25,17.28,18.06,16.81,13.62,11.41,11.53,11.03,7.69,4.16,2.78,2.19,-0.31,-2.91,-2.47,-0.03,1.41,1.09,2.5,5.12,6.62,5.75,5.84,8.81,10.75,10.16,8.59,8.97,10.12,9.34,7.84,8.88,11.25,12.31,11.25,11.0,12.5,12.38,9.84,7.66,8.5,9.47,8.81,7.97,9.22,11.34,11.53,9.94,9.72,11.44,11.53,9.72,8.88,10.34,11.31,9.59,8.09,8.97,9.81,7.44,4.19,2.84,2.69,1.53,-0.69,-0.47,1.66,2.97,1.62,1.34,3.69,5.72,5.38,4.84,7.41,10.28,11.09,11.06,12.75,15.47,15.75,13.34,11.97,11.53,10.47,6.81,4.0,3.88,3.59,1.06,-1.81,-1.91,-1.22,-2.47,-4.06,-3.38,-0.94,0.03,-0.84,-0.28,2.06,3.09,1.12,-0.84,-0.69,-0.31,-1.91,-2.72,0.06,4.81,8.03,9.38,11.81,14.59,14.44,11.72,9.5,9.31,8.41,4.69,1.47,0.97,1.22,0.41,-0.84,1.03,4.62,6.53,7.0,8.72,12.09,13.62,12.03,11.03,11.88,11.91,8.78,5.69,5.47,6.22,5.59,4.66,6.5,10.22,11.75,11.06,11.19,12.62,12.44,9.72,7.88,8.62,9.72,8.62,7.56,8.97,11.34,11.06,9.22,9.31,10.56,10.59,8.53,8.16,9.69,10.34,8.22,6.62,7.53,9.16,8.19,6.69,7.78,10.09,10.03,8.5,8.97,11.06,11.5,9.81,8.62,9.44,9.12,5.84,3.12,3.22,3.94,2.44,0.34,0.66,2.5,2.84,2.5,3.94,7.53,9.75,9.19,9.16,11.5,13.69,13.53,13.16,15.03,17.25,16.88,15.0,15.16,16.62,15.69,12.28,9.88,8.56,6.25,1.03,-3.12,-4.19,-3.94,-5.0,-5.12,-2.09,2.0,3.22,3.06,4.06,6.12,6.44,4.53,3.97,5.38,6.12,4.75,3.78,5.91,8.25,7.44,5.41,5.62,6.22,5.38,3.62,4.09,6.81,8.19,7.22,6.44,7.41,7.78,5.16,2.88,3.16,3.75,1.84,-0.53,-0.31,1.97,2.94,3.06,4.41,7.5,8.72,7.28,6.28,7.66,8.94,7.84,6.59,7.97,10.22,9.94,8.53,9.47,12.16,12.84,11.66,11.56,13.44,14.12,11.62,8.97,8.5,7.62,4.78,2.16,2.94,5.66,6.53,6.19,7.84,10.62,12.47,11.56,11.56,13.62,14.66,13.0,11.56,12.62,14.5,13.53,12.03,12.47,13.75,11.91,8.19,6.06,6.25,5.69,4.06,3.78,6.56,9.0,8.53,8.16,10.75,13.97,14.75,15.06,17.41,20.94,21.31,19.19,18.0,18.0,16.78,13.31,11.28,12.12,13.25,11.75,10.25,11.75,14.38,14.66,14.59,15.81,18.34,18.31,15.5,13.38,13.34,12.75,10.16,8.41,10.16,12.34,11.72,9.84,10.09,11.22,9.62,7.22,7.25,9.0,9.22,7.28,5.88,7.0,8.19,7.09,6.62,9.06,11.94,11.31,9.25,9.62,11.31,10.75,9.34,9.66,12.31,13.41,11.75,10.81,12.0,12.56,10.47,8.38,8.69,9.53,8.06,5.31,22.09,26.47,29.5,30.41,31.38,32.88,33.59,32.28,31.03,30.84,30.81,28.88,26.47,25.16,24.81,22.69,19.56,17.69,17.69,16.78,14.84:14.75,14.16,14.97,16.81,16.22,13.94,13.0,14.22,14.62,12.06,10.09,10.91,11.56,9.97,8.78,10.53,13.03,13.03,11.69,11.47,12.47,11.5,8.25,6.19,7.06,7.88,6.59,5.91,8.28,10.72,9.5,7.88,9.03,12.0,12.59,12.69,14.69,17.91,19.19,17.53,16.81,17.84,18.38,15.84,14.03,15.28,17.56,16.75,15.72,17.12,19.56,19.41,17.22,15.81,15.25,13.03,8.56,5.97,6.91,8.41,7.84,7.66,10.56,14.31,15.25,15.59,17.66,20.69,21.22,19.78,19.53,21.38,21.5,19.28,17.47,18.03,18.88,16.94,15.22,16.5,18.88,18.56,16.84,17.38,19.5,19.47,17.69,17.56,19.28,20.06,17.97,16.69,18.69,20.88,20.66,20.16,22.69,26.03,26.28,25.03,24.81,25.22,23.31,19.41,16.66,16.41,16.06,13.28,11.03,12.0,13.66,12.97,11.69,13.19,15.53,15.03,13.06,12.5,14.0,13.78,11.69,9.78,10.5,10.84,8.38,6.0,6.69,7.94,6.41,3.81,3.97,5.94,5.66,4.34,4.91,7.31,8.56,7.56,7.47,10.09,11.91,10.53,8.34,8.28,8.72,6.66,3.38,3.44,4.94,5.22,3.97,4.25,7.0,8.28,7.59,7.09,9.5,11.22,10.22,8.41,9.31,11.16,11.44,10.38,12.03,15.72,17.25,16.72,16.94,18.88,18.97,16.44,14.38,14.75,15.81,14.41,12.94,14.84,18.12,18.97,18.06,18.66,20.88,21.25,20.25,20.81,23.44,25.0,23.09,20.41,19.97,19.16,16.25,12.72,12.44,14.5,15.12,14.19,14.53,16.62,16.5,13.47,11.78,13.66,15.28,14.97,14.97,17.03,19.12,18.5,16.0,16.06,17.66,17.34,15.0,14.22,15.03,14.31,10.94,8.38,9.53,10.81,10.56,10.25,13.41,16.59,16.97,15.59,15.5,16.53,15.56,13.19,12.81,15.12,16.66,15.97,15.47,17.12,18.44,16.59,13.97,13.44,13.66,11.31,8.19,7.47,9.22,10.25,9.59,10.62,14.19,16.31,15.31,14.34,15.69,16.97,15.75,13.91,14.97,16.88,17.03,16.0,17.03,19.66,20.16,17.31,14.5,13.06,10.25,4.72,-0.22,-1.16,-0.69,-1.06,-0.5,3.31,9.25,13.28,14.91,17.06,20.09,21.0,19.38,18.31,20.19,21.94,21.03,19.62,20.84,21.97,20.62,17.47,16.12,16.34,14.31,10.25,8.0,8.09,8.22,6.75,6.97,10.53,14.09,15.16,14.97,16.16,16.91,14.44,9.62,7.72,8.06,8.06,7.31,8.53,12.06,14.19,13.22,11.88,12.81,13.53,12.0,10.16,11.25,13.25,12.5,9.44,7.84,6.94,4.44,0.03,-2.66,-1.41,0.09,0.16,1.97,6.59,11.53,13.28,12.91,13.78,14.5,12.5,9.25,7.84,9.19,9.5,8.16,8.0,10.81,12.94,12.12,11.41,13.09,14.81,14.44,13.38,15.0,17.91,18.84,17.62,17.75,19.88,20.66,18.38,16.97,17.53,17.53,14.44,10.59,9.38,8.72,5.72,2.44,2.16,4.12,5.19,5.19,7.47,12.19,16.41,17.59,19.12,22.31,23.72,21.59,17.59,15.38,13.38,9.47,5.12,3.75,4.81,5.28,3.59,3.53,5.41,6.25,4.66,4.28,7.38,11.72,13.88,15.62,19.78,23.81,25.56,24.69,26.0,28.44,28.88,26.56,24.59,24.09,22.34,17.22,12.12,10.0,8.66,5.84,3.12,3.75,6.09,6.94,6.38,7.25,9.97,11.28,10.19,10.31,13.06,15.97,16.0,16.38,19.22,22.34,23.31,23.06,24.47,26.5,25.94,22.91,20.66,20.12,18.75,14.69,11.94,12.06,12.16,9.72,7.06,6.94,7.31,5.31,2.72,2.5,3.84,4.81,5.03,6.72,10.91,14.34,14.75,15.0,16.91,18.5,16.88,14.0,12.62,11.88,8.62,4.22,2.72,3.5,3.97,3.19,3.47,6.44,8.94,8.59,8.44,10.94,13.78,13.34,12.28,12.62,13.56,12.22,9.31,8.16,9.06,9.12,6.62,4.47,4.84,4.62,1.28,-1.44,-1.88,-0.81,-1.47,-1.75,1.16,5.78,9.03,10.0,11.69,14.09,15.19,13.41,12.34,13.56,14.84,13.16,10.78,10.59,10.44,7.91,3.94,1.97,1.75,-0.06,-3.19,-4.09,-2.34,-0.72,-0.78,-0.09,3.38,6.41,6.22,4.66,4.5,5.5,4.31,2.47,2.34,4.56,4.81,2.44,1.47,2.22,3.22,1.78,1.28,3.78,6.81,7.12,6.66,7.94,10.06,9.97,8.62,8.41,9.41,8.94,5.5,2.44,2.31,2.59,1.38,1.44,4.5,7.81,8.22,7.06,7.53,9.44,9.66,8.53,8.81,10.84,11.19,8.62,6.66,7.66,8.5,7.12,6.22,7.69,9.47,8.81,6.88,7.0,8.38,8.09,6.97,7.59,10.62,12.97,12.47,12.72,14.44,15.81,13.78,11.16,11.25,12.47,12.31,12.16,14.06,17.75,19.16,18.06,17.41,19.12,19.72,18.0,16.72,17.78,18.91,17.81,16.0,16.59,18.41,17.62,15.44,14.78,15.81,15.59,13.38,11.72,12.34,12.0,9.09,6.16,5.75,6.53,5.12,3.94,5.31,7.91,8.5,6.53,5.0,5.41,4.5,2.12,0.94,2.78,4.69,3.34,1.72,2.22,3.47,2.47,0.88,1.69,3.88,4.53,3.84,4.53,7.44,9.5,8.59,7.5,8.16,8.22,5.72,3.12,3.03,4.44,3.75,1.97,2.22,4.09,4.53,3.28,3.34,6.06,8.09,8.22,8.88,12.09,14.69,14.72,14.12,15.16,17.25,16.69,14.78,14.12,14.78,13.84,10.84,8.62,8.91,8.84,6.72,4.88,6.0,7.88,7.41,6.5,7.47,9.69,10.06,8.62,8.38,9.94,10.06,8.06,6.84,8.69,10.53,10.25,9.41,11.0,13.34,13.47,13.34,15.38,18.56,19.72,18.53,17.22,16.97,15.28,10.81,7.03,6.41,6.34,3.88,1.25,1.12,1.66,0.91,-0.38,0.5,3.72,5.38,5.22,5.38,7.97,9.88,9.22,9.03,11.56,14.19,14.62,14.22,16.03,19.0,19.47,18.25,17.28,18.06,16.81,13.62,11.41,11.53,11.03,7.69,4.16,2.78,2.19,-0.31,-2.91,-2.47,-0.03,1.41,1.09,2.5,5.12,6.62,5.75,5.84,8.81,10.75,10.16,8.59,8.97,10.12,9.34,7.84,8.88,11.25,12.31,11.25,11.0,12.5,12.38,9.84,7.66,8.5,9.47,8.81,7.97,9.22,11.34,11.53,9.94,9.72,11.44,11.53,9.72,8.88,10.34,11.31,9.59,8.09,8.97,9.81,7.44,4.19,2.84,2.69,1.53,-0.69,-0.47,1.66,2.97,1.62,1.34,3.69,5.72,5.38,4.84,7.41,10.28,11.09,11.06,12.75,15.47,15.75,13.34,11.97,11.53,10.47,6.81,4.0,3.88,3.59,1.06,-1.81,-1.91,-1.22,-2.47,-4.06,-3.38,-0.94,0.03,-0.84,-0.28,2.06,3.09,1.12,-0.84,-0.69,-0.31,-1.91,-2.72,0.06,4.81,8.03,9.38,11.81,14.59,14.44,11.72,9.5,9.31,8.41,4.69,1.47,0.97,1.22,0.41,-0.84,1.03,4.62,6.53,7.0,8.72,12.09,13.62,12.03,11.03,11.88,11.91,8.78,5.69,5.47,6.22,5.59,4.66,6.5,10.22,11.75,11.06,11.19,12.62,12.44,9.72,7.88,8.62,9.72,8.62,7.56,8.97,11.34,11.06,9.22,9.31,10.56,10.59,8.53,8.16,9.69,10.34,8.22,6.62,7.53,9.16,8.19,6.69,7.78,10.09,10.03,8.5,8.97,11.06,11.5,9.81,8.62,9.44,9.12,5.84,3.12,3.22,3.94,2.44,0.34,0.66,2.5,2.84,2.5,3.94,7.53,9.75,9.19,9.16,11.5,13.69,13.53,13.16,15.03,17.25,16.88,15.0,15.16,16.62,15.69,12.28,9.88,8.56,6.25,1.03,-3.12,-4.19,-3.94,-5.0,-5.12,-2.09,2.0,3.22,3.06,4.06,6.12,6.44,4.53,3.97,5.38,6.12,4.75,3.78,5.91,8.25,7.44,5.41,5.62,6.22,5.38,3.62,4.09,6.81,8.19,7.22,6.44,7.41,7.78,5.16,2.88,3.16,3.75,1.84,-0.53,-0.31,1.97,2.94,3.06,4.41,7.5,8.72,7.28,6.28,7.66,8.94,7.84,6.59,7.97,10.22,9.94,8.53,9.47,12.16,12.84,11.66,11.56,13.44,14.12,11.62,8.97,8.5,7.62,4.78,2.16,2.94,5.66,6.53,6.19,7.84,10.62,12.47,11.56,11.56,13.62,14.66,13.0,11.56,12.62,14.5,13.53,12.03,12.47,13.75,11.91,8.19,6.06,6.25,5.69,4.06,3.78,6.56,9.0,8.53,8.16,10.75,13.97,14.75,15.06,17.41,20.94,21.31,19.19,18.0,18.0,16.78,13.31,11.28,12.12,13.25,11.75,10.25,11.75,14.38,14.66,14.59,15.81,18.34,18.31,15.5,13.38,13.34,12.75,10.16,8.41,10.16,12.34,11.72,9.84,10.09,11.22,9.62,7.22,7.25,9.0,9.22,7.28,5.88,7.0,8.19,7.09,6.62,9.06,11.94,11.31,9.25,9.62,11.31,10.75,9.34,9.66,12.31,13.41,11.75,10.81,12.0,12.56,10.47,8.38,8.69,9.53,8.06,5.31,22.09,26.47,29.5,30.41,31.38,32.88,33.59,32.28,31.03,30.84,30.81,28.88,26.47,25.16,24.81,22.69,19.56,17.69,17.69,16.78,14.84,13.88,15.03,16.62,16.59,17.47,19.94,22.81:14.22,14.62,12.06,10.09,10.91,11.56,9.97,8.78,10.53,13.03,13.03,11.69,11.47,12.47,11.5,8.25,6.19,7.06,7.88,6.59,5.91,8.28,10.72,9.5,7.88,9.03,12.0,12.59,12.69,14.69,17.91,19.19,17.53,16.81,17.84,18.38,15.84,14.03,15.28,17.56,16.75,15.72,17.12,19.56,19.41,17.22,15.81,15.25,13.03,8.56,5.97,6.91,8.41,7.84,7.66,10.56,14.31,15.25,15.59,17.66,20.69,21.22,19.78,19.53,21.38,21.5,19.28,17.47,18.03,18.88,16.94,15.22,16.5,18.88,18.56,16.84,17.38,19.5,19.47,17.69,17.56,19.28,20.06,17.97,16.69,18.69,20.88,20.66,20.16,22.69,26.03,26.28,25.03,24.81,25.22,23.31,19.41,16.66,16.41,16.06,13.28,11.03,12.0,13.66,12.97,11.69,13.19,15.53,15.03,13.06,12.5,14.0,13.78,11.69,9.78,10.5,10.84,8.38,6.0,6.69,7.94,6.41,3.81,3.97,5.94,5.66,4.34,4.91,7.31,8.56,7.56,7.47,10.09,11.91,10.53,8.34,8.28,8.72,6.66,3.38,3.44,4.94,5.22,3.97,4.25,7.0,8.28,7.59,7.09,9.5,11.22,10.22,8.41,9.31,11.16,11.44,10.38,12.03,15.72,17.25,16.72,16.94,18.88,18.97,16.44,14.38,14.75,15.81,14.41,12.94,14.84,18.12,18.97,18.06,18.66,20.88,21.25,20.25,20.81,23.44,25.0,23.09,20.41,19.97,19.16,16.25,12.72,12.44,14.5,15.12,14.19,14.53,16.62,16.5,13.47,11.78,13.66,15.28,14.97,14.97,17.03,19.12,18.5,16.0,16.06,17.66,17.34,15.0,14.22,15.03,14.31,10.94,8.38,9.53,10.81,10.56,10.25,13.41,16.59,16.97,15.59,15.5,16.53,15.56,13.19,12.81,15.12,16.66,15.97,15.47,17.12,18.44,16.59,13.97,13.44,13.66,11.31,8.19,7.47,9.22,10.25,9.59,10.62,14.19,16.31,15.31,14.34,15.69,16.97,15.75,13.91,14.97,16.88,17.03,16.0,17.03,19.66,20.16,17.31,14.5,13.06,10.25,4.72,-0.22,-1.16,-0.69,-1.06,-0.5,3.31,9.25,13.28,14.91,17.06,20.09,21.0,19.38,18.31,20.19,21.94,21.03,19.62,20.84,21.97,20.62,17.47,16.12,16.34,14.31,10.25,8.0,8.09,8.22,6.75,6.97,10.53,14.09,15.16,14.97,16.16,16.91,14.44,9.62,7.72,8.06,8.06,7.31,8.53,12.06,14.19,13.22,11.88,12.81,13.53,12.0,10.16,11.25,13.25,12.5,9.44,7.84,6.94,4.44,0.03,-2.66,-1.41,0.09,0.16,1.97,6.59,11.53,13.28,12.91,13.78,14.5,12.5,9.25,7.84,9.19,9.5,8.16,8.0,10.81,12.94,12.12,11.41,13.09,14.81,14.44,13.38,15.0,17.91,18.84,17.62,17.75,19.88,20.66,18.38,16.97,17.53,17.53,14.44,10.59,9.38,8.72,5.72,2.44,2.16,4.12,5.19,5.19,7.47,12.19,16.41,17.59,19.12,22.31,23.72,21.59,17.59,15.38,13.38,9.47,5.12,3.75,4.81,5.28,3.59,3.53,5.41,6.25,4.66,4.28,7.38,11.72,13.88,15.62,19.78,23.81,25.56,24.69,26.0,28.44,28.88,26.56,24.59,24.09,22.34,17.22,12.12,10.0,8.66,5.84,3.12,3.75,6.09,6.94,6.38,7.25,9.97,11.28,10.19,10.31,13.06,15.97,16.0,16.38,19.22,22.34,23.31,23.06,24.47,26.5,25.94,22.91,20.66,20.12,18.75,14.69,11.94,12.06,12.16,9.72,7.06,6.94,7.31,5.31,2.72,2.5,3.84,4.81,5.03,6.72,10.91,14.34,14.75,15.0,16.91,18.5,16.88,14.0,12.62,11.88,8.62,4.22,2.72,3.5,3.97,3.19,3.47,6.44,8.94,8.59,8.44,10.94,13.78,13.34,12.28,12.62,13.56,12.22,9.31,8.16,9.06,9.12,6.62,4.47,4.84,4.62,1.28,-1.44,-1.88,-0.81,-1.47,-1.75,1.16,5.78,9.03,10.0,11.69,14.09,15.19,13.41,12.34,13.56,14.84,13.16,10.78,10.59,10.44,7.91,3.94,1.97,1.75,-0.06,-3.19,-4.09,-2.34,-0.72,-0.78,-0.09,3.38,6.41,6.22,4.66,4.5,5.5,4.31,2.47,2.34,4.56,4.81,2.44,1.47,2.22,3.22,1.78,1.28,3.78,6.81,7.12,6.66,7.94,10.06,9.97,8.62,8.41,9.41,8.94,5.5,2.44,2.31,2.59,1.38,1.44,4.5,7.81,8.22,7.06,7.53,9.44,9.66,8.53,8.81,10.84,11.19,8.62,6.66,7.66,8.5,7.12,6.22,7.69,9.47,8.81,6.88,7.0,8.38,8.09,6.97,7.59,10.62,12.97,12.47,12.72,14.44,15.81,13.78,11.16,11.25,12.47,12.31,12.16,14.06,17.75,19.16,18.06,17.41,19.12,19.72,18.0,16.72,17.78,18.91,17.81,16.0,16.59,18.41,17.62,15.44,14.78,15.81,15.59,13.38,11.72,12.34,12.0,9.09,6.16,5.75,6.53,5.12,3.94,5.31,7.91,8.5,6.53,5.0,5.41,4.5,2.12,0.94,2.78,4.69,3.34,1.72,2.22,3.47,2.47,0.88,1.69,3.88,4.53,3.84,4.53,7.44,9.5,8.59,7.5,8.16,8.22,5.72,3.12,3.03,4.44,3.75,1.97,2.22,4.09,4.53,3.28,3.34,6.06,8.09,8.22,8.88,12.09,14.69,14.72,14.12,15.16,17.25,16.69,14.78,14.12,14.78,13.84,10.84,8.62,8.91,8.84,6.72,4.88,6.0,7.88,7.41,6.5,7.47,9.69,10.06,8.62,8.38,9.94,10.06,8.06,6.84,8.69,10.53,10.25,9.41,11.0,13.34,13.47,13.34,15.38,18.56,19.72,18.53,17.22,16.97,15.28,10.81,7.03,6.41,6.34,3.88,1.25,1.12,1.66,0.91,-0.38,0.5,3.72,5.38,5.22,5.38,7.97,9.88,9.22,9.03,11.56,14.19,14.62,14.22,16.03,19.0,19.47,18.25,17.28,18.06,16.81,13.62,11.41,11.53,11.03,7.69,4.16,2.78,2.19,-0.31,-2.91,-2.47,-0.03,1.41,1.09,2.5,5.12,6.62,5.75,5.84,8.81,10.75,10.16,8.59,8.97,10.12,9.34,7.84,8.88,11.25,12.31,11.25,11.0,12.5,12.38,9.84,7.66,8.5,9.47,8.81,7.97,9.22,11.34,11.53,9.94,9.72,11.44,11.53,9.72,8.88,10.34,11.31,9.59,8.09,8.97,9.81,7.44,4.19,2.84,2.69,1.53,-0.69,-0.47,1.66,2.97,1.62,1.34,3.69,5.72,5.38,4.84,7.41,10.28,11.09,11.06,12.75,15.47,15.75,13.34,11.97,11.53,10.47,6.81,4.0,3.88,3.59,1.06,-1.81,-1.91,-1.22,-2.47,-4.06,-3.38,-0.94,0.03,-0.84,-0.28,2.06,3.09,1.12,-0.84,-0.69,-0.31,-1.91,-2.72,0.06,4.81,8.03,9.38,11.81,14.59,14.44,11.72,9.5,9.31,8.41,4.69,1.47,0.97,1.22,0.41,-0.84,1.03,4.62,6.53,7.0,8.72,12.09,13.62,12.03,11.03,11.88,11.91,8.78,5.69,5.47,6.22,5.59,4.66,6.5,10.22,11.75,11.06,11.19,12.62,12.44,9.72,7.88,8.62,9.72,8.62,7.56,8.97,11.34,11.06,9.22,9.31,10.56,10.59,8.53,8.16,9.69,10.34,8.22,6.62,7.53,9.16,8.19,6.69,7.78,10.09,10.03,8.5,8.97,11.06,11.5,9.81,8.62,9.44,9.12,5.84,3.12,3.22,3.94,2.44,0.34,0.66,2.5,2.84,2.5,3.94,7.53,9.75,9.19,9.16,11.5,13.69,13.53,13.16,15.03,17.25,16.88,15.0,15.16,16.62,15.69,12.28,9.88,8.56,6.25,1.03,-3.12,-4.19,-3.94,-5.0,-5.12,-2.09,2.0,3.22,3.06,4.06,6.12,6.44,4.53,3.97,5.38,6.12,4.75,3.78,5.91,8.25,7.44,5.41,5.62,6.22,5.38,3.62,4.09,6.81,8.19,7.22,6.44,7.41,7.78,5.16,2.88,3.16,3.75,1.84,-0.53,-0.31,1.97,2.94,3.06,4.41,7.5,8.72,7.28,6.28,7.66,8.94,7.84,6.59,7.97,10.22,9.94,8.53,9.47,12.16,12.84,11.66,11.56,13.44,14.12,11.62,8.97,8.5,7.62,4.78,2.16,2.94,5.66,6.53,6.19,7.84,10.62,12.47,11.56,11.56,13.62,14.66,13.0,11.56,12.62,14.5,13.53,12.03,12.47,13.75,11.91,8.19,6.06,6.25,5.69,4.06,3.78,6.56,9.0,8.53,8.16,10.75,13.97,14.75,15.06,17.41,20.94,21.31,19.19,18.0,18.0,16.78,13.31,11.28,12.12,13.25,11.75,10.25,11.75,14.38,14.66,14.59,15.81,18.34,18.31,15.5,13.38,13.34,12.75,10.16,8.41,10.16,12.34,11.72,9.84,10.09,11.22,9.62,7.22,7.25,9.0,9.22,7.28,5.88,7.0,8.19,7.09,6.62,9.06,11.94,11.31,9.25,9.62,11.31,10.75,9.34,9.66,12.31,13.41,11.75,10.81,12.0,12.56,10.47,8.38,8.69,9.53,8.06,5.31,22.09,26.47,29.5,30.41,31.38,32.88,33.59,32.28,31.03,30.84,30.81,28.88,26.47,25.16,24.81,22.69,19.56,17.69,17.69,16.78,14.84,13.88,15.03,16.62,16.59,17.47,19.94,22.81,23.91,23.88,24.88,26.34,26.16,25.34,25.44:8.78,10.53,13.03,13.03,11.69,11.47,12.47,11.5,8.25,6.19,7.06,7.88,6.59,5.91,8.28,10.72,9.5,7.88,9.03,12.0,12.59,12.69,14.69,17.91,19.19,17.53,16.81,17.84,18.38,15.84,14.03,15.28,17.56,16.75,15.72,17.12,19.56,19.41,17.22,15.81,15.25,13.03,8.56,5.97,6.91,8.41,7.84,7.66,10.56,14.31,15.25,15.59,17.66,20.69,21.22,19.78,19.53,21.38,21.5,19.28,17.47,18.03,18.88,16.94,15.22,16.5,18.88,18.56,16.84,17.38,19.5,19.47,17.69,17.56,19.28,20.06,17.97,16.69,18.69,20.88,20.66,20.16,22.69,26.03,26.28,25.03,24.81,25.22,23.31,19.41,16.66,16.41,16.06,13.28,11.03,12.0,13.66,12.97,11.69,13.19,15.53,15.03,13.06,12.5,14.0,13.78,11.69,9.78,10.5,10.84,8.38,6.0,6.69,7.94,6.41,3.81,3.97,5.94,5.66,4.34,4.91,7.31,8.56,7.56,7.47,10.09,11.91,10.53,8.34,8.28,8.72,6.66,3.38,3.44,4.94,5.22,3.97,4.25,7.0,8.28,7.59,7.09,9.5,11.22,10.22,8.41,9.31,11.16,11.44,10.38,12.03,15.72,17.25,16.72,16.94,18.88,18.97,16.44,14.38,14.75,15.81,14.41,12.94,14.84,18.12,18.97,18.06,18.66,20.88,21.25,20.25,20.81,23.44,25.0,23.09,20.41,19.97,19.16,16.25,12.72,12.44,14.5,15.12,14.19,14.53,16.62,16.5,13.47,11.78,13.66,15.28,14.97,14.97,17.03,19.12,18.5,16.0,16.06,17.66,17.34,15.0,14.22,15.03,14.31,10.94,8.38,9.53,10.81,10.56,10.25,13.41,16.59,16.97,15.59,15.5,16.53,15.56,13.19,12.81,15.12,16.66,15.97,15.47,17.12,18.44,16.59,13.97,13.44,13.66,11.31,8.19,7.47,9.22,10.25,9.59,10.62,14.19,16.31,15.31,14.34,15.69,16.97,15.75,13.91,14.97,16.88,17.03,16.0,17.03,19.66,20.16,17.31,14.5,13.06,10.25,4.72,-0.22,-1.16,-0.69,-1.06,-0.5,3.31,9.25,13.28,14.91,17.06,20.09,21.0,19.38,18.31,20.19,21.94,21.03,19.62,20.84,21.97,20.62,17.47,16.12,16.34,14.31,10.25,8.0,8.09,8.22,6.75,6.97,10.53,14.09,15.16,14.97,16.16,16.91,14.44,9.62,7.72,8.06,8.06,7.31,8.53,12.06,14.19,13.22,11.88,12.81,13.53,12.0,10.16,11.25,13.25,12.5,9.44,7.84,6.94,4.44,0.03,-2.66,-1.41,0.09,0.16,1.97,6.59,11.53,13.28,12.91,13.78,14.5,12.5,9.25,7.84,9.19,9.5,8.16,8.0,10.81,12.94,12.12,11.41,13.09,14.81,14.44,13.38,15.0,17.91,18.84,17.62,17.75,19.88,20.66,18.38,16.97,17.53,17.53,14.44,10.59,9.38,8.72,5.72,2.44,2.16,4.12,5.19,5.19,7.47,12.19,16.41,17.59,19.12,22.31,23.72,21.59,17.59,15.38,13.38,9.47,5.12,3.75,4.81,5.28,3.59,3.53,5.41,6.25,4.66,4.28,7.38,11.72,13.88,15.62,19.78,23.81,25.56,24.69,26.0,28.44,28.88,26.56,24.59,24.09,22.34,17.22,12.12,10.0,8.66,5.84,3.12,3.75,6.09,6.94,6.38,7.25,9.97,11.28,10.19,10.31,13.06,15.97,16.0,16.38,19.22,22.34,23.31,23.06,24.47,26.5,25.94,22.91,20.66,20.12,18.75,14.69,11.94,12.06,12.16,9.72,7.06,6.94,7.31,5.31,2.72,2.5,3.84,4.81,5.03,6.72,10.91,14.34,14.75,15.0,16.91,18.5,16.88,14.0,12.62,11.88,8.62,4.22,2.72,3.5,3.97,3.19,3.47,6.44,8.94,8.59,8.44,10.94,13.78,13.34,12.28,12.62,13.56,12.22,9.31,8.16,9.06,9.12,6.62,4.47,4.84,4.62,1.28,-1.44,-1.88,-0.81,-1.47,-1.75,1.16,5.78,9.03,10.0,11.69,14.09,15.19,13.41,12.34,13.56,14.84,13.16,10.78,10.59,10.44,7.91,3.94,1.97,1.75,-0.06,-3.19,-4.09,-2.34,-0.72,-0.78,-0.09,3.38,6.41,6.22,4.66,4.5,5.5,4.31,2.47,2.34,4.56,4.81,2.44,1.47,2.22,3.22,1.78,1.28,3.78,6.81,7.12,6.66,7.94,10.06,9.97,8.62,8.41,9.41,8.94,5.5,2.44,2.31,2.59,1.38,1.44,4.5,7.81,8.22,7.06,7.53,9.44,9.66,8.53,8.81,10.84,11.19,8.62,6.66,7.66,8.5,7.12,6.22,7.69,9.47,8.81,6.88,7.0,8.38,8.09,6.97,7.59,10.62,12.97,12.47,12.72,14.44,15.81,13.78,11.16,11.25,12.47,12.31,12.16,14.06,17.75,19.16,18.06,17.41,19.12,19.72,18.0,16.72,17.78,18.91,17.81,16.0,16.59,18.41,17.62,15.44,14.78,15.81,15.59,13.38,11.72,12.34,12.0,9.09,6.16,5.75,6.53,5.12,3.94,5.31,7.91,8.5,6.53,5.0,5.41,4.5,2.12,0.94,2.78,4.69,3.34,1.72,2.22,3.47,2.47,0.88,1.69,3.88,4.53,3.84,4.53,7.44,9.5,8.59,7.5,8.16,8.22,5.72,3.12,3.03,4.44,3.75,1.97,2.22,4.09,4.53,3.28,3.34,6.06,8.09,8.22,8.88,12.09,14.69,14.72,14.12,15.16,17.25,16.69,14.78,14.12,14.78,13.84,10.84,8.62,8.91,8.84,6.72,4.88,6.0,7.88,7.41,6.5,7.47,9.69,10.06,8.62,8.38,9.94,10.06,8.06,6.84,8.69,10.53,10.25,9.41,11.0,13.34,13.47,13.34,15.38,18.56,19.72,18.53,17.22,16.97,15.28,10.81,7.03,6.41,6.34,3.88,1.25,1.12,1.66,0.91,-0.38,0.5,3.72,5.38,5.22,5.38,7.97,9.88,9.22,9.03,11.56,14.19,14.62,14.22,16.03,19.0,19.47,18.25,17.28,18.06,16.81,13.62,11.41,11.53,11.03,7.69,4.16,2.78,2.19,-0.31,-2.91,-2.47,-0.03,1.41,1.09,2.5,5.12,6.62,5.75,5.84,8.81,10.75,10.16,8.59,8.97,10.12,9.34,7.84,8.88,11.25,12.31,11.25,11.0,12.5,12.38,9.84,7.66,8.5,9.47,8.81,7.97,9.22,11.34,11.53,9.94,9.72,11.44,11.53,9.72,8.88,10.34,11.31,9.59,8.09,8.97,9.81,7.44,4.19,2.84,2.69,1.53,-0.69,-0.47,1.66,2.97,1.62,1.34,3.69,5.72,5.38,4.84,7.41,10.28,11.09,11.06,12.75,15.47,15.75,13.34,11.97,11.53,10.47,6.81,4.0,3.88,3.59,1.06,-1.81,-1.91,-1.22,-2.47,-4.06,-3.38,-0.94,0.03,-0.84,-0.28,2.06,3.09,1.12,-0.84,-0.69,-0.31,-1.91,-2.72,0.06,4.81,8.03,9.38,11.81,14.59,14.44,11.72,9.5,9.31,8.41,4.69,1.47,0.97,1.22,0.41,-0.84,1.03,4.62,6.53,7.0,8.72,12.09,13.62,12.03,11.03,11.88,11.91,8.78,5.69,5.47,6.22,5.59,4.66,6.5,10.22,11.75,11.06,11.19,12.62,12.44,9.72,7.88,8.62,9.72,8.62,7.56,8.97,11.34,11.06,9.22,9.31,10.56,10.59,8.53,8.16,9.69,10.34,8.22,6.62,7.53,9.16,8.19,6.69,7.78,10.09,10.03,8.5,8.97,11.06,11.5,9.81,8.62,9.44,9.12,5.84,3.12,3.22,3.94,2.44,0.34,0.66,2.5,2.84,2.5,3.94,7.53,9.75,9.19,9.16,11.5,13.69,13.53,13.16,15.03,17.25,16.88,15.0,15.16,16.62,15.69,12.28,9.88,8.56,6.25,1.03,-3.12,-4.19,-3.94,-5.0,-5.12,-2.09,2.0,3.22,3.06,4.06,6.12,6.44,4.53,3.97,5.38,6.12,4.75,3.78,5.91,8.25,7.44,5.41,5.62,6.22,5.38,3.62,4.09,6.81,8.19,7.22,6.44,7.41,7.78,5.16,2.88,3.16,3.75,1.84,-0.53,-0.31,1.97,2.94,3.06,4.41,7.5,8.72,7.28,6.28,7.66,8.94,7.84,6.59,7.97,10.22,9.94,8.53,9.47,12.16,12.84,11.66,11.56,13.44,14.12,11.62,8.97,8.5,7.62,4.78,2.16,2.94,5.66,6.53,6.19,7.84,10.62,12.47,11.56,11.56,13.62,14.66,13.0,11.56,12.62,14.5,13.53,12.03,12.47,13.75,11.91,8.19,6.06,6.25,5.69,4.06,3.78,6.56,9.0,8.53,8.16,10.75,13.97,14.75,15.06,17.41,20.94,21.31,19.19,18.0,18.0,16.78,13.31,11.28,12.12,13.25,11.75,10.25,11.75,14.38,14.66,14.59,15.81,18.34,18.31,15.5,13.38,13.34,12.75,10.16,8.41,10.16,12.34,11.72,9.84,10.09,11.22,9.62,7.22,7.25,9.0,9.22,7.28,5.88,7.0,8.19,7.09,6.62,9.06,11.94,11.31,9.25,9.62,11.31,10.75,9.34,9.66,12.31,13.41,11.75,10.81,12.0,12.56,10.47,8.38,8.69,9.53,8.06,5.31,22.09,26.47,29.5,30.41,31.38,32.88,33.59,32.28,31.03,30.84,30.81,28.88,26.47,25.16,24.81,22.69,19.56,17.69,17.69,16.78,14.84,13.88,15.03,16.62,16.59,17.47,19.94,22.81,23.91,23.88,24.88,26.34,26.16,25.34,25.44,27.09,28.38,27.34,26.62,26.69,26.62,24.69:negativity
-5.94,-6.88,-6.25,-6.06,-6.5,-5.59,-2.53,0.38,1.25,0.84,0.88,0.22,-1.91,-4.38,-5.06,-3.31,-2.0,-0.94,0.38,2.62,4.0,3.47,2.84,3.69,4.56,3.88,2.97,3.44,4.5,4.25,3.25,3.22,3.88,3.09,1.25,0.16,0.94,2.12,2.62,3.44,5.44,7.19,7.28,7.16,8.47,11.19,12.31,12.19,12.38,13.09,13.03,11.22,9.69,10.28,10.69,10.0,10.09,11.97,14.22,14.66,13.84,13.56,13.5,11.94,9.16,7.0,6.62,6.25,5.16,4.5,5.88,7.06,6.53,4.84,4.88,5.22,3.66,1.38,0.94,1.78,2.47,2.5,3.56,6.22,7.34,7.0,6.31,8.0,9.75,10.44,10.5,11.56,12.31,11.06,8.44,7.28,7.41,6.44,4.62,3.09,2.5,1.16,-1.97,-5.12,-6.31,-7.34,-9.03,-10.72,-10.19,-8.47,-8.06,-8.56,-8.22,-6.91,-6.84,-7.56,-7.59,-5.97,-4.75,-4.47,-4.16,-2.06,0.31,1.06,0.69,0.84,1.19,-0.34,-2.62,-3.53,-3.16,-2.78,-3.38,-3.53,-1.69,-0.19,-0.41,-0.66,0.41,1.25,0.56,-0.88,-0.75,0.5,0.97,1.12,2.09,4.34,5.81,5.91,5.53,6.91,7.91,7.0,5.31,5.44,6.09,5.97,5.5,6.59,8.62,9.38,8.78,7.78,7.72,6.94,4.5,3.34,3.91,5.34,5.81,5.88,7.44,9.06,8.91,7.84,7.88,9.03,9.75,10.06,11.53,14.56,16.81,17.22,16.22,15.69,14.22,10.41,6.06,3.56,2.66,1.28,-0.22,0.06,1.44,1.97,1.12,0.59,1.16,2.12,1.78,2.12,4.31,7.19,8.44,8.94,10.5,12.06,11.91,9.28,7.12,5.69,3.59,0.56,-1.03,-0.34,0.84,0.91,0.81,2.06,3.22,2.25,0.41,-0.03,0.62,0.41,-0.16,0.47,2.56,4.41,5.22,6.0,8.22,9.75,9.31,7.94,7.59,7.75,6.94,5.88,6.44,8.19,8.94,7.78,6.88,7.19,6.66,4.69,2.94,2.94,2.84,0.97,-1.5,-2.81,-3.66,-5.41,-7.41,-7.53,-5.69,-3.81,-3.16,-1.75,0.66,2.28,1.84,1.06,1.66,2.84,2.94,2.94,4.72,7.12,8.22,7.66,7.53,7.44,5.78,1.78,-1.88,-3.41,-4.31,-5.81,-6.25,-4.12,-1.97,-0.81,-0.75,0.91,2.94,4.28,4.22,5.31,7.53,9.03,8.69,8.41,8.97,8.84,7.03,4.22,3.09,2.62,0.59,-1.88,-3.53,-4.22,-5.75,-8.25,-9.69,-9.84,-10.03,-11.62,-12.84,-12.41,-11.0,-11.0,-11.22,-9.72,-8.38,-8.81,-10.75,-12.62,-13.47,-14.66,-16.66,-16.91,-14.66,-12.19,-11.25,-10.28,-8.16,-6.44,-6.94,-8.5,-8.69,-8.62,-8.81,-10.06,-10.0,-8.5,-7.69,-8.5,-9.0,-8.5,-7.69,-8.94,-9.81,-8.88,-6.69,-5.34,-4.66,-2.91,-0.88,-0.62,-2.78,-4.19,-4.81,-5.88,-7.78,-8.62,-6.94,-5.03,-4.69,-4.38,-4.0,-3.62,-5.41,-8.22,-9.88,-10.0,-10.25,-10.69,-9.44,-6.56,-3.91,-2.97,-2.0,0.22,2.75,3.38,4.06,5.38,7.25,7.06,5.41,4.62,4.28,3.12,0.62,-0.84,-1.41,-1.84,-3.81,-5.38,-5.59,-4.75,-5.66,-6.38,-5.31,-3.22,-1.41,-0.09,2.47,6.53,9.31,10.34,11.19,11.94,11.53,8.94,5.97,4.09,2.97,1.25,-0.22,-0.22,0.38,-0.03,-1.59,-1.91,-1.19,-0.16,-0.53,-0.28,0.72,1.56,0.69,-0.09,0.84,2.44,2.31,1.56,1.84,2.78,3.09,2.22,2.5,3.47,3.66,1.53,-1.03,-2.62,-4.03,-6.97,-9.69,-10.22,-9.69,-9.53,-9.12,-7.09,-3.69,-1.09,0.31,1.53,3.72,5.22,4.84,4.97,6.84,8.94,9.19,8.72,8.81,8.62,7.44,5.19,3.72,3.5,2.34,-0.34,-2.28,-2.44,-2.38,-3.56,-4.19,-2.84,-0.75,0.16,0.66,2.16,4.03,4.44,3.69,4.0,5.66,6.97,7.03,7.25,8.28,9.16,7.56,5.72,5.66,6.69,6.19,5.47,5.97,6.53,5.66,3.69,2.53,3.06,3.62,4.06,5.31,7.97,10.47,10.69,9.97,9.59,9.59,8.62,6.72,6.0,6.81,6.91,6.03,5.66,6.53,6.97,6.09,4.88,5.59,6.66,5.91,5.22,5.47,6.38,6.31,5.31,5.16,6.19,5.94,4.16,2.56,1.81,0.75,-2.12,-4.91,-6.31,-7.22,-9.28,-11.06,-10.69,-8.38,-6.22,-3.91,-0.56,3.78,7.31,8.97,10.28,12.56,14.16,13.94,13.34,14.16,15.25,15.31,14.28,13.69,12.97,10.56,6.97,4.25,3.44,2.66,0.94,-0.34,-0.38,-0.66,-1.97,-3.97,-4.47,-4.09,-4.84,-5.47,-4.53,-1.94,0.19,1.75,3.75,6.34,8.31,8.66,7.88,7.47,6.69,3.75,0.62,-1.03,-1.25,-1.69,-2.16,-1.56,0.19,0.53,-0.94,-2.78,-3.94,-5.25,-7.72,-9.28,-8.59,-7.09,-6.03,-5.09,-2.59,0.5,2.78,4.28,6.31,9.44,11.66,12.06,11.88,12.88,13.34,11.62,9.75,9.22,8.66,7.22,5.06,4.09,3.94,2.56,0.19,-1.62,-1.59,-1.31,-1.25,-0.41,2.72,5.41,6.91,7.53,8.75,10.19,10.5,9.47,9.62,10.66,10.31,8.84,7.34,7.28,7.19,6.12,5.75,7.69,9.41,9.94,9.72,10.59,12.03,12.22,11.25,11.34,12.06,11.97,10.81,9.78,9.78,9.34,7.91,6.22,6.53,7.56,6.72,5.38,4.75,4.53,3.81,2.16,2.12,3.88,5.03,5.16,4.94,5.97,6.12,5.31,4.03,5.06,6.84,7.78,8.22,9.53,11.31,11.44,10.19,9.03,8.91,8.31,6.25,4.88,5.09,5.34,4.5,3.34,3.72,4.44,4.25,3.81,4.44,6.03,6.97,7.19,7.72,9.16,11.12,11.31,11.88,13.03,14.09,13.19,11.25,10.28,9.91,8.88,6.97,5.47,4.94,3.69,1.41,-0.09,0.56,1.72,2.38,3.41,6.09,9.09,10.75,11.25,12.44,13.91,14.31,13.91,14.19,15.56,16.62,15.88,15.34,15.31,15.31,13.69,11.88,11.84,12.06,11.22,9.56,8.62,8.66,8.38,7.62,8.03,9.78,11.34,11.06,10.66,10.91,11.28,10.62,8.91,9.12,9.62,8.97,7.75,7.75,8.03,7.38,4.75,2.5,1.22,0.09,-1.62,-2.28,-1.06,0.84,1.72,2.03,3.72,5.66,6.47,5.81,5.91,6.19,5.72,3.84,2.5,2.56,2.78,1.62,0.34,0.5,1.12,0.59,0.16,1.41,3.53,5.34,6.03,7.91,10.53,12.69,13.09,13.41,14.53,15.0,13.25,10.38,8.03,5.84,2.44,-0.97,-2.12,-1.75,-1.25,-1.88,-1.31,0.16,1.09,0.41,-0.28,0.16,0.69,-0.09,-1.19,-0.66,0.66,0.88,0.28,1.34,3.31,4.38,4.41,5.09,6.72,7.75,6.97,5.94,6.47,7.03,6.25,5.09,5.59,6.81,7.09,6.75,7.69,9.72,10.97,10.47,10.78,12.09,13.41,13.06,12.31,12.84,13.47,12.41,10.75,10.19,10.28,9.28,7.44,6.69,7.75,8.81,8.72,8.59,9.62,10.19,8.38,6.59,6.41,6.75,6.78,6.41,7.44,9.91,11.28,11.59,11.97,13.75,14.88,14.56,14.53,15.66,16.88,16.0,13.91,12.19,10.5,6.81,2.53,-0.06,-1.06,-2.34,-4.22,-5.22,-4.5,-3.75,-4.59,-5.0,-4.16,-2.78,-2.91,-3.03,-1.88,0.0,1.0,1.16,1.81,3.0,3.28,1.84,0.47,0.72,1.88,1.69,2.62,4.97,8.25,9.31,9.31,9.56,10.16,9.81,8.22,7.88,9.12,10.03,9.06,7.94,7.81,7.09,4.53,2.16,1.22,1.06,0.16,-0.59,-0.75,0.44,0.84,0.41,0.88,2.66,4.53,4.91,5.69,8.06,10.09,10.19,9.34,8.72,8.5,6.88,4.72,3.91,4.69,5.59,5.09,5.62,7.25,8.25,7.81,7.19,8.44,10.12,10.12,9.38,9.12,8.88,6.56,3.19,0.75,-0.66,-2.75,-5.78,-7.94,-8.34,-8.78,-9.81,-10.91,-10.0,-8.0,-7.19,-6.03,-3.19,0.78,3.78,5.62,7.66,10.0,11.19,10.06,8.72,8.62,8.09,6.09,3.69,2.91,2.72,1.28,0.16,0.06,1.5,2.03,1.59,2.12,3.94,5.88,6.94,8.47,11.59,14.69,15.72,15.44,16.0,16.62,15.19,12.69,10.59,9.41,7.0,3.0,-0.31,-1.88,-3.78,-6.84,-8.66,-8.31,-6.88,-6.12,-5.19,-3.0,0.19,1.84,2.59,3.91,6.25,6.94,6.06,5.12,5.09,4.75,2.62,0.97,1.5,2.62,2.84,2.84,3.91,5.78,5.88,4.91,4.38,4.88,4.53,3.47,2.72,5.0,7.62,8.25,8.88,10.31,11.94,11.19,9.28,8.88,9.0,8.12,6.12,5.12,5.38,4.59,2.62,0.84,1.22,1.75,0.72,-0.62,-0.31,0.97,1.56,1.72,2.94,4.47,4.5,2.59,1.19,1.12,0.91,-0.56,-1.84,-1.06,-0.09,-0.38,-0.81,0.38,2.59,3.78,4.5,6.44,9.38,10.69,10.25,9.12,9.03,8.38,6.5,5.12,5.44,6.31,5.41,3.41,2.25,1.91,0.38,-1.81,-2.75,-1.53,-0.62,-1.12,-1.53,-0.56,-0.22,-1.47,-2.75,-1.78,-0.12,0.75,0.94,2.34,4.88,5.94,5.66,5.91,7.47,8.66,8.41,8.19,9.03,9.62,8.56,6.81,6.47,6.78,6.5:0.38,1.25,0.84,0.88,0.22,-1.91,-4.38,-5.06,-3.31,-2.0,-0.94,0.38,2.62,4.0,3.47,2.84,3.69,4.56,3.88,2.97,3.44,4.5,4.25,3.25,3.22,3.88,3.09,1.25,0.16,0.94,2.12,2.62,3.44,5.44,7.19,7.28,7.16,8.47,11.19,12.31,12.19,12.38,13.09,13.03,11.22,9.69,10.28,10.69,10.0,10.09,11.97,14.22,14.66,13.84,13.56,13.5,11.94,9.16,7.0,6.62,6.25,5.16,4.5,5.88,7.06,6.53,4.84,4.88,5.22,3.66,1.38,0.94,1.78,2.47,2.5,3.56,6.22,7.34,7.0,6.31,8.0,9.75,10.44,10.5,11.56,12.31,11.06,8.44,7.28,7.41,6.44,4.62,3.09,2.5,1.16,-1.97,-5.12,-6.31,-7.34,-9.03,-10.72,-10.19,-8.47,-8.06,-8.56,-8.22,-6.91,-6.84,-7.56,-7.59,-5.97,-4.75,-4.47,-4.16,-2.06,0.31,1.06,0.69,0.84,1.19,-0.34,-2.62,-3.53,-3.16,-2.78,-3.38,-3.53,-1.69,-0.19,-0.41,-0.66,0.41,1.25,0.56,-0.88,-0.75,0.5,0.97,1.12,2.09,4.34,5.81,5.91,5.53,6.91,7.91,7.0,5.31,5.44,6.09,5.97,5.5,6.59,8.62,9.38,8.78,7.78,7.72,6.94,4.5,3.34,3.91,5.34,5.81,5.88,7.44,9.06,8.91,7.84,7.88,9.03,9.75,10.06,11.53,14.56,16.81,17.22,16.22,15.69,14.22,10.41,6.06,3.56,2.66,1.28,-0.22,0.06,1.44,1.97,1.12,0.59,1.16,2.12,1.78,2.12,4.31,7.19,8.44,8.94,10.5,12.06,11.91,9.28,7.12,5.69,3.59,0.56,-1.03,-0.34,0.84,0.91,0.81,2.06,3.22,2.25,0.41,-0.03,0.62,0.41,-0.16,0.47,2.56,4.41,5.22,6.0,8.22,9.75,9.31,7.94,7.59,7.75,6.94,5.88,6.44,8.19,8.94,7.78,6.88,7.19,6.66,4.69,2.94,2.94,2.84,0.97,-1.5,-2.81,-3.66,-5.41,-7.41,-7.53,-5.69,-3.81,-3.16,-1.75,0.66,2.28,1.84,1.06,1.66,2.84,2.94,2.94,4.72,7.12,8.22,7.66,7.53,7.44,5.78,1.78,-1.88,-3.41,-4.31,-5.81,-6.25,-4.12,-1.97,-0.81,-0.75,0.91,2.94,4.28,4.22,5.31,7.53,9.03,8.69,8.41,8.97,8.84,7.03,4.22,3.09,2.62,0.59,-1.88,-3.53,-4.22,-5.75,-8.25,-9.69,-9.84,-10.03,-11.62,-12.84,-12.41,-11.0,-11.0,-11.22,-9.72,-8.38,-8.81,-10.75,-12.62,-13.47,-14.66,-16.66,-16.91,-14.66,-12.19,-11.25,-10.28,-8.16,-6.44,-6.94,-8.5,-8.69,-8.62,-8.81,-10.06,-10.0,-8.5,-7.69,-8.5,-9.0,-8.5,-7.69,-8.94,-9.81,-8.88,-6.69,-5.34,-4.66,-2.91,-0.88,-0.62,-2.78,-4.19,-4.81,-5.88,-7.78,-8.62,-6.94,-5.03,-4.69,-4.38,-4.0,-3.62,-5.41,-8.22,-9.88,-10.0,-10.25,-10.69,-9.44,-6.56,-3.91,-2.97,-2.0,0.22,2.75,3.38,4.06,5.38,7.25,7.06,5.41,4.62,4.28,3.12,0.62,-0.84,-1.41,-1.84,-3.81,-5.38,-5.59,-4.75,-5.66,-6.38,-5.31,-3.22,-1.41,-0.09,2.47,6.53,9.31,10.34,11.19,11.94,11.53,8.94,5.97,4.09,2.97,1.25,-0.22,-0.22,0.38,-0.03,-1.59,-1.91,-1.19,-0.16,-0.53,-0.28,0.72,1.56,0.69,-0.09,0.84,2.44,2.31,1.56,1.84,2.78,3.09,2.22,2.5,3.47,3.66,1.53,-1.03,-2.62,-4.03,-6.97,-9.69,-10.22,-9.69,-9.53,-9.12,-7.09,-3.69,-1.09,0.31,1.53,3.72,5.22,4.84,4.97,6.84,8.94,9.19,8.72,8.81,8.62,7.44,5.19,3.72,3.5,2.34,-0.34,-2.28,-2.44,-2.38,-3.56,-4.19,-2.84,-0.75,0.16,0.66,2.16,4.03,4.44,3.69,4.0,5.66,6.97,7.03,7.25,8.28,9.16,7.56,5.72,5.66,6.69,6.19,5.47,5.97,6.53,5.66,3.69,2.53,3.06,3.62,4.06,5.31,7.97,10.47,10.69,9.97,9.59,9.59,8.62,6.72,6.0,6.81,6.91,6.03,5.66,6.53,6.97,6.09,4.88,5.59,6.66,5.91,5.22,5.47,6.38,6.31,5.31,5.16,6.19,5.94,4.16,2.56,1.81,0.75,-2.12,-4.91,-6.31,-7.22,-9.28,-11.06,-10.69,-8.38,-6.22,-3.91,-0.56,3.78,7.31,8.97,10.28,12.56,14.16,13.94,13.34,14.16,15.25,15.31,14.28,13.69,12.97,10.56,6.97,4.25,3.44,2.66,0.94,-0.34,-0.38,-0.66,-1.97,-3.97,-4.47,-4.09,-4.84,-5.47,-4.53,-1.94,0.19,1.75,3.75,6.34,8.31,8.66,7.88,7.47,6.69,3.75,0.62,-1.03,-1.25,-1.69,-2.16,-1.56,0.19,0.53,-0.94,-2.78,-3.94,-5.25,-7.72,-9.28,-8.59,-7.09,-6.03,-5.09,-2.59,0.5,2.78,4.28,6.31,9.44,11.66,12.06,11.88,12.88,13.34,11.62,9.75,9.22,8.66,7.22,5.06,4.09,3.94,2.56,0.19,-1.62,-1.59,-1.31,-1.25,-0.41,2.72,5.41,6.91,7.53,8.75,10.19,10.5,9.47,9.62,10.66,10.31,8.84,7.34,7.28,7.19,6.12,5.75,7.69,9.41,9.94,9.72,10.59,12.03,12.22,11.25,11.34,12.06,11.97,10.81,9.78,9.78,9.34,7.91,6.22,6.53,7.56,6.72,5.38,4.75,4.53,3.81,2.16,2.12,3.88,5.03,5.16,4.94,5.97,6.12,5.31,4.03,5.06,6.84,7.78,8.22,9.53,11.31,11.44,10.19,9.03,8.91,8.31,6.25,4.88,5.09,5.34,4.5,3.34,3.72,4.44,4.25,3.81,4.44,6.03,6.97,7.19,7.72,9.16,11.12,11.31,11.88,13.03,14.09,13.19,11.25,10.28,9.91,8.88,6.97,5.47,4.94,3.69,1.41,-0.09,0.56,1.72,2.38,3.41,6.09,9.09,10.75,11.25,12.44,13.91,14.31,13.91,14.19,15.56,16.62,15.88,15.34,15.31,15.31,13.69,11.88,11.84,12.06,11.22,9.56,8.62,8.66,8.38,7.62,8.03,9.78,11.34,11.06,10.66,10.91,11.28,10.62,8.91,9.12,9.62,8.97,7.75,7.75,8.03,7.38,4.75,2.5,1.22,0.09,-1.62,-2.28,-1.06,0.84,1.72,2.03,3.72,5.66,6.47,5.81,5.91,6.19,5.72,3.84,2.5,2.56,2.78,1.62,0.34,0.5,1.12,0.59,0.16,1.41,3.53,5.34,6.03,7.91,10.53,12.69,13.09,13.41,14.53,15.0,13.25,10.38,8.03,5.84,2.44,-0.97,-2.12,-1.75,-1.25,-1.88,-1.31,0.16,1.09,0.41,-0.28,0.16,0.69,-0.09,-1.19,-0.66,0.66,0.88,0.28,1.34,3.31,4.38,4.41,5.09,6.72,7.75,6.97,5.94,6.47,7.03,6.25,5.09,5.59,6.81,7.09,6.75,7.69,9.72,10.97,10.47,10.78,12.09,13.41,13.06,12.31,12.84,13.47,12.41,10.75,10.19,10.28,9.28,7.44,6.69,7.75,8.81,8.72,8.59,9.62,10.19,8.38,6.59,6.41,6.75,6.78,6.41,7.44,9.91,11.28,11.59,11.97,13.75,14.88,14.56,14.53,15.66,16.88,16.0,13.91,12.19,10.5,6.81,2.53,-0.06,-1.06,-2.34,-4.22,-5.22,-4.5,-3.75,-4.59,-5.0,-4.16,-2.78,-2.91,-3.03,-1.88,0.0,1.0,1.16,1.81,3.0,3.28,1.84,0.47,0.72,1.88,1.69,2.62,4.97,8.25,9.31,9.31,9.56,10.16,9.81,8.22,7.88,9.12,10.03,9.06,7.94,7.81,7.09,4.53,2.16,1.22,1.06,0.16,-0.59,-0.75,0.44,0.84,0.41,0.88,2.66,4.53,4.91,5.69,8.06,10.09,10.19,9.34,8.72,8.5,6.88,4.72,3.91,4.69,5.59,5.09,5.62,7.25,8.25,7.81,7.19,8.44,10.12,10.12,9.38,9.12,8.88,6.56,3.19,0.75,-0.66,-2.75,-5.78,-7.94,-8.34,-8.78,-9.81,-10.91,-10.0,-8.0,-7.19,-6.03,-3.19,0.78,3.78,5.62,7.66,10.0,11.19,10.06,8.72,8.62,8.09,6.09,3.69,2.91,2.72,1.28,0.16,0.06,1.5,2.03,1.59,2.12,3.94,5.88,6.94,8.47,11.59,14.69,15.72,15.44,16.0,16.62,15.19,12.69,10.59,9.41,7.0,3.0,-0.31,-1.88,-3.78,-6.84,-8.66,-8.31,-6.88,-6.12,-5.19,-3.0,0.19,1.84,2.59,3.91,6.25,6.94,6.06,5.12,5.09,4.75,2.62,0.97,1.5,2.62,2.84,2.84,3.91,5.78,5.88,4.91,4.38,4.88,4.53,3.47,2.72,5.0,7.62,8.25,8.88,10.31,11.94,11.19,9.28,8.88,9.0,8.12,6.12,5.12,5.38,4.59,2.62,0.84,1.22,1.75,0.72,-0.62,-0.31,0.97,1.56,1.72,2.94,4.47,4.5,2.59,1.19,1.12,0.91,-0.56,-1.84,-1.06,-0.09,-0.38,-0.81,0.38,2.59,3.78,4.5,6.44,9.38,10.69,10.25,9.12,9.03,8.38,6.5,5.12,5.44,6.31,5.41,3.41,2.25,1.91,0.38,-1.81,-2.75,-1.53,-0.62,-1.12,-1.53,-0.56,-0.22,-1.47,-2.75,-1.78,-0.12,0.75,0.94,2.34,4.88,5.94,5.66,5.91,7.47,8.66,8.41,8.19,9.03,9.62,8.56,6.81,6.47,6.78,6.5,28.25,26.75,25.44,25.38,26.34,27.84,30.41:-5.06,-3.31,-2.0,-0.94,0.38,2.62,4.0,3.47,2.84,3.69,4.56,3.88,2.97,3.44,4.5,4.25,3.25,3.22,3.88,3.09,1.25,0.16,0.94,2.12,2.62,3.44,5.44,7.19,7.28,7.16,8.47,11.19,12.31,12.19,12.38,13.09,13.03,11.22,9.69,10.28,10.69,10.0,10.09,11.97,14.22,14.66,13.84,13.56,13.5,11.94,9.16,7.0,6.62,6.25,5.16,4.5,5.88,7.06,6.53,4.84,4.88,5.22,3.66,1.38,0.94,1.78,2.47,2.5,3.56,6.22,7.34,7.0,6.31,8.0,9.75,10.44,10.5,11.56,12.31,11.06,8.44,7.28,7.41,6.44,4.62,3.09,2.5,1.16,-1.97,-5.12,-6.31,-7.34,-9.03,-10.72,-10.19,-8.47,-8.06,-8.56,-8.22,-6.91,-6.84,-7.56,-7.59,-5.97,-4.75,-4.47,-4.16,-2.06,0.31,1.06,0.69,0.84,1.19,-0.34,-2.62,-3.53,-3.16,-2.78,-3.38,-3.53,-1.69,-0.19,-0.41,-0.66,0.41,1.25,0.56,-0.88,-0.75,0.5,0.97,1.12,2.09,4.34,5.81,5.91,5.53,6.91,7.91,7.0,5.31,5.44,6.09,5.97,5.5,6.59,8.62,9.38,8.78,7.78,7.72,6.94,4.5,3.34,3.91,5.34,5.81,5.88,7.44,9.06,8.91,7.84,7.88,9.03,9.75,10.06,11.53,14.56,16.81,17.22,16.22,15.69,14.22,10.41,6.06,3.56,2.66,1.28,-0.22,0.06,1.44,1.97,1.12,0.59,1.16,2.12,1.78,2.12,4.31,7.19,8.44,8.94,10.5,12.06,11.91,9.28,7.12,5.69,3.59,0.56,-1.03,-0.34,0.84,0.91,0.81,2.06,3.22,2.25,0.41,-0.03,0.62,0.41,-0.16,0.47,2.56,4.41,5.22,6.0,8.22,9.75,9.31,7.94,7.59,7.75,6.94,5.88,6.44,8.19,8.94,7.78,6.88,7.19,6.66,4.69,2.94,2.94,2.84,0.97,-1.5,-2.81,-3.66,-5.41,-7.41,-7.53,-5.69,-3.81,-3.16,-1.75,0.66,2.28,1.84,1.06,1.66,2.84,2.94,2.94,4.72,7.12,8.22,7.66,7.53,7.44,5.78,1.78,-1.88,-3.41,-4.31,-5.81,-6.25,-4.12,-1.97,-0.81,-0.75,0.91,2.94,4.28,4.22,5.31,7.53,9.03,8.69,8.41,8.97,8.84,7.03,4.22,3.09,2.62,0.59,-1.88,-3.53,-4.22,-5.75,-8.25,-9.69,-9.84,-10.03,-11.62,-12.84,-12.41,-11.0,-11.0,-11.22,-9.72,-8.38,-8.81,-10.75,-12.62,-13.47,-14.66,-16.66,-16.91,-14.66,-12.19,-11.25,-10.28,-8.16,-6.44,-6.94,-8.5,-8.69,-8.62,-8.81,-10.06,-10.0,-8.5,-7.69,-8.5,-9.0,-8.5,-7.69,-8.94,-9.81,-8.88,-6.69,-5.34,-4.66,-2.91,-0.88,-0.62,-2.78,-4.19,-4.81,-5.88,-7.78,-8.62,-6.94,-5.03,-4.69,-4.38,-4.0,-3.62,-5.41,-8.22,-9.88,-10.0,-10.25,-10.69,-9.44,-6.56,-3.91,-2.97,-2.0,0.22,2.75,3.38,4.06,5.38,7.25,7.06,5.41,4.62,4.28,3.12,0.62,-0.84,-1.41,-1.84,-3.81,-5.38,-5.59,-4.75,-5.66,-6.38,-5.31,-3.22,-1.41,-0.09,2.47,6.53,9.31,10.34,11.19,11.94,11.53,8.94,5.97,4.09,2.97,1.25,-0.22,-0.22,0.38,-0.03,-1.59,-1.91,-1.19,-0.16,-0.53,-0.28,0.72,1.56,0.69,-0.09,0.84,2.44,2.31,1.56,1.84,2.78,3.09,2.22,2.5,3.47,3.66,1.53,-1.03,-2.62,-4.03,-6.97,-9.69,-10.22,-9.69,-9.53,-9.12,-7.09,-3.69,-1.09,0.31,1.53,3.72,5.22,4.84,4.97,6.84,8.94,9.19,8.72,8.81,8.62,7.44,5.19,3.72,3.5,2.34,-0.34,-2.28,-2.44,-2.38,-3.56,-4.19,-2.84,-0.75,0.16,0.66,2.16,4.03,4.44,3.69,4.0,5.66,6.97,7.03,7.25,8.28,9.16,7.56,5.72,5.66,6.69,6.19,5.47,5.97,6.53,5.66,3.69,2.53,3.06,3.62,4.06,5.31,7.97,10.47,10.69,9.97,9.59,9.59,8.62,6.72,6.0,6.81,6.91,6.03,5.66,6.53,6.97,6.09,4.88,5.59,6.66,5.91,5.22,5.47,6.38,6.31,5.31,5.16,6.19,5.94,4.16,2.56,1.81,0.75,-2.12,-4.91,-6.31,-7.22,-9.28,-11.06,-10.69,-8.38,-6.22,-3.91,-0.56,3.78,7.31,8.97,10.28,12.56,14.16,13.94,13.34,14.16,15.25,15.31,14.28,13.69,12.97,10.56,6.97,4.25,3.44,2.66,0.94,-0.34,-0.38,-0.66,-1.97,-3.97,-4.47,-4.09,-4.84,-5.47,-4.53,-1.94,0.19,1.75,3.75,6.34,8.31,8.66,7.88,7.47,6.69,3.75,0.62,-1.03,-1.25,-1.69,-2.16,-1.56,0.19,0.53,-0.94,-2.78,-3.94,-5.25,-7.72,-9.28,-8.59,-7.09,-6.03,-5.09,-2.59,0.5,2.78,4.28,6.31,9.44,11.66,12.06,11.88,12.88,13.34,11.62,9.75,9.22,8.66,7.22,5.06,4.09,3.94,2.56,0.19,-1.62,-1.59,-1.31,-1.25,-0.41,2.72,5.41,6.91,7.53,8.75,10.19,10.5,9.47,9.62,10.66,10.31,8.84,7.34,7.28,7.19,6.12,5.75,7.69,9.41,9.94,9.72,10.59,12.03,12.22,11.25,11.34,12.06,11.97,10.81,9.78,9.78,9.34,7.91,6.22,6.53,7.56,6.72,5.38,4.75,4.53,3.81,2.16,2.12,3.88,5.03,5.16,4.94,5.97,6.12,5.31,4.03,5.06,6.84,7.78,8.22,9.53,11.31,11.44,10.19,9.03,8.91,8.31,6.25,4.88,5.09,5.34,4.5,3.34,3.72,4.44,4.25,3.81,4.44,6.03,6.97,7.19,7.72,9.16,11.12,11.31,11.88,13.03,14.09,13.19,11.25,10.28,9.91,8.88,6.97,5.47,4.94,3.69,1.41,-0.09,0.56,1.72,2.38,3.41,6.09,9.09,10.75,11.25,12.44,13.91,14.31,13.91,14.19,15.56,16.62,15.88,15.34,15.31,15.31,13.69,11.88,11.84,12.06,11.22,9.56,8.62,8.66,8.38,7.62,8.03,9.78,11.34,11.06,10.66,10.91,11.28,10.62,8.91,9.12,9.62,8.97,7.75,7.75,8.03,7.38,4.75,2.5,1.22,0.09,-1.62,-2.28,-1.06,0.84,1.72,2.03,3.72,5.66,6.47,5.81,5.91,6.19,5.72,3.84,2.5,2.56,2.78,1.62,0.34,0.5,1.12,0.59,0.16,1.41,3.53,5.34,6.03,7.91,10.53,12.69,13.09,13.41,14.53,15.0,13.25,10.38,8.03,5.84,2.44,-0.97,-2.12,-1.75,-1.25,-1.88,-1.31,0.16,1.09,0.41,-0.28,0.16,0.69,-0.09,-1.19,-0.66,0.66,0.88,0.28,1.34,3.31,4.38,4.41,5.09,6.72,7.75,6.97,5.94,6.47,7.03,6.25,5.09,5.59,6.81,7.09,6.75,7.69,9.72,10.97,10.47,10.78,12.09,13.41,13.06,12.31,12.84,13.47,12.41,10.75,10.19,10.28,9.28,7.44,6.69,7.75,8.81,8.72,8.59,9.62,10.19,8.38,6.59,6.41,6.75,6.78,6.41,7.44,9.91,11.28,11.59,11.97,13.75,14.88,14.56,14.53,15.66,16.88,16.0,13.91,12.19,10.5,6.81,2.53,-0.06,-1.06,-2.34,-4.22,-5.22,-4.5,-3.75,-4.59,-5.0,-4.16,-2.78,-2.91,-3.03,-1.88,0.0,1.0,1.16,1.81,3.0,3.28,1.84,0.47,0.72,1.88,1.69,2.62,4.97,8.25,9.31,9.31,9.56,10.16,9.81,8.22,7.88,9.12,10.03,9.06,7.94,7.81,7.09,4.53,2.16,1.22,1.06,0.16,-0.59,-0.75,0.44,0.84,0.41,0.88,2.66,4.53,4.91,5.69,8.06,10.09,10.19,9.34,8.72,8.5,6.88,4.72,3.91,4.69,5.59,5.09,5.62,7.25,8.25,7.81,7.19,8.44,10.12,10.12,9.38,9.12,8.88,6.56,3.19,0.75,-0.66,-2.75,-5.78,-7.94,-8.34,-8.78,-9.81,-10.91,-10.0,-8.0,-7.19,-6.03,-3.19,0.78,3.78,5.62,7.66,10.0,11.19,10.06,8.72,8.62,8.09,6.09,3.69,2.91,2.72,1.28,0.16,0.06,1.5,2.03,1.59,2.12,3.94,5.88,6.94,8.47,11.59,14.69,15.72,15.44,16.0,16.62,15.19,12.69,10.59,9.41,7.0,3.0,-0.31,-1.88,-3.78,-6.84,-8.66,-8.31,-6.88,-6.12,-5.19,-3.0,0.19,1.84,2.59,3.91,6.25,6.94,6.06,5.12,5.09,4.75,2.62,0.97,1.5,2.62,2.84,2.84,3.91,5.78,5.88,4.91,4.38,4.88,4.53,3.47,2.72,5.0,7.62,8.25,8.88,10.31,11.94,11.19,9.28,8.88,9.0,8.12,6.12,5.12,5.38,4.59,2.62,0.84,1.22,1.75,0.72,-0.62,-0.31,0.97,1.56,1.72,2.94,4.47,4.5,2.59,1.19,1.12,0.91,-0.56,-1.84,-1.06,-0.09,-0.38,-0.81,0.38,2.59,3.78,4.5,6.44,9.38,10.69,10.25,9.12,9.03,8.38,6.5,5.12,5.44,6.31,5.41,3.41,2.25,1.91,0.38,-1.81,-2.75,-1.53,-0.62,-1.12,-1.53,-0.56,-0.22,-1.47,-2.75,-1.78,-0.12,0.75,0.94,2.34,4.88,5.94,5.66,5.91,7.47,8.66,8.41,8.19,9.03,9.62,8.56,6.81,6.47,6.78,6.5,28.25,26.75,25.44,25.38,26.34,27.84,30.41,33.34,36.53,38.31,38.5,38.03,37.62,36.78:3.47,2.84,3.69,4.56,3.88,2.97,3.44,4.5,4.25,3.25,3.22,3.88,3.09,1.25,0.16,0.94,2.12,2.62,3.44,5.44,7.19,7.28,7.16,8.47,11.19,12.31,12.19,12.38,13.09,13.03,11.22,9.69,10.28,10.69,10.0,10.09,11.97,14.22,14.66,13.84,13.56,13.5,11.94,9.16,7.0,6.62,6.25,5.16,4.5,5.88,7.06,6.53,4.84,4.88,5.22,3.66,1.38,0.94,1.78,2.47,2.5,3.56,6.22,7.34,7.0,6.31,8.0,9.75,10.44,10.5,11.56,12.31,11.06,8.44,7.28,7.41,6.44,4.62,3.09,2.5,1.16,-1.97,-5.12,-6.31,-7.34,-9.03,-10.72,-10.19,-8.47,-8.06,-8.56,-8.22,-6.91,-6.84,-7.56,-7.59,-5.97,-4.75,-4.47,-4.16,-2.06,0.31,1.06,0.69,0.84,1.19,-0.34,-2.62,-3.53,-3.16,-2.78,-3.38,-3.53,-1.69,-0.19,-0.41,-0.66,0.41,1.25,0.56,-0.88,-0.75,0.5,0.97,1.12,2.09,4.34,5.81,5.91,5.53,6.91,7.91,7.0,5.31,5.44,6.09,5.97,5.5,6.59,8.62,9.38,8.78,7.78,7.72,6.94,4.5,3.34,3.91,5.34,5.81,5.88,7.44,9.06,8.91,7.84,7.88,9.03,9.75,10.06,11.53,14.56,16.81,17.22,16.22,15.69,14.22,10.41,6.06,3.56,2.66,1.28,-0.22,0.06,1.44,1.97,1.12,0.59,1.16,2.12,1.78,2.12,4.31,7.19,8.44,8.94,10.5,12.06,11.91,9.28,7.12,5.69,3.59,0.56,-1.03,-0.34,0.84,0.91,0.81,2.06,3.22,2.25,0.41,-0.03,0.62,0.41,-0.16,0.47,2.56,4.41,5.22,6.0,8.22,9.75,9.31,7.94,7.59,7.75,6.94,5.88,6.44,8.19,8.94,7.78,6.88,7.19,6.66,4.69,2.94,2.94,2.84,0.97,-1.5,-2.81,-3.66,-5.41,-7.41,-7.53,-5.69,-3.81,-3.16,-1.75,0.66,2.28,1.84,1.06,1.66,2.84,2.94,2.94,4.72,7.12,8.22,7.66,7.53,7.44,5.78,1.78,-1.88,-3.41,-4.31,-5.81,-6.25,-4.12,-1.97,-0.81,-0.75,0.91,2.94,4.28,4.22,5.31,7.53,9.03,8.69,8.41,8.97,8.84,7.03,4.22,3.09,2.62,0.59,-1.88,-3.53,-4.22,-5.75,-8.25,-9.69,-9.84,-10.03,-11.62,-12.84,-12.41,-11.0,-11.0,-11.22,-9.72,-8.38,-8.81,-10.75,-12.62,-13.47,-14.66,-16.66,-16.91,-14.66,-12.19,-11.25,-10.28,-8.16,-6.44,-6.94,-8.5,-8.69,-8.62,-8.81,-10.06,-10.0,-8.5,-7.69,-8.5,-9.0,-8.5,-7.69,-8.94,-9.81,-8.88,-6.69,-5.34,-4.66,-2.91,-0.88,-0.62,-2.78,-4.19,-4.81,-5.88,-7.78,-8.62,-6.94,-5.03,-4.69,-4.38,-4.0,-3.62,-5.41,-8.22,-9.88,-10.0,-10.25,-10.69,-9.44,-6.56,-3.91,-2.97,-2.0,0.22,2.75,3.38,4.06,5.38,7.25,7.06,5.41,4.62,4.28,3.12,0.62,-0.84,-1.41,-1.84,-3.81,-5.38,-5.59,-4.75,-5.66,-6.38,-5.31,-3.22,-1.41,-0.09,2.47,6.53,9.31,10.34,11.19,11.94,11.53,8.94,5.97,4.09,2.97,1.25,-0.22,-0.22,0.38,-0.03,-1.59,-1.91,-1.19,-0.16,-0.53,-0.28,0.72,1.56,0.69,-0.09,0.84,2.44,2.31,1.56,1.84,2.78,3.09,2.22,2.5,3.47,3.66,1.53,-1.03,-2.62,-4.03,-6.97,-9.69,-10.22,-9.69,-9.53,-9.12,-7.09,-3.69,-1.09,0.31,1.53,3.72,5.22,4.84,4.97,6.84,8.94,9.19,8.72,8.81,8.62,7.44,5.19,3.72,3.5,2.34,-0.34,-2.28,-2.44,-2.38,-3.56,-4.19,-2.84,-0.75,0.16,0.66,2.16,4.03,4.44,3.69,4.0,5.66,6.97,7.03,7.25,8.28,9.16,7.56,5.72,5.66,6.69,6.19,5.47,5.97,6.53,5.66,3.69,2.53,3.06,3.62,4.06,5.31,7.97,10.47,10.69,9.97,9.59,9.59,8.62,6.72,6.0,6.81,6.91,6.03,5.66,6.53,6.97,6.09,4.88,5.59,6.66,5.91,5.22,5.47,6.38,6.31,5.31,5.16,6.19,5.94,4.16,2.56,1.81,0.75,-2.12,-4.91,-6.31,-7.22,-9.28,-11.06,-10.69,-8.38,-6.22,-3.91,-0.56,3.78,7.31,8.97,10.28,12.56,14.16,13.94,13.34,14.16,15.25,15.31,14.28,13.69,12.97,10.56,6.97,4.25,3.44,2.66,0.94,-0.34,-0.38,-0.66,-1.97,-3.97,-4.47,-4.09,-4.84,-5.47,-4.53,-1.94,0.19,1.75,3.75,6.34,8.31,8.66,7.88,7.47,6.69,3.75,0.62,-1.03,-1.25,-1.69,-2.16,-1.56,0.19,0.53,-0.94,-2.78,-3.94,-5.25,-7.72,-9.28,-8.59,-7.09,-6.03,-5.09,-2.59,0.5,2.78,4.28,6.31,9.44,11.66,12.06,11.88,12.88,13.34,11.62,9.75,9.22,8.66,7.22,5.06,4.09,3.94,2.56,0.19,-1.62,-1.59,-1.31,-1.25,-0.41,2.72,5.41,6.91,7.53,8.75,10.19,10.5,9.47,9.62,10.66,10.31,8.84,7.34,7.28,7.19,6.12,5.75,7.69,9.41,9.94,9.72,10.59,12.03,12.22,11.25,11.34,12.06,11.97,10.81,9.78,9.78,9.34,7.91,6.22,6.53,7.56,6.72,5.38,4.75,4.53,3.81,2.16,2.12,3.88,5.03,5.16,4.94,5.97,6.12,5.31,4.03,5.06,6.84,7.78,8.22,9.53,11.31,11.44,10.19,9.03,8.91,8.31,6.25,4.88,5.09,5.34,4.5,3.34,3.72,4.44,4.25,3.81,4.44,6.03,6.97,7.19,7.72,9.16,11.12,11.31,11.88,13.03,14.09,13.19,11.25,10.28,9.91,8.88,6.97,5.47,4.94,3.69,1.41,-0.09,0.56,1.72,2.38,3.41,6.09,9.09,10.75,11.25,12.44,13.91,14.31,13.91,14.19,15.56,16.62,15.88,15.34,15.31,15.31,13.69,11.88,11.84,12.06,11.22,9.56,8.62,8.66,8.38,7.62,8.03,9.78,11.34,11.06,10.66,10.91,11.28,10.62,8.91,9.12,9.62,8.97,7.75,7.75,8.03,7.38,4.75,2.5,1.22,0.09,-1.62,-2.28,-1.06,0.84,1.72,2.03,3.72,5.66,6.47,5.81,5.91,6.19,5.72,3.84,2.5,2.56,2.78,1.62,0.34,0.5,1.12,0.59,0.16,1.41,3.53,5.34,6.03,7.91,10.53,12.69,13.09,13.41,14.53,15.0,13.25,10.38,8.03,5.84,2.44,-0.97,-2.12,-1.75,-1.25,-1.88,-1.31,0.16,1.09,0.41,-0.28,0.16,0.69,-0.09,-1.19,-0.66,0.66,0.88,0.28,1.34,3.31,4.38,4.41,5.09,6.72,7.75,6.97,5.94,6.47,7.03,6.25,5.09,5.59,6.81,7.09,6.75,7.69,9.72,10.97,10.47,10.78,12.09,13.41,13.06,12.31,12.84,13.47,12.41,10.75,10.19,10.28,9.28,7.44,6.69,7.75,8.81,8.72,8.59,9.62,10.19,8.38,6.59,6.41,6.75,6.78,6.41,7.44,9.91,11.28,11.59,11.97,13.75,14.88,14.56,14.53,15.66,16.88,16.0,13.91,12.19,10.5,6.81,2.53,-0.06,-1.06,-2.34,-4.22,-5.22,-4.5,-3.75,-4.59,-5.0,-4.16,-2.78,-2.91,-3.03,-1.88,0.0,1.0,1.16,1.81,3.0,3.28,1.84,0.47,0.72,1.88,1.69,2.62,4.97,8.25,9.31,9.31,9.56,10.16,9.81,8.22,7.88,9.12,10.03,9.06,7.94,7.81,7.09,4.53,2.16,1.22,1.06,0.16,-0.59,-0.75,0.44,0.84,0.41,0.88,2.66,4.53,4.91,5.69,8.06,10.09,10.19,9.34,8.72,8.5,6.88,4.72,3.91,4.69,5.59,5.09,5.62,7.25,8.25,7.81,7.19,8.44,10.12,10.12,9.38,9.12,8.88,6.56,3.19,0.75,-0.66,-2.75,-5.78,-7.94,-8.34,-8.78,-9.81,-10.91,-10.0,-8.0,-7.19,-6.03,-3.19,0.78,3.78,5.62,7.66,10.0,11.19,10.06,8.72,8.62,8.09,6.09,3.69,2.91,2.72,1.28,0.16,0.06,1.5,2.03,1.59,2.12,3.94,5.88,6.94,8.47,11.59,14.69,15.72,15.44,16.0,16.62,15.19,12.69,10.59,9.41,7.0,3.0,-0.31,-1.88,-3.78,-6.84,-8.66,-8.31,-6.88,-6.12,-5.19,-3.0,0.19,1.84,2.59,3.91,6.25,6.94,6.06,5.12,5.09,4.75,2.62,0.97,1.5,2.62,2.84,2.84,3.91,5.78,5.88,4.91,4.38,4.88,4.53,3.47,2.72,5.0,7.62,8.25,8.88,10.31,11.94,11.19,9.28,8.88,9.0,8.12,6.12,5.12,5.38,4.59,2.62,0.84,1.22,1.75,0.72,-0.62,-0.31,0.97,1.56,1.72,2.94,4.47,4.5,2.59,1.19,1.12,0.91,-0.56,-1.84,-1.06,-0.09,-0.38,-0.81,0.38,2.59,3.78,4.5,6.44,9.38,10.69,10.25,9.12,9.03,8.38,6.5,5.12,5.44,6.31,5.41,3.41,2.25,1.91,0.38,-1.81,-2.75,-1.53,-0.62,-1.12,-1.53,-0.56,-0.22,-1.47,-2.75,-1.78,-0.12,0.75,0.94,2.34,4.88,5.94,5.66,5.91,7.47,8.66,8.41,8.19,9.03,9.62,8.56,6.81,6.47,6.78,6.5,28.25,26.75,25.44,25.38,26.34,27.84,30.41,33.34,36.53,38.31,38.5,38.03,37.62,36.78,35.66,35.97,36.59,37.28,37.75,37.5,37.28:4.5,4.25,3.25,3.22,3.88,3.09,1.25,0.16,0.94,2.12,2.62,3.44,5.44,7.19,7.28,7.16,8.47,11.19,12.31,12.19,12.38,13.09,13.03,11.22,9.69,10.28,10.69,10.0,10.09,11.97,14.22,14.66,13.84,13.56,13.5,11.94,9.16,7.0,6.62,6.25,5.16,4.5,5.88,7.06,6.53,4.84,4.88,5.22,3.66,1.38,0.94,1.78,2.47,2.5,3.56,6.22,7.34,7.0,6.31,8.0,9.75,10.44,10.5,11.56,12.31,11.06,8.44,7.28,7.41,6.44,4.62,3.09,2.5,1.16,-1.97,-5.12,-6.31,-7.34,-9.03,-10.72,-10.19,-8.47,-8.06,-8.56,-8.22,-6.91,-6.84,-7.56,-7.59,-5.97,-4.75,-4.47,-4.16,-2.06,0.31,1.06,0.69,0.84,1.19,-0.34,-2.62,-3.53,-3.16,-2.78,-3.38,-3.53,-1.69,-0.19,-0.41,-0.66,0.41,1.25,0.56,-0.88,-0.75,0.5,0.97,1.12,2.09,4.34,5.81,5.91,5.53,6.91,7.91,7.0,5.31,5.44,6.09,5.97,5.5,6.59,8.62,9.38,8.78,7.78,7.72,6.94,4.5,3.34,3.91,5.34,5.81,5.88,7.44,9.06,8.91,7.84,7.88,9.03,9.75,10.06,11.53,14.56,16.81,17.22,16.22,15.69,14.22,10.41,6.06,3.56,2.66,1.28,-0.22,0.06,1.44,1.97,1.12,0.59,1.16,2.12,1.78,2.12,4.31,7.19,8.44,8.94,10.5,12.06,11.91,9.28,7.12,5.69,3.59,0.56,-1.03,-0.34,0.84,0.91,0.81,2.06,3.22,2.25,0.41,-0.03,0.62,0.41,-0.16,0.47,2.56,4.41,5.22,6.0,8.22,9.75,9.31,7.94,7.59,7.75,6.94,5.88,6.44,8.19,8.94,7.78,6.88,7.19,6.66,4.69,2.94,2.94,2.84,0.97,-1.5,-2.81,-3.66,-5.41,-7.41,-7.53,-5.69,-3.81,-3.16,-1.75,0.66,2.28,1.84,1.06,1.66,2.84,2.94,2.94,4.72,7.12,8.22,7.66,7.53,7.44,5.78,1.78,-1.88,-3.41,-4.31,-5.81,-6.25,-4.12,-1.97,-0.81,-0.75,0.91,2.94,4.28,4.22,5.31,7.53,9.03,8.69,8.41,8.97,8.84,7.03,4.22,3.09,2.62,0.59,-1.88,-3.53,-4.22,-5.75,-8.25,-9.69,-9.84,-10.03,-11.62,-12.84,-12.41,-11.0,-11.0,-11.22,-9.72,-8.38,-8.81,-10.75,-12.62,-13.47,-14.66,-16.66,-16.91,-14.66,-12.19,-11.25,-10.28,-8.16,-6.44,-6.94,-8.5,-8.69,-8.62,-8.81,-10.06,-10.0,-8.5,-7.69,-8.5,-9.0,-8.5,-7.69,-8.94,-9.81,-8.88,-6.69,-5.34,-4.66,-2.91,-0.88,-0.62,-2.78,-4.19,-4.81,-5.88,-7.78,-8.62,-6.94,-5.03,-4.69,-4.38,-4.0,-3.62,-5.41,-8.22,-9.88,-10.0,-10.25,-10.69,-9.44,-6.56,-3.91,-2.97,-2.0,0.22,2.75,3.38,4.06,5.38,7.25,7.06,5.41,4.62,4.28,3.12,0.62,-0.84,-1.41,-1.84,-3.81,-5.38,-5.59,-4.75,-5.66,-6.38,-5.31,-3.22,-1.41,-0.09,2.47,6.53,9.31,10.34,11.19,11.94,11.53,8.94,5.97,4.09,2.97,1.25,-0.22,-0.22,0.38,-0.03,-1.59,-1.91,-1.19,-0.16,-0.53,-0.28,0.72,1.56,0.69,-0.09,0.84,2.44,2.31,1.56,1.84,2.78,3.09,2.22,2.5,3.47,3.66,1.53,-1.03,-2.62,-4.03,-6.97,-9.69,-10.22,-9.69,-9.53,-9.12,-7.09,-3.69,-1.09,0.31,1.53,3.72,5.22,4.84,4.97,6.84,8.94,9.19,8.72,8.81,8.62,7.44,5.19,3.72,3.5,2.34,-0.34,-2.28,-2.44,-2.38,-3.56,-4.19,-2.84,-0.75,0.16,0.66,2.16,4.03,4.44,3.69,4.0,5.66,6.97,7.03,7.25,8.28,9.16,7.56,5.72,5.66,6.69,6.19,5.47,5.97,6.53,5.66,3.69,2.53,3.06,3.62,4.06,5.31,7.97,10.47,10.69,9.97,9.59,9.59,8.62,6.72,6.0,6.81,6.91,6.03,5.66,6.53,6.97,6.09,4.88,5.59,6.66,5.91,5.22,5.47,6.38,6.31,5.31,5.16,6.19,5.94,4.16,2.56,1.81,0.75,-2.12,-4.91,-6.31,-7.22,-9.28,-11.06,-10.69,-8.38,-6.22,-3.91,-0.56,3.78,7.31,8.97,10.28,12.56,14.16,13.94,13.34,14.16,15.25,15.31,14.28,13.69,12.97,10.56,6.97,4.25,3.44,2.66,0.94,-0.34,-0.38,-0.66,-1.97,-3.97,-4.47,-4.09,-4.84,-5.47,-4.53,-1.94,0.19,1.75,3.75,6.34,8.31,8.66,7.88,7.47,6.69,3.75,0.62,-1.03,-1.25,-1.69,-2.16,-1.56,0.19,0.53,-0.94,-2.78,-3.94,-5.25,-7.72,-9.28,-8.59,-7.09,-6.03,-5.09,-2.59,0.5,2.78,4.28,6.31,9.44,11.66,12.06,11.88,12.88,13.34,11.62,9.75,9.22,8.66,7.22,5.06,4.09,3.94,2.56,0.19,-1.62,-1.59,-1.31,-1.25,-0.41,2.72,5.41,6.91,7.53,8.75,10.19,10.5,9.47,9.62,10.66,10.31,8.84,7.34,7.28,7.19,6.12,5.75,7.69,9.41,9.94,9.72,10.59,12.03,12.22,11.25,11.34,12.06,11.97,10.81,9.78,9.78,9.34,7.91,6.22,6.53,7.56,6.72,5.38,4.75,4.53,3.81,2.16,2.12,3.88,5.03,5.16,4.94,5.97,6.12,5.31,4.03,5.06,6.84,7.78,8.22,9.53,11.31,11.44,10.19,9.03,8.91,8.31,6.25,4.88,5.09,5.34,4.5,3.34,3.72,4.44,4.25,3.81,4.44,6.03,6.97,7.19,7.72,9.16,11.12,11.31,11.88,13.03,14.09,13.19,11.25,10.28,9.91,8.88,6.97,5.47,4.94,3.69,1.41,-0.09,0.56,1.72,2.38,3.41,6.09,9.09,10.75,11.25,12.44,13.91,14.31,13.91,14.19,15.56,16.62,15.88,15.34,15.31,15.31,13.69,11.88,11.84,12.06,11.22,9.56,8.62,8.66,8.38,7.62,8.03,9.78,11.34,11.06,10.66,10.91,11.28,10.62,8.91,9.12,9.62,8.97,7.75,7.75,8.03,7.38,4.75,2.5,1.22,0.09,-1.62,-2.28,-1.06,0.84,1.72,2.03,3.72,5.66,6.47,5.81,5.91,6.19,5.72,3.84,2.5,2.56,2.78,1.62,0.34,0.5,1.12,0.59,0.16,1.41,3.53,5.34,6.03,7.91,10.53,12.69,13.09,13.41,14.53,15.0,13.25,10.38,8.03,5.84,2.44,-0.97,-2.12,-1.75,-1.25,-1.88,-1.31,0.16,1.09,0.41,-0.28,0.16,0.69,-0.09,-1.19,-0.66,0.66,0.88,0.28,1.34,3.31,4.38,4.41,5.09,6.72,7.75,6.97,5.94,6.47,7.03,6.25,5.09,5.59,6.81,7.09,6.75,7.69,9.72,10.97,10.47,10.78,12.09,13.41,13.06,12.31,12.84,13.47,12.41,10.75,10.19,10.28,9.28,7.44,6.69,7.75,8.81,8.72,8.59,9.62,10.19,8.38,6.59,6.41,6.75,6.78,6.41,7.44,9.91,11.28,11.59,11.97,13.75,14.88,14.56,14.53,15.66,16.88,16.0,13.91,12.19,10.5,6.81,2.53,-0.06,-1.06,-2.34,-4.22,-5.22,-4.5,-3.75,-4.59,-5.0,-4.16,-2.78,-2.91,-3.03,-1.88,0.0,1.0,1.16,1.81,3.0,3.28,1.84,0.47,0.72,1.88,1.69,2.62,4.97,8.25,9.31,9.31,9.56,10.16,9.81,8.22,7.88,9.12,10.03,9.06,7.94,7.81,7.09,4.53,2.16,1.22,1.06,0.16,-0.59,-0.75,0.44,0.84,0.41,0.88,2.66,4.53,4.91,5.69,8.06,10.09,10.19,9.34,8.72,8.5,6.88,4.72,3.91,4.69,5.59,5.09,5.62,7.25,8.25,7.81,7.19,8.44,10.12,10.12,9.38,9.12,8.88,6.56,3.19,0.75,-0.66,-2.75,-5.78,-7.94,-8.34,-8.78,-9.81,-10.91,-10.0,-8.0,-7.19,-6.03,-3.19,0.78,3.78,5.62,7.66,10.0,11.19,10.06,8.72,8.62,8.09,6.09,3.69,2.91,2.72,1.28,0.16,0.06,1.5,2.03,1.59,2.12,3.94,5.88,6.94,8.47,11.59,14.69,15.72,15.44,16.0,16.62,15.19,12.69,10.59,9.41,7.0,3.0,-0.31,-1.88,-3.78,-6.84,-8.66,-8.31,-6.88,-6.12,-5.19,-3.0,0.19,1.84,2.59,3.91,6.25,6.94,6.06,5.12,5.09,4.75,2.62,0.97,1.5,2.62,2.84,2.84,3.91,5.78,5.88,4.91,4.38,4.88,4.53,3.47,2.72,5.0,7.62,8.25,8.88,10.31,11.94,11.19,9.28,8.88,9.0,8.12,6.12,5.12,5.38,4.59,2.62,0.84,1.22,1.75,0.72,-0.62,-0.31,0.97,1.56,1.72,2.94,4.47,4.5,2.59,1.19,1.12,0.91,-0.56,-1.84,-1.06,-0.09,-0.38,-0.81,0.38,2.59,3.78,4.5,6.44,9.38,10.69,10.25,9.12,9.03,8.38,6.5,5.12,5.44,6.31,5.41,3.41,2.25,1.91,0.38,-1.81,-2.75,-1.53,-0.62,-1.12,-1.53,-0.56,-0.22,-1.47,-2.75,-1.78,-0.12,0.75,0.94,2.34,4.88,5.94,5.66,5.91,7.47,8.66,8.41,8.19,9.03,9.62,8.56,6.81,6.47,6.78,6.5,28.25,26.75,25.44,25.38,26.34,27.84,30.41,33.34,36.53,38.31,38.5,38.03,37.62,36.78,35.66,35.97,36.59,37.28,37.75,37.5,37.28,37.12,36.75,36.5,37.0,37.94,38.66,39.09:0.16,0.94,2.12,2.62,3.44,5.44,7.19,7.28,7.16,8.47,11.19,12.31,12.19,12.38,13.09,13.03,11.22,9.69,10.28,10.69,10.0,10.09,11.97,14.22,14.66,13.84,13.56,13.5,11.94,9.16,7.0,6.62,6.25,5.16,4.5,5.88,7.06,6.53,4.84,4.88,5.22,3.66,1.38,0.94,1.78,2.47,2.5,3.56,6.22,7.34,7.0,6.31,8.0,9.75,10.44,10.5,11.56,12.31,11.06,8.44,7.28,7.41,6.44,4.62,3.09,2.5,1.16,-1.97,-5.12,-6.31,-7.34,-9.03,-10.72,-10.19,-8.47,-8.06,-8.56,-8.22,-6.91,-6.84,-7.56,-7.59,-5.97,-4.75,-4.47,-4.16,-2.06,0.31,1.06,0.69,0.84,1.19,-0.34,-2.62,-3.53,-3.16,-2.78,-3.38,-3.53,-1.69,-0.19,-0.41,-0.66,0.41,1.25,0.56,-0.88,-0.75,0.5,0.97,1.12,2.09,4.34,5.81,5.91,5.53,6.91,7.91,7.0,5.31,5.44,6.09,5.97,5.5,6.59,8.62,9.38,8.78,7.78,7.72,6.94,4.5,3.34,3.91,5.34,5.81,5.88,7.44,9.06,8.91,7.84,7.88,9.03,9.75,10.06,11.53,14.56,16.81,17.22,16.22,15.69,14.22,10.41,6.06,3.56,2.66,1.28,-0.22,0.06,1.44,1.97,1.12,0.59,1.16,2.12,1.78,2.12,4.31,7.19,8.44,8.94,10.5,12.06,11.91,9.28,7.12,5.69,3.59,0.56,-1.03,-0.34,0.84,0.91,0.81,2.06,3.22,2.25,0.41,-0.03,0.62,0.41,-0.16,0.47,2.56,4.41,5.22,6.0,8.22,9.75,9.31,7.94,7.59,7.75,6.94,5.88,6.44,8.19,8.94,7.78,6.88,7.19,6.66,4.69,2.94,2.94,2.84,0.97,-1.5,-2.81,-3.66,-5.41,-7.41,-7.53,-5.69,-3.81,-3.16,-1.75,0.66,2.28,1.84,1.06,1.66,2.84,2.94,2.94,4.72,7.12,8.22,7.66,7.53,7.44,5.78,1.78,-1.88,-3.41,-4.31,-5.81,-6.25,-4.12,-1.97,-0.81,-0.75,0.91,2.94,4.28,4.22,5.31,7.53,9.03,8.69,8.41,8.97,8.84,7.03,4.22,3.09,2.62,0.59,-1.88,-3.53,-4.22,-5.75,-8.25,-9.69,-9.84,-10.03,-11.62,-12.84,-12.41,-11.0,-11.0,-11.22,-9.72,-8.38,-8.81,-10.75,-12.62,-13.47,-14.66,-16.66,-16.91,-14.66,-12.19,-11.25,-10.28,-8.16,-6.44,-6.94,-8.5,-8.69,-8.62,-8.81,-10.06,-10.0,-8.5,-7.69,-8.5,-9.0,-8.5,-7.69,-8.94,-9.81,-8.88,-6.69,-5.34,-4.66,-2.91,-0.88,-0.62,-2.78,-4.19,-4.81,-5.88,-7.78,-8.62,-6.94,-5.03,-4.69,-4.38,-4.0,-3.62,-5.41,-8.22,-9.88,-10.0,-10.25,-10.69,-9.44,-6.56,-3.91,-2.97,-2.0,0.22,2.75,3.38,4.06,5.38,7.25,7.06,5.41,4.62,4.28,3.12,0.62,-0.84,-1.41,-1.84,-3.81,-5.38,-5.59,-4.75,-5.66,-6.38,-5.31,-3.22,-1.41,-0.09,2.47,6.53,9.31,10.34,11.19,11.94,11.53,8.94,5.97,4.09,2.97,1.25,-0.22,-0.22,0.38,-0.03,-1.59,-1.91,-1.19,-0.16,-0.53,-0.28,0.72,1.56,0.69,-0.09,0.84,2.44,2.31,1.56,1.84,2.78,3.09,2.22,2.5,3.47,3.66,1.53,-1.03,-2.62,-4.03,-6.97,-9.69,-10.22,-9.69,-9.53,-9.12,-7.09,-3.69,-1.09,0.31,1.53,3.72,5.22,4.84,4.97,6.84,8.94,9.19,8.72,8.81,8.62,7.44,5.19,3.72,3.5,2.34,-0.34,-2.28,-2.44,-2.38,-3.56,-4.19,-2.84,-0.75,0.16,0.66,2.16,4.03,4.44,3.69,4.0,5.66,6.97,7.03,7.25,8.28,9.16,7.56,5.72,5.66,6.69,6.19,5.47,5.97,6.53,5.66,3.69,2.53,3.06,3.62,4.06,5.31,7.97,10.47,10.69,9.97,9.59,9.59,8.62,6.72,6.0,6.81,6.91,6.03,5.66,6.53,6.97,6.09,4.88,5.59,6.66,5.91,5.22,5.47,6.38,6.31,5.31,5.16,6.19,5.94,4.16,2.56,1.81,0.75,-2.12,-4.91,-6.31,-7.22,-9.28,-11.06,-10.69,-8.38,-6.22,-3.91,-0.56,3.78,7.31,8.97,10.28,12.56,14.16,13.94,13.34,14.16,15.25,15.31,14.28,13.69,12.97,10.56,6.97,4.25,3.44,2.66,0.94,-0.34,-0.38,-0.66,-1.97,-3.97,-4.47,-4.09,-4.84,-5.47,-4.53,-1.94,0.19,1.75,3.75,6.34,8.31,8.66,7.88,7.47,6.69,3.75,0.62,-1.03,-1.25,-1.69,-2.16,-1.56,0.19,0.53,-0.94,-2.78,-3.94,-5.25,-7.72,-9.28,-8.59,-7.09,-6.03,-5.09,-2.59,0.5,2.78,4.28,6.31,9.44,11.66,12.06,11.88,12.88,13.34,11.62,9.75,9.22,8.66,7.22,5.06,4.09,3.94,2.56,0.19,-1.62,-1.59,-1.31,-1.25,-0.41,2.72,5.41,6.91,7.53,8.75,10.19,10.5,9.47,9.62,10.66,10.31,8.84,7.34,7.28,7.19,6.12,5.75,7.69,9.41,9.94,9.72,10.59,12.03,12.22,11.25,11.34,12.06,11.97,10.81,9.78,9.78,9.34,7.91,6.22,6.53,7.56,6.72,5.38,4.75,4.53,3.81,2.16,2.12,3.88,5.03,5.16,4.94,5.97,6.12,5.31,4.03,5.06,6.84,7.78,8.22,9.53,11.31,11.44,10.19,9.03,8.91,8.31,6.25,4.88,5.09,5.34,4.5,3.34,3.72,4.44,4.25,3.81,4.44,6.03,6.97,7.19,7.72,9.16,11.12,11.31,11.88,13.03,14.09,13.19,11.25,10.28,9.91,8.88,6.97,5.47,4.94,3.69,1.41,-0.09,0.56,1.72,2.38,3.41,6.09,9.09,10.75,11.25,12.44,13.91,14.31,13.91,14.19,15.56,16.62,15.88,15.34,15.31,15.31,13.69,11.88,11.84,12.06,11.22,9.56,8.62,8.66,8.38,7.62,8.03,9.78,11.34,11.06,10.66,10.91,11.28,10.62,8.91,9.12,9.62,8.97,7.75,7.75,8.03,7.38,4.75,2.5,1.22,0.09,-1.62,-2.28,-1.06,0.84,1.72,2.03,3.72,5.66,6.47,5.81,5.91,6.19,5.72,3.84,2.5,2.56,2.78,1.62,0.34,0.5,1.12,0.59,0.16,1.41,3.53,5.34,6.03,7.91,10.53,12.69,13.09,13.41,14.53,15.0,13.25,10.38,8.03,5.84,2.44,-0.97,-2.12,-1.75,-1.25,-1.88,-1.31,0.16,1.09,0.41,-0.28,0.16,0.69,-0.09,-1.19,-0.66,0.66,0.88,0.28,1.34,3.31,4.38,4.41,5.09,6.72,7.75,6.97,5.94,6.47,7.03,6.25,5.09,5.59,6.81,7.09,6.75,7.69,9.72,10.97,10.47,10.78,12.09,13.41,13.06,12.31,12.84,13.47,12.41,10.75,10.19,10.28,9.28,7.44,6.69,7.75,8.81,8.72,8.59,9.62,10.19,8.38,6.59,6.41,6.75,6.78,6.41,7.44,9.91,11.28,11.59,11.97,13.75,14.88,14.56,14.53,15.66,16.88,16.0,13.91,12.19,10.5,6.81,2.53,-0.06,-1.06,-2.34,-4.22,-5.22,-4.5,-3.75,-4.59,-5.0,-4.16,-2.78,-2.91,-3.03,-1.88,0.0,1.0,1.16,1.81,3.0,3.28,1.84,0.47,0.72,1.88,1.69,2.62,4.97,8.25,9.31,9.31,9.56,10.16,9.81,8.22,7.88,9.12,10.03,9.06,7.94,7.81,7.09,4.53,2.16,1.22,1.06,0.16,-0.59,-0.75,0.44,0.84,0.41,0.88,2.66,4.53,4.91,5.69,8.06,10.09,10.19,9.34,8.72,8.5,6.88,4.72,3.91,4.69,5.59,5.09,5.62,7.25,8.25,7.81,7.19,8.44,10.12,10.12,9.38,9.12,8.88,6.56,3.19,0.75,-0.66,-2.75,-5.78,-7.94,-8.34,-8.78,-9.81,-10.91,-10.0,-8.0,-7.19,-6.03,-3.19,0.78,3.78,5.62,7.66,10.0,11.19,10.06,8.72,8.62,8.09,6.09,3.69,2.91,2.72,1.28,0.16,0.06,1.5,2.03,1.59,2.12,3.94,5.88,6.94,8.47,11.59,14.69,15.72,15.44,16.0,16.62,15.19,12.69,10.59,9.41,7.0,3.0,-0.31,-1.88,-3.78,-6.84,-8.66,-8.31,-6.88,-6.12,-5.19,-3.0,0.19,1.84,2.59,3.91,6.25,6.94,6.06,5.12,5.09,4.75,2.62,0.97,1.5,2.62,2.84,2.84,3.91,5.78,5.88,4.91,4.38,4.88,4.53,3.47,2.72,5.0,7.62,8.25,8.88,10.31,11.94,11.19,9.28,8.88,9.0,8.12,6.12,5.12,5.38,4.59,2.62,0.84,1.22,1.75,0.72,-0.62,-0.31,0.97,1.56,1.72,2.94,4.47,4.5,2.59,1.19,1.12,0.91,-0.56,-1.84,-1.06,-0.09,-0.38,-0.81,0.38,2.59,3.78,4.5,6.44,9.38,10.69,10.25,9.12,9.03,8.38,6.5,5.12,5.44,6.31,5.41,3.41,2.25,1.91,0.38,-1.81,-2.75,-1.53,-0.62,-1.12,-1.53,-0.56,-0.22,-1.47,-2.75,-1.78,-0.12,0.75,0.94,2.34,4.88,5.94,5.66,5.91,7.47,8.66,8.41,8.19,9.03,9.62,8.56,6.81,6.47,6.78,6.5,28.25,26.75,25.44,25.38,26.34,27.84,30.41,33.34,36.53,38.31,38.5,38.03,37.62,36.78,35.66,35.97,36.59,37.28,37.75,37.5,37.28,37.12,36.75,36.5,37.0,37.94,38.66,39.09,39.62,40.5,41.66,41.72,41.94,42.25,42.72:7.28,7.16,8.47,11.19,12.31,12.19,12.38,13.09,13.03,11.22,9.69,10.28,10.69,10.0,10.09,11.97,14.22,14.66,13.84,13.56,13.5,11.94,9.16,7.0,6.62,6.25,5.16,4.5,5.88,7.06,6.53,4.84,4.88,5.22,3.66,1.38,0.94,1.78,2.47,2.5,3.56,6.22,7.34,7.0,6.31,8.0,9.75,10.44,10.5,11.56,12.31,11.06,8.44,7.28,7.41,6.44,4.62,3.09,2.5,1.16,-1.97,-5.12,-6.31,-7.34,-9.03,-10.72,-10.19,-8.47,-8.06,-8.56,-8.22,-6.91,-6.84,-7.56,-7.59,-5.97,-4.75,-4.47,-4.16,-2.06,0.31,1.06,0.69,0.84,1.19,-0.34,-2.62,-3.53,-3.16,-2.78,-3.38,-3.53,-1.69,-0.19,-0.41,-0.66,0.41,1.25,0.56,-0.88,-0.75,0.5,0.97,1.12,2.09,4.34,5.81,5.91,5.53,6.91,7.91,7.0,5.31,5.44,6.09,5.97,5.5,6.59,8.62,9.38,8.78,7.78,7.72,6.94,4.5,3.34,3.91,5.34,5.81,5.88,7.44,9.06,8.91,7.84,7.88,9.03,9.75,10.06,11.53,14.56,16.81,17.22,16.22,15.69,14.22,10.41,6.06,3.56,2.66,1.28,-0.22,0.06,1.44,1.97,1.12,0.59,1.16,2.12,1.78,2.12,4.31,7.19,8.44,8.94,10.5,12.06,11.91,9.28,7.12,5.69,3.59,0.56,-1.03,-0.34,0.84,0.91,0.81,2.06,3.22,2.25,0.41,-0.03,0.62,0.41,-0.16,0.47,2.56,4.41,5.22,6.0,8.22,9.75,9.31,7.94,7.59,7.75,6.94,5.88,6.44,8.19,8.94,7.78,6.88,7.19,6.66,4.69,2.94,2.94,2.84,0.97,-1.5,-2.81,-3.66,-5.41,-7.41,-7.53,-5.69,-3.81,-3.16,-1.75,0.66,2.28,1.84,1.06,1.66,2.84,2.94,2.94,4.72,7.12,8.22,7.66,7.53,7.44,5.78,1.78,-1.88,-3.41,-4.31,-5.81,-6.25,-4.12,-1.97,-0.81,-0.75,0.91,2.94,4.28,4.22,5.31,7.53,9.03,8.69,8.41,8.97,8.84,7.03,4.22,3.09,2.62,0.59,-1.88,-3.53,-4.22,-5.75,-8.25,-9.69,-9.84,-10.03,-11.62,-12.84,-12.41,-11.0,-11.0,-11.22,-9.72,-8.38,-8.81,-10.75,-12.62,-13.47,-14.66,-16.66,-16.91,-14.66,-12.19,-11.25,-10.28,-8.16,-6.44,-6.94,-8.5,-8.69,-8.62,-8.81,-10.06,-10.0,-8.5,-7.69,-8.5,-9.0,-8.5,-7.69,-8.94,-9.81,-8.88,-6.69,-5.34,-4.66,-2.91,-0.88,-0.62,-2.78,-4.19,-4.81,-5.88,-7.78,-8.62,-6.94,-5.03,-4.69,-4.38,-4.0,-3.62,-5.41,-8.22,-9.88,-10.0,-10.25,-10.69,-9.44,-6.56,-3.91,-2.97,-2.0,0.22,2.75,3.38,4.06,5.38,7.25,7.06,5.41,4.62,4.28,3.12,0.62,-0.84,-1.41,-1.84,-3.81,-5.38,-5.59,-4.75,-5.66,-6.38,-5.31,-3.22,-1.41,-0.09,2.47,6.53,9.31,10.34,11.19,11.94,11.53,8.94,5.97,4.09,2.97,1.25,-0.22,-0.22,0.38,-0.03,-1.59,-1.91,-1.19,-0.16,-0.53,-0.28,0.72,1.56,0.69,-0.09,0.84,2.44,2.31,1.56,1.84,2.78,3.09,2.22,2.5,3.47,3.66,1.53,-1.03,-2.62,-4.03,-6.97,-9.69,-10.22,-9.69,-9.53,-9.12,-7.09,-3.69,-1.09,0.31,1.53,3.72,5.22,4.84,4.97,6.84,8.94,9.19,8.72,8.81,8.62,7.44,5.19,3.72,3.5,2.34,-0.34,-2.28,-2.44,-2.38,-3.56,-4.19,-2.84,-0.75,0.16,0.66,2.16,4.03,4.44,3.69,4.0,5.66,6.97,7.03,7.25,8.28,9.16,7.56,5.72,5.66,6.69,6.19,5.47,5.97,6.53,5.66,3.69,2.53,3.06,3.62,4.06,5.31,7.97,10.47,10.69,9.97,9.59,9.59,8.62,6.72,6.0,6.81,6.91,6.03,5.66,6.53,6.97,6.09,4.88,5.59,6.66,5.91,5.22,5.47,6.38,6.31,5.31,5.16,6.19,5.94,4.16,2.56,1.81,0.75,-2.12,-4.91,-6.31,-7.22,-9.28,-11.06,-10.69,-8.38,-6.22,-3.91,-0.56,3.78,7.31,8.97,10.28,12.56,14.16,13.94,13.34,14.16,15.25,15.31,14.28,13.69,12.97,10.56,6.97,4.25,3.44,2.66,0.94,-0.34,-0.38,-0.66,-1.97,-3.97,-4.47,-4.09,-4.84,-5.47,-4.53,-1.94,0.19,1.75,3.75,6.34,8.31,8.66,7.88,7.47,6.69,3.75,0.62,-1.03,-1.25,-1.69,-2.16,-1.56,0.19,0.53,-0.94,-2.78,-3.94,-5.25,-7.72,-9.28,-8.59,-7.09,-6.03,-5.09,-2.59,0.5,2.78,4.28,6.31,9.44,11.66,12.06,11.88,12.88,13.34,11.62,9.75,9.22,8.66,7.22,5.06,4.09,3.94,2.56,0.19,-1.62,-1.59,-1.31,-1.25,-0.41,2.72,5.41,6.91,7.53,8.75,10.19,10.5,9.47,9.62,10.66,10.31,8.84,7.34,7.28,7.19,6.12,5.75,7.69,9.41,9.94,9.72,10.59,12.03,12.22,11.25,11.34,12.06,11.97,10.81,9.78,9.78,9.34,7.91,6.22,6.53,7.56,6.72,5.38,4.75,4.53,3.81,2.16,2.12,3.88,5.03,5.16,4.94,5.97,6.12,5.31,4.03,5.06,6.84,7.78,8.22,9.53,11.31,11.44,10.19,9.03,8.91,8.31,6.25,4.88,5.09,5.34,4.5,3.34,3.72,4.44,4.25,3.81,4.44,6.03,6.97,7.19,7.72,9.16,11.12,11.31,11.88,13.03,14.09,13.19,11.25,10.28,9.91,8.88,6.97,5.47,4.94,3.69,1.41,-0.09,0.56,1.72,2.38,3.41,6.09,9.09,10.75,11.25,12.44,13.91,14.31,13.91,14.19,15.56,16.62,15.88,15.34,15.31,15.31,13.69,11.88,11.84,12.06,11.22,9.56,8.62,8.66,8.38,7.62,8.03,9.78,11.34,11.06,10.66,10.91,11.28,10.62,8.91,9.12,9.62,8.97,7.75,7.75,8.03,7.38,4.75,2.5,1.22,0.09,-1.62,-2.28,-1.06,0.84,1.72,2.03,3.72,5.66,6.47,5.81,5.91,6.19,5.72,3.84,2.5,2.56,2.78,1.62,0.34,0.5,1.12,0.59,0.16,1.41,3.53,5.34,6.03,7.91,10.53,12.69,13.09,13.41,14.53,15.0,13.25,10.38,8.03,5.84,2.44,-0.97,-2.12,-1.75,-1.25,-1.88,-1.31,0.16,1.09,0.41,-0.28,0.16,0.69,-0.09,-1.19,-0.66,0.66,0.88,0.28,1.34,3.31,4.38,4.41,5.09,6.72,7.75,6.97,5.94,6.47,7.03,6.25,5.09,5.59,6.81,7.09,6.75,7.69,9.72,10.97,10.47,10.78,12.09,13.41,13.06,12.31,12.84,13.47,12.41,10.75,10.19,10.28,9.28,7.44,6.69,7.75,8.81,8.72,8.59,9.62,10.19,8.38,6.59,6.41,6.75,6.78,6.41,7.44,9.91,11.28,11.59,11.97,13.75,14.88,14.56,14.53,15.66,16.88,16.0,13.91,12.19,10.5,6.81,2.53,-0.06,-1.06,-2.34,-4.22,-5.22,-4.5,-3.75,-4.59,-5.0,-4.16,-2.78,-2.91,-3.03,-1.88,0.0,1.0,1.16,1.81,3.0,3.28,1.84,0.47,0.72,1.88,1.69,2.62,4.97,8.25,9.31,9.31,9.56,10.16,9.81,8.22,7.88,9.12,10.03,9.06,7.94,7.81,7.09,4.53,2.16,1.22,1.06,0.16,-0.59,-0.75,0.44,0.84,0.41,0.88,2.66,4.53,4.91,5.69,8.06,10.09,10.19,9.34,8.72,8.5,6.88,4.72,3.91,4.69,5.59,5.09,5.62,7.25,8.25,7.81,7.19,8.44,10.12,10.12,9.38,9.12,8.88,6.56,3.19,0.75,-0.66,-2.75,-5.78,-7.94,-8.34,-8.78,-9.81,-10.91,-10.0,-8.0,-7.19,-6.03,-3.19,0.78,3.78,5.62,7.66,10.0,11.19,10.06,8.72,8.62,8.09,6.09,3.69,2.91,2.72,1.28,0.16,0.06,1.5,2.03,1.59,2.12,3.94,5.88,6.94,8.47,11.59,14.69,15.72,15.44,16.0,16.62,15.19,12.69,10.59,9.41,7.0,3.0,-0.31,-1.88,-3.78,-6.84,-8.66,-8.31,-6.88,-6.12,-5.19,-3.0,0.19,1.84,2.59,3.91,6.25,6.94,6.06,5.12,5.09,4.75,2.62,0.97,1.5,2.62,2.84,2.84,3.91,5.78,5.88,4.91,4.38,4.88,4.53,3.47,2.72,5.0,7.62,8.25,8.88,10.31,11.94,11.19,9.28,8.88,9.0,8.12,6.12,5.12,5.38,4.59,2.62,0.84,1.22,1.75,0.72,-0.62,-0.31,0.97,1.56,1.72,2.94,4.47,4.5,2.59,1.19,1.12,0.91,-0.56,-1.84,-1.06,-0.09,-0.38,-0.81,0.38,2.59,3.78,4.5,6.44,9.38,10.69,10.25,9.12,9.03,8.38,6.5,5.12,5.44,6.31,5.41,3.41,2.25,1.91,0.38,-1.81,-2.75,-1.53,-0.62,-1.12,-1.53,-0.56,-0.22,-1.47,-2.75,-1.78,-0.12,0.75,0.94,2.34,4.88,5.94,5.66,5.91,7.47,8.66,8.41,8.19,9.03,9.62,8.56,6.81,6.47,6.78,6.5,28.25,26.75,25.44,25.38,26.34,27.84,30.41,33.34,36.53,38.31,38.5,38.03,37.62,36.78,35.66,35.97,36.59,37.28,37.75,37.5,37.28,37.12,36.75,36.5,37.0,37.94,38.66,39.09,39.62,40.5,41.66,41.72,41.94,42.25,42.72,43.03,43.47,44.88,46.56,47.72,48.03,48.22:negativity
30.44,30.5,31.53,34.16,34.97,32.94,30.84,31.44,32.44,31.66,31.03,33.19,35.31,34.5,31.97,30.91,31.0,30.0,27.69,27.5,30.19,32.38,32.44,32.75,35.22,37.12,36.16,34.03,34.03,34.19,31.78,28.03,25.97,25.47,24.06,21.72,20.78,23.06,24.81,24.91,24.88,27.5,30.31,30.47,29.41,29.53,30.47,29.53,27.06,26.31,27.81,28.59,27.47,27.16,29.16,30.75,29.88,28.34,29.44,31.06,30.62,29.56,30.16,32.0,32.44,31.0,30.53,32.31,33.06,31.44,30.31,31.53,32.78,31.88,30.41,31.72,34.34,35.09,34.47,35.16,36.69,35.88,32.97,31.97,33.44,35.09,34.84,34.25,35.78,36.91,35.56,33.0,32.75,34.0,33.72,32.22,32.19,34.09,34.62,32.88,31.66,32.44,32.47,29.5,26.03,24.94,25.31,24.84,24.16,26.5,30.28,31.5,30.03,29.12,29.56,28.91,25.97,24.0,24.19,24.19,21.78,18.97,18.66,19.41,19.0,17.47,18.25,20.5,21.91,21.69,22.66,26.47,29.53,29.81,29.41,30.97,31.84,30.22,27.62,27.0,27.47,26.88,25.34,26.03,28.75,31.0,30.44,30.53,32.41,33.34,31.59,29.56,29.44,29.69,27.69,24.75,23.97,24.78,24.56,22.97,22.88,24.44,25.31,23.06,21.16,21.28,21.19,18.81,15.62,14.88,14.66,12.88,10.03,9.5,10.75,11.75,11.25,12.25,15.22,17.62,17.59,17.75,19.69,21.84,21.53,20.0,19.97,20.84,19.94,18.22,18.19,20.41,22.25,22.03,21.91,23.72,25.22,23.5,21.25,21.19,21.75,20.69,19.0,20.22,23.28,24.81,24.28,24.78,26.78,27.47,25.88,24.56,25.44,26.12,24.38,22.09,22.22,23.03,21.53,19.41,19.5,21.53,22.91,22.62,23.62,26.09,27.06,25.31,23.88,24.25,25.16,24.09,22.81,23.12,24.41,23.47,21.19,20.47,22.03,23.88,23.94,25.5,29.81,33.22,33.81,34.16,35.59,37.69,37.31,36.5,37.69,39.91,40.0,37.88,36.03,35.56,34.31,31.22,29.28,30.44,32.19,32.16,32.28,34.34,36.31,35.66,33.56,32.75,33.69,33.56,32.19,32.03,33.69,34.56,32.38,29.69,29.03,28.12,25.41,22.38,22.44,24.44,24.72,24.25,25.62,28.34,29.91,29.69,30.09,32.78,35.06,34.84,33.72,34.5,35.62,34.22,32.06,31.34,32.06,30.84,28.53,27.72,29.59,31.0,29.84,29.16,29.84,30.34,28.5,26.22,26.16,27.25,26.09,24.28,24.12,25.25,24.97,23.62,23.12,25.19,27.38,27.31,27.16,29.31,31.09,30.66,29.66,30.5,32.16,32.44,31.38,31.59,33.44,34.44,33.5,32.56,33.16,32.56,29.72,26.62,25.75,25.59,23.53,20.88,20.03,20.56,19.81,18.59,18.56,21.19,23.0,22.44,22.0,23.94,25.69,25.19,24.59,26.47,28.62,28.66,27.69,27.91,29.69,30.22,29.0,28.53,29.59,28.97,25.81,22.44,21.25,21.16,19.84,19.03,21.72,25.44,28.03,29.5,31.91,35.25,37.0,36.25,35.53,36.56,36.62,34.41,32.34,32.91,33.59,32.53,30.28,29.47,29.59,28.12,25.38,24.06,24.97,24.81,22.53,20.22,19.59,18.59,15.09,11.28,10.16,10.41,9.5,8.06,8.25,10.09,11.09,10.97,12.47,15.91,19.28,20.62,21.62,25.47,30.0,32.56,34.47,38.44,42.19,43.44,42.53,41.47,41.03,38.69,34.09,29.41,27.66,26.5,23.91,21.53,21.66,21.88,20.16,17.72,17.66,19.56,20.81,21.44,23.38,27.84,31.28,32.22,32.56,34.41,34.66,32.16,28.88,27.22,26.56,24.19,20.5,19.44,20.22,19.53,17.59,16.22,16.91,16.81,15.06,13.62,15.41,17.69,18.28,18.09,20.06,22.34,22.47,21.22,21.44,23.56,25.44,26.09,27.97,31.81,34.44,33.94,32.5,32.97,34.06,32.75,30.41,30.31,30.56,30.12,28.5,29.09,31.78,34.03,34.34,34.56,36.88,38.41,36.66,33.44,31.81,30.41,27.25,23.78,22.88,23.84,23.88,22.41,21.66,23.12,23.94,23.09,22.78,25.31,28.38,29.12,29.09,30.41,31.75,30.5,27.22,25.66,25.66,25.34,23.78,23.91,26.31,28.22,27.09,25.25,24.69,23.97,21.38,18.31,17.88,19.62,20.81,21.22,22.97,26.28,28.59,28.09,27.38,28.94,30.19,28.59,26.44,26.12,26.03,24.12,22.38,23.59,27.47,30.59,32.19,34.09,36.22,35.91,31.44,26.75,24.0,22.19,19.31,17.38,18.56,20.97,21.44,20.72,21.56,23.97,25.97,26.19,27.38,30.0,31.59,29.25,25.53,22.91,20.59,16.38,11.94,10.72,11.66,11.88,11.38,12.72,15.91,18.41,18.75,19.16,21.78,23.59,23.16,21.25,21.0,20.88,18.22,14.88,14.16,15.56,16.06,15.47,16.38,19.22,21.12,20.47,20.47,22.34,24.56,24.59,24.62,26.5,29.09,29.38,27.62,26.78,26.25,23.78,18.69,15.03,14.22,13.97,11.72,10.12,11.03,12.62,12.44,12.06,13.72,17.0,18.16,17.78,18.69,21.31,22.97,22.06,22.16,24.53,26.72,26.34,26.16,28.28,30.75,30.12,28.28,27.16,26.25,23.28,19.0,16.38,16.81,16.94,15.19,14.84,16.75,18.91,18.84,19.06,21.47,24.72,25.16,24.16,24.06,25.0,24.25,22.0,21.38,23.0,23.97,22.19,19.94,19.38,19.06,16.88,14.53,15.19,17.41,18.59,18.09,19.19,22.03,23.56,22.75,22.75,25.59,28.0,28.16,28.47,30.62,32.31,31.06,27.81,25.69,24.5,21.5,17.06,13.91,13.12,11.47,8.12,6.12,7.41,9.28,9.78,10.88,14.59,19.06,21.47,22.62,24.34,27.09,27.53,25.09,23.28,23.62,23.16,20.53,18.69,18.94,19.75,17.59,15.38,15.25,16.94,16.56,15.56,16.47,19.47,21.16,20.75,21.0,23.53,25.28,25.0,24.81,28.0,31.53,32.22,31.97,32.59,33.75,32.41,28.97,26.62,25.66,23.66,19.91,17.03,17.66,18.66,18.56,18.59,21.03,24.53,25.66,25.72,27.31,30.12,30.88,29.31,28.25,28.84,28.28,25.72,23.97,25.28,27.28,27.44,27.66,30.22,33.25,34.06,32.75,32.19,32.31,30.41,26.88,24.44,24.81,25.53,24.22,23.0,24.5,26.38,25.84,24.75,26.09,28.16,28.28,27.66,28.22,30.69,31.91,31.44,31.06,33.06,34.31,33.31,31.88,32.62,33.41,31.81,29.19,27.97,28.69,27.78,25.84,25.56,28.03,29.53,28.62,28.44,30.47,32.06,31.09,29.62,30.16,31.5,30.5,27.84,27.12,27.75,27.12,25.25,24.72,27.0,29.09,28.5,28.25,30.19,31.78,30.97,29.62,30.75,32.5,32.34,30.94,30.66,32.03,32.28,31.34,31.56,34.34,37.22,37.72,37.31,39.06,40.41,38.75,35.5,34.31,34.25,32.84,30.34,29.41,30.69,30.78,28.72,27.12,28.41,29.53,28.44,27.41,27.97,29.56,29.12,27.59,27.88,29.44,29.16,27.28,26.41,27.88,28.88,27.75,27.28,29.41,31.03,30.16,28.53,29.31,30.81,30.34,28.75,28.41,29.44,28.84,26.38,24.66,25.91,26.53,24.78,23.03,24.22,25.47,24.94,23.09,23.53,24.72,24.0,22.0,21.78,23.38,24.03,22.75,22.5,24.12,25.91,25.91,25.5,27.69,29.91,29.53,28.38,28.97,30.62,31.0,29.91,30.44,32.44,34.12,33.16,32.47,33.38,34.0,32.0,29.38,29.31,30.0,29.03,26.75,26.59,27.66,27.91,26.34,26.44,28.81,30.75,30.81,31.09,33.75,36.0,35.28,33.19,32.53,32.31,30.62,27.78,27.22,28.56,28.75,27.0,26.16,27.44,29.22,28.81,28.94,31.56,34.38,34.12,32.75,33.06,34.06,33.31,31.53,31.34,33.03,34.28,33.28,33.03,34.47,35.5,33.56,31.25,30.75,31.16,29.84,27.66,27.78,29.34,29.75,28.12,27.72,28.97,29.56,27.62,26.16,27.22,28.66,27.91,26.72,27.5,28.81,27.81,25.56,25.16,26.25,26.28,24.66,24.5,26.75,28.56,28.06,27.28,28.59,30.22,29.69,28.66,29.78,32.06,32.19,30.91,30.88,32.62,33.59,32.38,32.19,33.66,34.59,32.47,29.72,28.72,28.38,26.25,23.66,23.31,24.62,24.88,23.62,24.75,28.25,31.78,32.0,32.66,34.44,35.09,32.75,30.06,29.53,30.19,29.53,27.97,28.44,30.59,31.19,30.06,29.94,31.81,33.12,32.38,31.72,33.25,34.72,33.81,32.09,32.0,33.28,33.34,32.34,32.75,34.91,35.97,34.97,34.53,36.41,38.22,37.44,36.47,37.38,38.44,37.19,34.81,34.16,34.44,32.88,29.66,27.34,26.75,25.97,23.47,22.19,24.12,26.47,26.78,26.94,28.66,31.12,31.09,29.25,29.03,30.47,31.06,29.88,29.97,32.25,33.5,31.94,30.56,31.38,32.88,32.03,30.72,31.16,32.34,31.09,29.0,28.09,28.75,28.31,26.06,24.84,25.69,26.47,25.56,25.06,26.47,28.34,27.59,26.06,25.47,26.03,24.59,22.06,21.03,22.0,22.59,20.91,20.06,21.56,22.75,22.09,21.25,22.19,24.16,24.34,23.72,24.47,26.91,27.72,26.34,25.41,26.34,26.53,24.84,24.31,25.94,28.56,28.53,27.41,27.41,28.19,27.09,25.0,24.31:31.44,32.44,31.66,31.03,33.19,35.31,34.5,31.97,30.91,31.0,30.0,27.69,27.5,30.19,32.38,32.44,32.75,35.22,37.12,36.16,34.03,34.03,34.19,31.78,28.03,25.97,25.47,24.06,21.72,20.78,23.06,24.81,24.91,24.88,27.5,30.31,30.47,29.41,29.53,30.47,29.53,27.06,26.31,27.81,28.59,27.47,27.16,29.16,30.75,29.88,28.34,29.44,31.06,30.62,29.56,30.16,32.0,32.44,31.0,30.53,32.31,33.06,31.44,30.31,31.53,32.78,31.88,30.41,31.72,34.34,35.09,34.47,35.16,36.69,35.88,32.97,31.97,33.44,35.09,34.84,34.25,35.78,36.91,35.56,33.0,32.75,34.0,33.72,32.22,32.19,34.09,34.62,32.88,31.66,32.44,32.47,29.5,26.03,24.94,25.31,24.84,24.16,26.5,30.28,31.5,30.03,29.12,29.56,28.91,25.97,24.0,24.19,24.19,21.78,18.97,18.66,19.41,19.0,17.47,18.25,20.5,21.91,21.69,22.66,26.47,29.53,29.81,29.41,30.97,31.84,30.22,27.62,27.0,27.47,26.88,25.34,26.03,28.75,31.0,30.44,30.53,32.41,33.34,31.59,29.56,29.44,29.69,27.69,24.75,23.97,24.78,24.56,22.97,22.88,24.44,25.31,23.06,21.16,21.28,21.19,18.81,15.62,14.88,14.66,12.88,10.03,9.5,10.75,11.75,11.25,12.25,15.22,17.62,17.59,17.75,19.69,21.84,21.53,20.0,19.97,20.84,19.94,18.22,18.19,20.41,22.25,22.03,21.91,23.72,25.22,23.5,21.25,21.19,21.75,20.69,19.0,20.22,23.28,24.81,24.28,24.78,26.78,27.47,25.88,24.56,25.44,26.12,24.38,22.09,22.22,23.03,21.53,19.41,19.5,21.53,22.91,22.62,23.62,26.09,27.06,25.31,23.88,24.25,25.16,24.09,22.81,23.12,24.41,23.47,21.19,20.47,22.03,23.88,23.94,25.5,29.81,33.22,33.81,34.16,35.59,37.69,37.31,36.5,37.69,39.91,40.0,37.88,36.03,35.56,34.31,31.22,29.28,30.44,32.19,32.16,32.28,34.34,36.31,35.66,33.56,32.75,33.69,33.56,32.19,32.03,33.69,34.56,32.38,29.69,29.03,28.12,25.41,22.38,22.44,24.44,24.72,24.25,25.62,28.34,29.91,29.69,30.09,32.78,35.06,34.84,33.72,34.5,35.62,34.22,32.06,31.34,32.06,30.84,28.53,27.72,29.59,31.0,29.84,29.16,29.84,30.34,28.5,26.22,26.16,27.25,26.09,24.28,24.12,25.25,24.97,23.62,23.12,25.19,27.38,27.31,27.16,29.31,31.09,30.66,29.66,30.5,32.16,32.44,31.38,31.59,33.44,34.44,33.5,32.56,33.16,32.56,29.72,26.62,25.75,25.59,23.53,20.88,20.03,20.56,19.81,18.59,18.56,21.19,23.0,22.44,22.0,23.94,25.69,25.19,24.59,26.47,28.62,28.66,27.69,27.91,29.69,30.22,29.0,28.53,29.59,28.97,25.81,22.44,21.25,21.16,19.84,19.03,21.72,25.44,28.03,29.5,31.91,35.25,37.0,36.25,35.53,36.56,36.62,34.41,32.34,32.91,33.59,32.53,30.28,29.47,29.59,28.12,25.38,24.06,24.97,24.81,22.53,20.22,19.59,18.59,15.09,11.28,10.16,10.41,9.5,8.06,8.25,10.09,11.09,10.97,12.47,15.91,19.28,20.62,21.62,25.47,30.0,32.56,34.47,38.44,42.19,43.44,42.53,41.47,41.03,38.69,34.09,29.41,27.66,26.5,23.91,21.53,21.66,21.88,20.16,17.72,17.66,19.56,20.81,21.44,23.38,27.84,31.28,32.22,32.56,34.41,34.66,32.16,28.88,27.22,26.56,24.19,20.5,19.44,20.22,19.53,17.59,16.22,16.91,16.81,15.06,13.62,15.41,17.69,18.28,18.09,20.06,22.34,22.47,21.22,21.44,23.56,25.44,26.09,27.97,31.81,34.44,33.94,32.5,32.97,34.06,32.75,30.41,30.31,30.56,30.12,28.5,29.09,31.78,34.03,34.34,34.56,36.88,38.41,36.66,33.44,31.81,30.41,27.25,23.78,22.88,23.84,23.88,22.41,21.66,23.12,23.94,23.09,22.78,25.31,28.38,29.12,29.09,30.41,31.75,30.5,27.22,25.66,25.66,25.34,23.78,23.91,26.31,28.22,27.09,25.25,24.69,23.97,21.38,18.31,17.88,19.62,20.81,21.22,22.97,26.28,28.59,28.09,27.38,28.94,30.19,28.59,26.44,26.12,26.03,24.12,22.38,23.59,27.47,30.59,32.19,34.09,36.22,35.91,31.44,26.75,24.0,22.19,19.31,17.38,18.56,20.97,21.44,20.72,21.56,23.97,25.97,26.19,27.38,30.0,31.59,29.25,25.53,22.91,20.59,16.38,11.94,10.72,11.66,11.88,11.38,12.72,15.91,18.41,18.75,19.16,21.78,23.59,23.16,21.25,21.0,20.88,18.22,14.88,14.16,15.56,16.06,15.47,16.38,19.22,21.12,20.47,20.47,22.34,24.56,24.59,24.62,26.5,29.09,29.38,27.62,26.78,26.25,23.78,18.69,15.03,14.22,13.97,11.72,10.12,11.03,12.62,12.44,12.06,13.72,17.0,18.16,17.78,18.69,21.31,22.97,22.06,22.16,24.53,26.72,26.34,26.16,28.28,30.75,30.12,28.28,27.16,26.25,23.28,19.0,16.38,16.81,16.94,15.19,14.84,16.75,18.91,18.84,19.06,21.47,24.72,25.16,24.16,24.06,25.0,24.25,22.0,21.38,23.0,23.97,22.19,19.94,19.38,19.06,16.88,14.53,15.19,17.41,18.59,18.09,19.19,22.03,23.56,22.75,22.75,25.59,28.0,28.16,28.47,30.62,32.31,31.06,27.81,25.69,24.5,21.5,17.06,13.91,13.12,11.47,8.12,6.12,7.41,9.28,9.78,10.88,14.59,19.06,21.47,22.62,24.34,27.09,27.53,25.09,23.28,23.62,23.16,20.53,18.69,18.94,19.75,17.59,15.38,15.25,16.94,16.56,15.56,16.47,19.47,21.16,20.75,21.0,23.53,25.28,25.0,24.81,28.0,31.53,32.22,31.97,32.59,33.75,32.41,28.97,26.62,25.66,23.66,19.91,17.03,17.66,18.66,18.56,18.59,21.03,24.53,25.66,25.72,27.31,30.12,30.88,29.31,28.25,28.84,28.28,25.72,23.97,25.28,27.28,27.44,27.66,30.22,33.25,34.06,32.75,32.19,32.31,30.41,26.88,24.44,24.81,25.53,24.22,23.0,24.5,26.38,25.84,24.75,26.09,28.16,28.28,27.66,28.22,30.69,31.91,31.44,31.06,33.06,34.31,33.31,31.88,32.62,33.41,31.81,29.19,27.97,28.69,27.78,25.84,25.56,28.03,29.53,28.62,28.44,30.47,32.06,31.09,29.62,30.16,31.5,30.5,27.84,27.12,27.75,27.12,25.25,24.72,27.0,29.09,28.5,28.25,30.19,31.78,30.97,29.62,30.75,32.5,32.34,30.94,30.66,32.03,32.28,31.34,31.56,34.34,37.22,37.72,37.31,39.06,40.41,38.75,35.5,34.31,34.25,32.84,30.34,29.41,30.69,30.78,28.72,27.12,28.41,29.53,28.44,27.41,27.97,29.56,29.12,27.59,27.88,29.44,29.16,27.28,26.41,27.88,28.88,27.75,27.28,29.41,31.03,30.16,28.53,29.31,30.81,30.34,28.75,28.41,29.44,28.84,26.38,24.66,25.91,26.53,24.78,23.03,24.22,25.47,24.94,23.09,23.53,24.72,24.0,22.0,21.78,23.38,24.03,22.75,22.5,24.12,25.91,25.91,25.5,27.69,29.91,29.53,28.38,28.97,30.62,31.0,29.91,30.44,32.44,34.12,33.16,32.47,33.38,34.0,32.0,29.38,29.31,30.0,29.03,26.75,26.59,27.66,27.91,26.34,26.44,28.81,30.75,30.81,31.09,33.75,36.0,35.28,33.19,32.53,32.31,30.62,27.78,27.22,28.56,28.75,27.0,26.16,27.44,29.22,28.81,28.94,31.56,34.38,34.12,32.75,33.06,34.06,33.31,31.53,31.34,33.03,34.28,33.28,33.03,34.47,35.5,33.56,31.25,30.75,31.16,29.84,27.66,27.78,29.34,29.75,28.12,27.72,28.97,29.56,27.62,26.16,27.22,28.66,27.91,26.72,27.5,28.81,27.81,25.56,25.16,26.25,26.28,24.66,24.5,26.75,28.56,28.06,27.28,28.59,30.22,29.69,28.66,29.78,32.06,32.19,30.91,30.88,32.62,33.59,32.38,32.19,33.66,34.59,32.47,29.72,28.72,28.38,26.25,23.66,23.31,24.62,24.88,23.62,24.75,28.25,31.78,32.0,32.66,34.44,35.09,32.75,30.06,29.53,30.19,29.53,27.97,28.44,30.59,31.19,30.06,29.94,31.81,33.12,32.38,31.72,33.25,34.72,33.81,32.09,32.0,33.28,33.34,32.34,32.75,34.91,35.97,34.97,34.53,36.41,38.22,37.44,36.47,37.38,38.44,37.19,34.81,34.16,34.44,32.88,29.66,27.34,26.75,25.97,23.47,22.19,24.12,26.47,26.78,26.94,28.66,31.12,31.09,29.25,29.03,30.47,31.06,29.88,29.97,32.25,33.5,31.94,30.56,31.38,32.88,32.03,30.72,31.16,32.34,31.09,29.0,28.09,28.75,28.31,26.06,24.84,25.69,26.47,25.56,25.06,26.47,28.34,27.59,26.06,25.47,26.03,24.59,22.06,21.03,22.0,22.59,20.91,20.06,21.56,22.75,22.09,21.25,22.19,24.16,24.34,23.72,24.47,26.91,27.72,26.34,25.41,26.34,26.53,24.84,24.31,25.94,28.56,28.53,27.41,27.41,28.19,27.09,25.0,24.31,28.47,29.12,30.59,32.53,33.09,31.84,30.09:31.97,30.91,31.0,30.0,27.69,27.5,30.19,32.38,32.44,32.75,35.22,37.12,36.16,34.03,34.03,34.19,31.78,28.03,25.97,25.47,24.06,21.72,20.78,23.06,24.81,24.91,24.88,27.5,30.31,30.47,29.41,29.53,30.47,29.53,27.06,26.31,27.81,28.59,27.47,27.16,29.16,30.75,29.88,28.34,29.44,31.06,30.62,29.56,30.16,32.0,32.44,31.0,30.53,32.31,33.06,31.44,30.31,31.53,32.78,31.88,30.41,31.72,34.34,35.09,34.47,35.16,36.69,35.88,32.97,31.97,33.44,35.09,34.84,34.25,35.78,36.91,35.56,33.0,32.75,34.0,33.72,32.22,32.19,34.09,34.62,32.88,31.66,32.44,32.47,29.5,26.03,24.94,25.31,24.84,24.16,26.5,30.28,31.5,30.03,29.12,29.56,28.91,25.97,24.0,24.19,24.19,21.78,18.97,18.66,19.41,19.0,17.47,18.25,20.5,21.91,21.69,22.66,26.47,29.53,29.81,29.41,30.97,31.84,30.22,27.62,27.0,27.47,26.88,25.34,26.03,28.75,31.0,30.44,30.53,32.41,33.34,31.59,29.56,29.44,29.69,27.69,24.75,23.97,24.78,24.56,22.97,22.88,24.44,25.31,23.06,21.16,21.28,21.19,18.81,15.62,14.88,14.66,12.88,10.03,9.5,10.75,11.75,11.25,12.25,15.22,17.62,17.59,17.75,19.69,21.84,21.53,20.0,19.97,20.84,19.94,18.22,18.19,20.41,22.25,22.03,21.91,23.72,25.22,23.5,21.25,21.19,21.75,20.69,19.0,20.22,23.28,24.81,24.28,24.78,26.78,27.47,25.88,24.56,25.44,26.12,24.38,22.09,22.22,23.03,21.53,19.41,19.5,21.53,22.91,22.62,23.62,26.09,27.06,25.31,23.88,24.25,25.16,24.09,22.81,23.12,24.41,23.47,21.19,20.47,22.03,23.88,23.94,25.5,29.81,33.22,33.81,34.16,35.59,37.69,37.31,36.5,37.69,39.91,40.0,37.88,36.03,35.56,34.31,31.22,29.28,30.44,32.19,32.16,32.28,34.34,36.31,35.66,33.56,32.75,33.69,33.56,32.19,32.03,33.69,34.56,32.38,29.69,29.03,28.12,25.41,22.38,22.44,24.44,24.72,24.25,25.62,28.34,29.91,29.69,30.09,32.78,35.06,34.84,33.72,34.5,35.62,34.22,32.06,31.34,32.06,30.84,28.53,27.72,29.59,31.0,29.84,29.16,29.84,30.34,28.5,26.22,26.16,27.25,26.09,24.28,24.12,25.25,24.97,23.62,23.12,25.19,27.38,27.31,27.16,29.31,31.09,30.66,29.66,30.5,32.16,32.44,31.38,31.59,33.44,34.44,33.5,32.56,33.16,32.56,29.72,26.62,25.75,25.59,23.53,20.88,20.03,20.56,19.81,18.59,18.56,21.19,23.0,22.44,22.0,23.94,25.69,25.19,24.59,26.47,28.62,28.66,27.69,27.91,29.69,30.22,29.0,28.53,29.59,28.97,25.81,22.44,21.25,21.16,19.84,19.03,21.72,25.44,28.03,29.5,31.91,35.25,37.0,36.25,35.53,36.56,36.62,34.41,32.34,32.91,33.59,32.53,30.28,29.47,29.59,28.12,25.38,24.06,24.97,24.81,22.53,20.22,19.59,18.59,15.09,11.28,10.16,10.41,9.5,8.06,8.25,10.09,11.09,10.97,12.47,15.91,19.28,20.62,21.62,25.47,30.0,32.56,34.47,38.44,42.19,43.44,42.53,41.47,41.03,38.69,34.09,29.41,27.66,26.5,23.91,21.53,21.66,21.88,20.16,17.72,17.66,19.56,20.81,21.44,23.38,27.84,31.28,32.22,32.56,34.41,34.66,32.16,28.88,27.22,26.56,24.19,20.5,19.44,20.22,19.53,17.59,16.22,16.91,16.81,15.06,13.62,15.41,17.69,18.28,18.09,20.06,22.34,22.47,21.22,21.44,23.56,25.44,26.09,27.97,31.81,34.44,33.94,32.5,32.97,34.06,32.75,30.41,30.31,30.56,30.12,28.5,29.09,31.78,34.03,34.34,34.56,36.88,38.41,36.66,33.44,31.81,30.41,27.25,23.78,22.88,23.84,23.88,22.41,21.66,23.12,23.94,23.09,22.78,25.31,28.38,29.12,29.09,30.41,31.75,30.5,27.22,25.66,25.66,25.34,23.78,23.91,26.31,28.22,27.09,25.25,24.69,23.97,21.38,18.31,17.88,19.62,20.81,21.22,22.97,26.28,28.59,28.09,27.38,28.94,30.19,28.59,26.44,26.12,26.03,24.12,22.38,23.59,27.47,30.59,32.19,34.09,36.22,35.91,31.44,26.75,24.0,22.19,19.31,17.38,18.56,20.97,21.44,20.72,21.56,23.97,25.97,26.19,27.38,30.0,31.59,29.25,25.53,22.91,20.59,16.38,11.94,10.72,11.66,11.88,11.38,12.72,15.91,18.41,18.75,19.16,21.78,23.59,23.16,21.25,21.0,20.88,18.22,14.88,14.16,15.56,16.06,15.47,16.38,19.22,21.12,20.47,20.47,22.34,24.56,24.59,24.62,26.5,29.09,29.38,27.62,26.78,26.25,23.78,18.69,15.03,14.22,13.97,11.72,10.12,11.03,12.62,12.44,12.06,13.72,17.0,18.16,17.78,18.69,21.31,22.97,22.06,22.16,24.53,26.72,26.34,26.16,28.28,30.75,30.12,28.28,27.16,26.25,23.28,19.0,16.38,16.81,16.94,15.19,14.84,16.75,18.91,18.84,19.06,21.47,24.72,25.16,24.16,24.06,25.0,24.25,22.0,21.38,23.0,23.97,22.19,19.94,19.38,19.06,16.88,14.53,15.19,17.41,18.59,18.09,19.19,22.03,23.56,22.75,22.75,25.59,28.0,28.16,28.47,30.62,32.31,31.06,27.81,25.69,24.5,21.5,17.06,13.91,13.12,11.47,8.12,6.12,7.41,9.28,9.78,10.88,14.59,19.06,21.47,22.62,24.34,27.09,27.53,25.09,23.28,23.62,23.16,20.53,18.69,18.94,19.75,17.59,15.38,15.25,16.94,16.56,15.56,16.47,19.47,21.16,20.75,21.0,23.53,25.28,25.0,24.81,28.0,31.53,32.22,31.97,32.59,33.75,32.41,28.97,26.62,25.66,23.66,19.91,17.03,17.66,18.66,18.56,18.59,21.03,24.53,25.66,25.72,27.31,30.12,30.88,29.31,28.25,28.84,28.28,25.72,23.97,25.28,27.28,27.44,27.66,30.22,33.25,34.06,32.75,32.19,32.31,30.41,26.88,24.44,24.81,25.53,24.22,23.0,24.5,26.38,25.84,24.75,26.09,28.16,28.28,27.66,28.22,30.69,31.91,31.44,31.06,33.06,34.31,33.31,31.88,32.62,33.41,31.81,29.19,27.97,28.69,27.78,25.84,25.56,28.03,29.53,28.62,28.44,30.47,32.06,31.09,29.62,30.16,31.5,30.5,27.84,27.12,27.75,27.12,25.25,24.72,27.0,29.09,28.5,28.25,30.19,31.78,30.97,29.62,30.75,32.5,32.34,30.94,30.66,32.03,32.28,31.34,31.56,34.34,37.22,37.72,37.31,39.06,40.41,38.75,35.5,34.31,34.25,32.84,30.34,29.41,30.69,30.78,28.72,27.12,28.41,29.53,28.44,27.41,27.97,29.56,29.12,27.59,27.88,29.44,29.16,27.28,26.41,27.88,28.88,27.75,27.28,29.41,31.03,30.16,28.53,29.31,30.81,30.34,28.75,28.41,29.44,28.84,26.38,24.66,25.91,26.53,24.78,23.03,24.22,25.47,24.94,23.09,23.53,24.72,24.0,22.0,21.78,23.38,24.03,22.75,22.5,24.12,25.91,25.91,25.5,27.69,29.91,29.53,28.38,28.97,30.62,31.0,29.91,30.44,32.44,34.12,33.16,32.47,33.38,34.0,32.0,29.38,29.31,30.0,29.03,26.75,26.59,27.66,27.91,26.34,26.44,28.81,30.75,30.81,31.09,33.75,36.0,35.28,33.19,32.53,32.31,30.62,27.78,27.22,28.56,28.75,27.0,26.16,27.44,29.22,28.81,28.94,31.56,34.38,34.12,32.75,33.06,34.06,33.31,31.53,31.34,33.03,34.28,33.28,33.03,34.47,35.5,33.56,31.25,30.75,31.16,29.84,27.66,27.78,29.34,29.75,28.12,27.72,28.97,29.56,27.62,26.16,27.22,28.66,27.91,26.72,27.5,28.81,27.81,25.56,25.16,26.25,26.28,24.66,24.5,26.75,28.56,28.06,27.28,28.59,30.22,29.69,28.66,29.78,32.06,32.19,30.91,30.88,32.62,33.59,32.38,32.19,33.66,34.59,32.47,29.72,28.72,28.38,26.25,23.66,23.31,24.62,24.88,23.62,24.75,28.25,31.78,32.0,32.66,34.44,35.09,32.75,30.06,29.53,30.19,29.53,27.97,28.44,30.59,31.19,30.06,29.94,31.81,33.12,32.38,31.72,33.25,34.72,33.81,32.09,32.0,33.28,33.34,32.34,32.75,34.91,35.97,34.97,34.53,36.41,38.22,37.44,36.47,37.38,38.44,37.19,34.81,34.16,34.44,32.88,29.66,27.34,26.75,25.97,23.47,22.19,24.12,26.47,26.78,26.94,28.66,31.12,31.09,29.25,29.03,30.47,31.06,29.88,29.97,32.25,33.5,31.94,30.56,31.38,32.88,32.03,30.72,31.16,32.34,31.09,29.0,28.09,28.75,28.31,26.06,24.84,25.69,26.47,25.56,25.06,26.47,28.34,27.59,26.06,25.47,26.03,24.59,22.06,21.03,22.0,22.59,20.91,20.06,21.56,22.75,22.09,21.25,22.19,24.16,24.34,23.72,24.47,26.91,27.72,26.34,25.41,26.34,26.53,24.84,24.31,25.94,28.56,28.53,27.41,27.41,28.19,27.09,25.0,24.31,28.47,29.12,30.59,32.53,33.09,31.84,30.09,30.06,30.38,29.78,29.47,31.12,32.56,32.0:32.38,32.44,32.75,35.22,37.12,36.16,34.03,34.03,34.19,31.78,28.03,25.97,25.47,24.06,21.72,20.78,23.06,24.81,24.91,24.88,27.5,30.31,30.47,29.41,29.53,30.47,29.53,27.06,26.31,27.81,28.59,27.47,27.16,29.16,30.75,29.88,28.34,29.44,31.06,30.62,29.56,30.16,32.0,32.44,31.0,30.53,32.31,33.06,31.44,30.31,31.53,32.78,31.88,30.41,31.72,34.34,35.09,34.47,35.16,36.69,35.88,32.97,31.97,33.44,35.09,34.84,34.25,35.78,36.91,35.56,33.0,32.75,34.0,33.72,32.22,32.19,34.09,34.62,32.88,31.66,32.44,32.47,29.5,26.03,24.94,25.31,24.84,24.16,26.5,30.28,31.5,30.03,29.12,29.56,28.91,25.97,24.0,24.19,24.19,21.78,18.97,18.66,19.41,19.0,17.47,18.25,20.5,21.91,21.69,22.66,26.47,29.53,29.81,29.41,30.97,31.84,30.22,27.62,27.0,27.47,26.88,25.34,26.03,28.75,31.0,30.44,30.53,32.41,33.34,31.59,29.56,29.44,29.69,27.69,24.75,23.97,24.78,24.56,22.97,22.88,24.44,25.31,23.06,21.16,21.28,21.19,18.81,15.62,14.88,14.66,12.88,10.03,9.5,10.75,11.75,11.25,12.25,15.22,17.62,17.59,17.75,19.69,21.84,21.53,20.0,19.97,20.84,19.94,18.22,18.19,20.41,22.25,22.03,21.91,23.72,25.22,23.5,21.25,21.19,21.75,20.69,19.0,20.22,23.28,24.81,24.28,24.78,26.78,27.47,25.88,24.56,25.44,26.12,24.38,22.09,22.22,23.03,21.53,19.41,19.5,21.53,22.91,22.62,23.62,26.09,27.06,25.31,23.88,24.25,25.16,24.09,22.81,23.12,24.41,23.47,21.19,20.47,22.03,23.88,23.94,25.5,29.81,33.22,33.81,34.16,35.59,37.69,37.31,36.5,37.69,39.91,40.0,37.88,36.03,35.56,34.31,31.22,29.28,30.44,32.19,32.16,32.28,34.34,36.31,35.66,33.56,32.75,33.69,33.56,32.19,32.03,33.69,34.56,32.38,29.69,29.03,28.12,25.41,22.38,22.44,24.44,24.72,24.25,25.62,28.34,29.91,29.69,30.09,32.78,35.06,34.84,33.72,34.5,35.62,34.22,32.06,31.34,32.06,30.84,28.53,27.72,29.59,31.0,29.84,29.16,29.84,30.34,28.5,26.22,26.16,27.25,26.09,24.28,24.12,25.25,24.97,23.62,23.12,25.19,27.38,27.31,27.16,29.31,31.09,30.66,29.66,30.5,32.16,32.44,31.38,31.59,33.44,34.44,33.5,32.56,33.16,32.56,29.72,26.62,25.75,25.59,23.53,20.88,20.03,20.56,19.81,18.59,18.56,21.19,23.0,22.44,22.0,23.94,25.69,25.19,24.59,26.47,28.62,28.66,27.69,27.91,29.69,30.22,29.0,28.53,29.59,28.97,25.81,22.44,21.25,21.16,19.84,19.03,21.72,25.44,28.03,29.5,31.91,35.25,37.0,36.25,35.53,36.56,36.62,34.41,32.34,32.91,33.59,32.53,30.28,29.47,29.59,28.12,25.38,24.06,24.97,24.81,22.53,20.22,19.59,18.59,15.09,11.28,10.16,10.41,9.5,8.06,8.25,10.09,11.09,10.97,12.47,15.91,19.28,20.62,21.62,25.47,30.0,32.56,34.47,38.44,42.19,43.44,42.53,41.47,41.03,38.69,34.09,29.41,27.66,26.5,23.91,21.53,21.66,21.88,20.16,17.72,17.66,19.56,20.81,21.44,23.38,27.84,31.28,32.22,32.56,34.41,34.66,32.16,28.88,27.22,26.56,24.19,20.5,19.44,20.22,19.53,17.59,16.22,16.91,16.81,15.06,13.62,15.41,17.69,18.28,18.09,20.06,22.34,22.47,21.22,21.44,23.56,25.44,26.09,27.97,31.81,34.44,33.94,32.5,32.97,34.06,32.75,30.41,30.31,30.56,30.12,28.5,29.09,31.78,34.03,34.34,34.56,36.88,38.41,36.66,33.44,31.81,30.41,27.25,23.78,22.88,23.84,23.88,22.41,21.66,23.12,23.94,23.09,22.78,25.31,28.38,29.12,29.09,30.41,31.75,30.5,27.22,25.66,25.66,25.34,23.78,23.91,26.31,28.22,27.09,25.25,24.69,23.97,21.38,18.31,17.88,19.62,20.81,21.22,22.97,26.28,28.59,28.09,27.38,28.94,30.19,28.59,26.44,26.12,26.03,24.12,22.38,23.59,27.47,30.59,32.19,34.09,36.22,35.91,31.44,26.75,24.0,22.19,19.31,17.38,18.56,20.97,21.44,20.72,21.56,23.97,25.97,26.19,27.38,30.0,31.59,29.25,25.53,22.91,20.59,16.38,11.94,10.72,11.66,11.88,11.38,12.72,15.91,18.41,18.75,19.16,21.78,23.59,23.16,21.25,21.0,20.88,18.22,14.88,14.16,15.56,16.06,15.47,16.38,19.22,21.12,20.47,20.47,22.34,24.56,24.59,24.62,26.5,29.09,29.38,27.62,26.78,26.25,23.78,18.69,15.03,14.22,13.97,11.72,10.12,11.03,12.62,12.44,12.06,13.72,17.0,18.16,17.78,18.69,21.31,22.97,22.06,22.16,24.53,26.72,26.34,26.16,28.28,30.75,30.12,28.28,27.16,26.25,23.28,19.0,16.38,16.81,16.94,15.19,14.84,16.75,18.91,18.84,19.06,21.47,24.72,25.16,24.16,24.06,25.0,24.25,22.0,21.38,23.0,23.97,22.19,19.94,19.38,19.06,16.88,14.53,15.19,17.41,18.59,18.09,19.19,22.03,23.56,22.75,22.75,25.59,28.0,28.16,28.47,30.62,32.31,31.06,27.81,25.69,24.5,21.5,17.06,13.91,13.12,11.47,8.12,6.12,7.41,9.28,9.78,10.88,14.59,19.06,21.47,22.62,24.34,27.09,27.53,25.09,23.28,23.62,23.16,20.53,18.69,18.94,19.75,17.59,15.38,15.25,16.94,16.56,15.56,16.47,19.47,21.16,20.75,21.0,23.53,25.28,25.0,24.81,28.0,31.53,32.22,31.97,32.59,33.75,32.41,28.97,26.62,25.66,23.66,19.91,17.03,17.66,18.66,18.56,18.59,21.03,24.53,25.66,25.72,27.31,30.12,30.88,29.31,28.25,28.84,28.28,25.72,23.97,25.28,27.28,27.44,27.66,30.22,33.25,34.06,32.75,32.19,32.31,30.41,26.88,24.44,24.81,25.53,24.22,23.0,24.5,26.38,25.84,24.75,26.09,28.16,28.28,27.66,28.22,30.69,31.91,31.44,31.06,33.06,34.31,33.31,31.88,32.62,33.41,31.81,29.19,27.97,28.69,27.78,25.84,25.56,28.03,29.53,28.62,28.44,30.47,32.06,31.09,29.62,30.16,31.5,30.5,27.84,27.12,27.75,27.12,25.25,24.72,27.0,29.09,28.5,28.25,30.19,31.78,30.97,29.62,30.75,32.5,32.34,30.94,30.66,32.03,32.28,31.34,31.56,34.34,37.22,37.72,37.31,39.06,40.41,38.75,35.5,34.31,34.25,32.84,30.34,29.41,30.69,30.78,28.72,27.12,28.41,29.53,28.44,27.41,27.97,29.56,29.12,27.59,27.88,29.44,29.16,27.28,26.41,27.88,28.88,27.75,27.28,29.41,31.03,30.16,28.53,29.31,30.81,30.34,28.75,28.41,29.44,28.84,26.38,24.66,25.91,26.53,24.78,23.03,24.22,25.47,24.94,23.09,23.53,24.72,24.0,22.0,21.78,23.38,24.03,22.75,22.5,24.12,25.91,25.91,25.5,27.69,29.91,29.53,28.38,28.97,30.62,31.0,29.91,30.44,32.44,34.12,33.16,32.47,33.38,34.0,32.0,29.38,29.31,30.0,29.03,26.75,26.59,27.66,27.91,26.34,26.44,28.81,30.75,30.81,31.09,33.75,36.0,35.28,33.19,32.53,32.31,30.62,27.78,27.22,28.56,28.75,27.0,26.16,27.44,29.22,28.81,28.94,31.56,34.38,34.12,32.75,33.06,34.06,33.31,31.53,31.34,33.03,34.28,33.28,33.03,34.47,35.5,33.56,31.25,30.75,31.16,29.84,27.66,27.78,29.34,29.75,28.12,27.72,28.97,29.56,27.62,26.16,27.22,28.66,27.91,26.72,27.5,28.81,27.81,25.56,25.16,26.25,26.28,24.66,24.5,26.75,28.56,28.06,27.28,28.59,30.22,29.69,28.66,29.78,32.06,32.19,30.91,30.88,32.62,33.59,32.38,32.19,33.66,34.59,32.47,29.72,28.72,28.38,26.25,23.66,23.31,24.62,24.88,23.62,24.75,28.25,31.78,32.0,32.66,34.44,35.09,32.75,30.06,29.53,30.19,29.53,27.97,28.44,30.59,31.19,30.06,29.94,31.81,33.12,32.38,31.72,33.25,34.72,33.81,32.09,32.0,33.28,33.34,32.34,32.75,34.91,35.97,34.97,34.53,36.41,38.22,37.44,36.47,37.38,38.44,37.19,34.81,34.16,34.44,32.88,29.66,27.34,26.75,25.97,23.47,22.19,24.12,26.47,26.78,26.94,28.66,31.12,31.09,29.25,29.03,30.47,31.06,29.88,29.97,32.25,33.5,31.94,30.56,31.38,32.88,32.03,30.72,31.16,32.34,31.09,29.0,28.09,28.75,28.31,26.06,24.84,25.69,26.47,25.56,25.06,26.47,28.34,27.59,26.06,25.47,26.03,24.59,22.06,21.03,22.0,22.59,20.91,20.06,21.56,22.75,22.09,21.25,22.19,24.16,24.34,23.72,24.47,26.91,27.72,26.34,25.41,26.34,26.53,24.84,24.31,25.94,28.56,28.53,27.41,27.41,28.19,27.09,25.0,24.31,28.47,29.12,30.59,32.53,33.09,31.84,30.09,30.06,30.38,29.78,29.47,31.12,32.56,32.0,29.97,28.84,28.62,27.53,26.06,26.0,27.88:34.03,34.19,31.78,28.03,25.97,25.47,24.06,21.72,20.78,23.06,24.81,24.91,24.88,27.5,30.31,30.47,29.41,29.53,30.47,29.53,27.06,26.31,27.81,28.59,27.47,27.16,29.16,30.75,29.88,28.34,29.44,31.06,30.62,29.56,30.16,32.0,32.44,31.0,30.53,32.31,33.06,31.44,30.31,31.53,32.78,31.88,30.41,31.72,34.34,35.09,34.47,35.16,36.69,35.88,32.97,31.97,33.44,35.09,34.84,34.25,35.78,36.91,35.56,33.0,32.75,34.0,33.72,32.22,32.19,34.09,34.62,32.88,31.66,32.44,32.47,29.5,26.03,24.94,25.31,24.84,24.16,26.5,30.28,31.5,30.03,29.12,29.56,28.91,25.97,24.0,24.19,24.19,21.78,18.97,18.66,19.41,19.0,17.47,18.25,20.5,21.91,21.69,22.66,26.47,29.53,29.81,29.41,30.97,31.84,30.22,27.62,27.0,27.47,26.88,25.34,26.03,28.75,31.0,30.44,30.53,32.41,33.34,31.59,29.56,29.44,29.69,27.69,24.75,23.97,24.78,24.56,22.97,22.88,24.44,25.31,23.06,21.16,21.28,21.19,18.81,15.62,14.88,14.66,12.88,10.03,9.5,10.75,11.75,11.25,12.25,15.22,17.62,17.59,17.75,19.69,21.84,21.53,20.0,19.97,20.84,19.94,18.22,18.19,20.41,22.25,22.03,21.91,23.72,25.22,23.5,21.25,21.19,21.75,20.69,19.0,20.22,23.28,24.81,24.28,24.78,26.78,27.47,25.88,24.56,25.44,26.12,24.38,22.09,22.22,23.03,21.53,19.41,19.5,21.53,22.91,22.62,23.62,26.09,27.06,25.31,23.88,24.25,25.16,24.09,22.81,23.12,24.41,23.47,21.19,20.47,22.03,23.88,23.94,25.5,29.81,33.22,33.81,34.16,35.59,37.69,37.31,36.5,37.69,39.91,40.0,37.88,36.03,35.56,34.31,31.22,29.28,30.44,32.19,32.16,32.28,34.34,36.31,35.66,33.56,32.75,33.69,33.56,32.19,32.03,33.69,34.56,32.38,29.69,29.03,28.12,25.41,22.38,22.44,24.44,24.72,24.25,25.62,28.34,29.91,29.69,30.09,32.78,35.06,34.84,33.72,34.5,35.62,34.22,32.06,31.34,32.06,30.84,28.53,27.72,29.59,31.0,29.84,29.16,29.84,30.34,28.5,26.22,26.16,27.25,26.09,24.28,24.12,25.25,24.97,23.62,23.12,25.19,27.38,27.31,27.16,29.31,31.09,30.66,29.66,30.5,32.16,32.44,31.38,31.59,33.44,34.44,33.5,32.56,33.16,32.56,29.72,26.62,25.75,25.59,23.53,20.88,20.03,20.56,19.81,18.59,18.56,21.19,23.0,22.44,22.0,23.94,25.69,25.19,24.59,26.47,28.62,28.66,27.69,27.91,29.69,30.22,29.0,28.53,29.59,28.97,25.81,22.44,21.25,21.16,19.84,19.03,21.72,25.44,28.03,29.5,31.91,35.25,37.0,36.25,35.53,36.56,36.62,34.41,32.34,32.91,33.59,32.53,30.28,29.47,29.59,28.12,25.38,24.06,24.97,24.81,22.53,20.22,19.59,18.59,15.09,11.28,10.16,10.41,9.5,8.06,8.25,10.09,11.09,10.97,12.47,15.91,19.28,20.62,21.62,25.47,30.0,32.56,34.47,38.44,42.19,43.44,42.53,41.47,41.03,38.69,34.09,29.41,27.66,26.5,23.91,21.53,21.66,21.88,20.16,17.72,17.66,19.56,20.81,21.44,23.38,27.84,31.28,32.22,32.56,34.41,34.66,32.16,28.88,27.22,26.56,24.19,20.5,19.44,20.22,19.53,17.59,16.22,16.91,16.81,15.06,13.62,15.41,17.69,18.28,18.09,20.06,22.34,22.47,21.22,21.44,23.56,25.44,26.09,27.97,31.81,34.44,33.94,32.5,32.97,34.06,32.75,30.41,30.31,30.56,30.12,28.5,29.09,31.78,34.03,34.34,34.56,36.88,38.41,36.66,33.44,31.81,30.41,27.25,23.78,22.88,23.84,23.88,22.41,21.66,23.12,23.94,23.09,22.78,25.31,28.38,29.12,29.09,30.41,31.75,30.5,27.22,25.66,25.66,25.34,23.78,23.91,26.31,28.22,27.09,25.25,24.69,23.97,21.38,18.31,17.88,19.62,20.81,21.22,22.97,26.28,28.59,28.09,27.38,28.94,30.19,28.59,26.44,26.12,26.03,24.12,22.38,23.59,27.47,30.59,32.19,34.09,36.22,35.91,31.44,26.75,24.0,22.19,19.31,17.38,18.56,20.97,21.44,20.72,21.56,23.97,25.97,26.19,27.38,30.0,31.59,29.25,25.53,22.91,20.59,16.38,11.94,10.72,11.66,11.88,11.38,12.72,15.91,18.41,18.75,19.16,21.78,23.59,23.16,21.25,21.0,20.88,18.22,14.88,14.16,15.56,16.06,15.47,16.38,19.22,21.12,20.47,20.47,22.34,24.56,24.59,24.62,26.5,29.09,29.38,27.62,26.78,26.25,23.78,18.69,15.03,14.22,13.97,11.72,10.12,11.03,12.62,12.44,12.06,13.72,17.0,18.16,17.78,18.69,21.31,22.97,22.06,22.16,24.53,26.72,26.34,26.16,28.28,30.75,30.12,28.28,27.16,26.25,23.28,19.0,16.38,16.81,16.94,15.19,14.84,16.75,18.91,18.84,19.06,21.47,24.72,25.16,24.16,24.06,25.0,24.25,22.0,21.38,23.0,23.97,22.19,19.94,19.38,19.06,16.88,14.53,15.19,17.41,18.59,18.09,19.19,22.03,23.56,22.75,22.75,25.59,28.0,28.16,28.47,30.62,32.31,31.06,27.81,25.69,24.5,21.5,17.06,13.91,13.12,11.47,8.12,6.12,7.41,9.28,9.78,10.88,14.59,19.06,21.47,22.62,24.34,27.09,27.53,25.09,23.28,23.62,23.16,20.53,18.69,18.94,19.75,17.59,15.38,15.25,16.94,16.56,15.56,16.47,19.47,21.16,20.75,21.0,23.53,25.28,25.0,24.81,28.0,31.53,32.22,31.97,32.59,33.75,32.41,28.97,26.62,25.66,23.66,19.91,17.03,17.66,18.66,18.56,18.59,21.03,24.53,25.66,25.72,27.31,30.12,30.88,29.31,28.25,28.84,28.28,25.72,23.97,25.28,27.28,27.44,27.66,30.22,33.25,34.06,32.75,32.19,32.31,30.41,26.88,24.44,24.81,25.53,24.22,23.0,24.5,26.38,25.84,24.75,26.09,28.16,28.28,27.66,28.22,30.69,31.91,31.44,31.06,33.06,34.31,33.31,31.88,32.62,33.41,31.81,29.19,27.97,28.69,27.78,25.84,25.56,28.03,29.53,28.62,28.44,30.47,32.06,31.09,29.62,30.16,31.5,30.5,27.84,27.12,27.75,27.12,25.25,24.72,27.0,29.09,28.5,28.25,30.19,31.78,30.97,29.62,30.75,32.5,32.34,30.94,30.66,32.03,32.28,31.34,31.56,34.34,37.22,37.72,37.31,39.06,40.41,38.75,35.5,34.31,34.25,32.84,30.34,29.41,30.69,30.78,28.72,27.12,28.41,29.53,28.44,27.41,27.97,29.56,29.12,27.59,27.88,29.44,29.16,27.28,26.41,27.88,28.88,27.75,27.28,29.41,31.03,30.16,28.53,29.31,30.81,30.34,28.75,28.41,29.44,28.84,26.38,24.66,25.91,26.53,24.78,23.03,24.22,25.47,24.94,23.09,23.53,24.72,24.0,22.0,21.78,23.38,24.03,22.75,22.5,24.12,25.91,25.91,25.5,27.69,29.91,29.53,28.38,28.97,30.62,31.0,29.91,30.44,32.44,34.12,33.16,32.47,33.38,34.0,32.0,29.38,29.31,30.0,29.03,26.75,26.59,27.66,27.91,26.34,26.44,28.81,30.75,30.81,31.09,33.75,36.0,35.28,33.19,32.53,32.31,30.62,27.78,27.22,28.56,28.75,27.0,26.16,27.44,29.22,28.81,28.94,31.56,34.38,34.12,32.75,33.06,34.06,33.31,31.53,31.34,33.03,34.28,33.28,33.03,34.47,35.5,33.56,31.25,30.75,31.16,29.84,27.66,27.78,29.34,29.75,28.12,27.72,28.97,29.56,27.62,26.16,27.22,28.66,27.91,26.72,27.5,28.81,27.81,25.56,25.16,26.25,26.28,24.66,24.5,26.75,28.56,28.06,27.28,28.59,30.22,29.69,28.66,29.78,32.06,32.19,30.91,30.88,32.62,33.59,32.38,32.19,33.66,34.59,32.47,29.72,28.72,28.38,26.25,23.66,23.31,24.62,24.88,23.62,24.75,28.25,31.78,32.0,32.66,34.44,35.09,32.75,30.06,29.53,30.19,29.53,27.97,28.44,30.59,31.19,30.06,29.94,31.81,33.12,32.38,31.72,33.25,34.72,33.81,32.09,32.0,33.28,33.34,32.34,32.75,34.91,35.97,34.97,34.53,36.41,38.22,37.44,36.47,37.38,38.44,37.19,34.81,34.16,34.44,32.88,29.66,27.34,26.75,25.97,23.47,22.19,24.12,26.47,26.78,26.94,28.66,31.12,31.09,29.25,29.03,30.47,31.06,29.88,29.97,32.25,33.5,31.94,30.56,31.38,32.88,32.03,30.72,31.16,32.34,31.09,29.0,28.09,28.75,28.31,26.06,24.84,25.69,26.47,25.56,25.06,26.47,28.34,27.59,26.06,25.47,26.03,24.59,22.06,21.03,22.0,22.59,20.91,20.06,21.56,22.75,22.09,21.25,22.19,24.16,24.34,23.72,24.47,26.91,27.72,26.34,25.41,26.34,26.53,24.84,24.31,25.94,28.56,28.53,27.41,27.41,28.19,27.09,25.0,24.31,28.47,29.12,30.59,32.53,33.09,31.84,30.09,30.06,30.38,29.78,29.47,31.12,32.56,32.0,29.97,28.84,28.62,27.53,26.06,26.0,27.88,29.91,30.22,30.91,33.03,34.56,33.44,31.41:21.72,20.78,23.06,24.81,24.91,24.88,27.5,30.31,30.47,29.41,29.53,30.47,29.53,27.06,26.31,27.81,28.59,27.47,27.16,29.16,30.75,29.88,28.34,29.44,31.06,30.62,29.56,30.16,32.0,32.44,31.0,30.53,32.31,33.06,31.44,30.31,31.53,32.78,31.88,30.41,31.72,34.34,35.09,34.47,35.16,36.69,35.88,32.97,31.97,33.44,35.09,34.84,34.25,35.78,36.91,35.56,33.0,32.75,34.0,33.72,32.22,32.19,34.09,34.62,32.88,31.66,32.44,32.47,29.5,26.03,24.94,25.31,24.84,24.16,26.5,30.28,31.5,30.03,29.12,29.56,28.91,25.97,24.0,24.19,24.19,21.78,18.97,18.66,19.41,19.0,17.47,18.25,20.5,21.91,21.69,22.66,26.47,29.53,29.81,29.41,30.97,31.84,30.22,27.62,27.0,27.47,26.88,25.34,26.03,28.75,31.0,30.44,30.53,32.41,33.34,31.59,29.56,29.44,29.69,27.69,24.75,23.97,24.78,24.56,22.97,22.88,24.44,25.31,23.06,21.16,21.28,21.19,18.81,15.62,14.88,14.66,12.88,10.03,9.5,10.75,11.75,11.25,12.25,15.22,17.62,17.59,17.75,19.69,21.84,21.53,20.0,19.97,20.84,19.94,18.22,18.19,20.41,22.25,22.03,21.91,23.72,25.22,23.5,21.25,21.19,21.75,20.69,19.0,20.22,23.28,24.81,24.28,24.78,26.78,27.47,25.88,24.56,25.44,26.12,24.38,22.09,22.22,23.03,21.53,19.41,19.5,21.53,22.91,22.62,23.62,26.09,27.06,25.31,23.88,24.25,25.16,24.09,22.81,23.12,24.41,23.47,21.19,20.47,22.03,23.88,23.94,25.5,29.81,33.22,33.81,34.16,35.59,37.69,37.31,36.5,37.69,39.91,40.0,37.88,36.03,35.56,34.31,31.22,29.28,30.44,32.19,32.16,32.28,34.34,36.31,35.66,33.56,32.75,33.69,33.56,32.19,32.03,33.69,34.56,32.38,29.69,29.03,28.12,25.41,22.38,22.44,24.44,24.72,24.25,25.62,28.34,29.91,29.69,30.09,32.78,35.06,34.84,33.72,34.5,35.62,34.22,32.06,31.34,32.06,30.84,28.53,27.72,29.59,31.0,29.84,29.16,29.84,30.34,28.5,26.22,26.16,27.25,26.09,24.28,24.12,25.25,24.97,23.62,23.12,25.19,27.38,27.31,27.16,29.31,31.09,30.66,29.66,30.5,32.16,32.44,31.38,31.59,33.44,34.44,33.5,32.56,33.16,32.56,29.72,26.62,25.75,25.59,23.53,20.88,20.03,20.56,19.81,18.59,18.56,21.19,23.0,22.44,22.0,23.94,25.69,25.19,24.59,26.47,28.62,28.66,27.69,27.91,29.69,30.22,29.0,28.53,29.59,28.97,25.81,22.44,21.25,21.16,19.84,19.03,21.72,25.44,28.03,29.5,31.91,35.25,37.0,36.25,35.53,36.56,36.62,34.41,32.34,32.91,33.59,32.53,30.28,29.47,29.59,28.12,25.38,24.06,24.97,24.81,22.53,20.22,19.59,18.59,15.09,11.28,10.16,10.41,9.5,8.06,8.25,10.09,11.09,10.97,12.47,15.91,19.28,20.62,21.62,25.47,30.0,32.56,34.47,38.44,42.19,43.44,42.53,41.47,41.03,38.69,34.09,29.41,27.66,26.5,23.91,21.53,21.66,21.88,20.16,17.72,17.66,19.56,20.81,21.44,23.38,27.84,31.28,32.22,32.56,34.41,34.66,32.16,28.88,27.22,26.56,24.19,20.5,19.44,20.22,19.53,17.59,16.22,16.91,16.81,15.06,13.62,15.41,17.69,18.28,18.09,20.06,22.34,22.47,21.22,21.44,23.56,25.44,26.09,27.97,31.81,34.44,33.94,32.5,32.97,34.06,32.75,30.41,30.31,30.56,30.12,28.5,29.09,31.78,34.03,34.34,34.56,36.88,38.41,36.66,33.44,31.81,30.41,27.25,23.78,22.88,23.84,23.88,22.41,21.66,23.12,23.94,23.09,22.78,25.31,28.38,29.12,29.09,30.41,31.75,30.5,27.22,25.66,25.66,25.34,23.78,23.91,26.31,28.22,27.09,25.25,24.69,23.97,21.38,18.31,17.88,19.62,20.81,21.22,22.97,26.28,28.59,28.09,27.38,28.94,30.19,28.59,26.44,26.12,26.03,24.12,22.38,23.59,27.47,30.59,32.19,34.09,36.22,35.91,31.44,26.75,24.0,22.19,19.31,17.38,18.56,20.97,21.44,20.72,21.56,23.97,25.97,26.19,27.38,30.0,31.59,29.25,25.53,22.91,20.59,16.38,11.94,10.72,11.66,11.88,11.38,12.72,15.91,18.41,18.75,19.16,21.78,23.59,23.16,21.25,21.0,20.88,18.22,14.88,14.16,15.56,16.06,15.47,16.38,19.22,21.12,20.47,20.47,22.34,24.56,24.59,24.62,26.5,29.09,29.38,27.62,26.78,26.25,23.78,18.69,15.03,14.22,13.97,11.72,10.12,11.03,12.62,12.44,12.06,13.72,17.0,18.16,17.78,18.69,21.31,22.97,22.06,22.16,24.53,26.72,26.34,26.16,28.28,30.75,30.12,28.28,27.16,26.25,23.28,19.0,16.38,16.81,16.94,15.19,14.84,16.75,18.91,18.84,19.06,21.47,24.72,25.16,24.16,24.06,25.0,24.25,22.0,21.38,23.0,23.97,22.19,19.94,19.38,19.06,16.88,14.53,15.19,17.41,18.59,18.09,19.19,22.03,23.56,22.75,22.75,25.59,28.0,28.16,28.47,30.62,32.31,31.06,27.81,25.69,24.5,21.5,17.06,13.91,13.12,11.47,8.12,6.12,7.41,9.28,9.78,10.88,14.59,19.06,21.47,22.62,24.34,27.09,27.53,25.09,23.28,23.62,23.16,20.53,18.69,18.94,19.75,17.59,15.38,15.25,16.94,16.56,15.56,16.47,19.47,21.16,20.75,21.0,23.53,25.28,25.0,24.81,28.0,31.53,32.22,31.97,32.59,33.75,32.41,28.97,26.62,25.66,23.66,19.91,17.03,17.66,18.66,18.56,18.59,21.03,24.53,25.66,25.72,27.31,30.12,30.88,29.31,28.25,28.84,28.28,25.72,23.97,25.28,27.28,27.44,27.66,30.22,33.25,34.06,32.75,32.19,32.31,30.41,26.88,24.44,24.81,25.53,24.22,23.0,24.5,26.38,25.84,24.75,26.09,28.16,28.28,27.66,28.22,30.69,31.91,31.44,31.06,33.06,34.31,33.31,31.88,32.62,33.41,31.81,29.19,27.97,28.69,27.78,25.84,25.56,28.03,29.53,28.62,28.44,30.47,32.06,31.09,29.62,30.16,31.5,30.5,27.84,27.12,27.75,27.12,25.25,24.72,27.0,29.09,28.5,28.25,30.19,31.78,30.97,29.62,30.75,32.5,32.34,30.94,30.66,32.03,32.28,31.34,31.56,34.34,37.22,37.72,37.31,39.06,40.41,38.75,35.5,34.31,34.25,32.84,30.34,29.41,30.69,30.78,28.72,27.12,28.41,29.53,28.44,27.41,27.97,29.56,29.12,27.59,27.88,29.44,29.16,27.28,26.41,27.88,28.88,27.75,27.28,29.41,31.03,30.16,28.53,29.31,30.81,30.34,28.75,28.41,29.44,28.84,26.38,24.66,25.91,26.53,24.78,23.03,24.22,25.47,24.94,23.09,23.53,24.72,24.0,22.0,21.78,23.38,24.03,22.75,22.5,24.12,25.91,25.91,25.5,27.69,29.91,29.53,28.38,28.97,30.62,31.0,29.91,30.44,32.44,34.12,33.16,32.47,33.38,34.0,32.0,29.38,29.31,30.0,29.03,26.75,26.59,27.66,27.91,26.34,26.44,28.81,30.75,30.81,31.09,33.75,36.0,35.28,33.19,32.53,32.31,30.62,27.78,27.22,28.56,28.75,27.0,26.16,27.44,29.22,28.81,28.94,31.56,34.38,34.12,32.75,33.06,34.06,33.31,31.53,31.34,33.03,34.28,33.28,33.03,34.47,35.5,33.56,31.25,30.75,31.16,29.84,27.66,27.78,29.34,29.75,28.12,27.72,28.97,29.56,27.62,26.16,27.22,28.66,27.91,26.72,27.5,28.81,27.81,25.56,25.16,26.25,26.28,24.66,24.5,26.75,28.56,28.06,27.28,28.59,30.22,29.69,28.66,29.78,32.06,32.19,30.91,30.88,32.62,33.59,32.38,32.19,33.66,34.59,32.47,29.72,28.72,28.38,26.25,23.66,23.31,24.62,24.88,23.62,24.75,28.25,31.78,32.0,32.66,34.44,35.09,32.75,30.06,29.53,30.19,29.53,27.97,28.44,30.59,31.19,30.06,29.94,31.81,33.12,32.38,31.72,33.25,34.72,33.81,32.09,32.0,33.28,33.34,32.34,32.75,34.91,35.97,34.97,34.53,36.41,38.22,37.44,36.47,37.38,38.44,37.19,34.81,34.16,34.44,32.88,29.66,27.34,26.75,25.97,23.47,22.19,24.12,26.47,26.78,26.94,28.66,31.12,31.09,29.25,29.03,30.47,31.06,29.88,29.97,32.25,33.5,31.94,30.56,31.38,32.88,32.03,30.72,31.16,32.34,31.09,29.0,28.09,28.75,28.31,26.06,24.84,25.69,26.47,25.56,25.06,26.47,28.34,27.59,26.06,25.47,26.03,24.59,22.06,21.03,22.0,22.59,20.91,20.06,21.56,22.75,22.09,21.25,22.19,24.16,24.34,23.72,24.47,26.91,27.72,26.34,25.41,26.34,26.53,24.84,24.31,25.94,28.56,28.53,27.41,27.41,28.19,27.09,25.0,24.31,28.47,29.12,30.59,32.53,33.09,31.84,30.09,30.06,30.38,29.78,29.47,31.12,32.56,32.0,29.97,28.84,28.62,27.53,26.06,26.0,27.88,29.91,30.22,30.91,33.03,34.56,33.44,31.41,30.25,28.97,25.56,20.97,18.0,16.22,14.12:30.31,30.47,29.41,29.53,30.47,29.53,27.06,26.31,27.81,28.59,27.47,27.16,29.16,30.75,29.88,28.34,29.44,31.06,30.62,29.56,30.16,32.0,32.44,31.0,30.53,32.31,33.06,31.44,30.31,31.53,32.78,31.88,30.41,31.72,34.34,35.09,34.47,35.16,36.69,35.88,32.97,31.97,33.44,35.09,34.84,34.25,35.78,36.91,35.56,33.0,32.75,34.0,33.72,32.22,32.19,34.09,34.62,32.88,31.66,32.44,32.47,29.5,26.03,24.94,25.31,24.84,24.16,26.5,30.28,31.5,30.03,29.12,29.56,28.91,25.97,24.0,24.19,24.19,21.78,18.97,18.66,19.41,19.0,17.47,18.25,20.5,21.91,21.69,22.66,26.47,29.53,29.81,29.41,30.97,31.84,30.22,27.62,27.0,27.47,26.88,25.34,26.03,28.75,31.0,30.44,30.53,32.41,33.34,31.59,29.56,29.44,29.69,27.69,24.75,23.97,24.78,24.56,22.97,22.88,24.44,25.31,23.06,21.16,21.28,21.19,18.81,15.62,14.88,14.66,12.88,10.03,9.5,10.75,11.75,11.25,12.25,15.22,17.62,17.59,17.75,19.69,21.84,21.53,20.0,19.97,20.84,19.94,18.22,18.19,20.41,22.25,22.03,21.91,23.72,25.22,23.5,21.25,21.19,21.75,20.69,19.0,20.22,23.28,24.81,24.28,24.78,26.78,27.47,25.88,24.56,25.44,26.12,24.38,22.09,22.22,23.03,21.53,19.41,19.5,21.53,22.91,22.62,23.62,26.09,27.06,25.31,23.88,24.25,25.16,24.09,22.81,23.12,24.41,23.47,21.19,20.47,22.03,23.88,23.94,25.5,29.81,33.22,33.81,34.16,35.59,37.69,37.31,36.5,37.69,39.91,40.0,37.88,36.03,35.56,34.31,31.22,29.28,30.44,32.19,32.16,32.28,34.34,36.31,35.66,33.56,32.75,33.69,33.56,32.19,32.03,33.69,34.56,32.38,29.69,29.03,28.12,25.41,22.38,22.44,24.44,24.72,24.25,25.62,28.34,29.91,29.69,30.09,32.78,35.06,34.84,33.72,34.5,35.62,34.22,32.06,31.34,32.06,30.84,28.53,27.72,29.59,31.0,29.84,29.16,29.84,30.34,28.5,26.22,26.16,27.25,26.09,24.28,24.12,25.25,24.97,23.62,23.12,25.19,27.38,27.31,27.16,29.31,31.09,30.66,29.66,30.5,32.16,32.44,31.38,31.59,33.44,34.44,33.5,32.56,33.16,32.56,29.72,26.62,25.75,25.59,23.53,20.88,20.03,20.56,19.81,18.59,18.56,21.19,23.0,22.44,22.0,23.94,25.69,25.19,24.59,26.47,28.62,28.66,27.69,27.91,29.69,30.22,29.0,28.53,29.59,28.97,25.81,22.44,21.25,21.16,19.84,19.03,21.72,25.44,28.03,29.5,31.91,35.25,37.0,36.25,35.53,36.56,36.62,34.41,32.34,32.91,33.59,32.53,30.28,29.47,29.59,28.12,25.38,24.06,24.97,24.81,22.53,20.22,19.59,18.59,15.09,11.28,10.16,10.41,9.5,8.06,8.25,10.09,11.09,10.97,12.47,15.91,19.28,20.62,21.62,25.47,30.0,32.56,34.47,38.44,42.19,43.44,42.53,41.47,41.03,38.69,34.09,29.41,27.66,26.5,23.91,21.53,21.66,21.88,20.16,17.72,17.66,19.56,20.81,21.44,23.38,27.84,31.28,32.22,32.56,34.41,34.66,32.16,28.88,27.22,26.56,24.19,20.5,19.44,20.22,19.53,17.59,16.22,16.91,16.81,15.06,13.62,15.41,17.69,18.28,18.09,20.06,22.34,22.47,21.22,21.44,23.56,25.44,26.09,27.97,31.81,34.44,33.94,32.5,32.97,34.06,32.75,30.41,30.31,30.56,30.12,28.5,29.09,31.78,34.03,34.34,34.56,36.88,38.41,36.66,33.44,31.81,30.41,27.25,23.78,22.88,23.84,23.88,22.41,21.66,23.12,23.94,23.09,22.78,25.31,28.38,29.12,29.09,30.41,31.75,30.5,27.22,25.66,25.66,25.34,23.78,23.91,26.31,28.22,27.09,25.25,24.69,23.97,21.38,18.31,17.88,19.62,20.81,21.22,22.97,26.28,28.59,28.09,27.38,28.94,30.19,28.59,26.44,26.12,26.03,24.12,22.38,23.59,27.47,30.59,32.19,34.09,36.22,35.91,31.44,26.75,24.0,22.19,19.31,17.38,18.56,20.97,21.44,20.72,21.56,23.97,25.97,26.19,27.38,30.0,31.59,29.25,25.53,22.91,20.59,16.38,11.94,10.72,11.66,11.88,11.38,12.72,15.91,18.41,18.75,19.16,21.78,23.59,23.16,21.25,21.0,20.88,18.22,14.88,14.16,15.56,16.06,15.47,16.38,19.22,21.12,20.47,20.47,22.34,24.56,24.59,24.62,26.5,29.09,29.38,27.62,26.78,26.25,23.78,18.69,15.03,14.22,13.97,11.72,10.12,11.03,12.62,12.44,12.06,13.72,17.0,18.16,17.78,18.69,21.31,22.97,22.06,22.16,24.53,26.72,26.34,26.16,28.28,30.75,30.12,28.28,27.16,26.25,23.28,19.0,16.38,16.81,16.94,15.19,14.84,16.75,18.91,18.84,19.06,21.47,24.72,25.16,24.16,24.06,25.0,24.25,22.0,21.38,23.0,23.97,22.19,19.94,19.38,19.06,16.88,14.53,15.19,17.41,18.59,18.09,19.19,22.03,23.56,22.75,22.75,25.59,28.0,28.16,28.47,30.62,32.31,31.06,27.81,25.69,24.5,21.5,17.06,13.91,13.12,11.47,8.12,6.12,7.41,9.28,9.78,10.88,14.59,19.06,21.47,22.62,24.34,27.09,27.53,25.09,23.28,23.62,23.16,20.53,18.69,18.94,19.75,17.59,15.38,15.25,16.94,16.56,15.56,16.47,19.47,21.16,20.75,21.0,23.53,25.28,25.0,24.81,28.0,31.53,32.22,31.97,32.59,33.75,32.41,28.97,26.62,25.66,23.66,19.91,17.03,17.66,18.66,18.56,18.59,21.03,24.53,25.66,25.72,27.31,30.12,30.88,29.31,28.25,28.84,28.28,25.72,23.97,25.28,27.28,27.44,27.66,30.22,33.25,34.06,32.75,32.19,32.31,30.41,26.88,24.44,24.81,25.53,24.22,23.0,24.5,26.38,25.84,24.75,26.09,28.16,28.28,27.66,28.22,30.69,31.91,31.44,31.06,33.06,34.31,33.31,31.88,32.62,33.41,31.81,29.19,27.97,28.69,27.78,25.84,25.56,28.03,29.53,28.62,28.44,30.47,32.06,31.09,29.62,30.16,31.5,30.5,27.84,27.12,27.75,27.12,25.25,24.72,27.0,29.09,28.5,28.25,30.19,31.78,30.97,29.62,30.75,32.5,32.34,30.94,30.66,32.03,32.28,31.34,31.56,34.34,37.22,37.72,37.31,39.06,40.41,38.75,35.5,34.31,34.25,32.84,30.34,29.41,30.69,30.78,28.72,27.12,28.41,29.53,28.44,27.41,27.97,29.56,29.12,27.59,27.88,29.44,29.16,27.28,26.41,27.88,28.88,27.75,27.28,29.41,31.03,30.16,28.53,29.31,30.81,30.34,28.75,28.41,29.44,28.84,26.38,24.66,25.91,26.53,24.78,23.03,24.22,25.47,24.94,23.09,23.53,24.72,24.0,22.0,21.78,23.38,24.03,22.75,22.5,24.12,25.91,25.91,25.5,27.69,29.91,29.53,28.38,28.97,30.62,31.0,29.91,30.44,32.44,34.12,33.16,32.47,33.38,34.0,32.0,29.38,29.31,30.0,29.03,26.75,26.59,27.66,27.91,26.34,26.44,28.81,30.75,30.81,31.09,33.75,36.0,35.28,33.19,32.53,32.31,30.62,27.78,27.22,28.56,28.75,27.0,26.16,27.44,29.22,28.81,28.94,31.56,34.38,34.12,32.75,33.06,34.06,33.31,31.53,31.34,33.03,34.28,33.28,33.03,34.47,35.5,33.56,31.25,30.75,31.16,29.84,27.66,27.78,29.34,29.75,28.12,27.72,28.97,29.56,27.62,26.16,27.22,28.66,27.91,26.72,27.5,28.81,27.81,25.56,25.16,26.25,26.28,24.66,24.5,26.75,28.56,28.06,27.28,28.59,30.22,29.69,28.66,29.78,32.06,32.19,30.91,30.88,32.62,33.59,32.38,32.19,33.66,34.59,32.47,29.72,28.72,28.38,26.25,23.66,23.31,24.62,24.88,23.62,24.75,28.25,31.78,32.0,32.66,34.44,35.09,32.75,30.06,29.53,30.19,29.53,27.97,28.44,30.59,31.19,30.06,29.94,31.81,33.12,32.38,31.72,33.25,34.72,33.81,32.09,32.0,33.28,33.34,32.34,32.75,34.91,35.97,34.97,34.53,36.41,38.22,37.44,36.47,37.38,38.44,37.19,34.81,34.16,34.44,32.88,29.66,27.34,26.75,25.97,23.47,22.19,24.12,26.47,26.78,26.94,28.66,31.12,31.09,29.25,29.03,30.47,31.06,29.88,29.97,32.25,33.5,31.94,30.56,31.38,32.88,32.03,30.72,31.16,32.34,31.09,29.0,28.09,28.75,28.31,26.06,24.84,25.69,26.47,25.56,25.06,26.47,28.34,27.59,26.06,25.47,26.03,24.59,22.06,21.03,22.0,22.59,20.91,20.06,21.56,22.75,22.09,21.25,22.19,24.16,24.34,23.72,24.47,26.91,27.72,26.34,25.41,26.34,26.53,24.84,24.31,25.94,28.56,28.53,27.41,27.41,28.19,27.09,25.0,24.31,28.47,29.12,30.59,32.53,33.09,31.84,30.09,30.06,30.38,29.78,29.47,31.12,32.56,32.0,29.97,28.84,28.62,27.53,26.06,26.0,27.88,29.91,30.22,30.91,33.03,34.56,33.44,31.41,30.25,28.97,25.56,20.97,18.0,16.22,14.12,12.47,11.94,14.31,16.31,17.44,18.66,21.31:negativity
28.78,26.66,26.16,25.75,24.34,22.28,21.22,21.25,20.22,18.28,17.97,19.0,20.34,20.16,20.38,22.25,24.53,25.0,25.44,27.62,29.97,30.09,29.25,29.62,30.41,30.31,28.5,27.25,26.81,25.62,22.72,20.75,20.25,20.69,19.66,18.53,18.38,18.84,18.44,16.97,16.97,18.16,18.59,17.44,17.25,19.25,22.12,24.25,27.38,32.25,36.75,38.38,38.53,39.34,40.31,40.28,39.25,39.69,40.88,40.75,38.44,36.5,36.19,36.78,37.0,38.81,43.09,47.56,49.5,49.38,48.72,46.06,40.66,33.25,26.5,21.44,16.94,12.59,10.25,10.91,12.66,13.78,15.44,19.31,23.84,27.19,29.94,34.06,38.34,41.19,42.06,43.19,44.53,44.34,41.88,39.16,37.91,36.69,34.41,32.44,32.28,32.94,32.03,30.22,29.78,29.81,28.88,26.22,24.0,23.06,21.69,18.72,17.25,17.72,19.03,19.06,19.06,19.97,21.06,19.81,17.19,15.28,14.06,12.22,9.09,7.41,7.41,8.12,7.91,8.41,11.06,14.12,15.22,15.97,18.0,20.31,21.06,20.59,20.16,20.28,19.44,16.84,15.72,16.56,18.16,18.5,18.84,20.31,22.0,21.53,20.56,21.19,22.53,23.5,23.88,25.06,27.28,29.12,28.47,27.81,28.12,28.34,26.69,25.34,25.78,26.72,26.5,26.09,26.44,27.62,27.91,26.72,25.44,24.91,23.69,20.91,18.66,17.94,17.94,16.97,16.06,16.62,18.0,18.53,18.53,19.66,21.97,23.34,23.41,23.53,24.47,24.69,23.19,21.69,21.88,22.53,21.69,20.31,20.5,21.38,20.88,19.94,19.78,20.59,19.81,17.59,15.09,14.03,13.34,11.47,10.47,11.31,13.16,13.81,14.09,15.25,17.41,17.94,17.84,18.12,19.41,20.22,19.81,19.47,20.88,21.88,21.09,20.25,20.53,21.28,20.56,19.38,19.38,20.12,19.62,17.97,17.38,17.97,17.94,16.78,16.22,17.12,18.38,17.69,17.09,17.66,18.53,17.75,16.56,16.16,16.56,16.03,14.25,13.09,13.66,14.12,13.78,14.16,16.19,18.16,18.16,16.94,16.62,17.19,16.09,14.56,14.28,14.66,14.78,13.78,14.03,16.12,18.56,19.88,21.59,24.38,26.56,26.75,25.72,25.06,24.78,23.16,20.53,18.81,18.19,17.06,15.38,14.91,16.47,18.12,18.5,18.94,20.31,21.88,22.31,22.03,22.56,23.47,23.0,21.38,19.88,19.31,18.5,16.53,15.69,16.34,17.56,17.59,17.0,17.22,17.47,15.84,13.44,11.59,11.12,9.72,8.06,7.62,9.0,9.97,9.91,9.94,11.41,12.97,13.75,14.16,15.91,18.03,19.0,18.84,18.81,19.22,18.41,16.0,13.94,13.22,12.12,9.5,6.72,5.47,4.75,3.56,3.31,5.41,8.62,11.06,12.56,14.22,16.22,17.28,16.84,16.34,16.81,16.53,14.31,11.69,10.22,8.72,6.0,2.94,1.75,1.53,1.16,-0.03,0.09,1.22,2.22,2.03,1.78,2.88,4.06,3.97,3.66,5.12,7.12,7.38,6.5,6.34,6.31,4.84,2.0,-0.59,-1.69,-3.22,-4.94,-5.66,-3.47,-0.5,1.5,3.69,6.94,10.44,12.56,13.53,15.31,17.75,18.94,18.78,17.84,17.88,16.88,14.44,12.03,11.84,11.84,10.5,8.59,7.44,6.88,5.41,3.59,3.09,3.78,3.75,2.72,1.94,3.72,6.19,8.94,12.41,18.47,24.12,27.5,28.88,29.34,28.41,25.5,20.34,15.84,13.0,10.59,7.47,5.66,5.66,5.38,3.84,1.47,0.94,1.12,0.72,0.41,2.19,4.56,6.09,6.56,7.0,8.56,9.88,9.66,9.69,11.03,11.59,10.5,8.84,9.09,9.84,10.09,9.5,9.53,9.78,8.44,5.16,2.16,0.38,-1.28,-3.47,-4.66,-3.19,-0.75,1.34,3.56,7.84,12.75,16.66,19.03,22.19,24.28,24.81,22.91,20.41,18.28,15.5,10.94,6.66,4.12,2.81,1.38,0.31,1.56,3.69,5.25,6.12,8.19,12.03,15.44,17.62,20.16,23.47,26.41,27.38,27.44,28.28,28.34,25.88,21.88,18.78,16.19,13.0,9.66,7.22,6.19,5.0,2.47,0.25,-0.91,-1.25,-2.47,-3.56,-1.97,0.66,3.0,4.94,7.97,11.44,13.22,12.81,11.81,11.38,9.66,6.44,3.91,2.75,2.66,1.78,0.72,1.72,3.28,3.75,3.34,3.81,5.75,7.72,8.28,10.0,12.53,14.19,13.66,11.97,10.97,9.28,5.62,1.75,-0.44,-1.69,-2.94,-4.94,-5.62,-5.47,-5.31,-6.91,-8.22,-8.19,-8.0,-8.66,-8.97,-7.22,-4.31,-3.03,-2.41,-0.38,2.5,4.47,5.31,7.41,10.88,14.16,15.47,16.81,18.84,19.75,18.34,16.22,15.5,15.59,13.84,11.44,9.84,9.19,7.41,4.97,3.5,3.38,3.44,1.81,0.38,0.34,0.22,-1.22,-2.75,-2.34,-0.78,-0.25,-0.47,-0.06,0.47,-0.47,-2.88,-4.88,-5.44,-5.47,-6.44,-6.44,-4.75,-2.75,-2.22,-2.28,-0.91,1.94,4.03,6.22,9.84,14.53,17.88,19.03,19.72,20.44,19.97,17.03,13.78,12.41,11.88,10.31,8.78,8.94,9.75,8.88,7.47,6.91,7.62,8.06,7.12,6.69,6.66,6.31,3.97,1.31,0.31,0.53,0.59,0.66,3.06,7.16,9.59,10.41,10.19,9.72,7.81,3.38,-0.09,-1.75,-2.56,-4.38,-5.38,-4.44,-2.28,-0.66,0.75,3.75,8.06,11.06,12.69,14.25,16.09,16.88,15.06,13.0,11.78,10.72,7.28,3.44,0.53,-1.94,-5.78,-9.84,-11.62,-10.94,-9.03,-6.66,-3.0,2.53,7.78,10.0,11.69,13.5,14.41,12.75,10.06,8.28,7.38,5.19,2.72,1.53,1.91,1.75,0.47,-0.22,0.5,1.69,1.44,1.66,3.66,6.47,7.53,8.0,9.34,11.31,12.19,11.66,11.5,12.12,11.38,8.59,6.44,6.12,6.34,5.12,3.94,3.94,4.22,2.66,0.78,0.12,1.09,1.06,-0.31,-1.06,-0.44,-0.53,-1.84,-2.75,-1.88,-1.28,-2.31,-3.75,-3.88,-3.25,-3.88,-4.94,-5.0,-3.84,-3.16,-3.53,-3.12,-0.78,0.72,0.41,0.03,0.97,1.94,1.72,1.34,2.47,4.75,5.5,5.97,7.34,10.34,12.28,13.25,14.28,16.34,17.81,16.88,15.38,14.78,13.91,10.91,7.28,5.25,4.44,2.56,0.59,0.25,1.75,2.66,2.28,2.31,3.66,4.56,3.59,2.72,3.5,4.34,3.69,2.69,3.22,4.28,4.41,4.34,5.41,8.16,10.66,11.12,11.16,12.16,12.31,10.94,9.41,9.81,10.78,10.09,8.44,7.41,6.75,5.0,2.53,1.44,2.59,3.88,4.06,4.56,6.25,7.41,6.53,5.09,5.06,5.53,4.66,3.19,2.84,3.88,3.53,2.69,2.62,4.03,5.28,4.66,3.47,3.75,4.19,3.28,2.38,3.72,5.88,6.09,5.28,4.72,4.72,3.78,1.91,0.75,2.34,4.22,5.12,6.25,8.69,10.62,10.44,9.56,9.25,9.88,8.91,6.59,4.88,4.34,3.31,1.84,1.31,3.31,5.44,5.94,6.41,7.84,9.44,9.41,8.38,8.12,8.47,7.16,4.28,2.28,1.53,0.25,-1.94,-2.72,-1.38,0.16,0.97,1.44,3.19,5.44,6.44,6.66,8.5,10.88,11.97,12.03,12.25,13.25,13.62,12.38,11.31,12.25,13.47,13.22,12.44,12.53,12.72,11.12,8.59,7.28,7.22,6.31,4.78,4.09,5.31,6.38,6.5,6.91,9.69,12.75,14.34,15.0,16.34,17.16,16.19,13.84,12.78,13.38,13.44,11.88,10.88,11.59,11.41,10.03,8.38,8.41,8.03,6.78,5.16,5.66,7.78,9.28,10.41,12.34,15.34,16.88,16.19,15.09,14.69,13.56,10.62,7.94,7.38,7.75,7.19,6.31,7.47,9.12,9.38,8.47,8.25,9.31,9.66,8.5,8.06,9.22,10.31,9.91,8.62,8.66,8.19,6.0,2.69,0.78,-0.12,-1.78,-3.72,-4.47,-3.34,-2.38,-2.47,-1.97,0.12,2.97,4.47,6.12,9.38,12.91,15.03,15.56,16.41,18.31,18.28,16.47,14.94,14.5,13.44,10.91,8.62,8.09,8.0,6.59,5.09,5.88,7.56,8.66,8.47,9.44,10.94,11.47,10.38,9.28,9.53,9.41,7.53,5.78,6.0,6.66,6.19,5.06,5.53,6.66,7.0,6.16,6.53,8.25,9.34,8.75,8.69,10.31,11.59,12.22,12.84,14.81,16.59,16.72,15.38,14.78,14.62,13.69,11.06,9.34,9.16,9.06,7.91,8.03,10.66,13.28,14.62,15.62,17.53,19.47,19.81,19.19,19.31,19.81,19.28,17.16,16.0,16.22,15.91,14.38,12.91,13.06,12.97,11.34,9.94,9.84,10.88,10.78,9.94,11.0,13.03,14.22,14.03,14.5,16.66,18.81,19.75,21.22,24.91,28.28,30.34,31.38,33.03,34.41,33.22,30.0,27.66,26.66,25.97,24.88,25.06,26.75,28.28,27.94,27.12,27.5,27.53,25.41,22.34,20.44,19.22,17.5,15.28,13.97,13.72,13.09,10.81,8.84,8.47,8.0,5.97,4.06,4.5,5.97,7.19,8.31,11.47,15.41,18.44,19.72,21.28,23.12,23.59,21.38,18.62,17.28,16.0,13.81,12.19,13.41,15.56,17.06,17.94,20.53,23.41,25.06,25.03,25.44,26.72,27.44,26.56,25.84,26.31,25.88,23.28,20.16,18.62,18.0,17.62:21.25,20.22,18.28,17.97,19.0,20.34,20.16,20.38,22.25,24.53,25.0,25.44,27.62,29.97,30.09,29.25,29.62,30.41,30.31,28.5,27.25,26.81,25.62,22.72,20.75,20.25,20.69,19.66,18.53,18.38,18.84,18.44,16.97,16.97,18.16,18.59,17.44,17.25,19.25,22.12,24.25,27.38,32.25,36.75,38.38,38.53,39.34,40.31,40.28,39.25,39.69,40.88,40.75,38.44,36.5,36.19,36.78,37.0,38.81,43.09,47.56,49.5,49.38,48.72,46.06,40.66,33.25,26.5,21.44,16.94,12.59,10.25,10.91,12.66,13.78,15.44,19.31,23.84,27.19,29.94,34.06,38.34,41.19,42.06,43.19,44.53,44.34,41.88,39.16,37.91,36.69,34.41,32.44,32.28,32.94,32.03,30.22,29.78,29.81,28.88,26.22,24.0,23.06,21.69,18.72,17.25,17.72,19.03,19.06,19.06,19.97,21.06,19.81,17.19,15.28,14.06,12.22,9.09,7.41,7.41,8.12,7.91,8.41,11.06,14.12,15.22,15.97,18.0,20.31,21.06,20.59,20.16,20.28,19.44,16.84,15.72,16.56,18.16,18.5,18.84,20.31,22.0,21.53,20.56,21.19,22.53,23.5,23.88,25.06,27.28,29.12,28.47,27.81,28.12,28.34,26.69,25.34,25.78,26.72,26.5,26.09,26.44,27.62,27.91,26.72,25.44,24.91,23.69,20.91,18.66,17.94,17.94,16.97,16.06,16.62,18.0,18.53,18.53,19.66,21.97,23.34,23.41,23.53,24.47,24.69,23.19,21.69,21.88,22.53,21.69,20.31,20.5,21.38,20.88,19.94,19.78,20.59,19.81,17.59,15.09,14.03,13.34,11.47,10.47,11.31,13.16,13.81,14.09,15.25,17.41,17.94,17.84,18.12,19.41,20.22,19.81,19.47,20.88,21.88,21.09,20.25,20.53,21.28,20.56,19.38,19.38,20.12,19.62,17.97,17.38,17.97,17.94,16.78,16.22,17.12,18.38,17.69,17.09,17.66,18.53,17.75,16.56,16.16,16.56,16.03,14.25,13.09,13.66,14.12,13.78,14.16,16.19,18.16,18.16,16.94,16.62,17.19,16.09,14.56,14.28,14.66,14.78,13.78,14.03,16.12,18.56,19.88,21.59,24.38,26.56,26.75,25.72,25.06,24.78,23.16,20.53,18.81,18.19,17.06,15.38,14.91,16.47,18.12,18.5,18.94,20.31,21.88,22.31,22.03,22.56,23.47,23.0,21.38,19.88,19.31,18.5,16.53,15.69,16.34,17.56,17.59,17.0,17.22,17.47,15.84,13.44,11.59,11.12,9.72,8.06,7.62,9.0,9.97,9.91,9.94,11.41,12.97,13.75,14.16,15.91,18.03,19.0,18.84,18.81,19.22,18.41,16.0,13.94,13.22,12.12,9.5,6.72,5.47,4.75,3.56,3.31,5.41,8.62,11.06,12.56,14.22,16.22,17.28,16.84,16.34,16.81,16.53,14.31,11.69,10.22,8.72,6.0,2.94,1.75,1.53,1.16,-0.03,0.09,1.22,2.22,2.03,1.78,2.88,4.06,3.97,3.66,5.12,7.12,7.38,6.5,6.34,6.31,4.84,2.0,-0.59,-1.69,-3.22,-4.94,-5.66,-3.47,-0.5,1.5,3.69,6.94,10.44,12.56,13.53,15.31,17.75,18.94,18.78,17.84,17.88,16.88,14.44,12.03,11.84,11.84,10.5,8.59,7.44,6.88,5.41,3.59,3.09,3.78,3.75,2.72,1.94,3.72,6.19,8.94,12.41,18.47,24.12,27.5,28.88,29.34,28.41,25.5,20.34,15.84,13.0,10.59,7.47,5.66,5.66,5.38,3.84,1.47,0.94,1.12,0.72,0.41,2.19,4.56,6.09,6.56,7.0,8.56,9.88,9.66,9.69,11.03,11.59,10.5,8.84,9.09,9.84,10.09,9.5,9.53,9.78,8.44,5.16,2.16,0.38,-1.28,-3.47,-4.66,-3.19,-0.75,1.34,3.56,7.84,12.75,16.66,19.03,22.19,24.28,24.81,22.91,20.41,18.28,15.5,10.94,6.66,4.12,2.81,1.38,0.31,1.56,3.69,5.25,6.12,8.19,12.03,15.44,17.62,20.16,23.47,26.41,27.38,27.44,28.28,28.34,25.88,21.88,18.78,16.19,13.0,9.66,7.22,6.19,5.0,2.47,0.25,-0.91,-1.25,-2.47,-3.56,-1.97,0.66,3.0,4.94,7.97,11.44,13.22,12.81,11.81,11.38,9.66,6.44,3.91,2.75,2.66,1.78,0.72,1.72,3.28,3.75,3.34,3.81,5.75,7.72,8.28,10.0,12.53,14.19,13.66,11.97,10.97,9.28,5.62,1.75,-0.44,-1.69,-2.94,-4.94,-5.62,-5.47,-5.31,-6.91,-8.22,-8.19,-8.0,-8.66,-8.97,-7.22,-4.31,-3.03,-2.41,-0.38,2.5,4.47,5.31,7.41,10.88,14.16,15.47,16.81,18.84,19.75,18.34,16.22,15.5,15.59,13.84,11.44,9.84,9.19,7.41,4.97,3.5,3.38,3.44,1.81,0.38,0.34,0.22,-1.22,-2.75,-2.34,-0.78,-0.25,-0.47,-0.06,0.47,-0.47,-2.88,-4.88,-5.44,-5.47,-6.44,-6.44,-4.75,-2.75,-2.22,-2.28,-0.91,1.94,4.03,6.22,9.84,14.53,17.88,19.03,19.72,20.44,19.97,17.03,13.78,12.41,11.88,10.31,8.78,8.94,9.75,8.88,7.47,6.91,7.62,8.06,7.12,6.69,6.66,6.31,3.97,1.31,0.31,0.53,0.59,0.66,3.06,7.16,9.59,10.41,10.19,9.72,7.81,3.38,-0.09,-1.75,-2.56,-4.38,-5.38,-4.44,-2.28,-0.66,0.75,3.75,8.06,11.06,12.69,14.25,16.09,16.88,15.06,13.0,11.78,10.72,7.28,3.44,0.53,-1.94,-5.78,-9.84,-11.62,-10.94,-9.03,-6.66,-3.0,2.53,7.78,10.0,11.69,13.5,14.41,12.75,10.06,8.28,7.38,5.19,2.72,1.53,1.91,1.75,0.47,-0.22,0.5,1.69,1.44,1.66,3.66,6.47,7.53,8.0,9.34,11.31,12.19,11.66,11.5,12.12,11.38,8.59,6.44,6.12,6.34,5.12,3.94,3.94,4.22,2.66,0.78,0.12,1.09,1.06,-0.31,-1.06,-0.44,-0.53,-1.84,-2.75,-1.88,-1.28,-2.31,-3.75,-3.88,-3.25,-3.88,-4.94,-5.0,-3.84,-3.16,-3.53,-3.12,-0.78,0.72,0.41,0.03,0.97,1.94,1.72,1.34,2.47,4.75,5.5,5.97,7.34,10.34,12.28,13.25,14.28,16.34,17.81,16.88,15.38,14.78,13.91,10.91,7.28,5.25,4.44,2.56,0.59,0.25,1.75,2.66,2.28,2.31,3.66,4.56,3.59,2.72,3.5,4.34,3.69,2.69,3.22,4.28,4.41,4.34,5.41,8.16,10.66,11.12,11.16,12.16,12.31,10.94,9.41,9.81,10.78,10.09,8.44,7.41,6.75,5.0,2.53,1.44,2.59,3.88,4.06,4.56,6.25,7.41,6.53,5.09,5.06,5.53,4.66,3.19,2.84,3.88,3.53,2.69,2.62,4.03,5.28,4.66,3.47,3.75,4.19,3.28,2.38,3.72,5.88,6.09,5.28,4.72,4.72,3.78,1.91,0.75,2.34,4.22,5.12,6.25,8.69,10.62,10.44,9.56,9.25,9.88,8.91,6.59,4.88,4.34,3.31,1.84,1.31,3.31,5.44,5.94,6.41,7.84,9.44,9.41,8.38,8.12,8.47,7.16,4.28,2.28,1.53,0.25,-1.94,-2.72,-1.38,0.16,0.97,1.44,3.19,5.44,6.44,6.66,8.5,10.88,11.97,12.03,12.25,13.25,13.62,12.38,11.31,12.25,13.47,13.22,12.44,12.53,12.72,11.12,8.59,7.28,7.22,6.31,4.78,4.09,5.31,6.38,6.5,6.91,9.69,12.75,14.34,15.0,16.34,17.16,16.19,13.84,12.78,13.38,13.44,11.88,10.88,11.59,11.41,10.03,8.38,8.41,8.03,6.78,5.16,5.66,7.78,9.28,10.41,12.34,15.34,16.88,16.19,15.09,14.69,13.56,10.62,7.94,7.38,7.75,7.19,6.31,7.47,9.12,9.38,8.47,8.25,9.31,9.66,8.5,8.06,9.22,10.31,9.91,8.62,8.66,8.19,6.0,2.69,0.78,-0.12,-1.78,-3.72,-4.47,-3.34,-2.38,-2.47,-1.97,0.12,2.97,4.47,6.12,9.38,12.91,15.03,15.56,16.41,18.31,18.28,16.47,14.94,14.5,13.44,10.91,8.62,8.09,8.0,6.59,5.09,5.88,7.56,8.66,8.47,9.44,10.94,11.47,10.38,9.28,9.53,9.41,7.53,5.78,6.0,6.66,6.19,5.06,5.53,6.66,7.0,6.16,6.53,8.25,9.34,8.75,8.69,10.31,11.59,12.22,12.84,14.81,16.59,16.72,15.38,14.78,14.62,13.69,11.06,9.34,9.16,9.06,7.91,8.03,10.66,13.28,14.62,15.62,17.53,19.47,19.81,19.19,19.31,19.81,19.28,17.16,16.0,16.22,15.91,14.38,12.91,13.06,12.97,11.34,9.94,9.84,10.88,10.78,9.94,11.0,13.03,14.22,14.03,14.5,16.66,18.81,19.75,21.22,24.91,28.28,30.34,31.38,33.03,34.41,33.22,30.0,27.66,26.66,25.97,24.88,25.06,26.75,28.28,27.94,27.12,27.5,27.53,25.41,22.34,20.44,19.22,17.5,15.28,13.97,13.72,13.09,10.81,8.84,8.47,8.0,5.97,4.06,4.5,5.97,7.19,8.31,11.47,15.41,18.44,19.72,21.28,23.12,23.59,21.38,18.62,17.28,16.0,13.81,12.19,13.41,15.56,17.06,17.94,20.53,23.41,25.06,25.03,25.44,26.72,27.44,26.56,25.84,26.31,25.88,23.28,20.16,18.62,18.0,17.62,38.78,38.53,37.38,36.22,35.59,34.69,33.38:20.38,22.25,24.53,25.0,25.44,27.62,29.97,30.09,29.25,29.62,30.41,30.31,28.5,27.25,26.81,25.62,22.72,20.75,20.25,20.69,19.66,18.53,18.38,18.84,18.44,16.97,16.97,18.16,18.59,17.44,17.25,19.25,22.12,24.25,27.38,32.25,36.75,38.38,38.53,39.34,40.31,40.28,39.25,39.69,40.88,40.75,38.44,36.5,36.19,36.78,37.0,38.81,43.09,47.56,49.5,49.38,48.72,46.06,40.66,33.25,26.5,21.44,16.94,12.59,10.25,10.91,12.66,13.78,15.44,19.31,23.84,27.19,29.94,34.06,38.34,41.19,42.06,43.19,44.53,44.34,41.88,39.16,37.91,36.69,34.41,32.44,32.28,32.94,32.03,30.22,29.78,29.81,28.88,26.22,24.0,23.06,21.69,18.72,17.25,17.72,19.03,19.06,19.06,19.97,21.06,19.81,17.19,15.28,14.06,12.22,9.09,7.41,7.41,8.12,7.91,8.41,11.06,14.12,15.22,15.97,18.0,20.31,21.06,20.59,20.16,20.28,19.44,16.84,15.72,16.56,18.16,18.5,18.84,20.31,22.0,21.53,20.56,21.19,22.53,23.5,23.88,25.06,27.28,29.12,28.47,27.81,28.12,28.34,26.69,25.34,25.78,26.72,26.5,26.09,26.44,27.62,27.91,26.72,25.44,24.91,23.69,20.91,18.66,17.94,17.94,16.97,16.06,16.62,18.0,18.53,18.53,19.66,21.97,23.34,23.41,23.53,24.47,24.69,23.19,21.69,21.88,22.53,21.69,20.31,20.5,21.38,20.88,19.94,19.78,20.59,19.81,17.59,15.09,14.03,13.34,11.47,10.47,11.31,13.16,13.81,14.09,15.25,17.41,17.94,17.84,18.12,19.41,20.22,19.81,19.47,20.88,21.88,21.09,20.25,20.53,21.28,20.56,19.38,19.38,20.12,19.62,17.97,17.38,17.97,17.94,16.78,16.22,17.12,18.38,17.69,17.09,17.66,18.53,17.75,16.56,16.16,16.56,16.03,14.25,13.09,13.66,14.12,13.78,14.16,16.19,18.16,18.16,16.94,16.62,17.19,16.09,14.56,14.28,14.66,14.78,13.78,14.03,16.12,18.56,19.88,21.59,24.38,26.56,26.75,25.72,25.06,24.78,23.16,20.53,18.81,18.19,17.06,15.38,14.91,16.47,18.12,18.5,18.94,20.31,21.88,22.31,22.03,22.56,23.47,23.0,21.38,19.88,19.31,18.5,16.53,15.69,16.34,17.56,17.59,17.0,17.22,17.47,15.84,13.44,11.59,11.12,9.72,8.06,7.62,9.0,9.97,9.91,9.94,11.41,12.97,13.75,14.16,15.91,18.03,19.0,18.84,18.81,19.22,18.41,16.0,13.94,13.22,12.12,9.5,6.72,5.47,4.75,3.56,3.31,5.41,8.62,11.06,12.56,14.22,16.22,17.28,16.84,16.34,16.81,16.53,14.31,11.69,10.22,8.72,6.0,2.94,1.75,1.53,1.16,-0.03,0.09,1.22,2.22,2.03,1.78,2.88,4.06,3.97,3.66,5.12,7.12,7.38,6.5,6.34,6.31,4.84,2.0,-0.59,-1.69,-3.22,-4.94,-5.66,-3.47,-0.5,1.5,3.69,6.94,10.44,12.56,13.53,15.31,17.75,18.94,18.78,17.84,17.88,16.88,14.44,12.03,11.84,11.84,10.5,8.59,7.44,6.88,5.41,3.59,3.09,3.78,3.75,2.72,1.94,3.72,6.19,8.94,12.41,18.47,24.12,27.5,28.88,29.34,28.41,25.5,20.34,15.84,13.0,10.59,7.47,5.66,5.66,5.38,3.84,1.47,0.94,1.12,0.72,0.41,2.19,4.56,6.09,6.56,7.0,8.56,9.88,9.66,9.69,11.03,11.59,10.5,8.84,9.09,9.84,10.09,9.5,9.53,9.78,8.44,5.16,2.16,0.38,-1.28,-3.47,-4.66,-3.19,-0.75,1.34,3.56,7.84,12.75,16.66,19.03,22.19,24.28,24.81,22.91,20.41,18.28,15.5,10.94,6.66,4.12,2.81,1.38,0.31,1.56,3.69,5.25,6.12,8.19,12.03,15.44,17.62,20.16,23.47,26.41,27.38,27.44,28.28,28.34,25.88,21.88,18.78,16.19,13.0,9.66,7.22,6.19,5.0,2.47,0.25,-0.91,-1.25,-2.47,-3.56,-1.97,0.66,3.0,4.94,7.97,11.44,13.22,12.81,11.81,11.38,9.66,6.44,3.91,2.75,2.66,1.78,0.72,1.72,3.28,3.75,3.34,3.81,5.75,7.72,8.28,10.0,12.53,14.19,13.66,11.97,10.97,9.28,5.62,1.75,-0.44,-1.69,-2.94,-4.94,-5.62,-5.47,-5.31,-6.91,-8.22,-8.19,-8.0,-8.66,-8.97,-7.22,-4.31,-3.03,-2.41,-0.38,2.5,4.47,5.31,7.41,10.88,14.16,15.47,16.81,18.84,19.75,18.34,16.22,15.5,15.59,13.84,11.44,9.84,9.19,7.41,4.97,3.5,3.38,3.44,1.81,0.38,0.34,0.22,-1.22,-2.75,-2.34,-0.78,-0.25,-0.47,-0.06,0.47,-0.47,-2.88,-4.88,-5.44,-5.47,-6.44,-6.44,-4.75,-2.75,-2.22,-2.28,-0.91,1.94,4.03,6.22,9.84,14.53,17.88,19.03,19.72,20.44,19.97,17.03,13.78,12.41,11.88,10.31,8.78,8.94,9.75,8.88,7.47,6.91,7.62,8.06,7.12,6.69,6.66,6.31,3.97,1.31,0.31,0.53,0.59,0.66,3.06,7.16,9.59,10.41,10.19,9.72,7.81,3.38,-0.09,-1.75,-2.56,-4.38,-5.38,-4.44,-2.28,-0.66,0.75,3.75,8.06,11.06,12.69,14.25,16.09,16.88,15.06,13.0,11.78,10.72,7.28,3.44,0.53,-1.94,-5.78,-9.84,-11.62,-10.94,-9.03,-6.66,-3.0,2.53,7.78,10.0,11.69,13.5,14.41,12.75,10.06,8.28,7.38,5.19,2.72,1.53,1.91,1.75,0.47,-0.22,0.5,1.69,1.44,1.66,3.66,6.47,7.53,8.0,9.34,11.31,12.19,11.66,11.5,12.12,11.38,8.59,6.44,6.12,6.34,5.12,3.94,3.94,4.22,2.66,0.78,0.12,1.09,1.06,-0.31,-1.06,-0.44,-0.53,-1.84,-2.75,-1.88,-1.28,-2.31,-3.75,-3.88,-3.25,-3.88,-4.94,-5.0,-3.84,-3.16,-3.53,-3.12,-0.78,0.72,0.41,0.03,0.97,1.94,1.72,1.34,2.47,4.75,5.5,5.97,7.34,10.34,12.28,13.25,14.28,16.34,17.81,16.88,15.38,14.78,13.91,10.91,7.28,5.25,4.44,2.56,0.59,0.25,1.75,2.66,2.28,2.31,3.66,4.56,3.59,2.72,3.5,4.34,3.69,2.69,3.22,4.28,4.41,4.34,5.41,8.16,10.66,11.12,11.16,12.16,12.31,10.94,9.41,9.81,10.78,10.09,8.44,7.41,6.75,5.0,2.53,1.44,2.59,3.88,4.06,4.56,6.25,7.41,6.53,5.09,5.06,5.53,4.66,3.19,2.84,3.88,3.53,2.69,2.62,4.03,5.28,4.66,3.47,3.75,4.19,3.28,2.38,3.72,5.88,6.09,5.28,4.72,4.72,3.78,1.91,0.75,2.34,4.22,5.12,6.25,8.69,10.62,10.44,9.56,9.25,9.88,8.91,6.59,4.88,4.34,3.31,1.84,1.31,3.31,5.44,5.94,6.41,7.84,9.44,9.41,8.38,8.12,8.47,7.16,4.28,2.28,1.53,0.25,-1.94,-2.72,-1.38,0.16,0.97,1.44,3.19,5.44,6.44,6.66,8.5,10.88,11.97,12.03,12.25,13.25,13.62,12.38,11.31,12.25,13.47,13.22,12.44,12.53,12.72,11.12,8.59,7.28,7.22,6.31,4.78,4.09,5.31,6.38,6.5,6.91,9.69,12.75,14.34,15.0,16.34,17.16,16.19,13.84,12.78,13.38,13.44,11.88,10.88,11.59,11.41,10.03,8.38,8.41,8.03,6.78,5.16,5.66,7.78,9.28,10.41,12.34,15.34,16.88,16.19,15.09,14.69,13.56,10.62,7.94,7.38,7.75,7.19,6.31,7.47,9.12,9.38,8.47,8.25,9.31,9.66,8.5,8.06,9.22,10.31,9.91,8.62,8.66,8.19,6.0,2.69,0.78,-0.12,-1.78,-3.72,-4.47,-3.34,-2.38,-2.47,-1.97,0.12,2.97,4.47,6.12,9.38,12.91,15.03,15.56,16.41,18.31,18.28,16.47,14.94,14.5,13.44,10.91,8.62,8.09,8.0,6.59,5.09,5.88,7.56,8.66,8.47,9.44,10.94,11.47,10.38,9.28,9.53,9.41,7.53,5.78,6.0,6.66,6.19,5.06,5.53,6.66,7.0,6.16,6.53,8.25,9.34,8.75,8.69,10.31,11.59,12.22,12.84,14.81,16.59,16.72,15.38,14.78,14.62,13.69,11.06,9.34,9.16,9.06,7.91,8.03,10.66,13.28,14.62,15.62,17.53,19.47,19.81,19.19,19.31,19.81,19.28,17.16,16.0,16.22,15.91,14.38,12.91,13.06,12.97,11.34,9.94,9.84,10.88,10.78,9.94,11.0,13.03,14.22,14.03,14.5,16.66,18.81,19.75,21.22,24.91,28.28,30.34,31.38,33.03,34.41,33.22,30.0,27.66,26.66,25.97,24.88,25.06,26.75,28.28,27.94,27.12,27.5,27.53,25.41,22.34,20.44,19.22,17.5,15.28,13.97,13.72,13.09,10.81,8.84,8.47,8.0,5.97,4.06,4.5,5.97,7.19,8.31,11.47,15.41,18.44,19.72,21.28,23.12,23.59,21.38,18.62,17.28,16.0,13.81,12.19,13.41,15.56,17.06,17.94,20.53,23.41,25.06,25.03,25.44,26.72,27.44,26.56,25.84,26.31,25.88,23.28,20.16,18.62,18.0,17.62,38.78,38.53,37.38,36.22,35.59,34.69,33.38,32.09,31.38,30.22,29.0,27.25,26.03,25.0:30.09,29.25,29.62,30.41,30.31,28.5,27.25,26.81,25.62,22.72,20.75,20.25,20.69,19.66,18.53,18.38,18.84,18.44,16.97,16.97,18.16,18.59,17.44,17.25,19.25,22.12,24.25,27.38,32.25,36.75,38.38,38.53,39.34,40.31,40.28,39.25,39.69,40.88,40.75,38.44,36.5,36.19,36.78,37.0,38.81,43.09,47.56,49.5,49.38,48.72,46.06,40.66,33.25,26.5,21.44,16.94,12.59,10.25,10.91,12.66,13.78,15.44,19.31,23.84,27.19,29.94,34.06,38.34,41.19,42.06,43.19,44.53,44.34,41.88,39.16,37.91,36.69,34.41,32.44,32.28,32.94,32.03,30.22,29.78,29.81,28.88,26.22,24.0,23.06,21.69,18.72,17.25,17.72,19.03,19.06,19.06,19.97,21.06,19.81,17.19,15.28,14.06,12.22,9.09,7.41,7.41,8.12,7.91,8.41,11.06,14.12,15.22,15.97,18.0,20.31,21.06,20.59,20.16,20.28,19.44,16.84,15.72,16.56,18.16,18.5,18.84,20.31,22.0,21.53,20.56,21.19,22.53,23.5,23.88,25.06,27.28,29.12,28.47,27.81,28.12,28.34,26.69,25.34,25.78,26.72,26.5,26.09,26.44,27.62,27.91,26.72,25.44,24.91,23.69,20.91,18.66,17.94,17.94,16.97,16.06,16.62,18.0,18.53,18.53,19.66,21.97,23.34,23.41,23.53,24.47,24.69,23.19,21.69,21.88,22.53,21.69,20.31,20.5,21.38,20.88,19.94,19.78,20.59,19.81,17.59,15.09,14.03,13.34,11.47,10.47,11.31,13.16,13.81,14.09,15.25,17.41,17.94,17.84,18.12,19.41,20.22,19.81,19.47,20.88,21.88,21.09,20.25,20.53,21.28,20.56,19.38,19.38,20.12,19.62,17.97,17.38,17.97,17.94,16.78,16.22,17.12,18.38,17.69,17.09,17.66,18.53,17.75,16.56,16.16,16.56,16.03,14.25,13.09,13.66,14.12,13.78,14.16,16.19,18.16,18.16,16.94,16.62,17.19,16.09,14.56,14.28,14.66,14.78,13.78,14.03,16.12,18.56,19.88,21.59,24.38,26.56,26.75,25.72,25.06,24.78,23.16,20.53,18.81,18.19,17.06,15.38,14.91,16.47,18.12,18.5,18.94,20.31,21.88,22.31,22.03,22.56,23.47,23.0,21.38,19.88,19.31,18.5,16.53,15.69,16.34,17.56,17.59,17.0,17.22,17.47,15.84,13.44,11.59,11.12,9.72,8.06,7.62,9.0,9.97,9.91,9.94,11.41,12.97,13.75,14.16,15.91,18.03,19.0,18.84,18.81,19.22,18.41,16.0,13.94,13.22,12.12,9.5,6.72,5.47,4.75,3.56,3.31,5.41,8.62,11.06,12.56,14.22,16.22,17.28,16.84,16.34,16.81,16.53,14.31,11.69,10.22,8.72,6.0,2.94,1.75,1.53,1.16,-0.03,0.09,1.22,2.22,2.03,1.78,2.88,4.06,3.97,3.66,5.12,7.12,7.38,6.5,6.34,6.31,4.84,2.0,-0.59,-1.69,-3.22,-4.94,-5.66,-3.47,-0.5,1.5,3.69,6.94,10.44,12.56,13.53,15.31,17.75,18.94,18.78,17.84,17.88,16.88,14.44,12.03,11.84,11.84,10.5,8.59,7.44,6.88,5.41,3.59,3.09,3.78,3.75,2.72,1.94,3.72,6.19,8.94,12.41,18.47,24.12,27.5,28.88,29.34,28.41,25.5,20.34,15.84,13.0,10.59,7.47,5.66,5.66,5.38,3.84,1.47,0.94,1.12,0.72,0.41,2.19,4.56,6.09,6.56,7.0,8.56,9.88,9.66,9.69,11.03,11.59,10.5,8.84,9.09,9.84,10.09,9.5,9.53,9.78,8.44,5.16,2.16,0.38,-1.28,-3.47,-4.66,-3.19,-0.75,1.34,3.56,7.84,12.75,16.66,19.03,22.19,24.28,24.81,22.91,20.41,18.28,15.5,10.94,6.66,4.12,2.81,1.38,0.31,1.56,3.69,5.25,6.12,8.19,12.03,15.44,17.62,20.16,23.47,26.41,27.38,27.44,28.28,28.34,25.88,21.88,18.78,16.19,13.0,9.66,7.22,6.19,5.0,2.47,0.25,-0.91,-1.25,-2.47,-3.56,-1.97,0.66,3.0,4.94,7.97,11.44,13.22,12.81,11.81,11.38,9.66,6.44,3.91,2.75,2.66,1.78,0.72,1.72,3.28,3.75,3.34,3.81,5.75,7.72,8.28,10.0,12.53,14.19,13.66,11.97,10.97,9.28,5.62,1.75,-0.44,-1.69,-2.94,-4.94,-5.62,-5.47,-5.31,-6.91,-8.22,-8.19,-8.0,-8.66,-8.97,-7.22,-4.31,-3.03,-2.41,-0.38,2.5,4.47,5.31,7.41,10.88,14.16,15.47,16.81,18.84,19.75,18.34,16.22,15.5,15.59,13.84,11.44,9.84,9.19,7.41,4.97,3.5,3.38,3.44,1.81,0.38,0.34,0.22,-1.22,-2.75,-2.34,-0.78,-0.25,-0.47,-0.06,0.47,-0.47,-2.88,-4.88,-5.44,-5.47,-6.44,-6.44,-4.75,-2.75,-2.22,-2.28,-0.91,1.94,4.03,6.22,9.84,14.53,17.88,19.03,19.72,20.44,19.97,17.03,13.78,12.41,11.88,10.31,8.78,8.94,9.75,8.88,7.47,6.91,7.62,8.06,7.12,6.69,6.66,6.31,3.97,1.31,0.31,0.53,0.59,0.66,3.06,7.16,9.59,10.41,10.19,9.72,7.81,3.38,-0.09,-1.75,-2.56,-4.38,-5.38,-4.44,-2.28,-0.66,0.75,3.75,8.06,11.06,12.69,14.25,16.09,16.88,15.06,13.0,11.78,10.72,7.28,3.44,0.53,-1.94,-5.78,-9.84,-11.62,-10.94,-9.03,-6.66,-3.0,2.53,7.78,10.0,11.69,13.5,14.41,12.75,10.06,8.28,7.38,5.19,2.72,1.53,1.91,1.75,0.47,-0.22,0.5,1.69,1.44,1.66,3.66,6.47,7.53,8.0,9.34,11.31,12.19,11.66,11.5,12.12,11.38,8.59,6.44,6.12,6.34,5.12,3.94,3.94,4.22,2.66,0.78,0.12,1.09,1.06,-0.31,-1.06,-0.44,-0.53,-1.84,-2.75,-1.88,-1.28,-2.31,-3.75,-3.88,-3.25,-3.88,-4.94,-5.0,-3.84,-3.16,-3.53,-3.12,-0.78,0.72,0.41,0.03,0.97,1.94,1.72,1.34,2.47,4.75,5.5,5.97,7.34,10.34,12.28,13.25,14.28,16.34,17.81,16.88,15.38,14.78,13.91,10.91,7.28,5.25,4.44,2.56,0.59,0.25,1.75,2.66,2.28,2.31,3.66,4.56,3.59,2.72,3.5,4.34,3.69,2.69,3.22,4.28,4.41,4.34,5.41,8.16,10.66,11.12,11.16,12.16,12.31,10.94,9.41,9.81,10.78,10.09,8.44,7.41,6.75,5.0,2.53,1.44,2.59,3.88,4.06,4.56,6.25,7.41,6.53,5.09,5.06,5.53,4.66,3.19,2.84,3.88,3.53,2.69,2.62,4.03,5.28,4.66,3.47,3.75,4.19,3.28,2.38,3.72,5.88,6.09,5.28,4.72,4.72,3.78,1.91,0.75,2.34,4.22,5.12,6.25,8.69,10.62,10.44,9.56,9.25,9.88,8.91,6.59,4.88,4.34,3.31,1.84,1.31,3.31,5.44,5.94,6.41,7.84,9.44,9.41,8.38,8.12,8.47,7.16,4.28,2.28,1.53,0.25,-1.94,-2.72,-1.38,0.16,0.97,1.44,3.19,5.44,6.44,6.66,8.5,10.88,11.97,12.03,12.25,13.25,13.62,12.38,11.31,12.25,13.47,13.22,12.44,12.53,12.72,11.12,8.59,7.28,7.22,6.31,4.78,4.09,5.31,6.38,6.5,6.91,9.69,12.75,14.34,15.0,16.34,17.16,16.19,13.84,12.78,13.38,13.44,11.88,10.88,11.59,11.41,10.03,8.38,8.41,8.03,6.78,5.16,5.66,7.78,9.28,10.41,12.34,15.34,16.88,16.19,15.09,14.69,13.56,10.62,7.94,7.38,7.75,7.19,6.31,7.47,9.12,9.38,8.47,8.25,9.31,9.66,8.5,8.06,9.22,10.31,9.91,8.62,8.66,8.19,6.0,2.69,0.78,-0.12,-1.78,-3.72,-4.47,-3.34,-2.38,-2.47,-1.97,0.12,2.97,4.47,6.12,9.38,12.91,15.03,15.56,16.41,18.31,18.28,16.47,14.94,14.5,13.44,10.91,8.62,8.09,8.0,6.59,5.09,5.88,7.56,8.66,8.47,9.44,10.94,11.47,10.38,9.28,9.53,9.41,7.53,5.78,6.0,6.66,6.19,5.06,5.53,6.66,7.0,6.16,6.53,8.25,9.34,8.75,8.69,10.31,11.59,12.22,12.84,14.81,16.59,16.72,15.38,14.78,14.62,13.69,11.06,9.34,9.16,9.06,7.91,8.03,10.66,13.28,14.62,15.62,17.53,19.47,19.81,19.19,19.31,19.81,19.28,17.16,16.0,16.22,15.91,14.38,12.91,13.06,12.97,11.34,9.94,9.84,10.88,10.78,9.94,11.0,13.03,14.22,14.03,14.5,16.66,18.81,19.75,21.22,24.91,28.28,30.34,31.38,33.03,34.41,33.22,30.0,27.66,26.66,25.97,24.88,25.06,26.75,28.28,27.94,27.12,27.5,27.53,25.41,22.34,20.44,19.22,17.5,15.28,13.97,13.72,13.09,10.81,8.84,8.47,8.0,5.97,4.06,4.5,5.97,7.19,8.31,11.47,15.41,18.44,19.72,21.28,23.12,23.59,21.38,18.62,17.28,16.0,13.81,12.19,13.41,15.56,17.06,17.94,20.53,23.41,25.06,25.03,25.44,26.72,27.44,26.56,25.84,26.31,25.88,23.28,20.16,18.62,18.0,17.62,38.78,38.53,37.38,36.22,35.59,34.69,33.38,32.09,31.38,30.22,29.0,27.25,26.03,25.0,23.91,22.94,22.75,23.78,25.25,26.84,28.62:26.81,25.62,22.72,20.75,20.25,20.69,19.66,18.53,18.38,18.84,18.44,16.97,16.97,18.16,18.59,17.44,17.25,19.25,22.12,24.25,27.38,32.25,36.75,38.38,38.53,39.34,40.31,40.28,39.25,39.69,40.88,40.75,38.44,36.5,36.19,36.78,37.0,38.81,43.09,47.56,49.5,49.38,48.72,46.06,40.66,33.25,26.5,21.44,16.94,12.59,10.25,10.91,12.66,13.78,15.44,19.31,23.84,27.19,29.94,34.06,38.34,41.19,42.06,43.19,44.53,44.34,41.88,39.16,37.91,36.69,34.41,32.44,32.28,32.94,32.03,30.22,29.78,29.81,28.88,26.22,24.0,23.06,21.69,18.72,17.25,17.72,19.03,19.06,19.06,19.97,21.06,19.81,17.19,15.28,14.06,12.22,9.09,7.41,7.41,8.12,7.91,8.41,11.06,14.12,15.22,15.97,18.0,20.31,21.06,20.59,20.16,20.28,19.44,16.84,15.72,16.56,18.16,18.5,18.84,20.31,22.0,21.53,20.56,21.19,22.53,23.5,23.88,25.06,27.28,29.12,28.47,27.81,28.12,28.34,26.69,25.34,25.78,26.72,26.5,26.09,26.44,27.62,27.91,26.72,25.44,24.91,23.69,20.91,18.66,17.94,17.94,16.97,16.06,16.62,18.0,18.53,18.53,19.66,21.97,23.34,23.41,23.53,24.47,24.69,23.19,21.69,21.88,22.53,21.69,20.31,20.5,21.38,20.88,19.94,19.78,20.59,19.81,17.59,15.09,14.03,13.34,11.47,10.47,11.31,13.16,13.81,14.09,15.25,17.41,17.94,17.84,18.12,19.41,20.22,19.81,19.47,20.88,21.88,21.09,20.25,20.53,21.28,20.56,19.38,19.38,20.12,19.62,17.97,17.38,17.97,17.94,16.78,16.22,17.12,18.38,17.69,17.09,17.66,18.53,17.75,16.56,16.16,16.56,16.03,14.25,13.09,13.66,14.12,13.78,14.16,16.19,18.16,18.16,16.94,16.62,17.19,16.09,14.56,14.28,14.66,14.78,13.78,14.03,16.12,18.56,19.88,21.59,24.38,26.56,26.75,25.72,25.06,24.78,23.16,20.53,18.81,18.19,17.06,15.38,14.91,16.47,18.12,18.5,18.94,20.31,21.88,22.31,22.03,22.56,23.47,23.0,21.38,19.88,19.31,18.5,16.53,15.69,16.34,17.56,17.59,17.0,17.22,17.47,15.84,13.44,11.59,11.12,9.72,8.06,7.62,9.0,9.97,9.91,9.94,11.41,12.97,13.75,14.16,15.91,18.03,19.0,18.84,18.81,19.22,18.41,16.0,13.94,13.22,12.12,9.5,6.72,5.47,4.75,3.56,3.31,5.41,8.62,11.06,12.56,14.22,16.22,17.28,16.84,16.34,16.81,16.53,14.31,11.69,10.22,8.72,6.0,2.94,1.75,1.53,1.16,-0.03,0.09,1.22,2.22,2.03,1.78,2.88,4.06,3.97,3.66,5.12,7.12,7.38,6.5,6.34,6.31,4.84,2.0,-0.59,-1.69,-3.22,-4.94,-5.66,-3.47,-0.5,1.5,3.69,6.94,10.44,12.56,13.53,15.31,17.75,18.94,18.78,17.84,17.88,16.88,14.44,12.03,11.84,11.84,10.5,8.59,7.44,6.88,5.41,3.59,3.09,3.78,3.75,2.72,1.94,3.72,6.19,8.94,12.41,18.47,24.12,27.5,28.88,29.34,28.41,25.5,20.34,15.84,13.0,10.59,7.47,5.66,5.66,5.38,3.84,1.47,0.94,1.12,0.72,0.41,2.19,4.56,6.09,6.56,7.0,8.56,9.88,9.66,9.69,11.03,11.59,10.5,8.84,9.09,9.84,10.09,9.5,9.53,9.78,8.44,5.16,2.16,0.38,-1.28,-3.47,-4.66,-3.19,-0.75,1.34,3.56,7.84,12.75,16.66,19.03,22.19,24.28,24.81,22.91,20.41,18.28,15.5,10.94,6.66,4.12,2.81,1.38,0.31,1.56,3.69,5.25,6.12,8.19,12.03,15.44,17.62,20.16,23.47,26.41,27.38,27.44,28.28,28.34,25.88,21.88,18.78,16.19,13.0,9.66,7.22,6.19,5.0,2.47,0.25,-0.91,-1.25,-2.47,-3.56,-1.97,0.66,3.0,4.94,7.97,11.44,13.22,12.81,11.81,11.38,9.66,6.44,3.91,2.75,2.66,1.78,0.72,1.72,3.28,3.75,3.34,3.81,5.75,7.72,8.28,10.0,12.53,14.19,13.66,11.97,10.97,9.28,5.62,1.75,-0.44,-1.69,-2.94,-4.94,-5.62,-5.47,-5.31,-6.91,-8.22,-8.19,-8.0,-8.66,-8.97,-7.22,-4.31,-3.03,-2.41,-0.38,2.5,4.47,5.31,7.41,10.88,14.16,15.47,16.81,18.84,19.75,18.34,16.22,15.5,15.59,13.84,11.44,9.84,9.19,7.41,4.97,3.5,3.38,3.44,1.81,0.38,0.34,0.22,-1.22,-2.75,-2.34,-0.78,-0.25,-0.47,-0.06,0.47,-0.47,-2.88,-4.88,-5.44,-5.47,-6.44,-6.44,-4.75,-2.75,-2.22,-2.28,-0.91,1.94,4.03,6.22,9.84,14.53,17.88,19.03,19.72,20.44,19.97,17.03,13.78,12.41,11.88,10.31,8.78,8.94,9.75,8.88,7.47,6.91,7.62,8.06,7.12,6.69,6.66,6.31,3.97,1.31,0.31,0.53,0.59,0.66,3.06,7.16,9.59,10.41,10.19,9.72,7.81,3.38,-0.09,-1.75,-2.56,-4.38,-5.38,-4.44,-2.28,-0.66,0.75,3.75,8.06,11.06,12.69,14.25,16.09,16.88,15.06,13.0,11.78,10.72,7.28,3.44,0.53,-1.94,-5.78,-9.84,-11.62,-10.94,-9.03,-6.66,-3.0,2.53,7.78,10.0,11.69,13.5,14.41,12.75,10.06,8.28,7.38,5.19,2.72,1.53,1.91,1.75,0.47,-0.22,0.5,1.69,1.44,1.66,3.66,6.47,7.53,8.0,9.34,11.31,12.19,11.66,11.5,12.12,11.38,8.59,6.44,6.12,6.34,5.12,3.94,3.94,4.22,2.66,0.78,0.12,1.09,1.06,-0.31,-1.06,-0.44,-0.53,-1.84,-2.75,-1.88,-1.28,-2.31,-3.75,-3.88,-3.25,-3.88,-4.94,-5.0,-3.84,-3.16,-3.53,-3.12,-0.78,0.72,0.41,0.03,0.97,1.94,1.72,1.34,2.47,4.75,5.5,5.97,7.34,10.34,12.28,13.25,14.28,16.34,17.81,16.88,15.38,14.78,13.91,10.91,7.28,5.25,4.44,2.56,0.59,0.25,1.75,2.66,2.28,2.31,3.66,4.56,3.59,2.72,3.5,4.34,3.69,2.69,3.22,4.28,4.41,4.34,5.41,8.16,10.66,11.12,11.16,12.16,12.31,10.94,9.41,9.81,10.78,10.09,8.44,7.41,6.75,5.0,2.53,1.44,2.59,3.88,4.06,4.56,6.25,7.41,6.53,5.09,5.06,5.53,4.66,3.19,2.84,3.88,3.53,2.69,2.62,4.03,5.28,4.66,3.47,3.75,4.19,3.28,2.38,3.72,5.88,6.09,5.28,4.72,4.72,3.78,1.91,0.75,2.34,4.22,5.12,6.25,8.69,10.62,10.44,9.56,9.25,9.88,8.91,6.59,4.88,4.34,3.31,1.84,1.31,3.31,5.44,5.94,6.41,7.84,9.44,9.41,8.38,8.12,8.47,7.16,4.28,2.28,1.53,0.25,-1.94,-2.72,-1.38,0.16,0.97,1.44,3.19,5.44,6.44,6.66,8.5,10.88,11.97,12.03,12.25,13.25,13.62,12.38,11.31,12.25,13.47,13.22,12.44,12.53,12.72,11.12,8.59,7.28,7.22,6.31,4.78,4.09,5.31,6.38,6.5,6.91,9.69,12.75,14.34,15.0,16.34,17.16,16.19,13.84,12.78,13.38,13.44,11.88,10.88,11.59,11.41,10.03,8.38,8.41,8.03,6.78,5.16,5.66,7.78,9.28,10.41,12.34,15.34,16.88,16.19,15.09,14.69,13.56,10.62,7.94,7.38,7.75,7.19,6.31,7.47,9.12,9.38,8.47,8.25,9.31,9.66,8.5,8.06,9.22,10.31,9.91,8.62,8.66,8.19,6.0,2.69,0.78,-0.12,-1.78,-3.72,-4.47,-3.34,-2.38,-2.47,-1.97,0.12,2.97,4.47,6.12,9.38,12.91,15.03,15.56,16.41,18.31,18.28,16.47,14.94,14.5,13.44,10.91,8.62,8.09,8.0,6.59,5.09,5.88,7.56,8.66,8.47,9.44,10.94,11.47,10.38,9.28,9.53,9.41,7.53,5.78,6.0,6.66,6.19,5.06,5.53,6.66,7.0,6.16,6.53,8.25,9.34,8.75,8.69,10.31,11.59,12.22,12.84,14.81,16.59,16.72,15.38,14.78,14.62,13.69,11.06,9.34,9.16,9.06,7.91,8.03,10.66,13.28,14.62,15.62,17.53,19.47,19.81,19.19,19.31,19.81,19.28,17.16,16.0,16.22,15.91,14.38,12.91,13.06,12.97,11.34,9.94,9.84,10.88,10.78,9.94,11.0,13.03,14.22,14.03,14.5,16.66,18.81,19.75,21.22,24.91,28.28,30.34,31.38,33.03,34.41,33.22,30.0,27.66,26.66,25.97,24.88,25.06,26.75,28.28,27.94,27.12,27.5,27.53,25.41,22.34,20.44,19.22,17.5,15.28,13.97,13.72,13.09,10.81,8.84,8.47,8.0,5.97,4.06,4.5,5.97,7.19,8.31,11.47,15.41,18.44,19.72,21.28,23.12,23.59,21.38,18.62,17.28,16.0,13.81,12.19,13.41,15.56,17.06,17.94,20.53,23.41,25.06,25.03,25.44,26.72,27.44,26.56,25.84,26.31,25.88,23.28,20.16,18.62,18.0,17.62,38.78,38.53,37.38,36.22,35.59,34.69,33.38,32.09,31.38,30.22,29.0,27.25,26.03,25.0,23.91,22.94,22.75,23.78,25.25,26.84,28.62,30.34,31.62,32.44,32.94,33.31,33.56,33.09:18.53,18.38,18.84,18.44,16.97,16.97,18.16,18.59,17.44,17.25,19.25,22.12,24.25,27.38,32.25,36.75,38.38,38.53,39.34,40.31,40.28,39.25,39.69,40.88,40.75,38.44,36.5,36.19,36.78,37.0,38.81,43.09,47.56,49.5,49.38,48.72,46.06,40.66,33.25,26.5,21.44,16.94,12.59,10.25,10.91,12.66,13.78,15.44,19.31,23.84,27.19,29.94,34.06,38.34,41.19,42.06,43.19,44.53,44.34,41.88,39.16,37.91,36.69,34.41,32.44,32.28,32.94,32.03,30.22,29.78,29.81,28.88,26.22,24.0,23.06,21.69,18.72,17.25,17.72,19.03,19.06,19.06,19.97,21.06,19.81,17.19,15.28,14.06,12.22,9.09,7.41,7.41,8.12,7.91,8.41,11.06,14.12,15.22,15.97,18.0,20.31,21.06,20.59,20.16,20.28,19.44,16.84,15.72,16.56,18.16,18.5,18.84,20.31,22.0,21.53,20.56,21.19,22.53,23.5,23.88,25.06,27.28,29.12,28.47,27.81,28.12,28.34,26.69,25.34,25.78,26.72,26.5,26.09,26.44,27.62,27.91,26.72,25.44,24.91,23.69,20.91,18.66,17.94,17.94,16.97,16.06,16.62,18.0,18.53,18.53,19.66,21.97,23.34,23.41,23.53,24.47,24.69,23.19,21.69,21.88,22.53,21.69,20.31,20.5,21.38,20.88,19.94,19.78,20.59,19.81,17.59,15.09,14.03,13.34,11.47,10.47,11.31,13.16,13.81,14.09,15.25,17.41,17.94,17.84,18.12,19.41,20.22,19.81,19.47,20.88,21.88,21.09,20.25,20.53,21.28,20.56,19.38,19.38,20.12,19.62,17.97,17.38,17.97,17.94,16.78,16.22,17.12,18.38,17.69,17.09,17.66,18.53,17.75,16.56,16.16,16.56,16.03,14.25,13.09,13.66,14.12,13.78,14.16,16.19,18.16,18.16,16.94,16.62,17.19,16.09,14.56,14.28,14.66,14.78,13.78,14.03,16.12,18.56,19.88,21.59,24.38,26.56,26.75,25.72,25.06,24.78,23.16,20.53,18.81,18.19,17.06,15.38,14.91,16.47,18.12,18.5,18.94,20.31,21.88,22.31,22.03,22.56,23.47,23.0,21.38,19.88,19.31,18.5,16.53,15.69,16.34,17.56,17.59,17.0,17.22,17.47,15.84,13.44,11.59,11.12,9.72,8.06,7.62,9.0,9.97,9.91,9.94,11.41,12.97,13.75,14.16,15.91,18.03,19.0,18.84,18.81,19.22,18.41,16.0,13.94,13.22,12.12,9.5,6.72,5.47,4.75,3.56,3.31,5.41,8.62,11.06,12.56,14.22,16.22,17.28,16.84,16.34,16.81,16.53,14.31,11.69,10.22,8.72,6.0,2.94,1.75,1.53,1.16,-0.03,0.09,1.22,2.22,2.03,1.78,2.88,4.06,3.97,3.66,5.12,7.12,7.38,6.5,6.34,6.31,4.84,2.0,-0.59,-1.69,-3.22,-4.94,-5.66,-3.47,-0.5,1.5,3.69,6.94,10.44,12.56,13.53,15.31,17.75,18.94,18.78,17.84,17.88,16.88,14.44,12.03,11.84,11.84,10.5,8.59,7.44,6.88,5.41,3.59,3.09,3.78,3.75,2.72,1.94,3.72,6.19,8.94,12.41,18.47,24.12,27.5,28.88,29.34,28.41,25.5,20.34,15.84,13.0,10.59,7.47,5.66,5.66,5.38,3.84,1.47,0.94,1.12,0.72,0.41,2.19,4.56,6.09,6.56,7.0,8.56,9.88,9.66,9.69,11.03,11.59,10.5,8.84,9.09,9.84,10.09,9.5,9.53,9.78,8.44,5.16,2.16,0.38,-1.28,-3.47,-4.66,-3.19,-0.75,1.34,3.56,7.84,12.75,16.66,19.03,22.19,24.28,24.81,22.91,20.41,18.28,15.5,10.94,6.66,4.12,2.81,1.38,0.31,1.56,3.69,5.25,6.12,8.19,12.03,15.44,17.62,20.16,23.47,26.41,27.38,27.44,28.28,28.34,25.88,21.88,18.78,16.19,13.0,9.66,7.22,6.19,5.0,2.47,0.25,-0.91,-1.25,-2.47,-3.56,-1.97,0.66,3.0,4.94,7.97,11.44,13.22,12.81,11.81,11.38,9.66,6.44,3.91,2.75,2.66,1.78,0.72,1.72,3.28,3.75,3.34,3.81,5.75,7.72,8.28,10.0,12.53,14.19,13.66,11.97,10.97,9.28,5.62,1.75,-0.44,-1.69,-2.94,-4.94,-5.62,-5.47,-5.31,-6.91,-8.22,-8.19,-8.0,-8.66,-8.97,-7.22,-4.31,-3.03,-2.41,-0.38,2.5,4.47,5.31,7.41,10.88,14.16,15.47,16.81,18.84,19.75,18.34,16.22,15.5,15.59,13.84,11.44,9.84,9.19,7.41,4.97,3.5,3.38,3.44,1.81,0.38,0.34,0.22,-1.22,-2.75,-2.34,-0.78,-0.25,-0.47,-0.06,0.47,-0.47,-2.88,-4.88,-5.44,-5.47,-6.44,-6.44,-4.75,-2.75,-2.22,-2.28,-0.91,1.94,4.03,6.22,9.84,14.53,17.88,19.03,19.72,20.44,19.97,17.03,13.78,12.41,11.88,10.31,8.78,8.94,9.75,8.88,7.47,6.91,7.62,8.06,7.12,6.69,6.66,6.31,3.97,1.31,0.31,0.53,0.59,0.66,3.06,7.16,9.59,10.41,10.19,9.72,7.81,3.38,-0.09,-1.75,-2.56,-4.38,-5.38,-4.44,-2.28,-0.66,0.75,3.75,8.06,11.06,12.69,14.25,16.09,16.88,15.06,13.0,11.78,10.72,7.28,3.44,0.53,-1.94,-5.78,-9.84,-11.62,-10.94,-9.03,-6.66,-3.0,2.53,7.78,10.0,11.69,13.5,14.41,12.75,10.06,8.28,7.38,5.19,2.72,1.53,1.91,1.75,0.47,-0.22,0.5,1.69,1.44,1.66,3.66,6.47,7.53,8.0,9.34,11.31,12.19,11.66,11.5,12.12,11.38,8.59,6.44,6.12,6.34,5.12,3.94,3.94,4.22,2.66,0.78,0.12,1.09,1.06,-0.31,-1.06,-0.44,-0.53,-1.84,-2.75,-1.88,-1.28,-2.31,-3.75,-3.88,-3.25,-3.88,-4.94,-5.0,-3.84,-3.16,-3.53,-3.12,-0.78,0.72,0.41,0.03,0.97,1.94,1.72,1.34,2.47,4.75,5.5,5.97,7.34,10.34,12.28,13.25,14.28,16.34,17.81,16.88,15.38,14.78,13.91,10.91,7.28,5.25,4.44,2.56,0.59,0.25,1.75,2.66,2.28,2.31,3.66,4.56,3.59,2.72,3.5,4.34,3.69,2.69,3.22,4.28,4.41,4.34,5.41,8.16,10.66,11.12,11.16,12.16,12.31,10.94,9.41,9.81,10.78,10.09,8.44,7.41,6.75,5.0,2.53,1.44,2.59,3.88,4.06,4.56,6.25,7.41,6.53,5.09,5.06,5.53,4.66,3.19,2.84,3.88,3.53,2.69,2.62,4.03,5.28,4.66,3.47,3.75,4.19,3.28,2.38,3.72,5.88,6.09,5.28,4.72,4.72,3.78,1.91,0.75,2.34,4.22,5.12,6.25,8.69,10.62,10.44,9.56,9.25,9.88,8.91,6.59,4.88,4.34,3.31,1.84,1.31,3.31,5.44,5.94,6.41,7.84,9.44,9.41,8.38,8.12,8.47,7.16,4.28,2.28,1.53,0.25,-1.94,-2.72,-1.38,0.16,0.97,1.44,3.19,5.44,6.44,6.66,8.5,10.88,11.97,12.03,12.25,13.25,13.62,12.38,11.31,12.25,13.47,13.22,12.44,12.53,12.72,11.12,8.59,7.28,7.22,6.31,4.78,4.09,5.31,6.38,6.5,6.91,9.69,12.75,14.34,15.0,16.34,17.16,16.19,13.84,12.78,13.38,13.44,11.88,10.88,11.59,11.41,10.03,8.38,8.41,8.03,6.78,5.16,5.66,7.78,9.28,10.41,12.34,15.34,16.88,16.19,15.09,14.69,13.56,10.62,7.94,7.38,7.75,7.19,6.31,7.47,9.12,9.38,8.47,8.25,9.31,9.66,8.5,8.06,9.22,10.31,9.91,8.62,8.66,8.19,6.0,2.69,0.78,-0.12,-1.78,-3.72,-4.47,-3.34,-2.38,-2.47,-1.97,0.12,2.97,4.47,6.12,9.38,12.91,15.03,15.56,16.41,18.31,18.28,16.47,14.94,14.5,13.44,10.91,8.62,8.09,8.0,6.59,5.09,5.88,7.56,8.66,8.47,9.44,10.94,11.47,10.38,9.28,9.53,9.41,7.53,5.78,6.0,6.66,6.19,5.06,5.53,6.66,7.0,6.16,6.53,8.25,9.34,8.75,8.69,10.31,11.59,12.22,12.84,14.81,16.59,16.72,15.38,14.78,14.62,13.69,11.06,9.34,9.16,9.06,7.91,8.03,10.66,13.28,14.62,15.62,17.53,19.47,19.81,19.19,19.31,19.81,19.28,17.16,16.0,16.22,15.91,14.38,12.91,13.06,12.97,11.34,9.94,9.84,10.88,10.78,9.94,11.0,13.03,14.22,14.03,14.5,16.66,18.81,19.75,21.22,24.91,28.28,30.34,31.38,33.03,34.41,33.22,30.0,27.66,26.66,25.97,24.88,25.06,26.75,28.28,27.94,27.12,27.5,27.53,25.41,22.34,20.44,19.22,17.5,15.28,13.97,13.72,13.09,10.81,8.84,8.47,8.0,5.97,4.06,4.5,5.97,7.19,8.31,11.47,15.41,18.44,19.72,21.28,23.12,23.59,21.38,18.62,17.28,16.0,13.81,12.19,13.41,15.56,17.06,17.94,20.53,23.41,25.06,25.03,25.44,26.72,27.44,26.56,25.84,26.31,25.88,23.28,20.16,18.62,18.0,17.62,38.78,38.53,37.38,36.22,35.59,34.69,33.38,32.09,31.38,30.22,29.0,27.25,26.03,25.0,23.91,22.94,22.75,23.78,25.25,26.84,28.62,30.34,31.62,32.44,32.94,33.31,33.56,33.09,31.81,30.56,29.56,28.78,27.5,26.72,26.38:18.59,17.44,17.25,19.25,22.12,24.25,27.38,32.25,36.75,38.38,38.53,39.34,40.31,40.28,39.25,39.69,40.88,40.75,38.44,36.5,36.19,36.78,37.0,38.81,43.09,47.56,49.5,49.38,48.72,46.06,40.66,33.25,26.5,21.44,16.94,12.59,10.25,10.91,12.66,13.78,15.44,19.31,23.84,27.19,29.94,34.06,38.34,41.19,42.06,43.19,44.53,44.34,41.88,39.16,37.91,36.69,34.41,32.44,32.28,32.94,32.03,30.22,29.78,29.81,28.88,26.22,24.0,23.06,21.69,18.72,17.25,17.72,19.03,19.06,19.06,19.97,21.06,19.81,17.19,15.28,14.06,12.22,9.09,7.41,7.41,8.12,7.91,8.41,11.06,14.12,15.22,15.97,18.0,20.31,21.06,20.59,20.16,20.28,19.44,16.84,15.72,16.56,18.16,18.5,18.84,20.31,22.0,21.53,20.56,21.19,22.53,23.5,23.88,25.06,27.28,29.12,28.47,27.81,28.12,28.34,26.69,25.34,25.78,26.72,26.5,26.09,26.44,27.62,27.91,26.72,25.44,24.91,23.69,20.91,18.66,17.94,17.94,16.97,16.06,16.62,18.0,18.53,18.53,19.66,21.97,23.34,23.41,23.53,24.47,24.69,23.19,21.69,21.88,22.53,21.69,20.31,20.5,21.38,20.88,19.94,19.78,20.59,19.81,17.59,15.09,14.03,13.34,11.47,10.47,11.31,13.16,13.81,14.09,15.25,17.41,17.94,17.84,18.12,19.41,20.22,19.81,19.47,20.88,21.88,21.09,20.25,20.53,21.28,20.56,19.38,19.38,20.12,19.62,17.97,17.38,17.97,17.94,16.78,16.22,17.12,18.38,17.69,17.09,17.66,18.53,17.75,16.56,16.16,16.56,16.03,14.25,13.09,13.66,14.12,13.78,14.16,16.19,18.16,18.16,16.94,16.62,17.19,16.09,14.56,14.28,14.66,14.78,13.78,14.03,16.12,18.56,19.88,21.59,24.38,26.56,26.75,25.72,25.06,24.78,23.16,20.53,18.81,18.19,17.06,15.38,14.91,16.47,18.12,18.5,18.94,20.31,21.88,22.31,22.03,22.56,23.47,23.0,21.38,19.88,19.31,18.5,16.53,15.69,16.34,17.56,17.59,17.0,17.22,17.47,15.84,13.44,11.59,11.12,9.72,8.06,7.62,9.0,9.97,9.91,9.94,11.41,12.97,13.75,14.16,15.91,18.03,19.0,18.84,18.81,19.22,18.41,16.0,13.94,13.22,12.12,9.5,6.72,5.47,4.75,3.56,3.31,5.41,8.62,11.06,12.56,14.22,16.22,17.28,16.84,16.34,16.81,16.53,14.31,11.69,10.22,8.72,6.0,2.94,1.75,1.53,1.16,-0.03,0.09,1.22,2.22,2.03,1.78,2.88,4.06,3.97,3.66,5.12,7.12,7.38,6.5,6.34,6.31,4.84,2.0,-0.59,-1.69,-3.22,-4.94,-5.66,-3.47,-0.5,1.5,3.69,6.94,10.44,12.56,13.53,15.31,17.75,18.94,18.78,17.84,17.88,16.88,14.44,12.03,11.84,11.84,10.5,8.59,7.44,6.88,5.41,3.59,3.09,3.78,3.75,2.72,1.94,3.72,6.19,8.94,12.41,18.47,24.12,27.5,28.88,29.34,28.41,25.5,20.34,15.84,13.0,10.59,7.47,5.66,5.66,5.38,3.84,1.47,0.94,1.12,0.72,0.41,2.19,4.56,6.09,6.56,7.0,8.56,9.88,9.66,9.69,11.03,11.59,10.5,8.84,9.09,9.84,10.09,9.5,9.53,9.78,8.44,5.16,2.16,0.38,-1.28,-3.47,-4.66,-3.19,-0.75,1.34,3.56,7.84,12.75,16.66,19.03,22.19,24.28,24.81,22.91,20.41,18.28,15.5,10.94,6.66,4.12,2.81,1.38,0.31,1.56,3.69,5.25,6.12,8.19,12.03,15.44,17.62,20.16,23.47,26.41,27.38,27.44,28.28,28.34,25.88,21.88,18.78,16.19,13.0,9.66,7.22,6.19,5.0,2.47,0.25,-0.91,-1.25,-2.47,-3.56,-1.97,0.66,3.0,4.94,7.97,11.44,13.22,12.81,11.81,11.38,9.66,6.44,3.91,2.75,2.66,1.78,0.72,1.72,3.28,3.75,3.34,3.81,5.75,7.72,8.28,10.0,12.53,14.19,13.66,11.97,10.97,9.28,5.62,1.75,-0.44,-1.69,-2.94,-4.94,-5.62,-5.47,-5.31,-6.91,-8.22,-8.19,-8.0,-8.66,-8.97,-7.22,-4.31,-3.03,-2.41,-0.38,2.5,4.47,5.31,7.41,10.88,14.16,15.47,16.81,18.84,19.75,18.34,16.22,15.5,15.59,13.84,11.44,9.84,9.19,7.41,4.97,3.5,3.38,3.44,1.81,0.38,0.34,0.22,-1.22,-2.75,-2.34,-0.78,-0.25,-0.47,-0.06,0.47,-0.47,-2.88,-4.88,-5.44,-5.47,-6.44,-6.44,-4.75,-2.75,-2.22,-2.28,-0.91,1.94,4.03,6.22,9.84,14.53,17.88,19.03,19.72,20.44,19.97,17.03,13.78,12.41,11.88,10.31,8.78,8.94,9.75,8.88,7.47,6.91,7.62,8.06,7.12,6.69,6.66,6.31,3.97,1.31,0.31,0.53,0.59,0.66,3.06,7.16,9.59,10.41,10.19,9.72,7.81,3.38,-0.09,-1.75,-2.56,-4.38,-5.38,-4.44,-2.28,-0.66,0.75,3.75,8.06,11.06,12.69,14.25,16.09,16.88,15.06,13.0,11.78,10.72,7.28,3.44,0.53,-1.94,-5.78,-9.84,-11.62,-10.94,-9.03,-6.66,-3.0,2.53,7.78,10.0,11.69,13.5,14.41,12.75,10.06,8.28,7.38,5.19,2.72,1.53,1.91,1.75,0.47,-0.22,0.5,1.69,1.44,1.66,3.66,6.47,7.53,8.0,9.34,11.31,12.19,11.66,11.5,12.12,11.38,8.59,6.44,6.12,6.34,5.12,3.94,3.94,4.22,2.66,0.78,0.12,1.09,1.06,-0.31,-1.06,-0.44,-0.53,-1.84,-2.75,-1.88,-1.28,-2.31,-3.75,-3.88,-3.25,-3.88,-4.94,-5.0,-3.84,-3.16,-3.53,-3.12,-0.78,0.72,0.41,0.03,0.97,1.94,1.72,1.34,2.47,4.75,5.5,5.97,7.34,10.34,12.28,13.25,14.28,16.34,17.81,16.88,15.38,14.78,13.91,10.91,7.28,5.25,4.44,2.56,0.59,0.25,1.75,2.66,2.28,2.31,3.66,4.56,3.59,2.72,3.5,4.34,3.69,2.69,3.22,4.28,4.41,4.34,5.41,8.16,10.66,11.12,11.16,12.16,12.31,10.94,9.41,9.81,10.78,10.09,8.44,7.41,6.75,5.0,2.53,1.44,2.59,3.88,4.06,4.56,6.25,7.41,6.53,5.09,5.06,5.53,4.66,3.19,2.84,3.88,3.53,2.69,2.62,4.03,5.28,4.66,3.47,3.75,4.19,3.28,2.38,3.72,5.88,6.09,5.28,4.72,4.72,3.78,1.91,0.75,2.34,4.22,5.12,6.25,8.69,10.62,10.44,9.56,9.25,9.88,8.91,6.59,4.88,4.34,3.31,1.84,1.31,3.31,5.44,5.94,6.41,7.84,9.44,9.41,8.38,8.12,8.47,7.16,4.28,2.28,1.53,0.25,-1.94,-2.72,-1.38,0.16,0.97,1.44,3.19,5.44,6.44,6.66,8.5,10.88,11.97,12.03,12.25,13.25,13.62,12.38,11.31,12.25,13.47,13.22,12.44,12.53,12.72,11.12,8.59,7.28,7.22,6.31,4.78,4.09,5.31,6.38,6.5,6.91,9.69,12.75,14.34,15.0,16.34,17.16,16.19,13.84,12.78,13.38,13.44,11.88,10.88,11.59,11.41,10.03,8.38,8.41,8.03,6.78,5.16,5.66,7.78,9.28,10.41,12.34,15.34,16.88,16.19,15.09,14.69,13.56,10.62,7.94,7.38,7.75,7.19,6.31,7.47,9.12,9.38,8.47,8.25,9.31,9.66,8.5,8.06,9.22,10.31,9.91,8.62,8.66,8.19,6.0,2.69,0.78,-0.12,-1.78,-3.72,-4.47,-3.34,-2.38,-2.47,-1.97,0.12,2.97,4.47,6.12,9.38,12.91,15.03,15.56,16.41,18.31,18.28,16.47,14.94,14.5,13.44,10.91,8.62,8.09,8.0,6.59,5.09,5.88,7.56,8.66,8.47,9.44,10.94,11.47,10.38,9.28,9.53,9.41,7.53,5.78,6.0,6.66,6.19,5.06,5.53,6.66,7.0,6.16,6.53,8.25,9.34,8.75,8.69,10.31,11.59,12.22,12.84,14.81,16.59,16.72,15.38,14.78,14.62,13.69,11.06,9.34,9.16,9.06,7.91,8.03,10.66,13.28,14.62,15.62,17.53,19.47,19.81,19.19,19.31,19.81,19.28,17.16,16.0,16.22,15.91,14.38,12.91,13.06,12.97,11.34,9.94,9.84,10.88,10.78,9.94,11.0,13.03,14.22,14.03,14.5,16.66,18.81,19.75,21.22,24.91,28.28,30.34,31.38,33.03,34.41,33.22,30.0,27.66,26.66,25.97,24.88,25.06,26.75,28.28,27.94,27.12,27.5,27.53,25.41,22.34,20.44,19.22,17.5,15.28,13.97,13.72,13.09,10.81,8.84,8.47,8.0,5.97,4.06,4.5,5.97,7.19,8.31,11.47,15.41,18.44,19.72,21.28,23.12,23.59,21.38,18.62,17.28,16.0,13.81,12.19,13.41,15.56,17.06,17.94,20.53,23.41,25.06,25.03,25.44,26.72,27.44,26.56,25.84,26.31,25.88,23.28,20.16,18.62,18.0,17.62,38.78,38.53,37.38,36.22,35.59,34.69,33.38,32.09,31.38,30.22,29.0,27.25,26.03,25.0,23.91,22.94,22.75,23.78,25.25,26.84,28.62,30.34,31.62,32.44,32.94,33.31,33.56,33.09,31.81,30.56,29.56,28.78,27.5,26.72,26.38,25.94,24.59,23.69,23.31,22.69,21.81,21.12:negativity
16.66,16.84,17.03,15.38,15.25,17.84,20.34,20.09,18.62,18.53,19.31,17.88,15.09,14.12,14.56,13.5,9.88,7.06,6.25,5.28,2.28,0.62,2.41,5.38,6.03,6.16,7.38,9.59,9.97,8.78,9.06,11.84,13.84,13.72,14.41,17.28,19.53,18.38,17.22,17.62,18.72,17.88,16.03,16.72,19.25,20.72,20.31,20.88,22.66,23.25,20.72,17.94,17.75,17.12,14.25,11.12,10.47,11.69,11.78,11.19,13.16,17.28,20.25,20.91,21.41,23.41,24.06,21.53,19.03,19.41,20.5,19.25,17.91,18.69,20.81,20.69,18.5,17.31,17.44,16.53,14.25,13.47,16.25,19.81,21.19,22.19,24.81,26.97,25.88,23.25,21.66,21.66,20.44,18.03,17.78,19.91,21.38,20.22,19.47,21.16,22.53,21.94,21.06,21.84,23.0,21.5,18.22,16.81,17.06,16.5,14.34,13.34,14.91,16.22,15.16,14.19,15.69,17.09,15.88,13.78,14.5,16.47,16.47,15.28,15.0,16.38,16.25,13.97,12.62,14.16,16.0,15.5,15.47,18.03,20.75,20.41,18.16,16.91,16.22,14.22,11.09,10.03,11.91,13.19,12.75,12.69,15.19,18.25,18.62,18.31,20.75,23.75,23.97,22.28,22.44,23.56,22.97,21.66,21.28,23.75,25.22,24.0,22.47,23.88,25.53,25.0,23.94,24.94,26.78,26.38,24.81,24.81,26.03,25.84,23.25,21.47,22.34,23.62,22.72,21.88,23.75,26.12,25.62,24.22,24.53,25.91,25.78,23.81,23.34,25.16,26.28,25.28,24.91,27.28,28.81,27.25,24.31,23.0,22.25,19.38,15.62,14.19,14.88,14.06,12.0,11.47,13.62,15.28,14.25,13.19,14.41,15.38,14.09,11.81,12.56,14.91,15.81,16.06,17.84,21.31,22.94,21.41,20.41,21.81,22.72,21.25,19.44,19.72,20.03,18.25,15.5,15.62,17.5,18.0,16.78,16.75,18.5,18.81,16.12,14.38,14.97,15.59,14.97,14.66,17.72,21.78,22.97,21.97,21.72,21.56,19.38,15.44,13.41,14.38,16.03,15.84,16.03,18.44,20.28,19.16,16.84,17.41,19.22,20.19,20.19,21.47,24.16,24.88,23.19,22.34,24.34,26.16,25.78,25.72,27.69,29.78,28.97,26.31,25.81,26.0,24.72,22.47,22.0,24.06,25.28,24.03,23.41,24.88,25.81,24.16,21.97,21.78,22.59,21.41,18.88,18.44,19.09,18.62,16.38,15.66,17.44,18.72,18.06,17.72,19.75,21.72,21.28,19.69,19.88,21.12,20.47,18.28,17.75,18.91,19.41,17.5,17.16,19.75,21.75,21.22,20.44,22.03,23.41,21.5,18.44,16.91,16.47,14.19,11.09,10.03,11.12,11.88,9.69,8.56,10.0,11.44,10.78,10.38,12.59,15.84,16.72,16.59,18.62,21.31,22.19,20.44,18.53,17.56,15.44,10.62,6.09,5.25,5.22,3.78,3.0,5.41,8.97,11.56,12.28,14.25,17.12,18.06,16.34,15.38,16.66,17.94,16.62,15.69,16.84,18.22,17.03,14.59,14.34,15.28,14.44,12.38,11.72,12.78,13.19,11.5,10.72,12.31,14.0,12.91,11.47,11.56,12.31,11.0,8.84,9.44,11.88,13.47,13.28,14.19,16.62,18.31,17.59,17.53,19.31,21.09,20.19,18.16,17.94,18.47,17.38,15.44,15.84,17.97,19.59,18.91,19.06,20.62,21.25,18.88,16.28,15.97,16.62,15.22,13.25,13.09,14.59,14.19,12.59,13.06,15.88,17.84,17.62,17.47,19.38,20.94,19.97,19.34,20.88,23.38,23.19,21.69,21.56,22.25,21.25,18.41,16.75,17.09,16.59,14.19,12.34,12.28,12.47,10.28,7.62,7.25,8.84,8.75,8.81,11.09,15.31,18.75,19.66,21.5,25.0,27.66,27.72,27.59,29.47,31.28,30.38,28.0,26.75,26.53,23.78,19.91,17.38,16.66,15.12,11.56,8.97,9.28,10.12,9.12,8.78,10.75,12.66,12.03,10.19,9.59,11.34,12.47,12.72,14.66,19.16,22.25,22.69,22.69,23.81,25.0,22.69,19.59,18.59,18.84,17.09,14.47,13.66,14.22,13.53,11.28,9.94,11.22,11.97,10.47,9.5,10.78,13.0,12.94,12.38,13.19,14.69,14.09,12.03,11.09,12.25,12.25,10.75,9.72,11.41,12.44,10.81,8.59,8.41,8.91,8.03,6.66,8.0,10.59,11.38,10.19,9.69,10.91,11.0,8.84,7.09,7.62,8.41,7.16,5.84,6.59,8.31,7.69,6.12,5.72,7.28,8.0,6.97,7.03,9.25,10.75,10.62,10.22,12.44,15.31,15.88,15.19,16.19,17.69,16.69,13.59,11.53,10.78,9.12,6.28,4.66,6.69,9.19,10.19,10.5,13.44,16.84,18.19,18.19,19.47,21.44,21.25,18.84,17.19,18.16,19.12,18.53,18.72,21.44,23.94,23.41,21.25,21.03,21.22,19.28,17.19,17.03,19.41,20.16,19.12,18.66,19.78,20.38,18.62,16.97,17.75,18.84,18.0,16.66,17.19,18.47,18.25,16.12,15.28,15.69,15.38,12.56,10.44,11.12,12.0,10.84,9.41,10.12,10.84,9.22,6.34,5.34,5.22,3.34,-0.16,-2.53,-2.81,-2.91,-4.31,-4.47,-1.19,2.81,5.03,7.06,11.31,15.62,17.56,17.97,19.78,22.62,24.53,24.62,25.5,27.72,28.69,26.62,23.38,22.16,21.12,17.81,13.88,12.12,11.62,10.0,6.75,5.06,4.56,2.91,-0.81,-3.53,-3.06,-1.28,-0.75,0.06,3.62,7.91,10.22,10.78,12.84,15.59,16.06,14.25,13.69,15.12,16.09,14.78,13.91,14.72,14.91,12.16,8.19,6.47,5.59,3.0,-0.12,-1.09,-0.5,-1.06,-3.66,-5.25,-4.84,-4.12,-5.12,-5.38,-2.94,0.22,1.06,0.62,2.12,4.34,4.19,2.09,1.12,1.88,2.12,0.69,0.62,3.47,6.59,7.34,7.44,9.28,11.47,10.62,7.66,6.56,6.81,6.19,4.69,5.84,9.81,13.69,14.47,14.88,16.38,16.75,13.41,8.94,6.44,5.06,2.66,0.06,0.53,3.19,4.97,4.78,4.78,6.28,7.0,5.16,4.22,6.16,9.44,10.56,11.06,13.16,16.06,16.81,15.69,15.69,17.19,17.78,16.66,16.59,19.38,22.59,23.0,22.19,23.16,24.22,22.62,19.84,19.06,19.84,19.12,16.91,16.5,18.5,20.09,18.78,17.44,17.56,17.25,14.06,10.31,8.66,8.66,7.28,4.81,4.44,5.78,5.84,4.09,4.12,7.12,10.66,12.34,14.5,19.19,24.0,26.12,26.78,28.28,30.16,29.06,25.62,23.09,21.72,18.97,13.56,8.88,7.0,5.84,3.03,0.81,1.03,1.97,0.5,-1.75,-1.62,1.03,3.06,4.0,6.41,10.34,12.66,12.16,11.81,14.03,16.56,16.47,15.59,16.72,17.84,16.34,12.44,9.78,8.44,5.38,0.47,-2.97,-3.41,-3.97,-6.53,-8.59,-7.22,-4.88,-4.38,-3.69,0.53,6.47,11.38,15.19,19.91,25.88,29.62,29.53,28.91,29.69,29.38,26.0,22.25,20.47,19.0,14.25,8.25,3.88,1.41,-2.0,-6.53,-9.25,-8.91,-8.75,-10.22,-10.38,-7.78,-4.5,-3.72,-3.09,-0.5,2.84,3.72,3.03,3.34,5.03,4.78,2.41,1.34,2.25,2.66,0.94,-0.69,0.44,1.97,1.28,0.28,1.69,4.53,5.47,5.5,6.84,10.0,12.5,12.47,13.12,16.28,18.75,18.09,16.59,17.12,17.81,16.03,13.5,13.28,14.88,14.81,13.09,12.0,12.06,10.81,6.81,2.97,1.78,0.72,-3.03,-6.47,-7.56,-7.53,-9.28,-11.47,-11.41,-9.53,-8.72,-9.0,-7.59,-3.03,1.81,5.09,8.47,14.22,18.88,19.72,18.81,19.66,20.94,20.47,18.0,17.44,18.38,17.53,14.69,12.81,13.5,13.38,11.0,8.41,8.22,8.03,6.12,3.59,3.5,5.19,5.88,5.25,6.06,9.22,11.59,11.56,12.0,14.69,16.75,15.84,14.25,14.97,16.78,16.72,15.5,16.44,18.5,18.69,16.19,14.38,14.28,13.28,9.91,7.09,7.09,7.94,6.56,4.94,6.03,8.53,9.47,9.62,11.81,15.62,17.88,17.59,17.06,18.12,17.97,15.31,12.56,12.31,12.62,10.56,7.72,7.12,8.44,8.22,6.75,7.28,9.5,10.75,10.0,9.72,11.81,13.72,13.03,11.72,12.84,14.59,14.72,13.75,14.84,17.5,18.19,16.69,15.72,16.0,15.62,12.34,9.72,10.06,11.12,10.5,10.19,12.28,15.25,16.25,15.62,16.34,17.81,18.12,16.19,14.94,15.97,16.84,15.59,14.34,15.38,16.75,16.12,14.16,14.56,15.91,15.47,13.12,11.91,12.28,11.47,8.5,6.16,7.16,8.62,8.34,7.88,10.22,13.0,13.69,12.75,13.78,15.91,16.84,15.97,15.97,17.66,18.75,17.25,15.97,16.91,17.75,16.22,13.88,13.31,13.84,12.62,10.31,10.03,11.62,12.5,11.22,11.66,14.22,16.12,15.41,14.69,16.06,17.62,16.38,14.34,14.16,15.0,13.81,10.94,9.56,9.44,8.66,5.88,3.41,3.56,4.12,2.5,0.47,1.56,3.59,3.56,2.78,3.62,5.78,6.19,4.53,4.31,6.22,7.94,7.72,8.06,10.66,13.25,12.75,10.69,10.78,10.88,8.66,5.44,4.16,4.94,5.31,4.16,5.06,8.06,10.47,10.0,9.19,10.0,11.09,9.38,6.66,5.72,5.38,3.5,0.91,-0.06,1.25,2.41,1.03,0.28,1.66,3.09:20.09,18.62,18.53,19.31,17.88,15.09,14.12,14.56,13.5,9.88,7.06,6.25,5.28,2.28,0.62,2.41,5.38,6.03,6.16,7.38,9.59,9.97,8.78,9.06,11.84,13.84,13.72,14.41,17.28,19.53,18.38,17.22,17.62,18.72,17.88,16.03,16.72,19.25,20.72,20.31,20.88,22.66,23.25,20.72,17.94,17.75,17.12,14.25,11.12,10.47,11.69,11.78,11.19,13.16,17.28,20.25,20.91,21.41,23.41,24.06,21.53,19.03,19.41,20.5,19.25,17.91,18.69,20.81,20.69,18.5,17.31,17.44,16.53,14.25,13.47,16.25,19.81,21.19,22.19,24.81,26.97,25.88,23.25,21.66,21.66,20.44,18.03,17.78,19.91,21.38,20.22,19.47,21.16,22.53,21.94,21.06,21.84,23.0,21.5,18.22,16.81,17.06,16.5,14.34,13.34,14.91,16.22,15.16,14.19,15.69,17.09,15.88,13.78,14.5,16.47,16.47,15.28,15.0,16.38,16.25,13.97,12.62,14.16,16.0,15.5,15.47,18.03,20.75,20.41,18.16,16.91,16.22,14.22,11.09,10.03,11.91,13.19,12.75,12.69,15.19,18.25,18.62,18.31,20.75,23.75,23.97,22.28,22.44,23.56,22.97,21.66,21.28,23.75,25.22,24.0,22.47,23.88,25.53,25.0,23.94,24.94,26.78,26.38,24.81,24.81,26.03,25.84,23.25,21.47,22.34,23.62,22.72,21.88,23.75,26.12,25.62,24.22,24.53,25.91,25.78,23.81,23.34,25.16,26.28,25.28,24.91,27.28,28.81,27.25,24.31,23.0,22.25,19.38,15.62,14.19,14.88,14.06,12.0,11.47,13.62,15.28,14.25,13.19,14.41,15.38,14.09,11.81,12.56,14.91,15.81,16.06,17.84,21.31,22.94,21.41,20.41,21.81,22.72,21.25,19.44,19.72,20.03,18.25,15.5,15.62,17.5,18.0,16.78,16.75,18.5,18.81,16.12,14.38,14.97,15.59,14.97,14.66,17.72,21.78,22.97,21.97,21.72,21.56,19.38,15.44,13.41,14.38,16.03,15.84,16.03,18.44,20.28,19.16,16.84,17.41,19.22,20.19,20.19,21.47,24.16,24.88,23.19,22.34,24.34,26.16,25.78,25.72,27.69,29.78,28.97,26.31,25.81,26.0,24.72,22.47,22.0,24.06,25.28,24.03,23.41,24.88,25.81,24.16,21.97,21.78,22.59,21.41,18.88,18.44,19.09,18.62,16.38,15.66,17.44,18.72,18.06,17.72,19.75,21.72,21.28,19.69,19.88,21.12,20.47,18.28,17.75,18.91,19.41,17.5,17.16,19.75,21.75,21.22,20.44,22.03,23.41,21.5,18.44,16.91,16.47,14.19,11.09,10.03,11.12,11.88,9.69,8.56,10.0,11.44,10.78,10.38,12.59,15.84,16.72,16.59,18.62,21.31,22.19,20.44,18.53,17.56,15.44,10.62,6.09,5.25,5.22,3.78,3.0,5.41,8.97,11.56,12.28,14.25,17.12,18.06,16.34,15.38,16.66,17.94,16.62,15.69,16.84,18.22,17.03,14.59,14.34,15.28,14.44,12.38,11.72,12.78,13.19,11.5,10.72,12.31,14.0,12.91,11.47,11.56,12.31,11.0,8.84,9.44,11.88,13.47,13.28,14.19,16.62,18.31,17.59,17.53,19.31,21.09,20.19,18.16,17.94,18.47,17.38,15.44,15.84,17.97,19.59,18.91,19.06,20.62,21.25,18.88,16.28,15.97,16.62,15.22,13.25,13.09,14.59,14.19,12.59,13.06,15.88,17.84,17.62,17.47,19.38,20.94,19.97,19.34,20.88,23.38,23.19,21.69,21.56,22.25,21.25,18.41,16.75,17.09,16.59,14.19,12.34,12.28,12.47,10.28,7.62,7.25,8.84,8.75,8.81,11.09,15.31,18.75,19.66,21.5,25.0,27.66,27.72,27.59,29.47,31.28,30.38,28.0,26.75,26.53,23.78,19.91,17.38,16.66,15.12,11.56,8.97,9.28,10.12,9.12,8.78,10.75,12.66,12.03,10.19,9.59,11.34,12.47,12.72,14.66,19.16,22.25,22.69,22.69,23.81,25.0,22.69,19.59,18.59,18.84,17.09,14.47,13.66,14.22,13.53,11.28,9.94,11.22,11.97,10.47,9.5,10.78,13.0,12.94,12.38,13.19,14.69,14.09,12.03,11.09,12.25,12.25,10.75,9.72,11.41,12.44,10.81,8.59,8.41,8.91,8.03,6.66,8.0,10.59,11.38,10.19,9.69,10.91,11.0,8.84,7.09,7.62,8.41,7.16,5.84,6.59,8.31,7.69,6.12,5.72,7.28,8.0,6.97,7.03,9.25,10.75,10.62,10.22,12.44,15.31,15.88,15.19,16.19,17.69,16.69,13.59,11.53,10.78,9.12,6.28,4.66,6.69,9.19,10.19,10.5,13.44,16.84,18.19,18.19,19.47,21.44,21.25,18.84,17.19,18.16,19.12,18.53,18.72,21.44,23.94,23.41,21.25,21.03,21.22,19.28,17.19,17.03,19.41,20.16,19.12,18.66,19.78,20.38,18.62,16.97,17.75,18.84,18.0,16.66,17.19,18.47,18.25,16.12,15.28,15.69,15.38,12.56,10.44,11.12,12.0,10.84,9.41,10.12,10.84,9.22,6.34,5.34,5.22,3.34,-0.16,-2.53,-2.81,-2.91,-4.31,-4.47,-1.19,2.81,5.03,7.06,11.31,15.62,17.56,17.97,19.78,22.62,24.53,24.62,25.5,27.72,28.69,26.62,23.38,22.16,21.12,17.81,13.88,12.12,11.62,10.0,6.75,5.06,4.56,2.91,-0.81,-3.53,-3.06,-1.28,-0.75,0.06,3.62,7.91,10.22,10.78,12.84,15.59,16.06,14.25,13.69,15.12,16.09,14.78,13.91,14.72,14.91,12.16,8.19,6.47,5.59,3.0,-0.12,-1.09,-0.5,-1.06,-3.66,-5.25,-4.84,-4.12,-5.12,-5.38,-2.94,0.22,1.06,0.62,2.12,4.34,4.19,2.09,1.12,1.88,2.12,0.69,0.62,3.47,6.59,7.34,7.44,9.28,11.47,10.62,7.66,6.56,6.81,6.19,4.69,5.84,9.81,13.69,14.47,14.88,16.38,16.75,13.41,8.94,6.44,5.06,2.66,0.06,0.53,3.19,4.97,4.78,4.78,6.28,7.0,5.16,4.22,6.16,9.44,10.56,11.06,13.16,16.06,16.81,15.69,15.69,17.19,17.78,16.66,16.59,19.38,22.59,23.0,22.19,23.16,24.22,22.62,19.84,19.06,19.84,19.12,16.91,16.5,18.5,20.09,18.78,17.44,17.56,17.25,14.06,10.31,8.66,8.66,7.28,4.81,4.44,5.78,5.84,4.09,4.12,7.12,10.66,12.34,14.5,19.19,24.0,26.12,26.78,28.28,30.16,29.06,25.62,23.09,21.72,18.97,13.56,8.88,7.0,5.84,3.03,0.81,1.03,1.97,0.5,-1.75,-1.62,1.03,3.06,4.0,6.41,10.34,12.66,12.16,11.81,14.03,16.56,16.47,15.59,16.72,17.84,16.34,12.44,9.78,8.44,5.38,0.47,-2.97,-3.41,-3.97,-6.53,-8.59,-7.22,-4.88,-4.38,-3.69,0.53,6.47,11.38,15.19,19.91,25.88,29.62,29.53,28.91,29.69,29.38,26.0,22.25,20.47,19.0,14.25,8.25,3.88,1.41,-2.0,-6.53,-9.25,-8.91,-8.75,-10.22,-10.38,-7.78,-4.5,-3.72,-3.09,-0.5,2.84,3.72,3.03,3.34,5.03,4.78,2.41,1.34,2.25,2.66,0.94,-0.69,0.44,1.97,1.28,0.28,1.69,4.53,5.47,5.5,6.84,10.0,12.5,12.47,13.12,16.28,18.75,18.09,16.59,17.12,17.81,16.03,13.5,13.28,14.88,14.81,13.09,12.0,12.06,10.81,6.81,2.97,1.78,0.72,-3.03,-6.47,-7.56,-7.53,-9.28,-11.47,-11.41,-9.53,-8.72,-9.0,-7.59,-3.03,1.81,5.09,8.47,14.22,18.88,19.72,18.81,19.66,20.94,20.47,18.0,17.44,18.38,17.53,14.69,12.81,13.5,13.38,11.0,8.41,8.22,8.03,6.12,3.59,3.5,5.19,5.88,5.25,6.06,9.22,11.59,11.56,12.0,14.69,16.75,15.84,14.25,14.97,16.78,16.72,15.5,16.44,18.5,18.69,16.19,14.38,14.28,13.28,9.91,7.09,7.09,7.94,6.56,4.94,6.03,8.53,9.47,9.62,11.81,15.62,17.88,17.59,17.06,18.12,17.97,15.31,12.56,12.31,12.62,10.56,7.72,7.12,8.44,8.22,6.75,7.28,9.5,10.75,10.0,9.72,11.81,13.72,13.03,11.72,12.84,14.59,14.72,13.75,14.84,17.5,18.19,16.69,15.72,16.0,15.62,12.34,9.72,10.06,11.12,10.5,10.19,12.28,15.25,16.25,15.62,16.34,17.81,18.12,16.19,14.94,15.97,16.84,15.59,14.34,15.38,16.75,16.12,14.16,14.56,15.91,15.47,13.12,11.91,12.28,11.47,8.5,6.16,7.16,8.62,8.34,7.88,10.22,13.0,13.69,12.75,13.78,15.91,16.84,15.97,15.97,17.66,18.75,17.25,15.97,16.91,17.75,16.22,13.88,13.31,13.84,12.62,10.31,10.03,11.62,12.5,11.22,11.66,14.22,16.12,15.41,14.69,16.06,17.62,16.38,14.34,14.16,15.0,13.81,10.94,9.56,9.44,8.66,5.88,3.41,3.56,4.12,2.5,0.47,1.56,3.59,3.56,2.78,3.62,5.78,6.19,4.53,4.31,6.22,7.94,7.72,8.06,10.66,13.25,12.75,10.69,10.78,10.88,8.66,5.44,4.16,4.94,5.31,4.16,5.06,8.06,10.47,10.0,9.19,10.0,11.09,9.38,6.66,5.72,5.38,3.5,0.91,-0.06,1.25,2.41,1.03,0.28,1.66,3.09,42.12,42.28,42.66,42.47,43.34,45.94,48.31:14.56,13.5,9.88,7.06,6.25,5.28,2.28,0.62,2.41,5.38,6.03,6.16,7.38,9.59,9.97,8.78,9.06,11.84,13.84,13.72,14.41,17.28,19.53,18.38,17.22,17.62,18.72,17.88,16.03,16.72,19.25,20.72,20.31,20.88,22.66,23.25,20.72,17.94,17.75,17.12,14.25,11.12,10.47,11.69,11.78,11.19,13.16,17.28,20.25,20.91,21.41,23.41,24.06,21.53,19.03,19.41,20.5,19.25,17.91,18.69,20.81,20.69,18.5,17.31,17.44,16.53,14.25,13.47,16.25,19.81,21.19,22.19,24.81,26.97,25.88,23.25,21.66,21.66,20.44,18.03,17.78,19.91,21.38,20.22,19.47,21.16,22.53,21.94,21.06,21.84,23.0,21.5,18.22,16.81,17.06,16.5,14.34,13.34,14.91,16.22,15.16,14.19,15.69,17.09,15.88,13.78,14.5,16.47,16.47,15.28,15.0,16.38,16.25,13.97,12.62,14.16,16.0,15.5,15.47,18.03,20.75,20.41,18.16,16.91,16.22,14.22,11.09,10.03,11.91,13.19,12.75,12.69,15.19,18.25,18.62,18.31,20.75,23.75,23.97,22.28,22.44,23.56,22.97,21.66,21.28,23.75,25.22,24.0,22.47,23.88,25.53,25.0,23.94,24.94,26.78,26.38,24.81,24.81,26.03,25.84,23.25,21.47,22.34,23.62,22.72,21.88,23.75,26.12,25.62,24.22,24.53,25.91,25.78,23.81,23.34,25.16,26.28,25.28,24.91,27.28,28.81,27.25,24.31,23.0,22.25,19.38,15.62,14.19,14.88,14.06,12.0,11.47,13.62,15.28,14.25,13.19,14.41,15.38,14.09,11.81,12.56,14.91,15.81,16.06,17.84,21.31,22.94,21.41,20.41,21.81,22.72,21.25,19.44,19.72,20.03,18.25,15.5,15.62,17.5,18.0,16.78,16.75,18.5,18.81,16.12,14.38,14.97,15.59,14.97,14.66,17.72,21.78,22.97,21.97,21.72,21.56,19.38,15.44,13.41,14.38,16.03,15.84,16.03,18.44,20.28,19.16,16.84,17.41,19.22,20.19,20.19,21.47,24.16,24.88,23.19,22.34,24.34,26.16,25.78,25.72,27.69,29.78,28.97,26.31,25.81,26.0,24.72,22.47,22.0,24.06,25.28,24.03,23.41,24.88,25.81,24.16,21.97,21.78,22.59,21.41,18.88,18.44,19.09,18.62,16.38,15.66,17.44,18.72,18.06,17.72,19.75,21.72,21.28,19.69,19.88,21.12,20.47,18.28,17.75,18.91,19.41,17.5,17.16,19.75,21.75,21.22,20.44,22.03,23.41,21.5,18.44,16.91,16.47,14.19,11.09,10.03,11.12,11.88,9.69,8.56,10.0,11.44,10.78,10.38,12.59,15.84,16.72,16.59,18.62,21.31,22.19,20.44,18.53,17.56,15.44,10.62,6.09,5.25,5.22,3.78,3.0,5.41,8.97,11.56,12.28,14.25,17.12,18.06,16.34,15.38,16.66,17.94,16.62,15.69,16.84,18.22,17.03,14.59,14.34,15.28,14.44,12.38,11.72,12.78,13.19,11.5,10.72,12.31,14.0,12.91,11.47,11.56,12.31,11.0,8.84,9.44,11.88,13.47,13.28,14.19,16.62,18.31,17.59,17.53,19.31,21.09,20.19,18.16,17.94,18.47,17.38,15.44,15.84,17.97,19.59,18.91,19.06,20.62,21.25,18.88,16.28,15.97,16.62,15.22,13.25,13.09,14.59,14.19,12.59,13.06,15.88,17.84,17.62,17.47,19.38,20.94,19.97,19.34,20.88,23.38,23.19,21.69,21.56,22.25,21.25,18.41,16.75,17.09,16.59,14.19,12.34,12.28,12.47,10.28,7.62,7.25,8.84,8.75,8.81,11.09,15.31,18.75,19.66,21.5,25.0,27.66,27.72,27.59,29.47,31.28,30.38,28.0,26.75,26.53,23.78,19.91,17.38,16.66,15.12,11.56,8.97,9.28,10.12,9.12,8.78,10.75,12.66,12.03,10.19,9.59,11.34,12.47,12.72,14.66,19.16,22.25,22.69,22.69,23.81,25.0,22.69,19.59,18.59,18.84,17.09,14.47,13.66,14.22,13.53,11.28,9.94,11.22,11.97,10.47,9.5,10.78,13.0,12.94,12.38,13.19,14.69,14.09,12.03,11.09,12.25,12.25,10.75,9.72,11.41,12.44,10.81,8.59,8.41,8.91,8.03,6.66,8.0,10.59,11.38,10.19,9.69,10.91,11.0,8.84,7.09,7.62,8.41,7.16,5.84,6.59,8.31,7.69,6.12,5.72,7.28,8.0,6.97,7.03,9.25,10.75,10.62,10.22,12.44,15.31,15.88,15.19,16.19,17.69,16.69,13.59,11.53,10.78,9.12,6.28,4.66,6.69,9.19,10.19,10.5,13.44,16.84,18.19,18.19,19.47,21.44,21.25,18.84,17.19,18.16,19.12,18.53,18.72,21.44,23.94,23.41,21.25,21.03,21.22,19.28,17.19,17.03,19.41,20.16,19.12,18.66,19.78,20.38,18.62,16.97,17.75,18.84,18.0,16.66,17.19,18.47,18.25,16.12,15.28,15.69,15.38,12.56,10.44,11.12,12.0,10.84,9.41,10.12,10.84,9.22,6.34,5.34,5.22,3.34,-0.16,-2.53,-2.81,-2.91,-4.31,-4.47,-1.19,2.81,5.03,7.06,11.31,15.62,17.56,17.97,19.78,22.62,24.53,24.62,25.5,27.72,28.69,26.62,23.38,22.16,21.12,17.81,13.88,12.12,11.62,10.0,6.75,5.06,4.56,2.91,-0.81,-3.53,-3.06,-1.28,-0.75,0.06,3.62,7.91,10.22,10.78,12.84,15.59,16.06,14.25,13.69,15.12,16.09,14.78,13.91,14.72,14.91,12.16,8.19,6.47,5.59,3.0,-0.12,-1.09,-0.5,-1.06,-3.66,-5.25,-4.84,-4.12,-5.12,-5.38,-2.94,0.22,1.06,0.62,2.12,4.34,4.19,2.09,1.12,1.88,2.12,0.69,0.62,3.47,6.59,7.34,7.44,9.28,11.47,10.62,7.66,6.56,6.81,6.19,4.69,5.84,9.81,13.69,14.47,14.88,16.38,16.75,13.41,8.94,6.44,5.06,2.66,0.06,0.53,3.19,4.97,4.78,4.78,6.28,7.0,5.16,4.22,6.16,9.44,10.56,11.06,13.16,16.06,16.81,15.69,15.69,17.19,17.78,16.66,16.59,19.38,22.59,23.0,22.19,23.16,24.22,22.62,19.84,19.06,19.84,19.12,16.91,16.5,18.5,20.09,18.78,17.44,17.56,17.25,14.06,10.31,8.66,8.66,7.28,4.81,4.44,5.78,5.84,4.09,4.12,7.12,10.66,12.34,14.5,19.19,24.0,26.12,26.78,28.28,30.16,29.06,25.62,23.09,21.72,18.97,13.56,8.88,7.0,5.84,3.03,0.81,1.03,1.97,0.5,-1.75,-1.62,1.03,3.06,4.0,6.41,10.34,12.66,12.16,11.81,14.03,16.56,16.47,15.59,16.72,17.84,16.34,12.44,9.78,8.44,5.38,0.47,-2.97,-3.41,-3.97,-6.53,-8.59,-7.22,-4.88,-4.38,-3.69,0.53,6.47,11.38,15.19,19.91,25.88,29.62,29.53,28.91,29.69,29.38,26.0,22.25,20.47,19.0,14.25,8.25,3.88,1.41,-2.0,-6.53,-9.25,-8.91,-8.75,-10.22,-10.38,-7.78,-4.5,-3.72,-3.09,-0.5,2.84,3.72,3.03,3.34,5.03,4.78,2.41,1.34,2.25,2.66,0.94,-0.69,0.44,1.97,1.28,0.28,1.69,4.53,5.47,5.5,6.84,10.0,12.5,12.47,13.12,16.28,18.75,18.09,16.59,17.12,17.81,16.03,13.5,13.28,14.88,14.81,13.09,12.0,12.06,10.81,6.81,2.97,1.78,0.72,-3.03,-6.47,-7.56,-7.53,-9.28,-11.47,-11.41,-9.53,-8.72,-9.0,-7.59,-3.03,1.81,5.09,8.47,14.22,18.88,19.72,18.81,19.66,20.94,20.47,18.0,17.44,18.38,17.53,14.69,12.81,13.5,13.38,11.0,8.41,8.22,8.03,6.12,3.59,3.5,5.19,5.88,5.25,6.06,9.22,11.59,11.56,12.0,14.69,16.75,15.84,14.25,14.97,16.78,16.72,15.5,16.44,18.5,18.69,16.19,14.38,14.28,13.28,9.91,7.09,7.09,7.94,6.56,4.94,6.03,8.53,9.47,9.62,11.81,15.62,17.88,17.59,17.06,18.12,17.97,15.31,12.56,12.31,12.62,10.56,7.72,7.12,8.44,8.22,6.75,7.28,9.5,10.75,10.0,9.72,11.81,13.72,13.03,11.72,12.84,14.59,14.72,13.75,14.84,17.5,18.19,16.69,15.72,16.0,15.62,12.34,9.72,10.06,11.12,10.5,10.19,12.28,15.25,16.25,15.62,16.34,17.81,18.12,16.19,14.94,15.97,16.84,15.59,14.34,15.38,16.75,16.12,14.16,14.56,15.91,15.47,13.12,11.91,12.28,11.47,8.5,6.16,7.16,8.62,8.34,7.88,10.22,13.0,13.69,12.75,13.78,15.91,16.84,15.97,15.97,17.66,18.75,17.25,15.97,16.91,17.75,16.22,13.88,13.31,13.84,12.62,10.31,10.03,11.62,12.5,11.22,11.66,14.22,16.12,15.41,14.69,16.06,17.62,16.38,14.34,14.16,15.0,13.81,10.94,9.56,9.44,8.66,5.88,3.41,3.56,4.12,2.5,0.47,1.56,3.59,3.56,2.78,3.62,5.78,6.19,4.53,4.31,6.22,7.94,7.72,8.06,10.66,13.25,12.75,10.69,10.78,10.88,8.66,5.44,4.16,4.94,5.31,4.16,5.06,8.06,10.47,10.0,9.19,10.0,11.09,9.38,6.66,5.72,5.38,3.5,0.91,-0.06,1.25,2.41,1.03,0.28,1.66,3.09,42.12,42.28,42.66,42.47,43.34,45.94,48.31,48.38,47.06,46.16,45.94,44.72,42.94,42.81:0.62,2.41,5.38,6.03,6.16,7.38,9.59,9.97,8.78,9.06,11.84,13.84,13.72,14.41,17.28,19.53,18.38,17.22,17.62,18.72,17.88,16.03,16.72,19.25,20.72,20.31,20.88,22.66,23.25,20.72,17.94,17.75,17.12,14.25,11.12,10.47,11.69,11.78,11.19,13.16,17.28,20.25,20.91,21.41,23.41,24.06,21.53,19.03,19.41,20.5,19.25,17.91,18.69,20.81,20.69,18.5,17.31,17.44,16.53,14.25,13.47,16.25,19.81,21.19,22.19,24.81,26.97,25.88,23.25,21.66,21.66,20.44,18.03,17.78,19.91,21.38,20.22,19.47,21.16,22.53,21.94,21.06,21.84,23.0,21.5,18.22,16.81,17.06,16.5,14.34,13.34,14.91,16.22,15.16,14.19,15.69,17.09,15.88,13.78,14.5,16.47,16.47,15.28,15.0,16.38,16.25,13.97,12.62,14.16,16.0,15.5,15.47,18.03,20.75,20.41,18.16,16.91,16.22,14.22,11.09,10.03,11.91,13.19,12.75,12.69,15.19,18.25,18.62,18.31,20.75,23.75,23.97,22.28,22.44,23.56,22.97,21.66,21.28,23.75,25.22,24.0,22.47,23.88,25.53,25.0,23.94,24.94,26.78,26.38,24.81,24.81,26.03,25.84,23.25,21.47,22.34,23.62,22.72,21.88,23.75,26.12,25.62,24.22,24.53,25.91,25.78,23.81,23.34,25.16,26.28,25.28,24.91,27.28,28.81,27.25,24.31,23.0,22.25,19.38,15.62,14.19,14.88,14.06,12.0,11.47,13.62,15.28,14.25,13.19,14.41,15.38,14.09,11.81,12.56,14.91,15.81,16.06,17.84,21.31,22.94,21.41,20.41,21.81,22.72,21.25,19.44,19.72,20.03,18.25,15.5,15.62,17.5,18.0,16.78,16.75,18.5,18.81,16.12,14.38,14.97,15.59,14.97,14.66,17.72,21.78,22.97,21.97,21.72,21.56,19.38,15.44,13.41,14.38,16.03,15.84,16.03,18.44,20.28,19.16,16.84,17.41,19.22,20.19,20.19,21.47,24.16,24.88,23.19,22.34,24.34,26.16,25.78,25.72,27.69,29.78,28.97,26.31,25.81,26.0,24.72,22.47,22.0,24.06,25.28,24.03,23.41,24.88,25.81,24.16,21.97,21.78,22.59,21.41,18.88,18.44,19.09,18.62,16.38,15.66,17.44,18.72,18.06,17.72,19.75,21.72,21.28,19.69,19.88,21.12,20.47,18.28,17.75,18.91,19.41,17.5,17.16,19.75,21.75,21.22,20.44,22.03,23.41,21.5,18.44,16.91,16.47,14.19,11.09,10.03,11.12,11.88,9.69,8.56,10.0,11.44,10.78,10.38,12.59,15.84,16.72,16.59,18.62,21.31,22.19,20.44,18.53,17.56,15.44,10.62,6.09,5.25,5.22,3.78,3.0,5.41,8.97,11.56,12.28,14.25,17.12,18.06,16.34,15.38,16.66,17.94,16.62,15.69,16.84,18.22,17.03,14.59,14.34,15.28,14.44,12.38,11.72,12.78,13.19,11.5,10.72,12.31,14.0,12.91,11.47,11.56,12.31,11.0,8.84,9.44,11.88,13.47,13.28,14.19,16.62,18.31,17.59,17.53,19.31,21.09,20.19,18.16,17.94,18.47,17.38,15.44,15.84,17.97,19.59,18.91,19.06,20.62,21.25,18.88,16.28,15.97,16.62,15.22,13.25,13.09,14.59,14.19,12.59,13.06,15.88,17.84,17.62,17.47,19.38,20.94,19.97,19.34,20.88,23.38,23.19,21.69,21.56,22.25,21.25,18.41,16.75,17.09,16.59,14.19,12.34,12.28,12.47,10.28,7.62,7.25,8.84,8.75,8.81,11.09,15.31,18.75,19.66,21.5,25.0,27.66,27.72,27.59,29.47,31.28,30.38,28.0,26.75,26.53,23.78,19.91,17.38,16.66,15.12,11.56,8.97,9.28,10.12,9.12,8.78,10.75,12.66,12.03,10.19,9.59,11.34,12.47,12.72,14.66,19.16,22.25,22.69,22.69,23.81,25.0,22.69,19.59,18.59,18.84,17.09,14.47,13.66,14.22,13.53,11.28,9.94,11.22,11.97,10.47,9.5,10.78,13.0,12.94,12.38,13.19,14.69,14.09,12.03,11.09,12.25,12.25,10.75,9.72,11.41,12.44,10.81,8.59,8.41,8.91,8.03,6.66,8.0,10.59,11.38,10.19,9.69,10.91,11.0,8.84,7.09,7.62,8.41,7.16,5.84,6.59,8.31,7.69,6.12,5.72,7.28,8.0,6.97,7.03,9.25,10.75,10.62,10.22,12.44,15.31,15.88,15.19,16.19,17.69,16.69,13.59,11.53,10.78,9.12,6.28,4.66,6.69,9.19,10.19,10.5,13.44,16.84,18.19,18.19,19.47,21.44,21.25,18.84,17.19,18.16,19.12,18.53,18.72,21.44,23.94,23.41,21.25,21.03,21.22,19.28,17.19,17.03,19.41,20.16,19.12,18.66,19.78,20.38,18.62,16.97,17.75,18.84,18.0,16.66,17.19,18.47,18.25,16.12,15.28,15.69,15.38,12.56,10.44,11.12,12.0,10.84,9.41,10.12,10.84,9.22,6.34,5.34,5.22,3.34,-0.16,-2.53,-2.81,-2.91,-4.31,-4.47,-1.19,2.81,5.03,7.06,11.31,15.62,17.56,17.97,19.78,22.62,24.53,24.62,25.5,27.72,28.69,26.62,23.38,22.16,21.12,17.81,13.88,12.12,11.62,10.0,6.75,5.06,4.56,2.91,-0.81,-3.53,-3.06,-1.28,-0.75,0.06,3.62,7.91,10.22,10.78,12.84,15.59,16.06,14.25,13.69,15.12,16.09,14.78,13.91,14.72,14.91,12.16,8.19,6.47,5.59,3.0,-0.12,-1.09,-0.5,-1.06,-3.66,-5.25,-4.84,-4.12,-5.12,-5.38,-2.94,0.22,1.06,0.62,2.12,4.34,4.19,2.09,1.12,1.88,2.12,0.69,0.62,3.47,6.59,7.34,7.44,9.28,11.47,10.62,7.66,6.56,6.81,6.19,4.69,5.84,9.81,13.69,14.47,14.88,16.38,16.75,13.41,8.94,6.44,5.06,2.66,0.06,0.53,3.19,4.97,4.78,4.78,6.28,7.0,5.16,4.22,6.16,9.44,10.56,11.06,13.16,16.06,16.81,15.69,15.69,17.19,17.78,16.66,16.59,19.38,22.59,23.0,22.19,23.16,24.22,22.62,19.84,19.06,19.84,19.12,16.91,16.5,18.5,20.09,18.78,17.44,17.56,17.25,14.06,10.31,8.66,8.66,7.28,4.81,4.44,5.78,5.84,4.09,4.12,7.12,10.66,12.34,14.5,19.19,24.0,26.12,26.78,28.28,30.16,29.06,25.62,23.09,21.72,18.97,13.56,8.88,7.0,5.84,3.03,0.81,1.03,1.97,0.5,-1.75,-1.62,1.03,3.06,4.0,6.41,10.34,12.66,12.16,11.81,14.03,16.56,16.47,15.59,16.72,17.84,16.34,12.44,9.78,8.44,5.38,0.47,-2.97,-3.41,-3.97,-6.53,-8.59,-7.22,-4.88,-4.38,-3.69,0.53,6.47,11.38,15.19,19.91,25.88,29.62,29.53,28.91,29.69,29.38,26.0,22.25,20.47,19.0,14.25,8.25,3.88,1.41,-2.0,-6.53,-9.25,-8.91,-8.75,-10.22,-10.38,-7.78,-4.5,-3.72,-3.09,-0.5,2.84,3.72,3.03,3.34,5.03,4.78,2.41,1.34,2.25,2.66,0.94,-0.69,0.44,1.97,1.28,0.28,1.69,4.53,5.47,5.5,6.84,10.0,12.5,12.47,13.12,16.28,18.75,18.09,16.59,17.12,17.81,16.03,13.5,13.28,14.88,14.81,13.09,12.0,12.06,10.81,6.81,2.97,1.78,0.72,-3.03,-6.47,-7.56,-7.53,-9.28,-11.47,-11.41,-9.53,-8.72,-9.0,-7.59,-3.03,1.81,5.09,8.47,14.22,18.88,19.72,18.81,19.66,20.94,20.47,18.0,17.44,18.38,17.53,14.69,12.81,13.5,13.38,11.0,8.41,8.22,8.03,6.12,3.59,3.5,5.19,5.88,5.25,6.06,9.22,11.59,11.56,12.0,14.69,16.75,15.84,14.25,14.97,16.78,16.72,15.5,16.44,18.5,18.69,16.19,14.38,14.28,13.28,9.91,7.09,7.09,7.94,6.56,4.94,6.03,8.53,9.47,9.62,11.81,15.62,17.88,17.59,17.06,18.12,17.97,15.31,12.56,12.31,12.62,10.56,7.72,7.12,8.44,8.22,6.75,7.28,9.5,10.75,10.0,9.72,11.81,13.72,13.03,11.72,12.84,14.59,14.72,13.75,14.84,17.5,18.19,16.69,15.72,16.0,15.62,12.34,9.72,10.06,11.12,10.5,10.19,12.28,15.25,16.25,15.62,16.34,17.81,18.12,16.19,14.94,15.97,16.84,15.59,14.34,15.38,16.75,16.12,14.16,14.56,15.91,15.47,13.12,11.91,12.28,11.47,8.5,6.16,7.16,8.62,8.34,7.88,10.22,13.0,13.69,12.75,13.78,15.91,16.84,15.97,15.97,17.66,18.75,17.25,15.97,16.91,17.75,16.22,13.88,13.31,13.84,12.62,10.31,10.03,11.62,12.5,11.22,11.66,14.22,16.12,15.41,14.69,16.06,17.62,16.38,14.34,14.16,15.0,13.81,10.94,9.56,9.44,8.66,5.88,3.41,3.56,4.12,2.5,0.47,1.56,3.59,3.56,2.78,3.62,5.78,6.19,4.53,4.31,6.22,7.94,7.72,8.06,10.66,13.25,12.75,10.69,10.78,10.88,8.66,5.44,4.16,4.94,5.31,4.16,5.06,8.06,10.47,10.0,9.19,10.0,11.09,9.38,6.66,5.72,5.38,3.5,0.91,-0.06,1.25,2.41,1.03,0.28,1.66,3.09,42.12,42.28,42.66,42.47,43.34,45.94,48.31,48.38,47.06,46.16,45.94,44.72,42.94,42.81,43.94,44.06,42.38,41.0,40.62,39.97,37.62:9.97,8.78,9.06,11.84,13.84,13.72,14.41,17.28,19.53,18.38,17.22,17.62,18.72,17.88,16.03,16.72,19.25,20.72,20.31,20.88,22.66,23.25,20.72,17.94,17.75,17.12,14.25,11.12,10.47,11.69,11.78,11.19,13.16,17.28,20.25,20.91,21.41,23.41,24.06,21.53,19.03,19.41,20.5,19.25,17.91,18.69,20.81,20.69,18.5,17.31,17.44,16.53,14.25,13.47,16.25,19.81,21.19,22.19,24.81,26.97,25.88,23.25,21.66,21.66,20.44,18.03,17.78,19.91,21.38,20.22,19.47,21.16,22.53,21.94,21.06,21.84,23.0,21.5,18.22,16.81,17.06,16.5,14.34,13.34,14.91,16.22,15.16,14.19,15.69,17.09,15.88,13.78,14.5,16.47,16.47,15.28,15.0,16.38,16.25,13.97,12.62,14.16,16.0,15.5,15.47,18.03,20.75,20.41,18.16,16.91,16.22,14.22,11.09,10.03,11.91,13.19,12.75,12.69,15.19,18.25,18.62,18.31,20.75,23.75,23.97,22.28,22.44,23.56,22.97,21.66,21.28,23.75,25.22,24.0,22.47,23.88,25.53,25.0,23.94,24.94,26.78,26.38,24.81,24.81,26.03,25.84,23.25,21.47,22.34,23.62,22.72,21.88,23.75,26.12,25.62,24.22,24.53,25.91,25.78,23.81,23.34,25.16,26.28,25.28,24.91,27.28,28.81,27.25,24.31,23.0,22.25,19.38,15.62,14.19,14.88,14.06,12.0,11.47,13.62,15.28,14.25,13.19,14.41,15.38,14.09,11.81,12.56,14.91,15.81,16.06,17.84,21.31,22.94,21.41,20.41,21.81,22.72,21.25,19.44,19.72,20.03,18.25,15.5,15.62,17.5,18.0,16.78,16.75,18.5,18.81,16.12,14.38,14.97,15.59,14.97,14.66,17.72,21.78,22.97,21.97,21.72,21.56,19.38,15.44,13.41,14.38,16.03,15.84,16.03,18.44,20.28,19.16,16.84,17.41,19.22,20.19,20.19,21.47,24.16,24.88,23.19,22.34,24.34,26.16,25.78,25.72,27.69,29.78,28.97,26.31,25.81,26.0,24.72,22.47,22.0,24.06,25.28,24.03,23.41,24.88,25.81,24.16,21.97,21.78,22.59,21.41,18.88,18.44,19.09,18.62,16.38,15.66,17.44,18.72,18.06,17.72,19.75,21.72,21.28,19.69,19.88,21.12,20.47,18.28,17.75,18.91,19.41,17.5,17.16,19.75,21.75,21.22,20.44,22.03,23.41,21.5,18.44,16.91,16.47,14.19,11.09,10.03,11.12,11.88,9.69,8.56,10.0,11.44,10.78,10.38,12.59,15.84,16.72,16.59,18.62,21.31,22.19,20.44,18.53,17.56,15.44,10.62,6.09,5.25,5.22,3.78,3.0,5.41,8.97,11.56,12.28,14.25,17.12,18.06,16.34,15.38,16.66,17.94,16.62,15.69,16.84,18.22,17.03,14.59,14.34,15.28,14.44,12.38,11.72,12.78,13.19,11.5,10.72,12.31,14.0,12.91,11.47,11.56,12.31,11.0,8.84,9.44,11.88,13.47,13.28,14.19,16.62,18.31,17.59,17.53,19.31,21.09,20.19,18.16,17.94,18.47,17.38,15.44,15.84,17.97,19.59,18.91,19.06,20.62,21.25,18.88,16.28,15.97,16.62,15.22,13.25,13.09,14.59,14.19,12.59,13.06,15.88,17.84,17.62,17.47,19.38,20.94,19.97,19.34,20.88,23.38,23.19,21.69,21.56,22.25,21.25,18.41,16.75,17.09,16.59,14.19,12.34,12.28,12.47,10.28,7.62,7.25,8.84,8.75,8.81,11.09,15.31,18.75,19.66,21.5,25.0,27.66,27.72,27.59,29.47,31.28,30.38,28.0,26.75,26.53,23.78,19.91,17.38,16.66,15.12,11.56,8.97,9.28,10.12,9.12,8.78,10.75,12.66,12.03,10.19,9.59,11.34,12.47,12.72,14.66,19.16,22.25,22.69,22.69,23.81,25.0,22.69,19.59,18.59,18.84,17.09,14.47,13.66,14.22,13.53,11.28,9.94,11.22,11.97,10.47,9.5,10.78,13.0,12.94,12.38,13.19,14.69,14.09,12.03,11.09,12.25,12.25,10.75,9.72,11.41,12.44,10.81,8.59,8.41,8.91,8.03,6.66,8.0,10.59,11.38,10.19,9.69,10.91,11.0,8.84,7.09,7.62,8.41,7.16,5.84,6.59,8.31,7.69,6.12,5.72,7.28,8.0,6.97,7.03,9.25,10.75,10.62,10.22,12.44,15.31,15.88,15.19,16.19,17.69,16.69,13.59,11.53,10.78,9.12,6.28,4.66,6.69,9.19,10.19,10.5,13.44,16.84,18.19,18.19,19.47,21.44,21.25,18.84,17.19,18.16,19.12,18.53,18.72,21.44,23.94,23.41,21.25,21.03,21.22,19.28,17.19,17.03,19.41,20.16,19.12,18.66,19.78,20.38,18.62,16.97,17.75,18.84,18.0,16.66,17.19,18.47,18.25,16.12,15.28,15.69,15.38,12.56,10.44,11.12,12.0,10.84,9.41,10.12,10.84,9.22,6.34,5.34,5.22,3.34,-0.16,-2.53,-2.81,-2.91,-4.31,-4.47,-1.19,2.81,5.03,7.06,11.31,15.62,17.56,17.97,19.78,22.62,24.53,24.62,25.5,27.72,28.69,26.62,23.38,22.16,21.12,17.81,13.88,12.12,11.62,10.0,6.75,5.06,4.56,2.91,-0.81,-3.53,-3.06,-1.28,-0.75,0.06,3.62,7.91,10.22,10.78,12.84,15.59,16.06,14.25,13.69,15.12,16.09,14.78,13.91,14.72,14.91,12.16,8.19,6.47,5.59,3.0,-0.12,-1.09,-0.5,-1.06,-3.66,-5.25,-4.84,-4.12,-5.12,-5.38,-2.94,0.22,1.06,0.62,2.12,4.34,4.19,2.09,1.12,1.88,2.12,0.69,0.62,3.47,6.59,7.34,7.44,9.28,11.47,10.62,7.66,6.56,6.81,6.19,4.69,5.84,9.81,13.69,14.47,14.88,16.38,16.75,13.41,8.94,6.44,5.06,2.66,0.06,0.53,3.19,4.97,4.78,4.78,6.28,7.0,5.16,4.22,6.16,9.44,10.56,11.06,13.16,16.06,16.81,15.69,15.69,17.19,17.78,16.66,16.59,19.38,22.59,23.0,22.19,23.16,24.22,22.62,19.84,19.06,19.84,19.12,16.91,16.5,18.5,20.09,18.78,17.44,17.56,17.25,14.06,10.31,8.66,8.66,7.28,4.81,4.44,5.78,5.84,4.09,4.12,7.12,10.66,12.34,14.5,19.19,24.0,26.12,26.78,28.28,30.16,29.06,25.62,23.09,21.72,18.97,13.56,8.88,7.0,5.84,3.03,0.81,1.03,1.97,0.5,-1.75,-1.62,1.03,3.06,4.0,6.41,10.34,12.66,12.16,11.81,14.03,16.56,16.47,15.59,16.72,17.84,16.34,12.44,9.78,8.44,5.38,0.47,-2.97,-3.41,-3.97,-6.53,-8.59,-7.22,-4.88,-4.38,-3.69,0.53,6.47,11.38,15.19,19.91,25.88,29.62,29.53,28.91,29.69,29.38,26.0,22.25,20.47,19.0,14.25,8.25,3.88,1.41,-2.0,-6.53,-9.25,-8.91,-8.75,-10.22,-10.38,-7.78,-4.5,-3.72,-3.09,-0.5,2.84,3.72,3.03,3.34,5.03,4.78,2.41,1.34,2.25,2.66,0.94,-0.69,0.44,1.97,1.28,0.28,1.69,4.53,5.47,5.5,6.84,10.0,12.5,12.47,13.12,16.28,18.75,18.09,16.59,17.12,17.81,16.03,13.5,13.28,14.88,14.81,13.09,12.0,12.06,10.81,6.81,2.97,1.78,0.72,-3.03,-6.47,-7.56,-7.53,-9.28,-11.47,-11.41,-9.53,-8.72,-9.0,-7.59,-3.03,1.81,5.09,8.47,14.22,18.88,19.72,18.81,19.66,20.94,20.47,18.0,17.44,18.38,17.53,14.69,12.81,13.5,13.38,11.0,8.41,8.22,8.03,6.12,3.59,3.5,5.19,5.88,5.25,6.06,9.22,11.59,11.56,12.0,14.69,16.75,15.84,14.25,14.97,16.78,16.72,15.5,16.44,18.5,18.69,16.19,14.38,14.28,13.28,9.91,7.09,7.09,7.94,6.56,4.94,6.03,8.53,9.47,9.62,11.81,15.62,17.88,17.59,17.06,18.12,17.97,15.31,12.56,12.31,12.62,10.56,7.72,7.12,8.44,8.22,6.75,7.28,9.5,10.75,10.0,9.72,11.81,13.72,13.03,11.72,12.84,14.59,14.72,13.75,14.84,17.5,18.19,16.69,15.72,16.0,15.62,12.34,9.72,10.06,11.12,10.5,10.19,12.28,15.25,16.25,15.62,16.34,17.81,18.12,16.19,14.94,15.97,16.84,15.59,14.34,15.38,16.75,16.12,14.16,14.56,15.91,15.47,13.12,11.91,12.28,11.47,8.5,6.16,7.16,8.62,8.34,7.88,10.22,13.0,13.69,12.75,13.78,15.91,16.84,15.97,15.97,17.66,18.75,17.25,15.97,16.91,17.75,16.22,13.88,13.31,13.84,12.62,10.31,10.03,11.62,12.5,11.22,11.66,14.22,16.12,15.41,14.69,16.06,17.62,16.38,14.34,14.16,15.0,13.81,10.94,9.56,9.44,8.66,5.88,3.41,3.56,4.12,2.5,0.47,1.56,3.59,3.56,2.78,3.62,5.78,6.19,4.53,4.31,6.22,7.94,7.72,8.06,10.66,13.25,12.75,10.69,10.78,10.88,8.66,5.44,4.16,4.94,5.31,4.16,5.06,8.06,10.47,10.0,9.19,10.0,11.09,9.38,6.66,5.72,5.38,3.5,0.91,-0.06,1.25,2.41,1.03,0.28,1.66,3.09,42.12,42.28,42.66,42.47,43.34,45.94,48.31,48.38,47.06,46.16,45.94,44.72,42.94,42.81,43.94,44.06,42.38,41.0,40.62,39.97,37.62,36.06,36.59,38.03,38.03,37.94,38.62,40.44:17.28,19.53,18.38,17.22,17.62,18.72,17.88,16.03,16.72,19.25,20.72,20.31,20.88,22.66,23.25,20.72,17.94,17.75,17.12,14.25,11.12,10.47,11.69,11.78,11.19,13.16,17.28,20.25,20.91,21.41,23.41,24.06,21.53,19.03,19.41,20.5,19.25,17.91,18.69,20.81,20.69,18.5,17.31,17.44,16.53,14.25,13.47,16.25,19.81,21.19,22.19,24.81,26.97,25.88,23.25,21.66,21.66,20.44,18.03,17.78,19.91,21.38,20.22,19.47,21.16,22.53,21.94,21.06,21.84,23.0,21.5,18.22,16.81,17.06,16.5,14.34,13.34,14.91,16.22,15.16,14.19,15.69,17.09,15.88,13.78,14.5,16.47,16.47,15.28,15.0,16.38,16.25,13.97,12.62,14.16,16.0,15.5,15.47,18.03,20.75,20.41,18.16,16.91,16.22,14.22,11.09,10.03,11.91,13.19,12.75,12.69,15.19,18.25,18.62,18.31,20.75,23.75,23.97,22.28,22.44,23.56,22.97,21.66,21.28,23.75,25.22,24.0,22.47,23.88,25.53,25.0,23.94,24.94,26.78,26.38,24.81,24.81,26.03,25.84,23.25,21.47,22.34,23.62,22.72,21.88,23.75,26.12,25.62,24.22,24.53,25.91,25.78,23.81,23.34,25.16,26.28,25.28,24.91,27.28,28.81,27.25,24.31,23.0,22.25,19.38,15.62,14.19,14.88,14.06,12.0,11.47,13.62,15.28,14.25,13.19,14.41,15.38,14.09,11.81,12.56,14.91,15.81,16.06,17.84,21.31,22.94,21.41,20.41,21.81,22.72,21.25,19.44,19.72,20.03,18.25,15.5,15.62,17.5,18.0,16.78,16.75,18.5,18.81,16.12,14.38,14.97,15.59,14.97,14.66,17.72,21.78,22.97,21.97,21.72,21.56,19.38,15.44,13.41,14.38,16.03,15.84,16.03,18.44,20.28,19.16,16.84,17.41,19.22,20.19,20.19,21.47,24.16,24.88,23.19,22.34,24.34,26.16,25.78,25.72,27.69,29.78,28.97,26.31,25.81,26.0,24.72,22.47,22.0,24.06,25.28,24.03,23.41,24.88,25.81,24.16,21.97,21.78,22.59,21.41,18.88,18.44,19.09,18.62,16.38,15.66,17.44,18.72,18.06,17.72,19.75,21.72,21.28,19.69,19.88,21.12,20.47,18.28,17.75,18.91,19.41,17.5,17.16,19.75,21.75,21.22,20.44,22.03,23.41,21.5,18.44,16.91,16.47,14.19,11.09,10.03,11.12,11.88,9.69,8.56,10.0,11.44,10.78,10.38,12.59,15.84,16.72,16.59,18.62,21.31,22.19,20.44,18.53,17.56,15.44,10.62,6.09,5.25,5.22,3.78,3.0,5.41,8.97,11.56,12.28,14.25,17.12,18.06,16.34,15.38,16.66,17.94,16.62,15.69,16.84,18.22,17.03,14.59,14.34,15.28,14.44,12.38,11.72,12.78,13.19,11.5,10.72,12.31,14.0,12.91,11.47,11.56,12.31,11.0,8.84,9.44,11.88,13.47,13.28,14.19,16.62,18.31,17.59,17.53,19.31,21.09,20.19,18.16,17.94,18.47,17.38,15.44,15.84,17.97,19.59,18.91,19.06,20.62,21.25,18.88,16.28,15.97,16.62,15.22,13.25,13.09,14.59,14.19,12.59,13.06,15.88,17.84,17.62,17.47,19.38,20.94,19.97,19.34,20.88,23.38,23.19,21.69,21.56,22.25,21.25,18.41,16.75,17.09,16.59,14.19,12.34,12.28,12.47,10.28,7.62,7.25,8.84,8.75,8.81,11.09,15.31,18.75,19.66,21.5,25.0,27.66,27.72,27.59,29.47,31.28,30.38,28.0,26.75,26.53,23.78,19.91,17.38,16.66,15.12,11.56,8.97,9.28,10.12,9.12,8.78,10.75,12.66,12.03,10.19,9.59,11.34,12.47,12.72,14.66,19.16,22.25,22.69,22.69,23.81,25.0,22.69,19.59,18.59,18.84,17.09,14.47,13.66,14.22,13.53,11.28,9.94,11.22,11.97,10.47,9.5,10.78,13.0,12.94,12.38,13.19,14.69,14.09,12.03,11.09,12.25,12.25,10.75,9.72,11.41,12.44,10.81,8.59,8.41,8.91,8.03,6.66,8.0,10.59,11.38,10.19,9.69,10.91,11.0,8.84,7.09,7.62,8.41,7.16,5.84,6.59,8.31,7.69,6.12,5.72,7.28,8.0,6.97,7.03,9.25,10.75,10.62,10.22,12.44,15.31,15.88,15.19,16.19,17.69,16.69,13.59,11.53,10.78,9.12,6.28,4.66,6.69,9.19,10.19,10.5,13.44,16.84,18.19,18.19,19.47,21.44,21.25,18.84,17.19,18.16,19.12,18.53,18.72,21.44,23.94,23.41,21.25,21.03,21.22,19.28,17.19,17.03,19.41,20.16,19.12,18.66,19.78,20.38,18.62,16.97,17.75,18.84,18.0,16.66,17.19,18.47,18.25,16.12,15.28,15.69,15.38,12.56,10.44,11.12,12.0,10.84,9.41,10.12,10.84,9.22,6.34,5.34,5.22,3.34,-0.16,-2.53,-2.81,-2.91,-4.31,-4.47,-1.19,2.81,5.03,7.06,11.31,15.62,17.56,17.97,19.78,22.62,24.53,24.62,25.5,27.72,28.69,26.62,23.38,22.16,21.12,17.81,13.88,12.12,11.62,10.0,6.75,5.06,4.56,2.91,-0.81,-3.53,-3.06,-1.28,-0.75,0.06,3.62,7.91,10.22,10.78,12.84,15.59,16.06,14.25,13.69,15.12,16.09,14.78,13.91,14.72,14.91,12.16,8.19,6.47,5.59,3.0,-0.12,-1.09,-0.5,-1.06,-3.66,-5.25,-4.84,-4.12,-5.12,-5.38,-2.94,0.22,1.06,0.62,2.12,4.34,4.19,2.09,1.12,1.88,2.12,0.69,0.62,3.47,6.59,7.34,7.44,9.28,11.47,10.62,7.66,6.56,6.81,6.19,4.69,5.84,9.81,13.69,14.47,14.88,16.38,16.75,13.41,8.94,6.44,5.06,2.66,0.06,0.53,3.19,4.97,4.78,4.78,6.28,7.0,5.16,4.22,6.16,9.44,10.56,11.06,13.16,16.06,16.81,15.69,15.69,17.19,17.78,16.66,16.59,19.38,22.59,23.0,22.19,23.16,24.22,22.62,19.84,19.06,19.84,19.12,16.91,16.5,18.5,20.09,18.78,17.44,17.56,17.25,14.06,10.31,8.66,8.66,7.28,4.81,4.44,5.78,5.84,4.09,4.12,7.12,10.66,12.34,14.5,19.19,24.0,26.12,26.78,28.28,30.16,29.06,25.62,23.09,21.72,18.97,13.56,8.88,7.0,5.84,3.03,0.81,1.03,1.97,0.5,-1.75,-1.62,1.03,3.06,4.0,6.41,10.34,12.66,12.16,11.81,14.03,16.56,16.47,15.59,16.72,17.84,16.34,12.44,9.78,8.44,5.38,0.47,-2.97,-3.41,-3.97,-6.53,-8.59,-7.22,-4.88,-4.38,-3.69,0.53,6.47,11.38,15.19,19.91,25.88,29.62,29.53,28.91,29.69,29.38,26.0,22.25,20.47,19.0,14.25,8.25,3.88,1.41,-2.0,-6.53,-9.25,-8.91,-8.75,-10.22,-10.38,-7.78,-4.5,-3.72,-3.09,-0.5,2.84,3.72,3.03,3.34,5.03,4.78,2.41,1.34,2.25,2.66,0.94,-0.69,0.44,1.97,1.28,0.28,1.69,4.53,5.47,5.5,6.84,10.0,12.5,12.47,13.12,16.28,18.75,18.09,16.59,17.12,17.81,16.03,13.5,13.28,14.88,14.81,13.09,12.0,12.06,10.81,6.81,2.97,1.78,0.72,-3.03,-6.47,-7.56,-7.53,-9.28,-11.47,-11.41,-9.53,-8.72,-9.0,-7.59,-3.03,1.81,5.09,8.47,14.22,18.88,19.72,18.81,19.66,20.94,20.47,18.0,17.44,18.38,17.53,14.69,12.81,13.5,13.38,11.0,8.41,8.22,8.03,6.12,3.59,3.5,5.19,5.88,5.25,6.06,9.22,11.59,11.56,12.0,14.69,16.75,15.84,14.25,14.97,16.78,16.72,15.5,16.44,18.5,18.69,16.19,14.38,14.28,13.28,9.91,7.09,7.09,7.94,6.56,4.94,6.03,8.53,9.47,9.62,11.81,15.62,17.88,17.59,17.06,18.12,17.97,15.31,12.56,12.31,12.62,10.56,7.72,7.12,8.44,8.22,6.75,7.28,9.5,10.75,10.0,9.72,11.81,13.72,13.03,11.72,12.84,14.59,14.72,13.75,14.84,17.5,18.19,16.69,15.72,16.0,15.62,12.34,9.72,10.06,11.12,10.5,10.19,12.28,15.25,16.25,15.62,16.34,17.81,18.12,16.19,14.94,15.97,16.84,15.59,14.34,15.38,16.75,16.12,14.16,14.56,15.91,15.47,13.12,11.91,12.28,11.47,8.5,6.16,7.16,8.62,8.34,7.88,10.22,13.0,13.69,12.75,13.78,15.91,16.84,15.97,15.97,17.66,18.75,17.25,15.97,16.91,17.75,16.22,13.88,13.31,13.84,12.62,10.31,10.03,11.62,12.5,11.22,11.66,14.22,16.12,15.41,14.69,16.06,17.62,16.38,14.34,14.16,15.0,13.81,10.94,9.56,9.44,8.66,5.88,3.41,3.56,4.12,2.5,0.47,1.56,3.59,3.56,2.78,3.62,5.78,6.19,4.53,4.31,6.22,7.94,7.72,8.06,10.66,13.25,12.75,10.69,10.78,10.88,8.66,5.44,4.16,4.94,5.31,4.16,5.06,8.06,10.47,10.0,9.19,10.0,11.09,9.38,6.66,5.72,5.38,3.5,0.91,-0.06,1.25,2.41,1.03,0.28,1.66,3.09,42.12,42.28,42.66,42.47,43.34,45.94,48.31,48.38,47.06,46.16,45.94,44.72,42.94,42.81,43.94,44.06,42.38,41.0,40.62,39.97,37.62,36.06,36.59,38.03,38.03,37.94,38.62,40.44,40.91,40.59,41.62,44.03,45.94,46.34,47.47:16.03,16.72,19.25,20.72,20.31,20.88,22.66,23.25,20.72,17.94,17.75,17.12,14.25,11.12,10.47,11.69,11.78,11.19,13.16,17.28,20.25,20.91,21.41,23.41,24.06,21.53,19.03,19.41,20.5,19.25,17.91,18.69,20.81,20.69,18.5,17.31,17.44,16.53,14.25,13.47,16.25,19.81,21.19,22.19,24.81,26.97,25.88,23.25,21.66,21.66,20.44,18.03,17.78,19.91,21.38,20.22,19.47,21.16,22.53,21.94,21.06,21.84,23.0,21.5,18.22,16.81,17.06,16.5,14.34,13.34,14.91,16.22,15.16,14.19,15.69,17.09,15.88,13.78,14.5,16.47,16.47,15.28,15.0,16.38,16.25,13.97,12.62,14.16,16.0,15.5,15.47,18.03,20.75,20.41,18.16,16.91,16.22,14.22,11.09,10.03,11.91,13.19,12.75,12.69,15.19,18.25,18.62,18.31,20.75,23.75,23.97,22.28,22.44,23.56,22.97,21.66,21.28,23.75,25.22,24.0,22.47,23.88,25.53,25.0,23.94,24.94,26.78,26.38,24.81,24.81,26.03,25.84,23.25,21.47,22.34,23.62,22.72,21.88,23.75,26.12,25.62,24.22,24.53,25.91,25.78,23.81,23.34,25.16,26.28,25.28,24.91,27.28,28.81,27.25,24.31,23.0,22.25,19.38,15.62,14.19,14.88,14.06,12.0,11.47,13.62,15.28,14.25,13.19,14.41,15.38,14.09,11.81,12.56,14.91,15.81,16.06,17.84,21.31,22.94,21.41,20.41,21.81,22.72,21.25,19.44,19.72,20.03,18.25,15.5,15.62,17.5,18.0,16.78,16.75,18.5,18.81,16.12,14.38,14.97,15.59,14.97,14.66,17.72,21.78,22.97,21.97,21.72,21.56,19.38,15.44,13.41,14.38,16.03,15.84,16.03,18.44,20.28,19.16,16.84,17.41,19.22,20.19,20.19,21.47,24.16,24.88,23.19,22.34,24.34,26.16,25.78,25.72,27.69,29.78,28.97,26.31,25.81,26.0,24.72,22.47,22.0,24.06,25.28,24.03,23.41,24.88,25.81,24.16,21.97,21.78,22.59,21.41,18.88,18.44,19.09,18.62,16.38,15.66,17.44,18.72,18.06,17.72,19.75,21.72,21.28,19.69,19.88,21.12,20.47,18.28,17.75,18.91,19.41,17.5,17.16,19.75,21.75,21.22,20.44,22.03,23.41,21.5,18.44,16.91,16.47,14.19,11.09,10.03,11.12,11.88,9.69,8.56,10.0,11.44,10.78,10.38,12.59,15.84,16.72,16.59,18.62,21.31,22.19,20.44,18.53,17.56,15.44,10.62,6.09,5.25,5.22,3.78,3.0,5.41,8.97,11.56,12.28,14.25,17.12,18.06,16.34,15.38,16.66,17.94,16.62,15.69,16.84,18.22,17.03,14.59,14.34,15.28,14.44,12.38,11.72,12.78,13.19,11.5,10.72,12.31,14.0,12.91,11.47,11.56,12.31,11.0,8.84,9.44,11.88,13.47,13.28,14.19,16.62,18.31,17.59,17.53,19.31,21.09,20.19,18.16,17.94,18.47,17.38,15.44,15.84,17.97,19.59,18.91,19.06,20.62,21.25,18.88,16.28,15.97,16.62,15.22,13.25,13.09,14.59,14.19,12.59,13.06,15.88,17.84,17.62,17.47,19.38,20.94,19.97,19.34,20.88,23.38,23.19,21.69,21.56,22.25,21.25,18.41,16.75,17.09,16.59,14.19,12.34,12.28,12.47,10.28,7.62,7.25,8.84,8.75,8.81,11.09,15.31,18.75,19.66,21.5,25.0,27.66,27.72,27.59,29.47,31.28,30.38,28.0,26.75,26.53,23.78,19.91,17.38,16.66,15.12,11.56,8.97,9.28,10.12,9.12,8.78,10.75,12.66,12.03,10.19,9.59,11.34,12.47,12.72,14.66,19.16,22.25,22.69,22.69,23.81,25.0,22.69,19.59,18.59,18.84,17.09,14.47,13.66,14.22,13.53,11.28,9.94,11.22,11.97,10.47,9.5,10.78,13.0,12.94,12.38,13.19,14.69,14.09,12.03,11.09,12.25,12.25,10.75,9.72,11.41,12.44,10.81,8.59,8.41,8.91,8.03,6.66,8.0,10.59,11.38,10.19,9.69,10.91,11.0,8.84,7.09,7.62,8.41,7.16,5.84,6.59,8.31,7.69,6.12,5.72,7.28,8.0,6.97,7.03,9.25,10.75,10.62,10.22,12.44,15.31,15.88,15.19,16.19,17.69,16.69,13.59,11.53,10.78,9.12,6.28,4.66,6.69,9.19,10.19,10.5,13.44,16.84,18.19,18.19,19.47,21.44,21.25,18.84,17.19,18.16,19.12,18.53,18.72,21.44,23.94,23.41,21.25,21.03,21.22,19.28,17.19,17.03,19.41,20.16,19.12,18.66,19.78,20.38,18.62,16.97,17.75,18.84,18.0,16.66,17.19,18.47,18.25,16.12,15.28,15.69,15.38,12.56,10.44,11.12,12.0,10.84,9.41,10.12,10.84,9.22,6.34,5.34,5.22,3.34,-0.16,-2.53,-2.81,-2.91,-4.31,-4.47,-1.19,2.81,5.03,7.06,11.31,15.62,17.56,17.97,19.78,22.62,24.53,24.62,25.5,27.72,28.69,26.62,23.38,22.16,21.12,17.81,13.88,12.12,11.62,10.0,6.75,5.06,4.56,2.91,-0.81,-3.53,-3.06,-1.28,-0.75,0.06,3.62,7.91,10.22,10.78,12.84,15.59,16.06,14.25,13.69,15.12,16.09,14.78,13.91,14.72,14.91,12.16,8.19,6.47,5.59,3.0,-0.12,-1.09,-0.5,-1.06,-3.66,-5.25,-4.84,-4.12,-5.12,-5.38,-2.94,0.22,1.06,0.62,2.12,4.34,4.19,2.09,1.12,1.88,2.12,0.69,0.62,3.47,6.59,7.34,7.44,9.28,11.47,10.62,7.66,6.56,6.81,6.19,4.69,5.84,9.81,13.69,14.47,14.88,16.38,16.75,13.41,8.94,6.44,5.06,2.66,0.06,0.53,3.19,4.97,4.78,4.78,6.28,7.0,5.16,4.22,6.16,9.44,10.56,11.06,13.16,16.06,16.81,15.69,15.69,17.19,17.78,16.66,16.59,19.38,22.59,23.0,22.19,23.16,24.22,22.62,19.84,19.06,19.84,19.12,16.91,16.5,18.5,20.09,18.78,17.44,17.56,17.25,14.06,10.31,8.66,8.66,7.28,4.81,4.44,5.78,5.84,4.09,4.12,7.12,10.66,12.34,14.5,19.19,24.0,26.12,26.78,28.28,30.16,29.06,25.62,23.09,21.72,18.97,13.56,8.88,7.0,5.84,3.03,0.81,1.03,1.97,0.5,-1.75,-1.62,1.03,3.06,4.0,6.41,10.34,12.66,12.16,11.81,14.03,16.56,16.47,15.59,16.72,17.84,16.34,12.44,9.78,8.44,5.38,0.47,-2.97,-3.41,-3.97,-6.53,-8.59,-7.22,-4.88,-4.38,-3.69,0.53,6.47,11.38,15.19,19.91,25.88,29.62,29.53,28.91,29.69,29.38,26.0,22.25,20.47,19.0,14.25,8.25,3.88,1.41,-2.0,-6.53,-9.25,-8.91,-8.75,-10.22,-10.38,-7.78,-4.5,-3.72,-3.09,-0.5,2.84,3.72,3.03,3.34,5.03,4.78,2.41,1.34,2.25,2.66,0.94,-0.69,0.44,1.97,1.28,0.28,1.69,4.53,5.47,5.5,6.84,10.0,12.5,12.47,13.12,16.28,18.75,18.09,16.59,17.12,17.81,16.03,13.5,13.28,14.88,14.81,13.09,12.0,12.06,10.81,6.81,2.97,1.78,0.72,-3.03,-6.47,-7.56,-7.53,-9.28,-11.47,-11.41,-9.53,-8.72,-9.0,-7.59,-3.03,1.81,5.09,8.47,14.22,18.88,19.72,18.81,19.66,20.94,20.47,18.0,17.44,18.38,17.53,14.69,12.81,13.5,13.38,11.0,8.41,8.22,8.03,6.12,3.59,3.5,5.19,5.88,5.25,6.06,9.22,11.59,11.56,12.0,14.69,16.75,15.84,14.25,14.97,16.78,16.72,15.5,16.44,18.5,18.69,16.19,14.38,14.28,13.28,9.91,7.09,7.09,7.94,6.56,4.94,6.03,8.53,9.47,9.62,11.81,15.62,17.88,17.59,17.06,18.12,17.97,15.31,12.56,12.31,12.62,10.56,7.72,7.12,8.44,8.22,6.75,7.28,9.5,10.75,10.0,9.72,11.81,13.72,13.03,11.72,12.84,14.59,14.72,13.75,14.84,17.5,18.19,16.69,15.72,16.0,15.62,12.34,9.72,10.06,11.12,10.5,10.19,12.28,15.25,16.25,15.62,16.34,17.81,18.12,16.19,14.94,15.97,16.84,15.59,14.34,15.38,16.75,16.12,14.16,14.56,15.91,15.47,13.12,11.91,12.28,11.47,8.5,6.16,7.16,8.62,8.34,7.88,10.22,13.0,13.69,12.75,13.78,15.91,16.84,15.97,15.97,17.66,18.75,17.25,15.97,16.91,17.75,16.22,13.88,13.31,13.84,12.62,10.31,10.03,11.62,12.5,11.22,11.66,14.22,16.12,15.41,14.69,16.06,17.62,16.38,14.34,14.16,15.0,13.81,10.94,9.56,9.44,8.66,5.88,3.41,3.56,4.12,2.5,0.47,1.56,3.59,3.56,2.78,3.62,5.78,6.19,4.53,4.31,6.22,7.94,7.72,8.06,10.66,13.25,12.75,10.69,10.78,10.88,8.66,5.44,4.16,4.94,5.31,4.16,5.06,8.06,10.47,10.0,9.19,10.0,11.09,9.38,6.66,5.72,5.38,3.5,0.91,-0.06,1.25,2.41,1.03,0.28,1.66,3.09,42.12,42.28,42.66,42.47,43.34,45.94,48.31,48.38,47.06,46.16,45.94,44.72,42.94,42.81,43.94,44.06,42.38,41.0,40.62,39.97,37.62,36.06,36.59,38.03,38.03,37.94,38.62,40.44,40.91,40.59,41.62,44.03,45.94,46.34,47.47,49.47,51.12,50.28,49.06,48.59,48.59,47.28:negativity
28.41,29.03,29.19,30.25,31.84,31.91,30.25,28.84,27.81,26.28,23.25,20.62,20.31,20.5,19.59,19.19,20.62,22.94,23.81,23.91,25.28,27.25,29.09,29.66,31.72,34.81,37.41,37.5,37.12,37.44,38.03,37.12,36.5,37.41,38.53,37.94,35.72,34.03,33.25,32.03,30.28,29.91,31.03,32.53,32.19,32.5,33.91,35.44,35.19,34.19,34.03,34.59,33.66,32.84,33.44,35.19,37.22,37.34,37.91,39.38,40.31,39.66,38.94,39.12,38.88,36.5,33.38,31.47,30.47,29.16,26.81,25.66,25.38,25.19,23.44,23.03,24.62,25.94,25.41,25.28,26.06,27.56,27.81,28.25,30.06,33.22,35.44,36.84,38.78,40.66,41.44,40.19,38.81,38.03,36.84,34.19,31.34,29.78,28.84,27.44,25.72,25.22,25.94,25.47,24.25,23.47,23.56,23.47,21.91,21.09,22.09,23.53,23.5,23.16,24.31,25.53,25.12,23.88,23.0,22.69,21.44,18.91,17.25,16.91,16.47,15.16,14.72,16.25,19.47,21.75,23.88,27.62,31.41,33.19,33.5,33.91,34.72,34.19,32.22,30.78,30.69,30.62,28.47,27.0,26.62,27.09,26.19,25.03,25.38,26.59,26.78,26.5,26.72,28.22,28.66,27.66,26.81,27.56,27.88,25.97,24.53,23.88,23.72,22.25,20.66,20.56,21.38,21.66,21.41,22.28,24.03,25.03,24.25,23.59,23.69,24.44,23.66,22.84,23.69,25.09,25.44,25.28,26.5,28.09,28.19,26.97,25.94,25.91,25.53,24.56,24.47,26.03,27.91,28.47,29.03,30.53,32.91,33.53,33.31,33.72,35.19,35.56,35.53,36.47,38.97,40.81,41.41,41.41,42.0,41.69,39.34,36.56,34.28,32.78,30.12,27.19,25.34,25.03,24.69,24.38,25.12,27.72,29.81,30.34,30.31,31.44,32.75,31.97,30.88,30.75,31.25,30.91,30.25,31.38,33.84,35.41,35.62,35.19,34.91,33.81,30.88,27.75,26.62,26.88,26.81,26.88,29.19,32.38,33.94,33.69,33.69,33.97,33.47,31.91,30.91,31.81,33.09,33.31,33.38,34.72,36.22,35.81,34.81,34.38,34.78,34.38,33.09,32.44,32.81,32.66,31.31,30.06,30.31,30.91,31.03,31.75,34.12,37.56,39.91,41.12,42.91,44.94,45.0,43.34,42.09,41.47,40.56,38.97,38.0,38.62,39.5,39.22,38.59,39.16,39.94,39.5,38.5,37.97,38.94,38.88,38.16,38.09,39.16,39.88,39.31,38.38,38.81,39.28,38.28,37.06,37.34,38.12,37.5,35.62,34.22,33.5,31.94,30.25,30.0,31.94,34.38,35.84,37.16,39.56,41.72,41.56,40.12,39.38,38.72,37.16,35.03,34.16,34.25,33.78,32.31,31.0,31.06,31.38,30.59,29.75,30.56,31.97,32.56,32.41,33.31,34.91,35.28,34.44,33.56,33.66,32.81,30.69,28.69,27.75,26.69,24.69,22.5,22.06,22.88,23.62,24.19,26.47,29.75,31.81,32.62,33.47,35.38,37.06,38.0,39.03,40.78,42.22,41.25,38.53,36.41,34.03,30.34,25.88,23.19,22.56,21.94,21.59,22.28,24.84,27.0,27.44,28.53,31.34,34.66,37.16,39.19,42.03,43.69,43.5,41.88,40.34,39.62,38.19,35.22,32.0,30.38,28.28,25.53,23.34,23.66,25.34,26.09,26.97,29.12,31.16,31.75,31.03,30.75,31.44,31.44,30.31,29.66,30.94,31.84,31.88,31.75,32.69,33.09,31.91,30.0,29.22,29.84,30.09,30.56,31.94,35.03,37.69,38.38,38.69,39.56,39.16,36.5,33.34,31.09,29.12,26.62,24.34,24.31,26.22,28.16,29.31,31.09,33.12,34.0,33.34,32.44,33.25,34.38,34.78,34.69,36.25,37.22,36.66,35.62,35.75,36.75,37.66,38.06,39.16,41.16,42.78,42.5,41.47,41.44,40.5,37.5,33.62,31.22,29.56,27.5,25.91,26.31,28.03,28.97,28.5,28.75,30.03,31.5,32.16,33.06,36.0,38.56,39.34,39.34,40.62,42.44,43.38,43.66,45.47,47.94,49.22,48.66,47.56,46.97,45.72,42.72,39.75,38.72,38.44,36.81,35.19,34.75,34.97,34.03,32.19,31.12,31.75,32.22,31.78,31.97,33.78,34.97,34.56,33.25,32.81,32.0,29.56,27.16,26.84,27.62,28.25,28.31,28.91,30.59,31.72,31.25,30.72,30.94,30.38,27.78,25.12,23.62,22.84,21.22,19.53,19.56,20.84,22.03,22.66,23.66,24.81,25.5,24.28,23.56,24.81,27.66,29.78,32.12,35.31,38.12,38.78,38.09,38.47,39.31,39.81,39.56,39.84,41.28,42.25,41.75,40.91,41.47,41.97,41.31,40.81,42.12,44.12,45.06,44.59,44.78,44.97,44.62,42.97,41.88,42.69,43.75,43.75,43.56,45.44,47.12,47.12,46.84,48.44,50.56,52.25,53.03,54.59,56.53,57.22,56.25,55.44,55.91,56.41,54.81,52.78,51.44,50.16,47.59,44.94,43.94,43.72,43.16,41.97,42.06,43.75,45.47,46.31,47.38,49.94,52.25,53.41,54.34,56.16,57.41,56.88,54.75,53.31,53.03,52.22,51.31,52.03,53.72,54.94,54.31,53.09,52.09,50.78,47.97,45.06,44.31,45.22,45.31,45.06,46.09,47.44,47.16,45.16,43.47,42.66,41.56,39.28,37.5,37.69,37.62,36.72,35.53,35.84,36.5,35.88,34.72,34.56,35.62,36.5,35.88,35.88,36.38,36.41,34.5,32.88,32.81,33.44,33.16,32.69,33.81,35.66,35.75,34.72,35.06,36.41,37.78,38.69,40.03,42.44,44.78,45.28,45.94,48.03,50.19,50.53,49.53,49.0,48.84,47.31,45.19,44.31,44.28,43.56,41.72,40.56,40.53,40.97,40.41,40.22,42.09,45.0,47.09,49.09,51.59,54.41,55.44,54.75,54.88,56.25,56.88,56.56,56.66,57.5,58.0,56.56,55.12,54.97,55.47,54.47,52.84,52.0,51.5,49.59,46.84,44.94,44.97,44.88,43.84,43.41,44.56,45.59,44.69,43.5,43.03,42.78,41.41,39.81,39.81,41.09,41.56,41.09,41.22,42.72,43.84,43.62,44.16,45.91,47.84,47.81,47.25,47.25,47.72,46.69,44.78,43.75,43.53,42.25,39.31,36.78,35.59,34.66,32.72,31.5,32.22,33.5,33.06,32.75,33.69,35.44,37.0,37.62,38.88,40.81,41.72,40.69,40.28,40.91,41.41,40.72,39.91,40.19,40.03,38.09,35.06,32.78,31.31,28.78,26.22,25.88,27.56,29.41,30.81,32.75,35.72,38.16,39.0,39.62,41.59,43.78,44.12,43.75,44.5,46.06,46.47,45.25,44.47,44.09,42.69,39.69,37.12,36.41,36.62,35.53,34.91,36.28,38.25,38.16,37.44,37.12,37.47,37.22,36.56,37.06,39.03,40.69,40.53,40.38,41.38,42.41,41.69,41.03,41.47,42.53,41.62,39.69,38.28,37.88,36.69,35.06,34.97,36.19,37.34,36.12,34.66,33.78,32.38,29.81,27.5,26.97,28.0,28.0,27.44,27.91,29.34,30.25,30.47,31.62,34.44,36.97,37.88,38.78,40.38,41.62,40.91,39.53,39.47,40.16,39.84,39.19,39.38,40.69,40.47,38.78,37.0,36.44,35.19,33.0,31.72,32.31,33.69,33.22,31.91,31.53,31.56,30.91,30.41,31.59,34.59,37.09,37.81,38.12,39.25,39.88,38.69,37.56,38.12,39.38,39.25,38.5,38.12,38.62,37.44,34.75,32.91,32.28,31.28,28.94,27.34,27.69,28.47,27.97,27.88,29.09,31.12,31.62,31.78,32.78,34.78,35.5,35.0,34.75,35.56,35.56,33.69,32.0,31.62,31.34,29.34,27.34,26.69,27.41,27.78,28.84,31.81,36.0,38.62,39.72,40.41,41.81,42.72,41.75,40.5,40.56,40.25,38.25,35.62,33.84,32.75,30.22,27.59,26.0,26.56,26.5,25.78,25.81,27.12,28.16,27.59,26.78,27.03,27.03,25.22,22.91,22.41,22.88,22.94,22.97,24.31,27.34,29.56,30.75,32.19,34.25,35.41,34.47,33.09,32.94,33.31,32.22,30.66,30.44,30.53,29.0,26.66,25.25,25.59,26.09,26.09,26.38,28.22,29.72,29.66,29.41,30.94,33.31,34.0,33.88,34.84,36.03,35.78,34.72,34.0,34.62,34.47,32.75,30.84,30.5,29.78,27.66,25.81,25.88,26.47,25.94,24.94,24.72,25.34,24.75,23.5,23.22,24.94,26.38,26.97,27.78,29.91,31.62,32.12,31.75,32.97,34.56,34.69,34.16,34.34,35.53,35.25,33.84,33.16,33.72,33.44,31.81,30.28,30.03,29.62,28.22,26.59,26.72,27.56,27.25,26.88,26.88,28.22,28.94,28.72,29.53,32.22,34.5,35.56,36.38,38.12,40.03,40.12,38.91,39.12,39.84,39.59,38.12,37.72,39.09,38.88,37.5,36.66,36.84,36.72,34.69,32.75,32.56,33.12,32.81,31.94,32.75,34.25,34.34,33.59,33.5,34.69,35.12,33.81,32.66,32.5,32.06,29.88,27.81,27.03,26.66,25.41,23.94,24.69,26.91,28.56,29.31,30.75,33.25,34.66,34.44,34.69,36.0,37.0,36.41,35.25,35.41,35.94,35.25,33.72,33.72,34.56,34.97,34.44,34.81,37.12,38.72,38.31,38.0,38.16,37.66,36.03,34.06,33.69,33.94,33.28,31.62,31.12,31.19,30.78,29.69,29.5,31.28,32.62,32.75,32.56,33.44,33.72,32.62,31.22,31.38,31.88,31.25,29.66,28.59,28.5,27.69,25.97,25.12,26.0,26.78:28.84,27.81,26.28,23.25,20.62,20.31,20.5,19.59,19.19,20.62,22.94,23.81,23.91,25.28,27.25,29.09,29.66,31.72,34.81,37.41,37.5,37.12,37.44,38.03,37.12,36.5,37.41,38.53,37.94,35.72,34.03,33.25,32.03,30.28,29.91,31.03,32.53,32.19,32.5,33.91,35.44,35.19,34.19,34.03,34.59,33.66,32.84,33.44,35.19,37.22,37.34,37.91,39.38,40.31,39.66,38.94,39.12,38.88,36.5,33.38,31.47,30.47,29.16,26.81,25.66,25.38,25.19,23.44,23.03,24.62,25.94,25.41,25.28,26.06,27.56,27.81,28.25,30.06,33.22,35.44,36.84,38.78,40.66,41.44,40.19,38.81,38.03,36.84,34.19,31.34,29.78,28.84,27.44,25.72,25.22,25.94,25.47,24.25,23.47,23.56,23.47,21.91,21.09,22.09,23.53,23.5,23.16,24.31,25.53,25.12,23.88,23.0,22.69,21.44,18.91,17.25,16.91,16.47,15.16,14.72,16.25,19.47,21.75,23.88,27.62,31.41,33.19,33.5,33.91,34.72,34.19,32.22,30.78,30.69,30.62,28.47,27.0,26.62,27.09,26.19,25.03,25.38,26.59,26.78,26.5,26.72,28.22,28.66,27.66,26.81,27.56,27.88,25.97,24.53,23.88,23.72,22.25,20.66,20.56,21.38,21.66,21.41,22.28,24.03,25.03,24.25,23.59,23.69,24.44,23.66,22.84,23.69,25.09,25.44,25.28,26.5,28.09,28.19,26.97,25.94,25.91,25.53,24.56,24.47,26.03,27.91,28.47,29.03,30.53,32.91,33.53,33.31,33.72,35.19,35.56,35.53,36.47,38.97,40.81,41.41,41.41,42.0,41.69,39.34,36.56,34.28,32.78,30.12,27.19,25.34,25.03,24.69,24.38,25.12,27.72,29.81,30.34,30.31,31.44,32.75,31.97,30.88,30.75,31.25,30.91,30.25,31.38,33.84,35.41,35.62,35.19,34.91,33.81,30.88,27.75,26.62,26.88,26.81,26.88,29.19,32.38,33.94,33.69,33.69,33.97,33.47,31.91,30.91,31.81,33.09,33.31,33.38,34.72,36.22,35.81,34.81,34.38,34.78,34.38,33.09,32.44,32.81,32.66,31.31,30.06,30.31,30.91,31.03,31.75,34.12,37.56,39.91,41.12,42.91,44.94,45.0,43.34,42.09,41.47,40.56,38.97,38.0,38.62,39.5,39.22,38.59,39.16,39.94,39.5,38.5,37.97,38.94,38.88,38.16,38.09,39.16,39.88,39.31,38.38,38.81,39.28,38.28,37.06,37.34,38.12,37.5,35.62,34.22,33.5,31.94,30.25,30.0,31.94,34.38,35.84,37.16,39.56,41.72,41.56,40.12,39.38,38.72,37.16,35.03,34.16,34.25,33.78,32.31,31.0,31.06,31.38,30.59,29.75,30.56,31.97,32.56,32.41,33.31,34.91,35.28,34.44,33.56,33.66,32.81,30.69,28.69,27.75,26.69,24.69,22.5,22.06,22.88,23.62,24.19,26.47,29.75,31.81,32.62,33.47,35.38,37.06,38.0,39.03,40.78,42.22,41.25,38.53,36.41,34.03,30.34,25.88,23.19,22.56,21.94,21.59,22.28,24.84,27.0,27.44,28.53,31.34,34.66,37.16,39.19,42.03,43.69,43.5,41.88,40.34,39.62,38.19,35.22,32.0,30.38,28.28,25.53,23.34,23.66,25.34,26.09,26.97,29.12,31.16,31.75,31.03,30.75,31.44,31.44,30.31,29.66,30.94,31.84,31.88,31.75,32.69,33.09,31.91,30.0,29.22,29.84,30.09,30.56,31.94,35.03,37.69,38.38,38.69,39.56,39.16,36.5,33.34,31.09,29.12,26.62,24.34,24.31,26.22,28.16,29.31,31.09,33.12,34.0,33.34,32.44,33.25,34.38,34.78,34.69,36.25,37.22,36.66,35.62,35.75,36.75,37.66,38.06,39.16,41.16,42.78,42.5,41.47,41.44,40.5,37.5,33.62,31.22,29.56,27.5,25.91,26.31,28.03,28.97,28.5,28.75,30.03,31.5,32.16,33.06,36.0,38.56,39.34,39.34,40.62,42.44,43.38,43.66,45.47,47.94,49.22,48.66,47.56,46.97,45.72,42.72,39.75,38.72,38.44,36.81,35.19,34.75,34.97,34.03,32.19,31.12,31.75,32.22,31.78,31.97,33.78,34.97,34.56,33.25,32.81,32.0,29.56,27.16,26.84,27.62,28.25,28.31,28.91,30.59,31.72,31.25,30.72,30.94,30.38,27.78,25.12,23.62,22.84,21.22,19.53,19.56,20.84,22.03,22.66,23.66,24.81,25.5,24.28,23.56,24.81,27.66,29.78,32.12,35.31,38.12,38.78,38.09,38.47,39.31,39.81,39.56,39.84,41.28,42.25,41.75,40.91,41.47,41.97,41.31,40.81,42.12,44.12,45.06,44.59,44.78,44.97,44.62,42.97,41.88,42.69,43.75,43.75,43.56,45.44,47.12,47.12,46.84,48.44,50.56,52.25,53.03,54.59,56.53,57.22,56.25,55.44,55.91,56.41,54.81,52.78,51.44,50.16,47.59,44.94,43.94,43.72,43.16,41.97,42.06,43.75,45.47,46.31,47.38,49.94,52.25,53.41,54.34,56.16,57.41,56.88,54.75,53.31,53.03,52.22,51.31,52.03,53.72,54.94,54.31,53.09,52.09,50.78,47.97,45.06,44.31,45.22,45.31,45.06,46.09,47.44,47.16,45.16,43.47,42.66,41.56,39.28,37.5,37.69,37.62,36.72,35.53,35.84,36.5,35.88,34.72,34.56,35.62,36.5,35.88,35.88,36.38,36.41,34.5,32.88,32.81,33.44,33.16,32.69,33.81,35.66,35.75,34.72,35.06,36.41,37.78,38.69,40.03,42.44,44.78,45.28,45.94,48.03,50.19,50.53,49.53,49.0,48.84,47.31,45.19,44.31,44.28,43.56,41.72,40.56,40.53,40.97,40.41,40.22,42.09,45.0,47.09,49.09,51.59,54.41,55.44,54.75,54.88,56.25,56.88,56.56,56.66,57.5,58.0,56.56,55.12,54.97,55.47,54.47,52.84,52.0,51.5,49.59,46.84,44.94,44.97,44.88,43.84,43.41,44.56,45.59,44.69,43.5,43.03,42.78,41.41,39.81,39.81,41.09,41.56,41.09,41.22,42.72,43.84,43.62,44.16,45.91,47.84,47.81,47.25,47.25,47.72,46.69,44.78,43.75,43.53,42.25,39.31,36.78,35.59,34.66,32.72,31.5,32.22,33.5,33.06,32.75,33.69,35.44,37.0,37.62,38.88,40.81,41.72,40.69,40.28,40.91,41.41,40.72,39.91,40.19,40.03,38.09,35.06,32.78,31.31,28.78,26.22,25.88,27.56,29.41,30.81,32.75,35.72,38.16,39.0,39.62,41.59,43.78,44.12,43.75,44.5,46.06,46.47,45.25,44.47,44.09,42.69,39.69,37.12,36.41,36.62,35.53,34.91,36.28,38.25,38.16,37.44,37.12,37.47,37.22,36.56,37.06,39.03,40.69,40.53,40.38,41.38,42.41,41.69,41.03,41.47,42.53,41.62,39.69,38.28,37.88,36.69,35.06,34.97,36.19,37.34,36.12,34.66,33.78,32.38,29.81,27.5,26.97,28.0,28.0,27.44,27.91,29.34,30.25,30.47,31.62,34.44,36.97,37.88,38.78,40.38,41.62,40.91,39.53,39.47,40.16,39.84,39.19,39.38,40.69,40.47,38.78,37.0,36.44,35.19,33.0,31.72,32.31,33.69,33.22,31.91,31.53,31.56,30.91,30.41,31.59,34.59,37.09,37.81,38.12,39.25,39.88,38.69,37.56,38.12,39.38,39.25,38.5,38.12,38.62,37.44,34.75,32.91,32.28,31.28,28.94,27.34,27.69,28.47,27.97,27.88,29.09,31.12,31.62,31.78,32.78,34.78,35.5,35.0,34.75,35.56,35.56,33.69,32.0,31.62,31.34,29.34,27.34,26.69,27.41,27.78,28.84,31.81,36.0,38.62,39.72,40.41,41.81,42.72,41.75,40.5,40.56,40.25,38.25,35.62,33.84,32.75,30.22,27.59,26.0,26.56,26.5,25.78,25.81,27.12,28.16,27.59,26.78,27.03,27.03,25.22,22.91,22.41,22.88,22.94,22.97,24.31,27.34,29.56,30.75,32.19,34.25,35.41,34.47,33.09,32.94,33.31,32.22,30.66,30.44,30.53,29.0,26.66,25.25,25.59,26.09,26.09,26.38,28.22,29.72,29.66,29.41,30.94,33.31,34.0,33.88,34.84,36.03,35.78,34.72,34.0,34.62,34.47,32.75,30.84,30.5,29.78,27.66,25.81,25.88,26.47,25.94,24.94,24.72,25.34,24.75,23.5,23.22,24.94,26.38,26.97,27.78,29.91,31.62,32.12,31.75,32.97,34.56,34.69,34.16,34.34,35.53,35.25,33.84,33.16,33.72,33.44,31.81,30.28,30.03,29.62,28.22,26.59,26.72,27.56,27.25,26.88,26.88,28.22,28.94,28.72,29.53,32.22,34.5,35.56,36.38,38.12,40.03,40.12,38.91,39.12,39.84,39.59,38.12,37.72,39.09,38.88,37.5,36.66,36.84,36.72,34.69,32.75,32.56,33.12,32.81,31.94,32.75,34.25,34.34,33.59,33.5,34.69,35.12,33.81,32.66,32.5,32.06,29.88,27.81,27.03,26.66,25.41,23.94,24.69,26.91,28.56,29.31,30.75,33.25,34.66,34.44,34.69,36.0,37.0,36.41,35.25,35.41,35.94,35.25,33.72,33.72,34.56,34.97,34.44,34.81,37.12,38.72,38.31,38.0,38.16,37.66,36.03,34.06,33.69,33.94,33.28,31.62,31.12,31.19,30.78,29.69,29.5,31.28,32.62,32.75,32.56,33.44,33.72,32.62,31.22,31.38,31.88,31.25,29.66,28.59,28.5,27.69,25.97,25.12,26.0,26.78,35.28,35.12,34.66,33.62,32.47,31.69,31.12:19.59,19.19,20.62,22.94,23.81,23.91,25.28,27.25,29.09,29.66,31.72,34.81,37.41,37.5,37.12,37.44,38.03,37.12,36.5,37.41,38.53,37.94,35.72,34.03,33.25,32.03,30.28,29.91,31.03,32.53,32.19,32.5,33.91,35.44,35.19,34.19,34.03,34.59,33.66,32.84,33.44,35.19,37.22,37.34,37.91,39.38,40.31,39.66,38.94,39.12,38.88,36.5,33.38,31.47,30.47,29.16,26.81,25.66,25.38,25.19,23.44,23.03,24.62,25.94,25.41,25.28,26.06,27.56,27.81,28.25,30.06,33.22,35.44,36.84,38.78,40.66,41.44,40.19,38.81,38.03,36.84,34.19,31.34,29.78,28.84,27.44,25.72,25.22,25.94,25.47,24.25,23.47,23.56,23.47,21.91,21.09,22.09,23.53,23.5,23.16,24.31,25.53,25.12,23.88,23.0,22.69,21.44,18.91,17.25,16.91,16.47,15.16,14.72,16.25,19.47,21.75,23.88,27.62,31.41,33.19,33.5,33.91,34.72,34.19,32.22,30.78,30.69,30.62,28.47,27.0,26.62,27.09,26.19,25.03,25.38,26.59,26.78,26.5,26.72,28.22,28.66,27.66,26.81,27.56,27.88,25.97,24.53,23.88,23.72,22.25,20.66,20.56,21.38,21.66,21.41,22.28,24.03,25.03,24.25,23.59,23.69,24.44,23.66,22.84,23.69,25.09,25.44,25.28,26.5,28.09,28.19,26.97,25.94,25.91,25.53,24.56,24.47,26.03,27.91,28.47,29.03,30.53,32.91,33.53,33.31,33.72,35.19,35.56,35.53,36.47,38.97,40.81,41.41,41.41,42.0,41.69,39.34,36.56,34.28,32.78,30.12,27.19,25.34,25.03,24.69,24.38,25.12,27.72,29.81,30.34,30.31,31.44,32.75,31.97,30.88,30.75,31.25,30.91,30.25,31.38,33.84,35.41,35.62,35.19,34.91,33.81,30.88,27.75,26.62,26.88,26.81,26.88,29.19,32.38,33.94,33.69,33.69,33.97,33.47,31.91,30.91,31.81,33.09,33.31,33.38,34.72,36.22,35.81,34.81,34.38,34.78,34.38,33.09,32.44,32.81,32.66,31.31,30.06,30.31,30.91,31.03,31.75,34.12,37.56,39.91,41.12,42.91,44.94,45.0,43.34,42.09,41.47,40.56,38.97,38.0,38.62,39.5,39.22,38.59,39.16,39.94,39.5,38.5,37.97,38.94,38.88,38.16,38.09,39.16,39.88,39.31,38.38,38.81,39.28,38.28,37.06,37.34,38.12,37.5,35.62,34.22,33.5,31.94,30.25,30.0,31.94,34.38,35.84,37.16,39.56,41.72,41.56,40.12,39.38,38.72,37.16,35.03,34.16,34.25,33.78,32.31,31.0,31.06,31.38,30.59,29.75,30.56,31.97,32.56,32.41,33.31,34.91,35.28,34.44,33.56,33.66,32.81,30.69,28.69,27.75,26.69,24.69,22.5,22.06,22.88,23.62,24.19,26.47,29.75,31.81,32.62,33.47,35.38,37.06,38.0,39.03,40.78,42.22,41.25,38.53,36.41,34.03,30.34,25.88,23.19,22.56,21.94,21.59,22.28,24.84,27.0,27.44,28.53,31.34,34.66,37.16,39.19,42.03,43.69,43.5,41.88,40.34,39.62,38.19,35.22,32.0,30.38,28.28,25.53,23.34,23.66,25.34,26.09,26.97,29.12,31.16,31.75,31.03,30.75,31.44,31.44,30.31,29.66,30.94,31.84,31.88,31.75,32.69,33.09,31.91,30.0,29.22,29.84,30.09,30.56,31.94,35.03,37.69,38.38,38.69,39.56,39.16,36.5,33.34,31.09,29.12,26.62,24.34,24.31,26.22,28.16,29.31,31.09,33.12,34.0,33.34,32.44,33.25,34.38,34.78,34.69,36.25,37.22,36.66,35.62,35.75,36.75,37.66,38.06,39.16,41.16,42.78,42.5,41.47,41.44,40.5,37.5,33.62,31.22,29.56,27.5,25.91,26.31,28.03,28.97,28.5,28.75,30.03,31.5,32.16,33.06,36.0,38.56,39.34,39.34,40.62,42.44,43.38,43.66,45.47,47.94,49.22,48.66,47.56,46.97,45.72,42.72,39.75,38.72,38.44,36.81,35.19,34.75,34.97,34.03,32.19,31.12,31.75,32.22,31.78,31.97,33.78,34.97,34.56,33.25,32.81,32.0,29.56,27.16,26.84,27.62,28.25,28.31,28.91,30.59,31.72,31.25,30.72,30.94,30.38,27.78,25.12,23.62,22.84,21.22,19.53,19.56,20.84,22.03,22.66,23.66,24.81,25.5,24.28,23.56,24.81,27.66,29.78,32.12,35.31,38.12,38.78,38.09,38.47,39.31,39.81,39.56,39.84,41.28,42.25,41.75,40.91,41.47,41.97,41.31,40.81,42.12,44.12,45.06,44.59,44.78,44.97,44.62,42.97,41.88,42.69,43.75,43.75,43.56,45.44,47.12,47.12,46.84,48.44,50.56,52.25,53.03,54.59,56.53,57.22,56.25,55.44,55.91,56.41,54.81,52.78,51.44,50.16,47.59,44.94,43.94,43.72,43.16,41.97,42.06,43.75,45.47,46.31,47.38,49.94,52.25,53.41,54.34,56.16,57.41,56.88,54.75,53.31,53.03,52.22,51.31,52.03,53.72,54.94,54.31,53.09,52.09,50.78,47.97,45.06,44.31,45.22,45.31,45.06,46.09,47.44,47.16,45.16,43.47,42.66,41.56,39.28,37.5,37.69,37.62,36.72,35.53,35.84,36.5,35.88,34.72,34.56,35.62,36.5,35.88,35.88,36.38,36.41,34.5,32.88,32.81,33.44,33.16,32.69,33.81,35.66,35.75,34.72,35.06,36.41,37.78,38.69,40.03,42.44,44.78,45.28,45.94,48.03,50.19,50.53,49.53,49.0,48.84,47.31,45.19,44.31,44.28,43.56,41.72,40.56,40.53,40.97,40.41,40.22,42.09,45.0,47.09,49.09,51.59,54.41,55.44,54.75,54.88,56.25,56.88,56.56,56.66,57.5,58.0,56.56,55.12,54.97,55.47,54.47,52.84,52.0,51.5,49.59,46.84,44.94,44.97,44.88,43.84,43.41,44.56,45.59,44.69,43.5,43.03,42.78,41.41,39.81,39.81,41.09,41.56,41.09,41.22,42.72,43.84,43.62,44.16,45.91,47.84,47.81,47.25,47.25,47.72,46.69,44.78,43.75,43.53,42.25,39.31,36.78,35.59,34.66,32.72,31.5,32.22,33.5,33.06,32.75,33.69,35.44,37.0,37.62,38.88,40.81,41.72,40.69,40.28,40.91,41.41,40.72,39.91,40.19,40.03,38.09,35.06,32.78,31.31,28.78,26.22,25.88,27.56,29.41,30.81,32.75,35.72,38.16,39.0,39.62,41.59,43.78,44.12,43.75,44.5,46.06,46.47,45.25,44.47,44.09,42.69,39.69,37.12,36.41,36.62,35.53,34.91,36.28,38.25,38.16,37.44,37.12,37.47,37.22,36.56,37.06,39.03,40.69,40.53,40.38,41.38,42.41,41.69,41.03,41.47,42.53,41.62,39.69,38.28,37.88,36.69,35.06,34.97,36.19,37.34,36.12,34.66,33.78,32.38,29.81,27.5,26.97,28.0,28.0,27.44,27.91,29.34,30.25,30.47,31.62,34.44,36.97,37.88,38.78,40.38,41.62,40.91,39.53,39.47,40.16,39.84,39.19,39.38,40.69,40.47,38.78,37.0,36.44,35.19,33.0,31.72,32.31,33.69,33.22,31.91,31.53,31.56,30.91,30.41,31.59,34.59,37.09,37.81,38.12,39.25,39.88,38.69,37.56,38.12,39.38,39.25,38.5,38.12,38.62,37.44,34.75,32.91,32.28,31.28,28.94,27.34,27.69,28.47,27.97,27.88,29.09,31.12,31.62,31.78,32.78,34.78,35.5,35.0,34.75,35.56,35.56,33.69,32.0,31.62,31.34,29.34,27.34,26.69,27.41,27.78,28.84,31.81,36.0,38.62,39.72,40.41,41.81,42.72,41.75,40.5,40.56,40.25,38.25,35.62,33.84,32.75,30.22,27.59,26.0,26.56,26.5,25.78,25.81,27.12,28.16,27.59,26.78,27.03,27.03,25.22,22.91,22.41,22.88,22.94,22.97,24.31,27.34,29.56,30.75,32.19,34.25,35.41,34.47,33.09,32.94,33.31,32.22,30.66,30.44,30.53,29.0,26.66,25.25,25.59,26.09,26.09,26.38,28.22,29.72,29.66,29.41,30.94,33.31,34.0,33.88,34.84,36.03,35.78,34.72,34.0,34.62,34.47,32.75,30.84,30.5,29.78,27.66,25.81,25.88,26.47,25.94,24.94,24.72,25.34,24.75,23.5,23.22,24.94,26.38,26.97,27.78,29.91,31.62,32.12,31.75,32.97,34.56,34.69,34.16,34.34,35.53,35.25,33.84,33.16,33.72,33.44,31.81,30.28,30.03,29.62,28.22,26.59,26.72,27.56,27.25,26.88,26.88,28.22,28.94,28.72,29.53,32.22,34.5,35.56,36.38,38.12,40.03,40.12,38.91,39.12,39.84,39.59,38.12,37.72,39.09,38.88,37.5,36.66,36.84,36.72,34.69,32.75,32.56,33.12,32.81,31.94,32.75,34.25,34.34,33.59,33.5,34.69,35.12,33.81,32.66,32.5,32.06,29.88,27.81,27.03,26.66,25.41,23.94,24.69,26.91,28.56,29.31,30.75,33.25,34.66,34.44,34.69,36.0,37.0,36.41,35.25,35.41,35.94,35.25,33.72,33.72,34.56,34.97,34.44,34.81,37.12,38.72,38.31,38.0,38.16,37.66,36.03,34.06,33.69,33.94,33.28,31.62,31.12,31.19,30.78,29.69,29.5,31.28,32.62,32.75,32.56,33.44,33.72,32.62,31.22,31.38,31.88,31.25,29.66,28.59,28.5,27.69,25.97,25.12,26.0,26.78,35.28,35.12,34.66,33.62,32.47,31.69,31.12,30.69,30.31,30.25,30.31,30.28,29.78,29.66:27.25,29.09,29.66,31.72,34.81,37.41,37.5,37.12,37.44,38.03,37.12,36.5,37.41,38.53,37.94,35.72,34.03,33.25,32.03,30.28,29.91,31.03,32.53,32.19,32.5,33.91,35.44,35.19,34.19,34.03,34.59,33.66,32.84,33.44,35.19,37.22,37.34,37.91,39.38,40.31,39.66,38.94,39.12,38.88,36.5,33.38,31.47,30.47,29.16,26.81,25.66,25.38,25.19,23.44,23.03,24.62,25.94,25.41,25.28,26.06,27.56,27.81,28.25,30.06,33.22,35.44,36.84,38.78,40.66,41.44,40.19,38.81,38.03,36.84,34.19,31.34,29.78,28.84,27.44,25.72,25.22,25.94,25.47,24.25,23.47,23.56,23.47,21.91,21.09,22.09,23.53,23.5,23.16,24.31,25.53,25.12,23.88,23.0,22.69,21.44,18.91,17.25,16.91,16.47,15.16,14.72,16.25,19.47,21.75,23.88,27.62,31.41,33.19,33.5,33.91,34.72,34.19,32.22,30.78,30.69,30.62,28.47,27.0,26.62,27.09,26.19,25.03,25.38,26.59,26.78,26.5,26.72,28.22,28.66,27.66,26.81,27.56,27.88,25.97,24.53,23.88,23.72,22.25,20.66,20.56,21.38,21.66,21.41,22.28,24.03,25.03,24.25,23.59,23.69,24.44,23.66,22.84,23.69,25.09,25.44,25.28,26.5,28.09,28.19,26.97,25.94,25.91,25.53,24.56,24.47,26.03,27.91,28.47,29.03,30.53,32.91,33.53,33.31,33.72,35.19,35.56,35.53,36.47,38.97,40.81,41.41,41.41,42.0,41.69,39.34,36.56,34.28,32.78,30.12,27.19,25.34,25.03,24.69,24.38,25.12,27.72,29.81,30.34,30.31,31.44,32.75,31.97,30.88,30.75,31.25,30.91,30.25,31.38,33.84,35.41,35.62,35.19,34.91,33.81,30.88,27.75,26.62,26.88,26.81,26.88,29.19,32.38,33.94,33.69,33.69,33.97,33.47,31.91,30.91,31.81,33.09,33.31,33.38,34.72,36.22,35.81,34.81,34.38,34.78,34.38,33.09,32.44,32.81,32.66,31.31,30.06,30.31,30.91,31.03,31.75,34.12,37.56,39.91,41.12,42.91,44.94,45.0,43.34,42.09,41.47,40.56,38.97,38.0,38.62,39.5,39.22,38.59,39.16,39.94,39.5,38.5,37.97,38.94,38.88,38.16,38.09,39.16,39.88,39.31,38.38,38.81,39.28,38.28,37.06,37.34,38.12,37.5,35.62,34.22,33.5,31.94,30.25,30.0,31.94,34.38,35.84,37.16,39.56,41.72,41.56,40.12,39.38,38.72,37.16,35.03,34.16,34.25,33.78,32.31,31.0,31.06,31.38,30.59,29.75,30.56,31.97,32.56,32.41,33.31,34.91,35.28,34.44,33.56,33.66,32.81,30.69,28.69,27.75,26.69,24.69,22.5,22.06,22.88,23.62,24.19,26.47,29.75,31.81,32.62,33.47,35.38,37.06,38.0,39.03,40.78,42.22,41.25,38.53,36.41,34.03,30.34,25.88,23.19,22.56,21.94,21.59,22.28,24.84,27.0,27.44,28.53,31.34,34.66,37.16,39.19,42.03,43.69,43.5,41.88,40.34,39.62,38.19,35.22,32.0,30.38,28.28,25.53,23.34,23.66,25.34,26.09,26.97,29.12,31.16,31.75,31.03,30.75,31.44,31.44,30.31,29.66,30.94,31.84,31.88,31.75,32.69,33.09,31.91,30.0,29.22,29.84,30.09,30.56,31.94,35.03,37.69,38.38,38.69,39.56,39.16,36.5,33.34,31.09,29.12,26.62,24.34,24.31,26.22,28.16,29.31,31.09,33.12,34.0,33.34,32.44,33.25,34.38,34.78,34.69,36.25,37.22,36.66,35.62,35.75,36.75,37.66,38.06,39.16,41.16,42.78,42.5,41.47,41.44,40.5,37.5,33.62,31.22,29.56,27.5,25.91,26.31,28.03,28.97,28.5,28.75,30.03,31.5,32.16,33.06,36.0,38.56,39.34,39.34,40.62,42.44,43.38,43.66,45.47,47.94,49.22,48.66,47.56,46.97,45.72,42.72,39.75,38.72,38.44,36.81,35.19,34.75,34.97,34.03,32.19,31.12,31.75,32.22,31.78,31.97,33.78,34.97,34.56,33.25,32.81,32.0,29.56,27.16,26.84,27.62,28.25,28.31,28.91,30.59,31.72,31.25,30.72,30.94,30.38,27.78,25.12,23.62,22.84,21.22,19.53,19.56,20.84,22.03,22.66,23.66,24.81,25.5,24.28,23.56,24.81,27.66,29.78,32.12,35.31,38.12,38.78,38.09,38.47,39.31,39.81,39.56,39.84,41.28,42.25,41.75,40.91,41.47,41.97,41.31,40.81,42.12,44.12,45.06,44.59,44.78,44.97,44.62,42.97,41.88,42.69,43.75,43.75,43.56,45.44,47.12,47.12,46.84,48.44,50.56,52.25,53.03,54.59,56.53,57.22,56.25,55.44,55.91,56.41,54.81,52.78,51.44,50.16,47.59,44.94,43.94,43.72,43.16,41.97,42.06,43.75,45.47,46.31,47.38,49.94,52.25,53.41,54.34,56.16,57.41,56.88,54.75,53.31,53.03,52.22,51.31,52.03,53.72,54.94,54.31,53.09,52.09,50.78,47.97,45.06,44.31,45.22,45.31,45.06,46.09,47.44,47.16,45.16,43.47,42.66,41.56,39.28,37.5,37.69,37.62,36.72,35.53,35.84,36.5,35.88,34.72,34.56,35.62,36.5,35.88,35.88,36.38,36.41,34.5,32.88,32.81,33.44,33.16,32.69,33.81,35.66,35.75,34.72,35.06,36.41,37.78,38.69,40.03,42.44,44.78,45.28,45.94,48.03,50.19,50.53,49.53,49.0,48.84,47.31,45.19,44.31,44.28,43.56,41.72,40.56,40.53,40.97,40.41,40.22,42.09,45.0,47.09,49.09,51.59,54.41,55.44,54.75,54.88,56.25,56.88,56.56,56.66,57.5,58.0,56.56,55.12,54.97,55.47,54.47,52.84,52.0,51.5,49.59,46.84,44.94,44.97,44.88,43.84,43.41,44.56,45.59,44.69,43.5,43.03,42.78,41.41,39.81,39.81,41.09,41.56,41.09,41.22,42.72,43.84,43.62,44.16,45.91,47.84,47.81,47.25,47.25,47.72,46.69,44.78,43.75,43.53,42.25,39.31,36.78,35.59,34.66,32.72,31.5,32.22,33.5,33.06,32.75,33.69,35.44,37.0,37.62,38.88,40.81,41.72,40.69,40.28,40.91,41.41,40.72,39.91,40.19,40.03,38.09,35.06,32.78,31.31,28.78,26.22,25.88,27.56,29.41,30.81,32.75,35.72,38.16,39.0,39.62,41.59,43.78,44.12,43.75,44.5,46.06,46.47,45.25,44.47,44.09,42.69,39.69,37.12,36.41,36.62,35.53,34.91,36.28,38.25,38.16,37.44,37.12,37.47,37.22,36.56,37.06,39.03,40.69,40.53,40.38,41.38,42.41,41.69,41.03,41.47,42.53,41.62,39.69,38.28,37.88,36.69,35.06,34.97,36.19,37.34,36.12,34.66,33.78,32.38,29.81,27.5,26.97,28.0,28.0,27.44,27.91,29.34,30.25,30.47,31.62,34.44,36.97,37.88,38.78,40.38,41.62,40.91,39.53,39.47,40.16,39.84,39.19,39.38,40.69,40.47,38.78,37.0,36.44,35.19,33.0,31.72,32.31,33.69,33.22,31.91,31.53,31.56,30.91,30.41,31.59,34.59,37.09,37.81,38.12,39.25,39.88,38.69,37.56,38.12,39.38,39.25,38.5,38.12,38.62,37.44,34.75,32.91,32.28,31.28,28.94,27.34,27.69,28.47,27.97,27.88,29.09,31.12,31.62,31.78,32.78,34.78,35.5,35.0,34.75,35.56,35.56,33.69,32.0,31.62,31.34,29.34,27.34,26.69,27.41,27.78,28.84,31.81,36.0,38.62,39.72,40.41,41.81,42.72,41.75,40.5,40.56,40.25,38.25,35.62,33.84,32.75,30.22,27.59,26.0,26.56,26.5,25.78,25.81,27.12,28.16,27.59,26.78,27.03,27.03,25.22,22.91,22.41,22.88,22.94,22.97,24.31,27.34,29.56,30.75,32.19,34.25,35.41,34.47,33.09,32.94,33.31,32.22,30.66,30.44,30.53,29.0,26.66,25.25,25.59,26.09,26.09,26.38,28.22,29.72,29.66,29.41,30.94,33.31,34.0,33.88,34.84,36.03,35.78,34.72,34.0,34.62,34.47,32.75,30.84,30.5,29.78,27.66,25.81,25.88,26.47,25.94,24.94,24.72,25.34,24.75,23.5,23.22,24.94,26.38,26.97,27.78,29.91,31.62,32.12,31.75,32.97,34.56,34.69,34.16,34.34,35.53,35.25,33.84,33.16,33.72,33.44,31.81,30.28,30.03,29.62,28.22,26.59,26.72,27.56,27.25,26.88,26.88,28.22,28.94,28.72,29.53,32.22,34.5,35.56,36.38,38.12,40.03,40.12,38.91,39.12,39.84,39.59,38.12,37.72,39.09,38.88,37.5,36.66,36.84,36.72,34.69,32.75,32.56,33.12,32.81,31.94,32.75,34.25,34.34,33.59,33.5,34.69,35.12,33.81,32.66,32.5,32.06,29.88,27.81,27.03,26.66,25.41,23.94,24.69,26.91,28.56,29.31,30.75,33.25,34.66,34.44,34.69,36.0,37.0,36.41,35.25,35.41,35.94,35.25,33.72,33.72,34.56,34.97,34.44,34.81,37.12,38.72,38.31,38.0,38.16,37.66,36.03,34.06,33.69,33.94,33.28,31.62,31.12,31.19,30.78,29.69,29.5,31.28,32.62,32.75,32.56,33.44,33.72,32.62,31.22,31.38,31.88,31.25,29.66,28.59,28.5,27.69,25.97,25.12,26.0,26.78,35.28,35.12,34.66,33.62,32.47,31.69,31.12,30.69,30.31,30.25,30.31,30.28,29.78,29.66,30.31,30.78,31.34,32.06,32.88,33.25,33.59:37.12,37.44,38.03,37.12,36.5,37.41,38.53,37.94,35.72,34.03,33.25,32.03,30.28,29.91,31.03,32.53,32.19,32.5,33.91,35.44,35.19,34.19,34.03,34.59,33.66,32.84,33.44,35.19,37.22,37.34,37.91,39.38,40.31,39.66,38.94,39.12,38.88,36.5,33.38,31.47,30.47,29.16,26.81,25.66,25.38,25.19,23.44,23.03,24.62,25.94,25.41,25.28,26.06,27.56,27.81,28.25,30.06,33.22,35.44,36.84,38.78,40.66,41.44,40.19,38.81,38.03,36.84,34.19,31.34,29.78,28.84,27.44,25.72,25.22,25.94,25.47,24.25,23.47,23.56,23.47,21.91,21.09,22.09,23.53,23.5,23.16,24.31,25.53,25.12,23.88,23.0,22.69,21.44,18.91,17.25,16.91,16.47,15.16,14.72,16.25,19.47,21.75,23.88,27.62,31.41,33.19,33.5,33.91,34.72,34.19,32.22,30.78,30.69,30.62,28.47,27.0,26.62,27.09,26.19,25.03,25.38,26.59,26.78,26.5,26.72,28.22,28.66,27.66,26.81,27.56,27.88,25.97,24.53,23.88,23.72,22.25,20.66,20.56,21.38,21.66,21.41,22.28,24.03,25.03,24.25,23.59,23.69,24.44,23.66,22.84,23.69,25.09,25.44,25.28,26.5,28.09,28.19,26.97,25.94,25.91,25.53,24.56,24.47,26.03,27.91,28.47,29.03,30.53,32.91,33.53,33.31,33.72,35.19,35.56,35.53,36.47,38.97,40.81,41.41,41.41,42.0,41.69,39.34,36.56,34.28,32.78,30.12,27.19,25.34,25.03,24.69,24.38,25.12,27.72,29.81,30.34,30.31,31.44,32.75,31.97,30.88,30.75,31.25,30.91,30.25,31.38,33.84,35.41,35.62,35.19,34.91,33.81,30.88,27.75,26.62,26.88,26.81,26.88,29.19,32.38,33.94,33.69,33.69,33.97,33.47,31.91,30.91,31.81,33.09,33.31,33.38,34.72,36.22,35.81,34.81,34.38,34.78,34.38,33.09,32.44,32.81,32.66,31.31,30.06,30.31,30.91,31.03,31.75,34.12,37.56,39.91,41.12,42.91,44.94,45.0,43.34,42.09,41.47,40.56,38.97,38.0,38.62,39.5,39.22,38.59,39.16,39.94,39.5,38.5,37.97,38.94,38.88,38.16,38.09,39.16,39.88,39.31,38.38,38.81,39.28,38.28,37.06,37.34,38.12,37.5,35.62,34.22,33.5,31.94,30.25,30.0,31.94,34.38,35.84,37.16,39.56,41.72,41.56,40.12,39.38,38.72,37.16,35.03,34.16,34.25,33.78,32.31,31.0,31.06,31.38,30.59,29.75,30.56,31.97,32.56,32.41,33.31,34.91,35.28,34.44,33.56,33.66,32.81,30.69,28.69,27.75,26.69,24.69,22.5,22.06,22.88,23.62,24.19,26.47,29.75,31.81,32.62,33.47,35.38,37.06,38.0,39.03,40.78,42.22,41.25,38.53,36.41,34.03,30.34,25.88,23.19,22.56,21.94,21.59,22.28,24.84,27.0,27.44,28.53,31.34,34.66,37.16,39.19,42.03,43.69,43.5,41.88,40.34,39.62,38.19,35.22,32.0,30.38,28.28,25.53,23.34,23.66,25.34,26.09,26.97,29.12,31.16,31.75,31.03,30.75,31.44,31.44,30.31,29.66,30.94,31.84,31.88,31.75,32.69,33.09,31.91,30.0,29.22,29.84,30.09,30.56,31.94,35.03,37.69,38.38,38.69,39.56,39.16,36.5,33.34,31.09,29.12,26.62,24.34,24.31,26.22,28.16,29.31,31.09,33.12,34.0,33.34,32.44,33.25,34.38,34.78,34.69,36.25,37.22,36.66,35.62,35.75,36.75,37.66,38.06,39.16,41.16,42.78,42.5,41.47,41.44,40.5,37.5,33.62,31.22,29.56,27.5,25.91,26.31,28.03,28.97,28.5,28.75,30.03,31.5,32.16,33.06,36.0,38.56,39.34,39.34,40.62,42.44,43.38,43.66,45.47,47.94,49.22,48.66,47.56,46.97,45.72,42.72,39.75,38.72,38.44,36.81,35.19,34.75,34.97,34.03,32.19,31.12,31.75,32.22,31.78,31.97,33.78,34.97,34.56,33.25,32.81,32.0,29.56,27.16,26.84,27.62,28.25,28.31,28.91,30.59,31.72,31.25,30.72,30.94,30.38,27.78,25.12,23.62,22.84,21.22,19.53,19.56,20.84,22.03,22.66,23.66,24.81,25.5,24.28,23.56,24.81,27.66,29.78,32.12,35.31,38.12,38.78,38.09,38.47,39.31,39.81,39.56,39.84,41.28,42.25,41.75,40.91,41.47,41.97,41.31,40.81,42.12,44.12,45.06,44.59,44.78,44.97,44.62,42.97,41.88,42.69,43.75,43.75,43.56,45.44,47.12,47.12,46.84,48.44,50.56,52.25,53.03,54.59,56.53,57.22,56.25,55.44,55.91,56.41,54.81,52.78,51.44,50.16,47.59,44.94,43.94,43.72,43.16,41.97,42.06,43.75,45.47,46.31,47.38,49.94,52.25,53.41,54.34,56.16,57.41,56.88,54.75,53.31,53.03,52.22,51.31,52.03,53.72,54.94,54.31,53.09,52.09,50.78,47.97,45.06,44.31,45.22,45.31,45.06,46.09,47.44,47.16,45.16,43.47,42.66,41.56,39.28,37.5,37.69,37.62,36.72,35.53,35.84,36.5,35.88,34.72,34.56,35.62,36.5,35.88,35.88,36.38,36.41,34.5,32.88,32.81,33.44,33.16,32.69,33.81,35.66,35.75,34.72,35.06,36.41,37.78,38.69,40.03,42.44,44.78,45.28,45.94,48.03,50.19,50.53,49.53,49.0,48.84,47.31,45.19,44.31,44.28,43.56,41.72,40.56,40.53,40.97,40.41,40.22,42.09,45.0,47.09,49.09,51.59,54.41,55.44,54.75,54.88,56.25,56.88,56.56,56.66,57.5,58.0,56.56,55.12,54.97,55.47,54.47,52.84,52.0,51.5,49.59,46.84,44.94,44.97,44.88,43.84,43.41,44.56,45.59,44.69,43.5,43.03,42.78,41.41,39.81,39.81,41.09,41.56,41.09,41.22,42.72,43.84,43.62,44.16,45.91,47.84,47.81,47.25,47.25,47.72,46.69,44.78,43.75,43.53,42.25,39.31,36.78,35.59,34.66,32.72,31.5,32.22,33.5,33.06,32.75,33.69,35.44,37.0,37.62,38.88,40.81,41.72,40.69,40.28,40.91,41.41,40.72,39.91,40.19,40.03,38.09,35.06,32.78,31.31,28.78,26.22,25.88,27.56,29.41,30.81,32.75,35.72,38.16,39.0,39.62,41.59,43.78,44.12,43.75,44.5,46.06,46.47,45.25,44.47,44.09,42.69,39.69,37.12,36.41,36.62,35.53,34.91,36.28,38.25,38.16,37.44,37.12,37.47,37.22,36.56,37.06,39.03,40.69,40.53,40.38,41.38,42.41,41.69,41.03,41.47,42.53,41.62,39.69,38.28,37.88,36.69,35.06,34.97,36.19,37.34,36.12,34.66,33.78,32.38,29.81,27.5,26.97,28.0,28.0,27.44,27.91,29.34,30.25,30.47,31.62,34.44,36.97,37.88,38.78,40.38,41.62,40.91,39.53,39.47,40.16,39.84,39.19,39.38,40.69,40.47,38.78,37.0,36.44,35.19,33.0,31.72,32.31,33.69,33.22,31.91,31.53,31.56,30.91,30.41,31.59,34.59,37.09,37.81,38.12,39.25,39.88,38.69,37.56,38.12,39.38,39.25,38.5,38.12,38.62,37.44,34.75,32.91,32.28,31.28,28.94,27.34,27.69,28.47,27.97,27.88,29.09,31.12,31.62,31.78,32.78,34.78,35.5,35.0,34.75,35.56,35.56,33.69,32.0,31.62,31.34,29.34,27.34,26.69,27.41,27.78,28.84,31.81,36.0,38.62,39.72,40.41,41.81,42.72,41.75,40.5,40.56,40.25,38.25,35.62,33.84,32.75,30.22,27.59,26.0,26.56,26.5,25.78,25.81,27.12,28.16,27.59,26.78,27.03,27.03,25.22,22.91,22.41,22.88,22.94,22.97,24.31,27.34,29.56,30.75,32.19,34.25,35.41,34.47,33.09,32.94,33.31,32.22,30.66,30.44,30.53,29.0,26.66,25.25,25.59,26.09,26.09,26.38,28.22,29.72,29.66,29.41,30.94,33.31,34.0,33.88,34.84,36.03,35.78,34.72,34.0,34.62,34.47,32.75,30.84,30.5,29.78,27.66,25.81,25.88,26.47,25.94,24.94,24.72,25.34,24.75,23.5,23.22,24.94,26.38,26.97,27.78,29.91,31.62,32.12,31.75,32.97,34.56,34.69,34.16,34.34,35.53,35.25,33.84,33.16,33.72,33.44,31.81,30.28,30.03,29.62,28.22,26.59,26.72,27.56,27.25,26.88,26.88,28.22,28.94,28.72,29.53,32.22,34.5,35.56,36.38,38.12,40.03,40.12,38.91,39.12,39.84,39.59,38.12,37.72,39.09,38.88,37.5,36.66,36.84,36.72,34.69,32.75,32.56,33.12,32.81,31.94,32.75,34.25,34.34,33.59,33.5,34.69,35.12,33.81,32.66,32.5,32.06,29.88,27.81,27.03,26.66,25.41,23.94,24.69,26.91,28.56,29.31,30.75,33.25,34.66,34.44,34.69,36.0,37.0,36.41,35.25,35.41,35.94,35.25,33.72,33.72,34.56,34.97,34.44,34.81,37.12,38.72,38.31,38.0,38.16,37.66,36.03,34.06,33.69,33.94,33.28,31.62,31.12,31.19,30.78,29.69,29.5,31.28,32.62,32.75,32.56,33.44,33.72,32.62,31.22,31.38,31.88,31.25,29.66,28.59,28.5,27.69,25.97,25.12,26.0,26.78,35.28,35.12,34.66,33.62,32.47,31.69,31.12,30.69,30.31,30.25,30.31,30.28,29.78,29.66,30.31,30.78,31.34,32.06,32.88,33.25,33.59,33.91,34.62,35.66,37.22,38.34,39.16,39.75:37.94,35.72,34.03,33.25,32.03,30.28,29.91,31.03,32.53,32.19,32.5,33.91,35.44,35.19,34.19,34.03,34.59,33.66,32.84,33.44,35.19,37.22,37.34,37.91,39.38,40.31,39.66,38.94,39.12,38.88,36.5,33.38,31.47,30.47,29.16,26.81,25.66,25.38,25.19,23.44,23.03,24.62,25.94,25.41,25.28,26.06,27.56,27.81,28.25,30.06,33.22,35.44,36.84,38.78,40.66,41.44,40.19,38.81,38.03,36.84,34.19,31.34,29.78,28.84,27.44,25.72,25.22,25.94,25.47,24.25,23.47,23.56,23.47,21.91,21.09,22.09,23.53,23.5,23.16,24.31,25.53,25.12,23.88,23.0,22.69,21.44,18.91,17.25,16.91,16.47,15.16,14.72,16.25,19.47,21.75,23.88,27.62,31.41,33.19,33.5,33.91,34.72,34.19,32.22,30.78,30.69,30.62,28.47,27.0,26.62,27.09,26.19,25.03,25.38,26.59,26.78,26.5,26.72,28.22,28.66,27.66,26.81,27.56,27.88,25.97,24.53,23.88,23.72,22.25,20.66,20.56,21.38,21.66,21.41,22.28,24.03,25.03,24.25,23.59,23.69,24.44,23.66,22.84,23.69,25.09,25.44,25.28,26.5,28.09,28.19,26.97,25.94,25.91,25.53,24.56,24.47,26.03,27.91,28.47,29.03,30.53,32.91,33.53,33.31,33.72,35.19,35.56,35.53,36.47,38.97,40.81,41.41,41.41,42.0,41.69,39.34,36.56,34.28,32.78,30.12,27.19,25.34,25.03,24.69,24.38,25.12,27.72,29.81,30.34,30.31,31.44,32.75,31.97,30.88,30.75,31.25,30.91,30.25,31.38,33.84,35.41,35.62,35.19,34.91,33.81,30.88,27.75,26.62,26.88,26.81,26.88,29.19,32.38,33.94,33.69,33.69,33.97,33.47,31.91,30.91,31.81,33.09,33.31,33.38,34.72,36.22,35.81,34.81,34.38,34.78,34.38,33.09,32.44,32.81,32.66,31.31,30.06,30.31,30.91,31.03,31.75,34.12,37.56,39.91,41.12,42.91,44.94,45.0,43.34,42.09,41.47,40.56,38.97,38.0,38.62,39.5,39.22,38.59,39.16,39.94,39.5,38.5,37.97,38.94,38.88,38.16,38.09,39.16,39.88,39.31,38.38,38.81,39.28,38.28,37.06,37.34,38.12,37.5,35.62,34.22,33.5,31.94,30.25,30.0,31.94,34.38,35.84,37.16,39.56,41.72,41.56,40.12,39.38,38.72,37.16,35.03,34.16,34.25,33.78,32.31,31.0,31.06,31.38,30.59,29.75,30.56,31.97,32.56,32.41,33.31,34.91,35.28,34.44,33.56,33.66,32.81,30.69,28.69,27.75,26.69,24.69,22.5,22.06,22.88,23.62,24.19,26.47,29.75,31.81,32.62,33.47,35.38,37.06,38.0,39.03,40.78,42.22,41.25,38.53,36.41,34.03,30.34,25.88,23.19,22.56,21.94,21.59,22.28,24.84,27.0,27.44,28.53,31.34,34.66,37.16,39.19,42.03,43.69,43.5,41.88,40.34,39.62,38.19,35.22,32.0,30.38,28.28,25.53,23.34,23.66,25.34,26.09,26.97,29.12,31.16,31.75,31.03,30.75,31.44,31.44,30.31,29.66,30.94,31.84,31.88,31.75,32.69,33.09,31.91,30.0,29.22,29.84,30.09,30.56,31.94,35.03,37.69,38.38,38.69,39.56,39.16,36.5,33.34,31.09,29.12,26.62,24.34,24.31,26.22,28.16,29.31,31.09,33.12,34.0,33.34,32.44,33.25,34.38,34.78,34.69,36.25,37.22,36.66,35.62,35.75,36.75,37.66,38.06,39.16,41.16,42.78,42.5,41.47,41.44,40.5,37.5,33.62,31.22,29.56,27.5,25.91,26.31,28.03,28.97,28.5,28.75,30.03,31.5,32.16,33.06,36.0,38.56,39.34,39.34,40.62,42.44,43.38,43.66,45.47,47.94,49.22,48.66,47.56,46.97,45.72,42.72,39.75,38.72,38.44,36.81,35.19,34.75,34.97,34.03,32.19,31.12,31.75,32.22,31.78,31.97,33.78,34.97,34.56,33.25,32.81,32.0,29.56,27.16,26.84,27.62,28.25,28.31,28.91,30.59,31.72,31.25,30.72,30.94,30.38,27.78,25.12,23.62,22.84,21.22,19.53,19.56,20.84,22.03,22.66,23.66,24.81,25.5,24.28,23.56,24.81,27.66,29.78,32.12,35.31,38.12,38.78,38.09,38.47,39.31,39.81,39.56,39.84,41.28,42.25,41.75,40.91,41.47,41.97,41.31,40.81,42.12,44.12,45.06,44.59,44.78,44.97,44.62,42.97,41.88,42.69,43.75,43.75,43.56,45.44,47.12,47.12,46.84,48.44,50.56,52.25,53.03,54.59,56.53,57.22,56.25,55.44,55.91,56.41,54.81,52.78,51.44,50.16,47.59,44.94,43.94,43.72,43.16,41.97,42.06,43.75,45.47,46.31,47.38,49.94,52.25,53.41,54.34,56.16,57.41,56.88,54.75,53.31,53.03,52.22,51.31,52.03,53.72,54.94,54.31,53.09,52.09,50.78,47.97,45.06,44.31,45.22,45.31,45.06,46.09,47.44,47.16,45.16,43.47,42.66,41.56,39.28,37.5,37.69,37.62,36.72,35.53,35.84,36.5,35.88,34.72,34.56,35.62,36.5,35.88,35.88,36.38,36.41,34.5,32.88,32.81,33.44,33.16,32.69,33.81,35.66,35.75,34.72,35.06,36.41,37.78,38.69,40.03,42.44,44.78,45.28,45.94,48.03,50.19,50.53,49.53,49.0,48.84,47.31,45.19,44.31,44.28,43.56,41.72,40.56,40.53,40.97,40.41,40.22,42.09,45.0,47.09,49.09,51.59,54.41,55.44,54.75,54.88,56.25,56.88,56.56,56.66,57.5,58.0,56.56,55.12,54.97,55.47,54.47,52.84,52.0,51.5,49.59,46.84,44.94,44.97,44.88,43.84,43.41,44.56,45.59,44.69,43.5,43.03,42.78,41.41,39.81,39.81,41.09,41.56,41.09,41.22,42.72,43.84,43.62,44.16,45.91,47.84,47.81,47.25,47.25,47.72,46.69,44.78,43.75,43.53,42.25,39.31,36.78,35.59,34.66,32.72,31.5,32.22,33.5,33.06,32.75,33.69,35.44,37.0,37.62,38.88,40.81,41.72,40.69,40.28,40.91,41.41,40.72,39.91,40.19,40.03,38.09,35.06,32.78,31.31,28.78,26.22,25.88,27.56,29.41,30.81,32.75,35.72,38.16,39.0,39.62,41.59,43.78,44.12,43.75,44.5,46.06,46.47,45.25,44.47,44.09,42.69,39.69,37.12,36.41,36.62,35.53,34.91,36.28,38.25,38.16,37.44,37.12,37.47,37.22,36.56,37.06,39.03,40.69,40.53,40.38,41.38,42.41,41.69,41.03,41.47,42.53,41.62,39.69,38.28,37.88,36.69,35.06,34.97,36.19,37.34,36.12,34.66,33.78,32.38,29.81,27.5,26.97,28.0,28.0,27.44,27.91,29.34,30.25,30.47,31.62,34.44,36.97,37.88,38.78,40.38,41.62,40.91,39.53,39.47,40.16,39.84,39.19,39.38,40.69,40.47,38.78,37.0,36.44,35.19,33.0,31.72,32.31,33.69,33.22,31.91,31.53,31.56,30.91,30.41,31.59,34.59,37.09,37.81,38.12,39.25,39.88,38.69,37.56,38.12,39.38,39.25,38.5,38.12,38.62,37.44,34.75,32.91,32.28,31.28,28.94,27.34,27.69,28.47,27.97,27.88,29.09,31.12,31.62,31.78,32.78,34.78,35.5,35.0,34.75,35.56,35.56,33.69,32.0,31.62,31.34,29.34,27.34,26.69,27.41,27.78,28.84,31.81,36.0,38.62,39.72,40.41,41.81,42.72,41.75,40.5,40.56,40.25,38.25,35.62,33.84,32.75,30.22,27.59,26.0,26.56,26.5,25.78,25.81,27.12,28.16,27.59,26.78,27.03,27.03,25.22,22.91,22.41,22.88,22.94,22.97,24.31,27.34,29.56,30.75,32.19,34.25,35.41,34.47,33.09,32.94,33.31,32.22,30.66,30.44,30.53,29.0,26.66,25.25,25.59,26.09,26.09,26.38,28.22,29.72,29.66,29.41,30.94,33.31,34.0,33.88,34.84,36.03,35.78,34.72,34.0,34.62,34.47,32.75,30.84,30.5,29.78,27.66,25.81,25.88,26.47,25.94,24.94,24.72,25.34,24.75,23.5,23.22,24.94,26.38,26.97,27.78,29.91,31.62,32.12,31.75,32.97,34.56,34.69,34.16,34.34,35.53,35.25,33.84,33.16,33.72,33.44,31.81,30.28,30.03,29.62,28.22,26.59,26.72,27.56,27.25,26.88,26.88,28.22,28.94,28.72,29.53,32.22,34.5,35.56,36.38,38.12,40.03,40.12,38.91,39.12,39.84,39.59,38.12,37.72,39.09,38.88,37.5,36.66,36.84,36.72,34.69,32.75,32.56,33.12,32.81,31.94,32.75,34.25,34.34,33.59,33.5,34.69,35.12,33.81,32.66,32.5,32.06,29.88,27.81,27.03,26.66,25.41,23.94,24.69,26.91,28.56,29.31,30.75,33.25,34.66,34.44,34.69,36.0,37.0,36.41,35.25,35.41,35.94,35.25,33.72,33.72,34.56,34.97,34.44,34.81,37.12,38.72,38.31,38.0,38.16,37.66,36.03,34.06,33.69,33.94,33.28,31.62,31.12,31.19,30.78,29.69,29.5,31.28,32.62,32.75,32.56,33.44,33.72,32.62,31.22,31.38,31.88,31.25,29.66,28.59,28.5,27.69,25.97,25.12,26.0,26.78,35.28,35.12,34.66,33.62,32.47,31.69,31.12,30.69,30.31,30.25,30.31,30.28,29.78,29.66,30.31,30.78,31.34,32.06,32.88,33.25,33.59,33.91,34.62,35.66,37.22,38.34,39.16,39.75,39.12,37.78,36.91,37.09,37.44,37.59,37.91:31.03,32.53,32.19,32.5,33.91,35.44,35.19,34.19,34.03,34.59,33.66,32.84,33.44,35.19,37.22,37.34,37.91,39.38,40.31,39.66,38.94,39.12,38.88,36.5,33.38,31.47,30.47,29.16,26.81,25.66,25.38,25.19,23.44,23.03,24.62,25.94,25.41,25.28,26.06,27.56,27.81,28.25,30.06,33.22,35.44,36.84,38.78,40.66,41.44,40.19,38.81,38.03,36.84,34.19,31.34,29.78,28.84,27.44,25.72,25.22,25.94,25.47,24.25,23.47,23.56,23.47,21.91,21.09,22.09,23.53,23.5,23.16,24.31,25.53,25.12,23.88,23.0,22.69,21.44,18.91,17.25,16.91,16.47,15.16,14.72,16.25,19.47,21.75,23.88,27.62,31.41,33.19,33.5,33.91,34.72,34.19,32.22,30.78,30.69,30.62,28.47,27.0,26.62,27.09,26.19,25.03,25.38,26.59,26.78,26.5,26.72,28.22,28.66,27.66,26.81,27.56,27.88,25.97,24.53,23.88,23.72,22.25,20.66,20.56,21.38,21.66,21.41,22.28,24.03,25.03,24.25,23.59,23.69,24.44,23.66,22.84,23.69,25.09,25.44,25.28,26.5,28.09,28.19,26.97,25.94,25.91,25.53,24.56,24.47,26.03,27.91,28.47,29.03,30.53,32.91,33.53,33.31,33.72,35.19,35.56,35.53,36.47,38.97,40.81,41.41,41.41,42.0,41.69,39.34,36.56,34.28,32.78,30.12,27.19,25.34,25.03,24.69,24.38,25.12,27.72,29.81,30.34,30.31,31.44,32.75,31.97,30.88,30.75,31.25,30.91,30.25,31.38,33.84,35.41,35.62,35.19,34.91,33.81,30.88,27.75,26.62,26.88,26.81,26.88,29.19,32.38,33.94,33.69,33.69,33.97,33.47,31.91,30.91,31.81,33.09,33.31,33.38,34.72,36.22,35.81,34.81,34.38,34.78,34.38,33.09,32.44,32.81,32.66,31.31,30.06,30.31,30.91,31.03,31.75,34.12,37.56,39.91,41.12,42.91,44.94,45.0,43.34,42.09,41.47,40.56,38.97,38.0,38.62,39.5,39.22,38.59,39.16,39.94,39.5,38.5,37.97,38.94,38.88,38.16,38.09,39.16,39.88,39.31,38.38,38.81,39.28,38.28,37.06,37.34,38.12,37.5,35.62,34.22,33.5,31.94,30.25,30.0,31.94,34.38,35.84,37.16,39.56,41.72,41.56,40.12,39.38,38.72,37.16,35.03,34.16,34.25,33.78,32.31,31.0,31.06,31.38,30.59,29.75,30.56,31.97,32.56,32.41,33.31,34.91,35.28,34.44,33.56,33.66,32.81,30.69,28.69,27.75,26.69,24.69,22.5,22.06,22.88,23.62,24.19,26.47,29.75,31.81,32.62,33.47,35.38,37.06,38.0,39.03,40.78,42.22,41.25,38.53,36.41,34.03,30.34,25.88,23.19,22.56,21.94,21.59,22.28,24.84,27.0,27.44,28.53,31.34,34.66,37.16,39.19,42.03,43.69,43.5,41.88,40.34,39.62,38.19,35.22,32.0,30.38,28.28,25.53,23.34,23.66,25.34,26.09,26.97,29.12,31.16,31.75,31.03,30.75,31.44,31.44,30.31,29.66,30.94,31.84,31.88,31.75,32.69,33.09,31.91,30.0,29.22,29.84,30.09,30.56,31.94,35.03,37.69,38.38,38.69,39.56,39.16,36.5,33.34,31.09,29.12,26.62,24.34,24.31,26.22,28.16,29.31,31.09,33.12,34.0,33.34,32.44,33.25,34.38,34.78,34.69,36.25,37.22,36.66,35.62,35.75,36.75,37.66,38.06,39.16,41.16,42.78,42.5,41.47,41.44,40.5,37.5,33.62,31.22,29.56,27.5,25.91,26.31,28.03,28.97,28.5,28.75,30.03,31.5,32.16,33.06,36.0,38.56,39.34,39.34,40.62,42.44,43.38,43.66,45.47,47.94,49.22,48.66,47.56,46.97,45.72,42.72,39.75,38.72,38.44,36.81,35.19,34.75,34.97,34.03,32.19,31.12,31.75,32.22,31.78,31.97,33.78,34.97,34.56,33.25,32.81,32.0,29.56,27.16,26.84,27.62,28.25,28.31,28.91,30.59,31.72,31.25,30.72,30.94,30.38,27.78,25.12,23.62,22.84,21.22,19.53,19.56,20.84,22.03,22.66,23.66,24.81,25.5,24.28,23.56,24.81,27.66,29.78,32.12,35.31,38.12,38.78,38.09,38.47,39.31,39.81,39.56,39.84,41.28,42.25,41.75,40.91,41.47,41.97,41.31,40.81,42.12,44.12,45.06,44.59,44.78,44.97,44.62,42.97,41.88,42.69,43.75,43.75,43.56,45.44,47.12,47.12,46.84,48.44,50.56,52.25,53.03,54.59,56.53,57.22,56.25,55.44,55.91,56.41,54.81,52.78,51.44,50.16,47.59,44.94,43.94,43.72,43.16,41.97,42.06,43.75,45.47,46.31,47.38,49.94,52.25,53.41,54.34,56.16,57.41,56.88,54.75,53.31,53.03,52.22,51.31,52.03,53.72,54.94,54.31,53.09,52.09,50.78,47.97,45.06,44.31,45.22,45.31,45.06,46.09,47.44,47.16,45.16,43.47,42.66,41.56,39.28,37.5,37.69,37.62,36.72,35.53,35.84,36.5,35.88,34.72,34.56,35.62,36.5,35.88,35.88,36.38,36.41,34.5,32.88,32.81,33.44,33.16,32.69,33.81,35.66,35.75,34.72,35.06,36.41,37.78,38.69,40.03,42.44,44.78,45.28,45.94,48.03,50.19,50.53,49.53,49.0,48.84,47.31,45.19,44.31,44.28,43.56,41.72,40.56,40.53,40.97,40.41,40.22,42.09,45.0,47.09,49.09,51.59,54.41,55.44,54.75,54.88,56.25,56.88,56.56,56.66,57.5,58.0,56.56,55.12,54.97,55.47,54.47,52.84,52.0,51.5,49.59,46.84,44.94,44.97,44.88,43.84,43.41,44.56,45.59,44.69,43.5,43.03,42.78,41.41,39.81,39.81,41.09,41.56,41.09,41.22,42.72,43.84,43.62,44.16,45.91,47.84,47.81,47.25,47.25,47.72,46.69,44.78,43.75,43.53,42.25,39.31,36.78,35.59,34.66,32.72,31.5,32.22,33.5,33.06,32.75,33.69,35.44,37.0,37.62,38.88,40.81,41.72,40.69,40.28,40.91,41.41,40.72,39.91,40.19,40.03,38.09,35.06,32.78,31.31,28.78,26.22,25.88,27.56,29.41,30.81,32.75,35.72,38.16,39.0,39.62,41.59,43.78,44.12,43.75,44.5,46.06,46.47,45.25,44.47,44.09,42.69,39.69,37.12,36.41,36.62,35.53,34.91,36.28,38.25,38.16,37.44,37.12,37.47,37.22,36.56,37.06,39.03,40.69,40.53,40.38,41.38,42.41,41.69,41.03,41.47,42.53,41.62,39.69,38.28,37.88,36.69,35.06,34.97,36.19,37.34,36.12,34.66,33.78,32.38,29.81,27.5,26.97,28.0,28.0,27.44,27.91,29.34,30.25,30.47,31.62,34.44,36.97,37.88,38.78,40.38,41.62,40.91,39.53,39.47,40.16,39.84,39.19,39.38,40.69,40.47,38.78,37.0,36.44,35.19,33.0,31.72,32.31,33.69,33.22,31.91,31.53,31.56,30.91,30.41,31.59,34.59,37.09,37.81,38.12,39.25,39.88,38.69,37.56,38.12,39.38,39.25,38.5,38.12,38.62,37.44,34.75,32.91,32.28,31.28,28.94,27.34,27.69,28.47,27.97,27.88,29.09,31.12,31.62,31.78,32.78,34.78,35.5,35.0,34.75,35.56,35.56,33.69,32.0,31.62,31.34,29.34,27.34,26.69,27.41,27.78,28.84,31.81,36.0,38.62,39.72,40.41,41.81,42.72,41.75,40.5,40.56,40.25,38.25,35.62,33.84,32.75,30.22,27.59,26.0,26.56,26.5,25.78,25.81,27.12,28.16,27.59,26.78,27.03,27.03,25.22,22.91,22.41,22.88,22.94,22.97,24.31,27.34,29.56,30.75,32.19,34.25,35.41,34.47,33.09,32.94,33.31,32.22,30.66,30.44,30.53,29.0,26.66,25.25,25.59,26.09,26.09,26.38,28.22,29.72,29.66,29.41,30.94,33.31,34.0,33.88,34.84,36.03,35.78,34.72,34.0,34.62,34.47,32.75,30.84,30.5,29.78,27.66,25.81,25.88,26.47,25.94,24.94,24.72,25.34,24.75,23.5,23.22,24.94,26.38,26.97,27.78,29.91,31.62,32.12,31.75,32.97,34.56,34.69,34.16,34.34,35.53,35.25,33.84,33.16,33.72,33.44,31.81,30.28,30.03,29.62,28.22,26.59,26.72,27.56,27.25,26.88,26.88,28.22,28.94,28.72,29.53,32.22,34.5,35.56,36.38,38.12,40.03,40.12,38.91,39.12,39.84,39.59,38.12,37.72,39.09,38.88,37.5,36.66,36.84,36.72,34.69,32.75,32.56,33.12,32.81,31.94,32.75,34.25,34.34,33.59,33.5,34.69,35.12,33.81,32.66,32.5,32.06,29.88,27.81,27.03,26.66,25.41,23.94,24.69,26.91,28.56,29.31,30.75,33.25,34.66,34.44,34.69,36.0,37.0,36.41,35.25,35.41,35.94,35.25,33.72,33.72,34.56,34.97,34.44,34.81,37.12,38.72,38.31,38.0,38.16,37.66,36.03,34.06,33.69,33.94,33.28,31.62,31.12,31.19,30.78,29.69,29.5,31.28,32.62,32.75,32.56,33.44,33.72,32.62,31.22,31.38,31.88,31.25,29.66,28.59,28.5,27.69,25.97,25.12,26.0,26.78,35.28,35.12,34.66,33.62,32.47,31.69,31.12,30.69,30.31,30.25,30.31,30.28,29.78,29.66,30.31,30.78,31.34,32.06,32.88,33.25,33.59,33.91,34.62,35.66,37.22,38.34,39.16,39.75,39.12,37.78,36.91,37.09,37.44,37.59,37.91,38.19,37.72,37.25,36.94,36.97,37.91,38.69:negativity
18.66,17.81,16.19,16.44,17.56,16.78,14.47,14.22,15.69,16.5,15.09,14.28,15.84,17.97,18.47,19.44,23.25,27.59,29.38,28.97,29.25,29.91,28.56,24.91,22.12,20.88,18.72,14.16,9.75,8.38,7.81,5.88,4.53,6.38,9.75,11.62,12.16,14.0,17.25,18.81,18.69,19.44,22.41,24.91,24.16,23.09,23.56,24.19,21.88,18.88,17.75,17.59,15.81,12.41,11.03,12.44,14.16,15.03,17.19,21.75,25.94,27.03,26.84,27.75,28.62,26.44,22.72,20.56,19.94,17.81,13.88,11.03,10.5,9.91,7.5,6.09,7.69,9.56,9.44,8.97,10.75,13.84,14.88,14.88,16.5,19.41,21.53,21.91,23.09,26.62,29.75,29.59,29.34,30.47,31.84,30.69,28.59,28.28,28.81,27.28,23.84,20.97,19.78,17.25,12.69,8.88,7.66,7.16,5.22,4.56,6.84,10.62,12.53,13.22,14.81,17.12,17.25,15.38,14.34,15.38,15.88,14.72,14.0,15.66,17.22,16.34,15.09,15.53,16.78,15.91,14.28,14.41,16.41,17.38,16.72,16.34,17.88,18.41,16.34,14.09,14.31,15.78,15.72,15.72,17.5,20.44,21.06,20.12,19.53,20.62,20.25,17.25,14.25,12.81,11.5,7.94,4.44,4.12,5.62,6.38,6.78,9.56,14.12,17.41,18.75,20.81,24.5,27.03,26.66,25.69,26.81,27.72,26.19,23.88,23.22,23.97,23.03,20.78,20.03,20.88,20.09,17.09,14.53,14.19,13.66,11.19,9.03,10.12,12.22,12.78,13.22,15.25,18.66,19.97,19.31,19.41,21.47,22.62,21.59,20.91,21.97,22.5,20.44,17.88,17.56,18.19,17.72,16.75,17.91,20.84,22.97,22.78,22.19,23.12,23.06,20.03,17.03,15.97,15.03,12.28,9.22,8.56,9.47,9.78,8.81,8.81,11.03,12.91,12.94,13.5,16.5,19.28,19.5,19.5,21.94,24.53,25.69,24.62,24.62,25.16,23.88,21.22,19.47,20.31,20.53,18.5,16.88,17.88,19.19,18.69,18.56,20.62,24.41,26.44,27.34,29.25,31.5,32.22,30.41,28.97,29.34,29.19,26.97,24.56,24.84,26.25,25.66,23.75,24.53,25.56,25.41,23.34,22.5,23.34,23.25,20.97,19.53,20.5,21.94,21.25,20.19,22.16,24.41,24.69,24.31,25.81,28.38,29.88,28.78,28.56,30.16,30.47,28.56,26.94,27.53,28.41,26.81,24.47,23.84,24.44,23.16,20.75,20.25,21.12,20.91,18.72,17.59,18.19,18.81,17.59,16.47,18.28,20.62,20.84,19.69,19.78,20.03,18.38,15.0,13.53,14.09,14.75,13.5,13.66,16.34,19.03,19.59,19.22,21.03,22.5,22.06,19.94,19.88,21.03,21.66,20.88,21.56,24.41,26.25,24.75,22.62,22.16,21.56,18.44,15.41,15.34,16.75,17.12,16.91,18.31,21.34,22.84,21.97,21.19,21.72,21.97,19.75,17.84,18.72,20.66,20.81,20.34,22.16,25.0,26.12,24.88,24.25,24.75,23.59,19.66,16.09,15.0,14.22,12.25,10.41,11.41,13.75,14.53,13.91,15.22,17.75,18.59,16.81,15.41,15.59,14.91,12.19,9.78,10.19,11.5,10.5,9.12,9.84,11.53,11.72,10.47,10.53,12.44,13.84,12.59,12.53,14.53,16.53,16.06,15.62,17.25,19.53,19.38,18.41,18.75,20.22,19.31,16.16,13.81,13.16,11.94,9.12,7.69,9.19,11.53,11.44,11.09,12.72,15.38,15.81,15.5,16.91,19.78,21.06,19.56,18.47,18.84,18.16,14.75,12.38,12.97,14.31,13.31,12.06,12.59,14.5,14.69,13.75,14.03,16.03,16.59,14.56,13.12,13.97,15.06,13.75,13.12,15.16,17.59,17.47,16.19,16.06,17.03,16.72,15.69,16.62,19.88,22.56,22.59,22.22,22.94,22.75,19.19,15.53,14.22,14.94,14.72,14.16,15.41,17.91,18.12,15.69,13.59,13.72,13.38,11.12,10.09,12.28,15.06,15.53,15.22,16.38,18.19,17.53,15.38,14.91,16.53,17.03,15.41,14.5,16.22,17.44,16.38,15.66,18.0,20.78,20.84,19.62,19.53,20.62,19.44,17.28,16.88,18.91,20.16,19.12,17.75,17.97,17.59,14.06,9.78,7.97,7.97,5.94,3.69,3.78,5.69,6.62,5.22,4.97,6.66,7.94,7.03,6.31,8.16,10.31,9.62,8.16,8.75,10.81,10.5,9.41,9.78,11.78,12.59,10.84,10.06,11.59,12.66,11.53,9.97,11.16,12.72,11.78,10.25,10.88,13.53,13.97,13.31,13.94,16.38,17.53,16.41,14.84,15.78,16.12,13.66,10.62,10.03,10.81,9.41,6.94,5.94,6.28,5.06,2.38,0.75,2.0,3.31,2.0,0.88,1.94,2.88,1.31,-1.31,-1.31,-0.41,-1.31,-3.56,-3.88,-1.53,0.44,1.34,3.72,8.97,13.09,14.34,14.03,15.34,16.53,15.28,12.47,11.72,12.44,11.22,8.5,7.0,8.31,8.53,7.16,6.47,8.34,10.12,9.38,8.59,10.06,12.34,12.28,10.03,9.22,9.5,8.38,5.78,4.56,6.16,6.81,5.47,4.59,5.91,7.66,6.94,5.59,6.62,9.41,11.16,11.75,14.03,17.22,18.47,17.06,15.53,15.81,15.22,11.81,8.53,8.31,8.31,6.53,3.28,1.94,2.25,1.72,0.03,0.69,4.25,7.31,8.03,9.31,12.84,15.41,15.12,13.59,13.75,14.12,12.5,9.34,8.38,9.25,9.38,8.03,8.09,10.09,10.88,8.09,4.97,4.22,4.12,3.06,2.69,5.91,10.88,14.31,16.28,18.94,21.69,22.53,19.94,16.88,15.78,14.31,10.16,6.31,5.31,4.94,2.88,0.09,-0.28,1.22,1.38,0.5,1.0,3.16,4.16,2.19,1.19,2.59,4.91,5.5,5.78,7.91,9.56,8.47,5.0,3.16,3.06,2.41,1.31,2.38,6.44,10.16,11.0,11.16,12.41,13.12,10.56,7.19,6.0,6.28,5.12,2.5,1.56,2.31,2.0,0.19,-0.78,0.34,1.09,-1.0,-2.88,-2.19,-0.03,1.34,2.47,5.66,9.59,11.5,10.69,10.16,10.94,10.34,7.25,4.31,4.19,4.0,1.75,-0.44,0.25,1.91,1.94,1.28,2.44,4.97,6.41,6.34,7.66,11.19,14.34,14.69,14.66,16.38,17.97,16.5,14.25,13.75,14.84,14.16,12.19,11.5,12.28,11.69,8.09,5.38,4.5,3.25,-0.06,-3.16,-3.5,-2.34,-2.03,-2.19,0.0,2.97,3.78,2.88,3.78,6.22,8.91,9.0,10.03,12.47,14.53,13.53,11.59,11.25,11.56,9.59,6.47,5.56,6.59,6.91,5.94,6.16,8.5,10.34,9.84,9.06,10.12,11.69,10.53,8.69,8.88,10.5,10.59,9.47,9.81,11.81,12.44,10.91,9.91,10.44,10.5,7.91,4.97,3.81,3.38,1.12,-2.31,-3.97,-3.66,-4.53,-6.78,-7.34,-5.84,-5.28,-6.78,-7.97,-6.75,-4.72,-4.81,-5.19,-3.28,-0.75,-0.62,-1.97,-1.88,-0.38,-0.22,-1.81,-2.66,-1.81,-1.47,-3.81,-6.44,-6.44,-5.75,-6.62,-7.53,-6.25,-3.03,-1.66,-1.38,-0.47,2.0,2.59,1.22,0.62,2.19,3.62,2.72,1.22,1.16,1.75,0.06,-2.12,-2.56,-1.09,-1.03,-2.47,-3.0,-2.19,-2.25,-4.53,-6.5,-5.34,-3.56,-3.25,-2.53,0.47,4.38,5.75,4.62,3.66,3.31,1.22,-2.38,-4.81,-4.56,-4.5,-6.41,-7.91,-7.06,-5.5,-5.66,-6.38,-5.5,-3.47,-3.28,-4.66,-5.03,-3.5,-3.06,-4.69,-6.16,-5.62,-5.03,-6.28,-7.34,-5.56,-3.28,-2.94,-3.81,-3.53,-1.69,-0.94,-1.44,-1.12,1.22,2.38,0.75,-1.66,-2.31,-2.59,-4.66,-6.72,-5.97,-3.75,-2.72,-2.81,-1.28,1.66,3.5,2.97,2.47,4.41,5.66,4.84,3.84,5.19,6.34,5.69,4.0,3.72,4.59,4.12,2.09,0.78,2.0,2.66,1.5,0.91,2.59,4.09,3.28,1.38,1.19,1.44,-0.53,-3.31,-4.44,-3.84,-4.31,-6.16,-7.47,-6.91,-6.66,-8.94,-10.91,-10.16,-8.66,-8.5,-8.34,-5.84,-2.19,-1.16,-2.09,-2.94,-2.62,-3.25,-6.06,-7.41,-6.53,-5.59,-7.03,-8.62,-7.59,-6.09,-6.69,-8.69,-9.03,-8.75,-9.91,-12.56,-12.91,-10.78,-8.56,-8.09,-7.78,-5.06,-2.66,-2.56,-3.41,-1.75,0.34,0.56,-0.72,-0.47,0.88,1.03,-0.81,-2.03,-1.31,-1.16,-3.22,-5.81,-6.0,-5.81,-7.62,-10.16,-10.31,-9.22,-9.16,-10.31,-9.78,-7.72,-6.75,-8.31,-9.88,-9.97,-10.47,-13.38,-16.41,-17.31,-17.34,-18.62,-20.66,-20.38,-18.53,-17.19,-17.88,-17.12,-14.97,-13.25,-13.81,-14.41,-12.81,-11.62,-12.62,-14.66,-14.84,-14.12,-14.94,-16.5,-16.78,-15.06,-14.0,-15.19,-15.16,-12.81,-10.22,-9.44,-8.84,-5.78,-2.38,-1.5,-1.84,-0.72,1.5,2.25,1.41,2.09,4.44,5.84,4.78,3.94,4.59,5.09,2.72,-0.34,-1.62,-1.91,-3.72,-6.5,-7.0,-5.62,-5.0,-5.78,-4.53,-1.06,1.91,2.38,2.59,4.03,5.62,4.78,2.53,2.03,1.97,-0.34,-4.09,-5.72,-4.97,-4.38,-5.78,-6.59,-5.28,-4.81,-6.72,-8.41,-8.06,-6.53,-7.09,-8.59,-8.62,-7.5,-7.66,-9.34,-10.09,-8.78,-8.34,-10.31,-12.03,-11.16,-9.66,-10.12,-10.06,-7.53,-3.78,-1.81,-1.0,1.12,4.56,5.88,4.28,2.69,2.47,1.22,-2.91:14.22,15.69,16.5,15.09,14.28,15.84,17.97,18.47,19.44,23.25,27.59,29.38,28.97,29.25,29.91,28.56,24.91,22.12,20.88,18.72,14.16,9.75,8.38,7.81,5.88,4.53,6.38,9.75,11.62,12.16,14.0,17.25,18.81,18.69,19.44,22.41,24.91,24.16,23.09,23.56,24.19,21.88,18.88,17.75,17.59,15.81,12.41,11.03,12.44,14.16,15.03,17.19,21.75,25.94,27.03,26.84,27.75,28.62,26.44,22.72,20.56,19.94,17.81,13.88,11.03,10.5,9.91,7.5,6.09,7.69,9.56,9.44,8.97,10.75,13.84,14.88,14.88,16.5,19.41,21.53,21.91,23.09,26.62,29.75,29.59,29.34,30.47,31.84,30.69,28.59,28.28,28.81,27.28,23.84,20.97,19.78,17.25,12.69,8.88,7.66,7.16,5.22,4.56,6.84,10.62,12.53,13.22,14.81,17.12,17.25,15.38,14.34,15.38,15.88,14.72,14.0,15.66,17.22,16.34,15.09,15.53,16.78,15.91,14.28,14.41,16.41,17.38,16.72,16.34,17.88,18.41,16.34,14.09,14.31,15.78,15.72,15.72,17.5,20.44,21.06,20.12,19.53,20.62,20.25,17.25,14.25,12.81,11.5,7.94,4.44,4.12,5.62,6.38,6.78,9.56,14.12,17.41,18.75,20.81,24.5,27.03,26.66,25.69,26.81,27.72,26.19,23.88,23.22,23.97,23.03,20.78,20.03,20.88,20.09,17.09,14.53,14.19,13.66,11.19,9.03,10.12,12.22,12.78,13.22,15.25,18.66,19.97,19.31,19.41,21.47,22.62,21.59,20.91,21.97,22.5,20.44,17.88,17.56,18.19,17.72,16.75,17.91,20.84,22.97,22.78,22.19,23.12,23.06,20.03,17.03,15.97,15.03,12.28,9.22,8.56,9.47,9.78,8.81,8.81,11.03,12.91,12.94,13.5,16.5,19.28,19.5,19.5,21.94,24.53,25.69,24.62,24.62,25.16,23.88,21.22,19.47,20.31,20.53,18.5,16.88,17.88,19.19,18.69,18.56,20.62,24.41,26.44,27.34,29.25,31.5,32.22,30.41,28.97,29.34,29.19,26.97,24.56,24.84,26.25,25.66,23.75,24.53,25.56,25.41,23.34,22.5,23.34,23.25,20.97,19.53,20.5,21.94,21.25,20.19,22.16,24.41,24.69,24.31,25.81,28.38,29.88,28.78,28.56,30.16,30.47,28.56,26.94,27.53,28.41,26.81,24.47,23.84,24.44,23.16,20.75,20.25,21.12,20.91,18.72,17.59,18.19,18.81,17.59,16.47,18.28,20.62,20.84,19.69,19.78,20.03,18.38,15.0,13.53,14.09,14.75,13.5,13.66,16.34,19.03,19.59,19.22,21.03,22.5,22.06,19.94,19.88,21.03,21.66,20.88,21.56,24.41,26.25,24.75,22.62,22.16,21.56,18.44,15.41,15.34,16.75,17.12,16.91,18.31,21.34,22.84,21.97,21.19,21.72,21.97,19.75,17.84,18.72,20.66,20.81,20.34,22.16,25.0,26.12,24.88,24.25,24.75,23.59,19.66,16.09,15.0,14.22,12.25,10.41,11.41,13.75,14.53,13.91,15.22,17.75,18.59,16.81,15.41,15.59,14.91,12.19,9.78,10.19,11.5,10.5,9.12,9.84,11.53,11.72,10.47,10.53,12.44,13.84,12.59,12.53,14.53,16.53,16.06,15.62,17.25,19.53,19.38,18.41,18.75,20.22,19.31,16.16,13.81,13.16,11.94,9.12,7.69,9.19,11.53,11.44,11.09,12.72,15.38,15.81,15.5,16.91,19.78,21.06,19.56,18.47,18.84,18.16,14.75,12.38,12.97,14.31,13.31,12.06,12.59,14.5,14.69,13.75,14.03,16.03,16.59,14.56,13.12,13.97,15.06,13.75,13.12,15.16,17.59,17.47,16.19,16.06,17.03,16.72,15.69,16.62,19.88,22.56,22.59,22.22,22.94,22.75,19.19,15.53,14.22,14.94,14.72,14.16,15.41,17.91,18.12,15.69,13.59,13.72,13.38,11.12,10.09,12.28,15.06,15.53,15.22,16.38,18.19,17.53,15.38,14.91,16.53,17.03,15.41,14.5,16.22,17.44,16.38,15.66,18.0,20.78,20.84,19.62,19.53,20.62,19.44,17.28,16.88,18.91,20.16,19.12,17.75,17.97,17.59,14.06,9.78,7.97,7.97,5.94,3.69,3.78,5.69,6.62,5.22,4.97,6.66,7.94,7.03,6.31,8.16,10.31,9.62,8.16,8.75,10.81,10.5,9.41,9.78,11.78,12.59,10.84,10.06,11.59,12.66,11.53,9.97,11.16,12.72,11.78,10.25,10.88,13.53,13.97,13.31,13.94,16.38,17.53,16.41,14.84,15.78,16.12,13.66,10.62,10.03,10.81,9.41,6.94,5.94,6.28,5.06,2.38,0.75,2.0,3.31,2.0,0.88,1.94,2.88,1.31,-1.31,-1.31,-0.41,-1.31,-3.56,-3.88,-1.53,0.44,1.34,3.72,8.97,13.09,14.34,14.03,15.34,16.53,15.28,12.47,11.72,12.44,11.22,8.5,7.0,8.31,8.53,7.16,6.47,8.34,10.12,9.38,8.59,10.06,12.34,12.28,10.03,9.22,9.5,8.38,5.78,4.56,6.16,6.81,5.47,4.59,5.91,7.66,6.94,5.59,6.62,9.41,11.16,11.75,14.03,17.22,18.47,17.06,15.53,15.81,15.22,11.81,8.53,8.31,8.31,6.53,3.28,1.94,2.25,1.72,0.03,0.69,4.25,7.31,8.03,9.31,12.84,15.41,15.12,13.59,13.75,14.12,12.5,9.34,8.38,9.25,9.38,8.03,8.09,10.09,10.88,8.09,4.97,4.22,4.12,3.06,2.69,5.91,10.88,14.31,16.28,18.94,21.69,22.53,19.94,16.88,15.78,14.31,10.16,6.31,5.31,4.94,2.88,0.09,-0.28,1.22,1.38,0.5,1.0,3.16,4.16,2.19,1.19,2.59,4.91,5.5,5.78,7.91,9.56,8.47,5.0,3.16,3.06,2.41,1.31,2.38,6.44,10.16,11.0,11.16,12.41,13.12,10.56,7.19,6.0,6.28,5.12,2.5,1.56,2.31,2.0,0.19,-0.78,0.34,1.09,-1.0,-2.88,-2.19,-0.03,1.34,2.47,5.66,9.59,11.5,10.69,10.16,10.94,10.34,7.25,4.31,4.19,4.0,1.75,-0.44,0.25,1.91,1.94,1.28,2.44,4.97,6.41,6.34,7.66,11.19,14.34,14.69,14.66,16.38,17.97,16.5,14.25,13.75,14.84,14.16,12.19,11.5,12.28,11.69,8.09,5.38,4.5,3.25,-0.06,-3.16,-3.5,-2.34,-2.03,-2.19,0.0,2.97,3.78,2.88,3.78,6.22,8.91,9.0,10.03,12.47,14.53,13.53,11.59,11.25,11.56,9.59,6.47,5.56,6.59,6.91,5.94,6.16,8.5,10.34,9.84,9.06,10.12,11.69,10.53,8.69,8.88,10.5,10.59,9.47,9.81,11.81,12.44,10.91,9.91,10.44,10.5,7.91,4.97,3.81,3.38,1.12,-2.31,-3.97,-3.66,-4.53,-6.78,-7.34,-5.84,-5.28,-6.78,-7.97,-6.75,-4.72,-4.81,-5.19,-3.28,-0.75,-0.62,-1.97,-1.88,-0.38,-0.22,-1.81,-2.66,-1.81,-1.47,-3.81,-6.44,-6.44,-5.75,-6.62,-7.53,-6.25,-3.03,-1.66,-1.38,-0.47,2.0,2.59,1.22,0.62,2.19,3.62,2.72,1.22,1.16,1.75,0.06,-2.12,-2.56,-1.09,-1.03,-2.47,-3.0,-2.19,-2.25,-4.53,-6.5,-5.34,-3.56,-3.25,-2.53,0.47,4.38,5.75,4.62,3.66,3.31,1.22,-2.38,-4.81,-4.56,-4.5,-6.41,-7.91,-7.06,-5.5,-5.66,-6.38,-5.5,-3.47,-3.28,-4.66,-5.03,-3.5,-3.06,-4.69,-6.16,-5.62,-5.03,-6.28,-7.34,-5.56,-3.28,-2.94,-3.81,-3.53,-1.69,-0.94,-1.44,-1.12,1.22,2.38,0.75,-1.66,-2.31,-2.59,-4.66,-6.72,-5.97,-3.75,-2.72,-2.81,-1.28,1.66,3.5,2.97,2.47,4.41,5.66,4.84,3.84,5.19,6.34,5.69,4.0,3.72,4.59,4.12,2.09,0.78,2.0,2.66,1.5,0.91,2.59,4.09,3.28,1.38,1.19,1.44,-0.53,-3.31,-4.44,-3.84,-4.31,-6.16,-7.47,-6.91,-6.66,-8.94,-10.91,-10.16,-8.66,-8.5,-8.34,-5.84,-2.19,-1.16,-2.09,-2.94,-2.62,-3.25,-6.06,-7.41,-6.53,-5.59,-7.03,-8.62,-7.59,-6.09,-6.69,-8.69,-9.03,-8.75,-9.91,-12.56,-12.91,-10.78,-8.56,-8.09,-7.78,-5.06,-2.66,-2.56,-3.41,-1.75,0.34,0.56,-0.72,-0.47,0.88,1.03,-0.81,-2.03,-1.31,-1.16,-3.22,-5.81,-6.0,-5.81,-7.62,-10.16,-10.31,-9.22,-9.16,-10.31,-9.78,-7.72,-6.75,-8.31,-9.88,-9.97,-10.47,-13.38,-16.41,-17.31,-17.34,-18.62,-20.66,-20.38,-18.53,-17.19,-17.88,-17.12,-14.97,-13.25,-13.81,-14.41,-12.81,-11.62,-12.62,-14.66,-14.84,-14.12,-14.94,-16.5,-16.78,-15.06,-14.0,-15.19,-15.16,-12.81,-10.22,-9.44,-8.84,-5.78,-2.38,-1.5,-1.84,-0.72,1.5,2.25,1.41,2.09,4.44,5.84,4.78,3.94,4.59,5.09,2.72,-0.34,-1.62,-1.91,-3.72,-6.5,-7.0,-5.62,-5.0,-5.78,-4.53,-1.06,1.91,2.38,2.59,4.03,5.62,4.78,2.53,2.03,1.97,-0.34,-4.09,-5.72,-4.97,-4.38,-5.78,-6.59,-5.28,-4.81,-6.72,-8.41,-8.06,-6.53,-7.09,-8.59,-8.62,-7.5,-7.66,-9.34,-10.09,-8.78,-8.34,-10.31,-12.03,-11.16,-9.66,-10.12,-10.06,-7.53,-3.78,-1.81,-1.0,1.12,4.56,5.88,4.28,2.69,2.47,1.22,-2.91,23.41,23.5,23.09,24.34,26.03,26.88,26.69:18.47,19.44,23.25,27.59,29.38,28.97,29.25,29.91,28.56,24.91,22.12,20.88,18.72,14.16,9.75,8.38,7.81,5.88,4.53,6.38,9.75,11.62,12.16,14.0,17.25,18.81,18.69,19.44,22.41,24.91,24.16,23.09,23.56,24.19,21.88,18.88,17.75,17.59,15.81,12.41,11.03,12.44,14.16,15.03,17.19,21.75,25.94,27.03,26.84,27.75,28.62,26.44,22.72,20.56,19.94,17.81,13.88,11.03,10.5,9.91,7.5,6.09,7.69,9.56,9.44,8.97,10.75,13.84,14.88,14.88,16.5,19.41,21.53,21.91,23.09,26.62,29.75,29.59,29.34,30.47,31.84,30.69,28.59,28.28,28.81,27.28,23.84,20.97,19.78,17.25,12.69,8.88,7.66,7.16,5.22,4.56,6.84,10.62,12.53,13.22,14.81,17.12,17.25,15.38,14.34,15.38,15.88,14.72,14.0,15.66,17.22,16.34,15.09,15.53,16.78,15.91,14.28,14.41,16.41,17.38,16.72,16.34,17.88,18.41,16.34,14.09,14.31,15.78,15.72,15.72,17.5,20.44,21.06,20.12,19.53,20.62,20.25,17.25,14.25,12.81,11.5,7.94,4.44,4.12,5.62,6.38,6.78,9.56,14.12,17.41,18.75,20.81,24.5,27.03,26.66,25.69,26.81,27.72,26.19,23.88,23.22,23.97,23.03,20.78,20.03,20.88,20.09,17.09,14.53,14.19,13.66,11.19,9.03,10.12,12.22,12.78,13.22,15.25,18.66,19.97,19.31,19.41,21.47,22.62,21.59,20.91,21.97,22.5,20.44,17.88,17.56,18.19,17.72,16.75,17.91,20.84,22.97,22.78,22.19,23.12,23.06,20.03,17.03,15.97,15.03,12.28,9.22,8.56,9.47,9.78,8.81,8.81,11.03,12.91,12.94,13.5,16.5,19.28,19.5,19.5,21.94,24.53,25.69,24.62,24.62,25.16,23.88,21.22,19.47,20.31,20.53,18.5,16.88,17.88,19.19,18.69,18.56,20.62,24.41,26.44,27.34,29.25,31.5,32.22,30.41,28.97,29.34,29.19,26.97,24.56,24.84,26.25,25.66,23.75,24.53,25.56,25.41,23.34,22.5,23.34,23.25,20.97,19.53,20.5,21.94,21.25,20.19,22.16,24.41,24.69,24.31,25.81,28.38,29.88,28.78,28.56,30.16,30.47,28.56,26.94,27.53,28.41,26.81,24.47,23.84,24.44,23.16,20.75,20.25,21.12,20.91,18.72,17.59,18.19,18.81,17.59,16.47,18.28,20.62,20.84,19.69,19.78,20.03,18.38,15.0,13.53,14.09,14.75,13.5,13.66,16.34,19.03,19.59,19.22,21.03,22.5,22.06,19.94,19.88,21.03,21.66,20.88,21.56,24.41,26.25,24.75,22.62,22.16,21.56,18.44,15.41,15.34,16.75,17.12,16.91,18.31,21.34,22.84,21.97,21.19,21.72,21.97,19.75,17.84,18.72,20.66,20.81,20.34,22.16,25.0,26.12,24.88,24.25,24.75,23.59,19.66,16.09,15.0,14.22,12.25,10.41,11.41,13.75,14.53,13.91,15.22,17.75,18.59,16.81,15.41,15.59,14.91,12.19,9.78,10.19,11.5,10.5,9.12,9.84,11.53,11.72,10.47,10.53,12.44,13.84,12.59,12.53,14.53,16.53,16.06,15.62,17.25,19.53,19.38,18.41,18.75,20.22,19.31,16.16,13.81,13.16,11.94,9.12,7.69,9.19,11.53,11.44,11.09,12.72,15.38,15.81,15.5,16.91,19.78,21.06,19.56,18.47,18.84,18.16,14.75,12.38,12.97,14.31,13.31,12.06,12.59,14.5,14.69,13.75,14.03,16.03,16.59,14.56,13.12,13.97,15.06,13.75,13.12,15.16,17.59,17.47,16.19,16.06,17.03,16.72,15.69,16.62,19.88,22.56,22.59,22.22,22.94,22.75,19.19,15.53,14.22,14.94,14.72,14.16,15.41,17.91,18.12,15.69,13.59,13.72,13.38,11.12,10.09,12.28,15.06,15.53,15.22,16.38,18.19,17.53,15.38,14.91,16.53,17.03,15.41,14.5,16.22,17.44,16.38,15.66,18.0,20.78,20.84,19.62,19.53,20.62,19.44,17.28,16.88,18.91,20.16,19.12,17.75,17.97,17.59,14.06,9.78,7.97,7.97,5.94,3.69,3.78,5.69,6.62,5.22,4.97,6.66,7.94,7.03,6.31,8.16,10.31,9.62,8.16,8.75,10.81,10.5,9.41,9.78,11.78,12.59,10.84,10.06,11.59,12.66,11.53,9.97,11.16,12.72,11.78,10.25,10.88,13.53,13.97,13.31,13.94,16.38,17.53,16.41,14.84,15.78,16.12,13.66,10.62,10.03,10.81,9.41,6.94,5.94,6.28,5.06,2.38,0.75,2.0,3.31,2.0,0.88,1.94,2.88,1.31,-1.31,-1.31,-0.41,-1.31,-3.56,-3.88,-1.53,0.44,1.34,3.72,8.97,13.09,14.34,14.03,15.34,16.53,15.28,12.47,11.72,12.44,11.22,8.5,7.0,8.31,8.53,7.16,6.47,8.34,10.12,9.38,8.59,10.06,12.34,12.28,10.03,9.22,9.5,8.38,5.78,4.56,6.16,6.81,5.47,4.59,5.91,7.66,6.94,5.59,6.62,9.41,11.16,11.75,14.03,17.22,18.47,17.06,15.53,15.81,15.22,11.81,8.53,8.31,8.31,6.53,3.28,1.94,2.25,1.72,0.03,0.69,4.25,7.31,8.03,9.31,12.84,15.41,15.12,13.59,13.75,14.12,12.5,9.34,8.38,9.25,9.38,8.03,8.09,10.09,10.88,8.09,4.97,4.22,4.12,3.06,2.69,5.91,10.88,14.31,16.28,18.94,21.69,22.53,19.94,16.88,15.78,14.31,10.16,6.31,5.31,4.94,2.88,0.09,-0.28,1.22,1.38,0.5,1.0,3.16,4.16,2.19,1.19,2.59,4.91,5.5,5.78,7.91,9.56,8.47,5.0,3.16,3.06,2.41,1.31,2.38,6.44,10.16,11.0,11.16,12.41,13.12,10.56,7.19,6.0,6.28,5.12,2.5,1.56,2.31,2.0,0.19,-0.78,0.34,1.09,-1.0,-2.88,-2.19,-0.03,1.34,2.47,5.66,9.59,11.5,10.69,10.16,10.94,10.34,7.25,4.31,4.19,4.0,1.75,-0.44,0.25,1.91,1.94,1.28,2.44,4.97,6.41,6.34,7.66,11.19,14.34,14.69,14.66,16.38,17.97,16.5,14.25,13.75,14.84,14.16,12.19,11.5,12.28,11.69,8.09,5.38,4.5,3.25,-0.06,-3.16,-3.5,-2.34,-2.03,-2.19,0.0,2.97,3.78,2.88,3.78,6.22,8.91,9.0,10.03,12.47,14.53,13.53,11.59,11.25,11.56,9.59,6.47,5.56,6.59,6.91,5.94,6.16,8.5,10.34,9.84,9.06,10.12,11.69,10.53,8.69,8.88,10.5,10.59,9.47,9.81,11.81,12.44,10.91,9.91,10.44,10.5,7.91,4.97,3.81,3.38,1.12,-2.31,-3.97,-3.66,-4.53,-6.78,-7.34,-5.84,-5.28,-6.78,-7.97,-6.75,-4.72,-4.81,-5.19,-3.28,-0.75,-0.62,-1.97,-1.88,-0.38,-0.22,-1.81,-2.66,-1.81,-1.47,-3.81,-6.44,-6.44,-5.75,-6.62,-7.53,-6.25,-3.03,-1.66,-1.38,-0.47,2.0,2.59,1.22,0.62,2.19,3.62,2.72,1.22,1.16,1.75,0.06,-2.12,-2.56,-1.09,-1.03,-2.47,-3.0,-2.19,-2.25,-4.53,-6.5,-5.34,-3.56,-3.25,-2.53,0.47,4.38,5.75,4.62,3.66,3.31,1.22,-2.38,-4.81,-4.56,-4.5,-6.41,-7.91,-7.06,-5.5,-5.66,-6.38,-5.5,-3.47,-3.28,-4.66,-5.03,-3.5,-3.06,-4.69,-6.16,-5.62,-5.03,-6.28,-7.34,-5.56,-3.28,-2.94,-3.81,-3.53,-1.69,-0.94,-1.44,-1.12,1.22,2.38,0.75,-1.66,-2.31,-2.59,-4.66,-6.72,-5.97,-3.75,-2.72,-2.81,-1.28,1.66,3.5,2.97,2.47,4.41,5.66,4.84,3.84,5.19,6.34,5.69,4.0,3.72,4.59,4.12,2.09,0.78,2.0,2.66,1.5,0.91,2.59,4.09,3.28,1.38,1.19,1.44,-0.53,-3.31,-4.44,-3.84,-4.31,-6.16,-7.47,-6.91,-6.66,-8.94,-10.91,-10.16,-8.66,-8.5,-8.34,-5.84,-2.19,-1.16,-2.09,-2.94,-2.62,-3.25,-6.06,-7.41,-6.53,-5.59,-7.03,-8.62,-7.59,-6.09,-6.69,-8.69,-9.03,-8.75,-9.91,-12.56,-12.91,-10.78,-8.56,-8.09,-7.78,-5.06,-2.66,-2.56,-3.41,-1.75,0.34,0.56,-0.72,-0.47,0.88,1.03,-0.81,-2.03,-1.31,-1.16,-3.22,-5.81,-6.0,-5.81,-7.62,-10.16,-10.31,-9.22,-9.16,-10.31,-9.78,-7.72,-6.75,-8.31,-9.88,-9.97,-10.47,-13.38,-16.41,-17.31,-17.34,-18.62,-20.66,-20.38,-18.53,-17.19,-17.88,-17.12,-14.97,-13.25,-13.81,-14.41,-12.81,-11.62,-12.62,-14.66,-14.84,-14.12,-14.94,-16.5,-16.78,-15.06,-14.0,-15.19,-15.16,-12.81,-10.22,-9.44,-8.84,-5.78,-2.38,-1.5,-1.84,-0.72,1.5,2.25,1.41,2.09,4.44,5.84,4.78,3.94,4.59,5.09,2.72,-0.34,-1.62,-1.91,-3.72,-6.5,-7.0,-5.62,-5.0,-5.78,-4.53,-1.06,1.91,2.38,2.59,4.03,5.62,4.78,2.53,2.03,1.97,-0.34,-4.09,-5.72,-4.97,-4.38,-5.78,-6.59,-5.28,-4.81,-6.72,-8.41,-8.06,-6.53,-7.09,-8.59,-8.62,-7.5,-7.66,-9.34,-10.09,-8.78,-8.34,-10.31,-12.03,-11.16,-9.66,-10.12,-10.06,-7.53,-3.78,-1.81,-1.0,1.12,4.56,5.88,4.28,2.69,2.47,1.22,-2.91,23.41,23.5,23.09,24.34,26.03,26.88,26.69,27.81,30.0,31.41,30.62,29.5,29.69,29.5:29.91,28.56,24.91,22.12,20.88,18.72,14.16,9.75,8.38,7.81,5.88,4.53,6.38,9.75,11.62,12.16,14.0,17.25,18.81,18.69,19.44,22.41,24.91,24.16,23.09,23.56,24.19,21.88,18.88,17.75,17.59,15.81,12.41,11.03,12.44,14.16,15.03,17.19,21.75,25.94,27.03,26.84,27.75,28.62,26.44,22.72,20.56,19.94,17.81,13.88,11.03,10.5,9.91,7.5,6.09,7.69,9.56,9.44,8.97,10.75,13.84,14.88,14.88,16.5,19.41,21.53,21.91,23.09,26.62,29.75,29.59,29.34,30.47,31.84,30.69,28.59,28.28,28.81,27.28,23.84,20.97,19.78,17.25,12.69,8.88,7.66,7.16,5.22,4.56,6.84,10.62,12.53,13.22,14.81,17.12,17.25,15.38,14.34,15.38,15.88,14.72,14.0,15.66,17.22,16.34,15.09,15.53,16.78,15.91,14.28,14.41,16.41,17.38,16.72,16.34,17.88,18.41,16.34,14.09,14.31,15.78,15.72,15.72,17.5,20.44,21.06,20.12,19.53,20.62,20.25,17.25,14.25,12.81,11.5,7.94,4.44,4.12,5.62,6.38,6.78,9.56,14.12,17.41,18.75,20.81,24.5,27.03,26.66,25.69,26.81,27.72,26.19,23.88,23.22,23.97,23.03,20.78,20.03,20.88,20.09,17.09,14.53,14.19,13.66,11.19,9.03,10.12,12.22,12.78,13.22,15.25,18.66,19.97,19.31,19.41,21.47,22.62,21.59,20.91,21.97,22.5,20.44,17.88,17.56,18.19,17.72,16.75,17.91,20.84,22.97,22.78,22.19,23.12,23.06,20.03,17.03,15.97,15.03,12.28,9.22,8.56,9.47,9.78,8.81,8.81,11.03,12.91,12.94,13.5,16.5,19.28,19.5,19.5,21.94,24.53,25.69,24.62,24.62,25.16,23.88,21.22,19.47,20.31,20.53,18.5,16.88,17.88,19.19,18.69,18.56,20.62,24.41,26.44,27.34,29.25,31.5,32.22,30.41,28.97,29.34,29.19,26.97,24.56,24.84,26.25,25.66,23.75,24.53,25.56,25.41,23.34,22.5,23.34,23.25,20.97,19.53,20.5,21.94,21.25,20.19,22.16,24.41,24.69,24.31,25.81,28.38,29.88,28.78,28.56,30.16,30.47,28.56,26.94,27.53,28.41,26.81,24.47,23.84,24.44,23.16,20.75,20.25,21.12,20.91,18.72,17.59,18.19,18.81,17.59,16.47,18.28,20.62,20.84,19.69,19.78,20.03,18.38,15.0,13.53,14.09,14.75,13.5,13.66,16.34,19.03,19.59,19.22,21.03,22.5,22.06,19.94,19.88,21.03,21.66,20.88,21.56,24.41,26.25,24.75,22.62,22.16,21.56,18.44,15.41,15.34,16.75,17.12,16.91,18.31,21.34,22.84,21.97,21.19,21.72,21.97,19.75,17.84,18.72,20.66,20.81,20.34,22.16,25.0,26.12,24.88,24.25,24.75,23.59,19.66,16.09,15.0,14.22,12.25,10.41,11.41,13.75,14.53,13.91,15.22,17.75,18.59,16.81,15.41,15.59,14.91,12.19,9.78,10.19,11.5,10.5,9.12,9.84,11.53,11.72,10.47,10.53,12.44,13.84,12.59,12.53,14.53,16.53,16.06,15.62,17.25,19.53,19.38,18.41,18.75,20.22,19.31,16.16,13.81,13.16,11.94,9.12,7.69,9.19,11.53,11.44,11.09,12.72,15.38,15.81,15.5,16.91,19.78,21.06,19.56,18.47,18.84,18.16,14.75,12.38,12.97,14.31,13.31,12.06,12.59,14.5,14.69,13.75,14.03,16.03,16.59,14.56,13.12,13.97,15.06,13.75,13.12,15.16,17.59,17.47,16.19,16.06,17.03,16.72,15.69,16.62,19.88,22.56,22.59,22.22,22.94,22.75,19.19,15.53,14.22,14.94,14.72,14.16,15.41,17.91,18.12,15.69,13.59,13.72,13.38,11.12,10.09,12.28,15.06,15.53,15.22,16.38,18.19,17.53,15.38,14.91,16.53,17.03,15.41,14.5,16.22,17.44,16.38,15.66,18.0,20.78,20.84,19.62,19.53,20.62,19.44,17.28,16.88,18.91,20.16,19.12,17.75,17.97,17.59,14.06,9.78,7.97,7.97,5.94,3.69,3.78,5.69,6.62,5.22,4.97,6.66,7.94,7.03,6.31,8.16,10.31,9.62,8.16,8.75,10.81,10.5,9.41,9.78,11.78,12.59,10.84,10.06,11.59,12.66,11.53,9.97,11.16,12.72,11.78,10.25,10.88,13.53,13.97,13.31,13.94,16.38,17.53,16.41,14.84,15.78,16.12,13.66,10.62,10.03,10.81,9.41,6.94,5.94,6.28,5.06,2.38,0.75,2.0,3.31,2.0,0.88,1.94,2.88,1.31,-1.31,-1.31,-0.41,-1.31,-3.56,-3.88,-1.53,0.44,1.34,3.72,8.97,13.09,14.34,14.03,15.34,16.53,15.28,12.47,11.72,12.44,11.22,8.5,7.0,8.31,8.53,7.16,6.47,8.34,10.12,9.38,8.59,10.06,12.34,12.28,10.03,9.22,9.5,8.38,5.78,4.56,6.16,6.81,5.47,4.59,5.91,7.66,6.94,5.59,6.62,9.41,11.16,11.75,14.03,17.22,18.47,17.06,15.53,15.81,15.22,11.81,8.53,8.31,8.31,6.53,3.28,1.94,2.25,1.72,0.03,0.69,4.25,7.31,8.03,9.31,12.84,15.41,15.12,13.59,13.75,14.12,12.5,9.34,8.38,9.25,9.38,8.03,8.09,10.09,10.88,8.09,4.97,4.22,4.12,3.06,2.69,5.91,10.88,14.31,16.28,18.94,21.69,22.53,19.94,16.88,15.78,14.31,10.16,6.31,5.31,4.94,2.88,0.09,-0.28,1.22,1.38,0.5,1.0,3.16,4.16,2.19,1.19,2.59,4.91,5.5,5.78,7.91,9.56,8.47,5.0,3.16,3.06,2.41,1.31,2.38,6.44,10.16,11.0,11.16,12.41,13.12,10.56,7.19,6.0,6.28,5.12,2.5,1.56,2.31,2.0,0.19,-0.78,0.34,1.09,-1.0,-2.88,-2.19,-0.03,1.34,2.47,5.66,9.59,11.5,10.69,10.16,10.94,10.34,7.25,4.31,4.19,4.0,1.75,-0.44,0.25,1.91,1.94,1.28,2.44,4.97,6.41,6.34,7.66,11.19,14.34,14.69,14.66,16.38,17.97,16.5,14.25,13.75,14.84,14.16,12.19,11.5,12.28,11.69,8.09,5.38,4.5,3.25,-0.06,-3.16,-3.5,-2.34,-2.03,-2.19,0.0,2.97,3.78,2.88,3.78,6.22,8.91,9.0,10.03,12.47,14.53,13.53,11.59,11.25,11.56,9.59,6.47,5.56,6.59,6.91,5.94,6.16,8.5,10.34,9.84,9.06,10.12,11.69,10.53,8.69,8.88,10.5,10.59,9.47,9.81,11.81,12.44,10.91,9.91,10.44,10.5,7.91,4.97,3.81,3.38,1.12,-2.31,-3.97,-3.66,-4.53,-6.78,-7.34,-5.84,-5.28,-6.78,-7.97,-6.75,-4.72,-4.81,-5.19,-3.28,-0.75,-0.62,-1.97,-1.88,-0.38,-0.22,-1.81,-2.66,-1.81,-1.47,-3.81,-6.44,-6.44,-5.75,-6.62,-7.53,-6.25,-3.03,-1.66,-1.38,-0.47,2.0,2.59,1.22,0.62,2.19,3.62,2.72,1.22,1.16,1.75,0.06,-2.12,-2.56,-1.09,-1.03,-2.47,-3.0,-2.19,-2.25,-4.53,-6.5,-5.34,-3.56,-3.25,-2.53,0.47,4.38,5.75,4.62,3.66,3.31,1.22,-2.38,-4.81,-4.56,-4.5,-6.41,-7.91,-7.06,-5.5,-5.66,-6.38,-5.5,-3.47,-3.28,-4.66,-5.03,-3.5,-3.06,-4.69,-6.16,-5.62,-5.03,-6.28,-7.34,-5.56,-3.28,-2.94,-3.81,-3.53,-1.69,-0.94,-1.44,-1.12,1.22,2.38,0.75,-1.66,-2.31,-2.59,-4.66,-6.72,-5.97,-3.75,-2.72,-2.81,-1.28,1.66,3.5,2.97,2.47,4.41,5.66,4.84,3.84,5.19,6.34,5.69,4.0,3.72,4.59,4.12,2.09,0.78,2.0,2.66,1.5,0.91,2.59,4.09,3.28,1.38,1.19,1.44,-0.53,-3.31,-4.44,-3.84,-4.31,-6.16,-7.47,-6.91,-6.66,-8.94,-10.91,-10.16,-8.66,-8.5,-8.34,-5.84,-2.19,-1.16,-2.09,-2.94,-2.62,-3.25,-6.06,-7.41,-6.53,-5.59,-7.03,-8.62,-7.59,-6.09,-6.69,-8.69,-9.03,-8.75,-9.91,-12.56,-12.91,-10.78,-8.56,-8.09,-7.78,-5.06,-2.66,-2.56,-3.41,-1.75,0.34,0.56,-0.72,-0.47,0.88,1.03,-0.81,-2.03,-1.31,-1.16,-3.22,-5.81,-6.0,-5.81,-7.62,-10.16,-10.31,-9.22,-9.16,-10.31,-9.78,-7.72,-6.75,-8.31,-9.88,-9.97,-10.47,-13.38,-16.41,-17.31,-17.34,-18.62,-20.66,-20.38,-18.53,-17.19,-17.88,-17.12,-14.97,-13.25,-13.81,-14.41,-12.81,-11.62,-12.62,-14.66,-14.84,-14.12,-14.94,-16.5,-16.78,-15.06,-14.0,-15.19,-15.16,-12.81,-10.22,-9.44,-8.84,-5.78,-2.38,-1.5,-1.84,-0.72,1.5,2.25,1.41,2.09,4.44,5.84,4.78,3.94,4.59,5.09,2.72,-0.34,-1.62,-1.91,-3.72,-6.5,-7.0,-5.62,-5.0,-5.78,-4.53,-1.06,1.91,2.38,2.59,4.03,5.62,4.78,2.53,2.03,1.97,-0.34,-4.09,-5.72,-4.97,-4.38,-5.78,-6.59,-5.28,-4.81,-6.72,-8.41,-8.06,-6.53,-7.09,-8.59,-8.62,-7.5,-7.66,-9.34,-10.09,-8.78,-8.34,-10.31,-12.03,-11.16,-9.66,-10.12,-10.06,-7.53,-3.78,-1.81,-1.0,1.12,4.56,5.88,4.28,2.69,2.47,1.22,-2.91,23.41,23.5,23.09,24.34,26.03,26.88,26.69,27.81,30.0,31.41,30.62,29.5,29.69,29.5,28.91,28.91,31.0,33.69,34.44,33.28,32.16:9.75,8.38,7.81,5.88,4.53,6.38,9.75,11.62,12.16,14.0,17.25,18.81,18.69,19.44,22.41,24.91,24.16,23.09,23.56,24.19,21.88,18.88,17.75,17.59,15.81,12.41,11.03,12.44,14.16,15.03,17.19,21.75,25.94,27.03,26.84,27.75,28.62,26.44,22.72,20.56,19.94,17.81,13.88,11.03,10.5,9.91,7.5,6.09,7.69,9.56,9.44,8.97,10.75,13.84,14.88,14.88,16.5,19.41,21.53,21.91,23.09,26.62,29.75,29.59,29.34,30.47,31.84,30.69,28.59,28.28,28.81,27.28,23.84,20.97,19.78,17.25,12.69,8.88,7.66,7.16,5.22,4.56,6.84,10.62,12.53,13.22,14.81,17.12,17.25,15.38,14.34,15.38,15.88,14.72,14.0,15.66,17.22,16.34,15.09,15.53,16.78,15.91,14.28,14.41,16.41,17.38,16.72,16.34,17.88,18.41,16.34,14.09,14.31,15.78,15.72,15.72,17.5,20.44,21.06,20.12,19.53,20.62,20.25,17.25,14.25,12.81,11.5,7.94,4.44,4.12,5.62,6.38,6.78,9.56,14.12,17.41,18.75,20.81,24.5,27.03,26.66,25.69,26.81,27.72,26.19,23.88,23.22,23.97,23.03,20.78,20.03,20.88,20.09,17.09,14.53,14.19,13.66,11.19,9.03,10.12,12.22,12.78,13.22,15.25,18.66,19.97,19.31,19.41,21.47,22.62,21.59,20.91,21.97,22.5,20.44,17.88,17.56,18.19,17.72,16.75,17.91,20.84,22.97,22.78,22.19,23.12,23.06,20.03,17.03,15.97,15.03,12.28,9.22,8.56,9.47,9.78,8.81,8.81,11.03,12.91,12.94,13.5,16.5,19.28,19.5,19.5,21.94,24.53,25.69,24.62,24.62,25.16,23.88,21.22,19.47,20.31,20.53,18.5,16.88,17.88,19.19,18.69,18.56,20.62,24.41,26.44,27.34,29.25,31.5,32.22,30.41,28.97,29.34,29.19,26.97,24.56,24.84,26.25,25.66,23.75,24.53,25.56,25.41,23.34,22.5,23.34,23.25,20.97,19.53,20.5,21.94,21.25,20.19,22.16,24.41,24.69,24.31,25.81,28.38,29.88,28.78,28.56,30.16,30.47,28.56,26.94,27.53,28.41,26.81,24.47,23.84,24.44,23.16,20.75,20.25,21.12,20.91,18.72,17.59,18.19,18.81,17.59,16.47,18.28,20.62,20.84,19.69,19.78,20.03,18.38,15.0,13.53,14.09,14.75,13.5,13.66,16.34,19.03,19.59,19.22,21.03,22.5,22.06,19.94,19.88,21.03,21.66,20.88,21.56,24.41,26.25,24.75,22.62,22.16,21.56,18.44,15.41,15.34,16.75,17.12,16.91,18.31,21.34,22.84,21.97,21.19,21.72,21.97,19.75,17.84,18.72,20.66,20.81,20.34,22.16,25.0,26.12,24.88,24.25,24.75,23.59,19.66,16.09,15.0,14.22,12.25,10.41,11.41,13.75,14.53,13.91,15.22,17.75,18.59,16.81,15.41,15.59,14.91,12.19,9.78,10.19,11.5,10.5,9.12,9.84,11.53,11.72,10.47,10.53,12.44,13.84,12.59,12.53,14.53,16.53,16.06,15.62,17.25,19.53,19.38,18.41,18.75,20.22,19.31,16.16,13.81,13.16,11.94,9.12,7.69,9.19,11.53,11.44,11.09,12.72,15.38,15.81,15.5,16.91,19.78,21.06,19.56,18.47,18.84,18.16,14.75,12.38,12.97,14.31,13.31,12.06,12.59,14.5,14.69,13.75,14.03,16.03,16.59,14.56,13.12,13.97,15.06,13.75,13.12,15.16,17.59,17.47,16.19,16.06,17.03,16.72,15.69,16.62,19.88,22.56,22.59,22.22,22.94,22.75,19.19,15.53,14.22,14.94,14.72,14.16,15.41,17.91,18.12,15.69,13.59,13.72,13.38,11.12,10.09,12.28,15.06,15.53,15.22,16.38,18.19,17.53,15.38,14.91,16.53,17.03,15.41,14.5,16.22,17.44,16.38,15.66,18.0,20.78,20.84,19.62,19.53,20.62,19.44,17.28,16.88,18.91,20.16,19.12,17.75,17.97,17.59,14.06,9.78,7.97,7.97,5.94,3.69,3.78,5.69,6.62,5.22,4.97,6.66,7.94,7.03,6.31,8.16,10.31,9.62,8.16,8.75,10.81,10.5,9.41,9.78,11.78,12.59,10.84,10.06,11.59,12.66,11.53,9.97,11.16,12.72,11.78,10.25,10.88,13.53,13.97,13.31,13.94,16.38,17.53,16.41,14.84,15.78,16.12,13.66,10.62,10.03,10.81,9.41,6.94,5.94,6.28,5.06,2.38,0.75,2.0,3.31,2.0,0.88,1.94,2.88,1.31,-1.31,-1.31,-0.41,-1.31,-3.56,-3.88,-1.53,0.44,1.34,3.72,8.97,13.09,14.34,14.03,15.34,16.53,15.28,12.47,11.72,12.44,11.22,8.5,7.0,8.31,8.53,7.16,6.47,8.34,10.12,9.38,8.59,10.06,12.34,12.28,10.03,9.22,9.5,8.38,5.78,4.56,6.16,6.81,5.47,4.59,5.91,7.66,6.94,5.59,6.62,9.41,11.16,11.75,14.03,17.22,18.47,17.06,15.53,15.81,15.22,11.81,8.53,8.31,8.31,6.53,3.28,1.94,2.25,1.72,0.03,0.69,4.25,7.31,8.03,9.31,12.84,15.41,15.12,13.59,13.75,14.12,12.5,9.34,8.38,9.25,9.38,8.03,8.09,10.09,10.88,8.09,4.97,4.22,4.12,3.06,2.69,5.91,10.88,14.31,16.28,18.94,21.69,22.53,19.94,16.88,15.78,14.31,10.16,6.31,5.31,4.94,2.88,0.09,-0.28,1.22,1.38,0.5,1.0,3.16,4.16,2.19,1.19,2.59,4.91,5.5,5.78,7.91,9.56,8.47,5.0,3.16,3.06,2.41,1.31,2.38,6.44,10.16,11.0,11.16,12.41,13.12,10.56,7.19,6.0,6.28,5.12,2.5,1.56,2.31,2.0,0.19,-0.78,0.34,1.09,-1.0,-2.88,-2.19,-0.03,1.34,2.47,5.66,9.59,11.5,10.69,10.16,10.94,10.34,7.25,4.31,4.19,4.0,1.75,-0.44,0.25,1.91,1.94,1.28,2.44,4.97,6.41,6.34,7.66,11.19,14.34,14.69,14.66,16.38,17.97,16.5,14.25,13.75,14.84,14.16,12.19,11.5,12.28,11.69,8.09,5.38,4.5,3.25,-0.06,-3.16,-3.5,-2.34,-2.03,-2.19,0.0,2.97,3.78,2.88,3.78,6.22,8.91,9.0,10.03,12.47,14.53,13.53,11.59,11.25,11.56,9.59,6.47,5.56,6.59,6.91,5.94,6.16,8.5,10.34,9.84,9.06,10.12,11.69,10.53,8.69,8.88,10.5,10.59,9.47,9.81,11.81,12.44,10.91,9.91,10.44,10.5,7.91,4.97,3.81,3.38,1.12,-2.31,-3.97,-3.66,-4.53,-6.78,-7.34,-5.84,-5.28,-6.78,-7.97,-6.75,-4.72,-4.81,-5.19,-3.28,-0.75,-0.62,-1.97,-1.88,-0.38,-0.22,-1.81,-2.66,-1.81,-1.47,-3.81,-6.44,-6.44,-5.75,-6.62,-7.53,-6.25,-3.03,-1.66,-1.38,-0.47,2.0,2.59,1.22,0.62,2.19,3.62,2.72,1.22,1.16,1.75,0.06,-2.12,-2.56,-1.09,-1.03,-2.47,-3.0,-2.19,-2.25,-4.53,-6.5,-5.34,-3.56,-3.25,-2.53,0.47,4.38,5.75,4.62,3.66,3.31,1.22,-2.38,-4.81,-4.56,-4.5,-6.41,-7.91,-7.06,-5.5,-5.66,-6.38,-5.5,-3.47,-3.28,-4.66,-5.03,-3.5,-3.06,-4.69,-6.16,-5.62,-5.03,-6.28,-7.34,-5.56,-3.28,-2.94,-3.81,-3.53,-1.69,-0.94,-1.44,-1.12,1.22,2.38,0.75,-1.66,-2.31,-2.59,-4.66,-6.72,-5.97,-3.75,-2.72,-2.81,-1.28,1.66,3.5,2.97,2.47,4.41,5.66,4.84,3.84,5.19,6.34,5.69,4.0,3.72,4.59,4.12,2.09,0.78,2.0,2.66,1.5,0.91,2.59,4.09,3.28,1.38,1.19,1.44,-0.53,-3.31,-4.44,-3.84,-4.31,-6.16,-7.47,-6.91,-6.66,-8.94,-10.91,-10.16,-8.66,-8.5,-8.34,-5.84,-2.19,-1.16,-2.09,-2.94,-2.62,-3.25,-6.06,-7.41,-6.53,-5.59,-7.03,-8.62,-7.59,-6.09,-6.69,-8.69,-9.03,-8.75,-9.91,-12.56,-12.91,-10.78,-8.56,-8.09,-7.78,-5.06,-2.66,-2.56,-3.41,-1.75,0.34,0.56,-0.72,-0.47,0.88,1.03,-0.81,-2.03,-1.31,-1.16,-3.22,-5.81,-6.0,-5.81,-7.62,-10.16,-10.31,-9.22,-9.16,-10.31,-9.78,-7.72,-6.75,-8.31,-9.88,-9.97,-10.47,-13.38,-16.41,-17.31,-17.34,-18.62,-20.66,-20.38,-18.53,-17.19,-17.88,-17.12,-14.97,-13.25,-13.81,-14.41,-12.81,-11.62,-12.62,-14.66,-14.84,-14.12,-14.94,-16.5,-16.78,-15.06,-14.0,-15.19,-15.16,-12.81,-10.22,-9.44,-8.84,-5.78,-2.38,-1.5,-1.84,-0.72,1.5,2.25,1.41,2.09,4.44,5.84,4.78,3.94,4.59,5.09,2.72,-0.34,-1.62,-1.91,-3.72,-6.5,-7.0,-5.62,-5.0,-5.78,-4.53,-1.06,1.91,2.38,2.59,4.03,5.62,4.78,2.53,2.03,1.97,-0.34,-4.09,-5.72,-4.97,-4.38,-5.78,-6.59,-5.28,-4.81,-6.72,-8.41,-8.06,-6.53,-7.09,-8.59,-8.62,-7.5,-7.66,-9.34,-10.09,-8.78,-8.34,-10.31,-12.03,-11.16,-9.66,-10.12,-10.06,-7.53,-3.78,-1.81,-1.0,1.12,4.56,5.88,4.28,2.69,2.47,1.22,-2.91,23.41,23.5,23.09,24.34,26.03,26.88,26.69,27.81,30.0,31.41,30.62,29.5,29.69,29.5,28.91,28.91,31.0,33.69,34.44,33.28,32.16,30.69,28.09,24.25,21.5,20.44,19.28,16.97:11.62,12.16,14.0,17.25,18.81,18.69,19.44,22.41,24.91,24.16,23.09,23.56,24.19,21.88,18.88,17.75,17.59,15.81,12.41,11.03,12.44,14.16,15.03,17.19,21.75,25.94,27.03,26.84,27.75,28.62,26.44,22.72,20.56,19.94,17.81,13.88,11.03,10.5,9.91,7.5,6.09,7.69,9.56,9.44,8.97,10.75,13.84,14.88,14.88,16.5,19.41,21.53,21.91,23.09,26.62,29.75,29.59,29.34,30.47,31.84,30.69,28.59,28.28,28.81,27.28,23.84,20.97,19.78,17.25,12.69,8.88,7.66,7.16,5.22,4.56,6.84,10.62,12.53,13.22,14.81,17.12,17.25,15.38,14.34,15.38,15.88,14.72,14.0,15.66,17.22,16.34,15.09,15.53,16.78,15.91,14.28,14.41,16.41,17.38,16.72,16.34,17.88,18.41,16.34,14.09,14.31,15.78,15.72,15.72,17.5,20.44,21.06,20.12,19.53,20.62,20.25,17.25,14.25,12.81,11.5,7.94,4.44,4.12,5.62,6.38,6.78,9.56,14.12,17.41,18.75,20.81,24.5,27.03,26.66,25.69,26.81,27.72,26.19,23.88,23.22,23.97,23.03,20.78,20.03,20.88,20.09,17.09,14.53,14.19,13.66,11.19,9.03,10.12,12.22,12.78,13.22,15.25,18.66,19.97,19.31,19.41,21.47,22.62,21.59,20.91,21.97,22.5,20.44,17.88,17.56,18.19,17.72,16.75,17.91,20.84,22.97,22.78,22.19,23.12,23.06,20.03,17.03,15.97,15.03,12.28,9.22,8.56,9.47,9.78,8.81,8.81,11.03,12.91,12.94,13.5,16.5,19.28,19.5,19.5,21.94,24.53,25.69,24.62,24.62,25.16,23.88,21.22,19.47,20.31,20.53,18.5,16.88,17.88,19.19,18.69,18.56,20.62,24.41,26.44,27.34,29.25,31.5,32.22,30.41,28.97,29.34,29.19,26.97,24.56,24.84,26.25,25.66,23.75,24.53,25.56,25.41,23.34,22.5,23.34,23.25,20.97,19.53,20.5,21.94,21.25,20.19,22.16,24.41,24.69,24.31,25.81,28.38,29.88,28.78,28.56,30.16,30.47,28.56,26.94,27.53,28.41,26.81,24.47,23.84,24.44,23.16,20.75,20.25,21.12,20.91,18.72,17.59,18.19,18.81,17.59,16.47,18.28,20.62,20.84,19.69,19.78,20.03,18.38,15.0,13.53,14.09,14.75,13.5,13.66,16.34,19.03,19.59,19.22,21.03,22.5,22.06,19.94,19.88,21.03,21.66,20.88,21.56,24.41,26.25,24.75,22.62,22.16,21.56,18.44,15.41,15.34,16.75,17.12,16.91,18.31,21.34,22.84,21.97,21.19,21.72,21.97,19.75,17.84,18.72,20.66,20.81,20.34,22.16,25.0,26.12,24.88,24.25,24.75,23.59,19.66,16.09,15.0,14.22,12.25,10.41,11.41,13.75,14.53,13.91,15.22,17.75,18.59,16.81,15.41,15.59,14.91,12.19,9.78,10.19,11.5,10.5,9.12,9.84,11.53,11.72,10.47,10.53,12.44,13.84,12.59,12.53,14.53,16.53,16.06,15.62,17.25,19.53,19.38,18.41,18.75,20.22,19.31,16.16,13.81,13.16,11.94,9.12,7.69,9.19,11.53,11.44,11.09,12.72,15.38,15.81,15.5,16.91,19.78,21.06,19.56,18.47,18.84,18.16,14.75,12.38,12.97,14.31,13.31,12.06,12.59,14.5,14.69,13.75,14.03,16.03,16.59,14.56,13.12,13.97,15.06,13.75,13.12,15.16,17.59,17.47,16.19,16.06,17.03,16.72,15.69,16.62,19.88,22.56,22.59,22.22,22.94,22.75,19.19,15.53,14.22,14.94,14.72,14.16,15.41,17.91,18.12,15.69,13.59,13.72,13.38,11.12,10.09,12.28,15.06,15.53,15.22,16.38,18.19,17.53,15.38,14.91,16.53,17.03,15.41,14.5,16.22,17.44,16.38,15.66,18.0,20.78,20.84,19.62,19.53,20.62,19.44,17.28,16.88,18.91,20.16,19.12,17.75,17.97,17.59,14.06,9.78,7.97,7.97,5.94,3.69,3.78,5.69,6.62,5.22,4.97,6.66,7.94,7.03,6.31,8.16,10.31,9.62,8.16,8.75,10.81,10.5,9.41,9.78,11.78,12.59,10.84,10.06,11.59,12.66,11.53,9.97,11.16,12.72,11.78,10.25,10.88,13.53,13.97,13.31,13.94,16.38,17.53,16.41,14.84,15.78,16.12,13.66,10.62,10.03,10.81,9.41,6.94,5.94,6.28,5.06,2.38,0.75,2.0,3.31,2.0,0.88,1.94,2.88,1.31,-1.31,-1.31,-0.41,-1.31,-3.56,-3.88,-1.53,0.44,1.34,3.72,8.97,13.09,14.34,14.03,15.34,16.53,15.28,12.47,11.72,12.44,11.22,8.5,7.0,8.31,8.53,7.16,6.47,8.34,10.12,9.38,8.59,10.06,12.34,12.28,10.03,9.22,9.5,8.38,5.78,4.56,6.16,6.81,5.47,4.59,5.91,7.66,6.94,5.59,6.62,9.41,11.16,11.75,14.03,17.22,18.47,17.06,15.53,15.81,15.22,11.81,8.53,8.31,8.31,6.53,3.28,1.94,2.25,1.72,0.03,0.69,4.25,7.31,8.03,9.31,12.84,15.41,15.12,13.59,13.75,14.12,12.5,9.34,8.38,9.25,9.38,8.03,8.09,10.09,10.88,8.09,4.97,4.22,4.12,3.06,2.69,5.91,10.88,14.31,16.28,18.94,21.69,22.53,19.94,16.88,15.78,14.31,10.16,6.31,5.31,4.94,2.88,0.09,-0.28,1.22,1.38,0.5,1.0,3.16,4.16,2.19,1.19,2.59,4.91,5.5,5.78,7.91,9.56,8.47,5.0,3.16,3.06,2.41,1.31,2.38,6.44,10.16,11.0,11.16,12.41,13.12,10.56,7.19,6.0,6.28,5.12,2.5,1.56,2.31,2.0,0.19,-0.78,0.34,1.09,-1.0,-2.88,-2.19,-0.03,1.34,2.47,5.66,9.59,11.5,10.69,10.16,10.94,10.34,7.25,4.31,4.19,4.0,1.75,-0.44,0.25,1.91,1.94,1.28,2.44,4.97,6.41,6.34,7.66,11.19,14.34,14.69,14.66,16.38,17.97,16.5,14.25,13.75,14.84,14.16,12.19,11.5,12.28,11.69,8.09,5.38,4.5,3.25,-0.06,-3.16,-3.5,-2.34,-2.03,-2.19,0.0,2.97,3.78,2.88,3.78,6.22,8.91,9.0,10.03,12.47,14.53,13.53,11.59,11.25,11.56,9.59,6.47,5.56,6.59,6.91,5.94,6.16,8.5,10.34,9.84,9.06,10.12,11.69,10.53,8.69,8.88,10.5,10.59,9.47,9.81,11.81,12.44,10.91,9.91,10.44,10.5,7.91,4.97,3.81,3.38,1.12,-2.31,-3.97,-3.66,-4.53,-6.78,-7.34,-5.84,-5.28,-6.78,-7.97,-6.75,-4.72,-4.81,-5.19,-3.28,-0.75,-0.62,-1.97,-1.88,-0.38,-0.22,-1.81,-2.66,-1.81,-1.47,-3.81,-6.44,-6.44,-5.75,-6.62,-7.53,-6.25,-3.03,-1.66,-1.38,-0.47,2.0,2.59,1.22,0.62,2.19,3.62,2.72,1.22,1.16,1.75,0.06,-2.12,-2.56,-1.09,-1.03,-2.47,-3.0,-2.19,-2.25,-4.53,-6.5,-5.34,-3.56,-3.25,-2.53,0.47,4.38,5.75,4.62,3.66,3.31,1.22,-2.38,-4.81,-4.56,-4.5,-6.41,-7.91,-7.06,-5.5,-5.66,-6.38,-5.5,-3.47,-3.28,-4.66,-5.03,-3.5,-3.06,-4.69,-6.16,-5.62,-5.03,-6.28,-7.34,-5.56,-3.28,-2.94,-3.81,-3.53,-1.69,-0.94,-1.44,-1.12,1.22,2.38,0.75,-1.66,-2.31,-2.59,-4.66,-6.72,-5.97,-3.75,-2.72,-2.81,-1.28,1.66,3.5,2.97,2.47,4.41,5.66,4.84,3.84,5.19,6.34,5.69,4.0,3.72,4.59,4.12,2.09,0.78,2.0,2.66,1.5,0.91,2.59,4.09,3.28,1.38,1.19,1.44,-0.53,-3.31,-4.44,-3.84,-4.31,-6.16,-7.47,-6.91,-6.66,-8.94,-10.91,-10.16,-8.66,-8.5,-8.34,-5.84,-2.19,-1.16,-2.09,-2.94,-2.62,-3.25,-6.06,-7.41,-6.53,-5.59,-7.03,-8.62,-7.59,-6.09,-6.69,-8.69,-9.03,-8.75,-9.91,-12.56,-12.91,-10.78,-8.56,-8.09,-7.78,-5.06,-2.66,-2.56,-3.41,-1.75,0.34,0.56,-0.72,-0.47,0.88,1.03,-0.81,-2.03,-1.31,-1.16,-3.22,-5.81,-6.0,-5.81,-7.62,-10.16,-10.31,-9.22,-9.16,-10.31,-9.78,-7.72,-6.75,-8.31,-9.88,-9.97,-10.47,-13.38,-16.41,-17.31,-17.34,-18.62,-20.66,-20.38,-18.53,-17.19,-17.88,-17.12,-14.97,-13.25,-13.81,-14.41,-12.81,-11.62,-12.62,-14.66,-14.84,-14.12,-14.94,-16.5,-16.78,-15.06,-14.0,-15.19,-15.16,-12.81,-10.22,-9.44,-8.84,-5.78,-2.38,-1.5,-1.84,-0.72,1.5,2.25,1.41,2.09,4.44,5.84,4.78,3.94,4.59,5.09,2.72,-0.34,-1.62,-1.91,-3.72,-6.5,-7.0,-5.62,-5.0,-5.78,-4.53,-1.06,1.91,2.38,2.59,4.03,5.62,4.78,2.53,2.03,1.97,-0.34,-4.09,-5.72,-4.97,-4.38,-5.78,-6.59,-5.28,-4.81,-6.72,-8.41,-8.06,-6.53,-7.09,-8.59,-8.62,-7.5,-7.66,-9.34,-10.09,-8.78,-8.34,-10.31,-12.03,-11.16,-9.66,-10.12,-10.06,-7.53,-3.78,-1.81,-1.0,1.12,4.56,5.88,4.28,2.69,2.47,1.22,-2.91,23.41,23.5,23.09,24.34,26.03,26.88,26.69,27.81,30.0,31.41,30.62,29.5,29.69,29.5,28.91,28.91,31.0,33.69,34.44,33.28,32.16,30.69,28.09,24.25,21.5,20.44,19.28,16.97,14.69,14.78,15.47,15.5,16.38,19.66,23.94:22.41,24.91,24.16,23.09,23.56,24.19,21.88,18.88,17.75,17.59,15.81,12.41,11.03,12.44,14.16,15.03,17.19,21.75,25.94,27.03,26.84,27.75,28.62,26.44,22.72,20.56,19.94,17.81,13.88,11.03,10.5,9.91,7.5,6.09,7.69,9.56,9.44,8.97,10.75,13.84,14.88,14.88,16.5,19.41,21.53,21.91,23.09,26.62,29.75,29.59,29.34,30.47,31.84,30.69,28.59,28.28,28.81,27.28,23.84,20.97,19.78,17.25,12.69,8.88,7.66,7.16,5.22,4.56,6.84,10.62,12.53,13.22,14.81,17.12,17.25,15.38,14.34,15.38,15.88,14.72,14.0,15.66,17.22,16.34,15.09,15.53,16.78,15.91,14.28,14.41,16.41,17.38,16.72,16.34,17.88,18.41,16.34,14.09,14.31,15.78,15.72,15.72,17.5,20.44,21.06,20.12,19.53,20.62,20.25,17.25,14.25,12.81,11.5,7.94,4.44,4.12,5.62,6.38,6.78,9.56,14.12,17.41,18.75,20.81,24.5,27.03,26.66,25.69,26.81,27.72,26.19,23.88,23.22,23.97,23.03,20.78,20.03,20.88,20.09,17.09,14.53,14.19,13.66,11.19,9.03,10.12,12.22,12.78,13.22,15.25,18.66,19.97,19.31,19.41,21.47,22.62,21.59,20.91,21.97,22.5,20.44,17.88,17.56,18.19,17.72,16.75,17.91,20.84,22.97,22.78,22.19,23.12,23.06,20.03,17.03,15.97,15.03,12.28,9.22,8.56,9.47,9.78,8.81,8.81,11.03,12.91,12.94,13.5,16.5,19.28,19.5,19.5,21.94,24.53,25.69,24.62,24.62,25.16,23.88,21.22,19.47,20.31,20.53,18.5,16.88,17.88,19.19,18.69,18.56,20.62,24.41,26.44,27.34,29.25,31.5,32.22,30.41,28.97,29.34,29.19,26.97,24.56,24.84,26.25,25.66,23.75,24.53,25.56,25.41,23.34,22.5,23.34,23.25,20.97,19.53,20.5,21.94,21.25,20.19,22.16,24.41,24.69,24.31,25.81,28.38,29.88,28.78,28.56,30.16,30.47,28.56,26.94,27.53,28.41,26.81,24.47,23.84,24.44,23.16,20.75,20.25,21.12,20.91,18.72,17.59,18.19,18.81,17.59,16.47,18.28,20.62,20.84,19.69,19.78,20.03,18.38,15.0,13.53,14.09,14.75,13.5,13.66,16.34,19.03,19.59,19.22,21.03,22.5,22.06,19.94,19.88,21.03,21.66,20.88,21.56,24.41,26.25,24.75,22.62,22.16,21.56,18.44,15.41,15.34,16.75,17.12,16.91,18.31,21.34,22.84,21.97,21.19,21.72,21.97,19.75,17.84,18.72,20.66,20.81,20.34,22.16,25.0,26.12,24.88,24.25,24.75,23.59,19.66,16.09,15.0,14.22,12.25,10.41,11.41,13.75,14.53,13.91,15.22,17.75,18.59,16.81,15.41,15.59,14.91,12.19,9.78,10.19,11.5,10.5,9.12,9.84,11.53,11.72,10.47,10.53,12.44,13.84,12.59,12.53,14.53,16.53,16.06,15.62,17.25,19.53,19.38,18.41,18.75,20.22,19.31,16.16,13.81,13.16,11.94,9.12,7.69,9.19,11.53,11.44,11.09,12.72,15.38,15.81,15.5,16.91,19.78,21.06,19.56,18.47,18.84,18.16,14.75,12.38,12.97,14.31,13.31,12.06,12.59,14.5,14.69,13.75,14.03,16.03,16.59,14.56,13.12,13.97,15.06,13.75,13.12,15.16,17.59,17.47,16.19,16.06,17.03,16.72,15.69,16.62,19.88,22.56,22.59,22.22,22.94,22.75,19.19,15.53,14.22,14.94,14.72,14.16,15.41,17.91,18.12,15.69,13.59,13.72,13.38,11.12,10.09,12.28,15.06,15.53,15.22,16.38,18.19,17.53,15.38,14.91,16.53,17.03,15.41,14.5,16.22,17.44,16.38,15.66,18.0,20.78,20.84,19.62,19.53,20.62,19.44,17.28,16.88,18.91,20.16,19.12,17.75,17.97,17.59,14.06,9.78,7.97,7.97,5.94,3.69,3.78,5.69,6.62,5.22,4.97,6.66,7.94,7.03,6.31,8.16,10.31,9.62,8.16,8.75,10.81,10.5,9.41,9.78,11.78,12.59,10.84,10.06,11.59,12.66,11.53,9.97,11.16,12.72,11.78,10.25,10.88,13.53,13.97,13.31,13.94,16.38,17.53,16.41,14.84,15.78,16.12,13.66,10.62,10.03,10.81,9.41,6.94,5.94,6.28,5.06,2.38,0.75,2.0,3.31,2.0,0.88,1.94,2.88,1.31,-1.31,-1.31,-0.41,-1.31,-3.56,-3.88,-1.53,0.44,1.34,3.72,8.97,13.09,14.34,14.03,15.34,16.53,15.28,12.47,11.72,12.44,11.22,8.5,7.0,8.31,8.53,7.16,6.47,8.34,10.12,9.38,8.59,10.06,12.34,12.28,10.03,9.22,9.5,8.38,5.78,4.56,6.16,6.81,5.47,4.59,5.91,7.66,6.94,5.59,6.62,9.41,11.16,11.75,14.03,17.22,18.47,17.06,15.53,15.81,15.22,11.81,8.53,8.31,8.31,6.53,3.28,1.94,2.25,1.72,0.03,0.69,4.25,7.31,8.03,9.31,12.84,15.41,15.12,13.59,13.75,14.12,12.5,9.34,8.38,9.25,9.38,8.03,8.09,10.09,10.88,8.09,4.97,4.22,4.12,3.06,2.69,5.91,10.88,14.31,16.28,18.94,21.69,22.53,19.94,16.88,15.78,14.31,10.16,6.31,5.31,4.94,2.88,0.09,-0.28,1.22,1.38,0.5,1.0,3.16,4.16,2.19,1.19,2.59,4.91,5.5,5.78,7.91,9.56,8.47,5.0,3.16,3.06,2.41,1.31,2.38,6.44,10.16,11.0,11.16,12.41,13.12,10.56,7.19,6.0,6.28,5.12,2.5,1.56,2.31,2.0,0.19,-0.78,0.34,1.09,-1.0,-2.88,-2.19,-0.03,1.34,2.47,5.66,9.59,11.5,10.69,10.16,10.94,10.34,7.25,4.31,4.19,4.0,1.75,-0.44,0.25,1.91,1.94,1.28,2.44,4.97,6.41,6.34,7.66,11.19,14.34,14.69,14.66,16.38,17.97,16.5,14.25,13.75,14.84,14.16,12.19,11.5,12.28,11.69,8.09,5.38,4.5,3.25,-0.06,-3.16,-3.5,-2.34,-2.03,-2.19,0.0,2.97,3.78,2.88,3.78,6.22,8.91,9.0,10.03,12.47,14.53,13.53,11.59,11.25,11.56,9.59,6.47,5.56,6.59,6.91,5.94,6.16,8.5,10.34,9.84,9.06,10.12,11.69,10.53,8.69,8.88,10.5,10.59,9.47,9.81,11.81,12.44,10.91,9.91,10.44,10.5,7.91,4.97,3.81,3.38,1.12,-2.31,-3.97,-3.66,-4.53,-6.78,-7.34,-5.84,-5.28,-6.78,-7.97,-6.75,-4.72,-4.81,-5.19,-3.28,-0.75,-0.62,-1.97,-1.88,-0.38,-0.22,-1.81,-2.66,-1.81,-1.47,-3.81,-6.44,-6.44,-5.75,-6.62,-7.53,-6.25,-3.03,-1.66,-1.38,-0.47,2.0,2.59,1.22,0.62,2.19,3.62,2.72,1.22,1.16,1.75,0.06,-2.12,-2.56,-1.09,-1.03,-2.47,-3.0,-2.19,-2.25,-4.53,-6.5,-5.34,-3.56,-3.25,-2.53,0.47,4.38,5.75,4.62,3.66,3.31,1.22,-2.38,-4.81,-4.56,-4.5,-6.41,-7.91,-7.06,-5.5,-5.66,-6.38,-5.5,-3.47,-3.28,-4.66,-5.03,-3.5,-3.06,-4.69,-6.16,-5.62,-5.03,-6.28,-7.34,-5.56,-3.28,-2.94,-3.81,-3.53,-1.69,-0.94,-1.44,-1.12,1.22,2.38,0.75,-1.66,-2.31,-2.59,-4.66,-6.72,-5.97,-3.75,-2.72,-2.81,-1.28,1.66,3.5,2.97,2.47,4.41,5.66,4.84,3.84,5.19,6.34,5.69,4.0,3.72,4.59,4.12,2.09,0.78,2.0,2.66,1.5,0.91,2.59,4.09,3.28,1.38,1.19,1.44,-0.53,-3.31,-4.44,-3.84,-4.31,-6.16,-7.47,-6.91,-6.66,-8.94,-10.91,-10.16,-8.66,-8.5,-8.34,-5.84,-2.19,-1.16,-2.09,-2.94,-2.62,-3.25,-6.06,-7.41,-6.53,-5.59,-7.03,-8.62,-7.59,-6.09,-6.69,-8.69,-9.03,-8.75,-9.91,-12.56,-12.91,-10.78,-8.56,-8.09,-7.78,-5.06,-2.66,-2.56,-3.41,-1.75,0.34,0.56,-0.72,-0.47,0.88,1.03,-0.81,-2.03,-1.31,-1.16,-3.22,-5.81,-6.0,-5.81,-7.62,-10.16,-10.31,-9.22,-9.16,-10.31,-9.78,-7.72,-6.75,-8.31,-9.88,-9.97,-10.47,-13.38,-16.41,-17.31,-17.34,-18.62,-20.66,-20.38,-18.53,-17.19,-17.88,-17.12,-14.97,-13.25,-13.81,-14.41,-12.81,-11.62,-12.62,-14.66,-14.84,-14.12,-14.94,-16.5,-16.78,-15.06,-14.0,-15.19,-15.16,-12.81,-10.22,-9.44,-8.84,-5.78,-2.38,-1.5,-1.84,-0.72,1.5,2.25,1.41,2.09,4.44,5.84,4.78,3.94,4.59,5.09,2.72,-0.34,-1.62,-1.91,-3.72,-6.5,-7.0,-5.62,-5.0,-5.78,-4.53,-1.06,1.91,2.38,2.59,4.03,5.62,4.78,2.53,2.03,1.97,-0.34,-4.09,-5.72,-4.97,-4.38,-5.78,-6.59,-5.28,-4.81,-6.72,-8.41,-8.06,-6.53,-7.09,-8.59,-8.62,-7.5,-7.66,-9.34,-10.09,-8.78,-8.34,-10.31,-12.03,-11.16,-9.66,-10.12,-10.06,-7.53,-3.78,-1.81,-1.0,1.12,4.56,5.88,4.28,2.69,2.47,1.22,-2.91,23.41,23.5,23.09,24.34,26.03,26.88,26.69,27.81,30.0,31.41,30.62,29.5,29.69,29.5,28.91,28.91,31.0,33.69,34.44,33.28,32.16,30.69,28.09,24.25,21.5,20.44,19.28,16.97,14.69,14.78,15.47,15.5,16.38,19.66,23.94,26.78,28.44,30.47,32.81,33.78,33.22,33.47:negativity
12.41,15.47,19.0,19.94,20.0,21.5,22.5,21.19,18.12,16.81,17.12,16.31,13.91,13.06,14.38,15.38,13.78,12.16,12.88,13.62,12.47,10.91,11.28,12.59,11.91,9.88,9.25,10.38,10.69,8.91,8.44,10.5,12.28,11.94,11.59,13.5,16.06,16.19,15.38,16.22,17.53,16.84,14.72,13.88,14.81,15.06,13.53,12.62,14.28,16.41,16.25,15.78,17.0,18.59,17.41,14.88,14.09,14.66,14.09,12.06,10.72,11.16,10.97,8.59,6.94,7.97,9.53,8.66,7.06,7.12,7.75,6.78,4.72,4.66,6.62,7.41,6.0,4.94,5.56,5.78,3.56,1.97,2.97,5.44,6.06,6.53,8.88,12.25,13.47,12.94,13.72,16.06,17.81,17.03,16.56,17.69,18.38,15.81,13.03,12.53,13.0,11.5,9.78,9.72,10.94,10.78,8.91,7.22,7.5,7.09,4.28,1.91,2.44,3.56,3.09,2.94,4.62,7.16,7.19,6.03,5.81,6.94,7.19,5.91,5.62,7.44,9.06,7.62,5.75,5.78,6.0,4.25,2.25,2.53,4.75,5.03,3.81,3.78,5.0,5.19,3.5,2.84,4.91,7.5,7.66,7.78,9.0,10.47,9.81,8.16,8.25,10.25,11.09,10.44,10.41,12.0,12.69,11.03,9.12,9.47,10.03,8.56,7.09,8.41,11.12,12.38,12.03,12.66,14.75,14.91,13.47,12.31,13.34,13.94,11.97,9.72,9.75,10.41,8.53,6.38,6.41,8.12,8.59,7.38,7.28,8.69,8.88,7.41,7.5,10.19,12.78,12.38,11.25,11.0,11.16,9.94,9.09,10.5,14.62,17.75,19.22,21.16,23.94,24.81,22.62,19.84,19.0,18.22,15.5,12.31,11.94,12.62,11.94,10.59,10.69,12.75,13.5,12.72,12.5,14.56,15.88,14.72,13.0,13.25,13.97,12.28,10.59,10.66,12.44,12.75,12.12,13.12,16.16,18.75,18.69,18.62,19.53,19.28,16.0,11.78,10.09,9.03,6.88,4.06,3.16,4.16,4.25,3.09,3.03,4.97,6.41,5.19,4.19,5.84,7.66,7.62,7.22,9.09,11.75,12.25,10.97,11.16,12.28,12.25,10.5,9.44,10.69,11.59,10.31,9.0,10.16,11.75,11.5,10.22,10.53,11.66,11.06,9.31,9.06,11.56,13.44,13.69,13.91,16.12,17.69,16.28,14.34,14.91,16.12,15.72,15.09,16.78,19.78,22.19,22.69,23.84,26.41,27.75,26.0,23.91,23.94,23.94,22.12,20.34,20.88,22.09,21.09,17.81,15.06,13.66,11.16,7.0,3.47,2.25,0.56,-3.09,-6.28,-6.0,-4.91,-5.0,-5.44,-3.81,-0.69,1.75,3.59,7.56,13.69,19.38,22.31,24.72,28.5,31.38,30.88,29.22,29.09,28.59,25.22,20.03,16.09,13.41,10.28,5.78,3.16,3.16,3.44,2.12,1.81,4.81,8.69,10.34,10.88,13.09,15.88,16.12,14.97,15.41,17.28,18.34,17.03,16.09,17.0,17.16,14.34,11.0,10.19,9.59,6.88,3.25,2.12,2.44,1.41,-0.81,-1.38,-0.28,-0.47,-3.12,-5.28,-5.16,-4.84,-6.5,-7.88,-6.62,-4.25,-3.5,-3.06,-0.09,4.75,8.59,10.44,13.0,16.31,18.22,16.94,15.62,16.25,17.06,15.03,12.22,11.38,11.69,10.41,8.22,8.69,11.41,13.72,14.62,16.5,20.03,22.81,22.12,20.19,20.12,20.12,17.56,14.09,13.34,13.84,12.91,10.94,10.59,12.72,14.0,13.47,13.5,15.38,17.31,16.31,14.66,14.97,15.56,13.0,9.38,7.38,6.84,5.66,3.34,2.94,5.91,9.03,10.62,13.16,18.19,22.69,23.41,22.75,23.34,24.75,24.16,22.62,22.56,24.22,23.78,21.16,19.44,19.62,19.88,17.47,15.62,16.28,17.75,16.88,15.22,15.03,15.94,14.75,12.03,11.03,12.31,13.22,12.41,12.53,15.91,19.28,19.94,20.0,22.0,23.41,22.09,19.22,17.91,18.25,17.31,15.16,14.81,16.97,18.25,16.59,15.0,15.53,16.16,14.03,12.0,11.78,12.47,10.81,7.72,6.41,6.81,6.62,5.06,4.97,7.84,10.69,10.62,10.47,11.75,13.19,11.97,10.22,11.09,13.75,15.22,15.38,16.47,19.28,20.22,17.84,15.38,15.0,14.78,12.06,10.31,11.84,14.5,14.97,14.44,15.12,16.75,16.19,13.56,12.38,13.38,13.0,10.38,7.44,6.69,5.88,2.56,-0.28,-0.47,1.38,1.72,1.66,3.38,6.69,7.88,6.59,5.62,6.56,6.62,4.03,1.44,1.09,1.72,0.62,-0.81,0.38,3.0,3.5,2.0,1.75,3.5,4.38,3.28,3.47,6.22,8.78,8.97,8.72,11.38,14.25,14.97,14.22,14.41,15.25,13.03,8.38,4.41,2.88,1.22,-1.5,-2.66,-0.69,1.44,1.31,0.34,2.03,4.69,5.34,4.94,5.78,8.19,8.12,6.56,5.44,6.66,6.59,3.97,0.94,0.59,0.84,-0.28,-1.75,-0.75,1.69,1.78,0.31,-0.19,0.5,-0.41,-4.09,-7.38,-8.12,-8.66,-11.19,-12.88,-10.75,-7.66,-5.47,-4.09,-1.38,2.38,3.97,2.94,2.78,4.94,5.72,4.25,2.62,2.97,2.75,0.38,-2.0,-1.69,0.38,0.78,0.12,1.5,4.19,5.34,4.28,3.94,5.84,6.47,4.81,3.22,3.75,5.03,4.0,2.53,3.56,5.5,5.62,3.88,3.66,5.53,6.03,4.31,3.69,5.44,6.91,6.06,4.97,6.62,8.88,9.41,8.97,10.28,12.94,14.06,13.38,14.19,17.22,18.88,17.19,14.66,13.59,11.38,6.5,1.59,-0.44,-1.12,-2.78,-4.5,-3.16,0.31,2.94,3.69,5.25,8.25,10.69,10.28,10.09,12.38,14.41,14.06,12.72,14.12,16.22,16.62,15.0,14.38,14.84,13.44,9.75,6.75,6.44,5.94,3.16,0.34,0.06,0.16,-1.53,-4.0,-3.66,-1.78,-0.38,-0.44,1.03,4.91,8.0,8.62,9.41,12.03,13.84,13.0,11.16,11.44,12.38,11.34,8.72,8.69,10.44,11.5,11.06,11.91,14.66,16.34,14.91,13.44,14.22,15.12,13.38,11.06,10.53,10.31,8.22,4.44,1.88,1.59,0.78,-1.81,-3.03,-1.56,0.12,-0.94,-2.03,-1.0,0.56,-0.38,-2.34,-2.03,-0.88,-1.03,-2.59,-2.78,-0.78,0.44,-0.91,-1.69,-0.09,1.84,1.72,1.25,3.12,5.09,4.19,1.94,1.0,1.19,0.25,-2.53,-4.19,-3.59,-2.97,-4.62,-5.69,-3.72,-1.28,-0.38,0.34,3.31,6.97,8.12,7.34,6.84,7.38,6.34,2.78,0.06,-0.19,0.16,-1.62,-2.97,-1.78,0.25,0.03,-0.81,0.19,3.03,3.38,2.5,2.5,4.31,5.22,3.47,2.66,4.16,5.5,4.31,2.78,3.53,4.59,3.81,2.62,3.28,6.44,8.91,10.19,12.78,16.84,19.41,18.19,15.91,15.09,14.66,12.22,9.72,10.09,11.72,11.28,9.44,8.84,9.75,9.12,6.81,4.91,5.25,5.19,3.31,2.22,3.72,6.91,8.12,8.97,11.03,13.97,15.09,14.34,14.62,16.44,17.06,15.47,14.31,15.62,17.69,17.78,18.0,20.16,23.03,23.56,22.56,22.78,23.53,22.5,19.5,17.41,17.09,16.78,14.25,12.12,12.47,13.09,11.72,9.56,9.22,9.84,8.47,5.75,4.44,5.28,4.78,2.59,1.25,2.25,3.03,1.69,0.5,1.62,3.38,3.16,2.53,3.78,6.25,6.88,5.47,5.0,6.44,6.66,5.09,4.09,4.84,5.88,4.47,2.19,1.94,2.75,1.38,-0.5,-0.5,2.03,3.81,4.0,5.0,7.72,9.16,7.53,5.94,6.62,8.03,7.0,5.16,5.22,5.88,5.0,2.75,2.22,3.69,4.41,2.81,1.91,3.41,4.19,2.91,1.53,2.34,3.91,3.22,1.22,0.47,0.91,0.03,-1.41,-0.91,2.84,5.66,6.47,6.72,8.53,9.69,8.66,7.25,8.66,11.03,11.62,10.62,10.69,12.09,11.88,10.12,9.81,11.72,12.97,11.62,9.94,10.5,10.62,9.03,6.5,5.91,6.25,4.84,1.72,0.19,0.59,0.69,-1.0,-1.56,0.72,2.91,3.06,3.0,5.5,8.5,9.0,8.16,8.66,10.0,10.12,8.84,8.62,10.25,10.91,8.66,5.59,4.75,3.84,1.28,-1.31,-1.09,0.5,0.69,-0.16,0.78,3.62,5.75,6.41,7.97,11.53,14.5,14.5,13.28,13.88,14.03,12.38,10.12,9.97,11.09,10.75,8.47,6.81,6.25,4.62,1.19,-1.12,-0.72,0.41,0.19,-0.06,2.19,4.66,4.72,3.09,3.66,5.69,7.25,8.16,10.28,13.94,16.16,15.5,14.41,15.44,16.34,15.22,13.41,13.56,14.31,13.25,10.62,9.69,10.09,9.41,6.81,4.69,4.25,3.97,1.72,0.19,2.16,5.56,7.34,8.5,11.59,15.16,16.44,15.09,14.91,15.81,15.28,12.06,9.22,8.59,8.5,6.75,5.31,6.75,9.41,10.53,10.81,13.19,16.72,18.47,17.97,17.28,17.84,16.91,13.78,10.19,9.09,9.34,7.94,7.0,8.53,11.5,12.38,11.09,10.84,12.38,12.88,11.38,10.62,12.31,14.0,13.12,11.94,13.31,15.06,14.06,11.94,12.19,13.66,13.66,12.34,12.66,14.84,16.59,16.28,16.66,18.72,20.53,19.06,16.84,16.28,16.34,15.19,12.91,12.78,14.62,15.34,13.97,13.66,15.5,16.38,15.12,14.09,15.28,16.78,15.84,13.19,12.0,11.66:21.19,18.12,16.81,17.12,16.31,13.91,13.06,14.38,15.38,13.78,12.16,12.88,13.62,12.47,10.91,11.28,12.59,11.91,9.88,9.25,10.38,10.69,8.91,8.44,10.5,12.28,11.94,11.59,13.5,16.06,16.19,15.38,16.22,17.53,16.84,14.72,13.88,14.81,15.06,13.53,12.62,14.28,16.41,16.25,15.78,17.0,18.59,17.41,14.88,14.09,14.66,14.09,12.06,10.72,11.16,10.97,8.59,6.94,7.97,9.53,8.66,7.06,7.12,7.75,6.78,4.72,4.66,6.62,7.41,6.0,4.94,5.56,5.78,3.56,1.97,2.97,5.44,6.06,6.53,8.88,12.25,13.47,12.94,13.72,16.06,17.81,17.03,16.56,17.69,18.38,15.81,13.03,12.53,13.0,11.5,9.78,9.72,10.94,10.78,8.91,7.22,7.5,7.09,4.28,1.91,2.44,3.56,3.09,2.94,4.62,7.16,7.19,6.03,5.81,6.94,7.19,5.91,5.62,7.44,9.06,7.62,5.75,5.78,6.0,4.25,2.25,2.53,4.75,5.03,3.81,3.78,5.0,5.19,3.5,2.84,4.91,7.5,7.66,7.78,9.0,10.47,9.81,8.16,8.25,10.25,11.09,10.44,10.41,12.0,12.69,11.03,9.12,9.47,10.03,8.56,7.09,8.41,11.12,12.38,12.03,12.66,14.75,14.91,13.47,12.31,13.34,13.94,11.97,9.72,9.75,10.41,8.53,6.38,6.41,8.12,8.59,7.38,7.28,8.69,8.88,7.41,7.5,10.19,12.78,12.38,11.25,11.0,11.16,9.94,9.09,10.5,14.62,17.75,19.22,21.16,23.94,24.81,22.62,19.84,19.0,18.22,15.5,12.31,11.94,12.62,11.94,10.59,10.69,12.75,13.5,12.72,12.5,14.56,15.88,14.72,13.0,13.25,13.97,12.28,10.59,10.66,12.44,12.75,12.12,13.12,16.16,18.75,18.69,18.62,19.53,19.28,16.0,11.78,10.09,9.03,6.88,4.06,3.16,4.16,4.25,3.09,3.03,4.97,6.41,5.19,4.19,5.84,7.66,7.62,7.22,9.09,11.75,12.25,10.97,11.16,12.28,12.25,10.5,9.44,10.69,11.59,10.31,9.0,10.16,11.75,11.5,10.22,10.53,11.66,11.06,9.31,9.06,11.56,13.44,13.69,13.91,16.12,17.69,16.28,14.34,14.91,16.12,15.72,15.09,16.78,19.78,22.19,22.69,23.84,26.41,27.75,26.0,23.91,23.94,23.94,22.12,20.34,20.88,22.09,21.09,17.81,15.06,13.66,11.16,7.0,3.47,2.25,0.56,-3.09,-6.28,-6.0,-4.91,-5.0,-5.44,-3.81,-0.69,1.75,3.59,7.56,13.69,19.38,22.31,24.72,28.5,31.38,30.88,29.22,29.09,28.59,25.22,20.03,16.09,13.41,10.28,5.78,3.16,3.16,3.44,2.12,1.81,4.81,8.69,10.34,10.88,13.09,15.88,16.12,14.97,15.41,17.28,18.34,17.03,16.09,17.0,17.16,14.34,11.0,10.19,9.59,6.88,3.25,2.12,2.44,1.41,-0.81,-1.38,-0.28,-0.47,-3.12,-5.28,-5.16,-4.84,-6.5,-7.88,-6.62,-4.25,-3.5,-3.06,-0.09,4.75,8.59,10.44,13.0,16.31,18.22,16.94,15.62,16.25,17.06,15.03,12.22,11.38,11.69,10.41,8.22,8.69,11.41,13.72,14.62,16.5,20.03,22.81,22.12,20.19,20.12,20.12,17.56,14.09,13.34,13.84,12.91,10.94,10.59,12.72,14.0,13.47,13.5,15.38,17.31,16.31,14.66,14.97,15.56,13.0,9.38,7.38,6.84,5.66,3.34,2.94,5.91,9.03,10.62,13.16,18.19,22.69,23.41,22.75,23.34,24.75,24.16,22.62,22.56,24.22,23.78,21.16,19.44,19.62,19.88,17.47,15.62,16.28,17.75,16.88,15.22,15.03,15.94,14.75,12.03,11.03,12.31,13.22,12.41,12.53,15.91,19.28,19.94,20.0,22.0,23.41,22.09,19.22,17.91,18.25,17.31,15.16,14.81,16.97,18.25,16.59,15.0,15.53,16.16,14.03,12.0,11.78,12.47,10.81,7.72,6.41,6.81,6.62,5.06,4.97,7.84,10.69,10.62,10.47,11.75,13.19,11.97,10.22,11.09,13.75,15.22,15.38,16.47,19.28,20.22,17.84,15.38,15.0,14.78,12.06,10.31,11.84,14.5,14.97,14.44,15.12,16.75,16.19,13.56,12.38,13.38,13.0,10.38,7.44,6.69,5.88,2.56,-0.28,-0.47,1.38,1.72,1.66,3.38,6.69,7.88,6.59,5.62,6.56,6.62,4.03,1.44,1.09,1.72,0.62,-0.81,0.38,3.0,3.5,2.0,1.75,3.5,4.38,3.28,3.47,6.22,8.78,8.97,8.72,11.38,14.25,14.97,14.22,14.41,15.25,13.03,8.38,4.41,2.88,1.22,-1.5,-2.66,-0.69,1.44,1.31,0.34,2.03,4.69,5.34,4.94,5.78,8.19,8.12,6.56,5.44,6.66,6.59,3.97,0.94,0.59,0.84,-0.28,-1.75,-0.75,1.69,1.78,0.31,-0.19,0.5,-0.41,-4.09,-7.38,-8.12,-8.66,-11.19,-12.88,-10.75,-7.66,-5.47,-4.09,-1.38,2.38,3.97,2.94,2.78,4.94,5.72,4.25,2.62,2.97,2.75,0.38,-2.0,-1.69,0.38,0.78,0.12,1.5,4.19,5.34,4.28,3.94,5.84,6.47,4.81,3.22,3.75,5.03,4.0,2.53,3.56,5.5,5.62,3.88,3.66,5.53,6.03,4.31,3.69,5.44,6.91,6.06,4.97,6.62,8.88,9.41,8.97,10.28,12.94,14.06,13.38,14.19,17.22,18.88,17.19,14.66,13.59,11.38,6.5,1.59,-0.44,-1.12,-2.78,-4.5,-3.16,0.31,2.94,3.69,5.25,8.25,10.69,10.28,10.09,12.38,14.41,14.06,12.72,14.12,16.22,16.62,15.0,14.38,14.84,13.44,9.75,6.75,6.44,5.94,3.16,0.34,0.06,0.16,-1.53,-4.0,-3.66,-1.78,-0.38,-0.44,1.03,4.91,8.0,8.62,9.41,12.03,13.84,13.0,11.16,11.44,12.38,11.34,8.72,8.69,10.44,11.5,11.06,11.91,14.66,16.34,14.91,13.44,14.22,15.12,13.38,11.06,10.53,10.31,8.22,4.44,1.88,1.59,0.78,-1.81,-3.03,-1.56,0.12,-0.94,-2.03,-1.0,0.56,-0.38,-2.34,-2.03,-0.88,-1.03,-2.59,-2.78,-0.78,0.44,-0.91,-1.69,-0.09,1.84,1.72,1.25,3.12,5.09,4.19,1.94,1.0,1.19,0.25,-2.53,-4.19,-3.59,-2.97,-4.62,-5.69,-3.72,-1.28,-0.38,0.34,3.31,6.97,8.12,7.34,6.84,7.38,6.34,2.78,0.06,-0.19,0.16,-1.62,-2.97,-1.78,0.25,0.03,-0.81,0.19,3.03,3.38,2.5,2.5,4.31,5.22,3.47,2.66,4.16,5.5,4.31,2.78,3.53,4.59,3.81,2.62,3.28,6.44,8.91,10.19,12.78,16.84,19.41,18.19,15.91,15.09,14.66,12.22,9.72,10.09,11.72,11.28,9.44,8.84,9.75,9.12,6.81,4.91,5.25,5.19,3.31,2.22,3.72,6.91,8.12,8.97,11.03,13.97,15.09,14.34,14.62,16.44,17.06,15.47,14.31,15.62,17.69,17.78,18.0,20.16,23.03,23.56,22.56,22.78,23.53,22.5,19.5,17.41,17.09,16.78,14.25,12.12,12.47,13.09,11.72,9.56,9.22,9.84,8.47,5.75,4.44,5.28,4.78,2.59,1.25,2.25,3.03,1.69,0.5,1.62,3.38,3.16,2.53,3.78,6.25,6.88,5.47,5.0,6.44,6.66,5.09,4.09,4.84,5.88,4.47,2.19,1.94,2.75,1.38,-0.5,-0.5,2.03,3.81,4.0,5.0,7.72,9.16,7.53,5.94,6.62,8.03,7.0,5.16,5.22,5.88,5.0,2.75,2.22,3.69,4.41,2.81,1.91,3.41,4.19,2.91,1.53,2.34,3.91,3.22,1.22,0.47,0.91,0.03,-1.41,-0.91,2.84,5.66,6.47,6.72,8.53,9.69,8.66,7.25,8.66,11.03,11.62,10.62,10.69,12.09,11.88,10.12,9.81,11.72,12.97,11.62,9.94,10.5,10.62,9.03,6.5,5.91,6.25,4.84,1.72,0.19,0.59,0.69,-1.0,-1.56,0.72,2.91,3.06,3.0,5.5,8.5,9.0,8.16,8.66,10.0,10.12,8.84,8.62,10.25,10.91,8.66,5.59,4.75,3.84,1.28,-1.31,-1.09,0.5,0.69,-0.16,0.78,3.62,5.75,6.41,7.97,11.53,14.5,14.5,13.28,13.88,14.03,12.38,10.12,9.97,11.09,10.75,8.47,6.81,6.25,4.62,1.19,-1.12,-0.72,0.41,0.19,-0.06,2.19,4.66,4.72,3.09,3.66,5.69,7.25,8.16,10.28,13.94,16.16,15.5,14.41,15.44,16.34,15.22,13.41,13.56,14.31,13.25,10.62,9.69,10.09,9.41,6.81,4.69,4.25,3.97,1.72,0.19,2.16,5.56,7.34,8.5,11.59,15.16,16.44,15.09,14.91,15.81,15.28,12.06,9.22,8.59,8.5,6.75,5.31,6.75,9.41,10.53,10.81,13.19,16.72,18.47,17.97,17.28,17.84,16.91,13.78,10.19,9.09,9.34,7.94,7.0,8.53,11.5,12.38,11.09,10.84,12.38,12.88,11.38,10.62,12.31,14.0,13.12,11.94,13.31,15.06,14.06,11.94,12.19,13.66,13.66,12.34,12.66,14.84,16.59,16.28,16.66,18.72,20.53,19.06,16.84,16.28,16.34,15.19,12.91,12.78,14.62,15.34,13.97,13.66,15.5,16.38,15.12,14.09,15.28,16.78,15.84,13.19,12.0,11.66,23.81,27.03,30.09,31.31,31.53,32.41,32.84:14.38,15.38,13.78,12.16,12.88,13.62,12.47,10.91,11.28,12.59,11.91,9.88,9.25,10.38,10.69,8.91,8.44,10.5,12.28,11.94,11.59,13.5,16.06,16.19,15.38,16.22,17.53,16.84,14.72,13.88,14.81,15.06,13.53,12.62,14.28,16.41,16.25,15.78,17.0,18.59,17.41,14.88,14.09,14.66,14.09,12.06,10.72,11.16,10.97,8.59,6.94,7.97,9.53,8.66,7.06,7.12,7.75,6.78,4.72,4.66,6.62,7.41,6.0,4.94,5.56,5.78,3.56,1.97,2.97,5.44,6.06,6.53,8.88,12.25,13.47,12.94,13.72,16.06,17.81,17.03,16.56,17.69,18.38,15.81,13.03,12.53,13.0,11.5,9.78,9.72,10.94,10.78,8.91,7.22,7.5,7.09,4.28,1.91,2.44,3.56,3.09,2.94,4.62,7.16,7.19,6.03,5.81,6.94,7.19,5.91,5.62,7.44,9.06,7.62,5.75,5.78,6.0,4.25,2.25,2.53,4.75,5.03,3.81,3.78,5.0,5.19,3.5,2.84,4.91,7.5,7.66,7.78,9.0,10.47,9.81,8.16,8.25,10.25,11.09,10.44,10.41,12.0,12.69,11.03,9.12,9.47,10.03,8.56,7.09,8.41,11.12,12.38,12.03,12.66,14.75,14.91,13.47,12.31,13.34,13.94,11.97,9.72,9.75,10.41,8.53,6.38,6.41,8.12,8.59,7.38,7.28,8.69,8.88,7.41,7.5,10.19,12.78,12.38,11.25,11.0,11.16,9.94,9.09,10.5,14.62,17.75,19.22,21.16,23.94,24.81,22.62,19.84,19.0,18.22,15.5,12.31,11.94,12.62,11.94,10.59,10.69,12.75,13.5,12.72,12.5,14.56,15.88,14.72,13.0,13.25,13.97,12.28,10.59,10.66,12.44,12.75,12.12,13.12,16.16,18.75,18.69,18.62,19.53,19.28,16.0,11.78,10.09,9.03,6.88,4.06,3.16,4.16,4.25,3.09,3.03,4.97,6.41,5.19,4.19,5.84,7.66,7.62,7.22,9.09,11.75,12.25,10.97,11.16,12.28,12.25,10.5,9.44,10.69,11.59,10.31,9.0,10.16,11.75,11.5,10.22,10.53,11.66,11.06,9.31,9.06,11.56,13.44,13.69,13.91,16.12,17.69,16.28,14.34,14.91,16.12,15.72,15.09,16.78,19.78,22.19,22.69,23.84,26.41,27.75,26.0,23.91,23.94,23.94,22.12,20.34,20.88,22.09,21.09,17.81,15.06,13.66,11.16,7.0,3.47,2.25,0.56,-3.09,-6.28,-6.0,-4.91,-5.0,-5.44,-3.81,-0.69,1.75,3.59,7.56,13.69,19.38,22.31,24.72,28.5,31.38,30.88,29.22,29.09,28.59,25.22,20.03,16.09,13.41,10.28,5.78,3.16,3.16,3.44,2.12,1.81,4.81,8.69,10.34,10.88,13.09,15.88,16.12,14.97,15.41,17.28,18.34,17.03,16.09,17.0,17.16,14.34,11.0,10.19,9.59,6.88,3.25,2.12,2.44,1.41,-0.81,-1.38,-0.28,-0.47,-3.12,-5.28,-5.16,-4.84,-6.5,-7.88,-6.62,-4.25,-3.5,-3.06,-0.09,4.75,8.59,10.44,13.0,16.31,18.22,16.94,15.62,16.25,17.06,15.03,12.22,11.38,11.69,10.41,8.22,8.69,11.41,13.72,14.62,16.5,20.03,22.81,22.12,20.19,20.12,20.12,17.56,14.09,13.34,13.84,12.91,10.94,10.59,12.72,14.0,13.47,13.5,15.38,17.31,16.31,14.66,14.97,15.56,13.0,9.38,7.38,6.84,5.66,3.34,2.94,5.91,9.03,10.62,13.16,18.19,22.69,23.41,22.75,23.34,24.75,24.16,22.62,22.56,24.22,23.78,21.16,19.44,19.62,19.88,17.47,15.62,16.28,17.75,16.88,15.22,15.03,15.94,14.75,12.03,11.03,12.31,13.22,12.41,12.53,15.91,19.28,19.94,20.0,22.0,23.41,22.09,19.22,17.91,18.25,17.31,15.16,14.81,16.97,18.25,16.59,15.0,15.53,16.16,14.03,12.0,11.78,12.47,10.81,7.72,6.41,6.81,6.62,5.06,4.97,7.84,10.69,10.62,10.47,11.75,13.19,11.97,10.22,11.09,13.75,15.22,15.38,16.47,19.28,20.22,17.84,15.38,15.0,14.78,12.06,10.31,11.84,14.5,14.97,14.44,15.12,16.75,16.19,13.56,12.38,13.38,13.0,10.38,7.44,6.69,5.88,2.56,-0.28,-0.47,1.38,1.72,1.66,3.38,6.69,7.88,6.59,5.62,6.56,6.62,4.03,1.44,1.09,1.72,0.62,-0.81,0.38,3.0,3.5,2.0,1.75,3.5,4.38,3.28,3.47,6.22,8.78,8.97,8.72,11.38,14.25,14.97,14.22,14.41,15.25,13.03,8.38,4.41,2.88,1.22,-1.5,-2.66,-0.69,1.44,1.31,0.34,2.03,4.69,5.34,4.94,5.78,8.19,8.12,6.56,5.44,6.66,6.59,3.97,0.94,0.59,0.84,-0.28,-1.75,-0.75,1.69,1.78,0.31,-0.19,0.5,-0.41,-4.09,-7.38,-8.12,-8.66,-11.19,-12.88,-10.75,-7.66,-5.47,-4.09,-1.38,2.38,3.97,2.94,2.78,4.94,5.72,4.25,2.62,2.97,2.75,0.38,-2.0,-1.69,0.38,0.78,0.12,1.5,4.19,5.34,4.28,3.94,5.84,6.47,4.81,3.22,3.75,5.03,4.0,2.53,3.56,5.5,5.62,3.88,3.66,5.53,6.03,4.31,3.69,5.44,6.91,6.06,4.97,6.62,8.88,9.41,8.97,10.28,12.94,14.06,13.38,14.19,17.22,18.88,17.19,14.66,13.59,11.38,6.5,1.59,-0.44,-1.12,-2.78,-4.5,-3.16,0.31,2.94,3.69,5.25,8.25,10.69,10.28,10.09,12.38,14.41,14.06,12.72,14.12,16.22,16.62,15.0,14.38,14.84,13.44,9.75,6.75,6.44,5.94,3.16,0.34,0.06,0.16,-1.53,-4.0,-3.66,-1.78,-0.38,-0.44,1.03,4.91,8.0,8.62,9.41,12.03,13.84,13.0,11.16,11.44,12.38,11.34,8.72,8.69,10.44,11.5,11.06,11.91,14.66,16.34,14.91,13.44,14.22,15.12,13.38,11.06,10.53,10.31,8.22,4.44,1.88,1.59,0.78,-1.81,-3.03,-1.56,0.12,-0.94,-2.03,-1.0,0.56,-0.38,-2.34,-2.03,-0.88,-1.03,-2.59,-2.78,-0.78,0.44,-0.91,-1.69,-0.09,1.84,1.72,1.25,3.12,5.09,4.19,1.94,1.0,1.19,0.25,-2.53,-4.19,-3.59,-2.97,-4.62,-5.69,-3.72,-1.28,-0.38,0.34,3.31,6.97,8.12,7.34,6.84,7.38,6.34,2.78,0.06,-0.19,0.16,-1.62,-2.97,-1.78,0.25,0.03,-0.81,0.19,3.03,3.38,2.5,2.5,4.31,5.22,3.47,2.66,4.16,5.5,4.31,2.78,3.53,4.59,3.81,2.62,3.28,6.44,8.91,10.19,12.78,16.84,19.41,18.19,15.91,15.09,14.66,12.22,9.72,10.09,11.72,11.28,9.44,8.84,9.75,9.12,6.81,4.91,5.25,5.19,3.31,2.22,3.72,6.91,8.12,8.97,11.03,13.97,15.09,14.34,14.62,16.44,17.06,15.47,14.31,15.62,17.69,17.78,18.0,20.16,23.03,23.56,22.56,22.78,23.53,22.5,19.5,17.41,17.09,16.78,14.25,12.12,12.47,13.09,11.72,9.56,9.22,9.84,8.47,5.75,4.44,5.28,4.78,2.59,1.25,2.25,3.03,1.69,0.5,1.62,3.38,3.16,2.53,3.78,6.25,6.88,5.47,5.0,6.44,6.66,5.09,4.09,4.84,5.88,4.47,2.19,1.94,2.75,1.38,-0.5,-0.5,2.03,3.81,4.0,5.0,7.72,9.16,7.53,5.94,6.62,8.03,7.0,5.16,5.22,5.88,5.0,2.75,2.22,3.69,4.41,2.81,1.91,3.41,4.19,2.91,1.53,2.34,3.91,3.22,1.22,0.47,0.91,0.03,-1.41,-0.91,2.84,5.66,6.47,6.72,8.53,9.69,8.66,7.25,8.66,11.03,11.62,10.62,10.69,12.09,11.88,10.12,9.81,11.72,12.97,11.62,9.94,10.5,10.62,9.03,6.5,5.91,6.25,4.84,1.72,0.19,0.59,0.69,-1.0,-1.56,0.72,2.91,3.06,3.0,5.5,8.5,9.0,8.16,8.66,10.0,10.12,8.84,8.62,10.25,10.91,8.66,5.59,4.75,3.84,1.28,-1.31,-1.09,0.5,0.69,-0.16,0.78,3.62,5.75,6.41,7.97,11.53,14.5,14.5,13.28,13.88,14.03,12.38,10.12,9.97,11.09,10.75,8.47,6.81,6.25,4.62,1.19,-1.12,-0.72,0.41,0.19,-0.06,2.19,4.66,4.72,3.09,3.66,5.69,7.25,8.16,10.28,13.94,16.16,15.5,14.41,15.44,16.34,15.22,13.41,13.56,14.31,13.25,10.62,9.69,10.09,9.41,6.81,4.69,4.25,3.97,1.72,0.19,2.16,5.56,7.34,8.5,11.59,15.16,16.44,15.09,14.91,15.81,15.28,12.06,9.22,8.59,8.5,6.75,5.31,6.75,9.41,10.53,10.81,13.19,16.72,18.47,17.97,17.28,17.84,16.91,13.78,10.19,9.09,9.34,7.94,7.0,8.53,11.5,12.38,11.09,10.84,12.38,12.88,11.38,10.62,12.31,14.0,13.12,11.94,13.31,15.06,14.06,11.94,12.19,13.66,13.66,12.34,12.66,14.84,16.59,16.28,16.66,18.72,20.53,19.06,16.84,16.28,16.34,15.19,12.91,12.78,14.62,15.34,13.97,13.66,15.5,16.38,15.12,14.09,15.28,16.78,15.84,13.19,12.0,11.66,23.81,27.03,30.09,31.31,31.53,32.41,32.84,31.62,29.5,28.25,27.91,26.47,23.62,21.66:10.91,11.28,12.59,11.91,9.88,9.25,10.38,10.69,8.91,8.44,10.5,12.28,11.94,11.59,13.5,16.06,16.19,15.38,16.22,17.53,16.84,14.72,13.88,14.81,15.06,13.53,12.62,14.28,16.41,16.25,15.78,17.0,18.59,17.41,14.88,14.09,14.66,14.09,12.06,10.72,11.16,10.97,8.59,6.94,7.97,9.53,8.66,7.06,7.12,7.75,6.78,4.72,4.66,6.62,7.41,6.0,4.94,5.56,5.78,3.56,1.97,2.97,5.44,6.06,6.53,8.88,12.25,13.47,12.94,13.72,16.06,17.81,17.03,16.56,17.69,18.38,15.81,13.03,12.53,13.0,11.5,9.78,9.72,10.94,10.78,8.91,7.22,7.5,7.09,4.28,1.91,2.44,3.56,3.09,2.94,4.62,7.16,7.19,6.03,5.81,6.94,7.19,5.91,5.62,7.44,9.06,7.62,5.75,5.78,6.0,4.25,2.25,2.53,4.75,5.03,3.81,3.78,5.0,5.19,3.5,2.84,4.91,7.5,7.66,7.78,9.0,10.47,9.81,8.16,8.25,10.25,11.09,10.44,10.41,12.0,12.69,11.03,9.12,9.47,10.03,8.56,7.09,8.41,11.12,12.38,12.03,12.66,14.75,14.91,13.47,12.31,13.34,13.94,11.97,9.72,9.75,10.41,8.53,6.38,6.41,8.12,8.59,7.38,7.28,8.69,8.88,7.41,7.5,10.19,12.78,12.38,11.25,11.0,11.16,9.94,9.09,10.5,14.62,17.75,19.22,21.16,23.94,24.81,22.62,19.84,19.0,18.22,15.5,12.31,11.94,12.62,11.94,10.59,10.69,12.75,13.5,12.72,12.5,14.56,15.88,14.72,13.0,13.25,13.97,12.28,10.59,10.66,12.44,12.75,12.12,13.12,16.16,18.75,18.69,18.62,19.53,19.28,16.0,11.78,10.09,9.03,6.88,4.06,3.16,4.16,4.25,3.09,3.03,4.97,6.41,5.19,4.19,5.84,7.66,7.62,7.22,9.09,11.75,12.25,10.97,11.16,12.28,12.25,10.5,9.44,10.69,11.59,10.31,9.0,10.16,11.75,11.5,10.22,10.53,11.66,11.06,9.31,9.06,11.56,13.44,13.69,13.91,16.12,17.69,16.28,14.34,14.91,16.12,15.72,15.09,16.78,19.78,22.19,22.69,23.84,26.41,27.75,26.0,23.91,23.94,23.94,22.12,20.34,20.88,22.09,21.09,17.81,15.06,13.66,11.16,7.0,3.47,2.25,0.56,-3.09,-6.28,-6.0,-4.91,-5.0,-5.44,-3.81,-0.69,1.75,3.59,7.56,13.69,19.38,22.31,24.72,28.5,31.38,30.88,29.22,29.09,28.59,25.22,20.03,16.09,13.41,10.28,5.78,3.16,3.16,3.44,2.12,1.81,4.81,8.69,10.34,10.88,13.09,15.88,16.12,14.97,15.41,17.28,18.34,17.03,16.09,17.0,17.16,14.34,11.0,10.19,9.59,6.88,3.25,2.12,2.44,1.41,-0.81,-1.38,-0.28,-0.47,-3.12,-5.28,-5.16,-4.84,-6.5,-7.88,-6.62,-4.25,-3.5,-3.06,-0.09,4.75,8.59,10.44,13.0,16.31,18.22,16.94,15.62,16.25,17.06,15.03,12.22,11.38,11.69,10.41,8.22,8.69,11.41,13.72,14.62,16.5,20.03,22.81,22.12,20.19,20.12,20.12,17.56,14.09,13.34,13.84,12.91,10.94,10.59,12.72,14.0,13.47,13.5,15.38,17.31,16.31,14.66,14.97,15.56,13.0,9.38,7.38,6.84,5.66,3.34,2.94,5.91,9.03,10.62,13.16,18.19,22.69,23.41,22.75,23.34,24.75,24.16,22.62,22.56,24.22,23.78,21.16,19.44,19.62,19.88,17.47,15.62,16.28,17.75,16.88,15.22,15.03,15.94,14.75,12.03,11.03,12.31,13.22,12.41,12.53,15.91,19.28,19.94,20.0,22.0,23.41,22.09,19.22,17.91,18.25,17.31,15.16,14.81,16.97,18.25,16.59,15.0,15.53,16.16,14.03,12.0,11.78,12.47,10.81,7.72,6.41,6.81,6.62,5.06,4.97,7.84,10.69,10.62,10.47,11.75,13.19,11.97,10.22,11.09,13.75,15.22,15.38,16.47,19.28,20.22,17.84,15.38,15.0,14.78,12.06,10.31,11.84,14.5,14.97,14.44,15.12,16.75,16.19,13.56,12.38,13.38,13.0,10.38,7.44,6.69,5.88,2.56,-0.28,-0.47,1.38,1.72,1.66,3.38,6.69,7.88,6.59,5.62,6.56,6.62,4.03,1.44,1.09,1.72,0.62,-0.81,0.38,3.0,3.5,2.0,1.75,3.5,4.38,3.28,3.47,6.22,8.78,8.97,8.72,11.38,14.25,14.97,14.22,14.41,15.25,13.03,8.38,4.41,2.88,1.22,-1.5,-2.66,-0.69,1.44,1.31,0.34,2.03,4.69,5.34,4.94,5.78,8.19,8.12,6.56,5.44,6.66,6.59,3.97,0.94,0.59,0.84,-0.28,-1.75,-0.75,1.69,1.78,0.31,-0.19,0.5,-0.41,-4.09,-7.38,-8.12,-8.66,-11.19,-12.88,-10.75,-7.66,-5.47,-4.09,-1.38,2.38,3.97,2.94,2.78,4.94,5.72,4.25,2.62,2.97,2.75,0.38,-2.0,-1.69,0.38,0.78,0.12,1.5,4.19,5.34,4.28,3.94,5.84,6.47,4.81,3.22,3.75,5.03,4.0,2.53,3.56,5.5,5.62,3.88,3.66,5.53,6.03,4.31,3.69,5.44,6.91,6.06,4.97,6.62,8.88,9.41,8.97,10.28,12.94,14.06,13.38,14.19,17.22,18.88,17.19,14.66,13.59,11.38,6.5,1.59,-0.44,-1.12,-2.78,-4.5,-3.16,0.31,2.94,3.69,5.25,8.25,10.69,10.28,10.09,12.38,14.41,14.06,12.72,14.12,16.22,16.62,15.0,14.38,14.84,13.44,9.75,6.75,6.44,5.94,3.16,0.34,0.06,0.16,-1.53,-4.0,-3.66,-1.78,-0.38,-0.44,1.03,4.91,8.0,8.62,9.41,12.03,13.84,13.0,11.16,11.44,12.38,11.34,8.72,8.69,10.44,11.5,11.06,11.91,14.66,16.34,14.91,13.44,14.22,15.12,13.38,11.06,10.53,10.31,8.22,4.44,1.88,1.59,0.78,-1.81,-3.03,-1.56,0.12,-0.94,-2.03,-1.0,0.56,-0.38,-2.34,-2.03,-0.88,-1.03,-2.59,-2.78,-0.78,0.44,-0.91,-1.69,-0.09,1.84,1.72,1.25,3.12,5.09,4.19,1.94,1.0,1.19,0.25,-2.53,-4.19,-3.59,-2.97,-4.62,-5.69,-3.72,-1.28,-0.38,0.34,3.31,6.97,8.12,7.34,6.84,7.38,6.34,2.78,0.06,-0.19,0.16,-1.62,-2.97,-1.78,0.25,0.03,-0.81,0.19,3.03,3.38,2.5,2.5,4.31,5.22,3.47,2.66,4.16,5.5,4.31,2.78,3.53,4.59,3.81,2.62,3.28,6.44,8.91,10.19,12.78,16.84,19.41,18.19,15.91,15.09,14.66,12.22,9.72,10.09,11.72,11.28,9.44,8.84,9.75,9.12,6.81,4.91,5.25,5.19,3.31,2.22,3.72,6.91,8.12,8.97,11.03,13.97,15.09,14.34,14.62,16.44,17.06,15.47,14.31,15.62,17.69,17.78,18.0,20.16,23.03,23.56,22.56,22.78,23.53,22.5,19.5,17.41,17.09,16.78,14.25,12.12,12.47,13.09,11.72,9.56,9.22,9.84,8.47,5.75,4.44,5.28,4.78,2.59,1.25,2.25,3.03,1.69,0.5,1.62,3.38,3.16,2.53,3.78,6.25,6.88,5.47,5.0,6.44,6.66,5.09,4.09,4.84,5.88,4.47,2.19,1.94,2.75,1.38,-0.5,-0.5,2.03,3.81,4.0,5.0,7.72,9.16,7.53,5.94,6.62,8.03,7.0,5.16,5.22,5.88,5.0,2.75,2.22,3.69,4.41,2.81,1.91,3.41,4.19,2.91,1.53,2.34,3.91,3.22,1.22,0.47,0.91,0.03,-1.41,-0.91,2.84,5.66,6.47,6.72,8.53,9.69,8.66,7.25,8.66,11.03,11.62,10.62,10.69,12.09,11.88,10.12,9.81,11.72,12.97,11.62,9.94,10.5,10.62,9.03,6.5,5.91,6.25,4.84,1.72,0.19,0.59,0.69,-1.0,-1.56,0.72,2.91,3.06,3.0,5.5,8.5,9.0,8.16,8.66,10.0,10.12,8.84,8.62,10.25,10.91,8.66,5.59,4.75,3.84,1.28,-1.31,-1.09,0.5,0.69,-0.16,0.78,3.62,5.75,6.41,7.97,11.53,14.5,14.5,13.28,13.88,14.03,12.38,10.12,9.97,11.09,10.75,8.47,6.81,6.25,4.62,1.19,-1.12,-0.72,0.41,0.19,-0.06,2.19,4.66,4.72,3.09,3.66,5.69,7.25,8.16,10.28,13.94,16.16,15.5,14.41,15.44,16.34,15.22,13.41,13.56,14.31,13.25,10.62,9.69,10.09,9.41,6.81,4.69,4.25,3.97,1.72,0.19,2.16,5.56,7.34,8.5,11.59,15.16,16.44,15.09,14.91,15.81,15.28,12.06,9.22,8.59,8.5,6.75,5.31,6.75,9.41,10.53,10.81,13.19,16.72,18.47,17.97,17.28,17.84,16.91,13.78,10.19,9.09,9.34,7.94,7.0,8.53,11.5,12.38,11.09,10.84,12.38,12.88,11.38,10.62,12.31,14.0,13.12,11.94,13.31,15.06,14.06,11.94,12.19,13.66,13.66,12.34,12.66,14.84,16.59,16.28,16.66,18.72,20.53,19.06,16.84,16.28,16.34,15.19,12.91,12.78,14.62,15.34,13.97,13.66,15.5,16.38,15.12,14.09,15.28,16.78,15.84,13.19,12.0,11.66,23.81,27.03,30.09,31.31,31.53,32.41,32.84,31.62,29.5,28.25,27.91,26.47,23.62,21.66,20.81,20.0,17.91,16.19,16.47,17.5,17.81:10.69,8.91,8.44,10.5,12.28,11.94,11.59,13.5,16.06,16.19,15.38,16.22,17.53,16.84,14.72,13.88,14.81,15.06,13.53,12.62,14.28,16.41,16.25,15.78,17.0,18.59,17.41,14.88,14.09,14.66,14.09,12.06,10.72,11.16,10.97,8.59,6.94,7.97,9.53,8.66,7.06,7.12,7.75,6.78,4.72,4.66,6.62,7.41,6.0,4.94,5.56,5.78,3.56,1.97,2.97,5.44,6.06,6.53,8.88,12.25,13.47,12.94,13.72,16.06,17.81,17.03,16.56,17.69,18.38,15.81,13.03,12.53,13.0,11.5,9.78,9.72,10.94,10.78,8.91,7.22,7.5,7.09,4.28,1.91,2.44,3.56,3.09,2.94,4.62,7.16,7.19,6.03,5.81,6.94,7.19,5.91,5.62,7.44,9.06,7.62,5.75,5.78,6.0,4.25,2.25,2.53,4.75,5.03,3.81,3.78,5.0,5.19,3.5,2.84,4.91,7.5,7.66,7.78,9.0,10.47,9.81,8.16,8.25,10.25,11.09,10.44,10.41,12.0,12.69,11.03,9.12,9.47,10.03,8.56,7.09,8.41,11.12,12.38,12.03,12.66,14.75,14.91,13.47,12.31,13.34,13.94,11.97,9.72,9.75,10.41,8.53,6.38,6.41,8.12,8.59,7.38,7.28,8.69,8.88,7.41,7.5,10.19,12.78,12.38,11.25,11.0,11.16,9.94,9.09,10.5,14.62,17.75,19.22,21.16,23.94,24.81,22.62,19.84,19.0,18.22,15.5,12.31,11.94,12.62,11.94,10.59,10.69,12.75,13.5,12.72,12.5,14.56,15.88,14.72,13.0,13.25,13.97,12.28,10.59,10.66,12.44,12.75,12.12,13.12,16.16,18.75,18.69,18.62,19.53,19.28,16.0,11.78,10.09,9.03,6.88,4.06,3.16,4.16,4.25,3.09,3.03,4.97,6.41,5.19,4.19,5.84,7.66,7.62,7.22,9.09,11.75,12.25,10.97,11.16,12.28,12.25,10.5,9.44,10.69,11.59,10.31,9.0,10.16,11.75,11.5,10.22,10.53,11.66,11.06,9.31,9.06,11.56,13.44,13.69,13.91,16.12,17.69,16.28,14.34,14.91,16.12,15.72,15.09,16.78,19.78,22.19,22.69,23.84,26.41,27.75,26.0,23.91,23.94,23.94,22.12,20.34,20.88,22.09,21.09,17.81,15.06,13.66,11.16,7.0,3.47,2.25,0.56,-3.09,-6.28,-6.0,-4.91,-5.0,-5.44,-3.81,-0.69,1.75,3.59,7.56,13.69,19.38,22.31,24.72,28.5,31.38,30.88,29.22,29.09,28.59,25.22,20.03,16.09,13.41,10.28,5.78,3.16,3.16,3.44,2.12,1.81,4.81,8.69,10.34,10.88,13.09,15.88,16.12,14.97,15.41,17.28,18.34,17.03,16.09,17.0,17.16,14.34,11.0,10.19,9.59,6.88,3.25,2.12,2.44,1.41,-0.81,-1.38,-0.28,-0.47,-3.12,-5.28,-5.16,-4.84,-6.5,-7.88,-6.62,-4.25,-3.5,-3.06,-0.09,4.75,8.59,10.44,13.0,16.31,18.22,16.94,15.62,16.25,17.06,15.03,12.22,11.38,11.69,10.41,8.22,8.69,11.41,13.72,14.62,16.5,20.03,22.81,22.12,20.19,20.12,20.12,17.56,14.09,13.34,13.84,12.91,10.94,10.59,12.72,14.0,13.47,13.5,15.38,17.31,16.31,14.66,14.97,15.56,13.0,9.38,7.38,6.84,5.66,3.34,2.94,5.91,9.03,10.62,13.16,18.19,22.69,23.41,22.75,23.34,24.75,24.16,22.62,22.56,24.22,23.78,21.16,19.44,19.62,19.88,17.47,15.62,16.28,17.75,16.88,15.22,15.03,15.94,14.75,12.03,11.03,12.31,13.22,12.41,12.53,15.91,19.28,19.94,20.0,22.0,23.41,22.09,19.22,17.91,18.25,17.31,15.16,14.81,16.97,18.25,16.59,15.0,15.53,16.16,14.03,12.0,11.78,12.47,10.81,7.72,6.41,6.81,6.62,5.06,4.97,7.84,10.69,10.62,10.47,11.75,13.19,11.97,10.22,11.09,13.75,15.22,15.38,16.47,19.28,20.22,17.84,15.38,15.0,14.78,12.06,10.31,11.84,14.5,14.97,14.44,15.12,16.75,16.19,13.56,12.38,13.38,13.0,10.38,7.44,6.69,5.88,2.56,-0.28,-0.47,1.38,1.72,1.66,3.38,6.69,7.88,6.59,5.62,6.56,6.62,4.03,1.44,1.09,1.72,0.62,-0.81,0.38,3.0,3.5,2.0,1.75,3.5,4.38,3.28,3.47,6.22,8.78,8.97,8.72,11.38,14.25,14.97,14.22,14.41,15.25,13.03,8.38,4.41,2.88,1.22,-1.5,-2.66,-0.69,1.44,1.31,0.34,2.03,4.69,5.34,4.94,5.78,8.19,8.12,6.56,5.44,6.66,6.59,3.97,0.94,0.59,0.84,-0.28,-1.75,-0.75,1.69,1.78,0.31,-0.19,0.5,-0.41,-4.09,-7.38,-8.12,-8.66,-11.19,-12.88,-10.75,-7.66,-5.47,-4.09,-1.38,2.38,3.97,2.94,2.78,4.94,5.72,4.25,2.62,2.97,2.75,0.38,-2.0,-1.69,0.38,0.78,0.12,1.5,4.19,5.34,4.28,3.94,5.84,6.47,4.81,3.22,3.75,5.03,4.0,2.53,3.56,5.5,5.62,3.88,3.66,5.53,6.03,4.31,3.69,5.44,6.91,6.06,4.97,6.62,8.88,9.41,8.97,10.28,12.94,14.06,13.38,14.19,17.22,18.88,17.19,14.66,13.59,11.38,6.5,1.59,-0.44,-1.12,-2.78,-4.5,-3.16,0.31,2.94,3.69,5.25,8.25,10.69,10.28,10.09,12.38,14.41,14.06,12.72,14.12,16.22,16.62,15.0,14.38,14.84,13.44,9.75,6.75,6.44,5.94,3.16,0.34,0.06,0.16,-1.53,-4.0,-3.66,-1.78,-0.38,-0.44,1.03,4.91,8.0,8.62,9.41,12.03,13.84,13.0,11.16,11.44,12.38,11.34,8.72,8.69,10.44,11.5,11.06,11.91,14.66,16.34,14.91,13.44,14.22,15.12,13.38,11.06,10.53,10.31,8.22,4.44,1.88,1.59,0.78,-1.81,-3.03,-1.56,0.12,-0.94,-2.03,-1.0,0.56,-0.38,-2.34,-2.03,-0.88,-1.03,-2.59,-2.78,-0.78,0.44,-0.91,-1.69,-0.09,1.84,1.72,1.25,3.12,5.09,4.19,1.94,1.0,1.19,0.25,-2.53,-4.19,-3.59,-2.97,-4.62,-5.69,-3.72,-1.28,-0.38,0.34,3.31,6.97,8.12,7.34,6.84,7.38,6.34,2.78,0.06,-0.19,0.16,-1.62,-2.97,-1.78,0.25,0.03,-0.81,0.19,3.03,3.38,2.5,2.5,4.31,5.22,3.47,2.66,4.16,5.5,4.31,2.78,3.53,4.59,3.81,2.62,3.28,6.44,8.91,10.19,12.78,16.84,19.41,18.19,15.91,15.09,14.66,12.22,9.72,10.09,11.72,11.28,9.44,8.84,9.75,9.12,6.81,4.91,5.25,5.19,3.31,2.22,3.72,6.91,8.12,8.97,11.03,13.97,15.09,14.34,14.62,16.44,17.06,15.47,14.31,15.62,17.69,17.78,18.0,20.16,23.03,23.56,22.56,22.78,23.53,22.5,19.5,17.41,17.09,16.78,14.25,12.12,12.47,13.09,11.72,9.56,9.22,9.84,8.47,5.75,4.44,5.28,4.78,2.59,1.25,2.25,3.03,1.69,0.5,1.62,3.38,3.16,2.53,3.78,6.25,6.88,5.47,5.0,6.44,6.66,5.09,4.09,4.84,5.88,4.47,2.19,1.94,2.75,1.38,-0.5,-0.5,2.03,3.81,4.0,5.0,7.72,9.16,7.53,5.94,6.62,8.03,7.0,5.16,5.22,5.88,5.0,2.75,2.22,3.69,4.41,2.81,1.91,3.41,4.19,2.91,1.53,2.34,3.91,3.22,1.22,0.47,0.91,0.03,-1.41,-0.91,2.84,5.66,6.47,6.72,8.53,9.69,8.66,7.25,8.66,11.03,11.62,10.62,10.69,12.09,11.88,10.12,9.81,11.72,12.97,11.62,9.94,10.5,10.62,9.03,6.5,5.91,6.25,4.84,1.72,0.19,0.59,0.69,-1.0,-1.56,0.72,2.91,3.06,3.0,5.5,8.5,9.0,8.16,8.66,10.0,10.12,8.84,8.62,10.25,10.91,8.66,5.59,4.75,3.84,1.28,-1.31,-1.09,0.5,0.69,-0.16,0.78,3.62,5.75,6.41,7.97,11.53,14.5,14.5,13.28,13.88,14.03,12.38,10.12,9.97,11.09,10.75,8.47,6.81,6.25,4.62,1.19,-1.12,-0.72,0.41,0.19,-0.06,2.19,4.66,4.72,3.09,3.66,5.69,7.25,8.16,10.28,13.94,16.16,15.5,14.41,15.44,16.34,15.22,13.41,13.56,14.31,13.25,10.62,9.69,10.09,9.41,6.81,4.69,4.25,3.97,1.72,0.19,2.16,5.56,7.34,8.5,11.59,15.16,16.44,15.09,14.91,15.81,15.28,12.06,9.22,8.59,8.5,6.75,5.31,6.75,9.41,10.53,10.81,13.19,16.72,18.47,17.97,17.28,17.84,16.91,13.78,10.19,9.09,9.34,7.94,7.0,8.53,11.5,12.38,11.09,10.84,12.38,12.88,11.38,10.62,12.31,14.0,13.12,11.94,13.31,15.06,14.06,11.94,12.19,13.66,13.66,12.34,12.66,14.84,16.59,16.28,16.66,18.72,20.53,19.06,16.84,16.28,16.34,15.19,12.91,12.78,14.62,15.34,13.97,13.66,15.5,16.38,15.12,14.09,15.28,16.78,15.84,13.19,12.0,11.66,23.81,27.03,30.09,31.31,31.53,32.41,32.84,31.62,29.5,28.25,27.91,26.47,23.62,21.66,20.81,20.0,17.91,16.19,16.47,17.5,17.81,18.34,19.97,22.66,23.66,23.44,23.69,24.62:13.5,16.06,16.19,15.38,16.22,17.53,16.84,14.72,13.88,14.81,15.06,13.53,12.62,14.28,16.41,16.25,15.78,17.0,18.59,17.41,14.88,14.09,14.66,14.09,12.06,10.72,11.16,10.97,8.59,6.94,7.97,9.53,8.66,7.06,7.12,7.75,6.78,4.72,4.66,6.62,7.41,6.0,4.94,5.56,5.78,3.56,1.97,2.97,5.44,6.06,6.53,8.88,12.25,13.47,12.94,13.72,16.06,17.81,17.03,16.56,17.69,18.38,15.81,13.03,12.53,13.0,11.5,9.78,9.72,10.94,10.78,8.91,7.22,7.5,7.09,4.28,1.91,2.44,3.56,3.09,2.94,4.62,7.16,7.19,6.03,5.81,6.94,7.19,5.91,5.62,7.44,9.06,7.62,5.75,5.78,6.0,4.25,2.25,2.53,4.75,5.03,3.81,3.78,5.0,5.19,3.5,2.84,4.91,7.5,7.66,7.78,9.0,10.47,9.81,8.16,8.25,10.25,11.09,10.44,10.41,12.0,12.69,11.03,9.12,9.47,10.03,8.56,7.09,8.41,11.12,12.38,12.03,12.66,14.75,14.91,13.47,12.31,13.34,13.94,11.97,9.72,9.75,10.41,8.53,6.38,6.41,8.12,8.59,7.38,7.28,8.69,8.88,7.41,7.5,10.19,12.78,12.38,11.25,11.0,11.16,9.94,9.09,10.5,14.62,17.75,19.22,21.16,23.94,24.81,22.62,19.84,19.0,18.22,15.5,12.31,11.94,12.62,11.94,10.59,10.69,12.75,13.5,12.72,12.5,14.56,15.88,14.72,13.0,13.25,13.97,12.28,10.59,10.66,12.44,12.75,12.12,13.12,16.16,18.75,18.69,18.62,19.53,19.28,16.0,11.78,10.09,9.03,6.88,4.06,3.16,4.16,4.25,3.09,3.03,4.97,6.41,5.19,4.19,5.84,7.66,7.62,7.22,9.09,11.75,12.25,10.97,11.16,12.28,12.25,10.5,9.44,10.69,11.59,10.31,9.0,10.16,11.75,11.5,10.22,10.53,11.66,11.06,9.31,9.06,11.56,13.44,13.69,13.91,16.12,17.69,16.28,14.34,14.91,16.12,15.72,15.09,16.78,19.78,22.19,22.69,23.84,26.41,27.75,26.0,23.91,23.94,23.94,22.12,20.34,20.88,22.09,21.09,17.81,15.06,13.66,11.16,7.0,3.47,2.25,0.56,-3.09,-6.28,-6.0,-4.91,-5.0,-5.44,-3.81,-0.69,1.75,3.59,7.56,13.69,19.38,22.31,24.72,28.5,31.38,30.88,29.22,29.09,28.59,25.22,20.03,16.09,13.41,10.28,5.78,3.16,3.16,3.44,2.12,1.81,4.81,8.69,10.34,10.88,13.09,15.88,16.12,14.97,15.41,17.28,18.34,17.03,16.09,17.0,17.16,14.34,11.0,10.19,9.59,6.88,3.25,2.12,2.44,1.41,-0.81,-1.38,-0.28,-0.47,-3.12,-5.28,-5.16,-4.84,-6.5,-7.88,-6.62,-4.25,-3.5,-3.06,-0.09,4.75,8.59,10.44,13.0,16.31,18.22,16.94,15.62,16.25,17.06,15.03,12.22,11.38,11.69,10.41,8.22,8.69,11.41,13.72,14.62,16.5,20.03,22.81,22.12,20.19,20.12,20.12,17.56,14.09,13.34,13.84,12.91,10.94,10.59,12.72,14.0,13.47,13.5,15.38,17.31,16.31,14.66,14.97,15.56,13.0,9.38,7.38,6.84,5.66,3.34,2.94,5.91,9.03,10.62,13.16,18.19,22.69,23.41,22.75,23.34,24.75,24.16,22.62,22.56,24.22,23.78,21.16,19.44,19.62,19.88,17.47,15.62,16.28,17.75,16.88,15.22,15.03,15.94,14.75,12.03,11.03,12.31,13.22,12.41,12.53,15.91,19.28,19.94,20.0,22.0,23.41,22.09,19.22,17.91,18.25,17.31,15.16,14.81,16.97,18.25,16.59,15.0,15.53,16.16,14.03,12.0,11.78,12.47,10.81,7.72,6.41,6.81,6.62,5.06,4.97,7.84,10.69,10.62,10.47,11.75,13.19,11.97,10.22,11.09,13.75,15.22,15.38,16.47,19.28,20.22,17.84,15.38,15.0,14.78,12.06,10.31,11.84,14.5,14.97,14.44,15.12,16.75,16.19,13.56,12.38,13.38,13.0,10.38,7.44,6.69,5.88,2.56,-0.28,-0.47,1.38,1.72,1.66,3.38,6.69,7.88,6.59,5.62,6.56,6.62,4.03,1.44,1.09,1.72,0.62,-0.81,0.38,3.0,3.5,2.0,1.75,3.5,4.38,3.28,3.47,6.22,8.78,8.97,8.72,11.38,14.25,14.97,14.22,14.41,15.25,13.03,8.38,4.41,2.88,1.22,-1.5,-2.66,-0.69,1.44,1.31,0.34,2.03,4.69,5.34,4.94,5.78,8.19,8.12,6.56,5.44,6.66,6.59,3.97,0.94,0.59,0.84,-0.28,-1.75,-0.75,1.69,1.78,0.31,-0.19,0.5,-0.41,-4.09,-7.38,-8.12,-8.66,-11.19,-12.88,-10.75,-7.66,-5.47,-4.09,-1.38,2.38,3.97,2.94,2.78,4.94,5.72,4.25,2.62,2.97,2.75,0.38,-2.0,-1.69,0.38,0.78,0.12,1.5,4.19,5.34,4.28,3.94,5.84,6.47,4.81,3.22,3.75,5.03,4.0,2.53,3.56,5.5,5.62,3.88,3.66,5.53,6.03,4.31,3.69,5.44,6.91,6.06,4.97,6.62,8.88,9.41,8.97,10.28,12.94,14.06,13.38,14.19,17.22,18.88,17.19,14.66,13.59,11.38,6.5,1.59,-0.44,-1.12,-2.78,-4.5,-3.16,0.31,2.94,3.69,5.25,8.25,10.69,10.28,10.09,12.38,14.41,14.06,12.72,14.12,16.22,16.62,15.0,14.38,14.84,13.44,9.75,6.75,6.44,5.94,3.16,0.34,0.06,0.16,-1.53,-4.0,-3.66,-1.78,-0.38,-0.44,1.03,4.91,8.0,8.62,9.41,12.03,13.84,13.0,11.16,11.44,12.38,11.34,8.72,8.69,10.44,11.5,11.06,11.91,14.66,16.34,14.91,13.44,14.22,15.12,13.38,11.06,10.53,10.31,8.22,4.44,1.88,1.59,0.78,-1.81,-3.03,-1.56,0.12,-0.94,-2.03,-1.0,0.56,-0.38,-2.34,-2.03,-0.88,-1.03,-2.59,-2.78,-0.78,0.44,-0.91,-1.69,-0.09,1.84,1.72,1.25,3.12,5.09,4.19,1.94,1.0,1.19,0.25,-2.53,-4.19,-3.59,-2.97,-4.62,-5.69,-3.72,-1.28,-0.38,0.34,3.31,6.97,8.12,7.34,6.84,7.38,6.34,2.78,0.06,-0.19,0.16,-1.62,-2.97,-1.78,0.25,0.03,-0.81,0.19,3.03,3.38,2.5,2.5,4.31,5.22,3.47,2.66,4.16,5.5,4.31,2.78,3.53,4.59,3.81,2.62,3.28,6.44,8.91,10.19,12.78,16.84,19.41,18.19,15.91,15.09,14.66,12.22,9.72,10.09,11.72,11.28,9.44,8.84,9.75,9.12,6.81,4.91,5.25,5.19,3.31,2.22,3.72,6.91,8.12,8.97,11.03,13.97,15.09,14.34,14.62,16.44,17.06,15.47,14.31,15.62,17.69,17.78,18.0,20.16,23.03,23.56,22.56,22.78,23.53,22.5,19.5,17.41,17.09,16.78,14.25,12.12,12.47,13.09,11.72,9.56,9.22,9.84,8.47,5.75,4.44,5.28,4.78,2.59,1.25,2.25,3.03,1.69,0.5,1.62,3.38,3.16,2.53,3.78,6.25,6.88,5.47,5.0,6.44,6.66,5.09,4.09,4.84,5.88,4.47,2.19,1.94,2.75,1.38,-0.5,-0.5,2.03,3.81,4.0,5.0,7.72,9.16,7.53,5.94,6.62,8.03,7.0,5.16,5.22,5.88,5.0,2.75,2.22,3.69,4.41,2.81,1.91,3.41,4.19,2.91,1.53,2.34,3.91,3.22,1.22,0.47,0.91,0.03,-1.41,-0.91,2.84,5.66,6.47,6.72,8.53,9.69,8.66,7.25,8.66,11.03,11.62,10.62,10.69,12.09,11.88,10.12,9.81,11.72,12.97,11.62,9.94,10.5,10.62,9.03,6.5,5.91,6.25,4.84,1.72,0.19,0.59,0.69,-1.0,-1.56,0.72,2.91,3.06,3.0,5.5,8.5,9.0,8.16,8.66,10.0,10.12,8.84,8.62,10.25,10.91,8.66,5.59,4.75,3.84,1.28,-1.31,-1.09,0.5,0.69,-0.16,0.78,3.62,5.75,6.41,7.97,11.53,14.5,14.5,13.28,13.88,14.03,12.38,10.12,9.97,11.09,10.75,8.47,6.81,6.25,4.62,1.19,-1.12,-0.72,0.41,0.19,-0.06,2.19,4.66,4.72,3.09,3.66,5.69,7.25,8.16,10.28,13.94,16.16,15.5,14.41,15.44,16.34,15.22,13.41,13.56,14.31,13.25,10.62,9.69,10.09,9.41,6.81,4.69,4.25,3.97,1.72,0.19,2.16,5.56,7.34,8.5,11.59,15.16,16.44,15.09,14.91,15.81,15.28,12.06,9.22,8.59,8.5,6.75,5.31,6.75,9.41,10.53,10.81,13.19,16.72,18.47,17.97,17.28,17.84,16.91,13.78,10.19,9.09,9.34,7.94,7.0,8.53,11.5,12.38,11.09,10.84,12.38,12.88,11.38,10.62,12.31,14.0,13.12,11.94,13.31,15.06,14.06,11.94,12.19,13.66,13.66,12.34,12.66,14.84,16.59,16.28,16.66,18.72,20.53,19.06,16.84,16.28,16.34,15.19,12.91,12.78,14.62,15.34,13.97,13.66,15.5,16.38,15.12,14.09,15.28,16.78,15.84,13.19,12.0,11.66,23.81,27.03,30.09,31.31,31.53,32.41,32.84,31.62,29.5,28.25,27.91,26.47,23.62,21.66,20.81,20.0,17.91,16.19,16.47,17.5,17.81,18.34,19.97,22.66,23.66,23.44,23.69,24.62,24.44,22.47,21.31,21.88,22.47,21.69,21.25:14.72,13.88,14.81,15.06,13.53,12.62,14.28,16.41,16.25,15.78,17.0,18.59,17.41,14.88,14.09,14.66,14.09,12.06,10.72,11.16,10.97,8.59,6.94,7.97,9.53,8.66,7.06,7.12,7.75,6.78,4.72,4.66,6.62,7.41,6.0,4.94,5.56,5.78,3.56,1.97,2.97,5.44,6.06,6.53,8.88,12.25,13.47,12.94,13.72,16.06,17.81,17.03,16.56,17.69,18.38,15.81,13.03,12.53,13.0,11.5,9.78,9.72,10.94,10.78,8.91,7.22,7.5,7.09,4.28,1.91,2.44,3.56,3.09,2.94,4.62,7.16,7.19,6.03,5.81,6.94,7.19,5.91,5.62,7.44,9.06,7.62,5.75,5.78,6.0,4.25,2.25,2.53,4.75,5.03,3.81,3.78,5.0,5.19,3.5,2.84,4.91,7.5,7.66,7.78,9.0,10.47,9.81,8.16,8.25,10.25,11.09,10.44,10.41,12.0,12.69,11.03,9.12,9.47,10.03,8.56,7.09,8.41,11.12,12.38,12.03,12.66,14.75,14.91,13.47,12.31,13.34,13.94,11.97,9.72,9.75,10.41,8.53,6.38,6.41,8.12,8.59,7.38,7.28,8.69,8.88,7.41,7.5,10.19,12.78,12.38,11.25,11.0,11.16,9.94,9.09,10.5,14.62,17.75,19.22,21.16,23.94,24.81,22.62,19.84,19.0,18.22,15.5,12.31,11.94,12.62,11.94,10.59,10.69,12.75,13.5,12.72,12.5,14.56,15.88,14.72,13.0,13.25,13.97,12.28,10.59,10.66,12.44,12.75,12.12,13.12,16.16,18.75,18.69,18.62,19.53,19.28,16.0,11.78,10.09,9.03,6.88,4.06,3.16,4.16,4.25,3.09,3.03,4.97,6.41,5.19,4.19,5.84,7.66,7.62,7.22,9.09,11.75,12.25,10.97,11.16,12.28,12.25,10.5,9.44,10.69,11.59,10.31,9.0,10.16,11.75,11.5,10.22,10.53,11.66,11.06,9.31,9.06,11.56,13.44,13.69,13.91,16.12,17.69,16.28,14.34,14.91,16.12,15.72,15.09,16.78,19.78,22.19,22.69,23.84,26.41,27.75,26.0,23.91,23.94,23.94,22.12,20.34,20.88,22.09,21.09,17.81,15.06,13.66,11.16,7.0,3.47,2.25,0.56,-3.09,-6.28,-6.0,-4.91,-5.0,-5.44,-3.81,-0.69,1.75,3.59,7.56,13.69,19.38,22.31,24.72,28.5,31.38,30.88,29.22,29.09,28.59,25.22,20.03,16.09,13.41,10.28,5.78,3.16,3.16,3.44,2.12,1.81,4.81,8.69,10.34,10.88,13.09,15.88,16.12,14.97,15.41,17.28,18.34,17.03,16.09,17.0,17.16,14.34,11.0,10.19,9.59,6.88,3.25,2.12,2.44,1.41,-0.81,-1.38,-0.28,-0.47,-3.12,-5.28,-5.16,-4.84,-6.5,-7.88,-6.62,-4.25,-3.5,-3.06,-0.09,4.75,8.59,10.44,13.0,16.31,18.22,16.94,15.62,16.25,17.06,15.03,12.22,11.38,11.69,10.41,8.22,8.69,11.41,13.72,14.62,16.5,20.03,22.81,22.12,20.19,20.12,20.12,17.56,14.09,13.34,13.84,12.91,10.94,10.59,12.72,14.0,13.47,13.5,15.38,17.31,16.31,14.66,14.97,15.56,13.0,9.38,7.38,6.84,5.66,3.34,2.94,5.91,9.03,10.62,13.16,18.19,22.69,23.41,22.75,23.34,24.75,24.16,22.62,22.56,24.22,23.78,21.16,19.44,19.62,19.88,17.47,15.62,16.28,17.75,16.88,15.22,15.03,15.94,14.75,12.03,11.03,12.31,13.22,12.41,12.53,15.91,19.28,19.94,20.0,22.0,23.41,22.09,19.22,17.91,18.25,17.31,15.16,14.81,16.97,18.25,16.59,15.0,15.53,16.16,14.03,12.0,11.78,12.47,10.81,7.72,6.41,6.81,6.62,5.06,4.97,7.84,10.69,10.62,10.47,11.75,13.19,11.97,10.22,11.09,13.75,15.22,15.38,16.47,19.28,20.22,17.84,15.38,15.0,14.78,12.06,10.31,11.84,14.5,14.97,14.44,15.12,16.75,16.19,13.56,12.38,13.38,13.0,10.38,7.44,6.69,5.88,2.56,-0.28,-0.47,1.38,1.72,1.66,3.38,6.69,7.88,6.59,5.62,6.56,6.62,4.03,1.44,1.09,1.72,0.62,-0.81,0.38,3.0,3.5,2.0,1.75,3.5,4.38,3.28,3.47,6.22,8.78,8.97,8.72,11.38,14.25,14.97,14.22,14.41,15.25,13.03,8.38,4.41,2.88,1.22,-1.5,-2.66,-0.69,1.44,1.31,0.34,2.03,4.69,5.34,4.94,5.78,8.19,8.12,6.56,5.44,6.66,6.59,3.97,0.94,0.59,0.84,-0.28,-1.75,-0.75,1.69,1.78,0.31,-0.19,0.5,-0.41,-4.09,-7.38,-8.12,-8.66,-11.19,-12.88,-10.75,-7.66,-5.47,-4.09,-1.38,2.38,3.97,2.94,2.78,4.94,5.72,4.25,2.62,2.97,2.75,0.38,-2.0,-1.69,0.38,0.78,0.12,1.5,4.19,5.34,4.28,3.94,5.84,6.47,4.81,3.22,3.75,5.03,4.0,2.53,3.56,5.5,5.62,3.88,3.66,5.53,6.03,4.31,3.69,5.44,6.91,6.06,4.97,6.62,8.88,9.41,8.97,10.28,12.94,14.06,13.38,14.19,17.22,18.88,17.19,14.66,13.59,11.38,6.5,1.59,-0.44,-1.12,-2.78,-4.5,-3.16,0.31,2.94,3.69,5.25,8.25,10.69,10.28,10.09,12.38,14.41,14.06,12.72,14.12,16.22,16.62,15.0,14.38,14.84,13.44,9.75,6.75,6.44,5.94,3.16,0.34,0.06,0.16,-1.53,-4.0,-3.66,-1.78,-0.38,-0.44,1.03,4.91,8.0,8.62,9.41,12.03,13.84,13.0,11.16,11.44,12.38,11.34,8.72,8.69,10.44,11.5,11.06,11.91,14.66,16.34,14.91,13.44,14.22,15.12,13.38,11.06,10.53,10.31,8.22,4.44,1.88,1.59,0.78,-1.81,-3.03,-1.56,0.12,-0.94,-2.03,-1.0,0.56,-0.38,-2.34,-2.03,-0.88,-1.03,-2.59,-2.78,-0.78,0.44,-0.91,-1.69,-0.09,1.84,1.72,1.25,3.12,5.09,4.19,1.94,1.0,1.19,0.25,-2.53,-4.19,-3.59,-2.97,-4.62,-5.69,-3.72,-1.28,-0.38,0.34,3.31,6.97,8.12,7.34,6.84,7.38,6.34,2.78,0.06,-0.19,0.16,-1.62,-2.97,-1.78,0.25,0.03,-0.81,0.19,3.03,3.38,2.5,2.5,4.31,5.22,3.47,2.66,4.16,5.5,4.31,2.78,3.53,4.59,3.81,2.62,3.28,6.44,8.91,10.19,12.78,16.84,19.41,18.19,15.91,15.09,14.66,12.22,9.72,10.09,11.72,11.28,9.44,8.84,9.75,9.12,6.81,4.91,5.25,5.19,3.31,2.22,3.72,6.91,8.12,8.97,11.03,13.97,15.09,14.34,14.62,16.44,17.06,15.47,14.31,15.62,17.69,17.78,18.0,20.16,23.03,23.56,22.56,22.78,23.53,22.5,19.5,17.41,17.09,16.78,14.25,12.12,12.47,13.09,11.72,9.56,9.22,9.84,8.47,5.75,4.44,5.28,4.78,2.59,1.25,2.25,3.03,1.69,0.5,1.62,3.38,3.16,2.53,3.78,6.25,6.88,5.47,5.0,6.44,6.66,5.09,4.09,4.84,5.88,4.47,2.19,1.94,2.75,1.38,-0.5,-0.5,2.03,3.81,4.0,5.0,7.72,9.16,7.53,5.94,6.62,8.03,7.0,5.16,5.22,5.88,5.0,2.75,2.22,3.69,4.41,2.81,1.91,3.41,4.19,2.91,1.53,2.34,3.91,3.22,1.22,0.47,0.91,0.03,-1.41,-0.91,2.84,5.66,6.47,6.72,8.53,9.69,8.66,7.25,8.66,11.03,11.62,10.62,10.69,12.09,11.88,10.12,9.81,11.72,12.97,11.62,9.94,10.5,10.62,9.03,6.5,5.91,6.25,4.84,1.72,0.19,0.59,0.69,-1.0,-1.56,0.72,2.91,3.06,3.0,5.5,8.5,9.0,8.16,8.66,10.0,10.12,8.84,8.62,10.25,10.91,8.66,5.59,4.75,3.84,1.28,-1.31,-1.09,0.5,0.69,-0.16,0.78,3.62,5.75,6.41,7.97,11.53,14.5,14.5,13.28,13.88,14.03,12.38,10.12,9.97,11.09,10.75,8.47,6.81,6.25,4.62,1.19,-1.12,-0.72,0.41,0.19,-0.06,2.19,4.66,4.72,3.09,3.66,5.69,7.25,8.16,10.28,13.94,16.16,15.5,14.41,15.44,16.34,15.22,13.41,13.56,14.31,13.25,10.62,9.69,10.09,9.41,6.81,4.69,4.25,3.97,1.72,0.19,2.16,5.56,7.34,8.5,11.59,15.16,16.44,15.09,14.91,15.81,15.28,12.06,9.22,8.59,8.5,6.75,5.31,6.75,9.41,10.53,10.81,13.19,16.72,18.47,17.97,17.28,17.84,16.91,13.78,10.19,9.09,9.34,7.94,7.0,8.53,11.5,12.38,11.09,10.84,12.38,12.88,11.38,10.62,12.31,14.0,13.12,11.94,13.31,15.06,14.06,11.94,12.19,13.66,13.66,12.34,12.66,14.84,16.59,16.28,16.66,18.72,20.53,19.06,16.84,16.28,16.34,15.19,12.91,12.78,14.62,15.34,13.97,13.66,15.5,16.38,15.12,14.09,15.28,16.78,15.84,13.19,12.0,11.66,23.81,27.03,30.09,31.31,31.53,32.41,32.84,31.62,29.5,28.25,27.91,26.47,23.62,21.66,20.81,20.0,17.91,16.19,16.47,17.5,17.81,18.34,19.97,22.66,23.66,23.44,23.69,24.62,24.44,22.47,21.31,21.88,22.47,21.69,21.25,22.44,24.03,23.97,23.25,22.94,22.88,21.41:negativity
4.03,4.94,5.97,7.16,7.12,5.34,4.0,4.22,4.34,3.0,1.06,0.47,-0.09,-1.56,-3.31,-3.25,-1.66,-0.62,-0.5,0.62,2.75,4.31,4.69,5.38,6.84,7.78,7.0,5.41,5.16,5.38,4.66,3.62,3.47,4.28,4.62,4.19,4.31,5.75,6.91,6.47,6.09,7.22,8.72,8.81,8.47,9.22,10.03,9.16,7.06,5.84,5.44,5.03,3.84,3.5,4.88,5.75,5.44,5.47,7.03,8.81,9.22,9.0,9.72,10.72,10.62,9.69,10.41,12.5,14.06,14.88,15.56,16.94,16.81,14.19,10.81,8.56,6.66,4.28,2.38,2.56,3.69,4.69,4.66,5.09,6.59,7.06,5.97,5.38,6.41,7.78,7.66,7.41,8.62,9.38,8.59,6.59,5.31,4.94,4.5,3.19,3.66,6.06,8.56,9.41,10.34,12.59,14.0,13.47,12.31,11.91,11.16,8.81,5.28,2.03,-0.59,-3.44,-7.09,-9.0,-8.47,-7.16,-6.44,-5.25,-2.66,-0.34,0.03,-0.12,0.69,1.88,2.16,1.44,1.47,2.0,1.94,0.41,-0.06,0.88,1.69,1.25,0.56,1.28,2.56,2.56,2.72,3.75,4.91,4.53,2.56,1.16,1.03,0.81,-0.19,-0.19,1.62,2.94,2.47,1.84,2.44,2.75,2.06,0.75,0.81,1.59,2.12,2.19,2.81,4.5,5.53,4.47,3.59,3.72,3.81,2.69,1.5,1.69,2.16,1.81,1.47,2.03,3.31,3.72,2.38,1.44,0.94,0.72,-0.59,-1.38,-0.28,1.25,1.22,0.97,2.16,3.78,4.38,4.03,4.22,5.06,4.38,2.88,1.81,2.03,3.03,2.72,3.09,4.91,6.78,7.0,6.09,5.44,4.81,2.84,0.12,-1.31,-1.03,-0.69,-0.56,-0.03,1.78,3.41,2.62,1.16,0.44,-0.03,-1.91,-3.72,-3.34,-2.53,-1.84,-1.84,-1.16,-0.06,0.19,-0.97,-2.06,-1.62,-1.12,-1.97,-2.94,-3.0,-2.94,-4.22,-5.66,-5.31,-3.34,-1.38,0.03,2.94,5.84,8.06,8.03,7.0,6.62,6.06,3.38,0.34,-1.81,-3.34,-5.94,-9.34,-11.62,-12.59,-13.66,-15.28,-15.47,-13.12,-10.34,-7.91,-4.91,-1.0,3.0,5.25,6.59,7.94,9.53,9.41,8.44,7.88,8.88,9.62,9.44,10.06,11.47,12.28,10.94,9.09,7.59,6.19,3.41,0.53,-0.91,-1.16,-1.78,-2.34,-1.59,1.06,3.78,5.66,7.22,9.38,10.88,10.41,9.56,9.66,10.12,9.28,7.88,7.41,7.94,7.69,7.34,8.34,10.56,12.69,13.59,14.03,14.53,14.16,11.34,7.97,5.59,4.03,1.81,-0.16,-0.66,0.69,2.0,3.16,5.47,9.03,11.66,12.0,11.28,11.25,10.56,9.06,8.16,9.28,11.91,13.75,14.88,16.09,17.56,17.12,14.44,11.16,8.5,5.5,0.53,-3.47,-5.47,-6.5,-7.88,-9.31,-8.94,-7.47,-6.44,-6.03,-5.25,-3.31,-2.62,-3.25,-2.97,-0.34,2.88,5.69,8.72,12.5,15.66,16.59,15.75,15.41,15.22,14.06,11.91,9.84,8.12,5.22,0.41,-4.97,-9.09,-12.59,-16.34,-19.22,-19.62,-18.5,-17.84,-17.75,-16.84,-15.09,-14.47,-14.22,-13.34,-10.69,-7.69,-5.69,-3.59,0.03,3.16,4.62,5.09,6.28,7.62,7.69,6.94,7.09,8.19,8.38,7.84,7.56,8.97,10.84,11.31,11.91,13.97,15.78,15.91,14.91,14.38,13.66,11.31,7.41,4.09,2.06,0.0,-2.53,-4.47,-4.34,-4.34,-5.06,-6.19,-5.59,-5.12,-5.5,-6.25,-6.44,-5.31,-4.97,-5.41,-5.09,-3.44,-2.12,-1.81,-1.91,-1.22,-1.19,-2.91,-4.72,-5.0,-4.22,-3.88,-3.72,-2.81,-1.03,-0.16,-0.41,-0.03,1.28,2.69,3.19,3.09,4.25,5.47,5.22,4.41,5.03,5.78,5.44,4.41,4.0,4.66,4.53,3.75,3.19,3.88,4.31,2.66,1.19,1.5,1.31,0.66,-0.59,-0.75,-0.62,-1.69,-4.03,-5.72,-6.09,-6.81,-8.41,-9.0,-8.59,-8.28,-9.22,-10.0,-9.03,-7.44,-6.5,-6.16,-5.41,-4.34,-5.19,-7.16,-8.75,-9.31,-10.19,-11.91,-13.28,-13.5,-13.59,-14.44,-16.0,-15.75,-14.66,-14.41,-14.66,-13.72,-11.62,-10.25,-10.66,-10.78,-9.94,-9.62,-10.56,-10.94,-9.03,-6.0,-3.66,-1.78,0.94,3.22,3.72,2.94,2.78,3.34,3.31,1.97,0.44,0.09,-0.44,-1.97,-3.16,-2.25,-0.94,-0.44,-0.53,0.03,0.97,0.69,-0.66,-0.91,-0.06,1.09,1.75,3.22,6.53,9.75,11.41,12.34,13.5,14.12,13.0,11.31,10.5,10.03,8.78,5.84,3.56,2.34,0.53,-2.06,-4.59,-5.0,-5.25,-6.44,-7.5,-6.66,-5.31,-4.78,-4.66,-2.78,0.09,2.59,3.53,5.38,7.59,9.69,10.25,9.88,10.56,10.22,7.5,4.12,2.22,0.97,-0.78,-2.97,-4.03,-4.41,-5.19,-7.22,-8.38,-7.97,-7.47,-8.31,-9.09,-8.62,-7.94,-8.62,-9.72,-9.56,-8.44,-8.22,-9.28,-9.69,-9.41,-9.28,-10.56,-10.81,-9.91,-8.94,-9.0,-9.72,-8.5,-6.88,-6.44,-6.66,-5.66,-3.72,-2.81,-2.81,-1.81,0.06,1.41,1.34,1.59,2.84,3.47,2.19,0.16,-0.88,-1.44,-2.69,-4.16,-4.62,-4.53,-5.5,-7.5,-8.66,-8.53,-7.94,-8.0,-7.03,-4.16,-0.56,1.66,3.0,5.91,9.28,11.22,11.91,13.5,15.28,15.5,13.47,12.25,11.66,10.75,8.56,6.75,6.19,6.31,5.72,4.72,5.19,5.78,4.66,2.44,0.88,0.97,1.19,1.12,1.62,3.03,4.41,3.97,3.38,3.94,4.75,4.41,3.5,3.38,4.19,4.38,4.0,4.25,4.94,4.47,2.0,-0.97,-2.84,-4.03,-6.28,-7.94,-8.53,-8.06,-8.97,-10.44,-9.97,-8.28,-6.97,-6.66,-6.19,-5.5,-5.81,-7.91,-9.47,-9.62,-8.97,-9.59,-9.91,-9.0,-7.47,-6.81,-6.56,-5.19,-2.91,-1.28,-1.5,-1.81,-2.34,-3.91,-7.5,-11.12,-12.97,-13.72,-15.34,-16.41,-15.94,-14.31,-13.62,-14.0,-13.97,-13.41,-14.22,-16.59,-18.28,-18.19,-17.62,-18.28,-17.97,-16.16,-13.72,-12.81,-12.19,-10.69,-8.66,-8.12,-8.25,-8.0,-6.56,-6.38,-7.78,-8.06,-6.56,-4.34,-2.59,-0.44,2.81,6.16,7.09,6.25,4.94,3.62,0.69,-3.41,-6.97,-8.72,-10.53,-13.03,-14.25,-12.88,-10.06,-7.72,-4.78,-1.06,2.72,4.22,4.38,4.69,5.5,5.78,5.03,4.41,4.75,4.38,1.84,-0.75,-2.5,-4.16,-7.22,-10.34,-11.62,-11.41,-11.5,-11.28,-9.41,-6.41,-3.94,-2.47,-0.53,2.78,6.06,7.84,9.62,12.72,16.47,18.22,19.56,21.44,23.22,22.88,21.28,19.72,19.34,17.5,13.88,10.09,7.56,5.09,1.56,-0.88,-0.94,0.53,0.62,0.91,2.25,4.0,4.59,3.72,3.78,4.78,5.38,4.81,4.75,6.69,8.78,9.12,9.09,10.25,11.53,10.81,9.44,8.84,9.0,8.19,6.5,5.69,6.06,6.31,4.88,3.66,4.0,4.34,3.03,1.5,0.59,0.72,-0.69,-1.97,-1.97,-0.03,1.44,2.0,2.72,4.88,5.91,5.56,5.22,6.38,7.66,7.5,7.03,7.31,7.5,6.12,4.25,3.09,2.97,2.66,1.31,0.38,0.78,0.81,-0.09,-1.19,-0.88,-0.62,-2.41,-4.69,-6.31,-7.06,-8.25,-9.38,-9.12,-6.84,-5.19,-4.75,-3.84,-1.16,1.66,3.22,4.56,7.03,8.75,8.09,6.5,5.44,5.41,4.62,3.31,3.12,4.88,6.16,6.38,6.94,8.94,10.47,10.19,9.66,10.62,12.53,13.5,13.59,14.16,14.78,13.53,10.5,7.34,5.66,3.66,0.59,-1.84,-2.0,-1.31,-1.44,-1.66,0.25,2.72,3.97,4.66,5.81,7.44,7.72,6.41,5.19,4.34,2.31,-1.38,-5.38,-7.69,-9.22,-11.09,-12.78,-12.0,-10.0,-8.75,-7.88,-6.22,-3.0,-0.84,0.47,2.66,6.31,9.44,11.12,11.94,12.91,12.66,9.41,4.44,0.0,-3.16,-6.19,-8.66,-8.56,-6.06,-3.81,-2.28,-0.72,2.22,3.97,3.78,3.12,3.66,4.59,4.59,4.38,5.62,7.97,9.09,9.53,10.72,13.06,13.78,13.12,12.0,12.16,12.09,10.56,8.44,7.0,5.0,1.38,-3.47,-6.62,-8.03,-9.34,-10.94,-11.22,-9.66,-8.72,-8.38,-8.22,-6.0,-3.22,-1.94,-1.03,1.28,3.66,4.41,3.59,4.44,6.09,6.72,5.72,4.97,4.72,3.72,1.81,0.12,0.16,0.28,-0.84,-2.81,-3.34,-2.78,-3.12,-3.47,-2.56,-0.25,1.0,1.0,1.41,3.03,4.56,5.22,6.06,8.62,11.03,11.53,10.38,10.34,10.34,9.12,7.22,6.28,5.88,4.5,1.72,-0.53,-0.69,-0.25,0.19,1.41,4.69,8.78,11.56,13.44,16.0,18.66,19.16,17.72,16.53,16.16,15.34,13.06,11.62,11.62,10.94,8.62,6.06,5.31,5.38,4.72,3.91,4.28,5.41,5.88,5.12,5.09,6.47,7.5,7.47,7.38,9.0,10.38,10.94,10.97,12.62,14.94,15.91,15.62,15.56,16.06,14.97,12.25,9.91,8.88,7.97,6.34,5.5,6.53,8.16,8.66,8.66,10.22,11.75,12.22,11.12,10.84,10.97,10.28,8.72,7.38,7.72,7.97,6.97,6.16,6.97,7.62,6.84,5.0,4.44,4.72,4.06,2.97,3.47,5.06,6.03,5.94,5.69,6.66,7.28:4.22,4.34,3.0,1.06,0.47,-0.09,-1.56,-3.31,-3.25,-1.66,-0.62,-0.5,0.62,2.75,4.31,4.69,5.38,6.84,7.78,7.0,5.41,5.16,5.38,4.66,3.62,3.47,4.28,4.62,4.19,4.31,5.75,6.91,6.47,6.09,7.22,8.72,8.81,8.47,9.22,10.03,9.16,7.06,5.84,5.44,5.03,3.84,3.5,4.88,5.75,5.44,5.47,7.03,8.81,9.22,9.0,9.72,10.72,10.62,9.69,10.41,12.5,14.06,14.88,15.56,16.94,16.81,14.19,10.81,8.56,6.66,4.28,2.38,2.56,3.69,4.69,4.66,5.09,6.59,7.06,5.97,5.38,6.41,7.78,7.66,7.41,8.62,9.38,8.59,6.59,5.31,4.94,4.5,3.19,3.66,6.06,8.56,9.41,10.34,12.59,14.0,13.47,12.31,11.91,11.16,8.81,5.28,2.03,-0.59,-3.44,-7.09,-9.0,-8.47,-7.16,-6.44,-5.25,-2.66,-0.34,0.03,-0.12,0.69,1.88,2.16,1.44,1.47,2.0,1.94,0.41,-0.06,0.88,1.69,1.25,0.56,1.28,2.56,2.56,2.72,3.75,4.91,4.53,2.56,1.16,1.03,0.81,-0.19,-0.19,1.62,2.94,2.47,1.84,2.44,2.75,2.06,0.75,0.81,1.59,2.12,2.19,2.81,4.5,5.53,4.47,3.59,3.72,3.81,2.69,1.5,1.69,2.16,1.81,1.47,2.03,3.31,3.72,2.38,1.44,0.94,0.72,-0.59,-1.38,-0.28,1.25,1.22,0.97,2.16,3.78,4.38,4.03,4.22,5.06,4.38,2.88,1.81,2.03,3.03,2.72,3.09,4.91,6.78,7.0,6.09,5.44,4.81,2.84,0.12,-1.31,-1.03,-0.69,-0.56,-0.03,1.78,3.41,2.62,1.16,0.44,-0.03,-1.91,-3.72,-3.34,-2.53,-1.84,-1.84,-1.16,-0.06,0.19,-0.97,-2.06,-1.62,-1.12,-1.97,-2.94,-3.0,-2.94,-4.22,-5.66,-5.31,-3.34,-1.38,0.03,2.94,5.84,8.06,8.03,7.0,6.62,6.06,3.38,0.34,-1.81,-3.34,-5.94,-9.34,-11.62,-12.59,-13.66,-15.28,-15.47,-13.12,-10.34,-7.91,-4.91,-1.0,3.0,5.25,6.59,7.94,9.53,9.41,8.44,7.88,8.88,9.62,9.44,10.06,11.47,12.28,10.94,9.09,7.59,6.19,3.41,0.53,-0.91,-1.16,-1.78,-2.34,-1.59,1.06,3.78,5.66,7.22,9.38,10.88,10.41,9.56,9.66,10.12,9.28,7.88,7.41,7.94,7.69,7.34,8.34,10.56,12.69,13.59,14.03,14.53,14.16,11.34,7.97,5.59,4.03,1.81,-0.16,-0.66,0.69,2.0,3.16,5.47,9.03,11.66,12.0,11.28,11.25,10.56,9.06,8.16,9.28,11.91,13.75,14.88,16.09,17.56,17.12,14.44,11.16,8.5,5.5,0.53,-3.47,-5.47,-6.5,-7.88,-9.31,-8.94,-7.47,-6.44,-6.03,-5.25,-3.31,-2.62,-3.25,-2.97,-0.34,2.88,5.69,8.72,12.5,15.66,16.59,15.75,15.41,15.22,14.06,11.91,9.84,8.12,5.22,0.41,-4.97,-9.09,-12.59,-16.34,-19.22,-19.62,-18.5,-17.84,-17.75,-16.84,-15.09,-14.47,-14.22,-13.34,-10.69,-7.69,-5.69,-3.59,0.03,3.16,4.62,5.09,6.28,7.62,7.69,6.94,7.09,8.19,8.38,7.84,7.56,8.97,10.84,11.31,11.91,13.97,15.78,15.91,14.91,14.38,13.66,11.31,7.41,4.09,2.06,0.0,-2.53,-4.47,-4.34,-4.34,-5.06,-6.19,-5.59,-5.12,-5.5,-6.25,-6.44,-5.31,-4.97,-5.41,-5.09,-3.44,-2.12,-1.81,-1.91,-1.22,-1.19,-2.91,-4.72,-5.0,-4.22,-3.88,-3.72,-2.81,-1.03,-0.16,-0.41,-0.03,1.28,2.69,3.19,3.09,4.25,5.47,5.22,4.41,5.03,5.78,5.44,4.41,4.0,4.66,4.53,3.75,3.19,3.88,4.31,2.66,1.19,1.5,1.31,0.66,-0.59,-0.75,-0.62,-1.69,-4.03,-5.72,-6.09,-6.81,-8.41,-9.0,-8.59,-8.28,-9.22,-10.0,-9.03,-7.44,-6.5,-6.16,-5.41,-4.34,-5.19,-7.16,-8.75,-9.31,-10.19,-11.91,-13.28,-13.5,-13.59,-14.44,-16.0,-15.75,-14.66,-14.41,-14.66,-13.72,-11.62,-10.25,-10.66,-10.78,-9.94,-9.62,-10.56,-10.94,-9.03,-6.0,-3.66,-1.78,0.94,3.22,3.72,2.94,2.78,3.34,3.31,1.97,0.44,0.09,-0.44,-1.97,-3.16,-2.25,-0.94,-0.44,-0.53,0.03,0.97,0.69,-0.66,-0.91,-0.06,1.09,1.75,3.22,6.53,9.75,11.41,12.34,13.5,14.12,13.0,11.31,10.5,10.03,8.78,5.84,3.56,2.34,0.53,-2.06,-4.59,-5.0,-5.25,-6.44,-7.5,-6.66,-5.31,-4.78,-4.66,-2.78,0.09,2.59,3.53,5.38,7.59,9.69,10.25,9.88,10.56,10.22,7.5,4.12,2.22,0.97,-0.78,-2.97,-4.03,-4.41,-5.19,-7.22,-8.38,-7.97,-7.47,-8.31,-9.09,-8.62,-7.94,-8.62,-9.72,-9.56,-8.44,-8.22,-9.28,-9.69,-9.41,-9.28,-10.56,-10.81,-9.91,-8.94,-9.0,-9.72,-8.5,-6.88,-6.44,-6.66,-5.66,-3.72,-2.81,-2.81,-1.81,0.06,1.41,1.34,1.59,2.84,3.47,2.19,0.16,-0.88,-1.44,-2.69,-4.16,-4.62,-4.53,-5.5,-7.5,-8.66,-8.53,-7.94,-8.0,-7.03,-4.16,-0.56,1.66,3.0,5.91,9.28,11.22,11.91,13.5,15.28,15.5,13.47,12.25,11.66,10.75,8.56,6.75,6.19,6.31,5.72,4.72,5.19,5.78,4.66,2.44,0.88,0.97,1.19,1.12,1.62,3.03,4.41,3.97,3.38,3.94,4.75,4.41,3.5,3.38,4.19,4.38,4.0,4.25,4.94,4.47,2.0,-0.97,-2.84,-4.03,-6.28,-7.94,-8.53,-8.06,-8.97,-10.44,-9.97,-8.28,-6.97,-6.66,-6.19,-5.5,-5.81,-7.91,-9.47,-9.62,-8.97,-9.59,-9.91,-9.0,-7.47,-6.81,-6.56,-5.19,-2.91,-1.28,-1.5,-1.81,-2.34,-3.91,-7.5,-11.12,-12.97,-13.72,-15.34,-16.41,-15.94,-14.31,-13.62,-14.0,-13.97,-13.41,-14.22,-16.59,-18.28,-18.19,-17.62,-18.28,-17.97,-16.16,-13.72,-12.81,-12.19,-10.69,-8.66,-8.12,-8.25,-8.0,-6.56,-6.38,-7.78,-8.06,-6.56,-4.34,-2.59,-0.44,2.81,6.16,7.09,6.25,4.94,3.62,0.69,-3.41,-6.97,-8.72,-10.53,-13.03,-14.25,-12.88,-10.06,-7.72,-4.78,-1.06,2.72,4.22,4.38,4.69,5.5,5.78,5.03,4.41,4.75,4.38,1.84,-0.75,-2.5,-4.16,-7.22,-10.34,-11.62,-11.41,-11.5,-11.28,-9.41,-6.41,-3.94,-2.47,-0.53,2.78,6.06,7.84,9.62,12.72,16.47,18.22,19.56,21.44,23.22,22.88,21.28,19.72,19.34,17.5,13.88,10.09,7.56,5.09,1.56,-0.88,-0.94,0.53,0.62,0.91,2.25,4.0,4.59,3.72,3.78,4.78,5.38,4.81,4.75,6.69,8.78,9.12,9.09,10.25,11.53,10.81,9.44,8.84,9.0,8.19,6.5,5.69,6.06,6.31,4.88,3.66,4.0,4.34,3.03,1.5,0.59,0.72,-0.69,-1.97,-1.97,-0.03,1.44,2.0,2.72,4.88,5.91,5.56,5.22,6.38,7.66,7.5,7.03,7.31,7.5,6.12,4.25,3.09,2.97,2.66,1.31,0.38,0.78,0.81,-0.09,-1.19,-0.88,-0.62,-2.41,-4.69,-6.31,-7.06,-8.25,-9.38,-9.12,-6.84,-5.19,-4.75,-3.84,-1.16,1.66,3.22,4.56,7.03,8.75,8.09,6.5,5.44,5.41,4.62,3.31,3.12,4.88,6.16,6.38,6.94,8.94,10.47,10.19,9.66,10.62,12.53,13.5,13.59,14.16,14.78,13.53,10.5,7.34,5.66,3.66,0.59,-1.84,-2.0,-1.31,-1.44,-1.66,0.25,2.72,3.97,4.66,5.81,7.44,7.72,6.41,5.19,4.34,2.31,-1.38,-5.38,-7.69,-9.22,-11.09,-12.78,-12.0,-10.0,-8.75,-7.88,-6.22,-3.0,-0.84,0.47,2.66,6.31,9.44,11.12,11.94,12.91,12.66,9.41,4.44,0.0,-3.16,-6.19,-8.66,-8.56,-6.06,-3.81,-2.28,-0.72,2.22,3.97,3.78,3.12,3.66,4.59,4.59,4.38,5.62,7.97,9.09,9.53,10.72,13.06,13.78,13.12,12.0,12.16,12.09,10.56,8.44,7.0,5.0,1.38,-3.47,-6.62,-8.03,-9.34,-10.94,-11.22,-9.66,-8.72,-8.38,-8.22,-6.0,-3.22,-1.94,-1.03,1.28,3.66,4.41,3.59,4.44,6.09,6.72,5.72,4.97,4.72,3.72,1.81,0.12,0.16,0.28,-0.84,-2.81,-3.34,-2.78,-3.12,-3.47,-2.56,-0.25,1.0,1.0,1.41,3.03,4.56,5.22,6.06,8.62,11.03,11.53,10.38,10.34,10.34,9.12,7.22,6.28,5.88,4.5,1.72,-0.53,-0.69,-0.25,0.19,1.41,4.69,8.78,11.56,13.44,16.0,18.66,19.16,17.72,16.53,16.16,15.34,13.06,11.62,11.62,10.94,8.62,6.06,5.31,5.38,4.72,3.91,4.28,5.41,5.88,5.12,5.09,6.47,7.5,7.47,7.38,9.0,10.38,10.94,10.97,12.62,14.94,15.91,15.62,15.56,16.06,14.97,12.25,9.91,8.88,7.97,6.34,5.5,6.53,8.16,8.66,8.66,10.22,11.75,12.22,11.12,10.84,10.97,10.28,8.72,7.38,7.72,7.97,6.97,6.16,6.97,7.62,6.84,5.0,4.44,4.72,4.06,2.97,3.47,5.06,6.03,5.94,5.69,6.66,7.28,46.5,48.47,49.06,48.31,47.03,45.81,44.12:-3.31,-3.25,-1.66,-0.62,-0.5,0.62,2.75,4.31,4.69,5.38,6.84,7.78,7.0,5.41,5.16,5.38,4.66,3.62,3.47,4.28,4.62,4.19,4.31,5.75,6.91,6.47,6.09,7.22,8.72,8.81,8.47,9.22,10.03,9.16,7.06,5.84,5.44,5.03,3.84,3.5,4.88,5.75,5.44,5.47,7.03,8.81,9.22,9.0,9.72,10.72,10.62,9.69,10.41,12.5,14.06,14.88,15.56,16.94,16.81,14.19,10.81,8.56,6.66,4.28,2.38,2.56,3.69,4.69,4.66,5.09,6.59,7.06,5.97,5.38,6.41,7.78,7.66,7.41,8.62,9.38,8.59,6.59,5.31,4.94,4.5,3.19,3.66,6.06,8.56,9.41,10.34,12.59,14.0,13.47,12.31,11.91,11.16,8.81,5.28,2.03,-0.59,-3.44,-7.09,-9.0,-8.47,-7.16,-6.44,-5.25,-2.66,-0.34,0.03,-0.12,0.69,1.88,2.16,1.44,1.47,2.0,1.94,0.41,-0.06,0.88,1.69,1.25,0.56,1.28,2.56,2.56,2.72,3.75,4.91,4.53,2.56,1.16,1.03,0.81,-0.19,-0.19,1.62,2.94,2.47,1.84,2.44,2.75,2.06,0.75,0.81,1.59,2.12,2.19,2.81,4.5,5.53,4.47,3.59,3.72,3.81,2.69,1.5,1.69,2.16,1.81,1.47,2.03,3.31,3.72,2.38,1.44,0.94,0.72,-0.59,-1.38,-0.28,1.25,1.22,0.97,2.16,3.78,4.38,4.03,4.22,5.06,4.38,2.88,1.81,2.03,3.03,2.72,3.09,4.91,6.78,7.0,6.09,5.44,4.81,2.84,0.12,-1.31,-1.03,-0.69,-0.56,-0.03,1.78,3.41,2.62,1.16,0.44,-0.03,-1.91,-3.72,-3.34,-2.53,-1.84,-1.84,-1.16,-0.06,0.19,-0.97,-2.06,-1.62,-1.12,-1.97,-2.94,-3.0,-2.94,-4.22,-5.66,-5.31,-3.34,-1.38,0.03,2.94,5.84,8.06,8.03,7.0,6.62,6.06,3.38,0.34,-1.81,-3.34,-5.94,-9.34,-11.62,-12.59,-13.66,-15.28,-15.47,-13.12,-10.34,-7.91,-4.91,-1.0,3.0,5.25,6.59,7.94,9.53,9.41,8.44,7.88,8.88,9.62,9.44,10.06,11.47,12.28,10.94,9.09,7.59,6.19,3.41,0.53,-0.91,-1.16,-1.78,-2.34,-1.59,1.06,3.78,5.66,7.22,9.38,10.88,10.41,9.56,9.66,10.12,9.28,7.88,7.41,7.94,7.69,7.34,8.34,10.56,12.69,13.59,14.03,14.53,14.16,11.34,7.97,5.59,4.03,1.81,-0.16,-0.66,0.69,2.0,3.16,5.47,9.03,11.66,12.0,11.28,11.25,10.56,9.06,8.16,9.28,11.91,13.75,14.88,16.09,17.56,17.12,14.44,11.16,8.5,5.5,0.53,-3.47,-5.47,-6.5,-7.88,-9.31,-8.94,-7.47,-6.44,-6.03,-5.25,-3.31,-2.62,-3.25,-2.97,-0.34,2.88,5.69,8.72,12.5,15.66,16.59,15.75,15.41,15.22,14.06,11.91,9.84,8.12,5.22,0.41,-4.97,-9.09,-12.59,-16.34,-19.22,-19.62,-18.5,-17.84,-17.75,-16.84,-15.09,-14.47,-14.22,-13.34,-10.69,-7.69,-5.69,-3.59,0.03,3.16,4.62,5.09,6.28,7.62,7.69,6.94,7.09,8.19,8.38,7.84,7.56,8.97,10.84,11.31,11.91,13.97,15.78,15.91,14.91,14.38,13.66,11.31,7.41,4.09,2.06,0.0,-2.53,-4.47,-4.34,-4.34,-5.06,-6.19,-5.59,-5.12,-5.5,-6.25,-6.44,-5.31,-4.97,-5.41,-5.09,-3.44,-2.12,-1.81,-1.91,-1.22,-1.19,-2.91,-4.72,-5.0,-4.22,-3.88,-3.72,-2.81,-1.03,-0.16,-0.41,-0.03,1.28,2.69,3.19,3.09,4.25,5.47,5.22,4.41,5.03,5.78,5.44,4.41,4.0,4.66,4.53,3.75,3.19,3.88,4.31,2.66,1.19,1.5,1.31,0.66,-0.59,-0.75,-0.62,-1.69,-4.03,-5.72,-6.09,-6.81,-8.41,-9.0,-8.59,-8.28,-9.22,-10.0,-9.03,-7.44,-6.5,-6.16,-5.41,-4.34,-5.19,-7.16,-8.75,-9.31,-10.19,-11.91,-13.28,-13.5,-13.59,-14.44,-16.0,-15.75,-14.66,-14.41,-14.66,-13.72,-11.62,-10.25,-10.66,-10.78,-9.94,-9.62,-10.56,-10.94,-9.03,-6.0,-3.66,-1.78,0.94,3.22,3.72,2.94,2.78,3.34,3.31,1.97,0.44,0.09,-0.44,-1.97,-3.16,-2.25,-0.94,-0.44,-0.53,0.03,0.97,0.69,-0.66,-0.91,-0.06,1.09,1.75,3.22,6.53,9.75,11.41,12.34,13.5,14.12,13.0,11.31,10.5,10.03,8.78,5.84,3.56,2.34,0.53,-2.06,-4.59,-5.0,-5.25,-6.44,-7.5,-6.66,-5.31,-4.78,-4.66,-2.78,0.09,2.59,3.53,5.38,7.59,9.69,10.25,9.88,10.56,10.22,7.5,4.12,2.22,0.97,-0.78,-2.97,-4.03,-4.41,-5.19,-7.22,-8.38,-7.97,-7.47,-8.31,-9.09,-8.62,-7.94,-8.62,-9.72,-9.56,-8.44,-8.22,-9.28,-9.69,-9.41,-9.28,-10.56,-10.81,-9.91,-8.94,-9.0,-9.72,-8.5,-6.88,-6.44,-6.66,-5.66,-3.72,-2.81,-2.81,-1.81,0.06,1.41,1.34,1.59,2.84,3.47,2.19,0.16,-0.88,-1.44,-2.69,-4.16,-4.62,-4.53,-5.5,-7.5,-8.66,-8.53,-7.94,-8.0,-7.03,-4.16,-0.56,1.66,3.0,5.91,9.28,11.22,11.91,13.5,15.28,15.5,13.47,12.25,11.66,10.75,8.56,6.75,6.19,6.31,5.72,4.72,5.19,5.78,4.66,2.44,0.88,0.97,1.19,1.12,1.62,3.03,4.41,3.97,3.38,3.94,4.75,4.41,3.5,3.38,4.19,4.38,4.0,4.25,4.94,4.47,2.0,-0.97,-2.84,-4.03,-6.28,-7.94,-8.53,-8.06,-8.97,-10.44,-9.97,-8.28,-6.97,-6.66,-6.19,-5.5,-5.81,-7.91,-9.47,-9.62,-8.97,-9.59,-9.91,-9.0,-7.47,-6.81,-6.56,-5.19,-2.91,-1.28,-1.5,-1.81,-2.34,-3.91,-7.5,-11.12,-12.97,-13.72,-15.34,-16.41,-15.94,-14.31,-13.62,-14.0,-13.97,-13.41,-14.22,-16.59,-18.28,-18.19,-17.62,-18.28,-17.97,-16.16,-13.72,-12.81,-12.19,-10.69,-8.66,-8.12,-8.25,-8.0,-6.56,-6.38,-7.78,-8.06,-6.56,-4.34,-2.59,-0.44,2.81,6.16,7.09,6.25,4.94,3.62,0.69,-3.41,-6.97,-8.72,-10.53,-13.03,-14.25,-12.88,-10.06,-7.72,-4.78,-1.06,2.72,4.22,4.38,4.69,5.5,5.78,5.03,4.41,4.75,4.38,1.84,-0.75,-2.5,-4.16,-7.22,-10.34,-11.62,-11.41,-11.5,-11.28,-9.41,-6.41,-3.94,-2.47,-0.53,2.78,6.06,7.84,9.62,12.72,16.47,18.22,19.56,21.44,23.22,22.88,21.28,19.72,19.34,17.5,13.88,10.09,7.56,5.09,1.56,-0.88,-0.94,0.53,0.62,0.91,2.25,4.0,4.59,3.72,3.78,4.78,5.38,4.81,4.75,6.69,8.78,9.12,9.09,10.25,11.53,10.81,9.44,8.84,9.0,8.19,6.5,5.69,6.06,6.31,4.88,3.66,4.0,4.34,3.03,1.5,0.59,0.72,-0.69,-1.97,-1.97,-0.03,1.44,2.0,2.72,4.88,5.91,5.56,5.22,6.38,7.66,7.5,7.03,7.31,7.5,6.12,4.25,3.09,2.97,2.66,1.31,0.38,0.78,0.81,-0.09,-1.19,-0.88,-0.62,-2.41,-4.69,-6.31,-7.06,-8.25,-9.38,-9.12,-6.84,-5.19,-4.75,-3.84,-1.16,1.66,3.22,4.56,7.03,8.75,8.09,6.5,5.44,5.41,4.62,3.31,3.12,4.88,6.16,6.38,6.94,8.94,10.47,10.19,9.66,10.62,12.53,13.5,13.59,14.16,14.78,13.53,10.5,7.34,5.66,3.66,0.59,-1.84,-2.0,-1.31,-1.44,-1.66,0.25,2.72,3.97,4.66,5.81,7.44,7.72,6.41,5.19,4.34,2.31,-1.38,-5.38,-7.69,-9.22,-11.09,-12.78,-12.0,-10.0,-8.75,-7.88,-6.22,-3.0,-0.84,0.47,2.66,6.31,9.44,11.12,11.94,12.91,12.66,9.41,4.44,0.0,-3.16,-6.19,-8.66,-8.56,-6.06,-3.81,-2.28,-0.72,2.22,3.97,3.78,3.12,3.66,4.59,4.59,4.38,5.62,7.97,9.09,9.53,10.72,13.06,13.78,13.12,12.0,12.16,12.09,10.56,8.44,7.0,5.0,1.38,-3.47,-6.62,-8.03,-9.34,-10.94,-11.22,-9.66,-8.72,-8.38,-8.22,-6.0,-3.22,-1.94,-1.03,1.28,3.66,4.41,3.59,4.44,6.09,6.72,5.72,4.97,4.72,3.72,1.81,0.12,0.16,0.28,-0.84,-2.81,-3.34,-2.78,-3.12,-3.47,-2.56,-0.25,1.0,1.0,1.41,3.03,4.56,5.22,6.06,8.62,11.03,11.53,10.38,10.34,10.34,9.12,7.22,6.28,5.88,4.5,1.72,-0.53,-0.69,-0.25,0.19,1.41,4.69,8.78,11.56,13.44,16.0,18.66,19.16,17.72,16.53,16.16,15.34,13.06,11.62,11.62,10.94,8.62,6.06,5.31,5.38,4.72,3.91,4.28,5.41,5.88,5.12,5.09,6.47,7.5,7.47,7.38,9.0,10.38,10.94,10.97,12.62,14.94,15.91,15.62,15.56,16.06,14.97,12.25,9.91,8.88,7.97,6.34,5.5,6.53,8.16,8.66,8.66,10.22,11.75,12.22,11.12,10.84,10.97,10.28,8.72,7.38,7.72,7.97,6.97,6.16,6.97,7.62,6.84,5.0,4.44,4.72,4.06,2.97,3.47,5.06,6.03,5.94,5.69,6.66,7.28,46.5,48.47,49.06,48.31,47.03,45.81,44.12,42.59,41.53,41.16,40.5,39.22,38.31,38.44:4.31,4.69,5.38,6.84,7.78,7.0,5.41,5.16,5.38,4.66,3.62,3.47,4.28,4.62,4.19,4.31,5.75,6.91,6.47,6.09,7.22,8.72,8.81,8.47,9.22,10.03,9.16,7.06,5.84,5.44,5.03,3.84,3.5,4.88,5.75,5.44,5.47,7.03,8.81,9.22,9.0,9.72,10.72,10.62,9.69,10.41,12.5,14.06,14.88,15.56,16.94,16.81,14.19,10.81,8.56,6.66,4.28,2.38,2.56,3.69,4.69,4.66,5.09,6.59,7.06,5.97,5.38,6.41,7.78,7.66,7.41,8.62,9.38,8.59,6.59,5.31,4.94,4.5,3.19,3.66,6.06,8.56,9.41,10.34,12.59,14.0,13.47,12.31,11.91,11.16,8.81,5.28,2.03,-0.59,-3.44,-7.09,-9.0,-8.47,-7.16,-6.44,-5.25,-2.66,-0.34,0.03,-0.12,0.69,1.88,2.16,1.44,1.47,2.0,1.94,0.41,-0.06,0.88,1.69,1.25,0.56,1.28,2.56,2.56,2.72,3.75,4.91,4.53,2.56,1.16,1.03,0.81,-0.19,-0.19,1.62,2.94,2.47,1.84,2.44,2.75,2.06,0.75,0.81,1.59,2.12,2.19,2.81,4.5,5.53,4.47,3.59,3.72,3.81,2.69,1.5,1.69,2.16,1.81,1.47,2.03,3.31,3.72,2.38,1.44,0.94,0.72,-0.59,-1.38,-0.28,1.25,1.22,0.97,2.16,3.78,4.38,4.03,4.22,5.06,4.38,2.88,1.81,2.03,3.03,2.72,3.09,4.91,6.78,7.0,6.09,5.44,4.81,2.84,0.12,-1.31,-1.03,-0.69,-0.56,-0.03,1.78,3.41,2.62,1.16,0.44,-0.03,-1.91,-3.72,-3.34,-2.53,-1.84,-1.84,-1.16,-0.06,0.19,-0.97,-2.06,-1.62,-1.12,-1.97,-2.94,-3.0,-2.94,-4.22,-5.66,-5.31,-3.34,-1.38,0.03,2.94,5.84,8.06,8.03,7.0,6.62,6.06,3.38,0.34,-1.81,-3.34,-5.94,-9.34,-11.62,-12.59,-13.66,-15.28,-15.47,-13.12,-10.34,-7.91,-4.91,-1.0,3.0,5.25,6.59,7.94,9.53,9.41,8.44,7.88,8.88,9.62,9.44,10.06,11.47,12.28,10.94,9.09,7.59,6.19,3.41,0.53,-0.91,-1.16,-1.78,-2.34,-1.59,1.06,3.78,5.66,7.22,9.38,10.88,10.41,9.56,9.66,10.12,9.28,7.88,7.41,7.94,7.69,7.34,8.34,10.56,12.69,13.59,14.03,14.53,14.16,11.34,7.97,5.59,4.03,1.81,-0.16,-0.66,0.69,2.0,3.16,5.47,9.03,11.66,12.0,11.28,11.25,10.56,9.06,8.16,9.28,11.91,13.75,14.88,16.09,17.56,17.12,14.44,11.16,8.5,5.5,0.53,-3.47,-5.47,-6.5,-7.88,-9.31,-8.94,-7.47,-6.44,-6.03,-5.25,-3.31,-2.62,-3.25,-2.97,-0.34,2.88,5.69,8.72,12.5,15.66,16.59,15.75,15.41,15.22,14.06,11.91,9.84,8.12,5.22,0.41,-4.97,-9.09,-12.59,-16.34,-19.22,-19.62,-18.5,-17.84,-17.75,-16.84,-15.09,-14.47,-14.22,-13.34,-10.69,-7.69,-5.69,-3.59,0.03,3.16,4.62,5.09,6.28,7.62,7.69,6.94,7.09,8.19,8.38,7.84,7.56,8.97,10.84,11.31,11.91,13.97,15.78,15.91,14.91,14.38,13.66,11.31,7.41,4.09,2.06,0.0,-2.53,-4.47,-4.34,-4.34,-5.06,-6.19,-5.59,-5.12,-5.5,-6.25,-6.44,-5.31,-4.97,-5.41,-5.09,-3.44,-2.12,-1.81,-1.91,-1.22,-1.19,-2.91,-4.72,-5.0,-4.22,-3.88,-3.72,-2.81,-1.03,-0.16,-0.41,-0.03,1.28,2.69,3.19,3.09,4.25,5.47,5.22,4.41,5.03,5.78,5.44,4.41,4.0,4.66,4.53,3.75,3.19,3.88,4.31,2.66,1.19,1.5,1.31,0.66,-0.59,-0.75,-0.62,-1.69,-4.03,-5.72,-6.09,-6.81,-8.41,-9.0,-8.59,-8.28,-9.22,-10.0,-9.03,-7.44,-6.5,-6.16,-5.41,-4.34,-5.19,-7.16,-8.75,-9.31,-10.19,-11.91,-13.28,-13.5,-13.59,-14.44,-16.0,-15.75,-14.66,-14.41,-14.66,-13.72,-11.62,-10.25,-10.66,-10.78,-9.94,-9.62,-10.56,-10.94,-9.03,-6.0,-3.66,-1.78,0.94,3.22,3.72,2.94,2.78,3.34,3.31,1.97,0.44,0.09,-0.44,-1.97,-3.16,-2.25,-0.94,-0.44,-0.53,0.03,0.97,0.69,-0.66,-0.91,-0.06,1.09,1.75,3.22,6.53,9.75,11.41,12.34,13.5,14.12,13.0,11.31,10.5,10.03,8.78,5.84,3.56,2.34,0.53,-2.06,-4.59,-5.0,-5.25,-6.44,-7.5,-6.66,-5.31,-4.78,-4.66,-2.78,0.09,2.59,3.53,5.38,7.59,9.69,10.25,9.88,10.56,10.22,7.5,4.12,2.22,0.97,-0.78,-2.97,-4.03,-4.41,-5.19,-7.22,-8.38,-7.97,-7.47,-8.31,-9.09,-8.62,-7.94,-8.62,-9.72,-9.56,-8.44,-8.22,-9.28,-9.69,-9.41,-9.28,-10.56,-10.81,-9.91,-8.94,-9.0,-9.72,-8.5,-6.88,-6.44,-6.66,-5.66,-3.72,-2.81,-2.81,-1.81,0.06,1.41,1.34,1.59,2.84,3.47,2.19,0.16,-0.88,-1.44,-2.69,-4.16,-4.62,-4.53,-5.5,-7.5,-8.66,-8.53,-7.94,-8.0,-7.03,-4.16,-0.56,1.66,3.0,5.91,9.28,11.22,11.91,13.5,15.28,15.5,13.47,12.25,11.66,10.75,8.56,6.75,6.19,6.31,5.72,4.72,5.19,5.78,4.66,2.44,0.88,0.97,1.19,1.12,1.62,3.03,4.41,3.97,3.38,3.94,4.75,4.41,3.5,3.38,4.19,4.38,4.0,4.25,4.94,4.47,2.0,-0.97,-2.84,-4.03,-6.28,-7.94,-8.53,-8.06,-8.97,-10.44,-9.97,-8.28,-6.97,-6.66,-6.19,-5.5,-5.81,-7.91,-9.47,-9.62,-8.97,-9.59,-9.91,-9.0,-7.47,-6.81,-6.56,-5.19,-2.91,-1.28,-1.5,-1.81,-2.34,-3.91,-7.5,-11.12,-12.97,-13.72,-15.34,-16.41,-15.94,-14.31,-13.62,-14.0,-13.97,-13.41,-14.22,-16.59,-18.28,-18.19,-17.62,-18.28,-17.97,-16.16,-13.72,-12.81,-12.19,-10.69,-8.66,-8.12,-8.25,-8.0,-6.56,-6.38,-7.78,-8.06,-6.56,-4.34,-2.59,-0.44,2.81,6.16,7.09,6.25,4.94,3.62,0.69,-3.41,-6.97,-8.72,-10.53,-13.03,-14.25,-12.88,-10.06,-7.72,-4.78,-1.06,2.72,4.22,4.38,4.69,5.5,5.78,5.03,4.41,4.75,4.38,1.84,-0.75,-2.5,-4.16,-7.22,-10.34,-11.62,-11.41,-11.5,-11.28,-9.41,-6.41,-3.94,-2.47,-0.53,2.78,6.06,7.84,9.62,12.72,16.47,18.22,19.56,21.44,23.22,22.88,21.28,19.72,19.34,17.5,13.88,10.09,7.56,5.09,1.56,-0.88,-0.94,0.53,0.62,0.91,2.25,4.0,4.59,3.72,3.78,4.78,5.38,4.81,4.75,6.69,8.78,9.12,9.09,10.25,11.53,10.81,9.44,8.84,9.0,8.19,6.5,5.69,6.06,6.31,4.88,3.66,4.0,4.34,3.03,1.5,0.59,0.72,-0.69,-1.97,-1.97,-0.03,1.44,2.0,2.72,4.88,5.91,5.56,5.22,6.38,7.66,7.5,7.03,7.31,7.5,6.12,4.25,3.09,2.97,2.66,1.31,0.38,0.78,0.81,-0.09,-1.19,-0.88,-0.62,-2.41,-4.69,-6.31,-7.06,-8.25,-9.38,-9.12,-6.84,-5.19,-4.75,-3.84,-1.16,1.66,3.22,4.56,7.03,8.75,8.09,6.5,5.44,5.41,4.62,3.31,3.12,4.88,6.16,6.38,6.94,8.94,10.47,10.19,9.66,10.62,12.53,13.5,13.59,14.16,14.78,13.53,10.5,7.34,5.66,3.66,0.59,-1.84,-2.0,-1.31,-1.44,-1.66,0.25,2.72,3.97,4.66,5.81,7.44,7.72,6.41,5.19,4.34,2.31,-1.38,-5.38,-7.69,-9.22,-11.09,-12.78,-12.0,-10.0,-8.75,-7.88,-6.22,-3.0,-0.84,0.47,2.66,6.31,9.44,11.12,11.94,12.91,12.66,9.41,4.44,0.0,-3.16,-6.19,-8.66,-8.56,-6.06,-3.81,-2.28,-0.72,2.22,3.97,3.78,3.12,3.66,4.59,4.59,4.38,5.62,7.97,9.09,9.53,10.72,13.06,13.78,13.12,12.0,12.16,12.09,10.56,8.44,7.0,5.0,1.38,-3.47,-6.62,-8.03,-9.34,-10.94,-11.22,-9.66,-8.72,-8.38,-8.22,-6.0,-3.22,-1.94,-1.03,1.28,3.66,4.41,3.59,4.44,6.09,6.72,5.72,4.97,4.72,3.72,1.81,0.12,0.16,0.28,-0.84,-2.81,-3.34,-2.78,-3.12,-3.47,-2.56,-0.25,1.0,1.0,1.41,3.03,4.56,5.22,6.06,8.62,11.03,11.53,10.38,10.34,10.34,9.12,7.22,6.28,5.88,4.5,1.72,-0.53,-0.69,-0.25,0.19,1.41,4.69,8.78,11.56,13.44,16.0,18.66,19.16,17.72,16.53,16.16,15.34,13.06,11.62,11.62,10.94,8.62,6.06,5.31,5.38,4.72,3.91,4.28,5.41,5.88,5.12,5.09,6.47,7.5,7.47,7.38,9.0,10.38,10.94,10.97,12.62,14.94,15.91,15.62,15.56,16.06,14.97,12.25,9.91,8.88,7.97,6.34,5.5,6.53,8.16,8.66,8.66,10.22,11.75,12.22,11.12,10.84,10.97,10.28,8.72,7.38,7.72,7.97,6.97,6.16,6.97,7.62,6.84,5.0,4.44,4.72,4.06,2.97,3.47,5.06,6.03,5.94,5.69,6.66,7.28,46.5,48.47,49.06,48.31,47.03,45.81,44.12,42.59,41.53,41.16,40.5,39.22,38.31,38.44,38.78,39.41,40.22,41.5,42.69,43.88,44.31:5.16,5.38,4.66,3.62,3.47,4.28,4.62,4.19,4.31,5.75,6.91,6.47,6.09,7.22,8.72,8.81,8.47,9.22,10.03,9.16,7.06,5.84,5.44,5.03,3.84,3.5,4.88,5.75,5.44,5.47,7.03,8.81,9.22,9.0,9.72,10.72,10.62,9.69,10.41,12.5,14.06,14.88,15.56,16.94,16.81,14.19,10.81,8.56,6.66,4.28,2.38,2.56,3.69,4.69,4.66,5.09,6.59,7.06,5.97,5.38,6.41,7.78,7.66,7.41,8.62,9.38,8.59,6.59,5.31,4.94,4.5,3.19,3.66,6.06,8.56,9.41,10.34,12.59,14.0,13.47,12.31,11.91,11.16,8.81,5.28,2.03,-0.59,-3.44,-7.09,-9.0,-8.47,-7.16,-6.44,-5.25,-2.66,-0.34,0.03,-0.12,0.69,1.88,2.16,1.44,1.47,2.0,1.94,0.41,-0.06,0.88,1.69,1.25,0.56,1.28,2.56,2.56,2.72,3.75,4.91,4.53,2.56,1.16,1.03,0.81,-0.19,-0.19,1.62,2.94,2.47,1.84,2.44,2.75,2.06,0.75,0.81,1.59,2.12,2.19,2.81,4.5,5.53,4.47,3.59,3.72,3.81,2.69,1.5,1.69,2.16,1.81,1.47,2.03,3.31,3.72,2.38,1.44,0.94,0.72,-0.59,-1.38,-0.28,1.25,1.22,0.97,2.16,3.78,4.38,4.03,4.22,5.06,4.38,2.88,1.81,2.03,3.03,2.72,3.09,4.91,6.78,7.0,6.09,5.44,4.81,2.84,0.12,-1.31,-1.03,-0.69,-0.56,-0.03,1.78,3.41,2.62,1.16,0.44,-0.03,-1.91,-3.72,-3.34,-2.53,-1.84,-1.84,-1.16,-0.06,0.19,-0.97,-2.06,-1.62,-1.12,-1.97,-2.94,-3.0,-2.94,-4.22,-5.66,-5.31,-3.34,-1.38,0.03,2.94,5.84,8.06,8.03,7.0,6.62,6.06,3.38,0.34,-1.81,-3.34,-5.94,-9.34,-11.62,-12.59,-13.66,-15.28,-15.47,-13.12,-10.34,-7.91,-4.91,-1.0,3.0,5.25,6.59,7.94,9.53,9.41,8.44,7.88,8.88,9.62,9.44,10.06,11.47,12.28,10.94,9.09,7.59,6.19,3.41,0.53,-0.91,-1.16,-1.78,-2.34,-1.59,1.06,3.78,5.66,7.22,9.38,10.88,10.41,9.56,9.66,10.12,9.28,7.88,7.41,7.94,7.69,7.34,8.34,10.56,12.69,13.59,14.03,14.53,14.16,11.34,7.97,5.59,4.03,1.81,-0.16,-0.66,0.69,2.0,3.16,5.47,9.03,11.66,12.0,11.28,11.25,10.56,9.06,8.16,9.28,11.91,13.75,14.88,16.09,17.56,17.12,14.44,11.16,8.5,5.5,0.53,-3.47,-5.47,-6.5,-7.88,-9.31,-8.94,-7.47,-6.44,-6.03,-5.25,-3.31,-2.62,-3.25,-2.97,-0.34,2.88,5.69,8.72,12.5,15.66,16.59,15.75,15.41,15.22,14.06,11.91,9.84,8.12,5.22,0.41,-4.97,-9.09,-12.59,-16.34,-19.22,-19.62,-18.5,-17.84,-17.75,-16.84,-15.09,-14.47,-14.22,-13.34,-10.69,-7.69,-5.69,-3.59,0.03,3.16,4.62,5.09,6.28,7.62,7.69,6.94,7.09,8.19,8.38,7.84,7.56,8.97,10.84,11.31,11.91,13.97,15.78,15.91,14.91,14.38,13.66,11.31,7.41,4.09,2.06,0.0,-2.53,-4.47,-4.34,-4.34,-5.06,-6.19,-5.59,-5.12,-5.5,-6.25,-6.44,-5.31,-4.97,-5.41,-5.09,-3.44,-2.12,-1.81,-1.91,-1.22,-1.19,-2.91,-4.72,-5.0,-4.22,-3.88,-3.72,-2.81,-1.03,-0.16,-0.41,-0.03,1.28,2.69,3.19,3.09,4.25,5.47,5.22,4.41,5.03,5.78,5.44,4.41,4.0,4.66,4.53,3.75,3.19,3.88,4.31,2.66,1.19,1.5,1.31,0.66,-0.59,-0.75,-0.62,-1.69,-4.03,-5.72,-6.09,-6.81,-8.41,-9.0,-8.59,-8.28,-9.22,-10.0,-9.03,-7.44,-6.5,-6.16,-5.41,-4.34,-5.19,-7.16,-8.75,-9.31,-10.19,-11.91,-13.28,-13.5,-13.59,-14.44,-16.0,-15.75,-14.66,-14.41,-14.66,-13.72,-11.62,-10.25,-10.66,-10.78,-9.94,-9.62,-10.56,-10.94,-9.03,-6.0,-3.66,-1.78,0.94,3.22,3.72,2.94,2.78,3.34,3.31,1.97,0.44,0.09,-0.44,-1.97,-3.16,-2.25,-0.94,-0.44,-0.53,0.03,0.97,0.69,-0.66,-0.91,-0.06,1.09,1.75,3.22,6.53,9.75,11.41,12.34,13.5,14.12,13.0,11.31,10.5,10.03,8.78,5.84,3.56,2.34,0.53,-2.06,-4.59,-5.0,-5.25,-6.44,-7.5,-6.66,-5.31,-4.78,-4.66,-2.78,0.09,2.59,3.53,5.38,7.59,9.69,10.25,9.88,10.56,10.22,7.5,4.12,2.22,0.97,-0.78,-2.97,-4.03,-4.41,-5.19,-7.22,-8.38,-7.97,-7.47,-8.31,-9.09,-8.62,-7.94,-8.62,-9.72,-9.56,-8.44,-8.22,-9.28,-9.69,-9.41,-9.28,-10.56,-10.81,-9.91,-8.94,-9.0,-9.72,-8.5,-6.88,-6.44,-6.66,-5.66,-3.72,-2.81,-2.81,-1.81,0.06,1.41,1.34,1.59,2.84,3.47,2.19,0.16,-0.88,-1.44,-2.69,-4.16,-4.62,-4.53,-5.5,-7.5,-8.66,-8.53,-7.94,-8.0,-7.03,-4.16,-0.56,1.66,3.0,5.91,9.28,11.22,11.91,13.5,15.28,15.5,13.47,12.25,11.66,10.75,8.56,6.75,6.19,6.31,5.72,4.72,5.19,5.78,4.66,2.44,0.88,0.97,1.19,1.12,1.62,3.03,4.41,3.97,3.38,3.94,4.75,4.41,3.5,3.38,4.19,4.38,4.0,4.25,4.94,4.47,2.0,-0.97,-2.84,-4.03,-6.28,-7.94,-8.53,-8.06,-8.97,-10.44,-9.97,-8.28,-6.97,-6.66,-6.19,-5.5,-5.81,-7.91,-9.47,-9.62,-8.97,-9.59,-9.91,-9.0,-7.47,-6.81,-6.56,-5.19,-2.91,-1.28,-1.5,-1.81,-2.34,-3.91,-7.5,-11.12,-12.97,-13.72,-15.34,-16.41,-15.94,-14.31,-13.62,-14.0,-13.97,-13.41,-14.22,-16.59,-18.28,-18.19,-17.62,-18.28,-17.97,-16.16,-13.72,-12.81,-12.19,-10.69,-8.66,-8.12,-8.25,-8.0,-6.56,-6.38,-7.78,-8.06,-6.56,-4.34,-2.59,-0.44,2.81,6.16,7.09,6.25,4.94,3.62,0.69,-3.41,-6.97,-8.72,-10.53,-13.03,-14.25,-12.88,-10.06,-7.72,-4.78,-1.06,2.72,4.22,4.38,4.69,5.5,5.78,5.03,4.41,4.75,4.38,1.84,-0.75,-2.5,-4.16,-7.22,-10.34,-11.62,-11.41,-11.5,-11.28,-9.41,-6.41,-3.94,-2.47,-0.53,2.78,6.06,7.84,9.62,12.72,16.47,18.22,19.56,21.44,23.22,22.88,21.28,19.72,19.34,17.5,13.88,10.09,7.56,5.09,1.56,-0.88,-0.94,0.53,0.62,0.91,2.25,4.0,4.59,3.72,3.78,4.78,5.38,4.81,4.75,6.69,8.78,9.12,9.09,10.25,11.53,10.81,9.44,8.84,9.0,8.19,6.5,5.69,6.06,6.31,4.88,3.66,4.0,4.34,3.03,1.5,0.59,0.72,-0.69,-1.97,-1.97,-0.03,1.44,2.0,2.72,4.88,5.91,5.56,5.22,6.38,7.66,7.5,7.03,7.31,7.5,6.12,4.25,3.09,2.97,2.66,1.31,0.38,0.78,0.81,-0.09,-1.19,-0.88,-0.62,-2.41,-4.69,-6.31,-7.06,-8.25,-9.38,-9.12,-6.84,-5.19,-4.75,-3.84,-1.16,1.66,3.22,4.56,7.03,8.75,8.09,6.5,5.44,5.41,4.62,3.31,3.12,4.88,6.16,6.38,6.94,8.94,10.47,10.19,9.66,10.62,12.53,13.5,13.59,14.16,14.78,13.53,10.5,7.34,5.66,3.66,0.59,-1.84,-2.0,-1.31,-1.44,-1.66,0.25,2.72,3.97,4.66,5.81,7.44,7.72,6.41,5.19,4.34,2.31,-1.38,-5.38,-7.69,-9.22,-11.09,-12.78,-12.0,-10.0,-8.75,-7.88,-6.22,-3.0,-0.84,0.47,2.66,6.31,9.44,11.12,11.94,12.91,12.66,9.41,4.44,0.0,-3.16,-6.19,-8.66,-8.56,-6.06,-3.81,-2.28,-0.72,2.22,3.97,3.78,3.12,3.66,4.59,4.59,4.38,5.62,7.97,9.09,9.53,10.72,13.06,13.78,13.12,12.0,12.16,12.09,10.56,8.44,7.0,5.0,1.38,-3.47,-6.62,-8.03,-9.34,-10.94,-11.22,-9.66,-8.72,-8.38,-8.22,-6.0,-3.22,-1.94,-1.03,1.28,3.66,4.41,3.59,4.44,6.09,6.72,5.72,4.97,4.72,3.72,1.81,0.12,0.16,0.28,-0.84,-2.81,-3.34,-2.78,-3.12,-3.47,-2.56,-0.25,1.0,1.0,1.41,3.03,4.56,5.22,6.06,8.62,11.03,11.53,10.38,10.34,10.34,9.12,7.22,6.28,5.88,4.5,1.72,-0.53,-0.69,-0.25,0.19,1.41,4.69,8.78,11.56,13.44,16.0,18.66,19.16,17.72,16.53,16.16,15.34,13.06,11.62,11.62,10.94,8.62,6.06,5.31,5.38,4.72,3.91,4.28,5.41,5.88,5.12,5.09,6.47,7.5,7.47,7.38,9.0,10.38,10.94,10.97,12.62,14.94,15.91,15.62,15.56,16.06,14.97,12.25,9.91,8.88,7.97,6.34,5.5,6.53,8.16,8.66,8.66,10.22,11.75,12.22,11.12,10.84,10.97,10.28,8.72,7.38,7.72,7.97,6.97,6.16,6.97,7.62,6.84,5.0,4.44,4.72,4.06,2.97,3.47,5.06,6.03,5.94,5.69,6.66,7.28,46.5,48.47,49.06,48.31,47.03,45.81,44.12,42.59,41.53,41.16,40.5,39.22,38.31,38.44,38.78,39.41,40.22,41.5,42.69,43.88,44.31,45.12,46.62,47.91,48.38,48.41,48.38,47.66:4.19,4.31,5.75,6.91,6.47,6.09,7.22,8.72,8.81,8.47,9.22,10.03,9.16,7.06,5.84,5.44,5.03,3.84,3.5,4.88,5.75,5.44,5.47,7.03,8.81,9.22,9.0,9.72,10.72,10.62,9.69,10.41,12.5,14.06,14.88,15.56,16.94,16.81,14.19,10.81,8.56,6.66,4.28,2.38,2.56,3.69,4.69,4.66,5.09,6.59,7.06,5.97,5.38,6.41,7.78,7.66,7.41,8.62,9.38,8.59,6.59,5.31,4.94,4.5,3.19,3.66,6.06,8.56,9.41,10.34,12.59,14.0,13.47,12.31,11.91,11.16,8.81,5.28,2.03,-0.59,-3.44,-7.09,-9.0,-8.47,-7.16,-6.44,-5.25,-2.66,-0.34,0.03,-0.12,0.69,1.88,2.16,1.44,1.47,2.0,1.94,0.41,-0.06,0.88,1.69,1.25,0.56,1.28,2.56,2.56,2.72,3.75,4.91,4.53,2.56,1.16,1.03,0.81,-0.19,-0.19,1.62,2.94,2.47,1.84,2.44,2.75,2.06,0.75,0.81,1.59,2.12,2.19,2.81,4.5,5.53,4.47,3.59,3.72,3.81,2.69,1.5,1.69,2.16,1.81,1.47,2.03,3.31,3.72,2.38,1.44,0.94,0.72,-0.59,-1.38,-0.28,1.25,1.22,0.97,2.16,3.78,4.38,4.03,4.22,5.06,4.38,2.88,1.81,2.03,3.03,2.72,3.09,4.91,6.78,7.0,6.09,5.44,4.81,2.84,0.12,-1.31,-1.03,-0.69,-0.56,-0.03,1.78,3.41,2.62,1.16,0.44,-0.03,-1.91,-3.72,-3.34,-2.53,-1.84,-1.84,-1.16,-0.06,0.19,-0.97,-2.06,-1.62,-1.12,-1.97,-2.94,-3.0,-2.94,-4.22,-5.66,-5.31,-3.34,-1.38,0.03,2.94,5.84,8.06,8.03,7.0,6.62,6.06,3.38,0.34,-1.81,-3.34,-5.94,-9.34,-11.62,-12.59,-13.66,-15.28,-15.47,-13.12,-10.34,-7.91,-4.91,-1.0,3.0,5.25,6.59,7.94,9.53,9.41,8.44,7.88,8.88,9.62,9.44,10.06,11.47,12.28,10.94,9.09,7.59,6.19,3.41,0.53,-0.91,-1.16,-1.78,-2.34,-1.59,1.06,3.78,5.66,7.22,9.38,10.88,10.41,9.56,9.66,10.12,9.28,7.88,7.41,7.94,7.69,7.34,8.34,10.56,12.69,13.59,14.03,14.53,14.16,11.34,7.97,5.59,4.03,1.81,-0.16,-0.66,0.69,2.0,3.16,5.47,9.03,11.66,12.0,11.28,11.25,10.56,9.06,8.16,9.28,11.91,13.75,14.88,16.09,17.56,17.12,14.44,11.16,8.5,5.5,0.53,-3.47,-5.47,-6.5,-7.88,-9.31,-8.94,-7.47,-6.44,-6.03,-5.25,-3.31,-2.62,-3.25,-2.97,-0.34,2.88,5.69,8.72,12.5,15.66,16.59,15.75,15.41,15.22,14.06,11.91,9.84,8.12,5.22,0.41,-4.97,-9.09,-12.59,-16.34,-19.22,-19.62,-18.5,-17.84,-17.75,-16.84,-15.09,-14.47,-14.22,-13.34,-10.69,-7.69,-5.69,-3.59,0.03,3.16,4.62,5.09,6.28,7.62,7.69,6.94,7.09,8.19,8.38,7.84,7.56,8.97,10.84,11.31,11.91,13.97,15.78,15.91,14.91,14.38,13.66,11.31,7.41,4.09,2.06,0.0,-2.53,-4.47,-4.34,-4.34,-5.06,-6.19,-5.59,-5.12,-5.5,-6.25,-6.44,-5.31,-4.97,-5.41,-5.09,-3.44,-2.12,-1.81,-1.91,-1.22,-1.19,-2.91,-4.72,-5.0,-4.22,-3.88,-3.72,-2.81,-1.03,-0.16,-0.41,-0.03,1.28,2.69,3.19,3.09,4.25,5.47,5.22,4.41,5.03,5.78,5.44,4.41,4.0,4.66,4.53,3.75,3.19,3.88,4.31,2.66,1.19,1.5,1.31,0.66,-0.59,-0.75,-0.62,-1.69,-4.03,-5.72,-6.09,-6.81,-8.41,-9.0,-8.59,-8.28,-9.22,-10.0,-9.03,-7.44,-6.5,-6.16,-5.41,-4.34,-5.19,-7.16,-8.75,-9.31,-10.19,-11.91,-13.28,-13.5,-13.59,-14.44,-16.0,-15.75,-14.66,-14.41,-14.66,-13.72,-11.62,-10.25,-10.66,-10.78,-9.94,-9.62,-10.56,-10.94,-9.03,-6.0,-3.66,-1.78,0.94,3.22,3.72,2.94,2.78,3.34,3.31,1.97,0.44,0.09,-0.44,-1.97,-3.16,-2.25,-0.94,-0.44,-0.53,0.03,0.97,0.69,-0.66,-0.91,-0.06,1.09,1.75,3.22,6.53,9.75,11.41,12.34,13.5,14.12,13.0,11.31,10.5,10.03,8.78,5.84,3.56,2.34,0.53,-2.06,-4.59,-5.0,-5.25,-6.44,-7.5,-6.66,-5.31,-4.78,-4.66,-2.78,0.09,2.59,3.53,5.38,7.59,9.69,10.25,9.88,10.56,10.22,7.5,4.12,2.22,0.97,-0.78,-2.97,-4.03,-4.41,-5.19,-7.22,-8.38,-7.97,-7.47,-8.31,-9.09,-8.62,-7.94,-8.62,-9.72,-9.56,-8.44,-8.22,-9.28,-9.69,-9.41,-9.28,-10.56,-10.81,-9.91,-8.94,-9.0,-9.72,-8.5,-6.88,-6.44,-6.66,-5.66,-3.72,-2.81,-2.81,-1.81,0.06,1.41,1.34,1.59,2.84,3.47,2.19,0.16,-0.88,-1.44,-2.69,-4.16,-4.62,-4.53,-5.5,-7.5,-8.66,-8.53,-7.94,-8.0,-7.03,-4.16,-0.56,1.66,3.0,5.91,9.28,11.22,11.91,13.5,15.28,15.5,13.47,12.25,11.66,10.75,8.56,6.75,6.19,6.31,5.72,4.72,5.19,5.78,4.66,2.44,0.88,0.97,1.19,1.12,1.62,3.03,4.41,3.97,3.38,3.94,4.75,4.41,3.5,3.38,4.19,4.38,4.0,4.25,4.94,4.47,2.0,-0.97,-2.84,-4.03,-6.28,-7.94,-8.53,-8.06,-8.97,-10.44,-9.97,-8.28,-6.97,-6.66,-6.19,-5.5,-5.81,-7.91,-9.47,-9.62,-8.97,-9.59,-9.91,-9.0,-7.47,-6.81,-6.56,-5.19,-2.91,-1.28,-1.5,-1.81,-2.34,-3.91,-7.5,-11.12,-12.97,-13.72,-15.34,-16.41,-15.94,-14.31,-13.62,-14.0,-13.97,-13.41,-14.22,-16.59,-18.28,-18.19,-17.62,-18.28,-17.97,-16.16,-13.72,-12.81,-12.19,-10.69,-8.66,-8.12,-8.25,-8.0,-6.56,-6.38,-7.78,-8.06,-6.56,-4.34,-2.59,-0.44,2.81,6.16,7.09,6.25,4.94,3.62,0.69,-3.41,-6.97,-8.72,-10.53,-13.03,-14.25,-12.88,-10.06,-7.72,-4.78,-1.06,2.72,4.22,4.38,4.69,5.5,5.78,5.03,4.41,4.75,4.38,1.84,-0.75,-2.5,-4.16,-7.22,-10.34,-11.62,-11.41,-11.5,-11.28,-9.41,-6.41,-3.94,-2.47,-0.53,2.78,6.06,7.84,9.62,12.72,16.47,18.22,19.56,21.44,23.22,22.88,21.28,19.72,19.34,17.5,13.88,10.09,7.56,5.09,1.56,-0.88,-0.94,0.53,0.62,0.91,2.25,4.0,4.59,3.72,3.78,4.78,5.38,4.81,4.75,6.69,8.78,9.12,9.09,10.25,11.53,10.81,9.44,8.84,9.0,8.19,6.5,5.69,6.06,6.31,4.88,3.66,4.0,4.34,3.03,1.5,0.59,0.72,-0.69,-1.97,-1.97,-0.03,1.44,2.0,2.72,4.88,5.91,5.56,5.22,6.38,7.66,7.5,7.03,7.31,7.5,6.12,4.25,3.09,2.97,2.66,1.31,0.38,0.78,0.81,-0.09,-1.19,-0.88,-0.62,-2.41,-4.69,-6.31,-7.06,-8.25,-9.38,-9.12,-6.84,-5.19,-4.75,-3.84,-1.16,1.66,3.22,4.56,7.03,8.75,8.09,6.5,5.44,5.41,4.62,3.31,3.12,4.88,6.16,6.38,6.94,8.94,10.47,10.19,9.66,10.62,12.53,13.5,13.59,14.16,14.78,13.53,10.5,7.34,5.66,3.66,0.59,-1.84,-2.0,-1.31,-1.44,-1.66,0.25,2.72,3.97,4.66,5.81,7.44,7.72,6.41,5.19,4.34,2.31,-1.38,-5.38,-7.69,-9.22,-11.09,-12.78,-12.0,-10.0,-8.75,-7.88,-6.22,-3.0,-0.84,0.47,2.66,6.31,9.44,11.12,11.94,12.91,12.66,9.41,4.44,0.0,-3.16,-6.19,-8.66,-8.56,-6.06,-3.81,-2.28,-0.72,2.22,3.97,3.78,3.12,3.66,4.59,4.59,4.38,5.62,7.97,9.09,9.53,10.72,13.06,13.78,13.12,12.0,12.16,12.09,10.56,8.44,7.0,5.0,1.38,-3.47,-6.62,-8.03,-9.34,-10.94,-11.22,-9.66,-8.72,-8.38,-8.22,-6.0,-3.22,-1.94,-1.03,1.28,3.66,4.41,3.59,4.44,6.09,6.72,5.72,4.97,4.72,3.72,1.81,0.12,0.16,0.28,-0.84,-2.81,-3.34,-2.78,-3.12,-3.47,-2.56,-0.25,1.0,1.0,1.41,3.03,4.56,5.22,6.06,8.62,11.03,11.53,10.38,10.34,10.34,9.12,7.22,6.28,5.88,4.5,1.72,-0.53,-0.69,-0.25,0.19,1.41,4.69,8.78,11.56,13.44,16.0,18.66,19.16,17.72,16.53,16.16,15.34,13.06,11.62,11.62,10.94,8.62,6.06,5.31,5.38,4.72,3.91,4.28,5.41,5.88,5.12,5.09,6.47,7.5,7.47,7.38,9.0,10.38,10.94,10.97,12.62,14.94,15.91,15.62,15.56,16.06,14.97,12.25,9.91,8.88,7.97,6.34,5.5,6.53,8.16,8.66,8.66,10.22,11.75,12.22,11.12,10.84,10.97,10.28,8.72,7.38,7.72,7.97,6.97,6.16,6.97,7.62,6.84,5.0,4.44,4.72,4.06,2.97,3.47,5.06,6.03,5.94,5.69,6.66,7.28,46.5,48.47,49.06,48.31,47.03,45.81,44.12,42.59,41.53,41.16,40.5,39.22,38.31,38.44,38.78,39.41,40.22,41.5,42.69,43.88,44.31,45.12,46.62,47.91,48.38,48.41,48.38,47.66,46.31,44.81,44.47,44.22,43.38,42.53,42.34:8.72,8.81,8.47,9.22,10.03,9.16,7.06,5.84,5.44,5.03,3.84,3.5,4.88,5.75,5.44,5.47,7.03,8.81,9.22,9.0,9.72,10.72,10.62,9.69,10.41,12.5,14.06,14.88,15.56,16.94,16.81,14.19,10.81,8.56,6.66,4.28,2.38,2.56,3.69,4.69,4.66,5.09,6.59,7.06,5.97,5.38,6.41,7.78,7.66,7.41,8.62,9.38,8.59,6.59,5.31,4.94,4.5,3.19,3.66,6.06,8.56,9.41,10.34,12.59,14.0,13.47,12.31,11.91,11.16,8.81,5.28,2.03,-0.59,-3.44,-7.09,-9.0,-8.47,-7.16,-6.44,-5.25,-2.66,-0.34,0.03,-0.12,0.69,1.88,2.16,1.44,1.47,2.0,1.94,0.41,-0.06,0.88,1.69,1.25,0.56,1.28,2.56,2.56,2.72,3.75,4.91,4.53,2.56,1.16,1.03,0.81,-0.19,-0.19,1.62,2.94,2.47,1.84,2.44,2.75,2.06,0.75,0.81,1.59,2.12,2.19,2.81,4.5,5.53,4.47,3.59,3.72,3.81,2.69,1.5,1.69,2.16,1.81,1.47,2.03,3.31,3.72,2.38,1.44,0.94,0.72,-0.59,-1.38,-0.28,1.25,1.22,0.97,2.16,3.78,4.38,4.03,4.22,5.06,4.38,2.88,1.81,2.03,3.03,2.72,3.09,4.91,6.78,7.0,6.09,5.44,4.81,2.84,0.12,-1.31,-1.03,-0.69,-0.56,-0.03,1.78,3.41,2.62,1.16,0.44,-0.03,-1.91,-3.72,-3.34,-2.53,-1.84,-1.84,-1.16,-0.06,0.19,-0.97,-2.06,-1.62,-1.12,-1.97,-2.94,-3.0,-2.94,-4.22,-5.66,-5.31,-3.34,-1.38,0.03,2.94,5.84,8.06,8.03,7.0,6.62,6.06,3.38,0.34,-1.81,-3.34,-5.94,-9.34,-11.62,-12.59,-13.66,-15.28,-15.47,-13.12,-10.34,-7.91,-4.91,-1.0,3.0,5.25,6.59,7.94,9.53,9.41,8.44,7.88,8.88,9.62,9.44,10.06,11.47,12.28,10.94,9.09,7.59,6.19,3.41,0.53,-0.91,-1.16,-1.78,-2.34,-1.59,1.06,3.78,5.66,7.22,9.38,10.88,10.41,9.56,9.66,10.12,9.28,7.88,7.41,7.94,7.69,7.34,8.34,10.56,12.69,13.59,14.03,14.53,14.16,11.34,7.97,5.59,4.03,1.81,-0.16,-0.66,0.69,2.0,3.16,5.47,9.03,11.66,12.0,11.28,11.25,10.56,9.06,8.16,9.28,11.91,13.75,14.88,16.09,17.56,17.12,14.44,11.16,8.5,5.5,0.53,-3.47,-5.47,-6.5,-7.88,-9.31,-8.94,-7.47,-6.44,-6.03,-5.25,-3.31,-2.62,-3.25,-2.97,-0.34,2.88,5.69,8.72,12.5,15.66,16.59,15.75,15.41,15.22,14.06,11.91,9.84,8.12,5.22,0.41,-4.97,-9.09,-12.59,-16.34,-19.22,-19.62,-18.5,-17.84,-17.75,-16.84,-15.09,-14.47,-14.22,-13.34,-10.69,-7.69,-5.69,-3.59,0.03,3.16,4.62,5.09,6.28,7.62,7.69,6.94,7.09,8.19,8.38,7.84,7.56,8.97,10.84,11.31,11.91,13.97,15.78,15.91,14.91,14.38,13.66,11.31,7.41,4.09,2.06,0.0,-2.53,-4.47,-4.34,-4.34,-5.06,-6.19,-5.59,-5.12,-5.5,-6.25,-6.44,-5.31,-4.97,-5.41,-5.09,-3.44,-2.12,-1.81,-1.91,-1.22,-1.19,-2.91,-4.72,-5.0,-4.22,-3.88,-3.72,-2.81,-1.03,-0.16,-0.41,-0.03,1.28,2.69,3.19,3.09,4.25,5.47,5.22,4.41,5.03,5.78,5.44,4.41,4.0,4.66,4.53,3.75,3.19,3.88,4.31,2.66,1.19,1.5,1.31,0.66,-0.59,-0.75,-0.62,-1.69,-4.03,-5.72,-6.09,-6.81,-8.41,-9.0,-8.59,-8.28,-9.22,-10.0,-9.03,-7.44,-6.5,-6.16,-5.41,-4.34,-5.19,-7.16,-8.75,-9.31,-10.19,-11.91,-13.28,-13.5,-13.59,-14.44,-16.0,-15.75,-14.66,-14.41,-14.66,-13.72,-11.62,-10.25,-10.66,-10.78,-9.94,-9.62,-10.56,-10.94,-9.03,-6.0,-3.66,-1.78,0.94,3.22,3.72,2.94,2.78,3.34,3.31,1.97,0.44,0.09,-0.44,-1.97,-3.16,-2.25,-0.94,-0.44,-0.53,0.03,0.97,0.69,-0.66,-0.91,-0.06,1.09,1.75,3.22,6.53,9.75,11.41,12.34,13.5,14.12,13.0,11.31,10.5,10.03,8.78,5.84,3.56,2.34,0.53,-2.06,-4.59,-5.0,-5.25,-6.44,-7.5,-6.66,-5.31,-4.78,-4.66,-2.78,0.09,2.59,3.53,5.38,7.59,9.69,10.25,9.88,10.56,10.22,7.5,4.12,2.22,0.97,-0.78,-2.97,-4.03,-4.41,-5.19,-7.22,-8.38,-7.97,-7.47,-8.31,-9.09,-8.62,-7.94,-8.62,-9.72,-9.56,-8.44,-8.22,-9.28,-9.69,-9.41,-9.28,-10.56,-10.81,-9.91,-8.94,-9.0,-9.72,-8.5,-6.88,-6.44,-6.66,-5.66,-3.72,-2.81,-2.81,-1.81,0.06,1.41,1.34,1.59,2.84,3.47,2.19,0.16,-0.88,-1.44,-2.69,-4.16,-4.62,-4.53,-5.5,-7.5,-8.66,-8.53,-7.94,-8.0,-7.03,-4.16,-0.56,1.66,3.0,5.91,9.28,11.22,11.91,13.5,15.28,15.5,13.47,12.25,11.66,10.75,8.56,6.75,6.19,6.31,5.72,4.72,5.19,5.78,4.66,2.44,0.88,0.97,1.19,1.12,1.62,3.03,4.41,3.97,3.38,3.94,4.75,4.41,3.5,3.38,4.19,4.38,4.0,4.25,4.94,4.47,2.0,-0.97,-2.84,-4.03,-6.28,-7.94,-8.53,-8.06,-8.97,-10.44,-9.97,-8.28,-6.97,-6.66,-6.19,-5.5,-5.81,-7.91,-9.47,-9.62,-8.97,-9.59,-9.91,-9.0,-7.47,-6.81,-6.56,-5.19,-2.91,-1.28,-1.5,-1.81,-2.34,-3.91,-7.5,-11.12,-12.97,-13.72,-15.34,-16.41,-15.94,-14.31,-13.62,-14.0,-13.97,-13.41,-14.22,-16.59,-18.28,-18.19,-17.62,-18.28,-17.97,-16.16,-13.72,-12.81,-12.19,-10.69,-8.66,-8.12,-8.25,-8.0,-6.56,-6.38,-7.78,-8.06,-6.56,-4.34,-2.59,-0.44,2.81,6.16,7.09,6.25,4.94,3.62,0.69,-3.41,-6.97,-8.72,-10.53,-13.03,-14.25,-12.88,-10.06,-7.72,-4.78,-1.06,2.72,4.22,4.38,4.69,5.5,5.78,5.03,4.41,4.75,4.38,1.84,-0.75,-2.5,-4.16,-7.22,-10.34,-11.62,-11.41,-11.5,-11.28,-9.41,-6.41,-3.94,-2.47,-0.53,2.78,6.06,7.84,9.62,12.72,16.47,18.22,19.56,21.44,23.22,22.88,21.28,19.72,19.34,17.5,13.88,10.09,7.56,5.09,1.56,-0.88,-0.94,0.53,0.62,0.91,2.25,4.0,4.59,3.72,3.78,4.78,5.38,4.81,4.75,6.69,8.78,9.12,9.09,10.25,11.53,10.81,9.44,8.84,9.0,8.19,6.5,5.69,6.06,6.31,4.88,3.66,4.0,4.34,3.03,1.5,0.59,0.72,-0.69,-1.97,-1.97,-0.03,1.44,2.0,2.72,4.88,5.91,5.56,5.22,6.38,7.66,7.5,7.03,7.31,7.5,6.12,4.25,3.09,2.97,2.66,1.31,0.38,0.78,0.81,-0.09,-1.19,-0.88,-0.62,-2.41,-4.69,-6.31,-7.06,-8.25,-9.38,-9.12,-6.84,-5.19,-4.75,-3.84,-1.16,1.66,3.22,4.56,7.03,8.75,8.09,6.5,5.44,5.41,4.62,3.31,3.12,4.88,6.16,6.38,6.94,8.94,10.47,10.19,9.66,10.62,12.53,13.5,13.59,14.16,14.78,13.53,10.5,7.34,5.66,3.66,0.59,-1.84,-2.0,-1.31,-1.44,-1.66,0.25,2.72,3.97,4.66,5.81,7.44,7.72,6.41,5.19,4.34,2.31,-1.38,-5.38,-7.69,-9.22,-11.09,-12.78,-12.0,-10.0,-8.75,-7.88,-6.22,-3.0,-0.84,0.47,2.66,6.31,9.44,11.12,11.94,12.91,12.66,9.41,4.44,0.0,-3.16,-6.19,-8.66,-8.56,-6.06,-3.81,-2.28,-0.72,2.22,3.97,3.78,3.12,3.66,4.59,4.59,4.38,5.62,7.97,9.09,9.53,10.72,13.06,13.78,13.12,12.0,12.16,12.09,10.56,8.44,7.0,5.0,1.38,-3.47,-6.62,-8.03,-9.34,-10.94,-11.22,-9.66,-8.72,-8.38,-8.22,-6.0,-3.22,-1.94,-1.03,1.28,3.66,4.41,3.59,4.44,6.09,6.72,5.72,4.97,4.72,3.72,1.81,0.12,0.16,0.28,-0.84,-2.81,-3.34,-2.78,-3.12,-3.47,-2.56,-0.25,1.0,1.0,1.41,3.03,4.56,5.22,6.06,8.62,11.03,11.53,10.38,10.34,10.34,9.12,7.22,6.28,5.88,4.5,1.72,-0.53,-0.69,-0.25,0.19,1.41,4.69,8.78,11.56,13.44,16.0,18.66,19.16,17.72,16.53,16.16,15.34,13.06,11.62,11.62,10.94,8.62,6.06,5.31,5.38,4.72,3.91,4.28,5.41,5.88,5.12,5.09,6.47,7.5,7.47,7.38,9.0,10.38,10.94,10.97,12.62,14.94,15.91,15.62,15.56,16.06,14.97,12.25,9.91,8.88,7.97,6.34,5.5,6.53,8.16,8.66,8.66,10.22,11.75,12.22,11.12,10.84,10.97,10.28,8.72,7.38,7.72,7.97,6.97,6.16,6.97,7.62,6.84,5.0,4.44,4.72,4.06,2.97,3.47,5.06,6.03,5.94,5.69,6.66,7.28,46.5,48.47,49.06,48.31,47.03,45.81,44.12,42.59,41.53,41.16,40.5,39.22,38.31,38.44,38.78,39.41,40.22,41.5,42.69,43.88,44.31,45.12,46.62,47.91,48.38,48.41,48.38,47.66,46.31,44.81,44.47,44.22,43.38,42.53,42.34,42.25,42.44,42.47,43.31,44.81,45.75,46.41:negativity
78.03,76.94,76.47,76.16,74.91,74.12,74.06,74.12,73.62,72.75,72.16,72.06,71.62,70.91,70.28,71.19,72.28,73.12,74.09,75.5,76.84,76.78,75.78,75.19,75.19,74.97,74.25,73.59,73.38,71.91,69.03,65.84,63.78,62.59,61.88,62.44,64.16,66.47,67.19,67.06,67.22,67.44,67.75,67.69,68.03,69.12,69.94,69.56,68.91,68.47,68.12,67.03,66.41,66.91,68.22,68.78,69.25,70.28,71.88,73.12,73.44,73.16,72.88,71.72,69.34,67.22,66.34,65.75,64.41,63.31,62.94,63.31,63.5,63.69,64.66,66.09,67.09,67.34,67.66,68.53,68.59,67.19,65.09,63.38,62.44,60.66,59.47,59.84,61.53,63.03,64.81,67.06,69.72,71.22,70.91,69.78,68.84,68.19,67.03,66.41,67.09,68.28,68.47,68.03,67.75,67.75,67.16,66.16,65.41,65.66,65.31,64.47,63.5,63.25,63.12,62.16,61.28,61.5,62.22,63.12,64.31,66.25,68.47,69.12,68.41,66.69,65.12,62.78,60.0,58.03,57.56,57.84,58.12,58.94,61.06,63.47,65.09,66.5,68.38,70.5,71.53,71.84,71.56,71.62,71.09,69.22,67.12,65.94,64.91,63.0,61.12,60.28,60.22,59.75,59.28,59.94,61.69,62.91,63.5,63.88,64.75,65.12,64.5,63.78,63.81,63.81,63.44,63.34,64.41,66.38,68.25,69.81,71.19,73.0,73.78,72.91,71.53,70.78,69.38,66.94,64.09,62.25,60.47,58.44,56.38,55.69,55.81,56.09,56.62,57.91,61.16,64.75,68.41,72.59,77.94,82.75,86.0,88.25,90.16,91.69,91.34,89.81,87.97,86.28,83.72,80.03,76.75,74.09,71.38,67.75,64.34,62.31,60.81,59.31,58.62,59.5,61.5,62.94,64.06,65.62,67.53,67.88,67.31,65.81,65.03,63.62,61.66,60.22,60.19,60.53,60.56,60.41,60.81,61.44,60.97,60.03,60.59,61.97,64.41,66.72,70.03,73.62,76.59,78.28,78.97,79.97,81.34,81.28,80.62,80.0,78.12,74.84,70.16,65.47,61.53,58.53,56.47,56.06,58.09,60.66,62.88,64.62,67.06,69.31,70.56,70.84,71.72,72.97,73.66,73.5,73.78,74.16,74.41,74.12,74.09,75.03,76.12,77.03,77.28,78.94,80.97,81.88,81.5,81.06,80.31,78.09,75.12,72.12,69.62,67.12,63.59,60.72,58.75,57.22,56.06,55.5,56.66,58.53,60.31,61.38,62.62,64.09,65.25,65.69,66.19,67.5,68.0,66.94,65.38,64.16,62.56,60.06,57.47,56.22,55.72,56.12,56.5,57.97,59.62,60.88,60.62,59.94,59.81,59.69,58.72,57.78,57.94,57.78,57.53,57.09,57.84,59.78,61.75,63.59,65.59,67.81,69.34,69.44,69.0,69.12,68.81,67.5,66.31,66.31,66.81,67.59,68.06,69.56,71.81,72.97,73.0,72.66,72.72,72.0,70.66,69.72,70.22,70.84,70.62,69.94,69.56,68.91,67.5,66.03,65.28,65.03,64.5,63.12,62.0,61.59,61.09,60.31,60.28,61.09,62.44,62.91,62.75,62.62,62.47,61.75,60.59,60.66,61.69,63.06,63.81,64.59,66.03,67.09,67.09,66.66,67.31,67.84,67.06,65.97,65.28,64.25,62.69,60.44,58.31,56.62,55.16,53.09,52.12,52.75,53.53,53.62,53.62,54.0,54.44,54.31,53.78,54.03,54.56,54.72,54.44,54.59,55.16,55.31,54.44,53.66,53.81,54.59,54.5,54.69,56.16,57.72,58.5,59.09,59.41,59.69,59.06,57.38,55.28,53.53,51.69,48.56,45.62,43.41,42.03,40.28,38.88,38.47,38.78,39.06,39.56,40.72,43.59,46.59,49.12,51.66,54.88,57.41,58.88,59.81,61.16,62.75,63.09,62.91,63.06,63.5,62.91,61.56,60.44,59.84,59.03,57.12,55.94,55.47,55.72,54.84,54.09,53.94,53.78,53.06,52.19,52.22,53.28,54.19,54.53,55.16,56.0,56.09,55.16,54.41,53.94,53.97,53.28,52.41,53.0,53.94,54.06,54.41,55.75,57.62,59.31,60.06,60.56,60.91,60.53,58.53,56.91,55.91,55.25,53.69,52.47,51.94,52.12,51.81,51.28,51.59,52.28,52.56,52.38,52.56,53.31,54.38,54.47,54.41,54.44,54.16,52.53,50.44,48.84,48.12,47.16,46.34,46.06,46.12,46.34,46.0,46.06,47.62,49.53,50.53,51.19,52.0,52.47,51.75,50.41,49.62,49.78,49.72,48.62,47.31,46.22,44.5,42.12,40.44,40.84,42.47,44.31,46.69,49.47,52.28,53.38,53.31,53.06,53.16,52.78,52.41,52.69,54.53,56.53,57.81,58.5,59.41,59.31,57.66,55.66,54.69,54.31,53.91,53.62,53.22,52.72,51.06,48.44,46.5,46.28,47.0,48.75,51.88,56.19,60.75,64.28,66.91,68.88,69.72,68.53,66.38,63.5,61.53,59.0,56.53,54.31,53.0,52.12,50.59,49.47,49.5,50.12,50.22,50.25,50.5,51.28,51.41,51.22,51.06,51.81,52.12,52.03,52.31,53.62,55.31,56.12,56.28,56.59,56.53,55.56,54.03,52.75,51.66,49.78,47.0,43.94,41.94,39.75,37.56,35.78,35.44,35.94,36.69,37.94,40.38,43.28,45.75,47.44,48.31,49.03,48.62,47.12,45.19,44.56,43.94,43.44,42.62,42.75,43.16,42.5,42.03,42.03,43.06,43.78,44.03,44.78,46.09,47.34,48.16,48.94,50.22,50.91,50.16,49.09,48.25,47.94,47.28,46.62,46.75,47.25,47.66,47.62,47.97,49.12,50.16,50.28,50.0,49.44,48.66,47.53,46.81,47.41,49.12,50.88,52.12,53.12,54.03,54.28,53.91,53.41,53.28,53.19,52.25,50.84,50.28,49.69,48.75,47.53,46.69,45.97,44.78,43.03,41.72,41.28,41.06,40.56,40.56,41.59,42.81,43.41,44.25,45.72,47.59,48.62,49.03,49.78,50.56,50.97,51.22,51.56,52.22,52.16,50.84,48.81,46.84,45.06,42.88,41.16,40.91,41.78,43.56,45.34,48.22,50.94,52.62,52.75,52.0,51.06,49.91,48.38,46.78,46.38,46.56,46.47,46.06,46.25,46.44,46.28,45.66,45.09,45.56,45.84,45.62,45.38,45.53,45.62,44.34,43.03,42.34,41.75,41.38,40.75,40.78,41.22,41.34,41.12,40.84,40.81,40.62,39.44,38.41,38.44,38.66,38.62,38.28,38.72,39.62,40.22,40.16,41.09,41.69,42.34,42.03,42.06,42.75,43.38,43.12,42.5,42.06,41.5,39.88,37.59,35.75,34.34,33.09,31.59,30.94,30.94,31.31,31.16,31.59,32.78,33.84,34.31,34.53,35.56,37.22,38.84,39.56,40.78,41.88,41.94,40.62,39.62,38.56,37.0,35.03,33.5,33.16,33.78,34.31,34.94,36.44,37.53,37.84,37.56,37.56,37.88,38.25,37.59,37.69,38.59,39.34,39.31,39.41,39.44,39.22,37.84,36.03,34.84,34.12,33.03,31.53,30.75,30.53,30.19,29.47,29.62,30.25,31.25,31.03,31.09,32.03,33.12,33.56,33.69,33.97,34.38,33.88,32.97,32.28,31.97,31.03,29.16,27.53,26.91,27.22,27.44,28.75,31.31,34.25,36.28,37.66,39.22,40.81,42.09,42.66,43.38,44.41,45.03,44.19,42.47,41.25,39.81,37.22,34.72,33.03,32.62,31.53,30.72,31.0,31.78,32.41,32.09,32.41,32.84,33.62,33.44,33.31,33.28,33.0,31.41,29.44,28.28,28.41,28.69,28.94,29.75,30.75,31.75,31.5,31.19,31.88,32.62,32.47,32.75,34.25,36.0,36.28,35.91,35.25,34.41,32.88,30.88,29.5,28.81,28.16,26.56,25.41,25.69,25.88,25.31,24.97,25.22,25.88,26.28,27.25,28.66,30.69,32.06,32.72,32.72,32.84,32.41,31.03,30.0,29.75,29.81,29.0,28.06,27.5,27.22,26.59,26.16,26.5,27.97,29.25,29.72,30.09,30.38,30.22,28.91,27.19,26.06,25.75,24.78,23.62,23.22,23.66,23.19,22.38,22.28,22.91,23.81,24.75,25.84,27.69,29.47,29.56,28.62,27.94,27.47,26.19,24.62,24.03,23.56,22.47,20.75,19.34,19.19,19.53,19.56,20.56,22.31,24.44,24.97,24.5,24.59,24.44,23.66,23.69,25.0,27.66,30.66,32.75,34.34,36.12,36.75,35.81,34.19,33.47,32.75,30.81,29.12,27.81,27.16,25.5,23.59,22.44,22.47,22.66,22.81,23.31,25.34,28.16,30.69,33.88,38.09,41.91,43.66,43.72,43.53,43.16,41.56,39.72,37.91,36.16,33.09,28.38,23.59,19.97,17.28,15.0,13.78,14.44,16.16,17.56,19.41,22.28,26.31,29.81,32.69,35.28,37.69,38.16,36.78,34.0,31.22,28.53,24.75,21.81,20.56,20.41,20.0,19.72,19.84,20.81,20.81,20.72,21.53,23.5,25.78,27.62,29.16,31.28,32.38,31.69,29.53,27.69,25.47,22.97,21.03,20.25,21.25,22.78,23.75,24.62,26.0,26.72,26.0,25.38,25.94,27.0,27.56,27.75,28.0,28.41,27.12,25.34,23.97,23.22,22.12,20.84,19.94,20.66,21.69,22.88,24.19,26.5,28.59,29.81,30.28,30.91,32.72,33.88,34.56,35.34,36.62,36.94,36.34,35.25,34.69,34.25,32.94,31.31,30.72,30.72,30.34,29.91,30.25,31.78,33.28,34.38,35.69,37.41,38.5,38.34,37.28,36.88,36.75,35.72,34.91,35.59,36.88,36.84,35.75,34.69,33.75,32.25,30.38,28.84,28.84,28.5:74.12,73.62,72.75,72.16,72.06,71.62,70.91,70.28,71.19,72.28,73.12,74.09,75.5,76.84,76.78,75.78,75.19,75.19,74.97,74.25,73.59,73.38,71.91,69.03,65.84,63.78,62.59,61.88,62.44,64.16,66.47,67.19,67.06,67.22,67.44,67.75,67.69,68.03,69.12,69.94,69.56,68.91,68.47,68.12,67.03,66.41,66.91,68.22,68.78,69.25,70.28,71.88,73.12,73.44,73.16,72.88,71.72,69.34,67.22,66.34,65.75,64.41,63.31,62.94,63.31,63.5,63.69,64.66,66.09,67.09,67.34,67.66,68.53,68.59,67.19,65.09,63.38,62.44,60.66,59.47,59.84,61.53,63.03,64.81,67.06,69.72,71.22,70.91,69.78,68.84,68.19,67.03,66.41,67.09,68.28,68.47,68.03,67.75,67.75,67.16,66.16,65.41,65.66,65.31,64.47,63.5,63.25,63.12,62.16,61.28,61.5,62.22,63.12,64.31,66.25,68.47,69.12,68.41,66.69,65.12,62.78,60.0,58.03,57.56,57.84,58.12,58.94,61.06,63.47,65.09,66.5,68.38,70.5,71.53,71.84,71.56,71.62,71.09,69.22,67.12,65.94,64.91,63.0,61.12,60.28,60.22,59.75,59.28,59.94,61.69,62.91,63.5,63.88,64.75,65.12,64.5,63.78,63.81,63.81,63.44,63.34,64.41,66.38,68.25,69.81,71.19,73.0,73.78,72.91,71.53,70.78,69.38,66.94,64.09,62.25,60.47,58.44,56.38,55.69,55.81,56.09,56.62,57.91,61.16,64.75,68.41,72.59,77.94,82.75,86.0,88.25,90.16,91.69,91.34,89.81,87.97,86.28,83.72,80.03,76.75,74.09,71.38,67.75,64.34,62.31,60.81,59.31,58.62,59.5,61.5,62.94,64.06,65.62,67.53,67.88,67.31,65.81,65.03,63.62,61.66,60.22,60.19,60.53,60.56,60.41,60.81,61.44,60.97,60.03,60.59,61.97,64.41,66.72,70.03,73.62,76.59,78.28,78.97,79.97,81.34,81.28,80.62,80.0,78.12,74.84,70.16,65.47,61.53,58.53,56.47,56.06,58.09,60.66,62.88,64.62,67.06,69.31,70.56,70.84,71.72,72.97,73.66,73.5,73.78,74.16,74.41,74.12,74.09,75.03,76.12,77.03,77.28,78.94,80.97,81.88,81.5,81.06,80.31,78.09,75.12,72.12,69.62,67.12,63.59,60.72,58.75,57.22,56.06,55.5,56.66,58.53,60.31,61.38,62.62,64.09,65.25,65.69,66.19,67.5,68.0,66.94,65.38,64.16,62.56,60.06,57.47,56.22,55.72,56.12,56.5,57.97,59.62,60.88,60.62,59.94,59.81,59.69,58.72,57.78,57.94,57.78,57.53,57.09,57.84,59.78,61.75,63.59,65.59,67.81,69.34,69.44,69.0,69.12,68.81,67.5,66.31,66.31,66.81,67.59,68.06,69.56,71.81,72.97,73.0,72.66,72.72,72.0,70.66,69.72,70.22,70.84,70.62,69.94,69.56,68.91,67.5,66.03,65.28,65.03,64.5,63.12,62.0,61.59,61.09,60.31,60.28,61.09,62.44,62.91,62.75,62.62,62.47,61.75,60.59,60.66,61.69,63.06,63.81,64.59,66.03,67.09,67.09,66.66,67.31,67.84,67.06,65.97,65.28,64.25,62.69,60.44,58.31,56.62,55.16,53.09,52.12,52.75,53.53,53.62,53.62,54.0,54.44,54.31,53.78,54.03,54.56,54.72,54.44,54.59,55.16,55.31,54.44,53.66,53.81,54.59,54.5,54.69,56.16,57.72,58.5,59.09,59.41,59.69,59.06,57.38,55.28,53.53,51.69,48.56,45.62,43.41,42.03,40.28,38.88,38.47,38.78,39.06,39.56,40.72,43.59,46.59,49.12,51.66,54.88,57.41,58.88,59.81,61.16,62.75,63.09,62.91,63.06,63.5,62.91,61.56,60.44,59.84,59.03,57.12,55.94,55.47,55.72,54.84,54.09,53.94,53.78,53.06,52.19,52.22,53.28,54.19,54.53,55.16,56.0,56.09,55.16,54.41,53.94,53.97,53.28,52.41,53.0,53.94,54.06,54.41,55.75,57.62,59.31,60.06,60.56,60.91,60.53,58.53,56.91,55.91,55.25,53.69,52.47,51.94,52.12,51.81,51.28,51.59,52.28,52.56,52.38,52.56,53.31,54.38,54.47,54.41,54.44,54.16,52.53,50.44,48.84,48.12,47.16,46.34,46.06,46.12,46.34,46.0,46.06,47.62,49.53,50.53,51.19,52.0,52.47,51.75,50.41,49.62,49.78,49.72,48.62,47.31,46.22,44.5,42.12,40.44,40.84,42.47,44.31,46.69,49.47,52.28,53.38,53.31,53.06,53.16,52.78,52.41,52.69,54.53,56.53,57.81,58.5,59.41,59.31,57.66,55.66,54.69,54.31,53.91,53.62,53.22,52.72,51.06,48.44,46.5,46.28,47.0,48.75,51.88,56.19,60.75,64.28,66.91,68.88,69.72,68.53,66.38,63.5,61.53,59.0,56.53,54.31,53.0,52.12,50.59,49.47,49.5,50.12,50.22,50.25,50.5,51.28,51.41,51.22,51.06,51.81,52.12,52.03,52.31,53.62,55.31,56.12,56.28,56.59,56.53,55.56,54.03,52.75,51.66,49.78,47.0,43.94,41.94,39.75,37.56,35.78,35.44,35.94,36.69,37.94,40.38,43.28,45.75,47.44,48.31,49.03,48.62,47.12,45.19,44.56,43.94,43.44,42.62,42.75,43.16,42.5,42.03,42.03,43.06,43.78,44.03,44.78,46.09,47.34,48.16,48.94,50.22,50.91,50.16,49.09,48.25,47.94,47.28,46.62,46.75,47.25,47.66,47.62,47.97,49.12,50.16,50.28,50.0,49.44,48.66,47.53,46.81,47.41,49.12,50.88,52.12,53.12,54.03,54.28,53.91,53.41,53.28,53.19,52.25,50.84,50.28,49.69,48.75,47.53,46.69,45.97,44.78,43.03,41.72,41.28,41.06,40.56,40.56,41.59,42.81,43.41,44.25,45.72,47.59,48.62,49.03,49.78,50.56,50.97,51.22,51.56,52.22,52.16,50.84,48.81,46.84,45.06,42.88,41.16,40.91,41.78,43.56,45.34,48.22,50.94,52.62,52.75,52.0,51.06,49.91,48.38,46.78,46.38,46.56,46.47,46.06,46.25,46.44,46.28,45.66,45.09,45.56,45.84,45.62,45.38,45.53,45.62,44.34,43.03,42.34,41.75,41.38,40.75,40.78,41.22,41.34,41.12,40.84,40.81,40.62,39.44,38.41,38.44,38.66,38.62,38.28,38.72,39.62,40.22,40.16,41.09,41.69,42.34,42.03,42.06,42.75,43.38,43.12,42.5,42.06,41.5,39.88,37.59,35.75,34.34,33.09,31.59,30.94,30.94,31.31,31.16,31.59,32.78,33.84,34.31,34.53,35.56,37.22,38.84,39.56,40.78,41.88,41.94,40.62,39.62,38.56,37.0,35.03,33.5,33.16,33.78,34.31,34.94,36.44,37.53,37.84,37.56,37.56,37.88,38.25,37.59,37.69,38.59,39.34,39.31,39.41,39.44,39.22,37.84,36.03,34.84,34.12,33.03,31.53,30.75,30.53,30.19,29.47,29.62,30.25,31.25,31.03,31.09,32.03,33.12,33.56,33.69,33.97,34.38,33.88,32.97,32.28,31.97,31.03,29.16,27.53,26.91,27.22,27.44,28.75,31.31,34.25,36.28,37.66,39.22,40.81,42.09,42.66,43.38,44.41,45.03,44.19,42.47,41.25,39.81,37.22,34.72,33.03,32.62,31.53,30.72,31.0,31.78,32.41,32.09,32.41,32.84,33.62,33.44,33.31,33.28,33.0,31.41,29.44,28.28,28.41,28.69,28.94,29.75,30.75,31.75,31.5,31.19,31.88,32.62,32.47,32.75,34.25,36.0,36.28,35.91,35.25,34.41,32.88,30.88,29.5,28.81,28.16,26.56,25.41,25.69,25.88,25.31,24.97,25.22,25.88,26.28,27.25,28.66,30.69,32.06,32.72,32.72,32.84,32.41,31.03,30.0,29.75,29.81,29.0,28.06,27.5,27.22,26.59,26.16,26.5,27.97,29.25,29.72,30.09,30.38,30.22,28.91,27.19,26.06,25.75,24.78,23.62,23.22,23.66,23.19,22.38,22.28,22.91,23.81,24.75,25.84,27.69,29.47,29.56,28.62,27.94,27.47,26.19,24.62,24.03,23.56,22.47,20.75,19.34,19.19,19.53,19.56,20.56,22.31,24.44,24.97,24.5,24.59,24.44,23.66,23.69,25.0,27.66,30.66,32.75,34.34,36.12,36.75,35.81,34.19,33.47,32.75,30.81,29.12,27.81,27.16,25.5,23.59,22.44,22.47,22.66,22.81,23.31,25.34,28.16,30.69,33.88,38.09,41.91,43.66,43.72,43.53,43.16,41.56,39.72,37.91,36.16,33.09,28.38,23.59,19.97,17.28,15.0,13.78,14.44,16.16,17.56,19.41,22.28,26.31,29.81,32.69,35.28,37.69,38.16,36.78,34.0,31.22,28.53,24.75,21.81,20.56,20.41,20.0,19.72,19.84,20.81,20.81,20.72,21.53,23.5,25.78,27.62,29.16,31.28,32.38,31.69,29.53,27.69,25.47,22.97,21.03,20.25,21.25,22.78,23.75,24.62,26.0,26.72,26.0,25.38,25.94,27.0,27.56,27.75,28.0,28.41,27.12,25.34,23.97,23.22,22.12,20.84,19.94,20.66,21.69,22.88,24.19,26.5,28.59,29.81,30.28,30.91,32.72,33.88,34.56,35.34,36.62,36.94,36.34,35.25,34.69,34.25,32.94,31.31,30.72,30.72,30.34,29.91,30.25,31.78,33.28,34.38,35.69,37.41,38.5,38.34,37.28,36.88,36.75,35.72,34.91,35.59,36.88,36.84,35.75,34.69,33.75,32.25,30.38,28.84,28.84,28.5,113.75,112.53,110.84,108.97,107.09,105.56,104.59:70.28,71.19,72.28,73.12,74.09,75.5,76.84,76.78,75.78,75.19,75.19,74.97,74.25,73.59,73.38,71.91,69.03,65.84,63.78,62.59,61.88,62.44,64.16,66.47,67.19,67.06,67.22,67.44,67.75,67.69,68.03,69.12,69.94,69.56,68.91,68.47,68.12,67.03,66.41,66.91,68.22,68.78,69.25,70.28,71.88,73.12,73.44,73.16,72.88,71.72,69.34,67.22,66.34,65.75,64.41,63.31,62.94,63.31,63.5,63.69,64.66,66.09,67.09,67.34,67.66,68.53,68.59,67.19,65.09,63.38,62.44,60.66,59.47,59.84,61.53,63.03,64.81,67.06,69.72,71.22,70.91,69.78,68.84,68.19,67.03,66.41,67.09,68.28,68.47,68.03,67.75,67.75,67.16,66.16,65.41,65.66,65.31,64.47,63.5,63.25,63.12,62.16,61.28,61.5,62.22,63.12,64.31,66.25,68.47,69.12,68.41,66.69,65.12,62.78,60.0,58.03,57.56,57.84,58.12,58.94,61.06,63.47,65.09,66.5,68.38,70.5,71.53,71.84,71.56,71.62,71.09,69.22,67.12,65.94,64.91,63.0,61.12,60.28,60.22,59.75,59.28,59.94,61.69,62.91,63.5,63.88,64.75,65.12,64.5,63.78,63.81,63.81,63.44,63.34,64.41,66.38,68.25,69.81,71.19,73.0,73.78,72.91,71.53,70.78,69.38,66.94,64.09,62.25,60.47,58.44,56.38,55.69,55.81,56.09,56.62,57.91,61.16,64.75,68.41,72.59,77.94,82.75,86.0,88.25,90.16,91.69,91.34,89.81,87.97,86.28,83.72,80.03,76.75,74.09,71.38,67.75,64.34,62.31,60.81,59.31,58.62,59.5,61.5,62.94,64.06,65.62,67.53,67.88,67.31,65.81,65.03,63.62,61.66,60.22,60.19,60.53,60.56,60.41,60.81,61.44,60.97,60.03,60.59,61.97,64.41,66.72,70.03,73.62,76.59,78.28,78.97,79.97,81.34,81.28,80.62,80.0,78.12,74.84,70.16,65.47,61.53,58.53,56.47,56.06,58.09,60.66,62.88,64.62,67.06,69.31,70.56,70.84,71.72,72.97,73.66,73.5,73.78,74.16,74.41,74.12,74.09,75.03,76.12,77.03,77.28,78.94,80.97,81.88,81.5,81.06,80.31,78.09,75.12,72.12,69.62,67.12,63.59,60.72,58.75,57.22,56.06,55.5,56.66,58.53,60.31,61.38,62.62,64.09,65.25,65.69,66.19,67.5,68.0,66.94,65.38,64.16,62.56,60.06,57.47,56.22,55.72,56.12,56.5,57.97,59.62,60.88,60.62,59.94,59.81,59.69,58.72,57.78,57.94,57.78,57.53,57.09,57.84,59.78,61.75,63.59,65.59,67.81,69.34,69.44,69.0,69.12,68.81,67.5,66.31,66.31,66.81,67.59,68.06,69.56,71.81,72.97,73.0,72.66,72.72,72.0,70.66,69.72,70.22,70.84,70.62,69.94,69.56,68.91,67.5,66.03,65.28,65.03,64.5,63.12,62.0,61.59,61.09,60.31,60.28,61.09,62.44,62.91,62.75,62.62,62.47,61.75,60.59,60.66,61.69,63.06,63.81,64.59,66.03,67.09,67.09,66.66,67.31,67.84,67.06,65.97,65.28,64.25,62.69,60.44,58.31,56.62,55.16,53.09,52.12,52.75,53.53,53.62,53.62,54.0,54.44,54.31,53.78,54.03,54.56,54.72,54.44,54.59,55.16,55.31,54.44,53.66,53.81,54.59,54.5,54.69,56.16,57.72,58.5,59.09,59.41,59.69,59.06,57.38,55.28,53.53,51.69,48.56,45.62,43.41,42.03,40.28,38.88,38.47,38.78,39.06,39.56,40.72,43.59,46.59,49.12,51.66,54.88,57.41,58.88,59.81,61.16,62.75,63.09,62.91,63.06,63.5,62.91,61.56,60.44,59.84,59.03,57.12,55.94,55.47,55.72,54.84,54.09,53.94,53.78,53.06,52.19,52.22,53.28,54.19,54.53,55.16,56.0,56.09,55.16,54.41,53.94,53.97,53.28,52.41,53.0,53.94,54.06,54.41,55.75,57.62,59.31,60.06,60.56,60.91,60.53,58.53,56.91,55.91,55.25,53.69,52.47,51.94,52.12,51.81,51.28,51.59,52.28,52.56,52.38,52.56,53.31,54.38,54.47,54.41,54.44,54.16,52.53,50.44,48.84,48.12,47.16,46.34,46.06,46.12,46.34,46.0,46.06,47.62,49.53,50.53,51.19,52.0,52.47,51.75,50.41,49.62,49.78,49.72,48.62,47.31,46.22,44.5,42.12,40.44,40.84,42.47,44.31,46.69,49.47,52.28,53.38,53.31,53.06,53.16,52.78,52.41,52.69,54.53,56.53,57.81,58.5,59.41,59.31,57.66,55.66,54.69,54.31,53.91,53.62,53.22,52.72,51.06,48.44,46.5,46.28,47.0,48.75,51.88,56.19,60.75,64.28,66.91,68.88,69.72,68.53,66.38,63.5,61.53,59.0,56.53,54.31,53.0,52.12,50.59,49.47,49.5,50.12,50.22,50.25,50.5,51.28,51.41,51.22,51.06,51.81,52.12,52.03,52.31,53.62,55.31,56.12,56.28,56.59,56.53,55.56,54.03,52.75,51.66,49.78,47.0,43.94,41.94,39.75,37.56,35.78,35.44,35.94,36.69,37.94,40.38,43.28,45.75,47.44,48.31,49.03,48.62,47.12,45.19,44.56,43.94,43.44,42.62,42.75,43.16,42.5,42.03,42.03,43.06,43.78,44.03,44.78,46.09,47.34,48.16,48.94,50.22,50.91,50.16,49.09,48.25,47.94,47.28,46.62,46.75,47.25,47.66,47.62,47.97,49.12,50.16,50.28,50.0,49.44,48.66,47.53,46.81,47.41,49.12,50.88,52.12,53.12,54.03,54.28,53.91,53.41,53.28,53.19,52.25,50.84,50.28,49.69,48.75,47.53,46.69,45.97,44.78,43.03,41.72,41.28,41.06,40.56,40.56,41.59,42.81,43.41,44.25,45.72,47.59,48.62,49.03,49.78,50.56,50.97,51.22,51.56,52.22,52.16,50.84,48.81,46.84,45.06,42.88,41.16,40.91,41.78,43.56,45.34,48.22,50.94,52.62,52.75,52.0,51.06,49.91,48.38,46.78,46.38,46.56,46.47,46.06,46.25,46.44,46.28,45.66,45.09,45.56,45.84,45.62,45.38,45.53,45.62,44.34,43.03,42.34,41.75,41.38,40.75,40.78,41.22,41.34,41.12,40.84,40.81,40.62,39.44,38.41,38.44,38.66,38.62,38.28,38.72,39.62,40.22,40.16,41.09,41.69,42.34,42.03,42.06,42.75,43.38,43.12,42.5,42.06,41.5,39.88,37.59,35.75,34.34,33.09,31.59,30.94,30.94,31.31,31.16,31.59,32.78,33.84,34.31,34.53,35.56,37.22,38.84,39.56,40.78,41.88,41.94,40.62,39.62,38.56,37.0,35.03,33.5,33.16,33.78,34.31,34.94,36.44,37.53,37.84,37.56,37.56,37.88,38.25,37.59,37.69,38.59,39.34,39.31,39.41,39.44,39.22,37.84,36.03,34.84,34.12,33.03,31.53,30.75,30.53,30.19,29.47,29.62,30.25,31.25,31.03,31.09,32.03,33.12,33.56,33.69,33.97,34.38,33.88,32.97,32.28,31.97,31.03,29.16,27.53,26.91,27.22,27.44,28.75,31.31,34.25,36.28,37.66,39.22,40.81,42.09,42.66,43.38,44.41,45.03,44.19,42.47,41.25,39.81,37.22,34.72,33.03,32.62,31.53,30.72,31.0,31.78,32.41,32.09,32.41,32.84,33.62,33.44,33.31,33.28,33.0,31.41,29.44,28.28,28.41,28.69,28.94,29.75,30.75,31.75,31.5,31.19,31.88,32.62,32.47,32.75,34.25,36.0,36.28,35.91,35.25,34.41,32.88,30.88,29.5,28.81,28.16,26.56,25.41,25.69,25.88,25.31,24.97,25.22,25.88,26.28,27.25,28.66,30.69,32.06,32.72,32.72,32.84,32.41,31.03,30.0,29.75,29.81,29.0,28.06,27.5,27.22,26.59,26.16,26.5,27.97,29.25,29.72,30.09,30.38,30.22,28.91,27.19,26.06,25.75,24.78,23.62,23.22,23.66,23.19,22.38,22.28,22.91,23.81,24.75,25.84,27.69,29.47,29.56,28.62,27.94,27.47,26.19,24.62,24.03,23.56,22.47,20.75,19.34,19.19,19.53,19.56,20.56,22.31,24.44,24.97,24.5,24.59,24.44,23.66,23.69,25.0,27.66,30.66,32.75,34.34,36.12,36.75,35.81,34.19,33.47,32.75,30.81,29.12,27.81,27.16,25.5,23.59,22.44,22.47,22.66,22.81,23.31,25.34,28.16,30.69,33.88,38.09,41.91,43.66,43.72,43.53,43.16,41.56,39.72,37.91,36.16,33.09,28.38,23.59,19.97,17.28,15.0,13.78,14.44,16.16,17.56,19.41,22.28,26.31,29.81,32.69,35.28,37.69,38.16,36.78,34.0,31.22,28.53,24.75,21.81,20.56,20.41,20.0,19.72,19.84,20.81,20.81,20.72,21.53,23.5,25.78,27.62,29.16,31.28,32.38,31.69,29.53,27.69,25.47,22.97,21.03,20.25,21.25,22.78,23.75,24.62,26.0,26.72,26.0,25.38,25.94,27.0,27.56,27.75,28.0,28.41,27.12,25.34,23.97,23.22,22.12,20.84,19.94,20.66,21.69,22.88,24.19,26.5,28.59,29.81,30.28,30.91,32.72,33.88,34.56,35.34,36.62,36.94,36.34,35.25,34.69,34.25,32.94,31.31,30.72,30.72,30.34,29.91,30.25,31.78,33.28,34.38,35.69,37.41,38.5,38.34,37.28,36.88,36.75,35.72,34.91,35.59,36.88,36.84,35.75,34.69,33.75,32.25,30.38,28.84,28.84,28.5,113.75,112.53,110.84,108.97,107.09,105.56,104.59,104.41,104.5,104.75,104.56,104.44,103.94,103.59:76.78,75.78,75.19,75.19,74.97,74.25,73.59,73.38,71.91,69.03,65.84,63.78,62.59,61.88,62.44,64.16,66.47,67.19,67.06,67.22,67.44,67.75,67.69,68.03,69.12,69.94,69.56,68.91,68.47,68.12,67.03,66.41,66.91,68.22,68.78,69.25,70.28,71.88,73.12,73.44,73.16,72.88,71.72,69.34,67.22,66.34,65.75,64.41,63.31,62.94,63.31,63.5,63.69,64.66,66.09,67.09,67.34,67.66,68.53,68.59,67.19,65.09,63.38,62.44,60.66,59.47,59.84,61.53,63.03,64.81,67.06,69.72,71.22,70.91,69.78,68.84,68.19,67.03,66.41,67.09,68.28,68.47,68.03,67.75,67.75,67.16,66.16,65.41,65.66,65.31,64.47,63.5,63.25,63.12,62.16,61.28,61.5,62.22,63.12,64.31,66.25,68.47,69.12,68.41,66.69,65.12,62.78,60.0,58.03,57.56,57.84,58.12,58.94,61.06,63.47,65.09,66.5,68.38,70.5,71.53,71.84,71.56,71.62,71.09,69.22,67.12,65.94,64.91,63.0,61.12,60.28,60.22,59.75,59.28,59.94,61.69,62.91,63.5,63.88,64.75,65.12,64.5,63.78,63.81,63.81,63.44,63.34,64.41,66.38,68.25,69.81,71.19,73.0,73.78,72.91,71.53,70.78,69.38,66.94,64.09,62.25,60.47,58.44,56.38,55.69,55.81,56.09,56.62,57.91,61.16,64.75,68.41,72.59,77.94,82.75,86.0,88.25,90.16,91.69,91.34,89.81,87.97,86.28,83.72,80.03,76.75,74.09,71.38,67.75,64.34,62.31,60.81,59.31,58.62,59.5,61.5,62.94,64.06,65.62,67.53,67.88,67.31,65.81,65.03,63.62,61.66,60.22,60.19,60.53,60.56,60.41,60.81,61.44,60.97,60.03,60.59,61.97,64.41,66.72,70.03,73.62,76.59,78.28,78.97,79.97,81.34,81.28,80.62,80.0,78.12,74.84,70.16,65.47,61.53,58.53,56.47,56.06,58.09,60.66,62.88,64.62,67.06,69.31,70.56,70.84,71.72,72.97,73.66,73.5,73.78,74.16,74.41,74.12,74.09,75.03,76.12,77.03,77.28,78.94,80.97,81.88,81.5,81.06,80.31,78.09,75.12,72.12,69.62,67.12,63.59,60.72,58.75,57.22,56.06,55.5,56.66,58.53,60.31,61.38,62.62,64.09,65.25,65.69,66.19,67.5,68.0,66.94,65.38,64.16,62.56,60.06,57.47,56.22,55.72,56.12,56.5,57.97,59.62,60.88,60.62,59.94,59.81,59.69,58.72,57.78,57.94,57.78,57.53,57.09,57.84,59.78,61.75,63.59,65.59,67.81,69.34,69.44,69.0,69.12,68.81,67.5,66.31,66.31,66.81,67.59,68.06,69.56,71.81,72.97,73.0,72.66,72.72,72.0,70.66,69.72,70.22,70.84,70.62,69.94,69.56,68.91,67.5,66.03,65.28,65.03,64.5,63.12,62.0,61.59,61.09,60.31,60.28,61.09,62.44,62.91,62.75,62.62,62.47,61.75,60.59,60.66,61.69,63.06,63.81,64.59,66.03,67.09,67.09,66.66,67.31,67.84,67.06,65.97,65.28,64.25,62.69,60.44,58.31,56.62,55.16,53.09,52.12,52.75,53.53,53.62,53.62,54.0,54.44,54.31,53.78,54.03,54.56,54.72,54.44,54.59,55.16,55.31,54.44,53.66,53.81,54.59,54.5,54.69,56.16,57.72,58.5,59.09,59.41,59.69,59.06,57.38,55.28,53.53,51.69,48.56,45.62,43.41,42.03,40.28,38.88,38.47,38.78,39.06,39.56,40.72,43.59,46.59,49.12,51.66,54.88,57.41,58.88,59.81,61.16,62.75,63.09,62.91,63.06,63.5,62.91,61.56,60.44,59.84,59.03,57.12,55.94,55.47,55.72,54.84,54.09,53.94,53.78,53.06,52.19,52.22,53.28,54.19,54.53,55.16,56.0,56.09,55.16,54.41,53.94,53.97,53.28,52.41,53.0,53.94,54.06,54.41,55.75,57.62,59.31,60.06,60.56,60.91,60.53,58.53,56.91,55.91,55.25,53.69,52.47,51.94,52.12,51.81,51.28,51.59,52.28,52.56,52.38,52.56,53.31,54.38,54.47,54.41,54.44,54.16,52.53,50.44,48.84,48.12,47.16,46.34,46.06,46.12,46.34,46.0,46.06,47.62,49.53,50.53,51.19,52.0,52.47,51.75,50.41,49.62,49.78,49.72,48.62,47.31,46.22,44.5,42.12,40.44,40.84,42.47,44.31,46.69,49.47,52.28,53.38,53.31,53.06,53.16,52.78,52.41,52.69,54.53,56.53,57.81,58.5,59.41,59.31,57.66,55.66,54.69,54.31,53.91,53.62,53.22,52.72,51.06,48.44,46.5,46.28,47.0,48.75,51.88,56.19,60.75,64.28,66.91,68.88,69.72,68.53,66.38,63.5,61.53,59.0,56.53,54.31,53.0,52.12,50.59,49.47,49.5,50.12,50.22,50.25,50.5,51.28,51.41,51.22,51.06,51.81,52.12,52.03,52.31,53.62,55.31,56.12,56.28,56.59,56.53,55.56,54.03,52.75,51.66,49.78,47.0,43.94,41.94,39.75,37.56,35.78,35.44,35.94,36.69,37.94,40.38,43.28,45.75,47.44,48.31,49.03,48.62,47.12,45.19,44.56,43.94,43.44,42.62,42.75,43.16,42.5,42.03,42.03,43.06,43.78,44.03,44.78,46.09,47.34,48.16,48.94,50.22,50.91,50.16,49.09,48.25,47.94,47.28,46.62,46.75,47.25,47.66,47.62,47.97,49.12,50.16,50.28,50.0,49.44,48.66,47.53,46.81,47.41,49.12,50.88,52.12,53.12,54.03,54.28,53.91,53.41,53.28,53.19,52.25,50.84,50.28,49.69,48.75,47.53,46.69,45.97,44.78,43.03,41.72,41.28,41.06,40.56,40.56,41.59,42.81,43.41,44.25,45.72,47.59,48.62,49.03,49.78,50.56,50.97,51.22,51.56,52.22,52.16,50.84,48.81,46.84,45.06,42.88,41.16,40.91,41.78,43.56,45.34,48.22,50.94,52.62,52.75,52.0,51.06,49.91,48.38,46.78,46.38,46.56,46.47,46.06,46.25,46.44,46.28,45.66,45.09,45.56,45.84,45.62,45.38,45.53,45.62,44.34,43.03,42.34,41.75,41.38,40.75,40.78,41.22,41.34,41.12,40.84,40.81,40.62,39.44,38.41,38.44,38.66,38.62,38.28,38.72,39.62,40.22,40.16,41.09,41.69,42.34,42.03,42.06,42.75,43.38,43.12,42.5,42.06,41.5,39.88,37.59,35.75,34.34,33.09,31.59,30.94,30.94,31.31,31.16,31.59,32.78,33.84,34.31,34.53,35.56,37.22,38.84,39.56,40.78,41.88,41.94,40.62,39.62,38.56,37.0,35.03,33.5,33.16,33.78,34.31,34.94,36.44,37.53,37.84,37.56,37.56,37.88,38.25,37.59,37.69,38.59,39.34,39.31,39.41,39.44,39.22,37.84,36.03,34.84,34.12,33.03,31.53,30.75,30.53,30.19,29.47,29.62,30.25,31.25,31.03,31.09,32.03,33.12,33.56,33.69,33.97,34.38,33.88,32.97,32.28,31.97,31.03,29.16,27.53,26.91,27.22,27.44,28.75,31.31,34.25,36.28,37.66,39.22,40.81,42.09,42.66,43.38,44.41,45.03,44.19,42.47,41.25,39.81,37.22,34.72,33.03,32.62,31.53,30.72,31.0,31.78,32.41,32.09,32.41,32.84,33.62,33.44,33.31,33.28,33.0,31.41,29.44,28.28,28.41,28.69,28.94,29.75,30.75,31.75,31.5,31.19,31.88,32.62,32.47,32.75,34.25,36.0,36.28,35.91,35.25,34.41,32.88,30.88,29.5,28.81,28.16,26.56,25.41,25.69,25.88,25.31,24.97,25.22,25.88,26.28,27.25,28.66,30.69,32.06,32.72,32.72,32.84,32.41,31.03,30.0,29.75,29.81,29.0,28.06,27.5,27.22,26.59,26.16,26.5,27.97,29.25,29.72,30.09,30.38,30.22,28.91,27.19,26.06,25.75,24.78,23.62,23.22,23.66,23.19,22.38,22.28,22.91,23.81,24.75,25.84,27.69,29.47,29.56,28.62,27.94,27.47,26.19,24.62,24.03,23.56,22.47,20.75,19.34,19.19,19.53,19.56,20.56,22.31,24.44,24.97,24.5,24.59,24.44,23.66,23.69,25.0,27.66,30.66,32.75,34.34,36.12,36.75,35.81,34.19,33.47,32.75,30.81,29.12,27.81,27.16,25.5,23.59,22.44,22.47,22.66,22.81,23.31,25.34,28.16,30.69,33.88,38.09,41.91,43.66,43.72,43.53,43.16,41.56,39.72,37.91,36.16,33.09,28.38,23.59,19.97,17.28,15.0,13.78,14.44,16.16,17.56,19.41,22.28,26.31,29.81,32.69,35.28,37.69,38.16,36.78,34.0,31.22,28.53,24.75,21.81,20.56,20.41,20.0,19.72,19.84,20.81,20.81,20.72,21.53,23.5,25.78,27.62,29.16,31.28,32.38,31.69,29.53,27.69,25.47,22.97,21.03,20.25,21.25,22.78,23.75,24.62,26.0,26.72,26.0,25.38,25.94,27.0,27.56,27.75,28.0,28.41,27.12,25.34,23.97,23.22,22.12,20.84,19.94,20.66,21.69,22.88,24.19,26.5,28.59,29.81,30.28,30.91,32.72,33.88,34.56,35.34,36.62,36.94,36.34,35.25,34.69,34.25,32.94,31.31,30.72,30.72,30.34,29.91,30.25,31.78,33.28,34.38,35.69,37.41,38.5,38.34,37.28,36.88,36.75,35.72,34.91,35.59,36.88,36.84,35.75,34.69,33.75,32.25,30.38,28.84,28.84,28.5,113.75,112.53,110.84,108.97,107.09,105.56,104.59,104.41,104.5,104.75,104.56,104.44,103.94,103.59,103.44,103.75,105.28,107.09,109.03,110.81,112.38:73.38,71.91,69.03,65.84,63.78,62.59,61.88,62.44,64.16,66.47,67.19,67.06,67.22,67.44,67.75,67.69,68.03,69.12,69.94,69.56,68.91,68.47,68.12,67.03,66.41,66.91,68.22,68.78,69.25,70.28,71.88,73.12,73.44,73.16,72.88,71.72,69.34,67.22,66.34,65.75,64.41,63.31,62.94,63.31,63.5,63.69,64.66,66.09,67.09,67.34,67.66,68.53,68.59,67.19,65.09,63.38,62.44,60.66,59.47,59.84,61.53,63.03,64.81,67.06,69.72,71.22,70.91,69.78,68.84,68.19,67.03,66.41,67.09,68.28,68.47,68.03,67.75,67.75,67.16,66.16,65.41,65.66,65.31,64.47,63.5,63.25,63.12,62.16,61.28,61.5,62.22,63.12,64.31,66.25,68.47,69.12,68.41,66.69,65.12,62.78,60.0,58.03,57.56,57.84,58.12,58.94,61.06,63.47,65.09,66.5,68.38,70.5,71.53,71.84,71.56,71.62,71.09,69.22,67.12,65.94,64.91,63.0,61.12,60.28,60.22,59.75,59.28,59.94,61.69,62.91,63.5,63.88,64.75,65.12,64.5,63.78,63.81,63.81,63.44,63.34,64.41,66.38,68.25,69.81,71.19,73.0,73.78,72.91,71.53,70.78,69.38,66.94,64.09,62.25,60.47,58.44,56.38,55.69,55.81,56.09,56.62,57.91,61.16,64.75,68.41,72.59,77.94,82.75,86.0,88.25,90.16,91.69,91.34,89.81,87.97,86.28,83.72,80.03,76.75,74.09,71.38,67.75,64.34,62.31,60.81,59.31,58.62,59.5,61.5,62.94,64.06,65.62,67.53,67.88,67.31,65.81,65.03,63.62,61.66,60.22,60.19,60.53,60.56,60.41,60.81,61.44,60.97,60.03,60.59,61.97,64.41,66.72,70.03,73.62,76.59,78.28,78.97,79.97,81.34,81.28,80.62,80.0,78.12,74.84,70.16,65.47,61.53,58.53,56.47,56.06,58.09,60.66,62.88,64.62,67.06,69.31,70.56,70.84,71.72,72.97,73.66,73.5,73.78,74.16,74.41,74.12,74.09,75.03,76.12,77.03,77.28,78.94,80.97,81.88,81.5,81.06,80.31,78.09,75.12,72.12,69.62,67.12,63.59,60.72,58.75,57.22,56.06,55.5,56.66,58.53,60.31,61.38,62.62,64.09,65.25,65.69,66.19,67.5,68.0,66.94,65.38,64.16,62.56,60.06,57.47,56.22,55.72,56.12,56.5,57.97,59.62,60.88,60.62,59.94,59.81,59.69,58.72,57.78,57.94,57.78,57.53,57.09,57.84,59.78,61.75,63.59,65.59,67.81,69.34,69.44,69.0,69.12,68.81,67.5,66.31,66.31,66.81,67.59,68.06,69.56,71.81,72.97,73.0,72.66,72.72,72.0,70.66,69.72,70.22,70.84,70.62,69.94,69.56,68.91,67.5,66.03,65.28,65.03,64.5,63.12,62.0,61.59,61.09,60.31,60.28,61.09,62.44,62.91,62.75,62.62,62.47,61.75,60.59,60.66,61.69,63.06,63.81,64.59,66.03,67.09,67.09,66.66,67.31,67.84,67.06,65.97,65.28,64.25,62.69,60.44,58.31,56.62,55.16,53.09,52.12,52.75,53.53,53.62,53.62,54.0,54.44,54.31,53.78,54.03,54.56,54.72,54.44,54.59,55.16,55.31,54.44,53.66,53.81,54.59,54.5,54.69,56.16,57.72,58.5,59.09,59.41,59.69,59.06,57.38,55.28,53.53,51.69,48.56,45.62,43.41,42.03,40.28,38.88,38.47,38.78,39.06,39.56,40.72,43.59,46.59,49.12,51.66,54.88,57.41,58.88,59.81,61.16,62.75,63.09,62.91,63.06,63.5,62.91,61.56,60.44,59.84,59.03,57.12,55.94,55.47,55.72,54.84,54.09,53.94,53.78,53.06,52.19,52.22,53.28,54.19,54.53,55.16,56.0,56.09,55.16,54.41,53.94,53.97,53.28,52.41,53.0,53.94,54.06,54.41,55.75,57.62,59.31,60.06,60.56,60.91,60.53,58.53,56.91,55.91,55.25,53.69,52.47,51.94,52.12,51.81,51.28,51.59,52.28,52.56,52.38,52.56,53.31,54.38,54.47,54.41,54.44,54.16,52.53,50.44,48.84,48.12,47.16,46.34,46.06,46.12,46.34,46.0,46.06,47.62,49.53,50.53,51.19,52.0,52.47,51.75,50.41,49.62,49.78,49.72,48.62,47.31,46.22,44.5,42.12,40.44,40.84,42.47,44.31,46.69,49.47,52.28,53.38,53.31,53.06,53.16,52.78,52.41,52.69,54.53,56.53,57.81,58.5,59.41,59.31,57.66,55.66,54.69,54.31,53.91,53.62,53.22,52.72,51.06,48.44,46.5,46.28,47.0,48.75,51.88,56.19,60.75,64.28,66.91,68.88,69.72,68.53,66.38,63.5,61.53,59.0,56.53,54.31,53.0,52.12,50.59,49.47,49.5,50.12,50.22,50.25,50.5,51.28,51.41,51.22,51.06,51.81,52.12,52.03,52.31,53.62,55.31,56.12,56.28,56.59,56.53,55.56,54.03,52.75,51.66,49.78,47.0,43.94,41.94,39.75,37.56,35.78,35.44,35.94,36.69,37.94,40.38,43.28,45.75,47.44,48.31,49.03,48.62,47.12,45.19,44.56,43.94,43.44,42.62,42.75,43.16,42.5,42.03,42.03,43.06,43.78,44.03,44.78,46.09,47.34,48.16,48.94,50.22,50.91,50.16,49.09,48.25,47.94,47.28,46.62,46.75,47.25,47.66,47.62,47.97,49.12,50.16,50.28,50.0,49.44,48.66,47.53,46.81,47.41,49.12,50.88,52.12,53.12,54.03,54.28,53.91,53.41,53.28,53.19,52.25,50.84,50.28,49.69,48.75,47.53,46.69,45.97,44.78,43.03,41.72,41.28,41.06,40.56,40.56,41.59,42.81,43.41,44.25,45.72,47.59,48.62,49.03,49.78,50.56,50.97,51.22,51.56,52.22,52.16,50.84,48.81,46.84,45.06,42.88,41.16,40.91,41.78,43.56,45.34,48.22,50.94,52.62,52.75,52.0,51.06,49.91,48.38,46.78,46.38,46.56,46.47,46.06,46.25,46.44,46.28,45.66,45.09,45.56,45.84,45.62,45.38,45.53,45.62,44.34,43.03,42.34,41.75,41.38,40.75,40.78,41.22,41.34,41.12,40.84,40.81,40.62,39.44,38.41,38.44,38.66,38.62,38.28,38.72,39.62,40.22,40.16,41.09,41.69,42.34,42.03,42.06,42.75,43.38,43.12,42.5,42.06,41.5,39.88,37.59,35.75,34.34,33.09,31.59,30.94,30.94,31.31,31.16,31.59,32.78,33.84,34.31,34.53,35.56,37.22,38.84,39.56,40.78,41.88,41.94,40.62,39.62,38.56,37.0,35.03,33.5,33.16,33.78,34.31,34.94,36.44,37.53,37.84,37.56,37.56,37.88,38.25,37.59,37.69,38.59,39.34,39.31,39.41,39.44,39.22,37.84,36.03,34.84,34.12,33.03,31.53,30.75,30.53,30.19,29.47,29.62,30.25,31.25,31.03,31.09,32.03,33.12,33.56,33.69,33.97,34.38,33.88,32.97,32.28,31.97,31.03,29.16,27.53,26.91,27.22,27.44,28.75,31.31,34.25,36.28,37.66,39.22,40.81,42.09,42.66,43.38,44.41,45.03,44.19,42.47,41.25,39.81,37.22,34.72,33.03,32.62,31.53,30.72,31.0,31.78,32.41,32.09,32.41,32.84,33.62,33.44,33.31,33.28,33.0,31.41,29.44,28.28,28.41,28.69,28.94,29.75,30.75,31.75,31.5,31.19,31.88,32.62,32.47,32.75,34.25,36.0,36.28,35.91,35.25,34.41,32.88,30.88,29.5,28.81,28.16,26.56,25.41,25.69,25.88,25.31,24.97,25.22,25.88,26.28,27.25,28.66,30.69,32.06,32.72,32.72,32.84,32.41,31.03,30.0,29.75,29.81,29.0,28.06,27.5,27.22,26.59,26.16,26.5,27.97,29.25,29.72,30.09,30.38,30.22,28.91,27.19,26.06,25.75,24.78,23.62,23.22,23.66,23.19,22.38,22.28,22.91,23.81,24.75,25.84,27.69,29.47,29.56,28.62,27.94,27.47,26.19,24.62,24.03,23.56,22.47,20.75,19.34,19.19,19.53,19.56,20.56,22.31,24.44,24.97,24.5,24.59,24.44,23.66,23.69,25.0,27.66,30.66,32.75,34.34,36.12,36.75,35.81,34.19,33.47,32.75,30.81,29.12,27.81,27.16,25.5,23.59,22.44,22.47,22.66,22.81,23.31,25.34,28.16,30.69,33.88,38.09,41.91,43.66,43.72,43.53,43.16,41.56,39.72,37.91,36.16,33.09,28.38,23.59,19.97,17.28,15.0,13.78,14.44,16.16,17.56,19.41,22.28,26.31,29.81,32.69,35.28,37.69,38.16,36.78,34.0,31.22,28.53,24.75,21.81,20.56,20.41,20.0,19.72,19.84,20.81,20.81,20.72,21.53,23.5,25.78,27.62,29.16,31.28,32.38,31.69,29.53,27.69,25.47,22.97,21.03,20.25,21.25,22.78,23.75,24.62,26.0,26.72,26.0,25.38,25.94,27.0,27.56,27.75,28.0,28.41,27.12,25.34,23.97,23.22,22.12,20.84,19.94,20.66,21.69,22.88,24.19,26.5,28.59,29.81,30.28,30.91,32.72,33.88,34.56,35.34,36.62,36.94,36.34,35.25,34.69,34.25,32.94,31.31,30.72,30.72,30.34,29.91,30.25,31.78,33.28,34.38,35.69,37.41,38.5,38.34,37.28,36.88,36.75,35.72,34.91,35.59,36.88,36.84,35.75,34.69,33.75,32.25,30.38,28.84,28.84,28.5,113.75,112.53,110.84,108.97,107.09,105.56,104.59,104.41,104.5,104.75,104.56,104.44,103.94,103.59,103.44,103.75,105.28,107.09,109.03,110.81,112.38,113.34,113.31,113.12,113.25,113.75,113.88,113.62:62.44,64.16,66.47,67.19,67.06,67.22,67.44,67.75,67.69,68.03,69.12,69.94,69.56,68.91,68.47,68.12,67.03,66.41,66.91,68.22,68.78,69.25,70.28,71.88,73.12,73.44,73.16,72.88,71.72,69.34,67.22,66.34,65.75,64.41,63.31,62.94,63.31,63.5,63.69,64.66,66.09,67.09,67.34,67.66,68.53,68.59,67.19,65.09,63.38,62.44,60.66,59.47,59.84,61.53,63.03,64.81,67.06,69.72,71.22,70.91,69.78,68.84,68.19,67.03,66.41,67.09,68.28,68.47,68.03,67.75,67.75,67.16,66.16,65.41,65.66,65.31,64.47,63.5,63.25,63.12,62.16,61.28,61.5,62.22,63.12,64.31,66.25,68.47,69.12,68.41,66.69,65.12,62.78,60.0,58.03,57.56,57.84,58.12,58.94,61.06,63.47,65.09,66.5,68.38,70.5,71.53,71.84,71.56,71.62,71.09,69.22,67.12,65.94,64.91,63.0,61.12,60.28,60.22,59.75,59.28,59.94,61.69,62.91,63.5,63.88,64.75,65.12,64.5,63.78,63.81,63.81,63.44,63.34,64.41,66.38,68.25,69.81,71.19,73.0,73.78,72.91,71.53,70.78,69.38,66.94,64.09,62.25,60.47,58.44,56.38,55.69,55.81,56.09,56.62,57.91,61.16,64.75,68.41,72.59,77.94,82.75,86.0,88.25,90.16,91.69,91.34,89.81,87.97,86.28,83.72,80.03,76.75,74.09,71.38,67.75,64.34,62.31,60.81,59.31,58.62,59.5,61.5,62.94,64.06,65.62,67.53,67.88,67.31,65.81,65.03,63.62,61.66,60.22,60.19,60.53,60.56,60.41,60.81,61.44,60.97,60.03,60.59,61.97,64.41,66.72,70.03,73.62,76.59,78.28,78.97,79.97,81.34,81.28,80.62,80.0,78.12,74.84,70.16,65.47,61.53,58.53,56.47,56.06,58.09,60.66,62.88,64.62,67.06,69.31,70.56,70.84,71.72,72.97,73.66,73.5,73.78,74.16,74.41,74.12,74.09,75.03,76.12,77.03,77.28,78.94,80.97,81.88,81.5,81.06,80.31,78.09,75.12,72.12,69.62,67.12,63.59,60.72,58.75,57.22,56.06,55.5,56.66,58.53,60.31,61.38,62.62,64.09,65.25,65.69,66.19,67.5,68.0,66.94,65.38,64.16,62.56,60.06,57.47,56.22,55.72,56.12,56.5,57.97,59.62,60.88,60.62,59.94,59.81,59.69,58.72,57.78,57.94,57.78,57.53,57.09,57.84,59.78,61.75,63.59,65.59,67.81,69.34,69.44,69.0,69.12,68.81,67.5,66.31,66.31,66.81,67.59,68.06,69.56,71.81,72.97,73.0,72.66,72.72,72.0,70.66,69.72,70.22,70.84,70.62,69.94,69.56,68.91,67.5,66.03,65.28,65.03,64.5,63.12,62.0,61.59,61.09,60.31,60.28,61.09,62.44,62.91,62.75,62.62,62.47,61.75,60.59,60.66,61.69,63.06,63.81,64.59,66.03,67.09,67.09,66.66,67.31,67.84,67.06,65.97,65.28,64.25,62.69,60.44,58.31,56.62,55.16,53.09,52.12,52.75,53.53,53.62,53.62,54.0,54.44,54.31,53.78,54.03,54.56,54.72,54.44,54.59,55.16,55.31,54.44,53.66,53.81,54.59,54.5,54.69,56.16,57.72,58.5,59.09,59.41,59.69,59.06,57.38,55.28,53.53,51.69,48.56,45.62,43.41,42.03,40.28,38.88,38.47,38.78,39.06,39.56,40.72,43.59,46.59,49.12,51.66,54.88,57.41,58.88,59.81,61.16,62.75,63.09,62.91,63.06,63.5,62.91,61.56,60.44,59.84,59.03,57.12,55.94,55.47,55.72,54.84,54.09,53.94,53.78,53.06,52.19,52.22,53.28,54.19,54.53,55.16,56.0,56.09,55.16,54.41,53.94,53.97,53.28,52.41,53.0,53.94,54.06,54.41,55.75,57.62,59.31,60.06,60.56,60.91,60.53,58.53,56.91,55.91,55.25,53.69,52.47,51.94,52.12,51.81,51.28,51.59,52.28,52.56,52.38,52.56,53.31,54.38,54.47,54.41,54.44,54.16,52.53,50.44,48.84,48.12,47.16,46.34,46.06,46.12,46.34,46.0,46.06,47.62,49.53,50.53,51.19,52.0,52.47,51.75,50.41,49.62,49.78,49.72,48.62,47.31,46.22,44.5,42.12,40.44,40.84,42.47,44.31,46.69,49.47,52.28,53.38,53.31,53.06,53.16,52.78,52.41,52.69,54.53,56.53,57.81,58.5,59.41,59.31,57.66,55.66,54.69,54.31,53.91,53.62,53.22,52.72,51.06,48.44,46.5,46.28,47.0,48.75,51.88,56.19,60.75,64.28,66.91,68.88,69.72,68.53,66.38,63.5,61.53,59.0,56.53,54.31,53.0,52.12,50.59,49.47,49.5,50.12,50.22,50.25,50.5,51.28,51.41,51.22,51.06,51.81,52.12,52.03,52.31,53.62,55.31,56.12,56.28,56.59,56.53,55.56,54.03,52.75,51.66,49.78,47.0,43.94,41.94,39.75,37.56,35.78,35.44,35.94,36.69,37.94,40.38,43.28,45.75,47.44,48.31,49.03,48.62,47.12,45.19,44.56,43.94,43.44,42.62,42.75,43.16,42.5,42.03,42.03,43.06,43.78,44.03,44.78,46.09,47.34,48.16,48.94,50.22,50.91,50.16,49.09,48.25,47.94,47.28,46.62,46.75,47.25,47.66,47.62,47.97,49.12,50.16,50.28,50.0,49.44,48.66,47.53,46.81,47.41,49.12,50.88,52.12,53.12,54.03,54.28,53.91,53.41,53.28,53.19,52.25,50.84,50.28,49.69,48.75,47.53,46.69,45.97,44.78,43.03,41.72,41.28,41.06,40.56,40.56,41.59,42.81,43.41,44.25,45.72,47.59,48.62,49.03,49.78,50.56,50.97,51.22,51.56,52.22,52.16,50.84,48.81,46.84,45.06,42.88,41.16,40.91,41.78,43.56,45.34,48.22,50.94,52.62,52.75,52.0,51.06,49.91,48.38,46.78,46.38,46.56,46.47,46.06,46.25,46.44,46.28,45.66,45.09,45.56,45.84,45.62,45.38,45.53,45.62,44.34,43.03,42.34,41.75,41.38,40.75,40.78,41.22,41.34,41.12,40.84,40.81,40.62,39.44,38.41,38.44,38.66,38.62,38.28,38.72,39.62,40.22,40.16,41.09,41.69,42.34,42.03,42.06,42.75,43.38,43.12,42.5,42.06,41.5,39.88,37.59,35.75,34.34,33.09,31.59,30.94,30.94,31.31,31.16,31.59,32.78,33.84,34.31,34.53,35.56,37.22,38.84,39.56,40.78,41.88,41.94,40.62,39.62,38.56,37.0,35.03,33.5,33.16,33.78,34.31,34.94,36.44,37.53,37.84,37.56,37.56,37.88,38.25,37.59,37.69,38.59,39.34,39.31,39.41,39.44,39.22,37.84,36.03,34.84,34.12,33.03,31.53,30.75,30.53,30.19,29.47,29.62,30.25,31.25,31.03,31.09,32.03,33.12,33.56,33.69,33.97,34.38,33.88,32.97,32.28,31.97,31.03,29.16,27.53,26.91,27.22,27.44,28.75,31.31,34.25,36.28,37.66,39.22,40.81,42.09,42.66,43.38,44.41,45.03,44.19,42.47,41.25,39.81,37.22,34.72,33.03,32.62,31.53,30.72,31.0,31.78,32.41,32.09,32.41,32.84,33.62,33.44,33.31,33.28,33.0,31.41,29.44,28.28,28.41,28.69,28.94,29.75,30.75,31.75,31.5,31.19,31.88,32.62,32.47,32.75,34.25,36.0,36.28,35.91,35.25,34.41,32.88,30.88,29.5,28.81,28.16,26.56,25.41,25.69,25.88,25.31,24.97,25.22,25.88,26.28,27.25,28.66,30.69,32.06,32.72,32.72,32.84,32.41,31.03,30.0,29.75,29.81,29.0,28.06,27.5,27.22,26.59,26.16,26.5,27.97,29.25,29.72,30.09,30.38,30.22,28.91,27.19,26.06,25.75,24.78,23.62,23.22,23.66,23.19,22.38,22.28,22.91,23.81,24.75,25.84,27.69,29.47,29.56,28.62,27.94,27.47,26.19,24.62,24.03,23.56,22.47,20.75,19.34,19.19,19.53,19.56,20.56,22.31,24.44,24.97,24.5,24.59,24.44,23.66,23.69,25.0,27.66,30.66,32.75,34.34,36.12,36.75,35.81,34.19,33.47,32.75,30.81,29.12,27.81,27.16,25.5,23.59,22.44,22.47,22.66,22.81,23.31,25.34,28.16,30.69,33.88,38.09,41.91,43.66,43.72,43.53,43.16,41.56,39.72,37.91,36.16,33.09,28.38,23.59,19.97,17.28,15.0,13.78,14.44,16.16,17.56,19.41,22.28,26.31,29.81,32.69,35.28,37.69,38.16,36.78,34.0,31.22,28.53,24.75,21.81,20.56,20.41,20.0,19.72,19.84,20.81,20.81,20.72,21.53,23.5,25.78,27.62,29.16,31.28,32.38,31.69,29.53,27.69,25.47,22.97,21.03,20.25,21.25,22.78,23.75,24.62,26.0,26.72,26.0,25.38,25.94,27.0,27.56,27.75,28.0,28.41,27.12,25.34,23.97,23.22,22.12,20.84,19.94,20.66,21.69,22.88,24.19,26.5,28.59,29.81,30.28,30.91,32.72,33.88,34.56,35.34,36.62,36.94,36.34,35.25,34.69,34.25,32.94,31.31,30.72,30.72,30.34,29.91,30.25,31.78,33.28,34.38,35.69,37.41,38.5,38.34,37.28,36.88,36.75,35.72,34.91,35.59,36.88,36.84,35.75,34.69,33.75,32.25,30.38,28.84,28.84,28.5,113.75,112.53,110.84,108.97,107.09,105.56,104.59,104.41,104.5,104.75,104.56,104.44,103.94,103.59,103.44,103.75,105.28,107.09,109.03,110.81,112.38,113.34,113.31,113.12,113.25,113.75,113.88,113.62,112.72,110.53,106.94,102.81,98.78,95.88,94.5:67.75,67.69,68.03,69.12,69.94,69.56,68.91,68.47,68.12,67.03,66.41,66.91,68.22,68.78,69.25,70.28,71.88,73.12,73.44,73.16,72.88,71.72,69.34,67.22,66.34,65.75,64.41,63.31,62.94,63.31,63.5,63.69,64.66,66.09,67.09,67.34,67.66,68.53,68.59,67.19,65.09,63.38,62.44,60.66,59.47,59.84,61.53,63.03,64.81,67.06,69.72,71.22,70.91,69.78,68.84,68.19,67.03,66.41,67.09,68.28,68.47,68.03,67.75,67.75,67.16,66.16,65.41,65.66,65.31,64.47,63.5,63.25,63.12,62.16,61.28,61.5,62.22,63.12,64.31,66.25,68.47,69.12,68.41,66.69,65.12,62.78,60.0,58.03,57.56,57.84,58.12,58.94,61.06,63.47,65.09,66.5,68.38,70.5,71.53,71.84,71.56,71.62,71.09,69.22,67.12,65.94,64.91,63.0,61.12,60.28,60.22,59.75,59.28,59.94,61.69,62.91,63.5,63.88,64.75,65.12,64.5,63.78,63.81,63.81,63.44,63.34,64.41,66.38,68.25,69.81,71.19,73.0,73.78,72.91,71.53,70.78,69.38,66.94,64.09,62.25,60.47,58.44,56.38,55.69,55.81,56.09,56.62,57.91,61.16,64.75,68.41,72.59,77.94,82.75,86.0,88.25,90.16,91.69,91.34,89.81,87.97,86.28,83.72,80.03,76.75,74.09,71.38,67.75,64.34,62.31,60.81,59.31,58.62,59.5,61.5,62.94,64.06,65.62,67.53,67.88,67.31,65.81,65.03,63.62,61.66,60.22,60.19,60.53,60.56,60.41,60.81,61.44,60.97,60.03,60.59,61.97,64.41,66.72,70.03,73.62,76.59,78.28,78.97,79.97,81.34,81.28,80.62,80.0,78.12,74.84,70.16,65.47,61.53,58.53,56.47,56.06,58.09,60.66,62.88,64.62,67.06,69.31,70.56,70.84,71.72,72.97,73.66,73.5,73.78,74.16,74.41,74.12,74.09,75.03,76.12,77.03,77.28,78.94,80.97,81.88,81.5,81.06,80.31,78.09,75.12,72.12,69.62,67.12,63.59,60.72,58.75,57.22,56.06,55.5,56.66,58.53,60.31,61.38,62.62,64.09,65.25,65.69,66.19,67.5,68.0,66.94,65.38,64.16,62.56,60.06,57.47,56.22,55.72,56.12,56.5,57.97,59.62,60.88,60.62,59.94,59.81,59.69,58.72,57.78,57.94,57.78,57.53,57.09,57.84,59.78,61.75,63.59,65.59,67.81,69.34,69.44,69.0,69.12,68.81,67.5,66.31,66.31,66.81,67.59,68.06,69.56,71.81,72.97,73.0,72.66,72.72,72.0,70.66,69.72,70.22,70.84,70.62,69.94,69.56,68.91,67.5,66.03,65.28,65.03,64.5,63.12,62.0,61.59,61.09,60.31,60.28,61.09,62.44,62.91,62.75,62.62,62.47,61.75,60.59,60.66,61.69,63.06,63.81,64.59,66.03,67.09,67.09,66.66,67.31,67.84,67.06,65.97,65.28,64.25,62.69,60.44,58.31,56.62,55.16,53.09,52.12,52.75,53.53,53.62,53.62,54.0,54.44,54.31,53.78,54.03,54.56,54.72,54.44,54.59,55.16,55.31,54.44,53.66,53.81,54.59,54.5,54.69,56.16,57.72,58.5,59.09,59.41,59.69,59.06,57.38,55.28,53.53,51.69,48.56,45.62,43.41,42.03,40.28,38.88,38.47,38.78,39.06,39.56,40.72,43.59,46.59,49.12,51.66,54.88,57.41,58.88,59.81,61.16,62.75,63.09,62.91,63.06,63.5,62.91,61.56,60.44,59.84,59.03,57.12,55.94,55.47,55.72,54.84,54.09,53.94,53.78,53.06,52.19,52.22,53.28,54.19,54.53,55.16,56.0,56.09,55.16,54.41,53.94,53.97,53.28,52.41,53.0,53.94,54.06,54.41,55.75,57.62,59.31,60.06,60.56,60.91,60.53,58.53,56.91,55.91,55.25,53.69,52.47,51.94,52.12,51.81,51.28,51.59,52.28,52.56,52.38,52.56,53.31,54.38,54.47,54.41,54.44,54.16,52.53,50.44,48.84,48.12,47.16,46.34,46.06,46.12,46.34,46.0,46.06,47.62,49.53,50.53,51.19,52.0,52.47,51.75,50.41,49.62,49.78,49.72,48.62,47.31,46.22,44.5,42.12,40.44,40.84,42.47,44.31,46.69,49.47,52.28,53.38,53.31,53.06,53.16,52.78,52.41,52.69,54.53,56.53,57.81,58.5,59.41,59.31,57.66,55.66,54.69,54.31,53.91,53.62,53.22,52.72,51.06,48.44,46.5,46.28,47.0,48.75,51.88,56.19,60.75,64.28,66.91,68.88,69.72,68.53,66.38,63.5,61.53,59.0,56.53,54.31,53.0,52.12,50.59,49.47,49.5,50.12,50.22,50.25,50.5,51.28,51.41,51.22,51.06,51.81,52.12,52.03,52.31,53.62,55.31,56.12,56.28,56.59,56.53,55.56,54.03,52.75,51.66,49.78,47.0,43.94,41.94,39.75,37.56,35.78,35.44,35.94,36.69,37.94,40.38,43.28,45.75,47.44,48.31,49.03,48.62,47.12,45.19,44.56,43.94,43.44,42.62,42.75,43.16,42.5,42.03,42.03,43.06,43.78,44.03,44.78,46.09,47.34,48.16,48.94,50.22,50.91,50.16,49.09,48.25,47.94,47.28,46.62,46.75,47.25,47.66,47.62,47.97,49.12,50.16,50.28,50.0,49.44,48.66,47.53,46.81,47.41,49.12,50.88,52.12,53.12,54.03,54.28,53.91,53.41,53.28,53.19,52.25,50.84,50.28,49.69,48.75,47.53,46.69,45.97,44.78,43.03,41.72,41.28,41.06,40.56,40.56,41.59,42.81,43.41,44.25,45.72,47.59,48.62,49.03,49.78,50.56,50.97,51.22,51.56,52.22,52.16,50.84,48.81,46.84,45.06,42.88,41.16,40.91,41.78,43.56,45.34,48.22,50.94,52.62,52.75,52.0,51.06,49.91,48.38,46.78,46.38,46.56,46.47,46.06,46.25,46.44,46.28,45.66,45.09,45.56,45.84,45.62,45.38,45.53,45.62,44.34,43.03,42.34,41.75,41.38,40.75,40.78,41.22,41.34,41.12,40.84,40.81,40.62,39.44,38.41,38.44,38.66,38.62,38.28,38.72,39.62,40.22,40.16,41.09,41.69,42.34,42.03,42.06,42.75,43.38,43.12,42.5,42.06,41.5,39.88,37.59,35.75,34.34,33.09,31.59,30.94,30.94,31.31,31.16,31.59,32.78,33.84,34.31,34.53,35.56,37.22,38.84,39.56,40.78,41.88,41.94,40.62,39.62,38.56,37.0,35.03,33.5,33.16,33.78,34.31,34.94,36.44,37.53,37.84,37.56,37.56,37.88,38.25,37.59,37.69,38.59,39.34,39.31,39.41,39.44,39.22,37.84,36.03,34.84,34.12,33.03,31.53,30.75,30.53,30.19,29.47,29.62,30.25,31.25,31.03,31.09,32.03,33.12,33.56,33.69,33.97,34.38,33.88,32.97,32.28,31.97,31.03,29.16,27.53,26.91,27.22,27.44,28.75,31.31,34.25,36.28,37.66,39.22,40.81,42.09,42.66,43.38,44.41,45.03,44.19,42.47,41.25,39.81,37.22,34.72,33.03,32.62,31.53,30.72,31.0,31.78,32.41,32.09,32.41,32.84,33.62,33.44,33.31,33.28,33.0,31.41,29.44,28.28,28.41,28.69,28.94,29.75,30.75,31.75,31.5,31.19,31.88,32.62,32.47,32.75,34.25,36.0,36.28,35.91,35.25,34.41,32.88,30.88,29.5,28.81,28.16,26.56,25.41,25.69,25.88,25.31,24.97,25.22,25.88,26.28,27.25,28.66,30.69,32.06,32.72,32.72,32.84,32.41,31.03,30.0,29.75,29.81,29.0,28.06,27.5,27.22,26.59,26.16,26.5,27.97,29.25,29.72,30.09,30.38,30.22,28.91,27.19,26.06,25.75,24.78,23.62,23.22,23.66,23.19,22.38,22.28,22.91,23.81,24.75,25.84,27.69,29.47,29.56,28.62,27.94,27.47,26.19,24.62,24.03,23.56,22.47,20.75,19.34,19.19,19.53,19.56,20.56,22.31,24.44,24.97,24.5,24.59,24.44,23.66,23.69,25.0,27.66,30.66,32.75,34.34,36.12,36.75,35.81,34.19,33.47,32.75,30.81,29.12,27.81,27.16,25.5,23.59,22.44,22.47,22.66,22.81,23.31,25.34,28.16,30.69,33.88,38.09,41.91,43.66,43.72,43.53,43.16,41.56,39.72,37.91,36.16,33.09,28.38,23.59,19.97,17.28,15.0,13.78,14.44,16.16,17.56,19.41,22.28,26.31,29.81,32.69,35.28,37.69,38.16,36.78,34.0,31.22,28.53,24.75,21.81,20.56,20.41,20.0,19.72,19.84,20.81,20.81,20.72,21.53,23.5,25.78,27.62,29.16,31.28,32.38,31.69,29.53,27.69,25.47,22.97,21.03,20.25,21.25,22.78,23.75,24.62,26.0,26.72,26.0,25.38,25.94,27.0,27.56,27.75,28.0,28.41,27.12,25.34,23.97,23.22,22.12,20.84,19.94,20.66,21.69,22.88,24.19,26.5,28.59,29.81,30.28,30.91,32.72,33.88,34.56,35.34,36.62,36.94,36.34,35.25,34.69,34.25,32.94,31.31,30.72,30.72,30.34,29.91,30.25,31.78,33.28,34.38,35.69,37.41,38.5,38.34,37.28,36.88,36.75,35.72,34.91,35.59,36.88,36.84,35.75,34.69,33.75,32.25,30.38,28.84,28.84,28.5,113.75,112.53,110.84,108.97,107.09,105.56,104.59,104.41,104.5,104.75,104.56,104.44,103.94,103.59,103.44,103.75,105.28,107.09,109.03,110.81,112.38,113.34,113.31,113.12,113.25,113.75,113.88,113.62,112.72,110.53,106.94,102.81,98.78,95.88,94.5,94.34,94.66,95.53,96.0,96.34,96.09,97.0:negativity
15.53,15.62,15.59,15.53,14.97,13.69,12.31,11.19,10.78,10.25,9.56,9.62,10.31,11.09,11.12,11.19,12.03,13.31,13.75,14.53,16.41,18.84,20.41,21.28,22.06,22.31,21.06,18.56,16.28,14.56,13.0,11.03,9.47,8.5,7.81,6.28,5.03,5.0,5.84,6.31,7.38,8.62,10.53,12.19,13.28,14.12,15.5,16.69,16.31,15.94,15.81,15.97,15.62,15.38,16.06,17.34,17.66,17.34,16.5,15.69,13.66,10.69,7.81,6.06,5.12,3.94,4.0,5.06,6.5,7.09,7.12,6.88,6.59,5.0,2.62,0.72,0.44,0.59,1.53,3.19,6.09,8.38,9.62,10.72,11.62,12.84,13.41,12.97,12.78,13.0,12.38,11.59,12.0,13.97,16.28,18.19,19.25,20.38,20.59,19.94,19.38,19.03,19.91,20.53,20.22,19.78,19.97,19.66,18.03,16.41,15.5,14.31,12.25,10.31,8.81,7.78,6.16,4.66,3.72,3.38,3.16,2.59,2.69,4.25,5.94,7.09,7.72,8.25,7.94,6.28,4.34,3.06,2.56,2.12,1.38,1.31,1.72,1.97,1.56,1.19,1.78,2.53,2.66,3.5,4.97,6.78,7.91,8.0,7.84,7.97,7.25,6.09,5.28,5.22,5.16,4.38,3.62,3.84,3.78,3.06,2.25,2.28,2.88,3.47,3.88,4.78,5.91,6.56,6.44,6.44,7.34,8.25,9.12,9.88,11.66,13.28,14.34,15.56,17.59,19.59,21.28,21.75,21.47,20.69,19.28,17.22,15.12,14.62,14.56,14.0,13.22,12.53,11.81,10.34,8.19,7.5,8.09,8.81,9.09,9.66,10.5,11.12,10.75,10.28,11.47,13.16,14.69,16.06,17.91,19.91,20.38,19.91,19.66,19.56,19.28,17.97,16.47,15.16,13.22,10.19,6.81,3.75,1.22,-1.16,-3.19,-3.69,-2.56,-1.12,0.44,2.22,4.44,6.88,8.19,9.34,11.25,13.41,15.19,16.56,19.06,21.5,22.75,22.5,22.31,21.66,20.03,17.09,13.88,10.94,7.56,3.38,-0.25,-2.78,-5.09,-7.22,-9.28,-10.0,-9.81,-9.25,-8.97,-8.16,-6.69,-5.84,-5.88,-5.88,-5.44,-4.97,-5.56,-6.0,-5.47,-4.25,-3.62,-2.88,-1.0,1.62,4.41,6.12,8.22,10.34,11.75,11.44,11.0,10.66,10.88,10.19,9.19,9.12,9.44,8.44,6.5,5.09,3.94,2.94,1.19,-0.5,-1.38,-2.19,-4.06,-6.03,-6.25,-5.22,-4.56,-2.88,-0.34,2.69,5.19,6.41,8.34,10.47,12.5,13.19,13.88,14.62,14.53,13.12,11.09,9.16,8.62,7.44,6.12,6.0,6.88,7.53,7.06,6.22,5.19,4.0,1.19,-1.16,-1.59,-1.06,-0.47,0.88,2.69,5.47,7.47,8.78,10.22,11.84,13.0,12.84,12.25,12.03,11.84,10.75,9.38,8.41,7.31,5.25,2.47,-0.03,-1.25,-2.19,-2.66,-1.75,0.56,3.25,4.38,5.34,6.62,8.03,8.47,8.69,9.53,10.88,11.53,11.59,11.97,13.34,14.12,14.12,13.91,14.34,14.19,12.44,10.28,8.22,6.47,4.34,2.22,1.16,0.91,0.69,-0.16,-0.5,0.0,1.03,1.47,1.94,3.59,5.38,5.91,6.19,6.88,8.03,8.19,7.97,8.47,10.19,11.53,12.12,12.22,12.81,12.5,10.81,8.78,8.56,8.84,8.91,9.12,10.5,11.78,12.31,12.0,11.75,12.44,12.5,11.81,10.69,10.44,9.88,8.5,7.0,6.94,7.31,7.09,7.03,7.62,8.84,9.53,10.0,10.25,10.78,10.34,8.75,6.62,5.28,4.44,3.5,2.59,3.09,4.03,4.81,5.62,7.34,10.22,12.88,14.12,15.09,16.19,16.28,14.97,13.22,12.25,11.69,10.53,9.12,9.75,11.12,11.88,12.38,13.19,14.25,15.06,15.16,14.94,15.75,16.47,15.88,15.0,14.91,15.69,15.69,15.06,15.25,16.03,15.91,14.97,14.78,14.84,14.78,14.06,13.03,13.19,13.31,12.84,12.03,12.12,12.88,13.38,13.19,13.84,15.16,16.34,16.69,17.5,19.75,21.75,23.0,23.75,25.19,25.69,25.12,23.97,23.41,23.38,22.69,20.91,19.75,18.81,17.66,15.59,13.62,12.41,10.75,8.31,6.06,5.19,5.69,6.47,6.78,7.84,9.38,10.0,9.22,8.78,8.88,9.16,8.78,8.94,10.09,11.0,10.66,9.5,8.81,8.16,7.28,6.12,6.06,7.34,7.91,7.34,6.88,6.75,6.03,4.62,3.16,2.47,2.12,1.53,0.72,0.66,1.5,1.97,1.78,2.16,3.44,5.38,6.38,7.81,10.25,12.22,12.53,11.72,10.78,9.31,6.66,3.41,1.12,0.16,-0.25,-0.72,0.34,2.94,5.41,6.72,8.06,9.94,11.81,12.78,13.59,15.03,15.81,15.81,14.03,12.34,11.0,9.25,6.66,4.84,4.34,4.03,3.72,3.41,3.88,4.88,5.12,5.34,6.06,7.16,7.69,7.28,6.84,7.47,8.47,8.5,8.56,8.81,8.56,7.09,5.38,4.75,5.22,5.56,5.94,7.34,9.38,10.72,10.5,9.75,8.81,7.44,4.69,2.59,1.62,1.47,1.03,0.62,1.31,2.72,3.72,4.47,5.5,7.0,8.0,7.53,6.62,6.12,5.28,3.53,2.34,2.75,4.41,6.28,8.25,10.12,11.72,11.84,10.5,8.62,7.31,6.47,4.16,2.91,3.06,4.19,4.81,5.44,6.5,7.19,6.66,4.72,3.09,2.16,0.81,-0.94,-1.78,-1.03,0.0,0.56,1.97,3.62,5.19,5.0,3.62,2.25,0.97,-0.12,-1.44,-1.97,-1.41,-1.16,-0.94,-0.66,0.81,2.91,4.47,5.97,8.22,11.38,13.41,15.16,16.91,19.09,20.53,20.56,19.53,18.94,17.09,13.97,11.06,9.19,7.72,5.81,3.81,2.0,0.38,-1.62,-3.38,-3.84,-2.78,-1.0,0.5,1.62,3.19,4.34,4.69,4.69,6.03,7.94,9.88,11.84,13.25,14.94,15.31,14.94,14.22,14.22,13.91,13.09,11.88,11.69,11.06,9.66,7.88,6.62,5.81,5.0,3.91,3.44,3.69,3.69,2.59,1.66,1.94,2.44,2.91,3.84,5.88,7.72,8.75,8.69,8.78,8.97,8.91,8.56,8.78,10.03,11.16,11.97,12.12,12.53,12.28,11.44,9.84,9.31,9.56,9.75,9.81,9.91,10.44,10.38,9.06,7.59,7.06,6.56,5.66,4.97,5.81,7.44,8.78,10.34,13.0,15.28,17.09,17.62,17.44,17.25,15.88,14.03,12.38,12.03,12.0,11.62,11.03,10.75,10.16,9.28,8.06,7.34,8.19,8.91,9.47,10.41,11.94,12.78,12.91,12.25,12.66,13.19,13.5,13.59,14.25,15.12,15.34,14.84,14.41,15.22,15.75,15.75,15.59,15.88,15.62,14.53,13.5,13.5,13.91,14.16,13.56,12.78,12.19,11.59,10.12,9.34,9.34,9.56,9.0,8.16,8.22,8.75,8.81,8.53,8.91,9.44,9.81,9.94,10.94,13.22,15.66,17.56,19.22,20.59,21.31,20.25,18.5,17.31,16.41,14.94,13.25,12.0,11.47,11.06,10.41,10.41,11.44,12.75,13.16,13.94,15.22,16.66,17.22,17.0,16.94,17.12,16.84,16.5,16.56,17.28,18.34,18.5,18.69,19.34,19.56,19.03,18.25,18.06,18.16,17.5,16.06,14.94,14.44,14.06,13.09,13.22,14.34,15.78,15.91,15.97,16.47,16.75,15.81,15.09,15.12,15.84,15.94,15.06,14.22,13.22,11.94,10.09,9.06,9.22,10.16,10.59,10.94,11.72,12.5,11.75,10.09,8.75,7.72,7.0,5.84,5.75,6.91,8.31,8.31,7.78,7.5,6.94,5.94,5.22,6.03,8.0,9.19,9.22,9.16,8.69,7.41,5.19,3.56,3.56,3.72,3.09,3.16,4.0,5.19,5.75,6.72,8.12,10.06,10.88,10.38,9.88,9.47,8.47,6.84,5.53,4.84,4.22,2.53,0.97,0.62,1.03,1.94,3.62,6.31,9.81,12.56,13.72,13.84,13.88,12.91,10.72,8.72,7.66,7.69,6.78,5.56,4.88,4.38,3.0,2.28,2.69,5.41,8.69,11.03,13.41,15.59,16.47,15.5,13.78,12.38,11.16,9.56,8.16,7.78,8.5,8.81,8.38,8.56,9.16,10.0,10.62,11.38,13.06,14.84,15.0,14.66,14.91,14.72,13.78,12.22,11.69,11.28,10.34,8.62,6.53,5.09,3.47,1.19,-0.5,-0.56,0.28,0.81,2.06,4.19,6.5,8.0,8.22,7.94,8.22,7.56,5.81,4.72,4.75,4.97,4.88,4.75,5.56,7.09,7.84,8.03,8.94,9.88,10.03,9.44,8.97,9.19,8.94,7.5,5.44,4.19,2.19,-0.47,-3.44,-5.34,-6.22,-7.56,-8.31,-7.69,-5.81,-4.28,-2.78,-1.41,0.84,2.84,3.47,3.53,4.34,4.94,4.5,3.62,2.84,2.25,0.94,-0.88,-1.97,-1.25,0.0,1.47,3.94,7.62,11.16,13.5,14.53,15.41,15.62,14.53,12.34,10.5,8.91,6.69,3.69,1.66,0.91,0.66,0.25,0.56,2.0,3.34,3.81,3.78,4.44,4.62,3.78,2.06,1.25,1.38,2.12,2.38,3.31,4.59,4.62,3.38,1.75,0.94,0.53,0.0,-0.97,-1.0,-0.69,-0.59,-1.06,-0.66,0.75,2.0,2.34,2.53,3.59,4.31,3.47,2.59,2.59,2.53,2.16,1.62,1.94,2.88,3.34,2.97,3.38,5.5,7.88,10.72,13.91,17.78,20.88,21.78,21.88,21.91,22.44,22.56:11.19,10.78,10.25,9.56,9.62,10.31,11.09,11.12,11.19,12.03,13.31,13.75,14.53,16.41,18.84,20.41,21.28,22.06,22.31,21.06,18.56,16.28,14.56,13.0,11.03,9.47,8.5,7.81,6.28,5.03,5.0,5.84,6.31,7.38,8.62,10.53,12.19,13.28,14.12,15.5,16.69,16.31,15.94,15.81,15.97,15.62,15.38,16.06,17.34,17.66,17.34,16.5,15.69,13.66,10.69,7.81,6.06,5.12,3.94,4.0,5.06,6.5,7.09,7.12,6.88,6.59,5.0,2.62,0.72,0.44,0.59,1.53,3.19,6.09,8.38,9.62,10.72,11.62,12.84,13.41,12.97,12.78,13.0,12.38,11.59,12.0,13.97,16.28,18.19,19.25,20.38,20.59,19.94,19.38,19.03,19.91,20.53,20.22,19.78,19.97,19.66,18.03,16.41,15.5,14.31,12.25,10.31,8.81,7.78,6.16,4.66,3.72,3.38,3.16,2.59,2.69,4.25,5.94,7.09,7.72,8.25,7.94,6.28,4.34,3.06,2.56,2.12,1.38,1.31,1.72,1.97,1.56,1.19,1.78,2.53,2.66,3.5,4.97,6.78,7.91,8.0,7.84,7.97,7.25,6.09,5.28,5.22,5.16,4.38,3.62,3.84,3.78,3.06,2.25,2.28,2.88,3.47,3.88,4.78,5.91,6.56,6.44,6.44,7.34,8.25,9.12,9.88,11.66,13.28,14.34,15.56,17.59,19.59,21.28,21.75,21.47,20.69,19.28,17.22,15.12,14.62,14.56,14.0,13.22,12.53,11.81,10.34,8.19,7.5,8.09,8.81,9.09,9.66,10.5,11.12,10.75,10.28,11.47,13.16,14.69,16.06,17.91,19.91,20.38,19.91,19.66,19.56,19.28,17.97,16.47,15.16,13.22,10.19,6.81,3.75,1.22,-1.16,-3.19,-3.69,-2.56,-1.12,0.44,2.22,4.44,6.88,8.19,9.34,11.25,13.41,15.19,16.56,19.06,21.5,22.75,22.5,22.31,21.66,20.03,17.09,13.88,10.94,7.56,3.38,-0.25,-2.78,-5.09,-7.22,-9.28,-10.0,-9.81,-9.25,-8.97,-8.16,-6.69,-5.84,-5.88,-5.88,-5.44,-4.97,-5.56,-6.0,-5.47,-4.25,-3.62,-2.88,-1.0,1.62,4.41,6.12,8.22,10.34,11.75,11.44,11.0,10.66,10.88,10.19,9.19,9.12,9.44,8.44,6.5,5.09,3.94,2.94,1.19,-0.5,-1.38,-2.19,-4.06,-6.03,-6.25,-5.22,-4.56,-2.88,-0.34,2.69,5.19,6.41,8.34,10.47,12.5,13.19,13.88,14.62,14.53,13.12,11.09,9.16,8.62,7.44,6.12,6.0,6.88,7.53,7.06,6.22,5.19,4.0,1.19,-1.16,-1.59,-1.06,-0.47,0.88,2.69,5.47,7.47,8.78,10.22,11.84,13.0,12.84,12.25,12.03,11.84,10.75,9.38,8.41,7.31,5.25,2.47,-0.03,-1.25,-2.19,-2.66,-1.75,0.56,3.25,4.38,5.34,6.62,8.03,8.47,8.69,9.53,10.88,11.53,11.59,11.97,13.34,14.12,14.12,13.91,14.34,14.19,12.44,10.28,8.22,6.47,4.34,2.22,1.16,0.91,0.69,-0.16,-0.5,0.0,1.03,1.47,1.94,3.59,5.38,5.91,6.19,6.88,8.03,8.19,7.97,8.47,10.19,11.53,12.12,12.22,12.81,12.5,10.81,8.78,8.56,8.84,8.91,9.12,10.5,11.78,12.31,12.0,11.75,12.44,12.5,11.81,10.69,10.44,9.88,8.5,7.0,6.94,7.31,7.09,7.03,7.62,8.84,9.53,10.0,10.25,10.78,10.34,8.75,6.62,5.28,4.44,3.5,2.59,3.09,4.03,4.81,5.62,7.34,10.22,12.88,14.12,15.09,16.19,16.28,14.97,13.22,12.25,11.69,10.53,9.12,9.75,11.12,11.88,12.38,13.19,14.25,15.06,15.16,14.94,15.75,16.47,15.88,15.0,14.91,15.69,15.69,15.06,15.25,16.03,15.91,14.97,14.78,14.84,14.78,14.06,13.03,13.19,13.31,12.84,12.03,12.12,12.88,13.38,13.19,13.84,15.16,16.34,16.69,17.5,19.75,21.75,23.0,23.75,25.19,25.69,25.12,23.97,23.41,23.38,22.69,20.91,19.75,18.81,17.66,15.59,13.62,12.41,10.75,8.31,6.06,5.19,5.69,6.47,6.78,7.84,9.38,10.0,9.22,8.78,8.88,9.16,8.78,8.94,10.09,11.0,10.66,9.5,8.81,8.16,7.28,6.12,6.06,7.34,7.91,7.34,6.88,6.75,6.03,4.62,3.16,2.47,2.12,1.53,0.72,0.66,1.5,1.97,1.78,2.16,3.44,5.38,6.38,7.81,10.25,12.22,12.53,11.72,10.78,9.31,6.66,3.41,1.12,0.16,-0.25,-0.72,0.34,2.94,5.41,6.72,8.06,9.94,11.81,12.78,13.59,15.03,15.81,15.81,14.03,12.34,11.0,9.25,6.66,4.84,4.34,4.03,3.72,3.41,3.88,4.88,5.12,5.34,6.06,7.16,7.69,7.28,6.84,7.47,8.47,8.5,8.56,8.81,8.56,7.09,5.38,4.75,5.22,5.56,5.94,7.34,9.38,10.72,10.5,9.75,8.81,7.44,4.69,2.59,1.62,1.47,1.03,0.62,1.31,2.72,3.72,4.47,5.5,7.0,8.0,7.53,6.62,6.12,5.28,3.53,2.34,2.75,4.41,6.28,8.25,10.12,11.72,11.84,10.5,8.62,7.31,6.47,4.16,2.91,3.06,4.19,4.81,5.44,6.5,7.19,6.66,4.72,3.09,2.16,0.81,-0.94,-1.78,-1.03,0.0,0.56,1.97,3.62,5.19,5.0,3.62,2.25,0.97,-0.12,-1.44,-1.97,-1.41,-1.16,-0.94,-0.66,0.81,2.91,4.47,5.97,8.22,11.38,13.41,15.16,16.91,19.09,20.53,20.56,19.53,18.94,17.09,13.97,11.06,9.19,7.72,5.81,3.81,2.0,0.38,-1.62,-3.38,-3.84,-2.78,-1.0,0.5,1.62,3.19,4.34,4.69,4.69,6.03,7.94,9.88,11.84,13.25,14.94,15.31,14.94,14.22,14.22,13.91,13.09,11.88,11.69,11.06,9.66,7.88,6.62,5.81,5.0,3.91,3.44,3.69,3.69,2.59,1.66,1.94,2.44,2.91,3.84,5.88,7.72,8.75,8.69,8.78,8.97,8.91,8.56,8.78,10.03,11.16,11.97,12.12,12.53,12.28,11.44,9.84,9.31,9.56,9.75,9.81,9.91,10.44,10.38,9.06,7.59,7.06,6.56,5.66,4.97,5.81,7.44,8.78,10.34,13.0,15.28,17.09,17.62,17.44,17.25,15.88,14.03,12.38,12.03,12.0,11.62,11.03,10.75,10.16,9.28,8.06,7.34,8.19,8.91,9.47,10.41,11.94,12.78,12.91,12.25,12.66,13.19,13.5,13.59,14.25,15.12,15.34,14.84,14.41,15.22,15.75,15.75,15.59,15.88,15.62,14.53,13.5,13.5,13.91,14.16,13.56,12.78,12.19,11.59,10.12,9.34,9.34,9.56,9.0,8.16,8.22,8.75,8.81,8.53,8.91,9.44,9.81,9.94,10.94,13.22,15.66,17.56,19.22,20.59,21.31,20.25,18.5,17.31,16.41,14.94,13.25,12.0,11.47,11.06,10.41,10.41,11.44,12.75,13.16,13.94,15.22,16.66,17.22,17.0,16.94,17.12,16.84,16.5,16.56,17.28,18.34,18.5,18.69,19.34,19.56,19.03,18.25,18.06,18.16,17.5,16.06,14.94,14.44,14.06,13.09,13.22,14.34,15.78,15.91,15.97,16.47,16.75,15.81,15.09,15.12,15.84,15.94,15.06,14.22,13.22,11.94,10.09,9.06,9.22,10.16,10.59,10.94,11.72,12.5,11.75,10.09,8.75,7.72,7.0,5.84,5.75,6.91,8.31,8.31,7.78,7.5,6.94,5.94,5.22,6.03,8.0,9.19,9.22,9.16,8.69,7.41,5.19,3.56,3.56,3.72,3.09,3.16,4.0,5.19,5.75,6.72,8.12,10.06,10.88,10.38,9.88,9.47,8.47,6.84,5.53,4.84,4.22,2.53,0.97,0.62,1.03,1.94,3.62,6.31,9.81,12.56,13.72,13.84,13.88,12.91,10.72,8.72,7.66,7.69,6.78,5.56,4.88,4.38,3.0,2.28,2.69,5.41,8.69,11.03,13.41,15.59,16.47,15.5,13.78,12.38,11.16,9.56,8.16,7.78,8.5,8.81,8.38,8.56,9.16,10.0,10.62,11.38,13.06,14.84,15.0,14.66,14.91,14.72,13.78,12.22,11.69,11.28,10.34,8.62,6.53,5.09,3.47,1.19,-0.5,-0.56,0.28,0.81,2.06,4.19,6.5,8.0,8.22,7.94,8.22,7.56,5.81,4.72,4.75,4.97,4.88,4.75,5.56,7.09,7.84,8.03,8.94,9.88,10.03,9.44,8.97,9.19,8.94,7.5,5.44,4.19,2.19,-0.47,-3.44,-5.34,-6.22,-7.56,-8.31,-7.69,-5.81,-4.28,-2.78,-1.41,0.84,2.84,3.47,3.53,4.34,4.94,4.5,3.62,2.84,2.25,0.94,-0.88,-1.97,-1.25,0.0,1.47,3.94,7.62,11.16,13.5,14.53,15.41,15.62,14.53,12.34,10.5,8.91,6.69,3.69,1.66,0.91,0.66,0.25,0.56,2.0,3.34,3.81,3.78,4.44,4.62,3.78,2.06,1.25,1.38,2.12,2.38,3.31,4.59,4.62,3.38,1.75,0.94,0.53,0.0,-0.97,-1.0,-0.69,-0.59,-1.06,-0.66,0.75,2.0,2.34,2.53,3.59,4.31,3.47,2.59,2.59,2.53,2.16,1.62,1.94,2.88,3.34,2.97,3.38,5.5,7.88,10.72,13.91,17.78,20.88,21.78,21.88,21.91,22.44,22.56,59.19,60.03,60.5,60.0,59.28,58.25,56.75:11.12,11.19,12.03,13.31,13.75,14.53,16.41,18.84,20.41,21.28,22.06,22.31,21.06,18.56,16.28,14.56,13.0,11.03,9.47,8.5,7.81,6.28,5.03,5.0,5.84,6.31,7.38,8.62,10.53,12.19,13.28,14.12,15.5,16.69,16.31,15.94,15.81,15.97,15.62,15.38,16.06,17.34,17.66,17.34,16.5,15.69,13.66,10.69,7.81,6.06,5.12,3.94,4.0,5.06,6.5,7.09,7.12,6.88,6.59,5.0,2.62,0.72,0.44,0.59,1.53,3.19,6.09,8.38,9.62,10.72,11.62,12.84,13.41,12.97,12.78,13.0,12.38,11.59,12.0,13.97,16.28,18.19,19.25,20.38,20.59,19.94,19.38,19.03,19.91,20.53,20.22,19.78,19.97,19.66,18.03,16.41,15.5,14.31,12.25,10.31,8.81,7.78,6.16,4.66,3.72,3.38,3.16,2.59,2.69,4.25,5.94,7.09,7.72,8.25,7.94,6.28,4.34,3.06,2.56,2.12,1.38,1.31,1.72,1.97,1.56,1.19,1.78,2.53,2.66,3.5,4.97,6.78,7.91,8.0,7.84,7.97,7.25,6.09,5.28,5.22,5.16,4.38,3.62,3.84,3.78,3.06,2.25,2.28,2.88,3.47,3.88,4.78,5.91,6.56,6.44,6.44,7.34,8.25,9.12,9.88,11.66,13.28,14.34,15.56,17.59,19.59,21.28,21.75,21.47,20.69,19.28,17.22,15.12,14.62,14.56,14.0,13.22,12.53,11.81,10.34,8.19,7.5,8.09,8.81,9.09,9.66,10.5,11.12,10.75,10.28,11.47,13.16,14.69,16.06,17.91,19.91,20.38,19.91,19.66,19.56,19.28,17.97,16.47,15.16,13.22,10.19,6.81,3.75,1.22,-1.16,-3.19,-3.69,-2.56,-1.12,0.44,2.22,4.44,6.88,8.19,9.34,11.25,13.41,15.19,16.56,19.06,21.5,22.75,22.5,22.31,21.66,20.03,17.09,13.88,10.94,7.56,3.38,-0.25,-2.78,-5.09,-7.22,-9.28,-10.0,-9.81,-9.25,-8.97,-8.16,-6.69,-5.84,-5.88,-5.88,-5.44,-4.97,-5.56,-6.0,-5.47,-4.25,-3.62,-2.88,-1.0,1.62,4.41,6.12,8.22,10.34,11.75,11.44,11.0,10.66,10.88,10.19,9.19,9.12,9.44,8.44,6.5,5.09,3.94,2.94,1.19,-0.5,-1.38,-2.19,-4.06,-6.03,-6.25,-5.22,-4.56,-2.88,-0.34,2.69,5.19,6.41,8.34,10.47,12.5,13.19,13.88,14.62,14.53,13.12,11.09,9.16,8.62,7.44,6.12,6.0,6.88,7.53,7.06,6.22,5.19,4.0,1.19,-1.16,-1.59,-1.06,-0.47,0.88,2.69,5.47,7.47,8.78,10.22,11.84,13.0,12.84,12.25,12.03,11.84,10.75,9.38,8.41,7.31,5.25,2.47,-0.03,-1.25,-2.19,-2.66,-1.75,0.56,3.25,4.38,5.34,6.62,8.03,8.47,8.69,9.53,10.88,11.53,11.59,11.97,13.34,14.12,14.12,13.91,14.34,14.19,12.44,10.28,8.22,6.47,4.34,2.22,1.16,0.91,0.69,-0.16,-0.5,0.0,1.03,1.47,1.94,3.59,5.38,5.91,6.19,6.88,8.03,8.19,7.97,8.47,10.19,11.53,12.12,12.22,12.81,12.5,10.81,8.78,8.56,8.84,8.91,9.12,10.5,11.78,12.31,12.0,11.75,12.44,12.5,11.81,10.69,10.44,9.88,8.5,7.0,6.94,7.31,7.09,7.03,7.62,8.84,9.53,10.0,10.25,10.78,10.34,8.75,6.62,5.28,4.44,3.5,2.59,3.09,4.03,4.81,5.62,7.34,10.22,12.88,14.12,15.09,16.19,16.28,14.97,13.22,12.25,11.69,10.53,9.12,9.75,11.12,11.88,12.38,13.19,14.25,15.06,15.16,14.94,15.75,16.47,15.88,15.0,14.91,15.69,15.69,15.06,15.25,16.03,15.91,14.97,14.78,14.84,14.78,14.06,13.03,13.19,13.31,12.84,12.03,12.12,12.88,13.38,13.19,13.84,15.16,16.34,16.69,17.5,19.75,21.75,23.0,23.75,25.19,25.69,25.12,23.97,23.41,23.38,22.69,20.91,19.75,18.81,17.66,15.59,13.62,12.41,10.75,8.31,6.06,5.19,5.69,6.47,6.78,7.84,9.38,10.0,9.22,8.78,8.88,9.16,8.78,8.94,10.09,11.0,10.66,9.5,8.81,8.16,7.28,6.12,6.06,7.34,7.91,7.34,6.88,6.75,6.03,4.62,3.16,2.47,2.12,1.53,0.72,0.66,1.5,1.97,1.78,2.16,3.44,5.38,6.38,7.81,10.25,12.22,12.53,11.72,10.78,9.31,6.66,3.41,1.12,0.16,-0.25,-0.72,0.34,2.94,5.41,6.72,8.06,9.94,11.81,12.78,13.59,15.03,15.81,15.81,14.03,12.34,11.0,9.25,6.66,4.84,4.34,4.03,3.72,3.41,3.88,4.88,5.12,5.34,6.06,7.16,7.69,7.28,6.84,7.47,8.47,8.5,8.56,8.81,8.56,7.09,5.38,4.75,5.22,5.56,5.94,7.34,9.38,10.72,10.5,9.75,8.81,7.44,4.69,2.59,1.62,1.47,1.03,0.62,1.31,2.72,3.72,4.47,5.5,7.0,8.0,7.53,6.62,6.12,5.28,3.53,2.34,2.75,4.41,6.28,8.25,10.12,11.72,11.84,10.5,8.62,7.31,6.47,4.16,2.91,3.06,4.19,4.81,5.44,6.5,7.19,6.66,4.72,3.09,2.16,0.81,-0.94,-1.78,-1.03,0.0,0.56,1.97,3.62,5.19,5.0,3.62,2.25,0.97,-0.12,-1.44,-1.97,-1.41,-1.16,-0.94,-0.66,0.81,2.91,4.47,5.97,8.22,11.38,13.41,15.16,16.91,19.09,20.53,20.56,19.53,18.94,17.09,13.97,11.06,9.19,7.72,5.81,3.81,2.0,0.38,-1.62,-3.38,-3.84,-2.78,-1.0,0.5,1.62,3.19,4.34,4.69,4.69,6.03,7.94,9.88,11.84,13.25,14.94,15.31,14.94,14.22,14.22,13.91,13.09,11.88,11.69,11.06,9.66,7.88,6.62,5.81,5.0,3.91,3.44,3.69,3.69,2.59,1.66,1.94,2.44,2.91,3.84,5.88,7.72,8.75,8.69,8.78,8.97,8.91,8.56,8.78,10.03,11.16,11.97,12.12,12.53,12.28,11.44,9.84,9.31,9.56,9.75,9.81,9.91,10.44,10.38,9.06,7.59,7.06,6.56,5.66,4.97,5.81,7.44,8.78,10.34,13.0,15.28,17.09,17.62,17.44,17.25,15.88,14.03,12.38,12.03,12.0,11.62,11.03,10.75,10.16,9.28,8.06,7.34,8.19,8.91,9.47,10.41,11.94,12.78,12.91,12.25,12.66,13.19,13.5,13.59,14.25,15.12,15.34,14.84,14.41,15.22,15.75,15.75,15.59,15.88,15.62,14.53,13.5,13.5,13.91,14.16,13.56,12.78,12.19,11.59,10.12,9.34,9.34,9.56,9.0,8.16,8.22,8.75,8.81,8.53,8.91,9.44,9.81,9.94,10.94,13.22,15.66,17.56,19.22,20.59,21.31,20.25,18.5,17.31,16.41,14.94,13.25,12.0,11.47,11.06,10.41,10.41,11.44,12.75,13.16,13.94,15.22,16.66,17.22,17.0,16.94,17.12,16.84,16.5,16.56,17.28,18.34,18.5,18.69,19.34,19.56,19.03,18.25,18.06,18.16,17.5,16.06,14.94,14.44,14.06,13.09,13.22,14.34,15.78,15.91,15.97,16.47,16.75,15.81,15.09,15.12,15.84,15.94,15.06,14.22,13.22,11.94,10.09,9.06,9.22,10.16,10.59,10.94,11.72,12.5,11.75,10.09,8.75,7.72,7.0,5.84,5.75,6.91,8.31,8.31,7.78,7.5,6.94,5.94,5.22,6.03,8.0,9.19,9.22,9.16,8.69,7.41,5.19,3.56,3.56,3.72,3.09,3.16,4.0,5.19,5.75,6.72,8.12,10.06,10.88,10.38,9.88,9.47,8.47,6.84,5.53,4.84,4.22,2.53,0.97,0.62,1.03,1.94,3.62,6.31,9.81,12.56,13.72,13.84,13.88,12.91,10.72,8.72,7.66,7.69,6.78,5.56,4.88,4.38,3.0,2.28,2.69,5.41,8.69,11.03,13.41,15.59,16.47,15.5,13.78,12.38,11.16,9.56,8.16,7.78,8.5,8.81,8.38,8.56,9.16,10.0,10.62,11.38,13.06,14.84,15.0,14.66,14.91,14.72,13.78,12.22,11.69,11.28,10.34,8.62,6.53,5.09,3.47,1.19,-0.5,-0.56,0.28,0.81,2.06,4.19,6.5,8.0,8.22,7.94,8.22,7.56,5.81,4.72,4.75,4.97,4.88,4.75,5.56,7.09,7.84,8.03,8.94,9.88,10.03,9.44,8.97,9.19,8.94,7.5,5.44,4.19,2.19,-0.47,-3.44,-5.34,-6.22,-7.56,-8.31,-7.69,-5.81,-4.28,-2.78,-1.41,0.84,2.84,3.47,3.53,4.34,4.94,4.5,3.62,2.84,2.25,0.94,-0.88,-1.97,-1.25,0.0,1.47,3.94,7.62,11.16,13.5,14.53,15.41,15.62,14.53,12.34,10.5,8.91,6.69,3.69,1.66,0.91,0.66,0.25,0.56,2.0,3.34,3.81,3.78,4.44,4.62,3.78,2.06,1.25,1.38,2.12,2.38,3.31,4.59,4.62,3.38,1.75,0.94,0.53,0.0,-0.97,-1.0,-0.69,-0.59,-1.06,-0.66,0.75,2.0,2.34,2.53,3.59,4.31,3.47,2.59,2.59,2.53,2.16,1.62,1.94,2.88,3.34,2.97,3.38,5.5,7.88,10.72,13.91,17.78,20.88,21.78,21.88,21.91,22.44,22.56,59.19,60.03,60.5,60.0,59.28,58.25,56.75,54.97,53.44,51.84,50.22,48.91,47.91,47.75:18.84,20.41,21.28,22.06,22.31,21.06,18.56,16.28,14.56,13.0,11.03,9.47,8.5,7.81,6.28,5.03,5.0,5.84,6.31,7.38,8.62,10.53,12.19,13.28,14.12,15.5,16.69,16.31,15.94,15.81,15.97,15.62,15.38,16.06,17.34,17.66,17.34,16.5,15.69,13.66,10.69,7.81,6.06,5.12,3.94,4.0,5.06,6.5,7.09,7.12,6.88,6.59,5.0,2.62,0.72,0.44,0.59,1.53,3.19,6.09,8.38,9.62,10.72,11.62,12.84,13.41,12.97,12.78,13.0,12.38,11.59,12.0,13.97,16.28,18.19,19.25,20.38,20.59,19.94,19.38,19.03,19.91,20.53,20.22,19.78,19.97,19.66,18.03,16.41,15.5,14.31,12.25,10.31,8.81,7.78,6.16,4.66,3.72,3.38,3.16,2.59,2.69,4.25,5.94,7.09,7.72,8.25,7.94,6.28,4.34,3.06,2.56,2.12,1.38,1.31,1.72,1.97,1.56,1.19,1.78,2.53,2.66,3.5,4.97,6.78,7.91,8.0,7.84,7.97,7.25,6.09,5.28,5.22,5.16,4.38,3.62,3.84,3.78,3.06,2.25,2.28,2.88,3.47,3.88,4.78,5.91,6.56,6.44,6.44,7.34,8.25,9.12,9.88,11.66,13.28,14.34,15.56,17.59,19.59,21.28,21.75,21.47,20.69,19.28,17.22,15.12,14.62,14.56,14.0,13.22,12.53,11.81,10.34,8.19,7.5,8.09,8.81,9.09,9.66,10.5,11.12,10.75,10.28,11.47,13.16,14.69,16.06,17.91,19.91,20.38,19.91,19.66,19.56,19.28,17.97,16.47,15.16,13.22,10.19,6.81,3.75,1.22,-1.16,-3.19,-3.69,-2.56,-1.12,0.44,2.22,4.44,6.88,8.19,9.34,11.25,13.41,15.19,16.56,19.06,21.5,22.75,22.5,22.31,21.66,20.03,17.09,13.88,10.94,7.56,3.38,-0.25,-2.78,-5.09,-7.22,-9.28,-10.0,-9.81,-9.25,-8.97,-8.16,-6.69,-5.84,-5.88,-5.88,-5.44,-4.97,-5.56,-6.0,-5.47,-4.25,-3.62,-2.88,-1.0,1.62,4.41,6.12,8.22,10.34,11.75,11.44,11.0,10.66,10.88,10.19,9.19,9.12,9.44,8.44,6.5,5.09,3.94,2.94,1.19,-0.5,-1.38,-2.19,-4.06,-6.03,-6.25,-5.22,-4.56,-2.88,-0.34,2.69,5.19,6.41,8.34,10.47,12.5,13.19,13.88,14.62,14.53,13.12,11.09,9.16,8.62,7.44,6.12,6.0,6.88,7.53,7.06,6.22,5.19,4.0,1.19,-1.16,-1.59,-1.06,-0.47,0.88,2.69,5.47,7.47,8.78,10.22,11.84,13.0,12.84,12.25,12.03,11.84,10.75,9.38,8.41,7.31,5.25,2.47,-0.03,-1.25,-2.19,-2.66,-1.75,0.56,3.25,4.38,5.34,6.62,8.03,8.47,8.69,9.53,10.88,11.53,11.59,11.97,13.34,14.12,14.12,13.91,14.34,14.19,12.44,10.28,8.22,6.47,4.34,2.22,1.16,0.91,0.69,-0.16,-0.5,0.0,1.03,1.47,1.94,3.59,5.38,5.91,6.19,6.88,8.03,8.19,7.97,8.47,10.19,11.53,12.12,12.22,12.81,12.5,10.81,8.78,8.56,8.84,8.91,9.12,10.5,11.78,12.31,12.0,11.75,12.44,12.5,11.81,10.69,10.44,9.88,8.5,7.0,6.94,7.31,7.09,7.03,7.62,8.84,9.53,10.0,10.25,10.78,10.34,8.75,6.62,5.28,4.44,3.5,2.59,3.09,4.03,4.81,5.62,7.34,10.22,12.88,14.12,15.09,16.19,16.28,14.97,13.22,12.25,11.69,10.53,9.12,9.75,11.12,11.88,12.38,13.19,14.25,15.06,15.16,14.94,15.75,16.47,15.88,15.0,14.91,15.69,15.69,15.06,15.25,16.03,15.91,14.97,14.78,14.84,14.78,14.06,13.03,13.19,13.31,12.84,12.03,12.12,12.88,13.38,13.19,13.84,15.16,16.34,16.69,17.5,19.75,21.75,23.0,23.75,25.19,25.69,25.12,23.97,23.41,23.38,22.69,20.91,19.75,18.81,17.66,15.59,13.62,12.41,10.75,8.31,6.06,5.19,5.69,6.47,6.78,7.84,9.38,10.0,9.22,8.78,8.88,9.16,8.78,8.94,10.09,11.0,10.66,9.5,8.81,8.16,7.28,6.12,6.06,7.34,7.91,7.34,6.88,6.75,6.03,4.62,3.16,2.47,2.12,1.53,0.72,0.66,1.5,1.97,1.78,2.16,3.44,5.38,6.38,7.81,10.25,12.22,12.53,11.72,10.78,9.31,6.66,3.41,1.12,0.16,-0.25,-0.72,0.34,2.94,5.41,6.72,8.06,9.94,11.81,12.78,13.59,15.03,15.81,15.81,14.03,12.34,11.0,9.25,6.66,4.84,4.34,4.03,3.72,3.41,3.88,4.88,5.12,5.34,6.06,7.16,7.69,7.28,6.84,7.47,8.47,8.5,8.56,8.81,8.56,7.09,5.38,4.75,5.22,5.56,5.94,7.34,9.38,10.72,10.5,9.75,8.81,7.44,4.69,2.59,1.62,1.47,1.03,0.62,1.31,2.72,3.72,4.47,5.5,7.0,8.0,7.53,6.62,6.12,5.28,3.53,2.34,2.75,4.41,6.28,8.25,10.12,11.72,11.84,10.5,8.62,7.31,6.47,4.16,2.91,3.06,4.19,4.81,5.44,6.5,7.19,6.66,4.72,3.09,2.16,0.81,-0.94,-1.78,-1.03,0.0,0.56,1.97,3.62,5.19,5.0,3.62,2.25,0.97,-0.12,-1.44,-1.97,-1.41,-1.16,-0.94,-0.66,0.81,2.91,4.47,5.97,8.22,11.38,13.41,15.16,16.91,19.09,20.53,20.56,19.53,18.94,17.09,13.97,11.06,9.19,7.72,5.81,3.81,2.0,0.38,-1.62,-3.38,-3.84,-2.78,-1.0,0.5,1.62,3.19,4.34,4.69,4.69,6.03,7.94,9.88,11.84,13.25,14.94,15.31,14.94,14.22,14.22,13.91,13.09,11.88,11.69,11.06,9.66,7.88,6.62,5.81,5.0,3.91,3.44,3.69,3.69,2.59,1.66,1.94,2.44,2.91,3.84,5.88,7.72,8.75,8.69,8.78,8.97,8.91,8.56,8.78,10.03,11.16,11.97,12.12,12.53,12.28,11.44,9.84,9.31,9.56,9.75,9.81,9.91,10.44,10.38,9.06,7.59,7.06,6.56,5.66,4.97,5.81,7.44,8.78,10.34,13.0,15.28,17.09,17.62,17.44,17.25,15.88,14.03,12.38,12.03,12.0,11.62,11.03,10.75,10.16,9.28,8.06,7.34,8.19,8.91,9.47,10.41,11.94,12.78,12.91,12.25,12.66,13.19,13.5,13.59,14.25,15.12,15.34,14.84,14.41,15.22,15.75,15.75,15.59,15.88,15.62,14.53,13.5,13.5,13.91,14.16,13.56,12.78,12.19,11.59,10.12,9.34,9.34,9.56,9.0,8.16,8.22,8.75,8.81,8.53,8.91,9.44,9.81,9.94,10.94,13.22,15.66,17.56,19.22,20.59,21.31,20.25,18.5,17.31,16.41,14.94,13.25,12.0,11.47,11.06,10.41,10.41,11.44,12.75,13.16,13.94,15.22,16.66,17.22,17.0,16.94,17.12,16.84,16.5,16.56,17.28,18.34,18.5,18.69,19.34,19.56,19.03,18.25,18.06,18.16,17.5,16.06,14.94,14.44,14.06,13.09,13.22,14.34,15.78,15.91,15.97,16.47,16.75,15.81,15.09,15.12,15.84,15.94,15.06,14.22,13.22,11.94,10.09,9.06,9.22,10.16,10.59,10.94,11.72,12.5,11.75,10.09,8.75,7.72,7.0,5.84,5.75,6.91,8.31,8.31,7.78,7.5,6.94,5.94,5.22,6.03,8.0,9.19,9.22,9.16,8.69,7.41,5.19,3.56,3.56,3.72,3.09,3.16,4.0,5.19,5.75,6.72,8.12,10.06,10.88,10.38,9.88,9.47,8.47,6.84,5.53,4.84,4.22,2.53,0.97,0.62,1.03,1.94,3.62,6.31,9.81,12.56,13.72,13.84,13.88,12.91,10.72,8.72,7.66,7.69,6.78,5.56,4.88,4.38,3.0,2.28,2.69,5.41,8.69,11.03,13.41,15.59,16.47,15.5,13.78,12.38,11.16,9.56,8.16,7.78,8.5,8.81,8.38,8.56,9.16,10.0,10.62,11.38,13.06,14.84,15.0,14.66,14.91,14.72,13.78,12.22,11.69,11.28,10.34,8.62,6.53,5.09,3.47,1.19,-0.5,-0.56,0.28,0.81,2.06,4.19,6.5,8.0,8.22,7.94,8.22,7.56,5.81,4.72,4.75,4.97,4.88,4.75,5.56,7.09,7.84,8.03,8.94,9.88,10.03,9.44,8.97,9.19,8.94,7.5,5.44,4.19,2.19,-0.47,-3.44,-5.34,-6.22,-7.56,-8.31,-7.69,-5.81,-4.28,-2.78,-1.41,0.84,2.84,3.47,3.53,4.34,4.94,4.5,3.62,2.84,2.25,0.94,-0.88,-1.97,-1.25,0.0,1.47,3.94,7.62,11.16,13.5,14.53,15.41,15.62,14.53,12.34,10.5,8.91,6.69,3.69,1.66,0.91,0.66,0.25,0.56,2.0,3.34,3.81,3.78,4.44,4.62,3.78,2.06,1.25,1.38,2.12,2.38,3.31,4.59,4.62,3.38,1.75,0.94,0.53,0.0,-0.97,-1.0,-0.69,-0.59,-1.06,-0.66,0.75,2.0,2.34,2.53,3.59,4.31,3.47,2.59,2.59,2.53,2.16,1.62,1.94,2.88,3.34,2.97,3.38,5.5,7.88,10.72,13.91,17.78,20.88,21.78,21.88,21.91,22.44,22.56,59.19,60.03,60.5,60.0,59.28,58.25,56.75,54.97,53.44,51.84,50.22,48.91,47.91,47.75,47.75,48.34,49.34,51.28,53.0,55.06,56.97:16.28,14.56,13.0,11.03,9.47,8.5,7.81,6.28,5.03,5.0,5.84,6.31,7.38,8.62,10.53,12.19,13.28,14.12,15.5,16.69,16.31,15.94,15.81,15.97,15.62,15.38,16.06,17.34,17.66,17.34,16.5,15.69,13.66,10.69,7.81,6.06,5.12,3.94,4.0,5.06,6.5,7.09,7.12,6.88,6.59,5.0,2.62,0.72,0.44,0.59,1.53,3.19,6.09,8.38,9.62,10.72,11.62,12.84,13.41,12.97,12.78,13.0,12.38,11.59,12.0,13.97,16.28,18.19,19.25,20.38,20.59,19.94,19.38,19.03,19.91,20.53,20.22,19.78,19.97,19.66,18.03,16.41,15.5,14.31,12.25,10.31,8.81,7.78,6.16,4.66,3.72,3.38,3.16,2.59,2.69,4.25,5.94,7.09,7.72,8.25,7.94,6.28,4.34,3.06,2.56,2.12,1.38,1.31,1.72,1.97,1.56,1.19,1.78,2.53,2.66,3.5,4.97,6.78,7.91,8.0,7.84,7.97,7.25,6.09,5.28,5.22,5.16,4.38,3.62,3.84,3.78,3.06,2.25,2.28,2.88,3.47,3.88,4.78,5.91,6.56,6.44,6.44,7.34,8.25,9.12,9.88,11.66,13.28,14.34,15.56,17.59,19.59,21.28,21.75,21.47,20.69,19.28,17.22,15.12,14.62,14.56,14.0,13.22,12.53,11.81,10.34,8.19,7.5,8.09,8.81,9.09,9.66,10.5,11.12,10.75,10.28,11.47,13.16,14.69,16.06,17.91,19.91,20.38,19.91,19.66,19.56,19.28,17.97,16.47,15.16,13.22,10.19,6.81,3.75,1.22,-1.16,-3.19,-3.69,-2.56,-1.12,0.44,2.22,4.44,6.88,8.19,9.34,11.25,13.41,15.19,16.56,19.06,21.5,22.75,22.5,22.31,21.66,20.03,17.09,13.88,10.94,7.56,3.38,-0.25,-2.78,-5.09,-7.22,-9.28,-10.0,-9.81,-9.25,-8.97,-8.16,-6.69,-5.84,-5.88,-5.88,-5.44,-4.97,-5.56,-6.0,-5.47,-4.25,-3.62,-2.88,-1.0,1.62,4.41,6.12,8.22,10.34,11.75,11.44,11.0,10.66,10.88,10.19,9.19,9.12,9.44,8.44,6.5,5.09,3.94,2.94,1.19,-0.5,-1.38,-2.19,-4.06,-6.03,-6.25,-5.22,-4.56,-2.88,-0.34,2.69,5.19,6.41,8.34,10.47,12.5,13.19,13.88,14.62,14.53,13.12,11.09,9.16,8.62,7.44,6.12,6.0,6.88,7.53,7.06,6.22,5.19,4.0,1.19,-1.16,-1.59,-1.06,-0.47,0.88,2.69,5.47,7.47,8.78,10.22,11.84,13.0,12.84,12.25,12.03,11.84,10.75,9.38,8.41,7.31,5.25,2.47,-0.03,-1.25,-2.19,-2.66,-1.75,0.56,3.25,4.38,5.34,6.62,8.03,8.47,8.69,9.53,10.88,11.53,11.59,11.97,13.34,14.12,14.12,13.91,14.34,14.19,12.44,10.28,8.22,6.47,4.34,2.22,1.16,0.91,0.69,-0.16,-0.5,0.0,1.03,1.47,1.94,3.59,5.38,5.91,6.19,6.88,8.03,8.19,7.97,8.47,10.19,11.53,12.12,12.22,12.81,12.5,10.81,8.78,8.56,8.84,8.91,9.12,10.5,11.78,12.31,12.0,11.75,12.44,12.5,11.81,10.69,10.44,9.88,8.5,7.0,6.94,7.31,7.09,7.03,7.62,8.84,9.53,10.0,10.25,10.78,10.34,8.75,6.62,5.28,4.44,3.5,2.59,3.09,4.03,4.81,5.62,7.34,10.22,12.88,14.12,15.09,16.19,16.28,14.97,13.22,12.25,11.69,10.53,9.12,9.75,11.12,11.88,12.38,13.19,14.25,15.06,15.16,14.94,15.75,16.47,15.88,15.0,14.91,15.69,15.69,15.06,15.25,16.03,15.91,14.97,14.78,14.84,14.78,14.06,13.03,13.19,13.31,12.84,12.03,12.12,12.88,13.38,13.19,13.84,15.16,16.34,16.69,17.5,19.75,21.75,23.0,23.75,25.19,25.69,25.12,23.97,23.41,23.38,22.69,20.91,19.75,18.81,17.66,15.59,13.62,12.41,10.75,8.31,6.06,5.19,5.69,6.47,6.78,7.84,9.38,10.0,9.22,8.78,8.88,9.16,8.78,8.94,10.09,11.0,10.66,9.5,8.81,8.16,7.28,6.12,6.06,7.34,7.91,7.34,6.88,6.75,6.03,4.62,3.16,2.47,2.12,1.53,0.72,0.66,1.5,1.97,1.78,2.16,3.44,5.38,6.38,7.81,10.25,12.22,12.53,11.72,10.78,9.31,6.66,3.41,1.12,0.16,-0.25,-0.72,0.34,2.94,5.41,6.72,8.06,9.94,11.81,12.78,13.59,15.03,15.81,15.81,14.03,12.34,11.0,9.25,6.66,4.84,4.34,4.03,3.72,3.41,3.88,4.88,5.12,5.34,6.06,7.16,7.69,7.28,6.84,7.47,8.47,8.5,8.56,8.81,8.56,7.09,5.38,4.75,5.22,5.56,5.94,7.34,9.38,10.72,10.5,9.75,8.81,7.44,4.69,2.59,1.62,1.47,1.03,0.62,1.31,2.72,3.72,4.47,5.5,7.0,8.0,7.53,6.62,6.12,5.28,3.53,2.34,2.75,4.41,6.28,8.25,10.12,11.72,11.84,10.5,8.62,7.31,6.47,4.16,2.91,3.06,4.19,4.81,5.44,6.5,7.19,6.66,4.72,3.09,2.16,0.81,-0.94,-1.78,-1.03,0.0,0.56,1.97,3.62,5.19,5.0,3.62,2.25,0.97,-0.12,-1.44,-1.97,-1.41,-1.16,-0.94,-0.66,0.81,2.91,4.47,5.97,8.22,11.38,13.41,15.16,16.91,19.09,20.53,20.56,19.53,18.94,17.09,13.97,11.06,9.19,7.72,5.81,3.81,2.0,0.38,-1.62,-3.38,-3.84,-2.78,-1.0,0.5,1.62,3.19,4.34,4.69,4.69,6.03,7.94,9.88,11.84,13.25,14.94,15.31,14.94,14.22,14.22,13.91,13.09,11.88,11.69,11.06,9.66,7.88,6.62,5.81,5.0,3.91,3.44,3.69,3.69,2.59,1.66,1.94,2.44,2.91,3.84,5.88,7.72,8.75,8.69,8.78,8.97,8.91,8.56,8.78,10.03,11.16,11.97,12.12,12.53,12.28,11.44,9.84,9.31,9.56,9.75,9.81,9.91,10.44,10.38,9.06,7.59,7.06,6.56,5.66,4.97,5.81,7.44,8.78,10.34,13.0,15.28,17.09,17.62,17.44,17.25,15.88,14.03,12.38,12.03,12.0,11.62,11.03,10.75,10.16,9.28,8.06,7.34,8.19,8.91,9.47,10.41,11.94,12.78,12.91,12.25,12.66,13.19,13.5,13.59,14.25,15.12,15.34,14.84,14.41,15.22,15.75,15.75,15.59,15.88,15.62,14.53,13.5,13.5,13.91,14.16,13.56,12.78,12.19,11.59,10.12,9.34,9.34,9.56,9.0,8.16,8.22,8.75,8.81,8.53,8.91,9.44,9.81,9.94,10.94,13.22,15.66,17.56,19.22,20.59,21.31,20.25,18.5,17.31,16.41,14.94,13.25,12.0,11.47,11.06,10.41,10.41,11.44,12.75,13.16,13.94,15.22,16.66,17.22,17.0,16.94,17.12,16.84,16.5,16.56,17.28,18.34,18.5,18.69,19.34,19.56,19.03,18.25,18.06,18.16,17.5,16.06,14.94,14.44,14.06,13.09,13.22,14.34,15.78,15.91,15.97,16.47,16.75,15.81,15.09,15.12,15.84,15.94,15.06,14.22,13.22,11.94,10.09,9.06,9.22,10.16,10.59,10.94,11.72,12.5,11.75,10.09,8.75,7.72,7.0,5.84,5.75,6.91,8.31,8.31,7.78,7.5,6.94,5.94,5.22,6.03,8.0,9.19,9.22,9.16,8.69,7.41,5.19,3.56,3.56,3.72,3.09,3.16,4.0,5.19,5.75,6.72,8.12,10.06,10.88,10.38,9.88,9.47,8.47,6.84,5.53,4.84,4.22,2.53,0.97,0.62,1.03,1.94,3.62,6.31,9.81,12.56,13.72,13.84,13.88,12.91,10.72,8.72,7.66,7.69,6.78,5.56,4.88,4.38,3.0,2.28,2.69,5.41,8.69,11.03,13.41,15.59,16.47,15.5,13.78,12.38,11.16,9.56,8.16,7.78,8.5,8.81,8.38,8.56,9.16,10.0,10.62,11.38,13.06,14.84,15.0,14.66,14.91,14.72,13.78,12.22,11.69,11.28,10.34,8.62,6.53,5.09,3.47,1.19,-0.5,-0.56,0.28,0.81,2.06,4.19,6.5,8.0,8.22,7.94,8.22,7.56,5.81,4.72,4.75,4.97,4.88,4.75,5.56,7.09,7.84,8.03,8.94,9.88,10.03,9.44,8.97,9.19,8.94,7.5,5.44,4.19,2.19,-0.47,-3.44,-5.34,-6.22,-7.56,-8.31,-7.69,-5.81,-4.28,-2.78,-1.41,0.84,2.84,3.47,3.53,4.34,4.94,4.5,3.62,2.84,2.25,0.94,-0.88,-1.97,-1.25,0.0,1.47,3.94,7.62,11.16,13.5,14.53,15.41,15.62,14.53,12.34,10.5,8.91,6.69,3.69,1.66,0.91,0.66,0.25,0.56,2.0,3.34,3.81,3.78,4.44,4.62,3.78,2.06,1.25,1.38,2.12,2.38,3.31,4.59,4.62,3.38,1.75,0.94,0.53,0.0,-0.97,-1.0,-0.69,-0.59,-1.06,-0.66,0.75,2.0,2.34,2.53,3.59,4.31,3.47,2.59,2.59,2.53,2.16,1.62,1.94,2.88,3.34,2.97,3.38,5.5,7.88,10.72,13.91,17.78,20.88,21.78,21.88,21.91,22.44,22.56,59.19,60.03,60.5,60.0,59.28,58.25,56.75,54.97,53.44,51.84,50.22,48.91,47.91,47.75,47.75,48.34,49.34,51.28,53.0,55.06,56.97,59.31,61.12,62.38,62.78,62.81,62.06,60.66:6.28,5.03,5.0,5.84,6.31,7.38,8.62,10.53,12.19,13.28,14.12,15.5,16.69,16.31,15.94,15.81,15.97,15.62,15.38,16.06,17.34,17.66,17.34,16.5,15.69,13.66,10.69,7.81,6.06,5.12,3.94,4.0,5.06,6.5,7.09,7.12,6.88,6.59,5.0,2.62,0.72,0.44,0.59,1.53,3.19,6.09,8.38,9.62,10.72,11.62,12.84,13.41,12.97,12.78,13.0,12.38,11.59,12.0,13.97,16.28,18.19,19.25,20.38,20.59,19.94,19.38,19.03,19.91,20.53,20.22,19.78,19.97,19.66,18.03,16.41,15.5,14.31,12.25,10.31,8.81,7.78,6.16,4.66,3.72,3.38,3.16,2.59,2.69,4.25,5.94,7.09,7.72,8.25,7.94,6.28,4.34,3.06,2.56,2.12,1.38,1.31,1.72,1.97,1.56,1.19,1.78,2.53,2.66,3.5,4.97,6.78,7.91,8.0,7.84,7.97,7.25,6.09,5.28,5.22,5.16,4.38,3.62,3.84,3.78,3.06,2.25,2.28,2.88,3.47,3.88,4.78,5.91,6.56,6.44,6.44,7.34,8.25,9.12,9.88,11.66,13.28,14.34,15.56,17.59,19.59,21.28,21.75,21.47,20.69,19.28,17.22,15.12,14.62,14.56,14.0,13.22,12.53,11.81,10.34,8.19,7.5,8.09,8.81,9.09,9.66,10.5,11.12,10.75,10.28,11.47,13.16,14.69,16.06,17.91,19.91,20.38,19.91,19.66,19.56,19.28,17.97,16.47,15.16,13.22,10.19,6.81,3.75,1.22,-1.16,-3.19,-3.69,-2.56,-1.12,0.44,2.22,4.44,6.88,8.19,9.34,11.25,13.41,15.19,16.56,19.06,21.5,22.75,22.5,22.31,21.66,20.03,17.09,13.88,10.94,7.56,3.38,-0.25,-2.78,-5.09,-7.22,-9.28,-10.0,-9.81,-9.25,-8.97,-8.16,-6.69,-5.84,-5.88,-5.88,-5.44,-4.97,-5.56,-6.0,-5.47,-4.25,-3.62,-2.88,-1.0,1.62,4.41,6.12,8.22,10.34,11.75,11.44,11.0,10.66,10.88,10.19,9.19,9.12,9.44,8.44,6.5,5.09,3.94,2.94,1.19,-0.5,-1.38,-2.19,-4.06,-6.03,-6.25,-5.22,-4.56,-2.88,-0.34,2.69,5.19,6.41,8.34,10.47,12.5,13.19,13.88,14.62,14.53,13.12,11.09,9.16,8.62,7.44,6.12,6.0,6.88,7.53,7.06,6.22,5.19,4.0,1.19,-1.16,-1.59,-1.06,-0.47,0.88,2.69,5.47,7.47,8.78,10.22,11.84,13.0,12.84,12.25,12.03,11.84,10.75,9.38,8.41,7.31,5.25,2.47,-0.03,-1.25,-2.19,-2.66,-1.75,0.56,3.25,4.38,5.34,6.62,8.03,8.47,8.69,9.53,10.88,11.53,11.59,11.97,13.34,14.12,14.12,13.91,14.34,14.19,12.44,10.28,8.22,6.47,4.34,2.22,1.16,0.91,0.69,-0.16,-0.5,0.0,1.03,1.47,1.94,3.59,5.38,5.91,6.19,6.88,8.03,8.19,7.97,8.47,10.19,11.53,12.12,12.22,12.81,12.5,10.81,8.78,8.56,8.84,8.91,9.12,10.5,11.78,12.31,12.0,11.75,12.44,12.5,11.81,10.69,10.44,9.88,8.5,7.0,6.94,7.31,7.09,7.03,7.62,8.84,9.53,10.0,10.25,10.78,10.34,8.75,6.62,5.28,4.44,3.5,2.59,3.09,4.03,4.81,5.62,7.34,10.22,12.88,14.12,15.09,16.19,16.28,14.97,13.22,12.25,11.69,10.53,9.12,9.75,11.12,11.88,12.38,13.19,14.25,15.06,15.16,14.94,15.75,16.47,15.88,15.0,14.91,15.69,15.69,15.06,15.25,16.03,15.91,14.97,14.78,14.84,14.78,14.06,13.03,13.19,13.31,12.84,12.03,12.12,12.88,13.38,13.19,13.84,15.16,16.34,16.69,17.5,19.75,21.75,23.0,23.75,25.19,25.69,25.12,23.97,23.41,23.38,22.69,20.91,19.75,18.81,17.66,15.59,13.62,12.41,10.75,8.31,6.06,5.19,5.69,6.47,6.78,7.84,9.38,10.0,9.22,8.78,8.88,9.16,8.78,8.94,10.09,11.0,10.66,9.5,8.81,8.16,7.28,6.12,6.06,7.34,7.91,7.34,6.88,6.75,6.03,4.62,3.16,2.47,2.12,1.53,0.72,0.66,1.5,1.97,1.78,2.16,3.44,5.38,6.38,7.81,10.25,12.22,12.53,11.72,10.78,9.31,6.66,3.41,1.12,0.16,-0.25,-0.72,0.34,2.94,5.41,6.72,8.06,9.94,11.81,12.78,13.59,15.03,15.81,15.81,14.03,12.34,11.0,9.25,6.66,4.84,4.34,4.03,3.72,3.41,3.88,4.88,5.12,5.34,6.06,7.16,7.69,7.28,6.84,7.47,8.47,8.5,8.56,8.81,8.56,7.09,5.38,4.75,5.22,5.56,5.94,7.34,9.38,10.72,10.5,9.75,8.81,7.44,4.69,2.59,1.62,1.47,1.03,0.62,1.31,2.72,3.72,4.47,5.5,7.0,8.0,7.53,6.62,6.12,5.28,3.53,2.34,2.75,4.41,6.28,8.25,10.12,11.72,11.84,10.5,8.62,7.31,6.47,4.16,2.91,3.06,4.19,4.81,5.44,6.5,7.19,6.66,4.72,3.09,2.16,0.81,-0.94,-1.78,-1.03,0.0,0.56,1.97,3.62,5.19,5.0,3.62,2.25,0.97,-0.12,-1.44,-1.97,-1.41,-1.16,-0.94,-0.66,0.81,2.91,4.47,5.97,8.22,11.38,13.41,15.16,16.91,19.09,20.53,20.56,19.53,18.94,17.09,13.97,11.06,9.19,7.72,5.81,3.81,2.0,0.38,-1.62,-3.38,-3.84,-2.78,-1.0,0.5,1.62,3.19,4.34,4.69,4.69,6.03,7.94,9.88,11.84,13.25,14.94,15.31,14.94,14.22,14.22,13.91,13.09,11.88,11.69,11.06,9.66,7.88,6.62,5.81,5.0,3.91,3.44,3.69,3.69,2.59,1.66,1.94,2.44,2.91,3.84,5.88,7.72,8.75,8.69,8.78,8.97,8.91,8.56,8.78,10.03,11.16,11.97,12.12,12.53,12.28,11.44,9.84,9.31,9.56,9.75,9.81,9.91,10.44,10.38,9.06,7.59,7.06,6.56,5.66,4.97,5.81,7.44,8.78,10.34,13.0,15.28,17.09,17.62,17.44,17.25,15.88,14.03,12.38,12.03,12.0,11.62,11.03,10.75,10.16,9.28,8.06,7.34,8.19,8.91,9.47,10.41,11.94,12.78,12.91,12.25,12.66,13.19,13.5,13.59,14.25,15.12,15.34,14.84,14.41,15.22,15.75,15.75,15.59,15.88,15.62,14.53,13.5,13.5,13.91,14.16,13.56,12.78,12.19,11.59,10.12,9.34,9.34,9.56,9.0,8.16,8.22,8.75,8.81,8.53,8.91,9.44,9.81,9.94,10.94,13.22,15.66,17.56,19.22,20.59,21.31,20.25,18.5,17.31,16.41,14.94,13.25,12.0,11.47,11.06,10.41,10.41,11.44,12.75,13.16,13.94,15.22,16.66,17.22,17.0,16.94,17.12,16.84,16.5,16.56,17.28,18.34,18.5,18.69,19.34,19.56,19.03,18.25,18.06,18.16,17.5,16.06,14.94,14.44,14.06,13.09,13.22,14.34,15.78,15.91,15.97,16.47,16.75,15.81,15.09,15.12,15.84,15.94,15.06,14.22,13.22,11.94,10.09,9.06,9.22,10.16,10.59,10.94,11.72,12.5,11.75,10.09,8.75,7.72,7.0,5.84,5.75,6.91,8.31,8.31,7.78,7.5,6.94,5.94,5.22,6.03,8.0,9.19,9.22,9.16,8.69,7.41,5.19,3.56,3.56,3.72,3.09,3.16,4.0,5.19,5.75,6.72,8.12,10.06,10.88,10.38,9.88,9.47,8.47,6.84,5.53,4.84,4.22,2.53,0.97,0.62,1.03,1.94,3.62,6.31,9.81,12.56,13.72,13.84,13.88,12.91,10.72,8.72,7.66,7.69,6.78,5.56,4.88,4.38,3.0,2.28,2.69,5.41,8.69,11.03,13.41,15.59,16.47,15.5,13.78,12.38,11.16,9.56,8.16,7.78,8.5,8.81,8.38,8.56,9.16,10.0,10.62,11.38,13.06,14.84,15.0,14.66,14.91,14.72,13.78,12.22,11.69,11.28,10.34,8.62,6.53,5.09,3.47,1.19,-0.5,-0.56,0.28,0.81,2.06,4.19,6.5,8.0,8.22,7.94,8.22,7.56,5.81,4.72,4.75,4.97,4.88,4.75,5.56,7.09,7.84,8.03,8.94,9.88,10.03,9.44,8.97,9.19,8.94,7.5,5.44,4.19,2.19,-0.47,-3.44,-5.34,-6.22,-7.56,-8.31,-7.69,-5.81,-4.28,-2.78,-1.41,0.84,2.84,3.47,3.53,4.34,4.94,4.5,3.62,2.84,2.25,0.94,-0.88,-1.97,-1.25,0.0,1.47,3.94,7.62,11.16,13.5,14.53,15.41,15.62,14.53,12.34,10.5,8.91,6.69,3.69,1.66,0.91,0.66,0.25,0.56,2.0,3.34,3.81,3.78,4.44,4.62,3.78,2.06,1.25,1.38,2.12,2.38,3.31,4.59,4.62,3.38,1.75,0.94,0.53,0.0,-0.97,-1.0,-0.69,-0.59,-1.06,-0.66,0.75,2.0,2.34,2.53,3.59,4.31,3.47,2.59,2.59,2.53,2.16,1.62,1.94,2.88,3.34,2.97,3.38,5.5,7.88,10.72,13.91,17.78,20.88,21.78,21.88,21.91,22.44,22.56,59.19,60.03,60.5,60.0,59.28,58.25,56.75,54.97,53.44,51.84,50.22,48.91,47.91,47.75,47.75,48.34,49.34,51.28,53.0,55.06,56.97,59.31,61.12,62.38,62.78,62.81,62.06,60.66,58.94,57.22,55.53,54.03,52.56,51.19,50.03:10.53,12.19,13.28,14.12,15.5,16.69,16.31,15.94,15.81,15.97,15.62,15.38,16.06,17.34,17.66,17.34,16.5,15.69,13.66,10.69,7.81,6.06,5.12,3.94,4.0,5.06,6.5,7.09,7.12,6.88,6.59,5.0,2.62,0.72,0.44,0.59,1.53,3.19,6.09,8.38,9.62,10.72,11.62,12.84,13.41,12.97,12.78,13.0,12.38,11.59,12.0,13.97,16.28,18.19,19.25,20.38,20.59,19.94,19.38,19.03,19.91,20.53,20.22,19.78,19.97,19.66,18.03,16.41,15.5,14.31,12.25,10.31,8.81,7.78,6.16,4.66,3.72,3.38,3.16,2.59,2.69,4.25,5.94,7.09,7.72,8.25,7.94,6.28,4.34,3.06,2.56,2.12,1.38,1.31,1.72,1.97,1.56,1.19,1.78,2.53,2.66,3.5,4.97,6.78,7.91,8.0,7.84,7.97,7.25,6.09,5.28,5.22,5.16,4.38,3.62,3.84,3.78,3.06,2.25,2.28,2.88,3.47,3.88,4.78,5.91,6.56,6.44,6.44,7.34,8.25,9.12,9.88,11.66,13.28,14.34,15.56,17.59,19.59,21.28,21.75,21.47,20.69,19.28,17.22,15.12,14.62,14.56,14.0,13.22,12.53,11.81,10.34,8.19,7.5,8.09,8.81,9.09,9.66,10.5,11.12,10.75,10.28,11.47,13.16,14.69,16.06,17.91,19.91,20.38,19.91,19.66,19.56,19.28,17.97,16.47,15.16,13.22,10.19,6.81,3.75,1.22,-1.16,-3.19,-3.69,-2.56,-1.12,0.44,2.22,4.44,6.88,8.19,9.34,11.25,13.41,15.19,16.56,19.06,21.5,22.75,22.5,22.31,21.66,20.03,17.09,13.88,10.94,7.56,3.38,-0.25,-2.78,-5.09,-7.22,-9.28,-10.0,-9.81,-9.25,-8.97,-8.16,-6.69,-5.84,-5.88,-5.88,-5.44,-4.97,-5.56,-6.0,-5.47,-4.25,-3.62,-2.88,-1.0,1.62,4.41,6.12,8.22,10.34,11.75,11.44,11.0,10.66,10.88,10.19,9.19,9.12,9.44,8.44,6.5,5.09,3.94,2.94,1.19,-0.5,-1.38,-2.19,-4.06,-6.03,-6.25,-5.22,-4.56,-2.88,-0.34,2.69,5.19,6.41,8.34,10.47,12.5,13.19,13.88,14.62,14.53,13.12,11.09,9.16,8.62,7.44,6.12,6.0,6.88,7.53,7.06,6.22,5.19,4.0,1.19,-1.16,-1.59,-1.06,-0.47,0.88,2.69,5.47,7.47,8.78,10.22,11.84,13.0,12.84,12.25,12.03,11.84,10.75,9.38,8.41,7.31,5.25,2.47,-0.03,-1.25,-2.19,-2.66,-1.75,0.56,3.25,4.38,5.34,6.62,8.03,8.47,8.69,9.53,10.88,11.53,11.59,11.97,13.34,14.12,14.12,13.91,14.34,14.19,12.44,10.28,8.22,6.47,4.34,2.22,1.16,0.91,0.69,-0.16,-0.5,0.0,1.03,1.47,1.94,3.59,5.38,5.91,6.19,6.88,8.03,8.19,7.97,8.47,10.19,11.53,12.12,12.22,12.81,12.5,10.81,8.78,8.56,8.84,8.91,9.12,10.5,11.78,12.31,12.0,11.75,12.44,12.5,11.81,10.69,10.44,9.88,8.5,7.0,6.94,7.31,7.09,7.03,7.62,8.84,9.53,10.0,10.25,10.78,10.34,8.75,6.62,5.28,4.44,3.5,2.59,3.09,4.03,4.81,5.62,7.34,10.22,12.88,14.12,15.09,16.19,16.28,14.97,13.22,12.25,11.69,10.53,9.12,9.75,11.12,11.88,12.38,13.19,14.25,15.06,15.16,14.94,15.75,16.47,15.88,15.0,14.91,15.69,15.69,15.06,15.25,16.03,15.91,14.97,14.78,14.84,14.78,14.06,13.03,13.19,13.31,12.84,12.03,12.12,12.88,13.38,13.19,13.84,15.16,16.34,16.69,17.5,19.75,21.75,23.0,23.75,25.19,25.69,25.12,23.97,23.41,23.38,22.69,20.91,19.75,18.81,17.66,15.59,13.62,12.41,10.75,8.31,6.06,5.19,5.69,6.47,6.78,7.84,9.38,10.0,9.22,8.78,8.88,9.16,8.78,8.94,10.09,11.0,10.66,9.5,8.81,8.16,7.28,6.12,6.06,7.34,7.91,7.34,6.88,6.75,6.03,4.62,3.16,2.47,2.12,1.53,0.72,0.66,1.5,1.97,1.78,2.16,3.44,5.38,6.38,7.81,10.25,12.22,12.53,11.72,10.78,9.31,6.66,3.41,1.12,0.16,-0.25,-0.72,0.34,2.94,5.41,6.72,8.06,9.94,11.81,12.78,13.59,15.03,15.81,15.81,14.03,12.34,11.0,9.25,6.66,4.84,4.34,4.03,3.72,3.41,3.88,4.88,5.12,5.34,6.06,7.16,7.69,7.28,6.84,7.47,8.47,8.5,8.56,8.81,8.56,7.09,5.38,4.75,5.22,5.56,5.94,7.34,9.38,10.72,10.5,9.75,8.81,7.44,4.69,2.59,1.62,1.47,1.03,0.62,1.31,2.72,3.72,4.47,5.5,7.0,8.0,7.53,6.62,6.12,5.28,3.53,2.34,2.75,4.41,6.28,8.25,10.12,11.72,11.84,10.5,8.62,7.31,6.47,4.16,2.91,3.06,4.19,4.81,5.44,6.5,7.19,6.66,4.72,3.09,2.16,0.81,-0.94,-1.78,-1.03,0.0,0.56,1.97,3.62,5.19,5.0,3.62,2.25,0.97,-0.12,-1.44,-1.97,-1.41,-1.16,-0.94,-0.66,0.81,2.91,4.47,5.97,8.22,11.38,13.41,15.16,16.91,19.09,20.53,20.56,19.53,18.94,17.09,13.97,11.06,9.19,7.72,5.81,3.81,2.0,0.38,-1.62,-3.38,-3.84,-2.78,-1.0,0.5,1.62,3.19,4.34,4.69,4.69,6.03,7.94,9.88,11.84,13.25,14.94,15.31,14.94,14.22,14.22,13.91,13.09,11.88,11.69,11.06,9.66,7.88,6.62,5.81,5.0,3.91,3.44,3.69,3.69,2.59,1.66,1.94,2.44,2.91,3.84,5.88,7.72,8.75,8.69,8.78,8.97,8.91,8.56,8.78,10.03,11.16,11.97,12.12,12.53,12.28,11.44,9.84,9.31,9.56,9.75,9.81,9.91,10.44,10.38,9.06,7.59,7.06,6.56,5.66,4.97,5.81,7.44,8.78,10.34,13.0,15.28,17.09,17.62,17.44,17.25,15.88,14.03,12.38,12.03,12.0,11.62,11.03,10.75,10.16,9.28,8.06,7.34,8.19,8.91,9.47,10.41,11.94,12.78,12.91,12.25,12.66,13.19,13.5,13.59,14.25,15.12,15.34,14.84,14.41,15.22,15.75,15.75,15.59,15.88,15.62,14.53,13.5,13.5,13.91,14.16,13.56,12.78,12.19,11.59,10.12,9.34,9.34,9.56,9.0,8.16,8.22,8.75,8.81,8.53,8.91,9.44,9.81,9.94,10.94,13.22,15.66,17.56,19.22,20.59,21.31,20.25,18.5,17.31,16.41,14.94,13.25,12.0,11.47,11.06,10.41,10.41,11.44,12.75,13.16,13.94,15.22,16.66,17.22,17.0,16.94,17.12,16.84,16.5,16.56,17.28,18.34,18.5,18.69,19.34,19.56,19.03,18.25,18.06,18.16,17.5,16.06,14.94,14.44,14.06,13.09,13.22,14.34,15.78,15.91,15.97,16.47,16.75,15.81,15.09,15.12,15.84,15.94,15.06,14.22,13.22,11.94,10.09,9.06,9.22,10.16,10.59,10.94,11.72,12.5,11.75,10.09,8.75,7.72,7.0,5.84,5.75,6.91,8.31,8.31,7.78,7.5,6.94,5.94,5.22,6.03,8.0,9.19,9.22,9.16,8.69,7.41,5.19,3.56,3.56,3.72,3.09,3.16,4.0,5.19,5.75,6.72,8.12,10.06,10.88,10.38,9.88,9.47,8.47,6.84,5.53,4.84,4.22,2.53,0.97,0.62,1.03,1.94,3.62,6.31,9.81,12.56,13.72,13.84,13.88,12.91,10.72,8.72,7.66,7.69,6.78,5.56,4.88,4.38,3.0,2.28,2.69,5.41,8.69,11.03,13.41,15.59,16.47,15.5,13.78,12.38,11.16,9.56,8.16,7.78,8.5,8.81,8.38,8.56,9.16,10.0,10.62,11.38,13.06,14.84,15.0,14.66,14.91,14.72,13.78,12.22,11.69,11.28,10.34,8.62,6.53,5.09,3.47,1.19,-0.5,-0.56,0.28,0.81,2.06,4.19,6.5,8.0,8.22,7.94,8.22,7.56,5.81,4.72,4.75,4.97,4.88,4.75,5.56,7.09,7.84,8.03,8.94,9.88,10.03,9.44,8.97,9.19,8.94,7.5,5.44,4.19,2.19,-0.47,-3.44,-5.34,-6.22,-7.56,-8.31,-7.69,-5.81,-4.28,-2.78,-1.41,0.84,2.84,3.47,3.53,4.34,4.94,4.5,3.62,2.84,2.25,0.94,-0.88,-1.97,-1.25,0.0,1.47,3.94,7.62,11.16,13.5,14.53,15.41,15.62,14.53,12.34,10.5,8.91,6.69,3.69,1.66,0.91,0.66,0.25,0.56,2.0,3.34,3.81,3.78,4.44,4.62,3.78,2.06,1.25,1.38,2.12,2.38,3.31,4.59,4.62,3.38,1.75,0.94,0.53,0.0,-0.97,-1.0,-0.69,-0.59,-1.06,-0.66,0.75,2.0,2.34,2.53,3.59,4.31,3.47,2.59,2.59,2.53,2.16,1.62,1.94,2.88,3.34,2.97,3.38,5.5,7.88,10.72,13.91,17.78,20.88,21.78,21.88,21.91,22.44,22.56,59.19,60.03,60.5,60.0,59.28,58.25,56.75,54.97,53.44,51.84,50.22,48.91,47.91,47.75,47.75,48.34,49.34,51.28,53.0,55.06,56.97,59.31,61.12,62.38,62.78,62.81,62.06,60.66,58.94,57.22,55.53,54.03,52.56,51.19,50.03,49.19,48.56,48.06,48.25,48.56,49.69,50.53:negativity
21.28,22.81,24.53,26.78,28.69,30.0,30.78,31.91,32.28,31.06,29.38,27.47,25.78,23.72,21.72,21.03,21.84,22.62,23.66,24.56,25.78,26.41,25.81,25.25,25.44,25.59,26.06,26.5,27.34,29.0,30.03,30.78,32.09,33.94,35.5,36.0,35.56,35.34,34.12,31.69,29.72,28.81,28.91,29.31,30.16,31.59,34.03,36.0,37.12,38.12,39.34,39.97,39.69,39.34,39.28,39.06,37.38,35.47,34.47,33.75,33.03,32.25,32.34,33.03,33.31,33.28,33.53,34.41,35.34,35.66,35.5,35.75,35.53,34.16,32.06,30.56,28.72,26.44,23.75,21.53,20.38,20.03,20.19,21.0,23.38,25.66,26.94,28.22,30.31,33.03,35.66,38.19,41.28,44.0,45.28,44.75,43.38,42.06,40.19,37.94,35.97,35.66,35.84,35.44,34.97,34.78,34.38,33.25,31.66,31.09,31.22,31.38,31.44,32.0,32.62,33.47,33.78,33.78,34.12,33.84,32.53,30.25,28.38,26.81,25.16,23.16,21.78,20.84,19.94,18.72,17.81,17.97,18.38,18.22,17.84,18.38,19.09,19.75,20.38,21.34,22.38,22.34,21.59,20.59,20.41,20.56,20.0,19.56,19.84,20.38,20.66,21.22,22.84,25.38,27.66,29.0,30.16,30.69,30.41,28.56,26.62,25.5,25.28,24.34,23.84,24.47,24.47,23.31,21.69,21.0,20.69,21.09,21.47,22.66,24.28,25.31,25.5,25.28,25.53,26.25,26.75,27.31,29.03,30.81,31.91,32.31,33.16,34.41,35.19,35.47,36.47,38.0,39.41,39.59,38.97,38.28,37.34,34.97,32.78,31.91,31.56,31.31,30.66,30.5,30.25,29.56,28.41,27.84,28.25,29.5,30.22,31.28,33.12,34.84,35.0,34.28,33.72,33.03,32.06,30.56,29.94,29.84,29.81,28.72,27.94,27.97,28.34,28.25,28.19,29.31,30.53,30.5,29.69,29.03,28.47,28.0,27.16,27.25,28.09,29.31,29.5,29.72,29.59,29.25,27.53,24.94,23.41,23.19,22.28,21.62,21.75,22.69,22.84,22.16,22.06,22.5,22.5,22.03,22.12,23.03,24.91,26.16,27.44,29.31,31.19,32.06,32.06,32.56,33.59,34.59,34.69,35.03,35.38,35.31,34.06,32.72,31.81,31.25,30.12,28.81,28.59,29.5,30.19,30.78,32.19,33.94,35.5,35.62,35.56,35.56,35.78,35.53,35.5,36.0,36.97,36.16,34.16,32.03,30.59,28.56,26.72,25.69,26.19,27.5,27.69,28.41,29.75,30.84,30.56,30.06,30.12,30.56,30.38,29.59,29.53,29.78,29.53,28.72,27.94,28.25,28.56,27.81,27.38,27.12,27.38,26.88,26.5,26.72,27.84,28.16,27.53,26.75,26.62,26.19,25.44,24.84,26.12,27.91,29.09,30.31,31.97,33.16,32.09,30.16,28.47,27.59,26.94,25.97,25.84,26.81,27.75,27.72,28.5,29.84,31.28,31.09,30.41,30.09,30.78,30.78,30.84,31.78,33.16,33.31,31.53,29.56,28.06,26.75,24.84,24.19,24.94,26.28,26.69,27.16,28.62,30.56,31.38,31.78,32.03,32.66,32.97,33.09,33.88,36.28,38.81,40.56,41.41,42.47,42.19,39.5,34.75,29.97,25.38,20.62,17.03,15.72,17.5,20.16,22.88,25.72,28.88,31.47,32.03,32.19,32.97,33.41,32.97,32.22,31.88,31.72,30.19,27.66,24.97,22.84,20.72,19.0,18.53,20.41,23.03,25.19,27.06,29.41,31.16,32.19,32.75,34.38,36.81,38.44,39.12,39.28,39.47,38.91,37.09,35.81,36.25,37.5,39.0,40.97,44.12,47.81,50.72,52.91,55.16,57.84,59.56,60.19,60.62,61.78,62.06,60.94,59.19,57.34,55.78,52.44,48.59,45.62,43.47,40.84,38.03,36.03,35.19,34.41,33.97,34.91,37.75,41.0,43.41,44.94,46.75,48.41,48.88,48.62,48.31,48.47,48.25,47.5,47.53,48.38,48.56,47.16,45.0,43.25,41.12,38.09,35.38,33.75,32.44,30.94,29.59,28.75,29.12,28.72,27.53,26.53,26.38,26.16,26.22,26.38,28.53,31.06,32.75,34.28,36.94,40.44,43.5,46.06,48.78,51.12,51.62,49.72,46.66,43.34,39.47,34.56,29.69,26.88,25.12,23.25,21.41,21.03,21.25,20.56,19.81,20.31,22.25,24.97,27.88,31.41,36.0,40.03,42.78,44.66,47.16,49.31,50.97,51.66,52.31,53.34,52.91,51.19,49.53,48.69,47.25,44.84,41.94,39.56,36.56,33.12,29.69,27.78,26.47,24.84,22.72,21.25,20.97,21.09,21.34,22.75,25.47,28.31,29.78,30.56,31.25,30.81,29.53,27.84,27.38,27.69,27.94,27.84,27.94,28.59,28.31,27.06,25.94,25.12,24.53,23.38,22.62,23.22,23.75,23.16,21.72,20.94,20.28,19.53,18.97,19.47,21.12,22.75,23.66,24.53,25.88,26.69,25.91,24.56,24.0,23.56,23.16,22.81,23.84,25.5,26.44,26.03,25.69,25.62,25.25,24.09,23.19,23.19,22.78,21.56,20.09,19.78,20.03,19.66,18.66,18.09,17.47,16.75,15.06,14.72,15.59,16.66,17.34,18.75,21.16,23.53,25.22,26.75,29.25,31.16,32.53,32.44,32.31,31.53,29.81,26.41,23.03,20.25,17.38,14.25,11.34,9.72,8.5,6.88,5.38,4.88,5.16,5.72,5.41,5.69,6.78,8.62,10.0,12.03,15.34,18.66,20.09,20.5,21.59,23.09,24.03,25.19,27.38,30.38,32.25,32.59,32.31,31.59,30.56,28.47,27.28,26.84,27.28,27.0,26.09,26.28,26.69,26.47,25.47,24.81,24.62,24.06,22.94,22.41,22.81,23.06,22.44,21.56,22.03,22.41,21.91,21.25,21.22,20.72,20.41,19.47,18.97,19.0,18.5,16.72,15.56,15.72,16.81,17.62,19.53,22.34,25.56,27.66,28.72,30.06,31.53,31.81,31.5,31.34,31.62,31.72,30.34,28.62,27.88,27.0,24.91,23.09,22.66,22.66,21.94,21.12,21.41,21.84,22.03,21.56,21.78,22.75,23.75,23.94,24.72,26.62,28.91,30.34,31.78,33.75,35.47,36.0,35.19,33.91,32.72,30.75,27.72,25.62,25.16,25.5,25.78,27.12,28.84,30.47,31.03,31.03,31.53,32.59,32.97,32.97,32.72,32.69,32.22,30.62,29.16,28.81,28.53,27.41,26.16,25.78,26.09,25.38,24.5,23.88,23.66,22.94,20.5,18.72,18.16,17.62,16.72,16.22,16.59,17.41,17.59,17.94,18.91,20.19,19.88,19.28,18.62,18.94,19.09,19.53,20.94,23.03,25.16,26.22,26.88,27.03,26.5,24.47,21.91,20.06,19.06,17.38,15.78,14.94,14.59,14.28,13.34,12.78,13.28,14.22,14.62,15.09,16.88,18.56,19.78,20.88,22.53,25.06,26.78,27.75,28.28,29.16,28.72,27.47,26.0,25.38,25.12,23.88,22.75,21.81,21.31,19.91,18.56,17.91,18.5,18.75,18.62,18.53,19.19,18.97,18.06,17.28,17.28,17.53,17.25,17.09,17.28,17.75,16.94,15.03,13.16,12.16,11.75,11.81,12.5,15.03,16.88,17.62,18.19,19.44,21.03,21.91,22.41,22.53,22.5,21.22,19.41,17.5,16.56,15.84,15.03,14.47,15.62,17.03,17.75,18.47,19.47,20.06,19.09,17.22,15.47,13.88,11.88,9.62,7.94,8.03,7.97,7.94,8.41,9.84,11.94,14.34,16.88,20.53,24.78,28.5,30.97,32.16,32.34,30.41,25.75,20.03,14.53,9.53,4.88,1.56,0.84,2.25,4.88,8.28,13.31,19.0,23.97,27.66,30.78,33.88,35.47,34.97,32.91,29.94,25.44,19.22,13.03,8.66,6.03,4.53,3.62,4.44,6.59,8.56,10.97,13.84,17.47,21.0,23.16,25.06,27.22,28.88,29.34,28.75,28.28,27.72,26.56,24.91,23.97,23.53,22.19,19.78,16.88,13.75,9.09,3.56,-1.72,-5.47,-7.53,-8.41,-8.84,-7.47,-5.75,-3.72,-1.84,0.56,4.12,7.16,9.47,11.78,15.34,18.88,21.53,23.88,26.0,27.03,26.06,23.69,20.47,17.06,12.97,8.69,5.03,2.41,0.41,-1.94,-3.97,-4.97,-5.81,-7.06,-8.09,-8.41,-7.88,-7.19,-6.34,-4.09,-1.34,1.66,3.72,5.66,7.47,8.5,8.25,7.56,7.75,8.0,7.34,6.44,5.75,4.84,3.19,0.84,-1.12,-2.41,-3.59,-4.69,-5.0,-3.44,-1.41,0.06,1.31,3.5,6.0,8.19,10.41,13.0,15.94,18.72,20.38,22.38,24.66,26.53,26.84,26.56,26.06,24.69,22.06,19.03,16.84,15.28,14.03,12.75,12.66,13.09,13.06,12.09,11.12,9.97,8.59,6.34,4.72,4.88,5.75,6.38,6.66,7.31,7.94,7.59,6.12,4.62,3.62,2.16,0.25,-0.75,0.03,1.44,2.03,2.19,2.69,2.28,0.75,-1.0,-1.94,-1.69,-1.06,-0.56,0.78,2.47,4.03,4.34,4.0,3.69,3.12,1.88,1.12,1.72,3.91,6.28,8.38,11.62,15.56,19.34,21.97,24.56,26.78,28.12,27.62,26.56,25.72,25.28,23.47,20.84,18.81,17.41,15.38,12.62,11.25,10.69,10.03,8.84,7.88,7.56,7.12,6.38,6.12,6.97,8.78,9.97,10.09,10.47,11.09,11.09,10.81,11.53,12.91,14.22,14.41,14.12,14.03,13.5,11.41,9.41,7.88,7.03,5.81,4.84,4.56,5.19,5.38,4.91,4.88,5.66,6.25,6.19,6.47,7.44,9.28,10.28,11.25,12.75:31.91,32.28,31.06,29.38,27.47,25.78,23.72,21.72,21.03,21.84,22.62,23.66,24.56,25.78,26.41,25.81,25.25,25.44,25.59,26.06,26.5,27.34,29.0,30.03,30.78,32.09,33.94,35.5,36.0,35.56,35.34,34.12,31.69,29.72,28.81,28.91,29.31,30.16,31.59,34.03,36.0,37.12,38.12,39.34,39.97,39.69,39.34,39.28,39.06,37.38,35.47,34.47,33.75,33.03,32.25,32.34,33.03,33.31,33.28,33.53,34.41,35.34,35.66,35.5,35.75,35.53,34.16,32.06,30.56,28.72,26.44,23.75,21.53,20.38,20.03,20.19,21.0,23.38,25.66,26.94,28.22,30.31,33.03,35.66,38.19,41.28,44.0,45.28,44.75,43.38,42.06,40.19,37.94,35.97,35.66,35.84,35.44,34.97,34.78,34.38,33.25,31.66,31.09,31.22,31.38,31.44,32.0,32.62,33.47,33.78,33.78,34.12,33.84,32.53,30.25,28.38,26.81,25.16,23.16,21.78,20.84,19.94,18.72,17.81,17.97,18.38,18.22,17.84,18.38,19.09,19.75,20.38,21.34,22.38,22.34,21.59,20.59,20.41,20.56,20.0,19.56,19.84,20.38,20.66,21.22,22.84,25.38,27.66,29.0,30.16,30.69,30.41,28.56,26.62,25.5,25.28,24.34,23.84,24.47,24.47,23.31,21.69,21.0,20.69,21.09,21.47,22.66,24.28,25.31,25.5,25.28,25.53,26.25,26.75,27.31,29.03,30.81,31.91,32.31,33.16,34.41,35.19,35.47,36.47,38.0,39.41,39.59,38.97,38.28,37.34,34.97,32.78,31.91,31.56,31.31,30.66,30.5,30.25,29.56,28.41,27.84,28.25,29.5,30.22,31.28,33.12,34.84,35.0,34.28,33.72,33.03,32.06,30.56,29.94,29.84,29.81,28.72,27.94,27.97,28.34,28.25,28.19,29.31,30.53,30.5,29.69,29.03,28.47,28.0,27.16,27.25,28.09,29.31,29.5,29.72,29.59,29.25,27.53,24.94,23.41,23.19,22.28,21.62,21.75,22.69,22.84,22.16,22.06,22.5,22.5,22.03,22.12,23.03,24.91,26.16,27.44,29.31,31.19,32.06,32.06,32.56,33.59,34.59,34.69,35.03,35.38,35.31,34.06,32.72,31.81,31.25,30.12,28.81,28.59,29.5,30.19,30.78,32.19,33.94,35.5,35.62,35.56,35.56,35.78,35.53,35.5,36.0,36.97,36.16,34.16,32.03,30.59,28.56,26.72,25.69,26.19,27.5,27.69,28.41,29.75,30.84,30.56,30.06,30.12,30.56,30.38,29.59,29.53,29.78,29.53,28.72,27.94,28.25,28.56,27.81,27.38,27.12,27.38,26.88,26.5,26.72,27.84,28.16,27.53,26.75,26.62,26.19,25.44,24.84,26.12,27.91,29.09,30.31,31.97,33.16,32.09,30.16,28.47,27.59,26.94,25.97,25.84,26.81,27.75,27.72,28.5,29.84,31.28,31.09,30.41,30.09,30.78,30.78,30.84,31.78,33.16,33.31,31.53,29.56,28.06,26.75,24.84,24.19,24.94,26.28,26.69,27.16,28.62,30.56,31.38,31.78,32.03,32.66,32.97,33.09,33.88,36.28,38.81,40.56,41.41,42.47,42.19,39.5,34.75,29.97,25.38,20.62,17.03,15.72,17.5,20.16,22.88,25.72,28.88,31.47,32.03,32.19,32.97,33.41,32.97,32.22,31.88,31.72,30.19,27.66,24.97,22.84,20.72,19.0,18.53,20.41,23.03,25.19,27.06,29.41,31.16,32.19,32.75,34.38,36.81,38.44,39.12,39.28,39.47,38.91,37.09,35.81,36.25,37.5,39.0,40.97,44.12,47.81,50.72,52.91,55.16,57.84,59.56,60.19,60.62,61.78,62.06,60.94,59.19,57.34,55.78,52.44,48.59,45.62,43.47,40.84,38.03,36.03,35.19,34.41,33.97,34.91,37.75,41.0,43.41,44.94,46.75,48.41,48.88,48.62,48.31,48.47,48.25,47.5,47.53,48.38,48.56,47.16,45.0,43.25,41.12,38.09,35.38,33.75,32.44,30.94,29.59,28.75,29.12,28.72,27.53,26.53,26.38,26.16,26.22,26.38,28.53,31.06,32.75,34.28,36.94,40.44,43.5,46.06,48.78,51.12,51.62,49.72,46.66,43.34,39.47,34.56,29.69,26.88,25.12,23.25,21.41,21.03,21.25,20.56,19.81,20.31,22.25,24.97,27.88,31.41,36.0,40.03,42.78,44.66,47.16,49.31,50.97,51.66,52.31,53.34,52.91,51.19,49.53,48.69,47.25,44.84,41.94,39.56,36.56,33.12,29.69,27.78,26.47,24.84,22.72,21.25,20.97,21.09,21.34,22.75,25.47,28.31,29.78,30.56,31.25,30.81,29.53,27.84,27.38,27.69,27.94,27.84,27.94,28.59,28.31,27.06,25.94,25.12,24.53,23.38,22.62,23.22,23.75,23.16,21.72,20.94,20.28,19.53,18.97,19.47,21.12,22.75,23.66,24.53,25.88,26.69,25.91,24.56,24.0,23.56,23.16,22.81,23.84,25.5,26.44,26.03,25.69,25.62,25.25,24.09,23.19,23.19,22.78,21.56,20.09,19.78,20.03,19.66,18.66,18.09,17.47,16.75,15.06,14.72,15.59,16.66,17.34,18.75,21.16,23.53,25.22,26.75,29.25,31.16,32.53,32.44,32.31,31.53,29.81,26.41,23.03,20.25,17.38,14.25,11.34,9.72,8.5,6.88,5.38,4.88,5.16,5.72,5.41,5.69,6.78,8.62,10.0,12.03,15.34,18.66,20.09,20.5,21.59,23.09,24.03,25.19,27.38,30.38,32.25,32.59,32.31,31.59,30.56,28.47,27.28,26.84,27.28,27.0,26.09,26.28,26.69,26.47,25.47,24.81,24.62,24.06,22.94,22.41,22.81,23.06,22.44,21.56,22.03,22.41,21.91,21.25,21.22,20.72,20.41,19.47,18.97,19.0,18.5,16.72,15.56,15.72,16.81,17.62,19.53,22.34,25.56,27.66,28.72,30.06,31.53,31.81,31.5,31.34,31.62,31.72,30.34,28.62,27.88,27.0,24.91,23.09,22.66,22.66,21.94,21.12,21.41,21.84,22.03,21.56,21.78,22.75,23.75,23.94,24.72,26.62,28.91,30.34,31.78,33.75,35.47,36.0,35.19,33.91,32.72,30.75,27.72,25.62,25.16,25.5,25.78,27.12,28.84,30.47,31.03,31.03,31.53,32.59,32.97,32.97,32.72,32.69,32.22,30.62,29.16,28.81,28.53,27.41,26.16,25.78,26.09,25.38,24.5,23.88,23.66,22.94,20.5,18.72,18.16,17.62,16.72,16.22,16.59,17.41,17.59,17.94,18.91,20.19,19.88,19.28,18.62,18.94,19.09,19.53,20.94,23.03,25.16,26.22,26.88,27.03,26.5,24.47,21.91,20.06,19.06,17.38,15.78,14.94,14.59,14.28,13.34,12.78,13.28,14.22,14.62,15.09,16.88,18.56,19.78,20.88,22.53,25.06,26.78,27.75,28.28,29.16,28.72,27.47,26.0,25.38,25.12,23.88,22.75,21.81,21.31,19.91,18.56,17.91,18.5,18.75,18.62,18.53,19.19,18.97,18.06,17.28,17.28,17.53,17.25,17.09,17.28,17.75,16.94,15.03,13.16,12.16,11.75,11.81,12.5,15.03,16.88,17.62,18.19,19.44,21.03,21.91,22.41,22.53,22.5,21.22,19.41,17.5,16.56,15.84,15.03,14.47,15.62,17.03,17.75,18.47,19.47,20.06,19.09,17.22,15.47,13.88,11.88,9.62,7.94,8.03,7.97,7.94,8.41,9.84,11.94,14.34,16.88,20.53,24.78,28.5,30.97,32.16,32.34,30.41,25.75,20.03,14.53,9.53,4.88,1.56,0.84,2.25,4.88,8.28,13.31,19.0,23.97,27.66,30.78,33.88,35.47,34.97,32.91,29.94,25.44,19.22,13.03,8.66,6.03,4.53,3.62,4.44,6.59,8.56,10.97,13.84,17.47,21.0,23.16,25.06,27.22,28.88,29.34,28.75,28.28,27.72,26.56,24.91,23.97,23.53,22.19,19.78,16.88,13.75,9.09,3.56,-1.72,-5.47,-7.53,-8.41,-8.84,-7.47,-5.75,-3.72,-1.84,0.56,4.12,7.16,9.47,11.78,15.34,18.88,21.53,23.88,26.0,27.03,26.06,23.69,20.47,17.06,12.97,8.69,5.03,2.41,0.41,-1.94,-3.97,-4.97,-5.81,-7.06,-8.09,-8.41,-7.88,-7.19,-6.34,-4.09,-1.34,1.66,3.72,5.66,7.47,8.5,8.25,7.56,7.75,8.0,7.34,6.44,5.75,4.84,3.19,0.84,-1.12,-2.41,-3.59,-4.69,-5.0,-3.44,-1.41,0.06,1.31,3.5,6.0,8.19,10.41,13.0,15.94,18.72,20.38,22.38,24.66,26.53,26.84,26.56,26.06,24.69,22.06,19.03,16.84,15.28,14.03,12.75,12.66,13.09,13.06,12.09,11.12,9.97,8.59,6.34,4.72,4.88,5.75,6.38,6.66,7.31,7.94,7.59,6.12,4.62,3.62,2.16,0.25,-0.75,0.03,1.44,2.03,2.19,2.69,2.28,0.75,-1.0,-1.94,-1.69,-1.06,-0.56,0.78,2.47,4.03,4.34,4.0,3.69,3.12,1.88,1.12,1.72,3.91,6.28,8.38,11.62,15.56,19.34,21.97,24.56,26.78,28.12,27.62,26.56,25.72,25.28,23.47,20.84,18.81,17.41,15.38,12.62,11.25,10.69,10.03,8.84,7.88,7.56,7.12,6.38,6.12,6.97,8.78,9.97,10.09,10.47,11.09,11.09,10.81,11.53,12.91,14.22,14.41,14.12,14.03,13.5,11.41,9.41,7.88,7.03,5.81,4.84,4.56,5.19,5.38,4.91,4.88,5.66,6.25,6.19,6.47,7.44,9.28,10.28,11.25,12.75,53.69,55.72,57.47,59.19,60.78,62.34,63.72:21.72,21.03,21.84,22.62,23.66,24.56,25.78,26.41,25.81,25.25,25.44,25.59,26.06,26.5,27.34,29.0,30.03,30.78,32.09,33.94,35.5,36.0,35.56,35.34,34.12,31.69,29.72,28.81,28.91,29.31,30.16,31.59,34.03,36.0,37.12,38.12,39.34,39.97,39.69,39.34,39.28,39.06,37.38,35.47,34.47,33.75,33.03,32.25,32.34,33.03,33.31,33.28,33.53,34.41,35.34,35.66,35.5,35.75,35.53,34.16,32.06,30.56,28.72,26.44,23.75,21.53,20.38,20.03,20.19,21.0,23.38,25.66,26.94,28.22,30.31,33.03,35.66,38.19,41.28,44.0,45.28,44.75,43.38,42.06,40.19,37.94,35.97,35.66,35.84,35.44,34.97,34.78,34.38,33.25,31.66,31.09,31.22,31.38,31.44,32.0,32.62,33.47,33.78,33.78,34.12,33.84,32.53,30.25,28.38,26.81,25.16,23.16,21.78,20.84,19.94,18.72,17.81,17.97,18.38,18.22,17.84,18.38,19.09,19.75,20.38,21.34,22.38,22.34,21.59,20.59,20.41,20.56,20.0,19.56,19.84,20.38,20.66,21.22,22.84,25.38,27.66,29.0,30.16,30.69,30.41,28.56,26.62,25.5,25.28,24.34,23.84,24.47,24.47,23.31,21.69,21.0,20.69,21.09,21.47,22.66,24.28,25.31,25.5,25.28,25.53,26.25,26.75,27.31,29.03,30.81,31.91,32.31,33.16,34.41,35.19,35.47,36.47,38.0,39.41,39.59,38.97,38.28,37.34,34.97,32.78,31.91,31.56,31.31,30.66,30.5,30.25,29.56,28.41,27.84,28.25,29.5,30.22,31.28,33.12,34.84,35.0,34.28,33.72,33.03,32.06,30.56,29.94,29.84,29.81,28.72,27.94,27.97,28.34,28.25,28.19,29.31,30.53,30.5,29.69,29.03,28.47,28.0,27.16,27.25,28.09,29.31,29.5,29.72,29.59,29.25,27.53,24.94,23.41,23.19,22.28,21.62,21.75,22.69,22.84,22.16,22.06,22.5,22.5,22.03,22.12,23.03,24.91,26.16,27.44,29.31,31.19,32.06,32.06,32.56,33.59,34.59,34.69,35.03,35.38,35.31,34.06,32.72,31.81,31.25,30.12,28.81,28.59,29.5,30.19,30.78,32.19,33.94,35.5,35.62,35.56,35.56,35.78,35.53,35.5,36.0,36.97,36.16,34.16,32.03,30.59,28.56,26.72,25.69,26.19,27.5,27.69,28.41,29.75,30.84,30.56,30.06,30.12,30.56,30.38,29.59,29.53,29.78,29.53,28.72,27.94,28.25,28.56,27.81,27.38,27.12,27.38,26.88,26.5,26.72,27.84,28.16,27.53,26.75,26.62,26.19,25.44,24.84,26.12,27.91,29.09,30.31,31.97,33.16,32.09,30.16,28.47,27.59,26.94,25.97,25.84,26.81,27.75,27.72,28.5,29.84,31.28,31.09,30.41,30.09,30.78,30.78,30.84,31.78,33.16,33.31,31.53,29.56,28.06,26.75,24.84,24.19,24.94,26.28,26.69,27.16,28.62,30.56,31.38,31.78,32.03,32.66,32.97,33.09,33.88,36.28,38.81,40.56,41.41,42.47,42.19,39.5,34.75,29.97,25.38,20.62,17.03,15.72,17.5,20.16,22.88,25.72,28.88,31.47,32.03,32.19,32.97,33.41,32.97,32.22,31.88,31.72,30.19,27.66,24.97,22.84,20.72,19.0,18.53,20.41,23.03,25.19,27.06,29.41,31.16,32.19,32.75,34.38,36.81,38.44,39.12,39.28,39.47,38.91,37.09,35.81,36.25,37.5,39.0,40.97,44.12,47.81,50.72,52.91,55.16,57.84,59.56,60.19,60.62,61.78,62.06,60.94,59.19,57.34,55.78,52.44,48.59,45.62,43.47,40.84,38.03,36.03,35.19,34.41,33.97,34.91,37.75,41.0,43.41,44.94,46.75,48.41,48.88,48.62,48.31,48.47,48.25,47.5,47.53,48.38,48.56,47.16,45.0,43.25,41.12,38.09,35.38,33.75,32.44,30.94,29.59,28.75,29.12,28.72,27.53,26.53,26.38,26.16,26.22,26.38,28.53,31.06,32.75,34.28,36.94,40.44,43.5,46.06,48.78,51.12,51.62,49.72,46.66,43.34,39.47,34.56,29.69,26.88,25.12,23.25,21.41,21.03,21.25,20.56,19.81,20.31,22.25,24.97,27.88,31.41,36.0,40.03,42.78,44.66,47.16,49.31,50.97,51.66,52.31,53.34,52.91,51.19,49.53,48.69,47.25,44.84,41.94,39.56,36.56,33.12,29.69,27.78,26.47,24.84,22.72,21.25,20.97,21.09,21.34,22.75,25.47,28.31,29.78,30.56,31.25,30.81,29.53,27.84,27.38,27.69,27.94,27.84,27.94,28.59,28.31,27.06,25.94,25.12,24.53,23.38,22.62,23.22,23.75,23.16,21.72,20.94,20.28,19.53,18.97,19.47,21.12,22.75,23.66,24.53,25.88,26.69,25.91,24.56,24.0,23.56,23.16,22.81,23.84,25.5,26.44,26.03,25.69,25.62,25.25,24.09,23.19,23.19,22.78,21.56,20.09,19.78,20.03,19.66,18.66,18.09,17.47,16.75,15.06,14.72,15.59,16.66,17.34,18.75,21.16,23.53,25.22,26.75,29.25,31.16,32.53,32.44,32.31,31.53,29.81,26.41,23.03,20.25,17.38,14.25,11.34,9.72,8.5,6.88,5.38,4.88,5.16,5.72,5.41,5.69,6.78,8.62,10.0,12.03,15.34,18.66,20.09,20.5,21.59,23.09,24.03,25.19,27.38,30.38,32.25,32.59,32.31,31.59,30.56,28.47,27.28,26.84,27.28,27.0,26.09,26.28,26.69,26.47,25.47,24.81,24.62,24.06,22.94,22.41,22.81,23.06,22.44,21.56,22.03,22.41,21.91,21.25,21.22,20.72,20.41,19.47,18.97,19.0,18.5,16.72,15.56,15.72,16.81,17.62,19.53,22.34,25.56,27.66,28.72,30.06,31.53,31.81,31.5,31.34,31.62,31.72,30.34,28.62,27.88,27.0,24.91,23.09,22.66,22.66,21.94,21.12,21.41,21.84,22.03,21.56,21.78,22.75,23.75,23.94,24.72,26.62,28.91,30.34,31.78,33.75,35.47,36.0,35.19,33.91,32.72,30.75,27.72,25.62,25.16,25.5,25.78,27.12,28.84,30.47,31.03,31.03,31.53,32.59,32.97,32.97,32.72,32.69,32.22,30.62,29.16,28.81,28.53,27.41,26.16,25.78,26.09,25.38,24.5,23.88,23.66,22.94,20.5,18.72,18.16,17.62,16.72,16.22,16.59,17.41,17.59,17.94,18.91,20.19,19.88,19.28,18.62,18.94,19.09,19.53,20.94,23.03,25.16,26.22,26.88,27.03,26.5,24.47,21.91,20.06,19.06,17.38,15.78,14.94,14.59,14.28,13.34,12.78,13.28,14.22,14.62,15.09,16.88,18.56,19.78,20.88,22.53,25.06,26.78,27.75,28.28,29.16,28.72,27.47,26.0,25.38,25.12,23.88,22.75,21.81,21.31,19.91,18.56,17.91,18.5,18.75,18.62,18.53,19.19,18.97,18.06,17.28,17.28,17.53,17.25,17.09,17.28,17.75,16.94,15.03,13.16,12.16,11.75,11.81,12.5,15.03,16.88,17.62,18.19,19.44,21.03,21.91,22.41,22.53,22.5,21.22,19.41,17.5,16.56,15.84,15.03,14.47,15.62,17.03,17.75,18.47,19.47,20.06,19.09,17.22,15.47,13.88,11.88,9.62,7.94,8.03,7.97,7.94,8.41,9.84,11.94,14.34,16.88,20.53,24.78,28.5,30.97,32.16,32.34,30.41,25.75,20.03,14.53,9.53,4.88,1.56,0.84,2.25,4.88,8.28,13.31,19.0,23.97,27.66,30.78,33.88,35.47,34.97,32.91,29.94,25.44,19.22,13.03,8.66,6.03,4.53,3.62,4.44,6.59,8.56,10.97,13.84,17.47,21.0,23.16,25.06,27.22,28.88,29.34,28.75,28.28,27.72,26.56,24.91,23.97,23.53,22.19,19.78,16.88,13.75,9.09,3.56,-1.72,-5.47,-7.53,-8.41,-8.84,-7.47,-5.75,-3.72,-1.84,0.56,4.12,7.16,9.47,11.78,15.34,18.88,21.53,23.88,26.0,27.03,26.06,23.69,20.47,17.06,12.97,8.69,5.03,2.41,0.41,-1.94,-3.97,-4.97,-5.81,-7.06,-8.09,-8.41,-7.88,-7.19,-6.34,-4.09,-1.34,1.66,3.72,5.66,7.47,8.5,8.25,7.56,7.75,8.0,7.34,6.44,5.75,4.84,3.19,0.84,-1.12,-2.41,-3.59,-4.69,-5.0,-3.44,-1.41,0.06,1.31,3.5,6.0,8.19,10.41,13.0,15.94,18.72,20.38,22.38,24.66,26.53,26.84,26.56,26.06,24.69,22.06,19.03,16.84,15.28,14.03,12.75,12.66,13.09,13.06,12.09,11.12,9.97,8.59,6.34,4.72,4.88,5.75,6.38,6.66,7.31,7.94,7.59,6.12,4.62,3.62,2.16,0.25,-0.75,0.03,1.44,2.03,2.19,2.69,2.28,0.75,-1.0,-1.94,-1.69,-1.06,-0.56,0.78,2.47,4.03,4.34,4.0,3.69,3.12,1.88,1.12,1.72,3.91,6.28,8.38,11.62,15.56,19.34,21.97,24.56,26.78,28.12,27.62,26.56,25.72,25.28,23.47,20.84,18.81,17.41,15.38,12.62,11.25,10.69,10.03,8.84,7.88,7.56,7.12,6.38,6.12,6.97,8.78,9.97,10.09,10.47,11.09,11.09,10.81,11.53,12.91,14.22,14.41,14.12,14.03,13.5,11.41,9.41,7.88,7.03,5.81,4.84,4.56,5.19,5.38,4.91,4.88,5.66,6.25,6.19,6.47,7.44,9.28,10.28,11.25,12.75,53.69,55.72,57.47,59.19,60.78,62.34,63.72,64.5,64.84,64.5,63.47,61.47,59.62,57.97:26.41,25.81,25.25,25.44,25.59,26.06,26.5,27.34,29.0,30.03,30.78,32.09,33.94,35.5,36.0,35.56,35.34,34.12,31.69,29.72,28.81,28.91,29.31,30.16,31.59,34.03,36.0,37.12,38.12,39.34,39.97,39.69,39.34,39.28,39.06,37.38,35.47,34.47,33.75,33.03,32.25,32.34,33.03,33.31,33.28,33.53,34.41,35.34,35.66,35.5,35.75,35.53,34.16,32.06,30.56,28.72,26.44,23.75,21.53,20.38,20.03,20.19,21.0,23.38,25.66,26.94,28.22,30.31,33.03,35.66,38.19,41.28,44.0,45.28,44.75,43.38,42.06,40.19,37.94,35.97,35.66,35.84,35.44,34.97,34.78,34.38,33.25,31.66,31.09,31.22,31.38,31.44,32.0,32.62,33.47,33.78,33.78,34.12,33.84,32.53,30.25,28.38,26.81,25.16,23.16,21.78,20.84,19.94,18.72,17.81,17.97,18.38,18.22,17.84,18.38,19.09,19.75,20.38,21.34,22.38,22.34,21.59,20.59,20.41,20.56,20.0,19.56,19.84,20.38,20.66,21.22,22.84,25.38,27.66,29.0,30.16,30.69,30.41,28.56,26.62,25.5,25.28,24.34,23.84,24.47,24.47,23.31,21.69,21.0,20.69,21.09,21.47,22.66,24.28,25.31,25.5,25.28,25.53,26.25,26.75,27.31,29.03,30.81,31.91,32.31,33.16,34.41,35.19,35.47,36.47,38.0,39.41,39.59,38.97,38.28,37.34,34.97,32.78,31.91,31.56,31.31,30.66,30.5,30.25,29.56,28.41,27.84,28.25,29.5,30.22,31.28,33.12,34.84,35.0,34.28,33.72,33.03,32.06,30.56,29.94,29.84,29.81,28.72,27.94,27.97,28.34,28.25,28.19,29.31,30.53,30.5,29.69,29.03,28.47,28.0,27.16,27.25,28.09,29.31,29.5,29.72,29.59,29.25,27.53,24.94,23.41,23.19,22.28,21.62,21.75,22.69,22.84,22.16,22.06,22.5,22.5,22.03,22.12,23.03,24.91,26.16,27.44,29.31,31.19,32.06,32.06,32.56,33.59,34.59,34.69,35.03,35.38,35.31,34.06,32.72,31.81,31.25,30.12,28.81,28.59,29.5,30.19,30.78,32.19,33.94,35.5,35.62,35.56,35.56,35.78,35.53,35.5,36.0,36.97,36.16,34.16,32.03,30.59,28.56,26.72,25.69,26.19,27.5,27.69,28.41,29.75,30.84,30.56,30.06,30.12,30.56,30.38,29.59,29.53,29.78,29.53,28.72,27.94,28.25,28.56,27.81,27.38,27.12,27.38,26.88,26.5,26.72,27.84,28.16,27.53,26.75,26.62,26.19,25.44,24.84,26.12,27.91,29.09,30.31,31.97,33.16,32.09,30.16,28.47,27.59,26.94,25.97,25.84,26.81,27.75,27.72,28.5,29.84,31.28,31.09,30.41,30.09,30.78,30.78,30.84,31.78,33.16,33.31,31.53,29.56,28.06,26.75,24.84,24.19,24.94,26.28,26.69,27.16,28.62,30.56,31.38,31.78,32.03,32.66,32.97,33.09,33.88,36.28,38.81,40.56,41.41,42.47,42.19,39.5,34.75,29.97,25.38,20.62,17.03,15.72,17.5,20.16,22.88,25.72,28.88,31.47,32.03,32.19,32.97,33.41,32.97,32.22,31.88,31.72,30.19,27.66,24.97,22.84,20.72,19.0,18.53,20.41,23.03,25.19,27.06,29.41,31.16,32.19,32.75,34.38,36.81,38.44,39.12,39.28,39.47,38.91,37.09,35.81,36.25,37.5,39.0,40.97,44.12,47.81,50.72,52.91,55.16,57.84,59.56,60.19,60.62,61.78,62.06,60.94,59.19,57.34,55.78,52.44,48.59,45.62,43.47,40.84,38.03,36.03,35.19,34.41,33.97,34.91,37.75,41.0,43.41,44.94,46.75,48.41,48.88,48.62,48.31,48.47,48.25,47.5,47.53,48.38,48.56,47.16,45.0,43.25,41.12,38.09,35.38,33.75,32.44,30.94,29.59,28.75,29.12,28.72,27.53,26.53,26.38,26.16,26.22,26.38,28.53,31.06,32.75,34.28,36.94,40.44,43.5,46.06,48.78,51.12,51.62,49.72,46.66,43.34,39.47,34.56,29.69,26.88,25.12,23.25,21.41,21.03,21.25,20.56,19.81,20.31,22.25,24.97,27.88,31.41,36.0,40.03,42.78,44.66,47.16,49.31,50.97,51.66,52.31,53.34,52.91,51.19,49.53,48.69,47.25,44.84,41.94,39.56,36.56,33.12,29.69,27.78,26.47,24.84,22.72,21.25,20.97,21.09,21.34,22.75,25.47,28.31,29.78,30.56,31.25,30.81,29.53,27.84,27.38,27.69,27.94,27.84,27.94,28.59,28.31,27.06,25.94,25.12,24.53,23.38,22.62,23.22,23.75,23.16,21.72,20.94,20.28,19.53,18.97,19.47,21.12,22.75,23.66,24.53,25.88,26.69,25.91,24.56,24.0,23.56,23.16,22.81,23.84,25.5,26.44,26.03,25.69,25.62,25.25,24.09,23.19,23.19,22.78,21.56,20.09,19.78,20.03,19.66,18.66,18.09,17.47,16.75,15.06,14.72,15.59,16.66,17.34,18.75,21.16,23.53,25.22,26.75,29.25,31.16,32.53,32.44,32.31,31.53,29.81,26.41,23.03,20.25,17.38,14.25,11.34,9.72,8.5,6.88,5.38,4.88,5.16,5.72,5.41,5.69,6.78,8.62,10.0,12.03,15.34,18.66,20.09,20.5,21.59,23.09,24.03,25.19,27.38,30.38,32.25,32.59,32.31,31.59,30.56,28.47,27.28,26.84,27.28,27.0,26.09,26.28,26.69,26.47,25.47,24.81,24.62,24.06,22.94,22.41,22.81,23.06,22.44,21.56,22.03,22.41,21.91,21.25,21.22,20.72,20.41,19.47,18.97,19.0,18.5,16.72,15.56,15.72,16.81,17.62,19.53,22.34,25.56,27.66,28.72,30.06,31.53,31.81,31.5,31.34,31.62,31.72,30.34,28.62,27.88,27.0,24.91,23.09,22.66,22.66,21.94,21.12,21.41,21.84,22.03,21.56,21.78,22.75,23.75,23.94,24.72,26.62,28.91,30.34,31.78,33.75,35.47,36.0,35.19,33.91,32.72,30.75,27.72,25.62,25.16,25.5,25.78,27.12,28.84,30.47,31.03,31.03,31.53,32.59,32.97,32.97,32.72,32.69,32.22,30.62,29.16,28.81,28.53,27.41,26.16,25.78,26.09,25.38,24.5,23.88,23.66,22.94,20.5,18.72,18.16,17.62,16.72,16.22,16.59,17.41,17.59,17.94,18.91,20.19,19.88,19.28,18.62,18.94,19.09,19.53,20.94,23.03,25.16,26.22,26.88,27.03,26.5,24.47,21.91,20.06,19.06,17.38,15.78,14.94,14.59,14.28,13.34,12.78,13.28,14.22,14.62,15.09,16.88,18.56,19.78,20.88,22.53,25.06,26.78,27.75,28.28,29.16,28.72,27.47,26.0,25.38,25.12,23.88,22.75,21.81,21.31,19.91,18.56,17.91,18.5,18.75,18.62,18.53,19.19,18.97,18.06,17.28,17.28,17.53,17.25,17.09,17.28,17.75,16.94,15.03,13.16,12.16,11.75,11.81,12.5,15.03,16.88,17.62,18.19,19.44,21.03,21.91,22.41,22.53,22.5,21.22,19.41,17.5,16.56,15.84,15.03,14.47,15.62,17.03,17.75,18.47,19.47,20.06,19.09,17.22,15.47,13.88,11.88,9.62,7.94,8.03,7.97,7.94,8.41,9.84,11.94,14.34,16.88,20.53,24.78,28.5,30.97,32.16,32.34,30.41,25.75,20.03,14.53,9.53,4.88,1.56,0.84,2.25,4.88,8.28,13.31,19.0,23.97,27.66,30.78,33.88,35.47,34.97,32.91,29.94,25.44,19.22,13.03,8.66,6.03,4.53,3.62,4.44,6.59,8.56,10.97,13.84,17.47,21.0,23.16,25.06,27.22,28.88,29.34,28.75,28.28,27.72,26.56,24.91,23.97,23.53,22.19,19.78,16.88,13.75,9.09,3.56,-1.72,-5.47,-7.53,-8.41,-8.84,-7.47,-5.75,-3.72,-1.84,0.56,4.12,7.16,9.47,11.78,15.34,18.88,21.53,23.88,26.0,27.03,26.06,23.69,20.47,17.06,12.97,8.69,5.03,2.41,0.41,-1.94,-3.97,-4.97,-5.81,-7.06,-8.09,-8.41,-7.88,-7.19,-6.34,-4.09,-1.34,1.66,3.72,5.66,7.47,8.5,8.25,7.56,7.75,8.0,7.34,6.44,5.75,4.84,3.19,0.84,-1.12,-2.41,-3.59,-4.69,-5.0,-3.44,-1.41,0.06,1.31,3.5,6.0,8.19,10.41,13.0,15.94,18.72,20.38,22.38,24.66,26.53,26.84,26.56,26.06,24.69,22.06,19.03,16.84,15.28,14.03,12.75,12.66,13.09,13.06,12.09,11.12,9.97,8.59,6.34,4.72,4.88,5.75,6.38,6.66,7.31,7.94,7.59,6.12,4.62,3.62,2.16,0.25,-0.75,0.03,1.44,2.03,2.19,2.69,2.28,0.75,-1.0,-1.94,-1.69,-1.06,-0.56,0.78,2.47,4.03,4.34,4.0,3.69,3.12,1.88,1.12,1.72,3.91,6.28,8.38,11.62,15.56,19.34,21.97,24.56,26.78,28.12,27.62,26.56,25.72,25.28,23.47,20.84,18.81,17.41,15.38,12.62,11.25,10.69,10.03,8.84,7.88,7.56,7.12,6.38,6.12,6.97,8.78,9.97,10.09,10.47,11.09,11.09,10.81,11.53,12.91,14.22,14.41,14.12,14.03,13.5,11.41,9.41,7.88,7.03,5.81,4.84,4.56,5.19,5.38,4.91,4.88,5.66,6.25,6.19,6.47,7.44,9.28,10.28,11.25,12.75,53.69,55.72,57.47,59.19,60.78,62.34,63.72,64.5,64.84,64.5,63.47,61.47,59.62,57.97,56.22,55.53,55.72,56.22,57.69,59.16,60.16:27.34,29.0,30.03,30.78,32.09,33.94,35.5,36.0,35.56,35.34,34.12,31.69,29.72,28.81,28.91,29.31,30.16,31.59,34.03,36.0,37.12,38.12,39.34,39.97,39.69,39.34,39.28,39.06,37.38,35.47,34.47,33.75,33.03,32.25,32.34,33.03,33.31,33.28,33.53,34.41,35.34,35.66,35.5,35.75,35.53,34.16,32.06,30.56,28.72,26.44,23.75,21.53,20.38,20.03,20.19,21.0,23.38,25.66,26.94,28.22,30.31,33.03,35.66,38.19,41.28,44.0,45.28,44.75,43.38,42.06,40.19,37.94,35.97,35.66,35.84,35.44,34.97,34.78,34.38,33.25,31.66,31.09,31.22,31.38,31.44,32.0,32.62,33.47,33.78,33.78,34.12,33.84,32.53,30.25,28.38,26.81,25.16,23.16,21.78,20.84,19.94,18.72,17.81,17.97,18.38,18.22,17.84,18.38,19.09,19.75,20.38,21.34,22.38,22.34,21.59,20.59,20.41,20.56,20.0,19.56,19.84,20.38,20.66,21.22,22.84,25.38,27.66,29.0,30.16,30.69,30.41,28.56,26.62,25.5,25.28,24.34,23.84,24.47,24.47,23.31,21.69,21.0,20.69,21.09,21.47,22.66,24.28,25.31,25.5,25.28,25.53,26.25,26.75,27.31,29.03,30.81,31.91,32.31,33.16,34.41,35.19,35.47,36.47,38.0,39.41,39.59,38.97,38.28,37.34,34.97,32.78,31.91,31.56,31.31,30.66,30.5,30.25,29.56,28.41,27.84,28.25,29.5,30.22,31.28,33.12,34.84,35.0,34.28,33.72,33.03,32.06,30.56,29.94,29.84,29.81,28.72,27.94,27.97,28.34,28.25,28.19,29.31,30.53,30.5,29.69,29.03,28.47,28.0,27.16,27.25,28.09,29.31,29.5,29.72,29.59,29.25,27.53,24.94,23.41,23.19,22.28,21.62,21.75,22.69,22.84,22.16,22.06,22.5,22.5,22.03,22.12,23.03,24.91,26.16,27.44,29.31,31.19,32.06,32.06,32.56,33.59,34.59,34.69,35.03,35.38,35.31,34.06,32.72,31.81,31.25,30.12,28.81,28.59,29.5,30.19,30.78,32.19,33.94,35.5,35.62,35.56,35.56,35.78,35.53,35.5,36.0,36.97,36.16,34.16,32.03,30.59,28.56,26.72,25.69,26.19,27.5,27.69,28.41,29.75,30.84,30.56,30.06,30.12,30.56,30.38,29.59,29.53,29.78,29.53,28.72,27.94,28.25,28.56,27.81,27.38,27.12,27.38,26.88,26.5,26.72,27.84,28.16,27.53,26.75,26.62,26.19,25.44,24.84,26.12,27.91,29.09,30.31,31.97,33.16,32.09,30.16,28.47,27.59,26.94,25.97,25.84,26.81,27.75,27.72,28.5,29.84,31.28,31.09,30.41,30.09,30.78,30.78,30.84,31.78,33.16,33.31,31.53,29.56,28.06,26.75,24.84,24.19,24.94,26.28,26.69,27.16,28.62,30.56,31.38,31.78,32.03,32.66,32.97,33.09,33.88,36.28,38.81,40.56,41.41,42.47,42.19,39.5,34.75,29.97,25.38,20.62,17.03,15.72,17.5,20.16,22.88,25.72,28.88,31.47,32.03,32.19,32.97,33.41,32.97,32.22,31.88,31.72,30.19,27.66,24.97,22.84,20.72,19.0,18.53,20.41,23.03,25.19,27.06,29.41,31.16,32.19,32.75,34.38,36.81,38.44,39.12,39.28,39.47,38.91,37.09,35.81,36.25,37.5,39.0,40.97,44.12,47.81,50.72,52.91,55.16,57.84,59.56,60.19,60.62,61.78,62.06,60.94,59.19,57.34,55.78,52.44,48.59,45.62,43.47,40.84,38.03,36.03,35.19,34.41,33.97,34.91,37.75,41.0,43.41,44.94,46.75,48.41,48.88,48.62,48.31,48.47,48.25,47.5,47.53,48.38,48.56,47.16,45.0,43.25,41.12,38.09,35.38,33.75,32.44,30.94,29.59,28.75,29.12,28.72,27.53,26.53,26.38,26.16,26.22,26.38,28.53,31.06,32.75,34.28,36.94,40.44,43.5,46.06,48.78,51.12,51.62,49.72,46.66,43.34,39.47,34.56,29.69,26.88,25.12,23.25,21.41,21.03,21.25,20.56,19.81,20.31,22.25,24.97,27.88,31.41,36.0,40.03,42.78,44.66,47.16,49.31,50.97,51.66,52.31,53.34,52.91,51.19,49.53,48.69,47.25,44.84,41.94,39.56,36.56,33.12,29.69,27.78,26.47,24.84,22.72,21.25,20.97,21.09,21.34,22.75,25.47,28.31,29.78,30.56,31.25,30.81,29.53,27.84,27.38,27.69,27.94,27.84,27.94,28.59,28.31,27.06,25.94,25.12,24.53,23.38,22.62,23.22,23.75,23.16,21.72,20.94,20.28,19.53,18.97,19.47,21.12,22.75,23.66,24.53,25.88,26.69,25.91,24.56,24.0,23.56,23.16,22.81,23.84,25.5,26.44,26.03,25.69,25.62,25.25,24.09,23.19,23.19,22.78,21.56,20.09,19.78,20.03,19.66,18.66,18.09,17.47,16.75,15.06,14.72,15.59,16.66,17.34,18.75,21.16,23.53,25.22,26.75,29.25,31.16,32.53,32.44,32.31,31.53,29.81,26.41,23.03,20.25,17.38,14.25,11.34,9.72,8.5,6.88,5.38,4.88,5.16,5.72,5.41,5.69,6.78,8.62,10.0,12.03,15.34,18.66,20.09,20.5,21.59,23.09,24.03,25.19,27.38,30.38,32.25,32.59,32.31,31.59,30.56,28.47,27.28,26.84,27.28,27.0,26.09,26.28,26.69,26.47,25.47,24.81,24.62,24.06,22.94,22.41,22.81,23.06,22.44,21.56,22.03,22.41,21.91,21.25,21.22,20.72,20.41,19.47,18.97,19.0,18.5,16.72,15.56,15.72,16.81,17.62,19.53,22.34,25.56,27.66,28.72,30.06,31.53,31.81,31.5,31.34,31.62,31.72,30.34,28.62,27.88,27.0,24.91,23.09,22.66,22.66,21.94,21.12,21.41,21.84,22.03,21.56,21.78,22.75,23.75,23.94,24.72,26.62,28.91,30.34,31.78,33.75,35.47,36.0,35.19,33.91,32.72,30.75,27.72,25.62,25.16,25.5,25.78,27.12,28.84,30.47,31.03,31.03,31.53,32.59,32.97,32.97,32.72,32.69,32.22,30.62,29.16,28.81,28.53,27.41,26.16,25.78,26.09,25.38,24.5,23.88,23.66,22.94,20.5,18.72,18.16,17.62,16.72,16.22,16.59,17.41,17.59,17.94,18.91,20.19,19.88,19.28,18.62,18.94,19.09,19.53,20.94,23.03,25.16,26.22,26.88,27.03,26.5,24.47,21.91,20.06,19.06,17.38,15.78,14.94,14.59,14.28,13.34,12.78,13.28,14.22,14.62,15.09,16.88,18.56,19.78,20.88,22.53,25.06,26.78,27.75,28.28,29.16,28.72,27.47,26.0,25.38,25.12,23.88,22.75,21.81,21.31,19.91,18.56,17.91,18.5,18.75,18.62,18.53,19.19,18.97,18.06,17.28,17.28,17.53,17.25,17.09,17.28,17.75,16.94,15.03,13.16,12.16,11.75,11.81,12.5,15.03,16.88,17.62,18.19,19.44,21.03,21.91,22.41,22.53,22.5,21.22,19.41,17.5,16.56,15.84,15.03,14.47,15.62,17.03,17.75,18.47,19.47,20.06,19.09,17.22,15.47,13.88,11.88,9.62,7.94,8.03,7.97,7.94,8.41,9.84,11.94,14.34,16.88,20.53,24.78,28.5,30.97,32.16,32.34,30.41,25.75,20.03,14.53,9.53,4.88,1.56,0.84,2.25,4.88,8.28,13.31,19.0,23.97,27.66,30.78,33.88,35.47,34.97,32.91,29.94,25.44,19.22,13.03,8.66,6.03,4.53,3.62,4.44,6.59,8.56,10.97,13.84,17.47,21.0,23.16,25.06,27.22,28.88,29.34,28.75,28.28,27.72,26.56,24.91,23.97,23.53,22.19,19.78,16.88,13.75,9.09,3.56,-1.72,-5.47,-7.53,-8.41,-8.84,-7.47,-5.75,-3.72,-1.84,0.56,4.12,7.16,9.47,11.78,15.34,18.88,21.53,23.88,26.0,27.03,26.06,23.69,20.47,17.06,12.97,8.69,5.03,2.41,0.41,-1.94,-3.97,-4.97,-5.81,-7.06,-8.09,-8.41,-7.88,-7.19,-6.34,-4.09,-1.34,1.66,3.72,5.66,7.47,8.5,8.25,7.56,7.75,8.0,7.34,6.44,5.75,4.84,3.19,0.84,-1.12,-2.41,-3.59,-4.69,-5.0,-3.44,-1.41,0.06,1.31,3.5,6.0,8.19,10.41,13.0,15.94,18.72,20.38,22.38,24.66,26.53,26.84,26.56,26.06,24.69,22.06,19.03,16.84,15.28,14.03,12.75,12.66,13.09,13.06,12.09,11.12,9.97,8.59,6.34,4.72,4.88,5.75,6.38,6.66,7.31,7.94,7.59,6.12,4.62,3.62,2.16,0.25,-0.75,0.03,1.44,2.03,2.19,2.69,2.28,0.75,-1.0,-1.94,-1.69,-1.06,-0.56,0.78,2.47,4.03,4.34,4.0,3.69,3.12,1.88,1.12,1.72,3.91,6.28,8.38,11.62,15.56,19.34,21.97,24.56,26.78,28.12,27.62,26.56,25.72,25.28,23.47,20.84,18.81,17.41,15.38,12.62,11.25,10.69,10.03,8.84,7.88,7.56,7.12,6.38,6.12,6.97,8.78,9.97,10.09,10.47,11.09,11.09,10.81,11.53,12.91,14.22,14.41,14.12,14.03,13.5,11.41,9.41,7.88,7.03,5.81,4.84,4.56,5.19,5.38,4.91,4.88,5.66,6.25,6.19,6.47,7.44,9.28,10.28,11.25,12.75,53.69,55.72,57.47,59.19,60.78,62.34,63.72,64.5,64.84,64.5,63.47,61.47,59.62,57.97,56.22,55.53,55.72,56.22,57.69,59.16,60.16,60.62,60.88,60.88,60.78,61.28,62.06,62.94:36.0,35.56,35.34,34.12,31.69,29.72,28.81,28.91,29.31,30.16,31.59,34.03,36.0,37.12,38.12,39.34,39.97,39.69,39.34,39.28,39.06,37.38,35.47,34.47,33.75,33.03,32.25,32.34,33.03,33.31,33.28,33.53,34.41,35.34,35.66,35.5,35.75,35.53,34.16,32.06,30.56,28.72,26.44,23.75,21.53,20.38,20.03,20.19,21.0,23.38,25.66,26.94,28.22,30.31,33.03,35.66,38.19,41.28,44.0,45.28,44.75,43.38,42.06,40.19,37.94,35.97,35.66,35.84,35.44,34.97,34.78,34.38,33.25,31.66,31.09,31.22,31.38,31.44,32.0,32.62,33.47,33.78,33.78,34.12,33.84,32.53,30.25,28.38,26.81,25.16,23.16,21.78,20.84,19.94,18.72,17.81,17.97,18.38,18.22,17.84,18.38,19.09,19.75,20.38,21.34,22.38,22.34,21.59,20.59,20.41,20.56,20.0,19.56,19.84,20.38,20.66,21.22,22.84,25.38,27.66,29.0,30.16,30.69,30.41,28.56,26.62,25.5,25.28,24.34,23.84,24.47,24.47,23.31,21.69,21.0,20.69,21.09,21.47,22.66,24.28,25.31,25.5,25.28,25.53,26.25,26.75,27.31,29.03,30.81,31.91,32.31,33.16,34.41,35.19,35.47,36.47,38.0,39.41,39.59,38.97,38.28,37.34,34.97,32.78,31.91,31.56,31.31,30.66,30.5,30.25,29.56,28.41,27.84,28.25,29.5,30.22,31.28,33.12,34.84,35.0,34.28,33.72,33.03,32.06,30.56,29.94,29.84,29.81,28.72,27.94,27.97,28.34,28.25,28.19,29.31,30.53,30.5,29.69,29.03,28.47,28.0,27.16,27.25,28.09,29.31,29.5,29.72,29.59,29.25,27.53,24.94,23.41,23.19,22.28,21.62,21.75,22.69,22.84,22.16,22.06,22.5,22.5,22.03,22.12,23.03,24.91,26.16,27.44,29.31,31.19,32.06,32.06,32.56,33.59,34.59,34.69,35.03,35.38,35.31,34.06,32.72,31.81,31.25,30.12,28.81,28.59,29.5,30.19,30.78,32.19,33.94,35.5,35.62,35.56,35.56,35.78,35.53,35.5,36.0,36.97,36.16,34.16,32.03,30.59,28.56,26.72,25.69,26.19,27.5,27.69,28.41,29.75,30.84,30.56,30.06,30.12,30.56,30.38,29.59,29.53,29.78,29.53,28.72,27.94,28.25,28.56,27.81,27.38,27.12,27.38,26.88,26.5,26.72,27.84,28.16,27.53,26.75,26.62,26.19,25.44,24.84,26.12,27.91,29.09,30.31,31.97,33.16,32.09,30.16,28.47,27.59,26.94,25.97,25.84,26.81,27.75,27.72,28.5,29.84,31.28,31.09,30.41,30.09,30.78,30.78,30.84,31.78,33.16,33.31,31.53,29.56,28.06,26.75,24.84,24.19,24.94,26.28,26.69,27.16,28.62,30.56,31.38,31.78,32.03,32.66,32.97,33.09,33.88,36.28,38.81,40.56,41.41,42.47,42.19,39.5,34.75,29.97,25.38,20.62,17.03,15.72,17.5,20.16,22.88,25.72,28.88,31.47,32.03,32.19,32.97,33.41,32.97,32.22,31.88,31.72,30.19,27.66,24.97,22.84,20.72,19.0,18.53,20.41,23.03,25.19,27.06,29.41,31.16,32.19,32.75,34.38,36.81,38.44,39.12,39.28,39.47,38.91,37.09,35.81,36.25,37.5,39.0,40.97,44.12,47.81,50.72,52.91,55.16,57.84,59.56,60.19,60.62,61.78,62.06,60.94,59.19,57.34,55.78,52.44,48.59,45.62,43.47,40.84,38.03,36.03,35.19,34.41,33.97,34.91,37.75,41.0,43.41,44.94,46.75,48.41,48.88,48.62,48.31,48.47,48.25,47.5,47.53,48.38,48.56,47.16,45.0,43.25,41.12,38.09,35.38,33.75,32.44,30.94,29.59,28.75,29.12,28.72,27.53,26.53,26.38,26.16,26.22,26.38,28.53,31.06,32.75,34.28,36.94,40.44,43.5,46.06,48.78,51.12,51.62,49.72,46.66,43.34,39.47,34.56,29.69,26.88,25.12,23.25,21.41,21.03,21.25,20.56,19.81,20.31,22.25,24.97,27.88,31.41,36.0,40.03,42.78,44.66,47.16,49.31,50.97,51.66,52.31,53.34,52.91,51.19,49.53,48.69,47.25,44.84,41.94,39.56,36.56,33.12,29.69,27.78,26.47,24.84,22.72,21.25,20.97,21.09,21.34,22.75,25.47,28.31,29.78,30.56,31.25,30.81,29.53,27.84,27.38,27.69,27.94,27.84,27.94,28.59,28.31,27.06,25.94,25.12,24.53,23.38,22.62,23.22,23.75,23.16,21.72,20.94,20.28,19.53,18.97,19.47,21.12,22.75,23.66,24.53,25.88,26.69,25.91,24.56,24.0,23.56,23.16,22.81,23.84,25.5,26.44,26.03,25.69,25.62,25.25,24.09,23.19,23.19,22.78,21.56,20.09,19.78,20.03,19.66,18.66,18.09,17.47,16.75,15.06,14.72,15.59,16.66,17.34,18.75,21.16,23.53,25.22,26.75,29.25,31.16,32.53,32.44,32.31,31.53,29.81,26.41,23.03,20.25,17.38,14.25,11.34,9.72,8.5,6.88,5.38,4.88,5.16,5.72,5.41,5.69,6.78,8.62,10.0,12.03,15.34,18.66,20.09,20.5,21.59,23.09,24.03,25.19,27.38,30.38,32.25,32.59,32.31,31.59,30.56,28.47,27.28,26.84,27.28,27.0,26.09,26.28,26.69,26.47,25.47,24.81,24.62,24.06,22.94,22.41,22.81,23.06,22.44,21.56,22.03,22.41,21.91,21.25,21.22,20.72,20.41,19.47,18.97,19.0,18.5,16.72,15.56,15.72,16.81,17.62,19.53,22.34,25.56,27.66,28.72,30.06,31.53,31.81,31.5,31.34,31.62,31.72,30.34,28.62,27.88,27.0,24.91,23.09,22.66,22.66,21.94,21.12,21.41,21.84,22.03,21.56,21.78,22.75,23.75,23.94,24.72,26.62,28.91,30.34,31.78,33.75,35.47,36.0,35.19,33.91,32.72,30.75,27.72,25.62,25.16,25.5,25.78,27.12,28.84,30.47,31.03,31.03,31.53,32.59,32.97,32.97,32.72,32.69,32.22,30.62,29.16,28.81,28.53,27.41,26.16,25.78,26.09,25.38,24.5,23.88,23.66,22.94,20.5,18.72,18.16,17.62,16.72,16.22,16.59,17.41,17.59,17.94,18.91,20.19,19.88,19.28,18.62,18.94,19.09,19.53,20.94,23.03,25.16,26.22,26.88,27.03,26.5,24.47,21.91,20.06,19.06,17.38,15.78,14.94,14.59,14.28,13.34,12.78,13.28,14.22,14.62,15.09,16.88,18.56,19.78,20.88,22.53,25.06,26.78,27.75,28.28,29.16,28.72,27.47,26.0,25.38,25.12,23.88,22.75,21.81,21.31,19.91,18.56,17.91,18.5,18.75,18.62,18.53,19.19,18.97,18.06,17.28,17.28,17.53,17.25,17.09,17.28,17.75,16.94,15.03,13.16,12.16,11.75,11.81,12.5,15.03,16.88,17.62,18.19,19.44,21.03,21.91,22.41,22.53,22.5,21.22,19.41,17.5,16.56,15.84,15.03,14.47,15.62,17.03,17.75,18.47,19.47,20.06,19.09,17.22,15.47,13.88,11.88,9.62,7.94,8.03,7.97,7.94,8.41,9.84,11.94,14.34,16.88,20.53,24.78,28.5,30.97,32.16,32.34,30.41,25.75,20.03,14.53,9.53,4.88,1.56,0.84,2.25,4.88,8.28,13.31,19.0,23.97,27.66,30.78,33.88,35.47,34.97,32.91,29.94,25.44,19.22,13.03,8.66,6.03,4.53,3.62,4.44,6.59,8.56,10.97,13.84,17.47,21.0,23.16,25.06,27.22,28.88,29.34,28.75,28.28,27.72,26.56,24.91,23.97,23.53,22.19,19.78,16.88,13.75,9.09,3.56,-1.72,-5.47,-7.53,-8.41,-8.84,-7.47,-5.75,-3.72,-1.84,0.56,4.12,7.16,9.47,11.78,15.34,18.88,21.53,23.88,26.0,27.03,26.06,23.69,20.47,17.06,12.97,8.69,5.03,2.41,0.41,-1.94,-3.97,-4.97,-5.81,-7.06,-8.09,-8.41,-7.88,-7.19,-6.34,-4.09,-1.34,1.66,3.72,5.66,7.47,8.5,8.25,7.56,7.75,8.0,7.34,6.44,5.75,4.84,3.19,0.84,-1.12,-2.41,-3.59,-4.69,-5.0,-3.44,-1.41,0.06,1.31,3.5,6.0,8.19,10.41,13.0,15.94,18.72,20.38,22.38,24.66,26.53,26.84,26.56,26.06,24.69,22.06,19.03,16.84,15.28,14.03,12.75,12.66,13.09,13.06,12.09,11.12,9.97,8.59,6.34,4.72,4.88,5.75,6.38,6.66,7.31,7.94,7.59,6.12,4.62,3.62,2.16,0.25,-0.75,0.03,1.44,2.03,2.19,2.69,2.28,0.75,-1.0,-1.94,-1.69,-1.06,-0.56,0.78,2.47,4.03,4.34,4.0,3.69,3.12,1.88,1.12,1.72,3.91,6.28,8.38,11.62,15.56,19.34,21.97,24.56,26.78,28.12,27.62,26.56,25.72,25.28,23.47,20.84,18.81,17.41,15.38,12.62,11.25,10.69,10.03,8.84,7.88,7.56,7.12,6.38,6.12,6.97,8.78,9.97,10.09,10.47,11.09,11.09,10.81,11.53,12.91,14.22,14.41,14.12,14.03,13.5,11.41,9.41,7.88,7.03,5.81,4.84,4.56,5.19,5.38,4.91,4.88,5.66,6.25,6.19,6.47,7.44,9.28,10.28,11.25,12.75,53.69,55.72,57.47,59.19,60.78,62.34,63.72,64.5,64.84,64.5,63.47,61.47,59.62,57.97,56.22,55.53,55.72,56.22,57.69,59.16,60.16,60.62,60.88,60.88,60.78,61.28,62.06,62.94,63.5,64.47,64.94,64.97,65.22,64.94,64.66:28.91,29.31,30.16,31.59,34.03,36.0,37.12,38.12,39.34,39.97,39.69,39.34,39.28,39.06,37.38,35.47,34.47,33.75,33.03,32.25,32.34,33.03,33.31,33.28,33.53,34.41,35.34,35.66,35.5,35.75,35.53,34.16,32.06,30.56,28.72,26.44,23.75,21.53,20.38,20.03,20.19,21.0,23.38,25.66,26.94,28.22,30.31,33.03,35.66,38.19,41.28,44.0,45.28,44.75,43.38,42.06,40.19,37.94,35.97,35.66,35.84,35.44,34.97,34.78,34.38,33.25,31.66,31.09,31.22,31.38,31.44,32.0,32.62,33.47,33.78,33.78,34.12,33.84,32.53,30.25,28.38,26.81,25.16,23.16,21.78,20.84,19.94,18.72,17.81,17.97,18.38,18.22,17.84,18.38,19.09,19.75,20.38,21.34,22.38,22.34,21.59,20.59,20.41,20.56,20.0,19.56,19.84,20.38,20.66,21.22,22.84,25.38,27.66,29.0,30.16,30.69,30.41,28.56,26.62,25.5,25.28,24.34,23.84,24.47,24.47,23.31,21.69,21.0,20.69,21.09,21.47,22.66,24.28,25.31,25.5,25.28,25.53,26.25,26.75,27.31,29.03,30.81,31.91,32.31,33.16,34.41,35.19,35.47,36.47,38.0,39.41,39.59,38.97,38.28,37.34,34.97,32.78,31.91,31.56,31.31,30.66,30.5,30.25,29.56,28.41,27.84,28.25,29.5,30.22,31.28,33.12,34.84,35.0,34.28,33.72,33.03,32.06,30.56,29.94,29.84,29.81,28.72,27.94,27.97,28.34,28.25,28.19,29.31,30.53,30.5,29.69,29.03,28.47,28.0,27.16,27.25,28.09,29.31,29.5,29.72,29.59,29.25,27.53,24.94,23.41,23.19,22.28,21.62,21.75,22.69,22.84,22.16,22.06,22.5,22.5,22.03,22.12,23.03,24.91,26.16,27.44,29.31,31.19,32.06,32.06,32.56,33.59,34.59,34.69,35.03,35.38,35.31,34.06,32.72,31.81,31.25,30.12,28.81,28.59,29.5,30.19,30.78,32.19,33.94,35.5,35.62,35.56,35.56,35.78,35.53,35.5,36.0,36.97,36.16,34.16,32.03,30.59,28.56,26.72,25.69,26.19,27.5,27.69,28.41,29.75,30.84,30.56,30.06,30.12,30.56,30.38,29.59,29.53,29.78,29.53,28.72,27.94,28.25,28.56,27.81,27.38,27.12,27.38,26.88,26.5,26.72,27.84,28.16,27.53,26.75,26.62,26.19,25.44,24.84,26.12,27.91,29.09,30.31,31.97,33.16,32.09,30.16,28.47,27.59,26.94,25.97,25.84,26.81,27.75,27.72,28.5,29.84,31.28,31.09,30.41,30.09,30.78,30.78,30.84,31.78,33.16,33.31,31.53,29.56,28.06,26.75,24.84,24.19,24.94,26.28,26.69,27.16,28.62,30.56,31.38,31.78,32.03,32.66,32.97,33.09,33.88,36.28,38.81,40.56,41.41,42.47,42.19,39.5,34.75,29.97,25.38,20.62,17.03,15.72,17.5,20.16,22.88,25.72,28.88,31.47,32.03,32.19,32.97,33.41,32.97,32.22,31.88,31.72,30.19,27.66,24.97,22.84,20.72,19.0,18.53,20.41,23.03,25.19,27.06,29.41,31.16,32.19,32.75,34.38,36.81,38.44,39.12,39.28,39.47,38.91,37.09,35.81,36.25,37.5,39.0,40.97,44.12,47.81,50.72,52.91,55.16,57.84,59.56,60.19,60.62,61.78,62.06,60.94,59.19,57.34,55.78,52.44,48.59,45.62,43.47,40.84,38.03,36.03,35.19,34.41,33.97,34.91,37.75,41.0,43.41,44.94,46.75,48.41,48.88,48.62,48.31,48.47,48.25,47.5,47.53,48.38,48.56,47.16,45.0,43.25,41.12,38.09,35.38,33.75,32.44,30.94,29.59,28.75,29.12,28.72,27.53,26.53,26.38,26.16,26.22,26.38,28.53,31.06,32.75,34.28,36.94,40.44,43.5,46.06,48.78,51.12,51.62,49.72,46.66,43.34,39.47,34.56,29.69,26.88,25.12,23.25,21.41,21.03,21.25,20.56,19.81,20.31,22.25,24.97,27.88,31.41,36.0,40.03,42.78,44.66,47.16,49.31,50.97,51.66,52.31,53.34,52.91,51.19,49.53,48.69,47.25,44.84,41.94,39.56,36.56,33.12,29.69,27.78,26.47,24.84,22.72,21.25,20.97,21.09,21.34,22.75,25.47,28.31,29.78,30.56,31.25,30.81,29.53,27.84,27.38,27.69,27.94,27.84,27.94,28.59,28.31,27.06,25.94,25.12,24.53,23.38,22.62,23.22,23.75,23.16,21.72,20.94,20.28,19.53,18.97,19.47,21.12,22.75,23.66,24.53,25.88,26.69,25.91,24.56,24.0,23.56,23.16,22.81,23.84,25.5,26.44,26.03,25.69,25.62,25.25,24.09,23.19,23.19,22.78,21.56,20.09,19.78,20.03,19.66,18.66,18.09,17.47,16.75,15.06,14.72,15.59,16.66,17.34,18.75,21.16,23.53,25.22,26.75,29.25,31.16,32.53,32.44,32.31,31.53,29.81,26.41,23.03,20.25,17.38,14.25,11.34,9.72,8.5,6.88,5.38,4.88,5.16,5.72,5.41,5.69,6.78,8.62,10.0,12.03,15.34,18.66,20.09,20.5,21.59,23.09,24.03,25.19,27.38,30.38,32.25,32.59,32.31,31.59,30.56,28.47,27.28,26.84,27.28,27.0,26.09,26.28,26.69,26.47,25.47,24.81,24.62,24.06,22.94,22.41,22.81,23.06,22.44,21.56,22.03,22.41,21.91,21.25,21.22,20.72,20.41,19.47,18.97,19.0,18.5,16.72,15.56,15.72,16.81,17.62,19.53,22.34,25.56,27.66,28.72,30.06,31.53,31.81,31.5,31.34,31.62,31.72,30.34,28.62,27.88,27.0,24.91,23.09,22.66,22.66,21.94,21.12,21.41,21.84,22.03,21.56,21.78,22.75,23.75,23.94,24.72,26.62,28.91,30.34,31.78,33.75,35.47,36.0,35.19,33.91,32.72,30.75,27.72,25.62,25.16,25.5,25.78,27.12,28.84,30.47,31.03,31.03,31.53,32.59,32.97,32.97,32.72,32.69,32.22,30.62,29.16,28.81,28.53,27.41,26.16,25.78,26.09,25.38,24.5,23.88,23.66,22.94,20.5,18.72,18.16,17.62,16.72,16.22,16.59,17.41,17.59,17.94,18.91,20.19,19.88,19.28,18.62,18.94,19.09,19.53,20.94,23.03,25.16,26.22,26.88,27.03,26.5,24.47,21.91,20.06,19.06,17.38,15.78,14.94,14.59,14.28,13.34,12.78,13.28,14.22,14.62,15.09,16.88,18.56,19.78,20.88,22.53,25.06,26.78,27.75,28.28,29.16,28.72,27.47,26.0,25.38,25.12,23.88,22.75,21.81,21.31,19.91,18.56,17.91,18.5,18.75,18.62,18.53,19.19,18.97,18.06,17.28,17.28,17.53,17.25,17.09,17.28,17.75,16.94,15.03,13.16,12.16,11.75,11.81,12.5,15.03,16.88,17.62,18.19,19.44,21.03,21.91,22.41,22.53,22.5,21.22,19.41,17.5,16.56,15.84,15.03,14.47,15.62,17.03,17.75,18.47,19.47,20.06,19.09,17.22,15.47,13.88,11.88,9.62,7.94,8.03,7.97,7.94,8.41,9.84,11.94,14.34,16.88,20.53,24.78,28.5,30.97,32.16,32.34,30.41,25.75,20.03,14.53,9.53,4.88,1.56,0.84,2.25,4.88,8.28,13.31,19.0,23.97,27.66,30.78,33.88,35.47,34.97,32.91,29.94,25.44,19.22,13.03,8.66,6.03,4.53,3.62,4.44,6.59,8.56,10.97,13.84,17.47,21.0,23.16,25.06,27.22,28.88,29.34,28.75,28.28,27.72,26.56,24.91,23.97,23.53,22.19,19.78,16.88,13.75,9.09,3.56,-1.72,-5.47,-7.53,-8.41,-8.84,-7.47,-5.75,-3.72,-1.84,0.56,4.12,7.16,9.47,11.78,15.34,18.88,21.53,23.88,26.0,27.03,26.06,23.69,20.47,17.06,12.97,8.69,5.03,2.41,0.41,-1.94,-3.97,-4.97,-5.81,-7.06,-8.09,-8.41,-7.88,-7.19,-6.34,-4.09,-1.34,1.66,3.72,5.66,7.47,8.5,8.25,7.56,7.75,8.0,7.34,6.44,5.75,4.84,3.19,0.84,-1.12,-2.41,-3.59,-4.69,-5.0,-3.44,-1.41,0.06,1.31,3.5,6.0,8.19,10.41,13.0,15.94,18.72,20.38,22.38,24.66,26.53,26.84,26.56,26.06,24.69,22.06,19.03,16.84,15.28,14.03,12.75,12.66,13.09,13.06,12.09,11.12,9.97,8.59,6.34,4.72,4.88,5.75,6.38,6.66,7.31,7.94,7.59,6.12,4.62,3.62,2.16,0.25,-0.75,0.03,1.44,2.03,2.19,2.69,2.28,0.75,-1.0,-1.94,-1.69,-1.06,-0.56,0.78,2.47,4.03,4.34,4.0,3.69,3.12,1.88,1.12,1.72,3.91,6.28,8.38,11.62,15.56,19.34,21.97,24.56,26.78,28.12,27.62,26.56,25.72,25.28,23.47,20.84,18.81,17.41,15.38,12.62,11.25,10.69,10.03,8.84,7.88,7.56,7.12,6.38,6.12,6.97,8.78,9.97,10.09,10.47,11.09,11.09,10.81,11.53,12.91,14.22,14.41,14.12,14.03,13.5,11.41,9.41,7.88,7.03,5.81,4.84,4.56,5.19,5.38,4.91,4.88,5.66,6.25,6.19,6.47,7.44,9.28,10.28,11.25,12.75,53.69,55.72,57.47,59.19,60.78,62.34,63.72,64.5,64.84,64.5,63.47,61.47,59.62,57.97,56.22,55.53,55.72,56.22,57.69,59.16,60.16,60.62,60.88,60.88,60.78,61.28,62.06,62.94,63.5,64.47,64.94,64.97,65.22,64.94,64.66,64.5,63.66,62.59,61.12,59.69,58.91,58.28:negativity
5.88,8.38,11.41,12.25,11.78,12.47,13.5,12.94,10.38,9.47,10.44,10.88,8.66,6.94,7.72,8.5,7.06,5.66,6.66,8.34,9.0,9.66,11.53,15.12,16.75,15.22,13.78,13.62,12.66,9.25,6.78,7.03,8.38,8.03,7.78,9.72,12.59,13.34,12.84,13.72,16.06,17.47,16.62,16.56,17.94,18.38,16.38,14.38,14.34,15.25,13.88,11.75,11.31,12.06,11.19,9.22,8.94,11.19,12.47,12.12,12.19,14.12,16.03,15.31,14.44,15.88,17.72,17.53,16.19,16.44,17.56,17.0,14.81,13.22,13.59,13.09,9.94,7.34,7.19,7.19,5.34,3.62,4.44,6.25,6.22,4.94,5.22,6.84,6.94,5.03,3.75,4.97,5.88,5.03,4.91,6.88,9.59,10.12,9.53,10.53,12.25,11.84,9.44,8.03,8.5,7.72,4.81,3.25,4.72,6.19,5.44,4.09,4.34,4.59,2.5,-0.19,-0.56,0.59,0.53,-0.31,-0.19,1.66,2.81,1.62,0.78,2.12,3.44,2.72,1.56,2.72,4.94,4.44,2.66,2.16,2.59,1.53,-1.16,-2.75,-2.06,-2.0,-4.0,-5.81,-5.44,-4.69,-6.12,-8.09,-7.41,-5.59,-5.19,-5.12,-3.66,-0.69,0.81,0.06,-0.81,-0.25,0.19,-1.53,-2.66,-0.81,1.72,2.41,2.03,3.0,4.69,4.69,3.62,3.66,5.91,6.94,5.88,4.97,6.12,6.88,5.59,3.88,4.41,5.41,4.56,2.59,1.62,2.0,1.06,-1.59,-3.34,-2.22,-1.31,-2.34,-2.94,-0.88,1.12,0.72,-0.53,0.03,0.94,-0.09,-2.41,-3.12,-1.94,-1.53,-3.0,-3.62,-2.31,-1.53,-2.31,-3.0,-0.5,3.06,4.47,4.69,6.38,8.69,9.19,8.19,8.56,10.84,12.31,11.94,11.91,14.09,15.81,14.59,12.25,12.03,12.28,10.72,8.47,8.66,10.0,10.16,8.81,8.53,9.91,10.47,8.78,7.12,7.69,7.69,5.06,1.03,-1.19,-3.0,-6.69,-10.91,-12.44,-11.91,-11.94,-13.19,-12.94,-10.97,-9.34,-10.34,-11.66,-10.19,-8.5,-8.59,-9.22,-7.72,-5.16,-4.03,-4.16,-2.66,0.16,1.44,0.25,-1.16,-0.16,0.28,-1.28,-2.38,-0.5,1.88,2.56,2.38,3.91,6.25,6.66,5.19,4.22,5.06,5.03,3.16,2.03,3.16,4.56,3.62,2.41,3.19,4.97,4.5,2.88,2.75,3.62,3.47,1.25,0.56,2.22,3.34,2.5,2.38,4.5,7.47,8.22,8.03,9.84,11.84,11.75,10.28,10.25,11.69,11.81,9.75,8.44,9.38,10.22,8.78,7.5,8.56,10.5,10.66,10.22,11.81,14.62,15.31,14.03,13.47,14.12,13.66,10.34,7.16,6.5,5.81,3.56,1.59,2.78,5.06,5.66,5.0,5.72,7.16,7.34,5.69,5.44,7.56,9.97,10.03,10.5,12.84,14.84,14.03,11.97,11.47,11.44,9.0,4.59,2.41,1.81,1.31,-0.56,-0.94,0.62,1.53,-0.09,-1.06,0.47,2.59,2.78,2.16,3.25,5.91,6.72,6.34,7.44,9.78,10.25,8.12,6.44,7.09,8.19,7.88,8.47,11.91,15.97,17.06,16.41,16.09,16.19,14.09,9.88,7.19,6.69,6.75,4.94,4.84,7.53,10.91,11.28,11.22,11.84,12.47,10.53,7.31,6.19,7.06,7.19,5.84,5.78,8.12,10.19,10.25,10.62,12.91,15.34,15.31,14.12,14.5,16.0,15.44,13.34,12.41,12.91,12.22,9.0,6.72,6.94,7.59,6.41,5.66,7.5,9.84,9.25,7.72,7.81,9.41,9.94,9.81,11.31,14.44,16.72,16.34,15.19,15.78,16.81,15.06,13.16,13.78,15.47,14.72,12.53,11.59,11.97,10.81,8.19,7.16,8.56,9.84,9.0,8.44,10.47,12.59,12.53,11.53,12.56,14.62,14.34,12.59,12.59,14.62,16.34,16.19,17.19,19.91,21.19,18.53,14.25,11.31,9.25,4.91,1.28,0.69,3.03,3.97,3.66,4.06,5.78,5.91,3.69,2.12,3.44,5.72,5.88,6.03,8.22,11.19,11.47,10.19,10.47,12.22,11.81,9.38,7.78,8.28,8.31,6.28,4.97,6.09,6.66,4.41,1.34,0.44,1.03,-0.03,-1.53,-1.12,1.31,2.41,1.62,2.0,4.53,6.31,5.94,5.47,7.53,9.66,9.75,9.59,11.31,14.22,14.41,13.0,12.06,12.88,12.22,9.56,7.12,6.62,5.66,2.12,-0.84,-0.5,1.66,2.78,3.0,5.06,8.16,8.66,6.81,5.81,6.5,6.66,4.47,3.62,5.41,7.34,7.16,6.59,8.03,10.41,11.0,10.0,10.94,13.16,13.34,11.06,9.22,9.38,8.44,5.22,2.03,1.66,2.0,0.44,-1.38,-0.47,1.91,3.12,3.72,6.53,12.06,16.22,18.62,20.62,24.72,27.28,26.03,23.75,22.94,22.28,18.94,14.75,13.03,12.97,11.56,9.03,8.22,9.62,9.41,7.0,4.47,4.44,4.5,2.66,1.19,2.66,5.16,5.78,5.44,6.78,9.31,10.19,8.66,7.78,8.47,7.78,4.5,1.12,0.31,-0.28,-3.25,-6.28,-6.47,-5.53,-5.94,-7.5,-7.25,-4.75,-3.59,-4.12,-3.75,-0.75,1.69,2.03,1.44,3.41,5.16,4.34,2.34,2.47,3.84,3.94,2.5,2.97,5.62,6.88,5.94,4.84,5.94,6.25,4.41,2.41,3.25,5.12,5.19,4.31,5.03,7.06,7.41,5.97,6.16,8.22,9.66,8.22,7.09,8.66,10.03,9.28,8.12,8.69,9.47,8.47,5.56,4.34,5.06,4.38,2.16,0.97,2.75,3.91,2.69,0.97,1.66,2.25,0.91,-1.09,-0.16,2.16,3.22,2.88,4.06,6.75,8.12,6.41,5.28,6.25,7.06,6.03,5.16,6.88,9.62,10.12,9.22,9.72,11.38,10.84,8.12,6.38,6.44,6.19,4.47,3.47,5.56,8.28,8.59,7.41,8.44,9.25,8.25,6.06,6.0,7.25,7.22,4.91,3.16,3.25,2.5,-0.19,-2.56,-2.53,-1.88,-3.12,-4.53,-3.5,-0.97,0.41,0.72,2.81,6.84,9.91,10.59,10.91,12.75,13.81,12.09,9.81,9.84,10.28,7.81,4.22,1.78,0.72,-1.44,-5.16,-7.34,-7.28,-7.53,-9.75,-10.38,-7.88,-4.44,-2.91,-1.66,1.81,5.84,7.78,8.41,10.44,13.69,15.47,15.22,15.81,17.88,19.53,18.0,15.72,15.5,15.28,11.91,7.72,5.53,4.97,2.88,-0.03,-0.97,-0.16,-0.56,-2.59,-3.5,-1.28,1.94,2.84,4.84,9.19,14.66,17.91,19.81,22.16,24.53,23.66,19.97,16.59,15.0,12.69,8.22,4.84,3.97,3.56,0.97,-1.25,-1.34,-0.25,-0.88,-2.38,-2.28,-0.84,-0.47,-1.66,-1.44,1.28,3.78,4.06,4.75,7.38,10.47,11.06,10.88,12.59,15.25,15.94,14.81,14.5,15.53,14.88,11.69,9.34,9.5,9.94,8.09,6.25,7.28,8.66,7.34,5.94,6.16,7.56,7.22,5.09,3.94,4.44,4.72,3.19,2.69,4.69,6.81,6.56,5.81,7.06,9.41,9.44,8.41,9.06,10.94,11.12,9.16,7.88,7.91,7.06,3.5,-0.12,-1.25,-1.59,-3.34,-4.94,-4.12,-1.34,-0.31,-0.38,0.88,4.06,6.25,6.41,6.84,9.44,11.22,10.22,8.56,8.62,8.75,6.81,3.88,2.47,2.44,0.53,-2.09,-2.91,-0.97,1.16,1.66,2.12,4.22,5.56,4.06,2.47,2.91,4.5,4.38,3.22,3.62,5.62,6.06,4.88,4.41,6.31,7.75,6.69,6.09,7.25,8.25,6.41,3.5,2.59,2.47,0.84,-1.44,-1.69,0.19,1.53,1.59,2.31,5.94,9.25,10.09,10.62,12.91,14.78,14.25,12.59,12.88,14.44,13.94,11.94,10.66,10.97,9.94,6.84,3.78,2.75,1.5,-1.72,-5.19,-5.66,-4.28,-3.84,-3.47,-1.0,3.06,5.44,5.62,6.28,8.91,10.56,9.47,7.75,7.81,7.41,4.25,0.59,-0.5,-0.03,-0.25,-0.78,0.88,4.66,7.19,7.22,7.34,9.28,10.5,9.06,6.94,7.56,8.03,5.91,3.12,2.22,2.44,1.25,-0.56,-1.06,1.28,3.28,3.47,3.91,6.41,9.03,9.5,8.88,10.38,11.62,10.09,6.81,5.06,5.97,6.88,7.53,10.72,16.5,21.69,23.75,24.38,25.09,23.59,17.56,9.38,2.41,-3.06,-8.62,-13.59,-15.12,-13.72,-11.78,-10.91,-8.84,-4.56,-0.94,0.5,1.03,3.69,7.59,10.0,12.19,17.47,24.38,29.12,31.38,32.44,32.53,29.19,21.5,12.53,6.25,0.84,-5.09,-9.59,-9.59,-7.5,-6.53,-6.41,-4.81,-1.62,0.03,0.25,1.0,3.69,5.75,5.0,4.41,6.53,9.28,10.16,10.03,11.78,14.09,14.69,13.03,12.78,13.81,13.62,10.69,8.06,7.59,6.28,2.59,-1.59,-3.25,-3.75,-5.44,-7.56,-6.69,-4.12,-2.66,-2.22,0.44,5.12,9.41,11.72,13.06,14.75,15.0,11.59,6.97,4.94,4.25,2.75,0.81,1.0,2.56,1.94,-1.28,-4.59,-6.72,-9.22,-13.69,-17.44,-17.5,-15.78,-15.38,-14.59,-11.03,-6.53,-3.81,-3.0,-0.66,3.28,6.5,7.34,9.25,12.91,16.09,15.81,14.66,14.44,13.69,10.31,4.97,1.81,-0.09,-2.72,-5.94,-6.47,-3.75,-1.06,-0.28,0.0,1.75,2.28,-0.22,-3.22,-3.5,-2.09,-1.25,-0.69,2.16,6.84,9.91,10.56,11.09,13.38,14.53,12.88,11.22,11.28,11.41:12.94,10.38,9.47,10.44,10.88,8.66,6.94,7.72,8.5,7.06,5.66,6.66,8.34,9.0,9.66,11.53,15.12,16.75,15.22,13.78,13.62,12.66,9.25,6.78,7.03,8.38,8.03,7.78,9.72,12.59,13.34,12.84,13.72,16.06,17.47,16.62,16.56,17.94,18.38,16.38,14.38,14.34,15.25,13.88,11.75,11.31,12.06,11.19,9.22,8.94,11.19,12.47,12.12,12.19,14.12,16.03,15.31,14.44,15.88,17.72,17.53,16.19,16.44,17.56,17.0,14.81,13.22,13.59,13.09,9.94,7.34,7.19,7.19,5.34,3.62,4.44,6.25,6.22,4.94,5.22,6.84,6.94,5.03,3.75,4.97,5.88,5.03,4.91,6.88,9.59,10.12,9.53,10.53,12.25,11.84,9.44,8.03,8.5,7.72,4.81,3.25,4.72,6.19,5.44,4.09,4.34,4.59,2.5,-0.19,-0.56,0.59,0.53,-0.31,-0.19,1.66,2.81,1.62,0.78,2.12,3.44,2.72,1.56,2.72,4.94,4.44,2.66,2.16,2.59,1.53,-1.16,-2.75,-2.06,-2.0,-4.0,-5.81,-5.44,-4.69,-6.12,-8.09,-7.41,-5.59,-5.19,-5.12,-3.66,-0.69,0.81,0.06,-0.81,-0.25,0.19,-1.53,-2.66,-0.81,1.72,2.41,2.03,3.0,4.69,4.69,3.62,3.66,5.91,6.94,5.88,4.97,6.12,6.88,5.59,3.88,4.41,5.41,4.56,2.59,1.62,2.0,1.06,-1.59,-3.34,-2.22,-1.31,-2.34,-2.94,-0.88,1.12,0.72,-0.53,0.03,0.94,-0.09,-2.41,-3.12,-1.94,-1.53,-3.0,-3.62,-2.31,-1.53,-2.31,-3.0,-0.5,3.06,4.47,4.69,6.38,8.69,9.19,8.19,8.56,10.84,12.31,11.94,11.91,14.09,15.81,14.59,12.25,12.03,12.28,10.72,8.47,8.66,10.0,10.16,8.81,8.53,9.91,10.47,8.78,7.12,7.69,7.69,5.06,1.03,-1.19,-3.0,-6.69,-10.91,-12.44,-11.91,-11.94,-13.19,-12.94,-10.97,-9.34,-10.34,-11.66,-10.19,-8.5,-8.59,-9.22,-7.72,-5.16,-4.03,-4.16,-2.66,0.16,1.44,0.25,-1.16,-0.16,0.28,-1.28,-2.38,-0.5,1.88,2.56,2.38,3.91,6.25,6.66,5.19,4.22,5.06,5.03,3.16,2.03,3.16,4.56,3.62,2.41,3.19,4.97,4.5,2.88,2.75,3.62,3.47,1.25,0.56,2.22,3.34,2.5,2.38,4.5,7.47,8.22,8.03,9.84,11.84,11.75,10.28,10.25,11.69,11.81,9.75,8.44,9.38,10.22,8.78,7.5,8.56,10.5,10.66,10.22,11.81,14.62,15.31,14.03,13.47,14.12,13.66,10.34,7.16,6.5,5.81,3.56,1.59,2.78,5.06,5.66,5.0,5.72,7.16,7.34,5.69,5.44,7.56,9.97,10.03,10.5,12.84,14.84,14.03,11.97,11.47,11.44,9.0,4.59,2.41,1.81,1.31,-0.56,-0.94,0.62,1.53,-0.09,-1.06,0.47,2.59,2.78,2.16,3.25,5.91,6.72,6.34,7.44,9.78,10.25,8.12,6.44,7.09,8.19,7.88,8.47,11.91,15.97,17.06,16.41,16.09,16.19,14.09,9.88,7.19,6.69,6.75,4.94,4.84,7.53,10.91,11.28,11.22,11.84,12.47,10.53,7.31,6.19,7.06,7.19,5.84,5.78,8.12,10.19,10.25,10.62,12.91,15.34,15.31,14.12,14.5,16.0,15.44,13.34,12.41,12.91,12.22,9.0,6.72,6.94,7.59,6.41,5.66,7.5,9.84,9.25,7.72,7.81,9.41,9.94,9.81,11.31,14.44,16.72,16.34,15.19,15.78,16.81,15.06,13.16,13.78,15.47,14.72,12.53,11.59,11.97,10.81,8.19,7.16,8.56,9.84,9.0,8.44,10.47,12.59,12.53,11.53,12.56,14.62,14.34,12.59,12.59,14.62,16.34,16.19,17.19,19.91,21.19,18.53,14.25,11.31,9.25,4.91,1.28,0.69,3.03,3.97,3.66,4.06,5.78,5.91,3.69,2.12,3.44,5.72,5.88,6.03,8.22,11.19,11.47,10.19,10.47,12.22,11.81,9.38,7.78,8.28,8.31,6.28,4.97,6.09,6.66,4.41,1.34,0.44,1.03,-0.03,-1.53,-1.12,1.31,2.41,1.62,2.0,4.53,6.31,5.94,5.47,7.53,9.66,9.75,9.59,11.31,14.22,14.41,13.0,12.06,12.88,12.22,9.56,7.12,6.62,5.66,2.12,-0.84,-0.5,1.66,2.78,3.0,5.06,8.16,8.66,6.81,5.81,6.5,6.66,4.47,3.62,5.41,7.34,7.16,6.59,8.03,10.41,11.0,10.0,10.94,13.16,13.34,11.06,9.22,9.38,8.44,5.22,2.03,1.66,2.0,0.44,-1.38,-0.47,1.91,3.12,3.72,6.53,12.06,16.22,18.62,20.62,24.72,27.28,26.03,23.75,22.94,22.28,18.94,14.75,13.03,12.97,11.56,9.03,8.22,9.62,9.41,7.0,4.47,4.44,4.5,2.66,1.19,2.66,5.16,5.78,5.44,6.78,9.31,10.19,8.66,7.78,8.47,7.78,4.5,1.12,0.31,-0.28,-3.25,-6.28,-6.47,-5.53,-5.94,-7.5,-7.25,-4.75,-3.59,-4.12,-3.75,-0.75,1.69,2.03,1.44,3.41,5.16,4.34,2.34,2.47,3.84,3.94,2.5,2.97,5.62,6.88,5.94,4.84,5.94,6.25,4.41,2.41,3.25,5.12,5.19,4.31,5.03,7.06,7.41,5.97,6.16,8.22,9.66,8.22,7.09,8.66,10.03,9.28,8.12,8.69,9.47,8.47,5.56,4.34,5.06,4.38,2.16,0.97,2.75,3.91,2.69,0.97,1.66,2.25,0.91,-1.09,-0.16,2.16,3.22,2.88,4.06,6.75,8.12,6.41,5.28,6.25,7.06,6.03,5.16,6.88,9.62,10.12,9.22,9.72,11.38,10.84,8.12,6.38,6.44,6.19,4.47,3.47,5.56,8.28,8.59,7.41,8.44,9.25,8.25,6.06,6.0,7.25,7.22,4.91,3.16,3.25,2.5,-0.19,-2.56,-2.53,-1.88,-3.12,-4.53,-3.5,-0.97,0.41,0.72,2.81,6.84,9.91,10.59,10.91,12.75,13.81,12.09,9.81,9.84,10.28,7.81,4.22,1.78,0.72,-1.44,-5.16,-7.34,-7.28,-7.53,-9.75,-10.38,-7.88,-4.44,-2.91,-1.66,1.81,5.84,7.78,8.41,10.44,13.69,15.47,15.22,15.81,17.88,19.53,18.0,15.72,15.5,15.28,11.91,7.72,5.53,4.97,2.88,-0.03,-0.97,-0.16,-0.56,-2.59,-3.5,-1.28,1.94,2.84,4.84,9.19,14.66,17.91,19.81,22.16,24.53,23.66,19.97,16.59,15.0,12.69,8.22,4.84,3.97,3.56,0.97,-1.25,-1.34,-0.25,-0.88,-2.38,-2.28,-0.84,-0.47,-1.66,-1.44,1.28,3.78,4.06,4.75,7.38,10.47,11.06,10.88,12.59,15.25,15.94,14.81,14.5,15.53,14.88,11.69,9.34,9.5,9.94,8.09,6.25,7.28,8.66,7.34,5.94,6.16,7.56,7.22,5.09,3.94,4.44,4.72,3.19,2.69,4.69,6.81,6.56,5.81,7.06,9.41,9.44,8.41,9.06,10.94,11.12,9.16,7.88,7.91,7.06,3.5,-0.12,-1.25,-1.59,-3.34,-4.94,-4.12,-1.34,-0.31,-0.38,0.88,4.06,6.25,6.41,6.84,9.44,11.22,10.22,8.56,8.62,8.75,6.81,3.88,2.47,2.44,0.53,-2.09,-2.91,-0.97,1.16,1.66,2.12,4.22,5.56,4.06,2.47,2.91,4.5,4.38,3.22,3.62,5.62,6.06,4.88,4.41,6.31,7.75,6.69,6.09,7.25,8.25,6.41,3.5,2.59,2.47,0.84,-1.44,-1.69,0.19,1.53,1.59,2.31,5.94,9.25,10.09,10.62,12.91,14.78,14.25,12.59,12.88,14.44,13.94,11.94,10.66,10.97,9.94,6.84,3.78,2.75,1.5,-1.72,-5.19,-5.66,-4.28,-3.84,-3.47,-1.0,3.06,5.44,5.62,6.28,8.91,10.56,9.47,7.75,7.81,7.41,4.25,0.59,-0.5,-0.03,-0.25,-0.78,0.88,4.66,7.19,7.22,7.34,9.28,10.5,9.06,6.94,7.56,8.03,5.91,3.12,2.22,2.44,1.25,-0.56,-1.06,1.28,3.28,3.47,3.91,6.41,9.03,9.5,8.88,10.38,11.62,10.09,6.81,5.06,5.97,6.88,7.53,10.72,16.5,21.69,23.75,24.38,25.09,23.59,17.56,9.38,2.41,-3.06,-8.62,-13.59,-15.12,-13.72,-11.78,-10.91,-8.84,-4.56,-0.94,0.5,1.03,3.69,7.59,10.0,12.19,17.47,24.38,29.12,31.38,32.44,32.53,29.19,21.5,12.53,6.25,0.84,-5.09,-9.59,-9.59,-7.5,-6.53,-6.41,-4.81,-1.62,0.03,0.25,1.0,3.69,5.75,5.0,4.41,6.53,9.28,10.16,10.03,11.78,14.09,14.69,13.03,12.78,13.81,13.62,10.69,8.06,7.59,6.28,2.59,-1.59,-3.25,-3.75,-5.44,-7.56,-6.69,-4.12,-2.66,-2.22,0.44,5.12,9.41,11.72,13.06,14.75,15.0,11.59,6.97,4.94,4.25,2.75,0.81,1.0,2.56,1.94,-1.28,-4.59,-6.72,-9.22,-13.69,-17.44,-17.5,-15.78,-15.38,-14.59,-11.03,-6.53,-3.81,-3.0,-0.66,3.28,6.5,7.34,9.25,12.91,16.09,15.81,14.66,14.44,13.69,10.31,4.97,1.81,-0.09,-2.72,-5.94,-6.47,-3.75,-1.06,-0.28,0.0,1.75,2.28,-0.22,-3.22,-3.5,-2.09,-1.25,-0.69,2.16,6.84,9.91,10.56,11.09,13.38,14.53,12.88,11.22,11.28,11.41,24.66,26.0,27.97,28.44,28.5,29.25,30.0:7.72,8.5,7.06,5.66,6.66,8.34,9.0,9.66,11.53,15.12,16.75,15.22,13.78,13.62,12.66,9.25,6.78,7.03,8.38,8.03,7.78,9.72,12.59,13.34,12.84,13.72,16.06,17.47,16.62,16.56,17.94,18.38,16.38,14.38,14.34,15.25,13.88,11.75,11.31,12.06,11.19,9.22,8.94,11.19,12.47,12.12,12.19,14.12,16.03,15.31,14.44,15.88,17.72,17.53,16.19,16.44,17.56,17.0,14.81,13.22,13.59,13.09,9.94,7.34,7.19,7.19,5.34,3.62,4.44,6.25,6.22,4.94,5.22,6.84,6.94,5.03,3.75,4.97,5.88,5.03,4.91,6.88,9.59,10.12,9.53,10.53,12.25,11.84,9.44,8.03,8.5,7.72,4.81,3.25,4.72,6.19,5.44,4.09,4.34,4.59,2.5,-0.19,-0.56,0.59,0.53,-0.31,-0.19,1.66,2.81,1.62,0.78,2.12,3.44,2.72,1.56,2.72,4.94,4.44,2.66,2.16,2.59,1.53,-1.16,-2.75,-2.06,-2.0,-4.0,-5.81,-5.44,-4.69,-6.12,-8.09,-7.41,-5.59,-5.19,-5.12,-3.66,-0.69,0.81,0.06,-0.81,-0.25,0.19,-1.53,-2.66,-0.81,1.72,2.41,2.03,3.0,4.69,4.69,3.62,3.66,5.91,6.94,5.88,4.97,6.12,6.88,5.59,3.88,4.41,5.41,4.56,2.59,1.62,2.0,1.06,-1.59,-3.34,-2.22,-1.31,-2.34,-2.94,-0.88,1.12,0.72,-0.53,0.03,0.94,-0.09,-2.41,-3.12,-1.94,-1.53,-3.0,-3.62,-2.31,-1.53,-2.31,-3.0,-0.5,3.06,4.47,4.69,6.38,8.69,9.19,8.19,8.56,10.84,12.31,11.94,11.91,14.09,15.81,14.59,12.25,12.03,12.28,10.72,8.47,8.66,10.0,10.16,8.81,8.53,9.91,10.47,8.78,7.12,7.69,7.69,5.06,1.03,-1.19,-3.0,-6.69,-10.91,-12.44,-11.91,-11.94,-13.19,-12.94,-10.97,-9.34,-10.34,-11.66,-10.19,-8.5,-8.59,-9.22,-7.72,-5.16,-4.03,-4.16,-2.66,0.16,1.44,0.25,-1.16,-0.16,0.28,-1.28,-2.38,-0.5,1.88,2.56,2.38,3.91,6.25,6.66,5.19,4.22,5.06,5.03,3.16,2.03,3.16,4.56,3.62,2.41,3.19,4.97,4.5,2.88,2.75,3.62,3.47,1.25,0.56,2.22,3.34,2.5,2.38,4.5,7.47,8.22,8.03,9.84,11.84,11.75,10.28,10.25,11.69,11.81,9.75,8.44,9.38,10.22,8.78,7.5,8.56,10.5,10.66,10.22,11.81,14.62,15.31,14.03,13.47,14.12,13.66,10.34,7.16,6.5,5.81,3.56,1.59,2.78,5.06,5.66,5.0,5.72,7.16,7.34,5.69,5.44,7.56,9.97,10.03,10.5,12.84,14.84,14.03,11.97,11.47,11.44,9.0,4.59,2.41,1.81,1.31,-0.56,-0.94,0.62,1.53,-0.09,-1.06,0.47,2.59,2.78,2.16,3.25,5.91,6.72,6.34,7.44,9.78,10.25,8.12,6.44,7.09,8.19,7.88,8.47,11.91,15.97,17.06,16.41,16.09,16.19,14.09,9.88,7.19,6.69,6.75,4.94,4.84,7.53,10.91,11.28,11.22,11.84,12.47,10.53,7.31,6.19,7.06,7.19,5.84,5.78,8.12,10.19,10.25,10.62,12.91,15.34,15.31,14.12,14.5,16.0,15.44,13.34,12.41,12.91,12.22,9.0,6.72,6.94,7.59,6.41,5.66,7.5,9.84,9.25,7.72,7.81,9.41,9.94,9.81,11.31,14.44,16.72,16.34,15.19,15.78,16.81,15.06,13.16,13.78,15.47,14.72,12.53,11.59,11.97,10.81,8.19,7.16,8.56,9.84,9.0,8.44,10.47,12.59,12.53,11.53,12.56,14.62,14.34,12.59,12.59,14.62,16.34,16.19,17.19,19.91,21.19,18.53,14.25,11.31,9.25,4.91,1.28,0.69,3.03,3.97,3.66,4.06,5.78,5.91,3.69,2.12,3.44,5.72,5.88,6.03,8.22,11.19,11.47,10.19,10.47,12.22,11.81,9.38,7.78,8.28,8.31,6.28,4.97,6.09,6.66,4.41,1.34,0.44,1.03,-0.03,-1.53,-1.12,1.31,2.41,1.62,2.0,4.53,6.31,5.94,5.47,7.53,9.66,9.75,9.59,11.31,14.22,14.41,13.0,12.06,12.88,12.22,9.56,7.12,6.62,5.66,2.12,-0.84,-0.5,1.66,2.78,3.0,5.06,8.16,8.66,6.81,5.81,6.5,6.66,4.47,3.62,5.41,7.34,7.16,6.59,8.03,10.41,11.0,10.0,10.94,13.16,13.34,11.06,9.22,9.38,8.44,5.22,2.03,1.66,2.0,0.44,-1.38,-0.47,1.91,3.12,3.72,6.53,12.06,16.22,18.62,20.62,24.72,27.28,26.03,23.75,22.94,22.28,18.94,14.75,13.03,12.97,11.56,9.03,8.22,9.62,9.41,7.0,4.47,4.44,4.5,2.66,1.19,2.66,5.16,5.78,5.44,6.78,9.31,10.19,8.66,7.78,8.47,7.78,4.5,1.12,0.31,-0.28,-3.25,-6.28,-6.47,-5.53,-5.94,-7.5,-7.25,-4.75,-3.59,-4.12,-3.75,-0.75,1.69,2.03,1.44,3.41,5.16,4.34,2.34,2.47,3.84,3.94,2.5,2.97,5.62,6.88,5.94,4.84,5.94,6.25,4.41,2.41,3.25,5.12,5.19,4.31,5.03,7.06,7.41,5.97,6.16,8.22,9.66,8.22,7.09,8.66,10.03,9.28,8.12,8.69,9.47,8.47,5.56,4.34,5.06,4.38,2.16,0.97,2.75,3.91,2.69,0.97,1.66,2.25,0.91,-1.09,-0.16,2.16,3.22,2.88,4.06,6.75,8.12,6.41,5.28,6.25,7.06,6.03,5.16,6.88,9.62,10.12,9.22,9.72,11.38,10.84,8.12,6.38,6.44,6.19,4.47,3.47,5.56,8.28,8.59,7.41,8.44,9.25,8.25,6.06,6.0,7.25,7.22,4.91,3.16,3.25,2.5,-0.19,-2.56,-2.53,-1.88,-3.12,-4.53,-3.5,-0.97,0.41,0.72,2.81,6.84,9.91,10.59,10.91,12.75,13.81,12.09,9.81,9.84,10.28,7.81,4.22,1.78,0.72,-1.44,-5.16,-7.34,-7.28,-7.53,-9.75,-10.38,-7.88,-4.44,-2.91,-1.66,1.81,5.84,7.78,8.41,10.44,13.69,15.47,15.22,15.81,17.88,19.53,18.0,15.72,15.5,15.28,11.91,7.72,5.53,4.97,2.88,-0.03,-0.97,-0.16,-0.56,-2.59,-3.5,-1.28,1.94,2.84,4.84,9.19,14.66,17.91,19.81,22.16,24.53,23.66,19.97,16.59,15.0,12.69,8.22,4.84,3.97,3.56,0.97,-1.25,-1.34,-0.25,-0.88,-2.38,-2.28,-0.84,-0.47,-1.66,-1.44,1.28,3.78,4.06,4.75,7.38,10.47,11.06,10.88,12.59,15.25,15.94,14.81,14.5,15.53,14.88,11.69,9.34,9.5,9.94,8.09,6.25,7.28,8.66,7.34,5.94,6.16,7.56,7.22,5.09,3.94,4.44,4.72,3.19,2.69,4.69,6.81,6.56,5.81,7.06,9.41,9.44,8.41,9.06,10.94,11.12,9.16,7.88,7.91,7.06,3.5,-0.12,-1.25,-1.59,-3.34,-4.94,-4.12,-1.34,-0.31,-0.38,0.88,4.06,6.25,6.41,6.84,9.44,11.22,10.22,8.56,8.62,8.75,6.81,3.88,2.47,2.44,0.53,-2.09,-2.91,-0.97,1.16,1.66,2.12,4.22,5.56,4.06,2.47,2.91,4.5,4.38,3.22,3.62,5.62,6.06,4.88,4.41,6.31,7.75,6.69,6.09,7.25,8.25,6.41,3.5,2.59,2.47,0.84,-1.44,-1.69,0.19,1.53,1.59,2.31,5.94,9.25,10.09,10.62,12.91,14.78,14.25,12.59,12.88,14.44,13.94,11.94,10.66,10.97,9.94,6.84,3.78,2.75,1.5,-1.72,-5.19,-5.66,-4.28,-3.84,-3.47,-1.0,3.06,5.44,5.62,6.28,8.91,10.56,9.47,7.75,7.81,7.41,4.25,0.59,-0.5,-0.03,-0.25,-0.78,0.88,4.66,7.19,7.22,7.34,9.28,10.5,9.06,6.94,7.56,8.03,5.91,3.12,2.22,2.44,1.25,-0.56,-1.06,1.28,3.28,3.47,3.91,6.41,9.03,9.5,8.88,10.38,11.62,10.09,6.81,5.06,5.97,6.88,7.53,10.72,16.5,21.69,23.75,24.38,25.09,23.59,17.56,9.38,2.41,-3.06,-8.62,-13.59,-15.12,-13.72,-11.78,-10.91,-8.84,-4.56,-0.94,0.5,1.03,3.69,7.59,10.0,12.19,17.47,24.38,29.12,31.38,32.44,32.53,29.19,21.5,12.53,6.25,0.84,-5.09,-9.59,-9.59,-7.5,-6.53,-6.41,-4.81,-1.62,0.03,0.25,1.0,3.69,5.75,5.0,4.41,6.53,9.28,10.16,10.03,11.78,14.09,14.69,13.03,12.78,13.81,13.62,10.69,8.06,7.59,6.28,2.59,-1.59,-3.25,-3.75,-5.44,-7.56,-6.69,-4.12,-2.66,-2.22,0.44,5.12,9.41,11.72,13.06,14.75,15.0,11.59,6.97,4.94,4.25,2.75,0.81,1.0,2.56,1.94,-1.28,-4.59,-6.72,-9.22,-13.69,-17.44,-17.5,-15.78,-15.38,-14.59,-11.03,-6.53,-3.81,-3.0,-0.66,3.28,6.5,7.34,9.25,12.91,16.09,15.81,14.66,14.44,13.69,10.31,4.97,1.81,-0.09,-2.72,-5.94,-6.47,-3.75,-1.06,-0.28,0.0,1.75,2.28,-0.22,-3.22,-3.5,-2.09,-1.25,-0.69,2.16,6.84,9.91,10.56,11.09,13.38,14.53,12.88,11.22,11.28,11.41,24.66,26.0,27.97,28.44,28.5,29.25,30.0,29.66,28.03,27.5,28.41,28.81,27.53,26.72:9.66,11.53,15.12,16.75,15.22,13.78,13.62,12.66,9.25,6.78,7.03,8.38,8.03,7.78,9.72,12.59,13.34,12.84,13.72,16.06,17.47,16.62,16.56,17.94,18.38,16.38,14.38,14.34,15.25,13.88,11.75,11.31,12.06,11.19,9.22,8.94,11.19,12.47,12.12,12.19,14.12,16.03,15.31,14.44,15.88,17.72,17.53,16.19,16.44,17.56,17.0,14.81,13.22,13.59,13.09,9.94,7.34,7.19,7.19,5.34,3.62,4.44,6.25,6.22,4.94,5.22,6.84,6.94,5.03,3.75,4.97,5.88,5.03,4.91,6.88,9.59,10.12,9.53,10.53,12.25,11.84,9.44,8.03,8.5,7.72,4.81,3.25,4.72,6.19,5.44,4.09,4.34,4.59,2.5,-0.19,-0.56,0.59,0.53,-0.31,-0.19,1.66,2.81,1.62,0.78,2.12,3.44,2.72,1.56,2.72,4.94,4.44,2.66,2.16,2.59,1.53,-1.16,-2.75,-2.06,-2.0,-4.0,-5.81,-5.44,-4.69,-6.12,-8.09,-7.41,-5.59,-5.19,-5.12,-3.66,-0.69,0.81,0.06,-0.81,-0.25,0.19,-1.53,-2.66,-0.81,1.72,2.41,2.03,3.0,4.69,4.69,3.62,3.66,5.91,6.94,5.88,4.97,6.12,6.88,5.59,3.88,4.41,5.41,4.56,2.59,1.62,2.0,1.06,-1.59,-3.34,-2.22,-1.31,-2.34,-2.94,-0.88,1.12,0.72,-0.53,0.03,0.94,-0.09,-2.41,-3.12,-1.94,-1.53,-3.0,-3.62,-2.31,-1.53,-2.31,-3.0,-0.5,3.06,4.47,4.69,6.38,8.69,9.19,8.19,8.56,10.84,12.31,11.94,11.91,14.09,15.81,14.59,12.25,12.03,12.28,10.72,8.47,8.66,10.0,10.16,8.81,8.53,9.91,10.47,8.78,7.12,7.69,7.69,5.06,1.03,-1.19,-3.0,-6.69,-10.91,-12.44,-11.91,-11.94,-13.19,-12.94,-10.97,-9.34,-10.34,-11.66,-10.19,-8.5,-8.59,-9.22,-7.72,-5.16,-4.03,-4.16,-2.66,0.16,1.44,0.25,-1.16,-0.16,0.28,-1.28,-2.38,-0.5,1.88,2.56,2.38,3.91,6.25,6.66,5.19,4.22,5.06,5.03,3.16,2.03,3.16,4.56,3.62,2.41,3.19,4.97,4.5,2.88,2.75,3.62,3.47,1.25,0.56,2.22,3.34,2.5,2.38,4.5,7.47,8.22,8.03,9.84,11.84,11.75,10.28,10.25,11.69,11.81,9.75,8.44,9.38,10.22,8.78,7.5,8.56,10.5,10.66,10.22,11.81,14.62,15.31,14.03,13.47,14.12,13.66,10.34,7.16,6.5,5.81,3.56,1.59,2.78,5.06,5.66,5.0,5.72,7.16,7.34,5.69,5.44,7.56,9.97,10.03,10.5,12.84,14.84,14.03,11.97,11.47,11.44,9.0,4.59,2.41,1.81,1.31,-0.56,-0.94,0.62,1.53,-0.09,-1.06,0.47,2.59,2.78,2.16,3.25,5.91,6.72,6.34,7.44,9.78,10.25,8.12,6.44,7.09,8.19,7.88,8.47,11.91,15.97,17.06,16.41,16.09,16.19,14.09,9.88,7.19,6.69,6.75,4.94,4.84,7.53,10.91,11.28,11.22,11.84,12.47,10.53,7.31,6.19,7.06,7.19,5.84,5.78,8.12,10.19,10.25,10.62,12.91,15.34,15.31,14.12,14.5,16.0,15.44,13.34,12.41,12.91,12.22,9.0,6.72,6.94,7.59,6.41,5.66,7.5,9.84,9.25,7.72,7.81,9.41,9.94,9.81,11.31,14.44,16.72,16.34,15.19,15.78,16.81,15.06,13.16,13.78,15.47,14.72,12.53,11.59,11.97,10.81,8.19,7.16,8.56,9.84,9.0,8.44,10.47,12.59,12.53,11.53,12.56,14.62,14.34,12.59,12.59,14.62,16.34,16.19,17.19,19.91,21.19,18.53,14.25,11.31,9.25,4.91,1.28,0.69,3.03,3.97,3.66,4.06,5.78,5.91,3.69,2.12,3.44,5.72,5.88,6.03,8.22,11.19,11.47,10.19,10.47,12.22,11.81,9.38,7.78,8.28,8.31,6.28,4.97,6.09,6.66,4.41,1.34,0.44,1.03,-0.03,-1.53,-1.12,1.31,2.41,1.62,2.0,4.53,6.31,5.94,5.47,7.53,9.66,9.75,9.59,11.31,14.22,14.41,13.0,12.06,12.88,12.22,9.56,7.12,6.62,5.66,2.12,-0.84,-0.5,1.66,2.78,3.0,5.06,8.16,8.66,6.81,5.81,6.5,6.66,4.47,3.62,5.41,7.34,7.16,6.59,8.03,10.41,11.0,10.0,10.94,13.16,13.34,11.06,9.22,9.38,8.44,5.22,2.03,1.66,2.0,0.44,-1.38,-0.47,1.91,3.12,3.72,6.53,12.06,16.22,18.62,20.62,24.72,27.28,26.03,23.75,22.94,22.28,18.94,14.75,13.03,12.97,11.56,9.03,8.22,9.62,9.41,7.0,4.47,4.44,4.5,2.66,1.19,2.66,5.16,5.78,5.44,6.78,9.31,10.19,8.66,7.78,8.47,7.78,4.5,1.12,0.31,-0.28,-3.25,-6.28,-6.47,-5.53,-5.94,-7.5,-7.25,-4.75,-3.59,-4.12,-3.75,-0.75,1.69,2.03,1.44,3.41,5.16,4.34,2.34,2.47,3.84,3.94,2.5,2.97,5.62,6.88,5.94,4.84,5.94,6.25,4.41,2.41,3.25,5.12,5.19,4.31,5.03,7.06,7.41,5.97,6.16,8.22,9.66,8.22,7.09,8.66,10.03,9.28,8.12,8.69,9.47,8.47,5.56,4.34,5.06,4.38,2.16,0.97,2.75,3.91,2.69,0.97,1.66,2.25,0.91,-1.09,-0.16,2.16,3.22,2.88,4.06,6.75,8.12,6.41,5.28,6.25,7.06,6.03,5.16,6.88,9.62,10.12,9.22,9.72,11.38,10.84,8.12,6.38,6.44,6.19,4.47,3.47,5.56,8.28,8.59,7.41,8.44,9.25,8.25,6.06,6.0,7.25,7.22,4.91,3.16,3.25,2.5,-0.19,-2.56,-2.53,-1.88,-3.12,-4.53,-3.5,-0.97,0.41,0.72,2.81,6.84,9.91,10.59,10.91,12.75,13.81,12.09,9.81,9.84,10.28,7.81,4.22,1.78,0.72,-1.44,-5.16,-7.34,-7.28,-7.53,-9.75,-10.38,-7.88,-4.44,-2.91,-1.66,1.81,5.84,7.78,8.41,10.44,13.69,15.47,15.22,15.81,17.88,19.53,18.0,15.72,15.5,15.28,11.91,7.72,5.53,4.97,2.88,-0.03,-0.97,-0.16,-0.56,-2.59,-3.5,-1.28,1.94,2.84,4.84,9.19,14.66,17.91,19.81,22.16,24.53,23.66,19.97,16.59,15.0,12.69,8.22,4.84,3.97,3.56,0.97,-1.25,-1.34,-0.25,-0.88,-2.38,-2.28,-0.84,-0.47,-1.66,-1.44,1.28,3.78,4.06,4.75,7.38,10.47,11.06,10.88,12.59,15.25,15.94,14.81,14.5,15.53,14.88,11.69,9.34,9.5,9.94,8.09,6.25,7.28,8.66,7.34,5.94,6.16,7.56,7.22,5.09,3.94,4.44,4.72,3.19,2.69,4.69,6.81,6.56,5.81,7.06,9.41,9.44,8.41,9.06,10.94,11.12,9.16,7.88,7.91,7.06,3.5,-0.12,-1.25,-1.59,-3.34,-4.94,-4.12,-1.34,-0.31,-0.38,0.88,4.06,6.25,6.41,6.84,9.44,11.22,10.22,8.56,8.62,8.75,6.81,3.88,2.47,2.44,0.53,-2.09,-2.91,-0.97,1.16,1.66,2.12,4.22,5.56,4.06,2.47,2.91,4.5,4.38,3.22,3.62,5.62,6.06,4.88,4.41,6.31,7.75,6.69,6.09,7.25,8.25,6.41,3.5,2.59,2.47,0.84,-1.44,-1.69,0.19,1.53,1.59,2.31,5.94,9.25,10.09,10.62,12.91,14.78,14.25,12.59,12.88,14.44,13.94,11.94,10.66,10.97,9.94,6.84,3.78,2.75,1.5,-1.72,-5.19,-5.66,-4.28,-3.84,-3.47,-1.0,3.06,5.44,5.62,6.28,8.91,10.56,9.47,7.75,7.81,7.41,4.25,0.59,-0.5,-0.03,-0.25,-0.78,0.88,4.66,7.19,7.22,7.34,9.28,10.5,9.06,6.94,7.56,8.03,5.91,3.12,2.22,2.44,1.25,-0.56,-1.06,1.28,3.28,3.47,3.91,6.41,9.03,9.5,8.88,10.38,11.62,10.09,6.81,5.06,5.97,6.88,7.53,10.72,16.5,21.69,23.75,24.38,25.09,23.59,17.56,9.38,2.41,-3.06,-8.62,-13.59,-15.12,-13.72,-11.78,-10.91,-8.84,-4.56,-0.94,0.5,1.03,3.69,7.59,10.0,12.19,17.47,24.38,29.12,31.38,32.44,32.53,29.19,21.5,12.53,6.25,0.84,-5.09,-9.59,-9.59,-7.5,-6.53,-6.41,-4.81,-1.62,0.03,0.25,1.0,3.69,5.75,5.0,4.41,6.53,9.28,10.16,10.03,11.78,14.09,14.69,13.03,12.78,13.81,13.62,10.69,8.06,7.59,6.28,2.59,-1.59,-3.25,-3.75,-5.44,-7.56,-6.69,-4.12,-2.66,-2.22,0.44,5.12,9.41,11.72,13.06,14.75,15.0,11.59,6.97,4.94,4.25,2.75,0.81,1.0,2.56,1.94,-1.28,-4.59,-6.72,-9.22,-13.69,-17.44,-17.5,-15.78,-15.38,-14.59,-11.03,-6.53,-3.81,-3.0,-0.66,3.28,6.5,7.34,9.25,12.91,16.09,15.81,14.66,14.44,13.69,10.31,4.97,1.81,-0.09,-2.72,-5.94,-6.47,-3.75,-1.06,-0.28,0.0,1.75,2.28,-0.22,-3.22,-3.5,-2.09,-1.25,-0.69,2.16,6.84,9.91,10.56,11.09,13.38,14.53,12.88,11.22,11.28,11.41,24.66,26.0,27.97,28.44,28.5,29.25,30.0,29.66,28.03,27.5,28.41,28.81,27.53,26.72,27.31,27.81,26.72,26.0,26.53,28.03,29.0:12.66,9.25,6.78,7.03,8.38,8.03,7.78,9.72,12.59,13.34,12.84,13.72,16.06,17.47,16.62,16.56,17.94,18.38,16.38,14.38,14.34,15.25,13.88,11.75,11.31,12.06,11.19,9.22,8.94,11.19,12.47,12.12,12.19,14.12,16.03,15.31,14.44,15.88,17.72,17.53,16.19,16.44,17.56,17.0,14.81,13.22,13.59,13.09,9.94,7.34,7.19,7.19,5.34,3.62,4.44,6.25,6.22,4.94,5.22,6.84,6.94,5.03,3.75,4.97,5.88,5.03,4.91,6.88,9.59,10.12,9.53,10.53,12.25,11.84,9.44,8.03,8.5,7.72,4.81,3.25,4.72,6.19,5.44,4.09,4.34,4.59,2.5,-0.19,-0.56,0.59,0.53,-0.31,-0.19,1.66,2.81,1.62,0.78,2.12,3.44,2.72,1.56,2.72,4.94,4.44,2.66,2.16,2.59,1.53,-1.16,-2.75,-2.06,-2.0,-4.0,-5.81,-5.44,-4.69,-6.12,-8.09,-7.41,-5.59,-5.19,-5.12,-3.66,-0.69,0.81,0.06,-0.81,-0.25,0.19,-1.53,-2.66,-0.81,1.72,2.41,2.03,3.0,4.69,4.69,3.62,3.66,5.91,6.94,5.88,4.97,6.12,6.88,5.59,3.88,4.41,5.41,4.56,2.59,1.62,2.0,1.06,-1.59,-3.34,-2.22,-1.31,-2.34,-2.94,-0.88,1.12,0.72,-0.53,0.03,0.94,-0.09,-2.41,-3.12,-1.94,-1.53,-3.0,-3.62,-2.31,-1.53,-2.31,-3.0,-0.5,3.06,4.47,4.69,6.38,8.69,9.19,8.19,8.56,10.84,12.31,11.94,11.91,14.09,15.81,14.59,12.25,12.03,12.28,10.72,8.47,8.66,10.0,10.16,8.81,8.53,9.91,10.47,8.78,7.12,7.69,7.69,5.06,1.03,-1.19,-3.0,-6.69,-10.91,-12.44,-11.91,-11.94,-13.19,-12.94,-10.97,-9.34,-10.34,-11.66,-10.19,-8.5,-8.59,-9.22,-7.72,-5.16,-4.03,-4.16,-2.66,0.16,1.44,0.25,-1.16,-0.16,0.28,-1.28,-2.38,-0.5,1.88,2.56,2.38,3.91,6.25,6.66,5.19,4.22,5.06,5.03,3.16,2.03,3.16,4.56,3.62,2.41,3.19,4.97,4.5,2.88,2.75,3.62,3.47,1.25,0.56,2.22,3.34,2.5,2.38,4.5,7.47,8.22,8.03,9.84,11.84,11.75,10.28,10.25,11.69,11.81,9.75,8.44,9.38,10.22,8.78,7.5,8.56,10.5,10.66,10.22,11.81,14.62,15.31,14.03,13.47,14.12,13.66,10.34,7.16,6.5,5.81,3.56,1.59,2.78,5.06,5.66,5.0,5.72,7.16,7.34,5.69,5.44,7.56,9.97,10.03,10.5,12.84,14.84,14.03,11.97,11.47,11.44,9.0,4.59,2.41,1.81,1.31,-0.56,-0.94,0.62,1.53,-0.09,-1.06,0.47,2.59,2.78,2.16,3.25,5.91,6.72,6.34,7.44,9.78,10.25,8.12,6.44,7.09,8.19,7.88,8.47,11.91,15.97,17.06,16.41,16.09,16.19,14.09,9.88,7.19,6.69,6.75,4.94,4.84,7.53,10.91,11.28,11.22,11.84,12.47,10.53,7.31,6.19,7.06,7.19,5.84,5.78,8.12,10.19,10.25,10.62,12.91,15.34,15.31,14.12,14.5,16.0,15.44,13.34,12.41,12.91,12.22,9.0,6.72,6.94,7.59,6.41,5.66,7.5,9.84,9.25,7.72,7.81,9.41,9.94,9.81,11.31,14.44,16.72,16.34,15.19,15.78,16.81,15.06,13.16,13.78,15.47,14.72,12.53,11.59,11.97,10.81,8.19,7.16,8.56,9.84,9.0,8.44,10.47,12.59,12.53,11.53,12.56,14.62,14.34,12.59,12.59,14.62,16.34,16.19,17.19,19.91,21.19,18.53,14.25,11.31,9.25,4.91,1.28,0.69,3.03,3.97,3.66,4.06,5.78,5.91,3.69,2.12,3.44,5.72,5.88,6.03,8.22,11.19,11.47,10.19,10.47,12.22,11.81,9.38,7.78,8.28,8.31,6.28,4.97,6.09,6.66,4.41,1.34,0.44,1.03,-0.03,-1.53,-1.12,1.31,2.41,1.62,2.0,4.53,6.31,5.94,5.47,7.53,9.66,9.75,9.59,11.31,14.22,14.41,13.0,12.06,12.88,12.22,9.56,7.12,6.62,5.66,2.12,-0.84,-0.5,1.66,2.78,3.0,5.06,8.16,8.66,6.81,5.81,6.5,6.66,4.47,3.62,5.41,7.34,7.16,6.59,8.03,10.41,11.0,10.0,10.94,13.16,13.34,11.06,9.22,9.38,8.44,5.22,2.03,1.66,2.0,0.44,-1.38,-0.47,1.91,3.12,3.72,6.53,12.06,16.22,18.62,20.62,24.72,27.28,26.03,23.75,22.94,22.28,18.94,14.75,13.03,12.97,11.56,9.03,8.22,9.62,9.41,7.0,4.47,4.44,4.5,2.66,1.19,2.66,5.16,5.78,5.44,6.78,9.31,10.19,8.66,7.78,8.47,7.78,4.5,1.12,0.31,-0.28,-3.25,-6.28,-6.47,-5.53,-5.94,-7.5,-7.25,-4.75,-3.59,-4.12,-3.75,-0.75,1.69,2.03,1.44,3.41,5.16,4.34,2.34,2.47,3.84,3.94,2.5,2.97,5.62,6.88,5.94,4.84,5.94,6.25,4.41,2.41,3.25,5.12,5.19,4.31,5.03,7.06,7.41,5.97,6.16,8.22,9.66,8.22,7.09,8.66,10.03,9.28,8.12,8.69,9.47,8.47,5.56,4.34,5.06,4.38,2.16,0.97,2.75,3.91,2.69,0.97,1.66,2.25,0.91,-1.09,-0.16,2.16,3.22,2.88,4.06,6.75,8.12,6.41,5.28,6.25,7.06,6.03,5.16,6.88,9.62,10.12,9.22,9.72,11.38,10.84,8.12,6.38,6.44,6.19,4.47,3.47,5.56,8.28,8.59,7.41,8.44,9.25,8.25,6.06,6.0,7.25,7.22,4.91,3.16,3.25,2.5,-0.19,-2.56,-2.53,-1.88,-3.12,-4.53,-3.5,-0.97,0.41,0.72,2.81,6.84,9.91,10.59,10.91,12.75,13.81,12.09,9.81,9.84,10.28,7.81,4.22,1.78,0.72,-1.44,-5.16,-7.34,-7.28,-7.53,-9.75,-10.38,-7.88,-4.44,-2.91,-1.66,1.81,5.84,7.78,8.41,10.44,13.69,15.47,15.22,15.81,17.88,19.53,18.0,15.72,15.5,15.28,11.91,7.72,5.53,4.97,2.88,-0.03,-0.97,-0.16,-0.56,-2.59,-3.5,-1.28,1.94,2.84,4.84,9.19,14.66,17.91,19.81,22.16,24.53,23.66,19.97,16.59,15.0,12.69,8.22,4.84,3.97,3.56,0.97,-1.25,-1.34,-0.25,-0.88,-2.38,-2.28,-0.84,-0.47,-1.66,-1.44,1.28,3.78,4.06,4.75,7.38,10.47,11.06,10.88,12.59,15.25,15.94,14.81,14.5,15.53,14.88,11.69,9.34,9.5,9.94,8.09,6.25,7.28,8.66,7.34,5.94,6.16,7.56,7.22,5.09,3.94,4.44,4.72,3.19,2.69,4.69,6.81,6.56,5.81,7.06,9.41,9.44,8.41,9.06,10.94,11.12,9.16,7.88,7.91,7.06,3.5,-0.12,-1.25,-1.59,-3.34,-4.94,-4.12,-1.34,-0.31,-0.38,0.88,4.06,6.25,6.41,6.84,9.44,11.22,10.22,8.56,8.62,8.75,6.81,3.88,2.47,2.44,0.53,-2.09,-2.91,-0.97,1.16,1.66,2.12,4.22,5.56,4.06,2.47,2.91,4.5,4.38,3.22,3.62,5.62,6.06,4.88,4.41,6.31,7.75,6.69,6.09,7.25,8.25,6.41,3.5,2.59,2.47,0.84,-1.44,-1.69,0.19,1.53,1.59,2.31,5.94,9.25,10.09,10.62,12.91,14.78,14.25,12.59,12.88,14.44,13.94,11.94,10.66,10.97,9.94,6.84,3.78,2.75,1.5,-1.72,-5.19,-5.66,-4.28,-3.84,-3.47,-1.0,3.06,5.44,5.62,6.28,8.91,10.56,9.47,7.75,7.81,7.41,4.25,0.59,-0.5,-0.03,-0.25,-0.78,0.88,4.66,7.19,7.22,7.34,9.28,10.5,9.06,6.94,7.56,8.03,5.91,3.12,2.22,2.44,1.25,-0.56,-1.06,1.28,3.28,3.47,3.91,6.41,9.03,9.5,8.88,10.38,11.62,10.09,6.81,5.06,5.97,6.88,7.53,10.72,16.5,21.69,23.75,24.38,25.09,23.59,17.56,9.38,2.41,-3.06,-8.62,-13.59,-15.12,-13.72,-11.78,-10.91,-8.84,-4.56,-0.94,0.5,1.03,3.69,7.59,10.0,12.19,17.47,24.38,29.12,31.38,32.44,32.53,29.19,21.5,12.53,6.25,0.84,-5.09,-9.59,-9.59,-7.5,-6.53,-6.41,-4.81,-1.62,0.03,0.25,1.0,3.69,5.75,5.0,4.41,6.53,9.28,10.16,10.03,11.78,14.09,14.69,13.03,12.78,13.81,13.62,10.69,8.06,7.59,6.28,2.59,-1.59,-3.25,-3.75,-5.44,-7.56,-6.69,-4.12,-2.66,-2.22,0.44,5.12,9.41,11.72,13.06,14.75,15.0,11.59,6.97,4.94,4.25,2.75,0.81,1.0,2.56,1.94,-1.28,-4.59,-6.72,-9.22,-13.69,-17.44,-17.5,-15.78,-15.38,-14.59,-11.03,-6.53,-3.81,-3.0,-0.66,3.28,6.5,7.34,9.25,12.91,16.09,15.81,14.66,14.44,13.69,10.31,4.97,1.81,-0.09,-2.72,-5.94,-6.47,-3.75,-1.06,-0.28,0.0,1.75,2.28,-0.22,-3.22,-3.5,-2.09,-1.25,-0.69,2.16,6.84,9.91,10.56,11.09,13.38,14.53,12.88,11.22,11.28,11.41,24.66,26.0,27.97,28.44,28.5,29.25,30.0,29.66,28.03,27.5,28.41,28.81,27.53,26.72,27.31,27.81,26.72,26.0,26.53,28.03,29.0,30.28,32.19,34.81,36.22,35.28,34.28,34.25:9.72,12.59,13.34,12.84,13.72,16.06,17.47,16.62,16.56,17.94,18.38,16.38,14.38,14.34,15.25,13.88,11.75,11.31,12.06,11.19,9.22,8.94,11.19,12.47,12.12,12.19,14.12,16.03,15.31,14.44,15.88,17.72,17.53,16.19,16.44,17.56,17.0,14.81,13.22,13.59,13.09,9.94,7.34,7.19,7.19,5.34,3.62,4.44,6.25,6.22,4.94,5.22,6.84,6.94,5.03,3.75,4.97,5.88,5.03,4.91,6.88,9.59,10.12,9.53,10.53,12.25,11.84,9.44,8.03,8.5,7.72,4.81,3.25,4.72,6.19,5.44,4.09,4.34,4.59,2.5,-0.19,-0.56,0.59,0.53,-0.31,-0.19,1.66,2.81,1.62,0.78,2.12,3.44,2.72,1.56,2.72,4.94,4.44,2.66,2.16,2.59,1.53,-1.16,-2.75,-2.06,-2.0,-4.0,-5.81,-5.44,-4.69,-6.12,-8.09,-7.41,-5.59,-5.19,-5.12,-3.66,-0.69,0.81,0.06,-0.81,-0.25,0.19,-1.53,-2.66,-0.81,1.72,2.41,2.03,3.0,4.69,4.69,3.62,3.66,5.91,6.94,5.88,4.97,6.12,6.88,5.59,3.88,4.41,5.41,4.56,2.59,1.62,2.0,1.06,-1.59,-3.34,-2.22,-1.31,-2.34,-2.94,-0.88,1.12,0.72,-0.53,0.03,0.94,-0.09,-2.41,-3.12,-1.94,-1.53,-3.0,-3.62,-2.31,-1.53,-2.31,-3.0,-0.5,3.06,4.47,4.69,6.38,8.69,9.19,8.19,8.56,10.84,12.31,11.94,11.91,14.09,15.81,14.59,12.25,12.03,12.28,10.72,8.47,8.66,10.0,10.16,8.81,8.53,9.91,10.47,8.78,7.12,7.69,7.69,5.06,1.03,-1.19,-3.0,-6.69,-10.91,-12.44,-11.91,-11.94,-13.19,-12.94,-10.97,-9.34,-10.34,-11.66,-10.19,-8.5,-8.59,-9.22,-7.72,-5.16,-4.03,-4.16,-2.66,0.16,1.44,0.25,-1.16,-0.16,0.28,-1.28,-2.38,-0.5,1.88,2.56,2.38,3.91,6.25,6.66,5.19,4.22,5.06,5.03,3.16,2.03,3.16,4.56,3.62,2.41,3.19,4.97,4.5,2.88,2.75,3.62,3.47,1.25,0.56,2.22,3.34,2.5,2.38,4.5,7.47,8.22,8.03,9.84,11.84,11.75,10.28,10.25,11.69,11.81,9.75,8.44,9.38,10.22,8.78,7.5,8.56,10.5,10.66,10.22,11.81,14.62,15.31,14.03,13.47,14.12,13.66,10.34,7.16,6.5,5.81,3.56,1.59,2.78,5.06,5.66,5.0,5.72,7.16,7.34,5.69,5.44,7.56,9.97,10.03,10.5,12.84,14.84,14.03,11.97,11.47,11.44,9.0,4.59,2.41,1.81,1.31,-0.56,-0.94,0.62,1.53,-0.09,-1.06,0.47,2.59,2.78,2.16,3.25,5.91,6.72,6.34,7.44,9.78,10.25,8.12,6.44,7.09,8.19,7.88,8.47,11.91,15.97,17.06,16.41,16.09,16.19,14.09,9.88,7.19,6.69,6.75,4.94,4.84,7.53,10.91,11.28,11.22,11.84,12.47,10.53,7.31,6.19,7.06,7.19,5.84,5.78,8.12,10.19,10.25,10.62,12.91,15.34,15.31,14.12,14.5,16.0,15.44,13.34,12.41,12.91,12.22,9.0,6.72,6.94,7.59,6.41,5.66,7.5,9.84,9.25,7.72,7.81,9.41,9.94,9.81,11.31,14.44,16.72,16.34,15.19,15.78,16.81,15.06,13.16,13.78,15.47,14.72,12.53,11.59,11.97,10.81,8.19,7.16,8.56,9.84,9.0,8.44,10.47,12.59,12.53,11.53,12.56,14.62,14.34,12.59,12.59,14.62,16.34,16.19,17.19,19.91,21.19,18.53,14.25,11.31,9.25,4.91,1.28,0.69,3.03,3.97,3.66,4.06,5.78,5.91,3.69,2.12,3.44,5.72,5.88,6.03,8.22,11.19,11.47,10.19,10.47,12.22,11.81,9.38,7.78,8.28,8.31,6.28,4.97,6.09,6.66,4.41,1.34,0.44,1.03,-0.03,-1.53,-1.12,1.31,2.41,1.62,2.0,4.53,6.31,5.94,5.47,7.53,9.66,9.75,9.59,11.31,14.22,14.41,13.0,12.06,12.88,12.22,9.56,7.12,6.62,5.66,2.12,-0.84,-0.5,1.66,2.78,3.0,5.06,8.16,8.66,6.81,5.81,6.5,6.66,4.47,3.62,5.41,7.34,7.16,6.59,8.03,10.41,11.0,10.0,10.94,13.16,13.34,11.06,9.22,9.38,8.44,5.22,2.03,1.66,2.0,0.44,-1.38,-0.47,1.91,3.12,3.72,6.53,12.06,16.22,18.62,20.62,24.72,27.28,26.03,23.75,22.94,22.28,18.94,14.75,13.03,12.97,11.56,9.03,8.22,9.62,9.41,7.0,4.47,4.44,4.5,2.66,1.19,2.66,5.16,5.78,5.44,6.78,9.31,10.19,8.66,7.78,8.47,7.78,4.5,1.12,0.31,-0.28,-3.25,-6.28,-6.47,-5.53,-5.94,-7.5,-7.25,-4.75,-3.59,-4.12,-3.75,-0.75,1.69,2.03,1.44,3.41,5.16,4.34,2.34,2.47,3.84,3.94,2.5,2.97,5.62,6.88,5.94,4.84,5.94,6.25,4.41,2.41,3.25,5.12,5.19,4.31,5.03,7.06,7.41,5.97,6.16,8.22,9.66,8.22,7.09,8.66,10.03,9.28,8.12,8.69,9.47,8.47,5.56,4.34,5.06,4.38,2.16,0.97,2.75,3.91,2.69,0.97,1.66,2.25,0.91,-1.09,-0.16,2.16,3.22,2.88,4.06,6.75,8.12,6.41,5.28,6.25,7.06,6.03,5.16,6.88,9.62,10.12,9.22,9.72,11.38,10.84,8.12,6.38,6.44,6.19,4.47,3.47,5.56,8.28,8.59,7.41,8.44,9.25,8.25,6.06,6.0,7.25,7.22,4.91,3.16,3.25,2.5,-0.19,-2.56,-2.53,-1.88,-3.12,-4.53,-3.5,-0.97,0.41,0.72,2.81,6.84,9.91,10.59,10.91,12.75,13.81,12.09,9.81,9.84,10.28,7.81,4.22,1.78,0.72,-1.44,-5.16,-7.34,-7.28,-7.53,-9.75,-10.38,-7.88,-4.44,-2.91,-1.66,1.81,5.84,7.78,8.41,10.44,13.69,15.47,15.22,15.81,17.88,19.53,18.0,15.72,15.5,15.28,11.91,7.72,5.53,4.97,2.88,-0.03,-0.97,-0.16,-0.56,-2.59,-3.5,-1.28,1.94,2.84,4.84,9.19,14.66,17.91,19.81,22.16,24.53,23.66,19.97,16.59,15.0,12.69,8.22,4.84,3.97,3.56,0.97,-1.25,-1.34,-0.25,-0.88,-2.38,-2.28,-0.84,-0.47,-1.66,-1.44,1.28,3.78,4.06,4.75,7.38,10.47,11.06,10.88,12.59,15.25,15.94,14.81,14.5,15.53,14.88,11.69,9.34,9.5,9.94,8.09,6.25,7.28,8.66,7.34,5.94,6.16,7.56,7.22,5.09,3.94,4.44,4.72,3.19,2.69,4.69,6.81,6.56,5.81,7.06,9.41,9.44,8.41,9.06,10.94,11.12,9.16,7.88,7.91,7.06,3.5,-0.12,-1.25,-1.59,-3.34,-4.94,-4.12,-1.34,-0.31,-0.38,0.88,4.06,6.25,6.41,6.84,9.44,11.22,10.22,8.56,8.62,8.75,6.81,3.88,2.47,2.44,0.53,-2.09,-2.91,-0.97,1.16,1.66,2.12,4.22,5.56,4.06,2.47,2.91,4.5,4.38,3.22,3.62,5.62,6.06,4.88,4.41,6.31,7.75,6.69,6.09,7.25,8.25,6.41,3.5,2.59,2.47,0.84,-1.44,-1.69,0.19,1.53,1.59,2.31,5.94,9.25,10.09,10.62,12.91,14.78,14.25,12.59,12.88,14.44,13.94,11.94,10.66,10.97,9.94,6.84,3.78,2.75,1.5,-1.72,-5.19,-5.66,-4.28,-3.84,-3.47,-1.0,3.06,5.44,5.62,6.28,8.91,10.56,9.47,7.75,7.81,7.41,4.25,0.59,-0.5,-0.03,-0.25,-0.78,0.88,4.66,7.19,7.22,7.34,9.28,10.5,9.06,6.94,7.56,8.03,5.91,3.12,2.22,2.44,1.25,-0.56,-1.06,1.28,3.28,3.47,3.91,6.41,9.03,9.5,8.88,10.38,11.62,10.09,6.81,5.06,5.97,6.88,7.53,10.72,16.5,21.69,23.75,24.38,25.09,23.59,17.56,9.38,2.41,-3.06,-8.62,-13.59,-15.12,-13.72,-11.78,-10.91,-8.84,-4.56,-0.94,0.5,1.03,3.69,7.59,10.0,12.19,17.47,24.38,29.12,31.38,32.44,32.53,29.19,21.5,12.53,6.25,0.84,-5.09,-9.59,-9.59,-7.5,-6.53,-6.41,-4.81,-1.62,0.03,0.25,1.0,3.69,5.75,5.0,4.41,6.53,9.28,10.16,10.03,11.78,14.09,14.69,13.03,12.78,13.81,13.62,10.69,8.06,7.59,6.28,2.59,-1.59,-3.25,-3.75,-5.44,-7.56,-6.69,-4.12,-2.66,-2.22,0.44,5.12,9.41,11.72,13.06,14.75,15.0,11.59,6.97,4.94,4.25,2.75,0.81,1.0,2.56,1.94,-1.28,-4.59,-6.72,-9.22,-13.69,-17.44,-17.5,-15.78,-15.38,-14.59,-11.03,-6.53,-3.81,-3.0,-0.66,3.28,6.5,7.34,9.25,12.91,16.09,15.81,14.66,14.44,13.69,10.31,4.97,1.81,-0.09,-2.72,-5.94,-6.47,-3.75,-1.06,-0.28,0.0,1.75,2.28,-0.22,-3.22,-3.5,-2.09,-1.25,-0.69,2.16,6.84,9.91,10.56,11.09,13.38,14.53,12.88,11.22,11.28,11.41,24.66,26.0,27.97,28.44,28.5,29.25,30.0,29.66,28.03,27.5,28.41,28.81,27.53,26.72,27.31,27.81,26.72,26.0,26.53,28.03,29.0,30.28,32.19,34.81,36.22,35.28,34.28,34.25,33.5,31.19,29.34,29.38,30.28,30.19,30.38:16.62,16.56,17.94,18.38,16.38,14.38,14.34,15.25,13.88,11.75,11.31,12.06,11.19,9.22,8.94,11.19,12.47,12.12,12.19,14.12,16.03,15.31,14.44,15.88,17.72,17.53,16.19,16.44,17.56,17.0,14.81,13.22,13.59,13.09,9.94,7.34,7.19,7.19,5.34,3.62,4.44,6.25,6.22,4.94,5.22,6.84,6.94,5.03,3.75,4.97,5.88,5.03,4.91,6.88,9.59,10.12,9.53,10.53,12.25,11.84,9.44,8.03,8.5,7.72,4.81,3.25,4.72,6.19,5.44,4.09,4.34,4.59,2.5,-0.19,-0.56,0.59,0.53,-0.31,-0.19,1.66,2.81,1.62,0.78,2.12,3.44,2.72,1.56,2.72,4.94,4.44,2.66,2.16,2.59,1.53,-1.16,-2.75,-2.06,-2.0,-4.0,-5.81,-5.44,-4.69,-6.12,-8.09,-7.41,-5.59,-5.19,-5.12,-3.66,-0.69,0.81,0.06,-0.81,-0.25,0.19,-1.53,-2.66,-0.81,1.72,2.41,2.03,3.0,4.69,4.69,3.62,3.66,5.91,6.94,5.88,4.97,6.12,6.88,5.59,3.88,4.41,5.41,4.56,2.59,1.62,2.0,1.06,-1.59,-3.34,-2.22,-1.31,-2.34,-2.94,-0.88,1.12,0.72,-0.53,0.03,0.94,-0.09,-2.41,-3.12,-1.94,-1.53,-3.0,-3.62,-2.31,-1.53,-2.31,-3.0,-0.5,3.06,4.47,4.69,6.38,8.69,9.19,8.19,8.56,10.84,12.31,11.94,11.91,14.09,15.81,14.59,12.25,12.03,12.28,10.72,8.47,8.66,10.0,10.16,8.81,8.53,9.91,10.47,8.78,7.12,7.69,7.69,5.06,1.03,-1.19,-3.0,-6.69,-10.91,-12.44,-11.91,-11.94,-13.19,-12.94,-10.97,-9.34,-10.34,-11.66,-10.19,-8.5,-8.59,-9.22,-7.72,-5.16,-4.03,-4.16,-2.66,0.16,1.44,0.25,-1.16,-0.16,0.28,-1.28,-2.38,-0.5,1.88,2.56,2.38,3.91,6.25,6.66,5.19,4.22,5.06,5.03,3.16,2.03,3.16,4.56,3.62,2.41,3.19,4.97,4.5,2.88,2.75,3.62,3.47,1.25,0.56,2.22,3.34,2.5,2.38,4.5,7.47,8.22,8.03,9.84,11.84,11.75,10.28,10.25,11.69,11.81,9.75,8.44,9.38,10.22,8.78,7.5,8.56,10.5,10.66,10.22,11.81,14.62,15.31,14.03,13.47,14.12,13.66,10.34,7.16,6.5,5.81,3.56,1.59,2.78,5.06,5.66,5.0,5.72,7.16,7.34,5.69,5.44,7.56,9.97,10.03,10.5,12.84,14.84,14.03,11.97,11.47,11.44,9.0,4.59,2.41,1.81,1.31,-0.56,-0.94,0.62,1.53,-0.09,-1.06,0.47,2.59,2.78,2.16,3.25,5.91,6.72,6.34,7.44,9.78,10.25,8.12,6.44,7.09,8.19,7.88,8.47,11.91,15.97,17.06,16.41,16.09,16.19,14.09,9.88,7.19,6.69,6.75,4.94,4.84,7.53,10.91,11.28,11.22,11.84,12.47,10.53,7.31,6.19,7.06,7.19,5.84,5.78,8.12,10.19,10.25,10.62,12.91,15.34,15.31,14.12,14.5,16.0,15.44,13.34,12.41,12.91,12.22,9.0,6.72,6.94,7.59,6.41,5.66,7.5,9.84,9.25,7.72,7.81,9.41,9.94,9.81,11.31,14.44,16.72,16.34,15.19,15.78,16.81,15.06,13.16,13.78,15.47,14.72,12.53,11.59,11.97,10.81,8.19,7.16,8.56,9.84,9.0,8.44,10.47,12.59,12.53,11.53,12.56,14.62,14.34,12.59,12.59,14.62,16.34,16.19,17.19,19.91,21.19,18.53,14.25,11.31,9.25,4.91,1.28,0.69,3.03,3.97,3.66,4.06,5.78,5.91,3.69,2.12,3.44,5.72,5.88,6.03,8.22,11.19,11.47,10.19,10.47,12.22,11.81,9.38,7.78,8.28,8.31,6.28,4.97,6.09,6.66,4.41,1.34,0.44,1.03,-0.03,-1.53,-1.12,1.31,2.41,1.62,2.0,4.53,6.31,5.94,5.47,7.53,9.66,9.75,9.59,11.31,14.22,14.41,13.0,12.06,12.88,12.22,9.56,7.12,6.62,5.66,2.12,-0.84,-0.5,1.66,2.78,3.0,5.06,8.16,8.66,6.81,5.81,6.5,6.66,4.47,3.62,5.41,7.34,7.16,6.59,8.03,10.41,11.0,10.0,10.94,13.16,13.34,11.06,9.22,9.38,8.44,5.22,2.03,1.66,2.0,0.44,-1.38,-0.47,1.91,3.12,3.72,6.53,12.06,16.22,18.62,20.62,24.72,27.28,26.03,23.75,22.94,22.28,18.94,14.75,13.03,12.97,11.56,9.03,8.22,9.62,9.41,7.0,4.47,4.44,4.5,2.66,1.19,2.66,5.16,5.78,5.44,6.78,9.31,10.19,8.66,7.78,8.47,7.78,4.5,1.12,0.31,-0.28,-3.25,-6.28,-6.47,-5.53,-5.94,-7.5,-7.25,-4.75,-3.59,-4.12,-3.75,-0.75,1.69,2.03,1.44,3.41,5.16,4.34,2.34,2.47,3.84,3.94,2.5,2.97,5.62,6.88,5.94,4.84,5.94,6.25,4.41,2.41,3.25,5.12,5.19,4.31,5.03,7.06,7.41,5.97,6.16,8.22,9.66,8.22,7.09,8.66,10.03,9.28,8.12,8.69,9.47,8.47,5.56,4.34,5.06,4.38,2.16,0.97,2.75,3.91,2.69,0.97,1.66,2.25,0.91,-1.09,-0.16,2.16,3.22,2.88,4.06,6.75,8.12,6.41,5.28,6.25,7.06,6.03,5.16,6.88,9.62,10.12,9.22,9.72,11.38,10.84,8.12,6.38,6.44,6.19,4.47,3.47,5.56,8.28,8.59,7.41,8.44,9.25,8.25,6.06,6.0,7.25,7.22,4.91,3.16,3.25,2.5,-0.19,-2.56,-2.53,-1.88,-3.12,-4.53,-3.5,-0.97,0.41,0.72,2.81,6.84,9.91,10.59,10.91,12.75,13.81,12.09,9.81,9.84,10.28,7.81,4.22,1.78,0.72,-1.44,-5.16,-7.34,-7.28,-7.53,-9.75,-10.38,-7.88,-4.44,-2.91,-1.66,1.81,5.84,7.78,8.41,10.44,13.69,15.47,15.22,15.81,17.88,19.53,18.0,15.72,15.5,15.28,11.91,7.72,5.53,4.97,2.88,-0.03,-0.97,-0.16,-0.56,-2.59,-3.5,-1.28,1.94,2.84,4.84,9.19,14.66,17.91,19.81,22.16,24.53,23.66,19.97,16.59,15.0,12.69,8.22,4.84,3.97,3.56,0.97,-1.25,-1.34,-0.25,-0.88,-2.38,-2.28,-0.84,-0.47,-1.66,-1.44,1.28,3.78,4.06,4.75,7.38,10.47,11.06,10.88,12.59,15.25,15.94,14.81,14.5,15.53,14.88,11.69,9.34,9.5,9.94,8.09,6.25,7.28,8.66,7.34,5.94,6.16,7.56,7.22,5.09,3.94,4.44,4.72,3.19,2.69,4.69,6.81,6.56,5.81,7.06,9.41,9.44,8.41,9.06,10.94,11.12,9.16,7.88,7.91,7.06,3.5,-0.12,-1.25,-1.59,-3.34,-4.94,-4.12,-1.34,-0.31,-0.38,0.88,4.06,6.25,6.41,6.84,9.44,11.22,10.22,8.56,8.62,8.75,6.81,3.88,2.47,2.44,0.53,-2.09,-2.91,-0.97,1.16,1.66,2.12,4.22,5.56,4.06,2.47,2.91,4.5,4.38,3.22,3.62,5.62,6.06,4.88,4.41,6.31,7.75,6.69,6.09,7.25,8.25,6.41,3.5,2.59,2.47,0.84,-1.44,-1.69,0.19,1.53,1.59,2.31,5.94,9.25,10.09,10.62,12.91,14.78,14.25,12.59,12.88,14.44,13.94,11.94,10.66,10.97,9.94,6.84,3.78,2.75,1.5,-1.72,-5.19,-5.66,-4.28,-3.84,-3.47,-1.0,3.06,5.44,5.62,6.28,8.91,10.56,9.47,7.75,7.81,7.41,4.25,0.59,-0.5,-0.03,-0.25,-0.78,0.88,4.66,7.19,7.22,7.34,9.28,10.5,9.06,6.94,7.56,8.03,5.91,3.12,2.22,2.44,1.25,-0.56,-1.06,1.28,3.28,3.47,3.91,6.41,9.03,9.5,8.88,10.38,11.62,10.09,6.81,5.06,5.97,6.88,7.53,10.72,16.5,21.69,23.75,24.38,25.09,23.59,17.56,9.38,2.41,-3.06,-8.62,-13.59,-15.12,-13.72,-11.78,-10.91,-8.84,-4.56,-0.94,0.5,1.03,3.69,7.59,10.0,12.19,17.47,24.38,29.12,31.38,32.44,32.53,29.19,21.5,12.53,6.25,0.84,-5.09,-9.59,-9.59,-7.5,-6.53,-6.41,-4.81,-1.62,0.03,0.25,1.0,3.69,5.75,5.0,4.41,6.53,9.28,10.16,10.03,11.78,14.09,14.69,13.03,12.78,13.81,13.62,10.69,8.06,7.59,6.28,2.59,-1.59,-3.25,-3.75,-5.44,-7.56,-6.69,-4.12,-2.66,-2.22,0.44,5.12,9.41,11.72,13.06,14.75,15.0,11.59,6.97,4.94,4.25,2.75,0.81,1.0,2.56,1.94,-1.28,-4.59,-6.72,-9.22,-13.69,-17.44,-17.5,-15.78,-15.38,-14.59,-11.03,-6.53,-3.81,-3.0,-0.66,3.28,6.5,7.34,9.25,12.91,16.09,15.81,14.66,14.44,13.69,10.31,4.97,1.81,-0.09,-2.72,-5.94,-6.47,-3.75,-1.06,-0.28,0.0,1.75,2.28,-0.22,-3.22,-3.5,-2.09,-1.25,-0.69,2.16,6.84,9.91,10.56,11.09,13.38,14.53,12.88,11.22,11.28,11.41,24.66,26.0,27.97,28.44,28.5,29.25,30.0,29.66,28.03,27.5,28.41,28.81,27.53,26.72,27.31,27.81,26.72,26.0,26.53,28.03,29.0,30.28,32.19,34.81,36.22,35.28,34.28,34.25,33.5,31.19,29.34,29.38,30.28,30.19,30.38,31.84,33.75,33.81,33.19,33.5,35.19,36.47:negativity
11.97,12.56,11.0,8.66,8.53,9.59,9.12,8.09,8.22,10.12,10.31,8.09,6.38,7.66,8.66,7.59,6.84,8.62,10.5,9.91,8.12,8.28,9.38,8.22,5.81,4.72,5.34,4.94,2.72,1.06,2.56,4.44,4.53,4.66,7.22,9.97,10.25,8.91,9.22,11.56,12.81,12.69,14.0,16.59,17.5,15.19,12.16,11.25,10.25,7.09,3.44,2.81,3.12,1.84,-0.31,-0.25,1.66,2.78,2.06,2.47,5.06,7.19,7.06,6.97,9.84,12.72,13.0,11.88,12.22,12.81,11.12,7.94,6.72,7.62,7.88,5.94,4.5,5.41,5.72,3.81,1.66,2.75,3.66,3.22,2.16,3.28,5.53,6.12,4.44,3.72,5.16,5.53,4.12,3.56,5.59,7.53,6.97,5.62,7.19,8.88,8.81,7.56,8.47,10.38,10.47,8.47,7.06,7.41,6.78,3.38,0.5,0.03,0.22,-1.84,-4.12,-3.84,-2.47,-3.0,-5.0,-5.22,-3.94,-3.94,-5.31,-5.88,-4.06,-2.31,-3.19,-4.91,-4.28,-3.28,-4.78,-7.28,-6.91,-4.81,-4.25,-4.59,-3.41,-0.34,1.66,1.28,1.34,3.47,5.0,3.44,1.5,1.5,2.44,1.28,-1.28,-1.06,0.09,-0.66,-3.31,-4.62,-3.69,-3.28,-4.41,-3.62,0.38,4.94,7.06,8.25,11.38,14.31,14.62,12.75,12.47,13.34,12.28,8.81,6.84,6.81,5.84,2.53,-0.03,0.28,1.25,0.41,-0.25,1.41,4.5,5.56,5.28,6.12,8.75,9.69,8.06,7.16,8.25,8.88,6.28,3.56,3.44,4.03,2.47,0.56,1.47,4.31,5.53,5.59,7.19,10.66,12.5,11.69,11.12,12.19,13.0,11.34,9.25,9.81,10.69,9.47,6.25,4.91,4.72,3.03,-0.28,-1.53,-0.31,0.75,-0.19,-1.03,-0.03,0.91,-0.66,-2.88,-1.94,0.44,1.16,0.84,1.97,5.34,6.88,5.97,5.88,7.34,7.44,4.41,1.25,0.62,0.78,-1.25,-3.59,-2.97,-1.03,-1.31,-3.28,-3.81,-2.75,-2.53,-4.06,-3.97,-1.34,1.25,1.12,1.44,4.03,7.38,8.28,8.22,10.34,13.44,14.19,12.72,11.97,12.25,10.97,7.16,4.34,3.88,3.31,0.19,-2.97,-3.56,-2.69,-3.75,-5.53,-5.59,-4.09,-4.56,-6.53,-6.62,-3.66,-0.78,-0.22,0.88,4.44,7.38,7.34,7.09,8.69,11.5,12.28,11.69,12.22,14.0,13.53,10.09,6.72,5.41,3.59,-0.72,-4.44,-5.19,-5.81,-9.22,-13.72,-16.25,-17.5,-20.16,-22.94,-22.53,-18.97,-14.81,-12.59,-9.19,-3.38,0.91,1.78,2.25,4.84,8.16,9.25,9.75,12.16,16.09,17.53,16.78,15.75,16.03,14.31,9.53,5.0,3.53,2.44,-0.69,-3.5,-3.09,-1.56,-2.0,-2.88,-1.75,0.75,1.16,-0.81,-2.03,-1.75,-1.78,-3.78,-4.66,-2.28,0.41,-0.03,-1.12,-0.75,0.59,-0.66,-3.09,-3.56,-1.72,-0.75,-1.31,-0.38,2.72,4.34,2.34,-0.5,-0.72,-0.88,-2.66,-4.5,-3.47,-0.69,0.53,0.78,2.72,6.72,8.91,8.69,8.53,10.34,10.97,8.72,5.72,5.38,5.72,4.09,2.53,3.53,6.78,8.0,7.16,7.0,9.12,9.62,7.47,5.72,6.56,7.12,4.84,3.03,3.97,5.97,5.62,4.44,5.19,7.22,7.0,4.84,3.0,3.84,4.09,2.34,1.44,3.84,6.59,6.81,6.38,8.75,12.0,12.69,11.34,11.5,12.31,11.16,8.31,6.56,7.94,9.25,8.19,7.16,8.56,9.66,7.81,4.59,3.75,3.97,2.03,-1.16,-2.41,-1.25,-1.12,-2.5,-2.66,-0.12,1.88,1.16,0.22,1.31,3.09,2.19,1.34,3.31,6.47,7.94,6.97,6.72,7.69,7.0,3.69,1.81,2.56,3.47,2.0,0.12,0.84,2.06,1.0,-1.09,-1.03,0.78,1.19,-0.19,0.12,2.91,4.78,4.03,3.91,6.94,9.94,10.66,10.94,13.16,15.38,14.59,12.34,11.34,12.75,12.59,10.44,9.72,11.25,11.62,9.16,6.91,7.47,8.97,8.94,9.41,12.69,17.25,19.12,18.78,19.0,20.09,19.38,15.97,13.19,13.0,12.38,9.19,6.69,7.12,8.38,7.31,5.5,5.94,7.56,7.5,6.16,7.31,10.81,13.19,13.16,13.41,15.38,15.88,13.12,9.81,8.72,8.81,7.72,5.78,6.5,8.94,9.09,7.91,8.31,10.88,13.09,13.06,13.25,15.25,17.09,15.81,13.53,13.28,13.88,12.25,9.12,8.22,9.19,9.19,7.75,7.97,10.56,12.19,10.84,9.53,10.59,12.0,11.03,10.03,11.47,14.25,15.0,14.0,14.47,16.03,16.19,13.66,11.59,11.56,10.88,7.59,4.81,5.31,6.75,7.0,6.44,8.53,11.88,13.41,12.38,13.03,15.34,16.44,15.59,15.5,17.97,19.75,18.28,16.84,17.38,18.5,17.31,15.38,16.25,18.75,20.09,20.19,21.06,23.84,25.31,23.81,22.81,24.25,25.5,24.12,21.62,21.09,21.09,19.19,16.19,15.41,15.84,15.03,12.06,10.47,11.03,11.47,9.91,8.81,10.81,13.0,12.66,11.75,12.72,14.28,13.62,11.56,11.78,14.09,14.97,13.81,13.41,15.09,16.28,14.69,13.5,15.09,16.94,16.56,15.81,17.19,19.75,20.03,18.59,17.78,18.97,18.91,16.38,15.31,16.66,17.66,16.22,14.88,15.94,17.91,17.34,16.16,17.06,19.78,20.66,19.84,20.31,22.66,23.47,21.66,20.19,21.0,21.94,20.38,19.06,20.41,22.72,22.59,21.19,21.28,22.19,21.81,19.12,17.91,19.19,19.81,17.97,16.41,17.06,17.19,14.09,9.81,7.41,6.12,3.41,0.44,0.28,2.97,4.56,4.59,5.38,8.06,10.59,10.81,10.62,12.75,15.16,14.25,12.34,12.16,12.97,11.91,9.22,8.53,9.25,9.81,8.12,7.5,9.5,11.41,10.88,10.44,12.44,14.75,14.22,12.31,11.44,11.53,10.12,7.19,6.53,8.75,10.56,10.59,11.28,14.12,16.75,16.62,15.94,17.06,18.69,18.28,16.53,15.97,16.72,15.44,11.75,8.72,8.09,7.84,5.59,4.66,6.78,9.28,9.28,8.81,10.06,11.75,10.72,8.0,6.53,7.31,7.41,6.31,6.91,9.97,12.81,12.69,12.69,15.16,17.91,18.75,18.78,20.62,23.03,23.06,20.91,19.41,19.28,18.09,14.62,12.28,12.91,13.81,12.81,11.97,13.38,15.16,14.0,12.12,11.97,13.31,13.0,11.28,10.75,12.91,14.69,14.22,14.38,16.25,17.31,14.56,11.28,10.19,10.59,9.81,8.47,9.34,11.81,12.34,10.88,9.91,11.19,11.88,9.97,8.59,9.44,10.84,10.19,9.38,11.19,14.38,16.5,17.41,20.0,25.06,28.34,29.09,30.09,32.25,33.0,30.41,27.12,25.91,25.09,22.34,19.56,19.59,21.56,22.19,21.78,22.91,25.69,26.75,24.72,22.91,22.03,20.53,16.53,12.62,11.78,12.28,11.72,11.19,13.59,18.62,22.16,23.84,25.84,27.91,27.5,23.28,18.88,16.69,15.19,12.03,9.44,9.94,12.09,12.88,13.03,14.97,18.69,21.0,21.66,23.19,26.97,29.44,28.94,27.78,28.31,28.34,25.97,23.0,22.34,22.72,21.06,17.88,16.19,16.19,15.25,12.62,10.53,11.25,11.78,10.75,10.22,13.28,17.03,19.06,20.12,22.31,24.88,24.78,22.84,21.25,21.62,20.97,18.09,15.38,14.94,13.78,10.5,7.31,6.78,7.81,7.06,6.06,7.06,9.75,11.16,10.53,10.44,11.94,12.0,9.41,7.31,8.53,10.16,10.12,9.78,12.53,16.19,17.47,17.47,18.66,20.56,20.12,17.59,15.97,15.91,15.47,12.72,10.41,11.0,12.38,12.03,11.72,13.59,16.62,17.91,17.59,18.41,21.5,22.84,22.03,21.38,22.59,22.84,20.19,17.53,17.53,18.41,17.47,15.5,15.94,17.62,17.5,14.81,12.84,11.78,9.69,5.53,2.5,3.22,4.44,4.12,3.94,6.31,10.25,11.91,12.22,13.88,15.91,15.97,13.69,12.12,12.88,13.62,12.84,12.78,15.59,18.59,18.28,17.12,17.97,19.25,18.09,15.69,14.75,15.34,14.97,13.22,12.72,14.75,16.09,14.78,13.44,14.41,15.38,13.88,11.66,11.5,12.5,12.09,10.66,11.06,13.03,13.97,12.34,11.44,12.5,13.41,11.84,10.41,11.41,13.12,12.53,10.88,11.0,12.59,12.69,11.16,11.34,13.94,16.03,15.84,15.91,18.03,19.66,18.5,17.0,18.0,19.75,19.69,18.44,19.0,20.03,19.25,16.47,14.56,14.88,14.72,12.25,10.16,10.53,10.72,8.88,7.16,8.12,10.25,9.75,7.88,7.78,8.5,8.75,7.31,6.91,8.44,9.88,8.25,6.56,7.47,8.97,8.16,6.66,7.81,10.06,10.56,8.94,9.0,10.41,9.59,6.5,4.69,5.31,6.31,5.69,5.41,7.88,10.28,10.69,9.81,11.09,13.41,13.78,12.0,11.5,12.34,11.59,8.28,5.91,5.94,6.12,4.53,2.84,3.72,4.94,3.88,1.28,0.31,1.41,1.19,-0.38,-0.22,1.78,2.88,0.91,-0.72,-0.16,1.0,-0.25,-1.47,-0.31,2.19,2.53,1.38,1.97,3.66,3.84,1.47,0.62,1.97,3.16,2.09,0.28,0.5,0.72,-1.5,-4.09,-3.38,-0.47,0.88,1.03,2.84,5.91,7.31,6.19,5.03,5.81,6.06,3.5,0.84:8.09,8.22,10.12,10.31,8.09,6.38,7.66,8.66,7.59,6.84,8.62,10.5,9.91,8.12,8.28,9.38,8.22,5.81,4.72,5.34,4.94,2.72,1.06,2.56,4.44,4.53,4.66,7.22,9.97,10.25,8.91,9.22,11.56,12.81,12.69,14.0,16.59,17.5,15.19,12.16,11.25,10.25,7.09,3.44,2.81,3.12,1.84,-0.31,-0.25,1.66,2.78,2.06,2.47,5.06,7.19,7.06,6.97,9.84,12.72,13.0,11.88,12.22,12.81,11.12,7.94,6.72,7.62,7.88,5.94,4.5,5.41,5.72,3.81,1.66,2.75,3.66,3.22,2.16,3.28,5.53,6.12,4.44,3.72,5.16,5.53,4.12,3.56,5.59,7.53,6.97,5.62,7.19,8.88,8.81,7.56,8.47,10.38,10.47,8.47,7.06,7.41,6.78,3.38,0.5,0.03,0.22,-1.84,-4.12,-3.84,-2.47,-3.0,-5.0,-5.22,-3.94,-3.94,-5.31,-5.88,-4.06,-2.31,-3.19,-4.91,-4.28,-3.28,-4.78,-7.28,-6.91,-4.81,-4.25,-4.59,-3.41,-0.34,1.66,1.28,1.34,3.47,5.0,3.44,1.5,1.5,2.44,1.28,-1.28,-1.06,0.09,-0.66,-3.31,-4.62,-3.69,-3.28,-4.41,-3.62,0.38,4.94,7.06,8.25,11.38,14.31,14.62,12.75,12.47,13.34,12.28,8.81,6.84,6.81,5.84,2.53,-0.03,0.28,1.25,0.41,-0.25,1.41,4.5,5.56,5.28,6.12,8.75,9.69,8.06,7.16,8.25,8.88,6.28,3.56,3.44,4.03,2.47,0.56,1.47,4.31,5.53,5.59,7.19,10.66,12.5,11.69,11.12,12.19,13.0,11.34,9.25,9.81,10.69,9.47,6.25,4.91,4.72,3.03,-0.28,-1.53,-0.31,0.75,-0.19,-1.03,-0.03,0.91,-0.66,-2.88,-1.94,0.44,1.16,0.84,1.97,5.34,6.88,5.97,5.88,7.34,7.44,4.41,1.25,0.62,0.78,-1.25,-3.59,-2.97,-1.03,-1.31,-3.28,-3.81,-2.75,-2.53,-4.06,-3.97,-1.34,1.25,1.12,1.44,4.03,7.38,8.28,8.22,10.34,13.44,14.19,12.72,11.97,12.25,10.97,7.16,4.34,3.88,3.31,0.19,-2.97,-3.56,-2.69,-3.75,-5.53,-5.59,-4.09,-4.56,-6.53,-6.62,-3.66,-0.78,-0.22,0.88,4.44,7.38,7.34,7.09,8.69,11.5,12.28,11.69,12.22,14.0,13.53,10.09,6.72,5.41,3.59,-0.72,-4.44,-5.19,-5.81,-9.22,-13.72,-16.25,-17.5,-20.16,-22.94,-22.53,-18.97,-14.81,-12.59,-9.19,-3.38,0.91,1.78,2.25,4.84,8.16,9.25,9.75,12.16,16.09,17.53,16.78,15.75,16.03,14.31,9.53,5.0,3.53,2.44,-0.69,-3.5,-3.09,-1.56,-2.0,-2.88,-1.75,0.75,1.16,-0.81,-2.03,-1.75,-1.78,-3.78,-4.66,-2.28,0.41,-0.03,-1.12,-0.75,0.59,-0.66,-3.09,-3.56,-1.72,-0.75,-1.31,-0.38,2.72,4.34,2.34,-0.5,-0.72,-0.88,-2.66,-4.5,-3.47,-0.69,0.53,0.78,2.72,6.72,8.91,8.69,8.53,10.34,10.97,8.72,5.72,5.38,5.72,4.09,2.53,3.53,6.78,8.0,7.16,7.0,9.12,9.62,7.47,5.72,6.56,7.12,4.84,3.03,3.97,5.97,5.62,4.44,5.19,7.22,7.0,4.84,3.0,3.84,4.09,2.34,1.44,3.84,6.59,6.81,6.38,8.75,12.0,12.69,11.34,11.5,12.31,11.16,8.31,6.56,7.94,9.25,8.19,7.16,8.56,9.66,7.81,4.59,3.75,3.97,2.03,-1.16,-2.41,-1.25,-1.12,-2.5,-2.66,-0.12,1.88,1.16,0.22,1.31,3.09,2.19,1.34,3.31,6.47,7.94,6.97,6.72,7.69,7.0,3.69,1.81,2.56,3.47,2.0,0.12,0.84,2.06,1.0,-1.09,-1.03,0.78,1.19,-0.19,0.12,2.91,4.78,4.03,3.91,6.94,9.94,10.66,10.94,13.16,15.38,14.59,12.34,11.34,12.75,12.59,10.44,9.72,11.25,11.62,9.16,6.91,7.47,8.97,8.94,9.41,12.69,17.25,19.12,18.78,19.0,20.09,19.38,15.97,13.19,13.0,12.38,9.19,6.69,7.12,8.38,7.31,5.5,5.94,7.56,7.5,6.16,7.31,10.81,13.19,13.16,13.41,15.38,15.88,13.12,9.81,8.72,8.81,7.72,5.78,6.5,8.94,9.09,7.91,8.31,10.88,13.09,13.06,13.25,15.25,17.09,15.81,13.53,13.28,13.88,12.25,9.12,8.22,9.19,9.19,7.75,7.97,10.56,12.19,10.84,9.53,10.59,12.0,11.03,10.03,11.47,14.25,15.0,14.0,14.47,16.03,16.19,13.66,11.59,11.56,10.88,7.59,4.81,5.31,6.75,7.0,6.44,8.53,11.88,13.41,12.38,13.03,15.34,16.44,15.59,15.5,17.97,19.75,18.28,16.84,17.38,18.5,17.31,15.38,16.25,18.75,20.09,20.19,21.06,23.84,25.31,23.81,22.81,24.25,25.5,24.12,21.62,21.09,21.09,19.19,16.19,15.41,15.84,15.03,12.06,10.47,11.03,11.47,9.91,8.81,10.81,13.0,12.66,11.75,12.72,14.28,13.62,11.56,11.78,14.09,14.97,13.81,13.41,15.09,16.28,14.69,13.5,15.09,16.94,16.56,15.81,17.19,19.75,20.03,18.59,17.78,18.97,18.91,16.38,15.31,16.66,17.66,16.22,14.88,15.94,17.91,17.34,16.16,17.06,19.78,20.66,19.84,20.31,22.66,23.47,21.66,20.19,21.0,21.94,20.38,19.06,20.41,22.72,22.59,21.19,21.28,22.19,21.81,19.12,17.91,19.19,19.81,17.97,16.41,17.06,17.19,14.09,9.81,7.41,6.12,3.41,0.44,0.28,2.97,4.56,4.59,5.38,8.06,10.59,10.81,10.62,12.75,15.16,14.25,12.34,12.16,12.97,11.91,9.22,8.53,9.25,9.81,8.12,7.5,9.5,11.41,10.88,10.44,12.44,14.75,14.22,12.31,11.44,11.53,10.12,7.19,6.53,8.75,10.56,10.59,11.28,14.12,16.75,16.62,15.94,17.06,18.69,18.28,16.53,15.97,16.72,15.44,11.75,8.72,8.09,7.84,5.59,4.66,6.78,9.28,9.28,8.81,10.06,11.75,10.72,8.0,6.53,7.31,7.41,6.31,6.91,9.97,12.81,12.69,12.69,15.16,17.91,18.75,18.78,20.62,23.03,23.06,20.91,19.41,19.28,18.09,14.62,12.28,12.91,13.81,12.81,11.97,13.38,15.16,14.0,12.12,11.97,13.31,13.0,11.28,10.75,12.91,14.69,14.22,14.38,16.25,17.31,14.56,11.28,10.19,10.59,9.81,8.47,9.34,11.81,12.34,10.88,9.91,11.19,11.88,9.97,8.59,9.44,10.84,10.19,9.38,11.19,14.38,16.5,17.41,20.0,25.06,28.34,29.09,30.09,32.25,33.0,30.41,27.12,25.91,25.09,22.34,19.56,19.59,21.56,22.19,21.78,22.91,25.69,26.75,24.72,22.91,22.03,20.53,16.53,12.62,11.78,12.28,11.72,11.19,13.59,18.62,22.16,23.84,25.84,27.91,27.5,23.28,18.88,16.69,15.19,12.03,9.44,9.94,12.09,12.88,13.03,14.97,18.69,21.0,21.66,23.19,26.97,29.44,28.94,27.78,28.31,28.34,25.97,23.0,22.34,22.72,21.06,17.88,16.19,16.19,15.25,12.62,10.53,11.25,11.78,10.75,10.22,13.28,17.03,19.06,20.12,22.31,24.88,24.78,22.84,21.25,21.62,20.97,18.09,15.38,14.94,13.78,10.5,7.31,6.78,7.81,7.06,6.06,7.06,9.75,11.16,10.53,10.44,11.94,12.0,9.41,7.31,8.53,10.16,10.12,9.78,12.53,16.19,17.47,17.47,18.66,20.56,20.12,17.59,15.97,15.91,15.47,12.72,10.41,11.0,12.38,12.03,11.72,13.59,16.62,17.91,17.59,18.41,21.5,22.84,22.03,21.38,22.59,22.84,20.19,17.53,17.53,18.41,17.47,15.5,15.94,17.62,17.5,14.81,12.84,11.78,9.69,5.53,2.5,3.22,4.44,4.12,3.94,6.31,10.25,11.91,12.22,13.88,15.91,15.97,13.69,12.12,12.88,13.62,12.84,12.78,15.59,18.59,18.28,17.12,17.97,19.25,18.09,15.69,14.75,15.34,14.97,13.22,12.72,14.75,16.09,14.78,13.44,14.41,15.38,13.88,11.66,11.5,12.5,12.09,10.66,11.06,13.03,13.97,12.34,11.44,12.5,13.41,11.84,10.41,11.41,13.12,12.53,10.88,11.0,12.59,12.69,11.16,11.34,13.94,16.03,15.84,15.91,18.03,19.66,18.5,17.0,18.0,19.75,19.69,18.44,19.0,20.03,19.25,16.47,14.56,14.88,14.72,12.25,10.16,10.53,10.72,8.88,7.16,8.12,10.25,9.75,7.88,7.78,8.5,8.75,7.31,6.91,8.44,9.88,8.25,6.56,7.47,8.97,8.16,6.66,7.81,10.06,10.56,8.94,9.0,10.41,9.59,6.5,4.69,5.31,6.31,5.69,5.41,7.88,10.28,10.69,9.81,11.09,13.41,13.78,12.0,11.5,12.34,11.59,8.28,5.91,5.94,6.12,4.53,2.84,3.72,4.94,3.88,1.28,0.31,1.41,1.19,-0.38,-0.22,1.78,2.88,0.91,-0.72,-0.16,1.0,-0.25,-1.47,-0.31,2.19,2.53,1.38,1.97,3.66,3.84,1.47,0.62,1.97,3.16,2.09,0.28,0.5,0.72,-1.5,-4.09,-3.38,-0.47,0.88,1.03,2.84,5.91,7.31,6.19,5.03,5.81,6.06,3.5,0.84,34.97,36.62,37.03,36.25,36.47,36.84,36.12:8.66,7.59,6.84,8.62,10.5,9.91,8.12,8.28,9.38,8.22,5.81,4.72,5.34,4.94,2.72,1.06,2.56,4.44,4.53,4.66,7.22,9.97,10.25,8.91,9.22,11.56,12.81,12.69,14.0,16.59,17.5,15.19,12.16,11.25,10.25,7.09,3.44,2.81,3.12,1.84,-0.31,-0.25,1.66,2.78,2.06,2.47,5.06,7.19,7.06,6.97,9.84,12.72,13.0,11.88,12.22,12.81,11.12,7.94,6.72,7.62,7.88,5.94,4.5,5.41,5.72,3.81,1.66,2.75,3.66,3.22,2.16,3.28,5.53,6.12,4.44,3.72,5.16,5.53,4.12,3.56,5.59,7.53,6.97,5.62,7.19,8.88,8.81,7.56,8.47,10.38,10.47,8.47,7.06,7.41,6.78,3.38,0.5,0.03,0.22,-1.84,-4.12,-3.84,-2.47,-3.0,-5.0,-5.22,-3.94,-3.94,-5.31,-5.88,-4.06,-2.31,-3.19,-4.91,-4.28,-3.28,-4.78,-7.28,-6.91,-4.81,-4.25,-4.59,-3.41,-0.34,1.66,1.28,1.34,3.47,5.0,3.44,1.5,1.5,2.44,1.28,-1.28,-1.06,0.09,-0.66,-3.31,-4.62,-3.69,-3.28,-4.41,-3.62,0.38,4.94,7.06,8.25,11.38,14.31,14.62,12.75,12.47,13.34,12.28,8.81,6.84,6.81,5.84,2.53,-0.03,0.28,1.25,0.41,-0.25,1.41,4.5,5.56,5.28,6.12,8.75,9.69,8.06,7.16,8.25,8.88,6.28,3.56,3.44,4.03,2.47,0.56,1.47,4.31,5.53,5.59,7.19,10.66,12.5,11.69,11.12,12.19,13.0,11.34,9.25,9.81,10.69,9.47,6.25,4.91,4.72,3.03,-0.28,-1.53,-0.31,0.75,-0.19,-1.03,-0.03,0.91,-0.66,-2.88,-1.94,0.44,1.16,0.84,1.97,5.34,6.88,5.97,5.88,7.34,7.44,4.41,1.25,0.62,0.78,-1.25,-3.59,-2.97,-1.03,-1.31,-3.28,-3.81,-2.75,-2.53,-4.06,-3.97,-1.34,1.25,1.12,1.44,4.03,7.38,8.28,8.22,10.34,13.44,14.19,12.72,11.97,12.25,10.97,7.16,4.34,3.88,3.31,0.19,-2.97,-3.56,-2.69,-3.75,-5.53,-5.59,-4.09,-4.56,-6.53,-6.62,-3.66,-0.78,-0.22,0.88,4.44,7.38,7.34,7.09,8.69,11.5,12.28,11.69,12.22,14.0,13.53,10.09,6.72,5.41,3.59,-0.72,-4.44,-5.19,-5.81,-9.22,-13.72,-16.25,-17.5,-20.16,-22.94,-22.53,-18.97,-14.81,-12.59,-9.19,-3.38,0.91,1.78,2.25,4.84,8.16,9.25,9.75,12.16,16.09,17.53,16.78,15.75,16.03,14.31,9.53,5.0,3.53,2.44,-0.69,-3.5,-3.09,-1.56,-2.0,-2.88,-1.75,0.75,1.16,-0.81,-2.03,-1.75,-1.78,-3.78,-4.66,-2.28,0.41,-0.03,-1.12,-0.75,0.59,-0.66,-3.09,-3.56,-1.72,-0.75,-1.31,-0.38,2.72,4.34,2.34,-0.5,-0.72,-0.88,-2.66,-4.5,-3.47,-0.69,0.53,0.78,2.72,6.72,8.91,8.69,8.53,10.34,10.97,8.72,5.72,5.38,5.72,4.09,2.53,3.53,6.78,8.0,7.16,7.0,9.12,9.62,7.47,5.72,6.56,7.12,4.84,3.03,3.97,5.97,5.62,4.44,5.19,7.22,7.0,4.84,3.0,3.84,4.09,2.34,1.44,3.84,6.59,6.81,6.38,8.75,12.0,12.69,11.34,11.5,12.31,11.16,8.31,6.56,7.94,9.25,8.19,7.16,8.56,9.66,7.81,4.59,3.75,3.97,2.03,-1.16,-2.41,-1.25,-1.12,-2.5,-2.66,-0.12,1.88,1.16,0.22,1.31,3.09,2.19,1.34,3.31,6.47,7.94,6.97,6.72,7.69,7.0,3.69,1.81,2.56,3.47,2.0,0.12,0.84,2.06,1.0,-1.09,-1.03,0.78,1.19,-0.19,0.12,2.91,4.78,4.03,3.91,6.94,9.94,10.66,10.94,13.16,15.38,14.59,12.34,11.34,12.75,12.59,10.44,9.72,11.25,11.62,9.16,6.91,7.47,8.97,8.94,9.41,12.69,17.25,19.12,18.78,19.0,20.09,19.38,15.97,13.19,13.0,12.38,9.19,6.69,7.12,8.38,7.31,5.5,5.94,7.56,7.5,6.16,7.31,10.81,13.19,13.16,13.41,15.38,15.88,13.12,9.81,8.72,8.81,7.72,5.78,6.5,8.94,9.09,7.91,8.31,10.88,13.09,13.06,13.25,15.25,17.09,15.81,13.53,13.28,13.88,12.25,9.12,8.22,9.19,9.19,7.75,7.97,10.56,12.19,10.84,9.53,10.59,12.0,11.03,10.03,11.47,14.25,15.0,14.0,14.47,16.03,16.19,13.66,11.59,11.56,10.88,7.59,4.81,5.31,6.75,7.0,6.44,8.53,11.88,13.41,12.38,13.03,15.34,16.44,15.59,15.5,17.97,19.75,18.28,16.84,17.38,18.5,17.31,15.38,16.25,18.75,20.09,20.19,21.06,23.84,25.31,23.81,22.81,24.25,25.5,24.12,21.62,21.09,21.09,19.19,16.19,15.41,15.84,15.03,12.06,10.47,11.03,11.47,9.91,8.81,10.81,13.0,12.66,11.75,12.72,14.28,13.62,11.56,11.78,14.09,14.97,13.81,13.41,15.09,16.28,14.69,13.5,15.09,16.94,16.56,15.81,17.19,19.75,20.03,18.59,17.78,18.97,18.91,16.38,15.31,16.66,17.66,16.22,14.88,15.94,17.91,17.34,16.16,17.06,19.78,20.66,19.84,20.31,22.66,23.47,21.66,20.19,21.0,21.94,20.38,19.06,20.41,22.72,22.59,21.19,21.28,22.19,21.81,19.12,17.91,19.19,19.81,17.97,16.41,17.06,17.19,14.09,9.81,7.41,6.12,3.41,0.44,0.28,2.97,4.56,4.59,5.38,8.06,10.59,10.81,10.62,12.75,15.16,14.25,12.34,12.16,12.97,11.91,9.22,8.53,9.25,9.81,8.12,7.5,9.5,11.41,10.88,10.44,12.44,14.75,14.22,12.31,11.44,11.53,10.12,7.19,6.53,8.75,10.56,10.59,11.28,14.12,16.75,16.62,15.94,17.06,18.69,18.28,16.53,15.97,16.72,15.44,11.75,8.72,8.09,7.84,5.59,4.66,6.78,9.28,9.28,8.81,10.06,11.75,10.72,8.0,6.53,7.31,7.41,6.31,6.91,9.97,12.81,12.69,12.69,15.16,17.91,18.75,18.78,20.62,23.03,23.06,20.91,19.41,19.28,18.09,14.62,12.28,12.91,13.81,12.81,11.97,13.38,15.16,14.0,12.12,11.97,13.31,13.0,11.28,10.75,12.91,14.69,14.22,14.38,16.25,17.31,14.56,11.28,10.19,10.59,9.81,8.47,9.34,11.81,12.34,10.88,9.91,11.19,11.88,9.97,8.59,9.44,10.84,10.19,9.38,11.19,14.38,16.5,17.41,20.0,25.06,28.34,29.09,30.09,32.25,33.0,30.41,27.12,25.91,25.09,22.34,19.56,19.59,21.56,22.19,21.78,22.91,25.69,26.75,24.72,22.91,22.03,20.53,16.53,12.62,11.78,12.28,11.72,11.19,13.59,18.62,22.16,23.84,25.84,27.91,27.5,23.28,18.88,16.69,15.19,12.03,9.44,9.94,12.09,12.88,13.03,14.97,18.69,21.0,21.66,23.19,26.97,29.44,28.94,27.78,28.31,28.34,25.97,23.0,22.34,22.72,21.06,17.88,16.19,16.19,15.25,12.62,10.53,11.25,11.78,10.75,10.22,13.28,17.03,19.06,20.12,22.31,24.88,24.78,22.84,21.25,21.62,20.97,18.09,15.38,14.94,13.78,10.5,7.31,6.78,7.81,7.06,6.06,7.06,9.75,11.16,10.53,10.44,11.94,12.0,9.41,7.31,8.53,10.16,10.12,9.78,12.53,16.19,17.47,17.47,18.66,20.56,20.12,17.59,15.97,15.91,15.47,12.72,10.41,11.0,12.38,12.03,11.72,13.59,16.62,17.91,17.59,18.41,21.5,22.84,22.03,21.38,22.59,22.84,20.19,17.53,17.53,18.41,17.47,15.5,15.94,17.62,17.5,14.81,12.84,11.78,9.69,5.53,2.5,3.22,4.44,4.12,3.94,6.31,10.25,11.91,12.22,13.88,15.91,15.97,13.69,12.12,12.88,13.62,12.84,12.78,15.59,18.59,18.28,17.12,17.97,19.25,18.09,15.69,14.75,15.34,14.97,13.22,12.72,14.75,16.09,14.78,13.44,14.41,15.38,13.88,11.66,11.5,12.5,12.09,10.66,11.06,13.03,13.97,12.34,11.44,12.5,13.41,11.84,10.41,11.41,13.12,12.53,10.88,11.0,12.59,12.69,11.16,11.34,13.94,16.03,15.84,15.91,18.03,19.66,18.5,17.0,18.0,19.75,19.69,18.44,19.0,20.03,19.25,16.47,14.56,14.88,14.72,12.25,10.16,10.53,10.72,8.88,7.16,8.12,10.25,9.75,7.88,7.78,8.5,8.75,7.31,6.91,8.44,9.88,8.25,6.56,7.47,8.97,8.16,6.66,7.81,10.06,10.56,8.94,9.0,10.41,9.59,6.5,4.69,5.31,6.31,5.69,5.41,7.88,10.28,10.69,9.81,11.09,13.41,13.78,12.0,11.5,12.34,11.59,8.28,5.91,5.94,6.12,4.53,2.84,3.72,4.94,3.88,1.28,0.31,1.41,1.19,-0.38,-0.22,1.78,2.88,0.91,-0.72,-0.16,1.0,-0.25,-1.47,-0.31,2.19,2.53,1.38,1.97,3.66,3.84,1.47,0.62,1.97,3.16,2.09,0.28,0.5,0.72,-1.5,-4.09,-3.38,-0.47,0.88,1.03,2.84,5.91,7.31,6.19,5.03,5.81,6.06,3.5,0.84,34.97,36.62,37.03,36.25,36.47,36.84,36.12,34.47,33.47,33.06,31.81,28.12,25.34,24.66:8.28,9.38,8.22,5.81,4.72,5.34,4.94,2.72,1.06,2.56,4.44,4.53,4.66,7.22,9.97,10.25,8.91,9.22,11.56,12.81,12.69,14.0,16.59,17.5,15.19,12.16,11.25,10.25,7.09,3.44,2.81,3.12,1.84,-0.31,-0.25,1.66,2.78,2.06,2.47,5.06,7.19,7.06,6.97,9.84,12.72,13.0,11.88,12.22,12.81,11.12,7.94,6.72,7.62,7.88,5.94,4.5,5.41,5.72,3.81,1.66,2.75,3.66,3.22,2.16,3.28,5.53,6.12,4.44,3.72,5.16,5.53,4.12,3.56,5.59,7.53,6.97,5.62,7.19,8.88,8.81,7.56,8.47,10.38,10.47,8.47,7.06,7.41,6.78,3.38,0.5,0.03,0.22,-1.84,-4.12,-3.84,-2.47,-3.0,-5.0,-5.22,-3.94,-3.94,-5.31,-5.88,-4.06,-2.31,-3.19,-4.91,-4.28,-3.28,-4.78,-7.28,-6.91,-4.81,-4.25,-4.59,-3.41,-0.34,1.66,1.28,1.34,3.47,5.0,3.44,1.5,1.5,2.44,1.28,-1.28,-1.06,0.09,-0.66,-3.31,-4.62,-3.69,-3.28,-4.41,-3.62,0.38,4.94,7.06,8.25,11.38,14.31,14.62,12.75,12.47,13.34,12.28,8.81,6.84,6.81,5.84,2.53,-0.03,0.28,1.25,0.41,-0.25,1.41,4.5,5.56,5.28,6.12,8.75,9.69,8.06,7.16,8.25,8.88,6.28,3.56,3.44,4.03,2.47,0.56,1.47,4.31,5.53,5.59,7.19,10.66,12.5,11.69,11.12,12.19,13.0,11.34,9.25,9.81,10.69,9.47,6.25,4.91,4.72,3.03,-0.28,-1.53,-0.31,0.75,-0.19,-1.03,-0.03,0.91,-0.66,-2.88,-1.94,0.44,1.16,0.84,1.97,5.34,6.88,5.97,5.88,7.34,7.44,4.41,1.25,0.62,0.78,-1.25,-3.59,-2.97,-1.03,-1.31,-3.28,-3.81,-2.75,-2.53,-4.06,-3.97,-1.34,1.25,1.12,1.44,4.03,7.38,8.28,8.22,10.34,13.44,14.19,12.72,11.97,12.25,10.97,7.16,4.34,3.88,3.31,0.19,-2.97,-3.56,-2.69,-3.75,-5.53,-5.59,-4.09,-4.56,-6.53,-6.62,-3.66,-0.78,-0.22,0.88,4.44,7.38,7.34,7.09,8.69,11.5,12.28,11.69,12.22,14.0,13.53,10.09,6.72,5.41,3.59,-0.72,-4.44,-5.19,-5.81,-9.22,-13.72,-16.25,-17.5,-20.16,-22.94,-22.53,-18.97,-14.81,-12.59,-9.19,-3.38,0.91,1.78,2.25,4.84,8.16,9.25,9.75,12.16,16.09,17.53,16.78,15.75,16.03,14.31,9.53,5.0,3.53,2.44,-0.69,-3.5,-3.09,-1.56,-2.0,-2.88,-1.75,0.75,1.16,-0.81,-2.03,-1.75,-1.78,-3.78,-4.66,-2.28,0.41,-0.03,-1.12,-0.75,0.59,-0.66,-3.09,-3.56,-1.72,-0.75,-1.31,-0.38,2.72,4.34,2.34,-0.5,-0.72,-0.88,-2.66,-4.5,-3.47,-0.69,0.53,0.78,2.72,6.72,8.91,8.69,8.53,10.34,10.97,8.72,5.72,5.38,5.72,4.09,2.53,3.53,6.78,8.0,7.16,7.0,9.12,9.62,7.47,5.72,6.56,7.12,4.84,3.03,3.97,5.97,5.62,4.44,5.19,7.22,7.0,4.84,3.0,3.84,4.09,2.34,1.44,3.84,6.59,6.81,6.38,8.75,12.0,12.69,11.34,11.5,12.31,11.16,8.31,6.56,7.94,9.25,8.19,7.16,8.56,9.66,7.81,4.59,3.75,3.97,2.03,-1.16,-2.41,-1.25,-1.12,-2.5,-2.66,-0.12,1.88,1.16,0.22,1.31,3.09,2.19,1.34,3.31,6.47,7.94,6.97,6.72,7.69,7.0,3.69,1.81,2.56,3.47,2.0,0.12,0.84,2.06,1.0,-1.09,-1.03,0.78,1.19,-0.19,0.12,2.91,4.78,4.03,3.91,6.94,9.94,10.66,10.94,13.16,15.38,14.59,12.34,11.34,12.75,12.59,10.44,9.72,11.25,11.62,9.16,6.91,7.47,8.97,8.94,9.41,12.69,17.25,19.12,18.78,19.0,20.09,19.38,15.97,13.19,13.0,12.38,9.19,6.69,7.12,8.38,7.31,5.5,5.94,7.56,7.5,6.16,7.31,10.81,13.19,13.16,13.41,15.38,15.88,13.12,9.81,8.72,8.81,7.72,5.78,6.5,8.94,9.09,7.91,8.31,10.88,13.09,13.06,13.25,15.25,17.09,15.81,13.53,13.28,13.88,12.25,9.12,8.22,9.19,9.19,7.75,7.97,10.56,12.19,10.84,9.53,10.59,12.0,11.03,10.03,11.47,14.25,15.0,14.0,14.47,16.03,16.19,13.66,11.59,11.56,10.88,7.59,4.81,5.31,6.75,7.0,6.44,8.53,11.88,13.41,12.38,13.03,15.34,16.44,15.59,15.5,17.97,19.75,18.28,16.84,17.38,18.5,17.31,15.38,16.25,18.75,20.09,20.19,21.06,23.84,25.31,23.81,22.81,24.25,25.5,24.12,21.62,21.09,21.09,19.19,16.19,15.41,15.84,15.03,12.06,10.47,11.03,11.47,9.91,8.81,10.81,13.0,12.66,11.75,12.72,14.28,13.62,11.56,11.78,14.09,14.97,13.81,13.41,15.09,16.28,14.69,13.5,15.09,16.94,16.56,15.81,17.19,19.75,20.03,18.59,17.78,18.97,18.91,16.38,15.31,16.66,17.66,16.22,14.88,15.94,17.91,17.34,16.16,17.06,19.78,20.66,19.84,20.31,22.66,23.47,21.66,20.19,21.0,21.94,20.38,19.06,20.41,22.72,22.59,21.19,21.28,22.19,21.81,19.12,17.91,19.19,19.81,17.97,16.41,17.06,17.19,14.09,9.81,7.41,6.12,3.41,0.44,0.28,2.97,4.56,4.59,5.38,8.06,10.59,10.81,10.62,12.75,15.16,14.25,12.34,12.16,12.97,11.91,9.22,8.53,9.25,9.81,8.12,7.5,9.5,11.41,10.88,10.44,12.44,14.75,14.22,12.31,11.44,11.53,10.12,7.19,6.53,8.75,10.56,10.59,11.28,14.12,16.75,16.62,15.94,17.06,18.69,18.28,16.53,15.97,16.72,15.44,11.75,8.72,8.09,7.84,5.59,4.66,6.78,9.28,9.28,8.81,10.06,11.75,10.72,8.0,6.53,7.31,7.41,6.31,6.91,9.97,12.81,12.69,12.69,15.16,17.91,18.75,18.78,20.62,23.03,23.06,20.91,19.41,19.28,18.09,14.62,12.28,12.91,13.81,12.81,11.97,13.38,15.16,14.0,12.12,11.97,13.31,13.0,11.28,10.75,12.91,14.69,14.22,14.38,16.25,17.31,14.56,11.28,10.19,10.59,9.81,8.47,9.34,11.81,12.34,10.88,9.91,11.19,11.88,9.97,8.59,9.44,10.84,10.19,9.38,11.19,14.38,16.5,17.41,20.0,25.06,28.34,29.09,30.09,32.25,33.0,30.41,27.12,25.91,25.09,22.34,19.56,19.59,21.56,22.19,21.78,22.91,25.69,26.75,24.72,22.91,22.03,20.53,16.53,12.62,11.78,12.28,11.72,11.19,13.59,18.62,22.16,23.84,25.84,27.91,27.5,23.28,18.88,16.69,15.19,12.03,9.44,9.94,12.09,12.88,13.03,14.97,18.69,21.0,21.66,23.19,26.97,29.44,28.94,27.78,28.31,28.34,25.97,23.0,22.34,22.72,21.06,17.88,16.19,16.19,15.25,12.62,10.53,11.25,11.78,10.75,10.22,13.28,17.03,19.06,20.12,22.31,24.88,24.78,22.84,21.25,21.62,20.97,18.09,15.38,14.94,13.78,10.5,7.31,6.78,7.81,7.06,6.06,7.06,9.75,11.16,10.53,10.44,11.94,12.0,9.41,7.31,8.53,10.16,10.12,9.78,12.53,16.19,17.47,17.47,18.66,20.56,20.12,17.59,15.97,15.91,15.47,12.72,10.41,11.0,12.38,12.03,11.72,13.59,16.62,17.91,17.59,18.41,21.5,22.84,22.03,21.38,22.59,22.84,20.19,17.53,17.53,18.41,17.47,15.5,15.94,17.62,17.5,14.81,12.84,11.78,9.69,5.53,2.5,3.22,4.44,4.12,3.94,6.31,10.25,11.91,12.22,13.88,15.91,15.97,13.69,12.12,12.88,13.62,12.84,12.78,15.59,18.59,18.28,17.12,17.97,19.25,18.09,15.69,14.75,15.34,14.97,13.22,12.72,14.75,16.09,14.78,13.44,14.41,15.38,13.88,11.66,11.5,12.5,12.09,10.66,11.06,13.03,13.97,12.34,11.44,12.5,13.41,11.84,10.41,11.41,13.12,12.53,10.88,11.0,12.59,12.69,11.16,11.34,13.94,16.03,15.84,15.91,18.03,19.66,18.5,17.0,18.0,19.75,19.69,18.44,19.0,20.03,19.25,16.47,14.56,14.88,14.72,12.25,10.16,10.53,10.72,8.88,7.16,8.12,10.25,9.75,7.88,7.78,8.5,8.75,7.31,6.91,8.44,9.88,8.25,6.56,7.47,8.97,8.16,6.66,7.81,10.06,10.56,8.94,9.0,10.41,9.59,6.5,4.69,5.31,6.31,5.69,5.41,7.88,10.28,10.69,9.81,11.09,13.41,13.78,12.0,11.5,12.34,11.59,8.28,5.91,5.94,6.12,4.53,2.84,3.72,4.94,3.88,1.28,0.31,1.41,1.19,-0.38,-0.22,1.78,2.88,0.91,-0.72,-0.16,1.0,-0.25,-1.47,-0.31,2.19,2.53,1.38,1.97,3.66,3.84,1.47,0.62,1.97,3.16,2.09,0.28,0.5,0.72,-1.5,-4.09,-3.38,-0.47,0.88,1.03,2.84,5.91,7.31,6.19,5.03,5.81,6.06,3.5,0.84,34.97,36.62,37.03,36.25,36.47,36.84,36.12,34.47,33.47,33.06,31.81,28.12,25.34,24.66,24.03,22.69,21.97,23.38,25.0,25.28,25.0:2.72,1.06,2.56,4.44,4.53,4.66,7.22,9.97,10.25,8.91,9.22,11.56,12.81,12.69,14.0,16.59,17.5,15.19,12.16,11.25,10.25,7.09,3.44,2.81,3.12,1.84,-0.31,-0.25,1.66,2.78,2.06,2.47,5.06,7.19,7.06,6.97,9.84,12.72,13.0,11.88,12.22,12.81,11.12,7.94,6.72,7.62,7.88,5.94,4.5,5.41,5.72,3.81,1.66,2.75,3.66,3.22,2.16,3.28,5.53,6.12,4.44,3.72,5.16,5.53,4.12,3.56,5.59,7.53,6.97,5.62,7.19,8.88,8.81,7.56,8.47,10.38,10.47,8.47,7.06,7.41,6.78,3.38,0.5,0.03,0.22,-1.84,-4.12,-3.84,-2.47,-3.0,-5.0,-5.22,-3.94,-3.94,-5.31,-5.88,-4.06,-2.31,-3.19,-4.91,-4.28,-3.28,-4.78,-7.28,-6.91,-4.81,-4.25,-4.59,-3.41,-0.34,1.66,1.28,1.34,3.47,5.0,3.44,1.5,1.5,2.44,1.28,-1.28,-1.06,0.09,-0.66,-3.31,-4.62,-3.69,-3.28,-4.41,-3.62,0.38,4.94,7.06,8.25,11.38,14.31,14.62,12.75,12.47,13.34,12.28,8.81,6.84,6.81,5.84,2.53,-0.03,0.28,1.25,0.41,-0.25,1.41,4.5,5.56,5.28,6.12,8.75,9.69,8.06,7.16,8.25,8.88,6.28,3.56,3.44,4.03,2.47,0.56,1.47,4.31,5.53,5.59,7.19,10.66,12.5,11.69,11.12,12.19,13.0,11.34,9.25,9.81,10.69,9.47,6.25,4.91,4.72,3.03,-0.28,-1.53,-0.31,0.75,-0.19,-1.03,-0.03,0.91,-0.66,-2.88,-1.94,0.44,1.16,0.84,1.97,5.34,6.88,5.97,5.88,7.34,7.44,4.41,1.25,0.62,0.78,-1.25,-3.59,-2.97,-1.03,-1.31,-3.28,-3.81,-2.75,-2.53,-4.06,-3.97,-1.34,1.25,1.12,1.44,4.03,7.38,8.28,8.22,10.34,13.44,14.19,12.72,11.97,12.25,10.97,7.16,4.34,3.88,3.31,0.19,-2.97,-3.56,-2.69,-3.75,-5.53,-5.59,-4.09,-4.56,-6.53,-6.62,-3.66,-0.78,-0.22,0.88,4.44,7.38,7.34,7.09,8.69,11.5,12.28,11.69,12.22,14.0,13.53,10.09,6.72,5.41,3.59,-0.72,-4.44,-5.19,-5.81,-9.22,-13.72,-16.25,-17.5,-20.16,-22.94,-22.53,-18.97,-14.81,-12.59,-9.19,-3.38,0.91,1.78,2.25,4.84,8.16,9.25,9.75,12.16,16.09,17.53,16.78,15.75,16.03,14.31,9.53,5.0,3.53,2.44,-0.69,-3.5,-3.09,-1.56,-2.0,-2.88,-1.75,0.75,1.16,-0.81,-2.03,-1.75,-1.78,-3.78,-4.66,-2.28,0.41,-0.03,-1.12,-0.75,0.59,-0.66,-3.09,-3.56,-1.72,-0.75,-1.31,-0.38,2.72,4.34,2.34,-0.5,-0.72,-0.88,-2.66,-4.5,-3.47,-0.69,0.53,0.78,2.72,6.72,8.91,8.69,8.53,10.34,10.97,8.72,5.72,5.38,5.72,4.09,2.53,3.53,6.78,8.0,7.16,7.0,9.12,9.62,7.47,5.72,6.56,7.12,4.84,3.03,3.97,5.97,5.62,4.44,5.19,7.22,7.0,4.84,3.0,3.84,4.09,2.34,1.44,3.84,6.59,6.81,6.38,8.75,12.0,12.69,11.34,11.5,12.31,11.16,8.31,6.56,7.94,9.25,8.19,7.16,8.56,9.66,7.81,4.59,3.75,3.97,2.03,-1.16,-2.41,-1.25,-1.12,-2.5,-2.66,-0.12,1.88,1.16,0.22,1.31,3.09,2.19,1.34,3.31,6.47,7.94,6.97,6.72,7.69,7.0,3.69,1.81,2.56,3.47,2.0,0.12,0.84,2.06,1.0,-1.09,-1.03,0.78,1.19,-0.19,0.12,2.91,4.78,4.03,3.91,6.94,9.94,10.66,10.94,13.16,15.38,14.59,12.34,11.34,12.75,12.59,10.44,9.72,11.25,11.62,9.16,6.91,7.47,8.97,8.94,9.41,12.69,17.25,19.12,18.78,19.0,20.09,19.38,15.97,13.19,13.0,12.38,9.19,6.69,7.12,8.38,7.31,5.5,5.94,7.56,7.5,6.16,7.31,10.81,13.19,13.16,13.41,15.38,15.88,13.12,9.81,8.72,8.81,7.72,5.78,6.5,8.94,9.09,7.91,8.31,10.88,13.09,13.06,13.25,15.25,17.09,15.81,13.53,13.28,13.88,12.25,9.12,8.22,9.19,9.19,7.75,7.97,10.56,12.19,10.84,9.53,10.59,12.0,11.03,10.03,11.47,14.25,15.0,14.0,14.47,16.03,16.19,13.66,11.59,11.56,10.88,7.59,4.81,5.31,6.75,7.0,6.44,8.53,11.88,13.41,12.38,13.03,15.34,16.44,15.59,15.5,17.97,19.75,18.28,16.84,17.38,18.5,17.31,15.38,16.25,18.75,20.09,20.19,21.06,23.84,25.31,23.81,22.81,24.25,25.5,24.12,21.62,21.09,21.09,19.19,16.19,15.41,15.84,15.03,12.06,10.47,11.03,11.47,9.91,8.81,10.81,13.0,12.66,11.75,12.72,14.28,13.62,11.56,11.78,14.09,14.97,13.81,13.41,15.09,16.28,14.69,13.5,15.09,16.94,16.56,15.81,17.19,19.75,20.03,18.59,17.78,18.97,18.91,16.38,15.31,16.66,17.66,16.22,14.88,15.94,17.91,17.34,16.16,17.06,19.78,20.66,19.84,20.31,22.66,23.47,21.66,20.19,21.0,21.94,20.38,19.06,20.41,22.72,22.59,21.19,21.28,22.19,21.81,19.12,17.91,19.19,19.81,17.97,16.41,17.06,17.19,14.09,9.81,7.41,6.12,3.41,0.44,0.28,2.97,4.56,4.59,5.38,8.06,10.59,10.81,10.62,12.75,15.16,14.25,12.34,12.16,12.97,11.91,9.22,8.53,9.25,9.81,8.12,7.5,9.5,11.41,10.88,10.44,12.44,14.75,14.22,12.31,11.44,11.53,10.12,7.19,6.53,8.75,10.56,10.59,11.28,14.12,16.75,16.62,15.94,17.06,18.69,18.28,16.53,15.97,16.72,15.44,11.75,8.72,8.09,7.84,5.59,4.66,6.78,9.28,9.28,8.81,10.06,11.75,10.72,8.0,6.53,7.31,7.41,6.31,6.91,9.97,12.81,12.69,12.69,15.16,17.91,18.75,18.78,20.62,23.03,23.06,20.91,19.41,19.28,18.09,14.62,12.28,12.91,13.81,12.81,11.97,13.38,15.16,14.0,12.12,11.97,13.31,13.0,11.28,10.75,12.91,14.69,14.22,14.38,16.25,17.31,14.56,11.28,10.19,10.59,9.81,8.47,9.34,11.81,12.34,10.88,9.91,11.19,11.88,9.97,8.59,9.44,10.84,10.19,9.38,11.19,14.38,16.5,17.41,20.0,25.06,28.34,29.09,30.09,32.25,33.0,30.41,27.12,25.91,25.09,22.34,19.56,19.59,21.56,22.19,21.78,22.91,25.69,26.75,24.72,22.91,22.03,20.53,16.53,12.62,11.78,12.28,11.72,11.19,13.59,18.62,22.16,23.84,25.84,27.91,27.5,23.28,18.88,16.69,15.19,12.03,9.44,9.94,12.09,12.88,13.03,14.97,18.69,21.0,21.66,23.19,26.97,29.44,28.94,27.78,28.31,28.34,25.97,23.0,22.34,22.72,21.06,17.88,16.19,16.19,15.25,12.62,10.53,11.25,11.78,10.75,10.22,13.28,17.03,19.06,20.12,22.31,24.88,24.78,22.84,21.25,21.62,20.97,18.09,15.38,14.94,13.78,10.5,7.31,6.78,7.81,7.06,6.06,7.06,9.75,11.16,10.53,10.44,11.94,12.0,9.41,7.31,8.53,10.16,10.12,9.78,12.53,16.19,17.47,17.47,18.66,20.56,20.12,17.59,15.97,15.91,15.47,12.72,10.41,11.0,12.38,12.03,11.72,13.59,16.62,17.91,17.59,18.41,21.5,22.84,22.03,21.38,22.59,22.84,20.19,17.53,17.53,18.41,17.47,15.5,15.94,17.62,17.5,14.81,12.84,11.78,9.69,5.53,2.5,3.22,4.44,4.12,3.94,6.31,10.25,11.91,12.22,13.88,15.91,15.97,13.69,12.12,12.88,13.62,12.84,12.78,15.59,18.59,18.28,17.12,17.97,19.25,18.09,15.69,14.75,15.34,14.97,13.22,12.72,14.75,16.09,14.78,13.44,14.41,15.38,13.88,11.66,11.5,12.5,12.09,10.66,11.06,13.03,13.97,12.34,11.44,12.5,13.41,11.84,10.41,11.41,13.12,12.53,10.88,11.0,12.59,12.69,11.16,11.34,13.94,16.03,15.84,15.91,18.03,19.66,18.5,17.0,18.0,19.75,19.69,18.44,19.0,20.03,19.25,16.47,14.56,14.88,14.72,12.25,10.16,10.53,10.72,8.88,7.16,8.12,10.25,9.75,7.88,7.78,8.5,8.75,7.31,6.91,8.44,9.88,8.25,6.56,7.47,8.97,8.16,6.66,7.81,10.06,10.56,8.94,9.0,10.41,9.59,6.5,4.69,5.31,6.31,5.69,5.41,7.88,10.28,10.69,9.81,11.09,13.41,13.78,12.0,11.5,12.34,11.59,8.28,5.91,5.94,6.12,4.53,2.84,3.72,4.94,3.88,1.28,0.31,1.41,1.19,-0.38,-0.22,1.78,2.88,0.91,-0.72,-0.16,1.0,-0.25,-1.47,-0.31,2.19,2.53,1.38,1.97,3.66,3.84,1.47,0.62,1.97,3.16,2.09,0.28,0.5,0.72,-1.5,-4.09,-3.38,-0.47,0.88,1.03,2.84,5.91,7.31,6.19,5.03,5.81,6.06,3.5,0.84,34.97,36.62,37.03,36.25,36.47,36.84,36.12,34.47,33.47,33.06,31.81,28.12,25.34,24.66,24.03,22.69,21.97,23.38,25.0,25.28,25.0,26.09,27.66,27.5,26.69,26.31,27.03,26.78:9.97,10.25,8.91,9.22,11.56,12.81,12.69,14.0,16.59,17.5,15.19,12.16,11.25,10.25,7.09,3.44,2.81,3.12,1.84,-0.31,-0.25,1.66,2.78,2.06,2.47,5.06,7.19,7.06,6.97,9.84,12.72,13.0,11.88,12.22,12.81,11.12,7.94,6.72,7.62,7.88,5.94,4.5,5.41,5.72,3.81,1.66,2.75,3.66,3.22,2.16,3.28,5.53,6.12,4.44,3.72,5.16,5.53,4.12,3.56,5.59,7.53,6.97,5.62,7.19,8.88,8.81,7.56,8.47,10.38,10.47,8.47,7.06,7.41,6.78,3.38,0.5,0.03,0.22,-1.84,-4.12,-3.84,-2.47,-3.0,-5.0,-5.22,-3.94,-3.94,-5.31,-5.88,-4.06,-2.31,-3.19,-4.91,-4.28,-3.28,-4.78,-7.28,-6.91,-4.81,-4.25,-4.59,-3.41,-0.34,1.66,1.28,1.34,3.47,5.0,3.44,1.5,1.5,2.44,1.28,-1.28,-1.06,0.09,-0.66,-3.31,-4.62,-3.69,-3.28,-4.41,-3.62,0.38,4.94,7.06,8.25,11.38,14.31,14.62,12.75,12.47,13.34,12.28,8.81,6.84,6.81,5.84,2.53,-0.03,0.28,1.25,0.41,-0.25,1.41,4.5,5.56,5.28,6.12,8.75,9.69,8.06,7.16,8.25,8.88,6.28,3.56,3.44,4.03,2.47,0.56,1.47,4.31,5.53,5.59,7.19,10.66,12.5,11.69,11.12,12.19,13.0,11.34,9.25,9.81,10.69,9.47,6.25,4.91,4.72,3.03,-0.28,-1.53,-0.31,0.75,-0.19,-1.03,-0.03,0.91,-0.66,-2.88,-1.94,0.44,1.16,0.84,1.97,5.34,6.88,5.97,5.88,7.34,7.44,4.41,1.25,0.62,0.78,-1.25,-3.59,-2.97,-1.03,-1.31,-3.28,-3.81,-2.75,-2.53,-4.06,-3.97,-1.34,1.25,1.12,1.44,4.03,7.38,8.28,8.22,10.34,13.44,14.19,12.72,11.97,12.25,10.97,7.16,4.34,3.88,3.31,0.19,-2.97,-3.56,-2.69,-3.75,-5.53,-5.59,-4.09,-4.56,-6.53,-6.62,-3.66,-0.78,-0.22,0.88,4.44,7.38,7.34,7.09,8.69,11.5,12.28,11.69,12.22,14.0,13.53,10.09,6.72,5.41,3.59,-0.72,-4.44,-5.19,-5.81,-9.22,-13.72,-16.25,-17.5,-20.16,-22.94,-22.53,-18.97,-14.81,-12.59,-9.19,-3.38,0.91,1.78,2.25,4.84,8.16,9.25,9.75,12.16,16.09,17.53,16.78,15.75,16.03,14.31,9.53,5.0,3.53,2.44,-0.69,-3.5,-3.09,-1.56,-2.0,-2.88,-1.75,0.75,1.16,-0.81,-2.03,-1.75,-1.78,-3.78,-4.66,-2.28,0.41,-0.03,-1.12,-0.75,0.59,-0.66,-3.09,-3.56,-1.72,-0.75,-1.31,-0.38,2.72,4.34,2.34,-0.5,-0.72,-0.88,-2.66,-4.5,-3.47,-0.69,0.53,0.78,2.72,6.72,8.91,8.69,8.53,10.34,10.97,8.72,5.72,5.38,5.72,4.09,2.53,3.53,6.78,8.0,7.16,7.0,9.12,9.62,7.47,5.72,6.56,7.12,4.84,3.03,3.97,5.97,5.62,4.44,5.19,7.22,7.0,4.84,3.0,3.84,4.09,2.34,1.44,3.84,6.59,6.81,6.38,8.75,12.0,12.69,11.34,11.5,12.31,11.16,8.31,6.56,7.94,9.25,8.19,7.16,8.56,9.66,7.81,4.59,3.75,3.97,2.03,-1.16,-2.41,-1.25,-1.12,-2.5,-2.66,-0.12,1.88,1.16,0.22,1.31,3.09,2.19,1.34,3.31,6.47,7.94,6.97,6.72,7.69,7.0,3.69,1.81,2.56,3.47,2.0,0.12,0.84,2.06,1.0,-1.09,-1.03,0.78,1.19,-0.19,0.12,2.91,4.78,4.03,3.91,6.94,9.94,10.66,10.94,13.16,15.38,14.59,12.34,11.34,12.75,12.59,10.44,9.72,11.25,11.62,9.16,6.91,7.47,8.97,8.94,9.41,12.69,17.25,19.12,18.78,19.0,20.09,19.38,15.97,13.19,13.0,12.38,9.19,6.69,7.12,8.38,7.31,5.5,5.94,7.56,7.5,6.16,7.31,10.81,13.19,13.16,13.41,15.38,15.88,13.12,9.81,8.72,8.81,7.72,5.78,6.5,8.94,9.09,7.91,8.31,10.88,13.09,13.06,13.25,15.25,17.09,15.81,13.53,13.28,13.88,12.25,9.12,8.22,9.19,9.19,7.75,7.97,10.56,12.19,10.84,9.53,10.59,12.0,11.03,10.03,11.47,14.25,15.0,14.0,14.47,16.03,16.19,13.66,11.59,11.56,10.88,7.59,4.81,5.31,6.75,7.0,6.44,8.53,11.88,13.41,12.38,13.03,15.34,16.44,15.59,15.5,17.97,19.75,18.28,16.84,17.38,18.5,17.31,15.38,16.25,18.75,20.09,20.19,21.06,23.84,25.31,23.81,22.81,24.25,25.5,24.12,21.62,21.09,21.09,19.19,16.19,15.41,15.84,15.03,12.06,10.47,11.03,11.47,9.91,8.81,10.81,13.0,12.66,11.75,12.72,14.28,13.62,11.56,11.78,14.09,14.97,13.81,13.41,15.09,16.28,14.69,13.5,15.09,16.94,16.56,15.81,17.19,19.75,20.03,18.59,17.78,18.97,18.91,16.38,15.31,16.66,17.66,16.22,14.88,15.94,17.91,17.34,16.16,17.06,19.78,20.66,19.84,20.31,22.66,23.47,21.66,20.19,21.0,21.94,20.38,19.06,20.41,22.72,22.59,21.19,21.28,22.19,21.81,19.12,17.91,19.19,19.81,17.97,16.41,17.06,17.19,14.09,9.81,7.41,6.12,3.41,0.44,0.28,2.97,4.56,4.59,5.38,8.06,10.59,10.81,10.62,12.75,15.16,14.25,12.34,12.16,12.97,11.91,9.22,8.53,9.25,9.81,8.12,7.5,9.5,11.41,10.88,10.44,12.44,14.75,14.22,12.31,11.44,11.53,10.12,7.19,6.53,8.75,10.56,10.59,11.28,14.12,16.75,16.62,15.94,17.06,18.69,18.28,16.53,15.97,16.72,15.44,11.75,8.72,8.09,7.84,5.59,4.66,6.78,9.28,9.28,8.81,10.06,11.75,10.72,8.0,6.53,7.31,7.41,6.31,6.91,9.97,12.81,12.69,12.69,15.16,17.91,18.75,18.78,20.62,23.03,23.06,20.91,19.41,19.28,18.09,14.62,12.28,12.91,13.81,12.81,11.97,13.38,15.16,14.0,12.12,11.97,13.31,13.0,11.28,10.75,12.91,14.69,14.22,14.38,16.25,17.31,14.56,11.28,10.19,10.59,9.81,8.47,9.34,11.81,12.34,10.88,9.91,11.19,11.88,9.97,8.59,9.44,10.84,10.19,9.38,11.19,14.38,16.5,17.41,20.0,25.06,28.34,29.09,30.09,32.25,33.0,30.41,27.12,25.91,25.09,22.34,19.56,19.59,21.56,22.19,21.78,22.91,25.69,26.75,24.72,22.91,22.03,20.53,16.53,12.62,11.78,12.28,11.72,11.19,13.59,18.62,22.16,23.84,25.84,27.91,27.5,23.28,18.88,16.69,15.19,12.03,9.44,9.94,12.09,12.88,13.03,14.97,18.69,21.0,21.66,23.19,26.97,29.44,28.94,27.78,28.31,28.34,25.97,23.0,22.34,22.72,21.06,17.88,16.19,16.19,15.25,12.62,10.53,11.25,11.78,10.75,10.22,13.28,17.03,19.06,20.12,22.31,24.88,24.78,22.84,21.25,21.62,20.97,18.09,15.38,14.94,13.78,10.5,7.31,6.78,7.81,7.06,6.06,7.06,9.75,11.16,10.53,10.44,11.94,12.0,9.41,7.31,8.53,10.16,10.12,9.78,12.53,16.19,17.47,17.47,18.66,20.56,20.12,17.59,15.97,15.91,15.47,12.72,10.41,11.0,12.38,12.03,11.72,13.59,16.62,17.91,17.59,18.41,21.5,22.84,22.03,21.38,22.59,22.84,20.19,17.53,17.53,18.41,17.47,15.5,15.94,17.62,17.5,14.81,12.84,11.78,9.69,5.53,2.5,3.22,4.44,4.12,3.94,6.31,10.25,11.91,12.22,13.88,15.91,15.97,13.69,12.12,12.88,13.62,12.84,12.78,15.59,18.59,18.28,17.12,17.97,19.25,18.09,15.69,14.75,15.34,14.97,13.22,12.72,14.75,16.09,14.78,13.44,14.41,15.38,13.88,11.66,11.5,12.5,12.09,10.66,11.06,13.03,13.97,12.34,11.44,12.5,13.41,11.84,10.41,11.41,13.12,12.53,10.88,11.0,12.59,12.69,11.16,11.34,13.94,16.03,15.84,15.91,18.03,19.66,18.5,17.0,18.0,19.75,19.69,18.44,19.0,20.03,19.25,16.47,14.56,14.88,14.72,12.25,10.16,10.53,10.72,8.88,7.16,8.12,10.25,9.75,7.88,7.78,8.5,8.75,7.31,6.91,8.44,9.88,8.25,6.56,7.47,8.97,8.16,6.66,7.81,10.06,10.56,8.94,9.0,10.41,9.59,6.5,4.69,5.31,6.31,5.69,5.41,7.88,10.28,10.69,9.81,11.09,13.41,13.78,12.0,11.5,12.34,11.59,8.28,5.91,5.94,6.12,4.53,2.84,3.72,4.94,3.88,1.28,0.31,1.41,1.19,-0.38,-0.22,1.78,2.88,0.91,-0.72,-0.16,1.0,-0.25,-1.47,-0.31,2.19,2.53,1.38,1.97,3.66,3.84,1.47,0.62,1.97,3.16,2.09,0.28,0.5,0.72,-1.5,-4.09,-3.38,-0.47,0.88,1.03,2.84,5.91,7.31,6.19,5.03,5.81,6.06,3.5,0.84,34.97,36.62,37.03,36.25,36.47,36.84,36.12,34.47,33.47,33.06,31.81,28.12,25.34,24.66,24.03,22.69,21.97,23.38,25.0,25.28,25.0,26.09,27.66,27.5,26.69,26.31,27.03,26.78,25.56,24.75,25.97,27.34,27.0,26.31,27.03:14.0,16.59,17.5,15.19,12.16,11.25,10.25,7.09,3.44,2.81,3.12,1.84,-0.31,-0.25,1.66,2.78,2.06,2.47,5.06,7.19,7.06,6.97,9.84,12.72,13.0,11.88,12.22,12.81,11.12,7.94,6.72,7.62,7.88,5.94,4.5,5.41,5.72,3.81,1.66,2.75,3.66,3.22,2.16,3.28,5.53,6.12,4.44,3.72,5.16,5.53,4.12,3.56,5.59,7.53,6.97,5.62,7.19,8.88,8.81,7.56,8.47,10.38,10.47,8.47,7.06,7.41,6.78,3.38,0.5,0.03,0.22,-1.84,-4.12,-3.84,-2.47,-3.0,-5.0,-5.22,-3.94,-3.94,-5.31,-5.88,-4.06,-2.31,-3.19,-4.91,-4.28,-3.28,-4.78,-7.28,-6.91,-4.81,-4.25,-4.59,-3.41,-0.34,1.66,1.28,1.34,3.47,5.0,3.44,1.5,1.5,2.44,1.28,-1.28,-1.06,0.09,-0.66,-3.31,-4.62,-3.69,-3.28,-4.41,-3.62,0.38,4.94,7.06,8.25,11.38,14.31,14.62,12.75,12.47,13.34,12.28,8.81,6.84,6.81,5.84,2.53,-0.03,0.28,1.25,0.41,-0.25,1.41,4.5,5.56,5.28,6.12,8.75,9.69,8.06,7.16,8.25,8.88,6.28,3.56,3.44,4.03,2.47,0.56,1.47,4.31,5.53,5.59,7.19,10.66,12.5,11.69,11.12,12.19,13.0,11.34,9.25,9.81,10.69,9.47,6.25,4.91,4.72,3.03,-0.28,-1.53,-0.31,0.75,-0.19,-1.03,-0.03,0.91,-0.66,-2.88,-1.94,0.44,1.16,0.84,1.97,5.34,6.88,5.97,5.88,7.34,7.44,4.41,1.25,0.62,0.78,-1.25,-3.59,-2.97,-1.03,-1.31,-3.28,-3.81,-2.75,-2.53,-4.06,-3.97,-1.34,1.25,1.12,1.44,4.03,7.38,8.28,8.22,10.34,13.44,14.19,12.72,11.97,12.25,10.97,7.16,4.34,3.88,3.31,0.19,-2.97,-3.56,-2.69,-3.75,-5.53,-5.59,-4.09,-4.56,-6.53,-6.62,-3.66,-0.78,-0.22,0.88,4.44,7.38,7.34,7.09,8.69,11.5,12.28,11.69,12.22,14.0,13.53,10.09,6.72,5.41,3.59,-0.72,-4.44,-5.19,-5.81,-9.22,-13.72,-16.25,-17.5,-20.16,-22.94,-22.53,-18.97,-14.81,-12.59,-9.19,-3.38,0.91,1.78,2.25,4.84,8.16,9.25,9.75,12.16,16.09,17.53,16.78,15.75,16.03,14.31,9.53,5.0,3.53,2.44,-0.69,-3.5,-3.09,-1.56,-2.0,-2.88,-1.75,0.75,1.16,-0.81,-2.03,-1.75,-1.78,-3.78,-4.66,-2.28,0.41,-0.03,-1.12,-0.75,0.59,-0.66,-3.09,-3.56,-1.72,-0.75,-1.31,-0.38,2.72,4.34,2.34,-0.5,-0.72,-0.88,-2.66,-4.5,-3.47,-0.69,0.53,0.78,2.72,6.72,8.91,8.69,8.53,10.34,10.97,8.72,5.72,5.38,5.72,4.09,2.53,3.53,6.78,8.0,7.16,7.0,9.12,9.62,7.47,5.72,6.56,7.12,4.84,3.03,3.97,5.97,5.62,4.44,5.19,7.22,7.0,4.84,3.0,3.84,4.09,2.34,1.44,3.84,6.59,6.81,6.38,8.75,12.0,12.69,11.34,11.5,12.31,11.16,8.31,6.56,7.94,9.25,8.19,7.16,8.56,9.66,7.81,4.59,3.75,3.97,2.03,-1.16,-2.41,-1.25,-1.12,-2.5,-2.66,-0.12,1.88,1.16,0.22,1.31,3.09,2.19,1.34,3.31,6.47,7.94,6.97,6.72,7.69,7.0,3.69,1.81,2.56,3.47,2.0,0.12,0.84,2.06,1.0,-1.09,-1.03,0.78,1.19,-0.19,0.12,2.91,4.78,4.03,3.91,6.94,9.94,10.66,10.94,13.16,15.38,14.59,12.34,11.34,12.75,12.59,10.44,9.72,11.25,11.62,9.16,6.91,7.47,8.97,8.94,9.41,12.69,17.25,19.12,18.78,19.0,20.09,19.38,15.97,13.19,13.0,12.38,9.19,6.69,7.12,8.38,7.31,5.5,5.94,7.56,7.5,6.16,7.31,10.81,13.19,13.16,13.41,15.38,15.88,13.12,9.81,8.72,8.81,7.72,5.78,6.5,8.94,9.09,7.91,8.31,10.88,13.09,13.06,13.25,15.25,17.09,15.81,13.53,13.28,13.88,12.25,9.12,8.22,9.19,9.19,7.75,7.97,10.56,12.19,10.84,9.53,10.59,12.0,11.03,10.03,11.47,14.25,15.0,14.0,14.47,16.03,16.19,13.66,11.59,11.56,10.88,7.59,4.81,5.31,6.75,7.0,6.44,8.53,11.88,13.41,12.38,13.03,15.34,16.44,15.59,15.5,17.97,19.75,18.28,16.84,17.38,18.5,17.31,15.38,16.25,18.75,20.09,20.19,21.06,23.84,25.31,23.81,22.81,24.25,25.5,24.12,21.62,21.09,21.09,19.19,16.19,15.41,15.84,15.03,12.06,10.47,11.03,11.47,9.91,8.81,10.81,13.0,12.66,11.75,12.72,14.28,13.62,11.56,11.78,14.09,14.97,13.81,13.41,15.09,16.28,14.69,13.5,15.09,16.94,16.56,15.81,17.19,19.75,20.03,18.59,17.78,18.97,18.91,16.38,15.31,16.66,17.66,16.22,14.88,15.94,17.91,17.34,16.16,17.06,19.78,20.66,19.84,20.31,22.66,23.47,21.66,20.19,21.0,21.94,20.38,19.06,20.41,22.72,22.59,21.19,21.28,22.19,21.81,19.12,17.91,19.19,19.81,17.97,16.41,17.06,17.19,14.09,9.81,7.41,6.12,3.41,0.44,0.28,2.97,4.56,4.59,5.38,8.06,10.59,10.81,10.62,12.75,15.16,14.25,12.34,12.16,12.97,11.91,9.22,8.53,9.25,9.81,8.12,7.5,9.5,11.41,10.88,10.44,12.44,14.75,14.22,12.31,11.44,11.53,10.12,7.19,6.53,8.75,10.56,10.59,11.28,14.12,16.75,16.62,15.94,17.06,18.69,18.28,16.53,15.97,16.72,15.44,11.75,8.72,8.09,7.84,5.59,4.66,6.78,9.28,9.28,8.81,10.06,11.75,10.72,8.0,6.53,7.31,7.41,6.31,6.91,9.97,12.81,12.69,12.69,15.16,17.91,18.75,18.78,20.62,23.03,23.06,20.91,19.41,19.28,18.09,14.62,12.28,12.91,13.81,12.81,11.97,13.38,15.16,14.0,12.12,11.97,13.31,13.0,11.28,10.75,12.91,14.69,14.22,14.38,16.25,17.31,14.56,11.28,10.19,10.59,9.81,8.47,9.34,11.81,12.34,10.88,9.91,11.19,11.88,9.97,8.59,9.44,10.84,10.19,9.38,11.19,14.38,16.5,17.41,20.0,25.06,28.34,29.09,30.09,32.25,33.0,30.41,27.12,25.91,25.09,22.34,19.56,19.59,21.56,22.19,21.78,22.91,25.69,26.75,24.72,22.91,22.03,20.53,16.53,12.62,11.78,12.28,11.72,11.19,13.59,18.62,22.16,23.84,25.84,27.91,27.5,23.28,18.88,16.69,15.19,12.03,9.44,9.94,12.09,12.88,13.03,14.97,18.69,21.0,21.66,23.19,26.97,29.44,28.94,27.78,28.31,28.34,25.97,23.0,22.34,22.72,21.06,17.88,16.19,16.19,15.25,12.62,10.53,11.25,11.78,10.75,10.22,13.28,17.03,19.06,20.12,22.31,24.88,24.78,22.84,21.25,21.62,20.97,18.09,15.38,14.94,13.78,10.5,7.31,6.78,7.81,7.06,6.06,7.06,9.75,11.16,10.53,10.44,11.94,12.0,9.41,7.31,8.53,10.16,10.12,9.78,12.53,16.19,17.47,17.47,18.66,20.56,20.12,17.59,15.97,15.91,15.47,12.72,10.41,11.0,12.38,12.03,11.72,13.59,16.62,17.91,17.59,18.41,21.5,22.84,22.03,21.38,22.59,22.84,20.19,17.53,17.53,18.41,17.47,15.5,15.94,17.62,17.5,14.81,12.84,11.78,9.69,5.53,2.5,3.22,4.44,4.12,3.94,6.31,10.25,11.91,12.22,13.88,15.91,15.97,13.69,12.12,12.88,13.62,12.84,12.78,15.59,18.59,18.28,17.12,17.97,19.25,18.09,15.69,14.75,15.34,14.97,13.22,12.72,14.75,16.09,14.78,13.44,14.41,15.38,13.88,11.66,11.5,12.5,12.09,10.66,11.06,13.03,13.97,12.34,11.44,12.5,13.41,11.84,10.41,11.41,13.12,12.53,10.88,11.0,12.59,12.69,11.16,11.34,13.94,16.03,15.84,15.91,18.03,19.66,18.5,17.0,18.0,19.75,19.69,18.44,19.0,20.03,19.25,16.47,14.56,14.88,14.72,12.25,10.16,10.53,10.72,8.88,7.16,8.12,10.25,9.75,7.88,7.78,8.5,8.75,7.31,6.91,8.44,9.88,8.25,6.56,7.47,8.97,8.16,6.66,7.81,10.06,10.56,8.94,9.0,10.41,9.59,6.5,4.69,5.31,6.31,5.69,5.41,7.88,10.28,10.69,9.81,11.09,13.41,13.78,12.0,11.5,12.34,11.59,8.28,5.91,5.94,6.12,4.53,2.84,3.72,4.94,3.88,1.28,0.31,1.41,1.19,-0.38,-0.22,1.78,2.88,0.91,-0.72,-0.16,1.0,-0.25,-1.47,-0.31,2.19,2.53,1.38,1.97,3.66,3.84,1.47,0.62,1.97,3.16,2.09,0.28,0.5,0.72,-1.5,-4.09,-3.38,-0.47,0.88,1.03,2.84,5.91,7.31,6.19,5.03,5.81,6.06,3.5,0.84,34.97,36.62,37.03,36.25,36.47,36.84,36.12,34.47,33.47,33.06,31.81,28.12,25.34,24.66,24.03,22.69,21.97,23.38,25.0,25.28,25.0,26.09,27.66,27.5,26.69,26.31,27.03,26.78,25.56,24.75,25.97,27.34,27.0,26.31,27.03,27.31,26.28,24.66,24.97,26.84,28.44,29.59:negativity
26.16,26.09,25.12,26.38,29.22,30.75,30.28,30.31,32.34,33.31,31.47,29.56,30.03,31.47,31.16,30.59,32.5,35.78,37.44,37.41,38.62,41.09,41.62,38.84,36.16,35.03,33.62,29.91,26.19,25.22,25.38,23.75,22.09,23.22,26.03,27.75,27.94,29.03,31.5,32.66,30.78,28.91,28.75,28.38,25.56,22.94,22.97,24.31,24.56,23.91,25.56,28.66,30.81,30.34,30.44,32.06,32.34,30.03,27.19,26.66,26.41,23.88,21.31,20.88,21.72,21.22,19.34,18.78,20.44,21.31,20.31,20.12,22.47,25.19,25.22,25.25,27.69,30.72,31.19,30.34,31.5,33.88,34.81,34.38,35.62,38.84,40.84,40.47,39.84,40.78,41.22,38.94,35.88,35.16,35.12,32.78,29.59,28.41,28.59,28.38,26.56,26.5,28.59,29.97,28.31,26.38,26.44,26.75,25.66,24.03,25.16,27.72,28.12,26.47,26.09,27.34,27.75,25.91,25.03,26.34,26.81,24.31,21.44,20.53,20.06,17.78,15.0,14.97,17.41,18.88,18.72,19.69,21.81,22.03,19.31,17.47,18.66,20.84,21.03,21.22,23.19,25.94,25.88,24.0,23.34,23.56,22.16,18.38,15.72,15.44,15.59,13.91,13.38,15.88,18.59,18.81,16.97,16.59,17.31,16.12,13.94,14.03,16.66,18.22,17.16,16.97,18.25,19.12,17.25,15.66,16.69,18.59,17.78,16.84,18.38,21.47,22.88,22.31,22.81,24.94,25.56,24.38,23.78,25.03,26.12,24.19,21.41,20.53,20.72,19.0,16.59,16.31,18.09,19.0,18.03,18.47,21.03,23.38,23.16,22.78,24.91,27.0,26.12,24.59,24.94,26.44,26.06,24.03,23.91,25.09,25.44,23.47,22.16,23.38,24.59,23.25,21.75,22.97,24.5,23.56,21.59,22.38,24.44,25.16,24.31,24.25,25.62,25.38,22.62,20.28,21.03,22.16,21.34,20.88,22.47,24.91,24.53,23.0,23.44,25.34,26.12,25.34,25.5,28.03,29.78,28.88,27.38,27.62,27.66,24.78,20.66,18.72,18.62,16.91,13.97,13.41,15.06,15.72,14.59,14.09,15.94,17.53,16.34,15.44,17.0,18.88,18.47,17.22,17.59,19.28,19.16,16.72,15.22,15.38,14.25,11.12,9.34,11.03,13.5,14.28,15.06,18.25,22.72,24.66,25.06,26.47,29.03,29.16,26.66,24.81,25.12,24.81,22.22,20.0,21.0,22.47,21.31,19.69,20.38,22.59,22.81,21.88,22.84,26.16,28.12,27.31,26.66,27.38,26.12,21.69,16.78,15.25,14.5,12.5,11.31,13.03,16.81,19.09,19.81,21.03,23.84,25.03,23.53,21.97,23.03,23.66,22.12,20.22,21.66,24.44,25.16,24.88,26.0,27.88,27.41,24.25,22.03,22.38,22.44,21.0,20.0,22.47,24.97,25.22,24.91,26.78,29.28,29.09,26.38,24.25,23.44,21.41,17.22,14.19,13.88,13.84,11.19,8.75,8.84,9.41,7.94,5.56,5.88,8.09,8.5,7.62,8.09,11.16,13.47,14.09,15.81,20.19,24.06,24.62,23.91,25.25,26.72,25.94,23.81,23.72,25.03,24.97,22.75,21.62,22.72,22.66,19.75,17.34,17.75,18.72,17.41,15.91,17.06,19.69,20.53,20.09,21.19,23.94,25.38,24.59,24.16,26.25,27.75,26.31,24.62,25.53,26.5,25.12,22.84,22.28,23.12,22.5,20.16,18.97,20.19,20.09,17.88,16.34,18.22,19.56,18.34,16.78,17.78,19.31,19.0,17.88,19.16,21.88,23.69,22.91,23.56,26.62,28.66,28.62,28.41,30.66,32.38,30.66,28.25,28.22,28.91,27.91,25.81,24.84,25.41,24.41,20.69,17.88,17.28,16.31,13.19,10.62,11.34,12.97,12.94,12.16,13.31,15.28,15.97,15.31,16.28,19.66,22.03,21.59,21.72,23.91,26.0,25.75,25.0,26.44,28.06,27.25,24.78,24.84,26.56,27.16,26.34,27.19,29.97,32.25,31.72,30.88,32.28,33.62,31.91,29.31,28.75,28.5,26.31,22.91,21.34,22.16,21.81,19.44,17.75,17.94,17.28,14.0,11.03,11.06,13.0,13.03,12.5,13.97,16.03,15.94,13.84,13.12,15.25,16.72,16.28,16.75,18.84,20.53,18.75,16.38,16.19,17.47,17.47,16.88,18.72,21.81,22.88,21.31,20.41,21.31,21.66,19.88,18.69,19.78,20.88,19.72,17.66,17.5,17.97,16.0,11.91,9.25,8.56,7.22,4.5,3.34,5.16,7.0,6.31,5.75,7.41,9.41,8.69,7.62,8.56,11.53,13.06,13.78,16.16,20.59,24.09,24.75,25.59,27.78,29.25,27.19,24.34,23.75,23.81,22.09,20.06,20.22,22.03,22.62,21.0,19.94,20.16,19.59,16.75,14.25,14.75,16.0,15.31,13.69,14.38,15.75,15.0,12.97,12.28,13.22,12.47,9.09,6.62,5.94,5.19,2.59,0.72,2.12,4.25,5.22,5.34,7.44,10.75,12.0,12.0,13.53,17.31,20.28,21.16,21.94,24.53,26.53,25.53,23.94,24.22,25.09,23.12,20.0,18.59,19.03,18.31,16.84,17.28,20.75,23.91,24.25,24.22,24.94,24.94,21.62,17.59,15.38,14.0,10.38,5.16,1.19,-0.5,-2.78,-5.66,-6.62,-3.53,-0.03,1.88,4.16,8.47,13.38,15.31,15.72,17.22,20.0,20.41,19.09,18.84,20.38,20.28,17.62,14.84,14.22,13.59,11.12,8.84,9.53,12.06,12.44,11.78,12.62,14.78,15.47,14.69,15.25,18.16,20.62,20.34,19.72,21.16,21.91,19.78,16.72,16.06,17.12,17.19,17.03,18.56,21.53,22.97,21.44,20.12,20.59,20.56,17.84,14.62,14.03,13.75,11.47,8.5,7.25,7.66,6.69,4.03,3.16,4.81,6.06,6.28,7.16,11.19,14.81,15.81,16.19,18.03,20.0,19.53,17.47,16.88,17.66,17.44,15.44,13.94,14.34,14.03,11.03,7.81,7.69,8.06,6.97,5.91,7.06,8.97,8.84,6.38,4.62,4.81,4.53,2.62,2.38,5.59,9.19,10.5,11.56,14.53,17.25,17.47,15.94,16.44,18.03,18.25,16.41,15.69,16.66,16.25,13.22,9.88,10.19,10.25,9.34,8.84,11.16,14.0,14.81,13.88,14.69,16.84,17.88,16.91,16.66,18.38,19.69,18.53,17.5,19.03,21.22,21.25,20.59,21.69,23.28,22.62,19.19,16.72,15.94,14.56,11.41,9.53,10.88,12.44,11.41,10.41,11.75,13.75,13.44,12.06,12.66,14.56,15.0,13.5,13.41,15.34,16.94,16.44,16.41,18.53,20.31,19.22,17.28,17.66,18.22,17.25,14.88,13.91,14.81,14.31,12.0,10.34,11.19,12.09,11.16,11.09,13.88,17.53,18.47,17.66,18.0,18.34,16.53,12.59,10.22,9.88,9.0,6.5,4.94,6.06,7.62,7.09,6.78,9.28,13.44,15.97,17.78,20.84,24.5,25.47,23.25,21.62,20.78,19.12,14.62,10.25,8.53,8.03,6.28,5.16,7.12,10.5,12.03,12.0,13.34,16.09,18.06,17.62,18.06,20.03,20.88,18.97,16.31,16.12,16.28,14.22,11.25,10.25,11.22,10.75,8.88,8.75,10.31,10.78,8.78,7.84,9.5,11.78,12.22,12.56,14.41,16.81,16.16,13.53,12.28,12.5,11.44,8.88,8.25,10.16,12.19,11.72,11.09,11.69,11.53,7.53,2.84,0.62,0.06,-1.03,-3.09,-2.84,-0.47,0.44,-1.12,-2.34,-1.94,-2.34,-5.19,-7.84,-7.38,-5.66,-5.72,-6.31,-4.53,-1.19,0.12,0.03,0.94,4.69,6.88,7.06,7.97,10.84,12.62,10.94,8.16,6.44,5.44,2.0,-1.88,-3.34,-2.41,-1.88,-2.62,-2.41,0.03,1.66,0.56,0.12,2.69,6.38,7.69,8.78,11.66,15.16,15.69,14.47,14.34,15.78,15.91,13.25,10.97,10.91,10.78,8.56,6.69,7.56,9.22,8.62,7.19,7.69,9.5,9.56,7.91,6.91,7.84,7.78,5.41,3.53,4.53,6.09,5.84,5.78,9.0,13.28,15.22,15.5,16.91,19.41,19.34,16.94,15.06,15.88,16.22,14.28,12.84,13.78,15.03,13.81,12.09,13.06,15.56,16.0,15.0,15.16,16.84,17.12,15.12,14.09,15.84,17.38,16.25,15.12,16.31,17.94,17.28,15.97,16.5,18.47,18.38,16.75,16.47,18.03,18.66,17.03,15.91,17.34,18.88,17.91,16.66,18.16,20.47,20.78,20.19,21.59,24.44,25.31,23.38,21.66,21.25,19.31,14.5,10.19,8.69,7.97,5.41,2.94,3.41,5.22,5.22,3.69,3.69,5.88,6.66,5.56,5.59,7.97,10.31,10.0,10.06,12.06,14.72,14.34,12.53,12.12,12.84,11.91,9.38,8.62,9.97,10.28,7.47,4.94,4.62,4.0,1.25,-1.59,-1.59,0.09,0.78,0.47,2.88,7.0,9.31,8.62,8.06,9.25,9.38,7.03,4.47,4.97,5.38,3.41,1.28,2.0,4.88,6.09,6.22,7.62,10.38,10.69,8.75,7.38,7.88,8.28,6.53,4.38,5.06,6.34,5.69,4.16,5.12,8.0,9.53,9.25,10.31,12.94,14.12,12.66,11.12,11.78,12.38,10.44,7.5,7.19,7.66,6.16,3.22,2.75,4.0,4.38,2.84,2.62,5.44,7.66,7.44,7.66,10.0,12.5,12.84,11.88,13.84,17.0,18.56,18.47,19.56,21.38,21.06,17.28,13.56,12.0,10.56,6.97,4.5,4.94,6.41,6.06,4.25,4.06,4.78,3.88,1.31,0.47,2.41,4.0,2.97:30.31,32.34,33.31,31.47,29.56,30.03,31.47,31.16,30.59,32.5,35.78,37.44,37.41,38.62,41.09,41.62,38.84,36.16,35.03,33.62,29.91,26.19,25.22,25.38,23.75,22.09,23.22,26.03,27.75,27.94,29.03,31.5,32.66,30.78,28.91,28.75,28.38,25.56,22.94,22.97,24.31,24.56,23.91,25.56,28.66,30.81,30.34,30.44,32.06,32.34,30.03,27.19,26.66,26.41,23.88,21.31,20.88,21.72,21.22,19.34,18.78,20.44,21.31,20.31,20.12,22.47,25.19,25.22,25.25,27.69,30.72,31.19,30.34,31.5,33.88,34.81,34.38,35.62,38.84,40.84,40.47,39.84,40.78,41.22,38.94,35.88,35.16,35.12,32.78,29.59,28.41,28.59,28.38,26.56,26.5,28.59,29.97,28.31,26.38,26.44,26.75,25.66,24.03,25.16,27.72,28.12,26.47,26.09,27.34,27.75,25.91,25.03,26.34,26.81,24.31,21.44,20.53,20.06,17.78,15.0,14.97,17.41,18.88,18.72,19.69,21.81,22.03,19.31,17.47,18.66,20.84,21.03,21.22,23.19,25.94,25.88,24.0,23.34,23.56,22.16,18.38,15.72,15.44,15.59,13.91,13.38,15.88,18.59,18.81,16.97,16.59,17.31,16.12,13.94,14.03,16.66,18.22,17.16,16.97,18.25,19.12,17.25,15.66,16.69,18.59,17.78,16.84,18.38,21.47,22.88,22.31,22.81,24.94,25.56,24.38,23.78,25.03,26.12,24.19,21.41,20.53,20.72,19.0,16.59,16.31,18.09,19.0,18.03,18.47,21.03,23.38,23.16,22.78,24.91,27.0,26.12,24.59,24.94,26.44,26.06,24.03,23.91,25.09,25.44,23.47,22.16,23.38,24.59,23.25,21.75,22.97,24.5,23.56,21.59,22.38,24.44,25.16,24.31,24.25,25.62,25.38,22.62,20.28,21.03,22.16,21.34,20.88,22.47,24.91,24.53,23.0,23.44,25.34,26.12,25.34,25.5,28.03,29.78,28.88,27.38,27.62,27.66,24.78,20.66,18.72,18.62,16.91,13.97,13.41,15.06,15.72,14.59,14.09,15.94,17.53,16.34,15.44,17.0,18.88,18.47,17.22,17.59,19.28,19.16,16.72,15.22,15.38,14.25,11.12,9.34,11.03,13.5,14.28,15.06,18.25,22.72,24.66,25.06,26.47,29.03,29.16,26.66,24.81,25.12,24.81,22.22,20.0,21.0,22.47,21.31,19.69,20.38,22.59,22.81,21.88,22.84,26.16,28.12,27.31,26.66,27.38,26.12,21.69,16.78,15.25,14.5,12.5,11.31,13.03,16.81,19.09,19.81,21.03,23.84,25.03,23.53,21.97,23.03,23.66,22.12,20.22,21.66,24.44,25.16,24.88,26.0,27.88,27.41,24.25,22.03,22.38,22.44,21.0,20.0,22.47,24.97,25.22,24.91,26.78,29.28,29.09,26.38,24.25,23.44,21.41,17.22,14.19,13.88,13.84,11.19,8.75,8.84,9.41,7.94,5.56,5.88,8.09,8.5,7.62,8.09,11.16,13.47,14.09,15.81,20.19,24.06,24.62,23.91,25.25,26.72,25.94,23.81,23.72,25.03,24.97,22.75,21.62,22.72,22.66,19.75,17.34,17.75,18.72,17.41,15.91,17.06,19.69,20.53,20.09,21.19,23.94,25.38,24.59,24.16,26.25,27.75,26.31,24.62,25.53,26.5,25.12,22.84,22.28,23.12,22.5,20.16,18.97,20.19,20.09,17.88,16.34,18.22,19.56,18.34,16.78,17.78,19.31,19.0,17.88,19.16,21.88,23.69,22.91,23.56,26.62,28.66,28.62,28.41,30.66,32.38,30.66,28.25,28.22,28.91,27.91,25.81,24.84,25.41,24.41,20.69,17.88,17.28,16.31,13.19,10.62,11.34,12.97,12.94,12.16,13.31,15.28,15.97,15.31,16.28,19.66,22.03,21.59,21.72,23.91,26.0,25.75,25.0,26.44,28.06,27.25,24.78,24.84,26.56,27.16,26.34,27.19,29.97,32.25,31.72,30.88,32.28,33.62,31.91,29.31,28.75,28.5,26.31,22.91,21.34,22.16,21.81,19.44,17.75,17.94,17.28,14.0,11.03,11.06,13.0,13.03,12.5,13.97,16.03,15.94,13.84,13.12,15.25,16.72,16.28,16.75,18.84,20.53,18.75,16.38,16.19,17.47,17.47,16.88,18.72,21.81,22.88,21.31,20.41,21.31,21.66,19.88,18.69,19.78,20.88,19.72,17.66,17.5,17.97,16.0,11.91,9.25,8.56,7.22,4.5,3.34,5.16,7.0,6.31,5.75,7.41,9.41,8.69,7.62,8.56,11.53,13.06,13.78,16.16,20.59,24.09,24.75,25.59,27.78,29.25,27.19,24.34,23.75,23.81,22.09,20.06,20.22,22.03,22.62,21.0,19.94,20.16,19.59,16.75,14.25,14.75,16.0,15.31,13.69,14.38,15.75,15.0,12.97,12.28,13.22,12.47,9.09,6.62,5.94,5.19,2.59,0.72,2.12,4.25,5.22,5.34,7.44,10.75,12.0,12.0,13.53,17.31,20.28,21.16,21.94,24.53,26.53,25.53,23.94,24.22,25.09,23.12,20.0,18.59,19.03,18.31,16.84,17.28,20.75,23.91,24.25,24.22,24.94,24.94,21.62,17.59,15.38,14.0,10.38,5.16,1.19,-0.5,-2.78,-5.66,-6.62,-3.53,-0.03,1.88,4.16,8.47,13.38,15.31,15.72,17.22,20.0,20.41,19.09,18.84,20.38,20.28,17.62,14.84,14.22,13.59,11.12,8.84,9.53,12.06,12.44,11.78,12.62,14.78,15.47,14.69,15.25,18.16,20.62,20.34,19.72,21.16,21.91,19.78,16.72,16.06,17.12,17.19,17.03,18.56,21.53,22.97,21.44,20.12,20.59,20.56,17.84,14.62,14.03,13.75,11.47,8.5,7.25,7.66,6.69,4.03,3.16,4.81,6.06,6.28,7.16,11.19,14.81,15.81,16.19,18.03,20.0,19.53,17.47,16.88,17.66,17.44,15.44,13.94,14.34,14.03,11.03,7.81,7.69,8.06,6.97,5.91,7.06,8.97,8.84,6.38,4.62,4.81,4.53,2.62,2.38,5.59,9.19,10.5,11.56,14.53,17.25,17.47,15.94,16.44,18.03,18.25,16.41,15.69,16.66,16.25,13.22,9.88,10.19,10.25,9.34,8.84,11.16,14.0,14.81,13.88,14.69,16.84,17.88,16.91,16.66,18.38,19.69,18.53,17.5,19.03,21.22,21.25,20.59,21.69,23.28,22.62,19.19,16.72,15.94,14.56,11.41,9.53,10.88,12.44,11.41,10.41,11.75,13.75,13.44,12.06,12.66,14.56,15.0,13.5,13.41,15.34,16.94,16.44,16.41,18.53,20.31,19.22,17.28,17.66,18.22,17.25,14.88,13.91,14.81,14.31,12.0,10.34,11.19,12.09,11.16,11.09,13.88,17.53,18.47,17.66,18.0,18.34,16.53,12.59,10.22,9.88,9.0,6.5,4.94,6.06,7.62,7.09,6.78,9.28,13.44,15.97,17.78,20.84,24.5,25.47,23.25,21.62,20.78,19.12,14.62,10.25,8.53,8.03,6.28,5.16,7.12,10.5,12.03,12.0,13.34,16.09,18.06,17.62,18.06,20.03,20.88,18.97,16.31,16.12,16.28,14.22,11.25,10.25,11.22,10.75,8.88,8.75,10.31,10.78,8.78,7.84,9.5,11.78,12.22,12.56,14.41,16.81,16.16,13.53,12.28,12.5,11.44,8.88,8.25,10.16,12.19,11.72,11.09,11.69,11.53,7.53,2.84,0.62,0.06,-1.03,-3.09,-2.84,-0.47,0.44,-1.12,-2.34,-1.94,-2.34,-5.19,-7.84,-7.38,-5.66,-5.72,-6.31,-4.53,-1.19,0.12,0.03,0.94,4.69,6.88,7.06,7.97,10.84,12.62,10.94,8.16,6.44,5.44,2.0,-1.88,-3.34,-2.41,-1.88,-2.62,-2.41,0.03,1.66,0.56,0.12,2.69,6.38,7.69,8.78,11.66,15.16,15.69,14.47,14.34,15.78,15.91,13.25,10.97,10.91,10.78,8.56,6.69,7.56,9.22,8.62,7.19,7.69,9.5,9.56,7.91,6.91,7.84,7.78,5.41,3.53,4.53,6.09,5.84,5.78,9.0,13.28,15.22,15.5,16.91,19.41,19.34,16.94,15.06,15.88,16.22,14.28,12.84,13.78,15.03,13.81,12.09,13.06,15.56,16.0,15.0,15.16,16.84,17.12,15.12,14.09,15.84,17.38,16.25,15.12,16.31,17.94,17.28,15.97,16.5,18.47,18.38,16.75,16.47,18.03,18.66,17.03,15.91,17.34,18.88,17.91,16.66,18.16,20.47,20.78,20.19,21.59,24.44,25.31,23.38,21.66,21.25,19.31,14.5,10.19,8.69,7.97,5.41,2.94,3.41,5.22,5.22,3.69,3.69,5.88,6.66,5.56,5.59,7.97,10.31,10.0,10.06,12.06,14.72,14.34,12.53,12.12,12.84,11.91,9.38,8.62,9.97,10.28,7.47,4.94,4.62,4.0,1.25,-1.59,-1.59,0.09,0.78,0.47,2.88,7.0,9.31,8.62,8.06,9.25,9.38,7.03,4.47,4.97,5.38,3.41,1.28,2.0,4.88,6.09,6.22,7.62,10.38,10.69,8.75,7.38,7.88,8.28,6.53,4.38,5.06,6.34,5.69,4.16,5.12,8.0,9.53,9.25,10.31,12.94,14.12,12.66,11.12,11.78,12.38,10.44,7.5,7.19,7.66,6.16,3.22,2.75,4.0,4.38,2.84,2.62,5.44,7.66,7.44,7.66,10.0,12.5,12.84,11.88,13.84,17.0,18.56,18.47,19.56,21.38,21.06,17.28,13.56,12.0,10.56,6.97,4.5,4.94,6.41,6.06,4.25,4.06,4.78,3.88,1.31,0.47,2.41,4.0,2.97,15.56,15.16,14.41,15.12,16.97,17.56,16.78:31.16,30.59,32.5,35.78,37.44,37.41,38.62,41.09,41.62,38.84,36.16,35.03,33.62,29.91,26.19,25.22,25.38,23.75,22.09,23.22,26.03,27.75,27.94,29.03,31.5,32.66,30.78,28.91,28.75,28.38,25.56,22.94,22.97,24.31,24.56,23.91,25.56,28.66,30.81,30.34,30.44,32.06,32.34,30.03,27.19,26.66,26.41,23.88,21.31,20.88,21.72,21.22,19.34,18.78,20.44,21.31,20.31,20.12,22.47,25.19,25.22,25.25,27.69,30.72,31.19,30.34,31.5,33.88,34.81,34.38,35.62,38.84,40.84,40.47,39.84,40.78,41.22,38.94,35.88,35.16,35.12,32.78,29.59,28.41,28.59,28.38,26.56,26.5,28.59,29.97,28.31,26.38,26.44,26.75,25.66,24.03,25.16,27.72,28.12,26.47,26.09,27.34,27.75,25.91,25.03,26.34,26.81,24.31,21.44,20.53,20.06,17.78,15.0,14.97,17.41,18.88,18.72,19.69,21.81,22.03,19.31,17.47,18.66,20.84,21.03,21.22,23.19,25.94,25.88,24.0,23.34,23.56,22.16,18.38,15.72,15.44,15.59,13.91,13.38,15.88,18.59,18.81,16.97,16.59,17.31,16.12,13.94,14.03,16.66,18.22,17.16,16.97,18.25,19.12,17.25,15.66,16.69,18.59,17.78,16.84,18.38,21.47,22.88,22.31,22.81,24.94,25.56,24.38,23.78,25.03,26.12,24.19,21.41,20.53,20.72,19.0,16.59,16.31,18.09,19.0,18.03,18.47,21.03,23.38,23.16,22.78,24.91,27.0,26.12,24.59,24.94,26.44,26.06,24.03,23.91,25.09,25.44,23.47,22.16,23.38,24.59,23.25,21.75,22.97,24.5,23.56,21.59,22.38,24.44,25.16,24.31,24.25,25.62,25.38,22.62,20.28,21.03,22.16,21.34,20.88,22.47,24.91,24.53,23.0,23.44,25.34,26.12,25.34,25.5,28.03,29.78,28.88,27.38,27.62,27.66,24.78,20.66,18.72,18.62,16.91,13.97,13.41,15.06,15.72,14.59,14.09,15.94,17.53,16.34,15.44,17.0,18.88,18.47,17.22,17.59,19.28,19.16,16.72,15.22,15.38,14.25,11.12,9.34,11.03,13.5,14.28,15.06,18.25,22.72,24.66,25.06,26.47,29.03,29.16,26.66,24.81,25.12,24.81,22.22,20.0,21.0,22.47,21.31,19.69,20.38,22.59,22.81,21.88,22.84,26.16,28.12,27.31,26.66,27.38,26.12,21.69,16.78,15.25,14.5,12.5,11.31,13.03,16.81,19.09,19.81,21.03,23.84,25.03,23.53,21.97,23.03,23.66,22.12,20.22,21.66,24.44,25.16,24.88,26.0,27.88,27.41,24.25,22.03,22.38,22.44,21.0,20.0,22.47,24.97,25.22,24.91,26.78,29.28,29.09,26.38,24.25,23.44,21.41,17.22,14.19,13.88,13.84,11.19,8.75,8.84,9.41,7.94,5.56,5.88,8.09,8.5,7.62,8.09,11.16,13.47,14.09,15.81,20.19,24.06,24.62,23.91,25.25,26.72,25.94,23.81,23.72,25.03,24.97,22.75,21.62,22.72,22.66,19.75,17.34,17.75,18.72,17.41,15.91,17.06,19.69,20.53,20.09,21.19,23.94,25.38,24.59,24.16,26.25,27.75,26.31,24.62,25.53,26.5,25.12,22.84,22.28,23.12,22.5,20.16,18.97,20.19,20.09,17.88,16.34,18.22,19.56,18.34,16.78,17.78,19.31,19.0,17.88,19.16,21.88,23.69,22.91,23.56,26.62,28.66,28.62,28.41,30.66,32.38,30.66,28.25,28.22,28.91,27.91,25.81,24.84,25.41,24.41,20.69,17.88,17.28,16.31,13.19,10.62,11.34,12.97,12.94,12.16,13.31,15.28,15.97,15.31,16.28,19.66,22.03,21.59,21.72,23.91,26.0,25.75,25.0,26.44,28.06,27.25,24.78,24.84,26.56,27.16,26.34,27.19,29.97,32.25,31.72,30.88,32.28,33.62,31.91,29.31,28.75,28.5,26.31,22.91,21.34,22.16,21.81,19.44,17.75,17.94,17.28,14.0,11.03,11.06,13.0,13.03,12.5,13.97,16.03,15.94,13.84,13.12,15.25,16.72,16.28,16.75,18.84,20.53,18.75,16.38,16.19,17.47,17.47,16.88,18.72,21.81,22.88,21.31,20.41,21.31,21.66,19.88,18.69,19.78,20.88,19.72,17.66,17.5,17.97,16.0,11.91,9.25,8.56,7.22,4.5,3.34,5.16,7.0,6.31,5.75,7.41,9.41,8.69,7.62,8.56,11.53,13.06,13.78,16.16,20.59,24.09,24.75,25.59,27.78,29.25,27.19,24.34,23.75,23.81,22.09,20.06,20.22,22.03,22.62,21.0,19.94,20.16,19.59,16.75,14.25,14.75,16.0,15.31,13.69,14.38,15.75,15.0,12.97,12.28,13.22,12.47,9.09,6.62,5.94,5.19,2.59,0.72,2.12,4.25,5.22,5.34,7.44,10.75,12.0,12.0,13.53,17.31,20.28,21.16,21.94,24.53,26.53,25.53,23.94,24.22,25.09,23.12,20.0,18.59,19.03,18.31,16.84,17.28,20.75,23.91,24.25,24.22,24.94,24.94,21.62,17.59,15.38,14.0,10.38,5.16,1.19,-0.5,-2.78,-5.66,-6.62,-3.53,-0.03,1.88,4.16,8.47,13.38,15.31,15.72,17.22,20.0,20.41,19.09,18.84,20.38,20.28,17.62,14.84,14.22,13.59,11.12,8.84,9.53,12.06,12.44,11.78,12.62,14.78,15.47,14.69,15.25,18.16,20.62,20.34,19.72,21.16,21.91,19.78,16.72,16.06,17.12,17.19,17.03,18.56,21.53,22.97,21.44,20.12,20.59,20.56,17.84,14.62,14.03,13.75,11.47,8.5,7.25,7.66,6.69,4.03,3.16,4.81,6.06,6.28,7.16,11.19,14.81,15.81,16.19,18.03,20.0,19.53,17.47,16.88,17.66,17.44,15.44,13.94,14.34,14.03,11.03,7.81,7.69,8.06,6.97,5.91,7.06,8.97,8.84,6.38,4.62,4.81,4.53,2.62,2.38,5.59,9.19,10.5,11.56,14.53,17.25,17.47,15.94,16.44,18.03,18.25,16.41,15.69,16.66,16.25,13.22,9.88,10.19,10.25,9.34,8.84,11.16,14.0,14.81,13.88,14.69,16.84,17.88,16.91,16.66,18.38,19.69,18.53,17.5,19.03,21.22,21.25,20.59,21.69,23.28,22.62,19.19,16.72,15.94,14.56,11.41,9.53,10.88,12.44,11.41,10.41,11.75,13.75,13.44,12.06,12.66,14.56,15.0,13.5,13.41,15.34,16.94,16.44,16.41,18.53,20.31,19.22,17.28,17.66,18.22,17.25,14.88,13.91,14.81,14.31,12.0,10.34,11.19,12.09,11.16,11.09,13.88,17.53,18.47,17.66,18.0,18.34,16.53,12.59,10.22,9.88,9.0,6.5,4.94,6.06,7.62,7.09,6.78,9.28,13.44,15.97,17.78,20.84,24.5,25.47,23.25,21.62,20.78,19.12,14.62,10.25,8.53,8.03,6.28,5.16,7.12,10.5,12.03,12.0,13.34,16.09,18.06,17.62,18.06,20.03,20.88,18.97,16.31,16.12,16.28,14.22,11.25,10.25,11.22,10.75,8.88,8.75,10.31,10.78,8.78,7.84,9.5,11.78,12.22,12.56,14.41,16.81,16.16,13.53,12.28,12.5,11.44,8.88,8.25,10.16,12.19,11.72,11.09,11.69,11.53,7.53,2.84,0.62,0.06,-1.03,-3.09,-2.84,-0.47,0.44,-1.12,-2.34,-1.94,-2.34,-5.19,-7.84,-7.38,-5.66,-5.72,-6.31,-4.53,-1.19,0.12,0.03,0.94,4.69,6.88,7.06,7.97,10.84,12.62,10.94,8.16,6.44,5.44,2.0,-1.88,-3.34,-2.41,-1.88,-2.62,-2.41,0.03,1.66,0.56,0.12,2.69,6.38,7.69,8.78,11.66,15.16,15.69,14.47,14.34,15.78,15.91,13.25,10.97,10.91,10.78,8.56,6.69,7.56,9.22,8.62,7.19,7.69,9.5,9.56,7.91,6.91,7.84,7.78,5.41,3.53,4.53,6.09,5.84,5.78,9.0,13.28,15.22,15.5,16.91,19.41,19.34,16.94,15.06,15.88,16.22,14.28,12.84,13.78,15.03,13.81,12.09,13.06,15.56,16.0,15.0,15.16,16.84,17.12,15.12,14.09,15.84,17.38,16.25,15.12,16.31,17.94,17.28,15.97,16.5,18.47,18.38,16.75,16.47,18.03,18.66,17.03,15.91,17.34,18.88,17.91,16.66,18.16,20.47,20.78,20.19,21.59,24.44,25.31,23.38,21.66,21.25,19.31,14.5,10.19,8.69,7.97,5.41,2.94,3.41,5.22,5.22,3.69,3.69,5.88,6.66,5.56,5.59,7.97,10.31,10.0,10.06,12.06,14.72,14.34,12.53,12.12,12.84,11.91,9.38,8.62,9.97,10.28,7.47,4.94,4.62,4.0,1.25,-1.59,-1.59,0.09,0.78,0.47,2.88,7.0,9.31,8.62,8.06,9.25,9.38,7.03,4.47,4.97,5.38,3.41,1.28,2.0,4.88,6.09,6.22,7.62,10.38,10.69,8.75,7.38,7.88,8.28,6.53,4.38,5.06,6.34,5.69,4.16,5.12,8.0,9.53,9.25,10.31,12.94,14.12,12.66,11.12,11.78,12.38,10.44,7.5,7.19,7.66,6.16,3.22,2.75,4.0,4.38,2.84,2.62,5.44,7.66,7.44,7.66,10.0,12.5,12.84,11.88,13.84,17.0,18.56,18.47,19.56,21.38,21.06,17.28,13.56,12.0,10.56,6.97,4.5,4.94,6.41,6.06,4.25,4.06,4.78,3.88,1.31,0.47,2.41,4.0,2.97,15.56,15.16,14.41,15.12,16.97,17.56,16.78,16.5,17.47,17.59,16.5,15.53,16.81,18.75:41.09,41.62,38.84,36.16,35.03,33.62,29.91,26.19,25.22,25.38,23.75,22.09,23.22,26.03,27.75,27.94,29.03,31.5,32.66,30.78,28.91,28.75,28.38,25.56,22.94,22.97,24.31,24.56,23.91,25.56,28.66,30.81,30.34,30.44,32.06,32.34,30.03,27.19,26.66,26.41,23.88,21.31,20.88,21.72,21.22,19.34,18.78,20.44,21.31,20.31,20.12,22.47,25.19,25.22,25.25,27.69,30.72,31.19,30.34,31.5,33.88,34.81,34.38,35.62,38.84,40.84,40.47,39.84,40.78,41.22,38.94,35.88,35.16,35.12,32.78,29.59,28.41,28.59,28.38,26.56,26.5,28.59,29.97,28.31,26.38,26.44,26.75,25.66,24.03,25.16,27.72,28.12,26.47,26.09,27.34,27.75,25.91,25.03,26.34,26.81,24.31,21.44,20.53,20.06,17.78,15.0,14.97,17.41,18.88,18.72,19.69,21.81,22.03,19.31,17.47,18.66,20.84,21.03,21.22,23.19,25.94,25.88,24.0,23.34,23.56,22.16,18.38,15.72,15.44,15.59,13.91,13.38,15.88,18.59,18.81,16.97,16.59,17.31,16.12,13.94,14.03,16.66,18.22,17.16,16.97,18.25,19.12,17.25,15.66,16.69,18.59,17.78,16.84,18.38,21.47,22.88,22.31,22.81,24.94,25.56,24.38,23.78,25.03,26.12,24.19,21.41,20.53,20.72,19.0,16.59,16.31,18.09,19.0,18.03,18.47,21.03,23.38,23.16,22.78,24.91,27.0,26.12,24.59,24.94,26.44,26.06,24.03,23.91,25.09,25.44,23.47,22.16,23.38,24.59,23.25,21.75,22.97,24.5,23.56,21.59,22.38,24.44,25.16,24.31,24.25,25.62,25.38,22.62,20.28,21.03,22.16,21.34,20.88,22.47,24.91,24.53,23.0,23.44,25.34,26.12,25.34,25.5,28.03,29.78,28.88,27.38,27.62,27.66,24.78,20.66,18.72,18.62,16.91,13.97,13.41,15.06,15.72,14.59,14.09,15.94,17.53,16.34,15.44,17.0,18.88,18.47,17.22,17.59,19.28,19.16,16.72,15.22,15.38,14.25,11.12,9.34,11.03,13.5,14.28,15.06,18.25,22.72,24.66,25.06,26.47,29.03,29.16,26.66,24.81,25.12,24.81,22.22,20.0,21.0,22.47,21.31,19.69,20.38,22.59,22.81,21.88,22.84,26.16,28.12,27.31,26.66,27.38,26.12,21.69,16.78,15.25,14.5,12.5,11.31,13.03,16.81,19.09,19.81,21.03,23.84,25.03,23.53,21.97,23.03,23.66,22.12,20.22,21.66,24.44,25.16,24.88,26.0,27.88,27.41,24.25,22.03,22.38,22.44,21.0,20.0,22.47,24.97,25.22,24.91,26.78,29.28,29.09,26.38,24.25,23.44,21.41,17.22,14.19,13.88,13.84,11.19,8.75,8.84,9.41,7.94,5.56,5.88,8.09,8.5,7.62,8.09,11.16,13.47,14.09,15.81,20.19,24.06,24.62,23.91,25.25,26.72,25.94,23.81,23.72,25.03,24.97,22.75,21.62,22.72,22.66,19.75,17.34,17.75,18.72,17.41,15.91,17.06,19.69,20.53,20.09,21.19,23.94,25.38,24.59,24.16,26.25,27.75,26.31,24.62,25.53,26.5,25.12,22.84,22.28,23.12,22.5,20.16,18.97,20.19,20.09,17.88,16.34,18.22,19.56,18.34,16.78,17.78,19.31,19.0,17.88,19.16,21.88,23.69,22.91,23.56,26.62,28.66,28.62,28.41,30.66,32.38,30.66,28.25,28.22,28.91,27.91,25.81,24.84,25.41,24.41,20.69,17.88,17.28,16.31,13.19,10.62,11.34,12.97,12.94,12.16,13.31,15.28,15.97,15.31,16.28,19.66,22.03,21.59,21.72,23.91,26.0,25.75,25.0,26.44,28.06,27.25,24.78,24.84,26.56,27.16,26.34,27.19,29.97,32.25,31.72,30.88,32.28,33.62,31.91,29.31,28.75,28.5,26.31,22.91,21.34,22.16,21.81,19.44,17.75,17.94,17.28,14.0,11.03,11.06,13.0,13.03,12.5,13.97,16.03,15.94,13.84,13.12,15.25,16.72,16.28,16.75,18.84,20.53,18.75,16.38,16.19,17.47,17.47,16.88,18.72,21.81,22.88,21.31,20.41,21.31,21.66,19.88,18.69,19.78,20.88,19.72,17.66,17.5,17.97,16.0,11.91,9.25,8.56,7.22,4.5,3.34,5.16,7.0,6.31,5.75,7.41,9.41,8.69,7.62,8.56,11.53,13.06,13.78,16.16,20.59,24.09,24.75,25.59,27.78,29.25,27.19,24.34,23.75,23.81,22.09,20.06,20.22,22.03,22.62,21.0,19.94,20.16,19.59,16.75,14.25,14.75,16.0,15.31,13.69,14.38,15.75,15.0,12.97,12.28,13.22,12.47,9.09,6.62,5.94,5.19,2.59,0.72,2.12,4.25,5.22,5.34,7.44,10.75,12.0,12.0,13.53,17.31,20.28,21.16,21.94,24.53,26.53,25.53,23.94,24.22,25.09,23.12,20.0,18.59,19.03,18.31,16.84,17.28,20.75,23.91,24.25,24.22,24.94,24.94,21.62,17.59,15.38,14.0,10.38,5.16,1.19,-0.5,-2.78,-5.66,-6.62,-3.53,-0.03,1.88,4.16,8.47,13.38,15.31,15.72,17.22,20.0,20.41,19.09,18.84,20.38,20.28,17.62,14.84,14.22,13.59,11.12,8.84,9.53,12.06,12.44,11.78,12.62,14.78,15.47,14.69,15.25,18.16,20.62,20.34,19.72,21.16,21.91,19.78,16.72,16.06,17.12,17.19,17.03,18.56,21.53,22.97,21.44,20.12,20.59,20.56,17.84,14.62,14.03,13.75,11.47,8.5,7.25,7.66,6.69,4.03,3.16,4.81,6.06,6.28,7.16,11.19,14.81,15.81,16.19,18.03,20.0,19.53,17.47,16.88,17.66,17.44,15.44,13.94,14.34,14.03,11.03,7.81,7.69,8.06,6.97,5.91,7.06,8.97,8.84,6.38,4.62,4.81,4.53,2.62,2.38,5.59,9.19,10.5,11.56,14.53,17.25,17.47,15.94,16.44,18.03,18.25,16.41,15.69,16.66,16.25,13.22,9.88,10.19,10.25,9.34,8.84,11.16,14.0,14.81,13.88,14.69,16.84,17.88,16.91,16.66,18.38,19.69,18.53,17.5,19.03,21.22,21.25,20.59,21.69,23.28,22.62,19.19,16.72,15.94,14.56,11.41,9.53,10.88,12.44,11.41,10.41,11.75,13.75,13.44,12.06,12.66,14.56,15.0,13.5,13.41,15.34,16.94,16.44,16.41,18.53,20.31,19.22,17.28,17.66,18.22,17.25,14.88,13.91,14.81,14.31,12.0,10.34,11.19,12.09,11.16,11.09,13.88,17.53,18.47,17.66,18.0,18.34,16.53,12.59,10.22,9.88,9.0,6.5,4.94,6.06,7.62,7.09,6.78,9.28,13.44,15.97,17.78,20.84,24.5,25.47,23.25,21.62,20.78,19.12,14.62,10.25,8.53,8.03,6.28,5.16,7.12,10.5,12.03,12.0,13.34,16.09,18.06,17.62,18.06,20.03,20.88,18.97,16.31,16.12,16.28,14.22,11.25,10.25,11.22,10.75,8.88,8.75,10.31,10.78,8.78,7.84,9.5,11.78,12.22,12.56,14.41,16.81,16.16,13.53,12.28,12.5,11.44,8.88,8.25,10.16,12.19,11.72,11.09,11.69,11.53,7.53,2.84,0.62,0.06,-1.03,-3.09,-2.84,-0.47,0.44,-1.12,-2.34,-1.94,-2.34,-5.19,-7.84,-7.38,-5.66,-5.72,-6.31,-4.53,-1.19,0.12,0.03,0.94,4.69,6.88,7.06,7.97,10.84,12.62,10.94,8.16,6.44,5.44,2.0,-1.88,-3.34,-2.41,-1.88,-2.62,-2.41,0.03,1.66,0.56,0.12,2.69,6.38,7.69,8.78,11.66,15.16,15.69,14.47,14.34,15.78,15.91,13.25,10.97,10.91,10.78,8.56,6.69,7.56,9.22,8.62,7.19,7.69,9.5,9.56,7.91,6.91,7.84,7.78,5.41,3.53,4.53,6.09,5.84,5.78,9.0,13.28,15.22,15.5,16.91,19.41,19.34,16.94,15.06,15.88,16.22,14.28,12.84,13.78,15.03,13.81,12.09,13.06,15.56,16.0,15.0,15.16,16.84,17.12,15.12,14.09,15.84,17.38,16.25,15.12,16.31,17.94,17.28,15.97,16.5,18.47,18.38,16.75,16.47,18.03,18.66,17.03,15.91,17.34,18.88,17.91,16.66,18.16,20.47,20.78,20.19,21.59,24.44,25.31,23.38,21.66,21.25,19.31,14.5,10.19,8.69,7.97,5.41,2.94,3.41,5.22,5.22,3.69,3.69,5.88,6.66,5.56,5.59,7.97,10.31,10.0,10.06,12.06,14.72,14.34,12.53,12.12,12.84,11.91,9.38,8.62,9.97,10.28,7.47,4.94,4.62,4.0,1.25,-1.59,-1.59,0.09,0.78,0.47,2.88,7.0,9.31,8.62,8.06,9.25,9.38,7.03,4.47,4.97,5.38,3.41,1.28,2.0,4.88,6.09,6.22,7.62,10.38,10.69,8.75,7.38,7.88,8.28,6.53,4.38,5.06,6.34,5.69,4.16,5.12,8.0,9.53,9.25,10.31,12.94,14.12,12.66,11.12,11.78,12.38,10.44,7.5,7.19,7.66,6.16,3.22,2.75,4.0,4.38,2.84,2.62,5.44,7.66,7.44,7.66,10.0,12.5,12.84,11.88,13.84,17.0,18.56,18.47,19.56,21.38,21.06,17.28,13.56,12.0,10.56,6.97,4.5,4.94,6.41,6.06,4.25,4.06,4.78,3.88,1.31,0.47,2.41,4.0,2.97,15.56,15.16,14.41,15.12,16.97,17.56,16.78,16.5,17.47,17.59,16.5,15.53,16.81,18.75,19.81,20.81,23.31,26.28,28.09,28.25,29.41:26.19,25.22,25.38,23.75,22.09,23.22,26.03,27.75,27.94,29.03,31.5,32.66,30.78,28.91,28.75,28.38,25.56,22.94,22.97,24.31,24.56,23.91,25.56,28.66,30.81,30.34,30.44,32.06,32.34,30.03,27.19,26.66,26.41,23.88,21.31,20.88,21.72,21.22,19.34,18.78,20.44,21.31,20.31,20.12,22.47,25.19,25.22,25.25,27.69,30.72,31.19,30.34,31.5,33.88,34.81,34.38,35.62,38.84,40.84,40.47,39.84,40.78,41.22,38.94,35.88,35.16,35.12,32.78,29.59,28.41,28.59,28.38,26.56,26.5,28.59,29.97,28.31,26.38,26.44,26.75,25.66,24.03,25.16,27.72,28.12,26.47,26.09,27.34,27.75,25.91,25.03,26.34,26.81,24.31,21.44,20.53,20.06,17.78,15.0,14.97,17.41,18.88,18.72,19.69,21.81,22.03,19.31,17.47,18.66,20.84,21.03,21.22,23.19,25.94,25.88,24.0,23.34,23.56,22.16,18.38,15.72,15.44,15.59,13.91,13.38,15.88,18.59,18.81,16.97,16.59,17.31,16.12,13.94,14.03,16.66,18.22,17.16,16.97,18.25,19.12,17.25,15.66,16.69,18.59,17.78,16.84,18.38,21.47,22.88,22.31,22.81,24.94,25.56,24.38,23.78,25.03,26.12,24.19,21.41,20.53,20.72,19.0,16.59,16.31,18.09,19.0,18.03,18.47,21.03,23.38,23.16,22.78,24.91,27.0,26.12,24.59,24.94,26.44,26.06,24.03,23.91,25.09,25.44,23.47,22.16,23.38,24.59,23.25,21.75,22.97,24.5,23.56,21.59,22.38,24.44,25.16,24.31,24.25,25.62,25.38,22.62,20.28,21.03,22.16,21.34,20.88,22.47,24.91,24.53,23.0,23.44,25.34,26.12,25.34,25.5,28.03,29.78,28.88,27.38,27.62,27.66,24.78,20.66,18.72,18.62,16.91,13.97,13.41,15.06,15.72,14.59,14.09,15.94,17.53,16.34,15.44,17.0,18.88,18.47,17.22,17.59,19.28,19.16,16.72,15.22,15.38,14.25,11.12,9.34,11.03,13.5,14.28,15.06,18.25,22.72,24.66,25.06,26.47,29.03,29.16,26.66,24.81,25.12,24.81,22.22,20.0,21.0,22.47,21.31,19.69,20.38,22.59,22.81,21.88,22.84,26.16,28.12,27.31,26.66,27.38,26.12,21.69,16.78,15.25,14.5,12.5,11.31,13.03,16.81,19.09,19.81,21.03,23.84,25.03,23.53,21.97,23.03,23.66,22.12,20.22,21.66,24.44,25.16,24.88,26.0,27.88,27.41,24.25,22.03,22.38,22.44,21.0,20.0,22.47,24.97,25.22,24.91,26.78,29.28,29.09,26.38,24.25,23.44,21.41,17.22,14.19,13.88,13.84,11.19,8.75,8.84,9.41,7.94,5.56,5.88,8.09,8.5,7.62,8.09,11.16,13.47,14.09,15.81,20.19,24.06,24.62,23.91,25.25,26.72,25.94,23.81,23.72,25.03,24.97,22.75,21.62,22.72,22.66,19.75,17.34,17.75,18.72,17.41,15.91,17.06,19.69,20.53,20.09,21.19,23.94,25.38,24.59,24.16,26.25,27.75,26.31,24.62,25.53,26.5,25.12,22.84,22.28,23.12,22.5,20.16,18.97,20.19,20.09,17.88,16.34,18.22,19.56,18.34,16.78,17.78,19.31,19.0,17.88,19.16,21.88,23.69,22.91,23.56,26.62,28.66,28.62,28.41,30.66,32.38,30.66,28.25,28.22,28.91,27.91,25.81,24.84,25.41,24.41,20.69,17.88,17.28,16.31,13.19,10.62,11.34,12.97,12.94,12.16,13.31,15.28,15.97,15.31,16.28,19.66,22.03,21.59,21.72,23.91,26.0,25.75,25.0,26.44,28.06,27.25,24.78,24.84,26.56,27.16,26.34,27.19,29.97,32.25,31.72,30.88,32.28,33.62,31.91,29.31,28.75,28.5,26.31,22.91,21.34,22.16,21.81,19.44,17.75,17.94,17.28,14.0,11.03,11.06,13.0,13.03,12.5,13.97,16.03,15.94,13.84,13.12,15.25,16.72,16.28,16.75,18.84,20.53,18.75,16.38,16.19,17.47,17.47,16.88,18.72,21.81,22.88,21.31,20.41,21.31,21.66,19.88,18.69,19.78,20.88,19.72,17.66,17.5,17.97,16.0,11.91,9.25,8.56,7.22,4.5,3.34,5.16,7.0,6.31,5.75,7.41,9.41,8.69,7.62,8.56,11.53,13.06,13.78,16.16,20.59,24.09,24.75,25.59,27.78,29.25,27.19,24.34,23.75,23.81,22.09,20.06,20.22,22.03,22.62,21.0,19.94,20.16,19.59,16.75,14.25,14.75,16.0,15.31,13.69,14.38,15.75,15.0,12.97,12.28,13.22,12.47,9.09,6.62,5.94,5.19,2.59,0.72,2.12,4.25,5.22,5.34,7.44,10.75,12.0,12.0,13.53,17.31,20.28,21.16,21.94,24.53,26.53,25.53,23.94,24.22,25.09,23.12,20.0,18.59,19.03,18.31,16.84,17.28,20.75,23.91,24.25,24.22,24.94,24.94,21.62,17.59,15.38,14.0,10.38,5.16,1.19,-0.5,-2.78,-5.66,-6.62,-3.53,-0.03,1.88,4.16,8.47,13.38,15.31,15.72,17.22,20.0,20.41,19.09,18.84,20.38,20.28,17.62,14.84,14.22,13.59,11.12,8.84,9.53,12.06,12.44,11.78,12.62,14.78,15.47,14.69,15.25,18.16,20.62,20.34,19.72,21.16,21.91,19.78,16.72,16.06,17.12,17.19,17.03,18.56,21.53,22.97,21.44,20.12,20.59,20.56,17.84,14.62,14.03,13.75,11.47,8.5,7.25,7.66,6.69,4.03,3.16,4.81,6.06,6.28,7.16,11.19,14.81,15.81,16.19,18.03,20.0,19.53,17.47,16.88,17.66,17.44,15.44,13.94,14.34,14.03,11.03,7.81,7.69,8.06,6.97,5.91,7.06,8.97,8.84,6.38,4.62,4.81,4.53,2.62,2.38,5.59,9.19,10.5,11.56,14.53,17.25,17.47,15.94,16.44,18.03,18.25,16.41,15.69,16.66,16.25,13.22,9.88,10.19,10.25,9.34,8.84,11.16,14.0,14.81,13.88,14.69,16.84,17.88,16.91,16.66,18.38,19.69,18.53,17.5,19.03,21.22,21.25,20.59,21.69,23.28,22.62,19.19,16.72,15.94,14.56,11.41,9.53,10.88,12.44,11.41,10.41,11.75,13.75,13.44,12.06,12.66,14.56,15.0,13.5,13.41,15.34,16.94,16.44,16.41,18.53,20.31,19.22,17.28,17.66,18.22,17.25,14.88,13.91,14.81,14.31,12.0,10.34,11.19,12.09,11.16,11.09,13.88,17.53,18.47,17.66,18.0,18.34,16.53,12.59,10.22,9.88,9.0,6.5,4.94,6.06,7.62,7.09,6.78,9.28,13.44,15.97,17.78,20.84,24.5,25.47,23.25,21.62,20.78,19.12,14.62,10.25,8.53,8.03,6.28,5.16,7.12,10.5,12.03,12.0,13.34,16.09,18.06,17.62,18.06,20.03,20.88,18.97,16.31,16.12,16.28,14.22,11.25,10.25,11.22,10.75,8.88,8.75,10.31,10.78,8.78,7.84,9.5,11.78,12.22,12.56,14.41,16.81,16.16,13.53,12.28,12.5,11.44,8.88,8.25,10.16,12.19,11.72,11.09,11.69,11.53,7.53,2.84,0.62,0.06,-1.03,-3.09,-2.84,-0.47,0.44,-1.12,-2.34,-1.94,-2.34,-5.19,-7.84,-7.38,-5.66,-5.72,-6.31,-4.53,-1.19,0.12,0.03,0.94,4.69,6.88,7.06,7.97,10.84,12.62,10.94,8.16,6.44,5.44,2.0,-1.88,-3.34,-2.41,-1.88,-2.62,-2.41,0.03,1.66,0.56,0.12,2.69,6.38,7.69,8.78,11.66,15.16,15.69,14.47,14.34,15.78,15.91,13.25,10.97,10.91,10.78,8.56,6.69,7.56,9.22,8.62,7.19,7.69,9.5,9.56,7.91,6.91,7.84,7.78,5.41,3.53,4.53,6.09,5.84,5.78,9.0,13.28,15.22,15.5,16.91,19.41,19.34,16.94,15.06,15.88,16.22,14.28,12.84,13.78,15.03,13.81,12.09,13.06,15.56,16.0,15.0,15.16,16.84,17.12,15.12,14.09,15.84,17.38,16.25,15.12,16.31,17.94,17.28,15.97,16.5,18.47,18.38,16.75,16.47,18.03,18.66,17.03,15.91,17.34,18.88,17.91,16.66,18.16,20.47,20.78,20.19,21.59,24.44,25.31,23.38,21.66,21.25,19.31,14.5,10.19,8.69,7.97,5.41,2.94,3.41,5.22,5.22,3.69,3.69,5.88,6.66,5.56,5.59,7.97,10.31,10.0,10.06,12.06,14.72,14.34,12.53,12.12,12.84,11.91,9.38,8.62,9.97,10.28,7.47,4.94,4.62,4.0,1.25,-1.59,-1.59,0.09,0.78,0.47,2.88,7.0,9.31,8.62,8.06,9.25,9.38,7.03,4.47,4.97,5.38,3.41,1.28,2.0,4.88,6.09,6.22,7.62,10.38,10.69,8.75,7.38,7.88,8.28,6.53,4.38,5.06,6.34,5.69,4.16,5.12,8.0,9.53,9.25,10.31,12.94,14.12,12.66,11.12,11.78,12.38,10.44,7.5,7.19,7.66,6.16,3.22,2.75,4.0,4.38,2.84,2.62,5.44,7.66,7.44,7.66,10.0,12.5,12.84,11.88,13.84,17.0,18.56,18.47,19.56,21.38,21.06,17.28,13.56,12.0,10.56,6.97,4.5,4.94,6.41,6.06,4.25,4.06,4.78,3.88,1.31,0.47,2.41,4.0,2.97,15.56,15.16,14.41,15.12,16.97,17.56,16.78,16.5,17.47,17.59,16.5,15.53,16.81,18.75,19.81,20.81,23.31,26.28,28.09,28.25,29.41,31.41,31.75,29.72,27.47,25.88,23.88,20.53:27.75,27.94,29.03,31.5,32.66,30.78,28.91,28.75,28.38,25.56,22.94,22.97,24.31,24.56,23.91,25.56,28.66,30.81,30.34,30.44,32.06,32.34,30.03,27.19,26.66,26.41,23.88,21.31,20.88,21.72,21.22,19.34,18.78,20.44,21.31,20.31,20.12,22.47,25.19,25.22,25.25,27.69,30.72,31.19,30.34,31.5,33.88,34.81,34.38,35.62,38.84,40.84,40.47,39.84,40.78,41.22,38.94,35.88,35.16,35.12,32.78,29.59,28.41,28.59,28.38,26.56,26.5,28.59,29.97,28.31,26.38,26.44,26.75,25.66,24.03,25.16,27.72,28.12,26.47,26.09,27.34,27.75,25.91,25.03,26.34,26.81,24.31,21.44,20.53,20.06,17.78,15.0,14.97,17.41,18.88,18.72,19.69,21.81,22.03,19.31,17.47,18.66,20.84,21.03,21.22,23.19,25.94,25.88,24.0,23.34,23.56,22.16,18.38,15.72,15.44,15.59,13.91,13.38,15.88,18.59,18.81,16.97,16.59,17.31,16.12,13.94,14.03,16.66,18.22,17.16,16.97,18.25,19.12,17.25,15.66,16.69,18.59,17.78,16.84,18.38,21.47,22.88,22.31,22.81,24.94,25.56,24.38,23.78,25.03,26.12,24.19,21.41,20.53,20.72,19.0,16.59,16.31,18.09,19.0,18.03,18.47,21.03,23.38,23.16,22.78,24.91,27.0,26.12,24.59,24.94,26.44,26.06,24.03,23.91,25.09,25.44,23.47,22.16,23.38,24.59,23.25,21.75,22.97,24.5,23.56,21.59,22.38,24.44,25.16,24.31,24.25,25.62,25.38,22.62,20.28,21.03,22.16,21.34,20.88,22.47,24.91,24.53,23.0,23.44,25.34,26.12,25.34,25.5,28.03,29.78,28.88,27.38,27.62,27.66,24.78,20.66,18.72,18.62,16.91,13.97,13.41,15.06,15.72,14.59,14.09,15.94,17.53,16.34,15.44,17.0,18.88,18.47,17.22,17.59,19.28,19.16,16.72,15.22,15.38,14.25,11.12,9.34,11.03,13.5,14.28,15.06,18.25,22.72,24.66,25.06,26.47,29.03,29.16,26.66,24.81,25.12,24.81,22.22,20.0,21.0,22.47,21.31,19.69,20.38,22.59,22.81,21.88,22.84,26.16,28.12,27.31,26.66,27.38,26.12,21.69,16.78,15.25,14.5,12.5,11.31,13.03,16.81,19.09,19.81,21.03,23.84,25.03,23.53,21.97,23.03,23.66,22.12,20.22,21.66,24.44,25.16,24.88,26.0,27.88,27.41,24.25,22.03,22.38,22.44,21.0,20.0,22.47,24.97,25.22,24.91,26.78,29.28,29.09,26.38,24.25,23.44,21.41,17.22,14.19,13.88,13.84,11.19,8.75,8.84,9.41,7.94,5.56,5.88,8.09,8.5,7.62,8.09,11.16,13.47,14.09,15.81,20.19,24.06,24.62,23.91,25.25,26.72,25.94,23.81,23.72,25.03,24.97,22.75,21.62,22.72,22.66,19.75,17.34,17.75,18.72,17.41,15.91,17.06,19.69,20.53,20.09,21.19,23.94,25.38,24.59,24.16,26.25,27.75,26.31,24.62,25.53,26.5,25.12,22.84,22.28,23.12,22.5,20.16,18.97,20.19,20.09,17.88,16.34,18.22,19.56,18.34,16.78,17.78,19.31,19.0,17.88,19.16,21.88,23.69,22.91,23.56,26.62,28.66,28.62,28.41,30.66,32.38,30.66,28.25,28.22,28.91,27.91,25.81,24.84,25.41,24.41,20.69,17.88,17.28,16.31,13.19,10.62,11.34,12.97,12.94,12.16,13.31,15.28,15.97,15.31,16.28,19.66,22.03,21.59,21.72,23.91,26.0,25.75,25.0,26.44,28.06,27.25,24.78,24.84,26.56,27.16,26.34,27.19,29.97,32.25,31.72,30.88,32.28,33.62,31.91,29.31,28.75,28.5,26.31,22.91,21.34,22.16,21.81,19.44,17.75,17.94,17.28,14.0,11.03,11.06,13.0,13.03,12.5,13.97,16.03,15.94,13.84,13.12,15.25,16.72,16.28,16.75,18.84,20.53,18.75,16.38,16.19,17.47,17.47,16.88,18.72,21.81,22.88,21.31,20.41,21.31,21.66,19.88,18.69,19.78,20.88,19.72,17.66,17.5,17.97,16.0,11.91,9.25,8.56,7.22,4.5,3.34,5.16,7.0,6.31,5.75,7.41,9.41,8.69,7.62,8.56,11.53,13.06,13.78,16.16,20.59,24.09,24.75,25.59,27.78,29.25,27.19,24.34,23.75,23.81,22.09,20.06,20.22,22.03,22.62,21.0,19.94,20.16,19.59,16.75,14.25,14.75,16.0,15.31,13.69,14.38,15.75,15.0,12.97,12.28,13.22,12.47,9.09,6.62,5.94,5.19,2.59,0.72,2.12,4.25,5.22,5.34,7.44,10.75,12.0,12.0,13.53,17.31,20.28,21.16,21.94,24.53,26.53,25.53,23.94,24.22,25.09,23.12,20.0,18.59,19.03,18.31,16.84,17.28,20.75,23.91,24.25,24.22,24.94,24.94,21.62,17.59,15.38,14.0,10.38,5.16,1.19,-0.5,-2.78,-5.66,-6.62,-3.53,-0.03,1.88,4.16,8.47,13.38,15.31,15.72,17.22,20.0,20.41,19.09,18.84,20.38,20.28,17.62,14.84,14.22,13.59,11.12,8.84,9.53,12.06,12.44,11.78,12.62,14.78,15.47,14.69,15.25,18.16,20.62,20.34,19.72,21.16,21.91,19.78,16.72,16.06,17.12,17.19,17.03,18.56,21.53,22.97,21.44,20.12,20.59,20.56,17.84,14.62,14.03,13.75,11.47,8.5,7.25,7.66,6.69,4.03,3.16,4.81,6.06,6.28,7.16,11.19,14.81,15.81,16.19,18.03,20.0,19.53,17.47,16.88,17.66,17.44,15.44,13.94,14.34,14.03,11.03,7.81,7.69,8.06,6.97,5.91,7.06,8.97,8.84,6.38,4.62,4.81,4.53,2.62,2.38,5.59,9.19,10.5,11.56,14.53,17.25,17.47,15.94,16.44,18.03,18.25,16.41,15.69,16.66,16.25,13.22,9.88,10.19,10.25,9.34,8.84,11.16,14.0,14.81,13.88,14.69,16.84,17.88,16.91,16.66,18.38,19.69,18.53,17.5,19.03,21.22,21.25,20.59,21.69,23.28,22.62,19.19,16.72,15.94,14.56,11.41,9.53,10.88,12.44,11.41,10.41,11.75,13.75,13.44,12.06,12.66,14.56,15.0,13.5,13.41,15.34,16.94,16.44,16.41,18.53,20.31,19.22,17.28,17.66,18.22,17.25,14.88,13.91,14.81,14.31,12.0,10.34,11.19,12.09,11.16,11.09,13.88,17.53,18.47,17.66,18.0,18.34,16.53,12.59,10.22,9.88,9.0,6.5,4.94,6.06,7.62,7.09,6.78,9.28,13.44,15.97,17.78,20.84,24.5,25.47,23.25,21.62,20.78,19.12,14.62,10.25,8.53,8.03,6.28,5.16,7.12,10.5,12.03,12.0,13.34,16.09,18.06,17.62,18.06,20.03,20.88,18.97,16.31,16.12,16.28,14.22,11.25,10.25,11.22,10.75,8.88,8.75,10.31,10.78,8.78,7.84,9.5,11.78,12.22,12.56,14.41,16.81,16.16,13.53,12.28,12.5,11.44,8.88,8.25,10.16,12.19,11.72,11.09,11.69,11.53,7.53,2.84,0.62,0.06,-1.03,-3.09,-2.84,-0.47,0.44,-1.12,-2.34,-1.94,-2.34,-5.19,-7.84,-7.38,-5.66,-5.72,-6.31,-4.53,-1.19,0.12,0.03,0.94,4.69,6.88,7.06,7.97,10.84,12.62,10.94,8.16,6.44,5.44,2.0,-1.88,-3.34,-2.41,-1.88,-2.62,-2.41,0.03,1.66,0.56,0.12,2.69,6.38,7.69,8.78,11.66,15.16,15.69,14.47,14.34,15.78,15.91,13.25,10.97,10.91,10.78,8.56,6.69,7.56,9.22,8.62,7.19,7.69,9.5,9.56,7.91,6.91,7.84,7.78,5.41,3.53,4.53,6.09,5.84,5.78,9.0,13.28,15.22,15.5,16.91,19.41,19.34,16.94,15.06,15.88,16.22,14.28,12.84,13.78,15.03,13.81,12.09,13.06,15.56,16.0,15.0,15.16,16.84,17.12,15.12,14.09,15.84,17.38,16.25,15.12,16.31,17.94,17.28,15.97,16.5,18.47,18.38,16.75,16.47,18.03,18.66,17.03,15.91,17.34,18.88,17.91,16.66,18.16,20.47,20.78,20.19,21.59,24.44,25.31,23.38,21.66,21.25,19.31,14.5,10.19,8.69,7.97,5.41,2.94,3.41,5.22,5.22,3.69,3.69,5.88,6.66,5.56,5.59,7.97,10.31,10.0,10.06,12.06,14.72,14.34,12.53,12.12,12.84,11.91,9.38,8.62,9.97,10.28,7.47,4.94,4.62,4.0,1.25,-1.59,-1.59,0.09,0.78,0.47,2.88,7.0,9.31,8.62,8.06,9.25,9.38,7.03,4.47,4.97,5.38,3.41,1.28,2.0,4.88,6.09,6.22,7.62,10.38,10.69,8.75,7.38,7.88,8.28,6.53,4.38,5.06,6.34,5.69,4.16,5.12,8.0,9.53,9.25,10.31,12.94,14.12,12.66,11.12,11.78,12.38,10.44,7.5,7.19,7.66,6.16,3.22,2.75,4.0,4.38,2.84,2.62,5.44,7.66,7.44,7.66,10.0,12.5,12.84,11.88,13.84,17.0,18.56,18.47,19.56,21.38,21.06,17.28,13.56,12.0,10.56,6.97,4.5,4.94,6.41,6.06,4.25,4.06,4.78,3.88,1.31,0.47,2.41,4.0,2.97,15.56,15.16,14.41,15.12,16.97,17.56,16.78,16.5,17.47,17.59,16.5,15.53,16.81,18.75,19.81,20.81,23.31,26.28,28.09,28.25,29.41,31.41,31.75,29.72,27.47,25.88,23.88,20.53,17.59,16.44,16.25,14.94,13.69,14.0,15.66:28.75,28.38,25.56,22.94,22.97,24.31,24.56,23.91,25.56,28.66,30.81,30.34,30.44,32.06,32.34,30.03,27.19,26.66,26.41,23.88,21.31,20.88,21.72,21.22,19.34,18.78,20.44,21.31,20.31,20.12,22.47,25.19,25.22,25.25,27.69,30.72,31.19,30.34,31.5,33.88,34.81,34.38,35.62,38.84,40.84,40.47,39.84,40.78,41.22,38.94,35.88,35.16,35.12,32.78,29.59,28.41,28.59,28.38,26.56,26.5,28.59,29.97,28.31,26.38,26.44,26.75,25.66,24.03,25.16,27.72,28.12,26.47,26.09,27.34,27.75,25.91,25.03,26.34,26.81,24.31,21.44,20.53,20.06,17.78,15.0,14.97,17.41,18.88,18.72,19.69,21.81,22.03,19.31,17.47,18.66,20.84,21.03,21.22,23.19,25.94,25.88,24.0,23.34,23.56,22.16,18.38,15.72,15.44,15.59,13.91,13.38,15.88,18.59,18.81,16.97,16.59,17.31,16.12,13.94,14.03,16.66,18.22,17.16,16.97,18.25,19.12,17.25,15.66,16.69,18.59,17.78,16.84,18.38,21.47,22.88,22.31,22.81,24.94,25.56,24.38,23.78,25.03,26.12,24.19,21.41,20.53,20.72,19.0,16.59,16.31,18.09,19.0,18.03,18.47,21.03,23.38,23.16,22.78,24.91,27.0,26.12,24.59,24.94,26.44,26.06,24.03,23.91,25.09,25.44,23.47,22.16,23.38,24.59,23.25,21.75,22.97,24.5,23.56,21.59,22.38,24.44,25.16,24.31,24.25,25.62,25.38,22.62,20.28,21.03,22.16,21.34,20.88,22.47,24.91,24.53,23.0,23.44,25.34,26.12,25.34,25.5,28.03,29.78,28.88,27.38,27.62,27.66,24.78,20.66,18.72,18.62,16.91,13.97,13.41,15.06,15.72,14.59,14.09,15.94,17.53,16.34,15.44,17.0,18.88,18.47,17.22,17.59,19.28,19.16,16.72,15.22,15.38,14.25,11.12,9.34,11.03,13.5,14.28,15.06,18.25,22.72,24.66,25.06,26.47,29.03,29.16,26.66,24.81,25.12,24.81,22.22,20.0,21.0,22.47,21.31,19.69,20.38,22.59,22.81,21.88,22.84,26.16,28.12,27.31,26.66,27.38,26.12,21.69,16.78,15.25,14.5,12.5,11.31,13.03,16.81,19.09,19.81,21.03,23.84,25.03,23.53,21.97,23.03,23.66,22.12,20.22,21.66,24.44,25.16,24.88,26.0,27.88,27.41,24.25,22.03,22.38,22.44,21.0,20.0,22.47,24.97,25.22,24.91,26.78,29.28,29.09,26.38,24.25,23.44,21.41,17.22,14.19,13.88,13.84,11.19,8.75,8.84,9.41,7.94,5.56,5.88,8.09,8.5,7.62,8.09,11.16,13.47,14.09,15.81,20.19,24.06,24.62,23.91,25.25,26.72,25.94,23.81,23.72,25.03,24.97,22.75,21.62,22.72,22.66,19.75,17.34,17.75,18.72,17.41,15.91,17.06,19.69,20.53,20.09,21.19,23.94,25.38,24.59,24.16,26.25,27.75,26.31,24.62,25.53,26.5,25.12,22.84,22.28,23.12,22.5,20.16,18.97,20.19,20.09,17.88,16.34,18.22,19.56,18.34,16.78,17.78,19.31,19.0,17.88,19.16,21.88,23.69,22.91,23.56,26.62,28.66,28.62,28.41,30.66,32.38,30.66,28.25,28.22,28.91,27.91,25.81,24.84,25.41,24.41,20.69,17.88,17.28,16.31,13.19,10.62,11.34,12.97,12.94,12.16,13.31,15.28,15.97,15.31,16.28,19.66,22.03,21.59,21.72,23.91,26.0,25.75,25.0,26.44,28.06,27.25,24.78,24.84,26.56,27.16,26.34,27.19,29.97,32.25,31.72,30.88,32.28,33.62,31.91,29.31,28.75,28.5,26.31,22.91,21.34,22.16,21.81,19.44,17.75,17.94,17.28,14.0,11.03,11.06,13.0,13.03,12.5,13.97,16.03,15.94,13.84,13.12,15.25,16.72,16.28,16.75,18.84,20.53,18.75,16.38,16.19,17.47,17.47,16.88,18.72,21.81,22.88,21.31,20.41,21.31,21.66,19.88,18.69,19.78,20.88,19.72,17.66,17.5,17.97,16.0,11.91,9.25,8.56,7.22,4.5,3.34,5.16,7.0,6.31,5.75,7.41,9.41,8.69,7.62,8.56,11.53,13.06,13.78,16.16,20.59,24.09,24.75,25.59,27.78,29.25,27.19,24.34,23.75,23.81,22.09,20.06,20.22,22.03,22.62,21.0,19.94,20.16,19.59,16.75,14.25,14.75,16.0,15.31,13.69,14.38,15.75,15.0,12.97,12.28,13.22,12.47,9.09,6.62,5.94,5.19,2.59,0.72,2.12,4.25,5.22,5.34,7.44,10.75,12.0,12.0,13.53,17.31,20.28,21.16,21.94,24.53,26.53,25.53,23.94,24.22,25.09,23.12,20.0,18.59,19.03,18.31,16.84,17.28,20.75,23.91,24.25,24.22,24.94,24.94,21.62,17.59,15.38,14.0,10.38,5.16,1.19,-0.5,-2.78,-5.66,-6.62,-3.53,-0.03,1.88,4.16,8.47,13.38,15.31,15.72,17.22,20.0,20.41,19.09,18.84,20.38,20.28,17.62,14.84,14.22,13.59,11.12,8.84,9.53,12.06,12.44,11.78,12.62,14.78,15.47,14.69,15.25,18.16,20.62,20.34,19.72,21.16,21.91,19.78,16.72,16.06,17.12,17.19,17.03,18.56,21.53,22.97,21.44,20.12,20.59,20.56,17.84,14.62,14.03,13.75,11.47,8.5,7.25,7.66,6.69,4.03,3.16,4.81,6.06,6.28,7.16,11.19,14.81,15.81,16.19,18.03,20.0,19.53,17.47,16.88,17.66,17.44,15.44,13.94,14.34,14.03,11.03,7.81,7.69,8.06,6.97,5.91,7.06,8.97,8.84,6.38,4.62,4.81,4.53,2.62,2.38,5.59,9.19,10.5,11.56,14.53,17.25,17.47,15.94,16.44,18.03,18.25,16.41,15.69,16.66,16.25,13.22,9.88,10.19,10.25,9.34,8.84,11.16,14.0,14.81,13.88,14.69,16.84,17.88,16.91,16.66,18.38,19.69,18.53,17.5,19.03,21.22,21.25,20.59,21.69,23.28,22.62,19.19,16.72,15.94,14.56,11.41,9.53,10.88,12.44,11.41,10.41,11.75,13.75,13.44,12.06,12.66,14.56,15.0,13.5,13.41,15.34,16.94,16.44,16.41,18.53,20.31,19.22,17.28,17.66,18.22,17.25,14.88,13.91,14.81,14.31,12.0,10.34,11.19,12.09,11.16,11.09,13.88,17.53,18.47,17.66,18.0,18.34,16.53,12.59,10.22,9.88,9.0,6.5,4.94,6.06,7.62,7.09,6.78,9.28,13.44,15.97,17.78,20.84,24.5,25.47,23.25,21.62,20.78,19.12,14.62,10.25,8.53,8.03,6.28,5.16,7.12,10.5,12.03,12.0,13.34,16.09,18.06,17.62,18.06,20.03,20.88,18.97,16.31,16.12,16.28,14.22,11.25,10.25,11.22,10.75,8.88,8.75,10.31,10.78,8.78,7.84,9.5,11.78,12.22,12.56,14.41,16.81,16.16,13.53,12.28,12.5,11.44,8.88,8.25,10.16,12.19,11.72,11.09,11.69,11.53,7.53,2.84,0.62,0.06,-1.03,-3.09,-2.84,-0.47,0.44,-1.12,-2.34,-1.94,-2.34,-5.19,-7.84,-7.38,-5.66,-5.72,-6.31,-4.53,-1.19,0.12,0.03,0.94,4.69,6.88,7.06,7.97,10.84,12.62,10.94,8.16,6.44,5.44,2.0,-1.88,-3.34,-2.41,-1.88,-2.62,-2.41,0.03,1.66,0.56,0.12,2.69,6.38,7.69,8.78,11.66,15.16,15.69,14.47,14.34,15.78,15.91,13.25,10.97,10.91,10.78,8.56,6.69,7.56,9.22,8.62,7.19,7.69,9.5,9.56,7.91,6.91,7.84,7.78,5.41,3.53,4.53,6.09,5.84,5.78,9.0,13.28,15.22,15.5,16.91,19.41,19.34,16.94,15.06,15.88,16.22,14.28,12.84,13.78,15.03,13.81,12.09,13.06,15.56,16.0,15.0,15.16,16.84,17.12,15.12,14.09,15.84,17.38,16.25,15.12,16.31,17.94,17.28,15.97,16.5,18.47,18.38,16.75,16.47,18.03,18.66,17.03,15.91,17.34,18.88,17.91,16.66,18.16,20.47,20.78,20.19,21.59,24.44,25.31,23.38,21.66,21.25,19.31,14.5,10.19,8.69,7.97,5.41,2.94,3.41,5.22,5.22,3.69,3.69,5.88,6.66,5.56,5.59,7.97,10.31,10.0,10.06,12.06,14.72,14.34,12.53,12.12,12.84,11.91,9.38,8.62,9.97,10.28,7.47,4.94,4.62,4.0,1.25,-1.59,-1.59,0.09,0.78,0.47,2.88,7.0,9.31,8.62,8.06,9.25,9.38,7.03,4.47,4.97,5.38,3.41,1.28,2.0,4.88,6.09,6.22,7.62,10.38,10.69,8.75,7.38,7.88,8.28,6.53,4.38,5.06,6.34,5.69,4.16,5.12,8.0,9.53,9.25,10.31,12.94,14.12,12.66,11.12,11.78,12.38,10.44,7.5,7.19,7.66,6.16,3.22,2.75,4.0,4.38,2.84,2.62,5.44,7.66,7.44,7.66,10.0,12.5,12.84,11.88,13.84,17.0,18.56,18.47,19.56,21.38,21.06,17.28,13.56,12.0,10.56,6.97,4.5,4.94,6.41,6.06,4.25,4.06,4.78,3.88,1.31,0.47,2.41,4.0,2.97,15.56,15.16,14.41,15.12,16.97,17.56,16.78,16.5,17.47,17.59,16.5,15.53,16.81,18.75,19.81,20.81,23.31,26.28,28.09,28.25,29.41,31.41,31.75,29.72,27.47,25.88,23.88,20.53,17.59,16.44,16.25,14.94,13.69,14.0,15.66,16.22,16.12,17.03,18.84,19.88,19.12,17.78:negativity
0.41,-1.72,-2.91,-1.44,0.66,0.81,1.0,3.59,6.38,6.59,4.78,4.31,4.94,4.38,3.16,3.62,6.75,9.38,9.41,8.91,9.5,9.66,7.53,5.12,5.25,7.28,8.16,8.44,9.69,12.38,13.22,11.25,9.53,9.28,8.84,6.34,4.5,5.44,7.78,8.62,9.25,11.81,15.38,17.44,17.56,18.03,20.16,20.78,19.06,17.78,18.53,19.62,18.59,16.56,15.91,15.56,13.28,9.56,8.03,8.5,8.41,6.44,5.22,5.62,5.84,3.88,2.91,4.59,7.56,8.69,9.19,11.66,15.16,16.84,16.81,17.94,20.44,21.91,20.62,19.28,20.25,20.34,17.91,15.06,14.16,13.75,11.75,9.44,8.91,10.06,10.44,8.31,7.25,7.59,7.5,5.44,4.12,5.5,7.41,7.91,8.03,9.97,12.66,13.44,12.44,12.41,13.84,13.91,12.66,11.84,12.97,13.84,12.72,11.56,12.75,14.34,14.34,13.12,12.88,14.03,13.25,11.12,10.5,11.72,12.59,11.25,10.91,12.44,14.12,13.91,13.38,14.03,15.59,14.72,12.94,12.5,13.62,13.56,12.06,10.66,10.91,11.06,8.69,6.41,6.97,8.41,8.66,8.5,9.94,11.75,11.84,9.81,8.75,9.44,9.5,7.5,6.03,6.84,7.81,6.75,5.81,7.25,9.81,11.06,11.59,13.75,17.06,18.44,18.16,18.34,20.19,21.5,21.06,20.62,22.34,24.56,24.19,22.88,22.53,22.91,20.56,17.12,15.0,14.38,13.34,10.81,9.41,10.62,12.28,12.59,13.25,16.47,20.78,22.88,24.03,26.03,28.5,28.72,26.19,24.09,23.59,21.66,17.62,13.38,11.53,9.94,6.94,3.75,3.09,3.44,2.66,1.53,1.78,4.47,6.41,6.59,7.16,9.66,12.03,12.34,12.97,16.41,20.28,22.44,23.66,25.88,28.66,29.12,27.75,26.69,27.56,27.5,25.0,22.28,21.03,19.06,14.75,10.16,7.84,6.78,4.59,1.75,1.16,2.06,2.19,1.09,1.22,4.56,7.72,9.22,10.5,13.31,15.78,15.06,13.56,14.12,15.69,16.09,15.81,16.78,19.75,21.53,21.03,20.28,20.91,20.88,18.66,16.44,16.25,16.84,15.41,13.16,12.78,13.5,12.97,10.91,9.62,10.03,9.59,6.91,4.06,3.5,3.62,2.06,0.22,1.31,3.72,4.53,4.06,5.28,7.41,9.06,8.72,9.38,12.22,14.88,15.41,15.94,18.72,21.81,23.44,23.81,25.53,27.78,28.31,26.75,26.19,27.25,27.62,25.81,23.56,23.19,22.0,18.56,14.25,12.09,10.81,8.78,6.19,6.28,8.12,9.38,8.94,9.56,11.88,13.53,12.75,11.75,12.53,13.53,11.47,8.81,7.84,7.62,6.69,5.16,5.69,8.91,11.81,13.25,15.12,18.25,20.97,20.28,18.34,17.94,17.94,16.09,12.66,11.59,11.81,11.25,8.94,8.59,10.41,12.59,12.75,13.75,16.84,20.28,20.94,20.69,21.97,23.91,24.19,23.12,23.72,25.97,27.22,25.75,24.16,23.69,22.06,18.03,13.91,12.38,12.12,10.28,8.03,7.97,9.5,10.12,9.69,10.47,13.22,15.59,15.81,16.53,19.22,21.88,21.28,19.5,19.91,20.97,20.47,19.38,19.66,21.22,20.84,17.84,15.41,14.5,13.38,10.53,8.44,9.22,11.31,12.03,11.75,13.47,15.28,15.06,12.78,11.62,12.25,12.22,10.47,9.97,11.88,14.03,14.28,13.78,15.19,17.34,17.06,15.94,15.88,17.06,16.88,14.62,13.38,14.25,14.66,13.03,11.75,12.94,14.5,13.66,11.97,11.88,12.62,11.81,9.84,9.47,10.97,10.91,9.06,7.56,8.56,10.22,10.53,10.97,14.03,17.47,18.03,16.69,16.12,16.16,14.38,11.09,9.31,9.81,10.03,8.25,6.41,6.81,6.69,4.97,3.56,4.84,7.59,8.22,7.62,8.06,9.84,10.19,9.56,10.0,13.03,15.59,15.75,15.53,17.12,18.47,17.12,14.53,13.97,14.78,13.88,12.03,11.38,12.53,12.62,10.09,7.81,7.97,7.72,5.84,4.28,5.91,9.09,11.0,11.97,14.22,17.75,19.44,19.06,19.19,20.84,21.28,19.03,16.31,15.69,15.5,13.75,11.59,11.56,12.44,11.5,8.78,8.03,9.25,9.88,9.03,8.94,10.66,11.5,10.41,8.94,9.72,11.84,12.0,11.31,12.19,14.16,14.06,12.47,11.59,12.31,11.81,9.16,6.75,7.16,8.22,7.72,7.06,8.84,11.53,12.03,11.0,11.78,13.47,13.62,11.38,10.16,10.78,11.22,9.72,8.75,10.16,12.12,12.22,11.75,13.78,16.97,18.0,16.97,16.22,16.69,15.53,12.0,9.44,10.06,10.66,9.44,7.69,8.56,9.78,9.03,7.56,8.09,10.25,11.5,10.78,11.28,13.47,14.81,13.53,12.88,14.72,16.75,16.5,15.38,15.47,15.47,13.5,10.19,8.88,9.66,9.81,8.62,8.0,9.91,11.06,10.28,9.12,10.44,11.81,11.59,9.84,10.09,11.38,11.22,9.44,9.44,11.28,12.38,11.53,10.72,12.5,13.84,12.72,11.38,12.0,13.28,12.78,10.75,10.09,10.66,9.84,7.72,6.44,8.12,9.44,8.81,8.59,10.28,12.06,11.25,9.44,9.16,9.56,8.97,7.44,8.22,11.09,13.47,13.16,13.16,14.34,14.44,11.91,8.78,7.62,7.19,4.88,1.94,0.81,1.81,1.62,0.41,0.88,3.53,5.91,6.16,5.88,7.78,9.03,7.75,6.53,7.44,9.59,10.47,10.34,11.5,13.75,14.53,12.41,11.19,12.0,12.66,11.34,10.94,12.62,14.5,13.28,11.44,10.53,10.97,9.88,8.19,8.19,10.09,11.28,9.81,8.31,8.47,8.91,7.44,6.38,7.88,10.28,11.22,10.41,11.34,13.0,13.06,11.0,10.38,11.81,13.16,12.88,13.03,14.88,16.47,15.28,12.91,11.91,12.16,10.91,9.06,9.22,11.22,12.28,11.0,9.41,9.44,9.06,6.75,4.69,5.12,7.03,7.38,7.09,8.12,9.88,10.28,8.09,7.5,9.19,10.69,10.41,10.72,12.78,14.69,14.12,13.0,13.47,14.88,13.88,12.16,11.38,12.25,11.62,9.12,7.44,8.19,9.06,8.56,8.66,11.03,13.72,13.69,12.59,12.78,13.75,13.34,11.5,10.78,12.0,12.47,11.16,10.47,12.03,13.88,13.75,13.53,14.66,16.28,15.16,12.59,10.78,11.22,10.34,8.5,8.03,9.88,11.5,10.72,10.28,11.56,12.56,11.62,9.97,10.56,12.75,14.19,14.16,15.62,18.12,18.97,16.75,14.78,14.94,15.12,13.53,12.44,14.0,15.91,15.91,14.75,14.72,15.62,14.94,11.78,9.19,8.53,6.88,4.12,2.34,3.66,5.75,6.53,6.97,9.09,12.03,13.03,12.5,13.03,14.84,15.5,14.66,14.28,16.28,18.28,17.66,16.78,17.44,17.91,15.78,12.75,11.41,11.81,11.38,9.97,10.09,11.88,12.91,11.41,9.69,10.16,11.16,10.69,10.78,13.75,17.31,18.75,18.78,19.53,21.69,22.72,22.47,22.84,24.84,26.03,24.56,22.84,22.94,23.25,21.44,18.59,17.5,17.75,16.59,14.53,13.78,15.03,15.38,14.28,13.56,15.59,17.34,16.94,16.12,17.47,19.22,19.06,17.28,17.19,18.16,17.62,15.25,13.91,14.09,13.53,11.41,9.75,10.84,12.72,12.62,11.97,13.59,15.62,16.0,14.84,14.81,15.91,15.75,14.0,13.19,14.59,16.03,15.44,14.81,16.59,18.66,18.88,18.0,18.16,18.66,18.0,15.31,14.03,15.06,15.56,13.97,12.34,12.44,11.81,9.06,5.69,5.0,5.69,5.09,4.09,4.94,7.41,9.59,10.28,12.25,16.09,18.78,18.59,17.09,16.75,16.44,13.75,10.88,10.5,11.31,10.88,9.44,9.62,11.25,12.38,11.0,10.31,11.53,12.34,10.34,8.0,8.03,9.12,8.75,7.88,9.28,12.09,14.06,14.06,15.19,18.38,20.44,19.22,17.66,17.56,17.34,14.94,12.0,12.0,13.34,13.38,12.06,12.5,14.41,15.03,13.41,12.88,14.38,15.34,13.94,12.72,13.75,15.66,15.06,13.62,13.5,14.38,13.66,11.69,11.5,13.22,14.19,13.28,12.66,14.0,15.47,14.78,13.69,14.44,15.66,14.56,12.12,10.62,10.12,8.69,5.81,4.72,6.16,8.16,8.0,8.41,10.94,13.41,13.34,12.75,13.75,16.28,17.09,16.97,18.53,21.31,22.72,21.09,19.12,18.34,16.72,12.31,8.03,6.44,6.59,5.69,4.97,6.28,8.91,9.81,8.75,8.28,9.19,9.28,7.44,6.22,7.62,9.88,10.06,9.94,11.94,14.53,14.53,13.06,11.97,11.69,9.88,6.19,3.0,2.97,2.62,0.28,-1.81,-1.72,-1.12,-2.53,-4.72,-4.88,-3.53,-3.28,-4.41,-4.53,-2.81,-2.34,-3.72,-4.25,-2.53,-0.34,0.03,0.28,2.69,6.0,6.72,6.53,7.34,9.09,8.81,6.22,4.31,4.34,3.84,1.72,0.25,1.88,3.78,3.59,1.97,2.06,2.28,-0.09,-3.22,-4.34,-2.34,-0.62,-0.12,1.28,4.31,6.22,4.94,3.69,4.34,5.66,4.53,2.66,2.5,2.97,1.81,-1.0,-2.56,-2.47,-3.03,-5.31,-7.16,-6.25,-5.09,-6.19,-7.5,-6.62,-5.06,-5.34,-6.94,-6.94,-5.94,-6.38,-8.28,-8.25,-4.97,-1.03,1.44,4.34,8.16,10.88,10.0,6.91,5.53,5.25,4.28:3.59,6.38,6.59,4.78,4.31,4.94,4.38,3.16,3.62,6.75,9.38,9.41,8.91,9.5,9.66,7.53,5.12,5.25,7.28,8.16,8.44,9.69,12.38,13.22,11.25,9.53,9.28,8.84,6.34,4.5,5.44,7.78,8.62,9.25,11.81,15.38,17.44,17.56,18.03,20.16,20.78,19.06,17.78,18.53,19.62,18.59,16.56,15.91,15.56,13.28,9.56,8.03,8.5,8.41,6.44,5.22,5.62,5.84,3.88,2.91,4.59,7.56,8.69,9.19,11.66,15.16,16.84,16.81,17.94,20.44,21.91,20.62,19.28,20.25,20.34,17.91,15.06,14.16,13.75,11.75,9.44,8.91,10.06,10.44,8.31,7.25,7.59,7.5,5.44,4.12,5.5,7.41,7.91,8.03,9.97,12.66,13.44,12.44,12.41,13.84,13.91,12.66,11.84,12.97,13.84,12.72,11.56,12.75,14.34,14.34,13.12,12.88,14.03,13.25,11.12,10.5,11.72,12.59,11.25,10.91,12.44,14.12,13.91,13.38,14.03,15.59,14.72,12.94,12.5,13.62,13.56,12.06,10.66,10.91,11.06,8.69,6.41,6.97,8.41,8.66,8.5,9.94,11.75,11.84,9.81,8.75,9.44,9.5,7.5,6.03,6.84,7.81,6.75,5.81,7.25,9.81,11.06,11.59,13.75,17.06,18.44,18.16,18.34,20.19,21.5,21.06,20.62,22.34,24.56,24.19,22.88,22.53,22.91,20.56,17.12,15.0,14.38,13.34,10.81,9.41,10.62,12.28,12.59,13.25,16.47,20.78,22.88,24.03,26.03,28.5,28.72,26.19,24.09,23.59,21.66,17.62,13.38,11.53,9.94,6.94,3.75,3.09,3.44,2.66,1.53,1.78,4.47,6.41,6.59,7.16,9.66,12.03,12.34,12.97,16.41,20.28,22.44,23.66,25.88,28.66,29.12,27.75,26.69,27.56,27.5,25.0,22.28,21.03,19.06,14.75,10.16,7.84,6.78,4.59,1.75,1.16,2.06,2.19,1.09,1.22,4.56,7.72,9.22,10.5,13.31,15.78,15.06,13.56,14.12,15.69,16.09,15.81,16.78,19.75,21.53,21.03,20.28,20.91,20.88,18.66,16.44,16.25,16.84,15.41,13.16,12.78,13.5,12.97,10.91,9.62,10.03,9.59,6.91,4.06,3.5,3.62,2.06,0.22,1.31,3.72,4.53,4.06,5.28,7.41,9.06,8.72,9.38,12.22,14.88,15.41,15.94,18.72,21.81,23.44,23.81,25.53,27.78,28.31,26.75,26.19,27.25,27.62,25.81,23.56,23.19,22.0,18.56,14.25,12.09,10.81,8.78,6.19,6.28,8.12,9.38,8.94,9.56,11.88,13.53,12.75,11.75,12.53,13.53,11.47,8.81,7.84,7.62,6.69,5.16,5.69,8.91,11.81,13.25,15.12,18.25,20.97,20.28,18.34,17.94,17.94,16.09,12.66,11.59,11.81,11.25,8.94,8.59,10.41,12.59,12.75,13.75,16.84,20.28,20.94,20.69,21.97,23.91,24.19,23.12,23.72,25.97,27.22,25.75,24.16,23.69,22.06,18.03,13.91,12.38,12.12,10.28,8.03,7.97,9.5,10.12,9.69,10.47,13.22,15.59,15.81,16.53,19.22,21.88,21.28,19.5,19.91,20.97,20.47,19.38,19.66,21.22,20.84,17.84,15.41,14.5,13.38,10.53,8.44,9.22,11.31,12.03,11.75,13.47,15.28,15.06,12.78,11.62,12.25,12.22,10.47,9.97,11.88,14.03,14.28,13.78,15.19,17.34,17.06,15.94,15.88,17.06,16.88,14.62,13.38,14.25,14.66,13.03,11.75,12.94,14.5,13.66,11.97,11.88,12.62,11.81,9.84,9.47,10.97,10.91,9.06,7.56,8.56,10.22,10.53,10.97,14.03,17.47,18.03,16.69,16.12,16.16,14.38,11.09,9.31,9.81,10.03,8.25,6.41,6.81,6.69,4.97,3.56,4.84,7.59,8.22,7.62,8.06,9.84,10.19,9.56,10.0,13.03,15.59,15.75,15.53,17.12,18.47,17.12,14.53,13.97,14.78,13.88,12.03,11.38,12.53,12.62,10.09,7.81,7.97,7.72,5.84,4.28,5.91,9.09,11.0,11.97,14.22,17.75,19.44,19.06,19.19,20.84,21.28,19.03,16.31,15.69,15.5,13.75,11.59,11.56,12.44,11.5,8.78,8.03,9.25,9.88,9.03,8.94,10.66,11.5,10.41,8.94,9.72,11.84,12.0,11.31,12.19,14.16,14.06,12.47,11.59,12.31,11.81,9.16,6.75,7.16,8.22,7.72,7.06,8.84,11.53,12.03,11.0,11.78,13.47,13.62,11.38,10.16,10.78,11.22,9.72,8.75,10.16,12.12,12.22,11.75,13.78,16.97,18.0,16.97,16.22,16.69,15.53,12.0,9.44,10.06,10.66,9.44,7.69,8.56,9.78,9.03,7.56,8.09,10.25,11.5,10.78,11.28,13.47,14.81,13.53,12.88,14.72,16.75,16.5,15.38,15.47,15.47,13.5,10.19,8.88,9.66,9.81,8.62,8.0,9.91,11.06,10.28,9.12,10.44,11.81,11.59,9.84,10.09,11.38,11.22,9.44,9.44,11.28,12.38,11.53,10.72,12.5,13.84,12.72,11.38,12.0,13.28,12.78,10.75,10.09,10.66,9.84,7.72,6.44,8.12,9.44,8.81,8.59,10.28,12.06,11.25,9.44,9.16,9.56,8.97,7.44,8.22,11.09,13.47,13.16,13.16,14.34,14.44,11.91,8.78,7.62,7.19,4.88,1.94,0.81,1.81,1.62,0.41,0.88,3.53,5.91,6.16,5.88,7.78,9.03,7.75,6.53,7.44,9.59,10.47,10.34,11.5,13.75,14.53,12.41,11.19,12.0,12.66,11.34,10.94,12.62,14.5,13.28,11.44,10.53,10.97,9.88,8.19,8.19,10.09,11.28,9.81,8.31,8.47,8.91,7.44,6.38,7.88,10.28,11.22,10.41,11.34,13.0,13.06,11.0,10.38,11.81,13.16,12.88,13.03,14.88,16.47,15.28,12.91,11.91,12.16,10.91,9.06,9.22,11.22,12.28,11.0,9.41,9.44,9.06,6.75,4.69,5.12,7.03,7.38,7.09,8.12,9.88,10.28,8.09,7.5,9.19,10.69,10.41,10.72,12.78,14.69,14.12,13.0,13.47,14.88,13.88,12.16,11.38,12.25,11.62,9.12,7.44,8.19,9.06,8.56,8.66,11.03,13.72,13.69,12.59,12.78,13.75,13.34,11.5,10.78,12.0,12.47,11.16,10.47,12.03,13.88,13.75,13.53,14.66,16.28,15.16,12.59,10.78,11.22,10.34,8.5,8.03,9.88,11.5,10.72,10.28,11.56,12.56,11.62,9.97,10.56,12.75,14.19,14.16,15.62,18.12,18.97,16.75,14.78,14.94,15.12,13.53,12.44,14.0,15.91,15.91,14.75,14.72,15.62,14.94,11.78,9.19,8.53,6.88,4.12,2.34,3.66,5.75,6.53,6.97,9.09,12.03,13.03,12.5,13.03,14.84,15.5,14.66,14.28,16.28,18.28,17.66,16.78,17.44,17.91,15.78,12.75,11.41,11.81,11.38,9.97,10.09,11.88,12.91,11.41,9.69,10.16,11.16,10.69,10.78,13.75,17.31,18.75,18.78,19.53,21.69,22.72,22.47,22.84,24.84,26.03,24.56,22.84,22.94,23.25,21.44,18.59,17.5,17.75,16.59,14.53,13.78,15.03,15.38,14.28,13.56,15.59,17.34,16.94,16.12,17.47,19.22,19.06,17.28,17.19,18.16,17.62,15.25,13.91,14.09,13.53,11.41,9.75,10.84,12.72,12.62,11.97,13.59,15.62,16.0,14.84,14.81,15.91,15.75,14.0,13.19,14.59,16.03,15.44,14.81,16.59,18.66,18.88,18.0,18.16,18.66,18.0,15.31,14.03,15.06,15.56,13.97,12.34,12.44,11.81,9.06,5.69,5.0,5.69,5.09,4.09,4.94,7.41,9.59,10.28,12.25,16.09,18.78,18.59,17.09,16.75,16.44,13.75,10.88,10.5,11.31,10.88,9.44,9.62,11.25,12.38,11.0,10.31,11.53,12.34,10.34,8.0,8.03,9.12,8.75,7.88,9.28,12.09,14.06,14.06,15.19,18.38,20.44,19.22,17.66,17.56,17.34,14.94,12.0,12.0,13.34,13.38,12.06,12.5,14.41,15.03,13.41,12.88,14.38,15.34,13.94,12.72,13.75,15.66,15.06,13.62,13.5,14.38,13.66,11.69,11.5,13.22,14.19,13.28,12.66,14.0,15.47,14.78,13.69,14.44,15.66,14.56,12.12,10.62,10.12,8.69,5.81,4.72,6.16,8.16,8.0,8.41,10.94,13.41,13.34,12.75,13.75,16.28,17.09,16.97,18.53,21.31,22.72,21.09,19.12,18.34,16.72,12.31,8.03,6.44,6.59,5.69,4.97,6.28,8.91,9.81,8.75,8.28,9.19,9.28,7.44,6.22,7.62,9.88,10.06,9.94,11.94,14.53,14.53,13.06,11.97,11.69,9.88,6.19,3.0,2.97,2.62,0.28,-1.81,-1.72,-1.12,-2.53,-4.72,-4.88,-3.53,-3.28,-4.41,-4.53,-2.81,-2.34,-3.72,-4.25,-2.53,-0.34,0.03,0.28,2.69,6.0,6.72,6.53,7.34,9.09,8.81,6.22,4.31,4.34,3.84,1.72,0.25,1.88,3.78,3.59,1.97,2.06,2.28,-0.09,-3.22,-4.34,-2.34,-0.62,-0.12,1.28,4.31,6.22,4.94,3.69,4.34,5.66,4.53,2.66,2.5,2.97,1.81,-1.0,-2.56,-2.47,-3.03,-5.31,-7.16,-6.25,-5.09,-6.19,-7.5,-6.62,-5.06,-5.34,-6.94,-6.94,-5.94,-6.38,-8.28,-8.25,-4.97,-1.03,1.44,4.34,8.16,10.88,10.0,6.91,5.53,5.25,4.28,5.75,5.41,5.69,7.5,9.84,10.25,10.75:3.16,3.62,6.75,9.38,9.41,8.91,9.5,9.66,7.53,5.12,5.25,7.28,8.16,8.44,9.69,12.38,13.22,11.25,9.53,9.28,8.84,6.34,4.5,5.44,7.78,8.62,9.25,11.81,15.38,17.44,17.56,18.03,20.16,20.78,19.06,17.78,18.53,19.62,18.59,16.56,15.91,15.56,13.28,9.56,8.03,8.5,8.41,6.44,5.22,5.62,5.84,3.88,2.91,4.59,7.56,8.69,9.19,11.66,15.16,16.84,16.81,17.94,20.44,21.91,20.62,19.28,20.25,20.34,17.91,15.06,14.16,13.75,11.75,9.44,8.91,10.06,10.44,8.31,7.25,7.59,7.5,5.44,4.12,5.5,7.41,7.91,8.03,9.97,12.66,13.44,12.44,12.41,13.84,13.91,12.66,11.84,12.97,13.84,12.72,11.56,12.75,14.34,14.34,13.12,12.88,14.03,13.25,11.12,10.5,11.72,12.59,11.25,10.91,12.44,14.12,13.91,13.38,14.03,15.59,14.72,12.94,12.5,13.62,13.56,12.06,10.66,10.91,11.06,8.69,6.41,6.97,8.41,8.66,8.5,9.94,11.75,11.84,9.81,8.75,9.44,9.5,7.5,6.03,6.84,7.81,6.75,5.81,7.25,9.81,11.06,11.59,13.75,17.06,18.44,18.16,18.34,20.19,21.5,21.06,20.62,22.34,24.56,24.19,22.88,22.53,22.91,20.56,17.12,15.0,14.38,13.34,10.81,9.41,10.62,12.28,12.59,13.25,16.47,20.78,22.88,24.03,26.03,28.5,28.72,26.19,24.09,23.59,21.66,17.62,13.38,11.53,9.94,6.94,3.75,3.09,3.44,2.66,1.53,1.78,4.47,6.41,6.59,7.16,9.66,12.03,12.34,12.97,16.41,20.28,22.44,23.66,25.88,28.66,29.12,27.75,26.69,27.56,27.5,25.0,22.28,21.03,19.06,14.75,10.16,7.84,6.78,4.59,1.75,1.16,2.06,2.19,1.09,1.22,4.56,7.72,9.22,10.5,13.31,15.78,15.06,13.56,14.12,15.69,16.09,15.81,16.78,19.75,21.53,21.03,20.28,20.91,20.88,18.66,16.44,16.25,16.84,15.41,13.16,12.78,13.5,12.97,10.91,9.62,10.03,9.59,6.91,4.06,3.5,3.62,2.06,0.22,1.31,3.72,4.53,4.06,5.28,7.41,9.06,8.72,9.38,12.22,14.88,15.41,15.94,18.72,21.81,23.44,23.81,25.53,27.78,28.31,26.75,26.19,27.25,27.62,25.81,23.56,23.19,22.0,18.56,14.25,12.09,10.81,8.78,6.19,6.28,8.12,9.38,8.94,9.56,11.88,13.53,12.75,11.75,12.53,13.53,11.47,8.81,7.84,7.62,6.69,5.16,5.69,8.91,11.81,13.25,15.12,18.25,20.97,20.28,18.34,17.94,17.94,16.09,12.66,11.59,11.81,11.25,8.94,8.59,10.41,12.59,12.75,13.75,16.84,20.28,20.94,20.69,21.97,23.91,24.19,23.12,23.72,25.97,27.22,25.75,24.16,23.69,22.06,18.03,13.91,12.38,12.12,10.28,8.03,7.97,9.5,10.12,9.69,10.47,13.22,15.59,15.81,16.53,19.22,21.88,21.28,19.5,19.91,20.97,20.47,19.38,19.66,21.22,20.84,17.84,15.41,14.5,13.38,10.53,8.44,9.22,11.31,12.03,11.75,13.47,15.28,15.06,12.78,11.62,12.25,12.22,10.47,9.97,11.88,14.03,14.28,13.78,15.19,17.34,17.06,15.94,15.88,17.06,16.88,14.62,13.38,14.25,14.66,13.03,11.75,12.94,14.5,13.66,11.97,11.88,12.62,11.81,9.84,9.47,10.97,10.91,9.06,7.56,8.56,10.22,10.53,10.97,14.03,17.47,18.03,16.69,16.12,16.16,14.38,11.09,9.31,9.81,10.03,8.25,6.41,6.81,6.69,4.97,3.56,4.84,7.59,8.22,7.62,8.06,9.84,10.19,9.56,10.0,13.03,15.59,15.75,15.53,17.12,18.47,17.12,14.53,13.97,14.78,13.88,12.03,11.38,12.53,12.62,10.09,7.81,7.97,7.72,5.84,4.28,5.91,9.09,11.0,11.97,14.22,17.75,19.44,19.06,19.19,20.84,21.28,19.03,16.31,15.69,15.5,13.75,11.59,11.56,12.44,11.5,8.78,8.03,9.25,9.88,9.03,8.94,10.66,11.5,10.41,8.94,9.72,11.84,12.0,11.31,12.19,14.16,14.06,12.47,11.59,12.31,11.81,9.16,6.75,7.16,8.22,7.72,7.06,8.84,11.53,12.03,11.0,11.78,13.47,13.62,11.38,10.16,10.78,11.22,9.72,8.75,10.16,12.12,12.22,11.75,13.78,16.97,18.0,16.97,16.22,16.69,15.53,12.0,9.44,10.06,10.66,9.44,7.69,8.56,9.78,9.03,7.56,8.09,10.25,11.5,10.78,11.28,13.47,14.81,13.53,12.88,14.72,16.75,16.5,15.38,15.47,15.47,13.5,10.19,8.88,9.66,9.81,8.62,8.0,9.91,11.06,10.28,9.12,10.44,11.81,11.59,9.84,10.09,11.38,11.22,9.44,9.44,11.28,12.38,11.53,10.72,12.5,13.84,12.72,11.38,12.0,13.28,12.78,10.75,10.09,10.66,9.84,7.72,6.44,8.12,9.44,8.81,8.59,10.28,12.06,11.25,9.44,9.16,9.56,8.97,7.44,8.22,11.09,13.47,13.16,13.16,14.34,14.44,11.91,8.78,7.62,7.19,4.88,1.94,0.81,1.81,1.62,0.41,0.88,3.53,5.91,6.16,5.88,7.78,9.03,7.75,6.53,7.44,9.59,10.47,10.34,11.5,13.75,14.53,12.41,11.19,12.0,12.66,11.34,10.94,12.62,14.5,13.28,11.44,10.53,10.97,9.88,8.19,8.19,10.09,11.28,9.81,8.31,8.47,8.91,7.44,6.38,7.88,10.28,11.22,10.41,11.34,13.0,13.06,11.0,10.38,11.81,13.16,12.88,13.03,14.88,16.47,15.28,12.91,11.91,12.16,10.91,9.06,9.22,11.22,12.28,11.0,9.41,9.44,9.06,6.75,4.69,5.12,7.03,7.38,7.09,8.12,9.88,10.28,8.09,7.5,9.19,10.69,10.41,10.72,12.78,14.69,14.12,13.0,13.47,14.88,13.88,12.16,11.38,12.25,11.62,9.12,7.44,8.19,9.06,8.56,8.66,11.03,13.72,13.69,12.59,12.78,13.75,13.34,11.5,10.78,12.0,12.47,11.16,10.47,12.03,13.88,13.75,13.53,14.66,16.28,15.16,12.59,10.78,11.22,10.34,8.5,8.03,9.88,11.5,10.72,10.28,11.56,12.56,11.62,9.97,10.56,12.75,14.19,14.16,15.62,18.12,18.97,16.75,14.78,14.94,15.12,13.53,12.44,14.0,15.91,15.91,14.75,14.72,15.62,14.94,11.78,9.19,8.53,6.88,4.12,2.34,3.66,5.75,6.53,6.97,9.09,12.03,13.03,12.5,13.03,14.84,15.5,14.66,14.28,16.28,18.28,17.66,16.78,17.44,17.91,15.78,12.75,11.41,11.81,11.38,9.97,10.09,11.88,12.91,11.41,9.69,10.16,11.16,10.69,10.78,13.75,17.31,18.75,18.78,19.53,21.69,22.72,22.47,22.84,24.84,26.03,24.56,22.84,22.94,23.25,21.44,18.59,17.5,17.75,16.59,14.53,13.78,15.03,15.38,14.28,13.56,15.59,17.34,16.94,16.12,17.47,19.22,19.06,17.28,17.19,18.16,17.62,15.25,13.91,14.09,13.53,11.41,9.75,10.84,12.72,12.62,11.97,13.59,15.62,16.0,14.84,14.81,15.91,15.75,14.0,13.19,14.59,16.03,15.44,14.81,16.59,18.66,18.88,18.0,18.16,18.66,18.0,15.31,14.03,15.06,15.56,13.97,12.34,12.44,11.81,9.06,5.69,5.0,5.69,5.09,4.09,4.94,7.41,9.59,10.28,12.25,16.09,18.78,18.59,17.09,16.75,16.44,13.75,10.88,10.5,11.31,10.88,9.44,9.62,11.25,12.38,11.0,10.31,11.53,12.34,10.34,8.0,8.03,9.12,8.75,7.88,9.28,12.09,14.06,14.06,15.19,18.38,20.44,19.22,17.66,17.56,17.34,14.94,12.0,12.0,13.34,13.38,12.06,12.5,14.41,15.03,13.41,12.88,14.38,15.34,13.94,12.72,13.75,15.66,15.06,13.62,13.5,14.38,13.66,11.69,11.5,13.22,14.19,13.28,12.66,14.0,15.47,14.78,13.69,14.44,15.66,14.56,12.12,10.62,10.12,8.69,5.81,4.72,6.16,8.16,8.0,8.41,10.94,13.41,13.34,12.75,13.75,16.28,17.09,16.97,18.53,21.31,22.72,21.09,19.12,18.34,16.72,12.31,8.03,6.44,6.59,5.69,4.97,6.28,8.91,9.81,8.75,8.28,9.19,9.28,7.44,6.22,7.62,9.88,10.06,9.94,11.94,14.53,14.53,13.06,11.97,11.69,9.88,6.19,3.0,2.97,2.62,0.28,-1.81,-1.72,-1.12,-2.53,-4.72,-4.88,-3.53,-3.28,-4.41,-4.53,-2.81,-2.34,-3.72,-4.25,-2.53,-0.34,0.03,0.28,2.69,6.0,6.72,6.53,7.34,9.09,8.81,6.22,4.31,4.34,3.84,1.72,0.25,1.88,3.78,3.59,1.97,2.06,2.28,-0.09,-3.22,-4.34,-2.34,-0.62,-0.12,1.28,4.31,6.22,4.94,3.69,4.34,5.66,4.53,2.66,2.5,2.97,1.81,-1.0,-2.56,-2.47,-3.03,-5.31,-7.16,-6.25,-5.09,-6.19,-7.5,-6.62,-5.06,-5.34,-6.94,-6.94,-5.94,-6.38,-8.28,-8.25,-4.97,-1.03,1.44,4.34,8.16,10.88,10.0,6.91,5.53,5.25,4.28,5.75,5.41,5.69,7.5,9.84,10.25,10.75,12.66,14.53,14.75,13.5,13.12,13.09,12.44:9.66,7.53,5.12,5.25,7.28,8.16,8.44,9.69,12.38,13.22,11.25,9.53,9.28,8.84,6.34,4.5,5.44,7.78,8.62,9.25,11.81,15.38,17.44,17.56,18.03,20.16,20.78,19.06,17.78,18.53,19.62,18.59,16.56,15.91,15.56,13.28,9.56,8.03,8.5,8.41,6.44,5.22,5.62,5.84,3.88,2.91,4.59,7.56,8.69,9.19,11.66,15.16,16.84,16.81,17.94,20.44,21.91,20.62,19.28,20.25,20.34,17.91,15.06,14.16,13.75,11.75,9.44,8.91,10.06,10.44,8.31,7.25,7.59,7.5,5.44,4.12,5.5,7.41,7.91,8.03,9.97,12.66,13.44,12.44,12.41,13.84,13.91,12.66,11.84,12.97,13.84,12.72,11.56,12.75,14.34,14.34,13.12,12.88,14.03,13.25,11.12,10.5,11.72,12.59,11.25,10.91,12.44,14.12,13.91,13.38,14.03,15.59,14.72,12.94,12.5,13.62,13.56,12.06,10.66,10.91,11.06,8.69,6.41,6.97,8.41,8.66,8.5,9.94,11.75,11.84,9.81,8.75,9.44,9.5,7.5,6.03,6.84,7.81,6.75,5.81,7.25,9.81,11.06,11.59,13.75,17.06,18.44,18.16,18.34,20.19,21.5,21.06,20.62,22.34,24.56,24.19,22.88,22.53,22.91,20.56,17.12,15.0,14.38,13.34,10.81,9.41,10.62,12.28,12.59,13.25,16.47,20.78,22.88,24.03,26.03,28.5,28.72,26.19,24.09,23.59,21.66,17.62,13.38,11.53,9.94,6.94,3.75,3.09,3.44,2.66,1.53,1.78,4.47,6.41,6.59,7.16,9.66,12.03,12.34,12.97,16.41,20.28,22.44,23.66,25.88,28.66,29.12,27.75,26.69,27.56,27.5,25.0,22.28,21.03,19.06,14.75,10.16,7.84,6.78,4.59,1.75,1.16,2.06,2.19,1.09,1.22,4.56,7.72,9.22,10.5,13.31,15.78,15.06,13.56,14.12,15.69,16.09,15.81,16.78,19.75,21.53,21.03,20.28,20.91,20.88,18.66,16.44,16.25,16.84,15.41,13.16,12.78,13.5,12.97,10.91,9.62,10.03,9.59,6.91,4.06,3.5,3.62,2.06,0.22,1.31,3.72,4.53,4.06,5.28,7.41,9.06,8.72,9.38,12.22,14.88,15.41,15.94,18.72,21.81,23.44,23.81,25.53,27.78,28.31,26.75,26.19,27.25,27.62,25.81,23.56,23.19,22.0,18.56,14.25,12.09,10.81,8.78,6.19,6.28,8.12,9.38,8.94,9.56,11.88,13.53,12.75,11.75,12.53,13.53,11.47,8.81,7.84,7.62,6.69,5.16,5.69,8.91,11.81,13.25,15.12,18.25,20.97,20.28,18.34,17.94,17.94,16.09,12.66,11.59,11.81,11.25,8.94,8.59,10.41,12.59,12.75,13.75,16.84,20.28,20.94,20.69,21.97,23.91,24.19,23.12,23.72,25.97,27.22,25.75,24.16,23.69,22.06,18.03,13.91,12.38,12.12,10.28,8.03,7.97,9.5,10.12,9.69,10.47,13.22,15.59,15.81,16.53,19.22,21.88,21.28,19.5,19.91,20.97,20.47,19.38,19.66,21.22,20.84,17.84,15.41,14.5,13.38,10.53,8.44,9.22,11.31,12.03,11.75,13.47,15.28,15.06,12.78,11.62,12.25,12.22,10.47,9.97,11.88,14.03,14.28,13.78,15.19,17.34,17.06,15.94,15.88,17.06,16.88,14.62,13.38,14.25,14.66,13.03,11.75,12.94,14.5,13.66,11.97,11.88,12.62,11.81,9.84,9.47,10.97,10.91,9.06,7.56,8.56,10.22,10.53,10.97,14.03,17.47,18.03,16.69,16.12,16.16,14.38,11.09,9.31,9.81,10.03,8.25,6.41,6.81,6.69,4.97,3.56,4.84,7.59,8.22,7.62,8.06,9.84,10.19,9.56,10.0,13.03,15.59,15.75,15.53,17.12,18.47,17.12,14.53,13.97,14.78,13.88,12.03,11.38,12.53,12.62,10.09,7.81,7.97,7.72,5.84,4.28,5.91,9.09,11.0,11.97,14.22,17.75,19.44,19.06,19.19,20.84,21.28,19.03,16.31,15.69,15.5,13.75,11.59,11.56,12.44,11.5,8.78,8.03,9.25,9.88,9.03,8.94,10.66,11.5,10.41,8.94,9.72,11.84,12.0,11.31,12.19,14.16,14.06,12.47,11.59,12.31,11.81,9.16,6.75,7.16,8.22,7.72,7.06,8.84,11.53,12.03,11.0,11.78,13.47,13.62,11.38,10.16,10.78,11.22,9.72,8.75,10.16,12.12,12.22,11.75,13.78,16.97,18.0,16.97,16.22,16.69,15.53,12.0,9.44,10.06,10.66,9.44,7.69,8.56,9.78,9.03,7.56,8.09,10.25,11.5,10.78,11.28,13.47,14.81,13.53,12.88,14.72,16.75,16.5,15.38,15.47,15.47,13.5,10.19,8.88,9.66,9.81,8.62,8.0,9.91,11.06,10.28,9.12,10.44,11.81,11.59,9.84,10.09,11.38,11.22,9.44,9.44,11.28,12.38,11.53,10.72,12.5,13.84,12.72,11.38,12.0,13.28,12.78,10.75,10.09,10.66,9.84,7.72,6.44,8.12,9.44,8.81,8.59,10.28,12.06,11.25,9.44,9.16,9.56,8.97,7.44,8.22,11.09,13.47,13.16,13.16,14.34,14.44,11.91,8.78,7.62,7.19,4.88,1.94,0.81,1.81,1.62,0.41,0.88,3.53,5.91,6.16,5.88,7.78,9.03,7.75,6.53,7.44,9.59,10.47,10.34,11.5,13.75,14.53,12.41,11.19,12.0,12.66,11.34,10.94,12.62,14.5,13.28,11.44,10.53,10.97,9.88,8.19,8.19,10.09,11.28,9.81,8.31,8.47,8.91,7.44,6.38,7.88,10.28,11.22,10.41,11.34,13.0,13.06,11.0,10.38,11.81,13.16,12.88,13.03,14.88,16.47,15.28,12.91,11.91,12.16,10.91,9.06,9.22,11.22,12.28,11.0,9.41,9.44,9.06,6.75,4.69,5.12,7.03,7.38,7.09,8.12,9.88,10.28,8.09,7.5,9.19,10.69,10.41,10.72,12.78,14.69,14.12,13.0,13.47,14.88,13.88,12.16,11.38,12.25,11.62,9.12,7.44,8.19,9.06,8.56,8.66,11.03,13.72,13.69,12.59,12.78,13.75,13.34,11.5,10.78,12.0,12.47,11.16,10.47,12.03,13.88,13.75,13.53,14.66,16.28,15.16,12.59,10.78,11.22,10.34,8.5,8.03,9.88,11.5,10.72,10.28,11.56,12.56,11.62,9.97,10.56,12.75,14.19,14.16,15.62,18.12,18.97,16.75,14.78,14.94,15.12,13.53,12.44,14.0,15.91,15.91,14.75,14.72,15.62,14.94,11.78,9.19,8.53,6.88,4.12,2.34,3.66,5.75,6.53,6.97,9.09,12.03,13.03,12.5,13.03,14.84,15.5,14.66,14.28,16.28,18.28,17.66,16.78,17.44,17.91,15.78,12.75,11.41,11.81,11.38,9.97,10.09,11.88,12.91,11.41,9.69,10.16,11.16,10.69,10.78,13.75,17.31,18.75,18.78,19.53,21.69,22.72,22.47,22.84,24.84,26.03,24.56,22.84,22.94,23.25,21.44,18.59,17.5,17.75,16.59,14.53,13.78,15.03,15.38,14.28,13.56,15.59,17.34,16.94,16.12,17.47,19.22,19.06,17.28,17.19,18.16,17.62,15.25,13.91,14.09,13.53,11.41,9.75,10.84,12.72,12.62,11.97,13.59,15.62,16.0,14.84,14.81,15.91,15.75,14.0,13.19,14.59,16.03,15.44,14.81,16.59,18.66,18.88,18.0,18.16,18.66,18.0,15.31,14.03,15.06,15.56,13.97,12.34,12.44,11.81,9.06,5.69,5.0,5.69,5.09,4.09,4.94,7.41,9.59,10.28,12.25,16.09,18.78,18.59,17.09,16.75,16.44,13.75,10.88,10.5,11.31,10.88,9.44,9.62,11.25,12.38,11.0,10.31,11.53,12.34,10.34,8.0,8.03,9.12,8.75,7.88,9.28,12.09,14.06,14.06,15.19,18.38,20.44,19.22,17.66,17.56,17.34,14.94,12.0,12.0,13.34,13.38,12.06,12.5,14.41,15.03,13.41,12.88,14.38,15.34,13.94,12.72,13.75,15.66,15.06,13.62,13.5,14.38,13.66,11.69,11.5,13.22,14.19,13.28,12.66,14.0,15.47,14.78,13.69,14.44,15.66,14.56,12.12,10.62,10.12,8.69,5.81,4.72,6.16,8.16,8.0,8.41,10.94,13.41,13.34,12.75,13.75,16.28,17.09,16.97,18.53,21.31,22.72,21.09,19.12,18.34,16.72,12.31,8.03,6.44,6.59,5.69,4.97,6.28,8.91,9.81,8.75,8.28,9.19,9.28,7.44,6.22,7.62,9.88,10.06,9.94,11.94,14.53,14.53,13.06,11.97,11.69,9.88,6.19,3.0,2.97,2.62,0.28,-1.81,-1.72,-1.12,-2.53,-4.72,-4.88,-3.53,-3.28,-4.41,-4.53,-2.81,-2.34,-3.72,-4.25,-2.53,-0.34,0.03,0.28,2.69,6.0,6.72,6.53,7.34,9.09,8.81,6.22,4.31,4.34,3.84,1.72,0.25,1.88,3.78,3.59,1.97,2.06,2.28,-0.09,-3.22,-4.34,-2.34,-0.62,-0.12,1.28,4.31,6.22,4.94,3.69,4.34,5.66,4.53,2.66,2.5,2.97,1.81,-1.0,-2.56,-2.47,-3.03,-5.31,-7.16,-6.25,-5.09,-6.19,-7.5,-6.62,-5.06,-5.34,-6.94,-6.94,-5.94,-6.38,-8.28,-8.25,-4.97,-1.03,1.44,4.34,8.16,10.88,10.0,6.91,5.53,5.25,4.28,5.75,5.41,5.69,7.5,9.84,10.25,10.75,12.66,14.53,14.75,13.5,13.12,13.09,12.44,11.19,11.34,13.12,14.75,14.75,13.84,13.88:9.69,12.38,13.22,11.25,9.53,9.28,8.84,6.34,4.5,5.44,7.78,8.62,9.25,11.81,15.38,17.44,17.56,18.03,20.16,20.78,19.06,17.78,18.53,19.62,18.59,16.56,15.91,15.56,13.28,9.56,8.03,8.5,8.41,6.44,5.22,5.62,5.84,3.88,2.91,4.59,7.56,8.69,9.19,11.66,15.16,16.84,16.81,17.94,20.44,21.91,20.62,19.28,20.25,20.34,17.91,15.06,14.16,13.75,11.75,9.44,8.91,10.06,10.44,8.31,7.25,7.59,7.5,5.44,4.12,5.5,7.41,7.91,8.03,9.97,12.66,13.44,12.44,12.41,13.84,13.91,12.66,11.84,12.97,13.84,12.72,11.56,12.75,14.34,14.34,13.12,12.88,14.03,13.25,11.12,10.5,11.72,12.59,11.25,10.91,12.44,14.12,13.91,13.38,14.03,15.59,14.72,12.94,12.5,13.62,13.56,12.06,10.66,10.91,11.06,8.69,6.41,6.97,8.41,8.66,8.5,9.94,11.75,11.84,9.81,8.75,9.44,9.5,7.5,6.03,6.84,7.81,6.75,5.81,7.25,9.81,11.06,11.59,13.75,17.06,18.44,18.16,18.34,20.19,21.5,21.06,20.62,22.34,24.56,24.19,22.88,22.53,22.91,20.56,17.12,15.0,14.38,13.34,10.81,9.41,10.62,12.28,12.59,13.25,16.47,20.78,22.88,24.03,26.03,28.5,28.72,26.19,24.09,23.59,21.66,17.62,13.38,11.53,9.94,6.94,3.75,3.09,3.44,2.66,1.53,1.78,4.47,6.41,6.59,7.16,9.66,12.03,12.34,12.97,16.41,20.28,22.44,23.66,25.88,28.66,29.12,27.75,26.69,27.56,27.5,25.0,22.28,21.03,19.06,14.75,10.16,7.84,6.78,4.59,1.75,1.16,2.06,2.19,1.09,1.22,4.56,7.72,9.22,10.5,13.31,15.78,15.06,13.56,14.12,15.69,16.09,15.81,16.78,19.75,21.53,21.03,20.28,20.91,20.88,18.66,16.44,16.25,16.84,15.41,13.16,12.78,13.5,12.97,10.91,9.62,10.03,9.59,6.91,4.06,3.5,3.62,2.06,0.22,1.31,3.72,4.53,4.06,5.28,7.41,9.06,8.72,9.38,12.22,14.88,15.41,15.94,18.72,21.81,23.44,23.81,25.53,27.78,28.31,26.75,26.19,27.25,27.62,25.81,23.56,23.19,22.0,18.56,14.25,12.09,10.81,8.78,6.19,6.28,8.12,9.38,8.94,9.56,11.88,13.53,12.75,11.75,12.53,13.53,11.47,8.81,7.84,7.62,6.69,5.16,5.69,8.91,11.81,13.25,15.12,18.25,20.97,20.28,18.34,17.94,17.94,16.09,12.66,11.59,11.81,11.25,8.94,8.59,10.41,12.59,12.75,13.75,16.84,20.28,20.94,20.69,21.97,23.91,24.19,23.12,23.72,25.97,27.22,25.75,24.16,23.69,22.06,18.03,13.91,12.38,12.12,10.28,8.03,7.97,9.5,10.12,9.69,10.47,13.22,15.59,15.81,16.53,19.22,21.88,21.28,19.5,19.91,20.97,20.47,19.38,19.66,21.22,20.84,17.84,15.41,14.5,13.38,10.53,8.44,9.22,11.31,12.03,11.75,13.47,15.28,15.06,12.78,11.62,12.25,12.22,10.47,9.97,11.88,14.03,14.28,13.78,15.19,17.34,17.06,15.94,15.88,17.06,16.88,14.62,13.38,14.25,14.66,13.03,11.75,12.94,14.5,13.66,11.97,11.88,12.62,11.81,9.84,9.47,10.97,10.91,9.06,7.56,8.56,10.22,10.53,10.97,14.03,17.47,18.03,16.69,16.12,16.16,14.38,11.09,9.31,9.81,10.03,8.25,6.41,6.81,6.69,4.97,3.56,4.84,7.59,8.22,7.62,8.06,9.84,10.19,9.56,10.0,13.03,15.59,15.75,15.53,17.12,18.47,17.12,14.53,13.97,14.78,13.88,12.03,11.38,12.53,12.62,10.09,7.81,7.97,7.72,5.84,4.28,5.91,9.09,11.0,11.97,14.22,17.75,19.44,19.06,19.19,20.84,21.28,19.03,16.31,15.69,15.5,13.75,11.59,11.56,12.44,11.5,8.78,8.03,9.25,9.88,9.03,8.94,10.66,11.5,10.41,8.94,9.72,11.84,12.0,11.31,12.19,14.16,14.06,12.47,11.59,12.31,11.81,9.16,6.75,7.16,8.22,7.72,7.06,8.84,11.53,12.03,11.0,11.78,13.47,13.62,11.38,10.16,10.78,11.22,9.72,8.75,10.16,12.12,12.22,11.75,13.78,16.97,18.0,16.97,16.22,16.69,15.53,12.0,9.44,10.06,10.66,9.44,7.69,8.56,9.78,9.03,7.56,8.09,10.25,11.5,10.78,11.28,13.47,14.81,13.53,12.88,14.72,16.75,16.5,15.38,15.47,15.47,13.5,10.19,8.88,9.66,9.81,8.62,8.0,9.91,11.06,10.28,9.12,10.44,11.81,11.59,9.84,10.09,11.38,11.22,9.44,9.44,11.28,12.38,11.53,10.72,12.5,13.84,12.72,11.38,12.0,13.28,12.78,10.75,10.09,10.66,9.84,7.72,6.44,8.12,9.44,8.81,8.59,10.28,12.06,11.25,9.44,9.16,9.56,8.97,7.44,8.22,11.09,13.47,13.16,13.16,14.34,14.44,11.91,8.78,7.62,7.19,4.88,1.94,0.81,1.81,1.62,0.41,0.88,3.53,5.91,6.16,5.88,7.78,9.03,7.75,6.53,7.44,9.59,10.47,10.34,11.5,13.75,14.53,12.41,11.19,12.0,12.66,11.34,10.94,12.62,14.5,13.28,11.44,10.53,10.97,9.88,8.19,8.19,10.09,11.28,9.81,8.31,8.47,8.91,7.44,6.38,7.88,10.28,11.22,10.41,11.34,13.0,13.06,11.0,10.38,11.81,13.16,12.88,13.03,14.88,16.47,15.28,12.91,11.91,12.16,10.91,9.06,9.22,11.22,12.28,11.0,9.41,9.44,9.06,6.75,4.69,5.12,7.03,7.38,7.09,8.12,9.88,10.28,8.09,7.5,9.19,10.69,10.41,10.72,12.78,14.69,14.12,13.0,13.47,14.88,13.88,12.16,11.38,12.25,11.62,9.12,7.44,8.19,9.06,8.56,8.66,11.03,13.72,13.69,12.59,12.78,13.75,13.34,11.5,10.78,12.0,12.47,11.16,10.47,12.03,13.88,13.75,13.53,14.66,16.28,15.16,12.59,10.78,11.22,10.34,8.5,8.03,9.88,11.5,10.72,10.28,11.56,12.56,11.62,9.97,10.56,12.75,14.19,14.16,15.62,18.12,18.97,16.75,14.78,14.94,15.12,13.53,12.44,14.0,15.91,15.91,14.75,14.72,15.62,14.94,11.78,9.19,8.53,6.88,4.12,2.34,3.66,5.75,6.53,6.97,9.09,12.03,13.03,12.5,13.03,14.84,15.5,14.66,14.28,16.28,18.28,17.66,16.78,17.44,17.91,15.78,12.75,11.41,11.81,11.38,9.97,10.09,11.88,12.91,11.41,9.69,10.16,11.16,10.69,10.78,13.75,17.31,18.75,18.78,19.53,21.69,22.72,22.47,22.84,24.84,26.03,24.56,22.84,22.94,23.25,21.44,18.59,17.5,17.75,16.59,14.53,13.78,15.03,15.38,14.28,13.56,15.59,17.34,16.94,16.12,17.47,19.22,19.06,17.28,17.19,18.16,17.62,15.25,13.91,14.09,13.53,11.41,9.75,10.84,12.72,12.62,11.97,13.59,15.62,16.0,14.84,14.81,15.91,15.75,14.0,13.19,14.59,16.03,15.44,14.81,16.59,18.66,18.88,18.0,18.16,18.66,18.0,15.31,14.03,15.06,15.56,13.97,12.34,12.44,11.81,9.06,5.69,5.0,5.69,5.09,4.09,4.94,7.41,9.59,10.28,12.25,16.09,18.78,18.59,17.09,16.75,16.44,13.75,10.88,10.5,11.31,10.88,9.44,9.62,11.25,12.38,11.0,10.31,11.53,12.34,10.34,8.0,8.03,9.12,8.75,7.88,9.28,12.09,14.06,14.06,15.19,18.38,20.44,19.22,17.66,17.56,17.34,14.94,12.0,12.0,13.34,13.38,12.06,12.5,14.41,15.03,13.41,12.88,14.38,15.34,13.94,12.72,13.75,15.66,15.06,13.62,13.5,14.38,13.66,11.69,11.5,13.22,14.19,13.28,12.66,14.0,15.47,14.78,13.69,14.44,15.66,14.56,12.12,10.62,10.12,8.69,5.81,4.72,6.16,8.16,8.0,8.41,10.94,13.41,13.34,12.75,13.75,16.28,17.09,16.97,18.53,21.31,22.72,21.09,19.12,18.34,16.72,12.31,8.03,6.44,6.59,5.69,4.97,6.28,8.91,9.81,8.75,8.28,9.19,9.28,7.44,6.22,7.62,9.88,10.06,9.94,11.94,14.53,14.53,13.06,11.97,11.69,9.88,6.19,3.0,2.97,2.62,0.28,-1.81,-1.72,-1.12,-2.53,-4.72,-4.88,-3.53,-3.28,-4.41,-4.53,-2.81,-2.34,-3.72,-4.25,-2.53,-0.34,0.03,0.28,2.69,6.0,6.72,6.53,7.34,9.09,8.81,6.22,4.31,4.34,3.84,1.72,0.25,1.88,3.78,3.59,1.97,2.06,2.28,-0.09,-3.22,-4.34,-2.34,-0.62,-0.12,1.28,4.31,6.22,4.94,3.69,4.34,5.66,4.53,2.66,2.5,2.97,1.81,-1.0,-2.56,-2.47,-3.03,-5.31,-7.16,-6.25,-5.09,-6.19,-7.5,-6.62,-5.06,-5.34,-6.94,-6.94,-5.94,-6.38,-8.28,-8.25,-4.97,-1.03,1.44,4.34,8.16,10.88,10.0,6.91,5.53,5.25,4.28,5.75,5.41,5.69,7.5,9.84,10.25,10.75,12.66,14.53,14.75,13.5,13.12,13.09,12.44,11.19,11.34,13.12,14.75,14.75,13.84,13.88,13.22,11.28,9.16,9.09,10.53,11.69,12.34:6.34,4.5,5.44,7.78,8.62,9.25,11.81,15.38,17.44,17.56,18.03,20.16,20.78,19.06,17.78,18.53,19.62,18.59,16.56,15.91,15.56,13.28,9.56,8.03,8.5,8.41,6.44,5.22,5.62,5.84,3.88,2.91,4.59,7.56,8.69,9.19,11.66,15.16,16.84,16.81,17.94,20.44,21.91,20.62,19.28,20.25,20.34,17.91,15.06,14.16,13.75,11.75,9.44,8.91,10.06,10.44,8.31,7.25,7.59,7.5,5.44,4.12,5.5,7.41,7.91,8.03,9.97,12.66,13.44,12.44,12.41,13.84,13.91,12.66,11.84,12.97,13.84,12.72,11.56,12.75,14.34,14.34,13.12,12.88,14.03,13.25,11.12,10.5,11.72,12.59,11.25,10.91,12.44,14.12,13.91,13.38,14.03,15.59,14.72,12.94,12.5,13.62,13.56,12.06,10.66,10.91,11.06,8.69,6.41,6.97,8.41,8.66,8.5,9.94,11.75,11.84,9.81,8.75,9.44,9.5,7.5,6.03,6.84,7.81,6.75,5.81,7.25,9.81,11.06,11.59,13.75,17.06,18.44,18.16,18.34,20.19,21.5,21.06,20.62,22.34,24.56,24.19,22.88,22.53,22.91,20.56,17.12,15.0,14.38,13.34,10.81,9.41,10.62,12.28,12.59,13.25,16.47,20.78,22.88,24.03,26.03,28.5,28.72,26.19,24.09,23.59,21.66,17.62,13.38,11.53,9.94,6.94,3.75,3.09,3.44,2.66,1.53,1.78,4.47,6.41,6.59,7.16,9.66,12.03,12.34,12.97,16.41,20.28,22.44,23.66,25.88,28.66,29.12,27.75,26.69,27.56,27.5,25.0,22.28,21.03,19.06,14.75,10.16,7.84,6.78,4.59,1.75,1.16,2.06,2.19,1.09,1.22,4.56,7.72,9.22,10.5,13.31,15.78,15.06,13.56,14.12,15.69,16.09,15.81,16.78,19.75,21.53,21.03,20.28,20.91,20.88,18.66,16.44,16.25,16.84,15.41,13.16,12.78,13.5,12.97,10.91,9.62,10.03,9.59,6.91,4.06,3.5,3.62,2.06,0.22,1.31,3.72,4.53,4.06,5.28,7.41,9.06,8.72,9.38,12.22,14.88,15.41,15.94,18.72,21.81,23.44,23.81,25.53,27.78,28.31,26.75,26.19,27.25,27.62,25.81,23.56,23.19,22.0,18.56,14.25,12.09,10.81,8.78,6.19,6.28,8.12,9.38,8.94,9.56,11.88,13.53,12.75,11.75,12.53,13.53,11.47,8.81,7.84,7.62,6.69,5.16,5.69,8.91,11.81,13.25,15.12,18.25,20.97,20.28,18.34,17.94,17.94,16.09,12.66,11.59,11.81,11.25,8.94,8.59,10.41,12.59,12.75,13.75,16.84,20.28,20.94,20.69,21.97,23.91,24.19,23.12,23.72,25.97,27.22,25.75,24.16,23.69,22.06,18.03,13.91,12.38,12.12,10.28,8.03,7.97,9.5,10.12,9.69,10.47,13.22,15.59,15.81,16.53,19.22,21.88,21.28,19.5,19.91,20.97,20.47,19.38,19.66,21.22,20.84,17.84,15.41,14.5,13.38,10.53,8.44,9.22,11.31,12.03,11.75,13.47,15.28,15.06,12.78,11.62,12.25,12.22,10.47,9.97,11.88,14.03,14.28,13.78,15.19,17.34,17.06,15.94,15.88,17.06,16.88,14.62,13.38,14.25,14.66,13.03,11.75,12.94,14.5,13.66,11.97,11.88,12.62,11.81,9.84,9.47,10.97,10.91,9.06,7.56,8.56,10.22,10.53,10.97,14.03,17.47,18.03,16.69,16.12,16.16,14.38,11.09,9.31,9.81,10.03,8.25,6.41,6.81,6.69,4.97,3.56,4.84,7.59,8.22,7.62,8.06,9.84,10.19,9.56,10.0,13.03,15.59,15.75,15.53,17.12,18.47,17.12,14.53,13.97,14.78,13.88,12.03,11.38,12.53,12.62,10.09,7.81,7.97,7.72,5.84,4.28,5.91,9.09,11.0,11.97,14.22,17.75,19.44,19.06,19.19,20.84,21.28,19.03,16.31,15.69,15.5,13.75,11.59,11.56,12.44,11.5,8.78,8.03,9.25,9.88,9.03,8.94,10.66,11.5,10.41,8.94,9.72,11.84,12.0,11.31,12.19,14.16,14.06,12.47,11.59,12.31,11.81,9.16,6.75,7.16,8.22,7.72,7.06,8.84,11.53,12.03,11.0,11.78,13.47,13.62,11.38,10.16,10.78,11.22,9.72,8.75,10.16,12.12,12.22,11.75,13.78,16.97,18.0,16.97,16.22,16.69,15.53,12.0,9.44,10.06,10.66,9.44,7.69,8.56,9.78,9.03,7.56,8.09,10.25,11.5,10.78,11.28,13.47,14.81,13.53,12.88,14.72,16.75,16.5,15.38,15.47,15.47,13.5,10.19,8.88,9.66,9.81,8.62,8.0,9.91,11.06,10.28,9.12,10.44,11.81,11.59,9.84,10.09,11.38,11.22,9.44,9.44,11.28,12.38,11.53,10.72,12.5,13.84,12.72,11.38,12.0,13.28,12.78,10.75,10.09,10.66,9.84,7.72,6.44,8.12,9.44,8.81,8.59,10.28,12.06,11.25,9.44,9.16,9.56,8.97,7.44,8.22,11.09,13.47,13.16,13.16,14.34,14.44,11.91,8.78,7.62,7.19,4.88,1.94,0.81,1.81,1.62,0.41,0.88,3.53,5.91,6.16,5.88,7.78,9.03,7.75,6.53,7.44,9.59,10.47,10.34,11.5,13.75,14.53,12.41,11.19,12.0,12.66,11.34,10.94,12.62,14.5,13.28,11.44,10.53,10.97,9.88,8.19,8.19,10.09,11.28,9.81,8.31,8.47,8.91,7.44,6.38,7.88,10.28,11.22,10.41,11.34,13.0,13.06,11.0,10.38,11.81,13.16,12.88,13.03,14.88,16.47,15.28,12.91,11.91,12.16,10.91,9.06,9.22,11.22,12.28,11.0,9.41,9.44,9.06,6.75,4.69,5.12,7.03,7.38,7.09,8.12,9.88,10.28,8.09,7.5,9.19,10.69,10.41,10.72,12.78,14.69,14.12,13.0,13.47,14.88,13.88,12.16,11.38,12.25,11.62,9.12,7.44,8.19,9.06,8.56,8.66,11.03,13.72,13.69,12.59,12.78,13.75,13.34,11.5,10.78,12.0,12.47,11.16,10.47,12.03,13.88,13.75,13.53,14.66,16.28,15.16,12.59,10.78,11.22,10.34,8.5,8.03,9.88,11.5,10.72,10.28,11.56,12.56,11.62,9.97,10.56,12.75,14.19,14.16,15.62,18.12,18.97,16.75,14.78,14.94,15.12,13.53,12.44,14.0,15.91,15.91,14.75,14.72,15.62,14.94,11.78,9.19,8.53,6.88,4.12,2.34,3.66,5.75,6.53,6.97,9.09,12.03,13.03,12.5,13.03,14.84,15.5,14.66,14.28,16.28,18.28,17.66,16.78,17.44,17.91,15.78,12.75,11.41,11.81,11.38,9.97,10.09,11.88,12.91,11.41,9.69,10.16,11.16,10.69,10.78,13.75,17.31,18.75,18.78,19.53,21.69,22.72,22.47,22.84,24.84,26.03,24.56,22.84,22.94,23.25,21.44,18.59,17.5,17.75,16.59,14.53,13.78,15.03,15.38,14.28,13.56,15.59,17.34,16.94,16.12,17.47,19.22,19.06,17.28,17.19,18.16,17.62,15.25,13.91,14.09,13.53,11.41,9.75,10.84,12.72,12.62,11.97,13.59,15.62,16.0,14.84,14.81,15.91,15.75,14.0,13.19,14.59,16.03,15.44,14.81,16.59,18.66,18.88,18.0,18.16,18.66,18.0,15.31,14.03,15.06,15.56,13.97,12.34,12.44,11.81,9.06,5.69,5.0,5.69,5.09,4.09,4.94,7.41,9.59,10.28,12.25,16.09,18.78,18.59,17.09,16.75,16.44,13.75,10.88,10.5,11.31,10.88,9.44,9.62,11.25,12.38,11.0,10.31,11.53,12.34,10.34,8.0,8.03,9.12,8.75,7.88,9.28,12.09,14.06,14.06,15.19,18.38,20.44,19.22,17.66,17.56,17.34,14.94,12.0,12.0,13.34,13.38,12.06,12.5,14.41,15.03,13.41,12.88,14.38,15.34,13.94,12.72,13.75,15.66,15.06,13.62,13.5,14.38,13.66,11.69,11.5,13.22,14.19,13.28,12.66,14.0,15.47,14.78,13.69,14.44,15.66,14.56,12.12,10.62,10.12,8.69,5.81,4.72,6.16,8.16,8.0,8.41,10.94,13.41,13.34,12.75,13.75,16.28,17.09,16.97,18.53,21.31,22.72,21.09,19.12,18.34,16.72,12.31,8.03,6.44,6.59,5.69,4.97,6.28,8.91,9.81,8.75,8.28,9.19,9.28,7.44,6.22,7.62,9.88,10.06,9.94,11.94,14.53,14.53,13.06,11.97,11.69,9.88,6.19,3.0,2.97,2.62,0.28,-1.81,-1.72,-1.12,-2.53,-4.72,-4.88,-3.53,-3.28,-4.41,-4.53,-2.81,-2.34,-3.72,-4.25,-2.53,-0.34,0.03,0.28,2.69,6.0,6.72,6.53,7.34,9.09,8.81,6.22,4.31,4.34,3.84,1.72,0.25,1.88,3.78,3.59,1.97,2.06,2.28,-0.09,-3.22,-4.34,-2.34,-0.62,-0.12,1.28,4.31,6.22,4.94,3.69,4.34,5.66,4.53,2.66,2.5,2.97,1.81,-1.0,-2.56,-2.47,-3.03,-5.31,-7.16,-6.25,-5.09,-6.19,-7.5,-6.62,-5.06,-5.34,-6.94,-6.94,-5.94,-6.38,-8.28,-8.25,-4.97,-1.03,1.44,4.34,8.16,10.88,10.0,6.91,5.53,5.25,4.28,5.75,5.41,5.69,7.5,9.84,10.25,10.75,12.66,14.53,14.75,13.5,13.12,13.09,12.44,11.19,11.34,13.12,14.75,14.75,13.84,13.88,13.22,11.28,9.16,9.09,10.53,11.69,12.34,14.44,17.03,18.31,17.56,16.94,16.88,16.06:15.38,17.44,17.56,18.03,20.16,20.78,19.06,17.78,18.53,19.62,18.59,16.56,15.91,15.56,13.28,9.56,8.03,8.5,8.41,6.44,5.22,5.62,5.84,3.88,2.91,4.59,7.56,8.69,9.19,11.66,15.16,16.84,16.81,17.94,20.44,21.91,20.62,19.28,20.25,20.34,17.91,15.06,14.16,13.75,11.75,9.44,8.91,10.06,10.44,8.31,7.25,7.59,7.5,5.44,4.12,5.5,7.41,7.91,8.03,9.97,12.66,13.44,12.44,12.41,13.84,13.91,12.66,11.84,12.97,13.84,12.72,11.56,12.75,14.34,14.34,13.12,12.88,14.03,13.25,11.12,10.5,11.72,12.59,11.25,10.91,12.44,14.12,13.91,13.38,14.03,15.59,14.72,12.94,12.5,13.62,13.56,12.06,10.66,10.91,11.06,8.69,6.41,6.97,8.41,8.66,8.5,9.94,11.75,11.84,9.81,8.75,9.44,9.5,7.5,6.03,6.84,7.81,6.75,5.81,7.25,9.81,11.06,11.59,13.75,17.06,18.44,18.16,18.34,20.19,21.5,21.06,20.62,22.34,24.56,24.19,22.88,22.53,22.91,20.56,17.12,15.0,14.38,13.34,10.81,9.41,10.62,12.28,12.59,13.25,16.47,20.78,22.88,24.03,26.03,28.5,28.72,26.19,24.09,23.59,21.66,17.62,13.38,11.53,9.94,6.94,3.75,3.09,3.44,2.66,1.53,1.78,4.47,6.41,6.59,7.16,9.66,12.03,12.34,12.97,16.41,20.28,22.44,23.66,25.88,28.66,29.12,27.75,26.69,27.56,27.5,25.0,22.28,21.03,19.06,14.75,10.16,7.84,6.78,4.59,1.75,1.16,2.06,2.19,1.09,1.22,4.56,7.72,9.22,10.5,13.31,15.78,15.06,13.56,14.12,15.69,16.09,15.81,16.78,19.75,21.53,21.03,20.28,20.91,20.88,18.66,16.44,16.25,16.84,15.41,13.16,12.78,13.5,12.97,10.91,9.62,10.03,9.59,6.91,4.06,3.5,3.62,2.06,0.22,1.31,3.72,4.53,4.06,5.28,7.41,9.06,8.72,9.38,12.22,14.88,15.41,15.94,18.72,21.81,23.44,23.81,25.53,27.78,28.31,26.75,26.19,27.25,27.62,25.81,23.56,23.19,22.0,18.56,14.25,12.09,10.81,8.78,6.19,6.28,8.12,9.38,8.94,9.56,11.88,13.53,12.75,11.75,12.53,13.53,11.47,8.81,7.84,7.62,6.69,5.16,5.69,8.91,11.81,13.25,15.12,18.25,20.97,20.28,18.34,17.94,17.94,16.09,12.66,11.59,11.81,11.25,8.94,8.59,10.41,12.59,12.75,13.75,16.84,20.28,20.94,20.69,21.97,23.91,24.19,23.12,23.72,25.97,27.22,25.75,24.16,23.69,22.06,18.03,13.91,12.38,12.12,10.28,8.03,7.97,9.5,10.12,9.69,10.47,13.22,15.59,15.81,16.53,19.22,21.88,21.28,19.5,19.91,20.97,20.47,19.38,19.66,21.22,20.84,17.84,15.41,14.5,13.38,10.53,8.44,9.22,11.31,12.03,11.75,13.47,15.28,15.06,12.78,11.62,12.25,12.22,10.47,9.97,11.88,14.03,14.28,13.78,15.19,17.34,17.06,15.94,15.88,17.06,16.88,14.62,13.38,14.25,14.66,13.03,11.75,12.94,14.5,13.66,11.97,11.88,12.62,11.81,9.84,9.47,10.97,10.91,9.06,7.56,8.56,10.22,10.53,10.97,14.03,17.47,18.03,16.69,16.12,16.16,14.38,11.09,9.31,9.81,10.03,8.25,6.41,6.81,6.69,4.97,3.56,4.84,7.59,8.22,7.62,8.06,9.84,10.19,9.56,10.0,13.03,15.59,15.75,15.53,17.12,18.47,17.12,14.53,13.97,14.78,13.88,12.03,11.38,12.53,12.62,10.09,7.81,7.97,7.72,5.84,4.28,5.91,9.09,11.0,11.97,14.22,17.75,19.44,19.06,19.19,20.84,21.28,19.03,16.31,15.69,15.5,13.75,11.59,11.56,12.44,11.5,8.78,8.03,9.25,9.88,9.03,8.94,10.66,11.5,10.41,8.94,9.72,11.84,12.0,11.31,12.19,14.16,14.06,12.47,11.59,12.31,11.81,9.16,6.75,7.16,8.22,7.72,7.06,8.84,11.53,12.03,11.0,11.78,13.47,13.62,11.38,10.16,10.78,11.22,9.72,8.75,10.16,12.12,12.22,11.75,13.78,16.97,18.0,16.97,16.22,16.69,15.53,12.0,9.44,10.06,10.66,9.44,7.69,8.56,9.78,9.03,7.56,8.09,10.25,11.5,10.78,11.28,13.47,14.81,13.53,12.88,14.72,16.75,16.5,15.38,15.47,15.47,13.5,10.19,8.88,9.66,9.81,8.62,8.0,9.91,11.06,10.28,9.12,10.44,11.81,11.59,9.84,10.09,11.38,11.22,9.44,9.44,11.28,12.38,11.53,10.72,12.5,13.84,12.72,11.38,12.0,13.28,12.78,10.75,10.09,10.66,9.84,7.72,6.44,8.12,9.44,8.81,8.59,10.28,12.06,11.25,9.44,9.16,9.56,8.97,7.44,8.22,11.09,13.47,13.16,13.16,14.34,14.44,11.91,8.78,7.62,7.19,4.88,1.94,0.81,1.81,1.62,0.41,0.88,3.53,5.91,6.16,5.88,7.78,9.03,7.75,6.53,7.44,9.59,10.47,10.34,11.5,13.75,14.53,12.41,11.19,12.0,12.66,11.34,10.94,12.62,14.5,13.28,11.44,10.53,10.97,9.88,8.19,8.19,10.09,11.28,9.81,8.31,8.47,8.91,7.44,6.38,7.88,10.28,11.22,10.41,11.34,13.0,13.06,11.0,10.38,11.81,13.16,12.88,13.03,14.88,16.47,15.28,12.91,11.91,12.16,10.91,9.06,9.22,11.22,12.28,11.0,9.41,9.44,9.06,6.75,4.69,5.12,7.03,7.38,7.09,8.12,9.88,10.28,8.09,7.5,9.19,10.69,10.41,10.72,12.78,14.69,14.12,13.0,13.47,14.88,13.88,12.16,11.38,12.25,11.62,9.12,7.44,8.19,9.06,8.56,8.66,11.03,13.72,13.69,12.59,12.78,13.75,13.34,11.5,10.78,12.0,12.47,11.16,10.47,12.03,13.88,13.75,13.53,14.66,16.28,15.16,12.59,10.78,11.22,10.34,8.5,8.03,9.88,11.5,10.72,10.28,11.56,12.56,11.62,9.97,10.56,12.75,14.19,14.16,15.62,18.12,18.97,16.75,14.78,14.94,15.12,13.53,12.44,14.0,15.91,15.91,14.75,14.72,15.62,14.94,11.78,9.19,8.53,6.88,4.12,2.34,3.66,5.75,6.53,6.97,9.09,12.03,13.03,12.5,13.03,14.84,15.5,14.66,14.28,16.28,18.28,17.66,16.78,17.44,17.91,15.78,12.75,11.41,11.81,11.38,9.97,10.09,11.88,12.91,11.41,9.69,10.16,11.16,10.69,10.78,13.75,17.31,18.75,18.78,19.53,21.69,22.72,22.47,22.84,24.84,26.03,24.56,22.84,22.94,23.25,21.44,18.59,17.5,17.75,16.59,14.53,13.78,15.03,15.38,14.28,13.56,15.59,17.34,16.94,16.12,17.47,19.22,19.06,17.28,17.19,18.16,17.62,15.25,13.91,14.09,13.53,11.41,9.75,10.84,12.72,12.62,11.97,13.59,15.62,16.0,14.84,14.81,15.91,15.75,14.0,13.19,14.59,16.03,15.44,14.81,16.59,18.66,18.88,18.0,18.16,18.66,18.0,15.31,14.03,15.06,15.56,13.97,12.34,12.44,11.81,9.06,5.69,5.0,5.69,5.09,4.09,4.94,7.41,9.59,10.28,12.25,16.09,18.78,18.59,17.09,16.75,16.44,13.75,10.88,10.5,11.31,10.88,9.44,9.62,11.25,12.38,11.0,10.31,11.53,12.34,10.34,8.0,8.03,9.12,8.75,7.88,9.28,12.09,14.06,14.06,15.19,18.38,20.44,19.22,17.66,17.56,17.34,14.94,12.0,12.0,13.34,13.38,12.06,12.5,14.41,15.03,13.41,12.88,14.38,15.34,13.94,12.72,13.75,15.66,15.06,13.62,13.5,14.38,13.66,11.69,11.5,13.22,14.19,13.28,12.66,14.0,15.47,14.78,13.69,14.44,15.66,14.56,12.12,10.62,10.12,8.69,5.81,4.72,6.16,8.16,8.0,8.41,10.94,13.41,13.34,12.75,13.75,16.28,17.09,16.97,18.53,21.31,22.72,21.09,19.12,18.34,16.72,12.31,8.03,6.44,6.59,5.69,4.97,6.28,8.91,9.81,8.75,8.28,9.19,9.28,7.44,6.22,7.62,9.88,10.06,9.94,11.94,14.53,14.53,13.06,11.97,11.69,9.88,6.19,3.0,2.97,2.62,0.28,-1.81,-1.72,-1.12,-2.53,-4.72,-4.88,-3.53,-3.28,-4.41,-4.53,-2.81,-2.34,-3.72,-4.25,-2.53,-0.34,0.03,0.28,2.69,6.0,6.72,6.53,7.34,9.09,8.81,6.22,4.31,4.34,3.84,1.72,0.25,1.88,3.78,3.59,1.97,2.06,2.28,-0.09,-3.22,-4.34,-2.34,-0.62,-0.12,1.28,4.31,6.22,4.94,3.69,4.34,5.66,4.53,2.66,2.5,2.97,1.81,-1.0,-2.56,-2.47,-3.03,-5.31,-7.16,-6.25,-5.09,-6.19,-7.5,-6.62,-5.06,-5.34,-6.94,-6.94,-5.94,-6.38,-8.28,-8.25,-4.97,-1.03,1.44,4.34,8.16,10.88,10.0,6.91,5.53,5.25,4.28,5.75,5.41,5.69,7.5,9.84,10.25,10.75,12.66,14.53,14.75,13.5,13.12,13.09,12.44,11.19,11.34,13.12,14.75,14.75,13.84,13.88,13.22,11.28,9.16,9.09,10.53,11.69,12.34,14.44,17.03,18.31,17.56,16.94,16.88,16.06,14.12,12.31,12.78,13.59,13.66,13.66,15.03:negativity
30.47,30.03,28.62,25.0,20.84,18.25,16.69,15.12,13.97,14.44,16.5,17.78,18.19,18.31,20.06,21.0,19.78,18.81,19.56,20.94,20.94,20.69,21.69,23.38,24.06,23.22,22.94,23.25,21.88,18.91,16.44,15.72,15.28,13.44,12.09,12.88,14.97,16.25,16.97,18.62,20.69,20.78,19.31,18.41,19.28,19.91,19.25,18.91,19.81,20.59,19.19,17.38,16.56,16.16,14.53,11.94,10.75,11.09,11.09,10.62,10.91,12.91,14.72,14.81,14.94,16.12,16.88,15.59,13.59,13.53,14.72,15.47,16.12,17.91,20.19,21.31,20.66,19.59,19.53,18.84,16.78,14.81,15.28,16.5,17.56,18.25,20.12,22.75,24.09,24.22,24.44,25.44,25.78,23.84,22.16,21.94,21.31,19.25,17.34,17.22,17.41,17.03,16.31,16.53,17.56,17.62,16.25,15.41,15.72,15.56,14.22,12.84,13.34,13.69,12.97,11.66,11.69,12.25,11.72,10.25,9.66,10.53,10.78,10.06,10.31,12.19,13.81,14.12,13.94,15.16,15.97,15.34,14.03,14.53,15.88,16.25,15.97,16.06,16.94,17.0,15.44,14.59,15.47,16.69,16.62,16.84,18.75,21.09,22.47,22.38,23.75,25.75,26.88,26.75,27.12,28.62,29.03,27.0,24.94,24.16,22.88,19.97,16.91,15.69,15.28,14.16,12.53,12.44,13.44,13.62,12.62,12.44,13.84,15.0,14.5,13.94,14.31,14.19,11.91,8.81,7.47,7.22,6.75,5.5,6.12,7.66,8.69,8.03,8.38,10.22,11.91,12.78,13.5,15.91,17.75,17.66,16.53,16.25,17.03,17.38,17.62,19.84,23.59,26.84,27.88,27.81,27.44,25.34,20.78,15.75,12.56,10.66,8.38,6.72,7.16,9.03,10.44,10.66,11.97,14.34,16.66,17.72,19.25,22.28,25.28,25.84,25.84,26.62,27.22,26.0,23.62,22.25,21.44,19.94,17.06,14.75,13.53,11.91,8.91,6.22,5.19,4.59,2.88,1.16,1.62,3.12,4.34,5.22,7.09,10.22,12.25,13.06,14.44,17.12,19.75,20.22,20.62,21.56,22.34,20.66,18.16,17.06,16.88,15.78,13.72,12.53,12.19,11.03,8.09,6.03,5.59,5.34,3.84,2.75,3.56,4.75,4.91,5.22,6.59,9.25,10.53,10.62,10.91,11.94,11.84,10.19,8.69,8.53,8.75,7.12,5.59,5.66,6.16,6.19,5.47,6.56,9.09,10.97,11.47,12.91,15.5,17.56,17.38,17.38,17.66,17.66,15.59,12.53,11.25,11.03,10.19,8.78,9.12,10.44,10.88,9.78,9.03,9.66,10.53,9.59,9.69,11.56,13.72,14.38,14.56,15.75,16.88,16.59,14.91,14.28,14.75,14.97,14.25,14.56,16.41,18.06,17.91,17.66,19.0,20.25,19.94,19.0,19.19,19.75,19.72,18.62,18.62,19.94,20.88,19.88,19.25,19.53,19.69,17.88,15.12,13.81,12.91,10.0,6.56,4.75,4.28,3.62,2.62,3.0,5.34,7.75,8.72,10.34,13.16,15.66,15.69,14.75,14.16,13.84,11.84,9.66,8.53,9.5,10.47,10.5,11.72,15.09,18.62,20.56,22.88,26.28,28.88,28.94,27.5,26.75,26.0,23.66,20.91,19.0,19.25,19.41,18.97,19.75,22.06,23.84,23.5,22.88,23.62,24.5,24.19,23.59,24.28,26.06,26.62,26.34,26.62,28.25,29.12,28.31,28.12,29.0,30.0,29.16,27.84,27.62,27.31,25.66,23.09,22.12,22.5,22.53,21.88,21.72,23.38,24.59,24.75,24.88,26.47,27.78,26.47,24.16,23.44,23.16,21.62,19.66,19.16,20.0,20.38,19.78,19.44,20.88,21.5,20.5,19.5,19.97,20.91,20.44,19.97,21.12,23.47,24.53,24.62,24.97,26.84,27.16,25.69,23.72,22.78,21.34,17.56,13.69,12.0,11.38,9.56,8.09,8.38,9.91,10.78,11.0,12.47,15.69,18.34,19.62,20.41,22.34,23.34,22.09,20.12,19.66,19.81,18.69,16.97,16.56,16.81,15.81,13.41,11.75,11.12,10.25,7.94,5.66,5.62,6.5,6.44,6.59,8.41,11.16,12.5,12.84,13.72,15.72,16.41,15.72,15.41,16.56,17.28,16.56,15.62,16.94,18.78,19.25,19.22,20.62,22.78,23.06,22.34,21.5,21.75,20.91,18.81,17.53,18.5,20.0,19.91,19.44,20.09,20.16,18.38,15.5,14.0,14.22,14.03,14.06,15.34,17.75,19.06,17.97,16.66,16.53,16.19,14.59,12.44,11.97,12.09,11.12,10.06,10.62,12.25,12.72,11.66,11.5,13.38,15.06,16.03,17.44,20.25,22.5,23.12,22.56,23.34,24.28,23.34,21.0,19.59,19.34,18.19,16.38,15.34,16.22,17.12,16.91,16.22,17.5,19.09,18.81,18.03,18.75,19.56,18.91,16.88,16.28,17.25,18.06,17.91,18.59,20.38,21.28,19.91,17.56,15.84,14.25,11.88,9.5,10.0,11.81,13.09,13.25,13.34,14.34,14.41,12.91,11.78,12.84,14.16,14.09,14.38,16.0,17.88,18.16,17.94,19.31,22.12,24.25,25.38,27.09,29.09,29.88,28.03,26.09,25.75,24.88,22.88,20.59,20.16,20.31,19.41,17.75,17.09,16.91,15.97,13.75,12.28,12.81,12.91,11.78,10.56,11.47,12.41,12.38,12.22,13.91,16.25,17.66,18.03,19.09,20.88,21.69,20.75,20.44,21.69,22.84,22.44,22.09,23.09,24.25,23.88,23.16,24.12,25.94,27.16,27.19,28.19,29.25,29.44,27.59,25.69,25.25,24.97,23.41,21.84,22.5,23.34,22.97,21.5,21.28,21.53,20.75,19.22,19.06,20.56,22.31,22.22,22.88,23.88,24.31,23.06,21.47,21.69,22.97,23.59,22.94,23.22,24.34,24.28,23.16,22.56,23.62,24.22,22.81,21.31,21.47,21.38,19.44,17.22,16.62,16.62,15.94,15.09,16.03,18.88,21.06,21.84,22.94,24.88,26.34,26.12,25.94,27.62,29.16,28.88,27.84,27.69,27.5,26.78,25.03,24.31,25.19,25.78,25.47,25.12,26.28,27.19,25.66,23.38,22.59,21.91,19.97,17.53,17.19,18.19,18.34,17.41,17.66,19.34,20.19,19.5,19.16,20.38,21.31,20.5,19.5,20.28,21.47,21.31,20.53,20.47,21.03,20.56,18.62,17.41,17.5,17.09,14.69,12.72,12.44,12.72,12.19,12.34,14.31,17.62,19.12,19.22,19.69,20.78,21.22,20.66,21.44,23.94,26.31,26.25,25.5,25.38,25.03,22.62,20.41,20.09,21.16,21.78,21.41,22.22,23.22,23.53,22.0,20.66,20.59,21.09,19.78,19.12,20.41,22.44,23.0,22.09,21.66,21.91,20.56,18.06,17.12,17.47,17.81,16.69,16.03,17.34,18.94,18.66,18.03,18.81,19.91,19.09,17.38,16.81,16.94,16.38,15.47,15.59,17.5,19.19,19.34,19.91,22.28,24.81,25.59,25.78,26.75,27.69,26.91,24.78,23.5,22.84,21.66,19.44,18.53,19.66,20.56,20.22,19.84,20.69,21.66,20.72,19.56,19.69,20.78,21.03,20.69,21.38,22.97,23.19,22.09,21.16,21.62,22.38,21.5,20.88,21.62,22.81,22.53,21.88,22.44,23.75,24.06,23.44,23.69,25.44,26.78,26.5,26.31,26.66,26.53,24.47,22.34,21.53,21.84,20.94,20.06,20.69,22.41,22.78,22.19,22.09,22.97,23.38,22.38,21.66,22.53,23.59,23.44,23.81,25.47,27.44,27.69,26.59,26.0,26.12,25.62,24.0,23.19,23.84,24.03,23.06,21.94,22.38,22.97,21.81,20.38,20.47,21.56,21.72,20.66,20.78,21.38,21.16,19.69,19.41,20.94,22.44,22.81,22.97,24.56,25.94,25.56,24.25,23.91,24.0,23.12,21.56,21.09,21.75,21.78,20.53,19.84,20.94,22.25,22.53,22.62,24.22,25.72,25.47,24.38,23.88,24.38,23.47,21.69,21.06,22.06,22.81,22.62,22.5,23.19,23.22,21.31,19.12,18.25,18.38,17.66,17.19,18.34,20.62,21.69,21.41,21.25,21.69,21.69,20.19,19.12,19.25,19.66,18.31,16.69,15.91,16.31,15.47,14.41,14.28,15.5,15.81,15.09,15.31,17.19,18.88,18.97,19.09,20.41,21.88,21.56,20.81,21.31,22.03,21.94,20.94,20.91,22.28,22.72,21.78,20.84,21.41,22.5,22.16,21.94,23.12,24.69,24.44,23.06,22.69,23.53,23.19,22.38,22.25,23.97,25.0,24.59,23.91,24.97,26.09,25.69,25.59,26.66,27.94,27.47,25.72,24.34,23.81,22.62,20.97,19.91,21.06,21.81,21.47,20.84,21.44,22.34,21.44,20.09,20.28,21.34,21.25,20.62,21.16,22.75,23.78,23.47,23.0,24.12,24.69,24.0,23.84,25.53,27.12,27.03,25.91,25.66,25.84,25.28,24.06,23.78,25.0,25.44,24.31,22.97,23.25,23.28,21.88,20.38,20.94,22.5,23.62,24.34,26.19,28.81,29.88,29.16,28.72,29.66,30.12,29.16,28.22,28.56,28.31,26.25,23.75,22.78,22.12,20.5,18.44,17.34,17.53,17.81,17.28,17.97,20.56,22.88,23.34,23.41,24.78,25.31,24.25,22.69,22.25,22.75,22.31,21.5,21.41,22.47,22.88,22.0,20.97,21.41,21.34,19.88,17.75,17.12,16.66,15.09,13.78,13.81,15.53,16.25,16.44,17.06,18.91,20.16,19.88,19.53,20.72,21.81,21.28,21.12,22.75,24.59,25.28,25.72,26.66,28.31,29.19,28.75,28.44,28.94,29.0,27.03:15.12,13.97,14.44,16.5,17.78,18.19,18.31,20.06,21.0,19.78,18.81,19.56,20.94,20.94,20.69,21.69,23.38,24.06,23.22,22.94,23.25,21.88,18.91,16.44,15.72,15.28,13.44,12.09,12.88,14.97,16.25,16.97,18.62,20.69,20.78,19.31,18.41,19.28,19.91,19.25,18.91,19.81,20.59,19.19,17.38,16.56,16.16,14.53,11.94,10.75,11.09,11.09,10.62,10.91,12.91,14.72,14.81,14.94,16.12,16.88,15.59,13.59,13.53,14.72,15.47,16.12,17.91,20.19,21.31,20.66,19.59,19.53,18.84,16.78,14.81,15.28,16.5,17.56,18.25,20.12,22.75,24.09,24.22,24.44,25.44,25.78,23.84,22.16,21.94,21.31,19.25,17.34,17.22,17.41,17.03,16.31,16.53,17.56,17.62,16.25,15.41,15.72,15.56,14.22,12.84,13.34,13.69,12.97,11.66,11.69,12.25,11.72,10.25,9.66,10.53,10.78,10.06,10.31,12.19,13.81,14.12,13.94,15.16,15.97,15.34,14.03,14.53,15.88,16.25,15.97,16.06,16.94,17.0,15.44,14.59,15.47,16.69,16.62,16.84,18.75,21.09,22.47,22.38,23.75,25.75,26.88,26.75,27.12,28.62,29.03,27.0,24.94,24.16,22.88,19.97,16.91,15.69,15.28,14.16,12.53,12.44,13.44,13.62,12.62,12.44,13.84,15.0,14.5,13.94,14.31,14.19,11.91,8.81,7.47,7.22,6.75,5.5,6.12,7.66,8.69,8.03,8.38,10.22,11.91,12.78,13.5,15.91,17.75,17.66,16.53,16.25,17.03,17.38,17.62,19.84,23.59,26.84,27.88,27.81,27.44,25.34,20.78,15.75,12.56,10.66,8.38,6.72,7.16,9.03,10.44,10.66,11.97,14.34,16.66,17.72,19.25,22.28,25.28,25.84,25.84,26.62,27.22,26.0,23.62,22.25,21.44,19.94,17.06,14.75,13.53,11.91,8.91,6.22,5.19,4.59,2.88,1.16,1.62,3.12,4.34,5.22,7.09,10.22,12.25,13.06,14.44,17.12,19.75,20.22,20.62,21.56,22.34,20.66,18.16,17.06,16.88,15.78,13.72,12.53,12.19,11.03,8.09,6.03,5.59,5.34,3.84,2.75,3.56,4.75,4.91,5.22,6.59,9.25,10.53,10.62,10.91,11.94,11.84,10.19,8.69,8.53,8.75,7.12,5.59,5.66,6.16,6.19,5.47,6.56,9.09,10.97,11.47,12.91,15.5,17.56,17.38,17.38,17.66,17.66,15.59,12.53,11.25,11.03,10.19,8.78,9.12,10.44,10.88,9.78,9.03,9.66,10.53,9.59,9.69,11.56,13.72,14.38,14.56,15.75,16.88,16.59,14.91,14.28,14.75,14.97,14.25,14.56,16.41,18.06,17.91,17.66,19.0,20.25,19.94,19.0,19.19,19.75,19.72,18.62,18.62,19.94,20.88,19.88,19.25,19.53,19.69,17.88,15.12,13.81,12.91,10.0,6.56,4.75,4.28,3.62,2.62,3.0,5.34,7.75,8.72,10.34,13.16,15.66,15.69,14.75,14.16,13.84,11.84,9.66,8.53,9.5,10.47,10.5,11.72,15.09,18.62,20.56,22.88,26.28,28.88,28.94,27.5,26.75,26.0,23.66,20.91,19.0,19.25,19.41,18.97,19.75,22.06,23.84,23.5,22.88,23.62,24.5,24.19,23.59,24.28,26.06,26.62,26.34,26.62,28.25,29.12,28.31,28.12,29.0,30.0,29.16,27.84,27.62,27.31,25.66,23.09,22.12,22.5,22.53,21.88,21.72,23.38,24.59,24.75,24.88,26.47,27.78,26.47,24.16,23.44,23.16,21.62,19.66,19.16,20.0,20.38,19.78,19.44,20.88,21.5,20.5,19.5,19.97,20.91,20.44,19.97,21.12,23.47,24.53,24.62,24.97,26.84,27.16,25.69,23.72,22.78,21.34,17.56,13.69,12.0,11.38,9.56,8.09,8.38,9.91,10.78,11.0,12.47,15.69,18.34,19.62,20.41,22.34,23.34,22.09,20.12,19.66,19.81,18.69,16.97,16.56,16.81,15.81,13.41,11.75,11.12,10.25,7.94,5.66,5.62,6.5,6.44,6.59,8.41,11.16,12.5,12.84,13.72,15.72,16.41,15.72,15.41,16.56,17.28,16.56,15.62,16.94,18.78,19.25,19.22,20.62,22.78,23.06,22.34,21.5,21.75,20.91,18.81,17.53,18.5,20.0,19.91,19.44,20.09,20.16,18.38,15.5,14.0,14.22,14.03,14.06,15.34,17.75,19.06,17.97,16.66,16.53,16.19,14.59,12.44,11.97,12.09,11.12,10.06,10.62,12.25,12.72,11.66,11.5,13.38,15.06,16.03,17.44,20.25,22.5,23.12,22.56,23.34,24.28,23.34,21.0,19.59,19.34,18.19,16.38,15.34,16.22,17.12,16.91,16.22,17.5,19.09,18.81,18.03,18.75,19.56,18.91,16.88,16.28,17.25,18.06,17.91,18.59,20.38,21.28,19.91,17.56,15.84,14.25,11.88,9.5,10.0,11.81,13.09,13.25,13.34,14.34,14.41,12.91,11.78,12.84,14.16,14.09,14.38,16.0,17.88,18.16,17.94,19.31,22.12,24.25,25.38,27.09,29.09,29.88,28.03,26.09,25.75,24.88,22.88,20.59,20.16,20.31,19.41,17.75,17.09,16.91,15.97,13.75,12.28,12.81,12.91,11.78,10.56,11.47,12.41,12.38,12.22,13.91,16.25,17.66,18.03,19.09,20.88,21.69,20.75,20.44,21.69,22.84,22.44,22.09,23.09,24.25,23.88,23.16,24.12,25.94,27.16,27.19,28.19,29.25,29.44,27.59,25.69,25.25,24.97,23.41,21.84,22.5,23.34,22.97,21.5,21.28,21.53,20.75,19.22,19.06,20.56,22.31,22.22,22.88,23.88,24.31,23.06,21.47,21.69,22.97,23.59,22.94,23.22,24.34,24.28,23.16,22.56,23.62,24.22,22.81,21.31,21.47,21.38,19.44,17.22,16.62,16.62,15.94,15.09,16.03,18.88,21.06,21.84,22.94,24.88,26.34,26.12,25.94,27.62,29.16,28.88,27.84,27.69,27.5,26.78,25.03,24.31,25.19,25.78,25.47,25.12,26.28,27.19,25.66,23.38,22.59,21.91,19.97,17.53,17.19,18.19,18.34,17.41,17.66,19.34,20.19,19.5,19.16,20.38,21.31,20.5,19.5,20.28,21.47,21.31,20.53,20.47,21.03,20.56,18.62,17.41,17.5,17.09,14.69,12.72,12.44,12.72,12.19,12.34,14.31,17.62,19.12,19.22,19.69,20.78,21.22,20.66,21.44,23.94,26.31,26.25,25.5,25.38,25.03,22.62,20.41,20.09,21.16,21.78,21.41,22.22,23.22,23.53,22.0,20.66,20.59,21.09,19.78,19.12,20.41,22.44,23.0,22.09,21.66,21.91,20.56,18.06,17.12,17.47,17.81,16.69,16.03,17.34,18.94,18.66,18.03,18.81,19.91,19.09,17.38,16.81,16.94,16.38,15.47,15.59,17.5,19.19,19.34,19.91,22.28,24.81,25.59,25.78,26.75,27.69,26.91,24.78,23.5,22.84,21.66,19.44,18.53,19.66,20.56,20.22,19.84,20.69,21.66,20.72,19.56,19.69,20.78,21.03,20.69,21.38,22.97,23.19,22.09,21.16,21.62,22.38,21.5,20.88,21.62,22.81,22.53,21.88,22.44,23.75,24.06,23.44,23.69,25.44,26.78,26.5,26.31,26.66,26.53,24.47,22.34,21.53,21.84,20.94,20.06,20.69,22.41,22.78,22.19,22.09,22.97,23.38,22.38,21.66,22.53,23.59,23.44,23.81,25.47,27.44,27.69,26.59,26.0,26.12,25.62,24.0,23.19,23.84,24.03,23.06,21.94,22.38,22.97,21.81,20.38,20.47,21.56,21.72,20.66,20.78,21.38,21.16,19.69,19.41,20.94,22.44,22.81,22.97,24.56,25.94,25.56,24.25,23.91,24.0,23.12,21.56,21.09,21.75,21.78,20.53,19.84,20.94,22.25,22.53,22.62,24.22,25.72,25.47,24.38,23.88,24.38,23.47,21.69,21.06,22.06,22.81,22.62,22.5,23.19,23.22,21.31,19.12,18.25,18.38,17.66,17.19,18.34,20.62,21.69,21.41,21.25,21.69,21.69,20.19,19.12,19.25,19.66,18.31,16.69,15.91,16.31,15.47,14.41,14.28,15.5,15.81,15.09,15.31,17.19,18.88,18.97,19.09,20.41,21.88,21.56,20.81,21.31,22.03,21.94,20.94,20.91,22.28,22.72,21.78,20.84,21.41,22.5,22.16,21.94,23.12,24.69,24.44,23.06,22.69,23.53,23.19,22.38,22.25,23.97,25.0,24.59,23.91,24.97,26.09,25.69,25.59,26.66,27.94,27.47,25.72,24.34,23.81,22.62,20.97,19.91,21.06,21.81,21.47,20.84,21.44,22.34,21.44,20.09,20.28,21.34,21.25,20.62,21.16,22.75,23.78,23.47,23.0,24.12,24.69,24.0,23.84,25.53,27.12,27.03,25.91,25.66,25.84,25.28,24.06,23.78,25.0,25.44,24.31,22.97,23.25,23.28,21.88,20.38,20.94,22.5,23.62,24.34,26.19,28.81,29.88,29.16,28.72,29.66,30.12,29.16,28.22,28.56,28.31,26.25,23.75,22.78,22.12,20.5,18.44,17.34,17.53,17.81,17.28,17.97,20.56,22.88,23.34,23.41,24.78,25.31,24.25,22.69,22.25,22.75,22.31,21.5,21.41,22.47,22.88,22.0,20.97,21.41,21.34,19.88,17.75,17.12,16.66,15.09,13.78,13.81,15.53,16.25,16.44,17.06,18.91,20.16,19.88,19.53,20.72,21.81,21.28,21.12,22.75,24.59,25.28,25.72,26.66,28.31,29.19,28.75,28.44,28.94,29.0,27.03,71.66,70.72,68.97,67.0,64.12,60.81,58.31:20.06,21.0,19.78,18.81,19.56,20.94,20.94,20.69,21.69,23.38,24.06,23.22,22.94,23.25,21.88,18.91,16.44,15.72,15.28,13.44,12.09,12.88,14.97,16.25,16.97,18.62,20.69,20.78,19.31,18.41,19.28,19.91,19.25,18.91,19.81,20.59,19.19,17.38,16.56,16.16,14.53,11.94,10.75,11.09,11.09,10.62,10.91,12.91,14.72,14.81,14.94,16.12,16.88,15.59,13.59,13.53,14.72,15.47,16.12,17.91,20.19,21.31,20.66,19.59,19.53,18.84,16.78,14.81,15.28,16.5,17.56,18.25,20.12,22.75,24.09,24.22,24.44,25.44,25.78,23.84,22.16,21.94,21.31,19.25,17.34,17.22,17.41,17.03,16.31,16.53,17.56,17.62,16.25,15.41,15.72,15.56,14.22,12.84,13.34,13.69,12.97,11.66,11.69,12.25,11.72,10.25,9.66,10.53,10.78,10.06,10.31,12.19,13.81,14.12,13.94,15.16,15.97,15.34,14.03,14.53,15.88,16.25,15.97,16.06,16.94,17.0,15.44,14.59,15.47,16.69,16.62,16.84,18.75,21.09,22.47,22.38,23.75,25.75,26.88,26.75,27.12,28.62,29.03,27.0,24.94,24.16,22.88,19.97,16.91,15.69,15.28,14.16,12.53,12.44,13.44,13.62,12.62,12.44,13.84,15.0,14.5,13.94,14.31,14.19,11.91,8.81,7.47,7.22,6.75,5.5,6.12,7.66,8.69,8.03,8.38,10.22,11.91,12.78,13.5,15.91,17.75,17.66,16.53,16.25,17.03,17.38,17.62,19.84,23.59,26.84,27.88,27.81,27.44,25.34,20.78,15.75,12.56,10.66,8.38,6.72,7.16,9.03,10.44,10.66,11.97,14.34,16.66,17.72,19.25,22.28,25.28,25.84,25.84,26.62,27.22,26.0,23.62,22.25,21.44,19.94,17.06,14.75,13.53,11.91,8.91,6.22,5.19,4.59,2.88,1.16,1.62,3.12,4.34,5.22,7.09,10.22,12.25,13.06,14.44,17.12,19.75,20.22,20.62,21.56,22.34,20.66,18.16,17.06,16.88,15.78,13.72,12.53,12.19,11.03,8.09,6.03,5.59,5.34,3.84,2.75,3.56,4.75,4.91,5.22,6.59,9.25,10.53,10.62,10.91,11.94,11.84,10.19,8.69,8.53,8.75,7.12,5.59,5.66,6.16,6.19,5.47,6.56,9.09,10.97,11.47,12.91,15.5,17.56,17.38,17.38,17.66,17.66,15.59,12.53,11.25,11.03,10.19,8.78,9.12,10.44,10.88,9.78,9.03,9.66,10.53,9.59,9.69,11.56,13.72,14.38,14.56,15.75,16.88,16.59,14.91,14.28,14.75,14.97,14.25,14.56,16.41,18.06,17.91,17.66,19.0,20.25,19.94,19.0,19.19,19.75,19.72,18.62,18.62,19.94,20.88,19.88,19.25,19.53,19.69,17.88,15.12,13.81,12.91,10.0,6.56,4.75,4.28,3.62,2.62,3.0,5.34,7.75,8.72,10.34,13.16,15.66,15.69,14.75,14.16,13.84,11.84,9.66,8.53,9.5,10.47,10.5,11.72,15.09,18.62,20.56,22.88,26.28,28.88,28.94,27.5,26.75,26.0,23.66,20.91,19.0,19.25,19.41,18.97,19.75,22.06,23.84,23.5,22.88,23.62,24.5,24.19,23.59,24.28,26.06,26.62,26.34,26.62,28.25,29.12,28.31,28.12,29.0,30.0,29.16,27.84,27.62,27.31,25.66,23.09,22.12,22.5,22.53,21.88,21.72,23.38,24.59,24.75,24.88,26.47,27.78,26.47,24.16,23.44,23.16,21.62,19.66,19.16,20.0,20.38,19.78,19.44,20.88,21.5,20.5,19.5,19.97,20.91,20.44,19.97,21.12,23.47,24.53,24.62,24.97,26.84,27.16,25.69,23.72,22.78,21.34,17.56,13.69,12.0,11.38,9.56,8.09,8.38,9.91,10.78,11.0,12.47,15.69,18.34,19.62,20.41,22.34,23.34,22.09,20.12,19.66,19.81,18.69,16.97,16.56,16.81,15.81,13.41,11.75,11.12,10.25,7.94,5.66,5.62,6.5,6.44,6.59,8.41,11.16,12.5,12.84,13.72,15.72,16.41,15.72,15.41,16.56,17.28,16.56,15.62,16.94,18.78,19.25,19.22,20.62,22.78,23.06,22.34,21.5,21.75,20.91,18.81,17.53,18.5,20.0,19.91,19.44,20.09,20.16,18.38,15.5,14.0,14.22,14.03,14.06,15.34,17.75,19.06,17.97,16.66,16.53,16.19,14.59,12.44,11.97,12.09,11.12,10.06,10.62,12.25,12.72,11.66,11.5,13.38,15.06,16.03,17.44,20.25,22.5,23.12,22.56,23.34,24.28,23.34,21.0,19.59,19.34,18.19,16.38,15.34,16.22,17.12,16.91,16.22,17.5,19.09,18.81,18.03,18.75,19.56,18.91,16.88,16.28,17.25,18.06,17.91,18.59,20.38,21.28,19.91,17.56,15.84,14.25,11.88,9.5,10.0,11.81,13.09,13.25,13.34,14.34,14.41,12.91,11.78,12.84,14.16,14.09,14.38,16.0,17.88,18.16,17.94,19.31,22.12,24.25,25.38,27.09,29.09,29.88,28.03,26.09,25.75,24.88,22.88,20.59,20.16,20.31,19.41,17.75,17.09,16.91,15.97,13.75,12.28,12.81,12.91,11.78,10.56,11.47,12.41,12.38,12.22,13.91,16.25,17.66,18.03,19.09,20.88,21.69,20.75,20.44,21.69,22.84,22.44,22.09,23.09,24.25,23.88,23.16,24.12,25.94,27.16,27.19,28.19,29.25,29.44,27.59,25.69,25.25,24.97,23.41,21.84,22.5,23.34,22.97,21.5,21.28,21.53,20.75,19.22,19.06,20.56,22.31,22.22,22.88,23.88,24.31,23.06,21.47,21.69,22.97,23.59,22.94,23.22,24.34,24.28,23.16,22.56,23.62,24.22,22.81,21.31,21.47,21.38,19.44,17.22,16.62,16.62,15.94,15.09,16.03,18.88,21.06,21.84,22.94,24.88,26.34,26.12,25.94,27.62,29.16,28.88,27.84,27.69,27.5,26.78,25.03,24.31,25.19,25.78,25.47,25.12,26.28,27.19,25.66,23.38,22.59,21.91,19.97,17.53,17.19,18.19,18.34,17.41,17.66,19.34,20.19,19.5,19.16,20.38,21.31,20.5,19.5,20.28,21.47,21.31,20.53,20.47,21.03,20.56,18.62,17.41,17.5,17.09,14.69,12.72,12.44,12.72,12.19,12.34,14.31,17.62,19.12,19.22,19.69,20.78,21.22,20.66,21.44,23.94,26.31,26.25,25.5,25.38,25.03,22.62,20.41,20.09,21.16,21.78,21.41,22.22,23.22,23.53,22.0,20.66,20.59,21.09,19.78,19.12,20.41,22.44,23.0,22.09,21.66,21.91,20.56,18.06,17.12,17.47,17.81,16.69,16.03,17.34,18.94,18.66,18.03,18.81,19.91,19.09,17.38,16.81,16.94,16.38,15.47,15.59,17.5,19.19,19.34,19.91,22.28,24.81,25.59,25.78,26.75,27.69,26.91,24.78,23.5,22.84,21.66,19.44,18.53,19.66,20.56,20.22,19.84,20.69,21.66,20.72,19.56,19.69,20.78,21.03,20.69,21.38,22.97,23.19,22.09,21.16,21.62,22.38,21.5,20.88,21.62,22.81,22.53,21.88,22.44,23.75,24.06,23.44,23.69,25.44,26.78,26.5,26.31,26.66,26.53,24.47,22.34,21.53,21.84,20.94,20.06,20.69,22.41,22.78,22.19,22.09,22.97,23.38,22.38,21.66,22.53,23.59,23.44,23.81,25.47,27.44,27.69,26.59,26.0,26.12,25.62,24.0,23.19,23.84,24.03,23.06,21.94,22.38,22.97,21.81,20.38,20.47,21.56,21.72,20.66,20.78,21.38,21.16,19.69,19.41,20.94,22.44,22.81,22.97,24.56,25.94,25.56,24.25,23.91,24.0,23.12,21.56,21.09,21.75,21.78,20.53,19.84,20.94,22.25,22.53,22.62,24.22,25.72,25.47,24.38,23.88,24.38,23.47,21.69,21.06,22.06,22.81,22.62,22.5,23.19,23.22,21.31,19.12,18.25,18.38,17.66,17.19,18.34,20.62,21.69,21.41,21.25,21.69,21.69,20.19,19.12,19.25,19.66,18.31,16.69,15.91,16.31,15.47,14.41,14.28,15.5,15.81,15.09,15.31,17.19,18.88,18.97,19.09,20.41,21.88,21.56,20.81,21.31,22.03,21.94,20.94,20.91,22.28,22.72,21.78,20.84,21.41,22.5,22.16,21.94,23.12,24.69,24.44,23.06,22.69,23.53,23.19,22.38,22.25,23.97,25.0,24.59,23.91,24.97,26.09,25.69,25.59,26.66,27.94,27.47,25.72,24.34,23.81,22.62,20.97,19.91,21.06,21.81,21.47,20.84,21.44,22.34,21.44,20.09,20.28,21.34,21.25,20.62,21.16,22.75,23.78,23.47,23.0,24.12,24.69,24.0,23.84,25.53,27.12,27.03,25.91,25.66,25.84,25.28,24.06,23.78,25.0,25.44,24.31,22.97,23.25,23.28,21.88,20.38,20.94,22.5,23.62,24.34,26.19,28.81,29.88,29.16,28.72,29.66,30.12,29.16,28.22,28.56,28.31,26.25,23.75,22.78,22.12,20.5,18.44,17.34,17.53,17.81,17.28,17.97,20.56,22.88,23.34,23.41,24.78,25.31,24.25,22.69,22.25,22.75,22.31,21.5,21.41,22.47,22.88,22.0,20.97,21.41,21.34,19.88,17.75,17.12,16.66,15.09,13.78,13.81,15.53,16.25,16.44,17.06,18.91,20.16,19.88,19.53,20.72,21.81,21.28,21.12,22.75,24.59,25.28,25.72,26.66,28.31,29.19,28.75,28.44,28.94,29.0,27.03,71.66,70.72,68.97,67.0,64.12,60.81,58.31,56.97,56.56,56.66,57.0,57.62,58.41,58.75:20.69,21.69,23.38,24.06,23.22,22.94,23.25,21.88,18.91,16.44,15.72,15.28,13.44,12.09,12.88,14.97,16.25,16.97,18.62,20.69,20.78,19.31,18.41,19.28,19.91,19.25,18.91,19.81,20.59,19.19,17.38,16.56,16.16,14.53,11.94,10.75,11.09,11.09,10.62,10.91,12.91,14.72,14.81,14.94,16.12,16.88,15.59,13.59,13.53,14.72,15.47,16.12,17.91,20.19,21.31,20.66,19.59,19.53,18.84,16.78,14.81,15.28,16.5,17.56,18.25,20.12,22.75,24.09,24.22,24.44,25.44,25.78,23.84,22.16,21.94,21.31,19.25,17.34,17.22,17.41,17.03,16.31,16.53,17.56,17.62,16.25,15.41,15.72,15.56,14.22,12.84,13.34,13.69,12.97,11.66,11.69,12.25,11.72,10.25,9.66,10.53,10.78,10.06,10.31,12.19,13.81,14.12,13.94,15.16,15.97,15.34,14.03,14.53,15.88,16.25,15.97,16.06,16.94,17.0,15.44,14.59,15.47,16.69,16.62,16.84,18.75,21.09,22.47,22.38,23.75,25.75,26.88,26.75,27.12,28.62,29.03,27.0,24.94,24.16,22.88,19.97,16.91,15.69,15.28,14.16,12.53,12.44,13.44,13.62,12.62,12.44,13.84,15.0,14.5,13.94,14.31,14.19,11.91,8.81,7.47,7.22,6.75,5.5,6.12,7.66,8.69,8.03,8.38,10.22,11.91,12.78,13.5,15.91,17.75,17.66,16.53,16.25,17.03,17.38,17.62,19.84,23.59,26.84,27.88,27.81,27.44,25.34,20.78,15.75,12.56,10.66,8.38,6.72,7.16,9.03,10.44,10.66,11.97,14.34,16.66,17.72,19.25,22.28,25.28,25.84,25.84,26.62,27.22,26.0,23.62,22.25,21.44,19.94,17.06,14.75,13.53,11.91,8.91,6.22,5.19,4.59,2.88,1.16,1.62,3.12,4.34,5.22,7.09,10.22,12.25,13.06,14.44,17.12,19.75,20.22,20.62,21.56,22.34,20.66,18.16,17.06,16.88,15.78,13.72,12.53,12.19,11.03,8.09,6.03,5.59,5.34,3.84,2.75,3.56,4.75,4.91,5.22,6.59,9.25,10.53,10.62,10.91,11.94,11.84,10.19,8.69,8.53,8.75,7.12,5.59,5.66,6.16,6.19,5.47,6.56,9.09,10.97,11.47,12.91,15.5,17.56,17.38,17.38,17.66,17.66,15.59,12.53,11.25,11.03,10.19,8.78,9.12,10.44,10.88,9.78,9.03,9.66,10.53,9.59,9.69,11.56,13.72,14.38,14.56,15.75,16.88,16.59,14.91,14.28,14.75,14.97,14.25,14.56,16.41,18.06,17.91,17.66,19.0,20.25,19.94,19.0,19.19,19.75,19.72,18.62,18.62,19.94,20.88,19.88,19.25,19.53,19.69,17.88,15.12,13.81,12.91,10.0,6.56,4.75,4.28,3.62,2.62,3.0,5.34,7.75,8.72,10.34,13.16,15.66,15.69,14.75,14.16,13.84,11.84,9.66,8.53,9.5,10.47,10.5,11.72,15.09,18.62,20.56,22.88,26.28,28.88,28.94,27.5,26.75,26.0,23.66,20.91,19.0,19.25,19.41,18.97,19.75,22.06,23.84,23.5,22.88,23.62,24.5,24.19,23.59,24.28,26.06,26.62,26.34,26.62,28.25,29.12,28.31,28.12,29.0,30.0,29.16,27.84,27.62,27.31,25.66,23.09,22.12,22.5,22.53,21.88,21.72,23.38,24.59,24.75,24.88,26.47,27.78,26.47,24.16,23.44,23.16,21.62,19.66,19.16,20.0,20.38,19.78,19.44,20.88,21.5,20.5,19.5,19.97,20.91,20.44,19.97,21.12,23.47,24.53,24.62,24.97,26.84,27.16,25.69,23.72,22.78,21.34,17.56,13.69,12.0,11.38,9.56,8.09,8.38,9.91,10.78,11.0,12.47,15.69,18.34,19.62,20.41,22.34,23.34,22.09,20.12,19.66,19.81,18.69,16.97,16.56,16.81,15.81,13.41,11.75,11.12,10.25,7.94,5.66,5.62,6.5,6.44,6.59,8.41,11.16,12.5,12.84,13.72,15.72,16.41,15.72,15.41,16.56,17.28,16.56,15.62,16.94,18.78,19.25,19.22,20.62,22.78,23.06,22.34,21.5,21.75,20.91,18.81,17.53,18.5,20.0,19.91,19.44,20.09,20.16,18.38,15.5,14.0,14.22,14.03,14.06,15.34,17.75,19.06,17.97,16.66,16.53,16.19,14.59,12.44,11.97,12.09,11.12,10.06,10.62,12.25,12.72,11.66,11.5,13.38,15.06,16.03,17.44,20.25,22.5,23.12,22.56,23.34,24.28,23.34,21.0,19.59,19.34,18.19,16.38,15.34,16.22,17.12,16.91,16.22,17.5,19.09,18.81,18.03,18.75,19.56,18.91,16.88,16.28,17.25,18.06,17.91,18.59,20.38,21.28,19.91,17.56,15.84,14.25,11.88,9.5,10.0,11.81,13.09,13.25,13.34,14.34,14.41,12.91,11.78,12.84,14.16,14.09,14.38,16.0,17.88,18.16,17.94,19.31,22.12,24.25,25.38,27.09,29.09,29.88,28.03,26.09,25.75,24.88,22.88,20.59,20.16,20.31,19.41,17.75,17.09,16.91,15.97,13.75,12.28,12.81,12.91,11.78,10.56,11.47,12.41,12.38,12.22,13.91,16.25,17.66,18.03,19.09,20.88,21.69,20.75,20.44,21.69,22.84,22.44,22.09,23.09,24.25,23.88,23.16,24.12,25.94,27.16,27.19,28.19,29.25,29.44,27.59,25.69,25.25,24.97,23.41,21.84,22.5,23.34,22.97,21.5,21.28,21.53,20.75,19.22,19.06,20.56,22.31,22.22,22.88,23.88,24.31,23.06,21.47,21.69,22.97,23.59,22.94,23.22,24.34,24.28,23.16,22.56,23.62,24.22,22.81,21.31,21.47,21.38,19.44,17.22,16.62,16.62,15.94,15.09,16.03,18.88,21.06,21.84,22.94,24.88,26.34,26.12,25.94,27.62,29.16,28.88,27.84,27.69,27.5,26.78,25.03,24.31,25.19,25.78,25.47,25.12,26.28,27.19,25.66,23.38,22.59,21.91,19.97,17.53,17.19,18.19,18.34,17.41,17.66,19.34,20.19,19.5,19.16,20.38,21.31,20.5,19.5,20.28,21.47,21.31,20.53,20.47,21.03,20.56,18.62,17.41,17.5,17.09,14.69,12.72,12.44,12.72,12.19,12.34,14.31,17.62,19.12,19.22,19.69,20.78,21.22,20.66,21.44,23.94,26.31,26.25,25.5,25.38,25.03,22.62,20.41,20.09,21.16,21.78,21.41,22.22,23.22,23.53,22.0,20.66,20.59,21.09,19.78,19.12,20.41,22.44,23.0,22.09,21.66,21.91,20.56,18.06,17.12,17.47,17.81,16.69,16.03,17.34,18.94,18.66,18.03,18.81,19.91,19.09,17.38,16.81,16.94,16.38,15.47,15.59,17.5,19.19,19.34,19.91,22.28,24.81,25.59,25.78,26.75,27.69,26.91,24.78,23.5,22.84,21.66,19.44,18.53,19.66,20.56,20.22,19.84,20.69,21.66,20.72,19.56,19.69,20.78,21.03,20.69,21.38,22.97,23.19,22.09,21.16,21.62,22.38,21.5,20.88,21.62,22.81,22.53,21.88,22.44,23.75,24.06,23.44,23.69,25.44,26.78,26.5,26.31,26.66,26.53,24.47,22.34,21.53,21.84,20.94,20.06,20.69,22.41,22.78,22.19,22.09,22.97,23.38,22.38,21.66,22.53,23.59,23.44,23.81,25.47,27.44,27.69,26.59,26.0,26.12,25.62,24.0,23.19,23.84,24.03,23.06,21.94,22.38,22.97,21.81,20.38,20.47,21.56,21.72,20.66,20.78,21.38,21.16,19.69,19.41,20.94,22.44,22.81,22.97,24.56,25.94,25.56,24.25,23.91,24.0,23.12,21.56,21.09,21.75,21.78,20.53,19.84,20.94,22.25,22.53,22.62,24.22,25.72,25.47,24.38,23.88,24.38,23.47,21.69,21.06,22.06,22.81,22.62,22.5,23.19,23.22,21.31,19.12,18.25,18.38,17.66,17.19,18.34,20.62,21.69,21.41,21.25,21.69,21.69,20.19,19.12,19.25,19.66,18.31,16.69,15.91,16.31,15.47,14.41,14.28,15.5,15.81,15.09,15.31,17.19,18.88,18.97,19.09,20.41,21.88,21.56,20.81,21.31,22.03,21.94,20.94,20.91,22.28,22.72,21.78,20.84,21.41,22.5,22.16,21.94,23.12,24.69,24.44,23.06,22.69,23.53,23.19,22.38,22.25,23.97,25.0,24.59,23.91,24.97,26.09,25.69,25.59,26.66,27.94,27.47,25.72,24.34,23.81,22.62,20.97,19.91,21.06,21.81,21.47,20.84,21.44,22.34,21.44,20.09,20.28,21.34,21.25,20.62,21.16,22.75,23.78,23.47,23.0,24.12,24.69,24.0,23.84,25.53,27.12,27.03,25.91,25.66,25.84,25.28,24.06,23.78,25.0,25.44,24.31,22.97,23.25,23.28,21.88,20.38,20.94,22.5,23.62,24.34,26.19,28.81,29.88,29.16,28.72,29.66,30.12,29.16,28.22,28.56,28.31,26.25,23.75,22.78,22.12,20.5,18.44,17.34,17.53,17.81,17.28,17.97,20.56,22.88,23.34,23.41,24.78,25.31,24.25,22.69,22.25,22.75,22.31,21.5,21.41,22.47,22.88,22.0,20.97,21.41,21.34,19.88,17.75,17.12,16.66,15.09,13.78,13.81,15.53,16.25,16.44,17.06,18.91,20.16,19.88,19.53,20.72,21.81,21.28,21.12,22.75,24.59,25.28,25.72,26.66,28.31,29.19,28.75,28.44,28.94,29.0,27.03,71.66,70.72,68.97,67.0,64.12,60.81,58.31,56.97,56.56,56.66,57.0,57.62,58.41,58.75,58.44,57.97,57.72,57.62,57.56,57.81,58.81:21.88,18.91,16.44,15.72,15.28,13.44,12.09,12.88,14.97,16.25,16.97,18.62,20.69,20.78,19.31,18.41,19.28,19.91,19.25,18.91,19.81,20.59,19.19,17.38,16.56,16.16,14.53,11.94,10.75,11.09,11.09,10.62,10.91,12.91,14.72,14.81,14.94,16.12,16.88,15.59,13.59,13.53,14.72,15.47,16.12,17.91,20.19,21.31,20.66,19.59,19.53,18.84,16.78,14.81,15.28,16.5,17.56,18.25,20.12,22.75,24.09,24.22,24.44,25.44,25.78,23.84,22.16,21.94,21.31,19.25,17.34,17.22,17.41,17.03,16.31,16.53,17.56,17.62,16.25,15.41,15.72,15.56,14.22,12.84,13.34,13.69,12.97,11.66,11.69,12.25,11.72,10.25,9.66,10.53,10.78,10.06,10.31,12.19,13.81,14.12,13.94,15.16,15.97,15.34,14.03,14.53,15.88,16.25,15.97,16.06,16.94,17.0,15.44,14.59,15.47,16.69,16.62,16.84,18.75,21.09,22.47,22.38,23.75,25.75,26.88,26.75,27.12,28.62,29.03,27.0,24.94,24.16,22.88,19.97,16.91,15.69,15.28,14.16,12.53,12.44,13.44,13.62,12.62,12.44,13.84,15.0,14.5,13.94,14.31,14.19,11.91,8.81,7.47,7.22,6.75,5.5,6.12,7.66,8.69,8.03,8.38,10.22,11.91,12.78,13.5,15.91,17.75,17.66,16.53,16.25,17.03,17.38,17.62,19.84,23.59,26.84,27.88,27.81,27.44,25.34,20.78,15.75,12.56,10.66,8.38,6.72,7.16,9.03,10.44,10.66,11.97,14.34,16.66,17.72,19.25,22.28,25.28,25.84,25.84,26.62,27.22,26.0,23.62,22.25,21.44,19.94,17.06,14.75,13.53,11.91,8.91,6.22,5.19,4.59,2.88,1.16,1.62,3.12,4.34,5.22,7.09,10.22,12.25,13.06,14.44,17.12,19.75,20.22,20.62,21.56,22.34,20.66,18.16,17.06,16.88,15.78,13.72,12.53,12.19,11.03,8.09,6.03,5.59,5.34,3.84,2.75,3.56,4.75,4.91,5.22,6.59,9.25,10.53,10.62,10.91,11.94,11.84,10.19,8.69,8.53,8.75,7.12,5.59,5.66,6.16,6.19,5.47,6.56,9.09,10.97,11.47,12.91,15.5,17.56,17.38,17.38,17.66,17.66,15.59,12.53,11.25,11.03,10.19,8.78,9.12,10.44,10.88,9.78,9.03,9.66,10.53,9.59,9.69,11.56,13.72,14.38,14.56,15.75,16.88,16.59,14.91,14.28,14.75,14.97,14.25,14.56,16.41,18.06,17.91,17.66,19.0,20.25,19.94,19.0,19.19,19.75,19.72,18.62,18.62,19.94,20.88,19.88,19.25,19.53,19.69,17.88,15.12,13.81,12.91,10.0,6.56,4.75,4.28,3.62,2.62,3.0,5.34,7.75,8.72,10.34,13.16,15.66,15.69,14.75,14.16,13.84,11.84,9.66,8.53,9.5,10.47,10.5,11.72,15.09,18.62,20.56,22.88,26.28,28.88,28.94,27.5,26.75,26.0,23.66,20.91,19.0,19.25,19.41,18.97,19.75,22.06,23.84,23.5,22.88,23.62,24.5,24.19,23.59,24.28,26.06,26.62,26.34,26.62,28.25,29.12,28.31,28.12,29.0,30.0,29.16,27.84,27.62,27.31,25.66,23.09,22.12,22.5,22.53,21.88,21.72,23.38,24.59,24.75,24.88,26.47,27.78,26.47,24.16,23.44,23.16,21.62,19.66,19.16,20.0,20.38,19.78,19.44,20.88,21.5,20.5,19.5,19.97,20.91,20.44,19.97,21.12,23.47,24.53,24.62,24.97,26.84,27.16,25.69,23.72,22.78,21.34,17.56,13.69,12.0,11.38,9.56,8.09,8.38,9.91,10.78,11.0,12.47,15.69,18.34,19.62,20.41,22.34,23.34,22.09,20.12,19.66,19.81,18.69,16.97,16.56,16.81,15.81,13.41,11.75,11.12,10.25,7.94,5.66,5.62,6.5,6.44,6.59,8.41,11.16,12.5,12.84,13.72,15.72,16.41,15.72,15.41,16.56,17.28,16.56,15.62,16.94,18.78,19.25,19.22,20.62,22.78,23.06,22.34,21.5,21.75,20.91,18.81,17.53,18.5,20.0,19.91,19.44,20.09,20.16,18.38,15.5,14.0,14.22,14.03,14.06,15.34,17.75,19.06,17.97,16.66,16.53,16.19,14.59,12.44,11.97,12.09,11.12,10.06,10.62,12.25,12.72,11.66,11.5,13.38,15.06,16.03,17.44,20.25,22.5,23.12,22.56,23.34,24.28,23.34,21.0,19.59,19.34,18.19,16.38,15.34,16.22,17.12,16.91,16.22,17.5,19.09,18.81,18.03,18.75,19.56,18.91,16.88,16.28,17.25,18.06,17.91,18.59,20.38,21.28,19.91,17.56,15.84,14.25,11.88,9.5,10.0,11.81,13.09,13.25,13.34,14.34,14.41,12.91,11.78,12.84,14.16,14.09,14.38,16.0,17.88,18.16,17.94,19.31,22.12,24.25,25.38,27.09,29.09,29.88,28.03,26.09,25.75,24.88,22.88,20.59,20.16,20.31,19.41,17.75,17.09,16.91,15.97,13.75,12.28,12.81,12.91,11.78,10.56,11.47,12.41,12.38,12.22,13.91,16.25,17.66,18.03,19.09,20.88,21.69,20.75,20.44,21.69,22.84,22.44,22.09,23.09,24.25,23.88,23.16,24.12,25.94,27.16,27.19,28.19,29.25,29.44,27.59,25.69,25.25,24.97,23.41,21.84,22.5,23.34,22.97,21.5,21.28,21.53,20.75,19.22,19.06,20.56,22.31,22.22,22.88,23.88,24.31,23.06,21.47,21.69,22.97,23.59,22.94,23.22,24.34,24.28,23.16,22.56,23.62,24.22,22.81,21.31,21.47,21.38,19.44,17.22,16.62,16.62,15.94,15.09,16.03,18.88,21.06,21.84,22.94,24.88,26.34,26.12,25.94,27.62,29.16,28.88,27.84,27.69,27.5,26.78,25.03,24.31,25.19,25.78,25.47,25.12,26.28,27.19,25.66,23.38,22.59,21.91,19.97,17.53,17.19,18.19,18.34,17.41,17.66,19.34,20.19,19.5,19.16,20.38,21.31,20.5,19.5,20.28,21.47,21.31,20.53,20.47,21.03,20.56,18.62,17.41,17.5,17.09,14.69,12.72,12.44,12.72,12.19,12.34,14.31,17.62,19.12,19.22,19.69,20.78,21.22,20.66,21.44,23.94,26.31,26.25,25.5,25.38,25.03,22.62,20.41,20.09,21.16,21.78,21.41,22.22,23.22,23.53,22.0,20.66,20.59,21.09,19.78,19.12,20.41,22.44,23.0,22.09,21.66,21.91,20.56,18.06,17.12,17.47,17.81,16.69,16.03,17.34,18.94,18.66,18.03,18.81,19.91,19.09,17.38,16.81,16.94,16.38,15.47,15.59,17.5,19.19,19.34,19.91,22.28,24.81,25.59,25.78,26.75,27.69,26.91,24.78,23.5,22.84,21.66,19.44,18.53,19.66,20.56,20.22,19.84,20.69,21.66,20.72,19.56,19.69,20.78,21.03,20.69,21.38,22.97,23.19,22.09,21.16,21.62,22.38,21.5,20.88,21.62,22.81,22.53,21.88,22.44,23.75,24.06,23.44,23.69,25.44,26.78,26.5,26.31,26.66,26.53,24.47,22.34,21.53,21.84,20.94,20.06,20.69,22.41,22.78,22.19,22.09,22.97,23.38,22.38,21.66,22.53,23.59,23.44,23.81,25.47,27.44,27.69,26.59,26.0,26.12,25.62,24.0,23.19,23.84,24.03,23.06,21.94,22.38,22.97,21.81,20.38,20.47,21.56,21.72,20.66,20.78,21.38,21.16,19.69,19.41,20.94,22.44,22.81,22.97,24.56,25.94,25.56,24.25,23.91,24.0,23.12,21.56,21.09,21.75,21.78,20.53,19.84,20.94,22.25,22.53,22.62,24.22,25.72,25.47,24.38,23.88,24.38,23.47,21.69,21.06,22.06,22.81,22.62,22.5,23.19,23.22,21.31,19.12,18.25,18.38,17.66,17.19,18.34,20.62,21.69,21.41,21.25,21.69,21.69,20.19,19.12,19.25,19.66,18.31,16.69,15.91,16.31,15.47,14.41,14.28,15.5,15.81,15.09,15.31,17.19,18.88,18.97,19.09,20.41,21.88,21.56,20.81,21.31,22.03,21.94,20.94,20.91,22.28,22.72,21.78,20.84,21.41,22.5,22.16,21.94,23.12,24.69,24.44,23.06,22.69,23.53,23.19,22.38,22.25,23.97,25.0,24.59,23.91,24.97,26.09,25.69,25.59,26.66,27.94,27.47,25.72,24.34,23.81,22.62,20.97,19.91,21.06,21.81,21.47,20.84,21.44,22.34,21.44,20.09,20.28,21.34,21.25,20.62,21.16,22.75,23.78,23.47,23.0,24.12,24.69,24.0,23.84,25.53,27.12,27.03,25.91,25.66,25.84,25.28,24.06,23.78,25.0,25.44,24.31,22.97,23.25,23.28,21.88,20.38,20.94,22.5,23.62,24.34,26.19,28.81,29.88,29.16,28.72,29.66,30.12,29.16,28.22,28.56,28.31,26.25,23.75,22.78,22.12,20.5,18.44,17.34,17.53,17.81,17.28,17.97,20.56,22.88,23.34,23.41,24.78,25.31,24.25,22.69,22.25,22.75,22.31,21.5,21.41,22.47,22.88,22.0,20.97,21.41,21.34,19.88,17.75,17.12,16.66,15.09,13.78,13.81,15.53,16.25,16.44,17.06,18.91,20.16,19.88,19.53,20.72,21.81,21.28,21.12,22.75,24.59,25.28,25.72,26.66,28.31,29.19,28.75,28.44,28.94,29.0,27.03,71.66,70.72,68.97,67.0,64.12,60.81,58.31,56.97,56.56,56.66,57.0,57.62,58.41,58.75,58.44,57.97,57.72,57.62,57.56,57.81,58.81,59.84,60.31,60.72,61.06,60.69,59.47,57.41:12.88,14.97,16.25,16.97,18.62,20.69,20.78,19.31,18.41,19.28,19.91,19.25,18.91,19.81,20.59,19.19,17.38,16.56,16.16,14.53,11.94,10.75,11.09,11.09,10.62,10.91,12.91,14.72,14.81,14.94,16.12,16.88,15.59,13.59,13.53,14.72,15.47,16.12,17.91,20.19,21.31,20.66,19.59,19.53,18.84,16.78,14.81,15.28,16.5,17.56,18.25,20.12,22.75,24.09,24.22,24.44,25.44,25.78,23.84,22.16,21.94,21.31,19.25,17.34,17.22,17.41,17.03,16.31,16.53,17.56,17.62,16.25,15.41,15.72,15.56,14.22,12.84,13.34,13.69,12.97,11.66,11.69,12.25,11.72,10.25,9.66,10.53,10.78,10.06,10.31,12.19,13.81,14.12,13.94,15.16,15.97,15.34,14.03,14.53,15.88,16.25,15.97,16.06,16.94,17.0,15.44,14.59,15.47,16.69,16.62,16.84,18.75,21.09,22.47,22.38,23.75,25.75,26.88,26.75,27.12,28.62,29.03,27.0,24.94,24.16,22.88,19.97,16.91,15.69,15.28,14.16,12.53,12.44,13.44,13.62,12.62,12.44,13.84,15.0,14.5,13.94,14.31,14.19,11.91,8.81,7.47,7.22,6.75,5.5,6.12,7.66,8.69,8.03,8.38,10.22,11.91,12.78,13.5,15.91,17.75,17.66,16.53,16.25,17.03,17.38,17.62,19.84,23.59,26.84,27.88,27.81,27.44,25.34,20.78,15.75,12.56,10.66,8.38,6.72,7.16,9.03,10.44,10.66,11.97,14.34,16.66,17.72,19.25,22.28,25.28,25.84,25.84,26.62,27.22,26.0,23.62,22.25,21.44,19.94,17.06,14.75,13.53,11.91,8.91,6.22,5.19,4.59,2.88,1.16,1.62,3.12,4.34,5.22,7.09,10.22,12.25,13.06,14.44,17.12,19.75,20.22,20.62,21.56,22.34,20.66,18.16,17.06,16.88,15.78,13.72,12.53,12.19,11.03,8.09,6.03,5.59,5.34,3.84,2.75,3.56,4.75,4.91,5.22,6.59,9.25,10.53,10.62,10.91,11.94,11.84,10.19,8.69,8.53,8.75,7.12,5.59,5.66,6.16,6.19,5.47,6.56,9.09,10.97,11.47,12.91,15.5,17.56,17.38,17.38,17.66,17.66,15.59,12.53,11.25,11.03,10.19,8.78,9.12,10.44,10.88,9.78,9.03,9.66,10.53,9.59,9.69,11.56,13.72,14.38,14.56,15.75,16.88,16.59,14.91,14.28,14.75,14.97,14.25,14.56,16.41,18.06,17.91,17.66,19.0,20.25,19.94,19.0,19.19,19.75,19.72,18.62,18.62,19.94,20.88,19.88,19.25,19.53,19.69,17.88,15.12,13.81,12.91,10.0,6.56,4.75,4.28,3.62,2.62,3.0,5.34,7.75,8.72,10.34,13.16,15.66,15.69,14.75,14.16,13.84,11.84,9.66,8.53,9.5,10.47,10.5,11.72,15.09,18.62,20.56,22.88,26.28,28.88,28.94,27.5,26.75,26.0,23.66,20.91,19.0,19.25,19.41,18.97,19.75,22.06,23.84,23.5,22.88,23.62,24.5,24.19,23.59,24.28,26.06,26.62,26.34,26.62,28.25,29.12,28.31,28.12,29.0,30.0,29.16,27.84,27.62,27.31,25.66,23.09,22.12,22.5,22.53,21.88,21.72,23.38,24.59,24.75,24.88,26.47,27.78,26.47,24.16,23.44,23.16,21.62,19.66,19.16,20.0,20.38,19.78,19.44,20.88,21.5,20.5,19.5,19.97,20.91,20.44,19.97,21.12,23.47,24.53,24.62,24.97,26.84,27.16,25.69,23.72,22.78,21.34,17.56,13.69,12.0,11.38,9.56,8.09,8.38,9.91,10.78,11.0,12.47,15.69,18.34,19.62,20.41,22.34,23.34,22.09,20.12,19.66,19.81,18.69,16.97,16.56,16.81,15.81,13.41,11.75,11.12,10.25,7.94,5.66,5.62,6.5,6.44,6.59,8.41,11.16,12.5,12.84,13.72,15.72,16.41,15.72,15.41,16.56,17.28,16.56,15.62,16.94,18.78,19.25,19.22,20.62,22.78,23.06,22.34,21.5,21.75,20.91,18.81,17.53,18.5,20.0,19.91,19.44,20.09,20.16,18.38,15.5,14.0,14.22,14.03,14.06,15.34,17.75,19.06,17.97,16.66,16.53,16.19,14.59,12.44,11.97,12.09,11.12,10.06,10.62,12.25,12.72,11.66,11.5,13.38,15.06,16.03,17.44,20.25,22.5,23.12,22.56,23.34,24.28,23.34,21.0,19.59,19.34,18.19,16.38,15.34,16.22,17.12,16.91,16.22,17.5,19.09,18.81,18.03,18.75,19.56,18.91,16.88,16.28,17.25,18.06,17.91,18.59,20.38,21.28,19.91,17.56,15.84,14.25,11.88,9.5,10.0,11.81,13.09,13.25,13.34,14.34,14.41,12.91,11.78,12.84,14.16,14.09,14.38,16.0,17.88,18.16,17.94,19.31,22.12,24.25,25.38,27.09,29.09,29.88,28.03,26.09,25.75,24.88,22.88,20.59,20.16,20.31,19.41,17.75,17.09,16.91,15.97,13.75,12.28,12.81,12.91,11.78,10.56,11.47,12.41,12.38,12.22,13.91,16.25,17.66,18.03,19.09,20.88,21.69,20.75,20.44,21.69,22.84,22.44,22.09,23.09,24.25,23.88,23.16,24.12,25.94,27.16,27.19,28.19,29.25,29.44,27.59,25.69,25.25,24.97,23.41,21.84,22.5,23.34,22.97,21.5,21.28,21.53,20.75,19.22,19.06,20.56,22.31,22.22,22.88,23.88,24.31,23.06,21.47,21.69,22.97,23.59,22.94,23.22,24.34,24.28,23.16,22.56,23.62,24.22,22.81,21.31,21.47,21.38,19.44,17.22,16.62,16.62,15.94,15.09,16.03,18.88,21.06,21.84,22.94,24.88,26.34,26.12,25.94,27.62,29.16,28.88,27.84,27.69,27.5,26.78,25.03,24.31,25.19,25.78,25.47,25.12,26.28,27.19,25.66,23.38,22.59,21.91,19.97,17.53,17.19,18.19,18.34,17.41,17.66,19.34,20.19,19.5,19.16,20.38,21.31,20.5,19.5,20.28,21.47,21.31,20.53,20.47,21.03,20.56,18.62,17.41,17.5,17.09,14.69,12.72,12.44,12.72,12.19,12.34,14.31,17.62,19.12,19.22,19.69,20.78,21.22,20.66,21.44,23.94,26.31,26.25,25.5,25.38,25.03,22.62,20.41,20.09,21.16,21.78,21.41,22.22,23.22,23.53,22.0,20.66,20.59,21.09,19.78,19.12,20.41,22.44,23.0,22.09,21.66,21.91,20.56,18.06,17.12,17.47,17.81,16.69,16.03,17.34,18.94,18.66,18.03,18.81,19.91,19.09,17.38,16.81,16.94,16.38,15.47,15.59,17.5,19.19,19.34,19.91,22.28,24.81,25.59,25.78,26.75,27.69,26.91,24.78,23.5,22.84,21.66,19.44,18.53,19.66,20.56,20.22,19.84,20.69,21.66,20.72,19.56,19.69,20.78,21.03,20.69,21.38,22.97,23.19,22.09,21.16,21.62,22.38,21.5,20.88,21.62,22.81,22.53,21.88,22.44,23.75,24.06,23.44,23.69,25.44,26.78,26.5,26.31,26.66,26.53,24.47,22.34,21.53,21.84,20.94,20.06,20.69,22.41,22.78,22.19,22.09,22.97,23.38,22.38,21.66,22.53,23.59,23.44,23.81,25.47,27.44,27.69,26.59,26.0,26.12,25.62,24.0,23.19,23.84,24.03,23.06,21.94,22.38,22.97,21.81,20.38,20.47,21.56,21.72,20.66,20.78,21.38,21.16,19.69,19.41,20.94,22.44,22.81,22.97,24.56,25.94,25.56,24.25,23.91,24.0,23.12,21.56,21.09,21.75,21.78,20.53,19.84,20.94,22.25,22.53,22.62,24.22,25.72,25.47,24.38,23.88,24.38,23.47,21.69,21.06,22.06,22.81,22.62,22.5,23.19,23.22,21.31,19.12,18.25,18.38,17.66,17.19,18.34,20.62,21.69,21.41,21.25,21.69,21.69,20.19,19.12,19.25,19.66,18.31,16.69,15.91,16.31,15.47,14.41,14.28,15.5,15.81,15.09,15.31,17.19,18.88,18.97,19.09,20.41,21.88,21.56,20.81,21.31,22.03,21.94,20.94,20.91,22.28,22.72,21.78,20.84,21.41,22.5,22.16,21.94,23.12,24.69,24.44,23.06,22.69,23.53,23.19,22.38,22.25,23.97,25.0,24.59,23.91,24.97,26.09,25.69,25.59,26.66,27.94,27.47,25.72,24.34,23.81,22.62,20.97,19.91,21.06,21.81,21.47,20.84,21.44,22.34,21.44,20.09,20.28,21.34,21.25,20.62,21.16,22.75,23.78,23.47,23.0,24.12,24.69,24.0,23.84,25.53,27.12,27.03,25.91,25.66,25.84,25.28,24.06,23.78,25.0,25.44,24.31,22.97,23.25,23.28,21.88,20.38,20.94,22.5,23.62,24.34,26.19,28.81,29.88,29.16,28.72,29.66,30.12,29.16,28.22,28.56,28.31,26.25,23.75,22.78,22.12,20.5,18.44,17.34,17.53,17.81,17.28,17.97,20.56,22.88,23.34,23.41,24.78,25.31,24.25,22.69,22.25,22.75,22.31,21.5,21.41,22.47,22.88,22.0,20.97,21.41,21.34,19.88,17.75,17.12,16.66,15.09,13.78,13.81,15.53,16.25,16.44,17.06,18.91,20.16,19.88,19.53,20.72,21.81,21.28,21.12,22.75,24.59,25.28,25.72,26.66,28.31,29.19,28.75,28.44,28.94,29.0,27.03,71.66,70.72,68.97,67.0,64.12,60.81,58.31,56.97,56.56,56.66,57.0,57.62,58.41,58.75,58.44,57.97,57.72,57.62,57.56,57.81,58.81,59.84,60.31,60.72,61.06,60.69,59.47,57.41,55.22,53.03,51.41,49.91,49.31,49.41,49.91:19.31,18.41,19.28,19.91,19.25,18.91,19.81,20.59,19.19,17.38,16.56,16.16,14.53,11.94,10.75,11.09,11.09,10.62,10.91,12.91,14.72,14.81,14.94,16.12,16.88,15.59,13.59,13.53,14.72,15.47,16.12,17.91,20.19,21.31,20.66,19.59,19.53,18.84,16.78,14.81,15.28,16.5,17.56,18.25,20.12,22.75,24.09,24.22,24.44,25.44,25.78,23.84,22.16,21.94,21.31,19.25,17.34,17.22,17.41,17.03,16.31,16.53,17.56,17.62,16.25,15.41,15.72,15.56,14.22,12.84,13.34,13.69,12.97,11.66,11.69,12.25,11.72,10.25,9.66,10.53,10.78,10.06,10.31,12.19,13.81,14.12,13.94,15.16,15.97,15.34,14.03,14.53,15.88,16.25,15.97,16.06,16.94,17.0,15.44,14.59,15.47,16.69,16.62,16.84,18.75,21.09,22.47,22.38,23.75,25.75,26.88,26.75,27.12,28.62,29.03,27.0,24.94,24.16,22.88,19.97,16.91,15.69,15.28,14.16,12.53,12.44,13.44,13.62,12.62,12.44,13.84,15.0,14.5,13.94,14.31,14.19,11.91,8.81,7.47,7.22,6.75,5.5,6.12,7.66,8.69,8.03,8.38,10.22,11.91,12.78,13.5,15.91,17.75,17.66,16.53,16.25,17.03,17.38,17.62,19.84,23.59,26.84,27.88,27.81,27.44,25.34,20.78,15.75,12.56,10.66,8.38,6.72,7.16,9.03,10.44,10.66,11.97,14.34,16.66,17.72,19.25,22.28,25.28,25.84,25.84,26.62,27.22,26.0,23.62,22.25,21.44,19.94,17.06,14.75,13.53,11.91,8.91,6.22,5.19,4.59,2.88,1.16,1.62,3.12,4.34,5.22,7.09,10.22,12.25,13.06,14.44,17.12,19.75,20.22,20.62,21.56,22.34,20.66,18.16,17.06,16.88,15.78,13.72,12.53,12.19,11.03,8.09,6.03,5.59,5.34,3.84,2.75,3.56,4.75,4.91,5.22,6.59,9.25,10.53,10.62,10.91,11.94,11.84,10.19,8.69,8.53,8.75,7.12,5.59,5.66,6.16,6.19,5.47,6.56,9.09,10.97,11.47,12.91,15.5,17.56,17.38,17.38,17.66,17.66,15.59,12.53,11.25,11.03,10.19,8.78,9.12,10.44,10.88,9.78,9.03,9.66,10.53,9.59,9.69,11.56,13.72,14.38,14.56,15.75,16.88,16.59,14.91,14.28,14.75,14.97,14.25,14.56,16.41,18.06,17.91,17.66,19.0,20.25,19.94,19.0,19.19,19.75,19.72,18.62,18.62,19.94,20.88,19.88,19.25,19.53,19.69,17.88,15.12,13.81,12.91,10.0,6.56,4.75,4.28,3.62,2.62,3.0,5.34,7.75,8.72,10.34,13.16,15.66,15.69,14.75,14.16,13.84,11.84,9.66,8.53,9.5,10.47,10.5,11.72,15.09,18.62,20.56,22.88,26.28,28.88,28.94,27.5,26.75,26.0,23.66,20.91,19.0,19.25,19.41,18.97,19.75,22.06,23.84,23.5,22.88,23.62,24.5,24.19,23.59,24.28,26.06,26.62,26.34,26.62,28.25,29.12,28.31,28.12,29.0,30.0,29.16,27.84,27.62,27.31,25.66,23.09,22.12,22.5,22.53,21.88,21.72,23.38,24.59,24.75,24.88,26.47,27.78,26.47,24.16,23.44,23.16,21.62,19.66,19.16,20.0,20.38,19.78,19.44,20.88,21.5,20.5,19.5,19.97,20.91,20.44,19.97,21.12,23.47,24.53,24.62,24.97,26.84,27.16,25.69,23.72,22.78,21.34,17.56,13.69,12.0,11.38,9.56,8.09,8.38,9.91,10.78,11.0,12.47,15.69,18.34,19.62,20.41,22.34,23.34,22.09,20.12,19.66,19.81,18.69,16.97,16.56,16.81,15.81,13.41,11.75,11.12,10.25,7.94,5.66,5.62,6.5,6.44,6.59,8.41,11.16,12.5,12.84,13.72,15.72,16.41,15.72,15.41,16.56,17.28,16.56,15.62,16.94,18.78,19.25,19.22,20.62,22.78,23.06,22.34,21.5,21.75,20.91,18.81,17.53,18.5,20.0,19.91,19.44,20.09,20.16,18.38,15.5,14.0,14.22,14.03,14.06,15.34,17.75,19.06,17.97,16.66,16.53,16.19,14.59,12.44,11.97,12.09,11.12,10.06,10.62,12.25,12.72,11.66,11.5,13.38,15.06,16.03,17.44,20.25,22.5,23.12,22.56,23.34,24.28,23.34,21.0,19.59,19.34,18.19,16.38,15.34,16.22,17.12,16.91,16.22,17.5,19.09,18.81,18.03,18.75,19.56,18.91,16.88,16.28,17.25,18.06,17.91,18.59,20.38,21.28,19.91,17.56,15.84,14.25,11.88,9.5,10.0,11.81,13.09,13.25,13.34,14.34,14.41,12.91,11.78,12.84,14.16,14.09,14.38,16.0,17.88,18.16,17.94,19.31,22.12,24.25,25.38,27.09,29.09,29.88,28.03,26.09,25.75,24.88,22.88,20.59,20.16,20.31,19.41,17.75,17.09,16.91,15.97,13.75,12.28,12.81,12.91,11.78,10.56,11.47,12.41,12.38,12.22,13.91,16.25,17.66,18.03,19.09,20.88,21.69,20.75,20.44,21.69,22.84,22.44,22.09,23.09,24.25,23.88,23.16,24.12,25.94,27.16,27.19,28.19,29.25,29.44,27.59,25.69,25.25,24.97,23.41,21.84,22.5,23.34,22.97,21.5,21.28,21.53,20.75,19.22,19.06,20.56,22.31,22.22,22.88,23.88,24.31,23.06,21.47,21.69,22.97,23.59,22.94,23.22,24.34,24.28,23.16,22.56,23.62,24.22,22.81,21.31,21.47,21.38,19.44,17.22,16.62,16.62,15.94,15.09,16.03,18.88,21.06,21.84,22.94,24.88,26.34,26.12,25.94,27.62,29.16,28.88,27.84,27.69,27.5,26.78,25.03,24.31,25.19,25.78,25.47,25.12,26.28,27.19,25.66,23.38,22.59,21.91,19.97,17.53,17.19,18.19,18.34,17.41,17.66,19.34,20.19,19.5,19.16,20.38,21.31,20.5,19.5,20.28,21.47,21.31,20.53,20.47,21.03,20.56,18.62,17.41,17.5,17.09,14.69,12.72,12.44,12.72,12.19,12.34,14.31,17.62,19.12,19.22,19.69,20.78,21.22,20.66,21.44,23.94,26.31,26.25,25.5,25.38,25.03,22.62,20.41,20.09,21.16,21.78,21.41,22.22,23.22,23.53,22.0,20.66,20.59,21.09,19.78,19.12,20.41,22.44,23.0,22.09,21.66,21.91,20.56,18.06,17.12,17.47,17.81,16.69,16.03,17.34,18.94,18.66,18.03,18.81,19.91,19.09,17.38,16.81,16.94,16.38,15.47,15.59,17.5,19.19,19.34,19.91,22.28,24.81,25.59,25.78,26.75,27.69,26.91,24.78,23.5,22.84,21.66,19.44,18.53,19.66,20.56,20.22,19.84,20.69,21.66,20.72,19.56,19.69,20.78,21.03,20.69,21.38,22.97,23.19,22.09,21.16,21.62,22.38,21.5,20.88,21.62,22.81,22.53,21.88,22.44,23.75,24.06,23.44,23.69,25.44,26.78,26.5,26.31,26.66,26.53,24.47,22.34,21.53,21.84,20.94,20.06,20.69,22.41,22.78,22.19,22.09,22.97,23.38,22.38,21.66,22.53,23.59,23.44,23.81,25.47,27.44,27.69,26.59,26.0,26.12,25.62,24.0,23.19,23.84,24.03,23.06,21.94,22.38,22.97,21.81,20.38,20.47,21.56,21.72,20.66,20.78,21.38,21.16,19.69,19.41,20.94,22.44,22.81,22.97,24.56,25.94,25.56,24.25,23.91,24.0,23.12,21.56,21.09,21.75,21.78,20.53,19.84,20.94,22.25,22.53,22.62,24.22,25.72,25.47,24.38,23.88,24.38,23.47,21.69,21.06,22.06,22.81,22.62,22.5,23.19,23.22,21.31,19.12,18.25,18.38,17.66,17.19,18.34,20.62,21.69,21.41,21.25,21.69,21.69,20.19,19.12,19.25,19.66,18.31,16.69,15.91,16.31,15.47,14.41,14.28,15.5,15.81,15.09,15.31,17.19,18.88,18.97,19.09,20.41,21.88,21.56,20.81,21.31,22.03,21.94,20.94,20.91,22.28,22.72,21.78,20.84,21.41,22.5,22.16,21.94,23.12,24.69,24.44,23.06,22.69,23.53,23.19,22.38,22.25,23.97,25.0,24.59,23.91,24.97,26.09,25.69,25.59,26.66,27.94,27.47,25.72,24.34,23.81,22.62,20.97,19.91,21.06,21.81,21.47,20.84,21.44,22.34,21.44,20.09,20.28,21.34,21.25,20.62,21.16,22.75,23.78,23.47,23.0,24.12,24.69,24.0,23.84,25.53,27.12,27.03,25.91,25.66,25.84,25.28,24.06,23.78,25.0,25.44,24.31,22.97,23.25,23.28,21.88,20.38,20.94,22.5,23.62,24.34,26.19,28.81,29.88,29.16,28.72,29.66,30.12,29.16,28.22,28.56,28.31,26.25,23.75,22.78,22.12,20.5,18.44,17.34,17.53,17.81,17.28,17.97,20.56,22.88,23.34,23.41,24.78,25.31,24.25,22.69,22.25,22.75,22.31,21.5,21.41,22.47,22.88,22.0,20.97,21.41,21.34,19.88,17.75,17.12,16.66,15.09,13.78,13.81,15.53,16.25,16.44,17.06,18.91,20.16,19.88,19.53,20.72,21.81,21.28,21.12,22.75,24.59,25.28,25.72,26.66,28.31,29.19,28.75,28.44,28.94,29.0,27.03,71.66,70.72,68.97,67.0,64.12,60.81,58.31,56.97,56.56,56.66,57.0,57.62,58.41,58.75,58.44,57.97,57.72,57.62,57.56,57.81,58.81,59.84,60.31,60.72,61.06,60.69,59.47,57.41,55.22,53.03,51.41,49.91,49.31,49.41,49.91,50.53,52.12,54.59,56.69,58.34,59.66,60.06:negativity
11.09,9.97,10.19,9.91,8.06,6.62,7.28,9.16,10.09,11.31,13.06,15.31,15.91,14.66,13.38,13.25,12.22,9.75,7.47,6.47,5.72,3.72,1.81,1.66,2.38,2.0,1.09,1.03,1.97,1.88,0.59,0.38,1.66,2.94,2.84,2.69,3.44,3.72,2.94,1.66,1.75,3.56,4.16,4.41,6.03,9.12,11.5,12.31,13.06,14.59,14.75,13.19,11.09,10.53,10.66,9.91,9.34,11.0,14.53,17.25,19.0,21.25,23.81,24.38,22.81,20.31,18.38,15.56,11.34,7.44,5.75,5.72,4.91,4.19,4.62,5.91,6.22,5.62,5.91,7.97,9.28,9.84,10.28,12.5,14.47,15.28,15.53,16.66,17.38,16.09,12.38,9.0,6.62,3.62,0.78,-0.22,1.81,4.69,6.72,8.72,12.25,15.47,16.62,16.78,17.31,17.53,15.84,12.47,9.5,7.19,4.88,1.5,-1.31,-1.62,-1.94,-3.06,-3.88,-2.97,-1.88,-1.56,-1.56,-0.28,1.97,3.19,3.41,3.84,5.41,6.56,6.69,6.88,8.66,9.72,8.31,5.84,4.34,3.19,0.91,-1.12,-1.47,-0.28,1.41,2.41,5.25,10.5,15.88,19.56,22.5,25.5,26.47,23.56,18.34,13.28,7.94,1.5,-4.97,-8.75,-10.09,-10.22,-10.5,-8.97,-6.0,-3.38,-2.28,-1.25,1.41,4.5,6.38,7.53,9.78,12.69,14.44,15.72,18.19,21.62,24.81,25.97,26.69,27.72,27.09,24.0,19.75,16.62,13.75,10.25,6.28,4.19,3.91,3.38,2.44,3.09,5.19,7.25,7.88,8.94,11.88,14.97,16.59,17.69,19.94,22.03,22.78,21.44,20.47,19.53,17.12,13.16,9.97,8.47,7.22,5.06,2.94,2.53,1.78,-0.03,-2.06,-2.28,-1.66,-1.16,-1.09,-0.12,1.41,2.25,1.53,0.97,1.44,2.34,2.19,2.31,4.34,7.38,9.34,10.62,13.0,15.22,15.97,15.22,14.78,15.5,16.28,16.16,17.06,19.53,21.97,22.75,22.78,24.0,25.62,25.88,25.34,26.0,27.06,27.31,26.72,26.62,27.72,28.47,27.25,25.75,25.47,24.78,22.25,19.72,18.5,18.28,17.38,16.16,15.94,16.34,16.19,14.53,13.31,12.75,12.0,9.72,7.12,5.97,6.0,5.53,5.47,7.44,10.06,11.44,11.47,12.47,13.88,15.38,16.03,18.12,21.62,25.34,27.66,29.34,31.38,33.69,34.0,33.34,33.34,34.28,34.09,32.16,30.72,29.75,28.16,25.06,22.19,21.16,20.72,19.66,19.5,21.59,25.25,27.5,29.28,31.12,32.59,32.03,29.44,26.66,24.94,23.38,20.91,19.72,20.47,21.22,20.22,18.56,17.56,17.09,15.41,13.47,13.12,13.97,15.0,15.25,16.56,19.22,21.25,21.81,22.0,23.16,24.62,24.5,23.44,23.34,23.59,22.47,20.81,20.84,22.28,23.88,24.47,25.34,27.03,27.78,25.91,23.53,21.78,20.19,17.62,15.22,14.44,15.19,15.09,14.31,13.59,13.78,13.19,11.5,10.78,12.0,13.91,14.78,15.53,17.25,19.38,19.69,19.28,19.72,21.31,21.94,21.19,21.22,22.28,22.59,20.56,18.28,17.41,16.53,14.59,13.19,13.66,15.53,16.09,16.0,16.53,17.94,17.94,16.72,15.62,16.09,16.19,15.16,14.09,14.97,16.41,15.97,15.0,14.75,15.09,14.0,12.06,11.47,12.72,14.19,14.72,15.72,17.97,20.47,21.19,21.62,23.41,25.59,25.53,25.06,25.41,26.62,26.56,25.16,24.75,25.41,25.34,23.78,22.59,22.66,22.25,20.09,18.06,17.56,17.72,16.78,15.78,15.5,16.62,17.16,16.78,16.94,18.81,20.5,20.44,20.59,22.19,24.16,24.25,24.72,26.66,29.28,30.62,30.69,30.81,31.59,30.69,28.69,27.03,26.53,25.59,23.34,20.84,20.47,21.34,21.59,22.53,25.09,29.19,31.5,32.41,32.91,33.62,32.91,29.97,27.59,27.59,27.94,27.25,26.31,26.56,26.59,24.59,21.88,20.5,20.41,19.84,18.09,17.31,18.06,18.12,17.16,16.44,17.88,20.06,21.03,21.88,24.09,26.47,27.09,26.78,27.12,29.19,30.06,30.28,31.22,33.84,36.41,37.47,38.56,40.94,43.25,43.19,41.84,41.28,40.31,37.69,34.31,32.06,31.09,29.34,26.75,24.69,24.25,24.19,23.53,23.34,25.31,27.62,28.34,27.12,26.38,25.91,24.38,22.06,21.22,22.62,23.19,22.59,21.31,21.53,20.84,18.81,16.34,15.91,16.16,15.31,14.19,14.47,16.06,16.62,16.41,16.5,17.56,17.78,16.34,14.84,14.97,14.97,13.88,12.69,13.34,14.72,14.84,14.84,15.72,17.91,19.72,20.69,22.5,25.69,28.19,28.59,28.25,29.38,30.06,29.38,28.06,28.34,29.28,28.88,27.91,27.81,28.62,28.03,25.88,23.88,23.28,22.56,20.81,19.31,19.56,20.12,19.56,18.22,18.31,19.22,19.59,19.25,20.5,23.12,25.41,26.12,26.97,28.94,30.56,30.38,29.78,30.38,30.53,28.91,26.06,24.44,23.69,22.62,20.75,20.09,21.34,21.91,21.09,21.31,22.56,23.94,23.78,23.38,24.44,25.69,25.84,25.03,25.12,26.03,26.47,25.72,26.03,27.72,28.69,27.91,27.0,27.34,27.59,26.44,24.78,25.44,26.78,27.22,26.75,27.56,29.0,29.38,28.19,27.16,27.56,27.44,25.97,24.22,24.81,25.69,24.84,23.66,23.88,24.25,23.66,21.41,20.34,20.75,21.0,20.06,19.34,20.0,19.81,17.31,14.69,14.09,14.44,14.53,14.72,16.69,19.44,20.88,20.78,21.62,23.69,25.38,25.12,25.16,26.75,27.62,26.34,24.38,23.97,23.94,22.69,21.25,21.5,23.28,25.25,26.59,29.44,34.16,38.66,41.31,43.09,45.0,45.09,41.34,35.59,30.34,25.22,19.59,13.94,10.53,9.53,9.22,8.94,11.09,15.84,21.44,25.78,30.25,35.53,40.41,42.97,43.69,44.44,44.66,42.34,37.78,33.91,30.78,27.81,23.81,20.59,19.75,19.34,17.34,15.56,15.59,16.59,16.78,17.34,19.41,22.25,23.84,23.97,24.41,26.69,28.59,29.0,29.62,30.69,31.31,29.81,27.22,26.06,25.0,22.88,20.28,19.75,20.47,20.91,20.22,19.66,20.53,21.19,20.0,19.44,20.28,21.09,20.09,18.94,19.06,19.5,19.41,18.44,18.5,19.34,19.28,17.09,15.25,14.62,14.16,12.81,12.62,14.91,18.38,20.53,21.97,24.38,26.62,28.06,28.34,29.28,30.84,31.09,29.28,27.34,26.97,26.5,24.59,22.69,21.62,20.75,18.31,15.5,14.12,14.59,14.81,14.59,15.81,19.06,22.0,23.62,25.0,27.38,28.78,27.94,26.31,25.78,26.09,25.72,25.09,25.84,27.34,27.34,25.28,23.59,22.81,22.19,20.91,20.03,20.69,21.84,21.78,21.28,21.75,22.78,22.38,20.47,19.59,19.75,19.72,18.5,18.53,19.62,20.88,20.03,19.06,19.16,19.22,17.62,15.5,14.59,14.94,14.12,12.31,11.88,12.75,13.56,13.31,14.12,16.41,19.12,20.41,21.5,23.94,26.22,26.28,25.06,24.22,24.0,23.19,21.66,21.25,22.75,23.78,23.12,22.75,23.69,24.91,24.31,23.94,24.75,26.06,26.09,25.69,26.06,27.91,28.69,28.97,29.59,31.47,32.81,31.91,30.75,30.69,30.94,29.75,28.31,28.09,28.47,27.19,25.19,23.66,23.91,23.81,23.09,23.72,26.25,28.84,29.81,30.38,31.81,33.03,32.22,30.91,30.75,31.56,31.84,31.25,31.44,33.0,33.44,32.72,32.41,33.28,34.03,33.41,32.41,32.81,33.53,32.62,31.0,30.59,31.41,31.75,31.38,32.41,35.28,37.41,37.81,37.75,38.44,38.72,37.19,34.94,33.88,33.09,30.66,27.53,25.59,25.16,24.5,22.91,22.19,23.31,24.03,23.56,23.38,25.09,27.12,28.06,27.97,28.88,29.56,28.75,27.66,27.16,27.97,28.41,27.5,26.19,25.69,24.31,21.59,18.25,16.62,15.69,13.75,12.25,12.38,14.12,15.94,17.28,19.12,21.47,22.94,22.28,21.25,21.69,22.53,22.75,22.94,25.09,27.31,27.78,27.03,26.5,26.84,25.69,23.28,21.22,20.53,19.56,17.5,15.62,16.16,17.06,16.94,16.81,18.12,19.72,20.19,20.41,21.25,23.25,24.19,23.53,23.09,23.41,23.16,21.88,20.0,19.66,19.31,18.03,16.22,15.78,16.28,16.12,15.34,15.12,16.59,17.59,17.03,16.94,18.06,18.56,17.38,15.91,15.81,15.81,15.22,14.19,14.59,16.0,16.47,15.78,15.28,15.97,15.66,14.09,12.44,12.16,11.88,10.41,9.09,9.0,9.62,9.25,8.44,8.75,10.06,10.72,10.09,9.78,10.72,11.22,10.34,9.53,10.09,10.53,9.38,7.78,7.47,7.25,6.41,4.56,4.09,5.0,5.47,5.03,5.22,7.22,8.94,9.41,9.72,11.06,12.34,11.75,10.53,10.34,10.12,9.12,6.84,5.12,5.09,4.5,3.56,3.41,5.91,9.31,11.56,13.44,16.44,18.94,19.25,18.28,18.16,18.56,18.03,16.88,16.53,17.62,18.34,18.0,17.38,18.19,18.66,17.72,16.19,16.31,16.41,15.28,12.62,11.12,10.62,9.66,7.94,7.69,8.81,10.0,9.84,9.75,11.03,12.75,13.34,12.75,14.03,15.34,14.84,13.5,12.94,13.81,14.19,13.84,14.34,16.88,19.06:9.16,10.09,11.31,13.06,15.31,15.91,14.66,13.38,13.25,12.22,9.75,7.47,6.47,5.72,3.72,1.81,1.66,2.38,2.0,1.09,1.03,1.97,1.88,0.59,0.38,1.66,2.94,2.84,2.69,3.44,3.72,2.94,1.66,1.75,3.56,4.16,4.41,6.03,9.12,11.5,12.31,13.06,14.59,14.75,13.19,11.09,10.53,10.66,9.91,9.34,11.0,14.53,17.25,19.0,21.25,23.81,24.38,22.81,20.31,18.38,15.56,11.34,7.44,5.75,5.72,4.91,4.19,4.62,5.91,6.22,5.62,5.91,7.97,9.28,9.84,10.28,12.5,14.47,15.28,15.53,16.66,17.38,16.09,12.38,9.0,6.62,3.62,0.78,-0.22,1.81,4.69,6.72,8.72,12.25,15.47,16.62,16.78,17.31,17.53,15.84,12.47,9.5,7.19,4.88,1.5,-1.31,-1.62,-1.94,-3.06,-3.88,-2.97,-1.88,-1.56,-1.56,-0.28,1.97,3.19,3.41,3.84,5.41,6.56,6.69,6.88,8.66,9.72,8.31,5.84,4.34,3.19,0.91,-1.12,-1.47,-0.28,1.41,2.41,5.25,10.5,15.88,19.56,22.5,25.5,26.47,23.56,18.34,13.28,7.94,1.5,-4.97,-8.75,-10.09,-10.22,-10.5,-8.97,-6.0,-3.38,-2.28,-1.25,1.41,4.5,6.38,7.53,9.78,12.69,14.44,15.72,18.19,21.62,24.81,25.97,26.69,27.72,27.09,24.0,19.75,16.62,13.75,10.25,6.28,4.19,3.91,3.38,2.44,3.09,5.19,7.25,7.88,8.94,11.88,14.97,16.59,17.69,19.94,22.03,22.78,21.44,20.47,19.53,17.12,13.16,9.97,8.47,7.22,5.06,2.94,2.53,1.78,-0.03,-2.06,-2.28,-1.66,-1.16,-1.09,-0.12,1.41,2.25,1.53,0.97,1.44,2.34,2.19,2.31,4.34,7.38,9.34,10.62,13.0,15.22,15.97,15.22,14.78,15.5,16.28,16.16,17.06,19.53,21.97,22.75,22.78,24.0,25.62,25.88,25.34,26.0,27.06,27.31,26.72,26.62,27.72,28.47,27.25,25.75,25.47,24.78,22.25,19.72,18.5,18.28,17.38,16.16,15.94,16.34,16.19,14.53,13.31,12.75,12.0,9.72,7.12,5.97,6.0,5.53,5.47,7.44,10.06,11.44,11.47,12.47,13.88,15.38,16.03,18.12,21.62,25.34,27.66,29.34,31.38,33.69,34.0,33.34,33.34,34.28,34.09,32.16,30.72,29.75,28.16,25.06,22.19,21.16,20.72,19.66,19.5,21.59,25.25,27.5,29.28,31.12,32.59,32.03,29.44,26.66,24.94,23.38,20.91,19.72,20.47,21.22,20.22,18.56,17.56,17.09,15.41,13.47,13.12,13.97,15.0,15.25,16.56,19.22,21.25,21.81,22.0,23.16,24.62,24.5,23.44,23.34,23.59,22.47,20.81,20.84,22.28,23.88,24.47,25.34,27.03,27.78,25.91,23.53,21.78,20.19,17.62,15.22,14.44,15.19,15.09,14.31,13.59,13.78,13.19,11.5,10.78,12.0,13.91,14.78,15.53,17.25,19.38,19.69,19.28,19.72,21.31,21.94,21.19,21.22,22.28,22.59,20.56,18.28,17.41,16.53,14.59,13.19,13.66,15.53,16.09,16.0,16.53,17.94,17.94,16.72,15.62,16.09,16.19,15.16,14.09,14.97,16.41,15.97,15.0,14.75,15.09,14.0,12.06,11.47,12.72,14.19,14.72,15.72,17.97,20.47,21.19,21.62,23.41,25.59,25.53,25.06,25.41,26.62,26.56,25.16,24.75,25.41,25.34,23.78,22.59,22.66,22.25,20.09,18.06,17.56,17.72,16.78,15.78,15.5,16.62,17.16,16.78,16.94,18.81,20.5,20.44,20.59,22.19,24.16,24.25,24.72,26.66,29.28,30.62,30.69,30.81,31.59,30.69,28.69,27.03,26.53,25.59,23.34,20.84,20.47,21.34,21.59,22.53,25.09,29.19,31.5,32.41,32.91,33.62,32.91,29.97,27.59,27.59,27.94,27.25,26.31,26.56,26.59,24.59,21.88,20.5,20.41,19.84,18.09,17.31,18.06,18.12,17.16,16.44,17.88,20.06,21.03,21.88,24.09,26.47,27.09,26.78,27.12,29.19,30.06,30.28,31.22,33.84,36.41,37.47,38.56,40.94,43.25,43.19,41.84,41.28,40.31,37.69,34.31,32.06,31.09,29.34,26.75,24.69,24.25,24.19,23.53,23.34,25.31,27.62,28.34,27.12,26.38,25.91,24.38,22.06,21.22,22.62,23.19,22.59,21.31,21.53,20.84,18.81,16.34,15.91,16.16,15.31,14.19,14.47,16.06,16.62,16.41,16.5,17.56,17.78,16.34,14.84,14.97,14.97,13.88,12.69,13.34,14.72,14.84,14.84,15.72,17.91,19.72,20.69,22.5,25.69,28.19,28.59,28.25,29.38,30.06,29.38,28.06,28.34,29.28,28.88,27.91,27.81,28.62,28.03,25.88,23.88,23.28,22.56,20.81,19.31,19.56,20.12,19.56,18.22,18.31,19.22,19.59,19.25,20.5,23.12,25.41,26.12,26.97,28.94,30.56,30.38,29.78,30.38,30.53,28.91,26.06,24.44,23.69,22.62,20.75,20.09,21.34,21.91,21.09,21.31,22.56,23.94,23.78,23.38,24.44,25.69,25.84,25.03,25.12,26.03,26.47,25.72,26.03,27.72,28.69,27.91,27.0,27.34,27.59,26.44,24.78,25.44,26.78,27.22,26.75,27.56,29.0,29.38,28.19,27.16,27.56,27.44,25.97,24.22,24.81,25.69,24.84,23.66,23.88,24.25,23.66,21.41,20.34,20.75,21.0,20.06,19.34,20.0,19.81,17.31,14.69,14.09,14.44,14.53,14.72,16.69,19.44,20.88,20.78,21.62,23.69,25.38,25.12,25.16,26.75,27.62,26.34,24.38,23.97,23.94,22.69,21.25,21.5,23.28,25.25,26.59,29.44,34.16,38.66,41.31,43.09,45.0,45.09,41.34,35.59,30.34,25.22,19.59,13.94,10.53,9.53,9.22,8.94,11.09,15.84,21.44,25.78,30.25,35.53,40.41,42.97,43.69,44.44,44.66,42.34,37.78,33.91,30.78,27.81,23.81,20.59,19.75,19.34,17.34,15.56,15.59,16.59,16.78,17.34,19.41,22.25,23.84,23.97,24.41,26.69,28.59,29.0,29.62,30.69,31.31,29.81,27.22,26.06,25.0,22.88,20.28,19.75,20.47,20.91,20.22,19.66,20.53,21.19,20.0,19.44,20.28,21.09,20.09,18.94,19.06,19.5,19.41,18.44,18.5,19.34,19.28,17.09,15.25,14.62,14.16,12.81,12.62,14.91,18.38,20.53,21.97,24.38,26.62,28.06,28.34,29.28,30.84,31.09,29.28,27.34,26.97,26.5,24.59,22.69,21.62,20.75,18.31,15.5,14.12,14.59,14.81,14.59,15.81,19.06,22.0,23.62,25.0,27.38,28.78,27.94,26.31,25.78,26.09,25.72,25.09,25.84,27.34,27.34,25.28,23.59,22.81,22.19,20.91,20.03,20.69,21.84,21.78,21.28,21.75,22.78,22.38,20.47,19.59,19.75,19.72,18.5,18.53,19.62,20.88,20.03,19.06,19.16,19.22,17.62,15.5,14.59,14.94,14.12,12.31,11.88,12.75,13.56,13.31,14.12,16.41,19.12,20.41,21.5,23.94,26.22,26.28,25.06,24.22,24.0,23.19,21.66,21.25,22.75,23.78,23.12,22.75,23.69,24.91,24.31,23.94,24.75,26.06,26.09,25.69,26.06,27.91,28.69,28.97,29.59,31.47,32.81,31.91,30.75,30.69,30.94,29.75,28.31,28.09,28.47,27.19,25.19,23.66,23.91,23.81,23.09,23.72,26.25,28.84,29.81,30.38,31.81,33.03,32.22,30.91,30.75,31.56,31.84,31.25,31.44,33.0,33.44,32.72,32.41,33.28,34.03,33.41,32.41,32.81,33.53,32.62,31.0,30.59,31.41,31.75,31.38,32.41,35.28,37.41,37.81,37.75,38.44,38.72,37.19,34.94,33.88,33.09,30.66,27.53,25.59,25.16,24.5,22.91,22.19,23.31,24.03,23.56,23.38,25.09,27.12,28.06,27.97,28.88,29.56,28.75,27.66,27.16,27.97,28.41,27.5,26.19,25.69,24.31,21.59,18.25,16.62,15.69,13.75,12.25,12.38,14.12,15.94,17.28,19.12,21.47,22.94,22.28,21.25,21.69,22.53,22.75,22.94,25.09,27.31,27.78,27.03,26.5,26.84,25.69,23.28,21.22,20.53,19.56,17.5,15.62,16.16,17.06,16.94,16.81,18.12,19.72,20.19,20.41,21.25,23.25,24.19,23.53,23.09,23.41,23.16,21.88,20.0,19.66,19.31,18.03,16.22,15.78,16.28,16.12,15.34,15.12,16.59,17.59,17.03,16.94,18.06,18.56,17.38,15.91,15.81,15.81,15.22,14.19,14.59,16.0,16.47,15.78,15.28,15.97,15.66,14.09,12.44,12.16,11.88,10.41,9.09,9.0,9.62,9.25,8.44,8.75,10.06,10.72,10.09,9.78,10.72,11.22,10.34,9.53,10.09,10.53,9.38,7.78,7.47,7.25,6.41,4.56,4.09,5.0,5.47,5.03,5.22,7.22,8.94,9.41,9.72,11.06,12.34,11.75,10.53,10.34,10.12,9.12,6.84,5.12,5.09,4.5,3.56,3.41,5.91,9.31,11.56,13.44,16.44,18.94,19.25,18.28,18.16,18.56,18.03,16.88,16.53,17.62,18.34,18.0,17.38,18.19,18.66,17.72,16.19,16.31,16.41,15.28,12.62,11.12,10.62,9.66,7.94,7.69,8.81,10.0,9.84,9.75,11.03,12.75,13.34,12.75,14.03,15.34,14.84,13.5,12.94,13.81,14.19,13.84,14.34,16.88,19.06,24.03,22.78,21.31,20.34,20.12,20.41,21.22:13.38,13.25,12.22,9.75,7.47,6.47,5.72,3.72,1.81,1.66,2.38,2.0,1.09,1.03,1.97,1.88,0.59,0.38,1.66,2.94,2.84,2.69,3.44,3.72,2.94,1.66,1.75,3.56,4.16,4.41,6.03,9.12,11.5,12.31,13.06,14.59,14.75,13.19,11.09,10.53,10.66,9.91,9.34,11.0,14.53,17.25,19.0,21.25,23.81,24.38,22.81,20.31,18.38,15.56,11.34,7.44,5.75,5.72,4.91,4.19,4.62,5.91,6.22,5.62,5.91,7.97,9.28,9.84,10.28,12.5,14.47,15.28,15.53,16.66,17.38,16.09,12.38,9.0,6.62,3.62,0.78,-0.22,1.81,4.69,6.72,8.72,12.25,15.47,16.62,16.78,17.31,17.53,15.84,12.47,9.5,7.19,4.88,1.5,-1.31,-1.62,-1.94,-3.06,-3.88,-2.97,-1.88,-1.56,-1.56,-0.28,1.97,3.19,3.41,3.84,5.41,6.56,6.69,6.88,8.66,9.72,8.31,5.84,4.34,3.19,0.91,-1.12,-1.47,-0.28,1.41,2.41,5.25,10.5,15.88,19.56,22.5,25.5,26.47,23.56,18.34,13.28,7.94,1.5,-4.97,-8.75,-10.09,-10.22,-10.5,-8.97,-6.0,-3.38,-2.28,-1.25,1.41,4.5,6.38,7.53,9.78,12.69,14.44,15.72,18.19,21.62,24.81,25.97,26.69,27.72,27.09,24.0,19.75,16.62,13.75,10.25,6.28,4.19,3.91,3.38,2.44,3.09,5.19,7.25,7.88,8.94,11.88,14.97,16.59,17.69,19.94,22.03,22.78,21.44,20.47,19.53,17.12,13.16,9.97,8.47,7.22,5.06,2.94,2.53,1.78,-0.03,-2.06,-2.28,-1.66,-1.16,-1.09,-0.12,1.41,2.25,1.53,0.97,1.44,2.34,2.19,2.31,4.34,7.38,9.34,10.62,13.0,15.22,15.97,15.22,14.78,15.5,16.28,16.16,17.06,19.53,21.97,22.75,22.78,24.0,25.62,25.88,25.34,26.0,27.06,27.31,26.72,26.62,27.72,28.47,27.25,25.75,25.47,24.78,22.25,19.72,18.5,18.28,17.38,16.16,15.94,16.34,16.19,14.53,13.31,12.75,12.0,9.72,7.12,5.97,6.0,5.53,5.47,7.44,10.06,11.44,11.47,12.47,13.88,15.38,16.03,18.12,21.62,25.34,27.66,29.34,31.38,33.69,34.0,33.34,33.34,34.28,34.09,32.16,30.72,29.75,28.16,25.06,22.19,21.16,20.72,19.66,19.5,21.59,25.25,27.5,29.28,31.12,32.59,32.03,29.44,26.66,24.94,23.38,20.91,19.72,20.47,21.22,20.22,18.56,17.56,17.09,15.41,13.47,13.12,13.97,15.0,15.25,16.56,19.22,21.25,21.81,22.0,23.16,24.62,24.5,23.44,23.34,23.59,22.47,20.81,20.84,22.28,23.88,24.47,25.34,27.03,27.78,25.91,23.53,21.78,20.19,17.62,15.22,14.44,15.19,15.09,14.31,13.59,13.78,13.19,11.5,10.78,12.0,13.91,14.78,15.53,17.25,19.38,19.69,19.28,19.72,21.31,21.94,21.19,21.22,22.28,22.59,20.56,18.28,17.41,16.53,14.59,13.19,13.66,15.53,16.09,16.0,16.53,17.94,17.94,16.72,15.62,16.09,16.19,15.16,14.09,14.97,16.41,15.97,15.0,14.75,15.09,14.0,12.06,11.47,12.72,14.19,14.72,15.72,17.97,20.47,21.19,21.62,23.41,25.59,25.53,25.06,25.41,26.62,26.56,25.16,24.75,25.41,25.34,23.78,22.59,22.66,22.25,20.09,18.06,17.56,17.72,16.78,15.78,15.5,16.62,17.16,16.78,16.94,18.81,20.5,20.44,20.59,22.19,24.16,24.25,24.72,26.66,29.28,30.62,30.69,30.81,31.59,30.69,28.69,27.03,26.53,25.59,23.34,20.84,20.47,21.34,21.59,22.53,25.09,29.19,31.5,32.41,32.91,33.62,32.91,29.97,27.59,27.59,27.94,27.25,26.31,26.56,26.59,24.59,21.88,20.5,20.41,19.84,18.09,17.31,18.06,18.12,17.16,16.44,17.88,20.06,21.03,21.88,24.09,26.47,27.09,26.78,27.12,29.19,30.06,30.28,31.22,33.84,36.41,37.47,38.56,40.94,43.25,43.19,41.84,41.28,40.31,37.69,34.31,32.06,31.09,29.34,26.75,24.69,24.25,24.19,23.53,23.34,25.31,27.62,28.34,27.12,26.38,25.91,24.38,22.06,21.22,22.62,23.19,22.59,21.31,21.53,20.84,18.81,16.34,15.91,16.16,15.31,14.19,14.47,16.06,16.62,16.41,16.5,17.56,17.78,16.34,14.84,14.97,14.97,13.88,12.69,13.34,14.72,14.84,14.84,15.72,17.91,19.72,20.69,22.5,25.69,28.19,28.59,28.25,29.38,30.06,29.38,28.06,28.34,29.28,28.88,27.91,27.81,28.62,28.03,25.88,23.88,23.28,22.56,20.81,19.31,19.56,20.12,19.56,18.22,18.31,19.22,19.59,19.25,20.5,23.12,25.41,26.12,26.97,28.94,30.56,30.38,29.78,30.38,30.53,28.91,26.06,24.44,23.69,22.62,20.75,20.09,21.34,21.91,21.09,21.31,22.56,23.94,23.78,23.38,24.44,25.69,25.84,25.03,25.12,26.03,26.47,25.72,26.03,27.72,28.69,27.91,27.0,27.34,27.59,26.44,24.78,25.44,26.78,27.22,26.75,27.56,29.0,29.38,28.19,27.16,27.56,27.44,25.97,24.22,24.81,25.69,24.84,23.66,23.88,24.25,23.66,21.41,20.34,20.75,21.0,20.06,19.34,20.0,19.81,17.31,14.69,14.09,14.44,14.53,14.72,16.69,19.44,20.88,20.78,21.62,23.69,25.38,25.12,25.16,26.75,27.62,26.34,24.38,23.97,23.94,22.69,21.25,21.5,23.28,25.25,26.59,29.44,34.16,38.66,41.31,43.09,45.0,45.09,41.34,35.59,30.34,25.22,19.59,13.94,10.53,9.53,9.22,8.94,11.09,15.84,21.44,25.78,30.25,35.53,40.41,42.97,43.69,44.44,44.66,42.34,37.78,33.91,30.78,27.81,23.81,20.59,19.75,19.34,17.34,15.56,15.59,16.59,16.78,17.34,19.41,22.25,23.84,23.97,24.41,26.69,28.59,29.0,29.62,30.69,31.31,29.81,27.22,26.06,25.0,22.88,20.28,19.75,20.47,20.91,20.22,19.66,20.53,21.19,20.0,19.44,20.28,21.09,20.09,18.94,19.06,19.5,19.41,18.44,18.5,19.34,19.28,17.09,15.25,14.62,14.16,12.81,12.62,14.91,18.38,20.53,21.97,24.38,26.62,28.06,28.34,29.28,30.84,31.09,29.28,27.34,26.97,26.5,24.59,22.69,21.62,20.75,18.31,15.5,14.12,14.59,14.81,14.59,15.81,19.06,22.0,23.62,25.0,27.38,28.78,27.94,26.31,25.78,26.09,25.72,25.09,25.84,27.34,27.34,25.28,23.59,22.81,22.19,20.91,20.03,20.69,21.84,21.78,21.28,21.75,22.78,22.38,20.47,19.59,19.75,19.72,18.5,18.53,19.62,20.88,20.03,19.06,19.16,19.22,17.62,15.5,14.59,14.94,14.12,12.31,11.88,12.75,13.56,13.31,14.12,16.41,19.12,20.41,21.5,23.94,26.22,26.28,25.06,24.22,24.0,23.19,21.66,21.25,22.75,23.78,23.12,22.75,23.69,24.91,24.31,23.94,24.75,26.06,26.09,25.69,26.06,27.91,28.69,28.97,29.59,31.47,32.81,31.91,30.75,30.69,30.94,29.75,28.31,28.09,28.47,27.19,25.19,23.66,23.91,23.81,23.09,23.72,26.25,28.84,29.81,30.38,31.81,33.03,32.22,30.91,30.75,31.56,31.84,31.25,31.44,33.0,33.44,32.72,32.41,33.28,34.03,33.41,32.41,32.81,33.53,32.62,31.0,30.59,31.41,31.75,31.38,32.41,35.28,37.41,37.81,37.75,38.44,38.72,37.19,34.94,33.88,33.09,30.66,27.53,25.59,25.16,24.5,22.91,22.19,23.31,24.03,23.56,23.38,25.09,27.12,28.06,27.97,28.88,29.56,28.75,27.66,27.16,27.97,28.41,27.5,26.19,25.69,24.31,21.59,18.25,16.62,15.69,13.75,12.25,12.38,14.12,15.94,17.28,19.12,21.47,22.94,22.28,21.25,21.69,22.53,22.75,22.94,25.09,27.31,27.78,27.03,26.5,26.84,25.69,23.28,21.22,20.53,19.56,17.5,15.62,16.16,17.06,16.94,16.81,18.12,19.72,20.19,20.41,21.25,23.25,24.19,23.53,23.09,23.41,23.16,21.88,20.0,19.66,19.31,18.03,16.22,15.78,16.28,16.12,15.34,15.12,16.59,17.59,17.03,16.94,18.06,18.56,17.38,15.91,15.81,15.81,15.22,14.19,14.59,16.0,16.47,15.78,15.28,15.97,15.66,14.09,12.44,12.16,11.88,10.41,9.09,9.0,9.62,9.25,8.44,8.75,10.06,10.72,10.09,9.78,10.72,11.22,10.34,9.53,10.09,10.53,9.38,7.78,7.47,7.25,6.41,4.56,4.09,5.0,5.47,5.03,5.22,7.22,8.94,9.41,9.72,11.06,12.34,11.75,10.53,10.34,10.12,9.12,6.84,5.12,5.09,4.5,3.56,3.41,5.91,9.31,11.56,13.44,16.44,18.94,19.25,18.28,18.16,18.56,18.03,16.88,16.53,17.62,18.34,18.0,17.38,18.19,18.66,17.72,16.19,16.31,16.41,15.28,12.62,11.12,10.62,9.66,7.94,7.69,8.81,10.0,9.84,9.75,11.03,12.75,13.34,12.75,14.03,15.34,14.84,13.5,12.94,13.81,14.19,13.84,14.34,16.88,19.06,24.03,22.78,21.31,20.34,20.12,20.41,21.22,22.69,24.19,25.84,26.56,26.88,26.75,26.41:3.72,1.81,1.66,2.38,2.0,1.09,1.03,1.97,1.88,0.59,0.38,1.66,2.94,2.84,2.69,3.44,3.72,2.94,1.66,1.75,3.56,4.16,4.41,6.03,9.12,11.5,12.31,13.06,14.59,14.75,13.19,11.09,10.53,10.66,9.91,9.34,11.0,14.53,17.25,19.0,21.25,23.81,24.38,22.81,20.31,18.38,15.56,11.34,7.44,5.75,5.72,4.91,4.19,4.62,5.91,6.22,5.62,5.91,7.97,9.28,9.84,10.28,12.5,14.47,15.28,15.53,16.66,17.38,16.09,12.38,9.0,6.62,3.62,0.78,-0.22,1.81,4.69,6.72,8.72,12.25,15.47,16.62,16.78,17.31,17.53,15.84,12.47,9.5,7.19,4.88,1.5,-1.31,-1.62,-1.94,-3.06,-3.88,-2.97,-1.88,-1.56,-1.56,-0.28,1.97,3.19,3.41,3.84,5.41,6.56,6.69,6.88,8.66,9.72,8.31,5.84,4.34,3.19,0.91,-1.12,-1.47,-0.28,1.41,2.41,5.25,10.5,15.88,19.56,22.5,25.5,26.47,23.56,18.34,13.28,7.94,1.5,-4.97,-8.75,-10.09,-10.22,-10.5,-8.97,-6.0,-3.38,-2.28,-1.25,1.41,4.5,6.38,7.53,9.78,12.69,14.44,15.72,18.19,21.62,24.81,25.97,26.69,27.72,27.09,24.0,19.75,16.62,13.75,10.25,6.28,4.19,3.91,3.38,2.44,3.09,5.19,7.25,7.88,8.94,11.88,14.97,16.59,17.69,19.94,22.03,22.78,21.44,20.47,19.53,17.12,13.16,9.97,8.47,7.22,5.06,2.94,2.53,1.78,-0.03,-2.06,-2.28,-1.66,-1.16,-1.09,-0.12,1.41,2.25,1.53,0.97,1.44,2.34,2.19,2.31,4.34,7.38,9.34,10.62,13.0,15.22,15.97,15.22,14.78,15.5,16.28,16.16,17.06,19.53,21.97,22.75,22.78,24.0,25.62,25.88,25.34,26.0,27.06,27.31,26.72,26.62,27.72,28.47,27.25,25.75,25.47,24.78,22.25,19.72,18.5,18.28,17.38,16.16,15.94,16.34,16.19,14.53,13.31,12.75,12.0,9.72,7.12,5.97,6.0,5.53,5.47,7.44,10.06,11.44,11.47,12.47,13.88,15.38,16.03,18.12,21.62,25.34,27.66,29.34,31.38,33.69,34.0,33.34,33.34,34.28,34.09,32.16,30.72,29.75,28.16,25.06,22.19,21.16,20.72,19.66,19.5,21.59,25.25,27.5,29.28,31.12,32.59,32.03,29.44,26.66,24.94,23.38,20.91,19.72,20.47,21.22,20.22,18.56,17.56,17.09,15.41,13.47,13.12,13.97,15.0,15.25,16.56,19.22,21.25,21.81,22.0,23.16,24.62,24.5,23.44,23.34,23.59,22.47,20.81,20.84,22.28,23.88,24.47,25.34,27.03,27.78,25.91,23.53,21.78,20.19,17.62,15.22,14.44,15.19,15.09,14.31,13.59,13.78,13.19,11.5,10.78,12.0,13.91,14.78,15.53,17.25,19.38,19.69,19.28,19.72,21.31,21.94,21.19,21.22,22.28,22.59,20.56,18.28,17.41,16.53,14.59,13.19,13.66,15.53,16.09,16.0,16.53,17.94,17.94,16.72,15.62,16.09,16.19,15.16,14.09,14.97,16.41,15.97,15.0,14.75,15.09,14.0,12.06,11.47,12.72,14.19,14.72,15.72,17.97,20.47,21.19,21.62,23.41,25.59,25.53,25.06,25.41,26.62,26.56,25.16,24.75,25.41,25.34,23.78,22.59,22.66,22.25,20.09,18.06,17.56,17.72,16.78,15.78,15.5,16.62,17.16,16.78,16.94,18.81,20.5,20.44,20.59,22.19,24.16,24.25,24.72,26.66,29.28,30.62,30.69,30.81,31.59,30.69,28.69,27.03,26.53,25.59,23.34,20.84,20.47,21.34,21.59,22.53,25.09,29.19,31.5,32.41,32.91,33.62,32.91,29.97,27.59,27.59,27.94,27.25,26.31,26.56,26.59,24.59,21.88,20.5,20.41,19.84,18.09,17.31,18.06,18.12,17.16,16.44,17.88,20.06,21.03,21.88,24.09,26.47,27.09,26.78,27.12,29.19,30.06,30.28,31.22,33.84,36.41,37.47,38.56,40.94,43.25,43.19,41.84,41.28,40.31,37.69,34.31,32.06,31.09,29.34,26.75,24.69,24.25,24.19,23.53,23.34,25.31,27.62,28.34,27.12,26.38,25.91,24.38,22.06,21.22,22.62,23.19,22.59,21.31,21.53,20.84,18.81,16.34,15.91,16.16,15.31,14.19,14.47,16.06,16.62,16.41,16.5,17.56,17.78,16.34,14.84,14.97,14.97,13.88,12.69,13.34,14.72,14.84,14.84,15.72,17.91,19.72,20.69,22.5,25.69,28.19,28.59,28.25,29.38,30.06,29.38,28.06,28.34,29.28,28.88,27.91,27.81,28.62,28.03,25.88,23.88,23.28,22.56,20.81,19.31,19.56,20.12,19.56,18.22,18.31,19.22,19.59,19.25,20.5,23.12,25.41,26.12,26.97,28.94,30.56,30.38,29.78,30.38,30.53,28.91,26.06,24.44,23.69,22.62,20.75,20.09,21.34,21.91,21.09,21.31,22.56,23.94,23.78,23.38,24.44,25.69,25.84,25.03,25.12,26.03,26.47,25.72,26.03,27.72,28.69,27.91,27.0,27.34,27.59,26.44,24.78,25.44,26.78,27.22,26.75,27.56,29.0,29.38,28.19,27.16,27.56,27.44,25.97,24.22,24.81,25.69,24.84,23.66,23.88,24.25,23.66,21.41,20.34,20.75,21.0,20.06,19.34,20.0,19.81,17.31,14.69,14.09,14.44,14.53,14.72,16.69,19.44,20.88,20.78,21.62,23.69,25.38,25.12,25.16,26.75,27.62,26.34,24.38,23.97,23.94,22.69,21.25,21.5,23.28,25.25,26.59,29.44,34.16,38.66,41.31,43.09,45.0,45.09,41.34,35.59,30.34,25.22,19.59,13.94,10.53,9.53,9.22,8.94,11.09,15.84,21.44,25.78,30.25,35.53,40.41,42.97,43.69,44.44,44.66,42.34,37.78,33.91,30.78,27.81,23.81,20.59,19.75,19.34,17.34,15.56,15.59,16.59,16.78,17.34,19.41,22.25,23.84,23.97,24.41,26.69,28.59,29.0,29.62,30.69,31.31,29.81,27.22,26.06,25.0,22.88,20.28,19.75,20.47,20.91,20.22,19.66,20.53,21.19,20.0,19.44,20.28,21.09,20.09,18.94,19.06,19.5,19.41,18.44,18.5,19.34,19.28,17.09,15.25,14.62,14.16,12.81,12.62,14.91,18.38,20.53,21.97,24.38,26.62,28.06,28.34,29.28,30.84,31.09,29.28,27.34,26.97,26.5,24.59,22.69,21.62,20.75,18.31,15.5,14.12,14.59,14.81,14.59,15.81,19.06,22.0,23.62,25.0,27.38,28.78,27.94,26.31,25.78,26.09,25.72,25.09,25.84,27.34,27.34,25.28,23.59,22.81,22.19,20.91,20.03,20.69,21.84,21.78,21.28,21.75,22.78,22.38,20.47,19.59,19.75,19.72,18.5,18.53,19.62,20.88,20.03,19.06,19.16,19.22,17.62,15.5,14.59,14.94,14.12,12.31,11.88,12.75,13.56,13.31,14.12,16.41,19.12,20.41,21.5,23.94,26.22,26.28,25.06,24.22,24.0,23.19,21.66,21.25,22.75,23.78,23.12,22.75,23.69,24.91,24.31,23.94,24.75,26.06,26.09,25.69,26.06,27.91,28.69,28.97,29.59,31.47,32.81,31.91,30.75,30.69,30.94,29.75,28.31,28.09,28.47,27.19,25.19,23.66,23.91,23.81,23.09,23.72,26.25,28.84,29.81,30.38,31.81,33.03,32.22,30.91,30.75,31.56,31.84,31.25,31.44,33.0,33.44,32.72,32.41,33.28,34.03,33.41,32.41,32.81,33.53,32.62,31.0,30.59,31.41,31.75,31.38,32.41,35.28,37.41,37.81,37.75,38.44,38.72,37.19,34.94,33.88,33.09,30.66,27.53,25.59,25.16,24.5,22.91,22.19,23.31,24.03,23.56,23.38,25.09,27.12,28.06,27.97,28.88,29.56,28.75,27.66,27.16,27.97,28.41,27.5,26.19,25.69,24.31,21.59,18.25,16.62,15.69,13.75,12.25,12.38,14.12,15.94,17.28,19.12,21.47,22.94,22.28,21.25,21.69,22.53,22.75,22.94,25.09,27.31,27.78,27.03,26.5,26.84,25.69,23.28,21.22,20.53,19.56,17.5,15.62,16.16,17.06,16.94,16.81,18.12,19.72,20.19,20.41,21.25,23.25,24.19,23.53,23.09,23.41,23.16,21.88,20.0,19.66,19.31,18.03,16.22,15.78,16.28,16.12,15.34,15.12,16.59,17.59,17.03,16.94,18.06,18.56,17.38,15.91,15.81,15.81,15.22,14.19,14.59,16.0,16.47,15.78,15.28,15.97,15.66,14.09,12.44,12.16,11.88,10.41,9.09,9.0,9.62,9.25,8.44,8.75,10.06,10.72,10.09,9.78,10.72,11.22,10.34,9.53,10.09,10.53,9.38,7.78,7.47,7.25,6.41,4.56,4.09,5.0,5.47,5.03,5.22,7.22,8.94,9.41,9.72,11.06,12.34,11.75,10.53,10.34,10.12,9.12,6.84,5.12,5.09,4.5,3.56,3.41,5.91,9.31,11.56,13.44,16.44,18.94,19.25,18.28,18.16,18.56,18.03,16.88,16.53,17.62,18.34,18.0,17.38,18.19,18.66,17.72,16.19,16.31,16.41,15.28,12.62,11.12,10.62,9.66,7.94,7.69,8.81,10.0,9.84,9.75,11.03,12.75,13.34,12.75,14.03,15.34,14.84,13.5,12.94,13.81,14.19,13.84,14.34,16.88,19.06,24.03,22.78,21.31,20.34,20.12,20.41,21.22,22.69,24.19,25.84,26.56,26.88,26.75,26.41,25.16,23.78,22.69,21.91,21.06,20.0,19.44:1.97,1.88,0.59,0.38,1.66,2.94,2.84,2.69,3.44,3.72,2.94,1.66,1.75,3.56,4.16,4.41,6.03,9.12,11.5,12.31,13.06,14.59,14.75,13.19,11.09,10.53,10.66,9.91,9.34,11.0,14.53,17.25,19.0,21.25,23.81,24.38,22.81,20.31,18.38,15.56,11.34,7.44,5.75,5.72,4.91,4.19,4.62,5.91,6.22,5.62,5.91,7.97,9.28,9.84,10.28,12.5,14.47,15.28,15.53,16.66,17.38,16.09,12.38,9.0,6.62,3.62,0.78,-0.22,1.81,4.69,6.72,8.72,12.25,15.47,16.62,16.78,17.31,17.53,15.84,12.47,9.5,7.19,4.88,1.5,-1.31,-1.62,-1.94,-3.06,-3.88,-2.97,-1.88,-1.56,-1.56,-0.28,1.97,3.19,3.41,3.84,5.41,6.56,6.69,6.88,8.66,9.72,8.31,5.84,4.34,3.19,0.91,-1.12,-1.47,-0.28,1.41,2.41,5.25,10.5,15.88,19.56,22.5,25.5,26.47,23.56,18.34,13.28,7.94,1.5,-4.97,-8.75,-10.09,-10.22,-10.5,-8.97,-6.0,-3.38,-2.28,-1.25,1.41,4.5,6.38,7.53,9.78,12.69,14.44,15.72,18.19,21.62,24.81,25.97,26.69,27.72,27.09,24.0,19.75,16.62,13.75,10.25,6.28,4.19,3.91,3.38,2.44,3.09,5.19,7.25,7.88,8.94,11.88,14.97,16.59,17.69,19.94,22.03,22.78,21.44,20.47,19.53,17.12,13.16,9.97,8.47,7.22,5.06,2.94,2.53,1.78,-0.03,-2.06,-2.28,-1.66,-1.16,-1.09,-0.12,1.41,2.25,1.53,0.97,1.44,2.34,2.19,2.31,4.34,7.38,9.34,10.62,13.0,15.22,15.97,15.22,14.78,15.5,16.28,16.16,17.06,19.53,21.97,22.75,22.78,24.0,25.62,25.88,25.34,26.0,27.06,27.31,26.72,26.62,27.72,28.47,27.25,25.75,25.47,24.78,22.25,19.72,18.5,18.28,17.38,16.16,15.94,16.34,16.19,14.53,13.31,12.75,12.0,9.72,7.12,5.97,6.0,5.53,5.47,7.44,10.06,11.44,11.47,12.47,13.88,15.38,16.03,18.12,21.62,25.34,27.66,29.34,31.38,33.69,34.0,33.34,33.34,34.28,34.09,32.16,30.72,29.75,28.16,25.06,22.19,21.16,20.72,19.66,19.5,21.59,25.25,27.5,29.28,31.12,32.59,32.03,29.44,26.66,24.94,23.38,20.91,19.72,20.47,21.22,20.22,18.56,17.56,17.09,15.41,13.47,13.12,13.97,15.0,15.25,16.56,19.22,21.25,21.81,22.0,23.16,24.62,24.5,23.44,23.34,23.59,22.47,20.81,20.84,22.28,23.88,24.47,25.34,27.03,27.78,25.91,23.53,21.78,20.19,17.62,15.22,14.44,15.19,15.09,14.31,13.59,13.78,13.19,11.5,10.78,12.0,13.91,14.78,15.53,17.25,19.38,19.69,19.28,19.72,21.31,21.94,21.19,21.22,22.28,22.59,20.56,18.28,17.41,16.53,14.59,13.19,13.66,15.53,16.09,16.0,16.53,17.94,17.94,16.72,15.62,16.09,16.19,15.16,14.09,14.97,16.41,15.97,15.0,14.75,15.09,14.0,12.06,11.47,12.72,14.19,14.72,15.72,17.97,20.47,21.19,21.62,23.41,25.59,25.53,25.06,25.41,26.62,26.56,25.16,24.75,25.41,25.34,23.78,22.59,22.66,22.25,20.09,18.06,17.56,17.72,16.78,15.78,15.5,16.62,17.16,16.78,16.94,18.81,20.5,20.44,20.59,22.19,24.16,24.25,24.72,26.66,29.28,30.62,30.69,30.81,31.59,30.69,28.69,27.03,26.53,25.59,23.34,20.84,20.47,21.34,21.59,22.53,25.09,29.19,31.5,32.41,32.91,33.62,32.91,29.97,27.59,27.59,27.94,27.25,26.31,26.56,26.59,24.59,21.88,20.5,20.41,19.84,18.09,17.31,18.06,18.12,17.16,16.44,17.88,20.06,21.03,21.88,24.09,26.47,27.09,26.78,27.12,29.19,30.06,30.28,31.22,33.84,36.41,37.47,38.56,40.94,43.25,43.19,41.84,41.28,40.31,37.69,34.31,32.06,31.09,29.34,26.75,24.69,24.25,24.19,23.53,23.34,25.31,27.62,28.34,27.12,26.38,25.91,24.38,22.06,21.22,22.62,23.19,22.59,21.31,21.53,20.84,18.81,16.34,15.91,16.16,15.31,14.19,14.47,16.06,16.62,16.41,16.5,17.56,17.78,16.34,14.84,14.97,14.97,13.88,12.69,13.34,14.72,14.84,14.84,15.72,17.91,19.72,20.69,22.5,25.69,28.19,28.59,28.25,29.38,30.06,29.38,28.06,28.34,29.28,28.88,27.91,27.81,28.62,28.03,25.88,23.88,23.28,22.56,20.81,19.31,19.56,20.12,19.56,18.22,18.31,19.22,19.59,19.25,20.5,23.12,25.41,26.12,26.97,28.94,30.56,30.38,29.78,30.38,30.53,28.91,26.06,24.44,23.69,22.62,20.75,20.09,21.34,21.91,21.09,21.31,22.56,23.94,23.78,23.38,24.44,25.69,25.84,25.03,25.12,26.03,26.47,25.72,26.03,27.72,28.69,27.91,27.0,27.34,27.59,26.44,24.78,25.44,26.78,27.22,26.75,27.56,29.0,29.38,28.19,27.16,27.56,27.44,25.97,24.22,24.81,25.69,24.84,23.66,23.88,24.25,23.66,21.41,20.34,20.75,21.0,20.06,19.34,20.0,19.81,17.31,14.69,14.09,14.44,14.53,14.72,16.69,19.44,20.88,20.78,21.62,23.69,25.38,25.12,25.16,26.75,27.62,26.34,24.38,23.97,23.94,22.69,21.25,21.5,23.28,25.25,26.59,29.44,34.16,38.66,41.31,43.09,45.0,45.09,41.34,35.59,30.34,25.22,19.59,13.94,10.53,9.53,9.22,8.94,11.09,15.84,21.44,25.78,30.25,35.53,40.41,42.97,43.69,44.44,44.66,42.34,37.78,33.91,30.78,27.81,23.81,20.59,19.75,19.34,17.34,15.56,15.59,16.59,16.78,17.34,19.41,22.25,23.84,23.97,24.41,26.69,28.59,29.0,29.62,30.69,31.31,29.81,27.22,26.06,25.0,22.88,20.28,19.75,20.47,20.91,20.22,19.66,20.53,21.19,20.0,19.44,20.28,21.09,20.09,18.94,19.06,19.5,19.41,18.44,18.5,19.34,19.28,17.09,15.25,14.62,14.16,12.81,12.62,14.91,18.38,20.53,21.97,24.38,26.62,28.06,28.34,29.28,30.84,31.09,29.28,27.34,26.97,26.5,24.59,22.69,21.62,20.75,18.31,15.5,14.12,14.59,14.81,14.59,15.81,19.06,22.0,23.62,25.0,27.38,28.78,27.94,26.31,25.78,26.09,25.72,25.09,25.84,27.34,27.34,25.28,23.59,22.81,22.19,20.91,20.03,20.69,21.84,21.78,21.28,21.75,22.78,22.38,20.47,19.59,19.75,19.72,18.5,18.53,19.62,20.88,20.03,19.06,19.16,19.22,17.62,15.5,14.59,14.94,14.12,12.31,11.88,12.75,13.56,13.31,14.12,16.41,19.12,20.41,21.5,23.94,26.22,26.28,25.06,24.22,24.0,23.19,21.66,21.25,22.75,23.78,23.12,22.75,23.69,24.91,24.31,23.94,24.75,26.06,26.09,25.69,26.06,27.91,28.69,28.97,29.59,31.47,32.81,31.91,30.75,30.69,30.94,29.75,28.31,28.09,28.47,27.19,25.19,23.66,23.91,23.81,23.09,23.72,26.25,28.84,29.81,30.38,31.81,33.03,32.22,30.91,30.75,31.56,31.84,31.25,31.44,33.0,33.44,32.72,32.41,33.28,34.03,33.41,32.41,32.81,33.53,32.62,31.0,30.59,31.41,31.75,31.38,32.41,35.28,37.41,37.81,37.75,38.44,38.72,37.19,34.94,33.88,33.09,30.66,27.53,25.59,25.16,24.5,22.91,22.19,23.31,24.03,23.56,23.38,25.09,27.12,28.06,27.97,28.88,29.56,28.75,27.66,27.16,27.97,28.41,27.5,26.19,25.69,24.31,21.59,18.25,16.62,15.69,13.75,12.25,12.38,14.12,15.94,17.28,19.12,21.47,22.94,22.28,21.25,21.69,22.53,22.75,22.94,25.09,27.31,27.78,27.03,26.5,26.84,25.69,23.28,21.22,20.53,19.56,17.5,15.62,16.16,17.06,16.94,16.81,18.12,19.72,20.19,20.41,21.25,23.25,24.19,23.53,23.09,23.41,23.16,21.88,20.0,19.66,19.31,18.03,16.22,15.78,16.28,16.12,15.34,15.12,16.59,17.59,17.03,16.94,18.06,18.56,17.38,15.91,15.81,15.81,15.22,14.19,14.59,16.0,16.47,15.78,15.28,15.97,15.66,14.09,12.44,12.16,11.88,10.41,9.09,9.0,9.62,9.25,8.44,8.75,10.06,10.72,10.09,9.78,10.72,11.22,10.34,9.53,10.09,10.53,9.38,7.78,7.47,7.25,6.41,4.56,4.09,5.0,5.47,5.03,5.22,7.22,8.94,9.41,9.72,11.06,12.34,11.75,10.53,10.34,10.12,9.12,6.84,5.12,5.09,4.5,3.56,3.41,5.91,9.31,11.56,13.44,16.44,18.94,19.25,18.28,18.16,18.56,18.03,16.88,16.53,17.62,18.34,18.0,17.38,18.19,18.66,17.72,16.19,16.31,16.41,15.28,12.62,11.12,10.62,9.66,7.94,7.69,8.81,10.0,9.84,9.75,11.03,12.75,13.34,12.75,14.03,15.34,14.84,13.5,12.94,13.81,14.19,13.84,14.34,16.88,19.06,24.03,22.78,21.31,20.34,20.12,20.41,21.22,22.69,24.19,25.84,26.56,26.88,26.75,26.41,25.16,23.78,22.69,21.91,21.06,20.0,19.44,18.91,18.53,17.69,17.12,16.72,16.22,15.44:2.69,3.44,3.72,2.94,1.66,1.75,3.56,4.16,4.41,6.03,9.12,11.5,12.31,13.06,14.59,14.75,13.19,11.09,10.53,10.66,9.91,9.34,11.0,14.53,17.25,19.0,21.25,23.81,24.38,22.81,20.31,18.38,15.56,11.34,7.44,5.75,5.72,4.91,4.19,4.62,5.91,6.22,5.62,5.91,7.97,9.28,9.84,10.28,12.5,14.47,15.28,15.53,16.66,17.38,16.09,12.38,9.0,6.62,3.62,0.78,-0.22,1.81,4.69,6.72,8.72,12.25,15.47,16.62,16.78,17.31,17.53,15.84,12.47,9.5,7.19,4.88,1.5,-1.31,-1.62,-1.94,-3.06,-3.88,-2.97,-1.88,-1.56,-1.56,-0.28,1.97,3.19,3.41,3.84,5.41,6.56,6.69,6.88,8.66,9.72,8.31,5.84,4.34,3.19,0.91,-1.12,-1.47,-0.28,1.41,2.41,5.25,10.5,15.88,19.56,22.5,25.5,26.47,23.56,18.34,13.28,7.94,1.5,-4.97,-8.75,-10.09,-10.22,-10.5,-8.97,-6.0,-3.38,-2.28,-1.25,1.41,4.5,6.38,7.53,9.78,12.69,14.44,15.72,18.19,21.62,24.81,25.97,26.69,27.72,27.09,24.0,19.75,16.62,13.75,10.25,6.28,4.19,3.91,3.38,2.44,3.09,5.19,7.25,7.88,8.94,11.88,14.97,16.59,17.69,19.94,22.03,22.78,21.44,20.47,19.53,17.12,13.16,9.97,8.47,7.22,5.06,2.94,2.53,1.78,-0.03,-2.06,-2.28,-1.66,-1.16,-1.09,-0.12,1.41,2.25,1.53,0.97,1.44,2.34,2.19,2.31,4.34,7.38,9.34,10.62,13.0,15.22,15.97,15.22,14.78,15.5,16.28,16.16,17.06,19.53,21.97,22.75,22.78,24.0,25.62,25.88,25.34,26.0,27.06,27.31,26.72,26.62,27.72,28.47,27.25,25.75,25.47,24.78,22.25,19.72,18.5,18.28,17.38,16.16,15.94,16.34,16.19,14.53,13.31,12.75,12.0,9.72,7.12,5.97,6.0,5.53,5.47,7.44,10.06,11.44,11.47,12.47,13.88,15.38,16.03,18.12,21.62,25.34,27.66,29.34,31.38,33.69,34.0,33.34,33.34,34.28,34.09,32.16,30.72,29.75,28.16,25.06,22.19,21.16,20.72,19.66,19.5,21.59,25.25,27.5,29.28,31.12,32.59,32.03,29.44,26.66,24.94,23.38,20.91,19.72,20.47,21.22,20.22,18.56,17.56,17.09,15.41,13.47,13.12,13.97,15.0,15.25,16.56,19.22,21.25,21.81,22.0,23.16,24.62,24.5,23.44,23.34,23.59,22.47,20.81,20.84,22.28,23.88,24.47,25.34,27.03,27.78,25.91,23.53,21.78,20.19,17.62,15.22,14.44,15.19,15.09,14.31,13.59,13.78,13.19,11.5,10.78,12.0,13.91,14.78,15.53,17.25,19.38,19.69,19.28,19.72,21.31,21.94,21.19,21.22,22.28,22.59,20.56,18.28,17.41,16.53,14.59,13.19,13.66,15.53,16.09,16.0,16.53,17.94,17.94,16.72,15.62,16.09,16.19,15.16,14.09,14.97,16.41,15.97,15.0,14.75,15.09,14.0,12.06,11.47,12.72,14.19,14.72,15.72,17.97,20.47,21.19,21.62,23.41,25.59,25.53,25.06,25.41,26.62,26.56,25.16,24.75,25.41,25.34,23.78,22.59,22.66,22.25,20.09,18.06,17.56,17.72,16.78,15.78,15.5,16.62,17.16,16.78,16.94,18.81,20.5,20.44,20.59,22.19,24.16,24.25,24.72,26.66,29.28,30.62,30.69,30.81,31.59,30.69,28.69,27.03,26.53,25.59,23.34,20.84,20.47,21.34,21.59,22.53,25.09,29.19,31.5,32.41,32.91,33.62,32.91,29.97,27.59,27.59,27.94,27.25,26.31,26.56,26.59,24.59,21.88,20.5,20.41,19.84,18.09,17.31,18.06,18.12,17.16,16.44,17.88,20.06,21.03,21.88,24.09,26.47,27.09,26.78,27.12,29.19,30.06,30.28,31.22,33.84,36.41,37.47,38.56,40.94,43.25,43.19,41.84,41.28,40.31,37.69,34.31,32.06,31.09,29.34,26.75,24.69,24.25,24.19,23.53,23.34,25.31,27.62,28.34,27.12,26.38,25.91,24.38,22.06,21.22,22.62,23.19,22.59,21.31,21.53,20.84,18.81,16.34,15.91,16.16,15.31,14.19,14.47,16.06,16.62,16.41,16.5,17.56,17.78,16.34,14.84,14.97,14.97,13.88,12.69,13.34,14.72,14.84,14.84,15.72,17.91,19.72,20.69,22.5,25.69,28.19,28.59,28.25,29.38,30.06,29.38,28.06,28.34,29.28,28.88,27.91,27.81,28.62,28.03,25.88,23.88,23.28,22.56,20.81,19.31,19.56,20.12,19.56,18.22,18.31,19.22,19.59,19.25,20.5,23.12,25.41,26.12,26.97,28.94,30.56,30.38,29.78,30.38,30.53,28.91,26.06,24.44,23.69,22.62,20.75,20.09,21.34,21.91,21.09,21.31,22.56,23.94,23.78,23.38,24.44,25.69,25.84,25.03,25.12,26.03,26.47,25.72,26.03,27.72,28.69,27.91,27.0,27.34,27.59,26.44,24.78,25.44,26.78,27.22,26.75,27.56,29.0,29.38,28.19,27.16,27.56,27.44,25.97,24.22,24.81,25.69,24.84,23.66,23.88,24.25,23.66,21.41,20.34,20.75,21.0,20.06,19.34,20.0,19.81,17.31,14.69,14.09,14.44,14.53,14.72,16.69,19.44,20.88,20.78,21.62,23.69,25.38,25.12,25.16,26.75,27.62,26.34,24.38,23.97,23.94,22.69,21.25,21.5,23.28,25.25,26.59,29.44,34.16,38.66,41.31,43.09,45.0,45.09,41.34,35.59,30.34,25.22,19.59,13.94,10.53,9.53,9.22,8.94,11.09,15.84,21.44,25.78,30.25,35.53,40.41,42.97,43.69,44.44,44.66,42.34,37.78,33.91,30.78,27.81,23.81,20.59,19.75,19.34,17.34,15.56,15.59,16.59,16.78,17.34,19.41,22.25,23.84,23.97,24.41,26.69,28.59,29.0,29.62,30.69,31.31,29.81,27.22,26.06,25.0,22.88,20.28,19.75,20.47,20.91,20.22,19.66,20.53,21.19,20.0,19.44,20.28,21.09,20.09,18.94,19.06,19.5,19.41,18.44,18.5,19.34,19.28,17.09,15.25,14.62,14.16,12.81,12.62,14.91,18.38,20.53,21.97,24.38,26.62,28.06,28.34,29.28,30.84,31.09,29.28,27.34,26.97,26.5,24.59,22.69,21.62,20.75,18.31,15.5,14.12,14.59,14.81,14.59,15.81,19.06,22.0,23.62,25.0,27.38,28.78,27.94,26.31,25.78,26.09,25.72,25.09,25.84,27.34,27.34,25.28,23.59,22.81,22.19,20.91,20.03,20.69,21.84,21.78,21.28,21.75,22.78,22.38,20.47,19.59,19.75,19.72,18.5,18.53,19.62,20.88,20.03,19.06,19.16,19.22,17.62,15.5,14.59,14.94,14.12,12.31,11.88,12.75,13.56,13.31,14.12,16.41,19.12,20.41,21.5,23.94,26.22,26.28,25.06,24.22,24.0,23.19,21.66,21.25,22.75,23.78,23.12,22.75,23.69,24.91,24.31,23.94,24.75,26.06,26.09,25.69,26.06,27.91,28.69,28.97,29.59,31.47,32.81,31.91,30.75,30.69,30.94,29.75,28.31,28.09,28.47,27.19,25.19,23.66,23.91,23.81,23.09,23.72,26.25,28.84,29.81,30.38,31.81,33.03,32.22,30.91,30.75,31.56,31.84,31.25,31.44,33.0,33.44,32.72,32.41,33.28,34.03,33.41,32.41,32.81,33.53,32.62,31.0,30.59,31.41,31.75,31.38,32.41,35.28,37.41,37.81,37.75,38.44,38.72,37.19,34.94,33.88,33.09,30.66,27.53,25.59,25.16,24.5,22.91,22.19,23.31,24.03,23.56,23.38,25.09,27.12,28.06,27.97,28.88,29.56,28.75,27.66,27.16,27.97,28.41,27.5,26.19,25.69,24.31,21.59,18.25,16.62,15.69,13.75,12.25,12.38,14.12,15.94,17.28,19.12,21.47,22.94,22.28,21.25,21.69,22.53,22.75,22.94,25.09,27.31,27.78,27.03,26.5,26.84,25.69,23.28,21.22,20.53,19.56,17.5,15.62,16.16,17.06,16.94,16.81,18.12,19.72,20.19,20.41,21.25,23.25,24.19,23.53,23.09,23.41,23.16,21.88,20.0,19.66,19.31,18.03,16.22,15.78,16.28,16.12,15.34,15.12,16.59,17.59,17.03,16.94,18.06,18.56,17.38,15.91,15.81,15.81,15.22,14.19,14.59,16.0,16.47,15.78,15.28,15.97,15.66,14.09,12.44,12.16,11.88,10.41,9.09,9.0,9.62,9.25,8.44,8.75,10.06,10.72,10.09,9.78,10.72,11.22,10.34,9.53,10.09,10.53,9.38,7.78,7.47,7.25,6.41,4.56,4.09,5.0,5.47,5.03,5.22,7.22,8.94,9.41,9.72,11.06,12.34,11.75,10.53,10.34,10.12,9.12,6.84,5.12,5.09,4.5,3.56,3.41,5.91,9.31,11.56,13.44,16.44,18.94,19.25,18.28,18.16,18.56,18.03,16.88,16.53,17.62,18.34,18.0,17.38,18.19,18.66,17.72,16.19,16.31,16.41,15.28,12.62,11.12,10.62,9.66,7.94,7.69,8.81,10.0,9.84,9.75,11.03,12.75,13.34,12.75,14.03,15.34,14.84,13.5,12.94,13.81,14.19,13.84,14.34,16.88,19.06,24.03,22.78,21.31,20.34,20.12,20.41,21.22,22.69,24.19,25.84,26.56,26.88,26.75,26.41,25.16,23.78,22.69,21.91,21.06,20.0,19.44,18.91,18.53,17.69,17.12,16.72,16.22,15.44,14.62,14.16,14.0,13.91,14.16,14.69,15.5:4.16,4.41,6.03,9.12,11.5,12.31,13.06,14.59,14.75,13.19,11.09,10.53,10.66,9.91,9.34,11.0,14.53,17.25,19.0,21.25,23.81,24.38,22.81,20.31,18.38,15.56,11.34,7.44,5.75,5.72,4.91,4.19,4.62,5.91,6.22,5.62,5.91,7.97,9.28,9.84,10.28,12.5,14.47,15.28,15.53,16.66,17.38,16.09,12.38,9.0,6.62,3.62,0.78,-0.22,1.81,4.69,6.72,8.72,12.25,15.47,16.62,16.78,17.31,17.53,15.84,12.47,9.5,7.19,4.88,1.5,-1.31,-1.62,-1.94,-3.06,-3.88,-2.97,-1.88,-1.56,-1.56,-0.28,1.97,3.19,3.41,3.84,5.41,6.56,6.69,6.88,8.66,9.72,8.31,5.84,4.34,3.19,0.91,-1.12,-1.47,-0.28,1.41,2.41,5.25,10.5,15.88,19.56,22.5,25.5,26.47,23.56,18.34,13.28,7.94,1.5,-4.97,-8.75,-10.09,-10.22,-10.5,-8.97,-6.0,-3.38,-2.28,-1.25,1.41,4.5,6.38,7.53,9.78,12.69,14.44,15.72,18.19,21.62,24.81,25.97,26.69,27.72,27.09,24.0,19.75,16.62,13.75,10.25,6.28,4.19,3.91,3.38,2.44,3.09,5.19,7.25,7.88,8.94,11.88,14.97,16.59,17.69,19.94,22.03,22.78,21.44,20.47,19.53,17.12,13.16,9.97,8.47,7.22,5.06,2.94,2.53,1.78,-0.03,-2.06,-2.28,-1.66,-1.16,-1.09,-0.12,1.41,2.25,1.53,0.97,1.44,2.34,2.19,2.31,4.34,7.38,9.34,10.62,13.0,15.22,15.97,15.22,14.78,15.5,16.28,16.16,17.06,19.53,21.97,22.75,22.78,24.0,25.62,25.88,25.34,26.0,27.06,27.31,26.72,26.62,27.72,28.47,27.25,25.75,25.47,24.78,22.25,19.72,18.5,18.28,17.38,16.16,15.94,16.34,16.19,14.53,13.31,12.75,12.0,9.72,7.12,5.97,6.0,5.53,5.47,7.44,10.06,11.44,11.47,12.47,13.88,15.38,16.03,18.12,21.62,25.34,27.66,29.34,31.38,33.69,34.0,33.34,33.34,34.28,34.09,32.16,30.72,29.75,28.16,25.06,22.19,21.16,20.72,19.66,19.5,21.59,25.25,27.5,29.28,31.12,32.59,32.03,29.44,26.66,24.94,23.38,20.91,19.72,20.47,21.22,20.22,18.56,17.56,17.09,15.41,13.47,13.12,13.97,15.0,15.25,16.56,19.22,21.25,21.81,22.0,23.16,24.62,24.5,23.44,23.34,23.59,22.47,20.81,20.84,22.28,23.88,24.47,25.34,27.03,27.78,25.91,23.53,21.78,20.19,17.62,15.22,14.44,15.19,15.09,14.31,13.59,13.78,13.19,11.5,10.78,12.0,13.91,14.78,15.53,17.25,19.38,19.69,19.28,19.72,21.31,21.94,21.19,21.22,22.28,22.59,20.56,18.28,17.41,16.53,14.59,13.19,13.66,15.53,16.09,16.0,16.53,17.94,17.94,16.72,15.62,16.09,16.19,15.16,14.09,14.97,16.41,15.97,15.0,14.75,15.09,14.0,12.06,11.47,12.72,14.19,14.72,15.72,17.97,20.47,21.19,21.62,23.41,25.59,25.53,25.06,25.41,26.62,26.56,25.16,24.75,25.41,25.34,23.78,22.59,22.66,22.25,20.09,18.06,17.56,17.72,16.78,15.78,15.5,16.62,17.16,16.78,16.94,18.81,20.5,20.44,20.59,22.19,24.16,24.25,24.72,26.66,29.28,30.62,30.69,30.81,31.59,30.69,28.69,27.03,26.53,25.59,23.34,20.84,20.47,21.34,21.59,22.53,25.09,29.19,31.5,32.41,32.91,33.62,32.91,29.97,27.59,27.59,27.94,27.25,26.31,26.56,26.59,24.59,21.88,20.5,20.41,19.84,18.09,17.31,18.06,18.12,17.16,16.44,17.88,20.06,21.03,21.88,24.09,26.47,27.09,26.78,27.12,29.19,30.06,30.28,31.22,33.84,36.41,37.47,38.56,40.94,43.25,43.19,41.84,41.28,40.31,37.69,34.31,32.06,31.09,29.34,26.75,24.69,24.25,24.19,23.53,23.34,25.31,27.62,28.34,27.12,26.38,25.91,24.38,22.06,21.22,22.62,23.19,22.59,21.31,21.53,20.84,18.81,16.34,15.91,16.16,15.31,14.19,14.47,16.06,16.62,16.41,16.5,17.56,17.78,16.34,14.84,14.97,14.97,13.88,12.69,13.34,14.72,14.84,14.84,15.72,17.91,19.72,20.69,22.5,25.69,28.19,28.59,28.25,29.38,30.06,29.38,28.06,28.34,29.28,28.88,27.91,27.81,28.62,28.03,25.88,23.88,23.28,22.56,20.81,19.31,19.56,20.12,19.56,18.22,18.31,19.22,19.59,19.25,20.5,23.12,25.41,26.12,26.97,28.94,30.56,30.38,29.78,30.38,30.53,28.91,26.06,24.44,23.69,22.62,20.75,20.09,21.34,21.91,21.09,21.31,22.56,23.94,23.78,23.38,24.44,25.69,25.84,25.03,25.12,26.03,26.47,25.72,26.03,27.72,28.69,27.91,27.0,27.34,27.59,26.44,24.78,25.44,26.78,27.22,26.75,27.56,29.0,29.38,28.19,27.16,27.56,27.44,25.97,24.22,24.81,25.69,24.84,23.66,23.88,24.25,23.66,21.41,20.34,20.75,21.0,20.06,19.34,20.0,19.81,17.31,14.69,14.09,14.44,14.53,14.72,16.69,19.44,20.88,20.78,21.62,23.69,25.38,25.12,25.16,26.75,27.62,26.34,24.38,23.97,23.94,22.69,21.25,21.5,23.28,25.25,26.59,29.44,34.16,38.66,41.31,43.09,45.0,45.09,41.34,35.59,30.34,25.22,19.59,13.94,10.53,9.53,9.22,8.94,11.09,15.84,21.44,25.78,30.25,35.53,40.41,42.97,43.69,44.44,44.66,42.34,37.78,33.91,30.78,27.81,23.81,20.59,19.75,19.34,17.34,15.56,15.59,16.59,16.78,17.34,19.41,22.25,23.84,23.97,24.41,26.69,28.59,29.0,29.62,30.69,31.31,29.81,27.22,26.06,25.0,22.88,20.28,19.75,20.47,20.91,20.22,19.66,20.53,21.19,20.0,19.44,20.28,21.09,20.09,18.94,19.06,19.5,19.41,18.44,18.5,19.34,19.28,17.09,15.25,14.62,14.16,12.81,12.62,14.91,18.38,20.53,21.97,24.38,26.62,28.06,28.34,29.28,30.84,31.09,29.28,27.34,26.97,26.5,24.59,22.69,21.62,20.75,18.31,15.5,14.12,14.59,14.81,14.59,15.81,19.06,22.0,23.62,25.0,27.38,28.78,27.94,26.31,25.78,26.09,25.72,25.09,25.84,27.34,27.34,25.28,23.59,22.81,22.19,20.91,20.03,20.69,21.84,21.78,21.28,21.75,22.78,22.38,20.47,19.59,19.75,19.72,18.5,18.53,19.62,20.88,20.03,19.06,19.16,19.22,17.62,15.5,14.59,14.94,14.12,12.31,11.88,12.75,13.56,13.31,14.12,16.41,19.12,20.41,21.5,23.94,26.22,26.28,25.06,24.22,24.0,23.19,21.66,21.25,22.75,23.78,23.12,22.75,23.69,24.91,24.31,23.94,24.75,26.06,26.09,25.69,26.06,27.91,28.69,28.97,29.59,31.47,32.81,31.91,30.75,30.69,30.94,29.75,28.31,28.09,28.47,27.19,25.19,23.66,23.91,23.81,23.09,23.72,26.25,28.84,29.81,30.38,31.81,33.03,32.22,30.91,30.75,31.56,31.84,31.25,31.44,33.0,33.44,32.72,32.41,33.28,34.03,33.41,32.41,32.81,33.53,32.62,31.0,30.59,31.41,31.75,31.38,32.41,35.28,37.41,37.81,37.75,38.44,38.72,37.19,34.94,33.88,33.09,30.66,27.53,25.59,25.16,24.5,22.91,22.19,23.31,24.03,23.56,23.38,25.09,27.12,28.06,27.97,28.88,29.56,28.75,27.66,27.16,27.97,28.41,27.5,26.19,25.69,24.31,21.59,18.25,16.62,15.69,13.75,12.25,12.38,14.12,15.94,17.28,19.12,21.47,22.94,22.28,21.25,21.69,22.53,22.75,22.94,25.09,27.31,27.78,27.03,26.5,26.84,25.69,23.28,21.22,20.53,19.56,17.5,15.62,16.16,17.06,16.94,16.81,18.12,19.72,20.19,20.41,21.25,23.25,24.19,23.53,23.09,23.41,23.16,21.88,20.0,19.66,19.31,18.03,16.22,15.78,16.28,16.12,15.34,15.12,16.59,17.59,17.03,16.94,18.06,18.56,17.38,15.91,15.81,15.81,15.22,14.19,14.59,16.0,16.47,15.78,15.28,15.97,15.66,14.09,12.44,12.16,11.88,10.41,9.09,9.0,9.62,9.25,8.44,8.75,10.06,10.72,10.09,9.78,10.72,11.22,10.34,9.53,10.09,10.53,9.38,7.78,7.47,7.25,6.41,4.56,4.09,5.0,5.47,5.03,5.22,7.22,8.94,9.41,9.72,11.06,12.34,11.75,10.53,10.34,10.12,9.12,6.84,5.12,5.09,4.5,3.56,3.41,5.91,9.31,11.56,13.44,16.44,18.94,19.25,18.28,18.16,18.56,18.03,16.88,16.53,17.62,18.34,18.0,17.38,18.19,18.66,17.72,16.19,16.31,16.41,15.28,12.62,11.12,10.62,9.66,7.94,7.69,8.81,10.0,9.84,9.75,11.03,12.75,13.34,12.75,14.03,15.34,14.84,13.5,12.94,13.81,14.19,13.84,14.34,16.88,19.06,24.03,22.78,21.31,20.34,20.12,20.41,21.22,22.69,24.19,25.84,26.56,26.88,26.75,26.41,25.16,23.78,22.69,21.91,21.06,20.0,19.44,18.91,18.53,17.69,17.12,16.72,16.22,15.44,14.62,14.16,14.0,13.91,14.16,14.69,15.5,15.78,15.06,14.22,13.88,13.5,13.06,13.38:negativity
6.28,6.59,8.12,8.88,8.72,9.53,10.62,9.72,7.62,6.28,6.22,5.97,4.59,4.28,5.69,7.25,7.28,6.59,7.28,7.81,7.41,6.03,6.16,7.59,8.44,8.0,8.28,9.41,9.38,7.59,6.06,6.47,7.25,7.19,6.94,8.16,10.09,10.81,10.81,12.06,13.44,13.5,11.5,9.5,9.12,8.91,8.0,7.91,9.69,12.09,12.44,11.66,12.44,12.91,11.84,10.06,9.5,10.44,11.28,11.28,12.0,14.0,15.34,14.25,12.66,12.31,12.0,10.44,8.94,9.56,10.91,11.62,10.84,10.38,10.91,10.38,7.59,5.38,5.0,4.62,3.59,3.38,4.84,7.22,8.25,8.34,9.66,11.06,11.91,11.5,11.5,12.81,13.5,12.88,12.09,12.81,13.59,12.59,11.09,10.88,10.88,9.69,7.59,6.38,6.19,5.09,2.59,1.06,1.34,1.88,1.25,1.25,3.19,4.88,4.91,4.91,5.78,6.66,6.38,5.03,4.84,5.72,6.56,6.34,6.97,8.59,9.59,8.72,7.53,7.62,7.69,6.34,4.47,3.94,3.69,2.72,1.28,1.25,2.53,3.22,2.72,2.28,2.75,3.09,1.78,0.78,1.97,3.5,4.22,4.28,5.56,7.53,8.28,7.88,8.12,9.44,9.78,8.41,7.75,8.75,9.5,8.94,8.03,8.47,9.19,8.5,7.22,7.16,7.78,7.12,5.5,4.88,6.09,6.84,6.66,7.34,9.75,11.84,12.53,12.34,13.09,13.81,13.09,11.62,11.69,12.47,12.22,10.12,8.62,8.0,7.66,6.16,5.22,6.16,7.72,8.09,7.94,9.34,11.12,11.41,10.31,10.22,10.97,11.0,9.41,8.72,9.06,8.94,7.41,6.06,6.5,7.53,7.0,6.19,6.25,6.41,5.03,2.91,2.12,2.97,3.72,4.12,4.72,6.88,8.78,9.34,9.62,10.94,12.16,11.62,10.16,9.0,7.78,5.25,1.38,-1.69,-2.75,-3.5,-4.84,-5.03,-3.62,-1.94,-1.75,-1.16,1.28,4.5,6.31,7.5,9.0,10.62,10.81,9.44,8.94,9.19,8.75,6.94,5.34,5.16,5.66,4.53,3.84,4.59,6.0,5.94,5.28,5.44,5.91,5.41,3.53,2.19,1.84,1.25,-1.09,-2.78,-2.72,-2.41,-3.16,-3.75,-2.78,-1.06,-0.06,0.28,1.72,3.78,4.69,4.03,4.03,5.12,5.97,4.69,3.06,2.78,2.97,1.97,1.66,3.28,5.84,7.56,8.22,9.31,10.91,11.66,10.53,9.69,10.34,11.12,10.34,9.97,11.03,12.84,13.72,14.53,16.28,18.72,19.59,18.78,17.84,17.72,17.12,15.28,14.25,15.03,16.16,16.0,15.44,16.09,16.97,16.5,15.12,14.34,14.0,12.41,9.62,7.38,7.19,7.5,7.03,7.94,11.06,15.22,18.12,20.19,22.69,24.12,22.78,19.47,16.5,14.41,11.75,8.81,6.97,7.25,7.91,7.81,8.47,11.06,14.38,15.97,16.91,18.72,20.06,19.66,17.91,16.47,16.0,14.69,12.84,12.34,13.47,14.56,13.75,12.38,11.81,11.5,9.94,8.09,7.72,8.19,7.34,5.12,3.5,3.44,2.53,1.5,1.44,3.44,6.16,8.0,10.28,13.81,17.25,18.5,18.38,18.22,18.56,17.84,16.91,16.97,18.72,20.44,21.16,21.81,23.53,24.81,23.81,22.16,20.88,20.16,17.97,15.25,14.12,13.97,13.12,12.34,12.03,13.19,13.5,12.25,10.75,10.81,11.53,11.41,12.19,14.72,18.31,20.19,20.72,21.56,22.84,23.59,23.22,23.53,25.06,25.59,24.47,23.38,23.78,25.12,25.12,25.0,25.69,26.53,25.25,22.84,20.5,18.84,16.62,13.97,12.72,13.78,15.34,16.44,16.97,19.22,21.38,21.62,21.12,21.06,21.38,20.38,18.28,16.62,16.12,14.72,12.62,11.47,12.12,13.72,14.56,15.31,17.44,19.94,21.44,22.25,24.0,26.03,26.97,26.81,26.53,27.09,26.84,24.94,22.94,22.25,21.5,20.31,19.69,21.38,24.31,26.22,27.5,29.38,31.38,31.56,30.66,29.81,30.25,30.75,30.09,29.62,31.31,32.66,32.31,31.06,29.78,28.22,24.84,20.78,17.97,16.72,15.06,13.22,11.75,12.41,12.91,12.5,12.16,13.28,15.16,15.94,16.62,18.53,20.97,22.28,22.22,22.47,23.69,24.47,23.47,22.97,23.66,23.72,22.28,20.5,20.19,19.97,18.75,17.19,16.62,16.69,15.78,14.41,13.38,14.06,14.59,14.31,14.62,16.44,18.19,18.72,18.62,19.56,21.06,21.19,20.28,20.78,22.06,22.31,21.59,21.19,22.25,23.12,22.97,22.94,24.5,25.69,24.94,23.59,23.0,22.84,21.62,19.53,18.81,18.94,18.59,17.47,16.94,17.94,18.88,18.97,19.56,20.78,21.88,21.38,20.06,20.47,21.59,22.03,22.09,22.91,23.78,24.22,23.31,22.59,23.25,23.56,22.62,22.22,23.22,24.94,25.56,25.84,26.69,27.34,26.38,24.03,22.28,21.81,21.47,20.66,20.22,21.5,22.72,22.22,21.22,21.97,22.78,22.59,21.88,22.78,24.19,25.06,24.81,24.78,26.0,26.72,26.0,25.0,25.38,25.31,23.62,21.69,21.47,21.31,20.25,18.22,17.28,16.81,16.25,15.09,14.88,16.16,17.53,18.22,19.53,22.25,24.66,25.78,25.78,27.0,28.28,28.59,27.66,27.09,27.03,25.66,22.94,21.25,20.62,20.44,19.34,18.41,19.09,20.38,20.53,20.44,21.25,22.25,22.0,20.47,19.56,19.22,18.38,16.75,15.81,16.66,17.94,18.0,17.84,18.97,20.19,19.94,19.28,20.44,22.53,24.12,24.72,26.0,27.44,27.75,26.56,25.56,25.75,25.59,23.69,21.47,20.59,20.34,18.75,16.56,16.06,16.03,15.56,14.53,14.72,16.03,17.22,17.47,18.25,20.53,22.97,23.03,22.62,23.0,23.62,22.75,21.47,21.56,22.5,22.94,22.75,22.84,23.72,23.41,21.12,18.91,18.22,17.81,16.81,15.75,16.53,18.06,18.44,17.69,17.81,18.0,16.97,14.81,13.75,14.75,16.16,17.12,18.22,20.56,22.66,22.97,22.31,22.84,24.03,23.88,22.34,21.56,21.56,21.19,19.47,18.28,18.16,17.69,15.19,12.34,11.34,11.16,10.06,9.41,9.91,11.34,11.91,11.06,11.38,12.75,13.66,13.5,13.59,15.31,16.91,17.81,19.09,21.72,24.62,25.53,25.25,24.78,23.59,20.03,14.72,9.47,5.69,2.38,-1.12,-2.06,-0.03,3.19,5.78,8.5,11.69,15.06,16.69,17.97,20.16,23.66,26.59,28.59,31.25,34.69,37.44,37.75,37.84,38.0,37.41,34.44,30.91,28.44,26.53,23.47,19.94,17.09,15.75,14.03,11.59,10.38,10.81,11.31,10.31,9.28,9.69,10.12,9.03,7.94,8.16,9.66,10.53,10.72,11.72,13.31,13.5,11.53,9.53,7.91,6.12,3.03,0.59,0.28,1.34,1.38,1.81,3.62,6.47,8.38,8.91,10.22,11.91,12.53,11.19,10.03,9.78,10.12,9.28,9.06,10.78,13.47,14.88,15.88,17.94,20.47,21.66,21.09,19.72,18.66,15.56,10.44,5.62,2.44,0.62,-1.62,-2.34,-0.81,1.94,3.81,5.22,7.16,9.47,11.0,11.09,11.78,13.75,15.66,16.19,16.81,18.44,20.34,19.75,18.88,18.66,18.5,16.94,14.28,12.59,12.0,10.94,9.41,9.0,10.03,10.88,9.66,8.28,7.91,7.84,6.62,6.19,7.78,10.81,12.72,13.66,14.88,16.59,17.03,16.31,16.31,18.0,20.12,20.88,21.84,23.78,25.5,24.69,23.19,22.84,23.09,22.53,20.81,20.41,21.22,21.47,20.66,20.81,22.31,23.81,23.19,22.25,22.0,21.34,18.5,15.28,13.38,13.0,12.41,11.22,11.12,11.84,12.38,11.47,11.44,13.19,15.59,16.56,17.56,19.75,21.75,21.72,20.66,19.81,19.44,18.38,16.31,15.34,16.09,16.28,15.12,13.84,13.56,13.62,12.53,11.94,13.59,16.69,19.16,21.59,25.06,29.12,31.5,32.0,32.28,33.34,33.75,32.69,31.69,31.91,31.88,30.19,28.19,27.5,27.62,26.53,25.38,25.19,26.34,26.78,26.12,25.84,26.16,25.5,22.91,20.62,20.62,20.69,19.75,18.94,18.91,19.69,19.62,19.62,21.0,24.44,27.31,29.31,31.78,34.91,37.06,36.56,35.12,33.78,31.88,28.66,25.03,22.88,21.88,20.56,18.53,17.62,18.44,19.09,19.56,21.03,24.75,29.0,31.47,33.34,36.5,38.59,37.97,36.31,34.62,33.5,31.41,28.91,27.16,26.81,25.38,22.59,19.34,17.72,16.09,12.84,10.31,10.03,10.41,9.78,8.53,8.19,8.38,7.47,6.22,6.38,8.84,11.31,13.03,14.22,16.19,17.75,16.81,15.69,16.47,18.34,19.72,20.53,22.19,24.34,24.84,23.88,22.78,23.28,23.09,21.44,19.44,18.81,18.47,16.44,14.59,14.53,15.62,16.22,16.47,18.0,20.66,22.47,23.0,23.47,24.84,25.78,24.91,23.56,23.62,23.84,22.41,20.59,19.97,19.97,18.69,16.22,14.56,14.09,13.41,12.5,12.38,14.47,17.41,18.78,20.0,22.28,24.09,23.88,22.31,21.91,22.03,21.16,19.19,18.31,18.81,19.22,18.84,19.0,20.59,22.06,21.78,21.19,22.53,24.53,24.88,24.53,25.31,26.34,25.97,24.12,22.5,22.06,20.81,18.0,15.62,14.56,13.97,11.59,9.09:9.72,7.62,6.28,6.22,5.97,4.59,4.28,5.69,7.25,7.28,6.59,7.28,7.81,7.41,6.03,6.16,7.59,8.44,8.0,8.28,9.41,9.38,7.59,6.06,6.47,7.25,7.19,6.94,8.16,10.09,10.81,10.81,12.06,13.44,13.5,11.5,9.5,9.12,8.91,8.0,7.91,9.69,12.09,12.44,11.66,12.44,12.91,11.84,10.06,9.5,10.44,11.28,11.28,12.0,14.0,15.34,14.25,12.66,12.31,12.0,10.44,8.94,9.56,10.91,11.62,10.84,10.38,10.91,10.38,7.59,5.38,5.0,4.62,3.59,3.38,4.84,7.22,8.25,8.34,9.66,11.06,11.91,11.5,11.5,12.81,13.5,12.88,12.09,12.81,13.59,12.59,11.09,10.88,10.88,9.69,7.59,6.38,6.19,5.09,2.59,1.06,1.34,1.88,1.25,1.25,3.19,4.88,4.91,4.91,5.78,6.66,6.38,5.03,4.84,5.72,6.56,6.34,6.97,8.59,9.59,8.72,7.53,7.62,7.69,6.34,4.47,3.94,3.69,2.72,1.28,1.25,2.53,3.22,2.72,2.28,2.75,3.09,1.78,0.78,1.97,3.5,4.22,4.28,5.56,7.53,8.28,7.88,8.12,9.44,9.78,8.41,7.75,8.75,9.5,8.94,8.03,8.47,9.19,8.5,7.22,7.16,7.78,7.12,5.5,4.88,6.09,6.84,6.66,7.34,9.75,11.84,12.53,12.34,13.09,13.81,13.09,11.62,11.69,12.47,12.22,10.12,8.62,8.0,7.66,6.16,5.22,6.16,7.72,8.09,7.94,9.34,11.12,11.41,10.31,10.22,10.97,11.0,9.41,8.72,9.06,8.94,7.41,6.06,6.5,7.53,7.0,6.19,6.25,6.41,5.03,2.91,2.12,2.97,3.72,4.12,4.72,6.88,8.78,9.34,9.62,10.94,12.16,11.62,10.16,9.0,7.78,5.25,1.38,-1.69,-2.75,-3.5,-4.84,-5.03,-3.62,-1.94,-1.75,-1.16,1.28,4.5,6.31,7.5,9.0,10.62,10.81,9.44,8.94,9.19,8.75,6.94,5.34,5.16,5.66,4.53,3.84,4.59,6.0,5.94,5.28,5.44,5.91,5.41,3.53,2.19,1.84,1.25,-1.09,-2.78,-2.72,-2.41,-3.16,-3.75,-2.78,-1.06,-0.06,0.28,1.72,3.78,4.69,4.03,4.03,5.12,5.97,4.69,3.06,2.78,2.97,1.97,1.66,3.28,5.84,7.56,8.22,9.31,10.91,11.66,10.53,9.69,10.34,11.12,10.34,9.97,11.03,12.84,13.72,14.53,16.28,18.72,19.59,18.78,17.84,17.72,17.12,15.28,14.25,15.03,16.16,16.0,15.44,16.09,16.97,16.5,15.12,14.34,14.0,12.41,9.62,7.38,7.19,7.5,7.03,7.94,11.06,15.22,18.12,20.19,22.69,24.12,22.78,19.47,16.5,14.41,11.75,8.81,6.97,7.25,7.91,7.81,8.47,11.06,14.38,15.97,16.91,18.72,20.06,19.66,17.91,16.47,16.0,14.69,12.84,12.34,13.47,14.56,13.75,12.38,11.81,11.5,9.94,8.09,7.72,8.19,7.34,5.12,3.5,3.44,2.53,1.5,1.44,3.44,6.16,8.0,10.28,13.81,17.25,18.5,18.38,18.22,18.56,17.84,16.91,16.97,18.72,20.44,21.16,21.81,23.53,24.81,23.81,22.16,20.88,20.16,17.97,15.25,14.12,13.97,13.12,12.34,12.03,13.19,13.5,12.25,10.75,10.81,11.53,11.41,12.19,14.72,18.31,20.19,20.72,21.56,22.84,23.59,23.22,23.53,25.06,25.59,24.47,23.38,23.78,25.12,25.12,25.0,25.69,26.53,25.25,22.84,20.5,18.84,16.62,13.97,12.72,13.78,15.34,16.44,16.97,19.22,21.38,21.62,21.12,21.06,21.38,20.38,18.28,16.62,16.12,14.72,12.62,11.47,12.12,13.72,14.56,15.31,17.44,19.94,21.44,22.25,24.0,26.03,26.97,26.81,26.53,27.09,26.84,24.94,22.94,22.25,21.5,20.31,19.69,21.38,24.31,26.22,27.5,29.38,31.38,31.56,30.66,29.81,30.25,30.75,30.09,29.62,31.31,32.66,32.31,31.06,29.78,28.22,24.84,20.78,17.97,16.72,15.06,13.22,11.75,12.41,12.91,12.5,12.16,13.28,15.16,15.94,16.62,18.53,20.97,22.28,22.22,22.47,23.69,24.47,23.47,22.97,23.66,23.72,22.28,20.5,20.19,19.97,18.75,17.19,16.62,16.69,15.78,14.41,13.38,14.06,14.59,14.31,14.62,16.44,18.19,18.72,18.62,19.56,21.06,21.19,20.28,20.78,22.06,22.31,21.59,21.19,22.25,23.12,22.97,22.94,24.5,25.69,24.94,23.59,23.0,22.84,21.62,19.53,18.81,18.94,18.59,17.47,16.94,17.94,18.88,18.97,19.56,20.78,21.88,21.38,20.06,20.47,21.59,22.03,22.09,22.91,23.78,24.22,23.31,22.59,23.25,23.56,22.62,22.22,23.22,24.94,25.56,25.84,26.69,27.34,26.38,24.03,22.28,21.81,21.47,20.66,20.22,21.5,22.72,22.22,21.22,21.97,22.78,22.59,21.88,22.78,24.19,25.06,24.81,24.78,26.0,26.72,26.0,25.0,25.38,25.31,23.62,21.69,21.47,21.31,20.25,18.22,17.28,16.81,16.25,15.09,14.88,16.16,17.53,18.22,19.53,22.25,24.66,25.78,25.78,27.0,28.28,28.59,27.66,27.09,27.03,25.66,22.94,21.25,20.62,20.44,19.34,18.41,19.09,20.38,20.53,20.44,21.25,22.25,22.0,20.47,19.56,19.22,18.38,16.75,15.81,16.66,17.94,18.0,17.84,18.97,20.19,19.94,19.28,20.44,22.53,24.12,24.72,26.0,27.44,27.75,26.56,25.56,25.75,25.59,23.69,21.47,20.59,20.34,18.75,16.56,16.06,16.03,15.56,14.53,14.72,16.03,17.22,17.47,18.25,20.53,22.97,23.03,22.62,23.0,23.62,22.75,21.47,21.56,22.5,22.94,22.75,22.84,23.72,23.41,21.12,18.91,18.22,17.81,16.81,15.75,16.53,18.06,18.44,17.69,17.81,18.0,16.97,14.81,13.75,14.75,16.16,17.12,18.22,20.56,22.66,22.97,22.31,22.84,24.03,23.88,22.34,21.56,21.56,21.19,19.47,18.28,18.16,17.69,15.19,12.34,11.34,11.16,10.06,9.41,9.91,11.34,11.91,11.06,11.38,12.75,13.66,13.5,13.59,15.31,16.91,17.81,19.09,21.72,24.62,25.53,25.25,24.78,23.59,20.03,14.72,9.47,5.69,2.38,-1.12,-2.06,-0.03,3.19,5.78,8.5,11.69,15.06,16.69,17.97,20.16,23.66,26.59,28.59,31.25,34.69,37.44,37.75,37.84,38.0,37.41,34.44,30.91,28.44,26.53,23.47,19.94,17.09,15.75,14.03,11.59,10.38,10.81,11.31,10.31,9.28,9.69,10.12,9.03,7.94,8.16,9.66,10.53,10.72,11.72,13.31,13.5,11.53,9.53,7.91,6.12,3.03,0.59,0.28,1.34,1.38,1.81,3.62,6.47,8.38,8.91,10.22,11.91,12.53,11.19,10.03,9.78,10.12,9.28,9.06,10.78,13.47,14.88,15.88,17.94,20.47,21.66,21.09,19.72,18.66,15.56,10.44,5.62,2.44,0.62,-1.62,-2.34,-0.81,1.94,3.81,5.22,7.16,9.47,11.0,11.09,11.78,13.75,15.66,16.19,16.81,18.44,20.34,19.75,18.88,18.66,18.5,16.94,14.28,12.59,12.0,10.94,9.41,9.0,10.03,10.88,9.66,8.28,7.91,7.84,6.62,6.19,7.78,10.81,12.72,13.66,14.88,16.59,17.03,16.31,16.31,18.0,20.12,20.88,21.84,23.78,25.5,24.69,23.19,22.84,23.09,22.53,20.81,20.41,21.22,21.47,20.66,20.81,22.31,23.81,23.19,22.25,22.0,21.34,18.5,15.28,13.38,13.0,12.41,11.22,11.12,11.84,12.38,11.47,11.44,13.19,15.59,16.56,17.56,19.75,21.75,21.72,20.66,19.81,19.44,18.38,16.31,15.34,16.09,16.28,15.12,13.84,13.56,13.62,12.53,11.94,13.59,16.69,19.16,21.59,25.06,29.12,31.5,32.0,32.28,33.34,33.75,32.69,31.69,31.91,31.88,30.19,28.19,27.5,27.62,26.53,25.38,25.19,26.34,26.78,26.12,25.84,26.16,25.5,22.91,20.62,20.62,20.69,19.75,18.94,18.91,19.69,19.62,19.62,21.0,24.44,27.31,29.31,31.78,34.91,37.06,36.56,35.12,33.78,31.88,28.66,25.03,22.88,21.88,20.56,18.53,17.62,18.44,19.09,19.56,21.03,24.75,29.0,31.47,33.34,36.5,38.59,37.97,36.31,34.62,33.5,31.41,28.91,27.16,26.81,25.38,22.59,19.34,17.72,16.09,12.84,10.31,10.03,10.41,9.78,8.53,8.19,8.38,7.47,6.22,6.38,8.84,11.31,13.03,14.22,16.19,17.75,16.81,15.69,16.47,18.34,19.72,20.53,22.19,24.34,24.84,23.88,22.78,23.28,23.09,21.44,19.44,18.81,18.47,16.44,14.59,14.53,15.62,16.22,16.47,18.0,20.66,22.47,23.0,23.47,24.84,25.78,24.91,23.56,23.62,23.84,22.41,20.59,19.97,19.97,18.69,16.22,14.56,14.09,13.41,12.5,12.38,14.47,17.41,18.78,20.0,22.28,24.09,23.88,22.31,21.91,22.03,21.16,19.19,18.31,18.81,19.22,18.84,19.0,20.59,22.06,21.78,21.19,22.53,24.53,24.88,24.53,25.31,26.34,25.97,24.12,22.5,22.06,20.81,18.0,15.62,14.56,13.97,11.59,9.09,25.62,25.38,26.44,27.88,29.34,29.5,29.0:5.69,7.25,7.28,6.59,7.28,7.81,7.41,6.03,6.16,7.59,8.44,8.0,8.28,9.41,9.38,7.59,6.06,6.47,7.25,7.19,6.94,8.16,10.09,10.81,10.81,12.06,13.44,13.5,11.5,9.5,9.12,8.91,8.0,7.91,9.69,12.09,12.44,11.66,12.44,12.91,11.84,10.06,9.5,10.44,11.28,11.28,12.0,14.0,15.34,14.25,12.66,12.31,12.0,10.44,8.94,9.56,10.91,11.62,10.84,10.38,10.91,10.38,7.59,5.38,5.0,4.62,3.59,3.38,4.84,7.22,8.25,8.34,9.66,11.06,11.91,11.5,11.5,12.81,13.5,12.88,12.09,12.81,13.59,12.59,11.09,10.88,10.88,9.69,7.59,6.38,6.19,5.09,2.59,1.06,1.34,1.88,1.25,1.25,3.19,4.88,4.91,4.91,5.78,6.66,6.38,5.03,4.84,5.72,6.56,6.34,6.97,8.59,9.59,8.72,7.53,7.62,7.69,6.34,4.47,3.94,3.69,2.72,1.28,1.25,2.53,3.22,2.72,2.28,2.75,3.09,1.78,0.78,1.97,3.5,4.22,4.28,5.56,7.53,8.28,7.88,8.12,9.44,9.78,8.41,7.75,8.75,9.5,8.94,8.03,8.47,9.19,8.5,7.22,7.16,7.78,7.12,5.5,4.88,6.09,6.84,6.66,7.34,9.75,11.84,12.53,12.34,13.09,13.81,13.09,11.62,11.69,12.47,12.22,10.12,8.62,8.0,7.66,6.16,5.22,6.16,7.72,8.09,7.94,9.34,11.12,11.41,10.31,10.22,10.97,11.0,9.41,8.72,9.06,8.94,7.41,6.06,6.5,7.53,7.0,6.19,6.25,6.41,5.03,2.91,2.12,2.97,3.72,4.12,4.72,6.88,8.78,9.34,9.62,10.94,12.16,11.62,10.16,9.0,7.78,5.25,1.38,-1.69,-2.75,-3.5,-4.84,-5.03,-3.62,-1.94,-1.75,-1.16,1.28,4.5,6.31,7.5,9.0,10.62,10.81,9.44,8.94,9.19,8.75,6.94,5.34,5.16,5.66,4.53,3.84,4.59,6.0,5.94,5.28,5.44,5.91,5.41,3.53,2.19,1.84,1.25,-1.09,-2.78,-2.72,-2.41,-3.16,-3.75,-2.78,-1.06,-0.06,0.28,1.72,3.78,4.69,4.03,4.03,5.12,5.97,4.69,3.06,2.78,2.97,1.97,1.66,3.28,5.84,7.56,8.22,9.31,10.91,11.66,10.53,9.69,10.34,11.12,10.34,9.97,11.03,12.84,13.72,14.53,16.28,18.72,19.59,18.78,17.84,17.72,17.12,15.28,14.25,15.03,16.16,16.0,15.44,16.09,16.97,16.5,15.12,14.34,14.0,12.41,9.62,7.38,7.19,7.5,7.03,7.94,11.06,15.22,18.12,20.19,22.69,24.12,22.78,19.47,16.5,14.41,11.75,8.81,6.97,7.25,7.91,7.81,8.47,11.06,14.38,15.97,16.91,18.72,20.06,19.66,17.91,16.47,16.0,14.69,12.84,12.34,13.47,14.56,13.75,12.38,11.81,11.5,9.94,8.09,7.72,8.19,7.34,5.12,3.5,3.44,2.53,1.5,1.44,3.44,6.16,8.0,10.28,13.81,17.25,18.5,18.38,18.22,18.56,17.84,16.91,16.97,18.72,20.44,21.16,21.81,23.53,24.81,23.81,22.16,20.88,20.16,17.97,15.25,14.12,13.97,13.12,12.34,12.03,13.19,13.5,12.25,10.75,10.81,11.53,11.41,12.19,14.72,18.31,20.19,20.72,21.56,22.84,23.59,23.22,23.53,25.06,25.59,24.47,23.38,23.78,25.12,25.12,25.0,25.69,26.53,25.25,22.84,20.5,18.84,16.62,13.97,12.72,13.78,15.34,16.44,16.97,19.22,21.38,21.62,21.12,21.06,21.38,20.38,18.28,16.62,16.12,14.72,12.62,11.47,12.12,13.72,14.56,15.31,17.44,19.94,21.44,22.25,24.0,26.03,26.97,26.81,26.53,27.09,26.84,24.94,22.94,22.25,21.5,20.31,19.69,21.38,24.31,26.22,27.5,29.38,31.38,31.56,30.66,29.81,30.25,30.75,30.09,29.62,31.31,32.66,32.31,31.06,29.78,28.22,24.84,20.78,17.97,16.72,15.06,13.22,11.75,12.41,12.91,12.5,12.16,13.28,15.16,15.94,16.62,18.53,20.97,22.28,22.22,22.47,23.69,24.47,23.47,22.97,23.66,23.72,22.28,20.5,20.19,19.97,18.75,17.19,16.62,16.69,15.78,14.41,13.38,14.06,14.59,14.31,14.62,16.44,18.19,18.72,18.62,19.56,21.06,21.19,20.28,20.78,22.06,22.31,21.59,21.19,22.25,23.12,22.97,22.94,24.5,25.69,24.94,23.59,23.0,22.84,21.62,19.53,18.81,18.94,18.59,17.47,16.94,17.94,18.88,18.97,19.56,20.78,21.88,21.38,20.06,20.47,21.59,22.03,22.09,22.91,23.78,24.22,23.31,22.59,23.25,23.56,22.62,22.22,23.22,24.94,25.56,25.84,26.69,27.34,26.38,24.03,22.28,21.81,21.47,20.66,20.22,21.5,22.72,22.22,21.22,21.97,22.78,22.59,21.88,22.78,24.19,25.06,24.81,24.78,26.0,26.72,26.0,25.0,25.38,25.31,23.62,21.69,21.47,21.31,20.25,18.22,17.28,16.81,16.25,15.09,14.88,16.16,17.53,18.22,19.53,22.25,24.66,25.78,25.78,27.0,28.28,28.59,27.66,27.09,27.03,25.66,22.94,21.25,20.62,20.44,19.34,18.41,19.09,20.38,20.53,20.44,21.25,22.25,22.0,20.47,19.56,19.22,18.38,16.75,15.81,16.66,17.94,18.0,17.84,18.97,20.19,19.94,19.28,20.44,22.53,24.12,24.72,26.0,27.44,27.75,26.56,25.56,25.75,25.59,23.69,21.47,20.59,20.34,18.75,16.56,16.06,16.03,15.56,14.53,14.72,16.03,17.22,17.47,18.25,20.53,22.97,23.03,22.62,23.0,23.62,22.75,21.47,21.56,22.5,22.94,22.75,22.84,23.72,23.41,21.12,18.91,18.22,17.81,16.81,15.75,16.53,18.06,18.44,17.69,17.81,18.0,16.97,14.81,13.75,14.75,16.16,17.12,18.22,20.56,22.66,22.97,22.31,22.84,24.03,23.88,22.34,21.56,21.56,21.19,19.47,18.28,18.16,17.69,15.19,12.34,11.34,11.16,10.06,9.41,9.91,11.34,11.91,11.06,11.38,12.75,13.66,13.5,13.59,15.31,16.91,17.81,19.09,21.72,24.62,25.53,25.25,24.78,23.59,20.03,14.72,9.47,5.69,2.38,-1.12,-2.06,-0.03,3.19,5.78,8.5,11.69,15.06,16.69,17.97,20.16,23.66,26.59,28.59,31.25,34.69,37.44,37.75,37.84,38.0,37.41,34.44,30.91,28.44,26.53,23.47,19.94,17.09,15.75,14.03,11.59,10.38,10.81,11.31,10.31,9.28,9.69,10.12,9.03,7.94,8.16,9.66,10.53,10.72,11.72,13.31,13.5,11.53,9.53,7.91,6.12,3.03,0.59,0.28,1.34,1.38,1.81,3.62,6.47,8.38,8.91,10.22,11.91,12.53,11.19,10.03,9.78,10.12,9.28,9.06,10.78,13.47,14.88,15.88,17.94,20.47,21.66,21.09,19.72,18.66,15.56,10.44,5.62,2.44,0.62,-1.62,-2.34,-0.81,1.94,3.81,5.22,7.16,9.47,11.0,11.09,11.78,13.75,15.66,16.19,16.81,18.44,20.34,19.75,18.88,18.66,18.5,16.94,14.28,12.59,12.0,10.94,9.41,9.0,10.03,10.88,9.66,8.28,7.91,7.84,6.62,6.19,7.78,10.81,12.72,13.66,14.88,16.59,17.03,16.31,16.31,18.0,20.12,20.88,21.84,23.78,25.5,24.69,23.19,22.84,23.09,22.53,20.81,20.41,21.22,21.47,20.66,20.81,22.31,23.81,23.19,22.25,22.0,21.34,18.5,15.28,13.38,13.0,12.41,11.22,11.12,11.84,12.38,11.47,11.44,13.19,15.59,16.56,17.56,19.75,21.75,21.72,20.66,19.81,19.44,18.38,16.31,15.34,16.09,16.28,15.12,13.84,13.56,13.62,12.53,11.94,13.59,16.69,19.16,21.59,25.06,29.12,31.5,32.0,32.28,33.34,33.75,32.69,31.69,31.91,31.88,30.19,28.19,27.5,27.62,26.53,25.38,25.19,26.34,26.78,26.12,25.84,26.16,25.5,22.91,20.62,20.62,20.69,19.75,18.94,18.91,19.69,19.62,19.62,21.0,24.44,27.31,29.31,31.78,34.91,37.06,36.56,35.12,33.78,31.88,28.66,25.03,22.88,21.88,20.56,18.53,17.62,18.44,19.09,19.56,21.03,24.75,29.0,31.47,33.34,36.5,38.59,37.97,36.31,34.62,33.5,31.41,28.91,27.16,26.81,25.38,22.59,19.34,17.72,16.09,12.84,10.31,10.03,10.41,9.78,8.53,8.19,8.38,7.47,6.22,6.38,8.84,11.31,13.03,14.22,16.19,17.75,16.81,15.69,16.47,18.34,19.72,20.53,22.19,24.34,24.84,23.88,22.78,23.28,23.09,21.44,19.44,18.81,18.47,16.44,14.59,14.53,15.62,16.22,16.47,18.0,20.66,22.47,23.0,23.47,24.84,25.78,24.91,23.56,23.62,23.84,22.41,20.59,19.97,19.97,18.69,16.22,14.56,14.09,13.41,12.5,12.38,14.47,17.41,18.78,20.0,22.28,24.09,23.88,22.31,21.91,22.03,21.16,19.19,18.31,18.81,19.22,18.84,19.0,20.59,22.06,21.78,21.19,22.53,24.53,24.88,24.53,25.31,26.34,25.97,24.12,22.5,22.06,20.81,18.0,15.62,14.56,13.97,11.59,9.09,25.62,25.38,26.44,27.88,29.34,29.5,29.0,27.62,26.06,24.16,22.47,21.25,21.03,21.06:6.03,6.16,7.59,8.44,8.0,8.28,9.41,9.38,7.59,6.06,6.47,7.25,7.19,6.94,8.16,10.09,10.81,10.81,12.06,13.44,13.5,11.5,9.5,9.12,8.91,8.0,7.91,9.69,12.09,12.44,11.66,12.44,12.91,11.84,10.06,9.5,10.44,11.28,11.28,12.0,14.0,15.34,14.25,12.66,12.31,12.0,10.44,8.94,9.56,10.91,11.62,10.84,10.38,10.91,10.38,7.59,5.38,5.0,4.62,3.59,3.38,4.84,7.22,8.25,8.34,9.66,11.06,11.91,11.5,11.5,12.81,13.5,12.88,12.09,12.81,13.59,12.59,11.09,10.88,10.88,9.69,7.59,6.38,6.19,5.09,2.59,1.06,1.34,1.88,1.25,1.25,3.19,4.88,4.91,4.91,5.78,6.66,6.38,5.03,4.84,5.72,6.56,6.34,6.97,8.59,9.59,8.72,7.53,7.62,7.69,6.34,4.47,3.94,3.69,2.72,1.28,1.25,2.53,3.22,2.72,2.28,2.75,3.09,1.78,0.78,1.97,3.5,4.22,4.28,5.56,7.53,8.28,7.88,8.12,9.44,9.78,8.41,7.75,8.75,9.5,8.94,8.03,8.47,9.19,8.5,7.22,7.16,7.78,7.12,5.5,4.88,6.09,6.84,6.66,7.34,9.75,11.84,12.53,12.34,13.09,13.81,13.09,11.62,11.69,12.47,12.22,10.12,8.62,8.0,7.66,6.16,5.22,6.16,7.72,8.09,7.94,9.34,11.12,11.41,10.31,10.22,10.97,11.0,9.41,8.72,9.06,8.94,7.41,6.06,6.5,7.53,7.0,6.19,6.25,6.41,5.03,2.91,2.12,2.97,3.72,4.12,4.72,6.88,8.78,9.34,9.62,10.94,12.16,11.62,10.16,9.0,7.78,5.25,1.38,-1.69,-2.75,-3.5,-4.84,-5.03,-3.62,-1.94,-1.75,-1.16,1.28,4.5,6.31,7.5,9.0,10.62,10.81,9.44,8.94,9.19,8.75,6.94,5.34,5.16,5.66,4.53,3.84,4.59,6.0,5.94,5.28,5.44,5.91,5.41,3.53,2.19,1.84,1.25,-1.09,-2.78,-2.72,-2.41,-3.16,-3.75,-2.78,-1.06,-0.06,0.28,1.72,3.78,4.69,4.03,4.03,5.12,5.97,4.69,3.06,2.78,2.97,1.97,1.66,3.28,5.84,7.56,8.22,9.31,10.91,11.66,10.53,9.69,10.34,11.12,10.34,9.97,11.03,12.84,13.72,14.53,16.28,18.72,19.59,18.78,17.84,17.72,17.12,15.28,14.25,15.03,16.16,16.0,15.44,16.09,16.97,16.5,15.12,14.34,14.0,12.41,9.62,7.38,7.19,7.5,7.03,7.94,11.06,15.22,18.12,20.19,22.69,24.12,22.78,19.47,16.5,14.41,11.75,8.81,6.97,7.25,7.91,7.81,8.47,11.06,14.38,15.97,16.91,18.72,20.06,19.66,17.91,16.47,16.0,14.69,12.84,12.34,13.47,14.56,13.75,12.38,11.81,11.5,9.94,8.09,7.72,8.19,7.34,5.12,3.5,3.44,2.53,1.5,1.44,3.44,6.16,8.0,10.28,13.81,17.25,18.5,18.38,18.22,18.56,17.84,16.91,16.97,18.72,20.44,21.16,21.81,23.53,24.81,23.81,22.16,20.88,20.16,17.97,15.25,14.12,13.97,13.12,12.34,12.03,13.19,13.5,12.25,10.75,10.81,11.53,11.41,12.19,14.72,18.31,20.19,20.72,21.56,22.84,23.59,23.22,23.53,25.06,25.59,24.47,23.38,23.78,25.12,25.12,25.0,25.69,26.53,25.25,22.84,20.5,18.84,16.62,13.97,12.72,13.78,15.34,16.44,16.97,19.22,21.38,21.62,21.12,21.06,21.38,20.38,18.28,16.62,16.12,14.72,12.62,11.47,12.12,13.72,14.56,15.31,17.44,19.94,21.44,22.25,24.0,26.03,26.97,26.81,26.53,27.09,26.84,24.94,22.94,22.25,21.5,20.31,19.69,21.38,24.31,26.22,27.5,29.38,31.38,31.56,30.66,29.81,30.25,30.75,30.09,29.62,31.31,32.66,32.31,31.06,29.78,28.22,24.84,20.78,17.97,16.72,15.06,13.22,11.75,12.41,12.91,12.5,12.16,13.28,15.16,15.94,16.62,18.53,20.97,22.28,22.22,22.47,23.69,24.47,23.47,22.97,23.66,23.72,22.28,20.5,20.19,19.97,18.75,17.19,16.62,16.69,15.78,14.41,13.38,14.06,14.59,14.31,14.62,16.44,18.19,18.72,18.62,19.56,21.06,21.19,20.28,20.78,22.06,22.31,21.59,21.19,22.25,23.12,22.97,22.94,24.5,25.69,24.94,23.59,23.0,22.84,21.62,19.53,18.81,18.94,18.59,17.47,16.94,17.94,18.88,18.97,19.56,20.78,21.88,21.38,20.06,20.47,21.59,22.03,22.09,22.91,23.78,24.22,23.31,22.59,23.25,23.56,22.62,22.22,23.22,24.94,25.56,25.84,26.69,27.34,26.38,24.03,22.28,21.81,21.47,20.66,20.22,21.5,22.72,22.22,21.22,21.97,22.78,22.59,21.88,22.78,24.19,25.06,24.81,24.78,26.0,26.72,26.0,25.0,25.38,25.31,23.62,21.69,21.47,21.31,20.25,18.22,17.28,16.81,16.25,15.09,14.88,16.16,17.53,18.22,19.53,22.25,24.66,25.78,25.78,27.0,28.28,28.59,27.66,27.09,27.03,25.66,22.94,21.25,20.62,20.44,19.34,18.41,19.09,20.38,20.53,20.44,21.25,22.25,22.0,20.47,19.56,19.22,18.38,16.75,15.81,16.66,17.94,18.0,17.84,18.97,20.19,19.94,19.28,20.44,22.53,24.12,24.72,26.0,27.44,27.75,26.56,25.56,25.75,25.59,23.69,21.47,20.59,20.34,18.75,16.56,16.06,16.03,15.56,14.53,14.72,16.03,17.22,17.47,18.25,20.53,22.97,23.03,22.62,23.0,23.62,22.75,21.47,21.56,22.5,22.94,22.75,22.84,23.72,23.41,21.12,18.91,18.22,17.81,16.81,15.75,16.53,18.06,18.44,17.69,17.81,18.0,16.97,14.81,13.75,14.75,16.16,17.12,18.22,20.56,22.66,22.97,22.31,22.84,24.03,23.88,22.34,21.56,21.56,21.19,19.47,18.28,18.16,17.69,15.19,12.34,11.34,11.16,10.06,9.41,9.91,11.34,11.91,11.06,11.38,12.75,13.66,13.5,13.59,15.31,16.91,17.81,19.09,21.72,24.62,25.53,25.25,24.78,23.59,20.03,14.72,9.47,5.69,2.38,-1.12,-2.06,-0.03,3.19,5.78,8.5,11.69,15.06,16.69,17.97,20.16,23.66,26.59,28.59,31.25,34.69,37.44,37.75,37.84,38.0,37.41,34.44,30.91,28.44,26.53,23.47,19.94,17.09,15.75,14.03,11.59,10.38,10.81,11.31,10.31,9.28,9.69,10.12,9.03,7.94,8.16,9.66,10.53,10.72,11.72,13.31,13.5,11.53,9.53,7.91,6.12,3.03,0.59,0.28,1.34,1.38,1.81,3.62,6.47,8.38,8.91,10.22,11.91,12.53,11.19,10.03,9.78,10.12,9.28,9.06,10.78,13.47,14.88,15.88,17.94,20.47,21.66,21.09,19.72,18.66,15.56,10.44,5.62,2.44,0.62,-1.62,-2.34,-0.81,1.94,3.81,5.22,7.16,9.47,11.0,11.09,11.78,13.75,15.66,16.19,16.81,18.44,20.34,19.75,18.88,18.66,18.5,16.94,14.28,12.59,12.0,10.94,9.41,9.0,10.03,10.88,9.66,8.28,7.91,7.84,6.62,6.19,7.78,10.81,12.72,13.66,14.88,16.59,17.03,16.31,16.31,18.0,20.12,20.88,21.84,23.78,25.5,24.69,23.19,22.84,23.09,22.53,20.81,20.41,21.22,21.47,20.66,20.81,22.31,23.81,23.19,22.25,22.0,21.34,18.5,15.28,13.38,13.0,12.41,11.22,11.12,11.84,12.38,11.47,11.44,13.19,15.59,16.56,17.56,19.75,21.75,21.72,20.66,19.81,19.44,18.38,16.31,15.34,16.09,16.28,15.12,13.84,13.56,13.62,12.53,11.94,13.59,16.69,19.16,21.59,25.06,29.12,31.5,32.0,32.28,33.34,33.75,32.69,31.69,31.91,31.88,30.19,28.19,27.5,27.62,26.53,25.38,25.19,26.34,26.78,26.12,25.84,26.16,25.5,22.91,20.62,20.62,20.69,19.75,18.94,18.91,19.69,19.62,19.62,21.0,24.44,27.31,29.31,31.78,34.91,37.06,36.56,35.12,33.78,31.88,28.66,25.03,22.88,21.88,20.56,18.53,17.62,18.44,19.09,19.56,21.03,24.75,29.0,31.47,33.34,36.5,38.59,37.97,36.31,34.62,33.5,31.41,28.91,27.16,26.81,25.38,22.59,19.34,17.72,16.09,12.84,10.31,10.03,10.41,9.78,8.53,8.19,8.38,7.47,6.22,6.38,8.84,11.31,13.03,14.22,16.19,17.75,16.81,15.69,16.47,18.34,19.72,20.53,22.19,24.34,24.84,23.88,22.78,23.28,23.09,21.44,19.44,18.81,18.47,16.44,14.59,14.53,15.62,16.22,16.47,18.0,20.66,22.47,23.0,23.47,24.84,25.78,24.91,23.56,23.62,23.84,22.41,20.59,19.97,19.97,18.69,16.22,14.56,14.09,13.41,12.5,12.38,14.47,17.41,18.78,20.0,22.28,24.09,23.88,22.31,21.91,22.03,21.16,19.19,18.31,18.81,19.22,18.84,19.0,20.59,22.06,21.78,21.19,22.53,24.53,24.88,24.53,25.31,26.34,25.97,24.12,22.5,22.06,20.81,18.0,15.62,14.56,13.97,11.59,9.09,25.62,25.38,26.44,27.88,29.34,29.5,29.0,27.62,26.06,24.16,22.47,21.25,21.03,21.06,21.41,22.22,23.75,24.69,24.44,23.72,23.06:9.38,7.59,6.06,6.47,7.25,7.19,6.94,8.16,10.09,10.81,10.81,12.06,13.44,13.5,11.5,9.5,9.12,8.91,8.0,7.91,9.69,12.09,12.44,11.66,12.44,12.91,11.84,10.06,9.5,10.44,11.28,11.28,12.0,14.0,15.34,14.25,12.66,12.31,12.0,10.44,8.94,9.56,10.91,11.62,10.84,10.38,10.91,10.38,7.59,5.38,5.0,4.62,3.59,3.38,4.84,7.22,8.25,8.34,9.66,11.06,11.91,11.5,11.5,12.81,13.5,12.88,12.09,12.81,13.59,12.59,11.09,10.88,10.88,9.69,7.59,6.38,6.19,5.09,2.59,1.06,1.34,1.88,1.25,1.25,3.19,4.88,4.91,4.91,5.78,6.66,6.38,5.03,4.84,5.72,6.56,6.34,6.97,8.59,9.59,8.72,7.53,7.62,7.69,6.34,4.47,3.94,3.69,2.72,1.28,1.25,2.53,3.22,2.72,2.28,2.75,3.09,1.78,0.78,1.97,3.5,4.22,4.28,5.56,7.53,8.28,7.88,8.12,9.44,9.78,8.41,7.75,8.75,9.5,8.94,8.03,8.47,9.19,8.5,7.22,7.16,7.78,7.12,5.5,4.88,6.09,6.84,6.66,7.34,9.75,11.84,12.53,12.34,13.09,13.81,13.09,11.62,11.69,12.47,12.22,10.12,8.62,8.0,7.66,6.16,5.22,6.16,7.72,8.09,7.94,9.34,11.12,11.41,10.31,10.22,10.97,11.0,9.41,8.72,9.06,8.94,7.41,6.06,6.5,7.53,7.0,6.19,6.25,6.41,5.03,2.91,2.12,2.97,3.72,4.12,4.72,6.88,8.78,9.34,9.62,10.94,12.16,11.62,10.16,9.0,7.78,5.25,1.38,-1.69,-2.75,-3.5,-4.84,-5.03,-3.62,-1.94,-1.75,-1.16,1.28,4.5,6.31,7.5,9.0,10.62,10.81,9.44,8.94,9.19,8.75,6.94,5.34,5.16,5.66,4.53,3.84,4.59,6.0,5.94,5.28,5.44,5.91,5.41,3.53,2.19,1.84,1.25,-1.09,-2.78,-2.72,-2.41,-3.16,-3.75,-2.78,-1.06,-0.06,0.28,1.72,3.78,4.69,4.03,4.03,5.12,5.97,4.69,3.06,2.78,2.97,1.97,1.66,3.28,5.84,7.56,8.22,9.31,10.91,11.66,10.53,9.69,10.34,11.12,10.34,9.97,11.03,12.84,13.72,14.53,16.28,18.72,19.59,18.78,17.84,17.72,17.12,15.28,14.25,15.03,16.16,16.0,15.44,16.09,16.97,16.5,15.12,14.34,14.0,12.41,9.62,7.38,7.19,7.5,7.03,7.94,11.06,15.22,18.12,20.19,22.69,24.12,22.78,19.47,16.5,14.41,11.75,8.81,6.97,7.25,7.91,7.81,8.47,11.06,14.38,15.97,16.91,18.72,20.06,19.66,17.91,16.47,16.0,14.69,12.84,12.34,13.47,14.56,13.75,12.38,11.81,11.5,9.94,8.09,7.72,8.19,7.34,5.12,3.5,3.44,2.53,1.5,1.44,3.44,6.16,8.0,10.28,13.81,17.25,18.5,18.38,18.22,18.56,17.84,16.91,16.97,18.72,20.44,21.16,21.81,23.53,24.81,23.81,22.16,20.88,20.16,17.97,15.25,14.12,13.97,13.12,12.34,12.03,13.19,13.5,12.25,10.75,10.81,11.53,11.41,12.19,14.72,18.31,20.19,20.72,21.56,22.84,23.59,23.22,23.53,25.06,25.59,24.47,23.38,23.78,25.12,25.12,25.0,25.69,26.53,25.25,22.84,20.5,18.84,16.62,13.97,12.72,13.78,15.34,16.44,16.97,19.22,21.38,21.62,21.12,21.06,21.38,20.38,18.28,16.62,16.12,14.72,12.62,11.47,12.12,13.72,14.56,15.31,17.44,19.94,21.44,22.25,24.0,26.03,26.97,26.81,26.53,27.09,26.84,24.94,22.94,22.25,21.5,20.31,19.69,21.38,24.31,26.22,27.5,29.38,31.38,31.56,30.66,29.81,30.25,30.75,30.09,29.62,31.31,32.66,32.31,31.06,29.78,28.22,24.84,20.78,17.97,16.72,15.06,13.22,11.75,12.41,12.91,12.5,12.16,13.28,15.16,15.94,16.62,18.53,20.97,22.28,22.22,22.47,23.69,24.47,23.47,22.97,23.66,23.72,22.28,20.5,20.19,19.97,18.75,17.19,16.62,16.69,15.78,14.41,13.38,14.06,14.59,14.31,14.62,16.44,18.19,18.72,18.62,19.56,21.06,21.19,20.28,20.78,22.06,22.31,21.59,21.19,22.25,23.12,22.97,22.94,24.5,25.69,24.94,23.59,23.0,22.84,21.62,19.53,18.81,18.94,18.59,17.47,16.94,17.94,18.88,18.97,19.56,20.78,21.88,21.38,20.06,20.47,21.59,22.03,22.09,22.91,23.78,24.22,23.31,22.59,23.25,23.56,22.62,22.22,23.22,24.94,25.56,25.84,26.69,27.34,26.38,24.03,22.28,21.81,21.47,20.66,20.22,21.5,22.72,22.22,21.22,21.97,22.78,22.59,21.88,22.78,24.19,25.06,24.81,24.78,26.0,26.72,26.0,25.0,25.38,25.31,23.62,21.69,21.47,21.31,20.25,18.22,17.28,16.81,16.25,15.09,14.88,16.16,17.53,18.22,19.53,22.25,24.66,25.78,25.78,27.0,28.28,28.59,27.66,27.09,27.03,25.66,22.94,21.25,20.62,20.44,19.34,18.41,19.09,20.38,20.53,20.44,21.25,22.25,22.0,20.47,19.56,19.22,18.38,16.75,15.81,16.66,17.94,18.0,17.84,18.97,20.19,19.94,19.28,20.44,22.53,24.12,24.72,26.0,27.44,27.75,26.56,25.56,25.75,25.59,23.69,21.47,20.59,20.34,18.75,16.56,16.06,16.03,15.56,14.53,14.72,16.03,17.22,17.47,18.25,20.53,22.97,23.03,22.62,23.0,23.62,22.75,21.47,21.56,22.5,22.94,22.75,22.84,23.72,23.41,21.12,18.91,18.22,17.81,16.81,15.75,16.53,18.06,18.44,17.69,17.81,18.0,16.97,14.81,13.75,14.75,16.16,17.12,18.22,20.56,22.66,22.97,22.31,22.84,24.03,23.88,22.34,21.56,21.56,21.19,19.47,18.28,18.16,17.69,15.19,12.34,11.34,11.16,10.06,9.41,9.91,11.34,11.91,11.06,11.38,12.75,13.66,13.5,13.59,15.31,16.91,17.81,19.09,21.72,24.62,25.53,25.25,24.78,23.59,20.03,14.72,9.47,5.69,2.38,-1.12,-2.06,-0.03,3.19,5.78,8.5,11.69,15.06,16.69,17.97,20.16,23.66,26.59,28.59,31.25,34.69,37.44,37.75,37.84,38.0,37.41,34.44,30.91,28.44,26.53,23.47,19.94,17.09,15.75,14.03,11.59,10.38,10.81,11.31,10.31,9.28,9.69,10.12,9.03,7.94,8.16,9.66,10.53,10.72,11.72,13.31,13.5,11.53,9.53,7.91,6.12,3.03,0.59,0.28,1.34,1.38,1.81,3.62,6.47,8.38,8.91,10.22,11.91,12.53,11.19,10.03,9.78,10.12,9.28,9.06,10.78,13.47,14.88,15.88,17.94,20.47,21.66,21.09,19.72,18.66,15.56,10.44,5.62,2.44,0.62,-1.62,-2.34,-0.81,1.94,3.81,5.22,7.16,9.47,11.0,11.09,11.78,13.75,15.66,16.19,16.81,18.44,20.34,19.75,18.88,18.66,18.5,16.94,14.28,12.59,12.0,10.94,9.41,9.0,10.03,10.88,9.66,8.28,7.91,7.84,6.62,6.19,7.78,10.81,12.72,13.66,14.88,16.59,17.03,16.31,16.31,18.0,20.12,20.88,21.84,23.78,25.5,24.69,23.19,22.84,23.09,22.53,20.81,20.41,21.22,21.47,20.66,20.81,22.31,23.81,23.19,22.25,22.0,21.34,18.5,15.28,13.38,13.0,12.41,11.22,11.12,11.84,12.38,11.47,11.44,13.19,15.59,16.56,17.56,19.75,21.75,21.72,20.66,19.81,19.44,18.38,16.31,15.34,16.09,16.28,15.12,13.84,13.56,13.62,12.53,11.94,13.59,16.69,19.16,21.59,25.06,29.12,31.5,32.0,32.28,33.34,33.75,32.69,31.69,31.91,31.88,30.19,28.19,27.5,27.62,26.53,25.38,25.19,26.34,26.78,26.12,25.84,26.16,25.5,22.91,20.62,20.62,20.69,19.75,18.94,18.91,19.69,19.62,19.62,21.0,24.44,27.31,29.31,31.78,34.91,37.06,36.56,35.12,33.78,31.88,28.66,25.03,22.88,21.88,20.56,18.53,17.62,18.44,19.09,19.56,21.03,24.75,29.0,31.47,33.34,36.5,38.59,37.97,36.31,34.62,33.5,31.41,28.91,27.16,26.81,25.38,22.59,19.34,17.72,16.09,12.84,10.31,10.03,10.41,9.78,8.53,8.19,8.38,7.47,6.22,6.38,8.84,11.31,13.03,14.22,16.19,17.75,16.81,15.69,16.47,18.34,19.72,20.53,22.19,24.34,24.84,23.88,22.78,23.28,23.09,21.44,19.44,18.81,18.47,16.44,14.59,14.53,15.62,16.22,16.47,18.0,20.66,22.47,23.0,23.47,24.84,25.78,24.91,23.56,23.62,23.84,22.41,20.59,19.97,19.97,18.69,16.22,14.56,14.09,13.41,12.5,12.38,14.47,17.41,18.78,20.0,22.28,24.09,23.88,22.31,21.91,22.03,21.16,19.19,18.31,18.81,19.22,18.84,19.0,20.59,22.06,21.78,21.19,22.53,24.53,24.88,24.53,25.31,26.34,25.97,24.12,22.5,22.06,20.81,18.0,15.62,14.56,13.97,11.59,9.09,25.62,25.38,26.44,27.88,29.34,29.5,29.0,27.62,26.06,24.16,22.47,21.25,21.03,21.06,21.41,22.22,23.75,24.69,24.44,23.72,23.06,22.22,21.62,21.75,22.91,24.62,26.16,26.91:8.16,10.09,10.81,10.81,12.06,13.44,13.5,11.5,9.5,9.12,8.91,8.0,7.91,9.69,12.09,12.44,11.66,12.44,12.91,11.84,10.06,9.5,10.44,11.28,11.28,12.0,14.0,15.34,14.25,12.66,12.31,12.0,10.44,8.94,9.56,10.91,11.62,10.84,10.38,10.91,10.38,7.59,5.38,5.0,4.62,3.59,3.38,4.84,7.22,8.25,8.34,9.66,11.06,11.91,11.5,11.5,12.81,13.5,12.88,12.09,12.81,13.59,12.59,11.09,10.88,10.88,9.69,7.59,6.38,6.19,5.09,2.59,1.06,1.34,1.88,1.25,1.25,3.19,4.88,4.91,4.91,5.78,6.66,6.38,5.03,4.84,5.72,6.56,6.34,6.97,8.59,9.59,8.72,7.53,7.62,7.69,6.34,4.47,3.94,3.69,2.72,1.28,1.25,2.53,3.22,2.72,2.28,2.75,3.09,1.78,0.78,1.97,3.5,4.22,4.28,5.56,7.53,8.28,7.88,8.12,9.44,9.78,8.41,7.75,8.75,9.5,8.94,8.03,8.47,9.19,8.5,7.22,7.16,7.78,7.12,5.5,4.88,6.09,6.84,6.66,7.34,9.75,11.84,12.53,12.34,13.09,13.81,13.09,11.62,11.69,12.47,12.22,10.12,8.62,8.0,7.66,6.16,5.22,6.16,7.72,8.09,7.94,9.34,11.12,11.41,10.31,10.22,10.97,11.0,9.41,8.72,9.06,8.94,7.41,6.06,6.5,7.53,7.0,6.19,6.25,6.41,5.03,2.91,2.12,2.97,3.72,4.12,4.72,6.88,8.78,9.34,9.62,10.94,12.16,11.62,10.16,9.0,7.78,5.25,1.38,-1.69,-2.75,-3.5,-4.84,-5.03,-3.62,-1.94,-1.75,-1.16,1.28,4.5,6.31,7.5,9.0,10.62,10.81,9.44,8.94,9.19,8.75,6.94,5.34,5.16,5.66,4.53,3.84,4.59,6.0,5.94,5.28,5.44,5.91,5.41,3.53,2.19,1.84,1.25,-1.09,-2.78,-2.72,-2.41,-3.16,-3.75,-2.78,-1.06,-0.06,0.28,1.72,3.78,4.69,4.03,4.03,5.12,5.97,4.69,3.06,2.78,2.97,1.97,1.66,3.28,5.84,7.56,8.22,9.31,10.91,11.66,10.53,9.69,10.34,11.12,10.34,9.97,11.03,12.84,13.72,14.53,16.28,18.72,19.59,18.78,17.84,17.72,17.12,15.28,14.25,15.03,16.16,16.0,15.44,16.09,16.97,16.5,15.12,14.34,14.0,12.41,9.62,7.38,7.19,7.5,7.03,7.94,11.06,15.22,18.12,20.19,22.69,24.12,22.78,19.47,16.5,14.41,11.75,8.81,6.97,7.25,7.91,7.81,8.47,11.06,14.38,15.97,16.91,18.72,20.06,19.66,17.91,16.47,16.0,14.69,12.84,12.34,13.47,14.56,13.75,12.38,11.81,11.5,9.94,8.09,7.72,8.19,7.34,5.12,3.5,3.44,2.53,1.5,1.44,3.44,6.16,8.0,10.28,13.81,17.25,18.5,18.38,18.22,18.56,17.84,16.91,16.97,18.72,20.44,21.16,21.81,23.53,24.81,23.81,22.16,20.88,20.16,17.97,15.25,14.12,13.97,13.12,12.34,12.03,13.19,13.5,12.25,10.75,10.81,11.53,11.41,12.19,14.72,18.31,20.19,20.72,21.56,22.84,23.59,23.22,23.53,25.06,25.59,24.47,23.38,23.78,25.12,25.12,25.0,25.69,26.53,25.25,22.84,20.5,18.84,16.62,13.97,12.72,13.78,15.34,16.44,16.97,19.22,21.38,21.62,21.12,21.06,21.38,20.38,18.28,16.62,16.12,14.72,12.62,11.47,12.12,13.72,14.56,15.31,17.44,19.94,21.44,22.25,24.0,26.03,26.97,26.81,26.53,27.09,26.84,24.94,22.94,22.25,21.5,20.31,19.69,21.38,24.31,26.22,27.5,29.38,31.38,31.56,30.66,29.81,30.25,30.75,30.09,29.62,31.31,32.66,32.31,31.06,29.78,28.22,24.84,20.78,17.97,16.72,15.06,13.22,11.75,12.41,12.91,12.5,12.16,13.28,15.16,15.94,16.62,18.53,20.97,22.28,22.22,22.47,23.69,24.47,23.47,22.97,23.66,23.72,22.28,20.5,20.19,19.97,18.75,17.19,16.62,16.69,15.78,14.41,13.38,14.06,14.59,14.31,14.62,16.44,18.19,18.72,18.62,19.56,21.06,21.19,20.28,20.78,22.06,22.31,21.59,21.19,22.25,23.12,22.97,22.94,24.5,25.69,24.94,23.59,23.0,22.84,21.62,19.53,18.81,18.94,18.59,17.47,16.94,17.94,18.88,18.97,19.56,20.78,21.88,21.38,20.06,20.47,21.59,22.03,22.09,22.91,23.78,24.22,23.31,22.59,23.25,23.56,22.62,22.22,23.22,24.94,25.56,25.84,26.69,27.34,26.38,24.03,22.28,21.81,21.47,20.66,20.22,21.5,22.72,22.22,21.22,21.97,22.78,22.59,21.88,22.78,24.19,25.06,24.81,24.78,26.0,26.72,26.0,25.0,25.38,25.31,23.62,21.69,21.47,21.31,20.25,18.22,17.28,16.81,16.25,15.09,14.88,16.16,17.53,18.22,19.53,22.25,24.66,25.78,25.78,27.0,28.28,28.59,27.66,27.09,27.03,25.66,22.94,21.25,20.62,20.44,19.34,18.41,19.09,20.38,20.53,20.44,21.25,22.25,22.0,20.47,19.56,19.22,18.38,16.75,15.81,16.66,17.94,18.0,17.84,18.97,20.19,19.94,19.28,20.44,22.53,24.12,24.72,26.0,27.44,27.75,26.56,25.56,25.75,25.59,23.69,21.47,20.59,20.34,18.75,16.56,16.06,16.03,15.56,14.53,14.72,16.03,17.22,17.47,18.25,20.53,22.97,23.03,22.62,23.0,23.62,22.75,21.47,21.56,22.5,22.94,22.75,22.84,23.72,23.41,21.12,18.91,18.22,17.81,16.81,15.75,16.53,18.06,18.44,17.69,17.81,18.0,16.97,14.81,13.75,14.75,16.16,17.12,18.22,20.56,22.66,22.97,22.31,22.84,24.03,23.88,22.34,21.56,21.56,21.19,19.47,18.28,18.16,17.69,15.19,12.34,11.34,11.16,10.06,9.41,9.91,11.34,11.91,11.06,11.38,12.75,13.66,13.5,13.59,15.31,16.91,17.81,19.09,21.72,24.62,25.53,25.25,24.78,23.59,20.03,14.72,9.47,5.69,2.38,-1.12,-2.06,-0.03,3.19,5.78,8.5,11.69,15.06,16.69,17.97,20.16,23.66,26.59,28.59,31.25,34.69,37.44,37.75,37.84,38.0,37.41,34.44,30.91,28.44,26.53,23.47,19.94,17.09,15.75,14.03,11.59,10.38,10.81,11.31,10.31,9.28,9.69,10.12,9.03,7.94,8.16,9.66,10.53,10.72,11.72,13.31,13.5,11.53,9.53,7.91,6.12,3.03,0.59,0.28,1.34,1.38,1.81,3.62,6.47,8.38,8.91,10.22,11.91,12.53,11.19,10.03,9.78,10.12,9.28,9.06,10.78,13.47,14.88,15.88,17.94,20.47,21.66,21.09,19.72,18.66,15.56,10.44,5.62,2.44,0.62,-1.62,-2.34,-0.81,1.94,3.81,5.22,7.16,9.47,11.0,11.09,11.78,13.75,15.66,16.19,16.81,18.44,20.34,19.75,18.88,18.66,18.5,16.94,14.28,12.59,12.0,10.94,9.41,9.0,10.03,10.88,9.66,8.28,7.91,7.84,6.62,6.19,7.78,10.81,12.72,13.66,14.88,16.59,17.03,16.31,16.31,18.0,20.12,20.88,21.84,23.78,25.5,24.69,23.19,22.84,23.09,22.53,20.81,20.41,21.22,21.47,20.66,20.81,22.31,23.81,23.19,22.25,22.0,21.34,18.5,15.28,13.38,13.0,12.41,11.22,11.12,11.84,12.38,11.47,11.44,13.19,15.59,16.56,17.56,19.75,21.75,21.72,20.66,19.81,19.44,18.38,16.31,15.34,16.09,16.28,15.12,13.84,13.56,13.62,12.53,11.94,13.59,16.69,19.16,21.59,25.06,29.12,31.5,32.0,32.28,33.34,33.75,32.69,31.69,31.91,31.88,30.19,28.19,27.5,27.62,26.53,25.38,25.19,26.34,26.78,26.12,25.84,26.16,25.5,22.91,20.62,20.62,20.69,19.75,18.94,18.91,19.69,19.62,19.62,21.0,24.44,27.31,29.31,31.78,34.91,37.06,36.56,35.12,33.78,31.88,28.66,25.03,22.88,21.88,20.56,18.53,17.62,18.44,19.09,19.56,21.03,24.75,29.0,31.47,33.34,36.5,38.59,37.97,36.31,34.62,33.5,31.41,28.91,27.16,26.81,25.38,22.59,19.34,17.72,16.09,12.84,10.31,10.03,10.41,9.78,8.53,8.19,8.38,7.47,6.22,6.38,8.84,11.31,13.03,14.22,16.19,17.75,16.81,15.69,16.47,18.34,19.72,20.53,22.19,24.34,24.84,23.88,22.78,23.28,23.09,21.44,19.44,18.81,18.47,16.44,14.59,14.53,15.62,16.22,16.47,18.0,20.66,22.47,23.0,23.47,24.84,25.78,24.91,23.56,23.62,23.84,22.41,20.59,19.97,19.97,18.69,16.22,14.56,14.09,13.41,12.5,12.38,14.47,17.41,18.78,20.0,22.28,24.09,23.88,22.31,21.91,22.03,21.16,19.19,18.31,18.81,19.22,18.84,19.0,20.59,22.06,21.78,21.19,22.53,24.53,24.88,24.53,25.31,26.34,25.97,24.12,22.5,22.06,20.81,18.0,15.62,14.56,13.97,11.59,9.09,25.62,25.38,26.44,27.88,29.34,29.5,29.0,27.62,26.06,24.16,22.47,21.25,21.03,21.06,21.41,22.22,23.75,24.69,24.44,23.72,23.06,22.22,21.62,21.75,22.91,24.62,26.16,26.91,27.78,28.59,29.12,29.28,29.84,30.75,31.16:11.5,9.5,9.12,8.91,8.0,7.91,9.69,12.09,12.44,11.66,12.44,12.91,11.84,10.06,9.5,10.44,11.28,11.28,12.0,14.0,15.34,14.25,12.66,12.31,12.0,10.44,8.94,9.56,10.91,11.62,10.84,10.38,10.91,10.38,7.59,5.38,5.0,4.62,3.59,3.38,4.84,7.22,8.25,8.34,9.66,11.06,11.91,11.5,11.5,12.81,13.5,12.88,12.09,12.81,13.59,12.59,11.09,10.88,10.88,9.69,7.59,6.38,6.19,5.09,2.59,1.06,1.34,1.88,1.25,1.25,3.19,4.88,4.91,4.91,5.78,6.66,6.38,5.03,4.84,5.72,6.56,6.34,6.97,8.59,9.59,8.72,7.53,7.62,7.69,6.34,4.47,3.94,3.69,2.72,1.28,1.25,2.53,3.22,2.72,2.28,2.75,3.09,1.78,0.78,1.97,3.5,4.22,4.28,5.56,7.53,8.28,7.88,8.12,9.44,9.78,8.41,7.75,8.75,9.5,8.94,8.03,8.47,9.19,8.5,7.22,7.16,7.78,7.12,5.5,4.88,6.09,6.84,6.66,7.34,9.75,11.84,12.53,12.34,13.09,13.81,13.09,11.62,11.69,12.47,12.22,10.12,8.62,8.0,7.66,6.16,5.22,6.16,7.72,8.09,7.94,9.34,11.12,11.41,10.31,10.22,10.97,11.0,9.41,8.72,9.06,8.94,7.41,6.06,6.5,7.53,7.0,6.19,6.25,6.41,5.03,2.91,2.12,2.97,3.72,4.12,4.72,6.88,8.78,9.34,9.62,10.94,12.16,11.62,10.16,9.0,7.78,5.25,1.38,-1.69,-2.75,-3.5,-4.84,-5.03,-3.62,-1.94,-1.75,-1.16,1.28,4.5,6.31,7.5,9.0,10.62,10.81,9.44,8.94,9.19,8.75,6.94,5.34,5.16,5.66,4.53,3.84,4.59,6.0,5.94,5.28,5.44,5.91,5.41,3.53,2.19,1.84,1.25,-1.09,-2.78,-2.72,-2.41,-3.16,-3.75,-2.78,-1.06,-0.06,0.28,1.72,3.78,4.69,4.03,4.03,5.12,5.97,4.69,3.06,2.78,2.97,1.97,1.66,3.28,5.84,7.56,8.22,9.31,10.91,11.66,10.53,9.69,10.34,11.12,10.34,9.97,11.03,12.84,13.72,14.53,16.28,18.72,19.59,18.78,17.84,17.72,17.12,15.28,14.25,15.03,16.16,16.0,15.44,16.09,16.97,16.5,15.12,14.34,14.0,12.41,9.62,7.38,7.19,7.5,7.03,7.94,11.06,15.22,18.12,20.19,22.69,24.12,22.78,19.47,16.5,14.41,11.75,8.81,6.97,7.25,7.91,7.81,8.47,11.06,14.38,15.97,16.91,18.72,20.06,19.66,17.91,16.47,16.0,14.69,12.84,12.34,13.47,14.56,13.75,12.38,11.81,11.5,9.94,8.09,7.72,8.19,7.34,5.12,3.5,3.44,2.53,1.5,1.44,3.44,6.16,8.0,10.28,13.81,17.25,18.5,18.38,18.22,18.56,17.84,16.91,16.97,18.72,20.44,21.16,21.81,23.53,24.81,23.81,22.16,20.88,20.16,17.97,15.25,14.12,13.97,13.12,12.34,12.03,13.19,13.5,12.25,10.75,10.81,11.53,11.41,12.19,14.72,18.31,20.19,20.72,21.56,22.84,23.59,23.22,23.53,25.06,25.59,24.47,23.38,23.78,25.12,25.12,25.0,25.69,26.53,25.25,22.84,20.5,18.84,16.62,13.97,12.72,13.78,15.34,16.44,16.97,19.22,21.38,21.62,21.12,21.06,21.38,20.38,18.28,16.62,16.12,14.72,12.62,11.47,12.12,13.72,14.56,15.31,17.44,19.94,21.44,22.25,24.0,26.03,26.97,26.81,26.53,27.09,26.84,24.94,22.94,22.25,21.5,20.31,19.69,21.38,24.31,26.22,27.5,29.38,31.38,31.56,30.66,29.81,30.25,30.75,30.09,29.62,31.31,32.66,32.31,31.06,29.78,28.22,24.84,20.78,17.97,16.72,15.06,13.22,11.75,12.41,12.91,12.5,12.16,13.28,15.16,15.94,16.62,18.53,20.97,22.28,22.22,22.47,23.69,24.47,23.47,22.97,23.66,23.72,22.28,20.5,20.19,19.97,18.75,17.19,16.62,16.69,15.78,14.41,13.38,14.06,14.59,14.31,14.62,16.44,18.19,18.72,18.62,19.56,21.06,21.19,20.28,20.78,22.06,22.31,21.59,21.19,22.25,23.12,22.97,22.94,24.5,25.69,24.94,23.59,23.0,22.84,21.62,19.53,18.81,18.94,18.59,17.47,16.94,17.94,18.88,18.97,19.56,20.78,21.88,21.38,20.06,20.47,21.59,22.03,22.09,22.91,23.78,24.22,23.31,22.59,23.25,23.56,22.62,22.22,23.22,24.94,25.56,25.84,26.69,27.34,26.38,24.03,22.28,21.81,21.47,20.66,20.22,21.5,22.72,22.22,21.22,21.97,22.78,22.59,21.88,22.78,24.19,25.06,24.81,24.78,26.0,26.72,26.0,25.0,25.38,25.31,23.62,21.69,21.47,21.31,20.25,18.22,17.28,16.81,16.25,15.09,14.88,16.16,17.53,18.22,19.53,22.25,24.66,25.78,25.78,27.0,28.28,28.59,27.66,27.09,27.03,25.66,22.94,21.25,20.62,20.44,19.34,18.41,19.09,20.38,20.53,20.44,21.25,22.25,22.0,20.47,19.56,19.22,18.38,16.75,15.81,16.66,17.94,18.0,17.84,18.97,20.19,19.94,19.28,20.44,22.53,24.12,24.72,26.0,27.44,27.75,26.56,25.56,25.75,25.59,23.69,21.47,20.59,20.34,18.75,16.56,16.06,16.03,15.56,14.53,14.72,16.03,17.22,17.47,18.25,20.53,22.97,23.03,22.62,23.0,23.62,22.75,21.47,21.56,22.5,22.94,22.75,22.84,23.72,23.41,21.12,18.91,18.22,17.81,16.81,15.75,16.53,18.06,18.44,17.69,17.81,18.0,16.97,14.81,13.75,14.75,16.16,17.12,18.22,20.56,22.66,22.97,22.31,22.84,24.03,23.88,22.34,21.56,21.56,21.19,19.47,18.28,18.16,17.69,15.19,12.34,11.34,11.16,10.06,9.41,9.91,11.34,11.91,11.06,11.38,12.75,13.66,13.5,13.59,15.31,16.91,17.81,19.09,21.72,24.62,25.53,25.25,24.78,23.59,20.03,14.72,9.47,5.69,2.38,-1.12,-2.06,-0.03,3.19,5.78,8.5,11.69,15.06,16.69,17.97,20.16,23.66,26.59,28.59,31.25,34.69,37.44,37.75,37.84,38.0,37.41,34.44,30.91,28.44,26.53,23.47,19.94,17.09,15.75,14.03,11.59,10.38,10.81,11.31,10.31,9.28,9.69,10.12,9.03,7.94,8.16,9.66,10.53,10.72,11.72,13.31,13.5,11.53,9.53,7.91,6.12,3.03,0.59,0.28,1.34,1.38,1.81,3.62,6.47,8.38,8.91,10.22,11.91,12.53,11.19,10.03,9.78,10.12,9.28,9.06,10.78,13.47,14.88,15.88,17.94,20.47,21.66,21.09,19.72,18.66,15.56,10.44,5.62,2.44,0.62,-1.62,-2.34,-0.81,1.94,3.81,5.22,7.16,9.47,11.0,11.09,11.78,13.75,15.66,16.19,16.81,18.44,20.34,19.75,18.88,18.66,18.5,16.94,14.28,12.59,12.0,10.94,9.41,9.0,10.03,10.88,9.66,8.28,7.91,7.84,6.62,6.19,7.78,10.81,12.72,13.66,14.88,16.59,17.03,16.31,16.31,18.0,20.12,20.88,21.84,23.78,25.5,24.69,23.19,22.84,23.09,22.53,20.81,20.41,21.22,21.47,20.66,20.81,22.31,23.81,23.19,22.25,22.0,21.34,18.5,15.28,13.38,13.0,12.41,11.22,11.12,11.84,12.38,11.47,11.44,13.19,15.59,16.56,17.56,19.75,21.75,21.72,20.66,19.81,19.44,18.38,16.31,15.34,16.09,16.28,15.12,13.84,13.56,13.62,12.53,11.94,13.59,16.69,19.16,21.59,25.06,29.12,31.5,32.0,32.28,33.34,33.75,32.69,31.69,31.91,31.88,30.19,28.19,27.5,27.62,26.53,25.38,25.19,26.34,26.78,26.12,25.84,26.16,25.5,22.91,20.62,20.62,20.69,19.75,18.94,18.91,19.69,19.62,19.62,21.0,24.44,27.31,29.31,31.78,34.91,37.06,36.56,35.12,33.78,31.88,28.66,25.03,22.88,21.88,20.56,18.53,17.62,18.44,19.09,19.56,21.03,24.75,29.0,31.47,33.34,36.5,38.59,37.97,36.31,34.62,33.5,31.41,28.91,27.16,26.81,25.38,22.59,19.34,17.72,16.09,12.84,10.31,10.03,10.41,9.78,8.53,8.19,8.38,7.47,6.22,6.38,8.84,11.31,13.03,14.22,16.19,17.75,16.81,15.69,16.47,18.34,19.72,20.53,22.19,24.34,24.84,23.88,22.78,23.28,23.09,21.44,19.44,18.81,18.47,16.44,14.59,14.53,15.62,16.22,16.47,18.0,20.66,22.47,23.0,23.47,24.84,25.78,24.91,23.56,23.62,23.84,22.41,20.59,19.97,19.97,18.69,16.22,14.56,14.09,13.41,12.5,12.38,14.47,17.41,18.78,20.0,22.28,24.09,23.88,22.31,21.91,22.03,21.16,19.19,18.31,18.81,19.22,18.84,19.0,20.59,22.06,21.78,21.19,22.53,24.53,24.88,24.53,25.31,26.34,25.97,24.12,22.5,22.06,20.81,18.0,15.62,14.56,13.97,11.59,9.09,25.62,25.38,26.44,27.88,29.34,29.5,29.0,27.62,26.06,24.16,22.47,21.25,21.03,21.06,21.41,22.22,23.75,24.69,24.44,23.72,23.06,22.22,21.62,21.75,22.91,24.62,26.16,26.91,27.78,28.59,29.12,29.28,29.84,30.75,31.16,30.88,30.47,30.09,29.81,29.28,28.41,27.31:negativity
-15.84,-13.69,-13.59,-15.56,-16.38,-14.97,-13.97,-14.84,-15.44,-14.0,-12.47,-13.88,-16.03,-16.22,-14.94,-15.38,-16.72,-16.38,-13.62,-12.19,-12.47,-12.31,-9.41,-7.53,-8.03,-8.75,-6.88,-4.69,-4.97,-6.41,-6.62,-5.78,-7.28,-9.88,-10.91,-9.44,-8.53,-9.28,-9.59,-7.22,-4.84,-4.59,-4.28,-1.22,2.31,2.22,0.09,-1.41,-2.56,-6.06,-10.75,-13.72,-13.97,-14.56,-16.91,-18.66,-17.53,-16.0,-16.44,-16.72,-14.69,-11.03,-9.31,-9.41,-7.5,-4.25,-2.72,-3.19,-3.44,-1.88,-2.09,-4.78,-8.09,-9.06,-9.38,-11.81,-14.66,-14.84,-13.75,-14.5,-16.62,-17.06,-15.72,-15.38,-16.75,-17.62,-16.09,-14.56,-15.0,-15.78,-13.5,-10.38,-10.16,-11.22,-10.53,-8.62,-8.09,-8.81,-8.12,-5.12,-3.53,-4.28,-5.22,-3.97,-2.66,-3.81,-5.78,-5.38,-4.47,-5.34,-7.69,-8.66,-8.38,-9.25,-12.66,-15.5,-16.0,-17.28,-20.47,-23.44,-23.41,-22.34,-23.34,-24.56,-23.41,-21.06,-20.44,-21.09,-19.62,-16.25,-14.06,-13.47,-12.53,-8.94,-6.09,-5.66,-6.12,-4.81,-4.09,-6.16,-10.0,-12.03,-13.22,-16.41,-21.47,-24.72,-25.44,-26.0,-27.75,-28.03,-25.25,-21.91,-20.47,-19.56,-16.25,-12.41,-11.16,-11.28,-9.78,-7.22,-5.53,-5.53,-4.59,-1.84,-0.03,-1.34,-2.69,-1.88,-1.34,-3.31,-6.53,-7.56,-8.28,-10.78,-15.03,-16.75,-16.62,-17.12,-18.78,-19.44,-17.47,-16.09,-17.28,-18.31,-17.25,-15.38,-15.16,-14.94,-12.25,-8.38,-6.19,-6.41,-6.06,-4.62,-4.78,-8.28,-11.44,-12.66,-14.41,-18.5,-22.41,-23.78,-24.09,-26.31,-28.84,-28.62,-26.09,-24.56,-24.78,-23.81,-21.38,-20.16,-21.62,-22.88,-21.72,-20.75,-21.56,-22.47,-20.31,-17.47,-16.53,-17.25,-16.25,-14.09,-12.94,-13.31,-12.94,-10.44,-8.69,-9.72,-11.06,-10.44,-9.97,-12.22,-15.06,-16.12,-16.22,-17.5,-20.41,-21.31,-20.16,-19.53,-20.5,-20.31,-17.47,-14.75,-15.03,-15.09,-12.78,-10.44,-10.72,-12.19,-12.03,-10.91,-11.44,-13.34,-13.09,-11.25,-9.56,-10.53,-11.25,-10.28,-9.72,-12.09,-14.81,-15.25,-14.81,-15.41,-16.81,-16.03,-13.62,-12.56,-13.91,-14.56,-13.31,-13.16,-15.31,-17.38,-17.31,-17.12,-19.12,-21.31,-21.22,-19.44,-19.06,-19.81,-19.0,-16.75,-15.41,-16.16,-16.34,-14.84,-14.19,-16.56,-19.38,-20.19,-20.5,-23.53,-26.84,-27.94,-27.09,-27.16,-27.62,-26.22,-23.06,-20.28,-20.0,-19.03,-16.31,-13.41,-13.34,-14.22,-13.34,-11.84,-12.94,-15.06,-15.66,-14.66,-15.19,-17.06,-18.0,-16.81,-15.97,-17.91,-19.47,-18.91,-17.78,-19.12,-20.38,-19.09,-16.53,-15.62,-15.72,-14.56,-11.66,-10.03,-10.69,-11.19,-10.12,-9.78,-11.91,-13.94,-13.16,-11.5,-12.0,-13.25,-13.25,-12.56,-13.97,-17.03,-18.78,-18.28,-18.03,-19.06,-18.47,-15.19,-11.41,-10.0,-8.94,-6.41,-4.34,-4.84,-6.69,-7.47,-6.91,-8.09,-11.16,-13.25,-13.5,-14.47,-17.34,-19.75,-19.0,-17.62,-18.06,-18.69,-16.97,-14.5,-14.25,-15.06,-14.0,-11.16,-9.59,-9.75,-9.16,-6.94,-5.97,-7.69,-9.47,-9.38,-8.44,-9.66,-11.12,-10.75,-9.38,-10.47,-13.28,-15.22,-15.78,-17.12,-20.28,-22.62,-22.56,-22.34,-23.88,-24.75,-23.12,-20.06,-18.84,-18.97,-18.0,-16.38,-16.75,-18.97,-19.97,-18.91,-18.72,-21.09,-23.53,-23.66,-23.84,-26.44,-29.0,-29.09,-27.91,-28.81,-30.25,-30.03,-28.34,-28.09,-29.28,-29.56,-26.81,-24.91,-24.41,-23.56,-20.78,-18.12,-17.84,-18.66,-18.38,-17.31,-17.91,-19.91,-20.91,-20.31,-21.03,-23.56,-25.59,-25.22,-24.59,-25.59,-26.44,-24.72,-22.59,-22.56,-23.69,-23.5,-22.25,-22.25,-24.03,-24.19,-22.81,-22.75,-24.81,-26.03,-25.06,-24.25,-25.12,-26.72,-26.19,-25.06,-25.38,-26.19,-25.38,-23.44,-22.78,-24.16,-25.16,-24.41,-24.44,-26.22,-27.66,-26.0,-23.78,-23.12,-22.94,-21.28,-18.81,-18.28,-18.94,-18.47,-16.28,-15.34,-16.75,-18.12,-17.75,-18.03,-20.78,-23.88,-24.62,-25.16,-27.62,-30.97,-31.91,-31.5,-31.19,-31.84,-30.62,-26.97,-23.62,-22.38,-21.25,-17.5,-14.06,-13.28,-13.03,-10.81,-8.53,-8.12,-9.47,-9.25,-8.06,-8.09,-10.0,-10.91,-9.97,-9.81,-12.09,-14.19,-14.16,-14.25,-16.97,-20.22,-21.03,-20.59,-21.06,-21.84,-20.88,-18.22,-17.16,-18.75,-20.19,-20.06,-20.59,-23.56,-26.38,-26.69,-26.09,-27.12,-28.03,-26.38,-22.97,-21.19,-20.84,-19.75,-17.44,-16.25,-16.78,-16.88,-14.38,-11.69,-11.41,-12.03,-10.66,-9.28,-10.25,-12.47,-13.0,-12.22,-12.44,-14.62,-15.56,-15.03,-15.44,-18.72,-22.25,-23.31,-24.22,-26.5,-28.53,-27.09,-24.06,-21.78,-20.53,-17.5,-13.53,-11.41,-11.75,-12.41,-11.62,-10.91,-12.72,-13.88,-12.34,-10.03,-9.97,-11.34,-11.44,-10.69,-12.53,-16.0,-17.84,-17.66,-17.94,-19.97,-20.94,-19.81,-18.31,-19.44,-20.75,-19.66,-17.84,-17.72,-18.5,-16.94,-14.28,-13.06,-14.31,-14.06,-12.62,-12.06,-13.66,-15.03,-14.41,-13.69,-15.41,-17.72,-17.47,-16.0,-15.66,-16.5,-15.38,-12.97,-11.81,-12.81,-12.97,-11.41,-10.44,-11.72,-12.84,-11.72,-9.53,-9.5,-10.0,-9.06,-7.91,-9.44,-12.81,-15.16,-16.06,-17.06,-19.44,-20.88,-19.59,-18.31,-19.84,-21.5,-20.75,-19.0,-18.72,-19.5,-18.44,-16.81,-17.41,-20.47,-22.03,-21.47,-20.84,-22.0,-22.28,-20.06,-17.53,-17.28,-17.38,-15.22,-12.56,-12.12,-13.69,-14.41,-13.72,-14.97,-17.94,-19.62,-18.94,-18.16,-19.34,-19.97,-18.44,-16.97,-17.97,-19.12,-18.06,-16.0,-16.06,-17.12,-17.38,-16.56,-16.94,-19.97,-22.38,-22.72,-23.03,-25.12,-26.47,-24.88,-22.34,-21.78,-21.84,-20.38,-17.72,-16.81,-17.47,-16.56,-14.41,-13.03,-14.69,-16.09,-15.84,-15.31,-17.59,-19.81,-19.72,-18.38,-18.94,-20.16,-19.31,-17.0,-16.41,-17.44,-18.0,-16.5,-16.16,-18.38,-19.84,-18.78,-16.97,-17.19,-17.62,-15.97,-13.25,-12.75,-13.38,-12.56,-10.09,-8.91,-10.22,-11.28,-10.5,-10.75,-14.53,-18.09,-19.56,-19.88,-22.56,-24.94,-24.62,-22.81,-22.38,-22.78,-21.69,-18.5,-16.22,-16.25,-16.09,-14.25,-12.75,-14.09,-15.84,-15.16,-13.94,-15.09,-17.12,-17.38,-16.31,-16.72,-18.53,-18.25,-14.72,-11.12,-9.72,-8.03,-4.66,-2.47,-3.62,-5.5,-5.5,-4.91,-7.06,-10.62,-13.06,-13.84,-15.97,-19.41,-21.69,-20.59,-19.41,-19.94,-19.75,-17.03,-13.81,-13.47,-14.12,-12.94,-11.06,-11.66,-13.91,-15.16,-14.56,-14.53,-16.09,-16.34,-13.75,-11.81,-11.81,-12.16,-10.09,-7.62,-7.72,-8.81,-8.38,-7.0,-7.75,-10.31,-12.16,-12.03,-12.34,-14.56,-15.38,-12.88,-10.16,-10.0,-10.09,-8.0,-5.72,-6.16,-7.59,-8.12,-7.34,-8.5,-11.19,-12.62,-11.28,-10.12,-10.91,-11.0,-8.59,-6.53,-7.66,-10.06,-11.16,-11.78,-14.69,-17.97,-18.69,-16.94,-16.0,-16.41,-16.06,-14.0,-12.94,-14.81,-17.03,-16.88,-16.41,-18.03,-19.94,-19.09,-16.88,-16.31,-17.19,-17.09,-15.09,-14.56,-16.75,-18.66,-18.53,-19.09,-21.69,-24.75,-24.56,-23.06,-23.12,-23.84,-21.94,-18.09,-15.62,-14.84,-13.25,-9.66,-7.91,-8.28,-9.06,-7.75,-7.06,-9.0,-11.81,-12.72,-13.19,-15.59,-19.16,-20.5,-19.81,-20.44,-22.12,-22.41,-19.88,-17.41,-16.62,-16.03,-12.69,-9.47,-9.41,-10.81,-10.34,-9.59,-10.88,-13.88,-14.91,-13.38,-12.34,-12.69,-12.09,-8.44,-5.94,-6.06,-7.09,-6.03,-4.72,-6.0,-8.0,-7.34,-5.19,-4.59,-5.0,-4.19,-1.31,-0.12,-0.97,-2.03,-0.59,0.47,-0.75,-1.88,-0.31,1.81,2.0,0.84,1.31,3.03,2.81,0.5,-1.41,-1.81,-3.34,-7.0,-9.81,-9.72,-9.09,-10.09,-11.94,-11.78,-10.91,-11.84,-13.91,-13.78,-11.5,-9.81,-9.81,-8.31,-4.81,-1.97,-1.56,-1.34,1.38,4.38,5.12,4.56,5.62,6.66,4.81,1.0,-1.75,-2.94,-5.34,-9.28,-12.59,-13.0,-13.59,-15.84,-17.84,-16.75,-14.78,-15.22,-16.94,-17.16,-16.19,-15.81,-16.47,-14.56,-9.47,-5.03,-3.34,-1.44,2.0,4.75,4.84,4.66,6.78,9.34,9.66,8.34,8.88,10.19,10.09,7.5,6.16,7.0,7.09,5.0,3.34,3.78,4.34,2.56,-0.06,-0.41,0.38,-0.59,-3.12,-4.16,-3.19,-3.31,-4.97,-5.25,-2.78,-0.56,-0.78,-1.34,0.28,2.5,2.53,1.91,3.38,5.62,5.69,3.81,3.03,3.75,3.0,-0.22,-2.88,-2.72,-2.22,-3.06,-2.78,0.41,4.66,6.47,7.06,8.84,11.47,12.59,11.66,12.31,14.88,16.69,15.53,14.31,15.09,15.47,13.28,10.47,9.38,9.09,7.28,4.72,4.31,5.84,6.97,6.03,6.25,8.41,10.09,8.69,7.09,7.59,8.09,6.59,4.41,4.59,5.81,5.59,4.03,3.81,5.53,6.66,5.06,4.5,6.28,7.81,6.09,4.34,4.25,4.12,1.0,-3.09,-4.88,-5.12,-5.88,-7.12,-6.0,-2.69,0.25,0.75,1.66,4.0,5.72,3.53,0.47,-0.56,-0.88,-2.28,-3.62,-2.84,-0.34,0.91,0.06,0.09,1.91,2.91,1.56,0.84,2.16,3.94,3.31,2.28,3.06,4.41,4.03,2.31,1.88,3.16,3.06,1.53,0.38,0.78,0.44,-2.16,-4.53,-4.5,-3.06,-3.97:-14.84,-15.44,-14.0,-12.47,-13.88,-16.03,-16.22,-14.94,-15.38,-16.72,-16.38,-13.62,-12.19,-12.47,-12.31,-9.41,-7.53,-8.03,-8.75,-6.88,-4.69,-4.97,-6.41,-6.62,-5.78,-7.28,-9.88,-10.91,-9.44,-8.53,-9.28,-9.59,-7.22,-4.84,-4.59,-4.28,-1.22,2.31,2.22,0.09,-1.41,-2.56,-6.06,-10.75,-13.72,-13.97,-14.56,-16.91,-18.66,-17.53,-16.0,-16.44,-16.72,-14.69,-11.03,-9.31,-9.41,-7.5,-4.25,-2.72,-3.19,-3.44,-1.88,-2.09,-4.78,-8.09,-9.06,-9.38,-11.81,-14.66,-14.84,-13.75,-14.5,-16.62,-17.06,-15.72,-15.38,-16.75,-17.62,-16.09,-14.56,-15.0,-15.78,-13.5,-10.38,-10.16,-11.22,-10.53,-8.62,-8.09,-8.81,-8.12,-5.12,-3.53,-4.28,-5.22,-3.97,-2.66,-3.81,-5.78,-5.38,-4.47,-5.34,-7.69,-8.66,-8.38,-9.25,-12.66,-15.5,-16.0,-17.28,-20.47,-23.44,-23.41,-22.34,-23.34,-24.56,-23.41,-21.06,-20.44,-21.09,-19.62,-16.25,-14.06,-13.47,-12.53,-8.94,-6.09,-5.66,-6.12,-4.81,-4.09,-6.16,-10.0,-12.03,-13.22,-16.41,-21.47,-24.72,-25.44,-26.0,-27.75,-28.03,-25.25,-21.91,-20.47,-19.56,-16.25,-12.41,-11.16,-11.28,-9.78,-7.22,-5.53,-5.53,-4.59,-1.84,-0.03,-1.34,-2.69,-1.88,-1.34,-3.31,-6.53,-7.56,-8.28,-10.78,-15.03,-16.75,-16.62,-17.12,-18.78,-19.44,-17.47,-16.09,-17.28,-18.31,-17.25,-15.38,-15.16,-14.94,-12.25,-8.38,-6.19,-6.41,-6.06,-4.62,-4.78,-8.28,-11.44,-12.66,-14.41,-18.5,-22.41,-23.78,-24.09,-26.31,-28.84,-28.62,-26.09,-24.56,-24.78,-23.81,-21.38,-20.16,-21.62,-22.88,-21.72,-20.75,-21.56,-22.47,-20.31,-17.47,-16.53,-17.25,-16.25,-14.09,-12.94,-13.31,-12.94,-10.44,-8.69,-9.72,-11.06,-10.44,-9.97,-12.22,-15.06,-16.12,-16.22,-17.5,-20.41,-21.31,-20.16,-19.53,-20.5,-20.31,-17.47,-14.75,-15.03,-15.09,-12.78,-10.44,-10.72,-12.19,-12.03,-10.91,-11.44,-13.34,-13.09,-11.25,-9.56,-10.53,-11.25,-10.28,-9.72,-12.09,-14.81,-15.25,-14.81,-15.41,-16.81,-16.03,-13.62,-12.56,-13.91,-14.56,-13.31,-13.16,-15.31,-17.38,-17.31,-17.12,-19.12,-21.31,-21.22,-19.44,-19.06,-19.81,-19.0,-16.75,-15.41,-16.16,-16.34,-14.84,-14.19,-16.56,-19.38,-20.19,-20.5,-23.53,-26.84,-27.94,-27.09,-27.16,-27.62,-26.22,-23.06,-20.28,-20.0,-19.03,-16.31,-13.41,-13.34,-14.22,-13.34,-11.84,-12.94,-15.06,-15.66,-14.66,-15.19,-17.06,-18.0,-16.81,-15.97,-17.91,-19.47,-18.91,-17.78,-19.12,-20.38,-19.09,-16.53,-15.62,-15.72,-14.56,-11.66,-10.03,-10.69,-11.19,-10.12,-9.78,-11.91,-13.94,-13.16,-11.5,-12.0,-13.25,-13.25,-12.56,-13.97,-17.03,-18.78,-18.28,-18.03,-19.06,-18.47,-15.19,-11.41,-10.0,-8.94,-6.41,-4.34,-4.84,-6.69,-7.47,-6.91,-8.09,-11.16,-13.25,-13.5,-14.47,-17.34,-19.75,-19.0,-17.62,-18.06,-18.69,-16.97,-14.5,-14.25,-15.06,-14.0,-11.16,-9.59,-9.75,-9.16,-6.94,-5.97,-7.69,-9.47,-9.38,-8.44,-9.66,-11.12,-10.75,-9.38,-10.47,-13.28,-15.22,-15.78,-17.12,-20.28,-22.62,-22.56,-22.34,-23.88,-24.75,-23.12,-20.06,-18.84,-18.97,-18.0,-16.38,-16.75,-18.97,-19.97,-18.91,-18.72,-21.09,-23.53,-23.66,-23.84,-26.44,-29.0,-29.09,-27.91,-28.81,-30.25,-30.03,-28.34,-28.09,-29.28,-29.56,-26.81,-24.91,-24.41,-23.56,-20.78,-18.12,-17.84,-18.66,-18.38,-17.31,-17.91,-19.91,-20.91,-20.31,-21.03,-23.56,-25.59,-25.22,-24.59,-25.59,-26.44,-24.72,-22.59,-22.56,-23.69,-23.5,-22.25,-22.25,-24.03,-24.19,-22.81,-22.75,-24.81,-26.03,-25.06,-24.25,-25.12,-26.72,-26.19,-25.06,-25.38,-26.19,-25.38,-23.44,-22.78,-24.16,-25.16,-24.41,-24.44,-26.22,-27.66,-26.0,-23.78,-23.12,-22.94,-21.28,-18.81,-18.28,-18.94,-18.47,-16.28,-15.34,-16.75,-18.12,-17.75,-18.03,-20.78,-23.88,-24.62,-25.16,-27.62,-30.97,-31.91,-31.5,-31.19,-31.84,-30.62,-26.97,-23.62,-22.38,-21.25,-17.5,-14.06,-13.28,-13.03,-10.81,-8.53,-8.12,-9.47,-9.25,-8.06,-8.09,-10.0,-10.91,-9.97,-9.81,-12.09,-14.19,-14.16,-14.25,-16.97,-20.22,-21.03,-20.59,-21.06,-21.84,-20.88,-18.22,-17.16,-18.75,-20.19,-20.06,-20.59,-23.56,-26.38,-26.69,-26.09,-27.12,-28.03,-26.38,-22.97,-21.19,-20.84,-19.75,-17.44,-16.25,-16.78,-16.88,-14.38,-11.69,-11.41,-12.03,-10.66,-9.28,-10.25,-12.47,-13.0,-12.22,-12.44,-14.62,-15.56,-15.03,-15.44,-18.72,-22.25,-23.31,-24.22,-26.5,-28.53,-27.09,-24.06,-21.78,-20.53,-17.5,-13.53,-11.41,-11.75,-12.41,-11.62,-10.91,-12.72,-13.88,-12.34,-10.03,-9.97,-11.34,-11.44,-10.69,-12.53,-16.0,-17.84,-17.66,-17.94,-19.97,-20.94,-19.81,-18.31,-19.44,-20.75,-19.66,-17.84,-17.72,-18.5,-16.94,-14.28,-13.06,-14.31,-14.06,-12.62,-12.06,-13.66,-15.03,-14.41,-13.69,-15.41,-17.72,-17.47,-16.0,-15.66,-16.5,-15.38,-12.97,-11.81,-12.81,-12.97,-11.41,-10.44,-11.72,-12.84,-11.72,-9.53,-9.5,-10.0,-9.06,-7.91,-9.44,-12.81,-15.16,-16.06,-17.06,-19.44,-20.88,-19.59,-18.31,-19.84,-21.5,-20.75,-19.0,-18.72,-19.5,-18.44,-16.81,-17.41,-20.47,-22.03,-21.47,-20.84,-22.0,-22.28,-20.06,-17.53,-17.28,-17.38,-15.22,-12.56,-12.12,-13.69,-14.41,-13.72,-14.97,-17.94,-19.62,-18.94,-18.16,-19.34,-19.97,-18.44,-16.97,-17.97,-19.12,-18.06,-16.0,-16.06,-17.12,-17.38,-16.56,-16.94,-19.97,-22.38,-22.72,-23.03,-25.12,-26.47,-24.88,-22.34,-21.78,-21.84,-20.38,-17.72,-16.81,-17.47,-16.56,-14.41,-13.03,-14.69,-16.09,-15.84,-15.31,-17.59,-19.81,-19.72,-18.38,-18.94,-20.16,-19.31,-17.0,-16.41,-17.44,-18.0,-16.5,-16.16,-18.38,-19.84,-18.78,-16.97,-17.19,-17.62,-15.97,-13.25,-12.75,-13.38,-12.56,-10.09,-8.91,-10.22,-11.28,-10.5,-10.75,-14.53,-18.09,-19.56,-19.88,-22.56,-24.94,-24.62,-22.81,-22.38,-22.78,-21.69,-18.5,-16.22,-16.25,-16.09,-14.25,-12.75,-14.09,-15.84,-15.16,-13.94,-15.09,-17.12,-17.38,-16.31,-16.72,-18.53,-18.25,-14.72,-11.12,-9.72,-8.03,-4.66,-2.47,-3.62,-5.5,-5.5,-4.91,-7.06,-10.62,-13.06,-13.84,-15.97,-19.41,-21.69,-20.59,-19.41,-19.94,-19.75,-17.03,-13.81,-13.47,-14.12,-12.94,-11.06,-11.66,-13.91,-15.16,-14.56,-14.53,-16.09,-16.34,-13.75,-11.81,-11.81,-12.16,-10.09,-7.62,-7.72,-8.81,-8.38,-7.0,-7.75,-10.31,-12.16,-12.03,-12.34,-14.56,-15.38,-12.88,-10.16,-10.0,-10.09,-8.0,-5.72,-6.16,-7.59,-8.12,-7.34,-8.5,-11.19,-12.62,-11.28,-10.12,-10.91,-11.0,-8.59,-6.53,-7.66,-10.06,-11.16,-11.78,-14.69,-17.97,-18.69,-16.94,-16.0,-16.41,-16.06,-14.0,-12.94,-14.81,-17.03,-16.88,-16.41,-18.03,-19.94,-19.09,-16.88,-16.31,-17.19,-17.09,-15.09,-14.56,-16.75,-18.66,-18.53,-19.09,-21.69,-24.75,-24.56,-23.06,-23.12,-23.84,-21.94,-18.09,-15.62,-14.84,-13.25,-9.66,-7.91,-8.28,-9.06,-7.75,-7.06,-9.0,-11.81,-12.72,-13.19,-15.59,-19.16,-20.5,-19.81,-20.44,-22.12,-22.41,-19.88,-17.41,-16.62,-16.03,-12.69,-9.47,-9.41,-10.81,-10.34,-9.59,-10.88,-13.88,-14.91,-13.38,-12.34,-12.69,-12.09,-8.44,-5.94,-6.06,-7.09,-6.03,-4.72,-6.0,-8.0,-7.34,-5.19,-4.59,-5.0,-4.19,-1.31,-0.12,-0.97,-2.03,-0.59,0.47,-0.75,-1.88,-0.31,1.81,2.0,0.84,1.31,3.03,2.81,0.5,-1.41,-1.81,-3.34,-7.0,-9.81,-9.72,-9.09,-10.09,-11.94,-11.78,-10.91,-11.84,-13.91,-13.78,-11.5,-9.81,-9.81,-8.31,-4.81,-1.97,-1.56,-1.34,1.38,4.38,5.12,4.56,5.62,6.66,4.81,1.0,-1.75,-2.94,-5.34,-9.28,-12.59,-13.0,-13.59,-15.84,-17.84,-16.75,-14.78,-15.22,-16.94,-17.16,-16.19,-15.81,-16.47,-14.56,-9.47,-5.03,-3.34,-1.44,2.0,4.75,4.84,4.66,6.78,9.34,9.66,8.34,8.88,10.19,10.09,7.5,6.16,7.0,7.09,5.0,3.34,3.78,4.34,2.56,-0.06,-0.41,0.38,-0.59,-3.12,-4.16,-3.19,-3.31,-4.97,-5.25,-2.78,-0.56,-0.78,-1.34,0.28,2.5,2.53,1.91,3.38,5.62,5.69,3.81,3.03,3.75,3.0,-0.22,-2.88,-2.72,-2.22,-3.06,-2.78,0.41,4.66,6.47,7.06,8.84,11.47,12.59,11.66,12.31,14.88,16.69,15.53,14.31,15.09,15.47,13.28,10.47,9.38,9.09,7.28,4.72,4.31,5.84,6.97,6.03,6.25,8.41,10.09,8.69,7.09,7.59,8.09,6.59,4.41,4.59,5.81,5.59,4.03,3.81,5.53,6.66,5.06,4.5,6.28,7.81,6.09,4.34,4.25,4.12,1.0,-3.09,-4.88,-5.12,-5.88,-7.12,-6.0,-2.69,0.25,0.75,1.66,4.0,5.72,3.53,0.47,-0.56,-0.88,-2.28,-3.62,-2.84,-0.34,0.91,0.06,0.09,1.91,2.91,1.56,0.84,2.16,3.94,3.31,2.28,3.06,4.41,4.03,2.31,1.88,3.16,3.06,1.53,0.38,0.78,0.44,-2.16,-4.53,-4.5,-3.06,-3.97,21.66,23.91,24.62,23.66,23.38,24.44,25.19:-14.94,-15.38,-16.72,-16.38,-13.62,-12.19,-12.47,-12.31,-9.41,-7.53,-8.03,-8.75,-6.88,-4.69,-4.97,-6.41,-6.62,-5.78,-7.28,-9.88,-10.91,-9.44,-8.53,-9.28,-9.59,-7.22,-4.84,-4.59,-4.28,-1.22,2.31,2.22,0.09,-1.41,-2.56,-6.06,-10.75,-13.72,-13.97,-14.56,-16.91,-18.66,-17.53,-16.0,-16.44,-16.72,-14.69,-11.03,-9.31,-9.41,-7.5,-4.25,-2.72,-3.19,-3.44,-1.88,-2.09,-4.78,-8.09,-9.06,-9.38,-11.81,-14.66,-14.84,-13.75,-14.5,-16.62,-17.06,-15.72,-15.38,-16.75,-17.62,-16.09,-14.56,-15.0,-15.78,-13.5,-10.38,-10.16,-11.22,-10.53,-8.62,-8.09,-8.81,-8.12,-5.12,-3.53,-4.28,-5.22,-3.97,-2.66,-3.81,-5.78,-5.38,-4.47,-5.34,-7.69,-8.66,-8.38,-9.25,-12.66,-15.5,-16.0,-17.28,-20.47,-23.44,-23.41,-22.34,-23.34,-24.56,-23.41,-21.06,-20.44,-21.09,-19.62,-16.25,-14.06,-13.47,-12.53,-8.94,-6.09,-5.66,-6.12,-4.81,-4.09,-6.16,-10.0,-12.03,-13.22,-16.41,-21.47,-24.72,-25.44,-26.0,-27.75,-28.03,-25.25,-21.91,-20.47,-19.56,-16.25,-12.41,-11.16,-11.28,-9.78,-7.22,-5.53,-5.53,-4.59,-1.84,-0.03,-1.34,-2.69,-1.88,-1.34,-3.31,-6.53,-7.56,-8.28,-10.78,-15.03,-16.75,-16.62,-17.12,-18.78,-19.44,-17.47,-16.09,-17.28,-18.31,-17.25,-15.38,-15.16,-14.94,-12.25,-8.38,-6.19,-6.41,-6.06,-4.62,-4.78,-8.28,-11.44,-12.66,-14.41,-18.5,-22.41,-23.78,-24.09,-26.31,-28.84,-28.62,-26.09,-24.56,-24.78,-23.81,-21.38,-20.16,-21.62,-22.88,-21.72,-20.75,-21.56,-22.47,-20.31,-17.47,-16.53,-17.25,-16.25,-14.09,-12.94,-13.31,-12.94,-10.44,-8.69,-9.72,-11.06,-10.44,-9.97,-12.22,-15.06,-16.12,-16.22,-17.5,-20.41,-21.31,-20.16,-19.53,-20.5,-20.31,-17.47,-14.75,-15.03,-15.09,-12.78,-10.44,-10.72,-12.19,-12.03,-10.91,-11.44,-13.34,-13.09,-11.25,-9.56,-10.53,-11.25,-10.28,-9.72,-12.09,-14.81,-15.25,-14.81,-15.41,-16.81,-16.03,-13.62,-12.56,-13.91,-14.56,-13.31,-13.16,-15.31,-17.38,-17.31,-17.12,-19.12,-21.31,-21.22,-19.44,-19.06,-19.81,-19.0,-16.75,-15.41,-16.16,-16.34,-14.84,-14.19,-16.56,-19.38,-20.19,-20.5,-23.53,-26.84,-27.94,-27.09,-27.16,-27.62,-26.22,-23.06,-20.28,-20.0,-19.03,-16.31,-13.41,-13.34,-14.22,-13.34,-11.84,-12.94,-15.06,-15.66,-14.66,-15.19,-17.06,-18.0,-16.81,-15.97,-17.91,-19.47,-18.91,-17.78,-19.12,-20.38,-19.09,-16.53,-15.62,-15.72,-14.56,-11.66,-10.03,-10.69,-11.19,-10.12,-9.78,-11.91,-13.94,-13.16,-11.5,-12.0,-13.25,-13.25,-12.56,-13.97,-17.03,-18.78,-18.28,-18.03,-19.06,-18.47,-15.19,-11.41,-10.0,-8.94,-6.41,-4.34,-4.84,-6.69,-7.47,-6.91,-8.09,-11.16,-13.25,-13.5,-14.47,-17.34,-19.75,-19.0,-17.62,-18.06,-18.69,-16.97,-14.5,-14.25,-15.06,-14.0,-11.16,-9.59,-9.75,-9.16,-6.94,-5.97,-7.69,-9.47,-9.38,-8.44,-9.66,-11.12,-10.75,-9.38,-10.47,-13.28,-15.22,-15.78,-17.12,-20.28,-22.62,-22.56,-22.34,-23.88,-24.75,-23.12,-20.06,-18.84,-18.97,-18.0,-16.38,-16.75,-18.97,-19.97,-18.91,-18.72,-21.09,-23.53,-23.66,-23.84,-26.44,-29.0,-29.09,-27.91,-28.81,-30.25,-30.03,-28.34,-28.09,-29.28,-29.56,-26.81,-24.91,-24.41,-23.56,-20.78,-18.12,-17.84,-18.66,-18.38,-17.31,-17.91,-19.91,-20.91,-20.31,-21.03,-23.56,-25.59,-25.22,-24.59,-25.59,-26.44,-24.72,-22.59,-22.56,-23.69,-23.5,-22.25,-22.25,-24.03,-24.19,-22.81,-22.75,-24.81,-26.03,-25.06,-24.25,-25.12,-26.72,-26.19,-25.06,-25.38,-26.19,-25.38,-23.44,-22.78,-24.16,-25.16,-24.41,-24.44,-26.22,-27.66,-26.0,-23.78,-23.12,-22.94,-21.28,-18.81,-18.28,-18.94,-18.47,-16.28,-15.34,-16.75,-18.12,-17.75,-18.03,-20.78,-23.88,-24.62,-25.16,-27.62,-30.97,-31.91,-31.5,-31.19,-31.84,-30.62,-26.97,-23.62,-22.38,-21.25,-17.5,-14.06,-13.28,-13.03,-10.81,-8.53,-8.12,-9.47,-9.25,-8.06,-8.09,-10.0,-10.91,-9.97,-9.81,-12.09,-14.19,-14.16,-14.25,-16.97,-20.22,-21.03,-20.59,-21.06,-21.84,-20.88,-18.22,-17.16,-18.75,-20.19,-20.06,-20.59,-23.56,-26.38,-26.69,-26.09,-27.12,-28.03,-26.38,-22.97,-21.19,-20.84,-19.75,-17.44,-16.25,-16.78,-16.88,-14.38,-11.69,-11.41,-12.03,-10.66,-9.28,-10.25,-12.47,-13.0,-12.22,-12.44,-14.62,-15.56,-15.03,-15.44,-18.72,-22.25,-23.31,-24.22,-26.5,-28.53,-27.09,-24.06,-21.78,-20.53,-17.5,-13.53,-11.41,-11.75,-12.41,-11.62,-10.91,-12.72,-13.88,-12.34,-10.03,-9.97,-11.34,-11.44,-10.69,-12.53,-16.0,-17.84,-17.66,-17.94,-19.97,-20.94,-19.81,-18.31,-19.44,-20.75,-19.66,-17.84,-17.72,-18.5,-16.94,-14.28,-13.06,-14.31,-14.06,-12.62,-12.06,-13.66,-15.03,-14.41,-13.69,-15.41,-17.72,-17.47,-16.0,-15.66,-16.5,-15.38,-12.97,-11.81,-12.81,-12.97,-11.41,-10.44,-11.72,-12.84,-11.72,-9.53,-9.5,-10.0,-9.06,-7.91,-9.44,-12.81,-15.16,-16.06,-17.06,-19.44,-20.88,-19.59,-18.31,-19.84,-21.5,-20.75,-19.0,-18.72,-19.5,-18.44,-16.81,-17.41,-20.47,-22.03,-21.47,-20.84,-22.0,-22.28,-20.06,-17.53,-17.28,-17.38,-15.22,-12.56,-12.12,-13.69,-14.41,-13.72,-14.97,-17.94,-19.62,-18.94,-18.16,-19.34,-19.97,-18.44,-16.97,-17.97,-19.12,-18.06,-16.0,-16.06,-17.12,-17.38,-16.56,-16.94,-19.97,-22.38,-22.72,-23.03,-25.12,-26.47,-24.88,-22.34,-21.78,-21.84,-20.38,-17.72,-16.81,-17.47,-16.56,-14.41,-13.03,-14.69,-16.09,-15.84,-15.31,-17.59,-19.81,-19.72,-18.38,-18.94,-20.16,-19.31,-17.0,-16.41,-17.44,-18.0,-16.5,-16.16,-18.38,-19.84,-18.78,-16.97,-17.19,-17.62,-15.97,-13.25,-12.75,-13.38,-12.56,-10.09,-8.91,-10.22,-11.28,-10.5,-10.75,-14.53,-18.09,-19.56,-19.88,-22.56,-24.94,-24.62,-22.81,-22.38,-22.78,-21.69,-18.5,-16.22,-16.25,-16.09,-14.25,-12.75,-14.09,-15.84,-15.16,-13.94,-15.09,-17.12,-17.38,-16.31,-16.72,-18.53,-18.25,-14.72,-11.12,-9.72,-8.03,-4.66,-2.47,-3.62,-5.5,-5.5,-4.91,-7.06,-10.62,-13.06,-13.84,-15.97,-19.41,-21.69,-20.59,-19.41,-19.94,-19.75,-17.03,-13.81,-13.47,-14.12,-12.94,-11.06,-11.66,-13.91,-15.16,-14.56,-14.53,-16.09,-16.34,-13.75,-11.81,-11.81,-12.16,-10.09,-7.62,-7.72,-8.81,-8.38,-7.0,-7.75,-10.31,-12.16,-12.03,-12.34,-14.56,-15.38,-12.88,-10.16,-10.0,-10.09,-8.0,-5.72,-6.16,-7.59,-8.12,-7.34,-8.5,-11.19,-12.62,-11.28,-10.12,-10.91,-11.0,-8.59,-6.53,-7.66,-10.06,-11.16,-11.78,-14.69,-17.97,-18.69,-16.94,-16.0,-16.41,-16.06,-14.0,-12.94,-14.81,-17.03,-16.88,-16.41,-18.03,-19.94,-19.09,-16.88,-16.31,-17.19,-17.09,-15.09,-14.56,-16.75,-18.66,-18.53,-19.09,-21.69,-24.75,-24.56,-23.06,-23.12,-23.84,-21.94,-18.09,-15.62,-14.84,-13.25,-9.66,-7.91,-8.28,-9.06,-7.75,-7.06,-9.0,-11.81,-12.72,-13.19,-15.59,-19.16,-20.5,-19.81,-20.44,-22.12,-22.41,-19.88,-17.41,-16.62,-16.03,-12.69,-9.47,-9.41,-10.81,-10.34,-9.59,-10.88,-13.88,-14.91,-13.38,-12.34,-12.69,-12.09,-8.44,-5.94,-6.06,-7.09,-6.03,-4.72,-6.0,-8.0,-7.34,-5.19,-4.59,-5.0,-4.19,-1.31,-0.12,-0.97,-2.03,-0.59,0.47,-0.75,-1.88,-0.31,1.81,2.0,0.84,1.31,3.03,2.81,0.5,-1.41,-1.81,-3.34,-7.0,-9.81,-9.72,-9.09,-10.09,-11.94,-11.78,-10.91,-11.84,-13.91,-13.78,-11.5,-9.81,-9.81,-8.31,-4.81,-1.97,-1.56,-1.34,1.38,4.38,5.12,4.56,5.62,6.66,4.81,1.0,-1.75,-2.94,-5.34,-9.28,-12.59,-13.0,-13.59,-15.84,-17.84,-16.75,-14.78,-15.22,-16.94,-17.16,-16.19,-15.81,-16.47,-14.56,-9.47,-5.03,-3.34,-1.44,2.0,4.75,4.84,4.66,6.78,9.34,9.66,8.34,8.88,10.19,10.09,7.5,6.16,7.0,7.09,5.0,3.34,3.78,4.34,2.56,-0.06,-0.41,0.38,-0.59,-3.12,-4.16,-3.19,-3.31,-4.97,-5.25,-2.78,-0.56,-0.78,-1.34,0.28,2.5,2.53,1.91,3.38,5.62,5.69,3.81,3.03,3.75,3.0,-0.22,-2.88,-2.72,-2.22,-3.06,-2.78,0.41,4.66,6.47,7.06,8.84,11.47,12.59,11.66,12.31,14.88,16.69,15.53,14.31,15.09,15.47,13.28,10.47,9.38,9.09,7.28,4.72,4.31,5.84,6.97,6.03,6.25,8.41,10.09,8.69,7.09,7.59,8.09,6.59,4.41,4.59,5.81,5.59,4.03,3.81,5.53,6.66,5.06,4.5,6.28,7.81,6.09,4.34,4.25,4.12,1.0,-3.09,-4.88,-5.12,-5.88,-7.12,-6.0,-2.69,0.25,0.75,1.66,4.0,5.72,3.53,0.47,-0.56,-0.88,-2.28,-3.62,-2.84,-0.34,0.91,0.06,0.09,1.91,2.91,1.56,0.84,2.16,3.94,3.31,2.28,3.06,4.41,4.03,2.31,1.88,3.16,3.06,1.53,0.38,0.78,0.44,-2.16,-4.53,-4.5,-3.06,-3.97,21.66,23.91,24.62,23.66,23.38,24.44,25.19,25.0,24.94,25.94,26.78,25.47,23.56,22.53:-12.31,-9.41,-7.53,-8.03,-8.75,-6.88,-4.69,-4.97,-6.41,-6.62,-5.78,-7.28,-9.88,-10.91,-9.44,-8.53,-9.28,-9.59,-7.22,-4.84,-4.59,-4.28,-1.22,2.31,2.22,0.09,-1.41,-2.56,-6.06,-10.75,-13.72,-13.97,-14.56,-16.91,-18.66,-17.53,-16.0,-16.44,-16.72,-14.69,-11.03,-9.31,-9.41,-7.5,-4.25,-2.72,-3.19,-3.44,-1.88,-2.09,-4.78,-8.09,-9.06,-9.38,-11.81,-14.66,-14.84,-13.75,-14.5,-16.62,-17.06,-15.72,-15.38,-16.75,-17.62,-16.09,-14.56,-15.0,-15.78,-13.5,-10.38,-10.16,-11.22,-10.53,-8.62,-8.09,-8.81,-8.12,-5.12,-3.53,-4.28,-5.22,-3.97,-2.66,-3.81,-5.78,-5.38,-4.47,-5.34,-7.69,-8.66,-8.38,-9.25,-12.66,-15.5,-16.0,-17.28,-20.47,-23.44,-23.41,-22.34,-23.34,-24.56,-23.41,-21.06,-20.44,-21.09,-19.62,-16.25,-14.06,-13.47,-12.53,-8.94,-6.09,-5.66,-6.12,-4.81,-4.09,-6.16,-10.0,-12.03,-13.22,-16.41,-21.47,-24.72,-25.44,-26.0,-27.75,-28.03,-25.25,-21.91,-20.47,-19.56,-16.25,-12.41,-11.16,-11.28,-9.78,-7.22,-5.53,-5.53,-4.59,-1.84,-0.03,-1.34,-2.69,-1.88,-1.34,-3.31,-6.53,-7.56,-8.28,-10.78,-15.03,-16.75,-16.62,-17.12,-18.78,-19.44,-17.47,-16.09,-17.28,-18.31,-17.25,-15.38,-15.16,-14.94,-12.25,-8.38,-6.19,-6.41,-6.06,-4.62,-4.78,-8.28,-11.44,-12.66,-14.41,-18.5,-22.41,-23.78,-24.09,-26.31,-28.84,-28.62,-26.09,-24.56,-24.78,-23.81,-21.38,-20.16,-21.62,-22.88,-21.72,-20.75,-21.56,-22.47,-20.31,-17.47,-16.53,-17.25,-16.25,-14.09,-12.94,-13.31,-12.94,-10.44,-8.69,-9.72,-11.06,-10.44,-9.97,-12.22,-15.06,-16.12,-16.22,-17.5,-20.41,-21.31,-20.16,-19.53,-20.5,-20.31,-17.47,-14.75,-15.03,-15.09,-12.78,-10.44,-10.72,-12.19,-12.03,-10.91,-11.44,-13.34,-13.09,-11.25,-9.56,-10.53,-11.25,-10.28,-9.72,-12.09,-14.81,-15.25,-14.81,-15.41,-16.81,-16.03,-13.62,-12.56,-13.91,-14.56,-13.31,-13.16,-15.31,-17.38,-17.31,-17.12,-19.12,-21.31,-21.22,-19.44,-19.06,-19.81,-19.0,-16.75,-15.41,-16.16,-16.34,-14.84,-14.19,-16.56,-19.38,-20.19,-20.5,-23.53,-26.84,-27.94,-27.09,-27.16,-27.62,-26.22,-23.06,-20.28,-20.0,-19.03,-16.31,-13.41,-13.34,-14.22,-13.34,-11.84,-12.94,-15.06,-15.66,-14.66,-15.19,-17.06,-18.0,-16.81,-15.97,-17.91,-19.47,-18.91,-17.78,-19.12,-20.38,-19.09,-16.53,-15.62,-15.72,-14.56,-11.66,-10.03,-10.69,-11.19,-10.12,-9.78,-11.91,-13.94,-13.16,-11.5,-12.0,-13.25,-13.25,-12.56,-13.97,-17.03,-18.78,-18.28,-18.03,-19.06,-18.47,-15.19,-11.41,-10.0,-8.94,-6.41,-4.34,-4.84,-6.69,-7.47,-6.91,-8.09,-11.16,-13.25,-13.5,-14.47,-17.34,-19.75,-19.0,-17.62,-18.06,-18.69,-16.97,-14.5,-14.25,-15.06,-14.0,-11.16,-9.59,-9.75,-9.16,-6.94,-5.97,-7.69,-9.47,-9.38,-8.44,-9.66,-11.12,-10.75,-9.38,-10.47,-13.28,-15.22,-15.78,-17.12,-20.28,-22.62,-22.56,-22.34,-23.88,-24.75,-23.12,-20.06,-18.84,-18.97,-18.0,-16.38,-16.75,-18.97,-19.97,-18.91,-18.72,-21.09,-23.53,-23.66,-23.84,-26.44,-29.0,-29.09,-27.91,-28.81,-30.25,-30.03,-28.34,-28.09,-29.28,-29.56,-26.81,-24.91,-24.41,-23.56,-20.78,-18.12,-17.84,-18.66,-18.38,-17.31,-17.91,-19.91,-20.91,-20.31,-21.03,-23.56,-25.59,-25.22,-24.59,-25.59,-26.44,-24.72,-22.59,-22.56,-23.69,-23.5,-22.25,-22.25,-24.03,-24.19,-22.81,-22.75,-24.81,-26.03,-25.06,-24.25,-25.12,-26.72,-26.19,-25.06,-25.38,-26.19,-25.38,-23.44,-22.78,-24.16,-25.16,-24.41,-24.44,-26.22,-27.66,-26.0,-23.78,-23.12,-22.94,-21.28,-18.81,-18.28,-18.94,-18.47,-16.28,-15.34,-16.75,-18.12,-17.75,-18.03,-20.78,-23.88,-24.62,-25.16,-27.62,-30.97,-31.91,-31.5,-31.19,-31.84,-30.62,-26.97,-23.62,-22.38,-21.25,-17.5,-14.06,-13.28,-13.03,-10.81,-8.53,-8.12,-9.47,-9.25,-8.06,-8.09,-10.0,-10.91,-9.97,-9.81,-12.09,-14.19,-14.16,-14.25,-16.97,-20.22,-21.03,-20.59,-21.06,-21.84,-20.88,-18.22,-17.16,-18.75,-20.19,-20.06,-20.59,-23.56,-26.38,-26.69,-26.09,-27.12,-28.03,-26.38,-22.97,-21.19,-20.84,-19.75,-17.44,-16.25,-16.78,-16.88,-14.38,-11.69,-11.41,-12.03,-10.66,-9.28,-10.25,-12.47,-13.0,-12.22,-12.44,-14.62,-15.56,-15.03,-15.44,-18.72,-22.25,-23.31,-24.22,-26.5,-28.53,-27.09,-24.06,-21.78,-20.53,-17.5,-13.53,-11.41,-11.75,-12.41,-11.62,-10.91,-12.72,-13.88,-12.34,-10.03,-9.97,-11.34,-11.44,-10.69,-12.53,-16.0,-17.84,-17.66,-17.94,-19.97,-20.94,-19.81,-18.31,-19.44,-20.75,-19.66,-17.84,-17.72,-18.5,-16.94,-14.28,-13.06,-14.31,-14.06,-12.62,-12.06,-13.66,-15.03,-14.41,-13.69,-15.41,-17.72,-17.47,-16.0,-15.66,-16.5,-15.38,-12.97,-11.81,-12.81,-12.97,-11.41,-10.44,-11.72,-12.84,-11.72,-9.53,-9.5,-10.0,-9.06,-7.91,-9.44,-12.81,-15.16,-16.06,-17.06,-19.44,-20.88,-19.59,-18.31,-19.84,-21.5,-20.75,-19.0,-18.72,-19.5,-18.44,-16.81,-17.41,-20.47,-22.03,-21.47,-20.84,-22.0,-22.28,-20.06,-17.53,-17.28,-17.38,-15.22,-12.56,-12.12,-13.69,-14.41,-13.72,-14.97,-17.94,-19.62,-18.94,-18.16,-19.34,-19.97,-18.44,-16.97,-17.97,-19.12,-18.06,-16.0,-16.06,-17.12,-17.38,-16.56,-16.94,-19.97,-22.38,-22.72,-23.03,-25.12,-26.47,-24.88,-22.34,-21.78,-21.84,-20.38,-17.72,-16.81,-17.47,-16.56,-14.41,-13.03,-14.69,-16.09,-15.84,-15.31,-17.59,-19.81,-19.72,-18.38,-18.94,-20.16,-19.31,-17.0,-16.41,-17.44,-18.0,-16.5,-16.16,-18.38,-19.84,-18.78,-16.97,-17.19,-17.62,-15.97,-13.25,-12.75,-13.38,-12.56,-10.09,-8.91,-10.22,-11.28,-10.5,-10.75,-14.53,-18.09,-19.56,-19.88,-22.56,-24.94,-24.62,-22.81,-22.38,-22.78,-21.69,-18.5,-16.22,-16.25,-16.09,-14.25,-12.75,-14.09,-15.84,-15.16,-13.94,-15.09,-17.12,-17.38,-16.31,-16.72,-18.53,-18.25,-14.72,-11.12,-9.72,-8.03,-4.66,-2.47,-3.62,-5.5,-5.5,-4.91,-7.06,-10.62,-13.06,-13.84,-15.97,-19.41,-21.69,-20.59,-19.41,-19.94,-19.75,-17.03,-13.81,-13.47,-14.12,-12.94,-11.06,-11.66,-13.91,-15.16,-14.56,-14.53,-16.09,-16.34,-13.75,-11.81,-11.81,-12.16,-10.09,-7.62,-7.72,-8.81,-8.38,-7.0,-7.75,-10.31,-12.16,-12.03,-12.34,-14.56,-15.38,-12.88,-10.16,-10.0,-10.09,-8.0,-5.72,-6.16,-7.59,-8.12,-7.34,-8.5,-11.19,-12.62,-11.28,-10.12,-10.91,-11.0,-8.59,-6.53,-7.66,-10.06,-11.16,-11.78,-14.69,-17.97,-18.69,-16.94,-16.0,-16.41,-16.06,-14.0,-12.94,-14.81,-17.03,-16.88,-16.41,-18.03,-19.94,-19.09,-16.88,-16.31,-17.19,-17.09,-15.09,-14.56,-16.75,-18.66,-18.53,-19.09,-21.69,-24.75,-24.56,-23.06,-23.12,-23.84,-21.94,-18.09,-15.62,-14.84,-13.25,-9.66,-7.91,-8.28,-9.06,-7.75,-7.06,-9.0,-11.81,-12.72,-13.19,-15.59,-19.16,-20.5,-19.81,-20.44,-22.12,-22.41,-19.88,-17.41,-16.62,-16.03,-12.69,-9.47,-9.41,-10.81,-10.34,-9.59,-10.88,-13.88,-14.91,-13.38,-12.34,-12.69,-12.09,-8.44,-5.94,-6.06,-7.09,-6.03,-4.72,-6.0,-8.0,-7.34,-5.19,-4.59,-5.0,-4.19,-1.31,-0.12,-0.97,-2.03,-0.59,0.47,-0.75,-1.88,-0.31,1.81,2.0,0.84,1.31,3.03,2.81,0.5,-1.41,-1.81,-3.34,-7.0,-9.81,-9.72,-9.09,-10.09,-11.94,-11.78,-10.91,-11.84,-13.91,-13.78,-11.5,-9.81,-9.81,-8.31,-4.81,-1.97,-1.56,-1.34,1.38,4.38,5.12,4.56,5.62,6.66,4.81,1.0,-1.75,-2.94,-5.34,-9.28,-12.59,-13.0,-13.59,-15.84,-17.84,-16.75,-14.78,-15.22,-16.94,-17.16,-16.19,-15.81,-16.47,-14.56,-9.47,-5.03,-3.34,-1.44,2.0,4.75,4.84,4.66,6.78,9.34,9.66,8.34,8.88,10.19,10.09,7.5,6.16,7.0,7.09,5.0,3.34,3.78,4.34,2.56,-0.06,-0.41,0.38,-0.59,-3.12,-4.16,-3.19,-3.31,-4.97,-5.25,-2.78,-0.56,-0.78,-1.34,0.28,2.5,2.53,1.91,3.38,5.62,5.69,3.81,3.03,3.75,3.0,-0.22,-2.88,-2.72,-2.22,-3.06,-2.78,0.41,4.66,6.47,7.06,8.84,11.47,12.59,11.66,12.31,14.88,16.69,15.53,14.31,15.09,15.47,13.28,10.47,9.38,9.09,7.28,4.72,4.31,5.84,6.97,6.03,6.25,8.41,10.09,8.69,7.09,7.59,8.09,6.59,4.41,4.59,5.81,5.59,4.03,3.81,5.53,6.66,5.06,4.5,6.28,7.81,6.09,4.34,4.25,4.12,1.0,-3.09,-4.88,-5.12,-5.88,-7.12,-6.0,-2.69,0.25,0.75,1.66,4.0,5.72,3.53,0.47,-0.56,-0.88,-2.28,-3.62,-2.84,-0.34,0.91,0.06,0.09,1.91,2.91,1.56,0.84,2.16,3.94,3.31,2.28,3.06,4.41,4.03,2.31,1.88,3.16,3.06,1.53,0.38,0.78,0.44,-2.16,-4.53,-4.5,-3.06,-3.97,21.66,23.91,24.62,23.66,23.38,24.44,25.19,25.0,24.94,25.94,26.78,25.47,23.56,22.53,22.28,20.84,19.28,18.66,20.28,21.06,20.72:-4.97,-6.41,-6.62,-5.78,-7.28,-9.88,-10.91,-9.44,-8.53,-9.28,-9.59,-7.22,-4.84,-4.59,-4.28,-1.22,2.31,2.22,0.09,-1.41,-2.56,-6.06,-10.75,-13.72,-13.97,-14.56,-16.91,-18.66,-17.53,-16.0,-16.44,-16.72,-14.69,-11.03,-9.31,-9.41,-7.5,-4.25,-2.72,-3.19,-3.44,-1.88,-2.09,-4.78,-8.09,-9.06,-9.38,-11.81,-14.66,-14.84,-13.75,-14.5,-16.62,-17.06,-15.72,-15.38,-16.75,-17.62,-16.09,-14.56,-15.0,-15.78,-13.5,-10.38,-10.16,-11.22,-10.53,-8.62,-8.09,-8.81,-8.12,-5.12,-3.53,-4.28,-5.22,-3.97,-2.66,-3.81,-5.78,-5.38,-4.47,-5.34,-7.69,-8.66,-8.38,-9.25,-12.66,-15.5,-16.0,-17.28,-20.47,-23.44,-23.41,-22.34,-23.34,-24.56,-23.41,-21.06,-20.44,-21.09,-19.62,-16.25,-14.06,-13.47,-12.53,-8.94,-6.09,-5.66,-6.12,-4.81,-4.09,-6.16,-10.0,-12.03,-13.22,-16.41,-21.47,-24.72,-25.44,-26.0,-27.75,-28.03,-25.25,-21.91,-20.47,-19.56,-16.25,-12.41,-11.16,-11.28,-9.78,-7.22,-5.53,-5.53,-4.59,-1.84,-0.03,-1.34,-2.69,-1.88,-1.34,-3.31,-6.53,-7.56,-8.28,-10.78,-15.03,-16.75,-16.62,-17.12,-18.78,-19.44,-17.47,-16.09,-17.28,-18.31,-17.25,-15.38,-15.16,-14.94,-12.25,-8.38,-6.19,-6.41,-6.06,-4.62,-4.78,-8.28,-11.44,-12.66,-14.41,-18.5,-22.41,-23.78,-24.09,-26.31,-28.84,-28.62,-26.09,-24.56,-24.78,-23.81,-21.38,-20.16,-21.62,-22.88,-21.72,-20.75,-21.56,-22.47,-20.31,-17.47,-16.53,-17.25,-16.25,-14.09,-12.94,-13.31,-12.94,-10.44,-8.69,-9.72,-11.06,-10.44,-9.97,-12.22,-15.06,-16.12,-16.22,-17.5,-20.41,-21.31,-20.16,-19.53,-20.5,-20.31,-17.47,-14.75,-15.03,-15.09,-12.78,-10.44,-10.72,-12.19,-12.03,-10.91,-11.44,-13.34,-13.09,-11.25,-9.56,-10.53,-11.25,-10.28,-9.72,-12.09,-14.81,-15.25,-14.81,-15.41,-16.81,-16.03,-13.62,-12.56,-13.91,-14.56,-13.31,-13.16,-15.31,-17.38,-17.31,-17.12,-19.12,-21.31,-21.22,-19.44,-19.06,-19.81,-19.0,-16.75,-15.41,-16.16,-16.34,-14.84,-14.19,-16.56,-19.38,-20.19,-20.5,-23.53,-26.84,-27.94,-27.09,-27.16,-27.62,-26.22,-23.06,-20.28,-20.0,-19.03,-16.31,-13.41,-13.34,-14.22,-13.34,-11.84,-12.94,-15.06,-15.66,-14.66,-15.19,-17.06,-18.0,-16.81,-15.97,-17.91,-19.47,-18.91,-17.78,-19.12,-20.38,-19.09,-16.53,-15.62,-15.72,-14.56,-11.66,-10.03,-10.69,-11.19,-10.12,-9.78,-11.91,-13.94,-13.16,-11.5,-12.0,-13.25,-13.25,-12.56,-13.97,-17.03,-18.78,-18.28,-18.03,-19.06,-18.47,-15.19,-11.41,-10.0,-8.94,-6.41,-4.34,-4.84,-6.69,-7.47,-6.91,-8.09,-11.16,-13.25,-13.5,-14.47,-17.34,-19.75,-19.0,-17.62,-18.06,-18.69,-16.97,-14.5,-14.25,-15.06,-14.0,-11.16,-9.59,-9.75,-9.16,-6.94,-5.97,-7.69,-9.47,-9.38,-8.44,-9.66,-11.12,-10.75,-9.38,-10.47,-13.28,-15.22,-15.78,-17.12,-20.28,-22.62,-22.56,-22.34,-23.88,-24.75,-23.12,-20.06,-18.84,-18.97,-18.0,-16.38,-16.75,-18.97,-19.97,-18.91,-18.72,-21.09,-23.53,-23.66,-23.84,-26.44,-29.0,-29.09,-27.91,-28.81,-30.25,-30.03,-28.34,-28.09,-29.28,-29.56,-26.81,-24.91,-24.41,-23.56,-20.78,-18.12,-17.84,-18.66,-18.38,-17.31,-17.91,-19.91,-20.91,-20.31,-21.03,-23.56,-25.59,-25.22,-24.59,-25.59,-26.44,-24.72,-22.59,-22.56,-23.69,-23.5,-22.25,-22.25,-24.03,-24.19,-22.81,-22.75,-24.81,-26.03,-25.06,-24.25,-25.12,-26.72,-26.19,-25.06,-25.38,-26.19,-25.38,-23.44,-22.78,-24.16,-25.16,-24.41,-24.44,-26.22,-27.66,-26.0,-23.78,-23.12,-22.94,-21.28,-18.81,-18.28,-18.94,-18.47,-16.28,-15.34,-16.75,-18.12,-17.75,-18.03,-20.78,-23.88,-24.62,-25.16,-27.62,-30.97,-31.91,-31.5,-31.19,-31.84,-30.62,-26.97,-23.62,-22.38,-21.25,-17.5,-14.06,-13.28,-13.03,-10.81,-8.53,-8.12,-9.47,-9.25,-8.06,-8.09,-10.0,-10.91,-9.97,-9.81,-12.09,-14.19,-14.16,-14.25,-16.97,-20.22,-21.03,-20.59,-21.06,-21.84,-20.88,-18.22,-17.16,-18.75,-20.19,-20.06,-20.59,-23.56,-26.38,-26.69,-26.09,-27.12,-28.03,-26.38,-22.97,-21.19,-20.84,-19.75,-17.44,-16.25,-16.78,-16.88,-14.38,-11.69,-11.41,-12.03,-10.66,-9.28,-10.25,-12.47,-13.0,-12.22,-12.44,-14.62,-15.56,-15.03,-15.44,-18.72,-22.25,-23.31,-24.22,-26.5,-28.53,-27.09,-24.06,-21.78,-20.53,-17.5,-13.53,-11.41,-11.75,-12.41,-11.62,-10.91,-12.72,-13.88,-12.34,-10.03,-9.97,-11.34,-11.44,-10.69,-12.53,-16.0,-17.84,-17.66,-17.94,-19.97,-20.94,-19.81,-18.31,-19.44,-20.75,-19.66,-17.84,-17.72,-18.5,-16.94,-14.28,-13.06,-14.31,-14.06,-12.62,-12.06,-13.66,-15.03,-14.41,-13.69,-15.41,-17.72,-17.47,-16.0,-15.66,-16.5,-15.38,-12.97,-11.81,-12.81,-12.97,-11.41,-10.44,-11.72,-12.84,-11.72,-9.53,-9.5,-10.0,-9.06,-7.91,-9.44,-12.81,-15.16,-16.06,-17.06,-19.44,-20.88,-19.59,-18.31,-19.84,-21.5,-20.75,-19.0,-18.72,-19.5,-18.44,-16.81,-17.41,-20.47,-22.03,-21.47,-20.84,-22.0,-22.28,-20.06,-17.53,-17.28,-17.38,-15.22,-12.56,-12.12,-13.69,-14.41,-13.72,-14.97,-17.94,-19.62,-18.94,-18.16,-19.34,-19.97,-18.44,-16.97,-17.97,-19.12,-18.06,-16.0,-16.06,-17.12,-17.38,-16.56,-16.94,-19.97,-22.38,-22.72,-23.03,-25.12,-26.47,-24.88,-22.34,-21.78,-21.84,-20.38,-17.72,-16.81,-17.47,-16.56,-14.41,-13.03,-14.69,-16.09,-15.84,-15.31,-17.59,-19.81,-19.72,-18.38,-18.94,-20.16,-19.31,-17.0,-16.41,-17.44,-18.0,-16.5,-16.16,-18.38,-19.84,-18.78,-16.97,-17.19,-17.62,-15.97,-13.25,-12.75,-13.38,-12.56,-10.09,-8.91,-10.22,-11.28,-10.5,-10.75,-14.53,-18.09,-19.56,-19.88,-22.56,-24.94,-24.62,-22.81,-22.38,-22.78,-21.69,-18.5,-16.22,-16.25,-16.09,-14.25,-12.75,-14.09,-15.84,-15.16,-13.94,-15.09,-17.12,-17.38,-16.31,-16.72,-18.53,-18.25,-14.72,-11.12,-9.72,-8.03,-4.66,-2.47,-3.62,-5.5,-5.5,-4.91,-7.06,-10.62,-13.06,-13.84,-15.97,-19.41,-21.69,-20.59,-19.41,-19.94,-19.75,-17.03,-13.81,-13.47,-14.12,-12.94,-11.06,-11.66,-13.91,-15.16,-14.56,-14.53,-16.09,-16.34,-13.75,-11.81,-11.81,-12.16,-10.09,-7.62,-7.72,-8.81,-8.38,-7.0,-7.75,-10.31,-12.16,-12.03,-12.34,-14.56,-15.38,-12.88,-10.16,-10.0,-10.09,-8.0,-5.72,-6.16,-7.59,-8.12,-7.34,-8.5,-11.19,-12.62,-11.28,-10.12,-10.91,-11.0,-8.59,-6.53,-7.66,-10.06,-11.16,-11.78,-14.69,-17.97,-18.69,-16.94,-16.0,-16.41,-16.06,-14.0,-12.94,-14.81,-17.03,-16.88,-16.41,-18.03,-19.94,-19.09,-16.88,-16.31,-17.19,-17.09,-15.09,-14.56,-16.75,-18.66,-18.53,-19.09,-21.69,-24.75,-24.56,-23.06,-23.12,-23.84,-21.94,-18.09,-15.62,-14.84,-13.25,-9.66,-7.91,-8.28,-9.06,-7.75,-7.06,-9.0,-11.81,-12.72,-13.19,-15.59,-19.16,-20.5,-19.81,-20.44,-22.12,-22.41,-19.88,-17.41,-16.62,-16.03,-12.69,-9.47,-9.41,-10.81,-10.34,-9.59,-10.88,-13.88,-14.91,-13.38,-12.34,-12.69,-12.09,-8.44,-5.94,-6.06,-7.09,-6.03,-4.72,-6.0,-8.0,-7.34,-5.19,-4.59,-5.0,-4.19,-1.31,-0.12,-0.97,-2.03,-0.59,0.47,-0.75,-1.88,-0.31,1.81,2.0,0.84,1.31,3.03,2.81,0.5,-1.41,-1.81,-3.34,-7.0,-9.81,-9.72,-9.09,-10.09,-11.94,-11.78,-10.91,-11.84,-13.91,-13.78,-11.5,-9.81,-9.81,-8.31,-4.81,-1.97,-1.56,-1.34,1.38,4.38,5.12,4.56,5.62,6.66,4.81,1.0,-1.75,-2.94,-5.34,-9.28,-12.59,-13.0,-13.59,-15.84,-17.84,-16.75,-14.78,-15.22,-16.94,-17.16,-16.19,-15.81,-16.47,-14.56,-9.47,-5.03,-3.34,-1.44,2.0,4.75,4.84,4.66,6.78,9.34,9.66,8.34,8.88,10.19,10.09,7.5,6.16,7.0,7.09,5.0,3.34,3.78,4.34,2.56,-0.06,-0.41,0.38,-0.59,-3.12,-4.16,-3.19,-3.31,-4.97,-5.25,-2.78,-0.56,-0.78,-1.34,0.28,2.5,2.53,1.91,3.38,5.62,5.69,3.81,3.03,3.75,3.0,-0.22,-2.88,-2.72,-2.22,-3.06,-2.78,0.41,4.66,6.47,7.06,8.84,11.47,12.59,11.66,12.31,14.88,16.69,15.53,14.31,15.09,15.47,13.28,10.47,9.38,9.09,7.28,4.72,4.31,5.84,6.97,6.03,6.25,8.41,10.09,8.69,7.09,7.59,8.09,6.59,4.41,4.59,5.81,5.59,4.03,3.81,5.53,6.66,5.06,4.5,6.28,7.81,6.09,4.34,4.25,4.12,1.0,-3.09,-4.88,-5.12,-5.88,-7.12,-6.0,-2.69,0.25,0.75,1.66,4.0,5.72,3.53,0.47,-0.56,-0.88,-2.28,-3.62,-2.84,-0.34,0.91,0.06,0.09,1.91,2.91,1.56,0.84,2.16,3.94,3.31,2.28,3.06,4.41,4.03,2.31,1.88,3.16,3.06,1.53,0.38,0.78,0.44,-2.16,-4.53,-4.5,-3.06,-3.97,21.66,23.91,24.62,23.66,23.38,24.44,25.19,25.0,24.94,25.94,26.78,25.47,23.56,22.53,22.28,20.84,19.28,18.66,20.28,21.06,20.72,20.34,21.97,23.06,22.66,23.0,25.62,28.59:-9.44,-8.53,-9.28,-9.59,-7.22,-4.84,-4.59,-4.28,-1.22,2.31,2.22,0.09,-1.41,-2.56,-6.06,-10.75,-13.72,-13.97,-14.56,-16.91,-18.66,-17.53,-16.0,-16.44,-16.72,-14.69,-11.03,-9.31,-9.41,-7.5,-4.25,-2.72,-3.19,-3.44,-1.88,-2.09,-4.78,-8.09,-9.06,-9.38,-11.81,-14.66,-14.84,-13.75,-14.5,-16.62,-17.06,-15.72,-15.38,-16.75,-17.62,-16.09,-14.56,-15.0,-15.78,-13.5,-10.38,-10.16,-11.22,-10.53,-8.62,-8.09,-8.81,-8.12,-5.12,-3.53,-4.28,-5.22,-3.97,-2.66,-3.81,-5.78,-5.38,-4.47,-5.34,-7.69,-8.66,-8.38,-9.25,-12.66,-15.5,-16.0,-17.28,-20.47,-23.44,-23.41,-22.34,-23.34,-24.56,-23.41,-21.06,-20.44,-21.09,-19.62,-16.25,-14.06,-13.47,-12.53,-8.94,-6.09,-5.66,-6.12,-4.81,-4.09,-6.16,-10.0,-12.03,-13.22,-16.41,-21.47,-24.72,-25.44,-26.0,-27.75,-28.03,-25.25,-21.91,-20.47,-19.56,-16.25,-12.41,-11.16,-11.28,-9.78,-7.22,-5.53,-5.53,-4.59,-1.84,-0.03,-1.34,-2.69,-1.88,-1.34,-3.31,-6.53,-7.56,-8.28,-10.78,-15.03,-16.75,-16.62,-17.12,-18.78,-19.44,-17.47,-16.09,-17.28,-18.31,-17.25,-15.38,-15.16,-14.94,-12.25,-8.38,-6.19,-6.41,-6.06,-4.62,-4.78,-8.28,-11.44,-12.66,-14.41,-18.5,-22.41,-23.78,-24.09,-26.31,-28.84,-28.62,-26.09,-24.56,-24.78,-23.81,-21.38,-20.16,-21.62,-22.88,-21.72,-20.75,-21.56,-22.47,-20.31,-17.47,-16.53,-17.25,-16.25,-14.09,-12.94,-13.31,-12.94,-10.44,-8.69,-9.72,-11.06,-10.44,-9.97,-12.22,-15.06,-16.12,-16.22,-17.5,-20.41,-21.31,-20.16,-19.53,-20.5,-20.31,-17.47,-14.75,-15.03,-15.09,-12.78,-10.44,-10.72,-12.19,-12.03,-10.91,-11.44,-13.34,-13.09,-11.25,-9.56,-10.53,-11.25,-10.28,-9.72,-12.09,-14.81,-15.25,-14.81,-15.41,-16.81,-16.03,-13.62,-12.56,-13.91,-14.56,-13.31,-13.16,-15.31,-17.38,-17.31,-17.12,-19.12,-21.31,-21.22,-19.44,-19.06,-19.81,-19.0,-16.75,-15.41,-16.16,-16.34,-14.84,-14.19,-16.56,-19.38,-20.19,-20.5,-23.53,-26.84,-27.94,-27.09,-27.16,-27.62,-26.22,-23.06,-20.28,-20.0,-19.03,-16.31,-13.41,-13.34,-14.22,-13.34,-11.84,-12.94,-15.06,-15.66,-14.66,-15.19,-17.06,-18.0,-16.81,-15.97,-17.91,-19.47,-18.91,-17.78,-19.12,-20.38,-19.09,-16.53,-15.62,-15.72,-14.56,-11.66,-10.03,-10.69,-11.19,-10.12,-9.78,-11.91,-13.94,-13.16,-11.5,-12.0,-13.25,-13.25,-12.56,-13.97,-17.03,-18.78,-18.28,-18.03,-19.06,-18.47,-15.19,-11.41,-10.0,-8.94,-6.41,-4.34,-4.84,-6.69,-7.47,-6.91,-8.09,-11.16,-13.25,-13.5,-14.47,-17.34,-19.75,-19.0,-17.62,-18.06,-18.69,-16.97,-14.5,-14.25,-15.06,-14.0,-11.16,-9.59,-9.75,-9.16,-6.94,-5.97,-7.69,-9.47,-9.38,-8.44,-9.66,-11.12,-10.75,-9.38,-10.47,-13.28,-15.22,-15.78,-17.12,-20.28,-22.62,-22.56,-22.34,-23.88,-24.75,-23.12,-20.06,-18.84,-18.97,-18.0,-16.38,-16.75,-18.97,-19.97,-18.91,-18.72,-21.09,-23.53,-23.66,-23.84,-26.44,-29.0,-29.09,-27.91,-28.81,-30.25,-30.03,-28.34,-28.09,-29.28,-29.56,-26.81,-24.91,-24.41,-23.56,-20.78,-18.12,-17.84,-18.66,-18.38,-17.31,-17.91,-19.91,-20.91,-20.31,-21.03,-23.56,-25.59,-25.22,-24.59,-25.59,-26.44,-24.72,-22.59,-22.56,-23.69,-23.5,-22.25,-22.25,-24.03,-24.19,-22.81,-22.75,-24.81,-26.03,-25.06,-24.25,-25.12,-26.72,-26.19,-25.06,-25.38,-26.19,-25.38,-23.44,-22.78,-24.16,-25.16,-24.41,-24.44,-26.22,-27.66,-26.0,-23.78,-23.12,-22.94,-21.28,-18.81,-18.28,-18.94,-18.47,-16.28,-15.34,-16.75,-18.12,-17.75,-18.03,-20.78,-23.88,-24.62,-25.16,-27.62,-30.97,-31.91,-31.5,-31.19,-31.84,-30.62,-26.97,-23.62,-22.38,-21.25,-17.5,-14.06,-13.28,-13.03,-10.81,-8.53,-8.12,-9.47,-9.25,-8.06,-8.09,-10.0,-10.91,-9.97,-9.81,-12.09,-14.19,-14.16,-14.25,-16.97,-20.22,-21.03,-20.59,-21.06,-21.84,-20.88,-18.22,-17.16,-18.75,-20.19,-20.06,-20.59,-23.56,-26.38,-26.69,-26.09,-27.12,-28.03,-26.38,-22.97,-21.19,-20.84,-19.75,-17.44,-16.25,-16.78,-16.88,-14.38,-11.69,-11.41,-12.03,-10.66,-9.28,-10.25,-12.47,-13.0,-12.22,-12.44,-14.62,-15.56,-15.03,-15.44,-18.72,-22.25,-23.31,-24.22,-26.5,-28.53,-27.09,-24.06,-21.78,-20.53,-17.5,-13.53,-11.41,-11.75,-12.41,-11.62,-10.91,-12.72,-13.88,-12.34,-10.03,-9.97,-11.34,-11.44,-10.69,-12.53,-16.0,-17.84,-17.66,-17.94,-19.97,-20.94,-19.81,-18.31,-19.44,-20.75,-19.66,-17.84,-17.72,-18.5,-16.94,-14.28,-13.06,-14.31,-14.06,-12.62,-12.06,-13.66,-15.03,-14.41,-13.69,-15.41,-17.72,-17.47,-16.0,-15.66,-16.5,-15.38,-12.97,-11.81,-12.81,-12.97,-11.41,-10.44,-11.72,-12.84,-11.72,-9.53,-9.5,-10.0,-9.06,-7.91,-9.44,-12.81,-15.16,-16.06,-17.06,-19.44,-20.88,-19.59,-18.31,-19.84,-21.5,-20.75,-19.0,-18.72,-19.5,-18.44,-16.81,-17.41,-20.47,-22.03,-21.47,-20.84,-22.0,-22.28,-20.06,-17.53,-17.28,-17.38,-15.22,-12.56,-12.12,-13.69,-14.41,-13.72,-14.97,-17.94,-19.62,-18.94,-18.16,-19.34,-19.97,-18.44,-16.97,-17.97,-19.12,-18.06,-16.0,-16.06,-17.12,-17.38,-16.56,-16.94,-19.97,-22.38,-22.72,-23.03,-25.12,-26.47,-24.88,-22.34,-21.78,-21.84,-20.38,-17.72,-16.81,-17.47,-16.56,-14.41,-13.03,-14.69,-16.09,-15.84,-15.31,-17.59,-19.81,-19.72,-18.38,-18.94,-20.16,-19.31,-17.0,-16.41,-17.44,-18.0,-16.5,-16.16,-18.38,-19.84,-18.78,-16.97,-17.19,-17.62,-15.97,-13.25,-12.75,-13.38,-12.56,-10.09,-8.91,-10.22,-11.28,-10.5,-10.75,-14.53,-18.09,-19.56,-19.88,-22.56,-24.94,-24.62,-22.81,-22.38,-22.78,-21.69,-18.5,-16.22,-16.25,-16.09,-14.25,-12.75,-14.09,-15.84,-15.16,-13.94,-15.09,-17.12,-17.38,-16.31,-16.72,-18.53,-18.25,-14.72,-11.12,-9.72,-8.03,-4.66,-2.47,-3.62,-5.5,-5.5,-4.91,-7.06,-10.62,-13.06,-13.84,-15.97,-19.41,-21.69,-20.59,-19.41,-19.94,-19.75,-17.03,-13.81,-13.47,-14.12,-12.94,-11.06,-11.66,-13.91,-15.16,-14.56,-14.53,-16.09,-16.34,-13.75,-11.81,-11.81,-12.16,-10.09,-7.62,-7.72,-8.81,-8.38,-7.0,-7.75,-10.31,-12.16,-12.03,-12.34,-14.56,-15.38,-12.88,-10.16,-10.0,-10.09,-8.0,-5.72,-6.16,-7.59,-8.12,-7.34,-8.5,-11.19,-12.62,-11.28,-10.12,-10.91,-11.0,-8.59,-6.53,-7.66,-10.06,-11.16,-11.78,-14.69,-17.97,-18.69,-16.94,-16.0,-16.41,-16.06,-14.0,-12.94,-14.81,-17.03,-16.88,-16.41,-18.03,-19.94,-19.09,-16.88,-16.31,-17.19,-17.09,-15.09,-14.56,-16.75,-18.66,-18.53,-19.09,-21.69,-24.75,-24.56,-23.06,-23.12,-23.84,-21.94,-18.09,-15.62,-14.84,-13.25,-9.66,-7.91,-8.28,-9.06,-7.75,-7.06,-9.0,-11.81,-12.72,-13.19,-15.59,-19.16,-20.5,-19.81,-20.44,-22.12,-22.41,-19.88,-17.41,-16.62,-16.03,-12.69,-9.47,-9.41,-10.81,-10.34,-9.59,-10.88,-13.88,-14.91,-13.38,-12.34,-12.69,-12.09,-8.44,-5.94,-6.06,-7.09,-6.03,-4.72,-6.0,-8.0,-7.34,-5.19,-4.59,-5.0,-4.19,-1.31,-0.12,-0.97,-2.03,-0.59,0.47,-0.75,-1.88,-0.31,1.81,2.0,0.84,1.31,3.03,2.81,0.5,-1.41,-1.81,-3.34,-7.0,-9.81,-9.72,-9.09,-10.09,-11.94,-11.78,-10.91,-11.84,-13.91,-13.78,-11.5,-9.81,-9.81,-8.31,-4.81,-1.97,-1.56,-1.34,1.38,4.38,5.12,4.56,5.62,6.66,4.81,1.0,-1.75,-2.94,-5.34,-9.28,-12.59,-13.0,-13.59,-15.84,-17.84,-16.75,-14.78,-15.22,-16.94,-17.16,-16.19,-15.81,-16.47,-14.56,-9.47,-5.03,-3.34,-1.44,2.0,4.75,4.84,4.66,6.78,9.34,9.66,8.34,8.88,10.19,10.09,7.5,6.16,7.0,7.09,5.0,3.34,3.78,4.34,2.56,-0.06,-0.41,0.38,-0.59,-3.12,-4.16,-3.19,-3.31,-4.97,-5.25,-2.78,-0.56,-0.78,-1.34,0.28,2.5,2.53,1.91,3.38,5.62,5.69,3.81,3.03,3.75,3.0,-0.22,-2.88,-2.72,-2.22,-3.06,-2.78,0.41,4.66,6.47,7.06,8.84,11.47,12.59,11.66,12.31,14.88,16.69,15.53,14.31,15.09,15.47,13.28,10.47,9.38,9.09,7.28,4.72,4.31,5.84,6.97,6.03,6.25,8.41,10.09,8.69,7.09,7.59,8.09,6.59,4.41,4.59,5.81,5.59,4.03,3.81,5.53,6.66,5.06,4.5,6.28,7.81,6.09,4.34,4.25,4.12,1.0,-3.09,-4.88,-5.12,-5.88,-7.12,-6.0,-2.69,0.25,0.75,1.66,4.0,5.72,3.53,0.47,-0.56,-0.88,-2.28,-3.62,-2.84,-0.34,0.91,0.06,0.09,1.91,2.91,1.56,0.84,2.16,3.94,3.31,2.28,3.06,4.41,4.03,2.31,1.88,3.16,3.06,1.53,0.38,0.78,0.44,-2.16,-4.53,-4.5,-3.06,-3.97,21.66,23.91,24.62,23.66,23.38,24.44,25.19,25.0,24.94,25.94,26.78,25.47,23.56,22.53,22.28,20.84,19.28,18.66,20.28,21.06,20.72,20.34,21.97,23.06,22.66,23.0,25.62,28.59,29.84,30.34,31.34,32.44,31.81,30.28,29.56:-4.28,-1.22,2.31,2.22,0.09,-1.41,-2.56,-6.06,-10.75,-13.72,-13.97,-14.56,-16.91,-18.66,-17.53,-16.0,-16.44,-16.72,-14.69,-11.03,-9.31,-9.41,-7.5,-4.25,-2.72,-3.19,-3.44,-1.88,-2.09,-4.78,-8.09,-9.06,-9.38,-11.81,-14.66,-14.84,-13.75,-14.5,-16.62,-17.06,-15.72,-15.38,-16.75,-17.62,-16.09,-14.56,-15.0,-15.78,-13.5,-10.38,-10.16,-11.22,-10.53,-8.62,-8.09,-8.81,-8.12,-5.12,-3.53,-4.28,-5.22,-3.97,-2.66,-3.81,-5.78,-5.38,-4.47,-5.34,-7.69,-8.66,-8.38,-9.25,-12.66,-15.5,-16.0,-17.28,-20.47,-23.44,-23.41,-22.34,-23.34,-24.56,-23.41,-21.06,-20.44,-21.09,-19.62,-16.25,-14.06,-13.47,-12.53,-8.94,-6.09,-5.66,-6.12,-4.81,-4.09,-6.16,-10.0,-12.03,-13.22,-16.41,-21.47,-24.72,-25.44,-26.0,-27.75,-28.03,-25.25,-21.91,-20.47,-19.56,-16.25,-12.41,-11.16,-11.28,-9.78,-7.22,-5.53,-5.53,-4.59,-1.84,-0.03,-1.34,-2.69,-1.88,-1.34,-3.31,-6.53,-7.56,-8.28,-10.78,-15.03,-16.75,-16.62,-17.12,-18.78,-19.44,-17.47,-16.09,-17.28,-18.31,-17.25,-15.38,-15.16,-14.94,-12.25,-8.38,-6.19,-6.41,-6.06,-4.62,-4.78,-8.28,-11.44,-12.66,-14.41,-18.5,-22.41,-23.78,-24.09,-26.31,-28.84,-28.62,-26.09,-24.56,-24.78,-23.81,-21.38,-20.16,-21.62,-22.88,-21.72,-20.75,-21.56,-22.47,-20.31,-17.47,-16.53,-17.25,-16.25,-14.09,-12.94,-13.31,-12.94,-10.44,-8.69,-9.72,-11.06,-10.44,-9.97,-12.22,-15.06,-16.12,-16.22,-17.5,-20.41,-21.31,-20.16,-19.53,-20.5,-20.31,-17.47,-14.75,-15.03,-15.09,-12.78,-10.44,-10.72,-12.19,-12.03,-10.91,-11.44,-13.34,-13.09,-11.25,-9.56,-10.53,-11.25,-10.28,-9.72,-12.09,-14.81,-15.25,-14.81,-15.41,-16.81,-16.03,-13.62,-12.56,-13.91,-14.56,-13.31,-13.16,-15.31,-17.38,-17.31,-17.12,-19.12,-21.31,-21.22,-19.44,-19.06,-19.81,-19.0,-16.75,-15.41,-16.16,-16.34,-14.84,-14.19,-16.56,-19.38,-20.19,-20.5,-23.53,-26.84,-27.94,-27.09,-27.16,-27.62,-26.22,-23.06,-20.28,-20.0,-19.03,-16.31,-13.41,-13.34,-14.22,-13.34,-11.84,-12.94,-15.06,-15.66,-14.66,-15.19,-17.06,-18.0,-16.81,-15.97,-17.91,-19.47,-18.91,-17.78,-19.12,-20.38,-19.09,-16.53,-15.62,-15.72,-14.56,-11.66,-10.03,-10.69,-11.19,-10.12,-9.78,-11.91,-13.94,-13.16,-11.5,-12.0,-13.25,-13.25,-12.56,-13.97,-17.03,-18.78,-18.28,-18.03,-19.06,-18.47,-15.19,-11.41,-10.0,-8.94,-6.41,-4.34,-4.84,-6.69,-7.47,-6.91,-8.09,-11.16,-13.25,-13.5,-14.47,-17.34,-19.75,-19.0,-17.62,-18.06,-18.69,-16.97,-14.5,-14.25,-15.06,-14.0,-11.16,-9.59,-9.75,-9.16,-6.94,-5.97,-7.69,-9.47,-9.38,-8.44,-9.66,-11.12,-10.75,-9.38,-10.47,-13.28,-15.22,-15.78,-17.12,-20.28,-22.62,-22.56,-22.34,-23.88,-24.75,-23.12,-20.06,-18.84,-18.97,-18.0,-16.38,-16.75,-18.97,-19.97,-18.91,-18.72,-21.09,-23.53,-23.66,-23.84,-26.44,-29.0,-29.09,-27.91,-28.81,-30.25,-30.03,-28.34,-28.09,-29.28,-29.56,-26.81,-24.91,-24.41,-23.56,-20.78,-18.12,-17.84,-18.66,-18.38,-17.31,-17.91,-19.91,-20.91,-20.31,-21.03,-23.56,-25.59,-25.22,-24.59,-25.59,-26.44,-24.72,-22.59,-22.56,-23.69,-23.5,-22.25,-22.25,-24.03,-24.19,-22.81,-22.75,-24.81,-26.03,-25.06,-24.25,-25.12,-26.72,-26.19,-25.06,-25.38,-26.19,-25.38,-23.44,-22.78,-24.16,-25.16,-24.41,-24.44,-26.22,-27.66,-26.0,-23.78,-23.12,-22.94,-21.28,-18.81,-18.28,-18.94,-18.47,-16.28,-15.34,-16.75,-18.12,-17.75,-18.03,-20.78,-23.88,-24.62,-25.16,-27.62,-30.97,-31.91,-31.5,-31.19,-31.84,-30.62,-26.97,-23.62,-22.38,-21.25,-17.5,-14.06,-13.28,-13.03,-10.81,-8.53,-8.12,-9.47,-9.25,-8.06,-8.09,-10.0,-10.91,-9.97,-9.81,-12.09,-14.19,-14.16,-14.25,-16.97,-20.22,-21.03,-20.59,-21.06,-21.84,-20.88,-18.22,-17.16,-18.75,-20.19,-20.06,-20.59,-23.56,-26.38,-26.69,-26.09,-27.12,-28.03,-26.38,-22.97,-21.19,-20.84,-19.75,-17.44,-16.25,-16.78,-16.88,-14.38,-11.69,-11.41,-12.03,-10.66,-9.28,-10.25,-12.47,-13.0,-12.22,-12.44,-14.62,-15.56,-15.03,-15.44,-18.72,-22.25,-23.31,-24.22,-26.5,-28.53,-27.09,-24.06,-21.78,-20.53,-17.5,-13.53,-11.41,-11.75,-12.41,-11.62,-10.91,-12.72,-13.88,-12.34,-10.03,-9.97,-11.34,-11.44,-10.69,-12.53,-16.0,-17.84,-17.66,-17.94,-19.97,-20.94,-19.81,-18.31,-19.44,-20.75,-19.66,-17.84,-17.72,-18.5,-16.94,-14.28,-13.06,-14.31,-14.06,-12.62,-12.06,-13.66,-15.03,-14.41,-13.69,-15.41,-17.72,-17.47,-16.0,-15.66,-16.5,-15.38,-12.97,-11.81,-12.81,-12.97,-11.41,-10.44,-11.72,-12.84,-11.72,-9.53,-9.5,-10.0,-9.06,-7.91,-9.44,-12.81,-15.16,-16.06,-17.06,-19.44,-20.88,-19.59,-18.31,-19.84,-21.5,-20.75,-19.0,-18.72,-19.5,-18.44,-16.81,-17.41,-20.47,-22.03,-21.47,-20.84,-22.0,-22.28,-20.06,-17.53,-17.28,-17.38,-15.22,-12.56,-12.12,-13.69,-14.41,-13.72,-14.97,-17.94,-19.62,-18.94,-18.16,-19.34,-19.97,-18.44,-16.97,-17.97,-19.12,-18.06,-16.0,-16.06,-17.12,-17.38,-16.56,-16.94,-19.97,-22.38,-22.72,-23.03,-25.12,-26.47,-24.88,-22.34,-21.78,-21.84,-20.38,-17.72,-16.81,-17.47,-16.56,-14.41,-13.03,-14.69,-16.09,-15.84,-15.31,-17.59,-19.81,-19.72,-18.38,-18.94,-20.16,-19.31,-17.0,-16.41,-17.44,-18.0,-16.5,-16.16,-18.38,-19.84,-18.78,-16.97,-17.19,-17.62,-15.97,-13.25,-12.75,-13.38,-12.56,-10.09,-8.91,-10.22,-11.28,-10.5,-10.75,-14.53,-18.09,-19.56,-19.88,-22.56,-24.94,-24.62,-22.81,-22.38,-22.78,-21.69,-18.5,-16.22,-16.25,-16.09,-14.25,-12.75,-14.09,-15.84,-15.16,-13.94,-15.09,-17.12,-17.38,-16.31,-16.72,-18.53,-18.25,-14.72,-11.12,-9.72,-8.03,-4.66,-2.47,-3.62,-5.5,-5.5,-4.91,-7.06,-10.62,-13.06,-13.84,-15.97,-19.41,-21.69,-20.59,-19.41,-19.94,-19.75,-17.03,-13.81,-13.47,-14.12,-12.94,-11.06,-11.66,-13.91,-15.16,-14.56,-14.53,-16.09,-16.34,-13.75,-11.81,-11.81,-12.16,-10.09,-7.62,-7.72,-8.81,-8.38,-7.0,-7.75,-10.31,-12.16,-12.03,-12.34,-14.56,-15.38,-12.88,-10.16,-10.0,-10.09,-8.0,-5.72,-6.16,-7.59,-8.12,-7.34,-8.5,-11.19,-12.62,-11.28,-10.12,-10.91,-11.0,-8.59,-6.53,-7.66,-10.06,-11.16,-11.78,-14.69,-17.97,-18.69,-16.94,-16.0,-16.41,-16.06,-14.0,-12.94,-14.81,-17.03,-16.88,-16.41,-18.03,-19.94,-19.09,-16.88,-16.31,-17.19,-17.09,-15.09,-14.56,-16.75,-18.66,-18.53,-19.09,-21.69,-24.75,-24.56,-23.06,-23.12,-23.84,-21.94,-18.09,-15.62,-14.84,-13.25,-9.66,-7.91,-8.28,-9.06,-7.75,-7.06,-9.0,-11.81,-12.72,-13.19,-15.59,-19.16,-20.5,-19.81,-20.44,-22.12,-22.41,-19.88,-17.41,-16.62,-16.03,-12.69,-9.47,-9.41,-10.81,-10.34,-9.59,-10.88,-13.88,-14.91,-13.38,-12.34,-12.69,-12.09,-8.44,-5.94,-6.06,-7.09,-6.03,-4.72,-6.0,-8.0,-7.34,-5.19,-4.59,-5.0,-4.19,-1.31,-0.12,-0.97,-2.03,-0.59,0.47,-0.75,-1.88,-0.31,1.81,2.0,0.84,1.31,3.03,2.81,0.5,-1.41,-1.81,-3.34,-7.0,-9.81,-9.72,-9.09,-10.09,-11.94,-11.78,-10.91,-11.84,-13.91,-13.78,-11.5,-9.81,-9.81,-8.31,-4.81,-1.97,-1.56,-1.34,1.38,4.38,5.12,4.56,5.62,6.66,4.81,1.0,-1.75,-2.94,-5.34,-9.28,-12.59,-13.0,-13.59,-15.84,-17.84,-16.75,-14.78,-15.22,-16.94,-17.16,-16.19,-15.81,-16.47,-14.56,-9.47,-5.03,-3.34,-1.44,2.0,4.75,4.84,4.66,6.78,9.34,9.66,8.34,8.88,10.19,10.09,7.5,6.16,7.0,7.09,5.0,3.34,3.78,4.34,2.56,-0.06,-0.41,0.38,-0.59,-3.12,-4.16,-3.19,-3.31,-4.97,-5.25,-2.78,-0.56,-0.78,-1.34,0.28,2.5,2.53,1.91,3.38,5.62,5.69,3.81,3.03,3.75,3.0,-0.22,-2.88,-2.72,-2.22,-3.06,-2.78,0.41,4.66,6.47,7.06,8.84,11.47,12.59,11.66,12.31,14.88,16.69,15.53,14.31,15.09,15.47,13.28,10.47,9.38,9.09,7.28,4.72,4.31,5.84,6.97,6.03,6.25,8.41,10.09,8.69,7.09,7.59,8.09,6.59,4.41,4.59,5.81,5.59,4.03,3.81,5.53,6.66,5.06,4.5,6.28,7.81,6.09,4.34,4.25,4.12,1.0,-3.09,-4.88,-5.12,-5.88,-7.12,-6.0,-2.69,0.25,0.75,1.66,4.0,5.72,3.53,0.47,-0.56,-0.88,-2.28,-3.62,-2.84,-0.34,0.91,0.06,0.09,1.91,2.91,1.56,0.84,2.16,3.94,3.31,2.28,3.06,4.41,4.03,2.31,1.88,3.16,3.06,1.53,0.38,0.78,0.44,-2.16,-4.53,-4.5,-3.06,-3.97,21.66,23.91,24.62,23.66,23.38,24.44,25.19,25.0,24.94,25.94,26.78,25.47,23.56,22.53,22.28,20.84,19.28,18.66,20.28,21.06,20.72,20.34,21.97,23.06,22.66,23.0,25.62,28.59,29.84,30.34,31.34,32.44,31.81,30.28,29.56,30.53,30.97,30.53,30.19,31.59,33.16,33.38:negativity
15.38,13.03,11.75,11.44,11.22,9.84,10.03,11.56,13.28,13.88,15.03,17.84,20.72,21.75,22.0,23.47,25.97,27.5,28.12,29.0,30.12,28.94,24.88,20.88,17.78,15.06,11.44,9.06,9.28,10.56,10.97,11.09,12.75,14.41,14.47,13.38,13.31,14.75,16.53,17.62,20.78,25.59,30.25,32.66,34.22,36.0,37.06,35.62,33.09,31.06,29.81,27.34,23.97,21.91,21.25,20.5,18.44,17.03,17.5,18.62,18.94,19.88,22.81,26.28,28.62,30.16,32.16,33.94,34.03,32.09,30.16,29.0,27.84,25.56,24.12,24.69,25.28,24.25,23.47,24.31,25.5,25.53,24.62,24.19,23.78,22.41,20.06,19.12,19.94,21.25,21.59,22.66,25.09,27.31,27.41,27.31,27.66,28.31,27.59,26.19,25.66,26.09,26.12,24.81,24.0,24.19,24.12,22.41,20.47,19.69,19.69,18.5,17.78,18.81,20.72,21.0,19.75,18.97,18.38,17.41,15.44,13.81,13.91,13.97,12.78,12.47,13.5,15.47,15.75,16.0,17.0,18.44,18.81,17.81,17.41,17.69,18.22,17.47,17.0,18.22,19.03,17.22,14.81,13.38,12.34,10.62,9.16,9.97,12.72,14.84,16.19,17.69,19.44,20.19,18.38,16.31,16.03,16.12,15.25,14.84,16.03,17.72,18.19,18.19,18.62,19.53,18.72,16.03,13.69,12.03,10.12,7.28,5.19,5.03,5.72,5.56,5.66,6.97,8.88,9.06,8.41,8.44,9.0,8.59,7.03,6.22,6.75,7.34,7.0,7.22,8.31,9.66,9.06,8.03,8.03,8.56,8.44,8.12,8.88,11.41,13.72,14.47,15.25,17.06,17.56,15.75,13.28,11.84,10.94,9.22,7.94,8.19,10.0,10.75,10.81,11.91,14.5,16.53,17.28,18.06,19.62,20.88,20.0,18.88,18.69,18.84,17.5,15.5,14.28,13.91,12.22,9.5,7.31,6.38,5.25,3.53,3.34,5.28,8.19,10.66,13.12,16.69,20.31,22.22,22.53,22.94,23.53,22.47,20.22,18.09,17.16,15.81,13.56,10.88,9.75,8.72,6.16,3.66,3.09,3.69,4.03,4.03,5.16,7.47,9.03,9.72,11.31,13.84,15.81,16.53,16.66,17.88,19.12,19.16,18.97,20.31,21.94,22.47,21.81,20.75,20.12,17.75,13.72,10.09,8.22,6.81,4.69,3.19,3.19,3.78,3.19,2.56,3.19,5.28,7.34,9.03,12.03,16.0,18.75,19.16,18.38,18.0,16.88,14.28,11.75,10.72,10.56,9.34,7.72,7.25,7.47,7.09,5.72,5.34,6.09,6.72,6.19,5.62,6.75,7.84,7.84,7.69,9.44,11.91,13.22,13.59,14.31,14.91,13.97,11.72,10.03,10.0,10.03,9.19,8.34,8.84,8.78,7.19,4.91,4.12,4.59,4.62,4.09,5.31,7.34,8.84,8.59,8.38,9.34,9.34,8.06,6.44,6.69,7.25,6.56,4.88,3.94,4.0,3.44,2.69,3.41,5.94,7.69,7.41,6.75,6.62,5.91,4.31,2.88,3.12,3.97,3.84,2.88,2.75,3.09,2.69,1.81,1.75,2.97,3.84,3.56,3.25,4.22,5.12,4.53,3.75,4.12,4.69,4.88,4.88,6.03,8.34,9.34,8.94,8.34,8.44,7.97,5.56,3.47,2.88,2.78,1.84,0.97,1.31,1.88,1.34,0.28,0.47,1.44,1.66,1.0,0.53,1.12,1.72,0.78,-0.09,0.41,1.19,0.75,-0.06,0.78,1.78,1.75,0.56,0.41,1.09,0.97,-0.12,-1.41,-1.12,-1.38,-2.75,-4.0,-3.12,-1.81,-1.88,-2.62,-2.16,-1.22,-0.78,-0.75,0.62,3.12,4.88,4.94,4.72,4.94,4.31,1.88,-1.0,-2.5,-2.91,-4.0,-5.28,-4.84,-3.66,-2.84,-2.81,-1.88,0.16,1.97,2.5,3.34,4.91,6.38,5.28,3.31,2.53,2.09,1.09,0.12,0.78,2.41,3.53,3.28,3.97,5.41,6.44,5.72,4.66,5.19,5.66,4.91,4.09,4.88,6.38,6.38,5.03,3.97,2.66,0.66,-2.53,-4.69,-4.72,-4.16,-4.44,-4.88,-3.25,-1.25,0.03,1.25,3.88,6.81,8.31,8.56,9.38,10.44,10.34,8.38,5.47,2.88,-0.34,-4.84,-9.28,-11.28,-11.59,-12.06,-12.16,-9.94,-6.41,-2.94,-0.09,3.78,8.16,11.88,13.34,14.56,15.62,15.91,13.88,10.84,8.56,6.09,2.69,-1.09,-3.62,-5.19,-6.94,-9.16,-9.84,-9.03,-7.34,-6.44,-5.09,-2.38,0.56,2.22,3.34,5.53,8.12,8.75,7.78,7.19,7.0,6.53,5.59,6.09,7.81,8.97,7.91,6.91,6.56,6.47,5.5,4.09,4.25,4.75,3.97,2.94,3.84,6.09,8.31,9.41,10.72,12.56,12.94,11.06,9.0,8.12,7.56,5.94,3.78,2.75,1.88,0.03,-3.03,-5.22,-6.44,-7.97,-10.53,-11.72,-10.84,-9.06,-7.78,-6.06,-2.56,1.19,3.09,3.44,4.09,4.62,3.81,1.88,1.31,2.03,2.53,1.97,1.78,2.94,4.34,3.81,2.69,2.31,1.69,-0.41,-3.53,-5.09,-5.12,-5.19,-5.69,-5.06,-3.53,-2.03,-2.19,-2.28,-0.78,1.0,1.75,2.22,3.53,5.06,5.09,3.94,3.69,4.38,4.44,3.47,3.06,3.53,3.69,2.34,0.84,0.81,1.41,0.72,-0.03,0.16,0.88,0.38,-0.69,-0.78,0.12,1.12,0.75,0.88,2.38,3.91,3.94,4.5,6.12,8.31,9.19,9.75,11.03,12.59,13.03,11.72,11.44,11.66,11.66,10.03,8.69,8.31,7.56,5.47,3.28,3.0,3.41,2.56,1.53,1.25,2.12,2.19,1.72,2.06,3.88,4.78,3.59,2.75,2.5,2.16,0.44,-0.91,-1.0,-0.41,-1.06,-2.12,-2.5,-1.97,-1.97,-2.78,-2.5,-0.97,-0.12,-1.41,-2.31,-2.91,-3.28,-4.97,-6.88,-7.34,-6.88,-7.41,-8.25,-8.16,-6.97,-7.06,-8.0,-8.44,-6.88,-5.28,-5.19,-4.34,-2.53,-0.09,0.5,0.38,1.06,2.19,1.59,0.31,-0.5,-0.41,-0.91,-2.94,-4.19,-3.72,-3.03,-3.84,-4.5,-3.59,-2.28,-2.44,-2.94,-2.44,-1.22,-0.84,-1.25,-0.47,1.91,3.59,4.19,4.81,6.81,8.47,8.12,7.47,8.0,8.81,8.0,6.31,5.12,4.84,3.69,1.94,1.03,1.88,2.38,1.47,0.72,1.03,1.28,-0.09,-1.53,-1.0,0.38,0.84,1.0,1.69,3.34,3.62,2.62,2.75,4.38,5.34,5.25,4.97,5.41,5.25,3.03,0.47,-0.78,-0.78,-1.31,-2.03,-1.56,-0.34,-0.34,-1.72,-2.59,-1.56,-0.81,-1.22,-0.84,1.06,3.16,3.66,3.66,4.31,5.25,4.31,2.59,1.5,1.78,1.38,-0.19,-1.41,-0.84,-1.0,-2.31,-3.06,-1.91,-0.38,-0.03,0.0,0.84,2.47,2.53,1.72,1.62,2.81,3.69,3.03,3.19,4.34,4.94,3.81,2.41,2.78,3.94,3.62,3.22,3.72,4.66,3.53,1.19,-0.12,0.22,0.25,0.06,0.03,1.44,1.94,0.78,-0.69,-0.69,0.25,-0.03,-0.34,0.16,1.84,2.19,1.0,-0.25,-0.75,-1.75,-4.31,-6.62,-6.38,-5.22,-4.75,-3.78,-0.94,2.75,4.22,4.38,4.53,4.91,3.75,1.59,-0.25,0.19,0.62,0.09,0.06,2.19,4.38,4.84,4.91,5.81,7.03,6.41,4.38,2.69,2.25,0.94,-0.62,-1.5,-0.34,0.62,0.28,0.12,1.53,3.41,3.31,1.78,0.38,-1.25,-4.69,-8.84,-11.81,-12.72,-12.94,-13.69,-13.06,-10.62,-8.0,-6.53,-4.88,-1.56,2.31,4.88,6.78,9.53,12.41,13.62,13.09,12.94,13.25,12.38,9.94,7.75,6.34,4.69,1.53,-1.72,-3.72,-5.03,-7.34,-9.69,-10.59,-9.97,-9.75,-9.94,-8.97,-6.28,-3.84,-1.78,0.75,5.28,9.75,12.03,12.78,13.84,14.19,12.34,9.38,7.34,6.19,4.5,1.44,-1.0,-2.69,-5.09,-8.97,-12.03,-12.66,-11.91,-11.81,-11.84,-10.41,-9.03,-9.16,-10.56,-10.75,-9.88,-9.0,-8.88,-7.94,-5.06,-2.53,-1.44,-0.75,1.56,3.5,3.38,2.47,2.75,3.44,3.16,2.28,2.69,4.38,5.22,4.59,3.41,2.81,1.22,-2.38,-5.66,-6.31,-5.59,-5.34,-4.88,-3.12,-0.34,1.19,1.44,2.91,5.53,7.44,7.94,9.22,11.84,14.06,14.69,14.34,15.12,15.41,13.94,11.59,10.19,9.56,8.0,5.28,3.34,2.78,1.75,-0.53,-2.31,-1.88,-1.38,-2.0,-2.34,-0.88,1.06,1.59,1.62,2.66,4.59,5.94,6.88,8.31,10.28,11.66,10.91,9.66,10.03,10.12,9.09,7.84,8.66,9.66,9.84,9.5,10.31,11.88,12.5,11.47,10.62,10.22,9.34,7.22,5.88,6.56,7.97,8.28,7.78,8.88,10.25,10.41,9.47,9.81,10.69,10.69,9.31,8.81,9.59,10.19,9.5,8.03,7.94,7.53,5.78,3.16,2.34,2.0,0.44,-1.81,-2.66,-2.03,-1.31,-1.56,-0.91,1.16,3.0,3.19,3.12,4.75,6.44,6.81,6.28,6.38,7.06,6.28,4.19,2.94,3.44,3.47,2.47,2.34,4.19,5.94,6.66,7.53,9.81,11.81,12.25,11.06,10.69,10.94,10.12,8.34,7.59,7.75,7.94,6.91,6.47,8.31,10.41,10.78,11.38,12.97,14.88,15.56,15.22,16.16,17.66,18.03,16.88,16.44,17.19,16.81,14.88,12.97,12.56,12.16,10.62,9.47,9.66,10.88,11.16:11.56,13.28,13.88,15.03,17.84,20.72,21.75,22.0,23.47,25.97,27.5,28.12,29.0,30.12,28.94,24.88,20.88,17.78,15.06,11.44,9.06,9.28,10.56,10.97,11.09,12.75,14.41,14.47,13.38,13.31,14.75,16.53,17.62,20.78,25.59,30.25,32.66,34.22,36.0,37.06,35.62,33.09,31.06,29.81,27.34,23.97,21.91,21.25,20.5,18.44,17.03,17.5,18.62,18.94,19.88,22.81,26.28,28.62,30.16,32.16,33.94,34.03,32.09,30.16,29.0,27.84,25.56,24.12,24.69,25.28,24.25,23.47,24.31,25.5,25.53,24.62,24.19,23.78,22.41,20.06,19.12,19.94,21.25,21.59,22.66,25.09,27.31,27.41,27.31,27.66,28.31,27.59,26.19,25.66,26.09,26.12,24.81,24.0,24.19,24.12,22.41,20.47,19.69,19.69,18.5,17.78,18.81,20.72,21.0,19.75,18.97,18.38,17.41,15.44,13.81,13.91,13.97,12.78,12.47,13.5,15.47,15.75,16.0,17.0,18.44,18.81,17.81,17.41,17.69,18.22,17.47,17.0,18.22,19.03,17.22,14.81,13.38,12.34,10.62,9.16,9.97,12.72,14.84,16.19,17.69,19.44,20.19,18.38,16.31,16.03,16.12,15.25,14.84,16.03,17.72,18.19,18.19,18.62,19.53,18.72,16.03,13.69,12.03,10.12,7.28,5.19,5.03,5.72,5.56,5.66,6.97,8.88,9.06,8.41,8.44,9.0,8.59,7.03,6.22,6.75,7.34,7.0,7.22,8.31,9.66,9.06,8.03,8.03,8.56,8.44,8.12,8.88,11.41,13.72,14.47,15.25,17.06,17.56,15.75,13.28,11.84,10.94,9.22,7.94,8.19,10.0,10.75,10.81,11.91,14.5,16.53,17.28,18.06,19.62,20.88,20.0,18.88,18.69,18.84,17.5,15.5,14.28,13.91,12.22,9.5,7.31,6.38,5.25,3.53,3.34,5.28,8.19,10.66,13.12,16.69,20.31,22.22,22.53,22.94,23.53,22.47,20.22,18.09,17.16,15.81,13.56,10.88,9.75,8.72,6.16,3.66,3.09,3.69,4.03,4.03,5.16,7.47,9.03,9.72,11.31,13.84,15.81,16.53,16.66,17.88,19.12,19.16,18.97,20.31,21.94,22.47,21.81,20.75,20.12,17.75,13.72,10.09,8.22,6.81,4.69,3.19,3.19,3.78,3.19,2.56,3.19,5.28,7.34,9.03,12.03,16.0,18.75,19.16,18.38,18.0,16.88,14.28,11.75,10.72,10.56,9.34,7.72,7.25,7.47,7.09,5.72,5.34,6.09,6.72,6.19,5.62,6.75,7.84,7.84,7.69,9.44,11.91,13.22,13.59,14.31,14.91,13.97,11.72,10.03,10.0,10.03,9.19,8.34,8.84,8.78,7.19,4.91,4.12,4.59,4.62,4.09,5.31,7.34,8.84,8.59,8.38,9.34,9.34,8.06,6.44,6.69,7.25,6.56,4.88,3.94,4.0,3.44,2.69,3.41,5.94,7.69,7.41,6.75,6.62,5.91,4.31,2.88,3.12,3.97,3.84,2.88,2.75,3.09,2.69,1.81,1.75,2.97,3.84,3.56,3.25,4.22,5.12,4.53,3.75,4.12,4.69,4.88,4.88,6.03,8.34,9.34,8.94,8.34,8.44,7.97,5.56,3.47,2.88,2.78,1.84,0.97,1.31,1.88,1.34,0.28,0.47,1.44,1.66,1.0,0.53,1.12,1.72,0.78,-0.09,0.41,1.19,0.75,-0.06,0.78,1.78,1.75,0.56,0.41,1.09,0.97,-0.12,-1.41,-1.12,-1.38,-2.75,-4.0,-3.12,-1.81,-1.88,-2.62,-2.16,-1.22,-0.78,-0.75,0.62,3.12,4.88,4.94,4.72,4.94,4.31,1.88,-1.0,-2.5,-2.91,-4.0,-5.28,-4.84,-3.66,-2.84,-2.81,-1.88,0.16,1.97,2.5,3.34,4.91,6.38,5.28,3.31,2.53,2.09,1.09,0.12,0.78,2.41,3.53,3.28,3.97,5.41,6.44,5.72,4.66,5.19,5.66,4.91,4.09,4.88,6.38,6.38,5.03,3.97,2.66,0.66,-2.53,-4.69,-4.72,-4.16,-4.44,-4.88,-3.25,-1.25,0.03,1.25,3.88,6.81,8.31,8.56,9.38,10.44,10.34,8.38,5.47,2.88,-0.34,-4.84,-9.28,-11.28,-11.59,-12.06,-12.16,-9.94,-6.41,-2.94,-0.09,3.78,8.16,11.88,13.34,14.56,15.62,15.91,13.88,10.84,8.56,6.09,2.69,-1.09,-3.62,-5.19,-6.94,-9.16,-9.84,-9.03,-7.34,-6.44,-5.09,-2.38,0.56,2.22,3.34,5.53,8.12,8.75,7.78,7.19,7.0,6.53,5.59,6.09,7.81,8.97,7.91,6.91,6.56,6.47,5.5,4.09,4.25,4.75,3.97,2.94,3.84,6.09,8.31,9.41,10.72,12.56,12.94,11.06,9.0,8.12,7.56,5.94,3.78,2.75,1.88,0.03,-3.03,-5.22,-6.44,-7.97,-10.53,-11.72,-10.84,-9.06,-7.78,-6.06,-2.56,1.19,3.09,3.44,4.09,4.62,3.81,1.88,1.31,2.03,2.53,1.97,1.78,2.94,4.34,3.81,2.69,2.31,1.69,-0.41,-3.53,-5.09,-5.12,-5.19,-5.69,-5.06,-3.53,-2.03,-2.19,-2.28,-0.78,1.0,1.75,2.22,3.53,5.06,5.09,3.94,3.69,4.38,4.44,3.47,3.06,3.53,3.69,2.34,0.84,0.81,1.41,0.72,-0.03,0.16,0.88,0.38,-0.69,-0.78,0.12,1.12,0.75,0.88,2.38,3.91,3.94,4.5,6.12,8.31,9.19,9.75,11.03,12.59,13.03,11.72,11.44,11.66,11.66,10.03,8.69,8.31,7.56,5.47,3.28,3.0,3.41,2.56,1.53,1.25,2.12,2.19,1.72,2.06,3.88,4.78,3.59,2.75,2.5,2.16,0.44,-0.91,-1.0,-0.41,-1.06,-2.12,-2.5,-1.97,-1.97,-2.78,-2.5,-0.97,-0.12,-1.41,-2.31,-2.91,-3.28,-4.97,-6.88,-7.34,-6.88,-7.41,-8.25,-8.16,-6.97,-7.06,-8.0,-8.44,-6.88,-5.28,-5.19,-4.34,-2.53,-0.09,0.5,0.38,1.06,2.19,1.59,0.31,-0.5,-0.41,-0.91,-2.94,-4.19,-3.72,-3.03,-3.84,-4.5,-3.59,-2.28,-2.44,-2.94,-2.44,-1.22,-0.84,-1.25,-0.47,1.91,3.59,4.19,4.81,6.81,8.47,8.12,7.47,8.0,8.81,8.0,6.31,5.12,4.84,3.69,1.94,1.03,1.88,2.38,1.47,0.72,1.03,1.28,-0.09,-1.53,-1.0,0.38,0.84,1.0,1.69,3.34,3.62,2.62,2.75,4.38,5.34,5.25,4.97,5.41,5.25,3.03,0.47,-0.78,-0.78,-1.31,-2.03,-1.56,-0.34,-0.34,-1.72,-2.59,-1.56,-0.81,-1.22,-0.84,1.06,3.16,3.66,3.66,4.31,5.25,4.31,2.59,1.5,1.78,1.38,-0.19,-1.41,-0.84,-1.0,-2.31,-3.06,-1.91,-0.38,-0.03,0.0,0.84,2.47,2.53,1.72,1.62,2.81,3.69,3.03,3.19,4.34,4.94,3.81,2.41,2.78,3.94,3.62,3.22,3.72,4.66,3.53,1.19,-0.12,0.22,0.25,0.06,0.03,1.44,1.94,0.78,-0.69,-0.69,0.25,-0.03,-0.34,0.16,1.84,2.19,1.0,-0.25,-0.75,-1.75,-4.31,-6.62,-6.38,-5.22,-4.75,-3.78,-0.94,2.75,4.22,4.38,4.53,4.91,3.75,1.59,-0.25,0.19,0.62,0.09,0.06,2.19,4.38,4.84,4.91,5.81,7.03,6.41,4.38,2.69,2.25,0.94,-0.62,-1.5,-0.34,0.62,0.28,0.12,1.53,3.41,3.31,1.78,0.38,-1.25,-4.69,-8.84,-11.81,-12.72,-12.94,-13.69,-13.06,-10.62,-8.0,-6.53,-4.88,-1.56,2.31,4.88,6.78,9.53,12.41,13.62,13.09,12.94,13.25,12.38,9.94,7.75,6.34,4.69,1.53,-1.72,-3.72,-5.03,-7.34,-9.69,-10.59,-9.97,-9.75,-9.94,-8.97,-6.28,-3.84,-1.78,0.75,5.28,9.75,12.03,12.78,13.84,14.19,12.34,9.38,7.34,6.19,4.5,1.44,-1.0,-2.69,-5.09,-8.97,-12.03,-12.66,-11.91,-11.81,-11.84,-10.41,-9.03,-9.16,-10.56,-10.75,-9.88,-9.0,-8.88,-7.94,-5.06,-2.53,-1.44,-0.75,1.56,3.5,3.38,2.47,2.75,3.44,3.16,2.28,2.69,4.38,5.22,4.59,3.41,2.81,1.22,-2.38,-5.66,-6.31,-5.59,-5.34,-4.88,-3.12,-0.34,1.19,1.44,2.91,5.53,7.44,7.94,9.22,11.84,14.06,14.69,14.34,15.12,15.41,13.94,11.59,10.19,9.56,8.0,5.28,3.34,2.78,1.75,-0.53,-2.31,-1.88,-1.38,-2.0,-2.34,-0.88,1.06,1.59,1.62,2.66,4.59,5.94,6.88,8.31,10.28,11.66,10.91,9.66,10.03,10.12,9.09,7.84,8.66,9.66,9.84,9.5,10.31,11.88,12.5,11.47,10.62,10.22,9.34,7.22,5.88,6.56,7.97,8.28,7.78,8.88,10.25,10.41,9.47,9.81,10.69,10.69,9.31,8.81,9.59,10.19,9.5,8.03,7.94,7.53,5.78,3.16,2.34,2.0,0.44,-1.81,-2.66,-2.03,-1.31,-1.56,-0.91,1.16,3.0,3.19,3.12,4.75,6.44,6.81,6.28,6.38,7.06,6.28,4.19,2.94,3.44,3.47,2.47,2.34,4.19,5.94,6.66,7.53,9.81,11.81,12.25,11.06,10.69,10.94,10.12,8.34,7.59,7.75,7.94,6.91,6.47,8.31,10.41,10.78,11.38,12.97,14.88,15.56,15.22,16.16,17.66,18.03,16.88,16.44,17.19,16.81,14.88,12.97,12.56,12.16,10.62,9.47,9.66,10.88,11.16,48.0,47.75,47.0,46.12,45.62,45.34,45.25:22.0,23.47,25.97,27.5,28.12,29.0,30.12,28.94,24.88,20.88,17.78,15.06,11.44,9.06,9.28,10.56,10.97,11.09,12.75,14.41,14.47,13.38,13.31,14.75,16.53,17.62,20.78,25.59,30.25,32.66,34.22,36.0,37.06,35.62,33.09,31.06,29.81,27.34,23.97,21.91,21.25,20.5,18.44,17.03,17.5,18.62,18.94,19.88,22.81,26.28,28.62,30.16,32.16,33.94,34.03,32.09,30.16,29.0,27.84,25.56,24.12,24.69,25.28,24.25,23.47,24.31,25.5,25.53,24.62,24.19,23.78,22.41,20.06,19.12,19.94,21.25,21.59,22.66,25.09,27.31,27.41,27.31,27.66,28.31,27.59,26.19,25.66,26.09,26.12,24.81,24.0,24.19,24.12,22.41,20.47,19.69,19.69,18.5,17.78,18.81,20.72,21.0,19.75,18.97,18.38,17.41,15.44,13.81,13.91,13.97,12.78,12.47,13.5,15.47,15.75,16.0,17.0,18.44,18.81,17.81,17.41,17.69,18.22,17.47,17.0,18.22,19.03,17.22,14.81,13.38,12.34,10.62,9.16,9.97,12.72,14.84,16.19,17.69,19.44,20.19,18.38,16.31,16.03,16.12,15.25,14.84,16.03,17.72,18.19,18.19,18.62,19.53,18.72,16.03,13.69,12.03,10.12,7.28,5.19,5.03,5.72,5.56,5.66,6.97,8.88,9.06,8.41,8.44,9.0,8.59,7.03,6.22,6.75,7.34,7.0,7.22,8.31,9.66,9.06,8.03,8.03,8.56,8.44,8.12,8.88,11.41,13.72,14.47,15.25,17.06,17.56,15.75,13.28,11.84,10.94,9.22,7.94,8.19,10.0,10.75,10.81,11.91,14.5,16.53,17.28,18.06,19.62,20.88,20.0,18.88,18.69,18.84,17.5,15.5,14.28,13.91,12.22,9.5,7.31,6.38,5.25,3.53,3.34,5.28,8.19,10.66,13.12,16.69,20.31,22.22,22.53,22.94,23.53,22.47,20.22,18.09,17.16,15.81,13.56,10.88,9.75,8.72,6.16,3.66,3.09,3.69,4.03,4.03,5.16,7.47,9.03,9.72,11.31,13.84,15.81,16.53,16.66,17.88,19.12,19.16,18.97,20.31,21.94,22.47,21.81,20.75,20.12,17.75,13.72,10.09,8.22,6.81,4.69,3.19,3.19,3.78,3.19,2.56,3.19,5.28,7.34,9.03,12.03,16.0,18.75,19.16,18.38,18.0,16.88,14.28,11.75,10.72,10.56,9.34,7.72,7.25,7.47,7.09,5.72,5.34,6.09,6.72,6.19,5.62,6.75,7.84,7.84,7.69,9.44,11.91,13.22,13.59,14.31,14.91,13.97,11.72,10.03,10.0,10.03,9.19,8.34,8.84,8.78,7.19,4.91,4.12,4.59,4.62,4.09,5.31,7.34,8.84,8.59,8.38,9.34,9.34,8.06,6.44,6.69,7.25,6.56,4.88,3.94,4.0,3.44,2.69,3.41,5.94,7.69,7.41,6.75,6.62,5.91,4.31,2.88,3.12,3.97,3.84,2.88,2.75,3.09,2.69,1.81,1.75,2.97,3.84,3.56,3.25,4.22,5.12,4.53,3.75,4.12,4.69,4.88,4.88,6.03,8.34,9.34,8.94,8.34,8.44,7.97,5.56,3.47,2.88,2.78,1.84,0.97,1.31,1.88,1.34,0.28,0.47,1.44,1.66,1.0,0.53,1.12,1.72,0.78,-0.09,0.41,1.19,0.75,-0.06,0.78,1.78,1.75,0.56,0.41,1.09,0.97,-0.12,-1.41,-1.12,-1.38,-2.75,-4.0,-3.12,-1.81,-1.88,-2.62,-2.16,-1.22,-0.78,-0.75,0.62,3.12,4.88,4.94,4.72,4.94,4.31,1.88,-1.0,-2.5,-2.91,-4.0,-5.28,-4.84,-3.66,-2.84,-2.81,-1.88,0.16,1.97,2.5,3.34,4.91,6.38,5.28,3.31,2.53,2.09,1.09,0.12,0.78,2.41,3.53,3.28,3.97,5.41,6.44,5.72,4.66,5.19,5.66,4.91,4.09,4.88,6.38,6.38,5.03,3.97,2.66,0.66,-2.53,-4.69,-4.72,-4.16,-4.44,-4.88,-3.25,-1.25,0.03,1.25,3.88,6.81,8.31,8.56,9.38,10.44,10.34,8.38,5.47,2.88,-0.34,-4.84,-9.28,-11.28,-11.59,-12.06,-12.16,-9.94,-6.41,-2.94,-0.09,3.78,8.16,11.88,13.34,14.56,15.62,15.91,13.88,10.84,8.56,6.09,2.69,-1.09,-3.62,-5.19,-6.94,-9.16,-9.84,-9.03,-7.34,-6.44,-5.09,-2.38,0.56,2.22,3.34,5.53,8.12,8.75,7.78,7.19,7.0,6.53,5.59,6.09,7.81,8.97,7.91,6.91,6.56,6.47,5.5,4.09,4.25,4.75,3.97,2.94,3.84,6.09,8.31,9.41,10.72,12.56,12.94,11.06,9.0,8.12,7.56,5.94,3.78,2.75,1.88,0.03,-3.03,-5.22,-6.44,-7.97,-10.53,-11.72,-10.84,-9.06,-7.78,-6.06,-2.56,1.19,3.09,3.44,4.09,4.62,3.81,1.88,1.31,2.03,2.53,1.97,1.78,2.94,4.34,3.81,2.69,2.31,1.69,-0.41,-3.53,-5.09,-5.12,-5.19,-5.69,-5.06,-3.53,-2.03,-2.19,-2.28,-0.78,1.0,1.75,2.22,3.53,5.06,5.09,3.94,3.69,4.38,4.44,3.47,3.06,3.53,3.69,2.34,0.84,0.81,1.41,0.72,-0.03,0.16,0.88,0.38,-0.69,-0.78,0.12,1.12,0.75,0.88,2.38,3.91,3.94,4.5,6.12,8.31,9.19,9.75,11.03,12.59,13.03,11.72,11.44,11.66,11.66,10.03,8.69,8.31,7.56,5.47,3.28,3.0,3.41,2.56,1.53,1.25,2.12,2.19,1.72,2.06,3.88,4.78,3.59,2.75,2.5,2.16,0.44,-0.91,-1.0,-0.41,-1.06,-2.12,-2.5,-1.97,-1.97,-2.78,-2.5,-0.97,-0.12,-1.41,-2.31,-2.91,-3.28,-4.97,-6.88,-7.34,-6.88,-7.41,-8.25,-8.16,-6.97,-7.06,-8.0,-8.44,-6.88,-5.28,-5.19,-4.34,-2.53,-0.09,0.5,0.38,1.06,2.19,1.59,0.31,-0.5,-0.41,-0.91,-2.94,-4.19,-3.72,-3.03,-3.84,-4.5,-3.59,-2.28,-2.44,-2.94,-2.44,-1.22,-0.84,-1.25,-0.47,1.91,3.59,4.19,4.81,6.81,8.47,8.12,7.47,8.0,8.81,8.0,6.31,5.12,4.84,3.69,1.94,1.03,1.88,2.38,1.47,0.72,1.03,1.28,-0.09,-1.53,-1.0,0.38,0.84,1.0,1.69,3.34,3.62,2.62,2.75,4.38,5.34,5.25,4.97,5.41,5.25,3.03,0.47,-0.78,-0.78,-1.31,-2.03,-1.56,-0.34,-0.34,-1.72,-2.59,-1.56,-0.81,-1.22,-0.84,1.06,3.16,3.66,3.66,4.31,5.25,4.31,2.59,1.5,1.78,1.38,-0.19,-1.41,-0.84,-1.0,-2.31,-3.06,-1.91,-0.38,-0.03,0.0,0.84,2.47,2.53,1.72,1.62,2.81,3.69,3.03,3.19,4.34,4.94,3.81,2.41,2.78,3.94,3.62,3.22,3.72,4.66,3.53,1.19,-0.12,0.22,0.25,0.06,0.03,1.44,1.94,0.78,-0.69,-0.69,0.25,-0.03,-0.34,0.16,1.84,2.19,1.0,-0.25,-0.75,-1.75,-4.31,-6.62,-6.38,-5.22,-4.75,-3.78,-0.94,2.75,4.22,4.38,4.53,4.91,3.75,1.59,-0.25,0.19,0.62,0.09,0.06,2.19,4.38,4.84,4.91,5.81,7.03,6.41,4.38,2.69,2.25,0.94,-0.62,-1.5,-0.34,0.62,0.28,0.12,1.53,3.41,3.31,1.78,0.38,-1.25,-4.69,-8.84,-11.81,-12.72,-12.94,-13.69,-13.06,-10.62,-8.0,-6.53,-4.88,-1.56,2.31,4.88,6.78,9.53,12.41,13.62,13.09,12.94,13.25,12.38,9.94,7.75,6.34,4.69,1.53,-1.72,-3.72,-5.03,-7.34,-9.69,-10.59,-9.97,-9.75,-9.94,-8.97,-6.28,-3.84,-1.78,0.75,5.28,9.75,12.03,12.78,13.84,14.19,12.34,9.38,7.34,6.19,4.5,1.44,-1.0,-2.69,-5.09,-8.97,-12.03,-12.66,-11.91,-11.81,-11.84,-10.41,-9.03,-9.16,-10.56,-10.75,-9.88,-9.0,-8.88,-7.94,-5.06,-2.53,-1.44,-0.75,1.56,3.5,3.38,2.47,2.75,3.44,3.16,2.28,2.69,4.38,5.22,4.59,3.41,2.81,1.22,-2.38,-5.66,-6.31,-5.59,-5.34,-4.88,-3.12,-0.34,1.19,1.44,2.91,5.53,7.44,7.94,9.22,11.84,14.06,14.69,14.34,15.12,15.41,13.94,11.59,10.19,9.56,8.0,5.28,3.34,2.78,1.75,-0.53,-2.31,-1.88,-1.38,-2.0,-2.34,-0.88,1.06,1.59,1.62,2.66,4.59,5.94,6.88,8.31,10.28,11.66,10.91,9.66,10.03,10.12,9.09,7.84,8.66,9.66,9.84,9.5,10.31,11.88,12.5,11.47,10.62,10.22,9.34,7.22,5.88,6.56,7.97,8.28,7.78,8.88,10.25,10.41,9.47,9.81,10.69,10.69,9.31,8.81,9.59,10.19,9.5,8.03,7.94,7.53,5.78,3.16,2.34,2.0,0.44,-1.81,-2.66,-2.03,-1.31,-1.56,-0.91,1.16,3.0,3.19,3.12,4.75,6.44,6.81,6.28,6.38,7.06,6.28,4.19,2.94,3.44,3.47,2.47,2.34,4.19,5.94,6.66,7.53,9.81,11.81,12.25,11.06,10.69,10.94,10.12,8.34,7.59,7.75,7.94,6.91,6.47,8.31,10.41,10.78,11.38,12.97,14.88,15.56,15.22,16.16,17.66,18.03,16.88,16.44,17.19,16.81,14.88,12.97,12.56,12.16,10.62,9.47,9.66,10.88,11.16,48.0,47.75,47.0,46.12,45.62,45.34,45.25,45.31,46.12,47.53,49.0,50.28,51.56,52.66:28.94,24.88,20.88,17.78,15.06,11.44,9.06,9.28,10.56,10.97,11.09,12.75,14.41,14.47,13.38,13.31,14.75,16.53,17.62,20.78,25.59,30.25,32.66,34.22,36.0,37.06,35.62,33.09,31.06,29.81,27.34,23.97,21.91,21.25,20.5,18.44,17.03,17.5,18.62,18.94,19.88,22.81,26.28,28.62,30.16,32.16,33.94,34.03,32.09,30.16,29.0,27.84,25.56,24.12,24.69,25.28,24.25,23.47,24.31,25.5,25.53,24.62,24.19,23.78,22.41,20.06,19.12,19.94,21.25,21.59,22.66,25.09,27.31,27.41,27.31,27.66,28.31,27.59,26.19,25.66,26.09,26.12,24.81,24.0,24.19,24.12,22.41,20.47,19.69,19.69,18.5,17.78,18.81,20.72,21.0,19.75,18.97,18.38,17.41,15.44,13.81,13.91,13.97,12.78,12.47,13.5,15.47,15.75,16.0,17.0,18.44,18.81,17.81,17.41,17.69,18.22,17.47,17.0,18.22,19.03,17.22,14.81,13.38,12.34,10.62,9.16,9.97,12.72,14.84,16.19,17.69,19.44,20.19,18.38,16.31,16.03,16.12,15.25,14.84,16.03,17.72,18.19,18.19,18.62,19.53,18.72,16.03,13.69,12.03,10.12,7.28,5.19,5.03,5.72,5.56,5.66,6.97,8.88,9.06,8.41,8.44,9.0,8.59,7.03,6.22,6.75,7.34,7.0,7.22,8.31,9.66,9.06,8.03,8.03,8.56,8.44,8.12,8.88,11.41,13.72,14.47,15.25,17.06,17.56,15.75,13.28,11.84,10.94,9.22,7.94,8.19,10.0,10.75,10.81,11.91,14.5,16.53,17.28,18.06,19.62,20.88,20.0,18.88,18.69,18.84,17.5,15.5,14.28,13.91,12.22,9.5,7.31,6.38,5.25,3.53,3.34,5.28,8.19,10.66,13.12,16.69,20.31,22.22,22.53,22.94,23.53,22.47,20.22,18.09,17.16,15.81,13.56,10.88,9.75,8.72,6.16,3.66,3.09,3.69,4.03,4.03,5.16,7.47,9.03,9.72,11.31,13.84,15.81,16.53,16.66,17.88,19.12,19.16,18.97,20.31,21.94,22.47,21.81,20.75,20.12,17.75,13.72,10.09,8.22,6.81,4.69,3.19,3.19,3.78,3.19,2.56,3.19,5.28,7.34,9.03,12.03,16.0,18.75,19.16,18.38,18.0,16.88,14.28,11.75,10.72,10.56,9.34,7.72,7.25,7.47,7.09,5.72,5.34,6.09,6.72,6.19,5.62,6.75,7.84,7.84,7.69,9.44,11.91,13.22,13.59,14.31,14.91,13.97,11.72,10.03,10.0,10.03,9.19,8.34,8.84,8.78,7.19,4.91,4.12,4.59,4.62,4.09,5.31,7.34,8.84,8.59,8.38,9.34,9.34,8.06,6.44,6.69,7.25,6.56,4.88,3.94,4.0,3.44,2.69,3.41,5.94,7.69,7.41,6.75,6.62,5.91,4.31,2.88,3.12,3.97,3.84,2.88,2.75,3.09,2.69,1.81,1.75,2.97,3.84,3.56,3.25,4.22,5.12,4.53,3.75,4.12,4.69,4.88,4.88,6.03,8.34,9.34,8.94,8.34,8.44,7.97,5.56,3.47,2.88,2.78,1.84,0.97,1.31,1.88,1.34,0.28,0.47,1.44,1.66,1.0,0.53,1.12,1.72,0.78,-0.09,0.41,1.19,0.75,-0.06,0.78,1.78,1.75,0.56,0.41,1.09,0.97,-0.12,-1.41,-1.12,-1.38,-2.75,-4.0,-3.12,-1.81,-1.88,-2.62,-2.16,-1.22,-0.78,-0.75,0.62,3.12,4.88,4.94,4.72,4.94,4.31,1.88,-1.0,-2.5,-2.91,-4.0,-5.28,-4.84,-3.66,-2.84,-2.81,-1.88,0.16,1.97,2.5,3.34,4.91,6.38,5.28,3.31,2.53,2.09,1.09,0.12,0.78,2.41,3.53,3.28,3.97,5.41,6.44,5.72,4.66,5.19,5.66,4.91,4.09,4.88,6.38,6.38,5.03,3.97,2.66,0.66,-2.53,-4.69,-4.72,-4.16,-4.44,-4.88,-3.25,-1.25,0.03,1.25,3.88,6.81,8.31,8.56,9.38,10.44,10.34,8.38,5.47,2.88,-0.34,-4.84,-9.28,-11.28,-11.59,-12.06,-12.16,-9.94,-6.41,-2.94,-0.09,3.78,8.16,11.88,13.34,14.56,15.62,15.91,13.88,10.84,8.56,6.09,2.69,-1.09,-3.62,-5.19,-6.94,-9.16,-9.84,-9.03,-7.34,-6.44,-5.09,-2.38,0.56,2.22,3.34,5.53,8.12,8.75,7.78,7.19,7.0,6.53,5.59,6.09,7.81,8.97,7.91,6.91,6.56,6.47,5.5,4.09,4.25,4.75,3.97,2.94,3.84,6.09,8.31,9.41,10.72,12.56,12.94,11.06,9.0,8.12,7.56,5.94,3.78,2.75,1.88,0.03,-3.03,-5.22,-6.44,-7.97,-10.53,-11.72,-10.84,-9.06,-7.78,-6.06,-2.56,1.19,3.09,3.44,4.09,4.62,3.81,1.88,1.31,2.03,2.53,1.97,1.78,2.94,4.34,3.81,2.69,2.31,1.69,-0.41,-3.53,-5.09,-5.12,-5.19,-5.69,-5.06,-3.53,-2.03,-2.19,-2.28,-0.78,1.0,1.75,2.22,3.53,5.06,5.09,3.94,3.69,4.38,4.44,3.47,3.06,3.53,3.69,2.34,0.84,0.81,1.41,0.72,-0.03,0.16,0.88,0.38,-0.69,-0.78,0.12,1.12,0.75,0.88,2.38,3.91,3.94,4.5,6.12,8.31,9.19,9.75,11.03,12.59,13.03,11.72,11.44,11.66,11.66,10.03,8.69,8.31,7.56,5.47,3.28,3.0,3.41,2.56,1.53,1.25,2.12,2.19,1.72,2.06,3.88,4.78,3.59,2.75,2.5,2.16,0.44,-0.91,-1.0,-0.41,-1.06,-2.12,-2.5,-1.97,-1.97,-2.78,-2.5,-0.97,-0.12,-1.41,-2.31,-2.91,-3.28,-4.97,-6.88,-7.34,-6.88,-7.41,-8.25,-8.16,-6.97,-7.06,-8.0,-8.44,-6.88,-5.28,-5.19,-4.34,-2.53,-0.09,0.5,0.38,1.06,2.19,1.59,0.31,-0.5,-0.41,-0.91,-2.94,-4.19,-3.72,-3.03,-3.84,-4.5,-3.59,-2.28,-2.44,-2.94,-2.44,-1.22,-0.84,-1.25,-0.47,1.91,3.59,4.19,4.81,6.81,8.47,8.12,7.47,8.0,8.81,8.0,6.31,5.12,4.84,3.69,1.94,1.03,1.88,2.38,1.47,0.72,1.03,1.28,-0.09,-1.53,-1.0,0.38,0.84,1.0,1.69,3.34,3.62,2.62,2.75,4.38,5.34,5.25,4.97,5.41,5.25,3.03,0.47,-0.78,-0.78,-1.31,-2.03,-1.56,-0.34,-0.34,-1.72,-2.59,-1.56,-0.81,-1.22,-0.84,1.06,3.16,3.66,3.66,4.31,5.25,4.31,2.59,1.5,1.78,1.38,-0.19,-1.41,-0.84,-1.0,-2.31,-3.06,-1.91,-0.38,-0.03,0.0,0.84,2.47,2.53,1.72,1.62,2.81,3.69,3.03,3.19,4.34,4.94,3.81,2.41,2.78,3.94,3.62,3.22,3.72,4.66,3.53,1.19,-0.12,0.22,0.25,0.06,0.03,1.44,1.94,0.78,-0.69,-0.69,0.25,-0.03,-0.34,0.16,1.84,2.19,1.0,-0.25,-0.75,-1.75,-4.31,-6.62,-6.38,-5.22,-4.75,-3.78,-0.94,2.75,4.22,4.38,4.53,4.91,3.75,1.59,-0.25,0.19,0.62,0.09,0.06,2.19,4.38,4.84,4.91,5.81,7.03,6.41,4.38,2.69,2.25,0.94,-0.62,-1.5,-0.34,0.62,0.28,0.12,1.53,3.41,3.31,1.78,0.38,-1.25,-4.69,-8.84,-11.81,-12.72,-12.94,-13.69,-13.06,-10.62,-8.0,-6.53,-4.88,-1.56,2.31,4.88,6.78,9.53,12.41,13.62,13.09,12.94,13.25,12.38,9.94,7.75,6.34,4.69,1.53,-1.72,-3.72,-5.03,-7.34,-9.69,-10.59,-9.97,-9.75,-9.94,-8.97,-6.28,-3.84,-1.78,0.75,5.28,9.75,12.03,12.78,13.84,14.19,12.34,9.38,7.34,6.19,4.5,1.44,-1.0,-2.69,-5.09,-8.97,-12.03,-12.66,-11.91,-11.81,-11.84,-10.41,-9.03,-9.16,-10.56,-10.75,-9.88,-9.0,-8.88,-7.94,-5.06,-2.53,-1.44,-0.75,1.56,3.5,3.38,2.47,2.75,3.44,3.16,2.28,2.69,4.38,5.22,4.59,3.41,2.81,1.22,-2.38,-5.66,-6.31,-5.59,-5.34,-4.88,-3.12,-0.34,1.19,1.44,2.91,5.53,7.44,7.94,9.22,11.84,14.06,14.69,14.34,15.12,15.41,13.94,11.59,10.19,9.56,8.0,5.28,3.34,2.78,1.75,-0.53,-2.31,-1.88,-1.38,-2.0,-2.34,-0.88,1.06,1.59,1.62,2.66,4.59,5.94,6.88,8.31,10.28,11.66,10.91,9.66,10.03,10.12,9.09,7.84,8.66,9.66,9.84,9.5,10.31,11.88,12.5,11.47,10.62,10.22,9.34,7.22,5.88,6.56,7.97,8.28,7.78,8.88,10.25,10.41,9.47,9.81,10.69,10.69,9.31,8.81,9.59,10.19,9.5,8.03,7.94,7.53,5.78,3.16,2.34,2.0,0.44,-1.81,-2.66,-2.03,-1.31,-1.56,-0.91,1.16,3.0,3.19,3.12,4.75,6.44,6.81,6.28,6.38,7.06,6.28,4.19,2.94,3.44,3.47,2.47,2.34,4.19,5.94,6.66,7.53,9.81,11.81,12.25,11.06,10.69,10.94,10.12,8.34,7.59,7.75,7.94,6.91,6.47,8.31,10.41,10.78,11.38,12.97,14.88,15.56,15.22,16.16,17.66,18.03,16.88,16.44,17.19,16.81,14.88,12.97,12.56,12.16,10.62,9.47,9.66,10.88,11.16,48.0,47.75,47.0,46.12,45.62,45.34,45.25,45.31,46.12,47.53,49.0,50.28,51.56,52.66,53.25,53.34,53.75,55.25,56.16,56.28,55.5:9.28,10.56,10.97,11.09,12.75,14.41,14.47,13.38,13.31,14.75,16.53,17.62,20.78,25.59,30.25,32.66,34.22,36.0,37.06,35.62,33.09,31.06,29.81,27.34,23.97,21.91,21.25,20.5,18.44,17.03,17.5,18.62,18.94,19.88,22.81,26.28,28.62,30.16,32.16,33.94,34.03,32.09,30.16,29.0,27.84,25.56,24.12,24.69,25.28,24.25,23.47,24.31,25.5,25.53,24.62,24.19,23.78,22.41,20.06,19.12,19.94,21.25,21.59,22.66,25.09,27.31,27.41,27.31,27.66,28.31,27.59,26.19,25.66,26.09,26.12,24.81,24.0,24.19,24.12,22.41,20.47,19.69,19.69,18.5,17.78,18.81,20.72,21.0,19.75,18.97,18.38,17.41,15.44,13.81,13.91,13.97,12.78,12.47,13.5,15.47,15.75,16.0,17.0,18.44,18.81,17.81,17.41,17.69,18.22,17.47,17.0,18.22,19.03,17.22,14.81,13.38,12.34,10.62,9.16,9.97,12.72,14.84,16.19,17.69,19.44,20.19,18.38,16.31,16.03,16.12,15.25,14.84,16.03,17.72,18.19,18.19,18.62,19.53,18.72,16.03,13.69,12.03,10.12,7.28,5.19,5.03,5.72,5.56,5.66,6.97,8.88,9.06,8.41,8.44,9.0,8.59,7.03,6.22,6.75,7.34,7.0,7.22,8.31,9.66,9.06,8.03,8.03,8.56,8.44,8.12,8.88,11.41,13.72,14.47,15.25,17.06,17.56,15.75,13.28,11.84,10.94,9.22,7.94,8.19,10.0,10.75,10.81,11.91,14.5,16.53,17.28,18.06,19.62,20.88,20.0,18.88,18.69,18.84,17.5,15.5,14.28,13.91,12.22,9.5,7.31,6.38,5.25,3.53,3.34,5.28,8.19,10.66,13.12,16.69,20.31,22.22,22.53,22.94,23.53,22.47,20.22,18.09,17.16,15.81,13.56,10.88,9.75,8.72,6.16,3.66,3.09,3.69,4.03,4.03,5.16,7.47,9.03,9.72,11.31,13.84,15.81,16.53,16.66,17.88,19.12,19.16,18.97,20.31,21.94,22.47,21.81,20.75,20.12,17.75,13.72,10.09,8.22,6.81,4.69,3.19,3.19,3.78,3.19,2.56,3.19,5.28,7.34,9.03,12.03,16.0,18.75,19.16,18.38,18.0,16.88,14.28,11.75,10.72,10.56,9.34,7.72,7.25,7.47,7.09,5.72,5.34,6.09,6.72,6.19,5.62,6.75,7.84,7.84,7.69,9.44,11.91,13.22,13.59,14.31,14.91,13.97,11.72,10.03,10.0,10.03,9.19,8.34,8.84,8.78,7.19,4.91,4.12,4.59,4.62,4.09,5.31,7.34,8.84,8.59,8.38,9.34,9.34,8.06,6.44,6.69,7.25,6.56,4.88,3.94,4.0,3.44,2.69,3.41,5.94,7.69,7.41,6.75,6.62,5.91,4.31,2.88,3.12,3.97,3.84,2.88,2.75,3.09,2.69,1.81,1.75,2.97,3.84,3.56,3.25,4.22,5.12,4.53,3.75,4.12,4.69,4.88,4.88,6.03,8.34,9.34,8.94,8.34,8.44,7.97,5.56,3.47,2.88,2.78,1.84,0.97,1.31,1.88,1.34,0.28,0.47,1.44,1.66,1.0,0.53,1.12,1.72,0.78,-0.09,0.41,1.19,0.75,-0.06,0.78,1.78,1.75,0.56,0.41,1.09,0.97,-0.12,-1.41,-1.12,-1.38,-2.75,-4.0,-3.12,-1.81,-1.88,-2.62,-2.16,-1.22,-0.78,-0.75,0.62,3.12,4.88,4.94,4.72,4.94,4.31,1.88,-1.0,-2.5,-2.91,-4.0,-5.28,-4.84,-3.66,-2.84,-2.81,-1.88,0.16,1.97,2.5,3.34,4.91,6.38,5.28,3.31,2.53,2.09,1.09,0.12,0.78,2.41,3.53,3.28,3.97,5.41,6.44,5.72,4.66,5.19,5.66,4.91,4.09,4.88,6.38,6.38,5.03,3.97,2.66,0.66,-2.53,-4.69,-4.72,-4.16,-4.44,-4.88,-3.25,-1.25,0.03,1.25,3.88,6.81,8.31,8.56,9.38,10.44,10.34,8.38,5.47,2.88,-0.34,-4.84,-9.28,-11.28,-11.59,-12.06,-12.16,-9.94,-6.41,-2.94,-0.09,3.78,8.16,11.88,13.34,14.56,15.62,15.91,13.88,10.84,8.56,6.09,2.69,-1.09,-3.62,-5.19,-6.94,-9.16,-9.84,-9.03,-7.34,-6.44,-5.09,-2.38,0.56,2.22,3.34,5.53,8.12,8.75,7.78,7.19,7.0,6.53,5.59,6.09,7.81,8.97,7.91,6.91,6.56,6.47,5.5,4.09,4.25,4.75,3.97,2.94,3.84,6.09,8.31,9.41,10.72,12.56,12.94,11.06,9.0,8.12,7.56,5.94,3.78,2.75,1.88,0.03,-3.03,-5.22,-6.44,-7.97,-10.53,-11.72,-10.84,-9.06,-7.78,-6.06,-2.56,1.19,3.09,3.44,4.09,4.62,3.81,1.88,1.31,2.03,2.53,1.97,1.78,2.94,4.34,3.81,2.69,2.31,1.69,-0.41,-3.53,-5.09,-5.12,-5.19,-5.69,-5.06,-3.53,-2.03,-2.19,-2.28,-0.78,1.0,1.75,2.22,3.53,5.06,5.09,3.94,3.69,4.38,4.44,3.47,3.06,3.53,3.69,2.34,0.84,0.81,1.41,0.72,-0.03,0.16,0.88,0.38,-0.69,-0.78,0.12,1.12,0.75,0.88,2.38,3.91,3.94,4.5,6.12,8.31,9.19,9.75,11.03,12.59,13.03,11.72,11.44,11.66,11.66,10.03,8.69,8.31,7.56,5.47,3.28,3.0,3.41,2.56,1.53,1.25,2.12,2.19,1.72,2.06,3.88,4.78,3.59,2.75,2.5,2.16,0.44,-0.91,-1.0,-0.41,-1.06,-2.12,-2.5,-1.97,-1.97,-2.78,-2.5,-0.97,-0.12,-1.41,-2.31,-2.91,-3.28,-4.97,-6.88,-7.34,-6.88,-7.41,-8.25,-8.16,-6.97,-7.06,-8.0,-8.44,-6.88,-5.28,-5.19,-4.34,-2.53,-0.09,0.5,0.38,1.06,2.19,1.59,0.31,-0.5,-0.41,-0.91,-2.94,-4.19,-3.72,-3.03,-3.84,-4.5,-3.59,-2.28,-2.44,-2.94,-2.44,-1.22,-0.84,-1.25,-0.47,1.91,3.59,4.19,4.81,6.81,8.47,8.12,7.47,8.0,8.81,8.0,6.31,5.12,4.84,3.69,1.94,1.03,1.88,2.38,1.47,0.72,1.03,1.28,-0.09,-1.53,-1.0,0.38,0.84,1.0,1.69,3.34,3.62,2.62,2.75,4.38,5.34,5.25,4.97,5.41,5.25,3.03,0.47,-0.78,-0.78,-1.31,-2.03,-1.56,-0.34,-0.34,-1.72,-2.59,-1.56,-0.81,-1.22,-0.84,1.06,3.16,3.66,3.66,4.31,5.25,4.31,2.59,1.5,1.78,1.38,-0.19,-1.41,-0.84,-1.0,-2.31,-3.06,-1.91,-0.38,-0.03,0.0,0.84,2.47,2.53,1.72,1.62,2.81,3.69,3.03,3.19,4.34,4.94,3.81,2.41,2.78,3.94,3.62,3.22,3.72,4.66,3.53,1.19,-0.12,0.22,0.25,0.06,0.03,1.44,1.94,0.78,-0.69,-0.69,0.25,-0.03,-0.34,0.16,1.84,2.19,1.0,-0.25,-0.75,-1.75,-4.31,-6.62,-6.38,-5.22,-4.75,-3.78,-0.94,2.75,4.22,4.38,4.53,4.91,3.75,1.59,-0.25,0.19,0.62,0.09,0.06,2.19,4.38,4.84,4.91,5.81,7.03,6.41,4.38,2.69,2.25,0.94,-0.62,-1.5,-0.34,0.62,0.28,0.12,1.53,3.41,3.31,1.78,0.38,-1.25,-4.69,-8.84,-11.81,-12.72,-12.94,-13.69,-13.06,-10.62,-8.0,-6.53,-4.88,-1.56,2.31,4.88,6.78,9.53,12.41,13.62,13.09,12.94,13.25,12.38,9.94,7.75,6.34,4.69,1.53,-1.72,-3.72,-5.03,-7.34,-9.69,-10.59,-9.97,-9.75,-9.94,-8.97,-6.28,-3.84,-1.78,0.75,5.28,9.75,12.03,12.78,13.84,14.19,12.34,9.38,7.34,6.19,4.5,1.44,-1.0,-2.69,-5.09,-8.97,-12.03,-12.66,-11.91,-11.81,-11.84,-10.41,-9.03,-9.16,-10.56,-10.75,-9.88,-9.0,-8.88,-7.94,-5.06,-2.53,-1.44,-0.75,1.56,3.5,3.38,2.47,2.75,3.44,3.16,2.28,2.69,4.38,5.22,4.59,3.41,2.81,1.22,-2.38,-5.66,-6.31,-5.59,-5.34,-4.88,-3.12,-0.34,1.19,1.44,2.91,5.53,7.44,7.94,9.22,11.84,14.06,14.69,14.34,15.12,15.41,13.94,11.59,10.19,9.56,8.0,5.28,3.34,2.78,1.75,-0.53,-2.31,-1.88,-1.38,-2.0,-2.34,-0.88,1.06,1.59,1.62,2.66,4.59,5.94,6.88,8.31,10.28,11.66,10.91,9.66,10.03,10.12,9.09,7.84,8.66,9.66,9.84,9.5,10.31,11.88,12.5,11.47,10.62,10.22,9.34,7.22,5.88,6.56,7.97,8.28,7.78,8.88,10.25,10.41,9.47,9.81,10.69,10.69,9.31,8.81,9.59,10.19,9.5,8.03,7.94,7.53,5.78,3.16,2.34,2.0,0.44,-1.81,-2.66,-2.03,-1.31,-1.56,-0.91,1.16,3.0,3.19,3.12,4.75,6.44,6.81,6.28,6.38,7.06,6.28,4.19,2.94,3.44,3.47,2.47,2.34,4.19,5.94,6.66,7.53,9.81,11.81,12.25,11.06,10.69,10.94,10.12,8.34,7.59,7.75,7.94,6.91,6.47,8.31,10.41,10.78,11.38,12.97,14.88,15.56,15.22,16.16,17.66,18.03,16.88,16.44,17.19,16.81,14.88,12.97,12.56,12.16,10.62,9.47,9.66,10.88,11.16,48.0,47.75,47.0,46.12,45.62,45.34,45.25,45.31,46.12,47.53,49.0,50.28,51.56,52.66,53.25,53.34,53.75,55.25,56.16,56.28,55.5,53.72,50.78,47.56,43.88,41.47,40.25,40.0:13.38,13.31,14.75,16.53,17.62,20.78,25.59,30.25,32.66,34.22,36.0,37.06,35.62,33.09,31.06,29.81,27.34,23.97,21.91,21.25,20.5,18.44,17.03,17.5,18.62,18.94,19.88,22.81,26.28,28.62,30.16,32.16,33.94,34.03,32.09,30.16,29.0,27.84,25.56,24.12,24.69,25.28,24.25,23.47,24.31,25.5,25.53,24.62,24.19,23.78,22.41,20.06,19.12,19.94,21.25,21.59,22.66,25.09,27.31,27.41,27.31,27.66,28.31,27.59,26.19,25.66,26.09,26.12,24.81,24.0,24.19,24.12,22.41,20.47,19.69,19.69,18.5,17.78,18.81,20.72,21.0,19.75,18.97,18.38,17.41,15.44,13.81,13.91,13.97,12.78,12.47,13.5,15.47,15.75,16.0,17.0,18.44,18.81,17.81,17.41,17.69,18.22,17.47,17.0,18.22,19.03,17.22,14.81,13.38,12.34,10.62,9.16,9.97,12.72,14.84,16.19,17.69,19.44,20.19,18.38,16.31,16.03,16.12,15.25,14.84,16.03,17.72,18.19,18.19,18.62,19.53,18.72,16.03,13.69,12.03,10.12,7.28,5.19,5.03,5.72,5.56,5.66,6.97,8.88,9.06,8.41,8.44,9.0,8.59,7.03,6.22,6.75,7.34,7.0,7.22,8.31,9.66,9.06,8.03,8.03,8.56,8.44,8.12,8.88,11.41,13.72,14.47,15.25,17.06,17.56,15.75,13.28,11.84,10.94,9.22,7.94,8.19,10.0,10.75,10.81,11.91,14.5,16.53,17.28,18.06,19.62,20.88,20.0,18.88,18.69,18.84,17.5,15.5,14.28,13.91,12.22,9.5,7.31,6.38,5.25,3.53,3.34,5.28,8.19,10.66,13.12,16.69,20.31,22.22,22.53,22.94,23.53,22.47,20.22,18.09,17.16,15.81,13.56,10.88,9.75,8.72,6.16,3.66,3.09,3.69,4.03,4.03,5.16,7.47,9.03,9.72,11.31,13.84,15.81,16.53,16.66,17.88,19.12,19.16,18.97,20.31,21.94,22.47,21.81,20.75,20.12,17.75,13.72,10.09,8.22,6.81,4.69,3.19,3.19,3.78,3.19,2.56,3.19,5.28,7.34,9.03,12.03,16.0,18.75,19.16,18.38,18.0,16.88,14.28,11.75,10.72,10.56,9.34,7.72,7.25,7.47,7.09,5.72,5.34,6.09,6.72,6.19,5.62,6.75,7.84,7.84,7.69,9.44,11.91,13.22,13.59,14.31,14.91,13.97,11.72,10.03,10.0,10.03,9.19,8.34,8.84,8.78,7.19,4.91,4.12,4.59,4.62,4.09,5.31,7.34,8.84,8.59,8.38,9.34,9.34,8.06,6.44,6.69,7.25,6.56,4.88,3.94,4.0,3.44,2.69,3.41,5.94,7.69,7.41,6.75,6.62,5.91,4.31,2.88,3.12,3.97,3.84,2.88,2.75,3.09,2.69,1.81,1.75,2.97,3.84,3.56,3.25,4.22,5.12,4.53,3.75,4.12,4.69,4.88,4.88,6.03,8.34,9.34,8.94,8.34,8.44,7.97,5.56,3.47,2.88,2.78,1.84,0.97,1.31,1.88,1.34,0.28,0.47,1.44,1.66,1.0,0.53,1.12,1.72,0.78,-0.09,0.41,1.19,0.75,-0.06,0.78,1.78,1.75,0.56,0.41,1.09,0.97,-0.12,-1.41,-1.12,-1.38,-2.75,-4.0,-3.12,-1.81,-1.88,-2.62,-2.16,-1.22,-0.78,-0.75,0.62,3.12,4.88,4.94,4.72,4.94,4.31,1.88,-1.0,-2.5,-2.91,-4.0,-5.28,-4.84,-3.66,-2.84,-2.81,-1.88,0.16,1.97,2.5,3.34,4.91,6.38,5.28,3.31,2.53,2.09,1.09,0.12,0.78,2.41,3.53,3.28,3.97,5.41,6.44,5.72,4.66,5.19,5.66,4.91,4.09,4.88,6.38,6.38,5.03,3.97,2.66,0.66,-2.53,-4.69,-4.72,-4.16,-4.44,-4.88,-3.25,-1.25,0.03,1.25,3.88,6.81,8.31,8.56,9.38,10.44,10.34,8.38,5.47,2.88,-0.34,-4.84,-9.28,-11.28,-11.59,-12.06,-12.16,-9.94,-6.41,-2.94,-0.09,3.78,8.16,11.88,13.34,14.56,15.62,15.91,13.88,10.84,8.56,6.09,2.69,-1.09,-3.62,-5.19,-6.94,-9.16,-9.84,-9.03,-7.34,-6.44,-5.09,-2.38,0.56,2.22,3.34,5.53,8.12,8.75,7.78,7.19,7.0,6.53,5.59,6.09,7.81,8.97,7.91,6.91,6.56,6.47,5.5,4.09,4.25,4.75,3.97,2.94,3.84,6.09,8.31,9.41,10.72,12.56,12.94,11.06,9.0,8.12,7.56,5.94,3.78,2.75,1.88,0.03,-3.03,-5.22,-6.44,-7.97,-10.53,-11.72,-10.84,-9.06,-7.78,-6.06,-2.56,1.19,3.09,3.44,4.09,4.62,3.81,1.88,1.31,2.03,2.53,1.97,1.78,2.94,4.34,3.81,2.69,2.31,1.69,-0.41,-3.53,-5.09,-5.12,-5.19,-5.69,-5.06,-3.53,-2.03,-2.19,-2.28,-0.78,1.0,1.75,2.22,3.53,5.06,5.09,3.94,3.69,4.38,4.44,3.47,3.06,3.53,3.69,2.34,0.84,0.81,1.41,0.72,-0.03,0.16,0.88,0.38,-0.69,-0.78,0.12,1.12,0.75,0.88,2.38,3.91,3.94,4.5,6.12,8.31,9.19,9.75,11.03,12.59,13.03,11.72,11.44,11.66,11.66,10.03,8.69,8.31,7.56,5.47,3.28,3.0,3.41,2.56,1.53,1.25,2.12,2.19,1.72,2.06,3.88,4.78,3.59,2.75,2.5,2.16,0.44,-0.91,-1.0,-0.41,-1.06,-2.12,-2.5,-1.97,-1.97,-2.78,-2.5,-0.97,-0.12,-1.41,-2.31,-2.91,-3.28,-4.97,-6.88,-7.34,-6.88,-7.41,-8.25,-8.16,-6.97,-7.06,-8.0,-8.44,-6.88,-5.28,-5.19,-4.34,-2.53,-0.09,0.5,0.38,1.06,2.19,1.59,0.31,-0.5,-0.41,-0.91,-2.94,-4.19,-3.72,-3.03,-3.84,-4.5,-3.59,-2.28,-2.44,-2.94,-2.44,-1.22,-0.84,-1.25,-0.47,1.91,3.59,4.19,4.81,6.81,8.47,8.12,7.47,8.0,8.81,8.0,6.31,5.12,4.84,3.69,1.94,1.03,1.88,2.38,1.47,0.72,1.03,1.28,-0.09,-1.53,-1.0,0.38,0.84,1.0,1.69,3.34,3.62,2.62,2.75,4.38,5.34,5.25,4.97,5.41,5.25,3.03,0.47,-0.78,-0.78,-1.31,-2.03,-1.56,-0.34,-0.34,-1.72,-2.59,-1.56,-0.81,-1.22,-0.84,1.06,3.16,3.66,3.66,4.31,5.25,4.31,2.59,1.5,1.78,1.38,-0.19,-1.41,-0.84,-1.0,-2.31,-3.06,-1.91,-0.38,-0.03,0.0,0.84,2.47,2.53,1.72,1.62,2.81,3.69,3.03,3.19,4.34,4.94,3.81,2.41,2.78,3.94,3.62,3.22,3.72,4.66,3.53,1.19,-0.12,0.22,0.25,0.06,0.03,1.44,1.94,0.78,-0.69,-0.69,0.25,-0.03,-0.34,0.16,1.84,2.19,1.0,-0.25,-0.75,-1.75,-4.31,-6.62,-6.38,-5.22,-4.75,-3.78,-0.94,2.75,4.22,4.38,4.53,4.91,3.75,1.59,-0.25,0.19,0.62,0.09,0.06,2.19,4.38,4.84,4.91,5.81,7.03,6.41,4.38,2.69,2.25,0.94,-0.62,-1.5,-0.34,0.62,0.28,0.12,1.53,3.41,3.31,1.78,0.38,-1.25,-4.69,-8.84,-11.81,-12.72,-12.94,-13.69,-13.06,-10.62,-8.0,-6.53,-4.88,-1.56,2.31,4.88,6.78,9.53,12.41,13.62,13.09,12.94,13.25,12.38,9.94,7.75,6.34,4.69,1.53,-1.72,-3.72,-5.03,-7.34,-9.69,-10.59,-9.97,-9.75,-9.94,-8.97,-6.28,-3.84,-1.78,0.75,5.28,9.75,12.03,12.78,13.84,14.19,12.34,9.38,7.34,6.19,4.5,1.44,-1.0,-2.69,-5.09,-8.97,-12.03,-12.66,-11.91,-11.81,-11.84,-10.41,-9.03,-9.16,-10.56,-10.75,-9.88,-9.0,-8.88,-7.94,-5.06,-2.53,-1.44,-0.75,1.56,3.5,3.38,2.47,2.75,3.44,3.16,2.28,2.69,4.38,5.22,4.59,3.41,2.81,1.22,-2.38,-5.66,-6.31,-5.59,-5.34,-4.88,-3.12,-0.34,1.19,1.44,2.91,5.53,7.44,7.94,9.22,11.84,14.06,14.69,14.34,15.12,15.41,13.94,11.59,10.19,9.56,8.0,5.28,3.34,2.78,1.75,-0.53,-2.31,-1.88,-1.38,-2.0,-2.34,-0.88,1.06,1.59,1.62,2.66,4.59,5.94,6.88,8.31,10.28,11.66,10.91,9.66,10.03,10.12,9.09,7.84,8.66,9.66,9.84,9.5,10.31,11.88,12.5,11.47,10.62,10.22,9.34,7.22,5.88,6.56,7.97,8.28,7.78,8.88,10.25,10.41,9.47,9.81,10.69,10.69,9.31,8.81,9.59,10.19,9.5,8.03,7.94,7.53,5.78,3.16,2.34,2.0,0.44,-1.81,-2.66,-2.03,-1.31,-1.56,-0.91,1.16,3.0,3.19,3.12,4.75,6.44,6.81,6.28,6.38,7.06,6.28,4.19,2.94,3.44,3.47,2.47,2.34,4.19,5.94,6.66,7.53,9.81,11.81,12.25,11.06,10.69,10.94,10.12,8.34,7.59,7.75,7.94,6.91,6.47,8.31,10.41,10.78,11.38,12.97,14.88,15.56,15.22,16.16,17.66,18.03,16.88,16.44,17.19,16.81,14.88,12.97,12.56,12.16,10.62,9.47,9.66,10.88,11.16,48.0,47.75,47.0,46.12,45.62,45.34,45.25,45.31,46.12,47.53,49.0,50.28,51.56,52.66,53.25,53.34,53.75,55.25,56.16,56.28,55.5,53.72,50.78,47.56,43.88,41.47,40.25,40.0,40.28,41.75,44.03,46.25,48.06,49.78,51.91:30.25,32.66,34.22,36.0,37.06,35.62,33.09,31.06,29.81,27.34,23.97,21.91,21.25,20.5,18.44,17.03,17.5,18.62,18.94,19.88,22.81,26.28,28.62,30.16,32.16,33.94,34.03,32.09,30.16,29.0,27.84,25.56,24.12,24.69,25.28,24.25,23.47,24.31,25.5,25.53,24.62,24.19,23.78,22.41,20.06,19.12,19.94,21.25,21.59,22.66,25.09,27.31,27.41,27.31,27.66,28.31,27.59,26.19,25.66,26.09,26.12,24.81,24.0,24.19,24.12,22.41,20.47,19.69,19.69,18.5,17.78,18.81,20.72,21.0,19.75,18.97,18.38,17.41,15.44,13.81,13.91,13.97,12.78,12.47,13.5,15.47,15.75,16.0,17.0,18.44,18.81,17.81,17.41,17.69,18.22,17.47,17.0,18.22,19.03,17.22,14.81,13.38,12.34,10.62,9.16,9.97,12.72,14.84,16.19,17.69,19.44,20.19,18.38,16.31,16.03,16.12,15.25,14.84,16.03,17.72,18.19,18.19,18.62,19.53,18.72,16.03,13.69,12.03,10.12,7.28,5.19,5.03,5.72,5.56,5.66,6.97,8.88,9.06,8.41,8.44,9.0,8.59,7.03,6.22,6.75,7.34,7.0,7.22,8.31,9.66,9.06,8.03,8.03,8.56,8.44,8.12,8.88,11.41,13.72,14.47,15.25,17.06,17.56,15.75,13.28,11.84,10.94,9.22,7.94,8.19,10.0,10.75,10.81,11.91,14.5,16.53,17.28,18.06,19.62,20.88,20.0,18.88,18.69,18.84,17.5,15.5,14.28,13.91,12.22,9.5,7.31,6.38,5.25,3.53,3.34,5.28,8.19,10.66,13.12,16.69,20.31,22.22,22.53,22.94,23.53,22.47,20.22,18.09,17.16,15.81,13.56,10.88,9.75,8.72,6.16,3.66,3.09,3.69,4.03,4.03,5.16,7.47,9.03,9.72,11.31,13.84,15.81,16.53,16.66,17.88,19.12,19.16,18.97,20.31,21.94,22.47,21.81,20.75,20.12,17.75,13.72,10.09,8.22,6.81,4.69,3.19,3.19,3.78,3.19,2.56,3.19,5.28,7.34,9.03,12.03,16.0,18.75,19.16,18.38,18.0,16.88,14.28,11.75,10.72,10.56,9.34,7.72,7.25,7.47,7.09,5.72,5.34,6.09,6.72,6.19,5.62,6.75,7.84,7.84,7.69,9.44,11.91,13.22,13.59,14.31,14.91,13.97,11.72,10.03,10.0,10.03,9.19,8.34,8.84,8.78,7.19,4.91,4.12,4.59,4.62,4.09,5.31,7.34,8.84,8.59,8.38,9.34,9.34,8.06,6.44,6.69,7.25,6.56,4.88,3.94,4.0,3.44,2.69,3.41,5.94,7.69,7.41,6.75,6.62,5.91,4.31,2.88,3.12,3.97,3.84,2.88,2.75,3.09,2.69,1.81,1.75,2.97,3.84,3.56,3.25,4.22,5.12,4.53,3.75,4.12,4.69,4.88,4.88,6.03,8.34,9.34,8.94,8.34,8.44,7.97,5.56,3.47,2.88,2.78,1.84,0.97,1.31,1.88,1.34,0.28,0.47,1.44,1.66,1.0,0.53,1.12,1.72,0.78,-0.09,0.41,1.19,0.75,-0.06,0.78,1.78,1.75,0.56,0.41,1.09,0.97,-0.12,-1.41,-1.12,-1.38,-2.75,-4.0,-3.12,-1.81,-1.88,-2.62,-2.16,-1.22,-0.78,-0.75,0.62,3.12,4.88,4.94,4.72,4.94,4.31,1.88,-1.0,-2.5,-2.91,-4.0,-5.28,-4.84,-3.66,-2.84,-2.81,-1.88,0.16,1.97,2.5,3.34,4.91,6.38,5.28,3.31,2.53,2.09,1.09,0.12,0.78,2.41,3.53,3.28,3.97,5.41,6.44,5.72,4.66,5.19,5.66,4.91,4.09,4.88,6.38,6.38,5.03,3.97,2.66,0.66,-2.53,-4.69,-4.72,-4.16,-4.44,-4.88,-3.25,-1.25,0.03,1.25,3.88,6.81,8.31,8.56,9.38,10.44,10.34,8.38,5.47,2.88,-0.34,-4.84,-9.28,-11.28,-11.59,-12.06,-12.16,-9.94,-6.41,-2.94,-0.09,3.78,8.16,11.88,13.34,14.56,15.62,15.91,13.88,10.84,8.56,6.09,2.69,-1.09,-3.62,-5.19,-6.94,-9.16,-9.84,-9.03,-7.34,-6.44,-5.09,-2.38,0.56,2.22,3.34,5.53,8.12,8.75,7.78,7.19,7.0,6.53,5.59,6.09,7.81,8.97,7.91,6.91,6.56,6.47,5.5,4.09,4.25,4.75,3.97,2.94,3.84,6.09,8.31,9.41,10.72,12.56,12.94,11.06,9.0,8.12,7.56,5.94,3.78,2.75,1.88,0.03,-3.03,-5.22,-6.44,-7.97,-10.53,-11.72,-10.84,-9.06,-7.78,-6.06,-2.56,1.19,3.09,3.44,4.09,4.62,3.81,1.88,1.31,2.03,2.53,1.97,1.78,2.94,4.34,3.81,2.69,2.31,1.69,-0.41,-3.53,-5.09,-5.12,-5.19,-5.69,-5.06,-3.53,-2.03,-2.19,-2.28,-0.78,1.0,1.75,2.22,3.53,5.06,5.09,3.94,3.69,4.38,4.44,3.47,3.06,3.53,3.69,2.34,0.84,0.81,1.41,0.72,-0.03,0.16,0.88,0.38,-0.69,-0.78,0.12,1.12,0.75,0.88,2.38,3.91,3.94,4.5,6.12,8.31,9.19,9.75,11.03,12.59,13.03,11.72,11.44,11.66,11.66,10.03,8.69,8.31,7.56,5.47,3.28,3.0,3.41,2.56,1.53,1.25,2.12,2.19,1.72,2.06,3.88,4.78,3.59,2.75,2.5,2.16,0.44,-0.91,-1.0,-0.41,-1.06,-2.12,-2.5,-1.97,-1.97,-2.78,-2.5,-0.97,-0.12,-1.41,-2.31,-2.91,-3.28,-4.97,-6.88,-7.34,-6.88,-7.41,-8.25,-8.16,-6.97,-7.06,-8.0,-8.44,-6.88,-5.28,-5.19,-4.34,-2.53,-0.09,0.5,0.38,1.06,2.19,1.59,0.31,-0.5,-0.41,-0.91,-2.94,-4.19,-3.72,-3.03,-3.84,-4.5,-3.59,-2.28,-2.44,-2.94,-2.44,-1.22,-0.84,-1.25,-0.47,1.91,3.59,4.19,4.81,6.81,8.47,8.12,7.47,8.0,8.81,8.0,6.31,5.12,4.84,3.69,1.94,1.03,1.88,2.38,1.47,0.72,1.03,1.28,-0.09,-1.53,-1.0,0.38,0.84,1.0,1.69,3.34,3.62,2.62,2.75,4.38,5.34,5.25,4.97,5.41,5.25,3.03,0.47,-0.78,-0.78,-1.31,-2.03,-1.56,-0.34,-0.34,-1.72,-2.59,-1.56,-0.81,-1.22,-0.84,1.06,3.16,3.66,3.66,4.31,5.25,4.31,2.59,1.5,1.78,1.38,-0.19,-1.41,-0.84,-1.0,-2.31,-3.06,-1.91,-0.38,-0.03,0.0,0.84,2.47,2.53,1.72,1.62,2.81,3.69,3.03,3.19,4.34,4.94,3.81,2.41,2.78,3.94,3.62,3.22,3.72,4.66,3.53,1.19,-0.12,0.22,0.25,0.06,0.03,1.44,1.94,0.78,-0.69,-0.69,0.25,-0.03,-0.34,0.16,1.84,2.19,1.0,-0.25,-0.75,-1.75,-4.31,-6.62,-6.38,-5.22,-4.75,-3.78,-0.94,2.75,4.22,4.38,4.53,4.91,3.75,1.59,-0.25,0.19,0.62,0.09,0.06,2.19,4.38,4.84,4.91,5.81,7.03,6.41,4.38,2.69,2.25,0.94,-0.62,-1.5,-0.34,0.62,0.28,0.12,1.53,3.41,3.31,1.78,0.38,-1.25,-4.69,-8.84,-11.81,-12.72,-12.94,-13.69,-13.06,-10.62,-8.0,-6.53,-4.88,-1.56,2.31,4.88,6.78,9.53,12.41,13.62,13.09,12.94,13.25,12.38,9.94,7.75,6.34,4.69,1.53,-1.72,-3.72,-5.03,-7.34,-9.69,-10.59,-9.97,-9.75,-9.94,-8.97,-6.28,-3.84,-1.78,0.75,5.28,9.75,12.03,12.78,13.84,14.19,12.34,9.38,7.34,6.19,4.5,1.44,-1.0,-2.69,-5.09,-8.97,-12.03,-12.66,-11.91,-11.81,-11.84,-10.41,-9.03,-9.16,-10.56,-10.75,-9.88,-9.0,-8.88,-7.94,-5.06,-2.53,-1.44,-0.75,1.56,3.5,3.38,2.47,2.75,3.44,3.16,2.28,2.69,4.38,5.22,4.59,3.41,2.81,1.22,-2.38,-5.66,-6.31,-5.59,-5.34,-4.88,-3.12,-0.34,1.19,1.44,2.91,5.53,7.44,7.94,9.22,11.84,14.06,14.69,14.34,15.12,15.41,13.94,11.59,10.19,9.56,8.0,5.28,3.34,2.78,1.75,-0.53,-2.31,-1.88,-1.38,-2.0,-2.34,-0.88,1.06,1.59,1.62,2.66,4.59,5.94,6.88,8.31,10.28,11.66,10.91,9.66,10.03,10.12,9.09,7.84,8.66,9.66,9.84,9.5,10.31,11.88,12.5,11.47,10.62,10.22,9.34,7.22,5.88,6.56,7.97,8.28,7.78,8.88,10.25,10.41,9.47,9.81,10.69,10.69,9.31,8.81,9.59,10.19,9.5,8.03,7.94,7.53,5.78,3.16,2.34,2.0,0.44,-1.81,-2.66,-2.03,-1.31,-1.56,-0.91,1.16,3.0,3.19,3.12,4.75,6.44,6.81,6.28,6.38,7.06,6.28,4.19,2.94,3.44,3.47,2.47,2.34,4.19,5.94,6.66,7.53,9.81,11.81,12.25,11.06,10.69,10.94,10.12,8.34,7.59,7.75,7.94,6.91,6.47,8.31,10.41,10.78,11.38,12.97,14.88,15.56,15.22,16.16,17.66,18.03,16.88,16.44,17.19,16.81,14.88,12.97,12.56,12.16,10.62,9.47,9.66,10.88,11.16,48.0,47.75,47.0,46.12,45.62,45.34,45.25,45.31,46.12,47.53,49.0,50.28,51.56,52.66,53.25,53.34,53.75,55.25,56.16,56.28,55.5,53.72,50.78,47.56,43.88,41.47,40.25,40.0,40.28,41.75,44.03,46.25,48.06,49.78,51.91,53.69,55.03,56.06,57.53,58.69,59.94,60.72:negativity
10.91,10.19,11.72,15.34,18.34,18.59,19.38,21.69,23.31,21.47,19.34,19.69,21.16,20.91,20.06,20.97,23.19,23.31,21.06,19.44,19.5,18.94,15.34,12.75,12.69,12.94,10.62,8.0,7.59,8.03,6.88,4.75,4.56,6.88,8.19,7.59,8.47,11.69,14.25,14.56,15.41,18.84,22.84,24.16,24.66,26.0,27.66,26.81,24.0,23.34,24.44,25.19,23.72,22.22,21.84,20.81,16.97,12.81,12.0,12.91,12.41,11.56,12.72,14.75,14.78,12.62,11.66,12.78,13.56,12.25,11.69,13.88,15.44,14.41,13.41,14.53,16.47,16.56,15.44,15.25,16.72,16.25,13.47,11.75,12.84,13.19,11.88,10.5,12.09,14.03,13.41,12.31,13.41,16.19,16.94,16.81,18.06,21.03,22.12,21.06,19.91,20.41,20.09,17.06,13.53,12.12,11.59,8.56,5.09,4.59,6.75,7.81,7.19,7.91,9.75,10.44,8.69,7.16,8.38,9.03,6.78,3.38,3.09,3.16,1.38,-0.5,-0.12,1.78,2.72,2.75,3.84,7.41,10.0,10.38,10.28,12.09,14.19,14.03,12.91,14.12,16.06,15.81,13.62,11.94,12.03,10.5,7.25,4.75,5.28,5.59,3.69,2.28,4.09,6.62,6.88,6.03,7.34,10.0,10.91,10.88,12.34,15.91,17.88,17.31,16.56,17.5,17.94,15.5,12.16,11.5,11.91,10.47,7.97,7.81,9.47,10.03,9.41,10.31,13.81,16.22,15.97,15.25,16.47,17.22,15.28,13.0,13.0,14.16,13.22,11.12,10.88,12.03,11.94,10.09,9.47,11.81,13.5,13.12,12.5,14.16,15.41,14.06,11.59,12.0,13.91,14.34,13.72,14.81,17.22,18.84,17.75,17.31,19.28,20.59,18.81,16.72,16.84,17.53,16.47,14.66,15.25,17.03,17.34,15.78,16.06,17.78,18.84,17.66,16.62,17.59,18.0,15.84,13.38,13.41,14.38,14.0,12.41,12.69,14.72,15.62,14.34,14.47,16.16,17.31,15.75,14.31,15.28,16.28,14.91,12.34,11.72,12.25,11.66,10.12,10.56,13.41,15.5,15.44,16.31,18.97,20.75,19.34,17.38,17.06,17.53,15.78,13.5,13.06,13.75,13.28,11.06,10.41,12.34,13.38,12.28,11.72,13.31,14.72,13.34,11.22,11.41,12.47,11.97,10.16,10.31,12.06,12.69,11.44,11.09,12.97,13.91,11.66,9.41,9.34,9.62,7.31,4.41,4.03,4.44,3.28,0.97,0.94,2.91,4.38,4.09,5.16,8.03,10.56,9.56,7.91,7.66,7.78,5.34,2.53,2.34,4.03,5.06,4.78,6.31,9.5,11.91,11.56,11.28,12.53,13.09,10.28,6.88,6.16,6.12,5.03,3.41,4.5,7.31,8.62,7.56,7.28,8.41,8.31,5.75,3.75,4.69,6.81,6.97,7.16,9.5,12.53,13.09,11.53,11.56,13.12,14.0,12.91,13.19,15.41,16.81,15.12,13.44,13.53,14.31,12.78,10.97,11.12,12.78,13.25,12.19,12.47,14.28,15.31,13.72,12.5,13.5,14.34,12.56,10.44,11.19,13.56,14.16,14.38,16.41,19.62,20.72,19.62,19.31,20.59,21.16,19.12,17.47,17.94,18.22,16.38,14.12,14.62,16.34,16.0,14.88,15.53,18.09,19.75,20.0,21.56,24.62,26.88,25.78,24.53,25.06,25.91,24.66,22.97,23.16,24.03,23.0,20.09,18.19,17.91,16.69,13.78,12.06,12.91,14.03,12.81,11.53,12.19,13.34,12.19,10.75,11.28,13.47,14.62,14.09,14.69,16.84,17.88,16.66,15.53,16.75,17.91,16.28,14.69,15.0,16.31,16.16,15.22,15.84,18.22,18.5,16.88,15.78,17.12,17.81,17.0,16.56,18.94,21.62,21.72,21.12,21.88,23.81,23.75,22.69,23.34,26.0,27.22,25.91,25.22,25.78,25.88,23.56,21.25,21.12,22.0,20.91,19.03,19.03,20.59,20.53,19.03,19.16,21.34,22.75,21.97,21.16,22.59,23.19,21.47,19.34,18.88,19.34,18.16,16.19,15.81,17.31,17.69,16.31,16.22,18.47,20.0,19.44,18.84,20.12,21.59,20.28,18.66,18.94,20.44,20.59,19.69,20.0,22.09,22.5,20.88,19.03,19.25,19.66,18.12,16.81,18.38,20.62,21.03,20.62,21.84,24.5,25.59,24.91,25.09,26.47,26.34,23.28,20.28,19.25,18.59,16.28,14.44,15.34,17.91,18.91,18.81,20.53,23.47,24.56,23.28,22.34,23.16,22.75,20.41,17.62,17.25,17.06,15.38,13.38,14.0,16.59,17.22,16.62,16.94,18.56,18.5,16.22,15.09,16.38,17.62,17.34,17.12,19.09,21.56,22.09,22.03,23.69,26.94,28.16,27.5,27.91,29.31,29.5,27.34,25.28,25.66,25.78,24.12,22.38,23.16,24.5,24.16,22.44,22.84,24.56,24.78,23.34,22.66,23.62,23.47,21.69,19.97,21.34,22.75,22.34,21.44,23.03,25.25,25.88,25.16,25.53,27.69,28.72,28.12,28.44,31.06,32.91,32.12,30.44,30.12,29.97,26.81,22.81,20.88,20.47,19.31,17.69,17.75,19.19,20.5,19.0,18.44,20.56,23.16,23.41,23.62,25.72,27.25,26.34,23.62,22.12,21.84,20.78,18.47,17.72,19.12,20.28,19.38,18.88,20.94,23.12,23.19,22.81,24.5,26.38,25.97,24.06,23.44,24.09,24.03,22.41,22.0,23.56,24.78,23.75,22.72,24.19,26.44,26.16,25.0,25.81,27.56,27.62,25.88,26.06,27.91,28.84,27.88,27.44,28.97,30.31,28.72,27.09,27.56,28.94,28.41,26.38,26.62,28.31,28.81,27.72,28.0,30.0,30.97,29.28,28.0,29.25,31.28,31.44,31.22,33.12,35.59,35.41,33.44,33.09,33.88,33.75,31.5,30.25,30.88,31.12,28.66,26.47,27.19,28.62,28.31,28.0,29.56,32.78,34.53,34.56,35.91,38.06,38.94,37.31,36.75,38.25,40.09,39.19,37.56,37.47,37.53,34.97,31.28,29.97,30.47,29.41,27.28,26.53,27.31,27.12,24.41,21.72,20.91,20.94,18.84,17.72,20.0,23.44,25.62,26.41,28.75,31.94,33.5,33.16,33.72,35.81,37.22,35.75,33.81,33.66,33.62,31.06,27.62,26.34,26.19,24.28,20.81,18.94,18.91,18.0,15.81,15.28,17.0,18.81,17.91,16.59,17.22,18.62,17.88,17.34,18.81,22.12,24.06,24.78,26.66,30.31,32.81,32.28,32.0,33.59,35.06,34.0,33.09,34.56,37.34,37.34,35.78,35.56,35.91,34.03,29.16,25.12,22.94,20.06,15.88,12.94,13.62,15.31,15.12,15.12,17.53,21.53,24.03,25.28,27.97,31.75,33.31,32.41,31.72,33.38,34.44,32.97,31.34,32.09,33.28,32.03,30.31,30.34,31.62,30.56,28.12,26.56,26.97,26.72,24.47,22.91,23.16,23.22,20.12,16.88,16.34,17.25,16.5,16.28,18.44,22.81,25.62,26.59,27.94,31.0,33.41,33.5,34.0,37.03,39.38,38.19,35.53,34.78,35.47,34.28,32.31,31.78,32.66,31.69,28.41,25.81,25.69,25.53,23.25,21.34,22.19,24.0,23.66,23.16,25.19,29.0,31.19,32.44,34.25,37.62,38.59,36.69,34.78,34.12,32.75,28.38,24.31,22.78,22.16,20.12,17.72,17.56,19.34,20.09,19.25,19.5,21.72,22.41,20.59,19.41,20.38,21.5,19.88,18.28,19.09,21.31,22.16,22.38,24.47,28.41,30.69,30.78,31.25,33.34,33.56,31.12,28.03,27.66,27.81,26.41,25.5,27.03,30.19,30.88,30.66,31.72,34.19,35.28,34.56,33.84,35.09,35.44,33.12,30.94,31.59,32.84,31.81,30.31,31.09,33.5,34.5,34.19,34.91,37.62,38.84,37.44,36.34,38.03,38.91,37.0,34.5,33.75,33.5,31.25,28.44,27.59,28.94,29.12,27.44,27.12,28.84,29.56,27.94,26.31,26.69,27.0,25.0,23.03,23.66,25.66,25.81,25.16,26.28,29.66,31.81,32.34,33.84,37.16,39.47,38.69,37.44,38.31,39.62,39.03,37.62,38.19,39.5,38.34,35.47,33.53,33.47,32.72,30.22,28.88,30.06,31.59,30.69,29.41,29.94,30.84,29.5,26.72,26.09,26.94,26.38,24.28,23.88,26.5,28.12,28.16,28.38,30.78,32.59,31.91,30.31,30.97,32.28,31.34,28.56,27.41,28.0,27.31,25.19,24.22,25.66,26.12,24.28,22.47,22.78,23.0,21.0,18.47,17.91,18.41,17.62,15.34,14.97,17.0,17.84,17.22,17.59,20.78,23.59,23.69,24.09,27.22,30.34,31.56,31.47,32.94,34.84,34.62,32.5,32.03,33.34,34.0,31.94,29.91,29.91,29.16,26.03,22.75,21.88,22.12,20.59,18.41,18.03,19.34,19.5,17.94,17.66,20.16,21.88,21.59,21.03,22.59,23.22,21.0,17.88,16.88,17.0,16.06,14.44,15.0,17.22,18.44,17.03,16.47,18.41,20.0,19.88,19.81,22.28,24.56,24.12,22.94,23.44,25.0,25.12,23.34,22.75,23.53,23.5,21.06,19.78,20.72,21.94,20.78,19.06,20.19,21.62,21.41,20.5,21.97,24.94,26.88,26.69,27.47,29.69,30.88,29.25,27.5,27.44,27.25,24.75,21.94,21.62,22.34,21.47,18.94,18.09,18.94,18.47,16.78,16.59,18.56,20.75,20.34,19.81,21.28,22.75,21.34,19.28,19.97,21.5,21.81,20.94,21.84,23.62,24.53,23.0,22.12,23.62,25.41,24.78,24.09,25.78,27.38,26.88,24.75,24.72:21.69,23.31,21.47,19.34,19.69,21.16,20.91,20.06,20.97,23.19,23.31,21.06,19.44,19.5,18.94,15.34,12.75,12.69,12.94,10.62,8.0,7.59,8.03,6.88,4.75,4.56,6.88,8.19,7.59,8.47,11.69,14.25,14.56,15.41,18.84,22.84,24.16,24.66,26.0,27.66,26.81,24.0,23.34,24.44,25.19,23.72,22.22,21.84,20.81,16.97,12.81,12.0,12.91,12.41,11.56,12.72,14.75,14.78,12.62,11.66,12.78,13.56,12.25,11.69,13.88,15.44,14.41,13.41,14.53,16.47,16.56,15.44,15.25,16.72,16.25,13.47,11.75,12.84,13.19,11.88,10.5,12.09,14.03,13.41,12.31,13.41,16.19,16.94,16.81,18.06,21.03,22.12,21.06,19.91,20.41,20.09,17.06,13.53,12.12,11.59,8.56,5.09,4.59,6.75,7.81,7.19,7.91,9.75,10.44,8.69,7.16,8.38,9.03,6.78,3.38,3.09,3.16,1.38,-0.5,-0.12,1.78,2.72,2.75,3.84,7.41,10.0,10.38,10.28,12.09,14.19,14.03,12.91,14.12,16.06,15.81,13.62,11.94,12.03,10.5,7.25,4.75,5.28,5.59,3.69,2.28,4.09,6.62,6.88,6.03,7.34,10.0,10.91,10.88,12.34,15.91,17.88,17.31,16.56,17.5,17.94,15.5,12.16,11.5,11.91,10.47,7.97,7.81,9.47,10.03,9.41,10.31,13.81,16.22,15.97,15.25,16.47,17.22,15.28,13.0,13.0,14.16,13.22,11.12,10.88,12.03,11.94,10.09,9.47,11.81,13.5,13.12,12.5,14.16,15.41,14.06,11.59,12.0,13.91,14.34,13.72,14.81,17.22,18.84,17.75,17.31,19.28,20.59,18.81,16.72,16.84,17.53,16.47,14.66,15.25,17.03,17.34,15.78,16.06,17.78,18.84,17.66,16.62,17.59,18.0,15.84,13.38,13.41,14.38,14.0,12.41,12.69,14.72,15.62,14.34,14.47,16.16,17.31,15.75,14.31,15.28,16.28,14.91,12.34,11.72,12.25,11.66,10.12,10.56,13.41,15.5,15.44,16.31,18.97,20.75,19.34,17.38,17.06,17.53,15.78,13.5,13.06,13.75,13.28,11.06,10.41,12.34,13.38,12.28,11.72,13.31,14.72,13.34,11.22,11.41,12.47,11.97,10.16,10.31,12.06,12.69,11.44,11.09,12.97,13.91,11.66,9.41,9.34,9.62,7.31,4.41,4.03,4.44,3.28,0.97,0.94,2.91,4.38,4.09,5.16,8.03,10.56,9.56,7.91,7.66,7.78,5.34,2.53,2.34,4.03,5.06,4.78,6.31,9.5,11.91,11.56,11.28,12.53,13.09,10.28,6.88,6.16,6.12,5.03,3.41,4.5,7.31,8.62,7.56,7.28,8.41,8.31,5.75,3.75,4.69,6.81,6.97,7.16,9.5,12.53,13.09,11.53,11.56,13.12,14.0,12.91,13.19,15.41,16.81,15.12,13.44,13.53,14.31,12.78,10.97,11.12,12.78,13.25,12.19,12.47,14.28,15.31,13.72,12.5,13.5,14.34,12.56,10.44,11.19,13.56,14.16,14.38,16.41,19.62,20.72,19.62,19.31,20.59,21.16,19.12,17.47,17.94,18.22,16.38,14.12,14.62,16.34,16.0,14.88,15.53,18.09,19.75,20.0,21.56,24.62,26.88,25.78,24.53,25.06,25.91,24.66,22.97,23.16,24.03,23.0,20.09,18.19,17.91,16.69,13.78,12.06,12.91,14.03,12.81,11.53,12.19,13.34,12.19,10.75,11.28,13.47,14.62,14.09,14.69,16.84,17.88,16.66,15.53,16.75,17.91,16.28,14.69,15.0,16.31,16.16,15.22,15.84,18.22,18.5,16.88,15.78,17.12,17.81,17.0,16.56,18.94,21.62,21.72,21.12,21.88,23.81,23.75,22.69,23.34,26.0,27.22,25.91,25.22,25.78,25.88,23.56,21.25,21.12,22.0,20.91,19.03,19.03,20.59,20.53,19.03,19.16,21.34,22.75,21.97,21.16,22.59,23.19,21.47,19.34,18.88,19.34,18.16,16.19,15.81,17.31,17.69,16.31,16.22,18.47,20.0,19.44,18.84,20.12,21.59,20.28,18.66,18.94,20.44,20.59,19.69,20.0,22.09,22.5,20.88,19.03,19.25,19.66,18.12,16.81,18.38,20.62,21.03,20.62,21.84,24.5,25.59,24.91,25.09,26.47,26.34,23.28,20.28,19.25,18.59,16.28,14.44,15.34,17.91,18.91,18.81,20.53,23.47,24.56,23.28,22.34,23.16,22.75,20.41,17.62,17.25,17.06,15.38,13.38,14.0,16.59,17.22,16.62,16.94,18.56,18.5,16.22,15.09,16.38,17.62,17.34,17.12,19.09,21.56,22.09,22.03,23.69,26.94,28.16,27.5,27.91,29.31,29.5,27.34,25.28,25.66,25.78,24.12,22.38,23.16,24.5,24.16,22.44,22.84,24.56,24.78,23.34,22.66,23.62,23.47,21.69,19.97,21.34,22.75,22.34,21.44,23.03,25.25,25.88,25.16,25.53,27.69,28.72,28.12,28.44,31.06,32.91,32.12,30.44,30.12,29.97,26.81,22.81,20.88,20.47,19.31,17.69,17.75,19.19,20.5,19.0,18.44,20.56,23.16,23.41,23.62,25.72,27.25,26.34,23.62,22.12,21.84,20.78,18.47,17.72,19.12,20.28,19.38,18.88,20.94,23.12,23.19,22.81,24.5,26.38,25.97,24.06,23.44,24.09,24.03,22.41,22.0,23.56,24.78,23.75,22.72,24.19,26.44,26.16,25.0,25.81,27.56,27.62,25.88,26.06,27.91,28.84,27.88,27.44,28.97,30.31,28.72,27.09,27.56,28.94,28.41,26.38,26.62,28.31,28.81,27.72,28.0,30.0,30.97,29.28,28.0,29.25,31.28,31.44,31.22,33.12,35.59,35.41,33.44,33.09,33.88,33.75,31.5,30.25,30.88,31.12,28.66,26.47,27.19,28.62,28.31,28.0,29.56,32.78,34.53,34.56,35.91,38.06,38.94,37.31,36.75,38.25,40.09,39.19,37.56,37.47,37.53,34.97,31.28,29.97,30.47,29.41,27.28,26.53,27.31,27.12,24.41,21.72,20.91,20.94,18.84,17.72,20.0,23.44,25.62,26.41,28.75,31.94,33.5,33.16,33.72,35.81,37.22,35.75,33.81,33.66,33.62,31.06,27.62,26.34,26.19,24.28,20.81,18.94,18.91,18.0,15.81,15.28,17.0,18.81,17.91,16.59,17.22,18.62,17.88,17.34,18.81,22.12,24.06,24.78,26.66,30.31,32.81,32.28,32.0,33.59,35.06,34.0,33.09,34.56,37.34,37.34,35.78,35.56,35.91,34.03,29.16,25.12,22.94,20.06,15.88,12.94,13.62,15.31,15.12,15.12,17.53,21.53,24.03,25.28,27.97,31.75,33.31,32.41,31.72,33.38,34.44,32.97,31.34,32.09,33.28,32.03,30.31,30.34,31.62,30.56,28.12,26.56,26.97,26.72,24.47,22.91,23.16,23.22,20.12,16.88,16.34,17.25,16.5,16.28,18.44,22.81,25.62,26.59,27.94,31.0,33.41,33.5,34.0,37.03,39.38,38.19,35.53,34.78,35.47,34.28,32.31,31.78,32.66,31.69,28.41,25.81,25.69,25.53,23.25,21.34,22.19,24.0,23.66,23.16,25.19,29.0,31.19,32.44,34.25,37.62,38.59,36.69,34.78,34.12,32.75,28.38,24.31,22.78,22.16,20.12,17.72,17.56,19.34,20.09,19.25,19.5,21.72,22.41,20.59,19.41,20.38,21.5,19.88,18.28,19.09,21.31,22.16,22.38,24.47,28.41,30.69,30.78,31.25,33.34,33.56,31.12,28.03,27.66,27.81,26.41,25.5,27.03,30.19,30.88,30.66,31.72,34.19,35.28,34.56,33.84,35.09,35.44,33.12,30.94,31.59,32.84,31.81,30.31,31.09,33.5,34.5,34.19,34.91,37.62,38.84,37.44,36.34,38.03,38.91,37.0,34.5,33.75,33.5,31.25,28.44,27.59,28.94,29.12,27.44,27.12,28.84,29.56,27.94,26.31,26.69,27.0,25.0,23.03,23.66,25.66,25.81,25.16,26.28,29.66,31.81,32.34,33.84,37.16,39.47,38.69,37.44,38.31,39.62,39.03,37.62,38.19,39.5,38.34,35.47,33.53,33.47,32.72,30.22,28.88,30.06,31.59,30.69,29.41,29.94,30.84,29.5,26.72,26.09,26.94,26.38,24.28,23.88,26.5,28.12,28.16,28.38,30.78,32.59,31.91,30.31,30.97,32.28,31.34,28.56,27.41,28.0,27.31,25.19,24.22,25.66,26.12,24.28,22.47,22.78,23.0,21.0,18.47,17.91,18.41,17.62,15.34,14.97,17.0,17.84,17.22,17.59,20.78,23.59,23.69,24.09,27.22,30.34,31.56,31.47,32.94,34.84,34.62,32.5,32.03,33.34,34.0,31.94,29.91,29.91,29.16,26.03,22.75,21.88,22.12,20.59,18.41,18.03,19.34,19.5,17.94,17.66,20.16,21.88,21.59,21.03,22.59,23.22,21.0,17.88,16.88,17.0,16.06,14.44,15.0,17.22,18.44,17.03,16.47,18.41,20.0,19.88,19.81,22.28,24.56,24.12,22.94,23.44,25.0,25.12,23.34,22.75,23.53,23.5,21.06,19.78,20.72,21.94,20.78,19.06,20.19,21.62,21.41,20.5,21.97,24.94,26.88,26.69,27.47,29.69,30.88,29.25,27.5,27.44,27.25,24.75,21.94,21.62,22.34,21.47,18.94,18.09,18.94,18.47,16.78,16.59,18.56,20.75,20.34,19.81,21.28,22.75,21.34,19.28,19.97,21.5,21.81,20.94,21.84,23.62,24.53,23.0,22.12,23.62,25.41,24.78,24.09,25.78,27.38,26.88,24.75,24.72,37.34,36.34,36.47,37.88,38.62,37.66,37.0:20.06,20.97,23.19,23.31,21.06,19.44,19.5,18.94,15.34,12.75,12.69,12.94,10.62,8.0,7.59,8.03,6.88,4.75,4.56,6.88,8.19,7.59,8.47,11.69,14.25,14.56,15.41,18.84,22.84,24.16,24.66,26.0,27.66,26.81,24.0,23.34,24.44,25.19,23.72,22.22,21.84,20.81,16.97,12.81,12.0,12.91,12.41,11.56,12.72,14.75,14.78,12.62,11.66,12.78,13.56,12.25,11.69,13.88,15.44,14.41,13.41,14.53,16.47,16.56,15.44,15.25,16.72,16.25,13.47,11.75,12.84,13.19,11.88,10.5,12.09,14.03,13.41,12.31,13.41,16.19,16.94,16.81,18.06,21.03,22.12,21.06,19.91,20.41,20.09,17.06,13.53,12.12,11.59,8.56,5.09,4.59,6.75,7.81,7.19,7.91,9.75,10.44,8.69,7.16,8.38,9.03,6.78,3.38,3.09,3.16,1.38,-0.5,-0.12,1.78,2.72,2.75,3.84,7.41,10.0,10.38,10.28,12.09,14.19,14.03,12.91,14.12,16.06,15.81,13.62,11.94,12.03,10.5,7.25,4.75,5.28,5.59,3.69,2.28,4.09,6.62,6.88,6.03,7.34,10.0,10.91,10.88,12.34,15.91,17.88,17.31,16.56,17.5,17.94,15.5,12.16,11.5,11.91,10.47,7.97,7.81,9.47,10.03,9.41,10.31,13.81,16.22,15.97,15.25,16.47,17.22,15.28,13.0,13.0,14.16,13.22,11.12,10.88,12.03,11.94,10.09,9.47,11.81,13.5,13.12,12.5,14.16,15.41,14.06,11.59,12.0,13.91,14.34,13.72,14.81,17.22,18.84,17.75,17.31,19.28,20.59,18.81,16.72,16.84,17.53,16.47,14.66,15.25,17.03,17.34,15.78,16.06,17.78,18.84,17.66,16.62,17.59,18.0,15.84,13.38,13.41,14.38,14.0,12.41,12.69,14.72,15.62,14.34,14.47,16.16,17.31,15.75,14.31,15.28,16.28,14.91,12.34,11.72,12.25,11.66,10.12,10.56,13.41,15.5,15.44,16.31,18.97,20.75,19.34,17.38,17.06,17.53,15.78,13.5,13.06,13.75,13.28,11.06,10.41,12.34,13.38,12.28,11.72,13.31,14.72,13.34,11.22,11.41,12.47,11.97,10.16,10.31,12.06,12.69,11.44,11.09,12.97,13.91,11.66,9.41,9.34,9.62,7.31,4.41,4.03,4.44,3.28,0.97,0.94,2.91,4.38,4.09,5.16,8.03,10.56,9.56,7.91,7.66,7.78,5.34,2.53,2.34,4.03,5.06,4.78,6.31,9.5,11.91,11.56,11.28,12.53,13.09,10.28,6.88,6.16,6.12,5.03,3.41,4.5,7.31,8.62,7.56,7.28,8.41,8.31,5.75,3.75,4.69,6.81,6.97,7.16,9.5,12.53,13.09,11.53,11.56,13.12,14.0,12.91,13.19,15.41,16.81,15.12,13.44,13.53,14.31,12.78,10.97,11.12,12.78,13.25,12.19,12.47,14.28,15.31,13.72,12.5,13.5,14.34,12.56,10.44,11.19,13.56,14.16,14.38,16.41,19.62,20.72,19.62,19.31,20.59,21.16,19.12,17.47,17.94,18.22,16.38,14.12,14.62,16.34,16.0,14.88,15.53,18.09,19.75,20.0,21.56,24.62,26.88,25.78,24.53,25.06,25.91,24.66,22.97,23.16,24.03,23.0,20.09,18.19,17.91,16.69,13.78,12.06,12.91,14.03,12.81,11.53,12.19,13.34,12.19,10.75,11.28,13.47,14.62,14.09,14.69,16.84,17.88,16.66,15.53,16.75,17.91,16.28,14.69,15.0,16.31,16.16,15.22,15.84,18.22,18.5,16.88,15.78,17.12,17.81,17.0,16.56,18.94,21.62,21.72,21.12,21.88,23.81,23.75,22.69,23.34,26.0,27.22,25.91,25.22,25.78,25.88,23.56,21.25,21.12,22.0,20.91,19.03,19.03,20.59,20.53,19.03,19.16,21.34,22.75,21.97,21.16,22.59,23.19,21.47,19.34,18.88,19.34,18.16,16.19,15.81,17.31,17.69,16.31,16.22,18.47,20.0,19.44,18.84,20.12,21.59,20.28,18.66,18.94,20.44,20.59,19.69,20.0,22.09,22.5,20.88,19.03,19.25,19.66,18.12,16.81,18.38,20.62,21.03,20.62,21.84,24.5,25.59,24.91,25.09,26.47,26.34,23.28,20.28,19.25,18.59,16.28,14.44,15.34,17.91,18.91,18.81,20.53,23.47,24.56,23.28,22.34,23.16,22.75,20.41,17.62,17.25,17.06,15.38,13.38,14.0,16.59,17.22,16.62,16.94,18.56,18.5,16.22,15.09,16.38,17.62,17.34,17.12,19.09,21.56,22.09,22.03,23.69,26.94,28.16,27.5,27.91,29.31,29.5,27.34,25.28,25.66,25.78,24.12,22.38,23.16,24.5,24.16,22.44,22.84,24.56,24.78,23.34,22.66,23.62,23.47,21.69,19.97,21.34,22.75,22.34,21.44,23.03,25.25,25.88,25.16,25.53,27.69,28.72,28.12,28.44,31.06,32.91,32.12,30.44,30.12,29.97,26.81,22.81,20.88,20.47,19.31,17.69,17.75,19.19,20.5,19.0,18.44,20.56,23.16,23.41,23.62,25.72,27.25,26.34,23.62,22.12,21.84,20.78,18.47,17.72,19.12,20.28,19.38,18.88,20.94,23.12,23.19,22.81,24.5,26.38,25.97,24.06,23.44,24.09,24.03,22.41,22.0,23.56,24.78,23.75,22.72,24.19,26.44,26.16,25.0,25.81,27.56,27.62,25.88,26.06,27.91,28.84,27.88,27.44,28.97,30.31,28.72,27.09,27.56,28.94,28.41,26.38,26.62,28.31,28.81,27.72,28.0,30.0,30.97,29.28,28.0,29.25,31.28,31.44,31.22,33.12,35.59,35.41,33.44,33.09,33.88,33.75,31.5,30.25,30.88,31.12,28.66,26.47,27.19,28.62,28.31,28.0,29.56,32.78,34.53,34.56,35.91,38.06,38.94,37.31,36.75,38.25,40.09,39.19,37.56,37.47,37.53,34.97,31.28,29.97,30.47,29.41,27.28,26.53,27.31,27.12,24.41,21.72,20.91,20.94,18.84,17.72,20.0,23.44,25.62,26.41,28.75,31.94,33.5,33.16,33.72,35.81,37.22,35.75,33.81,33.66,33.62,31.06,27.62,26.34,26.19,24.28,20.81,18.94,18.91,18.0,15.81,15.28,17.0,18.81,17.91,16.59,17.22,18.62,17.88,17.34,18.81,22.12,24.06,24.78,26.66,30.31,32.81,32.28,32.0,33.59,35.06,34.0,33.09,34.56,37.34,37.34,35.78,35.56,35.91,34.03,29.16,25.12,22.94,20.06,15.88,12.94,13.62,15.31,15.12,15.12,17.53,21.53,24.03,25.28,27.97,31.75,33.31,32.41,31.72,33.38,34.44,32.97,31.34,32.09,33.28,32.03,30.31,30.34,31.62,30.56,28.12,26.56,26.97,26.72,24.47,22.91,23.16,23.22,20.12,16.88,16.34,17.25,16.5,16.28,18.44,22.81,25.62,26.59,27.94,31.0,33.41,33.5,34.0,37.03,39.38,38.19,35.53,34.78,35.47,34.28,32.31,31.78,32.66,31.69,28.41,25.81,25.69,25.53,23.25,21.34,22.19,24.0,23.66,23.16,25.19,29.0,31.19,32.44,34.25,37.62,38.59,36.69,34.78,34.12,32.75,28.38,24.31,22.78,22.16,20.12,17.72,17.56,19.34,20.09,19.25,19.5,21.72,22.41,20.59,19.41,20.38,21.5,19.88,18.28,19.09,21.31,22.16,22.38,24.47,28.41,30.69,30.78,31.25,33.34,33.56,31.12,28.03,27.66,27.81,26.41,25.5,27.03,30.19,30.88,30.66,31.72,34.19,35.28,34.56,33.84,35.09,35.44,33.12,30.94,31.59,32.84,31.81,30.31,31.09,33.5,34.5,34.19,34.91,37.62,38.84,37.44,36.34,38.03,38.91,37.0,34.5,33.75,33.5,31.25,28.44,27.59,28.94,29.12,27.44,27.12,28.84,29.56,27.94,26.31,26.69,27.0,25.0,23.03,23.66,25.66,25.81,25.16,26.28,29.66,31.81,32.34,33.84,37.16,39.47,38.69,37.44,38.31,39.62,39.03,37.62,38.19,39.5,38.34,35.47,33.53,33.47,32.72,30.22,28.88,30.06,31.59,30.69,29.41,29.94,30.84,29.5,26.72,26.09,26.94,26.38,24.28,23.88,26.5,28.12,28.16,28.38,30.78,32.59,31.91,30.31,30.97,32.28,31.34,28.56,27.41,28.0,27.31,25.19,24.22,25.66,26.12,24.28,22.47,22.78,23.0,21.0,18.47,17.91,18.41,17.62,15.34,14.97,17.0,17.84,17.22,17.59,20.78,23.59,23.69,24.09,27.22,30.34,31.56,31.47,32.94,34.84,34.62,32.5,32.03,33.34,34.0,31.94,29.91,29.91,29.16,26.03,22.75,21.88,22.12,20.59,18.41,18.03,19.34,19.5,17.94,17.66,20.16,21.88,21.59,21.03,22.59,23.22,21.0,17.88,16.88,17.0,16.06,14.44,15.0,17.22,18.44,17.03,16.47,18.41,20.0,19.88,19.81,22.28,24.56,24.12,22.94,23.44,25.0,25.12,23.34,22.75,23.53,23.5,21.06,19.78,20.72,21.94,20.78,19.06,20.19,21.62,21.41,20.5,21.97,24.94,26.88,26.69,27.47,29.69,30.88,29.25,27.5,27.44,27.25,24.75,21.94,21.62,22.34,21.47,18.94,18.09,18.94,18.47,16.78,16.59,18.56,20.75,20.34,19.81,21.28,22.75,21.34,19.28,19.97,21.5,21.81,20.94,21.84,23.62,24.53,23.0,22.12,23.62,25.41,24.78,24.09,25.78,27.38,26.88,24.75,24.72,37.34,36.34,36.47,37.88,38.62,37.66,37.0,37.78,38.69,38.03,37.81,39.66,42.19,43.75:18.94,15.34,12.75,12.69,12.94,10.62,8.0,7.59,8.03,6.88,4.75,4.56,6.88,8.19,7.59,8.47,11.69,14.25,14.56,15.41,18.84,22.84,24.16,24.66,26.0,27.66,26.81,24.0,23.34,24.44,25.19,23.72,22.22,21.84,20.81,16.97,12.81,12.0,12.91,12.41,11.56,12.72,14.75,14.78,12.62,11.66,12.78,13.56,12.25,11.69,13.88,15.44,14.41,13.41,14.53,16.47,16.56,15.44,15.25,16.72,16.25,13.47,11.75,12.84,13.19,11.88,10.5,12.09,14.03,13.41,12.31,13.41,16.19,16.94,16.81,18.06,21.03,22.12,21.06,19.91,20.41,20.09,17.06,13.53,12.12,11.59,8.56,5.09,4.59,6.75,7.81,7.19,7.91,9.75,10.44,8.69,7.16,8.38,9.03,6.78,3.38,3.09,3.16,1.38,-0.5,-0.12,1.78,2.72,2.75,3.84,7.41,10.0,10.38,10.28,12.09,14.19,14.03,12.91,14.12,16.06,15.81,13.62,11.94,12.03,10.5,7.25,4.75,5.28,5.59,3.69,2.28,4.09,6.62,6.88,6.03,7.34,10.0,10.91,10.88,12.34,15.91,17.88,17.31,16.56,17.5,17.94,15.5,12.16,11.5,11.91,10.47,7.97,7.81,9.47,10.03,9.41,10.31,13.81,16.22,15.97,15.25,16.47,17.22,15.28,13.0,13.0,14.16,13.22,11.12,10.88,12.03,11.94,10.09,9.47,11.81,13.5,13.12,12.5,14.16,15.41,14.06,11.59,12.0,13.91,14.34,13.72,14.81,17.22,18.84,17.75,17.31,19.28,20.59,18.81,16.72,16.84,17.53,16.47,14.66,15.25,17.03,17.34,15.78,16.06,17.78,18.84,17.66,16.62,17.59,18.0,15.84,13.38,13.41,14.38,14.0,12.41,12.69,14.72,15.62,14.34,14.47,16.16,17.31,15.75,14.31,15.28,16.28,14.91,12.34,11.72,12.25,11.66,10.12,10.56,13.41,15.5,15.44,16.31,18.97,20.75,19.34,17.38,17.06,17.53,15.78,13.5,13.06,13.75,13.28,11.06,10.41,12.34,13.38,12.28,11.72,13.31,14.72,13.34,11.22,11.41,12.47,11.97,10.16,10.31,12.06,12.69,11.44,11.09,12.97,13.91,11.66,9.41,9.34,9.62,7.31,4.41,4.03,4.44,3.28,0.97,0.94,2.91,4.38,4.09,5.16,8.03,10.56,9.56,7.91,7.66,7.78,5.34,2.53,2.34,4.03,5.06,4.78,6.31,9.5,11.91,11.56,11.28,12.53,13.09,10.28,6.88,6.16,6.12,5.03,3.41,4.5,7.31,8.62,7.56,7.28,8.41,8.31,5.75,3.75,4.69,6.81,6.97,7.16,9.5,12.53,13.09,11.53,11.56,13.12,14.0,12.91,13.19,15.41,16.81,15.12,13.44,13.53,14.31,12.78,10.97,11.12,12.78,13.25,12.19,12.47,14.28,15.31,13.72,12.5,13.5,14.34,12.56,10.44,11.19,13.56,14.16,14.38,16.41,19.62,20.72,19.62,19.31,20.59,21.16,19.12,17.47,17.94,18.22,16.38,14.12,14.62,16.34,16.0,14.88,15.53,18.09,19.75,20.0,21.56,24.62,26.88,25.78,24.53,25.06,25.91,24.66,22.97,23.16,24.03,23.0,20.09,18.19,17.91,16.69,13.78,12.06,12.91,14.03,12.81,11.53,12.19,13.34,12.19,10.75,11.28,13.47,14.62,14.09,14.69,16.84,17.88,16.66,15.53,16.75,17.91,16.28,14.69,15.0,16.31,16.16,15.22,15.84,18.22,18.5,16.88,15.78,17.12,17.81,17.0,16.56,18.94,21.62,21.72,21.12,21.88,23.81,23.75,22.69,23.34,26.0,27.22,25.91,25.22,25.78,25.88,23.56,21.25,21.12,22.0,20.91,19.03,19.03,20.59,20.53,19.03,19.16,21.34,22.75,21.97,21.16,22.59,23.19,21.47,19.34,18.88,19.34,18.16,16.19,15.81,17.31,17.69,16.31,16.22,18.47,20.0,19.44,18.84,20.12,21.59,20.28,18.66,18.94,20.44,20.59,19.69,20.0,22.09,22.5,20.88,19.03,19.25,19.66,18.12,16.81,18.38,20.62,21.03,20.62,21.84,24.5,25.59,24.91,25.09,26.47,26.34,23.28,20.28,19.25,18.59,16.28,14.44,15.34,17.91,18.91,18.81,20.53,23.47,24.56,23.28,22.34,23.16,22.75,20.41,17.62,17.25,17.06,15.38,13.38,14.0,16.59,17.22,16.62,16.94,18.56,18.5,16.22,15.09,16.38,17.62,17.34,17.12,19.09,21.56,22.09,22.03,23.69,26.94,28.16,27.5,27.91,29.31,29.5,27.34,25.28,25.66,25.78,24.12,22.38,23.16,24.5,24.16,22.44,22.84,24.56,24.78,23.34,22.66,23.62,23.47,21.69,19.97,21.34,22.75,22.34,21.44,23.03,25.25,25.88,25.16,25.53,27.69,28.72,28.12,28.44,31.06,32.91,32.12,30.44,30.12,29.97,26.81,22.81,20.88,20.47,19.31,17.69,17.75,19.19,20.5,19.0,18.44,20.56,23.16,23.41,23.62,25.72,27.25,26.34,23.62,22.12,21.84,20.78,18.47,17.72,19.12,20.28,19.38,18.88,20.94,23.12,23.19,22.81,24.5,26.38,25.97,24.06,23.44,24.09,24.03,22.41,22.0,23.56,24.78,23.75,22.72,24.19,26.44,26.16,25.0,25.81,27.56,27.62,25.88,26.06,27.91,28.84,27.88,27.44,28.97,30.31,28.72,27.09,27.56,28.94,28.41,26.38,26.62,28.31,28.81,27.72,28.0,30.0,30.97,29.28,28.0,29.25,31.28,31.44,31.22,33.12,35.59,35.41,33.44,33.09,33.88,33.75,31.5,30.25,30.88,31.12,28.66,26.47,27.19,28.62,28.31,28.0,29.56,32.78,34.53,34.56,35.91,38.06,38.94,37.31,36.75,38.25,40.09,39.19,37.56,37.47,37.53,34.97,31.28,29.97,30.47,29.41,27.28,26.53,27.31,27.12,24.41,21.72,20.91,20.94,18.84,17.72,20.0,23.44,25.62,26.41,28.75,31.94,33.5,33.16,33.72,35.81,37.22,35.75,33.81,33.66,33.62,31.06,27.62,26.34,26.19,24.28,20.81,18.94,18.91,18.0,15.81,15.28,17.0,18.81,17.91,16.59,17.22,18.62,17.88,17.34,18.81,22.12,24.06,24.78,26.66,30.31,32.81,32.28,32.0,33.59,35.06,34.0,33.09,34.56,37.34,37.34,35.78,35.56,35.91,34.03,29.16,25.12,22.94,20.06,15.88,12.94,13.62,15.31,15.12,15.12,17.53,21.53,24.03,25.28,27.97,31.75,33.31,32.41,31.72,33.38,34.44,32.97,31.34,32.09,33.28,32.03,30.31,30.34,31.62,30.56,28.12,26.56,26.97,26.72,24.47,22.91,23.16,23.22,20.12,16.88,16.34,17.25,16.5,16.28,18.44,22.81,25.62,26.59,27.94,31.0,33.41,33.5,34.0,37.03,39.38,38.19,35.53,34.78,35.47,34.28,32.31,31.78,32.66,31.69,28.41,25.81,25.69,25.53,23.25,21.34,22.19,24.0,23.66,23.16,25.19,29.0,31.19,32.44,34.25,37.62,38.59,36.69,34.78,34.12,32.75,28.38,24.31,22.78,22.16,20.12,17.72,17.56,19.34,20.09,19.25,19.5,21.72,22.41,20.59,19.41,20.38,21.5,19.88,18.28,19.09,21.31,22.16,22.38,24.47,28.41,30.69,30.78,31.25,33.34,33.56,31.12,28.03,27.66,27.81,26.41,25.5,27.03,30.19,30.88,30.66,31.72,34.19,35.28,34.56,33.84,35.09,35.44,33.12,30.94,31.59,32.84,31.81,30.31,31.09,33.5,34.5,34.19,34.91,37.62,38.84,37.44,36.34,38.03,38.91,37.0,34.5,33.75,33.5,31.25,28.44,27.59,28.94,29.12,27.44,27.12,28.84,29.56,27.94,26.31,26.69,27.0,25.0,23.03,23.66,25.66,25.81,25.16,26.28,29.66,31.81,32.34,33.84,37.16,39.47,38.69,37.44,38.31,39.62,39.03,37.62,38.19,39.5,38.34,35.47,33.53,33.47,32.72,30.22,28.88,30.06,31.59,30.69,29.41,29.94,30.84,29.5,26.72,26.09,26.94,26.38,24.28,23.88,26.5,28.12,28.16,28.38,30.78,32.59,31.91,30.31,30.97,32.28,31.34,28.56,27.41,28.0,27.31,25.19,24.22,25.66,26.12,24.28,22.47,22.78,23.0,21.0,18.47,17.91,18.41,17.62,15.34,14.97,17.0,17.84,17.22,17.59,20.78,23.59,23.69,24.09,27.22,30.34,31.56,31.47,32.94,34.84,34.62,32.5,32.03,33.34,34.0,31.94,29.91,29.91,29.16,26.03,22.75,21.88,22.12,20.59,18.41,18.03,19.34,19.5,17.94,17.66,20.16,21.88,21.59,21.03,22.59,23.22,21.0,17.88,16.88,17.0,16.06,14.44,15.0,17.22,18.44,17.03,16.47,18.41,20.0,19.88,19.81,22.28,24.56,24.12,22.94,23.44,25.0,25.12,23.34,22.75,23.53,23.5,21.06,19.78,20.72,21.94,20.78,19.06,20.19,21.62,21.41,20.5,21.97,24.94,26.88,26.69,27.47,29.69,30.88,29.25,27.5,27.44,27.25,24.75,21.94,21.62,22.34,21.47,18.94,18.09,18.94,18.47,16.78,16.59,18.56,20.75,20.34,19.81,21.28,22.75,21.34,19.28,19.97,21.5,21.81,20.94,21.84,23.62,24.53,23.0,22.12,23.62,25.41,24.78,24.09,25.78,27.38,26.88,24.75,24.72,37.34,36.34,36.47,37.88,38.62,37.66,37.0,37.78,38.69,38.03,37.81,39.66,42.19,43.75,44.69,46.38,48.41,48.81,47.12,45.41,44.31:7.59,8.03,6.88,4.75,4.56,6.88,8.19,7.59,8.47,11.69,14.25,14.56,15.41,18.84,22.84,24.16,24.66,26.0,27.66,26.81,24.0,23.34,24.44,25.19,23.72,22.22,21.84,20.81,16.97,12.81,12.0,12.91,12.41,11.56,12.72,14.75,14.78,12.62,11.66,12.78,13.56,12.25,11.69,13.88,15.44,14.41,13.41,14.53,16.47,16.56,15.44,15.25,16.72,16.25,13.47,11.75,12.84,13.19,11.88,10.5,12.09,14.03,13.41,12.31,13.41,16.19,16.94,16.81,18.06,21.03,22.12,21.06,19.91,20.41,20.09,17.06,13.53,12.12,11.59,8.56,5.09,4.59,6.75,7.81,7.19,7.91,9.75,10.44,8.69,7.16,8.38,9.03,6.78,3.38,3.09,3.16,1.38,-0.5,-0.12,1.78,2.72,2.75,3.84,7.41,10.0,10.38,10.28,12.09,14.19,14.03,12.91,14.12,16.06,15.81,13.62,11.94,12.03,10.5,7.25,4.75,5.28,5.59,3.69,2.28,4.09,6.62,6.88,6.03,7.34,10.0,10.91,10.88,12.34,15.91,17.88,17.31,16.56,17.5,17.94,15.5,12.16,11.5,11.91,10.47,7.97,7.81,9.47,10.03,9.41,10.31,13.81,16.22,15.97,15.25,16.47,17.22,15.28,13.0,13.0,14.16,13.22,11.12,10.88,12.03,11.94,10.09,9.47,11.81,13.5,13.12,12.5,14.16,15.41,14.06,11.59,12.0,13.91,14.34,13.72,14.81,17.22,18.84,17.75,17.31,19.28,20.59,18.81,16.72,16.84,17.53,16.47,14.66,15.25,17.03,17.34,15.78,16.06,17.78,18.84,17.66,16.62,17.59,18.0,15.84,13.38,13.41,14.38,14.0,12.41,12.69,14.72,15.62,14.34,14.47,16.16,17.31,15.75,14.31,15.28,16.28,14.91,12.34,11.72,12.25,11.66,10.12,10.56,13.41,15.5,15.44,16.31,18.97,20.75,19.34,17.38,17.06,17.53,15.78,13.5,13.06,13.75,13.28,11.06,10.41,12.34,13.38,12.28,11.72,13.31,14.72,13.34,11.22,11.41,12.47,11.97,10.16,10.31,12.06,12.69,11.44,11.09,12.97,13.91,11.66,9.41,9.34,9.62,7.31,4.41,4.03,4.44,3.28,0.97,0.94,2.91,4.38,4.09,5.16,8.03,10.56,9.56,7.91,7.66,7.78,5.34,2.53,2.34,4.03,5.06,4.78,6.31,9.5,11.91,11.56,11.28,12.53,13.09,10.28,6.88,6.16,6.12,5.03,3.41,4.5,7.31,8.62,7.56,7.28,8.41,8.31,5.75,3.75,4.69,6.81,6.97,7.16,9.5,12.53,13.09,11.53,11.56,13.12,14.0,12.91,13.19,15.41,16.81,15.12,13.44,13.53,14.31,12.78,10.97,11.12,12.78,13.25,12.19,12.47,14.28,15.31,13.72,12.5,13.5,14.34,12.56,10.44,11.19,13.56,14.16,14.38,16.41,19.62,20.72,19.62,19.31,20.59,21.16,19.12,17.47,17.94,18.22,16.38,14.12,14.62,16.34,16.0,14.88,15.53,18.09,19.75,20.0,21.56,24.62,26.88,25.78,24.53,25.06,25.91,24.66,22.97,23.16,24.03,23.0,20.09,18.19,17.91,16.69,13.78,12.06,12.91,14.03,12.81,11.53,12.19,13.34,12.19,10.75,11.28,13.47,14.62,14.09,14.69,16.84,17.88,16.66,15.53,16.75,17.91,16.28,14.69,15.0,16.31,16.16,15.22,15.84,18.22,18.5,16.88,15.78,17.12,17.81,17.0,16.56,18.94,21.62,21.72,21.12,21.88,23.81,23.75,22.69,23.34,26.0,27.22,25.91,25.22,25.78,25.88,23.56,21.25,21.12,22.0,20.91,19.03,19.03,20.59,20.53,19.03,19.16,21.34,22.75,21.97,21.16,22.59,23.19,21.47,19.34,18.88,19.34,18.16,16.19,15.81,17.31,17.69,16.31,16.22,18.47,20.0,19.44,18.84,20.12,21.59,20.28,18.66,18.94,20.44,20.59,19.69,20.0,22.09,22.5,20.88,19.03,19.25,19.66,18.12,16.81,18.38,20.62,21.03,20.62,21.84,24.5,25.59,24.91,25.09,26.47,26.34,23.28,20.28,19.25,18.59,16.28,14.44,15.34,17.91,18.91,18.81,20.53,23.47,24.56,23.28,22.34,23.16,22.75,20.41,17.62,17.25,17.06,15.38,13.38,14.0,16.59,17.22,16.62,16.94,18.56,18.5,16.22,15.09,16.38,17.62,17.34,17.12,19.09,21.56,22.09,22.03,23.69,26.94,28.16,27.5,27.91,29.31,29.5,27.34,25.28,25.66,25.78,24.12,22.38,23.16,24.5,24.16,22.44,22.84,24.56,24.78,23.34,22.66,23.62,23.47,21.69,19.97,21.34,22.75,22.34,21.44,23.03,25.25,25.88,25.16,25.53,27.69,28.72,28.12,28.44,31.06,32.91,32.12,30.44,30.12,29.97,26.81,22.81,20.88,20.47,19.31,17.69,17.75,19.19,20.5,19.0,18.44,20.56,23.16,23.41,23.62,25.72,27.25,26.34,23.62,22.12,21.84,20.78,18.47,17.72,19.12,20.28,19.38,18.88,20.94,23.12,23.19,22.81,24.5,26.38,25.97,24.06,23.44,24.09,24.03,22.41,22.0,23.56,24.78,23.75,22.72,24.19,26.44,26.16,25.0,25.81,27.56,27.62,25.88,26.06,27.91,28.84,27.88,27.44,28.97,30.31,28.72,27.09,27.56,28.94,28.41,26.38,26.62,28.31,28.81,27.72,28.0,30.0,30.97,29.28,28.0,29.25,31.28,31.44,31.22,33.12,35.59,35.41,33.44,33.09,33.88,33.75,31.5,30.25,30.88,31.12,28.66,26.47,27.19,28.62,28.31,28.0,29.56,32.78,34.53,34.56,35.91,38.06,38.94,37.31,36.75,38.25,40.09,39.19,37.56,37.47,37.53,34.97,31.28,29.97,30.47,29.41,27.28,26.53,27.31,27.12,24.41,21.72,20.91,20.94,18.84,17.72,20.0,23.44,25.62,26.41,28.75,31.94,33.5,33.16,33.72,35.81,37.22,35.75,33.81,33.66,33.62,31.06,27.62,26.34,26.19,24.28,20.81,18.94,18.91,18.0,15.81,15.28,17.0,18.81,17.91,16.59,17.22,18.62,17.88,17.34,18.81,22.12,24.06,24.78,26.66,30.31,32.81,32.28,32.0,33.59,35.06,34.0,33.09,34.56,37.34,37.34,35.78,35.56,35.91,34.03,29.16,25.12,22.94,20.06,15.88,12.94,13.62,15.31,15.12,15.12,17.53,21.53,24.03,25.28,27.97,31.75,33.31,32.41,31.72,33.38,34.44,32.97,31.34,32.09,33.28,32.03,30.31,30.34,31.62,30.56,28.12,26.56,26.97,26.72,24.47,22.91,23.16,23.22,20.12,16.88,16.34,17.25,16.5,16.28,18.44,22.81,25.62,26.59,27.94,31.0,33.41,33.5,34.0,37.03,39.38,38.19,35.53,34.78,35.47,34.28,32.31,31.78,32.66,31.69,28.41,25.81,25.69,25.53,23.25,21.34,22.19,24.0,23.66,23.16,25.19,29.0,31.19,32.44,34.25,37.62,38.59,36.69,34.78,34.12,32.75,28.38,24.31,22.78,22.16,20.12,17.72,17.56,19.34,20.09,19.25,19.5,21.72,22.41,20.59,19.41,20.38,21.5,19.88,18.28,19.09,21.31,22.16,22.38,24.47,28.41,30.69,30.78,31.25,33.34,33.56,31.12,28.03,27.66,27.81,26.41,25.5,27.03,30.19,30.88,30.66,31.72,34.19,35.28,34.56,33.84,35.09,35.44,33.12,30.94,31.59,32.84,31.81,30.31,31.09,33.5,34.5,34.19,34.91,37.62,38.84,37.44,36.34,38.03,38.91,37.0,34.5,33.75,33.5,31.25,28.44,27.59,28.94,29.12,27.44,27.12,28.84,29.56,27.94,26.31,26.69,27.0,25.0,23.03,23.66,25.66,25.81,25.16,26.28,29.66,31.81,32.34,33.84,37.16,39.47,38.69,37.44,38.31,39.62,39.03,37.62,38.19,39.5,38.34,35.47,33.53,33.47,32.72,30.22,28.88,30.06,31.59,30.69,29.41,29.94,30.84,29.5,26.72,26.09,26.94,26.38,24.28,23.88,26.5,28.12,28.16,28.38,30.78,32.59,31.91,30.31,30.97,32.28,31.34,28.56,27.41,28.0,27.31,25.19,24.22,25.66,26.12,24.28,22.47,22.78,23.0,21.0,18.47,17.91,18.41,17.62,15.34,14.97,17.0,17.84,17.22,17.59,20.78,23.59,23.69,24.09,27.22,30.34,31.56,31.47,32.94,34.84,34.62,32.5,32.03,33.34,34.0,31.94,29.91,29.91,29.16,26.03,22.75,21.88,22.12,20.59,18.41,18.03,19.34,19.5,17.94,17.66,20.16,21.88,21.59,21.03,22.59,23.22,21.0,17.88,16.88,17.0,16.06,14.44,15.0,17.22,18.44,17.03,16.47,18.41,20.0,19.88,19.81,22.28,24.56,24.12,22.94,23.44,25.0,25.12,23.34,22.75,23.53,23.5,21.06,19.78,20.72,21.94,20.78,19.06,20.19,21.62,21.41,20.5,21.97,24.94,26.88,26.69,27.47,29.69,30.88,29.25,27.5,27.44,27.25,24.75,21.94,21.62,22.34,21.47,18.94,18.09,18.94,18.47,16.78,16.59,18.56,20.75,20.34,19.81,21.28,22.75,21.34,19.28,19.97,21.5,21.81,20.94,21.84,23.62,24.53,23.0,22.12,23.62,25.41,24.78,24.09,25.78,27.38,26.88,24.75,24.72,37.34,36.34,36.47,37.88,38.62,37.66,37.0,37.78,38.69,38.03,37.81,39.66,42.19,43.75,44.69,46.38,48.41,48.81,47.12,45.41,44.31,42.56,38.66,35.25,33.53,31.84,29.06,26.88:7.59,8.47,11.69,14.25,14.56,15.41,18.84,22.84,24.16,24.66,26.0,27.66,26.81,24.0,23.34,24.44,25.19,23.72,22.22,21.84,20.81,16.97,12.81,12.0,12.91,12.41,11.56,12.72,14.75,14.78,12.62,11.66,12.78,13.56,12.25,11.69,13.88,15.44,14.41,13.41,14.53,16.47,16.56,15.44,15.25,16.72,16.25,13.47,11.75,12.84,13.19,11.88,10.5,12.09,14.03,13.41,12.31,13.41,16.19,16.94,16.81,18.06,21.03,22.12,21.06,19.91,20.41,20.09,17.06,13.53,12.12,11.59,8.56,5.09,4.59,6.75,7.81,7.19,7.91,9.75,10.44,8.69,7.16,8.38,9.03,6.78,3.38,3.09,3.16,1.38,-0.5,-0.12,1.78,2.72,2.75,3.84,7.41,10.0,10.38,10.28,12.09,14.19,14.03,12.91,14.12,16.06,15.81,13.62,11.94,12.03,10.5,7.25,4.75,5.28,5.59,3.69,2.28,4.09,6.62,6.88,6.03,7.34,10.0,10.91,10.88,12.34,15.91,17.88,17.31,16.56,17.5,17.94,15.5,12.16,11.5,11.91,10.47,7.97,7.81,9.47,10.03,9.41,10.31,13.81,16.22,15.97,15.25,16.47,17.22,15.28,13.0,13.0,14.16,13.22,11.12,10.88,12.03,11.94,10.09,9.47,11.81,13.5,13.12,12.5,14.16,15.41,14.06,11.59,12.0,13.91,14.34,13.72,14.81,17.22,18.84,17.75,17.31,19.28,20.59,18.81,16.72,16.84,17.53,16.47,14.66,15.25,17.03,17.34,15.78,16.06,17.78,18.84,17.66,16.62,17.59,18.0,15.84,13.38,13.41,14.38,14.0,12.41,12.69,14.72,15.62,14.34,14.47,16.16,17.31,15.75,14.31,15.28,16.28,14.91,12.34,11.72,12.25,11.66,10.12,10.56,13.41,15.5,15.44,16.31,18.97,20.75,19.34,17.38,17.06,17.53,15.78,13.5,13.06,13.75,13.28,11.06,10.41,12.34,13.38,12.28,11.72,13.31,14.72,13.34,11.22,11.41,12.47,11.97,10.16,10.31,12.06,12.69,11.44,11.09,12.97,13.91,11.66,9.41,9.34,9.62,7.31,4.41,4.03,4.44,3.28,0.97,0.94,2.91,4.38,4.09,5.16,8.03,10.56,9.56,7.91,7.66,7.78,5.34,2.53,2.34,4.03,5.06,4.78,6.31,9.5,11.91,11.56,11.28,12.53,13.09,10.28,6.88,6.16,6.12,5.03,3.41,4.5,7.31,8.62,7.56,7.28,8.41,8.31,5.75,3.75,4.69,6.81,6.97,7.16,9.5,12.53,13.09,11.53,11.56,13.12,14.0,12.91,13.19,15.41,16.81,15.12,13.44,13.53,14.31,12.78,10.97,11.12,12.78,13.25,12.19,12.47,14.28,15.31,13.72,12.5,13.5,14.34,12.56,10.44,11.19,13.56,14.16,14.38,16.41,19.62,20.72,19.62,19.31,20.59,21.16,19.12,17.47,17.94,18.22,16.38,14.12,14.62,16.34,16.0,14.88,15.53,18.09,19.75,20.0,21.56,24.62,26.88,25.78,24.53,25.06,25.91,24.66,22.97,23.16,24.03,23.0,20.09,18.19,17.91,16.69,13.78,12.06,12.91,14.03,12.81,11.53,12.19,13.34,12.19,10.75,11.28,13.47,14.62,14.09,14.69,16.84,17.88,16.66,15.53,16.75,17.91,16.28,14.69,15.0,16.31,16.16,15.22,15.84,18.22,18.5,16.88,15.78,17.12,17.81,17.0,16.56,18.94,21.62,21.72,21.12,21.88,23.81,23.75,22.69,23.34,26.0,27.22,25.91,25.22,25.78,25.88,23.56,21.25,21.12,22.0,20.91,19.03,19.03,20.59,20.53,19.03,19.16,21.34,22.75,21.97,21.16,22.59,23.19,21.47,19.34,18.88,19.34,18.16,16.19,15.81,17.31,17.69,16.31,16.22,18.47,20.0,19.44,18.84,20.12,21.59,20.28,18.66,18.94,20.44,20.59,19.69,20.0,22.09,22.5,20.88,19.03,19.25,19.66,18.12,16.81,18.38,20.62,21.03,20.62,21.84,24.5,25.59,24.91,25.09,26.47,26.34,23.28,20.28,19.25,18.59,16.28,14.44,15.34,17.91,18.91,18.81,20.53,23.47,24.56,23.28,22.34,23.16,22.75,20.41,17.62,17.25,17.06,15.38,13.38,14.0,16.59,17.22,16.62,16.94,18.56,18.5,16.22,15.09,16.38,17.62,17.34,17.12,19.09,21.56,22.09,22.03,23.69,26.94,28.16,27.5,27.91,29.31,29.5,27.34,25.28,25.66,25.78,24.12,22.38,23.16,24.5,24.16,22.44,22.84,24.56,24.78,23.34,22.66,23.62,23.47,21.69,19.97,21.34,22.75,22.34,21.44,23.03,25.25,25.88,25.16,25.53,27.69,28.72,28.12,28.44,31.06,32.91,32.12,30.44,30.12,29.97,26.81,22.81,20.88,20.47,19.31,17.69,17.75,19.19,20.5,19.0,18.44,20.56,23.16,23.41,23.62,25.72,27.25,26.34,23.62,22.12,21.84,20.78,18.47,17.72,19.12,20.28,19.38,18.88,20.94,23.12,23.19,22.81,24.5,26.38,25.97,24.06,23.44,24.09,24.03,22.41,22.0,23.56,24.78,23.75,22.72,24.19,26.44,26.16,25.0,25.81,27.56,27.62,25.88,26.06,27.91,28.84,27.88,27.44,28.97,30.31,28.72,27.09,27.56,28.94,28.41,26.38,26.62,28.31,28.81,27.72,28.0,30.0,30.97,29.28,28.0,29.25,31.28,31.44,31.22,33.12,35.59,35.41,33.44,33.09,33.88,33.75,31.5,30.25,30.88,31.12,28.66,26.47,27.19,28.62,28.31,28.0,29.56,32.78,34.53,34.56,35.91,38.06,38.94,37.31,36.75,38.25,40.09,39.19,37.56,37.47,37.53,34.97,31.28,29.97,30.47,29.41,27.28,26.53,27.31,27.12,24.41,21.72,20.91,20.94,18.84,17.72,20.0,23.44,25.62,26.41,28.75,31.94,33.5,33.16,33.72,35.81,37.22,35.75,33.81,33.66,33.62,31.06,27.62,26.34,26.19,24.28,20.81,18.94,18.91,18.0,15.81,15.28,17.0,18.81,17.91,16.59,17.22,18.62,17.88,17.34,18.81,22.12,24.06,24.78,26.66,30.31,32.81,32.28,32.0,33.59,35.06,34.0,33.09,34.56,37.34,37.34,35.78,35.56,35.91,34.03,29.16,25.12,22.94,20.06,15.88,12.94,13.62,15.31,15.12,15.12,17.53,21.53,24.03,25.28,27.97,31.75,33.31,32.41,31.72,33.38,34.44,32.97,31.34,32.09,33.28,32.03,30.31,30.34,31.62,30.56,28.12,26.56,26.97,26.72,24.47,22.91,23.16,23.22,20.12,16.88,16.34,17.25,16.5,16.28,18.44,22.81,25.62,26.59,27.94,31.0,33.41,33.5,34.0,37.03,39.38,38.19,35.53,34.78,35.47,34.28,32.31,31.78,32.66,31.69,28.41,25.81,25.69,25.53,23.25,21.34,22.19,24.0,23.66,23.16,25.19,29.0,31.19,32.44,34.25,37.62,38.59,36.69,34.78,34.12,32.75,28.38,24.31,22.78,22.16,20.12,17.72,17.56,19.34,20.09,19.25,19.5,21.72,22.41,20.59,19.41,20.38,21.5,19.88,18.28,19.09,21.31,22.16,22.38,24.47,28.41,30.69,30.78,31.25,33.34,33.56,31.12,28.03,27.66,27.81,26.41,25.5,27.03,30.19,30.88,30.66,31.72,34.19,35.28,34.56,33.84,35.09,35.44,33.12,30.94,31.59,32.84,31.81,30.31,31.09,33.5,34.5,34.19,34.91,37.62,38.84,37.44,36.34,38.03,38.91,37.0,34.5,33.75,33.5,31.25,28.44,27.59,28.94,29.12,27.44,27.12,28.84,29.56,27.94,26.31,26.69,27.0,25.0,23.03,23.66,25.66,25.81,25.16,26.28,29.66,31.81,32.34,33.84,37.16,39.47,38.69,37.44,38.31,39.62,39.03,37.62,38.19,39.5,38.34,35.47,33.53,33.47,32.72,30.22,28.88,30.06,31.59,30.69,29.41,29.94,30.84,29.5,26.72,26.09,26.94,26.38,24.28,23.88,26.5,28.12,28.16,28.38,30.78,32.59,31.91,30.31,30.97,32.28,31.34,28.56,27.41,28.0,27.31,25.19,24.22,25.66,26.12,24.28,22.47,22.78,23.0,21.0,18.47,17.91,18.41,17.62,15.34,14.97,17.0,17.84,17.22,17.59,20.78,23.59,23.69,24.09,27.22,30.34,31.56,31.47,32.94,34.84,34.62,32.5,32.03,33.34,34.0,31.94,29.91,29.91,29.16,26.03,22.75,21.88,22.12,20.59,18.41,18.03,19.34,19.5,17.94,17.66,20.16,21.88,21.59,21.03,22.59,23.22,21.0,17.88,16.88,17.0,16.06,14.44,15.0,17.22,18.44,17.03,16.47,18.41,20.0,19.88,19.81,22.28,24.56,24.12,22.94,23.44,25.0,25.12,23.34,22.75,23.53,23.5,21.06,19.78,20.72,21.94,20.78,19.06,20.19,21.62,21.41,20.5,21.97,24.94,26.88,26.69,27.47,29.69,30.88,29.25,27.5,27.44,27.25,24.75,21.94,21.62,22.34,21.47,18.94,18.09,18.94,18.47,16.78,16.59,18.56,20.75,20.34,19.81,21.28,22.75,21.34,19.28,19.97,21.5,21.81,20.94,21.84,23.62,24.53,23.0,22.12,23.62,25.41,24.78,24.09,25.78,27.38,26.88,24.75,24.72,37.34,36.34,36.47,37.88,38.62,37.66,37.0,37.78,38.69,38.03,37.81,39.66,42.19,43.75,44.69,46.38,48.41,48.81,47.12,45.41,44.31,42.56,38.66,35.25,33.53,31.84,29.06,26.88,26.09,26.81,26.66,26.41,27.44,30.75,33.62:22.84,24.16,24.66,26.0,27.66,26.81,24.0,23.34,24.44,25.19,23.72,22.22,21.84,20.81,16.97,12.81,12.0,12.91,12.41,11.56,12.72,14.75,14.78,12.62,11.66,12.78,13.56,12.25,11.69,13.88,15.44,14.41,13.41,14.53,16.47,16.56,15.44,15.25,16.72,16.25,13.47,11.75,12.84,13.19,11.88,10.5,12.09,14.03,13.41,12.31,13.41,16.19,16.94,16.81,18.06,21.03,22.12,21.06,19.91,20.41,20.09,17.06,13.53,12.12,11.59,8.56,5.09,4.59,6.75,7.81,7.19,7.91,9.75,10.44,8.69,7.16,8.38,9.03,6.78,3.38,3.09,3.16,1.38,-0.5,-0.12,1.78,2.72,2.75,3.84,7.41,10.0,10.38,10.28,12.09,14.19,14.03,12.91,14.12,16.06,15.81,13.62,11.94,12.03,10.5,7.25,4.75,5.28,5.59,3.69,2.28,4.09,6.62,6.88,6.03,7.34,10.0,10.91,10.88,12.34,15.91,17.88,17.31,16.56,17.5,17.94,15.5,12.16,11.5,11.91,10.47,7.97,7.81,9.47,10.03,9.41,10.31,13.81,16.22,15.97,15.25,16.47,17.22,15.28,13.0,13.0,14.16,13.22,11.12,10.88,12.03,11.94,10.09,9.47,11.81,13.5,13.12,12.5,14.16,15.41,14.06,11.59,12.0,13.91,14.34,13.72,14.81,17.22,18.84,17.75,17.31,19.28,20.59,18.81,16.72,16.84,17.53,16.47,14.66,15.25,17.03,17.34,15.78,16.06,17.78,18.84,17.66,16.62,17.59,18.0,15.84,13.38,13.41,14.38,14.0,12.41,12.69,14.72,15.62,14.34,14.47,16.16,17.31,15.75,14.31,15.28,16.28,14.91,12.34,11.72,12.25,11.66,10.12,10.56,13.41,15.5,15.44,16.31,18.97,20.75,19.34,17.38,17.06,17.53,15.78,13.5,13.06,13.75,13.28,11.06,10.41,12.34,13.38,12.28,11.72,13.31,14.72,13.34,11.22,11.41,12.47,11.97,10.16,10.31,12.06,12.69,11.44,11.09,12.97,13.91,11.66,9.41,9.34,9.62,7.31,4.41,4.03,4.44,3.28,0.97,0.94,2.91,4.38,4.09,5.16,8.03,10.56,9.56,7.91,7.66,7.78,5.34,2.53,2.34,4.03,5.06,4.78,6.31,9.5,11.91,11.56,11.28,12.53,13.09,10.28,6.88,6.16,6.12,5.03,3.41,4.5,7.31,8.62,7.56,7.28,8.41,8.31,5.75,3.75,4.69,6.81,6.97,7.16,9.5,12.53,13.09,11.53,11.56,13.12,14.0,12.91,13.19,15.41,16.81,15.12,13.44,13.53,14.31,12.78,10.97,11.12,12.78,13.25,12.19,12.47,14.28,15.31,13.72,12.5,13.5,14.34,12.56,10.44,11.19,13.56,14.16,14.38,16.41,19.62,20.72,19.62,19.31,20.59,21.16,19.12,17.47,17.94,18.22,16.38,14.12,14.62,16.34,16.0,14.88,15.53,18.09,19.75,20.0,21.56,24.62,26.88,25.78,24.53,25.06,25.91,24.66,22.97,23.16,24.03,23.0,20.09,18.19,17.91,16.69,13.78,12.06,12.91,14.03,12.81,11.53,12.19,13.34,12.19,10.75,11.28,13.47,14.62,14.09,14.69,16.84,17.88,16.66,15.53,16.75,17.91,16.28,14.69,15.0,16.31,16.16,15.22,15.84,18.22,18.5,16.88,15.78,17.12,17.81,17.0,16.56,18.94,21.62,21.72,21.12,21.88,23.81,23.75,22.69,23.34,26.0,27.22,25.91,25.22,25.78,25.88,23.56,21.25,21.12,22.0,20.91,19.03,19.03,20.59,20.53,19.03,19.16,21.34,22.75,21.97,21.16,22.59,23.19,21.47,19.34,18.88,19.34,18.16,16.19,15.81,17.31,17.69,16.31,16.22,18.47,20.0,19.44,18.84,20.12,21.59,20.28,18.66,18.94,20.44,20.59,19.69,20.0,22.09,22.5,20.88,19.03,19.25,19.66,18.12,16.81,18.38,20.62,21.03,20.62,21.84,24.5,25.59,24.91,25.09,26.47,26.34,23.28,20.28,19.25,18.59,16.28,14.44,15.34,17.91,18.91,18.81,20.53,23.47,24.56,23.28,22.34,23.16,22.75,20.41,17.62,17.25,17.06,15.38,13.38,14.0,16.59,17.22,16.62,16.94,18.56,18.5,16.22,15.09,16.38,17.62,17.34,17.12,19.09,21.56,22.09,22.03,23.69,26.94,28.16,27.5,27.91,29.31,29.5,27.34,25.28,25.66,25.78,24.12,22.38,23.16,24.5,24.16,22.44,22.84,24.56,24.78,23.34,22.66,23.62,23.47,21.69,19.97,21.34,22.75,22.34,21.44,23.03,25.25,25.88,25.16,25.53,27.69,28.72,28.12,28.44,31.06,32.91,32.12,30.44,30.12,29.97,26.81,22.81,20.88,20.47,19.31,17.69,17.75,19.19,20.5,19.0,18.44,20.56,23.16,23.41,23.62,25.72,27.25,26.34,23.62,22.12,21.84,20.78,18.47,17.72,19.12,20.28,19.38,18.88,20.94,23.12,23.19,22.81,24.5,26.38,25.97,24.06,23.44,24.09,24.03,22.41,22.0,23.56,24.78,23.75,22.72,24.19,26.44,26.16,25.0,25.81,27.56,27.62,25.88,26.06,27.91,28.84,27.88,27.44,28.97,30.31,28.72,27.09,27.56,28.94,28.41,26.38,26.62,28.31,28.81,27.72,28.0,30.0,30.97,29.28,28.0,29.25,31.28,31.44,31.22,33.12,35.59,35.41,33.44,33.09,33.88,33.75,31.5,30.25,30.88,31.12,28.66,26.47,27.19,28.62,28.31,28.0,29.56,32.78,34.53,34.56,35.91,38.06,38.94,37.31,36.75,38.25,40.09,39.19,37.56,37.47,37.53,34.97,31.28,29.97,30.47,29.41,27.28,26.53,27.31,27.12,24.41,21.72,20.91,20.94,18.84,17.72,20.0,23.44,25.62,26.41,28.75,31.94,33.5,33.16,33.72,35.81,37.22,35.75,33.81,33.66,33.62,31.06,27.62,26.34,26.19,24.28,20.81,18.94,18.91,18.0,15.81,15.28,17.0,18.81,17.91,16.59,17.22,18.62,17.88,17.34,18.81,22.12,24.06,24.78,26.66,30.31,32.81,32.28,32.0,33.59,35.06,34.0,33.09,34.56,37.34,37.34,35.78,35.56,35.91,34.03,29.16,25.12,22.94,20.06,15.88,12.94,13.62,15.31,15.12,15.12,17.53,21.53,24.03,25.28,27.97,31.75,33.31,32.41,31.72,33.38,34.44,32.97,31.34,32.09,33.28,32.03,30.31,30.34,31.62,30.56,28.12,26.56,26.97,26.72,24.47,22.91,23.16,23.22,20.12,16.88,16.34,17.25,16.5,16.28,18.44,22.81,25.62,26.59,27.94,31.0,33.41,33.5,34.0,37.03,39.38,38.19,35.53,34.78,35.47,34.28,32.31,31.78,32.66,31.69,28.41,25.81,25.69,25.53,23.25,21.34,22.19,24.0,23.66,23.16,25.19,29.0,31.19,32.44,34.25,37.62,38.59,36.69,34.78,34.12,32.75,28.38,24.31,22.78,22.16,20.12,17.72,17.56,19.34,20.09,19.25,19.5,21.72,22.41,20.59,19.41,20.38,21.5,19.88,18.28,19.09,21.31,22.16,22.38,24.47,28.41,30.69,30.78,31.25,33.34,33.56,31.12,28.03,27.66,27.81,26.41,25.5,27.03,30.19,30.88,30.66,31.72,34.19,35.28,34.56,33.84,35.09,35.44,33.12,30.94,31.59,32.84,31.81,30.31,31.09,33.5,34.5,34.19,34.91,37.62,38.84,37.44,36.34,38.03,38.91,37.0,34.5,33.75,33.5,31.25,28.44,27.59,28.94,29.12,27.44,27.12,28.84,29.56,27.94,26.31,26.69,27.0,25.0,23.03,23.66,25.66,25.81,25.16,26.28,29.66,31.81,32.34,33.84,37.16,39.47,38.69,37.44,38.31,39.62,39.03,37.62,38.19,39.5,38.34,35.47,33.53,33.47,32.72,30.22,28.88,30.06,31.59,30.69,29.41,29.94,30.84,29.5,26.72,26.09,26.94,26.38,24.28,23.88,26.5,28.12,28.16,28.38,30.78,32.59,31.91,30.31,30.97,32.28,31.34,28.56,27.41,28.0,27.31,25.19,24.22,25.66,26.12,24.28,22.47,22.78,23.0,21.0,18.47,17.91,18.41,17.62,15.34,14.97,17.0,17.84,17.22,17.59,20.78,23.59,23.69,24.09,27.22,30.34,31.56,31.47,32.94,34.84,34.62,32.5,32.03,33.34,34.0,31.94,29.91,29.91,29.16,26.03,22.75,21.88,22.12,20.59,18.41,18.03,19.34,19.5,17.94,17.66,20.16,21.88,21.59,21.03,22.59,23.22,21.0,17.88,16.88,17.0,16.06,14.44,15.0,17.22,18.44,17.03,16.47,18.41,20.0,19.88,19.81,22.28,24.56,24.12,22.94,23.44,25.0,25.12,23.34,22.75,23.53,23.5,21.06,19.78,20.72,21.94,20.78,19.06,20.19,21.62,21.41,20.5,21.97,24.94,26.88,26.69,27.47,29.69,30.88,29.25,27.5,27.44,27.25,24.75,21.94,21.62,22.34,21.47,18.94,18.09,18.94,18.47,16.78,16.59,18.56,20.75,20.34,19.81,21.28,22.75,21.34,19.28,19.97,21.5,21.81,20.94,21.84,23.62,24.53,23.0,22.12,23.62,25.41,24.78,24.09,25.78,27.38,26.88,24.75,24.72,37.34,36.34,36.47,37.88,38.62,37.66,37.0,37.78,38.69,38.03,37.81,39.66,42.19,43.75,44.69,46.38,48.41,48.81,47.12,45.41,44.31,42.56,38.66,35.25,33.53,31.84,29.06,26.88,26.09,26.81,26.66,26.41,27.44,30.75,33.62,34.91,37.03,40.22,42.56,42.91,43.62,46.31:negativity
35.66,32.91,29.97,28.59,28.47,27.69,25.62,23.62,22.81,21.47,19.16,17.25,17.72,18.81,18.81,18.88,20.38,22.44,22.62,21.72,21.12,21.41,20.5,18.78,17.94,19.03,20.19,20.56,21.16,23.34,25.44,26.25,26.78,29.09,32.16,34.44,35.16,36.5,38.28,39.19,38.59,38.5,39.91,41.12,40.94,40.62,41.81,43.53,44.44,44.69,45.91,47.03,46.44,44.19,42.25,40.72,39.0,36.06,33.44,32.84,32.44,31.38,30.91,32.22,34.28,35.44,35.97,37.53,39.91,40.91,40.5,40.53,40.97,41.12,39.44,38.19,38.47,38.19,36.0,33.0,31.31,29.62,26.88,23.94,22.78,22.94,23.16,23.62,25.62,28.69,32.06,33.28,34.0,35.44,36.16,35.44,33.88,33.47,34.03,33.5,32.66,33.06,34.12,33.97,32.66,31.75,31.91,31.47,29.69,27.38,26.28,25.53,23.97,23.09,24.44,26.84,28.5,29.03,30.0,31.59,32.03,31.19,30.62,31.06,31.31,30.12,28.78,29.0,29.44,28.81,27.53,27.75,28.12,27.31,25.25,24.75,25.06,25.31,24.53,24.31,25.53,26.66,26.28,25.88,27.16,28.25,27.75,26.69,26.91,27.72,27.25,25.47,24.31,23.88,23.06,21.72,21.44,23.09,25.12,26.06,26.31,27.84,29.41,29.38,28.38,29.06,30.53,31.84,31.91,32.81,34.09,34.53,33.41,32.31,32.88,33.56,32.53,30.88,30.66,30.34,28.78,26.38,25.22,24.91,23.62,21.44,20.28,20.44,20.25,19.06,18.12,18.72,19.59,19.53,19.34,20.84,22.78,23.31,22.34,21.81,21.25,19.72,17.34,15.84,16.31,17.84,19.0,20.38,23.47,26.91,28.59,29.25,31.53,33.97,35.34,35.09,34.97,34.75,33.66,30.53,27.5,25.94,24.44,21.66,19.5,19.28,20.5,20.78,20.91,22.38,24.56,25.5,25.38,25.94,28.06,30.0,30.56,31.78,33.91,34.94,33.75,31.53,30.88,30.38,28.41,26.38,25.34,25.12,23.97,22.0,21.47,22.28,23.16,22.81,22.75,23.91,24.69,23.56,22.25,22.12,23.03,22.84,22.25,23.34,25.31,25.97,25.72,26.41,27.91,29.19,28.53,27.75,27.81,27.5,24.72,21.94,20.47,20.44,20.03,20.09,22.12,25.72,28.75,29.53,30.19,30.88,29.38,25.41,21.0,17.78,15.69,13.16,12.06,13.69,16.97,19.66,21.72,24.47,27.94,30.44,31.62,32.88,35.12,36.34,34.78,32.44,30.75,29.5,27.19,25.44,25.25,25.84,24.41,20.91,17.22,14.28,10.62,6.5,4.44,4.84,7.59,10.0,13.88,19.53,25.66,29.44,32.03,35.03,37.78,39.06,38.59,38.16,38.22,36.97,33.53,30.5,28.31,26.12,22.84,20.19,18.72,17.94,15.69,12.34,10.31,9.34,7.75,5.78,5.31,6.31,7.34,7.81,9.06,12.25,16.12,18.03,19.94,22.66,25.0,25.22,23.62,22.66,22.34,21.12,19.0,18.06,18.5,18.72,17.44,16.25,16.69,16.94,15.53,13.56,13.28,13.31,12.38,11.19,11.25,12.25,12.56,12.0,12.44,14.0,15.5,15.34,15.38,16.97,18.91,19.31,20.03,21.97,24.88,26.31,25.94,25.75,25.62,24.34,20.94,18.22,17.53,16.88,15.28,13.06,12.5,12.12,10.06,8.28,8.91,11.19,12.88,13.66,15.34,17.56,18.97,18.97,19.06,20.44,21.59,20.81,19.78,20.28,21.38,21.19,20.66,21.75,23.72,24.34,24.06,24.16,25.09,25.28,23.78,22.03,21.5,20.16,16.62,12.75,10.5,9.47,7.53,6.5,7.53,10.03,12.25,13.88,16.09,19.03,21.06,20.81,20.47,21.12,21.75,20.84,19.88,20.0,20.94,20.75,19.94,19.91,20.78,20.34,18.97,18.88,20.38,22.75,24.56,26.5,29.06,30.81,29.47,26.84,25.22,24.66,23.5,22.19,21.91,22.75,22.09,19.75,18.25,18.56,18.97,18.53,18.59,20.41,21.94,21.75,21.09,21.97,23.5,23.62,23.31,23.78,25.44,26.16,25.69,25.78,26.94,27.88,27.0,25.5,25.81,26.62,25.97,25.66,26.69,28.66,29.5,29.53,29.78,31.66,32.94,33.06,33.75,35.91,37.75,37.53,37.0,38.28,40.06,40.16,39.81,39.53,39.53,37.44,34.34,31.5,30.31,29.06,26.44,24.56,24.28,24.81,23.78,22.69,23.25,24.62,24.19,23.0,22.88,23.84,24.0,23.5,23.62,25.53,26.59,26.12,25.91,27.12,28.06,27.16,25.88,25.19,24.88,23.31,21.41,20.56,21.25,20.38,18.69,18.22,19.62,21.16,21.62,22.38,24.53,26.5,27.12,27.22,28.72,30.44,30.53,29.03,27.84,26.97,25.22,22.44,20.5,20.41,20.03,18.34,16.66,16.84,17.91,17.81,17.75,19.31,21.56,22.0,20.78,20.22,20.62,20.12,18.84,18.31,19.56,20.62,20.0,19.47,20.97,22.94,23.38,23.5,25.16,27.31,27.84,27.09,26.66,27.03,26.22,24.22,22.75,23.31,23.72,22.91,21.78,22.25,22.78,21.38,19.44,18.97,19.94,20.22,19.97,21.38,23.88,25.22,24.94,23.69,23.44,22.03,18.66,14.28,12.0,10.91,9.25,7.97,8.62,10.66,11.72,11.25,11.25,12.56,13.91,14.0,14.91,17.78,20.38,21.44,21.03,21.09,21.47,19.62,17.03,15.97,16.31,16.66,15.84,16.28,17.72,18.81,18.53,18.31,20.19,22.5,23.31,23.34,24.34,25.84,25.56,24.5,24.28,25.59,25.81,24.84,24.34,25.25,25.66,24.03,22.19,21.62,21.56,19.62,17.78,17.88,18.72,18.31,17.09,16.78,17.41,17.72,17.19,18.03,21.0,24.16,25.81,27.59,30.16,32.12,31.59,29.62,28.62,28.5,26.91,24.72,23.59,24.03,23.59,22.28,21.44,22.44,23.25,22.44,21.5,22.94,24.22,24.91,24.94,26.22,28.66,29.78,29.44,29.59,30.62,30.31,27.97,26.41,26.56,26.84,26.31,25.78,27.19,29.25,30.0,29.72,30.69,31.97,31.34,29.38,27.81,27.56,26.66,24.38,22.75,22.91,23.16,22.06,20.56,20.56,21.28,20.53,18.84,18.5,19.25,18.88,17.66,17.75,19.34,20.75,20.78,20.59,21.16,21.72,20.28,17.88,17.62,17.97,17.69,16.97,17.97,20.56,22.47,22.97,23.72,25.94,27.09,26.62,25.84,27.19,28.84,28.94,28.34,28.84,29.34,28.47,26.44,25.97,27.34,28.62,28.44,28.75,30.12,30.62,28.72,26.44,25.72,25.53,24.53,23.78,25.38,28.0,29.38,28.62,28.28,28.12,27.62,26.06,25.56,26.59,27.56,26.97,25.88,26.03,26.62,26.06,25.28,25.94,26.97,27.62,26.78,26.22,26.78,26.72,24.56,23.03,23.66,24.31,24.56,25.16,27.25,29.56,29.88,29.06,29.16,30.0,30.47,30.0,30.16,30.97,31.03,28.84,27.19,27.47,27.78,27.47,26.5,27.06,27.62,26.88,25.19,24.72,25.12,24.84,23.12,21.97,22.34,22.69,21.59,20.72,21.47,22.22,21.5,20.56,21.78,23.56,24.19,23.59,23.5,24.47,24.41,23.34,23.78,25.66,27.5,27.75,27.81,28.97,29.47,28.72,27.12,27.31,28.59,28.94,28.41,28.78,30.22,30.66,29.62,29.16,30.5,32.06,31.5,31.12,31.84,32.84,31.94,29.94,29.09,28.53,26.94,25.0,24.19,25.12,26.5,26.09,26.28,27.09,27.59,26.0,23.88,23.47,23.88,23.75,23.28,24.53,26.69,28.12,28.09,28.78,30.5,31.78,31.62,31.62,32.81,33.56,32.62,30.97,30.53,30.56,29.25,26.91,26.03,26.06,25.91,25.41,26.34,29.0,31.31,31.62,31.69,32.97,33.88,32.56,31.06,31.09,31.16,30.19,28.88,29.0,30.22,30.91,30.28,30.66,32.47,33.91,33.53,33.25,33.88,34.84,33.88,32.66,32.97,33.78,33.5,32.69,33.19,34.62,35.34,34.72,34.34,34.88,34.88,32.97,31.25,30.75,31.16,30.62,30.41,31.75,33.81,34.97,34.38,34.38,35.31,35.09,32.91,31.03,30.78,30.38,29.03,27.88,28.53,29.28,28.59,27.19,26.91,27.72,27.97,27.69,28.5,30.62,32.38,32.22,32.12,32.94,33.12,31.38,29.47,28.94,29.38,28.47,27.03,26.72,27.09,26.66,25.06,23.97,24.41,24.66,23.16,22.03,22.41,22.72,21.38,20.34,20.75,22.75,23.75,24.53,26.44,29.16,31.22,31.91,32.62,33.91,34.5,33.38,31.56,30.84,30.5,28.44,26.25,25.69,26.28,26.28,25.81,26.62,28.59,29.72,29.59,30.03,31.16,32.06,30.81,29.78,30.22,31.34,31.09,30.78,31.53,32.75,32.56,31.44,31.0,31.72,31.72,30.62,29.69,30.0,29.97,27.78,25.62,24.5,24.25,23.41,22.91,23.88,25.94,26.72,26.38,25.94,26.62,27.0,26.38,26.66,28.75,30.72,31.0,30.38,30.78,30.88,29.38,27.12,25.81,25.69,24.62,23.09,22.81,24.25,25.25,24.59,24.25,24.34,24.38,22.25,20.03,19.41,19.72,19.22,18.88,19.75,22.19,23.62,24.06,24.38,25.75,26.62,25.25,24.06,24.41,25.19,24.47,23.31,23.88,25.12,25.25,24.62,25.19,26.66,27.31,26.22,25.5,26.06,25.91,24.12,22.09,21.47,21.47,20.62,19.47,20.28,22.19,22.84,22.62,23.25,24.88,25.34,24.34,23.38,23.94,24.34:23.62,22.81,21.47,19.16,17.25,17.72,18.81,18.81,18.88,20.38,22.44,22.62,21.72,21.12,21.41,20.5,18.78,17.94,19.03,20.19,20.56,21.16,23.34,25.44,26.25,26.78,29.09,32.16,34.44,35.16,36.5,38.28,39.19,38.59,38.5,39.91,41.12,40.94,40.62,41.81,43.53,44.44,44.69,45.91,47.03,46.44,44.19,42.25,40.72,39.0,36.06,33.44,32.84,32.44,31.38,30.91,32.22,34.28,35.44,35.97,37.53,39.91,40.91,40.5,40.53,40.97,41.12,39.44,38.19,38.47,38.19,36.0,33.0,31.31,29.62,26.88,23.94,22.78,22.94,23.16,23.62,25.62,28.69,32.06,33.28,34.0,35.44,36.16,35.44,33.88,33.47,34.03,33.5,32.66,33.06,34.12,33.97,32.66,31.75,31.91,31.47,29.69,27.38,26.28,25.53,23.97,23.09,24.44,26.84,28.5,29.03,30.0,31.59,32.03,31.19,30.62,31.06,31.31,30.12,28.78,29.0,29.44,28.81,27.53,27.75,28.12,27.31,25.25,24.75,25.06,25.31,24.53,24.31,25.53,26.66,26.28,25.88,27.16,28.25,27.75,26.69,26.91,27.72,27.25,25.47,24.31,23.88,23.06,21.72,21.44,23.09,25.12,26.06,26.31,27.84,29.41,29.38,28.38,29.06,30.53,31.84,31.91,32.81,34.09,34.53,33.41,32.31,32.88,33.56,32.53,30.88,30.66,30.34,28.78,26.38,25.22,24.91,23.62,21.44,20.28,20.44,20.25,19.06,18.12,18.72,19.59,19.53,19.34,20.84,22.78,23.31,22.34,21.81,21.25,19.72,17.34,15.84,16.31,17.84,19.0,20.38,23.47,26.91,28.59,29.25,31.53,33.97,35.34,35.09,34.97,34.75,33.66,30.53,27.5,25.94,24.44,21.66,19.5,19.28,20.5,20.78,20.91,22.38,24.56,25.5,25.38,25.94,28.06,30.0,30.56,31.78,33.91,34.94,33.75,31.53,30.88,30.38,28.41,26.38,25.34,25.12,23.97,22.0,21.47,22.28,23.16,22.81,22.75,23.91,24.69,23.56,22.25,22.12,23.03,22.84,22.25,23.34,25.31,25.97,25.72,26.41,27.91,29.19,28.53,27.75,27.81,27.5,24.72,21.94,20.47,20.44,20.03,20.09,22.12,25.72,28.75,29.53,30.19,30.88,29.38,25.41,21.0,17.78,15.69,13.16,12.06,13.69,16.97,19.66,21.72,24.47,27.94,30.44,31.62,32.88,35.12,36.34,34.78,32.44,30.75,29.5,27.19,25.44,25.25,25.84,24.41,20.91,17.22,14.28,10.62,6.5,4.44,4.84,7.59,10.0,13.88,19.53,25.66,29.44,32.03,35.03,37.78,39.06,38.59,38.16,38.22,36.97,33.53,30.5,28.31,26.12,22.84,20.19,18.72,17.94,15.69,12.34,10.31,9.34,7.75,5.78,5.31,6.31,7.34,7.81,9.06,12.25,16.12,18.03,19.94,22.66,25.0,25.22,23.62,22.66,22.34,21.12,19.0,18.06,18.5,18.72,17.44,16.25,16.69,16.94,15.53,13.56,13.28,13.31,12.38,11.19,11.25,12.25,12.56,12.0,12.44,14.0,15.5,15.34,15.38,16.97,18.91,19.31,20.03,21.97,24.88,26.31,25.94,25.75,25.62,24.34,20.94,18.22,17.53,16.88,15.28,13.06,12.5,12.12,10.06,8.28,8.91,11.19,12.88,13.66,15.34,17.56,18.97,18.97,19.06,20.44,21.59,20.81,19.78,20.28,21.38,21.19,20.66,21.75,23.72,24.34,24.06,24.16,25.09,25.28,23.78,22.03,21.5,20.16,16.62,12.75,10.5,9.47,7.53,6.5,7.53,10.03,12.25,13.88,16.09,19.03,21.06,20.81,20.47,21.12,21.75,20.84,19.88,20.0,20.94,20.75,19.94,19.91,20.78,20.34,18.97,18.88,20.38,22.75,24.56,26.5,29.06,30.81,29.47,26.84,25.22,24.66,23.5,22.19,21.91,22.75,22.09,19.75,18.25,18.56,18.97,18.53,18.59,20.41,21.94,21.75,21.09,21.97,23.5,23.62,23.31,23.78,25.44,26.16,25.69,25.78,26.94,27.88,27.0,25.5,25.81,26.62,25.97,25.66,26.69,28.66,29.5,29.53,29.78,31.66,32.94,33.06,33.75,35.91,37.75,37.53,37.0,38.28,40.06,40.16,39.81,39.53,39.53,37.44,34.34,31.5,30.31,29.06,26.44,24.56,24.28,24.81,23.78,22.69,23.25,24.62,24.19,23.0,22.88,23.84,24.0,23.5,23.62,25.53,26.59,26.12,25.91,27.12,28.06,27.16,25.88,25.19,24.88,23.31,21.41,20.56,21.25,20.38,18.69,18.22,19.62,21.16,21.62,22.38,24.53,26.5,27.12,27.22,28.72,30.44,30.53,29.03,27.84,26.97,25.22,22.44,20.5,20.41,20.03,18.34,16.66,16.84,17.91,17.81,17.75,19.31,21.56,22.0,20.78,20.22,20.62,20.12,18.84,18.31,19.56,20.62,20.0,19.47,20.97,22.94,23.38,23.5,25.16,27.31,27.84,27.09,26.66,27.03,26.22,24.22,22.75,23.31,23.72,22.91,21.78,22.25,22.78,21.38,19.44,18.97,19.94,20.22,19.97,21.38,23.88,25.22,24.94,23.69,23.44,22.03,18.66,14.28,12.0,10.91,9.25,7.97,8.62,10.66,11.72,11.25,11.25,12.56,13.91,14.0,14.91,17.78,20.38,21.44,21.03,21.09,21.47,19.62,17.03,15.97,16.31,16.66,15.84,16.28,17.72,18.81,18.53,18.31,20.19,22.5,23.31,23.34,24.34,25.84,25.56,24.5,24.28,25.59,25.81,24.84,24.34,25.25,25.66,24.03,22.19,21.62,21.56,19.62,17.78,17.88,18.72,18.31,17.09,16.78,17.41,17.72,17.19,18.03,21.0,24.16,25.81,27.59,30.16,32.12,31.59,29.62,28.62,28.5,26.91,24.72,23.59,24.03,23.59,22.28,21.44,22.44,23.25,22.44,21.5,22.94,24.22,24.91,24.94,26.22,28.66,29.78,29.44,29.59,30.62,30.31,27.97,26.41,26.56,26.84,26.31,25.78,27.19,29.25,30.0,29.72,30.69,31.97,31.34,29.38,27.81,27.56,26.66,24.38,22.75,22.91,23.16,22.06,20.56,20.56,21.28,20.53,18.84,18.5,19.25,18.88,17.66,17.75,19.34,20.75,20.78,20.59,21.16,21.72,20.28,17.88,17.62,17.97,17.69,16.97,17.97,20.56,22.47,22.97,23.72,25.94,27.09,26.62,25.84,27.19,28.84,28.94,28.34,28.84,29.34,28.47,26.44,25.97,27.34,28.62,28.44,28.75,30.12,30.62,28.72,26.44,25.72,25.53,24.53,23.78,25.38,28.0,29.38,28.62,28.28,28.12,27.62,26.06,25.56,26.59,27.56,26.97,25.88,26.03,26.62,26.06,25.28,25.94,26.97,27.62,26.78,26.22,26.78,26.72,24.56,23.03,23.66,24.31,24.56,25.16,27.25,29.56,29.88,29.06,29.16,30.0,30.47,30.0,30.16,30.97,31.03,28.84,27.19,27.47,27.78,27.47,26.5,27.06,27.62,26.88,25.19,24.72,25.12,24.84,23.12,21.97,22.34,22.69,21.59,20.72,21.47,22.22,21.5,20.56,21.78,23.56,24.19,23.59,23.5,24.47,24.41,23.34,23.78,25.66,27.5,27.75,27.81,28.97,29.47,28.72,27.12,27.31,28.59,28.94,28.41,28.78,30.22,30.66,29.62,29.16,30.5,32.06,31.5,31.12,31.84,32.84,31.94,29.94,29.09,28.53,26.94,25.0,24.19,25.12,26.5,26.09,26.28,27.09,27.59,26.0,23.88,23.47,23.88,23.75,23.28,24.53,26.69,28.12,28.09,28.78,30.5,31.78,31.62,31.62,32.81,33.56,32.62,30.97,30.53,30.56,29.25,26.91,26.03,26.06,25.91,25.41,26.34,29.0,31.31,31.62,31.69,32.97,33.88,32.56,31.06,31.09,31.16,30.19,28.88,29.0,30.22,30.91,30.28,30.66,32.47,33.91,33.53,33.25,33.88,34.84,33.88,32.66,32.97,33.78,33.5,32.69,33.19,34.62,35.34,34.72,34.34,34.88,34.88,32.97,31.25,30.75,31.16,30.62,30.41,31.75,33.81,34.97,34.38,34.38,35.31,35.09,32.91,31.03,30.78,30.38,29.03,27.88,28.53,29.28,28.59,27.19,26.91,27.72,27.97,27.69,28.5,30.62,32.38,32.22,32.12,32.94,33.12,31.38,29.47,28.94,29.38,28.47,27.03,26.72,27.09,26.66,25.06,23.97,24.41,24.66,23.16,22.03,22.41,22.72,21.38,20.34,20.75,22.75,23.75,24.53,26.44,29.16,31.22,31.91,32.62,33.91,34.5,33.38,31.56,30.84,30.5,28.44,26.25,25.69,26.28,26.28,25.81,26.62,28.59,29.72,29.59,30.03,31.16,32.06,30.81,29.78,30.22,31.34,31.09,30.78,31.53,32.75,32.56,31.44,31.0,31.72,31.72,30.62,29.69,30.0,29.97,27.78,25.62,24.5,24.25,23.41,22.91,23.88,25.94,26.72,26.38,25.94,26.62,27.0,26.38,26.66,28.75,30.72,31.0,30.38,30.78,30.88,29.38,27.12,25.81,25.69,24.62,23.09,22.81,24.25,25.25,24.59,24.25,24.34,24.38,22.25,20.03,19.41,19.72,19.22,18.88,19.75,22.19,23.62,24.06,24.38,25.75,26.62,25.25,24.06,24.41,25.19,24.47,23.31,23.88,25.12,25.25,24.62,25.19,26.66,27.31,26.22,25.5,26.06,25.91,24.12,22.09,21.47,21.47,20.62,19.47,20.28,22.19,22.84,22.62,23.25,24.88,25.34,24.34,23.38,23.94,24.34,52.34,49.03,45.41,41.12,36.91,33.44,30.53:18.81,18.88,20.38,22.44,22.62,21.72,21.12,21.41,20.5,18.78,17.94,19.03,20.19,20.56,21.16,23.34,25.44,26.25,26.78,29.09,32.16,34.44,35.16,36.5,38.28,39.19,38.59,38.5,39.91,41.12,40.94,40.62,41.81,43.53,44.44,44.69,45.91,47.03,46.44,44.19,42.25,40.72,39.0,36.06,33.44,32.84,32.44,31.38,30.91,32.22,34.28,35.44,35.97,37.53,39.91,40.91,40.5,40.53,40.97,41.12,39.44,38.19,38.47,38.19,36.0,33.0,31.31,29.62,26.88,23.94,22.78,22.94,23.16,23.62,25.62,28.69,32.06,33.28,34.0,35.44,36.16,35.44,33.88,33.47,34.03,33.5,32.66,33.06,34.12,33.97,32.66,31.75,31.91,31.47,29.69,27.38,26.28,25.53,23.97,23.09,24.44,26.84,28.5,29.03,30.0,31.59,32.03,31.19,30.62,31.06,31.31,30.12,28.78,29.0,29.44,28.81,27.53,27.75,28.12,27.31,25.25,24.75,25.06,25.31,24.53,24.31,25.53,26.66,26.28,25.88,27.16,28.25,27.75,26.69,26.91,27.72,27.25,25.47,24.31,23.88,23.06,21.72,21.44,23.09,25.12,26.06,26.31,27.84,29.41,29.38,28.38,29.06,30.53,31.84,31.91,32.81,34.09,34.53,33.41,32.31,32.88,33.56,32.53,30.88,30.66,30.34,28.78,26.38,25.22,24.91,23.62,21.44,20.28,20.44,20.25,19.06,18.12,18.72,19.59,19.53,19.34,20.84,22.78,23.31,22.34,21.81,21.25,19.72,17.34,15.84,16.31,17.84,19.0,20.38,23.47,26.91,28.59,29.25,31.53,33.97,35.34,35.09,34.97,34.75,33.66,30.53,27.5,25.94,24.44,21.66,19.5,19.28,20.5,20.78,20.91,22.38,24.56,25.5,25.38,25.94,28.06,30.0,30.56,31.78,33.91,34.94,33.75,31.53,30.88,30.38,28.41,26.38,25.34,25.12,23.97,22.0,21.47,22.28,23.16,22.81,22.75,23.91,24.69,23.56,22.25,22.12,23.03,22.84,22.25,23.34,25.31,25.97,25.72,26.41,27.91,29.19,28.53,27.75,27.81,27.5,24.72,21.94,20.47,20.44,20.03,20.09,22.12,25.72,28.75,29.53,30.19,30.88,29.38,25.41,21.0,17.78,15.69,13.16,12.06,13.69,16.97,19.66,21.72,24.47,27.94,30.44,31.62,32.88,35.12,36.34,34.78,32.44,30.75,29.5,27.19,25.44,25.25,25.84,24.41,20.91,17.22,14.28,10.62,6.5,4.44,4.84,7.59,10.0,13.88,19.53,25.66,29.44,32.03,35.03,37.78,39.06,38.59,38.16,38.22,36.97,33.53,30.5,28.31,26.12,22.84,20.19,18.72,17.94,15.69,12.34,10.31,9.34,7.75,5.78,5.31,6.31,7.34,7.81,9.06,12.25,16.12,18.03,19.94,22.66,25.0,25.22,23.62,22.66,22.34,21.12,19.0,18.06,18.5,18.72,17.44,16.25,16.69,16.94,15.53,13.56,13.28,13.31,12.38,11.19,11.25,12.25,12.56,12.0,12.44,14.0,15.5,15.34,15.38,16.97,18.91,19.31,20.03,21.97,24.88,26.31,25.94,25.75,25.62,24.34,20.94,18.22,17.53,16.88,15.28,13.06,12.5,12.12,10.06,8.28,8.91,11.19,12.88,13.66,15.34,17.56,18.97,18.97,19.06,20.44,21.59,20.81,19.78,20.28,21.38,21.19,20.66,21.75,23.72,24.34,24.06,24.16,25.09,25.28,23.78,22.03,21.5,20.16,16.62,12.75,10.5,9.47,7.53,6.5,7.53,10.03,12.25,13.88,16.09,19.03,21.06,20.81,20.47,21.12,21.75,20.84,19.88,20.0,20.94,20.75,19.94,19.91,20.78,20.34,18.97,18.88,20.38,22.75,24.56,26.5,29.06,30.81,29.47,26.84,25.22,24.66,23.5,22.19,21.91,22.75,22.09,19.75,18.25,18.56,18.97,18.53,18.59,20.41,21.94,21.75,21.09,21.97,23.5,23.62,23.31,23.78,25.44,26.16,25.69,25.78,26.94,27.88,27.0,25.5,25.81,26.62,25.97,25.66,26.69,28.66,29.5,29.53,29.78,31.66,32.94,33.06,33.75,35.91,37.75,37.53,37.0,38.28,40.06,40.16,39.81,39.53,39.53,37.44,34.34,31.5,30.31,29.06,26.44,24.56,24.28,24.81,23.78,22.69,23.25,24.62,24.19,23.0,22.88,23.84,24.0,23.5,23.62,25.53,26.59,26.12,25.91,27.12,28.06,27.16,25.88,25.19,24.88,23.31,21.41,20.56,21.25,20.38,18.69,18.22,19.62,21.16,21.62,22.38,24.53,26.5,27.12,27.22,28.72,30.44,30.53,29.03,27.84,26.97,25.22,22.44,20.5,20.41,20.03,18.34,16.66,16.84,17.91,17.81,17.75,19.31,21.56,22.0,20.78,20.22,20.62,20.12,18.84,18.31,19.56,20.62,20.0,19.47,20.97,22.94,23.38,23.5,25.16,27.31,27.84,27.09,26.66,27.03,26.22,24.22,22.75,23.31,23.72,22.91,21.78,22.25,22.78,21.38,19.44,18.97,19.94,20.22,19.97,21.38,23.88,25.22,24.94,23.69,23.44,22.03,18.66,14.28,12.0,10.91,9.25,7.97,8.62,10.66,11.72,11.25,11.25,12.56,13.91,14.0,14.91,17.78,20.38,21.44,21.03,21.09,21.47,19.62,17.03,15.97,16.31,16.66,15.84,16.28,17.72,18.81,18.53,18.31,20.19,22.5,23.31,23.34,24.34,25.84,25.56,24.5,24.28,25.59,25.81,24.84,24.34,25.25,25.66,24.03,22.19,21.62,21.56,19.62,17.78,17.88,18.72,18.31,17.09,16.78,17.41,17.72,17.19,18.03,21.0,24.16,25.81,27.59,30.16,32.12,31.59,29.62,28.62,28.5,26.91,24.72,23.59,24.03,23.59,22.28,21.44,22.44,23.25,22.44,21.5,22.94,24.22,24.91,24.94,26.22,28.66,29.78,29.44,29.59,30.62,30.31,27.97,26.41,26.56,26.84,26.31,25.78,27.19,29.25,30.0,29.72,30.69,31.97,31.34,29.38,27.81,27.56,26.66,24.38,22.75,22.91,23.16,22.06,20.56,20.56,21.28,20.53,18.84,18.5,19.25,18.88,17.66,17.75,19.34,20.75,20.78,20.59,21.16,21.72,20.28,17.88,17.62,17.97,17.69,16.97,17.97,20.56,22.47,22.97,23.72,25.94,27.09,26.62,25.84,27.19,28.84,28.94,28.34,28.84,29.34,28.47,26.44,25.97,27.34,28.62,28.44,28.75,30.12,30.62,28.72,26.44,25.72,25.53,24.53,23.78,25.38,28.0,29.38,28.62,28.28,28.12,27.62,26.06,25.56,26.59,27.56,26.97,25.88,26.03,26.62,26.06,25.28,25.94,26.97,27.62,26.78,26.22,26.78,26.72,24.56,23.03,23.66,24.31,24.56,25.16,27.25,29.56,29.88,29.06,29.16,30.0,30.47,30.0,30.16,30.97,31.03,28.84,27.19,27.47,27.78,27.47,26.5,27.06,27.62,26.88,25.19,24.72,25.12,24.84,23.12,21.97,22.34,22.69,21.59,20.72,21.47,22.22,21.5,20.56,21.78,23.56,24.19,23.59,23.5,24.47,24.41,23.34,23.78,25.66,27.5,27.75,27.81,28.97,29.47,28.72,27.12,27.31,28.59,28.94,28.41,28.78,30.22,30.66,29.62,29.16,30.5,32.06,31.5,31.12,31.84,32.84,31.94,29.94,29.09,28.53,26.94,25.0,24.19,25.12,26.5,26.09,26.28,27.09,27.59,26.0,23.88,23.47,23.88,23.75,23.28,24.53,26.69,28.12,28.09,28.78,30.5,31.78,31.62,31.62,32.81,33.56,32.62,30.97,30.53,30.56,29.25,26.91,26.03,26.06,25.91,25.41,26.34,29.0,31.31,31.62,31.69,32.97,33.88,32.56,31.06,31.09,31.16,30.19,28.88,29.0,30.22,30.91,30.28,30.66,32.47,33.91,33.53,33.25,33.88,34.84,33.88,32.66,32.97,33.78,33.5,32.69,33.19,34.62,35.34,34.72,34.34,34.88,34.88,32.97,31.25,30.75,31.16,30.62,30.41,31.75,33.81,34.97,34.38,34.38,35.31,35.09,32.91,31.03,30.78,30.38,29.03,27.88,28.53,29.28,28.59,27.19,26.91,27.72,27.97,27.69,28.5,30.62,32.38,32.22,32.12,32.94,33.12,31.38,29.47,28.94,29.38,28.47,27.03,26.72,27.09,26.66,25.06,23.97,24.41,24.66,23.16,22.03,22.41,22.72,21.38,20.34,20.75,22.75,23.75,24.53,26.44,29.16,31.22,31.91,32.62,33.91,34.5,33.38,31.56,30.84,30.5,28.44,26.25,25.69,26.28,26.28,25.81,26.62,28.59,29.72,29.59,30.03,31.16,32.06,30.81,29.78,30.22,31.34,31.09,30.78,31.53,32.75,32.56,31.44,31.0,31.72,31.72,30.62,29.69,30.0,29.97,27.78,25.62,24.5,24.25,23.41,22.91,23.88,25.94,26.72,26.38,25.94,26.62,27.0,26.38,26.66,28.75,30.72,31.0,30.38,30.78,30.88,29.38,27.12,25.81,25.69,24.62,23.09,22.81,24.25,25.25,24.59,24.25,24.34,24.38,22.25,20.03,19.41,19.72,19.22,18.88,19.75,22.19,23.62,24.06,24.38,25.75,26.62,25.25,24.06,24.41,25.19,24.47,23.31,23.88,25.12,25.25,24.62,25.19,26.66,27.31,26.22,25.5,26.06,25.91,24.12,22.09,21.47,21.47,20.62,19.47,20.28,22.19,22.84,22.62,23.25,24.88,25.34,24.34,23.38,23.94,24.34,52.34,49.03,45.41,41.12,36.91,33.44,30.53,27.91,26.16,26.12,27.59,29.19,31.5,34.31:21.41,20.5,18.78,17.94,19.03,20.19,20.56,21.16,23.34,25.44,26.25,26.78,29.09,32.16,34.44,35.16,36.5,38.28,39.19,38.59,38.5,39.91,41.12,40.94,40.62,41.81,43.53,44.44,44.69,45.91,47.03,46.44,44.19,42.25,40.72,39.0,36.06,33.44,32.84,32.44,31.38,30.91,32.22,34.28,35.44,35.97,37.53,39.91,40.91,40.5,40.53,40.97,41.12,39.44,38.19,38.47,38.19,36.0,33.0,31.31,29.62,26.88,23.94,22.78,22.94,23.16,23.62,25.62,28.69,32.06,33.28,34.0,35.44,36.16,35.44,33.88,33.47,34.03,33.5,32.66,33.06,34.12,33.97,32.66,31.75,31.91,31.47,29.69,27.38,26.28,25.53,23.97,23.09,24.44,26.84,28.5,29.03,30.0,31.59,32.03,31.19,30.62,31.06,31.31,30.12,28.78,29.0,29.44,28.81,27.53,27.75,28.12,27.31,25.25,24.75,25.06,25.31,24.53,24.31,25.53,26.66,26.28,25.88,27.16,28.25,27.75,26.69,26.91,27.72,27.25,25.47,24.31,23.88,23.06,21.72,21.44,23.09,25.12,26.06,26.31,27.84,29.41,29.38,28.38,29.06,30.53,31.84,31.91,32.81,34.09,34.53,33.41,32.31,32.88,33.56,32.53,30.88,30.66,30.34,28.78,26.38,25.22,24.91,23.62,21.44,20.28,20.44,20.25,19.06,18.12,18.72,19.59,19.53,19.34,20.84,22.78,23.31,22.34,21.81,21.25,19.72,17.34,15.84,16.31,17.84,19.0,20.38,23.47,26.91,28.59,29.25,31.53,33.97,35.34,35.09,34.97,34.75,33.66,30.53,27.5,25.94,24.44,21.66,19.5,19.28,20.5,20.78,20.91,22.38,24.56,25.5,25.38,25.94,28.06,30.0,30.56,31.78,33.91,34.94,33.75,31.53,30.88,30.38,28.41,26.38,25.34,25.12,23.97,22.0,21.47,22.28,23.16,22.81,22.75,23.91,24.69,23.56,22.25,22.12,23.03,22.84,22.25,23.34,25.31,25.97,25.72,26.41,27.91,29.19,28.53,27.75,27.81,27.5,24.72,21.94,20.47,20.44,20.03,20.09,22.12,25.72,28.75,29.53,30.19,30.88,29.38,25.41,21.0,17.78,15.69,13.16,12.06,13.69,16.97,19.66,21.72,24.47,27.94,30.44,31.62,32.88,35.12,36.34,34.78,32.44,30.75,29.5,27.19,25.44,25.25,25.84,24.41,20.91,17.22,14.28,10.62,6.5,4.44,4.84,7.59,10.0,13.88,19.53,25.66,29.44,32.03,35.03,37.78,39.06,38.59,38.16,38.22,36.97,33.53,30.5,28.31,26.12,22.84,20.19,18.72,17.94,15.69,12.34,10.31,9.34,7.75,5.78,5.31,6.31,7.34,7.81,9.06,12.25,16.12,18.03,19.94,22.66,25.0,25.22,23.62,22.66,22.34,21.12,19.0,18.06,18.5,18.72,17.44,16.25,16.69,16.94,15.53,13.56,13.28,13.31,12.38,11.19,11.25,12.25,12.56,12.0,12.44,14.0,15.5,15.34,15.38,16.97,18.91,19.31,20.03,21.97,24.88,26.31,25.94,25.75,25.62,24.34,20.94,18.22,17.53,16.88,15.28,13.06,12.5,12.12,10.06,8.28,8.91,11.19,12.88,13.66,15.34,17.56,18.97,18.97,19.06,20.44,21.59,20.81,19.78,20.28,21.38,21.19,20.66,21.75,23.72,24.34,24.06,24.16,25.09,25.28,23.78,22.03,21.5,20.16,16.62,12.75,10.5,9.47,7.53,6.5,7.53,10.03,12.25,13.88,16.09,19.03,21.06,20.81,20.47,21.12,21.75,20.84,19.88,20.0,20.94,20.75,19.94,19.91,20.78,20.34,18.97,18.88,20.38,22.75,24.56,26.5,29.06,30.81,29.47,26.84,25.22,24.66,23.5,22.19,21.91,22.75,22.09,19.75,18.25,18.56,18.97,18.53,18.59,20.41,21.94,21.75,21.09,21.97,23.5,23.62,23.31,23.78,25.44,26.16,25.69,25.78,26.94,27.88,27.0,25.5,25.81,26.62,25.97,25.66,26.69,28.66,29.5,29.53,29.78,31.66,32.94,33.06,33.75,35.91,37.75,37.53,37.0,38.28,40.06,40.16,39.81,39.53,39.53,37.44,34.34,31.5,30.31,29.06,26.44,24.56,24.28,24.81,23.78,22.69,23.25,24.62,24.19,23.0,22.88,23.84,24.0,23.5,23.62,25.53,26.59,26.12,25.91,27.12,28.06,27.16,25.88,25.19,24.88,23.31,21.41,20.56,21.25,20.38,18.69,18.22,19.62,21.16,21.62,22.38,24.53,26.5,27.12,27.22,28.72,30.44,30.53,29.03,27.84,26.97,25.22,22.44,20.5,20.41,20.03,18.34,16.66,16.84,17.91,17.81,17.75,19.31,21.56,22.0,20.78,20.22,20.62,20.12,18.84,18.31,19.56,20.62,20.0,19.47,20.97,22.94,23.38,23.5,25.16,27.31,27.84,27.09,26.66,27.03,26.22,24.22,22.75,23.31,23.72,22.91,21.78,22.25,22.78,21.38,19.44,18.97,19.94,20.22,19.97,21.38,23.88,25.22,24.94,23.69,23.44,22.03,18.66,14.28,12.0,10.91,9.25,7.97,8.62,10.66,11.72,11.25,11.25,12.56,13.91,14.0,14.91,17.78,20.38,21.44,21.03,21.09,21.47,19.62,17.03,15.97,16.31,16.66,15.84,16.28,17.72,18.81,18.53,18.31,20.19,22.5,23.31,23.34,24.34,25.84,25.56,24.5,24.28,25.59,25.81,24.84,24.34,25.25,25.66,24.03,22.19,21.62,21.56,19.62,17.78,17.88,18.72,18.31,17.09,16.78,17.41,17.72,17.19,18.03,21.0,24.16,25.81,27.59,30.16,32.12,31.59,29.62,28.62,28.5,26.91,24.72,23.59,24.03,23.59,22.28,21.44,22.44,23.25,22.44,21.5,22.94,24.22,24.91,24.94,26.22,28.66,29.78,29.44,29.59,30.62,30.31,27.97,26.41,26.56,26.84,26.31,25.78,27.19,29.25,30.0,29.72,30.69,31.97,31.34,29.38,27.81,27.56,26.66,24.38,22.75,22.91,23.16,22.06,20.56,20.56,21.28,20.53,18.84,18.5,19.25,18.88,17.66,17.75,19.34,20.75,20.78,20.59,21.16,21.72,20.28,17.88,17.62,17.97,17.69,16.97,17.97,20.56,22.47,22.97,23.72,25.94,27.09,26.62,25.84,27.19,28.84,28.94,28.34,28.84,29.34,28.47,26.44,25.97,27.34,28.62,28.44,28.75,30.12,30.62,28.72,26.44,25.72,25.53,24.53,23.78,25.38,28.0,29.38,28.62,28.28,28.12,27.62,26.06,25.56,26.59,27.56,26.97,25.88,26.03,26.62,26.06,25.28,25.94,26.97,27.62,26.78,26.22,26.78,26.72,24.56,23.03,23.66,24.31,24.56,25.16,27.25,29.56,29.88,29.06,29.16,30.0,30.47,30.0,30.16,30.97,31.03,28.84,27.19,27.47,27.78,27.47,26.5,27.06,27.62,26.88,25.19,24.72,25.12,24.84,23.12,21.97,22.34,22.69,21.59,20.72,21.47,22.22,21.5,20.56,21.78,23.56,24.19,23.59,23.5,24.47,24.41,23.34,23.78,25.66,27.5,27.75,27.81,28.97,29.47,28.72,27.12,27.31,28.59,28.94,28.41,28.78,30.22,30.66,29.62,29.16,30.5,32.06,31.5,31.12,31.84,32.84,31.94,29.94,29.09,28.53,26.94,25.0,24.19,25.12,26.5,26.09,26.28,27.09,27.59,26.0,23.88,23.47,23.88,23.75,23.28,24.53,26.69,28.12,28.09,28.78,30.5,31.78,31.62,31.62,32.81,33.56,32.62,30.97,30.53,30.56,29.25,26.91,26.03,26.06,25.91,25.41,26.34,29.0,31.31,31.62,31.69,32.97,33.88,32.56,31.06,31.09,31.16,30.19,28.88,29.0,30.22,30.91,30.28,30.66,32.47,33.91,33.53,33.25,33.88,34.84,33.88,32.66,32.97,33.78,33.5,32.69,33.19,34.62,35.34,34.72,34.34,34.88,34.88,32.97,31.25,30.75,31.16,30.62,30.41,31.75,33.81,34.97,34.38,34.38,35.31,35.09,32.91,31.03,30.78,30.38,29.03,27.88,28.53,29.28,28.59,27.19,26.91,27.72,27.97,27.69,28.5,30.62,32.38,32.22,32.12,32.94,33.12,31.38,29.47,28.94,29.38,28.47,27.03,26.72,27.09,26.66,25.06,23.97,24.41,24.66,23.16,22.03,22.41,22.72,21.38,20.34,20.75,22.75,23.75,24.53,26.44,29.16,31.22,31.91,32.62,33.91,34.5,33.38,31.56,30.84,30.5,28.44,26.25,25.69,26.28,26.28,25.81,26.62,28.59,29.72,29.59,30.03,31.16,32.06,30.81,29.78,30.22,31.34,31.09,30.78,31.53,32.75,32.56,31.44,31.0,31.72,31.72,30.62,29.69,30.0,29.97,27.78,25.62,24.5,24.25,23.41,22.91,23.88,25.94,26.72,26.38,25.94,26.62,27.0,26.38,26.66,28.75,30.72,31.0,30.38,30.78,30.88,29.38,27.12,25.81,25.69,24.62,23.09,22.81,24.25,25.25,24.59,24.25,24.34,24.38,22.25,20.03,19.41,19.72,19.22,18.88,19.75,22.19,23.62,24.06,24.38,25.75,26.62,25.25,24.06,24.41,25.19,24.47,23.31,23.88,25.12,25.25,24.62,25.19,26.66,27.31,26.22,25.5,26.06,25.91,24.12,22.09,21.47,21.47,20.62,19.47,20.28,22.19,22.84,22.62,23.25,24.88,25.34,24.34,23.38,23.94,24.34,52.34,49.03,45.41,41.12,36.91,33.44,30.53,27.91,26.16,26.12,27.59,29.19,31.5,34.31,37.59,40.06,42.03,43.56,44.81,45.34,45.06:21.16,23.34,25.44,26.25,26.78,29.09,32.16,34.44,35.16,36.5,38.28,39.19,38.59,38.5,39.91,41.12,40.94,40.62,41.81,43.53,44.44,44.69,45.91,47.03,46.44,44.19,42.25,40.72,39.0,36.06,33.44,32.84,32.44,31.38,30.91,32.22,34.28,35.44,35.97,37.53,39.91,40.91,40.5,40.53,40.97,41.12,39.44,38.19,38.47,38.19,36.0,33.0,31.31,29.62,26.88,23.94,22.78,22.94,23.16,23.62,25.62,28.69,32.06,33.28,34.0,35.44,36.16,35.44,33.88,33.47,34.03,33.5,32.66,33.06,34.12,33.97,32.66,31.75,31.91,31.47,29.69,27.38,26.28,25.53,23.97,23.09,24.44,26.84,28.5,29.03,30.0,31.59,32.03,31.19,30.62,31.06,31.31,30.12,28.78,29.0,29.44,28.81,27.53,27.75,28.12,27.31,25.25,24.75,25.06,25.31,24.53,24.31,25.53,26.66,26.28,25.88,27.16,28.25,27.75,26.69,26.91,27.72,27.25,25.47,24.31,23.88,23.06,21.72,21.44,23.09,25.12,26.06,26.31,27.84,29.41,29.38,28.38,29.06,30.53,31.84,31.91,32.81,34.09,34.53,33.41,32.31,32.88,33.56,32.53,30.88,30.66,30.34,28.78,26.38,25.22,24.91,23.62,21.44,20.28,20.44,20.25,19.06,18.12,18.72,19.59,19.53,19.34,20.84,22.78,23.31,22.34,21.81,21.25,19.72,17.34,15.84,16.31,17.84,19.0,20.38,23.47,26.91,28.59,29.25,31.53,33.97,35.34,35.09,34.97,34.75,33.66,30.53,27.5,25.94,24.44,21.66,19.5,19.28,20.5,20.78,20.91,22.38,24.56,25.5,25.38,25.94,28.06,30.0,30.56,31.78,33.91,34.94,33.75,31.53,30.88,30.38,28.41,26.38,25.34,25.12,23.97,22.0,21.47,22.28,23.16,22.81,22.75,23.91,24.69,23.56,22.25,22.12,23.03,22.84,22.25,23.34,25.31,25.97,25.72,26.41,27.91,29.19,28.53,27.75,27.81,27.5,24.72,21.94,20.47,20.44,20.03,20.09,22.12,25.72,28.75,29.53,30.19,30.88,29.38,25.41,21.0,17.78,15.69,13.16,12.06,13.69,16.97,19.66,21.72,24.47,27.94,30.44,31.62,32.88,35.12,36.34,34.78,32.44,30.75,29.5,27.19,25.44,25.25,25.84,24.41,20.91,17.22,14.28,10.62,6.5,4.44,4.84,7.59,10.0,13.88,19.53,25.66,29.44,32.03,35.03,37.78,39.06,38.59,38.16,38.22,36.97,33.53,30.5,28.31,26.12,22.84,20.19,18.72,17.94,15.69,12.34,10.31,9.34,7.75,5.78,5.31,6.31,7.34,7.81,9.06,12.25,16.12,18.03,19.94,22.66,25.0,25.22,23.62,22.66,22.34,21.12,19.0,18.06,18.5,18.72,17.44,16.25,16.69,16.94,15.53,13.56,13.28,13.31,12.38,11.19,11.25,12.25,12.56,12.0,12.44,14.0,15.5,15.34,15.38,16.97,18.91,19.31,20.03,21.97,24.88,26.31,25.94,25.75,25.62,24.34,20.94,18.22,17.53,16.88,15.28,13.06,12.5,12.12,10.06,8.28,8.91,11.19,12.88,13.66,15.34,17.56,18.97,18.97,19.06,20.44,21.59,20.81,19.78,20.28,21.38,21.19,20.66,21.75,23.72,24.34,24.06,24.16,25.09,25.28,23.78,22.03,21.5,20.16,16.62,12.75,10.5,9.47,7.53,6.5,7.53,10.03,12.25,13.88,16.09,19.03,21.06,20.81,20.47,21.12,21.75,20.84,19.88,20.0,20.94,20.75,19.94,19.91,20.78,20.34,18.97,18.88,20.38,22.75,24.56,26.5,29.06,30.81,29.47,26.84,25.22,24.66,23.5,22.19,21.91,22.75,22.09,19.75,18.25,18.56,18.97,18.53,18.59,20.41,21.94,21.75,21.09,21.97,23.5,23.62,23.31,23.78,25.44,26.16,25.69,25.78,26.94,27.88,27.0,25.5,25.81,26.62,25.97,25.66,26.69,28.66,29.5,29.53,29.78,31.66,32.94,33.06,33.75,35.91,37.75,37.53,37.0,38.28,40.06,40.16,39.81,39.53,39.53,37.44,34.34,31.5,30.31,29.06,26.44,24.56,24.28,24.81,23.78,22.69,23.25,24.62,24.19,23.0,22.88,23.84,24.0,23.5,23.62,25.53,26.59,26.12,25.91,27.12,28.06,27.16,25.88,25.19,24.88,23.31,21.41,20.56,21.25,20.38,18.69,18.22,19.62,21.16,21.62,22.38,24.53,26.5,27.12,27.22,28.72,30.44,30.53,29.03,27.84,26.97,25.22,22.44,20.5,20.41,20.03,18.34,16.66,16.84,17.91,17.81,17.75,19.31,21.56,22.0,20.78,20.22,20.62,20.12,18.84,18.31,19.56,20.62,20.0,19.47,20.97,22.94,23.38,23.5,25.16,27.31,27.84,27.09,26.66,27.03,26.22,24.22,22.75,23.31,23.72,22.91,21.78,22.25,22.78,21.38,19.44,18.97,19.94,20.22,19.97,21.38,23.88,25.22,24.94,23.69,23.44,22.03,18.66,14.28,12.0,10.91,9.25,7.97,8.62,10.66,11.72,11.25,11.25,12.56,13.91,14.0,14.91,17.78,20.38,21.44,21.03,21.09,21.47,19.62,17.03,15.97,16.31,16.66,15.84,16.28,17.72,18.81,18.53,18.31,20.19,22.5,23.31,23.34,24.34,25.84,25.56,24.5,24.28,25.59,25.81,24.84,24.34,25.25,25.66,24.03,22.19,21.62,21.56,19.62,17.78,17.88,18.72,18.31,17.09,16.78,17.41,17.72,17.19,18.03,21.0,24.16,25.81,27.59,30.16,32.12,31.59,29.62,28.62,28.5,26.91,24.72,23.59,24.03,23.59,22.28,21.44,22.44,23.25,22.44,21.5,22.94,24.22,24.91,24.94,26.22,28.66,29.78,29.44,29.59,30.62,30.31,27.97,26.41,26.56,26.84,26.31,25.78,27.19,29.25,30.0,29.72,30.69,31.97,31.34,29.38,27.81,27.56,26.66,24.38,22.75,22.91,23.16,22.06,20.56,20.56,21.28,20.53,18.84,18.5,19.25,18.88,17.66,17.75,19.34,20.75,20.78,20.59,21.16,21.72,20.28,17.88,17.62,17.97,17.69,16.97,17.97,20.56,22.47,22.97,23.72,25.94,27.09,26.62,25.84,27.19,28.84,28.94,28.34,28.84,29.34,28.47,26.44,25.97,27.34,28.62,28.44,28.75,30.12,30.62,28.72,26.44,25.72,25.53,24.53,23.78,25.38,28.0,29.38,28.62,28.28,28.12,27.62,26.06,25.56,26.59,27.56,26.97,25.88,26.03,26.62,26.06,25.28,25.94,26.97,27.62,26.78,26.22,26.78,26.72,24.56,23.03,23.66,24.31,24.56,25.16,27.25,29.56,29.88,29.06,29.16,30.0,30.47,30.0,30.16,30.97,31.03,28.84,27.19,27.47,27.78,27.47,26.5,27.06,27.62,26.88,25.19,24.72,25.12,24.84,23.12,21.97,22.34,22.69,21.59,20.72,21.47,22.22,21.5,20.56,21.78,23.56,24.19,23.59,23.5,24.47,24.41,23.34,23.78,25.66,27.5,27.75,27.81,28.97,29.47,28.72,27.12,27.31,28.59,28.94,28.41,28.78,30.22,30.66,29.62,29.16,30.5,32.06,31.5,31.12,31.84,32.84,31.94,29.94,29.09,28.53,26.94,25.0,24.19,25.12,26.5,26.09,26.28,27.09,27.59,26.0,23.88,23.47,23.88,23.75,23.28,24.53,26.69,28.12,28.09,28.78,30.5,31.78,31.62,31.62,32.81,33.56,32.62,30.97,30.53,30.56,29.25,26.91,26.03,26.06,25.91,25.41,26.34,29.0,31.31,31.62,31.69,32.97,33.88,32.56,31.06,31.09,31.16,30.19,28.88,29.0,30.22,30.91,30.28,30.66,32.47,33.91,33.53,33.25,33.88,34.84,33.88,32.66,32.97,33.78,33.5,32.69,33.19,34.62,35.34,34.72,34.34,34.88,34.88,32.97,31.25,30.75,31.16,30.62,30.41,31.75,33.81,34.97,34.38,34.38,35.31,35.09,32.91,31.03,30.78,30.38,29.03,27.88,28.53,29.28,28.59,27.19,26.91,27.72,27.97,27.69,28.5,30.62,32.38,32.22,32.12,32.94,33.12,31.38,29.47,28.94,29.38,28.47,27.03,26.72,27.09,26.66,25.06,23.97,24.41,24.66,23.16,22.03,22.41,22.72,21.38,20.34,20.75,22.75,23.75,24.53,26.44,29.16,31.22,31.91,32.62,33.91,34.5,33.38,31.56,30.84,30.5,28.44,26.25,25.69,26.28,26.28,25.81,26.62,28.59,29.72,29.59,30.03,31.16,32.06,30.81,29.78,30.22,31.34,31.09,30.78,31.53,32.75,32.56,31.44,31.0,31.72,31.72,30.62,29.69,30.0,29.97,27.78,25.62,24.5,24.25,23.41,22.91,23.88,25.94,26.72,26.38,25.94,26.62,27.0,26.38,26.66,28.75,30.72,31.0,30.38,30.78,30.88,29.38,27.12,25.81,25.69,24.62,23.09,22.81,24.25,25.25,24.59,24.25,24.34,24.38,22.25,20.03,19.41,19.72,19.22,18.88,19.75,22.19,23.62,24.06,24.38,25.75,26.62,25.25,24.06,24.41,25.19,24.47,23.31,23.88,25.12,25.25,24.62,25.19,26.66,27.31,26.22,25.5,26.06,25.91,24.12,22.09,21.47,21.47,20.62,19.47,20.28,22.19,22.84,22.62,23.25,24.88,25.34,24.34,23.38,23.94,24.34,52.34,49.03,45.41,41.12,36.91,33.44,30.53,27.91,26.16,26.12,27.59,29.19,31.5,34.31,37.59,40.06,42.03,43.56,44.81,45.34,45.06,44.62,43.91,43.25,42.12,40.69,40.19,40.28:34.44,35.16,36.5,38.28,39.19,38.59,38.5,39.91,41.12,40.94,40.62,41.81,43.53,44.44,44.69,45.91,47.03,46.44,44.19,42.25,40.72,39.0,36.06,33.44,32.84,32.44,31.38,30.91,32.22,34.28,35.44,35.97,37.53,39.91,40.91,40.5,40.53,40.97,41.12,39.44,38.19,38.47,38.19,36.0,33.0,31.31,29.62,26.88,23.94,22.78,22.94,23.16,23.62,25.62,28.69,32.06,33.28,34.0,35.44,36.16,35.44,33.88,33.47,34.03,33.5,32.66,33.06,34.12,33.97,32.66,31.75,31.91,31.47,29.69,27.38,26.28,25.53,23.97,23.09,24.44,26.84,28.5,29.03,30.0,31.59,32.03,31.19,30.62,31.06,31.31,30.12,28.78,29.0,29.44,28.81,27.53,27.75,28.12,27.31,25.25,24.75,25.06,25.31,24.53,24.31,25.53,26.66,26.28,25.88,27.16,28.25,27.75,26.69,26.91,27.72,27.25,25.47,24.31,23.88,23.06,21.72,21.44,23.09,25.12,26.06,26.31,27.84,29.41,29.38,28.38,29.06,30.53,31.84,31.91,32.81,34.09,34.53,33.41,32.31,32.88,33.56,32.53,30.88,30.66,30.34,28.78,26.38,25.22,24.91,23.62,21.44,20.28,20.44,20.25,19.06,18.12,18.72,19.59,19.53,19.34,20.84,22.78,23.31,22.34,21.81,21.25,19.72,17.34,15.84,16.31,17.84,19.0,20.38,23.47,26.91,28.59,29.25,31.53,33.97,35.34,35.09,34.97,34.75,33.66,30.53,27.5,25.94,24.44,21.66,19.5,19.28,20.5,20.78,20.91,22.38,24.56,25.5,25.38,25.94,28.06,30.0,30.56,31.78,33.91,34.94,33.75,31.53,30.88,30.38,28.41,26.38,25.34,25.12,23.97,22.0,21.47,22.28,23.16,22.81,22.75,23.91,24.69,23.56,22.25,22.12,23.03,22.84,22.25,23.34,25.31,25.97,25.72,26.41,27.91,29.19,28.53,27.75,27.81,27.5,24.72,21.94,20.47,20.44,20.03,20.09,22.12,25.72,28.75,29.53,30.19,30.88,29.38,25.41,21.0,17.78,15.69,13.16,12.06,13.69,16.97,19.66,21.72,24.47,27.94,30.44,31.62,32.88,35.12,36.34,34.78,32.44,30.75,29.5,27.19,25.44,25.25,25.84,24.41,20.91,17.22,14.28,10.62,6.5,4.44,4.84,7.59,10.0,13.88,19.53,25.66,29.44,32.03,35.03,37.78,39.06,38.59,38.16,38.22,36.97,33.53,30.5,28.31,26.12,22.84,20.19,18.72,17.94,15.69,12.34,10.31,9.34,7.75,5.78,5.31,6.31,7.34,7.81,9.06,12.25,16.12,18.03,19.94,22.66,25.0,25.22,23.62,22.66,22.34,21.12,19.0,18.06,18.5,18.72,17.44,16.25,16.69,16.94,15.53,13.56,13.28,13.31,12.38,11.19,11.25,12.25,12.56,12.0,12.44,14.0,15.5,15.34,15.38,16.97,18.91,19.31,20.03,21.97,24.88,26.31,25.94,25.75,25.62,24.34,20.94,18.22,17.53,16.88,15.28,13.06,12.5,12.12,10.06,8.28,8.91,11.19,12.88,13.66,15.34,17.56,18.97,18.97,19.06,20.44,21.59,20.81,19.78,20.28,21.38,21.19,20.66,21.75,23.72,24.34,24.06,24.16,25.09,25.28,23.78,22.03,21.5,20.16,16.62,12.75,10.5,9.47,7.53,6.5,7.53,10.03,12.25,13.88,16.09,19.03,21.06,20.81,20.47,21.12,21.75,20.84,19.88,20.0,20.94,20.75,19.94,19.91,20.78,20.34,18.97,18.88,20.38,22.75,24.56,26.5,29.06,30.81,29.47,26.84,25.22,24.66,23.5,22.19,21.91,22.75,22.09,19.75,18.25,18.56,18.97,18.53,18.59,20.41,21.94,21.75,21.09,21.97,23.5,23.62,23.31,23.78,25.44,26.16,25.69,25.78,26.94,27.88,27.0,25.5,25.81,26.62,25.97,25.66,26.69,28.66,29.5,29.53,29.78,31.66,32.94,33.06,33.75,35.91,37.75,37.53,37.0,38.28,40.06,40.16,39.81,39.53,39.53,37.44,34.34,31.5,30.31,29.06,26.44,24.56,24.28,24.81,23.78,22.69,23.25,24.62,24.19,23.0,22.88,23.84,24.0,23.5,23.62,25.53,26.59,26.12,25.91,27.12,28.06,27.16,25.88,25.19,24.88,23.31,21.41,20.56,21.25,20.38,18.69,18.22,19.62,21.16,21.62,22.38,24.53,26.5,27.12,27.22,28.72,30.44,30.53,29.03,27.84,26.97,25.22,22.44,20.5,20.41,20.03,18.34,16.66,16.84,17.91,17.81,17.75,19.31,21.56,22.0,20.78,20.22,20.62,20.12,18.84,18.31,19.56,20.62,20.0,19.47,20.97,22.94,23.38,23.5,25.16,27.31,27.84,27.09,26.66,27.03,26.22,24.22,22.75,23.31,23.72,22.91,21.78,22.25,22.78,21.38,19.44,18.97,19.94,20.22,19.97,21.38,23.88,25.22,24.94,23.69,23.44,22.03,18.66,14.28,12.0,10.91,9.25,7.97,8.62,10.66,11.72,11.25,11.25,12.56,13.91,14.0,14.91,17.78,20.38,21.44,21.03,21.09,21.47,19.62,17.03,15.97,16.31,16.66,15.84,16.28,17.72,18.81,18.53,18.31,20.19,22.5,23.31,23.34,24.34,25.84,25.56,24.5,24.28,25.59,25.81,24.84,24.34,25.25,25.66,24.03,22.19,21.62,21.56,19.62,17.78,17.88,18.72,18.31,17.09,16.78,17.41,17.72,17.19,18.03,21.0,24.16,25.81,27.59,30.16,32.12,31.59,29.62,28.62,28.5,26.91,24.72,23.59,24.03,23.59,22.28,21.44,22.44,23.25,22.44,21.5,22.94,24.22,24.91,24.94,26.22,28.66,29.78,29.44,29.59,30.62,30.31,27.97,26.41,26.56,26.84,26.31,25.78,27.19,29.25,30.0,29.72,30.69,31.97,31.34,29.38,27.81,27.56,26.66,24.38,22.75,22.91,23.16,22.06,20.56,20.56,21.28,20.53,18.84,18.5,19.25,18.88,17.66,17.75,19.34,20.75,20.78,20.59,21.16,21.72,20.28,17.88,17.62,17.97,17.69,16.97,17.97,20.56,22.47,22.97,23.72,25.94,27.09,26.62,25.84,27.19,28.84,28.94,28.34,28.84,29.34,28.47,26.44,25.97,27.34,28.62,28.44,28.75,30.12,30.62,28.72,26.44,25.72,25.53,24.53,23.78,25.38,28.0,29.38,28.62,28.28,28.12,27.62,26.06,25.56,26.59,27.56,26.97,25.88,26.03,26.62,26.06,25.28,25.94,26.97,27.62,26.78,26.22,26.78,26.72,24.56,23.03,23.66,24.31,24.56,25.16,27.25,29.56,29.88,29.06,29.16,30.0,30.47,30.0,30.16,30.97,31.03,28.84,27.19,27.47,27.78,27.47,26.5,27.06,27.62,26.88,25.19,24.72,25.12,24.84,23.12,21.97,22.34,22.69,21.59,20.72,21.47,22.22,21.5,20.56,21.78,23.56,24.19,23.59,23.5,24.47,24.41,23.34,23.78,25.66,27.5,27.75,27.81,28.97,29.47,28.72,27.12,27.31,28.59,28.94,28.41,28.78,30.22,30.66,29.62,29.16,30.5,32.06,31.5,31.12,31.84,32.84,31.94,29.94,29.09,28.53,26.94,25.0,24.19,25.12,26.5,26.09,26.28,27.09,27.59,26.0,23.88,23.47,23.88,23.75,23.28,24.53,26.69,28.12,28.09,28.78,30.5,31.78,31.62,31.62,32.81,33.56,32.62,30.97,30.53,30.56,29.25,26.91,26.03,26.06,25.91,25.41,26.34,29.0,31.31,31.62,31.69,32.97,33.88,32.56,31.06,31.09,31.16,30.19,28.88,29.0,30.22,30.91,30.28,30.66,32.47,33.91,33.53,33.25,33.88,34.84,33.88,32.66,32.97,33.78,33.5,32.69,33.19,34.62,35.34,34.72,34.34,34.88,34.88,32.97,31.25,30.75,31.16,30.62,30.41,31.75,33.81,34.97,34.38,34.38,35.31,35.09,32.91,31.03,30.78,30.38,29.03,27.88,28.53,29.28,28.59,27.19,26.91,27.72,27.97,27.69,28.5,30.62,32.38,32.22,32.12,32.94,33.12,31.38,29.47,28.94,29.38,28.47,27.03,26.72,27.09,26.66,25.06,23.97,24.41,24.66,23.16,22.03,22.41,22.72,21.38,20.34,20.75,22.75,23.75,24.53,26.44,29.16,31.22,31.91,32.62,33.91,34.5,33.38,31.56,30.84,30.5,28.44,26.25,25.69,26.28,26.28,25.81,26.62,28.59,29.72,29.59,30.03,31.16,32.06,30.81,29.78,30.22,31.34,31.09,30.78,31.53,32.75,32.56,31.44,31.0,31.72,31.72,30.62,29.69,30.0,29.97,27.78,25.62,24.5,24.25,23.41,22.91,23.88,25.94,26.72,26.38,25.94,26.62,27.0,26.38,26.66,28.75,30.72,31.0,30.38,30.78,30.88,29.38,27.12,25.81,25.69,24.62,23.09,22.81,24.25,25.25,24.59,24.25,24.34,24.38,22.25,20.03,19.41,19.72,19.22,18.88,19.75,22.19,23.62,24.06,24.38,25.75,26.62,25.25,24.06,24.41,25.19,24.47,23.31,23.88,25.12,25.25,24.62,25.19,26.66,27.31,26.22,25.5,26.06,25.91,24.12,22.09,21.47,21.47,20.62,19.47,20.28,22.19,22.84,22.62,23.25,24.88,25.34,24.34,23.38,23.94,24.34,52.34,49.03,45.41,41.12,36.91,33.44,30.53,27.91,26.16,26.12,27.59,29.19,31.5,34.31,37.59,40.06,42.03,43.56,44.81,45.34,45.06,44.62,43.91,43.25,42.12,40.69,40.19,40.28,39.97,39.38,39.09,39.12,38.88,39.0,39.94:39.91,41.12,40.94,40.62,41.81,43.53,44.44,44.69,45.91,47.03,46.44,44.19,42.25,40.72,39.0,36.06,33.44,32.84,32.44,31.38,30.91,32.22,34.28,35.44,35.97,37.53,39.91,40.91,40.5,40.53,40.97,41.12,39.44,38.19,38.47,38.19,36.0,33.0,31.31,29.62,26.88,23.94,22.78,22.94,23.16,23.62,25.62,28.69,32.06,33.28,34.0,35.44,36.16,35.44,33.88,33.47,34.03,33.5,32.66,33.06,34.12,33.97,32.66,31.75,31.91,31.47,29.69,27.38,26.28,25.53,23.97,23.09,24.44,26.84,28.5,29.03,30.0,31.59,32.03,31.19,30.62,31.06,31.31,30.12,28.78,29.0,29.44,28.81,27.53,27.75,28.12,27.31,25.25,24.75,25.06,25.31,24.53,24.31,25.53,26.66,26.28,25.88,27.16,28.25,27.75,26.69,26.91,27.72,27.25,25.47,24.31,23.88,23.06,21.72,21.44,23.09,25.12,26.06,26.31,27.84,29.41,29.38,28.38,29.06,30.53,31.84,31.91,32.81,34.09,34.53,33.41,32.31,32.88,33.56,32.53,30.88,30.66,30.34,28.78,26.38,25.22,24.91,23.62,21.44,20.28,20.44,20.25,19.06,18.12,18.72,19.59,19.53,19.34,20.84,22.78,23.31,22.34,21.81,21.25,19.72,17.34,15.84,16.31,17.84,19.0,20.38,23.47,26.91,28.59,29.25,31.53,33.97,35.34,35.09,34.97,34.75,33.66,30.53,27.5,25.94,24.44,21.66,19.5,19.28,20.5,20.78,20.91,22.38,24.56,25.5,25.38,25.94,28.06,30.0,30.56,31.78,33.91,34.94,33.75,31.53,30.88,30.38,28.41,26.38,25.34,25.12,23.97,22.0,21.47,22.28,23.16,22.81,22.75,23.91,24.69,23.56,22.25,22.12,23.03,22.84,22.25,23.34,25.31,25.97,25.72,26.41,27.91,29.19,28.53,27.75,27.81,27.5,24.72,21.94,20.47,20.44,20.03,20.09,22.12,25.72,28.75,29.53,30.19,30.88,29.38,25.41,21.0,17.78,15.69,13.16,12.06,13.69,16.97,19.66,21.72,24.47,27.94,30.44,31.62,32.88,35.12,36.34,34.78,32.44,30.75,29.5,27.19,25.44,25.25,25.84,24.41,20.91,17.22,14.28,10.62,6.5,4.44,4.84,7.59,10.0,13.88,19.53,25.66,29.44,32.03,35.03,37.78,39.06,38.59,38.16,38.22,36.97,33.53,30.5,28.31,26.12,22.84,20.19,18.72,17.94,15.69,12.34,10.31,9.34,7.75,5.78,5.31,6.31,7.34,7.81,9.06,12.25,16.12,18.03,19.94,22.66,25.0,25.22,23.62,22.66,22.34,21.12,19.0,18.06,18.5,18.72,17.44,16.25,16.69,16.94,15.53,13.56,13.28,13.31,12.38,11.19,11.25,12.25,12.56,12.0,12.44,14.0,15.5,15.34,15.38,16.97,18.91,19.31,20.03,21.97,24.88,26.31,25.94,25.75,25.62,24.34,20.94,18.22,17.53,16.88,15.28,13.06,12.5,12.12,10.06,8.28,8.91,11.19,12.88,13.66,15.34,17.56,18.97,18.97,19.06,20.44,21.59,20.81,19.78,20.28,21.38,21.19,20.66,21.75,23.72,24.34,24.06,24.16,25.09,25.28,23.78,22.03,21.5,20.16,16.62,12.75,10.5,9.47,7.53,6.5,7.53,10.03,12.25,13.88,16.09,19.03,21.06,20.81,20.47,21.12,21.75,20.84,19.88,20.0,20.94,20.75,19.94,19.91,20.78,20.34,18.97,18.88,20.38,22.75,24.56,26.5,29.06,30.81,29.47,26.84,25.22,24.66,23.5,22.19,21.91,22.75,22.09,19.75,18.25,18.56,18.97,18.53,18.59,20.41,21.94,21.75,21.09,21.97,23.5,23.62,23.31,23.78,25.44,26.16,25.69,25.78,26.94,27.88,27.0,25.5,25.81,26.62,25.97,25.66,26.69,28.66,29.5,29.53,29.78,31.66,32.94,33.06,33.75,35.91,37.75,37.53,37.0,38.28,40.06,40.16,39.81,39.53,39.53,37.44,34.34,31.5,30.31,29.06,26.44,24.56,24.28,24.81,23.78,22.69,23.25,24.62,24.19,23.0,22.88,23.84,24.0,23.5,23.62,25.53,26.59,26.12,25.91,27.12,28.06,27.16,25.88,25.19,24.88,23.31,21.41,20.56,21.25,20.38,18.69,18.22,19.62,21.16,21.62,22.38,24.53,26.5,27.12,27.22,28.72,30.44,30.53,29.03,27.84,26.97,25.22,22.44,20.5,20.41,20.03,18.34,16.66,16.84,17.91,17.81,17.75,19.31,21.56,22.0,20.78,20.22,20.62,20.12,18.84,18.31,19.56,20.62,20.0,19.47,20.97,22.94,23.38,23.5,25.16,27.31,27.84,27.09,26.66,27.03,26.22,24.22,22.75,23.31,23.72,22.91,21.78,22.25,22.78,21.38,19.44,18.97,19.94,20.22,19.97,21.38,23.88,25.22,24.94,23.69,23.44,22.03,18.66,14.28,12.0,10.91,9.25,7.97,8.62,10.66,11.72,11.25,11.25,12.56,13.91,14.0,14.91,17.78,20.38,21.44,21.03,21.09,21.47,19.62,17.03,15.97,16.31,16.66,15.84,16.28,17.72,18.81,18.53,18.31,20.19,22.5,23.31,23.34,24.34,25.84,25.56,24.5,24.28,25.59,25.81,24.84,24.34,25.25,25.66,24.03,22.19,21.62,21.56,19.62,17.78,17.88,18.72,18.31,17.09,16.78,17.41,17.72,17.19,18.03,21.0,24.16,25.81,27.59,30.16,32.12,31.59,29.62,28.62,28.5,26.91,24.72,23.59,24.03,23.59,22.28,21.44,22.44,23.25,22.44,21.5,22.94,24.22,24.91,24.94,26.22,28.66,29.78,29.44,29.59,30.62,30.31,27.97,26.41,26.56,26.84,26.31,25.78,27.19,29.25,30.0,29.72,30.69,31.97,31.34,29.38,27.81,27.56,26.66,24.38,22.75,22.91,23.16,22.06,20.56,20.56,21.28,20.53,18.84,18.5,19.25,18.88,17.66,17.75,19.34,20.75,20.78,20.59,21.16,21.72,20.28,17.88,17.62,17.97,17.69,16.97,17.97,20.56,22.47,22.97,23.72,25.94,27.09,26.62,25.84,27.19,28.84,28.94,28.34,28.84,29.34,28.47,26.44,25.97,27.34,28.62,28.44,28.75,30.12,30.62,28.72,26.44,25.72,25.53,24.53,23.78,25.38,28.0,29.38,28.62,28.28,28.12,27.62,26.06,25.56,26.59,27.56,26.97,25.88,26.03,26.62,26.06,25.28,25.94,26.97,27.62,26.78,26.22,26.78,26.72,24.56,23.03,23.66,24.31,24.56,25.16,27.25,29.56,29.88,29.06,29.16,30.0,30.47,30.0,30.16,30.97,31.03,28.84,27.19,27.47,27.78,27.47,26.5,27.06,27.62,26.88,25.19,24.72,25.12,24.84,23.12,21.97,22.34,22.69,21.59,20.72,21.47,22.22,21.5,20.56,21.78,23.56,24.19,23.59,23.5,24.47,24.41,23.34,23.78,25.66,27.5,27.75,27.81,28.97,29.47,28.72,27.12,27.31,28.59,28.94,28.41,28.78,30.22,30.66,29.62,29.16,30.5,32.06,31.5,31.12,31.84,32.84,31.94,29.94,29.09,28.53,26.94,25.0,24.19,25.12,26.5,26.09,26.28,27.09,27.59,26.0,23.88,23.47,23.88,23.75,23.28,24.53,26.69,28.12,28.09,28.78,30.5,31.78,31.62,31.62,32.81,33.56,32.62,30.97,30.53,30.56,29.25,26.91,26.03,26.06,25.91,25.41,26.34,29.0,31.31,31.62,31.69,32.97,33.88,32.56,31.06,31.09,31.16,30.19,28.88,29.0,30.22,30.91,30.28,30.66,32.47,33.91,33.53,33.25,33.88,34.84,33.88,32.66,32.97,33.78,33.5,32.69,33.19,34.62,35.34,34.72,34.34,34.88,34.88,32.97,31.25,30.75,31.16,30.62,30.41,31.75,33.81,34.97,34.38,34.38,35.31,35.09,32.91,31.03,30.78,30.38,29.03,27.88,28.53,29.28,28.59,27.19,26.91,27.72,27.97,27.69,28.5,30.62,32.38,32.22,32.12,32.94,33.12,31.38,29.47,28.94,29.38,28.47,27.03,26.72,27.09,26.66,25.06,23.97,24.41,24.66,23.16,22.03,22.41,22.72,21.38,20.34,20.75,22.75,23.75,24.53,26.44,29.16,31.22,31.91,32.62,33.91,34.5,33.38,31.56,30.84,30.5,28.44,26.25,25.69,26.28,26.28,25.81,26.62,28.59,29.72,29.59,30.03,31.16,32.06,30.81,29.78,30.22,31.34,31.09,30.78,31.53,32.75,32.56,31.44,31.0,31.72,31.72,30.62,29.69,30.0,29.97,27.78,25.62,24.5,24.25,23.41,22.91,23.88,25.94,26.72,26.38,25.94,26.62,27.0,26.38,26.66,28.75,30.72,31.0,30.38,30.78,30.88,29.38,27.12,25.81,25.69,24.62,23.09,22.81,24.25,25.25,24.59,24.25,24.34,24.38,22.25,20.03,19.41,19.72,19.22,18.88,19.75,22.19,23.62,24.06,24.38,25.75,26.62,25.25,24.06,24.41,25.19,24.47,23.31,23.88,25.12,25.25,24.62,25.19,26.66,27.31,26.22,25.5,26.06,25.91,24.12,22.09,21.47,21.47,20.62,19.47,20.28,22.19,22.84,22.62,23.25,24.88,25.34,24.34,23.38,23.94,24.34,52.34,49.03,45.41,41.12,36.91,33.44,30.53,27.91,26.16,26.12,27.59,29.19,31.5,34.31,37.59,40.06,42.03,43.56,44.81,45.34,45.06,44.62,43.91,43.25,42.12,40.69,40.19,40.28,39.97,39.38,39.09,39.12,38.88,39.0,39.94,41.94,44.25,46.84,49.62,52.81,55.94,58.56:negativity
2.66,-0.22,-3.0,-3.16,-2.44,-3.66,-4.81,-3.59,-0.47,0.88,0.69,1.5,3.88,4.06,1.62,-0.62,-0.31,-0.19,-2.28,-3.81,-2.28,0.62,1.62,2.09,4.09,7.12,7.5,5.56,4.22,4.81,5.16,3.22,2.12,3.72,5.44,4.22,3.0,3.66,5.56,4.84,3.0,2.44,3.47,3.56,1.66,0.5,2.0,3.31,2.19,1.47,4.12,7.56,8.28,7.97,8.72,10.09,8.97,6.31,5.53,7.03,8.12,7.22,6.78,9.12,10.84,9.38,7.12,7.31,7.94,6.06,3.44,2.59,3.34,2.5,0.59,0.0,2.06,3.28,1.88,0.81,2.53,4.84,4.91,5.16,7.97,11.56,12.94,12.34,12.88,14.47,14.31,11.38,9.44,10.0,10.66,9.19,8.28,10.19,12.66,12.53,11.91,13.53,16.25,16.62,15.66,15.72,17.03,17.0,14.47,12.5,12.69,12.34,9.34,5.5,3.75,2.25,-1.0,-4.88,-5.81,-3.75,-3.25,-4.06,-3.69,-1.09,-0.09,-2.03,-3.81,-2.69,-1.03,-1.44,-1.31,1.62,5.56,7.09,7.03,8.38,10.66,10.72,7.94,5.19,4.5,3.12,-0.88,-3.88,-3.97,-3.22,-4.38,-6.28,-5.12,-2.56,-1.41,-1.72,-0.34,2.88,4.88,4.28,3.81,5.56,6.28,4.66,2.66,3.62,5.88,6.0,5.16,6.84,9.25,9.84,7.62,5.97,5.62,3.53,-0.81,-4.44,-4.72,-4.72,-6.53,-8.62,-7.81,-6.03,-6.34,-7.19,-5.97,-2.62,-0.06,0.66,2.41,6.19,8.62,8.31,7.78,9.66,11.72,11.28,9.88,10.03,11.0,9.91,8.0,8.12,10.22,11.22,9.38,7.84,7.84,7.19,4.12,1.06,0.94,1.81,0.78,-1.0,-0.78,0.69,0.69,-0.75,-0.66,1.78,3.59,3.31,3.22,5.56,7.81,7.12,5.47,5.59,6.06,4.34,1.03,-0.34,0.16,-0.72,-3.38,-5.0,-4.22,-3.62,-5.28,-6.5,-5.09,-3.34,-4.5,-6.75,-6.88,-5.75,-5.81,-7.28,-6.75,-4.44,-3.69,-5.53,-6.56,-5.47,-4.62,-6.41,-8.0,-6.75,-4.84,-4.28,-4.41,-2.25,1.03,2.19,1.03,1.59,3.78,5.25,4.56,4.69,6.94,8.75,7.81,6.19,6.75,7.66,6.75,4.75,4.66,6.06,6.12,4.19,3.72,5.41,6.59,5.84,5.59,7.97,10.12,9.16,7.06,6.16,6.16,4.41,1.69,1.41,3.38,4.56,3.84,4.28,6.72,8.81,8.34,7.91,9.66,11.97,11.19,9.38,9.0,9.88,9.59,8.47,9.19,12.38,14.94,14.47,13.97,15.12,15.66,13.47,10.78,10.88,11.38,10.59,8.91,9.06,10.97,11.72,11.09,11.22,13.38,14.53,12.66,9.97,9.47,8.59,5.66,2.34,1.94,3.34,3.56,3.03,3.72,6.44,7.84,7.03,6.94,8.84,9.84,8.47,6.78,7.41,8.53,7.72,6.53,7.66,9.97,10.56,9.0,8.25,8.5,7.75,5.0,3.53,4.5,6.34,6.03,5.47,6.88,9.06,8.59,6.75,6.47,7.44,7.06,5.22,4.62,6.22,7.28,6.03,5.12,6.47,7.88,6.94,5.06,4.72,5.0,2.81,-0.56,-2.28,-1.88,-2.16,-3.62,-4.34,-2.12,-0.56,-1.62,-2.62,-1.69,0.5,0.84,0.84,2.81,6.25,7.84,7.75,9.12,13.19,16.59,17.5,18.5,20.62,21.5,18.78,15.31,13.84,13.88,12.16,9.59,8.5,8.84,7.41,3.91,1.78,2.34,3.06,2.09,2.31,5.69,9.31,10.78,11.22,13.53,16.38,16.94,16.03,16.31,17.78,17.47,14.59,12.22,11.19,9.75,6.53,3.31,3.19,3.84,2.41,0.06,-0.81,-0.66,-1.78,-3.5,-4.03,-1.69,0.31,0.38,1.84,5.44,8.94,9.75,9.56,10.72,12.25,12.44,11.69,12.75,15.19,15.94,14.44,13.84,15.69,17.56,17.59,18.5,21.31,23.44,22.06,19.28,17.94,17.31,15.59,13.25,12.59,13.84,13.47,10.56,8.47,8.72,8.78,6.94,5.5,6.69,8.69,8.44,7.22,7.84,9.5,9.88,8.94,9.28,11.84,13.5,12.44,11.44,12.31,13.03,10.81,8.5,8.91,10.59,10.56,9.81,11.06,12.97,13.09,10.94,9.38,9.66,9.72,7.88,6.41,8.03,9.44,8.34,6.28,6.06,6.59,5.69,4.12,4.94,7.94,10.34,10.44,10.94,13.19,14.78,13.53,11.97,12.41,12.59,10.91,8.56,9.03,11.25,12.5,12.5,13.59,16.44,18.19,17.62,17.25,19.31,20.78,20.03,19.16,20.25,22.06,20.59,17.47,14.81,13.0,9.75,5.41,2.91,3.97,5.19,4.5,4.66,6.88,8.81,8.34,6.72,7.97,10.09,10.5,10.06,10.59,12.25,12.44,10.59,9.59,10.62,11.44,9.75,7.75,8.19,8.88,7.41,4.91,4.41,5.41,5.53,5.12,6.56,10.25,12.78,12.44,11.88,13.25,14.34,13.25,11.69,12.84,14.84,14.59,13.38,13.78,15.12,14.44,11.31,8.78,8.31,6.97,3.91,1.78,2.53,4.38,4.47,4.38,7.16,10.75,12.06,11.22,11.25,11.78,10.94,7.56,5.75,6.41,6.84,5.0,3.56,4.88,6.25,5.06,2.91,3.0,4.19,3.91,2.75,3.19,5.31,6.56,5.53,4.91,6.16,7.28,5.75,3.44,3.75,5.31,5.22,4.81,6.38,9.41,10.75,9.44,8.53,8.94,8.38,5.56,4.09,5.72,7.56,8.06,8.03,10.22,13.56,14.69,14.69,16.41,19.34,21.12,20.88,21.0,22.69,22.97,20.25,17.28,16.22,15.69,13.12,9.84,9.22,9.97,9.53,7.69,7.81,9.75,10.81,9.38,8.5,9.5,9.84,7.72,5.91,6.53,8.66,9.44,9.41,11.31,14.19,14.69,12.75,11.59,12.31,11.97,9.5,8.19,9.56,11.41,11.19,10.94,12.94,15.72,16.25,15.41,16.0,17.88,17.78,15.22,13.28,13.09,11.91,8.31,5.19,5.06,5.88,4.31,2.91,3.56,5.53,5.44,3.88,4.12,5.84,6.44,4.88,3.62,4.81,4.91,2.5,0.75,2.47,5.66,7.19,7.94,10.16,12.56,12.62,10.72,10.06,11.59,12.31,10.53,9.56,10.81,11.94,10.53,10.03,11.88,14.38,14.41,12.97,12.44,12.88,11.31,8.0,6.03,6.91,7.69,6.78,6.94,10.16,13.62,14.53,14.91,17.38,20.94,21.72,20.97,21.09,22.03,20.88,16.75,13.59,12.84,12.31,10.31,8.91,10.38,12.56,12.12,10.75,12.09,14.75,15.66,15.88,17.66,21.59,24.22,24.06,24.56,26.81,28.06,26.66,24.81,24.75,25.34,23.09,19.97,18.81,18.94,16.97,13.34,11.12,11.41,11.5,10.41,10.69,14.28,17.97,18.56,18.12,19.47,20.78,19.59,17.06,16.69,17.72,17.06,14.94,13.75,15.19,16.06,15.0,13.91,15.41,17.09,15.84,14.0,14.31,15.38,14.41,12.16,11.91,13.25,13.38,12.03,11.25,12.97,13.97,12.38,10.69,11.75,13.62,13.75,13.56,15.44,18.22,19.03,17.91,17.44,19.19,19.5,17.84,17.0,18.69,19.72,18.44,16.47,16.0,16.22,13.41,9.88,8.47,9.06,8.62,7.12,7.25,9.47,11.0,9.91,8.53,10.31,11.34,9.97,7.88,8.25,9.44,8.72,7.25,8.16,11.0,12.34,11.44,10.69,12.06,12.16,9.88,7.28,7.62,7.97,6.09,3.66,3.84,5.94,6.28,6.25,8.0,11.97,14.5,13.97,13.38,14.03,13.69,10.84,7.66,7.69,9.03,8.31,7.34,8.59,11.38,11.91,10.62,10.31,12.25,13.25,12.62,12.88,16.47,19.75,19.88,18.38,18.56,18.56,16.84,14.56,14.66,16.88,17.25,15.22,13.44,13.09,12.22,9.28,8.06,10.53,13.72,14.78,14.94,17.06,19.78,20.59,19.5,19.78,21.38,21.53,19.09,17.66,18.62,18.84,16.03,12.94,12.31,12.09,9.81,6.97,6.47,6.97,5.94,3.41,2.72,4.16,4.81,3.5,3.44,5.53,7.31,6.75,6.25,7.84,10.25,11.31,10.94,12.59,15.28,15.28,12.78,10.69,10.31,8.66,5.16,2.03,2.06,2.03,-0.31,-3.16,-3.47,-3.0,-3.88,-6.16,-5.88,-3.91,-2.94,-3.66,-3.22,-0.19,2.09,1.94,2.0,4.84,7.97,8.28,7.59,8.94,10.53,10.31,8.44,8.31,9.59,9.34,6.56,5.0,5.66,6.06,4.47,2.97,3.97,5.31,4.66,3.06,4.12,6.38,7.16,6.31,6.69,8.47,9.03,7.06,5.84,7.38,8.84,8.06,7.03,8.41,10.56,10.88,10.44,12.06,14.72,15.56,14.16,13.31,14.75,15.62,14.53,14.03,16.22,18.19,17.06,15.28,15.28,16.06,15.22,13.62,14.16,16.56,17.28,16.06,15.53,16.41,16.56,13.81,11.44,11.03,11.25,9.5,7.12,7.31,8.56,8.06,6.5,6.94,9.0,10.62,10.19,10.66,12.91,14.44,12.69,10.88,10.78,11.25,9.62,7.22,6.91,7.75,7.47,6.03,6.25,9.34,11.22,10.69,10.06,11.19,11.94,10.47,8.66,9.62,11.91,11.44,9.56,9.0,9.66,8.88,6.34,5.31,7.25,9.09,8.38,7.62,8.69,9.66,8.16,6.47,7.25,9.62,10.19,9.38,10.31,12.53,13.69,12.88,12.72,14.75,16.09,14.91,13.28,13.91,15.06,12.81,9.94,9.12,9.03,7.75,4.88,3.94,4.94,5.34,4.31,4.59:-3.59,-0.47,0.88,0.69,1.5,3.88,4.06,1.62,-0.62,-0.31,-0.19,-2.28,-3.81,-2.28,0.62,1.62,2.09,4.09,7.12,7.5,5.56,4.22,4.81,5.16,3.22,2.12,3.72,5.44,4.22,3.0,3.66,5.56,4.84,3.0,2.44,3.47,3.56,1.66,0.5,2.0,3.31,2.19,1.47,4.12,7.56,8.28,7.97,8.72,10.09,8.97,6.31,5.53,7.03,8.12,7.22,6.78,9.12,10.84,9.38,7.12,7.31,7.94,6.06,3.44,2.59,3.34,2.5,0.59,0.0,2.06,3.28,1.88,0.81,2.53,4.84,4.91,5.16,7.97,11.56,12.94,12.34,12.88,14.47,14.31,11.38,9.44,10.0,10.66,9.19,8.28,10.19,12.66,12.53,11.91,13.53,16.25,16.62,15.66,15.72,17.03,17.0,14.47,12.5,12.69,12.34,9.34,5.5,3.75,2.25,-1.0,-4.88,-5.81,-3.75,-3.25,-4.06,-3.69,-1.09,-0.09,-2.03,-3.81,-2.69,-1.03,-1.44,-1.31,1.62,5.56,7.09,7.03,8.38,10.66,10.72,7.94,5.19,4.5,3.12,-0.88,-3.88,-3.97,-3.22,-4.38,-6.28,-5.12,-2.56,-1.41,-1.72,-0.34,2.88,4.88,4.28,3.81,5.56,6.28,4.66,2.66,3.62,5.88,6.0,5.16,6.84,9.25,9.84,7.62,5.97,5.62,3.53,-0.81,-4.44,-4.72,-4.72,-6.53,-8.62,-7.81,-6.03,-6.34,-7.19,-5.97,-2.62,-0.06,0.66,2.41,6.19,8.62,8.31,7.78,9.66,11.72,11.28,9.88,10.03,11.0,9.91,8.0,8.12,10.22,11.22,9.38,7.84,7.84,7.19,4.12,1.06,0.94,1.81,0.78,-1.0,-0.78,0.69,0.69,-0.75,-0.66,1.78,3.59,3.31,3.22,5.56,7.81,7.12,5.47,5.59,6.06,4.34,1.03,-0.34,0.16,-0.72,-3.38,-5.0,-4.22,-3.62,-5.28,-6.5,-5.09,-3.34,-4.5,-6.75,-6.88,-5.75,-5.81,-7.28,-6.75,-4.44,-3.69,-5.53,-6.56,-5.47,-4.62,-6.41,-8.0,-6.75,-4.84,-4.28,-4.41,-2.25,1.03,2.19,1.03,1.59,3.78,5.25,4.56,4.69,6.94,8.75,7.81,6.19,6.75,7.66,6.75,4.75,4.66,6.06,6.12,4.19,3.72,5.41,6.59,5.84,5.59,7.97,10.12,9.16,7.06,6.16,6.16,4.41,1.69,1.41,3.38,4.56,3.84,4.28,6.72,8.81,8.34,7.91,9.66,11.97,11.19,9.38,9.0,9.88,9.59,8.47,9.19,12.38,14.94,14.47,13.97,15.12,15.66,13.47,10.78,10.88,11.38,10.59,8.91,9.06,10.97,11.72,11.09,11.22,13.38,14.53,12.66,9.97,9.47,8.59,5.66,2.34,1.94,3.34,3.56,3.03,3.72,6.44,7.84,7.03,6.94,8.84,9.84,8.47,6.78,7.41,8.53,7.72,6.53,7.66,9.97,10.56,9.0,8.25,8.5,7.75,5.0,3.53,4.5,6.34,6.03,5.47,6.88,9.06,8.59,6.75,6.47,7.44,7.06,5.22,4.62,6.22,7.28,6.03,5.12,6.47,7.88,6.94,5.06,4.72,5.0,2.81,-0.56,-2.28,-1.88,-2.16,-3.62,-4.34,-2.12,-0.56,-1.62,-2.62,-1.69,0.5,0.84,0.84,2.81,6.25,7.84,7.75,9.12,13.19,16.59,17.5,18.5,20.62,21.5,18.78,15.31,13.84,13.88,12.16,9.59,8.5,8.84,7.41,3.91,1.78,2.34,3.06,2.09,2.31,5.69,9.31,10.78,11.22,13.53,16.38,16.94,16.03,16.31,17.78,17.47,14.59,12.22,11.19,9.75,6.53,3.31,3.19,3.84,2.41,0.06,-0.81,-0.66,-1.78,-3.5,-4.03,-1.69,0.31,0.38,1.84,5.44,8.94,9.75,9.56,10.72,12.25,12.44,11.69,12.75,15.19,15.94,14.44,13.84,15.69,17.56,17.59,18.5,21.31,23.44,22.06,19.28,17.94,17.31,15.59,13.25,12.59,13.84,13.47,10.56,8.47,8.72,8.78,6.94,5.5,6.69,8.69,8.44,7.22,7.84,9.5,9.88,8.94,9.28,11.84,13.5,12.44,11.44,12.31,13.03,10.81,8.5,8.91,10.59,10.56,9.81,11.06,12.97,13.09,10.94,9.38,9.66,9.72,7.88,6.41,8.03,9.44,8.34,6.28,6.06,6.59,5.69,4.12,4.94,7.94,10.34,10.44,10.94,13.19,14.78,13.53,11.97,12.41,12.59,10.91,8.56,9.03,11.25,12.5,12.5,13.59,16.44,18.19,17.62,17.25,19.31,20.78,20.03,19.16,20.25,22.06,20.59,17.47,14.81,13.0,9.75,5.41,2.91,3.97,5.19,4.5,4.66,6.88,8.81,8.34,6.72,7.97,10.09,10.5,10.06,10.59,12.25,12.44,10.59,9.59,10.62,11.44,9.75,7.75,8.19,8.88,7.41,4.91,4.41,5.41,5.53,5.12,6.56,10.25,12.78,12.44,11.88,13.25,14.34,13.25,11.69,12.84,14.84,14.59,13.38,13.78,15.12,14.44,11.31,8.78,8.31,6.97,3.91,1.78,2.53,4.38,4.47,4.38,7.16,10.75,12.06,11.22,11.25,11.78,10.94,7.56,5.75,6.41,6.84,5.0,3.56,4.88,6.25,5.06,2.91,3.0,4.19,3.91,2.75,3.19,5.31,6.56,5.53,4.91,6.16,7.28,5.75,3.44,3.75,5.31,5.22,4.81,6.38,9.41,10.75,9.44,8.53,8.94,8.38,5.56,4.09,5.72,7.56,8.06,8.03,10.22,13.56,14.69,14.69,16.41,19.34,21.12,20.88,21.0,22.69,22.97,20.25,17.28,16.22,15.69,13.12,9.84,9.22,9.97,9.53,7.69,7.81,9.75,10.81,9.38,8.5,9.5,9.84,7.72,5.91,6.53,8.66,9.44,9.41,11.31,14.19,14.69,12.75,11.59,12.31,11.97,9.5,8.19,9.56,11.41,11.19,10.94,12.94,15.72,16.25,15.41,16.0,17.88,17.78,15.22,13.28,13.09,11.91,8.31,5.19,5.06,5.88,4.31,2.91,3.56,5.53,5.44,3.88,4.12,5.84,6.44,4.88,3.62,4.81,4.91,2.5,0.75,2.47,5.66,7.19,7.94,10.16,12.56,12.62,10.72,10.06,11.59,12.31,10.53,9.56,10.81,11.94,10.53,10.03,11.88,14.38,14.41,12.97,12.44,12.88,11.31,8.0,6.03,6.91,7.69,6.78,6.94,10.16,13.62,14.53,14.91,17.38,20.94,21.72,20.97,21.09,22.03,20.88,16.75,13.59,12.84,12.31,10.31,8.91,10.38,12.56,12.12,10.75,12.09,14.75,15.66,15.88,17.66,21.59,24.22,24.06,24.56,26.81,28.06,26.66,24.81,24.75,25.34,23.09,19.97,18.81,18.94,16.97,13.34,11.12,11.41,11.5,10.41,10.69,14.28,17.97,18.56,18.12,19.47,20.78,19.59,17.06,16.69,17.72,17.06,14.94,13.75,15.19,16.06,15.0,13.91,15.41,17.09,15.84,14.0,14.31,15.38,14.41,12.16,11.91,13.25,13.38,12.03,11.25,12.97,13.97,12.38,10.69,11.75,13.62,13.75,13.56,15.44,18.22,19.03,17.91,17.44,19.19,19.5,17.84,17.0,18.69,19.72,18.44,16.47,16.0,16.22,13.41,9.88,8.47,9.06,8.62,7.12,7.25,9.47,11.0,9.91,8.53,10.31,11.34,9.97,7.88,8.25,9.44,8.72,7.25,8.16,11.0,12.34,11.44,10.69,12.06,12.16,9.88,7.28,7.62,7.97,6.09,3.66,3.84,5.94,6.28,6.25,8.0,11.97,14.5,13.97,13.38,14.03,13.69,10.84,7.66,7.69,9.03,8.31,7.34,8.59,11.38,11.91,10.62,10.31,12.25,13.25,12.62,12.88,16.47,19.75,19.88,18.38,18.56,18.56,16.84,14.56,14.66,16.88,17.25,15.22,13.44,13.09,12.22,9.28,8.06,10.53,13.72,14.78,14.94,17.06,19.78,20.59,19.5,19.78,21.38,21.53,19.09,17.66,18.62,18.84,16.03,12.94,12.31,12.09,9.81,6.97,6.47,6.97,5.94,3.41,2.72,4.16,4.81,3.5,3.44,5.53,7.31,6.75,6.25,7.84,10.25,11.31,10.94,12.59,15.28,15.28,12.78,10.69,10.31,8.66,5.16,2.03,2.06,2.03,-0.31,-3.16,-3.47,-3.0,-3.88,-6.16,-5.88,-3.91,-2.94,-3.66,-3.22,-0.19,2.09,1.94,2.0,4.84,7.97,8.28,7.59,8.94,10.53,10.31,8.44,8.31,9.59,9.34,6.56,5.0,5.66,6.06,4.47,2.97,3.97,5.31,4.66,3.06,4.12,6.38,7.16,6.31,6.69,8.47,9.03,7.06,5.84,7.38,8.84,8.06,7.03,8.41,10.56,10.88,10.44,12.06,14.72,15.56,14.16,13.31,14.75,15.62,14.53,14.03,16.22,18.19,17.06,15.28,15.28,16.06,15.22,13.62,14.16,16.56,17.28,16.06,15.53,16.41,16.56,13.81,11.44,11.03,11.25,9.5,7.12,7.31,8.56,8.06,6.5,6.94,9.0,10.62,10.19,10.66,12.91,14.44,12.69,10.88,10.78,11.25,9.62,7.22,6.91,7.75,7.47,6.03,6.25,9.34,11.22,10.69,10.06,11.19,11.94,10.47,8.66,9.62,11.91,11.44,9.56,9.0,9.66,8.88,6.34,5.31,7.25,9.09,8.38,7.62,8.69,9.66,8.16,6.47,7.25,9.62,10.19,9.38,10.31,12.53,13.69,12.88,12.72,14.75,16.09,14.91,13.28,13.91,15.06,12.81,9.94,9.12,9.03,7.75,4.88,3.94,4.94,5.34,4.31,4.59,36.34,33.25,30.91,30.19,30.53,29.88,29.09:1.62,-0.62,-0.31,-0.19,-2.28,-3.81,-2.28,0.62,1.62,2.09,4.09,7.12,7.5,5.56,4.22,4.81,5.16,3.22,2.12,3.72,5.44,4.22,3.0,3.66,5.56,4.84,3.0,2.44,3.47,3.56,1.66,0.5,2.0,3.31,2.19,1.47,4.12,7.56,8.28,7.97,8.72,10.09,8.97,6.31,5.53,7.03,8.12,7.22,6.78,9.12,10.84,9.38,7.12,7.31,7.94,6.06,3.44,2.59,3.34,2.5,0.59,0.0,2.06,3.28,1.88,0.81,2.53,4.84,4.91,5.16,7.97,11.56,12.94,12.34,12.88,14.47,14.31,11.38,9.44,10.0,10.66,9.19,8.28,10.19,12.66,12.53,11.91,13.53,16.25,16.62,15.66,15.72,17.03,17.0,14.47,12.5,12.69,12.34,9.34,5.5,3.75,2.25,-1.0,-4.88,-5.81,-3.75,-3.25,-4.06,-3.69,-1.09,-0.09,-2.03,-3.81,-2.69,-1.03,-1.44,-1.31,1.62,5.56,7.09,7.03,8.38,10.66,10.72,7.94,5.19,4.5,3.12,-0.88,-3.88,-3.97,-3.22,-4.38,-6.28,-5.12,-2.56,-1.41,-1.72,-0.34,2.88,4.88,4.28,3.81,5.56,6.28,4.66,2.66,3.62,5.88,6.0,5.16,6.84,9.25,9.84,7.62,5.97,5.62,3.53,-0.81,-4.44,-4.72,-4.72,-6.53,-8.62,-7.81,-6.03,-6.34,-7.19,-5.97,-2.62,-0.06,0.66,2.41,6.19,8.62,8.31,7.78,9.66,11.72,11.28,9.88,10.03,11.0,9.91,8.0,8.12,10.22,11.22,9.38,7.84,7.84,7.19,4.12,1.06,0.94,1.81,0.78,-1.0,-0.78,0.69,0.69,-0.75,-0.66,1.78,3.59,3.31,3.22,5.56,7.81,7.12,5.47,5.59,6.06,4.34,1.03,-0.34,0.16,-0.72,-3.38,-5.0,-4.22,-3.62,-5.28,-6.5,-5.09,-3.34,-4.5,-6.75,-6.88,-5.75,-5.81,-7.28,-6.75,-4.44,-3.69,-5.53,-6.56,-5.47,-4.62,-6.41,-8.0,-6.75,-4.84,-4.28,-4.41,-2.25,1.03,2.19,1.03,1.59,3.78,5.25,4.56,4.69,6.94,8.75,7.81,6.19,6.75,7.66,6.75,4.75,4.66,6.06,6.12,4.19,3.72,5.41,6.59,5.84,5.59,7.97,10.12,9.16,7.06,6.16,6.16,4.41,1.69,1.41,3.38,4.56,3.84,4.28,6.72,8.81,8.34,7.91,9.66,11.97,11.19,9.38,9.0,9.88,9.59,8.47,9.19,12.38,14.94,14.47,13.97,15.12,15.66,13.47,10.78,10.88,11.38,10.59,8.91,9.06,10.97,11.72,11.09,11.22,13.38,14.53,12.66,9.97,9.47,8.59,5.66,2.34,1.94,3.34,3.56,3.03,3.72,6.44,7.84,7.03,6.94,8.84,9.84,8.47,6.78,7.41,8.53,7.72,6.53,7.66,9.97,10.56,9.0,8.25,8.5,7.75,5.0,3.53,4.5,6.34,6.03,5.47,6.88,9.06,8.59,6.75,6.47,7.44,7.06,5.22,4.62,6.22,7.28,6.03,5.12,6.47,7.88,6.94,5.06,4.72,5.0,2.81,-0.56,-2.28,-1.88,-2.16,-3.62,-4.34,-2.12,-0.56,-1.62,-2.62,-1.69,0.5,0.84,0.84,2.81,6.25,7.84,7.75,9.12,13.19,16.59,17.5,18.5,20.62,21.5,18.78,15.31,13.84,13.88,12.16,9.59,8.5,8.84,7.41,3.91,1.78,2.34,3.06,2.09,2.31,5.69,9.31,10.78,11.22,13.53,16.38,16.94,16.03,16.31,17.78,17.47,14.59,12.22,11.19,9.75,6.53,3.31,3.19,3.84,2.41,0.06,-0.81,-0.66,-1.78,-3.5,-4.03,-1.69,0.31,0.38,1.84,5.44,8.94,9.75,9.56,10.72,12.25,12.44,11.69,12.75,15.19,15.94,14.44,13.84,15.69,17.56,17.59,18.5,21.31,23.44,22.06,19.28,17.94,17.31,15.59,13.25,12.59,13.84,13.47,10.56,8.47,8.72,8.78,6.94,5.5,6.69,8.69,8.44,7.22,7.84,9.5,9.88,8.94,9.28,11.84,13.5,12.44,11.44,12.31,13.03,10.81,8.5,8.91,10.59,10.56,9.81,11.06,12.97,13.09,10.94,9.38,9.66,9.72,7.88,6.41,8.03,9.44,8.34,6.28,6.06,6.59,5.69,4.12,4.94,7.94,10.34,10.44,10.94,13.19,14.78,13.53,11.97,12.41,12.59,10.91,8.56,9.03,11.25,12.5,12.5,13.59,16.44,18.19,17.62,17.25,19.31,20.78,20.03,19.16,20.25,22.06,20.59,17.47,14.81,13.0,9.75,5.41,2.91,3.97,5.19,4.5,4.66,6.88,8.81,8.34,6.72,7.97,10.09,10.5,10.06,10.59,12.25,12.44,10.59,9.59,10.62,11.44,9.75,7.75,8.19,8.88,7.41,4.91,4.41,5.41,5.53,5.12,6.56,10.25,12.78,12.44,11.88,13.25,14.34,13.25,11.69,12.84,14.84,14.59,13.38,13.78,15.12,14.44,11.31,8.78,8.31,6.97,3.91,1.78,2.53,4.38,4.47,4.38,7.16,10.75,12.06,11.22,11.25,11.78,10.94,7.56,5.75,6.41,6.84,5.0,3.56,4.88,6.25,5.06,2.91,3.0,4.19,3.91,2.75,3.19,5.31,6.56,5.53,4.91,6.16,7.28,5.75,3.44,3.75,5.31,5.22,4.81,6.38,9.41,10.75,9.44,8.53,8.94,8.38,5.56,4.09,5.72,7.56,8.06,8.03,10.22,13.56,14.69,14.69,16.41,19.34,21.12,20.88,21.0,22.69,22.97,20.25,17.28,16.22,15.69,13.12,9.84,9.22,9.97,9.53,7.69,7.81,9.75,10.81,9.38,8.5,9.5,9.84,7.72,5.91,6.53,8.66,9.44,9.41,11.31,14.19,14.69,12.75,11.59,12.31,11.97,9.5,8.19,9.56,11.41,11.19,10.94,12.94,15.72,16.25,15.41,16.0,17.88,17.78,15.22,13.28,13.09,11.91,8.31,5.19,5.06,5.88,4.31,2.91,3.56,5.53,5.44,3.88,4.12,5.84,6.44,4.88,3.62,4.81,4.91,2.5,0.75,2.47,5.66,7.19,7.94,10.16,12.56,12.62,10.72,10.06,11.59,12.31,10.53,9.56,10.81,11.94,10.53,10.03,11.88,14.38,14.41,12.97,12.44,12.88,11.31,8.0,6.03,6.91,7.69,6.78,6.94,10.16,13.62,14.53,14.91,17.38,20.94,21.72,20.97,21.09,22.03,20.88,16.75,13.59,12.84,12.31,10.31,8.91,10.38,12.56,12.12,10.75,12.09,14.75,15.66,15.88,17.66,21.59,24.22,24.06,24.56,26.81,28.06,26.66,24.81,24.75,25.34,23.09,19.97,18.81,18.94,16.97,13.34,11.12,11.41,11.5,10.41,10.69,14.28,17.97,18.56,18.12,19.47,20.78,19.59,17.06,16.69,17.72,17.06,14.94,13.75,15.19,16.06,15.0,13.91,15.41,17.09,15.84,14.0,14.31,15.38,14.41,12.16,11.91,13.25,13.38,12.03,11.25,12.97,13.97,12.38,10.69,11.75,13.62,13.75,13.56,15.44,18.22,19.03,17.91,17.44,19.19,19.5,17.84,17.0,18.69,19.72,18.44,16.47,16.0,16.22,13.41,9.88,8.47,9.06,8.62,7.12,7.25,9.47,11.0,9.91,8.53,10.31,11.34,9.97,7.88,8.25,9.44,8.72,7.25,8.16,11.0,12.34,11.44,10.69,12.06,12.16,9.88,7.28,7.62,7.97,6.09,3.66,3.84,5.94,6.28,6.25,8.0,11.97,14.5,13.97,13.38,14.03,13.69,10.84,7.66,7.69,9.03,8.31,7.34,8.59,11.38,11.91,10.62,10.31,12.25,13.25,12.62,12.88,16.47,19.75,19.88,18.38,18.56,18.56,16.84,14.56,14.66,16.88,17.25,15.22,13.44,13.09,12.22,9.28,8.06,10.53,13.72,14.78,14.94,17.06,19.78,20.59,19.5,19.78,21.38,21.53,19.09,17.66,18.62,18.84,16.03,12.94,12.31,12.09,9.81,6.97,6.47,6.97,5.94,3.41,2.72,4.16,4.81,3.5,3.44,5.53,7.31,6.75,6.25,7.84,10.25,11.31,10.94,12.59,15.28,15.28,12.78,10.69,10.31,8.66,5.16,2.03,2.06,2.03,-0.31,-3.16,-3.47,-3.0,-3.88,-6.16,-5.88,-3.91,-2.94,-3.66,-3.22,-0.19,2.09,1.94,2.0,4.84,7.97,8.28,7.59,8.94,10.53,10.31,8.44,8.31,9.59,9.34,6.56,5.0,5.66,6.06,4.47,2.97,3.97,5.31,4.66,3.06,4.12,6.38,7.16,6.31,6.69,8.47,9.03,7.06,5.84,7.38,8.84,8.06,7.03,8.41,10.56,10.88,10.44,12.06,14.72,15.56,14.16,13.31,14.75,15.62,14.53,14.03,16.22,18.19,17.06,15.28,15.28,16.06,15.22,13.62,14.16,16.56,17.28,16.06,15.53,16.41,16.56,13.81,11.44,11.03,11.25,9.5,7.12,7.31,8.56,8.06,6.5,6.94,9.0,10.62,10.19,10.66,12.91,14.44,12.69,10.88,10.78,11.25,9.62,7.22,6.91,7.75,7.47,6.03,6.25,9.34,11.22,10.69,10.06,11.19,11.94,10.47,8.66,9.62,11.91,11.44,9.56,9.0,9.66,8.88,6.34,5.31,7.25,9.09,8.38,7.62,8.69,9.66,8.16,6.47,7.25,9.62,10.19,9.38,10.31,12.53,13.69,12.88,12.72,14.75,16.09,14.91,13.28,13.91,15.06,12.81,9.94,9.12,9.03,7.75,4.88,3.94,4.94,5.34,4.31,4.59,36.34,33.25,30.91,30.19,30.53,29.88,29.09,29.94,32.19,33.25,33.06,33.88,35.78,36.38:0.62,1.62,2.09,4.09,7.12,7.5,5.56,4.22,4.81,5.16,3.22,2.12,3.72,5.44,4.22,3.0,3.66,5.56,4.84,3.0,2.44,3.47,3.56,1.66,0.5,2.0,3.31,2.19,1.47,4.12,7.56,8.28,7.97,8.72,10.09,8.97,6.31,5.53,7.03,8.12,7.22,6.78,9.12,10.84,9.38,7.12,7.31,7.94,6.06,3.44,2.59,3.34,2.5,0.59,0.0,2.06,3.28,1.88,0.81,2.53,4.84,4.91,5.16,7.97,11.56,12.94,12.34,12.88,14.47,14.31,11.38,9.44,10.0,10.66,9.19,8.28,10.19,12.66,12.53,11.91,13.53,16.25,16.62,15.66,15.72,17.03,17.0,14.47,12.5,12.69,12.34,9.34,5.5,3.75,2.25,-1.0,-4.88,-5.81,-3.75,-3.25,-4.06,-3.69,-1.09,-0.09,-2.03,-3.81,-2.69,-1.03,-1.44,-1.31,1.62,5.56,7.09,7.03,8.38,10.66,10.72,7.94,5.19,4.5,3.12,-0.88,-3.88,-3.97,-3.22,-4.38,-6.28,-5.12,-2.56,-1.41,-1.72,-0.34,2.88,4.88,4.28,3.81,5.56,6.28,4.66,2.66,3.62,5.88,6.0,5.16,6.84,9.25,9.84,7.62,5.97,5.62,3.53,-0.81,-4.44,-4.72,-4.72,-6.53,-8.62,-7.81,-6.03,-6.34,-7.19,-5.97,-2.62,-0.06,0.66,2.41,6.19,8.62,8.31,7.78,9.66,11.72,11.28,9.88,10.03,11.0,9.91,8.0,8.12,10.22,11.22,9.38,7.84,7.84,7.19,4.12,1.06,0.94,1.81,0.78,-1.0,-0.78,0.69,0.69,-0.75,-0.66,1.78,3.59,3.31,3.22,5.56,7.81,7.12,5.47,5.59,6.06,4.34,1.03,-0.34,0.16,-0.72,-3.38,-5.0,-4.22,-3.62,-5.28,-6.5,-5.09,-3.34,-4.5,-6.75,-6.88,-5.75,-5.81,-7.28,-6.75,-4.44,-3.69,-5.53,-6.56,-5.47,-4.62,-6.41,-8.0,-6.75,-4.84,-4.28,-4.41,-2.25,1.03,2.19,1.03,1.59,3.78,5.25,4.56,4.69,6.94,8.75,7.81,6.19,6.75,7.66,6.75,4.75,4.66,6.06,6.12,4.19,3.72,5.41,6.59,5.84,5.59,7.97,10.12,9.16,7.06,6.16,6.16,4.41,1.69,1.41,3.38,4.56,3.84,4.28,6.72,8.81,8.34,7.91,9.66,11.97,11.19,9.38,9.0,9.88,9.59,8.47,9.19,12.38,14.94,14.47,13.97,15.12,15.66,13.47,10.78,10.88,11.38,10.59,8.91,9.06,10.97,11.72,11.09,11.22,13.38,14.53,12.66,9.97,9.47,8.59,5.66,2.34,1.94,3.34,3.56,3.03,3.72,6.44,7.84,7.03,6.94,8.84,9.84,8.47,6.78,7.41,8.53,7.72,6.53,7.66,9.97,10.56,9.0,8.25,8.5,7.75,5.0,3.53,4.5,6.34,6.03,5.47,6.88,9.06,8.59,6.75,6.47,7.44,7.06,5.22,4.62,6.22,7.28,6.03,5.12,6.47,7.88,6.94,5.06,4.72,5.0,2.81,-0.56,-2.28,-1.88,-2.16,-3.62,-4.34,-2.12,-0.56,-1.62,-2.62,-1.69,0.5,0.84,0.84,2.81,6.25,7.84,7.75,9.12,13.19,16.59,17.5,18.5,20.62,21.5,18.78,15.31,13.84,13.88,12.16,9.59,8.5,8.84,7.41,3.91,1.78,2.34,3.06,2.09,2.31,5.69,9.31,10.78,11.22,13.53,16.38,16.94,16.03,16.31,17.78,17.47,14.59,12.22,11.19,9.75,6.53,3.31,3.19,3.84,2.41,0.06,-0.81,-0.66,-1.78,-3.5,-4.03,-1.69,0.31,0.38,1.84,5.44,8.94,9.75,9.56,10.72,12.25,12.44,11.69,12.75,15.19,15.94,14.44,13.84,15.69,17.56,17.59,18.5,21.31,23.44,22.06,19.28,17.94,17.31,15.59,13.25,12.59,13.84,13.47,10.56,8.47,8.72,8.78,6.94,5.5,6.69,8.69,8.44,7.22,7.84,9.5,9.88,8.94,9.28,11.84,13.5,12.44,11.44,12.31,13.03,10.81,8.5,8.91,10.59,10.56,9.81,11.06,12.97,13.09,10.94,9.38,9.66,9.72,7.88,6.41,8.03,9.44,8.34,6.28,6.06,6.59,5.69,4.12,4.94,7.94,10.34,10.44,10.94,13.19,14.78,13.53,11.97,12.41,12.59,10.91,8.56,9.03,11.25,12.5,12.5,13.59,16.44,18.19,17.62,17.25,19.31,20.78,20.03,19.16,20.25,22.06,20.59,17.47,14.81,13.0,9.75,5.41,2.91,3.97,5.19,4.5,4.66,6.88,8.81,8.34,6.72,7.97,10.09,10.5,10.06,10.59,12.25,12.44,10.59,9.59,10.62,11.44,9.75,7.75,8.19,8.88,7.41,4.91,4.41,5.41,5.53,5.12,6.56,10.25,12.78,12.44,11.88,13.25,14.34,13.25,11.69,12.84,14.84,14.59,13.38,13.78,15.12,14.44,11.31,8.78,8.31,6.97,3.91,1.78,2.53,4.38,4.47,4.38,7.16,10.75,12.06,11.22,11.25,11.78,10.94,7.56,5.75,6.41,6.84,5.0,3.56,4.88,6.25,5.06,2.91,3.0,4.19,3.91,2.75,3.19,5.31,6.56,5.53,4.91,6.16,7.28,5.75,3.44,3.75,5.31,5.22,4.81,6.38,9.41,10.75,9.44,8.53,8.94,8.38,5.56,4.09,5.72,7.56,8.06,8.03,10.22,13.56,14.69,14.69,16.41,19.34,21.12,20.88,21.0,22.69,22.97,20.25,17.28,16.22,15.69,13.12,9.84,9.22,9.97,9.53,7.69,7.81,9.75,10.81,9.38,8.5,9.5,9.84,7.72,5.91,6.53,8.66,9.44,9.41,11.31,14.19,14.69,12.75,11.59,12.31,11.97,9.5,8.19,9.56,11.41,11.19,10.94,12.94,15.72,16.25,15.41,16.0,17.88,17.78,15.22,13.28,13.09,11.91,8.31,5.19,5.06,5.88,4.31,2.91,3.56,5.53,5.44,3.88,4.12,5.84,6.44,4.88,3.62,4.81,4.91,2.5,0.75,2.47,5.66,7.19,7.94,10.16,12.56,12.62,10.72,10.06,11.59,12.31,10.53,9.56,10.81,11.94,10.53,10.03,11.88,14.38,14.41,12.97,12.44,12.88,11.31,8.0,6.03,6.91,7.69,6.78,6.94,10.16,13.62,14.53,14.91,17.38,20.94,21.72,20.97,21.09,22.03,20.88,16.75,13.59,12.84,12.31,10.31,8.91,10.38,12.56,12.12,10.75,12.09,14.75,15.66,15.88,17.66,21.59,24.22,24.06,24.56,26.81,28.06,26.66,24.81,24.75,25.34,23.09,19.97,18.81,18.94,16.97,13.34,11.12,11.41,11.5,10.41,10.69,14.28,17.97,18.56,18.12,19.47,20.78,19.59,17.06,16.69,17.72,17.06,14.94,13.75,15.19,16.06,15.0,13.91,15.41,17.09,15.84,14.0,14.31,15.38,14.41,12.16,11.91,13.25,13.38,12.03,11.25,12.97,13.97,12.38,10.69,11.75,13.62,13.75,13.56,15.44,18.22,19.03,17.91,17.44,19.19,19.5,17.84,17.0,18.69,19.72,18.44,16.47,16.0,16.22,13.41,9.88,8.47,9.06,8.62,7.12,7.25,9.47,11.0,9.91,8.53,10.31,11.34,9.97,7.88,8.25,9.44,8.72,7.25,8.16,11.0,12.34,11.44,10.69,12.06,12.16,9.88,7.28,7.62,7.97,6.09,3.66,3.84,5.94,6.28,6.25,8.0,11.97,14.5,13.97,13.38,14.03,13.69,10.84,7.66,7.69,9.03,8.31,7.34,8.59,11.38,11.91,10.62,10.31,12.25,13.25,12.62,12.88,16.47,19.75,19.88,18.38,18.56,18.56,16.84,14.56,14.66,16.88,17.25,15.22,13.44,13.09,12.22,9.28,8.06,10.53,13.72,14.78,14.94,17.06,19.78,20.59,19.5,19.78,21.38,21.53,19.09,17.66,18.62,18.84,16.03,12.94,12.31,12.09,9.81,6.97,6.47,6.97,5.94,3.41,2.72,4.16,4.81,3.5,3.44,5.53,7.31,6.75,6.25,7.84,10.25,11.31,10.94,12.59,15.28,15.28,12.78,10.69,10.31,8.66,5.16,2.03,2.06,2.03,-0.31,-3.16,-3.47,-3.0,-3.88,-6.16,-5.88,-3.91,-2.94,-3.66,-3.22,-0.19,2.09,1.94,2.0,4.84,7.97,8.28,7.59,8.94,10.53,10.31,8.44,8.31,9.59,9.34,6.56,5.0,5.66,6.06,4.47,2.97,3.97,5.31,4.66,3.06,4.12,6.38,7.16,6.31,6.69,8.47,9.03,7.06,5.84,7.38,8.84,8.06,7.03,8.41,10.56,10.88,10.44,12.06,14.72,15.56,14.16,13.31,14.75,15.62,14.53,14.03,16.22,18.19,17.06,15.28,15.28,16.06,15.22,13.62,14.16,16.56,17.28,16.06,15.53,16.41,16.56,13.81,11.44,11.03,11.25,9.5,7.12,7.31,8.56,8.06,6.5,6.94,9.0,10.62,10.19,10.66,12.91,14.44,12.69,10.88,10.78,11.25,9.62,7.22,6.91,7.75,7.47,6.03,6.25,9.34,11.22,10.69,10.06,11.19,11.94,10.47,8.66,9.62,11.91,11.44,9.56,9.0,9.66,8.88,6.34,5.31,7.25,9.09,8.38,7.62,8.69,9.66,8.16,6.47,7.25,9.62,10.19,9.38,10.31,12.53,13.69,12.88,12.72,14.75,16.09,14.91,13.28,13.91,15.06,12.81,9.94,9.12,9.03,7.75,4.88,3.94,4.94,5.34,4.31,4.59,36.34,33.25,30.91,30.19,30.53,29.88,29.09,29.94,32.19,33.25,33.06,33.88,35.78,36.38,35.09,33.84,34.12,34.41,33.09,32.25,33.66:4.22,4.81,5.16,3.22,2.12,3.72,5.44,4.22,3.0,3.66,5.56,4.84,3.0,2.44,3.47,3.56,1.66,0.5,2.0,3.31,2.19,1.47,4.12,7.56,8.28,7.97,8.72,10.09,8.97,6.31,5.53,7.03,8.12,7.22,6.78,9.12,10.84,9.38,7.12,7.31,7.94,6.06,3.44,2.59,3.34,2.5,0.59,0.0,2.06,3.28,1.88,0.81,2.53,4.84,4.91,5.16,7.97,11.56,12.94,12.34,12.88,14.47,14.31,11.38,9.44,10.0,10.66,9.19,8.28,10.19,12.66,12.53,11.91,13.53,16.25,16.62,15.66,15.72,17.03,17.0,14.47,12.5,12.69,12.34,9.34,5.5,3.75,2.25,-1.0,-4.88,-5.81,-3.75,-3.25,-4.06,-3.69,-1.09,-0.09,-2.03,-3.81,-2.69,-1.03,-1.44,-1.31,1.62,5.56,7.09,7.03,8.38,10.66,10.72,7.94,5.19,4.5,3.12,-0.88,-3.88,-3.97,-3.22,-4.38,-6.28,-5.12,-2.56,-1.41,-1.72,-0.34,2.88,4.88,4.28,3.81,5.56,6.28,4.66,2.66,3.62,5.88,6.0,5.16,6.84,9.25,9.84,7.62,5.97,5.62,3.53,-0.81,-4.44,-4.72,-4.72,-6.53,-8.62,-7.81,-6.03,-6.34,-7.19,-5.97,-2.62,-0.06,0.66,2.41,6.19,8.62,8.31,7.78,9.66,11.72,11.28,9.88,10.03,11.0,9.91,8.0,8.12,10.22,11.22,9.38,7.84,7.84,7.19,4.12,1.06,0.94,1.81,0.78,-1.0,-0.78,0.69,0.69,-0.75,-0.66,1.78,3.59,3.31,3.22,5.56,7.81,7.12,5.47,5.59,6.06,4.34,1.03,-0.34,0.16,-0.72,-3.38,-5.0,-4.22,-3.62,-5.28,-6.5,-5.09,-3.34,-4.5,-6.75,-6.88,-5.75,-5.81,-7.28,-6.75,-4.44,-3.69,-5.53,-6.56,-5.47,-4.62,-6.41,-8.0,-6.75,-4.84,-4.28,-4.41,-2.25,1.03,2.19,1.03,1.59,3.78,5.25,4.56,4.69,6.94,8.75,7.81,6.19,6.75,7.66,6.75,4.75,4.66,6.06,6.12,4.19,3.72,5.41,6.59,5.84,5.59,7.97,10.12,9.16,7.06,6.16,6.16,4.41,1.69,1.41,3.38,4.56,3.84,4.28,6.72,8.81,8.34,7.91,9.66,11.97,11.19,9.38,9.0,9.88,9.59,8.47,9.19,12.38,14.94,14.47,13.97,15.12,15.66,13.47,10.78,10.88,11.38,10.59,8.91,9.06,10.97,11.72,11.09,11.22,13.38,14.53,12.66,9.97,9.47,8.59,5.66,2.34,1.94,3.34,3.56,3.03,3.72,6.44,7.84,7.03,6.94,8.84,9.84,8.47,6.78,7.41,8.53,7.72,6.53,7.66,9.97,10.56,9.0,8.25,8.5,7.75,5.0,3.53,4.5,6.34,6.03,5.47,6.88,9.06,8.59,6.75,6.47,7.44,7.06,5.22,4.62,6.22,7.28,6.03,5.12,6.47,7.88,6.94,5.06,4.72,5.0,2.81,-0.56,-2.28,-1.88,-2.16,-3.62,-4.34,-2.12,-0.56,-1.62,-2.62,-1.69,0.5,0.84,0.84,2.81,6.25,7.84,7.75,9.12,13.19,16.59,17.5,18.5,20.62,21.5,18.78,15.31,13.84,13.88,12.16,9.59,8.5,8.84,7.41,3.91,1.78,2.34,3.06,2.09,2.31,5.69,9.31,10.78,11.22,13.53,16.38,16.94,16.03,16.31,17.78,17.47,14.59,12.22,11.19,9.75,6.53,3.31,3.19,3.84,2.41,0.06,-0.81,-0.66,-1.78,-3.5,-4.03,-1.69,0.31,0.38,1.84,5.44,8.94,9.75,9.56,10.72,12.25,12.44,11.69,12.75,15.19,15.94,14.44,13.84,15.69,17.56,17.59,18.5,21.31,23.44,22.06,19.28,17.94,17.31,15.59,13.25,12.59,13.84,13.47,10.56,8.47,8.72,8.78,6.94,5.5,6.69,8.69,8.44,7.22,7.84,9.5,9.88,8.94,9.28,11.84,13.5,12.44,11.44,12.31,13.03,10.81,8.5,8.91,10.59,10.56,9.81,11.06,12.97,13.09,10.94,9.38,9.66,9.72,7.88,6.41,8.03,9.44,8.34,6.28,6.06,6.59,5.69,4.12,4.94,7.94,10.34,10.44,10.94,13.19,14.78,13.53,11.97,12.41,12.59,10.91,8.56,9.03,11.25,12.5,12.5,13.59,16.44,18.19,17.62,17.25,19.31,20.78,20.03,19.16,20.25,22.06,20.59,17.47,14.81,13.0,9.75,5.41,2.91,3.97,5.19,4.5,4.66,6.88,8.81,8.34,6.72,7.97,10.09,10.5,10.06,10.59,12.25,12.44,10.59,9.59,10.62,11.44,9.75,7.75,8.19,8.88,7.41,4.91,4.41,5.41,5.53,5.12,6.56,10.25,12.78,12.44,11.88,13.25,14.34,13.25,11.69,12.84,14.84,14.59,13.38,13.78,15.12,14.44,11.31,8.78,8.31,6.97,3.91,1.78,2.53,4.38,4.47,4.38,7.16,10.75,12.06,11.22,11.25,11.78,10.94,7.56,5.75,6.41,6.84,5.0,3.56,4.88,6.25,5.06,2.91,3.0,4.19,3.91,2.75,3.19,5.31,6.56,5.53,4.91,6.16,7.28,5.75,3.44,3.75,5.31,5.22,4.81,6.38,9.41,10.75,9.44,8.53,8.94,8.38,5.56,4.09,5.72,7.56,8.06,8.03,10.22,13.56,14.69,14.69,16.41,19.34,21.12,20.88,21.0,22.69,22.97,20.25,17.28,16.22,15.69,13.12,9.84,9.22,9.97,9.53,7.69,7.81,9.75,10.81,9.38,8.5,9.5,9.84,7.72,5.91,6.53,8.66,9.44,9.41,11.31,14.19,14.69,12.75,11.59,12.31,11.97,9.5,8.19,9.56,11.41,11.19,10.94,12.94,15.72,16.25,15.41,16.0,17.88,17.78,15.22,13.28,13.09,11.91,8.31,5.19,5.06,5.88,4.31,2.91,3.56,5.53,5.44,3.88,4.12,5.84,6.44,4.88,3.62,4.81,4.91,2.5,0.75,2.47,5.66,7.19,7.94,10.16,12.56,12.62,10.72,10.06,11.59,12.31,10.53,9.56,10.81,11.94,10.53,10.03,11.88,14.38,14.41,12.97,12.44,12.88,11.31,8.0,6.03,6.91,7.69,6.78,6.94,10.16,13.62,14.53,14.91,17.38,20.94,21.72,20.97,21.09,22.03,20.88,16.75,13.59,12.84,12.31,10.31,8.91,10.38,12.56,12.12,10.75,12.09,14.75,15.66,15.88,17.66,21.59,24.22,24.06,24.56,26.81,28.06,26.66,24.81,24.75,25.34,23.09,19.97,18.81,18.94,16.97,13.34,11.12,11.41,11.5,10.41,10.69,14.28,17.97,18.56,18.12,19.47,20.78,19.59,17.06,16.69,17.72,17.06,14.94,13.75,15.19,16.06,15.0,13.91,15.41,17.09,15.84,14.0,14.31,15.38,14.41,12.16,11.91,13.25,13.38,12.03,11.25,12.97,13.97,12.38,10.69,11.75,13.62,13.75,13.56,15.44,18.22,19.03,17.91,17.44,19.19,19.5,17.84,17.0,18.69,19.72,18.44,16.47,16.0,16.22,13.41,9.88,8.47,9.06,8.62,7.12,7.25,9.47,11.0,9.91,8.53,10.31,11.34,9.97,7.88,8.25,9.44,8.72,7.25,8.16,11.0,12.34,11.44,10.69,12.06,12.16,9.88,7.28,7.62,7.97,6.09,3.66,3.84,5.94,6.28,6.25,8.0,11.97,14.5,13.97,13.38,14.03,13.69,10.84,7.66,7.69,9.03,8.31,7.34,8.59,11.38,11.91,10.62,10.31,12.25,13.25,12.62,12.88,16.47,19.75,19.88,18.38,18.56,18.56,16.84,14.56,14.66,16.88,17.25,15.22,13.44,13.09,12.22,9.28,8.06,10.53,13.72,14.78,14.94,17.06,19.78,20.59,19.5,19.78,21.38,21.53,19.09,17.66,18.62,18.84,16.03,12.94,12.31,12.09,9.81,6.97,6.47,6.97,5.94,3.41,2.72,4.16,4.81,3.5,3.44,5.53,7.31,6.75,6.25,7.84,10.25,11.31,10.94,12.59,15.28,15.28,12.78,10.69,10.31,8.66,5.16,2.03,2.06,2.03,-0.31,-3.16,-3.47,-3.0,-3.88,-6.16,-5.88,-3.91,-2.94,-3.66,-3.22,-0.19,2.09,1.94,2.0,4.84,7.97,8.28,7.59,8.94,10.53,10.31,8.44,8.31,9.59,9.34,6.56,5.0,5.66,6.06,4.47,2.97,3.97,5.31,4.66,3.06,4.12,6.38,7.16,6.31,6.69,8.47,9.03,7.06,5.84,7.38,8.84,8.06,7.03,8.41,10.56,10.88,10.44,12.06,14.72,15.56,14.16,13.31,14.75,15.62,14.53,14.03,16.22,18.19,17.06,15.28,15.28,16.06,15.22,13.62,14.16,16.56,17.28,16.06,15.53,16.41,16.56,13.81,11.44,11.03,11.25,9.5,7.12,7.31,8.56,8.06,6.5,6.94,9.0,10.62,10.19,10.66,12.91,14.44,12.69,10.88,10.78,11.25,9.62,7.22,6.91,7.75,7.47,6.03,6.25,9.34,11.22,10.69,10.06,11.19,11.94,10.47,8.66,9.62,11.91,11.44,9.56,9.0,9.66,8.88,6.34,5.31,7.25,9.09,8.38,7.62,8.69,9.66,8.16,6.47,7.25,9.62,10.19,9.38,10.31,12.53,13.69,12.88,12.72,14.75,16.09,14.91,13.28,13.91,15.06,12.81,9.94,9.12,9.03,7.75,4.88,3.94,4.94,5.34,4.31,4.59,36.34,33.25,30.91,30.19,30.53,29.88,29.09,29.94,32.19,33.25,33.06,33.88,35.78,36.38,35.09,33.84,34.12,34.41,33.09,32.25,33.66,35.91,37.06,37.81,39.47,41.72,41.91,40.38:4.22,3.0,3.66,5.56,4.84,3.0,2.44,3.47,3.56,1.66,0.5,2.0,3.31,2.19,1.47,4.12,7.56,8.28,7.97,8.72,10.09,8.97,6.31,5.53,7.03,8.12,7.22,6.78,9.12,10.84,9.38,7.12,7.31,7.94,6.06,3.44,2.59,3.34,2.5,0.59,0.0,2.06,3.28,1.88,0.81,2.53,4.84,4.91,5.16,7.97,11.56,12.94,12.34,12.88,14.47,14.31,11.38,9.44,10.0,10.66,9.19,8.28,10.19,12.66,12.53,11.91,13.53,16.25,16.62,15.66,15.72,17.03,17.0,14.47,12.5,12.69,12.34,9.34,5.5,3.75,2.25,-1.0,-4.88,-5.81,-3.75,-3.25,-4.06,-3.69,-1.09,-0.09,-2.03,-3.81,-2.69,-1.03,-1.44,-1.31,1.62,5.56,7.09,7.03,8.38,10.66,10.72,7.94,5.19,4.5,3.12,-0.88,-3.88,-3.97,-3.22,-4.38,-6.28,-5.12,-2.56,-1.41,-1.72,-0.34,2.88,4.88,4.28,3.81,5.56,6.28,4.66,2.66,3.62,5.88,6.0,5.16,6.84,9.25,9.84,7.62,5.97,5.62,3.53,-0.81,-4.44,-4.72,-4.72,-6.53,-8.62,-7.81,-6.03,-6.34,-7.19,-5.97,-2.62,-0.06,0.66,2.41,6.19,8.62,8.31,7.78,9.66,11.72,11.28,9.88,10.03,11.0,9.91,8.0,8.12,10.22,11.22,9.38,7.84,7.84,7.19,4.12,1.06,0.94,1.81,0.78,-1.0,-0.78,0.69,0.69,-0.75,-0.66,1.78,3.59,3.31,3.22,5.56,7.81,7.12,5.47,5.59,6.06,4.34,1.03,-0.34,0.16,-0.72,-3.38,-5.0,-4.22,-3.62,-5.28,-6.5,-5.09,-3.34,-4.5,-6.75,-6.88,-5.75,-5.81,-7.28,-6.75,-4.44,-3.69,-5.53,-6.56,-5.47,-4.62,-6.41,-8.0,-6.75,-4.84,-4.28,-4.41,-2.25,1.03,2.19,1.03,1.59,3.78,5.25,4.56,4.69,6.94,8.75,7.81,6.19,6.75,7.66,6.75,4.75,4.66,6.06,6.12,4.19,3.72,5.41,6.59,5.84,5.59,7.97,10.12,9.16,7.06,6.16,6.16,4.41,1.69,1.41,3.38,4.56,3.84,4.28,6.72,8.81,8.34,7.91,9.66,11.97,11.19,9.38,9.0,9.88,9.59,8.47,9.19,12.38,14.94,14.47,13.97,15.12,15.66,13.47,10.78,10.88,11.38,10.59,8.91,9.06,10.97,11.72,11.09,11.22,13.38,14.53,12.66,9.97,9.47,8.59,5.66,2.34,1.94,3.34,3.56,3.03,3.72,6.44,7.84,7.03,6.94,8.84,9.84,8.47,6.78,7.41,8.53,7.72,6.53,7.66,9.97,10.56,9.0,8.25,8.5,7.75,5.0,3.53,4.5,6.34,6.03,5.47,6.88,9.06,8.59,6.75,6.47,7.44,7.06,5.22,4.62,6.22,7.28,6.03,5.12,6.47,7.88,6.94,5.06,4.72,5.0,2.81,-0.56,-2.28,-1.88,-2.16,-3.62,-4.34,-2.12,-0.56,-1.62,-2.62,-1.69,0.5,0.84,0.84,2.81,6.25,7.84,7.75,9.12,13.19,16.59,17.5,18.5,20.62,21.5,18.78,15.31,13.84,13.88,12.16,9.59,8.5,8.84,7.41,3.91,1.78,2.34,3.06,2.09,2.31,5.69,9.31,10.78,11.22,13.53,16.38,16.94,16.03,16.31,17.78,17.47,14.59,12.22,11.19,9.75,6.53,3.31,3.19,3.84,2.41,0.06,-0.81,-0.66,-1.78,-3.5,-4.03,-1.69,0.31,0.38,1.84,5.44,8.94,9.75,9.56,10.72,12.25,12.44,11.69,12.75,15.19,15.94,14.44,13.84,15.69,17.56,17.59,18.5,21.31,23.44,22.06,19.28,17.94,17.31,15.59,13.25,12.59,13.84,13.47,10.56,8.47,8.72,8.78,6.94,5.5,6.69,8.69,8.44,7.22,7.84,9.5,9.88,8.94,9.28,11.84,13.5,12.44,11.44,12.31,13.03,10.81,8.5,8.91,10.59,10.56,9.81,11.06,12.97,13.09,10.94,9.38,9.66,9.72,7.88,6.41,8.03,9.44,8.34,6.28,6.06,6.59,5.69,4.12,4.94,7.94,10.34,10.44,10.94,13.19,14.78,13.53,11.97,12.41,12.59,10.91,8.56,9.03,11.25,12.5,12.5,13.59,16.44,18.19,17.62,17.25,19.31,20.78,20.03,19.16,20.25,22.06,20.59,17.47,14.81,13.0,9.75,5.41,2.91,3.97,5.19,4.5,4.66,6.88,8.81,8.34,6.72,7.97,10.09,10.5,10.06,10.59,12.25,12.44,10.59,9.59,10.62,11.44,9.75,7.75,8.19,8.88,7.41,4.91,4.41,5.41,5.53,5.12,6.56,10.25,12.78,12.44,11.88,13.25,14.34,13.25,11.69,12.84,14.84,14.59,13.38,13.78,15.12,14.44,11.31,8.78,8.31,6.97,3.91,1.78,2.53,4.38,4.47,4.38,7.16,10.75,12.06,11.22,11.25,11.78,10.94,7.56,5.75,6.41,6.84,5.0,3.56,4.88,6.25,5.06,2.91,3.0,4.19,3.91,2.75,3.19,5.31,6.56,5.53,4.91,6.16,7.28,5.75,3.44,3.75,5.31,5.22,4.81,6.38,9.41,10.75,9.44,8.53,8.94,8.38,5.56,4.09,5.72,7.56,8.06,8.03,10.22,13.56,14.69,14.69,16.41,19.34,21.12,20.88,21.0,22.69,22.97,20.25,17.28,16.22,15.69,13.12,9.84,9.22,9.97,9.53,7.69,7.81,9.75,10.81,9.38,8.5,9.5,9.84,7.72,5.91,6.53,8.66,9.44,9.41,11.31,14.19,14.69,12.75,11.59,12.31,11.97,9.5,8.19,9.56,11.41,11.19,10.94,12.94,15.72,16.25,15.41,16.0,17.88,17.78,15.22,13.28,13.09,11.91,8.31,5.19,5.06,5.88,4.31,2.91,3.56,5.53,5.44,3.88,4.12,5.84,6.44,4.88,3.62,4.81,4.91,2.5,0.75,2.47,5.66,7.19,7.94,10.16,12.56,12.62,10.72,10.06,11.59,12.31,10.53,9.56,10.81,11.94,10.53,10.03,11.88,14.38,14.41,12.97,12.44,12.88,11.31,8.0,6.03,6.91,7.69,6.78,6.94,10.16,13.62,14.53,14.91,17.38,20.94,21.72,20.97,21.09,22.03,20.88,16.75,13.59,12.84,12.31,10.31,8.91,10.38,12.56,12.12,10.75,12.09,14.75,15.66,15.88,17.66,21.59,24.22,24.06,24.56,26.81,28.06,26.66,24.81,24.75,25.34,23.09,19.97,18.81,18.94,16.97,13.34,11.12,11.41,11.5,10.41,10.69,14.28,17.97,18.56,18.12,19.47,20.78,19.59,17.06,16.69,17.72,17.06,14.94,13.75,15.19,16.06,15.0,13.91,15.41,17.09,15.84,14.0,14.31,15.38,14.41,12.16,11.91,13.25,13.38,12.03,11.25,12.97,13.97,12.38,10.69,11.75,13.62,13.75,13.56,15.44,18.22,19.03,17.91,17.44,19.19,19.5,17.84,17.0,18.69,19.72,18.44,16.47,16.0,16.22,13.41,9.88,8.47,9.06,8.62,7.12,7.25,9.47,11.0,9.91,8.53,10.31,11.34,9.97,7.88,8.25,9.44,8.72,7.25,8.16,11.0,12.34,11.44,10.69,12.06,12.16,9.88,7.28,7.62,7.97,6.09,3.66,3.84,5.94,6.28,6.25,8.0,11.97,14.5,13.97,13.38,14.03,13.69,10.84,7.66,7.69,9.03,8.31,7.34,8.59,11.38,11.91,10.62,10.31,12.25,13.25,12.62,12.88,16.47,19.75,19.88,18.38,18.56,18.56,16.84,14.56,14.66,16.88,17.25,15.22,13.44,13.09,12.22,9.28,8.06,10.53,13.72,14.78,14.94,17.06,19.78,20.59,19.5,19.78,21.38,21.53,19.09,17.66,18.62,18.84,16.03,12.94,12.31,12.09,9.81,6.97,6.47,6.97,5.94,3.41,2.72,4.16,4.81,3.5,3.44,5.53,7.31,6.75,6.25,7.84,10.25,11.31,10.94,12.59,15.28,15.28,12.78,10.69,10.31,8.66,5.16,2.03,2.06,2.03,-0.31,-3.16,-3.47,-3.0,-3.88,-6.16,-5.88,-3.91,-2.94,-3.66,-3.22,-0.19,2.09,1.94,2.0,4.84,7.97,8.28,7.59,8.94,10.53,10.31,8.44,8.31,9.59,9.34,6.56,5.0,5.66,6.06,4.47,2.97,3.97,5.31,4.66,3.06,4.12,6.38,7.16,6.31,6.69,8.47,9.03,7.06,5.84,7.38,8.84,8.06,7.03,8.41,10.56,10.88,10.44,12.06,14.72,15.56,14.16,13.31,14.75,15.62,14.53,14.03,16.22,18.19,17.06,15.28,15.28,16.06,15.22,13.62,14.16,16.56,17.28,16.06,15.53,16.41,16.56,13.81,11.44,11.03,11.25,9.5,7.12,7.31,8.56,8.06,6.5,6.94,9.0,10.62,10.19,10.66,12.91,14.44,12.69,10.88,10.78,11.25,9.62,7.22,6.91,7.75,7.47,6.03,6.25,9.34,11.22,10.69,10.06,11.19,11.94,10.47,8.66,9.62,11.91,11.44,9.56,9.0,9.66,8.88,6.34,5.31,7.25,9.09,8.38,7.62,8.69,9.66,8.16,6.47,7.25,9.62,10.19,9.38,10.31,12.53,13.69,12.88,12.72,14.75,16.09,14.91,13.28,13.91,15.06,12.81,9.94,9.12,9.03,7.75,4.88,3.94,4.94,5.34,4.31,4.59,36.34,33.25,30.91,30.19,30.53,29.88,29.09,29.94,32.19,33.25,33.06,33.88,35.78,36.38,35.09,33.84,34.12,34.41,33.09,32.25,33.66,35.91,37.06,37.81,39.47,41.72,41.91,40.38,39.06,38.66,38.34,36.16,34.62,34.94,35.41:3.47,3.56,1.66,0.5,2.0,3.31,2.19,1.47,4.12,7.56,8.28,7.97,8.72,10.09,8.97,6.31,5.53,7.03,8.12,7.22,6.78,9.12,10.84,9.38,7.12,7.31,7.94,6.06,3.44,2.59,3.34,2.5,0.59,0.0,2.06,3.28,1.88,0.81,2.53,4.84,4.91,5.16,7.97,11.56,12.94,12.34,12.88,14.47,14.31,11.38,9.44,10.0,10.66,9.19,8.28,10.19,12.66,12.53,11.91,13.53,16.25,16.62,15.66,15.72,17.03,17.0,14.47,12.5,12.69,12.34,9.34,5.5,3.75,2.25,-1.0,-4.88,-5.81,-3.75,-3.25,-4.06,-3.69,-1.09,-0.09,-2.03,-3.81,-2.69,-1.03,-1.44,-1.31,1.62,5.56,7.09,7.03,8.38,10.66,10.72,7.94,5.19,4.5,3.12,-0.88,-3.88,-3.97,-3.22,-4.38,-6.28,-5.12,-2.56,-1.41,-1.72,-0.34,2.88,4.88,4.28,3.81,5.56,6.28,4.66,2.66,3.62,5.88,6.0,5.16,6.84,9.25,9.84,7.62,5.97,5.62,3.53,-0.81,-4.44,-4.72,-4.72,-6.53,-8.62,-7.81,-6.03,-6.34,-7.19,-5.97,-2.62,-0.06,0.66,2.41,6.19,8.62,8.31,7.78,9.66,11.72,11.28,9.88,10.03,11.0,9.91,8.0,8.12,10.22,11.22,9.38,7.84,7.84,7.19,4.12,1.06,0.94,1.81,0.78,-1.0,-0.78,0.69,0.69,-0.75,-0.66,1.78,3.59,3.31,3.22,5.56,7.81,7.12,5.47,5.59,6.06,4.34,1.03,-0.34,0.16,-0.72,-3.38,-5.0,-4.22,-3.62,-5.28,-6.5,-5.09,-3.34,-4.5,-6.75,-6.88,-5.75,-5.81,-7.28,-6.75,-4.44,-3.69,-5.53,-6.56,-5.47,-4.62,-6.41,-8.0,-6.75,-4.84,-4.28,-4.41,-2.25,1.03,2.19,1.03,1.59,3.78,5.25,4.56,4.69,6.94,8.75,7.81,6.19,6.75,7.66,6.75,4.75,4.66,6.06,6.12,4.19,3.72,5.41,6.59,5.84,5.59,7.97,10.12,9.16,7.06,6.16,6.16,4.41,1.69,1.41,3.38,4.56,3.84,4.28,6.72,8.81,8.34,7.91,9.66,11.97,11.19,9.38,9.0,9.88,9.59,8.47,9.19,12.38,14.94,14.47,13.97,15.12,15.66,13.47,10.78,10.88,11.38,10.59,8.91,9.06,10.97,11.72,11.09,11.22,13.38,14.53,12.66,9.97,9.47,8.59,5.66,2.34,1.94,3.34,3.56,3.03,3.72,6.44,7.84,7.03,6.94,8.84,9.84,8.47,6.78,7.41,8.53,7.72,6.53,7.66,9.97,10.56,9.0,8.25,8.5,7.75,5.0,3.53,4.5,6.34,6.03,5.47,6.88,9.06,8.59,6.75,6.47,7.44,7.06,5.22,4.62,6.22,7.28,6.03,5.12,6.47,7.88,6.94,5.06,4.72,5.0,2.81,-0.56,-2.28,-1.88,-2.16,-3.62,-4.34,-2.12,-0.56,-1.62,-2.62,-1.69,0.5,0.84,0.84,2.81,6.25,7.84,7.75,9.12,13.19,16.59,17.5,18.5,20.62,21.5,18.78,15.31,13.84,13.88,12.16,9.59,8.5,8.84,7.41,3.91,1.78,2.34,3.06,2.09,2.31,5.69,9.31,10.78,11.22,13.53,16.38,16.94,16.03,16.31,17.78,17.47,14.59,12.22,11.19,9.75,6.53,3.31,3.19,3.84,2.41,0.06,-0.81,-0.66,-1.78,-3.5,-4.03,-1.69,0.31,0.38,1.84,5.44,8.94,9.75,9.56,10.72,12.25,12.44,11.69,12.75,15.19,15.94,14.44,13.84,15.69,17.56,17.59,18.5,21.31,23.44,22.06,19.28,17.94,17.31,15.59,13.25,12.59,13.84,13.47,10.56,8.47,8.72,8.78,6.94,5.5,6.69,8.69,8.44,7.22,7.84,9.5,9.88,8.94,9.28,11.84,13.5,12.44,11.44,12.31,13.03,10.81,8.5,8.91,10.59,10.56,9.81,11.06,12.97,13.09,10.94,9.38,9.66,9.72,7.88,6.41,8.03,9.44,8.34,6.28,6.06,6.59,5.69,4.12,4.94,7.94,10.34,10.44,10.94,13.19,14.78,13.53,11.97,12.41,12.59,10.91,8.56,9.03,11.25,12.5,12.5,13.59,16.44,18.19,17.62,17.25,19.31,20.78,20.03,19.16,20.25,22.06,20.59,17.47,14.81,13.0,9.75,5.41,2.91,3.97,5.19,4.5,4.66,6.88,8.81,8.34,6.72,7.97,10.09,10.5,10.06,10.59,12.25,12.44,10.59,9.59,10.62,11.44,9.75,7.75,8.19,8.88,7.41,4.91,4.41,5.41,5.53,5.12,6.56,10.25,12.78,12.44,11.88,13.25,14.34,13.25,11.69,12.84,14.84,14.59,13.38,13.78,15.12,14.44,11.31,8.78,8.31,6.97,3.91,1.78,2.53,4.38,4.47,4.38,7.16,10.75,12.06,11.22,11.25,11.78,10.94,7.56,5.75,6.41,6.84,5.0,3.56,4.88,6.25,5.06,2.91,3.0,4.19,3.91,2.75,3.19,5.31,6.56,5.53,4.91,6.16,7.28,5.75,3.44,3.75,5.31,5.22,4.81,6.38,9.41,10.75,9.44,8.53,8.94,8.38,5.56,4.09,5.72,7.56,8.06,8.03,10.22,13.56,14.69,14.69,16.41,19.34,21.12,20.88,21.0,22.69,22.97,20.25,17.28,16.22,15.69,13.12,9.84,9.22,9.97,9.53,7.69,7.81,9.75,10.81,9.38,8.5,9.5,9.84,7.72,5.91,6.53,8.66,9.44,9.41,11.31,14.19,14.69,12.75,11.59,12.31,11.97,9.5,8.19,9.56,11.41,11.19,10.94,12.94,15.72,16.25,15.41,16.0,17.88,17.78,15.22,13.28,13.09,11.91,8.31,5.19,5.06,5.88,4.31,2.91,3.56,5.53,5.44,3.88,4.12,5.84,6.44,4.88,3.62,4.81,4.91,2.5,0.75,2.47,5.66,7.19,7.94,10.16,12.56,12.62,10.72,10.06,11.59,12.31,10.53,9.56,10.81,11.94,10.53,10.03,11.88,14.38,14.41,12.97,12.44,12.88,11.31,8.0,6.03,6.91,7.69,6.78,6.94,10.16,13.62,14.53,14.91,17.38,20.94,21.72,20.97,21.09,22.03,20.88,16.75,13.59,12.84,12.31,10.31,8.91,10.38,12.56,12.12,10.75,12.09,14.75,15.66,15.88,17.66,21.59,24.22,24.06,24.56,26.81,28.06,26.66,24.81,24.75,25.34,23.09,19.97,18.81,18.94,16.97,13.34,11.12,11.41,11.5,10.41,10.69,14.28,17.97,18.56,18.12,19.47,20.78,19.59,17.06,16.69,17.72,17.06,14.94,13.75,15.19,16.06,15.0,13.91,15.41,17.09,15.84,14.0,14.31,15.38,14.41,12.16,11.91,13.25,13.38,12.03,11.25,12.97,13.97,12.38,10.69,11.75,13.62,13.75,13.56,15.44,18.22,19.03,17.91,17.44,19.19,19.5,17.84,17.0,18.69,19.72,18.44,16.47,16.0,16.22,13.41,9.88,8.47,9.06,8.62,7.12,7.25,9.47,11.0,9.91,8.53,10.31,11.34,9.97,7.88,8.25,9.44,8.72,7.25,8.16,11.0,12.34,11.44,10.69,12.06,12.16,9.88,7.28,7.62,7.97,6.09,3.66,3.84,5.94,6.28,6.25,8.0,11.97,14.5,13.97,13.38,14.03,13.69,10.84,7.66,7.69,9.03,8.31,7.34,8.59,11.38,11.91,10.62,10.31,12.25,13.25,12.62,12.88,16.47,19.75,19.88,18.38,18.56,18.56,16.84,14.56,14.66,16.88,17.25,15.22,13.44,13.09,12.22,9.28,8.06,10.53,13.72,14.78,14.94,17.06,19.78,20.59,19.5,19.78,21.38,21.53,19.09,17.66,18.62,18.84,16.03,12.94,12.31,12.09,9.81,6.97,6.47,6.97,5.94,3.41,2.72,4.16,4.81,3.5,3.44,5.53,7.31,6.75,6.25,7.84,10.25,11.31,10.94,12.59,15.28,15.28,12.78,10.69,10.31,8.66,5.16,2.03,2.06,2.03,-0.31,-3.16,-3.47,-3.0,-3.88,-6.16,-5.88,-3.91,-2.94,-3.66,-3.22,-0.19,2.09,1.94,2.0,4.84,7.97,8.28,7.59,8.94,10.53,10.31,8.44,8.31,9.59,9.34,6.56,5.0,5.66,6.06,4.47,2.97,3.97,5.31,4.66,3.06,4.12,6.38,7.16,6.31,6.69,8.47,9.03,7.06,5.84,7.38,8.84,8.06,7.03,8.41,10.56,10.88,10.44,12.06,14.72,15.56,14.16,13.31,14.75,15.62,14.53,14.03,16.22,18.19,17.06,15.28,15.28,16.06,15.22,13.62,14.16,16.56,17.28,16.06,15.53,16.41,16.56,13.81,11.44,11.03,11.25,9.5,7.12,7.31,8.56,8.06,6.5,6.94,9.0,10.62,10.19,10.66,12.91,14.44,12.69,10.88,10.78,11.25,9.62,7.22,6.91,7.75,7.47,6.03,6.25,9.34,11.22,10.69,10.06,11.19,11.94,10.47,8.66,9.62,11.91,11.44,9.56,9.0,9.66,8.88,6.34,5.31,7.25,9.09,8.38,7.62,8.69,9.66,8.16,6.47,7.25,9.62,10.19,9.38,10.31,12.53,13.69,12.88,12.72,14.75,16.09,14.91,13.28,13.91,15.06,12.81,9.94,9.12,9.03,7.75,4.88,3.94,4.94,5.34,4.31,4.59,36.34,33.25,30.91,30.19,30.53,29.88,29.09,29.94,32.19,33.25,33.06,33.88,35.78,36.38,35.09,33.84,34.12,34.41,33.09,32.25,33.66,35.91,37.06,37.81,39.47,41.72,41.91,40.38,39.06,38.66,38.34,36.16,34.62,34.94,35.41,34.0,32.28,31.97,32.62,31.44,30.19,29.88:negativity
27.09,26.88,28.78,29.94,28.47,26.91,26.94,27.59,26.0,23.81,23.84,25.38,25.56,24.12,23.53,24.44,24.84,22.81,21.5,22.75,23.94,22.44,20.34,20.12,20.59,19.25,17.0,17.25,19.09,19.97,19.41,19.41,21.44,22.69,20.88,18.94,19.0,19.19,17.06,14.47,14.53,16.53,17.38,17.41,19.03,21.94,23.31,22.25,21.41,22.56,23.5,21.88,20.31,20.72,22.0,21.69,20.91,22.06,24.19,24.75,22.75,22.03,23.12,23.62,21.62,20.34,20.59,20.41,17.75,14.94,14.84,16.06,16.06,15.47,17.16,20.16,22.0,21.47,21.66,23.84,25.53,24.69,24.09,25.31,26.22,24.44,21.56,20.62,20.94,20.12,18.09,17.56,18.84,19.41,18.53,18.5,20.97,23.12,22.5,21.09,21.38,21.78,20.75,19.59,20.34,22.56,22.75,21.44,20.22,20.22,19.5,16.88,14.97,15.81,17.41,17.34,16.53,17.38,18.75,17.47,15.38,15.06,16.44,17.16,16.19,16.03,17.44,18.91,18.06,17.66,19.66,22.69,23.69,23.56,24.75,26.53,25.56,22.5,19.81,18.91,16.69,13.09,9.78,9.34,9.06,7.03,5.97,7.06,9.5,10.75,10.28,11.81,14.56,15.16,14.0,13.25,13.97,13.81,11.62,10.84,13.03,16.25,18.16,19.94,23.28,27.62,29.47,29.84,31.16,33.53,34.12,31.94,29.84,29.47,28.09,24.47,20.81,19.62,19.22,17.31,14.97,14.78,16.5,16.69,16.12,16.94,20.34,23.56,24.75,25.88,29.28,31.69,30.84,28.94,27.69,26.53,23.56,19.97,18.47,20.16,21.0,20.75,21.81,24.84,26.78,26.03,24.69,25.0,25.62,24.53,23.44,24.31,26.34,25.97,24.09,22.88,23.47,23.62,22.44,21.91,23.56,24.62,23.28,21.5,22.56,24.72,25.72,26.25,28.53,31.47,32.53,31.34,30.78,31.84,31.84,29.91,28.38,29.66,30.78,29.59,27.5,27.22,27.0,25.62,23.12,22.25,22.91,22.06,19.41,17.12,16.88,16.44,14.12,11.5,11.59,12.66,11.78,10.88,12.22,14.84,16.31,16.28,17.34,19.5,19.94,17.75,15.97,16.28,17.19,16.34,16.12,18.31,20.69,21.03,20.03,20.03,20.75,20.47,18.03,16.38,16.66,16.22,14.12,12.72,14.0,15.78,15.44,14.94,16.31,18.09,18.0,16.22,15.59,16.84,17.28,16.5,17.09,19.53,21.41,20.12,17.38,16.41,15.09,11.72,8.19,7.12,7.88,8.16,7.34,8.09,10.62,12.22,11.72,11.5,13.72,15.59,15.34,14.25,15.53,17.06,16.47,14.84,14.53,15.75,15.59,13.59,12.91,13.69,13.66,11.12,8.53,8.12,8.06,6.47,4.47,5.25,7.47,8.19,7.69,8.69,10.53,11.19,9.59,8.75,9.81,11.28,10.5,9.44,10.25,11.09,9.44,6.56,5.72,6.12,5.69,3.91,3.41,4.62,4.78,2.75,1.97,3.53,6.16,7.25,8.53,11.59,14.81,14.78,12.78,11.53,11.53,10.5,7.75,7.0,8.59,9.84,8.78,7.72,8.41,9.81,8.28,6.31,6.41,7.5,6.88,4.81,4.53,5.72,5.88,4.22,3.47,4.78,6.0,5.44,4.94,6.5,8.59,8.03,6.03,5.22,5.56,4.06,0.84,-0.25,0.81,1.66,0.47,0.25,2.56,4.88,5.12,5.62,7.62,10.22,10.12,8.47,7.94,8.75,8.31,5.97,4.78,5.69,6.5,5.25,4.78,7.34,10.34,11.38,11.41,13.16,15.12,14.53,12.62,12.16,12.91,12.81,10.47,9.09,9.28,9.69,8.03,6.25,7.06,8.19,7.53,5.53,5.34,6.5,6.31,4.62,4.56,7.22,9.31,9.06,10.09,12.84,15.28,14.53,13.56,14.38,15.62,14.31,11.69,9.69,8.59,5.5,0.66,-2.69,-3.25,-2.94,-4.06,-3.72,-0.16,4.16,6.12,7.5,10.22,13.31,13.75,12.34,12.41,13.97,14.16,12.09,10.94,11.25,11.22,8.44,5.72,5.16,5.84,4.31,2.62,3.16,5.31,6.25,5.5,6.03,7.94,8.28,6.66,4.47,5.12,6.41,5.47,5.09,7.12,10.41,11.44,11.69,13.25,16.28,17.41,16.88,16.5,17.69,17.56,14.78,11.34,10.38,9.94,7.22,4.66,4.47,5.31,4.09,1.75,1.19,2.72,4.12,3.78,4.53,7.34,9.31,8.0,5.88,6.44,7.25,6.16,5.09,6.28,8.97,10.44,10.25,11.0,13.47,14.12,12.34,10.62,11.03,11.47,9.66,7.94,8.62,10.44,10.25,8.94,9.06,10.62,10.06,7.47,5.56,6.34,7.22,6.5,6.88,9.69,12.69,13.03,12.5,13.84,16.16,16.12,14.53,14.22,15.56,15.25,13.31,11.81,12.62,12.66,10.19,7.47,7.03,6.72,4.88,2.25,2.94,5.28,6.12,5.44,6.19,8.12,9.47,9.38,10.06,13.59,17.06,18.09,18.28,19.72,20.91,19.44,16.25,14.81,15.25,14.28,11.81,10.47,11.59,12.12,10.28,8.91,10.19,11.19,10.47,9.72,11.25,14.22,15.16,14.88,16.28,19.0,20.03,18.44,16.97,17.09,16.41,14.0,12.22,13.56,15.91,16.22,15.75,17.47,20.12,20.75,19.69,19.28,19.72,18.47,14.38,10.97,10.34,10.28,9.09,8.09,10.47,13.59,14.38,13.53,13.97,14.72,13.5,10.91,10.72,13.62,16.72,17.94,19.38,22.41,24.81,23.81,21.59,21.19,20.84,18.44,14.88,13.56,14.28,14.19,12.53,11.56,12.34,12.34,9.38,6.53,6.16,6.41,5.75,4.81,6.88,10.28,11.72,11.06,10.56,11.47,10.69,7.44,5.72,7.53,9.62,10.44,11.47,14.53,17.78,17.97,15.88,15.62,16.47,16.38,15.47,16.28,19.16,20.75,19.75,18.38,18.5,18.28,15.25,11.78,10.19,9.59,7.16,3.78,2.38,3.22,3.81,3.28,4.22,7.53,9.97,9.22,8.34,9.03,9.91,8.88,7.41,8.38,10.94,12.38,12.0,13.28,15.97,17.22,15.78,15.19,16.41,16.84,14.88,12.91,13.69,15.72,15.62,15.41,17.28,20.19,21.28,20.25,20.81,22.88,23.91,22.53,21.41,22.28,23.12,21.25,18.81,18.47,17.88,15.06,11.31,9.25,8.59,6.97,3.66,1.81,2.5,2.97,2.19,2.88,6.53,11.0,13.28,14.75,17.62,20.75,21.03,19.62,19.28,20.38,20.34,18.28,17.06,17.56,17.53,14.78,12.0,11.53,11.56,10.03,7.62,7.12,7.78,7.06,4.66,3.78,5.31,6.56,6.0,6.28,8.44,9.88,8.53,6.31,6.06,6.75,5.69,4.47,5.22,7.75,9.25,9.47,10.72,14.12,16.31,15.91,15.62,16.88,18.19,17.38,16.19,17.25,19.25,19.47,18.5,18.41,19.59,19.44,16.78,14.62,13.84,12.47,8.53,4.72,3.0,2.97,1.38,0.31,2.12,5.56,7.31,7.5,8.75,11.44,13.47,13.91,14.53,17.28,19.25,18.16,16.56,16.69,17.47,16.09,13.56,12.84,13.12,11.62,8.66,6.53,6.81,6.53,5.09,4.12,6.06,8.88,9.31,9.75,12.34,16.53,18.81,19.62,21.41,24.09,24.19,21.16,18.38,17.72,16.81,14.22,12.97,14.5,16.31,15.62,13.97,13.34,13.62,12.34,9.84,9.25,11.09,11.94,10.75,10.12,11.66,13.44,13.28,13.5,16.25,19.47,20.34,20.0,20.91,22.75,23.44,22.62,22.84,25.19,26.75,25.81,25.41,26.81,27.75,26.16,24.0,23.47,23.34,21.28,18.41,17.31,18.22,17.81,16.56,16.75,18.72,20.44,19.59,19.09,20.28,21.94,21.62,20.59,22.16,25.03,26.44,26.25,27.59,30.44,31.69,30.5,29.69,30.34,29.88,27.03,24.28,24.12,24.88,24.06,22.94,23.81,25.5,26.03,23.81,22.22,21.91,20.19,16.53,13.69,14.03,14.91,14.06,13.31,15.12,17.41,17.44,16.84,17.44,19.16,19.38,17.78,16.72,17.44,17.22,14.78,12.28,12.28,13.19,11.81,10.19,10.31,11.66,11.44,10.25,10.66,12.78,13.41,11.84,10.53,11.06,11.25,9.53,8.06,9.38,11.28,11.53,10.75,11.5,12.56,12.44,10.66,9.81,10.84,11.53,10.16,9.69,11.47,13.03,12.25,11.09,12.53,14.38,14.47,13.69,14.16,15.53,15.19,13.06,12.31,13.66,14.88,14.72,15.44,18.62,21.22,21.44,20.69,21.53,23.12,22.97,21.72,22.22,24.19,25.09,24.38,24.25,26.22,27.59,26.44,25.28,26.19,27.06,26.28,24.62,25.31,27.44,28.56,28.38,29.41,31.12,31.47,29.47,27.22,27.53,27.78,26.06,24.66,25.75,27.84,28.44,27.66,28.44,29.84,29.41,27.25,26.16,27.06,27.25,25.59,24.88,26.72,29.22,29.62,29.69,31.03,33.0,32.59,30.25,29.47,29.78,28.44,25.66,23.38,23.53,23.84,22.66,21.97,24.31,27.69,29.25,30.41,33.06,35.72,36.0,33.78,32.38,32.09,31.31,27.97,25.31,24.78,23.69,20.53,17.97,18.19,19.5,19.25,18.62,20.03,21.91,22.56,21.38,21.25,22.84,23.78,22.53,22.09,23.59,24.81,23.44,21.41,21.28,22.09,21.38,19.94,20.75,22.84,23.66,22.5,22.0,22.75,23.06,20.53,18.78,19.16,19.47,18.06,16.09,16.56,18.44,19.12,18.59,20.06,22.69,24.19,23.53,23.44,25.03,26.09,24.47,22.94,23.75:27.59,26.0,23.81,23.84,25.38,25.56,24.12,23.53,24.44,24.84,22.81,21.5,22.75,23.94,22.44,20.34,20.12,20.59,19.25,17.0,17.25,19.09,19.97,19.41,19.41,21.44,22.69,20.88,18.94,19.0,19.19,17.06,14.47,14.53,16.53,17.38,17.41,19.03,21.94,23.31,22.25,21.41,22.56,23.5,21.88,20.31,20.72,22.0,21.69,20.91,22.06,24.19,24.75,22.75,22.03,23.12,23.62,21.62,20.34,20.59,20.41,17.75,14.94,14.84,16.06,16.06,15.47,17.16,20.16,22.0,21.47,21.66,23.84,25.53,24.69,24.09,25.31,26.22,24.44,21.56,20.62,20.94,20.12,18.09,17.56,18.84,19.41,18.53,18.5,20.97,23.12,22.5,21.09,21.38,21.78,20.75,19.59,20.34,22.56,22.75,21.44,20.22,20.22,19.5,16.88,14.97,15.81,17.41,17.34,16.53,17.38,18.75,17.47,15.38,15.06,16.44,17.16,16.19,16.03,17.44,18.91,18.06,17.66,19.66,22.69,23.69,23.56,24.75,26.53,25.56,22.5,19.81,18.91,16.69,13.09,9.78,9.34,9.06,7.03,5.97,7.06,9.5,10.75,10.28,11.81,14.56,15.16,14.0,13.25,13.97,13.81,11.62,10.84,13.03,16.25,18.16,19.94,23.28,27.62,29.47,29.84,31.16,33.53,34.12,31.94,29.84,29.47,28.09,24.47,20.81,19.62,19.22,17.31,14.97,14.78,16.5,16.69,16.12,16.94,20.34,23.56,24.75,25.88,29.28,31.69,30.84,28.94,27.69,26.53,23.56,19.97,18.47,20.16,21.0,20.75,21.81,24.84,26.78,26.03,24.69,25.0,25.62,24.53,23.44,24.31,26.34,25.97,24.09,22.88,23.47,23.62,22.44,21.91,23.56,24.62,23.28,21.5,22.56,24.72,25.72,26.25,28.53,31.47,32.53,31.34,30.78,31.84,31.84,29.91,28.38,29.66,30.78,29.59,27.5,27.22,27.0,25.62,23.12,22.25,22.91,22.06,19.41,17.12,16.88,16.44,14.12,11.5,11.59,12.66,11.78,10.88,12.22,14.84,16.31,16.28,17.34,19.5,19.94,17.75,15.97,16.28,17.19,16.34,16.12,18.31,20.69,21.03,20.03,20.03,20.75,20.47,18.03,16.38,16.66,16.22,14.12,12.72,14.0,15.78,15.44,14.94,16.31,18.09,18.0,16.22,15.59,16.84,17.28,16.5,17.09,19.53,21.41,20.12,17.38,16.41,15.09,11.72,8.19,7.12,7.88,8.16,7.34,8.09,10.62,12.22,11.72,11.5,13.72,15.59,15.34,14.25,15.53,17.06,16.47,14.84,14.53,15.75,15.59,13.59,12.91,13.69,13.66,11.12,8.53,8.12,8.06,6.47,4.47,5.25,7.47,8.19,7.69,8.69,10.53,11.19,9.59,8.75,9.81,11.28,10.5,9.44,10.25,11.09,9.44,6.56,5.72,6.12,5.69,3.91,3.41,4.62,4.78,2.75,1.97,3.53,6.16,7.25,8.53,11.59,14.81,14.78,12.78,11.53,11.53,10.5,7.75,7.0,8.59,9.84,8.78,7.72,8.41,9.81,8.28,6.31,6.41,7.5,6.88,4.81,4.53,5.72,5.88,4.22,3.47,4.78,6.0,5.44,4.94,6.5,8.59,8.03,6.03,5.22,5.56,4.06,0.84,-0.25,0.81,1.66,0.47,0.25,2.56,4.88,5.12,5.62,7.62,10.22,10.12,8.47,7.94,8.75,8.31,5.97,4.78,5.69,6.5,5.25,4.78,7.34,10.34,11.38,11.41,13.16,15.12,14.53,12.62,12.16,12.91,12.81,10.47,9.09,9.28,9.69,8.03,6.25,7.06,8.19,7.53,5.53,5.34,6.5,6.31,4.62,4.56,7.22,9.31,9.06,10.09,12.84,15.28,14.53,13.56,14.38,15.62,14.31,11.69,9.69,8.59,5.5,0.66,-2.69,-3.25,-2.94,-4.06,-3.72,-0.16,4.16,6.12,7.5,10.22,13.31,13.75,12.34,12.41,13.97,14.16,12.09,10.94,11.25,11.22,8.44,5.72,5.16,5.84,4.31,2.62,3.16,5.31,6.25,5.5,6.03,7.94,8.28,6.66,4.47,5.12,6.41,5.47,5.09,7.12,10.41,11.44,11.69,13.25,16.28,17.41,16.88,16.5,17.69,17.56,14.78,11.34,10.38,9.94,7.22,4.66,4.47,5.31,4.09,1.75,1.19,2.72,4.12,3.78,4.53,7.34,9.31,8.0,5.88,6.44,7.25,6.16,5.09,6.28,8.97,10.44,10.25,11.0,13.47,14.12,12.34,10.62,11.03,11.47,9.66,7.94,8.62,10.44,10.25,8.94,9.06,10.62,10.06,7.47,5.56,6.34,7.22,6.5,6.88,9.69,12.69,13.03,12.5,13.84,16.16,16.12,14.53,14.22,15.56,15.25,13.31,11.81,12.62,12.66,10.19,7.47,7.03,6.72,4.88,2.25,2.94,5.28,6.12,5.44,6.19,8.12,9.47,9.38,10.06,13.59,17.06,18.09,18.28,19.72,20.91,19.44,16.25,14.81,15.25,14.28,11.81,10.47,11.59,12.12,10.28,8.91,10.19,11.19,10.47,9.72,11.25,14.22,15.16,14.88,16.28,19.0,20.03,18.44,16.97,17.09,16.41,14.0,12.22,13.56,15.91,16.22,15.75,17.47,20.12,20.75,19.69,19.28,19.72,18.47,14.38,10.97,10.34,10.28,9.09,8.09,10.47,13.59,14.38,13.53,13.97,14.72,13.5,10.91,10.72,13.62,16.72,17.94,19.38,22.41,24.81,23.81,21.59,21.19,20.84,18.44,14.88,13.56,14.28,14.19,12.53,11.56,12.34,12.34,9.38,6.53,6.16,6.41,5.75,4.81,6.88,10.28,11.72,11.06,10.56,11.47,10.69,7.44,5.72,7.53,9.62,10.44,11.47,14.53,17.78,17.97,15.88,15.62,16.47,16.38,15.47,16.28,19.16,20.75,19.75,18.38,18.5,18.28,15.25,11.78,10.19,9.59,7.16,3.78,2.38,3.22,3.81,3.28,4.22,7.53,9.97,9.22,8.34,9.03,9.91,8.88,7.41,8.38,10.94,12.38,12.0,13.28,15.97,17.22,15.78,15.19,16.41,16.84,14.88,12.91,13.69,15.72,15.62,15.41,17.28,20.19,21.28,20.25,20.81,22.88,23.91,22.53,21.41,22.28,23.12,21.25,18.81,18.47,17.88,15.06,11.31,9.25,8.59,6.97,3.66,1.81,2.5,2.97,2.19,2.88,6.53,11.0,13.28,14.75,17.62,20.75,21.03,19.62,19.28,20.38,20.34,18.28,17.06,17.56,17.53,14.78,12.0,11.53,11.56,10.03,7.62,7.12,7.78,7.06,4.66,3.78,5.31,6.56,6.0,6.28,8.44,9.88,8.53,6.31,6.06,6.75,5.69,4.47,5.22,7.75,9.25,9.47,10.72,14.12,16.31,15.91,15.62,16.88,18.19,17.38,16.19,17.25,19.25,19.47,18.5,18.41,19.59,19.44,16.78,14.62,13.84,12.47,8.53,4.72,3.0,2.97,1.38,0.31,2.12,5.56,7.31,7.5,8.75,11.44,13.47,13.91,14.53,17.28,19.25,18.16,16.56,16.69,17.47,16.09,13.56,12.84,13.12,11.62,8.66,6.53,6.81,6.53,5.09,4.12,6.06,8.88,9.31,9.75,12.34,16.53,18.81,19.62,21.41,24.09,24.19,21.16,18.38,17.72,16.81,14.22,12.97,14.5,16.31,15.62,13.97,13.34,13.62,12.34,9.84,9.25,11.09,11.94,10.75,10.12,11.66,13.44,13.28,13.5,16.25,19.47,20.34,20.0,20.91,22.75,23.44,22.62,22.84,25.19,26.75,25.81,25.41,26.81,27.75,26.16,24.0,23.47,23.34,21.28,18.41,17.31,18.22,17.81,16.56,16.75,18.72,20.44,19.59,19.09,20.28,21.94,21.62,20.59,22.16,25.03,26.44,26.25,27.59,30.44,31.69,30.5,29.69,30.34,29.88,27.03,24.28,24.12,24.88,24.06,22.94,23.81,25.5,26.03,23.81,22.22,21.91,20.19,16.53,13.69,14.03,14.91,14.06,13.31,15.12,17.41,17.44,16.84,17.44,19.16,19.38,17.78,16.72,17.44,17.22,14.78,12.28,12.28,13.19,11.81,10.19,10.31,11.66,11.44,10.25,10.66,12.78,13.41,11.84,10.53,11.06,11.25,9.53,8.06,9.38,11.28,11.53,10.75,11.5,12.56,12.44,10.66,9.81,10.84,11.53,10.16,9.69,11.47,13.03,12.25,11.09,12.53,14.38,14.47,13.69,14.16,15.53,15.19,13.06,12.31,13.66,14.88,14.72,15.44,18.62,21.22,21.44,20.69,21.53,23.12,22.97,21.72,22.22,24.19,25.09,24.38,24.25,26.22,27.59,26.44,25.28,26.19,27.06,26.28,24.62,25.31,27.44,28.56,28.38,29.41,31.12,31.47,29.47,27.22,27.53,27.78,26.06,24.66,25.75,27.84,28.44,27.66,28.44,29.84,29.41,27.25,26.16,27.06,27.25,25.59,24.88,26.72,29.22,29.62,29.69,31.03,33.0,32.59,30.25,29.47,29.78,28.44,25.66,23.38,23.53,23.84,22.66,21.97,24.31,27.69,29.25,30.41,33.06,35.72,36.0,33.78,32.38,32.09,31.31,27.97,25.31,24.78,23.69,20.53,17.97,18.19,19.5,19.25,18.62,20.03,21.91,22.56,21.38,21.25,22.84,23.78,22.53,22.09,23.59,24.81,23.44,21.41,21.28,22.09,21.38,19.94,20.75,22.84,23.66,22.5,22.0,22.75,23.06,20.53,18.78,19.16,19.47,18.06,16.09,16.56,18.44,19.12,18.59,20.06,22.69,24.19,23.53,23.44,25.03,26.09,24.47,22.94,23.75,23.41,23.78,25.5,26.66,26.19,25.31,26.03:23.53,24.44,24.84,22.81,21.5,22.75,23.94,22.44,20.34,20.12,20.59,19.25,17.0,17.25,19.09,19.97,19.41,19.41,21.44,22.69,20.88,18.94,19.0,19.19,17.06,14.47,14.53,16.53,17.38,17.41,19.03,21.94,23.31,22.25,21.41,22.56,23.5,21.88,20.31,20.72,22.0,21.69,20.91,22.06,24.19,24.75,22.75,22.03,23.12,23.62,21.62,20.34,20.59,20.41,17.75,14.94,14.84,16.06,16.06,15.47,17.16,20.16,22.0,21.47,21.66,23.84,25.53,24.69,24.09,25.31,26.22,24.44,21.56,20.62,20.94,20.12,18.09,17.56,18.84,19.41,18.53,18.5,20.97,23.12,22.5,21.09,21.38,21.78,20.75,19.59,20.34,22.56,22.75,21.44,20.22,20.22,19.5,16.88,14.97,15.81,17.41,17.34,16.53,17.38,18.75,17.47,15.38,15.06,16.44,17.16,16.19,16.03,17.44,18.91,18.06,17.66,19.66,22.69,23.69,23.56,24.75,26.53,25.56,22.5,19.81,18.91,16.69,13.09,9.78,9.34,9.06,7.03,5.97,7.06,9.5,10.75,10.28,11.81,14.56,15.16,14.0,13.25,13.97,13.81,11.62,10.84,13.03,16.25,18.16,19.94,23.28,27.62,29.47,29.84,31.16,33.53,34.12,31.94,29.84,29.47,28.09,24.47,20.81,19.62,19.22,17.31,14.97,14.78,16.5,16.69,16.12,16.94,20.34,23.56,24.75,25.88,29.28,31.69,30.84,28.94,27.69,26.53,23.56,19.97,18.47,20.16,21.0,20.75,21.81,24.84,26.78,26.03,24.69,25.0,25.62,24.53,23.44,24.31,26.34,25.97,24.09,22.88,23.47,23.62,22.44,21.91,23.56,24.62,23.28,21.5,22.56,24.72,25.72,26.25,28.53,31.47,32.53,31.34,30.78,31.84,31.84,29.91,28.38,29.66,30.78,29.59,27.5,27.22,27.0,25.62,23.12,22.25,22.91,22.06,19.41,17.12,16.88,16.44,14.12,11.5,11.59,12.66,11.78,10.88,12.22,14.84,16.31,16.28,17.34,19.5,19.94,17.75,15.97,16.28,17.19,16.34,16.12,18.31,20.69,21.03,20.03,20.03,20.75,20.47,18.03,16.38,16.66,16.22,14.12,12.72,14.0,15.78,15.44,14.94,16.31,18.09,18.0,16.22,15.59,16.84,17.28,16.5,17.09,19.53,21.41,20.12,17.38,16.41,15.09,11.72,8.19,7.12,7.88,8.16,7.34,8.09,10.62,12.22,11.72,11.5,13.72,15.59,15.34,14.25,15.53,17.06,16.47,14.84,14.53,15.75,15.59,13.59,12.91,13.69,13.66,11.12,8.53,8.12,8.06,6.47,4.47,5.25,7.47,8.19,7.69,8.69,10.53,11.19,9.59,8.75,9.81,11.28,10.5,9.44,10.25,11.09,9.44,6.56,5.72,6.12,5.69,3.91,3.41,4.62,4.78,2.75,1.97,3.53,6.16,7.25,8.53,11.59,14.81,14.78,12.78,11.53,11.53,10.5,7.75,7.0,8.59,9.84,8.78,7.72,8.41,9.81,8.28,6.31,6.41,7.5,6.88,4.81,4.53,5.72,5.88,4.22,3.47,4.78,6.0,5.44,4.94,6.5,8.59,8.03,6.03,5.22,5.56,4.06,0.84,-0.25,0.81,1.66,0.47,0.25,2.56,4.88,5.12,5.62,7.62,10.22,10.12,8.47,7.94,8.75,8.31,5.97,4.78,5.69,6.5,5.25,4.78,7.34,10.34,11.38,11.41,13.16,15.12,14.53,12.62,12.16,12.91,12.81,10.47,9.09,9.28,9.69,8.03,6.25,7.06,8.19,7.53,5.53,5.34,6.5,6.31,4.62,4.56,7.22,9.31,9.06,10.09,12.84,15.28,14.53,13.56,14.38,15.62,14.31,11.69,9.69,8.59,5.5,0.66,-2.69,-3.25,-2.94,-4.06,-3.72,-0.16,4.16,6.12,7.5,10.22,13.31,13.75,12.34,12.41,13.97,14.16,12.09,10.94,11.25,11.22,8.44,5.72,5.16,5.84,4.31,2.62,3.16,5.31,6.25,5.5,6.03,7.94,8.28,6.66,4.47,5.12,6.41,5.47,5.09,7.12,10.41,11.44,11.69,13.25,16.28,17.41,16.88,16.5,17.69,17.56,14.78,11.34,10.38,9.94,7.22,4.66,4.47,5.31,4.09,1.75,1.19,2.72,4.12,3.78,4.53,7.34,9.31,8.0,5.88,6.44,7.25,6.16,5.09,6.28,8.97,10.44,10.25,11.0,13.47,14.12,12.34,10.62,11.03,11.47,9.66,7.94,8.62,10.44,10.25,8.94,9.06,10.62,10.06,7.47,5.56,6.34,7.22,6.5,6.88,9.69,12.69,13.03,12.5,13.84,16.16,16.12,14.53,14.22,15.56,15.25,13.31,11.81,12.62,12.66,10.19,7.47,7.03,6.72,4.88,2.25,2.94,5.28,6.12,5.44,6.19,8.12,9.47,9.38,10.06,13.59,17.06,18.09,18.28,19.72,20.91,19.44,16.25,14.81,15.25,14.28,11.81,10.47,11.59,12.12,10.28,8.91,10.19,11.19,10.47,9.72,11.25,14.22,15.16,14.88,16.28,19.0,20.03,18.44,16.97,17.09,16.41,14.0,12.22,13.56,15.91,16.22,15.75,17.47,20.12,20.75,19.69,19.28,19.72,18.47,14.38,10.97,10.34,10.28,9.09,8.09,10.47,13.59,14.38,13.53,13.97,14.72,13.5,10.91,10.72,13.62,16.72,17.94,19.38,22.41,24.81,23.81,21.59,21.19,20.84,18.44,14.88,13.56,14.28,14.19,12.53,11.56,12.34,12.34,9.38,6.53,6.16,6.41,5.75,4.81,6.88,10.28,11.72,11.06,10.56,11.47,10.69,7.44,5.72,7.53,9.62,10.44,11.47,14.53,17.78,17.97,15.88,15.62,16.47,16.38,15.47,16.28,19.16,20.75,19.75,18.38,18.5,18.28,15.25,11.78,10.19,9.59,7.16,3.78,2.38,3.22,3.81,3.28,4.22,7.53,9.97,9.22,8.34,9.03,9.91,8.88,7.41,8.38,10.94,12.38,12.0,13.28,15.97,17.22,15.78,15.19,16.41,16.84,14.88,12.91,13.69,15.72,15.62,15.41,17.28,20.19,21.28,20.25,20.81,22.88,23.91,22.53,21.41,22.28,23.12,21.25,18.81,18.47,17.88,15.06,11.31,9.25,8.59,6.97,3.66,1.81,2.5,2.97,2.19,2.88,6.53,11.0,13.28,14.75,17.62,20.75,21.03,19.62,19.28,20.38,20.34,18.28,17.06,17.56,17.53,14.78,12.0,11.53,11.56,10.03,7.62,7.12,7.78,7.06,4.66,3.78,5.31,6.56,6.0,6.28,8.44,9.88,8.53,6.31,6.06,6.75,5.69,4.47,5.22,7.75,9.25,9.47,10.72,14.12,16.31,15.91,15.62,16.88,18.19,17.38,16.19,17.25,19.25,19.47,18.5,18.41,19.59,19.44,16.78,14.62,13.84,12.47,8.53,4.72,3.0,2.97,1.38,0.31,2.12,5.56,7.31,7.5,8.75,11.44,13.47,13.91,14.53,17.28,19.25,18.16,16.56,16.69,17.47,16.09,13.56,12.84,13.12,11.62,8.66,6.53,6.81,6.53,5.09,4.12,6.06,8.88,9.31,9.75,12.34,16.53,18.81,19.62,21.41,24.09,24.19,21.16,18.38,17.72,16.81,14.22,12.97,14.5,16.31,15.62,13.97,13.34,13.62,12.34,9.84,9.25,11.09,11.94,10.75,10.12,11.66,13.44,13.28,13.5,16.25,19.47,20.34,20.0,20.91,22.75,23.44,22.62,22.84,25.19,26.75,25.81,25.41,26.81,27.75,26.16,24.0,23.47,23.34,21.28,18.41,17.31,18.22,17.81,16.56,16.75,18.72,20.44,19.59,19.09,20.28,21.94,21.62,20.59,22.16,25.03,26.44,26.25,27.59,30.44,31.69,30.5,29.69,30.34,29.88,27.03,24.28,24.12,24.88,24.06,22.94,23.81,25.5,26.03,23.81,22.22,21.91,20.19,16.53,13.69,14.03,14.91,14.06,13.31,15.12,17.41,17.44,16.84,17.44,19.16,19.38,17.78,16.72,17.44,17.22,14.78,12.28,12.28,13.19,11.81,10.19,10.31,11.66,11.44,10.25,10.66,12.78,13.41,11.84,10.53,11.06,11.25,9.53,8.06,9.38,11.28,11.53,10.75,11.5,12.56,12.44,10.66,9.81,10.84,11.53,10.16,9.69,11.47,13.03,12.25,11.09,12.53,14.38,14.47,13.69,14.16,15.53,15.19,13.06,12.31,13.66,14.88,14.72,15.44,18.62,21.22,21.44,20.69,21.53,23.12,22.97,21.72,22.22,24.19,25.09,24.38,24.25,26.22,27.59,26.44,25.28,26.19,27.06,26.28,24.62,25.31,27.44,28.56,28.38,29.41,31.12,31.47,29.47,27.22,27.53,27.78,26.06,24.66,25.75,27.84,28.44,27.66,28.44,29.84,29.41,27.25,26.16,27.06,27.25,25.59,24.88,26.72,29.22,29.62,29.69,31.03,33.0,32.59,30.25,29.47,29.78,28.44,25.66,23.38,23.53,23.84,22.66,21.97,24.31,27.69,29.25,30.41,33.06,35.72,36.0,33.78,32.38,32.09,31.31,27.97,25.31,24.78,23.69,20.53,17.97,18.19,19.5,19.25,18.62,20.03,21.91,22.56,21.38,21.25,22.84,23.78,22.53,22.09,23.59,24.81,23.44,21.41,21.28,22.09,21.38,19.94,20.75,22.84,23.66,22.5,22.0,22.75,23.06,20.53,18.78,19.16,19.47,18.06,16.09,16.56,18.44,19.12,18.59,20.06,22.69,24.19,23.53,23.44,25.03,26.09,24.47,22.94,23.75,23.41,23.78,25.5,26.66,26.19,25.31,26.03,26.91,26.09,24.75,24.56,25.38,25.44,24.25:22.44,20.34,20.12,20.59,19.25,17.0,17.25,19.09,19.97,19.41,19.41,21.44,22.69,20.88,18.94,19.0,19.19,17.06,14.47,14.53,16.53,17.38,17.41,19.03,21.94,23.31,22.25,21.41,22.56,23.5,21.88,20.31,20.72,22.0,21.69,20.91,22.06,24.19,24.75,22.75,22.03,23.12,23.62,21.62,20.34,20.59,20.41,17.75,14.94,14.84,16.06,16.06,15.47,17.16,20.16,22.0,21.47,21.66,23.84,25.53,24.69,24.09,25.31,26.22,24.44,21.56,20.62,20.94,20.12,18.09,17.56,18.84,19.41,18.53,18.5,20.97,23.12,22.5,21.09,21.38,21.78,20.75,19.59,20.34,22.56,22.75,21.44,20.22,20.22,19.5,16.88,14.97,15.81,17.41,17.34,16.53,17.38,18.75,17.47,15.38,15.06,16.44,17.16,16.19,16.03,17.44,18.91,18.06,17.66,19.66,22.69,23.69,23.56,24.75,26.53,25.56,22.5,19.81,18.91,16.69,13.09,9.78,9.34,9.06,7.03,5.97,7.06,9.5,10.75,10.28,11.81,14.56,15.16,14.0,13.25,13.97,13.81,11.62,10.84,13.03,16.25,18.16,19.94,23.28,27.62,29.47,29.84,31.16,33.53,34.12,31.94,29.84,29.47,28.09,24.47,20.81,19.62,19.22,17.31,14.97,14.78,16.5,16.69,16.12,16.94,20.34,23.56,24.75,25.88,29.28,31.69,30.84,28.94,27.69,26.53,23.56,19.97,18.47,20.16,21.0,20.75,21.81,24.84,26.78,26.03,24.69,25.0,25.62,24.53,23.44,24.31,26.34,25.97,24.09,22.88,23.47,23.62,22.44,21.91,23.56,24.62,23.28,21.5,22.56,24.72,25.72,26.25,28.53,31.47,32.53,31.34,30.78,31.84,31.84,29.91,28.38,29.66,30.78,29.59,27.5,27.22,27.0,25.62,23.12,22.25,22.91,22.06,19.41,17.12,16.88,16.44,14.12,11.5,11.59,12.66,11.78,10.88,12.22,14.84,16.31,16.28,17.34,19.5,19.94,17.75,15.97,16.28,17.19,16.34,16.12,18.31,20.69,21.03,20.03,20.03,20.75,20.47,18.03,16.38,16.66,16.22,14.12,12.72,14.0,15.78,15.44,14.94,16.31,18.09,18.0,16.22,15.59,16.84,17.28,16.5,17.09,19.53,21.41,20.12,17.38,16.41,15.09,11.72,8.19,7.12,7.88,8.16,7.34,8.09,10.62,12.22,11.72,11.5,13.72,15.59,15.34,14.25,15.53,17.06,16.47,14.84,14.53,15.75,15.59,13.59,12.91,13.69,13.66,11.12,8.53,8.12,8.06,6.47,4.47,5.25,7.47,8.19,7.69,8.69,10.53,11.19,9.59,8.75,9.81,11.28,10.5,9.44,10.25,11.09,9.44,6.56,5.72,6.12,5.69,3.91,3.41,4.62,4.78,2.75,1.97,3.53,6.16,7.25,8.53,11.59,14.81,14.78,12.78,11.53,11.53,10.5,7.75,7.0,8.59,9.84,8.78,7.72,8.41,9.81,8.28,6.31,6.41,7.5,6.88,4.81,4.53,5.72,5.88,4.22,3.47,4.78,6.0,5.44,4.94,6.5,8.59,8.03,6.03,5.22,5.56,4.06,0.84,-0.25,0.81,1.66,0.47,0.25,2.56,4.88,5.12,5.62,7.62,10.22,10.12,8.47,7.94,8.75,8.31,5.97,4.78,5.69,6.5,5.25,4.78,7.34,10.34,11.38,11.41,13.16,15.12,14.53,12.62,12.16,12.91,12.81,10.47,9.09,9.28,9.69,8.03,6.25,7.06,8.19,7.53,5.53,5.34,6.5,6.31,4.62,4.56,7.22,9.31,9.06,10.09,12.84,15.28,14.53,13.56,14.38,15.62,14.31,11.69,9.69,8.59,5.5,0.66,-2.69,-3.25,-2.94,-4.06,-3.72,-0.16,4.16,6.12,7.5,10.22,13.31,13.75,12.34,12.41,13.97,14.16,12.09,10.94,11.25,11.22,8.44,5.72,5.16,5.84,4.31,2.62,3.16,5.31,6.25,5.5,6.03,7.94,8.28,6.66,4.47,5.12,6.41,5.47,5.09,7.12,10.41,11.44,11.69,13.25,16.28,17.41,16.88,16.5,17.69,17.56,14.78,11.34,10.38,9.94,7.22,4.66,4.47,5.31,4.09,1.75,1.19,2.72,4.12,3.78,4.53,7.34,9.31,8.0,5.88,6.44,7.25,6.16,5.09,6.28,8.97,10.44,10.25,11.0,13.47,14.12,12.34,10.62,11.03,11.47,9.66,7.94,8.62,10.44,10.25,8.94,9.06,10.62,10.06,7.47,5.56,6.34,7.22,6.5,6.88,9.69,12.69,13.03,12.5,13.84,16.16,16.12,14.53,14.22,15.56,15.25,13.31,11.81,12.62,12.66,10.19,7.47,7.03,6.72,4.88,2.25,2.94,5.28,6.12,5.44,6.19,8.12,9.47,9.38,10.06,13.59,17.06,18.09,18.28,19.72,20.91,19.44,16.25,14.81,15.25,14.28,11.81,10.47,11.59,12.12,10.28,8.91,10.19,11.19,10.47,9.72,11.25,14.22,15.16,14.88,16.28,19.0,20.03,18.44,16.97,17.09,16.41,14.0,12.22,13.56,15.91,16.22,15.75,17.47,20.12,20.75,19.69,19.28,19.72,18.47,14.38,10.97,10.34,10.28,9.09,8.09,10.47,13.59,14.38,13.53,13.97,14.72,13.5,10.91,10.72,13.62,16.72,17.94,19.38,22.41,24.81,23.81,21.59,21.19,20.84,18.44,14.88,13.56,14.28,14.19,12.53,11.56,12.34,12.34,9.38,6.53,6.16,6.41,5.75,4.81,6.88,10.28,11.72,11.06,10.56,11.47,10.69,7.44,5.72,7.53,9.62,10.44,11.47,14.53,17.78,17.97,15.88,15.62,16.47,16.38,15.47,16.28,19.16,20.75,19.75,18.38,18.5,18.28,15.25,11.78,10.19,9.59,7.16,3.78,2.38,3.22,3.81,3.28,4.22,7.53,9.97,9.22,8.34,9.03,9.91,8.88,7.41,8.38,10.94,12.38,12.0,13.28,15.97,17.22,15.78,15.19,16.41,16.84,14.88,12.91,13.69,15.72,15.62,15.41,17.28,20.19,21.28,20.25,20.81,22.88,23.91,22.53,21.41,22.28,23.12,21.25,18.81,18.47,17.88,15.06,11.31,9.25,8.59,6.97,3.66,1.81,2.5,2.97,2.19,2.88,6.53,11.0,13.28,14.75,17.62,20.75,21.03,19.62,19.28,20.38,20.34,18.28,17.06,17.56,17.53,14.78,12.0,11.53,11.56,10.03,7.62,7.12,7.78,7.06,4.66,3.78,5.31,6.56,6.0,6.28,8.44,9.88,8.53,6.31,6.06,6.75,5.69,4.47,5.22,7.75,9.25,9.47,10.72,14.12,16.31,15.91,15.62,16.88,18.19,17.38,16.19,17.25,19.25,19.47,18.5,18.41,19.59,19.44,16.78,14.62,13.84,12.47,8.53,4.72,3.0,2.97,1.38,0.31,2.12,5.56,7.31,7.5,8.75,11.44,13.47,13.91,14.53,17.28,19.25,18.16,16.56,16.69,17.47,16.09,13.56,12.84,13.12,11.62,8.66,6.53,6.81,6.53,5.09,4.12,6.06,8.88,9.31,9.75,12.34,16.53,18.81,19.62,21.41,24.09,24.19,21.16,18.38,17.72,16.81,14.22,12.97,14.5,16.31,15.62,13.97,13.34,13.62,12.34,9.84,9.25,11.09,11.94,10.75,10.12,11.66,13.44,13.28,13.5,16.25,19.47,20.34,20.0,20.91,22.75,23.44,22.62,22.84,25.19,26.75,25.81,25.41,26.81,27.75,26.16,24.0,23.47,23.34,21.28,18.41,17.31,18.22,17.81,16.56,16.75,18.72,20.44,19.59,19.09,20.28,21.94,21.62,20.59,22.16,25.03,26.44,26.25,27.59,30.44,31.69,30.5,29.69,30.34,29.88,27.03,24.28,24.12,24.88,24.06,22.94,23.81,25.5,26.03,23.81,22.22,21.91,20.19,16.53,13.69,14.03,14.91,14.06,13.31,15.12,17.41,17.44,16.84,17.44,19.16,19.38,17.78,16.72,17.44,17.22,14.78,12.28,12.28,13.19,11.81,10.19,10.31,11.66,11.44,10.25,10.66,12.78,13.41,11.84,10.53,11.06,11.25,9.53,8.06,9.38,11.28,11.53,10.75,11.5,12.56,12.44,10.66,9.81,10.84,11.53,10.16,9.69,11.47,13.03,12.25,11.09,12.53,14.38,14.47,13.69,14.16,15.53,15.19,13.06,12.31,13.66,14.88,14.72,15.44,18.62,21.22,21.44,20.69,21.53,23.12,22.97,21.72,22.22,24.19,25.09,24.38,24.25,26.22,27.59,26.44,25.28,26.19,27.06,26.28,24.62,25.31,27.44,28.56,28.38,29.41,31.12,31.47,29.47,27.22,27.53,27.78,26.06,24.66,25.75,27.84,28.44,27.66,28.44,29.84,29.41,27.25,26.16,27.06,27.25,25.59,24.88,26.72,29.22,29.62,29.69,31.03,33.0,32.59,30.25,29.47,29.78,28.44,25.66,23.38,23.53,23.84,22.66,21.97,24.31,27.69,29.25,30.41,33.06,35.72,36.0,33.78,32.38,32.09,31.31,27.97,25.31,24.78,23.69,20.53,17.97,18.19,19.5,19.25,18.62,20.03,21.91,22.56,21.38,21.25,22.84,23.78,22.53,22.09,23.59,24.81,23.44,21.41,21.28,22.09,21.38,19.94,20.75,22.84,23.66,22.5,22.0,22.75,23.06,20.53,18.78,19.16,19.47,18.06,16.09,16.56,18.44,19.12,18.59,20.06,22.69,24.19,23.53,23.44,25.03,26.09,24.47,22.94,23.75,23.41,23.78,25.5,26.66,26.19,25.31,26.03,26.91,26.09,24.75,24.56,25.38,25.44,24.25,24.12,24.69,24.66,22.81,21.19,21.56,21.62:19.09,19.97,19.41,19.41,21.44,22.69,20.88,18.94,19.0,19.19,17.06,14.47,14.53,16.53,17.38,17.41,19.03,21.94,23.31,22.25,21.41,22.56,23.5,21.88,20.31,20.72,22.0,21.69,20.91,22.06,24.19,24.75,22.75,22.03,23.12,23.62,21.62,20.34,20.59,20.41,17.75,14.94,14.84,16.06,16.06,15.47,17.16,20.16,22.0,21.47,21.66,23.84,25.53,24.69,24.09,25.31,26.22,24.44,21.56,20.62,20.94,20.12,18.09,17.56,18.84,19.41,18.53,18.5,20.97,23.12,22.5,21.09,21.38,21.78,20.75,19.59,20.34,22.56,22.75,21.44,20.22,20.22,19.5,16.88,14.97,15.81,17.41,17.34,16.53,17.38,18.75,17.47,15.38,15.06,16.44,17.16,16.19,16.03,17.44,18.91,18.06,17.66,19.66,22.69,23.69,23.56,24.75,26.53,25.56,22.5,19.81,18.91,16.69,13.09,9.78,9.34,9.06,7.03,5.97,7.06,9.5,10.75,10.28,11.81,14.56,15.16,14.0,13.25,13.97,13.81,11.62,10.84,13.03,16.25,18.16,19.94,23.28,27.62,29.47,29.84,31.16,33.53,34.12,31.94,29.84,29.47,28.09,24.47,20.81,19.62,19.22,17.31,14.97,14.78,16.5,16.69,16.12,16.94,20.34,23.56,24.75,25.88,29.28,31.69,30.84,28.94,27.69,26.53,23.56,19.97,18.47,20.16,21.0,20.75,21.81,24.84,26.78,26.03,24.69,25.0,25.62,24.53,23.44,24.31,26.34,25.97,24.09,22.88,23.47,23.62,22.44,21.91,23.56,24.62,23.28,21.5,22.56,24.72,25.72,26.25,28.53,31.47,32.53,31.34,30.78,31.84,31.84,29.91,28.38,29.66,30.78,29.59,27.5,27.22,27.0,25.62,23.12,22.25,22.91,22.06,19.41,17.12,16.88,16.44,14.12,11.5,11.59,12.66,11.78,10.88,12.22,14.84,16.31,16.28,17.34,19.5,19.94,17.75,15.97,16.28,17.19,16.34,16.12,18.31,20.69,21.03,20.03,20.03,20.75,20.47,18.03,16.38,16.66,16.22,14.12,12.72,14.0,15.78,15.44,14.94,16.31,18.09,18.0,16.22,15.59,16.84,17.28,16.5,17.09,19.53,21.41,20.12,17.38,16.41,15.09,11.72,8.19,7.12,7.88,8.16,7.34,8.09,10.62,12.22,11.72,11.5,13.72,15.59,15.34,14.25,15.53,17.06,16.47,14.84,14.53,15.75,15.59,13.59,12.91,13.69,13.66,11.12,8.53,8.12,8.06,6.47,4.47,5.25,7.47,8.19,7.69,8.69,10.53,11.19,9.59,8.75,9.81,11.28,10.5,9.44,10.25,11.09,9.44,6.56,5.72,6.12,5.69,3.91,3.41,4.62,4.78,2.75,1.97,3.53,6.16,7.25,8.53,11.59,14.81,14.78,12.78,11.53,11.53,10.5,7.75,7.0,8.59,9.84,8.78,7.72,8.41,9.81,8.28,6.31,6.41,7.5,6.88,4.81,4.53,5.72,5.88,4.22,3.47,4.78,6.0,5.44,4.94,6.5,8.59,8.03,6.03,5.22,5.56,4.06,0.84,-0.25,0.81,1.66,0.47,0.25,2.56,4.88,5.12,5.62,7.62,10.22,10.12,8.47,7.94,8.75,8.31,5.97,4.78,5.69,6.5,5.25,4.78,7.34,10.34,11.38,11.41,13.16,15.12,14.53,12.62,12.16,12.91,12.81,10.47,9.09,9.28,9.69,8.03,6.25,7.06,8.19,7.53,5.53,5.34,6.5,6.31,4.62,4.56,7.22,9.31,9.06,10.09,12.84,15.28,14.53,13.56,14.38,15.62,14.31,11.69,9.69,8.59,5.5,0.66,-2.69,-3.25,-2.94,-4.06,-3.72,-0.16,4.16,6.12,7.5,10.22,13.31,13.75,12.34,12.41,13.97,14.16,12.09,10.94,11.25,11.22,8.44,5.72,5.16,5.84,4.31,2.62,3.16,5.31,6.25,5.5,6.03,7.94,8.28,6.66,4.47,5.12,6.41,5.47,5.09,7.12,10.41,11.44,11.69,13.25,16.28,17.41,16.88,16.5,17.69,17.56,14.78,11.34,10.38,9.94,7.22,4.66,4.47,5.31,4.09,1.75,1.19,2.72,4.12,3.78,4.53,7.34,9.31,8.0,5.88,6.44,7.25,6.16,5.09,6.28,8.97,10.44,10.25,11.0,13.47,14.12,12.34,10.62,11.03,11.47,9.66,7.94,8.62,10.44,10.25,8.94,9.06,10.62,10.06,7.47,5.56,6.34,7.22,6.5,6.88,9.69,12.69,13.03,12.5,13.84,16.16,16.12,14.53,14.22,15.56,15.25,13.31,11.81,12.62,12.66,10.19,7.47,7.03,6.72,4.88,2.25,2.94,5.28,6.12,5.44,6.19,8.12,9.47,9.38,10.06,13.59,17.06,18.09,18.28,19.72,20.91,19.44,16.25,14.81,15.25,14.28,11.81,10.47,11.59,12.12,10.28,8.91,10.19,11.19,10.47,9.72,11.25,14.22,15.16,14.88,16.28,19.0,20.03,18.44,16.97,17.09,16.41,14.0,12.22,13.56,15.91,16.22,15.75,17.47,20.12,20.75,19.69,19.28,19.72,18.47,14.38,10.97,10.34,10.28,9.09,8.09,10.47,13.59,14.38,13.53,13.97,14.72,13.5,10.91,10.72,13.62,16.72,17.94,19.38,22.41,24.81,23.81,21.59,21.19,20.84,18.44,14.88,13.56,14.28,14.19,12.53,11.56,12.34,12.34,9.38,6.53,6.16,6.41,5.75,4.81,6.88,10.28,11.72,11.06,10.56,11.47,10.69,7.44,5.72,7.53,9.62,10.44,11.47,14.53,17.78,17.97,15.88,15.62,16.47,16.38,15.47,16.28,19.16,20.75,19.75,18.38,18.5,18.28,15.25,11.78,10.19,9.59,7.16,3.78,2.38,3.22,3.81,3.28,4.22,7.53,9.97,9.22,8.34,9.03,9.91,8.88,7.41,8.38,10.94,12.38,12.0,13.28,15.97,17.22,15.78,15.19,16.41,16.84,14.88,12.91,13.69,15.72,15.62,15.41,17.28,20.19,21.28,20.25,20.81,22.88,23.91,22.53,21.41,22.28,23.12,21.25,18.81,18.47,17.88,15.06,11.31,9.25,8.59,6.97,3.66,1.81,2.5,2.97,2.19,2.88,6.53,11.0,13.28,14.75,17.62,20.75,21.03,19.62,19.28,20.38,20.34,18.28,17.06,17.56,17.53,14.78,12.0,11.53,11.56,10.03,7.62,7.12,7.78,7.06,4.66,3.78,5.31,6.56,6.0,6.28,8.44,9.88,8.53,6.31,6.06,6.75,5.69,4.47,5.22,7.75,9.25,9.47,10.72,14.12,16.31,15.91,15.62,16.88,18.19,17.38,16.19,17.25,19.25,19.47,18.5,18.41,19.59,19.44,16.78,14.62,13.84,12.47,8.53,4.72,3.0,2.97,1.38,0.31,2.12,5.56,7.31,7.5,8.75,11.44,13.47,13.91,14.53,17.28,19.25,18.16,16.56,16.69,17.47,16.09,13.56,12.84,13.12,11.62,8.66,6.53,6.81,6.53,5.09,4.12,6.06,8.88,9.31,9.75,12.34,16.53,18.81,19.62,21.41,24.09,24.19,21.16,18.38,17.72,16.81,14.22,12.97,14.5,16.31,15.62,13.97,13.34,13.62,12.34,9.84,9.25,11.09,11.94,10.75,10.12,11.66,13.44,13.28,13.5,16.25,19.47,20.34,20.0,20.91,22.75,23.44,22.62,22.84,25.19,26.75,25.81,25.41,26.81,27.75,26.16,24.0,23.47,23.34,21.28,18.41,17.31,18.22,17.81,16.56,16.75,18.72,20.44,19.59,19.09,20.28,21.94,21.62,20.59,22.16,25.03,26.44,26.25,27.59,30.44,31.69,30.5,29.69,30.34,29.88,27.03,24.28,24.12,24.88,24.06,22.94,23.81,25.5,26.03,23.81,22.22,21.91,20.19,16.53,13.69,14.03,14.91,14.06,13.31,15.12,17.41,17.44,16.84,17.44,19.16,19.38,17.78,16.72,17.44,17.22,14.78,12.28,12.28,13.19,11.81,10.19,10.31,11.66,11.44,10.25,10.66,12.78,13.41,11.84,10.53,11.06,11.25,9.53,8.06,9.38,11.28,11.53,10.75,11.5,12.56,12.44,10.66,9.81,10.84,11.53,10.16,9.69,11.47,13.03,12.25,11.09,12.53,14.38,14.47,13.69,14.16,15.53,15.19,13.06,12.31,13.66,14.88,14.72,15.44,18.62,21.22,21.44,20.69,21.53,23.12,22.97,21.72,22.22,24.19,25.09,24.38,24.25,26.22,27.59,26.44,25.28,26.19,27.06,26.28,24.62,25.31,27.44,28.56,28.38,29.41,31.12,31.47,29.47,27.22,27.53,27.78,26.06,24.66,25.75,27.84,28.44,27.66,28.44,29.84,29.41,27.25,26.16,27.06,27.25,25.59,24.88,26.72,29.22,29.62,29.69,31.03,33.0,32.59,30.25,29.47,29.78,28.44,25.66,23.38,23.53,23.84,22.66,21.97,24.31,27.69,29.25,30.41,33.06,35.72,36.0,33.78,32.38,32.09,31.31,27.97,25.31,24.78,23.69,20.53,17.97,18.19,19.5,19.25,18.62,20.03,21.91,22.56,21.38,21.25,22.84,23.78,22.53,22.09,23.59,24.81,23.44,21.41,21.28,22.09,21.38,19.94,20.75,22.84,23.66,22.5,22.0,22.75,23.06,20.53,18.78,19.16,19.47,18.06,16.09,16.56,18.44,19.12,18.59,20.06,22.69,24.19,23.53,23.44,25.03,26.09,24.47,22.94,23.75,23.41,23.78,25.5,26.66,26.19,25.31,26.03,26.91,26.09,24.75,24.56,25.38,25.44,24.25,24.12,24.69,24.66,22.81,21.19,21.56,21.62,19.81,17.97,17.44,17.59,16.72,15.72,16.31:18.94,19.0,19.19,17.06,14.47,14.53,16.53,17.38,17.41,19.03,21.94,23.31,22.25,21.41,22.56,23.5,21.88,20.31,20.72,22.0,21.69,20.91,22.06,24.19,24.75,22.75,22.03,23.12,23.62,21.62,20.34,20.59,20.41,17.75,14.94,14.84,16.06,16.06,15.47,17.16,20.16,22.0,21.47,21.66,23.84,25.53,24.69,24.09,25.31,26.22,24.44,21.56,20.62,20.94,20.12,18.09,17.56,18.84,19.41,18.53,18.5,20.97,23.12,22.5,21.09,21.38,21.78,20.75,19.59,20.34,22.56,22.75,21.44,20.22,20.22,19.5,16.88,14.97,15.81,17.41,17.34,16.53,17.38,18.75,17.47,15.38,15.06,16.44,17.16,16.19,16.03,17.44,18.91,18.06,17.66,19.66,22.69,23.69,23.56,24.75,26.53,25.56,22.5,19.81,18.91,16.69,13.09,9.78,9.34,9.06,7.03,5.97,7.06,9.5,10.75,10.28,11.81,14.56,15.16,14.0,13.25,13.97,13.81,11.62,10.84,13.03,16.25,18.16,19.94,23.28,27.62,29.47,29.84,31.16,33.53,34.12,31.94,29.84,29.47,28.09,24.47,20.81,19.62,19.22,17.31,14.97,14.78,16.5,16.69,16.12,16.94,20.34,23.56,24.75,25.88,29.28,31.69,30.84,28.94,27.69,26.53,23.56,19.97,18.47,20.16,21.0,20.75,21.81,24.84,26.78,26.03,24.69,25.0,25.62,24.53,23.44,24.31,26.34,25.97,24.09,22.88,23.47,23.62,22.44,21.91,23.56,24.62,23.28,21.5,22.56,24.72,25.72,26.25,28.53,31.47,32.53,31.34,30.78,31.84,31.84,29.91,28.38,29.66,30.78,29.59,27.5,27.22,27.0,25.62,23.12,22.25,22.91,22.06,19.41,17.12,16.88,16.44,14.12,11.5,11.59,12.66,11.78,10.88,12.22,14.84,16.31,16.28,17.34,19.5,19.94,17.75,15.97,16.28,17.19,16.34,16.12,18.31,20.69,21.03,20.03,20.03,20.75,20.47,18.03,16.38,16.66,16.22,14.12,12.72,14.0,15.78,15.44,14.94,16.31,18.09,18.0,16.22,15.59,16.84,17.28,16.5,17.09,19.53,21.41,20.12,17.38,16.41,15.09,11.72,8.19,7.12,7.88,8.16,7.34,8.09,10.62,12.22,11.72,11.5,13.72,15.59,15.34,14.25,15.53,17.06,16.47,14.84,14.53,15.75,15.59,13.59,12.91,13.69,13.66,11.12,8.53,8.12,8.06,6.47,4.47,5.25,7.47,8.19,7.69,8.69,10.53,11.19,9.59,8.75,9.81,11.28,10.5,9.44,10.25,11.09,9.44,6.56,5.72,6.12,5.69,3.91,3.41,4.62,4.78,2.75,1.97,3.53,6.16,7.25,8.53,11.59,14.81,14.78,12.78,11.53,11.53,10.5,7.75,7.0,8.59,9.84,8.78,7.72,8.41,9.81,8.28,6.31,6.41,7.5,6.88,4.81,4.53,5.72,5.88,4.22,3.47,4.78,6.0,5.44,4.94,6.5,8.59,8.03,6.03,5.22,5.56,4.06,0.84,-0.25,0.81,1.66,0.47,0.25,2.56,4.88,5.12,5.62,7.62,10.22,10.12,8.47,7.94,8.75,8.31,5.97,4.78,5.69,6.5,5.25,4.78,7.34,10.34,11.38,11.41,13.16,15.12,14.53,12.62,12.16,12.91,12.81,10.47,9.09,9.28,9.69,8.03,6.25,7.06,8.19,7.53,5.53,5.34,6.5,6.31,4.62,4.56,7.22,9.31,9.06,10.09,12.84,15.28,14.53,13.56,14.38,15.62,14.31,11.69,9.69,8.59,5.5,0.66,-2.69,-3.25,-2.94,-4.06,-3.72,-0.16,4.16,6.12,7.5,10.22,13.31,13.75,12.34,12.41,13.97,14.16,12.09,10.94,11.25,11.22,8.44,5.72,5.16,5.84,4.31,2.62,3.16,5.31,6.25,5.5,6.03,7.94,8.28,6.66,4.47,5.12,6.41,5.47,5.09,7.12,10.41,11.44,11.69,13.25,16.28,17.41,16.88,16.5,17.69,17.56,14.78,11.34,10.38,9.94,7.22,4.66,4.47,5.31,4.09,1.75,1.19,2.72,4.12,3.78,4.53,7.34,9.31,8.0,5.88,6.44,7.25,6.16,5.09,6.28,8.97,10.44,10.25,11.0,13.47,14.12,12.34,10.62,11.03,11.47,9.66,7.94,8.62,10.44,10.25,8.94,9.06,10.62,10.06,7.47,5.56,6.34,7.22,6.5,6.88,9.69,12.69,13.03,12.5,13.84,16.16,16.12,14.53,14.22,15.56,15.25,13.31,11.81,12.62,12.66,10.19,7.47,7.03,6.72,4.88,2.25,2.94,5.28,6.12,5.44,6.19,8.12,9.47,9.38,10.06,13.59,17.06,18.09,18.28,19.72,20.91,19.44,16.25,14.81,15.25,14.28,11.81,10.47,11.59,12.12,10.28,8.91,10.19,11.19,10.47,9.72,11.25,14.22,15.16,14.88,16.28,19.0,20.03,18.44,16.97,17.09,16.41,14.0,12.22,13.56,15.91,16.22,15.75,17.47,20.12,20.75,19.69,19.28,19.72,18.47,14.38,10.97,10.34,10.28,9.09,8.09,10.47,13.59,14.38,13.53,13.97,14.72,13.5,10.91,10.72,13.62,16.72,17.94,19.38,22.41,24.81,23.81,21.59,21.19,20.84,18.44,14.88,13.56,14.28,14.19,12.53,11.56,12.34,12.34,9.38,6.53,6.16,6.41,5.75,4.81,6.88,10.28,11.72,11.06,10.56,11.47,10.69,7.44,5.72,7.53,9.62,10.44,11.47,14.53,17.78,17.97,15.88,15.62,16.47,16.38,15.47,16.28,19.16,20.75,19.75,18.38,18.5,18.28,15.25,11.78,10.19,9.59,7.16,3.78,2.38,3.22,3.81,3.28,4.22,7.53,9.97,9.22,8.34,9.03,9.91,8.88,7.41,8.38,10.94,12.38,12.0,13.28,15.97,17.22,15.78,15.19,16.41,16.84,14.88,12.91,13.69,15.72,15.62,15.41,17.28,20.19,21.28,20.25,20.81,22.88,23.91,22.53,21.41,22.28,23.12,21.25,18.81,18.47,17.88,15.06,11.31,9.25,8.59,6.97,3.66,1.81,2.5,2.97,2.19,2.88,6.53,11.0,13.28,14.75,17.62,20.75,21.03,19.62,19.28,20.38,20.34,18.28,17.06,17.56,17.53,14.78,12.0,11.53,11.56,10.03,7.62,7.12,7.78,7.06,4.66,3.78,5.31,6.56,6.0,6.28,8.44,9.88,8.53,6.31,6.06,6.75,5.69,4.47,5.22,7.75,9.25,9.47,10.72,14.12,16.31,15.91,15.62,16.88,18.19,17.38,16.19,17.25,19.25,19.47,18.5,18.41,19.59,19.44,16.78,14.62,13.84,12.47,8.53,4.72,3.0,2.97,1.38,0.31,2.12,5.56,7.31,7.5,8.75,11.44,13.47,13.91,14.53,17.28,19.25,18.16,16.56,16.69,17.47,16.09,13.56,12.84,13.12,11.62,8.66,6.53,6.81,6.53,5.09,4.12,6.06,8.88,9.31,9.75,12.34,16.53,18.81,19.62,21.41,24.09,24.19,21.16,18.38,17.72,16.81,14.22,12.97,14.5,16.31,15.62,13.97,13.34,13.62,12.34,9.84,9.25,11.09,11.94,10.75,10.12,11.66,13.44,13.28,13.5,16.25,19.47,20.34,20.0,20.91,22.75,23.44,22.62,22.84,25.19,26.75,25.81,25.41,26.81,27.75,26.16,24.0,23.47,23.34,21.28,18.41,17.31,18.22,17.81,16.56,16.75,18.72,20.44,19.59,19.09,20.28,21.94,21.62,20.59,22.16,25.03,26.44,26.25,27.59,30.44,31.69,30.5,29.69,30.34,29.88,27.03,24.28,24.12,24.88,24.06,22.94,23.81,25.5,26.03,23.81,22.22,21.91,20.19,16.53,13.69,14.03,14.91,14.06,13.31,15.12,17.41,17.44,16.84,17.44,19.16,19.38,17.78,16.72,17.44,17.22,14.78,12.28,12.28,13.19,11.81,10.19,10.31,11.66,11.44,10.25,10.66,12.78,13.41,11.84,10.53,11.06,11.25,9.53,8.06,9.38,11.28,11.53,10.75,11.5,12.56,12.44,10.66,9.81,10.84,11.53,10.16,9.69,11.47,13.03,12.25,11.09,12.53,14.38,14.47,13.69,14.16,15.53,15.19,13.06,12.31,13.66,14.88,14.72,15.44,18.62,21.22,21.44,20.69,21.53,23.12,22.97,21.72,22.22,24.19,25.09,24.38,24.25,26.22,27.59,26.44,25.28,26.19,27.06,26.28,24.62,25.31,27.44,28.56,28.38,29.41,31.12,31.47,29.47,27.22,27.53,27.78,26.06,24.66,25.75,27.84,28.44,27.66,28.44,29.84,29.41,27.25,26.16,27.06,27.25,25.59,24.88,26.72,29.22,29.62,29.69,31.03,33.0,32.59,30.25,29.47,29.78,28.44,25.66,23.38,23.53,23.84,22.66,21.97,24.31,27.69,29.25,30.41,33.06,35.72,36.0,33.78,32.38,32.09,31.31,27.97,25.31,24.78,23.69,20.53,17.97,18.19,19.5,19.25,18.62,20.03,21.91,22.56,21.38,21.25,22.84,23.78,22.53,22.09,23.59,24.81,23.44,21.41,21.28,22.09,21.38,19.94,20.75,22.84,23.66,22.5,22.0,22.75,23.06,20.53,18.78,19.16,19.47,18.06,16.09,16.56,18.44,19.12,18.59,20.06,22.69,24.19,23.53,23.44,25.03,26.09,24.47,22.94,23.75,23.41,23.78,25.5,26.66,26.19,25.31,26.03,26.91,26.09,24.75,24.56,25.38,25.44,24.25,24.12,24.69,24.66,22.81,21.19,21.56,21.62,19.81,17.97,17.44,17.59,16.72,15.72,16.31,17.91,18.53,18.0,18.25,19.91,21.28,21.22:17.38,17.41,19.03,21.94,23.31,22.25,21.41,22.56,23.5,21.88,20.31,20.72,22.0,21.69,20.91,22.06,24.19,24.75,22.75,22.03,23.12,23.62,21.62,20.34,20.59,20.41,17.75,14.94,14.84,16.06,16.06,15.47,17.16,20.16,22.0,21.47,21.66,23.84,25.53,24.69,24.09,25.31,26.22,24.44,21.56,20.62,20.94,20.12,18.09,17.56,18.84,19.41,18.53,18.5,20.97,23.12,22.5,21.09,21.38,21.78,20.75,19.59,20.34,22.56,22.75,21.44,20.22,20.22,19.5,16.88,14.97,15.81,17.41,17.34,16.53,17.38,18.75,17.47,15.38,15.06,16.44,17.16,16.19,16.03,17.44,18.91,18.06,17.66,19.66,22.69,23.69,23.56,24.75,26.53,25.56,22.5,19.81,18.91,16.69,13.09,9.78,9.34,9.06,7.03,5.97,7.06,9.5,10.75,10.28,11.81,14.56,15.16,14.0,13.25,13.97,13.81,11.62,10.84,13.03,16.25,18.16,19.94,23.28,27.62,29.47,29.84,31.16,33.53,34.12,31.94,29.84,29.47,28.09,24.47,20.81,19.62,19.22,17.31,14.97,14.78,16.5,16.69,16.12,16.94,20.34,23.56,24.75,25.88,29.28,31.69,30.84,28.94,27.69,26.53,23.56,19.97,18.47,20.16,21.0,20.75,21.81,24.84,26.78,26.03,24.69,25.0,25.62,24.53,23.44,24.31,26.34,25.97,24.09,22.88,23.47,23.62,22.44,21.91,23.56,24.62,23.28,21.5,22.56,24.72,25.72,26.25,28.53,31.47,32.53,31.34,30.78,31.84,31.84,29.91,28.38,29.66,30.78,29.59,27.5,27.22,27.0,25.62,23.12,22.25,22.91,22.06,19.41,17.12,16.88,16.44,14.12,11.5,11.59,12.66,11.78,10.88,12.22,14.84,16.31,16.28,17.34,19.5,19.94,17.75,15.97,16.28,17.19,16.34,16.12,18.31,20.69,21.03,20.03,20.03,20.75,20.47,18.03,16.38,16.66,16.22,14.12,12.72,14.0,15.78,15.44,14.94,16.31,18.09,18.0,16.22,15.59,16.84,17.28,16.5,17.09,19.53,21.41,20.12,17.38,16.41,15.09,11.72,8.19,7.12,7.88,8.16,7.34,8.09,10.62,12.22,11.72,11.5,13.72,15.59,15.34,14.25,15.53,17.06,16.47,14.84,14.53,15.75,15.59,13.59,12.91,13.69,13.66,11.12,8.53,8.12,8.06,6.47,4.47,5.25,7.47,8.19,7.69,8.69,10.53,11.19,9.59,8.75,9.81,11.28,10.5,9.44,10.25,11.09,9.44,6.56,5.72,6.12,5.69,3.91,3.41,4.62,4.78,2.75,1.97,3.53,6.16,7.25,8.53,11.59,14.81,14.78,12.78,11.53,11.53,10.5,7.75,7.0,8.59,9.84,8.78,7.72,8.41,9.81,8.28,6.31,6.41,7.5,6.88,4.81,4.53,5.72,5.88,4.22,3.47,4.78,6.0,5.44,4.94,6.5,8.59,8.03,6.03,5.22,5.56,4.06,0.84,-0.25,0.81,1.66,0.47,0.25,2.56,4.88,5.12,5.62,7.62,10.22,10.12,8.47,7.94,8.75,8.31,5.97,4.78,5.69,6.5,5.25,4.78,7.34,10.34,11.38,11.41,13.16,15.12,14.53,12.62,12.16,12.91,12.81,10.47,9.09,9.28,9.69,8.03,6.25,7.06,8.19,7.53,5.53,5.34,6.5,6.31,4.62,4.56,7.22,9.31,9.06,10.09,12.84,15.28,14.53,13.56,14.38,15.62,14.31,11.69,9.69,8.59,5.5,0.66,-2.69,-3.25,-2.94,-4.06,-3.72,-0.16,4.16,6.12,7.5,10.22,13.31,13.75,12.34,12.41,13.97,14.16,12.09,10.94,11.25,11.22,8.44,5.72,5.16,5.84,4.31,2.62,3.16,5.31,6.25,5.5,6.03,7.94,8.28,6.66,4.47,5.12,6.41,5.47,5.09,7.12,10.41,11.44,11.69,13.25,16.28,17.41,16.88,16.5,17.69,17.56,14.78,11.34,10.38,9.94,7.22,4.66,4.47,5.31,4.09,1.75,1.19,2.72,4.12,3.78,4.53,7.34,9.31,8.0,5.88,6.44,7.25,6.16,5.09,6.28,8.97,10.44,10.25,11.0,13.47,14.12,12.34,10.62,11.03,11.47,9.66,7.94,8.62,10.44,10.25,8.94,9.06,10.62,10.06,7.47,5.56,6.34,7.22,6.5,6.88,9.69,12.69,13.03,12.5,13.84,16.16,16.12,14.53,14.22,15.56,15.25,13.31,11.81,12.62,12.66,10.19,7.47,7.03,6.72,4.88,2.25,2.94,5.28,6.12,5.44,6.19,8.12,9.47,9.38,10.06,13.59,17.06,18.09,18.28,19.72,20.91,19.44,16.25,14.81,15.25,14.28,11.81,10.47,11.59,12.12,10.28,8.91,10.19,11.19,10.47,9.72,11.25,14.22,15.16,14.88,16.28,19.0,20.03,18.44,16.97,17.09,16.41,14.0,12.22,13.56,15.91,16.22,15.75,17.47,20.12,20.75,19.69,19.28,19.72,18.47,14.38,10.97,10.34,10.28,9.09,8.09,10.47,13.59,14.38,13.53,13.97,14.72,13.5,10.91,10.72,13.62,16.72,17.94,19.38,22.41,24.81,23.81,21.59,21.19,20.84,18.44,14.88,13.56,14.28,14.19,12.53,11.56,12.34,12.34,9.38,6.53,6.16,6.41,5.75,4.81,6.88,10.28,11.72,11.06,10.56,11.47,10.69,7.44,5.72,7.53,9.62,10.44,11.47,14.53,17.78,17.97,15.88,15.62,16.47,16.38,15.47,16.28,19.16,20.75,19.75,18.38,18.5,18.28,15.25,11.78,10.19,9.59,7.16,3.78,2.38,3.22,3.81,3.28,4.22,7.53,9.97,9.22,8.34,9.03,9.91,8.88,7.41,8.38,10.94,12.38,12.0,13.28,15.97,17.22,15.78,15.19,16.41,16.84,14.88,12.91,13.69,15.72,15.62,15.41,17.28,20.19,21.28,20.25,20.81,22.88,23.91,22.53,21.41,22.28,23.12,21.25,18.81,18.47,17.88,15.06,11.31,9.25,8.59,6.97,3.66,1.81,2.5,2.97,2.19,2.88,6.53,11.0,13.28,14.75,17.62,20.75,21.03,19.62,19.28,20.38,20.34,18.28,17.06,17.56,17.53,14.78,12.0,11.53,11.56,10.03,7.62,7.12,7.78,7.06,4.66,3.78,5.31,6.56,6.0,6.28,8.44,9.88,8.53,6.31,6.06,6.75,5.69,4.47,5.22,7.75,9.25,9.47,10.72,14.12,16.31,15.91,15.62,16.88,18.19,17.38,16.19,17.25,19.25,19.47,18.5,18.41,19.59,19.44,16.78,14.62,13.84,12.47,8.53,4.72,3.0,2.97,1.38,0.31,2.12,5.56,7.31,7.5,8.75,11.44,13.47,13.91,14.53,17.28,19.25,18.16,16.56,16.69,17.47,16.09,13.56,12.84,13.12,11.62,8.66,6.53,6.81,6.53,5.09,4.12,6.06,8.88,9.31,9.75,12.34,16.53,18.81,19.62,21.41,24.09,24.19,21.16,18.38,17.72,16.81,14.22,12.97,14.5,16.31,15.62,13.97,13.34,13.62,12.34,9.84,9.25,11.09,11.94,10.75,10.12,11.66,13.44,13.28,13.5,16.25,19.47,20.34,20.0,20.91,22.75,23.44,22.62,22.84,25.19,26.75,25.81,25.41,26.81,27.75,26.16,24.0,23.47,23.34,21.28,18.41,17.31,18.22,17.81,16.56,16.75,18.72,20.44,19.59,19.09,20.28,21.94,21.62,20.59,22.16,25.03,26.44,26.25,27.59,30.44,31.69,30.5,29.69,30.34,29.88,27.03,24.28,24.12,24.88,24.06,22.94,23.81,25.5,26.03,23.81,22.22,21.91,20.19,16.53,13.69,14.03,14.91,14.06,13.31,15.12,17.41,17.44,16.84,17.44,19.16,19.38,17.78,16.72,17.44,17.22,14.78,12.28,12.28,13.19,11.81,10.19,10.31,11.66,11.44,10.25,10.66,12.78,13.41,11.84,10.53,11.06,11.25,9.53,8.06,9.38,11.28,11.53,10.75,11.5,12.56,12.44,10.66,9.81,10.84,11.53,10.16,9.69,11.47,13.03,12.25,11.09,12.53,14.38,14.47,13.69,14.16,15.53,15.19,13.06,12.31,13.66,14.88,14.72,15.44,18.62,21.22,21.44,20.69,21.53,23.12,22.97,21.72,22.22,24.19,25.09,24.38,24.25,26.22,27.59,26.44,25.28,26.19,27.06,26.28,24.62,25.31,27.44,28.56,28.38,29.41,31.12,31.47,29.47,27.22,27.53,27.78,26.06,24.66,25.75,27.84,28.44,27.66,28.44,29.84,29.41,27.25,26.16,27.06,27.25,25.59,24.88,26.72,29.22,29.62,29.69,31.03,33.0,32.59,30.25,29.47,29.78,28.44,25.66,23.38,23.53,23.84,22.66,21.97,24.31,27.69,29.25,30.41,33.06,35.72,36.0,33.78,32.38,32.09,31.31,27.97,25.31,24.78,23.69,20.53,17.97,18.19,19.5,19.25,18.62,20.03,21.91,22.56,21.38,21.25,22.84,23.78,22.53,22.09,23.59,24.81,23.44,21.41,21.28,22.09,21.38,19.94,20.75,22.84,23.66,22.5,22.0,22.75,23.06,20.53,18.78,19.16,19.47,18.06,16.09,16.56,18.44,19.12,18.59,20.06,22.69,24.19,23.53,23.44,25.03,26.09,24.47,22.94,23.75,23.41,23.78,25.5,26.66,26.19,25.31,26.03,26.91,26.09,24.75,24.56,25.38,25.44,24.25,24.12,24.69,24.66,22.81,21.19,21.56,21.62,19.81,17.97,17.44,17.59,16.72,15.72,16.31,17.91,18.53,18.0,18.25,19.91,21.28,21.22,20.78,21.5,21.69,19.81,17.5,16.53,16.78:negativity
4.25,3.38,1.16,-1.16,-3.06,-4.91,-7.22,-9.59,-11.19,-11.88,-12.22,-13.19,-13.88,-13.41,-13.0,-12.53,-11.84,-9.47,-6.72,-4.62,-3.22,-1.44,0.06,0.72,0.72,1.41,2.19,2.94,2.47,1.62,1.16,0.84,-0.31,-1.38,-1.41,-1.03,-1.25,-1.69,-1.06,0.22,1.66,3.06,4.91,6.84,8.91,9.44,9.81,10.47,11.44,11.47,11.16,11.5,11.81,11.5,10.34,9.09,7.47,5.5,2.62,0.25,-0.91,-1.06,-1.56,-1.28,0.09,3.0,5.59,7.59,9.91,12.06,12.84,12.62,12.88,13.44,13.72,12.69,11.38,10.16,9.25,7.28,5.56,4.97,4.88,3.88,2.56,1.75,1.72,1.59,1.03,1.31,2.0,2.06,1.41,0.53,0.34,0.69,-0.03,-0.56,-0.5,0.25,0.09,-0.75,-1.22,-1.22,-1.41,-1.75,-1.47,-0.16,1.41,2.53,3.62,4.97,6.22,6.09,4.91,3.72,2.88,1.81,0.56,0.47,1.22,1.94,1.66,1.5,1.41,1.28,0.44,0.12,1.16,2.88,4.0,4.84,5.56,6.22,5.94,4.88,4.16,4.25,4.12,3.19,2.78,3.34,3.69,3.19,2.5,2.12,1.75,0.72,-0.44,-1.09,-0.88,-0.78,-1.22,-0.97,0.41,1.91,2.38,2.59,3.28,4.28,4.28,4.19,4.22,4.5,3.34,1.19,-0.91,-2.19,-3.38,-4.38,-4.03,-2.66,-0.81,-0.09,0.59,1.31,2.0,1.75,1.22,1.34,1.78,1.78,1.53,2.06,3.5,4.72,5.91,7.41,9.81,11.94,12.44,12.12,11.91,11.69,10.28,8.88,8.5,8.72,8.12,6.88,5.78,4.66,3.69,1.81,0.09,0.16,0.38,-0.09,-0.78,-0.03,1.91,3.66,5.38,8.34,11.84,14.12,15.09,15.31,16.06,15.94,14.28,12.5,11.44,11.09,9.59,8.41,8.09,8.28,7.41,6.0,4.59,4.12,3.03,1.72,1.0,1.81,3.44,4.66,5.81,7.78,9.28,9.5,8.5,7.47,6.78,5.19,3.03,1.19,0.72,0.03,-0.53,-0.78,0.59,2.31,3.22,3.94,4.84,6.03,5.66,4.72,4.31,5.44,6.44,7.19,8.59,10.34,11.22,10.62,9.12,8.53,8.12,6.38,4.66,3.44,2.84,1.69,0.66,0.28,1.69,2.81,3.56,4.31,5.25,5.12,3.0,0.38,-1.62,-3.41,-5.44,-6.84,-6.91,-5.53,-4.53,-4.03,-3.41,-2.59,-2.59,-3.47,-3.97,-3.09,-2.12,-1.88,-1.69,0.16,2.53,4.53,6.41,8.47,11.06,11.94,12.41,12.91,14.5,15.53,15.78,15.41,15.53,15.06,13.0,10.78,9.19,8.06,6.34,4.06,2.5,1.41,0.19,-1.66,-2.91,-3.28,-3.0,-3.19,-2.62,-0.44,2.28,4.53,5.62,6.97,7.91,8.25,7.66,7.88,9.25,9.91,9.69,9.28,9.62,9.75,9.09,7.53,6.69,6.22,4.75,3.09,2.66,3.38,3.81,3.84,4.62,6.44,8.06,9.62,11.41,14.78,17.66,19.12,19.38,19.47,19.06,17.69,15.97,15.38,15.12,14.69,13.09,11.56,10.91,10.75,10.06,9.88,11.34,12.56,12.53,11.84,11.41,10.69,9.97,8.66,8.38,8.88,9.44,8.56,7.59,6.91,6.19,4.81,3.91,4.94,6.84,8.44,9.53,11.31,13.0,14.19,14.06,14.31,14.31,13.16,11.09,9.03,8.34,7.97,7.12,6.28,6.44,6.75,6.47,5.81,6.0,6.81,7.12,7.03,7.28,7.91,8.28,7.34,6.53,7.0,8.44,9.72,11.44,13.78,16.16,16.69,16.38,16.06,16.03,16.31,16.38,17.75,20.06,22.91,23.91,23.75,23.06,21.12,17.19,12.25,8.38,5.28,2.09,-0.62,-2.0,-2.38,-2.81,-4.25,-5.5,-5.34,-5.03,-4.62,-3.53,-1.16,1.62,3.06,3.62,4.47,4.94,4.69,3.53,2.75,2.81,3.44,3.66,4.91,6.94,8.72,9.16,8.81,9.31,10.06,10.88,11.69,13.22,15.09,16.84,17.22,17.22,17.78,18.47,17.91,17.66,18.5,19.03,18.41,16.97,15.53,14.97,13.94,12.5,12.28,12.66,13.22,13.16,13.56,14.53,15.16,14.62,13.72,13.59,13.44,12.41,11.22,10.53,10.22,9.75,9.31,9.19,9.66,10.28,9.91,9.75,10.56,11.59,11.19,10.72,10.75,10.25,8.91,7.38,6.19,5.88,5.97,5.66,6.09,7.84,9.5,10.12,10.53,11.31,11.69,10.94,9.38,8.56,8.16,6.97,5.84,5.28,5.66,5.94,5.78,5.97,6.75,7.34,6.41,5.28,4.88,4.66,3.53,2.94,2.88,3.28,3.31,3.06,3.28,4.38,5.56,6.19,7.38,9.16,10.72,11.09,11.44,11.53,11.56,10.28,8.44,7.0,6.0,4.81,3.22,2.47,3.03,3.88,4.22,5.06,6.16,7.16,6.41,5.03,4.34,4.19,3.62,3.5,3.94,5.0,5.5,4.94,3.91,3.25,2.19,0.31,-1.25,-1.47,-0.75,-0.44,-0.16,0.5,1.34,1.03,-0.25,-0.78,-0.88,-1.0,-1.5,-1.56,-0.94,-0.78,-1.0,-1.44,-1.34,-0.81,-1.06,-1.28,-1.25,-0.56,-0.22,-0.41,-0.03,1.16,2.06,2.31,1.91,2.25,2.53,1.97,1.12,1.0,1.56,1.22,0.81,0.69,1.47,2.06,1.94,2.28,3.66,4.59,5.0,5.47,6.84,7.72,7.97,8.12,8.69,9.72,10.09,9.91,9.78,10.03,9.97,9.31,9.25,10.0,10.5,10.06,9.41,9.12,8.88,7.72,6.5,6.0,6.62,7.28,8.28,9.5,11.28,12.06,11.69,10.19,8.78,6.66,3.78,0.88,-0.59,-0.78,-0.31,0.22,1.38,2.72,3.19,3.12,3.09,4.25,5.38,5.84,6.75,7.5,8.12,7.38,5.81,4.38,3.0,1.28,-0.56,-1.22,-0.56,0.44,1.41,2.28,3.62,4.22,3.75,3.31,3.41,3.69,3.25,2.56,1.97,1.72,0.5,-1.47,-3.56,-4.84,-6.12,-7.5,-8.06,-6.72,-5.5,-4.56,-3.69,-2.06,-0.28,0.47,0.25,-0.19,-0.38,-1.47,-2.97,-3.69,-3.09,-2.34,-1.94,-1.88,-0.84,-0.06,-0.25,-0.53,-0.09,0.22,0.16,-0.19,-0.72,-1.09,-2.22,-4.75,-7.5,-9.31,-10.72,-12.19,-13.0,-12.62,-12.22,-12.16,-12.41,-12.03,-11.53,-11.09,-11.44,-11.38,-10.34,-8.75,-8.28,-7.66,-6.59,-6.28,-7.19,-8.22,-8.47,-8.81,-9.41,-10.34,-10.25,-9.53,-8.75,-8.25,-7.88,-6.66,-6.31,-6.75,-6.56,-5.84,-4.41,-3.47,-2.66,-1.0,0.59,1.62,2.06,2.91,3.62,3.34,1.56,-0.44,-2.31,-4.03,-6.34,-8.03,-8.56,-8.34,-8.16,-7.88,-6.47,-4.69,-3.09,-2.25,-1.53,-0.62,-0.16,-1.19,-2.56,-3.59,-4.56,-6.88,-9.66,-11.69,-13.47,-15.53,-17.5,-17.59,-16.78,-15.0,-13.0,-10.62,-7.78,-5.19,-3.84,-3.19,-1.78,-0.75,-0.97,-1.75,-2.84,-4.0,-5.97,-8.34,-9.28,-9.38,-9.03,-8.88,-8.31,-7.22,-6.25,-6.62,-7.34,-7.38,-6.53,-6.0,-4.66,-2.88,-0.91,-0.5,-1.97,-3.25,-4.16,-5.12,-6.72,-8.12,-8.81,-9.69,-11.69,-14.09,-15.38,-15.75,-16.53,-16.72,-15.53,-13.09,-10.22,-7.81,-4.84,-1.41,1.53,3.47,5.31,7.94,10.75,12.53,13.41,13.72,13.5,11.44,8.5,5.97,4.5,3.22,1.84,1.19,1.22,1.72,1.25,0.94,0.72,0.81,-0.38,-1.97,-3.0,-3.44,-3.94,-4.59,-4.41,-3.16,-1.97,-1.81,-1.84,-1.97,-2.78,-5.03,-7.47,-9.19,-10.09,-11.0,-12.06,-11.88,-10.59,-9.59,-9.19,-8.44,-7.47,-7.03,-7.34,-7.94,-8.03,-7.22,-7.34,-6.97,-5.66,-3.25,-2.06,-1.47,-0.97,-0.66,-0.94,-2.38,-3.34,-3.69,-3.97,-4.94,-5.81,-6.34,-6.72,-8.59,-11.0,-13.25,-14.62,-16.38,-18.03,-18.72,-17.66,-16.09,-15.09,-13.34,-11.0,-8.72,-8.16,-8.19,-8.53,-9.47,-11.53,-13.53,-14.62,-14.19,-13.34,-12.41,-10.41,-7.62,-5.19,-3.59,-2.53,-1.09,-0.16,-0.88,-1.97,-2.75,-3.22,-4.66,-6.38,-7.16,-7.5,-7.78,-8.44,-8.75,-7.94,-7.03,-7.66,-8.31,-8.66,-9.31,-11.22,-12.97,-13.62,-13.38,-12.94,-12.56,-11.88,-10.66,-10.03,-9.78,-9.41,-8.25,-7.47,-7.47,-7.53,-6.81,-6.22,-5.94,-6.34,-7.03,-7.47,-9.16,-11.66,-13.78,-14.81,-15.34,-16.0,-15.59,-13.38,-10.59,-8.53,-6.75,-4.75,-2.91,-2.69,-3.28,-3.84,-4.16,-5.62,-7.75,-9.53,-10.38,-11.22,-12.91,-14.56,-15.47,-16.09,-17.81,-19.25,-19.38,-18.47,-17.84,-16.94,-15.09,-12.5,-10.56,-9.47,-8.66,-6.78,-5.41,-4.56,-4.16,-2.69,-1.84,-2.34,-3.81,-5.56,-7.09,-9.78,-12.75,-15.03,-15.97,-16.28,-16.41,-15.81,-13.78,-12.06,-11.34,-11.5,-11.12,-10.75,-12.25,-13.84,-14.59,-14.5,-14.28,-14.44,-13.62,-11.62,-9.81,-8.53,-7.34,-5.47,-4.09,-4.31,-5.56,-6.69,-8.09,-10.72,-13.84,-15.81,-16.91,-18.25,-19.06,-19.62,-19.12,-18.25,-17.66,-16.81,-14.56,-11.97,-10.34,-9.34,-7.81,-6.38,-6.19,-6.84,-7.44,-7.84,-8.22,-8.66,-8.84,-7.69,-6.88,-7.06,-8.47,-8.81,-8.84,-9.34,-9.38,-8.12,-6.12,-5.53,-5.59,-5.75,-5.41,-5.72,-6.66,-7.38,-7.41,-8.0,-9.25,-11.19,-11.88,-12.19,-13.25,-14.41,-14.53,-13.88,-14.09,-14.91,-14.97,-13.97,-13.41,-13.56:-9.59,-11.19,-11.88,-12.22,-13.19,-13.88,-13.41,-13.0,-12.53,-11.84,-9.47,-6.72,-4.62,-3.22,-1.44,0.06,0.72,0.72,1.41,2.19,2.94,2.47,1.62,1.16,0.84,-0.31,-1.38,-1.41,-1.03,-1.25,-1.69,-1.06,0.22,1.66,3.06,4.91,6.84,8.91,9.44,9.81,10.47,11.44,11.47,11.16,11.5,11.81,11.5,10.34,9.09,7.47,5.5,2.62,0.25,-0.91,-1.06,-1.56,-1.28,0.09,3.0,5.59,7.59,9.91,12.06,12.84,12.62,12.88,13.44,13.72,12.69,11.38,10.16,9.25,7.28,5.56,4.97,4.88,3.88,2.56,1.75,1.72,1.59,1.03,1.31,2.0,2.06,1.41,0.53,0.34,0.69,-0.03,-0.56,-0.5,0.25,0.09,-0.75,-1.22,-1.22,-1.41,-1.75,-1.47,-0.16,1.41,2.53,3.62,4.97,6.22,6.09,4.91,3.72,2.88,1.81,0.56,0.47,1.22,1.94,1.66,1.5,1.41,1.28,0.44,0.12,1.16,2.88,4.0,4.84,5.56,6.22,5.94,4.88,4.16,4.25,4.12,3.19,2.78,3.34,3.69,3.19,2.5,2.12,1.75,0.72,-0.44,-1.09,-0.88,-0.78,-1.22,-0.97,0.41,1.91,2.38,2.59,3.28,4.28,4.28,4.19,4.22,4.5,3.34,1.19,-0.91,-2.19,-3.38,-4.38,-4.03,-2.66,-0.81,-0.09,0.59,1.31,2.0,1.75,1.22,1.34,1.78,1.78,1.53,2.06,3.5,4.72,5.91,7.41,9.81,11.94,12.44,12.12,11.91,11.69,10.28,8.88,8.5,8.72,8.12,6.88,5.78,4.66,3.69,1.81,0.09,0.16,0.38,-0.09,-0.78,-0.03,1.91,3.66,5.38,8.34,11.84,14.12,15.09,15.31,16.06,15.94,14.28,12.5,11.44,11.09,9.59,8.41,8.09,8.28,7.41,6.0,4.59,4.12,3.03,1.72,1.0,1.81,3.44,4.66,5.81,7.78,9.28,9.5,8.5,7.47,6.78,5.19,3.03,1.19,0.72,0.03,-0.53,-0.78,0.59,2.31,3.22,3.94,4.84,6.03,5.66,4.72,4.31,5.44,6.44,7.19,8.59,10.34,11.22,10.62,9.12,8.53,8.12,6.38,4.66,3.44,2.84,1.69,0.66,0.28,1.69,2.81,3.56,4.31,5.25,5.12,3.0,0.38,-1.62,-3.41,-5.44,-6.84,-6.91,-5.53,-4.53,-4.03,-3.41,-2.59,-2.59,-3.47,-3.97,-3.09,-2.12,-1.88,-1.69,0.16,2.53,4.53,6.41,8.47,11.06,11.94,12.41,12.91,14.5,15.53,15.78,15.41,15.53,15.06,13.0,10.78,9.19,8.06,6.34,4.06,2.5,1.41,0.19,-1.66,-2.91,-3.28,-3.0,-3.19,-2.62,-0.44,2.28,4.53,5.62,6.97,7.91,8.25,7.66,7.88,9.25,9.91,9.69,9.28,9.62,9.75,9.09,7.53,6.69,6.22,4.75,3.09,2.66,3.38,3.81,3.84,4.62,6.44,8.06,9.62,11.41,14.78,17.66,19.12,19.38,19.47,19.06,17.69,15.97,15.38,15.12,14.69,13.09,11.56,10.91,10.75,10.06,9.88,11.34,12.56,12.53,11.84,11.41,10.69,9.97,8.66,8.38,8.88,9.44,8.56,7.59,6.91,6.19,4.81,3.91,4.94,6.84,8.44,9.53,11.31,13.0,14.19,14.06,14.31,14.31,13.16,11.09,9.03,8.34,7.97,7.12,6.28,6.44,6.75,6.47,5.81,6.0,6.81,7.12,7.03,7.28,7.91,8.28,7.34,6.53,7.0,8.44,9.72,11.44,13.78,16.16,16.69,16.38,16.06,16.03,16.31,16.38,17.75,20.06,22.91,23.91,23.75,23.06,21.12,17.19,12.25,8.38,5.28,2.09,-0.62,-2.0,-2.38,-2.81,-4.25,-5.5,-5.34,-5.03,-4.62,-3.53,-1.16,1.62,3.06,3.62,4.47,4.94,4.69,3.53,2.75,2.81,3.44,3.66,4.91,6.94,8.72,9.16,8.81,9.31,10.06,10.88,11.69,13.22,15.09,16.84,17.22,17.22,17.78,18.47,17.91,17.66,18.5,19.03,18.41,16.97,15.53,14.97,13.94,12.5,12.28,12.66,13.22,13.16,13.56,14.53,15.16,14.62,13.72,13.59,13.44,12.41,11.22,10.53,10.22,9.75,9.31,9.19,9.66,10.28,9.91,9.75,10.56,11.59,11.19,10.72,10.75,10.25,8.91,7.38,6.19,5.88,5.97,5.66,6.09,7.84,9.5,10.12,10.53,11.31,11.69,10.94,9.38,8.56,8.16,6.97,5.84,5.28,5.66,5.94,5.78,5.97,6.75,7.34,6.41,5.28,4.88,4.66,3.53,2.94,2.88,3.28,3.31,3.06,3.28,4.38,5.56,6.19,7.38,9.16,10.72,11.09,11.44,11.53,11.56,10.28,8.44,7.0,6.0,4.81,3.22,2.47,3.03,3.88,4.22,5.06,6.16,7.16,6.41,5.03,4.34,4.19,3.62,3.5,3.94,5.0,5.5,4.94,3.91,3.25,2.19,0.31,-1.25,-1.47,-0.75,-0.44,-0.16,0.5,1.34,1.03,-0.25,-0.78,-0.88,-1.0,-1.5,-1.56,-0.94,-0.78,-1.0,-1.44,-1.34,-0.81,-1.06,-1.28,-1.25,-0.56,-0.22,-0.41,-0.03,1.16,2.06,2.31,1.91,2.25,2.53,1.97,1.12,1.0,1.56,1.22,0.81,0.69,1.47,2.06,1.94,2.28,3.66,4.59,5.0,5.47,6.84,7.72,7.97,8.12,8.69,9.72,10.09,9.91,9.78,10.03,9.97,9.31,9.25,10.0,10.5,10.06,9.41,9.12,8.88,7.72,6.5,6.0,6.62,7.28,8.28,9.5,11.28,12.06,11.69,10.19,8.78,6.66,3.78,0.88,-0.59,-0.78,-0.31,0.22,1.38,2.72,3.19,3.12,3.09,4.25,5.38,5.84,6.75,7.5,8.12,7.38,5.81,4.38,3.0,1.28,-0.56,-1.22,-0.56,0.44,1.41,2.28,3.62,4.22,3.75,3.31,3.41,3.69,3.25,2.56,1.97,1.72,0.5,-1.47,-3.56,-4.84,-6.12,-7.5,-8.06,-6.72,-5.5,-4.56,-3.69,-2.06,-0.28,0.47,0.25,-0.19,-0.38,-1.47,-2.97,-3.69,-3.09,-2.34,-1.94,-1.88,-0.84,-0.06,-0.25,-0.53,-0.09,0.22,0.16,-0.19,-0.72,-1.09,-2.22,-4.75,-7.5,-9.31,-10.72,-12.19,-13.0,-12.62,-12.22,-12.16,-12.41,-12.03,-11.53,-11.09,-11.44,-11.38,-10.34,-8.75,-8.28,-7.66,-6.59,-6.28,-7.19,-8.22,-8.47,-8.81,-9.41,-10.34,-10.25,-9.53,-8.75,-8.25,-7.88,-6.66,-6.31,-6.75,-6.56,-5.84,-4.41,-3.47,-2.66,-1.0,0.59,1.62,2.06,2.91,3.62,3.34,1.56,-0.44,-2.31,-4.03,-6.34,-8.03,-8.56,-8.34,-8.16,-7.88,-6.47,-4.69,-3.09,-2.25,-1.53,-0.62,-0.16,-1.19,-2.56,-3.59,-4.56,-6.88,-9.66,-11.69,-13.47,-15.53,-17.5,-17.59,-16.78,-15.0,-13.0,-10.62,-7.78,-5.19,-3.84,-3.19,-1.78,-0.75,-0.97,-1.75,-2.84,-4.0,-5.97,-8.34,-9.28,-9.38,-9.03,-8.88,-8.31,-7.22,-6.25,-6.62,-7.34,-7.38,-6.53,-6.0,-4.66,-2.88,-0.91,-0.5,-1.97,-3.25,-4.16,-5.12,-6.72,-8.12,-8.81,-9.69,-11.69,-14.09,-15.38,-15.75,-16.53,-16.72,-15.53,-13.09,-10.22,-7.81,-4.84,-1.41,1.53,3.47,5.31,7.94,10.75,12.53,13.41,13.72,13.5,11.44,8.5,5.97,4.5,3.22,1.84,1.19,1.22,1.72,1.25,0.94,0.72,0.81,-0.38,-1.97,-3.0,-3.44,-3.94,-4.59,-4.41,-3.16,-1.97,-1.81,-1.84,-1.97,-2.78,-5.03,-7.47,-9.19,-10.09,-11.0,-12.06,-11.88,-10.59,-9.59,-9.19,-8.44,-7.47,-7.03,-7.34,-7.94,-8.03,-7.22,-7.34,-6.97,-5.66,-3.25,-2.06,-1.47,-0.97,-0.66,-0.94,-2.38,-3.34,-3.69,-3.97,-4.94,-5.81,-6.34,-6.72,-8.59,-11.0,-13.25,-14.62,-16.38,-18.03,-18.72,-17.66,-16.09,-15.09,-13.34,-11.0,-8.72,-8.16,-8.19,-8.53,-9.47,-11.53,-13.53,-14.62,-14.19,-13.34,-12.41,-10.41,-7.62,-5.19,-3.59,-2.53,-1.09,-0.16,-0.88,-1.97,-2.75,-3.22,-4.66,-6.38,-7.16,-7.5,-7.78,-8.44,-8.75,-7.94,-7.03,-7.66,-8.31,-8.66,-9.31,-11.22,-12.97,-13.62,-13.38,-12.94,-12.56,-11.88,-10.66,-10.03,-9.78,-9.41,-8.25,-7.47,-7.47,-7.53,-6.81,-6.22,-5.94,-6.34,-7.03,-7.47,-9.16,-11.66,-13.78,-14.81,-15.34,-16.0,-15.59,-13.38,-10.59,-8.53,-6.75,-4.75,-2.91,-2.69,-3.28,-3.84,-4.16,-5.62,-7.75,-9.53,-10.38,-11.22,-12.91,-14.56,-15.47,-16.09,-17.81,-19.25,-19.38,-18.47,-17.84,-16.94,-15.09,-12.5,-10.56,-9.47,-8.66,-6.78,-5.41,-4.56,-4.16,-2.69,-1.84,-2.34,-3.81,-5.56,-7.09,-9.78,-12.75,-15.03,-15.97,-16.28,-16.41,-15.81,-13.78,-12.06,-11.34,-11.5,-11.12,-10.75,-12.25,-13.84,-14.59,-14.5,-14.28,-14.44,-13.62,-11.62,-9.81,-8.53,-7.34,-5.47,-4.09,-4.31,-5.56,-6.69,-8.09,-10.72,-13.84,-15.81,-16.91,-18.25,-19.06,-19.62,-19.12,-18.25,-17.66,-16.81,-14.56,-11.97,-10.34,-9.34,-7.81,-6.38,-6.19,-6.84,-7.44,-7.84,-8.22,-8.66,-8.84,-7.69,-6.88,-7.06,-8.47,-8.81,-8.84,-9.34,-9.38,-8.12,-6.12,-5.53,-5.59,-5.75,-5.41,-5.72,-6.66,-7.38,-7.41,-8.0,-9.25,-11.19,-11.88,-12.19,-13.25,-14.41,-14.53,-13.88,-14.09,-14.91,-14.97,-13.97,-13.41,-13.56,45.53,45.53,44.88,43.88,43.06,42.06,41.06:-13.0,-12.53,-11.84,-9.47,-6.72,-4.62,-3.22,-1.44,0.06,0.72,0.72,1.41,2.19,2.94,2.47,1.62,1.16,0.84,-0.31,-1.38,-1.41,-1.03,-1.25,-1.69,-1.06,0.22,1.66,3.06,4.91,6.84,8.91,9.44,9.81,10.47,11.44,11.47,11.16,11.5,11.81,11.5,10.34,9.09,7.47,5.5,2.62,0.25,-0.91,-1.06,-1.56,-1.28,0.09,3.0,5.59,7.59,9.91,12.06,12.84,12.62,12.88,13.44,13.72,12.69,11.38,10.16,9.25,7.28,5.56,4.97,4.88,3.88,2.56,1.75,1.72,1.59,1.03,1.31,2.0,2.06,1.41,0.53,0.34,0.69,-0.03,-0.56,-0.5,0.25,0.09,-0.75,-1.22,-1.22,-1.41,-1.75,-1.47,-0.16,1.41,2.53,3.62,4.97,6.22,6.09,4.91,3.72,2.88,1.81,0.56,0.47,1.22,1.94,1.66,1.5,1.41,1.28,0.44,0.12,1.16,2.88,4.0,4.84,5.56,6.22,5.94,4.88,4.16,4.25,4.12,3.19,2.78,3.34,3.69,3.19,2.5,2.12,1.75,0.72,-0.44,-1.09,-0.88,-0.78,-1.22,-0.97,0.41,1.91,2.38,2.59,3.28,4.28,4.28,4.19,4.22,4.5,3.34,1.19,-0.91,-2.19,-3.38,-4.38,-4.03,-2.66,-0.81,-0.09,0.59,1.31,2.0,1.75,1.22,1.34,1.78,1.78,1.53,2.06,3.5,4.72,5.91,7.41,9.81,11.94,12.44,12.12,11.91,11.69,10.28,8.88,8.5,8.72,8.12,6.88,5.78,4.66,3.69,1.81,0.09,0.16,0.38,-0.09,-0.78,-0.03,1.91,3.66,5.38,8.34,11.84,14.12,15.09,15.31,16.06,15.94,14.28,12.5,11.44,11.09,9.59,8.41,8.09,8.28,7.41,6.0,4.59,4.12,3.03,1.72,1.0,1.81,3.44,4.66,5.81,7.78,9.28,9.5,8.5,7.47,6.78,5.19,3.03,1.19,0.72,0.03,-0.53,-0.78,0.59,2.31,3.22,3.94,4.84,6.03,5.66,4.72,4.31,5.44,6.44,7.19,8.59,10.34,11.22,10.62,9.12,8.53,8.12,6.38,4.66,3.44,2.84,1.69,0.66,0.28,1.69,2.81,3.56,4.31,5.25,5.12,3.0,0.38,-1.62,-3.41,-5.44,-6.84,-6.91,-5.53,-4.53,-4.03,-3.41,-2.59,-2.59,-3.47,-3.97,-3.09,-2.12,-1.88,-1.69,0.16,2.53,4.53,6.41,8.47,11.06,11.94,12.41,12.91,14.5,15.53,15.78,15.41,15.53,15.06,13.0,10.78,9.19,8.06,6.34,4.06,2.5,1.41,0.19,-1.66,-2.91,-3.28,-3.0,-3.19,-2.62,-0.44,2.28,4.53,5.62,6.97,7.91,8.25,7.66,7.88,9.25,9.91,9.69,9.28,9.62,9.75,9.09,7.53,6.69,6.22,4.75,3.09,2.66,3.38,3.81,3.84,4.62,6.44,8.06,9.62,11.41,14.78,17.66,19.12,19.38,19.47,19.06,17.69,15.97,15.38,15.12,14.69,13.09,11.56,10.91,10.75,10.06,9.88,11.34,12.56,12.53,11.84,11.41,10.69,9.97,8.66,8.38,8.88,9.44,8.56,7.59,6.91,6.19,4.81,3.91,4.94,6.84,8.44,9.53,11.31,13.0,14.19,14.06,14.31,14.31,13.16,11.09,9.03,8.34,7.97,7.12,6.28,6.44,6.75,6.47,5.81,6.0,6.81,7.12,7.03,7.28,7.91,8.28,7.34,6.53,7.0,8.44,9.72,11.44,13.78,16.16,16.69,16.38,16.06,16.03,16.31,16.38,17.75,20.06,22.91,23.91,23.75,23.06,21.12,17.19,12.25,8.38,5.28,2.09,-0.62,-2.0,-2.38,-2.81,-4.25,-5.5,-5.34,-5.03,-4.62,-3.53,-1.16,1.62,3.06,3.62,4.47,4.94,4.69,3.53,2.75,2.81,3.44,3.66,4.91,6.94,8.72,9.16,8.81,9.31,10.06,10.88,11.69,13.22,15.09,16.84,17.22,17.22,17.78,18.47,17.91,17.66,18.5,19.03,18.41,16.97,15.53,14.97,13.94,12.5,12.28,12.66,13.22,13.16,13.56,14.53,15.16,14.62,13.72,13.59,13.44,12.41,11.22,10.53,10.22,9.75,9.31,9.19,9.66,10.28,9.91,9.75,10.56,11.59,11.19,10.72,10.75,10.25,8.91,7.38,6.19,5.88,5.97,5.66,6.09,7.84,9.5,10.12,10.53,11.31,11.69,10.94,9.38,8.56,8.16,6.97,5.84,5.28,5.66,5.94,5.78,5.97,6.75,7.34,6.41,5.28,4.88,4.66,3.53,2.94,2.88,3.28,3.31,3.06,3.28,4.38,5.56,6.19,7.38,9.16,10.72,11.09,11.44,11.53,11.56,10.28,8.44,7.0,6.0,4.81,3.22,2.47,3.03,3.88,4.22,5.06,6.16,7.16,6.41,5.03,4.34,4.19,3.62,3.5,3.94,5.0,5.5,4.94,3.91,3.25,2.19,0.31,-1.25,-1.47,-0.75,-0.44,-0.16,0.5,1.34,1.03,-0.25,-0.78,-0.88,-1.0,-1.5,-1.56,-0.94,-0.78,-1.0,-1.44,-1.34,-0.81,-1.06,-1.28,-1.25,-0.56,-0.22,-0.41,-0.03,1.16,2.06,2.31,1.91,2.25,2.53,1.97,1.12,1.0,1.56,1.22,0.81,0.69,1.47,2.06,1.94,2.28,3.66,4.59,5.0,5.47,6.84,7.72,7.97,8.12,8.69,9.72,10.09,9.91,9.78,10.03,9.97,9.31,9.25,10.0,10.5,10.06,9.41,9.12,8.88,7.72,6.5,6.0,6.62,7.28,8.28,9.5,11.28,12.06,11.69,10.19,8.78,6.66,3.78,0.88,-0.59,-0.78,-0.31,0.22,1.38,2.72,3.19,3.12,3.09,4.25,5.38,5.84,6.75,7.5,8.12,7.38,5.81,4.38,3.0,1.28,-0.56,-1.22,-0.56,0.44,1.41,2.28,3.62,4.22,3.75,3.31,3.41,3.69,3.25,2.56,1.97,1.72,0.5,-1.47,-3.56,-4.84,-6.12,-7.5,-8.06,-6.72,-5.5,-4.56,-3.69,-2.06,-0.28,0.47,0.25,-0.19,-0.38,-1.47,-2.97,-3.69,-3.09,-2.34,-1.94,-1.88,-0.84,-0.06,-0.25,-0.53,-0.09,0.22,0.16,-0.19,-0.72,-1.09,-2.22,-4.75,-7.5,-9.31,-10.72,-12.19,-13.0,-12.62,-12.22,-12.16,-12.41,-12.03,-11.53,-11.09,-11.44,-11.38,-10.34,-8.75,-8.28,-7.66,-6.59,-6.28,-7.19,-8.22,-8.47,-8.81,-9.41,-10.34,-10.25,-9.53,-8.75,-8.25,-7.88,-6.66,-6.31,-6.75,-6.56,-5.84,-4.41,-3.47,-2.66,-1.0,0.59,1.62,2.06,2.91,3.62,3.34,1.56,-0.44,-2.31,-4.03,-6.34,-8.03,-8.56,-8.34,-8.16,-7.88,-6.47,-4.69,-3.09,-2.25,-1.53,-0.62,-0.16,-1.19,-2.56,-3.59,-4.56,-6.88,-9.66,-11.69,-13.47,-15.53,-17.5,-17.59,-16.78,-15.0,-13.0,-10.62,-7.78,-5.19,-3.84,-3.19,-1.78,-0.75,-0.97,-1.75,-2.84,-4.0,-5.97,-8.34,-9.28,-9.38,-9.03,-8.88,-8.31,-7.22,-6.25,-6.62,-7.34,-7.38,-6.53,-6.0,-4.66,-2.88,-0.91,-0.5,-1.97,-3.25,-4.16,-5.12,-6.72,-8.12,-8.81,-9.69,-11.69,-14.09,-15.38,-15.75,-16.53,-16.72,-15.53,-13.09,-10.22,-7.81,-4.84,-1.41,1.53,3.47,5.31,7.94,10.75,12.53,13.41,13.72,13.5,11.44,8.5,5.97,4.5,3.22,1.84,1.19,1.22,1.72,1.25,0.94,0.72,0.81,-0.38,-1.97,-3.0,-3.44,-3.94,-4.59,-4.41,-3.16,-1.97,-1.81,-1.84,-1.97,-2.78,-5.03,-7.47,-9.19,-10.09,-11.0,-12.06,-11.88,-10.59,-9.59,-9.19,-8.44,-7.47,-7.03,-7.34,-7.94,-8.03,-7.22,-7.34,-6.97,-5.66,-3.25,-2.06,-1.47,-0.97,-0.66,-0.94,-2.38,-3.34,-3.69,-3.97,-4.94,-5.81,-6.34,-6.72,-8.59,-11.0,-13.25,-14.62,-16.38,-18.03,-18.72,-17.66,-16.09,-15.09,-13.34,-11.0,-8.72,-8.16,-8.19,-8.53,-9.47,-11.53,-13.53,-14.62,-14.19,-13.34,-12.41,-10.41,-7.62,-5.19,-3.59,-2.53,-1.09,-0.16,-0.88,-1.97,-2.75,-3.22,-4.66,-6.38,-7.16,-7.5,-7.78,-8.44,-8.75,-7.94,-7.03,-7.66,-8.31,-8.66,-9.31,-11.22,-12.97,-13.62,-13.38,-12.94,-12.56,-11.88,-10.66,-10.03,-9.78,-9.41,-8.25,-7.47,-7.47,-7.53,-6.81,-6.22,-5.94,-6.34,-7.03,-7.47,-9.16,-11.66,-13.78,-14.81,-15.34,-16.0,-15.59,-13.38,-10.59,-8.53,-6.75,-4.75,-2.91,-2.69,-3.28,-3.84,-4.16,-5.62,-7.75,-9.53,-10.38,-11.22,-12.91,-14.56,-15.47,-16.09,-17.81,-19.25,-19.38,-18.47,-17.84,-16.94,-15.09,-12.5,-10.56,-9.47,-8.66,-6.78,-5.41,-4.56,-4.16,-2.69,-1.84,-2.34,-3.81,-5.56,-7.09,-9.78,-12.75,-15.03,-15.97,-16.28,-16.41,-15.81,-13.78,-12.06,-11.34,-11.5,-11.12,-10.75,-12.25,-13.84,-14.59,-14.5,-14.28,-14.44,-13.62,-11.62,-9.81,-8.53,-7.34,-5.47,-4.09,-4.31,-5.56,-6.69,-8.09,-10.72,-13.84,-15.81,-16.91,-18.25,-19.06,-19.62,-19.12,-18.25,-17.66,-16.81,-14.56,-11.97,-10.34,-9.34,-7.81,-6.38,-6.19,-6.84,-7.44,-7.84,-8.22,-8.66,-8.84,-7.69,-6.88,-7.06,-8.47,-8.81,-8.84,-9.34,-9.38,-8.12,-6.12,-5.53,-5.59,-5.75,-5.41,-5.72,-6.66,-7.38,-7.41,-8.0,-9.25,-11.19,-11.88,-12.19,-13.25,-14.41,-14.53,-13.88,-14.09,-14.91,-14.97,-13.97,-13.41,-13.56,45.53,45.53,44.88,43.88,43.06,42.06,41.06,39.84,38.5,37.47,36.62,35.56,34.59,34.12:-1.44,0.06,0.72,0.72,1.41,2.19,2.94,2.47,1.62,1.16,0.84,-0.31,-1.38,-1.41,-1.03,-1.25,-1.69,-1.06,0.22,1.66,3.06,4.91,6.84,8.91,9.44,9.81,10.47,11.44,11.47,11.16,11.5,11.81,11.5,10.34,9.09,7.47,5.5,2.62,0.25,-0.91,-1.06,-1.56,-1.28,0.09,3.0,5.59,7.59,9.91,12.06,12.84,12.62,12.88,13.44,13.72,12.69,11.38,10.16,9.25,7.28,5.56,4.97,4.88,3.88,2.56,1.75,1.72,1.59,1.03,1.31,2.0,2.06,1.41,0.53,0.34,0.69,-0.03,-0.56,-0.5,0.25,0.09,-0.75,-1.22,-1.22,-1.41,-1.75,-1.47,-0.16,1.41,2.53,3.62,4.97,6.22,6.09,4.91,3.72,2.88,1.81,0.56,0.47,1.22,1.94,1.66,1.5,1.41,1.28,0.44,0.12,1.16,2.88,4.0,4.84,5.56,6.22,5.94,4.88,4.16,4.25,4.12,3.19,2.78,3.34,3.69,3.19,2.5,2.12,1.75,0.72,-0.44,-1.09,-0.88,-0.78,-1.22,-0.97,0.41,1.91,2.38,2.59,3.28,4.28,4.28,4.19,4.22,4.5,3.34,1.19,-0.91,-2.19,-3.38,-4.38,-4.03,-2.66,-0.81,-0.09,0.59,1.31,2.0,1.75,1.22,1.34,1.78,1.78,1.53,2.06,3.5,4.72,5.91,7.41,9.81,11.94,12.44,12.12,11.91,11.69,10.28,8.88,8.5,8.72,8.12,6.88,5.78,4.66,3.69,1.81,0.09,0.16,0.38,-0.09,-0.78,-0.03,1.91,3.66,5.38,8.34,11.84,14.12,15.09,15.31,16.06,15.94,14.28,12.5,11.44,11.09,9.59,8.41,8.09,8.28,7.41,6.0,4.59,4.12,3.03,1.72,1.0,1.81,3.44,4.66,5.81,7.78,9.28,9.5,8.5,7.47,6.78,5.19,3.03,1.19,0.72,0.03,-0.53,-0.78,0.59,2.31,3.22,3.94,4.84,6.03,5.66,4.72,4.31,5.44,6.44,7.19,8.59,10.34,11.22,10.62,9.12,8.53,8.12,6.38,4.66,3.44,2.84,1.69,0.66,0.28,1.69,2.81,3.56,4.31,5.25,5.12,3.0,0.38,-1.62,-3.41,-5.44,-6.84,-6.91,-5.53,-4.53,-4.03,-3.41,-2.59,-2.59,-3.47,-3.97,-3.09,-2.12,-1.88,-1.69,0.16,2.53,4.53,6.41,8.47,11.06,11.94,12.41,12.91,14.5,15.53,15.78,15.41,15.53,15.06,13.0,10.78,9.19,8.06,6.34,4.06,2.5,1.41,0.19,-1.66,-2.91,-3.28,-3.0,-3.19,-2.62,-0.44,2.28,4.53,5.62,6.97,7.91,8.25,7.66,7.88,9.25,9.91,9.69,9.28,9.62,9.75,9.09,7.53,6.69,6.22,4.75,3.09,2.66,3.38,3.81,3.84,4.62,6.44,8.06,9.62,11.41,14.78,17.66,19.12,19.38,19.47,19.06,17.69,15.97,15.38,15.12,14.69,13.09,11.56,10.91,10.75,10.06,9.88,11.34,12.56,12.53,11.84,11.41,10.69,9.97,8.66,8.38,8.88,9.44,8.56,7.59,6.91,6.19,4.81,3.91,4.94,6.84,8.44,9.53,11.31,13.0,14.19,14.06,14.31,14.31,13.16,11.09,9.03,8.34,7.97,7.12,6.28,6.44,6.75,6.47,5.81,6.0,6.81,7.12,7.03,7.28,7.91,8.28,7.34,6.53,7.0,8.44,9.72,11.44,13.78,16.16,16.69,16.38,16.06,16.03,16.31,16.38,17.75,20.06,22.91,23.91,23.75,23.06,21.12,17.19,12.25,8.38,5.28,2.09,-0.62,-2.0,-2.38,-2.81,-4.25,-5.5,-5.34,-5.03,-4.62,-3.53,-1.16,1.62,3.06,3.62,4.47,4.94,4.69,3.53,2.75,2.81,3.44,3.66,4.91,6.94,8.72,9.16,8.81,9.31,10.06,10.88,11.69,13.22,15.09,16.84,17.22,17.22,17.78,18.47,17.91,17.66,18.5,19.03,18.41,16.97,15.53,14.97,13.94,12.5,12.28,12.66,13.22,13.16,13.56,14.53,15.16,14.62,13.72,13.59,13.44,12.41,11.22,10.53,10.22,9.75,9.31,9.19,9.66,10.28,9.91,9.75,10.56,11.59,11.19,10.72,10.75,10.25,8.91,7.38,6.19,5.88,5.97,5.66,6.09,7.84,9.5,10.12,10.53,11.31,11.69,10.94,9.38,8.56,8.16,6.97,5.84,5.28,5.66,5.94,5.78,5.97,6.75,7.34,6.41,5.28,4.88,4.66,3.53,2.94,2.88,3.28,3.31,3.06,3.28,4.38,5.56,6.19,7.38,9.16,10.72,11.09,11.44,11.53,11.56,10.28,8.44,7.0,6.0,4.81,3.22,2.47,3.03,3.88,4.22,5.06,6.16,7.16,6.41,5.03,4.34,4.19,3.62,3.5,3.94,5.0,5.5,4.94,3.91,3.25,2.19,0.31,-1.25,-1.47,-0.75,-0.44,-0.16,0.5,1.34,1.03,-0.25,-0.78,-0.88,-1.0,-1.5,-1.56,-0.94,-0.78,-1.0,-1.44,-1.34,-0.81,-1.06,-1.28,-1.25,-0.56,-0.22,-0.41,-0.03,1.16,2.06,2.31,1.91,2.25,2.53,1.97,1.12,1.0,1.56,1.22,0.81,0.69,1.47,2.06,1.94,2.28,3.66,4.59,5.0,5.47,6.84,7.72,7.97,8.12,8.69,9.72,10.09,9.91,9.78,10.03,9.97,9.31,9.25,10.0,10.5,10.06,9.41,9.12,8.88,7.72,6.5,6.0,6.62,7.28,8.28,9.5,11.28,12.06,11.69,10.19,8.78,6.66,3.78,0.88,-0.59,-0.78,-0.31,0.22,1.38,2.72,3.19,3.12,3.09,4.25,5.38,5.84,6.75,7.5,8.12,7.38,5.81,4.38,3.0,1.28,-0.56,-1.22,-0.56,0.44,1.41,2.28,3.62,4.22,3.75,3.31,3.41,3.69,3.25,2.56,1.97,1.72,0.5,-1.47,-3.56,-4.84,-6.12,-7.5,-8.06,-6.72,-5.5,-4.56,-3.69,-2.06,-0.28,0.47,0.25,-0.19,-0.38,-1.47,-2.97,-3.69,-3.09,-2.34,-1.94,-1.88,-0.84,-0.06,-0.25,-0.53,-0.09,0.22,0.16,-0.19,-0.72,-1.09,-2.22,-4.75,-7.5,-9.31,-10.72,-12.19,-13.0,-12.62,-12.22,-12.16,-12.41,-12.03,-11.53,-11.09,-11.44,-11.38,-10.34,-8.75,-8.28,-7.66,-6.59,-6.28,-7.19,-8.22,-8.47,-8.81,-9.41,-10.34,-10.25,-9.53,-8.75,-8.25,-7.88,-6.66,-6.31,-6.75,-6.56,-5.84,-4.41,-3.47,-2.66,-1.0,0.59,1.62,2.06,2.91,3.62,3.34,1.56,-0.44,-2.31,-4.03,-6.34,-8.03,-8.56,-8.34,-8.16,-7.88,-6.47,-4.69,-3.09,-2.25,-1.53,-0.62,-0.16,-1.19,-2.56,-3.59,-4.56,-6.88,-9.66,-11.69,-13.47,-15.53,-17.5,-17.59,-16.78,-15.0,-13.0,-10.62,-7.78,-5.19,-3.84,-3.19,-1.78,-0.75,-0.97,-1.75,-2.84,-4.0,-5.97,-8.34,-9.28,-9.38,-9.03,-8.88,-8.31,-7.22,-6.25,-6.62,-7.34,-7.38,-6.53,-6.0,-4.66,-2.88,-0.91,-0.5,-1.97,-3.25,-4.16,-5.12,-6.72,-8.12,-8.81,-9.69,-11.69,-14.09,-15.38,-15.75,-16.53,-16.72,-15.53,-13.09,-10.22,-7.81,-4.84,-1.41,1.53,3.47,5.31,7.94,10.75,12.53,13.41,13.72,13.5,11.44,8.5,5.97,4.5,3.22,1.84,1.19,1.22,1.72,1.25,0.94,0.72,0.81,-0.38,-1.97,-3.0,-3.44,-3.94,-4.59,-4.41,-3.16,-1.97,-1.81,-1.84,-1.97,-2.78,-5.03,-7.47,-9.19,-10.09,-11.0,-12.06,-11.88,-10.59,-9.59,-9.19,-8.44,-7.47,-7.03,-7.34,-7.94,-8.03,-7.22,-7.34,-6.97,-5.66,-3.25,-2.06,-1.47,-0.97,-0.66,-0.94,-2.38,-3.34,-3.69,-3.97,-4.94,-5.81,-6.34,-6.72,-8.59,-11.0,-13.25,-14.62,-16.38,-18.03,-18.72,-17.66,-16.09,-15.09,-13.34,-11.0,-8.72,-8.16,-8.19,-8.53,-9.47,-11.53,-13.53,-14.62,-14.19,-13.34,-12.41,-10.41,-7.62,-5.19,-3.59,-2.53,-1.09,-0.16,-0.88,-1.97,-2.75,-3.22,-4.66,-6.38,-7.16,-7.5,-7.78,-8.44,-8.75,-7.94,-7.03,-7.66,-8.31,-8.66,-9.31,-11.22,-12.97,-13.62,-13.38,-12.94,-12.56,-11.88,-10.66,-10.03,-9.78,-9.41,-8.25,-7.47,-7.47,-7.53,-6.81,-6.22,-5.94,-6.34,-7.03,-7.47,-9.16,-11.66,-13.78,-14.81,-15.34,-16.0,-15.59,-13.38,-10.59,-8.53,-6.75,-4.75,-2.91,-2.69,-3.28,-3.84,-4.16,-5.62,-7.75,-9.53,-10.38,-11.22,-12.91,-14.56,-15.47,-16.09,-17.81,-19.25,-19.38,-18.47,-17.84,-16.94,-15.09,-12.5,-10.56,-9.47,-8.66,-6.78,-5.41,-4.56,-4.16,-2.69,-1.84,-2.34,-3.81,-5.56,-7.09,-9.78,-12.75,-15.03,-15.97,-16.28,-16.41,-15.81,-13.78,-12.06,-11.34,-11.5,-11.12,-10.75,-12.25,-13.84,-14.59,-14.5,-14.28,-14.44,-13.62,-11.62,-9.81,-8.53,-7.34,-5.47,-4.09,-4.31,-5.56,-6.69,-8.09,-10.72,-13.84,-15.81,-16.91,-18.25,-19.06,-19.62,-19.12,-18.25,-17.66,-16.81,-14.56,-11.97,-10.34,-9.34,-7.81,-6.38,-6.19,-6.84,-7.44,-7.84,-8.22,-8.66,-8.84,-7.69,-6.88,-7.06,-8.47,-8.81,-8.84,-9.34,-9.38,-8.12,-6.12,-5.53,-5.59,-5.75,-5.41,-5.72,-6.66,-7.38,-7.41,-8.0,-9.25,-11.19,-11.88,-12.19,-13.25,-14.41,-14.53,-13.88,-14.09,-14.91,-14.97,-13.97,-13.41,-13.56,45.53,45.53,44.88,43.88,43.06,42.06,41.06,39.84,38.5,37.47,36.62,35.56,34.59,34.12,34.25,35.06,36.5,38.44,40.81,43.12,44.62:2.47,1.62,1.16,0.84,-0.31,-1.38,-1.41,-1.03,-1.25,-1.69,-1.06,0.22,1.66,3.06,4.91,6.84,8.91,9.44,9.81,10.47,11.44,11.47,11.16,11.5,11.81,11.5,10.34,9.09,7.47,5.5,2.62,0.25,-0.91,-1.06,-1.56,-1.28,0.09,3.0,5.59,7.59,9.91,12.06,12.84,12.62,12.88,13.44,13.72,12.69,11.38,10.16,9.25,7.28,5.56,4.97,4.88,3.88,2.56,1.75,1.72,1.59,1.03,1.31,2.0,2.06,1.41,0.53,0.34,0.69,-0.03,-0.56,-0.5,0.25,0.09,-0.75,-1.22,-1.22,-1.41,-1.75,-1.47,-0.16,1.41,2.53,3.62,4.97,6.22,6.09,4.91,3.72,2.88,1.81,0.56,0.47,1.22,1.94,1.66,1.5,1.41,1.28,0.44,0.12,1.16,2.88,4.0,4.84,5.56,6.22,5.94,4.88,4.16,4.25,4.12,3.19,2.78,3.34,3.69,3.19,2.5,2.12,1.75,0.72,-0.44,-1.09,-0.88,-0.78,-1.22,-0.97,0.41,1.91,2.38,2.59,3.28,4.28,4.28,4.19,4.22,4.5,3.34,1.19,-0.91,-2.19,-3.38,-4.38,-4.03,-2.66,-0.81,-0.09,0.59,1.31,2.0,1.75,1.22,1.34,1.78,1.78,1.53,2.06,3.5,4.72,5.91,7.41,9.81,11.94,12.44,12.12,11.91,11.69,10.28,8.88,8.5,8.72,8.12,6.88,5.78,4.66,3.69,1.81,0.09,0.16,0.38,-0.09,-0.78,-0.03,1.91,3.66,5.38,8.34,11.84,14.12,15.09,15.31,16.06,15.94,14.28,12.5,11.44,11.09,9.59,8.41,8.09,8.28,7.41,6.0,4.59,4.12,3.03,1.72,1.0,1.81,3.44,4.66,5.81,7.78,9.28,9.5,8.5,7.47,6.78,5.19,3.03,1.19,0.72,0.03,-0.53,-0.78,0.59,2.31,3.22,3.94,4.84,6.03,5.66,4.72,4.31,5.44,6.44,7.19,8.59,10.34,11.22,10.62,9.12,8.53,8.12,6.38,4.66,3.44,2.84,1.69,0.66,0.28,1.69,2.81,3.56,4.31,5.25,5.12,3.0,0.38,-1.62,-3.41,-5.44,-6.84,-6.91,-5.53,-4.53,-4.03,-3.41,-2.59,-2.59,-3.47,-3.97,-3.09,-2.12,-1.88,-1.69,0.16,2.53,4.53,6.41,8.47,11.06,11.94,12.41,12.91,14.5,15.53,15.78,15.41,15.53,15.06,13.0,10.78,9.19,8.06,6.34,4.06,2.5,1.41,0.19,-1.66,-2.91,-3.28,-3.0,-3.19,-2.62,-0.44,2.28,4.53,5.62,6.97,7.91,8.25,7.66,7.88,9.25,9.91,9.69,9.28,9.62,9.75,9.09,7.53,6.69,6.22,4.75,3.09,2.66,3.38,3.81,3.84,4.62,6.44,8.06,9.62,11.41,14.78,17.66,19.12,19.38,19.47,19.06,17.69,15.97,15.38,15.12,14.69,13.09,11.56,10.91,10.75,10.06,9.88,11.34,12.56,12.53,11.84,11.41,10.69,9.97,8.66,8.38,8.88,9.44,8.56,7.59,6.91,6.19,4.81,3.91,4.94,6.84,8.44,9.53,11.31,13.0,14.19,14.06,14.31,14.31,13.16,11.09,9.03,8.34,7.97,7.12,6.28,6.44,6.75,6.47,5.81,6.0,6.81,7.12,7.03,7.28,7.91,8.28,7.34,6.53,7.0,8.44,9.72,11.44,13.78,16.16,16.69,16.38,16.06,16.03,16.31,16.38,17.75,20.06,22.91,23.91,23.75,23.06,21.12,17.19,12.25,8.38,5.28,2.09,-0.62,-2.0,-2.38,-2.81,-4.25,-5.5,-5.34,-5.03,-4.62,-3.53,-1.16,1.62,3.06,3.62,4.47,4.94,4.69,3.53,2.75,2.81,3.44,3.66,4.91,6.94,8.72,9.16,8.81,9.31,10.06,10.88,11.69,13.22,15.09,16.84,17.22,17.22,17.78,18.47,17.91,17.66,18.5,19.03,18.41,16.97,15.53,14.97,13.94,12.5,12.28,12.66,13.22,13.16,13.56,14.53,15.16,14.62,13.72,13.59,13.44,12.41,11.22,10.53,10.22,9.75,9.31,9.19,9.66,10.28,9.91,9.75,10.56,11.59,11.19,10.72,10.75,10.25,8.91,7.38,6.19,5.88,5.97,5.66,6.09,7.84,9.5,10.12,10.53,11.31,11.69,10.94,9.38,8.56,8.16,6.97,5.84,5.28,5.66,5.94,5.78,5.97,6.75,7.34,6.41,5.28,4.88,4.66,3.53,2.94,2.88,3.28,3.31,3.06,3.28,4.38,5.56,6.19,7.38,9.16,10.72,11.09,11.44,11.53,11.56,10.28,8.44,7.0,6.0,4.81,3.22,2.47,3.03,3.88,4.22,5.06,6.16,7.16,6.41,5.03,4.34,4.19,3.62,3.5,3.94,5.0,5.5,4.94,3.91,3.25,2.19,0.31,-1.25,-1.47,-0.75,-0.44,-0.16,0.5,1.34,1.03,-0.25,-0.78,-0.88,-1.0,-1.5,-1.56,-0.94,-0.78,-1.0,-1.44,-1.34,-0.81,-1.06,-1.28,-1.25,-0.56,-0.22,-0.41,-0.03,1.16,2.06,2.31,1.91,2.25,2.53,1.97,1.12,1.0,1.56,1.22,0.81,0.69,1.47,2.06,1.94,2.28,3.66,4.59,5.0,5.47,6.84,7.72,7.97,8.12,8.69,9.72,10.09,9.91,9.78,10.03,9.97,9.31,9.25,10.0,10.5,10.06,9.41,9.12,8.88,7.72,6.5,6.0,6.62,7.28,8.28,9.5,11.28,12.06,11.69,10.19,8.78,6.66,3.78,0.88,-0.59,-0.78,-0.31,0.22,1.38,2.72,3.19,3.12,3.09,4.25,5.38,5.84,6.75,7.5,8.12,7.38,5.81,4.38,3.0,1.28,-0.56,-1.22,-0.56,0.44,1.41,2.28,3.62,4.22,3.75,3.31,3.41,3.69,3.25,2.56,1.97,1.72,0.5,-1.47,-3.56,-4.84,-6.12,-7.5,-8.06,-6.72,-5.5,-4.56,-3.69,-2.06,-0.28,0.47,0.25,-0.19,-0.38,-1.47,-2.97,-3.69,-3.09,-2.34,-1.94,-1.88,-0.84,-0.06,-0.25,-0.53,-0.09,0.22,0.16,-0.19,-0.72,-1.09,-2.22,-4.75,-7.5,-9.31,-10.72,-12.19,-13.0,-12.62,-12.22,-12.16,-12.41,-12.03,-11.53,-11.09,-11.44,-11.38,-10.34,-8.75,-8.28,-7.66,-6.59,-6.28,-7.19,-8.22,-8.47,-8.81,-9.41,-10.34,-10.25,-9.53,-8.75,-8.25,-7.88,-6.66,-6.31,-6.75,-6.56,-5.84,-4.41,-3.47,-2.66,-1.0,0.59,1.62,2.06,2.91,3.62,3.34,1.56,-0.44,-2.31,-4.03,-6.34,-8.03,-8.56,-8.34,-8.16,-7.88,-6.47,-4.69,-3.09,-2.25,-1.53,-0.62,-0.16,-1.19,-2.56,-3.59,-4.56,-6.88,-9.66,-11.69,-13.47,-15.53,-17.5,-17.59,-16.78,-15.0,-13.0,-10.62,-7.78,-5.19,-3.84,-3.19,-1.78,-0.75,-0.97,-1.75,-2.84,-4.0,-5.97,-8.34,-9.28,-9.38,-9.03,-8.88,-8.31,-7.22,-6.25,-6.62,-7.34,-7.38,-6.53,-6.0,-4.66,-2.88,-0.91,-0.5,-1.97,-3.25,-4.16,-5.12,-6.72,-8.12,-8.81,-9.69,-11.69,-14.09,-15.38,-15.75,-16.53,-16.72,-15.53,-13.09,-10.22,-7.81,-4.84,-1.41,1.53,3.47,5.31,7.94,10.75,12.53,13.41,13.72,13.5,11.44,8.5,5.97,4.5,3.22,1.84,1.19,1.22,1.72,1.25,0.94,0.72,0.81,-0.38,-1.97,-3.0,-3.44,-3.94,-4.59,-4.41,-3.16,-1.97,-1.81,-1.84,-1.97,-2.78,-5.03,-7.47,-9.19,-10.09,-11.0,-12.06,-11.88,-10.59,-9.59,-9.19,-8.44,-7.47,-7.03,-7.34,-7.94,-8.03,-7.22,-7.34,-6.97,-5.66,-3.25,-2.06,-1.47,-0.97,-0.66,-0.94,-2.38,-3.34,-3.69,-3.97,-4.94,-5.81,-6.34,-6.72,-8.59,-11.0,-13.25,-14.62,-16.38,-18.03,-18.72,-17.66,-16.09,-15.09,-13.34,-11.0,-8.72,-8.16,-8.19,-8.53,-9.47,-11.53,-13.53,-14.62,-14.19,-13.34,-12.41,-10.41,-7.62,-5.19,-3.59,-2.53,-1.09,-0.16,-0.88,-1.97,-2.75,-3.22,-4.66,-6.38,-7.16,-7.5,-7.78,-8.44,-8.75,-7.94,-7.03,-7.66,-8.31,-8.66,-9.31,-11.22,-12.97,-13.62,-13.38,-12.94,-12.56,-11.88,-10.66,-10.03,-9.78,-9.41,-8.25,-7.47,-7.47,-7.53,-6.81,-6.22,-5.94,-6.34,-7.03,-7.47,-9.16,-11.66,-13.78,-14.81,-15.34,-16.0,-15.59,-13.38,-10.59,-8.53,-6.75,-4.75,-2.91,-2.69,-3.28,-3.84,-4.16,-5.62,-7.75,-9.53,-10.38,-11.22,-12.91,-14.56,-15.47,-16.09,-17.81,-19.25,-19.38,-18.47,-17.84,-16.94,-15.09,-12.5,-10.56,-9.47,-8.66,-6.78,-5.41,-4.56,-4.16,-2.69,-1.84,-2.34,-3.81,-5.56,-7.09,-9.78,-12.75,-15.03,-15.97,-16.28,-16.41,-15.81,-13.78,-12.06,-11.34,-11.5,-11.12,-10.75,-12.25,-13.84,-14.59,-14.5,-14.28,-14.44,-13.62,-11.62,-9.81,-8.53,-7.34,-5.47,-4.09,-4.31,-5.56,-6.69,-8.09,-10.72,-13.84,-15.81,-16.91,-18.25,-19.06,-19.62,-19.12,-18.25,-17.66,-16.81,-14.56,-11.97,-10.34,-9.34,-7.81,-6.38,-6.19,-6.84,-7.44,-7.84,-8.22,-8.66,-8.84,-7.69,-6.88,-7.06,-8.47,-8.81,-8.84,-9.34,-9.38,-8.12,-6.12,-5.53,-5.59,-5.75,-5.41,-5.72,-6.66,-7.38,-7.41,-8.0,-9.25,-11.19,-11.88,-12.19,-13.25,-14.41,-14.53,-13.88,-14.09,-14.91,-14.97,-13.97,-13.41,-13.56,45.53,45.53,44.88,43.88,43.06,42.06,41.06,39.84,38.5,37.47,36.62,35.56,34.59,34.12,34.25,35.06,36.5,38.44,40.81,43.12,44.62,45.69,46.44,46.62,46.94,47.28,47.78,48.44:-1.03,-1.25,-1.69,-1.06,0.22,1.66,3.06,4.91,6.84,8.91,9.44,9.81,10.47,11.44,11.47,11.16,11.5,11.81,11.5,10.34,9.09,7.47,5.5,2.62,0.25,-0.91,-1.06,-1.56,-1.28,0.09,3.0,5.59,7.59,9.91,12.06,12.84,12.62,12.88,13.44,13.72,12.69,11.38,10.16,9.25,7.28,5.56,4.97,4.88,3.88,2.56,1.75,1.72,1.59,1.03,1.31,2.0,2.06,1.41,0.53,0.34,0.69,-0.03,-0.56,-0.5,0.25,0.09,-0.75,-1.22,-1.22,-1.41,-1.75,-1.47,-0.16,1.41,2.53,3.62,4.97,6.22,6.09,4.91,3.72,2.88,1.81,0.56,0.47,1.22,1.94,1.66,1.5,1.41,1.28,0.44,0.12,1.16,2.88,4.0,4.84,5.56,6.22,5.94,4.88,4.16,4.25,4.12,3.19,2.78,3.34,3.69,3.19,2.5,2.12,1.75,0.72,-0.44,-1.09,-0.88,-0.78,-1.22,-0.97,0.41,1.91,2.38,2.59,3.28,4.28,4.28,4.19,4.22,4.5,3.34,1.19,-0.91,-2.19,-3.38,-4.38,-4.03,-2.66,-0.81,-0.09,0.59,1.31,2.0,1.75,1.22,1.34,1.78,1.78,1.53,2.06,3.5,4.72,5.91,7.41,9.81,11.94,12.44,12.12,11.91,11.69,10.28,8.88,8.5,8.72,8.12,6.88,5.78,4.66,3.69,1.81,0.09,0.16,0.38,-0.09,-0.78,-0.03,1.91,3.66,5.38,8.34,11.84,14.12,15.09,15.31,16.06,15.94,14.28,12.5,11.44,11.09,9.59,8.41,8.09,8.28,7.41,6.0,4.59,4.12,3.03,1.72,1.0,1.81,3.44,4.66,5.81,7.78,9.28,9.5,8.5,7.47,6.78,5.19,3.03,1.19,0.72,0.03,-0.53,-0.78,0.59,2.31,3.22,3.94,4.84,6.03,5.66,4.72,4.31,5.44,6.44,7.19,8.59,10.34,11.22,10.62,9.12,8.53,8.12,6.38,4.66,3.44,2.84,1.69,0.66,0.28,1.69,2.81,3.56,4.31,5.25,5.12,3.0,0.38,-1.62,-3.41,-5.44,-6.84,-6.91,-5.53,-4.53,-4.03,-3.41,-2.59,-2.59,-3.47,-3.97,-3.09,-2.12,-1.88,-1.69,0.16,2.53,4.53,6.41,8.47,11.06,11.94,12.41,12.91,14.5,15.53,15.78,15.41,15.53,15.06,13.0,10.78,9.19,8.06,6.34,4.06,2.5,1.41,0.19,-1.66,-2.91,-3.28,-3.0,-3.19,-2.62,-0.44,2.28,4.53,5.62,6.97,7.91,8.25,7.66,7.88,9.25,9.91,9.69,9.28,9.62,9.75,9.09,7.53,6.69,6.22,4.75,3.09,2.66,3.38,3.81,3.84,4.62,6.44,8.06,9.62,11.41,14.78,17.66,19.12,19.38,19.47,19.06,17.69,15.97,15.38,15.12,14.69,13.09,11.56,10.91,10.75,10.06,9.88,11.34,12.56,12.53,11.84,11.41,10.69,9.97,8.66,8.38,8.88,9.44,8.56,7.59,6.91,6.19,4.81,3.91,4.94,6.84,8.44,9.53,11.31,13.0,14.19,14.06,14.31,14.31,13.16,11.09,9.03,8.34,7.97,7.12,6.28,6.44,6.75,6.47,5.81,6.0,6.81,7.12,7.03,7.28,7.91,8.28,7.34,6.53,7.0,8.44,9.72,11.44,13.78,16.16,16.69,16.38,16.06,16.03,16.31,16.38,17.75,20.06,22.91,23.91,23.75,23.06,21.12,17.19,12.25,8.38,5.28,2.09,-0.62,-2.0,-2.38,-2.81,-4.25,-5.5,-5.34,-5.03,-4.62,-3.53,-1.16,1.62,3.06,3.62,4.47,4.94,4.69,3.53,2.75,2.81,3.44,3.66,4.91,6.94,8.72,9.16,8.81,9.31,10.06,10.88,11.69,13.22,15.09,16.84,17.22,17.22,17.78,18.47,17.91,17.66,18.5,19.03,18.41,16.97,15.53,14.97,13.94,12.5,12.28,12.66,13.22,13.16,13.56,14.53,15.16,14.62,13.72,13.59,13.44,12.41,11.22,10.53,10.22,9.75,9.31,9.19,9.66,10.28,9.91,9.75,10.56,11.59,11.19,10.72,10.75,10.25,8.91,7.38,6.19,5.88,5.97,5.66,6.09,7.84,9.5,10.12,10.53,11.31,11.69,10.94,9.38,8.56,8.16,6.97,5.84,5.28,5.66,5.94,5.78,5.97,6.75,7.34,6.41,5.28,4.88,4.66,3.53,2.94,2.88,3.28,3.31,3.06,3.28,4.38,5.56,6.19,7.38,9.16,10.72,11.09,11.44,11.53,11.56,10.28,8.44,7.0,6.0,4.81,3.22,2.47,3.03,3.88,4.22,5.06,6.16,7.16,6.41,5.03,4.34,4.19,3.62,3.5,3.94,5.0,5.5,4.94,3.91,3.25,2.19,0.31,-1.25,-1.47,-0.75,-0.44,-0.16,0.5,1.34,1.03,-0.25,-0.78,-0.88,-1.0,-1.5,-1.56,-0.94,-0.78,-1.0,-1.44,-1.34,-0.81,-1.06,-1.28,-1.25,-0.56,-0.22,-0.41,-0.03,1.16,2.06,2.31,1.91,2.25,2.53,1.97,1.12,1.0,1.56,1.22,0.81,0.69,1.47,2.06,1.94,2.28,3.66,4.59,5.0,5.47,6.84,7.72,7.97,8.12,8.69,9.72,10.09,9.91,9.78,10.03,9.97,9.31,9.25,10.0,10.5,10.06,9.41,9.12,8.88,7.72,6.5,6.0,6.62,7.28,8.28,9.5,11.28,12.06,11.69,10.19,8.78,6.66,3.78,0.88,-0.59,-0.78,-0.31,0.22,1.38,2.72,3.19,3.12,3.09,4.25,5.38,5.84,6.75,7.5,8.12,7.38,5.81,4.38,3.0,1.28,-0.56,-1.22,-0.56,0.44,1.41,2.28,3.62,4.22,3.75,3.31,3.41,3.69,3.25,2.56,1.97,1.72,0.5,-1.47,-3.56,-4.84,-6.12,-7.5,-8.06,-6.72,-5.5,-4.56,-3.69,-2.06,-0.28,0.47,0.25,-0.19,-0.38,-1.47,-2.97,-3.69,-3.09,-2.34,-1.94,-1.88,-0.84,-0.06,-0.25,-0.53,-0.09,0.22,0.16,-0.19,-0.72,-1.09,-2.22,-4.75,-7.5,-9.31,-10.72,-12.19,-13.0,-12.62,-12.22,-12.16,-12.41,-12.03,-11.53,-11.09,-11.44,-11.38,-10.34,-8.75,-8.28,-7.66,-6.59,-6.28,-7.19,-8.22,-8.47,-8.81,-9.41,-10.34,-10.25,-9.53,-8.75,-8.25,-7.88,-6.66,-6.31,-6.75,-6.56,-5.84,-4.41,-3.47,-2.66,-1.0,0.59,1.62,2.06,2.91,3.62,3.34,1.56,-0.44,-2.31,-4.03,-6.34,-8.03,-8.56,-8.34,-8.16,-7.88,-6.47,-4.69,-3.09,-2.25,-1.53,-0.62,-0.16,-1.19,-2.56,-3.59,-4.56,-6.88,-9.66,-11.69,-13.47,-15.53,-17.5,-17.59,-16.78,-15.0,-13.0,-10.62,-7.78,-5.19,-3.84,-3.19,-1.78,-0.75,-0.97,-1.75,-2.84,-4.0,-5.97,-8.34,-9.28,-9.38,-9.03,-8.88,-8.31,-7.22,-6.25,-6.62,-7.34,-7.38,-6.53,-6.0,-4.66,-2.88,-0.91,-0.5,-1.97,-3.25,-4.16,-5.12,-6.72,-8.12,-8.81,-9.69,-11.69,-14.09,-15.38,-15.75,-16.53,-16.72,-15.53,-13.09,-10.22,-7.81,-4.84,-1.41,1.53,3.47,5.31,7.94,10.75,12.53,13.41,13.72,13.5,11.44,8.5,5.97,4.5,3.22,1.84,1.19,1.22,1.72,1.25,0.94,0.72,0.81,-0.38,-1.97,-3.0,-3.44,-3.94,-4.59,-4.41,-3.16,-1.97,-1.81,-1.84,-1.97,-2.78,-5.03,-7.47,-9.19,-10.09,-11.0,-12.06,-11.88,-10.59,-9.59,-9.19,-8.44,-7.47,-7.03,-7.34,-7.94,-8.03,-7.22,-7.34,-6.97,-5.66,-3.25,-2.06,-1.47,-0.97,-0.66,-0.94,-2.38,-3.34,-3.69,-3.97,-4.94,-5.81,-6.34,-6.72,-8.59,-11.0,-13.25,-14.62,-16.38,-18.03,-18.72,-17.66,-16.09,-15.09,-13.34,-11.0,-8.72,-8.16,-8.19,-8.53,-9.47,-11.53,-13.53,-14.62,-14.19,-13.34,-12.41,-10.41,-7.62,-5.19,-3.59,-2.53,-1.09,-0.16,-0.88,-1.97,-2.75,-3.22,-4.66,-6.38,-7.16,-7.5,-7.78,-8.44,-8.75,-7.94,-7.03,-7.66,-8.31,-8.66,-9.31,-11.22,-12.97,-13.62,-13.38,-12.94,-12.56,-11.88,-10.66,-10.03,-9.78,-9.41,-8.25,-7.47,-7.47,-7.53,-6.81,-6.22,-5.94,-6.34,-7.03,-7.47,-9.16,-11.66,-13.78,-14.81,-15.34,-16.0,-15.59,-13.38,-10.59,-8.53,-6.75,-4.75,-2.91,-2.69,-3.28,-3.84,-4.16,-5.62,-7.75,-9.53,-10.38,-11.22,-12.91,-14.56,-15.47,-16.09,-17.81,-19.25,-19.38,-18.47,-17.84,-16.94,-15.09,-12.5,-10.56,-9.47,-8.66,-6.78,-5.41,-4.56,-4.16,-2.69,-1.84,-2.34,-3.81,-5.56,-7.09,-9.78,-12.75,-15.03,-15.97,-16.28,-16.41,-15.81,-13.78,-12.06,-11.34,-11.5,-11.12,-10.75,-12.25,-13.84,-14.59,-14.5,-14.28,-14.44,-13.62,-11.62,-9.81,-8.53,-7.34,-5.47,-4.09,-4.31,-5.56,-6.69,-8.09,-10.72,-13.84,-15.81,-16.91,-18.25,-19.06,-19.62,-19.12,-18.25,-17.66,-16.81,-14.56,-11.97,-10.34,-9.34,-7.81,-6.38,-6.19,-6.84,-7.44,-7.84,-8.22,-8.66,-8.84,-7.69,-6.88,-7.06,-8.47,-8.81,-8.84,-9.34,-9.38,-8.12,-6.12,-5.53,-5.59,-5.75,-5.41,-5.72,-6.66,-7.38,-7.41,-8.0,-9.25,-11.19,-11.88,-12.19,-13.25,-14.41,-14.53,-13.88,-14.09,-14.91,-14.97,-13.97,-13.41,-13.56,45.53,45.53,44.88,43.88,43.06,42.06,41.06,39.84,38.5,37.47,36.62,35.56,34.59,34.12,34.25,35.06,36.5,38.44,40.81,43.12,44.62,45.69,46.44,46.62,46.94,47.28,47.78,48.44,48.97,48.84,48.31,48.28,48.25,47.91,47.53:4.91,6.84,8.91,9.44,9.81,10.47,11.44,11.47,11.16,11.5,11.81,11.5,10.34,9.09,7.47,5.5,2.62,0.25,-0.91,-1.06,-1.56,-1.28,0.09,3.0,5.59,7.59,9.91,12.06,12.84,12.62,12.88,13.44,13.72,12.69,11.38,10.16,9.25,7.28,5.56,4.97,4.88,3.88,2.56,1.75,1.72,1.59,1.03,1.31,2.0,2.06,1.41,0.53,0.34,0.69,-0.03,-0.56,-0.5,0.25,0.09,-0.75,-1.22,-1.22,-1.41,-1.75,-1.47,-0.16,1.41,2.53,3.62,4.97,6.22,6.09,4.91,3.72,2.88,1.81,0.56,0.47,1.22,1.94,1.66,1.5,1.41,1.28,0.44,0.12,1.16,2.88,4.0,4.84,5.56,6.22,5.94,4.88,4.16,4.25,4.12,3.19,2.78,3.34,3.69,3.19,2.5,2.12,1.75,0.72,-0.44,-1.09,-0.88,-0.78,-1.22,-0.97,0.41,1.91,2.38,2.59,3.28,4.28,4.28,4.19,4.22,4.5,3.34,1.19,-0.91,-2.19,-3.38,-4.38,-4.03,-2.66,-0.81,-0.09,0.59,1.31,2.0,1.75,1.22,1.34,1.78,1.78,1.53,2.06,3.5,4.72,5.91,7.41,9.81,11.94,12.44,12.12,11.91,11.69,10.28,8.88,8.5,8.72,8.12,6.88,5.78,4.66,3.69,1.81,0.09,0.16,0.38,-0.09,-0.78,-0.03,1.91,3.66,5.38,8.34,11.84,14.12,15.09,15.31,16.06,15.94,14.28,12.5,11.44,11.09,9.59,8.41,8.09,8.28,7.41,6.0,4.59,4.12,3.03,1.72,1.0,1.81,3.44,4.66,5.81,7.78,9.28,9.5,8.5,7.47,6.78,5.19,3.03,1.19,0.72,0.03,-0.53,-0.78,0.59,2.31,3.22,3.94,4.84,6.03,5.66,4.72,4.31,5.44,6.44,7.19,8.59,10.34,11.22,10.62,9.12,8.53,8.12,6.38,4.66,3.44,2.84,1.69,0.66,0.28,1.69,2.81,3.56,4.31,5.25,5.12,3.0,0.38,-1.62,-3.41,-5.44,-6.84,-6.91,-5.53,-4.53,-4.03,-3.41,-2.59,-2.59,-3.47,-3.97,-3.09,-2.12,-1.88,-1.69,0.16,2.53,4.53,6.41,8.47,11.06,11.94,12.41,12.91,14.5,15.53,15.78,15.41,15.53,15.06,13.0,10.78,9.19,8.06,6.34,4.06,2.5,1.41,0.19,-1.66,-2.91,-3.28,-3.0,-3.19,-2.62,-0.44,2.28,4.53,5.62,6.97,7.91,8.25,7.66,7.88,9.25,9.91,9.69,9.28,9.62,9.75,9.09,7.53,6.69,6.22,4.75,3.09,2.66,3.38,3.81,3.84,4.62,6.44,8.06,9.62,11.41,14.78,17.66,19.12,19.38,19.47,19.06,17.69,15.97,15.38,15.12,14.69,13.09,11.56,10.91,10.75,10.06,9.88,11.34,12.56,12.53,11.84,11.41,10.69,9.97,8.66,8.38,8.88,9.44,8.56,7.59,6.91,6.19,4.81,3.91,4.94,6.84,8.44,9.53,11.31,13.0,14.19,14.06,14.31,14.31,13.16,11.09,9.03,8.34,7.97,7.12,6.28,6.44,6.75,6.47,5.81,6.0,6.81,7.12,7.03,7.28,7.91,8.28,7.34,6.53,7.0,8.44,9.72,11.44,13.78,16.16,16.69,16.38,16.06,16.03,16.31,16.38,17.75,20.06,22.91,23.91,23.75,23.06,21.12,17.19,12.25,8.38,5.28,2.09,-0.62,-2.0,-2.38,-2.81,-4.25,-5.5,-5.34,-5.03,-4.62,-3.53,-1.16,1.62,3.06,3.62,4.47,4.94,4.69,3.53,2.75,2.81,3.44,3.66,4.91,6.94,8.72,9.16,8.81,9.31,10.06,10.88,11.69,13.22,15.09,16.84,17.22,17.22,17.78,18.47,17.91,17.66,18.5,19.03,18.41,16.97,15.53,14.97,13.94,12.5,12.28,12.66,13.22,13.16,13.56,14.53,15.16,14.62,13.72,13.59,13.44,12.41,11.22,10.53,10.22,9.75,9.31,9.19,9.66,10.28,9.91,9.75,10.56,11.59,11.19,10.72,10.75,10.25,8.91,7.38,6.19,5.88,5.97,5.66,6.09,7.84,9.5,10.12,10.53,11.31,11.69,10.94,9.38,8.56,8.16,6.97,5.84,5.28,5.66,5.94,5.78,5.97,6.75,7.34,6.41,5.28,4.88,4.66,3.53,2.94,2.88,3.28,3.31,3.06,3.28,4.38,5.56,6.19,7.38,9.16,10.72,11.09,11.44,11.53,11.56,10.28,8.44,7.0,6.0,4.81,3.22,2.47,3.03,3.88,4.22,5.06,6.16,7.16,6.41,5.03,4.34,4.19,3.62,3.5,3.94,5.0,5.5,4.94,3.91,3.25,2.19,0.31,-1.25,-1.47,-0.75,-0.44,-0.16,0.5,1.34,1.03,-0.25,-0.78,-0.88,-1.0,-1.5,-1.56,-0.94,-0.78,-1.0,-1.44,-1.34,-0.81,-1.06,-1.28,-1.25,-0.56,-0.22,-0.41,-0.03,1.16,2.06,2.31,1.91,2.25,2.53,1.97,1.12,1.0,1.56,1.22,0.81,0.69,1.47,2.06,1.94,2.28,3.66,4.59,5.0,5.47,6.84,7.72,7.97,8.12,8.69,9.72,10.09,9.91,9.78,10.03,9.97,9.31,9.25,10.0,10.5,10.06,9.41,9.12,8.88,7.72,6.5,6.0,6.62,7.28,8.28,9.5,11.28,12.06,11.69,10.19,8.78,6.66,3.78,0.88,-0.59,-0.78,-0.31,0.22,1.38,2.72,3.19,3.12,3.09,4.25,5.38,5.84,6.75,7.5,8.12,7.38,5.81,4.38,3.0,1.28,-0.56,-1.22,-0.56,0.44,1.41,2.28,3.62,4.22,3.75,3.31,3.41,3.69,3.25,2.56,1.97,1.72,0.5,-1.47,-3.56,-4.84,-6.12,-7.5,-8.06,-6.72,-5.5,-4.56,-3.69,-2.06,-0.28,0.47,0.25,-0.19,-0.38,-1.47,-2.97,-3.69,-3.09,-2.34,-1.94,-1.88,-0.84,-0.06,-0.25,-0.53,-0.09,0.22,0.16,-0.19,-0.72,-1.09,-2.22,-4.75,-7.5,-9.31,-10.72,-12.19,-13.0,-12.62,-12.22,-12.16,-12.41,-12.03,-11.53,-11.09,-11.44,-11.38,-10.34,-8.75,-8.28,-7.66,-6.59,-6.28,-7.19,-8.22,-8.47,-8.81,-9.41,-10.34,-10.25,-9.53,-8.75,-8.25,-7.88,-6.66,-6.31,-6.75,-6.56,-5.84,-4.41,-3.47,-2.66,-1.0,0.59,1.62,2.06,2.91,3.62,3.34,1.56,-0.44,-2.31,-4.03,-6.34,-8.03,-8.56,-8.34,-8.16,-7.88,-6.47,-4.69,-3.09,-2.25,-1.53,-0.62,-0.16,-1.19,-2.56,-3.59,-4.56,-6.88,-9.66,-11.69,-13.47,-15.53,-17.5,-17.59,-16.78,-15.0,-13.0,-10.62,-7.78,-5.19,-3.84,-3.19,-1.78,-0.75,-0.97,-1.75,-2.84,-4.0,-5.97,-8.34,-9.28,-9.38,-9.03,-8.88,-8.31,-7.22,-6.25,-6.62,-7.34,-7.38,-6.53,-6.0,-4.66,-2.88,-0.91,-0.5,-1.97,-3.25,-4.16,-5.12,-6.72,-8.12,-8.81,-9.69,-11.69,-14.09,-15.38,-15.75,-16.53,-16.72,-15.53,-13.09,-10.22,-7.81,-4.84,-1.41,1.53,3.47,5.31,7.94,10.75,12.53,13.41,13.72,13.5,11.44,8.5,5.97,4.5,3.22,1.84,1.19,1.22,1.72,1.25,0.94,0.72,0.81,-0.38,-1.97,-3.0,-3.44,-3.94,-4.59,-4.41,-3.16,-1.97,-1.81,-1.84,-1.97,-2.78,-5.03,-7.47,-9.19,-10.09,-11.0,-12.06,-11.88,-10.59,-9.59,-9.19,-8.44,-7.47,-7.03,-7.34,-7.94,-8.03,-7.22,-7.34,-6.97,-5.66,-3.25,-2.06,-1.47,-0.97,-0.66,-0.94,-2.38,-3.34,-3.69,-3.97,-4.94,-5.81,-6.34,-6.72,-8.59,-11.0,-13.25,-14.62,-16.38,-18.03,-18.72,-17.66,-16.09,-15.09,-13.34,-11.0,-8.72,-8.16,-8.19,-8.53,-9.47,-11.53,-13.53,-14.62,-14.19,-13.34,-12.41,-10.41,-7.62,-5.19,-3.59,-2.53,-1.09,-0.16,-0.88,-1.97,-2.75,-3.22,-4.66,-6.38,-7.16,-7.5,-7.78,-8.44,-8.75,-7.94,-7.03,-7.66,-8.31,-8.66,-9.31,-11.22,-12.97,-13.62,-13.38,-12.94,-12.56,-11.88,-10.66,-10.03,-9.78,-9.41,-8.25,-7.47,-7.47,-7.53,-6.81,-6.22,-5.94,-6.34,-7.03,-7.47,-9.16,-11.66,-13.78,-14.81,-15.34,-16.0,-15.59,-13.38,-10.59,-8.53,-6.75,-4.75,-2.91,-2.69,-3.28,-3.84,-4.16,-5.62,-7.75,-9.53,-10.38,-11.22,-12.91,-14.56,-15.47,-16.09,-17.81,-19.25,-19.38,-18.47,-17.84,-16.94,-15.09,-12.5,-10.56,-9.47,-8.66,-6.78,-5.41,-4.56,-4.16,-2.69,-1.84,-2.34,-3.81,-5.56,-7.09,-9.78,-12.75,-15.03,-15.97,-16.28,-16.41,-15.81,-13.78,-12.06,-11.34,-11.5,-11.12,-10.75,-12.25,-13.84,-14.59,-14.5,-14.28,-14.44,-13.62,-11.62,-9.81,-8.53,-7.34,-5.47,-4.09,-4.31,-5.56,-6.69,-8.09,-10.72,-13.84,-15.81,-16.91,-18.25,-19.06,-19.62,-19.12,-18.25,-17.66,-16.81,-14.56,-11.97,-10.34,-9.34,-7.81,-6.38,-6.19,-6.84,-7.44,-7.84,-8.22,-8.66,-8.84,-7.69,-6.88,-7.06,-8.47,-8.81,-8.84,-9.34,-9.38,-8.12,-6.12,-5.53,-5.59,-5.75,-5.41,-5.72,-6.66,-7.38,-7.41,-8.0,-9.25,-11.19,-11.88,-12.19,-13.25,-14.41,-14.53,-13.88,-14.09,-14.91,-14.97,-13.97,-13.41,-13.56,45.53,45.53,44.88,43.88,43.06,42.06,41.06,39.84,38.5,37.47,36.62,35.56,34.59,34.12,34.25,35.06,36.5,38.44,40.81,43.12,44.62,45.69,46.44,46.62,46.94,47.28,47.78,48.44,48.97,48.84,48.31,48.28,48.25,47.91,47.53,47.22,46.91,46.16,45.72,45.88,46.88,47.81:negativity
23.66,26.53,29.0,29.97,30.84,32.31,33.28,32.31,31.34,32.5,34.12,35.0,35.78,37.75,40.06,40.5,38.69,36.84,35.06,32.5,28.72,26.41,26.34,27.47,27.78,28.44,30.53,32.88,33.69,33.19,33.56,34.44,33.62,31.75,30.59,30.88,31.28,30.56,30.47,31.31,31.97,30.72,28.84,28.69,29.22,28.84,27.97,28.25,29.88,30.53,30.12,29.62,30.28,30.44,28.47,27.19,28.0,29.31,29.53,29.31,30.69,32.31,32.34,31.72,32.16,33.88,34.94,34.22,34.25,34.97,35.47,33.91,31.81,30.78,30.06,27.59,24.84,23.78,24.56,24.72,23.78,24.09,25.47,26.31,25.56,25.47,27.0,28.56,28.22,27.56,28.06,28.88,28.75,28.38,29.69,31.88,33.25,33.03,33.38,34.56,35.53,34.97,35.09,36.78,38.25,38.0,37.22,37.38,37.69,36.81,34.66,33.66,33.78,33.03,31.12,29.97,29.75,29.09,26.41,24.0,23.03,22.88,22.03,21.81,23.78,26.84,29.06,30.03,31.0,31.5,30.28,26.5,23.03,20.81,19.41,17.31,16.34,17.28,19.16,19.81,19.62,20.47,22.0,23.12,23.41,25.38,28.41,30.88,31.0,31.22,32.28,33.0,32.5,31.75,32.59,33.59,32.88,31.19,30.38,30.97,30.75,29.34,28.97,29.47,29.34,27.47,25.56,25.28,25.22,23.5,21.91,22.0,23.59,24.16,24.5,25.5,28.25,29.59,29.41,29.75,31.03,31.91,31.22,29.97,30.06,30.31,28.81,26.28,25.25,24.22,21.84,17.94,14.59,13.16,11.19,8.66,7.28,7.5,7.88,7.12,7.03,9.56,13.88,17.5,21.06,25.22,29.88,32.12,32.22,32.38,33.53,33.5,32.31,31.62,32.16,32.69,30.94,28.53,26.78,25.5,22.66,19.56,18.38,18.75,18.59,17.88,17.75,19.09,20.16,19.66,19.75,21.5,24.0,25.16,25.94,28.12,31.31,32.34,31.88,32.31,33.22,33.0,30.38,27.88,26.31,23.72,19.31,15.69,14.75,15.25,15.0,15.53,17.47,20.03,20.84,20.66,21.72,24.56,26.34,26.72,27.25,28.59,29.12,27.84,26.56,27.47,29.19,28.97,28.12,28.0,27.75,25.84,22.84,21.22,21.25,21.25,20.31,19.97,21.56,22.69,22.19,21.47,22.34,23.91,24.31,24.62,26.75,30.06,31.91,32.22,32.31,32.94,32.41,30.47,28.66,28.78,29.19,27.84,26.03,25.38,25.19,23.22,20.19,18.41,17.88,16.47,14.41,13.47,14.16,14.88,13.72,12.5,12.84,13.5,12.75,11.44,12.0,13.97,14.81,15.22,17.16,20.59,24.0,25.81,28.25,31.97,34.72,35.0,34.12,33.75,33.25,31.09,28.97,28.88,30.5,31.78,32.22,33.38,35.25,35.28,33.31,31.12,30.94,31.03,29.91,28.88,29.75,31.19,30.59,29.0,28.44,28.5,27.75,25.91,25.69,27.62,28.88,28.53,28.5,29.91,31.09,30.78,30.03,30.5,31.41,30.66,28.97,28.59,29.22,28.66,26.81,25.31,25.38,25.22,23.78,22.88,24.25,25.84,26.06,26.12,28.0,30.5,32.03,32.44,33.94,36.16,37.41,36.44,34.94,33.88,31.53,26.94,22.12,19.72,18.38,16.56,14.78,15.22,16.62,17.41,17.16,17.97,20.66,22.75,22.94,22.38,23.72,24.5,23.62,22.66,24.12,26.03,26.12,25.28,26.0,27.31,27.91,26.56,25.72,26.03,25.44,23.19,21.72,22.72,24.03,24.34,24.38,25.56,27.31,27.41,26.5,26.47,27.12,27.09,25.28,24.41,25.69,26.84,26.22,25.59,26.66,27.25,26.06,23.75,23.41,23.84,23.31,22.0,22.38,23.91,24.41,23.41,23.16,24.16,25.19,24.31,23.03,23.47,24.41,24.06,23.06,23.47,24.84,24.75,23.59,23.25,24.97,26.06,25.84,26.5,28.53,30.09,29.31,27.66,27.09,26.25,23.78,20.88,19.12,18.84,18.09,16.16,15.09,16.19,16.97,16.62,17.19,20.06,23.19,24.56,24.91,26.03,26.97,26.22,24.72,24.66,25.84,26.16,24.5,23.5,23.69,23.75,22.5,21.81,22.47,23.41,22.91,21.84,22.53,24.31,25.31,25.34,26.69,29.06,30.75,31.09,31.56,33.31,34.19,32.22,30.19,29.38,29.03,27.66,25.91,25.41,26.19,26.47,25.5,25.47,26.28,25.81,23.25,20.62,19.53,18.59,16.34,14.31,13.88,14.34,13.81,13.56,15.0,17.97,20.5,21.62,23.84,27.41,30.69,31.56,32.22,34.0,34.84,32.91,30.84,30.34,30.56,29.44,27.88,27.59,28.34,28.53,26.91,25.88,26.31,26.25,24.44,23.38,24.31,26.34,27.19,28.0,30.47,33.56,34.78,34.69,34.38,34.72,34.19,32.22,31.44,31.81,32.22,30.59,28.09,26.88,26.69,25.5,24.09,24.19,25.03,24.5,21.84,19.41,18.22,16.88,14.94,14.47,16.97,20.72,23.16,25.06,28.22,31.53,32.56,32.19,32.38,32.66,31.28,28.31,26.0,25.09,24.34,21.78,20.12,19.66,19.91,18.75,17.22,17.53,19.09,20.09,20.69,23.03,26.84,29.81,30.59,31.22,32.53,33.25,31.59,30.25,30.41,31.09,30.69,29.81,30.47,31.44,31.03,29.0,27.47,26.75,25.69,23.69,22.66,23.97,25.47,25.38,25.16,26.19,27.72,27.5,27.09,27.53,28.66,28.72,27.56,27.31,28.62,29.44,29.06,28.81,30.28,32.16,32.22,32.22,33.12,34.44,33.78,31.94,31.09,31.16,30.31,28.72,28.0,28.81,29.38,28.81,28.69,30.25,32.25,32.56,32.09,32.03,32.19,30.66,28.0,26.19,25.75,24.75,22.31,20.59,20.91,21.62,21.38,21.97,24.19,27.09,28.16,28.38,28.81,29.97,29.19,27.34,26.06,26.16,25.75,23.97,22.94,23.66,24.69,24.53,24.25,25.19,26.75,27.12,26.5,26.72,27.72,27.28,25.62,24.75,25.5,25.75,24.75,24.09,24.62,25.62,25.84,25.69,27.25,29.22,29.88,29.62,29.38,29.56,28.62,26.16,24.28,23.84,23.78,23.0,22.59,23.41,24.62,24.12,22.19,20.75,20.16,18.97,17.62,17.84,20.09,22.53,23.84,24.88,27.38,28.91,28.5,26.94,26.41,25.5,22.78,18.97,16.31,15.19,13.97,12.94,13.38,16.22,18.72,20.28,21.94,24.59,26.81,26.78,26.19,26.59,28.09,28.22,27.78,27.75,29.03,28.81,27.69,26.5,27.34,27.72,26.47,24.88,25.0,24.62,22.72,20.22,18.91,18.78,18.84,18.47,19.28,21.91,23.53,23.31,23.03,24.22,24.75,24.12,23.38,24.06,24.97,24.28,23.0,22.59,22.84,22.5,21.41,21.44,22.59,23.5,23.16,23.25,24.81,26.06,25.78,24.19,23.28,22.12,19.78,16.88,15.66,15.88,16.06,15.78,16.09,18.03,20.31,21.09,22.19,24.91,27.47,28.34,28.0,28.44,29.03,28.44,26.69,25.44,25.16,23.88,21.22,18.94,18.41,18.34,17.25,16.44,17.62,19.19,19.78,19.25,19.38,19.88,19.06,17.44,17.22,18.78,20.88,21.75,22.72,24.31,25.38,24.47,22.75,22.47,22.72,22.28,20.91,20.88,21.88,22.0,20.66,19.69,20.06,20.0,18.66,17.28,17.53,18.28,17.62,15.53,14.66,13.84,11.91,8.75,6.84,6.72,6.41,5.59,5.66,7.53,9.44,9.72,9.91,11.88,14.28,15.12,15.34,16.47,17.84,18.31,17.53,17.41,18.34,18.94,18.06,17.0,17.03,16.72,13.88,10.56,8.94,8.66,8.06,7.53,8.84,11.31,12.84,13.0,14.16,16.16,18.22,18.75,19.06,21.09,23.72,25.25,26.56,29.44,32.25,33.19,32.19,31.12,30.38,28.84,25.84,23.38,22.75,21.88,19.81,17.53,16.81,16.69,15.62,13.97,13.94,15.06,15.22,14.34,13.81,14.06,13.94,12.03,11.0,11.91,13.47,14.0,14.09,15.19,16.84,17.03,16.38,16.94,19.34,21.06,21.56,21.84,22.53,21.84,18.53,15.41,13.94,13.84,13.47,13.06,14.94,17.41,18.59,18.62,19.78,22.06,23.78,24.22,25.28,27.72,29.69,29.88,29.53,30.03,30.56,29.19,27.0,25.84,25.47,23.91,21.06,19.06,18.12,16.66,13.88,11.53,10.88,11.25,9.97,9.38,10.34,12.06,12.66,12.53,13.59,16.16,17.88,18.75,19.69,21.44,22.72,21.5,20.34,20.41,20.91,19.47,18.03,17.91,18.47,18.03,16.62,16.38,17.22,16.84,14.78,12.78,12.44,12.06,10.25,8.66,8.38,9.06,8.56,7.75,8.66,10.56,11.81,11.78,12.94,15.38,17.28,18.03,19.0,21.59,24.16,24.53,24.62,25.75,26.94,26.91,26.22,26.06,26.94,26.28,24.0,22.5,22.03,21.5,19.69,18.56,19.66,21.0,20.91,20.34,20.62,21.28,20.16,18.0,16.12,15.78,15.12,13.47,13.25,15.5,18.47,19.84,20.94,23.0,24.62,23.53,20.97,19.38,18.81,17.41,15.84,15.59,17.28,18.34,17.81,17.47,18.78,19.72,19.03,18.56,18.59,19.28,17.88,16.06,15.47,16.16,16.12,15.31,14.84,16.06,16.53,15.5,14.47,14.88,15.41,14.12,12.81,13.03,13.88,13.5,12.28,12.25,13.09,13.5,12.59,12.19,13.28,13.72,12.25,10.44,10.16,10.78,9.66,8.75,9.09,9.84,9.38,7.88,6.88,7.69,7.88,6.66,6.03,7.31,8.41,7.91:32.31,31.34,32.5,34.12,35.0,35.78,37.75,40.06,40.5,38.69,36.84,35.06,32.5,28.72,26.41,26.34,27.47,27.78,28.44,30.53,32.88,33.69,33.19,33.56,34.44,33.62,31.75,30.59,30.88,31.28,30.56,30.47,31.31,31.97,30.72,28.84,28.69,29.22,28.84,27.97,28.25,29.88,30.53,30.12,29.62,30.28,30.44,28.47,27.19,28.0,29.31,29.53,29.31,30.69,32.31,32.34,31.72,32.16,33.88,34.94,34.22,34.25,34.97,35.47,33.91,31.81,30.78,30.06,27.59,24.84,23.78,24.56,24.72,23.78,24.09,25.47,26.31,25.56,25.47,27.0,28.56,28.22,27.56,28.06,28.88,28.75,28.38,29.69,31.88,33.25,33.03,33.38,34.56,35.53,34.97,35.09,36.78,38.25,38.0,37.22,37.38,37.69,36.81,34.66,33.66,33.78,33.03,31.12,29.97,29.75,29.09,26.41,24.0,23.03,22.88,22.03,21.81,23.78,26.84,29.06,30.03,31.0,31.5,30.28,26.5,23.03,20.81,19.41,17.31,16.34,17.28,19.16,19.81,19.62,20.47,22.0,23.12,23.41,25.38,28.41,30.88,31.0,31.22,32.28,33.0,32.5,31.75,32.59,33.59,32.88,31.19,30.38,30.97,30.75,29.34,28.97,29.47,29.34,27.47,25.56,25.28,25.22,23.5,21.91,22.0,23.59,24.16,24.5,25.5,28.25,29.59,29.41,29.75,31.03,31.91,31.22,29.97,30.06,30.31,28.81,26.28,25.25,24.22,21.84,17.94,14.59,13.16,11.19,8.66,7.28,7.5,7.88,7.12,7.03,9.56,13.88,17.5,21.06,25.22,29.88,32.12,32.22,32.38,33.53,33.5,32.31,31.62,32.16,32.69,30.94,28.53,26.78,25.5,22.66,19.56,18.38,18.75,18.59,17.88,17.75,19.09,20.16,19.66,19.75,21.5,24.0,25.16,25.94,28.12,31.31,32.34,31.88,32.31,33.22,33.0,30.38,27.88,26.31,23.72,19.31,15.69,14.75,15.25,15.0,15.53,17.47,20.03,20.84,20.66,21.72,24.56,26.34,26.72,27.25,28.59,29.12,27.84,26.56,27.47,29.19,28.97,28.12,28.0,27.75,25.84,22.84,21.22,21.25,21.25,20.31,19.97,21.56,22.69,22.19,21.47,22.34,23.91,24.31,24.62,26.75,30.06,31.91,32.22,32.31,32.94,32.41,30.47,28.66,28.78,29.19,27.84,26.03,25.38,25.19,23.22,20.19,18.41,17.88,16.47,14.41,13.47,14.16,14.88,13.72,12.5,12.84,13.5,12.75,11.44,12.0,13.97,14.81,15.22,17.16,20.59,24.0,25.81,28.25,31.97,34.72,35.0,34.12,33.75,33.25,31.09,28.97,28.88,30.5,31.78,32.22,33.38,35.25,35.28,33.31,31.12,30.94,31.03,29.91,28.88,29.75,31.19,30.59,29.0,28.44,28.5,27.75,25.91,25.69,27.62,28.88,28.53,28.5,29.91,31.09,30.78,30.03,30.5,31.41,30.66,28.97,28.59,29.22,28.66,26.81,25.31,25.38,25.22,23.78,22.88,24.25,25.84,26.06,26.12,28.0,30.5,32.03,32.44,33.94,36.16,37.41,36.44,34.94,33.88,31.53,26.94,22.12,19.72,18.38,16.56,14.78,15.22,16.62,17.41,17.16,17.97,20.66,22.75,22.94,22.38,23.72,24.5,23.62,22.66,24.12,26.03,26.12,25.28,26.0,27.31,27.91,26.56,25.72,26.03,25.44,23.19,21.72,22.72,24.03,24.34,24.38,25.56,27.31,27.41,26.5,26.47,27.12,27.09,25.28,24.41,25.69,26.84,26.22,25.59,26.66,27.25,26.06,23.75,23.41,23.84,23.31,22.0,22.38,23.91,24.41,23.41,23.16,24.16,25.19,24.31,23.03,23.47,24.41,24.06,23.06,23.47,24.84,24.75,23.59,23.25,24.97,26.06,25.84,26.5,28.53,30.09,29.31,27.66,27.09,26.25,23.78,20.88,19.12,18.84,18.09,16.16,15.09,16.19,16.97,16.62,17.19,20.06,23.19,24.56,24.91,26.03,26.97,26.22,24.72,24.66,25.84,26.16,24.5,23.5,23.69,23.75,22.5,21.81,22.47,23.41,22.91,21.84,22.53,24.31,25.31,25.34,26.69,29.06,30.75,31.09,31.56,33.31,34.19,32.22,30.19,29.38,29.03,27.66,25.91,25.41,26.19,26.47,25.5,25.47,26.28,25.81,23.25,20.62,19.53,18.59,16.34,14.31,13.88,14.34,13.81,13.56,15.0,17.97,20.5,21.62,23.84,27.41,30.69,31.56,32.22,34.0,34.84,32.91,30.84,30.34,30.56,29.44,27.88,27.59,28.34,28.53,26.91,25.88,26.31,26.25,24.44,23.38,24.31,26.34,27.19,28.0,30.47,33.56,34.78,34.69,34.38,34.72,34.19,32.22,31.44,31.81,32.22,30.59,28.09,26.88,26.69,25.5,24.09,24.19,25.03,24.5,21.84,19.41,18.22,16.88,14.94,14.47,16.97,20.72,23.16,25.06,28.22,31.53,32.56,32.19,32.38,32.66,31.28,28.31,26.0,25.09,24.34,21.78,20.12,19.66,19.91,18.75,17.22,17.53,19.09,20.09,20.69,23.03,26.84,29.81,30.59,31.22,32.53,33.25,31.59,30.25,30.41,31.09,30.69,29.81,30.47,31.44,31.03,29.0,27.47,26.75,25.69,23.69,22.66,23.97,25.47,25.38,25.16,26.19,27.72,27.5,27.09,27.53,28.66,28.72,27.56,27.31,28.62,29.44,29.06,28.81,30.28,32.16,32.22,32.22,33.12,34.44,33.78,31.94,31.09,31.16,30.31,28.72,28.0,28.81,29.38,28.81,28.69,30.25,32.25,32.56,32.09,32.03,32.19,30.66,28.0,26.19,25.75,24.75,22.31,20.59,20.91,21.62,21.38,21.97,24.19,27.09,28.16,28.38,28.81,29.97,29.19,27.34,26.06,26.16,25.75,23.97,22.94,23.66,24.69,24.53,24.25,25.19,26.75,27.12,26.5,26.72,27.72,27.28,25.62,24.75,25.5,25.75,24.75,24.09,24.62,25.62,25.84,25.69,27.25,29.22,29.88,29.62,29.38,29.56,28.62,26.16,24.28,23.84,23.78,23.0,22.59,23.41,24.62,24.12,22.19,20.75,20.16,18.97,17.62,17.84,20.09,22.53,23.84,24.88,27.38,28.91,28.5,26.94,26.41,25.5,22.78,18.97,16.31,15.19,13.97,12.94,13.38,16.22,18.72,20.28,21.94,24.59,26.81,26.78,26.19,26.59,28.09,28.22,27.78,27.75,29.03,28.81,27.69,26.5,27.34,27.72,26.47,24.88,25.0,24.62,22.72,20.22,18.91,18.78,18.84,18.47,19.28,21.91,23.53,23.31,23.03,24.22,24.75,24.12,23.38,24.06,24.97,24.28,23.0,22.59,22.84,22.5,21.41,21.44,22.59,23.5,23.16,23.25,24.81,26.06,25.78,24.19,23.28,22.12,19.78,16.88,15.66,15.88,16.06,15.78,16.09,18.03,20.31,21.09,22.19,24.91,27.47,28.34,28.0,28.44,29.03,28.44,26.69,25.44,25.16,23.88,21.22,18.94,18.41,18.34,17.25,16.44,17.62,19.19,19.78,19.25,19.38,19.88,19.06,17.44,17.22,18.78,20.88,21.75,22.72,24.31,25.38,24.47,22.75,22.47,22.72,22.28,20.91,20.88,21.88,22.0,20.66,19.69,20.06,20.0,18.66,17.28,17.53,18.28,17.62,15.53,14.66,13.84,11.91,8.75,6.84,6.72,6.41,5.59,5.66,7.53,9.44,9.72,9.91,11.88,14.28,15.12,15.34,16.47,17.84,18.31,17.53,17.41,18.34,18.94,18.06,17.0,17.03,16.72,13.88,10.56,8.94,8.66,8.06,7.53,8.84,11.31,12.84,13.0,14.16,16.16,18.22,18.75,19.06,21.09,23.72,25.25,26.56,29.44,32.25,33.19,32.19,31.12,30.38,28.84,25.84,23.38,22.75,21.88,19.81,17.53,16.81,16.69,15.62,13.97,13.94,15.06,15.22,14.34,13.81,14.06,13.94,12.03,11.0,11.91,13.47,14.0,14.09,15.19,16.84,17.03,16.38,16.94,19.34,21.06,21.56,21.84,22.53,21.84,18.53,15.41,13.94,13.84,13.47,13.06,14.94,17.41,18.59,18.62,19.78,22.06,23.78,24.22,25.28,27.72,29.69,29.88,29.53,30.03,30.56,29.19,27.0,25.84,25.47,23.91,21.06,19.06,18.12,16.66,13.88,11.53,10.88,11.25,9.97,9.38,10.34,12.06,12.66,12.53,13.59,16.16,17.88,18.75,19.69,21.44,22.72,21.5,20.34,20.41,20.91,19.47,18.03,17.91,18.47,18.03,16.62,16.38,17.22,16.84,14.78,12.78,12.44,12.06,10.25,8.66,8.38,9.06,8.56,7.75,8.66,10.56,11.81,11.78,12.94,15.38,17.28,18.03,19.0,21.59,24.16,24.53,24.62,25.75,26.94,26.91,26.22,26.06,26.94,26.28,24.0,22.5,22.03,21.5,19.69,18.56,19.66,21.0,20.91,20.34,20.62,21.28,20.16,18.0,16.12,15.78,15.12,13.47,13.25,15.5,18.47,19.84,20.94,23.0,24.62,23.53,20.97,19.38,18.81,17.41,15.84,15.59,17.28,18.34,17.81,17.47,18.78,19.72,19.03,18.56,18.59,19.28,17.88,16.06,15.47,16.16,16.12,15.31,14.84,16.06,16.53,15.5,14.47,14.88,15.41,14.12,12.81,13.03,13.88,13.5,12.28,12.25,13.09,13.5,12.59,12.19,13.28,13.72,12.25,10.44,10.16,10.78,9.66,8.75,9.09,9.84,9.38,7.88,6.88,7.69,7.88,6.66,6.03,7.31,8.41,7.91,34.66,35.09,36.47,37.47,37.66,37.66,37.66:40.06,40.5,38.69,36.84,35.06,32.5,28.72,26.41,26.34,27.47,27.78,28.44,30.53,32.88,33.69,33.19,33.56,34.44,33.62,31.75,30.59,30.88,31.28,30.56,30.47,31.31,31.97,30.72,28.84,28.69,29.22,28.84,27.97,28.25,29.88,30.53,30.12,29.62,30.28,30.44,28.47,27.19,28.0,29.31,29.53,29.31,30.69,32.31,32.34,31.72,32.16,33.88,34.94,34.22,34.25,34.97,35.47,33.91,31.81,30.78,30.06,27.59,24.84,23.78,24.56,24.72,23.78,24.09,25.47,26.31,25.56,25.47,27.0,28.56,28.22,27.56,28.06,28.88,28.75,28.38,29.69,31.88,33.25,33.03,33.38,34.56,35.53,34.97,35.09,36.78,38.25,38.0,37.22,37.38,37.69,36.81,34.66,33.66,33.78,33.03,31.12,29.97,29.75,29.09,26.41,24.0,23.03,22.88,22.03,21.81,23.78,26.84,29.06,30.03,31.0,31.5,30.28,26.5,23.03,20.81,19.41,17.31,16.34,17.28,19.16,19.81,19.62,20.47,22.0,23.12,23.41,25.38,28.41,30.88,31.0,31.22,32.28,33.0,32.5,31.75,32.59,33.59,32.88,31.19,30.38,30.97,30.75,29.34,28.97,29.47,29.34,27.47,25.56,25.28,25.22,23.5,21.91,22.0,23.59,24.16,24.5,25.5,28.25,29.59,29.41,29.75,31.03,31.91,31.22,29.97,30.06,30.31,28.81,26.28,25.25,24.22,21.84,17.94,14.59,13.16,11.19,8.66,7.28,7.5,7.88,7.12,7.03,9.56,13.88,17.5,21.06,25.22,29.88,32.12,32.22,32.38,33.53,33.5,32.31,31.62,32.16,32.69,30.94,28.53,26.78,25.5,22.66,19.56,18.38,18.75,18.59,17.88,17.75,19.09,20.16,19.66,19.75,21.5,24.0,25.16,25.94,28.12,31.31,32.34,31.88,32.31,33.22,33.0,30.38,27.88,26.31,23.72,19.31,15.69,14.75,15.25,15.0,15.53,17.47,20.03,20.84,20.66,21.72,24.56,26.34,26.72,27.25,28.59,29.12,27.84,26.56,27.47,29.19,28.97,28.12,28.0,27.75,25.84,22.84,21.22,21.25,21.25,20.31,19.97,21.56,22.69,22.19,21.47,22.34,23.91,24.31,24.62,26.75,30.06,31.91,32.22,32.31,32.94,32.41,30.47,28.66,28.78,29.19,27.84,26.03,25.38,25.19,23.22,20.19,18.41,17.88,16.47,14.41,13.47,14.16,14.88,13.72,12.5,12.84,13.5,12.75,11.44,12.0,13.97,14.81,15.22,17.16,20.59,24.0,25.81,28.25,31.97,34.72,35.0,34.12,33.75,33.25,31.09,28.97,28.88,30.5,31.78,32.22,33.38,35.25,35.28,33.31,31.12,30.94,31.03,29.91,28.88,29.75,31.19,30.59,29.0,28.44,28.5,27.75,25.91,25.69,27.62,28.88,28.53,28.5,29.91,31.09,30.78,30.03,30.5,31.41,30.66,28.97,28.59,29.22,28.66,26.81,25.31,25.38,25.22,23.78,22.88,24.25,25.84,26.06,26.12,28.0,30.5,32.03,32.44,33.94,36.16,37.41,36.44,34.94,33.88,31.53,26.94,22.12,19.72,18.38,16.56,14.78,15.22,16.62,17.41,17.16,17.97,20.66,22.75,22.94,22.38,23.72,24.5,23.62,22.66,24.12,26.03,26.12,25.28,26.0,27.31,27.91,26.56,25.72,26.03,25.44,23.19,21.72,22.72,24.03,24.34,24.38,25.56,27.31,27.41,26.5,26.47,27.12,27.09,25.28,24.41,25.69,26.84,26.22,25.59,26.66,27.25,26.06,23.75,23.41,23.84,23.31,22.0,22.38,23.91,24.41,23.41,23.16,24.16,25.19,24.31,23.03,23.47,24.41,24.06,23.06,23.47,24.84,24.75,23.59,23.25,24.97,26.06,25.84,26.5,28.53,30.09,29.31,27.66,27.09,26.25,23.78,20.88,19.12,18.84,18.09,16.16,15.09,16.19,16.97,16.62,17.19,20.06,23.19,24.56,24.91,26.03,26.97,26.22,24.72,24.66,25.84,26.16,24.5,23.5,23.69,23.75,22.5,21.81,22.47,23.41,22.91,21.84,22.53,24.31,25.31,25.34,26.69,29.06,30.75,31.09,31.56,33.31,34.19,32.22,30.19,29.38,29.03,27.66,25.91,25.41,26.19,26.47,25.5,25.47,26.28,25.81,23.25,20.62,19.53,18.59,16.34,14.31,13.88,14.34,13.81,13.56,15.0,17.97,20.5,21.62,23.84,27.41,30.69,31.56,32.22,34.0,34.84,32.91,30.84,30.34,30.56,29.44,27.88,27.59,28.34,28.53,26.91,25.88,26.31,26.25,24.44,23.38,24.31,26.34,27.19,28.0,30.47,33.56,34.78,34.69,34.38,34.72,34.19,32.22,31.44,31.81,32.22,30.59,28.09,26.88,26.69,25.5,24.09,24.19,25.03,24.5,21.84,19.41,18.22,16.88,14.94,14.47,16.97,20.72,23.16,25.06,28.22,31.53,32.56,32.19,32.38,32.66,31.28,28.31,26.0,25.09,24.34,21.78,20.12,19.66,19.91,18.75,17.22,17.53,19.09,20.09,20.69,23.03,26.84,29.81,30.59,31.22,32.53,33.25,31.59,30.25,30.41,31.09,30.69,29.81,30.47,31.44,31.03,29.0,27.47,26.75,25.69,23.69,22.66,23.97,25.47,25.38,25.16,26.19,27.72,27.5,27.09,27.53,28.66,28.72,27.56,27.31,28.62,29.44,29.06,28.81,30.28,32.16,32.22,32.22,33.12,34.44,33.78,31.94,31.09,31.16,30.31,28.72,28.0,28.81,29.38,28.81,28.69,30.25,32.25,32.56,32.09,32.03,32.19,30.66,28.0,26.19,25.75,24.75,22.31,20.59,20.91,21.62,21.38,21.97,24.19,27.09,28.16,28.38,28.81,29.97,29.19,27.34,26.06,26.16,25.75,23.97,22.94,23.66,24.69,24.53,24.25,25.19,26.75,27.12,26.5,26.72,27.72,27.28,25.62,24.75,25.5,25.75,24.75,24.09,24.62,25.62,25.84,25.69,27.25,29.22,29.88,29.62,29.38,29.56,28.62,26.16,24.28,23.84,23.78,23.0,22.59,23.41,24.62,24.12,22.19,20.75,20.16,18.97,17.62,17.84,20.09,22.53,23.84,24.88,27.38,28.91,28.5,26.94,26.41,25.5,22.78,18.97,16.31,15.19,13.97,12.94,13.38,16.22,18.72,20.28,21.94,24.59,26.81,26.78,26.19,26.59,28.09,28.22,27.78,27.75,29.03,28.81,27.69,26.5,27.34,27.72,26.47,24.88,25.0,24.62,22.72,20.22,18.91,18.78,18.84,18.47,19.28,21.91,23.53,23.31,23.03,24.22,24.75,24.12,23.38,24.06,24.97,24.28,23.0,22.59,22.84,22.5,21.41,21.44,22.59,23.5,23.16,23.25,24.81,26.06,25.78,24.19,23.28,22.12,19.78,16.88,15.66,15.88,16.06,15.78,16.09,18.03,20.31,21.09,22.19,24.91,27.47,28.34,28.0,28.44,29.03,28.44,26.69,25.44,25.16,23.88,21.22,18.94,18.41,18.34,17.25,16.44,17.62,19.19,19.78,19.25,19.38,19.88,19.06,17.44,17.22,18.78,20.88,21.75,22.72,24.31,25.38,24.47,22.75,22.47,22.72,22.28,20.91,20.88,21.88,22.0,20.66,19.69,20.06,20.0,18.66,17.28,17.53,18.28,17.62,15.53,14.66,13.84,11.91,8.75,6.84,6.72,6.41,5.59,5.66,7.53,9.44,9.72,9.91,11.88,14.28,15.12,15.34,16.47,17.84,18.31,17.53,17.41,18.34,18.94,18.06,17.0,17.03,16.72,13.88,10.56,8.94,8.66,8.06,7.53,8.84,11.31,12.84,13.0,14.16,16.16,18.22,18.75,19.06,21.09,23.72,25.25,26.56,29.44,32.25,33.19,32.19,31.12,30.38,28.84,25.84,23.38,22.75,21.88,19.81,17.53,16.81,16.69,15.62,13.97,13.94,15.06,15.22,14.34,13.81,14.06,13.94,12.03,11.0,11.91,13.47,14.0,14.09,15.19,16.84,17.03,16.38,16.94,19.34,21.06,21.56,21.84,22.53,21.84,18.53,15.41,13.94,13.84,13.47,13.06,14.94,17.41,18.59,18.62,19.78,22.06,23.78,24.22,25.28,27.72,29.69,29.88,29.53,30.03,30.56,29.19,27.0,25.84,25.47,23.91,21.06,19.06,18.12,16.66,13.88,11.53,10.88,11.25,9.97,9.38,10.34,12.06,12.66,12.53,13.59,16.16,17.88,18.75,19.69,21.44,22.72,21.5,20.34,20.41,20.91,19.47,18.03,17.91,18.47,18.03,16.62,16.38,17.22,16.84,14.78,12.78,12.44,12.06,10.25,8.66,8.38,9.06,8.56,7.75,8.66,10.56,11.81,11.78,12.94,15.38,17.28,18.03,19.0,21.59,24.16,24.53,24.62,25.75,26.94,26.91,26.22,26.06,26.94,26.28,24.0,22.5,22.03,21.5,19.69,18.56,19.66,21.0,20.91,20.34,20.62,21.28,20.16,18.0,16.12,15.78,15.12,13.47,13.25,15.5,18.47,19.84,20.94,23.0,24.62,23.53,20.97,19.38,18.81,17.41,15.84,15.59,17.28,18.34,17.81,17.47,18.78,19.72,19.03,18.56,18.59,19.28,17.88,16.06,15.47,16.16,16.12,15.31,14.84,16.06,16.53,15.5,14.47,14.88,15.41,14.12,12.81,13.03,13.88,13.5,12.28,12.25,13.09,13.5,12.59,12.19,13.28,13.72,12.25,10.44,10.16,10.78,9.66,8.75,9.09,9.84,9.38,7.88,6.88,7.69,7.88,6.66,6.03,7.31,8.41,7.91,34.66,35.09,36.47,37.47,37.66,37.66,37.66,38.31,38.94,39.81,41.06,43.09,45.0,46.06:26.41,26.34,27.47,27.78,28.44,30.53,32.88,33.69,33.19,33.56,34.44,33.62,31.75,30.59,30.88,31.28,30.56,30.47,31.31,31.97,30.72,28.84,28.69,29.22,28.84,27.97,28.25,29.88,30.53,30.12,29.62,30.28,30.44,28.47,27.19,28.0,29.31,29.53,29.31,30.69,32.31,32.34,31.72,32.16,33.88,34.94,34.22,34.25,34.97,35.47,33.91,31.81,30.78,30.06,27.59,24.84,23.78,24.56,24.72,23.78,24.09,25.47,26.31,25.56,25.47,27.0,28.56,28.22,27.56,28.06,28.88,28.75,28.38,29.69,31.88,33.25,33.03,33.38,34.56,35.53,34.97,35.09,36.78,38.25,38.0,37.22,37.38,37.69,36.81,34.66,33.66,33.78,33.03,31.12,29.97,29.75,29.09,26.41,24.0,23.03,22.88,22.03,21.81,23.78,26.84,29.06,30.03,31.0,31.5,30.28,26.5,23.03,20.81,19.41,17.31,16.34,17.28,19.16,19.81,19.62,20.47,22.0,23.12,23.41,25.38,28.41,30.88,31.0,31.22,32.28,33.0,32.5,31.75,32.59,33.59,32.88,31.19,30.38,30.97,30.75,29.34,28.97,29.47,29.34,27.47,25.56,25.28,25.22,23.5,21.91,22.0,23.59,24.16,24.5,25.5,28.25,29.59,29.41,29.75,31.03,31.91,31.22,29.97,30.06,30.31,28.81,26.28,25.25,24.22,21.84,17.94,14.59,13.16,11.19,8.66,7.28,7.5,7.88,7.12,7.03,9.56,13.88,17.5,21.06,25.22,29.88,32.12,32.22,32.38,33.53,33.5,32.31,31.62,32.16,32.69,30.94,28.53,26.78,25.5,22.66,19.56,18.38,18.75,18.59,17.88,17.75,19.09,20.16,19.66,19.75,21.5,24.0,25.16,25.94,28.12,31.31,32.34,31.88,32.31,33.22,33.0,30.38,27.88,26.31,23.72,19.31,15.69,14.75,15.25,15.0,15.53,17.47,20.03,20.84,20.66,21.72,24.56,26.34,26.72,27.25,28.59,29.12,27.84,26.56,27.47,29.19,28.97,28.12,28.0,27.75,25.84,22.84,21.22,21.25,21.25,20.31,19.97,21.56,22.69,22.19,21.47,22.34,23.91,24.31,24.62,26.75,30.06,31.91,32.22,32.31,32.94,32.41,30.47,28.66,28.78,29.19,27.84,26.03,25.38,25.19,23.22,20.19,18.41,17.88,16.47,14.41,13.47,14.16,14.88,13.72,12.5,12.84,13.5,12.75,11.44,12.0,13.97,14.81,15.22,17.16,20.59,24.0,25.81,28.25,31.97,34.72,35.0,34.12,33.75,33.25,31.09,28.97,28.88,30.5,31.78,32.22,33.38,35.25,35.28,33.31,31.12,30.94,31.03,29.91,28.88,29.75,31.19,30.59,29.0,28.44,28.5,27.75,25.91,25.69,27.62,28.88,28.53,28.5,29.91,31.09,30.78,30.03,30.5,31.41,30.66,28.97,28.59,29.22,28.66,26.81,25.31,25.38,25.22,23.78,22.88,24.25,25.84,26.06,26.12,28.0,30.5,32.03,32.44,33.94,36.16,37.41,36.44,34.94,33.88,31.53,26.94,22.12,19.72,18.38,16.56,14.78,15.22,16.62,17.41,17.16,17.97,20.66,22.75,22.94,22.38,23.72,24.5,23.62,22.66,24.12,26.03,26.12,25.28,26.0,27.31,27.91,26.56,25.72,26.03,25.44,23.19,21.72,22.72,24.03,24.34,24.38,25.56,27.31,27.41,26.5,26.47,27.12,27.09,25.28,24.41,25.69,26.84,26.22,25.59,26.66,27.25,26.06,23.75,23.41,23.84,23.31,22.0,22.38,23.91,24.41,23.41,23.16,24.16,25.19,24.31,23.03,23.47,24.41,24.06,23.06,23.47,24.84,24.75,23.59,23.25,24.97,26.06,25.84,26.5,28.53,30.09,29.31,27.66,27.09,26.25,23.78,20.88,19.12,18.84,18.09,16.16,15.09,16.19,16.97,16.62,17.19,20.06,23.19,24.56,24.91,26.03,26.97,26.22,24.72,24.66,25.84,26.16,24.5,23.5,23.69,23.75,22.5,21.81,22.47,23.41,22.91,21.84,22.53,24.31,25.31,25.34,26.69,29.06,30.75,31.09,31.56,33.31,34.19,32.22,30.19,29.38,29.03,27.66,25.91,25.41,26.19,26.47,25.5,25.47,26.28,25.81,23.25,20.62,19.53,18.59,16.34,14.31,13.88,14.34,13.81,13.56,15.0,17.97,20.5,21.62,23.84,27.41,30.69,31.56,32.22,34.0,34.84,32.91,30.84,30.34,30.56,29.44,27.88,27.59,28.34,28.53,26.91,25.88,26.31,26.25,24.44,23.38,24.31,26.34,27.19,28.0,30.47,33.56,34.78,34.69,34.38,34.72,34.19,32.22,31.44,31.81,32.22,30.59,28.09,26.88,26.69,25.5,24.09,24.19,25.03,24.5,21.84,19.41,18.22,16.88,14.94,14.47,16.97,20.72,23.16,25.06,28.22,31.53,32.56,32.19,32.38,32.66,31.28,28.31,26.0,25.09,24.34,21.78,20.12,19.66,19.91,18.75,17.22,17.53,19.09,20.09,20.69,23.03,26.84,29.81,30.59,31.22,32.53,33.25,31.59,30.25,30.41,31.09,30.69,29.81,30.47,31.44,31.03,29.0,27.47,26.75,25.69,23.69,22.66,23.97,25.47,25.38,25.16,26.19,27.72,27.5,27.09,27.53,28.66,28.72,27.56,27.31,28.62,29.44,29.06,28.81,30.28,32.16,32.22,32.22,33.12,34.44,33.78,31.94,31.09,31.16,30.31,28.72,28.0,28.81,29.38,28.81,28.69,30.25,32.25,32.56,32.09,32.03,32.19,30.66,28.0,26.19,25.75,24.75,22.31,20.59,20.91,21.62,21.38,21.97,24.19,27.09,28.16,28.38,28.81,29.97,29.19,27.34,26.06,26.16,25.75,23.97,22.94,23.66,24.69,24.53,24.25,25.19,26.75,27.12,26.5,26.72,27.72,27.28,25.62,24.75,25.5,25.75,24.75,24.09,24.62,25.62,25.84,25.69,27.25,29.22,29.88,29.62,29.38,29.56,28.62,26.16,24.28,23.84,23.78,23.0,22.59,23.41,24.62,24.12,22.19,20.75,20.16,18.97,17.62,17.84,20.09,22.53,23.84,24.88,27.38,28.91,28.5,26.94,26.41,25.5,22.78,18.97,16.31,15.19,13.97,12.94,13.38,16.22,18.72,20.28,21.94,24.59,26.81,26.78,26.19,26.59,28.09,28.22,27.78,27.75,29.03,28.81,27.69,26.5,27.34,27.72,26.47,24.88,25.0,24.62,22.72,20.22,18.91,18.78,18.84,18.47,19.28,21.91,23.53,23.31,23.03,24.22,24.75,24.12,23.38,24.06,24.97,24.28,23.0,22.59,22.84,22.5,21.41,21.44,22.59,23.5,23.16,23.25,24.81,26.06,25.78,24.19,23.28,22.12,19.78,16.88,15.66,15.88,16.06,15.78,16.09,18.03,20.31,21.09,22.19,24.91,27.47,28.34,28.0,28.44,29.03,28.44,26.69,25.44,25.16,23.88,21.22,18.94,18.41,18.34,17.25,16.44,17.62,19.19,19.78,19.25,19.38,19.88,19.06,17.44,17.22,18.78,20.88,21.75,22.72,24.31,25.38,24.47,22.75,22.47,22.72,22.28,20.91,20.88,21.88,22.0,20.66,19.69,20.06,20.0,18.66,17.28,17.53,18.28,17.62,15.53,14.66,13.84,11.91,8.75,6.84,6.72,6.41,5.59,5.66,7.53,9.44,9.72,9.91,11.88,14.28,15.12,15.34,16.47,17.84,18.31,17.53,17.41,18.34,18.94,18.06,17.0,17.03,16.72,13.88,10.56,8.94,8.66,8.06,7.53,8.84,11.31,12.84,13.0,14.16,16.16,18.22,18.75,19.06,21.09,23.72,25.25,26.56,29.44,32.25,33.19,32.19,31.12,30.38,28.84,25.84,23.38,22.75,21.88,19.81,17.53,16.81,16.69,15.62,13.97,13.94,15.06,15.22,14.34,13.81,14.06,13.94,12.03,11.0,11.91,13.47,14.0,14.09,15.19,16.84,17.03,16.38,16.94,19.34,21.06,21.56,21.84,22.53,21.84,18.53,15.41,13.94,13.84,13.47,13.06,14.94,17.41,18.59,18.62,19.78,22.06,23.78,24.22,25.28,27.72,29.69,29.88,29.53,30.03,30.56,29.19,27.0,25.84,25.47,23.91,21.06,19.06,18.12,16.66,13.88,11.53,10.88,11.25,9.97,9.38,10.34,12.06,12.66,12.53,13.59,16.16,17.88,18.75,19.69,21.44,22.72,21.5,20.34,20.41,20.91,19.47,18.03,17.91,18.47,18.03,16.62,16.38,17.22,16.84,14.78,12.78,12.44,12.06,10.25,8.66,8.38,9.06,8.56,7.75,8.66,10.56,11.81,11.78,12.94,15.38,17.28,18.03,19.0,21.59,24.16,24.53,24.62,25.75,26.94,26.91,26.22,26.06,26.94,26.28,24.0,22.5,22.03,21.5,19.69,18.56,19.66,21.0,20.91,20.34,20.62,21.28,20.16,18.0,16.12,15.78,15.12,13.47,13.25,15.5,18.47,19.84,20.94,23.0,24.62,23.53,20.97,19.38,18.81,17.41,15.84,15.59,17.28,18.34,17.81,17.47,18.78,19.72,19.03,18.56,18.59,19.28,17.88,16.06,15.47,16.16,16.12,15.31,14.84,16.06,16.53,15.5,14.47,14.88,15.41,14.12,12.81,13.03,13.88,13.5,12.28,12.25,13.09,13.5,12.59,12.19,13.28,13.72,12.25,10.44,10.16,10.78,9.66,8.75,9.09,9.84,9.38,7.88,6.88,7.69,7.88,6.66,6.03,7.31,8.41,7.91,34.66,35.09,36.47,37.47,37.66,37.66,37.66,38.31,38.94,39.81,41.06,43.09,45.0,46.06,47.12,47.84,47.81,46.81,44.84,42.91,41.25:33.69,33.19,33.56,34.44,33.62,31.75,30.59,30.88,31.28,30.56,30.47,31.31,31.97,30.72,28.84,28.69,29.22,28.84,27.97,28.25,29.88,30.53,30.12,29.62,30.28,30.44,28.47,27.19,28.0,29.31,29.53,29.31,30.69,32.31,32.34,31.72,32.16,33.88,34.94,34.22,34.25,34.97,35.47,33.91,31.81,30.78,30.06,27.59,24.84,23.78,24.56,24.72,23.78,24.09,25.47,26.31,25.56,25.47,27.0,28.56,28.22,27.56,28.06,28.88,28.75,28.38,29.69,31.88,33.25,33.03,33.38,34.56,35.53,34.97,35.09,36.78,38.25,38.0,37.22,37.38,37.69,36.81,34.66,33.66,33.78,33.03,31.12,29.97,29.75,29.09,26.41,24.0,23.03,22.88,22.03,21.81,23.78,26.84,29.06,30.03,31.0,31.5,30.28,26.5,23.03,20.81,19.41,17.31,16.34,17.28,19.16,19.81,19.62,20.47,22.0,23.12,23.41,25.38,28.41,30.88,31.0,31.22,32.28,33.0,32.5,31.75,32.59,33.59,32.88,31.19,30.38,30.97,30.75,29.34,28.97,29.47,29.34,27.47,25.56,25.28,25.22,23.5,21.91,22.0,23.59,24.16,24.5,25.5,28.25,29.59,29.41,29.75,31.03,31.91,31.22,29.97,30.06,30.31,28.81,26.28,25.25,24.22,21.84,17.94,14.59,13.16,11.19,8.66,7.28,7.5,7.88,7.12,7.03,9.56,13.88,17.5,21.06,25.22,29.88,32.12,32.22,32.38,33.53,33.5,32.31,31.62,32.16,32.69,30.94,28.53,26.78,25.5,22.66,19.56,18.38,18.75,18.59,17.88,17.75,19.09,20.16,19.66,19.75,21.5,24.0,25.16,25.94,28.12,31.31,32.34,31.88,32.31,33.22,33.0,30.38,27.88,26.31,23.72,19.31,15.69,14.75,15.25,15.0,15.53,17.47,20.03,20.84,20.66,21.72,24.56,26.34,26.72,27.25,28.59,29.12,27.84,26.56,27.47,29.19,28.97,28.12,28.0,27.75,25.84,22.84,21.22,21.25,21.25,20.31,19.97,21.56,22.69,22.19,21.47,22.34,23.91,24.31,24.62,26.75,30.06,31.91,32.22,32.31,32.94,32.41,30.47,28.66,28.78,29.19,27.84,26.03,25.38,25.19,23.22,20.19,18.41,17.88,16.47,14.41,13.47,14.16,14.88,13.72,12.5,12.84,13.5,12.75,11.44,12.0,13.97,14.81,15.22,17.16,20.59,24.0,25.81,28.25,31.97,34.72,35.0,34.12,33.75,33.25,31.09,28.97,28.88,30.5,31.78,32.22,33.38,35.25,35.28,33.31,31.12,30.94,31.03,29.91,28.88,29.75,31.19,30.59,29.0,28.44,28.5,27.75,25.91,25.69,27.62,28.88,28.53,28.5,29.91,31.09,30.78,30.03,30.5,31.41,30.66,28.97,28.59,29.22,28.66,26.81,25.31,25.38,25.22,23.78,22.88,24.25,25.84,26.06,26.12,28.0,30.5,32.03,32.44,33.94,36.16,37.41,36.44,34.94,33.88,31.53,26.94,22.12,19.72,18.38,16.56,14.78,15.22,16.62,17.41,17.16,17.97,20.66,22.75,22.94,22.38,23.72,24.5,23.62,22.66,24.12,26.03,26.12,25.28,26.0,27.31,27.91,26.56,25.72,26.03,25.44,23.19,21.72,22.72,24.03,24.34,24.38,25.56,27.31,27.41,26.5,26.47,27.12,27.09,25.28,24.41,25.69,26.84,26.22,25.59,26.66,27.25,26.06,23.75,23.41,23.84,23.31,22.0,22.38,23.91,24.41,23.41,23.16,24.16,25.19,24.31,23.03,23.47,24.41,24.06,23.06,23.47,24.84,24.75,23.59,23.25,24.97,26.06,25.84,26.5,28.53,30.09,29.31,27.66,27.09,26.25,23.78,20.88,19.12,18.84,18.09,16.16,15.09,16.19,16.97,16.62,17.19,20.06,23.19,24.56,24.91,26.03,26.97,26.22,24.72,24.66,25.84,26.16,24.5,23.5,23.69,23.75,22.5,21.81,22.47,23.41,22.91,21.84,22.53,24.31,25.31,25.34,26.69,29.06,30.75,31.09,31.56,33.31,34.19,32.22,30.19,29.38,29.03,27.66,25.91,25.41,26.19,26.47,25.5,25.47,26.28,25.81,23.25,20.62,19.53,18.59,16.34,14.31,13.88,14.34,13.81,13.56,15.0,17.97,20.5,21.62,23.84,27.41,30.69,31.56,32.22,34.0,34.84,32.91,30.84,30.34,30.56,29.44,27.88,27.59,28.34,28.53,26.91,25.88,26.31,26.25,24.44,23.38,24.31,26.34,27.19,28.0,30.47,33.56,34.78,34.69,34.38,34.72,34.19,32.22,31.44,31.81,32.22,30.59,28.09,26.88,26.69,25.5,24.09,24.19,25.03,24.5,21.84,19.41,18.22,16.88,14.94,14.47,16.97,20.72,23.16,25.06,28.22,31.53,32.56,32.19,32.38,32.66,31.28,28.31,26.0,25.09,24.34,21.78,20.12,19.66,19.91,18.75,17.22,17.53,19.09,20.09,20.69,23.03,26.84,29.81,30.59,31.22,32.53,33.25,31.59,30.25,30.41,31.09,30.69,29.81,30.47,31.44,31.03,29.0,27.47,26.75,25.69,23.69,22.66,23.97,25.47,25.38,25.16,26.19,27.72,27.5,27.09,27.53,28.66,28.72,27.56,27.31,28.62,29.44,29.06,28.81,30.28,32.16,32.22,32.22,33.12,34.44,33.78,31.94,31.09,31.16,30.31,28.72,28.0,28.81,29.38,28.81,28.69,30.25,32.25,32.56,32.09,32.03,32.19,30.66,28.0,26.19,25.75,24.75,22.31,20.59,20.91,21.62,21.38,21.97,24.19,27.09,28.16,28.38,28.81,29.97,29.19,27.34,26.06,26.16,25.75,23.97,22.94,23.66,24.69,24.53,24.25,25.19,26.75,27.12,26.5,26.72,27.72,27.28,25.62,24.75,25.5,25.75,24.75,24.09,24.62,25.62,25.84,25.69,27.25,29.22,29.88,29.62,29.38,29.56,28.62,26.16,24.28,23.84,23.78,23.0,22.59,23.41,24.62,24.12,22.19,20.75,20.16,18.97,17.62,17.84,20.09,22.53,23.84,24.88,27.38,28.91,28.5,26.94,26.41,25.5,22.78,18.97,16.31,15.19,13.97,12.94,13.38,16.22,18.72,20.28,21.94,24.59,26.81,26.78,26.19,26.59,28.09,28.22,27.78,27.75,29.03,28.81,27.69,26.5,27.34,27.72,26.47,24.88,25.0,24.62,22.72,20.22,18.91,18.78,18.84,18.47,19.28,21.91,23.53,23.31,23.03,24.22,24.75,24.12,23.38,24.06,24.97,24.28,23.0,22.59,22.84,22.5,21.41,21.44,22.59,23.5,23.16,23.25,24.81,26.06,25.78,24.19,23.28,22.12,19.78,16.88,15.66,15.88,16.06,15.78,16.09,18.03,20.31,21.09,22.19,24.91,27.47,28.34,28.0,28.44,29.03,28.44,26.69,25.44,25.16,23.88,21.22,18.94,18.41,18.34,17.25,16.44,17.62,19.19,19.78,19.25,19.38,19.88,19.06,17.44,17.22,18.78,20.88,21.75,22.72,24.31,25.38,24.47,22.75,22.47,22.72,22.28,20.91,20.88,21.88,22.0,20.66,19.69,20.06,20.0,18.66,17.28,17.53,18.28,17.62,15.53,14.66,13.84,11.91,8.75,6.84,6.72,6.41,5.59,5.66,7.53,9.44,9.72,9.91,11.88,14.28,15.12,15.34,16.47,17.84,18.31,17.53,17.41,18.34,18.94,18.06,17.0,17.03,16.72,13.88,10.56,8.94,8.66,8.06,7.53,8.84,11.31,12.84,13.0,14.16,16.16,18.22,18.75,19.06,21.09,23.72,25.25,26.56,29.44,32.25,33.19,32.19,31.12,30.38,28.84,25.84,23.38,22.75,21.88,19.81,17.53,16.81,16.69,15.62,13.97,13.94,15.06,15.22,14.34,13.81,14.06,13.94,12.03,11.0,11.91,13.47,14.0,14.09,15.19,16.84,17.03,16.38,16.94,19.34,21.06,21.56,21.84,22.53,21.84,18.53,15.41,13.94,13.84,13.47,13.06,14.94,17.41,18.59,18.62,19.78,22.06,23.78,24.22,25.28,27.72,29.69,29.88,29.53,30.03,30.56,29.19,27.0,25.84,25.47,23.91,21.06,19.06,18.12,16.66,13.88,11.53,10.88,11.25,9.97,9.38,10.34,12.06,12.66,12.53,13.59,16.16,17.88,18.75,19.69,21.44,22.72,21.5,20.34,20.41,20.91,19.47,18.03,17.91,18.47,18.03,16.62,16.38,17.22,16.84,14.78,12.78,12.44,12.06,10.25,8.66,8.38,9.06,8.56,7.75,8.66,10.56,11.81,11.78,12.94,15.38,17.28,18.03,19.0,21.59,24.16,24.53,24.62,25.75,26.94,26.91,26.22,26.06,26.94,26.28,24.0,22.5,22.03,21.5,19.69,18.56,19.66,21.0,20.91,20.34,20.62,21.28,20.16,18.0,16.12,15.78,15.12,13.47,13.25,15.5,18.47,19.84,20.94,23.0,24.62,23.53,20.97,19.38,18.81,17.41,15.84,15.59,17.28,18.34,17.81,17.47,18.78,19.72,19.03,18.56,18.59,19.28,17.88,16.06,15.47,16.16,16.12,15.31,14.84,16.06,16.53,15.5,14.47,14.88,15.41,14.12,12.81,13.03,13.88,13.5,12.28,12.25,13.09,13.5,12.59,12.19,13.28,13.72,12.25,10.44,10.16,10.78,9.66,8.75,9.09,9.84,9.38,7.88,6.88,7.69,7.88,6.66,6.03,7.31,8.41,7.91,34.66,35.09,36.47,37.47,37.66,37.66,37.66,38.31,38.94,39.81,41.06,43.09,45.0,46.06,47.12,47.84,47.81,46.81,44.84,42.91,41.25,39.56,38.06,37.72,37.97,38.25,37.72,37.38:30.88,31.28,30.56,30.47,31.31,31.97,30.72,28.84,28.69,29.22,28.84,27.97,28.25,29.88,30.53,30.12,29.62,30.28,30.44,28.47,27.19,28.0,29.31,29.53,29.31,30.69,32.31,32.34,31.72,32.16,33.88,34.94,34.22,34.25,34.97,35.47,33.91,31.81,30.78,30.06,27.59,24.84,23.78,24.56,24.72,23.78,24.09,25.47,26.31,25.56,25.47,27.0,28.56,28.22,27.56,28.06,28.88,28.75,28.38,29.69,31.88,33.25,33.03,33.38,34.56,35.53,34.97,35.09,36.78,38.25,38.0,37.22,37.38,37.69,36.81,34.66,33.66,33.78,33.03,31.12,29.97,29.75,29.09,26.41,24.0,23.03,22.88,22.03,21.81,23.78,26.84,29.06,30.03,31.0,31.5,30.28,26.5,23.03,20.81,19.41,17.31,16.34,17.28,19.16,19.81,19.62,20.47,22.0,23.12,23.41,25.38,28.41,30.88,31.0,31.22,32.28,33.0,32.5,31.75,32.59,33.59,32.88,31.19,30.38,30.97,30.75,29.34,28.97,29.47,29.34,27.47,25.56,25.28,25.22,23.5,21.91,22.0,23.59,24.16,24.5,25.5,28.25,29.59,29.41,29.75,31.03,31.91,31.22,29.97,30.06,30.31,28.81,26.28,25.25,24.22,21.84,17.94,14.59,13.16,11.19,8.66,7.28,7.5,7.88,7.12,7.03,9.56,13.88,17.5,21.06,25.22,29.88,32.12,32.22,32.38,33.53,33.5,32.31,31.62,32.16,32.69,30.94,28.53,26.78,25.5,22.66,19.56,18.38,18.75,18.59,17.88,17.75,19.09,20.16,19.66,19.75,21.5,24.0,25.16,25.94,28.12,31.31,32.34,31.88,32.31,33.22,33.0,30.38,27.88,26.31,23.72,19.31,15.69,14.75,15.25,15.0,15.53,17.47,20.03,20.84,20.66,21.72,24.56,26.34,26.72,27.25,28.59,29.12,27.84,26.56,27.47,29.19,28.97,28.12,28.0,27.75,25.84,22.84,21.22,21.25,21.25,20.31,19.97,21.56,22.69,22.19,21.47,22.34,23.91,24.31,24.62,26.75,30.06,31.91,32.22,32.31,32.94,32.41,30.47,28.66,28.78,29.19,27.84,26.03,25.38,25.19,23.22,20.19,18.41,17.88,16.47,14.41,13.47,14.16,14.88,13.72,12.5,12.84,13.5,12.75,11.44,12.0,13.97,14.81,15.22,17.16,20.59,24.0,25.81,28.25,31.97,34.72,35.0,34.12,33.75,33.25,31.09,28.97,28.88,30.5,31.78,32.22,33.38,35.25,35.28,33.31,31.12,30.94,31.03,29.91,28.88,29.75,31.19,30.59,29.0,28.44,28.5,27.75,25.91,25.69,27.62,28.88,28.53,28.5,29.91,31.09,30.78,30.03,30.5,31.41,30.66,28.97,28.59,29.22,28.66,26.81,25.31,25.38,25.22,23.78,22.88,24.25,25.84,26.06,26.12,28.0,30.5,32.03,32.44,33.94,36.16,37.41,36.44,34.94,33.88,31.53,26.94,22.12,19.72,18.38,16.56,14.78,15.22,16.62,17.41,17.16,17.97,20.66,22.75,22.94,22.38,23.72,24.5,23.62,22.66,24.12,26.03,26.12,25.28,26.0,27.31,27.91,26.56,25.72,26.03,25.44,23.19,21.72,22.72,24.03,24.34,24.38,25.56,27.31,27.41,26.5,26.47,27.12,27.09,25.28,24.41,25.69,26.84,26.22,25.59,26.66,27.25,26.06,23.75,23.41,23.84,23.31,22.0,22.38,23.91,24.41,23.41,23.16,24.16,25.19,24.31,23.03,23.47,24.41,24.06,23.06,23.47,24.84,24.75,23.59,23.25,24.97,26.06,25.84,26.5,28.53,30.09,29.31,27.66,27.09,26.25,23.78,20.88,19.12,18.84,18.09,16.16,15.09,16.19,16.97,16.62,17.19,20.06,23.19,24.56,24.91,26.03,26.97,26.22,24.72,24.66,25.84,26.16,24.5,23.5,23.69,23.75,22.5,21.81,22.47,23.41,22.91,21.84,22.53,24.31,25.31,25.34,26.69,29.06,30.75,31.09,31.56,33.31,34.19,32.22,30.19,29.38,29.03,27.66,25.91,25.41,26.19,26.47,25.5,25.47,26.28,25.81,23.25,20.62,19.53,18.59,16.34,14.31,13.88,14.34,13.81,13.56,15.0,17.97,20.5,21.62,23.84,27.41,30.69,31.56,32.22,34.0,34.84,32.91,30.84,30.34,30.56,29.44,27.88,27.59,28.34,28.53,26.91,25.88,26.31,26.25,24.44,23.38,24.31,26.34,27.19,28.0,30.47,33.56,34.78,34.69,34.38,34.72,34.19,32.22,31.44,31.81,32.22,30.59,28.09,26.88,26.69,25.5,24.09,24.19,25.03,24.5,21.84,19.41,18.22,16.88,14.94,14.47,16.97,20.72,23.16,25.06,28.22,31.53,32.56,32.19,32.38,32.66,31.28,28.31,26.0,25.09,24.34,21.78,20.12,19.66,19.91,18.75,17.22,17.53,19.09,20.09,20.69,23.03,26.84,29.81,30.59,31.22,32.53,33.25,31.59,30.25,30.41,31.09,30.69,29.81,30.47,31.44,31.03,29.0,27.47,26.75,25.69,23.69,22.66,23.97,25.47,25.38,25.16,26.19,27.72,27.5,27.09,27.53,28.66,28.72,27.56,27.31,28.62,29.44,29.06,28.81,30.28,32.16,32.22,32.22,33.12,34.44,33.78,31.94,31.09,31.16,30.31,28.72,28.0,28.81,29.38,28.81,28.69,30.25,32.25,32.56,32.09,32.03,32.19,30.66,28.0,26.19,25.75,24.75,22.31,20.59,20.91,21.62,21.38,21.97,24.19,27.09,28.16,28.38,28.81,29.97,29.19,27.34,26.06,26.16,25.75,23.97,22.94,23.66,24.69,24.53,24.25,25.19,26.75,27.12,26.5,26.72,27.72,27.28,25.62,24.75,25.5,25.75,24.75,24.09,24.62,25.62,25.84,25.69,27.25,29.22,29.88,29.62,29.38,29.56,28.62,26.16,24.28,23.84,23.78,23.0,22.59,23.41,24.62,24.12,22.19,20.75,20.16,18.97,17.62,17.84,20.09,22.53,23.84,24.88,27.38,28.91,28.5,26.94,26.41,25.5,22.78,18.97,16.31,15.19,13.97,12.94,13.38,16.22,18.72,20.28,21.94,24.59,26.81,26.78,26.19,26.59,28.09,28.22,27.78,27.75,29.03,28.81,27.69,26.5,27.34,27.72,26.47,24.88,25.0,24.62,22.72,20.22,18.91,18.78,18.84,18.47,19.28,21.91,23.53,23.31,23.03,24.22,24.75,24.12,23.38,24.06,24.97,24.28,23.0,22.59,22.84,22.5,21.41,21.44,22.59,23.5,23.16,23.25,24.81,26.06,25.78,24.19,23.28,22.12,19.78,16.88,15.66,15.88,16.06,15.78,16.09,18.03,20.31,21.09,22.19,24.91,27.47,28.34,28.0,28.44,29.03,28.44,26.69,25.44,25.16,23.88,21.22,18.94,18.41,18.34,17.25,16.44,17.62,19.19,19.78,19.25,19.38,19.88,19.06,17.44,17.22,18.78,20.88,21.75,22.72,24.31,25.38,24.47,22.75,22.47,22.72,22.28,20.91,20.88,21.88,22.0,20.66,19.69,20.06,20.0,18.66,17.28,17.53,18.28,17.62,15.53,14.66,13.84,11.91,8.75,6.84,6.72,6.41,5.59,5.66,7.53,9.44,9.72,9.91,11.88,14.28,15.12,15.34,16.47,17.84,18.31,17.53,17.41,18.34,18.94,18.06,17.0,17.03,16.72,13.88,10.56,8.94,8.66,8.06,7.53,8.84,11.31,12.84,13.0,14.16,16.16,18.22,18.75,19.06,21.09,23.72,25.25,26.56,29.44,32.25,33.19,32.19,31.12,30.38,28.84,25.84,23.38,22.75,21.88,19.81,17.53,16.81,16.69,15.62,13.97,13.94,15.06,15.22,14.34,13.81,14.06,13.94,12.03,11.0,11.91,13.47,14.0,14.09,15.19,16.84,17.03,16.38,16.94,19.34,21.06,21.56,21.84,22.53,21.84,18.53,15.41,13.94,13.84,13.47,13.06,14.94,17.41,18.59,18.62,19.78,22.06,23.78,24.22,25.28,27.72,29.69,29.88,29.53,30.03,30.56,29.19,27.0,25.84,25.47,23.91,21.06,19.06,18.12,16.66,13.88,11.53,10.88,11.25,9.97,9.38,10.34,12.06,12.66,12.53,13.59,16.16,17.88,18.75,19.69,21.44,22.72,21.5,20.34,20.41,20.91,19.47,18.03,17.91,18.47,18.03,16.62,16.38,17.22,16.84,14.78,12.78,12.44,12.06,10.25,8.66,8.38,9.06,8.56,7.75,8.66,10.56,11.81,11.78,12.94,15.38,17.28,18.03,19.0,21.59,24.16,24.53,24.62,25.75,26.94,26.91,26.22,26.06,26.94,26.28,24.0,22.5,22.03,21.5,19.69,18.56,19.66,21.0,20.91,20.34,20.62,21.28,20.16,18.0,16.12,15.78,15.12,13.47,13.25,15.5,18.47,19.84,20.94,23.0,24.62,23.53,20.97,19.38,18.81,17.41,15.84,15.59,17.28,18.34,17.81,17.47,18.78,19.72,19.03,18.56,18.59,19.28,17.88,16.06,15.47,16.16,16.12,15.31,14.84,16.06,16.53,15.5,14.47,14.88,15.41,14.12,12.81,13.03,13.88,13.5,12.28,12.25,13.09,13.5,12.59,12.19,13.28,13.72,12.25,10.44,10.16,10.78,9.66,8.75,9.09,9.84,9.38,7.88,6.88,7.69,7.88,6.66,6.03,7.31,8.41,7.91,34.66,35.09,36.47,37.47,37.66,37.66,37.66,38.31,38.94,39.81,41.06,43.09,45.0,46.06,47.12,47.84,47.81,46.81,44.84,42.91,41.25,39.56,38.06,37.72,37.97,38.25,37.72,37.38,37.31,36.72,35.78,35.47,35.62,36.12,37.16:28.84,28.69,29.22,28.84,27.97,28.25,29.88,30.53,30.12,29.62,30.28,30.44,28.47,27.19,28.0,29.31,29.53,29.31,30.69,32.31,32.34,31.72,32.16,33.88,34.94,34.22,34.25,34.97,35.47,33.91,31.81,30.78,30.06,27.59,24.84,23.78,24.56,24.72,23.78,24.09,25.47,26.31,25.56,25.47,27.0,28.56,28.22,27.56,28.06,28.88,28.75,28.38,29.69,31.88,33.25,33.03,33.38,34.56,35.53,34.97,35.09,36.78,38.25,38.0,37.22,37.38,37.69,36.81,34.66,33.66,33.78,33.03,31.12,29.97,29.75,29.09,26.41,24.0,23.03,22.88,22.03,21.81,23.78,26.84,29.06,30.03,31.0,31.5,30.28,26.5,23.03,20.81,19.41,17.31,16.34,17.28,19.16,19.81,19.62,20.47,22.0,23.12,23.41,25.38,28.41,30.88,31.0,31.22,32.28,33.0,32.5,31.75,32.59,33.59,32.88,31.19,30.38,30.97,30.75,29.34,28.97,29.47,29.34,27.47,25.56,25.28,25.22,23.5,21.91,22.0,23.59,24.16,24.5,25.5,28.25,29.59,29.41,29.75,31.03,31.91,31.22,29.97,30.06,30.31,28.81,26.28,25.25,24.22,21.84,17.94,14.59,13.16,11.19,8.66,7.28,7.5,7.88,7.12,7.03,9.56,13.88,17.5,21.06,25.22,29.88,32.12,32.22,32.38,33.53,33.5,32.31,31.62,32.16,32.69,30.94,28.53,26.78,25.5,22.66,19.56,18.38,18.75,18.59,17.88,17.75,19.09,20.16,19.66,19.75,21.5,24.0,25.16,25.94,28.12,31.31,32.34,31.88,32.31,33.22,33.0,30.38,27.88,26.31,23.72,19.31,15.69,14.75,15.25,15.0,15.53,17.47,20.03,20.84,20.66,21.72,24.56,26.34,26.72,27.25,28.59,29.12,27.84,26.56,27.47,29.19,28.97,28.12,28.0,27.75,25.84,22.84,21.22,21.25,21.25,20.31,19.97,21.56,22.69,22.19,21.47,22.34,23.91,24.31,24.62,26.75,30.06,31.91,32.22,32.31,32.94,32.41,30.47,28.66,28.78,29.19,27.84,26.03,25.38,25.19,23.22,20.19,18.41,17.88,16.47,14.41,13.47,14.16,14.88,13.72,12.5,12.84,13.5,12.75,11.44,12.0,13.97,14.81,15.22,17.16,20.59,24.0,25.81,28.25,31.97,34.72,35.0,34.12,33.75,33.25,31.09,28.97,28.88,30.5,31.78,32.22,33.38,35.25,35.28,33.31,31.12,30.94,31.03,29.91,28.88,29.75,31.19,30.59,29.0,28.44,28.5,27.75,25.91,25.69,27.62,28.88,28.53,28.5,29.91,31.09,30.78,30.03,30.5,31.41,30.66,28.97,28.59,29.22,28.66,26.81,25.31,25.38,25.22,23.78,22.88,24.25,25.84,26.06,26.12,28.0,30.5,32.03,32.44,33.94,36.16,37.41,36.44,34.94,33.88,31.53,26.94,22.12,19.72,18.38,16.56,14.78,15.22,16.62,17.41,17.16,17.97,20.66,22.75,22.94,22.38,23.72,24.5,23.62,22.66,24.12,26.03,26.12,25.28,26.0,27.31,27.91,26.56,25.72,26.03,25.44,23.19,21.72,22.72,24.03,24.34,24.38,25.56,27.31,27.41,26.5,26.47,27.12,27.09,25.28,24.41,25.69,26.84,26.22,25.59,26.66,27.25,26.06,23.75,23.41,23.84,23.31,22.0,22.38,23.91,24.41,23.41,23.16,24.16,25.19,24.31,23.03,23.47,24.41,24.06,23.06,23.47,24.84,24.75,23.59,23.25,24.97,26.06,25.84,26.5,28.53,30.09,29.31,27.66,27.09,26.25,23.78,20.88,19.12,18.84,18.09,16.16,15.09,16.19,16.97,16.62,17.19,20.06,23.19,24.56,24.91,26.03,26.97,26.22,24.72,24.66,25.84,26.16,24.5,23.5,23.69,23.75,22.5,21.81,22.47,23.41,22.91,21.84,22.53,24.31,25.31,25.34,26.69,29.06,30.75,31.09,31.56,33.31,34.19,32.22,30.19,29.38,29.03,27.66,25.91,25.41,26.19,26.47,25.5,25.47,26.28,25.81,23.25,20.62,19.53,18.59,16.34,14.31,13.88,14.34,13.81,13.56,15.0,17.97,20.5,21.62,23.84,27.41,30.69,31.56,32.22,34.0,34.84,32.91,30.84,30.34,30.56,29.44,27.88,27.59,28.34,28.53,26.91,25.88,26.31,26.25,24.44,23.38,24.31,26.34,27.19,28.0,30.47,33.56,34.78,34.69,34.38,34.72,34.19,32.22,31.44,31.81,32.22,30.59,28.09,26.88,26.69,25.5,24.09,24.19,25.03,24.5,21.84,19.41,18.22,16.88,14.94,14.47,16.97,20.72,23.16,25.06,28.22,31.53,32.56,32.19,32.38,32.66,31.28,28.31,26.0,25.09,24.34,21.78,20.12,19.66,19.91,18.75,17.22,17.53,19.09,20.09,20.69,23.03,26.84,29.81,30.59,31.22,32.53,33.25,31.59,30.25,30.41,31.09,30.69,29.81,30.47,31.44,31.03,29.0,27.47,26.75,25.69,23.69,22.66,23.97,25.47,25.38,25.16,26.19,27.72,27.5,27.09,27.53,28.66,28.72,27.56,27.31,28.62,29.44,29.06,28.81,30.28,32.16,32.22,32.22,33.12,34.44,33.78,31.94,31.09,31.16,30.31,28.72,28.0,28.81,29.38,28.81,28.69,30.25,32.25,32.56,32.09,32.03,32.19,30.66,28.0,26.19,25.75,24.75,22.31,20.59,20.91,21.62,21.38,21.97,24.19,27.09,28.16,28.38,28.81,29.97,29.19,27.34,26.06,26.16,25.75,23.97,22.94,23.66,24.69,24.53,24.25,25.19,26.75,27.12,26.5,26.72,27.72,27.28,25.62,24.75,25.5,25.75,24.75,24.09,24.62,25.62,25.84,25.69,27.25,29.22,29.88,29.62,29.38,29.56,28.62,26.16,24.28,23.84,23.78,23.0,22.59,23.41,24.62,24.12,22.19,20.75,20.16,18.97,17.62,17.84,20.09,22.53,23.84,24.88,27.38,28.91,28.5,26.94,26.41,25.5,22.78,18.97,16.31,15.19,13.97,12.94,13.38,16.22,18.72,20.28,21.94,24.59,26.81,26.78,26.19,26.59,28.09,28.22,27.78,27.75,29.03,28.81,27.69,26.5,27.34,27.72,26.47,24.88,25.0,24.62,22.72,20.22,18.91,18.78,18.84,18.47,19.28,21.91,23.53,23.31,23.03,24.22,24.75,24.12,23.38,24.06,24.97,24.28,23.0,22.59,22.84,22.5,21.41,21.44,22.59,23.5,23.16,23.25,24.81,26.06,25.78,24.19,23.28,22.12,19.78,16.88,15.66,15.88,16.06,15.78,16.09,18.03,20.31,21.09,22.19,24.91,27.47,28.34,28.0,28.44,29.03,28.44,26.69,25.44,25.16,23.88,21.22,18.94,18.41,18.34,17.25,16.44,17.62,19.19,19.78,19.25,19.38,19.88,19.06,17.44,17.22,18.78,20.88,21.75,22.72,24.31,25.38,24.47,22.75,22.47,22.72,22.28,20.91,20.88,21.88,22.0,20.66,19.69,20.06,20.0,18.66,17.28,17.53,18.28,17.62,15.53,14.66,13.84,11.91,8.75,6.84,6.72,6.41,5.59,5.66,7.53,9.44,9.72,9.91,11.88,14.28,15.12,15.34,16.47,17.84,18.31,17.53,17.41,18.34,18.94,18.06,17.0,17.03,16.72,13.88,10.56,8.94,8.66,8.06,7.53,8.84,11.31,12.84,13.0,14.16,16.16,18.22,18.75,19.06,21.09,23.72,25.25,26.56,29.44,32.25,33.19,32.19,31.12,30.38,28.84,25.84,23.38,22.75,21.88,19.81,17.53,16.81,16.69,15.62,13.97,13.94,15.06,15.22,14.34,13.81,14.06,13.94,12.03,11.0,11.91,13.47,14.0,14.09,15.19,16.84,17.03,16.38,16.94,19.34,21.06,21.56,21.84,22.53,21.84,18.53,15.41,13.94,13.84,13.47,13.06,14.94,17.41,18.59,18.62,19.78,22.06,23.78,24.22,25.28,27.72,29.69,29.88,29.53,30.03,30.56,29.19,27.0,25.84,25.47,23.91,21.06,19.06,18.12,16.66,13.88,11.53,10.88,11.25,9.97,9.38,10.34,12.06,12.66,12.53,13.59,16.16,17.88,18.75,19.69,21.44,22.72,21.5,20.34,20.41,20.91,19.47,18.03,17.91,18.47,18.03,16.62,16.38,17.22,16.84,14.78,12.78,12.44,12.06,10.25,8.66,8.38,9.06,8.56,7.75,8.66,10.56,11.81,11.78,12.94,15.38,17.28,18.03,19.0,21.59,24.16,24.53,24.62,25.75,26.94,26.91,26.22,26.06,26.94,26.28,24.0,22.5,22.03,21.5,19.69,18.56,19.66,21.0,20.91,20.34,20.62,21.28,20.16,18.0,16.12,15.78,15.12,13.47,13.25,15.5,18.47,19.84,20.94,23.0,24.62,23.53,20.97,19.38,18.81,17.41,15.84,15.59,17.28,18.34,17.81,17.47,18.78,19.72,19.03,18.56,18.59,19.28,17.88,16.06,15.47,16.16,16.12,15.31,14.84,16.06,16.53,15.5,14.47,14.88,15.41,14.12,12.81,13.03,13.88,13.5,12.28,12.25,13.09,13.5,12.59,12.19,13.28,13.72,12.25,10.44,10.16,10.78,9.66,8.75,9.09,9.84,9.38,7.88,6.88,7.69,7.88,6.66,6.03,7.31,8.41,7.91,34.66,35.09,36.47,37.47,37.66,37.66,37.66,38.31,38.94,39.81,41.06,43.09,45.0,46.06,47.12,47.84,47.81,46.81,44.84,42.91,41.25,39.56,38.06,37.72,37.97,38.25,37.72,37.38,37.31,36.72,35.78,35.47,35.62,36.12,37.16,38.84,41.66,44.84,47.81,49.16,50.03,49.97:negativity
4.44,2.25,1.16,1.34,2.75,3.41,4.16,5.09,5.78,5.16,3.75,2.66,2.03,1.38,0.47,0.44,2.09,4.0,5.0,6.06,7.38,8.5,7.88,6.94,6.69,7.19,7.12,6.78,6.75,6.97,6.72,5.19,4.72,5.59,6.72,7.38,8.06,9.19,10.06,9.06,7.78,6.97,6.72,6.53,6.31,6.81,8.22,9.22,9.22,9.16,9.97,10.88,10.69,10.31,9.94,9.38,7.31,4.94,2.97,1.78,0.5,-1.19,-1.94,-1.28,-0.62,-0.66,-0.47,0.41,1.38,1.38,1.03,1.03,1.09,0.12,-1.81,-3.12,-3.38,-3.78,-4.53,-4.44,-2.88,-1.53,-1.19,-1.0,0.16,1.38,2.16,2.88,4.94,7.34,8.59,9.12,9.84,10.84,11.03,10.78,10.34,11.22,11.91,11.41,10.72,10.28,9.09,6.62,3.66,1.06,-0.81,-3.09,-4.66,-4.91,-3.47,-1.81,-1.0,-0.5,0.41,0.78,0.06,-1.12,-1.91,-2.69,-4.59,-7.25,-9.06,-9.81,-10.69,-11.56,-11.81,-11.06,-10.09,-10.03,-9.72,-8.34,-6.38,-5.12,-4.34,-2.38,-0.03,0.59,0.44,-0.12,-1.06,-3.0,-5.62,-7.59,-8.06,-7.97,-8.75,-9.06,-8.84,-8.41,-8.84,-9.38,-8.88,-7.88,-6.97,-6.06,-4.66,-2.44,-0.81,-0.41,-0.53,-0.03,0.31,-0.84,-2.34,-3.38,-3.81,-4.94,-6.25,-6.03,-5.06,-4.56,-4.25,-3.25,-0.84,1.53,3.41,5.16,8.16,10.56,11.34,11.03,10.5,9.22,6.88,4.03,2.12,1.28,0.31,-1.06,-1.44,-0.34,0.69,1.44,1.91,3.03,4.12,4.16,3.62,4.0,4.44,3.72,2.09,0.75,-0.12,-1.47,-3.38,-4.53,-4.69,-4.56,-4.84,-5.19,-4.34,-3.22,-2.44,-1.91,-0.91,-0.31,-0.16,-1.09,-1.03,0.16,1.31,1.66,1.5,1.38,0.62,-0.97,-3.06,-4.12,-4.62,-5.47,-6.16,-5.72,-4.47,-3.16,-2.44,-1.62,0.22,1.94,2.81,3.47,4.66,4.88,3.44,0.34,-2.44,-5.44,-8.78,-11.78,-13.38,-13.75,-14.34,-16.34,-18.5,-20.38,-22.47,-25.0,-26.0,-24.25,-20.97,-17.06,-12.72,-7.38,-2.72,0.66,1.91,2.12,2.03,1.06,-1.56,-3.56,-4.0,-3.81,-3.78,-3.72,-2.62,-1.5,-0.84,-0.56,0.38,2.0,2.78,2.06,1.12,0.0,-1.44,-3.31,-4.19,-3.03,-1.03,0.66,1.97,3.28,3.94,3.28,1.81,1.34,1.72,2.53,2.75,3.53,4.78,5.81,4.94,3.62,2.78,1.31,-1.66,-5.06,-8.09,-10.22,-12.25,-14.22,-14.19,-12.25,-9.75,-8.12,-6.38,-4.06,-2.12,-1.0,0.06,1.91,4.03,4.72,4.97,5.47,6.44,7.34,7.94,9.59,12.22,14.78,15.78,15.94,16.0,15.25,13.09,10.53,8.22,5.5,1.62,-3.47,-8.59,-13.22,-17.44,-21.16,-23.09,-23.03,-21.94,-21.12,-19.84,-17.5,-15.16,-13.56,-12.38,-10.03,-6.62,-3.59,-0.09,4.16,8.19,11.16,11.59,11.16,10.0,8.5,5.41,2.56,0.28,-1.47,-4.09,-6.97,-8.59,-9.56,-10.41,-10.97,-10.38,-8.97,-7.41,-7.19,-7.5,-7.47,-7.16,-7.78,-8.16,-7.09,-5.72,-4.94,-4.62,-4.09,-3.62,-4.03,-5.69,-7.31,-8.0,-8.69,-9.62,-10.09,-8.62,-6.75,-5.38,-4.25,-2.62,-0.91,0.34,1.06,2.5,4.12,4.94,4.25,3.12,1.78,0.09,-2.41,-4.53,-5.47,-5.12,-4.91,-4.56,-3.41,-1.5,0.28,1.38,3.38,6.28,8.44,9.5,10.0,10.19,9.81,7.78,5.28,2.84,0.69,-2.09,-5.34,-8.16,-9.5,-10.72,-12.12,-12.75,-12.5,-12.5,-13.72,-15.03,-15.81,-15.81,-15.84,-15.22,-13.44,-10.41,-8.0,-5.88,-3.75,-1.28,0.22,0.38,0.69,1.44,2.34,3.28,4.47,6.34,8.06,8.38,7.59,6.81,5.47,2.47,-2.06,-6.91,-11.44,-16.25,-20.81,-23.34,-24.28,-24.09,-23.62,-23.06,-21.19,-19.47,-18.53,-17.5,-16.28,-14.28,-12.03,-9.88,-7.47,-4.5,-1.94,-0.75,-0.41,-0.06,-0.47,-2.09,-4.56,-5.91,-6.62,-7.34,-8.34,-9.06,-9.31,-10.88,-13.19,-14.84,-15.19,-15.34,-15.41,-15.12,-13.69,-11.91,-10.81,-9.56,-8.03,-6.84,-6.28,-6.84,-7.22,-7.19,-7.34,-8.38,-9.56,-10.41,-11.41,-13.0,-14.31,-14.66,-14.16,-13.56,-13.16,-12.28,-10.72,-9.59,-9.44,-9.19,-8.19,-7.88,-8.5,-9.34,-8.78,-8.06,-7.62,-7.25,-6.22,-4.5,-3.16,-2.06,-0.62,1.12,2.22,2.12,1.69,1.94,2.19,1.66,1.0,1.06,1.16,0.47,-1.0,-2.47,-4.16,-6.22,-8.59,-10.56,-11.75,-12.62,-14.19,-15.47,-15.28,-14.47,-13.5,-12.53,-10.31,-8.03,-6.31,-5.06,-3.5,-1.62,-0.5,-0.16,-0.03,0.31,-0.03,-1.62,-3.25,-3.97,-4.41,-5.0,-5.59,-5.69,-5.84,-6.47,-7.59,-8.56,-8.69,-9.31,-10.97,-13.12,-14.84,-16.59,-18.62,-20.16,-19.78,-18.06,-16.19,-14.03,-11.5,-9.47,-8.53,-9.06,-9.91,-10.31,-10.5,-10.78,-10.16,-8.12,-5.53,-3.34,-1.47,0.31,1.56,1.91,0.94,0.47,0.44,0.41,-0.16,-0.31,0.09,0.19,-0.78,-2.5,-3.72,-5.25,-7.38,-9.72,-10.97,-11.19,-10.88,-10.47,-9.09,-6.69,-4.38,-3.56,-2.56,-1.12,0.16,1.12,2.34,4.78,7.88,10.28,11.72,13.03,13.62,13.06,11.22,9.38,7.78,6.09,3.53,0.97,0.06,-0.41,-0.81,-0.84,0.44,2.28,3.12,3.44,3.69,4.22,4.47,4.16,4.16,4.59,4.94,4.34,3.69,4.09,5.38,6.5,7.44,9.19,10.81,10.81,9.34,7.69,6.34,5.0,3.25,2.0,1.38,0.41,-1.19,-3.03,-3.75,-4.16,-4.59,-5.03,-4.59,-3.38,-2.28,-1.81,-0.78,0.59,2.03,2.5,3.16,4.41,5.91,6.12,6.16,6.75,8.06,9.09,9.91,11.47,12.94,13.28,11.66,9.81,8.0,6.31,4.31,2.56,1.5,1.34,0.12,-1.0,-0.91,0.03,0.53,0.81,1.56,2.81,3.91,4.28,5.06,5.88,7.12,7.41,7.69,8.81,10.28,10.91,10.81,10.75,10.62,9.66,7.56,5.94,5.06,4.69,4.12,4.03,5.25,7.31,8.69,9.88,11.19,12.88,13.53,13.53,14.03,14.88,15.25,14.19,12.94,12.09,10.72,8.41,6.16,4.94,4.03,2.75,1.88,1.66,2.03,2.19,1.81,1.62,2.38,2.41,1.0,-0.09,-0.62,-0.94,-1.66,-2.0,-1.78,-0.75,-0.5,-0.72,-0.38,0.94,1.59,1.66,2.09,3.16,3.66,3.06,2.75,3.59,5.06,5.75,6.84,8.69,10.47,11.22,11.09,10.94,10.88,10.12,8.81,7.75,7.66,7.84,7.19,6.69,6.94,7.5,6.94,6.38,6.5,7.69,8.34,8.56,9.19,10.25,10.69,10.03,9.03,8.81,8.28,6.66,5.16,4.16,3.97,3.41,2.84,3.59,5.34,6.59,7.66,8.47,9.66,9.88,8.69,7.03,6.03,4.94,3.09,1.62,1.62,2.47,3.0,3.72,4.75,6.5,7.5,7.62,7.53,8.44,9.06,9.03,9.38,10.72,12.44,12.94,12.75,12.44,12.19,10.47,8.5,7.53,7.78,7.84,7.56,7.47,7.84,7.66,6.62,5.12,4.59,4.41,3.72,2.97,3.12,3.78,4.06,3.97,4.34,5.28,6.12,6.31,6.28,7.03,7.91,7.97,8.22,9.38,11.0,12.09,12.47,13.38,14.09,13.59,11.66,9.5,8.09,6.28,4.16,2.41,2.09,2.03,1.66,1.38,2.69,4.47,5.31,5.44,5.56,6.16,5.44,4.12,3.03,3.22,3.28,2.84,2.25,2.53,2.84,2.38,1.22,1.44,2.75,4.31,5.91,8.0,10.22,11.44,10.69,9.34,8.78,7.88,6.94,6.0,6.56,7.28,7.56,6.75,6.5,7.12,7.22,7.0,7.28,8.81,9.56,9.16,9.03,9.5,9.91,8.75,6.72,4.69,2.25,-1.41,-5.16,-7.19,-7.69,-7.69,-8.06,-7.91,-7.09,-6.53,-6.97,-6.81,-5.34,-2.91,-0.75,1.19,4.09,6.91,7.94,7.34,7.28,6.88,5.72,3.84,2.0,1.88,1.81,1.59,1.56,2.78,4.22,4.84,4.81,5.62,7.25,8.06,7.94,8.41,8.97,8.44,6.75,4.31,3.09,2.03,1.22,1.12,2.09,4.41,6.0,7.09,8.5,10.56,11.5,10.97,11.0,11.5,11.38,10.44,9.28,8.84,8.22,6.81,5.0,4.28,3.88,3.25,2.0,1.28,1.5,1.59,1.19,1.09,2.34,3.56,3.5,3.25,3.53,3.38,2.28,0.66,0.38,0.84,1.22,1.22,1.5,2.25,2.38,1.28,0.66,0.66,1.19,0.97,1.0,2.25,3.62,4.12,3.72,3.84,4.44,4.5,3.91,4.06,5.03,5.28,4.81,4.5,4.97,5.91,6.19,6.12,6.72,7.25,6.94,6.38,6.69,7.75,8.97,8.88,9.34,10.28,10.94,10.34,10.19,10.28,10.56,9.84,8.78,8.25,7.72,6.38,4.5,3.34,2.75,2.38,1.0,0.06,0.19,0.62,0.25,0.38,1.06,2.03,1.78,0.84,-0.03,-0.16,-0.34,-0.81,-0.03,1.59,3.09,3.59,3.56,4.19,4.75,3.62,2.66,2.34,2.81,2.91,3.03,4.06,5.44,6.38,5.94,5.72,5.66,5.28,4.09,3.25,3.38,4.03,3.94,3.78,4.53,5.84,6.41,6.16,6.03,5.56,4.03,1.31,-1.34:5.09,5.78,5.16,3.75,2.66,2.03,1.38,0.47,0.44,2.09,4.0,5.0,6.06,7.38,8.5,7.88,6.94,6.69,7.19,7.12,6.78,6.75,6.97,6.72,5.19,4.72,5.59,6.72,7.38,8.06,9.19,10.06,9.06,7.78,6.97,6.72,6.53,6.31,6.81,8.22,9.22,9.22,9.16,9.97,10.88,10.69,10.31,9.94,9.38,7.31,4.94,2.97,1.78,0.5,-1.19,-1.94,-1.28,-0.62,-0.66,-0.47,0.41,1.38,1.38,1.03,1.03,1.09,0.12,-1.81,-3.12,-3.38,-3.78,-4.53,-4.44,-2.88,-1.53,-1.19,-1.0,0.16,1.38,2.16,2.88,4.94,7.34,8.59,9.12,9.84,10.84,11.03,10.78,10.34,11.22,11.91,11.41,10.72,10.28,9.09,6.62,3.66,1.06,-0.81,-3.09,-4.66,-4.91,-3.47,-1.81,-1.0,-0.5,0.41,0.78,0.06,-1.12,-1.91,-2.69,-4.59,-7.25,-9.06,-9.81,-10.69,-11.56,-11.81,-11.06,-10.09,-10.03,-9.72,-8.34,-6.38,-5.12,-4.34,-2.38,-0.03,0.59,0.44,-0.12,-1.06,-3.0,-5.62,-7.59,-8.06,-7.97,-8.75,-9.06,-8.84,-8.41,-8.84,-9.38,-8.88,-7.88,-6.97,-6.06,-4.66,-2.44,-0.81,-0.41,-0.53,-0.03,0.31,-0.84,-2.34,-3.38,-3.81,-4.94,-6.25,-6.03,-5.06,-4.56,-4.25,-3.25,-0.84,1.53,3.41,5.16,8.16,10.56,11.34,11.03,10.5,9.22,6.88,4.03,2.12,1.28,0.31,-1.06,-1.44,-0.34,0.69,1.44,1.91,3.03,4.12,4.16,3.62,4.0,4.44,3.72,2.09,0.75,-0.12,-1.47,-3.38,-4.53,-4.69,-4.56,-4.84,-5.19,-4.34,-3.22,-2.44,-1.91,-0.91,-0.31,-0.16,-1.09,-1.03,0.16,1.31,1.66,1.5,1.38,0.62,-0.97,-3.06,-4.12,-4.62,-5.47,-6.16,-5.72,-4.47,-3.16,-2.44,-1.62,0.22,1.94,2.81,3.47,4.66,4.88,3.44,0.34,-2.44,-5.44,-8.78,-11.78,-13.38,-13.75,-14.34,-16.34,-18.5,-20.38,-22.47,-25.0,-26.0,-24.25,-20.97,-17.06,-12.72,-7.38,-2.72,0.66,1.91,2.12,2.03,1.06,-1.56,-3.56,-4.0,-3.81,-3.78,-3.72,-2.62,-1.5,-0.84,-0.56,0.38,2.0,2.78,2.06,1.12,0.0,-1.44,-3.31,-4.19,-3.03,-1.03,0.66,1.97,3.28,3.94,3.28,1.81,1.34,1.72,2.53,2.75,3.53,4.78,5.81,4.94,3.62,2.78,1.31,-1.66,-5.06,-8.09,-10.22,-12.25,-14.22,-14.19,-12.25,-9.75,-8.12,-6.38,-4.06,-2.12,-1.0,0.06,1.91,4.03,4.72,4.97,5.47,6.44,7.34,7.94,9.59,12.22,14.78,15.78,15.94,16.0,15.25,13.09,10.53,8.22,5.5,1.62,-3.47,-8.59,-13.22,-17.44,-21.16,-23.09,-23.03,-21.94,-21.12,-19.84,-17.5,-15.16,-13.56,-12.38,-10.03,-6.62,-3.59,-0.09,4.16,8.19,11.16,11.59,11.16,10.0,8.5,5.41,2.56,0.28,-1.47,-4.09,-6.97,-8.59,-9.56,-10.41,-10.97,-10.38,-8.97,-7.41,-7.19,-7.5,-7.47,-7.16,-7.78,-8.16,-7.09,-5.72,-4.94,-4.62,-4.09,-3.62,-4.03,-5.69,-7.31,-8.0,-8.69,-9.62,-10.09,-8.62,-6.75,-5.38,-4.25,-2.62,-0.91,0.34,1.06,2.5,4.12,4.94,4.25,3.12,1.78,0.09,-2.41,-4.53,-5.47,-5.12,-4.91,-4.56,-3.41,-1.5,0.28,1.38,3.38,6.28,8.44,9.5,10.0,10.19,9.81,7.78,5.28,2.84,0.69,-2.09,-5.34,-8.16,-9.5,-10.72,-12.12,-12.75,-12.5,-12.5,-13.72,-15.03,-15.81,-15.81,-15.84,-15.22,-13.44,-10.41,-8.0,-5.88,-3.75,-1.28,0.22,0.38,0.69,1.44,2.34,3.28,4.47,6.34,8.06,8.38,7.59,6.81,5.47,2.47,-2.06,-6.91,-11.44,-16.25,-20.81,-23.34,-24.28,-24.09,-23.62,-23.06,-21.19,-19.47,-18.53,-17.5,-16.28,-14.28,-12.03,-9.88,-7.47,-4.5,-1.94,-0.75,-0.41,-0.06,-0.47,-2.09,-4.56,-5.91,-6.62,-7.34,-8.34,-9.06,-9.31,-10.88,-13.19,-14.84,-15.19,-15.34,-15.41,-15.12,-13.69,-11.91,-10.81,-9.56,-8.03,-6.84,-6.28,-6.84,-7.22,-7.19,-7.34,-8.38,-9.56,-10.41,-11.41,-13.0,-14.31,-14.66,-14.16,-13.56,-13.16,-12.28,-10.72,-9.59,-9.44,-9.19,-8.19,-7.88,-8.5,-9.34,-8.78,-8.06,-7.62,-7.25,-6.22,-4.5,-3.16,-2.06,-0.62,1.12,2.22,2.12,1.69,1.94,2.19,1.66,1.0,1.06,1.16,0.47,-1.0,-2.47,-4.16,-6.22,-8.59,-10.56,-11.75,-12.62,-14.19,-15.47,-15.28,-14.47,-13.5,-12.53,-10.31,-8.03,-6.31,-5.06,-3.5,-1.62,-0.5,-0.16,-0.03,0.31,-0.03,-1.62,-3.25,-3.97,-4.41,-5.0,-5.59,-5.69,-5.84,-6.47,-7.59,-8.56,-8.69,-9.31,-10.97,-13.12,-14.84,-16.59,-18.62,-20.16,-19.78,-18.06,-16.19,-14.03,-11.5,-9.47,-8.53,-9.06,-9.91,-10.31,-10.5,-10.78,-10.16,-8.12,-5.53,-3.34,-1.47,0.31,1.56,1.91,0.94,0.47,0.44,0.41,-0.16,-0.31,0.09,0.19,-0.78,-2.5,-3.72,-5.25,-7.38,-9.72,-10.97,-11.19,-10.88,-10.47,-9.09,-6.69,-4.38,-3.56,-2.56,-1.12,0.16,1.12,2.34,4.78,7.88,10.28,11.72,13.03,13.62,13.06,11.22,9.38,7.78,6.09,3.53,0.97,0.06,-0.41,-0.81,-0.84,0.44,2.28,3.12,3.44,3.69,4.22,4.47,4.16,4.16,4.59,4.94,4.34,3.69,4.09,5.38,6.5,7.44,9.19,10.81,10.81,9.34,7.69,6.34,5.0,3.25,2.0,1.38,0.41,-1.19,-3.03,-3.75,-4.16,-4.59,-5.03,-4.59,-3.38,-2.28,-1.81,-0.78,0.59,2.03,2.5,3.16,4.41,5.91,6.12,6.16,6.75,8.06,9.09,9.91,11.47,12.94,13.28,11.66,9.81,8.0,6.31,4.31,2.56,1.5,1.34,0.12,-1.0,-0.91,0.03,0.53,0.81,1.56,2.81,3.91,4.28,5.06,5.88,7.12,7.41,7.69,8.81,10.28,10.91,10.81,10.75,10.62,9.66,7.56,5.94,5.06,4.69,4.12,4.03,5.25,7.31,8.69,9.88,11.19,12.88,13.53,13.53,14.03,14.88,15.25,14.19,12.94,12.09,10.72,8.41,6.16,4.94,4.03,2.75,1.88,1.66,2.03,2.19,1.81,1.62,2.38,2.41,1.0,-0.09,-0.62,-0.94,-1.66,-2.0,-1.78,-0.75,-0.5,-0.72,-0.38,0.94,1.59,1.66,2.09,3.16,3.66,3.06,2.75,3.59,5.06,5.75,6.84,8.69,10.47,11.22,11.09,10.94,10.88,10.12,8.81,7.75,7.66,7.84,7.19,6.69,6.94,7.5,6.94,6.38,6.5,7.69,8.34,8.56,9.19,10.25,10.69,10.03,9.03,8.81,8.28,6.66,5.16,4.16,3.97,3.41,2.84,3.59,5.34,6.59,7.66,8.47,9.66,9.88,8.69,7.03,6.03,4.94,3.09,1.62,1.62,2.47,3.0,3.72,4.75,6.5,7.5,7.62,7.53,8.44,9.06,9.03,9.38,10.72,12.44,12.94,12.75,12.44,12.19,10.47,8.5,7.53,7.78,7.84,7.56,7.47,7.84,7.66,6.62,5.12,4.59,4.41,3.72,2.97,3.12,3.78,4.06,3.97,4.34,5.28,6.12,6.31,6.28,7.03,7.91,7.97,8.22,9.38,11.0,12.09,12.47,13.38,14.09,13.59,11.66,9.5,8.09,6.28,4.16,2.41,2.09,2.03,1.66,1.38,2.69,4.47,5.31,5.44,5.56,6.16,5.44,4.12,3.03,3.22,3.28,2.84,2.25,2.53,2.84,2.38,1.22,1.44,2.75,4.31,5.91,8.0,10.22,11.44,10.69,9.34,8.78,7.88,6.94,6.0,6.56,7.28,7.56,6.75,6.5,7.12,7.22,7.0,7.28,8.81,9.56,9.16,9.03,9.5,9.91,8.75,6.72,4.69,2.25,-1.41,-5.16,-7.19,-7.69,-7.69,-8.06,-7.91,-7.09,-6.53,-6.97,-6.81,-5.34,-2.91,-0.75,1.19,4.09,6.91,7.94,7.34,7.28,6.88,5.72,3.84,2.0,1.88,1.81,1.59,1.56,2.78,4.22,4.84,4.81,5.62,7.25,8.06,7.94,8.41,8.97,8.44,6.75,4.31,3.09,2.03,1.22,1.12,2.09,4.41,6.0,7.09,8.5,10.56,11.5,10.97,11.0,11.5,11.38,10.44,9.28,8.84,8.22,6.81,5.0,4.28,3.88,3.25,2.0,1.28,1.5,1.59,1.19,1.09,2.34,3.56,3.5,3.25,3.53,3.38,2.28,0.66,0.38,0.84,1.22,1.22,1.5,2.25,2.38,1.28,0.66,0.66,1.19,0.97,1.0,2.25,3.62,4.12,3.72,3.84,4.44,4.5,3.91,4.06,5.03,5.28,4.81,4.5,4.97,5.91,6.19,6.12,6.72,7.25,6.94,6.38,6.69,7.75,8.97,8.88,9.34,10.28,10.94,10.34,10.19,10.28,10.56,9.84,8.78,8.25,7.72,6.38,4.5,3.34,2.75,2.38,1.0,0.06,0.19,0.62,0.25,0.38,1.06,2.03,1.78,0.84,-0.03,-0.16,-0.34,-0.81,-0.03,1.59,3.09,3.59,3.56,4.19,4.75,3.62,2.66,2.34,2.81,2.91,3.03,4.06,5.44,6.38,5.94,5.72,5.66,5.28,4.09,3.25,3.38,4.03,3.94,3.78,4.53,5.84,6.41,6.16,6.03,5.56,4.03,1.31,-1.34,32.31,32.56,33.44,34.84,36.88,38.66,40.06:0.47,0.44,2.09,4.0,5.0,6.06,7.38,8.5,7.88,6.94,6.69,7.19,7.12,6.78,6.75,6.97,6.72,5.19,4.72,5.59,6.72,7.38,8.06,9.19,10.06,9.06,7.78,6.97,6.72,6.53,6.31,6.81,8.22,9.22,9.22,9.16,9.97,10.88,10.69,10.31,9.94,9.38,7.31,4.94,2.97,1.78,0.5,-1.19,-1.94,-1.28,-0.62,-0.66,-0.47,0.41,1.38,1.38,1.03,1.03,1.09,0.12,-1.81,-3.12,-3.38,-3.78,-4.53,-4.44,-2.88,-1.53,-1.19,-1.0,0.16,1.38,2.16,2.88,4.94,7.34,8.59,9.12,9.84,10.84,11.03,10.78,10.34,11.22,11.91,11.41,10.72,10.28,9.09,6.62,3.66,1.06,-0.81,-3.09,-4.66,-4.91,-3.47,-1.81,-1.0,-0.5,0.41,0.78,0.06,-1.12,-1.91,-2.69,-4.59,-7.25,-9.06,-9.81,-10.69,-11.56,-11.81,-11.06,-10.09,-10.03,-9.72,-8.34,-6.38,-5.12,-4.34,-2.38,-0.03,0.59,0.44,-0.12,-1.06,-3.0,-5.62,-7.59,-8.06,-7.97,-8.75,-9.06,-8.84,-8.41,-8.84,-9.38,-8.88,-7.88,-6.97,-6.06,-4.66,-2.44,-0.81,-0.41,-0.53,-0.03,0.31,-0.84,-2.34,-3.38,-3.81,-4.94,-6.25,-6.03,-5.06,-4.56,-4.25,-3.25,-0.84,1.53,3.41,5.16,8.16,10.56,11.34,11.03,10.5,9.22,6.88,4.03,2.12,1.28,0.31,-1.06,-1.44,-0.34,0.69,1.44,1.91,3.03,4.12,4.16,3.62,4.0,4.44,3.72,2.09,0.75,-0.12,-1.47,-3.38,-4.53,-4.69,-4.56,-4.84,-5.19,-4.34,-3.22,-2.44,-1.91,-0.91,-0.31,-0.16,-1.09,-1.03,0.16,1.31,1.66,1.5,1.38,0.62,-0.97,-3.06,-4.12,-4.62,-5.47,-6.16,-5.72,-4.47,-3.16,-2.44,-1.62,0.22,1.94,2.81,3.47,4.66,4.88,3.44,0.34,-2.44,-5.44,-8.78,-11.78,-13.38,-13.75,-14.34,-16.34,-18.5,-20.38,-22.47,-25.0,-26.0,-24.25,-20.97,-17.06,-12.72,-7.38,-2.72,0.66,1.91,2.12,2.03,1.06,-1.56,-3.56,-4.0,-3.81,-3.78,-3.72,-2.62,-1.5,-0.84,-0.56,0.38,2.0,2.78,2.06,1.12,0.0,-1.44,-3.31,-4.19,-3.03,-1.03,0.66,1.97,3.28,3.94,3.28,1.81,1.34,1.72,2.53,2.75,3.53,4.78,5.81,4.94,3.62,2.78,1.31,-1.66,-5.06,-8.09,-10.22,-12.25,-14.22,-14.19,-12.25,-9.75,-8.12,-6.38,-4.06,-2.12,-1.0,0.06,1.91,4.03,4.72,4.97,5.47,6.44,7.34,7.94,9.59,12.22,14.78,15.78,15.94,16.0,15.25,13.09,10.53,8.22,5.5,1.62,-3.47,-8.59,-13.22,-17.44,-21.16,-23.09,-23.03,-21.94,-21.12,-19.84,-17.5,-15.16,-13.56,-12.38,-10.03,-6.62,-3.59,-0.09,4.16,8.19,11.16,11.59,11.16,10.0,8.5,5.41,2.56,0.28,-1.47,-4.09,-6.97,-8.59,-9.56,-10.41,-10.97,-10.38,-8.97,-7.41,-7.19,-7.5,-7.47,-7.16,-7.78,-8.16,-7.09,-5.72,-4.94,-4.62,-4.09,-3.62,-4.03,-5.69,-7.31,-8.0,-8.69,-9.62,-10.09,-8.62,-6.75,-5.38,-4.25,-2.62,-0.91,0.34,1.06,2.5,4.12,4.94,4.25,3.12,1.78,0.09,-2.41,-4.53,-5.47,-5.12,-4.91,-4.56,-3.41,-1.5,0.28,1.38,3.38,6.28,8.44,9.5,10.0,10.19,9.81,7.78,5.28,2.84,0.69,-2.09,-5.34,-8.16,-9.5,-10.72,-12.12,-12.75,-12.5,-12.5,-13.72,-15.03,-15.81,-15.81,-15.84,-15.22,-13.44,-10.41,-8.0,-5.88,-3.75,-1.28,0.22,0.38,0.69,1.44,2.34,3.28,4.47,6.34,8.06,8.38,7.59,6.81,5.47,2.47,-2.06,-6.91,-11.44,-16.25,-20.81,-23.34,-24.28,-24.09,-23.62,-23.06,-21.19,-19.47,-18.53,-17.5,-16.28,-14.28,-12.03,-9.88,-7.47,-4.5,-1.94,-0.75,-0.41,-0.06,-0.47,-2.09,-4.56,-5.91,-6.62,-7.34,-8.34,-9.06,-9.31,-10.88,-13.19,-14.84,-15.19,-15.34,-15.41,-15.12,-13.69,-11.91,-10.81,-9.56,-8.03,-6.84,-6.28,-6.84,-7.22,-7.19,-7.34,-8.38,-9.56,-10.41,-11.41,-13.0,-14.31,-14.66,-14.16,-13.56,-13.16,-12.28,-10.72,-9.59,-9.44,-9.19,-8.19,-7.88,-8.5,-9.34,-8.78,-8.06,-7.62,-7.25,-6.22,-4.5,-3.16,-2.06,-0.62,1.12,2.22,2.12,1.69,1.94,2.19,1.66,1.0,1.06,1.16,0.47,-1.0,-2.47,-4.16,-6.22,-8.59,-10.56,-11.75,-12.62,-14.19,-15.47,-15.28,-14.47,-13.5,-12.53,-10.31,-8.03,-6.31,-5.06,-3.5,-1.62,-0.5,-0.16,-0.03,0.31,-0.03,-1.62,-3.25,-3.97,-4.41,-5.0,-5.59,-5.69,-5.84,-6.47,-7.59,-8.56,-8.69,-9.31,-10.97,-13.12,-14.84,-16.59,-18.62,-20.16,-19.78,-18.06,-16.19,-14.03,-11.5,-9.47,-8.53,-9.06,-9.91,-10.31,-10.5,-10.78,-10.16,-8.12,-5.53,-3.34,-1.47,0.31,1.56,1.91,0.94,0.47,0.44,0.41,-0.16,-0.31,0.09,0.19,-0.78,-2.5,-3.72,-5.25,-7.38,-9.72,-10.97,-11.19,-10.88,-10.47,-9.09,-6.69,-4.38,-3.56,-2.56,-1.12,0.16,1.12,2.34,4.78,7.88,10.28,11.72,13.03,13.62,13.06,11.22,9.38,7.78,6.09,3.53,0.97,0.06,-0.41,-0.81,-0.84,0.44,2.28,3.12,3.44,3.69,4.22,4.47,4.16,4.16,4.59,4.94,4.34,3.69,4.09,5.38,6.5,7.44,9.19,10.81,10.81,9.34,7.69,6.34,5.0,3.25,2.0,1.38,0.41,-1.19,-3.03,-3.75,-4.16,-4.59,-5.03,-4.59,-3.38,-2.28,-1.81,-0.78,0.59,2.03,2.5,3.16,4.41,5.91,6.12,6.16,6.75,8.06,9.09,9.91,11.47,12.94,13.28,11.66,9.81,8.0,6.31,4.31,2.56,1.5,1.34,0.12,-1.0,-0.91,0.03,0.53,0.81,1.56,2.81,3.91,4.28,5.06,5.88,7.12,7.41,7.69,8.81,10.28,10.91,10.81,10.75,10.62,9.66,7.56,5.94,5.06,4.69,4.12,4.03,5.25,7.31,8.69,9.88,11.19,12.88,13.53,13.53,14.03,14.88,15.25,14.19,12.94,12.09,10.72,8.41,6.16,4.94,4.03,2.75,1.88,1.66,2.03,2.19,1.81,1.62,2.38,2.41,1.0,-0.09,-0.62,-0.94,-1.66,-2.0,-1.78,-0.75,-0.5,-0.72,-0.38,0.94,1.59,1.66,2.09,3.16,3.66,3.06,2.75,3.59,5.06,5.75,6.84,8.69,10.47,11.22,11.09,10.94,10.88,10.12,8.81,7.75,7.66,7.84,7.19,6.69,6.94,7.5,6.94,6.38,6.5,7.69,8.34,8.56,9.19,10.25,10.69,10.03,9.03,8.81,8.28,6.66,5.16,4.16,3.97,3.41,2.84,3.59,5.34,6.59,7.66,8.47,9.66,9.88,8.69,7.03,6.03,4.94,3.09,1.62,1.62,2.47,3.0,3.72,4.75,6.5,7.5,7.62,7.53,8.44,9.06,9.03,9.38,10.72,12.44,12.94,12.75,12.44,12.19,10.47,8.5,7.53,7.78,7.84,7.56,7.47,7.84,7.66,6.62,5.12,4.59,4.41,3.72,2.97,3.12,3.78,4.06,3.97,4.34,5.28,6.12,6.31,6.28,7.03,7.91,7.97,8.22,9.38,11.0,12.09,12.47,13.38,14.09,13.59,11.66,9.5,8.09,6.28,4.16,2.41,2.09,2.03,1.66,1.38,2.69,4.47,5.31,5.44,5.56,6.16,5.44,4.12,3.03,3.22,3.28,2.84,2.25,2.53,2.84,2.38,1.22,1.44,2.75,4.31,5.91,8.0,10.22,11.44,10.69,9.34,8.78,7.88,6.94,6.0,6.56,7.28,7.56,6.75,6.5,7.12,7.22,7.0,7.28,8.81,9.56,9.16,9.03,9.5,9.91,8.75,6.72,4.69,2.25,-1.41,-5.16,-7.19,-7.69,-7.69,-8.06,-7.91,-7.09,-6.53,-6.97,-6.81,-5.34,-2.91,-0.75,1.19,4.09,6.91,7.94,7.34,7.28,6.88,5.72,3.84,2.0,1.88,1.81,1.59,1.56,2.78,4.22,4.84,4.81,5.62,7.25,8.06,7.94,8.41,8.97,8.44,6.75,4.31,3.09,2.03,1.22,1.12,2.09,4.41,6.0,7.09,8.5,10.56,11.5,10.97,11.0,11.5,11.38,10.44,9.28,8.84,8.22,6.81,5.0,4.28,3.88,3.25,2.0,1.28,1.5,1.59,1.19,1.09,2.34,3.56,3.5,3.25,3.53,3.38,2.28,0.66,0.38,0.84,1.22,1.22,1.5,2.25,2.38,1.28,0.66,0.66,1.19,0.97,1.0,2.25,3.62,4.12,3.72,3.84,4.44,4.5,3.91,4.06,5.03,5.28,4.81,4.5,4.97,5.91,6.19,6.12,6.72,7.25,6.94,6.38,6.69,7.75,8.97,8.88,9.34,10.28,10.94,10.34,10.19,10.28,10.56,9.84,8.78,8.25,7.72,6.38,4.5,3.34,2.75,2.38,1.0,0.06,0.19,0.62,0.25,0.38,1.06,2.03,1.78,0.84,-0.03,-0.16,-0.34,-0.81,-0.03,1.59,3.09,3.59,3.56,4.19,4.75,3.62,2.66,2.34,2.81,2.91,3.03,4.06,5.44,6.38,5.94,5.72,5.66,5.28,4.09,3.25,3.38,4.03,3.94,3.78,4.53,5.84,6.41,6.16,6.03,5.56,4.03,1.31,-1.34,32.31,32.56,33.44,34.84,36.88,38.66,40.06,40.62,41.22,41.03,40.5,39.44,38.69,37.88:8.5,7.88,6.94,6.69,7.19,7.12,6.78,6.75,6.97,6.72,5.19,4.72,5.59,6.72,7.38,8.06,9.19,10.06,9.06,7.78,6.97,6.72,6.53,6.31,6.81,8.22,9.22,9.22,9.16,9.97,10.88,10.69,10.31,9.94,9.38,7.31,4.94,2.97,1.78,0.5,-1.19,-1.94,-1.28,-0.62,-0.66,-0.47,0.41,1.38,1.38,1.03,1.03,1.09,0.12,-1.81,-3.12,-3.38,-3.78,-4.53,-4.44,-2.88,-1.53,-1.19,-1.0,0.16,1.38,2.16,2.88,4.94,7.34,8.59,9.12,9.84,10.84,11.03,10.78,10.34,11.22,11.91,11.41,10.72,10.28,9.09,6.62,3.66,1.06,-0.81,-3.09,-4.66,-4.91,-3.47,-1.81,-1.0,-0.5,0.41,0.78,0.06,-1.12,-1.91,-2.69,-4.59,-7.25,-9.06,-9.81,-10.69,-11.56,-11.81,-11.06,-10.09,-10.03,-9.72,-8.34,-6.38,-5.12,-4.34,-2.38,-0.03,0.59,0.44,-0.12,-1.06,-3.0,-5.62,-7.59,-8.06,-7.97,-8.75,-9.06,-8.84,-8.41,-8.84,-9.38,-8.88,-7.88,-6.97,-6.06,-4.66,-2.44,-0.81,-0.41,-0.53,-0.03,0.31,-0.84,-2.34,-3.38,-3.81,-4.94,-6.25,-6.03,-5.06,-4.56,-4.25,-3.25,-0.84,1.53,3.41,5.16,8.16,10.56,11.34,11.03,10.5,9.22,6.88,4.03,2.12,1.28,0.31,-1.06,-1.44,-0.34,0.69,1.44,1.91,3.03,4.12,4.16,3.62,4.0,4.44,3.72,2.09,0.75,-0.12,-1.47,-3.38,-4.53,-4.69,-4.56,-4.84,-5.19,-4.34,-3.22,-2.44,-1.91,-0.91,-0.31,-0.16,-1.09,-1.03,0.16,1.31,1.66,1.5,1.38,0.62,-0.97,-3.06,-4.12,-4.62,-5.47,-6.16,-5.72,-4.47,-3.16,-2.44,-1.62,0.22,1.94,2.81,3.47,4.66,4.88,3.44,0.34,-2.44,-5.44,-8.78,-11.78,-13.38,-13.75,-14.34,-16.34,-18.5,-20.38,-22.47,-25.0,-26.0,-24.25,-20.97,-17.06,-12.72,-7.38,-2.72,0.66,1.91,2.12,2.03,1.06,-1.56,-3.56,-4.0,-3.81,-3.78,-3.72,-2.62,-1.5,-0.84,-0.56,0.38,2.0,2.78,2.06,1.12,0.0,-1.44,-3.31,-4.19,-3.03,-1.03,0.66,1.97,3.28,3.94,3.28,1.81,1.34,1.72,2.53,2.75,3.53,4.78,5.81,4.94,3.62,2.78,1.31,-1.66,-5.06,-8.09,-10.22,-12.25,-14.22,-14.19,-12.25,-9.75,-8.12,-6.38,-4.06,-2.12,-1.0,0.06,1.91,4.03,4.72,4.97,5.47,6.44,7.34,7.94,9.59,12.22,14.78,15.78,15.94,16.0,15.25,13.09,10.53,8.22,5.5,1.62,-3.47,-8.59,-13.22,-17.44,-21.16,-23.09,-23.03,-21.94,-21.12,-19.84,-17.5,-15.16,-13.56,-12.38,-10.03,-6.62,-3.59,-0.09,4.16,8.19,11.16,11.59,11.16,10.0,8.5,5.41,2.56,0.28,-1.47,-4.09,-6.97,-8.59,-9.56,-10.41,-10.97,-10.38,-8.97,-7.41,-7.19,-7.5,-7.47,-7.16,-7.78,-8.16,-7.09,-5.72,-4.94,-4.62,-4.09,-3.62,-4.03,-5.69,-7.31,-8.0,-8.69,-9.62,-10.09,-8.62,-6.75,-5.38,-4.25,-2.62,-0.91,0.34,1.06,2.5,4.12,4.94,4.25,3.12,1.78,0.09,-2.41,-4.53,-5.47,-5.12,-4.91,-4.56,-3.41,-1.5,0.28,1.38,3.38,6.28,8.44,9.5,10.0,10.19,9.81,7.78,5.28,2.84,0.69,-2.09,-5.34,-8.16,-9.5,-10.72,-12.12,-12.75,-12.5,-12.5,-13.72,-15.03,-15.81,-15.81,-15.84,-15.22,-13.44,-10.41,-8.0,-5.88,-3.75,-1.28,0.22,0.38,0.69,1.44,2.34,3.28,4.47,6.34,8.06,8.38,7.59,6.81,5.47,2.47,-2.06,-6.91,-11.44,-16.25,-20.81,-23.34,-24.28,-24.09,-23.62,-23.06,-21.19,-19.47,-18.53,-17.5,-16.28,-14.28,-12.03,-9.88,-7.47,-4.5,-1.94,-0.75,-0.41,-0.06,-0.47,-2.09,-4.56,-5.91,-6.62,-7.34,-8.34,-9.06,-9.31,-10.88,-13.19,-14.84,-15.19,-15.34,-15.41,-15.12,-13.69,-11.91,-10.81,-9.56,-8.03,-6.84,-6.28,-6.84,-7.22,-7.19,-7.34,-8.38,-9.56,-10.41,-11.41,-13.0,-14.31,-14.66,-14.16,-13.56,-13.16,-12.28,-10.72,-9.59,-9.44,-9.19,-8.19,-7.88,-8.5,-9.34,-8.78,-8.06,-7.62,-7.25,-6.22,-4.5,-3.16,-2.06,-0.62,1.12,2.22,2.12,1.69,1.94,2.19,1.66,1.0,1.06,1.16,0.47,-1.0,-2.47,-4.16,-6.22,-8.59,-10.56,-11.75,-12.62,-14.19,-15.47,-15.28,-14.47,-13.5,-12.53,-10.31,-8.03,-6.31,-5.06,-3.5,-1.62,-0.5,-0.16,-0.03,0.31,-0.03,-1.62,-3.25,-3.97,-4.41,-5.0,-5.59,-5.69,-5.84,-6.47,-7.59,-8.56,-8.69,-9.31,-10.97,-13.12,-14.84,-16.59,-18.62,-20.16,-19.78,-18.06,-16.19,-14.03,-11.5,-9.47,-8.53,-9.06,-9.91,-10.31,-10.5,-10.78,-10.16,-8.12,-5.53,-3.34,-1.47,0.31,1.56,1.91,0.94,0.47,0.44,0.41,-0.16,-0.31,0.09,0.19,-0.78,-2.5,-3.72,-5.25,-7.38,-9.72,-10.97,-11.19,-10.88,-10.47,-9.09,-6.69,-4.38,-3.56,-2.56,-1.12,0.16,1.12,2.34,4.78,7.88,10.28,11.72,13.03,13.62,13.06,11.22,9.38,7.78,6.09,3.53,0.97,0.06,-0.41,-0.81,-0.84,0.44,2.28,3.12,3.44,3.69,4.22,4.47,4.16,4.16,4.59,4.94,4.34,3.69,4.09,5.38,6.5,7.44,9.19,10.81,10.81,9.34,7.69,6.34,5.0,3.25,2.0,1.38,0.41,-1.19,-3.03,-3.75,-4.16,-4.59,-5.03,-4.59,-3.38,-2.28,-1.81,-0.78,0.59,2.03,2.5,3.16,4.41,5.91,6.12,6.16,6.75,8.06,9.09,9.91,11.47,12.94,13.28,11.66,9.81,8.0,6.31,4.31,2.56,1.5,1.34,0.12,-1.0,-0.91,0.03,0.53,0.81,1.56,2.81,3.91,4.28,5.06,5.88,7.12,7.41,7.69,8.81,10.28,10.91,10.81,10.75,10.62,9.66,7.56,5.94,5.06,4.69,4.12,4.03,5.25,7.31,8.69,9.88,11.19,12.88,13.53,13.53,14.03,14.88,15.25,14.19,12.94,12.09,10.72,8.41,6.16,4.94,4.03,2.75,1.88,1.66,2.03,2.19,1.81,1.62,2.38,2.41,1.0,-0.09,-0.62,-0.94,-1.66,-2.0,-1.78,-0.75,-0.5,-0.72,-0.38,0.94,1.59,1.66,2.09,3.16,3.66,3.06,2.75,3.59,5.06,5.75,6.84,8.69,10.47,11.22,11.09,10.94,10.88,10.12,8.81,7.75,7.66,7.84,7.19,6.69,6.94,7.5,6.94,6.38,6.5,7.69,8.34,8.56,9.19,10.25,10.69,10.03,9.03,8.81,8.28,6.66,5.16,4.16,3.97,3.41,2.84,3.59,5.34,6.59,7.66,8.47,9.66,9.88,8.69,7.03,6.03,4.94,3.09,1.62,1.62,2.47,3.0,3.72,4.75,6.5,7.5,7.62,7.53,8.44,9.06,9.03,9.38,10.72,12.44,12.94,12.75,12.44,12.19,10.47,8.5,7.53,7.78,7.84,7.56,7.47,7.84,7.66,6.62,5.12,4.59,4.41,3.72,2.97,3.12,3.78,4.06,3.97,4.34,5.28,6.12,6.31,6.28,7.03,7.91,7.97,8.22,9.38,11.0,12.09,12.47,13.38,14.09,13.59,11.66,9.5,8.09,6.28,4.16,2.41,2.09,2.03,1.66,1.38,2.69,4.47,5.31,5.44,5.56,6.16,5.44,4.12,3.03,3.22,3.28,2.84,2.25,2.53,2.84,2.38,1.22,1.44,2.75,4.31,5.91,8.0,10.22,11.44,10.69,9.34,8.78,7.88,6.94,6.0,6.56,7.28,7.56,6.75,6.5,7.12,7.22,7.0,7.28,8.81,9.56,9.16,9.03,9.5,9.91,8.75,6.72,4.69,2.25,-1.41,-5.16,-7.19,-7.69,-7.69,-8.06,-7.91,-7.09,-6.53,-6.97,-6.81,-5.34,-2.91,-0.75,1.19,4.09,6.91,7.94,7.34,7.28,6.88,5.72,3.84,2.0,1.88,1.81,1.59,1.56,2.78,4.22,4.84,4.81,5.62,7.25,8.06,7.94,8.41,8.97,8.44,6.75,4.31,3.09,2.03,1.22,1.12,2.09,4.41,6.0,7.09,8.5,10.56,11.5,10.97,11.0,11.5,11.38,10.44,9.28,8.84,8.22,6.81,5.0,4.28,3.88,3.25,2.0,1.28,1.5,1.59,1.19,1.09,2.34,3.56,3.5,3.25,3.53,3.38,2.28,0.66,0.38,0.84,1.22,1.22,1.5,2.25,2.38,1.28,0.66,0.66,1.19,0.97,1.0,2.25,3.62,4.12,3.72,3.84,4.44,4.5,3.91,4.06,5.03,5.28,4.81,4.5,4.97,5.91,6.19,6.12,6.72,7.25,6.94,6.38,6.69,7.75,8.97,8.88,9.34,10.28,10.94,10.34,10.19,10.28,10.56,9.84,8.78,8.25,7.72,6.38,4.5,3.34,2.75,2.38,1.0,0.06,0.19,0.62,0.25,0.38,1.06,2.03,1.78,0.84,-0.03,-0.16,-0.34,-0.81,-0.03,1.59,3.09,3.59,3.56,4.19,4.75,3.62,2.66,2.34,2.81,2.91,3.03,4.06,5.44,6.38,5.94,5.72,5.66,5.28,4.09,3.25,3.38,4.03,3.94,3.78,4.53,5.84,6.41,6.16,6.03,5.56,4.03,1.31,-1.34,32.31,32.56,33.44,34.84,36.88,38.66,40.06,40.62,41.22,41.03,40.5,39.44,38.69,37.88,37.03,37.12,37.41,38.5,39.31,39.66,39.75:6.75,6.97,6.72,5.19,4.72,5.59,6.72,7.38,8.06,9.19,10.06,9.06,7.78,6.97,6.72,6.53,6.31,6.81,8.22,9.22,9.22,9.16,9.97,10.88,10.69,10.31,9.94,9.38,7.31,4.94,2.97,1.78,0.5,-1.19,-1.94,-1.28,-0.62,-0.66,-0.47,0.41,1.38,1.38,1.03,1.03,1.09,0.12,-1.81,-3.12,-3.38,-3.78,-4.53,-4.44,-2.88,-1.53,-1.19,-1.0,0.16,1.38,2.16,2.88,4.94,7.34,8.59,9.12,9.84,10.84,11.03,10.78,10.34,11.22,11.91,11.41,10.72,10.28,9.09,6.62,3.66,1.06,-0.81,-3.09,-4.66,-4.91,-3.47,-1.81,-1.0,-0.5,0.41,0.78,0.06,-1.12,-1.91,-2.69,-4.59,-7.25,-9.06,-9.81,-10.69,-11.56,-11.81,-11.06,-10.09,-10.03,-9.72,-8.34,-6.38,-5.12,-4.34,-2.38,-0.03,0.59,0.44,-0.12,-1.06,-3.0,-5.62,-7.59,-8.06,-7.97,-8.75,-9.06,-8.84,-8.41,-8.84,-9.38,-8.88,-7.88,-6.97,-6.06,-4.66,-2.44,-0.81,-0.41,-0.53,-0.03,0.31,-0.84,-2.34,-3.38,-3.81,-4.94,-6.25,-6.03,-5.06,-4.56,-4.25,-3.25,-0.84,1.53,3.41,5.16,8.16,10.56,11.34,11.03,10.5,9.22,6.88,4.03,2.12,1.28,0.31,-1.06,-1.44,-0.34,0.69,1.44,1.91,3.03,4.12,4.16,3.62,4.0,4.44,3.72,2.09,0.75,-0.12,-1.47,-3.38,-4.53,-4.69,-4.56,-4.84,-5.19,-4.34,-3.22,-2.44,-1.91,-0.91,-0.31,-0.16,-1.09,-1.03,0.16,1.31,1.66,1.5,1.38,0.62,-0.97,-3.06,-4.12,-4.62,-5.47,-6.16,-5.72,-4.47,-3.16,-2.44,-1.62,0.22,1.94,2.81,3.47,4.66,4.88,3.44,0.34,-2.44,-5.44,-8.78,-11.78,-13.38,-13.75,-14.34,-16.34,-18.5,-20.38,-22.47,-25.0,-26.0,-24.25,-20.97,-17.06,-12.72,-7.38,-2.72,0.66,1.91,2.12,2.03,1.06,-1.56,-3.56,-4.0,-3.81,-3.78,-3.72,-2.62,-1.5,-0.84,-0.56,0.38,2.0,2.78,2.06,1.12,0.0,-1.44,-3.31,-4.19,-3.03,-1.03,0.66,1.97,3.28,3.94,3.28,1.81,1.34,1.72,2.53,2.75,3.53,4.78,5.81,4.94,3.62,2.78,1.31,-1.66,-5.06,-8.09,-10.22,-12.25,-14.22,-14.19,-12.25,-9.75,-8.12,-6.38,-4.06,-2.12,-1.0,0.06,1.91,4.03,4.72,4.97,5.47,6.44,7.34,7.94,9.59,12.22,14.78,15.78,15.94,16.0,15.25,13.09,10.53,8.22,5.5,1.62,-3.47,-8.59,-13.22,-17.44,-21.16,-23.09,-23.03,-21.94,-21.12,-19.84,-17.5,-15.16,-13.56,-12.38,-10.03,-6.62,-3.59,-0.09,4.16,8.19,11.16,11.59,11.16,10.0,8.5,5.41,2.56,0.28,-1.47,-4.09,-6.97,-8.59,-9.56,-10.41,-10.97,-10.38,-8.97,-7.41,-7.19,-7.5,-7.47,-7.16,-7.78,-8.16,-7.09,-5.72,-4.94,-4.62,-4.09,-3.62,-4.03,-5.69,-7.31,-8.0,-8.69,-9.62,-10.09,-8.62,-6.75,-5.38,-4.25,-2.62,-0.91,0.34,1.06,2.5,4.12,4.94,4.25,3.12,1.78,0.09,-2.41,-4.53,-5.47,-5.12,-4.91,-4.56,-3.41,-1.5,0.28,1.38,3.38,6.28,8.44,9.5,10.0,10.19,9.81,7.78,5.28,2.84,0.69,-2.09,-5.34,-8.16,-9.5,-10.72,-12.12,-12.75,-12.5,-12.5,-13.72,-15.03,-15.81,-15.81,-15.84,-15.22,-13.44,-10.41,-8.0,-5.88,-3.75,-1.28,0.22,0.38,0.69,1.44,2.34,3.28,4.47,6.34,8.06,8.38,7.59,6.81,5.47,2.47,-2.06,-6.91,-11.44,-16.25,-20.81,-23.34,-24.28,-24.09,-23.62,-23.06,-21.19,-19.47,-18.53,-17.5,-16.28,-14.28,-12.03,-9.88,-7.47,-4.5,-1.94,-0.75,-0.41,-0.06,-0.47,-2.09,-4.56,-5.91,-6.62,-7.34,-8.34,-9.06,-9.31,-10.88,-13.19,-14.84,-15.19,-15.34,-15.41,-15.12,-13.69,-11.91,-10.81,-9.56,-8.03,-6.84,-6.28,-6.84,-7.22,-7.19,-7.34,-8.38,-9.56,-10.41,-11.41,-13.0,-14.31,-14.66,-14.16,-13.56,-13.16,-12.28,-10.72,-9.59,-9.44,-9.19,-8.19,-7.88,-8.5,-9.34,-8.78,-8.06,-7.62,-7.25,-6.22,-4.5,-3.16,-2.06,-0.62,1.12,2.22,2.12,1.69,1.94,2.19,1.66,1.0,1.06,1.16,0.47,-1.0,-2.47,-4.16,-6.22,-8.59,-10.56,-11.75,-12.62,-14.19,-15.47,-15.28,-14.47,-13.5,-12.53,-10.31,-8.03,-6.31,-5.06,-3.5,-1.62,-0.5,-0.16,-0.03,0.31,-0.03,-1.62,-3.25,-3.97,-4.41,-5.0,-5.59,-5.69,-5.84,-6.47,-7.59,-8.56,-8.69,-9.31,-10.97,-13.12,-14.84,-16.59,-18.62,-20.16,-19.78,-18.06,-16.19,-14.03,-11.5,-9.47,-8.53,-9.06,-9.91,-10.31,-10.5,-10.78,-10.16,-8.12,-5.53,-3.34,-1.47,0.31,1.56,1.91,0.94,0.47,0.44,0.41,-0.16,-0.31,0.09,0.19,-0.78,-2.5,-3.72,-5.25,-7.38,-9.72,-10.97,-11.19,-10.88,-10.47,-9.09,-6.69,-4.38,-3.56,-2.56,-1.12,0.16,1.12,2.34,4.78,7.88,10.28,11.72,13.03,13.62,13.06,11.22,9.38,7.78,6.09,3.53,0.97,0.06,-0.41,-0.81,-0.84,0.44,2.28,3.12,3.44,3.69,4.22,4.47,4.16,4.16,4.59,4.94,4.34,3.69,4.09,5.38,6.5,7.44,9.19,10.81,10.81,9.34,7.69,6.34,5.0,3.25,2.0,1.38,0.41,-1.19,-3.03,-3.75,-4.16,-4.59,-5.03,-4.59,-3.38,-2.28,-1.81,-0.78,0.59,2.03,2.5,3.16,4.41,5.91,6.12,6.16,6.75,8.06,9.09,9.91,11.47,12.94,13.28,11.66,9.81,8.0,6.31,4.31,2.56,1.5,1.34,0.12,-1.0,-0.91,0.03,0.53,0.81,1.56,2.81,3.91,4.28,5.06,5.88,7.12,7.41,7.69,8.81,10.28,10.91,10.81,10.75,10.62,9.66,7.56,5.94,5.06,4.69,4.12,4.03,5.25,7.31,8.69,9.88,11.19,12.88,13.53,13.53,14.03,14.88,15.25,14.19,12.94,12.09,10.72,8.41,6.16,4.94,4.03,2.75,1.88,1.66,2.03,2.19,1.81,1.62,2.38,2.41,1.0,-0.09,-0.62,-0.94,-1.66,-2.0,-1.78,-0.75,-0.5,-0.72,-0.38,0.94,1.59,1.66,2.09,3.16,3.66,3.06,2.75,3.59,5.06,5.75,6.84,8.69,10.47,11.22,11.09,10.94,10.88,10.12,8.81,7.75,7.66,7.84,7.19,6.69,6.94,7.5,6.94,6.38,6.5,7.69,8.34,8.56,9.19,10.25,10.69,10.03,9.03,8.81,8.28,6.66,5.16,4.16,3.97,3.41,2.84,3.59,5.34,6.59,7.66,8.47,9.66,9.88,8.69,7.03,6.03,4.94,3.09,1.62,1.62,2.47,3.0,3.72,4.75,6.5,7.5,7.62,7.53,8.44,9.06,9.03,9.38,10.72,12.44,12.94,12.75,12.44,12.19,10.47,8.5,7.53,7.78,7.84,7.56,7.47,7.84,7.66,6.62,5.12,4.59,4.41,3.72,2.97,3.12,3.78,4.06,3.97,4.34,5.28,6.12,6.31,6.28,7.03,7.91,7.97,8.22,9.38,11.0,12.09,12.47,13.38,14.09,13.59,11.66,9.5,8.09,6.28,4.16,2.41,2.09,2.03,1.66,1.38,2.69,4.47,5.31,5.44,5.56,6.16,5.44,4.12,3.03,3.22,3.28,2.84,2.25,2.53,2.84,2.38,1.22,1.44,2.75,4.31,5.91,8.0,10.22,11.44,10.69,9.34,8.78,7.88,6.94,6.0,6.56,7.28,7.56,6.75,6.5,7.12,7.22,7.0,7.28,8.81,9.56,9.16,9.03,9.5,9.91,8.75,6.72,4.69,2.25,-1.41,-5.16,-7.19,-7.69,-7.69,-8.06,-7.91,-7.09,-6.53,-6.97,-6.81,-5.34,-2.91,-0.75,1.19,4.09,6.91,7.94,7.34,7.28,6.88,5.72,3.84,2.0,1.88,1.81,1.59,1.56,2.78,4.22,4.84,4.81,5.62,7.25,8.06,7.94,8.41,8.97,8.44,6.75,4.31,3.09,2.03,1.22,1.12,2.09,4.41,6.0,7.09,8.5,10.56,11.5,10.97,11.0,11.5,11.38,10.44,9.28,8.84,8.22,6.81,5.0,4.28,3.88,3.25,2.0,1.28,1.5,1.59,1.19,1.09,2.34,3.56,3.5,3.25,3.53,3.38,2.28,0.66,0.38,0.84,1.22,1.22,1.5,2.25,2.38,1.28,0.66,0.66,1.19,0.97,1.0,2.25,3.62,4.12,3.72,3.84,4.44,4.5,3.91,4.06,5.03,5.28,4.81,4.5,4.97,5.91,6.19,6.12,6.72,7.25,6.94,6.38,6.69,7.75,8.97,8.88,9.34,10.28,10.94,10.34,10.19,10.28,10.56,9.84,8.78,8.25,7.72,6.38,4.5,3.34,2.75,2.38,1.0,0.06,0.19,0.62,0.25,0.38,1.06,2.03,1.78,0.84,-0.03,-0.16,-0.34,-0.81,-0.03,1.59,3.09,3.59,3.56,4.19,4.75,3.62,2.66,2.34,2.81,2.91,3.03,4.06,5.44,6.38,5.94,5.72,5.66,5.28,4.09,3.25,3.38,4.03,3.94,3.78,4.53,5.84,6.41,6.16,6.03,5.56,4.03,1.31,-1.34,32.31,32.56,33.44,34.84,36.88,38.66,40.06,40.62,41.22,41.03,40.5,39.44,38.69,37.88,37.03,37.12,37.41,38.5,39.31,39.66,39.75,39.31,38.12,36.5,34.72,33.75,33.31,32.91:7.38,8.06,9.19,10.06,9.06,7.78,6.97,6.72,6.53,6.31,6.81,8.22,9.22,9.22,9.16,9.97,10.88,10.69,10.31,9.94,9.38,7.31,4.94,2.97,1.78,0.5,-1.19,-1.94,-1.28,-0.62,-0.66,-0.47,0.41,1.38,1.38,1.03,1.03,1.09,0.12,-1.81,-3.12,-3.38,-3.78,-4.53,-4.44,-2.88,-1.53,-1.19,-1.0,0.16,1.38,2.16,2.88,4.94,7.34,8.59,9.12,9.84,10.84,11.03,10.78,10.34,11.22,11.91,11.41,10.72,10.28,9.09,6.62,3.66,1.06,-0.81,-3.09,-4.66,-4.91,-3.47,-1.81,-1.0,-0.5,0.41,0.78,0.06,-1.12,-1.91,-2.69,-4.59,-7.25,-9.06,-9.81,-10.69,-11.56,-11.81,-11.06,-10.09,-10.03,-9.72,-8.34,-6.38,-5.12,-4.34,-2.38,-0.03,0.59,0.44,-0.12,-1.06,-3.0,-5.62,-7.59,-8.06,-7.97,-8.75,-9.06,-8.84,-8.41,-8.84,-9.38,-8.88,-7.88,-6.97,-6.06,-4.66,-2.44,-0.81,-0.41,-0.53,-0.03,0.31,-0.84,-2.34,-3.38,-3.81,-4.94,-6.25,-6.03,-5.06,-4.56,-4.25,-3.25,-0.84,1.53,3.41,5.16,8.16,10.56,11.34,11.03,10.5,9.22,6.88,4.03,2.12,1.28,0.31,-1.06,-1.44,-0.34,0.69,1.44,1.91,3.03,4.12,4.16,3.62,4.0,4.44,3.72,2.09,0.75,-0.12,-1.47,-3.38,-4.53,-4.69,-4.56,-4.84,-5.19,-4.34,-3.22,-2.44,-1.91,-0.91,-0.31,-0.16,-1.09,-1.03,0.16,1.31,1.66,1.5,1.38,0.62,-0.97,-3.06,-4.12,-4.62,-5.47,-6.16,-5.72,-4.47,-3.16,-2.44,-1.62,0.22,1.94,2.81,3.47,4.66,4.88,3.44,0.34,-2.44,-5.44,-8.78,-11.78,-13.38,-13.75,-14.34,-16.34,-18.5,-20.38,-22.47,-25.0,-26.0,-24.25,-20.97,-17.06,-12.72,-7.38,-2.72,0.66,1.91,2.12,2.03,1.06,-1.56,-3.56,-4.0,-3.81,-3.78,-3.72,-2.62,-1.5,-0.84,-0.56,0.38,2.0,2.78,2.06,1.12,0.0,-1.44,-3.31,-4.19,-3.03,-1.03,0.66,1.97,3.28,3.94,3.28,1.81,1.34,1.72,2.53,2.75,3.53,4.78,5.81,4.94,3.62,2.78,1.31,-1.66,-5.06,-8.09,-10.22,-12.25,-14.22,-14.19,-12.25,-9.75,-8.12,-6.38,-4.06,-2.12,-1.0,0.06,1.91,4.03,4.72,4.97,5.47,6.44,7.34,7.94,9.59,12.22,14.78,15.78,15.94,16.0,15.25,13.09,10.53,8.22,5.5,1.62,-3.47,-8.59,-13.22,-17.44,-21.16,-23.09,-23.03,-21.94,-21.12,-19.84,-17.5,-15.16,-13.56,-12.38,-10.03,-6.62,-3.59,-0.09,4.16,8.19,11.16,11.59,11.16,10.0,8.5,5.41,2.56,0.28,-1.47,-4.09,-6.97,-8.59,-9.56,-10.41,-10.97,-10.38,-8.97,-7.41,-7.19,-7.5,-7.47,-7.16,-7.78,-8.16,-7.09,-5.72,-4.94,-4.62,-4.09,-3.62,-4.03,-5.69,-7.31,-8.0,-8.69,-9.62,-10.09,-8.62,-6.75,-5.38,-4.25,-2.62,-0.91,0.34,1.06,2.5,4.12,4.94,4.25,3.12,1.78,0.09,-2.41,-4.53,-5.47,-5.12,-4.91,-4.56,-3.41,-1.5,0.28,1.38,3.38,6.28,8.44,9.5,10.0,10.19,9.81,7.78,5.28,2.84,0.69,-2.09,-5.34,-8.16,-9.5,-10.72,-12.12,-12.75,-12.5,-12.5,-13.72,-15.03,-15.81,-15.81,-15.84,-15.22,-13.44,-10.41,-8.0,-5.88,-3.75,-1.28,0.22,0.38,0.69,1.44,2.34,3.28,4.47,6.34,8.06,8.38,7.59,6.81,5.47,2.47,-2.06,-6.91,-11.44,-16.25,-20.81,-23.34,-24.28,-24.09,-23.62,-23.06,-21.19,-19.47,-18.53,-17.5,-16.28,-14.28,-12.03,-9.88,-7.47,-4.5,-1.94,-0.75,-0.41,-0.06,-0.47,-2.09,-4.56,-5.91,-6.62,-7.34,-8.34,-9.06,-9.31,-10.88,-13.19,-14.84,-15.19,-15.34,-15.41,-15.12,-13.69,-11.91,-10.81,-9.56,-8.03,-6.84,-6.28,-6.84,-7.22,-7.19,-7.34,-8.38,-9.56,-10.41,-11.41,-13.0,-14.31,-14.66,-14.16,-13.56,-13.16,-12.28,-10.72,-9.59,-9.44,-9.19,-8.19,-7.88,-8.5,-9.34,-8.78,-8.06,-7.62,-7.25,-6.22,-4.5,-3.16,-2.06,-0.62,1.12,2.22,2.12,1.69,1.94,2.19,1.66,1.0,1.06,1.16,0.47,-1.0,-2.47,-4.16,-6.22,-8.59,-10.56,-11.75,-12.62,-14.19,-15.47,-15.28,-14.47,-13.5,-12.53,-10.31,-8.03,-6.31,-5.06,-3.5,-1.62,-0.5,-0.16,-0.03,0.31,-0.03,-1.62,-3.25,-3.97,-4.41,-5.0,-5.59,-5.69,-5.84,-6.47,-7.59,-8.56,-8.69,-9.31,-10.97,-13.12,-14.84,-16.59,-18.62,-20.16,-19.78,-18.06,-16.19,-14.03,-11.5,-9.47,-8.53,-9.06,-9.91,-10.31,-10.5,-10.78,-10.16,-8.12,-5.53,-3.34,-1.47,0.31,1.56,1.91,0.94,0.47,0.44,0.41,-0.16,-0.31,0.09,0.19,-0.78,-2.5,-3.72,-5.25,-7.38,-9.72,-10.97,-11.19,-10.88,-10.47,-9.09,-6.69,-4.38,-3.56,-2.56,-1.12,0.16,1.12,2.34,4.78,7.88,10.28,11.72,13.03,13.62,13.06,11.22,9.38,7.78,6.09,3.53,0.97,0.06,-0.41,-0.81,-0.84,0.44,2.28,3.12,3.44,3.69,4.22,4.47,4.16,4.16,4.59,4.94,4.34,3.69,4.09,5.38,6.5,7.44,9.19,10.81,10.81,9.34,7.69,6.34,5.0,3.25,2.0,1.38,0.41,-1.19,-3.03,-3.75,-4.16,-4.59,-5.03,-4.59,-3.38,-2.28,-1.81,-0.78,0.59,2.03,2.5,3.16,4.41,5.91,6.12,6.16,6.75,8.06,9.09,9.91,11.47,12.94,13.28,11.66,9.81,8.0,6.31,4.31,2.56,1.5,1.34,0.12,-1.0,-0.91,0.03,0.53,0.81,1.56,2.81,3.91,4.28,5.06,5.88,7.12,7.41,7.69,8.81,10.28,10.91,10.81,10.75,10.62,9.66,7.56,5.94,5.06,4.69,4.12,4.03,5.25,7.31,8.69,9.88,11.19,12.88,13.53,13.53,14.03,14.88,15.25,14.19,12.94,12.09,10.72,8.41,6.16,4.94,4.03,2.75,1.88,1.66,2.03,2.19,1.81,1.62,2.38,2.41,1.0,-0.09,-0.62,-0.94,-1.66,-2.0,-1.78,-0.75,-0.5,-0.72,-0.38,0.94,1.59,1.66,2.09,3.16,3.66,3.06,2.75,3.59,5.06,5.75,6.84,8.69,10.47,11.22,11.09,10.94,10.88,10.12,8.81,7.75,7.66,7.84,7.19,6.69,6.94,7.5,6.94,6.38,6.5,7.69,8.34,8.56,9.19,10.25,10.69,10.03,9.03,8.81,8.28,6.66,5.16,4.16,3.97,3.41,2.84,3.59,5.34,6.59,7.66,8.47,9.66,9.88,8.69,7.03,6.03,4.94,3.09,1.62,1.62,2.47,3.0,3.72,4.75,6.5,7.5,7.62,7.53,8.44,9.06,9.03,9.38,10.72,12.44,12.94,12.75,12.44,12.19,10.47,8.5,7.53,7.78,7.84,7.56,7.47,7.84,7.66,6.62,5.12,4.59,4.41,3.72,2.97,3.12,3.78,4.06,3.97,4.34,5.28,6.12,6.31,6.28,7.03,7.91,7.97,8.22,9.38,11.0,12.09,12.47,13.38,14.09,13.59,11.66,9.5,8.09,6.28,4.16,2.41,2.09,2.03,1.66,1.38,2.69,4.47,5.31,5.44,5.56,6.16,5.44,4.12,3.03,3.22,3.28,2.84,2.25,2.53,2.84,2.38,1.22,1.44,2.75,4.31,5.91,8.0,10.22,11.44,10.69,9.34,8.78,7.88,6.94,6.0,6.56,7.28,7.56,6.75,6.5,7.12,7.22,7.0,7.28,8.81,9.56,9.16,9.03,9.5,9.91,8.75,6.72,4.69,2.25,-1.41,-5.16,-7.19,-7.69,-7.69,-8.06,-7.91,-7.09,-6.53,-6.97,-6.81,-5.34,-2.91,-0.75,1.19,4.09,6.91,7.94,7.34,7.28,6.88,5.72,3.84,2.0,1.88,1.81,1.59,1.56,2.78,4.22,4.84,4.81,5.62,7.25,8.06,7.94,8.41,8.97,8.44,6.75,4.31,3.09,2.03,1.22,1.12,2.09,4.41,6.0,7.09,8.5,10.56,11.5,10.97,11.0,11.5,11.38,10.44,9.28,8.84,8.22,6.81,5.0,4.28,3.88,3.25,2.0,1.28,1.5,1.59,1.19,1.09,2.34,3.56,3.5,3.25,3.53,3.38,2.28,0.66,0.38,0.84,1.22,1.22,1.5,2.25,2.38,1.28,0.66,0.66,1.19,0.97,1.0,2.25,3.62,4.12,3.72,3.84,4.44,4.5,3.91,4.06,5.03,5.28,4.81,4.5,4.97,5.91,6.19,6.12,6.72,7.25,6.94,6.38,6.69,7.75,8.97,8.88,9.34,10.28,10.94,10.34,10.19,10.28,10.56,9.84,8.78,8.25,7.72,6.38,4.5,3.34,2.75,2.38,1.0,0.06,0.19,0.62,0.25,0.38,1.06,2.03,1.78,0.84,-0.03,-0.16,-0.34,-0.81,-0.03,1.59,3.09,3.59,3.56,4.19,4.75,3.62,2.66,2.34,2.81,2.91,3.03,4.06,5.44,6.38,5.94,5.72,5.66,5.28,4.09,3.25,3.38,4.03,3.94,3.78,4.53,5.84,6.41,6.16,6.03,5.56,4.03,1.31,-1.34,32.31,32.56,33.44,34.84,36.88,38.66,40.06,40.62,41.22,41.03,40.5,39.44,38.69,37.88,37.03,37.12,37.41,38.5,39.31,39.66,39.75,39.31,38.12,36.5,34.72,33.75,33.31,32.91,33.06,33.31,33.19,32.5,31.56,30.97,30.78:6.72,6.53,6.31,6.81,8.22,9.22,9.22,9.16,9.97,10.88,10.69,10.31,9.94,9.38,7.31,4.94,2.97,1.78,0.5,-1.19,-1.94,-1.28,-0.62,-0.66,-0.47,0.41,1.38,1.38,1.03,1.03,1.09,0.12,-1.81,-3.12,-3.38,-3.78,-4.53,-4.44,-2.88,-1.53,-1.19,-1.0,0.16,1.38,2.16,2.88,4.94,7.34,8.59,9.12,9.84,10.84,11.03,10.78,10.34,11.22,11.91,11.41,10.72,10.28,9.09,6.62,3.66,1.06,-0.81,-3.09,-4.66,-4.91,-3.47,-1.81,-1.0,-0.5,0.41,0.78,0.06,-1.12,-1.91,-2.69,-4.59,-7.25,-9.06,-9.81,-10.69,-11.56,-11.81,-11.06,-10.09,-10.03,-9.72,-8.34,-6.38,-5.12,-4.34,-2.38,-0.03,0.59,0.44,-0.12,-1.06,-3.0,-5.62,-7.59,-8.06,-7.97,-8.75,-9.06,-8.84,-8.41,-8.84,-9.38,-8.88,-7.88,-6.97,-6.06,-4.66,-2.44,-0.81,-0.41,-0.53,-0.03,0.31,-0.84,-2.34,-3.38,-3.81,-4.94,-6.25,-6.03,-5.06,-4.56,-4.25,-3.25,-0.84,1.53,3.41,5.16,8.16,10.56,11.34,11.03,10.5,9.22,6.88,4.03,2.12,1.28,0.31,-1.06,-1.44,-0.34,0.69,1.44,1.91,3.03,4.12,4.16,3.62,4.0,4.44,3.72,2.09,0.75,-0.12,-1.47,-3.38,-4.53,-4.69,-4.56,-4.84,-5.19,-4.34,-3.22,-2.44,-1.91,-0.91,-0.31,-0.16,-1.09,-1.03,0.16,1.31,1.66,1.5,1.38,0.62,-0.97,-3.06,-4.12,-4.62,-5.47,-6.16,-5.72,-4.47,-3.16,-2.44,-1.62,0.22,1.94,2.81,3.47,4.66,4.88,3.44,0.34,-2.44,-5.44,-8.78,-11.78,-13.38,-13.75,-14.34,-16.34,-18.5,-20.38,-22.47,-25.0,-26.0,-24.25,-20.97,-17.06,-12.72,-7.38,-2.72,0.66,1.91,2.12,2.03,1.06,-1.56,-3.56,-4.0,-3.81,-3.78,-3.72,-2.62,-1.5,-0.84,-0.56,0.38,2.0,2.78,2.06,1.12,0.0,-1.44,-3.31,-4.19,-3.03,-1.03,0.66,1.97,3.28,3.94,3.28,1.81,1.34,1.72,2.53,2.75,3.53,4.78,5.81,4.94,3.62,2.78,1.31,-1.66,-5.06,-8.09,-10.22,-12.25,-14.22,-14.19,-12.25,-9.75,-8.12,-6.38,-4.06,-2.12,-1.0,0.06,1.91,4.03,4.72,4.97,5.47,6.44,7.34,7.94,9.59,12.22,14.78,15.78,15.94,16.0,15.25,13.09,10.53,8.22,5.5,1.62,-3.47,-8.59,-13.22,-17.44,-21.16,-23.09,-23.03,-21.94,-21.12,-19.84,-17.5,-15.16,-13.56,-12.38,-10.03,-6.62,-3.59,-0.09,4.16,8.19,11.16,11.59,11.16,10.0,8.5,5.41,2.56,0.28,-1.47,-4.09,-6.97,-8.59,-9.56,-10.41,-10.97,-10.38,-8.97,-7.41,-7.19,-7.5,-7.47,-7.16,-7.78,-8.16,-7.09,-5.72,-4.94,-4.62,-4.09,-3.62,-4.03,-5.69,-7.31,-8.0,-8.69,-9.62,-10.09,-8.62,-6.75,-5.38,-4.25,-2.62,-0.91,0.34,1.06,2.5,4.12,4.94,4.25,3.12,1.78,0.09,-2.41,-4.53,-5.47,-5.12,-4.91,-4.56,-3.41,-1.5,0.28,1.38,3.38,6.28,8.44,9.5,10.0,10.19,9.81,7.78,5.28,2.84,0.69,-2.09,-5.34,-8.16,-9.5,-10.72,-12.12,-12.75,-12.5,-12.5,-13.72,-15.03,-15.81,-15.81,-15.84,-15.22,-13.44,-10.41,-8.0,-5.88,-3.75,-1.28,0.22,0.38,0.69,1.44,2.34,3.28,4.47,6.34,8.06,8.38,7.59,6.81,5.47,2.47,-2.06,-6.91,-11.44,-16.25,-20.81,-23.34,-24.28,-24.09,-23.62,-23.06,-21.19,-19.47,-18.53,-17.5,-16.28,-14.28,-12.03,-9.88,-7.47,-4.5,-1.94,-0.75,-0.41,-0.06,-0.47,-2.09,-4.56,-5.91,-6.62,-7.34,-8.34,-9.06,-9.31,-10.88,-13.19,-14.84,-15.19,-15.34,-15.41,-15.12,-13.69,-11.91,-10.81,-9.56,-8.03,-6.84,-6.28,-6.84,-7.22,-7.19,-7.34,-8.38,-9.56,-10.41,-11.41,-13.0,-14.31,-14.66,-14.16,-13.56,-13.16,-12.28,-10.72,-9.59,-9.44,-9.19,-8.19,-7.88,-8.5,-9.34,-8.78,-8.06,-7.62,-7.25,-6.22,-4.5,-3.16,-2.06,-0.62,1.12,2.22,2.12,1.69,1.94,2.19,1.66,1.0,1.06,1.16,0.47,-1.0,-2.47,-4.16,-6.22,-8.59,-10.56,-11.75,-12.62,-14.19,-15.47,-15.28,-14.47,-13.5,-12.53,-10.31,-8.03,-6.31,-5.06,-3.5,-1.62,-0.5,-0.16,-0.03,0.31,-0.03,-1.62,-3.25,-3.97,-4.41,-5.0,-5.59,-5.69,-5.84,-6.47,-7.59,-8.56,-8.69,-9.31,-10.97,-13.12,-14.84,-16.59,-18.62,-20.16,-19.78,-18.06,-16.19,-14.03,-11.5,-9.47,-8.53,-9.06,-9.91,-10.31,-10.5,-10.78,-10.16,-8.12,-5.53,-3.34,-1.47,0.31,1.56,1.91,0.94,0.47,0.44,0.41,-0.16,-0.31,0.09,0.19,-0.78,-2.5,-3.72,-5.25,-7.38,-9.72,-10.97,-11.19,-10.88,-10.47,-9.09,-6.69,-4.38,-3.56,-2.56,-1.12,0.16,1.12,2.34,4.78,7.88,10.28,11.72,13.03,13.62,13.06,11.22,9.38,7.78,6.09,3.53,0.97,0.06,-0.41,-0.81,-0.84,0.44,2.28,3.12,3.44,3.69,4.22,4.47,4.16,4.16,4.59,4.94,4.34,3.69,4.09,5.38,6.5,7.44,9.19,10.81,10.81,9.34,7.69,6.34,5.0,3.25,2.0,1.38,0.41,-1.19,-3.03,-3.75,-4.16,-4.59,-5.03,-4.59,-3.38,-2.28,-1.81,-0.78,0.59,2.03,2.5,3.16,4.41,5.91,6.12,6.16,6.75,8.06,9.09,9.91,11.47,12.94,13.28,11.66,9.81,8.0,6.31,4.31,2.56,1.5,1.34,0.12,-1.0,-0.91,0.03,0.53,0.81,1.56,2.81,3.91,4.28,5.06,5.88,7.12,7.41,7.69,8.81,10.28,10.91,10.81,10.75,10.62,9.66,7.56,5.94,5.06,4.69,4.12,4.03,5.25,7.31,8.69,9.88,11.19,12.88,13.53,13.53,14.03,14.88,15.25,14.19,12.94,12.09,10.72,8.41,6.16,4.94,4.03,2.75,1.88,1.66,2.03,2.19,1.81,1.62,2.38,2.41,1.0,-0.09,-0.62,-0.94,-1.66,-2.0,-1.78,-0.75,-0.5,-0.72,-0.38,0.94,1.59,1.66,2.09,3.16,3.66,3.06,2.75,3.59,5.06,5.75,6.84,8.69,10.47,11.22,11.09,10.94,10.88,10.12,8.81,7.75,7.66,7.84,7.19,6.69,6.94,7.5,6.94,6.38,6.5,7.69,8.34,8.56,9.19,10.25,10.69,10.03,9.03,8.81,8.28,6.66,5.16,4.16,3.97,3.41,2.84,3.59,5.34,6.59,7.66,8.47,9.66,9.88,8.69,7.03,6.03,4.94,3.09,1.62,1.62,2.47,3.0,3.72,4.75,6.5,7.5,7.62,7.53,8.44,9.06,9.03,9.38,10.72,12.44,12.94,12.75,12.44,12.19,10.47,8.5,7.53,7.78,7.84,7.56,7.47,7.84,7.66,6.62,5.12,4.59,4.41,3.72,2.97,3.12,3.78,4.06,3.97,4.34,5.28,6.12,6.31,6.28,7.03,7.91,7.97,8.22,9.38,11.0,12.09,12.47,13.38,14.09,13.59,11.66,9.5,8.09,6.28,4.16,2.41,2.09,2.03,1.66,1.38,2.69,4.47,5.31,5.44,5.56,6.16,5.44,4.12,3.03,3.22,3.28,2.84,2.25,2.53,2.84,2.38,1.22,1.44,2.75,4.31,5.91,8.0,10.22,11.44,10.69,9.34,8.78,7.88,6.94,6.0,6.56,7.28,7.56,6.75,6.5,7.12,7.22,7.0,7.28,8.81,9.56,9.16,9.03,9.5,9.91,8.75,6.72,4.69,2.25,-1.41,-5.16,-7.19,-7.69,-7.69,-8.06,-7.91,-7.09,-6.53,-6.97,-6.81,-5.34,-2.91,-0.75,1.19,4.09,6.91,7.94,7.34,7.28,6.88,5.72,3.84,2.0,1.88,1.81,1.59,1.56,2.78,4.22,4.84,4.81,5.62,7.25,8.06,7.94,8.41,8.97,8.44,6.75,4.31,3.09,2.03,1.22,1.12,2.09,4.41,6.0,7.09,8.5,10.56,11.5,10.97,11.0,11.5,11.38,10.44,9.28,8.84,8.22,6.81,5.0,4.28,3.88,3.25,2.0,1.28,1.5,1.59,1.19,1.09,2.34,3.56,3.5,3.25,3.53,3.38,2.28,0.66,0.38,0.84,1.22,1.22,1.5,2.25,2.38,1.28,0.66,0.66,1.19,0.97,1.0,2.25,3.62,4.12,3.72,3.84,4.44,4.5,3.91,4.06,5.03,5.28,4.81,4.5,4.97,5.91,6.19,6.12,6.72,7.25,6.94,6.38,6.69,7.75,8.97,8.88,9.34,10.28,10.94,10.34,10.19,10.28,10.56,9.84,8.78,8.25,7.72,6.38,4.5,3.34,2.75,2.38,1.0,0.06,0.19,0.62,0.25,0.38,1.06,2.03,1.78,0.84,-0.03,-0.16,-0.34,-0.81,-0.03,1.59,3.09,3.59,3.56,4.19,4.75,3.62,2.66,2.34,2.81,2.91,3.03,4.06,5.44,6.38,5.94,5.72,5.66,5.28,4.09,3.25,3.38,4.03,3.94,3.78,4.53,5.84,6.41,6.16,6.03,5.56,4.03,1.31,-1.34,32.31,32.56,33.44,34.84,36.88,38.66,40.06,40.62,41.22,41.03,40.5,39.44,38.69,37.88,37.03,37.12,37.41,38.5,39.31,39.66,39.75,39.31,38.12,36.5,34.72,33.75,33.31,32.91,33.06,33.31,33.19,32.5,31.56,30.97,30.78,30.69,31.47,32.88,34.97,36.88,38.72,40.0:negativity
17.34,16.53,15.38,14.06,12.44,10.59,8.56,7.78,7.22,6.59,6.31,7.66,10.0,11.91,13.69,15.5,17.12,17.88,17.44,16.16,15.38,14.06,11.81,9.62,8.28,7.88,6.53,5.62,5.81,6.94,8.09,9.41,11.72,14.62,17.38,19.03,20.78,22.75,23.75,23.31,22.12,21.25,20.0,17.84,15.5,14.66,14.09,13.69,13.34,14.0,15.19,16.94,17.59,18.56,20.34,21.75,22.06,22.25,22.97,23.22,22.5,20.72,19.22,18.34,17.5,16.62,16.88,18.16,19.81,20.34,21.12,22.88,24.38,24.81,25.0,25.47,26.25,26.53,26.19,26.16,26.78,26.47,24.59,23.12,21.5,19.91,17.34,14.88,13.22,12.19,11.16,10.25,10.81,12.44,13.88,15.09,16.91,19.5,21.66,23.28,24.75,26.09,26.75,26.28,24.78,23.59,22.75,21.69,20.59,20.25,20.72,20.62,19.31,17.75,16.62,15.38,13.59,12.41,12.47,13.31,13.5,14.0,15.38,17.59,19.03,19.81,20.56,21.66,21.44,19.94,18.66,18.59,18.91,18.47,18.5,19.19,19.0,17.38,15.09,13.31,11.78,9.94,7.94,6.16,5.31,4.12,2.84,2.09,2.91,4.12,4.91,6.03,8.0,10.06,11.53,12.72,14.53,16.91,18.53,18.69,18.84,19.38,19.66,18.97,18.47,18.69,18.62,17.06,14.69,12.34,10.75,8.25,6.19,4.88,5.25,5.56,4.69,4.53,4.84,5.09,4.38,4.66,6.25,8.53,10.41,12.31,14.5,16.78,18.03,18.75,19.38,20.22,21.38,21.28,21.12,21.5,21.84,20.34,18.31,17.34,16.44,15.25,14.38,14.28,15.84,16.69,17.47,18.66,20.78,21.91,21.91,21.38,21.38,21.12,19.59,17.88,17.06,16.59,14.94,13.22,12.03,11.66,10.91,10.31,10.25,11.47,12.78,13.38,13.62,14.72,15.59,14.94,14.03,13.97,14.59,15.38,16.41,18.09,20.28,21.91,22.59,23.41,25.03,26.44,27.53,28.59,30.75,33.0,33.53,32.88,31.69,29.66,26.41,22.78,19.31,17.34,15.66,14.09,13.12,14.03,15.38,16.0,17.0,18.62,20.09,20.0,19.38,18.66,18.03,16.94,15.34,14.06,13.69,13.34,12.56,12.06,13.56,15.44,16.72,18.06,19.47,20.44,19.81,18.0,16.16,14.69,13.47,12.16,11.53,12.59,14.03,15.28,16.16,18.94,21.56,23.62,24.94,26.69,28.16,28.59,27.84,26.75,25.62,23.56,20.56,17.78,16.12,15.09,13.53,12.09,12.22,13.28,13.69,14.41,16.09,18.59,20.25,20.97,21.75,23.0,23.31,22.84,22.62,23.78,24.78,24.94,25.09,25.91,26.69,26.38,25.22,24.28,23.66,22.19,20.47,19.28,19.16,19.5,19.81,20.38,22.28,24.03,24.84,24.44,24.47,24.75,24.41,23.16,22.78,22.97,22.09,20.69,19.53,19.56,20.09,20.19,20.88,22.5,23.88,24.44,24.75,25.44,26.19,26.09,24.88,23.44,22.25,20.91,19.22,18.09,18.38,18.91,18.81,18.62,19.31,20.34,20.84,20.84,22.0,23.16,23.78,23.62,23.81,24.81,25.94,26.09,26.53,27.53,27.78,27.12,26.5,26.53,26.75,26.38,25.56,24.91,24.81,24.75,23.97,23.75,24.72,25.41,25.34,24.75,25.25,25.47,25.09,24.59,25.66,26.56,26.97,26.69,26.78,27.22,27.22,27.03,26.97,27.88,28.53,28.56,28.38,29.38,30.62,31.81,33.06,34.97,36.53,37.0,36.06,35.12,34.47,33.75,32.41,31.41,31.06,31.0,30.22,29.56,30.31,31.34,32.34,32.06,32.28,32.03,31.22,29.16,27.47,27.12,27.56,27.59,28.19,29.53,30.69,30.22,29.53,29.16,28.25,26.62,24.47,22.38,20.84,19.59,17.84,17.0,17.28,18.03,17.75,17.59,18.47,19.03,18.44,17.62,17.66,17.78,18.22,18.66,20.19,22.53,24.5,25.66,27.0,28.47,29.75,29.62,29.38,29.53,29.62,28.62,26.47,24.69,22.69,20.38,17.31,14.84,13.75,12.91,11.69,11.44,12.34,13.69,14.06,14.25,14.91,15.97,16.69,17.03,17.94,19.56,20.78,21.38,22.41,23.75,24.69,24.19,23.53,22.81,21.94,19.78,16.94,14.12,11.28,8.47,6.03,4.38,3.44,2.75,1.56,1.06,2.0,4.22,6.91,10.72,16.06,22.03,26.84,31.0,34.47,36.84,37.47,36.19,34.59,32.84,31.22,29.0,27.38,26.94,26.94,25.66,23.69,22.19,20.66,18.25,16.19,14.75,14.31,14.03,13.34,13.5,14.88,16.81,18.47,20.12,22.47,24.28,24.53,24.31,23.88,23.5,22.53,21.66,21.84,23.03,24.25,24.59,24.88,24.88,24.38,23.19,22.22,21.97,22.47,22.5,22.12,21.97,22.03,21.19,19.41,18.09,17.38,16.5,14.75,13.47,13.09,13.0,11.38,9.75,8.62,7.56,6.53,6.03,6.97,9.09,11.28,13.34,15.44,17.94,20.28,21.62,22.5,23.53,24.78,24.84,24.59,24.91,25.5,25.12,23.88,22.56,21.69,20.38,19.19,18.5,19.38,19.91,20.22,20.06,20.44,21.09,20.91,21.09,21.25,22.16,22.41,21.81,21.28,21.25,21.12,20.0,18.81,18.75,19.28,19.53,19.94,21.38,22.94,23.22,22.78,22.0,21.09,19.59,17.38,15.38,14.56,14.5,14.06,14.38,15.66,17.66,19.47,21.38,23.94,26.94,28.75,29.94,30.5,31.56,32.0,31.66,31.34,31.38,31.0,29.25,26.62,24.31,21.72,18.97,16.88,15.94,16.59,17.09,17.56,18.12,19.47,20.34,20.34,20.31,20.94,21.16,20.88,21.03,21.34,21.84,21.5,20.47,19.69,19.25,19.09,18.94,19.62,20.53,21.34,21.28,20.5,20.62,21.0,21.16,21.06,21.22,21.78,21.41,20.72,20.12,19.66,18.94,18.03,16.94,16.94,17.31,16.97,16.12,16.47,17.28,17.41,16.88,17.16,17.53,17.81,17.72,18.34,19.88,20.78,21.06,20.78,21.22,21.97,22.06,22.09,22.59,23.38,23.12,22.34,21.75,21.78,21.78,21.31,21.56,22.72,23.41,23.62,23.28,24.03,24.62,24.62,24.25,23.97,23.81,23.31,22.53,22.41,23.12,23.84,23.69,23.44,23.66,23.56,23.12,22.53,23.28,23.97,24.38,24.03,23.78,23.03,21.44,18.97,16.44,14.34,12.88,11.16,10.22,10.84,12.12,13.12,14.0,15.94,17.69,18.84,19.69,20.69,22.31,23.5,23.88,24.59,25.28,26.56,26.78,27.25,28.19,28.53,28.12,27.09,26.56,26.41,26.0,25.25,24.91,24.84,24.75,23.94,22.66,21.97,21.16,19.62,18.28,18.16,18.72,19.06,19.16,19.78,20.47,20.19,19.41,18.91,19.06,19.41,19.25,19.09,19.47,19.78,18.81,17.25,16.56,16.31,15.88,15.97,16.97,18.31,19.28,19.0,18.0,17.28,15.94,13.88,12.44,12.16,12.91,13.75,14.72,16.41,18.66,20.62,22.03,24.19,27.03,29.66,31.16,31.97,32.53,32.06,29.34,25.75,22.47,19.78,16.88,13.94,12.22,11.22,10.88,10.22,10.81,13.06,15.28,16.72,17.81,19.16,20.62,21.53,22.28,23.84,25.69,26.16,26.16,26.09,26.62,26.69,26.0,26.0,26.44,26.81,26.09,24.84,23.56,21.97,18.81,15.34,12.38,10.12,7.59,5.38,4.66,5.09,6.44,6.88,8.22,10.5,13.41,15.34,17.97,21.03,23.72,24.69,24.5,23.94,23.81,23.09,22.47,22.5,23.53,24.16,22.78,20.44,18.22,16.0,12.56,10.16,9.0,8.75,8.19,7.47,7.5,8.84,10.41,11.47,13.88,17.12,20.03,21.44,22.59,24.03,25.69,26.12,26.53,27.06,27.5,27.41,27.16,27.38,28.69,29.62,29.78,28.69,27.0,24.47,19.84,15.47,12.25,10.47,9.34,8.81,9.88,11.53,12.66,12.66,12.12,12.22,11.59,9.84,8.62,8.97,9.59,9.34,9.38,10.5,12.81,14.03,15.69,17.41,19.0,19.75,19.22,18.38,18.59,18.66,18.59,18.75,19.91,21.34,21.56,21.34,20.91,20.53,18.91,17.03,15.91,15.62,15.44,14.72,14.22,13.94,13.78,12.84,11.78,11.31,11.31,10.69,10.34,10.62,12.09,13.0,13.47,13.94,14.84,14.78,13.12,11.31,10.44,10.28,10.09,10.0,11.31,12.94,13.31,13.22,12.78,12.91,12.16,11.34,11.56,13.31,16.0,18.25,20.47,23.56,26.0,27.06,27.5,27.94,27.62,26.06,23.72,21.12,18.69,16.16,13.47,11.22,10.91,11.03,11.19,11.34,12.41,13.62,13.62,13.03,12.78,13.34,13.31,13.16,14.25,16.38,18.12,18.97,19.12,19.47,19.06,17.78,16.28,16.12,16.62,16.19,15.31,14.31,13.94,12.09,9.84,8.03,7.22,6.53,5.19,3.97,3.69,3.56,3.0,2.62,3.38,5.16,6.75,7.75,9.25,9.84,9.47,8.38,7.41,8.25,10.16,12.09,14.22,17.12,19.78,21.0,21.53,22.19,23.19,23.56,22.94,22.88,23.03,22.31,20.66,18.38,17.25,15.56,13.53,11.53,10.78,10.69,10.53,10.41,11.41,13.12,14.75,15.5,17.0,19.09,20.28,20.0,19.62,19.5,18.94,17.84,16.56,16.22,16.16,15.91,14.78,14.19,14.06,13.41,11.94,10.41,9.78,9.03,7.62,6.88,7.5,8.88,10.03,11.09,13.0,15.28,17.06,18.12,20.03:7.78,7.22,6.59,6.31,7.66,10.0,11.91,13.69,15.5,17.12,17.88,17.44,16.16,15.38,14.06,11.81,9.62,8.28,7.88,6.53,5.62,5.81,6.94,8.09,9.41,11.72,14.62,17.38,19.03,20.78,22.75,23.75,23.31,22.12,21.25,20.0,17.84,15.5,14.66,14.09,13.69,13.34,14.0,15.19,16.94,17.59,18.56,20.34,21.75,22.06,22.25,22.97,23.22,22.5,20.72,19.22,18.34,17.5,16.62,16.88,18.16,19.81,20.34,21.12,22.88,24.38,24.81,25.0,25.47,26.25,26.53,26.19,26.16,26.78,26.47,24.59,23.12,21.5,19.91,17.34,14.88,13.22,12.19,11.16,10.25,10.81,12.44,13.88,15.09,16.91,19.5,21.66,23.28,24.75,26.09,26.75,26.28,24.78,23.59,22.75,21.69,20.59,20.25,20.72,20.62,19.31,17.75,16.62,15.38,13.59,12.41,12.47,13.31,13.5,14.0,15.38,17.59,19.03,19.81,20.56,21.66,21.44,19.94,18.66,18.59,18.91,18.47,18.5,19.19,19.0,17.38,15.09,13.31,11.78,9.94,7.94,6.16,5.31,4.12,2.84,2.09,2.91,4.12,4.91,6.03,8.0,10.06,11.53,12.72,14.53,16.91,18.53,18.69,18.84,19.38,19.66,18.97,18.47,18.69,18.62,17.06,14.69,12.34,10.75,8.25,6.19,4.88,5.25,5.56,4.69,4.53,4.84,5.09,4.38,4.66,6.25,8.53,10.41,12.31,14.5,16.78,18.03,18.75,19.38,20.22,21.38,21.28,21.12,21.5,21.84,20.34,18.31,17.34,16.44,15.25,14.38,14.28,15.84,16.69,17.47,18.66,20.78,21.91,21.91,21.38,21.38,21.12,19.59,17.88,17.06,16.59,14.94,13.22,12.03,11.66,10.91,10.31,10.25,11.47,12.78,13.38,13.62,14.72,15.59,14.94,14.03,13.97,14.59,15.38,16.41,18.09,20.28,21.91,22.59,23.41,25.03,26.44,27.53,28.59,30.75,33.0,33.53,32.88,31.69,29.66,26.41,22.78,19.31,17.34,15.66,14.09,13.12,14.03,15.38,16.0,17.0,18.62,20.09,20.0,19.38,18.66,18.03,16.94,15.34,14.06,13.69,13.34,12.56,12.06,13.56,15.44,16.72,18.06,19.47,20.44,19.81,18.0,16.16,14.69,13.47,12.16,11.53,12.59,14.03,15.28,16.16,18.94,21.56,23.62,24.94,26.69,28.16,28.59,27.84,26.75,25.62,23.56,20.56,17.78,16.12,15.09,13.53,12.09,12.22,13.28,13.69,14.41,16.09,18.59,20.25,20.97,21.75,23.0,23.31,22.84,22.62,23.78,24.78,24.94,25.09,25.91,26.69,26.38,25.22,24.28,23.66,22.19,20.47,19.28,19.16,19.5,19.81,20.38,22.28,24.03,24.84,24.44,24.47,24.75,24.41,23.16,22.78,22.97,22.09,20.69,19.53,19.56,20.09,20.19,20.88,22.5,23.88,24.44,24.75,25.44,26.19,26.09,24.88,23.44,22.25,20.91,19.22,18.09,18.38,18.91,18.81,18.62,19.31,20.34,20.84,20.84,22.0,23.16,23.78,23.62,23.81,24.81,25.94,26.09,26.53,27.53,27.78,27.12,26.5,26.53,26.75,26.38,25.56,24.91,24.81,24.75,23.97,23.75,24.72,25.41,25.34,24.75,25.25,25.47,25.09,24.59,25.66,26.56,26.97,26.69,26.78,27.22,27.22,27.03,26.97,27.88,28.53,28.56,28.38,29.38,30.62,31.81,33.06,34.97,36.53,37.0,36.06,35.12,34.47,33.75,32.41,31.41,31.06,31.0,30.22,29.56,30.31,31.34,32.34,32.06,32.28,32.03,31.22,29.16,27.47,27.12,27.56,27.59,28.19,29.53,30.69,30.22,29.53,29.16,28.25,26.62,24.47,22.38,20.84,19.59,17.84,17.0,17.28,18.03,17.75,17.59,18.47,19.03,18.44,17.62,17.66,17.78,18.22,18.66,20.19,22.53,24.5,25.66,27.0,28.47,29.75,29.62,29.38,29.53,29.62,28.62,26.47,24.69,22.69,20.38,17.31,14.84,13.75,12.91,11.69,11.44,12.34,13.69,14.06,14.25,14.91,15.97,16.69,17.03,17.94,19.56,20.78,21.38,22.41,23.75,24.69,24.19,23.53,22.81,21.94,19.78,16.94,14.12,11.28,8.47,6.03,4.38,3.44,2.75,1.56,1.06,2.0,4.22,6.91,10.72,16.06,22.03,26.84,31.0,34.47,36.84,37.47,36.19,34.59,32.84,31.22,29.0,27.38,26.94,26.94,25.66,23.69,22.19,20.66,18.25,16.19,14.75,14.31,14.03,13.34,13.5,14.88,16.81,18.47,20.12,22.47,24.28,24.53,24.31,23.88,23.5,22.53,21.66,21.84,23.03,24.25,24.59,24.88,24.88,24.38,23.19,22.22,21.97,22.47,22.5,22.12,21.97,22.03,21.19,19.41,18.09,17.38,16.5,14.75,13.47,13.09,13.0,11.38,9.75,8.62,7.56,6.53,6.03,6.97,9.09,11.28,13.34,15.44,17.94,20.28,21.62,22.5,23.53,24.78,24.84,24.59,24.91,25.5,25.12,23.88,22.56,21.69,20.38,19.19,18.5,19.38,19.91,20.22,20.06,20.44,21.09,20.91,21.09,21.25,22.16,22.41,21.81,21.28,21.25,21.12,20.0,18.81,18.75,19.28,19.53,19.94,21.38,22.94,23.22,22.78,22.0,21.09,19.59,17.38,15.38,14.56,14.5,14.06,14.38,15.66,17.66,19.47,21.38,23.94,26.94,28.75,29.94,30.5,31.56,32.0,31.66,31.34,31.38,31.0,29.25,26.62,24.31,21.72,18.97,16.88,15.94,16.59,17.09,17.56,18.12,19.47,20.34,20.34,20.31,20.94,21.16,20.88,21.03,21.34,21.84,21.5,20.47,19.69,19.25,19.09,18.94,19.62,20.53,21.34,21.28,20.5,20.62,21.0,21.16,21.06,21.22,21.78,21.41,20.72,20.12,19.66,18.94,18.03,16.94,16.94,17.31,16.97,16.12,16.47,17.28,17.41,16.88,17.16,17.53,17.81,17.72,18.34,19.88,20.78,21.06,20.78,21.22,21.97,22.06,22.09,22.59,23.38,23.12,22.34,21.75,21.78,21.78,21.31,21.56,22.72,23.41,23.62,23.28,24.03,24.62,24.62,24.25,23.97,23.81,23.31,22.53,22.41,23.12,23.84,23.69,23.44,23.66,23.56,23.12,22.53,23.28,23.97,24.38,24.03,23.78,23.03,21.44,18.97,16.44,14.34,12.88,11.16,10.22,10.84,12.12,13.12,14.0,15.94,17.69,18.84,19.69,20.69,22.31,23.5,23.88,24.59,25.28,26.56,26.78,27.25,28.19,28.53,28.12,27.09,26.56,26.41,26.0,25.25,24.91,24.84,24.75,23.94,22.66,21.97,21.16,19.62,18.28,18.16,18.72,19.06,19.16,19.78,20.47,20.19,19.41,18.91,19.06,19.41,19.25,19.09,19.47,19.78,18.81,17.25,16.56,16.31,15.88,15.97,16.97,18.31,19.28,19.0,18.0,17.28,15.94,13.88,12.44,12.16,12.91,13.75,14.72,16.41,18.66,20.62,22.03,24.19,27.03,29.66,31.16,31.97,32.53,32.06,29.34,25.75,22.47,19.78,16.88,13.94,12.22,11.22,10.88,10.22,10.81,13.06,15.28,16.72,17.81,19.16,20.62,21.53,22.28,23.84,25.69,26.16,26.16,26.09,26.62,26.69,26.0,26.0,26.44,26.81,26.09,24.84,23.56,21.97,18.81,15.34,12.38,10.12,7.59,5.38,4.66,5.09,6.44,6.88,8.22,10.5,13.41,15.34,17.97,21.03,23.72,24.69,24.5,23.94,23.81,23.09,22.47,22.5,23.53,24.16,22.78,20.44,18.22,16.0,12.56,10.16,9.0,8.75,8.19,7.47,7.5,8.84,10.41,11.47,13.88,17.12,20.03,21.44,22.59,24.03,25.69,26.12,26.53,27.06,27.5,27.41,27.16,27.38,28.69,29.62,29.78,28.69,27.0,24.47,19.84,15.47,12.25,10.47,9.34,8.81,9.88,11.53,12.66,12.66,12.12,12.22,11.59,9.84,8.62,8.97,9.59,9.34,9.38,10.5,12.81,14.03,15.69,17.41,19.0,19.75,19.22,18.38,18.59,18.66,18.59,18.75,19.91,21.34,21.56,21.34,20.91,20.53,18.91,17.03,15.91,15.62,15.44,14.72,14.22,13.94,13.78,12.84,11.78,11.31,11.31,10.69,10.34,10.62,12.09,13.0,13.47,13.94,14.84,14.78,13.12,11.31,10.44,10.28,10.09,10.0,11.31,12.94,13.31,13.22,12.78,12.91,12.16,11.34,11.56,13.31,16.0,18.25,20.47,23.56,26.0,27.06,27.5,27.94,27.62,26.06,23.72,21.12,18.69,16.16,13.47,11.22,10.91,11.03,11.19,11.34,12.41,13.62,13.62,13.03,12.78,13.34,13.31,13.16,14.25,16.38,18.12,18.97,19.12,19.47,19.06,17.78,16.28,16.12,16.62,16.19,15.31,14.31,13.94,12.09,9.84,8.03,7.22,6.53,5.19,3.97,3.69,3.56,3.0,2.62,3.38,5.16,6.75,7.75,9.25,9.84,9.47,8.38,7.41,8.25,10.16,12.09,14.22,17.12,19.78,21.0,21.53,22.19,23.19,23.56,22.94,22.88,23.03,22.31,20.66,18.38,17.25,15.56,13.53,11.53,10.78,10.69,10.53,10.41,11.41,13.12,14.75,15.5,17.0,19.09,20.28,20.0,19.62,19.5,18.94,17.84,16.56,16.22,16.16,15.91,14.78,14.19,14.06,13.41,11.94,10.41,9.78,9.03,7.62,6.88,7.5,8.88,10.03,11.09,13.0,15.28,17.06,18.12,20.03,42.59,41.78,40.66,39.22,38.19,37.06,35.97:13.69,15.5,17.12,17.88,17.44,16.16,15.38,14.06,11.81,9.62,8.28,7.88,6.53,5.62,5.81,6.94,8.09,9.41,11.72,14.62,17.38,19.03,20.78,22.75,23.75,23.31,22.12,21.25,20.0,17.84,15.5,14.66,14.09,13.69,13.34,14.0,15.19,16.94,17.59,18.56,20.34,21.75,22.06,22.25,22.97,23.22,22.5,20.72,19.22,18.34,17.5,16.62,16.88,18.16,19.81,20.34,21.12,22.88,24.38,24.81,25.0,25.47,26.25,26.53,26.19,26.16,26.78,26.47,24.59,23.12,21.5,19.91,17.34,14.88,13.22,12.19,11.16,10.25,10.81,12.44,13.88,15.09,16.91,19.5,21.66,23.28,24.75,26.09,26.75,26.28,24.78,23.59,22.75,21.69,20.59,20.25,20.72,20.62,19.31,17.75,16.62,15.38,13.59,12.41,12.47,13.31,13.5,14.0,15.38,17.59,19.03,19.81,20.56,21.66,21.44,19.94,18.66,18.59,18.91,18.47,18.5,19.19,19.0,17.38,15.09,13.31,11.78,9.94,7.94,6.16,5.31,4.12,2.84,2.09,2.91,4.12,4.91,6.03,8.0,10.06,11.53,12.72,14.53,16.91,18.53,18.69,18.84,19.38,19.66,18.97,18.47,18.69,18.62,17.06,14.69,12.34,10.75,8.25,6.19,4.88,5.25,5.56,4.69,4.53,4.84,5.09,4.38,4.66,6.25,8.53,10.41,12.31,14.5,16.78,18.03,18.75,19.38,20.22,21.38,21.28,21.12,21.5,21.84,20.34,18.31,17.34,16.44,15.25,14.38,14.28,15.84,16.69,17.47,18.66,20.78,21.91,21.91,21.38,21.38,21.12,19.59,17.88,17.06,16.59,14.94,13.22,12.03,11.66,10.91,10.31,10.25,11.47,12.78,13.38,13.62,14.72,15.59,14.94,14.03,13.97,14.59,15.38,16.41,18.09,20.28,21.91,22.59,23.41,25.03,26.44,27.53,28.59,30.75,33.0,33.53,32.88,31.69,29.66,26.41,22.78,19.31,17.34,15.66,14.09,13.12,14.03,15.38,16.0,17.0,18.62,20.09,20.0,19.38,18.66,18.03,16.94,15.34,14.06,13.69,13.34,12.56,12.06,13.56,15.44,16.72,18.06,19.47,20.44,19.81,18.0,16.16,14.69,13.47,12.16,11.53,12.59,14.03,15.28,16.16,18.94,21.56,23.62,24.94,26.69,28.16,28.59,27.84,26.75,25.62,23.56,20.56,17.78,16.12,15.09,13.53,12.09,12.22,13.28,13.69,14.41,16.09,18.59,20.25,20.97,21.75,23.0,23.31,22.84,22.62,23.78,24.78,24.94,25.09,25.91,26.69,26.38,25.22,24.28,23.66,22.19,20.47,19.28,19.16,19.5,19.81,20.38,22.28,24.03,24.84,24.44,24.47,24.75,24.41,23.16,22.78,22.97,22.09,20.69,19.53,19.56,20.09,20.19,20.88,22.5,23.88,24.44,24.75,25.44,26.19,26.09,24.88,23.44,22.25,20.91,19.22,18.09,18.38,18.91,18.81,18.62,19.31,20.34,20.84,20.84,22.0,23.16,23.78,23.62,23.81,24.81,25.94,26.09,26.53,27.53,27.78,27.12,26.5,26.53,26.75,26.38,25.56,24.91,24.81,24.75,23.97,23.75,24.72,25.41,25.34,24.75,25.25,25.47,25.09,24.59,25.66,26.56,26.97,26.69,26.78,27.22,27.22,27.03,26.97,27.88,28.53,28.56,28.38,29.38,30.62,31.81,33.06,34.97,36.53,37.0,36.06,35.12,34.47,33.75,32.41,31.41,31.06,31.0,30.22,29.56,30.31,31.34,32.34,32.06,32.28,32.03,31.22,29.16,27.47,27.12,27.56,27.59,28.19,29.53,30.69,30.22,29.53,29.16,28.25,26.62,24.47,22.38,20.84,19.59,17.84,17.0,17.28,18.03,17.75,17.59,18.47,19.03,18.44,17.62,17.66,17.78,18.22,18.66,20.19,22.53,24.5,25.66,27.0,28.47,29.75,29.62,29.38,29.53,29.62,28.62,26.47,24.69,22.69,20.38,17.31,14.84,13.75,12.91,11.69,11.44,12.34,13.69,14.06,14.25,14.91,15.97,16.69,17.03,17.94,19.56,20.78,21.38,22.41,23.75,24.69,24.19,23.53,22.81,21.94,19.78,16.94,14.12,11.28,8.47,6.03,4.38,3.44,2.75,1.56,1.06,2.0,4.22,6.91,10.72,16.06,22.03,26.84,31.0,34.47,36.84,37.47,36.19,34.59,32.84,31.22,29.0,27.38,26.94,26.94,25.66,23.69,22.19,20.66,18.25,16.19,14.75,14.31,14.03,13.34,13.5,14.88,16.81,18.47,20.12,22.47,24.28,24.53,24.31,23.88,23.5,22.53,21.66,21.84,23.03,24.25,24.59,24.88,24.88,24.38,23.19,22.22,21.97,22.47,22.5,22.12,21.97,22.03,21.19,19.41,18.09,17.38,16.5,14.75,13.47,13.09,13.0,11.38,9.75,8.62,7.56,6.53,6.03,6.97,9.09,11.28,13.34,15.44,17.94,20.28,21.62,22.5,23.53,24.78,24.84,24.59,24.91,25.5,25.12,23.88,22.56,21.69,20.38,19.19,18.5,19.38,19.91,20.22,20.06,20.44,21.09,20.91,21.09,21.25,22.16,22.41,21.81,21.28,21.25,21.12,20.0,18.81,18.75,19.28,19.53,19.94,21.38,22.94,23.22,22.78,22.0,21.09,19.59,17.38,15.38,14.56,14.5,14.06,14.38,15.66,17.66,19.47,21.38,23.94,26.94,28.75,29.94,30.5,31.56,32.0,31.66,31.34,31.38,31.0,29.25,26.62,24.31,21.72,18.97,16.88,15.94,16.59,17.09,17.56,18.12,19.47,20.34,20.34,20.31,20.94,21.16,20.88,21.03,21.34,21.84,21.5,20.47,19.69,19.25,19.09,18.94,19.62,20.53,21.34,21.28,20.5,20.62,21.0,21.16,21.06,21.22,21.78,21.41,20.72,20.12,19.66,18.94,18.03,16.94,16.94,17.31,16.97,16.12,16.47,17.28,17.41,16.88,17.16,17.53,17.81,17.72,18.34,19.88,20.78,21.06,20.78,21.22,21.97,22.06,22.09,22.59,23.38,23.12,22.34,21.75,21.78,21.78,21.31,21.56,22.72,23.41,23.62,23.28,24.03,24.62,24.62,24.25,23.97,23.81,23.31,22.53,22.41,23.12,23.84,23.69,23.44,23.66,23.56,23.12,22.53,23.28,23.97,24.38,24.03,23.78,23.03,21.44,18.97,16.44,14.34,12.88,11.16,10.22,10.84,12.12,13.12,14.0,15.94,17.69,18.84,19.69,20.69,22.31,23.5,23.88,24.59,25.28,26.56,26.78,27.25,28.19,28.53,28.12,27.09,26.56,26.41,26.0,25.25,24.91,24.84,24.75,23.94,22.66,21.97,21.16,19.62,18.28,18.16,18.72,19.06,19.16,19.78,20.47,20.19,19.41,18.91,19.06,19.41,19.25,19.09,19.47,19.78,18.81,17.25,16.56,16.31,15.88,15.97,16.97,18.31,19.28,19.0,18.0,17.28,15.94,13.88,12.44,12.16,12.91,13.75,14.72,16.41,18.66,20.62,22.03,24.19,27.03,29.66,31.16,31.97,32.53,32.06,29.34,25.75,22.47,19.78,16.88,13.94,12.22,11.22,10.88,10.22,10.81,13.06,15.28,16.72,17.81,19.16,20.62,21.53,22.28,23.84,25.69,26.16,26.16,26.09,26.62,26.69,26.0,26.0,26.44,26.81,26.09,24.84,23.56,21.97,18.81,15.34,12.38,10.12,7.59,5.38,4.66,5.09,6.44,6.88,8.22,10.5,13.41,15.34,17.97,21.03,23.72,24.69,24.5,23.94,23.81,23.09,22.47,22.5,23.53,24.16,22.78,20.44,18.22,16.0,12.56,10.16,9.0,8.75,8.19,7.47,7.5,8.84,10.41,11.47,13.88,17.12,20.03,21.44,22.59,24.03,25.69,26.12,26.53,27.06,27.5,27.41,27.16,27.38,28.69,29.62,29.78,28.69,27.0,24.47,19.84,15.47,12.25,10.47,9.34,8.81,9.88,11.53,12.66,12.66,12.12,12.22,11.59,9.84,8.62,8.97,9.59,9.34,9.38,10.5,12.81,14.03,15.69,17.41,19.0,19.75,19.22,18.38,18.59,18.66,18.59,18.75,19.91,21.34,21.56,21.34,20.91,20.53,18.91,17.03,15.91,15.62,15.44,14.72,14.22,13.94,13.78,12.84,11.78,11.31,11.31,10.69,10.34,10.62,12.09,13.0,13.47,13.94,14.84,14.78,13.12,11.31,10.44,10.28,10.09,10.0,11.31,12.94,13.31,13.22,12.78,12.91,12.16,11.34,11.56,13.31,16.0,18.25,20.47,23.56,26.0,27.06,27.5,27.94,27.62,26.06,23.72,21.12,18.69,16.16,13.47,11.22,10.91,11.03,11.19,11.34,12.41,13.62,13.62,13.03,12.78,13.34,13.31,13.16,14.25,16.38,18.12,18.97,19.12,19.47,19.06,17.78,16.28,16.12,16.62,16.19,15.31,14.31,13.94,12.09,9.84,8.03,7.22,6.53,5.19,3.97,3.69,3.56,3.0,2.62,3.38,5.16,6.75,7.75,9.25,9.84,9.47,8.38,7.41,8.25,10.16,12.09,14.22,17.12,19.78,21.0,21.53,22.19,23.19,23.56,22.94,22.88,23.03,22.31,20.66,18.38,17.25,15.56,13.53,11.53,10.78,10.69,10.53,10.41,11.41,13.12,14.75,15.5,17.0,19.09,20.28,20.0,19.62,19.5,18.94,17.84,16.56,16.22,16.16,15.91,14.78,14.19,14.06,13.41,11.94,10.41,9.78,9.03,7.62,6.88,7.5,8.88,10.03,11.09,13.0,15.28,17.06,18.12,20.03,42.59,41.78,40.66,39.22,38.19,37.06,35.97,35.09,34.56,34.66,35.0,36.12,37.69,39.09:14.06,11.81,9.62,8.28,7.88,6.53,5.62,5.81,6.94,8.09,9.41,11.72,14.62,17.38,19.03,20.78,22.75,23.75,23.31,22.12,21.25,20.0,17.84,15.5,14.66,14.09,13.69,13.34,14.0,15.19,16.94,17.59,18.56,20.34,21.75,22.06,22.25,22.97,23.22,22.5,20.72,19.22,18.34,17.5,16.62,16.88,18.16,19.81,20.34,21.12,22.88,24.38,24.81,25.0,25.47,26.25,26.53,26.19,26.16,26.78,26.47,24.59,23.12,21.5,19.91,17.34,14.88,13.22,12.19,11.16,10.25,10.81,12.44,13.88,15.09,16.91,19.5,21.66,23.28,24.75,26.09,26.75,26.28,24.78,23.59,22.75,21.69,20.59,20.25,20.72,20.62,19.31,17.75,16.62,15.38,13.59,12.41,12.47,13.31,13.5,14.0,15.38,17.59,19.03,19.81,20.56,21.66,21.44,19.94,18.66,18.59,18.91,18.47,18.5,19.19,19.0,17.38,15.09,13.31,11.78,9.94,7.94,6.16,5.31,4.12,2.84,2.09,2.91,4.12,4.91,6.03,8.0,10.06,11.53,12.72,14.53,16.91,18.53,18.69,18.84,19.38,19.66,18.97,18.47,18.69,18.62,17.06,14.69,12.34,10.75,8.25,6.19,4.88,5.25,5.56,4.69,4.53,4.84,5.09,4.38,4.66,6.25,8.53,10.41,12.31,14.5,16.78,18.03,18.75,19.38,20.22,21.38,21.28,21.12,21.5,21.84,20.34,18.31,17.34,16.44,15.25,14.38,14.28,15.84,16.69,17.47,18.66,20.78,21.91,21.91,21.38,21.38,21.12,19.59,17.88,17.06,16.59,14.94,13.22,12.03,11.66,10.91,10.31,10.25,11.47,12.78,13.38,13.62,14.72,15.59,14.94,14.03,13.97,14.59,15.38,16.41,18.09,20.28,21.91,22.59,23.41,25.03,26.44,27.53,28.59,30.75,33.0,33.53,32.88,31.69,29.66,26.41,22.78,19.31,17.34,15.66,14.09,13.12,14.03,15.38,16.0,17.0,18.62,20.09,20.0,19.38,18.66,18.03,16.94,15.34,14.06,13.69,13.34,12.56,12.06,13.56,15.44,16.72,18.06,19.47,20.44,19.81,18.0,16.16,14.69,13.47,12.16,11.53,12.59,14.03,15.28,16.16,18.94,21.56,23.62,24.94,26.69,28.16,28.59,27.84,26.75,25.62,23.56,20.56,17.78,16.12,15.09,13.53,12.09,12.22,13.28,13.69,14.41,16.09,18.59,20.25,20.97,21.75,23.0,23.31,22.84,22.62,23.78,24.78,24.94,25.09,25.91,26.69,26.38,25.22,24.28,23.66,22.19,20.47,19.28,19.16,19.5,19.81,20.38,22.28,24.03,24.84,24.44,24.47,24.75,24.41,23.16,22.78,22.97,22.09,20.69,19.53,19.56,20.09,20.19,20.88,22.5,23.88,24.44,24.75,25.44,26.19,26.09,24.88,23.44,22.25,20.91,19.22,18.09,18.38,18.91,18.81,18.62,19.31,20.34,20.84,20.84,22.0,23.16,23.78,23.62,23.81,24.81,25.94,26.09,26.53,27.53,27.78,27.12,26.5,26.53,26.75,26.38,25.56,24.91,24.81,24.75,23.97,23.75,24.72,25.41,25.34,24.75,25.25,25.47,25.09,24.59,25.66,26.56,26.97,26.69,26.78,27.22,27.22,27.03,26.97,27.88,28.53,28.56,28.38,29.38,30.62,31.81,33.06,34.97,36.53,37.0,36.06,35.12,34.47,33.75,32.41,31.41,31.06,31.0,30.22,29.56,30.31,31.34,32.34,32.06,32.28,32.03,31.22,29.16,27.47,27.12,27.56,27.59,28.19,29.53,30.69,30.22,29.53,29.16,28.25,26.62,24.47,22.38,20.84,19.59,17.84,17.0,17.28,18.03,17.75,17.59,18.47,19.03,18.44,17.62,17.66,17.78,18.22,18.66,20.19,22.53,24.5,25.66,27.0,28.47,29.75,29.62,29.38,29.53,29.62,28.62,26.47,24.69,22.69,20.38,17.31,14.84,13.75,12.91,11.69,11.44,12.34,13.69,14.06,14.25,14.91,15.97,16.69,17.03,17.94,19.56,20.78,21.38,22.41,23.75,24.69,24.19,23.53,22.81,21.94,19.78,16.94,14.12,11.28,8.47,6.03,4.38,3.44,2.75,1.56,1.06,2.0,4.22,6.91,10.72,16.06,22.03,26.84,31.0,34.47,36.84,37.47,36.19,34.59,32.84,31.22,29.0,27.38,26.94,26.94,25.66,23.69,22.19,20.66,18.25,16.19,14.75,14.31,14.03,13.34,13.5,14.88,16.81,18.47,20.12,22.47,24.28,24.53,24.31,23.88,23.5,22.53,21.66,21.84,23.03,24.25,24.59,24.88,24.88,24.38,23.19,22.22,21.97,22.47,22.5,22.12,21.97,22.03,21.19,19.41,18.09,17.38,16.5,14.75,13.47,13.09,13.0,11.38,9.75,8.62,7.56,6.53,6.03,6.97,9.09,11.28,13.34,15.44,17.94,20.28,21.62,22.5,23.53,24.78,24.84,24.59,24.91,25.5,25.12,23.88,22.56,21.69,20.38,19.19,18.5,19.38,19.91,20.22,20.06,20.44,21.09,20.91,21.09,21.25,22.16,22.41,21.81,21.28,21.25,21.12,20.0,18.81,18.75,19.28,19.53,19.94,21.38,22.94,23.22,22.78,22.0,21.09,19.59,17.38,15.38,14.56,14.5,14.06,14.38,15.66,17.66,19.47,21.38,23.94,26.94,28.75,29.94,30.5,31.56,32.0,31.66,31.34,31.38,31.0,29.25,26.62,24.31,21.72,18.97,16.88,15.94,16.59,17.09,17.56,18.12,19.47,20.34,20.34,20.31,20.94,21.16,20.88,21.03,21.34,21.84,21.5,20.47,19.69,19.25,19.09,18.94,19.62,20.53,21.34,21.28,20.5,20.62,21.0,21.16,21.06,21.22,21.78,21.41,20.72,20.12,19.66,18.94,18.03,16.94,16.94,17.31,16.97,16.12,16.47,17.28,17.41,16.88,17.16,17.53,17.81,17.72,18.34,19.88,20.78,21.06,20.78,21.22,21.97,22.06,22.09,22.59,23.38,23.12,22.34,21.75,21.78,21.78,21.31,21.56,22.72,23.41,23.62,23.28,24.03,24.62,24.62,24.25,23.97,23.81,23.31,22.53,22.41,23.12,23.84,23.69,23.44,23.66,23.56,23.12,22.53,23.28,23.97,24.38,24.03,23.78,23.03,21.44,18.97,16.44,14.34,12.88,11.16,10.22,10.84,12.12,13.12,14.0,15.94,17.69,18.84,19.69,20.69,22.31,23.5,23.88,24.59,25.28,26.56,26.78,27.25,28.19,28.53,28.12,27.09,26.56,26.41,26.0,25.25,24.91,24.84,24.75,23.94,22.66,21.97,21.16,19.62,18.28,18.16,18.72,19.06,19.16,19.78,20.47,20.19,19.41,18.91,19.06,19.41,19.25,19.09,19.47,19.78,18.81,17.25,16.56,16.31,15.88,15.97,16.97,18.31,19.28,19.0,18.0,17.28,15.94,13.88,12.44,12.16,12.91,13.75,14.72,16.41,18.66,20.62,22.03,24.19,27.03,29.66,31.16,31.97,32.53,32.06,29.34,25.75,22.47,19.78,16.88,13.94,12.22,11.22,10.88,10.22,10.81,13.06,15.28,16.72,17.81,19.16,20.62,21.53,22.28,23.84,25.69,26.16,26.16,26.09,26.62,26.69,26.0,26.0,26.44,26.81,26.09,24.84,23.56,21.97,18.81,15.34,12.38,10.12,7.59,5.38,4.66,5.09,6.44,6.88,8.22,10.5,13.41,15.34,17.97,21.03,23.72,24.69,24.5,23.94,23.81,23.09,22.47,22.5,23.53,24.16,22.78,20.44,18.22,16.0,12.56,10.16,9.0,8.75,8.19,7.47,7.5,8.84,10.41,11.47,13.88,17.12,20.03,21.44,22.59,24.03,25.69,26.12,26.53,27.06,27.5,27.41,27.16,27.38,28.69,29.62,29.78,28.69,27.0,24.47,19.84,15.47,12.25,10.47,9.34,8.81,9.88,11.53,12.66,12.66,12.12,12.22,11.59,9.84,8.62,8.97,9.59,9.34,9.38,10.5,12.81,14.03,15.69,17.41,19.0,19.75,19.22,18.38,18.59,18.66,18.59,18.75,19.91,21.34,21.56,21.34,20.91,20.53,18.91,17.03,15.91,15.62,15.44,14.72,14.22,13.94,13.78,12.84,11.78,11.31,11.31,10.69,10.34,10.62,12.09,13.0,13.47,13.94,14.84,14.78,13.12,11.31,10.44,10.28,10.09,10.0,11.31,12.94,13.31,13.22,12.78,12.91,12.16,11.34,11.56,13.31,16.0,18.25,20.47,23.56,26.0,27.06,27.5,27.94,27.62,26.06,23.72,21.12,18.69,16.16,13.47,11.22,10.91,11.03,11.19,11.34,12.41,13.62,13.62,13.03,12.78,13.34,13.31,13.16,14.25,16.38,18.12,18.97,19.12,19.47,19.06,17.78,16.28,16.12,16.62,16.19,15.31,14.31,13.94,12.09,9.84,8.03,7.22,6.53,5.19,3.97,3.69,3.56,3.0,2.62,3.38,5.16,6.75,7.75,9.25,9.84,9.47,8.38,7.41,8.25,10.16,12.09,14.22,17.12,19.78,21.0,21.53,22.19,23.19,23.56,22.94,22.88,23.03,22.31,20.66,18.38,17.25,15.56,13.53,11.53,10.78,10.69,10.53,10.41,11.41,13.12,14.75,15.5,17.0,19.09,20.28,20.0,19.62,19.5,18.94,17.84,16.56,16.22,16.16,15.91,14.78,14.19,14.06,13.41,11.94,10.41,9.78,9.03,7.62,6.88,7.5,8.88,10.03,11.09,13.0,15.28,17.06,18.12,20.03,42.59,41.78,40.66,39.22,38.19,37.06,35.97,35.09,34.56,34.66,35.0,36.12,37.69,39.09,40.41,41.41,41.91,42.12,42.16,41.34,40.09:5.81,6.94,8.09,9.41,11.72,14.62,17.38,19.03,20.78,22.75,23.75,23.31,22.12,21.25,20.0,17.84,15.5,14.66,14.09,13.69,13.34,14.0,15.19,16.94,17.59,18.56,20.34,21.75,22.06,22.25,22.97,23.22,22.5,20.72,19.22,18.34,17.5,16.62,16.88,18.16,19.81,20.34,21.12,22.88,24.38,24.81,25.0,25.47,26.25,26.53,26.19,26.16,26.78,26.47,24.59,23.12,21.5,19.91,17.34,14.88,13.22,12.19,11.16,10.25,10.81,12.44,13.88,15.09,16.91,19.5,21.66,23.28,24.75,26.09,26.75,26.28,24.78,23.59,22.75,21.69,20.59,20.25,20.72,20.62,19.31,17.75,16.62,15.38,13.59,12.41,12.47,13.31,13.5,14.0,15.38,17.59,19.03,19.81,20.56,21.66,21.44,19.94,18.66,18.59,18.91,18.47,18.5,19.19,19.0,17.38,15.09,13.31,11.78,9.94,7.94,6.16,5.31,4.12,2.84,2.09,2.91,4.12,4.91,6.03,8.0,10.06,11.53,12.72,14.53,16.91,18.53,18.69,18.84,19.38,19.66,18.97,18.47,18.69,18.62,17.06,14.69,12.34,10.75,8.25,6.19,4.88,5.25,5.56,4.69,4.53,4.84,5.09,4.38,4.66,6.25,8.53,10.41,12.31,14.5,16.78,18.03,18.75,19.38,20.22,21.38,21.28,21.12,21.5,21.84,20.34,18.31,17.34,16.44,15.25,14.38,14.28,15.84,16.69,17.47,18.66,20.78,21.91,21.91,21.38,21.38,21.12,19.59,17.88,17.06,16.59,14.94,13.22,12.03,11.66,10.91,10.31,10.25,11.47,12.78,13.38,13.62,14.72,15.59,14.94,14.03,13.97,14.59,15.38,16.41,18.09,20.28,21.91,22.59,23.41,25.03,26.44,27.53,28.59,30.75,33.0,33.53,32.88,31.69,29.66,26.41,22.78,19.31,17.34,15.66,14.09,13.12,14.03,15.38,16.0,17.0,18.62,20.09,20.0,19.38,18.66,18.03,16.94,15.34,14.06,13.69,13.34,12.56,12.06,13.56,15.44,16.72,18.06,19.47,20.44,19.81,18.0,16.16,14.69,13.47,12.16,11.53,12.59,14.03,15.28,16.16,18.94,21.56,23.62,24.94,26.69,28.16,28.59,27.84,26.75,25.62,23.56,20.56,17.78,16.12,15.09,13.53,12.09,12.22,13.28,13.69,14.41,16.09,18.59,20.25,20.97,21.75,23.0,23.31,22.84,22.62,23.78,24.78,24.94,25.09,25.91,26.69,26.38,25.22,24.28,23.66,22.19,20.47,19.28,19.16,19.5,19.81,20.38,22.28,24.03,24.84,24.44,24.47,24.75,24.41,23.16,22.78,22.97,22.09,20.69,19.53,19.56,20.09,20.19,20.88,22.5,23.88,24.44,24.75,25.44,26.19,26.09,24.88,23.44,22.25,20.91,19.22,18.09,18.38,18.91,18.81,18.62,19.31,20.34,20.84,20.84,22.0,23.16,23.78,23.62,23.81,24.81,25.94,26.09,26.53,27.53,27.78,27.12,26.5,26.53,26.75,26.38,25.56,24.91,24.81,24.75,23.97,23.75,24.72,25.41,25.34,24.75,25.25,25.47,25.09,24.59,25.66,26.56,26.97,26.69,26.78,27.22,27.22,27.03,26.97,27.88,28.53,28.56,28.38,29.38,30.62,31.81,33.06,34.97,36.53,37.0,36.06,35.12,34.47,33.75,32.41,31.41,31.06,31.0,30.22,29.56,30.31,31.34,32.34,32.06,32.28,32.03,31.22,29.16,27.47,27.12,27.56,27.59,28.19,29.53,30.69,30.22,29.53,29.16,28.25,26.62,24.47,22.38,20.84,19.59,17.84,17.0,17.28,18.03,17.75,17.59,18.47,19.03,18.44,17.62,17.66,17.78,18.22,18.66,20.19,22.53,24.5,25.66,27.0,28.47,29.75,29.62,29.38,29.53,29.62,28.62,26.47,24.69,22.69,20.38,17.31,14.84,13.75,12.91,11.69,11.44,12.34,13.69,14.06,14.25,14.91,15.97,16.69,17.03,17.94,19.56,20.78,21.38,22.41,23.75,24.69,24.19,23.53,22.81,21.94,19.78,16.94,14.12,11.28,8.47,6.03,4.38,3.44,2.75,1.56,1.06,2.0,4.22,6.91,10.72,16.06,22.03,26.84,31.0,34.47,36.84,37.47,36.19,34.59,32.84,31.22,29.0,27.38,26.94,26.94,25.66,23.69,22.19,20.66,18.25,16.19,14.75,14.31,14.03,13.34,13.5,14.88,16.81,18.47,20.12,22.47,24.28,24.53,24.31,23.88,23.5,22.53,21.66,21.84,23.03,24.25,24.59,24.88,24.88,24.38,23.19,22.22,21.97,22.47,22.5,22.12,21.97,22.03,21.19,19.41,18.09,17.38,16.5,14.75,13.47,13.09,13.0,11.38,9.75,8.62,7.56,6.53,6.03,6.97,9.09,11.28,13.34,15.44,17.94,20.28,21.62,22.5,23.53,24.78,24.84,24.59,24.91,25.5,25.12,23.88,22.56,21.69,20.38,19.19,18.5,19.38,19.91,20.22,20.06,20.44,21.09,20.91,21.09,21.25,22.16,22.41,21.81,21.28,21.25,21.12,20.0,18.81,18.75,19.28,19.53,19.94,21.38,22.94,23.22,22.78,22.0,21.09,19.59,17.38,15.38,14.56,14.5,14.06,14.38,15.66,17.66,19.47,21.38,23.94,26.94,28.75,29.94,30.5,31.56,32.0,31.66,31.34,31.38,31.0,29.25,26.62,24.31,21.72,18.97,16.88,15.94,16.59,17.09,17.56,18.12,19.47,20.34,20.34,20.31,20.94,21.16,20.88,21.03,21.34,21.84,21.5,20.47,19.69,19.25,19.09,18.94,19.62,20.53,21.34,21.28,20.5,20.62,21.0,21.16,21.06,21.22,21.78,21.41,20.72,20.12,19.66,18.94,18.03,16.94,16.94,17.31,16.97,16.12,16.47,17.28,17.41,16.88,17.16,17.53,17.81,17.72,18.34,19.88,20.78,21.06,20.78,21.22,21.97,22.06,22.09,22.59,23.38,23.12,22.34,21.75,21.78,21.78,21.31,21.56,22.72,23.41,23.62,23.28,24.03,24.62,24.62,24.25,23.97,23.81,23.31,22.53,22.41,23.12,23.84,23.69,23.44,23.66,23.56,23.12,22.53,23.28,23.97,24.38,24.03,23.78,23.03,21.44,18.97,16.44,14.34,12.88,11.16,10.22,10.84,12.12,13.12,14.0,15.94,17.69,18.84,19.69,20.69,22.31,23.5,23.88,24.59,25.28,26.56,26.78,27.25,28.19,28.53,28.12,27.09,26.56,26.41,26.0,25.25,24.91,24.84,24.75,23.94,22.66,21.97,21.16,19.62,18.28,18.16,18.72,19.06,19.16,19.78,20.47,20.19,19.41,18.91,19.06,19.41,19.25,19.09,19.47,19.78,18.81,17.25,16.56,16.31,15.88,15.97,16.97,18.31,19.28,19.0,18.0,17.28,15.94,13.88,12.44,12.16,12.91,13.75,14.72,16.41,18.66,20.62,22.03,24.19,27.03,29.66,31.16,31.97,32.53,32.06,29.34,25.75,22.47,19.78,16.88,13.94,12.22,11.22,10.88,10.22,10.81,13.06,15.28,16.72,17.81,19.16,20.62,21.53,22.28,23.84,25.69,26.16,26.16,26.09,26.62,26.69,26.0,26.0,26.44,26.81,26.09,24.84,23.56,21.97,18.81,15.34,12.38,10.12,7.59,5.38,4.66,5.09,6.44,6.88,8.22,10.5,13.41,15.34,17.97,21.03,23.72,24.69,24.5,23.94,23.81,23.09,22.47,22.5,23.53,24.16,22.78,20.44,18.22,16.0,12.56,10.16,9.0,8.75,8.19,7.47,7.5,8.84,10.41,11.47,13.88,17.12,20.03,21.44,22.59,24.03,25.69,26.12,26.53,27.06,27.5,27.41,27.16,27.38,28.69,29.62,29.78,28.69,27.0,24.47,19.84,15.47,12.25,10.47,9.34,8.81,9.88,11.53,12.66,12.66,12.12,12.22,11.59,9.84,8.62,8.97,9.59,9.34,9.38,10.5,12.81,14.03,15.69,17.41,19.0,19.75,19.22,18.38,18.59,18.66,18.59,18.75,19.91,21.34,21.56,21.34,20.91,20.53,18.91,17.03,15.91,15.62,15.44,14.72,14.22,13.94,13.78,12.84,11.78,11.31,11.31,10.69,10.34,10.62,12.09,13.0,13.47,13.94,14.84,14.78,13.12,11.31,10.44,10.28,10.09,10.0,11.31,12.94,13.31,13.22,12.78,12.91,12.16,11.34,11.56,13.31,16.0,18.25,20.47,23.56,26.0,27.06,27.5,27.94,27.62,26.06,23.72,21.12,18.69,16.16,13.47,11.22,10.91,11.03,11.19,11.34,12.41,13.62,13.62,13.03,12.78,13.34,13.31,13.16,14.25,16.38,18.12,18.97,19.12,19.47,19.06,17.78,16.28,16.12,16.62,16.19,15.31,14.31,13.94,12.09,9.84,8.03,7.22,6.53,5.19,3.97,3.69,3.56,3.0,2.62,3.38,5.16,6.75,7.75,9.25,9.84,9.47,8.38,7.41,8.25,10.16,12.09,14.22,17.12,19.78,21.0,21.53,22.19,23.19,23.56,22.94,22.88,23.03,22.31,20.66,18.38,17.25,15.56,13.53,11.53,10.78,10.69,10.53,10.41,11.41,13.12,14.75,15.5,17.0,19.09,20.28,20.0,19.62,19.5,18.94,17.84,16.56,16.22,16.16,15.91,14.78,14.19,14.06,13.41,11.94,10.41,9.78,9.03,7.62,6.88,7.5,8.88,10.03,11.09,13.0,15.28,17.06,18.12,20.03,42.59,41.78,40.66,39.22,38.19,37.06,35.97,35.09,34.56,34.66,35.0,36.12,37.69,39.09,40.41,41.41,41.91,42.12,42.16,41.34,40.09,38.59,37.03,35.03,33.28,32.62,32.16,31.91:19.03,20.78,22.75,23.75,23.31,22.12,21.25,20.0,17.84,15.5,14.66,14.09,13.69,13.34,14.0,15.19,16.94,17.59,18.56,20.34,21.75,22.06,22.25,22.97,23.22,22.5,20.72,19.22,18.34,17.5,16.62,16.88,18.16,19.81,20.34,21.12,22.88,24.38,24.81,25.0,25.47,26.25,26.53,26.19,26.16,26.78,26.47,24.59,23.12,21.5,19.91,17.34,14.88,13.22,12.19,11.16,10.25,10.81,12.44,13.88,15.09,16.91,19.5,21.66,23.28,24.75,26.09,26.75,26.28,24.78,23.59,22.75,21.69,20.59,20.25,20.72,20.62,19.31,17.75,16.62,15.38,13.59,12.41,12.47,13.31,13.5,14.0,15.38,17.59,19.03,19.81,20.56,21.66,21.44,19.94,18.66,18.59,18.91,18.47,18.5,19.19,19.0,17.38,15.09,13.31,11.78,9.94,7.94,6.16,5.31,4.12,2.84,2.09,2.91,4.12,4.91,6.03,8.0,10.06,11.53,12.72,14.53,16.91,18.53,18.69,18.84,19.38,19.66,18.97,18.47,18.69,18.62,17.06,14.69,12.34,10.75,8.25,6.19,4.88,5.25,5.56,4.69,4.53,4.84,5.09,4.38,4.66,6.25,8.53,10.41,12.31,14.5,16.78,18.03,18.75,19.38,20.22,21.38,21.28,21.12,21.5,21.84,20.34,18.31,17.34,16.44,15.25,14.38,14.28,15.84,16.69,17.47,18.66,20.78,21.91,21.91,21.38,21.38,21.12,19.59,17.88,17.06,16.59,14.94,13.22,12.03,11.66,10.91,10.31,10.25,11.47,12.78,13.38,13.62,14.72,15.59,14.94,14.03,13.97,14.59,15.38,16.41,18.09,20.28,21.91,22.59,23.41,25.03,26.44,27.53,28.59,30.75,33.0,33.53,32.88,31.69,29.66,26.41,22.78,19.31,17.34,15.66,14.09,13.12,14.03,15.38,16.0,17.0,18.62,20.09,20.0,19.38,18.66,18.03,16.94,15.34,14.06,13.69,13.34,12.56,12.06,13.56,15.44,16.72,18.06,19.47,20.44,19.81,18.0,16.16,14.69,13.47,12.16,11.53,12.59,14.03,15.28,16.16,18.94,21.56,23.62,24.94,26.69,28.16,28.59,27.84,26.75,25.62,23.56,20.56,17.78,16.12,15.09,13.53,12.09,12.22,13.28,13.69,14.41,16.09,18.59,20.25,20.97,21.75,23.0,23.31,22.84,22.62,23.78,24.78,24.94,25.09,25.91,26.69,26.38,25.22,24.28,23.66,22.19,20.47,19.28,19.16,19.5,19.81,20.38,22.28,24.03,24.84,24.44,24.47,24.75,24.41,23.16,22.78,22.97,22.09,20.69,19.53,19.56,20.09,20.19,20.88,22.5,23.88,24.44,24.75,25.44,26.19,26.09,24.88,23.44,22.25,20.91,19.22,18.09,18.38,18.91,18.81,18.62,19.31,20.34,20.84,20.84,22.0,23.16,23.78,23.62,23.81,24.81,25.94,26.09,26.53,27.53,27.78,27.12,26.5,26.53,26.75,26.38,25.56,24.91,24.81,24.75,23.97,23.75,24.72,25.41,25.34,24.75,25.25,25.47,25.09,24.59,25.66,26.56,26.97,26.69,26.78,27.22,27.22,27.03,26.97,27.88,28.53,28.56,28.38,29.38,30.62,31.81,33.06,34.97,36.53,37.0,36.06,35.12,34.47,33.75,32.41,31.41,31.06,31.0,30.22,29.56,30.31,31.34,32.34,32.06,32.28,32.03,31.22,29.16,27.47,27.12,27.56,27.59,28.19,29.53,30.69,30.22,29.53,29.16,28.25,26.62,24.47,22.38,20.84,19.59,17.84,17.0,17.28,18.03,17.75,17.59,18.47,19.03,18.44,17.62,17.66,17.78,18.22,18.66,20.19,22.53,24.5,25.66,27.0,28.47,29.75,29.62,29.38,29.53,29.62,28.62,26.47,24.69,22.69,20.38,17.31,14.84,13.75,12.91,11.69,11.44,12.34,13.69,14.06,14.25,14.91,15.97,16.69,17.03,17.94,19.56,20.78,21.38,22.41,23.75,24.69,24.19,23.53,22.81,21.94,19.78,16.94,14.12,11.28,8.47,6.03,4.38,3.44,2.75,1.56,1.06,2.0,4.22,6.91,10.72,16.06,22.03,26.84,31.0,34.47,36.84,37.47,36.19,34.59,32.84,31.22,29.0,27.38,26.94,26.94,25.66,23.69,22.19,20.66,18.25,16.19,14.75,14.31,14.03,13.34,13.5,14.88,16.81,18.47,20.12,22.47,24.28,24.53,24.31,23.88,23.5,22.53,21.66,21.84,23.03,24.25,24.59,24.88,24.88,24.38,23.19,22.22,21.97,22.47,22.5,22.12,21.97,22.03,21.19,19.41,18.09,17.38,16.5,14.75,13.47,13.09,13.0,11.38,9.75,8.62,7.56,6.53,6.03,6.97,9.09,11.28,13.34,15.44,17.94,20.28,21.62,22.5,23.53,24.78,24.84,24.59,24.91,25.5,25.12,23.88,22.56,21.69,20.38,19.19,18.5,19.38,19.91,20.22,20.06,20.44,21.09,20.91,21.09,21.25,22.16,22.41,21.81,21.28,21.25,21.12,20.0,18.81,18.75,19.28,19.53,19.94,21.38,22.94,23.22,22.78,22.0,21.09,19.59,17.38,15.38,14.56,14.5,14.06,14.38,15.66,17.66,19.47,21.38,23.94,26.94,28.75,29.94,30.5,31.56,32.0,31.66,31.34,31.38,31.0,29.25,26.62,24.31,21.72,18.97,16.88,15.94,16.59,17.09,17.56,18.12,19.47,20.34,20.34,20.31,20.94,21.16,20.88,21.03,21.34,21.84,21.5,20.47,19.69,19.25,19.09,18.94,19.62,20.53,21.34,21.28,20.5,20.62,21.0,21.16,21.06,21.22,21.78,21.41,20.72,20.12,19.66,18.94,18.03,16.94,16.94,17.31,16.97,16.12,16.47,17.28,17.41,16.88,17.16,17.53,17.81,17.72,18.34,19.88,20.78,21.06,20.78,21.22,21.97,22.06,22.09,22.59,23.38,23.12,22.34,21.75,21.78,21.78,21.31,21.56,22.72,23.41,23.62,23.28,24.03,24.62,24.62,24.25,23.97,23.81,23.31,22.53,22.41,23.12,23.84,23.69,23.44,23.66,23.56,23.12,22.53,23.28,23.97,24.38,24.03,23.78,23.03,21.44,18.97,16.44,14.34,12.88,11.16,10.22,10.84,12.12,13.12,14.0,15.94,17.69,18.84,19.69,20.69,22.31,23.5,23.88,24.59,25.28,26.56,26.78,27.25,28.19,28.53,28.12,27.09,26.56,26.41,26.0,25.25,24.91,24.84,24.75,23.94,22.66,21.97,21.16,19.62,18.28,18.16,18.72,19.06,19.16,19.78,20.47,20.19,19.41,18.91,19.06,19.41,19.25,19.09,19.47,19.78,18.81,17.25,16.56,16.31,15.88,15.97,16.97,18.31,19.28,19.0,18.0,17.28,15.94,13.88,12.44,12.16,12.91,13.75,14.72,16.41,18.66,20.62,22.03,24.19,27.03,29.66,31.16,31.97,32.53,32.06,29.34,25.75,22.47,19.78,16.88,13.94,12.22,11.22,10.88,10.22,10.81,13.06,15.28,16.72,17.81,19.16,20.62,21.53,22.28,23.84,25.69,26.16,26.16,26.09,26.62,26.69,26.0,26.0,26.44,26.81,26.09,24.84,23.56,21.97,18.81,15.34,12.38,10.12,7.59,5.38,4.66,5.09,6.44,6.88,8.22,10.5,13.41,15.34,17.97,21.03,23.72,24.69,24.5,23.94,23.81,23.09,22.47,22.5,23.53,24.16,22.78,20.44,18.22,16.0,12.56,10.16,9.0,8.75,8.19,7.47,7.5,8.84,10.41,11.47,13.88,17.12,20.03,21.44,22.59,24.03,25.69,26.12,26.53,27.06,27.5,27.41,27.16,27.38,28.69,29.62,29.78,28.69,27.0,24.47,19.84,15.47,12.25,10.47,9.34,8.81,9.88,11.53,12.66,12.66,12.12,12.22,11.59,9.84,8.62,8.97,9.59,9.34,9.38,10.5,12.81,14.03,15.69,17.41,19.0,19.75,19.22,18.38,18.59,18.66,18.59,18.75,19.91,21.34,21.56,21.34,20.91,20.53,18.91,17.03,15.91,15.62,15.44,14.72,14.22,13.94,13.78,12.84,11.78,11.31,11.31,10.69,10.34,10.62,12.09,13.0,13.47,13.94,14.84,14.78,13.12,11.31,10.44,10.28,10.09,10.0,11.31,12.94,13.31,13.22,12.78,12.91,12.16,11.34,11.56,13.31,16.0,18.25,20.47,23.56,26.0,27.06,27.5,27.94,27.62,26.06,23.72,21.12,18.69,16.16,13.47,11.22,10.91,11.03,11.19,11.34,12.41,13.62,13.62,13.03,12.78,13.34,13.31,13.16,14.25,16.38,18.12,18.97,19.12,19.47,19.06,17.78,16.28,16.12,16.62,16.19,15.31,14.31,13.94,12.09,9.84,8.03,7.22,6.53,5.19,3.97,3.69,3.56,3.0,2.62,3.38,5.16,6.75,7.75,9.25,9.84,9.47,8.38,7.41,8.25,10.16,12.09,14.22,17.12,19.78,21.0,21.53,22.19,23.19,23.56,22.94,22.88,23.03,22.31,20.66,18.38,17.25,15.56,13.53,11.53,10.78,10.69,10.53,10.41,11.41,13.12,14.75,15.5,17.0,19.09,20.28,20.0,19.62,19.5,18.94,17.84,16.56,16.22,16.16,15.91,14.78,14.19,14.06,13.41,11.94,10.41,9.78,9.03,7.62,6.88,7.5,8.88,10.03,11.09,13.0,15.28,17.06,18.12,20.03,42.59,41.78,40.66,39.22,38.19,37.06,35.97,35.09,34.56,34.66,35.0,36.12,37.69,39.09,40.41,41.41,41.91,42.12,42.16,41.34,40.09,38.59,37.03,35.03,33.28,32.62,32.16,31.91,32.0,32.59,33.69,35.0,36.69,38.72,40.53:20.0,17.84,15.5,14.66,14.09,13.69,13.34,14.0,15.19,16.94,17.59,18.56,20.34,21.75,22.06,22.25,22.97,23.22,22.5,20.72,19.22,18.34,17.5,16.62,16.88,18.16,19.81,20.34,21.12,22.88,24.38,24.81,25.0,25.47,26.25,26.53,26.19,26.16,26.78,26.47,24.59,23.12,21.5,19.91,17.34,14.88,13.22,12.19,11.16,10.25,10.81,12.44,13.88,15.09,16.91,19.5,21.66,23.28,24.75,26.09,26.75,26.28,24.78,23.59,22.75,21.69,20.59,20.25,20.72,20.62,19.31,17.75,16.62,15.38,13.59,12.41,12.47,13.31,13.5,14.0,15.38,17.59,19.03,19.81,20.56,21.66,21.44,19.94,18.66,18.59,18.91,18.47,18.5,19.19,19.0,17.38,15.09,13.31,11.78,9.94,7.94,6.16,5.31,4.12,2.84,2.09,2.91,4.12,4.91,6.03,8.0,10.06,11.53,12.72,14.53,16.91,18.53,18.69,18.84,19.38,19.66,18.97,18.47,18.69,18.62,17.06,14.69,12.34,10.75,8.25,6.19,4.88,5.25,5.56,4.69,4.53,4.84,5.09,4.38,4.66,6.25,8.53,10.41,12.31,14.5,16.78,18.03,18.75,19.38,20.22,21.38,21.28,21.12,21.5,21.84,20.34,18.31,17.34,16.44,15.25,14.38,14.28,15.84,16.69,17.47,18.66,20.78,21.91,21.91,21.38,21.38,21.12,19.59,17.88,17.06,16.59,14.94,13.22,12.03,11.66,10.91,10.31,10.25,11.47,12.78,13.38,13.62,14.72,15.59,14.94,14.03,13.97,14.59,15.38,16.41,18.09,20.28,21.91,22.59,23.41,25.03,26.44,27.53,28.59,30.75,33.0,33.53,32.88,31.69,29.66,26.41,22.78,19.31,17.34,15.66,14.09,13.12,14.03,15.38,16.0,17.0,18.62,20.09,20.0,19.38,18.66,18.03,16.94,15.34,14.06,13.69,13.34,12.56,12.06,13.56,15.44,16.72,18.06,19.47,20.44,19.81,18.0,16.16,14.69,13.47,12.16,11.53,12.59,14.03,15.28,16.16,18.94,21.56,23.62,24.94,26.69,28.16,28.59,27.84,26.75,25.62,23.56,20.56,17.78,16.12,15.09,13.53,12.09,12.22,13.28,13.69,14.41,16.09,18.59,20.25,20.97,21.75,23.0,23.31,22.84,22.62,23.78,24.78,24.94,25.09,25.91,26.69,26.38,25.22,24.28,23.66,22.19,20.47,19.28,19.16,19.5,19.81,20.38,22.28,24.03,24.84,24.44,24.47,24.75,24.41,23.16,22.78,22.97,22.09,20.69,19.53,19.56,20.09,20.19,20.88,22.5,23.88,24.44,24.75,25.44,26.19,26.09,24.88,23.44,22.25,20.91,19.22,18.09,18.38,18.91,18.81,18.62,19.31,20.34,20.84,20.84,22.0,23.16,23.78,23.62,23.81,24.81,25.94,26.09,26.53,27.53,27.78,27.12,26.5,26.53,26.75,26.38,25.56,24.91,24.81,24.75,23.97,23.75,24.72,25.41,25.34,24.75,25.25,25.47,25.09,24.59,25.66,26.56,26.97,26.69,26.78,27.22,27.22,27.03,26.97,27.88,28.53,28.56,28.38,29.38,30.62,31.81,33.06,34.97,36.53,37.0,36.06,35.12,34.47,33.75,32.41,31.41,31.06,31.0,30.22,29.56,30.31,31.34,32.34,32.06,32.28,32.03,31.22,29.16,27.47,27.12,27.56,27.59,28.19,29.53,30.69,30.22,29.53,29.16,28.25,26.62,24.47,22.38,20.84,19.59,17.84,17.0,17.28,18.03,17.75,17.59,18.47,19.03,18.44,17.62,17.66,17.78,18.22,18.66,20.19,22.53,24.5,25.66,27.0,28.47,29.75,29.62,29.38,29.53,29.62,28.62,26.47,24.69,22.69,20.38,17.31,14.84,13.75,12.91,11.69,11.44,12.34,13.69,14.06,14.25,14.91,15.97,16.69,17.03,17.94,19.56,20.78,21.38,22.41,23.75,24.69,24.19,23.53,22.81,21.94,19.78,16.94,14.12,11.28,8.47,6.03,4.38,3.44,2.75,1.56,1.06,2.0,4.22,6.91,10.72,16.06,22.03,26.84,31.0,34.47,36.84,37.47,36.19,34.59,32.84,31.22,29.0,27.38,26.94,26.94,25.66,23.69,22.19,20.66,18.25,16.19,14.75,14.31,14.03,13.34,13.5,14.88,16.81,18.47,20.12,22.47,24.28,24.53,24.31,23.88,23.5,22.53,21.66,21.84,23.03,24.25,24.59,24.88,24.88,24.38,23.19,22.22,21.97,22.47,22.5,22.12,21.97,22.03,21.19,19.41,18.09,17.38,16.5,14.75,13.47,13.09,13.0,11.38,9.75,8.62,7.56,6.53,6.03,6.97,9.09,11.28,13.34,15.44,17.94,20.28,21.62,22.5,23.53,24.78,24.84,24.59,24.91,25.5,25.12,23.88,22.56,21.69,20.38,19.19,18.5,19.38,19.91,20.22,20.06,20.44,21.09,20.91,21.09,21.25,22.16,22.41,21.81,21.28,21.25,21.12,20.0,18.81,18.75,19.28,19.53,19.94,21.38,22.94,23.22,22.78,22.0,21.09,19.59,17.38,15.38,14.56,14.5,14.06,14.38,15.66,17.66,19.47,21.38,23.94,26.94,28.75,29.94,30.5,31.56,32.0,31.66,31.34,31.38,31.0,29.25,26.62,24.31,21.72,18.97,16.88,15.94,16.59,17.09,17.56,18.12,19.47,20.34,20.34,20.31,20.94,21.16,20.88,21.03,21.34,21.84,21.5,20.47,19.69,19.25,19.09,18.94,19.62,20.53,21.34,21.28,20.5,20.62,21.0,21.16,21.06,21.22,21.78,21.41,20.72,20.12,19.66,18.94,18.03,16.94,16.94,17.31,16.97,16.12,16.47,17.28,17.41,16.88,17.16,17.53,17.81,17.72,18.34,19.88,20.78,21.06,20.78,21.22,21.97,22.06,22.09,22.59,23.38,23.12,22.34,21.75,21.78,21.78,21.31,21.56,22.72,23.41,23.62,23.28,24.03,24.62,24.62,24.25,23.97,23.81,23.31,22.53,22.41,23.12,23.84,23.69,23.44,23.66,23.56,23.12,22.53,23.28,23.97,24.38,24.03,23.78,23.03,21.44,18.97,16.44,14.34,12.88,11.16,10.22,10.84,12.12,13.12,14.0,15.94,17.69,18.84,19.69,20.69,22.31,23.5,23.88,24.59,25.28,26.56,26.78,27.25,28.19,28.53,28.12,27.09,26.56,26.41,26.0,25.25,24.91,24.84,24.75,23.94,22.66,21.97,21.16,19.62,18.28,18.16,18.72,19.06,19.16,19.78,20.47,20.19,19.41,18.91,19.06,19.41,19.25,19.09,19.47,19.78,18.81,17.25,16.56,16.31,15.88,15.97,16.97,18.31,19.28,19.0,18.0,17.28,15.94,13.88,12.44,12.16,12.91,13.75,14.72,16.41,18.66,20.62,22.03,24.19,27.03,29.66,31.16,31.97,32.53,32.06,29.34,25.75,22.47,19.78,16.88,13.94,12.22,11.22,10.88,10.22,10.81,13.06,15.28,16.72,17.81,19.16,20.62,21.53,22.28,23.84,25.69,26.16,26.16,26.09,26.62,26.69,26.0,26.0,26.44,26.81,26.09,24.84,23.56,21.97,18.81,15.34,12.38,10.12,7.59,5.38,4.66,5.09,6.44,6.88,8.22,10.5,13.41,15.34,17.97,21.03,23.72,24.69,24.5,23.94,23.81,23.09,22.47,22.5,23.53,24.16,22.78,20.44,18.22,16.0,12.56,10.16,9.0,8.75,8.19,7.47,7.5,8.84,10.41,11.47,13.88,17.12,20.03,21.44,22.59,24.03,25.69,26.12,26.53,27.06,27.5,27.41,27.16,27.38,28.69,29.62,29.78,28.69,27.0,24.47,19.84,15.47,12.25,10.47,9.34,8.81,9.88,11.53,12.66,12.66,12.12,12.22,11.59,9.84,8.62,8.97,9.59,9.34,9.38,10.5,12.81,14.03,15.69,17.41,19.0,19.75,19.22,18.38,18.59,18.66,18.59,18.75,19.91,21.34,21.56,21.34,20.91,20.53,18.91,17.03,15.91,15.62,15.44,14.72,14.22,13.94,13.78,12.84,11.78,11.31,11.31,10.69,10.34,10.62,12.09,13.0,13.47,13.94,14.84,14.78,13.12,11.31,10.44,10.28,10.09,10.0,11.31,12.94,13.31,13.22,12.78,12.91,12.16,11.34,11.56,13.31,16.0,18.25,20.47,23.56,26.0,27.06,27.5,27.94,27.62,26.06,23.72,21.12,18.69,16.16,13.47,11.22,10.91,11.03,11.19,11.34,12.41,13.62,13.62,13.03,12.78,13.34,13.31,13.16,14.25,16.38,18.12,18.97,19.12,19.47,19.06,17.78,16.28,16.12,16.62,16.19,15.31,14.31,13.94,12.09,9.84,8.03,7.22,6.53,5.19,3.97,3.69,3.56,3.0,2.62,3.38,5.16,6.75,7.75,9.25,9.84,9.47,8.38,7.41,8.25,10.16,12.09,14.22,17.12,19.78,21.0,21.53,22.19,23.19,23.56,22.94,22.88,23.03,22.31,20.66,18.38,17.25,15.56,13.53,11.53,10.78,10.69,10.53,10.41,11.41,13.12,14.75,15.5,17.0,19.09,20.28,20.0,19.62,19.5,18.94,17.84,16.56,16.22,16.16,15.91,14.78,14.19,14.06,13.41,11.94,10.41,9.78,9.03,7.62,6.88,7.5,8.88,10.03,11.09,13.0,15.28,17.06,18.12,20.03,42.59,41.78,40.66,39.22,38.19,37.06,35.97,35.09,34.56,34.66,35.0,36.12,37.69,39.09,40.41,41.41,41.91,42.12,42.16,41.34,40.09,38.59,37.03,35.03,33.28,32.62,32.16,31.91,32.0,32.59,33.69,35.0,36.69,38.72,40.53,42.16,43.66,44.75,45.81,46.28,46.28,45.75:negativity
15.12,14.97,16.28,16.5,14.62,13.5,14.72,15.53,14.28,13.0,13.97,15.72,15.38,13.66,14.94,17.88,19.75,19.84,21.5,24.75,26.38,24.94,23.28,23.5,22.94,19.62,16.47,16.16,17.59,16.91,15.84,16.94,19.22,20.28,19.31,19.34,21.44,22.41,21.16,20.41,21.88,22.94,21.12,18.97,18.19,18.53,17.31,15.44,15.66,17.94,18.72,16.69,15.81,16.75,17.41,16.41,15.97,18.53,20.97,21.16,20.22,20.97,21.94,20.72,17.75,16.88,17.47,17.94,17.09,17.94,20.66,22.84,21.94,21.03,21.91,22.91,21.16,18.81,17.59,17.62,15.62,12.72,11.72,13.12,14.12,12.84,12.78,14.66,16.66,16.09,15.75,17.38,19.31,18.56,16.56,15.59,15.31,14.38,11.91,11.41,13.53,14.84,14.28,14.03,15.5,16.16,14.03,11.16,10.53,10.69,9.28,7.94,8.59,10.53,10.78,8.91,7.88,8.31,8.06,6.0,4.34,5.66,7.28,6.41,4.97,5.75,7.66,7.41,6.38,6.91,9.19,10.0,8.28,7.47,8.09,7.72,4.62,2.03,1.66,2.53,2.0,1.31,3.03,5.97,7.12,6.44,6.47,8.22,8.53,7.03,6.38,8.0,10.28,9.69,9.88,11.62,13.81,13.34,11.56,11.62,12.78,12.16,10.25,9.06,9.72,9.56,7.5,6.62,8.94,11.16,11.06,10.5,11.28,13.09,12.28,10.81,11.5,13.72,14.84,14.25,14.12,15.41,16.03,14.59,14.44,17.03,20.28,20.88,20.22,20.25,20.41,18.28,14.5,11.81,10.72,8.69,4.94,2.69,3.75,5.03,4.41,4.41,6.28,8.22,7.91,6.78,7.94,10.16,10.88,9.94,9.78,11.03,10.72,8.66,7.25,8.41,9.78,9.03,8.59,10.28,12.16,11.47,10.09,10.0,11.44,11.59,10.5,10.62,12.38,13.34,12.22,11.94,13.72,15.66,15.72,15.5,17.19,19.34,19.16,17.75,18.16,19.75,19.75,17.88,16.59,16.94,16.5,14.53,13.44,15.38,17.69,17.88,17.72,19.53,21.88,22.22,20.72,20.47,21.44,20.56,18.03,16.62,17.31,17.66,16.47,15.53,16.81,18.56,17.91,16.94,17.66,19.22,19.38,17.75,16.88,17.44,16.03,12.91,10.72,11.34,12.69,12.44,12.91,16.03,19.38,19.97,18.56,18.38,18.28,16.19,13.22,12.22,14.09,15.16,13.78,12.69,13.41,13.44,11.34,9.19,10.06,11.94,11.84,10.69,11.22,12.5,12.06,10.47,10.41,13.22,15.69,16.31,17.19,19.56,21.25,20.25,18.53,18.75,19.56,18.25,16.12,15.62,16.84,16.34,14.69,14.0,15.88,17.25,17.03,16.97,18.78,20.16,18.22,15.09,13.81,13.62,11.78,9.16,8.56,9.66,9.59,7.59,6.34,7.62,8.53,7.72,7.44,9.44,12.0,12.0,11.19,12.16,13.81,14.0,12.34,11.72,12.75,12.56,10.31,8.38,8.81,8.97,7.38,5.34,6.31,7.81,6.94,5.03,4.91,5.78,5.44,3.78,3.25,5.59,7.72,7.88,8.22,10.88,12.81,12.59,11.38,12.44,14.47,14.22,13.06,13.22,14.59,14.16,11.78,9.62,9.69,9.38,7.16,5.94,7.69,10.16,10.78,10.72,12.72,14.66,14.25,12.22,11.34,12.0,11.78,9.72,8.53,9.88,10.56,9.75,8.44,9.59,10.53,8.94,5.94,5.25,5.97,4.97,2.84,2.22,3.31,3.59,2.19,2.06,4.75,7.88,9.16,10.41,13.88,18.25,19.94,21.34,24.28,28.31,29.97,29.25,28.44,28.69,27.66,24.12,20.84,19.62,17.78,12.66,6.91,3.53,1.03,-2.22,-5.56,-6.03,-4.5,-3.75,-4.44,-2.97,1.28,5.62,8.31,11.06,15.81,19.34,19.72,18.12,18.12,18.62,17.16,14.19,13.12,13.75,13.22,11.72,11.72,14.31,16.81,16.59,15.31,15.72,15.78,13.38,10.34,9.66,11.34,12.03,11.88,13.44,16.19,17.81,16.56,15.44,16.22,16.59,14.56,12.28,12.75,14.19,13.66,12.16,12.91,14.59,14.97,13.66,13.44,14.81,14.62,11.5,8.78,8.41,8.84,7.69,6.88,9.0,12.16,13.84,13.81,15.25,17.59,17.62,15.19,12.84,12.19,10.94,7.81,5.72,6.78,8.91,9.28,9.22,10.72,12.84,12.75,11.78,12.88,15.97,18.19,18.41,18.62,19.62,19.25,15.44,11.47,9.69,8.34,4.94,1.78,1.53,3.16,4.03,4.28,6.81,11.06,14.25,15.66,17.94,22.03,25.91,26.91,27.5,29.59,31.31,29.62,26.09,23.69,21.84,18.66,14.28,11.88,12.25,12.88,12.5,13.72,17.59,20.81,21.56,21.72,23.31,25.44,25.09,23.66,23.59,24.31,23.59,21.34,20.38,21.25,21.53,19.53,18.31,19.03,19.38,17.28,14.19,13.31,13.09,10.88,7.94,7.09,8.0,8.06,6.47,6.41,8.75,10.66,10.12,9.53,11.0,12.25,11.38,9.69,10.16,12.06,12.41,11.5,11.81,13.44,13.56,11.22,9.53,10.03,10.66,8.91,7.41,8.59,10.44,10.28,9.56,11.06,13.84,14.88,13.78,13.66,14.88,14.5,11.72,10.31,11.38,12.78,11.5,10.81,11.97,14.03,13.91,13.09,14.28,16.75,17.53,16.28,15.94,17.47,18.25,16.78,16.41,18.5,20.75,20.19,19.31,20.25,21.66,20.62,18.66,18.47,19.91,20.22,18.5,17.53,18.38,18.16,15.81,14.0,15.06,16.22,15.38,14.34,14.94,16.62,16.84,15.72,16.25,18.62,19.56,18.25,18.09,20.44,22.12,21.81,22.28,24.84,27.94,28.5,27.31,27.06,27.03,24.09,20.25,18.62,19.91,20.91,20.22,20.78,23.28,24.88,23.88,22.47,23.47,25.19,24.59,23.75,24.19,25.28,23.94,20.59,18.41,18.72,18.47,16.94,16.22,17.78,19.12,17.5,15.25,15.5,16.44,15.41,13.94,14.66,17.06,17.56,16.28,15.72,16.75,17.0,14.97,13.66,15.31,17.59,17.69,17.88,20.09,23.31,24.03,23.44,24.47,26.78,26.91,24.91,23.16,23.22,22.59,20.06,18.53,20.19,22.25,21.78,20.72,21.44,22.81,22.69,21.81,22.47,25.16,26.44,25.47,24.53,25.53,25.97,23.75,21.94,23.0,25.28,25.56,24.91,26.31,28.72,29.12,27.69,26.91,28.06,27.72,24.88,22.12,21.75,21.12,17.88,15.34,15.44,16.91,17.16,16.91,18.56,21.19,22.12,20.91,20.69,22.41,23.66,22.53,22.03,23.91,25.59,24.62,22.56,22.66,23.22,21.34,18.53,17.88,19.06,18.88,17.12,16.44,17.78,18.34,16.75,15.25,16.69,18.34,17.88,17.34,18.84,21.91,22.75,22.0,22.06,23.12,22.0,18.81,16.31,16.53,17.09,15.69,14.59,16.66,19.22,19.09,18.16,18.78,20.34,19.66,17.97,17.94,19.78,21.03,20.31,20.22,23.0,24.84,24.16,22.69,23.12,23.72,21.88,18.81,17.97,18.75,18.16,16.16,15.62,17.31,18.47,17.03,15.84,16.97,17.38,15.78,13.53,14.09,16.0,15.84,15.47,16.72,20.03,21.56,21.22,22.12,24.5,25.97,24.66,23.34,23.97,24.59,22.66,19.84,18.97,18.88,16.62,13.59,12.38,13.53,13.66,11.97,11.59,13.31,14.66,13.94,13.66,16.19,19.19,20.31,20.25,22.47,25.22,25.84,24.62,25.09,27.31,28.34,27.41,26.72,28.06,28.88,27.0,24.75,25.19,26.06,24.53,22.62,22.62,24.12,24.41,23.72,24.47,27.0,28.72,28.0,27.94,29.53,31.28,30.25,28.94,30.25,31.72,31.53,30.0,30.66,32.62,32.94,30.59,28.44,27.44,25.0,19.88,15.84,15.66,16.78,16.78,17.34,20.47,24.56,25.94,25.44,25.94,27.53,27.41,25.09,23.69,24.75,25.28,23.88,22.53,23.19,23.66,21.62,18.94,18.78,20.31,20.78,20.16,20.97,23.56,24.75,24.0,24.16,26.22,27.72,25.91,23.28,22.34,21.03,17.25,13.06,11.38,11.66,11.19,10.03,11.06,14.62,17.66,18.06,18.72,21.34,23.53,23.06,22.44,24.19,26.38,26.12,23.91,22.91,22.72,21.34,18.03,16.5,17.41,17.66,15.66,14.06,14.94,15.84,14.75,13.47,14.84,17.72,18.94,19.38,22.16,26.12,28.5,28.16,28.53,29.84,29.97,27.25,24.19,23.47,22.94,20.16,17.41,17.03,18.16,17.94,17.0,18.06,20.88,22.91,22.44,22.75,24.88,26.38,25.09,23.06,23.69,24.38,22.88,20.06,18.91,19.06,17.31,14.72,14.22,16.16,17.28,16.28,15.41,16.84,17.66,16.38,14.78,15.56,16.59,15.53,13.28,13.03,14.69,15.47,14.75,15.38,18.47,20.53,19.88,19.66,21.25,22.47,20.47,17.47,16.28,15.84,13.97,11.44,10.69,12.09,12.34,10.31,9.38,10.19,10.78,8.69,7.0,7.81,8.41,6.81,4.88,5.62,7.41,8.44,8.38,10.06,12.88,14.19,12.81,12.25,13.53,14.69,13.62,13.06,14.78,17.28,16.88,15.34,14.97,14.75,12.41,8.41,6.81,8.06,9.34,9.47,10.78,14.62,18.34,19.19,19.66,21.69,23.44,22.09,19.06,17.41,17.09,16.06,14.19,14.47,17.22,19.34,18.81,18.41,19.94,21.81,21.62,21.28,23.06,25.91,26.41,25.62,26.38,28.19,28.66,26.78,26.06,27.38,28.38,27.16,26.19,27.44,28.81,27.41:15.53,14.28,13.0,13.97,15.72,15.38,13.66,14.94,17.88,19.75,19.84,21.5,24.75,26.38,24.94,23.28,23.5,22.94,19.62,16.47,16.16,17.59,16.91,15.84,16.94,19.22,20.28,19.31,19.34,21.44,22.41,21.16,20.41,21.88,22.94,21.12,18.97,18.19,18.53,17.31,15.44,15.66,17.94,18.72,16.69,15.81,16.75,17.41,16.41,15.97,18.53,20.97,21.16,20.22,20.97,21.94,20.72,17.75,16.88,17.47,17.94,17.09,17.94,20.66,22.84,21.94,21.03,21.91,22.91,21.16,18.81,17.59,17.62,15.62,12.72,11.72,13.12,14.12,12.84,12.78,14.66,16.66,16.09,15.75,17.38,19.31,18.56,16.56,15.59,15.31,14.38,11.91,11.41,13.53,14.84,14.28,14.03,15.5,16.16,14.03,11.16,10.53,10.69,9.28,7.94,8.59,10.53,10.78,8.91,7.88,8.31,8.06,6.0,4.34,5.66,7.28,6.41,4.97,5.75,7.66,7.41,6.38,6.91,9.19,10.0,8.28,7.47,8.09,7.72,4.62,2.03,1.66,2.53,2.0,1.31,3.03,5.97,7.12,6.44,6.47,8.22,8.53,7.03,6.38,8.0,10.28,9.69,9.88,11.62,13.81,13.34,11.56,11.62,12.78,12.16,10.25,9.06,9.72,9.56,7.5,6.62,8.94,11.16,11.06,10.5,11.28,13.09,12.28,10.81,11.5,13.72,14.84,14.25,14.12,15.41,16.03,14.59,14.44,17.03,20.28,20.88,20.22,20.25,20.41,18.28,14.5,11.81,10.72,8.69,4.94,2.69,3.75,5.03,4.41,4.41,6.28,8.22,7.91,6.78,7.94,10.16,10.88,9.94,9.78,11.03,10.72,8.66,7.25,8.41,9.78,9.03,8.59,10.28,12.16,11.47,10.09,10.0,11.44,11.59,10.5,10.62,12.38,13.34,12.22,11.94,13.72,15.66,15.72,15.5,17.19,19.34,19.16,17.75,18.16,19.75,19.75,17.88,16.59,16.94,16.5,14.53,13.44,15.38,17.69,17.88,17.72,19.53,21.88,22.22,20.72,20.47,21.44,20.56,18.03,16.62,17.31,17.66,16.47,15.53,16.81,18.56,17.91,16.94,17.66,19.22,19.38,17.75,16.88,17.44,16.03,12.91,10.72,11.34,12.69,12.44,12.91,16.03,19.38,19.97,18.56,18.38,18.28,16.19,13.22,12.22,14.09,15.16,13.78,12.69,13.41,13.44,11.34,9.19,10.06,11.94,11.84,10.69,11.22,12.5,12.06,10.47,10.41,13.22,15.69,16.31,17.19,19.56,21.25,20.25,18.53,18.75,19.56,18.25,16.12,15.62,16.84,16.34,14.69,14.0,15.88,17.25,17.03,16.97,18.78,20.16,18.22,15.09,13.81,13.62,11.78,9.16,8.56,9.66,9.59,7.59,6.34,7.62,8.53,7.72,7.44,9.44,12.0,12.0,11.19,12.16,13.81,14.0,12.34,11.72,12.75,12.56,10.31,8.38,8.81,8.97,7.38,5.34,6.31,7.81,6.94,5.03,4.91,5.78,5.44,3.78,3.25,5.59,7.72,7.88,8.22,10.88,12.81,12.59,11.38,12.44,14.47,14.22,13.06,13.22,14.59,14.16,11.78,9.62,9.69,9.38,7.16,5.94,7.69,10.16,10.78,10.72,12.72,14.66,14.25,12.22,11.34,12.0,11.78,9.72,8.53,9.88,10.56,9.75,8.44,9.59,10.53,8.94,5.94,5.25,5.97,4.97,2.84,2.22,3.31,3.59,2.19,2.06,4.75,7.88,9.16,10.41,13.88,18.25,19.94,21.34,24.28,28.31,29.97,29.25,28.44,28.69,27.66,24.12,20.84,19.62,17.78,12.66,6.91,3.53,1.03,-2.22,-5.56,-6.03,-4.5,-3.75,-4.44,-2.97,1.28,5.62,8.31,11.06,15.81,19.34,19.72,18.12,18.12,18.62,17.16,14.19,13.12,13.75,13.22,11.72,11.72,14.31,16.81,16.59,15.31,15.72,15.78,13.38,10.34,9.66,11.34,12.03,11.88,13.44,16.19,17.81,16.56,15.44,16.22,16.59,14.56,12.28,12.75,14.19,13.66,12.16,12.91,14.59,14.97,13.66,13.44,14.81,14.62,11.5,8.78,8.41,8.84,7.69,6.88,9.0,12.16,13.84,13.81,15.25,17.59,17.62,15.19,12.84,12.19,10.94,7.81,5.72,6.78,8.91,9.28,9.22,10.72,12.84,12.75,11.78,12.88,15.97,18.19,18.41,18.62,19.62,19.25,15.44,11.47,9.69,8.34,4.94,1.78,1.53,3.16,4.03,4.28,6.81,11.06,14.25,15.66,17.94,22.03,25.91,26.91,27.5,29.59,31.31,29.62,26.09,23.69,21.84,18.66,14.28,11.88,12.25,12.88,12.5,13.72,17.59,20.81,21.56,21.72,23.31,25.44,25.09,23.66,23.59,24.31,23.59,21.34,20.38,21.25,21.53,19.53,18.31,19.03,19.38,17.28,14.19,13.31,13.09,10.88,7.94,7.09,8.0,8.06,6.47,6.41,8.75,10.66,10.12,9.53,11.0,12.25,11.38,9.69,10.16,12.06,12.41,11.5,11.81,13.44,13.56,11.22,9.53,10.03,10.66,8.91,7.41,8.59,10.44,10.28,9.56,11.06,13.84,14.88,13.78,13.66,14.88,14.5,11.72,10.31,11.38,12.78,11.5,10.81,11.97,14.03,13.91,13.09,14.28,16.75,17.53,16.28,15.94,17.47,18.25,16.78,16.41,18.5,20.75,20.19,19.31,20.25,21.66,20.62,18.66,18.47,19.91,20.22,18.5,17.53,18.38,18.16,15.81,14.0,15.06,16.22,15.38,14.34,14.94,16.62,16.84,15.72,16.25,18.62,19.56,18.25,18.09,20.44,22.12,21.81,22.28,24.84,27.94,28.5,27.31,27.06,27.03,24.09,20.25,18.62,19.91,20.91,20.22,20.78,23.28,24.88,23.88,22.47,23.47,25.19,24.59,23.75,24.19,25.28,23.94,20.59,18.41,18.72,18.47,16.94,16.22,17.78,19.12,17.5,15.25,15.5,16.44,15.41,13.94,14.66,17.06,17.56,16.28,15.72,16.75,17.0,14.97,13.66,15.31,17.59,17.69,17.88,20.09,23.31,24.03,23.44,24.47,26.78,26.91,24.91,23.16,23.22,22.59,20.06,18.53,20.19,22.25,21.78,20.72,21.44,22.81,22.69,21.81,22.47,25.16,26.44,25.47,24.53,25.53,25.97,23.75,21.94,23.0,25.28,25.56,24.91,26.31,28.72,29.12,27.69,26.91,28.06,27.72,24.88,22.12,21.75,21.12,17.88,15.34,15.44,16.91,17.16,16.91,18.56,21.19,22.12,20.91,20.69,22.41,23.66,22.53,22.03,23.91,25.59,24.62,22.56,22.66,23.22,21.34,18.53,17.88,19.06,18.88,17.12,16.44,17.78,18.34,16.75,15.25,16.69,18.34,17.88,17.34,18.84,21.91,22.75,22.0,22.06,23.12,22.0,18.81,16.31,16.53,17.09,15.69,14.59,16.66,19.22,19.09,18.16,18.78,20.34,19.66,17.97,17.94,19.78,21.03,20.31,20.22,23.0,24.84,24.16,22.69,23.12,23.72,21.88,18.81,17.97,18.75,18.16,16.16,15.62,17.31,18.47,17.03,15.84,16.97,17.38,15.78,13.53,14.09,16.0,15.84,15.47,16.72,20.03,21.56,21.22,22.12,24.5,25.97,24.66,23.34,23.97,24.59,22.66,19.84,18.97,18.88,16.62,13.59,12.38,13.53,13.66,11.97,11.59,13.31,14.66,13.94,13.66,16.19,19.19,20.31,20.25,22.47,25.22,25.84,24.62,25.09,27.31,28.34,27.41,26.72,28.06,28.88,27.0,24.75,25.19,26.06,24.53,22.62,22.62,24.12,24.41,23.72,24.47,27.0,28.72,28.0,27.94,29.53,31.28,30.25,28.94,30.25,31.72,31.53,30.0,30.66,32.62,32.94,30.59,28.44,27.44,25.0,19.88,15.84,15.66,16.78,16.78,17.34,20.47,24.56,25.94,25.44,25.94,27.53,27.41,25.09,23.69,24.75,25.28,23.88,22.53,23.19,23.66,21.62,18.94,18.78,20.31,20.78,20.16,20.97,23.56,24.75,24.0,24.16,26.22,27.72,25.91,23.28,22.34,21.03,17.25,13.06,11.38,11.66,11.19,10.03,11.06,14.62,17.66,18.06,18.72,21.34,23.53,23.06,22.44,24.19,26.38,26.12,23.91,22.91,22.72,21.34,18.03,16.5,17.41,17.66,15.66,14.06,14.94,15.84,14.75,13.47,14.84,17.72,18.94,19.38,22.16,26.12,28.5,28.16,28.53,29.84,29.97,27.25,24.19,23.47,22.94,20.16,17.41,17.03,18.16,17.94,17.0,18.06,20.88,22.91,22.44,22.75,24.88,26.38,25.09,23.06,23.69,24.38,22.88,20.06,18.91,19.06,17.31,14.72,14.22,16.16,17.28,16.28,15.41,16.84,17.66,16.38,14.78,15.56,16.59,15.53,13.28,13.03,14.69,15.47,14.75,15.38,18.47,20.53,19.88,19.66,21.25,22.47,20.47,17.47,16.28,15.84,13.97,11.44,10.69,12.09,12.34,10.31,9.38,10.19,10.78,8.69,7.0,7.81,8.41,6.81,4.88,5.62,7.41,8.44,8.38,10.06,12.88,14.19,12.81,12.25,13.53,14.69,13.62,13.06,14.78,17.28,16.88,15.34,14.97,14.75,12.41,8.41,6.81,8.06,9.34,9.47,10.78,14.62,18.34,19.19,19.66,21.69,23.44,22.09,19.06,17.41,17.09,16.06,14.19,14.47,17.22,19.34,18.81,18.41,19.94,21.81,21.62,21.28,23.06,25.91,26.41,25.62,26.38,28.19,28.66,26.78,26.06,27.38,28.38,27.16,26.19,27.44,28.81,27.41,22.5,22.06,22.81,23.41,22.47,22.31,23.38:14.94,17.88,19.75,19.84,21.5,24.75,26.38,24.94,23.28,23.5,22.94,19.62,16.47,16.16,17.59,16.91,15.84,16.94,19.22,20.28,19.31,19.34,21.44,22.41,21.16,20.41,21.88,22.94,21.12,18.97,18.19,18.53,17.31,15.44,15.66,17.94,18.72,16.69,15.81,16.75,17.41,16.41,15.97,18.53,20.97,21.16,20.22,20.97,21.94,20.72,17.75,16.88,17.47,17.94,17.09,17.94,20.66,22.84,21.94,21.03,21.91,22.91,21.16,18.81,17.59,17.62,15.62,12.72,11.72,13.12,14.12,12.84,12.78,14.66,16.66,16.09,15.75,17.38,19.31,18.56,16.56,15.59,15.31,14.38,11.91,11.41,13.53,14.84,14.28,14.03,15.5,16.16,14.03,11.16,10.53,10.69,9.28,7.94,8.59,10.53,10.78,8.91,7.88,8.31,8.06,6.0,4.34,5.66,7.28,6.41,4.97,5.75,7.66,7.41,6.38,6.91,9.19,10.0,8.28,7.47,8.09,7.72,4.62,2.03,1.66,2.53,2.0,1.31,3.03,5.97,7.12,6.44,6.47,8.22,8.53,7.03,6.38,8.0,10.28,9.69,9.88,11.62,13.81,13.34,11.56,11.62,12.78,12.16,10.25,9.06,9.72,9.56,7.5,6.62,8.94,11.16,11.06,10.5,11.28,13.09,12.28,10.81,11.5,13.72,14.84,14.25,14.12,15.41,16.03,14.59,14.44,17.03,20.28,20.88,20.22,20.25,20.41,18.28,14.5,11.81,10.72,8.69,4.94,2.69,3.75,5.03,4.41,4.41,6.28,8.22,7.91,6.78,7.94,10.16,10.88,9.94,9.78,11.03,10.72,8.66,7.25,8.41,9.78,9.03,8.59,10.28,12.16,11.47,10.09,10.0,11.44,11.59,10.5,10.62,12.38,13.34,12.22,11.94,13.72,15.66,15.72,15.5,17.19,19.34,19.16,17.75,18.16,19.75,19.75,17.88,16.59,16.94,16.5,14.53,13.44,15.38,17.69,17.88,17.72,19.53,21.88,22.22,20.72,20.47,21.44,20.56,18.03,16.62,17.31,17.66,16.47,15.53,16.81,18.56,17.91,16.94,17.66,19.22,19.38,17.75,16.88,17.44,16.03,12.91,10.72,11.34,12.69,12.44,12.91,16.03,19.38,19.97,18.56,18.38,18.28,16.19,13.22,12.22,14.09,15.16,13.78,12.69,13.41,13.44,11.34,9.19,10.06,11.94,11.84,10.69,11.22,12.5,12.06,10.47,10.41,13.22,15.69,16.31,17.19,19.56,21.25,20.25,18.53,18.75,19.56,18.25,16.12,15.62,16.84,16.34,14.69,14.0,15.88,17.25,17.03,16.97,18.78,20.16,18.22,15.09,13.81,13.62,11.78,9.16,8.56,9.66,9.59,7.59,6.34,7.62,8.53,7.72,7.44,9.44,12.0,12.0,11.19,12.16,13.81,14.0,12.34,11.72,12.75,12.56,10.31,8.38,8.81,8.97,7.38,5.34,6.31,7.81,6.94,5.03,4.91,5.78,5.44,3.78,3.25,5.59,7.72,7.88,8.22,10.88,12.81,12.59,11.38,12.44,14.47,14.22,13.06,13.22,14.59,14.16,11.78,9.62,9.69,9.38,7.16,5.94,7.69,10.16,10.78,10.72,12.72,14.66,14.25,12.22,11.34,12.0,11.78,9.72,8.53,9.88,10.56,9.75,8.44,9.59,10.53,8.94,5.94,5.25,5.97,4.97,2.84,2.22,3.31,3.59,2.19,2.06,4.75,7.88,9.16,10.41,13.88,18.25,19.94,21.34,24.28,28.31,29.97,29.25,28.44,28.69,27.66,24.12,20.84,19.62,17.78,12.66,6.91,3.53,1.03,-2.22,-5.56,-6.03,-4.5,-3.75,-4.44,-2.97,1.28,5.62,8.31,11.06,15.81,19.34,19.72,18.12,18.12,18.62,17.16,14.19,13.12,13.75,13.22,11.72,11.72,14.31,16.81,16.59,15.31,15.72,15.78,13.38,10.34,9.66,11.34,12.03,11.88,13.44,16.19,17.81,16.56,15.44,16.22,16.59,14.56,12.28,12.75,14.19,13.66,12.16,12.91,14.59,14.97,13.66,13.44,14.81,14.62,11.5,8.78,8.41,8.84,7.69,6.88,9.0,12.16,13.84,13.81,15.25,17.59,17.62,15.19,12.84,12.19,10.94,7.81,5.72,6.78,8.91,9.28,9.22,10.72,12.84,12.75,11.78,12.88,15.97,18.19,18.41,18.62,19.62,19.25,15.44,11.47,9.69,8.34,4.94,1.78,1.53,3.16,4.03,4.28,6.81,11.06,14.25,15.66,17.94,22.03,25.91,26.91,27.5,29.59,31.31,29.62,26.09,23.69,21.84,18.66,14.28,11.88,12.25,12.88,12.5,13.72,17.59,20.81,21.56,21.72,23.31,25.44,25.09,23.66,23.59,24.31,23.59,21.34,20.38,21.25,21.53,19.53,18.31,19.03,19.38,17.28,14.19,13.31,13.09,10.88,7.94,7.09,8.0,8.06,6.47,6.41,8.75,10.66,10.12,9.53,11.0,12.25,11.38,9.69,10.16,12.06,12.41,11.5,11.81,13.44,13.56,11.22,9.53,10.03,10.66,8.91,7.41,8.59,10.44,10.28,9.56,11.06,13.84,14.88,13.78,13.66,14.88,14.5,11.72,10.31,11.38,12.78,11.5,10.81,11.97,14.03,13.91,13.09,14.28,16.75,17.53,16.28,15.94,17.47,18.25,16.78,16.41,18.5,20.75,20.19,19.31,20.25,21.66,20.62,18.66,18.47,19.91,20.22,18.5,17.53,18.38,18.16,15.81,14.0,15.06,16.22,15.38,14.34,14.94,16.62,16.84,15.72,16.25,18.62,19.56,18.25,18.09,20.44,22.12,21.81,22.28,24.84,27.94,28.5,27.31,27.06,27.03,24.09,20.25,18.62,19.91,20.91,20.22,20.78,23.28,24.88,23.88,22.47,23.47,25.19,24.59,23.75,24.19,25.28,23.94,20.59,18.41,18.72,18.47,16.94,16.22,17.78,19.12,17.5,15.25,15.5,16.44,15.41,13.94,14.66,17.06,17.56,16.28,15.72,16.75,17.0,14.97,13.66,15.31,17.59,17.69,17.88,20.09,23.31,24.03,23.44,24.47,26.78,26.91,24.91,23.16,23.22,22.59,20.06,18.53,20.19,22.25,21.78,20.72,21.44,22.81,22.69,21.81,22.47,25.16,26.44,25.47,24.53,25.53,25.97,23.75,21.94,23.0,25.28,25.56,24.91,26.31,28.72,29.12,27.69,26.91,28.06,27.72,24.88,22.12,21.75,21.12,17.88,15.34,15.44,16.91,17.16,16.91,18.56,21.19,22.12,20.91,20.69,22.41,23.66,22.53,22.03,23.91,25.59,24.62,22.56,22.66,23.22,21.34,18.53,17.88,19.06,18.88,17.12,16.44,17.78,18.34,16.75,15.25,16.69,18.34,17.88,17.34,18.84,21.91,22.75,22.0,22.06,23.12,22.0,18.81,16.31,16.53,17.09,15.69,14.59,16.66,19.22,19.09,18.16,18.78,20.34,19.66,17.97,17.94,19.78,21.03,20.31,20.22,23.0,24.84,24.16,22.69,23.12,23.72,21.88,18.81,17.97,18.75,18.16,16.16,15.62,17.31,18.47,17.03,15.84,16.97,17.38,15.78,13.53,14.09,16.0,15.84,15.47,16.72,20.03,21.56,21.22,22.12,24.5,25.97,24.66,23.34,23.97,24.59,22.66,19.84,18.97,18.88,16.62,13.59,12.38,13.53,13.66,11.97,11.59,13.31,14.66,13.94,13.66,16.19,19.19,20.31,20.25,22.47,25.22,25.84,24.62,25.09,27.31,28.34,27.41,26.72,28.06,28.88,27.0,24.75,25.19,26.06,24.53,22.62,22.62,24.12,24.41,23.72,24.47,27.0,28.72,28.0,27.94,29.53,31.28,30.25,28.94,30.25,31.72,31.53,30.0,30.66,32.62,32.94,30.59,28.44,27.44,25.0,19.88,15.84,15.66,16.78,16.78,17.34,20.47,24.56,25.94,25.44,25.94,27.53,27.41,25.09,23.69,24.75,25.28,23.88,22.53,23.19,23.66,21.62,18.94,18.78,20.31,20.78,20.16,20.97,23.56,24.75,24.0,24.16,26.22,27.72,25.91,23.28,22.34,21.03,17.25,13.06,11.38,11.66,11.19,10.03,11.06,14.62,17.66,18.06,18.72,21.34,23.53,23.06,22.44,24.19,26.38,26.12,23.91,22.91,22.72,21.34,18.03,16.5,17.41,17.66,15.66,14.06,14.94,15.84,14.75,13.47,14.84,17.72,18.94,19.38,22.16,26.12,28.5,28.16,28.53,29.84,29.97,27.25,24.19,23.47,22.94,20.16,17.41,17.03,18.16,17.94,17.0,18.06,20.88,22.91,22.44,22.75,24.88,26.38,25.09,23.06,23.69,24.38,22.88,20.06,18.91,19.06,17.31,14.72,14.22,16.16,17.28,16.28,15.41,16.84,17.66,16.38,14.78,15.56,16.59,15.53,13.28,13.03,14.69,15.47,14.75,15.38,18.47,20.53,19.88,19.66,21.25,22.47,20.47,17.47,16.28,15.84,13.97,11.44,10.69,12.09,12.34,10.31,9.38,10.19,10.78,8.69,7.0,7.81,8.41,6.81,4.88,5.62,7.41,8.44,8.38,10.06,12.88,14.19,12.81,12.25,13.53,14.69,13.62,13.06,14.78,17.28,16.88,15.34,14.97,14.75,12.41,8.41,6.81,8.06,9.34,9.47,10.78,14.62,18.34,19.19,19.66,21.69,23.44,22.09,19.06,17.41,17.09,16.06,14.19,14.47,17.22,19.34,18.81,18.41,19.94,21.81,21.62,21.28,23.06,25.91,26.41,25.62,26.38,28.19,28.66,26.78,26.06,27.38,28.38,27.16,26.19,27.44,28.81,27.41,22.5,22.06,22.81,23.41,22.47,22.31,23.38,24.09,23.44,22.69,23.62,24.84,24.78,24.12:24.94,23.28,23.5,22.94,19.62,16.47,16.16,17.59,16.91,15.84,16.94,19.22,20.28,19.31,19.34,21.44,22.41,21.16,20.41,21.88,22.94,21.12,18.97,18.19,18.53,17.31,15.44,15.66,17.94,18.72,16.69,15.81,16.75,17.41,16.41,15.97,18.53,20.97,21.16,20.22,20.97,21.94,20.72,17.75,16.88,17.47,17.94,17.09,17.94,20.66,22.84,21.94,21.03,21.91,22.91,21.16,18.81,17.59,17.62,15.62,12.72,11.72,13.12,14.12,12.84,12.78,14.66,16.66,16.09,15.75,17.38,19.31,18.56,16.56,15.59,15.31,14.38,11.91,11.41,13.53,14.84,14.28,14.03,15.5,16.16,14.03,11.16,10.53,10.69,9.28,7.94,8.59,10.53,10.78,8.91,7.88,8.31,8.06,6.0,4.34,5.66,7.28,6.41,4.97,5.75,7.66,7.41,6.38,6.91,9.19,10.0,8.28,7.47,8.09,7.72,4.62,2.03,1.66,2.53,2.0,1.31,3.03,5.97,7.12,6.44,6.47,8.22,8.53,7.03,6.38,8.0,10.28,9.69,9.88,11.62,13.81,13.34,11.56,11.62,12.78,12.16,10.25,9.06,9.72,9.56,7.5,6.62,8.94,11.16,11.06,10.5,11.28,13.09,12.28,10.81,11.5,13.72,14.84,14.25,14.12,15.41,16.03,14.59,14.44,17.03,20.28,20.88,20.22,20.25,20.41,18.28,14.5,11.81,10.72,8.69,4.94,2.69,3.75,5.03,4.41,4.41,6.28,8.22,7.91,6.78,7.94,10.16,10.88,9.94,9.78,11.03,10.72,8.66,7.25,8.41,9.78,9.03,8.59,10.28,12.16,11.47,10.09,10.0,11.44,11.59,10.5,10.62,12.38,13.34,12.22,11.94,13.72,15.66,15.72,15.5,17.19,19.34,19.16,17.75,18.16,19.75,19.75,17.88,16.59,16.94,16.5,14.53,13.44,15.38,17.69,17.88,17.72,19.53,21.88,22.22,20.72,20.47,21.44,20.56,18.03,16.62,17.31,17.66,16.47,15.53,16.81,18.56,17.91,16.94,17.66,19.22,19.38,17.75,16.88,17.44,16.03,12.91,10.72,11.34,12.69,12.44,12.91,16.03,19.38,19.97,18.56,18.38,18.28,16.19,13.22,12.22,14.09,15.16,13.78,12.69,13.41,13.44,11.34,9.19,10.06,11.94,11.84,10.69,11.22,12.5,12.06,10.47,10.41,13.22,15.69,16.31,17.19,19.56,21.25,20.25,18.53,18.75,19.56,18.25,16.12,15.62,16.84,16.34,14.69,14.0,15.88,17.25,17.03,16.97,18.78,20.16,18.22,15.09,13.81,13.62,11.78,9.16,8.56,9.66,9.59,7.59,6.34,7.62,8.53,7.72,7.44,9.44,12.0,12.0,11.19,12.16,13.81,14.0,12.34,11.72,12.75,12.56,10.31,8.38,8.81,8.97,7.38,5.34,6.31,7.81,6.94,5.03,4.91,5.78,5.44,3.78,3.25,5.59,7.72,7.88,8.22,10.88,12.81,12.59,11.38,12.44,14.47,14.22,13.06,13.22,14.59,14.16,11.78,9.62,9.69,9.38,7.16,5.94,7.69,10.16,10.78,10.72,12.72,14.66,14.25,12.22,11.34,12.0,11.78,9.72,8.53,9.88,10.56,9.75,8.44,9.59,10.53,8.94,5.94,5.25,5.97,4.97,2.84,2.22,3.31,3.59,2.19,2.06,4.75,7.88,9.16,10.41,13.88,18.25,19.94,21.34,24.28,28.31,29.97,29.25,28.44,28.69,27.66,24.12,20.84,19.62,17.78,12.66,6.91,3.53,1.03,-2.22,-5.56,-6.03,-4.5,-3.75,-4.44,-2.97,1.28,5.62,8.31,11.06,15.81,19.34,19.72,18.12,18.12,18.62,17.16,14.19,13.12,13.75,13.22,11.72,11.72,14.31,16.81,16.59,15.31,15.72,15.78,13.38,10.34,9.66,11.34,12.03,11.88,13.44,16.19,17.81,16.56,15.44,16.22,16.59,14.56,12.28,12.75,14.19,13.66,12.16,12.91,14.59,14.97,13.66,13.44,14.81,14.62,11.5,8.78,8.41,8.84,7.69,6.88,9.0,12.16,13.84,13.81,15.25,17.59,17.62,15.19,12.84,12.19,10.94,7.81,5.72,6.78,8.91,9.28,9.22,10.72,12.84,12.75,11.78,12.88,15.97,18.19,18.41,18.62,19.62,19.25,15.44,11.47,9.69,8.34,4.94,1.78,1.53,3.16,4.03,4.28,6.81,11.06,14.25,15.66,17.94,22.03,25.91,26.91,27.5,29.59,31.31,29.62,26.09,23.69,21.84,18.66,14.28,11.88,12.25,12.88,12.5,13.72,17.59,20.81,21.56,21.72,23.31,25.44,25.09,23.66,23.59,24.31,23.59,21.34,20.38,21.25,21.53,19.53,18.31,19.03,19.38,17.28,14.19,13.31,13.09,10.88,7.94,7.09,8.0,8.06,6.47,6.41,8.75,10.66,10.12,9.53,11.0,12.25,11.38,9.69,10.16,12.06,12.41,11.5,11.81,13.44,13.56,11.22,9.53,10.03,10.66,8.91,7.41,8.59,10.44,10.28,9.56,11.06,13.84,14.88,13.78,13.66,14.88,14.5,11.72,10.31,11.38,12.78,11.5,10.81,11.97,14.03,13.91,13.09,14.28,16.75,17.53,16.28,15.94,17.47,18.25,16.78,16.41,18.5,20.75,20.19,19.31,20.25,21.66,20.62,18.66,18.47,19.91,20.22,18.5,17.53,18.38,18.16,15.81,14.0,15.06,16.22,15.38,14.34,14.94,16.62,16.84,15.72,16.25,18.62,19.56,18.25,18.09,20.44,22.12,21.81,22.28,24.84,27.94,28.5,27.31,27.06,27.03,24.09,20.25,18.62,19.91,20.91,20.22,20.78,23.28,24.88,23.88,22.47,23.47,25.19,24.59,23.75,24.19,25.28,23.94,20.59,18.41,18.72,18.47,16.94,16.22,17.78,19.12,17.5,15.25,15.5,16.44,15.41,13.94,14.66,17.06,17.56,16.28,15.72,16.75,17.0,14.97,13.66,15.31,17.59,17.69,17.88,20.09,23.31,24.03,23.44,24.47,26.78,26.91,24.91,23.16,23.22,22.59,20.06,18.53,20.19,22.25,21.78,20.72,21.44,22.81,22.69,21.81,22.47,25.16,26.44,25.47,24.53,25.53,25.97,23.75,21.94,23.0,25.28,25.56,24.91,26.31,28.72,29.12,27.69,26.91,28.06,27.72,24.88,22.12,21.75,21.12,17.88,15.34,15.44,16.91,17.16,16.91,18.56,21.19,22.12,20.91,20.69,22.41,23.66,22.53,22.03,23.91,25.59,24.62,22.56,22.66,23.22,21.34,18.53,17.88,19.06,18.88,17.12,16.44,17.78,18.34,16.75,15.25,16.69,18.34,17.88,17.34,18.84,21.91,22.75,22.0,22.06,23.12,22.0,18.81,16.31,16.53,17.09,15.69,14.59,16.66,19.22,19.09,18.16,18.78,20.34,19.66,17.97,17.94,19.78,21.03,20.31,20.22,23.0,24.84,24.16,22.69,23.12,23.72,21.88,18.81,17.97,18.75,18.16,16.16,15.62,17.31,18.47,17.03,15.84,16.97,17.38,15.78,13.53,14.09,16.0,15.84,15.47,16.72,20.03,21.56,21.22,22.12,24.5,25.97,24.66,23.34,23.97,24.59,22.66,19.84,18.97,18.88,16.62,13.59,12.38,13.53,13.66,11.97,11.59,13.31,14.66,13.94,13.66,16.19,19.19,20.31,20.25,22.47,25.22,25.84,24.62,25.09,27.31,28.34,27.41,26.72,28.06,28.88,27.0,24.75,25.19,26.06,24.53,22.62,22.62,24.12,24.41,23.72,24.47,27.0,28.72,28.0,27.94,29.53,31.28,30.25,28.94,30.25,31.72,31.53,30.0,30.66,32.62,32.94,30.59,28.44,27.44,25.0,19.88,15.84,15.66,16.78,16.78,17.34,20.47,24.56,25.94,25.44,25.94,27.53,27.41,25.09,23.69,24.75,25.28,23.88,22.53,23.19,23.66,21.62,18.94,18.78,20.31,20.78,20.16,20.97,23.56,24.75,24.0,24.16,26.22,27.72,25.91,23.28,22.34,21.03,17.25,13.06,11.38,11.66,11.19,10.03,11.06,14.62,17.66,18.06,18.72,21.34,23.53,23.06,22.44,24.19,26.38,26.12,23.91,22.91,22.72,21.34,18.03,16.5,17.41,17.66,15.66,14.06,14.94,15.84,14.75,13.47,14.84,17.72,18.94,19.38,22.16,26.12,28.5,28.16,28.53,29.84,29.97,27.25,24.19,23.47,22.94,20.16,17.41,17.03,18.16,17.94,17.0,18.06,20.88,22.91,22.44,22.75,24.88,26.38,25.09,23.06,23.69,24.38,22.88,20.06,18.91,19.06,17.31,14.72,14.22,16.16,17.28,16.28,15.41,16.84,17.66,16.38,14.78,15.56,16.59,15.53,13.28,13.03,14.69,15.47,14.75,15.38,18.47,20.53,19.88,19.66,21.25,22.47,20.47,17.47,16.28,15.84,13.97,11.44,10.69,12.09,12.34,10.31,9.38,10.19,10.78,8.69,7.0,7.81,8.41,6.81,4.88,5.62,7.41,8.44,8.38,10.06,12.88,14.19,12.81,12.25,13.53,14.69,13.62,13.06,14.78,17.28,16.88,15.34,14.97,14.75,12.41,8.41,6.81,8.06,9.34,9.47,10.78,14.62,18.34,19.19,19.66,21.69,23.44,22.09,19.06,17.41,17.09,16.06,14.19,14.47,17.22,19.34,18.81,18.41,19.94,21.81,21.62,21.28,23.06,25.91,26.41,25.62,26.38,28.19,28.66,26.78,26.06,27.38,28.38,27.16,26.19,27.44,28.81,27.41,22.5,22.06,22.81,23.41,22.47,22.31,23.38,24.09,23.44,22.69,23.62,24.84,24.78,24.12,25.38,27.91,29.81,30.62,32.31,34.59,35.56:17.59,16.91,15.84,16.94,19.22,20.28,19.31,19.34,21.44,22.41,21.16,20.41,21.88,22.94,21.12,18.97,18.19,18.53,17.31,15.44,15.66,17.94,18.72,16.69,15.81,16.75,17.41,16.41,15.97,18.53,20.97,21.16,20.22,20.97,21.94,20.72,17.75,16.88,17.47,17.94,17.09,17.94,20.66,22.84,21.94,21.03,21.91,22.91,21.16,18.81,17.59,17.62,15.62,12.72,11.72,13.12,14.12,12.84,12.78,14.66,16.66,16.09,15.75,17.38,19.31,18.56,16.56,15.59,15.31,14.38,11.91,11.41,13.53,14.84,14.28,14.03,15.5,16.16,14.03,11.16,10.53,10.69,9.28,7.94,8.59,10.53,10.78,8.91,7.88,8.31,8.06,6.0,4.34,5.66,7.28,6.41,4.97,5.75,7.66,7.41,6.38,6.91,9.19,10.0,8.28,7.47,8.09,7.72,4.62,2.03,1.66,2.53,2.0,1.31,3.03,5.97,7.12,6.44,6.47,8.22,8.53,7.03,6.38,8.0,10.28,9.69,9.88,11.62,13.81,13.34,11.56,11.62,12.78,12.16,10.25,9.06,9.72,9.56,7.5,6.62,8.94,11.16,11.06,10.5,11.28,13.09,12.28,10.81,11.5,13.72,14.84,14.25,14.12,15.41,16.03,14.59,14.44,17.03,20.28,20.88,20.22,20.25,20.41,18.28,14.5,11.81,10.72,8.69,4.94,2.69,3.75,5.03,4.41,4.41,6.28,8.22,7.91,6.78,7.94,10.16,10.88,9.94,9.78,11.03,10.72,8.66,7.25,8.41,9.78,9.03,8.59,10.28,12.16,11.47,10.09,10.0,11.44,11.59,10.5,10.62,12.38,13.34,12.22,11.94,13.72,15.66,15.72,15.5,17.19,19.34,19.16,17.75,18.16,19.75,19.75,17.88,16.59,16.94,16.5,14.53,13.44,15.38,17.69,17.88,17.72,19.53,21.88,22.22,20.72,20.47,21.44,20.56,18.03,16.62,17.31,17.66,16.47,15.53,16.81,18.56,17.91,16.94,17.66,19.22,19.38,17.75,16.88,17.44,16.03,12.91,10.72,11.34,12.69,12.44,12.91,16.03,19.38,19.97,18.56,18.38,18.28,16.19,13.22,12.22,14.09,15.16,13.78,12.69,13.41,13.44,11.34,9.19,10.06,11.94,11.84,10.69,11.22,12.5,12.06,10.47,10.41,13.22,15.69,16.31,17.19,19.56,21.25,20.25,18.53,18.75,19.56,18.25,16.12,15.62,16.84,16.34,14.69,14.0,15.88,17.25,17.03,16.97,18.78,20.16,18.22,15.09,13.81,13.62,11.78,9.16,8.56,9.66,9.59,7.59,6.34,7.62,8.53,7.72,7.44,9.44,12.0,12.0,11.19,12.16,13.81,14.0,12.34,11.72,12.75,12.56,10.31,8.38,8.81,8.97,7.38,5.34,6.31,7.81,6.94,5.03,4.91,5.78,5.44,3.78,3.25,5.59,7.72,7.88,8.22,10.88,12.81,12.59,11.38,12.44,14.47,14.22,13.06,13.22,14.59,14.16,11.78,9.62,9.69,9.38,7.16,5.94,7.69,10.16,10.78,10.72,12.72,14.66,14.25,12.22,11.34,12.0,11.78,9.72,8.53,9.88,10.56,9.75,8.44,9.59,10.53,8.94,5.94,5.25,5.97,4.97,2.84,2.22,3.31,3.59,2.19,2.06,4.75,7.88,9.16,10.41,13.88,18.25,19.94,21.34,24.28,28.31,29.97,29.25,28.44,28.69,27.66,24.12,20.84,19.62,17.78,12.66,6.91,3.53,1.03,-2.22,-5.56,-6.03,-4.5,-3.75,-4.44,-2.97,1.28,5.62,8.31,11.06,15.81,19.34,19.72,18.12,18.12,18.62,17.16,14.19,13.12,13.75,13.22,11.72,11.72,14.31,16.81,16.59,15.31,15.72,15.78,13.38,10.34,9.66,11.34,12.03,11.88,13.44,16.19,17.81,16.56,15.44,16.22,16.59,14.56,12.28,12.75,14.19,13.66,12.16,12.91,14.59,14.97,13.66,13.44,14.81,14.62,11.5,8.78,8.41,8.84,7.69,6.88,9.0,12.16,13.84,13.81,15.25,17.59,17.62,15.19,12.84,12.19,10.94,7.81,5.72,6.78,8.91,9.28,9.22,10.72,12.84,12.75,11.78,12.88,15.97,18.19,18.41,18.62,19.62,19.25,15.44,11.47,9.69,8.34,4.94,1.78,1.53,3.16,4.03,4.28,6.81,11.06,14.25,15.66,17.94,22.03,25.91,26.91,27.5,29.59,31.31,29.62,26.09,23.69,21.84,18.66,14.28,11.88,12.25,12.88,12.5,13.72,17.59,20.81,21.56,21.72,23.31,25.44,25.09,23.66,23.59,24.31,23.59,21.34,20.38,21.25,21.53,19.53,18.31,19.03,19.38,17.28,14.19,13.31,13.09,10.88,7.94,7.09,8.0,8.06,6.47,6.41,8.75,10.66,10.12,9.53,11.0,12.25,11.38,9.69,10.16,12.06,12.41,11.5,11.81,13.44,13.56,11.22,9.53,10.03,10.66,8.91,7.41,8.59,10.44,10.28,9.56,11.06,13.84,14.88,13.78,13.66,14.88,14.5,11.72,10.31,11.38,12.78,11.5,10.81,11.97,14.03,13.91,13.09,14.28,16.75,17.53,16.28,15.94,17.47,18.25,16.78,16.41,18.5,20.75,20.19,19.31,20.25,21.66,20.62,18.66,18.47,19.91,20.22,18.5,17.53,18.38,18.16,15.81,14.0,15.06,16.22,15.38,14.34,14.94,16.62,16.84,15.72,16.25,18.62,19.56,18.25,18.09,20.44,22.12,21.81,22.28,24.84,27.94,28.5,27.31,27.06,27.03,24.09,20.25,18.62,19.91,20.91,20.22,20.78,23.28,24.88,23.88,22.47,23.47,25.19,24.59,23.75,24.19,25.28,23.94,20.59,18.41,18.72,18.47,16.94,16.22,17.78,19.12,17.5,15.25,15.5,16.44,15.41,13.94,14.66,17.06,17.56,16.28,15.72,16.75,17.0,14.97,13.66,15.31,17.59,17.69,17.88,20.09,23.31,24.03,23.44,24.47,26.78,26.91,24.91,23.16,23.22,22.59,20.06,18.53,20.19,22.25,21.78,20.72,21.44,22.81,22.69,21.81,22.47,25.16,26.44,25.47,24.53,25.53,25.97,23.75,21.94,23.0,25.28,25.56,24.91,26.31,28.72,29.12,27.69,26.91,28.06,27.72,24.88,22.12,21.75,21.12,17.88,15.34,15.44,16.91,17.16,16.91,18.56,21.19,22.12,20.91,20.69,22.41,23.66,22.53,22.03,23.91,25.59,24.62,22.56,22.66,23.22,21.34,18.53,17.88,19.06,18.88,17.12,16.44,17.78,18.34,16.75,15.25,16.69,18.34,17.88,17.34,18.84,21.91,22.75,22.0,22.06,23.12,22.0,18.81,16.31,16.53,17.09,15.69,14.59,16.66,19.22,19.09,18.16,18.78,20.34,19.66,17.97,17.94,19.78,21.03,20.31,20.22,23.0,24.84,24.16,22.69,23.12,23.72,21.88,18.81,17.97,18.75,18.16,16.16,15.62,17.31,18.47,17.03,15.84,16.97,17.38,15.78,13.53,14.09,16.0,15.84,15.47,16.72,20.03,21.56,21.22,22.12,24.5,25.97,24.66,23.34,23.97,24.59,22.66,19.84,18.97,18.88,16.62,13.59,12.38,13.53,13.66,11.97,11.59,13.31,14.66,13.94,13.66,16.19,19.19,20.31,20.25,22.47,25.22,25.84,24.62,25.09,27.31,28.34,27.41,26.72,28.06,28.88,27.0,24.75,25.19,26.06,24.53,22.62,22.62,24.12,24.41,23.72,24.47,27.0,28.72,28.0,27.94,29.53,31.28,30.25,28.94,30.25,31.72,31.53,30.0,30.66,32.62,32.94,30.59,28.44,27.44,25.0,19.88,15.84,15.66,16.78,16.78,17.34,20.47,24.56,25.94,25.44,25.94,27.53,27.41,25.09,23.69,24.75,25.28,23.88,22.53,23.19,23.66,21.62,18.94,18.78,20.31,20.78,20.16,20.97,23.56,24.75,24.0,24.16,26.22,27.72,25.91,23.28,22.34,21.03,17.25,13.06,11.38,11.66,11.19,10.03,11.06,14.62,17.66,18.06,18.72,21.34,23.53,23.06,22.44,24.19,26.38,26.12,23.91,22.91,22.72,21.34,18.03,16.5,17.41,17.66,15.66,14.06,14.94,15.84,14.75,13.47,14.84,17.72,18.94,19.38,22.16,26.12,28.5,28.16,28.53,29.84,29.97,27.25,24.19,23.47,22.94,20.16,17.41,17.03,18.16,17.94,17.0,18.06,20.88,22.91,22.44,22.75,24.88,26.38,25.09,23.06,23.69,24.38,22.88,20.06,18.91,19.06,17.31,14.72,14.22,16.16,17.28,16.28,15.41,16.84,17.66,16.38,14.78,15.56,16.59,15.53,13.28,13.03,14.69,15.47,14.75,15.38,18.47,20.53,19.88,19.66,21.25,22.47,20.47,17.47,16.28,15.84,13.97,11.44,10.69,12.09,12.34,10.31,9.38,10.19,10.78,8.69,7.0,7.81,8.41,6.81,4.88,5.62,7.41,8.44,8.38,10.06,12.88,14.19,12.81,12.25,13.53,14.69,13.62,13.06,14.78,17.28,16.88,15.34,14.97,14.75,12.41,8.41,6.81,8.06,9.34,9.47,10.78,14.62,18.34,19.19,19.66,21.69,23.44,22.09,19.06,17.41,17.09,16.06,14.19,14.47,17.22,19.34,18.81,18.41,19.94,21.81,21.62,21.28,23.06,25.91,26.41,25.62,26.38,28.19,28.66,26.78,26.06,27.38,28.38,27.16,26.19,27.44,28.81,27.41,22.5,22.06,22.81,23.41,22.47,22.31,23.38,24.09,23.44,22.69,23.62,24.84,24.78,24.12,25.38,27.91,29.81,30.62,32.31,34.59,35.56,34.22,33.0,32.84,32.34,30.03,28.06,27.91:19.34,21.44,22.41,21.16,20.41,21.88,22.94,21.12,18.97,18.19,18.53,17.31,15.44,15.66,17.94,18.72,16.69,15.81,16.75,17.41,16.41,15.97,18.53,20.97,21.16,20.22,20.97,21.94,20.72,17.75,16.88,17.47,17.94,17.09,17.94,20.66,22.84,21.94,21.03,21.91,22.91,21.16,18.81,17.59,17.62,15.62,12.72,11.72,13.12,14.12,12.84,12.78,14.66,16.66,16.09,15.75,17.38,19.31,18.56,16.56,15.59,15.31,14.38,11.91,11.41,13.53,14.84,14.28,14.03,15.5,16.16,14.03,11.16,10.53,10.69,9.28,7.94,8.59,10.53,10.78,8.91,7.88,8.31,8.06,6.0,4.34,5.66,7.28,6.41,4.97,5.75,7.66,7.41,6.38,6.91,9.19,10.0,8.28,7.47,8.09,7.72,4.62,2.03,1.66,2.53,2.0,1.31,3.03,5.97,7.12,6.44,6.47,8.22,8.53,7.03,6.38,8.0,10.28,9.69,9.88,11.62,13.81,13.34,11.56,11.62,12.78,12.16,10.25,9.06,9.72,9.56,7.5,6.62,8.94,11.16,11.06,10.5,11.28,13.09,12.28,10.81,11.5,13.72,14.84,14.25,14.12,15.41,16.03,14.59,14.44,17.03,20.28,20.88,20.22,20.25,20.41,18.28,14.5,11.81,10.72,8.69,4.94,2.69,3.75,5.03,4.41,4.41,6.28,8.22,7.91,6.78,7.94,10.16,10.88,9.94,9.78,11.03,10.72,8.66,7.25,8.41,9.78,9.03,8.59,10.28,12.16,11.47,10.09,10.0,11.44,11.59,10.5,10.62,12.38,13.34,12.22,11.94,13.72,15.66,15.72,15.5,17.19,19.34,19.16,17.75,18.16,19.75,19.75,17.88,16.59,16.94,16.5,14.53,13.44,15.38,17.69,17.88,17.72,19.53,21.88,22.22,20.72,20.47,21.44,20.56,18.03,16.62,17.31,17.66,16.47,15.53,16.81,18.56,17.91,16.94,17.66,19.22,19.38,17.75,16.88,17.44,16.03,12.91,10.72,11.34,12.69,12.44,12.91,16.03,19.38,19.97,18.56,18.38,18.28,16.19,13.22,12.22,14.09,15.16,13.78,12.69,13.41,13.44,11.34,9.19,10.06,11.94,11.84,10.69,11.22,12.5,12.06,10.47,10.41,13.22,15.69,16.31,17.19,19.56,21.25,20.25,18.53,18.75,19.56,18.25,16.12,15.62,16.84,16.34,14.69,14.0,15.88,17.25,17.03,16.97,18.78,20.16,18.22,15.09,13.81,13.62,11.78,9.16,8.56,9.66,9.59,7.59,6.34,7.62,8.53,7.72,7.44,9.44,12.0,12.0,11.19,12.16,13.81,14.0,12.34,11.72,12.75,12.56,10.31,8.38,8.81,8.97,7.38,5.34,6.31,7.81,6.94,5.03,4.91,5.78,5.44,3.78,3.25,5.59,7.72,7.88,8.22,10.88,12.81,12.59,11.38,12.44,14.47,14.22,13.06,13.22,14.59,14.16,11.78,9.62,9.69,9.38,7.16,5.94,7.69,10.16,10.78,10.72,12.72,14.66,14.25,12.22,11.34,12.0,11.78,9.72,8.53,9.88,10.56,9.75,8.44,9.59,10.53,8.94,5.94,5.25,5.97,4.97,2.84,2.22,3.31,3.59,2.19,2.06,4.75,7.88,9.16,10.41,13.88,18.25,19.94,21.34,24.28,28.31,29.97,29.25,28.44,28.69,27.66,24.12,20.84,19.62,17.78,12.66,6.91,3.53,1.03,-2.22,-5.56,-6.03,-4.5,-3.75,-4.44,-2.97,1.28,5.62,8.31,11.06,15.81,19.34,19.72,18.12,18.12,18.62,17.16,14.19,13.12,13.75,13.22,11.72,11.72,14.31,16.81,16.59,15.31,15.72,15.78,13.38,10.34,9.66,11.34,12.03,11.88,13.44,16.19,17.81,16.56,15.44,16.22,16.59,14.56,12.28,12.75,14.19,13.66,12.16,12.91,14.59,14.97,13.66,13.44,14.81,14.62,11.5,8.78,8.41,8.84,7.69,6.88,9.0,12.16,13.84,13.81,15.25,17.59,17.62,15.19,12.84,12.19,10.94,7.81,5.72,6.78,8.91,9.28,9.22,10.72,12.84,12.75,11.78,12.88,15.97,18.19,18.41,18.62,19.62,19.25,15.44,11.47,9.69,8.34,4.94,1.78,1.53,3.16,4.03,4.28,6.81,11.06,14.25,15.66,17.94,22.03,25.91,26.91,27.5,29.59,31.31,29.62,26.09,23.69,21.84,18.66,14.28,11.88,12.25,12.88,12.5,13.72,17.59,20.81,21.56,21.72,23.31,25.44,25.09,23.66,23.59,24.31,23.59,21.34,20.38,21.25,21.53,19.53,18.31,19.03,19.38,17.28,14.19,13.31,13.09,10.88,7.94,7.09,8.0,8.06,6.47,6.41,8.75,10.66,10.12,9.53,11.0,12.25,11.38,9.69,10.16,12.06,12.41,11.5,11.81,13.44,13.56,11.22,9.53,10.03,10.66,8.91,7.41,8.59,10.44,10.28,9.56,11.06,13.84,14.88,13.78,13.66,14.88,14.5,11.72,10.31,11.38,12.78,11.5,10.81,11.97,14.03,13.91,13.09,14.28,16.75,17.53,16.28,15.94,17.47,18.25,16.78,16.41,18.5,20.75,20.19,19.31,20.25,21.66,20.62,18.66,18.47,19.91,20.22,18.5,17.53,18.38,18.16,15.81,14.0,15.06,16.22,15.38,14.34,14.94,16.62,16.84,15.72,16.25,18.62,19.56,18.25,18.09,20.44,22.12,21.81,22.28,24.84,27.94,28.5,27.31,27.06,27.03,24.09,20.25,18.62,19.91,20.91,20.22,20.78,23.28,24.88,23.88,22.47,23.47,25.19,24.59,23.75,24.19,25.28,23.94,20.59,18.41,18.72,18.47,16.94,16.22,17.78,19.12,17.5,15.25,15.5,16.44,15.41,13.94,14.66,17.06,17.56,16.28,15.72,16.75,17.0,14.97,13.66,15.31,17.59,17.69,17.88,20.09,23.31,24.03,23.44,24.47,26.78,26.91,24.91,23.16,23.22,22.59,20.06,18.53,20.19,22.25,21.78,20.72,21.44,22.81,22.69,21.81,22.47,25.16,26.44,25.47,24.53,25.53,25.97,23.75,21.94,23.0,25.28,25.56,24.91,26.31,28.72,29.12,27.69,26.91,28.06,27.72,24.88,22.12,21.75,21.12,17.88,15.34,15.44,16.91,17.16,16.91,18.56,21.19,22.12,20.91,20.69,22.41,23.66,22.53,22.03,23.91,25.59,24.62,22.56,22.66,23.22,21.34,18.53,17.88,19.06,18.88,17.12,16.44,17.78,18.34,16.75,15.25,16.69,18.34,17.88,17.34,18.84,21.91,22.75,22.0,22.06,23.12,22.0,18.81,16.31,16.53,17.09,15.69,14.59,16.66,19.22,19.09,18.16,18.78,20.34,19.66,17.97,17.94,19.78,21.03,20.31,20.22,23.0,24.84,24.16,22.69,23.12,23.72,21.88,18.81,17.97,18.75,18.16,16.16,15.62,17.31,18.47,17.03,15.84,16.97,17.38,15.78,13.53,14.09,16.0,15.84,15.47,16.72,20.03,21.56,21.22,22.12,24.5,25.97,24.66,23.34,23.97,24.59,22.66,19.84,18.97,18.88,16.62,13.59,12.38,13.53,13.66,11.97,11.59,13.31,14.66,13.94,13.66,16.19,19.19,20.31,20.25,22.47,25.22,25.84,24.62,25.09,27.31,28.34,27.41,26.72,28.06,28.88,27.0,24.75,25.19,26.06,24.53,22.62,22.62,24.12,24.41,23.72,24.47,27.0,28.72,28.0,27.94,29.53,31.28,30.25,28.94,30.25,31.72,31.53,30.0,30.66,32.62,32.94,30.59,28.44,27.44,25.0,19.88,15.84,15.66,16.78,16.78,17.34,20.47,24.56,25.94,25.44,25.94,27.53,27.41,25.09,23.69,24.75,25.28,23.88,22.53,23.19,23.66,21.62,18.94,18.78,20.31,20.78,20.16,20.97,23.56,24.75,24.0,24.16,26.22,27.72,25.91,23.28,22.34,21.03,17.25,13.06,11.38,11.66,11.19,10.03,11.06,14.62,17.66,18.06,18.72,21.34,23.53,23.06,22.44,24.19,26.38,26.12,23.91,22.91,22.72,21.34,18.03,16.5,17.41,17.66,15.66,14.06,14.94,15.84,14.75,13.47,14.84,17.72,18.94,19.38,22.16,26.12,28.5,28.16,28.53,29.84,29.97,27.25,24.19,23.47,22.94,20.16,17.41,17.03,18.16,17.94,17.0,18.06,20.88,22.91,22.44,22.75,24.88,26.38,25.09,23.06,23.69,24.38,22.88,20.06,18.91,19.06,17.31,14.72,14.22,16.16,17.28,16.28,15.41,16.84,17.66,16.38,14.78,15.56,16.59,15.53,13.28,13.03,14.69,15.47,14.75,15.38,18.47,20.53,19.88,19.66,21.25,22.47,20.47,17.47,16.28,15.84,13.97,11.44,10.69,12.09,12.34,10.31,9.38,10.19,10.78,8.69,7.0,7.81,8.41,6.81,4.88,5.62,7.41,8.44,8.38,10.06,12.88,14.19,12.81,12.25,13.53,14.69,13.62,13.06,14.78,17.28,16.88,15.34,14.97,14.75,12.41,8.41,6.81,8.06,9.34,9.47,10.78,14.62,18.34,19.19,19.66,21.69,23.44,22.09,19.06,17.41,17.09,16.06,14.19,14.47,17.22,19.34,18.81,18.41,19.94,21.81,21.62,21.28,23.06,25.91,26.41,25.62,26.38,28.19,28.66,26.78,26.06,27.38,28.38,27.16,26.19,27.44,28.81,27.41,22.5,22.06,22.81,23.41,22.47,22.31,23.38,24.09,23.44,22.69,23.62,24.84,24.78,24.12,25.38,27.91,29.81,30.62,32.31,34.59,35.56,34.22,33.0,32.84,32.34,30.03,28.06,27.91,28.38,27.72,26.47,26.59,27.25,27.12,25.62:21.12,18.97,18.19,18.53,17.31,15.44,15.66,17.94,18.72,16.69,15.81,16.75,17.41,16.41,15.97,18.53,20.97,21.16,20.22,20.97,21.94,20.72,17.75,16.88,17.47,17.94,17.09,17.94,20.66,22.84,21.94,21.03,21.91,22.91,21.16,18.81,17.59,17.62,15.62,12.72,11.72,13.12,14.12,12.84,12.78,14.66,16.66,16.09,15.75,17.38,19.31,18.56,16.56,15.59,15.31,14.38,11.91,11.41,13.53,14.84,14.28,14.03,15.5,16.16,14.03,11.16,10.53,10.69,9.28,7.94,8.59,10.53,10.78,8.91,7.88,8.31,8.06,6.0,4.34,5.66,7.28,6.41,4.97,5.75,7.66,7.41,6.38,6.91,9.19,10.0,8.28,7.47,8.09,7.72,4.62,2.03,1.66,2.53,2.0,1.31,3.03,5.97,7.12,6.44,6.47,8.22,8.53,7.03,6.38,8.0,10.28,9.69,9.88,11.62,13.81,13.34,11.56,11.62,12.78,12.16,10.25,9.06,9.72,9.56,7.5,6.62,8.94,11.16,11.06,10.5,11.28,13.09,12.28,10.81,11.5,13.72,14.84,14.25,14.12,15.41,16.03,14.59,14.44,17.03,20.28,20.88,20.22,20.25,20.41,18.28,14.5,11.81,10.72,8.69,4.94,2.69,3.75,5.03,4.41,4.41,6.28,8.22,7.91,6.78,7.94,10.16,10.88,9.94,9.78,11.03,10.72,8.66,7.25,8.41,9.78,9.03,8.59,10.28,12.16,11.47,10.09,10.0,11.44,11.59,10.5,10.62,12.38,13.34,12.22,11.94,13.72,15.66,15.72,15.5,17.19,19.34,19.16,17.75,18.16,19.75,19.75,17.88,16.59,16.94,16.5,14.53,13.44,15.38,17.69,17.88,17.72,19.53,21.88,22.22,20.72,20.47,21.44,20.56,18.03,16.62,17.31,17.66,16.47,15.53,16.81,18.56,17.91,16.94,17.66,19.22,19.38,17.75,16.88,17.44,16.03,12.91,10.72,11.34,12.69,12.44,12.91,16.03,19.38,19.97,18.56,18.38,18.28,16.19,13.22,12.22,14.09,15.16,13.78,12.69,13.41,13.44,11.34,9.19,10.06,11.94,11.84,10.69,11.22,12.5,12.06,10.47,10.41,13.22,15.69,16.31,17.19,19.56,21.25,20.25,18.53,18.75,19.56,18.25,16.12,15.62,16.84,16.34,14.69,14.0,15.88,17.25,17.03,16.97,18.78,20.16,18.22,15.09,13.81,13.62,11.78,9.16,8.56,9.66,9.59,7.59,6.34,7.62,8.53,7.72,7.44,9.44,12.0,12.0,11.19,12.16,13.81,14.0,12.34,11.72,12.75,12.56,10.31,8.38,8.81,8.97,7.38,5.34,6.31,7.81,6.94,5.03,4.91,5.78,5.44,3.78,3.25,5.59,7.72,7.88,8.22,10.88,12.81,12.59,11.38,12.44,14.47,14.22,13.06,13.22,14.59,14.16,11.78,9.62,9.69,9.38,7.16,5.94,7.69,10.16,10.78,10.72,12.72,14.66,14.25,12.22,11.34,12.0,11.78,9.72,8.53,9.88,10.56,9.75,8.44,9.59,10.53,8.94,5.94,5.25,5.97,4.97,2.84,2.22,3.31,3.59,2.19,2.06,4.75,7.88,9.16,10.41,13.88,18.25,19.94,21.34,24.28,28.31,29.97,29.25,28.44,28.69,27.66,24.12,20.84,19.62,17.78,12.66,6.91,3.53,1.03,-2.22,-5.56,-6.03,-4.5,-3.75,-4.44,-2.97,1.28,5.62,8.31,11.06,15.81,19.34,19.72,18.12,18.12,18.62,17.16,14.19,13.12,13.75,13.22,11.72,11.72,14.31,16.81,16.59,15.31,15.72,15.78,13.38,10.34,9.66,11.34,12.03,11.88,13.44,16.19,17.81,16.56,15.44,16.22,16.59,14.56,12.28,12.75,14.19,13.66,12.16,12.91,14.59,14.97,13.66,13.44,14.81,14.62,11.5,8.78,8.41,8.84,7.69,6.88,9.0,12.16,13.84,13.81,15.25,17.59,17.62,15.19,12.84,12.19,10.94,7.81,5.72,6.78,8.91,9.28,9.22,10.72,12.84,12.75,11.78,12.88,15.97,18.19,18.41,18.62,19.62,19.25,15.44,11.47,9.69,8.34,4.94,1.78,1.53,3.16,4.03,4.28,6.81,11.06,14.25,15.66,17.94,22.03,25.91,26.91,27.5,29.59,31.31,29.62,26.09,23.69,21.84,18.66,14.28,11.88,12.25,12.88,12.5,13.72,17.59,20.81,21.56,21.72,23.31,25.44,25.09,23.66,23.59,24.31,23.59,21.34,20.38,21.25,21.53,19.53,18.31,19.03,19.38,17.28,14.19,13.31,13.09,10.88,7.94,7.09,8.0,8.06,6.47,6.41,8.75,10.66,10.12,9.53,11.0,12.25,11.38,9.69,10.16,12.06,12.41,11.5,11.81,13.44,13.56,11.22,9.53,10.03,10.66,8.91,7.41,8.59,10.44,10.28,9.56,11.06,13.84,14.88,13.78,13.66,14.88,14.5,11.72,10.31,11.38,12.78,11.5,10.81,11.97,14.03,13.91,13.09,14.28,16.75,17.53,16.28,15.94,17.47,18.25,16.78,16.41,18.5,20.75,20.19,19.31,20.25,21.66,20.62,18.66,18.47,19.91,20.22,18.5,17.53,18.38,18.16,15.81,14.0,15.06,16.22,15.38,14.34,14.94,16.62,16.84,15.72,16.25,18.62,19.56,18.25,18.09,20.44,22.12,21.81,22.28,24.84,27.94,28.5,27.31,27.06,27.03,24.09,20.25,18.62,19.91,20.91,20.22,20.78,23.28,24.88,23.88,22.47,23.47,25.19,24.59,23.75,24.19,25.28,23.94,20.59,18.41,18.72,18.47,16.94,16.22,17.78,19.12,17.5,15.25,15.5,16.44,15.41,13.94,14.66,17.06,17.56,16.28,15.72,16.75,17.0,14.97,13.66,15.31,17.59,17.69,17.88,20.09,23.31,24.03,23.44,24.47,26.78,26.91,24.91,23.16,23.22,22.59,20.06,18.53,20.19,22.25,21.78,20.72,21.44,22.81,22.69,21.81,22.47,25.16,26.44,25.47,24.53,25.53,25.97,23.75,21.94,23.0,25.28,25.56,24.91,26.31,28.72,29.12,27.69,26.91,28.06,27.72,24.88,22.12,21.75,21.12,17.88,15.34,15.44,16.91,17.16,16.91,18.56,21.19,22.12,20.91,20.69,22.41,23.66,22.53,22.03,23.91,25.59,24.62,22.56,22.66,23.22,21.34,18.53,17.88,19.06,18.88,17.12,16.44,17.78,18.34,16.75,15.25,16.69,18.34,17.88,17.34,18.84,21.91,22.75,22.0,22.06,23.12,22.0,18.81,16.31,16.53,17.09,15.69,14.59,16.66,19.22,19.09,18.16,18.78,20.34,19.66,17.97,17.94,19.78,21.03,20.31,20.22,23.0,24.84,24.16,22.69,23.12,23.72,21.88,18.81,17.97,18.75,18.16,16.16,15.62,17.31,18.47,17.03,15.84,16.97,17.38,15.78,13.53,14.09,16.0,15.84,15.47,16.72,20.03,21.56,21.22,22.12,24.5,25.97,24.66,23.34,23.97,24.59,22.66,19.84,18.97,18.88,16.62,13.59,12.38,13.53,13.66,11.97,11.59,13.31,14.66,13.94,13.66,16.19,19.19,20.31,20.25,22.47,25.22,25.84,24.62,25.09,27.31,28.34,27.41,26.72,28.06,28.88,27.0,24.75,25.19,26.06,24.53,22.62,22.62,24.12,24.41,23.72,24.47,27.0,28.72,28.0,27.94,29.53,31.28,30.25,28.94,30.25,31.72,31.53,30.0,30.66,32.62,32.94,30.59,28.44,27.44,25.0,19.88,15.84,15.66,16.78,16.78,17.34,20.47,24.56,25.94,25.44,25.94,27.53,27.41,25.09,23.69,24.75,25.28,23.88,22.53,23.19,23.66,21.62,18.94,18.78,20.31,20.78,20.16,20.97,23.56,24.75,24.0,24.16,26.22,27.72,25.91,23.28,22.34,21.03,17.25,13.06,11.38,11.66,11.19,10.03,11.06,14.62,17.66,18.06,18.72,21.34,23.53,23.06,22.44,24.19,26.38,26.12,23.91,22.91,22.72,21.34,18.03,16.5,17.41,17.66,15.66,14.06,14.94,15.84,14.75,13.47,14.84,17.72,18.94,19.38,22.16,26.12,28.5,28.16,28.53,29.84,29.97,27.25,24.19,23.47,22.94,20.16,17.41,17.03,18.16,17.94,17.0,18.06,20.88,22.91,22.44,22.75,24.88,26.38,25.09,23.06,23.69,24.38,22.88,20.06,18.91,19.06,17.31,14.72,14.22,16.16,17.28,16.28,15.41,16.84,17.66,16.38,14.78,15.56,16.59,15.53,13.28,13.03,14.69,15.47,14.75,15.38,18.47,20.53,19.88,19.66,21.25,22.47,20.47,17.47,16.28,15.84,13.97,11.44,10.69,12.09,12.34,10.31,9.38,10.19,10.78,8.69,7.0,7.81,8.41,6.81,4.88,5.62,7.41,8.44,8.38,10.06,12.88,14.19,12.81,12.25,13.53,14.69,13.62,13.06,14.78,17.28,16.88,15.34,14.97,14.75,12.41,8.41,6.81,8.06,9.34,9.47,10.78,14.62,18.34,19.19,19.66,21.69,23.44,22.09,19.06,17.41,17.09,16.06,14.19,14.47,17.22,19.34,18.81,18.41,19.94,21.81,21.62,21.28,23.06,25.91,26.41,25.62,26.38,28.19,28.66,26.78,26.06,27.38,28.38,27.16,26.19,27.44,28.81,27.41,22.5,22.06,22.81,23.41,22.47,22.31,23.38,24.09,23.44,22.69,23.62,24.84,24.78,24.12,25.38,27.91,29.81,30.62,32.31,34.59,35.56,34.22,33.0,32.84,32.34,30.03,28.06,27.91,28.38,27.72,26.47,26.59,27.25,27.12,25.62,25.44,26.84,28.22,27.97,28.25,29.56,30.41:negativity
-0.19,0.47,2.22,4.12,5.03,5.56,6.59,7.16,6.19,4.62,3.94,4.22,3.94,3.44,3.66,4.56,4.59,4.31,4.38,5.56,7.22,8.0,7.75,7.94,7.78,6.28,4.5,3.19,2.91,1.72,0.09,-1.09,-1.56,-1.88,-2.22,-2.34,-0.62,1.5,2.16,2.41,2.62,2.75,2.12,0.72,-0.12,-0.38,-1.09,-1.91,-2.0,-0.53,1.09,1.81,2.41,3.19,3.41,2.09,0.22,-0.72,-1.22,-1.12,-1.06,0.12,2.44,4.44,5.06,5.31,5.72,5.31,4.03,2.28,1.59,1.47,0.44,-0.75,-0.94,-0.12,0.28,0.09,0.03,0.31,-0.22,-1.47,-2.66,-2.09,-1.16,-0.03,0.88,2.34,3.66,3.78,3.0,2.53,2.94,2.88,2.25,2.41,3.62,4.56,4.53,4.25,4.59,4.31,3.19,1.09,0.22,-0.12,-0.97,-1.88,-2.19,-2.0,-2.56,-4.53,-6.28,-7.78,-9.25,-11.19,-12.41,-12.25,-11.31,-10.38,-9.62,-7.84,-5.62,-3.75,-2.16,-0.38,1.56,2.78,2.66,2.59,3.12,3.72,3.47,2.84,2.69,1.94,0.81,-0.97,-1.62,-1.5,-1.22,-1.78,-1.78,-1.44,-1.62,-2.66,-3.78,-3.53,-3.25,-3.5,-3.81,-3.25,-2.34,-1.69,-1.16,-0.09,1.53,2.56,1.78,1.06,0.81,0.12,-0.5,-1.31,-1.12,-0.34,-0.56,-1.06,-0.94,-0.59,-0.62,-1.78,-2.94,-3.62,-4.34,-5.62,-6.16,-5.53,-4.09,-3.47,-3.22,-2.5,-2.06,-2.81,-4.19,-4.97,-5.19,-5.06,-5.88,-6.19,-5.66,-5.06,-5.56,-6.28,-5.94,-5.59,-5.66,-5.62,-4.94,-3.5,-2.56,-2.59,-2.78,-2.78,-2.97,-4.34,-5.16,-5.09,-4.97,-6.09,-7.66,-8.38,-9.06,-9.5,-9.78,-8.97,-7.16,-5.69,-4.81,-3.53,-1.72,-0.62,-1.12,-2.09,-2.62,-3.16,-4.84,-6.09,-6.84,-7.25,-7.69,-8.53,-8.59,-7.62,-6.66,-6.59,-6.44,-5.62,-4.97,-6.16,-7.41,-8.34,-9.25,-10.81,-11.88,-11.75,-10.44,-9.53,-8.75,-7.81,-6.72,-5.75,-6.06,-6.59,-6.94,-7.22,-9.22,-11.19,-12.72,-13.66,-14.84,-16.16,-16.78,-15.97,-14.78,-13.38,-11.38,-8.22,-4.81,-3.0,-0.91,1.84,4.75,6.47,7.53,8.09,8.53,7.47,5.25,3.25,1.78,0.0,-2.69,-5.09,-6.78,-8.38,-10.5,-12.62,-13.34,-13.47,-13.75,-13.62,-12.47,-10.94,-9.66,-9.59,-9.75,-9.06,-8.44,-7.81,-6.91,-5.25,-3.31,-2.69,-2.91,-2.94,-3.09,-4.09,-5.28,-6.09,-6.09,-6.31,-6.66,-6.72,-5.97,-5.09,-5.12,-4.88,-4.25,-3.19,-2.69,-2.41,-1.5,-0.16,0.75,1.19,1.41,2.28,2.66,1.78,0.59,0.0,-0.84,-2.06,-3.62,-4.28,-3.88,-3.72,-4.56,-4.41,-4.25,-4.5,-5.41,-5.44,-4.31,-2.62,-0.81,0.91,3.19,5.0,4.78,3.41,2.06,0.91,-0.78,-2.12,-2.56,-1.97,-1.38,-1.41,-1.84,-1.88,-2.91,-4.66,-6.38,-6.94,-6.84,-6.88,-6.41,-5.44,-3.84,-2.59,-2.34,-2.09,-1.59,-1.47,-1.97,-2.38,-1.78,-1.19,-1.28,-1.88,-2.03,-2.25,-3.12,-4.47,-5.62,-5.31,-4.75,-4.22,-3.09,-1.25,0.25,0.72,0.03,-0.22,-0.47,-1.28,-2.22,-1.81,-0.38,1.12,1.53,2.09,2.97,3.31,3.22,2.69,2.88,3.19,2.81,2.12,2.06,1.88,1.44,0.09,-0.31,-0.16,0.34,0.28,0.31,0.28,-0.56,-2.19,-4.25,-5.09,-5.22,-5.62,-5.66,-5.0,-4.56,-4.84,-5.75,-6.53,-6.69,-6.84,-7.28,-7.31,-6.5,-5.44,-5.06,-4.62,-3.66,-2.84,-2.38,-2.12,-1.69,-1.72,-2.28,-4.38,-6.66,-8.72,-10.53,-12.38,-13.59,-13.34,-12.47,-12.06,-12.34,-11.81,-10.91,-10.44,-10.22,-9.28,-8.5,-7.72,-8.09,-8.09,-7.34,-6.81,-6.88,-7.72,-8.47,-9.38,-11.0,-12.75,-14.09,-14.34,-15.16,-16.16,-16.44,-15.75,-15.5,-16.09,-16.47,-16.09,-15.0,-13.97,-12.56,-10.03,-6.81,-4.53,-2.75,-0.69,0.78,1.59,0.97,0.28,0.06,-0.5,-2.0,-3.66,-4.88,-5.75,-6.75,-7.94,-7.72,-6.69,-5.66,-5.12,-4.75,-4.5,-5.25,-7.84,-10.78,-12.78,-13.84,-14.66,-14.78,-13.91,-12.16,-11.31,-11.41,-10.84,-10.59,-10.19,-10.88,-11.22,-10.5,-9.34,-9.06,-8.47,-7.0,-5.75,-5.88,-6.59,-7.19,-7.81,-8.81,-10.44,-11.22,-11.38,-11.75,-12.91,-14.0,-14.41,-15.59,-17.41,-19.38,-20.72,-21.03,-21.78,-21.94,-21.22,-19.78,-18.41,-17.53,-16.28,-14.22,-12.47,-11.66,-10.75,-9.59,-8.59,-8.66,-9.31,-9.91,-9.59,-10.19,-10.78,-10.75,-9.69,-9.03,-9.12,-9.38,-9.25,-8.88,-9.91,-11.0,-11.5,-12.19,-13.81,-15.91,-17.12,-16.72,-16.03,-14.78,-12.16,-8.41,-4.38,-1.78,0.88,4.16,6.75,7.59,7.53,7.69,7.75,6.34,4.47,2.53,0.97,-1.56,-4.66,-7.78,-9.69,-11.22,-13.5,-15.12,-14.75,-13.47,-12.34,-10.44,-7.41,-3.22,0.38,3.5,6.16,8.91,10.53,10.53,10.09,10.5,10.31,8.91,6.94,5.38,3.72,0.75,-2.59,-5.06,-7.03,-9.12,-10.94,-11.41,-9.91,-7.91,-6.06,-4.75,-2.44,-0.16,1.62,3.59,6.22,8.75,9.81,9.12,8.12,6.94,4.91,1.78,-1.44,-3.25,-5.47,-7.94,-10.0,-11.34,-11.91,-12.56,-12.88,-11.53,-8.59,-6.44,-5.28,-4.28,-2.72,-1.84,-1.66,-0.88,0.69,2.03,2.31,1.75,1.28,0.56,-1.47,-3.97,-5.88,-6.38,-6.94,-7.69,-7.91,-7.34,-7.09,-7.25,-7.31,-6.25,-5.12,-4.97,-5.56,-5.16,-4.44,-4.0,-3.78,-2.31,-0.19,1.75,2.78,3.47,4.41,4.75,3.72,2.28,1.44,0.81,-0.56,-2.03,-2.75,-2.91,-3.19,-4.19,-5.0,-4.88,-4.72,-5.16,-5.5,-4.78,-4.78,-6.09,-8.25,-9.44,-10.09,-10.75,-11.12,-10.12,-7.47,-5.12,-3.31,-1.19,1.59,3.91,5.03,5.88,7.41,8.62,8.47,7.19,6.28,5.62,4.25,2.72,1.72,1.44,0.38,-1.78,-4.03,-5.34,-6.19,-6.94,-6.94,-5.59,-3.69,-2.41,-2.0,-0.97,-0.41,-0.22,-1.19,-1.62,-1.84,-1.97,-2.5,-2.69,-2.06,-1.19,-1.44,-2.75,-3.69,-4.5,-5.69,-7.66,-8.47,-8.56,-8.78,-9.97,-10.72,-10.53,-9.69,-9.91,-9.5,-7.97,-6.34,-5.16,-4.47,-3.0,-1.31,-0.19,-0.06,-0.09,-0.03,-0.44,-1.44,-1.84,-0.91,0.69,1.16,1.19,1.31,0.59,-1.06,-3.62,-5.88,-7.34,-8.66,-10.25,-10.84,-10.5,-10.06,-10.62,-10.72,-9.84,-8.38,-7.25,-6.22,-4.25,-2.44,-1.97,-2.88,-3.56,-4.34,-5.03,-5.97,-6.16,-5.0,-2.94,-1.62,0.28,3.19,5.81,7.72,8.25,8.38,8.12,6.69,3.81,1.34,-0.72,-1.88,-3.41,-3.78,-2.41,-0.5,0.28,0.38,0.41,0.06,-0.94,-2.56,-3.56,-3.69,-4.19,-4.78,-4.78,-3.38,-1.47,-0.06,1.66,3.66,5.84,6.81,7.09,7.19,6.81,5.16,2.72,0.69,0.25,-0.09,-0.5,-0.03,0.84,1.59,1.31,0.56,0.28,0.78,0.66,0.97,2.34,4.38,6.09,7.75,9.59,12.0,13.62,13.84,13.03,12.25,11.84,10.81,9.91,10.0,10.53,9.84,8.56,7.25,6.5,5.81,4.28,2.88,2.72,2.78,2.88,3.72,5.47,8.56,10.75,12.41,14.56,16.84,18.28,18.53,18.12,17.34,15.91,13.31,10.78,9.12,7.75,6.03,4.12,2.5,1.62,0.44,-0.59,-0.31,1.47,3.34,5.06,6.53,8.25,9.12,8.44,6.97,6.5,5.94,4.88,4.03,3.59,4.38,4.19,3.41,2.75,2.03,1.03,-0.28,-1.06,-0.28,1.25,1.91,2.38,2.91,3.31,3.31,3.09,3.47,4.47,5.44,5.38,4.59,4.34,3.41,0.94,-2.06,-4.25,-6.62,-9.28,-11.81,-13.25,-13.31,-13.12,-12.09,-10.19,-6.81,-3.47,-0.84,1.38,4.44,6.75,7.66,8.0,8.88,9.69,10.12,10.28,11.34,12.34,12.22,11.0,8.66,6.34,3.53,-0.47,-4.44,-6.16,-6.81,-6.47,-5.47,-3.5,-1.25,0.06,0.19,0.38,1.31,2.19,3.0,3.81,5.53,7.53,8.78,9.75,11.38,13.41,14.72,15.5,16.34,16.91,16.19,14.38,11.84,10.06,8.12,5.19,2.03,-0.34,-2.31,-4.22,-5.0,-4.66,-3.19,-2.09,-1.81,-2.25,-2.09,-1.69,-1.75,-0.78,1.59,4.41,6.53,8.28,10.28,11.84,12.97,13.12,13.53,14.22,14.41,13.81,13.34,13.5,13.34,12.25,10.38,9.25,8.03,6.94,6.41,7.62,9.75,11.84,13.19,15.19,17.25,19.06,20.38,21.88,23.66,24.84,24.41,23.47,22.75,22.31,21.31,20.94,21.06,20.94,20.72,19.0,17.59,16.75,15.66,14.66,14.12,15.0,16.69,17.84,18.97,20.12,21.09,20.97,20.22,20.0,20.25,20.56,19.88,19.12,18.5,17.53,15.03,12.03,9.59,8.0,6.41,5.88,6.91,9.12,11.19,12.47,13.22,13.66,13.59,11.59,9.88,8.78,8.62,8.12,7.44,8.16,9.06,8.84,8.16,7.44,7.34,6.09,3.88,2.19,1.19,0.94,0.06,-0.16,0.06,1.0,1.41,2.38,4.53,7.34,9.44,10.0,10.09,10.03,9.06,7.47,5.62,4.59,4.06,2.66,1.31,0.53,0.78,0.66,0.03:7.16,6.19,4.62,3.94,4.22,3.94,3.44,3.66,4.56,4.59,4.31,4.38,5.56,7.22,8.0,7.75,7.94,7.78,6.28,4.5,3.19,2.91,1.72,0.09,-1.09,-1.56,-1.88,-2.22,-2.34,-0.62,1.5,2.16,2.41,2.62,2.75,2.12,0.72,-0.12,-0.38,-1.09,-1.91,-2.0,-0.53,1.09,1.81,2.41,3.19,3.41,2.09,0.22,-0.72,-1.22,-1.12,-1.06,0.12,2.44,4.44,5.06,5.31,5.72,5.31,4.03,2.28,1.59,1.47,0.44,-0.75,-0.94,-0.12,0.28,0.09,0.03,0.31,-0.22,-1.47,-2.66,-2.09,-1.16,-0.03,0.88,2.34,3.66,3.78,3.0,2.53,2.94,2.88,2.25,2.41,3.62,4.56,4.53,4.25,4.59,4.31,3.19,1.09,0.22,-0.12,-0.97,-1.88,-2.19,-2.0,-2.56,-4.53,-6.28,-7.78,-9.25,-11.19,-12.41,-12.25,-11.31,-10.38,-9.62,-7.84,-5.62,-3.75,-2.16,-0.38,1.56,2.78,2.66,2.59,3.12,3.72,3.47,2.84,2.69,1.94,0.81,-0.97,-1.62,-1.5,-1.22,-1.78,-1.78,-1.44,-1.62,-2.66,-3.78,-3.53,-3.25,-3.5,-3.81,-3.25,-2.34,-1.69,-1.16,-0.09,1.53,2.56,1.78,1.06,0.81,0.12,-0.5,-1.31,-1.12,-0.34,-0.56,-1.06,-0.94,-0.59,-0.62,-1.78,-2.94,-3.62,-4.34,-5.62,-6.16,-5.53,-4.09,-3.47,-3.22,-2.5,-2.06,-2.81,-4.19,-4.97,-5.19,-5.06,-5.88,-6.19,-5.66,-5.06,-5.56,-6.28,-5.94,-5.59,-5.66,-5.62,-4.94,-3.5,-2.56,-2.59,-2.78,-2.78,-2.97,-4.34,-5.16,-5.09,-4.97,-6.09,-7.66,-8.38,-9.06,-9.5,-9.78,-8.97,-7.16,-5.69,-4.81,-3.53,-1.72,-0.62,-1.12,-2.09,-2.62,-3.16,-4.84,-6.09,-6.84,-7.25,-7.69,-8.53,-8.59,-7.62,-6.66,-6.59,-6.44,-5.62,-4.97,-6.16,-7.41,-8.34,-9.25,-10.81,-11.88,-11.75,-10.44,-9.53,-8.75,-7.81,-6.72,-5.75,-6.06,-6.59,-6.94,-7.22,-9.22,-11.19,-12.72,-13.66,-14.84,-16.16,-16.78,-15.97,-14.78,-13.38,-11.38,-8.22,-4.81,-3.0,-0.91,1.84,4.75,6.47,7.53,8.09,8.53,7.47,5.25,3.25,1.78,0.0,-2.69,-5.09,-6.78,-8.38,-10.5,-12.62,-13.34,-13.47,-13.75,-13.62,-12.47,-10.94,-9.66,-9.59,-9.75,-9.06,-8.44,-7.81,-6.91,-5.25,-3.31,-2.69,-2.91,-2.94,-3.09,-4.09,-5.28,-6.09,-6.09,-6.31,-6.66,-6.72,-5.97,-5.09,-5.12,-4.88,-4.25,-3.19,-2.69,-2.41,-1.5,-0.16,0.75,1.19,1.41,2.28,2.66,1.78,0.59,0.0,-0.84,-2.06,-3.62,-4.28,-3.88,-3.72,-4.56,-4.41,-4.25,-4.5,-5.41,-5.44,-4.31,-2.62,-0.81,0.91,3.19,5.0,4.78,3.41,2.06,0.91,-0.78,-2.12,-2.56,-1.97,-1.38,-1.41,-1.84,-1.88,-2.91,-4.66,-6.38,-6.94,-6.84,-6.88,-6.41,-5.44,-3.84,-2.59,-2.34,-2.09,-1.59,-1.47,-1.97,-2.38,-1.78,-1.19,-1.28,-1.88,-2.03,-2.25,-3.12,-4.47,-5.62,-5.31,-4.75,-4.22,-3.09,-1.25,0.25,0.72,0.03,-0.22,-0.47,-1.28,-2.22,-1.81,-0.38,1.12,1.53,2.09,2.97,3.31,3.22,2.69,2.88,3.19,2.81,2.12,2.06,1.88,1.44,0.09,-0.31,-0.16,0.34,0.28,0.31,0.28,-0.56,-2.19,-4.25,-5.09,-5.22,-5.62,-5.66,-5.0,-4.56,-4.84,-5.75,-6.53,-6.69,-6.84,-7.28,-7.31,-6.5,-5.44,-5.06,-4.62,-3.66,-2.84,-2.38,-2.12,-1.69,-1.72,-2.28,-4.38,-6.66,-8.72,-10.53,-12.38,-13.59,-13.34,-12.47,-12.06,-12.34,-11.81,-10.91,-10.44,-10.22,-9.28,-8.5,-7.72,-8.09,-8.09,-7.34,-6.81,-6.88,-7.72,-8.47,-9.38,-11.0,-12.75,-14.09,-14.34,-15.16,-16.16,-16.44,-15.75,-15.5,-16.09,-16.47,-16.09,-15.0,-13.97,-12.56,-10.03,-6.81,-4.53,-2.75,-0.69,0.78,1.59,0.97,0.28,0.06,-0.5,-2.0,-3.66,-4.88,-5.75,-6.75,-7.94,-7.72,-6.69,-5.66,-5.12,-4.75,-4.5,-5.25,-7.84,-10.78,-12.78,-13.84,-14.66,-14.78,-13.91,-12.16,-11.31,-11.41,-10.84,-10.59,-10.19,-10.88,-11.22,-10.5,-9.34,-9.06,-8.47,-7.0,-5.75,-5.88,-6.59,-7.19,-7.81,-8.81,-10.44,-11.22,-11.38,-11.75,-12.91,-14.0,-14.41,-15.59,-17.41,-19.38,-20.72,-21.03,-21.78,-21.94,-21.22,-19.78,-18.41,-17.53,-16.28,-14.22,-12.47,-11.66,-10.75,-9.59,-8.59,-8.66,-9.31,-9.91,-9.59,-10.19,-10.78,-10.75,-9.69,-9.03,-9.12,-9.38,-9.25,-8.88,-9.91,-11.0,-11.5,-12.19,-13.81,-15.91,-17.12,-16.72,-16.03,-14.78,-12.16,-8.41,-4.38,-1.78,0.88,4.16,6.75,7.59,7.53,7.69,7.75,6.34,4.47,2.53,0.97,-1.56,-4.66,-7.78,-9.69,-11.22,-13.5,-15.12,-14.75,-13.47,-12.34,-10.44,-7.41,-3.22,0.38,3.5,6.16,8.91,10.53,10.53,10.09,10.5,10.31,8.91,6.94,5.38,3.72,0.75,-2.59,-5.06,-7.03,-9.12,-10.94,-11.41,-9.91,-7.91,-6.06,-4.75,-2.44,-0.16,1.62,3.59,6.22,8.75,9.81,9.12,8.12,6.94,4.91,1.78,-1.44,-3.25,-5.47,-7.94,-10.0,-11.34,-11.91,-12.56,-12.88,-11.53,-8.59,-6.44,-5.28,-4.28,-2.72,-1.84,-1.66,-0.88,0.69,2.03,2.31,1.75,1.28,0.56,-1.47,-3.97,-5.88,-6.38,-6.94,-7.69,-7.91,-7.34,-7.09,-7.25,-7.31,-6.25,-5.12,-4.97,-5.56,-5.16,-4.44,-4.0,-3.78,-2.31,-0.19,1.75,2.78,3.47,4.41,4.75,3.72,2.28,1.44,0.81,-0.56,-2.03,-2.75,-2.91,-3.19,-4.19,-5.0,-4.88,-4.72,-5.16,-5.5,-4.78,-4.78,-6.09,-8.25,-9.44,-10.09,-10.75,-11.12,-10.12,-7.47,-5.12,-3.31,-1.19,1.59,3.91,5.03,5.88,7.41,8.62,8.47,7.19,6.28,5.62,4.25,2.72,1.72,1.44,0.38,-1.78,-4.03,-5.34,-6.19,-6.94,-6.94,-5.59,-3.69,-2.41,-2.0,-0.97,-0.41,-0.22,-1.19,-1.62,-1.84,-1.97,-2.5,-2.69,-2.06,-1.19,-1.44,-2.75,-3.69,-4.5,-5.69,-7.66,-8.47,-8.56,-8.78,-9.97,-10.72,-10.53,-9.69,-9.91,-9.5,-7.97,-6.34,-5.16,-4.47,-3.0,-1.31,-0.19,-0.06,-0.09,-0.03,-0.44,-1.44,-1.84,-0.91,0.69,1.16,1.19,1.31,0.59,-1.06,-3.62,-5.88,-7.34,-8.66,-10.25,-10.84,-10.5,-10.06,-10.62,-10.72,-9.84,-8.38,-7.25,-6.22,-4.25,-2.44,-1.97,-2.88,-3.56,-4.34,-5.03,-5.97,-6.16,-5.0,-2.94,-1.62,0.28,3.19,5.81,7.72,8.25,8.38,8.12,6.69,3.81,1.34,-0.72,-1.88,-3.41,-3.78,-2.41,-0.5,0.28,0.38,0.41,0.06,-0.94,-2.56,-3.56,-3.69,-4.19,-4.78,-4.78,-3.38,-1.47,-0.06,1.66,3.66,5.84,6.81,7.09,7.19,6.81,5.16,2.72,0.69,0.25,-0.09,-0.5,-0.03,0.84,1.59,1.31,0.56,0.28,0.78,0.66,0.97,2.34,4.38,6.09,7.75,9.59,12.0,13.62,13.84,13.03,12.25,11.84,10.81,9.91,10.0,10.53,9.84,8.56,7.25,6.5,5.81,4.28,2.88,2.72,2.78,2.88,3.72,5.47,8.56,10.75,12.41,14.56,16.84,18.28,18.53,18.12,17.34,15.91,13.31,10.78,9.12,7.75,6.03,4.12,2.5,1.62,0.44,-0.59,-0.31,1.47,3.34,5.06,6.53,8.25,9.12,8.44,6.97,6.5,5.94,4.88,4.03,3.59,4.38,4.19,3.41,2.75,2.03,1.03,-0.28,-1.06,-0.28,1.25,1.91,2.38,2.91,3.31,3.31,3.09,3.47,4.47,5.44,5.38,4.59,4.34,3.41,0.94,-2.06,-4.25,-6.62,-9.28,-11.81,-13.25,-13.31,-13.12,-12.09,-10.19,-6.81,-3.47,-0.84,1.38,4.44,6.75,7.66,8.0,8.88,9.69,10.12,10.28,11.34,12.34,12.22,11.0,8.66,6.34,3.53,-0.47,-4.44,-6.16,-6.81,-6.47,-5.47,-3.5,-1.25,0.06,0.19,0.38,1.31,2.19,3.0,3.81,5.53,7.53,8.78,9.75,11.38,13.41,14.72,15.5,16.34,16.91,16.19,14.38,11.84,10.06,8.12,5.19,2.03,-0.34,-2.31,-4.22,-5.0,-4.66,-3.19,-2.09,-1.81,-2.25,-2.09,-1.69,-1.75,-0.78,1.59,4.41,6.53,8.28,10.28,11.84,12.97,13.12,13.53,14.22,14.41,13.81,13.34,13.5,13.34,12.25,10.38,9.25,8.03,6.94,6.41,7.62,9.75,11.84,13.19,15.19,17.25,19.06,20.38,21.88,23.66,24.84,24.41,23.47,22.75,22.31,21.31,20.94,21.06,20.94,20.72,19.0,17.59,16.75,15.66,14.66,14.12,15.0,16.69,17.84,18.97,20.12,21.09,20.97,20.22,20.0,20.25,20.56,19.88,19.12,18.5,17.53,15.03,12.03,9.59,8.0,6.41,5.88,6.91,9.12,11.19,12.47,13.22,13.66,13.59,11.59,9.88,8.78,8.62,8.12,7.44,8.16,9.06,8.84,8.16,7.44,7.34,6.09,3.88,2.19,1.19,0.94,0.06,-0.16,0.06,1.0,1.41,2.38,4.53,7.34,9.44,10.0,10.09,10.03,9.06,7.47,5.62,4.59,4.06,2.66,1.31,0.53,0.78,0.66,0.03,50.66,50.59,50.47,50.28,50.19,49.44,48.78:3.66,4.56,4.59,4.31,4.38,5.56,7.22,8.0,7.75,7.94,7.78,6.28,4.5,3.19,2.91,1.72,0.09,-1.09,-1.56,-1.88,-2.22,-2.34,-0.62,1.5,2.16,2.41,2.62,2.75,2.12,0.72,-0.12,-0.38,-1.09,-1.91,-2.0,-0.53,1.09,1.81,2.41,3.19,3.41,2.09,0.22,-0.72,-1.22,-1.12,-1.06,0.12,2.44,4.44,5.06,5.31,5.72,5.31,4.03,2.28,1.59,1.47,0.44,-0.75,-0.94,-0.12,0.28,0.09,0.03,0.31,-0.22,-1.47,-2.66,-2.09,-1.16,-0.03,0.88,2.34,3.66,3.78,3.0,2.53,2.94,2.88,2.25,2.41,3.62,4.56,4.53,4.25,4.59,4.31,3.19,1.09,0.22,-0.12,-0.97,-1.88,-2.19,-2.0,-2.56,-4.53,-6.28,-7.78,-9.25,-11.19,-12.41,-12.25,-11.31,-10.38,-9.62,-7.84,-5.62,-3.75,-2.16,-0.38,1.56,2.78,2.66,2.59,3.12,3.72,3.47,2.84,2.69,1.94,0.81,-0.97,-1.62,-1.5,-1.22,-1.78,-1.78,-1.44,-1.62,-2.66,-3.78,-3.53,-3.25,-3.5,-3.81,-3.25,-2.34,-1.69,-1.16,-0.09,1.53,2.56,1.78,1.06,0.81,0.12,-0.5,-1.31,-1.12,-0.34,-0.56,-1.06,-0.94,-0.59,-0.62,-1.78,-2.94,-3.62,-4.34,-5.62,-6.16,-5.53,-4.09,-3.47,-3.22,-2.5,-2.06,-2.81,-4.19,-4.97,-5.19,-5.06,-5.88,-6.19,-5.66,-5.06,-5.56,-6.28,-5.94,-5.59,-5.66,-5.62,-4.94,-3.5,-2.56,-2.59,-2.78,-2.78,-2.97,-4.34,-5.16,-5.09,-4.97,-6.09,-7.66,-8.38,-9.06,-9.5,-9.78,-8.97,-7.16,-5.69,-4.81,-3.53,-1.72,-0.62,-1.12,-2.09,-2.62,-3.16,-4.84,-6.09,-6.84,-7.25,-7.69,-8.53,-8.59,-7.62,-6.66,-6.59,-6.44,-5.62,-4.97,-6.16,-7.41,-8.34,-9.25,-10.81,-11.88,-11.75,-10.44,-9.53,-8.75,-7.81,-6.72,-5.75,-6.06,-6.59,-6.94,-7.22,-9.22,-11.19,-12.72,-13.66,-14.84,-16.16,-16.78,-15.97,-14.78,-13.38,-11.38,-8.22,-4.81,-3.0,-0.91,1.84,4.75,6.47,7.53,8.09,8.53,7.47,5.25,3.25,1.78,0.0,-2.69,-5.09,-6.78,-8.38,-10.5,-12.62,-13.34,-13.47,-13.75,-13.62,-12.47,-10.94,-9.66,-9.59,-9.75,-9.06,-8.44,-7.81,-6.91,-5.25,-3.31,-2.69,-2.91,-2.94,-3.09,-4.09,-5.28,-6.09,-6.09,-6.31,-6.66,-6.72,-5.97,-5.09,-5.12,-4.88,-4.25,-3.19,-2.69,-2.41,-1.5,-0.16,0.75,1.19,1.41,2.28,2.66,1.78,0.59,0.0,-0.84,-2.06,-3.62,-4.28,-3.88,-3.72,-4.56,-4.41,-4.25,-4.5,-5.41,-5.44,-4.31,-2.62,-0.81,0.91,3.19,5.0,4.78,3.41,2.06,0.91,-0.78,-2.12,-2.56,-1.97,-1.38,-1.41,-1.84,-1.88,-2.91,-4.66,-6.38,-6.94,-6.84,-6.88,-6.41,-5.44,-3.84,-2.59,-2.34,-2.09,-1.59,-1.47,-1.97,-2.38,-1.78,-1.19,-1.28,-1.88,-2.03,-2.25,-3.12,-4.47,-5.62,-5.31,-4.75,-4.22,-3.09,-1.25,0.25,0.72,0.03,-0.22,-0.47,-1.28,-2.22,-1.81,-0.38,1.12,1.53,2.09,2.97,3.31,3.22,2.69,2.88,3.19,2.81,2.12,2.06,1.88,1.44,0.09,-0.31,-0.16,0.34,0.28,0.31,0.28,-0.56,-2.19,-4.25,-5.09,-5.22,-5.62,-5.66,-5.0,-4.56,-4.84,-5.75,-6.53,-6.69,-6.84,-7.28,-7.31,-6.5,-5.44,-5.06,-4.62,-3.66,-2.84,-2.38,-2.12,-1.69,-1.72,-2.28,-4.38,-6.66,-8.72,-10.53,-12.38,-13.59,-13.34,-12.47,-12.06,-12.34,-11.81,-10.91,-10.44,-10.22,-9.28,-8.5,-7.72,-8.09,-8.09,-7.34,-6.81,-6.88,-7.72,-8.47,-9.38,-11.0,-12.75,-14.09,-14.34,-15.16,-16.16,-16.44,-15.75,-15.5,-16.09,-16.47,-16.09,-15.0,-13.97,-12.56,-10.03,-6.81,-4.53,-2.75,-0.69,0.78,1.59,0.97,0.28,0.06,-0.5,-2.0,-3.66,-4.88,-5.75,-6.75,-7.94,-7.72,-6.69,-5.66,-5.12,-4.75,-4.5,-5.25,-7.84,-10.78,-12.78,-13.84,-14.66,-14.78,-13.91,-12.16,-11.31,-11.41,-10.84,-10.59,-10.19,-10.88,-11.22,-10.5,-9.34,-9.06,-8.47,-7.0,-5.75,-5.88,-6.59,-7.19,-7.81,-8.81,-10.44,-11.22,-11.38,-11.75,-12.91,-14.0,-14.41,-15.59,-17.41,-19.38,-20.72,-21.03,-21.78,-21.94,-21.22,-19.78,-18.41,-17.53,-16.28,-14.22,-12.47,-11.66,-10.75,-9.59,-8.59,-8.66,-9.31,-9.91,-9.59,-10.19,-10.78,-10.75,-9.69,-9.03,-9.12,-9.38,-9.25,-8.88,-9.91,-11.0,-11.5,-12.19,-13.81,-15.91,-17.12,-16.72,-16.03,-14.78,-12.16,-8.41,-4.38,-1.78,0.88,4.16,6.75,7.59,7.53,7.69,7.75,6.34,4.47,2.53,0.97,-1.56,-4.66,-7.78,-9.69,-11.22,-13.5,-15.12,-14.75,-13.47,-12.34,-10.44,-7.41,-3.22,0.38,3.5,6.16,8.91,10.53,10.53,10.09,10.5,10.31,8.91,6.94,5.38,3.72,0.75,-2.59,-5.06,-7.03,-9.12,-10.94,-11.41,-9.91,-7.91,-6.06,-4.75,-2.44,-0.16,1.62,3.59,6.22,8.75,9.81,9.12,8.12,6.94,4.91,1.78,-1.44,-3.25,-5.47,-7.94,-10.0,-11.34,-11.91,-12.56,-12.88,-11.53,-8.59,-6.44,-5.28,-4.28,-2.72,-1.84,-1.66,-0.88,0.69,2.03,2.31,1.75,1.28,0.56,-1.47,-3.97,-5.88,-6.38,-6.94,-7.69,-7.91,-7.34,-7.09,-7.25,-7.31,-6.25,-5.12,-4.97,-5.56,-5.16,-4.44,-4.0,-3.78,-2.31,-0.19,1.75,2.78,3.47,4.41,4.75,3.72,2.28,1.44,0.81,-0.56,-2.03,-2.75,-2.91,-3.19,-4.19,-5.0,-4.88,-4.72,-5.16,-5.5,-4.78,-4.78,-6.09,-8.25,-9.44,-10.09,-10.75,-11.12,-10.12,-7.47,-5.12,-3.31,-1.19,1.59,3.91,5.03,5.88,7.41,8.62,8.47,7.19,6.28,5.62,4.25,2.72,1.72,1.44,0.38,-1.78,-4.03,-5.34,-6.19,-6.94,-6.94,-5.59,-3.69,-2.41,-2.0,-0.97,-0.41,-0.22,-1.19,-1.62,-1.84,-1.97,-2.5,-2.69,-2.06,-1.19,-1.44,-2.75,-3.69,-4.5,-5.69,-7.66,-8.47,-8.56,-8.78,-9.97,-10.72,-10.53,-9.69,-9.91,-9.5,-7.97,-6.34,-5.16,-4.47,-3.0,-1.31,-0.19,-0.06,-0.09,-0.03,-0.44,-1.44,-1.84,-0.91,0.69,1.16,1.19,1.31,0.59,-1.06,-3.62,-5.88,-7.34,-8.66,-10.25,-10.84,-10.5,-10.06,-10.62,-10.72,-9.84,-8.38,-7.25,-6.22,-4.25,-2.44,-1.97,-2.88,-3.56,-4.34,-5.03,-5.97,-6.16,-5.0,-2.94,-1.62,0.28,3.19,5.81,7.72,8.25,8.38,8.12,6.69,3.81,1.34,-0.72,-1.88,-3.41,-3.78,-2.41,-0.5,0.28,0.38,0.41,0.06,-0.94,-2.56,-3.56,-3.69,-4.19,-4.78,-4.78,-3.38,-1.47,-0.06,1.66,3.66,5.84,6.81,7.09,7.19,6.81,5.16,2.72,0.69,0.25,-0.09,-0.5,-0.03,0.84,1.59,1.31,0.56,0.28,0.78,0.66,0.97,2.34,4.38,6.09,7.75,9.59,12.0,13.62,13.84,13.03,12.25,11.84,10.81,9.91,10.0,10.53,9.84,8.56,7.25,6.5,5.81,4.28,2.88,2.72,2.78,2.88,3.72,5.47,8.56,10.75,12.41,14.56,16.84,18.28,18.53,18.12,17.34,15.91,13.31,10.78,9.12,7.75,6.03,4.12,2.5,1.62,0.44,-0.59,-0.31,1.47,3.34,5.06,6.53,8.25,9.12,8.44,6.97,6.5,5.94,4.88,4.03,3.59,4.38,4.19,3.41,2.75,2.03,1.03,-0.28,-1.06,-0.28,1.25,1.91,2.38,2.91,3.31,3.31,3.09,3.47,4.47,5.44,5.38,4.59,4.34,3.41,0.94,-2.06,-4.25,-6.62,-9.28,-11.81,-13.25,-13.31,-13.12,-12.09,-10.19,-6.81,-3.47,-0.84,1.38,4.44,6.75,7.66,8.0,8.88,9.69,10.12,10.28,11.34,12.34,12.22,11.0,8.66,6.34,3.53,-0.47,-4.44,-6.16,-6.81,-6.47,-5.47,-3.5,-1.25,0.06,0.19,0.38,1.31,2.19,3.0,3.81,5.53,7.53,8.78,9.75,11.38,13.41,14.72,15.5,16.34,16.91,16.19,14.38,11.84,10.06,8.12,5.19,2.03,-0.34,-2.31,-4.22,-5.0,-4.66,-3.19,-2.09,-1.81,-2.25,-2.09,-1.69,-1.75,-0.78,1.59,4.41,6.53,8.28,10.28,11.84,12.97,13.12,13.53,14.22,14.41,13.81,13.34,13.5,13.34,12.25,10.38,9.25,8.03,6.94,6.41,7.62,9.75,11.84,13.19,15.19,17.25,19.06,20.38,21.88,23.66,24.84,24.41,23.47,22.75,22.31,21.31,20.94,21.06,20.94,20.72,19.0,17.59,16.75,15.66,14.66,14.12,15.0,16.69,17.84,18.97,20.12,21.09,20.97,20.22,20.0,20.25,20.56,19.88,19.12,18.5,17.53,15.03,12.03,9.59,8.0,6.41,5.88,6.91,9.12,11.19,12.47,13.22,13.66,13.59,11.59,9.88,8.78,8.62,8.12,7.44,8.16,9.06,8.84,8.16,7.44,7.34,6.09,3.88,2.19,1.19,0.94,0.06,-0.16,0.06,1.0,1.41,2.38,4.53,7.34,9.44,10.0,10.09,10.03,9.06,7.47,5.62,4.59,4.06,2.66,1.31,0.53,0.78,0.66,0.03,50.66,50.59,50.47,50.28,50.19,49.44,48.78,47.88,47.41,46.72,46.09,46.38,46.75,47.28:8.0,7.75,7.94,7.78,6.28,4.5,3.19,2.91,1.72,0.09,-1.09,-1.56,-1.88,-2.22,-2.34,-0.62,1.5,2.16,2.41,2.62,2.75,2.12,0.72,-0.12,-0.38,-1.09,-1.91,-2.0,-0.53,1.09,1.81,2.41,3.19,3.41,2.09,0.22,-0.72,-1.22,-1.12,-1.06,0.12,2.44,4.44,5.06,5.31,5.72,5.31,4.03,2.28,1.59,1.47,0.44,-0.75,-0.94,-0.12,0.28,0.09,0.03,0.31,-0.22,-1.47,-2.66,-2.09,-1.16,-0.03,0.88,2.34,3.66,3.78,3.0,2.53,2.94,2.88,2.25,2.41,3.62,4.56,4.53,4.25,4.59,4.31,3.19,1.09,0.22,-0.12,-0.97,-1.88,-2.19,-2.0,-2.56,-4.53,-6.28,-7.78,-9.25,-11.19,-12.41,-12.25,-11.31,-10.38,-9.62,-7.84,-5.62,-3.75,-2.16,-0.38,1.56,2.78,2.66,2.59,3.12,3.72,3.47,2.84,2.69,1.94,0.81,-0.97,-1.62,-1.5,-1.22,-1.78,-1.78,-1.44,-1.62,-2.66,-3.78,-3.53,-3.25,-3.5,-3.81,-3.25,-2.34,-1.69,-1.16,-0.09,1.53,2.56,1.78,1.06,0.81,0.12,-0.5,-1.31,-1.12,-0.34,-0.56,-1.06,-0.94,-0.59,-0.62,-1.78,-2.94,-3.62,-4.34,-5.62,-6.16,-5.53,-4.09,-3.47,-3.22,-2.5,-2.06,-2.81,-4.19,-4.97,-5.19,-5.06,-5.88,-6.19,-5.66,-5.06,-5.56,-6.28,-5.94,-5.59,-5.66,-5.62,-4.94,-3.5,-2.56,-2.59,-2.78,-2.78,-2.97,-4.34,-5.16,-5.09,-4.97,-6.09,-7.66,-8.38,-9.06,-9.5,-9.78,-8.97,-7.16,-5.69,-4.81,-3.53,-1.72,-0.62,-1.12,-2.09,-2.62,-3.16,-4.84,-6.09,-6.84,-7.25,-7.69,-8.53,-8.59,-7.62,-6.66,-6.59,-6.44,-5.62,-4.97,-6.16,-7.41,-8.34,-9.25,-10.81,-11.88,-11.75,-10.44,-9.53,-8.75,-7.81,-6.72,-5.75,-6.06,-6.59,-6.94,-7.22,-9.22,-11.19,-12.72,-13.66,-14.84,-16.16,-16.78,-15.97,-14.78,-13.38,-11.38,-8.22,-4.81,-3.0,-0.91,1.84,4.75,6.47,7.53,8.09,8.53,7.47,5.25,3.25,1.78,0.0,-2.69,-5.09,-6.78,-8.38,-10.5,-12.62,-13.34,-13.47,-13.75,-13.62,-12.47,-10.94,-9.66,-9.59,-9.75,-9.06,-8.44,-7.81,-6.91,-5.25,-3.31,-2.69,-2.91,-2.94,-3.09,-4.09,-5.28,-6.09,-6.09,-6.31,-6.66,-6.72,-5.97,-5.09,-5.12,-4.88,-4.25,-3.19,-2.69,-2.41,-1.5,-0.16,0.75,1.19,1.41,2.28,2.66,1.78,0.59,0.0,-0.84,-2.06,-3.62,-4.28,-3.88,-3.72,-4.56,-4.41,-4.25,-4.5,-5.41,-5.44,-4.31,-2.62,-0.81,0.91,3.19,5.0,4.78,3.41,2.06,0.91,-0.78,-2.12,-2.56,-1.97,-1.38,-1.41,-1.84,-1.88,-2.91,-4.66,-6.38,-6.94,-6.84,-6.88,-6.41,-5.44,-3.84,-2.59,-2.34,-2.09,-1.59,-1.47,-1.97,-2.38,-1.78,-1.19,-1.28,-1.88,-2.03,-2.25,-3.12,-4.47,-5.62,-5.31,-4.75,-4.22,-3.09,-1.25,0.25,0.72,0.03,-0.22,-0.47,-1.28,-2.22,-1.81,-0.38,1.12,1.53,2.09,2.97,3.31,3.22,2.69,2.88,3.19,2.81,2.12,2.06,1.88,1.44,0.09,-0.31,-0.16,0.34,0.28,0.31,0.28,-0.56,-2.19,-4.25,-5.09,-5.22,-5.62,-5.66,-5.0,-4.56,-4.84,-5.75,-6.53,-6.69,-6.84,-7.28,-7.31,-6.5,-5.44,-5.06,-4.62,-3.66,-2.84,-2.38,-2.12,-1.69,-1.72,-2.28,-4.38,-6.66,-8.72,-10.53,-12.38,-13.59,-13.34,-12.47,-12.06,-12.34,-11.81,-10.91,-10.44,-10.22,-9.28,-8.5,-7.72,-8.09,-8.09,-7.34,-6.81,-6.88,-7.72,-8.47,-9.38,-11.0,-12.75,-14.09,-14.34,-15.16,-16.16,-16.44,-15.75,-15.5,-16.09,-16.47,-16.09,-15.0,-13.97,-12.56,-10.03,-6.81,-4.53,-2.75,-0.69,0.78,1.59,0.97,0.28,0.06,-0.5,-2.0,-3.66,-4.88,-5.75,-6.75,-7.94,-7.72,-6.69,-5.66,-5.12,-4.75,-4.5,-5.25,-7.84,-10.78,-12.78,-13.84,-14.66,-14.78,-13.91,-12.16,-11.31,-11.41,-10.84,-10.59,-10.19,-10.88,-11.22,-10.5,-9.34,-9.06,-8.47,-7.0,-5.75,-5.88,-6.59,-7.19,-7.81,-8.81,-10.44,-11.22,-11.38,-11.75,-12.91,-14.0,-14.41,-15.59,-17.41,-19.38,-20.72,-21.03,-21.78,-21.94,-21.22,-19.78,-18.41,-17.53,-16.28,-14.22,-12.47,-11.66,-10.75,-9.59,-8.59,-8.66,-9.31,-9.91,-9.59,-10.19,-10.78,-10.75,-9.69,-9.03,-9.12,-9.38,-9.25,-8.88,-9.91,-11.0,-11.5,-12.19,-13.81,-15.91,-17.12,-16.72,-16.03,-14.78,-12.16,-8.41,-4.38,-1.78,0.88,4.16,6.75,7.59,7.53,7.69,7.75,6.34,4.47,2.53,0.97,-1.56,-4.66,-7.78,-9.69,-11.22,-13.5,-15.12,-14.75,-13.47,-12.34,-10.44,-7.41,-3.22,0.38,3.5,6.16,8.91,10.53,10.53,10.09,10.5,10.31,8.91,6.94,5.38,3.72,0.75,-2.59,-5.06,-7.03,-9.12,-10.94,-11.41,-9.91,-7.91,-6.06,-4.75,-2.44,-0.16,1.62,3.59,6.22,8.75,9.81,9.12,8.12,6.94,4.91,1.78,-1.44,-3.25,-5.47,-7.94,-10.0,-11.34,-11.91,-12.56,-12.88,-11.53,-8.59,-6.44,-5.28,-4.28,-2.72,-1.84,-1.66,-0.88,0.69,2.03,2.31,1.75,1.28,0.56,-1.47,-3.97,-5.88,-6.38,-6.94,-7.69,-7.91,-7.34,-7.09,-7.25,-7.31,-6.25,-5.12,-4.97,-5.56,-5.16,-4.44,-4.0,-3.78,-2.31,-0.19,1.75,2.78,3.47,4.41,4.75,3.72,2.28,1.44,0.81,-0.56,-2.03,-2.75,-2.91,-3.19,-4.19,-5.0,-4.88,-4.72,-5.16,-5.5,-4.78,-4.78,-6.09,-8.25,-9.44,-10.09,-10.75,-11.12,-10.12,-7.47,-5.12,-3.31,-1.19,1.59,3.91,5.03,5.88,7.41,8.62,8.47,7.19,6.28,5.62,4.25,2.72,1.72,1.44,0.38,-1.78,-4.03,-5.34,-6.19,-6.94,-6.94,-5.59,-3.69,-2.41,-2.0,-0.97,-0.41,-0.22,-1.19,-1.62,-1.84,-1.97,-2.5,-2.69,-2.06,-1.19,-1.44,-2.75,-3.69,-4.5,-5.69,-7.66,-8.47,-8.56,-8.78,-9.97,-10.72,-10.53,-9.69,-9.91,-9.5,-7.97,-6.34,-5.16,-4.47,-3.0,-1.31,-0.19,-0.06,-0.09,-0.03,-0.44,-1.44,-1.84,-0.91,0.69,1.16,1.19,1.31,0.59,-1.06,-3.62,-5.88,-7.34,-8.66,-10.25,-10.84,-10.5,-10.06,-10.62,-10.72,-9.84,-8.38,-7.25,-6.22,-4.25,-2.44,-1.97,-2.88,-3.56,-4.34,-5.03,-5.97,-6.16,-5.0,-2.94,-1.62,0.28,3.19,5.81,7.72,8.25,8.38,8.12,6.69,3.81,1.34,-0.72,-1.88,-3.41,-3.78,-2.41,-0.5,0.28,0.38,0.41,0.06,-0.94,-2.56,-3.56,-3.69,-4.19,-4.78,-4.78,-3.38,-1.47,-0.06,1.66,3.66,5.84,6.81,7.09,7.19,6.81,5.16,2.72,0.69,0.25,-0.09,-0.5,-0.03,0.84,1.59,1.31,0.56,0.28,0.78,0.66,0.97,2.34,4.38,6.09,7.75,9.59,12.0,13.62,13.84,13.03,12.25,11.84,10.81,9.91,10.0,10.53,9.84,8.56,7.25,6.5,5.81,4.28,2.88,2.72,2.78,2.88,3.72,5.47,8.56,10.75,12.41,14.56,16.84,18.28,18.53,18.12,17.34,15.91,13.31,10.78,9.12,7.75,6.03,4.12,2.5,1.62,0.44,-0.59,-0.31,1.47,3.34,5.06,6.53,8.25,9.12,8.44,6.97,6.5,5.94,4.88,4.03,3.59,4.38,4.19,3.41,2.75,2.03,1.03,-0.28,-1.06,-0.28,1.25,1.91,2.38,2.91,3.31,3.31,3.09,3.47,4.47,5.44,5.38,4.59,4.34,3.41,0.94,-2.06,-4.25,-6.62,-9.28,-11.81,-13.25,-13.31,-13.12,-12.09,-10.19,-6.81,-3.47,-0.84,1.38,4.44,6.75,7.66,8.0,8.88,9.69,10.12,10.28,11.34,12.34,12.22,11.0,8.66,6.34,3.53,-0.47,-4.44,-6.16,-6.81,-6.47,-5.47,-3.5,-1.25,0.06,0.19,0.38,1.31,2.19,3.0,3.81,5.53,7.53,8.78,9.75,11.38,13.41,14.72,15.5,16.34,16.91,16.19,14.38,11.84,10.06,8.12,5.19,2.03,-0.34,-2.31,-4.22,-5.0,-4.66,-3.19,-2.09,-1.81,-2.25,-2.09,-1.69,-1.75,-0.78,1.59,4.41,6.53,8.28,10.28,11.84,12.97,13.12,13.53,14.22,14.41,13.81,13.34,13.5,13.34,12.25,10.38,9.25,8.03,6.94,6.41,7.62,9.75,11.84,13.19,15.19,17.25,19.06,20.38,21.88,23.66,24.84,24.41,23.47,22.75,22.31,21.31,20.94,21.06,20.94,20.72,19.0,17.59,16.75,15.66,14.66,14.12,15.0,16.69,17.84,18.97,20.12,21.09,20.97,20.22,20.0,20.25,20.56,19.88,19.12,18.5,17.53,15.03,12.03,9.59,8.0,6.41,5.88,6.91,9.12,11.19,12.47,13.22,13.66,13.59,11.59,9.88,8.78,8.62,8.12,7.44,8.16,9.06,8.84,8.16,7.44,7.34,6.09,3.88,2.19,1.19,0.94,0.06,-0.16,0.06,1.0,1.41,2.38,4.53,7.34,9.44,10.0,10.09,10.03,9.06,7.47,5.62,4.59,4.06,2.66,1.31,0.53,0.78,0.66,0.03,50.66,50.59,50.47,50.28,50.19,49.44,48.78,47.88,47.41,46.72,46.09,46.38,46.75,47.28,47.56,48.19,48.91,49.94,51.12,52.59,54.81:2.91,1.72,0.09,-1.09,-1.56,-1.88,-2.22,-2.34,-0.62,1.5,2.16,2.41,2.62,2.75,2.12,0.72,-0.12,-0.38,-1.09,-1.91,-2.0,-0.53,1.09,1.81,2.41,3.19,3.41,2.09,0.22,-0.72,-1.22,-1.12,-1.06,0.12,2.44,4.44,5.06,5.31,5.72,5.31,4.03,2.28,1.59,1.47,0.44,-0.75,-0.94,-0.12,0.28,0.09,0.03,0.31,-0.22,-1.47,-2.66,-2.09,-1.16,-0.03,0.88,2.34,3.66,3.78,3.0,2.53,2.94,2.88,2.25,2.41,3.62,4.56,4.53,4.25,4.59,4.31,3.19,1.09,0.22,-0.12,-0.97,-1.88,-2.19,-2.0,-2.56,-4.53,-6.28,-7.78,-9.25,-11.19,-12.41,-12.25,-11.31,-10.38,-9.62,-7.84,-5.62,-3.75,-2.16,-0.38,1.56,2.78,2.66,2.59,3.12,3.72,3.47,2.84,2.69,1.94,0.81,-0.97,-1.62,-1.5,-1.22,-1.78,-1.78,-1.44,-1.62,-2.66,-3.78,-3.53,-3.25,-3.5,-3.81,-3.25,-2.34,-1.69,-1.16,-0.09,1.53,2.56,1.78,1.06,0.81,0.12,-0.5,-1.31,-1.12,-0.34,-0.56,-1.06,-0.94,-0.59,-0.62,-1.78,-2.94,-3.62,-4.34,-5.62,-6.16,-5.53,-4.09,-3.47,-3.22,-2.5,-2.06,-2.81,-4.19,-4.97,-5.19,-5.06,-5.88,-6.19,-5.66,-5.06,-5.56,-6.28,-5.94,-5.59,-5.66,-5.62,-4.94,-3.5,-2.56,-2.59,-2.78,-2.78,-2.97,-4.34,-5.16,-5.09,-4.97,-6.09,-7.66,-8.38,-9.06,-9.5,-9.78,-8.97,-7.16,-5.69,-4.81,-3.53,-1.72,-0.62,-1.12,-2.09,-2.62,-3.16,-4.84,-6.09,-6.84,-7.25,-7.69,-8.53,-8.59,-7.62,-6.66,-6.59,-6.44,-5.62,-4.97,-6.16,-7.41,-8.34,-9.25,-10.81,-11.88,-11.75,-10.44,-9.53,-8.75,-7.81,-6.72,-5.75,-6.06,-6.59,-6.94,-7.22,-9.22,-11.19,-12.72,-13.66,-14.84,-16.16,-16.78,-15.97,-14.78,-13.38,-11.38,-8.22,-4.81,-3.0,-0.91,1.84,4.75,6.47,7.53,8.09,8.53,7.47,5.25,3.25,1.78,0.0,-2.69,-5.09,-6.78,-8.38,-10.5,-12.62,-13.34,-13.47,-13.75,-13.62,-12.47,-10.94,-9.66,-9.59,-9.75,-9.06,-8.44,-7.81,-6.91,-5.25,-3.31,-2.69,-2.91,-2.94,-3.09,-4.09,-5.28,-6.09,-6.09,-6.31,-6.66,-6.72,-5.97,-5.09,-5.12,-4.88,-4.25,-3.19,-2.69,-2.41,-1.5,-0.16,0.75,1.19,1.41,2.28,2.66,1.78,0.59,0.0,-0.84,-2.06,-3.62,-4.28,-3.88,-3.72,-4.56,-4.41,-4.25,-4.5,-5.41,-5.44,-4.31,-2.62,-0.81,0.91,3.19,5.0,4.78,3.41,2.06,0.91,-0.78,-2.12,-2.56,-1.97,-1.38,-1.41,-1.84,-1.88,-2.91,-4.66,-6.38,-6.94,-6.84,-6.88,-6.41,-5.44,-3.84,-2.59,-2.34,-2.09,-1.59,-1.47,-1.97,-2.38,-1.78,-1.19,-1.28,-1.88,-2.03,-2.25,-3.12,-4.47,-5.62,-5.31,-4.75,-4.22,-3.09,-1.25,0.25,0.72,0.03,-0.22,-0.47,-1.28,-2.22,-1.81,-0.38,1.12,1.53,2.09,2.97,3.31,3.22,2.69,2.88,3.19,2.81,2.12,2.06,1.88,1.44,0.09,-0.31,-0.16,0.34,0.28,0.31,0.28,-0.56,-2.19,-4.25,-5.09,-5.22,-5.62,-5.66,-5.0,-4.56,-4.84,-5.75,-6.53,-6.69,-6.84,-7.28,-7.31,-6.5,-5.44,-5.06,-4.62,-3.66,-2.84,-2.38,-2.12,-1.69,-1.72,-2.28,-4.38,-6.66,-8.72,-10.53,-12.38,-13.59,-13.34,-12.47,-12.06,-12.34,-11.81,-10.91,-10.44,-10.22,-9.28,-8.5,-7.72,-8.09,-8.09,-7.34,-6.81,-6.88,-7.72,-8.47,-9.38,-11.0,-12.75,-14.09,-14.34,-15.16,-16.16,-16.44,-15.75,-15.5,-16.09,-16.47,-16.09,-15.0,-13.97,-12.56,-10.03,-6.81,-4.53,-2.75,-0.69,0.78,1.59,0.97,0.28,0.06,-0.5,-2.0,-3.66,-4.88,-5.75,-6.75,-7.94,-7.72,-6.69,-5.66,-5.12,-4.75,-4.5,-5.25,-7.84,-10.78,-12.78,-13.84,-14.66,-14.78,-13.91,-12.16,-11.31,-11.41,-10.84,-10.59,-10.19,-10.88,-11.22,-10.5,-9.34,-9.06,-8.47,-7.0,-5.75,-5.88,-6.59,-7.19,-7.81,-8.81,-10.44,-11.22,-11.38,-11.75,-12.91,-14.0,-14.41,-15.59,-17.41,-19.38,-20.72,-21.03,-21.78,-21.94,-21.22,-19.78,-18.41,-17.53,-16.28,-14.22,-12.47,-11.66,-10.75,-9.59,-8.59,-8.66,-9.31,-9.91,-9.59,-10.19,-10.78,-10.75,-9.69,-9.03,-9.12,-9.38,-9.25,-8.88,-9.91,-11.0,-11.5,-12.19,-13.81,-15.91,-17.12,-16.72,-16.03,-14.78,-12.16,-8.41,-4.38,-1.78,0.88,4.16,6.75,7.59,7.53,7.69,7.75,6.34,4.47,2.53,0.97,-1.56,-4.66,-7.78,-9.69,-11.22,-13.5,-15.12,-14.75,-13.47,-12.34,-10.44,-7.41,-3.22,0.38,3.5,6.16,8.91,10.53,10.53,10.09,10.5,10.31,8.91,6.94,5.38,3.72,0.75,-2.59,-5.06,-7.03,-9.12,-10.94,-11.41,-9.91,-7.91,-6.06,-4.75,-2.44,-0.16,1.62,3.59,6.22,8.75,9.81,9.12,8.12,6.94,4.91,1.78,-1.44,-3.25,-5.47,-7.94,-10.0,-11.34,-11.91,-12.56,-12.88,-11.53,-8.59,-6.44,-5.28,-4.28,-2.72,-1.84,-1.66,-0.88,0.69,2.03,2.31,1.75,1.28,0.56,-1.47,-3.97,-5.88,-6.38,-6.94,-7.69,-7.91,-7.34,-7.09,-7.25,-7.31,-6.25,-5.12,-4.97,-5.56,-5.16,-4.44,-4.0,-3.78,-2.31,-0.19,1.75,2.78,3.47,4.41,4.75,3.72,2.28,1.44,0.81,-0.56,-2.03,-2.75,-2.91,-3.19,-4.19,-5.0,-4.88,-4.72,-5.16,-5.5,-4.78,-4.78,-6.09,-8.25,-9.44,-10.09,-10.75,-11.12,-10.12,-7.47,-5.12,-3.31,-1.19,1.59,3.91,5.03,5.88,7.41,8.62,8.47,7.19,6.28,5.62,4.25,2.72,1.72,1.44,0.38,-1.78,-4.03,-5.34,-6.19,-6.94,-6.94,-5.59,-3.69,-2.41,-2.0,-0.97,-0.41,-0.22,-1.19,-1.62,-1.84,-1.97,-2.5,-2.69,-2.06,-1.19,-1.44,-2.75,-3.69,-4.5,-5.69,-7.66,-8.47,-8.56,-8.78,-9.97,-10.72,-10.53,-9.69,-9.91,-9.5,-7.97,-6.34,-5.16,-4.47,-3.0,-1.31,-0.19,-0.06,-0.09,-0.03,-0.44,-1.44,-1.84,-0.91,0.69,1.16,1.19,1.31,0.59,-1.06,-3.62,-5.88,-7.34,-8.66,-10.25,-10.84,-10.5,-10.06,-10.62,-10.72,-9.84,-8.38,-7.25,-6.22,-4.25,-2.44,-1.97,-2.88,-3.56,-4.34,-5.03,-5.97,-6.16,-5.0,-2.94,-1.62,0.28,3.19,5.81,7.72,8.25,8.38,8.12,6.69,3.81,1.34,-0.72,-1.88,-3.41,-3.78,-2.41,-0.5,0.28,0.38,0.41,0.06,-0.94,-2.56,-3.56,-3.69,-4.19,-4.78,-4.78,-3.38,-1.47,-0.06,1.66,3.66,5.84,6.81,7.09,7.19,6.81,5.16,2.72,0.69,0.25,-0.09,-0.5,-0.03,0.84,1.59,1.31,0.56,0.28,0.78,0.66,0.97,2.34,4.38,6.09,7.75,9.59,12.0,13.62,13.84,13.03,12.25,11.84,10.81,9.91,10.0,10.53,9.84,8.56,7.25,6.5,5.81,4.28,2.88,2.72,2.78,2.88,3.72,5.47,8.56,10.75,12.41,14.56,16.84,18.28,18.53,18.12,17.34,15.91,13.31,10.78,9.12,7.75,6.03,4.12,2.5,1.62,0.44,-0.59,-0.31,1.47,3.34,5.06,6.53,8.25,9.12,8.44,6.97,6.5,5.94,4.88,4.03,3.59,4.38,4.19,3.41,2.75,2.03,1.03,-0.28,-1.06,-0.28,1.25,1.91,2.38,2.91,3.31,3.31,3.09,3.47,4.47,5.44,5.38,4.59,4.34,3.41,0.94,-2.06,-4.25,-6.62,-9.28,-11.81,-13.25,-13.31,-13.12,-12.09,-10.19,-6.81,-3.47,-0.84,1.38,4.44,6.75,7.66,8.0,8.88,9.69,10.12,10.28,11.34,12.34,12.22,11.0,8.66,6.34,3.53,-0.47,-4.44,-6.16,-6.81,-6.47,-5.47,-3.5,-1.25,0.06,0.19,0.38,1.31,2.19,3.0,3.81,5.53,7.53,8.78,9.75,11.38,13.41,14.72,15.5,16.34,16.91,16.19,14.38,11.84,10.06,8.12,5.19,2.03,-0.34,-2.31,-4.22,-5.0,-4.66,-3.19,-2.09,-1.81,-2.25,-2.09,-1.69,-1.75,-0.78,1.59,4.41,6.53,8.28,10.28,11.84,12.97,13.12,13.53,14.22,14.41,13.81,13.34,13.5,13.34,12.25,10.38,9.25,8.03,6.94,6.41,7.62,9.75,11.84,13.19,15.19,17.25,19.06,20.38,21.88,23.66,24.84,24.41,23.47,22.75,22.31,21.31,20.94,21.06,20.94,20.72,19.0,17.59,16.75,15.66,14.66,14.12,15.0,16.69,17.84,18.97,20.12,21.09,20.97,20.22,20.0,20.25,20.56,19.88,19.12,18.5,17.53,15.03,12.03,9.59,8.0,6.41,5.88,6.91,9.12,11.19,12.47,13.22,13.66,13.59,11.59,9.88,8.78,8.62,8.12,7.44,8.16,9.06,8.84,8.16,7.44,7.34,6.09,3.88,2.19,1.19,0.94,0.06,-0.16,0.06,1.0,1.41,2.38,4.53,7.34,9.44,10.0,10.09,10.03,9.06,7.47,5.62,4.59,4.06,2.66,1.31,0.53,0.78,0.66,0.03,50.66,50.59,50.47,50.28,50.19,49.44,48.78,47.88,47.41,46.72,46.09,46.38,46.75,47.28,47.56,48.19,48.91,49.94,51.12,52.59,54.81,56.69,57.34,57.34,56.56,55.22,53.62,51.75:-2.34,-0.62,1.5,2.16,2.41,2.62,2.75,2.12,0.72,-0.12,-0.38,-1.09,-1.91,-2.0,-0.53,1.09,1.81,2.41,3.19,3.41,2.09,0.22,-0.72,-1.22,-1.12,-1.06,0.12,2.44,4.44,5.06,5.31,5.72,5.31,4.03,2.28,1.59,1.47,0.44,-0.75,-0.94,-0.12,0.28,0.09,0.03,0.31,-0.22,-1.47,-2.66,-2.09,-1.16,-0.03,0.88,2.34,3.66,3.78,3.0,2.53,2.94,2.88,2.25,2.41,3.62,4.56,4.53,4.25,4.59,4.31,3.19,1.09,0.22,-0.12,-0.97,-1.88,-2.19,-2.0,-2.56,-4.53,-6.28,-7.78,-9.25,-11.19,-12.41,-12.25,-11.31,-10.38,-9.62,-7.84,-5.62,-3.75,-2.16,-0.38,1.56,2.78,2.66,2.59,3.12,3.72,3.47,2.84,2.69,1.94,0.81,-0.97,-1.62,-1.5,-1.22,-1.78,-1.78,-1.44,-1.62,-2.66,-3.78,-3.53,-3.25,-3.5,-3.81,-3.25,-2.34,-1.69,-1.16,-0.09,1.53,2.56,1.78,1.06,0.81,0.12,-0.5,-1.31,-1.12,-0.34,-0.56,-1.06,-0.94,-0.59,-0.62,-1.78,-2.94,-3.62,-4.34,-5.62,-6.16,-5.53,-4.09,-3.47,-3.22,-2.5,-2.06,-2.81,-4.19,-4.97,-5.19,-5.06,-5.88,-6.19,-5.66,-5.06,-5.56,-6.28,-5.94,-5.59,-5.66,-5.62,-4.94,-3.5,-2.56,-2.59,-2.78,-2.78,-2.97,-4.34,-5.16,-5.09,-4.97,-6.09,-7.66,-8.38,-9.06,-9.5,-9.78,-8.97,-7.16,-5.69,-4.81,-3.53,-1.72,-0.62,-1.12,-2.09,-2.62,-3.16,-4.84,-6.09,-6.84,-7.25,-7.69,-8.53,-8.59,-7.62,-6.66,-6.59,-6.44,-5.62,-4.97,-6.16,-7.41,-8.34,-9.25,-10.81,-11.88,-11.75,-10.44,-9.53,-8.75,-7.81,-6.72,-5.75,-6.06,-6.59,-6.94,-7.22,-9.22,-11.19,-12.72,-13.66,-14.84,-16.16,-16.78,-15.97,-14.78,-13.38,-11.38,-8.22,-4.81,-3.0,-0.91,1.84,4.75,6.47,7.53,8.09,8.53,7.47,5.25,3.25,1.78,0.0,-2.69,-5.09,-6.78,-8.38,-10.5,-12.62,-13.34,-13.47,-13.75,-13.62,-12.47,-10.94,-9.66,-9.59,-9.75,-9.06,-8.44,-7.81,-6.91,-5.25,-3.31,-2.69,-2.91,-2.94,-3.09,-4.09,-5.28,-6.09,-6.09,-6.31,-6.66,-6.72,-5.97,-5.09,-5.12,-4.88,-4.25,-3.19,-2.69,-2.41,-1.5,-0.16,0.75,1.19,1.41,2.28,2.66,1.78,0.59,0.0,-0.84,-2.06,-3.62,-4.28,-3.88,-3.72,-4.56,-4.41,-4.25,-4.5,-5.41,-5.44,-4.31,-2.62,-0.81,0.91,3.19,5.0,4.78,3.41,2.06,0.91,-0.78,-2.12,-2.56,-1.97,-1.38,-1.41,-1.84,-1.88,-2.91,-4.66,-6.38,-6.94,-6.84,-6.88,-6.41,-5.44,-3.84,-2.59,-2.34,-2.09,-1.59,-1.47,-1.97,-2.38,-1.78,-1.19,-1.28,-1.88,-2.03,-2.25,-3.12,-4.47,-5.62,-5.31,-4.75,-4.22,-3.09,-1.25,0.25,0.72,0.03,-0.22,-0.47,-1.28,-2.22,-1.81,-0.38,1.12,1.53,2.09,2.97,3.31,3.22,2.69,2.88,3.19,2.81,2.12,2.06,1.88,1.44,0.09,-0.31,-0.16,0.34,0.28,0.31,0.28,-0.56,-2.19,-4.25,-5.09,-5.22,-5.62,-5.66,-5.0,-4.56,-4.84,-5.75,-6.53,-6.69,-6.84,-7.28,-7.31,-6.5,-5.44,-5.06,-4.62,-3.66,-2.84,-2.38,-2.12,-1.69,-1.72,-2.28,-4.38,-6.66,-8.72,-10.53,-12.38,-13.59,-13.34,-12.47,-12.06,-12.34,-11.81,-10.91,-10.44,-10.22,-9.28,-8.5,-7.72,-8.09,-8.09,-7.34,-6.81,-6.88,-7.72,-8.47,-9.38,-11.0,-12.75,-14.09,-14.34,-15.16,-16.16,-16.44,-15.75,-15.5,-16.09,-16.47,-16.09,-15.0,-13.97,-12.56,-10.03,-6.81,-4.53,-2.75,-0.69,0.78,1.59,0.97,0.28,0.06,-0.5,-2.0,-3.66,-4.88,-5.75,-6.75,-7.94,-7.72,-6.69,-5.66,-5.12,-4.75,-4.5,-5.25,-7.84,-10.78,-12.78,-13.84,-14.66,-14.78,-13.91,-12.16,-11.31,-11.41,-10.84,-10.59,-10.19,-10.88,-11.22,-10.5,-9.34,-9.06,-8.47,-7.0,-5.75,-5.88,-6.59,-7.19,-7.81,-8.81,-10.44,-11.22,-11.38,-11.75,-12.91,-14.0,-14.41,-15.59,-17.41,-19.38,-20.72,-21.03,-21.78,-21.94,-21.22,-19.78,-18.41,-17.53,-16.28,-14.22,-12.47,-11.66,-10.75,-9.59,-8.59,-8.66,-9.31,-9.91,-9.59,-10.19,-10.78,-10.75,-9.69,-9.03,-9.12,-9.38,-9.25,-8.88,-9.91,-11.0,-11.5,-12.19,-13.81,-15.91,-17.12,-16.72,-16.03,-14.78,-12.16,-8.41,-4.38,-1.78,0.88,4.16,6.75,7.59,7.53,7.69,7.75,6.34,4.47,2.53,0.97,-1.56,-4.66,-7.78,-9.69,-11.22,-13.5,-15.12,-14.75,-13.47,-12.34,-10.44,-7.41,-3.22,0.38,3.5,6.16,8.91,10.53,10.53,10.09,10.5,10.31,8.91,6.94,5.38,3.72,0.75,-2.59,-5.06,-7.03,-9.12,-10.94,-11.41,-9.91,-7.91,-6.06,-4.75,-2.44,-0.16,1.62,3.59,6.22,8.75,9.81,9.12,8.12,6.94,4.91,1.78,-1.44,-3.25,-5.47,-7.94,-10.0,-11.34,-11.91,-12.56,-12.88,-11.53,-8.59,-6.44,-5.28,-4.28,-2.72,-1.84,-1.66,-0.88,0.69,2.03,2.31,1.75,1.28,0.56,-1.47,-3.97,-5.88,-6.38,-6.94,-7.69,-7.91,-7.34,-7.09,-7.25,-7.31,-6.25,-5.12,-4.97,-5.56,-5.16,-4.44,-4.0,-3.78,-2.31,-0.19,1.75,2.78,3.47,4.41,4.75,3.72,2.28,1.44,0.81,-0.56,-2.03,-2.75,-2.91,-3.19,-4.19,-5.0,-4.88,-4.72,-5.16,-5.5,-4.78,-4.78,-6.09,-8.25,-9.44,-10.09,-10.75,-11.12,-10.12,-7.47,-5.12,-3.31,-1.19,1.59,3.91,5.03,5.88,7.41,8.62,8.47,7.19,6.28,5.62,4.25,2.72,1.72,1.44,0.38,-1.78,-4.03,-5.34,-6.19,-6.94,-6.94,-5.59,-3.69,-2.41,-2.0,-0.97,-0.41,-0.22,-1.19,-1.62,-1.84,-1.97,-2.5,-2.69,-2.06,-1.19,-1.44,-2.75,-3.69,-4.5,-5.69,-7.66,-8.47,-8.56,-8.78,-9.97,-10.72,-10.53,-9.69,-9.91,-9.5,-7.97,-6.34,-5.16,-4.47,-3.0,-1.31,-0.19,-0.06,-0.09,-0.03,-0.44,-1.44,-1.84,-0.91,0.69,1.16,1.19,1.31,0.59,-1.06,-3.62,-5.88,-7.34,-8.66,-10.25,-10.84,-10.5,-10.06,-10.62,-10.72,-9.84,-8.38,-7.25,-6.22,-4.25,-2.44,-1.97,-2.88,-3.56,-4.34,-5.03,-5.97,-6.16,-5.0,-2.94,-1.62,0.28,3.19,5.81,7.72,8.25,8.38,8.12,6.69,3.81,1.34,-0.72,-1.88,-3.41,-3.78,-2.41,-0.5,0.28,0.38,0.41,0.06,-0.94,-2.56,-3.56,-3.69,-4.19,-4.78,-4.78,-3.38,-1.47,-0.06,1.66,3.66,5.84,6.81,7.09,7.19,6.81,5.16,2.72,0.69,0.25,-0.09,-0.5,-0.03,0.84,1.59,1.31,0.56,0.28,0.78,0.66,0.97,2.34,4.38,6.09,7.75,9.59,12.0,13.62,13.84,13.03,12.25,11.84,10.81,9.91,10.0,10.53,9.84,8.56,7.25,6.5,5.81,4.28,2.88,2.72,2.78,2.88,3.72,5.47,8.56,10.75,12.41,14.56,16.84,18.28,18.53,18.12,17.34,15.91,13.31,10.78,9.12,7.75,6.03,4.12,2.5,1.62,0.44,-0.59,-0.31,1.47,3.34,5.06,6.53,8.25,9.12,8.44,6.97,6.5,5.94,4.88,4.03,3.59,4.38,4.19,3.41,2.75,2.03,1.03,-0.28,-1.06,-0.28,1.25,1.91,2.38,2.91,3.31,3.31,3.09,3.47,4.47,5.44,5.38,4.59,4.34,3.41,0.94,-2.06,-4.25,-6.62,-9.28,-11.81,-13.25,-13.31,-13.12,-12.09,-10.19,-6.81,-3.47,-0.84,1.38,4.44,6.75,7.66,8.0,8.88,9.69,10.12,10.28,11.34,12.34,12.22,11.0,8.66,6.34,3.53,-0.47,-4.44,-6.16,-6.81,-6.47,-5.47,-3.5,-1.25,0.06,0.19,0.38,1.31,2.19,3.0,3.81,5.53,7.53,8.78,9.75,11.38,13.41,14.72,15.5,16.34,16.91,16.19,14.38,11.84,10.06,8.12,5.19,2.03,-0.34,-2.31,-4.22,-5.0,-4.66,-3.19,-2.09,-1.81,-2.25,-2.09,-1.69,-1.75,-0.78,1.59,4.41,6.53,8.28,10.28,11.84,12.97,13.12,13.53,14.22,14.41,13.81,13.34,13.5,13.34,12.25,10.38,9.25,8.03,6.94,6.41,7.62,9.75,11.84,13.19,15.19,17.25,19.06,20.38,21.88,23.66,24.84,24.41,23.47,22.75,22.31,21.31,20.94,21.06,20.94,20.72,19.0,17.59,16.75,15.66,14.66,14.12,15.0,16.69,17.84,18.97,20.12,21.09,20.97,20.22,20.0,20.25,20.56,19.88,19.12,18.5,17.53,15.03,12.03,9.59,8.0,6.41,5.88,6.91,9.12,11.19,12.47,13.22,13.66,13.59,11.59,9.88,8.78,8.62,8.12,7.44,8.16,9.06,8.84,8.16,7.44,7.34,6.09,3.88,2.19,1.19,0.94,0.06,-0.16,0.06,1.0,1.41,2.38,4.53,7.34,9.44,10.0,10.09,10.03,9.06,7.47,5.62,4.59,4.06,2.66,1.31,0.53,0.78,0.66,0.03,50.66,50.59,50.47,50.28,50.19,49.44,48.78,47.88,47.41,46.72,46.09,46.38,46.75,47.28,47.56,48.19,48.91,49.94,51.12,52.59,54.81,56.69,57.34,57.34,56.56,55.22,53.62,51.75,50.91,49.56,48.78,47.56,46.56,45.97,45.78:2.12,0.72,-0.12,-0.38,-1.09,-1.91,-2.0,-0.53,1.09,1.81,2.41,3.19,3.41,2.09,0.22,-0.72,-1.22,-1.12,-1.06,0.12,2.44,4.44,5.06,5.31,5.72,5.31,4.03,2.28,1.59,1.47,0.44,-0.75,-0.94,-0.12,0.28,0.09,0.03,0.31,-0.22,-1.47,-2.66,-2.09,-1.16,-0.03,0.88,2.34,3.66,3.78,3.0,2.53,2.94,2.88,2.25,2.41,3.62,4.56,4.53,4.25,4.59,4.31,3.19,1.09,0.22,-0.12,-0.97,-1.88,-2.19,-2.0,-2.56,-4.53,-6.28,-7.78,-9.25,-11.19,-12.41,-12.25,-11.31,-10.38,-9.62,-7.84,-5.62,-3.75,-2.16,-0.38,1.56,2.78,2.66,2.59,3.12,3.72,3.47,2.84,2.69,1.94,0.81,-0.97,-1.62,-1.5,-1.22,-1.78,-1.78,-1.44,-1.62,-2.66,-3.78,-3.53,-3.25,-3.5,-3.81,-3.25,-2.34,-1.69,-1.16,-0.09,1.53,2.56,1.78,1.06,0.81,0.12,-0.5,-1.31,-1.12,-0.34,-0.56,-1.06,-0.94,-0.59,-0.62,-1.78,-2.94,-3.62,-4.34,-5.62,-6.16,-5.53,-4.09,-3.47,-3.22,-2.5,-2.06,-2.81,-4.19,-4.97,-5.19,-5.06,-5.88,-6.19,-5.66,-5.06,-5.56,-6.28,-5.94,-5.59,-5.66,-5.62,-4.94,-3.5,-2.56,-2.59,-2.78,-2.78,-2.97,-4.34,-5.16,-5.09,-4.97,-6.09,-7.66,-8.38,-9.06,-9.5,-9.78,-8.97,-7.16,-5.69,-4.81,-3.53,-1.72,-0.62,-1.12,-2.09,-2.62,-3.16,-4.84,-6.09,-6.84,-7.25,-7.69,-8.53,-8.59,-7.62,-6.66,-6.59,-6.44,-5.62,-4.97,-6.16,-7.41,-8.34,-9.25,-10.81,-11.88,-11.75,-10.44,-9.53,-8.75,-7.81,-6.72,-5.75,-6.06,-6.59,-6.94,-7.22,-9.22,-11.19,-12.72,-13.66,-14.84,-16.16,-16.78,-15.97,-14.78,-13.38,-11.38,-8.22,-4.81,-3.0,-0.91,1.84,4.75,6.47,7.53,8.09,8.53,7.47,5.25,3.25,1.78,0.0,-2.69,-5.09,-6.78,-8.38,-10.5,-12.62,-13.34,-13.47,-13.75,-13.62,-12.47,-10.94,-9.66,-9.59,-9.75,-9.06,-8.44,-7.81,-6.91,-5.25,-3.31,-2.69,-2.91,-2.94,-3.09,-4.09,-5.28,-6.09,-6.09,-6.31,-6.66,-6.72,-5.97,-5.09,-5.12,-4.88,-4.25,-3.19,-2.69,-2.41,-1.5,-0.16,0.75,1.19,1.41,2.28,2.66,1.78,0.59,0.0,-0.84,-2.06,-3.62,-4.28,-3.88,-3.72,-4.56,-4.41,-4.25,-4.5,-5.41,-5.44,-4.31,-2.62,-0.81,0.91,3.19,5.0,4.78,3.41,2.06,0.91,-0.78,-2.12,-2.56,-1.97,-1.38,-1.41,-1.84,-1.88,-2.91,-4.66,-6.38,-6.94,-6.84,-6.88,-6.41,-5.44,-3.84,-2.59,-2.34,-2.09,-1.59,-1.47,-1.97,-2.38,-1.78,-1.19,-1.28,-1.88,-2.03,-2.25,-3.12,-4.47,-5.62,-5.31,-4.75,-4.22,-3.09,-1.25,0.25,0.72,0.03,-0.22,-0.47,-1.28,-2.22,-1.81,-0.38,1.12,1.53,2.09,2.97,3.31,3.22,2.69,2.88,3.19,2.81,2.12,2.06,1.88,1.44,0.09,-0.31,-0.16,0.34,0.28,0.31,0.28,-0.56,-2.19,-4.25,-5.09,-5.22,-5.62,-5.66,-5.0,-4.56,-4.84,-5.75,-6.53,-6.69,-6.84,-7.28,-7.31,-6.5,-5.44,-5.06,-4.62,-3.66,-2.84,-2.38,-2.12,-1.69,-1.72,-2.28,-4.38,-6.66,-8.72,-10.53,-12.38,-13.59,-13.34,-12.47,-12.06,-12.34,-11.81,-10.91,-10.44,-10.22,-9.28,-8.5,-7.72,-8.09,-8.09,-7.34,-6.81,-6.88,-7.72,-8.47,-9.38,-11.0,-12.75,-14.09,-14.34,-15.16,-16.16,-16.44,-15.75,-15.5,-16.09,-16.47,-16.09,-15.0,-13.97,-12.56,-10.03,-6.81,-4.53,-2.75,-0.69,0.78,1.59,0.97,0.28,0.06,-0.5,-2.0,-3.66,-4.88,-5.75,-6.75,-7.94,-7.72,-6.69,-5.66,-5.12,-4.75,-4.5,-5.25,-7.84,-10.78,-12.78,-13.84,-14.66,-14.78,-13.91,-12.16,-11.31,-11.41,-10.84,-10.59,-10.19,-10.88,-11.22,-10.5,-9.34,-9.06,-8.47,-7.0,-5.75,-5.88,-6.59,-7.19,-7.81,-8.81,-10.44,-11.22,-11.38,-11.75,-12.91,-14.0,-14.41,-15.59,-17.41,-19.38,-20.72,-21.03,-21.78,-21.94,-21.22,-19.78,-18.41,-17.53,-16.28,-14.22,-12.47,-11.66,-10.75,-9.59,-8.59,-8.66,-9.31,-9.91,-9.59,-10.19,-10.78,-10.75,-9.69,-9.03,-9.12,-9.38,-9.25,-8.88,-9.91,-11.0,-11.5,-12.19,-13.81,-15.91,-17.12,-16.72,-16.03,-14.78,-12.16,-8.41,-4.38,-1.78,0.88,4.16,6.75,7.59,7.53,7.69,7.75,6.34,4.47,2.53,0.97,-1.56,-4.66,-7.78,-9.69,-11.22,-13.5,-15.12,-14.75,-13.47,-12.34,-10.44,-7.41,-3.22,0.38,3.5,6.16,8.91,10.53,10.53,10.09,10.5,10.31,8.91,6.94,5.38,3.72,0.75,-2.59,-5.06,-7.03,-9.12,-10.94,-11.41,-9.91,-7.91,-6.06,-4.75,-2.44,-0.16,1.62,3.59,6.22,8.75,9.81,9.12,8.12,6.94,4.91,1.78,-1.44,-3.25,-5.47,-7.94,-10.0,-11.34,-11.91,-12.56,-12.88,-11.53,-8.59,-6.44,-5.28,-4.28,-2.72,-1.84,-1.66,-0.88,0.69,2.03,2.31,1.75,1.28,0.56,-1.47,-3.97,-5.88,-6.38,-6.94,-7.69,-7.91,-7.34,-7.09,-7.25,-7.31,-6.25,-5.12,-4.97,-5.56,-5.16,-4.44,-4.0,-3.78,-2.31,-0.19,1.75,2.78,3.47,4.41,4.75,3.72,2.28,1.44,0.81,-0.56,-2.03,-2.75,-2.91,-3.19,-4.19,-5.0,-4.88,-4.72,-5.16,-5.5,-4.78,-4.78,-6.09,-8.25,-9.44,-10.09,-10.75,-11.12,-10.12,-7.47,-5.12,-3.31,-1.19,1.59,3.91,5.03,5.88,7.41,8.62,8.47,7.19,6.28,5.62,4.25,2.72,1.72,1.44,0.38,-1.78,-4.03,-5.34,-6.19,-6.94,-6.94,-5.59,-3.69,-2.41,-2.0,-0.97,-0.41,-0.22,-1.19,-1.62,-1.84,-1.97,-2.5,-2.69,-2.06,-1.19,-1.44,-2.75,-3.69,-4.5,-5.69,-7.66,-8.47,-8.56,-8.78,-9.97,-10.72,-10.53,-9.69,-9.91,-9.5,-7.97,-6.34,-5.16,-4.47,-3.0,-1.31,-0.19,-0.06,-0.09,-0.03,-0.44,-1.44,-1.84,-0.91,0.69,1.16,1.19,1.31,0.59,-1.06,-3.62,-5.88,-7.34,-8.66,-10.25,-10.84,-10.5,-10.06,-10.62,-10.72,-9.84,-8.38,-7.25,-6.22,-4.25,-2.44,-1.97,-2.88,-3.56,-4.34,-5.03,-5.97,-6.16,-5.0,-2.94,-1.62,0.28,3.19,5.81,7.72,8.25,8.38,8.12,6.69,3.81,1.34,-0.72,-1.88,-3.41,-3.78,-2.41,-0.5,0.28,0.38,0.41,0.06,-0.94,-2.56,-3.56,-3.69,-4.19,-4.78,-4.78,-3.38,-1.47,-0.06,1.66,3.66,5.84,6.81,7.09,7.19,6.81,5.16,2.72,0.69,0.25,-0.09,-0.5,-0.03,0.84,1.59,1.31,0.56,0.28,0.78,0.66,0.97,2.34,4.38,6.09,7.75,9.59,12.0,13.62,13.84,13.03,12.25,11.84,10.81,9.91,10.0,10.53,9.84,8.56,7.25,6.5,5.81,4.28,2.88,2.72,2.78,2.88,3.72,5.47,8.56,10.75,12.41,14.56,16.84,18.28,18.53,18.12,17.34,15.91,13.31,10.78,9.12,7.75,6.03,4.12,2.5,1.62,0.44,-0.59,-0.31,1.47,3.34,5.06,6.53,8.25,9.12,8.44,6.97,6.5,5.94,4.88,4.03,3.59,4.38,4.19,3.41,2.75,2.03,1.03,-0.28,-1.06,-0.28,1.25,1.91,2.38,2.91,3.31,3.31,3.09,3.47,4.47,5.44,5.38,4.59,4.34,3.41,0.94,-2.06,-4.25,-6.62,-9.28,-11.81,-13.25,-13.31,-13.12,-12.09,-10.19,-6.81,-3.47,-0.84,1.38,4.44,6.75,7.66,8.0,8.88,9.69,10.12,10.28,11.34,12.34,12.22,11.0,8.66,6.34,3.53,-0.47,-4.44,-6.16,-6.81,-6.47,-5.47,-3.5,-1.25,0.06,0.19,0.38,1.31,2.19,3.0,3.81,5.53,7.53,8.78,9.75,11.38,13.41,14.72,15.5,16.34,16.91,16.19,14.38,11.84,10.06,8.12,5.19,2.03,-0.34,-2.31,-4.22,-5.0,-4.66,-3.19,-2.09,-1.81,-2.25,-2.09,-1.69,-1.75,-0.78,1.59,4.41,6.53,8.28,10.28,11.84,12.97,13.12,13.53,14.22,14.41,13.81,13.34,13.5,13.34,12.25,10.38,9.25,8.03,6.94,6.41,7.62,9.75,11.84,13.19,15.19,17.25,19.06,20.38,21.88,23.66,24.84,24.41,23.47,22.75,22.31,21.31,20.94,21.06,20.94,20.72,19.0,17.59,16.75,15.66,14.66,14.12,15.0,16.69,17.84,18.97,20.12,21.09,20.97,20.22,20.0,20.25,20.56,19.88,19.12,18.5,17.53,15.03,12.03,9.59,8.0,6.41,5.88,6.91,9.12,11.19,12.47,13.22,13.66,13.59,11.59,9.88,8.78,8.62,8.12,7.44,8.16,9.06,8.84,8.16,7.44,7.34,6.09,3.88,2.19,1.19,0.94,0.06,-0.16,0.06,1.0,1.41,2.38,4.53,7.34,9.44,10.0,10.09,10.03,9.06,7.47,5.62,4.59,4.06,2.66,1.31,0.53,0.78,0.66,0.03,50.66,50.59,50.47,50.28,50.19,49.44,48.78,47.88,47.41,46.72,46.09,46.38,46.75,47.28,47.56,48.19,48.91,49.94,51.12,52.59,54.81,56.69,57.34,57.34,56.56,55.22,53.62,51.75,50.91,49.56,48.78,47.56,46.56,45.97,45.78,45.59,46.0,47.0,47.81,47.97,47.78,47.66:negativity
10.91,13.09,14.25,13.28,12.88,13.97,14.38,11.66,9.09,9.19,10.28,9.16,7.22,6.94,8.09,7.53,5.06,3.72,4.59,4.81,2.62,1.5,2.75,3.72,2.5,0.94,2.19,5.22,6.59,7.81,10.91,15.69,19.0,19.81,20.84,23.31,24.03,21.69,19.09,18.97,19.53,17.25,15.0,15.28,16.84,16.47,14.81,14.62,16.5,16.78,14.91,13.69,14.44,15.0,13.53,13.09,15.72,19.38,20.16,20.03,20.94,22.94,23.38,22.56,22.78,24.5,25.0,21.59,17.84,16.0,14.28,10.19,6.34,5.78,6.41,4.88,2.5,1.75,2.62,1.81,-0.5,-1.44,0.44,2.5,2.19,2.5,5.03,7.16,6.16,4.0,4.03,5.19,4.62,3.94,5.22,9.53,12.78,13.97,15.88,19.91,22.31,20.94,18.41,16.97,15.25,10.72,6.28,4.75,5.78,5.62,4.03,3.41,4.28,3.62,0.5,-2.12,-1.72,-0.59,-1.53,-2.53,-0.84,1.44,0.59,-1.44,-1.5,-0.03,0.53,-0.03,1.19,5.0,7.75,8.03,8.28,11.0,13.19,12.22,10.78,11.5,13.22,13.34,12.5,13.78,17.06,18.62,18.12,18.25,20.78,21.97,20.81,19.12,19.88,20.34,18.12,15.09,14.34,15.0,13.66,11.34,10.94,12.69,13.53,12.62,12.47,14.94,16.78,16.25,15.12,16.81,19.53,19.88,19.78,21.84,24.94,25.88,24.5,23.78,24.78,25.0,22.88,21.03,21.94,22.53,20.28,17.97,18.62,20.56,20.69,19.84,20.34,22.5,22.5,20.31,18.72,19.91,20.38,19.16,18.09,20.0,21.91,20.81,18.5,18.88,20.38,20.12,18.66,18.62,20.16,19.69,17.0,14.78,15.47,16.41,15.28,14.59,16.81,19.97,19.97,18.19,18.38,19.72,19.28,18.09,18.84,21.91,24.0,23.66,23.06,24.62,25.97,24.44,22.81,23.72,25.84,25.66,23.97,24.19,25.28,24.38,21.38,19.28,19.94,19.91,18.12,16.84,18.5,19.94,19.03,16.88,16.81,17.34,15.94,13.5,12.84,14.56,14.97,12.97,11.62,13.16,14.78,14.84,15.94,19.84,24.0,24.88,23.69,24.0,24.75,23.56,20.5,19.09,19.72,19.31,16.62,15.03,16.31,17.78,17.25,17.12,20.03,23.84,25.09,25.38,26.91,29.0,29.25,26.53,24.72,24.75,23.72,20.0,16.75,17.03,17.5,15.62,13.16,13.28,14.28,13.59,11.94,12.62,15.47,17.12,16.62,17.03,19.53,21.34,20.34,19.19,20.59,22.78,22.78,22.44,24.78,28.16,29.41,28.78,29.62,32.31,33.31,32.16,31.91,33.91,35.44,34.0,31.84,31.94,31.5,28.41,24.38,22.16,21.31,19.53,15.91,14.16,14.97,14.66,12.44,11.25,13.47,15.88,16.59,17.06,19.41,22.22,22.88,22.03,23.25,25.84,26.94,25.5,24.41,24.41,23.25,18.94,14.41,12.78,12.06,9.97,8.12,9.66,13.41,16.16,18.25,21.72,26.75,29.88,29.34,28.75,30.16,31.44,30.0,28.84,29.91,31.59,30.56,28.5,27.94,28.56,27.81,24.97,23.78,24.62,25.12,22.84,21.09,22.19,23.31,22.0,20.41,20.88,21.66,20.0,16.81,15.31,15.28,13.66,10.62,8.94,9.81,10.94,9.94,9.53,11.22,13.16,12.38,10.59,11.16,12.94,13.09,12.06,12.56,15.09,16.41,15.75,16.25,19.12,21.69,21.53,20.44,21.66,23.22,22.31,20.94,21.81,23.84,24.31,22.81,22.75,24.19,25.56,24.66,24.59,26.62,28.78,27.69,25.78,25.75,26.47,25.47,23.62,23.44,24.97,24.47,21.72,19.69,20.09,20.34,18.84,17.75,18.97,20.59,19.47,18.28,19.31,22.16,23.31,23.19,24.75,28.0,29.88,29.91,30.44,33.16,35.38,34.47,33.0,33.0,33.41,30.81,27.59,26.56,27.44,26.75,25.09,25.03,26.41,27.09,25.59,24.56,26.06,27.38,26.12,24.5,24.91,26.44,25.84,24.0,24.06,25.88,26.84,26.22,27.03,30.03,32.09,30.84,29.28,29.59,29.62,26.88,23.03,20.66,19.5,16.5,13.03,11.88,14.0,15.91,16.91,19.03,23.38,27.19,28.06,27.53,29.06,30.5,29.47,27.53,27.25,27.94,26.66,23.53,21.56,22.12,21.91,20.12,19.0,20.25,21.25,19.56,17.38,17.0,17.69,16.69,15.56,16.09,18.81,19.66,18.94,19.31,21.72,23.5,23.03,21.97,23.09,23.69,21.66,19.31,19.38,20.94,21.69,22.0,23.56,27.47,29.66,29.41,28.72,29.81,29.94,27.22,23.97,23.28,23.31,21.28,18.16,16.94,17.22,15.91,13.75,13.69,16.91,20.47,22.06,24.62,29.38,32.94,32.91,31.88,32.69,33.91,33.06,31.78,31.84,33.44,33.62,31.62,29.91,29.97,29.31,26.22,23.5,23.47,23.97,22.09,18.94,17.5,16.94,14.56,11.16,10.44,12.94,15.25,15.84,17.25,20.81,22.91,22.31,20.53,21.0,21.5,20.31,18.72,19.25,21.5,22.53,22.0,21.91,24.06,24.72,23.09,21.62,22.72,23.5,21.94,19.59,19.28,19.88,18.22,15.16,14.03,14.62,14.5,12.47,11.97,14.22,16.16,15.88,16.25,19.28,21.91,22.69,22.41,24.03,26.5,27.25,26.0,26.25,27.5,27.97,26.03,25.44,27.47,29.94,31.03,32.62,36.44,39.66,39.03,35.5,32.25,29.12,24.34,18.0,13.97,12.62,12.06,10.38,10.19,13.47,17.41,19.0,20.12,23.41,27.06,28.12,27.69,29.03,31.56,33.16,32.56,32.56,34.06,33.88,30.12,25.69,23.19,20.5,15.78,10.78,8.69,7.81,6.09,3.66,3.66,5.69,8.0,8.72,10.75,15.44,19.59,20.97,21.62,23.75,25.75,25.25,23.03,22.97,23.78,23.09,20.66,19.59,20.28,20.44,18.41,16.97,18.09,19.72,19.44,19.0,20.75,23.34,23.41,21.19,19.88,19.91,18.16,14.44,12.38,12.94,13.25,11.38,9.97,11.03,12.06,10.69,8.66,9.25,11.44,12.19,11.62,12.41,14.94,16.0,14.69,13.94,15.75,17.31,16.38,15.47,17.0,19.34,19.06,17.06,16.97,17.88,17.62,15.62,15.88,18.03,19.38,17.69,16.31,17.12,17.88,16.47,15.19,15.91,17.72,17.12,15.22,14.69,16.03,16.09,14.5,14.31,16.56,18.09,17.19,15.66,16.53,17.72,16.31,14.56,15.28,18.06,19.44,19.22,20.81,23.78,25.47,24.34,24.25,26.56,28.31,27.0,25.38,25.28,25.69,23.19,19.94,18.06,17.62,16.25,13.81,13.34,16.5,19.19,19.47,20.06,22.28,23.91,21.78,18.88,18.12,18.91,17.31,15.41,15.38,17.22,17.31,15.97,16.19,19.0,21.56,21.91,22.0,24.0,26.12,25.25,23.56,24.25,26.72,27.47,26.41,26.62,28.22,28.19,25.56,24.03,25.38,26.78,25.62,24.44,25.25,26.25,24.12,21.03,19.62,20.25,19.81,18.97,20.41,24.5,27.62,27.78,27.25,27.53,27.03,23.0,18.22,16.19,15.41,13.03,9.97,9.44,10.84,11.12,9.28,8.91,11.03,13.03,13.0,13.72,16.91,20.06,19.91,17.72,17.22,17.75,15.66,12.5,10.91,11.88,11.56,9.78,9.38,11.56,13.81,14.44,14.94,18.5,22.91,25.0,25.78,27.78,30.38,29.75,26.81,24.16,23.47,21.94,18.78,16.28,16.81,17.44,14.66,11.41,10.62,10.75,9.47,7.69,8.84,12.34,14.75,15.62,17.06,20.56,22.38,21.06,19.03,18.91,19.25,17.66,15.62,16.56,18.75,18.84,16.69,15.62,16.34,15.62,13.16,11.88,13.75,15.22,14.75,14.66,16.84,19.75,19.75,18.09,17.75,18.47,17.31,14.66,14.16,16.44,17.72,16.5,14.66,15.25,15.0,12.12,8.5,7.84,8.91,8.06,7.0,8.5,12.31,14.66,14.97,16.59,20.31,23.09,23.28,23.34,25.91,28.12,27.75,26.38,26.94,28.03,26.69,23.22,21.44,20.97,19.53,16.38,13.91,14.47,14.69,12.72,10.84,11.53,11.94,10.16,7.34,6.22,6.91,6.59,5.38,6.59,10.91,15.34,18.28,21.81,27.12,31.09,30.72,28.19,26.72,25.25,21.41,16.09,13.22,12.03,9.62,5.94,4.06,5.03,5.94,4.94,4.84,7.62,11.0,12.06,12.28,14.62,17.19,17.69,16.41,16.31,18.31,19.12,18.06,17.56,19.78,21.62,20.78,19.72,21.16,22.62,21.91,19.22,18.09,17.62,15.41,11.38,9.41,9.94,10.41,9.81,10.34,14.5,18.94,21.31,22.78,25.88,28.94,28.88,26.56,25.31,25.59,24.31,20.88,19.28,20.47,20.84,19.09,17.5,18.16,18.69,16.62,13.97,13.62,14.44,13.97,12.19,12.5,14.91,16.5,15.75,15.53,17.75,19.62,18.72,17.25,18.66,20.31,19.53,17.59,17.66,18.44,17.22,13.91,12.22,12.84,13.03,11.12,9.75,10.66,11.16,8.69,6.22,6.75,8.88,10.0,10.56,13.06,16.75,18.69,18.22,18.25,20.84,23.16,23.19,24.16,27.31,29.81,29.06,26.31,24.94,23.84,20.62,15.66,12.56,11.62,9.97,6.94,5.34,6.91,8.81,8.5,9.0,12.06,15.53,16.81,16.41,17.41,19.25,19.34,18.06,19.03,22.66,25.94,26.47,26.56,27.91,27.81,23.91,19.41,17.03,15.5,12.41,8.53,7.25,8.28,8.28,7.41,8.16,11.66,15.06:11.66,9.09,9.19,10.28,9.16,7.22,6.94,8.09,7.53,5.06,3.72,4.59,4.81,2.62,1.5,2.75,3.72,2.5,0.94,2.19,5.22,6.59,7.81,10.91,15.69,19.0,19.81,20.84,23.31,24.03,21.69,19.09,18.97,19.53,17.25,15.0,15.28,16.84,16.47,14.81,14.62,16.5,16.78,14.91,13.69,14.44,15.0,13.53,13.09,15.72,19.38,20.16,20.03,20.94,22.94,23.38,22.56,22.78,24.5,25.0,21.59,17.84,16.0,14.28,10.19,6.34,5.78,6.41,4.88,2.5,1.75,2.62,1.81,-0.5,-1.44,0.44,2.5,2.19,2.5,5.03,7.16,6.16,4.0,4.03,5.19,4.62,3.94,5.22,9.53,12.78,13.97,15.88,19.91,22.31,20.94,18.41,16.97,15.25,10.72,6.28,4.75,5.78,5.62,4.03,3.41,4.28,3.62,0.5,-2.12,-1.72,-0.59,-1.53,-2.53,-0.84,1.44,0.59,-1.44,-1.5,-0.03,0.53,-0.03,1.19,5.0,7.75,8.03,8.28,11.0,13.19,12.22,10.78,11.5,13.22,13.34,12.5,13.78,17.06,18.62,18.12,18.25,20.78,21.97,20.81,19.12,19.88,20.34,18.12,15.09,14.34,15.0,13.66,11.34,10.94,12.69,13.53,12.62,12.47,14.94,16.78,16.25,15.12,16.81,19.53,19.88,19.78,21.84,24.94,25.88,24.5,23.78,24.78,25.0,22.88,21.03,21.94,22.53,20.28,17.97,18.62,20.56,20.69,19.84,20.34,22.5,22.5,20.31,18.72,19.91,20.38,19.16,18.09,20.0,21.91,20.81,18.5,18.88,20.38,20.12,18.66,18.62,20.16,19.69,17.0,14.78,15.47,16.41,15.28,14.59,16.81,19.97,19.97,18.19,18.38,19.72,19.28,18.09,18.84,21.91,24.0,23.66,23.06,24.62,25.97,24.44,22.81,23.72,25.84,25.66,23.97,24.19,25.28,24.38,21.38,19.28,19.94,19.91,18.12,16.84,18.5,19.94,19.03,16.88,16.81,17.34,15.94,13.5,12.84,14.56,14.97,12.97,11.62,13.16,14.78,14.84,15.94,19.84,24.0,24.88,23.69,24.0,24.75,23.56,20.5,19.09,19.72,19.31,16.62,15.03,16.31,17.78,17.25,17.12,20.03,23.84,25.09,25.38,26.91,29.0,29.25,26.53,24.72,24.75,23.72,20.0,16.75,17.03,17.5,15.62,13.16,13.28,14.28,13.59,11.94,12.62,15.47,17.12,16.62,17.03,19.53,21.34,20.34,19.19,20.59,22.78,22.78,22.44,24.78,28.16,29.41,28.78,29.62,32.31,33.31,32.16,31.91,33.91,35.44,34.0,31.84,31.94,31.5,28.41,24.38,22.16,21.31,19.53,15.91,14.16,14.97,14.66,12.44,11.25,13.47,15.88,16.59,17.06,19.41,22.22,22.88,22.03,23.25,25.84,26.94,25.5,24.41,24.41,23.25,18.94,14.41,12.78,12.06,9.97,8.12,9.66,13.41,16.16,18.25,21.72,26.75,29.88,29.34,28.75,30.16,31.44,30.0,28.84,29.91,31.59,30.56,28.5,27.94,28.56,27.81,24.97,23.78,24.62,25.12,22.84,21.09,22.19,23.31,22.0,20.41,20.88,21.66,20.0,16.81,15.31,15.28,13.66,10.62,8.94,9.81,10.94,9.94,9.53,11.22,13.16,12.38,10.59,11.16,12.94,13.09,12.06,12.56,15.09,16.41,15.75,16.25,19.12,21.69,21.53,20.44,21.66,23.22,22.31,20.94,21.81,23.84,24.31,22.81,22.75,24.19,25.56,24.66,24.59,26.62,28.78,27.69,25.78,25.75,26.47,25.47,23.62,23.44,24.97,24.47,21.72,19.69,20.09,20.34,18.84,17.75,18.97,20.59,19.47,18.28,19.31,22.16,23.31,23.19,24.75,28.0,29.88,29.91,30.44,33.16,35.38,34.47,33.0,33.0,33.41,30.81,27.59,26.56,27.44,26.75,25.09,25.03,26.41,27.09,25.59,24.56,26.06,27.38,26.12,24.5,24.91,26.44,25.84,24.0,24.06,25.88,26.84,26.22,27.03,30.03,32.09,30.84,29.28,29.59,29.62,26.88,23.03,20.66,19.5,16.5,13.03,11.88,14.0,15.91,16.91,19.03,23.38,27.19,28.06,27.53,29.06,30.5,29.47,27.53,27.25,27.94,26.66,23.53,21.56,22.12,21.91,20.12,19.0,20.25,21.25,19.56,17.38,17.0,17.69,16.69,15.56,16.09,18.81,19.66,18.94,19.31,21.72,23.5,23.03,21.97,23.09,23.69,21.66,19.31,19.38,20.94,21.69,22.0,23.56,27.47,29.66,29.41,28.72,29.81,29.94,27.22,23.97,23.28,23.31,21.28,18.16,16.94,17.22,15.91,13.75,13.69,16.91,20.47,22.06,24.62,29.38,32.94,32.91,31.88,32.69,33.91,33.06,31.78,31.84,33.44,33.62,31.62,29.91,29.97,29.31,26.22,23.5,23.47,23.97,22.09,18.94,17.5,16.94,14.56,11.16,10.44,12.94,15.25,15.84,17.25,20.81,22.91,22.31,20.53,21.0,21.5,20.31,18.72,19.25,21.5,22.53,22.0,21.91,24.06,24.72,23.09,21.62,22.72,23.5,21.94,19.59,19.28,19.88,18.22,15.16,14.03,14.62,14.5,12.47,11.97,14.22,16.16,15.88,16.25,19.28,21.91,22.69,22.41,24.03,26.5,27.25,26.0,26.25,27.5,27.97,26.03,25.44,27.47,29.94,31.03,32.62,36.44,39.66,39.03,35.5,32.25,29.12,24.34,18.0,13.97,12.62,12.06,10.38,10.19,13.47,17.41,19.0,20.12,23.41,27.06,28.12,27.69,29.03,31.56,33.16,32.56,32.56,34.06,33.88,30.12,25.69,23.19,20.5,15.78,10.78,8.69,7.81,6.09,3.66,3.66,5.69,8.0,8.72,10.75,15.44,19.59,20.97,21.62,23.75,25.75,25.25,23.03,22.97,23.78,23.09,20.66,19.59,20.28,20.44,18.41,16.97,18.09,19.72,19.44,19.0,20.75,23.34,23.41,21.19,19.88,19.91,18.16,14.44,12.38,12.94,13.25,11.38,9.97,11.03,12.06,10.69,8.66,9.25,11.44,12.19,11.62,12.41,14.94,16.0,14.69,13.94,15.75,17.31,16.38,15.47,17.0,19.34,19.06,17.06,16.97,17.88,17.62,15.62,15.88,18.03,19.38,17.69,16.31,17.12,17.88,16.47,15.19,15.91,17.72,17.12,15.22,14.69,16.03,16.09,14.5,14.31,16.56,18.09,17.19,15.66,16.53,17.72,16.31,14.56,15.28,18.06,19.44,19.22,20.81,23.78,25.47,24.34,24.25,26.56,28.31,27.0,25.38,25.28,25.69,23.19,19.94,18.06,17.62,16.25,13.81,13.34,16.5,19.19,19.47,20.06,22.28,23.91,21.78,18.88,18.12,18.91,17.31,15.41,15.38,17.22,17.31,15.97,16.19,19.0,21.56,21.91,22.0,24.0,26.12,25.25,23.56,24.25,26.72,27.47,26.41,26.62,28.22,28.19,25.56,24.03,25.38,26.78,25.62,24.44,25.25,26.25,24.12,21.03,19.62,20.25,19.81,18.97,20.41,24.5,27.62,27.78,27.25,27.53,27.03,23.0,18.22,16.19,15.41,13.03,9.97,9.44,10.84,11.12,9.28,8.91,11.03,13.03,13.0,13.72,16.91,20.06,19.91,17.72,17.22,17.75,15.66,12.5,10.91,11.88,11.56,9.78,9.38,11.56,13.81,14.44,14.94,18.5,22.91,25.0,25.78,27.78,30.38,29.75,26.81,24.16,23.47,21.94,18.78,16.28,16.81,17.44,14.66,11.41,10.62,10.75,9.47,7.69,8.84,12.34,14.75,15.62,17.06,20.56,22.38,21.06,19.03,18.91,19.25,17.66,15.62,16.56,18.75,18.84,16.69,15.62,16.34,15.62,13.16,11.88,13.75,15.22,14.75,14.66,16.84,19.75,19.75,18.09,17.75,18.47,17.31,14.66,14.16,16.44,17.72,16.5,14.66,15.25,15.0,12.12,8.5,7.84,8.91,8.06,7.0,8.5,12.31,14.66,14.97,16.59,20.31,23.09,23.28,23.34,25.91,28.12,27.75,26.38,26.94,28.03,26.69,23.22,21.44,20.97,19.53,16.38,13.91,14.47,14.69,12.72,10.84,11.53,11.94,10.16,7.34,6.22,6.91,6.59,5.38,6.59,10.91,15.34,18.28,21.81,27.12,31.09,30.72,28.19,26.72,25.25,21.41,16.09,13.22,12.03,9.62,5.94,4.06,5.03,5.94,4.94,4.84,7.62,11.0,12.06,12.28,14.62,17.19,17.69,16.41,16.31,18.31,19.12,18.06,17.56,19.78,21.62,20.78,19.72,21.16,22.62,21.91,19.22,18.09,17.62,15.41,11.38,9.41,9.94,10.41,9.81,10.34,14.5,18.94,21.31,22.78,25.88,28.94,28.88,26.56,25.31,25.59,24.31,20.88,19.28,20.47,20.84,19.09,17.5,18.16,18.69,16.62,13.97,13.62,14.44,13.97,12.19,12.5,14.91,16.5,15.75,15.53,17.75,19.62,18.72,17.25,18.66,20.31,19.53,17.59,17.66,18.44,17.22,13.91,12.22,12.84,13.03,11.12,9.75,10.66,11.16,8.69,6.22,6.75,8.88,10.0,10.56,13.06,16.75,18.69,18.22,18.25,20.84,23.16,23.19,24.16,27.31,29.81,29.06,26.31,24.94,23.84,20.62,15.66,12.56,11.62,9.97,6.94,5.34,6.91,8.81,8.5,9.0,12.06,15.53,16.81,16.41,17.41,19.25,19.34,18.06,19.03,22.66,25.94,26.47,26.56,27.91,27.81,23.91,19.41,17.03,15.5,12.41,8.53,7.25,8.28,8.28,7.41,8.16,11.66,15.06,23.81,23.53,22.53,20.78,19.56,19.56,19.91:8.09,7.53,5.06,3.72,4.59,4.81,2.62,1.5,2.75,3.72,2.5,0.94,2.19,5.22,6.59,7.81,10.91,15.69,19.0,19.81,20.84,23.31,24.03,21.69,19.09,18.97,19.53,17.25,15.0,15.28,16.84,16.47,14.81,14.62,16.5,16.78,14.91,13.69,14.44,15.0,13.53,13.09,15.72,19.38,20.16,20.03,20.94,22.94,23.38,22.56,22.78,24.5,25.0,21.59,17.84,16.0,14.28,10.19,6.34,5.78,6.41,4.88,2.5,1.75,2.62,1.81,-0.5,-1.44,0.44,2.5,2.19,2.5,5.03,7.16,6.16,4.0,4.03,5.19,4.62,3.94,5.22,9.53,12.78,13.97,15.88,19.91,22.31,20.94,18.41,16.97,15.25,10.72,6.28,4.75,5.78,5.62,4.03,3.41,4.28,3.62,0.5,-2.12,-1.72,-0.59,-1.53,-2.53,-0.84,1.44,0.59,-1.44,-1.5,-0.03,0.53,-0.03,1.19,5.0,7.75,8.03,8.28,11.0,13.19,12.22,10.78,11.5,13.22,13.34,12.5,13.78,17.06,18.62,18.12,18.25,20.78,21.97,20.81,19.12,19.88,20.34,18.12,15.09,14.34,15.0,13.66,11.34,10.94,12.69,13.53,12.62,12.47,14.94,16.78,16.25,15.12,16.81,19.53,19.88,19.78,21.84,24.94,25.88,24.5,23.78,24.78,25.0,22.88,21.03,21.94,22.53,20.28,17.97,18.62,20.56,20.69,19.84,20.34,22.5,22.5,20.31,18.72,19.91,20.38,19.16,18.09,20.0,21.91,20.81,18.5,18.88,20.38,20.12,18.66,18.62,20.16,19.69,17.0,14.78,15.47,16.41,15.28,14.59,16.81,19.97,19.97,18.19,18.38,19.72,19.28,18.09,18.84,21.91,24.0,23.66,23.06,24.62,25.97,24.44,22.81,23.72,25.84,25.66,23.97,24.19,25.28,24.38,21.38,19.28,19.94,19.91,18.12,16.84,18.5,19.94,19.03,16.88,16.81,17.34,15.94,13.5,12.84,14.56,14.97,12.97,11.62,13.16,14.78,14.84,15.94,19.84,24.0,24.88,23.69,24.0,24.75,23.56,20.5,19.09,19.72,19.31,16.62,15.03,16.31,17.78,17.25,17.12,20.03,23.84,25.09,25.38,26.91,29.0,29.25,26.53,24.72,24.75,23.72,20.0,16.75,17.03,17.5,15.62,13.16,13.28,14.28,13.59,11.94,12.62,15.47,17.12,16.62,17.03,19.53,21.34,20.34,19.19,20.59,22.78,22.78,22.44,24.78,28.16,29.41,28.78,29.62,32.31,33.31,32.16,31.91,33.91,35.44,34.0,31.84,31.94,31.5,28.41,24.38,22.16,21.31,19.53,15.91,14.16,14.97,14.66,12.44,11.25,13.47,15.88,16.59,17.06,19.41,22.22,22.88,22.03,23.25,25.84,26.94,25.5,24.41,24.41,23.25,18.94,14.41,12.78,12.06,9.97,8.12,9.66,13.41,16.16,18.25,21.72,26.75,29.88,29.34,28.75,30.16,31.44,30.0,28.84,29.91,31.59,30.56,28.5,27.94,28.56,27.81,24.97,23.78,24.62,25.12,22.84,21.09,22.19,23.31,22.0,20.41,20.88,21.66,20.0,16.81,15.31,15.28,13.66,10.62,8.94,9.81,10.94,9.94,9.53,11.22,13.16,12.38,10.59,11.16,12.94,13.09,12.06,12.56,15.09,16.41,15.75,16.25,19.12,21.69,21.53,20.44,21.66,23.22,22.31,20.94,21.81,23.84,24.31,22.81,22.75,24.19,25.56,24.66,24.59,26.62,28.78,27.69,25.78,25.75,26.47,25.47,23.62,23.44,24.97,24.47,21.72,19.69,20.09,20.34,18.84,17.75,18.97,20.59,19.47,18.28,19.31,22.16,23.31,23.19,24.75,28.0,29.88,29.91,30.44,33.16,35.38,34.47,33.0,33.0,33.41,30.81,27.59,26.56,27.44,26.75,25.09,25.03,26.41,27.09,25.59,24.56,26.06,27.38,26.12,24.5,24.91,26.44,25.84,24.0,24.06,25.88,26.84,26.22,27.03,30.03,32.09,30.84,29.28,29.59,29.62,26.88,23.03,20.66,19.5,16.5,13.03,11.88,14.0,15.91,16.91,19.03,23.38,27.19,28.06,27.53,29.06,30.5,29.47,27.53,27.25,27.94,26.66,23.53,21.56,22.12,21.91,20.12,19.0,20.25,21.25,19.56,17.38,17.0,17.69,16.69,15.56,16.09,18.81,19.66,18.94,19.31,21.72,23.5,23.03,21.97,23.09,23.69,21.66,19.31,19.38,20.94,21.69,22.0,23.56,27.47,29.66,29.41,28.72,29.81,29.94,27.22,23.97,23.28,23.31,21.28,18.16,16.94,17.22,15.91,13.75,13.69,16.91,20.47,22.06,24.62,29.38,32.94,32.91,31.88,32.69,33.91,33.06,31.78,31.84,33.44,33.62,31.62,29.91,29.97,29.31,26.22,23.5,23.47,23.97,22.09,18.94,17.5,16.94,14.56,11.16,10.44,12.94,15.25,15.84,17.25,20.81,22.91,22.31,20.53,21.0,21.5,20.31,18.72,19.25,21.5,22.53,22.0,21.91,24.06,24.72,23.09,21.62,22.72,23.5,21.94,19.59,19.28,19.88,18.22,15.16,14.03,14.62,14.5,12.47,11.97,14.22,16.16,15.88,16.25,19.28,21.91,22.69,22.41,24.03,26.5,27.25,26.0,26.25,27.5,27.97,26.03,25.44,27.47,29.94,31.03,32.62,36.44,39.66,39.03,35.5,32.25,29.12,24.34,18.0,13.97,12.62,12.06,10.38,10.19,13.47,17.41,19.0,20.12,23.41,27.06,28.12,27.69,29.03,31.56,33.16,32.56,32.56,34.06,33.88,30.12,25.69,23.19,20.5,15.78,10.78,8.69,7.81,6.09,3.66,3.66,5.69,8.0,8.72,10.75,15.44,19.59,20.97,21.62,23.75,25.75,25.25,23.03,22.97,23.78,23.09,20.66,19.59,20.28,20.44,18.41,16.97,18.09,19.72,19.44,19.0,20.75,23.34,23.41,21.19,19.88,19.91,18.16,14.44,12.38,12.94,13.25,11.38,9.97,11.03,12.06,10.69,8.66,9.25,11.44,12.19,11.62,12.41,14.94,16.0,14.69,13.94,15.75,17.31,16.38,15.47,17.0,19.34,19.06,17.06,16.97,17.88,17.62,15.62,15.88,18.03,19.38,17.69,16.31,17.12,17.88,16.47,15.19,15.91,17.72,17.12,15.22,14.69,16.03,16.09,14.5,14.31,16.56,18.09,17.19,15.66,16.53,17.72,16.31,14.56,15.28,18.06,19.44,19.22,20.81,23.78,25.47,24.34,24.25,26.56,28.31,27.0,25.38,25.28,25.69,23.19,19.94,18.06,17.62,16.25,13.81,13.34,16.5,19.19,19.47,20.06,22.28,23.91,21.78,18.88,18.12,18.91,17.31,15.41,15.38,17.22,17.31,15.97,16.19,19.0,21.56,21.91,22.0,24.0,26.12,25.25,23.56,24.25,26.72,27.47,26.41,26.62,28.22,28.19,25.56,24.03,25.38,26.78,25.62,24.44,25.25,26.25,24.12,21.03,19.62,20.25,19.81,18.97,20.41,24.5,27.62,27.78,27.25,27.53,27.03,23.0,18.22,16.19,15.41,13.03,9.97,9.44,10.84,11.12,9.28,8.91,11.03,13.03,13.0,13.72,16.91,20.06,19.91,17.72,17.22,17.75,15.66,12.5,10.91,11.88,11.56,9.78,9.38,11.56,13.81,14.44,14.94,18.5,22.91,25.0,25.78,27.78,30.38,29.75,26.81,24.16,23.47,21.94,18.78,16.28,16.81,17.44,14.66,11.41,10.62,10.75,9.47,7.69,8.84,12.34,14.75,15.62,17.06,20.56,22.38,21.06,19.03,18.91,19.25,17.66,15.62,16.56,18.75,18.84,16.69,15.62,16.34,15.62,13.16,11.88,13.75,15.22,14.75,14.66,16.84,19.75,19.75,18.09,17.75,18.47,17.31,14.66,14.16,16.44,17.72,16.5,14.66,15.25,15.0,12.12,8.5,7.84,8.91,8.06,7.0,8.5,12.31,14.66,14.97,16.59,20.31,23.09,23.28,23.34,25.91,28.12,27.75,26.38,26.94,28.03,26.69,23.22,21.44,20.97,19.53,16.38,13.91,14.47,14.69,12.72,10.84,11.53,11.94,10.16,7.34,6.22,6.91,6.59,5.38,6.59,10.91,15.34,18.28,21.81,27.12,31.09,30.72,28.19,26.72,25.25,21.41,16.09,13.22,12.03,9.62,5.94,4.06,5.03,5.94,4.94,4.84,7.62,11.0,12.06,12.28,14.62,17.19,17.69,16.41,16.31,18.31,19.12,18.06,17.56,19.78,21.62,20.78,19.72,21.16,22.62,21.91,19.22,18.09,17.62,15.41,11.38,9.41,9.94,10.41,9.81,10.34,14.5,18.94,21.31,22.78,25.88,28.94,28.88,26.56,25.31,25.59,24.31,20.88,19.28,20.47,20.84,19.09,17.5,18.16,18.69,16.62,13.97,13.62,14.44,13.97,12.19,12.5,14.91,16.5,15.75,15.53,17.75,19.62,18.72,17.25,18.66,20.31,19.53,17.59,17.66,18.44,17.22,13.91,12.22,12.84,13.03,11.12,9.75,10.66,11.16,8.69,6.22,6.75,8.88,10.0,10.56,13.06,16.75,18.69,18.22,18.25,20.84,23.16,23.19,24.16,27.31,29.81,29.06,26.31,24.94,23.84,20.62,15.66,12.56,11.62,9.97,6.94,5.34,6.91,8.81,8.5,9.0,12.06,15.53,16.81,16.41,17.41,19.25,19.34,18.06,19.03,22.66,25.94,26.47,26.56,27.91,27.81,23.91,19.41,17.03,15.5,12.41,8.53,7.25,8.28,8.28,7.41,8.16,11.66,15.06,23.81,23.53,22.53,20.78,19.56,19.56,19.91,18.56,17.47,18.09,19.56,19.47,18.38,18.19:1.5,2.75,3.72,2.5,0.94,2.19,5.22,6.59,7.81,10.91,15.69,19.0,19.81,20.84,23.31,24.03,21.69,19.09,18.97,19.53,17.25,15.0,15.28,16.84,16.47,14.81,14.62,16.5,16.78,14.91,13.69,14.44,15.0,13.53,13.09,15.72,19.38,20.16,20.03,20.94,22.94,23.38,22.56,22.78,24.5,25.0,21.59,17.84,16.0,14.28,10.19,6.34,5.78,6.41,4.88,2.5,1.75,2.62,1.81,-0.5,-1.44,0.44,2.5,2.19,2.5,5.03,7.16,6.16,4.0,4.03,5.19,4.62,3.94,5.22,9.53,12.78,13.97,15.88,19.91,22.31,20.94,18.41,16.97,15.25,10.72,6.28,4.75,5.78,5.62,4.03,3.41,4.28,3.62,0.5,-2.12,-1.72,-0.59,-1.53,-2.53,-0.84,1.44,0.59,-1.44,-1.5,-0.03,0.53,-0.03,1.19,5.0,7.75,8.03,8.28,11.0,13.19,12.22,10.78,11.5,13.22,13.34,12.5,13.78,17.06,18.62,18.12,18.25,20.78,21.97,20.81,19.12,19.88,20.34,18.12,15.09,14.34,15.0,13.66,11.34,10.94,12.69,13.53,12.62,12.47,14.94,16.78,16.25,15.12,16.81,19.53,19.88,19.78,21.84,24.94,25.88,24.5,23.78,24.78,25.0,22.88,21.03,21.94,22.53,20.28,17.97,18.62,20.56,20.69,19.84,20.34,22.5,22.5,20.31,18.72,19.91,20.38,19.16,18.09,20.0,21.91,20.81,18.5,18.88,20.38,20.12,18.66,18.62,20.16,19.69,17.0,14.78,15.47,16.41,15.28,14.59,16.81,19.97,19.97,18.19,18.38,19.72,19.28,18.09,18.84,21.91,24.0,23.66,23.06,24.62,25.97,24.44,22.81,23.72,25.84,25.66,23.97,24.19,25.28,24.38,21.38,19.28,19.94,19.91,18.12,16.84,18.5,19.94,19.03,16.88,16.81,17.34,15.94,13.5,12.84,14.56,14.97,12.97,11.62,13.16,14.78,14.84,15.94,19.84,24.0,24.88,23.69,24.0,24.75,23.56,20.5,19.09,19.72,19.31,16.62,15.03,16.31,17.78,17.25,17.12,20.03,23.84,25.09,25.38,26.91,29.0,29.25,26.53,24.72,24.75,23.72,20.0,16.75,17.03,17.5,15.62,13.16,13.28,14.28,13.59,11.94,12.62,15.47,17.12,16.62,17.03,19.53,21.34,20.34,19.19,20.59,22.78,22.78,22.44,24.78,28.16,29.41,28.78,29.62,32.31,33.31,32.16,31.91,33.91,35.44,34.0,31.84,31.94,31.5,28.41,24.38,22.16,21.31,19.53,15.91,14.16,14.97,14.66,12.44,11.25,13.47,15.88,16.59,17.06,19.41,22.22,22.88,22.03,23.25,25.84,26.94,25.5,24.41,24.41,23.25,18.94,14.41,12.78,12.06,9.97,8.12,9.66,13.41,16.16,18.25,21.72,26.75,29.88,29.34,28.75,30.16,31.44,30.0,28.84,29.91,31.59,30.56,28.5,27.94,28.56,27.81,24.97,23.78,24.62,25.12,22.84,21.09,22.19,23.31,22.0,20.41,20.88,21.66,20.0,16.81,15.31,15.28,13.66,10.62,8.94,9.81,10.94,9.94,9.53,11.22,13.16,12.38,10.59,11.16,12.94,13.09,12.06,12.56,15.09,16.41,15.75,16.25,19.12,21.69,21.53,20.44,21.66,23.22,22.31,20.94,21.81,23.84,24.31,22.81,22.75,24.19,25.56,24.66,24.59,26.62,28.78,27.69,25.78,25.75,26.47,25.47,23.62,23.44,24.97,24.47,21.72,19.69,20.09,20.34,18.84,17.75,18.97,20.59,19.47,18.28,19.31,22.16,23.31,23.19,24.75,28.0,29.88,29.91,30.44,33.16,35.38,34.47,33.0,33.0,33.41,30.81,27.59,26.56,27.44,26.75,25.09,25.03,26.41,27.09,25.59,24.56,26.06,27.38,26.12,24.5,24.91,26.44,25.84,24.0,24.06,25.88,26.84,26.22,27.03,30.03,32.09,30.84,29.28,29.59,29.62,26.88,23.03,20.66,19.5,16.5,13.03,11.88,14.0,15.91,16.91,19.03,23.38,27.19,28.06,27.53,29.06,30.5,29.47,27.53,27.25,27.94,26.66,23.53,21.56,22.12,21.91,20.12,19.0,20.25,21.25,19.56,17.38,17.0,17.69,16.69,15.56,16.09,18.81,19.66,18.94,19.31,21.72,23.5,23.03,21.97,23.09,23.69,21.66,19.31,19.38,20.94,21.69,22.0,23.56,27.47,29.66,29.41,28.72,29.81,29.94,27.22,23.97,23.28,23.31,21.28,18.16,16.94,17.22,15.91,13.75,13.69,16.91,20.47,22.06,24.62,29.38,32.94,32.91,31.88,32.69,33.91,33.06,31.78,31.84,33.44,33.62,31.62,29.91,29.97,29.31,26.22,23.5,23.47,23.97,22.09,18.94,17.5,16.94,14.56,11.16,10.44,12.94,15.25,15.84,17.25,20.81,22.91,22.31,20.53,21.0,21.5,20.31,18.72,19.25,21.5,22.53,22.0,21.91,24.06,24.72,23.09,21.62,22.72,23.5,21.94,19.59,19.28,19.88,18.22,15.16,14.03,14.62,14.5,12.47,11.97,14.22,16.16,15.88,16.25,19.28,21.91,22.69,22.41,24.03,26.5,27.25,26.0,26.25,27.5,27.97,26.03,25.44,27.47,29.94,31.03,32.62,36.44,39.66,39.03,35.5,32.25,29.12,24.34,18.0,13.97,12.62,12.06,10.38,10.19,13.47,17.41,19.0,20.12,23.41,27.06,28.12,27.69,29.03,31.56,33.16,32.56,32.56,34.06,33.88,30.12,25.69,23.19,20.5,15.78,10.78,8.69,7.81,6.09,3.66,3.66,5.69,8.0,8.72,10.75,15.44,19.59,20.97,21.62,23.75,25.75,25.25,23.03,22.97,23.78,23.09,20.66,19.59,20.28,20.44,18.41,16.97,18.09,19.72,19.44,19.0,20.75,23.34,23.41,21.19,19.88,19.91,18.16,14.44,12.38,12.94,13.25,11.38,9.97,11.03,12.06,10.69,8.66,9.25,11.44,12.19,11.62,12.41,14.94,16.0,14.69,13.94,15.75,17.31,16.38,15.47,17.0,19.34,19.06,17.06,16.97,17.88,17.62,15.62,15.88,18.03,19.38,17.69,16.31,17.12,17.88,16.47,15.19,15.91,17.72,17.12,15.22,14.69,16.03,16.09,14.5,14.31,16.56,18.09,17.19,15.66,16.53,17.72,16.31,14.56,15.28,18.06,19.44,19.22,20.81,23.78,25.47,24.34,24.25,26.56,28.31,27.0,25.38,25.28,25.69,23.19,19.94,18.06,17.62,16.25,13.81,13.34,16.5,19.19,19.47,20.06,22.28,23.91,21.78,18.88,18.12,18.91,17.31,15.41,15.38,17.22,17.31,15.97,16.19,19.0,21.56,21.91,22.0,24.0,26.12,25.25,23.56,24.25,26.72,27.47,26.41,26.62,28.22,28.19,25.56,24.03,25.38,26.78,25.62,24.44,25.25,26.25,24.12,21.03,19.62,20.25,19.81,18.97,20.41,24.5,27.62,27.78,27.25,27.53,27.03,23.0,18.22,16.19,15.41,13.03,9.97,9.44,10.84,11.12,9.28,8.91,11.03,13.03,13.0,13.72,16.91,20.06,19.91,17.72,17.22,17.75,15.66,12.5,10.91,11.88,11.56,9.78,9.38,11.56,13.81,14.44,14.94,18.5,22.91,25.0,25.78,27.78,30.38,29.75,26.81,24.16,23.47,21.94,18.78,16.28,16.81,17.44,14.66,11.41,10.62,10.75,9.47,7.69,8.84,12.34,14.75,15.62,17.06,20.56,22.38,21.06,19.03,18.91,19.25,17.66,15.62,16.56,18.75,18.84,16.69,15.62,16.34,15.62,13.16,11.88,13.75,15.22,14.75,14.66,16.84,19.75,19.75,18.09,17.75,18.47,17.31,14.66,14.16,16.44,17.72,16.5,14.66,15.25,15.0,12.12,8.5,7.84,8.91,8.06,7.0,8.5,12.31,14.66,14.97,16.59,20.31,23.09,23.28,23.34,25.91,28.12,27.75,26.38,26.94,28.03,26.69,23.22,21.44,20.97,19.53,16.38,13.91,14.47,14.69,12.72,10.84,11.53,11.94,10.16,7.34,6.22,6.91,6.59,5.38,6.59,10.91,15.34,18.28,21.81,27.12,31.09,30.72,28.19,26.72,25.25,21.41,16.09,13.22,12.03,9.62,5.94,4.06,5.03,5.94,4.94,4.84,7.62,11.0,12.06,12.28,14.62,17.19,17.69,16.41,16.31,18.31,19.12,18.06,17.56,19.78,21.62,20.78,19.72,21.16,22.62,21.91,19.22,18.09,17.62,15.41,11.38,9.41,9.94,10.41,9.81,10.34,14.5,18.94,21.31,22.78,25.88,28.94,28.88,26.56,25.31,25.59,24.31,20.88,19.28,20.47,20.84,19.09,17.5,18.16,18.69,16.62,13.97,13.62,14.44,13.97,12.19,12.5,14.91,16.5,15.75,15.53,17.75,19.62,18.72,17.25,18.66,20.31,19.53,17.59,17.66,18.44,17.22,13.91,12.22,12.84,13.03,11.12,9.75,10.66,11.16,8.69,6.22,6.75,8.88,10.0,10.56,13.06,16.75,18.69,18.22,18.25,20.84,23.16,23.19,24.16,27.31,29.81,29.06,26.31,24.94,23.84,20.62,15.66,12.56,11.62,9.97,6.94,5.34,6.91,8.81,8.5,9.0,12.06,15.53,16.81,16.41,17.41,19.25,19.34,18.06,19.03,22.66,25.94,26.47,26.56,27.91,27.81,23.91,19.41,17.03,15.5,12.41,8.53,7.25,8.28,8.28,7.41,8.16,11.66,15.06,23.81,23.53,22.53,20.78,19.56,19.56,19.91,18.56,17.47,18.09,19.56,19.47,18.38,18.19,18.47,17.41,14.69,12.84,12.75,12.31,10.84:6.59,7.81,10.91,15.69,19.0,19.81,20.84,23.31,24.03,21.69,19.09,18.97,19.53,17.25,15.0,15.28,16.84,16.47,14.81,14.62,16.5,16.78,14.91,13.69,14.44,15.0,13.53,13.09,15.72,19.38,20.16,20.03,20.94,22.94,23.38,22.56,22.78,24.5,25.0,21.59,17.84,16.0,14.28,10.19,6.34,5.78,6.41,4.88,2.5,1.75,2.62,1.81,-0.5,-1.44,0.44,2.5,2.19,2.5,5.03,7.16,6.16,4.0,4.03,5.19,4.62,3.94,5.22,9.53,12.78,13.97,15.88,19.91,22.31,20.94,18.41,16.97,15.25,10.72,6.28,4.75,5.78,5.62,4.03,3.41,4.28,3.62,0.5,-2.12,-1.72,-0.59,-1.53,-2.53,-0.84,1.44,0.59,-1.44,-1.5,-0.03,0.53,-0.03,1.19,5.0,7.75,8.03,8.28,11.0,13.19,12.22,10.78,11.5,13.22,13.34,12.5,13.78,17.06,18.62,18.12,18.25,20.78,21.97,20.81,19.12,19.88,20.34,18.12,15.09,14.34,15.0,13.66,11.34,10.94,12.69,13.53,12.62,12.47,14.94,16.78,16.25,15.12,16.81,19.53,19.88,19.78,21.84,24.94,25.88,24.5,23.78,24.78,25.0,22.88,21.03,21.94,22.53,20.28,17.97,18.62,20.56,20.69,19.84,20.34,22.5,22.5,20.31,18.72,19.91,20.38,19.16,18.09,20.0,21.91,20.81,18.5,18.88,20.38,20.12,18.66,18.62,20.16,19.69,17.0,14.78,15.47,16.41,15.28,14.59,16.81,19.97,19.97,18.19,18.38,19.72,19.28,18.09,18.84,21.91,24.0,23.66,23.06,24.62,25.97,24.44,22.81,23.72,25.84,25.66,23.97,24.19,25.28,24.38,21.38,19.28,19.94,19.91,18.12,16.84,18.5,19.94,19.03,16.88,16.81,17.34,15.94,13.5,12.84,14.56,14.97,12.97,11.62,13.16,14.78,14.84,15.94,19.84,24.0,24.88,23.69,24.0,24.75,23.56,20.5,19.09,19.72,19.31,16.62,15.03,16.31,17.78,17.25,17.12,20.03,23.84,25.09,25.38,26.91,29.0,29.25,26.53,24.72,24.75,23.72,20.0,16.75,17.03,17.5,15.62,13.16,13.28,14.28,13.59,11.94,12.62,15.47,17.12,16.62,17.03,19.53,21.34,20.34,19.19,20.59,22.78,22.78,22.44,24.78,28.16,29.41,28.78,29.62,32.31,33.31,32.16,31.91,33.91,35.44,34.0,31.84,31.94,31.5,28.41,24.38,22.16,21.31,19.53,15.91,14.16,14.97,14.66,12.44,11.25,13.47,15.88,16.59,17.06,19.41,22.22,22.88,22.03,23.25,25.84,26.94,25.5,24.41,24.41,23.25,18.94,14.41,12.78,12.06,9.97,8.12,9.66,13.41,16.16,18.25,21.72,26.75,29.88,29.34,28.75,30.16,31.44,30.0,28.84,29.91,31.59,30.56,28.5,27.94,28.56,27.81,24.97,23.78,24.62,25.12,22.84,21.09,22.19,23.31,22.0,20.41,20.88,21.66,20.0,16.81,15.31,15.28,13.66,10.62,8.94,9.81,10.94,9.94,9.53,11.22,13.16,12.38,10.59,11.16,12.94,13.09,12.06,12.56,15.09,16.41,15.75,16.25,19.12,21.69,21.53,20.44,21.66,23.22,22.31,20.94,21.81,23.84,24.31,22.81,22.75,24.19,25.56,24.66,24.59,26.62,28.78,27.69,25.78,25.75,26.47,25.47,23.62,23.44,24.97,24.47,21.72,19.69,20.09,20.34,18.84,17.75,18.97,20.59,19.47,18.28,19.31,22.16,23.31,23.19,24.75,28.0,29.88,29.91,30.44,33.16,35.38,34.47,33.0,33.0,33.41,30.81,27.59,26.56,27.44,26.75,25.09,25.03,26.41,27.09,25.59,24.56,26.06,27.38,26.12,24.5,24.91,26.44,25.84,24.0,24.06,25.88,26.84,26.22,27.03,30.03,32.09,30.84,29.28,29.59,29.62,26.88,23.03,20.66,19.5,16.5,13.03,11.88,14.0,15.91,16.91,19.03,23.38,27.19,28.06,27.53,29.06,30.5,29.47,27.53,27.25,27.94,26.66,23.53,21.56,22.12,21.91,20.12,19.0,20.25,21.25,19.56,17.38,17.0,17.69,16.69,15.56,16.09,18.81,19.66,18.94,19.31,21.72,23.5,23.03,21.97,23.09,23.69,21.66,19.31,19.38,20.94,21.69,22.0,23.56,27.47,29.66,29.41,28.72,29.81,29.94,27.22,23.97,23.28,23.31,21.28,18.16,16.94,17.22,15.91,13.75,13.69,16.91,20.47,22.06,24.62,29.38,32.94,32.91,31.88,32.69,33.91,33.06,31.78,31.84,33.44,33.62,31.62,29.91,29.97,29.31,26.22,23.5,23.47,23.97,22.09,18.94,17.5,16.94,14.56,11.16,10.44,12.94,15.25,15.84,17.25,20.81,22.91,22.31,20.53,21.0,21.5,20.31,18.72,19.25,21.5,22.53,22.0,21.91,24.06,24.72,23.09,21.62,22.72,23.5,21.94,19.59,19.28,19.88,18.22,15.16,14.03,14.62,14.5,12.47,11.97,14.22,16.16,15.88,16.25,19.28,21.91,22.69,22.41,24.03,26.5,27.25,26.0,26.25,27.5,27.97,26.03,25.44,27.47,29.94,31.03,32.62,36.44,39.66,39.03,35.5,32.25,29.12,24.34,18.0,13.97,12.62,12.06,10.38,10.19,13.47,17.41,19.0,20.12,23.41,27.06,28.12,27.69,29.03,31.56,33.16,32.56,32.56,34.06,33.88,30.12,25.69,23.19,20.5,15.78,10.78,8.69,7.81,6.09,3.66,3.66,5.69,8.0,8.72,10.75,15.44,19.59,20.97,21.62,23.75,25.75,25.25,23.03,22.97,23.78,23.09,20.66,19.59,20.28,20.44,18.41,16.97,18.09,19.72,19.44,19.0,20.75,23.34,23.41,21.19,19.88,19.91,18.16,14.44,12.38,12.94,13.25,11.38,9.97,11.03,12.06,10.69,8.66,9.25,11.44,12.19,11.62,12.41,14.94,16.0,14.69,13.94,15.75,17.31,16.38,15.47,17.0,19.34,19.06,17.06,16.97,17.88,17.62,15.62,15.88,18.03,19.38,17.69,16.31,17.12,17.88,16.47,15.19,15.91,17.72,17.12,15.22,14.69,16.03,16.09,14.5,14.31,16.56,18.09,17.19,15.66,16.53,17.72,16.31,14.56,15.28,18.06,19.44,19.22,20.81,23.78,25.47,24.34,24.25,26.56,28.31,27.0,25.38,25.28,25.69,23.19,19.94,18.06,17.62,16.25,13.81,13.34,16.5,19.19,19.47,20.06,22.28,23.91,21.78,18.88,18.12,18.91,17.31,15.41,15.38,17.22,17.31,15.97,16.19,19.0,21.56,21.91,22.0,24.0,26.12,25.25,23.56,24.25,26.72,27.47,26.41,26.62,28.22,28.19,25.56,24.03,25.38,26.78,25.62,24.44,25.25,26.25,24.12,21.03,19.62,20.25,19.81,18.97,20.41,24.5,27.62,27.78,27.25,27.53,27.03,23.0,18.22,16.19,15.41,13.03,9.97,9.44,10.84,11.12,9.28,8.91,11.03,13.03,13.0,13.72,16.91,20.06,19.91,17.72,17.22,17.75,15.66,12.5,10.91,11.88,11.56,9.78,9.38,11.56,13.81,14.44,14.94,18.5,22.91,25.0,25.78,27.78,30.38,29.75,26.81,24.16,23.47,21.94,18.78,16.28,16.81,17.44,14.66,11.41,10.62,10.75,9.47,7.69,8.84,12.34,14.75,15.62,17.06,20.56,22.38,21.06,19.03,18.91,19.25,17.66,15.62,16.56,18.75,18.84,16.69,15.62,16.34,15.62,13.16,11.88,13.75,15.22,14.75,14.66,16.84,19.75,19.75,18.09,17.75,18.47,17.31,14.66,14.16,16.44,17.72,16.5,14.66,15.25,15.0,12.12,8.5,7.84,8.91,8.06,7.0,8.5,12.31,14.66,14.97,16.59,20.31,23.09,23.28,23.34,25.91,28.12,27.75,26.38,26.94,28.03,26.69,23.22,21.44,20.97,19.53,16.38,13.91,14.47,14.69,12.72,10.84,11.53,11.94,10.16,7.34,6.22,6.91,6.59,5.38,6.59,10.91,15.34,18.28,21.81,27.12,31.09,30.72,28.19,26.72,25.25,21.41,16.09,13.22,12.03,9.62,5.94,4.06,5.03,5.94,4.94,4.84,7.62,11.0,12.06,12.28,14.62,17.19,17.69,16.41,16.31,18.31,19.12,18.06,17.56,19.78,21.62,20.78,19.72,21.16,22.62,21.91,19.22,18.09,17.62,15.41,11.38,9.41,9.94,10.41,9.81,10.34,14.5,18.94,21.31,22.78,25.88,28.94,28.88,26.56,25.31,25.59,24.31,20.88,19.28,20.47,20.84,19.09,17.5,18.16,18.69,16.62,13.97,13.62,14.44,13.97,12.19,12.5,14.91,16.5,15.75,15.53,17.75,19.62,18.72,17.25,18.66,20.31,19.53,17.59,17.66,18.44,17.22,13.91,12.22,12.84,13.03,11.12,9.75,10.66,11.16,8.69,6.22,6.75,8.88,10.0,10.56,13.06,16.75,18.69,18.22,18.25,20.84,23.16,23.19,24.16,27.31,29.81,29.06,26.31,24.94,23.84,20.62,15.66,12.56,11.62,9.97,6.94,5.34,6.91,8.81,8.5,9.0,12.06,15.53,16.81,16.41,17.41,19.25,19.34,18.06,19.03,22.66,25.94,26.47,26.56,27.91,27.81,23.91,19.41,17.03,15.5,12.41,8.53,7.25,8.28,8.28,7.41,8.16,11.66,15.06,23.81,23.53,22.53,20.78,19.56,19.56,19.91,18.56,17.47,18.09,19.56,19.47,18.38,18.19,18.47,17.41,14.69,12.84,12.75,12.31,10.84,10.47,11.84,13.22,13.0,12.88,14.75,17.66:23.31,24.03,21.69,19.09,18.97,19.53,17.25,15.0,15.28,16.84,16.47,14.81,14.62,16.5,16.78,14.91,13.69,14.44,15.0,13.53,13.09,15.72,19.38,20.16,20.03,20.94,22.94,23.38,22.56,22.78,24.5,25.0,21.59,17.84,16.0,14.28,10.19,6.34,5.78,6.41,4.88,2.5,1.75,2.62,1.81,-0.5,-1.44,0.44,2.5,2.19,2.5,5.03,7.16,6.16,4.0,4.03,5.19,4.62,3.94,5.22,9.53,12.78,13.97,15.88,19.91,22.31,20.94,18.41,16.97,15.25,10.72,6.28,4.75,5.78,5.62,4.03,3.41,4.28,3.62,0.5,-2.12,-1.72,-0.59,-1.53,-2.53,-0.84,1.44,0.59,-1.44,-1.5,-0.03,0.53,-0.03,1.19,5.0,7.75,8.03,8.28,11.0,13.19,12.22,10.78,11.5,13.22,13.34,12.5,13.78,17.06,18.62,18.12,18.25,20.78,21.97,20.81,19.12,19.88,20.34,18.12,15.09,14.34,15.0,13.66,11.34,10.94,12.69,13.53,12.62,12.47,14.94,16.78,16.25,15.12,16.81,19.53,19.88,19.78,21.84,24.94,25.88,24.5,23.78,24.78,25.0,22.88,21.03,21.94,22.53,20.28,17.97,18.62,20.56,20.69,19.84,20.34,22.5,22.5,20.31,18.72,19.91,20.38,19.16,18.09,20.0,21.91,20.81,18.5,18.88,20.38,20.12,18.66,18.62,20.16,19.69,17.0,14.78,15.47,16.41,15.28,14.59,16.81,19.97,19.97,18.19,18.38,19.72,19.28,18.09,18.84,21.91,24.0,23.66,23.06,24.62,25.97,24.44,22.81,23.72,25.84,25.66,23.97,24.19,25.28,24.38,21.38,19.28,19.94,19.91,18.12,16.84,18.5,19.94,19.03,16.88,16.81,17.34,15.94,13.5,12.84,14.56,14.97,12.97,11.62,13.16,14.78,14.84,15.94,19.84,24.0,24.88,23.69,24.0,24.75,23.56,20.5,19.09,19.72,19.31,16.62,15.03,16.31,17.78,17.25,17.12,20.03,23.84,25.09,25.38,26.91,29.0,29.25,26.53,24.72,24.75,23.72,20.0,16.75,17.03,17.5,15.62,13.16,13.28,14.28,13.59,11.94,12.62,15.47,17.12,16.62,17.03,19.53,21.34,20.34,19.19,20.59,22.78,22.78,22.44,24.78,28.16,29.41,28.78,29.62,32.31,33.31,32.16,31.91,33.91,35.44,34.0,31.84,31.94,31.5,28.41,24.38,22.16,21.31,19.53,15.91,14.16,14.97,14.66,12.44,11.25,13.47,15.88,16.59,17.06,19.41,22.22,22.88,22.03,23.25,25.84,26.94,25.5,24.41,24.41,23.25,18.94,14.41,12.78,12.06,9.97,8.12,9.66,13.41,16.16,18.25,21.72,26.75,29.88,29.34,28.75,30.16,31.44,30.0,28.84,29.91,31.59,30.56,28.5,27.94,28.56,27.81,24.97,23.78,24.62,25.12,22.84,21.09,22.19,23.31,22.0,20.41,20.88,21.66,20.0,16.81,15.31,15.28,13.66,10.62,8.94,9.81,10.94,9.94,9.53,11.22,13.16,12.38,10.59,11.16,12.94,13.09,12.06,12.56,15.09,16.41,15.75,16.25,19.12,21.69,21.53,20.44,21.66,23.22,22.31,20.94,21.81,23.84,24.31,22.81,22.75,24.19,25.56,24.66,24.59,26.62,28.78,27.69,25.78,25.75,26.47,25.47,23.62,23.44,24.97,24.47,21.72,19.69,20.09,20.34,18.84,17.75,18.97,20.59,19.47,18.28,19.31,22.16,23.31,23.19,24.75,28.0,29.88,29.91,30.44,33.16,35.38,34.47,33.0,33.0,33.41,30.81,27.59,26.56,27.44,26.75,25.09,25.03,26.41,27.09,25.59,24.56,26.06,27.38,26.12,24.5,24.91,26.44,25.84,24.0,24.06,25.88,26.84,26.22,27.03,30.03,32.09,30.84,29.28,29.59,29.62,26.88,23.03,20.66,19.5,16.5,13.03,11.88,14.0,15.91,16.91,19.03,23.38,27.19,28.06,27.53,29.06,30.5,29.47,27.53,27.25,27.94,26.66,23.53,21.56,22.12,21.91,20.12,19.0,20.25,21.25,19.56,17.38,17.0,17.69,16.69,15.56,16.09,18.81,19.66,18.94,19.31,21.72,23.5,23.03,21.97,23.09,23.69,21.66,19.31,19.38,20.94,21.69,22.0,23.56,27.47,29.66,29.41,28.72,29.81,29.94,27.22,23.97,23.28,23.31,21.28,18.16,16.94,17.22,15.91,13.75,13.69,16.91,20.47,22.06,24.62,29.38,32.94,32.91,31.88,32.69,33.91,33.06,31.78,31.84,33.44,33.62,31.62,29.91,29.97,29.31,26.22,23.5,23.47,23.97,22.09,18.94,17.5,16.94,14.56,11.16,10.44,12.94,15.25,15.84,17.25,20.81,22.91,22.31,20.53,21.0,21.5,20.31,18.72,19.25,21.5,22.53,22.0,21.91,24.06,24.72,23.09,21.62,22.72,23.5,21.94,19.59,19.28,19.88,18.22,15.16,14.03,14.62,14.5,12.47,11.97,14.22,16.16,15.88,16.25,19.28,21.91,22.69,22.41,24.03,26.5,27.25,26.0,26.25,27.5,27.97,26.03,25.44,27.47,29.94,31.03,32.62,36.44,39.66,39.03,35.5,32.25,29.12,24.34,18.0,13.97,12.62,12.06,10.38,10.19,13.47,17.41,19.0,20.12,23.41,27.06,28.12,27.69,29.03,31.56,33.16,32.56,32.56,34.06,33.88,30.12,25.69,23.19,20.5,15.78,10.78,8.69,7.81,6.09,3.66,3.66,5.69,8.0,8.72,10.75,15.44,19.59,20.97,21.62,23.75,25.75,25.25,23.03,22.97,23.78,23.09,20.66,19.59,20.28,20.44,18.41,16.97,18.09,19.72,19.44,19.0,20.75,23.34,23.41,21.19,19.88,19.91,18.16,14.44,12.38,12.94,13.25,11.38,9.97,11.03,12.06,10.69,8.66,9.25,11.44,12.19,11.62,12.41,14.94,16.0,14.69,13.94,15.75,17.31,16.38,15.47,17.0,19.34,19.06,17.06,16.97,17.88,17.62,15.62,15.88,18.03,19.38,17.69,16.31,17.12,17.88,16.47,15.19,15.91,17.72,17.12,15.22,14.69,16.03,16.09,14.5,14.31,16.56,18.09,17.19,15.66,16.53,17.72,16.31,14.56,15.28,18.06,19.44,19.22,20.81,23.78,25.47,24.34,24.25,26.56,28.31,27.0,25.38,25.28,25.69,23.19,19.94,18.06,17.62,16.25,13.81,13.34,16.5,19.19,19.47,20.06,22.28,23.91,21.78,18.88,18.12,18.91,17.31,15.41,15.38,17.22,17.31,15.97,16.19,19.0,21.56,21.91,22.0,24.0,26.12,25.25,23.56,24.25,26.72,27.47,26.41,26.62,28.22,28.19,25.56,24.03,25.38,26.78,25.62,24.44,25.25,26.25,24.12,21.03,19.62,20.25,19.81,18.97,20.41,24.5,27.62,27.78,27.25,27.53,27.03,23.0,18.22,16.19,15.41,13.03,9.97,9.44,10.84,11.12,9.28,8.91,11.03,13.03,13.0,13.72,16.91,20.06,19.91,17.72,17.22,17.75,15.66,12.5,10.91,11.88,11.56,9.78,9.38,11.56,13.81,14.44,14.94,18.5,22.91,25.0,25.78,27.78,30.38,29.75,26.81,24.16,23.47,21.94,18.78,16.28,16.81,17.44,14.66,11.41,10.62,10.75,9.47,7.69,8.84,12.34,14.75,15.62,17.06,20.56,22.38,21.06,19.03,18.91,19.25,17.66,15.62,16.56,18.75,18.84,16.69,15.62,16.34,15.62,13.16,11.88,13.75,15.22,14.75,14.66,16.84,19.75,19.75,18.09,17.75,18.47,17.31,14.66,14.16,16.44,17.72,16.5,14.66,15.25,15.0,12.12,8.5,7.84,8.91,8.06,7.0,8.5,12.31,14.66,14.97,16.59,20.31,23.09,23.28,23.34,25.91,28.12,27.75,26.38,26.94,28.03,26.69,23.22,21.44,20.97,19.53,16.38,13.91,14.47,14.69,12.72,10.84,11.53,11.94,10.16,7.34,6.22,6.91,6.59,5.38,6.59,10.91,15.34,18.28,21.81,27.12,31.09,30.72,28.19,26.72,25.25,21.41,16.09,13.22,12.03,9.62,5.94,4.06,5.03,5.94,4.94,4.84,7.62,11.0,12.06,12.28,14.62,17.19,17.69,16.41,16.31,18.31,19.12,18.06,17.56,19.78,21.62,20.78,19.72,21.16,22.62,21.91,19.22,18.09,17.62,15.41,11.38,9.41,9.94,10.41,9.81,10.34,14.5,18.94,21.31,22.78,25.88,28.94,28.88,26.56,25.31,25.59,24.31,20.88,19.28,20.47,20.84,19.09,17.5,18.16,18.69,16.62,13.97,13.62,14.44,13.97,12.19,12.5,14.91,16.5,15.75,15.53,17.75,19.62,18.72,17.25,18.66,20.31,19.53,17.59,17.66,18.44,17.22,13.91,12.22,12.84,13.03,11.12,9.75,10.66,11.16,8.69,6.22,6.75,8.88,10.0,10.56,13.06,16.75,18.69,18.22,18.25,20.84,23.16,23.19,24.16,27.31,29.81,29.06,26.31,24.94,23.84,20.62,15.66,12.56,11.62,9.97,6.94,5.34,6.91,8.81,8.5,9.0,12.06,15.53,16.81,16.41,17.41,19.25,19.34,18.06,19.03,22.66,25.94,26.47,26.56,27.91,27.81,23.91,19.41,17.03,15.5,12.41,8.53,7.25,8.28,8.28,7.41,8.16,11.66,15.06,23.81,23.53,22.53,20.78,19.56,19.56,19.91,18.56,17.47,18.09,19.56,19.47,18.38,18.19,18.47,17.41,14.69,12.84,12.75,12.31,10.84,10.47,11.84,13.22,13.0,12.88,14.75,17.66,19.75,21.22,24.0,27.75,30.5,31.59,32.38:15.0,15.28,16.84,16.47,14.81,14.62,16.5,16.78,14.91,13.69,14.44,15.0,13.53,13.09,15.72,19.38,20.16,20.03,20.94,22.94,23.38,22.56,22.78,24.5,25.0,21.59,17.84,16.0,14.28,10.19,6.34,5.78,6.41,4.88,2.5,1.75,2.62,1.81,-0.5,-1.44,0.44,2.5,2.19,2.5,5.03,7.16,6.16,4.0,4.03,5.19,4.62,3.94,5.22,9.53,12.78,13.97,15.88,19.91,22.31,20.94,18.41,16.97,15.25,10.72,6.28,4.75,5.78,5.62,4.03,3.41,4.28,3.62,0.5,-2.12,-1.72,-0.59,-1.53,-2.53,-0.84,1.44,0.59,-1.44,-1.5,-0.03,0.53,-0.03,1.19,5.0,7.75,8.03,8.28,11.0,13.19,12.22,10.78,11.5,13.22,13.34,12.5,13.78,17.06,18.62,18.12,18.25,20.78,21.97,20.81,19.12,19.88,20.34,18.12,15.09,14.34,15.0,13.66,11.34,10.94,12.69,13.53,12.62,12.47,14.94,16.78,16.25,15.12,16.81,19.53,19.88,19.78,21.84,24.94,25.88,24.5,23.78,24.78,25.0,22.88,21.03,21.94,22.53,20.28,17.97,18.62,20.56,20.69,19.84,20.34,22.5,22.5,20.31,18.72,19.91,20.38,19.16,18.09,20.0,21.91,20.81,18.5,18.88,20.38,20.12,18.66,18.62,20.16,19.69,17.0,14.78,15.47,16.41,15.28,14.59,16.81,19.97,19.97,18.19,18.38,19.72,19.28,18.09,18.84,21.91,24.0,23.66,23.06,24.62,25.97,24.44,22.81,23.72,25.84,25.66,23.97,24.19,25.28,24.38,21.38,19.28,19.94,19.91,18.12,16.84,18.5,19.94,19.03,16.88,16.81,17.34,15.94,13.5,12.84,14.56,14.97,12.97,11.62,13.16,14.78,14.84,15.94,19.84,24.0,24.88,23.69,24.0,24.75,23.56,20.5,19.09,19.72,19.31,16.62,15.03,16.31,17.78,17.25,17.12,20.03,23.84,25.09,25.38,26.91,29.0,29.25,26.53,24.72,24.75,23.72,20.0,16.75,17.03,17.5,15.62,13.16,13.28,14.28,13.59,11.94,12.62,15.47,17.12,16.62,17.03,19.53,21.34,20.34,19.19,20.59,22.78,22.78,22.44,24.78,28.16,29.41,28.78,29.62,32.31,33.31,32.16,31.91,33.91,35.44,34.0,31.84,31.94,31.5,28.41,24.38,22.16,21.31,19.53,15.91,14.16,14.97,14.66,12.44,11.25,13.47,15.88,16.59,17.06,19.41,22.22,22.88,22.03,23.25,25.84,26.94,25.5,24.41,24.41,23.25,18.94,14.41,12.78,12.06,9.97,8.12,9.66,13.41,16.16,18.25,21.72,26.75,29.88,29.34,28.75,30.16,31.44,30.0,28.84,29.91,31.59,30.56,28.5,27.94,28.56,27.81,24.97,23.78,24.62,25.12,22.84,21.09,22.19,23.31,22.0,20.41,20.88,21.66,20.0,16.81,15.31,15.28,13.66,10.62,8.94,9.81,10.94,9.94,9.53,11.22,13.16,12.38,10.59,11.16,12.94,13.09,12.06,12.56,15.09,16.41,15.75,16.25,19.12,21.69,21.53,20.44,21.66,23.22,22.31,20.94,21.81,23.84,24.31,22.81,22.75,24.19,25.56,24.66,24.59,26.62,28.78,27.69,25.78,25.75,26.47,25.47,23.62,23.44,24.97,24.47,21.72,19.69,20.09,20.34,18.84,17.75,18.97,20.59,19.47,18.28,19.31,22.16,23.31,23.19,24.75,28.0,29.88,29.91,30.44,33.16,35.38,34.47,33.0,33.0,33.41,30.81,27.59,26.56,27.44,26.75,25.09,25.03,26.41,27.09,25.59,24.56,26.06,27.38,26.12,24.5,24.91,26.44,25.84,24.0,24.06,25.88,26.84,26.22,27.03,30.03,32.09,30.84,29.28,29.59,29.62,26.88,23.03,20.66,19.5,16.5,13.03,11.88,14.0,15.91,16.91,19.03,23.38,27.19,28.06,27.53,29.06,30.5,29.47,27.53,27.25,27.94,26.66,23.53,21.56,22.12,21.91,20.12,19.0,20.25,21.25,19.56,17.38,17.0,17.69,16.69,15.56,16.09,18.81,19.66,18.94,19.31,21.72,23.5,23.03,21.97,23.09,23.69,21.66,19.31,19.38,20.94,21.69,22.0,23.56,27.47,29.66,29.41,28.72,29.81,29.94,27.22,23.97,23.28,23.31,21.28,18.16,16.94,17.22,15.91,13.75,13.69,16.91,20.47,22.06,24.62,29.38,32.94,32.91,31.88,32.69,33.91,33.06,31.78,31.84,33.44,33.62,31.62,29.91,29.97,29.31,26.22,23.5,23.47,23.97,22.09,18.94,17.5,16.94,14.56,11.16,10.44,12.94,15.25,15.84,17.25,20.81,22.91,22.31,20.53,21.0,21.5,20.31,18.72,19.25,21.5,22.53,22.0,21.91,24.06,24.72,23.09,21.62,22.72,23.5,21.94,19.59,19.28,19.88,18.22,15.16,14.03,14.62,14.5,12.47,11.97,14.22,16.16,15.88,16.25,19.28,21.91,22.69,22.41,24.03,26.5,27.25,26.0,26.25,27.5,27.97,26.03,25.44,27.47,29.94,31.03,32.62,36.44,39.66,39.03,35.5,32.25,29.12,24.34,18.0,13.97,12.62,12.06,10.38,10.19,13.47,17.41,19.0,20.12,23.41,27.06,28.12,27.69,29.03,31.56,33.16,32.56,32.56,34.06,33.88,30.12,25.69,23.19,20.5,15.78,10.78,8.69,7.81,6.09,3.66,3.66,5.69,8.0,8.72,10.75,15.44,19.59,20.97,21.62,23.75,25.75,25.25,23.03,22.97,23.78,23.09,20.66,19.59,20.28,20.44,18.41,16.97,18.09,19.72,19.44,19.0,20.75,23.34,23.41,21.19,19.88,19.91,18.16,14.44,12.38,12.94,13.25,11.38,9.97,11.03,12.06,10.69,8.66,9.25,11.44,12.19,11.62,12.41,14.94,16.0,14.69,13.94,15.75,17.31,16.38,15.47,17.0,19.34,19.06,17.06,16.97,17.88,17.62,15.62,15.88,18.03,19.38,17.69,16.31,17.12,17.88,16.47,15.19,15.91,17.72,17.12,15.22,14.69,16.03,16.09,14.5,14.31,16.56,18.09,17.19,15.66,16.53,17.72,16.31,14.56,15.28,18.06,19.44,19.22,20.81,23.78,25.47,24.34,24.25,26.56,28.31,27.0,25.38,25.28,25.69,23.19,19.94,18.06,17.62,16.25,13.81,13.34,16.5,19.19,19.47,20.06,22.28,23.91,21.78,18.88,18.12,18.91,17.31,15.41,15.38,17.22,17.31,15.97,16.19,19.0,21.56,21.91,22.0,24.0,26.12,25.25,23.56,24.25,26.72,27.47,26.41,26.62,28.22,28.19,25.56,24.03,25.38,26.78,25.62,24.44,25.25,26.25,24.12,21.03,19.62,20.25,19.81,18.97,20.41,24.5,27.62,27.78,27.25,27.53,27.03,23.0,18.22,16.19,15.41,13.03,9.97,9.44,10.84,11.12,9.28,8.91,11.03,13.03,13.0,13.72,16.91,20.06,19.91,17.72,17.22,17.75,15.66,12.5,10.91,11.88,11.56,9.78,9.38,11.56,13.81,14.44,14.94,18.5,22.91,25.0,25.78,27.78,30.38,29.75,26.81,24.16,23.47,21.94,18.78,16.28,16.81,17.44,14.66,11.41,10.62,10.75,9.47,7.69,8.84,12.34,14.75,15.62,17.06,20.56,22.38,21.06,19.03,18.91,19.25,17.66,15.62,16.56,18.75,18.84,16.69,15.62,16.34,15.62,13.16,11.88,13.75,15.22,14.75,14.66,16.84,19.75,19.75,18.09,17.75,18.47,17.31,14.66,14.16,16.44,17.72,16.5,14.66,15.25,15.0,12.12,8.5,7.84,8.91,8.06,7.0,8.5,12.31,14.66,14.97,16.59,20.31,23.09,23.28,23.34,25.91,28.12,27.75,26.38,26.94,28.03,26.69,23.22,21.44,20.97,19.53,16.38,13.91,14.47,14.69,12.72,10.84,11.53,11.94,10.16,7.34,6.22,6.91,6.59,5.38,6.59,10.91,15.34,18.28,21.81,27.12,31.09,30.72,28.19,26.72,25.25,21.41,16.09,13.22,12.03,9.62,5.94,4.06,5.03,5.94,4.94,4.84,7.62,11.0,12.06,12.28,14.62,17.19,17.69,16.41,16.31,18.31,19.12,18.06,17.56,19.78,21.62,20.78,19.72,21.16,22.62,21.91,19.22,18.09,17.62,15.41,11.38,9.41,9.94,10.41,9.81,10.34,14.5,18.94,21.31,22.78,25.88,28.94,28.88,26.56,25.31,25.59,24.31,20.88,19.28,20.47,20.84,19.09,17.5,18.16,18.69,16.62,13.97,13.62,14.44,13.97,12.19,12.5,14.91,16.5,15.75,15.53,17.75,19.62,18.72,17.25,18.66,20.31,19.53,17.59,17.66,18.44,17.22,13.91,12.22,12.84,13.03,11.12,9.75,10.66,11.16,8.69,6.22,6.75,8.88,10.0,10.56,13.06,16.75,18.69,18.22,18.25,20.84,23.16,23.19,24.16,27.31,29.81,29.06,26.31,24.94,23.84,20.62,15.66,12.56,11.62,9.97,6.94,5.34,6.91,8.81,8.5,9.0,12.06,15.53,16.81,16.41,17.41,19.25,19.34,18.06,19.03,22.66,25.94,26.47,26.56,27.91,27.81,23.91,19.41,17.03,15.5,12.41,8.53,7.25,8.28,8.28,7.41,8.16,11.66,15.06,23.81,23.53,22.53,20.78,19.56,19.56,19.91,18.56,17.47,18.09,19.56,19.47,18.38,18.19,18.47,17.41,14.69,12.84,12.75,12.31,10.84,10.47,11.84,13.22,13.0,12.88,14.75,17.66,19.75,21.22,24.0,27.75,30.5,31.59,32.38,33.94,34.28,31.47,28.62,27.12,26.19,23.5:negativity
15.47,17.53,20.28,23.84,27.59,30.03,31.72,32.44,32.91,31.97,29.31,26.06,23.0,20.03,17.03,14.47,14.12,14.62,15.19,15.91,17.0,18.25,18.88,18.31,17.38,17.12,16.47,15.44,14.34,14.47,14.88,14.84,14.78,16.09,17.38,17.78,17.22,16.69,15.88,15.41,15.0,15.41,17.25,18.84,19.78,20.38,21.44,22.25,21.69,20.12,18.62,17.53,16.44,15.34,15.38,16.5,17.88,18.09,18.28,19.03,19.53,18.84,18.56,18.59,18.84,19.06,18.25,17.66,18.16,18.69,18.66,18.59,19.69,20.06,19.44,18.62,18.5,18.56,17.88,16.94,17.03,17.22,17.75,18.0,18.94,20.38,21.25,20.94,20.09,19.41,18.81,18.03,17.56,18.28,19.84,21.06,21.78,23.03,24.34,25.16,25.03,25.06,25.09,25.31,24.56,24.16,24.5,24.81,24.25,23.53,23.28,23.97,24.0,23.31,22.59,21.94,20.81,18.66,16.88,15.84,15.41,13.94,12.69,13.16,14.03,14.59,15.0,16.53,18.06,18.56,18.22,18.16,18.5,18.75,18.09,17.72,17.88,17.81,16.66,15.22,14.66,14.81,14.53,14.25,15.47,17.5,19.19,19.66,20.03,20.84,21.44,21.44,22.0,23.34,24.91,25.19,24.69,24.47,24.03,23.09,21.47,20.25,19.91,19.62,18.72,17.94,18.03,18.38,18.03,18.19,19.22,20.53,20.84,20.72,20.28,20.41,20.06,19.53,19.72,20.72,21.41,20.84,19.62,18.88,18.16,17.03,15.84,15.38,15.5,15.09,14.44,14.62,16.16,17.88,18.66,19.69,20.91,20.84,19.38,17.56,17.22,17.38,17.19,17.22,17.44,17.53,16.19,14.22,12.62,12.38,12.12,11.62,11.66,12.59,14.0,14.62,15.78,17.41,19.03,19.5,19.94,20.44,21.84,22.72,23.09,23.0,23.0,22.69,21.44,19.66,18.47,17.31,15.22,13.06,12.12,12.94,13.94,14.66,15.84,17.16,17.12,16.22,15.12,15.41,15.88,16.44,17.62,20.19,23.38,25.38,26.97,28.44,29.62,29.38,28.16,26.38,25.03,23.19,20.91,18.47,17.34,16.47,15.19,13.78,13.53,14.19,14.12,14.16,14.81,16.28,17.34,17.66,17.84,19.03,19.5,18.75,18.34,18.72,19.44,19.47,19.34,20.34,21.66,22.62,23.47,24.59,26.06,27.06,27.12,27.31,28.66,29.78,29.84,29.34,29.09,28.69,27.09,24.88,23.34,22.56,21.59,20.5,20.34,21.59,22.75,23.0,23.06,23.78,24.25,23.25,21.84,21.38,20.94,19.91,18.72,18.47,19.22,20.12,20.34,21.41,23.19,24.5,24.53,23.91,23.69,22.84,21.34,19.53,18.81,19.0,18.69,18.44,18.78,19.94,21.06,21.81,22.53,23.84,24.75,23.94,22.84,22.31,22.09,21.31,19.94,19.09,19.03,18.62,17.62,17.0,17.34,16.94,15.5,14.28,14.41,14.91,14.84,15.31,16.84,18.44,20.16,21.28,23.62,25.91,27.44,27.81,27.97,28.34,27.62,25.72,23.5,21.84,20.47,19.5,18.78,19.38,21.06,23.0,24.44,27.0,30.81,34.25,36.81,38.91,41.12,42.22,41.88,40.47,39.03,37.34,34.41,30.47,27.28,24.12,21.44,18.84,17.12,16.97,16.91,16.0,15.28,15.38,15.41,15.59,16.16,18.59,21.78,24.97,27.97,31.38,34.66,36.97,37.69,37.5,37.66,37.47,36.06,34.28,33.31,32.28,31.06,30.34,31.09,32.59,33.66,33.88,33.91,34.22,34.06,32.56,30.94,29.84,28.56,26.69,25.09,24.69,25.0,24.88,24.34,24.38,24.81,24.53,23.19,22.56,22.19,21.97,20.94,20.47,21.41,23.09,24.0,25.16,26.44,27.78,28.03,27.38,27.59,28.59,30.06,30.72,31.5,32.75,33.47,32.22,31.47,31.5,32.12,32.25,32.19,32.97,34.41,35.72,36.41,37.41,38.34,38.72,37.62,35.84,34.53,33.62,31.88,31.06,31.28,31.47,31.44,30.75,30.38,30.59,31.41,31.84,33.09,35.22,37.16,38.56,39.84,41.41,42.91,42.84,42.59,42.44,42.62,42.56,41.62,40.94,40.69,40.03,38.62,37.38,36.62,35.91,34.44,33.22,32.72,33.09,32.94,32.88,33.62,35.0,35.97,36.12,36.72,37.69,38.69,38.38,37.84,37.84,37.34,35.44,33.47,32.28,32.03,32.12,32.66,33.81,35.66,36.53,36.38,36.25,36.78,37.59,37.75,38.28,39.0,40.06,40.78,41.0,41.84,43.44,44.0,43.66,42.91,42.5,41.38,39.62,37.88,37.19,36.66,35.34,34.06,33.53,33.62,33.16,32.34,32.12,32.84,33.41,33.66,34.38,35.75,36.5,36.22,35.56,35.56,35.41,34.41,33.06,32.56,32.69,32.66,32.5,32.31,32.62,32.28,31.22,30.41,30.91,31.03,30.81,30.44,30.88,31.28,31.28,31.19,31.56,32.5,33.16,33.62,33.88,34.94,35.62,35.56,35.56,36.03,36.19,35.31,33.78,32.62,31.69,30.38,28.75,27.16,26.56,26.12,25.62,25.84,27.03,28.0,28.19,28.34,29.06,30.22,30.81,31.41,32.56,33.72,34.53,34.53,34.81,35.72,36.66,36.78,36.69,36.84,36.34,34.56,32.38,31.06,30.34,29.97,29.88,30.94,32.75,33.84,33.84,33.41,33.47,33.41,33.06,33.31,35.03,36.97,38.12,38.69,38.88,38.41,37.31,35.31,34.25,33.91,33.97,33.38,32.88,34.0,34.62,34.47,34.12,34.25,34.88,34.81,34.38,34.62,34.72,34.41,33.44,32.25,32.22,32.78,32.81,33.44,34.91,36.47,37.06,36.66,36.56,36.0,35.28,33.72,32.53,32.06,32.09,31.81,31.97,33.38,35.16,36.03,36.88,38.38,39.81,40.5,40.78,41.5,42.19,42.16,40.88,39.41,38.38,38.03,37.19,37.19,38.69,40.16,40.5,40.34,41.19,42.25,42.59,42.44,42.28,42.59,42.25,41.22,40.75,41.28,41.91,41.34,41.16,41.44,42.09,42.09,41.78,42.28,43.22,43.25,42.25,41.75,41.25,40.56,39.47,38.91,39.06,39.91,40.0,40.25,41.16,42.38,42.88,42.31,42.34,42.25,41.81,41.0,40.72,41.31,42.25,42.59,42.78,43.44,44.78,45.06,45.03,46.12,47.94,49.31,49.84,50.75,51.56,51.59,50.72,49.91,49.94,50.41,49.5,49.19,49.16,49.03,47.72,45.88,44.34,43.25,42.12,40.88,40.84,41.81,43.0,42.62,42.62,43.06,43.16,42.34,41.38,40.91,40.31,39.19,37.78,36.91,37.31,37.81,37.88,38.72,40.56,42.03,42.19,41.84,41.84,41.5,39.91,37.88,36.09,35.22,33.62,32.12,31.31,31.69,32.28,32.22,32.69,34.03,35.75,36.12,36.25,36.81,37.62,37.5,36.62,36.69,37.25,37.53,37.38,37.5,38.12,38.12,37.06,36.16,35.84,35.91,34.75,33.72,33.16,33.03,32.62,32.06,32.06,33.0,33.97,34.22,34.69,36.0,37.25,37.16,36.5,36.09,35.75,34.12,32.69,31.97,32.75,33.53,34.25,35.31,36.94,37.97,37.59,36.69,36.53,36.56,35.75,35.19,35.66,36.25,35.69,34.22,32.75,31.5,30.19,29.0,28.81,30.72,33.0,34.59,35.88,37.25,38.0,37.59,36.94,37.0,37.62,38.16,38.59,39.12,39.75,39.69,38.0,35.88,34.75,34.09,33.12,32.91,34.31,36.44,37.88,39.06,40.47,42.25,42.62,42.12,41.44,40.59,39.72,37.59,35.94,35.53,35.03,33.97,32.41,31.62,30.88,29.53,27.91,26.56,26.44,26.44,26.81,28.34,31.5,34.72,37.03,38.59,40.88,42.59,43.59,43.78,44.56,45.19,45.0,43.75,42.56,41.53,39.78,37.66,35.34,34.41,33.56,32.5,31.75,32.16,33.25,33.41,32.66,32.56,33.25,33.25,33.53,34.66,36.22,37.25,36.94,36.12,35.75,35.41,34.12,32.56,32.38,32.69,32.69,32.53,32.72,33.38,33.66,32.81,31.88,32.03,31.66,30.47,29.06,28.81,28.56,28.06,27.19,27.41,28.59,29.28,29.59,30.44,31.94,32.88,32.69,32.44,33.03,33.25,32.59,31.5,31.06,30.59,29.34,27.66,26.56,26.41,26.03,25.34,25.31,26.34,27.62,27.69,27.81,28.62,29.59,29.78,29.75,30.69,31.69,32.38,31.81,31.78,32.06,32.25,31.28,30.12,30.09,30.34,29.75,29.56,30.97,32.41,33.22,33.38,34.28,35.5,36.16,36.25,36.22,36.44,35.81,34.38,32.94,32.72,32.75,32.06,32.34,33.28,34.56,35.47,35.84,36.47,36.69,37.19,36.56,36.28,36.53,36.72,35.25,33.84,33.5,33.34,32.47,31.88,31.91,31.84,31.22,29.75,29.0,29.0,29.81,29.59,30.09,31.53,33.25,33.81,34.22,34.97,35.44,34.34,32.44,31.19,30.44,29.94,29.03,29.19,29.56,30.31,30.09,30.47,31.81,33.22,33.81,33.84,33.62,33.56,32.53,31.0,29.97,29.34,28.62,27.44,27.38,28.41,29.84,30.22,30.38,30.44,29.59,27.47,25.09,23.78,23.44,23.53,23.97,25.5,27.84,30.69,32.38,34.19,35.97,37.09,36.78,36.03,35.72,35.47,34.06,32.25,30.81,30.03,28.91,27.84,27.59,28.41,28.94,28.72,28.88,29.56,30.12,29.41,28.22,27.44,25.97,24.12,22.19,20.66,20.22,20.44,20.66,21.78,24.53,27.91,30.28,31.88,33.44,34.16,33.53,32.38,32.12,32.5,32.16:32.44,32.91,31.97,29.31,26.06,23.0,20.03,17.03,14.47,14.12,14.62,15.19,15.91,17.0,18.25,18.88,18.31,17.38,17.12,16.47,15.44,14.34,14.47,14.88,14.84,14.78,16.09,17.38,17.78,17.22,16.69,15.88,15.41,15.0,15.41,17.25,18.84,19.78,20.38,21.44,22.25,21.69,20.12,18.62,17.53,16.44,15.34,15.38,16.5,17.88,18.09,18.28,19.03,19.53,18.84,18.56,18.59,18.84,19.06,18.25,17.66,18.16,18.69,18.66,18.59,19.69,20.06,19.44,18.62,18.5,18.56,17.88,16.94,17.03,17.22,17.75,18.0,18.94,20.38,21.25,20.94,20.09,19.41,18.81,18.03,17.56,18.28,19.84,21.06,21.78,23.03,24.34,25.16,25.03,25.06,25.09,25.31,24.56,24.16,24.5,24.81,24.25,23.53,23.28,23.97,24.0,23.31,22.59,21.94,20.81,18.66,16.88,15.84,15.41,13.94,12.69,13.16,14.03,14.59,15.0,16.53,18.06,18.56,18.22,18.16,18.5,18.75,18.09,17.72,17.88,17.81,16.66,15.22,14.66,14.81,14.53,14.25,15.47,17.5,19.19,19.66,20.03,20.84,21.44,21.44,22.0,23.34,24.91,25.19,24.69,24.47,24.03,23.09,21.47,20.25,19.91,19.62,18.72,17.94,18.03,18.38,18.03,18.19,19.22,20.53,20.84,20.72,20.28,20.41,20.06,19.53,19.72,20.72,21.41,20.84,19.62,18.88,18.16,17.03,15.84,15.38,15.5,15.09,14.44,14.62,16.16,17.88,18.66,19.69,20.91,20.84,19.38,17.56,17.22,17.38,17.19,17.22,17.44,17.53,16.19,14.22,12.62,12.38,12.12,11.62,11.66,12.59,14.0,14.62,15.78,17.41,19.03,19.5,19.94,20.44,21.84,22.72,23.09,23.0,23.0,22.69,21.44,19.66,18.47,17.31,15.22,13.06,12.12,12.94,13.94,14.66,15.84,17.16,17.12,16.22,15.12,15.41,15.88,16.44,17.62,20.19,23.38,25.38,26.97,28.44,29.62,29.38,28.16,26.38,25.03,23.19,20.91,18.47,17.34,16.47,15.19,13.78,13.53,14.19,14.12,14.16,14.81,16.28,17.34,17.66,17.84,19.03,19.5,18.75,18.34,18.72,19.44,19.47,19.34,20.34,21.66,22.62,23.47,24.59,26.06,27.06,27.12,27.31,28.66,29.78,29.84,29.34,29.09,28.69,27.09,24.88,23.34,22.56,21.59,20.5,20.34,21.59,22.75,23.0,23.06,23.78,24.25,23.25,21.84,21.38,20.94,19.91,18.72,18.47,19.22,20.12,20.34,21.41,23.19,24.5,24.53,23.91,23.69,22.84,21.34,19.53,18.81,19.0,18.69,18.44,18.78,19.94,21.06,21.81,22.53,23.84,24.75,23.94,22.84,22.31,22.09,21.31,19.94,19.09,19.03,18.62,17.62,17.0,17.34,16.94,15.5,14.28,14.41,14.91,14.84,15.31,16.84,18.44,20.16,21.28,23.62,25.91,27.44,27.81,27.97,28.34,27.62,25.72,23.5,21.84,20.47,19.5,18.78,19.38,21.06,23.0,24.44,27.0,30.81,34.25,36.81,38.91,41.12,42.22,41.88,40.47,39.03,37.34,34.41,30.47,27.28,24.12,21.44,18.84,17.12,16.97,16.91,16.0,15.28,15.38,15.41,15.59,16.16,18.59,21.78,24.97,27.97,31.38,34.66,36.97,37.69,37.5,37.66,37.47,36.06,34.28,33.31,32.28,31.06,30.34,31.09,32.59,33.66,33.88,33.91,34.22,34.06,32.56,30.94,29.84,28.56,26.69,25.09,24.69,25.0,24.88,24.34,24.38,24.81,24.53,23.19,22.56,22.19,21.97,20.94,20.47,21.41,23.09,24.0,25.16,26.44,27.78,28.03,27.38,27.59,28.59,30.06,30.72,31.5,32.75,33.47,32.22,31.47,31.5,32.12,32.25,32.19,32.97,34.41,35.72,36.41,37.41,38.34,38.72,37.62,35.84,34.53,33.62,31.88,31.06,31.28,31.47,31.44,30.75,30.38,30.59,31.41,31.84,33.09,35.22,37.16,38.56,39.84,41.41,42.91,42.84,42.59,42.44,42.62,42.56,41.62,40.94,40.69,40.03,38.62,37.38,36.62,35.91,34.44,33.22,32.72,33.09,32.94,32.88,33.62,35.0,35.97,36.12,36.72,37.69,38.69,38.38,37.84,37.84,37.34,35.44,33.47,32.28,32.03,32.12,32.66,33.81,35.66,36.53,36.38,36.25,36.78,37.59,37.75,38.28,39.0,40.06,40.78,41.0,41.84,43.44,44.0,43.66,42.91,42.5,41.38,39.62,37.88,37.19,36.66,35.34,34.06,33.53,33.62,33.16,32.34,32.12,32.84,33.41,33.66,34.38,35.75,36.5,36.22,35.56,35.56,35.41,34.41,33.06,32.56,32.69,32.66,32.5,32.31,32.62,32.28,31.22,30.41,30.91,31.03,30.81,30.44,30.88,31.28,31.28,31.19,31.56,32.5,33.16,33.62,33.88,34.94,35.62,35.56,35.56,36.03,36.19,35.31,33.78,32.62,31.69,30.38,28.75,27.16,26.56,26.12,25.62,25.84,27.03,28.0,28.19,28.34,29.06,30.22,30.81,31.41,32.56,33.72,34.53,34.53,34.81,35.72,36.66,36.78,36.69,36.84,36.34,34.56,32.38,31.06,30.34,29.97,29.88,30.94,32.75,33.84,33.84,33.41,33.47,33.41,33.06,33.31,35.03,36.97,38.12,38.69,38.88,38.41,37.31,35.31,34.25,33.91,33.97,33.38,32.88,34.0,34.62,34.47,34.12,34.25,34.88,34.81,34.38,34.62,34.72,34.41,33.44,32.25,32.22,32.78,32.81,33.44,34.91,36.47,37.06,36.66,36.56,36.0,35.28,33.72,32.53,32.06,32.09,31.81,31.97,33.38,35.16,36.03,36.88,38.38,39.81,40.5,40.78,41.5,42.19,42.16,40.88,39.41,38.38,38.03,37.19,37.19,38.69,40.16,40.5,40.34,41.19,42.25,42.59,42.44,42.28,42.59,42.25,41.22,40.75,41.28,41.91,41.34,41.16,41.44,42.09,42.09,41.78,42.28,43.22,43.25,42.25,41.75,41.25,40.56,39.47,38.91,39.06,39.91,40.0,40.25,41.16,42.38,42.88,42.31,42.34,42.25,41.81,41.0,40.72,41.31,42.25,42.59,42.78,43.44,44.78,45.06,45.03,46.12,47.94,49.31,49.84,50.75,51.56,51.59,50.72,49.91,49.94,50.41,49.5,49.19,49.16,49.03,47.72,45.88,44.34,43.25,42.12,40.88,40.84,41.81,43.0,42.62,42.62,43.06,43.16,42.34,41.38,40.91,40.31,39.19,37.78,36.91,37.31,37.81,37.88,38.72,40.56,42.03,42.19,41.84,41.84,41.5,39.91,37.88,36.09,35.22,33.62,32.12,31.31,31.69,32.28,32.22,32.69,34.03,35.75,36.12,36.25,36.81,37.62,37.5,36.62,36.69,37.25,37.53,37.38,37.5,38.12,38.12,37.06,36.16,35.84,35.91,34.75,33.72,33.16,33.03,32.62,32.06,32.06,33.0,33.97,34.22,34.69,36.0,37.25,37.16,36.5,36.09,35.75,34.12,32.69,31.97,32.75,33.53,34.25,35.31,36.94,37.97,37.59,36.69,36.53,36.56,35.75,35.19,35.66,36.25,35.69,34.22,32.75,31.5,30.19,29.0,28.81,30.72,33.0,34.59,35.88,37.25,38.0,37.59,36.94,37.0,37.62,38.16,38.59,39.12,39.75,39.69,38.0,35.88,34.75,34.09,33.12,32.91,34.31,36.44,37.88,39.06,40.47,42.25,42.62,42.12,41.44,40.59,39.72,37.59,35.94,35.53,35.03,33.97,32.41,31.62,30.88,29.53,27.91,26.56,26.44,26.44,26.81,28.34,31.5,34.72,37.03,38.59,40.88,42.59,43.59,43.78,44.56,45.19,45.0,43.75,42.56,41.53,39.78,37.66,35.34,34.41,33.56,32.5,31.75,32.16,33.25,33.41,32.66,32.56,33.25,33.25,33.53,34.66,36.22,37.25,36.94,36.12,35.75,35.41,34.12,32.56,32.38,32.69,32.69,32.53,32.72,33.38,33.66,32.81,31.88,32.03,31.66,30.47,29.06,28.81,28.56,28.06,27.19,27.41,28.59,29.28,29.59,30.44,31.94,32.88,32.69,32.44,33.03,33.25,32.59,31.5,31.06,30.59,29.34,27.66,26.56,26.41,26.03,25.34,25.31,26.34,27.62,27.69,27.81,28.62,29.59,29.78,29.75,30.69,31.69,32.38,31.81,31.78,32.06,32.25,31.28,30.12,30.09,30.34,29.75,29.56,30.97,32.41,33.22,33.38,34.28,35.5,36.16,36.25,36.22,36.44,35.81,34.38,32.94,32.72,32.75,32.06,32.34,33.28,34.56,35.47,35.84,36.47,36.69,37.19,36.56,36.28,36.53,36.72,35.25,33.84,33.5,33.34,32.47,31.88,31.91,31.84,31.22,29.75,29.0,29.0,29.81,29.59,30.09,31.53,33.25,33.81,34.22,34.97,35.44,34.34,32.44,31.19,30.44,29.94,29.03,29.19,29.56,30.31,30.09,30.47,31.81,33.22,33.81,33.84,33.62,33.56,32.53,31.0,29.97,29.34,28.62,27.44,27.38,28.41,29.84,30.22,30.38,30.44,29.59,27.47,25.09,23.78,23.44,23.53,23.97,25.5,27.84,30.69,32.38,34.19,35.97,37.09,36.78,36.03,35.72,35.47,34.06,32.25,30.81,30.03,28.91,27.84,27.59,28.41,28.94,28.72,28.88,29.56,30.12,29.41,28.22,27.44,25.97,24.12,22.19,20.66,20.22,20.44,20.66,21.78,24.53,27.91,30.28,31.88,33.44,34.16,33.53,32.38,32.12,32.5,32.16,56.28,57.34,58.62,59.88,61.47,63.19,64.66:17.03,14.47,14.12,14.62,15.19,15.91,17.0,18.25,18.88,18.31,17.38,17.12,16.47,15.44,14.34,14.47,14.88,14.84,14.78,16.09,17.38,17.78,17.22,16.69,15.88,15.41,15.0,15.41,17.25,18.84,19.78,20.38,21.44,22.25,21.69,20.12,18.62,17.53,16.44,15.34,15.38,16.5,17.88,18.09,18.28,19.03,19.53,18.84,18.56,18.59,18.84,19.06,18.25,17.66,18.16,18.69,18.66,18.59,19.69,20.06,19.44,18.62,18.5,18.56,17.88,16.94,17.03,17.22,17.75,18.0,18.94,20.38,21.25,20.94,20.09,19.41,18.81,18.03,17.56,18.28,19.84,21.06,21.78,23.03,24.34,25.16,25.03,25.06,25.09,25.31,24.56,24.16,24.5,24.81,24.25,23.53,23.28,23.97,24.0,23.31,22.59,21.94,20.81,18.66,16.88,15.84,15.41,13.94,12.69,13.16,14.03,14.59,15.0,16.53,18.06,18.56,18.22,18.16,18.5,18.75,18.09,17.72,17.88,17.81,16.66,15.22,14.66,14.81,14.53,14.25,15.47,17.5,19.19,19.66,20.03,20.84,21.44,21.44,22.0,23.34,24.91,25.19,24.69,24.47,24.03,23.09,21.47,20.25,19.91,19.62,18.72,17.94,18.03,18.38,18.03,18.19,19.22,20.53,20.84,20.72,20.28,20.41,20.06,19.53,19.72,20.72,21.41,20.84,19.62,18.88,18.16,17.03,15.84,15.38,15.5,15.09,14.44,14.62,16.16,17.88,18.66,19.69,20.91,20.84,19.38,17.56,17.22,17.38,17.19,17.22,17.44,17.53,16.19,14.22,12.62,12.38,12.12,11.62,11.66,12.59,14.0,14.62,15.78,17.41,19.03,19.5,19.94,20.44,21.84,22.72,23.09,23.0,23.0,22.69,21.44,19.66,18.47,17.31,15.22,13.06,12.12,12.94,13.94,14.66,15.84,17.16,17.12,16.22,15.12,15.41,15.88,16.44,17.62,20.19,23.38,25.38,26.97,28.44,29.62,29.38,28.16,26.38,25.03,23.19,20.91,18.47,17.34,16.47,15.19,13.78,13.53,14.19,14.12,14.16,14.81,16.28,17.34,17.66,17.84,19.03,19.5,18.75,18.34,18.72,19.44,19.47,19.34,20.34,21.66,22.62,23.47,24.59,26.06,27.06,27.12,27.31,28.66,29.78,29.84,29.34,29.09,28.69,27.09,24.88,23.34,22.56,21.59,20.5,20.34,21.59,22.75,23.0,23.06,23.78,24.25,23.25,21.84,21.38,20.94,19.91,18.72,18.47,19.22,20.12,20.34,21.41,23.19,24.5,24.53,23.91,23.69,22.84,21.34,19.53,18.81,19.0,18.69,18.44,18.78,19.94,21.06,21.81,22.53,23.84,24.75,23.94,22.84,22.31,22.09,21.31,19.94,19.09,19.03,18.62,17.62,17.0,17.34,16.94,15.5,14.28,14.41,14.91,14.84,15.31,16.84,18.44,20.16,21.28,23.62,25.91,27.44,27.81,27.97,28.34,27.62,25.72,23.5,21.84,20.47,19.5,18.78,19.38,21.06,23.0,24.44,27.0,30.81,34.25,36.81,38.91,41.12,42.22,41.88,40.47,39.03,37.34,34.41,30.47,27.28,24.12,21.44,18.84,17.12,16.97,16.91,16.0,15.28,15.38,15.41,15.59,16.16,18.59,21.78,24.97,27.97,31.38,34.66,36.97,37.69,37.5,37.66,37.47,36.06,34.28,33.31,32.28,31.06,30.34,31.09,32.59,33.66,33.88,33.91,34.22,34.06,32.56,30.94,29.84,28.56,26.69,25.09,24.69,25.0,24.88,24.34,24.38,24.81,24.53,23.19,22.56,22.19,21.97,20.94,20.47,21.41,23.09,24.0,25.16,26.44,27.78,28.03,27.38,27.59,28.59,30.06,30.72,31.5,32.75,33.47,32.22,31.47,31.5,32.12,32.25,32.19,32.97,34.41,35.72,36.41,37.41,38.34,38.72,37.62,35.84,34.53,33.62,31.88,31.06,31.28,31.47,31.44,30.75,30.38,30.59,31.41,31.84,33.09,35.22,37.16,38.56,39.84,41.41,42.91,42.84,42.59,42.44,42.62,42.56,41.62,40.94,40.69,40.03,38.62,37.38,36.62,35.91,34.44,33.22,32.72,33.09,32.94,32.88,33.62,35.0,35.97,36.12,36.72,37.69,38.69,38.38,37.84,37.84,37.34,35.44,33.47,32.28,32.03,32.12,32.66,33.81,35.66,36.53,36.38,36.25,36.78,37.59,37.75,38.28,39.0,40.06,40.78,41.0,41.84,43.44,44.0,43.66,42.91,42.5,41.38,39.62,37.88,37.19,36.66,35.34,34.06,33.53,33.62,33.16,32.34,32.12,32.84,33.41,33.66,34.38,35.75,36.5,36.22,35.56,35.56,35.41,34.41,33.06,32.56,32.69,32.66,32.5,32.31,32.62,32.28,31.22,30.41,30.91,31.03,30.81,30.44,30.88,31.28,31.28,31.19,31.56,32.5,33.16,33.62,33.88,34.94,35.62,35.56,35.56,36.03,36.19,35.31,33.78,32.62,31.69,30.38,28.75,27.16,26.56,26.12,25.62,25.84,27.03,28.0,28.19,28.34,29.06,30.22,30.81,31.41,32.56,33.72,34.53,34.53,34.81,35.72,36.66,36.78,36.69,36.84,36.34,34.56,32.38,31.06,30.34,29.97,29.88,30.94,32.75,33.84,33.84,33.41,33.47,33.41,33.06,33.31,35.03,36.97,38.12,38.69,38.88,38.41,37.31,35.31,34.25,33.91,33.97,33.38,32.88,34.0,34.62,34.47,34.12,34.25,34.88,34.81,34.38,34.62,34.72,34.41,33.44,32.25,32.22,32.78,32.81,33.44,34.91,36.47,37.06,36.66,36.56,36.0,35.28,33.72,32.53,32.06,32.09,31.81,31.97,33.38,35.16,36.03,36.88,38.38,39.81,40.5,40.78,41.5,42.19,42.16,40.88,39.41,38.38,38.03,37.19,37.19,38.69,40.16,40.5,40.34,41.19,42.25,42.59,42.44,42.28,42.59,42.25,41.22,40.75,41.28,41.91,41.34,41.16,41.44,42.09,42.09,41.78,42.28,43.22,43.25,42.25,41.75,41.25,40.56,39.47,38.91,39.06,39.91,40.0,40.25,41.16,42.38,42.88,42.31,42.34,42.25,41.81,41.0,40.72,41.31,42.25,42.59,42.78,43.44,44.78,45.06,45.03,46.12,47.94,49.31,49.84,50.75,51.56,51.59,50.72,49.91,49.94,50.41,49.5,49.19,49.16,49.03,47.72,45.88,44.34,43.25,42.12,40.88,40.84,41.81,43.0,42.62,42.62,43.06,43.16,42.34,41.38,40.91,40.31,39.19,37.78,36.91,37.31,37.81,37.88,38.72,40.56,42.03,42.19,41.84,41.84,41.5,39.91,37.88,36.09,35.22,33.62,32.12,31.31,31.69,32.28,32.22,32.69,34.03,35.75,36.12,36.25,36.81,37.62,37.5,36.62,36.69,37.25,37.53,37.38,37.5,38.12,38.12,37.06,36.16,35.84,35.91,34.75,33.72,33.16,33.03,32.62,32.06,32.06,33.0,33.97,34.22,34.69,36.0,37.25,37.16,36.5,36.09,35.75,34.12,32.69,31.97,32.75,33.53,34.25,35.31,36.94,37.97,37.59,36.69,36.53,36.56,35.75,35.19,35.66,36.25,35.69,34.22,32.75,31.5,30.19,29.0,28.81,30.72,33.0,34.59,35.88,37.25,38.0,37.59,36.94,37.0,37.62,38.16,38.59,39.12,39.75,39.69,38.0,35.88,34.75,34.09,33.12,32.91,34.31,36.44,37.88,39.06,40.47,42.25,42.62,42.12,41.44,40.59,39.72,37.59,35.94,35.53,35.03,33.97,32.41,31.62,30.88,29.53,27.91,26.56,26.44,26.44,26.81,28.34,31.5,34.72,37.03,38.59,40.88,42.59,43.59,43.78,44.56,45.19,45.0,43.75,42.56,41.53,39.78,37.66,35.34,34.41,33.56,32.5,31.75,32.16,33.25,33.41,32.66,32.56,33.25,33.25,33.53,34.66,36.22,37.25,36.94,36.12,35.75,35.41,34.12,32.56,32.38,32.69,32.69,32.53,32.72,33.38,33.66,32.81,31.88,32.03,31.66,30.47,29.06,28.81,28.56,28.06,27.19,27.41,28.59,29.28,29.59,30.44,31.94,32.88,32.69,32.44,33.03,33.25,32.59,31.5,31.06,30.59,29.34,27.66,26.56,26.41,26.03,25.34,25.31,26.34,27.62,27.69,27.81,28.62,29.59,29.78,29.75,30.69,31.69,32.38,31.81,31.78,32.06,32.25,31.28,30.12,30.09,30.34,29.75,29.56,30.97,32.41,33.22,33.38,34.28,35.5,36.16,36.25,36.22,36.44,35.81,34.38,32.94,32.72,32.75,32.06,32.34,33.28,34.56,35.47,35.84,36.47,36.69,37.19,36.56,36.28,36.53,36.72,35.25,33.84,33.5,33.34,32.47,31.88,31.91,31.84,31.22,29.75,29.0,29.0,29.81,29.59,30.09,31.53,33.25,33.81,34.22,34.97,35.44,34.34,32.44,31.19,30.44,29.94,29.03,29.19,29.56,30.31,30.09,30.47,31.81,33.22,33.81,33.84,33.62,33.56,32.53,31.0,29.97,29.34,28.62,27.44,27.38,28.41,29.84,30.22,30.38,30.44,29.59,27.47,25.09,23.78,23.44,23.53,23.97,25.5,27.84,30.69,32.38,34.19,35.97,37.09,36.78,36.03,35.72,35.47,34.06,32.25,30.81,30.03,28.91,27.84,27.59,28.41,28.94,28.72,28.88,29.56,30.12,29.41,28.22,27.44,25.97,24.12,22.19,20.66,20.22,20.44,20.66,21.78,24.53,27.91,30.28,31.88,33.44,34.16,33.53,32.38,32.12,32.5,32.16,56.28,57.34,58.62,59.88,61.47,63.19,64.66,65.88,66.78,67.16,66.66,64.88,62.66,60.5:18.25,18.88,18.31,17.38,17.12,16.47,15.44,14.34,14.47,14.88,14.84,14.78,16.09,17.38,17.78,17.22,16.69,15.88,15.41,15.0,15.41,17.25,18.84,19.78,20.38,21.44,22.25,21.69,20.12,18.62,17.53,16.44,15.34,15.38,16.5,17.88,18.09,18.28,19.03,19.53,18.84,18.56,18.59,18.84,19.06,18.25,17.66,18.16,18.69,18.66,18.59,19.69,20.06,19.44,18.62,18.5,18.56,17.88,16.94,17.03,17.22,17.75,18.0,18.94,20.38,21.25,20.94,20.09,19.41,18.81,18.03,17.56,18.28,19.84,21.06,21.78,23.03,24.34,25.16,25.03,25.06,25.09,25.31,24.56,24.16,24.5,24.81,24.25,23.53,23.28,23.97,24.0,23.31,22.59,21.94,20.81,18.66,16.88,15.84,15.41,13.94,12.69,13.16,14.03,14.59,15.0,16.53,18.06,18.56,18.22,18.16,18.5,18.75,18.09,17.72,17.88,17.81,16.66,15.22,14.66,14.81,14.53,14.25,15.47,17.5,19.19,19.66,20.03,20.84,21.44,21.44,22.0,23.34,24.91,25.19,24.69,24.47,24.03,23.09,21.47,20.25,19.91,19.62,18.72,17.94,18.03,18.38,18.03,18.19,19.22,20.53,20.84,20.72,20.28,20.41,20.06,19.53,19.72,20.72,21.41,20.84,19.62,18.88,18.16,17.03,15.84,15.38,15.5,15.09,14.44,14.62,16.16,17.88,18.66,19.69,20.91,20.84,19.38,17.56,17.22,17.38,17.19,17.22,17.44,17.53,16.19,14.22,12.62,12.38,12.12,11.62,11.66,12.59,14.0,14.62,15.78,17.41,19.03,19.5,19.94,20.44,21.84,22.72,23.09,23.0,23.0,22.69,21.44,19.66,18.47,17.31,15.22,13.06,12.12,12.94,13.94,14.66,15.84,17.16,17.12,16.22,15.12,15.41,15.88,16.44,17.62,20.19,23.38,25.38,26.97,28.44,29.62,29.38,28.16,26.38,25.03,23.19,20.91,18.47,17.34,16.47,15.19,13.78,13.53,14.19,14.12,14.16,14.81,16.28,17.34,17.66,17.84,19.03,19.5,18.75,18.34,18.72,19.44,19.47,19.34,20.34,21.66,22.62,23.47,24.59,26.06,27.06,27.12,27.31,28.66,29.78,29.84,29.34,29.09,28.69,27.09,24.88,23.34,22.56,21.59,20.5,20.34,21.59,22.75,23.0,23.06,23.78,24.25,23.25,21.84,21.38,20.94,19.91,18.72,18.47,19.22,20.12,20.34,21.41,23.19,24.5,24.53,23.91,23.69,22.84,21.34,19.53,18.81,19.0,18.69,18.44,18.78,19.94,21.06,21.81,22.53,23.84,24.75,23.94,22.84,22.31,22.09,21.31,19.94,19.09,19.03,18.62,17.62,17.0,17.34,16.94,15.5,14.28,14.41,14.91,14.84,15.31,16.84,18.44,20.16,21.28,23.62,25.91,27.44,27.81,27.97,28.34,27.62,25.72,23.5,21.84,20.47,19.5,18.78,19.38,21.06,23.0,24.44,27.0,30.81,34.25,36.81,38.91,41.12,42.22,41.88,40.47,39.03,37.34,34.41,30.47,27.28,24.12,21.44,18.84,17.12,16.97,16.91,16.0,15.28,15.38,15.41,15.59,16.16,18.59,21.78,24.97,27.97,31.38,34.66,36.97,37.69,37.5,37.66,37.47,36.06,34.28,33.31,32.28,31.06,30.34,31.09,32.59,33.66,33.88,33.91,34.22,34.06,32.56,30.94,29.84,28.56,26.69,25.09,24.69,25.0,24.88,24.34,24.38,24.81,24.53,23.19,22.56,22.19,21.97,20.94,20.47,21.41,23.09,24.0,25.16,26.44,27.78,28.03,27.38,27.59,28.59,30.06,30.72,31.5,32.75,33.47,32.22,31.47,31.5,32.12,32.25,32.19,32.97,34.41,35.72,36.41,37.41,38.34,38.72,37.62,35.84,34.53,33.62,31.88,31.06,31.28,31.47,31.44,30.75,30.38,30.59,31.41,31.84,33.09,35.22,37.16,38.56,39.84,41.41,42.91,42.84,42.59,42.44,42.62,42.56,41.62,40.94,40.69,40.03,38.62,37.38,36.62,35.91,34.44,33.22,32.72,33.09,32.94,32.88,33.62,35.0,35.97,36.12,36.72,37.69,38.69,38.38,37.84,37.84,37.34,35.44,33.47,32.28,32.03,32.12,32.66,33.81,35.66,36.53,36.38,36.25,36.78,37.59,37.75,38.28,39.0,40.06,40.78,41.0,41.84,43.44,44.0,43.66,42.91,42.5,41.38,39.62,37.88,37.19,36.66,35.34,34.06,33.53,33.62,33.16,32.34,32.12,32.84,33.41,33.66,34.38,35.75,36.5,36.22,35.56,35.56,35.41,34.41,33.06,32.56,32.69,32.66,32.5,32.31,32.62,32.28,31.22,30.41,30.91,31.03,30.81,30.44,30.88,31.28,31.28,31.19,31.56,32.5,33.16,33.62,33.88,34.94,35.62,35.56,35.56,36.03,36.19,35.31,33.78,32.62,31.69,30.38,28.75,27.16,26.56,26.12,25.62,25.84,27.03,28.0,28.19,28.34,29.06,30.22,30.81,31.41,32.56,33.72,34.53,34.53,34.81,35.72,36.66,36.78,36.69,36.84,36.34,34.56,32.38,31.06,30.34,29.97,29.88,30.94,32.75,33.84,33.84,33.41,33.47,33.41,33.06,33.31,35.03,36.97,38.12,38.69,38.88,38.41,37.31,35.31,34.25,33.91,33.97,33.38,32.88,34.0,34.62,34.47,34.12,34.25,34.88,34.81,34.38,34.62,34.72,34.41,33.44,32.25,32.22,32.78,32.81,33.44,34.91,36.47,37.06,36.66,36.56,36.0,35.28,33.72,32.53,32.06,32.09,31.81,31.97,33.38,35.16,36.03,36.88,38.38,39.81,40.5,40.78,41.5,42.19,42.16,40.88,39.41,38.38,38.03,37.19,37.19,38.69,40.16,40.5,40.34,41.19,42.25,42.59,42.44,42.28,42.59,42.25,41.22,40.75,41.28,41.91,41.34,41.16,41.44,42.09,42.09,41.78,42.28,43.22,43.25,42.25,41.75,41.25,40.56,39.47,38.91,39.06,39.91,40.0,40.25,41.16,42.38,42.88,42.31,42.34,42.25,41.81,41.0,40.72,41.31,42.25,42.59,42.78,43.44,44.78,45.06,45.03,46.12,47.94,49.31,49.84,50.75,51.56,51.59,50.72,49.91,49.94,50.41,49.5,49.19,49.16,49.03,47.72,45.88,44.34,43.25,42.12,40.88,40.84,41.81,43.0,42.62,42.62,43.06,43.16,42.34,41.38,40.91,40.31,39.19,37.78,36.91,37.31,37.81,37.88,38.72,40.56,42.03,42.19,41.84,41.84,41.5,39.91,37.88,36.09,35.22,33.62,32.12,31.31,31.69,32.28,32.22,32.69,34.03,35.75,36.12,36.25,36.81,37.62,37.5,36.62,36.69,37.25,37.53,37.38,37.5,38.12,38.12,37.06,36.16,35.84,35.91,34.75,33.72,33.16,33.03,32.62,32.06,32.06,33.0,33.97,34.22,34.69,36.0,37.25,37.16,36.5,36.09,35.75,34.12,32.69,31.97,32.75,33.53,34.25,35.31,36.94,37.97,37.59,36.69,36.53,36.56,35.75,35.19,35.66,36.25,35.69,34.22,32.75,31.5,30.19,29.0,28.81,30.72,33.0,34.59,35.88,37.25,38.0,37.59,36.94,37.0,37.62,38.16,38.59,39.12,39.75,39.69,38.0,35.88,34.75,34.09,33.12,32.91,34.31,36.44,37.88,39.06,40.47,42.25,42.62,42.12,41.44,40.59,39.72,37.59,35.94,35.53,35.03,33.97,32.41,31.62,30.88,29.53,27.91,26.56,26.44,26.44,26.81,28.34,31.5,34.72,37.03,38.59,40.88,42.59,43.59,43.78,44.56,45.19,45.0,43.75,42.56,41.53,39.78,37.66,35.34,34.41,33.56,32.5,31.75,32.16,33.25,33.41,32.66,32.56,33.25,33.25,33.53,34.66,36.22,37.25,36.94,36.12,35.75,35.41,34.12,32.56,32.38,32.69,32.69,32.53,32.72,33.38,33.66,32.81,31.88,32.03,31.66,30.47,29.06,28.81,28.56,28.06,27.19,27.41,28.59,29.28,29.59,30.44,31.94,32.88,32.69,32.44,33.03,33.25,32.59,31.5,31.06,30.59,29.34,27.66,26.56,26.41,26.03,25.34,25.31,26.34,27.62,27.69,27.81,28.62,29.59,29.78,29.75,30.69,31.69,32.38,31.81,31.78,32.06,32.25,31.28,30.12,30.09,30.34,29.75,29.56,30.97,32.41,33.22,33.38,34.28,35.5,36.16,36.25,36.22,36.44,35.81,34.38,32.94,32.72,32.75,32.06,32.34,33.28,34.56,35.47,35.84,36.47,36.69,37.19,36.56,36.28,36.53,36.72,35.25,33.84,33.5,33.34,32.47,31.88,31.91,31.84,31.22,29.75,29.0,29.0,29.81,29.59,30.09,31.53,33.25,33.81,34.22,34.97,35.44,34.34,32.44,31.19,30.44,29.94,29.03,29.19,29.56,30.31,30.09,30.47,31.81,33.22,33.81,33.84,33.62,33.56,32.53,31.0,29.97,29.34,28.62,27.44,27.38,28.41,29.84,30.22,30.38,30.44,29.59,27.47,25.09,23.78,23.44,23.53,23.97,25.5,27.84,30.69,32.38,34.19,35.97,37.09,36.78,36.03,35.72,35.47,34.06,32.25,30.81,30.03,28.91,27.84,27.59,28.41,28.94,28.72,28.88,29.56,30.12,29.41,28.22,27.44,25.97,24.12,22.19,20.66,20.22,20.44,20.66,21.78,24.53,27.91,30.28,31.88,33.44,34.16,33.53,32.38,32.12,32.5,32.16,56.28,57.34,58.62,59.88,61.47,63.19,64.66,65.88,66.78,67.16,66.66,64.88,62.66,60.5,58.94,57.75,57.5,58.03,58.94,60.06,61.38:14.34,14.47,14.88,14.84,14.78,16.09,17.38,17.78,17.22,16.69,15.88,15.41,15.0,15.41,17.25,18.84,19.78,20.38,21.44,22.25,21.69,20.12,18.62,17.53,16.44,15.34,15.38,16.5,17.88,18.09,18.28,19.03,19.53,18.84,18.56,18.59,18.84,19.06,18.25,17.66,18.16,18.69,18.66,18.59,19.69,20.06,19.44,18.62,18.5,18.56,17.88,16.94,17.03,17.22,17.75,18.0,18.94,20.38,21.25,20.94,20.09,19.41,18.81,18.03,17.56,18.28,19.84,21.06,21.78,23.03,24.34,25.16,25.03,25.06,25.09,25.31,24.56,24.16,24.5,24.81,24.25,23.53,23.28,23.97,24.0,23.31,22.59,21.94,20.81,18.66,16.88,15.84,15.41,13.94,12.69,13.16,14.03,14.59,15.0,16.53,18.06,18.56,18.22,18.16,18.5,18.75,18.09,17.72,17.88,17.81,16.66,15.22,14.66,14.81,14.53,14.25,15.47,17.5,19.19,19.66,20.03,20.84,21.44,21.44,22.0,23.34,24.91,25.19,24.69,24.47,24.03,23.09,21.47,20.25,19.91,19.62,18.72,17.94,18.03,18.38,18.03,18.19,19.22,20.53,20.84,20.72,20.28,20.41,20.06,19.53,19.72,20.72,21.41,20.84,19.62,18.88,18.16,17.03,15.84,15.38,15.5,15.09,14.44,14.62,16.16,17.88,18.66,19.69,20.91,20.84,19.38,17.56,17.22,17.38,17.19,17.22,17.44,17.53,16.19,14.22,12.62,12.38,12.12,11.62,11.66,12.59,14.0,14.62,15.78,17.41,19.03,19.5,19.94,20.44,21.84,22.72,23.09,23.0,23.0,22.69,21.44,19.66,18.47,17.31,15.22,13.06,12.12,12.94,13.94,14.66,15.84,17.16,17.12,16.22,15.12,15.41,15.88,16.44,17.62,20.19,23.38,25.38,26.97,28.44,29.62,29.38,28.16,26.38,25.03,23.19,20.91,18.47,17.34,16.47,15.19,13.78,13.53,14.19,14.12,14.16,14.81,16.28,17.34,17.66,17.84,19.03,19.5,18.75,18.34,18.72,19.44,19.47,19.34,20.34,21.66,22.62,23.47,24.59,26.06,27.06,27.12,27.31,28.66,29.78,29.84,29.34,29.09,28.69,27.09,24.88,23.34,22.56,21.59,20.5,20.34,21.59,22.75,23.0,23.06,23.78,24.25,23.25,21.84,21.38,20.94,19.91,18.72,18.47,19.22,20.12,20.34,21.41,23.19,24.5,24.53,23.91,23.69,22.84,21.34,19.53,18.81,19.0,18.69,18.44,18.78,19.94,21.06,21.81,22.53,23.84,24.75,23.94,22.84,22.31,22.09,21.31,19.94,19.09,19.03,18.62,17.62,17.0,17.34,16.94,15.5,14.28,14.41,14.91,14.84,15.31,16.84,18.44,20.16,21.28,23.62,25.91,27.44,27.81,27.97,28.34,27.62,25.72,23.5,21.84,20.47,19.5,18.78,19.38,21.06,23.0,24.44,27.0,30.81,34.25,36.81,38.91,41.12,42.22,41.88,40.47,39.03,37.34,34.41,30.47,27.28,24.12,21.44,18.84,17.12,16.97,16.91,16.0,15.28,15.38,15.41,15.59,16.16,18.59,21.78,24.97,27.97,31.38,34.66,36.97,37.69,37.5,37.66,37.47,36.06,34.28,33.31,32.28,31.06,30.34,31.09,32.59,33.66,33.88,33.91,34.22,34.06,32.56,30.94,29.84,28.56,26.69,25.09,24.69,25.0,24.88,24.34,24.38,24.81,24.53,23.19,22.56,22.19,21.97,20.94,20.47,21.41,23.09,24.0,25.16,26.44,27.78,28.03,27.38,27.59,28.59,30.06,30.72,31.5,32.75,33.47,32.22,31.47,31.5,32.12,32.25,32.19,32.97,34.41,35.72,36.41,37.41,38.34,38.72,37.62,35.84,34.53,33.62,31.88,31.06,31.28,31.47,31.44,30.75,30.38,30.59,31.41,31.84,33.09,35.22,37.16,38.56,39.84,41.41,42.91,42.84,42.59,42.44,42.62,42.56,41.62,40.94,40.69,40.03,38.62,37.38,36.62,35.91,34.44,33.22,32.72,33.09,32.94,32.88,33.62,35.0,35.97,36.12,36.72,37.69,38.69,38.38,37.84,37.84,37.34,35.44,33.47,32.28,32.03,32.12,32.66,33.81,35.66,36.53,36.38,36.25,36.78,37.59,37.75,38.28,39.0,40.06,40.78,41.0,41.84,43.44,44.0,43.66,42.91,42.5,41.38,39.62,37.88,37.19,36.66,35.34,34.06,33.53,33.62,33.16,32.34,32.12,32.84,33.41,33.66,34.38,35.75,36.5,36.22,35.56,35.56,35.41,34.41,33.06,32.56,32.69,32.66,32.5,32.31,32.62,32.28,31.22,30.41,30.91,31.03,30.81,30.44,30.88,31.28,31.28,31.19,31.56,32.5,33.16,33.62,33.88,34.94,35.62,35.56,35.56,36.03,36.19,35.31,33.78,32.62,31.69,30.38,28.75,27.16,26.56,26.12,25.62,25.84,27.03,28.0,28.19,28.34,29.06,30.22,30.81,31.41,32.56,33.72,34.53,34.53,34.81,35.72,36.66,36.78,36.69,36.84,36.34,34.56,32.38,31.06,30.34,29.97,29.88,30.94,32.75,33.84,33.84,33.41,33.47,33.41,33.06,33.31,35.03,36.97,38.12,38.69,38.88,38.41,37.31,35.31,34.25,33.91,33.97,33.38,32.88,34.0,34.62,34.47,34.12,34.25,34.88,34.81,34.38,34.62,34.72,34.41,33.44,32.25,32.22,32.78,32.81,33.44,34.91,36.47,37.06,36.66,36.56,36.0,35.28,33.72,32.53,32.06,32.09,31.81,31.97,33.38,35.16,36.03,36.88,38.38,39.81,40.5,40.78,41.5,42.19,42.16,40.88,39.41,38.38,38.03,37.19,37.19,38.69,40.16,40.5,40.34,41.19,42.25,42.59,42.44,42.28,42.59,42.25,41.22,40.75,41.28,41.91,41.34,41.16,41.44,42.09,42.09,41.78,42.28,43.22,43.25,42.25,41.75,41.25,40.56,39.47,38.91,39.06,39.91,40.0,40.25,41.16,42.38,42.88,42.31,42.34,42.25,41.81,41.0,40.72,41.31,42.25,42.59,42.78,43.44,44.78,45.06,45.03,46.12,47.94,49.31,49.84,50.75,51.56,51.59,50.72,49.91,49.94,50.41,49.5,49.19,49.16,49.03,47.72,45.88,44.34,43.25,42.12,40.88,40.84,41.81,43.0,42.62,42.62,43.06,43.16,42.34,41.38,40.91,40.31,39.19,37.78,36.91,37.31,37.81,37.88,38.72,40.56,42.03,42.19,41.84,41.84,41.5,39.91,37.88,36.09,35.22,33.62,32.12,31.31,31.69,32.28,32.22,32.69,34.03,35.75,36.12,36.25,36.81,37.62,37.5,36.62,36.69,37.25,37.53,37.38,37.5,38.12,38.12,37.06,36.16,35.84,35.91,34.75,33.72,33.16,33.03,32.62,32.06,32.06,33.0,33.97,34.22,34.69,36.0,37.25,37.16,36.5,36.09,35.75,34.12,32.69,31.97,32.75,33.53,34.25,35.31,36.94,37.97,37.59,36.69,36.53,36.56,35.75,35.19,35.66,36.25,35.69,34.22,32.75,31.5,30.19,29.0,28.81,30.72,33.0,34.59,35.88,37.25,38.0,37.59,36.94,37.0,37.62,38.16,38.59,39.12,39.75,39.69,38.0,35.88,34.75,34.09,33.12,32.91,34.31,36.44,37.88,39.06,40.47,42.25,42.62,42.12,41.44,40.59,39.72,37.59,35.94,35.53,35.03,33.97,32.41,31.62,30.88,29.53,27.91,26.56,26.44,26.44,26.81,28.34,31.5,34.72,37.03,38.59,40.88,42.59,43.59,43.78,44.56,45.19,45.0,43.75,42.56,41.53,39.78,37.66,35.34,34.41,33.56,32.5,31.75,32.16,33.25,33.41,32.66,32.56,33.25,33.25,33.53,34.66,36.22,37.25,36.94,36.12,35.75,35.41,34.12,32.56,32.38,32.69,32.69,32.53,32.72,33.38,33.66,32.81,31.88,32.03,31.66,30.47,29.06,28.81,28.56,28.06,27.19,27.41,28.59,29.28,29.59,30.44,31.94,32.88,32.69,32.44,33.03,33.25,32.59,31.5,31.06,30.59,29.34,27.66,26.56,26.41,26.03,25.34,25.31,26.34,27.62,27.69,27.81,28.62,29.59,29.78,29.75,30.69,31.69,32.38,31.81,31.78,32.06,32.25,31.28,30.12,30.09,30.34,29.75,29.56,30.97,32.41,33.22,33.38,34.28,35.5,36.16,36.25,36.22,36.44,35.81,34.38,32.94,32.72,32.75,32.06,32.34,33.28,34.56,35.47,35.84,36.47,36.69,37.19,36.56,36.28,36.53,36.72,35.25,33.84,33.5,33.34,32.47,31.88,31.91,31.84,31.22,29.75,29.0,29.0,29.81,29.59,30.09,31.53,33.25,33.81,34.22,34.97,35.44,34.34,32.44,31.19,30.44,29.94,29.03,29.19,29.56,30.31,30.09,30.47,31.81,33.22,33.81,33.84,33.62,33.56,32.53,31.0,29.97,29.34,28.62,27.44,27.38,28.41,29.84,30.22,30.38,30.44,29.59,27.47,25.09,23.78,23.44,23.53,23.97,25.5,27.84,30.69,32.38,34.19,35.97,37.09,36.78,36.03,35.72,35.47,34.06,32.25,30.81,30.03,28.91,27.84,27.59,28.41,28.94,28.72,28.88,29.56,30.12,29.41,28.22,27.44,25.97,24.12,22.19,20.66,20.22,20.44,20.66,21.78,24.53,27.91,30.28,31.88,33.44,34.16,33.53,32.38,32.12,32.5,32.16,56.28,57.34,58.62,59.88,61.47,63.19,64.66,65.88,66.78,67.16,66.66,64.88,62.66,60.5,58.94,57.75,57.5,58.03,58.94,60.06,61.38,62.5,63.69,64.19,64.06,64.06,63.31,62.88:17.78,17.22,16.69,15.88,15.41,15.0,15.41,17.25,18.84,19.78,20.38,21.44,22.25,21.69,20.12,18.62,17.53,16.44,15.34,15.38,16.5,17.88,18.09,18.28,19.03,19.53,18.84,18.56,18.59,18.84,19.06,18.25,17.66,18.16,18.69,18.66,18.59,19.69,20.06,19.44,18.62,18.5,18.56,17.88,16.94,17.03,17.22,17.75,18.0,18.94,20.38,21.25,20.94,20.09,19.41,18.81,18.03,17.56,18.28,19.84,21.06,21.78,23.03,24.34,25.16,25.03,25.06,25.09,25.31,24.56,24.16,24.5,24.81,24.25,23.53,23.28,23.97,24.0,23.31,22.59,21.94,20.81,18.66,16.88,15.84,15.41,13.94,12.69,13.16,14.03,14.59,15.0,16.53,18.06,18.56,18.22,18.16,18.5,18.75,18.09,17.72,17.88,17.81,16.66,15.22,14.66,14.81,14.53,14.25,15.47,17.5,19.19,19.66,20.03,20.84,21.44,21.44,22.0,23.34,24.91,25.19,24.69,24.47,24.03,23.09,21.47,20.25,19.91,19.62,18.72,17.94,18.03,18.38,18.03,18.19,19.22,20.53,20.84,20.72,20.28,20.41,20.06,19.53,19.72,20.72,21.41,20.84,19.62,18.88,18.16,17.03,15.84,15.38,15.5,15.09,14.44,14.62,16.16,17.88,18.66,19.69,20.91,20.84,19.38,17.56,17.22,17.38,17.19,17.22,17.44,17.53,16.19,14.22,12.62,12.38,12.12,11.62,11.66,12.59,14.0,14.62,15.78,17.41,19.03,19.5,19.94,20.44,21.84,22.72,23.09,23.0,23.0,22.69,21.44,19.66,18.47,17.31,15.22,13.06,12.12,12.94,13.94,14.66,15.84,17.16,17.12,16.22,15.12,15.41,15.88,16.44,17.62,20.19,23.38,25.38,26.97,28.44,29.62,29.38,28.16,26.38,25.03,23.19,20.91,18.47,17.34,16.47,15.19,13.78,13.53,14.19,14.12,14.16,14.81,16.28,17.34,17.66,17.84,19.03,19.5,18.75,18.34,18.72,19.44,19.47,19.34,20.34,21.66,22.62,23.47,24.59,26.06,27.06,27.12,27.31,28.66,29.78,29.84,29.34,29.09,28.69,27.09,24.88,23.34,22.56,21.59,20.5,20.34,21.59,22.75,23.0,23.06,23.78,24.25,23.25,21.84,21.38,20.94,19.91,18.72,18.47,19.22,20.12,20.34,21.41,23.19,24.5,24.53,23.91,23.69,22.84,21.34,19.53,18.81,19.0,18.69,18.44,18.78,19.94,21.06,21.81,22.53,23.84,24.75,23.94,22.84,22.31,22.09,21.31,19.94,19.09,19.03,18.62,17.62,17.0,17.34,16.94,15.5,14.28,14.41,14.91,14.84,15.31,16.84,18.44,20.16,21.28,23.62,25.91,27.44,27.81,27.97,28.34,27.62,25.72,23.5,21.84,20.47,19.5,18.78,19.38,21.06,23.0,24.44,27.0,30.81,34.25,36.81,38.91,41.12,42.22,41.88,40.47,39.03,37.34,34.41,30.47,27.28,24.12,21.44,18.84,17.12,16.97,16.91,16.0,15.28,15.38,15.41,15.59,16.16,18.59,21.78,24.97,27.97,31.38,34.66,36.97,37.69,37.5,37.66,37.47,36.06,34.28,33.31,32.28,31.06,30.34,31.09,32.59,33.66,33.88,33.91,34.22,34.06,32.56,30.94,29.84,28.56,26.69,25.09,24.69,25.0,24.88,24.34,24.38,24.81,24.53,23.19,22.56,22.19,21.97,20.94,20.47,21.41,23.09,24.0,25.16,26.44,27.78,28.03,27.38,27.59,28.59,30.06,30.72,31.5,32.75,33.47,32.22,31.47,31.5,32.12,32.25,32.19,32.97,34.41,35.72,36.41,37.41,38.34,38.72,37.62,35.84,34.53,33.62,31.88,31.06,31.28,31.47,31.44,30.75,30.38,30.59,31.41,31.84,33.09,35.22,37.16,38.56,39.84,41.41,42.91,42.84,42.59,42.44,42.62,42.56,41.62,40.94,40.69,40.03,38.62,37.38,36.62,35.91,34.44,33.22,32.72,33.09,32.94,32.88,33.62,35.0,35.97,36.12,36.72,37.69,38.69,38.38,37.84,37.84,37.34,35.44,33.47,32.28,32.03,32.12,32.66,33.81,35.66,36.53,36.38,36.25,36.78,37.59,37.75,38.28,39.0,40.06,40.78,41.0,41.84,43.44,44.0,43.66,42.91,42.5,41.38,39.62,37.88,37.19,36.66,35.34,34.06,33.53,33.62,33.16,32.34,32.12,32.84,33.41,33.66,34.38,35.75,36.5,36.22,35.56,35.56,35.41,34.41,33.06,32.56,32.69,32.66,32.5,32.31,32.62,32.28,31.22,30.41,30.91,31.03,30.81,30.44,30.88,31.28,31.28,31.19,31.56,32.5,33.16,33.62,33.88,34.94,35.62,35.56,35.56,36.03,36.19,35.31,33.78,32.62,31.69,30.38,28.75,27.16,26.56,26.12,25.62,25.84,27.03,28.0,28.19,28.34,29.06,30.22,30.81,31.41,32.56,33.72,34.53,34.53,34.81,35.72,36.66,36.78,36.69,36.84,36.34,34.56,32.38,31.06,30.34,29.97,29.88,30.94,32.75,33.84,33.84,33.41,33.47,33.41,33.06,33.31,35.03,36.97,38.12,38.69,38.88,38.41,37.31,35.31,34.25,33.91,33.97,33.38,32.88,34.0,34.62,34.47,34.12,34.25,34.88,34.81,34.38,34.62,34.72,34.41,33.44,32.25,32.22,32.78,32.81,33.44,34.91,36.47,37.06,36.66,36.56,36.0,35.28,33.72,32.53,32.06,32.09,31.81,31.97,33.38,35.16,36.03,36.88,38.38,39.81,40.5,40.78,41.5,42.19,42.16,40.88,39.41,38.38,38.03,37.19,37.19,38.69,40.16,40.5,40.34,41.19,42.25,42.59,42.44,42.28,42.59,42.25,41.22,40.75,41.28,41.91,41.34,41.16,41.44,42.09,42.09,41.78,42.28,43.22,43.25,42.25,41.75,41.25,40.56,39.47,38.91,39.06,39.91,40.0,40.25,41.16,42.38,42.88,42.31,42.34,42.25,41.81,41.0,40.72,41.31,42.25,42.59,42.78,43.44,44.78,45.06,45.03,46.12,47.94,49.31,49.84,50.75,51.56,51.59,50.72,49.91,49.94,50.41,49.5,49.19,49.16,49.03,47.72,45.88,44.34,43.25,42.12,40.88,40.84,41.81,43.0,42.62,42.62,43.06,43.16,42.34,41.38,40.91,40.31,39.19,37.78,36.91,37.31,37.81,37.88,38.72,40.56,42.03,42.19,41.84,41.84,41.5,39.91,37.88,36.09,35.22,33.62,32.12,31.31,31.69,32.28,32.22,32.69,34.03,35.75,36.12,36.25,36.81,37.62,37.5,36.62,36.69,37.25,37.53,37.38,37.5,38.12,38.12,37.06,36.16,35.84,35.91,34.75,33.72,33.16,33.03,32.62,32.06,32.06,33.0,33.97,34.22,34.69,36.0,37.25,37.16,36.5,36.09,35.75,34.12,32.69,31.97,32.75,33.53,34.25,35.31,36.94,37.97,37.59,36.69,36.53,36.56,35.75,35.19,35.66,36.25,35.69,34.22,32.75,31.5,30.19,29.0,28.81,30.72,33.0,34.59,35.88,37.25,38.0,37.59,36.94,37.0,37.62,38.16,38.59,39.12,39.75,39.69,38.0,35.88,34.75,34.09,33.12,32.91,34.31,36.44,37.88,39.06,40.47,42.25,42.62,42.12,41.44,40.59,39.72,37.59,35.94,35.53,35.03,33.97,32.41,31.62,30.88,29.53,27.91,26.56,26.44,26.44,26.81,28.34,31.5,34.72,37.03,38.59,40.88,42.59,43.59,43.78,44.56,45.19,45.0,43.75,42.56,41.53,39.78,37.66,35.34,34.41,33.56,32.5,31.75,32.16,33.25,33.41,32.66,32.56,33.25,33.25,33.53,34.66,36.22,37.25,36.94,36.12,35.75,35.41,34.12,32.56,32.38,32.69,32.69,32.53,32.72,33.38,33.66,32.81,31.88,32.03,31.66,30.47,29.06,28.81,28.56,28.06,27.19,27.41,28.59,29.28,29.59,30.44,31.94,32.88,32.69,32.44,33.03,33.25,32.59,31.5,31.06,30.59,29.34,27.66,26.56,26.41,26.03,25.34,25.31,26.34,27.62,27.69,27.81,28.62,29.59,29.78,29.75,30.69,31.69,32.38,31.81,31.78,32.06,32.25,31.28,30.12,30.09,30.34,29.75,29.56,30.97,32.41,33.22,33.38,34.28,35.5,36.16,36.25,36.22,36.44,35.81,34.38,32.94,32.72,32.75,32.06,32.34,33.28,34.56,35.47,35.84,36.47,36.69,37.19,36.56,36.28,36.53,36.72,35.25,33.84,33.5,33.34,32.47,31.88,31.91,31.84,31.22,29.75,29.0,29.0,29.81,29.59,30.09,31.53,33.25,33.81,34.22,34.97,35.44,34.34,32.44,31.19,30.44,29.94,29.03,29.19,29.56,30.31,30.09,30.47,31.81,33.22,33.81,33.84,33.62,33.56,32.53,31.0,29.97,29.34,28.62,27.44,27.38,28.41,29.84,30.22,30.38,30.44,29.59,27.47,25.09,23.78,23.44,23.53,23.97,25.5,27.84,30.69,32.38,34.19,35.97,37.09,36.78,36.03,35.72,35.47,34.06,32.25,30.81,30.03,28.91,27.84,27.59,28.41,28.94,28.72,28.88,29.56,30.12,29.41,28.22,27.44,25.97,24.12,22.19,20.66,20.22,20.44,20.66,21.78,24.53,27.91,30.28,31.88,33.44,34.16,33.53,32.38,32.12,32.5,32.16,56.28,57.34,58.62,59.88,61.47,63.19,64.66,65.88,66.78,67.16,66.66,64.88,62.66,60.5,58.94,57.75,57.5,58.03,58.94,60.06,61.38,62.5,63.69,64.19,64.06,64.06,63.31,62.88,62.28,62.03,61.62,61.75,61.78,62.44,62.69:17.25,18.84,19.78,20.38,21.44,22.25,21.69,20.12,18.62,17.53,16.44,15.34,15.38,16.5,17.88,18.09,18.28,19.03,19.53,18.84,18.56,18.59,18.84,19.06,18.25,17.66,18.16,18.69,18.66,18.59,19.69,20.06,19.44,18.62,18.5,18.56,17.88,16.94,17.03,17.22,17.75,18.0,18.94,20.38,21.25,20.94,20.09,19.41,18.81,18.03,17.56,18.28,19.84,21.06,21.78,23.03,24.34,25.16,25.03,25.06,25.09,25.31,24.56,24.16,24.5,24.81,24.25,23.53,23.28,23.97,24.0,23.31,22.59,21.94,20.81,18.66,16.88,15.84,15.41,13.94,12.69,13.16,14.03,14.59,15.0,16.53,18.06,18.56,18.22,18.16,18.5,18.75,18.09,17.72,17.88,17.81,16.66,15.22,14.66,14.81,14.53,14.25,15.47,17.5,19.19,19.66,20.03,20.84,21.44,21.44,22.0,23.34,24.91,25.19,24.69,24.47,24.03,23.09,21.47,20.25,19.91,19.62,18.72,17.94,18.03,18.38,18.03,18.19,19.22,20.53,20.84,20.72,20.28,20.41,20.06,19.53,19.72,20.72,21.41,20.84,19.62,18.88,18.16,17.03,15.84,15.38,15.5,15.09,14.44,14.62,16.16,17.88,18.66,19.69,20.91,20.84,19.38,17.56,17.22,17.38,17.19,17.22,17.44,17.53,16.19,14.22,12.62,12.38,12.12,11.62,11.66,12.59,14.0,14.62,15.78,17.41,19.03,19.5,19.94,20.44,21.84,22.72,23.09,23.0,23.0,22.69,21.44,19.66,18.47,17.31,15.22,13.06,12.12,12.94,13.94,14.66,15.84,17.16,17.12,16.22,15.12,15.41,15.88,16.44,17.62,20.19,23.38,25.38,26.97,28.44,29.62,29.38,28.16,26.38,25.03,23.19,20.91,18.47,17.34,16.47,15.19,13.78,13.53,14.19,14.12,14.16,14.81,16.28,17.34,17.66,17.84,19.03,19.5,18.75,18.34,18.72,19.44,19.47,19.34,20.34,21.66,22.62,23.47,24.59,26.06,27.06,27.12,27.31,28.66,29.78,29.84,29.34,29.09,28.69,27.09,24.88,23.34,22.56,21.59,20.5,20.34,21.59,22.75,23.0,23.06,23.78,24.25,23.25,21.84,21.38,20.94,19.91,18.72,18.47,19.22,20.12,20.34,21.41,23.19,24.5,24.53,23.91,23.69,22.84,21.34,19.53,18.81,19.0,18.69,18.44,18.78,19.94,21.06,21.81,22.53,23.84,24.75,23.94,22.84,22.31,22.09,21.31,19.94,19.09,19.03,18.62,17.62,17.0,17.34,16.94,15.5,14.28,14.41,14.91,14.84,15.31,16.84,18.44,20.16,21.28,23.62,25.91,27.44,27.81,27.97,28.34,27.62,25.72,23.5,21.84,20.47,19.5,18.78,19.38,21.06,23.0,24.44,27.0,30.81,34.25,36.81,38.91,41.12,42.22,41.88,40.47,39.03,37.34,34.41,30.47,27.28,24.12,21.44,18.84,17.12,16.97,16.91,16.0,15.28,15.38,15.41,15.59,16.16,18.59,21.78,24.97,27.97,31.38,34.66,36.97,37.69,37.5,37.66,37.47,36.06,34.28,33.31,32.28,31.06,30.34,31.09,32.59,33.66,33.88,33.91,34.22,34.06,32.56,30.94,29.84,28.56,26.69,25.09,24.69,25.0,24.88,24.34,24.38,24.81,24.53,23.19,22.56,22.19,21.97,20.94,20.47,21.41,23.09,24.0,25.16,26.44,27.78,28.03,27.38,27.59,28.59,30.06,30.72,31.5,32.75,33.47,32.22,31.47,31.5,32.12,32.25,32.19,32.97,34.41,35.72,36.41,37.41,38.34,38.72,37.62,35.84,34.53,33.62,31.88,31.06,31.28,31.47,31.44,30.75,30.38,30.59,31.41,31.84,33.09,35.22,37.16,38.56,39.84,41.41,42.91,42.84,42.59,42.44,42.62,42.56,41.62,40.94,40.69,40.03,38.62,37.38,36.62,35.91,34.44,33.22,32.72,33.09,32.94,32.88,33.62,35.0,35.97,36.12,36.72,37.69,38.69,38.38,37.84,37.84,37.34,35.44,33.47,32.28,32.03,32.12,32.66,33.81,35.66,36.53,36.38,36.25,36.78,37.59,37.75,38.28,39.0,40.06,40.78,41.0,41.84,43.44,44.0,43.66,42.91,42.5,41.38,39.62,37.88,37.19,36.66,35.34,34.06,33.53,33.62,33.16,32.34,32.12,32.84,33.41,33.66,34.38,35.75,36.5,36.22,35.56,35.56,35.41,34.41,33.06,32.56,32.69,32.66,32.5,32.31,32.62,32.28,31.22,30.41,30.91,31.03,30.81,30.44,30.88,31.28,31.28,31.19,31.56,32.5,33.16,33.62,33.88,34.94,35.62,35.56,35.56,36.03,36.19,35.31,33.78,32.62,31.69,30.38,28.75,27.16,26.56,26.12,25.62,25.84,27.03,28.0,28.19,28.34,29.06,30.22,30.81,31.41,32.56,33.72,34.53,34.53,34.81,35.72,36.66,36.78,36.69,36.84,36.34,34.56,32.38,31.06,30.34,29.97,29.88,30.94,32.75,33.84,33.84,33.41,33.47,33.41,33.06,33.31,35.03,36.97,38.12,38.69,38.88,38.41,37.31,35.31,34.25,33.91,33.97,33.38,32.88,34.0,34.62,34.47,34.12,34.25,34.88,34.81,34.38,34.62,34.72,34.41,33.44,32.25,32.22,32.78,32.81,33.44,34.91,36.47,37.06,36.66,36.56,36.0,35.28,33.72,32.53,32.06,32.09,31.81,31.97,33.38,35.16,36.03,36.88,38.38,39.81,40.5,40.78,41.5,42.19,42.16,40.88,39.41,38.38,38.03,37.19,37.19,38.69,40.16,40.5,40.34,41.19,42.25,42.59,42.44,42.28,42.59,42.25,41.22,40.75,41.28,41.91,41.34,41.16,41.44,42.09,42.09,41.78,42.28,43.22,43.25,42.25,41.75,41.25,40.56,39.47,38.91,39.06,39.91,40.0,40.25,41.16,42.38,42.88,42.31,42.34,42.25,41.81,41.0,40.72,41.31,42.25,42.59,42.78,43.44,44.78,45.06,45.03,46.12,47.94,49.31,49.84,50.75,51.56,51.59,50.72,49.91,49.94,50.41,49.5,49.19,49.16,49.03,47.72,45.88,44.34,43.25,42.12,40.88,40.84,41.81,43.0,42.62,42.62,43.06,43.16,42.34,41.38,40.91,40.31,39.19,37.78,36.91,37.31,37.81,37.88,38.72,40.56,42.03,42.19,41.84,41.84,41.5,39.91,37.88,36.09,35.22,33.62,32.12,31.31,31.69,32.28,32.22,32.69,34.03,35.75,36.12,36.25,36.81,37.62,37.5,36.62,36.69,37.25,37.53,37.38,37.5,38.12,38.12,37.06,36.16,35.84,35.91,34.75,33.72,33.16,33.03,32.62,32.06,32.06,33.0,33.97,34.22,34.69,36.0,37.25,37.16,36.5,36.09,35.75,34.12,32.69,31.97,32.75,33.53,34.25,35.31,36.94,37.97,37.59,36.69,36.53,36.56,35.75,35.19,35.66,36.25,35.69,34.22,32.75,31.5,30.19,29.0,28.81,30.72,33.0,34.59,35.88,37.25,38.0,37.59,36.94,37.0,37.62,38.16,38.59,39.12,39.75,39.69,38.0,35.88,34.75,34.09,33.12,32.91,34.31,36.44,37.88,39.06,40.47,42.25,42.62,42.12,41.44,40.59,39.72,37.59,35.94,35.53,35.03,33.97,32.41,31.62,30.88,29.53,27.91,26.56,26.44,26.44,26.81,28.34,31.5,34.72,37.03,38.59,40.88,42.59,43.59,43.78,44.56,45.19,45.0,43.75,42.56,41.53,39.78,37.66,35.34,34.41,33.56,32.5,31.75,32.16,33.25,33.41,32.66,32.56,33.25,33.25,33.53,34.66,36.22,37.25,36.94,36.12,35.75,35.41,34.12,32.56,32.38,32.69,32.69,32.53,32.72,33.38,33.66,32.81,31.88,32.03,31.66,30.47,29.06,28.81,28.56,28.06,27.19,27.41,28.59,29.28,29.59,30.44,31.94,32.88,32.69,32.44,33.03,33.25,32.59,31.5,31.06,30.59,29.34,27.66,26.56,26.41,26.03,25.34,25.31,26.34,27.62,27.69,27.81,28.62,29.59,29.78,29.75,30.69,31.69,32.38,31.81,31.78,32.06,32.25,31.28,30.12,30.09,30.34,29.75,29.56,30.97,32.41,33.22,33.38,34.28,35.5,36.16,36.25,36.22,36.44,35.81,34.38,32.94,32.72,32.75,32.06,32.34,33.28,34.56,35.47,35.84,36.47,36.69,37.19,36.56,36.28,36.53,36.72,35.25,33.84,33.5,33.34,32.47,31.88,31.91,31.84,31.22,29.75,29.0,29.0,29.81,29.59,30.09,31.53,33.25,33.81,34.22,34.97,35.44,34.34,32.44,31.19,30.44,29.94,29.03,29.19,29.56,30.31,30.09,30.47,31.81,33.22,33.81,33.84,33.62,33.56,32.53,31.0,29.97,29.34,28.62,27.44,27.38,28.41,29.84,30.22,30.38,30.44,29.59,27.47,25.09,23.78,23.44,23.53,23.97,25.5,27.84,30.69,32.38,34.19,35.97,37.09,36.78,36.03,35.72,35.47,34.06,32.25,30.81,30.03,28.91,27.84,27.59,28.41,28.94,28.72,28.88,29.56,30.12,29.41,28.22,27.44,25.97,24.12,22.19,20.66,20.22,20.44,20.66,21.78,24.53,27.91,30.28,31.88,33.44,34.16,33.53,32.38,32.12,32.5,32.16,56.28,57.34,58.62,59.88,61.47,63.19,64.66,65.88,66.78,67.16,66.66,64.88,62.66,60.5,58.94,57.75,57.5,58.03,58.94,60.06,61.38,62.5,63.69,64.19,64.06,64.06,63.31,62.88,62.28,62.03,61.62,61.75,61.78,62.44,62.69,62.97,62.47,61.53,60.38,60.16,60.22,61.38:negativity
10.78,10.97,9.28,9.44,11.03,11.41,10.59,10.97,14.0,16.09,15.31,14.19,15.97,17.41,16.62,14.88,15.59,16.91,15.78,12.88,11.59,12.09,10.75,8.03,6.28,7.44,8.5,7.56,6.38,8.38,10.69,10.84,10.09,11.84,14.12,14.28,12.06,10.69,11.53,11.38,9.47,8.28,9.97,11.47,10.0,8.44,9.16,10.62,10.22,8.91,10.0,12.72,14.22,13.47,14.03,16.16,16.75,14.34,11.84,11.41,10.69,7.81,5.06,4.88,6.44,7.0,6.09,7.44,9.81,11.22,10.47,10.75,13.78,15.91,15.44,14.62,16.0,17.19,15.38,12.62,12.16,12.88,12.19,9.69,8.97,9.97,9.69,7.06,5.88,7.34,8.59,8.0,7.34,8.72,10.47,9.56,6.88,5.78,6.03,5.09,3.22,3.66,6.97,10.28,11.53,12.84,16.12,19.19,17.94,15.44,14.75,14.25,11.41,7.47,5.31,5.22,3.78,0.38,-1.28,-0.38,0.53,-0.56,-1.28,0.56,2.66,2.06,0.66,2.0,4.69,5.72,5.38,5.94,7.78,8.06,5.56,3.88,4.81,5.72,3.75,1.38,1.34,1.62,-0.78,-3.97,-4.59,-3.53,-3.0,-3.25,-1.28,2.97,6.38,6.47,5.53,6.41,6.69,5.0,3.5,5.28,8.5,9.84,9.16,9.38,10.31,9.25,5.31,2.16,1.62,1.44,-0.72,-2.31,-0.91,0.59,-0.5,-1.81,-0.5,2.59,4.19,4.44,6.0,8.66,10.16,8.75,7.31,7.59,6.97,3.38,-0.16,-1.09,-0.47,-1.44,-2.75,-1.28,1.75,3.03,2.75,3.09,5.62,7.38,6.28,5.41,6.75,8.19,6.66,5.03,5.5,6.69,4.72,1.44,-0.56,-0.78,-1.59,-3.78,-4.06,-1.75,0.66,0.47,0.16,1.31,2.25,-0.97,-4.66,-6.16,-5.62,-5.69,-6.25,-4.5,-1.12,1.06,0.69,0.81,2.97,4.69,3.41,1.53,1.38,2.19,0.72,-0.78,0.06,2.41,3.44,2.78,3.38,6.34,8.41,8.09,8.09,9.88,11.06,9.31,6.75,5.97,6.22,5.03,3.22,3.38,5.41,6.19,4.53,3.53,4.19,4.12,1.78,-0.09,0.84,3.0,3.28,3.22,5.19,8.25,9.0,7.62,7.5,8.91,9.22,7.53,6.59,8.66,10.81,10.53,10.31,11.84,13.34,12.31,9.47,7.53,7.03,5.19,1.56,0.09,1.38,2.53,1.88,1.75,4.19,6.44,6.34,5.59,7.44,10.28,11.06,10.53,11.22,12.38,11.38,8.56,7.16,8.53,9.91,9.28,8.84,9.97,10.75,8.72,5.66,4.75,5.09,4.62,3.16,3.38,6.16,7.72,6.72,6.09,7.94,9.16,8.53,7.91,9.97,12.44,12.28,10.28,9.78,10.44,9.5,7.03,6.03,7.12,7.53,5.19,2.88,3.38,3.84,2.19,0.91,2.38,4.84,5.81,5.25,5.56,7.28,7.28,5.41,4.34,5.91,6.91,5.62,4.69,6.0,7.16,6.0,4.25,4.19,5.56,5.06,2.84,1.81,2.0,0.62,-2.19,-3.91,-2.34,-0.25,-0.03,0.28,2.41,4.19,3.16,0.72,-0.12,0.47,0.53,-0.84,-0.47,2.34,4.41,4.53,4.75,7.47,9.16,7.44,4.28,2.53,1.22,-1.47,-4.91,-5.38,-3.59,-2.72,-4.12,-5.19,-4.38,-4.25,-6.0,-7.03,-4.56,-0.84,0.69,0.72,2.47,4.84,4.78,3.16,3.06,4.28,4.5,2.19,0.41,0.81,0.91,-1.03,-3.28,-2.69,-0.59,0.25,0.56,2.75,5.81,6.59,4.72,4.16,5.91,7.53,7.41,8.25,11.06,13.41,12.75,10.09,9.19,8.78,6.44,2.5,0.28,-0.44,-2.41,-6.78,-9.91,-10.31,-11.0,-13.47,-15.31,-14.34,-12.53,-12.25,-12.56,-9.69,-5.5,-2.66,-1.22,0.94,4.44,5.84,4.34,2.69,3.22,3.34,1.22,-0.88,-0.22,0.81,-0.28,-2.53,-2.78,-1.41,-0.97,-2.12,-2.0,0.22,1.78,1.16,1.41,4.38,8.06,9.12,9.41,11.0,12.5,10.94,6.47,3.38,1.72,-0.41,-4.09,-5.91,-4.62,-3.75,-5.44,-7.19,-7.03,-6.75,-8.69,-11.44,-11.97,-10.75,-11.47,-14.03,-14.72,-13.19,-12.34,-12.91,-12.62,-9.75,-6.69,-6.0,-4.81,-1.03,4.12,6.44,7.91,10.56,14.31,15.88,15.19,15.22,16.25,16.28,13.59,11.38,11.75,12.16,9.5,5.75,3.81,3.12,0.75,-1.81,-1.56,1.19,2.88,2.44,3.22,6.41,9.19,9.62,10.97,14.59,18.28,19.03,18.0,18.81,19.91,18.34,14.94,12.62,11.16,8.62,4.0,0.31,-0.38,-0.5,-2.5,-4.03,-2.62,0.06,0.94,1.19,3.56,7.53,10.22,11.0,13.09,17.06,19.84,19.28,18.94,20.03,21.12,19.03,16.62,16.69,17.56,15.88,13.0,11.34,11.16,9.56,6.56,4.94,5.16,4.91,1.88,-1.09,-1.47,-1.0,-2.31,-3.66,-2.38,0.44,1.5,1.03,2.44,5.81,8.19,8.28,8.81,10.94,11.97,9.75,7.28,7.28,7.62,5.91,3.09,1.78,2.34,1.22,-0.97,-1.69,0.12,0.47,-1.34,-2.75,-1.34,0.94,0.94,1.03,3.06,5.66,5.34,3.75,3.72,5.38,6.16,5.47,5.47,7.53,8.34,5.5,2.47,1.94,1.84,0.09,-1.12,0.25,3.47,5.09,5.44,7.22,10.59,12.16,10.72,10.03,10.84,11.0,8.81,6.97,8.09,10.0,9.62,8.69,9.84,12.06,12.19,10.94,10.81,12.22,12.62,10.94,9.66,10.81,11.0,8.34,5.06,4.03,4.12,2.06,-0.5,-0.53,1.5,2.03,1.53,2.41,5.47,7.84,7.81,8.06,10.56,13.0,12.5,10.81,10.88,11.31,9.09,5.56,3.75,4.06,3.62,1.44,0.88,2.78,3.91,2.31,0.56,1.03,1.78,-0.03,-1.88,-0.81,1.69,2.78,2.44,3.12,5.12,4.72,1.72,-1.0,-0.84,-0.34,-1.47,-1.81,0.81,4.09,4.84,4.22,5.25,7.62,8.03,6.72,6.06,7.38,8.03,6.25,4.59,5.75,6.5,4.25,1.34,1.34,2.72,2.53,2.0,3.94,7.41,9.25,9.59,10.62,14.31,16.97,16.88,16.59,18.22,19.25,17.84,15.5,15.53,16.69,16.0,13.72,13.12,14.56,14.97,13.62,13.03,14.91,15.97,14.5,12.12,12.53,13.22,11.59,8.81,8.34,8.94,8.12,5.97,5.84,8.34,10.12,9.84,9.75,11.91,13.97,13.25,11.91,13.22,15.06,14.25,12.25,11.94,13.41,13.53,11.84,11.53,13.69,14.22,12.34,10.34,11.03,11.59,9.94,7.75,8.59,10.66,10.78,9.56,10.44,12.69,13.69,12.12,11.59,13.62,14.97,13.56,12.25,13.78,14.66,13.16,10.59,10.66,12.16,12.56,11.91,12.75,15.59,16.88,14.84,13.03,13.66,13.62,11.5,9.59,10.91,13.38,13.44,12.5,13.22,14.84,14.28,11.94,11.25,12.97,13.94,12.41,11.38,13.0,14.75,14.72,14.16,16.97,20.09,20.84,19.38,19.59,20.38,19.47,16.47,14.22,15.12,15.81,14.44,13.5,15.16,17.0,16.22,14.56,15.22,16.78,16.62,14.0,13.22,14.44,14.62,12.91,12.34,14.41,16.06,14.5,12.56,12.47,12.53,10.69,8.47,9.06,11.97,13.5,12.94,13.69,15.66,16.25,14.41,12.62,13.47,13.56,11.31,8.66,8.94,10.53,10.5,9.53,10.84,13.0,14.09,12.47,11.94,13.66,14.5,12.94,11.94,13.84,15.62,15.75,14.97,16.66,18.31,17.97,15.78,14.94,15.66,15.09,12.62,11.0,11.66,12.44,11.16,10.34,12.91,16.25,17.09,17.0,18.31,19.81,19.38,16.41,14.75,15.22,15.31,13.34,12.53,14.22,15.78,14.38,13.03,14.03,16.38,16.56,15.69,16.84,19.38,19.78,17.81,16.91,17.53,17.81,16.06,15.28,17.22,19.34,18.75,17.25,17.72,18.62,17.59,15.28,15.0,16.03,15.69,12.91,10.84,10.72,10.38,7.78,6.22,7.94,10.62,11.34,11.59,13.06,15.22,15.22,13.47,13.12,14.88,16.22,15.34,15.38,17.66,19.25,17.53,15.12,14.16,14.53,12.53,10.25,10.34,12.03,12.25,10.53,10.44,11.94,13.59,12.62,12.22,14.0,15.88,15.44,15.19,17.22,20.66,21.75,21.25,21.72,23.59,24.41,22.97,23.03,25.06,26.25,24.84,22.62,22.41,22.12,18.69,14.53,12.69,12.34,11.0,9.62,10.84,14.59,17.91,18.78,20.5,23.75,25.69,24.56,22.81,23.19,24.41,23.31,21.84,22.56,24.78,24.75,23.16,21.94,22.75,22.44,19.69,18.44,20.16,22.62,23.09,22.97,24.69,26.66,25.81,23.66,23.38,25.16,25.53,24.19,23.88,24.81,24.56,21.19,17.41,16.31,16.22,14.66,13.78,16.22,19.75,21.47,21.38,21.88,23.97,24.59,23.22,22.88,25.19,26.78,25.12,23.0,22.78,22.66,20.66,18.12,17.59,18.62,17.75,15.34,14.31,16.16,17.0,16.28,16.88,20.25,23.28,23.88,23.81,26.16,29.34,29.69,29.34,30.38,32.31,32.38,30.41,28.88,29.62,29.09,26.22,23.81,24.0,24.09,22.09,19.44,18.78,19.0,17.47,15.06,14.16,15.28,15.28,13.66,12.94,14.81,16.62,16.25,16.09,18.16,20.62,20.75,19.5,20.31,22.22,22.56,21.75,22.31,24.78,26.25,25.34,24.84,26.41,28.03,26.94,25.28,25.84,27.12,26.16,24.34:10.97,14.0,16.09,15.31,14.19,15.97,17.41,16.62,14.88,15.59,16.91,15.78,12.88,11.59,12.09,10.75,8.03,6.28,7.44,8.5,7.56,6.38,8.38,10.69,10.84,10.09,11.84,14.12,14.28,12.06,10.69,11.53,11.38,9.47,8.28,9.97,11.47,10.0,8.44,9.16,10.62,10.22,8.91,10.0,12.72,14.22,13.47,14.03,16.16,16.75,14.34,11.84,11.41,10.69,7.81,5.06,4.88,6.44,7.0,6.09,7.44,9.81,11.22,10.47,10.75,13.78,15.91,15.44,14.62,16.0,17.19,15.38,12.62,12.16,12.88,12.19,9.69,8.97,9.97,9.69,7.06,5.88,7.34,8.59,8.0,7.34,8.72,10.47,9.56,6.88,5.78,6.03,5.09,3.22,3.66,6.97,10.28,11.53,12.84,16.12,19.19,17.94,15.44,14.75,14.25,11.41,7.47,5.31,5.22,3.78,0.38,-1.28,-0.38,0.53,-0.56,-1.28,0.56,2.66,2.06,0.66,2.0,4.69,5.72,5.38,5.94,7.78,8.06,5.56,3.88,4.81,5.72,3.75,1.38,1.34,1.62,-0.78,-3.97,-4.59,-3.53,-3.0,-3.25,-1.28,2.97,6.38,6.47,5.53,6.41,6.69,5.0,3.5,5.28,8.5,9.84,9.16,9.38,10.31,9.25,5.31,2.16,1.62,1.44,-0.72,-2.31,-0.91,0.59,-0.5,-1.81,-0.5,2.59,4.19,4.44,6.0,8.66,10.16,8.75,7.31,7.59,6.97,3.38,-0.16,-1.09,-0.47,-1.44,-2.75,-1.28,1.75,3.03,2.75,3.09,5.62,7.38,6.28,5.41,6.75,8.19,6.66,5.03,5.5,6.69,4.72,1.44,-0.56,-0.78,-1.59,-3.78,-4.06,-1.75,0.66,0.47,0.16,1.31,2.25,-0.97,-4.66,-6.16,-5.62,-5.69,-6.25,-4.5,-1.12,1.06,0.69,0.81,2.97,4.69,3.41,1.53,1.38,2.19,0.72,-0.78,0.06,2.41,3.44,2.78,3.38,6.34,8.41,8.09,8.09,9.88,11.06,9.31,6.75,5.97,6.22,5.03,3.22,3.38,5.41,6.19,4.53,3.53,4.19,4.12,1.78,-0.09,0.84,3.0,3.28,3.22,5.19,8.25,9.0,7.62,7.5,8.91,9.22,7.53,6.59,8.66,10.81,10.53,10.31,11.84,13.34,12.31,9.47,7.53,7.03,5.19,1.56,0.09,1.38,2.53,1.88,1.75,4.19,6.44,6.34,5.59,7.44,10.28,11.06,10.53,11.22,12.38,11.38,8.56,7.16,8.53,9.91,9.28,8.84,9.97,10.75,8.72,5.66,4.75,5.09,4.62,3.16,3.38,6.16,7.72,6.72,6.09,7.94,9.16,8.53,7.91,9.97,12.44,12.28,10.28,9.78,10.44,9.5,7.03,6.03,7.12,7.53,5.19,2.88,3.38,3.84,2.19,0.91,2.38,4.84,5.81,5.25,5.56,7.28,7.28,5.41,4.34,5.91,6.91,5.62,4.69,6.0,7.16,6.0,4.25,4.19,5.56,5.06,2.84,1.81,2.0,0.62,-2.19,-3.91,-2.34,-0.25,-0.03,0.28,2.41,4.19,3.16,0.72,-0.12,0.47,0.53,-0.84,-0.47,2.34,4.41,4.53,4.75,7.47,9.16,7.44,4.28,2.53,1.22,-1.47,-4.91,-5.38,-3.59,-2.72,-4.12,-5.19,-4.38,-4.25,-6.0,-7.03,-4.56,-0.84,0.69,0.72,2.47,4.84,4.78,3.16,3.06,4.28,4.5,2.19,0.41,0.81,0.91,-1.03,-3.28,-2.69,-0.59,0.25,0.56,2.75,5.81,6.59,4.72,4.16,5.91,7.53,7.41,8.25,11.06,13.41,12.75,10.09,9.19,8.78,6.44,2.5,0.28,-0.44,-2.41,-6.78,-9.91,-10.31,-11.0,-13.47,-15.31,-14.34,-12.53,-12.25,-12.56,-9.69,-5.5,-2.66,-1.22,0.94,4.44,5.84,4.34,2.69,3.22,3.34,1.22,-0.88,-0.22,0.81,-0.28,-2.53,-2.78,-1.41,-0.97,-2.12,-2.0,0.22,1.78,1.16,1.41,4.38,8.06,9.12,9.41,11.0,12.5,10.94,6.47,3.38,1.72,-0.41,-4.09,-5.91,-4.62,-3.75,-5.44,-7.19,-7.03,-6.75,-8.69,-11.44,-11.97,-10.75,-11.47,-14.03,-14.72,-13.19,-12.34,-12.91,-12.62,-9.75,-6.69,-6.0,-4.81,-1.03,4.12,6.44,7.91,10.56,14.31,15.88,15.19,15.22,16.25,16.28,13.59,11.38,11.75,12.16,9.5,5.75,3.81,3.12,0.75,-1.81,-1.56,1.19,2.88,2.44,3.22,6.41,9.19,9.62,10.97,14.59,18.28,19.03,18.0,18.81,19.91,18.34,14.94,12.62,11.16,8.62,4.0,0.31,-0.38,-0.5,-2.5,-4.03,-2.62,0.06,0.94,1.19,3.56,7.53,10.22,11.0,13.09,17.06,19.84,19.28,18.94,20.03,21.12,19.03,16.62,16.69,17.56,15.88,13.0,11.34,11.16,9.56,6.56,4.94,5.16,4.91,1.88,-1.09,-1.47,-1.0,-2.31,-3.66,-2.38,0.44,1.5,1.03,2.44,5.81,8.19,8.28,8.81,10.94,11.97,9.75,7.28,7.28,7.62,5.91,3.09,1.78,2.34,1.22,-0.97,-1.69,0.12,0.47,-1.34,-2.75,-1.34,0.94,0.94,1.03,3.06,5.66,5.34,3.75,3.72,5.38,6.16,5.47,5.47,7.53,8.34,5.5,2.47,1.94,1.84,0.09,-1.12,0.25,3.47,5.09,5.44,7.22,10.59,12.16,10.72,10.03,10.84,11.0,8.81,6.97,8.09,10.0,9.62,8.69,9.84,12.06,12.19,10.94,10.81,12.22,12.62,10.94,9.66,10.81,11.0,8.34,5.06,4.03,4.12,2.06,-0.5,-0.53,1.5,2.03,1.53,2.41,5.47,7.84,7.81,8.06,10.56,13.0,12.5,10.81,10.88,11.31,9.09,5.56,3.75,4.06,3.62,1.44,0.88,2.78,3.91,2.31,0.56,1.03,1.78,-0.03,-1.88,-0.81,1.69,2.78,2.44,3.12,5.12,4.72,1.72,-1.0,-0.84,-0.34,-1.47,-1.81,0.81,4.09,4.84,4.22,5.25,7.62,8.03,6.72,6.06,7.38,8.03,6.25,4.59,5.75,6.5,4.25,1.34,1.34,2.72,2.53,2.0,3.94,7.41,9.25,9.59,10.62,14.31,16.97,16.88,16.59,18.22,19.25,17.84,15.5,15.53,16.69,16.0,13.72,13.12,14.56,14.97,13.62,13.03,14.91,15.97,14.5,12.12,12.53,13.22,11.59,8.81,8.34,8.94,8.12,5.97,5.84,8.34,10.12,9.84,9.75,11.91,13.97,13.25,11.91,13.22,15.06,14.25,12.25,11.94,13.41,13.53,11.84,11.53,13.69,14.22,12.34,10.34,11.03,11.59,9.94,7.75,8.59,10.66,10.78,9.56,10.44,12.69,13.69,12.12,11.59,13.62,14.97,13.56,12.25,13.78,14.66,13.16,10.59,10.66,12.16,12.56,11.91,12.75,15.59,16.88,14.84,13.03,13.66,13.62,11.5,9.59,10.91,13.38,13.44,12.5,13.22,14.84,14.28,11.94,11.25,12.97,13.94,12.41,11.38,13.0,14.75,14.72,14.16,16.97,20.09,20.84,19.38,19.59,20.38,19.47,16.47,14.22,15.12,15.81,14.44,13.5,15.16,17.0,16.22,14.56,15.22,16.78,16.62,14.0,13.22,14.44,14.62,12.91,12.34,14.41,16.06,14.5,12.56,12.47,12.53,10.69,8.47,9.06,11.97,13.5,12.94,13.69,15.66,16.25,14.41,12.62,13.47,13.56,11.31,8.66,8.94,10.53,10.5,9.53,10.84,13.0,14.09,12.47,11.94,13.66,14.5,12.94,11.94,13.84,15.62,15.75,14.97,16.66,18.31,17.97,15.78,14.94,15.66,15.09,12.62,11.0,11.66,12.44,11.16,10.34,12.91,16.25,17.09,17.0,18.31,19.81,19.38,16.41,14.75,15.22,15.31,13.34,12.53,14.22,15.78,14.38,13.03,14.03,16.38,16.56,15.69,16.84,19.38,19.78,17.81,16.91,17.53,17.81,16.06,15.28,17.22,19.34,18.75,17.25,17.72,18.62,17.59,15.28,15.0,16.03,15.69,12.91,10.84,10.72,10.38,7.78,6.22,7.94,10.62,11.34,11.59,13.06,15.22,15.22,13.47,13.12,14.88,16.22,15.34,15.38,17.66,19.25,17.53,15.12,14.16,14.53,12.53,10.25,10.34,12.03,12.25,10.53,10.44,11.94,13.59,12.62,12.22,14.0,15.88,15.44,15.19,17.22,20.66,21.75,21.25,21.72,23.59,24.41,22.97,23.03,25.06,26.25,24.84,22.62,22.41,22.12,18.69,14.53,12.69,12.34,11.0,9.62,10.84,14.59,17.91,18.78,20.5,23.75,25.69,24.56,22.81,23.19,24.41,23.31,21.84,22.56,24.78,24.75,23.16,21.94,22.75,22.44,19.69,18.44,20.16,22.62,23.09,22.97,24.69,26.66,25.81,23.66,23.38,25.16,25.53,24.19,23.88,24.81,24.56,21.19,17.41,16.31,16.22,14.66,13.78,16.22,19.75,21.47,21.38,21.88,23.97,24.59,23.22,22.88,25.19,26.78,25.12,23.0,22.78,22.66,20.66,18.12,17.59,18.62,17.75,15.34,14.31,16.16,17.0,16.28,16.88,20.25,23.28,23.88,23.81,26.16,29.34,29.69,29.34,30.38,32.31,32.38,30.41,28.88,29.62,29.09,26.22,23.81,24.0,24.09,22.09,19.44,18.78,19.0,17.47,15.06,14.16,15.28,15.28,13.66,12.94,14.81,16.62,16.25,16.09,18.16,20.62,20.75,19.5,20.31,22.22,22.56,21.75,22.31,24.78,26.25,25.34,24.84,26.41,28.03,26.94,25.28,25.84,27.12,26.16,24.34,15.62,13.72,10.44,8.06,7.19,6.03,4.28:16.62,14.88,15.59,16.91,15.78,12.88,11.59,12.09,10.75,8.03,6.28,7.44,8.5,7.56,6.38,8.38,10.69,10.84,10.09,11.84,14.12,14.28,12.06,10.69,11.53,11.38,9.47,8.28,9.97,11.47,10.0,8.44,9.16,10.62,10.22,8.91,10.0,12.72,14.22,13.47,14.03,16.16,16.75,14.34,11.84,11.41,10.69,7.81,5.06,4.88,6.44,7.0,6.09,7.44,9.81,11.22,10.47,10.75,13.78,15.91,15.44,14.62,16.0,17.19,15.38,12.62,12.16,12.88,12.19,9.69,8.97,9.97,9.69,7.06,5.88,7.34,8.59,8.0,7.34,8.72,10.47,9.56,6.88,5.78,6.03,5.09,3.22,3.66,6.97,10.28,11.53,12.84,16.12,19.19,17.94,15.44,14.75,14.25,11.41,7.47,5.31,5.22,3.78,0.38,-1.28,-0.38,0.53,-0.56,-1.28,0.56,2.66,2.06,0.66,2.0,4.69,5.72,5.38,5.94,7.78,8.06,5.56,3.88,4.81,5.72,3.75,1.38,1.34,1.62,-0.78,-3.97,-4.59,-3.53,-3.0,-3.25,-1.28,2.97,6.38,6.47,5.53,6.41,6.69,5.0,3.5,5.28,8.5,9.84,9.16,9.38,10.31,9.25,5.31,2.16,1.62,1.44,-0.72,-2.31,-0.91,0.59,-0.5,-1.81,-0.5,2.59,4.19,4.44,6.0,8.66,10.16,8.75,7.31,7.59,6.97,3.38,-0.16,-1.09,-0.47,-1.44,-2.75,-1.28,1.75,3.03,2.75,3.09,5.62,7.38,6.28,5.41,6.75,8.19,6.66,5.03,5.5,6.69,4.72,1.44,-0.56,-0.78,-1.59,-3.78,-4.06,-1.75,0.66,0.47,0.16,1.31,2.25,-0.97,-4.66,-6.16,-5.62,-5.69,-6.25,-4.5,-1.12,1.06,0.69,0.81,2.97,4.69,3.41,1.53,1.38,2.19,0.72,-0.78,0.06,2.41,3.44,2.78,3.38,6.34,8.41,8.09,8.09,9.88,11.06,9.31,6.75,5.97,6.22,5.03,3.22,3.38,5.41,6.19,4.53,3.53,4.19,4.12,1.78,-0.09,0.84,3.0,3.28,3.22,5.19,8.25,9.0,7.62,7.5,8.91,9.22,7.53,6.59,8.66,10.81,10.53,10.31,11.84,13.34,12.31,9.47,7.53,7.03,5.19,1.56,0.09,1.38,2.53,1.88,1.75,4.19,6.44,6.34,5.59,7.44,10.28,11.06,10.53,11.22,12.38,11.38,8.56,7.16,8.53,9.91,9.28,8.84,9.97,10.75,8.72,5.66,4.75,5.09,4.62,3.16,3.38,6.16,7.72,6.72,6.09,7.94,9.16,8.53,7.91,9.97,12.44,12.28,10.28,9.78,10.44,9.5,7.03,6.03,7.12,7.53,5.19,2.88,3.38,3.84,2.19,0.91,2.38,4.84,5.81,5.25,5.56,7.28,7.28,5.41,4.34,5.91,6.91,5.62,4.69,6.0,7.16,6.0,4.25,4.19,5.56,5.06,2.84,1.81,2.0,0.62,-2.19,-3.91,-2.34,-0.25,-0.03,0.28,2.41,4.19,3.16,0.72,-0.12,0.47,0.53,-0.84,-0.47,2.34,4.41,4.53,4.75,7.47,9.16,7.44,4.28,2.53,1.22,-1.47,-4.91,-5.38,-3.59,-2.72,-4.12,-5.19,-4.38,-4.25,-6.0,-7.03,-4.56,-0.84,0.69,0.72,2.47,4.84,4.78,3.16,3.06,4.28,4.5,2.19,0.41,0.81,0.91,-1.03,-3.28,-2.69,-0.59,0.25,0.56,2.75,5.81,6.59,4.72,4.16,5.91,7.53,7.41,8.25,11.06,13.41,12.75,10.09,9.19,8.78,6.44,2.5,0.28,-0.44,-2.41,-6.78,-9.91,-10.31,-11.0,-13.47,-15.31,-14.34,-12.53,-12.25,-12.56,-9.69,-5.5,-2.66,-1.22,0.94,4.44,5.84,4.34,2.69,3.22,3.34,1.22,-0.88,-0.22,0.81,-0.28,-2.53,-2.78,-1.41,-0.97,-2.12,-2.0,0.22,1.78,1.16,1.41,4.38,8.06,9.12,9.41,11.0,12.5,10.94,6.47,3.38,1.72,-0.41,-4.09,-5.91,-4.62,-3.75,-5.44,-7.19,-7.03,-6.75,-8.69,-11.44,-11.97,-10.75,-11.47,-14.03,-14.72,-13.19,-12.34,-12.91,-12.62,-9.75,-6.69,-6.0,-4.81,-1.03,4.12,6.44,7.91,10.56,14.31,15.88,15.19,15.22,16.25,16.28,13.59,11.38,11.75,12.16,9.5,5.75,3.81,3.12,0.75,-1.81,-1.56,1.19,2.88,2.44,3.22,6.41,9.19,9.62,10.97,14.59,18.28,19.03,18.0,18.81,19.91,18.34,14.94,12.62,11.16,8.62,4.0,0.31,-0.38,-0.5,-2.5,-4.03,-2.62,0.06,0.94,1.19,3.56,7.53,10.22,11.0,13.09,17.06,19.84,19.28,18.94,20.03,21.12,19.03,16.62,16.69,17.56,15.88,13.0,11.34,11.16,9.56,6.56,4.94,5.16,4.91,1.88,-1.09,-1.47,-1.0,-2.31,-3.66,-2.38,0.44,1.5,1.03,2.44,5.81,8.19,8.28,8.81,10.94,11.97,9.75,7.28,7.28,7.62,5.91,3.09,1.78,2.34,1.22,-0.97,-1.69,0.12,0.47,-1.34,-2.75,-1.34,0.94,0.94,1.03,3.06,5.66,5.34,3.75,3.72,5.38,6.16,5.47,5.47,7.53,8.34,5.5,2.47,1.94,1.84,0.09,-1.12,0.25,3.47,5.09,5.44,7.22,10.59,12.16,10.72,10.03,10.84,11.0,8.81,6.97,8.09,10.0,9.62,8.69,9.84,12.06,12.19,10.94,10.81,12.22,12.62,10.94,9.66,10.81,11.0,8.34,5.06,4.03,4.12,2.06,-0.5,-0.53,1.5,2.03,1.53,2.41,5.47,7.84,7.81,8.06,10.56,13.0,12.5,10.81,10.88,11.31,9.09,5.56,3.75,4.06,3.62,1.44,0.88,2.78,3.91,2.31,0.56,1.03,1.78,-0.03,-1.88,-0.81,1.69,2.78,2.44,3.12,5.12,4.72,1.72,-1.0,-0.84,-0.34,-1.47,-1.81,0.81,4.09,4.84,4.22,5.25,7.62,8.03,6.72,6.06,7.38,8.03,6.25,4.59,5.75,6.5,4.25,1.34,1.34,2.72,2.53,2.0,3.94,7.41,9.25,9.59,10.62,14.31,16.97,16.88,16.59,18.22,19.25,17.84,15.5,15.53,16.69,16.0,13.72,13.12,14.56,14.97,13.62,13.03,14.91,15.97,14.5,12.12,12.53,13.22,11.59,8.81,8.34,8.94,8.12,5.97,5.84,8.34,10.12,9.84,9.75,11.91,13.97,13.25,11.91,13.22,15.06,14.25,12.25,11.94,13.41,13.53,11.84,11.53,13.69,14.22,12.34,10.34,11.03,11.59,9.94,7.75,8.59,10.66,10.78,9.56,10.44,12.69,13.69,12.12,11.59,13.62,14.97,13.56,12.25,13.78,14.66,13.16,10.59,10.66,12.16,12.56,11.91,12.75,15.59,16.88,14.84,13.03,13.66,13.62,11.5,9.59,10.91,13.38,13.44,12.5,13.22,14.84,14.28,11.94,11.25,12.97,13.94,12.41,11.38,13.0,14.75,14.72,14.16,16.97,20.09,20.84,19.38,19.59,20.38,19.47,16.47,14.22,15.12,15.81,14.44,13.5,15.16,17.0,16.22,14.56,15.22,16.78,16.62,14.0,13.22,14.44,14.62,12.91,12.34,14.41,16.06,14.5,12.56,12.47,12.53,10.69,8.47,9.06,11.97,13.5,12.94,13.69,15.66,16.25,14.41,12.62,13.47,13.56,11.31,8.66,8.94,10.53,10.5,9.53,10.84,13.0,14.09,12.47,11.94,13.66,14.5,12.94,11.94,13.84,15.62,15.75,14.97,16.66,18.31,17.97,15.78,14.94,15.66,15.09,12.62,11.0,11.66,12.44,11.16,10.34,12.91,16.25,17.09,17.0,18.31,19.81,19.38,16.41,14.75,15.22,15.31,13.34,12.53,14.22,15.78,14.38,13.03,14.03,16.38,16.56,15.69,16.84,19.38,19.78,17.81,16.91,17.53,17.81,16.06,15.28,17.22,19.34,18.75,17.25,17.72,18.62,17.59,15.28,15.0,16.03,15.69,12.91,10.84,10.72,10.38,7.78,6.22,7.94,10.62,11.34,11.59,13.06,15.22,15.22,13.47,13.12,14.88,16.22,15.34,15.38,17.66,19.25,17.53,15.12,14.16,14.53,12.53,10.25,10.34,12.03,12.25,10.53,10.44,11.94,13.59,12.62,12.22,14.0,15.88,15.44,15.19,17.22,20.66,21.75,21.25,21.72,23.59,24.41,22.97,23.03,25.06,26.25,24.84,22.62,22.41,22.12,18.69,14.53,12.69,12.34,11.0,9.62,10.84,14.59,17.91,18.78,20.5,23.75,25.69,24.56,22.81,23.19,24.41,23.31,21.84,22.56,24.78,24.75,23.16,21.94,22.75,22.44,19.69,18.44,20.16,22.62,23.09,22.97,24.69,26.66,25.81,23.66,23.38,25.16,25.53,24.19,23.88,24.81,24.56,21.19,17.41,16.31,16.22,14.66,13.78,16.22,19.75,21.47,21.38,21.88,23.97,24.59,23.22,22.88,25.19,26.78,25.12,23.0,22.78,22.66,20.66,18.12,17.59,18.62,17.75,15.34,14.31,16.16,17.0,16.28,16.88,20.25,23.28,23.88,23.81,26.16,29.34,29.69,29.34,30.38,32.31,32.38,30.41,28.88,29.62,29.09,26.22,23.81,24.0,24.09,22.09,19.44,18.78,19.0,17.47,15.06,14.16,15.28,15.28,13.66,12.94,14.81,16.62,16.25,16.09,18.16,20.62,20.75,19.5,20.31,22.22,22.56,21.75,22.31,24.78,26.25,25.34,24.84,26.41,28.03,26.94,25.28,25.84,27.12,26.16,24.34,15.62,13.72,10.44,8.06,7.19,6.03,4.28,3.84,5.5,6.56,5.78,5.25,6.78,8.41:12.09,10.75,8.03,6.28,7.44,8.5,7.56,6.38,8.38,10.69,10.84,10.09,11.84,14.12,14.28,12.06,10.69,11.53,11.38,9.47,8.28,9.97,11.47,10.0,8.44,9.16,10.62,10.22,8.91,10.0,12.72,14.22,13.47,14.03,16.16,16.75,14.34,11.84,11.41,10.69,7.81,5.06,4.88,6.44,7.0,6.09,7.44,9.81,11.22,10.47,10.75,13.78,15.91,15.44,14.62,16.0,17.19,15.38,12.62,12.16,12.88,12.19,9.69,8.97,9.97,9.69,7.06,5.88,7.34,8.59,8.0,7.34,8.72,10.47,9.56,6.88,5.78,6.03,5.09,3.22,3.66,6.97,10.28,11.53,12.84,16.12,19.19,17.94,15.44,14.75,14.25,11.41,7.47,5.31,5.22,3.78,0.38,-1.28,-0.38,0.53,-0.56,-1.28,0.56,2.66,2.06,0.66,2.0,4.69,5.72,5.38,5.94,7.78,8.06,5.56,3.88,4.81,5.72,3.75,1.38,1.34,1.62,-0.78,-3.97,-4.59,-3.53,-3.0,-3.25,-1.28,2.97,6.38,6.47,5.53,6.41,6.69,5.0,3.5,5.28,8.5,9.84,9.16,9.38,10.31,9.25,5.31,2.16,1.62,1.44,-0.72,-2.31,-0.91,0.59,-0.5,-1.81,-0.5,2.59,4.19,4.44,6.0,8.66,10.16,8.75,7.31,7.59,6.97,3.38,-0.16,-1.09,-0.47,-1.44,-2.75,-1.28,1.75,3.03,2.75,3.09,5.62,7.38,6.28,5.41,6.75,8.19,6.66,5.03,5.5,6.69,4.72,1.44,-0.56,-0.78,-1.59,-3.78,-4.06,-1.75,0.66,0.47,0.16,1.31,2.25,-0.97,-4.66,-6.16,-5.62,-5.69,-6.25,-4.5,-1.12,1.06,0.69,0.81,2.97,4.69,3.41,1.53,1.38,2.19,0.72,-0.78,0.06,2.41,3.44,2.78,3.38,6.34,8.41,8.09,8.09,9.88,11.06,9.31,6.75,5.97,6.22,5.03,3.22,3.38,5.41,6.19,4.53,3.53,4.19,4.12,1.78,-0.09,0.84,3.0,3.28,3.22,5.19,8.25,9.0,7.62,7.5,8.91,9.22,7.53,6.59,8.66,10.81,10.53,10.31,11.84,13.34,12.31,9.47,7.53,7.03,5.19,1.56,0.09,1.38,2.53,1.88,1.75,4.19,6.44,6.34,5.59,7.44,10.28,11.06,10.53,11.22,12.38,11.38,8.56,7.16,8.53,9.91,9.28,8.84,9.97,10.75,8.72,5.66,4.75,5.09,4.62,3.16,3.38,6.16,7.72,6.72,6.09,7.94,9.16,8.53,7.91,9.97,12.44,12.28,10.28,9.78,10.44,9.5,7.03,6.03,7.12,7.53,5.19,2.88,3.38,3.84,2.19,0.91,2.38,4.84,5.81,5.25,5.56,7.28,7.28,5.41,4.34,5.91,6.91,5.62,4.69,6.0,7.16,6.0,4.25,4.19,5.56,5.06,2.84,1.81,2.0,0.62,-2.19,-3.91,-2.34,-0.25,-0.03,0.28,2.41,4.19,3.16,0.72,-0.12,0.47,0.53,-0.84,-0.47,2.34,4.41,4.53,4.75,7.47,9.16,7.44,4.28,2.53,1.22,-1.47,-4.91,-5.38,-3.59,-2.72,-4.12,-5.19,-4.38,-4.25,-6.0,-7.03,-4.56,-0.84,0.69,0.72,2.47,4.84,4.78,3.16,3.06,4.28,4.5,2.19,0.41,0.81,0.91,-1.03,-3.28,-2.69,-0.59,0.25,0.56,2.75,5.81,6.59,4.72,4.16,5.91,7.53,7.41,8.25,11.06,13.41,12.75,10.09,9.19,8.78,6.44,2.5,0.28,-0.44,-2.41,-6.78,-9.91,-10.31,-11.0,-13.47,-15.31,-14.34,-12.53,-12.25,-12.56,-9.69,-5.5,-2.66,-1.22,0.94,4.44,5.84,4.34,2.69,3.22,3.34,1.22,-0.88,-0.22,0.81,-0.28,-2.53,-2.78,-1.41,-0.97,-2.12,-2.0,0.22,1.78,1.16,1.41,4.38,8.06,9.12,9.41,11.0,12.5,10.94,6.47,3.38,1.72,-0.41,-4.09,-5.91,-4.62,-3.75,-5.44,-7.19,-7.03,-6.75,-8.69,-11.44,-11.97,-10.75,-11.47,-14.03,-14.72,-13.19,-12.34,-12.91,-12.62,-9.75,-6.69,-6.0,-4.81,-1.03,4.12,6.44,7.91,10.56,14.31,15.88,15.19,15.22,16.25,16.28,13.59,11.38,11.75,12.16,9.5,5.75,3.81,3.12,0.75,-1.81,-1.56,1.19,2.88,2.44,3.22,6.41,9.19,9.62,10.97,14.59,18.28,19.03,18.0,18.81,19.91,18.34,14.94,12.62,11.16,8.62,4.0,0.31,-0.38,-0.5,-2.5,-4.03,-2.62,0.06,0.94,1.19,3.56,7.53,10.22,11.0,13.09,17.06,19.84,19.28,18.94,20.03,21.12,19.03,16.62,16.69,17.56,15.88,13.0,11.34,11.16,9.56,6.56,4.94,5.16,4.91,1.88,-1.09,-1.47,-1.0,-2.31,-3.66,-2.38,0.44,1.5,1.03,2.44,5.81,8.19,8.28,8.81,10.94,11.97,9.75,7.28,7.28,7.62,5.91,3.09,1.78,2.34,1.22,-0.97,-1.69,0.12,0.47,-1.34,-2.75,-1.34,0.94,0.94,1.03,3.06,5.66,5.34,3.75,3.72,5.38,6.16,5.47,5.47,7.53,8.34,5.5,2.47,1.94,1.84,0.09,-1.12,0.25,3.47,5.09,5.44,7.22,10.59,12.16,10.72,10.03,10.84,11.0,8.81,6.97,8.09,10.0,9.62,8.69,9.84,12.06,12.19,10.94,10.81,12.22,12.62,10.94,9.66,10.81,11.0,8.34,5.06,4.03,4.12,2.06,-0.5,-0.53,1.5,2.03,1.53,2.41,5.47,7.84,7.81,8.06,10.56,13.0,12.5,10.81,10.88,11.31,9.09,5.56,3.75,4.06,3.62,1.44,0.88,2.78,3.91,2.31,0.56,1.03,1.78,-0.03,-1.88,-0.81,1.69,2.78,2.44,3.12,5.12,4.72,1.72,-1.0,-0.84,-0.34,-1.47,-1.81,0.81,4.09,4.84,4.22,5.25,7.62,8.03,6.72,6.06,7.38,8.03,6.25,4.59,5.75,6.5,4.25,1.34,1.34,2.72,2.53,2.0,3.94,7.41,9.25,9.59,10.62,14.31,16.97,16.88,16.59,18.22,19.25,17.84,15.5,15.53,16.69,16.0,13.72,13.12,14.56,14.97,13.62,13.03,14.91,15.97,14.5,12.12,12.53,13.22,11.59,8.81,8.34,8.94,8.12,5.97,5.84,8.34,10.12,9.84,9.75,11.91,13.97,13.25,11.91,13.22,15.06,14.25,12.25,11.94,13.41,13.53,11.84,11.53,13.69,14.22,12.34,10.34,11.03,11.59,9.94,7.75,8.59,10.66,10.78,9.56,10.44,12.69,13.69,12.12,11.59,13.62,14.97,13.56,12.25,13.78,14.66,13.16,10.59,10.66,12.16,12.56,11.91,12.75,15.59,16.88,14.84,13.03,13.66,13.62,11.5,9.59,10.91,13.38,13.44,12.5,13.22,14.84,14.28,11.94,11.25,12.97,13.94,12.41,11.38,13.0,14.75,14.72,14.16,16.97,20.09,20.84,19.38,19.59,20.38,19.47,16.47,14.22,15.12,15.81,14.44,13.5,15.16,17.0,16.22,14.56,15.22,16.78,16.62,14.0,13.22,14.44,14.62,12.91,12.34,14.41,16.06,14.5,12.56,12.47,12.53,10.69,8.47,9.06,11.97,13.5,12.94,13.69,15.66,16.25,14.41,12.62,13.47,13.56,11.31,8.66,8.94,10.53,10.5,9.53,10.84,13.0,14.09,12.47,11.94,13.66,14.5,12.94,11.94,13.84,15.62,15.75,14.97,16.66,18.31,17.97,15.78,14.94,15.66,15.09,12.62,11.0,11.66,12.44,11.16,10.34,12.91,16.25,17.09,17.0,18.31,19.81,19.38,16.41,14.75,15.22,15.31,13.34,12.53,14.22,15.78,14.38,13.03,14.03,16.38,16.56,15.69,16.84,19.38,19.78,17.81,16.91,17.53,17.81,16.06,15.28,17.22,19.34,18.75,17.25,17.72,18.62,17.59,15.28,15.0,16.03,15.69,12.91,10.84,10.72,10.38,7.78,6.22,7.94,10.62,11.34,11.59,13.06,15.22,15.22,13.47,13.12,14.88,16.22,15.34,15.38,17.66,19.25,17.53,15.12,14.16,14.53,12.53,10.25,10.34,12.03,12.25,10.53,10.44,11.94,13.59,12.62,12.22,14.0,15.88,15.44,15.19,17.22,20.66,21.75,21.25,21.72,23.59,24.41,22.97,23.03,25.06,26.25,24.84,22.62,22.41,22.12,18.69,14.53,12.69,12.34,11.0,9.62,10.84,14.59,17.91,18.78,20.5,23.75,25.69,24.56,22.81,23.19,24.41,23.31,21.84,22.56,24.78,24.75,23.16,21.94,22.75,22.44,19.69,18.44,20.16,22.62,23.09,22.97,24.69,26.66,25.81,23.66,23.38,25.16,25.53,24.19,23.88,24.81,24.56,21.19,17.41,16.31,16.22,14.66,13.78,16.22,19.75,21.47,21.38,21.88,23.97,24.59,23.22,22.88,25.19,26.78,25.12,23.0,22.78,22.66,20.66,18.12,17.59,18.62,17.75,15.34,14.31,16.16,17.0,16.28,16.88,20.25,23.28,23.88,23.81,26.16,29.34,29.69,29.34,30.38,32.31,32.38,30.41,28.88,29.62,29.09,26.22,23.81,24.0,24.09,22.09,19.44,18.78,19.0,17.47,15.06,14.16,15.28,15.28,13.66,12.94,14.81,16.62,16.25,16.09,18.16,20.62,20.75,19.5,20.31,22.22,22.56,21.75,22.31,24.78,26.25,25.34,24.84,26.41,28.03,26.94,25.28,25.84,27.12,26.16,24.34,15.62,13.72,10.44,8.06,7.19,6.03,4.28,3.84,5.5,6.56,5.78,5.25,6.78,8.41,8.97,9.25,11.38,14.06,14.66,14.09,14.53:6.38,8.38,10.69,10.84,10.09,11.84,14.12,14.28,12.06,10.69,11.53,11.38,9.47,8.28,9.97,11.47,10.0,8.44,9.16,10.62,10.22,8.91,10.0,12.72,14.22,13.47,14.03,16.16,16.75,14.34,11.84,11.41,10.69,7.81,5.06,4.88,6.44,7.0,6.09,7.44,9.81,11.22,10.47,10.75,13.78,15.91,15.44,14.62,16.0,17.19,15.38,12.62,12.16,12.88,12.19,9.69,8.97,9.97,9.69,7.06,5.88,7.34,8.59,8.0,7.34,8.72,10.47,9.56,6.88,5.78,6.03,5.09,3.22,3.66,6.97,10.28,11.53,12.84,16.12,19.19,17.94,15.44,14.75,14.25,11.41,7.47,5.31,5.22,3.78,0.38,-1.28,-0.38,0.53,-0.56,-1.28,0.56,2.66,2.06,0.66,2.0,4.69,5.72,5.38,5.94,7.78,8.06,5.56,3.88,4.81,5.72,3.75,1.38,1.34,1.62,-0.78,-3.97,-4.59,-3.53,-3.0,-3.25,-1.28,2.97,6.38,6.47,5.53,6.41,6.69,5.0,3.5,5.28,8.5,9.84,9.16,9.38,10.31,9.25,5.31,2.16,1.62,1.44,-0.72,-2.31,-0.91,0.59,-0.5,-1.81,-0.5,2.59,4.19,4.44,6.0,8.66,10.16,8.75,7.31,7.59,6.97,3.38,-0.16,-1.09,-0.47,-1.44,-2.75,-1.28,1.75,3.03,2.75,3.09,5.62,7.38,6.28,5.41,6.75,8.19,6.66,5.03,5.5,6.69,4.72,1.44,-0.56,-0.78,-1.59,-3.78,-4.06,-1.75,0.66,0.47,0.16,1.31,2.25,-0.97,-4.66,-6.16,-5.62,-5.69,-6.25,-4.5,-1.12,1.06,0.69,0.81,2.97,4.69,3.41,1.53,1.38,2.19,0.72,-0.78,0.06,2.41,3.44,2.78,3.38,6.34,8.41,8.09,8.09,9.88,11.06,9.31,6.75,5.97,6.22,5.03,3.22,3.38,5.41,6.19,4.53,3.53,4.19,4.12,1.78,-0.09,0.84,3.0,3.28,3.22,5.19,8.25,9.0,7.62,7.5,8.91,9.22,7.53,6.59,8.66,10.81,10.53,10.31,11.84,13.34,12.31,9.47,7.53,7.03,5.19,1.56,0.09,1.38,2.53,1.88,1.75,4.19,6.44,6.34,5.59,7.44,10.28,11.06,10.53,11.22,12.38,11.38,8.56,7.16,8.53,9.91,9.28,8.84,9.97,10.75,8.72,5.66,4.75,5.09,4.62,3.16,3.38,6.16,7.72,6.72,6.09,7.94,9.16,8.53,7.91,9.97,12.44,12.28,10.28,9.78,10.44,9.5,7.03,6.03,7.12,7.53,5.19,2.88,3.38,3.84,2.19,0.91,2.38,4.84,5.81,5.25,5.56,7.28,7.28,5.41,4.34,5.91,6.91,5.62,4.69,6.0,7.16,6.0,4.25,4.19,5.56,5.06,2.84,1.81,2.0,0.62,-2.19,-3.91,-2.34,-0.25,-0.03,0.28,2.41,4.19,3.16,0.72,-0.12,0.47,0.53,-0.84,-0.47,2.34,4.41,4.53,4.75,7.47,9.16,7.44,4.28,2.53,1.22,-1.47,-4.91,-5.38,-3.59,-2.72,-4.12,-5.19,-4.38,-4.25,-6.0,-7.03,-4.56,-0.84,0.69,0.72,2.47,4.84,4.78,3.16,3.06,4.28,4.5,2.19,0.41,0.81,0.91,-1.03,-3.28,-2.69,-0.59,0.25,0.56,2.75,5.81,6.59,4.72,4.16,5.91,7.53,7.41,8.25,11.06,13.41,12.75,10.09,9.19,8.78,6.44,2.5,0.28,-0.44,-2.41,-6.78,-9.91,-10.31,-11.0,-13.47,-15.31,-14.34,-12.53,-12.25,-12.56,-9.69,-5.5,-2.66,-1.22,0.94,4.44,5.84,4.34,2.69,3.22,3.34,1.22,-0.88,-0.22,0.81,-0.28,-2.53,-2.78,-1.41,-0.97,-2.12,-2.0,0.22,1.78,1.16,1.41,4.38,8.06,9.12,9.41,11.0,12.5,10.94,6.47,3.38,1.72,-0.41,-4.09,-5.91,-4.62,-3.75,-5.44,-7.19,-7.03,-6.75,-8.69,-11.44,-11.97,-10.75,-11.47,-14.03,-14.72,-13.19,-12.34,-12.91,-12.62,-9.75,-6.69,-6.0,-4.81,-1.03,4.12,6.44,7.91,10.56,14.31,15.88,15.19,15.22,16.25,16.28,13.59,11.38,11.75,12.16,9.5,5.75,3.81,3.12,0.75,-1.81,-1.56,1.19,2.88,2.44,3.22,6.41,9.19,9.62,10.97,14.59,18.28,19.03,18.0,18.81,19.91,18.34,14.94,12.62,11.16,8.62,4.0,0.31,-0.38,-0.5,-2.5,-4.03,-2.62,0.06,0.94,1.19,3.56,7.53,10.22,11.0,13.09,17.06,19.84,19.28,18.94,20.03,21.12,19.03,16.62,16.69,17.56,15.88,13.0,11.34,11.16,9.56,6.56,4.94,5.16,4.91,1.88,-1.09,-1.47,-1.0,-2.31,-3.66,-2.38,0.44,1.5,1.03,2.44,5.81,8.19,8.28,8.81,10.94,11.97,9.75,7.28,7.28,7.62,5.91,3.09,1.78,2.34,1.22,-0.97,-1.69,0.12,0.47,-1.34,-2.75,-1.34,0.94,0.94,1.03,3.06,5.66,5.34,3.75,3.72,5.38,6.16,5.47,5.47,7.53,8.34,5.5,2.47,1.94,1.84,0.09,-1.12,0.25,3.47,5.09,5.44,7.22,10.59,12.16,10.72,10.03,10.84,11.0,8.81,6.97,8.09,10.0,9.62,8.69,9.84,12.06,12.19,10.94,10.81,12.22,12.62,10.94,9.66,10.81,11.0,8.34,5.06,4.03,4.12,2.06,-0.5,-0.53,1.5,2.03,1.53,2.41,5.47,7.84,7.81,8.06,10.56,13.0,12.5,10.81,10.88,11.31,9.09,5.56,3.75,4.06,3.62,1.44,0.88,2.78,3.91,2.31,0.56,1.03,1.78,-0.03,-1.88,-0.81,1.69,2.78,2.44,3.12,5.12,4.72,1.72,-1.0,-0.84,-0.34,-1.47,-1.81,0.81,4.09,4.84,4.22,5.25,7.62,8.03,6.72,6.06,7.38,8.03,6.25,4.59,5.75,6.5,4.25,1.34,1.34,2.72,2.53,2.0,3.94,7.41,9.25,9.59,10.62,14.31,16.97,16.88,16.59,18.22,19.25,17.84,15.5,15.53,16.69,16.0,13.72,13.12,14.56,14.97,13.62,13.03,14.91,15.97,14.5,12.12,12.53,13.22,11.59,8.81,8.34,8.94,8.12,5.97,5.84,8.34,10.12,9.84,9.75,11.91,13.97,13.25,11.91,13.22,15.06,14.25,12.25,11.94,13.41,13.53,11.84,11.53,13.69,14.22,12.34,10.34,11.03,11.59,9.94,7.75,8.59,10.66,10.78,9.56,10.44,12.69,13.69,12.12,11.59,13.62,14.97,13.56,12.25,13.78,14.66,13.16,10.59,10.66,12.16,12.56,11.91,12.75,15.59,16.88,14.84,13.03,13.66,13.62,11.5,9.59,10.91,13.38,13.44,12.5,13.22,14.84,14.28,11.94,11.25,12.97,13.94,12.41,11.38,13.0,14.75,14.72,14.16,16.97,20.09,20.84,19.38,19.59,20.38,19.47,16.47,14.22,15.12,15.81,14.44,13.5,15.16,17.0,16.22,14.56,15.22,16.78,16.62,14.0,13.22,14.44,14.62,12.91,12.34,14.41,16.06,14.5,12.56,12.47,12.53,10.69,8.47,9.06,11.97,13.5,12.94,13.69,15.66,16.25,14.41,12.62,13.47,13.56,11.31,8.66,8.94,10.53,10.5,9.53,10.84,13.0,14.09,12.47,11.94,13.66,14.5,12.94,11.94,13.84,15.62,15.75,14.97,16.66,18.31,17.97,15.78,14.94,15.66,15.09,12.62,11.0,11.66,12.44,11.16,10.34,12.91,16.25,17.09,17.0,18.31,19.81,19.38,16.41,14.75,15.22,15.31,13.34,12.53,14.22,15.78,14.38,13.03,14.03,16.38,16.56,15.69,16.84,19.38,19.78,17.81,16.91,17.53,17.81,16.06,15.28,17.22,19.34,18.75,17.25,17.72,18.62,17.59,15.28,15.0,16.03,15.69,12.91,10.84,10.72,10.38,7.78,6.22,7.94,10.62,11.34,11.59,13.06,15.22,15.22,13.47,13.12,14.88,16.22,15.34,15.38,17.66,19.25,17.53,15.12,14.16,14.53,12.53,10.25,10.34,12.03,12.25,10.53,10.44,11.94,13.59,12.62,12.22,14.0,15.88,15.44,15.19,17.22,20.66,21.75,21.25,21.72,23.59,24.41,22.97,23.03,25.06,26.25,24.84,22.62,22.41,22.12,18.69,14.53,12.69,12.34,11.0,9.62,10.84,14.59,17.91,18.78,20.5,23.75,25.69,24.56,22.81,23.19,24.41,23.31,21.84,22.56,24.78,24.75,23.16,21.94,22.75,22.44,19.69,18.44,20.16,22.62,23.09,22.97,24.69,26.66,25.81,23.66,23.38,25.16,25.53,24.19,23.88,24.81,24.56,21.19,17.41,16.31,16.22,14.66,13.78,16.22,19.75,21.47,21.38,21.88,23.97,24.59,23.22,22.88,25.19,26.78,25.12,23.0,22.78,22.66,20.66,18.12,17.59,18.62,17.75,15.34,14.31,16.16,17.0,16.28,16.88,20.25,23.28,23.88,23.81,26.16,29.34,29.69,29.34,30.38,32.31,32.38,30.41,28.88,29.62,29.09,26.22,23.81,24.0,24.09,22.09,19.44,18.78,19.0,17.47,15.06,14.16,15.28,15.28,13.66,12.94,14.81,16.62,16.25,16.09,18.16,20.62,20.75,19.5,20.31,22.22,22.56,21.75,22.31,24.78,26.25,25.34,24.84,26.41,28.03,26.94,25.28,25.84,27.12,26.16,24.34,15.62,13.72,10.44,8.06,7.19,6.03,4.28,3.84,5.5,6.56,5.78,5.25,6.78,8.41,8.97,9.25,11.38,14.06,14.66,14.09,14.53,16.38,17.0,16.66,16.66,18.06,19.41,19.06:14.28,12.06,10.69,11.53,11.38,9.47,8.28,9.97,11.47,10.0,8.44,9.16,10.62,10.22,8.91,10.0,12.72,14.22,13.47,14.03,16.16,16.75,14.34,11.84,11.41,10.69,7.81,5.06,4.88,6.44,7.0,6.09,7.44,9.81,11.22,10.47,10.75,13.78,15.91,15.44,14.62,16.0,17.19,15.38,12.62,12.16,12.88,12.19,9.69,8.97,9.97,9.69,7.06,5.88,7.34,8.59,8.0,7.34,8.72,10.47,9.56,6.88,5.78,6.03,5.09,3.22,3.66,6.97,10.28,11.53,12.84,16.12,19.19,17.94,15.44,14.75,14.25,11.41,7.47,5.31,5.22,3.78,0.38,-1.28,-0.38,0.53,-0.56,-1.28,0.56,2.66,2.06,0.66,2.0,4.69,5.72,5.38,5.94,7.78,8.06,5.56,3.88,4.81,5.72,3.75,1.38,1.34,1.62,-0.78,-3.97,-4.59,-3.53,-3.0,-3.25,-1.28,2.97,6.38,6.47,5.53,6.41,6.69,5.0,3.5,5.28,8.5,9.84,9.16,9.38,10.31,9.25,5.31,2.16,1.62,1.44,-0.72,-2.31,-0.91,0.59,-0.5,-1.81,-0.5,2.59,4.19,4.44,6.0,8.66,10.16,8.75,7.31,7.59,6.97,3.38,-0.16,-1.09,-0.47,-1.44,-2.75,-1.28,1.75,3.03,2.75,3.09,5.62,7.38,6.28,5.41,6.75,8.19,6.66,5.03,5.5,6.69,4.72,1.44,-0.56,-0.78,-1.59,-3.78,-4.06,-1.75,0.66,0.47,0.16,1.31,2.25,-0.97,-4.66,-6.16,-5.62,-5.69,-6.25,-4.5,-1.12,1.06,0.69,0.81,2.97,4.69,3.41,1.53,1.38,2.19,0.72,-0.78,0.06,2.41,3.44,2.78,3.38,6.34,8.41,8.09,8.09,9.88,11.06,9.31,6.75,5.97,6.22,5.03,3.22,3.38,5.41,6.19,4.53,3.53,4.19,4.12,1.78,-0.09,0.84,3.0,3.28,3.22,5.19,8.25,9.0,7.62,7.5,8.91,9.22,7.53,6.59,8.66,10.81,10.53,10.31,11.84,13.34,12.31,9.47,7.53,7.03,5.19,1.56,0.09,1.38,2.53,1.88,1.75,4.19,6.44,6.34,5.59,7.44,10.28,11.06,10.53,11.22,12.38,11.38,8.56,7.16,8.53,9.91,9.28,8.84,9.97,10.75,8.72,5.66,4.75,5.09,4.62,3.16,3.38,6.16,7.72,6.72,6.09,7.94,9.16,8.53,7.91,9.97,12.44,12.28,10.28,9.78,10.44,9.5,7.03,6.03,7.12,7.53,5.19,2.88,3.38,3.84,2.19,0.91,2.38,4.84,5.81,5.25,5.56,7.28,7.28,5.41,4.34,5.91,6.91,5.62,4.69,6.0,7.16,6.0,4.25,4.19,5.56,5.06,2.84,1.81,2.0,0.62,-2.19,-3.91,-2.34,-0.25,-0.03,0.28,2.41,4.19,3.16,0.72,-0.12,0.47,0.53,-0.84,-0.47,2.34,4.41,4.53,4.75,7.47,9.16,7.44,4.28,2.53,1.22,-1.47,-4.91,-5.38,-3.59,-2.72,-4.12,-5.19,-4.38,-4.25,-6.0,-7.03,-4.56,-0.84,0.69,0.72,2.47,4.84,4.78,3.16,3.06,4.28,4.5,2.19,0.41,0.81,0.91,-1.03,-3.28,-2.69,-0.59,0.25,0.56,2.75,5.81,6.59,4.72,4.16,5.91,7.53,7.41,8.25,11.06,13.41,12.75,10.09,9.19,8.78,6.44,2.5,0.28,-0.44,-2.41,-6.78,-9.91,-10.31,-11.0,-13.47,-15.31,-14.34,-12.53,-12.25,-12.56,-9.69,-5.5,-2.66,-1.22,0.94,4.44,5.84,4.34,2.69,3.22,3.34,1.22,-0.88,-0.22,0.81,-0.28,-2.53,-2.78,-1.41,-0.97,-2.12,-2.0,0.22,1.78,1.16,1.41,4.38,8.06,9.12,9.41,11.0,12.5,10.94,6.47,3.38,1.72,-0.41,-4.09,-5.91,-4.62,-3.75,-5.44,-7.19,-7.03,-6.75,-8.69,-11.44,-11.97,-10.75,-11.47,-14.03,-14.72,-13.19,-12.34,-12.91,-12.62,-9.75,-6.69,-6.0,-4.81,-1.03,4.12,6.44,7.91,10.56,14.31,15.88,15.19,15.22,16.25,16.28,13.59,11.38,11.75,12.16,9.5,5.75,3.81,3.12,0.75,-1.81,-1.56,1.19,2.88,2.44,3.22,6.41,9.19,9.62,10.97,14.59,18.28,19.03,18.0,18.81,19.91,18.34,14.94,12.62,11.16,8.62,4.0,0.31,-0.38,-0.5,-2.5,-4.03,-2.62,0.06,0.94,1.19,3.56,7.53,10.22,11.0,13.09,17.06,19.84,19.28,18.94,20.03,21.12,19.03,16.62,16.69,17.56,15.88,13.0,11.34,11.16,9.56,6.56,4.94,5.16,4.91,1.88,-1.09,-1.47,-1.0,-2.31,-3.66,-2.38,0.44,1.5,1.03,2.44,5.81,8.19,8.28,8.81,10.94,11.97,9.75,7.28,7.28,7.62,5.91,3.09,1.78,2.34,1.22,-0.97,-1.69,0.12,0.47,-1.34,-2.75,-1.34,0.94,0.94,1.03,3.06,5.66,5.34,3.75,3.72,5.38,6.16,5.47,5.47,7.53,8.34,5.5,2.47,1.94,1.84,0.09,-1.12,0.25,3.47,5.09,5.44,7.22,10.59,12.16,10.72,10.03,10.84,11.0,8.81,6.97,8.09,10.0,9.62,8.69,9.84,12.06,12.19,10.94,10.81,12.22,12.62,10.94,9.66,10.81,11.0,8.34,5.06,4.03,4.12,2.06,-0.5,-0.53,1.5,2.03,1.53,2.41,5.47,7.84,7.81,8.06,10.56,13.0,12.5,10.81,10.88,11.31,9.09,5.56,3.75,4.06,3.62,1.44,0.88,2.78,3.91,2.31,0.56,1.03,1.78,-0.03,-1.88,-0.81,1.69,2.78,2.44,3.12,5.12,4.72,1.72,-1.0,-0.84,-0.34,-1.47,-1.81,0.81,4.09,4.84,4.22,5.25,7.62,8.03,6.72,6.06,7.38,8.03,6.25,4.59,5.75,6.5,4.25,1.34,1.34,2.72,2.53,2.0,3.94,7.41,9.25,9.59,10.62,14.31,16.97,16.88,16.59,18.22,19.25,17.84,15.5,15.53,16.69,16.0,13.72,13.12,14.56,14.97,13.62,13.03,14.91,15.97,14.5,12.12,12.53,13.22,11.59,8.81,8.34,8.94,8.12,5.97,5.84,8.34,10.12,9.84,9.75,11.91,13.97,13.25,11.91,13.22,15.06,14.25,12.25,11.94,13.41,13.53,11.84,11.53,13.69,14.22,12.34,10.34,11.03,11.59,9.94,7.75,8.59,10.66,10.78,9.56,10.44,12.69,13.69,12.12,11.59,13.62,14.97,13.56,12.25,13.78,14.66,13.16,10.59,10.66,12.16,12.56,11.91,12.75,15.59,16.88,14.84,13.03,13.66,13.62,11.5,9.59,10.91,13.38,13.44,12.5,13.22,14.84,14.28,11.94,11.25,12.97,13.94,12.41,11.38,13.0,14.75,14.72,14.16,16.97,20.09,20.84,19.38,19.59,20.38,19.47,16.47,14.22,15.12,15.81,14.44,13.5,15.16,17.0,16.22,14.56,15.22,16.78,16.62,14.0,13.22,14.44,14.62,12.91,12.34,14.41,16.06,14.5,12.56,12.47,12.53,10.69,8.47,9.06,11.97,13.5,12.94,13.69,15.66,16.25,14.41,12.62,13.47,13.56,11.31,8.66,8.94,10.53,10.5,9.53,10.84,13.0,14.09,12.47,11.94,13.66,14.5,12.94,11.94,13.84,15.62,15.75,14.97,16.66,18.31,17.97,15.78,14.94,15.66,15.09,12.62,11.0,11.66,12.44,11.16,10.34,12.91,16.25,17.09,17.0,18.31,19.81,19.38,16.41,14.75,15.22,15.31,13.34,12.53,14.22,15.78,14.38,13.03,14.03,16.38,16.56,15.69,16.84,19.38,19.78,17.81,16.91,17.53,17.81,16.06,15.28,17.22,19.34,18.75,17.25,17.72,18.62,17.59,15.28,15.0,16.03,15.69,12.91,10.84,10.72,10.38,7.78,6.22,7.94,10.62,11.34,11.59,13.06,15.22,15.22,13.47,13.12,14.88,16.22,15.34,15.38,17.66,19.25,17.53,15.12,14.16,14.53,12.53,10.25,10.34,12.03,12.25,10.53,10.44,11.94,13.59,12.62,12.22,14.0,15.88,15.44,15.19,17.22,20.66,21.75,21.25,21.72,23.59,24.41,22.97,23.03,25.06,26.25,24.84,22.62,22.41,22.12,18.69,14.53,12.69,12.34,11.0,9.62,10.84,14.59,17.91,18.78,20.5,23.75,25.69,24.56,22.81,23.19,24.41,23.31,21.84,22.56,24.78,24.75,23.16,21.94,22.75,22.44,19.69,18.44,20.16,22.62,23.09,22.97,24.69,26.66,25.81,23.66,23.38,25.16,25.53,24.19,23.88,24.81,24.56,21.19,17.41,16.31,16.22,14.66,13.78,16.22,19.75,21.47,21.38,21.88,23.97,24.59,23.22,22.88,25.19,26.78,25.12,23.0,22.78,22.66,20.66,18.12,17.59,18.62,17.75,15.34,14.31,16.16,17.0,16.28,16.88,20.25,23.28,23.88,23.81,26.16,29.34,29.69,29.34,30.38,32.31,32.38,30.41,28.88,29.62,29.09,26.22,23.81,24.0,24.09,22.09,19.44,18.78,19.0,17.47,15.06,14.16,15.28,15.28,13.66,12.94,14.81,16.62,16.25,16.09,18.16,20.62,20.75,19.5,20.31,22.22,22.56,21.75,22.31,24.78,26.25,25.34,24.84,26.41,28.03,26.94,25.28,25.84,27.12,26.16,24.34,15.62,13.72,10.44,8.06,7.19,6.03,4.28,3.84,5.5,6.56,5.78,5.25,6.78,8.41,8.97,9.25,11.38,14.06,14.66,14.09,14.53,16.38,17.0,16.66,16.66,18.06,19.41,19.06,18.09,19.19,20.41,19.94,18.81,19.12,20.16:9.97,11.47,10.0,8.44,9.16,10.62,10.22,8.91,10.0,12.72,14.22,13.47,14.03,16.16,16.75,14.34,11.84,11.41,10.69,7.81,5.06,4.88,6.44,7.0,6.09,7.44,9.81,11.22,10.47,10.75,13.78,15.91,15.44,14.62,16.0,17.19,15.38,12.62,12.16,12.88,12.19,9.69,8.97,9.97,9.69,7.06,5.88,7.34,8.59,8.0,7.34,8.72,10.47,9.56,6.88,5.78,6.03,5.09,3.22,3.66,6.97,10.28,11.53,12.84,16.12,19.19,17.94,15.44,14.75,14.25,11.41,7.47,5.31,5.22,3.78,0.38,-1.28,-0.38,0.53,-0.56,-1.28,0.56,2.66,2.06,0.66,2.0,4.69,5.72,5.38,5.94,7.78,8.06,5.56,3.88,4.81,5.72,3.75,1.38,1.34,1.62,-0.78,-3.97,-4.59,-3.53,-3.0,-3.25,-1.28,2.97,6.38,6.47,5.53,6.41,6.69,5.0,3.5,5.28,8.5,9.84,9.16,9.38,10.31,9.25,5.31,2.16,1.62,1.44,-0.72,-2.31,-0.91,0.59,-0.5,-1.81,-0.5,2.59,4.19,4.44,6.0,8.66,10.16,8.75,7.31,7.59,6.97,3.38,-0.16,-1.09,-0.47,-1.44,-2.75,-1.28,1.75,3.03,2.75,3.09,5.62,7.38,6.28,5.41,6.75,8.19,6.66,5.03,5.5,6.69,4.72,1.44,-0.56,-0.78,-1.59,-3.78,-4.06,-1.75,0.66,0.47,0.16,1.31,2.25,-0.97,-4.66,-6.16,-5.62,-5.69,-6.25,-4.5,-1.12,1.06,0.69,0.81,2.97,4.69,3.41,1.53,1.38,2.19,0.72,-0.78,0.06,2.41,3.44,2.78,3.38,6.34,8.41,8.09,8.09,9.88,11.06,9.31,6.75,5.97,6.22,5.03,3.22,3.38,5.41,6.19,4.53,3.53,4.19,4.12,1.78,-0.09,0.84,3.0,3.28,3.22,5.19,8.25,9.0,7.62,7.5,8.91,9.22,7.53,6.59,8.66,10.81,10.53,10.31,11.84,13.34,12.31,9.47,7.53,7.03,5.19,1.56,0.09,1.38,2.53,1.88,1.75,4.19,6.44,6.34,5.59,7.44,10.28,11.06,10.53,11.22,12.38,11.38,8.56,7.16,8.53,9.91,9.28,8.84,9.97,10.75,8.72,5.66,4.75,5.09,4.62,3.16,3.38,6.16,7.72,6.72,6.09,7.94,9.16,8.53,7.91,9.97,12.44,12.28,10.28,9.78,10.44,9.5,7.03,6.03,7.12,7.53,5.19,2.88,3.38,3.84,2.19,0.91,2.38,4.84,5.81,5.25,5.56,7.28,7.28,5.41,4.34,5.91,6.91,5.62,4.69,6.0,7.16,6.0,4.25,4.19,5.56,5.06,2.84,1.81,2.0,0.62,-2.19,-3.91,-2.34,-0.25,-0.03,0.28,2.41,4.19,3.16,0.72,-0.12,0.47,0.53,-0.84,-0.47,2.34,4.41,4.53,4.75,7.47,9.16,7.44,4.28,2.53,1.22,-1.47,-4.91,-5.38,-3.59,-2.72,-4.12,-5.19,-4.38,-4.25,-6.0,-7.03,-4.56,-0.84,0.69,0.72,2.47,4.84,4.78,3.16,3.06,4.28,4.5,2.19,0.41,0.81,0.91,-1.03,-3.28,-2.69,-0.59,0.25,0.56,2.75,5.81,6.59,4.72,4.16,5.91,7.53,7.41,8.25,11.06,13.41,12.75,10.09,9.19,8.78,6.44,2.5,0.28,-0.44,-2.41,-6.78,-9.91,-10.31,-11.0,-13.47,-15.31,-14.34,-12.53,-12.25,-12.56,-9.69,-5.5,-2.66,-1.22,0.94,4.44,5.84,4.34,2.69,3.22,3.34,1.22,-0.88,-0.22,0.81,-0.28,-2.53,-2.78,-1.41,-0.97,-2.12,-2.0,0.22,1.78,1.16,1.41,4.38,8.06,9.12,9.41,11.0,12.5,10.94,6.47,3.38,1.72,-0.41,-4.09,-5.91,-4.62,-3.75,-5.44,-7.19,-7.03,-6.75,-8.69,-11.44,-11.97,-10.75,-11.47,-14.03,-14.72,-13.19,-12.34,-12.91,-12.62,-9.75,-6.69,-6.0,-4.81,-1.03,4.12,6.44,7.91,10.56,14.31,15.88,15.19,15.22,16.25,16.28,13.59,11.38,11.75,12.16,9.5,5.75,3.81,3.12,0.75,-1.81,-1.56,1.19,2.88,2.44,3.22,6.41,9.19,9.62,10.97,14.59,18.28,19.03,18.0,18.81,19.91,18.34,14.94,12.62,11.16,8.62,4.0,0.31,-0.38,-0.5,-2.5,-4.03,-2.62,0.06,0.94,1.19,3.56,7.53,10.22,11.0,13.09,17.06,19.84,19.28,18.94,20.03,21.12,19.03,16.62,16.69,17.56,15.88,13.0,11.34,11.16,9.56,6.56,4.94,5.16,4.91,1.88,-1.09,-1.47,-1.0,-2.31,-3.66,-2.38,0.44,1.5,1.03,2.44,5.81,8.19,8.28,8.81,10.94,11.97,9.75,7.28,7.28,7.62,5.91,3.09,1.78,2.34,1.22,-0.97,-1.69,0.12,0.47,-1.34,-2.75,-1.34,0.94,0.94,1.03,3.06,5.66,5.34,3.75,3.72,5.38,6.16,5.47,5.47,7.53,8.34,5.5,2.47,1.94,1.84,0.09,-1.12,0.25,3.47,5.09,5.44,7.22,10.59,12.16,10.72,10.03,10.84,11.0,8.81,6.97,8.09,10.0,9.62,8.69,9.84,12.06,12.19,10.94,10.81,12.22,12.62,10.94,9.66,10.81,11.0,8.34,5.06,4.03,4.12,2.06,-0.5,-0.53,1.5,2.03,1.53,2.41,5.47,7.84,7.81,8.06,10.56,13.0,12.5,10.81,10.88,11.31,9.09,5.56,3.75,4.06,3.62,1.44,0.88,2.78,3.91,2.31,0.56,1.03,1.78,-0.03,-1.88,-0.81,1.69,2.78,2.44,3.12,5.12,4.72,1.72,-1.0,-0.84,-0.34,-1.47,-1.81,0.81,4.09,4.84,4.22,5.25,7.62,8.03,6.72,6.06,7.38,8.03,6.25,4.59,5.75,6.5,4.25,1.34,1.34,2.72,2.53,2.0,3.94,7.41,9.25,9.59,10.62,14.31,16.97,16.88,16.59,18.22,19.25,17.84,15.5,15.53,16.69,16.0,13.72,13.12,14.56,14.97,13.62,13.03,14.91,15.97,14.5,12.12,12.53,13.22,11.59,8.81,8.34,8.94,8.12,5.97,5.84,8.34,10.12,9.84,9.75,11.91,13.97,13.25,11.91,13.22,15.06,14.25,12.25,11.94,13.41,13.53,11.84,11.53,13.69,14.22,12.34,10.34,11.03,11.59,9.94,7.75,8.59,10.66,10.78,9.56,10.44,12.69,13.69,12.12,11.59,13.62,14.97,13.56,12.25,13.78,14.66,13.16,10.59,10.66,12.16,12.56,11.91,12.75,15.59,16.88,14.84,13.03,13.66,13.62,11.5,9.59,10.91,13.38,13.44,12.5,13.22,14.84,14.28,11.94,11.25,12.97,13.94,12.41,11.38,13.0,14.75,14.72,14.16,16.97,20.09,20.84,19.38,19.59,20.38,19.47,16.47,14.22,15.12,15.81,14.44,13.5,15.16,17.0,16.22,14.56,15.22,16.78,16.62,14.0,13.22,14.44,14.62,12.91,12.34,14.41,16.06,14.5,12.56,12.47,12.53,10.69,8.47,9.06,11.97,13.5,12.94,13.69,15.66,16.25,14.41,12.62,13.47,13.56,11.31,8.66,8.94,10.53,10.5,9.53,10.84,13.0,14.09,12.47,11.94,13.66,14.5,12.94,11.94,13.84,15.62,15.75,14.97,16.66,18.31,17.97,15.78,14.94,15.66,15.09,12.62,11.0,11.66,12.44,11.16,10.34,12.91,16.25,17.09,17.0,18.31,19.81,19.38,16.41,14.75,15.22,15.31,13.34,12.53,14.22,15.78,14.38,13.03,14.03,16.38,16.56,15.69,16.84,19.38,19.78,17.81,16.91,17.53,17.81,16.06,15.28,17.22,19.34,18.75,17.25,17.72,18.62,17.59,15.28,15.0,16.03,15.69,12.91,10.84,10.72,10.38,7.78,6.22,7.94,10.62,11.34,11.59,13.06,15.22,15.22,13.47,13.12,14.88,16.22,15.34,15.38,17.66,19.25,17.53,15.12,14.16,14.53,12.53,10.25,10.34,12.03,12.25,10.53,10.44,11.94,13.59,12.62,12.22,14.0,15.88,15.44,15.19,17.22,20.66,21.75,21.25,21.72,23.59,24.41,22.97,23.03,25.06,26.25,24.84,22.62,22.41,22.12,18.69,14.53,12.69,12.34,11.0,9.62,10.84,14.59,17.91,18.78,20.5,23.75,25.69,24.56,22.81,23.19,24.41,23.31,21.84,22.56,24.78,24.75,23.16,21.94,22.75,22.44,19.69,18.44,20.16,22.62,23.09,22.97,24.69,26.66,25.81,23.66,23.38,25.16,25.53,24.19,23.88,24.81,24.56,21.19,17.41,16.31,16.22,14.66,13.78,16.22,19.75,21.47,21.38,21.88,23.97,24.59,23.22,22.88,25.19,26.78,25.12,23.0,22.78,22.66,20.66,18.12,17.59,18.62,17.75,15.34,14.31,16.16,17.0,16.28,16.88,20.25,23.28,23.88,23.81,26.16,29.34,29.69,29.34,30.38,32.31,32.38,30.41,28.88,29.62,29.09,26.22,23.81,24.0,24.09,22.09,19.44,18.78,19.0,17.47,15.06,14.16,15.28,15.28,13.66,12.94,14.81,16.62,16.25,16.09,18.16,20.62,20.75,19.5,20.31,22.22,22.56,21.75,22.31,24.78,26.25,25.34,24.84,26.41,28.03,26.94,25.28,25.84,27.12,26.16,24.34,15.62,13.72,10.44,8.06,7.19,6.03,4.28,3.84,5.5,6.56,5.78,5.25,6.78,8.41,8.97,9.25,11.38,14.06,14.66,14.09,14.53,16.38,17.0,16.66,16.66,18.06,19.41,19.06,18.09,19.19,20.41,19.94,18.81,19.12,20.16,19.31,16.81,14.84,14.31,13.31,11.62,10.91:negativity
11.16,10.41,9.38,9.88,10.28,9.53,8.88,10.25,12.25,13.06,12.69,13.12,14.59,15.25,14.56,14.62,16.16,17.22,16.97,16.12,16.38,15.78,12.91,8.69,5.97,4.47,2.81,1.34,1.03,1.81,1.78,0.47,0.34,2.53,5.44,7.59,9.09,11.75,13.94,14.59,14.66,16.53,19.91,22.31,23.5,25.06,27.19,27.59,26.0,24.66,24.34,23.44,21.16,18.53,17.56,17.19,15.91,14.25,13.97,14.38,13.97,12.66,12.06,12.94,13.62,12.47,11.62,11.97,12.25,11.22,10.38,11.59,13.72,14.56,14.44,14.59,15.06,13.97,11.81,10.56,11.28,11.59,10.72,10.03,10.16,9.91,7.62,5.0,3.75,3.12,2.31,1.31,2.66,5.56,8.44,10.16,12.25,15.72,18.03,18.28,18.19,18.84,19.47,18.31,16.75,17.03,17.84,17.84,16.94,17.44,18.84,19.5,18.06,16.5,15.53,14.19,10.69,7.78,6.97,7.03,6.31,5.72,6.84,8.25,8.38,6.66,5.81,5.66,5.44,3.88,3.19,4.25,5.5,4.44,3.53,4.59,6.22,7.31,8.69,12.19,16.81,19.94,20.72,21.53,22.03,20.84,17.97,15.53,15.03,14.34,11.84,8.78,6.53,4.75,2.16,0.62,2.12,5.78,10.03,13.34,16.69,20.25,22.19,21.59,21.41,22.38,23.72,23.91,23.97,24.91,26.06,25.38,23.91,23.03,22.34,21.09,17.59,13.81,11.16,8.16,3.81,0.88,0.94,2.06,2.34,2.75,4.5,6.59,6.75,5.78,5.34,5.91,6.03,5.56,6.03,8.5,11.19,12.09,13.34,16.12,19.16,20.59,21.16,22.66,24.22,24.16,22.44,20.91,20.03,18.25,14.97,12.31,11.59,11.0,8.69,6.56,5.81,5.72,4.28,2.94,3.53,5.78,7.59,9.31,12.22,16.28,19.78,20.75,22.12,23.88,24.66,23.56,21.41,20.38,19.47,17.59,15.28,14.78,16.09,16.62,16.44,16.44,16.94,16.53,13.72,11.22,9.66,8.22,5.47,2.91,1.97,2.62,2.75,3.0,5.06,8.06,10.34,11.41,13.03,15.75,18.03,18.53,19.47,21.78,23.91,23.94,22.91,22.16,21.12,18.03,14.12,11.19,9.88,7.91,5.38,4.22,4.94,6.34,6.41,7.09,9.06,10.84,10.53,9.31,8.94,8.94,7.94,6.44,6.69,8.78,10.81,12.09,14.03,16.66,18.47,18.03,17.09,17.28,18.12,17.44,16.44,16.38,16.88,15.84,14.16,13.62,14.47,15.06,14.97,15.56,17.53,19.62,20.12,20.66,22.0,23.88,23.72,22.75,22.16,21.41,19.81,16.78,14.66,14.44,14.31,13.72,13.72,14.94,16.53,16.19,15.47,16.28,17.75,18.0,17.62,18.09,19.75,20.66,20.75,21.66,23.41,24.72,23.81,22.94,22.62,22.31,20.16,17.88,16.81,16.97,16.03,14.94,15.19,16.41,17.0,16.22,15.34,16.19,16.06,15.06,14.78,16.62,19.16,20.12,20.53,21.16,22.09,20.88,18.97,17.81,18.19,17.91,16.56,15.88,16.44,16.5,15.28,14.31,15.28,16.75,17.16,17.53,18.44,19.31,18.91,17.28,16.44,17.59,18.84,19.38,20.41,22.66,24.38,24.25,23.44,23.94,24.94,24.62,23.88,24.03,25.5,25.38,24.56,24.47,25.81,27.0,27.03,27.22,29.22,30.34,29.94,28.62,28.31,27.88,26.06,23.09,20.94,19.97,18.5,16.72,16.22,17.78,19.53,19.69,19.69,20.31,20.41,19.12,17.72,18.22,19.66,20.0,19.03,18.06,17.78,16.38,14.19,12.78,13.38,14.19,14.06,14.5,16.5,18.5,18.78,17.62,17.16,16.81,15.25,13.09,11.94,12.72,12.88,12.28,12.41,14.0,15.75,16.31,16.69,18.69,20.56,20.72,19.72,19.53,19.88,19.19,17.97,17.47,18.59,19.12,18.38,17.75,19.06,20.53,20.12,19.75,20.25,20.78,19.78,18.09,17.72,18.53,18.53,18.31,18.12,19.16,18.84,17.0,15.5,15.41,15.53,14.31,13.03,12.94,13.44,12.72,11.97,12.56,13.94,14.19,13.75,13.69,14.88,15.69,15.38,15.03,16.12,16.66,15.41,13.38,12.5,12.28,11.12,9.19,8.28,8.03,7.06,4.75,3.06,3.59,3.88,3.41,3.12,4.69,6.44,6.94,7.22,9.03,11.5,13.0,13.59,14.38,15.41,15.09,13.5,12.12,11.97,12.06,10.84,9.56,9.88,10.0,8.94,7.69,7.56,8.69,9.47,9.28,10.06,11.09,10.97,8.78,6.66,6.0,5.5,4.0,2.62,3.22,3.56,2.84,1.88,2.25,4.31,6.03,7.09,8.94,11.62,13.38,13.56,13.25,13.94,14.28,13.09,11.88,12.91,14.62,15.53,15.88,16.81,18.03,18.25,17.5,17.19,18.44,19.19,18.06,16.34,15.84,14.75,12.69,9.94,8.88,8.25,6.91,4.81,4.25,5.25,6.0,5.56,5.47,6.78,8.09,8.12,8.41,10.47,12.28,12.22,11.25,11.34,11.84,11.69,11.0,11.12,12.94,14.38,14.59,14.78,16.38,16.94,15.56,13.84,13.62,13.75,12.78,11.03,10.84,11.59,11.5,10.62,10.59,12.0,12.81,12.25,12.09,13.59,15.91,17.0,17.75,19.75,21.72,21.53,20.09,19.34,19.0,17.44,14.47,12.5,12.22,11.91,10.78,9.59,9.59,9.34,7.56,5.62,6.0,7.59,9.03,9.97,12.28,14.97,16.56,16.12,15.47,15.59,15.59,13.72,12.28,12.59,13.72,13.72,13.72,15.41,17.5,18.12,17.72,17.62,18.22,18.38,17.03,16.38,16.78,16.31,14.0,11.28,10.0,9.62,8.5,7.41,8.38,10.66,11.97,12.22,13.44,15.09,16.19,15.94,16.41,18.38,20.22,20.62,20.25,21.03,21.72,20.81,18.91,18.22,18.66,18.72,17.62,17.69,18.91,19.41,18.41,17.88,18.62,19.72,18.69,17.5,18.12,19.31,20.0,20.56,22.38,24.81,26.12,25.34,24.28,22.66,20.12,16.0,12.69,11.5,11.69,11.03,10.34,10.91,11.28,10.59,9.72,10.12,12.03,13.69,14.66,15.81,17.94,19.16,18.31,17.53,17.69,18.03,17.19,16.5,17.22,18.47,18.75,17.81,17.44,18.25,18.62,17.5,16.91,17.03,16.88,15.31,13.59,13.62,14.44,14.03,13.25,13.78,15.44,16.09,15.5,15.47,15.94,15.41,13.0,11.41,11.47,12.28,11.78,11.59,12.62,14.06,13.81,12.81,13.28,14.59,15.56,15.22,16.0,18.09,18.56,17.0,15.28,14.28,13.06,10.84,9.06,9.22,10.25,9.91,8.09,6.78,6.06,4.56,2.78,3.0,5.5,8.38,9.66,10.72,12.62,14.0,13.72,13.28,14.59,16.75,17.56,16.84,16.0,15.09,12.25,7.56,4.0,2.16,1.16,-0.34,-0.53,1.62,4.84,7.31,9.78,12.97,17.0,19.59,20.53,22.31,24.84,26.12,25.5,24.97,24.81,24.06,21.44,19.25,18.62,19.19,18.78,18.41,19.22,20.53,20.69,19.34,18.5,18.38,17.91,15.97,15.0,16.16,17.91,18.53,19.94,22.91,26.12,27.03,26.44,26.19,25.84,24.56,22.31,21.0,20.75,20.31,18.16,16.19,15.69,15.38,13.47,11.31,11.09,11.16,9.84,8.25,8.25,9.59,10.56,11.03,12.47,15.03,17.47,18.16,18.69,20.44,22.19,22.56,22.5,23.28,25.03,25.25,24.56,24.81,26.25,26.59,25.16,23.31,22.06,20.19,15.78,11.5,8.59,6.62,3.22,-0.03,-1.22,-1.22,-2.25,-3.41,-3.22,-0.94,1.22,2.41,4.16,7.0,9.03,9.53,9.81,12.25,15.72,18.41,21.16,25.53,30.72,34.0,35.84,36.62,37.53,36.34,32.69,28.62,25.72,22.28,17.31,12.5,9.78,8.28,6.28,4.25,4.34,6.12,7.19,7.41,8.03,9.91,10.56,9.5,8.44,9.19,10.88,11.66,13.03,16.22,20.31,22.81,24.16,26.19,28.72,29.88,29.75,29.41,30.53,31.09,29.5,27.47,26.09,23.94,19.78,16.0,13.84,13.59,12.84,11.91,11.91,13.06,12.81,11.28,10.19,10.91,11.66,11.59,11.88,14.19,16.53,16.5,16.12,16.34,16.81,15.5,13.28,12.06,12.03,11.25,9.62,8.31,9.16,10.12,9.72,9.62,11.72,14.22,15.38,16.53,19.03,22.91,25.5,26.97,28.41,30.41,30.88,29.53,28.03,28.12,28.19,26.97,25.5,25.62,26.12,24.25,21.91,20.91,20.97,20.41,19.16,18.19,18.5,17.41,15.34,13.97,14.22,14.53,13.44,11.44,11.16,12.03,11.53,10.97,11.41,13.03,13.72,13.56,14.19,16.34,18.41,18.81,18.78,20.38,21.34,20.56,18.75,18.56,19.28,18.97,18.09,18.28,19.94,20.81,20.31,20.34,22.59,24.5,25.38,26.03,28.38,30.56,31.03,30.34,30.38,30.38,28.62,24.97,21.94,20.25,18.44,15.91,14.53,15.5,16.78,16.66,16.44,18.09,20.94,22.59,23.66,25.62,27.16,26.72,24.25,21.88,21.09,19.94,18.0,16.72,17.59,19.56,20.16,20.88,23.88,27.38,29.09,29.5,30.69,32.25,32.06,30.62,29.25,29.06,27.84,24.97,22.53,22.03,21.97,21.22,20.56,21.88,24.44,26.38,27.59,29.66,32.5,33.91,33.31,32.47,32.5,31.56,28.53,25.44,24.28,23.81,22.78,21.91,22.91,24.31,24.59,23.84,24.12,25.84,26.69,26.44,26.94,28.97,30.62:10.25,12.25,13.06,12.69,13.12,14.59,15.25,14.56,14.62,16.16,17.22,16.97,16.12,16.38,15.78,12.91,8.69,5.97,4.47,2.81,1.34,1.03,1.81,1.78,0.47,0.34,2.53,5.44,7.59,9.09,11.75,13.94,14.59,14.66,16.53,19.91,22.31,23.5,25.06,27.19,27.59,26.0,24.66,24.34,23.44,21.16,18.53,17.56,17.19,15.91,14.25,13.97,14.38,13.97,12.66,12.06,12.94,13.62,12.47,11.62,11.97,12.25,11.22,10.38,11.59,13.72,14.56,14.44,14.59,15.06,13.97,11.81,10.56,11.28,11.59,10.72,10.03,10.16,9.91,7.62,5.0,3.75,3.12,2.31,1.31,2.66,5.56,8.44,10.16,12.25,15.72,18.03,18.28,18.19,18.84,19.47,18.31,16.75,17.03,17.84,17.84,16.94,17.44,18.84,19.5,18.06,16.5,15.53,14.19,10.69,7.78,6.97,7.03,6.31,5.72,6.84,8.25,8.38,6.66,5.81,5.66,5.44,3.88,3.19,4.25,5.5,4.44,3.53,4.59,6.22,7.31,8.69,12.19,16.81,19.94,20.72,21.53,22.03,20.84,17.97,15.53,15.03,14.34,11.84,8.78,6.53,4.75,2.16,0.62,2.12,5.78,10.03,13.34,16.69,20.25,22.19,21.59,21.41,22.38,23.72,23.91,23.97,24.91,26.06,25.38,23.91,23.03,22.34,21.09,17.59,13.81,11.16,8.16,3.81,0.88,0.94,2.06,2.34,2.75,4.5,6.59,6.75,5.78,5.34,5.91,6.03,5.56,6.03,8.5,11.19,12.09,13.34,16.12,19.16,20.59,21.16,22.66,24.22,24.16,22.44,20.91,20.03,18.25,14.97,12.31,11.59,11.0,8.69,6.56,5.81,5.72,4.28,2.94,3.53,5.78,7.59,9.31,12.22,16.28,19.78,20.75,22.12,23.88,24.66,23.56,21.41,20.38,19.47,17.59,15.28,14.78,16.09,16.62,16.44,16.44,16.94,16.53,13.72,11.22,9.66,8.22,5.47,2.91,1.97,2.62,2.75,3.0,5.06,8.06,10.34,11.41,13.03,15.75,18.03,18.53,19.47,21.78,23.91,23.94,22.91,22.16,21.12,18.03,14.12,11.19,9.88,7.91,5.38,4.22,4.94,6.34,6.41,7.09,9.06,10.84,10.53,9.31,8.94,8.94,7.94,6.44,6.69,8.78,10.81,12.09,14.03,16.66,18.47,18.03,17.09,17.28,18.12,17.44,16.44,16.38,16.88,15.84,14.16,13.62,14.47,15.06,14.97,15.56,17.53,19.62,20.12,20.66,22.0,23.88,23.72,22.75,22.16,21.41,19.81,16.78,14.66,14.44,14.31,13.72,13.72,14.94,16.53,16.19,15.47,16.28,17.75,18.0,17.62,18.09,19.75,20.66,20.75,21.66,23.41,24.72,23.81,22.94,22.62,22.31,20.16,17.88,16.81,16.97,16.03,14.94,15.19,16.41,17.0,16.22,15.34,16.19,16.06,15.06,14.78,16.62,19.16,20.12,20.53,21.16,22.09,20.88,18.97,17.81,18.19,17.91,16.56,15.88,16.44,16.5,15.28,14.31,15.28,16.75,17.16,17.53,18.44,19.31,18.91,17.28,16.44,17.59,18.84,19.38,20.41,22.66,24.38,24.25,23.44,23.94,24.94,24.62,23.88,24.03,25.5,25.38,24.56,24.47,25.81,27.0,27.03,27.22,29.22,30.34,29.94,28.62,28.31,27.88,26.06,23.09,20.94,19.97,18.5,16.72,16.22,17.78,19.53,19.69,19.69,20.31,20.41,19.12,17.72,18.22,19.66,20.0,19.03,18.06,17.78,16.38,14.19,12.78,13.38,14.19,14.06,14.5,16.5,18.5,18.78,17.62,17.16,16.81,15.25,13.09,11.94,12.72,12.88,12.28,12.41,14.0,15.75,16.31,16.69,18.69,20.56,20.72,19.72,19.53,19.88,19.19,17.97,17.47,18.59,19.12,18.38,17.75,19.06,20.53,20.12,19.75,20.25,20.78,19.78,18.09,17.72,18.53,18.53,18.31,18.12,19.16,18.84,17.0,15.5,15.41,15.53,14.31,13.03,12.94,13.44,12.72,11.97,12.56,13.94,14.19,13.75,13.69,14.88,15.69,15.38,15.03,16.12,16.66,15.41,13.38,12.5,12.28,11.12,9.19,8.28,8.03,7.06,4.75,3.06,3.59,3.88,3.41,3.12,4.69,6.44,6.94,7.22,9.03,11.5,13.0,13.59,14.38,15.41,15.09,13.5,12.12,11.97,12.06,10.84,9.56,9.88,10.0,8.94,7.69,7.56,8.69,9.47,9.28,10.06,11.09,10.97,8.78,6.66,6.0,5.5,4.0,2.62,3.22,3.56,2.84,1.88,2.25,4.31,6.03,7.09,8.94,11.62,13.38,13.56,13.25,13.94,14.28,13.09,11.88,12.91,14.62,15.53,15.88,16.81,18.03,18.25,17.5,17.19,18.44,19.19,18.06,16.34,15.84,14.75,12.69,9.94,8.88,8.25,6.91,4.81,4.25,5.25,6.0,5.56,5.47,6.78,8.09,8.12,8.41,10.47,12.28,12.22,11.25,11.34,11.84,11.69,11.0,11.12,12.94,14.38,14.59,14.78,16.38,16.94,15.56,13.84,13.62,13.75,12.78,11.03,10.84,11.59,11.5,10.62,10.59,12.0,12.81,12.25,12.09,13.59,15.91,17.0,17.75,19.75,21.72,21.53,20.09,19.34,19.0,17.44,14.47,12.5,12.22,11.91,10.78,9.59,9.59,9.34,7.56,5.62,6.0,7.59,9.03,9.97,12.28,14.97,16.56,16.12,15.47,15.59,15.59,13.72,12.28,12.59,13.72,13.72,13.72,15.41,17.5,18.12,17.72,17.62,18.22,18.38,17.03,16.38,16.78,16.31,14.0,11.28,10.0,9.62,8.5,7.41,8.38,10.66,11.97,12.22,13.44,15.09,16.19,15.94,16.41,18.38,20.22,20.62,20.25,21.03,21.72,20.81,18.91,18.22,18.66,18.72,17.62,17.69,18.91,19.41,18.41,17.88,18.62,19.72,18.69,17.5,18.12,19.31,20.0,20.56,22.38,24.81,26.12,25.34,24.28,22.66,20.12,16.0,12.69,11.5,11.69,11.03,10.34,10.91,11.28,10.59,9.72,10.12,12.03,13.69,14.66,15.81,17.94,19.16,18.31,17.53,17.69,18.03,17.19,16.5,17.22,18.47,18.75,17.81,17.44,18.25,18.62,17.5,16.91,17.03,16.88,15.31,13.59,13.62,14.44,14.03,13.25,13.78,15.44,16.09,15.5,15.47,15.94,15.41,13.0,11.41,11.47,12.28,11.78,11.59,12.62,14.06,13.81,12.81,13.28,14.59,15.56,15.22,16.0,18.09,18.56,17.0,15.28,14.28,13.06,10.84,9.06,9.22,10.25,9.91,8.09,6.78,6.06,4.56,2.78,3.0,5.5,8.38,9.66,10.72,12.62,14.0,13.72,13.28,14.59,16.75,17.56,16.84,16.0,15.09,12.25,7.56,4.0,2.16,1.16,-0.34,-0.53,1.62,4.84,7.31,9.78,12.97,17.0,19.59,20.53,22.31,24.84,26.12,25.5,24.97,24.81,24.06,21.44,19.25,18.62,19.19,18.78,18.41,19.22,20.53,20.69,19.34,18.5,18.38,17.91,15.97,15.0,16.16,17.91,18.53,19.94,22.91,26.12,27.03,26.44,26.19,25.84,24.56,22.31,21.0,20.75,20.31,18.16,16.19,15.69,15.38,13.47,11.31,11.09,11.16,9.84,8.25,8.25,9.59,10.56,11.03,12.47,15.03,17.47,18.16,18.69,20.44,22.19,22.56,22.5,23.28,25.03,25.25,24.56,24.81,26.25,26.59,25.16,23.31,22.06,20.19,15.78,11.5,8.59,6.62,3.22,-0.03,-1.22,-1.22,-2.25,-3.41,-3.22,-0.94,1.22,2.41,4.16,7.0,9.03,9.53,9.81,12.25,15.72,18.41,21.16,25.53,30.72,34.0,35.84,36.62,37.53,36.34,32.69,28.62,25.72,22.28,17.31,12.5,9.78,8.28,6.28,4.25,4.34,6.12,7.19,7.41,8.03,9.91,10.56,9.5,8.44,9.19,10.88,11.66,13.03,16.22,20.31,22.81,24.16,26.19,28.72,29.88,29.75,29.41,30.53,31.09,29.5,27.47,26.09,23.94,19.78,16.0,13.84,13.59,12.84,11.91,11.91,13.06,12.81,11.28,10.19,10.91,11.66,11.59,11.88,14.19,16.53,16.5,16.12,16.34,16.81,15.5,13.28,12.06,12.03,11.25,9.62,8.31,9.16,10.12,9.72,9.62,11.72,14.22,15.38,16.53,19.03,22.91,25.5,26.97,28.41,30.41,30.88,29.53,28.03,28.12,28.19,26.97,25.5,25.62,26.12,24.25,21.91,20.91,20.97,20.41,19.16,18.19,18.5,17.41,15.34,13.97,14.22,14.53,13.44,11.44,11.16,12.03,11.53,10.97,11.41,13.03,13.72,13.56,14.19,16.34,18.41,18.81,18.78,20.38,21.34,20.56,18.75,18.56,19.28,18.97,18.09,18.28,19.94,20.81,20.31,20.34,22.59,24.5,25.38,26.03,28.38,30.56,31.03,30.34,30.38,30.38,28.62,24.97,21.94,20.25,18.44,15.91,14.53,15.5,16.78,16.66,16.44,18.09,20.94,22.59,23.66,25.62,27.16,26.72,24.25,21.88,21.09,19.94,18.0,16.72,17.59,19.56,20.16,20.88,23.88,27.38,29.09,29.5,30.69,32.25,32.06,30.62,29.25,29.06,27.84,24.97,22.53,22.03,21.97,21.22,20.56,21.88,24.44,26.38,27.59,29.66,32.5,33.91,33.31,32.47,32.5,31.56,28.53,25.44,24.28,23.81,22.78,21.91,22.91,24.31,24.59,23.84,24.12,25.84,26.69,26.44,26.94,28.97,30.62,30.38,30.81,31.22,31.09,30.97,30.88,30.47:14.56,14.62,16.16,17.22,16.97,16.12,16.38,15.78,12.91,8.69,5.97,4.47,2.81,1.34,1.03,1.81,1.78,0.47,0.34,2.53,5.44,7.59,9.09,11.75,13.94,14.59,14.66,16.53,19.91,22.31,23.5,25.06,27.19,27.59,26.0,24.66,24.34,23.44,21.16,18.53,17.56,17.19,15.91,14.25,13.97,14.38,13.97,12.66,12.06,12.94,13.62,12.47,11.62,11.97,12.25,11.22,10.38,11.59,13.72,14.56,14.44,14.59,15.06,13.97,11.81,10.56,11.28,11.59,10.72,10.03,10.16,9.91,7.62,5.0,3.75,3.12,2.31,1.31,2.66,5.56,8.44,10.16,12.25,15.72,18.03,18.28,18.19,18.84,19.47,18.31,16.75,17.03,17.84,17.84,16.94,17.44,18.84,19.5,18.06,16.5,15.53,14.19,10.69,7.78,6.97,7.03,6.31,5.72,6.84,8.25,8.38,6.66,5.81,5.66,5.44,3.88,3.19,4.25,5.5,4.44,3.53,4.59,6.22,7.31,8.69,12.19,16.81,19.94,20.72,21.53,22.03,20.84,17.97,15.53,15.03,14.34,11.84,8.78,6.53,4.75,2.16,0.62,2.12,5.78,10.03,13.34,16.69,20.25,22.19,21.59,21.41,22.38,23.72,23.91,23.97,24.91,26.06,25.38,23.91,23.03,22.34,21.09,17.59,13.81,11.16,8.16,3.81,0.88,0.94,2.06,2.34,2.75,4.5,6.59,6.75,5.78,5.34,5.91,6.03,5.56,6.03,8.5,11.19,12.09,13.34,16.12,19.16,20.59,21.16,22.66,24.22,24.16,22.44,20.91,20.03,18.25,14.97,12.31,11.59,11.0,8.69,6.56,5.81,5.72,4.28,2.94,3.53,5.78,7.59,9.31,12.22,16.28,19.78,20.75,22.12,23.88,24.66,23.56,21.41,20.38,19.47,17.59,15.28,14.78,16.09,16.62,16.44,16.44,16.94,16.53,13.72,11.22,9.66,8.22,5.47,2.91,1.97,2.62,2.75,3.0,5.06,8.06,10.34,11.41,13.03,15.75,18.03,18.53,19.47,21.78,23.91,23.94,22.91,22.16,21.12,18.03,14.12,11.19,9.88,7.91,5.38,4.22,4.94,6.34,6.41,7.09,9.06,10.84,10.53,9.31,8.94,8.94,7.94,6.44,6.69,8.78,10.81,12.09,14.03,16.66,18.47,18.03,17.09,17.28,18.12,17.44,16.44,16.38,16.88,15.84,14.16,13.62,14.47,15.06,14.97,15.56,17.53,19.62,20.12,20.66,22.0,23.88,23.72,22.75,22.16,21.41,19.81,16.78,14.66,14.44,14.31,13.72,13.72,14.94,16.53,16.19,15.47,16.28,17.75,18.0,17.62,18.09,19.75,20.66,20.75,21.66,23.41,24.72,23.81,22.94,22.62,22.31,20.16,17.88,16.81,16.97,16.03,14.94,15.19,16.41,17.0,16.22,15.34,16.19,16.06,15.06,14.78,16.62,19.16,20.12,20.53,21.16,22.09,20.88,18.97,17.81,18.19,17.91,16.56,15.88,16.44,16.5,15.28,14.31,15.28,16.75,17.16,17.53,18.44,19.31,18.91,17.28,16.44,17.59,18.84,19.38,20.41,22.66,24.38,24.25,23.44,23.94,24.94,24.62,23.88,24.03,25.5,25.38,24.56,24.47,25.81,27.0,27.03,27.22,29.22,30.34,29.94,28.62,28.31,27.88,26.06,23.09,20.94,19.97,18.5,16.72,16.22,17.78,19.53,19.69,19.69,20.31,20.41,19.12,17.72,18.22,19.66,20.0,19.03,18.06,17.78,16.38,14.19,12.78,13.38,14.19,14.06,14.5,16.5,18.5,18.78,17.62,17.16,16.81,15.25,13.09,11.94,12.72,12.88,12.28,12.41,14.0,15.75,16.31,16.69,18.69,20.56,20.72,19.72,19.53,19.88,19.19,17.97,17.47,18.59,19.12,18.38,17.75,19.06,20.53,20.12,19.75,20.25,20.78,19.78,18.09,17.72,18.53,18.53,18.31,18.12,19.16,18.84,17.0,15.5,15.41,15.53,14.31,13.03,12.94,13.44,12.72,11.97,12.56,13.94,14.19,13.75,13.69,14.88,15.69,15.38,15.03,16.12,16.66,15.41,13.38,12.5,12.28,11.12,9.19,8.28,8.03,7.06,4.75,3.06,3.59,3.88,3.41,3.12,4.69,6.44,6.94,7.22,9.03,11.5,13.0,13.59,14.38,15.41,15.09,13.5,12.12,11.97,12.06,10.84,9.56,9.88,10.0,8.94,7.69,7.56,8.69,9.47,9.28,10.06,11.09,10.97,8.78,6.66,6.0,5.5,4.0,2.62,3.22,3.56,2.84,1.88,2.25,4.31,6.03,7.09,8.94,11.62,13.38,13.56,13.25,13.94,14.28,13.09,11.88,12.91,14.62,15.53,15.88,16.81,18.03,18.25,17.5,17.19,18.44,19.19,18.06,16.34,15.84,14.75,12.69,9.94,8.88,8.25,6.91,4.81,4.25,5.25,6.0,5.56,5.47,6.78,8.09,8.12,8.41,10.47,12.28,12.22,11.25,11.34,11.84,11.69,11.0,11.12,12.94,14.38,14.59,14.78,16.38,16.94,15.56,13.84,13.62,13.75,12.78,11.03,10.84,11.59,11.5,10.62,10.59,12.0,12.81,12.25,12.09,13.59,15.91,17.0,17.75,19.75,21.72,21.53,20.09,19.34,19.0,17.44,14.47,12.5,12.22,11.91,10.78,9.59,9.59,9.34,7.56,5.62,6.0,7.59,9.03,9.97,12.28,14.97,16.56,16.12,15.47,15.59,15.59,13.72,12.28,12.59,13.72,13.72,13.72,15.41,17.5,18.12,17.72,17.62,18.22,18.38,17.03,16.38,16.78,16.31,14.0,11.28,10.0,9.62,8.5,7.41,8.38,10.66,11.97,12.22,13.44,15.09,16.19,15.94,16.41,18.38,20.22,20.62,20.25,21.03,21.72,20.81,18.91,18.22,18.66,18.72,17.62,17.69,18.91,19.41,18.41,17.88,18.62,19.72,18.69,17.5,18.12,19.31,20.0,20.56,22.38,24.81,26.12,25.34,24.28,22.66,20.12,16.0,12.69,11.5,11.69,11.03,10.34,10.91,11.28,10.59,9.72,10.12,12.03,13.69,14.66,15.81,17.94,19.16,18.31,17.53,17.69,18.03,17.19,16.5,17.22,18.47,18.75,17.81,17.44,18.25,18.62,17.5,16.91,17.03,16.88,15.31,13.59,13.62,14.44,14.03,13.25,13.78,15.44,16.09,15.5,15.47,15.94,15.41,13.0,11.41,11.47,12.28,11.78,11.59,12.62,14.06,13.81,12.81,13.28,14.59,15.56,15.22,16.0,18.09,18.56,17.0,15.28,14.28,13.06,10.84,9.06,9.22,10.25,9.91,8.09,6.78,6.06,4.56,2.78,3.0,5.5,8.38,9.66,10.72,12.62,14.0,13.72,13.28,14.59,16.75,17.56,16.84,16.0,15.09,12.25,7.56,4.0,2.16,1.16,-0.34,-0.53,1.62,4.84,7.31,9.78,12.97,17.0,19.59,20.53,22.31,24.84,26.12,25.5,24.97,24.81,24.06,21.44,19.25,18.62,19.19,18.78,18.41,19.22,20.53,20.69,19.34,18.5,18.38,17.91,15.97,15.0,16.16,17.91,18.53,19.94,22.91,26.12,27.03,26.44,26.19,25.84,24.56,22.31,21.0,20.75,20.31,18.16,16.19,15.69,15.38,13.47,11.31,11.09,11.16,9.84,8.25,8.25,9.59,10.56,11.03,12.47,15.03,17.47,18.16,18.69,20.44,22.19,22.56,22.5,23.28,25.03,25.25,24.56,24.81,26.25,26.59,25.16,23.31,22.06,20.19,15.78,11.5,8.59,6.62,3.22,-0.03,-1.22,-1.22,-2.25,-3.41,-3.22,-0.94,1.22,2.41,4.16,7.0,9.03,9.53,9.81,12.25,15.72,18.41,21.16,25.53,30.72,34.0,35.84,36.62,37.53,36.34,32.69,28.62,25.72,22.28,17.31,12.5,9.78,8.28,6.28,4.25,4.34,6.12,7.19,7.41,8.03,9.91,10.56,9.5,8.44,9.19,10.88,11.66,13.03,16.22,20.31,22.81,24.16,26.19,28.72,29.88,29.75,29.41,30.53,31.09,29.5,27.47,26.09,23.94,19.78,16.0,13.84,13.59,12.84,11.91,11.91,13.06,12.81,11.28,10.19,10.91,11.66,11.59,11.88,14.19,16.53,16.5,16.12,16.34,16.81,15.5,13.28,12.06,12.03,11.25,9.62,8.31,9.16,10.12,9.72,9.62,11.72,14.22,15.38,16.53,19.03,22.91,25.5,26.97,28.41,30.41,30.88,29.53,28.03,28.12,28.19,26.97,25.5,25.62,26.12,24.25,21.91,20.91,20.97,20.41,19.16,18.19,18.5,17.41,15.34,13.97,14.22,14.53,13.44,11.44,11.16,12.03,11.53,10.97,11.41,13.03,13.72,13.56,14.19,16.34,18.41,18.81,18.78,20.38,21.34,20.56,18.75,18.56,19.28,18.97,18.09,18.28,19.94,20.81,20.31,20.34,22.59,24.5,25.38,26.03,28.38,30.56,31.03,30.34,30.38,30.38,28.62,24.97,21.94,20.25,18.44,15.91,14.53,15.5,16.78,16.66,16.44,18.09,20.94,22.59,23.66,25.62,27.16,26.72,24.25,21.88,21.09,19.94,18.0,16.72,17.59,19.56,20.16,20.88,23.88,27.38,29.09,29.5,30.69,32.25,32.06,30.62,29.25,29.06,27.84,24.97,22.53,22.03,21.97,21.22,20.56,21.88,24.44,26.38,27.59,29.66,32.5,33.91,33.31,32.47,32.5,31.56,28.53,25.44,24.28,23.81,22.78,21.91,22.91,24.31,24.59,23.84,24.12,25.84,26.69,26.44,26.94,28.97,30.62,30.38,30.81,31.22,31.09,30.97,30.88,30.47,29.78,29.0,28.19,26.97,25.81,24.97,24.75:15.78,12.91,8.69,5.97,4.47,2.81,1.34,1.03,1.81,1.78,0.47,0.34,2.53,5.44,7.59,9.09,11.75,13.94,14.59,14.66,16.53,19.91,22.31,23.5,25.06,27.19,27.59,26.0,24.66,24.34,23.44,21.16,18.53,17.56,17.19,15.91,14.25,13.97,14.38,13.97,12.66,12.06,12.94,13.62,12.47,11.62,11.97,12.25,11.22,10.38,11.59,13.72,14.56,14.44,14.59,15.06,13.97,11.81,10.56,11.28,11.59,10.72,10.03,10.16,9.91,7.62,5.0,3.75,3.12,2.31,1.31,2.66,5.56,8.44,10.16,12.25,15.72,18.03,18.28,18.19,18.84,19.47,18.31,16.75,17.03,17.84,17.84,16.94,17.44,18.84,19.5,18.06,16.5,15.53,14.19,10.69,7.78,6.97,7.03,6.31,5.72,6.84,8.25,8.38,6.66,5.81,5.66,5.44,3.88,3.19,4.25,5.5,4.44,3.53,4.59,6.22,7.31,8.69,12.19,16.81,19.94,20.72,21.53,22.03,20.84,17.97,15.53,15.03,14.34,11.84,8.78,6.53,4.75,2.16,0.62,2.12,5.78,10.03,13.34,16.69,20.25,22.19,21.59,21.41,22.38,23.72,23.91,23.97,24.91,26.06,25.38,23.91,23.03,22.34,21.09,17.59,13.81,11.16,8.16,3.81,0.88,0.94,2.06,2.34,2.75,4.5,6.59,6.75,5.78,5.34,5.91,6.03,5.56,6.03,8.5,11.19,12.09,13.34,16.12,19.16,20.59,21.16,22.66,24.22,24.16,22.44,20.91,20.03,18.25,14.97,12.31,11.59,11.0,8.69,6.56,5.81,5.72,4.28,2.94,3.53,5.78,7.59,9.31,12.22,16.28,19.78,20.75,22.12,23.88,24.66,23.56,21.41,20.38,19.47,17.59,15.28,14.78,16.09,16.62,16.44,16.44,16.94,16.53,13.72,11.22,9.66,8.22,5.47,2.91,1.97,2.62,2.75,3.0,5.06,8.06,10.34,11.41,13.03,15.75,18.03,18.53,19.47,21.78,23.91,23.94,22.91,22.16,21.12,18.03,14.12,11.19,9.88,7.91,5.38,4.22,4.94,6.34,6.41,7.09,9.06,10.84,10.53,9.31,8.94,8.94,7.94,6.44,6.69,8.78,10.81,12.09,14.03,16.66,18.47,18.03,17.09,17.28,18.12,17.44,16.44,16.38,16.88,15.84,14.16,13.62,14.47,15.06,14.97,15.56,17.53,19.62,20.12,20.66,22.0,23.88,23.72,22.75,22.16,21.41,19.81,16.78,14.66,14.44,14.31,13.72,13.72,14.94,16.53,16.19,15.47,16.28,17.75,18.0,17.62,18.09,19.75,20.66,20.75,21.66,23.41,24.72,23.81,22.94,22.62,22.31,20.16,17.88,16.81,16.97,16.03,14.94,15.19,16.41,17.0,16.22,15.34,16.19,16.06,15.06,14.78,16.62,19.16,20.12,20.53,21.16,22.09,20.88,18.97,17.81,18.19,17.91,16.56,15.88,16.44,16.5,15.28,14.31,15.28,16.75,17.16,17.53,18.44,19.31,18.91,17.28,16.44,17.59,18.84,19.38,20.41,22.66,24.38,24.25,23.44,23.94,24.94,24.62,23.88,24.03,25.5,25.38,24.56,24.47,25.81,27.0,27.03,27.22,29.22,30.34,29.94,28.62,28.31,27.88,26.06,23.09,20.94,19.97,18.5,16.72,16.22,17.78,19.53,19.69,19.69,20.31,20.41,19.12,17.72,18.22,19.66,20.0,19.03,18.06,17.78,16.38,14.19,12.78,13.38,14.19,14.06,14.5,16.5,18.5,18.78,17.62,17.16,16.81,15.25,13.09,11.94,12.72,12.88,12.28,12.41,14.0,15.75,16.31,16.69,18.69,20.56,20.72,19.72,19.53,19.88,19.19,17.97,17.47,18.59,19.12,18.38,17.75,19.06,20.53,20.12,19.75,20.25,20.78,19.78,18.09,17.72,18.53,18.53,18.31,18.12,19.16,18.84,17.0,15.5,15.41,15.53,14.31,13.03,12.94,13.44,12.72,11.97,12.56,13.94,14.19,13.75,13.69,14.88,15.69,15.38,15.03,16.12,16.66,15.41,13.38,12.5,12.28,11.12,9.19,8.28,8.03,7.06,4.75,3.06,3.59,3.88,3.41,3.12,4.69,6.44,6.94,7.22,9.03,11.5,13.0,13.59,14.38,15.41,15.09,13.5,12.12,11.97,12.06,10.84,9.56,9.88,10.0,8.94,7.69,7.56,8.69,9.47,9.28,10.06,11.09,10.97,8.78,6.66,6.0,5.5,4.0,2.62,3.22,3.56,2.84,1.88,2.25,4.31,6.03,7.09,8.94,11.62,13.38,13.56,13.25,13.94,14.28,13.09,11.88,12.91,14.62,15.53,15.88,16.81,18.03,18.25,17.5,17.19,18.44,19.19,18.06,16.34,15.84,14.75,12.69,9.94,8.88,8.25,6.91,4.81,4.25,5.25,6.0,5.56,5.47,6.78,8.09,8.12,8.41,10.47,12.28,12.22,11.25,11.34,11.84,11.69,11.0,11.12,12.94,14.38,14.59,14.78,16.38,16.94,15.56,13.84,13.62,13.75,12.78,11.03,10.84,11.59,11.5,10.62,10.59,12.0,12.81,12.25,12.09,13.59,15.91,17.0,17.75,19.75,21.72,21.53,20.09,19.34,19.0,17.44,14.47,12.5,12.22,11.91,10.78,9.59,9.59,9.34,7.56,5.62,6.0,7.59,9.03,9.97,12.28,14.97,16.56,16.12,15.47,15.59,15.59,13.72,12.28,12.59,13.72,13.72,13.72,15.41,17.5,18.12,17.72,17.62,18.22,18.38,17.03,16.38,16.78,16.31,14.0,11.28,10.0,9.62,8.5,7.41,8.38,10.66,11.97,12.22,13.44,15.09,16.19,15.94,16.41,18.38,20.22,20.62,20.25,21.03,21.72,20.81,18.91,18.22,18.66,18.72,17.62,17.69,18.91,19.41,18.41,17.88,18.62,19.72,18.69,17.5,18.12,19.31,20.0,20.56,22.38,24.81,26.12,25.34,24.28,22.66,20.12,16.0,12.69,11.5,11.69,11.03,10.34,10.91,11.28,10.59,9.72,10.12,12.03,13.69,14.66,15.81,17.94,19.16,18.31,17.53,17.69,18.03,17.19,16.5,17.22,18.47,18.75,17.81,17.44,18.25,18.62,17.5,16.91,17.03,16.88,15.31,13.59,13.62,14.44,14.03,13.25,13.78,15.44,16.09,15.5,15.47,15.94,15.41,13.0,11.41,11.47,12.28,11.78,11.59,12.62,14.06,13.81,12.81,13.28,14.59,15.56,15.22,16.0,18.09,18.56,17.0,15.28,14.28,13.06,10.84,9.06,9.22,10.25,9.91,8.09,6.78,6.06,4.56,2.78,3.0,5.5,8.38,9.66,10.72,12.62,14.0,13.72,13.28,14.59,16.75,17.56,16.84,16.0,15.09,12.25,7.56,4.0,2.16,1.16,-0.34,-0.53,1.62,4.84,7.31,9.78,12.97,17.0,19.59,20.53,22.31,24.84,26.12,25.5,24.97,24.81,24.06,21.44,19.25,18.62,19.19,18.78,18.41,19.22,20.53,20.69,19.34,18.5,18.38,17.91,15.97,15.0,16.16,17.91,18.53,19.94,22.91,26.12,27.03,26.44,26.19,25.84,24.56,22.31,21.0,20.75,20.31,18.16,16.19,15.69,15.38,13.47,11.31,11.09,11.16,9.84,8.25,8.25,9.59,10.56,11.03,12.47,15.03,17.47,18.16,18.69,20.44,22.19,22.56,22.5,23.28,25.03,25.25,24.56,24.81,26.25,26.59,25.16,23.31,22.06,20.19,15.78,11.5,8.59,6.62,3.22,-0.03,-1.22,-1.22,-2.25,-3.41,-3.22,-0.94,1.22,2.41,4.16,7.0,9.03,9.53,9.81,12.25,15.72,18.41,21.16,25.53,30.72,34.0,35.84,36.62,37.53,36.34,32.69,28.62,25.72,22.28,17.31,12.5,9.78,8.28,6.28,4.25,4.34,6.12,7.19,7.41,8.03,9.91,10.56,9.5,8.44,9.19,10.88,11.66,13.03,16.22,20.31,22.81,24.16,26.19,28.72,29.88,29.75,29.41,30.53,31.09,29.5,27.47,26.09,23.94,19.78,16.0,13.84,13.59,12.84,11.91,11.91,13.06,12.81,11.28,10.19,10.91,11.66,11.59,11.88,14.19,16.53,16.5,16.12,16.34,16.81,15.5,13.28,12.06,12.03,11.25,9.62,8.31,9.16,10.12,9.72,9.62,11.72,14.22,15.38,16.53,19.03,22.91,25.5,26.97,28.41,30.41,30.88,29.53,28.03,28.12,28.19,26.97,25.5,25.62,26.12,24.25,21.91,20.91,20.97,20.41,19.16,18.19,18.5,17.41,15.34,13.97,14.22,14.53,13.44,11.44,11.16,12.03,11.53,10.97,11.41,13.03,13.72,13.56,14.19,16.34,18.41,18.81,18.78,20.38,21.34,20.56,18.75,18.56,19.28,18.97,18.09,18.28,19.94,20.81,20.31,20.34,22.59,24.5,25.38,26.03,28.38,30.56,31.03,30.34,30.38,30.38,28.62,24.97,21.94,20.25,18.44,15.91,14.53,15.5,16.78,16.66,16.44,18.09,20.94,22.59,23.66,25.62,27.16,26.72,24.25,21.88,21.09,19.94,18.0,16.72,17.59,19.56,20.16,20.88,23.88,27.38,29.09,29.5,30.69,32.25,32.06,30.62,29.25,29.06,27.84,24.97,22.53,22.03,21.97,21.22,20.56,21.88,24.44,26.38,27.59,29.66,32.5,33.91,33.31,32.47,32.5,31.56,28.53,25.44,24.28,23.81,22.78,21.91,22.91,24.31,24.59,23.84,24.12,25.84,26.69,26.44,26.94,28.97,30.62,30.38,30.81,31.22,31.09,30.97,30.88,30.47,29.78,29.0,28.19,26.97,25.81,24.97,24.75,24.97,25.41,26.19,27.25,28.66,29.97,30.72:1.03,1.81,1.78,0.47,0.34,2.53,5.44,7.59,9.09,11.75,13.94,14.59,14.66,16.53,19.91,22.31,23.5,25.06,27.19,27.59,26.0,24.66,24.34,23.44,21.16,18.53,17.56,17.19,15.91,14.25,13.97,14.38,13.97,12.66,12.06,12.94,13.62,12.47,11.62,11.97,12.25,11.22,10.38,11.59,13.72,14.56,14.44,14.59,15.06,13.97,11.81,10.56,11.28,11.59,10.72,10.03,10.16,9.91,7.62,5.0,3.75,3.12,2.31,1.31,2.66,5.56,8.44,10.16,12.25,15.72,18.03,18.28,18.19,18.84,19.47,18.31,16.75,17.03,17.84,17.84,16.94,17.44,18.84,19.5,18.06,16.5,15.53,14.19,10.69,7.78,6.97,7.03,6.31,5.72,6.84,8.25,8.38,6.66,5.81,5.66,5.44,3.88,3.19,4.25,5.5,4.44,3.53,4.59,6.22,7.31,8.69,12.19,16.81,19.94,20.72,21.53,22.03,20.84,17.97,15.53,15.03,14.34,11.84,8.78,6.53,4.75,2.16,0.62,2.12,5.78,10.03,13.34,16.69,20.25,22.19,21.59,21.41,22.38,23.72,23.91,23.97,24.91,26.06,25.38,23.91,23.03,22.34,21.09,17.59,13.81,11.16,8.16,3.81,0.88,0.94,2.06,2.34,2.75,4.5,6.59,6.75,5.78,5.34,5.91,6.03,5.56,6.03,8.5,11.19,12.09,13.34,16.12,19.16,20.59,21.16,22.66,24.22,24.16,22.44,20.91,20.03,18.25,14.97,12.31,11.59,11.0,8.69,6.56,5.81,5.72,4.28,2.94,3.53,5.78,7.59,9.31,12.22,16.28,19.78,20.75,22.12,23.88,24.66,23.56,21.41,20.38,19.47,17.59,15.28,14.78,16.09,16.62,16.44,16.44,16.94,16.53,13.72,11.22,9.66,8.22,5.47,2.91,1.97,2.62,2.75,3.0,5.06,8.06,10.34,11.41,13.03,15.75,18.03,18.53,19.47,21.78,23.91,23.94,22.91,22.16,21.12,18.03,14.12,11.19,9.88,7.91,5.38,4.22,4.94,6.34,6.41,7.09,9.06,10.84,10.53,9.31,8.94,8.94,7.94,6.44,6.69,8.78,10.81,12.09,14.03,16.66,18.47,18.03,17.09,17.28,18.12,17.44,16.44,16.38,16.88,15.84,14.16,13.62,14.47,15.06,14.97,15.56,17.53,19.62,20.12,20.66,22.0,23.88,23.72,22.75,22.16,21.41,19.81,16.78,14.66,14.44,14.31,13.72,13.72,14.94,16.53,16.19,15.47,16.28,17.75,18.0,17.62,18.09,19.75,20.66,20.75,21.66,23.41,24.72,23.81,22.94,22.62,22.31,20.16,17.88,16.81,16.97,16.03,14.94,15.19,16.41,17.0,16.22,15.34,16.19,16.06,15.06,14.78,16.62,19.16,20.12,20.53,21.16,22.09,20.88,18.97,17.81,18.19,17.91,16.56,15.88,16.44,16.5,15.28,14.31,15.28,16.75,17.16,17.53,18.44,19.31,18.91,17.28,16.44,17.59,18.84,19.38,20.41,22.66,24.38,24.25,23.44,23.94,24.94,24.62,23.88,24.03,25.5,25.38,24.56,24.47,25.81,27.0,27.03,27.22,29.22,30.34,29.94,28.62,28.31,27.88,26.06,23.09,20.94,19.97,18.5,16.72,16.22,17.78,19.53,19.69,19.69,20.31,20.41,19.12,17.72,18.22,19.66,20.0,19.03,18.06,17.78,16.38,14.19,12.78,13.38,14.19,14.06,14.5,16.5,18.5,18.78,17.62,17.16,16.81,15.25,13.09,11.94,12.72,12.88,12.28,12.41,14.0,15.75,16.31,16.69,18.69,20.56,20.72,19.72,19.53,19.88,19.19,17.97,17.47,18.59,19.12,18.38,17.75,19.06,20.53,20.12,19.75,20.25,20.78,19.78,18.09,17.72,18.53,18.53,18.31,18.12,19.16,18.84,17.0,15.5,15.41,15.53,14.31,13.03,12.94,13.44,12.72,11.97,12.56,13.94,14.19,13.75,13.69,14.88,15.69,15.38,15.03,16.12,16.66,15.41,13.38,12.5,12.28,11.12,9.19,8.28,8.03,7.06,4.75,3.06,3.59,3.88,3.41,3.12,4.69,6.44,6.94,7.22,9.03,11.5,13.0,13.59,14.38,15.41,15.09,13.5,12.12,11.97,12.06,10.84,9.56,9.88,10.0,8.94,7.69,7.56,8.69,9.47,9.28,10.06,11.09,10.97,8.78,6.66,6.0,5.5,4.0,2.62,3.22,3.56,2.84,1.88,2.25,4.31,6.03,7.09,8.94,11.62,13.38,13.56,13.25,13.94,14.28,13.09,11.88,12.91,14.62,15.53,15.88,16.81,18.03,18.25,17.5,17.19,18.44,19.19,18.06,16.34,15.84,14.75,12.69,9.94,8.88,8.25,6.91,4.81,4.25,5.25,6.0,5.56,5.47,6.78,8.09,8.12,8.41,10.47,12.28,12.22,11.25,11.34,11.84,11.69,11.0,11.12,12.94,14.38,14.59,14.78,16.38,16.94,15.56,13.84,13.62,13.75,12.78,11.03,10.84,11.59,11.5,10.62,10.59,12.0,12.81,12.25,12.09,13.59,15.91,17.0,17.75,19.75,21.72,21.53,20.09,19.34,19.0,17.44,14.47,12.5,12.22,11.91,10.78,9.59,9.59,9.34,7.56,5.62,6.0,7.59,9.03,9.97,12.28,14.97,16.56,16.12,15.47,15.59,15.59,13.72,12.28,12.59,13.72,13.72,13.72,15.41,17.5,18.12,17.72,17.62,18.22,18.38,17.03,16.38,16.78,16.31,14.0,11.28,10.0,9.62,8.5,7.41,8.38,10.66,11.97,12.22,13.44,15.09,16.19,15.94,16.41,18.38,20.22,20.62,20.25,21.03,21.72,20.81,18.91,18.22,18.66,18.72,17.62,17.69,18.91,19.41,18.41,17.88,18.62,19.72,18.69,17.5,18.12,19.31,20.0,20.56,22.38,24.81,26.12,25.34,24.28,22.66,20.12,16.0,12.69,11.5,11.69,11.03,10.34,10.91,11.28,10.59,9.72,10.12,12.03,13.69,14.66,15.81,17.94,19.16,18.31,17.53,17.69,18.03,17.19,16.5,17.22,18.47,18.75,17.81,17.44,18.25,18.62,17.5,16.91,17.03,16.88,15.31,13.59,13.62,14.44,14.03,13.25,13.78,15.44,16.09,15.5,15.47,15.94,15.41,13.0,11.41,11.47,12.28,11.78,11.59,12.62,14.06,13.81,12.81,13.28,14.59,15.56,15.22,16.0,18.09,18.56,17.0,15.28,14.28,13.06,10.84,9.06,9.22,10.25,9.91,8.09,6.78,6.06,4.56,2.78,3.0,5.5,8.38,9.66,10.72,12.62,14.0,13.72,13.28,14.59,16.75,17.56,16.84,16.0,15.09,12.25,7.56,4.0,2.16,1.16,-0.34,-0.53,1.62,4.84,7.31,9.78,12.97,17.0,19.59,20.53,22.31,24.84,26.12,25.5,24.97,24.81,24.06,21.44,19.25,18.62,19.19,18.78,18.41,19.22,20.53,20.69,19.34,18.5,18.38,17.91,15.97,15.0,16.16,17.91,18.53,19.94,22.91,26.12,27.03,26.44,26.19,25.84,24.56,22.31,21.0,20.75,20.31,18.16,16.19,15.69,15.38,13.47,11.31,11.09,11.16,9.84,8.25,8.25,9.59,10.56,11.03,12.47,15.03,17.47,18.16,18.69,20.44,22.19,22.56,22.5,23.28,25.03,25.25,24.56,24.81,26.25,26.59,25.16,23.31,22.06,20.19,15.78,11.5,8.59,6.62,3.22,-0.03,-1.22,-1.22,-2.25,-3.41,-3.22,-0.94,1.22,2.41,4.16,7.0,9.03,9.53,9.81,12.25,15.72,18.41,21.16,25.53,30.72,34.0,35.84,36.62,37.53,36.34,32.69,28.62,25.72,22.28,17.31,12.5,9.78,8.28,6.28,4.25,4.34,6.12,7.19,7.41,8.03,9.91,10.56,9.5,8.44,9.19,10.88,11.66,13.03,16.22,20.31,22.81,24.16,26.19,28.72,29.88,29.75,29.41,30.53,31.09,29.5,27.47,26.09,23.94,19.78,16.0,13.84,13.59,12.84,11.91,11.91,13.06,12.81,11.28,10.19,10.91,11.66,11.59,11.88,14.19,16.53,16.5,16.12,16.34,16.81,15.5,13.28,12.06,12.03,11.25,9.62,8.31,9.16,10.12,9.72,9.62,11.72,14.22,15.38,16.53,19.03,22.91,25.5,26.97,28.41,30.41,30.88,29.53,28.03,28.12,28.19,26.97,25.5,25.62,26.12,24.25,21.91,20.91,20.97,20.41,19.16,18.19,18.5,17.41,15.34,13.97,14.22,14.53,13.44,11.44,11.16,12.03,11.53,10.97,11.41,13.03,13.72,13.56,14.19,16.34,18.41,18.81,18.78,20.38,21.34,20.56,18.75,18.56,19.28,18.97,18.09,18.28,19.94,20.81,20.31,20.34,22.59,24.5,25.38,26.03,28.38,30.56,31.03,30.34,30.38,30.38,28.62,24.97,21.94,20.25,18.44,15.91,14.53,15.5,16.78,16.66,16.44,18.09,20.94,22.59,23.66,25.62,27.16,26.72,24.25,21.88,21.09,19.94,18.0,16.72,17.59,19.56,20.16,20.88,23.88,27.38,29.09,29.5,30.69,32.25,32.06,30.62,29.25,29.06,27.84,24.97,22.53,22.03,21.97,21.22,20.56,21.88,24.44,26.38,27.59,29.66,32.5,33.91,33.31,32.47,32.5,31.56,28.53,25.44,24.28,23.81,22.78,21.91,22.91,24.31,24.59,23.84,24.12,25.84,26.69,26.44,26.94,28.97,30.62,30.38,30.81,31.22,31.09,30.97,30.88,30.47,29.78,29.0,28.19,26.97,25.81,24.97,24.75,24.97,25.41,26.19,27.25,28.66,29.97,30.72,30.72,30.56,29.25,27.88,27.12,27.22,28.0:7.59,9.09,11.75,13.94,14.59,14.66,16.53,19.91,22.31,23.5,25.06,27.19,27.59,26.0,24.66,24.34,23.44,21.16,18.53,17.56,17.19,15.91,14.25,13.97,14.38,13.97,12.66,12.06,12.94,13.62,12.47,11.62,11.97,12.25,11.22,10.38,11.59,13.72,14.56,14.44,14.59,15.06,13.97,11.81,10.56,11.28,11.59,10.72,10.03,10.16,9.91,7.62,5.0,3.75,3.12,2.31,1.31,2.66,5.56,8.44,10.16,12.25,15.72,18.03,18.28,18.19,18.84,19.47,18.31,16.75,17.03,17.84,17.84,16.94,17.44,18.84,19.5,18.06,16.5,15.53,14.19,10.69,7.78,6.97,7.03,6.31,5.72,6.84,8.25,8.38,6.66,5.81,5.66,5.44,3.88,3.19,4.25,5.5,4.44,3.53,4.59,6.22,7.31,8.69,12.19,16.81,19.94,20.72,21.53,22.03,20.84,17.97,15.53,15.03,14.34,11.84,8.78,6.53,4.75,2.16,0.62,2.12,5.78,10.03,13.34,16.69,20.25,22.19,21.59,21.41,22.38,23.72,23.91,23.97,24.91,26.06,25.38,23.91,23.03,22.34,21.09,17.59,13.81,11.16,8.16,3.81,0.88,0.94,2.06,2.34,2.75,4.5,6.59,6.75,5.78,5.34,5.91,6.03,5.56,6.03,8.5,11.19,12.09,13.34,16.12,19.16,20.59,21.16,22.66,24.22,24.16,22.44,20.91,20.03,18.25,14.97,12.31,11.59,11.0,8.69,6.56,5.81,5.72,4.28,2.94,3.53,5.78,7.59,9.31,12.22,16.28,19.78,20.75,22.12,23.88,24.66,23.56,21.41,20.38,19.47,17.59,15.28,14.78,16.09,16.62,16.44,16.44,16.94,16.53,13.72,11.22,9.66,8.22,5.47,2.91,1.97,2.62,2.75,3.0,5.06,8.06,10.34,11.41,13.03,15.75,18.03,18.53,19.47,21.78,23.91,23.94,22.91,22.16,21.12,18.03,14.12,11.19,9.88,7.91,5.38,4.22,4.94,6.34,6.41,7.09,9.06,10.84,10.53,9.31,8.94,8.94,7.94,6.44,6.69,8.78,10.81,12.09,14.03,16.66,18.47,18.03,17.09,17.28,18.12,17.44,16.44,16.38,16.88,15.84,14.16,13.62,14.47,15.06,14.97,15.56,17.53,19.62,20.12,20.66,22.0,23.88,23.72,22.75,22.16,21.41,19.81,16.78,14.66,14.44,14.31,13.72,13.72,14.94,16.53,16.19,15.47,16.28,17.75,18.0,17.62,18.09,19.75,20.66,20.75,21.66,23.41,24.72,23.81,22.94,22.62,22.31,20.16,17.88,16.81,16.97,16.03,14.94,15.19,16.41,17.0,16.22,15.34,16.19,16.06,15.06,14.78,16.62,19.16,20.12,20.53,21.16,22.09,20.88,18.97,17.81,18.19,17.91,16.56,15.88,16.44,16.5,15.28,14.31,15.28,16.75,17.16,17.53,18.44,19.31,18.91,17.28,16.44,17.59,18.84,19.38,20.41,22.66,24.38,24.25,23.44,23.94,24.94,24.62,23.88,24.03,25.5,25.38,24.56,24.47,25.81,27.0,27.03,27.22,29.22,30.34,29.94,28.62,28.31,27.88,26.06,23.09,20.94,19.97,18.5,16.72,16.22,17.78,19.53,19.69,19.69,20.31,20.41,19.12,17.72,18.22,19.66,20.0,19.03,18.06,17.78,16.38,14.19,12.78,13.38,14.19,14.06,14.5,16.5,18.5,18.78,17.62,17.16,16.81,15.25,13.09,11.94,12.72,12.88,12.28,12.41,14.0,15.75,16.31,16.69,18.69,20.56,20.72,19.72,19.53,19.88,19.19,17.97,17.47,18.59,19.12,18.38,17.75,19.06,20.53,20.12,19.75,20.25,20.78,19.78,18.09,17.72,18.53,18.53,18.31,18.12,19.16,18.84,17.0,15.5,15.41,15.53,14.31,13.03,12.94,13.44,12.72,11.97,12.56,13.94,14.19,13.75,13.69,14.88,15.69,15.38,15.03,16.12,16.66,15.41,13.38,12.5,12.28,11.12,9.19,8.28,8.03,7.06,4.75,3.06,3.59,3.88,3.41,3.12,4.69,6.44,6.94,7.22,9.03,11.5,13.0,13.59,14.38,15.41,15.09,13.5,12.12,11.97,12.06,10.84,9.56,9.88,10.0,8.94,7.69,7.56,8.69,9.47,9.28,10.06,11.09,10.97,8.78,6.66,6.0,5.5,4.0,2.62,3.22,3.56,2.84,1.88,2.25,4.31,6.03,7.09,8.94,11.62,13.38,13.56,13.25,13.94,14.28,13.09,11.88,12.91,14.62,15.53,15.88,16.81,18.03,18.25,17.5,17.19,18.44,19.19,18.06,16.34,15.84,14.75,12.69,9.94,8.88,8.25,6.91,4.81,4.25,5.25,6.0,5.56,5.47,6.78,8.09,8.12,8.41,10.47,12.28,12.22,11.25,11.34,11.84,11.69,11.0,11.12,12.94,14.38,14.59,14.78,16.38,16.94,15.56,13.84,13.62,13.75,12.78,11.03,10.84,11.59,11.5,10.62,10.59,12.0,12.81,12.25,12.09,13.59,15.91,17.0,17.75,19.75,21.72,21.53,20.09,19.34,19.0,17.44,14.47,12.5,12.22,11.91,10.78,9.59,9.59,9.34,7.56,5.62,6.0,7.59,9.03,9.97,12.28,14.97,16.56,16.12,15.47,15.59,15.59,13.72,12.28,12.59,13.72,13.72,13.72,15.41,17.5,18.12,17.72,17.62,18.22,18.38,17.03,16.38,16.78,16.31,14.0,11.28,10.0,9.62,8.5,7.41,8.38,10.66,11.97,12.22,13.44,15.09,16.19,15.94,16.41,18.38,20.22,20.62,20.25,21.03,21.72,20.81,18.91,18.22,18.66,18.72,17.62,17.69,18.91,19.41,18.41,17.88,18.62,19.72,18.69,17.5,18.12,19.31,20.0,20.56,22.38,24.81,26.12,25.34,24.28,22.66,20.12,16.0,12.69,11.5,11.69,11.03,10.34,10.91,11.28,10.59,9.72,10.12,12.03,13.69,14.66,15.81,17.94,19.16,18.31,17.53,17.69,18.03,17.19,16.5,17.22,18.47,18.75,17.81,17.44,18.25,18.62,17.5,16.91,17.03,16.88,15.31,13.59,13.62,14.44,14.03,13.25,13.78,15.44,16.09,15.5,15.47,15.94,15.41,13.0,11.41,11.47,12.28,11.78,11.59,12.62,14.06,13.81,12.81,13.28,14.59,15.56,15.22,16.0,18.09,18.56,17.0,15.28,14.28,13.06,10.84,9.06,9.22,10.25,9.91,8.09,6.78,6.06,4.56,2.78,3.0,5.5,8.38,9.66,10.72,12.62,14.0,13.72,13.28,14.59,16.75,17.56,16.84,16.0,15.09,12.25,7.56,4.0,2.16,1.16,-0.34,-0.53,1.62,4.84,7.31,9.78,12.97,17.0,19.59,20.53,22.31,24.84,26.12,25.5,24.97,24.81,24.06,21.44,19.25,18.62,19.19,18.78,18.41,19.22,20.53,20.69,19.34,18.5,18.38,17.91,15.97,15.0,16.16,17.91,18.53,19.94,22.91,26.12,27.03,26.44,26.19,25.84,24.56,22.31,21.0,20.75,20.31,18.16,16.19,15.69,15.38,13.47,11.31,11.09,11.16,9.84,8.25,8.25,9.59,10.56,11.03,12.47,15.03,17.47,18.16,18.69,20.44,22.19,22.56,22.5,23.28,25.03,25.25,24.56,24.81,26.25,26.59,25.16,23.31,22.06,20.19,15.78,11.5,8.59,6.62,3.22,-0.03,-1.22,-1.22,-2.25,-3.41,-3.22,-0.94,1.22,2.41,4.16,7.0,9.03,9.53,9.81,12.25,15.72,18.41,21.16,25.53,30.72,34.0,35.84,36.62,37.53,36.34,32.69,28.62,25.72,22.28,17.31,12.5,9.78,8.28,6.28,4.25,4.34,6.12,7.19,7.41,8.03,9.91,10.56,9.5,8.44,9.19,10.88,11.66,13.03,16.22,20.31,22.81,24.16,26.19,28.72,29.88,29.75,29.41,30.53,31.09,29.5,27.47,26.09,23.94,19.78,16.0,13.84,13.59,12.84,11.91,11.91,13.06,12.81,11.28,10.19,10.91,11.66,11.59,11.88,14.19,16.53,16.5,16.12,16.34,16.81,15.5,13.28,12.06,12.03,11.25,9.62,8.31,9.16,10.12,9.72,9.62,11.72,14.22,15.38,16.53,19.03,22.91,25.5,26.97,28.41,30.41,30.88,29.53,28.03,28.12,28.19,26.97,25.5,25.62,26.12,24.25,21.91,20.91,20.97,20.41,19.16,18.19,18.5,17.41,15.34,13.97,14.22,14.53,13.44,11.44,11.16,12.03,11.53,10.97,11.41,13.03,13.72,13.56,14.19,16.34,18.41,18.81,18.78,20.38,21.34,20.56,18.75,18.56,19.28,18.97,18.09,18.28,19.94,20.81,20.31,20.34,22.59,24.5,25.38,26.03,28.38,30.56,31.03,30.34,30.38,30.38,28.62,24.97,21.94,20.25,18.44,15.91,14.53,15.5,16.78,16.66,16.44,18.09,20.94,22.59,23.66,25.62,27.16,26.72,24.25,21.88,21.09,19.94,18.0,16.72,17.59,19.56,20.16,20.88,23.88,27.38,29.09,29.5,30.69,32.25,32.06,30.62,29.25,29.06,27.84,24.97,22.53,22.03,21.97,21.22,20.56,21.88,24.44,26.38,27.59,29.66,32.5,33.91,33.31,32.47,32.5,31.56,28.53,25.44,24.28,23.81,22.78,21.91,22.91,24.31,24.59,23.84,24.12,25.84,26.69,26.44,26.94,28.97,30.62,30.38,30.81,31.22,31.09,30.97,30.88,30.47,29.78,29.0,28.19,26.97,25.81,24.97,24.75,24.97,25.41,26.19,27.25,28.66,29.97,30.72,30.72,30.56,29.25,27.88,27.12,27.22,28.0,28.47,28.81,28.59,28.25,27.88,27.72,28.44:19.91,22.31,23.5,25.06,27.19,27.59,26.0,24.66,24.34,23.44,21.16,18.53,17.56,17.19,15.91,14.25,13.97,14.38,13.97,12.66,12.06,12.94,13.62,12.47,11.62,11.97,12.25,11.22,10.38,11.59,13.72,14.56,14.44,14.59,15.06,13.97,11.81,10.56,11.28,11.59,10.72,10.03,10.16,9.91,7.62,5.0,3.75,3.12,2.31,1.31,2.66,5.56,8.44,10.16,12.25,15.72,18.03,18.28,18.19,18.84,19.47,18.31,16.75,17.03,17.84,17.84,16.94,17.44,18.84,19.5,18.06,16.5,15.53,14.19,10.69,7.78,6.97,7.03,6.31,5.72,6.84,8.25,8.38,6.66,5.81,5.66,5.44,3.88,3.19,4.25,5.5,4.44,3.53,4.59,6.22,7.31,8.69,12.19,16.81,19.94,20.72,21.53,22.03,20.84,17.97,15.53,15.03,14.34,11.84,8.78,6.53,4.75,2.16,0.62,2.12,5.78,10.03,13.34,16.69,20.25,22.19,21.59,21.41,22.38,23.72,23.91,23.97,24.91,26.06,25.38,23.91,23.03,22.34,21.09,17.59,13.81,11.16,8.16,3.81,0.88,0.94,2.06,2.34,2.75,4.5,6.59,6.75,5.78,5.34,5.91,6.03,5.56,6.03,8.5,11.19,12.09,13.34,16.12,19.16,20.59,21.16,22.66,24.22,24.16,22.44,20.91,20.03,18.25,14.97,12.31,11.59,11.0,8.69,6.56,5.81,5.72,4.28,2.94,3.53,5.78,7.59,9.31,12.22,16.28,19.78,20.75,22.12,23.88,24.66,23.56,21.41,20.38,19.47,17.59,15.28,14.78,16.09,16.62,16.44,16.44,16.94,16.53,13.72,11.22,9.66,8.22,5.47,2.91,1.97,2.62,2.75,3.0,5.06,8.06,10.34,11.41,13.03,15.75,18.03,18.53,19.47,21.78,23.91,23.94,22.91,22.16,21.12,18.03,14.12,11.19,9.88,7.91,5.38,4.22,4.94,6.34,6.41,7.09,9.06,10.84,10.53,9.31,8.94,8.94,7.94,6.44,6.69,8.78,10.81,12.09,14.03,16.66,18.47,18.03,17.09,17.28,18.12,17.44,16.44,16.38,16.88,15.84,14.16,13.62,14.47,15.06,14.97,15.56,17.53,19.62,20.12,20.66,22.0,23.88,23.72,22.75,22.16,21.41,19.81,16.78,14.66,14.44,14.31,13.72,13.72,14.94,16.53,16.19,15.47,16.28,17.75,18.0,17.62,18.09,19.75,20.66,20.75,21.66,23.41,24.72,23.81,22.94,22.62,22.31,20.16,17.88,16.81,16.97,16.03,14.94,15.19,16.41,17.0,16.22,15.34,16.19,16.06,15.06,14.78,16.62,19.16,20.12,20.53,21.16,22.09,20.88,18.97,17.81,18.19,17.91,16.56,15.88,16.44,16.5,15.28,14.31,15.28,16.75,17.16,17.53,18.44,19.31,18.91,17.28,16.44,17.59,18.84,19.38,20.41,22.66,24.38,24.25,23.44,23.94,24.94,24.62,23.88,24.03,25.5,25.38,24.56,24.47,25.81,27.0,27.03,27.22,29.22,30.34,29.94,28.62,28.31,27.88,26.06,23.09,20.94,19.97,18.5,16.72,16.22,17.78,19.53,19.69,19.69,20.31,20.41,19.12,17.72,18.22,19.66,20.0,19.03,18.06,17.78,16.38,14.19,12.78,13.38,14.19,14.06,14.5,16.5,18.5,18.78,17.62,17.16,16.81,15.25,13.09,11.94,12.72,12.88,12.28,12.41,14.0,15.75,16.31,16.69,18.69,20.56,20.72,19.72,19.53,19.88,19.19,17.97,17.47,18.59,19.12,18.38,17.75,19.06,20.53,20.12,19.75,20.25,20.78,19.78,18.09,17.72,18.53,18.53,18.31,18.12,19.16,18.84,17.0,15.5,15.41,15.53,14.31,13.03,12.94,13.44,12.72,11.97,12.56,13.94,14.19,13.75,13.69,14.88,15.69,15.38,15.03,16.12,16.66,15.41,13.38,12.5,12.28,11.12,9.19,8.28,8.03,7.06,4.75,3.06,3.59,3.88,3.41,3.12,4.69,6.44,6.94,7.22,9.03,11.5,13.0,13.59,14.38,15.41,15.09,13.5,12.12,11.97,12.06,10.84,9.56,9.88,10.0,8.94,7.69,7.56,8.69,9.47,9.28,10.06,11.09,10.97,8.78,6.66,6.0,5.5,4.0,2.62,3.22,3.56,2.84,1.88,2.25,4.31,6.03,7.09,8.94,11.62,13.38,13.56,13.25,13.94,14.28,13.09,11.88,12.91,14.62,15.53,15.88,16.81,18.03,18.25,17.5,17.19,18.44,19.19,18.06,16.34,15.84,14.75,12.69,9.94,8.88,8.25,6.91,4.81,4.25,5.25,6.0,5.56,5.47,6.78,8.09,8.12,8.41,10.47,12.28,12.22,11.25,11.34,11.84,11.69,11.0,11.12,12.94,14.38,14.59,14.78,16.38,16.94,15.56,13.84,13.62,13.75,12.78,11.03,10.84,11.59,11.5,10.62,10.59,12.0,12.81,12.25,12.09,13.59,15.91,17.0,17.75,19.75,21.72,21.53,20.09,19.34,19.0,17.44,14.47,12.5,12.22,11.91,10.78,9.59,9.59,9.34,7.56,5.62,6.0,7.59,9.03,9.97,12.28,14.97,16.56,16.12,15.47,15.59,15.59,13.72,12.28,12.59,13.72,13.72,13.72,15.41,17.5,18.12,17.72,17.62,18.22,18.38,17.03,16.38,16.78,16.31,14.0,11.28,10.0,9.62,8.5,7.41,8.38,10.66,11.97,12.22,13.44,15.09,16.19,15.94,16.41,18.38,20.22,20.62,20.25,21.03,21.72,20.81,18.91,18.22,18.66,18.72,17.62,17.69,18.91,19.41,18.41,17.88,18.62,19.72,18.69,17.5,18.12,19.31,20.0,20.56,22.38,24.81,26.12,25.34,24.28,22.66,20.12,16.0,12.69,11.5,11.69,11.03,10.34,10.91,11.28,10.59,9.72,10.12,12.03,13.69,14.66,15.81,17.94,19.16,18.31,17.53,17.69,18.03,17.19,16.5,17.22,18.47,18.75,17.81,17.44,18.25,18.62,17.5,16.91,17.03,16.88,15.31,13.59,13.62,14.44,14.03,13.25,13.78,15.44,16.09,15.5,15.47,15.94,15.41,13.0,11.41,11.47,12.28,11.78,11.59,12.62,14.06,13.81,12.81,13.28,14.59,15.56,15.22,16.0,18.09,18.56,17.0,15.28,14.28,13.06,10.84,9.06,9.22,10.25,9.91,8.09,6.78,6.06,4.56,2.78,3.0,5.5,8.38,9.66,10.72,12.62,14.0,13.72,13.28,14.59,16.75,17.56,16.84,16.0,15.09,12.25,7.56,4.0,2.16,1.16,-0.34,-0.53,1.62,4.84,7.31,9.78,12.97,17.0,19.59,20.53,22.31,24.84,26.12,25.5,24.97,24.81,24.06,21.44,19.25,18.62,19.19,18.78,18.41,19.22,20.53,20.69,19.34,18.5,18.38,17.91,15.97,15.0,16.16,17.91,18.53,19.94,22.91,26.12,27.03,26.44,26.19,25.84,24.56,22.31,21.0,20.75,20.31,18.16,16.19,15.69,15.38,13.47,11.31,11.09,11.16,9.84,8.25,8.25,9.59,10.56,11.03,12.47,15.03,17.47,18.16,18.69,20.44,22.19,22.56,22.5,23.28,25.03,25.25,24.56,24.81,26.25,26.59,25.16,23.31,22.06,20.19,15.78,11.5,8.59,6.62,3.22,-0.03,-1.22,-1.22,-2.25,-3.41,-3.22,-0.94,1.22,2.41,4.16,7.0,9.03,9.53,9.81,12.25,15.72,18.41,21.16,25.53,30.72,34.0,35.84,36.62,37.53,36.34,32.69,28.62,25.72,22.28,17.31,12.5,9.78,8.28,6.28,4.25,4.34,6.12,7.19,7.41,8.03,9.91,10.56,9.5,8.44,9.19,10.88,11.66,13.03,16.22,20.31,22.81,24.16,26.19,28.72,29.88,29.75,29.41,30.53,31.09,29.5,27.47,26.09,23.94,19.78,16.0,13.84,13.59,12.84,11.91,11.91,13.06,12.81,11.28,10.19,10.91,11.66,11.59,11.88,14.19,16.53,16.5,16.12,16.34,16.81,15.5,13.28,12.06,12.03,11.25,9.62,8.31,9.16,10.12,9.72,9.62,11.72,14.22,15.38,16.53,19.03,22.91,25.5,26.97,28.41,30.41,30.88,29.53,28.03,28.12,28.19,26.97,25.5,25.62,26.12,24.25,21.91,20.91,20.97,20.41,19.16,18.19,18.5,17.41,15.34,13.97,14.22,14.53,13.44,11.44,11.16,12.03,11.53,10.97,11.41,13.03,13.72,13.56,14.19,16.34,18.41,18.81,18.78,20.38,21.34,20.56,18.75,18.56,19.28,18.97,18.09,18.28,19.94,20.81,20.31,20.34,22.59,24.5,25.38,26.03,28.38,30.56,31.03,30.34,30.38,30.38,28.62,24.97,21.94,20.25,18.44,15.91,14.53,15.5,16.78,16.66,16.44,18.09,20.94,22.59,23.66,25.62,27.16,26.72,24.25,21.88,21.09,19.94,18.0,16.72,17.59,19.56,20.16,20.88,23.88,27.38,29.09,29.5,30.69,32.25,32.06,30.62,29.25,29.06,27.84,24.97,22.53,22.03,21.97,21.22,20.56,21.88,24.44,26.38,27.59,29.66,32.5,33.91,33.31,32.47,32.5,31.56,28.53,25.44,24.28,23.81,22.78,21.91,22.91,24.31,24.59,23.84,24.12,25.84,26.69,26.44,26.94,28.97,30.62,30.38,30.81,31.22,31.09,30.97,30.88,30.47,29.78,29.0,28.19,26.97,25.81,24.97,24.75,24.97,25.41,26.19,27.25,28.66,29.97,30.72,30.72,30.56,29.25,27.88,27.12,27.22,28.0,28.47,28.81,28.59,28.25,27.88,27.72,28.44,29.69,30.19,29.91,29.31,28.78,28.06,27.88:negativity
29.28,29.47,28.72,27.34,26.19,26.28,25.91,24.03,22.56,22.56,22.56,21.34,19.59,20.09,21.28,21.12,20.75,20.91,21.56,20.59,18.41,17.31,17.88,18.94,19.59,21.16,24.41,27.75,29.56,30.78,33.06,35.16,35.66,34.81,34.19,33.94,32.62,29.97,28.31,27.97,27.53,25.97,24.62,24.72,25.06,24.12,22.59,22.5,22.56,22.19,21.38,21.81,24.0,26.09,27.0,28.44,30.72,31.75,30.88,28.84,28.06,27.47,26.06,24.59,25.41,26.41,26.91,26.5,26.62,27.41,27.25,25.59,24.03,23.91,24.34,23.72,23.09,23.56,24.44,23.69,22.09,21.75,22.81,23.0,22.19,21.97,23.25,24.12,23.66,23.59,25.19,27.22,27.31,26.53,26.47,26.19,24.34,21.31,19.69,18.56,16.81,13.53,10.91,9.94,9.41,8.81,9.16,11.38,14.19,15.47,16.12,17.81,19.75,20.56,20.09,20.12,20.75,20.84,19.62,18.66,19.0,18.94,17.19,15.22,14.69,14.66,13.88,13.12,13.75,15.47,16.5,16.53,17.0,18.56,19.78,19.19,18.81,19.34,19.66,18.69,16.81,16.44,16.59,15.34,13.0,12.31,12.44,12.28,11.09,11.0,11.84,12.0,10.88,10.03,11.5,12.56,12.78,12.09,12.25,12.34,11.5,9.75,9.38,10.34,10.53,9.34,8.59,8.53,8.62,7.94,7.78,9.59,11.5,11.88,10.75,10.31,10.44,9.56,7.75,7.5,8.44,9.16,8.78,9.0,10.66,12.81,13.0,13.19,14.28,14.94,14.16,12.12,10.94,10.53,9.44,7.59,6.75,7.53,8.5,7.91,7.81,8.84,9.72,9.41,9.19,10.5,12.66,14.22,14.19,15.28,16.38,16.38,15.06,14.56,15.66,16.19,15.5,14.5,14.56,14.5,13.0,11.66,12.03,13.84,15.34,15.97,17.53,19.84,20.56,19.06,17.88,18.56,19.19,18.53,18.41,19.28,20.03,19.25,17.84,17.59,18.16,17.69,16.44,16.5,18.38,20.09,20.5,21.69,24.19,26.34,26.59,26.69,27.66,29.12,28.78,28.03,28.34,29.31,28.78,26.94,25.47,24.94,24.19,21.88,20.12,20.16,20.94,20.38,19.75,20.62,21.78,21.56,20.78,20.41,20.94,20.69,18.97,18.03,18.66,19.09,18.53,17.81,18.31,18.78,17.91,16.59,16.88,18.25,17.91,16.28,15.28,15.06,14.5,13.09,12.97,14.75,16.78,17.09,17.22,18.28,19.19,18.44,16.84,16.12,17.0,16.97,16.44,16.84,18.47,19.16,17.41,15.44,14.53,13.19,10.62,8.66,8.81,9.91,10.06,9.88,10.69,12.34,13.03,12.84,13.22,15.97,18.59,19.66,21.09,23.22,24.5,23.22,20.38,18.25,16.22,12.62,9.12,7.03,6.69,6.12,4.88,4.91,7.31,10.38,12.28,15.12,18.78,22.19,22.62,21.78,20.91,20.66,19.19,17.31,16.94,18.28,19.44,19.53,20.06,22.19,23.75,23.28,21.88,21.81,21.75,19.97,18.06,16.94,16.31,14.25,11.38,9.44,9.47,9.62,9.56,10.69,13.84,16.91,18.06,18.44,19.38,20.16,18.78,16.91,16.56,17.69,18.44,18.88,19.81,21.66,21.66,18.88,15.0,12.38,9.47,5.59,2.56,1.69,2.78,2.91,2.59,3.69,5.59,6.28,6.22,7.25,9.59,11.97,12.69,12.41,13.34,14.06,13.19,11.88,11.94,12.38,11.41,9.34,8.53,9.69,10.84,11.06,11.88,14.16,15.88,15.16,13.84,13.97,13.78,12.09,10.34,10.56,12.41,13.88,15.19,17.34,20.53,22.5,22.06,20.88,21.09,20.62,18.34,15.88,16.03,17.09,17.03,16.81,17.59,18.59,18.19,16.47,15.28,15.84,16.47,16.09,16.56,19.03,21.84,22.75,22.5,23.03,23.66,22.56,20.72,20.28,20.44,19.53,17.06,14.56,13.75,12.81,10.5,9.22,10.84,13.03,14.28,15.38,17.66,20.16,20.88,20.16,20.0,21.06,21.62,21.38,21.91,24.34,26.16,25.75,25.03,25.47,26.06,24.81,22.25,20.75,19.38,16.72,13.44,11.41,11.47,11.47,10.72,10.25,11.91,13.5,13.84,14.38,16.97,20.12,22.22,23.28,25.25,27.44,28.06,27.06,26.28,26.38,25.53,23.38,21.28,20.97,20.22,17.38,13.53,11.16,9.41,7.5,5.5,6.47,8.81,10.19,10.25,10.66,12.19,12.78,12.84,13.31,16.19,18.94,19.81,19.62,20.44,21.19,20.44,18.81,19.06,20.56,21.25,20.66,20.62,22.03,22.91,22.59,23.0,25.5,28.47,29.88,30.44,31.75,33.66,33.88,32.44,31.94,32.34,31.34,28.84,27.0,27.06,26.5,24.69,22.47,22.09,22.25,20.72,18.84,18.53,19.28,19.0,18.0,18.28,20.22,21.84,22.03,22.72,25.34,27.66,27.53,26.62,25.94,25.34,22.47,18.5,15.91,14.19,11.56,7.97,5.94,5.91,6.69,6.53,7.53,10.84,14.06,16.22,18.03,20.78,23.53,24.56,24.0,23.78,24.12,23.5,21.34,20.09,20.22,20.25,18.19,15.91,15.06,13.91,11.31,8.53,7.62,7.44,6.25,4.03,3.19,3.59,4.0,3.09,3.47,5.66,8.25,9.31,10.78,13.78,16.5,17.53,17.56,18.69,20.12,20.56,19.28,18.31,17.94,16.16,12.34,8.88,6.88,5.56,3.66,3.31,5.03,7.91,10.22,11.12,12.53,14.75,15.78,15.44,15.94,17.91,19.91,20.28,20.94,23.03,24.56,23.78,22.72,22.59,23.22,22.81,21.62,21.16,21.22,20.25,17.66,15.75,14.91,13.66,10.88,9.22,9.91,11.75,13.09,14.41,16.75,19.41,20.59,20.25,21.06,22.75,23.72,23.34,23.62,25.06,26.06,24.69,23.22,23.03,22.41,20.25,17.69,16.75,16.47,15.66,13.53,12.44,12.25,11.78,10.31,10.44,12.59,14.62,15.38,16.03,17.78,20.0,20.88,20.88,21.94,23.59,24.31,23.19,22.97,23.66,23.94,22.84,22.25,23.38,24.16,23.44,22.38,22.53,23.47,22.78,21.75,21.91,23.03,23.19,22.56,22.41,23.53,23.97,22.66,21.47,21.5,21.38,19.69,17.78,17.44,18.47,18.25,17.38,17.78,19.06,19.44,18.31,18.06,18.97,19.56,18.38,17.09,17.88,19.16,18.94,18.56,19.25,20.34,19.25,17.0,15.28,14.28,12.97,10.94,9.59,10.62,12.38,13.16,14.0,16.06,18.47,18.62,17.91,17.94,18.56,17.97,16.53,15.84,16.38,16.34,14.75,13.22,13.47,14.28,13.53,13.12,13.88,15.5,15.34,14.31,14.41,15.19,15.31,14.41,14.22,14.59,14.41,12.12,9.75,8.62,8.44,7.59,7.03,8.56,11.38,12.78,13.62,15.31,17.62,18.22,17.12,15.56,14.81,13.66,11.62,10.59,11.56,13.53,14.19,14.41,15.19,16.56,16.59,15.78,16.19,18.34,20.12,21.03,22.22,23.97,25.06,23.94,22.53,22.31,22.72,21.78,20.59,20.16,20.44,19.34,17.22,16.34,17.03,18.25,18.88,20.22,22.88,25.25,25.81,25.22,25.41,25.41,23.81,21.81,20.78,21.38,21.25,20.62,20.41,20.81,20.69,18.38,16.28,15.88,16.03,15.31,15.03,16.0,17.59,17.94,17.53,17.97,19.66,20.53,20.5,20.66,21.88,22.25,21.03,20.03,20.69,21.56,21.81,21.53,22.19,23.03,22.91,21.19,19.94,19.94,19.56,18.34,17.59,18.38,18.88,17.53,16.19,16.81,18.34,19.19,19.81,21.44,23.38,23.72,22.28,21.41,22.25,22.53,21.94,21.22,21.44,21.06,18.78,16.28,15.47,15.62,14.81,13.16,12.69,12.75,12.25,10.75,10.16,11.5,12.78,12.81,12.91,14.41,15.53,15.34,14.88,15.78,17.16,17.62,16.59,16.09,16.25,15.25,13.38,11.28,11.44,10.62,8.66,6.5,6.25,6.75,6.56,6.78,8.78,11.38,12.69,12.88,13.19,14.44,14.84,13.81,12.94,13.56,13.72,12.41,11.56,12.41,13.75,14.72,15.03,16.09,17.91,18.16,17.38,17.03,17.88,18.06,16.97,15.97,16.34,16.66,15.53,13.69,13.38,13.56,12.94,12.16,12.88,14.91,16.25,16.31,16.78,18.62,19.53,18.78,17.34,16.78,15.88,13.59,11.5,10.84,11.25,11.19,10.38,10.75,12.44,13.34,13.19,14.12,16.41,18.41,18.94,19.19,20.44,21.16,20.81,19.97,20.66,21.72,21.5,20.31,19.47,19.62,19.19,17.38,16.5,17.5,18.75,19.12,19.34,20.84,22.5,22.34,21.25,21.16,21.34,20.12,17.88,16.22,15.94,15.78,14.78,14.75,16.62,18.72,19.41,19.94,21.59,23.16,23.34,21.97,21.91,22.5,22.34,22.03,22.81,25.0,27.09,27.5,27.69,28.22,28.16,26.34,24.0,23.38,23.25,22.09,20.31,20.28,21.25,21.28,20.56,20.09,20.59,20.88,19.66,18.44,19.12,19.88,19.81,19.56,20.94,22.75,23.75,23.53,24.12,25.59,25.84,24.34,23.41,23.75,24.16,23.53,23.41,24.62,26.19,26.22,24.97,25.0,25.12,24.5,23.19,23.12,24.41,25.75,26.03,26.72,28.56,30.0,29.84,28.53,28.5,28.59,27.22,25.0,24.22,23.5,22.19,19.59,17.91,18.12,18.88,19.03,19.16,20.94,22.28,20.94,19.22,18.41,18.69,18.56,18.0,19.44,21.94,24.06,24.34,24.72,25.72,26.06,24.31,22.56,22.75,22.94,21.66,20.0:24.03,22.56,22.56,22.56,21.34,19.59,20.09,21.28,21.12,20.75,20.91,21.56,20.59,18.41,17.31,17.88,18.94,19.59,21.16,24.41,27.75,29.56,30.78,33.06,35.16,35.66,34.81,34.19,33.94,32.62,29.97,28.31,27.97,27.53,25.97,24.62,24.72,25.06,24.12,22.59,22.5,22.56,22.19,21.38,21.81,24.0,26.09,27.0,28.44,30.72,31.75,30.88,28.84,28.06,27.47,26.06,24.59,25.41,26.41,26.91,26.5,26.62,27.41,27.25,25.59,24.03,23.91,24.34,23.72,23.09,23.56,24.44,23.69,22.09,21.75,22.81,23.0,22.19,21.97,23.25,24.12,23.66,23.59,25.19,27.22,27.31,26.53,26.47,26.19,24.34,21.31,19.69,18.56,16.81,13.53,10.91,9.94,9.41,8.81,9.16,11.38,14.19,15.47,16.12,17.81,19.75,20.56,20.09,20.12,20.75,20.84,19.62,18.66,19.0,18.94,17.19,15.22,14.69,14.66,13.88,13.12,13.75,15.47,16.5,16.53,17.0,18.56,19.78,19.19,18.81,19.34,19.66,18.69,16.81,16.44,16.59,15.34,13.0,12.31,12.44,12.28,11.09,11.0,11.84,12.0,10.88,10.03,11.5,12.56,12.78,12.09,12.25,12.34,11.5,9.75,9.38,10.34,10.53,9.34,8.59,8.53,8.62,7.94,7.78,9.59,11.5,11.88,10.75,10.31,10.44,9.56,7.75,7.5,8.44,9.16,8.78,9.0,10.66,12.81,13.0,13.19,14.28,14.94,14.16,12.12,10.94,10.53,9.44,7.59,6.75,7.53,8.5,7.91,7.81,8.84,9.72,9.41,9.19,10.5,12.66,14.22,14.19,15.28,16.38,16.38,15.06,14.56,15.66,16.19,15.5,14.5,14.56,14.5,13.0,11.66,12.03,13.84,15.34,15.97,17.53,19.84,20.56,19.06,17.88,18.56,19.19,18.53,18.41,19.28,20.03,19.25,17.84,17.59,18.16,17.69,16.44,16.5,18.38,20.09,20.5,21.69,24.19,26.34,26.59,26.69,27.66,29.12,28.78,28.03,28.34,29.31,28.78,26.94,25.47,24.94,24.19,21.88,20.12,20.16,20.94,20.38,19.75,20.62,21.78,21.56,20.78,20.41,20.94,20.69,18.97,18.03,18.66,19.09,18.53,17.81,18.31,18.78,17.91,16.59,16.88,18.25,17.91,16.28,15.28,15.06,14.5,13.09,12.97,14.75,16.78,17.09,17.22,18.28,19.19,18.44,16.84,16.12,17.0,16.97,16.44,16.84,18.47,19.16,17.41,15.44,14.53,13.19,10.62,8.66,8.81,9.91,10.06,9.88,10.69,12.34,13.03,12.84,13.22,15.97,18.59,19.66,21.09,23.22,24.5,23.22,20.38,18.25,16.22,12.62,9.12,7.03,6.69,6.12,4.88,4.91,7.31,10.38,12.28,15.12,18.78,22.19,22.62,21.78,20.91,20.66,19.19,17.31,16.94,18.28,19.44,19.53,20.06,22.19,23.75,23.28,21.88,21.81,21.75,19.97,18.06,16.94,16.31,14.25,11.38,9.44,9.47,9.62,9.56,10.69,13.84,16.91,18.06,18.44,19.38,20.16,18.78,16.91,16.56,17.69,18.44,18.88,19.81,21.66,21.66,18.88,15.0,12.38,9.47,5.59,2.56,1.69,2.78,2.91,2.59,3.69,5.59,6.28,6.22,7.25,9.59,11.97,12.69,12.41,13.34,14.06,13.19,11.88,11.94,12.38,11.41,9.34,8.53,9.69,10.84,11.06,11.88,14.16,15.88,15.16,13.84,13.97,13.78,12.09,10.34,10.56,12.41,13.88,15.19,17.34,20.53,22.5,22.06,20.88,21.09,20.62,18.34,15.88,16.03,17.09,17.03,16.81,17.59,18.59,18.19,16.47,15.28,15.84,16.47,16.09,16.56,19.03,21.84,22.75,22.5,23.03,23.66,22.56,20.72,20.28,20.44,19.53,17.06,14.56,13.75,12.81,10.5,9.22,10.84,13.03,14.28,15.38,17.66,20.16,20.88,20.16,20.0,21.06,21.62,21.38,21.91,24.34,26.16,25.75,25.03,25.47,26.06,24.81,22.25,20.75,19.38,16.72,13.44,11.41,11.47,11.47,10.72,10.25,11.91,13.5,13.84,14.38,16.97,20.12,22.22,23.28,25.25,27.44,28.06,27.06,26.28,26.38,25.53,23.38,21.28,20.97,20.22,17.38,13.53,11.16,9.41,7.5,5.5,6.47,8.81,10.19,10.25,10.66,12.19,12.78,12.84,13.31,16.19,18.94,19.81,19.62,20.44,21.19,20.44,18.81,19.06,20.56,21.25,20.66,20.62,22.03,22.91,22.59,23.0,25.5,28.47,29.88,30.44,31.75,33.66,33.88,32.44,31.94,32.34,31.34,28.84,27.0,27.06,26.5,24.69,22.47,22.09,22.25,20.72,18.84,18.53,19.28,19.0,18.0,18.28,20.22,21.84,22.03,22.72,25.34,27.66,27.53,26.62,25.94,25.34,22.47,18.5,15.91,14.19,11.56,7.97,5.94,5.91,6.69,6.53,7.53,10.84,14.06,16.22,18.03,20.78,23.53,24.56,24.0,23.78,24.12,23.5,21.34,20.09,20.22,20.25,18.19,15.91,15.06,13.91,11.31,8.53,7.62,7.44,6.25,4.03,3.19,3.59,4.0,3.09,3.47,5.66,8.25,9.31,10.78,13.78,16.5,17.53,17.56,18.69,20.12,20.56,19.28,18.31,17.94,16.16,12.34,8.88,6.88,5.56,3.66,3.31,5.03,7.91,10.22,11.12,12.53,14.75,15.78,15.44,15.94,17.91,19.91,20.28,20.94,23.03,24.56,23.78,22.72,22.59,23.22,22.81,21.62,21.16,21.22,20.25,17.66,15.75,14.91,13.66,10.88,9.22,9.91,11.75,13.09,14.41,16.75,19.41,20.59,20.25,21.06,22.75,23.72,23.34,23.62,25.06,26.06,24.69,23.22,23.03,22.41,20.25,17.69,16.75,16.47,15.66,13.53,12.44,12.25,11.78,10.31,10.44,12.59,14.62,15.38,16.03,17.78,20.0,20.88,20.88,21.94,23.59,24.31,23.19,22.97,23.66,23.94,22.84,22.25,23.38,24.16,23.44,22.38,22.53,23.47,22.78,21.75,21.91,23.03,23.19,22.56,22.41,23.53,23.97,22.66,21.47,21.5,21.38,19.69,17.78,17.44,18.47,18.25,17.38,17.78,19.06,19.44,18.31,18.06,18.97,19.56,18.38,17.09,17.88,19.16,18.94,18.56,19.25,20.34,19.25,17.0,15.28,14.28,12.97,10.94,9.59,10.62,12.38,13.16,14.0,16.06,18.47,18.62,17.91,17.94,18.56,17.97,16.53,15.84,16.38,16.34,14.75,13.22,13.47,14.28,13.53,13.12,13.88,15.5,15.34,14.31,14.41,15.19,15.31,14.41,14.22,14.59,14.41,12.12,9.75,8.62,8.44,7.59,7.03,8.56,11.38,12.78,13.62,15.31,17.62,18.22,17.12,15.56,14.81,13.66,11.62,10.59,11.56,13.53,14.19,14.41,15.19,16.56,16.59,15.78,16.19,18.34,20.12,21.03,22.22,23.97,25.06,23.94,22.53,22.31,22.72,21.78,20.59,20.16,20.44,19.34,17.22,16.34,17.03,18.25,18.88,20.22,22.88,25.25,25.81,25.22,25.41,25.41,23.81,21.81,20.78,21.38,21.25,20.62,20.41,20.81,20.69,18.38,16.28,15.88,16.03,15.31,15.03,16.0,17.59,17.94,17.53,17.97,19.66,20.53,20.5,20.66,21.88,22.25,21.03,20.03,20.69,21.56,21.81,21.53,22.19,23.03,22.91,21.19,19.94,19.94,19.56,18.34,17.59,18.38,18.88,17.53,16.19,16.81,18.34,19.19,19.81,21.44,23.38,23.72,22.28,21.41,22.25,22.53,21.94,21.22,21.44,21.06,18.78,16.28,15.47,15.62,14.81,13.16,12.69,12.75,12.25,10.75,10.16,11.5,12.78,12.81,12.91,14.41,15.53,15.34,14.88,15.78,17.16,17.62,16.59,16.09,16.25,15.25,13.38,11.28,11.44,10.62,8.66,6.5,6.25,6.75,6.56,6.78,8.78,11.38,12.69,12.88,13.19,14.44,14.84,13.81,12.94,13.56,13.72,12.41,11.56,12.41,13.75,14.72,15.03,16.09,17.91,18.16,17.38,17.03,17.88,18.06,16.97,15.97,16.34,16.66,15.53,13.69,13.38,13.56,12.94,12.16,12.88,14.91,16.25,16.31,16.78,18.62,19.53,18.78,17.34,16.78,15.88,13.59,11.5,10.84,11.25,11.19,10.38,10.75,12.44,13.34,13.19,14.12,16.41,18.41,18.94,19.19,20.44,21.16,20.81,19.97,20.66,21.72,21.5,20.31,19.47,19.62,19.19,17.38,16.5,17.5,18.75,19.12,19.34,20.84,22.5,22.34,21.25,21.16,21.34,20.12,17.88,16.22,15.94,15.78,14.78,14.75,16.62,18.72,19.41,19.94,21.59,23.16,23.34,21.97,21.91,22.5,22.34,22.03,22.81,25.0,27.09,27.5,27.69,28.22,28.16,26.34,24.0,23.38,23.25,22.09,20.31,20.28,21.25,21.28,20.56,20.09,20.59,20.88,19.66,18.44,19.12,19.88,19.81,19.56,20.94,22.75,23.75,23.53,24.12,25.59,25.84,24.34,23.41,23.75,24.16,23.53,23.41,24.62,26.19,26.22,24.97,25.0,25.12,24.5,23.19,23.12,24.41,25.75,26.03,26.72,28.56,30.0,29.84,28.53,28.5,28.59,27.22,25.0,24.22,23.5,22.19,19.59,17.91,18.12,18.88,19.03,19.16,20.94,22.28,20.94,19.22,18.41,18.69,18.56,18.0,19.44,21.94,24.06,24.34,24.72,25.72,26.06,24.31,22.56,22.75,22.94,21.66,20.0,66.0,65.56,65.38,65.44,65.03,64.53,64.56:21.28,21.12,20.75,20.91,21.56,20.59,18.41,17.31,17.88,18.94,19.59,21.16,24.41,27.75,29.56,30.78,33.06,35.16,35.66,34.81,34.19,33.94,32.62,29.97,28.31,27.97,27.53,25.97,24.62,24.72,25.06,24.12,22.59,22.5,22.56,22.19,21.38,21.81,24.0,26.09,27.0,28.44,30.72,31.75,30.88,28.84,28.06,27.47,26.06,24.59,25.41,26.41,26.91,26.5,26.62,27.41,27.25,25.59,24.03,23.91,24.34,23.72,23.09,23.56,24.44,23.69,22.09,21.75,22.81,23.0,22.19,21.97,23.25,24.12,23.66,23.59,25.19,27.22,27.31,26.53,26.47,26.19,24.34,21.31,19.69,18.56,16.81,13.53,10.91,9.94,9.41,8.81,9.16,11.38,14.19,15.47,16.12,17.81,19.75,20.56,20.09,20.12,20.75,20.84,19.62,18.66,19.0,18.94,17.19,15.22,14.69,14.66,13.88,13.12,13.75,15.47,16.5,16.53,17.0,18.56,19.78,19.19,18.81,19.34,19.66,18.69,16.81,16.44,16.59,15.34,13.0,12.31,12.44,12.28,11.09,11.0,11.84,12.0,10.88,10.03,11.5,12.56,12.78,12.09,12.25,12.34,11.5,9.75,9.38,10.34,10.53,9.34,8.59,8.53,8.62,7.94,7.78,9.59,11.5,11.88,10.75,10.31,10.44,9.56,7.75,7.5,8.44,9.16,8.78,9.0,10.66,12.81,13.0,13.19,14.28,14.94,14.16,12.12,10.94,10.53,9.44,7.59,6.75,7.53,8.5,7.91,7.81,8.84,9.72,9.41,9.19,10.5,12.66,14.22,14.19,15.28,16.38,16.38,15.06,14.56,15.66,16.19,15.5,14.5,14.56,14.5,13.0,11.66,12.03,13.84,15.34,15.97,17.53,19.84,20.56,19.06,17.88,18.56,19.19,18.53,18.41,19.28,20.03,19.25,17.84,17.59,18.16,17.69,16.44,16.5,18.38,20.09,20.5,21.69,24.19,26.34,26.59,26.69,27.66,29.12,28.78,28.03,28.34,29.31,28.78,26.94,25.47,24.94,24.19,21.88,20.12,20.16,20.94,20.38,19.75,20.62,21.78,21.56,20.78,20.41,20.94,20.69,18.97,18.03,18.66,19.09,18.53,17.81,18.31,18.78,17.91,16.59,16.88,18.25,17.91,16.28,15.28,15.06,14.5,13.09,12.97,14.75,16.78,17.09,17.22,18.28,19.19,18.44,16.84,16.12,17.0,16.97,16.44,16.84,18.47,19.16,17.41,15.44,14.53,13.19,10.62,8.66,8.81,9.91,10.06,9.88,10.69,12.34,13.03,12.84,13.22,15.97,18.59,19.66,21.09,23.22,24.5,23.22,20.38,18.25,16.22,12.62,9.12,7.03,6.69,6.12,4.88,4.91,7.31,10.38,12.28,15.12,18.78,22.19,22.62,21.78,20.91,20.66,19.19,17.31,16.94,18.28,19.44,19.53,20.06,22.19,23.75,23.28,21.88,21.81,21.75,19.97,18.06,16.94,16.31,14.25,11.38,9.44,9.47,9.62,9.56,10.69,13.84,16.91,18.06,18.44,19.38,20.16,18.78,16.91,16.56,17.69,18.44,18.88,19.81,21.66,21.66,18.88,15.0,12.38,9.47,5.59,2.56,1.69,2.78,2.91,2.59,3.69,5.59,6.28,6.22,7.25,9.59,11.97,12.69,12.41,13.34,14.06,13.19,11.88,11.94,12.38,11.41,9.34,8.53,9.69,10.84,11.06,11.88,14.16,15.88,15.16,13.84,13.97,13.78,12.09,10.34,10.56,12.41,13.88,15.19,17.34,20.53,22.5,22.06,20.88,21.09,20.62,18.34,15.88,16.03,17.09,17.03,16.81,17.59,18.59,18.19,16.47,15.28,15.84,16.47,16.09,16.56,19.03,21.84,22.75,22.5,23.03,23.66,22.56,20.72,20.28,20.44,19.53,17.06,14.56,13.75,12.81,10.5,9.22,10.84,13.03,14.28,15.38,17.66,20.16,20.88,20.16,20.0,21.06,21.62,21.38,21.91,24.34,26.16,25.75,25.03,25.47,26.06,24.81,22.25,20.75,19.38,16.72,13.44,11.41,11.47,11.47,10.72,10.25,11.91,13.5,13.84,14.38,16.97,20.12,22.22,23.28,25.25,27.44,28.06,27.06,26.28,26.38,25.53,23.38,21.28,20.97,20.22,17.38,13.53,11.16,9.41,7.5,5.5,6.47,8.81,10.19,10.25,10.66,12.19,12.78,12.84,13.31,16.19,18.94,19.81,19.62,20.44,21.19,20.44,18.81,19.06,20.56,21.25,20.66,20.62,22.03,22.91,22.59,23.0,25.5,28.47,29.88,30.44,31.75,33.66,33.88,32.44,31.94,32.34,31.34,28.84,27.0,27.06,26.5,24.69,22.47,22.09,22.25,20.72,18.84,18.53,19.28,19.0,18.0,18.28,20.22,21.84,22.03,22.72,25.34,27.66,27.53,26.62,25.94,25.34,22.47,18.5,15.91,14.19,11.56,7.97,5.94,5.91,6.69,6.53,7.53,10.84,14.06,16.22,18.03,20.78,23.53,24.56,24.0,23.78,24.12,23.5,21.34,20.09,20.22,20.25,18.19,15.91,15.06,13.91,11.31,8.53,7.62,7.44,6.25,4.03,3.19,3.59,4.0,3.09,3.47,5.66,8.25,9.31,10.78,13.78,16.5,17.53,17.56,18.69,20.12,20.56,19.28,18.31,17.94,16.16,12.34,8.88,6.88,5.56,3.66,3.31,5.03,7.91,10.22,11.12,12.53,14.75,15.78,15.44,15.94,17.91,19.91,20.28,20.94,23.03,24.56,23.78,22.72,22.59,23.22,22.81,21.62,21.16,21.22,20.25,17.66,15.75,14.91,13.66,10.88,9.22,9.91,11.75,13.09,14.41,16.75,19.41,20.59,20.25,21.06,22.75,23.72,23.34,23.62,25.06,26.06,24.69,23.22,23.03,22.41,20.25,17.69,16.75,16.47,15.66,13.53,12.44,12.25,11.78,10.31,10.44,12.59,14.62,15.38,16.03,17.78,20.0,20.88,20.88,21.94,23.59,24.31,23.19,22.97,23.66,23.94,22.84,22.25,23.38,24.16,23.44,22.38,22.53,23.47,22.78,21.75,21.91,23.03,23.19,22.56,22.41,23.53,23.97,22.66,21.47,21.5,21.38,19.69,17.78,17.44,18.47,18.25,17.38,17.78,19.06,19.44,18.31,18.06,18.97,19.56,18.38,17.09,17.88,19.16,18.94,18.56,19.25,20.34,19.25,17.0,15.28,14.28,12.97,10.94,9.59,10.62,12.38,13.16,14.0,16.06,18.47,18.62,17.91,17.94,18.56,17.97,16.53,15.84,16.38,16.34,14.75,13.22,13.47,14.28,13.53,13.12,13.88,15.5,15.34,14.31,14.41,15.19,15.31,14.41,14.22,14.59,14.41,12.12,9.75,8.62,8.44,7.59,7.03,8.56,11.38,12.78,13.62,15.31,17.62,18.22,17.12,15.56,14.81,13.66,11.62,10.59,11.56,13.53,14.19,14.41,15.19,16.56,16.59,15.78,16.19,18.34,20.12,21.03,22.22,23.97,25.06,23.94,22.53,22.31,22.72,21.78,20.59,20.16,20.44,19.34,17.22,16.34,17.03,18.25,18.88,20.22,22.88,25.25,25.81,25.22,25.41,25.41,23.81,21.81,20.78,21.38,21.25,20.62,20.41,20.81,20.69,18.38,16.28,15.88,16.03,15.31,15.03,16.0,17.59,17.94,17.53,17.97,19.66,20.53,20.5,20.66,21.88,22.25,21.03,20.03,20.69,21.56,21.81,21.53,22.19,23.03,22.91,21.19,19.94,19.94,19.56,18.34,17.59,18.38,18.88,17.53,16.19,16.81,18.34,19.19,19.81,21.44,23.38,23.72,22.28,21.41,22.25,22.53,21.94,21.22,21.44,21.06,18.78,16.28,15.47,15.62,14.81,13.16,12.69,12.75,12.25,10.75,10.16,11.5,12.78,12.81,12.91,14.41,15.53,15.34,14.88,15.78,17.16,17.62,16.59,16.09,16.25,15.25,13.38,11.28,11.44,10.62,8.66,6.5,6.25,6.75,6.56,6.78,8.78,11.38,12.69,12.88,13.19,14.44,14.84,13.81,12.94,13.56,13.72,12.41,11.56,12.41,13.75,14.72,15.03,16.09,17.91,18.16,17.38,17.03,17.88,18.06,16.97,15.97,16.34,16.66,15.53,13.69,13.38,13.56,12.94,12.16,12.88,14.91,16.25,16.31,16.78,18.62,19.53,18.78,17.34,16.78,15.88,13.59,11.5,10.84,11.25,11.19,10.38,10.75,12.44,13.34,13.19,14.12,16.41,18.41,18.94,19.19,20.44,21.16,20.81,19.97,20.66,21.72,21.5,20.31,19.47,19.62,19.19,17.38,16.5,17.5,18.75,19.12,19.34,20.84,22.5,22.34,21.25,21.16,21.34,20.12,17.88,16.22,15.94,15.78,14.78,14.75,16.62,18.72,19.41,19.94,21.59,23.16,23.34,21.97,21.91,22.5,22.34,22.03,22.81,25.0,27.09,27.5,27.69,28.22,28.16,26.34,24.0,23.38,23.25,22.09,20.31,20.28,21.25,21.28,20.56,20.09,20.59,20.88,19.66,18.44,19.12,19.88,19.81,19.56,20.94,22.75,23.75,23.53,24.12,25.59,25.84,24.34,23.41,23.75,24.16,23.53,23.41,24.62,26.19,26.22,24.97,25.0,25.12,24.5,23.19,23.12,24.41,25.75,26.03,26.72,28.56,30.0,29.84,28.53,28.5,28.59,27.22,25.0,24.22,23.5,22.19,19.59,17.91,18.12,18.88,19.03,19.16,20.94,22.28,20.94,19.22,18.41,18.69,18.56,18.0,19.44,21.94,24.06,24.34,24.72,25.72,26.06,24.31,22.56,22.75,22.94,21.66,20.0,66.0,65.56,65.38,65.44,65.03,64.53,64.56,65.12,65.38,64.88,64.66,64.62,63.81,63.03:17.31,17.88,18.94,19.59,21.16,24.41,27.75,29.56,30.78,33.06,35.16,35.66,34.81,34.19,33.94,32.62,29.97,28.31,27.97,27.53,25.97,24.62,24.72,25.06,24.12,22.59,22.5,22.56,22.19,21.38,21.81,24.0,26.09,27.0,28.44,30.72,31.75,30.88,28.84,28.06,27.47,26.06,24.59,25.41,26.41,26.91,26.5,26.62,27.41,27.25,25.59,24.03,23.91,24.34,23.72,23.09,23.56,24.44,23.69,22.09,21.75,22.81,23.0,22.19,21.97,23.25,24.12,23.66,23.59,25.19,27.22,27.31,26.53,26.47,26.19,24.34,21.31,19.69,18.56,16.81,13.53,10.91,9.94,9.41,8.81,9.16,11.38,14.19,15.47,16.12,17.81,19.75,20.56,20.09,20.12,20.75,20.84,19.62,18.66,19.0,18.94,17.19,15.22,14.69,14.66,13.88,13.12,13.75,15.47,16.5,16.53,17.0,18.56,19.78,19.19,18.81,19.34,19.66,18.69,16.81,16.44,16.59,15.34,13.0,12.31,12.44,12.28,11.09,11.0,11.84,12.0,10.88,10.03,11.5,12.56,12.78,12.09,12.25,12.34,11.5,9.75,9.38,10.34,10.53,9.34,8.59,8.53,8.62,7.94,7.78,9.59,11.5,11.88,10.75,10.31,10.44,9.56,7.75,7.5,8.44,9.16,8.78,9.0,10.66,12.81,13.0,13.19,14.28,14.94,14.16,12.12,10.94,10.53,9.44,7.59,6.75,7.53,8.5,7.91,7.81,8.84,9.72,9.41,9.19,10.5,12.66,14.22,14.19,15.28,16.38,16.38,15.06,14.56,15.66,16.19,15.5,14.5,14.56,14.5,13.0,11.66,12.03,13.84,15.34,15.97,17.53,19.84,20.56,19.06,17.88,18.56,19.19,18.53,18.41,19.28,20.03,19.25,17.84,17.59,18.16,17.69,16.44,16.5,18.38,20.09,20.5,21.69,24.19,26.34,26.59,26.69,27.66,29.12,28.78,28.03,28.34,29.31,28.78,26.94,25.47,24.94,24.19,21.88,20.12,20.16,20.94,20.38,19.75,20.62,21.78,21.56,20.78,20.41,20.94,20.69,18.97,18.03,18.66,19.09,18.53,17.81,18.31,18.78,17.91,16.59,16.88,18.25,17.91,16.28,15.28,15.06,14.5,13.09,12.97,14.75,16.78,17.09,17.22,18.28,19.19,18.44,16.84,16.12,17.0,16.97,16.44,16.84,18.47,19.16,17.41,15.44,14.53,13.19,10.62,8.66,8.81,9.91,10.06,9.88,10.69,12.34,13.03,12.84,13.22,15.97,18.59,19.66,21.09,23.22,24.5,23.22,20.38,18.25,16.22,12.62,9.12,7.03,6.69,6.12,4.88,4.91,7.31,10.38,12.28,15.12,18.78,22.19,22.62,21.78,20.91,20.66,19.19,17.31,16.94,18.28,19.44,19.53,20.06,22.19,23.75,23.28,21.88,21.81,21.75,19.97,18.06,16.94,16.31,14.25,11.38,9.44,9.47,9.62,9.56,10.69,13.84,16.91,18.06,18.44,19.38,20.16,18.78,16.91,16.56,17.69,18.44,18.88,19.81,21.66,21.66,18.88,15.0,12.38,9.47,5.59,2.56,1.69,2.78,2.91,2.59,3.69,5.59,6.28,6.22,7.25,9.59,11.97,12.69,12.41,13.34,14.06,13.19,11.88,11.94,12.38,11.41,9.34,8.53,9.69,10.84,11.06,11.88,14.16,15.88,15.16,13.84,13.97,13.78,12.09,10.34,10.56,12.41,13.88,15.19,17.34,20.53,22.5,22.06,20.88,21.09,20.62,18.34,15.88,16.03,17.09,17.03,16.81,17.59,18.59,18.19,16.47,15.28,15.84,16.47,16.09,16.56,19.03,21.84,22.75,22.5,23.03,23.66,22.56,20.72,20.28,20.44,19.53,17.06,14.56,13.75,12.81,10.5,9.22,10.84,13.03,14.28,15.38,17.66,20.16,20.88,20.16,20.0,21.06,21.62,21.38,21.91,24.34,26.16,25.75,25.03,25.47,26.06,24.81,22.25,20.75,19.38,16.72,13.44,11.41,11.47,11.47,10.72,10.25,11.91,13.5,13.84,14.38,16.97,20.12,22.22,23.28,25.25,27.44,28.06,27.06,26.28,26.38,25.53,23.38,21.28,20.97,20.22,17.38,13.53,11.16,9.41,7.5,5.5,6.47,8.81,10.19,10.25,10.66,12.19,12.78,12.84,13.31,16.19,18.94,19.81,19.62,20.44,21.19,20.44,18.81,19.06,20.56,21.25,20.66,20.62,22.03,22.91,22.59,23.0,25.5,28.47,29.88,30.44,31.75,33.66,33.88,32.44,31.94,32.34,31.34,28.84,27.0,27.06,26.5,24.69,22.47,22.09,22.25,20.72,18.84,18.53,19.28,19.0,18.0,18.28,20.22,21.84,22.03,22.72,25.34,27.66,27.53,26.62,25.94,25.34,22.47,18.5,15.91,14.19,11.56,7.97,5.94,5.91,6.69,6.53,7.53,10.84,14.06,16.22,18.03,20.78,23.53,24.56,24.0,23.78,24.12,23.5,21.34,20.09,20.22,20.25,18.19,15.91,15.06,13.91,11.31,8.53,7.62,7.44,6.25,4.03,3.19,3.59,4.0,3.09,3.47,5.66,8.25,9.31,10.78,13.78,16.5,17.53,17.56,18.69,20.12,20.56,19.28,18.31,17.94,16.16,12.34,8.88,6.88,5.56,3.66,3.31,5.03,7.91,10.22,11.12,12.53,14.75,15.78,15.44,15.94,17.91,19.91,20.28,20.94,23.03,24.56,23.78,22.72,22.59,23.22,22.81,21.62,21.16,21.22,20.25,17.66,15.75,14.91,13.66,10.88,9.22,9.91,11.75,13.09,14.41,16.75,19.41,20.59,20.25,21.06,22.75,23.72,23.34,23.62,25.06,26.06,24.69,23.22,23.03,22.41,20.25,17.69,16.75,16.47,15.66,13.53,12.44,12.25,11.78,10.31,10.44,12.59,14.62,15.38,16.03,17.78,20.0,20.88,20.88,21.94,23.59,24.31,23.19,22.97,23.66,23.94,22.84,22.25,23.38,24.16,23.44,22.38,22.53,23.47,22.78,21.75,21.91,23.03,23.19,22.56,22.41,23.53,23.97,22.66,21.47,21.5,21.38,19.69,17.78,17.44,18.47,18.25,17.38,17.78,19.06,19.44,18.31,18.06,18.97,19.56,18.38,17.09,17.88,19.16,18.94,18.56,19.25,20.34,19.25,17.0,15.28,14.28,12.97,10.94,9.59,10.62,12.38,13.16,14.0,16.06,18.47,18.62,17.91,17.94,18.56,17.97,16.53,15.84,16.38,16.34,14.75,13.22,13.47,14.28,13.53,13.12,13.88,15.5,15.34,14.31,14.41,15.19,15.31,14.41,14.22,14.59,14.41,12.12,9.75,8.62,8.44,7.59,7.03,8.56,11.38,12.78,13.62,15.31,17.62,18.22,17.12,15.56,14.81,13.66,11.62,10.59,11.56,13.53,14.19,14.41,15.19,16.56,16.59,15.78,16.19,18.34,20.12,21.03,22.22,23.97,25.06,23.94,22.53,22.31,22.72,21.78,20.59,20.16,20.44,19.34,17.22,16.34,17.03,18.25,18.88,20.22,22.88,25.25,25.81,25.22,25.41,25.41,23.81,21.81,20.78,21.38,21.25,20.62,20.41,20.81,20.69,18.38,16.28,15.88,16.03,15.31,15.03,16.0,17.59,17.94,17.53,17.97,19.66,20.53,20.5,20.66,21.88,22.25,21.03,20.03,20.69,21.56,21.81,21.53,22.19,23.03,22.91,21.19,19.94,19.94,19.56,18.34,17.59,18.38,18.88,17.53,16.19,16.81,18.34,19.19,19.81,21.44,23.38,23.72,22.28,21.41,22.25,22.53,21.94,21.22,21.44,21.06,18.78,16.28,15.47,15.62,14.81,13.16,12.69,12.75,12.25,10.75,10.16,11.5,12.78,12.81,12.91,14.41,15.53,15.34,14.88,15.78,17.16,17.62,16.59,16.09,16.25,15.25,13.38,11.28,11.44,10.62,8.66,6.5,6.25,6.75,6.56,6.78,8.78,11.38,12.69,12.88,13.19,14.44,14.84,13.81,12.94,13.56,13.72,12.41,11.56,12.41,13.75,14.72,15.03,16.09,17.91,18.16,17.38,17.03,17.88,18.06,16.97,15.97,16.34,16.66,15.53,13.69,13.38,13.56,12.94,12.16,12.88,14.91,16.25,16.31,16.78,18.62,19.53,18.78,17.34,16.78,15.88,13.59,11.5,10.84,11.25,11.19,10.38,10.75,12.44,13.34,13.19,14.12,16.41,18.41,18.94,19.19,20.44,21.16,20.81,19.97,20.66,21.72,21.5,20.31,19.47,19.62,19.19,17.38,16.5,17.5,18.75,19.12,19.34,20.84,22.5,22.34,21.25,21.16,21.34,20.12,17.88,16.22,15.94,15.78,14.78,14.75,16.62,18.72,19.41,19.94,21.59,23.16,23.34,21.97,21.91,22.5,22.34,22.03,22.81,25.0,27.09,27.5,27.69,28.22,28.16,26.34,24.0,23.38,23.25,22.09,20.31,20.28,21.25,21.28,20.56,20.09,20.59,20.88,19.66,18.44,19.12,19.88,19.81,19.56,20.94,22.75,23.75,23.53,24.12,25.59,25.84,24.34,23.41,23.75,24.16,23.53,23.41,24.62,26.19,26.22,24.97,25.0,25.12,24.5,23.19,23.12,24.41,25.75,26.03,26.72,28.56,30.0,29.84,28.53,28.5,28.59,27.22,25.0,24.22,23.5,22.19,19.59,17.91,18.12,18.88,19.03,19.16,20.94,22.28,20.94,19.22,18.41,18.69,18.56,18.0,19.44,21.94,24.06,24.34,24.72,25.72,26.06,24.31,22.56,22.75,22.94,21.66,20.0,66.0,65.56,65.38,65.44,65.03,64.53,64.56,65.12,65.38,64.88,64.66,64.62,63.81,63.03,62.59,62.38,62.56,62.19,61.94,61.94,62.03:29.56,30.78,33.06,35.16,35.66,34.81,34.19,33.94,32.62,29.97,28.31,27.97,27.53,25.97,24.62,24.72,25.06,24.12,22.59,22.5,22.56,22.19,21.38,21.81,24.0,26.09,27.0,28.44,30.72,31.75,30.88,28.84,28.06,27.47,26.06,24.59,25.41,26.41,26.91,26.5,26.62,27.41,27.25,25.59,24.03,23.91,24.34,23.72,23.09,23.56,24.44,23.69,22.09,21.75,22.81,23.0,22.19,21.97,23.25,24.12,23.66,23.59,25.19,27.22,27.31,26.53,26.47,26.19,24.34,21.31,19.69,18.56,16.81,13.53,10.91,9.94,9.41,8.81,9.16,11.38,14.19,15.47,16.12,17.81,19.75,20.56,20.09,20.12,20.75,20.84,19.62,18.66,19.0,18.94,17.19,15.22,14.69,14.66,13.88,13.12,13.75,15.47,16.5,16.53,17.0,18.56,19.78,19.19,18.81,19.34,19.66,18.69,16.81,16.44,16.59,15.34,13.0,12.31,12.44,12.28,11.09,11.0,11.84,12.0,10.88,10.03,11.5,12.56,12.78,12.09,12.25,12.34,11.5,9.75,9.38,10.34,10.53,9.34,8.59,8.53,8.62,7.94,7.78,9.59,11.5,11.88,10.75,10.31,10.44,9.56,7.75,7.5,8.44,9.16,8.78,9.0,10.66,12.81,13.0,13.19,14.28,14.94,14.16,12.12,10.94,10.53,9.44,7.59,6.75,7.53,8.5,7.91,7.81,8.84,9.72,9.41,9.19,10.5,12.66,14.22,14.19,15.28,16.38,16.38,15.06,14.56,15.66,16.19,15.5,14.5,14.56,14.5,13.0,11.66,12.03,13.84,15.34,15.97,17.53,19.84,20.56,19.06,17.88,18.56,19.19,18.53,18.41,19.28,20.03,19.25,17.84,17.59,18.16,17.69,16.44,16.5,18.38,20.09,20.5,21.69,24.19,26.34,26.59,26.69,27.66,29.12,28.78,28.03,28.34,29.31,28.78,26.94,25.47,24.94,24.19,21.88,20.12,20.16,20.94,20.38,19.75,20.62,21.78,21.56,20.78,20.41,20.94,20.69,18.97,18.03,18.66,19.09,18.53,17.81,18.31,18.78,17.91,16.59,16.88,18.25,17.91,16.28,15.28,15.06,14.5,13.09,12.97,14.75,16.78,17.09,17.22,18.28,19.19,18.44,16.84,16.12,17.0,16.97,16.44,16.84,18.47,19.16,17.41,15.44,14.53,13.19,10.62,8.66,8.81,9.91,10.06,9.88,10.69,12.34,13.03,12.84,13.22,15.97,18.59,19.66,21.09,23.22,24.5,23.22,20.38,18.25,16.22,12.62,9.12,7.03,6.69,6.12,4.88,4.91,7.31,10.38,12.28,15.12,18.78,22.19,22.62,21.78,20.91,20.66,19.19,17.31,16.94,18.28,19.44,19.53,20.06,22.19,23.75,23.28,21.88,21.81,21.75,19.97,18.06,16.94,16.31,14.25,11.38,9.44,9.47,9.62,9.56,10.69,13.84,16.91,18.06,18.44,19.38,20.16,18.78,16.91,16.56,17.69,18.44,18.88,19.81,21.66,21.66,18.88,15.0,12.38,9.47,5.59,2.56,1.69,2.78,2.91,2.59,3.69,5.59,6.28,6.22,7.25,9.59,11.97,12.69,12.41,13.34,14.06,13.19,11.88,11.94,12.38,11.41,9.34,8.53,9.69,10.84,11.06,11.88,14.16,15.88,15.16,13.84,13.97,13.78,12.09,10.34,10.56,12.41,13.88,15.19,17.34,20.53,22.5,22.06,20.88,21.09,20.62,18.34,15.88,16.03,17.09,17.03,16.81,17.59,18.59,18.19,16.47,15.28,15.84,16.47,16.09,16.56,19.03,21.84,22.75,22.5,23.03,23.66,22.56,20.72,20.28,20.44,19.53,17.06,14.56,13.75,12.81,10.5,9.22,10.84,13.03,14.28,15.38,17.66,20.16,20.88,20.16,20.0,21.06,21.62,21.38,21.91,24.34,26.16,25.75,25.03,25.47,26.06,24.81,22.25,20.75,19.38,16.72,13.44,11.41,11.47,11.47,10.72,10.25,11.91,13.5,13.84,14.38,16.97,20.12,22.22,23.28,25.25,27.44,28.06,27.06,26.28,26.38,25.53,23.38,21.28,20.97,20.22,17.38,13.53,11.16,9.41,7.5,5.5,6.47,8.81,10.19,10.25,10.66,12.19,12.78,12.84,13.31,16.19,18.94,19.81,19.62,20.44,21.19,20.44,18.81,19.06,20.56,21.25,20.66,20.62,22.03,22.91,22.59,23.0,25.5,28.47,29.88,30.44,31.75,33.66,33.88,32.44,31.94,32.34,31.34,28.84,27.0,27.06,26.5,24.69,22.47,22.09,22.25,20.72,18.84,18.53,19.28,19.0,18.0,18.28,20.22,21.84,22.03,22.72,25.34,27.66,27.53,26.62,25.94,25.34,22.47,18.5,15.91,14.19,11.56,7.97,5.94,5.91,6.69,6.53,7.53,10.84,14.06,16.22,18.03,20.78,23.53,24.56,24.0,23.78,24.12,23.5,21.34,20.09,20.22,20.25,18.19,15.91,15.06,13.91,11.31,8.53,7.62,7.44,6.25,4.03,3.19,3.59,4.0,3.09,3.47,5.66,8.25,9.31,10.78,13.78,16.5,17.53,17.56,18.69,20.12,20.56,19.28,18.31,17.94,16.16,12.34,8.88,6.88,5.56,3.66,3.31,5.03,7.91,10.22,11.12,12.53,14.75,15.78,15.44,15.94,17.91,19.91,20.28,20.94,23.03,24.56,23.78,22.72,22.59,23.22,22.81,21.62,21.16,21.22,20.25,17.66,15.75,14.91,13.66,10.88,9.22,9.91,11.75,13.09,14.41,16.75,19.41,20.59,20.25,21.06,22.75,23.72,23.34,23.62,25.06,26.06,24.69,23.22,23.03,22.41,20.25,17.69,16.75,16.47,15.66,13.53,12.44,12.25,11.78,10.31,10.44,12.59,14.62,15.38,16.03,17.78,20.0,20.88,20.88,21.94,23.59,24.31,23.19,22.97,23.66,23.94,22.84,22.25,23.38,24.16,23.44,22.38,22.53,23.47,22.78,21.75,21.91,23.03,23.19,22.56,22.41,23.53,23.97,22.66,21.47,21.5,21.38,19.69,17.78,17.44,18.47,18.25,17.38,17.78,19.06,19.44,18.31,18.06,18.97,19.56,18.38,17.09,17.88,19.16,18.94,18.56,19.25,20.34,19.25,17.0,15.28,14.28,12.97,10.94,9.59,10.62,12.38,13.16,14.0,16.06,18.47,18.62,17.91,17.94,18.56,17.97,16.53,15.84,16.38,16.34,14.75,13.22,13.47,14.28,13.53,13.12,13.88,15.5,15.34,14.31,14.41,15.19,15.31,14.41,14.22,14.59,14.41,12.12,9.75,8.62,8.44,7.59,7.03,8.56,11.38,12.78,13.62,15.31,17.62,18.22,17.12,15.56,14.81,13.66,11.62,10.59,11.56,13.53,14.19,14.41,15.19,16.56,16.59,15.78,16.19,18.34,20.12,21.03,22.22,23.97,25.06,23.94,22.53,22.31,22.72,21.78,20.59,20.16,20.44,19.34,17.22,16.34,17.03,18.25,18.88,20.22,22.88,25.25,25.81,25.22,25.41,25.41,23.81,21.81,20.78,21.38,21.25,20.62,20.41,20.81,20.69,18.38,16.28,15.88,16.03,15.31,15.03,16.0,17.59,17.94,17.53,17.97,19.66,20.53,20.5,20.66,21.88,22.25,21.03,20.03,20.69,21.56,21.81,21.53,22.19,23.03,22.91,21.19,19.94,19.94,19.56,18.34,17.59,18.38,18.88,17.53,16.19,16.81,18.34,19.19,19.81,21.44,23.38,23.72,22.28,21.41,22.25,22.53,21.94,21.22,21.44,21.06,18.78,16.28,15.47,15.62,14.81,13.16,12.69,12.75,12.25,10.75,10.16,11.5,12.78,12.81,12.91,14.41,15.53,15.34,14.88,15.78,17.16,17.62,16.59,16.09,16.25,15.25,13.38,11.28,11.44,10.62,8.66,6.5,6.25,6.75,6.56,6.78,8.78,11.38,12.69,12.88,13.19,14.44,14.84,13.81,12.94,13.56,13.72,12.41,11.56,12.41,13.75,14.72,15.03,16.09,17.91,18.16,17.38,17.03,17.88,18.06,16.97,15.97,16.34,16.66,15.53,13.69,13.38,13.56,12.94,12.16,12.88,14.91,16.25,16.31,16.78,18.62,19.53,18.78,17.34,16.78,15.88,13.59,11.5,10.84,11.25,11.19,10.38,10.75,12.44,13.34,13.19,14.12,16.41,18.41,18.94,19.19,20.44,21.16,20.81,19.97,20.66,21.72,21.5,20.31,19.47,19.62,19.19,17.38,16.5,17.5,18.75,19.12,19.34,20.84,22.5,22.34,21.25,21.16,21.34,20.12,17.88,16.22,15.94,15.78,14.78,14.75,16.62,18.72,19.41,19.94,21.59,23.16,23.34,21.97,21.91,22.5,22.34,22.03,22.81,25.0,27.09,27.5,27.69,28.22,28.16,26.34,24.0,23.38,23.25,22.09,20.31,20.28,21.25,21.28,20.56,20.09,20.59,20.88,19.66,18.44,19.12,19.88,19.81,19.56,20.94,22.75,23.75,23.53,24.12,25.59,25.84,24.34,23.41,23.75,24.16,23.53,23.41,24.62,26.19,26.22,24.97,25.0,25.12,24.5,23.19,23.12,24.41,25.75,26.03,26.72,28.56,30.0,29.84,28.53,28.5,28.59,27.22,25.0,24.22,23.5,22.19,19.59,17.91,18.12,18.88,19.03,19.16,20.94,22.28,20.94,19.22,18.41,18.69,18.56,18.0,19.44,21.94,24.06,24.34,24.72,25.72,26.06,24.31,22.56,22.75,22.94,21.66,20.0,66.0,65.56,65.38,65.44,65.03,64.53,64.56,65.12,65.38,64.88,64.66,64.62,63.81,63.03,62.59,62.38,62.56,62.19,61.94,61.94,62.03,62.16,62.47,63.38,65.25,66.97,68.66,70.53:33.94,32.62,29.97,28.31,27.97,27.53,25.97,24.62,24.72,25.06,24.12,22.59,22.5,22.56,22.19,21.38,21.81,24.0,26.09,27.0,28.44,30.72,31.75,30.88,28.84,28.06,27.47,26.06,24.59,25.41,26.41,26.91,26.5,26.62,27.41,27.25,25.59,24.03,23.91,24.34,23.72,23.09,23.56,24.44,23.69,22.09,21.75,22.81,23.0,22.19,21.97,23.25,24.12,23.66,23.59,25.19,27.22,27.31,26.53,26.47,26.19,24.34,21.31,19.69,18.56,16.81,13.53,10.91,9.94,9.41,8.81,9.16,11.38,14.19,15.47,16.12,17.81,19.75,20.56,20.09,20.12,20.75,20.84,19.62,18.66,19.0,18.94,17.19,15.22,14.69,14.66,13.88,13.12,13.75,15.47,16.5,16.53,17.0,18.56,19.78,19.19,18.81,19.34,19.66,18.69,16.81,16.44,16.59,15.34,13.0,12.31,12.44,12.28,11.09,11.0,11.84,12.0,10.88,10.03,11.5,12.56,12.78,12.09,12.25,12.34,11.5,9.75,9.38,10.34,10.53,9.34,8.59,8.53,8.62,7.94,7.78,9.59,11.5,11.88,10.75,10.31,10.44,9.56,7.75,7.5,8.44,9.16,8.78,9.0,10.66,12.81,13.0,13.19,14.28,14.94,14.16,12.12,10.94,10.53,9.44,7.59,6.75,7.53,8.5,7.91,7.81,8.84,9.72,9.41,9.19,10.5,12.66,14.22,14.19,15.28,16.38,16.38,15.06,14.56,15.66,16.19,15.5,14.5,14.56,14.5,13.0,11.66,12.03,13.84,15.34,15.97,17.53,19.84,20.56,19.06,17.88,18.56,19.19,18.53,18.41,19.28,20.03,19.25,17.84,17.59,18.16,17.69,16.44,16.5,18.38,20.09,20.5,21.69,24.19,26.34,26.59,26.69,27.66,29.12,28.78,28.03,28.34,29.31,28.78,26.94,25.47,24.94,24.19,21.88,20.12,20.16,20.94,20.38,19.75,20.62,21.78,21.56,20.78,20.41,20.94,20.69,18.97,18.03,18.66,19.09,18.53,17.81,18.31,18.78,17.91,16.59,16.88,18.25,17.91,16.28,15.28,15.06,14.5,13.09,12.97,14.75,16.78,17.09,17.22,18.28,19.19,18.44,16.84,16.12,17.0,16.97,16.44,16.84,18.47,19.16,17.41,15.44,14.53,13.19,10.62,8.66,8.81,9.91,10.06,9.88,10.69,12.34,13.03,12.84,13.22,15.97,18.59,19.66,21.09,23.22,24.5,23.22,20.38,18.25,16.22,12.62,9.12,7.03,6.69,6.12,4.88,4.91,7.31,10.38,12.28,15.12,18.78,22.19,22.62,21.78,20.91,20.66,19.19,17.31,16.94,18.28,19.44,19.53,20.06,22.19,23.75,23.28,21.88,21.81,21.75,19.97,18.06,16.94,16.31,14.25,11.38,9.44,9.47,9.62,9.56,10.69,13.84,16.91,18.06,18.44,19.38,20.16,18.78,16.91,16.56,17.69,18.44,18.88,19.81,21.66,21.66,18.88,15.0,12.38,9.47,5.59,2.56,1.69,2.78,2.91,2.59,3.69,5.59,6.28,6.22,7.25,9.59,11.97,12.69,12.41,13.34,14.06,13.19,11.88,11.94,12.38,11.41,9.34,8.53,9.69,10.84,11.06,11.88,14.16,15.88,15.16,13.84,13.97,13.78,12.09,10.34,10.56,12.41,13.88,15.19,17.34,20.53,22.5,22.06,20.88,21.09,20.62,18.34,15.88,16.03,17.09,17.03,16.81,17.59,18.59,18.19,16.47,15.28,15.84,16.47,16.09,16.56,19.03,21.84,22.75,22.5,23.03,23.66,22.56,20.72,20.28,20.44,19.53,17.06,14.56,13.75,12.81,10.5,9.22,10.84,13.03,14.28,15.38,17.66,20.16,20.88,20.16,20.0,21.06,21.62,21.38,21.91,24.34,26.16,25.75,25.03,25.47,26.06,24.81,22.25,20.75,19.38,16.72,13.44,11.41,11.47,11.47,10.72,10.25,11.91,13.5,13.84,14.38,16.97,20.12,22.22,23.28,25.25,27.44,28.06,27.06,26.28,26.38,25.53,23.38,21.28,20.97,20.22,17.38,13.53,11.16,9.41,7.5,5.5,6.47,8.81,10.19,10.25,10.66,12.19,12.78,12.84,13.31,16.19,18.94,19.81,19.62,20.44,21.19,20.44,18.81,19.06,20.56,21.25,20.66,20.62,22.03,22.91,22.59,23.0,25.5,28.47,29.88,30.44,31.75,33.66,33.88,32.44,31.94,32.34,31.34,28.84,27.0,27.06,26.5,24.69,22.47,22.09,22.25,20.72,18.84,18.53,19.28,19.0,18.0,18.28,20.22,21.84,22.03,22.72,25.34,27.66,27.53,26.62,25.94,25.34,22.47,18.5,15.91,14.19,11.56,7.97,5.94,5.91,6.69,6.53,7.53,10.84,14.06,16.22,18.03,20.78,23.53,24.56,24.0,23.78,24.12,23.5,21.34,20.09,20.22,20.25,18.19,15.91,15.06,13.91,11.31,8.53,7.62,7.44,6.25,4.03,3.19,3.59,4.0,3.09,3.47,5.66,8.25,9.31,10.78,13.78,16.5,17.53,17.56,18.69,20.12,20.56,19.28,18.31,17.94,16.16,12.34,8.88,6.88,5.56,3.66,3.31,5.03,7.91,10.22,11.12,12.53,14.75,15.78,15.44,15.94,17.91,19.91,20.28,20.94,23.03,24.56,23.78,22.72,22.59,23.22,22.81,21.62,21.16,21.22,20.25,17.66,15.75,14.91,13.66,10.88,9.22,9.91,11.75,13.09,14.41,16.75,19.41,20.59,20.25,21.06,22.75,23.72,23.34,23.62,25.06,26.06,24.69,23.22,23.03,22.41,20.25,17.69,16.75,16.47,15.66,13.53,12.44,12.25,11.78,10.31,10.44,12.59,14.62,15.38,16.03,17.78,20.0,20.88,20.88,21.94,23.59,24.31,23.19,22.97,23.66,23.94,22.84,22.25,23.38,24.16,23.44,22.38,22.53,23.47,22.78,21.75,21.91,23.03,23.19,22.56,22.41,23.53,23.97,22.66,21.47,21.5,21.38,19.69,17.78,17.44,18.47,18.25,17.38,17.78,19.06,19.44,18.31,18.06,18.97,19.56,18.38,17.09,17.88,19.16,18.94,18.56,19.25,20.34,19.25,17.0,15.28,14.28,12.97,10.94,9.59,10.62,12.38,13.16,14.0,16.06,18.47,18.62,17.91,17.94,18.56,17.97,16.53,15.84,16.38,16.34,14.75,13.22,13.47,14.28,13.53,13.12,13.88,15.5,15.34,14.31,14.41,15.19,15.31,14.41,14.22,14.59,14.41,12.12,9.75,8.62,8.44,7.59,7.03,8.56,11.38,12.78,13.62,15.31,17.62,18.22,17.12,15.56,14.81,13.66,11.62,10.59,11.56,13.53,14.19,14.41,15.19,16.56,16.59,15.78,16.19,18.34,20.12,21.03,22.22,23.97,25.06,23.94,22.53,22.31,22.72,21.78,20.59,20.16,20.44,19.34,17.22,16.34,17.03,18.25,18.88,20.22,22.88,25.25,25.81,25.22,25.41,25.41,23.81,21.81,20.78,21.38,21.25,20.62,20.41,20.81,20.69,18.38,16.28,15.88,16.03,15.31,15.03,16.0,17.59,17.94,17.53,17.97,19.66,20.53,20.5,20.66,21.88,22.25,21.03,20.03,20.69,21.56,21.81,21.53,22.19,23.03,22.91,21.19,19.94,19.94,19.56,18.34,17.59,18.38,18.88,17.53,16.19,16.81,18.34,19.19,19.81,21.44,23.38,23.72,22.28,21.41,22.25,22.53,21.94,21.22,21.44,21.06,18.78,16.28,15.47,15.62,14.81,13.16,12.69,12.75,12.25,10.75,10.16,11.5,12.78,12.81,12.91,14.41,15.53,15.34,14.88,15.78,17.16,17.62,16.59,16.09,16.25,15.25,13.38,11.28,11.44,10.62,8.66,6.5,6.25,6.75,6.56,6.78,8.78,11.38,12.69,12.88,13.19,14.44,14.84,13.81,12.94,13.56,13.72,12.41,11.56,12.41,13.75,14.72,15.03,16.09,17.91,18.16,17.38,17.03,17.88,18.06,16.97,15.97,16.34,16.66,15.53,13.69,13.38,13.56,12.94,12.16,12.88,14.91,16.25,16.31,16.78,18.62,19.53,18.78,17.34,16.78,15.88,13.59,11.5,10.84,11.25,11.19,10.38,10.75,12.44,13.34,13.19,14.12,16.41,18.41,18.94,19.19,20.44,21.16,20.81,19.97,20.66,21.72,21.5,20.31,19.47,19.62,19.19,17.38,16.5,17.5,18.75,19.12,19.34,20.84,22.5,22.34,21.25,21.16,21.34,20.12,17.88,16.22,15.94,15.78,14.78,14.75,16.62,18.72,19.41,19.94,21.59,23.16,23.34,21.97,21.91,22.5,22.34,22.03,22.81,25.0,27.09,27.5,27.69,28.22,28.16,26.34,24.0,23.38,23.25,22.09,20.31,20.28,21.25,21.28,20.56,20.09,20.59,20.88,19.66,18.44,19.12,19.88,19.81,19.56,20.94,22.75,23.75,23.53,24.12,25.59,25.84,24.34,23.41,23.75,24.16,23.53,23.41,24.62,26.19,26.22,24.97,25.0,25.12,24.5,23.19,23.12,24.41,25.75,26.03,26.72,28.56,30.0,29.84,28.53,28.5,28.59,27.22,25.0,24.22,23.5,22.19,19.59,17.91,18.12,18.88,19.03,19.16,20.94,22.28,20.94,19.22,18.41,18.69,18.56,18.0,19.44,21.94,24.06,24.34,24.72,25.72,26.06,24.31,22.56,22.75,22.94,21.66,20.0,66.0,65.56,65.38,65.44,65.03,64.53,64.56,65.12,65.38,64.88,64.66,64.62,63.81,63.03,62.59,62.38,62.56,62.19,61.94,61.94,62.03,62.16,62.47,63.38,65.25,66.97,68.66,70.53,72.31,73.59,74.09,74.03,74.25,73.91,73.09:24.62,24.72,25.06,24.12,22.59,22.5,22.56,22.19,21.38,21.81,24.0,26.09,27.0,28.44,30.72,31.75,30.88,28.84,28.06,27.47,26.06,24.59,25.41,26.41,26.91,26.5,26.62,27.41,27.25,25.59,24.03,23.91,24.34,23.72,23.09,23.56,24.44,23.69,22.09,21.75,22.81,23.0,22.19,21.97,23.25,24.12,23.66,23.59,25.19,27.22,27.31,26.53,26.47,26.19,24.34,21.31,19.69,18.56,16.81,13.53,10.91,9.94,9.41,8.81,9.16,11.38,14.19,15.47,16.12,17.81,19.75,20.56,20.09,20.12,20.75,20.84,19.62,18.66,19.0,18.94,17.19,15.22,14.69,14.66,13.88,13.12,13.75,15.47,16.5,16.53,17.0,18.56,19.78,19.19,18.81,19.34,19.66,18.69,16.81,16.44,16.59,15.34,13.0,12.31,12.44,12.28,11.09,11.0,11.84,12.0,10.88,10.03,11.5,12.56,12.78,12.09,12.25,12.34,11.5,9.75,9.38,10.34,10.53,9.34,8.59,8.53,8.62,7.94,7.78,9.59,11.5,11.88,10.75,10.31,10.44,9.56,7.75,7.5,8.44,9.16,8.78,9.0,10.66,12.81,13.0,13.19,14.28,14.94,14.16,12.12,10.94,10.53,9.44,7.59,6.75,7.53,8.5,7.91,7.81,8.84,9.72,9.41,9.19,10.5,12.66,14.22,14.19,15.28,16.38,16.38,15.06,14.56,15.66,16.19,15.5,14.5,14.56,14.5,13.0,11.66,12.03,13.84,15.34,15.97,17.53,19.84,20.56,19.06,17.88,18.56,19.19,18.53,18.41,19.28,20.03,19.25,17.84,17.59,18.16,17.69,16.44,16.5,18.38,20.09,20.5,21.69,24.19,26.34,26.59,26.69,27.66,29.12,28.78,28.03,28.34,29.31,28.78,26.94,25.47,24.94,24.19,21.88,20.12,20.16,20.94,20.38,19.75,20.62,21.78,21.56,20.78,20.41,20.94,20.69,18.97,18.03,18.66,19.09,18.53,17.81,18.31,18.78,17.91,16.59,16.88,18.25,17.91,16.28,15.28,15.06,14.5,13.09,12.97,14.75,16.78,17.09,17.22,18.28,19.19,18.44,16.84,16.12,17.0,16.97,16.44,16.84,18.47,19.16,17.41,15.44,14.53,13.19,10.62,8.66,8.81,9.91,10.06,9.88,10.69,12.34,13.03,12.84,13.22,15.97,18.59,19.66,21.09,23.22,24.5,23.22,20.38,18.25,16.22,12.62,9.12,7.03,6.69,6.12,4.88,4.91,7.31,10.38,12.28,15.12,18.78,22.19,22.62,21.78,20.91,20.66,19.19,17.31,16.94,18.28,19.44,19.53,20.06,22.19,23.75,23.28,21.88,21.81,21.75,19.97,18.06,16.94,16.31,14.25,11.38,9.44,9.47,9.62,9.56,10.69,13.84,16.91,18.06,18.44,19.38,20.16,18.78,16.91,16.56,17.69,18.44,18.88,19.81,21.66,21.66,18.88,15.0,12.38,9.47,5.59,2.56,1.69,2.78,2.91,2.59,3.69,5.59,6.28,6.22,7.25,9.59,11.97,12.69,12.41,13.34,14.06,13.19,11.88,11.94,12.38,11.41,9.34,8.53,9.69,10.84,11.06,11.88,14.16,15.88,15.16,13.84,13.97,13.78,12.09,10.34,10.56,12.41,13.88,15.19,17.34,20.53,22.5,22.06,20.88,21.09,20.62,18.34,15.88,16.03,17.09,17.03,16.81,17.59,18.59,18.19,16.47,15.28,15.84,16.47,16.09,16.56,19.03,21.84,22.75,22.5,23.03,23.66,22.56,20.72,20.28,20.44,19.53,17.06,14.56,13.75,12.81,10.5,9.22,10.84,13.03,14.28,15.38,17.66,20.16,20.88,20.16,20.0,21.06,21.62,21.38,21.91,24.34,26.16,25.75,25.03,25.47,26.06,24.81,22.25,20.75,19.38,16.72,13.44,11.41,11.47,11.47,10.72,10.25,11.91,13.5,13.84,14.38,16.97,20.12,22.22,23.28,25.25,27.44,28.06,27.06,26.28,26.38,25.53,23.38,21.28,20.97,20.22,17.38,13.53,11.16,9.41,7.5,5.5,6.47,8.81,10.19,10.25,10.66,12.19,12.78,12.84,13.31,16.19,18.94,19.81,19.62,20.44,21.19,20.44,18.81,19.06,20.56,21.25,20.66,20.62,22.03,22.91,22.59,23.0,25.5,28.47,29.88,30.44,31.75,33.66,33.88,32.44,31.94,32.34,31.34,28.84,27.0,27.06,26.5,24.69,22.47,22.09,22.25,20.72,18.84,18.53,19.28,19.0,18.0,18.28,20.22,21.84,22.03,22.72,25.34,27.66,27.53,26.62,25.94,25.34,22.47,18.5,15.91,14.19,11.56,7.97,5.94,5.91,6.69,6.53,7.53,10.84,14.06,16.22,18.03,20.78,23.53,24.56,24.0,23.78,24.12,23.5,21.34,20.09,20.22,20.25,18.19,15.91,15.06,13.91,11.31,8.53,7.62,7.44,6.25,4.03,3.19,3.59,4.0,3.09,3.47,5.66,8.25,9.31,10.78,13.78,16.5,17.53,17.56,18.69,20.12,20.56,19.28,18.31,17.94,16.16,12.34,8.88,6.88,5.56,3.66,3.31,5.03,7.91,10.22,11.12,12.53,14.75,15.78,15.44,15.94,17.91,19.91,20.28,20.94,23.03,24.56,23.78,22.72,22.59,23.22,22.81,21.62,21.16,21.22,20.25,17.66,15.75,14.91,13.66,10.88,9.22,9.91,11.75,13.09,14.41,16.75,19.41,20.59,20.25,21.06,22.75,23.72,23.34,23.62,25.06,26.06,24.69,23.22,23.03,22.41,20.25,17.69,16.75,16.47,15.66,13.53,12.44,12.25,11.78,10.31,10.44,12.59,14.62,15.38,16.03,17.78,20.0,20.88,20.88,21.94,23.59,24.31,23.19,22.97,23.66,23.94,22.84,22.25,23.38,24.16,23.44,22.38,22.53,23.47,22.78,21.75,21.91,23.03,23.19,22.56,22.41,23.53,23.97,22.66,21.47,21.5,21.38,19.69,17.78,17.44,18.47,18.25,17.38,17.78,19.06,19.44,18.31,18.06,18.97,19.56,18.38,17.09,17.88,19.16,18.94,18.56,19.25,20.34,19.25,17.0,15.28,14.28,12.97,10.94,9.59,10.62,12.38,13.16,14.0,16.06,18.47,18.62,17.91,17.94,18.56,17.97,16.53,15.84,16.38,16.34,14.75,13.22,13.47,14.28,13.53,13.12,13.88,15.5,15.34,14.31,14.41,15.19,15.31,14.41,14.22,14.59,14.41,12.12,9.75,8.62,8.44,7.59,7.03,8.56,11.38,12.78,13.62,15.31,17.62,18.22,17.12,15.56,14.81,13.66,11.62,10.59,11.56,13.53,14.19,14.41,15.19,16.56,16.59,15.78,16.19,18.34,20.12,21.03,22.22,23.97,25.06,23.94,22.53,22.31,22.72,21.78,20.59,20.16,20.44,19.34,17.22,16.34,17.03,18.25,18.88,20.22,22.88,25.25,25.81,25.22,25.41,25.41,23.81,21.81,20.78,21.38,21.25,20.62,20.41,20.81,20.69,18.38,16.28,15.88,16.03,15.31,15.03,16.0,17.59,17.94,17.53,17.97,19.66,20.53,20.5,20.66,21.88,22.25,21.03,20.03,20.69,21.56,21.81,21.53,22.19,23.03,22.91,21.19,19.94,19.94,19.56,18.34,17.59,18.38,18.88,17.53,16.19,16.81,18.34,19.19,19.81,21.44,23.38,23.72,22.28,21.41,22.25,22.53,21.94,21.22,21.44,21.06,18.78,16.28,15.47,15.62,14.81,13.16,12.69,12.75,12.25,10.75,10.16,11.5,12.78,12.81,12.91,14.41,15.53,15.34,14.88,15.78,17.16,17.62,16.59,16.09,16.25,15.25,13.38,11.28,11.44,10.62,8.66,6.5,6.25,6.75,6.56,6.78,8.78,11.38,12.69,12.88,13.19,14.44,14.84,13.81,12.94,13.56,13.72,12.41,11.56,12.41,13.75,14.72,15.03,16.09,17.91,18.16,17.38,17.03,17.88,18.06,16.97,15.97,16.34,16.66,15.53,13.69,13.38,13.56,12.94,12.16,12.88,14.91,16.25,16.31,16.78,18.62,19.53,18.78,17.34,16.78,15.88,13.59,11.5,10.84,11.25,11.19,10.38,10.75,12.44,13.34,13.19,14.12,16.41,18.41,18.94,19.19,20.44,21.16,20.81,19.97,20.66,21.72,21.5,20.31,19.47,19.62,19.19,17.38,16.5,17.5,18.75,19.12,19.34,20.84,22.5,22.34,21.25,21.16,21.34,20.12,17.88,16.22,15.94,15.78,14.78,14.75,16.62,18.72,19.41,19.94,21.59,23.16,23.34,21.97,21.91,22.5,22.34,22.03,22.81,25.0,27.09,27.5,27.69,28.22,28.16,26.34,24.0,23.38,23.25,22.09,20.31,20.28,21.25,21.28,20.56,20.09,20.59,20.88,19.66,18.44,19.12,19.88,19.81,19.56,20.94,22.75,23.75,23.53,24.12,25.59,25.84,24.34,23.41,23.75,24.16,23.53,23.41,24.62,26.19,26.22,24.97,25.0,25.12,24.5,23.19,23.12,24.41,25.75,26.03,26.72,28.56,30.0,29.84,28.53,28.5,28.59,27.22,25.0,24.22,23.5,22.19,19.59,17.91,18.12,18.88,19.03,19.16,20.94,22.28,20.94,19.22,18.41,18.69,18.56,18.0,19.44,21.94,24.06,24.34,24.72,25.72,26.06,24.31,22.56,22.75,22.94,21.66,20.0,66.0,65.56,65.38,65.44,65.03,64.53,64.56,65.12,65.38,64.88,64.66,64.62,63.81,63.03,62.59,62.38,62.56,62.19,61.94,61.94,62.03,62.16,62.47,63.38,65.25,66.97,68.66,70.53,72.31,73.59,74.09,74.03,74.25,73.91,73.09,72.22,71.25,70.5,69.84,68.94,68.47,68.16:negativity
40.69,44.25,45.09,44.62,45.41,47.38,48.31,47.31,47.38,48.56,49.12,46.97,44.88,44.91,44.84,42.28,38.91,37.41,37.25,36.19,34.25,35.19,38.31,41.06,41.72,43.31,46.0,47.59,46.44,44.41,44.19,44.28,42.06,38.16,36.09,35.56,33.31,30.25,29.19,30.53,31.62,30.62,30.53,32.19,34.56,35.06,35.28,37.56,40.12,39.81,37.88,36.94,37.75,38.0,37.0,37.66,41.06,44.25,44.28,43.84,44.22,44.19,41.22,37.62,35.84,35.78,34.5,31.81,31.25,33.12,35.03,35.59,37.91,42.88,47.5,49.38,50.34,52.66,54.88,54.78,53.38,53.69,54.84,54.25,51.75,49.81,49.81,49.19,46.66,44.19,44.53,45.53,44.03,42.28,42.59,44.12,43.47,41.59,41.0,41.97,42.38,40.72,39.91,41.19,42.16,39.84,37.0,36.47,36.66,34.56,32.28,32.0,32.78,31.5,28.0,25.66,25.28,24.75,22.97,23.09,26.62,30.09,31.28,31.22,32.69,34.16,32.69,30.28,29.81,31.44,32.03,31.91,32.81,35.94,38.09,37.28,35.94,36.81,37.84,36.75,35.06,36.22,39.06,39.91,39.97,41.5,44.59,45.84,44.66,43.72,45.12,46.28,45.34,44.53,46.41,48.91,48.53,47.25,47.53,49.19,48.69,47.22,46.72,48.16,48.69,46.94,45.12,46.09,46.72,44.62,42.03,41.66,42.5,41.16,38.91,38.94,40.91,41.78,41.47,42.75,45.97,48.38,47.72,46.88,47.97,48.56,46.25,43.31,42.25,42.75,41.34,39.22,38.91,40.88,41.97,41.09,40.75,42.44,43.41,42.28,40.94,42.5,45.31,45.84,45.16,45.97,47.97,47.72,45.44,44.12,44.53,44.12,41.78,39.81,40.47,41.28,40.03,38.03,38.62,40.19,39.91,38.56,38.84,41.09,42.06,41.0,41.0,42.81,43.66,42.06,40.38,41.81,43.41,42.81,41.28,41.38,42.22,41.31,39.31,38.75,40.53,40.78,38.38,36.28,36.16,35.38,32.62,29.88,30.06,31.94,33.03,33.53,36.81,41.25,43.75,43.38,43.31,44.94,45.25,43.5,42.28,43.28,44.69,43.03,40.09,38.94,38.34,35.84,32.03,30.22,30.81,31.03,29.44,29.38,31.88,34.16,34.16,33.69,35.94,38.19,38.38,37.69,39.0,41.78,43.06,42.19,42.62,44.59,45.38,43.69,42.16,43.59,44.5,42.88,41.59,43.47,46.28,47.12,46.75,47.66,49.66,50.59,49.28,49.72,51.72,52.56,50.41,47.88,47.66,47.5,44.75,41.75,41.06,41.97,41.66,40.34,41.12,43.16,44.0,42.09,40.84,41.5,42.03,40.72,39.56,41.28,43.97,44.84,44.91,46.31,48.5,48.47,46.25,45.03,45.53,45.84,43.97,42.97,44.31,45.25,43.94,42.06,42.44,43.59,42.91,40.88,40.12,40.66,40.12,37.56,36.78,38.56,40.06,39.19,38.66,40.53,42.56,41.59,40.03,40.31,41.47,41.12,39.5,39.16,40.47,40.44,37.75,35.84,36.72,37.94,37.0,36.53,38.31,40.56,40.12,38.28,38.41,39.5,39.34,37.38,36.94,38.5,39.66,38.28,37.75,39.81,41.75,41.25,39.94,40.44,41.41,39.84,37.09,36.5,37.44,37.28,35.66,35.31,36.91,38.25,37.25,36.16,37.62,39.31,38.66,37.16,37.66,39.25,38.88,36.78,35.88,36.69,36.69,35.12,35.03,37.69,40.81,41.34,41.5,43.5,45.66,45.25,43.66,43.75,45.03,44.59,42.59,41.44,42.41,42.34,39.88,37.78,37.59,37.47,35.28,32.56,32.53,33.53,32.88,31.53,32.38,35.06,36.5,36.34,36.28,38.0,38.72,36.97,34.75,34.94,35.25,33.34,30.41,29.66,30.38,29.5,28.12,27.69,29.69,30.53,29.66,29.25,31.44,34.16,34.62,35.34,37.78,40.59,40.5,38.44,37.53,37.81,36.72,34.69,34.69,37.5,40.44,42.06,44.25,49.0,53.47,55.09,55.25,56.56,58.03,56.59,53.16,50.97,50.5,49.06,46.38,45.06,46.75,47.97,46.81,45.25,45.84,46.72,45.28,42.94,42.38,42.62,41.53,39.28,38.53,40.03,40.78,39.25,38.09,39.47,40.75,39.97,39.12,40.25,42.47,41.94,40.66,40.5,41.47,40.5,37.94,36.12,36.97,37.03,35.16,33.75,34.75,36.06,36.0,35.66,37.88,41.56,43.44,44.16,46.03,49.66,52.06,52.0,52.0,53.31,52.88,49.28,44.78,42.88,41.91,39.84,37.28,37.28,39.25,39.94,39.78,40.28,42.84,44.25,42.75,41.16,41.88,41.62,39.16,36.31,35.81,36.44,35.44,33.56,33.09,34.31,34.06,31.97,30.16,30.19,29.25,25.69,22.41,22.25,23.12,22.91,23.38,26.62,31.16,33.91,34.69,35.62,37.28,37.25,34.5,32.19,32.28,32.59,30.72,28.62,29.41,31.22,31.59,31.34,32.91,35.41,36.34,34.91,33.81,34.97,35.31,34.25,33.5,36.25,38.91,39.09,38.22,39.0,40.22,39.84,37.97,38.0,39.56,39.84,38.16,36.69,37.66,37.94,36.0,34.25,35.28,36.81,36.69,36.0,37.56,40.09,41.03,40.09,39.91,41.53,42.28,40.62,39.19,40.09,40.62,39.06,37.38,38.5,40.91,41.62,41.78,43.91,46.97,48.22,47.53,47.41,48.28,48.66,46.09,44.28,45.0,46.25,45.66,44.12,44.34,44.84,43.0,39.22,37.06,36.5,35.28,32.75,31.44,32.88,34.72,34.53,34.62,37.47,40.66,41.53,41.0,41.72,42.75,41.72,38.19,35.53,34.72,32.75,28.97,26.12,25.72,25.94,23.81,21.84,22.34,23.72,23.16,21.31,21.16,22.53,22.81,21.34,21.28,23.84,26.03,25.69,25.75,27.91,30.06,29.25,27.78,28.5,30.06,30.19,29.03,29.91,32.34,33.84,32.72,32.03,32.56,32.09,28.72,25.69,26.0,27.41,27.59,27.66,29.44,32.66,33.56,31.81,30.47,30.47,29.25,26.69,25.62,28.09,31.25,32.72,33.91,36.62,39.69,40.12,38.75,38.91,40.88,41.69,41.16,42.12,45.19,47.44,46.66,45.56,46.31,46.94,44.5,41.28,40.53,40.97,39.41,36.81,35.5,35.69,34.44,31.12,28.91,29.19,29.78,28.25,26.97,28.25,30.28,29.75,28.59,29.94,32.53,33.88,33.69,34.0,35.78,35.97,33.31,30.62,30.5,30.59,28.38,26.53,27.22,29.59,29.88,29.44,30.22,32.53,32.47,30.16,28.19,27.81,26.81,23.69,22.09,23.12,25.38,25.66,25.41,26.66,28.56,27.69,25.44,24.28,25.19,25.5,23.91,23.78,25.94,28.22,27.69,26.81,27.97,30.16,29.81,28.69,29.53,31.75,32.53,32.06,32.78,36.44,39.38,39.41,38.94,39.66,39.38,36.22,32.41,31.66,32.12,30.34,27.88,26.78,27.31,25.81,22.62,20.97,22.44,24.94,26.38,29.19,34.44,39.09,39.94,38.41,37.34,36.69,33.44,28.97,26.12,25.62,24.88,22.53,22.69,26.66,31.41,34.47,37.84,42.03,45.34,44.88,41.84,39.97,39.88,38.12,35.72,34.94,36.28,36.5,33.81,31.53,32.56,34.16,34.28,33.81,35.47,36.75,34.47,29.81,26.72,25.59,23.94,22.0,22.19,25.66,29.19,30.31,31.28,34.25,37.31,37.94,37.59,39.22,41.72,41.41,39.19,38.22,39.09,38.78,36.59,35.25,36.72,37.81,36.41,35.38,36.84,39.03,38.78,37.44,37.41,37.97,36.16,32.28,29.69,29.19,28.19,25.53,23.47,24.62,26.56,26.84,28.09,33.06,39.34,44.19,47.78,52.09,56.66,57.5,54.59,50.5,48.28,44.75,39.72,35.81,35.25,35.41,33.12,29.88,29.12,29.44,28.06,25.94,26.28,29.31,31.84,32.66,34.84,39.62,43.66,44.81,45.03,47.84,50.53,50.31,48.84,49.16,49.75,47.91,43.31,39.56,37.88,35.22,31.16,28.25,28.66,29.28,28.19,26.91,28.72,31.25,31.94,30.94,31.69,33.44,33.91,32.94,33.62,37.19,40.0,40.72,41.5,44.72,48.06,48.53,47.72,47.34,46.75,42.88,36.69,31.97,29.78,27.12,23.69,21.94,23.12,24.47,23.31,22.72,25.06,28.41,29.41,29.19,30.81,32.78,32.47,30.03,28.56,29.09,28.81,26.62,25.84,28.16,30.91,31.22,31.5,33.84,36.78,37.28,35.91,36.09,36.84,35.94,32.72,30.5,30.97,30.94,28.66,26.69,27.41,28.53,27.31,26.31,28.31,31.09,32.22,31.47,31.91,33.31,33.69,32.22,32.44,35.62,38.56,39.09,38.78,40.34,41.5,39.25,35.94,34.69,34.84,33.53,30.88,30.0,31.06,31.53,29.75,29.09,31.0,32.75,32.16,31.34,33.0,35.91,36.66,36.41,37.91,40.22,40.81,38.84,37.72,38.03,37.53,34.84,32.41,32.69,33.25,31.22,28.62,28.91,30.41,30.69,30.25,31.97,35.31,37.38,37.31,36.94,37.97,38.16,35.0,31.5,30.62,30.41,28.59,26.62,27.0,28.91,28.69,27.34,27.47,29.59,30.78,29.31,28.56,29.75,30.72,29.53,29.0,30.66,32.31,31.88,29.59,29.03,30.06,30.0,28.88,29.53,32.66,34.88,34.91,35.06,37.5,39.84,39.38,38.12,38.25,38.62,36.75,33.31,32.22,33.41,33.91,32.84,32.88,34.81,36.34,34.88,33.09,33.53,35.09,34.25,33.19,35.25,39.0,40.72,40.56,41.28,42.62,42.0,39.22,37.0,36.94,37.03:47.31,47.38,48.56,49.12,46.97,44.88,44.91,44.84,42.28,38.91,37.41,37.25,36.19,34.25,35.19,38.31,41.06,41.72,43.31,46.0,47.59,46.44,44.41,44.19,44.28,42.06,38.16,36.09,35.56,33.31,30.25,29.19,30.53,31.62,30.62,30.53,32.19,34.56,35.06,35.28,37.56,40.12,39.81,37.88,36.94,37.75,38.0,37.0,37.66,41.06,44.25,44.28,43.84,44.22,44.19,41.22,37.62,35.84,35.78,34.5,31.81,31.25,33.12,35.03,35.59,37.91,42.88,47.5,49.38,50.34,52.66,54.88,54.78,53.38,53.69,54.84,54.25,51.75,49.81,49.81,49.19,46.66,44.19,44.53,45.53,44.03,42.28,42.59,44.12,43.47,41.59,41.0,41.97,42.38,40.72,39.91,41.19,42.16,39.84,37.0,36.47,36.66,34.56,32.28,32.0,32.78,31.5,28.0,25.66,25.28,24.75,22.97,23.09,26.62,30.09,31.28,31.22,32.69,34.16,32.69,30.28,29.81,31.44,32.03,31.91,32.81,35.94,38.09,37.28,35.94,36.81,37.84,36.75,35.06,36.22,39.06,39.91,39.97,41.5,44.59,45.84,44.66,43.72,45.12,46.28,45.34,44.53,46.41,48.91,48.53,47.25,47.53,49.19,48.69,47.22,46.72,48.16,48.69,46.94,45.12,46.09,46.72,44.62,42.03,41.66,42.5,41.16,38.91,38.94,40.91,41.78,41.47,42.75,45.97,48.38,47.72,46.88,47.97,48.56,46.25,43.31,42.25,42.75,41.34,39.22,38.91,40.88,41.97,41.09,40.75,42.44,43.41,42.28,40.94,42.5,45.31,45.84,45.16,45.97,47.97,47.72,45.44,44.12,44.53,44.12,41.78,39.81,40.47,41.28,40.03,38.03,38.62,40.19,39.91,38.56,38.84,41.09,42.06,41.0,41.0,42.81,43.66,42.06,40.38,41.81,43.41,42.81,41.28,41.38,42.22,41.31,39.31,38.75,40.53,40.78,38.38,36.28,36.16,35.38,32.62,29.88,30.06,31.94,33.03,33.53,36.81,41.25,43.75,43.38,43.31,44.94,45.25,43.5,42.28,43.28,44.69,43.03,40.09,38.94,38.34,35.84,32.03,30.22,30.81,31.03,29.44,29.38,31.88,34.16,34.16,33.69,35.94,38.19,38.38,37.69,39.0,41.78,43.06,42.19,42.62,44.59,45.38,43.69,42.16,43.59,44.5,42.88,41.59,43.47,46.28,47.12,46.75,47.66,49.66,50.59,49.28,49.72,51.72,52.56,50.41,47.88,47.66,47.5,44.75,41.75,41.06,41.97,41.66,40.34,41.12,43.16,44.0,42.09,40.84,41.5,42.03,40.72,39.56,41.28,43.97,44.84,44.91,46.31,48.5,48.47,46.25,45.03,45.53,45.84,43.97,42.97,44.31,45.25,43.94,42.06,42.44,43.59,42.91,40.88,40.12,40.66,40.12,37.56,36.78,38.56,40.06,39.19,38.66,40.53,42.56,41.59,40.03,40.31,41.47,41.12,39.5,39.16,40.47,40.44,37.75,35.84,36.72,37.94,37.0,36.53,38.31,40.56,40.12,38.28,38.41,39.5,39.34,37.38,36.94,38.5,39.66,38.28,37.75,39.81,41.75,41.25,39.94,40.44,41.41,39.84,37.09,36.5,37.44,37.28,35.66,35.31,36.91,38.25,37.25,36.16,37.62,39.31,38.66,37.16,37.66,39.25,38.88,36.78,35.88,36.69,36.69,35.12,35.03,37.69,40.81,41.34,41.5,43.5,45.66,45.25,43.66,43.75,45.03,44.59,42.59,41.44,42.41,42.34,39.88,37.78,37.59,37.47,35.28,32.56,32.53,33.53,32.88,31.53,32.38,35.06,36.5,36.34,36.28,38.0,38.72,36.97,34.75,34.94,35.25,33.34,30.41,29.66,30.38,29.5,28.12,27.69,29.69,30.53,29.66,29.25,31.44,34.16,34.62,35.34,37.78,40.59,40.5,38.44,37.53,37.81,36.72,34.69,34.69,37.5,40.44,42.06,44.25,49.0,53.47,55.09,55.25,56.56,58.03,56.59,53.16,50.97,50.5,49.06,46.38,45.06,46.75,47.97,46.81,45.25,45.84,46.72,45.28,42.94,42.38,42.62,41.53,39.28,38.53,40.03,40.78,39.25,38.09,39.47,40.75,39.97,39.12,40.25,42.47,41.94,40.66,40.5,41.47,40.5,37.94,36.12,36.97,37.03,35.16,33.75,34.75,36.06,36.0,35.66,37.88,41.56,43.44,44.16,46.03,49.66,52.06,52.0,52.0,53.31,52.88,49.28,44.78,42.88,41.91,39.84,37.28,37.28,39.25,39.94,39.78,40.28,42.84,44.25,42.75,41.16,41.88,41.62,39.16,36.31,35.81,36.44,35.44,33.56,33.09,34.31,34.06,31.97,30.16,30.19,29.25,25.69,22.41,22.25,23.12,22.91,23.38,26.62,31.16,33.91,34.69,35.62,37.28,37.25,34.5,32.19,32.28,32.59,30.72,28.62,29.41,31.22,31.59,31.34,32.91,35.41,36.34,34.91,33.81,34.97,35.31,34.25,33.5,36.25,38.91,39.09,38.22,39.0,40.22,39.84,37.97,38.0,39.56,39.84,38.16,36.69,37.66,37.94,36.0,34.25,35.28,36.81,36.69,36.0,37.56,40.09,41.03,40.09,39.91,41.53,42.28,40.62,39.19,40.09,40.62,39.06,37.38,38.5,40.91,41.62,41.78,43.91,46.97,48.22,47.53,47.41,48.28,48.66,46.09,44.28,45.0,46.25,45.66,44.12,44.34,44.84,43.0,39.22,37.06,36.5,35.28,32.75,31.44,32.88,34.72,34.53,34.62,37.47,40.66,41.53,41.0,41.72,42.75,41.72,38.19,35.53,34.72,32.75,28.97,26.12,25.72,25.94,23.81,21.84,22.34,23.72,23.16,21.31,21.16,22.53,22.81,21.34,21.28,23.84,26.03,25.69,25.75,27.91,30.06,29.25,27.78,28.5,30.06,30.19,29.03,29.91,32.34,33.84,32.72,32.03,32.56,32.09,28.72,25.69,26.0,27.41,27.59,27.66,29.44,32.66,33.56,31.81,30.47,30.47,29.25,26.69,25.62,28.09,31.25,32.72,33.91,36.62,39.69,40.12,38.75,38.91,40.88,41.69,41.16,42.12,45.19,47.44,46.66,45.56,46.31,46.94,44.5,41.28,40.53,40.97,39.41,36.81,35.5,35.69,34.44,31.12,28.91,29.19,29.78,28.25,26.97,28.25,30.28,29.75,28.59,29.94,32.53,33.88,33.69,34.0,35.78,35.97,33.31,30.62,30.5,30.59,28.38,26.53,27.22,29.59,29.88,29.44,30.22,32.53,32.47,30.16,28.19,27.81,26.81,23.69,22.09,23.12,25.38,25.66,25.41,26.66,28.56,27.69,25.44,24.28,25.19,25.5,23.91,23.78,25.94,28.22,27.69,26.81,27.97,30.16,29.81,28.69,29.53,31.75,32.53,32.06,32.78,36.44,39.38,39.41,38.94,39.66,39.38,36.22,32.41,31.66,32.12,30.34,27.88,26.78,27.31,25.81,22.62,20.97,22.44,24.94,26.38,29.19,34.44,39.09,39.94,38.41,37.34,36.69,33.44,28.97,26.12,25.62,24.88,22.53,22.69,26.66,31.41,34.47,37.84,42.03,45.34,44.88,41.84,39.97,39.88,38.12,35.72,34.94,36.28,36.5,33.81,31.53,32.56,34.16,34.28,33.81,35.47,36.75,34.47,29.81,26.72,25.59,23.94,22.0,22.19,25.66,29.19,30.31,31.28,34.25,37.31,37.94,37.59,39.22,41.72,41.41,39.19,38.22,39.09,38.78,36.59,35.25,36.72,37.81,36.41,35.38,36.84,39.03,38.78,37.44,37.41,37.97,36.16,32.28,29.69,29.19,28.19,25.53,23.47,24.62,26.56,26.84,28.09,33.06,39.34,44.19,47.78,52.09,56.66,57.5,54.59,50.5,48.28,44.75,39.72,35.81,35.25,35.41,33.12,29.88,29.12,29.44,28.06,25.94,26.28,29.31,31.84,32.66,34.84,39.62,43.66,44.81,45.03,47.84,50.53,50.31,48.84,49.16,49.75,47.91,43.31,39.56,37.88,35.22,31.16,28.25,28.66,29.28,28.19,26.91,28.72,31.25,31.94,30.94,31.69,33.44,33.91,32.94,33.62,37.19,40.0,40.72,41.5,44.72,48.06,48.53,47.72,47.34,46.75,42.88,36.69,31.97,29.78,27.12,23.69,21.94,23.12,24.47,23.31,22.72,25.06,28.41,29.41,29.19,30.81,32.78,32.47,30.03,28.56,29.09,28.81,26.62,25.84,28.16,30.91,31.22,31.5,33.84,36.78,37.28,35.91,36.09,36.84,35.94,32.72,30.5,30.97,30.94,28.66,26.69,27.41,28.53,27.31,26.31,28.31,31.09,32.22,31.47,31.91,33.31,33.69,32.22,32.44,35.62,38.56,39.09,38.78,40.34,41.5,39.25,35.94,34.69,34.84,33.53,30.88,30.0,31.06,31.53,29.75,29.09,31.0,32.75,32.16,31.34,33.0,35.91,36.66,36.41,37.91,40.22,40.81,38.84,37.72,38.03,37.53,34.84,32.41,32.69,33.25,31.22,28.62,28.91,30.41,30.69,30.25,31.97,35.31,37.38,37.31,36.94,37.97,38.16,35.0,31.5,30.62,30.41,28.59,26.62,27.0,28.91,28.69,27.34,27.47,29.59,30.78,29.31,28.56,29.75,30.72,29.53,29.0,30.66,32.31,31.88,29.59,29.03,30.06,30.0,28.88,29.53,32.66,34.88,34.91,35.06,37.5,39.84,39.38,38.12,38.25,38.62,36.75,33.31,32.22,33.41,33.91,32.84,32.88,34.81,36.34,34.88,33.09,33.53,35.09,34.25,33.19,35.25,39.0,40.72,40.56,41.28,42.62,42.0,39.22,37.0,36.94,37.03,58.03,61.09,62.5,62.47,63.12,64.5,65.34:44.84,42.28,38.91,37.41,37.25,36.19,34.25,35.19,38.31,41.06,41.72,43.31,46.0,47.59,46.44,44.41,44.19,44.28,42.06,38.16,36.09,35.56,33.31,30.25,29.19,30.53,31.62,30.62,30.53,32.19,34.56,35.06,35.28,37.56,40.12,39.81,37.88,36.94,37.75,38.0,37.0,37.66,41.06,44.25,44.28,43.84,44.22,44.19,41.22,37.62,35.84,35.78,34.5,31.81,31.25,33.12,35.03,35.59,37.91,42.88,47.5,49.38,50.34,52.66,54.88,54.78,53.38,53.69,54.84,54.25,51.75,49.81,49.81,49.19,46.66,44.19,44.53,45.53,44.03,42.28,42.59,44.12,43.47,41.59,41.0,41.97,42.38,40.72,39.91,41.19,42.16,39.84,37.0,36.47,36.66,34.56,32.28,32.0,32.78,31.5,28.0,25.66,25.28,24.75,22.97,23.09,26.62,30.09,31.28,31.22,32.69,34.16,32.69,30.28,29.81,31.44,32.03,31.91,32.81,35.94,38.09,37.28,35.94,36.81,37.84,36.75,35.06,36.22,39.06,39.91,39.97,41.5,44.59,45.84,44.66,43.72,45.12,46.28,45.34,44.53,46.41,48.91,48.53,47.25,47.53,49.19,48.69,47.22,46.72,48.16,48.69,46.94,45.12,46.09,46.72,44.62,42.03,41.66,42.5,41.16,38.91,38.94,40.91,41.78,41.47,42.75,45.97,48.38,47.72,46.88,47.97,48.56,46.25,43.31,42.25,42.75,41.34,39.22,38.91,40.88,41.97,41.09,40.75,42.44,43.41,42.28,40.94,42.5,45.31,45.84,45.16,45.97,47.97,47.72,45.44,44.12,44.53,44.12,41.78,39.81,40.47,41.28,40.03,38.03,38.62,40.19,39.91,38.56,38.84,41.09,42.06,41.0,41.0,42.81,43.66,42.06,40.38,41.81,43.41,42.81,41.28,41.38,42.22,41.31,39.31,38.75,40.53,40.78,38.38,36.28,36.16,35.38,32.62,29.88,30.06,31.94,33.03,33.53,36.81,41.25,43.75,43.38,43.31,44.94,45.25,43.5,42.28,43.28,44.69,43.03,40.09,38.94,38.34,35.84,32.03,30.22,30.81,31.03,29.44,29.38,31.88,34.16,34.16,33.69,35.94,38.19,38.38,37.69,39.0,41.78,43.06,42.19,42.62,44.59,45.38,43.69,42.16,43.59,44.5,42.88,41.59,43.47,46.28,47.12,46.75,47.66,49.66,50.59,49.28,49.72,51.72,52.56,50.41,47.88,47.66,47.5,44.75,41.75,41.06,41.97,41.66,40.34,41.12,43.16,44.0,42.09,40.84,41.5,42.03,40.72,39.56,41.28,43.97,44.84,44.91,46.31,48.5,48.47,46.25,45.03,45.53,45.84,43.97,42.97,44.31,45.25,43.94,42.06,42.44,43.59,42.91,40.88,40.12,40.66,40.12,37.56,36.78,38.56,40.06,39.19,38.66,40.53,42.56,41.59,40.03,40.31,41.47,41.12,39.5,39.16,40.47,40.44,37.75,35.84,36.72,37.94,37.0,36.53,38.31,40.56,40.12,38.28,38.41,39.5,39.34,37.38,36.94,38.5,39.66,38.28,37.75,39.81,41.75,41.25,39.94,40.44,41.41,39.84,37.09,36.5,37.44,37.28,35.66,35.31,36.91,38.25,37.25,36.16,37.62,39.31,38.66,37.16,37.66,39.25,38.88,36.78,35.88,36.69,36.69,35.12,35.03,37.69,40.81,41.34,41.5,43.5,45.66,45.25,43.66,43.75,45.03,44.59,42.59,41.44,42.41,42.34,39.88,37.78,37.59,37.47,35.28,32.56,32.53,33.53,32.88,31.53,32.38,35.06,36.5,36.34,36.28,38.0,38.72,36.97,34.75,34.94,35.25,33.34,30.41,29.66,30.38,29.5,28.12,27.69,29.69,30.53,29.66,29.25,31.44,34.16,34.62,35.34,37.78,40.59,40.5,38.44,37.53,37.81,36.72,34.69,34.69,37.5,40.44,42.06,44.25,49.0,53.47,55.09,55.25,56.56,58.03,56.59,53.16,50.97,50.5,49.06,46.38,45.06,46.75,47.97,46.81,45.25,45.84,46.72,45.28,42.94,42.38,42.62,41.53,39.28,38.53,40.03,40.78,39.25,38.09,39.47,40.75,39.97,39.12,40.25,42.47,41.94,40.66,40.5,41.47,40.5,37.94,36.12,36.97,37.03,35.16,33.75,34.75,36.06,36.0,35.66,37.88,41.56,43.44,44.16,46.03,49.66,52.06,52.0,52.0,53.31,52.88,49.28,44.78,42.88,41.91,39.84,37.28,37.28,39.25,39.94,39.78,40.28,42.84,44.25,42.75,41.16,41.88,41.62,39.16,36.31,35.81,36.44,35.44,33.56,33.09,34.31,34.06,31.97,30.16,30.19,29.25,25.69,22.41,22.25,23.12,22.91,23.38,26.62,31.16,33.91,34.69,35.62,37.28,37.25,34.5,32.19,32.28,32.59,30.72,28.62,29.41,31.22,31.59,31.34,32.91,35.41,36.34,34.91,33.81,34.97,35.31,34.25,33.5,36.25,38.91,39.09,38.22,39.0,40.22,39.84,37.97,38.0,39.56,39.84,38.16,36.69,37.66,37.94,36.0,34.25,35.28,36.81,36.69,36.0,37.56,40.09,41.03,40.09,39.91,41.53,42.28,40.62,39.19,40.09,40.62,39.06,37.38,38.5,40.91,41.62,41.78,43.91,46.97,48.22,47.53,47.41,48.28,48.66,46.09,44.28,45.0,46.25,45.66,44.12,44.34,44.84,43.0,39.22,37.06,36.5,35.28,32.75,31.44,32.88,34.72,34.53,34.62,37.47,40.66,41.53,41.0,41.72,42.75,41.72,38.19,35.53,34.72,32.75,28.97,26.12,25.72,25.94,23.81,21.84,22.34,23.72,23.16,21.31,21.16,22.53,22.81,21.34,21.28,23.84,26.03,25.69,25.75,27.91,30.06,29.25,27.78,28.5,30.06,30.19,29.03,29.91,32.34,33.84,32.72,32.03,32.56,32.09,28.72,25.69,26.0,27.41,27.59,27.66,29.44,32.66,33.56,31.81,30.47,30.47,29.25,26.69,25.62,28.09,31.25,32.72,33.91,36.62,39.69,40.12,38.75,38.91,40.88,41.69,41.16,42.12,45.19,47.44,46.66,45.56,46.31,46.94,44.5,41.28,40.53,40.97,39.41,36.81,35.5,35.69,34.44,31.12,28.91,29.19,29.78,28.25,26.97,28.25,30.28,29.75,28.59,29.94,32.53,33.88,33.69,34.0,35.78,35.97,33.31,30.62,30.5,30.59,28.38,26.53,27.22,29.59,29.88,29.44,30.22,32.53,32.47,30.16,28.19,27.81,26.81,23.69,22.09,23.12,25.38,25.66,25.41,26.66,28.56,27.69,25.44,24.28,25.19,25.5,23.91,23.78,25.94,28.22,27.69,26.81,27.97,30.16,29.81,28.69,29.53,31.75,32.53,32.06,32.78,36.44,39.38,39.41,38.94,39.66,39.38,36.22,32.41,31.66,32.12,30.34,27.88,26.78,27.31,25.81,22.62,20.97,22.44,24.94,26.38,29.19,34.44,39.09,39.94,38.41,37.34,36.69,33.44,28.97,26.12,25.62,24.88,22.53,22.69,26.66,31.41,34.47,37.84,42.03,45.34,44.88,41.84,39.97,39.88,38.12,35.72,34.94,36.28,36.5,33.81,31.53,32.56,34.16,34.28,33.81,35.47,36.75,34.47,29.81,26.72,25.59,23.94,22.0,22.19,25.66,29.19,30.31,31.28,34.25,37.31,37.94,37.59,39.22,41.72,41.41,39.19,38.22,39.09,38.78,36.59,35.25,36.72,37.81,36.41,35.38,36.84,39.03,38.78,37.44,37.41,37.97,36.16,32.28,29.69,29.19,28.19,25.53,23.47,24.62,26.56,26.84,28.09,33.06,39.34,44.19,47.78,52.09,56.66,57.5,54.59,50.5,48.28,44.75,39.72,35.81,35.25,35.41,33.12,29.88,29.12,29.44,28.06,25.94,26.28,29.31,31.84,32.66,34.84,39.62,43.66,44.81,45.03,47.84,50.53,50.31,48.84,49.16,49.75,47.91,43.31,39.56,37.88,35.22,31.16,28.25,28.66,29.28,28.19,26.91,28.72,31.25,31.94,30.94,31.69,33.44,33.91,32.94,33.62,37.19,40.0,40.72,41.5,44.72,48.06,48.53,47.72,47.34,46.75,42.88,36.69,31.97,29.78,27.12,23.69,21.94,23.12,24.47,23.31,22.72,25.06,28.41,29.41,29.19,30.81,32.78,32.47,30.03,28.56,29.09,28.81,26.62,25.84,28.16,30.91,31.22,31.5,33.84,36.78,37.28,35.91,36.09,36.84,35.94,32.72,30.5,30.97,30.94,28.66,26.69,27.41,28.53,27.31,26.31,28.31,31.09,32.22,31.47,31.91,33.31,33.69,32.22,32.44,35.62,38.56,39.09,38.78,40.34,41.5,39.25,35.94,34.69,34.84,33.53,30.88,30.0,31.06,31.53,29.75,29.09,31.0,32.75,32.16,31.34,33.0,35.91,36.66,36.41,37.91,40.22,40.81,38.84,37.72,38.03,37.53,34.84,32.41,32.69,33.25,31.22,28.62,28.91,30.41,30.69,30.25,31.97,35.31,37.38,37.31,36.94,37.97,38.16,35.0,31.5,30.62,30.41,28.59,26.62,27.0,28.91,28.69,27.34,27.47,29.59,30.78,29.31,28.56,29.75,30.72,29.53,29.0,30.66,32.31,31.88,29.59,29.03,30.06,30.0,28.88,29.53,32.66,34.88,34.91,35.06,37.5,39.84,39.38,38.12,38.25,38.62,36.75,33.31,32.22,33.41,33.91,32.84,32.88,34.81,36.34,34.88,33.09,33.53,35.09,34.25,33.19,35.25,39.0,40.72,40.56,41.28,42.62,42.0,39.22,37.0,36.94,37.03,58.03,61.09,62.5,62.47,63.12,64.5,65.34,65.03,65.41,66.12,66.09,64.28,62.28,61.56:35.19,38.31,41.06,41.72,43.31,46.0,47.59,46.44,44.41,44.19,44.28,42.06,38.16,36.09,35.56,33.31,30.25,29.19,30.53,31.62,30.62,30.53,32.19,34.56,35.06,35.28,37.56,40.12,39.81,37.88,36.94,37.75,38.0,37.0,37.66,41.06,44.25,44.28,43.84,44.22,44.19,41.22,37.62,35.84,35.78,34.5,31.81,31.25,33.12,35.03,35.59,37.91,42.88,47.5,49.38,50.34,52.66,54.88,54.78,53.38,53.69,54.84,54.25,51.75,49.81,49.81,49.19,46.66,44.19,44.53,45.53,44.03,42.28,42.59,44.12,43.47,41.59,41.0,41.97,42.38,40.72,39.91,41.19,42.16,39.84,37.0,36.47,36.66,34.56,32.28,32.0,32.78,31.5,28.0,25.66,25.28,24.75,22.97,23.09,26.62,30.09,31.28,31.22,32.69,34.16,32.69,30.28,29.81,31.44,32.03,31.91,32.81,35.94,38.09,37.28,35.94,36.81,37.84,36.75,35.06,36.22,39.06,39.91,39.97,41.5,44.59,45.84,44.66,43.72,45.12,46.28,45.34,44.53,46.41,48.91,48.53,47.25,47.53,49.19,48.69,47.22,46.72,48.16,48.69,46.94,45.12,46.09,46.72,44.62,42.03,41.66,42.5,41.16,38.91,38.94,40.91,41.78,41.47,42.75,45.97,48.38,47.72,46.88,47.97,48.56,46.25,43.31,42.25,42.75,41.34,39.22,38.91,40.88,41.97,41.09,40.75,42.44,43.41,42.28,40.94,42.5,45.31,45.84,45.16,45.97,47.97,47.72,45.44,44.12,44.53,44.12,41.78,39.81,40.47,41.28,40.03,38.03,38.62,40.19,39.91,38.56,38.84,41.09,42.06,41.0,41.0,42.81,43.66,42.06,40.38,41.81,43.41,42.81,41.28,41.38,42.22,41.31,39.31,38.75,40.53,40.78,38.38,36.28,36.16,35.38,32.62,29.88,30.06,31.94,33.03,33.53,36.81,41.25,43.75,43.38,43.31,44.94,45.25,43.5,42.28,43.28,44.69,43.03,40.09,38.94,38.34,35.84,32.03,30.22,30.81,31.03,29.44,29.38,31.88,34.16,34.16,33.69,35.94,38.19,38.38,37.69,39.0,41.78,43.06,42.19,42.62,44.59,45.38,43.69,42.16,43.59,44.5,42.88,41.59,43.47,46.28,47.12,46.75,47.66,49.66,50.59,49.28,49.72,51.72,52.56,50.41,47.88,47.66,47.5,44.75,41.75,41.06,41.97,41.66,40.34,41.12,43.16,44.0,42.09,40.84,41.5,42.03,40.72,39.56,41.28,43.97,44.84,44.91,46.31,48.5,48.47,46.25,45.03,45.53,45.84,43.97,42.97,44.31,45.25,43.94,42.06,42.44,43.59,42.91,40.88,40.12,40.66,40.12,37.56,36.78,38.56,40.06,39.19,38.66,40.53,42.56,41.59,40.03,40.31,41.47,41.12,39.5,39.16,40.47,40.44,37.75,35.84,36.72,37.94,37.0,36.53,38.31,40.56,40.12,38.28,38.41,39.5,39.34,37.38,36.94,38.5,39.66,38.28,37.75,39.81,41.75,41.25,39.94,40.44,41.41,39.84,37.09,36.5,37.44,37.28,35.66,35.31,36.91,38.25,37.25,36.16,37.62,39.31,38.66,37.16,37.66,39.25,38.88,36.78,35.88,36.69,36.69,35.12,35.03,37.69,40.81,41.34,41.5,43.5,45.66,45.25,43.66,43.75,45.03,44.59,42.59,41.44,42.41,42.34,39.88,37.78,37.59,37.47,35.28,32.56,32.53,33.53,32.88,31.53,32.38,35.06,36.5,36.34,36.28,38.0,38.72,36.97,34.75,34.94,35.25,33.34,30.41,29.66,30.38,29.5,28.12,27.69,29.69,30.53,29.66,29.25,31.44,34.16,34.62,35.34,37.78,40.59,40.5,38.44,37.53,37.81,36.72,34.69,34.69,37.5,40.44,42.06,44.25,49.0,53.47,55.09,55.25,56.56,58.03,56.59,53.16,50.97,50.5,49.06,46.38,45.06,46.75,47.97,46.81,45.25,45.84,46.72,45.28,42.94,42.38,42.62,41.53,39.28,38.53,40.03,40.78,39.25,38.09,39.47,40.75,39.97,39.12,40.25,42.47,41.94,40.66,40.5,41.47,40.5,37.94,36.12,36.97,37.03,35.16,33.75,34.75,36.06,36.0,35.66,37.88,41.56,43.44,44.16,46.03,49.66,52.06,52.0,52.0,53.31,52.88,49.28,44.78,42.88,41.91,39.84,37.28,37.28,39.25,39.94,39.78,40.28,42.84,44.25,42.75,41.16,41.88,41.62,39.16,36.31,35.81,36.44,35.44,33.56,33.09,34.31,34.06,31.97,30.16,30.19,29.25,25.69,22.41,22.25,23.12,22.91,23.38,26.62,31.16,33.91,34.69,35.62,37.28,37.25,34.5,32.19,32.28,32.59,30.72,28.62,29.41,31.22,31.59,31.34,32.91,35.41,36.34,34.91,33.81,34.97,35.31,34.25,33.5,36.25,38.91,39.09,38.22,39.0,40.22,39.84,37.97,38.0,39.56,39.84,38.16,36.69,37.66,37.94,36.0,34.25,35.28,36.81,36.69,36.0,37.56,40.09,41.03,40.09,39.91,41.53,42.28,40.62,39.19,40.09,40.62,39.06,37.38,38.5,40.91,41.62,41.78,43.91,46.97,48.22,47.53,47.41,48.28,48.66,46.09,44.28,45.0,46.25,45.66,44.12,44.34,44.84,43.0,39.22,37.06,36.5,35.28,32.75,31.44,32.88,34.72,34.53,34.62,37.47,40.66,41.53,41.0,41.72,42.75,41.72,38.19,35.53,34.72,32.75,28.97,26.12,25.72,25.94,23.81,21.84,22.34,23.72,23.16,21.31,21.16,22.53,22.81,21.34,21.28,23.84,26.03,25.69,25.75,27.91,30.06,29.25,27.78,28.5,30.06,30.19,29.03,29.91,32.34,33.84,32.72,32.03,32.56,32.09,28.72,25.69,26.0,27.41,27.59,27.66,29.44,32.66,33.56,31.81,30.47,30.47,29.25,26.69,25.62,28.09,31.25,32.72,33.91,36.62,39.69,40.12,38.75,38.91,40.88,41.69,41.16,42.12,45.19,47.44,46.66,45.56,46.31,46.94,44.5,41.28,40.53,40.97,39.41,36.81,35.5,35.69,34.44,31.12,28.91,29.19,29.78,28.25,26.97,28.25,30.28,29.75,28.59,29.94,32.53,33.88,33.69,34.0,35.78,35.97,33.31,30.62,30.5,30.59,28.38,26.53,27.22,29.59,29.88,29.44,30.22,32.53,32.47,30.16,28.19,27.81,26.81,23.69,22.09,23.12,25.38,25.66,25.41,26.66,28.56,27.69,25.44,24.28,25.19,25.5,23.91,23.78,25.94,28.22,27.69,26.81,27.97,30.16,29.81,28.69,29.53,31.75,32.53,32.06,32.78,36.44,39.38,39.41,38.94,39.66,39.38,36.22,32.41,31.66,32.12,30.34,27.88,26.78,27.31,25.81,22.62,20.97,22.44,24.94,26.38,29.19,34.44,39.09,39.94,38.41,37.34,36.69,33.44,28.97,26.12,25.62,24.88,22.53,22.69,26.66,31.41,34.47,37.84,42.03,45.34,44.88,41.84,39.97,39.88,38.12,35.72,34.94,36.28,36.5,33.81,31.53,32.56,34.16,34.28,33.81,35.47,36.75,34.47,29.81,26.72,25.59,23.94,22.0,22.19,25.66,29.19,30.31,31.28,34.25,37.31,37.94,37.59,39.22,41.72,41.41,39.19,38.22,39.09,38.78,36.59,35.25,36.72,37.81,36.41,35.38,36.84,39.03,38.78,37.44,37.41,37.97,36.16,32.28,29.69,29.19,28.19,25.53,23.47,24.62,26.56,26.84,28.09,33.06,39.34,44.19,47.78,52.09,56.66,57.5,54.59,50.5,48.28,44.75,39.72,35.81,35.25,35.41,33.12,29.88,29.12,29.44,28.06,25.94,26.28,29.31,31.84,32.66,34.84,39.62,43.66,44.81,45.03,47.84,50.53,50.31,48.84,49.16,49.75,47.91,43.31,39.56,37.88,35.22,31.16,28.25,28.66,29.28,28.19,26.91,28.72,31.25,31.94,30.94,31.69,33.44,33.91,32.94,33.62,37.19,40.0,40.72,41.5,44.72,48.06,48.53,47.72,47.34,46.75,42.88,36.69,31.97,29.78,27.12,23.69,21.94,23.12,24.47,23.31,22.72,25.06,28.41,29.41,29.19,30.81,32.78,32.47,30.03,28.56,29.09,28.81,26.62,25.84,28.16,30.91,31.22,31.5,33.84,36.78,37.28,35.91,36.09,36.84,35.94,32.72,30.5,30.97,30.94,28.66,26.69,27.41,28.53,27.31,26.31,28.31,31.09,32.22,31.47,31.91,33.31,33.69,32.22,32.44,35.62,38.56,39.09,38.78,40.34,41.5,39.25,35.94,34.69,34.84,33.53,30.88,30.0,31.06,31.53,29.75,29.09,31.0,32.75,32.16,31.34,33.0,35.91,36.66,36.41,37.91,40.22,40.81,38.84,37.72,38.03,37.53,34.84,32.41,32.69,33.25,31.22,28.62,28.91,30.41,30.69,30.25,31.97,35.31,37.38,37.31,36.94,37.97,38.16,35.0,31.5,30.62,30.41,28.59,26.62,27.0,28.91,28.69,27.34,27.47,29.59,30.78,29.31,28.56,29.75,30.72,29.53,29.0,30.66,32.31,31.88,29.59,29.03,30.06,30.0,28.88,29.53,32.66,34.88,34.91,35.06,37.5,39.84,39.38,38.12,38.25,38.62,36.75,33.31,32.22,33.41,33.91,32.84,32.88,34.81,36.34,34.88,33.09,33.53,35.09,34.25,33.19,35.25,39.0,40.72,40.56,41.28,42.62,42.0,39.22,37.0,36.94,37.03,58.03,61.09,62.5,62.47,63.12,64.5,65.34,65.03,65.41,66.12,66.09,64.28,62.28,61.56,60.97,59.06,56.94,55.78,55.28,54.41,52.78:46.44,44.41,44.19,44.28,42.06,38.16,36.09,35.56,33.31,30.25,29.19,30.53,31.62,30.62,30.53,32.19,34.56,35.06,35.28,37.56,40.12,39.81,37.88,36.94,37.75,38.0,37.0,37.66,41.06,44.25,44.28,43.84,44.22,44.19,41.22,37.62,35.84,35.78,34.5,31.81,31.25,33.12,35.03,35.59,37.91,42.88,47.5,49.38,50.34,52.66,54.88,54.78,53.38,53.69,54.84,54.25,51.75,49.81,49.81,49.19,46.66,44.19,44.53,45.53,44.03,42.28,42.59,44.12,43.47,41.59,41.0,41.97,42.38,40.72,39.91,41.19,42.16,39.84,37.0,36.47,36.66,34.56,32.28,32.0,32.78,31.5,28.0,25.66,25.28,24.75,22.97,23.09,26.62,30.09,31.28,31.22,32.69,34.16,32.69,30.28,29.81,31.44,32.03,31.91,32.81,35.94,38.09,37.28,35.94,36.81,37.84,36.75,35.06,36.22,39.06,39.91,39.97,41.5,44.59,45.84,44.66,43.72,45.12,46.28,45.34,44.53,46.41,48.91,48.53,47.25,47.53,49.19,48.69,47.22,46.72,48.16,48.69,46.94,45.12,46.09,46.72,44.62,42.03,41.66,42.5,41.16,38.91,38.94,40.91,41.78,41.47,42.75,45.97,48.38,47.72,46.88,47.97,48.56,46.25,43.31,42.25,42.75,41.34,39.22,38.91,40.88,41.97,41.09,40.75,42.44,43.41,42.28,40.94,42.5,45.31,45.84,45.16,45.97,47.97,47.72,45.44,44.12,44.53,44.12,41.78,39.81,40.47,41.28,40.03,38.03,38.62,40.19,39.91,38.56,38.84,41.09,42.06,41.0,41.0,42.81,43.66,42.06,40.38,41.81,43.41,42.81,41.28,41.38,42.22,41.31,39.31,38.75,40.53,40.78,38.38,36.28,36.16,35.38,32.62,29.88,30.06,31.94,33.03,33.53,36.81,41.25,43.75,43.38,43.31,44.94,45.25,43.5,42.28,43.28,44.69,43.03,40.09,38.94,38.34,35.84,32.03,30.22,30.81,31.03,29.44,29.38,31.88,34.16,34.16,33.69,35.94,38.19,38.38,37.69,39.0,41.78,43.06,42.19,42.62,44.59,45.38,43.69,42.16,43.59,44.5,42.88,41.59,43.47,46.28,47.12,46.75,47.66,49.66,50.59,49.28,49.72,51.72,52.56,50.41,47.88,47.66,47.5,44.75,41.75,41.06,41.97,41.66,40.34,41.12,43.16,44.0,42.09,40.84,41.5,42.03,40.72,39.56,41.28,43.97,44.84,44.91,46.31,48.5,48.47,46.25,45.03,45.53,45.84,43.97,42.97,44.31,45.25,43.94,42.06,42.44,43.59,42.91,40.88,40.12,40.66,40.12,37.56,36.78,38.56,40.06,39.19,38.66,40.53,42.56,41.59,40.03,40.31,41.47,41.12,39.5,39.16,40.47,40.44,37.75,35.84,36.72,37.94,37.0,36.53,38.31,40.56,40.12,38.28,38.41,39.5,39.34,37.38,36.94,38.5,39.66,38.28,37.75,39.81,41.75,41.25,39.94,40.44,41.41,39.84,37.09,36.5,37.44,37.28,35.66,35.31,36.91,38.25,37.25,36.16,37.62,39.31,38.66,37.16,37.66,39.25,38.88,36.78,35.88,36.69,36.69,35.12,35.03,37.69,40.81,41.34,41.5,43.5,45.66,45.25,43.66,43.75,45.03,44.59,42.59,41.44,42.41,42.34,39.88,37.78,37.59,37.47,35.28,32.56,32.53,33.53,32.88,31.53,32.38,35.06,36.5,36.34,36.28,38.0,38.72,36.97,34.75,34.94,35.25,33.34,30.41,29.66,30.38,29.5,28.12,27.69,29.69,30.53,29.66,29.25,31.44,34.16,34.62,35.34,37.78,40.59,40.5,38.44,37.53,37.81,36.72,34.69,34.69,37.5,40.44,42.06,44.25,49.0,53.47,55.09,55.25,56.56,58.03,56.59,53.16,50.97,50.5,49.06,46.38,45.06,46.75,47.97,46.81,45.25,45.84,46.72,45.28,42.94,42.38,42.62,41.53,39.28,38.53,40.03,40.78,39.25,38.09,39.47,40.75,39.97,39.12,40.25,42.47,41.94,40.66,40.5,41.47,40.5,37.94,36.12,36.97,37.03,35.16,33.75,34.75,36.06,36.0,35.66,37.88,41.56,43.44,44.16,46.03,49.66,52.06,52.0,52.0,53.31,52.88,49.28,44.78,42.88,41.91,39.84,37.28,37.28,39.25,39.94,39.78,40.28,42.84,44.25,42.75,41.16,41.88,41.62,39.16,36.31,35.81,36.44,35.44,33.56,33.09,34.31,34.06,31.97,30.16,30.19,29.25,25.69,22.41,22.25,23.12,22.91,23.38,26.62,31.16,33.91,34.69,35.62,37.28,37.25,34.5,32.19,32.28,32.59,30.72,28.62,29.41,31.22,31.59,31.34,32.91,35.41,36.34,34.91,33.81,34.97,35.31,34.25,33.5,36.25,38.91,39.09,38.22,39.0,40.22,39.84,37.97,38.0,39.56,39.84,38.16,36.69,37.66,37.94,36.0,34.25,35.28,36.81,36.69,36.0,37.56,40.09,41.03,40.09,39.91,41.53,42.28,40.62,39.19,40.09,40.62,39.06,37.38,38.5,40.91,41.62,41.78,43.91,46.97,48.22,47.53,47.41,48.28,48.66,46.09,44.28,45.0,46.25,45.66,44.12,44.34,44.84,43.0,39.22,37.06,36.5,35.28,32.75,31.44,32.88,34.72,34.53,34.62,37.47,40.66,41.53,41.0,41.72,42.75,41.72,38.19,35.53,34.72,32.75,28.97,26.12,25.72,25.94,23.81,21.84,22.34,23.72,23.16,21.31,21.16,22.53,22.81,21.34,21.28,23.84,26.03,25.69,25.75,27.91,30.06,29.25,27.78,28.5,30.06,30.19,29.03,29.91,32.34,33.84,32.72,32.03,32.56,32.09,28.72,25.69,26.0,27.41,27.59,27.66,29.44,32.66,33.56,31.81,30.47,30.47,29.25,26.69,25.62,28.09,31.25,32.72,33.91,36.62,39.69,40.12,38.75,38.91,40.88,41.69,41.16,42.12,45.19,47.44,46.66,45.56,46.31,46.94,44.5,41.28,40.53,40.97,39.41,36.81,35.5,35.69,34.44,31.12,28.91,29.19,29.78,28.25,26.97,28.25,30.28,29.75,28.59,29.94,32.53,33.88,33.69,34.0,35.78,35.97,33.31,30.62,30.5,30.59,28.38,26.53,27.22,29.59,29.88,29.44,30.22,32.53,32.47,30.16,28.19,27.81,26.81,23.69,22.09,23.12,25.38,25.66,25.41,26.66,28.56,27.69,25.44,24.28,25.19,25.5,23.91,23.78,25.94,28.22,27.69,26.81,27.97,30.16,29.81,28.69,29.53,31.75,32.53,32.06,32.78,36.44,39.38,39.41,38.94,39.66,39.38,36.22,32.41,31.66,32.12,30.34,27.88,26.78,27.31,25.81,22.62,20.97,22.44,24.94,26.38,29.19,34.44,39.09,39.94,38.41,37.34,36.69,33.44,28.97,26.12,25.62,24.88,22.53,22.69,26.66,31.41,34.47,37.84,42.03,45.34,44.88,41.84,39.97,39.88,38.12,35.72,34.94,36.28,36.5,33.81,31.53,32.56,34.16,34.28,33.81,35.47,36.75,34.47,29.81,26.72,25.59,23.94,22.0,22.19,25.66,29.19,30.31,31.28,34.25,37.31,37.94,37.59,39.22,41.72,41.41,39.19,38.22,39.09,38.78,36.59,35.25,36.72,37.81,36.41,35.38,36.84,39.03,38.78,37.44,37.41,37.97,36.16,32.28,29.69,29.19,28.19,25.53,23.47,24.62,26.56,26.84,28.09,33.06,39.34,44.19,47.78,52.09,56.66,57.5,54.59,50.5,48.28,44.75,39.72,35.81,35.25,35.41,33.12,29.88,29.12,29.44,28.06,25.94,26.28,29.31,31.84,32.66,34.84,39.62,43.66,44.81,45.03,47.84,50.53,50.31,48.84,49.16,49.75,47.91,43.31,39.56,37.88,35.22,31.16,28.25,28.66,29.28,28.19,26.91,28.72,31.25,31.94,30.94,31.69,33.44,33.91,32.94,33.62,37.19,40.0,40.72,41.5,44.72,48.06,48.53,47.72,47.34,46.75,42.88,36.69,31.97,29.78,27.12,23.69,21.94,23.12,24.47,23.31,22.72,25.06,28.41,29.41,29.19,30.81,32.78,32.47,30.03,28.56,29.09,28.81,26.62,25.84,28.16,30.91,31.22,31.5,33.84,36.78,37.28,35.91,36.09,36.84,35.94,32.72,30.5,30.97,30.94,28.66,26.69,27.41,28.53,27.31,26.31,28.31,31.09,32.22,31.47,31.91,33.31,33.69,32.22,32.44,35.62,38.56,39.09,38.78,40.34,41.5,39.25,35.94,34.69,34.84,33.53,30.88,30.0,31.06,31.53,29.75,29.09,31.0,32.75,32.16,31.34,33.0,35.91,36.66,36.41,37.91,40.22,40.81,38.84,37.72,38.03,37.53,34.84,32.41,32.69,33.25,31.22,28.62,28.91,30.41,30.69,30.25,31.97,35.31,37.38,37.31,36.94,37.97,38.16,35.0,31.5,30.62,30.41,28.59,26.62,27.0,28.91,28.69,27.34,27.47,29.59,30.78,29.31,28.56,29.75,30.72,29.53,29.0,30.66,32.31,31.88,29.59,29.03,30.06,30.0,28.88,29.53,32.66,34.88,34.91,35.06,37.5,39.84,39.38,38.12,38.25,38.62,36.75,33.31,32.22,33.41,33.91,32.84,32.88,34.81,36.34,34.88,33.09,33.53,35.09,34.25,33.19,35.25,39.0,40.72,40.56,41.28,42.62,42.0,39.22,37.0,36.94,37.03,58.03,61.09,62.5,62.47,63.12,64.5,65.34,65.03,65.41,66.12,66.09,64.28,62.28,61.56,60.97,59.06,56.94,55.78,55.28,54.41,52.78,53.03,54.88,56.94,57.72,59.5,62.03,63.56:35.56,33.31,30.25,29.19,30.53,31.62,30.62,30.53,32.19,34.56,35.06,35.28,37.56,40.12,39.81,37.88,36.94,37.75,38.0,37.0,37.66,41.06,44.25,44.28,43.84,44.22,44.19,41.22,37.62,35.84,35.78,34.5,31.81,31.25,33.12,35.03,35.59,37.91,42.88,47.5,49.38,50.34,52.66,54.88,54.78,53.38,53.69,54.84,54.25,51.75,49.81,49.81,49.19,46.66,44.19,44.53,45.53,44.03,42.28,42.59,44.12,43.47,41.59,41.0,41.97,42.38,40.72,39.91,41.19,42.16,39.84,37.0,36.47,36.66,34.56,32.28,32.0,32.78,31.5,28.0,25.66,25.28,24.75,22.97,23.09,26.62,30.09,31.28,31.22,32.69,34.16,32.69,30.28,29.81,31.44,32.03,31.91,32.81,35.94,38.09,37.28,35.94,36.81,37.84,36.75,35.06,36.22,39.06,39.91,39.97,41.5,44.59,45.84,44.66,43.72,45.12,46.28,45.34,44.53,46.41,48.91,48.53,47.25,47.53,49.19,48.69,47.22,46.72,48.16,48.69,46.94,45.12,46.09,46.72,44.62,42.03,41.66,42.5,41.16,38.91,38.94,40.91,41.78,41.47,42.75,45.97,48.38,47.72,46.88,47.97,48.56,46.25,43.31,42.25,42.75,41.34,39.22,38.91,40.88,41.97,41.09,40.75,42.44,43.41,42.28,40.94,42.5,45.31,45.84,45.16,45.97,47.97,47.72,45.44,44.12,44.53,44.12,41.78,39.81,40.47,41.28,40.03,38.03,38.62,40.19,39.91,38.56,38.84,41.09,42.06,41.0,41.0,42.81,43.66,42.06,40.38,41.81,43.41,42.81,41.28,41.38,42.22,41.31,39.31,38.75,40.53,40.78,38.38,36.28,36.16,35.38,32.62,29.88,30.06,31.94,33.03,33.53,36.81,41.25,43.75,43.38,43.31,44.94,45.25,43.5,42.28,43.28,44.69,43.03,40.09,38.94,38.34,35.84,32.03,30.22,30.81,31.03,29.44,29.38,31.88,34.16,34.16,33.69,35.94,38.19,38.38,37.69,39.0,41.78,43.06,42.19,42.62,44.59,45.38,43.69,42.16,43.59,44.5,42.88,41.59,43.47,46.28,47.12,46.75,47.66,49.66,50.59,49.28,49.72,51.72,52.56,50.41,47.88,47.66,47.5,44.75,41.75,41.06,41.97,41.66,40.34,41.12,43.16,44.0,42.09,40.84,41.5,42.03,40.72,39.56,41.28,43.97,44.84,44.91,46.31,48.5,48.47,46.25,45.03,45.53,45.84,43.97,42.97,44.31,45.25,43.94,42.06,42.44,43.59,42.91,40.88,40.12,40.66,40.12,37.56,36.78,38.56,40.06,39.19,38.66,40.53,42.56,41.59,40.03,40.31,41.47,41.12,39.5,39.16,40.47,40.44,37.75,35.84,36.72,37.94,37.0,36.53,38.31,40.56,40.12,38.28,38.41,39.5,39.34,37.38,36.94,38.5,39.66,38.28,37.75,39.81,41.75,41.25,39.94,40.44,41.41,39.84,37.09,36.5,37.44,37.28,35.66,35.31,36.91,38.25,37.25,36.16,37.62,39.31,38.66,37.16,37.66,39.25,38.88,36.78,35.88,36.69,36.69,35.12,35.03,37.69,40.81,41.34,41.5,43.5,45.66,45.25,43.66,43.75,45.03,44.59,42.59,41.44,42.41,42.34,39.88,37.78,37.59,37.47,35.28,32.56,32.53,33.53,32.88,31.53,32.38,35.06,36.5,36.34,36.28,38.0,38.72,36.97,34.75,34.94,35.25,33.34,30.41,29.66,30.38,29.5,28.12,27.69,29.69,30.53,29.66,29.25,31.44,34.16,34.62,35.34,37.78,40.59,40.5,38.44,37.53,37.81,36.72,34.69,34.69,37.5,40.44,42.06,44.25,49.0,53.47,55.09,55.25,56.56,58.03,56.59,53.16,50.97,50.5,49.06,46.38,45.06,46.75,47.97,46.81,45.25,45.84,46.72,45.28,42.94,42.38,42.62,41.53,39.28,38.53,40.03,40.78,39.25,38.09,39.47,40.75,39.97,39.12,40.25,42.47,41.94,40.66,40.5,41.47,40.5,37.94,36.12,36.97,37.03,35.16,33.75,34.75,36.06,36.0,35.66,37.88,41.56,43.44,44.16,46.03,49.66,52.06,52.0,52.0,53.31,52.88,49.28,44.78,42.88,41.91,39.84,37.28,37.28,39.25,39.94,39.78,40.28,42.84,44.25,42.75,41.16,41.88,41.62,39.16,36.31,35.81,36.44,35.44,33.56,33.09,34.31,34.06,31.97,30.16,30.19,29.25,25.69,22.41,22.25,23.12,22.91,23.38,26.62,31.16,33.91,34.69,35.62,37.28,37.25,34.5,32.19,32.28,32.59,30.72,28.62,29.41,31.22,31.59,31.34,32.91,35.41,36.34,34.91,33.81,34.97,35.31,34.25,33.5,36.25,38.91,39.09,38.22,39.0,40.22,39.84,37.97,38.0,39.56,39.84,38.16,36.69,37.66,37.94,36.0,34.25,35.28,36.81,36.69,36.0,37.56,40.09,41.03,40.09,39.91,41.53,42.28,40.62,39.19,40.09,40.62,39.06,37.38,38.5,40.91,41.62,41.78,43.91,46.97,48.22,47.53,47.41,48.28,48.66,46.09,44.28,45.0,46.25,45.66,44.12,44.34,44.84,43.0,39.22,37.06,36.5,35.28,32.75,31.44,32.88,34.72,34.53,34.62,37.47,40.66,41.53,41.0,41.72,42.75,41.72,38.19,35.53,34.72,32.75,28.97,26.12,25.72,25.94,23.81,21.84,22.34,23.72,23.16,21.31,21.16,22.53,22.81,21.34,21.28,23.84,26.03,25.69,25.75,27.91,30.06,29.25,27.78,28.5,30.06,30.19,29.03,29.91,32.34,33.84,32.72,32.03,32.56,32.09,28.72,25.69,26.0,27.41,27.59,27.66,29.44,32.66,33.56,31.81,30.47,30.47,29.25,26.69,25.62,28.09,31.25,32.72,33.91,36.62,39.69,40.12,38.75,38.91,40.88,41.69,41.16,42.12,45.19,47.44,46.66,45.56,46.31,46.94,44.5,41.28,40.53,40.97,39.41,36.81,35.5,35.69,34.44,31.12,28.91,29.19,29.78,28.25,26.97,28.25,30.28,29.75,28.59,29.94,32.53,33.88,33.69,34.0,35.78,35.97,33.31,30.62,30.5,30.59,28.38,26.53,27.22,29.59,29.88,29.44,30.22,32.53,32.47,30.16,28.19,27.81,26.81,23.69,22.09,23.12,25.38,25.66,25.41,26.66,28.56,27.69,25.44,24.28,25.19,25.5,23.91,23.78,25.94,28.22,27.69,26.81,27.97,30.16,29.81,28.69,29.53,31.75,32.53,32.06,32.78,36.44,39.38,39.41,38.94,39.66,39.38,36.22,32.41,31.66,32.12,30.34,27.88,26.78,27.31,25.81,22.62,20.97,22.44,24.94,26.38,29.19,34.44,39.09,39.94,38.41,37.34,36.69,33.44,28.97,26.12,25.62,24.88,22.53,22.69,26.66,31.41,34.47,37.84,42.03,45.34,44.88,41.84,39.97,39.88,38.12,35.72,34.94,36.28,36.5,33.81,31.53,32.56,34.16,34.28,33.81,35.47,36.75,34.47,29.81,26.72,25.59,23.94,22.0,22.19,25.66,29.19,30.31,31.28,34.25,37.31,37.94,37.59,39.22,41.72,41.41,39.19,38.22,39.09,38.78,36.59,35.25,36.72,37.81,36.41,35.38,36.84,39.03,38.78,37.44,37.41,37.97,36.16,32.28,29.69,29.19,28.19,25.53,23.47,24.62,26.56,26.84,28.09,33.06,39.34,44.19,47.78,52.09,56.66,57.5,54.59,50.5,48.28,44.75,39.72,35.81,35.25,35.41,33.12,29.88,29.12,29.44,28.06,25.94,26.28,29.31,31.84,32.66,34.84,39.62,43.66,44.81,45.03,47.84,50.53,50.31,48.84,49.16,49.75,47.91,43.31,39.56,37.88,35.22,31.16,28.25,28.66,29.28,28.19,26.91,28.72,31.25,31.94,30.94,31.69,33.44,33.91,32.94,33.62,37.19,40.0,40.72,41.5,44.72,48.06,48.53,47.72,47.34,46.75,42.88,36.69,31.97,29.78,27.12,23.69,21.94,23.12,24.47,23.31,22.72,25.06,28.41,29.41,29.19,30.81,32.78,32.47,30.03,28.56,29.09,28.81,26.62,25.84,28.16,30.91,31.22,31.5,33.84,36.78,37.28,35.91,36.09,36.84,35.94,32.72,30.5,30.97,30.94,28.66,26.69,27.41,28.53,27.31,26.31,28.31,31.09,32.22,31.47,31.91,33.31,33.69,32.22,32.44,35.62,38.56,39.09,38.78,40.34,41.5,39.25,35.94,34.69,34.84,33.53,30.88,30.0,31.06,31.53,29.75,29.09,31.0,32.75,32.16,31.34,33.0,35.91,36.66,36.41,37.91,40.22,40.81,38.84,37.72,38.03,37.53,34.84,32.41,32.69,33.25,31.22,28.62,28.91,30.41,30.69,30.25,31.97,35.31,37.38,37.31,36.94,37.97,38.16,35.0,31.5,30.62,30.41,28.59,26.62,27.0,28.91,28.69,27.34,27.47,29.59,30.78,29.31,28.56,29.75,30.72,29.53,29.0,30.66,32.31,31.88,29.59,29.03,30.06,30.0,28.88,29.53,32.66,34.88,34.91,35.06,37.5,39.84,39.38,38.12,38.25,38.62,36.75,33.31,32.22,33.41,33.91,32.84,32.88,34.81,36.34,34.88,33.09,33.53,35.09,34.25,33.19,35.25,39.0,40.72,40.56,41.28,42.62,42.0,39.22,37.0,36.94,37.03,58.03,61.09,62.5,62.47,63.12,64.5,65.34,65.03,65.41,66.12,66.09,64.28,62.28,61.56,60.97,59.06,56.94,55.78,55.28,54.41,52.78,53.03,54.88,56.94,57.72,59.5,62.03,63.56,63.31,62.25,62.09,62.25,60.31,57.78,55.84:30.53,32.19,34.56,35.06,35.28,37.56,40.12,39.81,37.88,36.94,37.75,38.0,37.0,37.66,41.06,44.25,44.28,43.84,44.22,44.19,41.22,37.62,35.84,35.78,34.5,31.81,31.25,33.12,35.03,35.59,37.91,42.88,47.5,49.38,50.34,52.66,54.88,54.78,53.38,53.69,54.84,54.25,51.75,49.81,49.81,49.19,46.66,44.19,44.53,45.53,44.03,42.28,42.59,44.12,43.47,41.59,41.0,41.97,42.38,40.72,39.91,41.19,42.16,39.84,37.0,36.47,36.66,34.56,32.28,32.0,32.78,31.5,28.0,25.66,25.28,24.75,22.97,23.09,26.62,30.09,31.28,31.22,32.69,34.16,32.69,30.28,29.81,31.44,32.03,31.91,32.81,35.94,38.09,37.28,35.94,36.81,37.84,36.75,35.06,36.22,39.06,39.91,39.97,41.5,44.59,45.84,44.66,43.72,45.12,46.28,45.34,44.53,46.41,48.91,48.53,47.25,47.53,49.19,48.69,47.22,46.72,48.16,48.69,46.94,45.12,46.09,46.72,44.62,42.03,41.66,42.5,41.16,38.91,38.94,40.91,41.78,41.47,42.75,45.97,48.38,47.72,46.88,47.97,48.56,46.25,43.31,42.25,42.75,41.34,39.22,38.91,40.88,41.97,41.09,40.75,42.44,43.41,42.28,40.94,42.5,45.31,45.84,45.16,45.97,47.97,47.72,45.44,44.12,44.53,44.12,41.78,39.81,40.47,41.28,40.03,38.03,38.62,40.19,39.91,38.56,38.84,41.09,42.06,41.0,41.0,42.81,43.66,42.06,40.38,41.81,43.41,42.81,41.28,41.38,42.22,41.31,39.31,38.75,40.53,40.78,38.38,36.28,36.16,35.38,32.62,29.88,30.06,31.94,33.03,33.53,36.81,41.25,43.75,43.38,43.31,44.94,45.25,43.5,42.28,43.28,44.69,43.03,40.09,38.94,38.34,35.84,32.03,30.22,30.81,31.03,29.44,29.38,31.88,34.16,34.16,33.69,35.94,38.19,38.38,37.69,39.0,41.78,43.06,42.19,42.62,44.59,45.38,43.69,42.16,43.59,44.5,42.88,41.59,43.47,46.28,47.12,46.75,47.66,49.66,50.59,49.28,49.72,51.72,52.56,50.41,47.88,47.66,47.5,44.75,41.75,41.06,41.97,41.66,40.34,41.12,43.16,44.0,42.09,40.84,41.5,42.03,40.72,39.56,41.28,43.97,44.84,44.91,46.31,48.5,48.47,46.25,45.03,45.53,45.84,43.97,42.97,44.31,45.25,43.94,42.06,42.44,43.59,42.91,40.88,40.12,40.66,40.12,37.56,36.78,38.56,40.06,39.19,38.66,40.53,42.56,41.59,40.03,40.31,41.47,41.12,39.5,39.16,40.47,40.44,37.75,35.84,36.72,37.94,37.0,36.53,38.31,40.56,40.12,38.28,38.41,39.5,39.34,37.38,36.94,38.5,39.66,38.28,37.75,39.81,41.75,41.25,39.94,40.44,41.41,39.84,37.09,36.5,37.44,37.28,35.66,35.31,36.91,38.25,37.25,36.16,37.62,39.31,38.66,37.16,37.66,39.25,38.88,36.78,35.88,36.69,36.69,35.12,35.03,37.69,40.81,41.34,41.5,43.5,45.66,45.25,43.66,43.75,45.03,44.59,42.59,41.44,42.41,42.34,39.88,37.78,37.59,37.47,35.28,32.56,32.53,33.53,32.88,31.53,32.38,35.06,36.5,36.34,36.28,38.0,38.72,36.97,34.75,34.94,35.25,33.34,30.41,29.66,30.38,29.5,28.12,27.69,29.69,30.53,29.66,29.25,31.44,34.16,34.62,35.34,37.78,40.59,40.5,38.44,37.53,37.81,36.72,34.69,34.69,37.5,40.44,42.06,44.25,49.0,53.47,55.09,55.25,56.56,58.03,56.59,53.16,50.97,50.5,49.06,46.38,45.06,46.75,47.97,46.81,45.25,45.84,46.72,45.28,42.94,42.38,42.62,41.53,39.28,38.53,40.03,40.78,39.25,38.09,39.47,40.75,39.97,39.12,40.25,42.47,41.94,40.66,40.5,41.47,40.5,37.94,36.12,36.97,37.03,35.16,33.75,34.75,36.06,36.0,35.66,37.88,41.56,43.44,44.16,46.03,49.66,52.06,52.0,52.0,53.31,52.88,49.28,44.78,42.88,41.91,39.84,37.28,37.28,39.25,39.94,39.78,40.28,42.84,44.25,42.75,41.16,41.88,41.62,39.16,36.31,35.81,36.44,35.44,33.56,33.09,34.31,34.06,31.97,30.16,30.19,29.25,25.69,22.41,22.25,23.12,22.91,23.38,26.62,31.16,33.91,34.69,35.62,37.28,37.25,34.5,32.19,32.28,32.59,30.72,28.62,29.41,31.22,31.59,31.34,32.91,35.41,36.34,34.91,33.81,34.97,35.31,34.25,33.5,36.25,38.91,39.09,38.22,39.0,40.22,39.84,37.97,38.0,39.56,39.84,38.16,36.69,37.66,37.94,36.0,34.25,35.28,36.81,36.69,36.0,37.56,40.09,41.03,40.09,39.91,41.53,42.28,40.62,39.19,40.09,40.62,39.06,37.38,38.5,40.91,41.62,41.78,43.91,46.97,48.22,47.53,47.41,48.28,48.66,46.09,44.28,45.0,46.25,45.66,44.12,44.34,44.84,43.0,39.22,37.06,36.5,35.28,32.75,31.44,32.88,34.72,34.53,34.62,37.47,40.66,41.53,41.0,41.72,42.75,41.72,38.19,35.53,34.72,32.75,28.97,26.12,25.72,25.94,23.81,21.84,22.34,23.72,23.16,21.31,21.16,22.53,22.81,21.34,21.28,23.84,26.03,25.69,25.75,27.91,30.06,29.25,27.78,28.5,30.06,30.19,29.03,29.91,32.34,33.84,32.72,32.03,32.56,32.09,28.72,25.69,26.0,27.41,27.59,27.66,29.44,32.66,33.56,31.81,30.47,30.47,29.25,26.69,25.62,28.09,31.25,32.72,33.91,36.62,39.69,40.12,38.75,38.91,40.88,41.69,41.16,42.12,45.19,47.44,46.66,45.56,46.31,46.94,44.5,41.28,40.53,40.97,39.41,36.81,35.5,35.69,34.44,31.12,28.91,29.19,29.78,28.25,26.97,28.25,30.28,29.75,28.59,29.94,32.53,33.88,33.69,34.0,35.78,35.97,33.31,30.62,30.5,30.59,28.38,26.53,27.22,29.59,29.88,29.44,30.22,32.53,32.47,30.16,28.19,27.81,26.81,23.69,22.09,23.12,25.38,25.66,25.41,26.66,28.56,27.69,25.44,24.28,25.19,25.5,23.91,23.78,25.94,28.22,27.69,26.81,27.97,30.16,29.81,28.69,29.53,31.75,32.53,32.06,32.78,36.44,39.38,39.41,38.94,39.66,39.38,36.22,32.41,31.66,32.12,30.34,27.88,26.78,27.31,25.81,22.62,20.97,22.44,24.94,26.38,29.19,34.44,39.09,39.94,38.41,37.34,36.69,33.44,28.97,26.12,25.62,24.88,22.53,22.69,26.66,31.41,34.47,37.84,42.03,45.34,44.88,41.84,39.97,39.88,38.12,35.72,34.94,36.28,36.5,33.81,31.53,32.56,34.16,34.28,33.81,35.47,36.75,34.47,29.81,26.72,25.59,23.94,22.0,22.19,25.66,29.19,30.31,31.28,34.25,37.31,37.94,37.59,39.22,41.72,41.41,39.19,38.22,39.09,38.78,36.59,35.25,36.72,37.81,36.41,35.38,36.84,39.03,38.78,37.44,37.41,37.97,36.16,32.28,29.69,29.19,28.19,25.53,23.47,24.62,26.56,26.84,28.09,33.06,39.34,44.19,47.78,52.09,56.66,57.5,54.59,50.5,48.28,44.75,39.72,35.81,35.25,35.41,33.12,29.88,29.12,29.44,28.06,25.94,26.28,29.31,31.84,32.66,34.84,39.62,43.66,44.81,45.03,47.84,50.53,50.31,48.84,49.16,49.75,47.91,43.31,39.56,37.88,35.22,31.16,28.25,28.66,29.28,28.19,26.91,28.72,31.25,31.94,30.94,31.69,33.44,33.91,32.94,33.62,37.19,40.0,40.72,41.5,44.72,48.06,48.53,47.72,47.34,46.75,42.88,36.69,31.97,29.78,27.12,23.69,21.94,23.12,24.47,23.31,22.72,25.06,28.41,29.41,29.19,30.81,32.78,32.47,30.03,28.56,29.09,28.81,26.62,25.84,28.16,30.91,31.22,31.5,33.84,36.78,37.28,35.91,36.09,36.84,35.94,32.72,30.5,30.97,30.94,28.66,26.69,27.41,28.53,27.31,26.31,28.31,31.09,32.22,31.47,31.91,33.31,33.69,32.22,32.44,35.62,38.56,39.09,38.78,40.34,41.5,39.25,35.94,34.69,34.84,33.53,30.88,30.0,31.06,31.53,29.75,29.09,31.0,32.75,32.16,31.34,33.0,35.91,36.66,36.41,37.91,40.22,40.81,38.84,37.72,38.03,37.53,34.84,32.41,32.69,33.25,31.22,28.62,28.91,30.41,30.69,30.25,31.97,35.31,37.38,37.31,36.94,37.97,38.16,35.0,31.5,30.62,30.41,28.59,26.62,27.0,28.91,28.69,27.34,27.47,29.59,30.78,29.31,28.56,29.75,30.72,29.53,29.0,30.66,32.31,31.88,29.59,29.03,30.06,30.0,28.88,29.53,32.66,34.88,34.91,35.06,37.5,39.84,39.38,38.12,38.25,38.62,36.75,33.31,32.22,33.41,33.91,32.84,32.88,34.81,36.34,34.88,33.09,33.53,35.09,34.25,33.19,35.25,39.0,40.72,40.56,41.28,42.62,42.0,39.22,37.0,36.94,37.03,58.03,61.09,62.5,62.47,63.12,64.5,65.34,65.03,65.41,66.12,66.09,64.28,62.28,61.56,60.97,59.06,56.94,55.78,55.28,54.41,52.78,53.03,54.88,56.94,57.72,59.5,62.03,63.56,63.31,62.25,62.09,62.25,60.31,57.78,55.84,54.84,52.84,50.72,50.28,51.41,52.69,52.56:negativity
29.66,29.38,30.94,32.53,32.75,32.59,34.28,37.5,39.81,40.44,41.16,41.78,40.91,37.91,35.28,34.47,33.41,31.69,30.03,30.31,31.47,31.53,30.78,31.5,32.84,33.03,31.97,31.91,33.12,33.72,32.75,31.69,32.31,32.91,32.75,32.62,34.72,37.62,38.84,38.38,38.88,39.66,39.31,37.56,37.03,37.84,38.28,36.94,35.16,34.78,33.88,31.97,30.06,30.38,32.0,32.59,33.25,35.09,38.31,41.12,43.31,46.22,50.56,53.72,54.44,53.66,53.12,51.22,47.62,42.91,39.91,38.75,37.0,34.66,33.53,33.5,32.31,29.75,27.56,26.69,26.09,24.31,23.03,24.81,27.5,30.03,32.16,35.34,39.16,41.72,42.31,43.69,45.94,46.72,45.66,44.44,44.84,44.75,42.94,41.06,40.62,40.53,39.09,36.91,36.19,36.5,36.03,34.5,33.84,33.94,33.97,31.91,30.09,30.0,29.94,28.53,26.97,26.66,27.16,26.94,25.75,26.09,27.91,28.69,28.12,27.66,28.47,28.78,26.97,25.38,25.12,25.34,24.56,24.19,25.78,28.16,29.81,30.28,31.25,33.16,34.22,34.0,34.25,36.38,37.94,37.75,37.53,38.28,39.06,38.31,36.62,36.06,35.66,34.59,32.91,32.72,33.78,34.91,35.16,36.0,38.34,40.47,41.41,41.47,42.66,43.66,43.34,41.84,41.47,41.62,40.84,38.25,36.53,35.81,35.0,32.22,29.66,28.81,28.25,26.69,26.0,27.34,30.31,32.25,33.44,35.41,38.06,39.28,39.06,39.53,41.81,44.38,45.62,47.38,50.0,51.84,50.56,47.81,45.78,44.16,41.78,39.56,38.56,38.59,37.88,35.88,33.91,33.28,32.94,31.41,30.25,30.88,32.19,32.16,32.12,33.78,36.59,38.88,40.53,42.94,46.12,48.09,47.47,47.09,47.41,47.25,45.09,42.81,41.59,40.84,38.88,36.5,35.56,35.38,34.12,32.25,31.59,32.41,33.31,32.38,32.0,32.75,33.12,31.84,30.34,30.03,30.5,30.22,30.22,31.75,34.88,36.94,37.59,37.97,38.81,38.94,37.19,35.75,35.72,36.12,34.72,33.28,32.84,33.25,32.62,31.91,32.5,34.84,36.62,36.94,37.62,39.09,40.16,38.88,37.84,38.03,38.81,37.94,37.06,37.75,39.34,39.94,39.5,39.78,40.94,41.78,40.69,40.25,40.53,40.56,38.69,36.91,36.5,37.09,36.44,35.66,36.25,37.66,37.97,36.88,36.06,36.22,35.91,34.47,34.0,35.09,36.47,36.31,35.97,36.56,38.31,38.44,38.44,39.47,41.78,43.28,43.69,45.09,47.72,49.31,48.72,47.81,48.0,48.19,46.75,45.19,45.16,45.59,44.66,42.66,41.19,40.72,39.25,36.31,34.12,34.06,33.97,32.69,31.59,31.75,32.22,31.34,30.31,31.09,33.0,34.38,35.19,36.66,39.5,41.62,42.22,42.75,44.69,46.19,46.03,44.94,44.53,43.97,41.31,38.47,36.78,36.78,36.72,36.16,36.44,37.69,37.88,36.16,34.12,33.16,31.97,30.03,28.0,28.12,29.69,30.44,31.09,32.81,35.59,37.75,38.75,39.78,42.38,44.09,43.94,43.72,44.78,45.97,45.53,44.16,43.56,43.5,41.88,39.75,38.75,39.56,40.09,39.94,40.09,41.47,42.66,41.97,41.28,41.41,42.12,41.75,40.59,40.59,41.34,41.09,39.62,39.03,39.94,40.31,39.62,39.22,40.44,41.59,41.31,40.84,42.03,43.72,44.38,44.41,45.34,47.16,46.94,45.0,43.28,42.31,40.62,37.78,35.41,34.53,34.19,32.69,31.12,31.59,33.16,33.75,34.03,35.28,37.81,39.59,39.94,40.75,43.09,44.28,43.72,42.53,42.41,42.44,41.19,39.66,39.84,40.81,40.69,39.31,38.22,37.75,36.25,33.41,31.19,31.09,31.28,30.81,30.56,32.44,34.78,36.0,36.53,37.94,39.44,39.75,38.5,37.84,38.06,38.38,37.69,37.56,39.22,40.78,40.59,39.88,40.31,40.62,39.53,37.28,35.56,35.22,33.91,31.94,30.84,31.38,31.41,30.81,30.25,31.59,33.75,34.28,34.38,35.88,37.84,38.41,38.47,39.44,41.12,42.12,41.62,40.62,40.69,39.88,37.22,34.69,34.09,34.12,33.5,32.75,33.56,34.69,34.81,34.25,34.44,35.56,36.16,35.12,33.88,34.06,33.91,32.41,31.31,32.06,33.81,34.81,35.22,36.69,38.56,39.62,39.72,40.41,42.69,44.72,44.62,44.38,44.81,44.62,42.78,40.94,40.72,41.66,42.06,41.81,42.0,42.91,42.59,40.25,38.03,36.97,36.09,34.0,32.22,32.75,33.78,33.38,32.78,33.78,35.28,36.12,36.03,36.62,38.34,39.19,38.19,37.38,37.62,37.66,36.06,34.72,34.69,34.56,32.75,30.25,29.28,29.81,30.16,29.81,31.06,33.22,35.06,35.19,36.28,38.66,40.84,41.44,41.47,42.66,44.31,44.75,44.44,45.0,46.09,45.91,44.06,42.97,42.72,41.66,38.5,35.5,34.16,32.97,31.59,30.66,31.88,34.25,35.84,36.69,38.09,40.06,40.94,39.97,39.28,39.53,39.81,38.28,36.59,36.56,36.38,35.12,33.47,33.81,35.19,36.5,36.5,37.75,39.38,40.0,38.62,38.09,38.28,38.53,36.78,34.22,32.94,31.62,29.5,27.34,27.28,28.78,30.38,30.94,32.62,35.5,37.25,37.03,37.28,38.41,39.38,38.53,37.38,37.34,37.5,36.12,33.19,31.56,30.31,28.59,25.75,24.44,25.16,25.91,25.31,25.84,28.25,31.53,33.28,34.72,36.44,38.03,37.12,34.72,32.84,31.81,29.66,26.91,25.03,25.5,26.66,26.94,27.66,29.31,31.22,30.72,29.53,29.44,30.06,29.94,28.94,29.47,31.19,33.22,33.5,34.47,36.41,37.62,36.12,34.28,33.34,33.03,31.62,30.19,29.91,30.69,30.19,28.25,27.34,27.72,28.09,27.38,27.72,29.56,31.94,32.5,33.16,34.56,36.56,36.72,36.28,36.47,37.91,38.56,38.06,37.88,38.94,39.66,37.69,35.91,35.88,36.34,35.34,34.66,35.12,36.25,35.12,32.84,31.0,30.16,29.41,27.81,27.53,29.25,31.06,30.97,30.62,31.28,32.0,30.81,29.56,29.97,31.47,31.91,31.5,31.5,32.66,33.09,31.88,31.28,32.66,34.5,34.84,35.59,37.78,40.03,40.31,39.09,38.34,38.56,37.12,34.31,32.5,32.53,32.44,31.03,30.62,32.31,34.16,34.72,35.28,37.16,39.81,40.66,40.25,40.19,40.53,39.53,36.97,34.75,33.94,33.16,30.97,29.88,31.06,33.66,34.84,35.25,36.62,38.03,37.31,35.03,33.62,33.16,31.94,29.47,27.66,28.16,29.0,28.59,28.69,30.81,33.81,35.84,37.44,40.12,43.75,45.0,44.0,42.91,41.62,38.34,33.28,28.72,26.34,25.16,23.91,23.81,25.81,29.12,30.75,31.81,34.41,37.84,40.28,41.28,42.38,44.19,45.38,44.56,43.5,44.25,44.44,43.09,41.12,40.25,40.12,38.5,36.28,34.59,33.97,32.5,29.84,28.44,28.97,30.31,30.97,32.06,34.72,37.5,37.53,36.75,36.28,36.34,34.91,32.91,31.59,32.12,32.0,31.41,31.22,33.28,35.25,35.31,34.44,34.56,34.22,32.06,29.31,27.62,27.69,26.88,26.0,26.16,28.34,30.06,30.12,30.22,31.81,33.31,32.81,31.5,31.03,30.78,28.91,26.84,26.56,28.28,29.31,29.34,29.91,31.91,33.22,33.12,32.72,33.94,34.97,34.97,34.69,36.16,38.59,39.53,39.38,40.31,41.94,42.12,40.97,39.88,40.38,40.28,38.59,36.72,36.72,37.06,36.0,35.19,36.06,38.38,39.88,40.88,42.44,45.03,46.34,45.34,43.88,43.38,42.53,39.84,37.25,36.88,37.28,36.06,34.0,32.91,32.28,30.91,28.97,28.66,30.91,33.12,34.91,36.94,40.41,43.22,43.91,43.22,43.62,43.91,42.66,40.09,38.81,37.81,36.09,32.81,31.0,31.03,30.88,29.97,29.72,31.56,33.53,34.41,34.41,35.91,37.72,38.53,37.66,37.91,39.03,39.06,37.06,35.72,36.12,35.62,34.03,32.12,32.09,31.97,30.59,28.78,28.12,27.97,26.81,25.03,24.94,26.81,28.25,29.25,30.31,32.94,34.38,34.44,33.81,34.25,34.72,33.62,31.72,30.88,30.94,30.53,29.56,29.72,31.19,31.91,30.88,30.19,31.28,31.91,31.72,31.25,32.25,33.88,34.53,34.34,35.09,36.44,36.84,35.78,35.66,36.59,36.88,35.19,33.19,32.56,31.69,29.5,27.38,27.28,27.97,27.81,27.03,27.75,29.34,30.5,30.16,30.44,32.25,33.88,33.53,33.72,35.53,37.34,37.34,36.91,38.16,39.59,39.59,38.12,37.19,36.91,35.53,32.69,30.75,30.59,30.56,28.88,27.75,27.94,28.12,27.16,25.09,24.41,24.81,24.34,22.97,23.47,25.69,28.03,29.28,31.28,34.78,38.0,38.88,39.16,40.22,40.91,39.34,36.88,36.12,36.09,35.94,34.88,34.47,35.16,35.41,33.69,32.66,33.53,34.94,34.91,34.81,36.56,38.66,39.53,38.91,39.5,41.03,41.75,41.38,41.75,43.28,44.25,42.88,41.38,41.44,41.44,40.44,39.06,39.47,40.88,40.75,39.34,38.34,37.47,36.0,32.81,31.09,32.0,34.03,34.78,35.59,37.75,39.16,38.47,37.25,36.97,37.94,38.69,38.91,40.0,42.06,42.22,39.69,36.31,34.19,32.53:37.5,39.81,40.44,41.16,41.78,40.91,37.91,35.28,34.47,33.41,31.69,30.03,30.31,31.47,31.53,30.78,31.5,32.84,33.03,31.97,31.91,33.12,33.72,32.75,31.69,32.31,32.91,32.75,32.62,34.72,37.62,38.84,38.38,38.88,39.66,39.31,37.56,37.03,37.84,38.28,36.94,35.16,34.78,33.88,31.97,30.06,30.38,32.0,32.59,33.25,35.09,38.31,41.12,43.31,46.22,50.56,53.72,54.44,53.66,53.12,51.22,47.62,42.91,39.91,38.75,37.0,34.66,33.53,33.5,32.31,29.75,27.56,26.69,26.09,24.31,23.03,24.81,27.5,30.03,32.16,35.34,39.16,41.72,42.31,43.69,45.94,46.72,45.66,44.44,44.84,44.75,42.94,41.06,40.62,40.53,39.09,36.91,36.19,36.5,36.03,34.5,33.84,33.94,33.97,31.91,30.09,30.0,29.94,28.53,26.97,26.66,27.16,26.94,25.75,26.09,27.91,28.69,28.12,27.66,28.47,28.78,26.97,25.38,25.12,25.34,24.56,24.19,25.78,28.16,29.81,30.28,31.25,33.16,34.22,34.0,34.25,36.38,37.94,37.75,37.53,38.28,39.06,38.31,36.62,36.06,35.66,34.59,32.91,32.72,33.78,34.91,35.16,36.0,38.34,40.47,41.41,41.47,42.66,43.66,43.34,41.84,41.47,41.62,40.84,38.25,36.53,35.81,35.0,32.22,29.66,28.81,28.25,26.69,26.0,27.34,30.31,32.25,33.44,35.41,38.06,39.28,39.06,39.53,41.81,44.38,45.62,47.38,50.0,51.84,50.56,47.81,45.78,44.16,41.78,39.56,38.56,38.59,37.88,35.88,33.91,33.28,32.94,31.41,30.25,30.88,32.19,32.16,32.12,33.78,36.59,38.88,40.53,42.94,46.12,48.09,47.47,47.09,47.41,47.25,45.09,42.81,41.59,40.84,38.88,36.5,35.56,35.38,34.12,32.25,31.59,32.41,33.31,32.38,32.0,32.75,33.12,31.84,30.34,30.03,30.5,30.22,30.22,31.75,34.88,36.94,37.59,37.97,38.81,38.94,37.19,35.75,35.72,36.12,34.72,33.28,32.84,33.25,32.62,31.91,32.5,34.84,36.62,36.94,37.62,39.09,40.16,38.88,37.84,38.03,38.81,37.94,37.06,37.75,39.34,39.94,39.5,39.78,40.94,41.78,40.69,40.25,40.53,40.56,38.69,36.91,36.5,37.09,36.44,35.66,36.25,37.66,37.97,36.88,36.06,36.22,35.91,34.47,34.0,35.09,36.47,36.31,35.97,36.56,38.31,38.44,38.44,39.47,41.78,43.28,43.69,45.09,47.72,49.31,48.72,47.81,48.0,48.19,46.75,45.19,45.16,45.59,44.66,42.66,41.19,40.72,39.25,36.31,34.12,34.06,33.97,32.69,31.59,31.75,32.22,31.34,30.31,31.09,33.0,34.38,35.19,36.66,39.5,41.62,42.22,42.75,44.69,46.19,46.03,44.94,44.53,43.97,41.31,38.47,36.78,36.78,36.72,36.16,36.44,37.69,37.88,36.16,34.12,33.16,31.97,30.03,28.0,28.12,29.69,30.44,31.09,32.81,35.59,37.75,38.75,39.78,42.38,44.09,43.94,43.72,44.78,45.97,45.53,44.16,43.56,43.5,41.88,39.75,38.75,39.56,40.09,39.94,40.09,41.47,42.66,41.97,41.28,41.41,42.12,41.75,40.59,40.59,41.34,41.09,39.62,39.03,39.94,40.31,39.62,39.22,40.44,41.59,41.31,40.84,42.03,43.72,44.38,44.41,45.34,47.16,46.94,45.0,43.28,42.31,40.62,37.78,35.41,34.53,34.19,32.69,31.12,31.59,33.16,33.75,34.03,35.28,37.81,39.59,39.94,40.75,43.09,44.28,43.72,42.53,42.41,42.44,41.19,39.66,39.84,40.81,40.69,39.31,38.22,37.75,36.25,33.41,31.19,31.09,31.28,30.81,30.56,32.44,34.78,36.0,36.53,37.94,39.44,39.75,38.5,37.84,38.06,38.38,37.69,37.56,39.22,40.78,40.59,39.88,40.31,40.62,39.53,37.28,35.56,35.22,33.91,31.94,30.84,31.38,31.41,30.81,30.25,31.59,33.75,34.28,34.38,35.88,37.84,38.41,38.47,39.44,41.12,42.12,41.62,40.62,40.69,39.88,37.22,34.69,34.09,34.12,33.5,32.75,33.56,34.69,34.81,34.25,34.44,35.56,36.16,35.12,33.88,34.06,33.91,32.41,31.31,32.06,33.81,34.81,35.22,36.69,38.56,39.62,39.72,40.41,42.69,44.72,44.62,44.38,44.81,44.62,42.78,40.94,40.72,41.66,42.06,41.81,42.0,42.91,42.59,40.25,38.03,36.97,36.09,34.0,32.22,32.75,33.78,33.38,32.78,33.78,35.28,36.12,36.03,36.62,38.34,39.19,38.19,37.38,37.62,37.66,36.06,34.72,34.69,34.56,32.75,30.25,29.28,29.81,30.16,29.81,31.06,33.22,35.06,35.19,36.28,38.66,40.84,41.44,41.47,42.66,44.31,44.75,44.44,45.0,46.09,45.91,44.06,42.97,42.72,41.66,38.5,35.5,34.16,32.97,31.59,30.66,31.88,34.25,35.84,36.69,38.09,40.06,40.94,39.97,39.28,39.53,39.81,38.28,36.59,36.56,36.38,35.12,33.47,33.81,35.19,36.5,36.5,37.75,39.38,40.0,38.62,38.09,38.28,38.53,36.78,34.22,32.94,31.62,29.5,27.34,27.28,28.78,30.38,30.94,32.62,35.5,37.25,37.03,37.28,38.41,39.38,38.53,37.38,37.34,37.5,36.12,33.19,31.56,30.31,28.59,25.75,24.44,25.16,25.91,25.31,25.84,28.25,31.53,33.28,34.72,36.44,38.03,37.12,34.72,32.84,31.81,29.66,26.91,25.03,25.5,26.66,26.94,27.66,29.31,31.22,30.72,29.53,29.44,30.06,29.94,28.94,29.47,31.19,33.22,33.5,34.47,36.41,37.62,36.12,34.28,33.34,33.03,31.62,30.19,29.91,30.69,30.19,28.25,27.34,27.72,28.09,27.38,27.72,29.56,31.94,32.5,33.16,34.56,36.56,36.72,36.28,36.47,37.91,38.56,38.06,37.88,38.94,39.66,37.69,35.91,35.88,36.34,35.34,34.66,35.12,36.25,35.12,32.84,31.0,30.16,29.41,27.81,27.53,29.25,31.06,30.97,30.62,31.28,32.0,30.81,29.56,29.97,31.47,31.91,31.5,31.5,32.66,33.09,31.88,31.28,32.66,34.5,34.84,35.59,37.78,40.03,40.31,39.09,38.34,38.56,37.12,34.31,32.5,32.53,32.44,31.03,30.62,32.31,34.16,34.72,35.28,37.16,39.81,40.66,40.25,40.19,40.53,39.53,36.97,34.75,33.94,33.16,30.97,29.88,31.06,33.66,34.84,35.25,36.62,38.03,37.31,35.03,33.62,33.16,31.94,29.47,27.66,28.16,29.0,28.59,28.69,30.81,33.81,35.84,37.44,40.12,43.75,45.0,44.0,42.91,41.62,38.34,33.28,28.72,26.34,25.16,23.91,23.81,25.81,29.12,30.75,31.81,34.41,37.84,40.28,41.28,42.38,44.19,45.38,44.56,43.5,44.25,44.44,43.09,41.12,40.25,40.12,38.5,36.28,34.59,33.97,32.5,29.84,28.44,28.97,30.31,30.97,32.06,34.72,37.5,37.53,36.75,36.28,36.34,34.91,32.91,31.59,32.12,32.0,31.41,31.22,33.28,35.25,35.31,34.44,34.56,34.22,32.06,29.31,27.62,27.69,26.88,26.0,26.16,28.34,30.06,30.12,30.22,31.81,33.31,32.81,31.5,31.03,30.78,28.91,26.84,26.56,28.28,29.31,29.34,29.91,31.91,33.22,33.12,32.72,33.94,34.97,34.97,34.69,36.16,38.59,39.53,39.38,40.31,41.94,42.12,40.97,39.88,40.38,40.28,38.59,36.72,36.72,37.06,36.0,35.19,36.06,38.38,39.88,40.88,42.44,45.03,46.34,45.34,43.88,43.38,42.53,39.84,37.25,36.88,37.28,36.06,34.0,32.91,32.28,30.91,28.97,28.66,30.91,33.12,34.91,36.94,40.41,43.22,43.91,43.22,43.62,43.91,42.66,40.09,38.81,37.81,36.09,32.81,31.0,31.03,30.88,29.97,29.72,31.56,33.53,34.41,34.41,35.91,37.72,38.53,37.66,37.91,39.03,39.06,37.06,35.72,36.12,35.62,34.03,32.12,32.09,31.97,30.59,28.78,28.12,27.97,26.81,25.03,24.94,26.81,28.25,29.25,30.31,32.94,34.38,34.44,33.81,34.25,34.72,33.62,31.72,30.88,30.94,30.53,29.56,29.72,31.19,31.91,30.88,30.19,31.28,31.91,31.72,31.25,32.25,33.88,34.53,34.34,35.09,36.44,36.84,35.78,35.66,36.59,36.88,35.19,33.19,32.56,31.69,29.5,27.38,27.28,27.97,27.81,27.03,27.75,29.34,30.5,30.16,30.44,32.25,33.88,33.53,33.72,35.53,37.34,37.34,36.91,38.16,39.59,39.59,38.12,37.19,36.91,35.53,32.69,30.75,30.59,30.56,28.88,27.75,27.94,28.12,27.16,25.09,24.41,24.81,24.34,22.97,23.47,25.69,28.03,29.28,31.28,34.78,38.0,38.88,39.16,40.22,40.91,39.34,36.88,36.12,36.09,35.94,34.88,34.47,35.16,35.41,33.69,32.66,33.53,34.94,34.91,34.81,36.56,38.66,39.53,38.91,39.5,41.03,41.75,41.38,41.75,43.28,44.25,42.88,41.38,41.44,41.44,40.44,39.06,39.47,40.88,40.75,39.34,38.34,37.47,36.0,32.81,31.09,32.0,34.03,34.78,35.59,37.75,39.16,38.47,37.25,36.97,37.94,38.69,38.91,40.0,42.06,42.22,39.69,36.31,34.19,32.53,35.94,36.16,36.25,36.28,37.19,38.28,39.47:35.28,34.47,33.41,31.69,30.03,30.31,31.47,31.53,30.78,31.5,32.84,33.03,31.97,31.91,33.12,33.72,32.75,31.69,32.31,32.91,32.75,32.62,34.72,37.62,38.84,38.38,38.88,39.66,39.31,37.56,37.03,37.84,38.28,36.94,35.16,34.78,33.88,31.97,30.06,30.38,32.0,32.59,33.25,35.09,38.31,41.12,43.31,46.22,50.56,53.72,54.44,53.66,53.12,51.22,47.62,42.91,39.91,38.75,37.0,34.66,33.53,33.5,32.31,29.75,27.56,26.69,26.09,24.31,23.03,24.81,27.5,30.03,32.16,35.34,39.16,41.72,42.31,43.69,45.94,46.72,45.66,44.44,44.84,44.75,42.94,41.06,40.62,40.53,39.09,36.91,36.19,36.5,36.03,34.5,33.84,33.94,33.97,31.91,30.09,30.0,29.94,28.53,26.97,26.66,27.16,26.94,25.75,26.09,27.91,28.69,28.12,27.66,28.47,28.78,26.97,25.38,25.12,25.34,24.56,24.19,25.78,28.16,29.81,30.28,31.25,33.16,34.22,34.0,34.25,36.38,37.94,37.75,37.53,38.28,39.06,38.31,36.62,36.06,35.66,34.59,32.91,32.72,33.78,34.91,35.16,36.0,38.34,40.47,41.41,41.47,42.66,43.66,43.34,41.84,41.47,41.62,40.84,38.25,36.53,35.81,35.0,32.22,29.66,28.81,28.25,26.69,26.0,27.34,30.31,32.25,33.44,35.41,38.06,39.28,39.06,39.53,41.81,44.38,45.62,47.38,50.0,51.84,50.56,47.81,45.78,44.16,41.78,39.56,38.56,38.59,37.88,35.88,33.91,33.28,32.94,31.41,30.25,30.88,32.19,32.16,32.12,33.78,36.59,38.88,40.53,42.94,46.12,48.09,47.47,47.09,47.41,47.25,45.09,42.81,41.59,40.84,38.88,36.5,35.56,35.38,34.12,32.25,31.59,32.41,33.31,32.38,32.0,32.75,33.12,31.84,30.34,30.03,30.5,30.22,30.22,31.75,34.88,36.94,37.59,37.97,38.81,38.94,37.19,35.75,35.72,36.12,34.72,33.28,32.84,33.25,32.62,31.91,32.5,34.84,36.62,36.94,37.62,39.09,40.16,38.88,37.84,38.03,38.81,37.94,37.06,37.75,39.34,39.94,39.5,39.78,40.94,41.78,40.69,40.25,40.53,40.56,38.69,36.91,36.5,37.09,36.44,35.66,36.25,37.66,37.97,36.88,36.06,36.22,35.91,34.47,34.0,35.09,36.47,36.31,35.97,36.56,38.31,38.44,38.44,39.47,41.78,43.28,43.69,45.09,47.72,49.31,48.72,47.81,48.0,48.19,46.75,45.19,45.16,45.59,44.66,42.66,41.19,40.72,39.25,36.31,34.12,34.06,33.97,32.69,31.59,31.75,32.22,31.34,30.31,31.09,33.0,34.38,35.19,36.66,39.5,41.62,42.22,42.75,44.69,46.19,46.03,44.94,44.53,43.97,41.31,38.47,36.78,36.78,36.72,36.16,36.44,37.69,37.88,36.16,34.12,33.16,31.97,30.03,28.0,28.12,29.69,30.44,31.09,32.81,35.59,37.75,38.75,39.78,42.38,44.09,43.94,43.72,44.78,45.97,45.53,44.16,43.56,43.5,41.88,39.75,38.75,39.56,40.09,39.94,40.09,41.47,42.66,41.97,41.28,41.41,42.12,41.75,40.59,40.59,41.34,41.09,39.62,39.03,39.94,40.31,39.62,39.22,40.44,41.59,41.31,40.84,42.03,43.72,44.38,44.41,45.34,47.16,46.94,45.0,43.28,42.31,40.62,37.78,35.41,34.53,34.19,32.69,31.12,31.59,33.16,33.75,34.03,35.28,37.81,39.59,39.94,40.75,43.09,44.28,43.72,42.53,42.41,42.44,41.19,39.66,39.84,40.81,40.69,39.31,38.22,37.75,36.25,33.41,31.19,31.09,31.28,30.81,30.56,32.44,34.78,36.0,36.53,37.94,39.44,39.75,38.5,37.84,38.06,38.38,37.69,37.56,39.22,40.78,40.59,39.88,40.31,40.62,39.53,37.28,35.56,35.22,33.91,31.94,30.84,31.38,31.41,30.81,30.25,31.59,33.75,34.28,34.38,35.88,37.84,38.41,38.47,39.44,41.12,42.12,41.62,40.62,40.69,39.88,37.22,34.69,34.09,34.12,33.5,32.75,33.56,34.69,34.81,34.25,34.44,35.56,36.16,35.12,33.88,34.06,33.91,32.41,31.31,32.06,33.81,34.81,35.22,36.69,38.56,39.62,39.72,40.41,42.69,44.72,44.62,44.38,44.81,44.62,42.78,40.94,40.72,41.66,42.06,41.81,42.0,42.91,42.59,40.25,38.03,36.97,36.09,34.0,32.22,32.75,33.78,33.38,32.78,33.78,35.28,36.12,36.03,36.62,38.34,39.19,38.19,37.38,37.62,37.66,36.06,34.72,34.69,34.56,32.75,30.25,29.28,29.81,30.16,29.81,31.06,33.22,35.06,35.19,36.28,38.66,40.84,41.44,41.47,42.66,44.31,44.75,44.44,45.0,46.09,45.91,44.06,42.97,42.72,41.66,38.5,35.5,34.16,32.97,31.59,30.66,31.88,34.25,35.84,36.69,38.09,40.06,40.94,39.97,39.28,39.53,39.81,38.28,36.59,36.56,36.38,35.12,33.47,33.81,35.19,36.5,36.5,37.75,39.38,40.0,38.62,38.09,38.28,38.53,36.78,34.22,32.94,31.62,29.5,27.34,27.28,28.78,30.38,30.94,32.62,35.5,37.25,37.03,37.28,38.41,39.38,38.53,37.38,37.34,37.5,36.12,33.19,31.56,30.31,28.59,25.75,24.44,25.16,25.91,25.31,25.84,28.25,31.53,33.28,34.72,36.44,38.03,37.12,34.72,32.84,31.81,29.66,26.91,25.03,25.5,26.66,26.94,27.66,29.31,31.22,30.72,29.53,29.44,30.06,29.94,28.94,29.47,31.19,33.22,33.5,34.47,36.41,37.62,36.12,34.28,33.34,33.03,31.62,30.19,29.91,30.69,30.19,28.25,27.34,27.72,28.09,27.38,27.72,29.56,31.94,32.5,33.16,34.56,36.56,36.72,36.28,36.47,37.91,38.56,38.06,37.88,38.94,39.66,37.69,35.91,35.88,36.34,35.34,34.66,35.12,36.25,35.12,32.84,31.0,30.16,29.41,27.81,27.53,29.25,31.06,30.97,30.62,31.28,32.0,30.81,29.56,29.97,31.47,31.91,31.5,31.5,32.66,33.09,31.88,31.28,32.66,34.5,34.84,35.59,37.78,40.03,40.31,39.09,38.34,38.56,37.12,34.31,32.5,32.53,32.44,31.03,30.62,32.31,34.16,34.72,35.28,37.16,39.81,40.66,40.25,40.19,40.53,39.53,36.97,34.75,33.94,33.16,30.97,29.88,31.06,33.66,34.84,35.25,36.62,38.03,37.31,35.03,33.62,33.16,31.94,29.47,27.66,28.16,29.0,28.59,28.69,30.81,33.81,35.84,37.44,40.12,43.75,45.0,44.0,42.91,41.62,38.34,33.28,28.72,26.34,25.16,23.91,23.81,25.81,29.12,30.75,31.81,34.41,37.84,40.28,41.28,42.38,44.19,45.38,44.56,43.5,44.25,44.44,43.09,41.12,40.25,40.12,38.5,36.28,34.59,33.97,32.5,29.84,28.44,28.97,30.31,30.97,32.06,34.72,37.5,37.53,36.75,36.28,36.34,34.91,32.91,31.59,32.12,32.0,31.41,31.22,33.28,35.25,35.31,34.44,34.56,34.22,32.06,29.31,27.62,27.69,26.88,26.0,26.16,28.34,30.06,30.12,30.22,31.81,33.31,32.81,31.5,31.03,30.78,28.91,26.84,26.56,28.28,29.31,29.34,29.91,31.91,33.22,33.12,32.72,33.94,34.97,34.97,34.69,36.16,38.59,39.53,39.38,40.31,41.94,42.12,40.97,39.88,40.38,40.28,38.59,36.72,36.72,37.06,36.0,35.19,36.06,38.38,39.88,40.88,42.44,45.03,46.34,45.34,43.88,43.38,42.53,39.84,37.25,36.88,37.28,36.06,34.0,32.91,32.28,30.91,28.97,28.66,30.91,33.12,34.91,36.94,40.41,43.22,43.91,43.22,43.62,43.91,42.66,40.09,38.81,37.81,36.09,32.81,31.0,31.03,30.88,29.97,29.72,31.56,33.53,34.41,34.41,35.91,37.72,38.53,37.66,37.91,39.03,39.06,37.06,35.72,36.12,35.62,34.03,32.12,32.09,31.97,30.59,28.78,28.12,27.97,26.81,25.03,24.94,26.81,28.25,29.25,30.31,32.94,34.38,34.44,33.81,34.25,34.72,33.62,31.72,30.88,30.94,30.53,29.56,29.72,31.19,31.91,30.88,30.19,31.28,31.91,31.72,31.25,32.25,33.88,34.53,34.34,35.09,36.44,36.84,35.78,35.66,36.59,36.88,35.19,33.19,32.56,31.69,29.5,27.38,27.28,27.97,27.81,27.03,27.75,29.34,30.5,30.16,30.44,32.25,33.88,33.53,33.72,35.53,37.34,37.34,36.91,38.16,39.59,39.59,38.12,37.19,36.91,35.53,32.69,30.75,30.59,30.56,28.88,27.75,27.94,28.12,27.16,25.09,24.41,24.81,24.34,22.97,23.47,25.69,28.03,29.28,31.28,34.78,38.0,38.88,39.16,40.22,40.91,39.34,36.88,36.12,36.09,35.94,34.88,34.47,35.16,35.41,33.69,32.66,33.53,34.94,34.91,34.81,36.56,38.66,39.53,38.91,39.5,41.03,41.75,41.38,41.75,43.28,44.25,42.88,41.38,41.44,41.44,40.44,39.06,39.47,40.88,40.75,39.34,38.34,37.47,36.0,32.81,31.09,32.0,34.03,34.78,35.59,37.75,39.16,38.47,37.25,36.97,37.94,38.69,38.91,40.0,42.06,42.22,39.69,36.31,34.19,32.53,35.94,36.16,36.25,36.28,37.19,38.28,39.47,41.25,44.03,46.53,47.94,48.19,47.81,46.84:31.53,30.78,31.5,32.84,33.03,31.97,31.91,33.12,33.72,32.75,31.69,32.31,32.91,32.75,32.62,34.72,37.62,38.84,38.38,38.88,39.66,39.31,37.56,37.03,37.84,38.28,36.94,35.16,34.78,33.88,31.97,30.06,30.38,32.0,32.59,33.25,35.09,38.31,41.12,43.31,46.22,50.56,53.72,54.44,53.66,53.12,51.22,47.62,42.91,39.91,38.75,37.0,34.66,33.53,33.5,32.31,29.75,27.56,26.69,26.09,24.31,23.03,24.81,27.5,30.03,32.16,35.34,39.16,41.72,42.31,43.69,45.94,46.72,45.66,44.44,44.84,44.75,42.94,41.06,40.62,40.53,39.09,36.91,36.19,36.5,36.03,34.5,33.84,33.94,33.97,31.91,30.09,30.0,29.94,28.53,26.97,26.66,27.16,26.94,25.75,26.09,27.91,28.69,28.12,27.66,28.47,28.78,26.97,25.38,25.12,25.34,24.56,24.19,25.78,28.16,29.81,30.28,31.25,33.16,34.22,34.0,34.25,36.38,37.94,37.75,37.53,38.28,39.06,38.31,36.62,36.06,35.66,34.59,32.91,32.72,33.78,34.91,35.16,36.0,38.34,40.47,41.41,41.47,42.66,43.66,43.34,41.84,41.47,41.62,40.84,38.25,36.53,35.81,35.0,32.22,29.66,28.81,28.25,26.69,26.0,27.34,30.31,32.25,33.44,35.41,38.06,39.28,39.06,39.53,41.81,44.38,45.62,47.38,50.0,51.84,50.56,47.81,45.78,44.16,41.78,39.56,38.56,38.59,37.88,35.88,33.91,33.28,32.94,31.41,30.25,30.88,32.19,32.16,32.12,33.78,36.59,38.88,40.53,42.94,46.12,48.09,47.47,47.09,47.41,47.25,45.09,42.81,41.59,40.84,38.88,36.5,35.56,35.38,34.12,32.25,31.59,32.41,33.31,32.38,32.0,32.75,33.12,31.84,30.34,30.03,30.5,30.22,30.22,31.75,34.88,36.94,37.59,37.97,38.81,38.94,37.19,35.75,35.72,36.12,34.72,33.28,32.84,33.25,32.62,31.91,32.5,34.84,36.62,36.94,37.62,39.09,40.16,38.88,37.84,38.03,38.81,37.94,37.06,37.75,39.34,39.94,39.5,39.78,40.94,41.78,40.69,40.25,40.53,40.56,38.69,36.91,36.5,37.09,36.44,35.66,36.25,37.66,37.97,36.88,36.06,36.22,35.91,34.47,34.0,35.09,36.47,36.31,35.97,36.56,38.31,38.44,38.44,39.47,41.78,43.28,43.69,45.09,47.72,49.31,48.72,47.81,48.0,48.19,46.75,45.19,45.16,45.59,44.66,42.66,41.19,40.72,39.25,36.31,34.12,34.06,33.97,32.69,31.59,31.75,32.22,31.34,30.31,31.09,33.0,34.38,35.19,36.66,39.5,41.62,42.22,42.75,44.69,46.19,46.03,44.94,44.53,43.97,41.31,38.47,36.78,36.78,36.72,36.16,36.44,37.69,37.88,36.16,34.12,33.16,31.97,30.03,28.0,28.12,29.69,30.44,31.09,32.81,35.59,37.75,38.75,39.78,42.38,44.09,43.94,43.72,44.78,45.97,45.53,44.16,43.56,43.5,41.88,39.75,38.75,39.56,40.09,39.94,40.09,41.47,42.66,41.97,41.28,41.41,42.12,41.75,40.59,40.59,41.34,41.09,39.62,39.03,39.94,40.31,39.62,39.22,40.44,41.59,41.31,40.84,42.03,43.72,44.38,44.41,45.34,47.16,46.94,45.0,43.28,42.31,40.62,37.78,35.41,34.53,34.19,32.69,31.12,31.59,33.16,33.75,34.03,35.28,37.81,39.59,39.94,40.75,43.09,44.28,43.72,42.53,42.41,42.44,41.19,39.66,39.84,40.81,40.69,39.31,38.22,37.75,36.25,33.41,31.19,31.09,31.28,30.81,30.56,32.44,34.78,36.0,36.53,37.94,39.44,39.75,38.5,37.84,38.06,38.38,37.69,37.56,39.22,40.78,40.59,39.88,40.31,40.62,39.53,37.28,35.56,35.22,33.91,31.94,30.84,31.38,31.41,30.81,30.25,31.59,33.75,34.28,34.38,35.88,37.84,38.41,38.47,39.44,41.12,42.12,41.62,40.62,40.69,39.88,37.22,34.69,34.09,34.12,33.5,32.75,33.56,34.69,34.81,34.25,34.44,35.56,36.16,35.12,33.88,34.06,33.91,32.41,31.31,32.06,33.81,34.81,35.22,36.69,38.56,39.62,39.72,40.41,42.69,44.72,44.62,44.38,44.81,44.62,42.78,40.94,40.72,41.66,42.06,41.81,42.0,42.91,42.59,40.25,38.03,36.97,36.09,34.0,32.22,32.75,33.78,33.38,32.78,33.78,35.28,36.12,36.03,36.62,38.34,39.19,38.19,37.38,37.62,37.66,36.06,34.72,34.69,34.56,32.75,30.25,29.28,29.81,30.16,29.81,31.06,33.22,35.06,35.19,36.28,38.66,40.84,41.44,41.47,42.66,44.31,44.75,44.44,45.0,46.09,45.91,44.06,42.97,42.72,41.66,38.5,35.5,34.16,32.97,31.59,30.66,31.88,34.25,35.84,36.69,38.09,40.06,40.94,39.97,39.28,39.53,39.81,38.28,36.59,36.56,36.38,35.12,33.47,33.81,35.19,36.5,36.5,37.75,39.38,40.0,38.62,38.09,38.28,38.53,36.78,34.22,32.94,31.62,29.5,27.34,27.28,28.78,30.38,30.94,32.62,35.5,37.25,37.03,37.28,38.41,39.38,38.53,37.38,37.34,37.5,36.12,33.19,31.56,30.31,28.59,25.75,24.44,25.16,25.91,25.31,25.84,28.25,31.53,33.28,34.72,36.44,38.03,37.12,34.72,32.84,31.81,29.66,26.91,25.03,25.5,26.66,26.94,27.66,29.31,31.22,30.72,29.53,29.44,30.06,29.94,28.94,29.47,31.19,33.22,33.5,34.47,36.41,37.62,36.12,34.28,33.34,33.03,31.62,30.19,29.91,30.69,30.19,28.25,27.34,27.72,28.09,27.38,27.72,29.56,31.94,32.5,33.16,34.56,36.56,36.72,36.28,36.47,37.91,38.56,38.06,37.88,38.94,39.66,37.69,35.91,35.88,36.34,35.34,34.66,35.12,36.25,35.12,32.84,31.0,30.16,29.41,27.81,27.53,29.25,31.06,30.97,30.62,31.28,32.0,30.81,29.56,29.97,31.47,31.91,31.5,31.5,32.66,33.09,31.88,31.28,32.66,34.5,34.84,35.59,37.78,40.03,40.31,39.09,38.34,38.56,37.12,34.31,32.5,32.53,32.44,31.03,30.62,32.31,34.16,34.72,35.28,37.16,39.81,40.66,40.25,40.19,40.53,39.53,36.97,34.75,33.94,33.16,30.97,29.88,31.06,33.66,34.84,35.25,36.62,38.03,37.31,35.03,33.62,33.16,31.94,29.47,27.66,28.16,29.0,28.59,28.69,30.81,33.81,35.84,37.44,40.12,43.75,45.0,44.0,42.91,41.62,38.34,33.28,28.72,26.34,25.16,23.91,23.81,25.81,29.12,30.75,31.81,34.41,37.84,40.28,41.28,42.38,44.19,45.38,44.56,43.5,44.25,44.44,43.09,41.12,40.25,40.12,38.5,36.28,34.59,33.97,32.5,29.84,28.44,28.97,30.31,30.97,32.06,34.72,37.5,37.53,36.75,36.28,36.34,34.91,32.91,31.59,32.12,32.0,31.41,31.22,33.28,35.25,35.31,34.44,34.56,34.22,32.06,29.31,27.62,27.69,26.88,26.0,26.16,28.34,30.06,30.12,30.22,31.81,33.31,32.81,31.5,31.03,30.78,28.91,26.84,26.56,28.28,29.31,29.34,29.91,31.91,33.22,33.12,32.72,33.94,34.97,34.97,34.69,36.16,38.59,39.53,39.38,40.31,41.94,42.12,40.97,39.88,40.38,40.28,38.59,36.72,36.72,37.06,36.0,35.19,36.06,38.38,39.88,40.88,42.44,45.03,46.34,45.34,43.88,43.38,42.53,39.84,37.25,36.88,37.28,36.06,34.0,32.91,32.28,30.91,28.97,28.66,30.91,33.12,34.91,36.94,40.41,43.22,43.91,43.22,43.62,43.91,42.66,40.09,38.81,37.81,36.09,32.81,31.0,31.03,30.88,29.97,29.72,31.56,33.53,34.41,34.41,35.91,37.72,38.53,37.66,37.91,39.03,39.06,37.06,35.72,36.12,35.62,34.03,32.12,32.09,31.97,30.59,28.78,28.12,27.97,26.81,25.03,24.94,26.81,28.25,29.25,30.31,32.94,34.38,34.44,33.81,34.25,34.72,33.62,31.72,30.88,30.94,30.53,29.56,29.72,31.19,31.91,30.88,30.19,31.28,31.91,31.72,31.25,32.25,33.88,34.53,34.34,35.09,36.44,36.84,35.78,35.66,36.59,36.88,35.19,33.19,32.56,31.69,29.5,27.38,27.28,27.97,27.81,27.03,27.75,29.34,30.5,30.16,30.44,32.25,33.88,33.53,33.72,35.53,37.34,37.34,36.91,38.16,39.59,39.59,38.12,37.19,36.91,35.53,32.69,30.75,30.59,30.56,28.88,27.75,27.94,28.12,27.16,25.09,24.41,24.81,24.34,22.97,23.47,25.69,28.03,29.28,31.28,34.78,38.0,38.88,39.16,40.22,40.91,39.34,36.88,36.12,36.09,35.94,34.88,34.47,35.16,35.41,33.69,32.66,33.53,34.94,34.91,34.81,36.56,38.66,39.53,38.91,39.5,41.03,41.75,41.38,41.75,43.28,44.25,42.88,41.38,41.44,41.44,40.44,39.06,39.47,40.88,40.75,39.34,38.34,37.47,36.0,32.81,31.09,32.0,34.03,34.78,35.59,37.75,39.16,38.47,37.25,36.97,37.94,38.69,38.91,40.0,42.06,42.22,39.69,36.31,34.19,32.53,35.94,36.16,36.25,36.28,37.19,38.28,39.47,41.25,44.03,46.53,47.94,48.19,47.81,46.84,45.22,42.91,41.06,39.97,39.12,38.28,38.53:33.12,33.72,32.75,31.69,32.31,32.91,32.75,32.62,34.72,37.62,38.84,38.38,38.88,39.66,39.31,37.56,37.03,37.84,38.28,36.94,35.16,34.78,33.88,31.97,30.06,30.38,32.0,32.59,33.25,35.09,38.31,41.12,43.31,46.22,50.56,53.72,54.44,53.66,53.12,51.22,47.62,42.91,39.91,38.75,37.0,34.66,33.53,33.5,32.31,29.75,27.56,26.69,26.09,24.31,23.03,24.81,27.5,30.03,32.16,35.34,39.16,41.72,42.31,43.69,45.94,46.72,45.66,44.44,44.84,44.75,42.94,41.06,40.62,40.53,39.09,36.91,36.19,36.5,36.03,34.5,33.84,33.94,33.97,31.91,30.09,30.0,29.94,28.53,26.97,26.66,27.16,26.94,25.75,26.09,27.91,28.69,28.12,27.66,28.47,28.78,26.97,25.38,25.12,25.34,24.56,24.19,25.78,28.16,29.81,30.28,31.25,33.16,34.22,34.0,34.25,36.38,37.94,37.75,37.53,38.28,39.06,38.31,36.62,36.06,35.66,34.59,32.91,32.72,33.78,34.91,35.16,36.0,38.34,40.47,41.41,41.47,42.66,43.66,43.34,41.84,41.47,41.62,40.84,38.25,36.53,35.81,35.0,32.22,29.66,28.81,28.25,26.69,26.0,27.34,30.31,32.25,33.44,35.41,38.06,39.28,39.06,39.53,41.81,44.38,45.62,47.38,50.0,51.84,50.56,47.81,45.78,44.16,41.78,39.56,38.56,38.59,37.88,35.88,33.91,33.28,32.94,31.41,30.25,30.88,32.19,32.16,32.12,33.78,36.59,38.88,40.53,42.94,46.12,48.09,47.47,47.09,47.41,47.25,45.09,42.81,41.59,40.84,38.88,36.5,35.56,35.38,34.12,32.25,31.59,32.41,33.31,32.38,32.0,32.75,33.12,31.84,30.34,30.03,30.5,30.22,30.22,31.75,34.88,36.94,37.59,37.97,38.81,38.94,37.19,35.75,35.72,36.12,34.72,33.28,32.84,33.25,32.62,31.91,32.5,34.84,36.62,36.94,37.62,39.09,40.16,38.88,37.84,38.03,38.81,37.94,37.06,37.75,39.34,39.94,39.5,39.78,40.94,41.78,40.69,40.25,40.53,40.56,38.69,36.91,36.5,37.09,36.44,35.66,36.25,37.66,37.97,36.88,36.06,36.22,35.91,34.47,34.0,35.09,36.47,36.31,35.97,36.56,38.31,38.44,38.44,39.47,41.78,43.28,43.69,45.09,47.72,49.31,48.72,47.81,48.0,48.19,46.75,45.19,45.16,45.59,44.66,42.66,41.19,40.72,39.25,36.31,34.12,34.06,33.97,32.69,31.59,31.75,32.22,31.34,30.31,31.09,33.0,34.38,35.19,36.66,39.5,41.62,42.22,42.75,44.69,46.19,46.03,44.94,44.53,43.97,41.31,38.47,36.78,36.78,36.72,36.16,36.44,37.69,37.88,36.16,34.12,33.16,31.97,30.03,28.0,28.12,29.69,30.44,31.09,32.81,35.59,37.75,38.75,39.78,42.38,44.09,43.94,43.72,44.78,45.97,45.53,44.16,43.56,43.5,41.88,39.75,38.75,39.56,40.09,39.94,40.09,41.47,42.66,41.97,41.28,41.41,42.12,41.75,40.59,40.59,41.34,41.09,39.62,39.03,39.94,40.31,39.62,39.22,40.44,41.59,41.31,40.84,42.03,43.72,44.38,44.41,45.34,47.16,46.94,45.0,43.28,42.31,40.62,37.78,35.41,34.53,34.19,32.69,31.12,31.59,33.16,33.75,34.03,35.28,37.81,39.59,39.94,40.75,43.09,44.28,43.72,42.53,42.41,42.44,41.19,39.66,39.84,40.81,40.69,39.31,38.22,37.75,36.25,33.41,31.19,31.09,31.28,30.81,30.56,32.44,34.78,36.0,36.53,37.94,39.44,39.75,38.5,37.84,38.06,38.38,37.69,37.56,39.22,40.78,40.59,39.88,40.31,40.62,39.53,37.28,35.56,35.22,33.91,31.94,30.84,31.38,31.41,30.81,30.25,31.59,33.75,34.28,34.38,35.88,37.84,38.41,38.47,39.44,41.12,42.12,41.62,40.62,40.69,39.88,37.22,34.69,34.09,34.12,33.5,32.75,33.56,34.69,34.81,34.25,34.44,35.56,36.16,35.12,33.88,34.06,33.91,32.41,31.31,32.06,33.81,34.81,35.22,36.69,38.56,39.62,39.72,40.41,42.69,44.72,44.62,44.38,44.81,44.62,42.78,40.94,40.72,41.66,42.06,41.81,42.0,42.91,42.59,40.25,38.03,36.97,36.09,34.0,32.22,32.75,33.78,33.38,32.78,33.78,35.28,36.12,36.03,36.62,38.34,39.19,38.19,37.38,37.62,37.66,36.06,34.72,34.69,34.56,32.75,30.25,29.28,29.81,30.16,29.81,31.06,33.22,35.06,35.19,36.28,38.66,40.84,41.44,41.47,42.66,44.31,44.75,44.44,45.0,46.09,45.91,44.06,42.97,42.72,41.66,38.5,35.5,34.16,32.97,31.59,30.66,31.88,34.25,35.84,36.69,38.09,40.06,40.94,39.97,39.28,39.53,39.81,38.28,36.59,36.56,36.38,35.12,33.47,33.81,35.19,36.5,36.5,37.75,39.38,40.0,38.62,38.09,38.28,38.53,36.78,34.22,32.94,31.62,29.5,27.34,27.28,28.78,30.38,30.94,32.62,35.5,37.25,37.03,37.28,38.41,39.38,38.53,37.38,37.34,37.5,36.12,33.19,31.56,30.31,28.59,25.75,24.44,25.16,25.91,25.31,25.84,28.25,31.53,33.28,34.72,36.44,38.03,37.12,34.72,32.84,31.81,29.66,26.91,25.03,25.5,26.66,26.94,27.66,29.31,31.22,30.72,29.53,29.44,30.06,29.94,28.94,29.47,31.19,33.22,33.5,34.47,36.41,37.62,36.12,34.28,33.34,33.03,31.62,30.19,29.91,30.69,30.19,28.25,27.34,27.72,28.09,27.38,27.72,29.56,31.94,32.5,33.16,34.56,36.56,36.72,36.28,36.47,37.91,38.56,38.06,37.88,38.94,39.66,37.69,35.91,35.88,36.34,35.34,34.66,35.12,36.25,35.12,32.84,31.0,30.16,29.41,27.81,27.53,29.25,31.06,30.97,30.62,31.28,32.0,30.81,29.56,29.97,31.47,31.91,31.5,31.5,32.66,33.09,31.88,31.28,32.66,34.5,34.84,35.59,37.78,40.03,40.31,39.09,38.34,38.56,37.12,34.31,32.5,32.53,32.44,31.03,30.62,32.31,34.16,34.72,35.28,37.16,39.81,40.66,40.25,40.19,40.53,39.53,36.97,34.75,33.94,33.16,30.97,29.88,31.06,33.66,34.84,35.25,36.62,38.03,37.31,35.03,33.62,33.16,31.94,29.47,27.66,28.16,29.0,28.59,28.69,30.81,33.81,35.84,37.44,40.12,43.75,45.0,44.0,42.91,41.62,38.34,33.28,28.72,26.34,25.16,23.91,23.81,25.81,29.12,30.75,31.81,34.41,37.84,40.28,41.28,42.38,44.19,45.38,44.56,43.5,44.25,44.44,43.09,41.12,40.25,40.12,38.5,36.28,34.59,33.97,32.5,29.84,28.44,28.97,30.31,30.97,32.06,34.72,37.5,37.53,36.75,36.28,36.34,34.91,32.91,31.59,32.12,32.0,31.41,31.22,33.28,35.25,35.31,34.44,34.56,34.22,32.06,29.31,27.62,27.69,26.88,26.0,26.16,28.34,30.06,30.12,30.22,31.81,33.31,32.81,31.5,31.03,30.78,28.91,26.84,26.56,28.28,29.31,29.34,29.91,31.91,33.22,33.12,32.72,33.94,34.97,34.97,34.69,36.16,38.59,39.53,39.38,40.31,41.94,42.12,40.97,39.88,40.38,40.28,38.59,36.72,36.72,37.06,36.0,35.19,36.06,38.38,39.88,40.88,42.44,45.03,46.34,45.34,43.88,43.38,42.53,39.84,37.25,36.88,37.28,36.06,34.0,32.91,32.28,30.91,28.97,28.66,30.91,33.12,34.91,36.94,40.41,43.22,43.91,43.22,43.62,43.91,42.66,40.09,38.81,37.81,36.09,32.81,31.0,31.03,30.88,29.97,29.72,31.56,33.53,34.41,34.41,35.91,37.72,38.53,37.66,37.91,39.03,39.06,37.06,35.72,36.12,35.62,34.03,32.12,32.09,31.97,30.59,28.78,28.12,27.97,26.81,25.03,24.94,26.81,28.25,29.25,30.31,32.94,34.38,34.44,33.81,34.25,34.72,33.62,31.72,30.88,30.94,30.53,29.56,29.72,31.19,31.91,30.88,30.19,31.28,31.91,31.72,31.25,32.25,33.88,34.53,34.34,35.09,36.44,36.84,35.78,35.66,36.59,36.88,35.19,33.19,32.56,31.69,29.5,27.38,27.28,27.97,27.81,27.03,27.75,29.34,30.5,30.16,30.44,32.25,33.88,33.53,33.72,35.53,37.34,37.34,36.91,38.16,39.59,39.59,38.12,37.19,36.91,35.53,32.69,30.75,30.59,30.56,28.88,27.75,27.94,28.12,27.16,25.09,24.41,24.81,24.34,22.97,23.47,25.69,28.03,29.28,31.28,34.78,38.0,38.88,39.16,40.22,40.91,39.34,36.88,36.12,36.09,35.94,34.88,34.47,35.16,35.41,33.69,32.66,33.53,34.94,34.91,34.81,36.56,38.66,39.53,38.91,39.5,41.03,41.75,41.38,41.75,43.28,44.25,42.88,41.38,41.44,41.44,40.44,39.06,39.47,40.88,40.75,39.34,38.34,37.47,36.0,32.81,31.09,32.0,34.03,34.78,35.59,37.75,39.16,38.47,37.25,36.97,37.94,38.69,38.91,40.0,42.06,42.22,39.69,36.31,34.19,32.53,35.94,36.16,36.25,36.28,37.19,38.28,39.47,41.25,44.03,46.53,47.94,48.19,47.81,46.84,45.22,42.91,41.06,39.97,39.12,38.28,38.53,39.53,40.44,41.06,41.53,41.84,41.94,41.91:32.62,34.72,37.62,38.84,38.38,38.88,39.66,39.31,37.56,37.03,37.84,38.28,36.94,35.16,34.78,33.88,31.97,30.06,30.38,32.0,32.59,33.25,35.09,38.31,41.12,43.31,46.22,50.56,53.72,54.44,53.66,53.12,51.22,47.62,42.91,39.91,38.75,37.0,34.66,33.53,33.5,32.31,29.75,27.56,26.69,26.09,24.31,23.03,24.81,27.5,30.03,32.16,35.34,39.16,41.72,42.31,43.69,45.94,46.72,45.66,44.44,44.84,44.75,42.94,41.06,40.62,40.53,39.09,36.91,36.19,36.5,36.03,34.5,33.84,33.94,33.97,31.91,30.09,30.0,29.94,28.53,26.97,26.66,27.16,26.94,25.75,26.09,27.91,28.69,28.12,27.66,28.47,28.78,26.97,25.38,25.12,25.34,24.56,24.19,25.78,28.16,29.81,30.28,31.25,33.16,34.22,34.0,34.25,36.38,37.94,37.75,37.53,38.28,39.06,38.31,36.62,36.06,35.66,34.59,32.91,32.72,33.78,34.91,35.16,36.0,38.34,40.47,41.41,41.47,42.66,43.66,43.34,41.84,41.47,41.62,40.84,38.25,36.53,35.81,35.0,32.22,29.66,28.81,28.25,26.69,26.0,27.34,30.31,32.25,33.44,35.41,38.06,39.28,39.06,39.53,41.81,44.38,45.62,47.38,50.0,51.84,50.56,47.81,45.78,44.16,41.78,39.56,38.56,38.59,37.88,35.88,33.91,33.28,32.94,31.41,30.25,30.88,32.19,32.16,32.12,33.78,36.59,38.88,40.53,42.94,46.12,48.09,47.47,47.09,47.41,47.25,45.09,42.81,41.59,40.84,38.88,36.5,35.56,35.38,34.12,32.25,31.59,32.41,33.31,32.38,32.0,32.75,33.12,31.84,30.34,30.03,30.5,30.22,30.22,31.75,34.88,36.94,37.59,37.97,38.81,38.94,37.19,35.75,35.72,36.12,34.72,33.28,32.84,33.25,32.62,31.91,32.5,34.84,36.62,36.94,37.62,39.09,40.16,38.88,37.84,38.03,38.81,37.94,37.06,37.75,39.34,39.94,39.5,39.78,40.94,41.78,40.69,40.25,40.53,40.56,38.69,36.91,36.5,37.09,36.44,35.66,36.25,37.66,37.97,36.88,36.06,36.22,35.91,34.47,34.0,35.09,36.47,36.31,35.97,36.56,38.31,38.44,38.44,39.47,41.78,43.28,43.69,45.09,47.72,49.31,48.72,47.81,48.0,48.19,46.75,45.19,45.16,45.59,44.66,42.66,41.19,40.72,39.25,36.31,34.12,34.06,33.97,32.69,31.59,31.75,32.22,31.34,30.31,31.09,33.0,34.38,35.19,36.66,39.5,41.62,42.22,42.75,44.69,46.19,46.03,44.94,44.53,43.97,41.31,38.47,36.78,36.78,36.72,36.16,36.44,37.69,37.88,36.16,34.12,33.16,31.97,30.03,28.0,28.12,29.69,30.44,31.09,32.81,35.59,37.75,38.75,39.78,42.38,44.09,43.94,43.72,44.78,45.97,45.53,44.16,43.56,43.5,41.88,39.75,38.75,39.56,40.09,39.94,40.09,41.47,42.66,41.97,41.28,41.41,42.12,41.75,40.59,40.59,41.34,41.09,39.62,39.03,39.94,40.31,39.62,39.22,40.44,41.59,41.31,40.84,42.03,43.72,44.38,44.41,45.34,47.16,46.94,45.0,43.28,42.31,40.62,37.78,35.41,34.53,34.19,32.69,31.12,31.59,33.16,33.75,34.03,35.28,37.81,39.59,39.94,40.75,43.09,44.28,43.72,42.53,42.41,42.44,41.19,39.66,39.84,40.81,40.69,39.31,38.22,37.75,36.25,33.41,31.19,31.09,31.28,30.81,30.56,32.44,34.78,36.0,36.53,37.94,39.44,39.75,38.5,37.84,38.06,38.38,37.69,37.56,39.22,40.78,40.59,39.88,40.31,40.62,39.53,37.28,35.56,35.22,33.91,31.94,30.84,31.38,31.41,30.81,30.25,31.59,33.75,34.28,34.38,35.88,37.84,38.41,38.47,39.44,41.12,42.12,41.62,40.62,40.69,39.88,37.22,34.69,34.09,34.12,33.5,32.75,33.56,34.69,34.81,34.25,34.44,35.56,36.16,35.12,33.88,34.06,33.91,32.41,31.31,32.06,33.81,34.81,35.22,36.69,38.56,39.62,39.72,40.41,42.69,44.72,44.62,44.38,44.81,44.62,42.78,40.94,40.72,41.66,42.06,41.81,42.0,42.91,42.59,40.25,38.03,36.97,36.09,34.0,32.22,32.75,33.78,33.38,32.78,33.78,35.28,36.12,36.03,36.62,38.34,39.19,38.19,37.38,37.62,37.66,36.06,34.72,34.69,34.56,32.75,30.25,29.28,29.81,30.16,29.81,31.06,33.22,35.06,35.19,36.28,38.66,40.84,41.44,41.47,42.66,44.31,44.75,44.44,45.0,46.09,45.91,44.06,42.97,42.72,41.66,38.5,35.5,34.16,32.97,31.59,30.66,31.88,34.25,35.84,36.69,38.09,40.06,40.94,39.97,39.28,39.53,39.81,38.28,36.59,36.56,36.38,35.12,33.47,33.81,35.19,36.5,36.5,37.75,39.38,40.0,38.62,38.09,38.28,38.53,36.78,34.22,32.94,31.62,29.5,27.34,27.28,28.78,30.38,30.94,32.62,35.5,37.25,37.03,37.28,38.41,39.38,38.53,37.38,37.34,37.5,36.12,33.19,31.56,30.31,28.59,25.75,24.44,25.16,25.91,25.31,25.84,28.25,31.53,33.28,34.72,36.44,38.03,37.12,34.72,32.84,31.81,29.66,26.91,25.03,25.5,26.66,26.94,27.66,29.31,31.22,30.72,29.53,29.44,30.06,29.94,28.94,29.47,31.19,33.22,33.5,34.47,36.41,37.62,36.12,34.28,33.34,33.03,31.62,30.19,29.91,30.69,30.19,28.25,27.34,27.72,28.09,27.38,27.72,29.56,31.94,32.5,33.16,34.56,36.56,36.72,36.28,36.47,37.91,38.56,38.06,37.88,38.94,39.66,37.69,35.91,35.88,36.34,35.34,34.66,35.12,36.25,35.12,32.84,31.0,30.16,29.41,27.81,27.53,29.25,31.06,30.97,30.62,31.28,32.0,30.81,29.56,29.97,31.47,31.91,31.5,31.5,32.66,33.09,31.88,31.28,32.66,34.5,34.84,35.59,37.78,40.03,40.31,39.09,38.34,38.56,37.12,34.31,32.5,32.53,32.44,31.03,30.62,32.31,34.16,34.72,35.28,37.16,39.81,40.66,40.25,40.19,40.53,39.53,36.97,34.75,33.94,33.16,30.97,29.88,31.06,33.66,34.84,35.25,36.62,38.03,37.31,35.03,33.62,33.16,31.94,29.47,27.66,28.16,29.0,28.59,28.69,30.81,33.81,35.84,37.44,40.12,43.75,45.0,44.0,42.91,41.62,38.34,33.28,28.72,26.34,25.16,23.91,23.81,25.81,29.12,30.75,31.81,34.41,37.84,40.28,41.28,42.38,44.19,45.38,44.56,43.5,44.25,44.44,43.09,41.12,40.25,40.12,38.5,36.28,34.59,33.97,32.5,29.84,28.44,28.97,30.31,30.97,32.06,34.72,37.5,37.53,36.75,36.28,36.34,34.91,32.91,31.59,32.12,32.0,31.41,31.22,33.28,35.25,35.31,34.44,34.56,34.22,32.06,29.31,27.62,27.69,26.88,26.0,26.16,28.34,30.06,30.12,30.22,31.81,33.31,32.81,31.5,31.03,30.78,28.91,26.84,26.56,28.28,29.31,29.34,29.91,31.91,33.22,33.12,32.72,33.94,34.97,34.97,34.69,36.16,38.59,39.53,39.38,40.31,41.94,42.12,40.97,39.88,40.38,40.28,38.59,36.72,36.72,37.06,36.0,35.19,36.06,38.38,39.88,40.88,42.44,45.03,46.34,45.34,43.88,43.38,42.53,39.84,37.25,36.88,37.28,36.06,34.0,32.91,32.28,30.91,28.97,28.66,30.91,33.12,34.91,36.94,40.41,43.22,43.91,43.22,43.62,43.91,42.66,40.09,38.81,37.81,36.09,32.81,31.0,31.03,30.88,29.97,29.72,31.56,33.53,34.41,34.41,35.91,37.72,38.53,37.66,37.91,39.03,39.06,37.06,35.72,36.12,35.62,34.03,32.12,32.09,31.97,30.59,28.78,28.12,27.97,26.81,25.03,24.94,26.81,28.25,29.25,30.31,32.94,34.38,34.44,33.81,34.25,34.72,33.62,31.72,30.88,30.94,30.53,29.56,29.72,31.19,31.91,30.88,30.19,31.28,31.91,31.72,31.25,32.25,33.88,34.53,34.34,35.09,36.44,36.84,35.78,35.66,36.59,36.88,35.19,33.19,32.56,31.69,29.5,27.38,27.28,27.97,27.81,27.03,27.75,29.34,30.5,30.16,30.44,32.25,33.88,33.53,33.72,35.53,37.34,37.34,36.91,38.16,39.59,39.59,38.12,37.19,36.91,35.53,32.69,30.75,30.59,30.56,28.88,27.75,27.94,28.12,27.16,25.09,24.41,24.81,24.34,22.97,23.47,25.69,28.03,29.28,31.28,34.78,38.0,38.88,39.16,40.22,40.91,39.34,36.88,36.12,36.09,35.94,34.88,34.47,35.16,35.41,33.69,32.66,33.53,34.94,34.91,34.81,36.56,38.66,39.53,38.91,39.5,41.03,41.75,41.38,41.75,43.28,44.25,42.88,41.38,41.44,41.44,40.44,39.06,39.47,40.88,40.75,39.34,38.34,37.47,36.0,32.81,31.09,32.0,34.03,34.78,35.59,37.75,39.16,38.47,37.25,36.97,37.94,38.69,38.91,40.0,42.06,42.22,39.69,36.31,34.19,32.53,35.94,36.16,36.25,36.28,37.19,38.28,39.47,41.25,44.03,46.53,47.94,48.19,47.81,46.84,45.22,42.91,41.06,39.97,39.12,38.28,38.53,39.53,40.44,41.06,41.53,41.84,41.94,41.91,41.75,41.69,41.88,41.66,41.0,40.62,40.84:39.31,37.56,37.03,37.84,38.28,36.94,35.16,34.78,33.88,31.97,30.06,30.38,32.0,32.59,33.25,35.09,38.31,41.12,43.31,46.22,50.56,53.72,54.44,53.66,53.12,51.22,47.62,42.91,39.91,38.75,37.0,34.66,33.53,33.5,32.31,29.75,27.56,26.69,26.09,24.31,23.03,24.81,27.5,30.03,32.16,35.34,39.16,41.72,42.31,43.69,45.94,46.72,45.66,44.44,44.84,44.75,42.94,41.06,40.62,40.53,39.09,36.91,36.19,36.5,36.03,34.5,33.84,33.94,33.97,31.91,30.09,30.0,29.94,28.53,26.97,26.66,27.16,26.94,25.75,26.09,27.91,28.69,28.12,27.66,28.47,28.78,26.97,25.38,25.12,25.34,24.56,24.19,25.78,28.16,29.81,30.28,31.25,33.16,34.22,34.0,34.25,36.38,37.94,37.75,37.53,38.28,39.06,38.31,36.62,36.06,35.66,34.59,32.91,32.72,33.78,34.91,35.16,36.0,38.34,40.47,41.41,41.47,42.66,43.66,43.34,41.84,41.47,41.62,40.84,38.25,36.53,35.81,35.0,32.22,29.66,28.81,28.25,26.69,26.0,27.34,30.31,32.25,33.44,35.41,38.06,39.28,39.06,39.53,41.81,44.38,45.62,47.38,50.0,51.84,50.56,47.81,45.78,44.16,41.78,39.56,38.56,38.59,37.88,35.88,33.91,33.28,32.94,31.41,30.25,30.88,32.19,32.16,32.12,33.78,36.59,38.88,40.53,42.94,46.12,48.09,47.47,47.09,47.41,47.25,45.09,42.81,41.59,40.84,38.88,36.5,35.56,35.38,34.12,32.25,31.59,32.41,33.31,32.38,32.0,32.75,33.12,31.84,30.34,30.03,30.5,30.22,30.22,31.75,34.88,36.94,37.59,37.97,38.81,38.94,37.19,35.75,35.72,36.12,34.72,33.28,32.84,33.25,32.62,31.91,32.5,34.84,36.62,36.94,37.62,39.09,40.16,38.88,37.84,38.03,38.81,37.94,37.06,37.75,39.34,39.94,39.5,39.78,40.94,41.78,40.69,40.25,40.53,40.56,38.69,36.91,36.5,37.09,36.44,35.66,36.25,37.66,37.97,36.88,36.06,36.22,35.91,34.47,34.0,35.09,36.47,36.31,35.97,36.56,38.31,38.44,38.44,39.47,41.78,43.28,43.69,45.09,47.72,49.31,48.72,47.81,48.0,48.19,46.75,45.19,45.16,45.59,44.66,42.66,41.19,40.72,39.25,36.31,34.12,34.06,33.97,32.69,31.59,31.75,32.22,31.34,30.31,31.09,33.0,34.38,35.19,36.66,39.5,41.62,42.22,42.75,44.69,46.19,46.03,44.94,44.53,43.97,41.31,38.47,36.78,36.78,36.72,36.16,36.44,37.69,37.88,36.16,34.12,33.16,31.97,30.03,28.0,28.12,29.69,30.44,31.09,32.81,35.59,37.75,38.75,39.78,42.38,44.09,43.94,43.72,44.78,45.97,45.53,44.16,43.56,43.5,41.88,39.75,38.75,39.56,40.09,39.94,40.09,41.47,42.66,41.97,41.28,41.41,42.12,41.75,40.59,40.59,41.34,41.09,39.62,39.03,39.94,40.31,39.62,39.22,40.44,41.59,41.31,40.84,42.03,43.72,44.38,44.41,45.34,47.16,46.94,45.0,43.28,42.31,40.62,37.78,35.41,34.53,34.19,32.69,31.12,31.59,33.16,33.75,34.03,35.28,37.81,39.59,39.94,40.75,43.09,44.28,43.72,42.53,42.41,42.44,41.19,39.66,39.84,40.81,40.69,39.31,38.22,37.75,36.25,33.41,31.19,31.09,31.28,30.81,30.56,32.44,34.78,36.0,36.53,37.94,39.44,39.75,38.5,37.84,38.06,38.38,37.69,37.56,39.22,40.78,40.59,39.88,40.31,40.62,39.53,37.28,35.56,35.22,33.91,31.94,30.84,31.38,31.41,30.81,30.25,31.59,33.75,34.28,34.38,35.88,37.84,38.41,38.47,39.44,41.12,42.12,41.62,40.62,40.69,39.88,37.22,34.69,34.09,34.12,33.5,32.75,33.56,34.69,34.81,34.25,34.44,35.56,36.16,35.12,33.88,34.06,33.91,32.41,31.31,32.06,33.81,34.81,35.22,36.69,38.56,39.62,39.72,40.41,42.69,44.72,44.62,44.38,44.81,44.62,42.78,40.94,40.72,41.66,42.06,41.81,42.0,42.91,42.59,40.25,38.03,36.97,36.09,34.0,32.22,32.75,33.78,33.38,32.78,33.78,35.28,36.12,36.03,36.62,38.34,39.19,38.19,37.38,37.62,37.66,36.06,34.72,34.69,34.56,32.75,30.25,29.28,29.81,30.16,29.81,31.06,33.22,35.06,35.19,36.28,38.66,40.84,41.44,41.47,42.66,44.31,44.75,44.44,45.0,46.09,45.91,44.06,42.97,42.72,41.66,38.5,35.5,34.16,32.97,31.59,30.66,31.88,34.25,35.84,36.69,38.09,40.06,40.94,39.97,39.28,39.53,39.81,38.28,36.59,36.56,36.38,35.12,33.47,33.81,35.19,36.5,36.5,37.75,39.38,40.0,38.62,38.09,38.28,38.53,36.78,34.22,32.94,31.62,29.5,27.34,27.28,28.78,30.38,30.94,32.62,35.5,37.25,37.03,37.28,38.41,39.38,38.53,37.38,37.34,37.5,36.12,33.19,31.56,30.31,28.59,25.75,24.44,25.16,25.91,25.31,25.84,28.25,31.53,33.28,34.72,36.44,38.03,37.12,34.72,32.84,31.81,29.66,26.91,25.03,25.5,26.66,26.94,27.66,29.31,31.22,30.72,29.53,29.44,30.06,29.94,28.94,29.47,31.19,33.22,33.5,34.47,36.41,37.62,36.12,34.28,33.34,33.03,31.62,30.19,29.91,30.69,30.19,28.25,27.34,27.72,28.09,27.38,27.72,29.56,31.94,32.5,33.16,34.56,36.56,36.72,36.28,36.47,37.91,38.56,38.06,37.88,38.94,39.66,37.69,35.91,35.88,36.34,35.34,34.66,35.12,36.25,35.12,32.84,31.0,30.16,29.41,27.81,27.53,29.25,31.06,30.97,30.62,31.28,32.0,30.81,29.56,29.97,31.47,31.91,31.5,31.5,32.66,33.09,31.88,31.28,32.66,34.5,34.84,35.59,37.78,40.03,40.31,39.09,38.34,38.56,37.12,34.31,32.5,32.53,32.44,31.03,30.62,32.31,34.16,34.72,35.28,37.16,39.81,40.66,40.25,40.19,40.53,39.53,36.97,34.75,33.94,33.16,30.97,29.88,31.06,33.66,34.84,35.25,36.62,38.03,37.31,35.03,33.62,33.16,31.94,29.47,27.66,28.16,29.0,28.59,28.69,30.81,33.81,35.84,37.44,40.12,43.75,45.0,44.0,42.91,41.62,38.34,33.28,28.72,26.34,25.16,23.91,23.81,25.81,29.12,30.75,31.81,34.41,37.84,40.28,41.28,42.38,44.19,45.38,44.56,43.5,44.25,44.44,43.09,41.12,40.25,40.12,38.5,36.28,34.59,33.97,32.5,29.84,28.44,28.97,30.31,30.97,32.06,34.72,37.5,37.53,36.75,36.28,36.34,34.91,32.91,31.59,32.12,32.0,31.41,31.22,33.28,35.25,35.31,34.44,34.56,34.22,32.06,29.31,27.62,27.69,26.88,26.0,26.16,28.34,30.06,30.12,30.22,31.81,33.31,32.81,31.5,31.03,30.78,28.91,26.84,26.56,28.28,29.31,29.34,29.91,31.91,33.22,33.12,32.72,33.94,34.97,34.97,34.69,36.16,38.59,39.53,39.38,40.31,41.94,42.12,40.97,39.88,40.38,40.28,38.59,36.72,36.72,37.06,36.0,35.19,36.06,38.38,39.88,40.88,42.44,45.03,46.34,45.34,43.88,43.38,42.53,39.84,37.25,36.88,37.28,36.06,34.0,32.91,32.28,30.91,28.97,28.66,30.91,33.12,34.91,36.94,40.41,43.22,43.91,43.22,43.62,43.91,42.66,40.09,38.81,37.81,36.09,32.81,31.0,31.03,30.88,29.97,29.72,31.56,33.53,34.41,34.41,35.91,37.72,38.53,37.66,37.91,39.03,39.06,37.06,35.72,36.12,35.62,34.03,32.12,32.09,31.97,30.59,28.78,28.12,27.97,26.81,25.03,24.94,26.81,28.25,29.25,30.31,32.94,34.38,34.44,33.81,34.25,34.72,33.62,31.72,30.88,30.94,30.53,29.56,29.72,31.19,31.91,30.88,30.19,31.28,31.91,31.72,31.25,32.25,33.88,34.53,34.34,35.09,36.44,36.84,35.78,35.66,36.59,36.88,35.19,33.19,32.56,31.69,29.5,27.38,27.28,27.97,27.81,27.03,27.75,29.34,30.5,30.16,30.44,32.25,33.88,33.53,33.72,35.53,37.34,37.34,36.91,38.16,39.59,39.59,38.12,37.19,36.91,35.53,32.69,30.75,30.59,30.56,28.88,27.75,27.94,28.12,27.16,25.09,24.41,24.81,24.34,22.97,23.47,25.69,28.03,29.28,31.28,34.78,38.0,38.88,39.16,40.22,40.91,39.34,36.88,36.12,36.09,35.94,34.88,34.47,35.16,35.41,33.69,32.66,33.53,34.94,34.91,34.81,36.56,38.66,39.53,38.91,39.5,41.03,41.75,41.38,41.75,43.28,44.25,42.88,41.38,41.44,41.44,40.44,39.06,39.47,40.88,40.75,39.34,38.34,37.47,36.0,32.81,31.09,32.0,34.03,34.78,35.59,37.75,39.16,38.47,37.25,36.97,37.94,38.69,38.91,40.0,42.06,42.22,39.69,36.31,34.19,32.53,35.94,36.16,36.25,36.28,37.19,38.28,39.47,41.25,44.03,46.53,47.94,48.19,47.81,46.84,45.22,42.91,41.06,39.97,39.12,38.28,38.53,39.53,40.44,41.06,41.53,41.84,41.94,41.91,41.75,41.69,41.88,41.66,41.0,40.62,40.84,41.22,41.44,42.16,43.0,43.53,43.66,43.5:negativity
17.34,16.88,17.31,18.84,19.38,18.16,16.75,16.41,15.66,12.94,10.44,9.91,10.16,9.69,9.12,10.0,12.19,13.25,13.62,15.28,18.31,20.56,20.91,21.5,23.0,23.91,22.88,21.75,21.28,21.69,20.62,19.06,18.62,19.31,19.56,19.59,20.34,22.91,24.09,23.41,21.75,20.59,18.97,15.97,13.25,12.53,13.06,12.84,12.31,12.56,14.19,14.94,14.81,15.12,16.53,17.72,17.28,16.81,17.84,19.25,18.59,17.38,17.25,17.41,16.47,15.09,14.75,16.62,18.47,19.69,21.47,24.38,26.03,24.81,22.56,20.66,19.19,16.25,13.38,12.34,12.88,12.81,12.66,13.78,16.25,17.84,18.12,18.41,20.19,21.94,22.16,22.38,23.66,24.97,24.47,22.5,21.0,20.31,18.16,15.66,14.44,15.19,16.16,16.16,16.16,17.44,18.56,17.88,16.38,16.62,17.38,16.72,15.69,15.75,17.22,17.69,17.09,16.84,17.84,18.81,18.59,18.25,19.53,20.59,19.84,18.12,17.72,18.16,17.81,16.56,16.34,17.16,17.12,15.66,14.69,15.16,14.78,12.62,10.47,9.97,9.75,8.56,6.78,6.62,6.91,6.44,5.72,6.34,8.53,10.03,10.56,10.84,12.66,13.78,13.19,12.09,12.28,12.62,11.56,9.62,8.91,9.0,7.94,6.72,6.53,8.03,9.66,10.06,10.69,12.81,14.66,14.91,14.78,16.22,18.0,18.41,18.03,18.75,19.5,18.94,16.56,14.44,13.34,11.94,9.5,7.59,8.03,9.22,9.16,9.19,10.88,12.84,13.25,12.91,13.06,13.84,13.97,12.78,12.19,13.5,14.75,15.06,15.97,18.94,22.28,24.22,24.84,25.69,26.16,24.78,22.47,20.81,20.44,19.81,17.53,15.88,15.56,15.31,14.28,13.47,14.53,15.91,16.12,15.38,16.03,17.34,17.5,16.53,16.03,16.81,17.03,16.12,16.0,17.84,19.62,20.19,20.53,21.97,23.56,23.69,22.75,22.53,22.97,22.41,20.25,19.0,18.84,18.75,17.53,17.28,19.31,21.56,22.59,22.88,24.44,25.72,25.56,24.31,24.12,25.19,25.12,24.0,23.66,24.88,25.72,25.5,25.66,27.47,29.09,29.0,28.16,28.62,29.34,28.78,27.22,26.88,27.16,27.09,25.03,23.62,23.03,22.16,19.31,16.75,16.31,16.94,16.72,16.81,18.47,20.78,21.16,20.41,20.53,21.78,22.91,22.81,23.41,24.88,25.62,24.59,23.47,23.22,23.66,22.91,21.22,20.91,21.47,21.0,19.56,18.31,17.94,16.91,14.78,13.06,13.09,13.81,12.72,11.62,11.69,12.38,11.84,10.72,11.09,12.28,12.56,11.72,11.5,12.38,12.97,12.22,12.25,13.91,15.56,15.78,15.12,15.66,15.62,14.25,12.19,11.25,11.09,10.91,9.75,9.41,10.69,11.69,11.44,11.06,12.44,13.97,14.16,14.0,14.94,16.16,16.16,14.78,14.41,15.09,15.19,14.0,13.38,14.16,14.97,14.0,13.75,14.78,16.5,16.66,16.97,18.44,20.56,21.78,21.5,21.41,21.91,21.38,19.28,17.94,18.44,19.38,19.12,19.16,20.38,21.81,21.59,20.56,20.34,20.56,19.75,17.28,15.28,14.34,13.5,11.59,10.41,10.97,11.56,10.59,9.94,10.38,11.91,12.78,13.56,15.88,18.88,20.88,20.88,20.84,21.19,21.12,20.06,19.34,20.62,22.41,22.56,22.78,23.34,23.75,22.22,19.31,17.44,16.88,16.25,15.56,16.16,17.81,19.5,19.41,19.22,20.44,22.25,22.75,23.09,24.72,27.03,27.53,26.56,25.78,24.91,22.84,19.12,16.47,15.69,16.16,15.34,14.91,15.84,17.06,16.69,16.12,17.56,19.88,21.38,21.75,22.44,23.59,23.62,22.0,20.62,20.69,21.22,20.19,19.59,20.12,22.0,22.44,23.0,24.31,26.06,26.06,24.88,23.38,23.0,22.19,19.91,18.41,18.5,19.38,19.03,18.81,20.16,21.91,21.88,21.12,21.28,22.31,22.19,21.03,20.09,20.06,19.62,17.47,15.66,15.69,16.56,16.22,16.16,17.59,18.91,18.88,17.62,17.28,18.25,18.38,18.19,19.28,21.47,23.78,24.22,23.91,23.88,23.66,20.78,16.91,14.62,13.78,12.56,11.91,13.16,16.31,19.28,21.19,23.75,26.81,29.88,30.78,31.12,32.22,33.38,32.47,30.47,28.66,26.69,23.5,19.41,16.62,15.72,15.66,15.0,15.16,17.0,18.84,18.75,18.5,19.34,21.09,21.41,21.28,21.62,22.72,22.62,21.81,21.84,23.34,24.56,25.06,25.78,27.81,29.69,29.44,28.53,27.56,27.16,25.56,23.41,22.47,22.84,22.47,21.78,22.09,23.69,25.28,25.38,24.47,25.31,26.78,27.09,27.41,29.22,31.06,30.62,28.75,26.91,25.78,23.59,20.53,18.19,17.56,16.53,14.47,12.62,12.47,13.16,13.06,13.56,15.56,18.91,20.62,21.16,21.06,21.19,20.56,18.78,18.5,20.78,24.28,27.34,30.09,33.88,37.31,38.28,38.03,37.81,38.06,36.94,34.72,33.12,32.91,32.84,31.88,31.75,32.97,33.91,33.03,31.91,32.03,32.81,32.81,32.59,32.59,33.72,33.25,31.88,31.06,31.38,31.41,30.0,28.75,28.72,28.88,27.47,25.94,25.91,26.62,26.5,25.53,25.44,25.91,25.12,23.38,21.75,22.03,22.34,21.34,20.66,21.38,22.06,20.47,18.22,16.47,15.06,12.25,8.94,6.69,6.25,5.28,4.25,4.16,6.19,8.53,9.78,11.59,14.94,18.47,20.53,21.97,24.41,26.94,27.91,27.75,27.25,27.28,26.25,23.56,21.25,20.38,19.41,17.22,15.19,14.72,14.88,14.34,13.38,13.47,14.5,14.53,13.94,14.56,17.47,20.19,22.41,24.81,28.34,30.75,31.03,30.25,29.47,29.06,27.28,25.28,25.06,25.56,25.44,24.28,23.59,23.72,23.09,21.66,20.75,21.78,23.25,24.06,24.62,26.59,28.72,29.41,29.16,29.88,31.59,32.31,31.94,31.78,32.72,32.78,31.28,29.62,29.5,28.62,26.66,24.44,24.28,25.44,26.06,27.19,29.5,32.59,34.91,35.59,36.28,37.66,37.72,35.84,33.0,31.44,29.81,27.0,24.19,23.38,23.88,23.97,23.31,24.09,25.97,27.03,27.09,27.16,28.91,30.75,31.12,30.94,31.72,32.12,30.53,28.03,26.69,26.34,25.0,22.91,21.84,22.47,22.91,22.88,23.5,25.69,27.28,27.91,28.12,29.69,31.41,31.84,31.38,31.31,31.72,30.84,28.72,27.0,26.09,24.66,22.19,20.09,19.72,19.94,19.88,20.06,22.81,26.28,28.84,30.44,32.38,34.5,35.12,33.94,32.5,31.75,30.16,27.25,24.53,24.06,24.41,23.69,23.09,23.78,24.69,24.47,23.56,23.28,23.81,23.53,21.88,20.72,21.06,21.31,20.56,20.03,21.41,23.28,24.19,24.06,24.69,25.0,23.88,21.19,19.78,19.09,18.44,16.72,15.84,16.5,17.47,17.16,16.97,18.5,20.03,20.41,19.78,20.12,20.75,20.72,19.97,19.62,20.31,20.56,19.53,18.94,20.25,21.75,22.41,23.03,25.03,27.28,28.38,28.44,29.22,30.16,30.25,29.22,28.97,29.44,29.66,28.25,27.31,27.81,28.44,27.97,26.72,27.12,27.81,27.59,26.34,26.88,28.16,28.47,28.12,28.53,30.03,31.25,30.78,30.34,30.56,30.38,29.19,27.28,27.0,27.47,26.75,25.69,26.06,27.22,27.97,27.31,27.09,27.78,28.16,27.56,27.47,28.53,30.06,29.78,28.91,29.22,29.5,28.78,27.03,26.62,26.88,27.31,26.91,27.25,28.72,29.78,29.5,28.75,29.25,29.84,29.03,28.0,28.28,29.16,29.22,28.88,29.56,30.94,32.06,31.53,30.53,30.25,29.5,27.03,24.34,23.5,23.59,22.38,21.16,21.47,22.75,23.59,23.69,25.09,27.44,28.72,28.62,28.47,29.72,31.53,32.25,32.78,34.0,34.59,33.59,31.16,29.66,29.97,30.19,29.84,30.62,32.5,33.75,33.12,32.44,32.53,33.0,32.09,30.88,31.0,31.81,31.81,31.31,31.62,32.66,32.91,32.03,31.41,31.53,31.88,30.81,29.75,30.22,30.94,30.09,28.38,28.09,27.84,26.53,24.72,24.0,24.47,24.75,24.59,25.66,29.09,32.62,34.53,36.03,37.5,38.16,36.34,33.47,32.25,32.53,32.22,31.12,30.88,31.06,30.34,27.53,25.38,24.5,24.0,22.47,21.56,22.78,24.66,25.38,25.81,27.38,29.09,29.66,29.12,29.19,30.12,30.91,29.97,29.28,29.78,29.88,27.88,26.16,25.25,25.19,23.97,22.0,21.47,21.84,21.47,20.53,20.78,22.09,22.97,22.16,21.16,21.44,21.62,20.47,19.59,20.5,21.81,22.09,21.34,21.69,22.25,21.75,20.38,19.69,20.41,20.75,19.91,19.41,19.91,19.78,18.69,17.38,17.25,17.97,17.88,16.94,17.03,17.66,17.53,15.81,15.0,15.47,15.72,14.69,14.25,15.19,16.44,16.62,16.94,18.66,21.34,22.72,22.75,23.28,24.03,23.66,22.22,21.47,22.16,22.97,22.31,21.72,22.47,23.34,22.84,21.78,21.94,22.88,22.91,22.5,23.41,24.62,24.69,22.75,20.31,19.31,17.66,14.62,12.56,12.19,12.41,11.91,11.69,13.22,16.22,18.88,20.19,21.97,23.97,24.41,22.94,21.5,21.97,22.31,20.97,19.41,18.88,17.75,14.62,10.91,8.59,7.84,7.06:16.41,15.66,12.94,10.44,9.91,10.16,9.69,9.12,10.0,12.19,13.25,13.62,15.28,18.31,20.56,20.91,21.5,23.0,23.91,22.88,21.75,21.28,21.69,20.62,19.06,18.62,19.31,19.56,19.59,20.34,22.91,24.09,23.41,21.75,20.59,18.97,15.97,13.25,12.53,13.06,12.84,12.31,12.56,14.19,14.94,14.81,15.12,16.53,17.72,17.28,16.81,17.84,19.25,18.59,17.38,17.25,17.41,16.47,15.09,14.75,16.62,18.47,19.69,21.47,24.38,26.03,24.81,22.56,20.66,19.19,16.25,13.38,12.34,12.88,12.81,12.66,13.78,16.25,17.84,18.12,18.41,20.19,21.94,22.16,22.38,23.66,24.97,24.47,22.5,21.0,20.31,18.16,15.66,14.44,15.19,16.16,16.16,16.16,17.44,18.56,17.88,16.38,16.62,17.38,16.72,15.69,15.75,17.22,17.69,17.09,16.84,17.84,18.81,18.59,18.25,19.53,20.59,19.84,18.12,17.72,18.16,17.81,16.56,16.34,17.16,17.12,15.66,14.69,15.16,14.78,12.62,10.47,9.97,9.75,8.56,6.78,6.62,6.91,6.44,5.72,6.34,8.53,10.03,10.56,10.84,12.66,13.78,13.19,12.09,12.28,12.62,11.56,9.62,8.91,9.0,7.94,6.72,6.53,8.03,9.66,10.06,10.69,12.81,14.66,14.91,14.78,16.22,18.0,18.41,18.03,18.75,19.5,18.94,16.56,14.44,13.34,11.94,9.5,7.59,8.03,9.22,9.16,9.19,10.88,12.84,13.25,12.91,13.06,13.84,13.97,12.78,12.19,13.5,14.75,15.06,15.97,18.94,22.28,24.22,24.84,25.69,26.16,24.78,22.47,20.81,20.44,19.81,17.53,15.88,15.56,15.31,14.28,13.47,14.53,15.91,16.12,15.38,16.03,17.34,17.5,16.53,16.03,16.81,17.03,16.12,16.0,17.84,19.62,20.19,20.53,21.97,23.56,23.69,22.75,22.53,22.97,22.41,20.25,19.0,18.84,18.75,17.53,17.28,19.31,21.56,22.59,22.88,24.44,25.72,25.56,24.31,24.12,25.19,25.12,24.0,23.66,24.88,25.72,25.5,25.66,27.47,29.09,29.0,28.16,28.62,29.34,28.78,27.22,26.88,27.16,27.09,25.03,23.62,23.03,22.16,19.31,16.75,16.31,16.94,16.72,16.81,18.47,20.78,21.16,20.41,20.53,21.78,22.91,22.81,23.41,24.88,25.62,24.59,23.47,23.22,23.66,22.91,21.22,20.91,21.47,21.0,19.56,18.31,17.94,16.91,14.78,13.06,13.09,13.81,12.72,11.62,11.69,12.38,11.84,10.72,11.09,12.28,12.56,11.72,11.5,12.38,12.97,12.22,12.25,13.91,15.56,15.78,15.12,15.66,15.62,14.25,12.19,11.25,11.09,10.91,9.75,9.41,10.69,11.69,11.44,11.06,12.44,13.97,14.16,14.0,14.94,16.16,16.16,14.78,14.41,15.09,15.19,14.0,13.38,14.16,14.97,14.0,13.75,14.78,16.5,16.66,16.97,18.44,20.56,21.78,21.5,21.41,21.91,21.38,19.28,17.94,18.44,19.38,19.12,19.16,20.38,21.81,21.59,20.56,20.34,20.56,19.75,17.28,15.28,14.34,13.5,11.59,10.41,10.97,11.56,10.59,9.94,10.38,11.91,12.78,13.56,15.88,18.88,20.88,20.88,20.84,21.19,21.12,20.06,19.34,20.62,22.41,22.56,22.78,23.34,23.75,22.22,19.31,17.44,16.88,16.25,15.56,16.16,17.81,19.5,19.41,19.22,20.44,22.25,22.75,23.09,24.72,27.03,27.53,26.56,25.78,24.91,22.84,19.12,16.47,15.69,16.16,15.34,14.91,15.84,17.06,16.69,16.12,17.56,19.88,21.38,21.75,22.44,23.59,23.62,22.0,20.62,20.69,21.22,20.19,19.59,20.12,22.0,22.44,23.0,24.31,26.06,26.06,24.88,23.38,23.0,22.19,19.91,18.41,18.5,19.38,19.03,18.81,20.16,21.91,21.88,21.12,21.28,22.31,22.19,21.03,20.09,20.06,19.62,17.47,15.66,15.69,16.56,16.22,16.16,17.59,18.91,18.88,17.62,17.28,18.25,18.38,18.19,19.28,21.47,23.78,24.22,23.91,23.88,23.66,20.78,16.91,14.62,13.78,12.56,11.91,13.16,16.31,19.28,21.19,23.75,26.81,29.88,30.78,31.12,32.22,33.38,32.47,30.47,28.66,26.69,23.5,19.41,16.62,15.72,15.66,15.0,15.16,17.0,18.84,18.75,18.5,19.34,21.09,21.41,21.28,21.62,22.72,22.62,21.81,21.84,23.34,24.56,25.06,25.78,27.81,29.69,29.44,28.53,27.56,27.16,25.56,23.41,22.47,22.84,22.47,21.78,22.09,23.69,25.28,25.38,24.47,25.31,26.78,27.09,27.41,29.22,31.06,30.62,28.75,26.91,25.78,23.59,20.53,18.19,17.56,16.53,14.47,12.62,12.47,13.16,13.06,13.56,15.56,18.91,20.62,21.16,21.06,21.19,20.56,18.78,18.5,20.78,24.28,27.34,30.09,33.88,37.31,38.28,38.03,37.81,38.06,36.94,34.72,33.12,32.91,32.84,31.88,31.75,32.97,33.91,33.03,31.91,32.03,32.81,32.81,32.59,32.59,33.72,33.25,31.88,31.06,31.38,31.41,30.0,28.75,28.72,28.88,27.47,25.94,25.91,26.62,26.5,25.53,25.44,25.91,25.12,23.38,21.75,22.03,22.34,21.34,20.66,21.38,22.06,20.47,18.22,16.47,15.06,12.25,8.94,6.69,6.25,5.28,4.25,4.16,6.19,8.53,9.78,11.59,14.94,18.47,20.53,21.97,24.41,26.94,27.91,27.75,27.25,27.28,26.25,23.56,21.25,20.38,19.41,17.22,15.19,14.72,14.88,14.34,13.38,13.47,14.5,14.53,13.94,14.56,17.47,20.19,22.41,24.81,28.34,30.75,31.03,30.25,29.47,29.06,27.28,25.28,25.06,25.56,25.44,24.28,23.59,23.72,23.09,21.66,20.75,21.78,23.25,24.06,24.62,26.59,28.72,29.41,29.16,29.88,31.59,32.31,31.94,31.78,32.72,32.78,31.28,29.62,29.5,28.62,26.66,24.44,24.28,25.44,26.06,27.19,29.5,32.59,34.91,35.59,36.28,37.66,37.72,35.84,33.0,31.44,29.81,27.0,24.19,23.38,23.88,23.97,23.31,24.09,25.97,27.03,27.09,27.16,28.91,30.75,31.12,30.94,31.72,32.12,30.53,28.03,26.69,26.34,25.0,22.91,21.84,22.47,22.91,22.88,23.5,25.69,27.28,27.91,28.12,29.69,31.41,31.84,31.38,31.31,31.72,30.84,28.72,27.0,26.09,24.66,22.19,20.09,19.72,19.94,19.88,20.06,22.81,26.28,28.84,30.44,32.38,34.5,35.12,33.94,32.5,31.75,30.16,27.25,24.53,24.06,24.41,23.69,23.09,23.78,24.69,24.47,23.56,23.28,23.81,23.53,21.88,20.72,21.06,21.31,20.56,20.03,21.41,23.28,24.19,24.06,24.69,25.0,23.88,21.19,19.78,19.09,18.44,16.72,15.84,16.5,17.47,17.16,16.97,18.5,20.03,20.41,19.78,20.12,20.75,20.72,19.97,19.62,20.31,20.56,19.53,18.94,20.25,21.75,22.41,23.03,25.03,27.28,28.38,28.44,29.22,30.16,30.25,29.22,28.97,29.44,29.66,28.25,27.31,27.81,28.44,27.97,26.72,27.12,27.81,27.59,26.34,26.88,28.16,28.47,28.12,28.53,30.03,31.25,30.78,30.34,30.56,30.38,29.19,27.28,27.0,27.47,26.75,25.69,26.06,27.22,27.97,27.31,27.09,27.78,28.16,27.56,27.47,28.53,30.06,29.78,28.91,29.22,29.5,28.78,27.03,26.62,26.88,27.31,26.91,27.25,28.72,29.78,29.5,28.75,29.25,29.84,29.03,28.0,28.28,29.16,29.22,28.88,29.56,30.94,32.06,31.53,30.53,30.25,29.5,27.03,24.34,23.5,23.59,22.38,21.16,21.47,22.75,23.59,23.69,25.09,27.44,28.72,28.62,28.47,29.72,31.53,32.25,32.78,34.0,34.59,33.59,31.16,29.66,29.97,30.19,29.84,30.62,32.5,33.75,33.12,32.44,32.53,33.0,32.09,30.88,31.0,31.81,31.81,31.31,31.62,32.66,32.91,32.03,31.41,31.53,31.88,30.81,29.75,30.22,30.94,30.09,28.38,28.09,27.84,26.53,24.72,24.0,24.47,24.75,24.59,25.66,29.09,32.62,34.53,36.03,37.5,38.16,36.34,33.47,32.25,32.53,32.22,31.12,30.88,31.06,30.34,27.53,25.38,24.5,24.0,22.47,21.56,22.78,24.66,25.38,25.81,27.38,29.09,29.66,29.12,29.19,30.12,30.91,29.97,29.28,29.78,29.88,27.88,26.16,25.25,25.19,23.97,22.0,21.47,21.84,21.47,20.53,20.78,22.09,22.97,22.16,21.16,21.44,21.62,20.47,19.59,20.5,21.81,22.09,21.34,21.69,22.25,21.75,20.38,19.69,20.41,20.75,19.91,19.41,19.91,19.78,18.69,17.38,17.25,17.97,17.88,16.94,17.03,17.66,17.53,15.81,15.0,15.47,15.72,14.69,14.25,15.19,16.44,16.62,16.94,18.66,21.34,22.72,22.75,23.28,24.03,23.66,22.22,21.47,22.16,22.97,22.31,21.72,22.47,23.34,22.84,21.78,21.94,22.88,22.91,22.5,23.41,24.62,24.69,22.75,20.31,19.31,17.66,14.62,12.56,12.19,12.41,11.91,11.69,13.22,16.22,18.88,20.19,21.97,23.97,24.41,22.94,21.5,21.97,22.31,20.97,19.41,18.88,17.75,14.62,10.91,8.59,7.84,7.06,40.5,41.06,40.75,40.16,39.62,39.28,38.19:9.12,10.0,12.19,13.25,13.62,15.28,18.31,20.56,20.91,21.5,23.0,23.91,22.88,21.75,21.28,21.69,20.62,19.06,18.62,19.31,19.56,19.59,20.34,22.91,24.09,23.41,21.75,20.59,18.97,15.97,13.25,12.53,13.06,12.84,12.31,12.56,14.19,14.94,14.81,15.12,16.53,17.72,17.28,16.81,17.84,19.25,18.59,17.38,17.25,17.41,16.47,15.09,14.75,16.62,18.47,19.69,21.47,24.38,26.03,24.81,22.56,20.66,19.19,16.25,13.38,12.34,12.88,12.81,12.66,13.78,16.25,17.84,18.12,18.41,20.19,21.94,22.16,22.38,23.66,24.97,24.47,22.5,21.0,20.31,18.16,15.66,14.44,15.19,16.16,16.16,16.16,17.44,18.56,17.88,16.38,16.62,17.38,16.72,15.69,15.75,17.22,17.69,17.09,16.84,17.84,18.81,18.59,18.25,19.53,20.59,19.84,18.12,17.72,18.16,17.81,16.56,16.34,17.16,17.12,15.66,14.69,15.16,14.78,12.62,10.47,9.97,9.75,8.56,6.78,6.62,6.91,6.44,5.72,6.34,8.53,10.03,10.56,10.84,12.66,13.78,13.19,12.09,12.28,12.62,11.56,9.62,8.91,9.0,7.94,6.72,6.53,8.03,9.66,10.06,10.69,12.81,14.66,14.91,14.78,16.22,18.0,18.41,18.03,18.75,19.5,18.94,16.56,14.44,13.34,11.94,9.5,7.59,8.03,9.22,9.16,9.19,10.88,12.84,13.25,12.91,13.06,13.84,13.97,12.78,12.19,13.5,14.75,15.06,15.97,18.94,22.28,24.22,24.84,25.69,26.16,24.78,22.47,20.81,20.44,19.81,17.53,15.88,15.56,15.31,14.28,13.47,14.53,15.91,16.12,15.38,16.03,17.34,17.5,16.53,16.03,16.81,17.03,16.12,16.0,17.84,19.62,20.19,20.53,21.97,23.56,23.69,22.75,22.53,22.97,22.41,20.25,19.0,18.84,18.75,17.53,17.28,19.31,21.56,22.59,22.88,24.44,25.72,25.56,24.31,24.12,25.19,25.12,24.0,23.66,24.88,25.72,25.5,25.66,27.47,29.09,29.0,28.16,28.62,29.34,28.78,27.22,26.88,27.16,27.09,25.03,23.62,23.03,22.16,19.31,16.75,16.31,16.94,16.72,16.81,18.47,20.78,21.16,20.41,20.53,21.78,22.91,22.81,23.41,24.88,25.62,24.59,23.47,23.22,23.66,22.91,21.22,20.91,21.47,21.0,19.56,18.31,17.94,16.91,14.78,13.06,13.09,13.81,12.72,11.62,11.69,12.38,11.84,10.72,11.09,12.28,12.56,11.72,11.5,12.38,12.97,12.22,12.25,13.91,15.56,15.78,15.12,15.66,15.62,14.25,12.19,11.25,11.09,10.91,9.75,9.41,10.69,11.69,11.44,11.06,12.44,13.97,14.16,14.0,14.94,16.16,16.16,14.78,14.41,15.09,15.19,14.0,13.38,14.16,14.97,14.0,13.75,14.78,16.5,16.66,16.97,18.44,20.56,21.78,21.5,21.41,21.91,21.38,19.28,17.94,18.44,19.38,19.12,19.16,20.38,21.81,21.59,20.56,20.34,20.56,19.75,17.28,15.28,14.34,13.5,11.59,10.41,10.97,11.56,10.59,9.94,10.38,11.91,12.78,13.56,15.88,18.88,20.88,20.88,20.84,21.19,21.12,20.06,19.34,20.62,22.41,22.56,22.78,23.34,23.75,22.22,19.31,17.44,16.88,16.25,15.56,16.16,17.81,19.5,19.41,19.22,20.44,22.25,22.75,23.09,24.72,27.03,27.53,26.56,25.78,24.91,22.84,19.12,16.47,15.69,16.16,15.34,14.91,15.84,17.06,16.69,16.12,17.56,19.88,21.38,21.75,22.44,23.59,23.62,22.0,20.62,20.69,21.22,20.19,19.59,20.12,22.0,22.44,23.0,24.31,26.06,26.06,24.88,23.38,23.0,22.19,19.91,18.41,18.5,19.38,19.03,18.81,20.16,21.91,21.88,21.12,21.28,22.31,22.19,21.03,20.09,20.06,19.62,17.47,15.66,15.69,16.56,16.22,16.16,17.59,18.91,18.88,17.62,17.28,18.25,18.38,18.19,19.28,21.47,23.78,24.22,23.91,23.88,23.66,20.78,16.91,14.62,13.78,12.56,11.91,13.16,16.31,19.28,21.19,23.75,26.81,29.88,30.78,31.12,32.22,33.38,32.47,30.47,28.66,26.69,23.5,19.41,16.62,15.72,15.66,15.0,15.16,17.0,18.84,18.75,18.5,19.34,21.09,21.41,21.28,21.62,22.72,22.62,21.81,21.84,23.34,24.56,25.06,25.78,27.81,29.69,29.44,28.53,27.56,27.16,25.56,23.41,22.47,22.84,22.47,21.78,22.09,23.69,25.28,25.38,24.47,25.31,26.78,27.09,27.41,29.22,31.06,30.62,28.75,26.91,25.78,23.59,20.53,18.19,17.56,16.53,14.47,12.62,12.47,13.16,13.06,13.56,15.56,18.91,20.62,21.16,21.06,21.19,20.56,18.78,18.5,20.78,24.28,27.34,30.09,33.88,37.31,38.28,38.03,37.81,38.06,36.94,34.72,33.12,32.91,32.84,31.88,31.75,32.97,33.91,33.03,31.91,32.03,32.81,32.81,32.59,32.59,33.72,33.25,31.88,31.06,31.38,31.41,30.0,28.75,28.72,28.88,27.47,25.94,25.91,26.62,26.5,25.53,25.44,25.91,25.12,23.38,21.75,22.03,22.34,21.34,20.66,21.38,22.06,20.47,18.22,16.47,15.06,12.25,8.94,6.69,6.25,5.28,4.25,4.16,6.19,8.53,9.78,11.59,14.94,18.47,20.53,21.97,24.41,26.94,27.91,27.75,27.25,27.28,26.25,23.56,21.25,20.38,19.41,17.22,15.19,14.72,14.88,14.34,13.38,13.47,14.5,14.53,13.94,14.56,17.47,20.19,22.41,24.81,28.34,30.75,31.03,30.25,29.47,29.06,27.28,25.28,25.06,25.56,25.44,24.28,23.59,23.72,23.09,21.66,20.75,21.78,23.25,24.06,24.62,26.59,28.72,29.41,29.16,29.88,31.59,32.31,31.94,31.78,32.72,32.78,31.28,29.62,29.5,28.62,26.66,24.44,24.28,25.44,26.06,27.19,29.5,32.59,34.91,35.59,36.28,37.66,37.72,35.84,33.0,31.44,29.81,27.0,24.19,23.38,23.88,23.97,23.31,24.09,25.97,27.03,27.09,27.16,28.91,30.75,31.12,30.94,31.72,32.12,30.53,28.03,26.69,26.34,25.0,22.91,21.84,22.47,22.91,22.88,23.5,25.69,27.28,27.91,28.12,29.69,31.41,31.84,31.38,31.31,31.72,30.84,28.72,27.0,26.09,24.66,22.19,20.09,19.72,19.94,19.88,20.06,22.81,26.28,28.84,30.44,32.38,34.5,35.12,33.94,32.5,31.75,30.16,27.25,24.53,24.06,24.41,23.69,23.09,23.78,24.69,24.47,23.56,23.28,23.81,23.53,21.88,20.72,21.06,21.31,20.56,20.03,21.41,23.28,24.19,24.06,24.69,25.0,23.88,21.19,19.78,19.09,18.44,16.72,15.84,16.5,17.47,17.16,16.97,18.5,20.03,20.41,19.78,20.12,20.75,20.72,19.97,19.62,20.31,20.56,19.53,18.94,20.25,21.75,22.41,23.03,25.03,27.28,28.38,28.44,29.22,30.16,30.25,29.22,28.97,29.44,29.66,28.25,27.31,27.81,28.44,27.97,26.72,27.12,27.81,27.59,26.34,26.88,28.16,28.47,28.12,28.53,30.03,31.25,30.78,30.34,30.56,30.38,29.19,27.28,27.0,27.47,26.75,25.69,26.06,27.22,27.97,27.31,27.09,27.78,28.16,27.56,27.47,28.53,30.06,29.78,28.91,29.22,29.5,28.78,27.03,26.62,26.88,27.31,26.91,27.25,28.72,29.78,29.5,28.75,29.25,29.84,29.03,28.0,28.28,29.16,29.22,28.88,29.56,30.94,32.06,31.53,30.53,30.25,29.5,27.03,24.34,23.5,23.59,22.38,21.16,21.47,22.75,23.59,23.69,25.09,27.44,28.72,28.62,28.47,29.72,31.53,32.25,32.78,34.0,34.59,33.59,31.16,29.66,29.97,30.19,29.84,30.62,32.5,33.75,33.12,32.44,32.53,33.0,32.09,30.88,31.0,31.81,31.81,31.31,31.62,32.66,32.91,32.03,31.41,31.53,31.88,30.81,29.75,30.22,30.94,30.09,28.38,28.09,27.84,26.53,24.72,24.0,24.47,24.75,24.59,25.66,29.09,32.62,34.53,36.03,37.5,38.16,36.34,33.47,32.25,32.53,32.22,31.12,30.88,31.06,30.34,27.53,25.38,24.5,24.0,22.47,21.56,22.78,24.66,25.38,25.81,27.38,29.09,29.66,29.12,29.19,30.12,30.91,29.97,29.28,29.78,29.88,27.88,26.16,25.25,25.19,23.97,22.0,21.47,21.84,21.47,20.53,20.78,22.09,22.97,22.16,21.16,21.44,21.62,20.47,19.59,20.5,21.81,22.09,21.34,21.69,22.25,21.75,20.38,19.69,20.41,20.75,19.91,19.41,19.91,19.78,18.69,17.38,17.25,17.97,17.88,16.94,17.03,17.66,17.53,15.81,15.0,15.47,15.72,14.69,14.25,15.19,16.44,16.62,16.94,18.66,21.34,22.72,22.75,23.28,24.03,23.66,22.22,21.47,22.16,22.97,22.31,21.72,22.47,23.34,22.84,21.78,21.94,22.88,22.91,22.5,23.41,24.62,24.69,22.75,20.31,19.31,17.66,14.62,12.56,12.19,12.41,11.91,11.69,13.22,16.22,18.88,20.19,21.97,23.97,24.41,22.94,21.5,21.97,22.31,20.97,19.41,18.88,17.75,14.62,10.91,8.59,7.84,7.06,40.5,41.06,40.75,40.16,39.62,39.28,38.19,36.72,35.59,35.09,34.47,33.47,33.31,34.25:20.56,20.91,21.5,23.0,23.91,22.88,21.75,21.28,21.69,20.62,19.06,18.62,19.31,19.56,19.59,20.34,22.91,24.09,23.41,21.75,20.59,18.97,15.97,13.25,12.53,13.06,12.84,12.31,12.56,14.19,14.94,14.81,15.12,16.53,17.72,17.28,16.81,17.84,19.25,18.59,17.38,17.25,17.41,16.47,15.09,14.75,16.62,18.47,19.69,21.47,24.38,26.03,24.81,22.56,20.66,19.19,16.25,13.38,12.34,12.88,12.81,12.66,13.78,16.25,17.84,18.12,18.41,20.19,21.94,22.16,22.38,23.66,24.97,24.47,22.5,21.0,20.31,18.16,15.66,14.44,15.19,16.16,16.16,16.16,17.44,18.56,17.88,16.38,16.62,17.38,16.72,15.69,15.75,17.22,17.69,17.09,16.84,17.84,18.81,18.59,18.25,19.53,20.59,19.84,18.12,17.72,18.16,17.81,16.56,16.34,17.16,17.12,15.66,14.69,15.16,14.78,12.62,10.47,9.97,9.75,8.56,6.78,6.62,6.91,6.44,5.72,6.34,8.53,10.03,10.56,10.84,12.66,13.78,13.19,12.09,12.28,12.62,11.56,9.62,8.91,9.0,7.94,6.72,6.53,8.03,9.66,10.06,10.69,12.81,14.66,14.91,14.78,16.22,18.0,18.41,18.03,18.75,19.5,18.94,16.56,14.44,13.34,11.94,9.5,7.59,8.03,9.22,9.16,9.19,10.88,12.84,13.25,12.91,13.06,13.84,13.97,12.78,12.19,13.5,14.75,15.06,15.97,18.94,22.28,24.22,24.84,25.69,26.16,24.78,22.47,20.81,20.44,19.81,17.53,15.88,15.56,15.31,14.28,13.47,14.53,15.91,16.12,15.38,16.03,17.34,17.5,16.53,16.03,16.81,17.03,16.12,16.0,17.84,19.62,20.19,20.53,21.97,23.56,23.69,22.75,22.53,22.97,22.41,20.25,19.0,18.84,18.75,17.53,17.28,19.31,21.56,22.59,22.88,24.44,25.72,25.56,24.31,24.12,25.19,25.12,24.0,23.66,24.88,25.72,25.5,25.66,27.47,29.09,29.0,28.16,28.62,29.34,28.78,27.22,26.88,27.16,27.09,25.03,23.62,23.03,22.16,19.31,16.75,16.31,16.94,16.72,16.81,18.47,20.78,21.16,20.41,20.53,21.78,22.91,22.81,23.41,24.88,25.62,24.59,23.47,23.22,23.66,22.91,21.22,20.91,21.47,21.0,19.56,18.31,17.94,16.91,14.78,13.06,13.09,13.81,12.72,11.62,11.69,12.38,11.84,10.72,11.09,12.28,12.56,11.72,11.5,12.38,12.97,12.22,12.25,13.91,15.56,15.78,15.12,15.66,15.62,14.25,12.19,11.25,11.09,10.91,9.75,9.41,10.69,11.69,11.44,11.06,12.44,13.97,14.16,14.0,14.94,16.16,16.16,14.78,14.41,15.09,15.19,14.0,13.38,14.16,14.97,14.0,13.75,14.78,16.5,16.66,16.97,18.44,20.56,21.78,21.5,21.41,21.91,21.38,19.28,17.94,18.44,19.38,19.12,19.16,20.38,21.81,21.59,20.56,20.34,20.56,19.75,17.28,15.28,14.34,13.5,11.59,10.41,10.97,11.56,10.59,9.94,10.38,11.91,12.78,13.56,15.88,18.88,20.88,20.88,20.84,21.19,21.12,20.06,19.34,20.62,22.41,22.56,22.78,23.34,23.75,22.22,19.31,17.44,16.88,16.25,15.56,16.16,17.81,19.5,19.41,19.22,20.44,22.25,22.75,23.09,24.72,27.03,27.53,26.56,25.78,24.91,22.84,19.12,16.47,15.69,16.16,15.34,14.91,15.84,17.06,16.69,16.12,17.56,19.88,21.38,21.75,22.44,23.59,23.62,22.0,20.62,20.69,21.22,20.19,19.59,20.12,22.0,22.44,23.0,24.31,26.06,26.06,24.88,23.38,23.0,22.19,19.91,18.41,18.5,19.38,19.03,18.81,20.16,21.91,21.88,21.12,21.28,22.31,22.19,21.03,20.09,20.06,19.62,17.47,15.66,15.69,16.56,16.22,16.16,17.59,18.91,18.88,17.62,17.28,18.25,18.38,18.19,19.28,21.47,23.78,24.22,23.91,23.88,23.66,20.78,16.91,14.62,13.78,12.56,11.91,13.16,16.31,19.28,21.19,23.75,26.81,29.88,30.78,31.12,32.22,33.38,32.47,30.47,28.66,26.69,23.5,19.41,16.62,15.72,15.66,15.0,15.16,17.0,18.84,18.75,18.5,19.34,21.09,21.41,21.28,21.62,22.72,22.62,21.81,21.84,23.34,24.56,25.06,25.78,27.81,29.69,29.44,28.53,27.56,27.16,25.56,23.41,22.47,22.84,22.47,21.78,22.09,23.69,25.28,25.38,24.47,25.31,26.78,27.09,27.41,29.22,31.06,30.62,28.75,26.91,25.78,23.59,20.53,18.19,17.56,16.53,14.47,12.62,12.47,13.16,13.06,13.56,15.56,18.91,20.62,21.16,21.06,21.19,20.56,18.78,18.5,20.78,24.28,27.34,30.09,33.88,37.31,38.28,38.03,37.81,38.06,36.94,34.72,33.12,32.91,32.84,31.88,31.75,32.97,33.91,33.03,31.91,32.03,32.81,32.81,32.59,32.59,33.72,33.25,31.88,31.06,31.38,31.41,30.0,28.75,28.72,28.88,27.47,25.94,25.91,26.62,26.5,25.53,25.44,25.91,25.12,23.38,21.75,22.03,22.34,21.34,20.66,21.38,22.06,20.47,18.22,16.47,15.06,12.25,8.94,6.69,6.25,5.28,4.25,4.16,6.19,8.53,9.78,11.59,14.94,18.47,20.53,21.97,24.41,26.94,27.91,27.75,27.25,27.28,26.25,23.56,21.25,20.38,19.41,17.22,15.19,14.72,14.88,14.34,13.38,13.47,14.5,14.53,13.94,14.56,17.47,20.19,22.41,24.81,28.34,30.75,31.03,30.25,29.47,29.06,27.28,25.28,25.06,25.56,25.44,24.28,23.59,23.72,23.09,21.66,20.75,21.78,23.25,24.06,24.62,26.59,28.72,29.41,29.16,29.88,31.59,32.31,31.94,31.78,32.72,32.78,31.28,29.62,29.5,28.62,26.66,24.44,24.28,25.44,26.06,27.19,29.5,32.59,34.91,35.59,36.28,37.66,37.72,35.84,33.0,31.44,29.81,27.0,24.19,23.38,23.88,23.97,23.31,24.09,25.97,27.03,27.09,27.16,28.91,30.75,31.12,30.94,31.72,32.12,30.53,28.03,26.69,26.34,25.0,22.91,21.84,22.47,22.91,22.88,23.5,25.69,27.28,27.91,28.12,29.69,31.41,31.84,31.38,31.31,31.72,30.84,28.72,27.0,26.09,24.66,22.19,20.09,19.72,19.94,19.88,20.06,22.81,26.28,28.84,30.44,32.38,34.5,35.12,33.94,32.5,31.75,30.16,27.25,24.53,24.06,24.41,23.69,23.09,23.78,24.69,24.47,23.56,23.28,23.81,23.53,21.88,20.72,21.06,21.31,20.56,20.03,21.41,23.28,24.19,24.06,24.69,25.0,23.88,21.19,19.78,19.09,18.44,16.72,15.84,16.5,17.47,17.16,16.97,18.5,20.03,20.41,19.78,20.12,20.75,20.72,19.97,19.62,20.31,20.56,19.53,18.94,20.25,21.75,22.41,23.03,25.03,27.28,28.38,28.44,29.22,30.16,30.25,29.22,28.97,29.44,29.66,28.25,27.31,27.81,28.44,27.97,26.72,27.12,27.81,27.59,26.34,26.88,28.16,28.47,28.12,28.53,30.03,31.25,30.78,30.34,30.56,30.38,29.19,27.28,27.0,27.47,26.75,25.69,26.06,27.22,27.97,27.31,27.09,27.78,28.16,27.56,27.47,28.53,30.06,29.78,28.91,29.22,29.5,28.78,27.03,26.62,26.88,27.31,26.91,27.25,28.72,29.78,29.5,28.75,29.25,29.84,29.03,28.0,28.28,29.16,29.22,28.88,29.56,30.94,32.06,31.53,30.53,30.25,29.5,27.03,24.34,23.5,23.59,22.38,21.16,21.47,22.75,23.59,23.69,25.09,27.44,28.72,28.62,28.47,29.72,31.53,32.25,32.78,34.0,34.59,33.59,31.16,29.66,29.97,30.19,29.84,30.62,32.5,33.75,33.12,32.44,32.53,33.0,32.09,30.88,31.0,31.81,31.81,31.31,31.62,32.66,32.91,32.03,31.41,31.53,31.88,30.81,29.75,30.22,30.94,30.09,28.38,28.09,27.84,26.53,24.72,24.0,24.47,24.75,24.59,25.66,29.09,32.62,34.53,36.03,37.5,38.16,36.34,33.47,32.25,32.53,32.22,31.12,30.88,31.06,30.34,27.53,25.38,24.5,24.0,22.47,21.56,22.78,24.66,25.38,25.81,27.38,29.09,29.66,29.12,29.19,30.12,30.91,29.97,29.28,29.78,29.88,27.88,26.16,25.25,25.19,23.97,22.0,21.47,21.84,21.47,20.53,20.78,22.09,22.97,22.16,21.16,21.44,21.62,20.47,19.59,20.5,21.81,22.09,21.34,21.69,22.25,21.75,20.38,19.69,20.41,20.75,19.91,19.41,19.91,19.78,18.69,17.38,17.25,17.97,17.88,16.94,17.03,17.66,17.53,15.81,15.0,15.47,15.72,14.69,14.25,15.19,16.44,16.62,16.94,18.66,21.34,22.72,22.75,23.28,24.03,23.66,22.22,21.47,22.16,22.97,22.31,21.72,22.47,23.34,22.84,21.78,21.94,22.88,22.91,22.5,23.41,24.62,24.69,22.75,20.31,19.31,17.66,14.62,12.56,12.19,12.41,11.91,11.69,13.22,16.22,18.88,20.19,21.97,23.97,24.41,22.94,21.5,21.97,22.31,20.97,19.41,18.88,17.75,14.62,10.91,8.59,7.84,7.06,40.5,41.06,40.75,40.16,39.62,39.28,38.19,36.72,35.59,35.09,34.47,33.47,33.31,34.25,35.25,35.44,36.31,37.25,38.25,39.0,39.88:21.28,21.69,20.62,19.06,18.62,19.31,19.56,19.59,20.34,22.91,24.09,23.41,21.75,20.59,18.97,15.97,13.25,12.53,13.06,12.84,12.31,12.56,14.19,14.94,14.81,15.12,16.53,17.72,17.28,16.81,17.84,19.25,18.59,17.38,17.25,17.41,16.47,15.09,14.75,16.62,18.47,19.69,21.47,24.38,26.03,24.81,22.56,20.66,19.19,16.25,13.38,12.34,12.88,12.81,12.66,13.78,16.25,17.84,18.12,18.41,20.19,21.94,22.16,22.38,23.66,24.97,24.47,22.5,21.0,20.31,18.16,15.66,14.44,15.19,16.16,16.16,16.16,17.44,18.56,17.88,16.38,16.62,17.38,16.72,15.69,15.75,17.22,17.69,17.09,16.84,17.84,18.81,18.59,18.25,19.53,20.59,19.84,18.12,17.72,18.16,17.81,16.56,16.34,17.16,17.12,15.66,14.69,15.16,14.78,12.62,10.47,9.97,9.75,8.56,6.78,6.62,6.91,6.44,5.72,6.34,8.53,10.03,10.56,10.84,12.66,13.78,13.19,12.09,12.28,12.62,11.56,9.62,8.91,9.0,7.94,6.72,6.53,8.03,9.66,10.06,10.69,12.81,14.66,14.91,14.78,16.22,18.0,18.41,18.03,18.75,19.5,18.94,16.56,14.44,13.34,11.94,9.5,7.59,8.03,9.22,9.16,9.19,10.88,12.84,13.25,12.91,13.06,13.84,13.97,12.78,12.19,13.5,14.75,15.06,15.97,18.94,22.28,24.22,24.84,25.69,26.16,24.78,22.47,20.81,20.44,19.81,17.53,15.88,15.56,15.31,14.28,13.47,14.53,15.91,16.12,15.38,16.03,17.34,17.5,16.53,16.03,16.81,17.03,16.12,16.0,17.84,19.62,20.19,20.53,21.97,23.56,23.69,22.75,22.53,22.97,22.41,20.25,19.0,18.84,18.75,17.53,17.28,19.31,21.56,22.59,22.88,24.44,25.72,25.56,24.31,24.12,25.19,25.12,24.0,23.66,24.88,25.72,25.5,25.66,27.47,29.09,29.0,28.16,28.62,29.34,28.78,27.22,26.88,27.16,27.09,25.03,23.62,23.03,22.16,19.31,16.75,16.31,16.94,16.72,16.81,18.47,20.78,21.16,20.41,20.53,21.78,22.91,22.81,23.41,24.88,25.62,24.59,23.47,23.22,23.66,22.91,21.22,20.91,21.47,21.0,19.56,18.31,17.94,16.91,14.78,13.06,13.09,13.81,12.72,11.62,11.69,12.38,11.84,10.72,11.09,12.28,12.56,11.72,11.5,12.38,12.97,12.22,12.25,13.91,15.56,15.78,15.12,15.66,15.62,14.25,12.19,11.25,11.09,10.91,9.75,9.41,10.69,11.69,11.44,11.06,12.44,13.97,14.16,14.0,14.94,16.16,16.16,14.78,14.41,15.09,15.19,14.0,13.38,14.16,14.97,14.0,13.75,14.78,16.5,16.66,16.97,18.44,20.56,21.78,21.5,21.41,21.91,21.38,19.28,17.94,18.44,19.38,19.12,19.16,20.38,21.81,21.59,20.56,20.34,20.56,19.75,17.28,15.28,14.34,13.5,11.59,10.41,10.97,11.56,10.59,9.94,10.38,11.91,12.78,13.56,15.88,18.88,20.88,20.88,20.84,21.19,21.12,20.06,19.34,20.62,22.41,22.56,22.78,23.34,23.75,22.22,19.31,17.44,16.88,16.25,15.56,16.16,17.81,19.5,19.41,19.22,20.44,22.25,22.75,23.09,24.72,27.03,27.53,26.56,25.78,24.91,22.84,19.12,16.47,15.69,16.16,15.34,14.91,15.84,17.06,16.69,16.12,17.56,19.88,21.38,21.75,22.44,23.59,23.62,22.0,20.62,20.69,21.22,20.19,19.59,20.12,22.0,22.44,23.0,24.31,26.06,26.06,24.88,23.38,23.0,22.19,19.91,18.41,18.5,19.38,19.03,18.81,20.16,21.91,21.88,21.12,21.28,22.31,22.19,21.03,20.09,20.06,19.62,17.47,15.66,15.69,16.56,16.22,16.16,17.59,18.91,18.88,17.62,17.28,18.25,18.38,18.19,19.28,21.47,23.78,24.22,23.91,23.88,23.66,20.78,16.91,14.62,13.78,12.56,11.91,13.16,16.31,19.28,21.19,23.75,26.81,29.88,30.78,31.12,32.22,33.38,32.47,30.47,28.66,26.69,23.5,19.41,16.62,15.72,15.66,15.0,15.16,17.0,18.84,18.75,18.5,19.34,21.09,21.41,21.28,21.62,22.72,22.62,21.81,21.84,23.34,24.56,25.06,25.78,27.81,29.69,29.44,28.53,27.56,27.16,25.56,23.41,22.47,22.84,22.47,21.78,22.09,23.69,25.28,25.38,24.47,25.31,26.78,27.09,27.41,29.22,31.06,30.62,28.75,26.91,25.78,23.59,20.53,18.19,17.56,16.53,14.47,12.62,12.47,13.16,13.06,13.56,15.56,18.91,20.62,21.16,21.06,21.19,20.56,18.78,18.5,20.78,24.28,27.34,30.09,33.88,37.31,38.28,38.03,37.81,38.06,36.94,34.72,33.12,32.91,32.84,31.88,31.75,32.97,33.91,33.03,31.91,32.03,32.81,32.81,32.59,32.59,33.72,33.25,31.88,31.06,31.38,31.41,30.0,28.75,28.72,28.88,27.47,25.94,25.91,26.62,26.5,25.53,25.44,25.91,25.12,23.38,21.75,22.03,22.34,21.34,20.66,21.38,22.06,20.47,18.22,16.47,15.06,12.25,8.94,6.69,6.25,5.28,4.25,4.16,6.19,8.53,9.78,11.59,14.94,18.47,20.53,21.97,24.41,26.94,27.91,27.75,27.25,27.28,26.25,23.56,21.25,20.38,19.41,17.22,15.19,14.72,14.88,14.34,13.38,13.47,14.5,14.53,13.94,14.56,17.47,20.19,22.41,24.81,28.34,30.75,31.03,30.25,29.47,29.06,27.28,25.28,25.06,25.56,25.44,24.28,23.59,23.72,23.09,21.66,20.75,21.78,23.25,24.06,24.62,26.59,28.72,29.41,29.16,29.88,31.59,32.31,31.94,31.78,32.72,32.78,31.28,29.62,29.5,28.62,26.66,24.44,24.28,25.44,26.06,27.19,29.5,32.59,34.91,35.59,36.28,37.66,37.72,35.84,33.0,31.44,29.81,27.0,24.19,23.38,23.88,23.97,23.31,24.09,25.97,27.03,27.09,27.16,28.91,30.75,31.12,30.94,31.72,32.12,30.53,28.03,26.69,26.34,25.0,22.91,21.84,22.47,22.91,22.88,23.5,25.69,27.28,27.91,28.12,29.69,31.41,31.84,31.38,31.31,31.72,30.84,28.72,27.0,26.09,24.66,22.19,20.09,19.72,19.94,19.88,20.06,22.81,26.28,28.84,30.44,32.38,34.5,35.12,33.94,32.5,31.75,30.16,27.25,24.53,24.06,24.41,23.69,23.09,23.78,24.69,24.47,23.56,23.28,23.81,23.53,21.88,20.72,21.06,21.31,20.56,20.03,21.41,23.28,24.19,24.06,24.69,25.0,23.88,21.19,19.78,19.09,18.44,16.72,15.84,16.5,17.47,17.16,16.97,18.5,20.03,20.41,19.78,20.12,20.75,20.72,19.97,19.62,20.31,20.56,19.53,18.94,20.25,21.75,22.41,23.03,25.03,27.28,28.38,28.44,29.22,30.16,30.25,29.22,28.97,29.44,29.66,28.25,27.31,27.81,28.44,27.97,26.72,27.12,27.81,27.59,26.34,26.88,28.16,28.47,28.12,28.53,30.03,31.25,30.78,30.34,30.56,30.38,29.19,27.28,27.0,27.47,26.75,25.69,26.06,27.22,27.97,27.31,27.09,27.78,28.16,27.56,27.47,28.53,30.06,29.78,28.91,29.22,29.5,28.78,27.03,26.62,26.88,27.31,26.91,27.25,28.72,29.78,29.5,28.75,29.25,29.84,29.03,28.0,28.28,29.16,29.22,28.88,29.56,30.94,32.06,31.53,30.53,30.25,29.5,27.03,24.34,23.5,23.59,22.38,21.16,21.47,22.75,23.59,23.69,25.09,27.44,28.72,28.62,28.47,29.72,31.53,32.25,32.78,34.0,34.59,33.59,31.16,29.66,29.97,30.19,29.84,30.62,32.5,33.75,33.12,32.44,32.53,33.0,32.09,30.88,31.0,31.81,31.81,31.31,31.62,32.66,32.91,32.03,31.41,31.53,31.88,30.81,29.75,30.22,30.94,30.09,28.38,28.09,27.84,26.53,24.72,24.0,24.47,24.75,24.59,25.66,29.09,32.62,34.53,36.03,37.5,38.16,36.34,33.47,32.25,32.53,32.22,31.12,30.88,31.06,30.34,27.53,25.38,24.5,24.0,22.47,21.56,22.78,24.66,25.38,25.81,27.38,29.09,29.66,29.12,29.19,30.12,30.91,29.97,29.28,29.78,29.88,27.88,26.16,25.25,25.19,23.97,22.0,21.47,21.84,21.47,20.53,20.78,22.09,22.97,22.16,21.16,21.44,21.62,20.47,19.59,20.5,21.81,22.09,21.34,21.69,22.25,21.75,20.38,19.69,20.41,20.75,19.91,19.41,19.91,19.78,18.69,17.38,17.25,17.97,17.88,16.94,17.03,17.66,17.53,15.81,15.0,15.47,15.72,14.69,14.25,15.19,16.44,16.62,16.94,18.66,21.34,22.72,22.75,23.28,24.03,23.66,22.22,21.47,22.16,22.97,22.31,21.72,22.47,23.34,22.84,21.78,21.94,22.88,22.91,22.5,23.41,24.62,24.69,22.75,20.31,19.31,17.66,14.62,12.56,12.19,12.41,11.91,11.69,13.22,16.22,18.88,20.19,21.97,23.97,24.41,22.94,21.5,21.97,22.31,20.97,19.41,18.88,17.75,14.62,10.91,8.59,7.84,7.06,40.5,41.06,40.75,40.16,39.62,39.28,38.19,36.72,35.59,35.09,34.47,33.47,33.31,34.25,35.25,35.44,36.31,37.25,38.25,39.0,39.88,40.69,41.53,42.09,41.94,42.03,42.53,43.03:19.59,20.34,22.91,24.09,23.41,21.75,20.59,18.97,15.97,13.25,12.53,13.06,12.84,12.31,12.56,14.19,14.94,14.81,15.12,16.53,17.72,17.28,16.81,17.84,19.25,18.59,17.38,17.25,17.41,16.47,15.09,14.75,16.62,18.47,19.69,21.47,24.38,26.03,24.81,22.56,20.66,19.19,16.25,13.38,12.34,12.88,12.81,12.66,13.78,16.25,17.84,18.12,18.41,20.19,21.94,22.16,22.38,23.66,24.97,24.47,22.5,21.0,20.31,18.16,15.66,14.44,15.19,16.16,16.16,16.16,17.44,18.56,17.88,16.38,16.62,17.38,16.72,15.69,15.75,17.22,17.69,17.09,16.84,17.84,18.81,18.59,18.25,19.53,20.59,19.84,18.12,17.72,18.16,17.81,16.56,16.34,17.16,17.12,15.66,14.69,15.16,14.78,12.62,10.47,9.97,9.75,8.56,6.78,6.62,6.91,6.44,5.72,6.34,8.53,10.03,10.56,10.84,12.66,13.78,13.19,12.09,12.28,12.62,11.56,9.62,8.91,9.0,7.94,6.72,6.53,8.03,9.66,10.06,10.69,12.81,14.66,14.91,14.78,16.22,18.0,18.41,18.03,18.75,19.5,18.94,16.56,14.44,13.34,11.94,9.5,7.59,8.03,9.22,9.16,9.19,10.88,12.84,13.25,12.91,13.06,13.84,13.97,12.78,12.19,13.5,14.75,15.06,15.97,18.94,22.28,24.22,24.84,25.69,26.16,24.78,22.47,20.81,20.44,19.81,17.53,15.88,15.56,15.31,14.28,13.47,14.53,15.91,16.12,15.38,16.03,17.34,17.5,16.53,16.03,16.81,17.03,16.12,16.0,17.84,19.62,20.19,20.53,21.97,23.56,23.69,22.75,22.53,22.97,22.41,20.25,19.0,18.84,18.75,17.53,17.28,19.31,21.56,22.59,22.88,24.44,25.72,25.56,24.31,24.12,25.19,25.12,24.0,23.66,24.88,25.72,25.5,25.66,27.47,29.09,29.0,28.16,28.62,29.34,28.78,27.22,26.88,27.16,27.09,25.03,23.62,23.03,22.16,19.31,16.75,16.31,16.94,16.72,16.81,18.47,20.78,21.16,20.41,20.53,21.78,22.91,22.81,23.41,24.88,25.62,24.59,23.47,23.22,23.66,22.91,21.22,20.91,21.47,21.0,19.56,18.31,17.94,16.91,14.78,13.06,13.09,13.81,12.72,11.62,11.69,12.38,11.84,10.72,11.09,12.28,12.56,11.72,11.5,12.38,12.97,12.22,12.25,13.91,15.56,15.78,15.12,15.66,15.62,14.25,12.19,11.25,11.09,10.91,9.75,9.41,10.69,11.69,11.44,11.06,12.44,13.97,14.16,14.0,14.94,16.16,16.16,14.78,14.41,15.09,15.19,14.0,13.38,14.16,14.97,14.0,13.75,14.78,16.5,16.66,16.97,18.44,20.56,21.78,21.5,21.41,21.91,21.38,19.28,17.94,18.44,19.38,19.12,19.16,20.38,21.81,21.59,20.56,20.34,20.56,19.75,17.28,15.28,14.34,13.5,11.59,10.41,10.97,11.56,10.59,9.94,10.38,11.91,12.78,13.56,15.88,18.88,20.88,20.88,20.84,21.19,21.12,20.06,19.34,20.62,22.41,22.56,22.78,23.34,23.75,22.22,19.31,17.44,16.88,16.25,15.56,16.16,17.81,19.5,19.41,19.22,20.44,22.25,22.75,23.09,24.72,27.03,27.53,26.56,25.78,24.91,22.84,19.12,16.47,15.69,16.16,15.34,14.91,15.84,17.06,16.69,16.12,17.56,19.88,21.38,21.75,22.44,23.59,23.62,22.0,20.62,20.69,21.22,20.19,19.59,20.12,22.0,22.44,23.0,24.31,26.06,26.06,24.88,23.38,23.0,22.19,19.91,18.41,18.5,19.38,19.03,18.81,20.16,21.91,21.88,21.12,21.28,22.31,22.19,21.03,20.09,20.06,19.62,17.47,15.66,15.69,16.56,16.22,16.16,17.59,18.91,18.88,17.62,17.28,18.25,18.38,18.19,19.28,21.47,23.78,24.22,23.91,23.88,23.66,20.78,16.91,14.62,13.78,12.56,11.91,13.16,16.31,19.28,21.19,23.75,26.81,29.88,30.78,31.12,32.22,33.38,32.47,30.47,28.66,26.69,23.5,19.41,16.62,15.72,15.66,15.0,15.16,17.0,18.84,18.75,18.5,19.34,21.09,21.41,21.28,21.62,22.72,22.62,21.81,21.84,23.34,24.56,25.06,25.78,27.81,29.69,29.44,28.53,27.56,27.16,25.56,23.41,22.47,22.84,22.47,21.78,22.09,23.69,25.28,25.38,24.47,25.31,26.78,27.09,27.41,29.22,31.06,30.62,28.75,26.91,25.78,23.59,20.53,18.19,17.56,16.53,14.47,12.62,12.47,13.16,13.06,13.56,15.56,18.91,20.62,21.16,21.06,21.19,20.56,18.78,18.5,20.78,24.28,27.34,30.09,33.88,37.31,38.28,38.03,37.81,38.06,36.94,34.72,33.12,32.91,32.84,31.88,31.75,32.97,33.91,33.03,31.91,32.03,32.81,32.81,32.59,32.59,33.72,33.25,31.88,31.06,31.38,31.41,30.0,28.75,28.72,28.88,27.47,25.94,25.91,26.62,26.5,25.53,25.44,25.91,25.12,23.38,21.75,22.03,22.34,21.34,20.66,21.38,22.06,20.47,18.22,16.47,15.06,12.25,8.94,6.69,6.25,5.28,4.25,4.16,6.19,8.53,9.78,11.59,14.94,18.47,20.53,21.97,24.41,26.94,27.91,27.75,27.25,27.28,26.25,23.56,21.25,20.38,19.41,17.22,15.19,14.72,14.88,14.34,13.38,13.47,14.5,14.53,13.94,14.56,17.47,20.19,22.41,24.81,28.34,30.75,31.03,30.25,29.47,29.06,27.28,25.28,25.06,25.56,25.44,24.28,23.59,23.72,23.09,21.66,20.75,21.78,23.25,24.06,24.62,26.59,28.72,29.41,29.16,29.88,31.59,32.31,31.94,31.78,32.72,32.78,31.28,29.62,29.5,28.62,26.66,24.44,24.28,25.44,26.06,27.19,29.5,32.59,34.91,35.59,36.28,37.66,37.72,35.84,33.0,31.44,29.81,27.0,24.19,23.38,23.88,23.97,23.31,24.09,25.97,27.03,27.09,27.16,28.91,30.75,31.12,30.94,31.72,32.12,30.53,28.03,26.69,26.34,25.0,22.91,21.84,22.47,22.91,22.88,23.5,25.69,27.28,27.91,28.12,29.69,31.41,31.84,31.38,31.31,31.72,30.84,28.72,27.0,26.09,24.66,22.19,20.09,19.72,19.94,19.88,20.06,22.81,26.28,28.84,30.44,32.38,34.5,35.12,33.94,32.5,31.75,30.16,27.25,24.53,24.06,24.41,23.69,23.09,23.78,24.69,24.47,23.56,23.28,23.81,23.53,21.88,20.72,21.06,21.31,20.56,20.03,21.41,23.28,24.19,24.06,24.69,25.0,23.88,21.19,19.78,19.09,18.44,16.72,15.84,16.5,17.47,17.16,16.97,18.5,20.03,20.41,19.78,20.12,20.75,20.72,19.97,19.62,20.31,20.56,19.53,18.94,20.25,21.75,22.41,23.03,25.03,27.28,28.38,28.44,29.22,30.16,30.25,29.22,28.97,29.44,29.66,28.25,27.31,27.81,28.44,27.97,26.72,27.12,27.81,27.59,26.34,26.88,28.16,28.47,28.12,28.53,30.03,31.25,30.78,30.34,30.56,30.38,29.19,27.28,27.0,27.47,26.75,25.69,26.06,27.22,27.97,27.31,27.09,27.78,28.16,27.56,27.47,28.53,30.06,29.78,28.91,29.22,29.5,28.78,27.03,26.62,26.88,27.31,26.91,27.25,28.72,29.78,29.5,28.75,29.25,29.84,29.03,28.0,28.28,29.16,29.22,28.88,29.56,30.94,32.06,31.53,30.53,30.25,29.5,27.03,24.34,23.5,23.59,22.38,21.16,21.47,22.75,23.59,23.69,25.09,27.44,28.72,28.62,28.47,29.72,31.53,32.25,32.78,34.0,34.59,33.59,31.16,29.66,29.97,30.19,29.84,30.62,32.5,33.75,33.12,32.44,32.53,33.0,32.09,30.88,31.0,31.81,31.81,31.31,31.62,32.66,32.91,32.03,31.41,31.53,31.88,30.81,29.75,30.22,30.94,30.09,28.38,28.09,27.84,26.53,24.72,24.0,24.47,24.75,24.59,25.66,29.09,32.62,34.53,36.03,37.5,38.16,36.34,33.47,32.25,32.53,32.22,31.12,30.88,31.06,30.34,27.53,25.38,24.5,24.0,22.47,21.56,22.78,24.66,25.38,25.81,27.38,29.09,29.66,29.12,29.19,30.12,30.91,29.97,29.28,29.78,29.88,27.88,26.16,25.25,25.19,23.97,22.0,21.47,21.84,21.47,20.53,20.78,22.09,22.97,22.16,21.16,21.44,21.62,20.47,19.59,20.5,21.81,22.09,21.34,21.69,22.25,21.75,20.38,19.69,20.41,20.75,19.91,19.41,19.91,19.78,18.69,17.38,17.25,17.97,17.88,16.94,17.03,17.66,17.53,15.81,15.0,15.47,15.72,14.69,14.25,15.19,16.44,16.62,16.94,18.66,21.34,22.72,22.75,23.28,24.03,23.66,22.22,21.47,22.16,22.97,22.31,21.72,22.47,23.34,22.84,21.78,21.94,22.88,22.91,22.5,23.41,24.62,24.69,22.75,20.31,19.31,17.66,14.62,12.56,12.19,12.41,11.91,11.69,13.22,16.22,18.88,20.19,21.97,23.97,24.41,22.94,21.5,21.97,22.31,20.97,19.41,18.88,17.75,14.62,10.91,8.59,7.84,7.06,40.5,41.06,40.75,40.16,39.62,39.28,38.19,36.72,35.59,35.09,34.47,33.47,33.31,34.25,35.25,35.44,36.31,37.25,38.25,39.0,39.88,40.69,41.53,42.09,41.94,42.03,42.53,43.03,42.47,42.09,42.28,42.25,41.47,40.91,40.38:18.97,15.97,13.25,12.53,13.06,12.84,12.31,12.56,14.19,14.94,14.81,15.12,16.53,17.72,17.28,16.81,17.84,19.25,18.59,17.38,17.25,17.41,16.47,15.09,14.75,16.62,18.47,19.69,21.47,24.38,26.03,24.81,22.56,20.66,19.19,16.25,13.38,12.34,12.88,12.81,12.66,13.78,16.25,17.84,18.12,18.41,20.19,21.94,22.16,22.38,23.66,24.97,24.47,22.5,21.0,20.31,18.16,15.66,14.44,15.19,16.16,16.16,16.16,17.44,18.56,17.88,16.38,16.62,17.38,16.72,15.69,15.75,17.22,17.69,17.09,16.84,17.84,18.81,18.59,18.25,19.53,20.59,19.84,18.12,17.72,18.16,17.81,16.56,16.34,17.16,17.12,15.66,14.69,15.16,14.78,12.62,10.47,9.97,9.75,8.56,6.78,6.62,6.91,6.44,5.72,6.34,8.53,10.03,10.56,10.84,12.66,13.78,13.19,12.09,12.28,12.62,11.56,9.62,8.91,9.0,7.94,6.72,6.53,8.03,9.66,10.06,10.69,12.81,14.66,14.91,14.78,16.22,18.0,18.41,18.03,18.75,19.5,18.94,16.56,14.44,13.34,11.94,9.5,7.59,8.03,9.22,9.16,9.19,10.88,12.84,13.25,12.91,13.06,13.84,13.97,12.78,12.19,13.5,14.75,15.06,15.97,18.94,22.28,24.22,24.84,25.69,26.16,24.78,22.47,20.81,20.44,19.81,17.53,15.88,15.56,15.31,14.28,13.47,14.53,15.91,16.12,15.38,16.03,17.34,17.5,16.53,16.03,16.81,17.03,16.12,16.0,17.84,19.62,20.19,20.53,21.97,23.56,23.69,22.75,22.53,22.97,22.41,20.25,19.0,18.84,18.75,17.53,17.28,19.31,21.56,22.59,22.88,24.44,25.72,25.56,24.31,24.12,25.19,25.12,24.0,23.66,24.88,25.72,25.5,25.66,27.47,29.09,29.0,28.16,28.62,29.34,28.78,27.22,26.88,27.16,27.09,25.03,23.62,23.03,22.16,19.31,16.75,16.31,16.94,16.72,16.81,18.47,20.78,21.16,20.41,20.53,21.78,22.91,22.81,23.41,24.88,25.62,24.59,23.47,23.22,23.66,22.91,21.22,20.91,21.47,21.0,19.56,18.31,17.94,16.91,14.78,13.06,13.09,13.81,12.72,11.62,11.69,12.38,11.84,10.72,11.09,12.28,12.56,11.72,11.5,12.38,12.97,12.22,12.25,13.91,15.56,15.78,15.12,15.66,15.62,14.25,12.19,11.25,11.09,10.91,9.75,9.41,10.69,11.69,11.44,11.06,12.44,13.97,14.16,14.0,14.94,16.16,16.16,14.78,14.41,15.09,15.19,14.0,13.38,14.16,14.97,14.0,13.75,14.78,16.5,16.66,16.97,18.44,20.56,21.78,21.5,21.41,21.91,21.38,19.28,17.94,18.44,19.38,19.12,19.16,20.38,21.81,21.59,20.56,20.34,20.56,19.75,17.28,15.28,14.34,13.5,11.59,10.41,10.97,11.56,10.59,9.94,10.38,11.91,12.78,13.56,15.88,18.88,20.88,20.88,20.84,21.19,21.12,20.06,19.34,20.62,22.41,22.56,22.78,23.34,23.75,22.22,19.31,17.44,16.88,16.25,15.56,16.16,17.81,19.5,19.41,19.22,20.44,22.25,22.75,23.09,24.72,27.03,27.53,26.56,25.78,24.91,22.84,19.12,16.47,15.69,16.16,15.34,14.91,15.84,17.06,16.69,16.12,17.56,19.88,21.38,21.75,22.44,23.59,23.62,22.0,20.62,20.69,21.22,20.19,19.59,20.12,22.0,22.44,23.0,24.31,26.06,26.06,24.88,23.38,23.0,22.19,19.91,18.41,18.5,19.38,19.03,18.81,20.16,21.91,21.88,21.12,21.28,22.31,22.19,21.03,20.09,20.06,19.62,17.47,15.66,15.69,16.56,16.22,16.16,17.59,18.91,18.88,17.62,17.28,18.25,18.38,18.19,19.28,21.47,23.78,24.22,23.91,23.88,23.66,20.78,16.91,14.62,13.78,12.56,11.91,13.16,16.31,19.28,21.19,23.75,26.81,29.88,30.78,31.12,32.22,33.38,32.47,30.47,28.66,26.69,23.5,19.41,16.62,15.72,15.66,15.0,15.16,17.0,18.84,18.75,18.5,19.34,21.09,21.41,21.28,21.62,22.72,22.62,21.81,21.84,23.34,24.56,25.06,25.78,27.81,29.69,29.44,28.53,27.56,27.16,25.56,23.41,22.47,22.84,22.47,21.78,22.09,23.69,25.28,25.38,24.47,25.31,26.78,27.09,27.41,29.22,31.06,30.62,28.75,26.91,25.78,23.59,20.53,18.19,17.56,16.53,14.47,12.62,12.47,13.16,13.06,13.56,15.56,18.91,20.62,21.16,21.06,21.19,20.56,18.78,18.5,20.78,24.28,27.34,30.09,33.88,37.31,38.28,38.03,37.81,38.06,36.94,34.72,33.12,32.91,32.84,31.88,31.75,32.97,33.91,33.03,31.91,32.03,32.81,32.81,32.59,32.59,33.72,33.25,31.88,31.06,31.38,31.41,30.0,28.75,28.72,28.88,27.47,25.94,25.91,26.62,26.5,25.53,25.44,25.91,25.12,23.38,21.75,22.03,22.34,21.34,20.66,21.38,22.06,20.47,18.22,16.47,15.06,12.25,8.94,6.69,6.25,5.28,4.25,4.16,6.19,8.53,9.78,11.59,14.94,18.47,20.53,21.97,24.41,26.94,27.91,27.75,27.25,27.28,26.25,23.56,21.25,20.38,19.41,17.22,15.19,14.72,14.88,14.34,13.38,13.47,14.5,14.53,13.94,14.56,17.47,20.19,22.41,24.81,28.34,30.75,31.03,30.25,29.47,29.06,27.28,25.28,25.06,25.56,25.44,24.28,23.59,23.72,23.09,21.66,20.75,21.78,23.25,24.06,24.62,26.59,28.72,29.41,29.16,29.88,31.59,32.31,31.94,31.78,32.72,32.78,31.28,29.62,29.5,28.62,26.66,24.44,24.28,25.44,26.06,27.19,29.5,32.59,34.91,35.59,36.28,37.66,37.72,35.84,33.0,31.44,29.81,27.0,24.19,23.38,23.88,23.97,23.31,24.09,25.97,27.03,27.09,27.16,28.91,30.75,31.12,30.94,31.72,32.12,30.53,28.03,26.69,26.34,25.0,22.91,21.84,22.47,22.91,22.88,23.5,25.69,27.28,27.91,28.12,29.69,31.41,31.84,31.38,31.31,31.72,30.84,28.72,27.0,26.09,24.66,22.19,20.09,19.72,19.94,19.88,20.06,22.81,26.28,28.84,30.44,32.38,34.5,35.12,33.94,32.5,31.75,30.16,27.25,24.53,24.06,24.41,23.69,23.09,23.78,24.69,24.47,23.56,23.28,23.81,23.53,21.88,20.72,21.06,21.31,20.56,20.03,21.41,23.28,24.19,24.06,24.69,25.0,23.88,21.19,19.78,19.09,18.44,16.72,15.84,16.5,17.47,17.16,16.97,18.5,20.03,20.41,19.78,20.12,20.75,20.72,19.97,19.62,20.31,20.56,19.53,18.94,20.25,21.75,22.41,23.03,25.03,27.28,28.38,28.44,29.22,30.16,30.25,29.22,28.97,29.44,29.66,28.25,27.31,27.81,28.44,27.97,26.72,27.12,27.81,27.59,26.34,26.88,28.16,28.47,28.12,28.53,30.03,31.25,30.78,30.34,30.56,30.38,29.19,27.28,27.0,27.47,26.75,25.69,26.06,27.22,27.97,27.31,27.09,27.78,28.16,27.56,27.47,28.53,30.06,29.78,28.91,29.22,29.5,28.78,27.03,26.62,26.88,27.31,26.91,27.25,28.72,29.78,29.5,28.75,29.25,29.84,29.03,28.0,28.28,29.16,29.22,28.88,29.56,30.94,32.06,31.53,30.53,30.25,29.5,27.03,24.34,23.5,23.59,22.38,21.16,21.47,22.75,23.59,23.69,25.09,27.44,28.72,28.62,28.47,29.72,31.53,32.25,32.78,34.0,34.59,33.59,31.16,29.66,29.97,30.19,29.84,30.62,32.5,33.75,33.12,32.44,32.53,33.0,32.09,30.88,31.0,31.81,31.81,31.31,31.62,32.66,32.91,32.03,31.41,31.53,31.88,30.81,29.75,30.22,30.94,30.09,28.38,28.09,27.84,26.53,24.72,24.0,24.47,24.75,24.59,25.66,29.09,32.62,34.53,36.03,37.5,38.16,36.34,33.47,32.25,32.53,32.22,31.12,30.88,31.06,30.34,27.53,25.38,24.5,24.0,22.47,21.56,22.78,24.66,25.38,25.81,27.38,29.09,29.66,29.12,29.19,30.12,30.91,29.97,29.28,29.78,29.88,27.88,26.16,25.25,25.19,23.97,22.0,21.47,21.84,21.47,20.53,20.78,22.09,22.97,22.16,21.16,21.44,21.62,20.47,19.59,20.5,21.81,22.09,21.34,21.69,22.25,21.75,20.38,19.69,20.41,20.75,19.91,19.41,19.91,19.78,18.69,17.38,17.25,17.97,17.88,16.94,17.03,17.66,17.53,15.81,15.0,15.47,15.72,14.69,14.25,15.19,16.44,16.62,16.94,18.66,21.34,22.72,22.75,23.28,24.03,23.66,22.22,21.47,22.16,22.97,22.31,21.72,22.47,23.34,22.84,21.78,21.94,22.88,22.91,22.5,23.41,24.62,24.69,22.75,20.31,19.31,17.66,14.62,12.56,12.19,12.41,11.91,11.69,13.22,16.22,18.88,20.19,21.97,23.97,24.41,22.94,21.5,21.97,22.31,20.97,19.41,18.88,17.75,14.62,10.91,8.59,7.84,7.06,40.5,41.06,40.75,40.16,39.62,39.28,38.19,36.72,35.59,35.09,34.47,33.47,33.31,34.25,35.25,35.44,36.31,37.25,38.25,39.0,39.88,40.69,41.53,42.09,41.94,42.03,42.53,43.03,42.47,42.09,42.28,42.25,41.47,40.91,40.38,40.25,40.22,40.06,40.09,40.41,40.38,39.16:negativity
18.03,18.69,18.97,17.69,16.06,15.53,14.84,12.47,9.91,9.16,9.69,10.16,11.03,13.56,17.34,20.0,20.69,20.91,21.44,20.88,18.91,17.25,17.62,18.53,18.09,16.75,16.44,16.22,14.72,12.09,11.12,11.66,11.84,11.0,11.19,13.0,14.16,13.66,13.16,13.91,14.88,14.44,14.16,15.34,16.94,17.5,16.34,16.25,16.59,16.28,14.78,13.62,13.88,13.78,12.44,11.09,11.5,12.12,11.53,10.34,10.81,12.0,12.59,12.03,12.16,13.03,12.78,10.75,9.44,9.91,10.5,10.09,9.62,10.44,11.31,10.53,8.91,8.22,8.25,7.53,6.06,6.19,7.59,8.91,8.78,9.03,10.69,11.47,10.81,10.31,10.75,11.53,11.09,9.88,9.75,10.34,10.06,8.84,8.56,9.47,10.16,9.12,8.19,8.62,8.94,7.66,6.75,7.59,9.0,9.25,8.75,9.06,9.81,9.91,8.28,7.69,8.5,8.62,7.16,5.81,5.47,4.94,3.72,3.03,4.97,7.5,8.53,9.0,9.91,11.0,11.03,9.38,8.19,8.06,7.56,5.94,4.97,6.09,7.34,7.62,7.25,8.0,9.0,8.25,6.53,5.72,5.94,5.34,3.62,2.59,3.09,4.09,3.41,2.94,3.81,4.94,4.31,3.81,4.88,7.53,9.88,11.66,14.09,17.22,18.56,17.44,15.94,15.0,13.91,11.34,9.25,9.12,9.72,9.22,8.19,8.59,9.91,11.12,12.0,14.72,19.06,22.31,23.19,23.19,22.88,21.38,18.31,15.62,15.34,16.56,17.5,18.47,20.53,22.5,23.34,22.66,22.56,23.38,23.38,21.78,19.59,18.25,16.84,13.59,11.25,11.12,12.34,13.12,13.84,15.69,17.47,17.59,16.19,14.62,13.91,12.91,10.88,9.94,10.88,12.53,12.22,11.56,12.0,12.38,11.38,9.84,9.38,9.56,8.66,6.59,5.62,5.88,6.06,5.22,5.03,6.19,7.72,7.28,6.59,6.91,6.81,5.59,3.19,1.72,1.81,1.81,1.0,1.25,2.81,3.5,2.25,0.44,0.09,0.16,-0.97,-1.78,-1.12,-0.22,-0.69,-2.25,-3.16,-2.94,-3.16,-3.69,-2.97,-0.66,1.66,2.66,3.88,6.25,8.97,10.31,11.03,12.59,14.25,14.09,12.66,12.03,11.44,10.22,7.47,5.66,5.25,5.53,5.03,5.19,6.81,8.97,9.06,9.03,10.09,11.5,11.88,11.44,11.25,11.59,11.0,8.75,6.88,6.25,5.81,4.56,3.91,4.81,6.84,7.53,8.09,9.75,12.16,13.09,13.12,13.41,14.22,14.5,13.22,12.22,12.75,13.19,12.44,11.56,11.69,12.0,10.22,7.53,5.03,3.44,0.72,-2.25,-3.66,-3.5,-2.69,-2.66,-1.56,0.78,3.5,4.59,5.44,7.62,9.81,10.56,10.66,11.28,12.25,11.59,8.91,6.44,4.69,2.91,0.44,-1.12,-0.81,-0.22,-0.72,-1.59,-0.59,1.28,2.59,3.62,5.28,8.0,9.53,9.53,9.78,11.06,11.81,11.28,10.88,12.25,14.19,14.78,14.91,15.88,17.06,16.03,14.25,13.12,13.12,12.5,10.72,9.88,9.84,9.91,8.59,7.59,8.75,10.84,12.47,14.31,17.91,22.19,23.97,23.56,22.44,20.88,17.53,13.09,9.5,7.56,5.72,2.91,0.59,-0.06,0.75,1.25,2.06,4.75,8.28,10.78,12.28,14.34,16.94,18.38,17.78,17.06,16.41,15.41,12.56,9.78,8.41,8.31,7.12,6.12,7.16,9.72,11.94,13.81,16.31,19.59,21.56,21.69,21.81,22.84,23.47,22.81,21.5,21.31,21.28,19.94,18.78,18.75,19.69,20.12,19.28,18.78,19.19,19.03,17.59,16.03,15.62,14.72,12.34,9.69,8.56,8.5,7.97,7.16,7.97,9.91,10.84,10.91,11.53,13.5,14.88,14.88,14.69,15.69,17.03,16.88,16.62,17.94,19.84,20.28,19.69,19.69,20.22,19.66,17.91,16.75,17.03,17.03,15.44,13.62,12.78,12.03,9.56,7.41,6.75,7.31,7.41,7.12,8.09,10.69,12.94,14.41,16.62,19.78,22.12,22.78,22.94,23.56,24.12,23.09,21.41,20.12,20.09,18.66,17.03,15.94,16.0,14.97,12.41,10.44,10.16,9.84,8.69,7.62,8.22,9.38,9.62,9.97,11.28,13.47,14.19,14.16,14.44,15.53,15.84,14.44,13.03,13.16,12.97,12.03,10.81,10.94,11.62,10.94,9.56,8.66,8.81,7.81,5.81,4.69,5.78,6.28,5.97,6.16,7.75,9.47,10.25,11.09,13.47,16.47,18.47,20.09,22.0,24.69,26.06,26.25,26.41,27.41,28.38,27.66,26.81,27.09,27.38,25.81,23.69,22.44,21.69,20.0,17.72,16.31,16.56,16.5,16.12,16.5,18.59,20.44,21.06,21.75,23.38,25.28,26.34,27.38,29.47,32.16,33.22,32.94,32.75,32.81,31.47,28.62,25.66,24.22,22.69,20.44,18.94,19.38,19.94,19.31,17.84,16.69,16.16,15.19,13.56,13.31,14.62,15.56,15.81,16.59,19.03,21.22,21.84,21.88,22.62,23.03,21.78,19.53,18.81,18.75,17.78,15.97,14.91,14.94,14.06,12.59,11.34,11.78,12.84,12.66,11.94,12.84,13.31,12.44,10.81,10.06,10.53,10.97,11.16,12.62,15.84,18.25,18.53,18.19,18.47,18.19,17.0,16.0,16.47,17.09,16.75,15.25,14.44,14.59,14.44,13.56,14.16,16.12,17.84,18.06,17.38,17.44,16.84,14.28,11.72,10.94,11.25,11.47,11.56,12.84,14.88,16.47,16.69,16.84,18.34,19.66,19.12,18.78,19.94,21.12,21.09,20.75,21.44,22.38,22.53,21.41,20.88,21.0,20.16,18.06,16.44,16.62,16.75,16.06,15.16,16.06,17.09,16.97,17.19,18.81,21.34,23.0,23.34,23.44,23.69,22.75,19.5,15.97,13.34,10.84,6.81,3.78,2.88,3.06,3.09,3.62,6.19,10.06,14.16,17.31,20.94,25.38,28.66,29.62,29.84,30.44,29.91,26.84,22.75,19.62,16.28,12.44,8.69,7.31,8.44,10.06,11.16,13.25,15.97,18.41,19.03,19.88,22.12,23.94,23.88,22.19,20.97,19.56,17.09,14.16,12.88,12.91,12.25,10.19,8.72,8.78,9.34,8.72,8.62,10.22,11.69,11.69,10.59,11.38,11.97,11.84,10.94,10.59,10.5,9.5,6.94,4.97,4.25,5.06,5.59,6.53,9.81,13.09,15.16,16.16,17.69,18.47,17.44,14.81,12.56,11.28,10.0,8.28,7.78,9.16,11.38,12.88,14.72,17.84,20.97,22.19,21.31,20.78,19.53,17.59,14.72,13.44,14.09,15.12,15.0,14.53,14.78,14.59,12.41,10.03,9.31,9.09,8.19,6.91,7.62,9.5,11.19,12.25,13.84,15.66,16.5,15.22,13.5,13.22,13.03,11.62,10.06,10.47,11.69,12.22,12.03,12.94,14.34,14.59,13.38,12.53,12.91,13.19,12.0,11.25,11.94,12.72,12.19,11.47,12.53,14.34,15.56,16.12,17.09,18.38,18.75,17.31,16.66,17.5,18.09,18.22,18.38,20.47,23.19,24.75,25.75,27.31,28.44,27.62,24.91,22.12,20.59,18.81,15.56,12.62,10.59,8.34,5.44,3.47,4.25,6.56,8.34,9.97,12.75,16.5,19.38,21.44,24.56,28.03,30.69,30.91,30.38,30.12,28.97,26.12,23.06,21.66,20.75,18.94,16.78,16.25,16.97,16.59,15.22,14.28,13.69,12.16,9.22,6.88,6.31,6.47,5.81,5.62,7.19,9.06,9.41,9.0,9.19,10.03,9.97,9.5,9.94,11.5,12.97,12.84,13.09,14.31,15.31,14.75,13.5,13.5,14.12,13.69,12.62,12.41,13.53,14.16,13.69,14.28,15.69,16.97,16.38,15.41,14.88,14.53,12.31,9.19,8.0,7.62,6.5,5.19,4.81,5.78,6.47,6.0,6.75,8.38,9.91,9.44,9.22,10.06,11.66,12.34,12.31,13.22,14.44,14.53,13.5,13.38,14.47,15.41,14.94,15.0,16.28,17.66,17.91,18.12,19.25,20.41,19.72,18.09,17.19,16.75,14.88,12.06,9.69,8.0,6.16,3.31,1.09,0.16,0.34,-0.88,-1.31,-0.5,1.53,2.28,2.31,3.0,3.81,3.78,2.59,2.47,3.78,5.06,5.38,5.91,7.69,9.44,9.31,8.03,7.41,7.38,5.59,3.16,2.25,2.78,2.34,0.81,0.31,1.0,0.97,-0.69,-1.34,-0.5,1.94,3.75,6.38,10.56,15.16,17.66,18.81,19.44,20.62,20.59,19.19,18.09,19.06,19.66,18.25,16.5,15.47,14.34,11.62,9.25,8.62,9.94,10.66,10.56,11.38,13.59,15.0,15.31,16.44,19.59,22.72,24.16,25.81,27.97,29.16,27.16,23.22,18.62,14.5,9.12,3.28,-1.0,-3.19,-4.66,-6.03,-5.47,-1.84,2.5,5.88,8.88,12.69,16.09,18.28,19.47,21.38,23.94,25.25,24.59,24.47,25.38,26.03,25.31,24.66,24.88,24.03,20.97,17.31,15.06,13.75,11.53,8.75,6.88,6.31,5.44,4.5,4.84,7.25,9.34,9.62,9.47,10.56,12.19,12.75,13.62,15.81,18.78,20.25,20.59,21.78,23.72,24.94,24.56,24.41,25.06,24.81,22.91,20.81,19.41,18.22,15.75,12.69,10.91,10.12,8.78,7.16,6.94,8.53,9.81,10.12,10.28,11.59,12.16,11.06,10.38,11.09,12.47,12.44,12.16,12.72,14.19,14.59,13.78,13.09,13.41,12.75,10.25,8.44,8.41,8.41,7.12,5.81,5.91:12.47,9.91,9.16,9.69,10.16,11.03,13.56,17.34,20.0,20.69,20.91,21.44,20.88,18.91,17.25,17.62,18.53,18.09,16.75,16.44,16.22,14.72,12.09,11.12,11.66,11.84,11.0,11.19,13.0,14.16,13.66,13.16,13.91,14.88,14.44,14.16,15.34,16.94,17.5,16.34,16.25,16.59,16.28,14.78,13.62,13.88,13.78,12.44,11.09,11.5,12.12,11.53,10.34,10.81,12.0,12.59,12.03,12.16,13.03,12.78,10.75,9.44,9.91,10.5,10.09,9.62,10.44,11.31,10.53,8.91,8.22,8.25,7.53,6.06,6.19,7.59,8.91,8.78,9.03,10.69,11.47,10.81,10.31,10.75,11.53,11.09,9.88,9.75,10.34,10.06,8.84,8.56,9.47,10.16,9.12,8.19,8.62,8.94,7.66,6.75,7.59,9.0,9.25,8.75,9.06,9.81,9.91,8.28,7.69,8.5,8.62,7.16,5.81,5.47,4.94,3.72,3.03,4.97,7.5,8.53,9.0,9.91,11.0,11.03,9.38,8.19,8.06,7.56,5.94,4.97,6.09,7.34,7.62,7.25,8.0,9.0,8.25,6.53,5.72,5.94,5.34,3.62,2.59,3.09,4.09,3.41,2.94,3.81,4.94,4.31,3.81,4.88,7.53,9.88,11.66,14.09,17.22,18.56,17.44,15.94,15.0,13.91,11.34,9.25,9.12,9.72,9.22,8.19,8.59,9.91,11.12,12.0,14.72,19.06,22.31,23.19,23.19,22.88,21.38,18.31,15.62,15.34,16.56,17.5,18.47,20.53,22.5,23.34,22.66,22.56,23.38,23.38,21.78,19.59,18.25,16.84,13.59,11.25,11.12,12.34,13.12,13.84,15.69,17.47,17.59,16.19,14.62,13.91,12.91,10.88,9.94,10.88,12.53,12.22,11.56,12.0,12.38,11.38,9.84,9.38,9.56,8.66,6.59,5.62,5.88,6.06,5.22,5.03,6.19,7.72,7.28,6.59,6.91,6.81,5.59,3.19,1.72,1.81,1.81,1.0,1.25,2.81,3.5,2.25,0.44,0.09,0.16,-0.97,-1.78,-1.12,-0.22,-0.69,-2.25,-3.16,-2.94,-3.16,-3.69,-2.97,-0.66,1.66,2.66,3.88,6.25,8.97,10.31,11.03,12.59,14.25,14.09,12.66,12.03,11.44,10.22,7.47,5.66,5.25,5.53,5.03,5.19,6.81,8.97,9.06,9.03,10.09,11.5,11.88,11.44,11.25,11.59,11.0,8.75,6.88,6.25,5.81,4.56,3.91,4.81,6.84,7.53,8.09,9.75,12.16,13.09,13.12,13.41,14.22,14.5,13.22,12.22,12.75,13.19,12.44,11.56,11.69,12.0,10.22,7.53,5.03,3.44,0.72,-2.25,-3.66,-3.5,-2.69,-2.66,-1.56,0.78,3.5,4.59,5.44,7.62,9.81,10.56,10.66,11.28,12.25,11.59,8.91,6.44,4.69,2.91,0.44,-1.12,-0.81,-0.22,-0.72,-1.59,-0.59,1.28,2.59,3.62,5.28,8.0,9.53,9.53,9.78,11.06,11.81,11.28,10.88,12.25,14.19,14.78,14.91,15.88,17.06,16.03,14.25,13.12,13.12,12.5,10.72,9.88,9.84,9.91,8.59,7.59,8.75,10.84,12.47,14.31,17.91,22.19,23.97,23.56,22.44,20.88,17.53,13.09,9.5,7.56,5.72,2.91,0.59,-0.06,0.75,1.25,2.06,4.75,8.28,10.78,12.28,14.34,16.94,18.38,17.78,17.06,16.41,15.41,12.56,9.78,8.41,8.31,7.12,6.12,7.16,9.72,11.94,13.81,16.31,19.59,21.56,21.69,21.81,22.84,23.47,22.81,21.5,21.31,21.28,19.94,18.78,18.75,19.69,20.12,19.28,18.78,19.19,19.03,17.59,16.03,15.62,14.72,12.34,9.69,8.56,8.5,7.97,7.16,7.97,9.91,10.84,10.91,11.53,13.5,14.88,14.88,14.69,15.69,17.03,16.88,16.62,17.94,19.84,20.28,19.69,19.69,20.22,19.66,17.91,16.75,17.03,17.03,15.44,13.62,12.78,12.03,9.56,7.41,6.75,7.31,7.41,7.12,8.09,10.69,12.94,14.41,16.62,19.78,22.12,22.78,22.94,23.56,24.12,23.09,21.41,20.12,20.09,18.66,17.03,15.94,16.0,14.97,12.41,10.44,10.16,9.84,8.69,7.62,8.22,9.38,9.62,9.97,11.28,13.47,14.19,14.16,14.44,15.53,15.84,14.44,13.03,13.16,12.97,12.03,10.81,10.94,11.62,10.94,9.56,8.66,8.81,7.81,5.81,4.69,5.78,6.28,5.97,6.16,7.75,9.47,10.25,11.09,13.47,16.47,18.47,20.09,22.0,24.69,26.06,26.25,26.41,27.41,28.38,27.66,26.81,27.09,27.38,25.81,23.69,22.44,21.69,20.0,17.72,16.31,16.56,16.5,16.12,16.5,18.59,20.44,21.06,21.75,23.38,25.28,26.34,27.38,29.47,32.16,33.22,32.94,32.75,32.81,31.47,28.62,25.66,24.22,22.69,20.44,18.94,19.38,19.94,19.31,17.84,16.69,16.16,15.19,13.56,13.31,14.62,15.56,15.81,16.59,19.03,21.22,21.84,21.88,22.62,23.03,21.78,19.53,18.81,18.75,17.78,15.97,14.91,14.94,14.06,12.59,11.34,11.78,12.84,12.66,11.94,12.84,13.31,12.44,10.81,10.06,10.53,10.97,11.16,12.62,15.84,18.25,18.53,18.19,18.47,18.19,17.0,16.0,16.47,17.09,16.75,15.25,14.44,14.59,14.44,13.56,14.16,16.12,17.84,18.06,17.38,17.44,16.84,14.28,11.72,10.94,11.25,11.47,11.56,12.84,14.88,16.47,16.69,16.84,18.34,19.66,19.12,18.78,19.94,21.12,21.09,20.75,21.44,22.38,22.53,21.41,20.88,21.0,20.16,18.06,16.44,16.62,16.75,16.06,15.16,16.06,17.09,16.97,17.19,18.81,21.34,23.0,23.34,23.44,23.69,22.75,19.5,15.97,13.34,10.84,6.81,3.78,2.88,3.06,3.09,3.62,6.19,10.06,14.16,17.31,20.94,25.38,28.66,29.62,29.84,30.44,29.91,26.84,22.75,19.62,16.28,12.44,8.69,7.31,8.44,10.06,11.16,13.25,15.97,18.41,19.03,19.88,22.12,23.94,23.88,22.19,20.97,19.56,17.09,14.16,12.88,12.91,12.25,10.19,8.72,8.78,9.34,8.72,8.62,10.22,11.69,11.69,10.59,11.38,11.97,11.84,10.94,10.59,10.5,9.5,6.94,4.97,4.25,5.06,5.59,6.53,9.81,13.09,15.16,16.16,17.69,18.47,17.44,14.81,12.56,11.28,10.0,8.28,7.78,9.16,11.38,12.88,14.72,17.84,20.97,22.19,21.31,20.78,19.53,17.59,14.72,13.44,14.09,15.12,15.0,14.53,14.78,14.59,12.41,10.03,9.31,9.09,8.19,6.91,7.62,9.5,11.19,12.25,13.84,15.66,16.5,15.22,13.5,13.22,13.03,11.62,10.06,10.47,11.69,12.22,12.03,12.94,14.34,14.59,13.38,12.53,12.91,13.19,12.0,11.25,11.94,12.72,12.19,11.47,12.53,14.34,15.56,16.12,17.09,18.38,18.75,17.31,16.66,17.5,18.09,18.22,18.38,20.47,23.19,24.75,25.75,27.31,28.44,27.62,24.91,22.12,20.59,18.81,15.56,12.62,10.59,8.34,5.44,3.47,4.25,6.56,8.34,9.97,12.75,16.5,19.38,21.44,24.56,28.03,30.69,30.91,30.38,30.12,28.97,26.12,23.06,21.66,20.75,18.94,16.78,16.25,16.97,16.59,15.22,14.28,13.69,12.16,9.22,6.88,6.31,6.47,5.81,5.62,7.19,9.06,9.41,9.0,9.19,10.03,9.97,9.5,9.94,11.5,12.97,12.84,13.09,14.31,15.31,14.75,13.5,13.5,14.12,13.69,12.62,12.41,13.53,14.16,13.69,14.28,15.69,16.97,16.38,15.41,14.88,14.53,12.31,9.19,8.0,7.62,6.5,5.19,4.81,5.78,6.47,6.0,6.75,8.38,9.91,9.44,9.22,10.06,11.66,12.34,12.31,13.22,14.44,14.53,13.5,13.38,14.47,15.41,14.94,15.0,16.28,17.66,17.91,18.12,19.25,20.41,19.72,18.09,17.19,16.75,14.88,12.06,9.69,8.0,6.16,3.31,1.09,0.16,0.34,-0.88,-1.31,-0.5,1.53,2.28,2.31,3.0,3.81,3.78,2.59,2.47,3.78,5.06,5.38,5.91,7.69,9.44,9.31,8.03,7.41,7.38,5.59,3.16,2.25,2.78,2.34,0.81,0.31,1.0,0.97,-0.69,-1.34,-0.5,1.94,3.75,6.38,10.56,15.16,17.66,18.81,19.44,20.62,20.59,19.19,18.09,19.06,19.66,18.25,16.5,15.47,14.34,11.62,9.25,8.62,9.94,10.66,10.56,11.38,13.59,15.0,15.31,16.44,19.59,22.72,24.16,25.81,27.97,29.16,27.16,23.22,18.62,14.5,9.12,3.28,-1.0,-3.19,-4.66,-6.03,-5.47,-1.84,2.5,5.88,8.88,12.69,16.09,18.28,19.47,21.38,23.94,25.25,24.59,24.47,25.38,26.03,25.31,24.66,24.88,24.03,20.97,17.31,15.06,13.75,11.53,8.75,6.88,6.31,5.44,4.5,4.84,7.25,9.34,9.62,9.47,10.56,12.19,12.75,13.62,15.81,18.78,20.25,20.59,21.78,23.72,24.94,24.56,24.41,25.06,24.81,22.91,20.81,19.41,18.22,15.75,12.69,10.91,10.12,8.78,7.16,6.94,8.53,9.81,10.12,10.28,11.59,12.16,11.06,10.38,11.09,12.47,12.44,12.16,12.72,14.19,14.59,13.78,13.09,13.41,12.75,10.25,8.44,8.41,8.41,7.12,5.81,5.91,41.66,41.44,40.97,40.62,39.69,37.94,36.19:17.34,20.0,20.69,20.91,21.44,20.88,18.91,17.25,17.62,18.53,18.09,16.75,16.44,16.22,14.72,12.09,11.12,11.66,11.84,11.0,11.19,13.0,14.16,13.66,13.16,13.91,14.88,14.44,14.16,15.34,16.94,17.5,16.34,16.25,16.59,16.28,14.78,13.62,13.88,13.78,12.44,11.09,11.5,12.12,11.53,10.34,10.81,12.0,12.59,12.03,12.16,13.03,12.78,10.75,9.44,9.91,10.5,10.09,9.62,10.44,11.31,10.53,8.91,8.22,8.25,7.53,6.06,6.19,7.59,8.91,8.78,9.03,10.69,11.47,10.81,10.31,10.75,11.53,11.09,9.88,9.75,10.34,10.06,8.84,8.56,9.47,10.16,9.12,8.19,8.62,8.94,7.66,6.75,7.59,9.0,9.25,8.75,9.06,9.81,9.91,8.28,7.69,8.5,8.62,7.16,5.81,5.47,4.94,3.72,3.03,4.97,7.5,8.53,9.0,9.91,11.0,11.03,9.38,8.19,8.06,7.56,5.94,4.97,6.09,7.34,7.62,7.25,8.0,9.0,8.25,6.53,5.72,5.94,5.34,3.62,2.59,3.09,4.09,3.41,2.94,3.81,4.94,4.31,3.81,4.88,7.53,9.88,11.66,14.09,17.22,18.56,17.44,15.94,15.0,13.91,11.34,9.25,9.12,9.72,9.22,8.19,8.59,9.91,11.12,12.0,14.72,19.06,22.31,23.19,23.19,22.88,21.38,18.31,15.62,15.34,16.56,17.5,18.47,20.53,22.5,23.34,22.66,22.56,23.38,23.38,21.78,19.59,18.25,16.84,13.59,11.25,11.12,12.34,13.12,13.84,15.69,17.47,17.59,16.19,14.62,13.91,12.91,10.88,9.94,10.88,12.53,12.22,11.56,12.0,12.38,11.38,9.84,9.38,9.56,8.66,6.59,5.62,5.88,6.06,5.22,5.03,6.19,7.72,7.28,6.59,6.91,6.81,5.59,3.19,1.72,1.81,1.81,1.0,1.25,2.81,3.5,2.25,0.44,0.09,0.16,-0.97,-1.78,-1.12,-0.22,-0.69,-2.25,-3.16,-2.94,-3.16,-3.69,-2.97,-0.66,1.66,2.66,3.88,6.25,8.97,10.31,11.03,12.59,14.25,14.09,12.66,12.03,11.44,10.22,7.47,5.66,5.25,5.53,5.03,5.19,6.81,8.97,9.06,9.03,10.09,11.5,11.88,11.44,11.25,11.59,11.0,8.75,6.88,6.25,5.81,4.56,3.91,4.81,6.84,7.53,8.09,9.75,12.16,13.09,13.12,13.41,14.22,14.5,13.22,12.22,12.75,13.19,12.44,11.56,11.69,12.0,10.22,7.53,5.03,3.44,0.72,-2.25,-3.66,-3.5,-2.69,-2.66,-1.56,0.78,3.5,4.59,5.44,7.62,9.81,10.56,10.66,11.28,12.25,11.59,8.91,6.44,4.69,2.91,0.44,-1.12,-0.81,-0.22,-0.72,-1.59,-0.59,1.28,2.59,3.62,5.28,8.0,9.53,9.53,9.78,11.06,11.81,11.28,10.88,12.25,14.19,14.78,14.91,15.88,17.06,16.03,14.25,13.12,13.12,12.5,10.72,9.88,9.84,9.91,8.59,7.59,8.75,10.84,12.47,14.31,17.91,22.19,23.97,23.56,22.44,20.88,17.53,13.09,9.5,7.56,5.72,2.91,0.59,-0.06,0.75,1.25,2.06,4.75,8.28,10.78,12.28,14.34,16.94,18.38,17.78,17.06,16.41,15.41,12.56,9.78,8.41,8.31,7.12,6.12,7.16,9.72,11.94,13.81,16.31,19.59,21.56,21.69,21.81,22.84,23.47,22.81,21.5,21.31,21.28,19.94,18.78,18.75,19.69,20.12,19.28,18.78,19.19,19.03,17.59,16.03,15.62,14.72,12.34,9.69,8.56,8.5,7.97,7.16,7.97,9.91,10.84,10.91,11.53,13.5,14.88,14.88,14.69,15.69,17.03,16.88,16.62,17.94,19.84,20.28,19.69,19.69,20.22,19.66,17.91,16.75,17.03,17.03,15.44,13.62,12.78,12.03,9.56,7.41,6.75,7.31,7.41,7.12,8.09,10.69,12.94,14.41,16.62,19.78,22.12,22.78,22.94,23.56,24.12,23.09,21.41,20.12,20.09,18.66,17.03,15.94,16.0,14.97,12.41,10.44,10.16,9.84,8.69,7.62,8.22,9.38,9.62,9.97,11.28,13.47,14.19,14.16,14.44,15.53,15.84,14.44,13.03,13.16,12.97,12.03,10.81,10.94,11.62,10.94,9.56,8.66,8.81,7.81,5.81,4.69,5.78,6.28,5.97,6.16,7.75,9.47,10.25,11.09,13.47,16.47,18.47,20.09,22.0,24.69,26.06,26.25,26.41,27.41,28.38,27.66,26.81,27.09,27.38,25.81,23.69,22.44,21.69,20.0,17.72,16.31,16.56,16.5,16.12,16.5,18.59,20.44,21.06,21.75,23.38,25.28,26.34,27.38,29.47,32.16,33.22,32.94,32.75,32.81,31.47,28.62,25.66,24.22,22.69,20.44,18.94,19.38,19.94,19.31,17.84,16.69,16.16,15.19,13.56,13.31,14.62,15.56,15.81,16.59,19.03,21.22,21.84,21.88,22.62,23.03,21.78,19.53,18.81,18.75,17.78,15.97,14.91,14.94,14.06,12.59,11.34,11.78,12.84,12.66,11.94,12.84,13.31,12.44,10.81,10.06,10.53,10.97,11.16,12.62,15.84,18.25,18.53,18.19,18.47,18.19,17.0,16.0,16.47,17.09,16.75,15.25,14.44,14.59,14.44,13.56,14.16,16.12,17.84,18.06,17.38,17.44,16.84,14.28,11.72,10.94,11.25,11.47,11.56,12.84,14.88,16.47,16.69,16.84,18.34,19.66,19.12,18.78,19.94,21.12,21.09,20.75,21.44,22.38,22.53,21.41,20.88,21.0,20.16,18.06,16.44,16.62,16.75,16.06,15.16,16.06,17.09,16.97,17.19,18.81,21.34,23.0,23.34,23.44,23.69,22.75,19.5,15.97,13.34,10.84,6.81,3.78,2.88,3.06,3.09,3.62,6.19,10.06,14.16,17.31,20.94,25.38,28.66,29.62,29.84,30.44,29.91,26.84,22.75,19.62,16.28,12.44,8.69,7.31,8.44,10.06,11.16,13.25,15.97,18.41,19.03,19.88,22.12,23.94,23.88,22.19,20.97,19.56,17.09,14.16,12.88,12.91,12.25,10.19,8.72,8.78,9.34,8.72,8.62,10.22,11.69,11.69,10.59,11.38,11.97,11.84,10.94,10.59,10.5,9.5,6.94,4.97,4.25,5.06,5.59,6.53,9.81,13.09,15.16,16.16,17.69,18.47,17.44,14.81,12.56,11.28,10.0,8.28,7.78,9.16,11.38,12.88,14.72,17.84,20.97,22.19,21.31,20.78,19.53,17.59,14.72,13.44,14.09,15.12,15.0,14.53,14.78,14.59,12.41,10.03,9.31,9.09,8.19,6.91,7.62,9.5,11.19,12.25,13.84,15.66,16.5,15.22,13.5,13.22,13.03,11.62,10.06,10.47,11.69,12.22,12.03,12.94,14.34,14.59,13.38,12.53,12.91,13.19,12.0,11.25,11.94,12.72,12.19,11.47,12.53,14.34,15.56,16.12,17.09,18.38,18.75,17.31,16.66,17.5,18.09,18.22,18.38,20.47,23.19,24.75,25.75,27.31,28.44,27.62,24.91,22.12,20.59,18.81,15.56,12.62,10.59,8.34,5.44,3.47,4.25,6.56,8.34,9.97,12.75,16.5,19.38,21.44,24.56,28.03,30.69,30.91,30.38,30.12,28.97,26.12,23.06,21.66,20.75,18.94,16.78,16.25,16.97,16.59,15.22,14.28,13.69,12.16,9.22,6.88,6.31,6.47,5.81,5.62,7.19,9.06,9.41,9.0,9.19,10.03,9.97,9.5,9.94,11.5,12.97,12.84,13.09,14.31,15.31,14.75,13.5,13.5,14.12,13.69,12.62,12.41,13.53,14.16,13.69,14.28,15.69,16.97,16.38,15.41,14.88,14.53,12.31,9.19,8.0,7.62,6.5,5.19,4.81,5.78,6.47,6.0,6.75,8.38,9.91,9.44,9.22,10.06,11.66,12.34,12.31,13.22,14.44,14.53,13.5,13.38,14.47,15.41,14.94,15.0,16.28,17.66,17.91,18.12,19.25,20.41,19.72,18.09,17.19,16.75,14.88,12.06,9.69,8.0,6.16,3.31,1.09,0.16,0.34,-0.88,-1.31,-0.5,1.53,2.28,2.31,3.0,3.81,3.78,2.59,2.47,3.78,5.06,5.38,5.91,7.69,9.44,9.31,8.03,7.41,7.38,5.59,3.16,2.25,2.78,2.34,0.81,0.31,1.0,0.97,-0.69,-1.34,-0.5,1.94,3.75,6.38,10.56,15.16,17.66,18.81,19.44,20.62,20.59,19.19,18.09,19.06,19.66,18.25,16.5,15.47,14.34,11.62,9.25,8.62,9.94,10.66,10.56,11.38,13.59,15.0,15.31,16.44,19.59,22.72,24.16,25.81,27.97,29.16,27.16,23.22,18.62,14.5,9.12,3.28,-1.0,-3.19,-4.66,-6.03,-5.47,-1.84,2.5,5.88,8.88,12.69,16.09,18.28,19.47,21.38,23.94,25.25,24.59,24.47,25.38,26.03,25.31,24.66,24.88,24.03,20.97,17.31,15.06,13.75,11.53,8.75,6.88,6.31,5.44,4.5,4.84,7.25,9.34,9.62,9.47,10.56,12.19,12.75,13.62,15.81,18.78,20.25,20.59,21.78,23.72,24.94,24.56,24.41,25.06,24.81,22.91,20.81,19.41,18.22,15.75,12.69,10.91,10.12,8.78,7.16,6.94,8.53,9.81,10.12,10.28,11.59,12.16,11.06,10.38,11.09,12.47,12.44,12.16,12.72,14.19,14.59,13.78,13.09,13.41,12.75,10.25,8.44,8.41,8.41,7.12,5.81,5.91,41.66,41.44,40.97,40.62,39.69,37.94,36.19,35.0,33.97,33.03,32.72,33.62,35.16,37.0:17.25,17.62,18.53,18.09,16.75,16.44,16.22,14.72,12.09,11.12,11.66,11.84,11.0,11.19,13.0,14.16,13.66,13.16,13.91,14.88,14.44,14.16,15.34,16.94,17.5,16.34,16.25,16.59,16.28,14.78,13.62,13.88,13.78,12.44,11.09,11.5,12.12,11.53,10.34,10.81,12.0,12.59,12.03,12.16,13.03,12.78,10.75,9.44,9.91,10.5,10.09,9.62,10.44,11.31,10.53,8.91,8.22,8.25,7.53,6.06,6.19,7.59,8.91,8.78,9.03,10.69,11.47,10.81,10.31,10.75,11.53,11.09,9.88,9.75,10.34,10.06,8.84,8.56,9.47,10.16,9.12,8.19,8.62,8.94,7.66,6.75,7.59,9.0,9.25,8.75,9.06,9.81,9.91,8.28,7.69,8.5,8.62,7.16,5.81,5.47,4.94,3.72,3.03,4.97,7.5,8.53,9.0,9.91,11.0,11.03,9.38,8.19,8.06,7.56,5.94,4.97,6.09,7.34,7.62,7.25,8.0,9.0,8.25,6.53,5.72,5.94,5.34,3.62,2.59,3.09,4.09,3.41,2.94,3.81,4.94,4.31,3.81,4.88,7.53,9.88,11.66,14.09,17.22,18.56,17.44,15.94,15.0,13.91,11.34,9.25,9.12,9.72,9.22,8.19,8.59,9.91,11.12,12.0,14.72,19.06,22.31,23.19,23.19,22.88,21.38,18.31,15.62,15.34,16.56,17.5,18.47,20.53,22.5,23.34,22.66,22.56,23.38,23.38,21.78,19.59,18.25,16.84,13.59,11.25,11.12,12.34,13.12,13.84,15.69,17.47,17.59,16.19,14.62,13.91,12.91,10.88,9.94,10.88,12.53,12.22,11.56,12.0,12.38,11.38,9.84,9.38,9.56,8.66,6.59,5.62,5.88,6.06,5.22,5.03,6.19,7.72,7.28,6.59,6.91,6.81,5.59,3.19,1.72,1.81,1.81,1.0,1.25,2.81,3.5,2.25,0.44,0.09,0.16,-0.97,-1.78,-1.12,-0.22,-0.69,-2.25,-3.16,-2.94,-3.16,-3.69,-2.97,-0.66,1.66,2.66,3.88,6.25,8.97,10.31,11.03,12.59,14.25,14.09,12.66,12.03,11.44,10.22,7.47,5.66,5.25,5.53,5.03,5.19,6.81,8.97,9.06,9.03,10.09,11.5,11.88,11.44,11.25,11.59,11.0,8.75,6.88,6.25,5.81,4.56,3.91,4.81,6.84,7.53,8.09,9.75,12.16,13.09,13.12,13.41,14.22,14.5,13.22,12.22,12.75,13.19,12.44,11.56,11.69,12.0,10.22,7.53,5.03,3.44,0.72,-2.25,-3.66,-3.5,-2.69,-2.66,-1.56,0.78,3.5,4.59,5.44,7.62,9.81,10.56,10.66,11.28,12.25,11.59,8.91,6.44,4.69,2.91,0.44,-1.12,-0.81,-0.22,-0.72,-1.59,-0.59,1.28,2.59,3.62,5.28,8.0,9.53,9.53,9.78,11.06,11.81,11.28,10.88,12.25,14.19,14.78,14.91,15.88,17.06,16.03,14.25,13.12,13.12,12.5,10.72,9.88,9.84,9.91,8.59,7.59,8.75,10.84,12.47,14.31,17.91,22.19,23.97,23.56,22.44,20.88,17.53,13.09,9.5,7.56,5.72,2.91,0.59,-0.06,0.75,1.25,2.06,4.75,8.28,10.78,12.28,14.34,16.94,18.38,17.78,17.06,16.41,15.41,12.56,9.78,8.41,8.31,7.12,6.12,7.16,9.72,11.94,13.81,16.31,19.59,21.56,21.69,21.81,22.84,23.47,22.81,21.5,21.31,21.28,19.94,18.78,18.75,19.69,20.12,19.28,18.78,19.19,19.03,17.59,16.03,15.62,14.72,12.34,9.69,8.56,8.5,7.97,7.16,7.97,9.91,10.84,10.91,11.53,13.5,14.88,14.88,14.69,15.69,17.03,16.88,16.62,17.94,19.84,20.28,19.69,19.69,20.22,19.66,17.91,16.75,17.03,17.03,15.44,13.62,12.78,12.03,9.56,7.41,6.75,7.31,7.41,7.12,8.09,10.69,12.94,14.41,16.62,19.78,22.12,22.78,22.94,23.56,24.12,23.09,21.41,20.12,20.09,18.66,17.03,15.94,16.0,14.97,12.41,10.44,10.16,9.84,8.69,7.62,8.22,9.38,9.62,9.97,11.28,13.47,14.19,14.16,14.44,15.53,15.84,14.44,13.03,13.16,12.97,12.03,10.81,10.94,11.62,10.94,9.56,8.66,8.81,7.81,5.81,4.69,5.78,6.28,5.97,6.16,7.75,9.47,10.25,11.09,13.47,16.47,18.47,20.09,22.0,24.69,26.06,26.25,26.41,27.41,28.38,27.66,26.81,27.09,27.38,25.81,23.69,22.44,21.69,20.0,17.72,16.31,16.56,16.5,16.12,16.5,18.59,20.44,21.06,21.75,23.38,25.28,26.34,27.38,29.47,32.16,33.22,32.94,32.75,32.81,31.47,28.62,25.66,24.22,22.69,20.44,18.94,19.38,19.94,19.31,17.84,16.69,16.16,15.19,13.56,13.31,14.62,15.56,15.81,16.59,19.03,21.22,21.84,21.88,22.62,23.03,21.78,19.53,18.81,18.75,17.78,15.97,14.91,14.94,14.06,12.59,11.34,11.78,12.84,12.66,11.94,12.84,13.31,12.44,10.81,10.06,10.53,10.97,11.16,12.62,15.84,18.25,18.53,18.19,18.47,18.19,17.0,16.0,16.47,17.09,16.75,15.25,14.44,14.59,14.44,13.56,14.16,16.12,17.84,18.06,17.38,17.44,16.84,14.28,11.72,10.94,11.25,11.47,11.56,12.84,14.88,16.47,16.69,16.84,18.34,19.66,19.12,18.78,19.94,21.12,21.09,20.75,21.44,22.38,22.53,21.41,20.88,21.0,20.16,18.06,16.44,16.62,16.75,16.06,15.16,16.06,17.09,16.97,17.19,18.81,21.34,23.0,23.34,23.44,23.69,22.75,19.5,15.97,13.34,10.84,6.81,3.78,2.88,3.06,3.09,3.62,6.19,10.06,14.16,17.31,20.94,25.38,28.66,29.62,29.84,30.44,29.91,26.84,22.75,19.62,16.28,12.44,8.69,7.31,8.44,10.06,11.16,13.25,15.97,18.41,19.03,19.88,22.12,23.94,23.88,22.19,20.97,19.56,17.09,14.16,12.88,12.91,12.25,10.19,8.72,8.78,9.34,8.72,8.62,10.22,11.69,11.69,10.59,11.38,11.97,11.84,10.94,10.59,10.5,9.5,6.94,4.97,4.25,5.06,5.59,6.53,9.81,13.09,15.16,16.16,17.69,18.47,17.44,14.81,12.56,11.28,10.0,8.28,7.78,9.16,11.38,12.88,14.72,17.84,20.97,22.19,21.31,20.78,19.53,17.59,14.72,13.44,14.09,15.12,15.0,14.53,14.78,14.59,12.41,10.03,9.31,9.09,8.19,6.91,7.62,9.5,11.19,12.25,13.84,15.66,16.5,15.22,13.5,13.22,13.03,11.62,10.06,10.47,11.69,12.22,12.03,12.94,14.34,14.59,13.38,12.53,12.91,13.19,12.0,11.25,11.94,12.72,12.19,11.47,12.53,14.34,15.56,16.12,17.09,18.38,18.75,17.31,16.66,17.5,18.09,18.22,18.38,20.47,23.19,24.75,25.75,27.31,28.44,27.62,24.91,22.12,20.59,18.81,15.56,12.62,10.59,8.34,5.44,3.47,4.25,6.56,8.34,9.97,12.75,16.5,19.38,21.44,24.56,28.03,30.69,30.91,30.38,30.12,28.97,26.12,23.06,21.66,20.75,18.94,16.78,16.25,16.97,16.59,15.22,14.28,13.69,12.16,9.22,6.88,6.31,6.47,5.81,5.62,7.19,9.06,9.41,9.0,9.19,10.03,9.97,9.5,9.94,11.5,12.97,12.84,13.09,14.31,15.31,14.75,13.5,13.5,14.12,13.69,12.62,12.41,13.53,14.16,13.69,14.28,15.69,16.97,16.38,15.41,14.88,14.53,12.31,9.19,8.0,7.62,6.5,5.19,4.81,5.78,6.47,6.0,6.75,8.38,9.91,9.44,9.22,10.06,11.66,12.34,12.31,13.22,14.44,14.53,13.5,13.38,14.47,15.41,14.94,15.0,16.28,17.66,17.91,18.12,19.25,20.41,19.72,18.09,17.19,16.75,14.88,12.06,9.69,8.0,6.16,3.31,1.09,0.16,0.34,-0.88,-1.31,-0.5,1.53,2.28,2.31,3.0,3.81,3.78,2.59,2.47,3.78,5.06,5.38,5.91,7.69,9.44,9.31,8.03,7.41,7.38,5.59,3.16,2.25,2.78,2.34,0.81,0.31,1.0,0.97,-0.69,-1.34,-0.5,1.94,3.75,6.38,10.56,15.16,17.66,18.81,19.44,20.62,20.59,19.19,18.09,19.06,19.66,18.25,16.5,15.47,14.34,11.62,9.25,8.62,9.94,10.66,10.56,11.38,13.59,15.0,15.31,16.44,19.59,22.72,24.16,25.81,27.97,29.16,27.16,23.22,18.62,14.5,9.12,3.28,-1.0,-3.19,-4.66,-6.03,-5.47,-1.84,2.5,5.88,8.88,12.69,16.09,18.28,19.47,21.38,23.94,25.25,24.59,24.47,25.38,26.03,25.31,24.66,24.88,24.03,20.97,17.31,15.06,13.75,11.53,8.75,6.88,6.31,5.44,4.5,4.84,7.25,9.34,9.62,9.47,10.56,12.19,12.75,13.62,15.81,18.78,20.25,20.59,21.78,23.72,24.94,24.56,24.41,25.06,24.81,22.91,20.81,19.41,18.22,15.75,12.69,10.91,10.12,8.78,7.16,6.94,8.53,9.81,10.12,10.28,11.59,12.16,11.06,10.38,11.09,12.47,12.44,12.16,12.72,14.19,14.59,13.78,13.09,13.41,12.75,10.25,8.44,8.41,8.41,7.12,5.81,5.91,41.66,41.44,40.97,40.62,39.69,37.94,36.19,35.0,33.97,33.03,32.72,33.62,35.16,37.0,38.62,40.19,41.28,41.62,40.66,39.59,38.88:14.72,12.09,11.12,11.66,11.84,11.0,11.19,13.0,14.16,13.66,13.16,13.91,14.88,14.44,14.16,15.34,16.94,17.5,16.34,16.25,16.59,16.28,14.78,13.62,13.88,13.78,12.44,11.09,11.5,12.12,11.53,10.34,10.81,12.0,12.59,12.03,12.16,13.03,12.78,10.75,9.44,9.91,10.5,10.09,9.62,10.44,11.31,10.53,8.91,8.22,8.25,7.53,6.06,6.19,7.59,8.91,8.78,9.03,10.69,11.47,10.81,10.31,10.75,11.53,11.09,9.88,9.75,10.34,10.06,8.84,8.56,9.47,10.16,9.12,8.19,8.62,8.94,7.66,6.75,7.59,9.0,9.25,8.75,9.06,9.81,9.91,8.28,7.69,8.5,8.62,7.16,5.81,5.47,4.94,3.72,3.03,4.97,7.5,8.53,9.0,9.91,11.0,11.03,9.38,8.19,8.06,7.56,5.94,4.97,6.09,7.34,7.62,7.25,8.0,9.0,8.25,6.53,5.72,5.94,5.34,3.62,2.59,3.09,4.09,3.41,2.94,3.81,4.94,4.31,3.81,4.88,7.53,9.88,11.66,14.09,17.22,18.56,17.44,15.94,15.0,13.91,11.34,9.25,9.12,9.72,9.22,8.19,8.59,9.91,11.12,12.0,14.72,19.06,22.31,23.19,23.19,22.88,21.38,18.31,15.62,15.34,16.56,17.5,18.47,20.53,22.5,23.34,22.66,22.56,23.38,23.38,21.78,19.59,18.25,16.84,13.59,11.25,11.12,12.34,13.12,13.84,15.69,17.47,17.59,16.19,14.62,13.91,12.91,10.88,9.94,10.88,12.53,12.22,11.56,12.0,12.38,11.38,9.84,9.38,9.56,8.66,6.59,5.62,5.88,6.06,5.22,5.03,6.19,7.72,7.28,6.59,6.91,6.81,5.59,3.19,1.72,1.81,1.81,1.0,1.25,2.81,3.5,2.25,0.44,0.09,0.16,-0.97,-1.78,-1.12,-0.22,-0.69,-2.25,-3.16,-2.94,-3.16,-3.69,-2.97,-0.66,1.66,2.66,3.88,6.25,8.97,10.31,11.03,12.59,14.25,14.09,12.66,12.03,11.44,10.22,7.47,5.66,5.25,5.53,5.03,5.19,6.81,8.97,9.06,9.03,10.09,11.5,11.88,11.44,11.25,11.59,11.0,8.75,6.88,6.25,5.81,4.56,3.91,4.81,6.84,7.53,8.09,9.75,12.16,13.09,13.12,13.41,14.22,14.5,13.22,12.22,12.75,13.19,12.44,11.56,11.69,12.0,10.22,7.53,5.03,3.44,0.72,-2.25,-3.66,-3.5,-2.69,-2.66,-1.56,0.78,3.5,4.59,5.44,7.62,9.81,10.56,10.66,11.28,12.25,11.59,8.91,6.44,4.69,2.91,0.44,-1.12,-0.81,-0.22,-0.72,-1.59,-0.59,1.28,2.59,3.62,5.28,8.0,9.53,9.53,9.78,11.06,11.81,11.28,10.88,12.25,14.19,14.78,14.91,15.88,17.06,16.03,14.25,13.12,13.12,12.5,10.72,9.88,9.84,9.91,8.59,7.59,8.75,10.84,12.47,14.31,17.91,22.19,23.97,23.56,22.44,20.88,17.53,13.09,9.5,7.56,5.72,2.91,0.59,-0.06,0.75,1.25,2.06,4.75,8.28,10.78,12.28,14.34,16.94,18.38,17.78,17.06,16.41,15.41,12.56,9.78,8.41,8.31,7.12,6.12,7.16,9.72,11.94,13.81,16.31,19.59,21.56,21.69,21.81,22.84,23.47,22.81,21.5,21.31,21.28,19.94,18.78,18.75,19.69,20.12,19.28,18.78,19.19,19.03,17.59,16.03,15.62,14.72,12.34,9.69,8.56,8.5,7.97,7.16,7.97,9.91,10.84,10.91,11.53,13.5,14.88,14.88,14.69,15.69,17.03,16.88,16.62,17.94,19.84,20.28,19.69,19.69,20.22,19.66,17.91,16.75,17.03,17.03,15.44,13.62,12.78,12.03,9.56,7.41,6.75,7.31,7.41,7.12,8.09,10.69,12.94,14.41,16.62,19.78,22.12,22.78,22.94,23.56,24.12,23.09,21.41,20.12,20.09,18.66,17.03,15.94,16.0,14.97,12.41,10.44,10.16,9.84,8.69,7.62,8.22,9.38,9.62,9.97,11.28,13.47,14.19,14.16,14.44,15.53,15.84,14.44,13.03,13.16,12.97,12.03,10.81,10.94,11.62,10.94,9.56,8.66,8.81,7.81,5.81,4.69,5.78,6.28,5.97,6.16,7.75,9.47,10.25,11.09,13.47,16.47,18.47,20.09,22.0,24.69,26.06,26.25,26.41,27.41,28.38,27.66,26.81,27.09,27.38,25.81,23.69,22.44,21.69,20.0,17.72,16.31,16.56,16.5,16.12,16.5,18.59,20.44,21.06,21.75,23.38,25.28,26.34,27.38,29.47,32.16,33.22,32.94,32.75,32.81,31.47,28.62,25.66,24.22,22.69,20.44,18.94,19.38,19.94,19.31,17.84,16.69,16.16,15.19,13.56,13.31,14.62,15.56,15.81,16.59,19.03,21.22,21.84,21.88,22.62,23.03,21.78,19.53,18.81,18.75,17.78,15.97,14.91,14.94,14.06,12.59,11.34,11.78,12.84,12.66,11.94,12.84,13.31,12.44,10.81,10.06,10.53,10.97,11.16,12.62,15.84,18.25,18.53,18.19,18.47,18.19,17.0,16.0,16.47,17.09,16.75,15.25,14.44,14.59,14.44,13.56,14.16,16.12,17.84,18.06,17.38,17.44,16.84,14.28,11.72,10.94,11.25,11.47,11.56,12.84,14.88,16.47,16.69,16.84,18.34,19.66,19.12,18.78,19.94,21.12,21.09,20.75,21.44,22.38,22.53,21.41,20.88,21.0,20.16,18.06,16.44,16.62,16.75,16.06,15.16,16.06,17.09,16.97,17.19,18.81,21.34,23.0,23.34,23.44,23.69,22.75,19.5,15.97,13.34,10.84,6.81,3.78,2.88,3.06,3.09,3.62,6.19,10.06,14.16,17.31,20.94,25.38,28.66,29.62,29.84,30.44,29.91,26.84,22.75,19.62,16.28,12.44,8.69,7.31,8.44,10.06,11.16,13.25,15.97,18.41,19.03,19.88,22.12,23.94,23.88,22.19,20.97,19.56,17.09,14.16,12.88,12.91,12.25,10.19,8.72,8.78,9.34,8.72,8.62,10.22,11.69,11.69,10.59,11.38,11.97,11.84,10.94,10.59,10.5,9.5,6.94,4.97,4.25,5.06,5.59,6.53,9.81,13.09,15.16,16.16,17.69,18.47,17.44,14.81,12.56,11.28,10.0,8.28,7.78,9.16,11.38,12.88,14.72,17.84,20.97,22.19,21.31,20.78,19.53,17.59,14.72,13.44,14.09,15.12,15.0,14.53,14.78,14.59,12.41,10.03,9.31,9.09,8.19,6.91,7.62,9.5,11.19,12.25,13.84,15.66,16.5,15.22,13.5,13.22,13.03,11.62,10.06,10.47,11.69,12.22,12.03,12.94,14.34,14.59,13.38,12.53,12.91,13.19,12.0,11.25,11.94,12.72,12.19,11.47,12.53,14.34,15.56,16.12,17.09,18.38,18.75,17.31,16.66,17.5,18.09,18.22,18.38,20.47,23.19,24.75,25.75,27.31,28.44,27.62,24.91,22.12,20.59,18.81,15.56,12.62,10.59,8.34,5.44,3.47,4.25,6.56,8.34,9.97,12.75,16.5,19.38,21.44,24.56,28.03,30.69,30.91,30.38,30.12,28.97,26.12,23.06,21.66,20.75,18.94,16.78,16.25,16.97,16.59,15.22,14.28,13.69,12.16,9.22,6.88,6.31,6.47,5.81,5.62,7.19,9.06,9.41,9.0,9.19,10.03,9.97,9.5,9.94,11.5,12.97,12.84,13.09,14.31,15.31,14.75,13.5,13.5,14.12,13.69,12.62,12.41,13.53,14.16,13.69,14.28,15.69,16.97,16.38,15.41,14.88,14.53,12.31,9.19,8.0,7.62,6.5,5.19,4.81,5.78,6.47,6.0,6.75,8.38,9.91,9.44,9.22,10.06,11.66,12.34,12.31,13.22,14.44,14.53,13.5,13.38,14.47,15.41,14.94,15.0,16.28,17.66,17.91,18.12,19.25,20.41,19.72,18.09,17.19,16.75,14.88,12.06,9.69,8.0,6.16,3.31,1.09,0.16,0.34,-0.88,-1.31,-0.5,1.53,2.28,2.31,3.0,3.81,3.78,2.59,2.47,3.78,5.06,5.38,5.91,7.69,9.44,9.31,8.03,7.41,7.38,5.59,3.16,2.25,2.78,2.34,0.81,0.31,1.0,0.97,-0.69,-1.34,-0.5,1.94,3.75,6.38,10.56,15.16,17.66,18.81,19.44,20.62,20.59,19.19,18.09,19.06,19.66,18.25,16.5,15.47,14.34,11.62,9.25,8.62,9.94,10.66,10.56,11.38,13.59,15.0,15.31,16.44,19.59,22.72,24.16,25.81,27.97,29.16,27.16,23.22,18.62,14.5,9.12,3.28,-1.0,-3.19,-4.66,-6.03,-5.47,-1.84,2.5,5.88,8.88,12.69,16.09,18.28,19.47,21.38,23.94,25.25,24.59,24.47,25.38,26.03,25.31,24.66,24.88,24.03,20.97,17.31,15.06,13.75,11.53,8.75,6.88,6.31,5.44,4.5,4.84,7.25,9.34,9.62,9.47,10.56,12.19,12.75,13.62,15.81,18.78,20.25,20.59,21.78,23.72,24.94,24.56,24.41,25.06,24.81,22.91,20.81,19.41,18.22,15.75,12.69,10.91,10.12,8.78,7.16,6.94,8.53,9.81,10.12,10.28,11.59,12.16,11.06,10.38,11.09,12.47,12.44,12.16,12.72,14.19,14.59,13.78,13.09,13.41,12.75,10.25,8.44,8.41,8.41,7.12,5.81,5.91,41.66,41.44,40.97,40.62,39.69,37.94,36.19,35.0,33.97,33.03,32.72,33.62,35.16,37.0,38.62,40.19,41.28,41.62,40.66,39.59,38.88,37.97,37.0,36.88,37.12,37.22,36.47,35.91:13.0,14.16,13.66,13.16,13.91,14.88,14.44,14.16,15.34,16.94,17.5,16.34,16.25,16.59,16.28,14.78,13.62,13.88,13.78,12.44,11.09,11.5,12.12,11.53,10.34,10.81,12.0,12.59,12.03,12.16,13.03,12.78,10.75,9.44,9.91,10.5,10.09,9.62,10.44,11.31,10.53,8.91,8.22,8.25,7.53,6.06,6.19,7.59,8.91,8.78,9.03,10.69,11.47,10.81,10.31,10.75,11.53,11.09,9.88,9.75,10.34,10.06,8.84,8.56,9.47,10.16,9.12,8.19,8.62,8.94,7.66,6.75,7.59,9.0,9.25,8.75,9.06,9.81,9.91,8.28,7.69,8.5,8.62,7.16,5.81,5.47,4.94,3.72,3.03,4.97,7.5,8.53,9.0,9.91,11.0,11.03,9.38,8.19,8.06,7.56,5.94,4.97,6.09,7.34,7.62,7.25,8.0,9.0,8.25,6.53,5.72,5.94,5.34,3.62,2.59,3.09,4.09,3.41,2.94,3.81,4.94,4.31,3.81,4.88,7.53,9.88,11.66,14.09,17.22,18.56,17.44,15.94,15.0,13.91,11.34,9.25,9.12,9.72,9.22,8.19,8.59,9.91,11.12,12.0,14.72,19.06,22.31,23.19,23.19,22.88,21.38,18.31,15.62,15.34,16.56,17.5,18.47,20.53,22.5,23.34,22.66,22.56,23.38,23.38,21.78,19.59,18.25,16.84,13.59,11.25,11.12,12.34,13.12,13.84,15.69,17.47,17.59,16.19,14.62,13.91,12.91,10.88,9.94,10.88,12.53,12.22,11.56,12.0,12.38,11.38,9.84,9.38,9.56,8.66,6.59,5.62,5.88,6.06,5.22,5.03,6.19,7.72,7.28,6.59,6.91,6.81,5.59,3.19,1.72,1.81,1.81,1.0,1.25,2.81,3.5,2.25,0.44,0.09,0.16,-0.97,-1.78,-1.12,-0.22,-0.69,-2.25,-3.16,-2.94,-3.16,-3.69,-2.97,-0.66,1.66,2.66,3.88,6.25,8.97,10.31,11.03,12.59,14.25,14.09,12.66,12.03,11.44,10.22,7.47,5.66,5.25,5.53,5.03,5.19,6.81,8.97,9.06,9.03,10.09,11.5,11.88,11.44,11.25,11.59,11.0,8.75,6.88,6.25,5.81,4.56,3.91,4.81,6.84,7.53,8.09,9.75,12.16,13.09,13.12,13.41,14.22,14.5,13.22,12.22,12.75,13.19,12.44,11.56,11.69,12.0,10.22,7.53,5.03,3.44,0.72,-2.25,-3.66,-3.5,-2.69,-2.66,-1.56,0.78,3.5,4.59,5.44,7.62,9.81,10.56,10.66,11.28,12.25,11.59,8.91,6.44,4.69,2.91,0.44,-1.12,-0.81,-0.22,-0.72,-1.59,-0.59,1.28,2.59,3.62,5.28,8.0,9.53,9.53,9.78,11.06,11.81,11.28,10.88,12.25,14.19,14.78,14.91,15.88,17.06,16.03,14.25,13.12,13.12,12.5,10.72,9.88,9.84,9.91,8.59,7.59,8.75,10.84,12.47,14.31,17.91,22.19,23.97,23.56,22.44,20.88,17.53,13.09,9.5,7.56,5.72,2.91,0.59,-0.06,0.75,1.25,2.06,4.75,8.28,10.78,12.28,14.34,16.94,18.38,17.78,17.06,16.41,15.41,12.56,9.78,8.41,8.31,7.12,6.12,7.16,9.72,11.94,13.81,16.31,19.59,21.56,21.69,21.81,22.84,23.47,22.81,21.5,21.31,21.28,19.94,18.78,18.75,19.69,20.12,19.28,18.78,19.19,19.03,17.59,16.03,15.62,14.72,12.34,9.69,8.56,8.5,7.97,7.16,7.97,9.91,10.84,10.91,11.53,13.5,14.88,14.88,14.69,15.69,17.03,16.88,16.62,17.94,19.84,20.28,19.69,19.69,20.22,19.66,17.91,16.75,17.03,17.03,15.44,13.62,12.78,12.03,9.56,7.41,6.75,7.31,7.41,7.12,8.09,10.69,12.94,14.41,16.62,19.78,22.12,22.78,22.94,23.56,24.12,23.09,21.41,20.12,20.09,18.66,17.03,15.94,16.0,14.97,12.41,10.44,10.16,9.84,8.69,7.62,8.22,9.38,9.62,9.97,11.28,13.47,14.19,14.16,14.44,15.53,15.84,14.44,13.03,13.16,12.97,12.03,10.81,10.94,11.62,10.94,9.56,8.66,8.81,7.81,5.81,4.69,5.78,6.28,5.97,6.16,7.75,9.47,10.25,11.09,13.47,16.47,18.47,20.09,22.0,24.69,26.06,26.25,26.41,27.41,28.38,27.66,26.81,27.09,27.38,25.81,23.69,22.44,21.69,20.0,17.72,16.31,16.56,16.5,16.12,16.5,18.59,20.44,21.06,21.75,23.38,25.28,26.34,27.38,29.47,32.16,33.22,32.94,32.75,32.81,31.47,28.62,25.66,24.22,22.69,20.44,18.94,19.38,19.94,19.31,17.84,16.69,16.16,15.19,13.56,13.31,14.62,15.56,15.81,16.59,19.03,21.22,21.84,21.88,22.62,23.03,21.78,19.53,18.81,18.75,17.78,15.97,14.91,14.94,14.06,12.59,11.34,11.78,12.84,12.66,11.94,12.84,13.31,12.44,10.81,10.06,10.53,10.97,11.16,12.62,15.84,18.25,18.53,18.19,18.47,18.19,17.0,16.0,16.47,17.09,16.75,15.25,14.44,14.59,14.44,13.56,14.16,16.12,17.84,18.06,17.38,17.44,16.84,14.28,11.72,10.94,11.25,11.47,11.56,12.84,14.88,16.47,16.69,16.84,18.34,19.66,19.12,18.78,19.94,21.12,21.09,20.75,21.44,22.38,22.53,21.41,20.88,21.0,20.16,18.06,16.44,16.62,16.75,16.06,15.16,16.06,17.09,16.97,17.19,18.81,21.34,23.0,23.34,23.44,23.69,22.75,19.5,15.97,13.34,10.84,6.81,3.78,2.88,3.06,3.09,3.62,6.19,10.06,14.16,17.31,20.94,25.38,28.66,29.62,29.84,30.44,29.91,26.84,22.75,19.62,16.28,12.44,8.69,7.31,8.44,10.06,11.16,13.25,15.97,18.41,19.03,19.88,22.12,23.94,23.88,22.19,20.97,19.56,17.09,14.16,12.88,12.91,12.25,10.19,8.72,8.78,9.34,8.72,8.62,10.22,11.69,11.69,10.59,11.38,11.97,11.84,10.94,10.59,10.5,9.5,6.94,4.97,4.25,5.06,5.59,6.53,9.81,13.09,15.16,16.16,17.69,18.47,17.44,14.81,12.56,11.28,10.0,8.28,7.78,9.16,11.38,12.88,14.72,17.84,20.97,22.19,21.31,20.78,19.53,17.59,14.72,13.44,14.09,15.12,15.0,14.53,14.78,14.59,12.41,10.03,9.31,9.09,8.19,6.91,7.62,9.5,11.19,12.25,13.84,15.66,16.5,15.22,13.5,13.22,13.03,11.62,10.06,10.47,11.69,12.22,12.03,12.94,14.34,14.59,13.38,12.53,12.91,13.19,12.0,11.25,11.94,12.72,12.19,11.47,12.53,14.34,15.56,16.12,17.09,18.38,18.75,17.31,16.66,17.5,18.09,18.22,18.38,20.47,23.19,24.75,25.75,27.31,28.44,27.62,24.91,22.12,20.59,18.81,15.56,12.62,10.59,8.34,5.44,3.47,4.25,6.56,8.34,9.97,12.75,16.5,19.38,21.44,24.56,28.03,30.69,30.91,30.38,30.12,28.97,26.12,23.06,21.66,20.75,18.94,16.78,16.25,16.97,16.59,15.22,14.28,13.69,12.16,9.22,6.88,6.31,6.47,5.81,5.62,7.19,9.06,9.41,9.0,9.19,10.03,9.97,9.5,9.94,11.5,12.97,12.84,13.09,14.31,15.31,14.75,13.5,13.5,14.12,13.69,12.62,12.41,13.53,14.16,13.69,14.28,15.69,16.97,16.38,15.41,14.88,14.53,12.31,9.19,8.0,7.62,6.5,5.19,4.81,5.78,6.47,6.0,6.75,8.38,9.91,9.44,9.22,10.06,11.66,12.34,12.31,13.22,14.44,14.53,13.5,13.38,14.47,15.41,14.94,15.0,16.28,17.66,17.91,18.12,19.25,20.41,19.72,18.09,17.19,16.75,14.88,12.06,9.69,8.0,6.16,3.31,1.09,0.16,0.34,-0.88,-1.31,-0.5,1.53,2.28,2.31,3.0,3.81,3.78,2.59,2.47,3.78,5.06,5.38,5.91,7.69,9.44,9.31,8.03,7.41,7.38,5.59,3.16,2.25,2.78,2.34,0.81,0.31,1.0,0.97,-0.69,-1.34,-0.5,1.94,3.75,6.38,10.56,15.16,17.66,18.81,19.44,20.62,20.59,19.19,18.09,19.06,19.66,18.25,16.5,15.47,14.34,11.62,9.25,8.62,9.94,10.66,10.56,11.38,13.59,15.0,15.31,16.44,19.59,22.72,24.16,25.81,27.97,29.16,27.16,23.22,18.62,14.5,9.12,3.28,-1.0,-3.19,-4.66,-6.03,-5.47,-1.84,2.5,5.88,8.88,12.69,16.09,18.28,19.47,21.38,23.94,25.25,24.59,24.47,25.38,26.03,25.31,24.66,24.88,24.03,20.97,17.31,15.06,13.75,11.53,8.75,6.88,6.31,5.44,4.5,4.84,7.25,9.34,9.62,9.47,10.56,12.19,12.75,13.62,15.81,18.78,20.25,20.59,21.78,23.72,24.94,24.56,24.41,25.06,24.81,22.91,20.81,19.41,18.22,15.75,12.69,10.91,10.12,8.78,7.16,6.94,8.53,9.81,10.12,10.28,11.59,12.16,11.06,10.38,11.09,12.47,12.44,12.16,12.72,14.19,14.59,13.78,13.09,13.41,12.75,10.25,8.44,8.41,8.41,7.12,5.81,5.91,41.66,41.44,40.97,40.62,39.69,37.94,36.19,35.0,33.97,33.03,32.72,33.62,35.16,37.0,38.62,40.19,41.28,41.62,40.66,39.59,38.88,37.97,37.0,36.88,37.12,37.22,36.47,35.91,35.47,35.16,34.75,34.5,34.47,34.75,34.84:14.16,15.34,16.94,17.5,16.34,16.25,16.59,16.28,14.78,13.62,13.88,13.78,12.44,11.09,11.5,12.12,11.53,10.34,10.81,12.0,12.59,12.03,12.16,13.03,12.78,10.75,9.44,9.91,10.5,10.09,9.62,10.44,11.31,10.53,8.91,8.22,8.25,7.53,6.06,6.19,7.59,8.91,8.78,9.03,10.69,11.47,10.81,10.31,10.75,11.53,11.09,9.88,9.75,10.34,10.06,8.84,8.56,9.47,10.16,9.12,8.19,8.62,8.94,7.66,6.75,7.59,9.0,9.25,8.75,9.06,9.81,9.91,8.28,7.69,8.5,8.62,7.16,5.81,5.47,4.94,3.72,3.03,4.97,7.5,8.53,9.0,9.91,11.0,11.03,9.38,8.19,8.06,7.56,5.94,4.97,6.09,7.34,7.62,7.25,8.0,9.0,8.25,6.53,5.72,5.94,5.34,3.62,2.59,3.09,4.09,3.41,2.94,3.81,4.94,4.31,3.81,4.88,7.53,9.88,11.66,14.09,17.22,18.56,17.44,15.94,15.0,13.91,11.34,9.25,9.12,9.72,9.22,8.19,8.59,9.91,11.12,12.0,14.72,19.06,22.31,23.19,23.19,22.88,21.38,18.31,15.62,15.34,16.56,17.5,18.47,20.53,22.5,23.34,22.66,22.56,23.38,23.38,21.78,19.59,18.25,16.84,13.59,11.25,11.12,12.34,13.12,13.84,15.69,17.47,17.59,16.19,14.62,13.91,12.91,10.88,9.94,10.88,12.53,12.22,11.56,12.0,12.38,11.38,9.84,9.38,9.56,8.66,6.59,5.62,5.88,6.06,5.22,5.03,6.19,7.72,7.28,6.59,6.91,6.81,5.59,3.19,1.72,1.81,1.81,1.0,1.25,2.81,3.5,2.25,0.44,0.09,0.16,-0.97,-1.78,-1.12,-0.22,-0.69,-2.25,-3.16,-2.94,-3.16,-3.69,-2.97,-0.66,1.66,2.66,3.88,6.25,8.97,10.31,11.03,12.59,14.25,14.09,12.66,12.03,11.44,10.22,7.47,5.66,5.25,5.53,5.03,5.19,6.81,8.97,9.06,9.03,10.09,11.5,11.88,11.44,11.25,11.59,11.0,8.75,6.88,6.25,5.81,4.56,3.91,4.81,6.84,7.53,8.09,9.75,12.16,13.09,13.12,13.41,14.22,14.5,13.22,12.22,12.75,13.19,12.44,11.56,11.69,12.0,10.22,7.53,5.03,3.44,0.72,-2.25,-3.66,-3.5,-2.69,-2.66,-1.56,0.78,3.5,4.59,5.44,7.62,9.81,10.56,10.66,11.28,12.25,11.59,8.91,6.44,4.69,2.91,0.44,-1.12,-0.81,-0.22,-0.72,-1.59,-0.59,1.28,2.59,3.62,5.28,8.0,9.53,9.53,9.78,11.06,11.81,11.28,10.88,12.25,14.19,14.78,14.91,15.88,17.06,16.03,14.25,13.12,13.12,12.5,10.72,9.88,9.84,9.91,8.59,7.59,8.75,10.84,12.47,14.31,17.91,22.19,23.97,23.56,22.44,20.88,17.53,13.09,9.5,7.56,5.72,2.91,0.59,-0.06,0.75,1.25,2.06,4.75,8.28,10.78,12.28,14.34,16.94,18.38,17.78,17.06,16.41,15.41,12.56,9.78,8.41,8.31,7.12,6.12,7.16,9.72,11.94,13.81,16.31,19.59,21.56,21.69,21.81,22.84,23.47,22.81,21.5,21.31,21.28,19.94,18.78,18.75,19.69,20.12,19.28,18.78,19.19,19.03,17.59,16.03,15.62,14.72,12.34,9.69,8.56,8.5,7.97,7.16,7.97,9.91,10.84,10.91,11.53,13.5,14.88,14.88,14.69,15.69,17.03,16.88,16.62,17.94,19.84,20.28,19.69,19.69,20.22,19.66,17.91,16.75,17.03,17.03,15.44,13.62,12.78,12.03,9.56,7.41,6.75,7.31,7.41,7.12,8.09,10.69,12.94,14.41,16.62,19.78,22.12,22.78,22.94,23.56,24.12,23.09,21.41,20.12,20.09,18.66,17.03,15.94,16.0,14.97,12.41,10.44,10.16,9.84,8.69,7.62,8.22,9.38,9.62,9.97,11.28,13.47,14.19,14.16,14.44,15.53,15.84,14.44,13.03,13.16,12.97,12.03,10.81,10.94,11.62,10.94,9.56,8.66,8.81,7.81,5.81,4.69,5.78,6.28,5.97,6.16,7.75,9.47,10.25,11.09,13.47,16.47,18.47,20.09,22.0,24.69,26.06,26.25,26.41,27.41,28.38,27.66,26.81,27.09,27.38,25.81,23.69,22.44,21.69,20.0,17.72,16.31,16.56,16.5,16.12,16.5,18.59,20.44,21.06,21.75,23.38,25.28,26.34,27.38,29.47,32.16,33.22,32.94,32.75,32.81,31.47,28.62,25.66,24.22,22.69,20.44,18.94,19.38,19.94,19.31,17.84,16.69,16.16,15.19,13.56,13.31,14.62,15.56,15.81,16.59,19.03,21.22,21.84,21.88,22.62,23.03,21.78,19.53,18.81,18.75,17.78,15.97,14.91,14.94,14.06,12.59,11.34,11.78,12.84,12.66,11.94,12.84,13.31,12.44,10.81,10.06,10.53,10.97,11.16,12.62,15.84,18.25,18.53,18.19,18.47,18.19,17.0,16.0,16.47,17.09,16.75,15.25,14.44,14.59,14.44,13.56,14.16,16.12,17.84,18.06,17.38,17.44,16.84,14.28,11.72,10.94,11.25,11.47,11.56,12.84,14.88,16.47,16.69,16.84,18.34,19.66,19.12,18.78,19.94,21.12,21.09,20.75,21.44,22.38,22.53,21.41,20.88,21.0,20.16,18.06,16.44,16.62,16.75,16.06,15.16,16.06,17.09,16.97,17.19,18.81,21.34,23.0,23.34,23.44,23.69,22.75,19.5,15.97,13.34,10.84,6.81,3.78,2.88,3.06,3.09,3.62,6.19,10.06,14.16,17.31,20.94,25.38,28.66,29.62,29.84,30.44,29.91,26.84,22.75,19.62,16.28,12.44,8.69,7.31,8.44,10.06,11.16,13.25,15.97,18.41,19.03,19.88,22.12,23.94,23.88,22.19,20.97,19.56,17.09,14.16,12.88,12.91,12.25,10.19,8.72,8.78,9.34,8.72,8.62,10.22,11.69,11.69,10.59,11.38,11.97,11.84,10.94,10.59,10.5,9.5,6.94,4.97,4.25,5.06,5.59,6.53,9.81,13.09,15.16,16.16,17.69,18.47,17.44,14.81,12.56,11.28,10.0,8.28,7.78,9.16,11.38,12.88,14.72,17.84,20.97,22.19,21.31,20.78,19.53,17.59,14.72,13.44,14.09,15.12,15.0,14.53,14.78,14.59,12.41,10.03,9.31,9.09,8.19,6.91,7.62,9.5,11.19,12.25,13.84,15.66,16.5,15.22,13.5,13.22,13.03,11.62,10.06,10.47,11.69,12.22,12.03,12.94,14.34,14.59,13.38,12.53,12.91,13.19,12.0,11.25,11.94,12.72,12.19,11.47,12.53,14.34,15.56,16.12,17.09,18.38,18.75,17.31,16.66,17.5,18.09,18.22,18.38,20.47,23.19,24.75,25.75,27.31,28.44,27.62,24.91,22.12,20.59,18.81,15.56,12.62,10.59,8.34,5.44,3.47,4.25,6.56,8.34,9.97,12.75,16.5,19.38,21.44,24.56,28.03,30.69,30.91,30.38,30.12,28.97,26.12,23.06,21.66,20.75,18.94,16.78,16.25,16.97,16.59,15.22,14.28,13.69,12.16,9.22,6.88,6.31,6.47,5.81,5.62,7.19,9.06,9.41,9.0,9.19,10.03,9.97,9.5,9.94,11.5,12.97,12.84,13.09,14.31,15.31,14.75,13.5,13.5,14.12,13.69,12.62,12.41,13.53,14.16,13.69,14.28,15.69,16.97,16.38,15.41,14.88,14.53,12.31,9.19,8.0,7.62,6.5,5.19,4.81,5.78,6.47,6.0,6.75,8.38,9.91,9.44,9.22,10.06,11.66,12.34,12.31,13.22,14.44,14.53,13.5,13.38,14.47,15.41,14.94,15.0,16.28,17.66,17.91,18.12,19.25,20.41,19.72,18.09,17.19,16.75,14.88,12.06,9.69,8.0,6.16,3.31,1.09,0.16,0.34,-0.88,-1.31,-0.5,1.53,2.28,2.31,3.0,3.81,3.78,2.59,2.47,3.78,5.06,5.38,5.91,7.69,9.44,9.31,8.03,7.41,7.38,5.59,3.16,2.25,2.78,2.34,0.81,0.31,1.0,0.97,-0.69,-1.34,-0.5,1.94,3.75,6.38,10.56,15.16,17.66,18.81,19.44,20.62,20.59,19.19,18.09,19.06,19.66,18.25,16.5,15.47,14.34,11.62,9.25,8.62,9.94,10.66,10.56,11.38,13.59,15.0,15.31,16.44,19.59,22.72,24.16,25.81,27.97,29.16,27.16,23.22,18.62,14.5,9.12,3.28,-1.0,-3.19,-4.66,-6.03,-5.47,-1.84,2.5,5.88,8.88,12.69,16.09,18.28,19.47,21.38,23.94,25.25,24.59,24.47,25.38,26.03,25.31,24.66,24.88,24.03,20.97,17.31,15.06,13.75,11.53,8.75,6.88,6.31,5.44,4.5,4.84,7.25,9.34,9.62,9.47,10.56,12.19,12.75,13.62,15.81,18.78,20.25,20.59,21.78,23.72,24.94,24.56,24.41,25.06,24.81,22.91,20.81,19.41,18.22,15.75,12.69,10.91,10.12,8.78,7.16,6.94,8.53,9.81,10.12,10.28,11.59,12.16,11.06,10.38,11.09,12.47,12.44,12.16,12.72,14.19,14.59,13.78,13.09,13.41,12.75,10.25,8.44,8.41,8.41,7.12,5.81,5.91,41.66,41.44,40.97,40.62,39.69,37.94,36.19,35.0,33.97,33.03,32.72,33.62,35.16,37.0,38.62,40.19,41.28,41.62,40.66,39.59,38.88,37.97,37.0,36.88,37.12,37.22,36.47,35.91,35.47,35.16,34.75,34.5,34.47,34.75,34.84,34.53,34.53,34.66,34.5,34.0,33.69,34.03:negativity
11.56,13.09,13.38,13.16,15.22,18.75,21.22,22.06,23.66,25.97,26.31,23.81,21.28,21.22,21.44,20.19,18.88,20.09,21.28,20.25,18.56,18.53,20.03,20.56,19.78,19.84,21.72,22.47,20.72,18.97,19.47,19.56,17.06,14.0,12.78,12.28,10.34,7.78,8.03,10.44,12.47,12.78,13.81,15.81,16.56,14.44,11.78,11.22,11.44,9.84,8.28,9.56,12.12,13.12,12.38,12.94,14.12,13.88,11.75,10.25,10.78,11.84,11.09,10.69,13.12,16.09,17.12,17.12,18.62,20.97,21.81,20.56,19.78,20.62,20.03,17.47,15.69,16.38,18.0,17.47,16.78,18.22,20.31,20.16,18.69,19.12,20.91,21.75,21.34,21.78,23.88,25.09,23.78,22.81,23.69,24.91,24.28,22.56,23.12,24.69,25.03,24.38,25.75,28.19,29.84,29.47,28.69,29.75,30.75,29.03,26.75,26.59,26.88,24.41,21.09,19.72,19.38,17.5,14.34,13.16,13.81,13.84,11.94,10.81,11.66,12.38,10.84,9.25,9.84,11.22,10.41,8.62,8.38,9.31,9.31,8.19,8.53,10.56,12.06,11.19,9.97,10.69,12.03,11.09,9.94,11.28,13.41,13.75,12.53,12.72,14.53,15.81,15.5,16.22,18.94,20.66,18.78,16.34,15.78,15.28,13.09,10.56,10.56,12.41,12.72,11.69,11.81,13.5,14.12,13.06,12.41,14.22,16.34,16.12,15.75,17.41,20.09,20.34,19.41,19.56,20.94,20.44,18.19,17.22,18.81,20.22,19.56,19.22,20.16,20.91,18.22,14.56,13.09,12.88,11.66,9.53,9.75,12.12,13.91,13.59,14.97,18.53,21.66,21.88,21.91,23.34,24.31,22.66,19.97,19.41,20.44,20.03,18.31,17.88,19.06,18.66,15.78,13.72,14.34,15.78,15.16,14.66,15.72,17.41,15.84,12.75,11.25,10.88,8.84,5.97,5.16,7.16,9.25,9.12,9.47,12.12,14.56,14.41,14.06,15.28,17.03,16.38,14.44,14.47,16.75,17.91,17.56,17.88,20.09,21.22,19.31,17.38,18.25,19.62,18.81,17.72,18.66,20.31,19.91,17.75,16.38,16.88,16.41,14.16,12.81,13.81,15.06,14.0,12.41,13.53,15.66,15.28,14.41,15.44,17.97,18.75,17.97,18.16,20.59,21.69,20.12,18.81,19.47,19.81,17.31,14.72,14.16,14.94,13.69,12.31,13.34,16.69,19.25,20.72,23.03,27.25,30.5,30.16,29.22,30.06,30.44,28.81,26.44,26.12,26.44,24.84,21.56,19.69,19.62,17.88,14.75,12.38,12.34,12.66,11.22,10.09,11.38,13.03,11.91,9.81,9.06,9.72,8.53,6.31,5.69,7.91,9.25,8.81,9.0,11.53,13.69,13.06,12.38,13.91,16.06,15.5,13.56,12.91,13.06,11.53,8.47,7.03,8.41,9.59,8.91,8.22,9.41,10.47,8.94,6.19,6.5,7.91,7.47,6.34,6.62,8.41,8.94,8.16,7.91,10.09,11.78,11.19,10.41,12.06,14.62,14.78,13.72,14.12,15.5,14.34,12.09,11.47,12.88,13.38,11.97,10.72,11.69,11.88,9.56,7.09,6.88,7.84,7.56,7.03,9.16,13.5,17.0,19.0,22.41,27.16,30.03,29.81,28.91,29.44,29.16,25.81,21.81,20.31,19.88,18.41,16.78,16.88,18.97,20.06,19.44,20.38,23.81,26.91,28.44,29.19,31.97,33.66,31.91,28.66,27.41,27.66,26.62,24.12,22.72,22.59,20.31,15.81,12.06,10.88,9.53,6.56,3.59,3.59,4.69,4.22,3.0,4.31,7.09,8.53,8.94,11.09,15.25,19.06,20.03,21.47,24.59,27.38,27.25,26.47,27.28,27.84,25.84,21.16,17.22,14.0,9.16,2.66,-2.47,-3.91,-5.0,-7.41,-8.41,-6.44,-3.62,-2.31,-0.28,4.09,9.62,13.31,15.19,18.5,23.12,26.75,28.69,31.38,35.75,39.0,38.62,36.72,36.16,35.31,31.84,27.44,24.78,23.47,20.47,15.75,12.66,11.38,9.31,5.09,2.03,2.44,3.28,2.75,2.25,4.28,6.75,7.56,7.12,8.59,11.88,14.03,14.28,15.78,19.28,22.0,22.09,22.09,23.56,24.56,22.25,18.47,15.97,14.0,10.16,5.75,3.53,3.78,3.69,2.59,2.38,4.78,7.06,7.31,7.66,10.16,13.25,14.31,14.44,16.72,20.41,22.06,21.34,21.81,23.34,23.66,21.06,19.09,18.88,18.78,16.31,13.97,14.25,15.72,15.44,14.41,15.5,18.16,19.28,18.41,18.66,20.56,21.84,21.12,21.0,22.69,24.09,23.06,21.03,21.19,22.12,21.44,19.53,19.91,22.06,23.41,23.44,24.25,27.31,29.53,28.78,27.72,28.25,29.62,28.53,27.38,28.72,31.16,31.97,30.56,29.47,29.38,27.41,23.62,20.44,19.78,20.09,18.56,17.06,17.75,19.34,18.34,16.56,16.25,17.31,17.12,15.53,15.88,17.97,19.69,19.38,19.78,22.22,24.78,25.25,25.41,27.12,29.56,29.59,28.0,27.81,29.06,29.59,28.69,29.22,31.88,34.09,33.72,32.12,31.66,30.91,27.28,23.5,22.0,22.06,21.09,19.25,19.0,20.41,21.53,20.5,20.19,21.34,22.22,20.16,17.94,17.66,17.91,16.09,13.72,12.88,13.5,13.16,11.47,11.06,12.72,13.81,13.38,13.44,15.62,18.12,18.12,17.16,18.12,19.75,19.59,18.47,19.09,20.94,21.38,20.12,19.09,21.12,22.66,22.06,22.03,23.78,25.97,26.0,25.34,26.22,27.59,26.78,24.0,21.97,21.97,21.0,18.31,16.09,16.88,17.5,16.03,14.44,15.16,17.03,16.81,16.12,17.28,20.0,20.56,19.34,18.66,19.41,19.75,18.84,19.03,22.47,26.78,28.44,28.94,30.41,32.16,31.16,29.28,29.0,30.75,31.62,31.0,31.03,32.88,33.06,30.0,26.34,24.91,24.12,22.66,21.66,23.34,26.69,28.62,28.88,30.34,33.62,35.72,36.03,36.81,39.62,41.72,40.59,38.91,37.59,36.5,32.59,27.88,25.31,24.66,23.34,21.25,20.22,21.56,22.78,22.41,23.09,26.72,30.41,31.94,32.12,33.72,35.56,35.47,33.56,33.19,34.38,34.38,32.84,32.28,34.19,35.59,34.72,33.59,34.44,34.97,33.53,31.09,31.0,31.69,31.34,29.56,28.94,30.06,29.97,28.09,26.66,27.72,28.75,27.81,26.66,27.41,28.81,28.59,27.78,28.66,31.22,31.97,30.88,30.28,31.41,32.06,30.62,29.59,31.12,32.62,32.09,30.66,31.09,32.19,31.31,28.97,28.31,28.88,28.59,26.78,25.81,27.34,28.81,28.53,28.12,29.91,31.28,30.41,28.12,27.75,28.53,28.22,26.94,27.62,30.25,32.12,32.19,32.31,34.28,35.47,34.28,32.47,32.69,33.31,31.34,28.41,27.38,27.66,27.09,25.09,24.81,26.72,28.38,27.94,28.41,31.59,34.69,35.91,36.22,38.41,40.62,40.66,39.03,38.53,38.94,38.0,35.12,33.0,33.06,33.22,31.09,28.84,29.0,29.44,27.88,25.44,25.09,25.81,25.12,23.19,23.53,26.31,28.88,29.69,31.19,34.62,37.0,36.41,34.72,35.5,36.78,36.31,35.0,35.75,37.03,36.44,33.66,31.88,32.59,33.47,32.72,33.03,35.34,37.38,36.19,33.94,33.5,34.03,33.31,31.97,32.25,34.03,34.88,33.66,33.59,35.69,37.78,37.88,37.97,39.81,41.62,40.88,38.91,38.69,38.91,37.5,34.31,32.62,33.03,33.16,31.91,31.81,34.28,36.38,35.75,34.91,36.03,37.47,36.91,35.59,35.84,37.56,37.78,36.19,35.75,37.19,37.72,35.56,33.88,34.03,34.31,32.97,31.47,32.47,35.12,36.09,35.75,36.53,38.59,38.91,36.69,35.53,36.22,36.59,34.94,33.31,33.94,35.03,33.94,31.88,31.66,33.06,32.66,30.53,29.81,30.31,30.03,27.19,25.75,27.16,28.91,28.66,28.16,29.53,31.31,30.19,28.06,26.94,27.19,25.78,22.81,21.56,22.44,23.38,22.94,23.66,27.06,30.75,31.5,31.16,31.69,32.0,29.75,26.0,24.06,24.38,24.34,23.56,24.81,28.44,32.12,32.88,33.25,35.22,36.81,35.31,32.56,31.5,31.59,30.59,28.72,28.88,31.06,32.44,31.56,31.31,33.19,35.03,34.06,32.97,33.78,34.72,33.31,31.28,30.88,32.22,32.53,31.41,31.34,33.62,34.5,33.25,32.25,33.47,35.0,33.75,32.62,33.62,35.78,35.62,33.97,34.03,35.56,35.38,34.09,33.47,35.41,36.59,35.31,34.41,35.69,37.12,36.28,35.03,35.97,39.0,40.34,40.44,41.62,43.72,44.03,41.44,38.69,38.12,37.5,35.19,33.34,34.34,36.59,36.41,35.0,34.62,35.28,33.91,31.03,30.06,31.06,31.91,31.5,31.47,34.22,36.91,36.66,35.28,35.47,35.97,34.16,31.5,30.44,31.09,30.16,27.91,26.66,27.78,28.94,28.09,27.66,29.94,32.91,33.75,34.31,36.72,40.06,40.81,39.62,39.06,39.75,38.34,34.88,32.72,33.66,34.75,33.91,33.03,33.91,34.72,32.41,29.12,27.88,28.5,27.97,26.75,26.81,29.69,31.31,30.88,31.03,33.47,35.38,34.97,33.81,34.53,36.38,35.91,34.47,34.59,36.16,36.16,34.53,33.94,36.12,37.12,36.19,35.38,37.03,38.28,37.19,35.12,34.72,34.75,32.53,28.78,26.44,26.19,25.31,23.31,22.75,25.09,27.19,26.84,26.56,28.97,31.41,31.91:22.06,23.66,25.97,26.31,23.81,21.28,21.22,21.44,20.19,18.88,20.09,21.28,20.25,18.56,18.53,20.03,20.56,19.78,19.84,21.72,22.47,20.72,18.97,19.47,19.56,17.06,14.0,12.78,12.28,10.34,7.78,8.03,10.44,12.47,12.78,13.81,15.81,16.56,14.44,11.78,11.22,11.44,9.84,8.28,9.56,12.12,13.12,12.38,12.94,14.12,13.88,11.75,10.25,10.78,11.84,11.09,10.69,13.12,16.09,17.12,17.12,18.62,20.97,21.81,20.56,19.78,20.62,20.03,17.47,15.69,16.38,18.0,17.47,16.78,18.22,20.31,20.16,18.69,19.12,20.91,21.75,21.34,21.78,23.88,25.09,23.78,22.81,23.69,24.91,24.28,22.56,23.12,24.69,25.03,24.38,25.75,28.19,29.84,29.47,28.69,29.75,30.75,29.03,26.75,26.59,26.88,24.41,21.09,19.72,19.38,17.5,14.34,13.16,13.81,13.84,11.94,10.81,11.66,12.38,10.84,9.25,9.84,11.22,10.41,8.62,8.38,9.31,9.31,8.19,8.53,10.56,12.06,11.19,9.97,10.69,12.03,11.09,9.94,11.28,13.41,13.75,12.53,12.72,14.53,15.81,15.5,16.22,18.94,20.66,18.78,16.34,15.78,15.28,13.09,10.56,10.56,12.41,12.72,11.69,11.81,13.5,14.12,13.06,12.41,14.22,16.34,16.12,15.75,17.41,20.09,20.34,19.41,19.56,20.94,20.44,18.19,17.22,18.81,20.22,19.56,19.22,20.16,20.91,18.22,14.56,13.09,12.88,11.66,9.53,9.75,12.12,13.91,13.59,14.97,18.53,21.66,21.88,21.91,23.34,24.31,22.66,19.97,19.41,20.44,20.03,18.31,17.88,19.06,18.66,15.78,13.72,14.34,15.78,15.16,14.66,15.72,17.41,15.84,12.75,11.25,10.88,8.84,5.97,5.16,7.16,9.25,9.12,9.47,12.12,14.56,14.41,14.06,15.28,17.03,16.38,14.44,14.47,16.75,17.91,17.56,17.88,20.09,21.22,19.31,17.38,18.25,19.62,18.81,17.72,18.66,20.31,19.91,17.75,16.38,16.88,16.41,14.16,12.81,13.81,15.06,14.0,12.41,13.53,15.66,15.28,14.41,15.44,17.97,18.75,17.97,18.16,20.59,21.69,20.12,18.81,19.47,19.81,17.31,14.72,14.16,14.94,13.69,12.31,13.34,16.69,19.25,20.72,23.03,27.25,30.5,30.16,29.22,30.06,30.44,28.81,26.44,26.12,26.44,24.84,21.56,19.69,19.62,17.88,14.75,12.38,12.34,12.66,11.22,10.09,11.38,13.03,11.91,9.81,9.06,9.72,8.53,6.31,5.69,7.91,9.25,8.81,9.0,11.53,13.69,13.06,12.38,13.91,16.06,15.5,13.56,12.91,13.06,11.53,8.47,7.03,8.41,9.59,8.91,8.22,9.41,10.47,8.94,6.19,6.5,7.91,7.47,6.34,6.62,8.41,8.94,8.16,7.91,10.09,11.78,11.19,10.41,12.06,14.62,14.78,13.72,14.12,15.5,14.34,12.09,11.47,12.88,13.38,11.97,10.72,11.69,11.88,9.56,7.09,6.88,7.84,7.56,7.03,9.16,13.5,17.0,19.0,22.41,27.16,30.03,29.81,28.91,29.44,29.16,25.81,21.81,20.31,19.88,18.41,16.78,16.88,18.97,20.06,19.44,20.38,23.81,26.91,28.44,29.19,31.97,33.66,31.91,28.66,27.41,27.66,26.62,24.12,22.72,22.59,20.31,15.81,12.06,10.88,9.53,6.56,3.59,3.59,4.69,4.22,3.0,4.31,7.09,8.53,8.94,11.09,15.25,19.06,20.03,21.47,24.59,27.38,27.25,26.47,27.28,27.84,25.84,21.16,17.22,14.0,9.16,2.66,-2.47,-3.91,-5.0,-7.41,-8.41,-6.44,-3.62,-2.31,-0.28,4.09,9.62,13.31,15.19,18.5,23.12,26.75,28.69,31.38,35.75,39.0,38.62,36.72,36.16,35.31,31.84,27.44,24.78,23.47,20.47,15.75,12.66,11.38,9.31,5.09,2.03,2.44,3.28,2.75,2.25,4.28,6.75,7.56,7.12,8.59,11.88,14.03,14.28,15.78,19.28,22.0,22.09,22.09,23.56,24.56,22.25,18.47,15.97,14.0,10.16,5.75,3.53,3.78,3.69,2.59,2.38,4.78,7.06,7.31,7.66,10.16,13.25,14.31,14.44,16.72,20.41,22.06,21.34,21.81,23.34,23.66,21.06,19.09,18.88,18.78,16.31,13.97,14.25,15.72,15.44,14.41,15.5,18.16,19.28,18.41,18.66,20.56,21.84,21.12,21.0,22.69,24.09,23.06,21.03,21.19,22.12,21.44,19.53,19.91,22.06,23.41,23.44,24.25,27.31,29.53,28.78,27.72,28.25,29.62,28.53,27.38,28.72,31.16,31.97,30.56,29.47,29.38,27.41,23.62,20.44,19.78,20.09,18.56,17.06,17.75,19.34,18.34,16.56,16.25,17.31,17.12,15.53,15.88,17.97,19.69,19.38,19.78,22.22,24.78,25.25,25.41,27.12,29.56,29.59,28.0,27.81,29.06,29.59,28.69,29.22,31.88,34.09,33.72,32.12,31.66,30.91,27.28,23.5,22.0,22.06,21.09,19.25,19.0,20.41,21.53,20.5,20.19,21.34,22.22,20.16,17.94,17.66,17.91,16.09,13.72,12.88,13.5,13.16,11.47,11.06,12.72,13.81,13.38,13.44,15.62,18.12,18.12,17.16,18.12,19.75,19.59,18.47,19.09,20.94,21.38,20.12,19.09,21.12,22.66,22.06,22.03,23.78,25.97,26.0,25.34,26.22,27.59,26.78,24.0,21.97,21.97,21.0,18.31,16.09,16.88,17.5,16.03,14.44,15.16,17.03,16.81,16.12,17.28,20.0,20.56,19.34,18.66,19.41,19.75,18.84,19.03,22.47,26.78,28.44,28.94,30.41,32.16,31.16,29.28,29.0,30.75,31.62,31.0,31.03,32.88,33.06,30.0,26.34,24.91,24.12,22.66,21.66,23.34,26.69,28.62,28.88,30.34,33.62,35.72,36.03,36.81,39.62,41.72,40.59,38.91,37.59,36.5,32.59,27.88,25.31,24.66,23.34,21.25,20.22,21.56,22.78,22.41,23.09,26.72,30.41,31.94,32.12,33.72,35.56,35.47,33.56,33.19,34.38,34.38,32.84,32.28,34.19,35.59,34.72,33.59,34.44,34.97,33.53,31.09,31.0,31.69,31.34,29.56,28.94,30.06,29.97,28.09,26.66,27.72,28.75,27.81,26.66,27.41,28.81,28.59,27.78,28.66,31.22,31.97,30.88,30.28,31.41,32.06,30.62,29.59,31.12,32.62,32.09,30.66,31.09,32.19,31.31,28.97,28.31,28.88,28.59,26.78,25.81,27.34,28.81,28.53,28.12,29.91,31.28,30.41,28.12,27.75,28.53,28.22,26.94,27.62,30.25,32.12,32.19,32.31,34.28,35.47,34.28,32.47,32.69,33.31,31.34,28.41,27.38,27.66,27.09,25.09,24.81,26.72,28.38,27.94,28.41,31.59,34.69,35.91,36.22,38.41,40.62,40.66,39.03,38.53,38.94,38.0,35.12,33.0,33.06,33.22,31.09,28.84,29.0,29.44,27.88,25.44,25.09,25.81,25.12,23.19,23.53,26.31,28.88,29.69,31.19,34.62,37.0,36.41,34.72,35.5,36.78,36.31,35.0,35.75,37.03,36.44,33.66,31.88,32.59,33.47,32.72,33.03,35.34,37.38,36.19,33.94,33.5,34.03,33.31,31.97,32.25,34.03,34.88,33.66,33.59,35.69,37.78,37.88,37.97,39.81,41.62,40.88,38.91,38.69,38.91,37.5,34.31,32.62,33.03,33.16,31.91,31.81,34.28,36.38,35.75,34.91,36.03,37.47,36.91,35.59,35.84,37.56,37.78,36.19,35.75,37.19,37.72,35.56,33.88,34.03,34.31,32.97,31.47,32.47,35.12,36.09,35.75,36.53,38.59,38.91,36.69,35.53,36.22,36.59,34.94,33.31,33.94,35.03,33.94,31.88,31.66,33.06,32.66,30.53,29.81,30.31,30.03,27.19,25.75,27.16,28.91,28.66,28.16,29.53,31.31,30.19,28.06,26.94,27.19,25.78,22.81,21.56,22.44,23.38,22.94,23.66,27.06,30.75,31.5,31.16,31.69,32.0,29.75,26.0,24.06,24.38,24.34,23.56,24.81,28.44,32.12,32.88,33.25,35.22,36.81,35.31,32.56,31.5,31.59,30.59,28.72,28.88,31.06,32.44,31.56,31.31,33.19,35.03,34.06,32.97,33.78,34.72,33.31,31.28,30.88,32.22,32.53,31.41,31.34,33.62,34.5,33.25,32.25,33.47,35.0,33.75,32.62,33.62,35.78,35.62,33.97,34.03,35.56,35.38,34.09,33.47,35.41,36.59,35.31,34.41,35.69,37.12,36.28,35.03,35.97,39.0,40.34,40.44,41.62,43.72,44.03,41.44,38.69,38.12,37.5,35.19,33.34,34.34,36.59,36.41,35.0,34.62,35.28,33.91,31.03,30.06,31.06,31.91,31.5,31.47,34.22,36.91,36.66,35.28,35.47,35.97,34.16,31.5,30.44,31.09,30.16,27.91,26.66,27.78,28.94,28.09,27.66,29.94,32.91,33.75,34.31,36.72,40.06,40.81,39.62,39.06,39.75,38.34,34.88,32.72,33.66,34.75,33.91,33.03,33.91,34.72,32.41,29.12,27.88,28.5,27.97,26.75,26.81,29.69,31.31,30.88,31.03,33.47,35.38,34.97,33.81,34.53,36.38,35.91,34.47,34.59,36.16,36.16,34.53,33.94,36.12,37.12,36.19,35.38,37.03,38.28,37.19,35.12,34.72,34.75,32.53,28.78,26.44,26.19,25.31,23.31,22.75,25.09,27.19,26.84,26.56,28.97,31.41,31.91,18.66,20.56,21.66,22.16,24.25,26.91,28.78:21.44,20.19,18.88,20.09,21.28,20.25,18.56,18.53,20.03,20.56,19.78,19.84,21.72,22.47,20.72,18.97,19.47,19.56,17.06,14.0,12.78,12.28,10.34,7.78,8.03,10.44,12.47,12.78,13.81,15.81,16.56,14.44,11.78,11.22,11.44,9.84,8.28,9.56,12.12,13.12,12.38,12.94,14.12,13.88,11.75,10.25,10.78,11.84,11.09,10.69,13.12,16.09,17.12,17.12,18.62,20.97,21.81,20.56,19.78,20.62,20.03,17.47,15.69,16.38,18.0,17.47,16.78,18.22,20.31,20.16,18.69,19.12,20.91,21.75,21.34,21.78,23.88,25.09,23.78,22.81,23.69,24.91,24.28,22.56,23.12,24.69,25.03,24.38,25.75,28.19,29.84,29.47,28.69,29.75,30.75,29.03,26.75,26.59,26.88,24.41,21.09,19.72,19.38,17.5,14.34,13.16,13.81,13.84,11.94,10.81,11.66,12.38,10.84,9.25,9.84,11.22,10.41,8.62,8.38,9.31,9.31,8.19,8.53,10.56,12.06,11.19,9.97,10.69,12.03,11.09,9.94,11.28,13.41,13.75,12.53,12.72,14.53,15.81,15.5,16.22,18.94,20.66,18.78,16.34,15.78,15.28,13.09,10.56,10.56,12.41,12.72,11.69,11.81,13.5,14.12,13.06,12.41,14.22,16.34,16.12,15.75,17.41,20.09,20.34,19.41,19.56,20.94,20.44,18.19,17.22,18.81,20.22,19.56,19.22,20.16,20.91,18.22,14.56,13.09,12.88,11.66,9.53,9.75,12.12,13.91,13.59,14.97,18.53,21.66,21.88,21.91,23.34,24.31,22.66,19.97,19.41,20.44,20.03,18.31,17.88,19.06,18.66,15.78,13.72,14.34,15.78,15.16,14.66,15.72,17.41,15.84,12.75,11.25,10.88,8.84,5.97,5.16,7.16,9.25,9.12,9.47,12.12,14.56,14.41,14.06,15.28,17.03,16.38,14.44,14.47,16.75,17.91,17.56,17.88,20.09,21.22,19.31,17.38,18.25,19.62,18.81,17.72,18.66,20.31,19.91,17.75,16.38,16.88,16.41,14.16,12.81,13.81,15.06,14.0,12.41,13.53,15.66,15.28,14.41,15.44,17.97,18.75,17.97,18.16,20.59,21.69,20.12,18.81,19.47,19.81,17.31,14.72,14.16,14.94,13.69,12.31,13.34,16.69,19.25,20.72,23.03,27.25,30.5,30.16,29.22,30.06,30.44,28.81,26.44,26.12,26.44,24.84,21.56,19.69,19.62,17.88,14.75,12.38,12.34,12.66,11.22,10.09,11.38,13.03,11.91,9.81,9.06,9.72,8.53,6.31,5.69,7.91,9.25,8.81,9.0,11.53,13.69,13.06,12.38,13.91,16.06,15.5,13.56,12.91,13.06,11.53,8.47,7.03,8.41,9.59,8.91,8.22,9.41,10.47,8.94,6.19,6.5,7.91,7.47,6.34,6.62,8.41,8.94,8.16,7.91,10.09,11.78,11.19,10.41,12.06,14.62,14.78,13.72,14.12,15.5,14.34,12.09,11.47,12.88,13.38,11.97,10.72,11.69,11.88,9.56,7.09,6.88,7.84,7.56,7.03,9.16,13.5,17.0,19.0,22.41,27.16,30.03,29.81,28.91,29.44,29.16,25.81,21.81,20.31,19.88,18.41,16.78,16.88,18.97,20.06,19.44,20.38,23.81,26.91,28.44,29.19,31.97,33.66,31.91,28.66,27.41,27.66,26.62,24.12,22.72,22.59,20.31,15.81,12.06,10.88,9.53,6.56,3.59,3.59,4.69,4.22,3.0,4.31,7.09,8.53,8.94,11.09,15.25,19.06,20.03,21.47,24.59,27.38,27.25,26.47,27.28,27.84,25.84,21.16,17.22,14.0,9.16,2.66,-2.47,-3.91,-5.0,-7.41,-8.41,-6.44,-3.62,-2.31,-0.28,4.09,9.62,13.31,15.19,18.5,23.12,26.75,28.69,31.38,35.75,39.0,38.62,36.72,36.16,35.31,31.84,27.44,24.78,23.47,20.47,15.75,12.66,11.38,9.31,5.09,2.03,2.44,3.28,2.75,2.25,4.28,6.75,7.56,7.12,8.59,11.88,14.03,14.28,15.78,19.28,22.0,22.09,22.09,23.56,24.56,22.25,18.47,15.97,14.0,10.16,5.75,3.53,3.78,3.69,2.59,2.38,4.78,7.06,7.31,7.66,10.16,13.25,14.31,14.44,16.72,20.41,22.06,21.34,21.81,23.34,23.66,21.06,19.09,18.88,18.78,16.31,13.97,14.25,15.72,15.44,14.41,15.5,18.16,19.28,18.41,18.66,20.56,21.84,21.12,21.0,22.69,24.09,23.06,21.03,21.19,22.12,21.44,19.53,19.91,22.06,23.41,23.44,24.25,27.31,29.53,28.78,27.72,28.25,29.62,28.53,27.38,28.72,31.16,31.97,30.56,29.47,29.38,27.41,23.62,20.44,19.78,20.09,18.56,17.06,17.75,19.34,18.34,16.56,16.25,17.31,17.12,15.53,15.88,17.97,19.69,19.38,19.78,22.22,24.78,25.25,25.41,27.12,29.56,29.59,28.0,27.81,29.06,29.59,28.69,29.22,31.88,34.09,33.72,32.12,31.66,30.91,27.28,23.5,22.0,22.06,21.09,19.25,19.0,20.41,21.53,20.5,20.19,21.34,22.22,20.16,17.94,17.66,17.91,16.09,13.72,12.88,13.5,13.16,11.47,11.06,12.72,13.81,13.38,13.44,15.62,18.12,18.12,17.16,18.12,19.75,19.59,18.47,19.09,20.94,21.38,20.12,19.09,21.12,22.66,22.06,22.03,23.78,25.97,26.0,25.34,26.22,27.59,26.78,24.0,21.97,21.97,21.0,18.31,16.09,16.88,17.5,16.03,14.44,15.16,17.03,16.81,16.12,17.28,20.0,20.56,19.34,18.66,19.41,19.75,18.84,19.03,22.47,26.78,28.44,28.94,30.41,32.16,31.16,29.28,29.0,30.75,31.62,31.0,31.03,32.88,33.06,30.0,26.34,24.91,24.12,22.66,21.66,23.34,26.69,28.62,28.88,30.34,33.62,35.72,36.03,36.81,39.62,41.72,40.59,38.91,37.59,36.5,32.59,27.88,25.31,24.66,23.34,21.25,20.22,21.56,22.78,22.41,23.09,26.72,30.41,31.94,32.12,33.72,35.56,35.47,33.56,33.19,34.38,34.38,32.84,32.28,34.19,35.59,34.72,33.59,34.44,34.97,33.53,31.09,31.0,31.69,31.34,29.56,28.94,30.06,29.97,28.09,26.66,27.72,28.75,27.81,26.66,27.41,28.81,28.59,27.78,28.66,31.22,31.97,30.88,30.28,31.41,32.06,30.62,29.59,31.12,32.62,32.09,30.66,31.09,32.19,31.31,28.97,28.31,28.88,28.59,26.78,25.81,27.34,28.81,28.53,28.12,29.91,31.28,30.41,28.12,27.75,28.53,28.22,26.94,27.62,30.25,32.12,32.19,32.31,34.28,35.47,34.28,32.47,32.69,33.31,31.34,28.41,27.38,27.66,27.09,25.09,24.81,26.72,28.38,27.94,28.41,31.59,34.69,35.91,36.22,38.41,40.62,40.66,39.03,38.53,38.94,38.0,35.12,33.0,33.06,33.22,31.09,28.84,29.0,29.44,27.88,25.44,25.09,25.81,25.12,23.19,23.53,26.31,28.88,29.69,31.19,34.62,37.0,36.41,34.72,35.5,36.78,36.31,35.0,35.75,37.03,36.44,33.66,31.88,32.59,33.47,32.72,33.03,35.34,37.38,36.19,33.94,33.5,34.03,33.31,31.97,32.25,34.03,34.88,33.66,33.59,35.69,37.78,37.88,37.97,39.81,41.62,40.88,38.91,38.69,38.91,37.5,34.31,32.62,33.03,33.16,31.91,31.81,34.28,36.38,35.75,34.91,36.03,37.47,36.91,35.59,35.84,37.56,37.78,36.19,35.75,37.19,37.72,35.56,33.88,34.03,34.31,32.97,31.47,32.47,35.12,36.09,35.75,36.53,38.59,38.91,36.69,35.53,36.22,36.59,34.94,33.31,33.94,35.03,33.94,31.88,31.66,33.06,32.66,30.53,29.81,30.31,30.03,27.19,25.75,27.16,28.91,28.66,28.16,29.53,31.31,30.19,28.06,26.94,27.19,25.78,22.81,21.56,22.44,23.38,22.94,23.66,27.06,30.75,31.5,31.16,31.69,32.0,29.75,26.0,24.06,24.38,24.34,23.56,24.81,28.44,32.12,32.88,33.25,35.22,36.81,35.31,32.56,31.5,31.59,30.59,28.72,28.88,31.06,32.44,31.56,31.31,33.19,35.03,34.06,32.97,33.78,34.72,33.31,31.28,30.88,32.22,32.53,31.41,31.34,33.62,34.5,33.25,32.25,33.47,35.0,33.75,32.62,33.62,35.78,35.62,33.97,34.03,35.56,35.38,34.09,33.47,35.41,36.59,35.31,34.41,35.69,37.12,36.28,35.03,35.97,39.0,40.34,40.44,41.62,43.72,44.03,41.44,38.69,38.12,37.5,35.19,33.34,34.34,36.59,36.41,35.0,34.62,35.28,33.91,31.03,30.06,31.06,31.91,31.5,31.47,34.22,36.91,36.66,35.28,35.47,35.97,34.16,31.5,30.44,31.09,30.16,27.91,26.66,27.78,28.94,28.09,27.66,29.94,32.91,33.75,34.31,36.72,40.06,40.81,39.62,39.06,39.75,38.34,34.88,32.72,33.66,34.75,33.91,33.03,33.91,34.72,32.41,29.12,27.88,28.5,27.97,26.75,26.81,29.69,31.31,30.88,31.03,33.47,35.38,34.97,33.81,34.53,36.38,35.91,34.47,34.59,36.16,36.16,34.53,33.94,36.12,37.12,36.19,35.38,37.03,38.28,37.19,35.12,34.72,34.75,32.53,28.78,26.44,26.19,25.31,23.31,22.75,25.09,27.19,26.84,26.56,28.97,31.41,31.91,18.66,20.56,21.66,22.16,24.25,26.91,28.78,29.75,30.75,32.25,32.22,29.72,27.25,26.22:18.53,20.03,20.56,19.78,19.84,21.72,22.47,20.72,18.97,19.47,19.56,17.06,14.0,12.78,12.28,10.34,7.78,8.03,10.44,12.47,12.78,13.81,15.81,16.56,14.44,11.78,11.22,11.44,9.84,8.28,9.56,12.12,13.12,12.38,12.94,14.12,13.88,11.75,10.25,10.78,11.84,11.09,10.69,13.12,16.09,17.12,17.12,18.62,20.97,21.81,20.56,19.78,20.62,20.03,17.47,15.69,16.38,18.0,17.47,16.78,18.22,20.31,20.16,18.69,19.12,20.91,21.75,21.34,21.78,23.88,25.09,23.78,22.81,23.69,24.91,24.28,22.56,23.12,24.69,25.03,24.38,25.75,28.19,29.84,29.47,28.69,29.75,30.75,29.03,26.75,26.59,26.88,24.41,21.09,19.72,19.38,17.5,14.34,13.16,13.81,13.84,11.94,10.81,11.66,12.38,10.84,9.25,9.84,11.22,10.41,8.62,8.38,9.31,9.31,8.19,8.53,10.56,12.06,11.19,9.97,10.69,12.03,11.09,9.94,11.28,13.41,13.75,12.53,12.72,14.53,15.81,15.5,16.22,18.94,20.66,18.78,16.34,15.78,15.28,13.09,10.56,10.56,12.41,12.72,11.69,11.81,13.5,14.12,13.06,12.41,14.22,16.34,16.12,15.75,17.41,20.09,20.34,19.41,19.56,20.94,20.44,18.19,17.22,18.81,20.22,19.56,19.22,20.16,20.91,18.22,14.56,13.09,12.88,11.66,9.53,9.75,12.12,13.91,13.59,14.97,18.53,21.66,21.88,21.91,23.34,24.31,22.66,19.97,19.41,20.44,20.03,18.31,17.88,19.06,18.66,15.78,13.72,14.34,15.78,15.16,14.66,15.72,17.41,15.84,12.75,11.25,10.88,8.84,5.97,5.16,7.16,9.25,9.12,9.47,12.12,14.56,14.41,14.06,15.28,17.03,16.38,14.44,14.47,16.75,17.91,17.56,17.88,20.09,21.22,19.31,17.38,18.25,19.62,18.81,17.72,18.66,20.31,19.91,17.75,16.38,16.88,16.41,14.16,12.81,13.81,15.06,14.0,12.41,13.53,15.66,15.28,14.41,15.44,17.97,18.75,17.97,18.16,20.59,21.69,20.12,18.81,19.47,19.81,17.31,14.72,14.16,14.94,13.69,12.31,13.34,16.69,19.25,20.72,23.03,27.25,30.5,30.16,29.22,30.06,30.44,28.81,26.44,26.12,26.44,24.84,21.56,19.69,19.62,17.88,14.75,12.38,12.34,12.66,11.22,10.09,11.38,13.03,11.91,9.81,9.06,9.72,8.53,6.31,5.69,7.91,9.25,8.81,9.0,11.53,13.69,13.06,12.38,13.91,16.06,15.5,13.56,12.91,13.06,11.53,8.47,7.03,8.41,9.59,8.91,8.22,9.41,10.47,8.94,6.19,6.5,7.91,7.47,6.34,6.62,8.41,8.94,8.16,7.91,10.09,11.78,11.19,10.41,12.06,14.62,14.78,13.72,14.12,15.5,14.34,12.09,11.47,12.88,13.38,11.97,10.72,11.69,11.88,9.56,7.09,6.88,7.84,7.56,7.03,9.16,13.5,17.0,19.0,22.41,27.16,30.03,29.81,28.91,29.44,29.16,25.81,21.81,20.31,19.88,18.41,16.78,16.88,18.97,20.06,19.44,20.38,23.81,26.91,28.44,29.19,31.97,33.66,31.91,28.66,27.41,27.66,26.62,24.12,22.72,22.59,20.31,15.81,12.06,10.88,9.53,6.56,3.59,3.59,4.69,4.22,3.0,4.31,7.09,8.53,8.94,11.09,15.25,19.06,20.03,21.47,24.59,27.38,27.25,26.47,27.28,27.84,25.84,21.16,17.22,14.0,9.16,2.66,-2.47,-3.91,-5.0,-7.41,-8.41,-6.44,-3.62,-2.31,-0.28,4.09,9.62,13.31,15.19,18.5,23.12,26.75,28.69,31.38,35.75,39.0,38.62,36.72,36.16,35.31,31.84,27.44,24.78,23.47,20.47,15.75,12.66,11.38,9.31,5.09,2.03,2.44,3.28,2.75,2.25,4.28,6.75,7.56,7.12,8.59,11.88,14.03,14.28,15.78,19.28,22.0,22.09,22.09,23.56,24.56,22.25,18.47,15.97,14.0,10.16,5.75,3.53,3.78,3.69,2.59,2.38,4.78,7.06,7.31,7.66,10.16,13.25,14.31,14.44,16.72,20.41,22.06,21.34,21.81,23.34,23.66,21.06,19.09,18.88,18.78,16.31,13.97,14.25,15.72,15.44,14.41,15.5,18.16,19.28,18.41,18.66,20.56,21.84,21.12,21.0,22.69,24.09,23.06,21.03,21.19,22.12,21.44,19.53,19.91,22.06,23.41,23.44,24.25,27.31,29.53,28.78,27.72,28.25,29.62,28.53,27.38,28.72,31.16,31.97,30.56,29.47,29.38,27.41,23.62,20.44,19.78,20.09,18.56,17.06,17.75,19.34,18.34,16.56,16.25,17.31,17.12,15.53,15.88,17.97,19.69,19.38,19.78,22.22,24.78,25.25,25.41,27.12,29.56,29.59,28.0,27.81,29.06,29.59,28.69,29.22,31.88,34.09,33.72,32.12,31.66,30.91,27.28,23.5,22.0,22.06,21.09,19.25,19.0,20.41,21.53,20.5,20.19,21.34,22.22,20.16,17.94,17.66,17.91,16.09,13.72,12.88,13.5,13.16,11.47,11.06,12.72,13.81,13.38,13.44,15.62,18.12,18.12,17.16,18.12,19.75,19.59,18.47,19.09,20.94,21.38,20.12,19.09,21.12,22.66,22.06,22.03,23.78,25.97,26.0,25.34,26.22,27.59,26.78,24.0,21.97,21.97,21.0,18.31,16.09,16.88,17.5,16.03,14.44,15.16,17.03,16.81,16.12,17.28,20.0,20.56,19.34,18.66,19.41,19.75,18.84,19.03,22.47,26.78,28.44,28.94,30.41,32.16,31.16,29.28,29.0,30.75,31.62,31.0,31.03,32.88,33.06,30.0,26.34,24.91,24.12,22.66,21.66,23.34,26.69,28.62,28.88,30.34,33.62,35.72,36.03,36.81,39.62,41.72,40.59,38.91,37.59,36.5,32.59,27.88,25.31,24.66,23.34,21.25,20.22,21.56,22.78,22.41,23.09,26.72,30.41,31.94,32.12,33.72,35.56,35.47,33.56,33.19,34.38,34.38,32.84,32.28,34.19,35.59,34.72,33.59,34.44,34.97,33.53,31.09,31.0,31.69,31.34,29.56,28.94,30.06,29.97,28.09,26.66,27.72,28.75,27.81,26.66,27.41,28.81,28.59,27.78,28.66,31.22,31.97,30.88,30.28,31.41,32.06,30.62,29.59,31.12,32.62,32.09,30.66,31.09,32.19,31.31,28.97,28.31,28.88,28.59,26.78,25.81,27.34,28.81,28.53,28.12,29.91,31.28,30.41,28.12,27.75,28.53,28.22,26.94,27.62,30.25,32.12,32.19,32.31,34.28,35.47,34.28,32.47,32.69,33.31,31.34,28.41,27.38,27.66,27.09,25.09,24.81,26.72,28.38,27.94,28.41,31.59,34.69,35.91,36.22,38.41,40.62,40.66,39.03,38.53,38.94,38.0,35.12,33.0,33.06,33.22,31.09,28.84,29.0,29.44,27.88,25.44,25.09,25.81,25.12,23.19,23.53,26.31,28.88,29.69,31.19,34.62,37.0,36.41,34.72,35.5,36.78,36.31,35.0,35.75,37.03,36.44,33.66,31.88,32.59,33.47,32.72,33.03,35.34,37.38,36.19,33.94,33.5,34.03,33.31,31.97,32.25,34.03,34.88,33.66,33.59,35.69,37.78,37.88,37.97,39.81,41.62,40.88,38.91,38.69,38.91,37.5,34.31,32.62,33.03,33.16,31.91,31.81,34.28,36.38,35.75,34.91,36.03,37.47,36.91,35.59,35.84,37.56,37.78,36.19,35.75,37.19,37.72,35.56,33.88,34.03,34.31,32.97,31.47,32.47,35.12,36.09,35.75,36.53,38.59,38.91,36.69,35.53,36.22,36.59,34.94,33.31,33.94,35.03,33.94,31.88,31.66,33.06,32.66,30.53,29.81,30.31,30.03,27.19,25.75,27.16,28.91,28.66,28.16,29.53,31.31,30.19,28.06,26.94,27.19,25.78,22.81,21.56,22.44,23.38,22.94,23.66,27.06,30.75,31.5,31.16,31.69,32.0,29.75,26.0,24.06,24.38,24.34,23.56,24.81,28.44,32.12,32.88,33.25,35.22,36.81,35.31,32.56,31.5,31.59,30.59,28.72,28.88,31.06,32.44,31.56,31.31,33.19,35.03,34.06,32.97,33.78,34.72,33.31,31.28,30.88,32.22,32.53,31.41,31.34,33.62,34.5,33.25,32.25,33.47,35.0,33.75,32.62,33.62,35.78,35.62,33.97,34.03,35.56,35.38,34.09,33.47,35.41,36.59,35.31,34.41,35.69,37.12,36.28,35.03,35.97,39.0,40.34,40.44,41.62,43.72,44.03,41.44,38.69,38.12,37.5,35.19,33.34,34.34,36.59,36.41,35.0,34.62,35.28,33.91,31.03,30.06,31.06,31.91,31.5,31.47,34.22,36.91,36.66,35.28,35.47,35.97,34.16,31.5,30.44,31.09,30.16,27.91,26.66,27.78,28.94,28.09,27.66,29.94,32.91,33.75,34.31,36.72,40.06,40.81,39.62,39.06,39.75,38.34,34.88,32.72,33.66,34.75,33.91,33.03,33.91,34.72,32.41,29.12,27.88,28.5,27.97,26.75,26.81,29.69,31.31,30.88,31.03,33.47,35.38,34.97,33.81,34.53,36.38,35.91,34.47,34.59,36.16,36.16,34.53,33.94,36.12,37.12,36.19,35.38,37.03,38.28,37.19,35.12,34.72,34.75,32.53,28.78,26.44,26.19,25.31,23.31,22.75,25.09,27.19,26.84,26.56,28.97,31.41,31.91,18.66,20.56,21.66,22.16,24.25,26.91,28.78,29.75,30.75,32.25,32.22,29.72,27.25,26.22,25.47,23.97,23.22,24.25,25.06,24.72,23.78:20.72,18.97,19.47,19.56,17.06,14.0,12.78,12.28,10.34,7.78,8.03,10.44,12.47,12.78,13.81,15.81,16.56,14.44,11.78,11.22,11.44,9.84,8.28,9.56,12.12,13.12,12.38,12.94,14.12,13.88,11.75,10.25,10.78,11.84,11.09,10.69,13.12,16.09,17.12,17.12,18.62,20.97,21.81,20.56,19.78,20.62,20.03,17.47,15.69,16.38,18.0,17.47,16.78,18.22,20.31,20.16,18.69,19.12,20.91,21.75,21.34,21.78,23.88,25.09,23.78,22.81,23.69,24.91,24.28,22.56,23.12,24.69,25.03,24.38,25.75,28.19,29.84,29.47,28.69,29.75,30.75,29.03,26.75,26.59,26.88,24.41,21.09,19.72,19.38,17.5,14.34,13.16,13.81,13.84,11.94,10.81,11.66,12.38,10.84,9.25,9.84,11.22,10.41,8.62,8.38,9.31,9.31,8.19,8.53,10.56,12.06,11.19,9.97,10.69,12.03,11.09,9.94,11.28,13.41,13.75,12.53,12.72,14.53,15.81,15.5,16.22,18.94,20.66,18.78,16.34,15.78,15.28,13.09,10.56,10.56,12.41,12.72,11.69,11.81,13.5,14.12,13.06,12.41,14.22,16.34,16.12,15.75,17.41,20.09,20.34,19.41,19.56,20.94,20.44,18.19,17.22,18.81,20.22,19.56,19.22,20.16,20.91,18.22,14.56,13.09,12.88,11.66,9.53,9.75,12.12,13.91,13.59,14.97,18.53,21.66,21.88,21.91,23.34,24.31,22.66,19.97,19.41,20.44,20.03,18.31,17.88,19.06,18.66,15.78,13.72,14.34,15.78,15.16,14.66,15.72,17.41,15.84,12.75,11.25,10.88,8.84,5.97,5.16,7.16,9.25,9.12,9.47,12.12,14.56,14.41,14.06,15.28,17.03,16.38,14.44,14.47,16.75,17.91,17.56,17.88,20.09,21.22,19.31,17.38,18.25,19.62,18.81,17.72,18.66,20.31,19.91,17.75,16.38,16.88,16.41,14.16,12.81,13.81,15.06,14.0,12.41,13.53,15.66,15.28,14.41,15.44,17.97,18.75,17.97,18.16,20.59,21.69,20.12,18.81,19.47,19.81,17.31,14.72,14.16,14.94,13.69,12.31,13.34,16.69,19.25,20.72,23.03,27.25,30.5,30.16,29.22,30.06,30.44,28.81,26.44,26.12,26.44,24.84,21.56,19.69,19.62,17.88,14.75,12.38,12.34,12.66,11.22,10.09,11.38,13.03,11.91,9.81,9.06,9.72,8.53,6.31,5.69,7.91,9.25,8.81,9.0,11.53,13.69,13.06,12.38,13.91,16.06,15.5,13.56,12.91,13.06,11.53,8.47,7.03,8.41,9.59,8.91,8.22,9.41,10.47,8.94,6.19,6.5,7.91,7.47,6.34,6.62,8.41,8.94,8.16,7.91,10.09,11.78,11.19,10.41,12.06,14.62,14.78,13.72,14.12,15.5,14.34,12.09,11.47,12.88,13.38,11.97,10.72,11.69,11.88,9.56,7.09,6.88,7.84,7.56,7.03,9.16,13.5,17.0,19.0,22.41,27.16,30.03,29.81,28.91,29.44,29.16,25.81,21.81,20.31,19.88,18.41,16.78,16.88,18.97,20.06,19.44,20.38,23.81,26.91,28.44,29.19,31.97,33.66,31.91,28.66,27.41,27.66,26.62,24.12,22.72,22.59,20.31,15.81,12.06,10.88,9.53,6.56,3.59,3.59,4.69,4.22,3.0,4.31,7.09,8.53,8.94,11.09,15.25,19.06,20.03,21.47,24.59,27.38,27.25,26.47,27.28,27.84,25.84,21.16,17.22,14.0,9.16,2.66,-2.47,-3.91,-5.0,-7.41,-8.41,-6.44,-3.62,-2.31,-0.28,4.09,9.62,13.31,15.19,18.5,23.12,26.75,28.69,31.38,35.75,39.0,38.62,36.72,36.16,35.31,31.84,27.44,24.78,23.47,20.47,15.75,12.66,11.38,9.31,5.09,2.03,2.44,3.28,2.75,2.25,4.28,6.75,7.56,7.12,8.59,11.88,14.03,14.28,15.78,19.28,22.0,22.09,22.09,23.56,24.56,22.25,18.47,15.97,14.0,10.16,5.75,3.53,3.78,3.69,2.59,2.38,4.78,7.06,7.31,7.66,10.16,13.25,14.31,14.44,16.72,20.41,22.06,21.34,21.81,23.34,23.66,21.06,19.09,18.88,18.78,16.31,13.97,14.25,15.72,15.44,14.41,15.5,18.16,19.28,18.41,18.66,20.56,21.84,21.12,21.0,22.69,24.09,23.06,21.03,21.19,22.12,21.44,19.53,19.91,22.06,23.41,23.44,24.25,27.31,29.53,28.78,27.72,28.25,29.62,28.53,27.38,28.72,31.16,31.97,30.56,29.47,29.38,27.41,23.62,20.44,19.78,20.09,18.56,17.06,17.75,19.34,18.34,16.56,16.25,17.31,17.12,15.53,15.88,17.97,19.69,19.38,19.78,22.22,24.78,25.25,25.41,27.12,29.56,29.59,28.0,27.81,29.06,29.59,28.69,29.22,31.88,34.09,33.72,32.12,31.66,30.91,27.28,23.5,22.0,22.06,21.09,19.25,19.0,20.41,21.53,20.5,20.19,21.34,22.22,20.16,17.94,17.66,17.91,16.09,13.72,12.88,13.5,13.16,11.47,11.06,12.72,13.81,13.38,13.44,15.62,18.12,18.12,17.16,18.12,19.75,19.59,18.47,19.09,20.94,21.38,20.12,19.09,21.12,22.66,22.06,22.03,23.78,25.97,26.0,25.34,26.22,27.59,26.78,24.0,21.97,21.97,21.0,18.31,16.09,16.88,17.5,16.03,14.44,15.16,17.03,16.81,16.12,17.28,20.0,20.56,19.34,18.66,19.41,19.75,18.84,19.03,22.47,26.78,28.44,28.94,30.41,32.16,31.16,29.28,29.0,30.75,31.62,31.0,31.03,32.88,33.06,30.0,26.34,24.91,24.12,22.66,21.66,23.34,26.69,28.62,28.88,30.34,33.62,35.72,36.03,36.81,39.62,41.72,40.59,38.91,37.59,36.5,32.59,27.88,25.31,24.66,23.34,21.25,20.22,21.56,22.78,22.41,23.09,26.72,30.41,31.94,32.12,33.72,35.56,35.47,33.56,33.19,34.38,34.38,32.84,32.28,34.19,35.59,34.72,33.59,34.44,34.97,33.53,31.09,31.0,31.69,31.34,29.56,28.94,30.06,29.97,28.09,26.66,27.72,28.75,27.81,26.66,27.41,28.81,28.59,27.78,28.66,31.22,31.97,30.88,30.28,31.41,32.06,30.62,29.59,31.12,32.62,32.09,30.66,31.09,32.19,31.31,28.97,28.31,28.88,28.59,26.78,25.81,27.34,28.81,28.53,28.12,29.91,31.28,30.41,28.12,27.75,28.53,28.22,26.94,27.62,30.25,32.12,32.19,32.31,34.28,35.47,34.28,32.47,32.69,33.31,31.34,28.41,27.38,27.66,27.09,25.09,24.81,26.72,28.38,27.94,28.41,31.59,34.69,35.91,36.22,38.41,40.62,40.66,39.03,38.53,38.94,38.0,35.12,33.0,33.06,33.22,31.09,28.84,29.0,29.44,27.88,25.44,25.09,25.81,25.12,23.19,23.53,26.31,28.88,29.69,31.19,34.62,37.0,36.41,34.72,35.5,36.78,36.31,35.0,35.75,37.03,36.44,33.66,31.88,32.59,33.47,32.72,33.03,35.34,37.38,36.19,33.94,33.5,34.03,33.31,31.97,32.25,34.03,34.88,33.66,33.59,35.69,37.78,37.88,37.97,39.81,41.62,40.88,38.91,38.69,38.91,37.5,34.31,32.62,33.03,33.16,31.91,31.81,34.28,36.38,35.75,34.91,36.03,37.47,36.91,35.59,35.84,37.56,37.78,36.19,35.75,37.19,37.72,35.56,33.88,34.03,34.31,32.97,31.47,32.47,35.12,36.09,35.75,36.53,38.59,38.91,36.69,35.53,36.22,36.59,34.94,33.31,33.94,35.03,33.94,31.88,31.66,33.06,32.66,30.53,29.81,30.31,30.03,27.19,25.75,27.16,28.91,28.66,28.16,29.53,31.31,30.19,28.06,26.94,27.19,25.78,22.81,21.56,22.44,23.38,22.94,23.66,27.06,30.75,31.5,31.16,31.69,32.0,29.75,26.0,24.06,24.38,24.34,23.56,24.81,28.44,32.12,32.88,33.25,35.22,36.81,35.31,32.56,31.5,31.59,30.59,28.72,28.88,31.06,32.44,31.56,31.31,33.19,35.03,34.06,32.97,33.78,34.72,33.31,31.28,30.88,32.22,32.53,31.41,31.34,33.62,34.5,33.25,32.25,33.47,35.0,33.75,32.62,33.62,35.78,35.62,33.97,34.03,35.56,35.38,34.09,33.47,35.41,36.59,35.31,34.41,35.69,37.12,36.28,35.03,35.97,39.0,40.34,40.44,41.62,43.72,44.03,41.44,38.69,38.12,37.5,35.19,33.34,34.34,36.59,36.41,35.0,34.62,35.28,33.91,31.03,30.06,31.06,31.91,31.5,31.47,34.22,36.91,36.66,35.28,35.47,35.97,34.16,31.5,30.44,31.09,30.16,27.91,26.66,27.78,28.94,28.09,27.66,29.94,32.91,33.75,34.31,36.72,40.06,40.81,39.62,39.06,39.75,38.34,34.88,32.72,33.66,34.75,33.91,33.03,33.91,34.72,32.41,29.12,27.88,28.5,27.97,26.75,26.81,29.69,31.31,30.88,31.03,33.47,35.38,34.97,33.81,34.53,36.38,35.91,34.47,34.59,36.16,36.16,34.53,33.94,36.12,37.12,36.19,35.38,37.03,38.28,37.19,35.12,34.72,34.75,32.53,28.78,26.44,26.19,25.31,23.31,22.75,25.09,27.19,26.84,26.56,28.97,31.41,31.91,18.66,20.56,21.66,22.16,24.25,26.91,28.78,29.75,30.75,32.25,32.22,29.72,27.25,26.22,25.47,23.97,23.22,24.25,25.06,24.72,23.78,24.06,25.47,26.25,26.56,27.41,29.12,29.81:12.28,10.34,7.78,8.03,10.44,12.47,12.78,13.81,15.81,16.56,14.44,11.78,11.22,11.44,9.84,8.28,9.56,12.12,13.12,12.38,12.94,14.12,13.88,11.75,10.25,10.78,11.84,11.09,10.69,13.12,16.09,17.12,17.12,18.62,20.97,21.81,20.56,19.78,20.62,20.03,17.47,15.69,16.38,18.0,17.47,16.78,18.22,20.31,20.16,18.69,19.12,20.91,21.75,21.34,21.78,23.88,25.09,23.78,22.81,23.69,24.91,24.28,22.56,23.12,24.69,25.03,24.38,25.75,28.19,29.84,29.47,28.69,29.75,30.75,29.03,26.75,26.59,26.88,24.41,21.09,19.72,19.38,17.5,14.34,13.16,13.81,13.84,11.94,10.81,11.66,12.38,10.84,9.25,9.84,11.22,10.41,8.62,8.38,9.31,9.31,8.19,8.53,10.56,12.06,11.19,9.97,10.69,12.03,11.09,9.94,11.28,13.41,13.75,12.53,12.72,14.53,15.81,15.5,16.22,18.94,20.66,18.78,16.34,15.78,15.28,13.09,10.56,10.56,12.41,12.72,11.69,11.81,13.5,14.12,13.06,12.41,14.22,16.34,16.12,15.75,17.41,20.09,20.34,19.41,19.56,20.94,20.44,18.19,17.22,18.81,20.22,19.56,19.22,20.16,20.91,18.22,14.56,13.09,12.88,11.66,9.53,9.75,12.12,13.91,13.59,14.97,18.53,21.66,21.88,21.91,23.34,24.31,22.66,19.97,19.41,20.44,20.03,18.31,17.88,19.06,18.66,15.78,13.72,14.34,15.78,15.16,14.66,15.72,17.41,15.84,12.75,11.25,10.88,8.84,5.97,5.16,7.16,9.25,9.12,9.47,12.12,14.56,14.41,14.06,15.28,17.03,16.38,14.44,14.47,16.75,17.91,17.56,17.88,20.09,21.22,19.31,17.38,18.25,19.62,18.81,17.72,18.66,20.31,19.91,17.75,16.38,16.88,16.41,14.16,12.81,13.81,15.06,14.0,12.41,13.53,15.66,15.28,14.41,15.44,17.97,18.75,17.97,18.16,20.59,21.69,20.12,18.81,19.47,19.81,17.31,14.72,14.16,14.94,13.69,12.31,13.34,16.69,19.25,20.72,23.03,27.25,30.5,30.16,29.22,30.06,30.44,28.81,26.44,26.12,26.44,24.84,21.56,19.69,19.62,17.88,14.75,12.38,12.34,12.66,11.22,10.09,11.38,13.03,11.91,9.81,9.06,9.72,8.53,6.31,5.69,7.91,9.25,8.81,9.0,11.53,13.69,13.06,12.38,13.91,16.06,15.5,13.56,12.91,13.06,11.53,8.47,7.03,8.41,9.59,8.91,8.22,9.41,10.47,8.94,6.19,6.5,7.91,7.47,6.34,6.62,8.41,8.94,8.16,7.91,10.09,11.78,11.19,10.41,12.06,14.62,14.78,13.72,14.12,15.5,14.34,12.09,11.47,12.88,13.38,11.97,10.72,11.69,11.88,9.56,7.09,6.88,7.84,7.56,7.03,9.16,13.5,17.0,19.0,22.41,27.16,30.03,29.81,28.91,29.44,29.16,25.81,21.81,20.31,19.88,18.41,16.78,16.88,18.97,20.06,19.44,20.38,23.81,26.91,28.44,29.19,31.97,33.66,31.91,28.66,27.41,27.66,26.62,24.12,22.72,22.59,20.31,15.81,12.06,10.88,9.53,6.56,3.59,3.59,4.69,4.22,3.0,4.31,7.09,8.53,8.94,11.09,15.25,19.06,20.03,21.47,24.59,27.38,27.25,26.47,27.28,27.84,25.84,21.16,17.22,14.0,9.16,2.66,-2.47,-3.91,-5.0,-7.41,-8.41,-6.44,-3.62,-2.31,-0.28,4.09,9.62,13.31,15.19,18.5,23.12,26.75,28.69,31.38,35.75,39.0,38.62,36.72,36.16,35.31,31.84,27.44,24.78,23.47,20.47,15.75,12.66,11.38,9.31,5.09,2.03,2.44,3.28,2.75,2.25,4.28,6.75,7.56,7.12,8.59,11.88,14.03,14.28,15.78,19.28,22.0,22.09,22.09,23.56,24.56,22.25,18.47,15.97,14.0,10.16,5.75,3.53,3.78,3.69,2.59,2.38,4.78,7.06,7.31,7.66,10.16,13.25,14.31,14.44,16.72,20.41,22.06,21.34,21.81,23.34,23.66,21.06,19.09,18.88,18.78,16.31,13.97,14.25,15.72,15.44,14.41,15.5,18.16,19.28,18.41,18.66,20.56,21.84,21.12,21.0,22.69,24.09,23.06,21.03,21.19,22.12,21.44,19.53,19.91,22.06,23.41,23.44,24.25,27.31,29.53,28.78,27.72,28.25,29.62,28.53,27.38,28.72,31.16,31.97,30.56,29.47,29.38,27.41,23.62,20.44,19.78,20.09,18.56,17.06,17.75,19.34,18.34,16.56,16.25,17.31,17.12,15.53,15.88,17.97,19.69,19.38,19.78,22.22,24.78,25.25,25.41,27.12,29.56,29.59,28.0,27.81,29.06,29.59,28.69,29.22,31.88,34.09,33.72,32.12,31.66,30.91,27.28,23.5,22.0,22.06,21.09,19.25,19.0,20.41,21.53,20.5,20.19,21.34,22.22,20.16,17.94,17.66,17.91,16.09,13.72,12.88,13.5,13.16,11.47,11.06,12.72,13.81,13.38,13.44,15.62,18.12,18.12,17.16,18.12,19.75,19.59,18.47,19.09,20.94,21.38,20.12,19.09,21.12,22.66,22.06,22.03,23.78,25.97,26.0,25.34,26.22,27.59,26.78,24.0,21.97,21.97,21.0,18.31,16.09,16.88,17.5,16.03,14.44,15.16,17.03,16.81,16.12,17.28,20.0,20.56,19.34,18.66,19.41,19.75,18.84,19.03,22.47,26.78,28.44,28.94,30.41,32.16,31.16,29.28,29.0,30.75,31.62,31.0,31.03,32.88,33.06,30.0,26.34,24.91,24.12,22.66,21.66,23.34,26.69,28.62,28.88,30.34,33.62,35.72,36.03,36.81,39.62,41.72,40.59,38.91,37.59,36.5,32.59,27.88,25.31,24.66,23.34,21.25,20.22,21.56,22.78,22.41,23.09,26.72,30.41,31.94,32.12,33.72,35.56,35.47,33.56,33.19,34.38,34.38,32.84,32.28,34.19,35.59,34.72,33.59,34.44,34.97,33.53,31.09,31.0,31.69,31.34,29.56,28.94,30.06,29.97,28.09,26.66,27.72,28.75,27.81,26.66,27.41,28.81,28.59,27.78,28.66,31.22,31.97,30.88,30.28,31.41,32.06,30.62,29.59,31.12,32.62,32.09,30.66,31.09,32.19,31.31,28.97,28.31,28.88,28.59,26.78,25.81,27.34,28.81,28.53,28.12,29.91,31.28,30.41,28.12,27.75,28.53,28.22,26.94,27.62,30.25,32.12,32.19,32.31,34.28,35.47,34.28,32.47,32.69,33.31,31.34,28.41,27.38,27.66,27.09,25.09,24.81,26.72,28.38,27.94,28.41,31.59,34.69,35.91,36.22,38.41,40.62,40.66,39.03,38.53,38.94,38.0,35.12,33.0,33.06,33.22,31.09,28.84,29.0,29.44,27.88,25.44,25.09,25.81,25.12,23.19,23.53,26.31,28.88,29.69,31.19,34.62,37.0,36.41,34.72,35.5,36.78,36.31,35.0,35.75,37.03,36.44,33.66,31.88,32.59,33.47,32.72,33.03,35.34,37.38,36.19,33.94,33.5,34.03,33.31,31.97,32.25,34.03,34.88,33.66,33.59,35.69,37.78,37.88,37.97,39.81,41.62,40.88,38.91,38.69,38.91,37.5,34.31,32.62,33.03,33.16,31.91,31.81,34.28,36.38,35.75,34.91,36.03,37.47,36.91,35.59,35.84,37.56,37.78,36.19,35.75,37.19,37.72,35.56,33.88,34.03,34.31,32.97,31.47,32.47,35.12,36.09,35.75,36.53,38.59,38.91,36.69,35.53,36.22,36.59,34.94,33.31,33.94,35.03,33.94,31.88,31.66,33.06,32.66,30.53,29.81,30.31,30.03,27.19,25.75,27.16,28.91,28.66,28.16,29.53,31.31,30.19,28.06,26.94,27.19,25.78,22.81,21.56,22.44,23.38,22.94,23.66,27.06,30.75,31.5,31.16,31.69,32.0,29.75,26.0,24.06,24.38,24.34,23.56,24.81,28.44,32.12,32.88,33.25,35.22,36.81,35.31,32.56,31.5,31.59,30.59,28.72,28.88,31.06,32.44,31.56,31.31,33.19,35.03,34.06,32.97,33.78,34.72,33.31,31.28,30.88,32.22,32.53,31.41,31.34,33.62,34.5,33.25,32.25,33.47,35.0,33.75,32.62,33.62,35.78,35.62,33.97,34.03,35.56,35.38,34.09,33.47,35.41,36.59,35.31,34.41,35.69,37.12,36.28,35.03,35.97,39.0,40.34,40.44,41.62,43.72,44.03,41.44,38.69,38.12,37.5,35.19,33.34,34.34,36.59,36.41,35.0,34.62,35.28,33.91,31.03,30.06,31.06,31.91,31.5,31.47,34.22,36.91,36.66,35.28,35.47,35.97,34.16,31.5,30.44,31.09,30.16,27.91,26.66,27.78,28.94,28.09,27.66,29.94,32.91,33.75,34.31,36.72,40.06,40.81,39.62,39.06,39.75,38.34,34.88,32.72,33.66,34.75,33.91,33.03,33.91,34.72,32.41,29.12,27.88,28.5,27.97,26.75,26.81,29.69,31.31,30.88,31.03,33.47,35.38,34.97,33.81,34.53,36.38,35.91,34.47,34.59,36.16,36.16,34.53,33.94,36.12,37.12,36.19,35.38,37.03,38.28,37.19,35.12,34.72,34.75,32.53,28.78,26.44,26.19,25.31,23.31,22.75,25.09,27.19,26.84,26.56,28.97,31.41,31.91,18.66,20.56,21.66,22.16,24.25,26.91,28.78,29.75,30.75,32.25,32.22,29.72,27.25,26.22,25.47,23.97,23.22,24.25,25.06,24.72,23.78,24.06,25.47,26.25,26.56,27.41,29.12,29.81,28.44,26.59,25.84,24.97,22.41,20.09,18.75:13.81,15.81,16.56,14.44,11.78,11.22,11.44,9.84,8.28,9.56,12.12,13.12,12.38,12.94,14.12,13.88,11.75,10.25,10.78,11.84,11.09,10.69,13.12,16.09,17.12,17.12,18.62,20.97,21.81,20.56,19.78,20.62,20.03,17.47,15.69,16.38,18.0,17.47,16.78,18.22,20.31,20.16,18.69,19.12,20.91,21.75,21.34,21.78,23.88,25.09,23.78,22.81,23.69,24.91,24.28,22.56,23.12,24.69,25.03,24.38,25.75,28.19,29.84,29.47,28.69,29.75,30.75,29.03,26.75,26.59,26.88,24.41,21.09,19.72,19.38,17.5,14.34,13.16,13.81,13.84,11.94,10.81,11.66,12.38,10.84,9.25,9.84,11.22,10.41,8.62,8.38,9.31,9.31,8.19,8.53,10.56,12.06,11.19,9.97,10.69,12.03,11.09,9.94,11.28,13.41,13.75,12.53,12.72,14.53,15.81,15.5,16.22,18.94,20.66,18.78,16.34,15.78,15.28,13.09,10.56,10.56,12.41,12.72,11.69,11.81,13.5,14.12,13.06,12.41,14.22,16.34,16.12,15.75,17.41,20.09,20.34,19.41,19.56,20.94,20.44,18.19,17.22,18.81,20.22,19.56,19.22,20.16,20.91,18.22,14.56,13.09,12.88,11.66,9.53,9.75,12.12,13.91,13.59,14.97,18.53,21.66,21.88,21.91,23.34,24.31,22.66,19.97,19.41,20.44,20.03,18.31,17.88,19.06,18.66,15.78,13.72,14.34,15.78,15.16,14.66,15.72,17.41,15.84,12.75,11.25,10.88,8.84,5.97,5.16,7.16,9.25,9.12,9.47,12.12,14.56,14.41,14.06,15.28,17.03,16.38,14.44,14.47,16.75,17.91,17.56,17.88,20.09,21.22,19.31,17.38,18.25,19.62,18.81,17.72,18.66,20.31,19.91,17.75,16.38,16.88,16.41,14.16,12.81,13.81,15.06,14.0,12.41,13.53,15.66,15.28,14.41,15.44,17.97,18.75,17.97,18.16,20.59,21.69,20.12,18.81,19.47,19.81,17.31,14.72,14.16,14.94,13.69,12.31,13.34,16.69,19.25,20.72,23.03,27.25,30.5,30.16,29.22,30.06,30.44,28.81,26.44,26.12,26.44,24.84,21.56,19.69,19.62,17.88,14.75,12.38,12.34,12.66,11.22,10.09,11.38,13.03,11.91,9.81,9.06,9.72,8.53,6.31,5.69,7.91,9.25,8.81,9.0,11.53,13.69,13.06,12.38,13.91,16.06,15.5,13.56,12.91,13.06,11.53,8.47,7.03,8.41,9.59,8.91,8.22,9.41,10.47,8.94,6.19,6.5,7.91,7.47,6.34,6.62,8.41,8.94,8.16,7.91,10.09,11.78,11.19,10.41,12.06,14.62,14.78,13.72,14.12,15.5,14.34,12.09,11.47,12.88,13.38,11.97,10.72,11.69,11.88,9.56,7.09,6.88,7.84,7.56,7.03,9.16,13.5,17.0,19.0,22.41,27.16,30.03,29.81,28.91,29.44,29.16,25.81,21.81,20.31,19.88,18.41,16.78,16.88,18.97,20.06,19.44,20.38,23.81,26.91,28.44,29.19,31.97,33.66,31.91,28.66,27.41,27.66,26.62,24.12,22.72,22.59,20.31,15.81,12.06,10.88,9.53,6.56,3.59,3.59,4.69,4.22,3.0,4.31,7.09,8.53,8.94,11.09,15.25,19.06,20.03,21.47,24.59,27.38,27.25,26.47,27.28,27.84,25.84,21.16,17.22,14.0,9.16,2.66,-2.47,-3.91,-5.0,-7.41,-8.41,-6.44,-3.62,-2.31,-0.28,4.09,9.62,13.31,15.19,18.5,23.12,26.75,28.69,31.38,35.75,39.0,38.62,36.72,36.16,35.31,31.84,27.44,24.78,23.47,20.47,15.75,12.66,11.38,9.31,5.09,2.03,2.44,3.28,2.75,2.25,4.28,6.75,7.56,7.12,8.59,11.88,14.03,14.28,15.78,19.28,22.0,22.09,22.09,23.56,24.56,22.25,18.47,15.97,14.0,10.16,5.75,3.53,3.78,3.69,2.59,2.38,4.78,7.06,7.31,7.66,10.16,13.25,14.31,14.44,16.72,20.41,22.06,21.34,21.81,23.34,23.66,21.06,19.09,18.88,18.78,16.31,13.97,14.25,15.72,15.44,14.41,15.5,18.16,19.28,18.41,18.66,20.56,21.84,21.12,21.0,22.69,24.09,23.06,21.03,21.19,22.12,21.44,19.53,19.91,22.06,23.41,23.44,24.25,27.31,29.53,28.78,27.72,28.25,29.62,28.53,27.38,28.72,31.16,31.97,30.56,29.47,29.38,27.41,23.62,20.44,19.78,20.09,18.56,17.06,17.75,19.34,18.34,16.56,16.25,17.31,17.12,15.53,15.88,17.97,19.69,19.38,19.78,22.22,24.78,25.25,25.41,27.12,29.56,29.59,28.0,27.81,29.06,29.59,28.69,29.22,31.88,34.09,33.72,32.12,31.66,30.91,27.28,23.5,22.0,22.06,21.09,19.25,19.0,20.41,21.53,20.5,20.19,21.34,22.22,20.16,17.94,17.66,17.91,16.09,13.72,12.88,13.5,13.16,11.47,11.06,12.72,13.81,13.38,13.44,15.62,18.12,18.12,17.16,18.12,19.75,19.59,18.47,19.09,20.94,21.38,20.12,19.09,21.12,22.66,22.06,22.03,23.78,25.97,26.0,25.34,26.22,27.59,26.78,24.0,21.97,21.97,21.0,18.31,16.09,16.88,17.5,16.03,14.44,15.16,17.03,16.81,16.12,17.28,20.0,20.56,19.34,18.66,19.41,19.75,18.84,19.03,22.47,26.78,28.44,28.94,30.41,32.16,31.16,29.28,29.0,30.75,31.62,31.0,31.03,32.88,33.06,30.0,26.34,24.91,24.12,22.66,21.66,23.34,26.69,28.62,28.88,30.34,33.62,35.72,36.03,36.81,39.62,41.72,40.59,38.91,37.59,36.5,32.59,27.88,25.31,24.66,23.34,21.25,20.22,21.56,22.78,22.41,23.09,26.72,30.41,31.94,32.12,33.72,35.56,35.47,33.56,33.19,34.38,34.38,32.84,32.28,34.19,35.59,34.72,33.59,34.44,34.97,33.53,31.09,31.0,31.69,31.34,29.56,28.94,30.06,29.97,28.09,26.66,27.72,28.75,27.81,26.66,27.41,28.81,28.59,27.78,28.66,31.22,31.97,30.88,30.28,31.41,32.06,30.62,29.59,31.12,32.62,32.09,30.66,31.09,32.19,31.31,28.97,28.31,28.88,28.59,26.78,25.81,27.34,28.81,28.53,28.12,29.91,31.28,30.41,28.12,27.75,28.53,28.22,26.94,27.62,30.25,32.12,32.19,32.31,34.28,35.47,34.28,32.47,32.69,33.31,31.34,28.41,27.38,27.66,27.09,25.09,24.81,26.72,28.38,27.94,28.41,31.59,34.69,35.91,36.22,38.41,40.62,40.66,39.03,38.53,38.94,38.0,35.12,33.0,33.06,33.22,31.09,28.84,29.0,29.44,27.88,25.44,25.09,25.81,25.12,23.19,23.53,26.31,28.88,29.69,31.19,34.62,37.0,36.41,34.72,35.5,36.78,36.31,35.0,35.75,37.03,36.44,33.66,31.88,32.59,33.47,32.72,33.03,35.34,37.38,36.19,33.94,33.5,34.03,33.31,31.97,32.25,34.03,34.88,33.66,33.59,35.69,37.78,37.88,37.97,39.81,41.62,40.88,38.91,38.69,38.91,37.5,34.31,32.62,33.03,33.16,31.91,31.81,34.28,36.38,35.75,34.91,36.03,37.47,36.91,35.59,35.84,37.56,37.78,36.19,35.75,37.19,37.72,35.56,33.88,34.03,34.31,32.97,31.47,32.47,35.12,36.09,35.75,36.53,38.59,38.91,36.69,35.53,36.22,36.59,34.94,33.31,33.94,35.03,33.94,31.88,31.66,33.06,32.66,30.53,29.81,30.31,30.03,27.19,25.75,27.16,28.91,28.66,28.16,29.53,31.31,30.19,28.06,26.94,27.19,25.78,22.81,21.56,22.44,23.38,22.94,23.66,27.06,30.75,31.5,31.16,31.69,32.0,29.75,26.0,24.06,24.38,24.34,23.56,24.81,28.44,32.12,32.88,33.25,35.22,36.81,35.31,32.56,31.5,31.59,30.59,28.72,28.88,31.06,32.44,31.56,31.31,33.19,35.03,34.06,32.97,33.78,34.72,33.31,31.28,30.88,32.22,32.53,31.41,31.34,33.62,34.5,33.25,32.25,33.47,35.0,33.75,32.62,33.62,35.78,35.62,33.97,34.03,35.56,35.38,34.09,33.47,35.41,36.59,35.31,34.41,35.69,37.12,36.28,35.03,35.97,39.0,40.34,40.44,41.62,43.72,44.03,41.44,38.69,38.12,37.5,35.19,33.34,34.34,36.59,36.41,35.0,34.62,35.28,33.91,31.03,30.06,31.06,31.91,31.5,31.47,34.22,36.91,36.66,35.28,35.47,35.97,34.16,31.5,30.44,31.09,30.16,27.91,26.66,27.78,28.94,28.09,27.66,29.94,32.91,33.75,34.31,36.72,40.06,40.81,39.62,39.06,39.75,38.34,34.88,32.72,33.66,34.75,33.91,33.03,33.91,34.72,32.41,29.12,27.88,28.5,27.97,26.75,26.81,29.69,31.31,30.88,31.03,33.47,35.38,34.97,33.81,34.53,36.38,35.91,34.47,34.59,36.16,36.16,34.53,33.94,36.12,37.12,36.19,35.38,37.03,38.28,37.19,35.12,34.72,34.75,32.53,28.78,26.44,26.19,25.31,23.31,22.75,25.09,27.19,26.84,26.56,28.97,31.41,31.91,18.66,20.56,21.66,22.16,24.25,26.91,28.78,29.75,30.75,32.25,32.22,29.72,27.25,26.22,25.47,23.97,23.22,24.25,25.06,24.72,23.78,24.06,25.47,26.25,26.56,27.41,29.12,29.81,28.44,26.59,25.84,24.97,22.41,20.09,18.75,18.06,16.59,14.62,14.84,16.94,18.75,19.66:negativity
31.0,31.69,30.28,29.66,30.5,30.59,27.88,25.75,26.0,26.12,24.5,22.94,24.22,26.19,26.72,26.06,26.81,28.66,29.16,28.16,27.94,29.62,30.31,27.75,23.94,22.09,20.62,17.91,15.47,16.47,18.97,20.19,20.44,21.34,23.97,25.59,25.0,25.0,26.84,28.34,27.38,25.81,26.31,27.38,26.41,24.5,24.44,26.16,26.88,26.16,26.72,29.19,30.62,29.44,28.03,28.88,29.81,29.06,28.22,29.88,32.44,33.19,32.38,32.81,34.84,35.84,35.25,35.56,37.94,39.94,39.44,38.44,39.19,40.09,38.97,36.41,36.06,36.78,36.16,34.06,33.56,34.41,34.25,32.09,30.28,30.69,31.19,30.03,28.94,30.5,32.69,32.94,31.34,30.91,31.62,31.19,29.09,28.97,31.25,33.47,33.41,33.16,34.38,35.12,33.38,30.66,29.84,30.28,29.44,26.75,25.38,25.34,23.97,20.88,19.5,20.88,22.88,22.81,22.09,23.19,24.38,23.38,21.12,20.81,21.66,21.28,19.56,20.03,23.03,25.28,25.84,26.34,28.28,30.0,28.69,26.38,25.84,26.09,23.75,20.34,18.75,18.88,18.38,16.03,14.97,16.47,18.09,17.66,18.03,20.78,24.09,24.91,24.25,24.84,26.19,25.66,23.22,22.16,23.16,23.44,21.12,19.53,20.69,21.41,19.31,17.41,17.25,18.41,17.53,16.16,16.75,19.09,20.62,20.47,21.72,25.44,28.62,28.56,28.0,29.09,29.59,27.16,24.0,23.19,24.06,23.53,22.19,22.44,24.09,24.25,22.34,20.75,21.56,22.66,21.75,21.16,23.25,26.25,26.41,25.31,25.12,25.53,23.78,19.97,17.38,17.0,16.41,14.62,13.91,16.28,19.41,20.44,21.25,23.88,26.88,27.25,26.09,26.34,28.03,28.38,26.28,24.69,24.31,23.12,19.97,17.56,18.47,20.62,20.84,20.56,21.38,22.78,22.16,19.88,19.19,21.09,22.38,22.19,22.62,25.69,27.97,26.91,25.53,25.69,26.12,24.41,21.75,21.53,22.66,22.78,21.25,20.78,22.16,22.19,20.03,17.94,18.28,19.19,18.25,17.38,19.31,22.12,23.03,22.81,23.88,26.31,27.72,26.94,27.31,29.94,32.22,32.25,31.91,33.5,35.28,34.72,33.66,34.53,36.62,36.62,34.78,33.69,34.97,35.53,34.28,34.12,36.41,38.22,37.09,35.06,34.97,35.34,33.47,30.53,29.38,30.25,29.78,28.16,27.53,29.47,30.44,28.75,26.5,26.16,25.94,23.25,20.41,20.5,22.34,23.06,23.06,24.94,29.03,31.81,32.56,33.19,34.97,34.75,30.91,26.06,23.28,21.62,18.31,14.97,14.31,15.31,15.5,14.03,14.41,16.88,18.53,17.88,17.44,18.88,19.62,17.97,15.5,15.78,17.47,18.22,18.62,20.69,24.94,27.0,26.53,26.0,27.12,27.06,24.31,22.06,22.81,23.81,23.03,21.75,22.28,24.09,24.34,22.81,22.81,24.78,25.59,24.31,23.75,25.44,26.66,25.56,25.03,26.72,29.41,30.62,30.72,32.59,35.28,35.94,33.97,32.62,32.84,31.97,28.88,26.25,26.25,26.22,24.16,21.72,21.47,22.12,21.16,19.22,18.88,20.56,21.72,20.69,20.31,22.38,23.25,21.69,19.88,20.59,21.59,20.44,18.84,19.53,21.5,21.88,20.88,20.94,23.12,24.66,23.56,23.38,25.19,26.72,25.41,23.75,23.88,24.22,22.75,20.19,19.59,20.59,20.47,18.69,17.5,18.69,19.72,18.12,16.75,18.31,20.28,20.25,19.31,20.34,22.16,21.47,19.12,17.78,18.16,17.66,15.38,14.31,16.0,17.88,17.75,18.12,20.28,23.28,23.62,22.38,22.94,24.12,23.53,20.91,19.72,20.72,20.81,19.06,18.22,19.81,21.97,21.72,21.19,22.91,25.72,26.47,26.81,28.41,31.41,32.72,30.97,29.44,29.0,27.84,23.88,20.44,19.62,20.34,19.31,18.25,20.12,22.75,23.5,22.53,22.62,24.12,24.94,23.41,22.66,23.91,25.03,24.12,22.81,23.78,25.09,24.28,22.62,22.91,24.84,26.03,25.56,25.75,27.47,28.38,27.06,26.41,28.09,30.81,31.22,30.91,32.19,34.06,33.59,30.97,29.41,29.28,27.91,25.0,22.84,23.19,23.88,22.31,20.91,21.34,22.59,22.31,21.84,23.62,27.12,29.56,30.38,31.34,33.69,34.28,31.97,28.91,28.0,27.44,24.91,22.66,22.72,24.53,24.72,24.28,25.22,27.5,28.25,27.0,26.34,27.84,28.84,28.0,27.0,27.94,29.28,28.28,27.0,27.12,28.59,28.06,26.34,25.66,27.19,28.41,27.97,28.31,30.78,32.59,31.62,29.84,29.56,29.75,27.59,24.34,22.19,21.72,20.62,17.59,15.94,16.25,15.78,13.19,10.69,10.72,11.84,11.5,11.12,12.97,16.22,17.56,17.78,19.34,22.84,25.34,25.88,26.06,28.09,29.34,28.0,26.28,26.66,27.88,26.97,24.72,24.25,25.0,24.5,23.31,23.12,24.94,25.53,23.31,20.91,21.0,22.0,21.47,21.25,23.31,26.31,26.97,25.88,25.72,27.34,27.38,25.38,24.12,24.97,25.84,24.62,24.03,25.69,28.19,28.62,27.59,27.81,28.53,27.5,24.44,22.97,23.75,24.56,23.53,23.44,25.59,27.41,26.56,24.75,25.31,26.25,25.62,24.12,24.09,26.06,27.19,26.97,27.53,29.94,31.41,30.16,28.5,28.75,28.66,25.97,22.06,19.91,18.97,17.25,15.31,15.19,17.22,18.91,18.47,18.66,21.31,24.5,25.59,26.16,28.41,30.66,29.91,27.22,25.75,25.31,23.75,20.75,19.31,20.06,20.72,19.59,18.44,19.44,20.94,20.47,19.28,20.38,21.97,21.66,19.91,19.62,21.41,22.34,21.69,21.06,21.84,21.78,19.0,16.12,15.91,16.66,16.38,15.53,16.34,18.44,18.69,17.19,16.81,17.97,19.16,18.53,18.75,21.0,23.59,23.59,22.41,22.91,24.0,23.38,21.62,21.47,23.12,23.84,22.34,21.78,23.12,23.84,22.22,20.78,21.69,23.62,23.56,22.75,23.84,26.19,26.19,24.28,23.34,23.19,22.41,19.19,16.81,17.53,18.88,18.62,18.53,20.84,23.78,24.59,23.97,24.75,27.19,27.97,26.88,26.78,28.56,29.94,29.25,28.59,29.5,30.25,28.06,24.72,22.75,22.19,20.06,17.16,16.25,17.47,18.53,17.59,17.75,20.03,22.19,22.03,21.81,23.53,25.91,26.0,25.0,25.25,26.72,26.5,24.44,23.44,24.38,24.97,22.78,20.88,20.69,20.56,18.38,15.94,15.94,17.78,18.12,17.34,18.0,19.91,19.41,16.44,13.81,14.0,13.94,12.41,11.69,13.81,16.59,17.41,17.84,20.03,23.28,24.97,25.19,26.12,28.75,30.12,28.84,26.97,27.56,28.41,27.03,26.44,28.22,30.94,31.22,29.81,29.09,29.78,28.72,25.38,23.25,23.28,22.62,20.06,17.97,19.06,21.38,21.84,21.97,23.88,26.47,27.0,26.16,26.84,29.66,31.0,30.0,29.06,30.19,30.41,28.31,26.03,26.41,27.5,26.41,24.47,23.66,24.12,22.91,20.0,18.03,18.5,18.41,16.22,14.56,15.97,18.16,18.56,19.03,21.91,26.22,28.38,29.0,30.62,33.72,35.19,34.66,34.31,36.0,36.66,34.16,31.28,30.62,30.44,28.44,25.28,24.34,24.38,22.75,19.69,18.34,19.66,20.41,19.78,19.91,22.56,24.59,24.12,22.59,23.25,24.12,23.5,22.62,23.56,25.84,26.56,24.88,23.75,24.44,24.31,22.03,20.03,20.72,21.75,20.81,19.19,20.09,21.94,22.06,20.94,21.09,22.53,22.59,20.41,18.72,19.81,20.97,20.53,20.31,22.69,25.38,25.44,24.47,24.69,26.12,25.34,22.88,21.78,22.72,22.91,21.38,20.5,22.22,23.34,22.47,20.12,19.88,20.56,19.84,18.38,19.56,22.41,24.06,23.44,23.0,24.66,25.44,23.78,22.16,23.03,24.0,23.12,21.53,22.19,23.94,23.72,22.94,24.06,27.56,30.28,30.25,30.03,30.81,30.09,26.03,21.5,19.25,18.06,15.72,13.72,14.28,17.16,19.25,19.62,21.09,23.81,25.41,24.38,23.38,24.25,25.06,23.44,21.38,21.34,22.38,22.25,21.0,21.56,23.66,24.56,23.09,22.12,23.03,23.41,21.47,18.62,18.03,17.69,15.06,11.59,10.97,11.75,12.0,10.75,11.34,13.47,14.56,13.62,13.31,15.75,18.72,20.0,20.94,24.12,27.19,27.84,26.66,26.06,26.0,24.25,20.28,17.19,16.81,16.56,14.66,13.56,14.34,15.25,13.41,11.06,10.62,11.69,11.94,11.75,13.47,16.72,19.41,19.47,20.12,22.81,25.44,25.44,25.09,26.5,27.41,25.97,23.19,22.06,22.53,22.03,20.06,18.97,19.56,19.06,15.25,11.44,9.94,9.06,6.25,3.59,3.88,5.72,6.31,6.16,7.53,10.88,12.91,13.09,13.97,16.78,18.69,17.78,16.75,17.56,19.06,18.75,17.97,19.25,21.69,22.41,22.0,22.25,24.06,24.16,21.41,18.66,17.84,16.84,14.22,12.41,13.12,15.03,14.91,13.53,13.31,14.09,13.56,11.78,11.72,14.75,17.84,19.22,21.09,24.59,27.72,27.81,26.47,26.78,28.06,27.47,25.53,24.56,25.06,24.31,21.5,19.75,21.16,22.75,22.38,22.41,24.56,26.91,26.72,25.69,25.81,27.12,26.84,24.72,23.47,23.38,22.47,19.41,16.97,17.53,18.84:25.75,26.0,26.12,24.5,22.94,24.22,26.19,26.72,26.06,26.81,28.66,29.16,28.16,27.94,29.62,30.31,27.75,23.94,22.09,20.62,17.91,15.47,16.47,18.97,20.19,20.44,21.34,23.97,25.59,25.0,25.0,26.84,28.34,27.38,25.81,26.31,27.38,26.41,24.5,24.44,26.16,26.88,26.16,26.72,29.19,30.62,29.44,28.03,28.88,29.81,29.06,28.22,29.88,32.44,33.19,32.38,32.81,34.84,35.84,35.25,35.56,37.94,39.94,39.44,38.44,39.19,40.09,38.97,36.41,36.06,36.78,36.16,34.06,33.56,34.41,34.25,32.09,30.28,30.69,31.19,30.03,28.94,30.5,32.69,32.94,31.34,30.91,31.62,31.19,29.09,28.97,31.25,33.47,33.41,33.16,34.38,35.12,33.38,30.66,29.84,30.28,29.44,26.75,25.38,25.34,23.97,20.88,19.5,20.88,22.88,22.81,22.09,23.19,24.38,23.38,21.12,20.81,21.66,21.28,19.56,20.03,23.03,25.28,25.84,26.34,28.28,30.0,28.69,26.38,25.84,26.09,23.75,20.34,18.75,18.88,18.38,16.03,14.97,16.47,18.09,17.66,18.03,20.78,24.09,24.91,24.25,24.84,26.19,25.66,23.22,22.16,23.16,23.44,21.12,19.53,20.69,21.41,19.31,17.41,17.25,18.41,17.53,16.16,16.75,19.09,20.62,20.47,21.72,25.44,28.62,28.56,28.0,29.09,29.59,27.16,24.0,23.19,24.06,23.53,22.19,22.44,24.09,24.25,22.34,20.75,21.56,22.66,21.75,21.16,23.25,26.25,26.41,25.31,25.12,25.53,23.78,19.97,17.38,17.0,16.41,14.62,13.91,16.28,19.41,20.44,21.25,23.88,26.88,27.25,26.09,26.34,28.03,28.38,26.28,24.69,24.31,23.12,19.97,17.56,18.47,20.62,20.84,20.56,21.38,22.78,22.16,19.88,19.19,21.09,22.38,22.19,22.62,25.69,27.97,26.91,25.53,25.69,26.12,24.41,21.75,21.53,22.66,22.78,21.25,20.78,22.16,22.19,20.03,17.94,18.28,19.19,18.25,17.38,19.31,22.12,23.03,22.81,23.88,26.31,27.72,26.94,27.31,29.94,32.22,32.25,31.91,33.5,35.28,34.72,33.66,34.53,36.62,36.62,34.78,33.69,34.97,35.53,34.28,34.12,36.41,38.22,37.09,35.06,34.97,35.34,33.47,30.53,29.38,30.25,29.78,28.16,27.53,29.47,30.44,28.75,26.5,26.16,25.94,23.25,20.41,20.5,22.34,23.06,23.06,24.94,29.03,31.81,32.56,33.19,34.97,34.75,30.91,26.06,23.28,21.62,18.31,14.97,14.31,15.31,15.5,14.03,14.41,16.88,18.53,17.88,17.44,18.88,19.62,17.97,15.5,15.78,17.47,18.22,18.62,20.69,24.94,27.0,26.53,26.0,27.12,27.06,24.31,22.06,22.81,23.81,23.03,21.75,22.28,24.09,24.34,22.81,22.81,24.78,25.59,24.31,23.75,25.44,26.66,25.56,25.03,26.72,29.41,30.62,30.72,32.59,35.28,35.94,33.97,32.62,32.84,31.97,28.88,26.25,26.25,26.22,24.16,21.72,21.47,22.12,21.16,19.22,18.88,20.56,21.72,20.69,20.31,22.38,23.25,21.69,19.88,20.59,21.59,20.44,18.84,19.53,21.5,21.88,20.88,20.94,23.12,24.66,23.56,23.38,25.19,26.72,25.41,23.75,23.88,24.22,22.75,20.19,19.59,20.59,20.47,18.69,17.5,18.69,19.72,18.12,16.75,18.31,20.28,20.25,19.31,20.34,22.16,21.47,19.12,17.78,18.16,17.66,15.38,14.31,16.0,17.88,17.75,18.12,20.28,23.28,23.62,22.38,22.94,24.12,23.53,20.91,19.72,20.72,20.81,19.06,18.22,19.81,21.97,21.72,21.19,22.91,25.72,26.47,26.81,28.41,31.41,32.72,30.97,29.44,29.0,27.84,23.88,20.44,19.62,20.34,19.31,18.25,20.12,22.75,23.5,22.53,22.62,24.12,24.94,23.41,22.66,23.91,25.03,24.12,22.81,23.78,25.09,24.28,22.62,22.91,24.84,26.03,25.56,25.75,27.47,28.38,27.06,26.41,28.09,30.81,31.22,30.91,32.19,34.06,33.59,30.97,29.41,29.28,27.91,25.0,22.84,23.19,23.88,22.31,20.91,21.34,22.59,22.31,21.84,23.62,27.12,29.56,30.38,31.34,33.69,34.28,31.97,28.91,28.0,27.44,24.91,22.66,22.72,24.53,24.72,24.28,25.22,27.5,28.25,27.0,26.34,27.84,28.84,28.0,27.0,27.94,29.28,28.28,27.0,27.12,28.59,28.06,26.34,25.66,27.19,28.41,27.97,28.31,30.78,32.59,31.62,29.84,29.56,29.75,27.59,24.34,22.19,21.72,20.62,17.59,15.94,16.25,15.78,13.19,10.69,10.72,11.84,11.5,11.12,12.97,16.22,17.56,17.78,19.34,22.84,25.34,25.88,26.06,28.09,29.34,28.0,26.28,26.66,27.88,26.97,24.72,24.25,25.0,24.5,23.31,23.12,24.94,25.53,23.31,20.91,21.0,22.0,21.47,21.25,23.31,26.31,26.97,25.88,25.72,27.34,27.38,25.38,24.12,24.97,25.84,24.62,24.03,25.69,28.19,28.62,27.59,27.81,28.53,27.5,24.44,22.97,23.75,24.56,23.53,23.44,25.59,27.41,26.56,24.75,25.31,26.25,25.62,24.12,24.09,26.06,27.19,26.97,27.53,29.94,31.41,30.16,28.5,28.75,28.66,25.97,22.06,19.91,18.97,17.25,15.31,15.19,17.22,18.91,18.47,18.66,21.31,24.5,25.59,26.16,28.41,30.66,29.91,27.22,25.75,25.31,23.75,20.75,19.31,20.06,20.72,19.59,18.44,19.44,20.94,20.47,19.28,20.38,21.97,21.66,19.91,19.62,21.41,22.34,21.69,21.06,21.84,21.78,19.0,16.12,15.91,16.66,16.38,15.53,16.34,18.44,18.69,17.19,16.81,17.97,19.16,18.53,18.75,21.0,23.59,23.59,22.41,22.91,24.0,23.38,21.62,21.47,23.12,23.84,22.34,21.78,23.12,23.84,22.22,20.78,21.69,23.62,23.56,22.75,23.84,26.19,26.19,24.28,23.34,23.19,22.41,19.19,16.81,17.53,18.88,18.62,18.53,20.84,23.78,24.59,23.97,24.75,27.19,27.97,26.88,26.78,28.56,29.94,29.25,28.59,29.5,30.25,28.06,24.72,22.75,22.19,20.06,17.16,16.25,17.47,18.53,17.59,17.75,20.03,22.19,22.03,21.81,23.53,25.91,26.0,25.0,25.25,26.72,26.5,24.44,23.44,24.38,24.97,22.78,20.88,20.69,20.56,18.38,15.94,15.94,17.78,18.12,17.34,18.0,19.91,19.41,16.44,13.81,14.0,13.94,12.41,11.69,13.81,16.59,17.41,17.84,20.03,23.28,24.97,25.19,26.12,28.75,30.12,28.84,26.97,27.56,28.41,27.03,26.44,28.22,30.94,31.22,29.81,29.09,29.78,28.72,25.38,23.25,23.28,22.62,20.06,17.97,19.06,21.38,21.84,21.97,23.88,26.47,27.0,26.16,26.84,29.66,31.0,30.0,29.06,30.19,30.41,28.31,26.03,26.41,27.5,26.41,24.47,23.66,24.12,22.91,20.0,18.03,18.5,18.41,16.22,14.56,15.97,18.16,18.56,19.03,21.91,26.22,28.38,29.0,30.62,33.72,35.19,34.66,34.31,36.0,36.66,34.16,31.28,30.62,30.44,28.44,25.28,24.34,24.38,22.75,19.69,18.34,19.66,20.41,19.78,19.91,22.56,24.59,24.12,22.59,23.25,24.12,23.5,22.62,23.56,25.84,26.56,24.88,23.75,24.44,24.31,22.03,20.03,20.72,21.75,20.81,19.19,20.09,21.94,22.06,20.94,21.09,22.53,22.59,20.41,18.72,19.81,20.97,20.53,20.31,22.69,25.38,25.44,24.47,24.69,26.12,25.34,22.88,21.78,22.72,22.91,21.38,20.5,22.22,23.34,22.47,20.12,19.88,20.56,19.84,18.38,19.56,22.41,24.06,23.44,23.0,24.66,25.44,23.78,22.16,23.03,24.0,23.12,21.53,22.19,23.94,23.72,22.94,24.06,27.56,30.28,30.25,30.03,30.81,30.09,26.03,21.5,19.25,18.06,15.72,13.72,14.28,17.16,19.25,19.62,21.09,23.81,25.41,24.38,23.38,24.25,25.06,23.44,21.38,21.34,22.38,22.25,21.0,21.56,23.66,24.56,23.09,22.12,23.03,23.41,21.47,18.62,18.03,17.69,15.06,11.59,10.97,11.75,12.0,10.75,11.34,13.47,14.56,13.62,13.31,15.75,18.72,20.0,20.94,24.12,27.19,27.84,26.66,26.06,26.0,24.25,20.28,17.19,16.81,16.56,14.66,13.56,14.34,15.25,13.41,11.06,10.62,11.69,11.94,11.75,13.47,16.72,19.41,19.47,20.12,22.81,25.44,25.44,25.09,26.5,27.41,25.97,23.19,22.06,22.53,22.03,20.06,18.97,19.56,19.06,15.25,11.44,9.94,9.06,6.25,3.59,3.88,5.72,6.31,6.16,7.53,10.88,12.91,13.09,13.97,16.78,18.69,17.78,16.75,17.56,19.06,18.75,17.97,19.25,21.69,22.41,22.0,22.25,24.06,24.16,21.41,18.66,17.84,16.84,14.22,12.41,13.12,15.03,14.91,13.53,13.31,14.09,13.56,11.78,11.72,14.75,17.84,19.22,21.09,24.59,27.72,27.81,26.47,26.78,28.06,27.47,25.53,24.56,25.06,24.31,21.5,19.75,21.16,22.75,22.38,22.41,24.56,26.91,26.72,25.69,25.81,27.12,26.84,24.72,23.47,23.38,22.47,19.41,16.97,17.53,18.84,53.75,53.47,51.66,50.0,49.03,47.31,43.88:26.72,26.06,26.81,28.66,29.16,28.16,27.94,29.62,30.31,27.75,23.94,22.09,20.62,17.91,15.47,16.47,18.97,20.19,20.44,21.34,23.97,25.59,25.0,25.0,26.84,28.34,27.38,25.81,26.31,27.38,26.41,24.5,24.44,26.16,26.88,26.16,26.72,29.19,30.62,29.44,28.03,28.88,29.81,29.06,28.22,29.88,32.44,33.19,32.38,32.81,34.84,35.84,35.25,35.56,37.94,39.94,39.44,38.44,39.19,40.09,38.97,36.41,36.06,36.78,36.16,34.06,33.56,34.41,34.25,32.09,30.28,30.69,31.19,30.03,28.94,30.5,32.69,32.94,31.34,30.91,31.62,31.19,29.09,28.97,31.25,33.47,33.41,33.16,34.38,35.12,33.38,30.66,29.84,30.28,29.44,26.75,25.38,25.34,23.97,20.88,19.5,20.88,22.88,22.81,22.09,23.19,24.38,23.38,21.12,20.81,21.66,21.28,19.56,20.03,23.03,25.28,25.84,26.34,28.28,30.0,28.69,26.38,25.84,26.09,23.75,20.34,18.75,18.88,18.38,16.03,14.97,16.47,18.09,17.66,18.03,20.78,24.09,24.91,24.25,24.84,26.19,25.66,23.22,22.16,23.16,23.44,21.12,19.53,20.69,21.41,19.31,17.41,17.25,18.41,17.53,16.16,16.75,19.09,20.62,20.47,21.72,25.44,28.62,28.56,28.0,29.09,29.59,27.16,24.0,23.19,24.06,23.53,22.19,22.44,24.09,24.25,22.34,20.75,21.56,22.66,21.75,21.16,23.25,26.25,26.41,25.31,25.12,25.53,23.78,19.97,17.38,17.0,16.41,14.62,13.91,16.28,19.41,20.44,21.25,23.88,26.88,27.25,26.09,26.34,28.03,28.38,26.28,24.69,24.31,23.12,19.97,17.56,18.47,20.62,20.84,20.56,21.38,22.78,22.16,19.88,19.19,21.09,22.38,22.19,22.62,25.69,27.97,26.91,25.53,25.69,26.12,24.41,21.75,21.53,22.66,22.78,21.25,20.78,22.16,22.19,20.03,17.94,18.28,19.19,18.25,17.38,19.31,22.12,23.03,22.81,23.88,26.31,27.72,26.94,27.31,29.94,32.22,32.25,31.91,33.5,35.28,34.72,33.66,34.53,36.62,36.62,34.78,33.69,34.97,35.53,34.28,34.12,36.41,38.22,37.09,35.06,34.97,35.34,33.47,30.53,29.38,30.25,29.78,28.16,27.53,29.47,30.44,28.75,26.5,26.16,25.94,23.25,20.41,20.5,22.34,23.06,23.06,24.94,29.03,31.81,32.56,33.19,34.97,34.75,30.91,26.06,23.28,21.62,18.31,14.97,14.31,15.31,15.5,14.03,14.41,16.88,18.53,17.88,17.44,18.88,19.62,17.97,15.5,15.78,17.47,18.22,18.62,20.69,24.94,27.0,26.53,26.0,27.12,27.06,24.31,22.06,22.81,23.81,23.03,21.75,22.28,24.09,24.34,22.81,22.81,24.78,25.59,24.31,23.75,25.44,26.66,25.56,25.03,26.72,29.41,30.62,30.72,32.59,35.28,35.94,33.97,32.62,32.84,31.97,28.88,26.25,26.25,26.22,24.16,21.72,21.47,22.12,21.16,19.22,18.88,20.56,21.72,20.69,20.31,22.38,23.25,21.69,19.88,20.59,21.59,20.44,18.84,19.53,21.5,21.88,20.88,20.94,23.12,24.66,23.56,23.38,25.19,26.72,25.41,23.75,23.88,24.22,22.75,20.19,19.59,20.59,20.47,18.69,17.5,18.69,19.72,18.12,16.75,18.31,20.28,20.25,19.31,20.34,22.16,21.47,19.12,17.78,18.16,17.66,15.38,14.31,16.0,17.88,17.75,18.12,20.28,23.28,23.62,22.38,22.94,24.12,23.53,20.91,19.72,20.72,20.81,19.06,18.22,19.81,21.97,21.72,21.19,22.91,25.72,26.47,26.81,28.41,31.41,32.72,30.97,29.44,29.0,27.84,23.88,20.44,19.62,20.34,19.31,18.25,20.12,22.75,23.5,22.53,22.62,24.12,24.94,23.41,22.66,23.91,25.03,24.12,22.81,23.78,25.09,24.28,22.62,22.91,24.84,26.03,25.56,25.75,27.47,28.38,27.06,26.41,28.09,30.81,31.22,30.91,32.19,34.06,33.59,30.97,29.41,29.28,27.91,25.0,22.84,23.19,23.88,22.31,20.91,21.34,22.59,22.31,21.84,23.62,27.12,29.56,30.38,31.34,33.69,34.28,31.97,28.91,28.0,27.44,24.91,22.66,22.72,24.53,24.72,24.28,25.22,27.5,28.25,27.0,26.34,27.84,28.84,28.0,27.0,27.94,29.28,28.28,27.0,27.12,28.59,28.06,26.34,25.66,27.19,28.41,27.97,28.31,30.78,32.59,31.62,29.84,29.56,29.75,27.59,24.34,22.19,21.72,20.62,17.59,15.94,16.25,15.78,13.19,10.69,10.72,11.84,11.5,11.12,12.97,16.22,17.56,17.78,19.34,22.84,25.34,25.88,26.06,28.09,29.34,28.0,26.28,26.66,27.88,26.97,24.72,24.25,25.0,24.5,23.31,23.12,24.94,25.53,23.31,20.91,21.0,22.0,21.47,21.25,23.31,26.31,26.97,25.88,25.72,27.34,27.38,25.38,24.12,24.97,25.84,24.62,24.03,25.69,28.19,28.62,27.59,27.81,28.53,27.5,24.44,22.97,23.75,24.56,23.53,23.44,25.59,27.41,26.56,24.75,25.31,26.25,25.62,24.12,24.09,26.06,27.19,26.97,27.53,29.94,31.41,30.16,28.5,28.75,28.66,25.97,22.06,19.91,18.97,17.25,15.31,15.19,17.22,18.91,18.47,18.66,21.31,24.5,25.59,26.16,28.41,30.66,29.91,27.22,25.75,25.31,23.75,20.75,19.31,20.06,20.72,19.59,18.44,19.44,20.94,20.47,19.28,20.38,21.97,21.66,19.91,19.62,21.41,22.34,21.69,21.06,21.84,21.78,19.0,16.12,15.91,16.66,16.38,15.53,16.34,18.44,18.69,17.19,16.81,17.97,19.16,18.53,18.75,21.0,23.59,23.59,22.41,22.91,24.0,23.38,21.62,21.47,23.12,23.84,22.34,21.78,23.12,23.84,22.22,20.78,21.69,23.62,23.56,22.75,23.84,26.19,26.19,24.28,23.34,23.19,22.41,19.19,16.81,17.53,18.88,18.62,18.53,20.84,23.78,24.59,23.97,24.75,27.19,27.97,26.88,26.78,28.56,29.94,29.25,28.59,29.5,30.25,28.06,24.72,22.75,22.19,20.06,17.16,16.25,17.47,18.53,17.59,17.75,20.03,22.19,22.03,21.81,23.53,25.91,26.0,25.0,25.25,26.72,26.5,24.44,23.44,24.38,24.97,22.78,20.88,20.69,20.56,18.38,15.94,15.94,17.78,18.12,17.34,18.0,19.91,19.41,16.44,13.81,14.0,13.94,12.41,11.69,13.81,16.59,17.41,17.84,20.03,23.28,24.97,25.19,26.12,28.75,30.12,28.84,26.97,27.56,28.41,27.03,26.44,28.22,30.94,31.22,29.81,29.09,29.78,28.72,25.38,23.25,23.28,22.62,20.06,17.97,19.06,21.38,21.84,21.97,23.88,26.47,27.0,26.16,26.84,29.66,31.0,30.0,29.06,30.19,30.41,28.31,26.03,26.41,27.5,26.41,24.47,23.66,24.12,22.91,20.0,18.03,18.5,18.41,16.22,14.56,15.97,18.16,18.56,19.03,21.91,26.22,28.38,29.0,30.62,33.72,35.19,34.66,34.31,36.0,36.66,34.16,31.28,30.62,30.44,28.44,25.28,24.34,24.38,22.75,19.69,18.34,19.66,20.41,19.78,19.91,22.56,24.59,24.12,22.59,23.25,24.12,23.5,22.62,23.56,25.84,26.56,24.88,23.75,24.44,24.31,22.03,20.03,20.72,21.75,20.81,19.19,20.09,21.94,22.06,20.94,21.09,22.53,22.59,20.41,18.72,19.81,20.97,20.53,20.31,22.69,25.38,25.44,24.47,24.69,26.12,25.34,22.88,21.78,22.72,22.91,21.38,20.5,22.22,23.34,22.47,20.12,19.88,20.56,19.84,18.38,19.56,22.41,24.06,23.44,23.0,24.66,25.44,23.78,22.16,23.03,24.0,23.12,21.53,22.19,23.94,23.72,22.94,24.06,27.56,30.28,30.25,30.03,30.81,30.09,26.03,21.5,19.25,18.06,15.72,13.72,14.28,17.16,19.25,19.62,21.09,23.81,25.41,24.38,23.38,24.25,25.06,23.44,21.38,21.34,22.38,22.25,21.0,21.56,23.66,24.56,23.09,22.12,23.03,23.41,21.47,18.62,18.03,17.69,15.06,11.59,10.97,11.75,12.0,10.75,11.34,13.47,14.56,13.62,13.31,15.75,18.72,20.0,20.94,24.12,27.19,27.84,26.66,26.06,26.0,24.25,20.28,17.19,16.81,16.56,14.66,13.56,14.34,15.25,13.41,11.06,10.62,11.69,11.94,11.75,13.47,16.72,19.41,19.47,20.12,22.81,25.44,25.44,25.09,26.5,27.41,25.97,23.19,22.06,22.53,22.03,20.06,18.97,19.56,19.06,15.25,11.44,9.94,9.06,6.25,3.59,3.88,5.72,6.31,6.16,7.53,10.88,12.91,13.09,13.97,16.78,18.69,17.78,16.75,17.56,19.06,18.75,17.97,19.25,21.69,22.41,22.0,22.25,24.06,24.16,21.41,18.66,17.84,16.84,14.22,12.41,13.12,15.03,14.91,13.53,13.31,14.09,13.56,11.78,11.72,14.75,17.84,19.22,21.09,24.59,27.72,27.81,26.47,26.78,28.06,27.47,25.53,24.56,25.06,24.31,21.5,19.75,21.16,22.75,22.38,22.41,24.56,26.91,26.72,25.69,25.81,27.12,26.84,24.72,23.47,23.38,22.47,19.41,16.97,17.53,18.84,53.75,53.47,51.66,50.0,49.03,47.31,43.88,40.78,39.84,39.31,38.19,37.66,39.38,41.62:29.62,30.31,27.75,23.94,22.09,20.62,17.91,15.47,16.47,18.97,20.19,20.44,21.34,23.97,25.59,25.0,25.0,26.84,28.34,27.38,25.81,26.31,27.38,26.41,24.5,24.44,26.16,26.88,26.16,26.72,29.19,30.62,29.44,28.03,28.88,29.81,29.06,28.22,29.88,32.44,33.19,32.38,32.81,34.84,35.84,35.25,35.56,37.94,39.94,39.44,38.44,39.19,40.09,38.97,36.41,36.06,36.78,36.16,34.06,33.56,34.41,34.25,32.09,30.28,30.69,31.19,30.03,28.94,30.5,32.69,32.94,31.34,30.91,31.62,31.19,29.09,28.97,31.25,33.47,33.41,33.16,34.38,35.12,33.38,30.66,29.84,30.28,29.44,26.75,25.38,25.34,23.97,20.88,19.5,20.88,22.88,22.81,22.09,23.19,24.38,23.38,21.12,20.81,21.66,21.28,19.56,20.03,23.03,25.28,25.84,26.34,28.28,30.0,28.69,26.38,25.84,26.09,23.75,20.34,18.75,18.88,18.38,16.03,14.97,16.47,18.09,17.66,18.03,20.78,24.09,24.91,24.25,24.84,26.19,25.66,23.22,22.16,23.16,23.44,21.12,19.53,20.69,21.41,19.31,17.41,17.25,18.41,17.53,16.16,16.75,19.09,20.62,20.47,21.72,25.44,28.62,28.56,28.0,29.09,29.59,27.16,24.0,23.19,24.06,23.53,22.19,22.44,24.09,24.25,22.34,20.75,21.56,22.66,21.75,21.16,23.25,26.25,26.41,25.31,25.12,25.53,23.78,19.97,17.38,17.0,16.41,14.62,13.91,16.28,19.41,20.44,21.25,23.88,26.88,27.25,26.09,26.34,28.03,28.38,26.28,24.69,24.31,23.12,19.97,17.56,18.47,20.62,20.84,20.56,21.38,22.78,22.16,19.88,19.19,21.09,22.38,22.19,22.62,25.69,27.97,26.91,25.53,25.69,26.12,24.41,21.75,21.53,22.66,22.78,21.25,20.78,22.16,22.19,20.03,17.94,18.28,19.19,18.25,17.38,19.31,22.12,23.03,22.81,23.88,26.31,27.72,26.94,27.31,29.94,32.22,32.25,31.91,33.5,35.28,34.72,33.66,34.53,36.62,36.62,34.78,33.69,34.97,35.53,34.28,34.12,36.41,38.22,37.09,35.06,34.97,35.34,33.47,30.53,29.38,30.25,29.78,28.16,27.53,29.47,30.44,28.75,26.5,26.16,25.94,23.25,20.41,20.5,22.34,23.06,23.06,24.94,29.03,31.81,32.56,33.19,34.97,34.75,30.91,26.06,23.28,21.62,18.31,14.97,14.31,15.31,15.5,14.03,14.41,16.88,18.53,17.88,17.44,18.88,19.62,17.97,15.5,15.78,17.47,18.22,18.62,20.69,24.94,27.0,26.53,26.0,27.12,27.06,24.31,22.06,22.81,23.81,23.03,21.75,22.28,24.09,24.34,22.81,22.81,24.78,25.59,24.31,23.75,25.44,26.66,25.56,25.03,26.72,29.41,30.62,30.72,32.59,35.28,35.94,33.97,32.62,32.84,31.97,28.88,26.25,26.25,26.22,24.16,21.72,21.47,22.12,21.16,19.22,18.88,20.56,21.72,20.69,20.31,22.38,23.25,21.69,19.88,20.59,21.59,20.44,18.84,19.53,21.5,21.88,20.88,20.94,23.12,24.66,23.56,23.38,25.19,26.72,25.41,23.75,23.88,24.22,22.75,20.19,19.59,20.59,20.47,18.69,17.5,18.69,19.72,18.12,16.75,18.31,20.28,20.25,19.31,20.34,22.16,21.47,19.12,17.78,18.16,17.66,15.38,14.31,16.0,17.88,17.75,18.12,20.28,23.28,23.62,22.38,22.94,24.12,23.53,20.91,19.72,20.72,20.81,19.06,18.22,19.81,21.97,21.72,21.19,22.91,25.72,26.47,26.81,28.41,31.41,32.72,30.97,29.44,29.0,27.84,23.88,20.44,19.62,20.34,19.31,18.25,20.12,22.75,23.5,22.53,22.62,24.12,24.94,23.41,22.66,23.91,25.03,24.12,22.81,23.78,25.09,24.28,22.62,22.91,24.84,26.03,25.56,25.75,27.47,28.38,27.06,26.41,28.09,30.81,31.22,30.91,32.19,34.06,33.59,30.97,29.41,29.28,27.91,25.0,22.84,23.19,23.88,22.31,20.91,21.34,22.59,22.31,21.84,23.62,27.12,29.56,30.38,31.34,33.69,34.28,31.97,28.91,28.0,27.44,24.91,22.66,22.72,24.53,24.72,24.28,25.22,27.5,28.25,27.0,26.34,27.84,28.84,28.0,27.0,27.94,29.28,28.28,27.0,27.12,28.59,28.06,26.34,25.66,27.19,28.41,27.97,28.31,30.78,32.59,31.62,29.84,29.56,29.75,27.59,24.34,22.19,21.72,20.62,17.59,15.94,16.25,15.78,13.19,10.69,10.72,11.84,11.5,11.12,12.97,16.22,17.56,17.78,19.34,22.84,25.34,25.88,26.06,28.09,29.34,28.0,26.28,26.66,27.88,26.97,24.72,24.25,25.0,24.5,23.31,23.12,24.94,25.53,23.31,20.91,21.0,22.0,21.47,21.25,23.31,26.31,26.97,25.88,25.72,27.34,27.38,25.38,24.12,24.97,25.84,24.62,24.03,25.69,28.19,28.62,27.59,27.81,28.53,27.5,24.44,22.97,23.75,24.56,23.53,23.44,25.59,27.41,26.56,24.75,25.31,26.25,25.62,24.12,24.09,26.06,27.19,26.97,27.53,29.94,31.41,30.16,28.5,28.75,28.66,25.97,22.06,19.91,18.97,17.25,15.31,15.19,17.22,18.91,18.47,18.66,21.31,24.5,25.59,26.16,28.41,30.66,29.91,27.22,25.75,25.31,23.75,20.75,19.31,20.06,20.72,19.59,18.44,19.44,20.94,20.47,19.28,20.38,21.97,21.66,19.91,19.62,21.41,22.34,21.69,21.06,21.84,21.78,19.0,16.12,15.91,16.66,16.38,15.53,16.34,18.44,18.69,17.19,16.81,17.97,19.16,18.53,18.75,21.0,23.59,23.59,22.41,22.91,24.0,23.38,21.62,21.47,23.12,23.84,22.34,21.78,23.12,23.84,22.22,20.78,21.69,23.62,23.56,22.75,23.84,26.19,26.19,24.28,23.34,23.19,22.41,19.19,16.81,17.53,18.88,18.62,18.53,20.84,23.78,24.59,23.97,24.75,27.19,27.97,26.88,26.78,28.56,29.94,29.25,28.59,29.5,30.25,28.06,24.72,22.75,22.19,20.06,17.16,16.25,17.47,18.53,17.59,17.75,20.03,22.19,22.03,21.81,23.53,25.91,26.0,25.0,25.25,26.72,26.5,24.44,23.44,24.38,24.97,22.78,20.88,20.69,20.56,18.38,15.94,15.94,17.78,18.12,17.34,18.0,19.91,19.41,16.44,13.81,14.0,13.94,12.41,11.69,13.81,16.59,17.41,17.84,20.03,23.28,24.97,25.19,26.12,28.75,30.12,28.84,26.97,27.56,28.41,27.03,26.44,28.22,30.94,31.22,29.81,29.09,29.78,28.72,25.38,23.25,23.28,22.62,20.06,17.97,19.06,21.38,21.84,21.97,23.88,26.47,27.0,26.16,26.84,29.66,31.0,30.0,29.06,30.19,30.41,28.31,26.03,26.41,27.5,26.41,24.47,23.66,24.12,22.91,20.0,18.03,18.5,18.41,16.22,14.56,15.97,18.16,18.56,19.03,21.91,26.22,28.38,29.0,30.62,33.72,35.19,34.66,34.31,36.0,36.66,34.16,31.28,30.62,30.44,28.44,25.28,24.34,24.38,22.75,19.69,18.34,19.66,20.41,19.78,19.91,22.56,24.59,24.12,22.59,23.25,24.12,23.5,22.62,23.56,25.84,26.56,24.88,23.75,24.44,24.31,22.03,20.03,20.72,21.75,20.81,19.19,20.09,21.94,22.06,20.94,21.09,22.53,22.59,20.41,18.72,19.81,20.97,20.53,20.31,22.69,25.38,25.44,24.47,24.69,26.12,25.34,22.88,21.78,22.72,22.91,21.38,20.5,22.22,23.34,22.47,20.12,19.88,20.56,19.84,18.38,19.56,22.41,24.06,23.44,23.0,24.66,25.44,23.78,22.16,23.03,24.0,23.12,21.53,22.19,23.94,23.72,22.94,24.06,27.56,30.28,30.25,30.03,30.81,30.09,26.03,21.5,19.25,18.06,15.72,13.72,14.28,17.16,19.25,19.62,21.09,23.81,25.41,24.38,23.38,24.25,25.06,23.44,21.38,21.34,22.38,22.25,21.0,21.56,23.66,24.56,23.09,22.12,23.03,23.41,21.47,18.62,18.03,17.69,15.06,11.59,10.97,11.75,12.0,10.75,11.34,13.47,14.56,13.62,13.31,15.75,18.72,20.0,20.94,24.12,27.19,27.84,26.66,26.06,26.0,24.25,20.28,17.19,16.81,16.56,14.66,13.56,14.34,15.25,13.41,11.06,10.62,11.69,11.94,11.75,13.47,16.72,19.41,19.47,20.12,22.81,25.44,25.44,25.09,26.5,27.41,25.97,23.19,22.06,22.53,22.03,20.06,18.97,19.56,19.06,15.25,11.44,9.94,9.06,6.25,3.59,3.88,5.72,6.31,6.16,7.53,10.88,12.91,13.09,13.97,16.78,18.69,17.78,16.75,17.56,19.06,18.75,17.97,19.25,21.69,22.41,22.0,22.25,24.06,24.16,21.41,18.66,17.84,16.84,14.22,12.41,13.12,15.03,14.91,13.53,13.31,14.09,13.56,11.78,11.72,14.75,17.84,19.22,21.09,24.59,27.72,27.81,26.47,26.78,28.06,27.47,25.53,24.56,25.06,24.31,21.5,19.75,21.16,22.75,22.38,22.41,24.56,26.91,26.72,25.69,25.81,27.12,26.84,24.72,23.47,23.38,22.47,19.41,16.97,17.53,18.84,53.75,53.47,51.66,50.0,49.03,47.31,43.88,40.78,39.84,39.31,38.19,37.66,39.38,41.62,43.03,43.47,44.5,46.06,46.38,45.91,46.12:15.47,16.47,18.97,20.19,20.44,21.34,23.97,25.59,25.0,25.0,26.84,28.34,27.38,25.81,26.31,27.38,26.41,24.5,24.44,26.16,26.88,26.16,26.72,29.19,30.62,29.44,28.03,28.88,29.81,29.06,28.22,29.88,32.44,33.19,32.38,32.81,34.84,35.84,35.25,35.56,37.94,39.94,39.44,38.44,39.19,40.09,38.97,36.41,36.06,36.78,36.16,34.06,33.56,34.41,34.25,32.09,30.28,30.69,31.19,30.03,28.94,30.5,32.69,32.94,31.34,30.91,31.62,31.19,29.09,28.97,31.25,33.47,33.41,33.16,34.38,35.12,33.38,30.66,29.84,30.28,29.44,26.75,25.38,25.34,23.97,20.88,19.5,20.88,22.88,22.81,22.09,23.19,24.38,23.38,21.12,20.81,21.66,21.28,19.56,20.03,23.03,25.28,25.84,26.34,28.28,30.0,28.69,26.38,25.84,26.09,23.75,20.34,18.75,18.88,18.38,16.03,14.97,16.47,18.09,17.66,18.03,20.78,24.09,24.91,24.25,24.84,26.19,25.66,23.22,22.16,23.16,23.44,21.12,19.53,20.69,21.41,19.31,17.41,17.25,18.41,17.53,16.16,16.75,19.09,20.62,20.47,21.72,25.44,28.62,28.56,28.0,29.09,29.59,27.16,24.0,23.19,24.06,23.53,22.19,22.44,24.09,24.25,22.34,20.75,21.56,22.66,21.75,21.16,23.25,26.25,26.41,25.31,25.12,25.53,23.78,19.97,17.38,17.0,16.41,14.62,13.91,16.28,19.41,20.44,21.25,23.88,26.88,27.25,26.09,26.34,28.03,28.38,26.28,24.69,24.31,23.12,19.97,17.56,18.47,20.62,20.84,20.56,21.38,22.78,22.16,19.88,19.19,21.09,22.38,22.19,22.62,25.69,27.97,26.91,25.53,25.69,26.12,24.41,21.75,21.53,22.66,22.78,21.25,20.78,22.16,22.19,20.03,17.94,18.28,19.19,18.25,17.38,19.31,22.12,23.03,22.81,23.88,26.31,27.72,26.94,27.31,29.94,32.22,32.25,31.91,33.5,35.28,34.72,33.66,34.53,36.62,36.62,34.78,33.69,34.97,35.53,34.28,34.12,36.41,38.22,37.09,35.06,34.97,35.34,33.47,30.53,29.38,30.25,29.78,28.16,27.53,29.47,30.44,28.75,26.5,26.16,25.94,23.25,20.41,20.5,22.34,23.06,23.06,24.94,29.03,31.81,32.56,33.19,34.97,34.75,30.91,26.06,23.28,21.62,18.31,14.97,14.31,15.31,15.5,14.03,14.41,16.88,18.53,17.88,17.44,18.88,19.62,17.97,15.5,15.78,17.47,18.22,18.62,20.69,24.94,27.0,26.53,26.0,27.12,27.06,24.31,22.06,22.81,23.81,23.03,21.75,22.28,24.09,24.34,22.81,22.81,24.78,25.59,24.31,23.75,25.44,26.66,25.56,25.03,26.72,29.41,30.62,30.72,32.59,35.28,35.94,33.97,32.62,32.84,31.97,28.88,26.25,26.25,26.22,24.16,21.72,21.47,22.12,21.16,19.22,18.88,20.56,21.72,20.69,20.31,22.38,23.25,21.69,19.88,20.59,21.59,20.44,18.84,19.53,21.5,21.88,20.88,20.94,23.12,24.66,23.56,23.38,25.19,26.72,25.41,23.75,23.88,24.22,22.75,20.19,19.59,20.59,20.47,18.69,17.5,18.69,19.72,18.12,16.75,18.31,20.28,20.25,19.31,20.34,22.16,21.47,19.12,17.78,18.16,17.66,15.38,14.31,16.0,17.88,17.75,18.12,20.28,23.28,23.62,22.38,22.94,24.12,23.53,20.91,19.72,20.72,20.81,19.06,18.22,19.81,21.97,21.72,21.19,22.91,25.72,26.47,26.81,28.41,31.41,32.72,30.97,29.44,29.0,27.84,23.88,20.44,19.62,20.34,19.31,18.25,20.12,22.75,23.5,22.53,22.62,24.12,24.94,23.41,22.66,23.91,25.03,24.12,22.81,23.78,25.09,24.28,22.62,22.91,24.84,26.03,25.56,25.75,27.47,28.38,27.06,26.41,28.09,30.81,31.22,30.91,32.19,34.06,33.59,30.97,29.41,29.28,27.91,25.0,22.84,23.19,23.88,22.31,20.91,21.34,22.59,22.31,21.84,23.62,27.12,29.56,30.38,31.34,33.69,34.28,31.97,28.91,28.0,27.44,24.91,22.66,22.72,24.53,24.72,24.28,25.22,27.5,28.25,27.0,26.34,27.84,28.84,28.0,27.0,27.94,29.28,28.28,27.0,27.12,28.59,28.06,26.34,25.66,27.19,28.41,27.97,28.31,30.78,32.59,31.62,29.84,29.56,29.75,27.59,24.34,22.19,21.72,20.62,17.59,15.94,16.25,15.78,13.19,10.69,10.72,11.84,11.5,11.12,12.97,16.22,17.56,17.78,19.34,22.84,25.34,25.88,26.06,28.09,29.34,28.0,26.28,26.66,27.88,26.97,24.72,24.25,25.0,24.5,23.31,23.12,24.94,25.53,23.31,20.91,21.0,22.0,21.47,21.25,23.31,26.31,26.97,25.88,25.72,27.34,27.38,25.38,24.12,24.97,25.84,24.62,24.03,25.69,28.19,28.62,27.59,27.81,28.53,27.5,24.44,22.97,23.75,24.56,23.53,23.44,25.59,27.41,26.56,24.75,25.31,26.25,25.62,24.12,24.09,26.06,27.19,26.97,27.53,29.94,31.41,30.16,28.5,28.75,28.66,25.97,22.06,19.91,18.97,17.25,15.31,15.19,17.22,18.91,18.47,18.66,21.31,24.5,25.59,26.16,28.41,30.66,29.91,27.22,25.75,25.31,23.75,20.75,19.31,20.06,20.72,19.59,18.44,19.44,20.94,20.47,19.28,20.38,21.97,21.66,19.91,19.62,21.41,22.34,21.69,21.06,21.84,21.78,19.0,16.12,15.91,16.66,16.38,15.53,16.34,18.44,18.69,17.19,16.81,17.97,19.16,18.53,18.75,21.0,23.59,23.59,22.41,22.91,24.0,23.38,21.62,21.47,23.12,23.84,22.34,21.78,23.12,23.84,22.22,20.78,21.69,23.62,23.56,22.75,23.84,26.19,26.19,24.28,23.34,23.19,22.41,19.19,16.81,17.53,18.88,18.62,18.53,20.84,23.78,24.59,23.97,24.75,27.19,27.97,26.88,26.78,28.56,29.94,29.25,28.59,29.5,30.25,28.06,24.72,22.75,22.19,20.06,17.16,16.25,17.47,18.53,17.59,17.75,20.03,22.19,22.03,21.81,23.53,25.91,26.0,25.0,25.25,26.72,26.5,24.44,23.44,24.38,24.97,22.78,20.88,20.69,20.56,18.38,15.94,15.94,17.78,18.12,17.34,18.0,19.91,19.41,16.44,13.81,14.0,13.94,12.41,11.69,13.81,16.59,17.41,17.84,20.03,23.28,24.97,25.19,26.12,28.75,30.12,28.84,26.97,27.56,28.41,27.03,26.44,28.22,30.94,31.22,29.81,29.09,29.78,28.72,25.38,23.25,23.28,22.62,20.06,17.97,19.06,21.38,21.84,21.97,23.88,26.47,27.0,26.16,26.84,29.66,31.0,30.0,29.06,30.19,30.41,28.31,26.03,26.41,27.5,26.41,24.47,23.66,24.12,22.91,20.0,18.03,18.5,18.41,16.22,14.56,15.97,18.16,18.56,19.03,21.91,26.22,28.38,29.0,30.62,33.72,35.19,34.66,34.31,36.0,36.66,34.16,31.28,30.62,30.44,28.44,25.28,24.34,24.38,22.75,19.69,18.34,19.66,20.41,19.78,19.91,22.56,24.59,24.12,22.59,23.25,24.12,23.5,22.62,23.56,25.84,26.56,24.88,23.75,24.44,24.31,22.03,20.03,20.72,21.75,20.81,19.19,20.09,21.94,22.06,20.94,21.09,22.53,22.59,20.41,18.72,19.81,20.97,20.53,20.31,22.69,25.38,25.44,24.47,24.69,26.12,25.34,22.88,21.78,22.72,22.91,21.38,20.5,22.22,23.34,22.47,20.12,19.88,20.56,19.84,18.38,19.56,22.41,24.06,23.44,23.0,24.66,25.44,23.78,22.16,23.03,24.0,23.12,21.53,22.19,23.94,23.72,22.94,24.06,27.56,30.28,30.25,30.03,30.81,30.09,26.03,21.5,19.25,18.06,15.72,13.72,14.28,17.16,19.25,19.62,21.09,23.81,25.41,24.38,23.38,24.25,25.06,23.44,21.38,21.34,22.38,22.25,21.0,21.56,23.66,24.56,23.09,22.12,23.03,23.41,21.47,18.62,18.03,17.69,15.06,11.59,10.97,11.75,12.0,10.75,11.34,13.47,14.56,13.62,13.31,15.75,18.72,20.0,20.94,24.12,27.19,27.84,26.66,26.06,26.0,24.25,20.28,17.19,16.81,16.56,14.66,13.56,14.34,15.25,13.41,11.06,10.62,11.69,11.94,11.75,13.47,16.72,19.41,19.47,20.12,22.81,25.44,25.44,25.09,26.5,27.41,25.97,23.19,22.06,22.53,22.03,20.06,18.97,19.56,19.06,15.25,11.44,9.94,9.06,6.25,3.59,3.88,5.72,6.31,6.16,7.53,10.88,12.91,13.09,13.97,16.78,18.69,17.78,16.75,17.56,19.06,18.75,17.97,19.25,21.69,22.41,22.0,22.25,24.06,24.16,21.41,18.66,17.84,16.84,14.22,12.41,13.12,15.03,14.91,13.53,13.31,14.09,13.56,11.78,11.72,14.75,17.84,19.22,21.09,24.59,27.72,27.81,26.47,26.78,28.06,27.47,25.53,24.56,25.06,24.31,21.5,19.75,21.16,22.75,22.38,22.41,24.56,26.91,26.72,25.69,25.81,27.12,26.84,24.72,23.47,23.38,22.47,19.41,16.97,17.53,18.84,53.75,53.47,51.66,50.0,49.03,47.31,43.88,40.78,39.84,39.31,38.19,37.66,39.38,41.62,43.03,43.47,44.5,46.06,46.38,45.91,46.12,47.28,47.62,45.84,42.88,41.03,39.38,37.0:25.59,25.0,25.0,26.84,28.34,27.38,25.81,26.31,27.38,26.41,24.5,24.44,26.16,26.88,26.16,26.72,29.19,30.62,29.44,28.03,28.88,29.81,29.06,28.22,29.88,32.44,33.19,32.38,32.81,34.84,35.84,35.25,35.56,37.94,39.94,39.44,38.44,39.19,40.09,38.97,36.41,36.06,36.78,36.16,34.06,33.56,34.41,34.25,32.09,30.28,30.69,31.19,30.03,28.94,30.5,32.69,32.94,31.34,30.91,31.62,31.19,29.09,28.97,31.25,33.47,33.41,33.16,34.38,35.12,33.38,30.66,29.84,30.28,29.44,26.75,25.38,25.34,23.97,20.88,19.5,20.88,22.88,22.81,22.09,23.19,24.38,23.38,21.12,20.81,21.66,21.28,19.56,20.03,23.03,25.28,25.84,26.34,28.28,30.0,28.69,26.38,25.84,26.09,23.75,20.34,18.75,18.88,18.38,16.03,14.97,16.47,18.09,17.66,18.03,20.78,24.09,24.91,24.25,24.84,26.19,25.66,23.22,22.16,23.16,23.44,21.12,19.53,20.69,21.41,19.31,17.41,17.25,18.41,17.53,16.16,16.75,19.09,20.62,20.47,21.72,25.44,28.62,28.56,28.0,29.09,29.59,27.16,24.0,23.19,24.06,23.53,22.19,22.44,24.09,24.25,22.34,20.75,21.56,22.66,21.75,21.16,23.25,26.25,26.41,25.31,25.12,25.53,23.78,19.97,17.38,17.0,16.41,14.62,13.91,16.28,19.41,20.44,21.25,23.88,26.88,27.25,26.09,26.34,28.03,28.38,26.28,24.69,24.31,23.12,19.97,17.56,18.47,20.62,20.84,20.56,21.38,22.78,22.16,19.88,19.19,21.09,22.38,22.19,22.62,25.69,27.97,26.91,25.53,25.69,26.12,24.41,21.75,21.53,22.66,22.78,21.25,20.78,22.16,22.19,20.03,17.94,18.28,19.19,18.25,17.38,19.31,22.12,23.03,22.81,23.88,26.31,27.72,26.94,27.31,29.94,32.22,32.25,31.91,33.5,35.28,34.72,33.66,34.53,36.62,36.62,34.78,33.69,34.97,35.53,34.28,34.12,36.41,38.22,37.09,35.06,34.97,35.34,33.47,30.53,29.38,30.25,29.78,28.16,27.53,29.47,30.44,28.75,26.5,26.16,25.94,23.25,20.41,20.5,22.34,23.06,23.06,24.94,29.03,31.81,32.56,33.19,34.97,34.75,30.91,26.06,23.28,21.62,18.31,14.97,14.31,15.31,15.5,14.03,14.41,16.88,18.53,17.88,17.44,18.88,19.62,17.97,15.5,15.78,17.47,18.22,18.62,20.69,24.94,27.0,26.53,26.0,27.12,27.06,24.31,22.06,22.81,23.81,23.03,21.75,22.28,24.09,24.34,22.81,22.81,24.78,25.59,24.31,23.75,25.44,26.66,25.56,25.03,26.72,29.41,30.62,30.72,32.59,35.28,35.94,33.97,32.62,32.84,31.97,28.88,26.25,26.25,26.22,24.16,21.72,21.47,22.12,21.16,19.22,18.88,20.56,21.72,20.69,20.31,22.38,23.25,21.69,19.88,20.59,21.59,20.44,18.84,19.53,21.5,21.88,20.88,20.94,23.12,24.66,23.56,23.38,25.19,26.72,25.41,23.75,23.88,24.22,22.75,20.19,19.59,20.59,20.47,18.69,17.5,18.69,19.72,18.12,16.75,18.31,20.28,20.25,19.31,20.34,22.16,21.47,19.12,17.78,18.16,17.66,15.38,14.31,16.0,17.88,17.75,18.12,20.28,23.28,23.62,22.38,22.94,24.12,23.53,20.91,19.72,20.72,20.81,19.06,18.22,19.81,21.97,21.72,21.19,22.91,25.72,26.47,26.81,28.41,31.41,32.72,30.97,29.44,29.0,27.84,23.88,20.44,19.62,20.34,19.31,18.25,20.12,22.75,23.5,22.53,22.62,24.12,24.94,23.41,22.66,23.91,25.03,24.12,22.81,23.78,25.09,24.28,22.62,22.91,24.84,26.03,25.56,25.75,27.47,28.38,27.06,26.41,28.09,30.81,31.22,30.91,32.19,34.06,33.59,30.97,29.41,29.28,27.91,25.0,22.84,23.19,23.88,22.31,20.91,21.34,22.59,22.31,21.84,23.62,27.12,29.56,30.38,31.34,33.69,34.28,31.97,28.91,28.0,27.44,24.91,22.66,22.72,24.53,24.72,24.28,25.22,27.5,28.25,27.0,26.34,27.84,28.84,28.0,27.0,27.94,29.28,28.28,27.0,27.12,28.59,28.06,26.34,25.66,27.19,28.41,27.97,28.31,30.78,32.59,31.62,29.84,29.56,29.75,27.59,24.34,22.19,21.72,20.62,17.59,15.94,16.25,15.78,13.19,10.69,10.72,11.84,11.5,11.12,12.97,16.22,17.56,17.78,19.34,22.84,25.34,25.88,26.06,28.09,29.34,28.0,26.28,26.66,27.88,26.97,24.72,24.25,25.0,24.5,23.31,23.12,24.94,25.53,23.31,20.91,21.0,22.0,21.47,21.25,23.31,26.31,26.97,25.88,25.72,27.34,27.38,25.38,24.12,24.97,25.84,24.62,24.03,25.69,28.19,28.62,27.59,27.81,28.53,27.5,24.44,22.97,23.75,24.56,23.53,23.44,25.59,27.41,26.56,24.75,25.31,26.25,25.62,24.12,24.09,26.06,27.19,26.97,27.53,29.94,31.41,30.16,28.5,28.75,28.66,25.97,22.06,19.91,18.97,17.25,15.31,15.19,17.22,18.91,18.47,18.66,21.31,24.5,25.59,26.16,28.41,30.66,29.91,27.22,25.75,25.31,23.75,20.75,19.31,20.06,20.72,19.59,18.44,19.44,20.94,20.47,19.28,20.38,21.97,21.66,19.91,19.62,21.41,22.34,21.69,21.06,21.84,21.78,19.0,16.12,15.91,16.66,16.38,15.53,16.34,18.44,18.69,17.19,16.81,17.97,19.16,18.53,18.75,21.0,23.59,23.59,22.41,22.91,24.0,23.38,21.62,21.47,23.12,23.84,22.34,21.78,23.12,23.84,22.22,20.78,21.69,23.62,23.56,22.75,23.84,26.19,26.19,24.28,23.34,23.19,22.41,19.19,16.81,17.53,18.88,18.62,18.53,20.84,23.78,24.59,23.97,24.75,27.19,27.97,26.88,26.78,28.56,29.94,29.25,28.59,29.5,30.25,28.06,24.72,22.75,22.19,20.06,17.16,16.25,17.47,18.53,17.59,17.75,20.03,22.19,22.03,21.81,23.53,25.91,26.0,25.0,25.25,26.72,26.5,24.44,23.44,24.38,24.97,22.78,20.88,20.69,20.56,18.38,15.94,15.94,17.78,18.12,17.34,18.0,19.91,19.41,16.44,13.81,14.0,13.94,12.41,11.69,13.81,16.59,17.41,17.84,20.03,23.28,24.97,25.19,26.12,28.75,30.12,28.84,26.97,27.56,28.41,27.03,26.44,28.22,30.94,31.22,29.81,29.09,29.78,28.72,25.38,23.25,23.28,22.62,20.06,17.97,19.06,21.38,21.84,21.97,23.88,26.47,27.0,26.16,26.84,29.66,31.0,30.0,29.06,30.19,30.41,28.31,26.03,26.41,27.5,26.41,24.47,23.66,24.12,22.91,20.0,18.03,18.5,18.41,16.22,14.56,15.97,18.16,18.56,19.03,21.91,26.22,28.38,29.0,30.62,33.72,35.19,34.66,34.31,36.0,36.66,34.16,31.28,30.62,30.44,28.44,25.28,24.34,24.38,22.75,19.69,18.34,19.66,20.41,19.78,19.91,22.56,24.59,24.12,22.59,23.25,24.12,23.5,22.62,23.56,25.84,26.56,24.88,23.75,24.44,24.31,22.03,20.03,20.72,21.75,20.81,19.19,20.09,21.94,22.06,20.94,21.09,22.53,22.59,20.41,18.72,19.81,20.97,20.53,20.31,22.69,25.38,25.44,24.47,24.69,26.12,25.34,22.88,21.78,22.72,22.91,21.38,20.5,22.22,23.34,22.47,20.12,19.88,20.56,19.84,18.38,19.56,22.41,24.06,23.44,23.0,24.66,25.44,23.78,22.16,23.03,24.0,23.12,21.53,22.19,23.94,23.72,22.94,24.06,27.56,30.28,30.25,30.03,30.81,30.09,26.03,21.5,19.25,18.06,15.72,13.72,14.28,17.16,19.25,19.62,21.09,23.81,25.41,24.38,23.38,24.25,25.06,23.44,21.38,21.34,22.38,22.25,21.0,21.56,23.66,24.56,23.09,22.12,23.03,23.41,21.47,18.62,18.03,17.69,15.06,11.59,10.97,11.75,12.0,10.75,11.34,13.47,14.56,13.62,13.31,15.75,18.72,20.0,20.94,24.12,27.19,27.84,26.66,26.06,26.0,24.25,20.28,17.19,16.81,16.56,14.66,13.56,14.34,15.25,13.41,11.06,10.62,11.69,11.94,11.75,13.47,16.72,19.41,19.47,20.12,22.81,25.44,25.44,25.09,26.5,27.41,25.97,23.19,22.06,22.53,22.03,20.06,18.97,19.56,19.06,15.25,11.44,9.94,9.06,6.25,3.59,3.88,5.72,6.31,6.16,7.53,10.88,12.91,13.09,13.97,16.78,18.69,17.78,16.75,17.56,19.06,18.75,17.97,19.25,21.69,22.41,22.0,22.25,24.06,24.16,21.41,18.66,17.84,16.84,14.22,12.41,13.12,15.03,14.91,13.53,13.31,14.09,13.56,11.78,11.72,14.75,17.84,19.22,21.09,24.59,27.72,27.81,26.47,26.78,28.06,27.47,25.53,24.56,25.06,24.31,21.5,19.75,21.16,22.75,22.38,22.41,24.56,26.91,26.72,25.69,25.81,27.12,26.84,24.72,23.47,23.38,22.47,19.41,16.97,17.53,18.84,53.75,53.47,51.66,50.0,49.03,47.31,43.88,40.78,39.84,39.31,38.19,37.66,39.38,41.62,43.03,43.47,44.5,46.06,46.38,45.91,46.12,47.28,47.62,45.84,42.88,41.03,39.38,37.0,34.91,35.41,36.97,38.09,38.62,39.84,41.97:26.31,27.38,26.41,24.5,24.44,26.16,26.88,26.16,26.72,29.19,30.62,29.44,28.03,28.88,29.81,29.06,28.22,29.88,32.44,33.19,32.38,32.81,34.84,35.84,35.25,35.56,37.94,39.94,39.44,38.44,39.19,40.09,38.97,36.41,36.06,36.78,36.16,34.06,33.56,34.41,34.25,32.09,30.28,30.69,31.19,30.03,28.94,30.5,32.69,32.94,31.34,30.91,31.62,31.19,29.09,28.97,31.25,33.47,33.41,33.16,34.38,35.12,33.38,30.66,29.84,30.28,29.44,26.75,25.38,25.34,23.97,20.88,19.5,20.88,22.88,22.81,22.09,23.19,24.38,23.38,21.12,20.81,21.66,21.28,19.56,20.03,23.03,25.28,25.84,26.34,28.28,30.0,28.69,26.38,25.84,26.09,23.75,20.34,18.75,18.88,18.38,16.03,14.97,16.47,18.09,17.66,18.03,20.78,24.09,24.91,24.25,24.84,26.19,25.66,23.22,22.16,23.16,23.44,21.12,19.53,20.69,21.41,19.31,17.41,17.25,18.41,17.53,16.16,16.75,19.09,20.62,20.47,21.72,25.44,28.62,28.56,28.0,29.09,29.59,27.16,24.0,23.19,24.06,23.53,22.19,22.44,24.09,24.25,22.34,20.75,21.56,22.66,21.75,21.16,23.25,26.25,26.41,25.31,25.12,25.53,23.78,19.97,17.38,17.0,16.41,14.62,13.91,16.28,19.41,20.44,21.25,23.88,26.88,27.25,26.09,26.34,28.03,28.38,26.28,24.69,24.31,23.12,19.97,17.56,18.47,20.62,20.84,20.56,21.38,22.78,22.16,19.88,19.19,21.09,22.38,22.19,22.62,25.69,27.97,26.91,25.53,25.69,26.12,24.41,21.75,21.53,22.66,22.78,21.25,20.78,22.16,22.19,20.03,17.94,18.28,19.19,18.25,17.38,19.31,22.12,23.03,22.81,23.88,26.31,27.72,26.94,27.31,29.94,32.22,32.25,31.91,33.5,35.28,34.72,33.66,34.53,36.62,36.62,34.78,33.69,34.97,35.53,34.28,34.12,36.41,38.22,37.09,35.06,34.97,35.34,33.47,30.53,29.38,30.25,29.78,28.16,27.53,29.47,30.44,28.75,26.5,26.16,25.94,23.25,20.41,20.5,22.34,23.06,23.06,24.94,29.03,31.81,32.56,33.19,34.97,34.75,30.91,26.06,23.28,21.62,18.31,14.97,14.31,15.31,15.5,14.03,14.41,16.88,18.53,17.88,17.44,18.88,19.62,17.97,15.5,15.78,17.47,18.22,18.62,20.69,24.94,27.0,26.53,26.0,27.12,27.06,24.31,22.06,22.81,23.81,23.03,21.75,22.28,24.09,24.34,22.81,22.81,24.78,25.59,24.31,23.75,25.44,26.66,25.56,25.03,26.72,29.41,30.62,30.72,32.59,35.28,35.94,33.97,32.62,32.84,31.97,28.88,26.25,26.25,26.22,24.16,21.72,21.47,22.12,21.16,19.22,18.88,20.56,21.72,20.69,20.31,22.38,23.25,21.69,19.88,20.59,21.59,20.44,18.84,19.53,21.5,21.88,20.88,20.94,23.12,24.66,23.56,23.38,25.19,26.72,25.41,23.75,23.88,24.22,22.75,20.19,19.59,20.59,20.47,18.69,17.5,18.69,19.72,18.12,16.75,18.31,20.28,20.25,19.31,20.34,22.16,21.47,19.12,17.78,18.16,17.66,15.38,14.31,16.0,17.88,17.75,18.12,20.28,23.28,23.62,22.38,22.94,24.12,23.53,20.91,19.72,20.72,20.81,19.06,18.22,19.81,21.97,21.72,21.19,22.91,25.72,26.47,26.81,28.41,31.41,32.72,30.97,29.44,29.0,27.84,23.88,20.44,19.62,20.34,19.31,18.25,20.12,22.75,23.5,22.53,22.62,24.12,24.94,23.41,22.66,23.91,25.03,24.12,22.81,23.78,25.09,24.28,22.62,22.91,24.84,26.03,25.56,25.75,27.47,28.38,27.06,26.41,28.09,30.81,31.22,30.91,32.19,34.06,33.59,30.97,29.41,29.28,27.91,25.0,22.84,23.19,23.88,22.31,20.91,21.34,22.59,22.31,21.84,23.62,27.12,29.56,30.38,31.34,33.69,34.28,31.97,28.91,28.0,27.44,24.91,22.66,22.72,24.53,24.72,24.28,25.22,27.5,28.25,27.0,26.34,27.84,28.84,28.0,27.0,27.94,29.28,28.28,27.0,27.12,28.59,28.06,26.34,25.66,27.19,28.41,27.97,28.31,30.78,32.59,31.62,29.84,29.56,29.75,27.59,24.34,22.19,21.72,20.62,17.59,15.94,16.25,15.78,13.19,10.69,10.72,11.84,11.5,11.12,12.97,16.22,17.56,17.78,19.34,22.84,25.34,25.88,26.06,28.09,29.34,28.0,26.28,26.66,27.88,26.97,24.72,24.25,25.0,24.5,23.31,23.12,24.94,25.53,23.31,20.91,21.0,22.0,21.47,21.25,23.31,26.31,26.97,25.88,25.72,27.34,27.38,25.38,24.12,24.97,25.84,24.62,24.03,25.69,28.19,28.62,27.59,27.81,28.53,27.5,24.44,22.97,23.75,24.56,23.53,23.44,25.59,27.41,26.56,24.75,25.31,26.25,25.62,24.12,24.09,26.06,27.19,26.97,27.53,29.94,31.41,30.16,28.5,28.75,28.66,25.97,22.06,19.91,18.97,17.25,15.31,15.19,17.22,18.91,18.47,18.66,21.31,24.5,25.59,26.16,28.41,30.66,29.91,27.22,25.75,25.31,23.75,20.75,19.31,20.06,20.72,19.59,18.44,19.44,20.94,20.47,19.28,20.38,21.97,21.66,19.91,19.62,21.41,22.34,21.69,21.06,21.84,21.78,19.0,16.12,15.91,16.66,16.38,15.53,16.34,18.44,18.69,17.19,16.81,17.97,19.16,18.53,18.75,21.0,23.59,23.59,22.41,22.91,24.0,23.38,21.62,21.47,23.12,23.84,22.34,21.78,23.12,23.84,22.22,20.78,21.69,23.62,23.56,22.75,23.84,26.19,26.19,24.28,23.34,23.19,22.41,19.19,16.81,17.53,18.88,18.62,18.53,20.84,23.78,24.59,23.97,24.75,27.19,27.97,26.88,26.78,28.56,29.94,29.25,28.59,29.5,30.25,28.06,24.72,22.75,22.19,20.06,17.16,16.25,17.47,18.53,17.59,17.75,20.03,22.19,22.03,21.81,23.53,25.91,26.0,25.0,25.25,26.72,26.5,24.44,23.44,24.38,24.97,22.78,20.88,20.69,20.56,18.38,15.94,15.94,17.78,18.12,17.34,18.0,19.91,19.41,16.44,13.81,14.0,13.94,12.41,11.69,13.81,16.59,17.41,17.84,20.03,23.28,24.97,25.19,26.12,28.75,30.12,28.84,26.97,27.56,28.41,27.03,26.44,28.22,30.94,31.22,29.81,29.09,29.78,28.72,25.38,23.25,23.28,22.62,20.06,17.97,19.06,21.38,21.84,21.97,23.88,26.47,27.0,26.16,26.84,29.66,31.0,30.0,29.06,30.19,30.41,28.31,26.03,26.41,27.5,26.41,24.47,23.66,24.12,22.91,20.0,18.03,18.5,18.41,16.22,14.56,15.97,18.16,18.56,19.03,21.91,26.22,28.38,29.0,30.62,33.72,35.19,34.66,34.31,36.0,36.66,34.16,31.28,30.62,30.44,28.44,25.28,24.34,24.38,22.75,19.69,18.34,19.66,20.41,19.78,19.91,22.56,24.59,24.12,22.59,23.25,24.12,23.5,22.62,23.56,25.84,26.56,24.88,23.75,24.44,24.31,22.03,20.03,20.72,21.75,20.81,19.19,20.09,21.94,22.06,20.94,21.09,22.53,22.59,20.41,18.72,19.81,20.97,20.53,20.31,22.69,25.38,25.44,24.47,24.69,26.12,25.34,22.88,21.78,22.72,22.91,21.38,20.5,22.22,23.34,22.47,20.12,19.88,20.56,19.84,18.38,19.56,22.41,24.06,23.44,23.0,24.66,25.44,23.78,22.16,23.03,24.0,23.12,21.53,22.19,23.94,23.72,22.94,24.06,27.56,30.28,30.25,30.03,30.81,30.09,26.03,21.5,19.25,18.06,15.72,13.72,14.28,17.16,19.25,19.62,21.09,23.81,25.41,24.38,23.38,24.25,25.06,23.44,21.38,21.34,22.38,22.25,21.0,21.56,23.66,24.56,23.09,22.12,23.03,23.41,21.47,18.62,18.03,17.69,15.06,11.59,10.97,11.75,12.0,10.75,11.34,13.47,14.56,13.62,13.31,15.75,18.72,20.0,20.94,24.12,27.19,27.84,26.66,26.06,26.0,24.25,20.28,17.19,16.81,16.56,14.66,13.56,14.34,15.25,13.41,11.06,10.62,11.69,11.94,11.75,13.47,16.72,19.41,19.47,20.12,22.81,25.44,25.44,25.09,26.5,27.41,25.97,23.19,22.06,22.53,22.03,20.06,18.97,19.56,19.06,15.25,11.44,9.94,9.06,6.25,3.59,3.88,5.72,6.31,6.16,7.53,10.88,12.91,13.09,13.97,16.78,18.69,17.78,16.75,17.56,19.06,18.75,17.97,19.25,21.69,22.41,22.0,22.25,24.06,24.16,21.41,18.66,17.84,16.84,14.22,12.41,13.12,15.03,14.91,13.53,13.31,14.09,13.56,11.78,11.72,14.75,17.84,19.22,21.09,24.59,27.72,27.81,26.47,26.78,28.06,27.47,25.53,24.56,25.06,24.31,21.5,19.75,21.16,22.75,22.38,22.41,24.56,26.91,26.72,25.69,25.81,27.12,26.84,24.72,23.47,23.38,22.47,19.41,16.97,17.53,18.84,53.75,53.47,51.66,50.0,49.03,47.31,43.88,40.78,39.84,39.31,38.19,37.66,39.38,41.62,43.03,43.47,44.5,46.06,46.38,45.91,46.12,47.28,47.62,45.84,42.88,41.03,39.38,37.0,34.91,35.41,36.97,38.09,38.62,39.84,41.97,42.88,42.16,41.19,41.59,41.72,40.19,38.44:negativity
15.66,15.88,14.66,12.66,11.47,10.56,9.12,7.97,8.09,9.78,11.66,12.97,14.44,16.19,17.25,16.97,15.81,15.78,15.75,15.09,15.0,15.97,17.91,19.12,19.06,17.97,16.66,14.56,11.03,7.97,6.69,6.03,5.12,5.06,7.09,9.84,12.62,14.53,16.5,18.34,18.88,18.19,17.69,18.0,18.5,18.53,18.75,20.09,21.56,22.25,22.16,22.22,21.84,20.16,17.34,14.88,13.78,12.75,11.84,11.91,13.16,14.28,14.12,14.03,14.47,14.91,14.66,13.84,14.09,14.88,15.38,14.81,14.81,15.44,15.22,14.38,13.88,14.12,14.25,13.16,12.12,12.16,12.38,12.72,12.25,12.69,13.44,13.84,13.06,12.22,12.12,11.75,11.03,10.97,12.38,14.53,15.88,16.72,17.88,18.81,18.75,17.91,17.44,17.34,16.78,14.47,12.41,11.12,9.38,7.69,6.66,6.81,7.81,8.0,7.94,7.97,7.81,6.97,5.09,4.62,3.38,3.03,2.03,1.31,1.72,2.19,2.16,1.25,1.0,1.28,1.38,1.19,1.88,3.78,5.75,7.16,9.31,12.25,15.34,16.91,18.75,21.5,24.28,25.62,26.0,25.94,25.34,23.28,20.81,19.84,19.59,19.53,18.34,17.06,15.84,14.41,11.69,9.78,8.94,8.5,7.62,5.59,5.62,6.47,6.41,7.0,8.16,9.84,11.5,12.5,13.75,15.28,17.09,17.16,16.66,16.66,17.03,16.38,15.78,15.62,15.91,15.34,13.47,11.53,10.41,9.56,8.91,9.62,12.34,16.12,18.88,21.38,23.12,24.53,24.09,22.97,22.03,21.94,21.75,20.97,20.28,20.56,20.66,20.16,20.28,20.75,21.25,20.06,18.19,15.97,14.06,12.19,9.91,8.81,8.78,9.41,9.69,10.53,12.59,14.62,15.47,15.66,15.62,15.75,15.06,14.47,14.75,16.03,16.38,15.75,14.97,14.53,13.75,12.25,10.94,10.38,10.28,10.06,10.0,10.97,12.91,15.25,17.28,19.66,22.44,24.25,24.41,24.03,23.88,23.5,21.81,20.12,18.72,17.78,16.09,14.66,14.5,15.53,16.19,16.88,17.62,18.34,18.0,16.19,14.72,13.97,14.09,14.06,13.94,14.69,15.19,14.78,13.69,13.5,13.97,14.06,14.12,14.41,15.28,15.81,15.06,14.41,14.88,14.69,14.16,13.25,13.19,13.38,12.78,12.0,11.5,11.81,12.0,11.69,11.75,12.78,13.75,14.16,14.59,15.62,16.78,16.88,16.22,15.28,14.38,12.47,10.0,7.59,5.72,4.0,2.0,0.88,1.56,3.06,5.12,7.88,11.56,15.59,18.81,21.03,23.16,24.81,25.62,24.97,23.88,23.19,22.16,20.75,19.75,19.69,19.72,18.66,17.06,15.53,13.94,11.5,8.31,6.16,5.09,4.5,3.94,3.97,5.34,6.62,7.66,8.75,10.94,13.31,15.47,17.38,19.69,22.38,23.94,24.06,23.31,21.94,19.28,15.22,10.97,8.31,6.53,5.25,4.53,4.69,4.78,4.25,3.25,2.34,2.22,2.19,2.0,1.75,2.84,4.22,4.94,5.91,8.25,10.94,13.88,16.97,20.94,24.97,27.94,28.78,28.84,28.62,27.19,24.66,22.56,21.19,19.75,17.53,15.0,13.47,12.09,10.75,9.84,9.69,10.03,10.16,9.41,8.56,8.28,7.97,7.0,5.97,5.94,6.19,6.41,6.56,7.34,8.25,8.72,8.19,8.28,9.12,10.22,10.34,10.66,11.22,10.84,9.88,7.56,6.19,5.28,4.41,3.84,4.81,6.84,8.84,9.84,11.34,12.69,13.94,14.12,14.53,15.62,16.38,16.53,16.03,15.91,15.66,14.47,12.5,11.22,10.0,8.62,7.25,6.44,7.03,8.53,9.38,10.44,12.56,14.81,16.44,17.62,19.22,20.12,19.75,18.09,16.09,14.31,13.12,11.22,9.78,9.53,9.84,9.41,8.88,9.12,9.97,10.31,10.88,12.19,13.44,14.38,13.69,13.09,12.75,12.28,11.12,10.72,11.03,11.62,11.38,10.09,9.09,8.25,6.12,4.31,3.5,4.22,5.0,5.34,6.66,8.25,9.88,10.41,10.84,11.91,12.62,12.53,11.34,10.66,10.0,8.91,7.47,6.78,7.06,6.88,6.22,5.81,6.28,7.22,7.41,7.69,8.78,10.59,11.41,11.88,12.78,13.81,13.75,12.81,11.53,10.44,9.88,8.34,6.91,6.12,5.34,2.94,0.16,-1.47,-1.62,-1.28,-0.16,2.03,5.22,7.81,9.16,10.34,11.59,12.5,11.81,10.97,10.19,10.25,9.56,9.03,9.28,10.16,10.47,9.59,8.69,8.19,7.66,6.38,6.34,7.44,8.94,9.44,9.28,9.03,8.59,7.66,6.38,6.12,7.19,8.03,8.44,8.69,9.47,9.81,8.5,7.06,6.38,6.88,6.78,7.0,8.34,9.81,9.62,8.12,6.41,5.41,4.12,2.72,2.44,3.16,4.06,4.19,3.84,4.19,4.41,3.72,3.03,2.88,3.84,5.03,6.53,8.5,11.38,13.53,14.56,14.19,14.22,13.34,11.03,8.09,5.94,4.44,2.0,-0.22,-1.19,-1.41,-1.47,-2.06,-1.75,-0.38,1.0,2.06,3.22,5.34,7.72,8.84,9.66,10.66,11.47,10.69,9.56,8.84,9.25,9.97,10.06,10.0,10.28,9.81,8.75,7.38,6.84,6.38,4.78,2.56,0.69,-0.94,-3.31,-6.22,-8.38,-9.28,-9.31,-9.0,-7.62,-4.38,-1.38,0.5,1.53,2.72,3.59,3.19,2.41,2.31,2.94,3.41,3.81,4.44,5.53,5.88,4.88,2.78,1.28,-0.16,-2.22,-3.94,-4.88,-4.19,-3.69,-3.22,-2.0,0.75,3.0,4.56,6.22,8.41,9.75,9.59,9.09,9.41,10.31,10.38,9.84,9.62,9.19,7.31,4.53,2.56,2.22,1.94,1.91,2.38,4.16,5.94,6.81,6.84,7.44,7.72,7.0,5.72,5.34,6.03,6.66,6.69,6.81,7.66,7.66,6.78,6.0,5.97,5.91,5.03,3.91,4.16,5.19,6.0,6.75,8.38,10.44,12.25,12.75,12.75,13.09,12.56,10.81,8.69,7.78,7.28,6.47,5.72,6.12,7.09,7.25,6.62,6.19,5.97,5.22,3.88,2.69,3.09,3.59,3.84,4.09,5.22,6.97,7.81,8.62,10.25,11.97,13.41,13.78,14.12,15.06,15.66,15.41,15.59,16.84,17.88,17.72,16.62,15.69,14.5,12.5,9.34,7.12,6.06,5.0,3.91,3.97,5.38,7.16,8.47,9.94,12.5,14.78,15.91,16.25,16.97,17.91,17.97,17.28,16.81,16.81,16.38,14.94,13.88,13.41,12.84,11.03,9.0,7.53,6.5,5.12,3.31,2.88,3.5,3.81,3.69,4.44,6.16,7.88,8.28,8.94,10.5,11.91,12.56,13.25,15.16,17.25,18.59,18.41,18.31,17.38,14.81,10.41,6.12,3.34,1.22,-0.56,-1.19,-0.16,1.5,1.56,1.72,2.38,3.0,2.97,2.38,2.06,2.03,2.5,1.34,0.53,0.5,0.34,-1.03,-1.81,-1.28,0.0,1.44,3.22,5.88,8.47,10.72,11.06,11.12,11.19,10.72,9.25,8.38,9.22,10.59,11.19,11.53,12.09,12.56,11.66,10.41,9.59,9.69,10.16,10.06,10.88,12.38,13.75,13.78,13.38,13.75,14.06,13.22,12.38,12.31,12.66,12.59,11.97,11.69,11.91,11.84,10.75,10.19,10.31,10.44,9.34,8.12,6.88,5.78,4.59,3.16,2.91,3.66,3.81,3.22,2.94,3.31,3.62,3.66,4.41,5.62,7.22,7.25,7.41,8.03,9.03,9.34,9.03,8.75,8.44,7.81,6.5,5.47,5.56,6.0,5.78,5.91,6.88,8.25,9.03,9.62,10.88,12.06,12.41,11.94,11.84,12.69,13.44,13.66,14.78,16.53,18.03,18.06,17.5,17.25,16.69,14.97,13.25,12.56,12.06,11.12,9.84,8.81,8.22,7.53,6.22,5.0,4.88,5.62,5.91,6.69,8.16,10.16,11.0,10.91,11.0,10.94,9.94,8.28,6.91,6.88,7.19,7.25,7.69,8.84,10.22,10.09,9.81,10.06,10.78,10.28,9.38,8.66,7.97,6.88,5.06,4.19,4.34,4.22,3.56,2.31,1.5,0.78,-0.53,-1.38,-0.94,0.78,2.25,3.69,5.59,7.81,9.78,10.88,11.94,13.19,14.09,13.22,11.44,9.41,7.41,4.5,1.16,-1.59,-3.47,-5.47,-7.44,-8.16,-7.47,-5.5,-3.53,-0.94,2.97,6.59,9.03,10.19,11.25,11.81,12.09,12.22,12.75,13.66,13.94,13.12,11.81,11.03,10.16,9.34,8.41,8.25,8.44,7.34,5.72,3.94,3.09,1.75,1.16,1.75,3.75,5.38,6.31,6.75,7.31,7.38,6.5,6.19,6.75,7.97,8.84,9.56,10.91,13.34,15.66,18.03,20.69,23.97,25.75,25.88,24.66,23.44,21.34,18.12,14.59,11.34,8.19,4.72,1.25,-1.16,-1.47,-0.94,0.12,1.66,4.59,7.38,9.31,10.78,12.84,14.88,15.81,16.06,16.38,16.81,16.56,15.31,13.88,12.72,10.81,7.94,4.94,3.62,2.97,2.31,2.28,3.81,5.06,5.47,4.97,4.25,3.97,3.56,3.06,2.81,3.75,4.0,3.53,2.31,1.94,1.84,1.56,1.56,2.81,4.38,6.12,7.34,8.28,9.88,11.25,12.12,12.72,14.0,15.12,14.88,13.78,13.31,12.84,11.75,10.53,10.19,10.28,9.94,8.5,6.66,4.94,3.12,0.84,-0.59,-0.47,0.41,0.69,0.44,1.0,1.16,1.44,1.81,3.62,6.84,10.53:7.97,8.09,9.78,11.66,12.97,14.44,16.19,17.25,16.97,15.81,15.78,15.75,15.09,15.0,15.97,17.91,19.12,19.06,17.97,16.66,14.56,11.03,7.97,6.69,6.03,5.12,5.06,7.09,9.84,12.62,14.53,16.5,18.34,18.88,18.19,17.69,18.0,18.5,18.53,18.75,20.09,21.56,22.25,22.16,22.22,21.84,20.16,17.34,14.88,13.78,12.75,11.84,11.91,13.16,14.28,14.12,14.03,14.47,14.91,14.66,13.84,14.09,14.88,15.38,14.81,14.81,15.44,15.22,14.38,13.88,14.12,14.25,13.16,12.12,12.16,12.38,12.72,12.25,12.69,13.44,13.84,13.06,12.22,12.12,11.75,11.03,10.97,12.38,14.53,15.88,16.72,17.88,18.81,18.75,17.91,17.44,17.34,16.78,14.47,12.41,11.12,9.38,7.69,6.66,6.81,7.81,8.0,7.94,7.97,7.81,6.97,5.09,4.62,3.38,3.03,2.03,1.31,1.72,2.19,2.16,1.25,1.0,1.28,1.38,1.19,1.88,3.78,5.75,7.16,9.31,12.25,15.34,16.91,18.75,21.5,24.28,25.62,26.0,25.94,25.34,23.28,20.81,19.84,19.59,19.53,18.34,17.06,15.84,14.41,11.69,9.78,8.94,8.5,7.62,5.59,5.62,6.47,6.41,7.0,8.16,9.84,11.5,12.5,13.75,15.28,17.09,17.16,16.66,16.66,17.03,16.38,15.78,15.62,15.91,15.34,13.47,11.53,10.41,9.56,8.91,9.62,12.34,16.12,18.88,21.38,23.12,24.53,24.09,22.97,22.03,21.94,21.75,20.97,20.28,20.56,20.66,20.16,20.28,20.75,21.25,20.06,18.19,15.97,14.06,12.19,9.91,8.81,8.78,9.41,9.69,10.53,12.59,14.62,15.47,15.66,15.62,15.75,15.06,14.47,14.75,16.03,16.38,15.75,14.97,14.53,13.75,12.25,10.94,10.38,10.28,10.06,10.0,10.97,12.91,15.25,17.28,19.66,22.44,24.25,24.41,24.03,23.88,23.5,21.81,20.12,18.72,17.78,16.09,14.66,14.5,15.53,16.19,16.88,17.62,18.34,18.0,16.19,14.72,13.97,14.09,14.06,13.94,14.69,15.19,14.78,13.69,13.5,13.97,14.06,14.12,14.41,15.28,15.81,15.06,14.41,14.88,14.69,14.16,13.25,13.19,13.38,12.78,12.0,11.5,11.81,12.0,11.69,11.75,12.78,13.75,14.16,14.59,15.62,16.78,16.88,16.22,15.28,14.38,12.47,10.0,7.59,5.72,4.0,2.0,0.88,1.56,3.06,5.12,7.88,11.56,15.59,18.81,21.03,23.16,24.81,25.62,24.97,23.88,23.19,22.16,20.75,19.75,19.69,19.72,18.66,17.06,15.53,13.94,11.5,8.31,6.16,5.09,4.5,3.94,3.97,5.34,6.62,7.66,8.75,10.94,13.31,15.47,17.38,19.69,22.38,23.94,24.06,23.31,21.94,19.28,15.22,10.97,8.31,6.53,5.25,4.53,4.69,4.78,4.25,3.25,2.34,2.22,2.19,2.0,1.75,2.84,4.22,4.94,5.91,8.25,10.94,13.88,16.97,20.94,24.97,27.94,28.78,28.84,28.62,27.19,24.66,22.56,21.19,19.75,17.53,15.0,13.47,12.09,10.75,9.84,9.69,10.03,10.16,9.41,8.56,8.28,7.97,7.0,5.97,5.94,6.19,6.41,6.56,7.34,8.25,8.72,8.19,8.28,9.12,10.22,10.34,10.66,11.22,10.84,9.88,7.56,6.19,5.28,4.41,3.84,4.81,6.84,8.84,9.84,11.34,12.69,13.94,14.12,14.53,15.62,16.38,16.53,16.03,15.91,15.66,14.47,12.5,11.22,10.0,8.62,7.25,6.44,7.03,8.53,9.38,10.44,12.56,14.81,16.44,17.62,19.22,20.12,19.75,18.09,16.09,14.31,13.12,11.22,9.78,9.53,9.84,9.41,8.88,9.12,9.97,10.31,10.88,12.19,13.44,14.38,13.69,13.09,12.75,12.28,11.12,10.72,11.03,11.62,11.38,10.09,9.09,8.25,6.12,4.31,3.5,4.22,5.0,5.34,6.66,8.25,9.88,10.41,10.84,11.91,12.62,12.53,11.34,10.66,10.0,8.91,7.47,6.78,7.06,6.88,6.22,5.81,6.28,7.22,7.41,7.69,8.78,10.59,11.41,11.88,12.78,13.81,13.75,12.81,11.53,10.44,9.88,8.34,6.91,6.12,5.34,2.94,0.16,-1.47,-1.62,-1.28,-0.16,2.03,5.22,7.81,9.16,10.34,11.59,12.5,11.81,10.97,10.19,10.25,9.56,9.03,9.28,10.16,10.47,9.59,8.69,8.19,7.66,6.38,6.34,7.44,8.94,9.44,9.28,9.03,8.59,7.66,6.38,6.12,7.19,8.03,8.44,8.69,9.47,9.81,8.5,7.06,6.38,6.88,6.78,7.0,8.34,9.81,9.62,8.12,6.41,5.41,4.12,2.72,2.44,3.16,4.06,4.19,3.84,4.19,4.41,3.72,3.03,2.88,3.84,5.03,6.53,8.5,11.38,13.53,14.56,14.19,14.22,13.34,11.03,8.09,5.94,4.44,2.0,-0.22,-1.19,-1.41,-1.47,-2.06,-1.75,-0.38,1.0,2.06,3.22,5.34,7.72,8.84,9.66,10.66,11.47,10.69,9.56,8.84,9.25,9.97,10.06,10.0,10.28,9.81,8.75,7.38,6.84,6.38,4.78,2.56,0.69,-0.94,-3.31,-6.22,-8.38,-9.28,-9.31,-9.0,-7.62,-4.38,-1.38,0.5,1.53,2.72,3.59,3.19,2.41,2.31,2.94,3.41,3.81,4.44,5.53,5.88,4.88,2.78,1.28,-0.16,-2.22,-3.94,-4.88,-4.19,-3.69,-3.22,-2.0,0.75,3.0,4.56,6.22,8.41,9.75,9.59,9.09,9.41,10.31,10.38,9.84,9.62,9.19,7.31,4.53,2.56,2.22,1.94,1.91,2.38,4.16,5.94,6.81,6.84,7.44,7.72,7.0,5.72,5.34,6.03,6.66,6.69,6.81,7.66,7.66,6.78,6.0,5.97,5.91,5.03,3.91,4.16,5.19,6.0,6.75,8.38,10.44,12.25,12.75,12.75,13.09,12.56,10.81,8.69,7.78,7.28,6.47,5.72,6.12,7.09,7.25,6.62,6.19,5.97,5.22,3.88,2.69,3.09,3.59,3.84,4.09,5.22,6.97,7.81,8.62,10.25,11.97,13.41,13.78,14.12,15.06,15.66,15.41,15.59,16.84,17.88,17.72,16.62,15.69,14.5,12.5,9.34,7.12,6.06,5.0,3.91,3.97,5.38,7.16,8.47,9.94,12.5,14.78,15.91,16.25,16.97,17.91,17.97,17.28,16.81,16.81,16.38,14.94,13.88,13.41,12.84,11.03,9.0,7.53,6.5,5.12,3.31,2.88,3.5,3.81,3.69,4.44,6.16,7.88,8.28,8.94,10.5,11.91,12.56,13.25,15.16,17.25,18.59,18.41,18.31,17.38,14.81,10.41,6.12,3.34,1.22,-0.56,-1.19,-0.16,1.5,1.56,1.72,2.38,3.0,2.97,2.38,2.06,2.03,2.5,1.34,0.53,0.5,0.34,-1.03,-1.81,-1.28,0.0,1.44,3.22,5.88,8.47,10.72,11.06,11.12,11.19,10.72,9.25,8.38,9.22,10.59,11.19,11.53,12.09,12.56,11.66,10.41,9.59,9.69,10.16,10.06,10.88,12.38,13.75,13.78,13.38,13.75,14.06,13.22,12.38,12.31,12.66,12.59,11.97,11.69,11.91,11.84,10.75,10.19,10.31,10.44,9.34,8.12,6.88,5.78,4.59,3.16,2.91,3.66,3.81,3.22,2.94,3.31,3.62,3.66,4.41,5.62,7.22,7.25,7.41,8.03,9.03,9.34,9.03,8.75,8.44,7.81,6.5,5.47,5.56,6.0,5.78,5.91,6.88,8.25,9.03,9.62,10.88,12.06,12.41,11.94,11.84,12.69,13.44,13.66,14.78,16.53,18.03,18.06,17.5,17.25,16.69,14.97,13.25,12.56,12.06,11.12,9.84,8.81,8.22,7.53,6.22,5.0,4.88,5.62,5.91,6.69,8.16,10.16,11.0,10.91,11.0,10.94,9.94,8.28,6.91,6.88,7.19,7.25,7.69,8.84,10.22,10.09,9.81,10.06,10.78,10.28,9.38,8.66,7.97,6.88,5.06,4.19,4.34,4.22,3.56,2.31,1.5,0.78,-0.53,-1.38,-0.94,0.78,2.25,3.69,5.59,7.81,9.78,10.88,11.94,13.19,14.09,13.22,11.44,9.41,7.41,4.5,1.16,-1.59,-3.47,-5.47,-7.44,-8.16,-7.47,-5.5,-3.53,-0.94,2.97,6.59,9.03,10.19,11.25,11.81,12.09,12.22,12.75,13.66,13.94,13.12,11.81,11.03,10.16,9.34,8.41,8.25,8.44,7.34,5.72,3.94,3.09,1.75,1.16,1.75,3.75,5.38,6.31,6.75,7.31,7.38,6.5,6.19,6.75,7.97,8.84,9.56,10.91,13.34,15.66,18.03,20.69,23.97,25.75,25.88,24.66,23.44,21.34,18.12,14.59,11.34,8.19,4.72,1.25,-1.16,-1.47,-0.94,0.12,1.66,4.59,7.38,9.31,10.78,12.84,14.88,15.81,16.06,16.38,16.81,16.56,15.31,13.88,12.72,10.81,7.94,4.94,3.62,2.97,2.31,2.28,3.81,5.06,5.47,4.97,4.25,3.97,3.56,3.06,2.81,3.75,4.0,3.53,2.31,1.94,1.84,1.56,1.56,2.81,4.38,6.12,7.34,8.28,9.88,11.25,12.12,12.72,14.0,15.12,14.88,13.78,13.31,12.84,11.75,10.53,10.19,10.28,9.94,8.5,6.66,4.94,3.12,0.84,-0.59,-0.47,0.41,0.69,0.44,1.0,1.16,1.44,1.81,3.62,6.84,10.53,44.25,44.56,44.81,44.59,44.38,44.22,43.75:17.25,16.97,15.81,15.78,15.75,15.09,15.0,15.97,17.91,19.12,19.06,17.97,16.66,14.56,11.03,7.97,6.69,6.03,5.12,5.06,7.09,9.84,12.62,14.53,16.5,18.34,18.88,18.19,17.69,18.0,18.5,18.53,18.75,20.09,21.56,22.25,22.16,22.22,21.84,20.16,17.34,14.88,13.78,12.75,11.84,11.91,13.16,14.28,14.12,14.03,14.47,14.91,14.66,13.84,14.09,14.88,15.38,14.81,14.81,15.44,15.22,14.38,13.88,14.12,14.25,13.16,12.12,12.16,12.38,12.72,12.25,12.69,13.44,13.84,13.06,12.22,12.12,11.75,11.03,10.97,12.38,14.53,15.88,16.72,17.88,18.81,18.75,17.91,17.44,17.34,16.78,14.47,12.41,11.12,9.38,7.69,6.66,6.81,7.81,8.0,7.94,7.97,7.81,6.97,5.09,4.62,3.38,3.03,2.03,1.31,1.72,2.19,2.16,1.25,1.0,1.28,1.38,1.19,1.88,3.78,5.75,7.16,9.31,12.25,15.34,16.91,18.75,21.5,24.28,25.62,26.0,25.94,25.34,23.28,20.81,19.84,19.59,19.53,18.34,17.06,15.84,14.41,11.69,9.78,8.94,8.5,7.62,5.59,5.62,6.47,6.41,7.0,8.16,9.84,11.5,12.5,13.75,15.28,17.09,17.16,16.66,16.66,17.03,16.38,15.78,15.62,15.91,15.34,13.47,11.53,10.41,9.56,8.91,9.62,12.34,16.12,18.88,21.38,23.12,24.53,24.09,22.97,22.03,21.94,21.75,20.97,20.28,20.56,20.66,20.16,20.28,20.75,21.25,20.06,18.19,15.97,14.06,12.19,9.91,8.81,8.78,9.41,9.69,10.53,12.59,14.62,15.47,15.66,15.62,15.75,15.06,14.47,14.75,16.03,16.38,15.75,14.97,14.53,13.75,12.25,10.94,10.38,10.28,10.06,10.0,10.97,12.91,15.25,17.28,19.66,22.44,24.25,24.41,24.03,23.88,23.5,21.81,20.12,18.72,17.78,16.09,14.66,14.5,15.53,16.19,16.88,17.62,18.34,18.0,16.19,14.72,13.97,14.09,14.06,13.94,14.69,15.19,14.78,13.69,13.5,13.97,14.06,14.12,14.41,15.28,15.81,15.06,14.41,14.88,14.69,14.16,13.25,13.19,13.38,12.78,12.0,11.5,11.81,12.0,11.69,11.75,12.78,13.75,14.16,14.59,15.62,16.78,16.88,16.22,15.28,14.38,12.47,10.0,7.59,5.72,4.0,2.0,0.88,1.56,3.06,5.12,7.88,11.56,15.59,18.81,21.03,23.16,24.81,25.62,24.97,23.88,23.19,22.16,20.75,19.75,19.69,19.72,18.66,17.06,15.53,13.94,11.5,8.31,6.16,5.09,4.5,3.94,3.97,5.34,6.62,7.66,8.75,10.94,13.31,15.47,17.38,19.69,22.38,23.94,24.06,23.31,21.94,19.28,15.22,10.97,8.31,6.53,5.25,4.53,4.69,4.78,4.25,3.25,2.34,2.22,2.19,2.0,1.75,2.84,4.22,4.94,5.91,8.25,10.94,13.88,16.97,20.94,24.97,27.94,28.78,28.84,28.62,27.19,24.66,22.56,21.19,19.75,17.53,15.0,13.47,12.09,10.75,9.84,9.69,10.03,10.16,9.41,8.56,8.28,7.97,7.0,5.97,5.94,6.19,6.41,6.56,7.34,8.25,8.72,8.19,8.28,9.12,10.22,10.34,10.66,11.22,10.84,9.88,7.56,6.19,5.28,4.41,3.84,4.81,6.84,8.84,9.84,11.34,12.69,13.94,14.12,14.53,15.62,16.38,16.53,16.03,15.91,15.66,14.47,12.5,11.22,10.0,8.62,7.25,6.44,7.03,8.53,9.38,10.44,12.56,14.81,16.44,17.62,19.22,20.12,19.75,18.09,16.09,14.31,13.12,11.22,9.78,9.53,9.84,9.41,8.88,9.12,9.97,10.31,10.88,12.19,13.44,14.38,13.69,13.09,12.75,12.28,11.12,10.72,11.03,11.62,11.38,10.09,9.09,8.25,6.12,4.31,3.5,4.22,5.0,5.34,6.66,8.25,9.88,10.41,10.84,11.91,12.62,12.53,11.34,10.66,10.0,8.91,7.47,6.78,7.06,6.88,6.22,5.81,6.28,7.22,7.41,7.69,8.78,10.59,11.41,11.88,12.78,13.81,13.75,12.81,11.53,10.44,9.88,8.34,6.91,6.12,5.34,2.94,0.16,-1.47,-1.62,-1.28,-0.16,2.03,5.22,7.81,9.16,10.34,11.59,12.5,11.81,10.97,10.19,10.25,9.56,9.03,9.28,10.16,10.47,9.59,8.69,8.19,7.66,6.38,6.34,7.44,8.94,9.44,9.28,9.03,8.59,7.66,6.38,6.12,7.19,8.03,8.44,8.69,9.47,9.81,8.5,7.06,6.38,6.88,6.78,7.0,8.34,9.81,9.62,8.12,6.41,5.41,4.12,2.72,2.44,3.16,4.06,4.19,3.84,4.19,4.41,3.72,3.03,2.88,3.84,5.03,6.53,8.5,11.38,13.53,14.56,14.19,14.22,13.34,11.03,8.09,5.94,4.44,2.0,-0.22,-1.19,-1.41,-1.47,-2.06,-1.75,-0.38,1.0,2.06,3.22,5.34,7.72,8.84,9.66,10.66,11.47,10.69,9.56,8.84,9.25,9.97,10.06,10.0,10.28,9.81,8.75,7.38,6.84,6.38,4.78,2.56,0.69,-0.94,-3.31,-6.22,-8.38,-9.28,-9.31,-9.0,-7.62,-4.38,-1.38,0.5,1.53,2.72,3.59,3.19,2.41,2.31,2.94,3.41,3.81,4.44,5.53,5.88,4.88,2.78,1.28,-0.16,-2.22,-3.94,-4.88,-4.19,-3.69,-3.22,-2.0,0.75,3.0,4.56,6.22,8.41,9.75,9.59,9.09,9.41,10.31,10.38,9.84,9.62,9.19,7.31,4.53,2.56,2.22,1.94,1.91,2.38,4.16,5.94,6.81,6.84,7.44,7.72,7.0,5.72,5.34,6.03,6.66,6.69,6.81,7.66,7.66,6.78,6.0,5.97,5.91,5.03,3.91,4.16,5.19,6.0,6.75,8.38,10.44,12.25,12.75,12.75,13.09,12.56,10.81,8.69,7.78,7.28,6.47,5.72,6.12,7.09,7.25,6.62,6.19,5.97,5.22,3.88,2.69,3.09,3.59,3.84,4.09,5.22,6.97,7.81,8.62,10.25,11.97,13.41,13.78,14.12,15.06,15.66,15.41,15.59,16.84,17.88,17.72,16.62,15.69,14.5,12.5,9.34,7.12,6.06,5.0,3.91,3.97,5.38,7.16,8.47,9.94,12.5,14.78,15.91,16.25,16.97,17.91,17.97,17.28,16.81,16.81,16.38,14.94,13.88,13.41,12.84,11.03,9.0,7.53,6.5,5.12,3.31,2.88,3.5,3.81,3.69,4.44,6.16,7.88,8.28,8.94,10.5,11.91,12.56,13.25,15.16,17.25,18.59,18.41,18.31,17.38,14.81,10.41,6.12,3.34,1.22,-0.56,-1.19,-0.16,1.5,1.56,1.72,2.38,3.0,2.97,2.38,2.06,2.03,2.5,1.34,0.53,0.5,0.34,-1.03,-1.81,-1.28,0.0,1.44,3.22,5.88,8.47,10.72,11.06,11.12,11.19,10.72,9.25,8.38,9.22,10.59,11.19,11.53,12.09,12.56,11.66,10.41,9.59,9.69,10.16,10.06,10.88,12.38,13.75,13.78,13.38,13.75,14.06,13.22,12.38,12.31,12.66,12.59,11.97,11.69,11.91,11.84,10.75,10.19,10.31,10.44,9.34,8.12,6.88,5.78,4.59,3.16,2.91,3.66,3.81,3.22,2.94,3.31,3.62,3.66,4.41,5.62,7.22,7.25,7.41,8.03,9.03,9.34,9.03,8.75,8.44,7.81,6.5,5.47,5.56,6.0,5.78,5.91,6.88,8.25,9.03,9.62,10.88,12.06,12.41,11.94,11.84,12.69,13.44,13.66,14.78,16.53,18.03,18.06,17.5,17.25,16.69,14.97,13.25,12.56,12.06,11.12,9.84,8.81,8.22,7.53,6.22,5.0,4.88,5.62,5.91,6.69,8.16,10.16,11.0,10.91,11.0,10.94,9.94,8.28,6.91,6.88,7.19,7.25,7.69,8.84,10.22,10.09,9.81,10.06,10.78,10.28,9.38,8.66,7.97,6.88,5.06,4.19,4.34,4.22,3.56,2.31,1.5,0.78,-0.53,-1.38,-0.94,0.78,2.25,3.69,5.59,7.81,9.78,10.88,11.94,13.19,14.09,13.22,11.44,9.41,7.41,4.5,1.16,-1.59,-3.47,-5.47,-7.44,-8.16,-7.47,-5.5,-3.53,-0.94,2.97,6.59,9.03,10.19,11.25,11.81,12.09,12.22,12.75,13.66,13.94,13.12,11.81,11.03,10.16,9.34,8.41,8.25,8.44,7.34,5.72,3.94,3.09,1.75,1.16,1.75,3.75,5.38,6.31,6.75,7.31,7.38,6.5,6.19,6.75,7.97,8.84,9.56,10.91,13.34,15.66,18.03,20.69,23.97,25.75,25.88,24.66,23.44,21.34,18.12,14.59,11.34,8.19,4.72,1.25,-1.16,-1.47,-0.94,0.12,1.66,4.59,7.38,9.31,10.78,12.84,14.88,15.81,16.06,16.38,16.81,16.56,15.31,13.88,12.72,10.81,7.94,4.94,3.62,2.97,2.31,2.28,3.81,5.06,5.47,4.97,4.25,3.97,3.56,3.06,2.81,3.75,4.0,3.53,2.31,1.94,1.84,1.56,1.56,2.81,4.38,6.12,7.34,8.28,9.88,11.25,12.12,12.72,14.0,15.12,14.88,13.78,13.31,12.84,11.75,10.53,10.19,10.28,9.94,8.5,6.66,4.94,3.12,0.84,-0.59,-0.47,0.41,0.69,0.44,1.0,1.16,1.44,1.81,3.62,6.84,10.53,44.25,44.56,44.81,44.59,44.38,44.22,43.75,43.47,44.0,45.06,46.41,47.72,48.62,49.12:15.97,17.91,19.12,19.06,17.97,16.66,14.56,11.03,7.97,6.69,6.03,5.12,5.06,7.09,9.84,12.62,14.53,16.5,18.34,18.88,18.19,17.69,18.0,18.5,18.53,18.75,20.09,21.56,22.25,22.16,22.22,21.84,20.16,17.34,14.88,13.78,12.75,11.84,11.91,13.16,14.28,14.12,14.03,14.47,14.91,14.66,13.84,14.09,14.88,15.38,14.81,14.81,15.44,15.22,14.38,13.88,14.12,14.25,13.16,12.12,12.16,12.38,12.72,12.25,12.69,13.44,13.84,13.06,12.22,12.12,11.75,11.03,10.97,12.38,14.53,15.88,16.72,17.88,18.81,18.75,17.91,17.44,17.34,16.78,14.47,12.41,11.12,9.38,7.69,6.66,6.81,7.81,8.0,7.94,7.97,7.81,6.97,5.09,4.62,3.38,3.03,2.03,1.31,1.72,2.19,2.16,1.25,1.0,1.28,1.38,1.19,1.88,3.78,5.75,7.16,9.31,12.25,15.34,16.91,18.75,21.5,24.28,25.62,26.0,25.94,25.34,23.28,20.81,19.84,19.59,19.53,18.34,17.06,15.84,14.41,11.69,9.78,8.94,8.5,7.62,5.59,5.62,6.47,6.41,7.0,8.16,9.84,11.5,12.5,13.75,15.28,17.09,17.16,16.66,16.66,17.03,16.38,15.78,15.62,15.91,15.34,13.47,11.53,10.41,9.56,8.91,9.62,12.34,16.12,18.88,21.38,23.12,24.53,24.09,22.97,22.03,21.94,21.75,20.97,20.28,20.56,20.66,20.16,20.28,20.75,21.25,20.06,18.19,15.97,14.06,12.19,9.91,8.81,8.78,9.41,9.69,10.53,12.59,14.62,15.47,15.66,15.62,15.75,15.06,14.47,14.75,16.03,16.38,15.75,14.97,14.53,13.75,12.25,10.94,10.38,10.28,10.06,10.0,10.97,12.91,15.25,17.28,19.66,22.44,24.25,24.41,24.03,23.88,23.5,21.81,20.12,18.72,17.78,16.09,14.66,14.5,15.53,16.19,16.88,17.62,18.34,18.0,16.19,14.72,13.97,14.09,14.06,13.94,14.69,15.19,14.78,13.69,13.5,13.97,14.06,14.12,14.41,15.28,15.81,15.06,14.41,14.88,14.69,14.16,13.25,13.19,13.38,12.78,12.0,11.5,11.81,12.0,11.69,11.75,12.78,13.75,14.16,14.59,15.62,16.78,16.88,16.22,15.28,14.38,12.47,10.0,7.59,5.72,4.0,2.0,0.88,1.56,3.06,5.12,7.88,11.56,15.59,18.81,21.03,23.16,24.81,25.62,24.97,23.88,23.19,22.16,20.75,19.75,19.69,19.72,18.66,17.06,15.53,13.94,11.5,8.31,6.16,5.09,4.5,3.94,3.97,5.34,6.62,7.66,8.75,10.94,13.31,15.47,17.38,19.69,22.38,23.94,24.06,23.31,21.94,19.28,15.22,10.97,8.31,6.53,5.25,4.53,4.69,4.78,4.25,3.25,2.34,2.22,2.19,2.0,1.75,2.84,4.22,4.94,5.91,8.25,10.94,13.88,16.97,20.94,24.97,27.94,28.78,28.84,28.62,27.19,24.66,22.56,21.19,19.75,17.53,15.0,13.47,12.09,10.75,9.84,9.69,10.03,10.16,9.41,8.56,8.28,7.97,7.0,5.97,5.94,6.19,6.41,6.56,7.34,8.25,8.72,8.19,8.28,9.12,10.22,10.34,10.66,11.22,10.84,9.88,7.56,6.19,5.28,4.41,3.84,4.81,6.84,8.84,9.84,11.34,12.69,13.94,14.12,14.53,15.62,16.38,16.53,16.03,15.91,15.66,14.47,12.5,11.22,10.0,8.62,7.25,6.44,7.03,8.53,9.38,10.44,12.56,14.81,16.44,17.62,19.22,20.12,19.75,18.09,16.09,14.31,13.12,11.22,9.78,9.53,9.84,9.41,8.88,9.12,9.97,10.31,10.88,12.19,13.44,14.38,13.69,13.09,12.75,12.28,11.12,10.72,11.03,11.62,11.38,10.09,9.09,8.25,6.12,4.31,3.5,4.22,5.0,5.34,6.66,8.25,9.88,10.41,10.84,11.91,12.62,12.53,11.34,10.66,10.0,8.91,7.47,6.78,7.06,6.88,6.22,5.81,6.28,7.22,7.41,7.69,8.78,10.59,11.41,11.88,12.78,13.81,13.75,12.81,11.53,10.44,9.88,8.34,6.91,6.12,5.34,2.94,0.16,-1.47,-1.62,-1.28,-0.16,2.03,5.22,7.81,9.16,10.34,11.59,12.5,11.81,10.97,10.19,10.25,9.56,9.03,9.28,10.16,10.47,9.59,8.69,8.19,7.66,6.38,6.34,7.44,8.94,9.44,9.28,9.03,8.59,7.66,6.38,6.12,7.19,8.03,8.44,8.69,9.47,9.81,8.5,7.06,6.38,6.88,6.78,7.0,8.34,9.81,9.62,8.12,6.41,5.41,4.12,2.72,2.44,3.16,4.06,4.19,3.84,4.19,4.41,3.72,3.03,2.88,3.84,5.03,6.53,8.5,11.38,13.53,14.56,14.19,14.22,13.34,11.03,8.09,5.94,4.44,2.0,-0.22,-1.19,-1.41,-1.47,-2.06,-1.75,-0.38,1.0,2.06,3.22,5.34,7.72,8.84,9.66,10.66,11.47,10.69,9.56,8.84,9.25,9.97,10.06,10.0,10.28,9.81,8.75,7.38,6.84,6.38,4.78,2.56,0.69,-0.94,-3.31,-6.22,-8.38,-9.28,-9.31,-9.0,-7.62,-4.38,-1.38,0.5,1.53,2.72,3.59,3.19,2.41,2.31,2.94,3.41,3.81,4.44,5.53,5.88,4.88,2.78,1.28,-0.16,-2.22,-3.94,-4.88,-4.19,-3.69,-3.22,-2.0,0.75,3.0,4.56,6.22,8.41,9.75,9.59,9.09,9.41,10.31,10.38,9.84,9.62,9.19,7.31,4.53,2.56,2.22,1.94,1.91,2.38,4.16,5.94,6.81,6.84,7.44,7.72,7.0,5.72,5.34,6.03,6.66,6.69,6.81,7.66,7.66,6.78,6.0,5.97,5.91,5.03,3.91,4.16,5.19,6.0,6.75,8.38,10.44,12.25,12.75,12.75,13.09,12.56,10.81,8.69,7.78,7.28,6.47,5.72,6.12,7.09,7.25,6.62,6.19,5.97,5.22,3.88,2.69,3.09,3.59,3.84,4.09,5.22,6.97,7.81,8.62,10.25,11.97,13.41,13.78,14.12,15.06,15.66,15.41,15.59,16.84,17.88,17.72,16.62,15.69,14.5,12.5,9.34,7.12,6.06,5.0,3.91,3.97,5.38,7.16,8.47,9.94,12.5,14.78,15.91,16.25,16.97,17.91,17.97,17.28,16.81,16.81,16.38,14.94,13.88,13.41,12.84,11.03,9.0,7.53,6.5,5.12,3.31,2.88,3.5,3.81,3.69,4.44,6.16,7.88,8.28,8.94,10.5,11.91,12.56,13.25,15.16,17.25,18.59,18.41,18.31,17.38,14.81,10.41,6.12,3.34,1.22,-0.56,-1.19,-0.16,1.5,1.56,1.72,2.38,3.0,2.97,2.38,2.06,2.03,2.5,1.34,0.53,0.5,0.34,-1.03,-1.81,-1.28,0.0,1.44,3.22,5.88,8.47,10.72,11.06,11.12,11.19,10.72,9.25,8.38,9.22,10.59,11.19,11.53,12.09,12.56,11.66,10.41,9.59,9.69,10.16,10.06,10.88,12.38,13.75,13.78,13.38,13.75,14.06,13.22,12.38,12.31,12.66,12.59,11.97,11.69,11.91,11.84,10.75,10.19,10.31,10.44,9.34,8.12,6.88,5.78,4.59,3.16,2.91,3.66,3.81,3.22,2.94,3.31,3.62,3.66,4.41,5.62,7.22,7.25,7.41,8.03,9.03,9.34,9.03,8.75,8.44,7.81,6.5,5.47,5.56,6.0,5.78,5.91,6.88,8.25,9.03,9.62,10.88,12.06,12.41,11.94,11.84,12.69,13.44,13.66,14.78,16.53,18.03,18.06,17.5,17.25,16.69,14.97,13.25,12.56,12.06,11.12,9.84,8.81,8.22,7.53,6.22,5.0,4.88,5.62,5.91,6.69,8.16,10.16,11.0,10.91,11.0,10.94,9.94,8.28,6.91,6.88,7.19,7.25,7.69,8.84,10.22,10.09,9.81,10.06,10.78,10.28,9.38,8.66,7.97,6.88,5.06,4.19,4.34,4.22,3.56,2.31,1.5,0.78,-0.53,-1.38,-0.94,0.78,2.25,3.69,5.59,7.81,9.78,10.88,11.94,13.19,14.09,13.22,11.44,9.41,7.41,4.5,1.16,-1.59,-3.47,-5.47,-7.44,-8.16,-7.47,-5.5,-3.53,-0.94,2.97,6.59,9.03,10.19,11.25,11.81,12.09,12.22,12.75,13.66,13.94,13.12,11.81,11.03,10.16,9.34,8.41,8.25,8.44,7.34,5.72,3.94,3.09,1.75,1.16,1.75,3.75,5.38,6.31,6.75,7.31,7.38,6.5,6.19,6.75,7.97,8.84,9.56,10.91,13.34,15.66,18.03,20.69,23.97,25.75,25.88,24.66,23.44,21.34,18.12,14.59,11.34,8.19,4.72,1.25,-1.16,-1.47,-0.94,0.12,1.66,4.59,7.38,9.31,10.78,12.84,14.88,15.81,16.06,16.38,16.81,16.56,15.31,13.88,12.72,10.81,7.94,4.94,3.62,2.97,2.31,2.28,3.81,5.06,5.47,4.97,4.25,3.97,3.56,3.06,2.81,3.75,4.0,3.53,2.31,1.94,1.84,1.56,1.56,2.81,4.38,6.12,7.34,8.28,9.88,11.25,12.12,12.72,14.0,15.12,14.88,13.78,13.31,12.84,11.75,10.53,10.19,10.28,9.94,8.5,6.66,4.94,3.12,0.84,-0.59,-0.47,0.41,0.69,0.44,1.0,1.16,1.44,1.81,3.62,6.84,10.53,44.25,44.56,44.81,44.59,44.38,44.22,43.75,43.47,44.0,45.06,46.41,47.72,48.62,49.12,48.78,47.88,46.12,44.62,43.12,42.06,41.59:11.03,7.97,6.69,6.03,5.12,5.06,7.09,9.84,12.62,14.53,16.5,18.34,18.88,18.19,17.69,18.0,18.5,18.53,18.75,20.09,21.56,22.25,22.16,22.22,21.84,20.16,17.34,14.88,13.78,12.75,11.84,11.91,13.16,14.28,14.12,14.03,14.47,14.91,14.66,13.84,14.09,14.88,15.38,14.81,14.81,15.44,15.22,14.38,13.88,14.12,14.25,13.16,12.12,12.16,12.38,12.72,12.25,12.69,13.44,13.84,13.06,12.22,12.12,11.75,11.03,10.97,12.38,14.53,15.88,16.72,17.88,18.81,18.75,17.91,17.44,17.34,16.78,14.47,12.41,11.12,9.38,7.69,6.66,6.81,7.81,8.0,7.94,7.97,7.81,6.97,5.09,4.62,3.38,3.03,2.03,1.31,1.72,2.19,2.16,1.25,1.0,1.28,1.38,1.19,1.88,3.78,5.75,7.16,9.31,12.25,15.34,16.91,18.75,21.5,24.28,25.62,26.0,25.94,25.34,23.28,20.81,19.84,19.59,19.53,18.34,17.06,15.84,14.41,11.69,9.78,8.94,8.5,7.62,5.59,5.62,6.47,6.41,7.0,8.16,9.84,11.5,12.5,13.75,15.28,17.09,17.16,16.66,16.66,17.03,16.38,15.78,15.62,15.91,15.34,13.47,11.53,10.41,9.56,8.91,9.62,12.34,16.12,18.88,21.38,23.12,24.53,24.09,22.97,22.03,21.94,21.75,20.97,20.28,20.56,20.66,20.16,20.28,20.75,21.25,20.06,18.19,15.97,14.06,12.19,9.91,8.81,8.78,9.41,9.69,10.53,12.59,14.62,15.47,15.66,15.62,15.75,15.06,14.47,14.75,16.03,16.38,15.75,14.97,14.53,13.75,12.25,10.94,10.38,10.28,10.06,10.0,10.97,12.91,15.25,17.28,19.66,22.44,24.25,24.41,24.03,23.88,23.5,21.81,20.12,18.72,17.78,16.09,14.66,14.5,15.53,16.19,16.88,17.62,18.34,18.0,16.19,14.72,13.97,14.09,14.06,13.94,14.69,15.19,14.78,13.69,13.5,13.97,14.06,14.12,14.41,15.28,15.81,15.06,14.41,14.88,14.69,14.16,13.25,13.19,13.38,12.78,12.0,11.5,11.81,12.0,11.69,11.75,12.78,13.75,14.16,14.59,15.62,16.78,16.88,16.22,15.28,14.38,12.47,10.0,7.59,5.72,4.0,2.0,0.88,1.56,3.06,5.12,7.88,11.56,15.59,18.81,21.03,23.16,24.81,25.62,24.97,23.88,23.19,22.16,20.75,19.75,19.69,19.72,18.66,17.06,15.53,13.94,11.5,8.31,6.16,5.09,4.5,3.94,3.97,5.34,6.62,7.66,8.75,10.94,13.31,15.47,17.38,19.69,22.38,23.94,24.06,23.31,21.94,19.28,15.22,10.97,8.31,6.53,5.25,4.53,4.69,4.78,4.25,3.25,2.34,2.22,2.19,2.0,1.75,2.84,4.22,4.94,5.91,8.25,10.94,13.88,16.97,20.94,24.97,27.94,28.78,28.84,28.62,27.19,24.66,22.56,21.19,19.75,17.53,15.0,13.47,12.09,10.75,9.84,9.69,10.03,10.16,9.41,8.56,8.28,7.97,7.0,5.97,5.94,6.19,6.41,6.56,7.34,8.25,8.72,8.19,8.28,9.12,10.22,10.34,10.66,11.22,10.84,9.88,7.56,6.19,5.28,4.41,3.84,4.81,6.84,8.84,9.84,11.34,12.69,13.94,14.12,14.53,15.62,16.38,16.53,16.03,15.91,15.66,14.47,12.5,11.22,10.0,8.62,7.25,6.44,7.03,8.53,9.38,10.44,12.56,14.81,16.44,17.62,19.22,20.12,19.75,18.09,16.09,14.31,13.12,11.22,9.78,9.53,9.84,9.41,8.88,9.12,9.97,10.31,10.88,12.19,13.44,14.38,13.69,13.09,12.75,12.28,11.12,10.72,11.03,11.62,11.38,10.09,9.09,8.25,6.12,4.31,3.5,4.22,5.0,5.34,6.66,8.25,9.88,10.41,10.84,11.91,12.62,12.53,11.34,10.66,10.0,8.91,7.47,6.78,7.06,6.88,6.22,5.81,6.28,7.22,7.41,7.69,8.78,10.59,11.41,11.88,12.78,13.81,13.75,12.81,11.53,10.44,9.88,8.34,6.91,6.12,5.34,2.94,0.16,-1.47,-1.62,-1.28,-0.16,2.03,5.22,7.81,9.16,10.34,11.59,12.5,11.81,10.97,10.19,10.25,9.56,9.03,9.28,10.16,10.47,9.59,8.69,8.19,7.66,6.38,6.34,7.44,8.94,9.44,9.28,9.03,8.59,7.66,6.38,6.12,7.19,8.03,8.44,8.69,9.47,9.81,8.5,7.06,6.38,6.88,6.78,7.0,8.34,9.81,9.62,8.12,6.41,5.41,4.12,2.72,2.44,3.16,4.06,4.19,3.84,4.19,4.41,3.72,3.03,2.88,3.84,5.03,6.53,8.5,11.38,13.53,14.56,14.19,14.22,13.34,11.03,8.09,5.94,4.44,2.0,-0.22,-1.19,-1.41,-1.47,-2.06,-1.75,-0.38,1.0,2.06,3.22,5.34,7.72,8.84,9.66,10.66,11.47,10.69,9.56,8.84,9.25,9.97,10.06,10.0,10.28,9.81,8.75,7.38,6.84,6.38,4.78,2.56,0.69,-0.94,-3.31,-6.22,-8.38,-9.28,-9.31,-9.0,-7.62,-4.38,-1.38,0.5,1.53,2.72,3.59,3.19,2.41,2.31,2.94,3.41,3.81,4.44,5.53,5.88,4.88,2.78,1.28,-0.16,-2.22,-3.94,-4.88,-4.19,-3.69,-3.22,-2.0,0.75,3.0,4.56,6.22,8.41,9.75,9.59,9.09,9.41,10.31,10.38,9.84,9.62,9.19,7.31,4.53,2.56,2.22,1.94,1.91,2.38,4.16,5.94,6.81,6.84,7.44,7.72,7.0,5.72,5.34,6.03,6.66,6.69,6.81,7.66,7.66,6.78,6.0,5.97,5.91,5.03,3.91,4.16,5.19,6.0,6.75,8.38,10.44,12.25,12.75,12.75,13.09,12.56,10.81,8.69,7.78,7.28,6.47,5.72,6.12,7.09,7.25,6.62,6.19,5.97,5.22,3.88,2.69,3.09,3.59,3.84,4.09,5.22,6.97,7.81,8.62,10.25,11.97,13.41,13.78,14.12,15.06,15.66,15.41,15.59,16.84,17.88,17.72,16.62,15.69,14.5,12.5,9.34,7.12,6.06,5.0,3.91,3.97,5.38,7.16,8.47,9.94,12.5,14.78,15.91,16.25,16.97,17.91,17.97,17.28,16.81,16.81,16.38,14.94,13.88,13.41,12.84,11.03,9.0,7.53,6.5,5.12,3.31,2.88,3.5,3.81,3.69,4.44,6.16,7.88,8.28,8.94,10.5,11.91,12.56,13.25,15.16,17.25,18.59,18.41,18.31,17.38,14.81,10.41,6.12,3.34,1.22,-0.56,-1.19,-0.16,1.5,1.56,1.72,2.38,3.0,2.97,2.38,2.06,2.03,2.5,1.34,0.53,0.5,0.34,-1.03,-1.81,-1.28,0.0,1.44,3.22,5.88,8.47,10.72,11.06,11.12,11.19,10.72,9.25,8.38,9.22,10.59,11.19,11.53,12.09,12.56,11.66,10.41,9.59,9.69,10.16,10.06,10.88,12.38,13.75,13.78,13.38,13.75,14.06,13.22,12.38,12.31,12.66,12.59,11.97,11.69,11.91,11.84,10.75,10.19,10.31,10.44,9.34,8.12,6.88,5.78,4.59,3.16,2.91,3.66,3.81,3.22,2.94,3.31,3.62,3.66,4.41,5.62,7.22,7.25,7.41,8.03,9.03,9.34,9.03,8.75,8.44,7.81,6.5,5.47,5.56,6.0,5.78,5.91,6.88,8.25,9.03,9.62,10.88,12.06,12.41,11.94,11.84,12.69,13.44,13.66,14.78,16.53,18.03,18.06,17.5,17.25,16.69,14.97,13.25,12.56,12.06,11.12,9.84,8.81,8.22,7.53,6.22,5.0,4.88,5.62,5.91,6.69,8.16,10.16,11.0,10.91,11.0,10.94,9.94,8.28,6.91,6.88,7.19,7.25,7.69,8.84,10.22,10.09,9.81,10.06,10.78,10.28,9.38,8.66,7.97,6.88,5.06,4.19,4.34,4.22,3.56,2.31,1.5,0.78,-0.53,-1.38,-0.94,0.78,2.25,3.69,5.59,7.81,9.78,10.88,11.94,13.19,14.09,13.22,11.44,9.41,7.41,4.5,1.16,-1.59,-3.47,-5.47,-7.44,-8.16,-7.47,-5.5,-3.53,-0.94,2.97,6.59,9.03,10.19,11.25,11.81,12.09,12.22,12.75,13.66,13.94,13.12,11.81,11.03,10.16,9.34,8.41,8.25,8.44,7.34,5.72,3.94,3.09,1.75,1.16,1.75,3.75,5.38,6.31,6.75,7.31,7.38,6.5,6.19,6.75,7.97,8.84,9.56,10.91,13.34,15.66,18.03,20.69,23.97,25.75,25.88,24.66,23.44,21.34,18.12,14.59,11.34,8.19,4.72,1.25,-1.16,-1.47,-0.94,0.12,1.66,4.59,7.38,9.31,10.78,12.84,14.88,15.81,16.06,16.38,16.81,16.56,15.31,13.88,12.72,10.81,7.94,4.94,3.62,2.97,2.31,2.28,3.81,5.06,5.47,4.97,4.25,3.97,3.56,3.06,2.81,3.75,4.0,3.53,2.31,1.94,1.84,1.56,1.56,2.81,4.38,6.12,7.34,8.28,9.88,11.25,12.12,12.72,14.0,15.12,14.88,13.78,13.31,12.84,11.75,10.53,10.19,10.28,9.94,8.5,6.66,4.94,3.12,0.84,-0.59,-0.47,0.41,0.69,0.44,1.0,1.16,1.44,1.81,3.62,6.84,10.53,44.25,44.56,44.81,44.59,44.38,44.22,43.75,43.47,44.0,45.06,46.41,47.72,48.62,49.12,48.78,47.88,46.12,44.62,43.12,42.06,41.59,41.69,42.78,43.88,44.44,44.47,44.03,43.25:9.84,12.62,14.53,16.5,18.34,18.88,18.19,17.69,18.0,18.5,18.53,18.75,20.09,21.56,22.25,22.16,22.22,21.84,20.16,17.34,14.88,13.78,12.75,11.84,11.91,13.16,14.28,14.12,14.03,14.47,14.91,14.66,13.84,14.09,14.88,15.38,14.81,14.81,15.44,15.22,14.38,13.88,14.12,14.25,13.16,12.12,12.16,12.38,12.72,12.25,12.69,13.44,13.84,13.06,12.22,12.12,11.75,11.03,10.97,12.38,14.53,15.88,16.72,17.88,18.81,18.75,17.91,17.44,17.34,16.78,14.47,12.41,11.12,9.38,7.69,6.66,6.81,7.81,8.0,7.94,7.97,7.81,6.97,5.09,4.62,3.38,3.03,2.03,1.31,1.72,2.19,2.16,1.25,1.0,1.28,1.38,1.19,1.88,3.78,5.75,7.16,9.31,12.25,15.34,16.91,18.75,21.5,24.28,25.62,26.0,25.94,25.34,23.28,20.81,19.84,19.59,19.53,18.34,17.06,15.84,14.41,11.69,9.78,8.94,8.5,7.62,5.59,5.62,6.47,6.41,7.0,8.16,9.84,11.5,12.5,13.75,15.28,17.09,17.16,16.66,16.66,17.03,16.38,15.78,15.62,15.91,15.34,13.47,11.53,10.41,9.56,8.91,9.62,12.34,16.12,18.88,21.38,23.12,24.53,24.09,22.97,22.03,21.94,21.75,20.97,20.28,20.56,20.66,20.16,20.28,20.75,21.25,20.06,18.19,15.97,14.06,12.19,9.91,8.81,8.78,9.41,9.69,10.53,12.59,14.62,15.47,15.66,15.62,15.75,15.06,14.47,14.75,16.03,16.38,15.75,14.97,14.53,13.75,12.25,10.94,10.38,10.28,10.06,10.0,10.97,12.91,15.25,17.28,19.66,22.44,24.25,24.41,24.03,23.88,23.5,21.81,20.12,18.72,17.78,16.09,14.66,14.5,15.53,16.19,16.88,17.62,18.34,18.0,16.19,14.72,13.97,14.09,14.06,13.94,14.69,15.19,14.78,13.69,13.5,13.97,14.06,14.12,14.41,15.28,15.81,15.06,14.41,14.88,14.69,14.16,13.25,13.19,13.38,12.78,12.0,11.5,11.81,12.0,11.69,11.75,12.78,13.75,14.16,14.59,15.62,16.78,16.88,16.22,15.28,14.38,12.47,10.0,7.59,5.72,4.0,2.0,0.88,1.56,3.06,5.12,7.88,11.56,15.59,18.81,21.03,23.16,24.81,25.62,24.97,23.88,23.19,22.16,20.75,19.75,19.69,19.72,18.66,17.06,15.53,13.94,11.5,8.31,6.16,5.09,4.5,3.94,3.97,5.34,6.62,7.66,8.75,10.94,13.31,15.47,17.38,19.69,22.38,23.94,24.06,23.31,21.94,19.28,15.22,10.97,8.31,6.53,5.25,4.53,4.69,4.78,4.25,3.25,2.34,2.22,2.19,2.0,1.75,2.84,4.22,4.94,5.91,8.25,10.94,13.88,16.97,20.94,24.97,27.94,28.78,28.84,28.62,27.19,24.66,22.56,21.19,19.75,17.53,15.0,13.47,12.09,10.75,9.84,9.69,10.03,10.16,9.41,8.56,8.28,7.97,7.0,5.97,5.94,6.19,6.41,6.56,7.34,8.25,8.72,8.19,8.28,9.12,10.22,10.34,10.66,11.22,10.84,9.88,7.56,6.19,5.28,4.41,3.84,4.81,6.84,8.84,9.84,11.34,12.69,13.94,14.12,14.53,15.62,16.38,16.53,16.03,15.91,15.66,14.47,12.5,11.22,10.0,8.62,7.25,6.44,7.03,8.53,9.38,10.44,12.56,14.81,16.44,17.62,19.22,20.12,19.75,18.09,16.09,14.31,13.12,11.22,9.78,9.53,9.84,9.41,8.88,9.12,9.97,10.31,10.88,12.19,13.44,14.38,13.69,13.09,12.75,12.28,11.12,10.72,11.03,11.62,11.38,10.09,9.09,8.25,6.12,4.31,3.5,4.22,5.0,5.34,6.66,8.25,9.88,10.41,10.84,11.91,12.62,12.53,11.34,10.66,10.0,8.91,7.47,6.78,7.06,6.88,6.22,5.81,6.28,7.22,7.41,7.69,8.78,10.59,11.41,11.88,12.78,13.81,13.75,12.81,11.53,10.44,9.88,8.34,6.91,6.12,5.34,2.94,0.16,-1.47,-1.62,-1.28,-0.16,2.03,5.22,7.81,9.16,10.34,11.59,12.5,11.81,10.97,10.19,10.25,9.56,9.03,9.28,10.16,10.47,9.59,8.69,8.19,7.66,6.38,6.34,7.44,8.94,9.44,9.28,9.03,8.59,7.66,6.38,6.12,7.19,8.03,8.44,8.69,9.47,9.81,8.5,7.06,6.38,6.88,6.78,7.0,8.34,9.81,9.62,8.12,6.41,5.41,4.12,2.72,2.44,3.16,4.06,4.19,3.84,4.19,4.41,3.72,3.03,2.88,3.84,5.03,6.53,8.5,11.38,13.53,14.56,14.19,14.22,13.34,11.03,8.09,5.94,4.44,2.0,-0.22,-1.19,-1.41,-1.47,-2.06,-1.75,-0.38,1.0,2.06,3.22,5.34,7.72,8.84,9.66,10.66,11.47,10.69,9.56,8.84,9.25,9.97,10.06,10.0,10.28,9.81,8.75,7.38,6.84,6.38,4.78,2.56,0.69,-0.94,-3.31,-6.22,-8.38,-9.28,-9.31,-9.0,-7.62,-4.38,-1.38,0.5,1.53,2.72,3.59,3.19,2.41,2.31,2.94,3.41,3.81,4.44,5.53,5.88,4.88,2.78,1.28,-0.16,-2.22,-3.94,-4.88,-4.19,-3.69,-3.22,-2.0,0.75,3.0,4.56,6.22,8.41,9.75,9.59,9.09,9.41,10.31,10.38,9.84,9.62,9.19,7.31,4.53,2.56,2.22,1.94,1.91,2.38,4.16,5.94,6.81,6.84,7.44,7.72,7.0,5.72,5.34,6.03,6.66,6.69,6.81,7.66,7.66,6.78,6.0,5.97,5.91,5.03,3.91,4.16,5.19,6.0,6.75,8.38,10.44,12.25,12.75,12.75,13.09,12.56,10.81,8.69,7.78,7.28,6.47,5.72,6.12,7.09,7.25,6.62,6.19,5.97,5.22,3.88,2.69,3.09,3.59,3.84,4.09,5.22,6.97,7.81,8.62,10.25,11.97,13.41,13.78,14.12,15.06,15.66,15.41,15.59,16.84,17.88,17.72,16.62,15.69,14.5,12.5,9.34,7.12,6.06,5.0,3.91,3.97,5.38,7.16,8.47,9.94,12.5,14.78,15.91,16.25,16.97,17.91,17.97,17.28,16.81,16.81,16.38,14.94,13.88,13.41,12.84,11.03,9.0,7.53,6.5,5.12,3.31,2.88,3.5,3.81,3.69,4.44,6.16,7.88,8.28,8.94,10.5,11.91,12.56,13.25,15.16,17.25,18.59,18.41,18.31,17.38,14.81,10.41,6.12,3.34,1.22,-0.56,-1.19,-0.16,1.5,1.56,1.72,2.38,3.0,2.97,2.38,2.06,2.03,2.5,1.34,0.53,0.5,0.34,-1.03,-1.81,-1.28,0.0,1.44,3.22,5.88,8.47,10.72,11.06,11.12,11.19,10.72,9.25,8.38,9.22,10.59,11.19,11.53,12.09,12.56,11.66,10.41,9.59,9.69,10.16,10.06,10.88,12.38,13.75,13.78,13.38,13.75,14.06,13.22,12.38,12.31,12.66,12.59,11.97,11.69,11.91,11.84,10.75,10.19,10.31,10.44,9.34,8.12,6.88,5.78,4.59,3.16,2.91,3.66,3.81,3.22,2.94,3.31,3.62,3.66,4.41,5.62,7.22,7.25,7.41,8.03,9.03,9.34,9.03,8.75,8.44,7.81,6.5,5.47,5.56,6.0,5.78,5.91,6.88,8.25,9.03,9.62,10.88,12.06,12.41,11.94,11.84,12.69,13.44,13.66,14.78,16.53,18.03,18.06,17.5,17.25,16.69,14.97,13.25,12.56,12.06,11.12,9.84,8.81,8.22,7.53,6.22,5.0,4.88,5.62,5.91,6.69,8.16,10.16,11.0,10.91,11.0,10.94,9.94,8.28,6.91,6.88,7.19,7.25,7.69,8.84,10.22,10.09,9.81,10.06,10.78,10.28,9.38,8.66,7.97,6.88,5.06,4.19,4.34,4.22,3.56,2.31,1.5,0.78,-0.53,-1.38,-0.94,0.78,2.25,3.69,5.59,7.81,9.78,10.88,11.94,13.19,14.09,13.22,11.44,9.41,7.41,4.5,1.16,-1.59,-3.47,-5.47,-7.44,-8.16,-7.47,-5.5,-3.53,-0.94,2.97,6.59,9.03,10.19,11.25,11.81,12.09,12.22,12.75,13.66,13.94,13.12,11.81,11.03,10.16,9.34,8.41,8.25,8.44,7.34,5.72,3.94,3.09,1.75,1.16,1.75,3.75,5.38,6.31,6.75,7.31,7.38,6.5,6.19,6.75,7.97,8.84,9.56,10.91,13.34,15.66,18.03,20.69,23.97,25.75,25.88,24.66,23.44,21.34,18.12,14.59,11.34,8.19,4.72,1.25,-1.16,-1.47,-0.94,0.12,1.66,4.59,7.38,9.31,10.78,12.84,14.88,15.81,16.06,16.38,16.81,16.56,15.31,13.88,12.72,10.81,7.94,4.94,3.62,2.97,2.31,2.28,3.81,5.06,5.47,4.97,4.25,3.97,3.56,3.06,2.81,3.75,4.0,3.53,2.31,1.94,1.84,1.56,1.56,2.81,4.38,6.12,7.34,8.28,9.88,11.25,12.12,12.72,14.0,15.12,14.88,13.78,13.31,12.84,11.75,10.53,10.19,10.28,9.94,8.5,6.66,4.94,3.12,0.84,-0.59,-0.47,0.41,0.69,0.44,1.0,1.16,1.44,1.81,3.62,6.84,10.53,44.25,44.56,44.81,44.59,44.38,44.22,43.75,43.47,44.0,45.06,46.41,47.72,48.62,49.12,48.78,47.88,46.12,44.62,43.12,42.06,41.59,41.69,42.78,43.88,44.44,44.47,44.03,43.25,42.09,40.69,39.62,39.12,38.88,38.94,40.16:17.69,18.0,18.5,18.53,18.75,20.09,21.56,22.25,22.16,22.22,21.84,20.16,17.34,14.88,13.78,12.75,11.84,11.91,13.16,14.28,14.12,14.03,14.47,14.91,14.66,13.84,14.09,14.88,15.38,14.81,14.81,15.44,15.22,14.38,13.88,14.12,14.25,13.16,12.12,12.16,12.38,12.72,12.25,12.69,13.44,13.84,13.06,12.22,12.12,11.75,11.03,10.97,12.38,14.53,15.88,16.72,17.88,18.81,18.75,17.91,17.44,17.34,16.78,14.47,12.41,11.12,9.38,7.69,6.66,6.81,7.81,8.0,7.94,7.97,7.81,6.97,5.09,4.62,3.38,3.03,2.03,1.31,1.72,2.19,2.16,1.25,1.0,1.28,1.38,1.19,1.88,3.78,5.75,7.16,9.31,12.25,15.34,16.91,18.75,21.5,24.28,25.62,26.0,25.94,25.34,23.28,20.81,19.84,19.59,19.53,18.34,17.06,15.84,14.41,11.69,9.78,8.94,8.5,7.62,5.59,5.62,6.47,6.41,7.0,8.16,9.84,11.5,12.5,13.75,15.28,17.09,17.16,16.66,16.66,17.03,16.38,15.78,15.62,15.91,15.34,13.47,11.53,10.41,9.56,8.91,9.62,12.34,16.12,18.88,21.38,23.12,24.53,24.09,22.97,22.03,21.94,21.75,20.97,20.28,20.56,20.66,20.16,20.28,20.75,21.25,20.06,18.19,15.97,14.06,12.19,9.91,8.81,8.78,9.41,9.69,10.53,12.59,14.62,15.47,15.66,15.62,15.75,15.06,14.47,14.75,16.03,16.38,15.75,14.97,14.53,13.75,12.25,10.94,10.38,10.28,10.06,10.0,10.97,12.91,15.25,17.28,19.66,22.44,24.25,24.41,24.03,23.88,23.5,21.81,20.12,18.72,17.78,16.09,14.66,14.5,15.53,16.19,16.88,17.62,18.34,18.0,16.19,14.72,13.97,14.09,14.06,13.94,14.69,15.19,14.78,13.69,13.5,13.97,14.06,14.12,14.41,15.28,15.81,15.06,14.41,14.88,14.69,14.16,13.25,13.19,13.38,12.78,12.0,11.5,11.81,12.0,11.69,11.75,12.78,13.75,14.16,14.59,15.62,16.78,16.88,16.22,15.28,14.38,12.47,10.0,7.59,5.72,4.0,2.0,0.88,1.56,3.06,5.12,7.88,11.56,15.59,18.81,21.03,23.16,24.81,25.62,24.97,23.88,23.19,22.16,20.75,19.75,19.69,19.72,18.66,17.06,15.53,13.94,11.5,8.31,6.16,5.09,4.5,3.94,3.97,5.34,6.62,7.66,8.75,10.94,13.31,15.47,17.38,19.69,22.38,23.94,24.06,23.31,21.94,19.28,15.22,10.97,8.31,6.53,5.25,4.53,4.69,4.78,4.25,3.25,2.34,2.22,2.19,2.0,1.75,2.84,4.22,4.94,5.91,8.25,10.94,13.88,16.97,20.94,24.97,27.94,28.78,28.84,28.62,27.19,24.66,22.56,21.19,19.75,17.53,15.0,13.47,12.09,10.75,9.84,9.69,10.03,10.16,9.41,8.56,8.28,7.97,7.0,5.97,5.94,6.19,6.41,6.56,7.34,8.25,8.72,8.19,8.28,9.12,10.22,10.34,10.66,11.22,10.84,9.88,7.56,6.19,5.28,4.41,3.84,4.81,6.84,8.84,9.84,11.34,12.69,13.94,14.12,14.53,15.62,16.38,16.53,16.03,15.91,15.66,14.47,12.5,11.22,10.0,8.62,7.25,6.44,7.03,8.53,9.38,10.44,12.56,14.81,16.44,17.62,19.22,20.12,19.75,18.09,16.09,14.31,13.12,11.22,9.78,9.53,9.84,9.41,8.88,9.12,9.97,10.31,10.88,12.19,13.44,14.38,13.69,13.09,12.75,12.28,11.12,10.72,11.03,11.62,11.38,10.09,9.09,8.25,6.12,4.31,3.5,4.22,5.0,5.34,6.66,8.25,9.88,10.41,10.84,11.91,12.62,12.53,11.34,10.66,10.0,8.91,7.47,6.78,7.06,6.88,6.22,5.81,6.28,7.22,7.41,7.69,8.78,10.59,11.41,11.88,12.78,13.81,13.75,12.81,11.53,10.44,9.88,8.34,6.91,6.12,5.34,2.94,0.16,-1.47,-1.62,-1.28,-0.16,2.03,5.22,7.81,9.16,10.34,11.59,12.5,11.81,10.97,10.19,10.25,9.56,9.03,9.28,10.16,10.47,9.59,8.69,8.19,7.66,6.38,6.34,7.44,8.94,9.44,9.28,9.03,8.59,7.66,6.38,6.12,7.19,8.03,8.44,8.69,9.47,9.81,8.5,7.06,6.38,6.88,6.78,7.0,8.34,9.81,9.62,8.12,6.41,5.41,4.12,2.72,2.44,3.16,4.06,4.19,3.84,4.19,4.41,3.72,3.03,2.88,3.84,5.03,6.53,8.5,11.38,13.53,14.56,14.19,14.22,13.34,11.03,8.09,5.94,4.44,2.0,-0.22,-1.19,-1.41,-1.47,-2.06,-1.75,-0.38,1.0,2.06,3.22,5.34,7.72,8.84,9.66,10.66,11.47,10.69,9.56,8.84,9.25,9.97,10.06,10.0,10.28,9.81,8.75,7.38,6.84,6.38,4.78,2.56,0.69,-0.94,-3.31,-6.22,-8.38,-9.28,-9.31,-9.0,-7.62,-4.38,-1.38,0.5,1.53,2.72,3.59,3.19,2.41,2.31,2.94,3.41,3.81,4.44,5.53,5.88,4.88,2.78,1.28,-0.16,-2.22,-3.94,-4.88,-4.19,-3.69,-3.22,-2.0,0.75,3.0,4.56,6.22,8.41,9.75,9.59,9.09,9.41,10.31,10.38,9.84,9.62,9.19,7.31,4.53,2.56,2.22,1.94,1.91,2.38,4.16,5.94,6.81,6.84,7.44,7.72,7.0,5.72,5.34,6.03,6.66,6.69,6.81,7.66,7.66,6.78,6.0,5.97,5.91,5.03,3.91,4.16,5.19,6.0,6.75,8.38,10.44,12.25,12.75,12.75,13.09,12.56,10.81,8.69,7.78,7.28,6.47,5.72,6.12,7.09,7.25,6.62,6.19,5.97,5.22,3.88,2.69,3.09,3.59,3.84,4.09,5.22,6.97,7.81,8.62,10.25,11.97,13.41,13.78,14.12,15.06,15.66,15.41,15.59,16.84,17.88,17.72,16.62,15.69,14.5,12.5,9.34,7.12,6.06,5.0,3.91,3.97,5.38,7.16,8.47,9.94,12.5,14.78,15.91,16.25,16.97,17.91,17.97,17.28,16.81,16.81,16.38,14.94,13.88,13.41,12.84,11.03,9.0,7.53,6.5,5.12,3.31,2.88,3.5,3.81,3.69,4.44,6.16,7.88,8.28,8.94,10.5,11.91,12.56,13.25,15.16,17.25,18.59,18.41,18.31,17.38,14.81,10.41,6.12,3.34,1.22,-0.56,-1.19,-0.16,1.5,1.56,1.72,2.38,3.0,2.97,2.38,2.06,2.03,2.5,1.34,0.53,0.5,0.34,-1.03,-1.81,-1.28,0.0,1.44,3.22,5.88,8.47,10.72,11.06,11.12,11.19,10.72,9.25,8.38,9.22,10.59,11.19,11.53,12.09,12.56,11.66,10.41,9.59,9.69,10.16,10.06,10.88,12.38,13.75,13.78,13.38,13.75,14.06,13.22,12.38,12.31,12.66,12.59,11.97,11.69,11.91,11.84,10.75,10.19,10.31,10.44,9.34,8.12,6.88,5.78,4.59,3.16,2.91,3.66,3.81,3.22,2.94,3.31,3.62,3.66,4.41,5.62,7.22,7.25,7.41,8.03,9.03,9.34,9.03,8.75,8.44,7.81,6.5,5.47,5.56,6.0,5.78,5.91,6.88,8.25,9.03,9.62,10.88,12.06,12.41,11.94,11.84,12.69,13.44,13.66,14.78,16.53,18.03,18.06,17.5,17.25,16.69,14.97,13.25,12.56,12.06,11.12,9.84,8.81,8.22,7.53,6.22,5.0,4.88,5.62,5.91,6.69,8.16,10.16,11.0,10.91,11.0,10.94,9.94,8.28,6.91,6.88,7.19,7.25,7.69,8.84,10.22,10.09,9.81,10.06,10.78,10.28,9.38,8.66,7.97,6.88,5.06,4.19,4.34,4.22,3.56,2.31,1.5,0.78,-0.53,-1.38,-0.94,0.78,2.25,3.69,5.59,7.81,9.78,10.88,11.94,13.19,14.09,13.22,11.44,9.41,7.41,4.5,1.16,-1.59,-3.47,-5.47,-7.44,-8.16,-7.47,-5.5,-3.53,-0.94,2.97,6.59,9.03,10.19,11.25,11.81,12.09,12.22,12.75,13.66,13.94,13.12,11.81,11.03,10.16,9.34,8.41,8.25,8.44,7.34,5.72,3.94,3.09,1.75,1.16,1.75,3.75,5.38,6.31,6.75,7.31,7.38,6.5,6.19,6.75,7.97,8.84,9.56,10.91,13.34,15.66,18.03,20.69,23.97,25.75,25.88,24.66,23.44,21.34,18.12,14.59,11.34,8.19,4.72,1.25,-1.16,-1.47,-0.94,0.12,1.66,4.59,7.38,9.31,10.78,12.84,14.88,15.81,16.06,16.38,16.81,16.56,15.31,13.88,12.72,10.81,7.94,4.94,3.62,2.97,2.31,2.28,3.81,5.06,5.47,4.97,4.25,3.97,3.56,3.06,2.81,3.75,4.0,3.53,2.31,1.94,1.84,1.56,1.56,2.81,4.38,6.12,7.34,8.28,9.88,11.25,12.12,12.72,14.0,15.12,14.88,13.78,13.31,12.84,11.75,10.53,10.19,10.28,9.94,8.5,6.66,4.94,3.12,0.84,-0.59,-0.47,0.41,0.69,0.44,1.0,1.16,1.44,1.81,3.62,6.84,10.53,44.25,44.56,44.81,44.59,44.38,44.22,43.75,43.47,44.0,45.06,46.41,47.72,48.62,49.12,48.78,47.88,46.12,44.62,43.12,42.06,41.59,41.69,42.78,43.88,44.44,44.47,44.03,43.25,42.09,40.69,39.62,39.12,38.88,38.94,40.16,42.12,44.44,45.97,47.16,47.69,47.56,46.78:negativity
39.75,38.28,34.91,30.25,25.41,20.66,16.44,12.41,9.97,9.91,11.22,13.03,15.66,19.28,23.88,27.56,30.69,33.81,36.56,37.53,36.53,34.5,32.03,28.88,24.38,19.75,16.19,13.41,10.25,8.25,8.12,9.5,11.5,14.0,17.0,20.22,22.19,21.97,20.44,18.25,15.53,12.16,9.41,8.59,8.91,8.88,8.44,8.59,9.5,9.81,9.97,10.91,12.12,12.75,12.22,11.28,10.78,10.38,8.53,6.5,5.81,5.56,5.19,5.56,7.06,9.66,12.03,14.28,17.12,21.12,24.78,27.44,29.19,30.84,32.0,31.06,29.38,27.88,26.31,23.59,20.56,17.72,16.0,13.44,10.19,7.16,5.09,3.47,1.88,1.53,3.03,5.75,7.97,10.16,13.19,16.19,17.84,18.53,19.69,20.94,21.81,22.0,22.59,24.25,26.25,27.59,28.81,30.84,32.62,32.75,31.88,31.16,30.53,28.5,25.78,23.09,21.5,20.19,19.41,19.34,21.78,24.94,26.94,28.72,30.88,32.97,33.09,32.12,30.66,28.91,26.12,22.84,20.91,20.66,21.25,21.88,23.19,25.78,28.62,30.28,31.59,32.72,33.91,33.69,33.09,32.69,33.28,33.19,32.41,32.16,33.03,33.84,33.69,33.34,33.03,32.56,31.0,29.09,27.97,27.94,27.12,26.16,25.81,26.12,26.28,26.34,27.0,29.78,32.81,35.19,36.72,38.38,38.78,37.47,34.72,32.22,30.34,27.56,24.75,23.25,23.09,23.38,23.5,24.16,25.75,27.28,27.56,27.81,29.03,30.34,31.16,31.06,31.41,31.72,31.22,30.31,29.44,29.0,27.53,24.47,20.53,17.44,14.69,11.78,9.75,9.66,10.91,12.09,13.25,15.12,18.16,20.0,20.94,22.06,24.06,26.16,27.69,29.84,32.84,35.84,37.22,37.31,37.25,36.62,34.47,31.41,29.19,27.97,27.12,26.56,26.16,27.09,27.38,26.31,25.12,25.0,25.66,25.88,26.44,27.94,29.25,29.81,29.22,28.78,28.41,27.62,26.25,25.0,25.03,24.97,24.88,24.53,25.19,25.84,26.28,25.69,25.75,26.28,25.88,25.03,24.91,25.44,25.94,26.38,27.0,28.56,30.25,30.72,30.53,30.5,30.28,29.03,27.25,25.38,24.16,22.78,20.81,19.47,19.25,19.09,18.47,17.78,18.59,20.09,21.25,22.12,23.91,25.53,26.09,25.69,25.81,26.62,27.12,27.16,27.88,29.34,30.19,29.59,28.56,28.53,28.28,28.53,29.06,30.88,33.25,34.59,34.66,34.84,35.0,34.59,32.72,31.0,30.0,29.25,28.12,26.78,27.12,27.84,28.31,28.16,28.41,28.59,27.78,25.44,23.06,21.88,21.06,19.94,19.88,20.88,22.22,22.28,22.19,22.78,23.78,24.5,25.03,26.25,27.88,29.03,29.0,29.47,30.75,32.12,32.75,33.88,35.78,37.62,38.16,37.69,37.34,36.0,33.66,30.09,27.34,25.62,24.38,23.31,23.28,24.53,26.19,26.94,27.97,29.38,30.75,30.53,29.53,28.59,27.5,25.97,23.69,22.06,21.28,20.41,18.28,16.97,16.5,15.91,14.38,13.56,14.0,15.66,17.47,19.25,21.81,24.19,25.81,26.16,26.28,27.12,27.94,27.84,27.94,28.47,28.59,27.38,25.47,24.31,23.44,22.31,20.84,20.22,20.69,22.06,23.44,25.59,28.81,31.22,31.62,31.25,31.0,30.69,29.72,28.78,28.72,29.22,29.5,28.94,28.84,29.31,29.62,28.81,28.34,28.91,29.09,28.25,27.19,26.94,26.56,25.69,24.88,24.53,25.25,26.22,26.16,26.75,27.72,28.56,27.78,27.5,28.03,28.44,27.78,27.0,26.44,25.75,24.31,23.03,22.62,23.16,23.78,23.84,24.12,25.25,26.19,26.03,25.84,26.12,26.53,25.38,24.16,23.81,23.22,22.0,20.22,19.34,19.53,20.06,20.72,22.12,24.28,26.72,27.19,27.22,27.81,28.09,27.62,26.78,26.81,27.91,28.72,29.03,29.72,30.31,29.84,27.59,24.75,22.47,20.72,18.5,17.25,17.16,17.53,17.5,17.06,17.03,18.06,19.25,20.22,21.88,24.0,25.84,26.28,26.72,27.44,28.31,28.28,27.84,27.66,27.56,26.38,24.97,24.66,24.91,25.03,24.66,24.31,24.41,24.09,22.91,22.0,22.0,22.75,23.38,24.38,26.28,28.75,30.0,30.31,30.0,30.0,29.41,28.56,28.09,29.09,30.19,30.5,30.44,30.5,30.66,29.56,28.16,27.16,26.88,26.03,25.47,25.16,25.78,26.53,27.09,27.88,29.97,31.91,32.31,32.28,32.06,31.97,31.16,30.59,30.72,31.69,31.91,31.25,30.75,30.56,30.66,30.44,30.56,32.03,33.19,33.12,32.62,31.97,31.53,30.78,29.34,28.69,28.88,28.78,28.88,29.88,31.56,33.0,33.28,32.53,31.81,30.53,28.25,25.78,23.78,22.62,21.88,21.38,21.75,22.22,21.81,19.97,17.41,15.09,13.19,11.47,10.38,10.47,11.5,12.22,12.62,13.69,15.22,16.56,17.62,19.31,21.72,23.84,25.25,26.28,27.66,28.88,28.56,27.5,26.34,25.19,22.78,20.41,18.78,18.59,18.44,18.53,18.28,18.72,18.62,17.75,17.12,17.81,19.28,20.12,21.09,22.09,23.12,23.69,23.44,23.91,25.0,26.78,28.19,29.34,31.44,32.41,32.03,30.66,29.84,28.88,27.22,25.84,25.16,25.75,26.75,27.59,28.66,30.09,30.62,30.44,29.91,30.56,31.22,31.19,30.38,30.09,30.06,29.91,29.41,29.75,30.34,29.97,28.16,26.25,24.94,23.69,22.28,21.06,21.0,21.0,20.5,19.41,19.44,20.09,20.47,21.03,21.75,23.41,25.22,26.62,28.41,30.94,33.12,33.81,32.94,32.41,31.31,30.0,28.53,27.78,27.59,27.22,26.25,25.81,26.22,26.44,26.34,26.25,26.47,25.88,24.28,22.5,21.53,20.94,20.94,21.41,22.75,24.91,26.75,28.12,29.09,30.34,31.12,31.34,31.16,31.5,31.47,30.53,28.75,27.97,27.09,25.81,23.81,22.59,21.97,20.59,19.47,18.88,19.47,20.62,21.5,22.69,24.88,27.03,28.34,29.44,31.25,32.94,34.53,35.66,37.34,39.06,39.81,38.97,37.28,35.62,33.59,31.0,28.59,27.09,26.41,25.0,23.56,23.41,23.59,23.91,23.91,24.31,25.12,25.75,25.75,26.0,27.38,28.91,29.91,30.69,31.44,31.94,31.69,30.12,29.06,28.06,26.94,25.5,24.91,25.78,27.25,28.53,29.91,32.09,34.38,35.69,36.94,38.91,41.09,42.66,43.19,43.72,43.88,43.0,40.78,38.5,36.72,34.81,32.03,28.94,26.75,24.84,22.28,19.94,18.44,18.03,16.84,15.03,13.75,12.91,12.06,10.81,10.47,11.25,13.28,14.88,16.0,18.22,20.09,20.88,20.94,21.69,22.41,22.62,22.06,22.22,22.84,23.06,22.56,21.78,21.75,21.78,21.47,21.06,22.22,23.47,24.25,24.41,24.78,25.94,26.69,27.25,28.22,29.88,31.25,31.16,31.06,31.19,31.88,31.78,31.38,31.31,30.97,30.22,28.31,26.94,25.91,25.25,23.97,23.25,23.53,24.31,23.97,23.22,22.19,20.81,17.78,14.22,11.34,9.81,8.88,8.19,9.28,11.84,14.47,16.88,19.59,22.84,26.19,28.28,29.56,30.62,31.44,31.28,30.28,29.88,30.22,30.28,29.84,29.56,30.41,30.66,30.28,29.66,29.22,28.69,27.12,25.41,23.91,23.06,21.19,18.75,16.53,15.28,14.91,14.88,16.69,20.44,24.59,28.0,30.56,32.97,35.16,35.69,35.91,36.91,38.34,39.41,39.78,40.22,40.44,39.97,37.97,35.69,34.34,33.5,32.22,30.94,30.75,30.91,30.19,28.75,27.75,27.25,26.38,25.62,25.88,27.59,29.19,30.0,30.97,32.25,33.28,33.38,33.31,33.91,34.81,34.88,34.72,34.75,35.22,34.91,34.09,33.62,33.66,33.16,32.03,31.03,30.38,30.03,28.38,26.5,25.06,23.88,22.47,21.19,20.5,21.06,21.41,21.44,21.94,23.81,26.16,27.47,29.03,31.19,33.25,33.84,34.09,34.72,35.25,34.94,33.38,31.84,30.94,29.97,28.78,28.47,29.59,30.81,31.25,30.84,30.88,30.94,29.62,27.97,27.22,27.31,27.12,26.47,26.0,26.38,26.41,25.97,25.34,26.22,26.84,26.16,25.12,24.34,23.69,22.31,20.91,20.62,21.53,22.38,23.16,23.69,25.0,26.19,26.38,26.56,27.81,29.5,29.72,29.72,29.53,29.22,27.69,25.31,23.19,22.22,21.03,20.09,19.62,20.78,22.19,22.91,23.44,24.19,25.41,25.12,24.34,23.97,24.19,23.47,22.47,21.91,22.38,23.09,23.53,23.34,23.62,23.16,20.78,17.75,15.88,14.84,13.28,12.19,12.38,13.09,13.38,13.72,14.75,16.94,19.03,20.06,20.28,21.09,20.78,19.25,17.59,17.28,18.25,18.94,19.97,21.81,23.69,24.0,23.06,21.41,20.0,18.66,16.88,15.47,15.69,16.09,15.84,15.38,15.84,16.06,15.5,14.38,14.22,14.66,14.94,15.44,16.69,18.53,20.72,21.75,22.16,23.38,24.47,24.44,24.34,24.91,26.12,27.22,27.34,28.03,28.91,29.12,28.81,28.56,29.69,31.12,31.75,31.81,31.94,31.31,28.88,25.56,22.44,19.88,17.34,14.53,13.12,13.06,13.16,12.97,13.16,14.53,16.16,16.97,17.62,18.53,18.75,17.5,15.47,14.25,13.84,14.06,14.44:12.41,9.97,9.91,11.22,13.03,15.66,19.28,23.88,27.56,30.69,33.81,36.56,37.53,36.53,34.5,32.03,28.88,24.38,19.75,16.19,13.41,10.25,8.25,8.12,9.5,11.5,14.0,17.0,20.22,22.19,21.97,20.44,18.25,15.53,12.16,9.41,8.59,8.91,8.88,8.44,8.59,9.5,9.81,9.97,10.91,12.12,12.75,12.22,11.28,10.78,10.38,8.53,6.5,5.81,5.56,5.19,5.56,7.06,9.66,12.03,14.28,17.12,21.12,24.78,27.44,29.19,30.84,32.0,31.06,29.38,27.88,26.31,23.59,20.56,17.72,16.0,13.44,10.19,7.16,5.09,3.47,1.88,1.53,3.03,5.75,7.97,10.16,13.19,16.19,17.84,18.53,19.69,20.94,21.81,22.0,22.59,24.25,26.25,27.59,28.81,30.84,32.62,32.75,31.88,31.16,30.53,28.5,25.78,23.09,21.5,20.19,19.41,19.34,21.78,24.94,26.94,28.72,30.88,32.97,33.09,32.12,30.66,28.91,26.12,22.84,20.91,20.66,21.25,21.88,23.19,25.78,28.62,30.28,31.59,32.72,33.91,33.69,33.09,32.69,33.28,33.19,32.41,32.16,33.03,33.84,33.69,33.34,33.03,32.56,31.0,29.09,27.97,27.94,27.12,26.16,25.81,26.12,26.28,26.34,27.0,29.78,32.81,35.19,36.72,38.38,38.78,37.47,34.72,32.22,30.34,27.56,24.75,23.25,23.09,23.38,23.5,24.16,25.75,27.28,27.56,27.81,29.03,30.34,31.16,31.06,31.41,31.72,31.22,30.31,29.44,29.0,27.53,24.47,20.53,17.44,14.69,11.78,9.75,9.66,10.91,12.09,13.25,15.12,18.16,20.0,20.94,22.06,24.06,26.16,27.69,29.84,32.84,35.84,37.22,37.31,37.25,36.62,34.47,31.41,29.19,27.97,27.12,26.56,26.16,27.09,27.38,26.31,25.12,25.0,25.66,25.88,26.44,27.94,29.25,29.81,29.22,28.78,28.41,27.62,26.25,25.0,25.03,24.97,24.88,24.53,25.19,25.84,26.28,25.69,25.75,26.28,25.88,25.03,24.91,25.44,25.94,26.38,27.0,28.56,30.25,30.72,30.53,30.5,30.28,29.03,27.25,25.38,24.16,22.78,20.81,19.47,19.25,19.09,18.47,17.78,18.59,20.09,21.25,22.12,23.91,25.53,26.09,25.69,25.81,26.62,27.12,27.16,27.88,29.34,30.19,29.59,28.56,28.53,28.28,28.53,29.06,30.88,33.25,34.59,34.66,34.84,35.0,34.59,32.72,31.0,30.0,29.25,28.12,26.78,27.12,27.84,28.31,28.16,28.41,28.59,27.78,25.44,23.06,21.88,21.06,19.94,19.88,20.88,22.22,22.28,22.19,22.78,23.78,24.5,25.03,26.25,27.88,29.03,29.0,29.47,30.75,32.12,32.75,33.88,35.78,37.62,38.16,37.69,37.34,36.0,33.66,30.09,27.34,25.62,24.38,23.31,23.28,24.53,26.19,26.94,27.97,29.38,30.75,30.53,29.53,28.59,27.5,25.97,23.69,22.06,21.28,20.41,18.28,16.97,16.5,15.91,14.38,13.56,14.0,15.66,17.47,19.25,21.81,24.19,25.81,26.16,26.28,27.12,27.94,27.84,27.94,28.47,28.59,27.38,25.47,24.31,23.44,22.31,20.84,20.22,20.69,22.06,23.44,25.59,28.81,31.22,31.62,31.25,31.0,30.69,29.72,28.78,28.72,29.22,29.5,28.94,28.84,29.31,29.62,28.81,28.34,28.91,29.09,28.25,27.19,26.94,26.56,25.69,24.88,24.53,25.25,26.22,26.16,26.75,27.72,28.56,27.78,27.5,28.03,28.44,27.78,27.0,26.44,25.75,24.31,23.03,22.62,23.16,23.78,23.84,24.12,25.25,26.19,26.03,25.84,26.12,26.53,25.38,24.16,23.81,23.22,22.0,20.22,19.34,19.53,20.06,20.72,22.12,24.28,26.72,27.19,27.22,27.81,28.09,27.62,26.78,26.81,27.91,28.72,29.03,29.72,30.31,29.84,27.59,24.75,22.47,20.72,18.5,17.25,17.16,17.53,17.5,17.06,17.03,18.06,19.25,20.22,21.88,24.0,25.84,26.28,26.72,27.44,28.31,28.28,27.84,27.66,27.56,26.38,24.97,24.66,24.91,25.03,24.66,24.31,24.41,24.09,22.91,22.0,22.0,22.75,23.38,24.38,26.28,28.75,30.0,30.31,30.0,30.0,29.41,28.56,28.09,29.09,30.19,30.5,30.44,30.5,30.66,29.56,28.16,27.16,26.88,26.03,25.47,25.16,25.78,26.53,27.09,27.88,29.97,31.91,32.31,32.28,32.06,31.97,31.16,30.59,30.72,31.69,31.91,31.25,30.75,30.56,30.66,30.44,30.56,32.03,33.19,33.12,32.62,31.97,31.53,30.78,29.34,28.69,28.88,28.78,28.88,29.88,31.56,33.0,33.28,32.53,31.81,30.53,28.25,25.78,23.78,22.62,21.88,21.38,21.75,22.22,21.81,19.97,17.41,15.09,13.19,11.47,10.38,10.47,11.5,12.22,12.62,13.69,15.22,16.56,17.62,19.31,21.72,23.84,25.25,26.28,27.66,28.88,28.56,27.5,26.34,25.19,22.78,20.41,18.78,18.59,18.44,18.53,18.28,18.72,18.62,17.75,17.12,17.81,19.28,20.12,21.09,22.09,23.12,23.69,23.44,23.91,25.0,26.78,28.19,29.34,31.44,32.41,32.03,30.66,29.84,28.88,27.22,25.84,25.16,25.75,26.75,27.59,28.66,30.09,30.62,30.44,29.91,30.56,31.22,31.19,30.38,30.09,30.06,29.91,29.41,29.75,30.34,29.97,28.16,26.25,24.94,23.69,22.28,21.06,21.0,21.0,20.5,19.41,19.44,20.09,20.47,21.03,21.75,23.41,25.22,26.62,28.41,30.94,33.12,33.81,32.94,32.41,31.31,30.0,28.53,27.78,27.59,27.22,26.25,25.81,26.22,26.44,26.34,26.25,26.47,25.88,24.28,22.5,21.53,20.94,20.94,21.41,22.75,24.91,26.75,28.12,29.09,30.34,31.12,31.34,31.16,31.5,31.47,30.53,28.75,27.97,27.09,25.81,23.81,22.59,21.97,20.59,19.47,18.88,19.47,20.62,21.5,22.69,24.88,27.03,28.34,29.44,31.25,32.94,34.53,35.66,37.34,39.06,39.81,38.97,37.28,35.62,33.59,31.0,28.59,27.09,26.41,25.0,23.56,23.41,23.59,23.91,23.91,24.31,25.12,25.75,25.75,26.0,27.38,28.91,29.91,30.69,31.44,31.94,31.69,30.12,29.06,28.06,26.94,25.5,24.91,25.78,27.25,28.53,29.91,32.09,34.38,35.69,36.94,38.91,41.09,42.66,43.19,43.72,43.88,43.0,40.78,38.5,36.72,34.81,32.03,28.94,26.75,24.84,22.28,19.94,18.44,18.03,16.84,15.03,13.75,12.91,12.06,10.81,10.47,11.25,13.28,14.88,16.0,18.22,20.09,20.88,20.94,21.69,22.41,22.62,22.06,22.22,22.84,23.06,22.56,21.78,21.75,21.78,21.47,21.06,22.22,23.47,24.25,24.41,24.78,25.94,26.69,27.25,28.22,29.88,31.25,31.16,31.06,31.19,31.88,31.78,31.38,31.31,30.97,30.22,28.31,26.94,25.91,25.25,23.97,23.25,23.53,24.31,23.97,23.22,22.19,20.81,17.78,14.22,11.34,9.81,8.88,8.19,9.28,11.84,14.47,16.88,19.59,22.84,26.19,28.28,29.56,30.62,31.44,31.28,30.28,29.88,30.22,30.28,29.84,29.56,30.41,30.66,30.28,29.66,29.22,28.69,27.12,25.41,23.91,23.06,21.19,18.75,16.53,15.28,14.91,14.88,16.69,20.44,24.59,28.0,30.56,32.97,35.16,35.69,35.91,36.91,38.34,39.41,39.78,40.22,40.44,39.97,37.97,35.69,34.34,33.5,32.22,30.94,30.75,30.91,30.19,28.75,27.75,27.25,26.38,25.62,25.88,27.59,29.19,30.0,30.97,32.25,33.28,33.38,33.31,33.91,34.81,34.88,34.72,34.75,35.22,34.91,34.09,33.62,33.66,33.16,32.03,31.03,30.38,30.03,28.38,26.5,25.06,23.88,22.47,21.19,20.5,21.06,21.41,21.44,21.94,23.81,26.16,27.47,29.03,31.19,33.25,33.84,34.09,34.72,35.25,34.94,33.38,31.84,30.94,29.97,28.78,28.47,29.59,30.81,31.25,30.84,30.88,30.94,29.62,27.97,27.22,27.31,27.12,26.47,26.0,26.38,26.41,25.97,25.34,26.22,26.84,26.16,25.12,24.34,23.69,22.31,20.91,20.62,21.53,22.38,23.16,23.69,25.0,26.19,26.38,26.56,27.81,29.5,29.72,29.72,29.53,29.22,27.69,25.31,23.19,22.22,21.03,20.09,19.62,20.78,22.19,22.91,23.44,24.19,25.41,25.12,24.34,23.97,24.19,23.47,22.47,21.91,22.38,23.09,23.53,23.34,23.62,23.16,20.78,17.75,15.88,14.84,13.28,12.19,12.38,13.09,13.38,13.72,14.75,16.94,19.03,20.06,20.28,21.09,20.78,19.25,17.59,17.28,18.25,18.94,19.97,21.81,23.69,24.0,23.06,21.41,20.0,18.66,16.88,15.47,15.69,16.09,15.84,15.38,15.84,16.06,15.5,14.38,14.22,14.66,14.94,15.44,16.69,18.53,20.72,21.75,22.16,23.38,24.47,24.44,24.34,24.91,26.12,27.22,27.34,28.03,28.91,29.12,28.81,28.56,29.69,31.12,31.75,31.81,31.94,31.31,28.88,25.56,22.44,19.88,17.34,14.53,13.12,13.06,13.16,12.97,13.16,14.53,16.16,16.97,17.62,18.53,18.75,17.5,15.47,14.25,13.84,14.06,14.44,69.06,66.31,62.03,56.88,51.41,46.28,41.91:23.88,27.56,30.69,33.81,36.56,37.53,36.53,34.5,32.03,28.88,24.38,19.75,16.19,13.41,10.25,8.25,8.12,9.5,11.5,14.0,17.0,20.22,22.19,21.97,20.44,18.25,15.53,12.16,9.41,8.59,8.91,8.88,8.44,8.59,9.5,9.81,9.97,10.91,12.12,12.75,12.22,11.28,10.78,10.38,8.53,6.5,5.81,5.56,5.19,5.56,7.06,9.66,12.03,14.28,17.12,21.12,24.78,27.44,29.19,30.84,32.0,31.06,29.38,27.88,26.31,23.59,20.56,17.72,16.0,13.44,10.19,7.16,5.09,3.47,1.88,1.53,3.03,5.75,7.97,10.16,13.19,16.19,17.84,18.53,19.69,20.94,21.81,22.0,22.59,24.25,26.25,27.59,28.81,30.84,32.62,32.75,31.88,31.16,30.53,28.5,25.78,23.09,21.5,20.19,19.41,19.34,21.78,24.94,26.94,28.72,30.88,32.97,33.09,32.12,30.66,28.91,26.12,22.84,20.91,20.66,21.25,21.88,23.19,25.78,28.62,30.28,31.59,32.72,33.91,33.69,33.09,32.69,33.28,33.19,32.41,32.16,33.03,33.84,33.69,33.34,33.03,32.56,31.0,29.09,27.97,27.94,27.12,26.16,25.81,26.12,26.28,26.34,27.0,29.78,32.81,35.19,36.72,38.38,38.78,37.47,34.72,32.22,30.34,27.56,24.75,23.25,23.09,23.38,23.5,24.16,25.75,27.28,27.56,27.81,29.03,30.34,31.16,31.06,31.41,31.72,31.22,30.31,29.44,29.0,27.53,24.47,20.53,17.44,14.69,11.78,9.75,9.66,10.91,12.09,13.25,15.12,18.16,20.0,20.94,22.06,24.06,26.16,27.69,29.84,32.84,35.84,37.22,37.31,37.25,36.62,34.47,31.41,29.19,27.97,27.12,26.56,26.16,27.09,27.38,26.31,25.12,25.0,25.66,25.88,26.44,27.94,29.25,29.81,29.22,28.78,28.41,27.62,26.25,25.0,25.03,24.97,24.88,24.53,25.19,25.84,26.28,25.69,25.75,26.28,25.88,25.03,24.91,25.44,25.94,26.38,27.0,28.56,30.25,30.72,30.53,30.5,30.28,29.03,27.25,25.38,24.16,22.78,20.81,19.47,19.25,19.09,18.47,17.78,18.59,20.09,21.25,22.12,23.91,25.53,26.09,25.69,25.81,26.62,27.12,27.16,27.88,29.34,30.19,29.59,28.56,28.53,28.28,28.53,29.06,30.88,33.25,34.59,34.66,34.84,35.0,34.59,32.72,31.0,30.0,29.25,28.12,26.78,27.12,27.84,28.31,28.16,28.41,28.59,27.78,25.44,23.06,21.88,21.06,19.94,19.88,20.88,22.22,22.28,22.19,22.78,23.78,24.5,25.03,26.25,27.88,29.03,29.0,29.47,30.75,32.12,32.75,33.88,35.78,37.62,38.16,37.69,37.34,36.0,33.66,30.09,27.34,25.62,24.38,23.31,23.28,24.53,26.19,26.94,27.97,29.38,30.75,30.53,29.53,28.59,27.5,25.97,23.69,22.06,21.28,20.41,18.28,16.97,16.5,15.91,14.38,13.56,14.0,15.66,17.47,19.25,21.81,24.19,25.81,26.16,26.28,27.12,27.94,27.84,27.94,28.47,28.59,27.38,25.47,24.31,23.44,22.31,20.84,20.22,20.69,22.06,23.44,25.59,28.81,31.22,31.62,31.25,31.0,30.69,29.72,28.78,28.72,29.22,29.5,28.94,28.84,29.31,29.62,28.81,28.34,28.91,29.09,28.25,27.19,26.94,26.56,25.69,24.88,24.53,25.25,26.22,26.16,26.75,27.72,28.56,27.78,27.5,28.03,28.44,27.78,27.0,26.44,25.75,24.31,23.03,22.62,23.16,23.78,23.84,24.12,25.25,26.19,26.03,25.84,26.12,26.53,25.38,24.16,23.81,23.22,22.0,20.22,19.34,19.53,20.06,20.72,22.12,24.28,26.72,27.19,27.22,27.81,28.09,27.62,26.78,26.81,27.91,28.72,29.03,29.72,30.31,29.84,27.59,24.75,22.47,20.72,18.5,17.25,17.16,17.53,17.5,17.06,17.03,18.06,19.25,20.22,21.88,24.0,25.84,26.28,26.72,27.44,28.31,28.28,27.84,27.66,27.56,26.38,24.97,24.66,24.91,25.03,24.66,24.31,24.41,24.09,22.91,22.0,22.0,22.75,23.38,24.38,26.28,28.75,30.0,30.31,30.0,30.0,29.41,28.56,28.09,29.09,30.19,30.5,30.44,30.5,30.66,29.56,28.16,27.16,26.88,26.03,25.47,25.16,25.78,26.53,27.09,27.88,29.97,31.91,32.31,32.28,32.06,31.97,31.16,30.59,30.72,31.69,31.91,31.25,30.75,30.56,30.66,30.44,30.56,32.03,33.19,33.12,32.62,31.97,31.53,30.78,29.34,28.69,28.88,28.78,28.88,29.88,31.56,33.0,33.28,32.53,31.81,30.53,28.25,25.78,23.78,22.62,21.88,21.38,21.75,22.22,21.81,19.97,17.41,15.09,13.19,11.47,10.38,10.47,11.5,12.22,12.62,13.69,15.22,16.56,17.62,19.31,21.72,23.84,25.25,26.28,27.66,28.88,28.56,27.5,26.34,25.19,22.78,20.41,18.78,18.59,18.44,18.53,18.28,18.72,18.62,17.75,17.12,17.81,19.28,20.12,21.09,22.09,23.12,23.69,23.44,23.91,25.0,26.78,28.19,29.34,31.44,32.41,32.03,30.66,29.84,28.88,27.22,25.84,25.16,25.75,26.75,27.59,28.66,30.09,30.62,30.44,29.91,30.56,31.22,31.19,30.38,30.09,30.06,29.91,29.41,29.75,30.34,29.97,28.16,26.25,24.94,23.69,22.28,21.06,21.0,21.0,20.5,19.41,19.44,20.09,20.47,21.03,21.75,23.41,25.22,26.62,28.41,30.94,33.12,33.81,32.94,32.41,31.31,30.0,28.53,27.78,27.59,27.22,26.25,25.81,26.22,26.44,26.34,26.25,26.47,25.88,24.28,22.5,21.53,20.94,20.94,21.41,22.75,24.91,26.75,28.12,29.09,30.34,31.12,31.34,31.16,31.5,31.47,30.53,28.75,27.97,27.09,25.81,23.81,22.59,21.97,20.59,19.47,18.88,19.47,20.62,21.5,22.69,24.88,27.03,28.34,29.44,31.25,32.94,34.53,35.66,37.34,39.06,39.81,38.97,37.28,35.62,33.59,31.0,28.59,27.09,26.41,25.0,23.56,23.41,23.59,23.91,23.91,24.31,25.12,25.75,25.75,26.0,27.38,28.91,29.91,30.69,31.44,31.94,31.69,30.12,29.06,28.06,26.94,25.5,24.91,25.78,27.25,28.53,29.91,32.09,34.38,35.69,36.94,38.91,41.09,42.66,43.19,43.72,43.88,43.0,40.78,38.5,36.72,34.81,32.03,28.94,26.75,24.84,22.28,19.94,18.44,18.03,16.84,15.03,13.75,12.91,12.06,10.81,10.47,11.25,13.28,14.88,16.0,18.22,20.09,20.88,20.94,21.69,22.41,22.62,22.06,22.22,22.84,23.06,22.56,21.78,21.75,21.78,21.47,21.06,22.22,23.47,24.25,24.41,24.78,25.94,26.69,27.25,28.22,29.88,31.25,31.16,31.06,31.19,31.88,31.78,31.38,31.31,30.97,30.22,28.31,26.94,25.91,25.25,23.97,23.25,23.53,24.31,23.97,23.22,22.19,20.81,17.78,14.22,11.34,9.81,8.88,8.19,9.28,11.84,14.47,16.88,19.59,22.84,26.19,28.28,29.56,30.62,31.44,31.28,30.28,29.88,30.22,30.28,29.84,29.56,30.41,30.66,30.28,29.66,29.22,28.69,27.12,25.41,23.91,23.06,21.19,18.75,16.53,15.28,14.91,14.88,16.69,20.44,24.59,28.0,30.56,32.97,35.16,35.69,35.91,36.91,38.34,39.41,39.78,40.22,40.44,39.97,37.97,35.69,34.34,33.5,32.22,30.94,30.75,30.91,30.19,28.75,27.75,27.25,26.38,25.62,25.88,27.59,29.19,30.0,30.97,32.25,33.28,33.38,33.31,33.91,34.81,34.88,34.72,34.75,35.22,34.91,34.09,33.62,33.66,33.16,32.03,31.03,30.38,30.03,28.38,26.5,25.06,23.88,22.47,21.19,20.5,21.06,21.41,21.44,21.94,23.81,26.16,27.47,29.03,31.19,33.25,33.84,34.09,34.72,35.25,34.94,33.38,31.84,30.94,29.97,28.78,28.47,29.59,30.81,31.25,30.84,30.88,30.94,29.62,27.97,27.22,27.31,27.12,26.47,26.0,26.38,26.41,25.97,25.34,26.22,26.84,26.16,25.12,24.34,23.69,22.31,20.91,20.62,21.53,22.38,23.16,23.69,25.0,26.19,26.38,26.56,27.81,29.5,29.72,29.72,29.53,29.22,27.69,25.31,23.19,22.22,21.03,20.09,19.62,20.78,22.19,22.91,23.44,24.19,25.41,25.12,24.34,23.97,24.19,23.47,22.47,21.91,22.38,23.09,23.53,23.34,23.62,23.16,20.78,17.75,15.88,14.84,13.28,12.19,12.38,13.09,13.38,13.72,14.75,16.94,19.03,20.06,20.28,21.09,20.78,19.25,17.59,17.28,18.25,18.94,19.97,21.81,23.69,24.0,23.06,21.41,20.0,18.66,16.88,15.47,15.69,16.09,15.84,15.38,15.84,16.06,15.5,14.38,14.22,14.66,14.94,15.44,16.69,18.53,20.72,21.75,22.16,23.38,24.47,24.44,24.34,24.91,26.12,27.22,27.34,28.03,28.91,29.12,28.81,28.56,29.69,31.12,31.75,31.81,31.94,31.31,28.88,25.56,22.44,19.88,17.34,14.53,13.12,13.06,13.16,12.97,13.16,14.53,16.16,16.97,17.62,18.53,18.75,17.5,15.47,14.25,13.84,14.06,14.44,69.06,66.31,62.03,56.88,51.41,46.28,41.91,38.59,36.56,35.66,35.62,36.75,38.09,39.91:34.5,32.03,28.88,24.38,19.75,16.19,13.41,10.25,8.25,8.12,9.5,11.5,14.0,17.0,20.22,22.19,21.97,20.44,18.25,15.53,12.16,9.41,8.59,8.91,8.88,8.44,8.59,9.5,9.81,9.97,10.91,12.12,12.75,12.22,11.28,10.78,10.38,8.53,6.5,5.81,5.56,5.19,5.56,7.06,9.66,12.03,14.28,17.12,21.12,24.78,27.44,29.19,30.84,32.0,31.06,29.38,27.88,26.31,23.59,20.56,17.72,16.0,13.44,10.19,7.16,5.09,3.47,1.88,1.53,3.03,5.75,7.97,10.16,13.19,16.19,17.84,18.53,19.69,20.94,21.81,22.0,22.59,24.25,26.25,27.59,28.81,30.84,32.62,32.75,31.88,31.16,30.53,28.5,25.78,23.09,21.5,20.19,19.41,19.34,21.78,24.94,26.94,28.72,30.88,32.97,33.09,32.12,30.66,28.91,26.12,22.84,20.91,20.66,21.25,21.88,23.19,25.78,28.62,30.28,31.59,32.72,33.91,33.69,33.09,32.69,33.28,33.19,32.41,32.16,33.03,33.84,33.69,33.34,33.03,32.56,31.0,29.09,27.97,27.94,27.12,26.16,25.81,26.12,26.28,26.34,27.0,29.78,32.81,35.19,36.72,38.38,38.78,37.47,34.72,32.22,30.34,27.56,24.75,23.25,23.09,23.38,23.5,24.16,25.75,27.28,27.56,27.81,29.03,30.34,31.16,31.06,31.41,31.72,31.22,30.31,29.44,29.0,27.53,24.47,20.53,17.44,14.69,11.78,9.75,9.66,10.91,12.09,13.25,15.12,18.16,20.0,20.94,22.06,24.06,26.16,27.69,29.84,32.84,35.84,37.22,37.31,37.25,36.62,34.47,31.41,29.19,27.97,27.12,26.56,26.16,27.09,27.38,26.31,25.12,25.0,25.66,25.88,26.44,27.94,29.25,29.81,29.22,28.78,28.41,27.62,26.25,25.0,25.03,24.97,24.88,24.53,25.19,25.84,26.28,25.69,25.75,26.28,25.88,25.03,24.91,25.44,25.94,26.38,27.0,28.56,30.25,30.72,30.53,30.5,30.28,29.03,27.25,25.38,24.16,22.78,20.81,19.47,19.25,19.09,18.47,17.78,18.59,20.09,21.25,22.12,23.91,25.53,26.09,25.69,25.81,26.62,27.12,27.16,27.88,29.34,30.19,29.59,28.56,28.53,28.28,28.53,29.06,30.88,33.25,34.59,34.66,34.84,35.0,34.59,32.72,31.0,30.0,29.25,28.12,26.78,27.12,27.84,28.31,28.16,28.41,28.59,27.78,25.44,23.06,21.88,21.06,19.94,19.88,20.88,22.22,22.28,22.19,22.78,23.78,24.5,25.03,26.25,27.88,29.03,29.0,29.47,30.75,32.12,32.75,33.88,35.78,37.62,38.16,37.69,37.34,36.0,33.66,30.09,27.34,25.62,24.38,23.31,23.28,24.53,26.19,26.94,27.97,29.38,30.75,30.53,29.53,28.59,27.5,25.97,23.69,22.06,21.28,20.41,18.28,16.97,16.5,15.91,14.38,13.56,14.0,15.66,17.47,19.25,21.81,24.19,25.81,26.16,26.28,27.12,27.94,27.84,27.94,28.47,28.59,27.38,25.47,24.31,23.44,22.31,20.84,20.22,20.69,22.06,23.44,25.59,28.81,31.22,31.62,31.25,31.0,30.69,29.72,28.78,28.72,29.22,29.5,28.94,28.84,29.31,29.62,28.81,28.34,28.91,29.09,28.25,27.19,26.94,26.56,25.69,24.88,24.53,25.25,26.22,26.16,26.75,27.72,28.56,27.78,27.5,28.03,28.44,27.78,27.0,26.44,25.75,24.31,23.03,22.62,23.16,23.78,23.84,24.12,25.25,26.19,26.03,25.84,26.12,26.53,25.38,24.16,23.81,23.22,22.0,20.22,19.34,19.53,20.06,20.72,22.12,24.28,26.72,27.19,27.22,27.81,28.09,27.62,26.78,26.81,27.91,28.72,29.03,29.72,30.31,29.84,27.59,24.75,22.47,20.72,18.5,17.25,17.16,17.53,17.5,17.06,17.03,18.06,19.25,20.22,21.88,24.0,25.84,26.28,26.72,27.44,28.31,28.28,27.84,27.66,27.56,26.38,24.97,24.66,24.91,25.03,24.66,24.31,24.41,24.09,22.91,22.0,22.0,22.75,23.38,24.38,26.28,28.75,30.0,30.31,30.0,30.0,29.41,28.56,28.09,29.09,30.19,30.5,30.44,30.5,30.66,29.56,28.16,27.16,26.88,26.03,25.47,25.16,25.78,26.53,27.09,27.88,29.97,31.91,32.31,32.28,32.06,31.97,31.16,30.59,30.72,31.69,31.91,31.25,30.75,30.56,30.66,30.44,30.56,32.03,33.19,33.12,32.62,31.97,31.53,30.78,29.34,28.69,28.88,28.78,28.88,29.88,31.56,33.0,33.28,32.53,31.81,30.53,28.25,25.78,23.78,22.62,21.88,21.38,21.75,22.22,21.81,19.97,17.41,15.09,13.19,11.47,10.38,10.47,11.5,12.22,12.62,13.69,15.22,16.56,17.62,19.31,21.72,23.84,25.25,26.28,27.66,28.88,28.56,27.5,26.34,25.19,22.78,20.41,18.78,18.59,18.44,18.53,18.28,18.72,18.62,17.75,17.12,17.81,19.28,20.12,21.09,22.09,23.12,23.69,23.44,23.91,25.0,26.78,28.19,29.34,31.44,32.41,32.03,30.66,29.84,28.88,27.22,25.84,25.16,25.75,26.75,27.59,28.66,30.09,30.62,30.44,29.91,30.56,31.22,31.19,30.38,30.09,30.06,29.91,29.41,29.75,30.34,29.97,28.16,26.25,24.94,23.69,22.28,21.06,21.0,21.0,20.5,19.41,19.44,20.09,20.47,21.03,21.75,23.41,25.22,26.62,28.41,30.94,33.12,33.81,32.94,32.41,31.31,30.0,28.53,27.78,27.59,27.22,26.25,25.81,26.22,26.44,26.34,26.25,26.47,25.88,24.28,22.5,21.53,20.94,20.94,21.41,22.75,24.91,26.75,28.12,29.09,30.34,31.12,31.34,31.16,31.5,31.47,30.53,28.75,27.97,27.09,25.81,23.81,22.59,21.97,20.59,19.47,18.88,19.47,20.62,21.5,22.69,24.88,27.03,28.34,29.44,31.25,32.94,34.53,35.66,37.34,39.06,39.81,38.97,37.28,35.62,33.59,31.0,28.59,27.09,26.41,25.0,23.56,23.41,23.59,23.91,23.91,24.31,25.12,25.75,25.75,26.0,27.38,28.91,29.91,30.69,31.44,31.94,31.69,30.12,29.06,28.06,26.94,25.5,24.91,25.78,27.25,28.53,29.91,32.09,34.38,35.69,36.94,38.91,41.09,42.66,43.19,43.72,43.88,43.0,40.78,38.5,36.72,34.81,32.03,28.94,26.75,24.84,22.28,19.94,18.44,18.03,16.84,15.03,13.75,12.91,12.06,10.81,10.47,11.25,13.28,14.88,16.0,18.22,20.09,20.88,20.94,21.69,22.41,22.62,22.06,22.22,22.84,23.06,22.56,21.78,21.75,21.78,21.47,21.06,22.22,23.47,24.25,24.41,24.78,25.94,26.69,27.25,28.22,29.88,31.25,31.16,31.06,31.19,31.88,31.78,31.38,31.31,30.97,30.22,28.31,26.94,25.91,25.25,23.97,23.25,23.53,24.31,23.97,23.22,22.19,20.81,17.78,14.22,11.34,9.81,8.88,8.19,9.28,11.84,14.47,16.88,19.59,22.84,26.19,28.28,29.56,30.62,31.44,31.28,30.28,29.88,30.22,30.28,29.84,29.56,30.41,30.66,30.28,29.66,29.22,28.69,27.12,25.41,23.91,23.06,21.19,18.75,16.53,15.28,14.91,14.88,16.69,20.44,24.59,28.0,30.56,32.97,35.16,35.69,35.91,36.91,38.34,39.41,39.78,40.22,40.44,39.97,37.97,35.69,34.34,33.5,32.22,30.94,30.75,30.91,30.19,28.75,27.75,27.25,26.38,25.62,25.88,27.59,29.19,30.0,30.97,32.25,33.28,33.38,33.31,33.91,34.81,34.88,34.72,34.75,35.22,34.91,34.09,33.62,33.66,33.16,32.03,31.03,30.38,30.03,28.38,26.5,25.06,23.88,22.47,21.19,20.5,21.06,21.41,21.44,21.94,23.81,26.16,27.47,29.03,31.19,33.25,33.84,34.09,34.72,35.25,34.94,33.38,31.84,30.94,29.97,28.78,28.47,29.59,30.81,31.25,30.84,30.88,30.94,29.62,27.97,27.22,27.31,27.12,26.47,26.0,26.38,26.41,25.97,25.34,26.22,26.84,26.16,25.12,24.34,23.69,22.31,20.91,20.62,21.53,22.38,23.16,23.69,25.0,26.19,26.38,26.56,27.81,29.5,29.72,29.72,29.53,29.22,27.69,25.31,23.19,22.22,21.03,20.09,19.62,20.78,22.19,22.91,23.44,24.19,25.41,25.12,24.34,23.97,24.19,23.47,22.47,21.91,22.38,23.09,23.53,23.34,23.62,23.16,20.78,17.75,15.88,14.84,13.28,12.19,12.38,13.09,13.38,13.72,14.75,16.94,19.03,20.06,20.28,21.09,20.78,19.25,17.59,17.28,18.25,18.94,19.97,21.81,23.69,24.0,23.06,21.41,20.0,18.66,16.88,15.47,15.69,16.09,15.84,15.38,15.84,16.06,15.5,14.38,14.22,14.66,14.94,15.44,16.69,18.53,20.72,21.75,22.16,23.38,24.47,24.44,24.34,24.91,26.12,27.22,27.34,28.03,28.91,29.12,28.81,28.56,29.69,31.12,31.75,31.81,31.94,31.31,28.88,25.56,22.44,19.88,17.34,14.53,13.12,13.06,13.16,12.97,13.16,14.53,16.16,16.97,17.62,18.53,18.75,17.5,15.47,14.25,13.84,14.06,14.44,69.06,66.31,62.03,56.88,51.41,46.28,41.91,38.59,36.56,35.66,35.62,36.75,38.09,39.91,42.47,45.19,47.69,50.22,52.66,54.94,56.81:10.25,8.25,8.12,9.5,11.5,14.0,17.0,20.22,22.19,21.97,20.44,18.25,15.53,12.16,9.41,8.59,8.91,8.88,8.44,8.59,9.5,9.81,9.97,10.91,12.12,12.75,12.22,11.28,10.78,10.38,8.53,6.5,5.81,5.56,5.19,5.56,7.06,9.66,12.03,14.28,17.12,21.12,24.78,27.44,29.19,30.84,32.0,31.06,29.38,27.88,26.31,23.59,20.56,17.72,16.0,13.44,10.19,7.16,5.09,3.47,1.88,1.53,3.03,5.75,7.97,10.16,13.19,16.19,17.84,18.53,19.69,20.94,21.81,22.0,22.59,24.25,26.25,27.59,28.81,30.84,32.62,32.75,31.88,31.16,30.53,28.5,25.78,23.09,21.5,20.19,19.41,19.34,21.78,24.94,26.94,28.72,30.88,32.97,33.09,32.12,30.66,28.91,26.12,22.84,20.91,20.66,21.25,21.88,23.19,25.78,28.62,30.28,31.59,32.72,33.91,33.69,33.09,32.69,33.28,33.19,32.41,32.16,33.03,33.84,33.69,33.34,33.03,32.56,31.0,29.09,27.97,27.94,27.12,26.16,25.81,26.12,26.28,26.34,27.0,29.78,32.81,35.19,36.72,38.38,38.78,37.47,34.72,32.22,30.34,27.56,24.75,23.25,23.09,23.38,23.5,24.16,25.75,27.28,27.56,27.81,29.03,30.34,31.16,31.06,31.41,31.72,31.22,30.31,29.44,29.0,27.53,24.47,20.53,17.44,14.69,11.78,9.75,9.66,10.91,12.09,13.25,15.12,18.16,20.0,20.94,22.06,24.06,26.16,27.69,29.84,32.84,35.84,37.22,37.31,37.25,36.62,34.47,31.41,29.19,27.97,27.12,26.56,26.16,27.09,27.38,26.31,25.12,25.0,25.66,25.88,26.44,27.94,29.25,29.81,29.22,28.78,28.41,27.62,26.25,25.0,25.03,24.97,24.88,24.53,25.19,25.84,26.28,25.69,25.75,26.28,25.88,25.03,24.91,25.44,25.94,26.38,27.0,28.56,30.25,30.72,30.53,30.5,30.28,29.03,27.25,25.38,24.16,22.78,20.81,19.47,19.25,19.09,18.47,17.78,18.59,20.09,21.25,22.12,23.91,25.53,26.09,25.69,25.81,26.62,27.12,27.16,27.88,29.34,30.19,29.59,28.56,28.53,28.28,28.53,29.06,30.88,33.25,34.59,34.66,34.84,35.0,34.59,32.72,31.0,30.0,29.25,28.12,26.78,27.12,27.84,28.31,28.16,28.41,28.59,27.78,25.44,23.06,21.88,21.06,19.94,19.88,20.88,22.22,22.28,22.19,22.78,23.78,24.5,25.03,26.25,27.88,29.03,29.0,29.47,30.75,32.12,32.75,33.88,35.78,37.62,38.16,37.69,37.34,36.0,33.66,30.09,27.34,25.62,24.38,23.31,23.28,24.53,26.19,26.94,27.97,29.38,30.75,30.53,29.53,28.59,27.5,25.97,23.69,22.06,21.28,20.41,18.28,16.97,16.5,15.91,14.38,13.56,14.0,15.66,17.47,19.25,21.81,24.19,25.81,26.16,26.28,27.12,27.94,27.84,27.94,28.47,28.59,27.38,25.47,24.31,23.44,22.31,20.84,20.22,20.69,22.06,23.44,25.59,28.81,31.22,31.62,31.25,31.0,30.69,29.72,28.78,28.72,29.22,29.5,28.94,28.84,29.31,29.62,28.81,28.34,28.91,29.09,28.25,27.19,26.94,26.56,25.69,24.88,24.53,25.25,26.22,26.16,26.75,27.72,28.56,27.78,27.5,28.03,28.44,27.78,27.0,26.44,25.75,24.31,23.03,22.62,23.16,23.78,23.84,24.12,25.25,26.19,26.03,25.84,26.12,26.53,25.38,24.16,23.81,23.22,22.0,20.22,19.34,19.53,20.06,20.72,22.12,24.28,26.72,27.19,27.22,27.81,28.09,27.62,26.78,26.81,27.91,28.72,29.03,29.72,30.31,29.84,27.59,24.75,22.47,20.72,18.5,17.25,17.16,17.53,17.5,17.06,17.03,18.06,19.25,20.22,21.88,24.0,25.84,26.28,26.72,27.44,28.31,28.28,27.84,27.66,27.56,26.38,24.97,24.66,24.91,25.03,24.66,24.31,24.41,24.09,22.91,22.0,22.0,22.75,23.38,24.38,26.28,28.75,30.0,30.31,30.0,30.0,29.41,28.56,28.09,29.09,30.19,30.5,30.44,30.5,30.66,29.56,28.16,27.16,26.88,26.03,25.47,25.16,25.78,26.53,27.09,27.88,29.97,31.91,32.31,32.28,32.06,31.97,31.16,30.59,30.72,31.69,31.91,31.25,30.75,30.56,30.66,30.44,30.56,32.03,33.19,33.12,32.62,31.97,31.53,30.78,29.34,28.69,28.88,28.78,28.88,29.88,31.56,33.0,33.28,32.53,31.81,30.53,28.25,25.78,23.78,22.62,21.88,21.38,21.75,22.22,21.81,19.97,17.41,15.09,13.19,11.47,10.38,10.47,11.5,12.22,12.62,13.69,15.22,16.56,17.62,19.31,21.72,23.84,25.25,26.28,27.66,28.88,28.56,27.5,26.34,25.19,22.78,20.41,18.78,18.59,18.44,18.53,18.28,18.72,18.62,17.75,17.12,17.81,19.28,20.12,21.09,22.09,23.12,23.69,23.44,23.91,25.0,26.78,28.19,29.34,31.44,32.41,32.03,30.66,29.84,28.88,27.22,25.84,25.16,25.75,26.75,27.59,28.66,30.09,30.62,30.44,29.91,30.56,31.22,31.19,30.38,30.09,30.06,29.91,29.41,29.75,30.34,29.97,28.16,26.25,24.94,23.69,22.28,21.06,21.0,21.0,20.5,19.41,19.44,20.09,20.47,21.03,21.75,23.41,25.22,26.62,28.41,30.94,33.12,33.81,32.94,32.41,31.31,30.0,28.53,27.78,27.59,27.22,26.25,25.81,26.22,26.44,26.34,26.25,26.47,25.88,24.28,22.5,21.53,20.94,20.94,21.41,22.75,24.91,26.75,28.12,29.09,30.34,31.12,31.34,31.16,31.5,31.47,30.53,28.75,27.97,27.09,25.81,23.81,22.59,21.97,20.59,19.47,18.88,19.47,20.62,21.5,22.69,24.88,27.03,28.34,29.44,31.25,32.94,34.53,35.66,37.34,39.06,39.81,38.97,37.28,35.62,33.59,31.0,28.59,27.09,26.41,25.0,23.56,23.41,23.59,23.91,23.91,24.31,25.12,25.75,25.75,26.0,27.38,28.91,29.91,30.69,31.44,31.94,31.69,30.12,29.06,28.06,26.94,25.5,24.91,25.78,27.25,28.53,29.91,32.09,34.38,35.69,36.94,38.91,41.09,42.66,43.19,43.72,43.88,43.0,40.78,38.5,36.72,34.81,32.03,28.94,26.75,24.84,22.28,19.94,18.44,18.03,16.84,15.03,13.75,12.91,12.06,10.81,10.47,11.25,13.28,14.88,16.0,18.22,20.09,20.88,20.94,21.69,22.41,22.62,22.06,22.22,22.84,23.06,22.56,21.78,21.75,21.78,21.47,21.06,22.22,23.47,24.25,24.41,24.78,25.94,26.69,27.25,28.22,29.88,31.25,31.16,31.06,31.19,31.88,31.78,31.38,31.31,30.97,30.22,28.31,26.94,25.91,25.25,23.97,23.25,23.53,24.31,23.97,23.22,22.19,20.81,17.78,14.22,11.34,9.81,8.88,8.19,9.28,11.84,14.47,16.88,19.59,22.84,26.19,28.28,29.56,30.62,31.44,31.28,30.28,29.88,30.22,30.28,29.84,29.56,30.41,30.66,30.28,29.66,29.22,28.69,27.12,25.41,23.91,23.06,21.19,18.75,16.53,15.28,14.91,14.88,16.69,20.44,24.59,28.0,30.56,32.97,35.16,35.69,35.91,36.91,38.34,39.41,39.78,40.22,40.44,39.97,37.97,35.69,34.34,33.5,32.22,30.94,30.75,30.91,30.19,28.75,27.75,27.25,26.38,25.62,25.88,27.59,29.19,30.0,30.97,32.25,33.28,33.38,33.31,33.91,34.81,34.88,34.72,34.75,35.22,34.91,34.09,33.62,33.66,33.16,32.03,31.03,30.38,30.03,28.38,26.5,25.06,23.88,22.47,21.19,20.5,21.06,21.41,21.44,21.94,23.81,26.16,27.47,29.03,31.19,33.25,33.84,34.09,34.72,35.25,34.94,33.38,31.84,30.94,29.97,28.78,28.47,29.59,30.81,31.25,30.84,30.88,30.94,29.62,27.97,27.22,27.31,27.12,26.47,26.0,26.38,26.41,25.97,25.34,26.22,26.84,26.16,25.12,24.34,23.69,22.31,20.91,20.62,21.53,22.38,23.16,23.69,25.0,26.19,26.38,26.56,27.81,29.5,29.72,29.72,29.53,29.22,27.69,25.31,23.19,22.22,21.03,20.09,19.62,20.78,22.19,22.91,23.44,24.19,25.41,25.12,24.34,23.97,24.19,23.47,22.47,21.91,22.38,23.09,23.53,23.34,23.62,23.16,20.78,17.75,15.88,14.84,13.28,12.19,12.38,13.09,13.38,13.72,14.75,16.94,19.03,20.06,20.28,21.09,20.78,19.25,17.59,17.28,18.25,18.94,19.97,21.81,23.69,24.0,23.06,21.41,20.0,18.66,16.88,15.47,15.69,16.09,15.84,15.38,15.84,16.06,15.5,14.38,14.22,14.66,14.94,15.44,16.69,18.53,20.72,21.75,22.16,23.38,24.47,24.44,24.34,24.91,26.12,27.22,27.34,28.03,28.91,29.12,28.81,28.56,29.69,31.12,31.75,31.81,31.94,31.31,28.88,25.56,22.44,19.88,17.34,14.53,13.12,13.06,13.16,12.97,13.16,14.53,16.16,16.97,17.62,18.53,18.75,17.5,15.47,14.25,13.84,14.06,14.44,69.06,66.31,62.03,56.88,51.41,46.28,41.91,38.59,36.56,35.66,35.62,36.75,38.09,39.91,42.47,45.19,47.69,50.22,52.66,54.94,56.81,58.12,58.56,58.38,57.06,54.5,51.53,48.91:20.22,22.19,21.97,20.44,18.25,15.53,12.16,9.41,8.59,8.91,8.88,8.44,8.59,9.5,9.81,9.97,10.91,12.12,12.75,12.22,11.28,10.78,10.38,8.53,6.5,5.81,5.56,5.19,5.56,7.06,9.66,12.03,14.28,17.12,21.12,24.78,27.44,29.19,30.84,32.0,31.06,29.38,27.88,26.31,23.59,20.56,17.72,16.0,13.44,10.19,7.16,5.09,3.47,1.88,1.53,3.03,5.75,7.97,10.16,13.19,16.19,17.84,18.53,19.69,20.94,21.81,22.0,22.59,24.25,26.25,27.59,28.81,30.84,32.62,32.75,31.88,31.16,30.53,28.5,25.78,23.09,21.5,20.19,19.41,19.34,21.78,24.94,26.94,28.72,30.88,32.97,33.09,32.12,30.66,28.91,26.12,22.84,20.91,20.66,21.25,21.88,23.19,25.78,28.62,30.28,31.59,32.72,33.91,33.69,33.09,32.69,33.28,33.19,32.41,32.16,33.03,33.84,33.69,33.34,33.03,32.56,31.0,29.09,27.97,27.94,27.12,26.16,25.81,26.12,26.28,26.34,27.0,29.78,32.81,35.19,36.72,38.38,38.78,37.47,34.72,32.22,30.34,27.56,24.75,23.25,23.09,23.38,23.5,24.16,25.75,27.28,27.56,27.81,29.03,30.34,31.16,31.06,31.41,31.72,31.22,30.31,29.44,29.0,27.53,24.47,20.53,17.44,14.69,11.78,9.75,9.66,10.91,12.09,13.25,15.12,18.16,20.0,20.94,22.06,24.06,26.16,27.69,29.84,32.84,35.84,37.22,37.31,37.25,36.62,34.47,31.41,29.19,27.97,27.12,26.56,26.16,27.09,27.38,26.31,25.12,25.0,25.66,25.88,26.44,27.94,29.25,29.81,29.22,28.78,28.41,27.62,26.25,25.0,25.03,24.97,24.88,24.53,25.19,25.84,26.28,25.69,25.75,26.28,25.88,25.03,24.91,25.44,25.94,26.38,27.0,28.56,30.25,30.72,30.53,30.5,30.28,29.03,27.25,25.38,24.16,22.78,20.81,19.47,19.25,19.09,18.47,17.78,18.59,20.09,21.25,22.12,23.91,25.53,26.09,25.69,25.81,26.62,27.12,27.16,27.88,29.34,30.19,29.59,28.56,28.53,28.28,28.53,29.06,30.88,33.25,34.59,34.66,34.84,35.0,34.59,32.72,31.0,30.0,29.25,28.12,26.78,27.12,27.84,28.31,28.16,28.41,28.59,27.78,25.44,23.06,21.88,21.06,19.94,19.88,20.88,22.22,22.28,22.19,22.78,23.78,24.5,25.03,26.25,27.88,29.03,29.0,29.47,30.75,32.12,32.75,33.88,35.78,37.62,38.16,37.69,37.34,36.0,33.66,30.09,27.34,25.62,24.38,23.31,23.28,24.53,26.19,26.94,27.97,29.38,30.75,30.53,29.53,28.59,27.5,25.97,23.69,22.06,21.28,20.41,18.28,16.97,16.5,15.91,14.38,13.56,14.0,15.66,17.47,19.25,21.81,24.19,25.81,26.16,26.28,27.12,27.94,27.84,27.94,28.47,28.59,27.38,25.47,24.31,23.44,22.31,20.84,20.22,20.69,22.06,23.44,25.59,28.81,31.22,31.62,31.25,31.0,30.69,29.72,28.78,28.72,29.22,29.5,28.94,28.84,29.31,29.62,28.81,28.34,28.91,29.09,28.25,27.19,26.94,26.56,25.69,24.88,24.53,25.25,26.22,26.16,26.75,27.72,28.56,27.78,27.5,28.03,28.44,27.78,27.0,26.44,25.75,24.31,23.03,22.62,23.16,23.78,23.84,24.12,25.25,26.19,26.03,25.84,26.12,26.53,25.38,24.16,23.81,23.22,22.0,20.22,19.34,19.53,20.06,20.72,22.12,24.28,26.72,27.19,27.22,27.81,28.09,27.62,26.78,26.81,27.91,28.72,29.03,29.72,30.31,29.84,27.59,24.75,22.47,20.72,18.5,17.25,17.16,17.53,17.5,17.06,17.03,18.06,19.25,20.22,21.88,24.0,25.84,26.28,26.72,27.44,28.31,28.28,27.84,27.66,27.56,26.38,24.97,24.66,24.91,25.03,24.66,24.31,24.41,24.09,22.91,22.0,22.0,22.75,23.38,24.38,26.28,28.75,30.0,30.31,30.0,30.0,29.41,28.56,28.09,29.09,30.19,30.5,30.44,30.5,30.66,29.56,28.16,27.16,26.88,26.03,25.47,25.16,25.78,26.53,27.09,27.88,29.97,31.91,32.31,32.28,32.06,31.97,31.16,30.59,30.72,31.69,31.91,31.25,30.75,30.56,30.66,30.44,30.56,32.03,33.19,33.12,32.62,31.97,31.53,30.78,29.34,28.69,28.88,28.78,28.88,29.88,31.56,33.0,33.28,32.53,31.81,30.53,28.25,25.78,23.78,22.62,21.88,21.38,21.75,22.22,21.81,19.97,17.41,15.09,13.19,11.47,10.38,10.47,11.5,12.22,12.62,13.69,15.22,16.56,17.62,19.31,21.72,23.84,25.25,26.28,27.66,28.88,28.56,27.5,26.34,25.19,22.78,20.41,18.78,18.59,18.44,18.53,18.28,18.72,18.62,17.75,17.12,17.81,19.28,20.12,21.09,22.09,23.12,23.69,23.44,23.91,25.0,26.78,28.19,29.34,31.44,32.41,32.03,30.66,29.84,28.88,27.22,25.84,25.16,25.75,26.75,27.59,28.66,30.09,30.62,30.44,29.91,30.56,31.22,31.19,30.38,30.09,30.06,29.91,29.41,29.75,30.34,29.97,28.16,26.25,24.94,23.69,22.28,21.06,21.0,21.0,20.5,19.41,19.44,20.09,20.47,21.03,21.75,23.41,25.22,26.62,28.41,30.94,33.12,33.81,32.94,32.41,31.31,30.0,28.53,27.78,27.59,27.22,26.25,25.81,26.22,26.44,26.34,26.25,26.47,25.88,24.28,22.5,21.53,20.94,20.94,21.41,22.75,24.91,26.75,28.12,29.09,30.34,31.12,31.34,31.16,31.5,31.47,30.53,28.75,27.97,27.09,25.81,23.81,22.59,21.97,20.59,19.47,18.88,19.47,20.62,21.5,22.69,24.88,27.03,28.34,29.44,31.25,32.94,34.53,35.66,37.34,39.06,39.81,38.97,37.28,35.62,33.59,31.0,28.59,27.09,26.41,25.0,23.56,23.41,23.59,23.91,23.91,24.31,25.12,25.75,25.75,26.0,27.38,28.91,29.91,30.69,31.44,31.94,31.69,30.12,29.06,28.06,26.94,25.5,24.91,25.78,27.25,28.53,29.91,32.09,34.38,35.69,36.94,38.91,41.09,42.66,43.19,43.72,43.88,43.0,40.78,38.5,36.72,34.81,32.03,28.94,26.75,24.84,22.28,19.94,18.44,18.03,16.84,15.03,13.75,12.91,12.06,10.81,10.47,11.25,13.28,14.88,16.0,18.22,20.09,20.88,20.94,21.69,22.41,22.62,22.06,22.22,22.84,23.06,22.56,21.78,21.75,21.78,21.47,21.06,22.22,23.47,24.25,24.41,24.78,25.94,26.69,27.25,28.22,29.88,31.25,31.16,31.06,31.19,31.88,31.78,31.38,31.31,30.97,30.22,28.31,26.94,25.91,25.25,23.97,23.25,23.53,24.31,23.97,23.22,22.19,20.81,17.78,14.22,11.34,9.81,8.88,8.19,9.28,11.84,14.47,16.88,19.59,22.84,26.19,28.28,29.56,30.62,31.44,31.28,30.28,29.88,30.22,30.28,29.84,29.56,30.41,30.66,30.28,29.66,29.22,28.69,27.12,25.41,23.91,23.06,21.19,18.75,16.53,15.28,14.91,14.88,16.69,20.44,24.59,28.0,30.56,32.97,35.16,35.69,35.91,36.91,38.34,39.41,39.78,40.22,40.44,39.97,37.97,35.69,34.34,33.5,32.22,30.94,30.75,30.91,30.19,28.75,27.75,27.25,26.38,25.62,25.88,27.59,29.19,30.0,30.97,32.25,33.28,33.38,33.31,33.91,34.81,34.88,34.72,34.75,35.22,34.91,34.09,33.62,33.66,33.16,32.03,31.03,30.38,30.03,28.38,26.5,25.06,23.88,22.47,21.19,20.5,21.06,21.41,21.44,21.94,23.81,26.16,27.47,29.03,31.19,33.25,33.84,34.09,34.72,35.25,34.94,33.38,31.84,30.94,29.97,28.78,28.47,29.59,30.81,31.25,30.84,30.88,30.94,29.62,27.97,27.22,27.31,27.12,26.47,26.0,26.38,26.41,25.97,25.34,26.22,26.84,26.16,25.12,24.34,23.69,22.31,20.91,20.62,21.53,22.38,23.16,23.69,25.0,26.19,26.38,26.56,27.81,29.5,29.72,29.72,29.53,29.22,27.69,25.31,23.19,22.22,21.03,20.09,19.62,20.78,22.19,22.91,23.44,24.19,25.41,25.12,24.34,23.97,24.19,23.47,22.47,21.91,22.38,23.09,23.53,23.34,23.62,23.16,20.78,17.75,15.88,14.84,13.28,12.19,12.38,13.09,13.38,13.72,14.75,16.94,19.03,20.06,20.28,21.09,20.78,19.25,17.59,17.28,18.25,18.94,19.97,21.81,23.69,24.0,23.06,21.41,20.0,18.66,16.88,15.47,15.69,16.09,15.84,15.38,15.84,16.06,15.5,14.38,14.22,14.66,14.94,15.44,16.69,18.53,20.72,21.75,22.16,23.38,24.47,24.44,24.34,24.91,26.12,27.22,27.34,28.03,28.91,29.12,28.81,28.56,29.69,31.12,31.75,31.81,31.94,31.31,28.88,25.56,22.44,19.88,17.34,14.53,13.12,13.06,13.16,12.97,13.16,14.53,16.16,16.97,17.62,18.53,18.75,17.5,15.47,14.25,13.84,14.06,14.44,69.06,66.31,62.03,56.88,51.41,46.28,41.91,38.59,36.56,35.66,35.62,36.75,38.09,39.91,42.47,45.19,47.69,50.22,52.66,54.94,56.81,58.12,58.56,58.38,57.06,54.5,51.53,48.91,46.44,44.84,43.78,44.28,45.81,48.12,50.38:9.41,8.59,8.91,8.88,8.44,8.59,9.5,9.81,9.97,10.91,12.12,12.75,12.22,11.28,10.78,10.38,8.53,6.5,5.81,5.56,5.19,5.56,7.06,9.66,12.03,14.28,17.12,21.12,24.78,27.44,29.19,30.84,32.0,31.06,29.38,27.88,26.31,23.59,20.56,17.72,16.0,13.44,10.19,7.16,5.09,3.47,1.88,1.53,3.03,5.75,7.97,10.16,13.19,16.19,17.84,18.53,19.69,20.94,21.81,22.0,22.59,24.25,26.25,27.59,28.81,30.84,32.62,32.75,31.88,31.16,30.53,28.5,25.78,23.09,21.5,20.19,19.41,19.34,21.78,24.94,26.94,28.72,30.88,32.97,33.09,32.12,30.66,28.91,26.12,22.84,20.91,20.66,21.25,21.88,23.19,25.78,28.62,30.28,31.59,32.72,33.91,33.69,33.09,32.69,33.28,33.19,32.41,32.16,33.03,33.84,33.69,33.34,33.03,32.56,31.0,29.09,27.97,27.94,27.12,26.16,25.81,26.12,26.28,26.34,27.0,29.78,32.81,35.19,36.72,38.38,38.78,37.47,34.72,32.22,30.34,27.56,24.75,23.25,23.09,23.38,23.5,24.16,25.75,27.28,27.56,27.81,29.03,30.34,31.16,31.06,31.41,31.72,31.22,30.31,29.44,29.0,27.53,24.47,20.53,17.44,14.69,11.78,9.75,9.66,10.91,12.09,13.25,15.12,18.16,20.0,20.94,22.06,24.06,26.16,27.69,29.84,32.84,35.84,37.22,37.31,37.25,36.62,34.47,31.41,29.19,27.97,27.12,26.56,26.16,27.09,27.38,26.31,25.12,25.0,25.66,25.88,26.44,27.94,29.25,29.81,29.22,28.78,28.41,27.62,26.25,25.0,25.03,24.97,24.88,24.53,25.19,25.84,26.28,25.69,25.75,26.28,25.88,25.03,24.91,25.44,25.94,26.38,27.0,28.56,30.25,30.72,30.53,30.5,30.28,29.03,27.25,25.38,24.16,22.78,20.81,19.47,19.25,19.09,18.47,17.78,18.59,20.09,21.25,22.12,23.91,25.53,26.09,25.69,25.81,26.62,27.12,27.16,27.88,29.34,30.19,29.59,28.56,28.53,28.28,28.53,29.06,30.88,33.25,34.59,34.66,34.84,35.0,34.59,32.72,31.0,30.0,29.25,28.12,26.78,27.12,27.84,28.31,28.16,28.41,28.59,27.78,25.44,23.06,21.88,21.06,19.94,19.88,20.88,22.22,22.28,22.19,22.78,23.78,24.5,25.03,26.25,27.88,29.03,29.0,29.47,30.75,32.12,32.75,33.88,35.78,37.62,38.16,37.69,37.34,36.0,33.66,30.09,27.34,25.62,24.38,23.31,23.28,24.53,26.19,26.94,27.97,29.38,30.75,30.53,29.53,28.59,27.5,25.97,23.69,22.06,21.28,20.41,18.28,16.97,16.5,15.91,14.38,13.56,14.0,15.66,17.47,19.25,21.81,24.19,25.81,26.16,26.28,27.12,27.94,27.84,27.94,28.47,28.59,27.38,25.47,24.31,23.44,22.31,20.84,20.22,20.69,22.06,23.44,25.59,28.81,31.22,31.62,31.25,31.0,30.69,29.72,28.78,28.72,29.22,29.5,28.94,28.84,29.31,29.62,28.81,28.34,28.91,29.09,28.25,27.19,26.94,26.56,25.69,24.88,24.53,25.25,26.22,26.16,26.75,27.72,28.56,27.78,27.5,28.03,28.44,27.78,27.0,26.44,25.75,24.31,23.03,22.62,23.16,23.78,23.84,24.12,25.25,26.19,26.03,25.84,26.12,26.53,25.38,24.16,23.81,23.22,22.0,20.22,19.34,19.53,20.06,20.72,22.12,24.28,26.72,27.19,27.22,27.81,28.09,27.62,26.78,26.81,27.91,28.72,29.03,29.72,30.31,29.84,27.59,24.75,22.47,20.72,18.5,17.25,17.16,17.53,17.5,17.06,17.03,18.06,19.25,20.22,21.88,24.0,25.84,26.28,26.72,27.44,28.31,28.28,27.84,27.66,27.56,26.38,24.97,24.66,24.91,25.03,24.66,24.31,24.41,24.09,22.91,22.0,22.0,22.75,23.38,24.38,26.28,28.75,30.0,30.31,30.0,30.0,29.41,28.56,28.09,29.09,30.19,30.5,30.44,30.5,30.66,29.56,28.16,27.16,26.88,26.03,25.47,25.16,25.78,26.53,27.09,27.88,29.97,31.91,32.31,32.28,32.06,31.97,31.16,30.59,30.72,31.69,31.91,31.25,30.75,30.56,30.66,30.44,30.56,32.03,33.19,33.12,32.62,31.97,31.53,30.78,29.34,28.69,28.88,28.78,28.88,29.88,31.56,33.0,33.28,32.53,31.81,30.53,28.25,25.78,23.78,22.62,21.88,21.38,21.75,22.22,21.81,19.97,17.41,15.09,13.19,11.47,10.38,10.47,11.5,12.22,12.62,13.69,15.22,16.56,17.62,19.31,21.72,23.84,25.25,26.28,27.66,28.88,28.56,27.5,26.34,25.19,22.78,20.41,18.78,18.59,18.44,18.53,18.28,18.72,18.62,17.75,17.12,17.81,19.28,20.12,21.09,22.09,23.12,23.69,23.44,23.91,25.0,26.78,28.19,29.34,31.44,32.41,32.03,30.66,29.84,28.88,27.22,25.84,25.16,25.75,26.75,27.59,28.66,30.09,30.62,30.44,29.91,30.56,31.22,31.19,30.38,30.09,30.06,29.91,29.41,29.75,30.34,29.97,28.16,26.25,24.94,23.69,22.28,21.06,21.0,21.0,20.5,19.41,19.44,20.09,20.47,21.03,21.75,23.41,25.22,26.62,28.41,30.94,33.12,33.81,32.94,32.41,31.31,30.0,28.53,27.78,27.59,27.22,26.25,25.81,26.22,26.44,26.34,26.25,26.47,25.88,24.28,22.5,21.53,20.94,20.94,21.41,22.75,24.91,26.75,28.12,29.09,30.34,31.12,31.34,31.16,31.5,31.47,30.53,28.75,27.97,27.09,25.81,23.81,22.59,21.97,20.59,19.47,18.88,19.47,20.62,21.5,22.69,24.88,27.03,28.34,29.44,31.25,32.94,34.53,35.66,37.34,39.06,39.81,38.97,37.28,35.62,33.59,31.0,28.59,27.09,26.41,25.0,23.56,23.41,23.59,23.91,23.91,24.31,25.12,25.75,25.75,26.0,27.38,28.91,29.91,30.69,31.44,31.94,31.69,30.12,29.06,28.06,26.94,25.5,24.91,25.78,27.25,28.53,29.91,32.09,34.38,35.69,36.94,38.91,41.09,42.66,43.19,43.72,43.88,43.0,40.78,38.5,36.72,34.81,32.03,28.94,26.75,24.84,22.28,19.94,18.44,18.03,16.84,15.03,13.75,12.91,12.06,10.81,10.47,11.25,13.28,14.88,16.0,18.22,20.09,20.88,20.94,21.69,22.41,22.62,22.06,22.22,22.84,23.06,22.56,21.78,21.75,21.78,21.47,21.06,22.22,23.47,24.25,24.41,24.78,25.94,26.69,27.25,28.22,29.88,31.25,31.16,31.06,31.19,31.88,31.78,31.38,31.31,30.97,30.22,28.31,26.94,25.91,25.25,23.97,23.25,23.53,24.31,23.97,23.22,22.19,20.81,17.78,14.22,11.34,9.81,8.88,8.19,9.28,11.84,14.47,16.88,19.59,22.84,26.19,28.28,29.56,30.62,31.44,31.28,30.28,29.88,30.22,30.28,29.84,29.56,30.41,30.66,30.28,29.66,29.22,28.69,27.12,25.41,23.91,23.06,21.19,18.75,16.53,15.28,14.91,14.88,16.69,20.44,24.59,28.0,30.56,32.97,35.16,35.69,35.91,36.91,38.34,39.41,39.78,40.22,40.44,39.97,37.97,35.69,34.34,33.5,32.22,30.94,30.75,30.91,30.19,28.75,27.75,27.25,26.38,25.62,25.88,27.59,29.19,30.0,30.97,32.25,33.28,33.38,33.31,33.91,34.81,34.88,34.72,34.75,35.22,34.91,34.09,33.62,33.66,33.16,32.03,31.03,30.38,30.03,28.38,26.5,25.06,23.88,22.47,21.19,20.5,21.06,21.41,21.44,21.94,23.81,26.16,27.47,29.03,31.19,33.25,33.84,34.09,34.72,35.25,34.94,33.38,31.84,30.94,29.97,28.78,28.47,29.59,30.81,31.25,30.84,30.88,30.94,29.62,27.97,27.22,27.31,27.12,26.47,26.0,26.38,26.41,25.97,25.34,26.22,26.84,26.16,25.12,24.34,23.69,22.31,20.91,20.62,21.53,22.38,23.16,23.69,25.0,26.19,26.38,26.56,27.81,29.5,29.72,29.72,29.53,29.22,27.69,25.31,23.19,22.22,21.03,20.09,19.62,20.78,22.19,22.91,23.44,24.19,25.41,25.12,24.34,23.97,24.19,23.47,22.47,21.91,22.38,23.09,23.53,23.34,23.62,23.16,20.78,17.75,15.88,14.84,13.28,12.19,12.38,13.09,13.38,13.72,14.75,16.94,19.03,20.06,20.28,21.09,20.78,19.25,17.59,17.28,18.25,18.94,19.97,21.81,23.69,24.0,23.06,21.41,20.0,18.66,16.88,15.47,15.69,16.09,15.84,15.38,15.84,16.06,15.5,14.38,14.22,14.66,14.94,15.44,16.69,18.53,20.72,21.75,22.16,23.38,24.47,24.44,24.34,24.91,26.12,27.22,27.34,28.03,28.91,29.12,28.81,28.56,29.69,31.12,31.75,31.81,31.94,31.31,28.88,25.56,22.44,19.88,17.34,14.53,13.12,13.06,13.16,12.97,13.16,14.53,16.16,16.97,17.62,18.53,18.75,17.5,15.47,14.25,13.84,14.06,14.44,69.06,66.31,62.03,56.88,51.41,46.28,41.91,38.59,36.56,35.66,35.62,36.75,38.09,39.91,42.47,45.19,47.69,50.22,52.66,54.94,56.81,58.12,58.56,58.38,57.06,54.5,51.53,48.91,46.44,44.84,43.78,44.28,45.81,48.12,50.38,52.59,54.19,54.69,53.88,51.91,49.56,47.28:negativity
35.25,35.59,37.41,38.94,38.0,36.97,37.75,39.38,38.62,37.38,36.81,37.25,35.41,31.53,29.16,27.84,26.06,22.38,19.53,19.62,20.44,19.91,19.12,20.47,22.59,22.69,22.03,23.34,26.25,27.94,27.75,28.5,30.97,32.75,32.47,31.41,32.19,32.5,30.56,28.09,27.53,28.88,29.03,28.88,30.12,33.5,35.81,35.69,36.06,37.81,39.06,37.72,36.34,37.25,38.72,38.69,37.78,38.16,39.25,38.19,35.09,33.09,33.38,33.16,31.66,30.94,32.84,34.44,33.91,32.91,33.12,34.34,34.38,33.84,35.41,38.81,40.38,40.12,39.69,41.03,41.88,41.28,42.03,45.56,49.41,51.16,50.97,51.25,51.12,48.91,44.84,42.53,42.19,41.66,39.69,38.16,38.84,39.25,37.41,35.41,35.31,36.03,35.19,33.41,33.22,33.75,33.19,30.81,29.28,29.69,29.62,27.59,26.09,27.03,27.88,27.16,26.09,27.47,29.47,30.28,30.06,31.41,33.94,35.56,35.47,35.94,37.97,38.91,38.19,36.97,38.12,39.25,38.91,37.75,38.12,39.28,38.84,37.22,36.91,38.25,39.03,38.41,37.53,38.69,39.19,37.12,34.47,34.31,35.38,34.84,34.06,35.44,38.03,39.47,39.44,40.03,41.81,42.88,41.44,40.12,40.91,41.56,39.91,37.69,37.19,37.41,36.78,35.25,35.59,37.81,38.75,37.5,37.16,38.53,39.62,38.97,38.72,40.41,42.56,42.25,40.5,40.38,40.81,39.59,37.75,37.41,39.22,40.38,39.38,38.94,39.91,39.84,37.78,35.12,34.81,35.41,34.28,32.62,33.0,34.28,34.59,33.16,33.12,34.72,36.0,35.31,35.22,37.16,38.72,37.91,36.62,37.66,39.69,40.31,39.41,40.34,42.22,42.69,40.97,40.34,41.47,41.56,39.5,37.62,37.56,37.88,35.84,33.19,32.44,32.72,31.69,29.53,29.69,31.94,33.78,33.94,34.69,37.34,38.84,37.69,36.16,36.88,37.81,36.88,34.75,34.81,35.81,35.41,33.47,33.25,34.5,35.31,33.59,32.19,32.69,32.59,30.38,27.81,27.66,28.69,28.81,27.75,29.12,32.16,34.09,33.88,34.47,36.41,37.81,36.91,36.41,38.28,40.31,40.06,38.97,39.47,40.62,39.78,37.19,35.66,36.0,35.31,33.5,32.62,33.91,35.12,34.0,33.25,33.91,35.47,34.44,32.34,32.44,33.78,33.78,32.47,32.12,33.44,34.44,33.19,32.88,34.78,36.88,36.0,34.81,34.25,34.09,31.75,28.44,27.44,28.94,30.16,30.25,31.28,34.44,36.72,36.56,36.16,37.41,38.59,37.44,35.62,35.25,36.0,35.09,33.31,33.31,35.84,37.22,37.0,36.72,38.38,39.38,38.09,37.03,38.25,40.56,40.75,40.44,41.5,43.75,43.81,41.72,40.66,41.41,41.47,39.62,38.38,39.56,40.88,39.78,38.03,38.53,40.41,40.25,39.5,39.97,41.84,41.72,39.22,37.88,38.62,39.12,37.44,35.97,36.53,37.28,35.41,32.81,32.12,32.69,31.5,29.78,29.78,32.09,33.91,33.78,34.56,37.03,38.56,37.09,35.38,35.84,36.66,35.5,33.81,34.09,35.75,35.78,34.78,34.97,36.66,37.44,35.94,34.78,36.19,37.88,37.75,37.41,39.16,41.62,41.47,39.78,39.38,40.62,40.25,38.06,36.53,36.69,36.03,32.97,29.84,29.66,29.66,27.62,25.69,26.28,28.31,29.03,29.06,30.53,33.84,35.62,35.19,34.94,36.59,37.03,35.19,32.62,32.5,32.91,31.69,29.59,30.09,32.12,32.88,32.19,32.66,35.31,36.72,35.47,34.5,35.53,36.0,34.25,32.31,32.94,34.25,33.47,30.88,29.62,29.31,27.78,24.88,23.84,25.25,26.25,25.03,23.66,24.91,26.38,25.88,24.56,25.78,27.62,27.41,25.81,25.75,27.56,28.5,27.78,28.0,30.66,32.19,31.28,29.16,28.91,28.41,25.5,22.16,21.28,22.41,23.19,23.59,26.25,31.62,35.97,37.5,38.0,39.5,39.78,36.88,33.66,33.12,33.03,30.88,28.25,27.19,28.12,28.41,27.38,27.59,29.47,30.16,28.31,26.38,27.09,28.38,27.94,26.97,28.22,30.06,29.69,27.78,27.44,29.19,29.72,28.81,28.91,31.28,32.69,31.81,30.75,31.91,33.06,32.25,30.84,31.75,34.16,34.72,34.0,34.06,35.28,34.94,32.09,29.97,30.12,30.06,28.31,26.81,28.12,30.72,31.69,31.53,33.34,36.59,37.94,37.06,37.06,38.75,39.25,36.97,34.97,35.66,36.06,33.84,31.31,31.12,31.78,31.53,29.78,30.19,32.22,33.09,32.09,32.25,34.34,35.38,33.91,32.34,32.91,33.41,31.97,29.06,27.94,27.66,26.16,23.47,22.84,24.5,25.84,25.16,25.12,27.78,29.78,29.12,27.91,28.53,29.78,29.06,27.53,28.41,30.5,31.19,29.47,28.81,29.78,29.97,28.12,27.5,29.34,31.56,31.88,31.69,33.47,35.75,36.19,35.5,36.41,38.5,39.22,37.03,35.5,35.22,34.72,32.03,30.25,31.12,32.31,31.16,29.03,28.78,29.5,28.84,27.75,28.56,31.5,34.06,34.44,35.69,38.22,39.91,38.25,35.62,34.38,33.19,30.31,27.06,26.03,26.78,26.06,24.25,23.41,24.59,25.69,24.47,24.44,26.56,28.84,29.09,29.03,30.75,32.66,32.72,30.72,30.28,30.41,29.56,26.69,24.66,24.38,23.53,20.59,18.53,19.34,21.25,22.0,22.38,24.72,27.66,28.53,27.62,28.16,29.88,31.16,30.75,30.34,31.84,32.38,29.78,26.72,25.47,25.34,23.62,21.56,21.88,23.59,23.59,21.84,21.03,21.72,21.78,19.75,18.56,19.69,21.06,19.84,18.41,18.81,19.78,18.69,16.47,15.72,16.28,16.03,14.56,14.75,17.19,19.47,19.41,19.31,21.34,24.19,25.56,26.91,29.75,33.66,34.94,33.78,33.22,34.31,34.09,32.41,31.81,33.75,35.78,35.22,34.28,35.03,36.12,34.91,32.75,32.34,33.06,31.97,29.38,27.69,28.19,27.66,25.75,24.56,25.5,26.47,24.78,21.94,20.91,21.0,19.19,17.59,18.03,20.25,21.06,20.38,20.66,23.0,25.38,25.94,26.75,29.41,31.5,30.34,27.25,24.38,21.78,17.25,12.12,9.59,10.59,11.56,12.22,14.03,18.47,22.81,25.62,28.47,32.66,36.97,37.97,37.0,36.62,36.91,35.47,32.94,31.75,32.53,32.22,29.38,26.72,26.31,26.12,24.25,22.31,22.12,22.38,20.88,18.53,17.75,19.66,20.62,20.31,21.25,24.66,26.78,26.56,26.22,26.78,27.12,24.94,21.38,19.78,19.03,16.88,14.53,13.97,16.0,18.25,18.94,20.06,22.94,25.31,24.88,23.91,24.41,25.19,23.59,20.88,19.72,20.16,19.66,18.78,19.59,23.16,26.03,27.0,27.69,30.19,31.94,31.09,29.69,30.41,31.59,31.38,29.91,29.66,30.12,29.5,27.09,25.72,27.28,28.56,27.69,26.78,27.72,27.97,25.66,22.56,20.84,20.03,18.06,15.72,15.34,18.31,21.19,23.19,25.78,30.66,35.12,36.97,37.81,40.28,42.41,42.19,40.75,40.66,41.25,39.84,36.34,33.25,31.88,29.75,26.72,24.44,25.25,27.03,27.09,26.81,28.38,30.09,30.34,29.56,30.19,32.53,33.81,33.25,33.03,34.09,34.16,32.34,30.75,31.66,33.03,32.31,30.66,30.34,30.47,28.72,25.81,24.25,24.25,23.62,20.66,17.69,16.91,15.22,11.41,8.16,8.0,9.22,9.31,9.91,13.0,17.22,20.25,21.69,23.75,27.19,29.84,30.53,31.44,34.31,37.16,37.34,36.41,36.34,36.44,34.25,30.53,28.25,27.44,25.38,21.97,19.78,19.97,20.03,18.66,17.81,19.44,21.25,21.19,20.28,21.53,23.59,24.12,23.19,23.34,24.97,25.31,23.97,23.66,25.66,27.56,26.91,25.47,25.59,25.84,24.47,22.38,22.53,24.41,25.19,24.5,25.28,28.5,31.09,31.66,32.53,35.38,37.88,37.56,36.62,36.75,37.06,35.16,32.0,30.31,30.19,29.56,27.19,25.88,26.28,26.06,23.41,21.44,22.16,23.97,24.47,24.53,26.66,28.94,28.69,26.19,24.59,24.19,23.09,20.56,19.44,21.0,23.0,23.31,23.59,25.22,27.16,26.31,24.47,25.09,26.97,27.94,27.25,27.81,29.31,29.72,27.44,25.41,25.31,25.44,23.59,22.41,23.56,26.12,25.97,24.03,22.97,22.41,20.84,18.09,17.66,20.09,22.81,23.47,24.12,26.19,28.53,28.16,27.25,28.34,30.56,31.16,30.38,31.19,33.0,34.03,32.5,30.97,30.97,30.47,27.56,24.84,25.31,27.06,27.41,26.88,27.72,29.41,29.06,27.25,26.91,28.47,29.91,28.72,28.72,30.78,32.91,32.53,31.97,32.94,34.84,34.84,34.38,35.0,36.5,35.88,32.66,29.69,28.88,28.16,25.41,24.03,25.31,27.38,27.5,27.03,28.53,31.19,32.16,32.16,33.81,37.28,39.44,39.12,38.41,38.75,37.75,33.5,29.38,27.62,27.28,25.22,23.41,23.62,25.22,25.38,24.09,23.62,25.06,25.81,24.34,23.19,24.19,24.94,23.31,21.53,22.28,24.78,25.5,25.34,26.62,28.75,29.31,28.25,28.12,30.12,31.78,30.81,29.62,30.31,31.09,28.88,26.38,25.75,26.84,26.75,26.0,27.69,30.81,32.66,31.5,30.44,30.16,29.47,26.59,24.38,25.06:39.38,38.62,37.38,36.81,37.25,35.41,31.53,29.16,27.84,26.06,22.38,19.53,19.62,20.44,19.91,19.12,20.47,22.59,22.69,22.03,23.34,26.25,27.94,27.75,28.5,30.97,32.75,32.47,31.41,32.19,32.5,30.56,28.09,27.53,28.88,29.03,28.88,30.12,33.5,35.81,35.69,36.06,37.81,39.06,37.72,36.34,37.25,38.72,38.69,37.78,38.16,39.25,38.19,35.09,33.09,33.38,33.16,31.66,30.94,32.84,34.44,33.91,32.91,33.12,34.34,34.38,33.84,35.41,38.81,40.38,40.12,39.69,41.03,41.88,41.28,42.03,45.56,49.41,51.16,50.97,51.25,51.12,48.91,44.84,42.53,42.19,41.66,39.69,38.16,38.84,39.25,37.41,35.41,35.31,36.03,35.19,33.41,33.22,33.75,33.19,30.81,29.28,29.69,29.62,27.59,26.09,27.03,27.88,27.16,26.09,27.47,29.47,30.28,30.06,31.41,33.94,35.56,35.47,35.94,37.97,38.91,38.19,36.97,38.12,39.25,38.91,37.75,38.12,39.28,38.84,37.22,36.91,38.25,39.03,38.41,37.53,38.69,39.19,37.12,34.47,34.31,35.38,34.84,34.06,35.44,38.03,39.47,39.44,40.03,41.81,42.88,41.44,40.12,40.91,41.56,39.91,37.69,37.19,37.41,36.78,35.25,35.59,37.81,38.75,37.5,37.16,38.53,39.62,38.97,38.72,40.41,42.56,42.25,40.5,40.38,40.81,39.59,37.75,37.41,39.22,40.38,39.38,38.94,39.91,39.84,37.78,35.12,34.81,35.41,34.28,32.62,33.0,34.28,34.59,33.16,33.12,34.72,36.0,35.31,35.22,37.16,38.72,37.91,36.62,37.66,39.69,40.31,39.41,40.34,42.22,42.69,40.97,40.34,41.47,41.56,39.5,37.62,37.56,37.88,35.84,33.19,32.44,32.72,31.69,29.53,29.69,31.94,33.78,33.94,34.69,37.34,38.84,37.69,36.16,36.88,37.81,36.88,34.75,34.81,35.81,35.41,33.47,33.25,34.5,35.31,33.59,32.19,32.69,32.59,30.38,27.81,27.66,28.69,28.81,27.75,29.12,32.16,34.09,33.88,34.47,36.41,37.81,36.91,36.41,38.28,40.31,40.06,38.97,39.47,40.62,39.78,37.19,35.66,36.0,35.31,33.5,32.62,33.91,35.12,34.0,33.25,33.91,35.47,34.44,32.34,32.44,33.78,33.78,32.47,32.12,33.44,34.44,33.19,32.88,34.78,36.88,36.0,34.81,34.25,34.09,31.75,28.44,27.44,28.94,30.16,30.25,31.28,34.44,36.72,36.56,36.16,37.41,38.59,37.44,35.62,35.25,36.0,35.09,33.31,33.31,35.84,37.22,37.0,36.72,38.38,39.38,38.09,37.03,38.25,40.56,40.75,40.44,41.5,43.75,43.81,41.72,40.66,41.41,41.47,39.62,38.38,39.56,40.88,39.78,38.03,38.53,40.41,40.25,39.5,39.97,41.84,41.72,39.22,37.88,38.62,39.12,37.44,35.97,36.53,37.28,35.41,32.81,32.12,32.69,31.5,29.78,29.78,32.09,33.91,33.78,34.56,37.03,38.56,37.09,35.38,35.84,36.66,35.5,33.81,34.09,35.75,35.78,34.78,34.97,36.66,37.44,35.94,34.78,36.19,37.88,37.75,37.41,39.16,41.62,41.47,39.78,39.38,40.62,40.25,38.06,36.53,36.69,36.03,32.97,29.84,29.66,29.66,27.62,25.69,26.28,28.31,29.03,29.06,30.53,33.84,35.62,35.19,34.94,36.59,37.03,35.19,32.62,32.5,32.91,31.69,29.59,30.09,32.12,32.88,32.19,32.66,35.31,36.72,35.47,34.5,35.53,36.0,34.25,32.31,32.94,34.25,33.47,30.88,29.62,29.31,27.78,24.88,23.84,25.25,26.25,25.03,23.66,24.91,26.38,25.88,24.56,25.78,27.62,27.41,25.81,25.75,27.56,28.5,27.78,28.0,30.66,32.19,31.28,29.16,28.91,28.41,25.5,22.16,21.28,22.41,23.19,23.59,26.25,31.62,35.97,37.5,38.0,39.5,39.78,36.88,33.66,33.12,33.03,30.88,28.25,27.19,28.12,28.41,27.38,27.59,29.47,30.16,28.31,26.38,27.09,28.38,27.94,26.97,28.22,30.06,29.69,27.78,27.44,29.19,29.72,28.81,28.91,31.28,32.69,31.81,30.75,31.91,33.06,32.25,30.84,31.75,34.16,34.72,34.0,34.06,35.28,34.94,32.09,29.97,30.12,30.06,28.31,26.81,28.12,30.72,31.69,31.53,33.34,36.59,37.94,37.06,37.06,38.75,39.25,36.97,34.97,35.66,36.06,33.84,31.31,31.12,31.78,31.53,29.78,30.19,32.22,33.09,32.09,32.25,34.34,35.38,33.91,32.34,32.91,33.41,31.97,29.06,27.94,27.66,26.16,23.47,22.84,24.5,25.84,25.16,25.12,27.78,29.78,29.12,27.91,28.53,29.78,29.06,27.53,28.41,30.5,31.19,29.47,28.81,29.78,29.97,28.12,27.5,29.34,31.56,31.88,31.69,33.47,35.75,36.19,35.5,36.41,38.5,39.22,37.03,35.5,35.22,34.72,32.03,30.25,31.12,32.31,31.16,29.03,28.78,29.5,28.84,27.75,28.56,31.5,34.06,34.44,35.69,38.22,39.91,38.25,35.62,34.38,33.19,30.31,27.06,26.03,26.78,26.06,24.25,23.41,24.59,25.69,24.47,24.44,26.56,28.84,29.09,29.03,30.75,32.66,32.72,30.72,30.28,30.41,29.56,26.69,24.66,24.38,23.53,20.59,18.53,19.34,21.25,22.0,22.38,24.72,27.66,28.53,27.62,28.16,29.88,31.16,30.75,30.34,31.84,32.38,29.78,26.72,25.47,25.34,23.62,21.56,21.88,23.59,23.59,21.84,21.03,21.72,21.78,19.75,18.56,19.69,21.06,19.84,18.41,18.81,19.78,18.69,16.47,15.72,16.28,16.03,14.56,14.75,17.19,19.47,19.41,19.31,21.34,24.19,25.56,26.91,29.75,33.66,34.94,33.78,33.22,34.31,34.09,32.41,31.81,33.75,35.78,35.22,34.28,35.03,36.12,34.91,32.75,32.34,33.06,31.97,29.38,27.69,28.19,27.66,25.75,24.56,25.5,26.47,24.78,21.94,20.91,21.0,19.19,17.59,18.03,20.25,21.06,20.38,20.66,23.0,25.38,25.94,26.75,29.41,31.5,30.34,27.25,24.38,21.78,17.25,12.12,9.59,10.59,11.56,12.22,14.03,18.47,22.81,25.62,28.47,32.66,36.97,37.97,37.0,36.62,36.91,35.47,32.94,31.75,32.53,32.22,29.38,26.72,26.31,26.12,24.25,22.31,22.12,22.38,20.88,18.53,17.75,19.66,20.62,20.31,21.25,24.66,26.78,26.56,26.22,26.78,27.12,24.94,21.38,19.78,19.03,16.88,14.53,13.97,16.0,18.25,18.94,20.06,22.94,25.31,24.88,23.91,24.41,25.19,23.59,20.88,19.72,20.16,19.66,18.78,19.59,23.16,26.03,27.0,27.69,30.19,31.94,31.09,29.69,30.41,31.59,31.38,29.91,29.66,30.12,29.5,27.09,25.72,27.28,28.56,27.69,26.78,27.72,27.97,25.66,22.56,20.84,20.03,18.06,15.72,15.34,18.31,21.19,23.19,25.78,30.66,35.12,36.97,37.81,40.28,42.41,42.19,40.75,40.66,41.25,39.84,36.34,33.25,31.88,29.75,26.72,24.44,25.25,27.03,27.09,26.81,28.38,30.09,30.34,29.56,30.19,32.53,33.81,33.25,33.03,34.09,34.16,32.34,30.75,31.66,33.03,32.31,30.66,30.34,30.47,28.72,25.81,24.25,24.25,23.62,20.66,17.69,16.91,15.22,11.41,8.16,8.0,9.22,9.31,9.91,13.0,17.22,20.25,21.69,23.75,27.19,29.84,30.53,31.44,34.31,37.16,37.34,36.41,36.34,36.44,34.25,30.53,28.25,27.44,25.38,21.97,19.78,19.97,20.03,18.66,17.81,19.44,21.25,21.19,20.28,21.53,23.59,24.12,23.19,23.34,24.97,25.31,23.97,23.66,25.66,27.56,26.91,25.47,25.59,25.84,24.47,22.38,22.53,24.41,25.19,24.5,25.28,28.5,31.09,31.66,32.53,35.38,37.88,37.56,36.62,36.75,37.06,35.16,32.0,30.31,30.19,29.56,27.19,25.88,26.28,26.06,23.41,21.44,22.16,23.97,24.47,24.53,26.66,28.94,28.69,26.19,24.59,24.19,23.09,20.56,19.44,21.0,23.0,23.31,23.59,25.22,27.16,26.31,24.47,25.09,26.97,27.94,27.25,27.81,29.31,29.72,27.44,25.41,25.31,25.44,23.59,22.41,23.56,26.12,25.97,24.03,22.97,22.41,20.84,18.09,17.66,20.09,22.81,23.47,24.12,26.19,28.53,28.16,27.25,28.34,30.56,31.16,30.38,31.19,33.0,34.03,32.5,30.97,30.97,30.47,27.56,24.84,25.31,27.06,27.41,26.88,27.72,29.41,29.06,27.25,26.91,28.47,29.91,28.72,28.72,30.78,32.91,32.53,31.97,32.94,34.84,34.84,34.38,35.0,36.5,35.88,32.66,29.69,28.88,28.16,25.41,24.03,25.31,27.38,27.5,27.03,28.53,31.19,32.16,32.16,33.81,37.28,39.44,39.12,38.41,38.75,37.75,33.5,29.38,27.62,27.28,25.22,23.41,23.62,25.22,25.38,24.09,23.62,25.06,25.81,24.34,23.19,24.19,24.94,23.31,21.53,22.28,24.78,25.5,25.34,26.62,28.75,29.31,28.25,28.12,30.12,31.78,30.81,29.62,30.31,31.09,28.88,26.38,25.75,26.84,26.75,26.0,27.69,30.81,32.66,31.5,30.44,30.16,29.47,26.59,24.38,25.06,38.75,40.28,42.69,44.28,44.19,44.06,45.19:29.16,27.84,26.06,22.38,19.53,19.62,20.44,19.91,19.12,20.47,22.59,22.69,22.03,23.34,26.25,27.94,27.75,28.5,30.97,32.75,32.47,31.41,32.19,32.5,30.56,28.09,27.53,28.88,29.03,28.88,30.12,33.5,35.81,35.69,36.06,37.81,39.06,37.72,36.34,37.25,38.72,38.69,37.78,38.16,39.25,38.19,35.09,33.09,33.38,33.16,31.66,30.94,32.84,34.44,33.91,32.91,33.12,34.34,34.38,33.84,35.41,38.81,40.38,40.12,39.69,41.03,41.88,41.28,42.03,45.56,49.41,51.16,50.97,51.25,51.12,48.91,44.84,42.53,42.19,41.66,39.69,38.16,38.84,39.25,37.41,35.41,35.31,36.03,35.19,33.41,33.22,33.75,33.19,30.81,29.28,29.69,29.62,27.59,26.09,27.03,27.88,27.16,26.09,27.47,29.47,30.28,30.06,31.41,33.94,35.56,35.47,35.94,37.97,38.91,38.19,36.97,38.12,39.25,38.91,37.75,38.12,39.28,38.84,37.22,36.91,38.25,39.03,38.41,37.53,38.69,39.19,37.12,34.47,34.31,35.38,34.84,34.06,35.44,38.03,39.47,39.44,40.03,41.81,42.88,41.44,40.12,40.91,41.56,39.91,37.69,37.19,37.41,36.78,35.25,35.59,37.81,38.75,37.5,37.16,38.53,39.62,38.97,38.72,40.41,42.56,42.25,40.5,40.38,40.81,39.59,37.75,37.41,39.22,40.38,39.38,38.94,39.91,39.84,37.78,35.12,34.81,35.41,34.28,32.62,33.0,34.28,34.59,33.16,33.12,34.72,36.0,35.31,35.22,37.16,38.72,37.91,36.62,37.66,39.69,40.31,39.41,40.34,42.22,42.69,40.97,40.34,41.47,41.56,39.5,37.62,37.56,37.88,35.84,33.19,32.44,32.72,31.69,29.53,29.69,31.94,33.78,33.94,34.69,37.34,38.84,37.69,36.16,36.88,37.81,36.88,34.75,34.81,35.81,35.41,33.47,33.25,34.5,35.31,33.59,32.19,32.69,32.59,30.38,27.81,27.66,28.69,28.81,27.75,29.12,32.16,34.09,33.88,34.47,36.41,37.81,36.91,36.41,38.28,40.31,40.06,38.97,39.47,40.62,39.78,37.19,35.66,36.0,35.31,33.5,32.62,33.91,35.12,34.0,33.25,33.91,35.47,34.44,32.34,32.44,33.78,33.78,32.47,32.12,33.44,34.44,33.19,32.88,34.78,36.88,36.0,34.81,34.25,34.09,31.75,28.44,27.44,28.94,30.16,30.25,31.28,34.44,36.72,36.56,36.16,37.41,38.59,37.44,35.62,35.25,36.0,35.09,33.31,33.31,35.84,37.22,37.0,36.72,38.38,39.38,38.09,37.03,38.25,40.56,40.75,40.44,41.5,43.75,43.81,41.72,40.66,41.41,41.47,39.62,38.38,39.56,40.88,39.78,38.03,38.53,40.41,40.25,39.5,39.97,41.84,41.72,39.22,37.88,38.62,39.12,37.44,35.97,36.53,37.28,35.41,32.81,32.12,32.69,31.5,29.78,29.78,32.09,33.91,33.78,34.56,37.03,38.56,37.09,35.38,35.84,36.66,35.5,33.81,34.09,35.75,35.78,34.78,34.97,36.66,37.44,35.94,34.78,36.19,37.88,37.75,37.41,39.16,41.62,41.47,39.78,39.38,40.62,40.25,38.06,36.53,36.69,36.03,32.97,29.84,29.66,29.66,27.62,25.69,26.28,28.31,29.03,29.06,30.53,33.84,35.62,35.19,34.94,36.59,37.03,35.19,32.62,32.5,32.91,31.69,29.59,30.09,32.12,32.88,32.19,32.66,35.31,36.72,35.47,34.5,35.53,36.0,34.25,32.31,32.94,34.25,33.47,30.88,29.62,29.31,27.78,24.88,23.84,25.25,26.25,25.03,23.66,24.91,26.38,25.88,24.56,25.78,27.62,27.41,25.81,25.75,27.56,28.5,27.78,28.0,30.66,32.19,31.28,29.16,28.91,28.41,25.5,22.16,21.28,22.41,23.19,23.59,26.25,31.62,35.97,37.5,38.0,39.5,39.78,36.88,33.66,33.12,33.03,30.88,28.25,27.19,28.12,28.41,27.38,27.59,29.47,30.16,28.31,26.38,27.09,28.38,27.94,26.97,28.22,30.06,29.69,27.78,27.44,29.19,29.72,28.81,28.91,31.28,32.69,31.81,30.75,31.91,33.06,32.25,30.84,31.75,34.16,34.72,34.0,34.06,35.28,34.94,32.09,29.97,30.12,30.06,28.31,26.81,28.12,30.72,31.69,31.53,33.34,36.59,37.94,37.06,37.06,38.75,39.25,36.97,34.97,35.66,36.06,33.84,31.31,31.12,31.78,31.53,29.78,30.19,32.22,33.09,32.09,32.25,34.34,35.38,33.91,32.34,32.91,33.41,31.97,29.06,27.94,27.66,26.16,23.47,22.84,24.5,25.84,25.16,25.12,27.78,29.78,29.12,27.91,28.53,29.78,29.06,27.53,28.41,30.5,31.19,29.47,28.81,29.78,29.97,28.12,27.5,29.34,31.56,31.88,31.69,33.47,35.75,36.19,35.5,36.41,38.5,39.22,37.03,35.5,35.22,34.72,32.03,30.25,31.12,32.31,31.16,29.03,28.78,29.5,28.84,27.75,28.56,31.5,34.06,34.44,35.69,38.22,39.91,38.25,35.62,34.38,33.19,30.31,27.06,26.03,26.78,26.06,24.25,23.41,24.59,25.69,24.47,24.44,26.56,28.84,29.09,29.03,30.75,32.66,32.72,30.72,30.28,30.41,29.56,26.69,24.66,24.38,23.53,20.59,18.53,19.34,21.25,22.0,22.38,24.72,27.66,28.53,27.62,28.16,29.88,31.16,30.75,30.34,31.84,32.38,29.78,26.72,25.47,25.34,23.62,21.56,21.88,23.59,23.59,21.84,21.03,21.72,21.78,19.75,18.56,19.69,21.06,19.84,18.41,18.81,19.78,18.69,16.47,15.72,16.28,16.03,14.56,14.75,17.19,19.47,19.41,19.31,21.34,24.19,25.56,26.91,29.75,33.66,34.94,33.78,33.22,34.31,34.09,32.41,31.81,33.75,35.78,35.22,34.28,35.03,36.12,34.91,32.75,32.34,33.06,31.97,29.38,27.69,28.19,27.66,25.75,24.56,25.5,26.47,24.78,21.94,20.91,21.0,19.19,17.59,18.03,20.25,21.06,20.38,20.66,23.0,25.38,25.94,26.75,29.41,31.5,30.34,27.25,24.38,21.78,17.25,12.12,9.59,10.59,11.56,12.22,14.03,18.47,22.81,25.62,28.47,32.66,36.97,37.97,37.0,36.62,36.91,35.47,32.94,31.75,32.53,32.22,29.38,26.72,26.31,26.12,24.25,22.31,22.12,22.38,20.88,18.53,17.75,19.66,20.62,20.31,21.25,24.66,26.78,26.56,26.22,26.78,27.12,24.94,21.38,19.78,19.03,16.88,14.53,13.97,16.0,18.25,18.94,20.06,22.94,25.31,24.88,23.91,24.41,25.19,23.59,20.88,19.72,20.16,19.66,18.78,19.59,23.16,26.03,27.0,27.69,30.19,31.94,31.09,29.69,30.41,31.59,31.38,29.91,29.66,30.12,29.5,27.09,25.72,27.28,28.56,27.69,26.78,27.72,27.97,25.66,22.56,20.84,20.03,18.06,15.72,15.34,18.31,21.19,23.19,25.78,30.66,35.12,36.97,37.81,40.28,42.41,42.19,40.75,40.66,41.25,39.84,36.34,33.25,31.88,29.75,26.72,24.44,25.25,27.03,27.09,26.81,28.38,30.09,30.34,29.56,30.19,32.53,33.81,33.25,33.03,34.09,34.16,32.34,30.75,31.66,33.03,32.31,30.66,30.34,30.47,28.72,25.81,24.25,24.25,23.62,20.66,17.69,16.91,15.22,11.41,8.16,8.0,9.22,9.31,9.91,13.0,17.22,20.25,21.69,23.75,27.19,29.84,30.53,31.44,34.31,37.16,37.34,36.41,36.34,36.44,34.25,30.53,28.25,27.44,25.38,21.97,19.78,19.97,20.03,18.66,17.81,19.44,21.25,21.19,20.28,21.53,23.59,24.12,23.19,23.34,24.97,25.31,23.97,23.66,25.66,27.56,26.91,25.47,25.59,25.84,24.47,22.38,22.53,24.41,25.19,24.5,25.28,28.5,31.09,31.66,32.53,35.38,37.88,37.56,36.62,36.75,37.06,35.16,32.0,30.31,30.19,29.56,27.19,25.88,26.28,26.06,23.41,21.44,22.16,23.97,24.47,24.53,26.66,28.94,28.69,26.19,24.59,24.19,23.09,20.56,19.44,21.0,23.0,23.31,23.59,25.22,27.16,26.31,24.47,25.09,26.97,27.94,27.25,27.81,29.31,29.72,27.44,25.41,25.31,25.44,23.59,22.41,23.56,26.12,25.97,24.03,22.97,22.41,20.84,18.09,17.66,20.09,22.81,23.47,24.12,26.19,28.53,28.16,27.25,28.34,30.56,31.16,30.38,31.19,33.0,34.03,32.5,30.97,30.97,30.47,27.56,24.84,25.31,27.06,27.41,26.88,27.72,29.41,29.06,27.25,26.91,28.47,29.91,28.72,28.72,30.78,32.91,32.53,31.97,32.94,34.84,34.84,34.38,35.0,36.5,35.88,32.66,29.69,28.88,28.16,25.41,24.03,25.31,27.38,27.5,27.03,28.53,31.19,32.16,32.16,33.81,37.28,39.44,39.12,38.41,38.75,37.75,33.5,29.38,27.62,27.28,25.22,23.41,23.62,25.22,25.38,24.09,23.62,25.06,25.81,24.34,23.19,24.19,24.94,23.31,21.53,22.28,24.78,25.5,25.34,26.62,28.75,29.31,28.25,28.12,30.12,31.78,30.81,29.62,30.31,31.09,28.88,26.38,25.75,26.84,26.75,26.0,27.69,30.81,32.66,31.5,30.44,30.16,29.47,26.59,24.38,25.06,38.75,40.28,42.69,44.28,44.19,44.06,45.19,46.62,46.44,45.56,45.59,45.56,44.12,41.16:19.91,19.12,20.47,22.59,22.69,22.03,23.34,26.25,27.94,27.75,28.5,30.97,32.75,32.47,31.41,32.19,32.5,30.56,28.09,27.53,28.88,29.03,28.88,30.12,33.5,35.81,35.69,36.06,37.81,39.06,37.72,36.34,37.25,38.72,38.69,37.78,38.16,39.25,38.19,35.09,33.09,33.38,33.16,31.66,30.94,32.84,34.44,33.91,32.91,33.12,34.34,34.38,33.84,35.41,38.81,40.38,40.12,39.69,41.03,41.88,41.28,42.03,45.56,49.41,51.16,50.97,51.25,51.12,48.91,44.84,42.53,42.19,41.66,39.69,38.16,38.84,39.25,37.41,35.41,35.31,36.03,35.19,33.41,33.22,33.75,33.19,30.81,29.28,29.69,29.62,27.59,26.09,27.03,27.88,27.16,26.09,27.47,29.47,30.28,30.06,31.41,33.94,35.56,35.47,35.94,37.97,38.91,38.19,36.97,38.12,39.25,38.91,37.75,38.12,39.28,38.84,37.22,36.91,38.25,39.03,38.41,37.53,38.69,39.19,37.12,34.47,34.31,35.38,34.84,34.06,35.44,38.03,39.47,39.44,40.03,41.81,42.88,41.44,40.12,40.91,41.56,39.91,37.69,37.19,37.41,36.78,35.25,35.59,37.81,38.75,37.5,37.16,38.53,39.62,38.97,38.72,40.41,42.56,42.25,40.5,40.38,40.81,39.59,37.75,37.41,39.22,40.38,39.38,38.94,39.91,39.84,37.78,35.12,34.81,35.41,34.28,32.62,33.0,34.28,34.59,33.16,33.12,34.72,36.0,35.31,35.22,37.16,38.72,37.91,36.62,37.66,39.69,40.31,39.41,40.34,42.22,42.69,40.97,40.34,41.47,41.56,39.5,37.62,37.56,37.88,35.84,33.19,32.44,32.72,31.69,29.53,29.69,31.94,33.78,33.94,34.69,37.34,38.84,37.69,36.16,36.88,37.81,36.88,34.75,34.81,35.81,35.41,33.47,33.25,34.5,35.31,33.59,32.19,32.69,32.59,30.38,27.81,27.66,28.69,28.81,27.75,29.12,32.16,34.09,33.88,34.47,36.41,37.81,36.91,36.41,38.28,40.31,40.06,38.97,39.47,40.62,39.78,37.19,35.66,36.0,35.31,33.5,32.62,33.91,35.12,34.0,33.25,33.91,35.47,34.44,32.34,32.44,33.78,33.78,32.47,32.12,33.44,34.44,33.19,32.88,34.78,36.88,36.0,34.81,34.25,34.09,31.75,28.44,27.44,28.94,30.16,30.25,31.28,34.44,36.72,36.56,36.16,37.41,38.59,37.44,35.62,35.25,36.0,35.09,33.31,33.31,35.84,37.22,37.0,36.72,38.38,39.38,38.09,37.03,38.25,40.56,40.75,40.44,41.5,43.75,43.81,41.72,40.66,41.41,41.47,39.62,38.38,39.56,40.88,39.78,38.03,38.53,40.41,40.25,39.5,39.97,41.84,41.72,39.22,37.88,38.62,39.12,37.44,35.97,36.53,37.28,35.41,32.81,32.12,32.69,31.5,29.78,29.78,32.09,33.91,33.78,34.56,37.03,38.56,37.09,35.38,35.84,36.66,35.5,33.81,34.09,35.75,35.78,34.78,34.97,36.66,37.44,35.94,34.78,36.19,37.88,37.75,37.41,39.16,41.62,41.47,39.78,39.38,40.62,40.25,38.06,36.53,36.69,36.03,32.97,29.84,29.66,29.66,27.62,25.69,26.28,28.31,29.03,29.06,30.53,33.84,35.62,35.19,34.94,36.59,37.03,35.19,32.62,32.5,32.91,31.69,29.59,30.09,32.12,32.88,32.19,32.66,35.31,36.72,35.47,34.5,35.53,36.0,34.25,32.31,32.94,34.25,33.47,30.88,29.62,29.31,27.78,24.88,23.84,25.25,26.25,25.03,23.66,24.91,26.38,25.88,24.56,25.78,27.62,27.41,25.81,25.75,27.56,28.5,27.78,28.0,30.66,32.19,31.28,29.16,28.91,28.41,25.5,22.16,21.28,22.41,23.19,23.59,26.25,31.62,35.97,37.5,38.0,39.5,39.78,36.88,33.66,33.12,33.03,30.88,28.25,27.19,28.12,28.41,27.38,27.59,29.47,30.16,28.31,26.38,27.09,28.38,27.94,26.97,28.22,30.06,29.69,27.78,27.44,29.19,29.72,28.81,28.91,31.28,32.69,31.81,30.75,31.91,33.06,32.25,30.84,31.75,34.16,34.72,34.0,34.06,35.28,34.94,32.09,29.97,30.12,30.06,28.31,26.81,28.12,30.72,31.69,31.53,33.34,36.59,37.94,37.06,37.06,38.75,39.25,36.97,34.97,35.66,36.06,33.84,31.31,31.12,31.78,31.53,29.78,30.19,32.22,33.09,32.09,32.25,34.34,35.38,33.91,32.34,32.91,33.41,31.97,29.06,27.94,27.66,26.16,23.47,22.84,24.5,25.84,25.16,25.12,27.78,29.78,29.12,27.91,28.53,29.78,29.06,27.53,28.41,30.5,31.19,29.47,28.81,29.78,29.97,28.12,27.5,29.34,31.56,31.88,31.69,33.47,35.75,36.19,35.5,36.41,38.5,39.22,37.03,35.5,35.22,34.72,32.03,30.25,31.12,32.31,31.16,29.03,28.78,29.5,28.84,27.75,28.56,31.5,34.06,34.44,35.69,38.22,39.91,38.25,35.62,34.38,33.19,30.31,27.06,26.03,26.78,26.06,24.25,23.41,24.59,25.69,24.47,24.44,26.56,28.84,29.09,29.03,30.75,32.66,32.72,30.72,30.28,30.41,29.56,26.69,24.66,24.38,23.53,20.59,18.53,19.34,21.25,22.0,22.38,24.72,27.66,28.53,27.62,28.16,29.88,31.16,30.75,30.34,31.84,32.38,29.78,26.72,25.47,25.34,23.62,21.56,21.88,23.59,23.59,21.84,21.03,21.72,21.78,19.75,18.56,19.69,21.06,19.84,18.41,18.81,19.78,18.69,16.47,15.72,16.28,16.03,14.56,14.75,17.19,19.47,19.41,19.31,21.34,24.19,25.56,26.91,29.75,33.66,34.94,33.78,33.22,34.31,34.09,32.41,31.81,33.75,35.78,35.22,34.28,35.03,36.12,34.91,32.75,32.34,33.06,31.97,29.38,27.69,28.19,27.66,25.75,24.56,25.5,26.47,24.78,21.94,20.91,21.0,19.19,17.59,18.03,20.25,21.06,20.38,20.66,23.0,25.38,25.94,26.75,29.41,31.5,30.34,27.25,24.38,21.78,17.25,12.12,9.59,10.59,11.56,12.22,14.03,18.47,22.81,25.62,28.47,32.66,36.97,37.97,37.0,36.62,36.91,35.47,32.94,31.75,32.53,32.22,29.38,26.72,26.31,26.12,24.25,22.31,22.12,22.38,20.88,18.53,17.75,19.66,20.62,20.31,21.25,24.66,26.78,26.56,26.22,26.78,27.12,24.94,21.38,19.78,19.03,16.88,14.53,13.97,16.0,18.25,18.94,20.06,22.94,25.31,24.88,23.91,24.41,25.19,23.59,20.88,19.72,20.16,19.66,18.78,19.59,23.16,26.03,27.0,27.69,30.19,31.94,31.09,29.69,30.41,31.59,31.38,29.91,29.66,30.12,29.5,27.09,25.72,27.28,28.56,27.69,26.78,27.72,27.97,25.66,22.56,20.84,20.03,18.06,15.72,15.34,18.31,21.19,23.19,25.78,30.66,35.12,36.97,37.81,40.28,42.41,42.19,40.75,40.66,41.25,39.84,36.34,33.25,31.88,29.75,26.72,24.44,25.25,27.03,27.09,26.81,28.38,30.09,30.34,29.56,30.19,32.53,33.81,33.25,33.03,34.09,34.16,32.34,30.75,31.66,33.03,32.31,30.66,30.34,30.47,28.72,25.81,24.25,24.25,23.62,20.66,17.69,16.91,15.22,11.41,8.16,8.0,9.22,9.31,9.91,13.0,17.22,20.25,21.69,23.75,27.19,29.84,30.53,31.44,34.31,37.16,37.34,36.41,36.34,36.44,34.25,30.53,28.25,27.44,25.38,21.97,19.78,19.97,20.03,18.66,17.81,19.44,21.25,21.19,20.28,21.53,23.59,24.12,23.19,23.34,24.97,25.31,23.97,23.66,25.66,27.56,26.91,25.47,25.59,25.84,24.47,22.38,22.53,24.41,25.19,24.5,25.28,28.5,31.09,31.66,32.53,35.38,37.88,37.56,36.62,36.75,37.06,35.16,32.0,30.31,30.19,29.56,27.19,25.88,26.28,26.06,23.41,21.44,22.16,23.97,24.47,24.53,26.66,28.94,28.69,26.19,24.59,24.19,23.09,20.56,19.44,21.0,23.0,23.31,23.59,25.22,27.16,26.31,24.47,25.09,26.97,27.94,27.25,27.81,29.31,29.72,27.44,25.41,25.31,25.44,23.59,22.41,23.56,26.12,25.97,24.03,22.97,22.41,20.84,18.09,17.66,20.09,22.81,23.47,24.12,26.19,28.53,28.16,27.25,28.34,30.56,31.16,30.38,31.19,33.0,34.03,32.5,30.97,30.97,30.47,27.56,24.84,25.31,27.06,27.41,26.88,27.72,29.41,29.06,27.25,26.91,28.47,29.91,28.72,28.72,30.78,32.91,32.53,31.97,32.94,34.84,34.84,34.38,35.0,36.5,35.88,32.66,29.69,28.88,28.16,25.41,24.03,25.31,27.38,27.5,27.03,28.53,31.19,32.16,32.16,33.81,37.28,39.44,39.12,38.41,38.75,37.75,33.5,29.38,27.62,27.28,25.22,23.41,23.62,25.22,25.38,24.09,23.62,25.06,25.81,24.34,23.19,24.19,24.94,23.31,21.53,22.28,24.78,25.5,25.34,26.62,28.75,29.31,28.25,28.12,30.12,31.78,30.81,29.62,30.31,31.09,28.88,26.38,25.75,26.84,26.75,26.0,27.69,30.81,32.66,31.5,30.44,30.16,29.47,26.59,24.38,25.06,38.75,40.28,42.69,44.28,44.19,44.06,45.19,46.62,46.44,45.56,45.59,45.56,44.12,41.16,39.16,38.0,36.31,33.34,31.06,30.75,31.12:26.25,27.94,27.75,28.5,30.97,32.75,32.47,31.41,32.19,32.5,30.56,28.09,27.53,28.88,29.03,28.88,30.12,33.5,35.81,35.69,36.06,37.81,39.06,37.72,36.34,37.25,38.72,38.69,37.78,38.16,39.25,38.19,35.09,33.09,33.38,33.16,31.66,30.94,32.84,34.44,33.91,32.91,33.12,34.34,34.38,33.84,35.41,38.81,40.38,40.12,39.69,41.03,41.88,41.28,42.03,45.56,49.41,51.16,50.97,51.25,51.12,48.91,44.84,42.53,42.19,41.66,39.69,38.16,38.84,39.25,37.41,35.41,35.31,36.03,35.19,33.41,33.22,33.75,33.19,30.81,29.28,29.69,29.62,27.59,26.09,27.03,27.88,27.16,26.09,27.47,29.47,30.28,30.06,31.41,33.94,35.56,35.47,35.94,37.97,38.91,38.19,36.97,38.12,39.25,38.91,37.75,38.12,39.28,38.84,37.22,36.91,38.25,39.03,38.41,37.53,38.69,39.19,37.12,34.47,34.31,35.38,34.84,34.06,35.44,38.03,39.47,39.44,40.03,41.81,42.88,41.44,40.12,40.91,41.56,39.91,37.69,37.19,37.41,36.78,35.25,35.59,37.81,38.75,37.5,37.16,38.53,39.62,38.97,38.72,40.41,42.56,42.25,40.5,40.38,40.81,39.59,37.75,37.41,39.22,40.38,39.38,38.94,39.91,39.84,37.78,35.12,34.81,35.41,34.28,32.62,33.0,34.28,34.59,33.16,33.12,34.72,36.0,35.31,35.22,37.16,38.72,37.91,36.62,37.66,39.69,40.31,39.41,40.34,42.22,42.69,40.97,40.34,41.47,41.56,39.5,37.62,37.56,37.88,35.84,33.19,32.44,32.72,31.69,29.53,29.69,31.94,33.78,33.94,34.69,37.34,38.84,37.69,36.16,36.88,37.81,36.88,34.75,34.81,35.81,35.41,33.47,33.25,34.5,35.31,33.59,32.19,32.69,32.59,30.38,27.81,27.66,28.69,28.81,27.75,29.12,32.16,34.09,33.88,34.47,36.41,37.81,36.91,36.41,38.28,40.31,40.06,38.97,39.47,40.62,39.78,37.19,35.66,36.0,35.31,33.5,32.62,33.91,35.12,34.0,33.25,33.91,35.47,34.44,32.34,32.44,33.78,33.78,32.47,32.12,33.44,34.44,33.19,32.88,34.78,36.88,36.0,34.81,34.25,34.09,31.75,28.44,27.44,28.94,30.16,30.25,31.28,34.44,36.72,36.56,36.16,37.41,38.59,37.44,35.62,35.25,36.0,35.09,33.31,33.31,35.84,37.22,37.0,36.72,38.38,39.38,38.09,37.03,38.25,40.56,40.75,40.44,41.5,43.75,43.81,41.72,40.66,41.41,41.47,39.62,38.38,39.56,40.88,39.78,38.03,38.53,40.41,40.25,39.5,39.97,41.84,41.72,39.22,37.88,38.62,39.12,37.44,35.97,36.53,37.28,35.41,32.81,32.12,32.69,31.5,29.78,29.78,32.09,33.91,33.78,34.56,37.03,38.56,37.09,35.38,35.84,36.66,35.5,33.81,34.09,35.75,35.78,34.78,34.97,36.66,37.44,35.94,34.78,36.19,37.88,37.75,37.41,39.16,41.62,41.47,39.78,39.38,40.62,40.25,38.06,36.53,36.69,36.03,32.97,29.84,29.66,29.66,27.62,25.69,26.28,28.31,29.03,29.06,30.53,33.84,35.62,35.19,34.94,36.59,37.03,35.19,32.62,32.5,32.91,31.69,29.59,30.09,32.12,32.88,32.19,32.66,35.31,36.72,35.47,34.5,35.53,36.0,34.25,32.31,32.94,34.25,33.47,30.88,29.62,29.31,27.78,24.88,23.84,25.25,26.25,25.03,23.66,24.91,26.38,25.88,24.56,25.78,27.62,27.41,25.81,25.75,27.56,28.5,27.78,28.0,30.66,32.19,31.28,29.16,28.91,28.41,25.5,22.16,21.28,22.41,23.19,23.59,26.25,31.62,35.97,37.5,38.0,39.5,39.78,36.88,33.66,33.12,33.03,30.88,28.25,27.19,28.12,28.41,27.38,27.59,29.47,30.16,28.31,26.38,27.09,28.38,27.94,26.97,28.22,30.06,29.69,27.78,27.44,29.19,29.72,28.81,28.91,31.28,32.69,31.81,30.75,31.91,33.06,32.25,30.84,31.75,34.16,34.72,34.0,34.06,35.28,34.94,32.09,29.97,30.12,30.06,28.31,26.81,28.12,30.72,31.69,31.53,33.34,36.59,37.94,37.06,37.06,38.75,39.25,36.97,34.97,35.66,36.06,33.84,31.31,31.12,31.78,31.53,29.78,30.19,32.22,33.09,32.09,32.25,34.34,35.38,33.91,32.34,32.91,33.41,31.97,29.06,27.94,27.66,26.16,23.47,22.84,24.5,25.84,25.16,25.12,27.78,29.78,29.12,27.91,28.53,29.78,29.06,27.53,28.41,30.5,31.19,29.47,28.81,29.78,29.97,28.12,27.5,29.34,31.56,31.88,31.69,33.47,35.75,36.19,35.5,36.41,38.5,39.22,37.03,35.5,35.22,34.72,32.03,30.25,31.12,32.31,31.16,29.03,28.78,29.5,28.84,27.75,28.56,31.5,34.06,34.44,35.69,38.22,39.91,38.25,35.62,34.38,33.19,30.31,27.06,26.03,26.78,26.06,24.25,23.41,24.59,25.69,24.47,24.44,26.56,28.84,29.09,29.03,30.75,32.66,32.72,30.72,30.28,30.41,29.56,26.69,24.66,24.38,23.53,20.59,18.53,19.34,21.25,22.0,22.38,24.72,27.66,28.53,27.62,28.16,29.88,31.16,30.75,30.34,31.84,32.38,29.78,26.72,25.47,25.34,23.62,21.56,21.88,23.59,23.59,21.84,21.03,21.72,21.78,19.75,18.56,19.69,21.06,19.84,18.41,18.81,19.78,18.69,16.47,15.72,16.28,16.03,14.56,14.75,17.19,19.47,19.41,19.31,21.34,24.19,25.56,26.91,29.75,33.66,34.94,33.78,33.22,34.31,34.09,32.41,31.81,33.75,35.78,35.22,34.28,35.03,36.12,34.91,32.75,32.34,33.06,31.97,29.38,27.69,28.19,27.66,25.75,24.56,25.5,26.47,24.78,21.94,20.91,21.0,19.19,17.59,18.03,20.25,21.06,20.38,20.66,23.0,25.38,25.94,26.75,29.41,31.5,30.34,27.25,24.38,21.78,17.25,12.12,9.59,10.59,11.56,12.22,14.03,18.47,22.81,25.62,28.47,32.66,36.97,37.97,37.0,36.62,36.91,35.47,32.94,31.75,32.53,32.22,29.38,26.72,26.31,26.12,24.25,22.31,22.12,22.38,20.88,18.53,17.75,19.66,20.62,20.31,21.25,24.66,26.78,26.56,26.22,26.78,27.12,24.94,21.38,19.78,19.03,16.88,14.53,13.97,16.0,18.25,18.94,20.06,22.94,25.31,24.88,23.91,24.41,25.19,23.59,20.88,19.72,20.16,19.66,18.78,19.59,23.16,26.03,27.0,27.69,30.19,31.94,31.09,29.69,30.41,31.59,31.38,29.91,29.66,30.12,29.5,27.09,25.72,27.28,28.56,27.69,26.78,27.72,27.97,25.66,22.56,20.84,20.03,18.06,15.72,15.34,18.31,21.19,23.19,25.78,30.66,35.12,36.97,37.81,40.28,42.41,42.19,40.75,40.66,41.25,39.84,36.34,33.25,31.88,29.75,26.72,24.44,25.25,27.03,27.09,26.81,28.38,30.09,30.34,29.56,30.19,32.53,33.81,33.25,33.03,34.09,34.16,32.34,30.75,31.66,33.03,32.31,30.66,30.34,30.47,28.72,25.81,24.25,24.25,23.62,20.66,17.69,16.91,15.22,11.41,8.16,8.0,9.22,9.31,9.91,13.0,17.22,20.25,21.69,23.75,27.19,29.84,30.53,31.44,34.31,37.16,37.34,36.41,36.34,36.44,34.25,30.53,28.25,27.44,25.38,21.97,19.78,19.97,20.03,18.66,17.81,19.44,21.25,21.19,20.28,21.53,23.59,24.12,23.19,23.34,24.97,25.31,23.97,23.66,25.66,27.56,26.91,25.47,25.59,25.84,24.47,22.38,22.53,24.41,25.19,24.5,25.28,28.5,31.09,31.66,32.53,35.38,37.88,37.56,36.62,36.75,37.06,35.16,32.0,30.31,30.19,29.56,27.19,25.88,26.28,26.06,23.41,21.44,22.16,23.97,24.47,24.53,26.66,28.94,28.69,26.19,24.59,24.19,23.09,20.56,19.44,21.0,23.0,23.31,23.59,25.22,27.16,26.31,24.47,25.09,26.97,27.94,27.25,27.81,29.31,29.72,27.44,25.41,25.31,25.44,23.59,22.41,23.56,26.12,25.97,24.03,22.97,22.41,20.84,18.09,17.66,20.09,22.81,23.47,24.12,26.19,28.53,28.16,27.25,28.34,30.56,31.16,30.38,31.19,33.0,34.03,32.5,30.97,30.97,30.47,27.56,24.84,25.31,27.06,27.41,26.88,27.72,29.41,29.06,27.25,26.91,28.47,29.91,28.72,28.72,30.78,32.91,32.53,31.97,32.94,34.84,34.84,34.38,35.0,36.5,35.88,32.66,29.69,28.88,28.16,25.41,24.03,25.31,27.38,27.5,27.03,28.53,31.19,32.16,32.16,33.81,37.28,39.44,39.12,38.41,38.75,37.75,33.5,29.38,27.62,27.28,25.22,23.41,23.62,25.22,25.38,24.09,23.62,25.06,25.81,24.34,23.19,24.19,24.94,23.31,21.53,22.28,24.78,25.5,25.34,26.62,28.75,29.31,28.25,28.12,30.12,31.78,30.81,29.62,30.31,31.09,28.88,26.38,25.75,26.84,26.75,26.0,27.69,30.81,32.66,31.5,30.44,30.16,29.47,26.59,24.38,25.06,38.75,40.28,42.69,44.28,44.19,44.06,45.19,46.62,46.44,45.56,45.59,45.56,44.12,41.16,39.16,38.0,36.31,33.34,31.06,30.75,31.12,30.16,29.38,29.88,30.97,30.94,30.62,32.06:31.41,32.19,32.5,30.56,28.09,27.53,28.88,29.03,28.88,30.12,33.5,35.81,35.69,36.06,37.81,39.06,37.72,36.34,37.25,38.72,38.69,37.78,38.16,39.25,38.19,35.09,33.09,33.38,33.16,31.66,30.94,32.84,34.44,33.91,32.91,33.12,34.34,34.38,33.84,35.41,38.81,40.38,40.12,39.69,41.03,41.88,41.28,42.03,45.56,49.41,51.16,50.97,51.25,51.12,48.91,44.84,42.53,42.19,41.66,39.69,38.16,38.84,39.25,37.41,35.41,35.31,36.03,35.19,33.41,33.22,33.75,33.19,30.81,29.28,29.69,29.62,27.59,26.09,27.03,27.88,27.16,26.09,27.47,29.47,30.28,30.06,31.41,33.94,35.56,35.47,35.94,37.97,38.91,38.19,36.97,38.12,39.25,38.91,37.75,38.12,39.28,38.84,37.22,36.91,38.25,39.03,38.41,37.53,38.69,39.19,37.12,34.47,34.31,35.38,34.84,34.06,35.44,38.03,39.47,39.44,40.03,41.81,42.88,41.44,40.12,40.91,41.56,39.91,37.69,37.19,37.41,36.78,35.25,35.59,37.81,38.75,37.5,37.16,38.53,39.62,38.97,38.72,40.41,42.56,42.25,40.5,40.38,40.81,39.59,37.75,37.41,39.22,40.38,39.38,38.94,39.91,39.84,37.78,35.12,34.81,35.41,34.28,32.62,33.0,34.28,34.59,33.16,33.12,34.72,36.0,35.31,35.22,37.16,38.72,37.91,36.62,37.66,39.69,40.31,39.41,40.34,42.22,42.69,40.97,40.34,41.47,41.56,39.5,37.62,37.56,37.88,35.84,33.19,32.44,32.72,31.69,29.53,29.69,31.94,33.78,33.94,34.69,37.34,38.84,37.69,36.16,36.88,37.81,36.88,34.75,34.81,35.81,35.41,33.47,33.25,34.5,35.31,33.59,32.19,32.69,32.59,30.38,27.81,27.66,28.69,28.81,27.75,29.12,32.16,34.09,33.88,34.47,36.41,37.81,36.91,36.41,38.28,40.31,40.06,38.97,39.47,40.62,39.78,37.19,35.66,36.0,35.31,33.5,32.62,33.91,35.12,34.0,33.25,33.91,35.47,34.44,32.34,32.44,33.78,33.78,32.47,32.12,33.44,34.44,33.19,32.88,34.78,36.88,36.0,34.81,34.25,34.09,31.75,28.44,27.44,28.94,30.16,30.25,31.28,34.44,36.72,36.56,36.16,37.41,38.59,37.44,35.62,35.25,36.0,35.09,33.31,33.31,35.84,37.22,37.0,36.72,38.38,39.38,38.09,37.03,38.25,40.56,40.75,40.44,41.5,43.75,43.81,41.72,40.66,41.41,41.47,39.62,38.38,39.56,40.88,39.78,38.03,38.53,40.41,40.25,39.5,39.97,41.84,41.72,39.22,37.88,38.62,39.12,37.44,35.97,36.53,37.28,35.41,32.81,32.12,32.69,31.5,29.78,29.78,32.09,33.91,33.78,34.56,37.03,38.56,37.09,35.38,35.84,36.66,35.5,33.81,34.09,35.75,35.78,34.78,34.97,36.66,37.44,35.94,34.78,36.19,37.88,37.75,37.41,39.16,41.62,41.47,39.78,39.38,40.62,40.25,38.06,36.53,36.69,36.03,32.97,29.84,29.66,29.66,27.62,25.69,26.28,28.31,29.03,29.06,30.53,33.84,35.62,35.19,34.94,36.59,37.03,35.19,32.62,32.5,32.91,31.69,29.59,30.09,32.12,32.88,32.19,32.66,35.31,36.72,35.47,34.5,35.53,36.0,34.25,32.31,32.94,34.25,33.47,30.88,29.62,29.31,27.78,24.88,23.84,25.25,26.25,25.03,23.66,24.91,26.38,25.88,24.56,25.78,27.62,27.41,25.81,25.75,27.56,28.5,27.78,28.0,30.66,32.19,31.28,29.16,28.91,28.41,25.5,22.16,21.28,22.41,23.19,23.59,26.25,31.62,35.97,37.5,38.0,39.5,39.78,36.88,33.66,33.12,33.03,30.88,28.25,27.19,28.12,28.41,27.38,27.59,29.47,30.16,28.31,26.38,27.09,28.38,27.94,26.97,28.22,30.06,29.69,27.78,27.44,29.19,29.72,28.81,28.91,31.28,32.69,31.81,30.75,31.91,33.06,32.25,30.84,31.75,34.16,34.72,34.0,34.06,35.28,34.94,32.09,29.97,30.12,30.06,28.31,26.81,28.12,30.72,31.69,31.53,33.34,36.59,37.94,37.06,37.06,38.75,39.25,36.97,34.97,35.66,36.06,33.84,31.31,31.12,31.78,31.53,29.78,30.19,32.22,33.09,32.09,32.25,34.34,35.38,33.91,32.34,32.91,33.41,31.97,29.06,27.94,27.66,26.16,23.47,22.84,24.5,25.84,25.16,25.12,27.78,29.78,29.12,27.91,28.53,29.78,29.06,27.53,28.41,30.5,31.19,29.47,28.81,29.78,29.97,28.12,27.5,29.34,31.56,31.88,31.69,33.47,35.75,36.19,35.5,36.41,38.5,39.22,37.03,35.5,35.22,34.72,32.03,30.25,31.12,32.31,31.16,29.03,28.78,29.5,28.84,27.75,28.56,31.5,34.06,34.44,35.69,38.22,39.91,38.25,35.62,34.38,33.19,30.31,27.06,26.03,26.78,26.06,24.25,23.41,24.59,25.69,24.47,24.44,26.56,28.84,29.09,29.03,30.75,32.66,32.72,30.72,30.28,30.41,29.56,26.69,24.66,24.38,23.53,20.59,18.53,19.34,21.25,22.0,22.38,24.72,27.66,28.53,27.62,28.16,29.88,31.16,30.75,30.34,31.84,32.38,29.78,26.72,25.47,25.34,23.62,21.56,21.88,23.59,23.59,21.84,21.03,21.72,21.78,19.75,18.56,19.69,21.06,19.84,18.41,18.81,19.78,18.69,16.47,15.72,16.28,16.03,14.56,14.75,17.19,19.47,19.41,19.31,21.34,24.19,25.56,26.91,29.75,33.66,34.94,33.78,33.22,34.31,34.09,32.41,31.81,33.75,35.78,35.22,34.28,35.03,36.12,34.91,32.75,32.34,33.06,31.97,29.38,27.69,28.19,27.66,25.75,24.56,25.5,26.47,24.78,21.94,20.91,21.0,19.19,17.59,18.03,20.25,21.06,20.38,20.66,23.0,25.38,25.94,26.75,29.41,31.5,30.34,27.25,24.38,21.78,17.25,12.12,9.59,10.59,11.56,12.22,14.03,18.47,22.81,25.62,28.47,32.66,36.97,37.97,37.0,36.62,36.91,35.47,32.94,31.75,32.53,32.22,29.38,26.72,26.31,26.12,24.25,22.31,22.12,22.38,20.88,18.53,17.75,19.66,20.62,20.31,21.25,24.66,26.78,26.56,26.22,26.78,27.12,24.94,21.38,19.78,19.03,16.88,14.53,13.97,16.0,18.25,18.94,20.06,22.94,25.31,24.88,23.91,24.41,25.19,23.59,20.88,19.72,20.16,19.66,18.78,19.59,23.16,26.03,27.0,27.69,30.19,31.94,31.09,29.69,30.41,31.59,31.38,29.91,29.66,30.12,29.5,27.09,25.72,27.28,28.56,27.69,26.78,27.72,27.97,25.66,22.56,20.84,20.03,18.06,15.72,15.34,18.31,21.19,23.19,25.78,30.66,35.12,36.97,37.81,40.28,42.41,42.19,40.75,40.66,41.25,39.84,36.34,33.25,31.88,29.75,26.72,24.44,25.25,27.03,27.09,26.81,28.38,30.09,30.34,29.56,30.19,32.53,33.81,33.25,33.03,34.09,34.16,32.34,30.75,31.66,33.03,32.31,30.66,30.34,30.47,28.72,25.81,24.25,24.25,23.62,20.66,17.69,16.91,15.22,11.41,8.16,8.0,9.22,9.31,9.91,13.0,17.22,20.25,21.69,23.75,27.19,29.84,30.53,31.44,34.31,37.16,37.34,36.41,36.34,36.44,34.25,30.53,28.25,27.44,25.38,21.97,19.78,19.97,20.03,18.66,17.81,19.44,21.25,21.19,20.28,21.53,23.59,24.12,23.19,23.34,24.97,25.31,23.97,23.66,25.66,27.56,26.91,25.47,25.59,25.84,24.47,22.38,22.53,24.41,25.19,24.5,25.28,28.5,31.09,31.66,32.53,35.38,37.88,37.56,36.62,36.75,37.06,35.16,32.0,30.31,30.19,29.56,27.19,25.88,26.28,26.06,23.41,21.44,22.16,23.97,24.47,24.53,26.66,28.94,28.69,26.19,24.59,24.19,23.09,20.56,19.44,21.0,23.0,23.31,23.59,25.22,27.16,26.31,24.47,25.09,26.97,27.94,27.25,27.81,29.31,29.72,27.44,25.41,25.31,25.44,23.59,22.41,23.56,26.12,25.97,24.03,22.97,22.41,20.84,18.09,17.66,20.09,22.81,23.47,24.12,26.19,28.53,28.16,27.25,28.34,30.56,31.16,30.38,31.19,33.0,34.03,32.5,30.97,30.97,30.47,27.56,24.84,25.31,27.06,27.41,26.88,27.72,29.41,29.06,27.25,26.91,28.47,29.91,28.72,28.72,30.78,32.91,32.53,31.97,32.94,34.84,34.84,34.38,35.0,36.5,35.88,32.66,29.69,28.88,28.16,25.41,24.03,25.31,27.38,27.5,27.03,28.53,31.19,32.16,32.16,33.81,37.28,39.44,39.12,38.41,38.75,37.75,33.5,29.38,27.62,27.28,25.22,23.41,23.62,25.22,25.38,24.09,23.62,25.06,25.81,24.34,23.19,24.19,24.94,23.31,21.53,22.28,24.78,25.5,25.34,26.62,28.75,29.31,28.25,28.12,30.12,31.78,30.81,29.62,30.31,31.09,28.88,26.38,25.75,26.84,26.75,26.0,27.69,30.81,32.66,31.5,30.44,30.16,29.47,26.59,24.38,25.06,38.75,40.28,42.69,44.28,44.19,44.06,45.19,46.62,46.44,45.56,45.59,45.56,44.12,41.16,39.16,38.0,36.31,33.34,31.06,30.75,31.12,30.16,29.38,29.88,30.97,30.94,30.62,32.06,34.38,35.78,35.62,36.0,37.47,38.62,38.59:29.03,28.88,30.12,33.5,35.81,35.69,36.06,37.81,39.06,37.72,36.34,37.25,38.72,38.69,37.78,38.16,39.25,38.19,35.09,33.09,33.38,33.16,31.66,30.94,32.84,34.44,33.91,32.91,33.12,34.34,34.38,33.84,35.41,38.81,40.38,40.12,39.69,41.03,41.88,41.28,42.03,45.56,49.41,51.16,50.97,51.25,51.12,48.91,44.84,42.53,42.19,41.66,39.69,38.16,38.84,39.25,37.41,35.41,35.31,36.03,35.19,33.41,33.22,33.75,33.19,30.81,29.28,29.69,29.62,27.59,26.09,27.03,27.88,27.16,26.09,27.47,29.47,30.28,30.06,31.41,33.94,35.56,35.47,35.94,37.97,38.91,38.19,36.97,38.12,39.25,38.91,37.75,38.12,39.28,38.84,37.22,36.91,38.25,39.03,38.41,37.53,38.69,39.19,37.12,34.47,34.31,35.38,34.84,34.06,35.44,38.03,39.47,39.44,40.03,41.81,42.88,41.44,40.12,40.91,41.56,39.91,37.69,37.19,37.41,36.78,35.25,35.59,37.81,38.75,37.5,37.16,38.53,39.62,38.97,38.72,40.41,42.56,42.25,40.5,40.38,40.81,39.59,37.75,37.41,39.22,40.38,39.38,38.94,39.91,39.84,37.78,35.12,34.81,35.41,34.28,32.62,33.0,34.28,34.59,33.16,33.12,34.72,36.0,35.31,35.22,37.16,38.72,37.91,36.62,37.66,39.69,40.31,39.41,40.34,42.22,42.69,40.97,40.34,41.47,41.56,39.5,37.62,37.56,37.88,35.84,33.19,32.44,32.72,31.69,29.53,29.69,31.94,33.78,33.94,34.69,37.34,38.84,37.69,36.16,36.88,37.81,36.88,34.75,34.81,35.81,35.41,33.47,33.25,34.5,35.31,33.59,32.19,32.69,32.59,30.38,27.81,27.66,28.69,28.81,27.75,29.12,32.16,34.09,33.88,34.47,36.41,37.81,36.91,36.41,38.28,40.31,40.06,38.97,39.47,40.62,39.78,37.19,35.66,36.0,35.31,33.5,32.62,33.91,35.12,34.0,33.25,33.91,35.47,34.44,32.34,32.44,33.78,33.78,32.47,32.12,33.44,34.44,33.19,32.88,34.78,36.88,36.0,34.81,34.25,34.09,31.75,28.44,27.44,28.94,30.16,30.25,31.28,34.44,36.72,36.56,36.16,37.41,38.59,37.44,35.62,35.25,36.0,35.09,33.31,33.31,35.84,37.22,37.0,36.72,38.38,39.38,38.09,37.03,38.25,40.56,40.75,40.44,41.5,43.75,43.81,41.72,40.66,41.41,41.47,39.62,38.38,39.56,40.88,39.78,38.03,38.53,40.41,40.25,39.5,39.97,41.84,41.72,39.22,37.88,38.62,39.12,37.44,35.97,36.53,37.28,35.41,32.81,32.12,32.69,31.5,29.78,29.78,32.09,33.91,33.78,34.56,37.03,38.56,37.09,35.38,35.84,36.66,35.5,33.81,34.09,35.75,35.78,34.78,34.97,36.66,37.44,35.94,34.78,36.19,37.88,37.75,37.41,39.16,41.62,41.47,39.78,39.38,40.62,40.25,38.06,36.53,36.69,36.03,32.97,29.84,29.66,29.66,27.62,25.69,26.28,28.31,29.03,29.06,30.53,33.84,35.62,35.19,34.94,36.59,37.03,35.19,32.62,32.5,32.91,31.69,29.59,30.09,32.12,32.88,32.19,32.66,35.31,36.72,35.47,34.5,35.53,36.0,34.25,32.31,32.94,34.25,33.47,30.88,29.62,29.31,27.78,24.88,23.84,25.25,26.25,25.03,23.66,24.91,26.38,25.88,24.56,25.78,27.62,27.41,25.81,25.75,27.56,28.5,27.78,28.0,30.66,32.19,31.28,29.16,28.91,28.41,25.5,22.16,21.28,22.41,23.19,23.59,26.25,31.62,35.97,37.5,38.0,39.5,39.78,36.88,33.66,33.12,33.03,30.88,28.25,27.19,28.12,28.41,27.38,27.59,29.47,30.16,28.31,26.38,27.09,28.38,27.94,26.97,28.22,30.06,29.69,27.78,27.44,29.19,29.72,28.81,28.91,31.28,32.69,31.81,30.75,31.91,33.06,32.25,30.84,31.75,34.16,34.72,34.0,34.06,35.28,34.94,32.09,29.97,30.12,30.06,28.31,26.81,28.12,30.72,31.69,31.53,33.34,36.59,37.94,37.06,37.06,38.75,39.25,36.97,34.97,35.66,36.06,33.84,31.31,31.12,31.78,31.53,29.78,30.19,32.22,33.09,32.09,32.25,34.34,35.38,33.91,32.34,32.91,33.41,31.97,29.06,27.94,27.66,26.16,23.47,22.84,24.5,25.84,25.16,25.12,27.78,29.78,29.12,27.91,28.53,29.78,29.06,27.53,28.41,30.5,31.19,29.47,28.81,29.78,29.97,28.12,27.5,29.34,31.56,31.88,31.69,33.47,35.75,36.19,35.5,36.41,38.5,39.22,37.03,35.5,35.22,34.72,32.03,30.25,31.12,32.31,31.16,29.03,28.78,29.5,28.84,27.75,28.56,31.5,34.06,34.44,35.69,38.22,39.91,38.25,35.62,34.38,33.19,30.31,27.06,26.03,26.78,26.06,24.25,23.41,24.59,25.69,24.47,24.44,26.56,28.84,29.09,29.03,30.75,32.66,32.72,30.72,30.28,30.41,29.56,26.69,24.66,24.38,23.53,20.59,18.53,19.34,21.25,22.0,22.38,24.72,27.66,28.53,27.62,28.16,29.88,31.16,30.75,30.34,31.84,32.38,29.78,26.72,25.47,25.34,23.62,21.56,21.88,23.59,23.59,21.84,21.03,21.72,21.78,19.75,18.56,19.69,21.06,19.84,18.41,18.81,19.78,18.69,16.47,15.72,16.28,16.03,14.56,14.75,17.19,19.47,19.41,19.31,21.34,24.19,25.56,26.91,29.75,33.66,34.94,33.78,33.22,34.31,34.09,32.41,31.81,33.75,35.78,35.22,34.28,35.03,36.12,34.91,32.75,32.34,33.06,31.97,29.38,27.69,28.19,27.66,25.75,24.56,25.5,26.47,24.78,21.94,20.91,21.0,19.19,17.59,18.03,20.25,21.06,20.38,20.66,23.0,25.38,25.94,26.75,29.41,31.5,30.34,27.25,24.38,21.78,17.25,12.12,9.59,10.59,11.56,12.22,14.03,18.47,22.81,25.62,28.47,32.66,36.97,37.97,37.0,36.62,36.91,35.47,32.94,31.75,32.53,32.22,29.38,26.72,26.31,26.12,24.25,22.31,22.12,22.38,20.88,18.53,17.75,19.66,20.62,20.31,21.25,24.66,26.78,26.56,26.22,26.78,27.12,24.94,21.38,19.78,19.03,16.88,14.53,13.97,16.0,18.25,18.94,20.06,22.94,25.31,24.88,23.91,24.41,25.19,23.59,20.88,19.72,20.16,19.66,18.78,19.59,23.16,26.03,27.0,27.69,30.19,31.94,31.09,29.69,30.41,31.59,31.38,29.91,29.66,30.12,29.5,27.09,25.72,27.28,28.56,27.69,26.78,27.72,27.97,25.66,22.56,20.84,20.03,18.06,15.72,15.34,18.31,21.19,23.19,25.78,30.66,35.12,36.97,37.81,40.28,42.41,42.19,40.75,40.66,41.25,39.84,36.34,33.25,31.88,29.75,26.72,24.44,25.25,27.03,27.09,26.81,28.38,30.09,30.34,29.56,30.19,32.53,33.81,33.25,33.03,34.09,34.16,32.34,30.75,31.66,33.03,32.31,30.66,30.34,30.47,28.72,25.81,24.25,24.25,23.62,20.66,17.69,16.91,15.22,11.41,8.16,8.0,9.22,9.31,9.91,13.0,17.22,20.25,21.69,23.75,27.19,29.84,30.53,31.44,34.31,37.16,37.34,36.41,36.34,36.44,34.25,30.53,28.25,27.44,25.38,21.97,19.78,19.97,20.03,18.66,17.81,19.44,21.25,21.19,20.28,21.53,23.59,24.12,23.19,23.34,24.97,25.31,23.97,23.66,25.66,27.56,26.91,25.47,25.59,25.84,24.47,22.38,22.53,24.41,25.19,24.5,25.28,28.5,31.09,31.66,32.53,35.38,37.88,37.56,36.62,36.75,37.06,35.16,32.0,30.31,30.19,29.56,27.19,25.88,26.28,26.06,23.41,21.44,22.16,23.97,24.47,24.53,26.66,28.94,28.69,26.19,24.59,24.19,23.09,20.56,19.44,21.0,23.0,23.31,23.59,25.22,27.16,26.31,24.47,25.09,26.97,27.94,27.25,27.81,29.31,29.72,27.44,25.41,25.31,25.44,23.59,22.41,23.56,26.12,25.97,24.03,22.97,22.41,20.84,18.09,17.66,20.09,22.81,23.47,24.12,26.19,28.53,28.16,27.25,28.34,30.56,31.16,30.38,31.19,33.0,34.03,32.5,30.97,30.97,30.47,27.56,24.84,25.31,27.06,27.41,26.88,27.72,29.41,29.06,27.25,26.91,28.47,29.91,28.72,28.72,30.78,32.91,32.53,31.97,32.94,34.84,34.84,34.38,35.0,36.5,35.88,32.66,29.69,28.88,28.16,25.41,24.03,25.31,27.38,27.5,27.03,28.53,31.19,32.16,32.16,33.81,37.28,39.44,39.12,38.41,38.75,37.75,33.5,29.38,27.62,27.28,25.22,23.41,23.62,25.22,25.38,24.09,23.62,25.06,25.81,24.34,23.19,24.19,24.94,23.31,21.53,22.28,24.78,25.5,25.34,26.62,28.75,29.31,28.25,28.12,30.12,31.78,30.81,29.62,30.31,31.09,28.88,26.38,25.75,26.84,26.75,26.0,27.69,30.81,32.66,31.5,30.44,30.16,29.47,26.59,24.38,25.06,38.75,40.28,42.69,44.28,44.19,44.06,45.19,46.62,46.44,45.56,45.59,45.56,44.12,41.16,39.16,38.0,36.31,33.34,31.06,30.75,31.12,30.16,29.38,29.88,30.97,30.94,30.62,32.06,34.38,35.78,35.62,36.0,37.47,38.62,38.59,38.69,40.06,41.22,40.31,38.88,38.56,38.81:negativity
1.47,3.94,5.12,4.84,5.47,8.25,10.09,9.41,9.16,11.25,12.78,12.12,10.66,11.72,14.56,15.25,13.94,13.94,15.44,14.47,11.19,8.66,8.72,8.5,6.12,4.47,6.44,9.28,10.38,10.28,12.34,15.28,15.5,14.16,14.41,16.88,18.0,16.34,15.44,16.16,16.16,13.06,9.06,8.03,7.5,4.69,1.88,2.22,4.56,6.09,6.34,7.66,11.19,13.09,11.97,11.34,13.16,15.16,14.69,13.0,13.47,14.16,12.88,10.25,9.72,11.22,11.38,9.38,7.84,8.75,9.03,7.44,6.25,8.62,12.22,12.97,12.25,13.06,14.41,13.72,11.25,11.25,13.56,15.59,15.84,16.97,20.06,22.75,21.69,19.66,19.81,20.31,18.62,16.12,15.59,16.62,16.53,14.19,13.47,14.81,15.03,12.28,8.81,7.81,6.5,2.91,-0.09,0.38,2.78,4.0,3.34,5.0,7.88,8.94,7.34,6.59,7.94,8.41,6.31,4.22,5.38,6.72,5.88,4.16,4.56,6.22,6.06,4.38,4.41,6.88,8.12,6.84,6.41,8.44,10.19,9.41,8.31,9.66,11.0,9.69,6.91,6.28,7.28,7.31,6.53,7.5,11.5,15.41,16.06,16.72,18.75,19.91,17.62,14.25,12.94,12.53,10.38,7.16,6.66,9.06,11.09,11.0,11.84,13.5,13.47,9.91,6.22,5.19,5.56,4.47,3.28,5.62,9.59,12.25,13.16,15.5,18.81,20.81,19.66,18.72,19.47,19.62,16.66,13.62,13.28,14.0,12.59,10.0,9.47,10.62,9.62,7.16,6.06,7.22,8.31,6.97,6.75,9.44,12.72,13.19,13.62,16.5,20.22,21.09,20.09,19.75,20.19,18.97,15.75,13.06,13.56,14.12,12.69,11.84,13.53,15.31,13.97,10.97,9.59,9.72,8.59,6.47,6.88,9.44,10.94,9.78,9.69,10.94,11.91,10.16,8.34,9.31,11.88,12.94,13.84,16.81,21.16,23.34,22.97,22.59,23.31,21.97,17.41,13.03,11.12,10.44,7.78,5.66,6.38,8.62,8.97,8.56,9.62,12.06,13.19,11.59,10.78,11.91,12.78,11.53,10.97,13.03,15.78,15.88,14.91,15.81,17.31,17.03,14.78,13.72,14.53,14.28,11.88,9.84,10.03,9.91,6.94,3.41,2.59,2.59,0.56,-2.5,-3.38,-2.62,-2.62,-3.5,-2.19,2.31,6.62,8.53,10.56,14.5,18.19,18.75,18.53,19.97,21.97,21.56,19.12,17.78,18.0,16.34,12.47,9.25,8.66,8.28,6.66,6.09,8.94,12.97,15.0,15.91,18.38,21.62,22.62,21.66,21.62,23.44,24.19,22.41,20.88,22.03,23.31,22.16,21.06,22.56,24.69,24.31,22.34,21.22,21.31,19.38,15.22,12.28,11.91,11.62,9.81,8.84,11.16,13.91,14.12,14.09,16.0,19.31,20.78,21.62,23.97,28.19,30.53,30.03,29.0,29.53,28.62,24.75,20.78,19.81,19.59,17.88,16.44,17.16,19.84,20.84,20.44,21.28,23.41,24.38,22.22,19.84,20.03,19.81,17.09,14.5,14.28,14.75,13.34,10.59,9.78,10.72,10.34,9.31,9.78,13.22,15.97,16.22,16.53,19.59,22.66,23.5,23.47,24.84,26.25,25.0,21.31,19.69,20.53,20.97,20.5,20.84,23.59,24.69,22.97,20.81,20.75,21.53,21.28,20.19,22.28,25.94,28.09,28.69,30.31,33.25,34.53,32.44,30.41,30.53,30.16,27.62,24.72,24.38,25.22,23.81,21.28,20.84,22.19,22.38,20.84,20.75,22.81,23.56,22.09,20.62,22.06,23.94,24.03,23.47,25.09,27.62,28.41,27.91,28.84,31.22,32.28,31.09,30.25,31.44,32.16,30.38,27.78,27.5,27.59,25.28,22.03,20.75,20.59,18.84,15.41,13.78,14.41,14.31,12.03,10.78,11.62,13.12,12.53,11.78,14.5,18.12,19.72,19.69,20.84,22.72,22.72,20.72,19.78,21.09,22.28,21.03,20.12,21.59,23.22,22.56,21.0,22.31,24.31,24.66,23.41,24.19,26.38,27.06,25.12,23.94,24.25,24.0,21.12,18.62,18.88,20.06,19.75,18.78,20.03,22.41,22.88,20.94,20.34,21.78,22.16,20.34,19.47,21.47,23.59,23.19,22.28,23.5,25.12,23.91,21.12,19.97,20.84,20.38,18.09,17.75,19.28,19.75,17.5,15.44,15.47,15.84,14.12,12.38,13.19,15.53,16.53,16.19,17.53,20.34,21.94,20.94,20.81,22.41,23.44,21.59,19.53,20.19,21.47,19.81,17.22,16.0,15.69,13.41,9.72,8.41,9.53,10.12,8.69,7.88,9.78,11.38,10.41,9.25,10.75,13.38,13.84,13.69,15.53,18.31,18.97,16.84,15.25,15.62,15.69,14.03,13.94,17.03,20.5,21.06,20.16,21.34,23.22,22.84,20.84,20.72,22.25,22.59,20.16,18.91,19.53,19.75,17.22,15.41,16.31,18.0,17.28,15.31,15.56,16.72,16.03,14.03,13.62,15.56,16.22,14.91,14.09,15.12,15.91,13.53,11.41,11.97,13.5,13.25,11.84,12.09,13.66,13.31,11.66,11.53,14.12,16.34,16.03,15.66,17.53,19.06,17.56,15.97,16.44,18.34,17.97,16.12,15.81,17.0,16.72,14.38,13.06,14.16,15.0,13.22,11.62,13.03,15.0,14.81,14.53,16.97,20.88,23.22,23.97,25.38,28.0,28.97,27.09,25.75,26.88,26.94,23.62,20.03,18.53,17.81,15.56,13.56,14.91,18.12,20.12,19.88,20.06,21.31,21.41,18.81,17.0,18.59,20.91,20.94,20.34,22.12,24.88,24.28,22.72,22.5,23.5,22.38,18.38,14.66,13.31,11.62,7.84,5.09,5.84,7.59,7.38,6.75,8.94,12.75,14.62,14.88,16.34,19.12,20.53,18.56,17.19,18.34,18.69,16.75,14.94,15.91,17.62,17.0,15.16,14.88,15.62,13.84,10.41,8.06,8.12,7.94,5.72,4.62,6.66,8.94,9.12,8.97,11.66,14.88,15.5,14.34,14.72,17.09,17.88,17.12,17.5,20.16,21.62,20.19,18.56,19.38,20.53,19.19,17.06,17.47,18.41,17.5,15.06,14.22,15.28,14.66,11.81,9.25,9.47,9.62,7.84,6.09,7.62,9.88,9.06,7.22,7.44,9.19,9.03,7.66,7.72,10.09,10.78,9.44,8.28,9.31,10.34,9.25,8.16,10.09,13.28,14.28,14.0,15.53,17.72,17.5,14.59,12.78,13.31,12.84,10.69,9.41,11.5,14.03,14.09,13.34,14.62,16.62,16.09,14.72,15.44,18.06,19.59,18.78,18.16,19.56,19.91,17.53,15.03,16.09,18.12,18.03,17.5,18.78,21.25,21.47,19.62,19.5,21.81,22.75,21.75,21.44,23.41,24.62,23.78,21.59,21.5,21.81,19.28,15.81,14.31,14.62,14.12,12.16,11.78,13.59,14.38,12.84,11.59,13.31,15.69,15.88,15.5,17.03,18.97,17.88,14.78,13.06,13.16,12.25,9.38,8.06,8.94,10.03,8.25,6.81,8.19,9.53,8.53,7.16,8.62,11.0,11.62,10.69,11.25,13.53,14.03,12.28,11.31,12.66,13.97,13.0,12.28,14.38,16.88,17.62,16.75,17.84,19.94,20.0,17.91,16.72,17.44,17.03,14.03,11.75,12.03,13.06,11.56,10.06,10.84,12.69,12.19,10.53,10.47,12.12,12.5,10.81,10.25,11.91,12.75,10.78,8.75,9.56,10.81,9.88,8.34,9.25,11.09,10.78,8.44,7.75,8.59,8.5,6.88,7.0,10.19,13.38,14.34,14.5,16.66,18.44,17.41,14.69,14.28,15.0,14.38,12.53,12.84,15.09,17.03,16.28,15.31,16.25,16.97,14.72,11.97,11.84,12.38,10.78,8.56,8.47,10.97,12.66,12.53,12.97,14.84,15.53,13.16,11.06,12.12,13.5,12.56,10.81,10.69,11.28,9.75,6.53,5.41,6.56,7.19,6.03,6.06,8.47,10.22,8.66,6.38,5.75,4.84,1.06,-3.53,-5.34,-4.53,-4.62,-4.88,-2.34,3.19,8.81,12.25,16.06,21.19,24.69,23.75,20.94,19.75,19.0,16.62,13.28,12.53,14.41,15.56,15.47,16.59,19.44,20.66,18.66,16.12,15.97,15.53,12.75,9.16,7.47,6.81,4.62,1.94,1.59,4.0,5.34,5.03,5.41,7.38,9.16,8.16,7.31,9.25,12.09,13.0,12.28,12.78,13.88,12.53,9.97,9.81,12.22,15.19,16.38,18.66,23.0,27.09,27.75,27.22,27.62,28.84,26.94,24.22,22.97,23.75,23.09,20.62,19.59,21.03,21.78,20.25,18.44,18.97,19.25,16.94,14.41,13.97,15.56,15.62,14.41,14.66,15.78,14.34,9.69,5.56,4.41,3.84,1.88,1.59,4.38,8.38,10.44,11.38,13.56,16.81,17.22,15.16,13.66,14.03,13.31,10.5,8.72,9.31,9.97,7.97,5.94,6.62,8.62,9.03,8.91,11.06,14.88,16.94,17.31,18.09,20.62,21.31,18.66,15.53,14.91,14.78,12.88,11.66,13.56,17.31,18.94,18.84,19.19,20.06,18.75,14.84,11.62,11.38,11.34,8.97,7.06,7.53,8.91,7.88,6.41,7.81,10.81,12.16,12.22,13.28,15.81,16.97,15.53,14.81,16.38,18.28,18.31,18.03,19.62,21.69,20.66,17.66,15.66,14.53,12.25,8.56,6.06,6.62,6.66,4.53,2.56,3.59,4.72,3.44,1.88,2.53,4.5,4.97,4.59,6.66,10.22,12.41,12.78,13.81,17.34,19.25,18.22,16.0,15.25,14.75,12.0,8.84,8.88,10.69,11.16,10.41,10.97,13.81,15.38:9.41,9.16,11.25,12.78,12.12,10.66,11.72,14.56,15.25,13.94,13.94,15.44,14.47,11.19,8.66,8.72,8.5,6.12,4.47,6.44,9.28,10.38,10.28,12.34,15.28,15.5,14.16,14.41,16.88,18.0,16.34,15.44,16.16,16.16,13.06,9.06,8.03,7.5,4.69,1.88,2.22,4.56,6.09,6.34,7.66,11.19,13.09,11.97,11.34,13.16,15.16,14.69,13.0,13.47,14.16,12.88,10.25,9.72,11.22,11.38,9.38,7.84,8.75,9.03,7.44,6.25,8.62,12.22,12.97,12.25,13.06,14.41,13.72,11.25,11.25,13.56,15.59,15.84,16.97,20.06,22.75,21.69,19.66,19.81,20.31,18.62,16.12,15.59,16.62,16.53,14.19,13.47,14.81,15.03,12.28,8.81,7.81,6.5,2.91,-0.09,0.38,2.78,4.0,3.34,5.0,7.88,8.94,7.34,6.59,7.94,8.41,6.31,4.22,5.38,6.72,5.88,4.16,4.56,6.22,6.06,4.38,4.41,6.88,8.12,6.84,6.41,8.44,10.19,9.41,8.31,9.66,11.0,9.69,6.91,6.28,7.28,7.31,6.53,7.5,11.5,15.41,16.06,16.72,18.75,19.91,17.62,14.25,12.94,12.53,10.38,7.16,6.66,9.06,11.09,11.0,11.84,13.5,13.47,9.91,6.22,5.19,5.56,4.47,3.28,5.62,9.59,12.25,13.16,15.5,18.81,20.81,19.66,18.72,19.47,19.62,16.66,13.62,13.28,14.0,12.59,10.0,9.47,10.62,9.62,7.16,6.06,7.22,8.31,6.97,6.75,9.44,12.72,13.19,13.62,16.5,20.22,21.09,20.09,19.75,20.19,18.97,15.75,13.06,13.56,14.12,12.69,11.84,13.53,15.31,13.97,10.97,9.59,9.72,8.59,6.47,6.88,9.44,10.94,9.78,9.69,10.94,11.91,10.16,8.34,9.31,11.88,12.94,13.84,16.81,21.16,23.34,22.97,22.59,23.31,21.97,17.41,13.03,11.12,10.44,7.78,5.66,6.38,8.62,8.97,8.56,9.62,12.06,13.19,11.59,10.78,11.91,12.78,11.53,10.97,13.03,15.78,15.88,14.91,15.81,17.31,17.03,14.78,13.72,14.53,14.28,11.88,9.84,10.03,9.91,6.94,3.41,2.59,2.59,0.56,-2.5,-3.38,-2.62,-2.62,-3.5,-2.19,2.31,6.62,8.53,10.56,14.5,18.19,18.75,18.53,19.97,21.97,21.56,19.12,17.78,18.0,16.34,12.47,9.25,8.66,8.28,6.66,6.09,8.94,12.97,15.0,15.91,18.38,21.62,22.62,21.66,21.62,23.44,24.19,22.41,20.88,22.03,23.31,22.16,21.06,22.56,24.69,24.31,22.34,21.22,21.31,19.38,15.22,12.28,11.91,11.62,9.81,8.84,11.16,13.91,14.12,14.09,16.0,19.31,20.78,21.62,23.97,28.19,30.53,30.03,29.0,29.53,28.62,24.75,20.78,19.81,19.59,17.88,16.44,17.16,19.84,20.84,20.44,21.28,23.41,24.38,22.22,19.84,20.03,19.81,17.09,14.5,14.28,14.75,13.34,10.59,9.78,10.72,10.34,9.31,9.78,13.22,15.97,16.22,16.53,19.59,22.66,23.5,23.47,24.84,26.25,25.0,21.31,19.69,20.53,20.97,20.5,20.84,23.59,24.69,22.97,20.81,20.75,21.53,21.28,20.19,22.28,25.94,28.09,28.69,30.31,33.25,34.53,32.44,30.41,30.53,30.16,27.62,24.72,24.38,25.22,23.81,21.28,20.84,22.19,22.38,20.84,20.75,22.81,23.56,22.09,20.62,22.06,23.94,24.03,23.47,25.09,27.62,28.41,27.91,28.84,31.22,32.28,31.09,30.25,31.44,32.16,30.38,27.78,27.5,27.59,25.28,22.03,20.75,20.59,18.84,15.41,13.78,14.41,14.31,12.03,10.78,11.62,13.12,12.53,11.78,14.5,18.12,19.72,19.69,20.84,22.72,22.72,20.72,19.78,21.09,22.28,21.03,20.12,21.59,23.22,22.56,21.0,22.31,24.31,24.66,23.41,24.19,26.38,27.06,25.12,23.94,24.25,24.0,21.12,18.62,18.88,20.06,19.75,18.78,20.03,22.41,22.88,20.94,20.34,21.78,22.16,20.34,19.47,21.47,23.59,23.19,22.28,23.5,25.12,23.91,21.12,19.97,20.84,20.38,18.09,17.75,19.28,19.75,17.5,15.44,15.47,15.84,14.12,12.38,13.19,15.53,16.53,16.19,17.53,20.34,21.94,20.94,20.81,22.41,23.44,21.59,19.53,20.19,21.47,19.81,17.22,16.0,15.69,13.41,9.72,8.41,9.53,10.12,8.69,7.88,9.78,11.38,10.41,9.25,10.75,13.38,13.84,13.69,15.53,18.31,18.97,16.84,15.25,15.62,15.69,14.03,13.94,17.03,20.5,21.06,20.16,21.34,23.22,22.84,20.84,20.72,22.25,22.59,20.16,18.91,19.53,19.75,17.22,15.41,16.31,18.0,17.28,15.31,15.56,16.72,16.03,14.03,13.62,15.56,16.22,14.91,14.09,15.12,15.91,13.53,11.41,11.97,13.5,13.25,11.84,12.09,13.66,13.31,11.66,11.53,14.12,16.34,16.03,15.66,17.53,19.06,17.56,15.97,16.44,18.34,17.97,16.12,15.81,17.0,16.72,14.38,13.06,14.16,15.0,13.22,11.62,13.03,15.0,14.81,14.53,16.97,20.88,23.22,23.97,25.38,28.0,28.97,27.09,25.75,26.88,26.94,23.62,20.03,18.53,17.81,15.56,13.56,14.91,18.12,20.12,19.88,20.06,21.31,21.41,18.81,17.0,18.59,20.91,20.94,20.34,22.12,24.88,24.28,22.72,22.5,23.5,22.38,18.38,14.66,13.31,11.62,7.84,5.09,5.84,7.59,7.38,6.75,8.94,12.75,14.62,14.88,16.34,19.12,20.53,18.56,17.19,18.34,18.69,16.75,14.94,15.91,17.62,17.0,15.16,14.88,15.62,13.84,10.41,8.06,8.12,7.94,5.72,4.62,6.66,8.94,9.12,8.97,11.66,14.88,15.5,14.34,14.72,17.09,17.88,17.12,17.5,20.16,21.62,20.19,18.56,19.38,20.53,19.19,17.06,17.47,18.41,17.5,15.06,14.22,15.28,14.66,11.81,9.25,9.47,9.62,7.84,6.09,7.62,9.88,9.06,7.22,7.44,9.19,9.03,7.66,7.72,10.09,10.78,9.44,8.28,9.31,10.34,9.25,8.16,10.09,13.28,14.28,14.0,15.53,17.72,17.5,14.59,12.78,13.31,12.84,10.69,9.41,11.5,14.03,14.09,13.34,14.62,16.62,16.09,14.72,15.44,18.06,19.59,18.78,18.16,19.56,19.91,17.53,15.03,16.09,18.12,18.03,17.5,18.78,21.25,21.47,19.62,19.5,21.81,22.75,21.75,21.44,23.41,24.62,23.78,21.59,21.5,21.81,19.28,15.81,14.31,14.62,14.12,12.16,11.78,13.59,14.38,12.84,11.59,13.31,15.69,15.88,15.5,17.03,18.97,17.88,14.78,13.06,13.16,12.25,9.38,8.06,8.94,10.03,8.25,6.81,8.19,9.53,8.53,7.16,8.62,11.0,11.62,10.69,11.25,13.53,14.03,12.28,11.31,12.66,13.97,13.0,12.28,14.38,16.88,17.62,16.75,17.84,19.94,20.0,17.91,16.72,17.44,17.03,14.03,11.75,12.03,13.06,11.56,10.06,10.84,12.69,12.19,10.53,10.47,12.12,12.5,10.81,10.25,11.91,12.75,10.78,8.75,9.56,10.81,9.88,8.34,9.25,11.09,10.78,8.44,7.75,8.59,8.5,6.88,7.0,10.19,13.38,14.34,14.5,16.66,18.44,17.41,14.69,14.28,15.0,14.38,12.53,12.84,15.09,17.03,16.28,15.31,16.25,16.97,14.72,11.97,11.84,12.38,10.78,8.56,8.47,10.97,12.66,12.53,12.97,14.84,15.53,13.16,11.06,12.12,13.5,12.56,10.81,10.69,11.28,9.75,6.53,5.41,6.56,7.19,6.03,6.06,8.47,10.22,8.66,6.38,5.75,4.84,1.06,-3.53,-5.34,-4.53,-4.62,-4.88,-2.34,3.19,8.81,12.25,16.06,21.19,24.69,23.75,20.94,19.75,19.0,16.62,13.28,12.53,14.41,15.56,15.47,16.59,19.44,20.66,18.66,16.12,15.97,15.53,12.75,9.16,7.47,6.81,4.62,1.94,1.59,4.0,5.34,5.03,5.41,7.38,9.16,8.16,7.31,9.25,12.09,13.0,12.28,12.78,13.88,12.53,9.97,9.81,12.22,15.19,16.38,18.66,23.0,27.09,27.75,27.22,27.62,28.84,26.94,24.22,22.97,23.75,23.09,20.62,19.59,21.03,21.78,20.25,18.44,18.97,19.25,16.94,14.41,13.97,15.56,15.62,14.41,14.66,15.78,14.34,9.69,5.56,4.41,3.84,1.88,1.59,4.38,8.38,10.44,11.38,13.56,16.81,17.22,15.16,13.66,14.03,13.31,10.5,8.72,9.31,9.97,7.97,5.94,6.62,8.62,9.03,8.91,11.06,14.88,16.94,17.31,18.09,20.62,21.31,18.66,15.53,14.91,14.78,12.88,11.66,13.56,17.31,18.94,18.84,19.19,20.06,18.75,14.84,11.62,11.38,11.34,8.97,7.06,7.53,8.91,7.88,6.41,7.81,10.81,12.16,12.22,13.28,15.81,16.97,15.53,14.81,16.38,18.28,18.31,18.03,19.62,21.69,20.66,17.66,15.66,14.53,12.25,8.56,6.06,6.62,6.66,4.53,2.56,3.59,4.72,3.44,1.88,2.53,4.5,4.97,4.59,6.66,10.22,12.41,12.78,13.81,17.34,19.25,18.22,16.0,15.25,14.75,12.0,8.84,8.88,10.69,11.16,10.41,10.97,13.81,15.38,19.03,19.59,19.5,18.22,18.28,20.16,21.69:14.56,15.25,13.94,13.94,15.44,14.47,11.19,8.66,8.72,8.5,6.12,4.47,6.44,9.28,10.38,10.28,12.34,15.28,15.5,14.16,14.41,16.88,18.0,16.34,15.44,16.16,16.16,13.06,9.06,8.03,7.5,4.69,1.88,2.22,4.56,6.09,6.34,7.66,11.19,13.09,11.97,11.34,13.16,15.16,14.69,13.0,13.47,14.16,12.88,10.25,9.72,11.22,11.38,9.38,7.84,8.75,9.03,7.44,6.25,8.62,12.22,12.97,12.25,13.06,14.41,13.72,11.25,11.25,13.56,15.59,15.84,16.97,20.06,22.75,21.69,19.66,19.81,20.31,18.62,16.12,15.59,16.62,16.53,14.19,13.47,14.81,15.03,12.28,8.81,7.81,6.5,2.91,-0.09,0.38,2.78,4.0,3.34,5.0,7.88,8.94,7.34,6.59,7.94,8.41,6.31,4.22,5.38,6.72,5.88,4.16,4.56,6.22,6.06,4.38,4.41,6.88,8.12,6.84,6.41,8.44,10.19,9.41,8.31,9.66,11.0,9.69,6.91,6.28,7.28,7.31,6.53,7.5,11.5,15.41,16.06,16.72,18.75,19.91,17.62,14.25,12.94,12.53,10.38,7.16,6.66,9.06,11.09,11.0,11.84,13.5,13.47,9.91,6.22,5.19,5.56,4.47,3.28,5.62,9.59,12.25,13.16,15.5,18.81,20.81,19.66,18.72,19.47,19.62,16.66,13.62,13.28,14.0,12.59,10.0,9.47,10.62,9.62,7.16,6.06,7.22,8.31,6.97,6.75,9.44,12.72,13.19,13.62,16.5,20.22,21.09,20.09,19.75,20.19,18.97,15.75,13.06,13.56,14.12,12.69,11.84,13.53,15.31,13.97,10.97,9.59,9.72,8.59,6.47,6.88,9.44,10.94,9.78,9.69,10.94,11.91,10.16,8.34,9.31,11.88,12.94,13.84,16.81,21.16,23.34,22.97,22.59,23.31,21.97,17.41,13.03,11.12,10.44,7.78,5.66,6.38,8.62,8.97,8.56,9.62,12.06,13.19,11.59,10.78,11.91,12.78,11.53,10.97,13.03,15.78,15.88,14.91,15.81,17.31,17.03,14.78,13.72,14.53,14.28,11.88,9.84,10.03,9.91,6.94,3.41,2.59,2.59,0.56,-2.5,-3.38,-2.62,-2.62,-3.5,-2.19,2.31,6.62,8.53,10.56,14.5,18.19,18.75,18.53,19.97,21.97,21.56,19.12,17.78,18.0,16.34,12.47,9.25,8.66,8.28,6.66,6.09,8.94,12.97,15.0,15.91,18.38,21.62,22.62,21.66,21.62,23.44,24.19,22.41,20.88,22.03,23.31,22.16,21.06,22.56,24.69,24.31,22.34,21.22,21.31,19.38,15.22,12.28,11.91,11.62,9.81,8.84,11.16,13.91,14.12,14.09,16.0,19.31,20.78,21.62,23.97,28.19,30.53,30.03,29.0,29.53,28.62,24.75,20.78,19.81,19.59,17.88,16.44,17.16,19.84,20.84,20.44,21.28,23.41,24.38,22.22,19.84,20.03,19.81,17.09,14.5,14.28,14.75,13.34,10.59,9.78,10.72,10.34,9.31,9.78,13.22,15.97,16.22,16.53,19.59,22.66,23.5,23.47,24.84,26.25,25.0,21.31,19.69,20.53,20.97,20.5,20.84,23.59,24.69,22.97,20.81,20.75,21.53,21.28,20.19,22.28,25.94,28.09,28.69,30.31,33.25,34.53,32.44,30.41,30.53,30.16,27.62,24.72,24.38,25.22,23.81,21.28,20.84,22.19,22.38,20.84,20.75,22.81,23.56,22.09,20.62,22.06,23.94,24.03,23.47,25.09,27.62,28.41,27.91,28.84,31.22,32.28,31.09,30.25,31.44,32.16,30.38,27.78,27.5,27.59,25.28,22.03,20.75,20.59,18.84,15.41,13.78,14.41,14.31,12.03,10.78,11.62,13.12,12.53,11.78,14.5,18.12,19.72,19.69,20.84,22.72,22.72,20.72,19.78,21.09,22.28,21.03,20.12,21.59,23.22,22.56,21.0,22.31,24.31,24.66,23.41,24.19,26.38,27.06,25.12,23.94,24.25,24.0,21.12,18.62,18.88,20.06,19.75,18.78,20.03,22.41,22.88,20.94,20.34,21.78,22.16,20.34,19.47,21.47,23.59,23.19,22.28,23.5,25.12,23.91,21.12,19.97,20.84,20.38,18.09,17.75,19.28,19.75,17.5,15.44,15.47,15.84,14.12,12.38,13.19,15.53,16.53,16.19,17.53,20.34,21.94,20.94,20.81,22.41,23.44,21.59,19.53,20.19,21.47,19.81,17.22,16.0,15.69,13.41,9.72,8.41,9.53,10.12,8.69,7.88,9.78,11.38,10.41,9.25,10.75,13.38,13.84,13.69,15.53,18.31,18.97,16.84,15.25,15.62,15.69,14.03,13.94,17.03,20.5,21.06,20.16,21.34,23.22,22.84,20.84,20.72,22.25,22.59,20.16,18.91,19.53,19.75,17.22,15.41,16.31,18.0,17.28,15.31,15.56,16.72,16.03,14.03,13.62,15.56,16.22,14.91,14.09,15.12,15.91,13.53,11.41,11.97,13.5,13.25,11.84,12.09,13.66,13.31,11.66,11.53,14.12,16.34,16.03,15.66,17.53,19.06,17.56,15.97,16.44,18.34,17.97,16.12,15.81,17.0,16.72,14.38,13.06,14.16,15.0,13.22,11.62,13.03,15.0,14.81,14.53,16.97,20.88,23.22,23.97,25.38,28.0,28.97,27.09,25.75,26.88,26.94,23.62,20.03,18.53,17.81,15.56,13.56,14.91,18.12,20.12,19.88,20.06,21.31,21.41,18.81,17.0,18.59,20.91,20.94,20.34,22.12,24.88,24.28,22.72,22.5,23.5,22.38,18.38,14.66,13.31,11.62,7.84,5.09,5.84,7.59,7.38,6.75,8.94,12.75,14.62,14.88,16.34,19.12,20.53,18.56,17.19,18.34,18.69,16.75,14.94,15.91,17.62,17.0,15.16,14.88,15.62,13.84,10.41,8.06,8.12,7.94,5.72,4.62,6.66,8.94,9.12,8.97,11.66,14.88,15.5,14.34,14.72,17.09,17.88,17.12,17.5,20.16,21.62,20.19,18.56,19.38,20.53,19.19,17.06,17.47,18.41,17.5,15.06,14.22,15.28,14.66,11.81,9.25,9.47,9.62,7.84,6.09,7.62,9.88,9.06,7.22,7.44,9.19,9.03,7.66,7.72,10.09,10.78,9.44,8.28,9.31,10.34,9.25,8.16,10.09,13.28,14.28,14.0,15.53,17.72,17.5,14.59,12.78,13.31,12.84,10.69,9.41,11.5,14.03,14.09,13.34,14.62,16.62,16.09,14.72,15.44,18.06,19.59,18.78,18.16,19.56,19.91,17.53,15.03,16.09,18.12,18.03,17.5,18.78,21.25,21.47,19.62,19.5,21.81,22.75,21.75,21.44,23.41,24.62,23.78,21.59,21.5,21.81,19.28,15.81,14.31,14.62,14.12,12.16,11.78,13.59,14.38,12.84,11.59,13.31,15.69,15.88,15.5,17.03,18.97,17.88,14.78,13.06,13.16,12.25,9.38,8.06,8.94,10.03,8.25,6.81,8.19,9.53,8.53,7.16,8.62,11.0,11.62,10.69,11.25,13.53,14.03,12.28,11.31,12.66,13.97,13.0,12.28,14.38,16.88,17.62,16.75,17.84,19.94,20.0,17.91,16.72,17.44,17.03,14.03,11.75,12.03,13.06,11.56,10.06,10.84,12.69,12.19,10.53,10.47,12.12,12.5,10.81,10.25,11.91,12.75,10.78,8.75,9.56,10.81,9.88,8.34,9.25,11.09,10.78,8.44,7.75,8.59,8.5,6.88,7.0,10.19,13.38,14.34,14.5,16.66,18.44,17.41,14.69,14.28,15.0,14.38,12.53,12.84,15.09,17.03,16.28,15.31,16.25,16.97,14.72,11.97,11.84,12.38,10.78,8.56,8.47,10.97,12.66,12.53,12.97,14.84,15.53,13.16,11.06,12.12,13.5,12.56,10.81,10.69,11.28,9.75,6.53,5.41,6.56,7.19,6.03,6.06,8.47,10.22,8.66,6.38,5.75,4.84,1.06,-3.53,-5.34,-4.53,-4.62,-4.88,-2.34,3.19,8.81,12.25,16.06,21.19,24.69,23.75,20.94,19.75,19.0,16.62,13.28,12.53,14.41,15.56,15.47,16.59,19.44,20.66,18.66,16.12,15.97,15.53,12.75,9.16,7.47,6.81,4.62,1.94,1.59,4.0,5.34,5.03,5.41,7.38,9.16,8.16,7.31,9.25,12.09,13.0,12.28,12.78,13.88,12.53,9.97,9.81,12.22,15.19,16.38,18.66,23.0,27.09,27.75,27.22,27.62,28.84,26.94,24.22,22.97,23.75,23.09,20.62,19.59,21.03,21.78,20.25,18.44,18.97,19.25,16.94,14.41,13.97,15.56,15.62,14.41,14.66,15.78,14.34,9.69,5.56,4.41,3.84,1.88,1.59,4.38,8.38,10.44,11.38,13.56,16.81,17.22,15.16,13.66,14.03,13.31,10.5,8.72,9.31,9.97,7.97,5.94,6.62,8.62,9.03,8.91,11.06,14.88,16.94,17.31,18.09,20.62,21.31,18.66,15.53,14.91,14.78,12.88,11.66,13.56,17.31,18.94,18.84,19.19,20.06,18.75,14.84,11.62,11.38,11.34,8.97,7.06,7.53,8.91,7.88,6.41,7.81,10.81,12.16,12.22,13.28,15.81,16.97,15.53,14.81,16.38,18.28,18.31,18.03,19.62,21.69,20.66,17.66,15.66,14.53,12.25,8.56,6.06,6.62,6.66,4.53,2.56,3.59,4.72,3.44,1.88,2.53,4.5,4.97,4.59,6.66,10.22,12.41,12.78,13.81,17.34,19.25,18.22,16.0,15.25,14.75,12.0,8.84,8.88,10.69,11.16,10.41,10.97,13.81,15.38,19.03,19.59,19.5,18.22,18.28,20.16,21.69,22.06,22.81,25.31,27.44,28.0,27.84,29.28:8.66,8.72,8.5,6.12,4.47,6.44,9.28,10.38,10.28,12.34,15.28,15.5,14.16,14.41,16.88,18.0,16.34,15.44,16.16,16.16,13.06,9.06,8.03,7.5,4.69,1.88,2.22,4.56,6.09,6.34,7.66,11.19,13.09,11.97,11.34,13.16,15.16,14.69,13.0,13.47,14.16,12.88,10.25,9.72,11.22,11.38,9.38,7.84,8.75,9.03,7.44,6.25,8.62,12.22,12.97,12.25,13.06,14.41,13.72,11.25,11.25,13.56,15.59,15.84,16.97,20.06,22.75,21.69,19.66,19.81,20.31,18.62,16.12,15.59,16.62,16.53,14.19,13.47,14.81,15.03,12.28,8.81,7.81,6.5,2.91,-0.09,0.38,2.78,4.0,3.34,5.0,7.88,8.94,7.34,6.59,7.94,8.41,6.31,4.22,5.38,6.72,5.88,4.16,4.56,6.22,6.06,4.38,4.41,6.88,8.12,6.84,6.41,8.44,10.19,9.41,8.31,9.66,11.0,9.69,6.91,6.28,7.28,7.31,6.53,7.5,11.5,15.41,16.06,16.72,18.75,19.91,17.62,14.25,12.94,12.53,10.38,7.16,6.66,9.06,11.09,11.0,11.84,13.5,13.47,9.91,6.22,5.19,5.56,4.47,3.28,5.62,9.59,12.25,13.16,15.5,18.81,20.81,19.66,18.72,19.47,19.62,16.66,13.62,13.28,14.0,12.59,10.0,9.47,10.62,9.62,7.16,6.06,7.22,8.31,6.97,6.75,9.44,12.72,13.19,13.62,16.5,20.22,21.09,20.09,19.75,20.19,18.97,15.75,13.06,13.56,14.12,12.69,11.84,13.53,15.31,13.97,10.97,9.59,9.72,8.59,6.47,6.88,9.44,10.94,9.78,9.69,10.94,11.91,10.16,8.34,9.31,11.88,12.94,13.84,16.81,21.16,23.34,22.97,22.59,23.31,21.97,17.41,13.03,11.12,10.44,7.78,5.66,6.38,8.62,8.97,8.56,9.62,12.06,13.19,11.59,10.78,11.91,12.78,11.53,10.97,13.03,15.78,15.88,14.91,15.81,17.31,17.03,14.78,13.72,14.53,14.28,11.88,9.84,10.03,9.91,6.94,3.41,2.59,2.59,0.56,-2.5,-3.38,-2.62,-2.62,-3.5,-2.19,2.31,6.62,8.53,10.56,14.5,18.19,18.75,18.53,19.97,21.97,21.56,19.12,17.78,18.0,16.34,12.47,9.25,8.66,8.28,6.66,6.09,8.94,12.97,15.0,15.91,18.38,21.62,22.62,21.66,21.62,23.44,24.19,22.41,20.88,22.03,23.31,22.16,21.06,22.56,24.69,24.31,22.34,21.22,21.31,19.38,15.22,12.28,11.91,11.62,9.81,8.84,11.16,13.91,14.12,14.09,16.0,19.31,20.78,21.62,23.97,28.19,30.53,30.03,29.0,29.53,28.62,24.75,20.78,19.81,19.59,17.88,16.44,17.16,19.84,20.84,20.44,21.28,23.41,24.38,22.22,19.84,20.03,19.81,17.09,14.5,14.28,14.75,13.34,10.59,9.78,10.72,10.34,9.31,9.78,13.22,15.97,16.22,16.53,19.59,22.66,23.5,23.47,24.84,26.25,25.0,21.31,19.69,20.53,20.97,20.5,20.84,23.59,24.69,22.97,20.81,20.75,21.53,21.28,20.19,22.28,25.94,28.09,28.69,30.31,33.25,34.53,32.44,30.41,30.53,30.16,27.62,24.72,24.38,25.22,23.81,21.28,20.84,22.19,22.38,20.84,20.75,22.81,23.56,22.09,20.62,22.06,23.94,24.03,23.47,25.09,27.62,28.41,27.91,28.84,31.22,32.28,31.09,30.25,31.44,32.16,30.38,27.78,27.5,27.59,25.28,22.03,20.75,20.59,18.84,15.41,13.78,14.41,14.31,12.03,10.78,11.62,13.12,12.53,11.78,14.5,18.12,19.72,19.69,20.84,22.72,22.72,20.72,19.78,21.09,22.28,21.03,20.12,21.59,23.22,22.56,21.0,22.31,24.31,24.66,23.41,24.19,26.38,27.06,25.12,23.94,24.25,24.0,21.12,18.62,18.88,20.06,19.75,18.78,20.03,22.41,22.88,20.94,20.34,21.78,22.16,20.34,19.47,21.47,23.59,23.19,22.28,23.5,25.12,23.91,21.12,19.97,20.84,20.38,18.09,17.75,19.28,19.75,17.5,15.44,15.47,15.84,14.12,12.38,13.19,15.53,16.53,16.19,17.53,20.34,21.94,20.94,20.81,22.41,23.44,21.59,19.53,20.19,21.47,19.81,17.22,16.0,15.69,13.41,9.72,8.41,9.53,10.12,8.69,7.88,9.78,11.38,10.41,9.25,10.75,13.38,13.84,13.69,15.53,18.31,18.97,16.84,15.25,15.62,15.69,14.03,13.94,17.03,20.5,21.06,20.16,21.34,23.22,22.84,20.84,20.72,22.25,22.59,20.16,18.91,19.53,19.75,17.22,15.41,16.31,18.0,17.28,15.31,15.56,16.72,16.03,14.03,13.62,15.56,16.22,14.91,14.09,15.12,15.91,13.53,11.41,11.97,13.5,13.25,11.84,12.09,13.66,13.31,11.66,11.53,14.12,16.34,16.03,15.66,17.53,19.06,17.56,15.97,16.44,18.34,17.97,16.12,15.81,17.0,16.72,14.38,13.06,14.16,15.0,13.22,11.62,13.03,15.0,14.81,14.53,16.97,20.88,23.22,23.97,25.38,28.0,28.97,27.09,25.75,26.88,26.94,23.62,20.03,18.53,17.81,15.56,13.56,14.91,18.12,20.12,19.88,20.06,21.31,21.41,18.81,17.0,18.59,20.91,20.94,20.34,22.12,24.88,24.28,22.72,22.5,23.5,22.38,18.38,14.66,13.31,11.62,7.84,5.09,5.84,7.59,7.38,6.75,8.94,12.75,14.62,14.88,16.34,19.12,20.53,18.56,17.19,18.34,18.69,16.75,14.94,15.91,17.62,17.0,15.16,14.88,15.62,13.84,10.41,8.06,8.12,7.94,5.72,4.62,6.66,8.94,9.12,8.97,11.66,14.88,15.5,14.34,14.72,17.09,17.88,17.12,17.5,20.16,21.62,20.19,18.56,19.38,20.53,19.19,17.06,17.47,18.41,17.5,15.06,14.22,15.28,14.66,11.81,9.25,9.47,9.62,7.84,6.09,7.62,9.88,9.06,7.22,7.44,9.19,9.03,7.66,7.72,10.09,10.78,9.44,8.28,9.31,10.34,9.25,8.16,10.09,13.28,14.28,14.0,15.53,17.72,17.5,14.59,12.78,13.31,12.84,10.69,9.41,11.5,14.03,14.09,13.34,14.62,16.62,16.09,14.72,15.44,18.06,19.59,18.78,18.16,19.56,19.91,17.53,15.03,16.09,18.12,18.03,17.5,18.78,21.25,21.47,19.62,19.5,21.81,22.75,21.75,21.44,23.41,24.62,23.78,21.59,21.5,21.81,19.28,15.81,14.31,14.62,14.12,12.16,11.78,13.59,14.38,12.84,11.59,13.31,15.69,15.88,15.5,17.03,18.97,17.88,14.78,13.06,13.16,12.25,9.38,8.06,8.94,10.03,8.25,6.81,8.19,9.53,8.53,7.16,8.62,11.0,11.62,10.69,11.25,13.53,14.03,12.28,11.31,12.66,13.97,13.0,12.28,14.38,16.88,17.62,16.75,17.84,19.94,20.0,17.91,16.72,17.44,17.03,14.03,11.75,12.03,13.06,11.56,10.06,10.84,12.69,12.19,10.53,10.47,12.12,12.5,10.81,10.25,11.91,12.75,10.78,8.75,9.56,10.81,9.88,8.34,9.25,11.09,10.78,8.44,7.75,8.59,8.5,6.88,7.0,10.19,13.38,14.34,14.5,16.66,18.44,17.41,14.69,14.28,15.0,14.38,12.53,12.84,15.09,17.03,16.28,15.31,16.25,16.97,14.72,11.97,11.84,12.38,10.78,8.56,8.47,10.97,12.66,12.53,12.97,14.84,15.53,13.16,11.06,12.12,13.5,12.56,10.81,10.69,11.28,9.75,6.53,5.41,6.56,7.19,6.03,6.06,8.47,10.22,8.66,6.38,5.75,4.84,1.06,-3.53,-5.34,-4.53,-4.62,-4.88,-2.34,3.19,8.81,12.25,16.06,21.19,24.69,23.75,20.94,19.75,19.0,16.62,13.28,12.53,14.41,15.56,15.47,16.59,19.44,20.66,18.66,16.12,15.97,15.53,12.75,9.16,7.47,6.81,4.62,1.94,1.59,4.0,5.34,5.03,5.41,7.38,9.16,8.16,7.31,9.25,12.09,13.0,12.28,12.78,13.88,12.53,9.97,9.81,12.22,15.19,16.38,18.66,23.0,27.09,27.75,27.22,27.62,28.84,26.94,24.22,22.97,23.75,23.09,20.62,19.59,21.03,21.78,20.25,18.44,18.97,19.25,16.94,14.41,13.97,15.56,15.62,14.41,14.66,15.78,14.34,9.69,5.56,4.41,3.84,1.88,1.59,4.38,8.38,10.44,11.38,13.56,16.81,17.22,15.16,13.66,14.03,13.31,10.5,8.72,9.31,9.97,7.97,5.94,6.62,8.62,9.03,8.91,11.06,14.88,16.94,17.31,18.09,20.62,21.31,18.66,15.53,14.91,14.78,12.88,11.66,13.56,17.31,18.94,18.84,19.19,20.06,18.75,14.84,11.62,11.38,11.34,8.97,7.06,7.53,8.91,7.88,6.41,7.81,10.81,12.16,12.22,13.28,15.81,16.97,15.53,14.81,16.38,18.28,18.31,18.03,19.62,21.69,20.66,17.66,15.66,14.53,12.25,8.56,6.06,6.62,6.66,4.53,2.56,3.59,4.72,3.44,1.88,2.53,4.5,4.97,4.59,6.66,10.22,12.41,12.78,13.81,17.34,19.25,18.22,16.0,15.25,14.75,12.0,8.84,8.88,10.69,11.16,10.41,10.97,13.81,15.38,19.03,19.59,19.5,18.22,18.28,20.16,21.69,22.06,22.81,25.31,27.44,28.0,27.84,29.28,31.56,32.38,31.38,31.06,31.25,29.66,26.88:10.38,10.28,12.34,15.28,15.5,14.16,14.41,16.88,18.0,16.34,15.44,16.16,16.16,13.06,9.06,8.03,7.5,4.69,1.88,2.22,4.56,6.09,6.34,7.66,11.19,13.09,11.97,11.34,13.16,15.16,14.69,13.0,13.47,14.16,12.88,10.25,9.72,11.22,11.38,9.38,7.84,8.75,9.03,7.44,6.25,8.62,12.22,12.97,12.25,13.06,14.41,13.72,11.25,11.25,13.56,15.59,15.84,16.97,20.06,22.75,21.69,19.66,19.81,20.31,18.62,16.12,15.59,16.62,16.53,14.19,13.47,14.81,15.03,12.28,8.81,7.81,6.5,2.91,-0.09,0.38,2.78,4.0,3.34,5.0,7.88,8.94,7.34,6.59,7.94,8.41,6.31,4.22,5.38,6.72,5.88,4.16,4.56,6.22,6.06,4.38,4.41,6.88,8.12,6.84,6.41,8.44,10.19,9.41,8.31,9.66,11.0,9.69,6.91,6.28,7.28,7.31,6.53,7.5,11.5,15.41,16.06,16.72,18.75,19.91,17.62,14.25,12.94,12.53,10.38,7.16,6.66,9.06,11.09,11.0,11.84,13.5,13.47,9.91,6.22,5.19,5.56,4.47,3.28,5.62,9.59,12.25,13.16,15.5,18.81,20.81,19.66,18.72,19.47,19.62,16.66,13.62,13.28,14.0,12.59,10.0,9.47,10.62,9.62,7.16,6.06,7.22,8.31,6.97,6.75,9.44,12.72,13.19,13.62,16.5,20.22,21.09,20.09,19.75,20.19,18.97,15.75,13.06,13.56,14.12,12.69,11.84,13.53,15.31,13.97,10.97,9.59,9.72,8.59,6.47,6.88,9.44,10.94,9.78,9.69,10.94,11.91,10.16,8.34,9.31,11.88,12.94,13.84,16.81,21.16,23.34,22.97,22.59,23.31,21.97,17.41,13.03,11.12,10.44,7.78,5.66,6.38,8.62,8.97,8.56,9.62,12.06,13.19,11.59,10.78,11.91,12.78,11.53,10.97,13.03,15.78,15.88,14.91,15.81,17.31,17.03,14.78,13.72,14.53,14.28,11.88,9.84,10.03,9.91,6.94,3.41,2.59,2.59,0.56,-2.5,-3.38,-2.62,-2.62,-3.5,-2.19,2.31,6.62,8.53,10.56,14.5,18.19,18.75,18.53,19.97,21.97,21.56,19.12,17.78,18.0,16.34,12.47,9.25,8.66,8.28,6.66,6.09,8.94,12.97,15.0,15.91,18.38,21.62,22.62,21.66,21.62,23.44,24.19,22.41,20.88,22.03,23.31,22.16,21.06,22.56,24.69,24.31,22.34,21.22,21.31,19.38,15.22,12.28,11.91,11.62,9.81,8.84,11.16,13.91,14.12,14.09,16.0,19.31,20.78,21.62,23.97,28.19,30.53,30.03,29.0,29.53,28.62,24.75,20.78,19.81,19.59,17.88,16.44,17.16,19.84,20.84,20.44,21.28,23.41,24.38,22.22,19.84,20.03,19.81,17.09,14.5,14.28,14.75,13.34,10.59,9.78,10.72,10.34,9.31,9.78,13.22,15.97,16.22,16.53,19.59,22.66,23.5,23.47,24.84,26.25,25.0,21.31,19.69,20.53,20.97,20.5,20.84,23.59,24.69,22.97,20.81,20.75,21.53,21.28,20.19,22.28,25.94,28.09,28.69,30.31,33.25,34.53,32.44,30.41,30.53,30.16,27.62,24.72,24.38,25.22,23.81,21.28,20.84,22.19,22.38,20.84,20.75,22.81,23.56,22.09,20.62,22.06,23.94,24.03,23.47,25.09,27.62,28.41,27.91,28.84,31.22,32.28,31.09,30.25,31.44,32.16,30.38,27.78,27.5,27.59,25.28,22.03,20.75,20.59,18.84,15.41,13.78,14.41,14.31,12.03,10.78,11.62,13.12,12.53,11.78,14.5,18.12,19.72,19.69,20.84,22.72,22.72,20.72,19.78,21.09,22.28,21.03,20.12,21.59,23.22,22.56,21.0,22.31,24.31,24.66,23.41,24.19,26.38,27.06,25.12,23.94,24.25,24.0,21.12,18.62,18.88,20.06,19.75,18.78,20.03,22.41,22.88,20.94,20.34,21.78,22.16,20.34,19.47,21.47,23.59,23.19,22.28,23.5,25.12,23.91,21.12,19.97,20.84,20.38,18.09,17.75,19.28,19.75,17.5,15.44,15.47,15.84,14.12,12.38,13.19,15.53,16.53,16.19,17.53,20.34,21.94,20.94,20.81,22.41,23.44,21.59,19.53,20.19,21.47,19.81,17.22,16.0,15.69,13.41,9.72,8.41,9.53,10.12,8.69,7.88,9.78,11.38,10.41,9.25,10.75,13.38,13.84,13.69,15.53,18.31,18.97,16.84,15.25,15.62,15.69,14.03,13.94,17.03,20.5,21.06,20.16,21.34,23.22,22.84,20.84,20.72,22.25,22.59,20.16,18.91,19.53,19.75,17.22,15.41,16.31,18.0,17.28,15.31,15.56,16.72,16.03,14.03,13.62,15.56,16.22,14.91,14.09,15.12,15.91,13.53,11.41,11.97,13.5,13.25,11.84,12.09,13.66,13.31,11.66,11.53,14.12,16.34,16.03,15.66,17.53,19.06,17.56,15.97,16.44,18.34,17.97,16.12,15.81,17.0,16.72,14.38,13.06,14.16,15.0,13.22,11.62,13.03,15.0,14.81,14.53,16.97,20.88,23.22,23.97,25.38,28.0,28.97,27.09,25.75,26.88,26.94,23.62,20.03,18.53,17.81,15.56,13.56,14.91,18.12,20.12,19.88,20.06,21.31,21.41,18.81,17.0,18.59,20.91,20.94,20.34,22.12,24.88,24.28,22.72,22.5,23.5,22.38,18.38,14.66,13.31,11.62,7.84,5.09,5.84,7.59,7.38,6.75,8.94,12.75,14.62,14.88,16.34,19.12,20.53,18.56,17.19,18.34,18.69,16.75,14.94,15.91,17.62,17.0,15.16,14.88,15.62,13.84,10.41,8.06,8.12,7.94,5.72,4.62,6.66,8.94,9.12,8.97,11.66,14.88,15.5,14.34,14.72,17.09,17.88,17.12,17.5,20.16,21.62,20.19,18.56,19.38,20.53,19.19,17.06,17.47,18.41,17.5,15.06,14.22,15.28,14.66,11.81,9.25,9.47,9.62,7.84,6.09,7.62,9.88,9.06,7.22,7.44,9.19,9.03,7.66,7.72,10.09,10.78,9.44,8.28,9.31,10.34,9.25,8.16,10.09,13.28,14.28,14.0,15.53,17.72,17.5,14.59,12.78,13.31,12.84,10.69,9.41,11.5,14.03,14.09,13.34,14.62,16.62,16.09,14.72,15.44,18.06,19.59,18.78,18.16,19.56,19.91,17.53,15.03,16.09,18.12,18.03,17.5,18.78,21.25,21.47,19.62,19.5,21.81,22.75,21.75,21.44,23.41,24.62,23.78,21.59,21.5,21.81,19.28,15.81,14.31,14.62,14.12,12.16,11.78,13.59,14.38,12.84,11.59,13.31,15.69,15.88,15.5,17.03,18.97,17.88,14.78,13.06,13.16,12.25,9.38,8.06,8.94,10.03,8.25,6.81,8.19,9.53,8.53,7.16,8.62,11.0,11.62,10.69,11.25,13.53,14.03,12.28,11.31,12.66,13.97,13.0,12.28,14.38,16.88,17.62,16.75,17.84,19.94,20.0,17.91,16.72,17.44,17.03,14.03,11.75,12.03,13.06,11.56,10.06,10.84,12.69,12.19,10.53,10.47,12.12,12.5,10.81,10.25,11.91,12.75,10.78,8.75,9.56,10.81,9.88,8.34,9.25,11.09,10.78,8.44,7.75,8.59,8.5,6.88,7.0,10.19,13.38,14.34,14.5,16.66,18.44,17.41,14.69,14.28,15.0,14.38,12.53,12.84,15.09,17.03,16.28,15.31,16.25,16.97,14.72,11.97,11.84,12.38,10.78,8.56,8.47,10.97,12.66,12.53,12.97,14.84,15.53,13.16,11.06,12.12,13.5,12.56,10.81,10.69,11.28,9.75,6.53,5.41,6.56,7.19,6.03,6.06,8.47,10.22,8.66,6.38,5.75,4.84,1.06,-3.53,-5.34,-4.53,-4.62,-4.88,-2.34,3.19,8.81,12.25,16.06,21.19,24.69,23.75,20.94,19.75,19.0,16.62,13.28,12.53,14.41,15.56,15.47,16.59,19.44,20.66,18.66,16.12,15.97,15.53,12.75,9.16,7.47,6.81,4.62,1.94,1.59,4.0,5.34,5.03,5.41,7.38,9.16,8.16,7.31,9.25,12.09,13.0,12.28,12.78,13.88,12.53,9.97,9.81,12.22,15.19,16.38,18.66,23.0,27.09,27.75,27.22,27.62,28.84,26.94,24.22,22.97,23.75,23.09,20.62,19.59,21.03,21.78,20.25,18.44,18.97,19.25,16.94,14.41,13.97,15.56,15.62,14.41,14.66,15.78,14.34,9.69,5.56,4.41,3.84,1.88,1.59,4.38,8.38,10.44,11.38,13.56,16.81,17.22,15.16,13.66,14.03,13.31,10.5,8.72,9.31,9.97,7.97,5.94,6.62,8.62,9.03,8.91,11.06,14.88,16.94,17.31,18.09,20.62,21.31,18.66,15.53,14.91,14.78,12.88,11.66,13.56,17.31,18.94,18.84,19.19,20.06,18.75,14.84,11.62,11.38,11.34,8.97,7.06,7.53,8.91,7.88,6.41,7.81,10.81,12.16,12.22,13.28,15.81,16.97,15.53,14.81,16.38,18.28,18.31,18.03,19.62,21.69,20.66,17.66,15.66,14.53,12.25,8.56,6.06,6.62,6.66,4.53,2.56,3.59,4.72,3.44,1.88,2.53,4.5,4.97,4.59,6.66,10.22,12.41,12.78,13.81,17.34,19.25,18.22,16.0,15.25,14.75,12.0,8.84,8.88,10.69,11.16,10.41,10.97,13.81,15.38,19.03,19.59,19.5,18.22,18.28,20.16,21.69,22.06,22.81,25.31,27.44,28.0,27.84,29.28,31.56,32.38,31.38,31.06,31.25,29.66,26.88,24.84,24.88,24.88,23.75,22.97,24.53,26.41:16.88,18.0,16.34,15.44,16.16,16.16,13.06,9.06,8.03,7.5,4.69,1.88,2.22,4.56,6.09,6.34,7.66,11.19,13.09,11.97,11.34,13.16,15.16,14.69,13.0,13.47,14.16,12.88,10.25,9.72,11.22,11.38,9.38,7.84,8.75,9.03,7.44,6.25,8.62,12.22,12.97,12.25,13.06,14.41,13.72,11.25,11.25,13.56,15.59,15.84,16.97,20.06,22.75,21.69,19.66,19.81,20.31,18.62,16.12,15.59,16.62,16.53,14.19,13.47,14.81,15.03,12.28,8.81,7.81,6.5,2.91,-0.09,0.38,2.78,4.0,3.34,5.0,7.88,8.94,7.34,6.59,7.94,8.41,6.31,4.22,5.38,6.72,5.88,4.16,4.56,6.22,6.06,4.38,4.41,6.88,8.12,6.84,6.41,8.44,10.19,9.41,8.31,9.66,11.0,9.69,6.91,6.28,7.28,7.31,6.53,7.5,11.5,15.41,16.06,16.72,18.75,19.91,17.62,14.25,12.94,12.53,10.38,7.16,6.66,9.06,11.09,11.0,11.84,13.5,13.47,9.91,6.22,5.19,5.56,4.47,3.28,5.62,9.59,12.25,13.16,15.5,18.81,20.81,19.66,18.72,19.47,19.62,16.66,13.62,13.28,14.0,12.59,10.0,9.47,10.62,9.62,7.16,6.06,7.22,8.31,6.97,6.75,9.44,12.72,13.19,13.62,16.5,20.22,21.09,20.09,19.75,20.19,18.97,15.75,13.06,13.56,14.12,12.69,11.84,13.53,15.31,13.97,10.97,9.59,9.72,8.59,6.47,6.88,9.44,10.94,9.78,9.69,10.94,11.91,10.16,8.34,9.31,11.88,12.94,13.84,16.81,21.16,23.34,22.97,22.59,23.31,21.97,17.41,13.03,11.12,10.44,7.78,5.66,6.38,8.62,8.97,8.56,9.62,12.06,13.19,11.59,10.78,11.91,12.78,11.53,10.97,13.03,15.78,15.88,14.91,15.81,17.31,17.03,14.78,13.72,14.53,14.28,11.88,9.84,10.03,9.91,6.94,3.41,2.59,2.59,0.56,-2.5,-3.38,-2.62,-2.62,-3.5,-2.19,2.31,6.62,8.53,10.56,14.5,18.19,18.75,18.53,19.97,21.97,21.56,19.12,17.78,18.0,16.34,12.47,9.25,8.66,8.28,6.66,6.09,8.94,12.97,15.0,15.91,18.38,21.62,22.62,21.66,21.62,23.44,24.19,22.41,20.88,22.03,23.31,22.16,21.06,22.56,24.69,24.31,22.34,21.22,21.31,19.38,15.22,12.28,11.91,11.62,9.81,8.84,11.16,13.91,14.12,14.09,16.0,19.31,20.78,21.62,23.97,28.19,30.53,30.03,29.0,29.53,28.62,24.75,20.78,19.81,19.59,17.88,16.44,17.16,19.84,20.84,20.44,21.28,23.41,24.38,22.22,19.84,20.03,19.81,17.09,14.5,14.28,14.75,13.34,10.59,9.78,10.72,10.34,9.31,9.78,13.22,15.97,16.22,16.53,19.59,22.66,23.5,23.47,24.84,26.25,25.0,21.31,19.69,20.53,20.97,20.5,20.84,23.59,24.69,22.97,20.81,20.75,21.53,21.28,20.19,22.28,25.94,28.09,28.69,30.31,33.25,34.53,32.44,30.41,30.53,30.16,27.62,24.72,24.38,25.22,23.81,21.28,20.84,22.19,22.38,20.84,20.75,22.81,23.56,22.09,20.62,22.06,23.94,24.03,23.47,25.09,27.62,28.41,27.91,28.84,31.22,32.28,31.09,30.25,31.44,32.16,30.38,27.78,27.5,27.59,25.28,22.03,20.75,20.59,18.84,15.41,13.78,14.41,14.31,12.03,10.78,11.62,13.12,12.53,11.78,14.5,18.12,19.72,19.69,20.84,22.72,22.72,20.72,19.78,21.09,22.28,21.03,20.12,21.59,23.22,22.56,21.0,22.31,24.31,24.66,23.41,24.19,26.38,27.06,25.12,23.94,24.25,24.0,21.12,18.62,18.88,20.06,19.75,18.78,20.03,22.41,22.88,20.94,20.34,21.78,22.16,20.34,19.47,21.47,23.59,23.19,22.28,23.5,25.12,23.91,21.12,19.97,20.84,20.38,18.09,17.75,19.28,19.75,17.5,15.44,15.47,15.84,14.12,12.38,13.19,15.53,16.53,16.19,17.53,20.34,21.94,20.94,20.81,22.41,23.44,21.59,19.53,20.19,21.47,19.81,17.22,16.0,15.69,13.41,9.72,8.41,9.53,10.12,8.69,7.88,9.78,11.38,10.41,9.25,10.75,13.38,13.84,13.69,15.53,18.31,18.97,16.84,15.25,15.62,15.69,14.03,13.94,17.03,20.5,21.06,20.16,21.34,23.22,22.84,20.84,20.72,22.25,22.59,20.16,18.91,19.53,19.75,17.22,15.41,16.31,18.0,17.28,15.31,15.56,16.72,16.03,14.03,13.62,15.56,16.22,14.91,14.09,15.12,15.91,13.53,11.41,11.97,13.5,13.25,11.84,12.09,13.66,13.31,11.66,11.53,14.12,16.34,16.03,15.66,17.53,19.06,17.56,15.97,16.44,18.34,17.97,16.12,15.81,17.0,16.72,14.38,13.06,14.16,15.0,13.22,11.62,13.03,15.0,14.81,14.53,16.97,20.88,23.22,23.97,25.38,28.0,28.97,27.09,25.75,26.88,26.94,23.62,20.03,18.53,17.81,15.56,13.56,14.91,18.12,20.12,19.88,20.06,21.31,21.41,18.81,17.0,18.59,20.91,20.94,20.34,22.12,24.88,24.28,22.72,22.5,23.5,22.38,18.38,14.66,13.31,11.62,7.84,5.09,5.84,7.59,7.38,6.75,8.94,12.75,14.62,14.88,16.34,19.12,20.53,18.56,17.19,18.34,18.69,16.75,14.94,15.91,17.62,17.0,15.16,14.88,15.62,13.84,10.41,8.06,8.12,7.94,5.72,4.62,6.66,8.94,9.12,8.97,11.66,14.88,15.5,14.34,14.72,17.09,17.88,17.12,17.5,20.16,21.62,20.19,18.56,19.38,20.53,19.19,17.06,17.47,18.41,17.5,15.06,14.22,15.28,14.66,11.81,9.25,9.47,9.62,7.84,6.09,7.62,9.88,9.06,7.22,7.44,9.19,9.03,7.66,7.72,10.09,10.78,9.44,8.28,9.31,10.34,9.25,8.16,10.09,13.28,14.28,14.0,15.53,17.72,17.5,14.59,12.78,13.31,12.84,10.69,9.41,11.5,14.03,14.09,13.34,14.62,16.62,16.09,14.72,15.44,18.06,19.59,18.78,18.16,19.56,19.91,17.53,15.03,16.09,18.12,18.03,17.5,18.78,21.25,21.47,19.62,19.5,21.81,22.75,21.75,21.44,23.41,24.62,23.78,21.59,21.5,21.81,19.28,15.81,14.31,14.62,14.12,12.16,11.78,13.59,14.38,12.84,11.59,13.31,15.69,15.88,15.5,17.03,18.97,17.88,14.78,13.06,13.16,12.25,9.38,8.06,8.94,10.03,8.25,6.81,8.19,9.53,8.53,7.16,8.62,11.0,11.62,10.69,11.25,13.53,14.03,12.28,11.31,12.66,13.97,13.0,12.28,14.38,16.88,17.62,16.75,17.84,19.94,20.0,17.91,16.72,17.44,17.03,14.03,11.75,12.03,13.06,11.56,10.06,10.84,12.69,12.19,10.53,10.47,12.12,12.5,10.81,10.25,11.91,12.75,10.78,8.75,9.56,10.81,9.88,8.34,9.25,11.09,10.78,8.44,7.75,8.59,8.5,6.88,7.0,10.19,13.38,14.34,14.5,16.66,18.44,17.41,14.69,14.28,15.0,14.38,12.53,12.84,15.09,17.03,16.28,15.31,16.25,16.97,14.72,11.97,11.84,12.38,10.78,8.56,8.47,10.97,12.66,12.53,12.97,14.84,15.53,13.16,11.06,12.12,13.5,12.56,10.81,10.69,11.28,9.75,6.53,5.41,6.56,7.19,6.03,6.06,8.47,10.22,8.66,6.38,5.75,4.84,1.06,-3.53,-5.34,-4.53,-4.62,-4.88,-2.34,3.19,8.81,12.25,16.06,21.19,24.69,23.75,20.94,19.75,19.0,16.62,13.28,12.53,14.41,15.56,15.47,16.59,19.44,20.66,18.66,16.12,15.97,15.53,12.75,9.16,7.47,6.81,4.62,1.94,1.59,4.0,5.34,5.03,5.41,7.38,9.16,8.16,7.31,9.25,12.09,13.0,12.28,12.78,13.88,12.53,9.97,9.81,12.22,15.19,16.38,18.66,23.0,27.09,27.75,27.22,27.62,28.84,26.94,24.22,22.97,23.75,23.09,20.62,19.59,21.03,21.78,20.25,18.44,18.97,19.25,16.94,14.41,13.97,15.56,15.62,14.41,14.66,15.78,14.34,9.69,5.56,4.41,3.84,1.88,1.59,4.38,8.38,10.44,11.38,13.56,16.81,17.22,15.16,13.66,14.03,13.31,10.5,8.72,9.31,9.97,7.97,5.94,6.62,8.62,9.03,8.91,11.06,14.88,16.94,17.31,18.09,20.62,21.31,18.66,15.53,14.91,14.78,12.88,11.66,13.56,17.31,18.94,18.84,19.19,20.06,18.75,14.84,11.62,11.38,11.34,8.97,7.06,7.53,8.91,7.88,6.41,7.81,10.81,12.16,12.22,13.28,15.81,16.97,15.53,14.81,16.38,18.28,18.31,18.03,19.62,21.69,20.66,17.66,15.66,14.53,12.25,8.56,6.06,6.62,6.66,4.53,2.56,3.59,4.72,3.44,1.88,2.53,4.5,4.97,4.59,6.66,10.22,12.41,12.78,13.81,17.34,19.25,18.22,16.0,15.25,14.75,12.0,8.84,8.88,10.69,11.16,10.41,10.97,13.81,15.38,19.03,19.59,19.5,18.22,18.28,20.16,21.69,22.06,22.81,25.31,27.44,28.0,27.84,29.28,31.56,32.38,31.38,31.06,31.25,29.66,26.88,24.84,24.88,24.88,23.75,22.97,24.53,26.41,27.06,27.28,28.72,30.69,31.22,30.25,30.22:9.06,8.03,7.5,4.69,1.88,2.22,4.56,6.09,6.34,7.66,11.19,13.09,11.97,11.34,13.16,15.16,14.69,13.0,13.47,14.16,12.88,10.25,9.72,11.22,11.38,9.38,7.84,8.75,9.03,7.44,6.25,8.62,12.22,12.97,12.25,13.06,14.41,13.72,11.25,11.25,13.56,15.59,15.84,16.97,20.06,22.75,21.69,19.66,19.81,20.31,18.62,16.12,15.59,16.62,16.53,14.19,13.47,14.81,15.03,12.28,8.81,7.81,6.5,2.91,-0.09,0.38,2.78,4.0,3.34,5.0,7.88,8.94,7.34,6.59,7.94,8.41,6.31,4.22,5.38,6.72,5.88,4.16,4.56,6.22,6.06,4.38,4.41,6.88,8.12,6.84,6.41,8.44,10.19,9.41,8.31,9.66,11.0,9.69,6.91,6.28,7.28,7.31,6.53,7.5,11.5,15.41,16.06,16.72,18.75,19.91,17.62,14.25,12.94,12.53,10.38,7.16,6.66,9.06,11.09,11.0,11.84,13.5,13.47,9.91,6.22,5.19,5.56,4.47,3.28,5.62,9.59,12.25,13.16,15.5,18.81,20.81,19.66,18.72,19.47,19.62,16.66,13.62,13.28,14.0,12.59,10.0,9.47,10.62,9.62,7.16,6.06,7.22,8.31,6.97,6.75,9.44,12.72,13.19,13.62,16.5,20.22,21.09,20.09,19.75,20.19,18.97,15.75,13.06,13.56,14.12,12.69,11.84,13.53,15.31,13.97,10.97,9.59,9.72,8.59,6.47,6.88,9.44,10.94,9.78,9.69,10.94,11.91,10.16,8.34,9.31,11.88,12.94,13.84,16.81,21.16,23.34,22.97,22.59,23.31,21.97,17.41,13.03,11.12,10.44,7.78,5.66,6.38,8.62,8.97,8.56,9.62,12.06,13.19,11.59,10.78,11.91,12.78,11.53,10.97,13.03,15.78,15.88,14.91,15.81,17.31,17.03,14.78,13.72,14.53,14.28,11.88,9.84,10.03,9.91,6.94,3.41,2.59,2.59,0.56,-2.5,-3.38,-2.62,-2.62,-3.5,-2.19,2.31,6.62,8.53,10.56,14.5,18.19,18.75,18.53,19.97,21.97,21.56,19.12,17.78,18.0,16.34,12.47,9.25,8.66,8.28,6.66,6.09,8.94,12.97,15.0,15.91,18.38,21.62,22.62,21.66,21.62,23.44,24.19,22.41,20.88,22.03,23.31,22.16,21.06,22.56,24.69,24.31,22.34,21.22,21.31,19.38,15.22,12.28,11.91,11.62,9.81,8.84,11.16,13.91,14.12,14.09,16.0,19.31,20.78,21.62,23.97,28.19,30.53,30.03,29.0,29.53,28.62,24.75,20.78,19.81,19.59,17.88,16.44,17.16,19.84,20.84,20.44,21.28,23.41,24.38,22.22,19.84,20.03,19.81,17.09,14.5,14.28,14.75,13.34,10.59,9.78,10.72,10.34,9.31,9.78,13.22,15.97,16.22,16.53,19.59,22.66,23.5,23.47,24.84,26.25,25.0,21.31,19.69,20.53,20.97,20.5,20.84,23.59,24.69,22.97,20.81,20.75,21.53,21.28,20.19,22.28,25.94,28.09,28.69,30.31,33.25,34.53,32.44,30.41,30.53,30.16,27.62,24.72,24.38,25.22,23.81,21.28,20.84,22.19,22.38,20.84,20.75,22.81,23.56,22.09,20.62,22.06,23.94,24.03,23.47,25.09,27.62,28.41,27.91,28.84,31.22,32.28,31.09,30.25,31.44,32.16,30.38,27.78,27.5,27.59,25.28,22.03,20.75,20.59,18.84,15.41,13.78,14.41,14.31,12.03,10.78,11.62,13.12,12.53,11.78,14.5,18.12,19.72,19.69,20.84,22.72,22.72,20.72,19.78,21.09,22.28,21.03,20.12,21.59,23.22,22.56,21.0,22.31,24.31,24.66,23.41,24.19,26.38,27.06,25.12,23.94,24.25,24.0,21.12,18.62,18.88,20.06,19.75,18.78,20.03,22.41,22.88,20.94,20.34,21.78,22.16,20.34,19.47,21.47,23.59,23.19,22.28,23.5,25.12,23.91,21.12,19.97,20.84,20.38,18.09,17.75,19.28,19.75,17.5,15.44,15.47,15.84,14.12,12.38,13.19,15.53,16.53,16.19,17.53,20.34,21.94,20.94,20.81,22.41,23.44,21.59,19.53,20.19,21.47,19.81,17.22,16.0,15.69,13.41,9.72,8.41,9.53,10.12,8.69,7.88,9.78,11.38,10.41,9.25,10.75,13.38,13.84,13.69,15.53,18.31,18.97,16.84,15.25,15.62,15.69,14.03,13.94,17.03,20.5,21.06,20.16,21.34,23.22,22.84,20.84,20.72,22.25,22.59,20.16,18.91,19.53,19.75,17.22,15.41,16.31,18.0,17.28,15.31,15.56,16.72,16.03,14.03,13.62,15.56,16.22,14.91,14.09,15.12,15.91,13.53,11.41,11.97,13.5,13.25,11.84,12.09,13.66,13.31,11.66,11.53,14.12,16.34,16.03,15.66,17.53,19.06,17.56,15.97,16.44,18.34,17.97,16.12,15.81,17.0,16.72,14.38,13.06,14.16,15.0,13.22,11.62,13.03,15.0,14.81,14.53,16.97,20.88,23.22,23.97,25.38,28.0,28.97,27.09,25.75,26.88,26.94,23.62,20.03,18.53,17.81,15.56,13.56,14.91,18.12,20.12,19.88,20.06,21.31,21.41,18.81,17.0,18.59,20.91,20.94,20.34,22.12,24.88,24.28,22.72,22.5,23.5,22.38,18.38,14.66,13.31,11.62,7.84,5.09,5.84,7.59,7.38,6.75,8.94,12.75,14.62,14.88,16.34,19.12,20.53,18.56,17.19,18.34,18.69,16.75,14.94,15.91,17.62,17.0,15.16,14.88,15.62,13.84,10.41,8.06,8.12,7.94,5.72,4.62,6.66,8.94,9.12,8.97,11.66,14.88,15.5,14.34,14.72,17.09,17.88,17.12,17.5,20.16,21.62,20.19,18.56,19.38,20.53,19.19,17.06,17.47,18.41,17.5,15.06,14.22,15.28,14.66,11.81,9.25,9.47,9.62,7.84,6.09,7.62,9.88,9.06,7.22,7.44,9.19,9.03,7.66,7.72,10.09,10.78,9.44,8.28,9.31,10.34,9.25,8.16,10.09,13.28,14.28,14.0,15.53,17.72,17.5,14.59,12.78,13.31,12.84,10.69,9.41,11.5,14.03,14.09,13.34,14.62,16.62,16.09,14.72,15.44,18.06,19.59,18.78,18.16,19.56,19.91,17.53,15.03,16.09,18.12,18.03,17.5,18.78,21.25,21.47,19.62,19.5,21.81,22.75,21.75,21.44,23.41,24.62,23.78,21.59,21.5,21.81,19.28,15.81,14.31,14.62,14.12,12.16,11.78,13.59,14.38,12.84,11.59,13.31,15.69,15.88,15.5,17.03,18.97,17.88,14.78,13.06,13.16,12.25,9.38,8.06,8.94,10.03,8.25,6.81,8.19,9.53,8.53,7.16,8.62,11.0,11.62,10.69,11.25,13.53,14.03,12.28,11.31,12.66,13.97,13.0,12.28,14.38,16.88,17.62,16.75,17.84,19.94,20.0,17.91,16.72,17.44,17.03,14.03,11.75,12.03,13.06,11.56,10.06,10.84,12.69,12.19,10.53,10.47,12.12,12.5,10.81,10.25,11.91,12.75,10.78,8.75,9.56,10.81,9.88,8.34,9.25,11.09,10.78,8.44,7.75,8.59,8.5,6.88,7.0,10.19,13.38,14.34,14.5,16.66,18.44,17.41,14.69,14.28,15.0,14.38,12.53,12.84,15.09,17.03,16.28,15.31,16.25,16.97,14.72,11.97,11.84,12.38,10.78,8.56,8.47,10.97,12.66,12.53,12.97,14.84,15.53,13.16,11.06,12.12,13.5,12.56,10.81,10.69,11.28,9.75,6.53,5.41,6.56,7.19,6.03,6.06,8.47,10.22,8.66,6.38,5.75,4.84,1.06,-3.53,-5.34,-4.53,-4.62,-4.88,-2.34,3.19,8.81,12.25,16.06,21.19,24.69,23.75,20.94,19.75,19.0,16.62,13.28,12.53,14.41,15.56,15.47,16.59,19.44,20.66,18.66,16.12,15.97,15.53,12.75,9.16,7.47,6.81,4.62,1.94,1.59,4.0,5.34,5.03,5.41,7.38,9.16,8.16,7.31,9.25,12.09,13.0,12.28,12.78,13.88,12.53,9.97,9.81,12.22,15.19,16.38,18.66,23.0,27.09,27.75,27.22,27.62,28.84,26.94,24.22,22.97,23.75,23.09,20.62,19.59,21.03,21.78,20.25,18.44,18.97,19.25,16.94,14.41,13.97,15.56,15.62,14.41,14.66,15.78,14.34,9.69,5.56,4.41,3.84,1.88,1.59,4.38,8.38,10.44,11.38,13.56,16.81,17.22,15.16,13.66,14.03,13.31,10.5,8.72,9.31,9.97,7.97,5.94,6.62,8.62,9.03,8.91,11.06,14.88,16.94,17.31,18.09,20.62,21.31,18.66,15.53,14.91,14.78,12.88,11.66,13.56,17.31,18.94,18.84,19.19,20.06,18.75,14.84,11.62,11.38,11.34,8.97,7.06,7.53,8.91,7.88,6.41,7.81,10.81,12.16,12.22,13.28,15.81,16.97,15.53,14.81,16.38,18.28,18.31,18.03,19.62,21.69,20.66,17.66,15.66,14.53,12.25,8.56,6.06,6.62,6.66,4.53,2.56,3.59,4.72,3.44,1.88,2.53,4.5,4.97,4.59,6.66,10.22,12.41,12.78,13.81,17.34,19.25,18.22,16.0,15.25,14.75,12.0,8.84,8.88,10.69,11.16,10.41,10.97,13.81,15.38,19.03,19.59,19.5,18.22,18.28,20.16,21.69,22.06,22.81,25.31,27.44,28.0,27.84,29.28,31.56,32.38,31.38,31.06,31.25,29.66,26.88,24.84,24.88,24.88,23.75,22.97,24.53,26.41,27.06,27.28,28.72,30.69,31.22,30.25,30.22,31.75,32.0,30.34,29.0,28.97,28.19,25.53:negativity
18.47,17.34,16.75,16.69,17.0,17.09,17.22,18.5,20.06,21.16,22.06,23.84,25.59,26.47,26.81,27.06,27.28,26.84,25.16,23.66,23.91,24.53,25.16,26.88,29.66,32.62,33.94,34.62,35.06,35.22,33.97,32.16,30.75,29.88,28.41,26.62,25.41,25.09,24.66,23.72,22.94,23.28,23.84,23.44,23.38,24.19,25.94,27.31,28.19,29.72,31.47,32.06,31.62,30.59,29.75,28.78,26.31,24.66,24.09,24.06,23.28,22.12,21.16,21.22,20.97,20.41,20.69,21.62,22.44,22.22,22.72,23.56,24.69,24.06,23.25,22.66,22.81,22.28,21.84,21.78,22.69,23.25,22.88,23.38,24.47,25.59,25.5,25.41,26.28,26.78,26.62,26.56,27.16,28.34,29.34,30.22,31.38,33.12,34.0,33.88,32.84,32.22,30.88,27.78,24.47,22.69,21.72,20.91,20.75,21.25,22.0,21.56,20.0,17.94,16.78,15.84,14.16,13.09,13.06,13.25,12.38,11.06,10.97,11.88,12.81,13.5,15.09,17.53,19.41,21.03,22.56,25.44,28.12,29.75,29.78,30.53,30.19,28.31,26.31,25.16,24.78,24.84,24.41,24.59,25.59,25.44,24.44,23.28,23.12,23.16,23.03,23.28,24.59,26.22,26.94,26.91,27.0,27.38,27.25,26.59,26.41,27.38,28.06,27.38,26.47,26.31,26.38,25.91,25.16,25.22,25.38,24.16,22.56,21.69,21.91,21.72,21.19,20.81,21.0,20.66,20.06,19.47,20.25,21.0,20.72,20.22,20.31,20.84,20.66,20.5,20.78,21.81,22.38,22.22,22.53,23.28,23.81,23.5,22.0,21.56,20.75,19.22,17.38,16.41,16.56,16.28,16.03,16.62,17.59,18.44,17.97,17.34,17.41,17.56,17.16,17.12,18.44,19.75,20.5,20.72,21.34,22.12,22.34,21.44,20.25,19.66,18.78,16.62,14.66,14.38,13.75,12.06,10.34,9.78,9.53,9.38,8.97,9.75,11.44,12.59,12.38,12.03,12.28,12.38,12.09,12.75,15.03,17.78,20.12,21.16,22.66,23.56,23.38,22.5,21.31,20.91,20.0,18.56,17.31,16.72,16.62,15.31,14.0,13.84,14.19,14.12,13.75,14.97,16.28,17.16,17.25,17.56,18.5,18.72,17.88,17.44,17.56,18.16,17.97,17.62,18.25,19.31,19.44,19.12,19.62,20.53,20.75,19.25,17.31,15.94,13.81,11.25,9.62,10.38,12.19,13.72,15.28,17.84,20.16,21.41,21.5,21.5,21.72,21.31,19.75,18.09,16.56,14.41,11.03,7.56,5.78,5.75,5.84,6.56,8.41,10.66,12.5,13.06,13.91,14.41,14.25,12.59,11.16,11.09,11.56,11.72,12.31,13.94,15.31,15.62,15.0,13.72,12.69,10.53,7.91,6.41,6.34,6.69,6.66,7.28,9.06,11.16,12.78,14.19,16.12,17.41,17.31,15.94,14.69,13.41,12.31,10.69,10.16,10.75,11.94,12.22,12.53,13.31,14.38,14.5,14.03,13.97,14.03,13.28,12.31,11.84,13.09,14.53,15.41,16.56,18.0,18.91,17.94,16.72,16.06,15.78,14.88,13.41,13.09,12.97,13.12,12.88,13.44,15.31,17.0,17.72,18.0,18.59,19.12,17.72,15.84,14.31,12.91,11.0,8.84,7.38,7.22,6.72,6.0,5.88,6.75,8.28,8.97,9.97,12.12,15.03,16.72,17.81,18.84,19.03,18.16,16.34,14.88,14.31,14.22,13.53,13.12,13.31,13.41,12.22,10.91,9.66,8.59,6.72,4.53,3.5,3.56,3.59,3.0,2.88,2.75,2.5,1.78,1.59,3.09,4.97,6.31,7.62,8.88,10.62,11.53,12.41,13.53,15.31,16.53,17.28,18.0,19.19,20.28,20.06,18.81,17.91,16.62,13.97,10.47,7.69,5.44,3.34,1.78,1.72,3.0,4.78,5.53,6.44,7.97,9.06,9.41,9.81,10.25,10.78,10.5,9.47,9.03,9.56,9.78,9.84,10.12,11.22,11.84,11.56,10.84,10.91,11.0,10.34,9.53,9.34,9.62,9.91,10.28,11.12,13.19,14.44,14.66,14.06,14.06,13.44,11.84,9.75,8.22,7.06,5.28,3.38,2.88,3.41,3.66,3.91,4.84,6.75,8.44,9.59,10.5,12.16,13.47,13.03,11.84,10.19,8.41,5.78,3.06,1.75,1.53,1.47,1.88,2.41,4.06,5.41,5.72,6.12,6.78,7.84,8.28,8.62,9.69,11.81,13.25,14.5,16.47,18.59,19.56,19.53,18.66,18.25,17.16,14.97,12.69,11.16,9.31,7.06,4.88,3.03,1.81,0.38,-1.16,-2.12,-2.09,-1.41,-0.75,0.41,3.0,5.88,7.94,9.56,11.12,12.12,11.56,10.12,9.06,8.78,7.97,6.62,5.62,5.0,3.69,1.69,-0.09,-0.59,-1.12,-1.66,-2.0,-1.25,-0.69,-0.59,-0.78,-0.72,0.53,2.44,4.22,6.69,9.72,12.06,13.09,13.06,13.06,12.97,12.53,11.59,11.22,11.41,10.81,9.59,8.34,7.94,7.0,5.28,3.62,3.62,4.0,4.72,5.97,8.28,10.56,11.44,11.06,10.94,10.03,8.66,6.47,4.44,2.81,1.03,-0.81,-2.34,-2.59,-2.44,-2.66,-3.16,-2.97,-2.72,-2.41,-2.19,-1.41,0.03,1.97,3.75,5.72,8.62,11.16,12.75,13.28,14.09,14.84,14.19,12.94,12.16,11.47,10.5,8.81,7.28,5.88,4.22,1.5,-0.97,-2.06,-2.59,-2.75,-2.47,-0.59,2.03,3.38,4.03,5.19,6.38,7.34,7.38,7.81,7.97,7.62,6.56,5.59,5.5,5.22,4.16,2.38,1.03,-0.62,-2.28,-3.72,-4.44,-3.84,-2.75,-1.88,-0.69,0.88,3.09,4.5,6.22,8.97,11.34,12.66,13.19,13.22,12.75,11.25,8.81,7.06,6.22,6.16,5.62,5.47,5.72,5.34,3.91,2.38,2.31,2.97,3.53,3.81,5.41,7.12,8.38,8.5,8.91,9.5,10.22,10.12,10.31,11.28,12.28,12.34,11.75,11.56,11.56,10.59,8.88,7.41,6.28,4.78,2.56,0.41,-0.5,-1.19,-2.28,-2.72,-1.91,-0.31,0.56,1.62,3.31,5.5,6.69,7.03,7.28,7.47,7.5,6.81,6.44,7.34,8.56,8.41,8.25,7.84,7.69,6.28,4.81,3.88,4.09,4.38,5.09,6.94,9.91,12.91,14.97,16.59,17.94,19.03,18.91,18.28,17.84,17.38,15.97,13.66,11.84,10.53,9.44,8.53,7.97,8.47,9.53,10.06,11.25,13.06,15.84,17.34,18.53,19.75,21.44,21.72,20.62,19.22,17.47,14.97,10.94,7.06,4.41,2.44,0.56,-0.34,0.03,1.81,2.94,3.66,4.78,6.81,7.75,8.31,9.12,10.19,10.91,9.72,8.69,8.53,9.0,9.38,10.56,13.19,16.47,19.03,20.75,22.28,23.62,23.72,22.09,20.31,19.34,18.47,17.59,16.97,17.84,18.47,18.03,16.53,16.19,16.41,16.25,15.84,15.5,15.59,15.41,14.75,14.72,16.22,18.28,19.69,20.44,21.03,21.09,19.47,17.38,15.28,13.59,11.34,8.28,5.31,3.22,1.25,-1.03,-3.03,-3.81,-4.38,-5.31,-5.66,-4.78,-2.84,-1.5,-0.5,0.69,2.25,3.75,4.0,5.38,8.16,10.84,12.62,14.12,15.56,16.41,16.0,14.66,13.41,12.94,11.25,9.22,7.41,6.66,6.0,5.28,5.53,8.0,10.94,12.88,14.81,16.69,18.03,17.81,16.81,15.84,15.03,12.62,9.5,6.81,5.41,3.94,2.34,1.53,2.25,3.66,4.53,5.53,7.28,8.69,8.78,8.19,7.5,7.81,7.78,7.0,6.81,7.72,9.09,9.94,10.97,13.59,16.0,17.19,17.31,17.94,18.34,17.28,15.84,14.44,13.53,12.38,10.78,9.62,10.03,10.41,10.47,10.75,12.44,14.5,16.66,18.31,20.47,22.81,23.56,22.97,21.75,20.22,17.66,13.94,10.53,8.72,8.22,8.34,9.44,12.34,15.81,17.88,18.69,19.5,20.22,19.88,19.12,18.44,18.59,18.62,17.28,15.72,14.97,14.0,12.25,10.59,10.06,10.12,10.06,9.66,10.22,11.5,12.59,13.06,13.88,15.78,17.19,17.62,17.38,18.25,19.16,19.28,19.38,20.44,22.03,22.16,21.25,20.88,20.97,20.88,19.88,19.09,19.44,18.94,17.69,15.84,15.78,16.56,17.44,18.75,21.0,23.59,25.12,25.12,24.97,24.69,23.66,21.41,19.34,18.78,18.62,17.94,17.16,17.34,17.09,16.06,14.38,13.19,12.75,12.12,10.69,9.69,9.53,9.12,7.31,5.69,5.16,4.94,4.69,4.72,6.03,7.81,9.03,9.34,10.19,11.75,12.72,12.62,13.0,13.41,13.91,13.44,13.03,13.28,13.03,11.41,9.0,7.34,5.81,4.16,1.81,0.28,-0.31,-0.81,-1.66,-1.34,-0.28,0.81,1.09,1.25,1.78,2.47,2.47,2.09,2.72,4.0,5.47,6.25,7.12,8.5,9.12,8.31,6.72,5.62,4.09,1.69,-0.81,-2.19,-2.59,-2.84,-3.19,-2.03,-0.03,2.09,3.44,4.53,6.34,7.38,6.41,5.53,5.28,5.5,5.22,5.53,6.62,8.09,8.69,8.28,8.28,8.81,9.31,9.41,10.22,12.19,14.47,15.81,17.28,19.38,20.91,21.31,20.56,20.16,19.34,17.59,14.38,11.66,9.69,8.28,7.53,8.44,11.56,15.84,18.88,22.22,25.72,28.84,30.38,30.91,30.34,29.25,27.44,24.28,21.84,21.25,21.72,21.94,22.88,24.41,25.88,26.09,25.47,25.16,24.84,24.22,23.0,22.62:18.5,20.06,21.16,22.06,23.84,25.59,26.47,26.81,27.06,27.28,26.84,25.16,23.66,23.91,24.53,25.16,26.88,29.66,32.62,33.94,34.62,35.06,35.22,33.97,32.16,30.75,29.88,28.41,26.62,25.41,25.09,24.66,23.72,22.94,23.28,23.84,23.44,23.38,24.19,25.94,27.31,28.19,29.72,31.47,32.06,31.62,30.59,29.75,28.78,26.31,24.66,24.09,24.06,23.28,22.12,21.16,21.22,20.97,20.41,20.69,21.62,22.44,22.22,22.72,23.56,24.69,24.06,23.25,22.66,22.81,22.28,21.84,21.78,22.69,23.25,22.88,23.38,24.47,25.59,25.5,25.41,26.28,26.78,26.62,26.56,27.16,28.34,29.34,30.22,31.38,33.12,34.0,33.88,32.84,32.22,30.88,27.78,24.47,22.69,21.72,20.91,20.75,21.25,22.0,21.56,20.0,17.94,16.78,15.84,14.16,13.09,13.06,13.25,12.38,11.06,10.97,11.88,12.81,13.5,15.09,17.53,19.41,21.03,22.56,25.44,28.12,29.75,29.78,30.53,30.19,28.31,26.31,25.16,24.78,24.84,24.41,24.59,25.59,25.44,24.44,23.28,23.12,23.16,23.03,23.28,24.59,26.22,26.94,26.91,27.0,27.38,27.25,26.59,26.41,27.38,28.06,27.38,26.47,26.31,26.38,25.91,25.16,25.22,25.38,24.16,22.56,21.69,21.91,21.72,21.19,20.81,21.0,20.66,20.06,19.47,20.25,21.0,20.72,20.22,20.31,20.84,20.66,20.5,20.78,21.81,22.38,22.22,22.53,23.28,23.81,23.5,22.0,21.56,20.75,19.22,17.38,16.41,16.56,16.28,16.03,16.62,17.59,18.44,17.97,17.34,17.41,17.56,17.16,17.12,18.44,19.75,20.5,20.72,21.34,22.12,22.34,21.44,20.25,19.66,18.78,16.62,14.66,14.38,13.75,12.06,10.34,9.78,9.53,9.38,8.97,9.75,11.44,12.59,12.38,12.03,12.28,12.38,12.09,12.75,15.03,17.78,20.12,21.16,22.66,23.56,23.38,22.5,21.31,20.91,20.0,18.56,17.31,16.72,16.62,15.31,14.0,13.84,14.19,14.12,13.75,14.97,16.28,17.16,17.25,17.56,18.5,18.72,17.88,17.44,17.56,18.16,17.97,17.62,18.25,19.31,19.44,19.12,19.62,20.53,20.75,19.25,17.31,15.94,13.81,11.25,9.62,10.38,12.19,13.72,15.28,17.84,20.16,21.41,21.5,21.5,21.72,21.31,19.75,18.09,16.56,14.41,11.03,7.56,5.78,5.75,5.84,6.56,8.41,10.66,12.5,13.06,13.91,14.41,14.25,12.59,11.16,11.09,11.56,11.72,12.31,13.94,15.31,15.62,15.0,13.72,12.69,10.53,7.91,6.41,6.34,6.69,6.66,7.28,9.06,11.16,12.78,14.19,16.12,17.41,17.31,15.94,14.69,13.41,12.31,10.69,10.16,10.75,11.94,12.22,12.53,13.31,14.38,14.5,14.03,13.97,14.03,13.28,12.31,11.84,13.09,14.53,15.41,16.56,18.0,18.91,17.94,16.72,16.06,15.78,14.88,13.41,13.09,12.97,13.12,12.88,13.44,15.31,17.0,17.72,18.0,18.59,19.12,17.72,15.84,14.31,12.91,11.0,8.84,7.38,7.22,6.72,6.0,5.88,6.75,8.28,8.97,9.97,12.12,15.03,16.72,17.81,18.84,19.03,18.16,16.34,14.88,14.31,14.22,13.53,13.12,13.31,13.41,12.22,10.91,9.66,8.59,6.72,4.53,3.5,3.56,3.59,3.0,2.88,2.75,2.5,1.78,1.59,3.09,4.97,6.31,7.62,8.88,10.62,11.53,12.41,13.53,15.31,16.53,17.28,18.0,19.19,20.28,20.06,18.81,17.91,16.62,13.97,10.47,7.69,5.44,3.34,1.78,1.72,3.0,4.78,5.53,6.44,7.97,9.06,9.41,9.81,10.25,10.78,10.5,9.47,9.03,9.56,9.78,9.84,10.12,11.22,11.84,11.56,10.84,10.91,11.0,10.34,9.53,9.34,9.62,9.91,10.28,11.12,13.19,14.44,14.66,14.06,14.06,13.44,11.84,9.75,8.22,7.06,5.28,3.38,2.88,3.41,3.66,3.91,4.84,6.75,8.44,9.59,10.5,12.16,13.47,13.03,11.84,10.19,8.41,5.78,3.06,1.75,1.53,1.47,1.88,2.41,4.06,5.41,5.72,6.12,6.78,7.84,8.28,8.62,9.69,11.81,13.25,14.5,16.47,18.59,19.56,19.53,18.66,18.25,17.16,14.97,12.69,11.16,9.31,7.06,4.88,3.03,1.81,0.38,-1.16,-2.12,-2.09,-1.41,-0.75,0.41,3.0,5.88,7.94,9.56,11.12,12.12,11.56,10.12,9.06,8.78,7.97,6.62,5.62,5.0,3.69,1.69,-0.09,-0.59,-1.12,-1.66,-2.0,-1.25,-0.69,-0.59,-0.78,-0.72,0.53,2.44,4.22,6.69,9.72,12.06,13.09,13.06,13.06,12.97,12.53,11.59,11.22,11.41,10.81,9.59,8.34,7.94,7.0,5.28,3.62,3.62,4.0,4.72,5.97,8.28,10.56,11.44,11.06,10.94,10.03,8.66,6.47,4.44,2.81,1.03,-0.81,-2.34,-2.59,-2.44,-2.66,-3.16,-2.97,-2.72,-2.41,-2.19,-1.41,0.03,1.97,3.75,5.72,8.62,11.16,12.75,13.28,14.09,14.84,14.19,12.94,12.16,11.47,10.5,8.81,7.28,5.88,4.22,1.5,-0.97,-2.06,-2.59,-2.75,-2.47,-0.59,2.03,3.38,4.03,5.19,6.38,7.34,7.38,7.81,7.97,7.62,6.56,5.59,5.5,5.22,4.16,2.38,1.03,-0.62,-2.28,-3.72,-4.44,-3.84,-2.75,-1.88,-0.69,0.88,3.09,4.5,6.22,8.97,11.34,12.66,13.19,13.22,12.75,11.25,8.81,7.06,6.22,6.16,5.62,5.47,5.72,5.34,3.91,2.38,2.31,2.97,3.53,3.81,5.41,7.12,8.38,8.5,8.91,9.5,10.22,10.12,10.31,11.28,12.28,12.34,11.75,11.56,11.56,10.59,8.88,7.41,6.28,4.78,2.56,0.41,-0.5,-1.19,-2.28,-2.72,-1.91,-0.31,0.56,1.62,3.31,5.5,6.69,7.03,7.28,7.47,7.5,6.81,6.44,7.34,8.56,8.41,8.25,7.84,7.69,6.28,4.81,3.88,4.09,4.38,5.09,6.94,9.91,12.91,14.97,16.59,17.94,19.03,18.91,18.28,17.84,17.38,15.97,13.66,11.84,10.53,9.44,8.53,7.97,8.47,9.53,10.06,11.25,13.06,15.84,17.34,18.53,19.75,21.44,21.72,20.62,19.22,17.47,14.97,10.94,7.06,4.41,2.44,0.56,-0.34,0.03,1.81,2.94,3.66,4.78,6.81,7.75,8.31,9.12,10.19,10.91,9.72,8.69,8.53,9.0,9.38,10.56,13.19,16.47,19.03,20.75,22.28,23.62,23.72,22.09,20.31,19.34,18.47,17.59,16.97,17.84,18.47,18.03,16.53,16.19,16.41,16.25,15.84,15.5,15.59,15.41,14.75,14.72,16.22,18.28,19.69,20.44,21.03,21.09,19.47,17.38,15.28,13.59,11.34,8.28,5.31,3.22,1.25,-1.03,-3.03,-3.81,-4.38,-5.31,-5.66,-4.78,-2.84,-1.5,-0.5,0.69,2.25,3.75,4.0,5.38,8.16,10.84,12.62,14.12,15.56,16.41,16.0,14.66,13.41,12.94,11.25,9.22,7.41,6.66,6.0,5.28,5.53,8.0,10.94,12.88,14.81,16.69,18.03,17.81,16.81,15.84,15.03,12.62,9.5,6.81,5.41,3.94,2.34,1.53,2.25,3.66,4.53,5.53,7.28,8.69,8.78,8.19,7.5,7.81,7.78,7.0,6.81,7.72,9.09,9.94,10.97,13.59,16.0,17.19,17.31,17.94,18.34,17.28,15.84,14.44,13.53,12.38,10.78,9.62,10.03,10.41,10.47,10.75,12.44,14.5,16.66,18.31,20.47,22.81,23.56,22.97,21.75,20.22,17.66,13.94,10.53,8.72,8.22,8.34,9.44,12.34,15.81,17.88,18.69,19.5,20.22,19.88,19.12,18.44,18.59,18.62,17.28,15.72,14.97,14.0,12.25,10.59,10.06,10.12,10.06,9.66,10.22,11.5,12.59,13.06,13.88,15.78,17.19,17.62,17.38,18.25,19.16,19.28,19.38,20.44,22.03,22.16,21.25,20.88,20.97,20.88,19.88,19.09,19.44,18.94,17.69,15.84,15.78,16.56,17.44,18.75,21.0,23.59,25.12,25.12,24.97,24.69,23.66,21.41,19.34,18.78,18.62,17.94,17.16,17.34,17.09,16.06,14.38,13.19,12.75,12.12,10.69,9.69,9.53,9.12,7.31,5.69,5.16,4.94,4.69,4.72,6.03,7.81,9.03,9.34,10.19,11.75,12.72,12.62,13.0,13.41,13.91,13.44,13.03,13.28,13.03,11.41,9.0,7.34,5.81,4.16,1.81,0.28,-0.31,-0.81,-1.66,-1.34,-0.28,0.81,1.09,1.25,1.78,2.47,2.47,2.09,2.72,4.0,5.47,6.25,7.12,8.5,9.12,8.31,6.72,5.62,4.09,1.69,-0.81,-2.19,-2.59,-2.84,-3.19,-2.03,-0.03,2.09,3.44,4.53,6.34,7.38,6.41,5.53,5.28,5.5,5.22,5.53,6.62,8.09,8.69,8.28,8.28,8.81,9.31,9.41,10.22,12.19,14.47,15.81,17.28,19.38,20.91,21.31,20.56,20.16,19.34,17.59,14.38,11.66,9.69,8.28,7.53,8.44,11.56,15.84,18.88,22.22,25.72,28.84,30.38,30.91,30.34,29.25,27.44,24.28,21.84,21.25,21.72,21.94,22.88,24.41,25.88,26.09,25.47,25.16,24.84,24.22,23.0,22.62,40.81,41.0,41.56,42.84,44.41,46.47,48.44:26.81,27.06,27.28,26.84,25.16,23.66,23.91,24.53,25.16,26.88,29.66,32.62,33.94,34.62,35.06,35.22,33.97,32.16,30.75,29.88,28.41,26.62,25.41,25.09,24.66,23.72,22.94,23.28,23.84,23.44,23.38,24.19,25.94,27.31,28.19,29.72,31.47,32.06,31.62,30.59,29.75,28.78,26.31,24.66,24.09,24.06,23.28,22.12,21.16,21.22,20.97,20.41,20.69,21.62,22.44,22.22,22.72,23.56,24.69,24.06,23.25,22.66,22.81,22.28,21.84,21.78,22.69,23.25,22.88,23.38,24.47,25.59,25.5,25.41,26.28,26.78,26.62,26.56,27.16,28.34,29.34,30.22,31.38,33.12,34.0,33.88,32.84,32.22,30.88,27.78,24.47,22.69,21.72,20.91,20.75,21.25,22.0,21.56,20.0,17.94,16.78,15.84,14.16,13.09,13.06,13.25,12.38,11.06,10.97,11.88,12.81,13.5,15.09,17.53,19.41,21.03,22.56,25.44,28.12,29.75,29.78,30.53,30.19,28.31,26.31,25.16,24.78,24.84,24.41,24.59,25.59,25.44,24.44,23.28,23.12,23.16,23.03,23.28,24.59,26.22,26.94,26.91,27.0,27.38,27.25,26.59,26.41,27.38,28.06,27.38,26.47,26.31,26.38,25.91,25.16,25.22,25.38,24.16,22.56,21.69,21.91,21.72,21.19,20.81,21.0,20.66,20.06,19.47,20.25,21.0,20.72,20.22,20.31,20.84,20.66,20.5,20.78,21.81,22.38,22.22,22.53,23.28,23.81,23.5,22.0,21.56,20.75,19.22,17.38,16.41,16.56,16.28,16.03,16.62,17.59,18.44,17.97,17.34,17.41,17.56,17.16,17.12,18.44,19.75,20.5,20.72,21.34,22.12,22.34,21.44,20.25,19.66,18.78,16.62,14.66,14.38,13.75,12.06,10.34,9.78,9.53,9.38,8.97,9.75,11.44,12.59,12.38,12.03,12.28,12.38,12.09,12.75,15.03,17.78,20.12,21.16,22.66,23.56,23.38,22.5,21.31,20.91,20.0,18.56,17.31,16.72,16.62,15.31,14.0,13.84,14.19,14.12,13.75,14.97,16.28,17.16,17.25,17.56,18.5,18.72,17.88,17.44,17.56,18.16,17.97,17.62,18.25,19.31,19.44,19.12,19.62,20.53,20.75,19.25,17.31,15.94,13.81,11.25,9.62,10.38,12.19,13.72,15.28,17.84,20.16,21.41,21.5,21.5,21.72,21.31,19.75,18.09,16.56,14.41,11.03,7.56,5.78,5.75,5.84,6.56,8.41,10.66,12.5,13.06,13.91,14.41,14.25,12.59,11.16,11.09,11.56,11.72,12.31,13.94,15.31,15.62,15.0,13.72,12.69,10.53,7.91,6.41,6.34,6.69,6.66,7.28,9.06,11.16,12.78,14.19,16.12,17.41,17.31,15.94,14.69,13.41,12.31,10.69,10.16,10.75,11.94,12.22,12.53,13.31,14.38,14.5,14.03,13.97,14.03,13.28,12.31,11.84,13.09,14.53,15.41,16.56,18.0,18.91,17.94,16.72,16.06,15.78,14.88,13.41,13.09,12.97,13.12,12.88,13.44,15.31,17.0,17.72,18.0,18.59,19.12,17.72,15.84,14.31,12.91,11.0,8.84,7.38,7.22,6.72,6.0,5.88,6.75,8.28,8.97,9.97,12.12,15.03,16.72,17.81,18.84,19.03,18.16,16.34,14.88,14.31,14.22,13.53,13.12,13.31,13.41,12.22,10.91,9.66,8.59,6.72,4.53,3.5,3.56,3.59,3.0,2.88,2.75,2.5,1.78,1.59,3.09,4.97,6.31,7.62,8.88,10.62,11.53,12.41,13.53,15.31,16.53,17.28,18.0,19.19,20.28,20.06,18.81,17.91,16.62,13.97,10.47,7.69,5.44,3.34,1.78,1.72,3.0,4.78,5.53,6.44,7.97,9.06,9.41,9.81,10.25,10.78,10.5,9.47,9.03,9.56,9.78,9.84,10.12,11.22,11.84,11.56,10.84,10.91,11.0,10.34,9.53,9.34,9.62,9.91,10.28,11.12,13.19,14.44,14.66,14.06,14.06,13.44,11.84,9.75,8.22,7.06,5.28,3.38,2.88,3.41,3.66,3.91,4.84,6.75,8.44,9.59,10.5,12.16,13.47,13.03,11.84,10.19,8.41,5.78,3.06,1.75,1.53,1.47,1.88,2.41,4.06,5.41,5.72,6.12,6.78,7.84,8.28,8.62,9.69,11.81,13.25,14.5,16.47,18.59,19.56,19.53,18.66,18.25,17.16,14.97,12.69,11.16,9.31,7.06,4.88,3.03,1.81,0.38,-1.16,-2.12,-2.09,-1.41,-0.75,0.41,3.0,5.88,7.94,9.56,11.12,12.12,11.56,10.12,9.06,8.78,7.97,6.62,5.62,5.0,3.69,1.69,-0.09,-0.59,-1.12,-1.66,-2.0,-1.25,-0.69,-0.59,-0.78,-0.72,0.53,2.44,4.22,6.69,9.72,12.06,13.09,13.06,13.06,12.97,12.53,11.59,11.22,11.41,10.81,9.59,8.34,7.94,7.0,5.28,3.62,3.62,4.0,4.72,5.97,8.28,10.56,11.44,11.06,10.94,10.03,8.66,6.47,4.44,2.81,1.03,-0.81,-2.34,-2.59,-2.44,-2.66,-3.16,-2.97,-2.72,-2.41,-2.19,-1.41,0.03,1.97,3.75,5.72,8.62,11.16,12.75,13.28,14.09,14.84,14.19,12.94,12.16,11.47,10.5,8.81,7.28,5.88,4.22,1.5,-0.97,-2.06,-2.59,-2.75,-2.47,-0.59,2.03,3.38,4.03,5.19,6.38,7.34,7.38,7.81,7.97,7.62,6.56,5.59,5.5,5.22,4.16,2.38,1.03,-0.62,-2.28,-3.72,-4.44,-3.84,-2.75,-1.88,-0.69,0.88,3.09,4.5,6.22,8.97,11.34,12.66,13.19,13.22,12.75,11.25,8.81,7.06,6.22,6.16,5.62,5.47,5.72,5.34,3.91,2.38,2.31,2.97,3.53,3.81,5.41,7.12,8.38,8.5,8.91,9.5,10.22,10.12,10.31,11.28,12.28,12.34,11.75,11.56,11.56,10.59,8.88,7.41,6.28,4.78,2.56,0.41,-0.5,-1.19,-2.28,-2.72,-1.91,-0.31,0.56,1.62,3.31,5.5,6.69,7.03,7.28,7.47,7.5,6.81,6.44,7.34,8.56,8.41,8.25,7.84,7.69,6.28,4.81,3.88,4.09,4.38,5.09,6.94,9.91,12.91,14.97,16.59,17.94,19.03,18.91,18.28,17.84,17.38,15.97,13.66,11.84,10.53,9.44,8.53,7.97,8.47,9.53,10.06,11.25,13.06,15.84,17.34,18.53,19.75,21.44,21.72,20.62,19.22,17.47,14.97,10.94,7.06,4.41,2.44,0.56,-0.34,0.03,1.81,2.94,3.66,4.78,6.81,7.75,8.31,9.12,10.19,10.91,9.72,8.69,8.53,9.0,9.38,10.56,13.19,16.47,19.03,20.75,22.28,23.62,23.72,22.09,20.31,19.34,18.47,17.59,16.97,17.84,18.47,18.03,16.53,16.19,16.41,16.25,15.84,15.5,15.59,15.41,14.75,14.72,16.22,18.28,19.69,20.44,21.03,21.09,19.47,17.38,15.28,13.59,11.34,8.28,5.31,3.22,1.25,-1.03,-3.03,-3.81,-4.38,-5.31,-5.66,-4.78,-2.84,-1.5,-0.5,0.69,2.25,3.75,4.0,5.38,8.16,10.84,12.62,14.12,15.56,16.41,16.0,14.66,13.41,12.94,11.25,9.22,7.41,6.66,6.0,5.28,5.53,8.0,10.94,12.88,14.81,16.69,18.03,17.81,16.81,15.84,15.03,12.62,9.5,6.81,5.41,3.94,2.34,1.53,2.25,3.66,4.53,5.53,7.28,8.69,8.78,8.19,7.5,7.81,7.78,7.0,6.81,7.72,9.09,9.94,10.97,13.59,16.0,17.19,17.31,17.94,18.34,17.28,15.84,14.44,13.53,12.38,10.78,9.62,10.03,10.41,10.47,10.75,12.44,14.5,16.66,18.31,20.47,22.81,23.56,22.97,21.75,20.22,17.66,13.94,10.53,8.72,8.22,8.34,9.44,12.34,15.81,17.88,18.69,19.5,20.22,19.88,19.12,18.44,18.59,18.62,17.28,15.72,14.97,14.0,12.25,10.59,10.06,10.12,10.06,9.66,10.22,11.5,12.59,13.06,13.88,15.78,17.19,17.62,17.38,18.25,19.16,19.28,19.38,20.44,22.03,22.16,21.25,20.88,20.97,20.88,19.88,19.09,19.44,18.94,17.69,15.84,15.78,16.56,17.44,18.75,21.0,23.59,25.12,25.12,24.97,24.69,23.66,21.41,19.34,18.78,18.62,17.94,17.16,17.34,17.09,16.06,14.38,13.19,12.75,12.12,10.69,9.69,9.53,9.12,7.31,5.69,5.16,4.94,4.69,4.72,6.03,7.81,9.03,9.34,10.19,11.75,12.72,12.62,13.0,13.41,13.91,13.44,13.03,13.28,13.03,11.41,9.0,7.34,5.81,4.16,1.81,0.28,-0.31,-0.81,-1.66,-1.34,-0.28,0.81,1.09,1.25,1.78,2.47,2.47,2.09,2.72,4.0,5.47,6.25,7.12,8.5,9.12,8.31,6.72,5.62,4.09,1.69,-0.81,-2.19,-2.59,-2.84,-3.19,-2.03,-0.03,2.09,3.44,4.53,6.34,7.38,6.41,5.53,5.28,5.5,5.22,5.53,6.62,8.09,8.69,8.28,8.28,8.81,9.31,9.41,10.22,12.19,14.47,15.81,17.28,19.38,20.91,21.31,20.56,20.16,19.34,17.59,14.38,11.66,9.69,8.28,7.53,8.44,11.56,15.84,18.88,22.22,25.72,28.84,30.38,30.91,30.34,29.25,27.44,24.28,21.84,21.25,21.72,21.94,22.88,24.41,25.88,26.09,25.47,25.16,24.84,24.22,23.0,22.62,40.81,41.0,41.56,42.84,44.41,46.47,48.44,50.16,51.97,53.69,54.47,54.69,54.53,54.5:24.53,25.16,26.88,29.66,32.62,33.94,34.62,35.06,35.22,33.97,32.16,30.75,29.88,28.41,26.62,25.41,25.09,24.66,23.72,22.94,23.28,23.84,23.44,23.38,24.19,25.94,27.31,28.19,29.72,31.47,32.06,31.62,30.59,29.75,28.78,26.31,24.66,24.09,24.06,23.28,22.12,21.16,21.22,20.97,20.41,20.69,21.62,22.44,22.22,22.72,23.56,24.69,24.06,23.25,22.66,22.81,22.28,21.84,21.78,22.69,23.25,22.88,23.38,24.47,25.59,25.5,25.41,26.28,26.78,26.62,26.56,27.16,28.34,29.34,30.22,31.38,33.12,34.0,33.88,32.84,32.22,30.88,27.78,24.47,22.69,21.72,20.91,20.75,21.25,22.0,21.56,20.0,17.94,16.78,15.84,14.16,13.09,13.06,13.25,12.38,11.06,10.97,11.88,12.81,13.5,15.09,17.53,19.41,21.03,22.56,25.44,28.12,29.75,29.78,30.53,30.19,28.31,26.31,25.16,24.78,24.84,24.41,24.59,25.59,25.44,24.44,23.28,23.12,23.16,23.03,23.28,24.59,26.22,26.94,26.91,27.0,27.38,27.25,26.59,26.41,27.38,28.06,27.38,26.47,26.31,26.38,25.91,25.16,25.22,25.38,24.16,22.56,21.69,21.91,21.72,21.19,20.81,21.0,20.66,20.06,19.47,20.25,21.0,20.72,20.22,20.31,20.84,20.66,20.5,20.78,21.81,22.38,22.22,22.53,23.28,23.81,23.5,22.0,21.56,20.75,19.22,17.38,16.41,16.56,16.28,16.03,16.62,17.59,18.44,17.97,17.34,17.41,17.56,17.16,17.12,18.44,19.75,20.5,20.72,21.34,22.12,22.34,21.44,20.25,19.66,18.78,16.62,14.66,14.38,13.75,12.06,10.34,9.78,9.53,9.38,8.97,9.75,11.44,12.59,12.38,12.03,12.28,12.38,12.09,12.75,15.03,17.78,20.12,21.16,22.66,23.56,23.38,22.5,21.31,20.91,20.0,18.56,17.31,16.72,16.62,15.31,14.0,13.84,14.19,14.12,13.75,14.97,16.28,17.16,17.25,17.56,18.5,18.72,17.88,17.44,17.56,18.16,17.97,17.62,18.25,19.31,19.44,19.12,19.62,20.53,20.75,19.25,17.31,15.94,13.81,11.25,9.62,10.38,12.19,13.72,15.28,17.84,20.16,21.41,21.5,21.5,21.72,21.31,19.75,18.09,16.56,14.41,11.03,7.56,5.78,5.75,5.84,6.56,8.41,10.66,12.5,13.06,13.91,14.41,14.25,12.59,11.16,11.09,11.56,11.72,12.31,13.94,15.31,15.62,15.0,13.72,12.69,10.53,7.91,6.41,6.34,6.69,6.66,7.28,9.06,11.16,12.78,14.19,16.12,17.41,17.31,15.94,14.69,13.41,12.31,10.69,10.16,10.75,11.94,12.22,12.53,13.31,14.38,14.5,14.03,13.97,14.03,13.28,12.31,11.84,13.09,14.53,15.41,16.56,18.0,18.91,17.94,16.72,16.06,15.78,14.88,13.41,13.09,12.97,13.12,12.88,13.44,15.31,17.0,17.72,18.0,18.59,19.12,17.72,15.84,14.31,12.91,11.0,8.84,7.38,7.22,6.72,6.0,5.88,6.75,8.28,8.97,9.97,12.12,15.03,16.72,17.81,18.84,19.03,18.16,16.34,14.88,14.31,14.22,13.53,13.12,13.31,13.41,12.22,10.91,9.66,8.59,6.72,4.53,3.5,3.56,3.59,3.0,2.88,2.75,2.5,1.78,1.59,3.09,4.97,6.31,7.62,8.88,10.62,11.53,12.41,13.53,15.31,16.53,17.28,18.0,19.19,20.28,20.06,18.81,17.91,16.62,13.97,10.47,7.69,5.44,3.34,1.78,1.72,3.0,4.78,5.53,6.44,7.97,9.06,9.41,9.81,10.25,10.78,10.5,9.47,9.03,9.56,9.78,9.84,10.12,11.22,11.84,11.56,10.84,10.91,11.0,10.34,9.53,9.34,9.62,9.91,10.28,11.12,13.19,14.44,14.66,14.06,14.06,13.44,11.84,9.75,8.22,7.06,5.28,3.38,2.88,3.41,3.66,3.91,4.84,6.75,8.44,9.59,10.5,12.16,13.47,13.03,11.84,10.19,8.41,5.78,3.06,1.75,1.53,1.47,1.88,2.41,4.06,5.41,5.72,6.12,6.78,7.84,8.28,8.62,9.69,11.81,13.25,14.5,16.47,18.59,19.56,19.53,18.66,18.25,17.16,14.97,12.69,11.16,9.31,7.06,4.88,3.03,1.81,0.38,-1.16,-2.12,-2.09,-1.41,-0.75,0.41,3.0,5.88,7.94,9.56,11.12,12.12,11.56,10.12,9.06,8.78,7.97,6.62,5.62,5.0,3.69,1.69,-0.09,-0.59,-1.12,-1.66,-2.0,-1.25,-0.69,-0.59,-0.78,-0.72,0.53,2.44,4.22,6.69,9.72,12.06,13.09,13.06,13.06,12.97,12.53,11.59,11.22,11.41,10.81,9.59,8.34,7.94,7.0,5.28,3.62,3.62,4.0,4.72,5.97,8.28,10.56,11.44,11.06,10.94,10.03,8.66,6.47,4.44,2.81,1.03,-0.81,-2.34,-2.59,-2.44,-2.66,-3.16,-2.97,-2.72,-2.41,-2.19,-1.41,0.03,1.97,3.75,5.72,8.62,11.16,12.75,13.28,14.09,14.84,14.19,12.94,12.16,11.47,10.5,8.81,7.28,5.88,4.22,1.5,-0.97,-2.06,-2.59,-2.75,-2.47,-0.59,2.03,3.38,4.03,5.19,6.38,7.34,7.38,7.81,7.97,7.62,6.56,5.59,5.5,5.22,4.16,2.38,1.03,-0.62,-2.28,-3.72,-4.44,-3.84,-2.75,-1.88,-0.69,0.88,3.09,4.5,6.22,8.97,11.34,12.66,13.19,13.22,12.75,11.25,8.81,7.06,6.22,6.16,5.62,5.47,5.72,5.34,3.91,2.38,2.31,2.97,3.53,3.81,5.41,7.12,8.38,8.5,8.91,9.5,10.22,10.12,10.31,11.28,12.28,12.34,11.75,11.56,11.56,10.59,8.88,7.41,6.28,4.78,2.56,0.41,-0.5,-1.19,-2.28,-2.72,-1.91,-0.31,0.56,1.62,3.31,5.5,6.69,7.03,7.28,7.47,7.5,6.81,6.44,7.34,8.56,8.41,8.25,7.84,7.69,6.28,4.81,3.88,4.09,4.38,5.09,6.94,9.91,12.91,14.97,16.59,17.94,19.03,18.91,18.28,17.84,17.38,15.97,13.66,11.84,10.53,9.44,8.53,7.97,8.47,9.53,10.06,11.25,13.06,15.84,17.34,18.53,19.75,21.44,21.72,20.62,19.22,17.47,14.97,10.94,7.06,4.41,2.44,0.56,-0.34,0.03,1.81,2.94,3.66,4.78,6.81,7.75,8.31,9.12,10.19,10.91,9.72,8.69,8.53,9.0,9.38,10.56,13.19,16.47,19.03,20.75,22.28,23.62,23.72,22.09,20.31,19.34,18.47,17.59,16.97,17.84,18.47,18.03,16.53,16.19,16.41,16.25,15.84,15.5,15.59,15.41,14.75,14.72,16.22,18.28,19.69,20.44,21.03,21.09,19.47,17.38,15.28,13.59,11.34,8.28,5.31,3.22,1.25,-1.03,-3.03,-3.81,-4.38,-5.31,-5.66,-4.78,-2.84,-1.5,-0.5,0.69,2.25,3.75,4.0,5.38,8.16,10.84,12.62,14.12,15.56,16.41,16.0,14.66,13.41,12.94,11.25,9.22,7.41,6.66,6.0,5.28,5.53,8.0,10.94,12.88,14.81,16.69,18.03,17.81,16.81,15.84,15.03,12.62,9.5,6.81,5.41,3.94,2.34,1.53,2.25,3.66,4.53,5.53,7.28,8.69,8.78,8.19,7.5,7.81,7.78,7.0,6.81,7.72,9.09,9.94,10.97,13.59,16.0,17.19,17.31,17.94,18.34,17.28,15.84,14.44,13.53,12.38,10.78,9.62,10.03,10.41,10.47,10.75,12.44,14.5,16.66,18.31,20.47,22.81,23.56,22.97,21.75,20.22,17.66,13.94,10.53,8.72,8.22,8.34,9.44,12.34,15.81,17.88,18.69,19.5,20.22,19.88,19.12,18.44,18.59,18.62,17.28,15.72,14.97,14.0,12.25,10.59,10.06,10.12,10.06,9.66,10.22,11.5,12.59,13.06,13.88,15.78,17.19,17.62,17.38,18.25,19.16,19.28,19.38,20.44,22.03,22.16,21.25,20.88,20.97,20.88,19.88,19.09,19.44,18.94,17.69,15.84,15.78,16.56,17.44,18.75,21.0,23.59,25.12,25.12,24.97,24.69,23.66,21.41,19.34,18.78,18.62,17.94,17.16,17.34,17.09,16.06,14.38,13.19,12.75,12.12,10.69,9.69,9.53,9.12,7.31,5.69,5.16,4.94,4.69,4.72,6.03,7.81,9.03,9.34,10.19,11.75,12.72,12.62,13.0,13.41,13.91,13.44,13.03,13.28,13.03,11.41,9.0,7.34,5.81,4.16,1.81,0.28,-0.31,-0.81,-1.66,-1.34,-0.28,0.81,1.09,1.25,1.78,2.47,2.47,2.09,2.72,4.0,5.47,6.25,7.12,8.5,9.12,8.31,6.72,5.62,4.09,1.69,-0.81,-2.19,-2.59,-2.84,-3.19,-2.03,-0.03,2.09,3.44,4.53,6.34,7.38,6.41,5.53,5.28,5.5,5.22,5.53,6.62,8.09,8.69,8.28,8.28,8.81,9.31,9.41,10.22,12.19,14.47,15.81,17.28,19.38,20.91,21.31,20.56,20.16,19.34,17.59,14.38,11.66,9.69,8.28,7.53,8.44,11.56,15.84,18.88,22.22,25.72,28.84,30.38,30.91,30.34,29.25,27.44,24.28,21.84,21.25,21.72,21.94,22.88,24.41,25.88,26.09,25.47,25.16,24.84,24.22,23.0,22.62,40.81,41.0,41.56,42.84,44.41,46.47,48.44,50.16,51.97,53.69,54.47,54.69,54.53,54.5,54.0,53.12,52.25,51.16,49.81,48.56,48.09:35.06,35.22,33.97,32.16,30.75,29.88,28.41,26.62,25.41,25.09,24.66,23.72,22.94,23.28,23.84,23.44,23.38,24.19,25.94,27.31,28.19,29.72,31.47,32.06,31.62,30.59,29.75,28.78,26.31,24.66,24.09,24.06,23.28,22.12,21.16,21.22,20.97,20.41,20.69,21.62,22.44,22.22,22.72,23.56,24.69,24.06,23.25,22.66,22.81,22.28,21.84,21.78,22.69,23.25,22.88,23.38,24.47,25.59,25.5,25.41,26.28,26.78,26.62,26.56,27.16,28.34,29.34,30.22,31.38,33.12,34.0,33.88,32.84,32.22,30.88,27.78,24.47,22.69,21.72,20.91,20.75,21.25,22.0,21.56,20.0,17.94,16.78,15.84,14.16,13.09,13.06,13.25,12.38,11.06,10.97,11.88,12.81,13.5,15.09,17.53,19.41,21.03,22.56,25.44,28.12,29.75,29.78,30.53,30.19,28.31,26.31,25.16,24.78,24.84,24.41,24.59,25.59,25.44,24.44,23.28,23.12,23.16,23.03,23.28,24.59,26.22,26.94,26.91,27.0,27.38,27.25,26.59,26.41,27.38,28.06,27.38,26.47,26.31,26.38,25.91,25.16,25.22,25.38,24.16,22.56,21.69,21.91,21.72,21.19,20.81,21.0,20.66,20.06,19.47,20.25,21.0,20.72,20.22,20.31,20.84,20.66,20.5,20.78,21.81,22.38,22.22,22.53,23.28,23.81,23.5,22.0,21.56,20.75,19.22,17.38,16.41,16.56,16.28,16.03,16.62,17.59,18.44,17.97,17.34,17.41,17.56,17.16,17.12,18.44,19.75,20.5,20.72,21.34,22.12,22.34,21.44,20.25,19.66,18.78,16.62,14.66,14.38,13.75,12.06,10.34,9.78,9.53,9.38,8.97,9.75,11.44,12.59,12.38,12.03,12.28,12.38,12.09,12.75,15.03,17.78,20.12,21.16,22.66,23.56,23.38,22.5,21.31,20.91,20.0,18.56,17.31,16.72,16.62,15.31,14.0,13.84,14.19,14.12,13.75,14.97,16.28,17.16,17.25,17.56,18.5,18.72,17.88,17.44,17.56,18.16,17.97,17.62,18.25,19.31,19.44,19.12,19.62,20.53,20.75,19.25,17.31,15.94,13.81,11.25,9.62,10.38,12.19,13.72,15.28,17.84,20.16,21.41,21.5,21.5,21.72,21.31,19.75,18.09,16.56,14.41,11.03,7.56,5.78,5.75,5.84,6.56,8.41,10.66,12.5,13.06,13.91,14.41,14.25,12.59,11.16,11.09,11.56,11.72,12.31,13.94,15.31,15.62,15.0,13.72,12.69,10.53,7.91,6.41,6.34,6.69,6.66,7.28,9.06,11.16,12.78,14.19,16.12,17.41,17.31,15.94,14.69,13.41,12.31,10.69,10.16,10.75,11.94,12.22,12.53,13.31,14.38,14.5,14.03,13.97,14.03,13.28,12.31,11.84,13.09,14.53,15.41,16.56,18.0,18.91,17.94,16.72,16.06,15.78,14.88,13.41,13.09,12.97,13.12,12.88,13.44,15.31,17.0,17.72,18.0,18.59,19.12,17.72,15.84,14.31,12.91,11.0,8.84,7.38,7.22,6.72,6.0,5.88,6.75,8.28,8.97,9.97,12.12,15.03,16.72,17.81,18.84,19.03,18.16,16.34,14.88,14.31,14.22,13.53,13.12,13.31,13.41,12.22,10.91,9.66,8.59,6.72,4.53,3.5,3.56,3.59,3.0,2.88,2.75,2.5,1.78,1.59,3.09,4.97,6.31,7.62,8.88,10.62,11.53,12.41,13.53,15.31,16.53,17.28,18.0,19.19,20.28,20.06,18.81,17.91,16.62,13.97,10.47,7.69,5.44,3.34,1.78,1.72,3.0,4.78,5.53,6.44,7.97,9.06,9.41,9.81,10.25,10.78,10.5,9.47,9.03,9.56,9.78,9.84,10.12,11.22,11.84,11.56,10.84,10.91,11.0,10.34,9.53,9.34,9.62,9.91,10.28,11.12,13.19,14.44,14.66,14.06,14.06,13.44,11.84,9.75,8.22,7.06,5.28,3.38,2.88,3.41,3.66,3.91,4.84,6.75,8.44,9.59,10.5,12.16,13.47,13.03,11.84,10.19,8.41,5.78,3.06,1.75,1.53,1.47,1.88,2.41,4.06,5.41,5.72,6.12,6.78,7.84,8.28,8.62,9.69,11.81,13.25,14.5,16.47,18.59,19.56,19.53,18.66,18.25,17.16,14.97,12.69,11.16,9.31,7.06,4.88,3.03,1.81,0.38,-1.16,-2.12,-2.09,-1.41,-0.75,0.41,3.0,5.88,7.94,9.56,11.12,12.12,11.56,10.12,9.06,8.78,7.97,6.62,5.62,5.0,3.69,1.69,-0.09,-0.59,-1.12,-1.66,-2.0,-1.25,-0.69,-0.59,-0.78,-0.72,0.53,2.44,4.22,6.69,9.72,12.06,13.09,13.06,13.06,12.97,12.53,11.59,11.22,11.41,10.81,9.59,8.34,7.94,7.0,5.28,3.62,3.62,4.0,4.72,5.97,8.28,10.56,11.44,11.06,10.94,10.03,8.66,6.47,4.44,2.81,1.03,-0.81,-2.34,-2.59,-2.44,-2.66,-3.16,-2.97,-2.72,-2.41,-2.19,-1.41,0.03,1.97,3.75,5.72,8.62,11.16,12.75,13.28,14.09,14.84,14.19,12.94,12.16,11.47,10.5,8.81,7.28,5.88,4.22,1.5,-0.97,-2.06,-2.59,-2.75,-2.47,-0.59,2.03,3.38,4.03,5.19,6.38,7.34,7.38,7.81,7.97,7.62,6.56,5.59,5.5,5.22,4.16,2.38,1.03,-0.62,-2.28,-3.72,-4.44,-3.84,-2.75,-1.88,-0.69,0.88,3.09,4.5,6.22,8.97,11.34,12.66,13.19,13.22,12.75,11.25,8.81,7.06,6.22,6.16,5.62,5.47,5.72,5.34,3.91,2.38,2.31,2.97,3.53,3.81,5.41,7.12,8.38,8.5,8.91,9.5,10.22,10.12,10.31,11.28,12.28,12.34,11.75,11.56,11.56,10.59,8.88,7.41,6.28,4.78,2.56,0.41,-0.5,-1.19,-2.28,-2.72,-1.91,-0.31,0.56,1.62,3.31,5.5,6.69,7.03,7.28,7.47,7.5,6.81,6.44,7.34,8.56,8.41,8.25,7.84,7.69,6.28,4.81,3.88,4.09,4.38,5.09,6.94,9.91,12.91,14.97,16.59,17.94,19.03,18.91,18.28,17.84,17.38,15.97,13.66,11.84,10.53,9.44,8.53,7.97,8.47,9.53,10.06,11.25,13.06,15.84,17.34,18.53,19.75,21.44,21.72,20.62,19.22,17.47,14.97,10.94,7.06,4.41,2.44,0.56,-0.34,0.03,1.81,2.94,3.66,4.78,6.81,7.75,8.31,9.12,10.19,10.91,9.72,8.69,8.53,9.0,9.38,10.56,13.19,16.47,19.03,20.75,22.28,23.62,23.72,22.09,20.31,19.34,18.47,17.59,16.97,17.84,18.47,18.03,16.53,16.19,16.41,16.25,15.84,15.5,15.59,15.41,14.75,14.72,16.22,18.28,19.69,20.44,21.03,21.09,19.47,17.38,15.28,13.59,11.34,8.28,5.31,3.22,1.25,-1.03,-3.03,-3.81,-4.38,-5.31,-5.66,-4.78,-2.84,-1.5,-0.5,0.69,2.25,3.75,4.0,5.38,8.16,10.84,12.62,14.12,15.56,16.41,16.0,14.66,13.41,12.94,11.25,9.22,7.41,6.66,6.0,5.28,5.53,8.0,10.94,12.88,14.81,16.69,18.03,17.81,16.81,15.84,15.03,12.62,9.5,6.81,5.41,3.94,2.34,1.53,2.25,3.66,4.53,5.53,7.28,8.69,8.78,8.19,7.5,7.81,7.78,7.0,6.81,7.72,9.09,9.94,10.97,13.59,16.0,17.19,17.31,17.94,18.34,17.28,15.84,14.44,13.53,12.38,10.78,9.62,10.03,10.41,10.47,10.75,12.44,14.5,16.66,18.31,20.47,22.81,23.56,22.97,21.75,20.22,17.66,13.94,10.53,8.72,8.22,8.34,9.44,12.34,15.81,17.88,18.69,19.5,20.22,19.88,19.12,18.44,18.59,18.62,17.28,15.72,14.97,14.0,12.25,10.59,10.06,10.12,10.06,9.66,10.22,11.5,12.59,13.06,13.88,15.78,17.19,17.62,17.38,18.25,19.16,19.28,19.38,20.44,22.03,22.16,21.25,20.88,20.97,20.88,19.88,19.09,19.44,18.94,17.69,15.84,15.78,16.56,17.44,18.75,21.0,23.59,25.12,25.12,24.97,24.69,23.66,21.41,19.34,18.78,18.62,17.94,17.16,17.34,17.09,16.06,14.38,13.19,12.75,12.12,10.69,9.69,9.53,9.12,7.31,5.69,5.16,4.94,4.69,4.72,6.03,7.81,9.03,9.34,10.19,11.75,12.72,12.62,13.0,13.41,13.91,13.44,13.03,13.28,13.03,11.41,9.0,7.34,5.81,4.16,1.81,0.28,-0.31,-0.81,-1.66,-1.34,-0.28,0.81,1.09,1.25,1.78,2.47,2.47,2.09,2.72,4.0,5.47,6.25,7.12,8.5,9.12,8.31,6.72,5.62,4.09,1.69,-0.81,-2.19,-2.59,-2.84,-3.19,-2.03,-0.03,2.09,3.44,4.53,6.34,7.38,6.41,5.53,5.28,5.5,5.22,5.53,6.62,8.09,8.69,8.28,8.28,8.81,9.31,9.41,10.22,12.19,14.47,15.81,17.28,19.38,20.91,21.31,20.56,20.16,19.34,17.59,14.38,11.66,9.69,8.28,7.53,8.44,11.56,15.84,18.88,22.22,25.72,28.84,30.38,30.91,30.34,29.25,27.44,24.28,21.84,21.25,21.72,21.94,22.88,24.41,25.88,26.09,25.47,25.16,24.84,24.22,23.0,22.62,40.81,41.0,41.56,42.84,44.41,46.47,48.44,50.16,51.97,53.69,54.47,54.69,54.53,54.5,54.0,53.12,52.25,51.16,49.81,48.56,48.09,48.56,49.78,51.69,54.12,56.62,58.75,60.06:26.62,25.41,25.09,24.66,23.72,22.94,23.28,23.84,23.44,23.38,24.19,25.94,27.31,28.19,29.72,31.47,32.06,31.62,30.59,29.75,28.78,26.31,24.66,24.09,24.06,23.28,22.12,21.16,21.22,20.97,20.41,20.69,21.62,22.44,22.22,22.72,23.56,24.69,24.06,23.25,22.66,22.81,22.28,21.84,21.78,22.69,23.25,22.88,23.38,24.47,25.59,25.5,25.41,26.28,26.78,26.62,26.56,27.16,28.34,29.34,30.22,31.38,33.12,34.0,33.88,32.84,32.22,30.88,27.78,24.47,22.69,21.72,20.91,20.75,21.25,22.0,21.56,20.0,17.94,16.78,15.84,14.16,13.09,13.06,13.25,12.38,11.06,10.97,11.88,12.81,13.5,15.09,17.53,19.41,21.03,22.56,25.44,28.12,29.75,29.78,30.53,30.19,28.31,26.31,25.16,24.78,24.84,24.41,24.59,25.59,25.44,24.44,23.28,23.12,23.16,23.03,23.28,24.59,26.22,26.94,26.91,27.0,27.38,27.25,26.59,26.41,27.38,28.06,27.38,26.47,26.31,26.38,25.91,25.16,25.22,25.38,24.16,22.56,21.69,21.91,21.72,21.19,20.81,21.0,20.66,20.06,19.47,20.25,21.0,20.72,20.22,20.31,20.84,20.66,20.5,20.78,21.81,22.38,22.22,22.53,23.28,23.81,23.5,22.0,21.56,20.75,19.22,17.38,16.41,16.56,16.28,16.03,16.62,17.59,18.44,17.97,17.34,17.41,17.56,17.16,17.12,18.44,19.75,20.5,20.72,21.34,22.12,22.34,21.44,20.25,19.66,18.78,16.62,14.66,14.38,13.75,12.06,10.34,9.78,9.53,9.38,8.97,9.75,11.44,12.59,12.38,12.03,12.28,12.38,12.09,12.75,15.03,17.78,20.12,21.16,22.66,23.56,23.38,22.5,21.31,20.91,20.0,18.56,17.31,16.72,16.62,15.31,14.0,13.84,14.19,14.12,13.75,14.97,16.28,17.16,17.25,17.56,18.5,18.72,17.88,17.44,17.56,18.16,17.97,17.62,18.25,19.31,19.44,19.12,19.62,20.53,20.75,19.25,17.31,15.94,13.81,11.25,9.62,10.38,12.19,13.72,15.28,17.84,20.16,21.41,21.5,21.5,21.72,21.31,19.75,18.09,16.56,14.41,11.03,7.56,5.78,5.75,5.84,6.56,8.41,10.66,12.5,13.06,13.91,14.41,14.25,12.59,11.16,11.09,11.56,11.72,12.31,13.94,15.31,15.62,15.0,13.72,12.69,10.53,7.91,6.41,6.34,6.69,6.66,7.28,9.06,11.16,12.78,14.19,16.12,17.41,17.31,15.94,14.69,13.41,12.31,10.69,10.16,10.75,11.94,12.22,12.53,13.31,14.38,14.5,14.03,13.97,14.03,13.28,12.31,11.84,13.09,14.53,15.41,16.56,18.0,18.91,17.94,16.72,16.06,15.78,14.88,13.41,13.09,12.97,13.12,12.88,13.44,15.31,17.0,17.72,18.0,18.59,19.12,17.72,15.84,14.31,12.91,11.0,8.84,7.38,7.22,6.72,6.0,5.88,6.75,8.28,8.97,9.97,12.12,15.03,16.72,17.81,18.84,19.03,18.16,16.34,14.88,14.31,14.22,13.53,13.12,13.31,13.41,12.22,10.91,9.66,8.59,6.72,4.53,3.5,3.56,3.59,3.0,2.88,2.75,2.5,1.78,1.59,3.09,4.97,6.31,7.62,8.88,10.62,11.53,12.41,13.53,15.31,16.53,17.28,18.0,19.19,20.28,20.06,18.81,17.91,16.62,13.97,10.47,7.69,5.44,3.34,1.78,1.72,3.0,4.78,5.53,6.44,7.97,9.06,9.41,9.81,10.25,10.78,10.5,9.47,9.03,9.56,9.78,9.84,10.12,11.22,11.84,11.56,10.84,10.91,11.0,10.34,9.53,9.34,9.62,9.91,10.28,11.12,13.19,14.44,14.66,14.06,14.06,13.44,11.84,9.75,8.22,7.06,5.28,3.38,2.88,3.41,3.66,3.91,4.84,6.75,8.44,9.59,10.5,12.16,13.47,13.03,11.84,10.19,8.41,5.78,3.06,1.75,1.53,1.47,1.88,2.41,4.06,5.41,5.72,6.12,6.78,7.84,8.28,8.62,9.69,11.81,13.25,14.5,16.47,18.59,19.56,19.53,18.66,18.25,17.16,14.97,12.69,11.16,9.31,7.06,4.88,3.03,1.81,0.38,-1.16,-2.12,-2.09,-1.41,-0.75,0.41,3.0,5.88,7.94,9.56,11.12,12.12,11.56,10.12,9.06,8.78,7.97,6.62,5.62,5.0,3.69,1.69,-0.09,-0.59,-1.12,-1.66,-2.0,-1.25,-0.69,-0.59,-0.78,-0.72,0.53,2.44,4.22,6.69,9.72,12.06,13.09,13.06,13.06,12.97,12.53,11.59,11.22,11.41,10.81,9.59,8.34,7.94,7.0,5.28,3.62,3.62,4.0,4.72,5.97,8.28,10.56,11.44,11.06,10.94,10.03,8.66,6.47,4.44,2.81,1.03,-0.81,-2.34,-2.59,-2.44,-2.66,-3.16,-2.97,-2.72,-2.41,-2.19,-1.41,0.03,1.97,3.75,5.72,8.62,11.16,12.75,13.28,14.09,14.84,14.19,12.94,12.16,11.47,10.5,8.81,7.28,5.88,4.22,1.5,-0.97,-2.06,-2.59,-2.75,-2.47,-0.59,2.03,3.38,4.03,5.19,6.38,7.34,7.38,7.81,7.97,7.62,6.56,5.59,5.5,5.22,4.16,2.38,1.03,-0.62,-2.28,-3.72,-4.44,-3.84,-2.75,-1.88,-0.69,0.88,3.09,4.5,6.22,8.97,11.34,12.66,13.19,13.22,12.75,11.25,8.81,7.06,6.22,6.16,5.62,5.47,5.72,5.34,3.91,2.38,2.31,2.97,3.53,3.81,5.41,7.12,8.38,8.5,8.91,9.5,10.22,10.12,10.31,11.28,12.28,12.34,11.75,11.56,11.56,10.59,8.88,7.41,6.28,4.78,2.56,0.41,-0.5,-1.19,-2.28,-2.72,-1.91,-0.31,0.56,1.62,3.31,5.5,6.69,7.03,7.28,7.47,7.5,6.81,6.44,7.34,8.56,8.41,8.25,7.84,7.69,6.28,4.81,3.88,4.09,4.38,5.09,6.94,9.91,12.91,14.97,16.59,17.94,19.03,18.91,18.28,17.84,17.38,15.97,13.66,11.84,10.53,9.44,8.53,7.97,8.47,9.53,10.06,11.25,13.06,15.84,17.34,18.53,19.75,21.44,21.72,20.62,19.22,17.47,14.97,10.94,7.06,4.41,2.44,0.56,-0.34,0.03,1.81,2.94,3.66,4.78,6.81,7.75,8.31,9.12,10.19,10.91,9.72,8.69,8.53,9.0,9.38,10.56,13.19,16.47,19.03,20.75,22.28,23.62,23.72,22.09,20.31,19.34,18.47,17.59,16.97,17.84,18.47,18.03,16.53,16.19,16.41,16.25,15.84,15.5,15.59,15.41,14.75,14.72,16.22,18.28,19.69,20.44,21.03,21.09,19.47,17.38,15.28,13.59,11.34,8.28,5.31,3.22,1.25,-1.03,-3.03,-3.81,-4.38,-5.31,-5.66,-4.78,-2.84,-1.5,-0.5,0.69,2.25,3.75,4.0,5.38,8.16,10.84,12.62,14.12,15.56,16.41,16.0,14.66,13.41,12.94,11.25,9.22,7.41,6.66,6.0,5.28,5.53,8.0,10.94,12.88,14.81,16.69,18.03,17.81,16.81,15.84,15.03,12.62,9.5,6.81,5.41,3.94,2.34,1.53,2.25,3.66,4.53,5.53,7.28,8.69,8.78,8.19,7.5,7.81,7.78,7.0,6.81,7.72,9.09,9.94,10.97,13.59,16.0,17.19,17.31,17.94,18.34,17.28,15.84,14.44,13.53,12.38,10.78,9.62,10.03,10.41,10.47,10.75,12.44,14.5,16.66,18.31,20.47,22.81,23.56,22.97,21.75,20.22,17.66,13.94,10.53,8.72,8.22,8.34,9.44,12.34,15.81,17.88,18.69,19.5,20.22,19.88,19.12,18.44,18.59,18.62,17.28,15.72,14.97,14.0,12.25,10.59,10.06,10.12,10.06,9.66,10.22,11.5,12.59,13.06,13.88,15.78,17.19,17.62,17.38,18.25,19.16,19.28,19.38,20.44,22.03,22.16,21.25,20.88,20.97,20.88,19.88,19.09,19.44,18.94,17.69,15.84,15.78,16.56,17.44,18.75,21.0,23.59,25.12,25.12,24.97,24.69,23.66,21.41,19.34,18.78,18.62,17.94,17.16,17.34,17.09,16.06,14.38,13.19,12.75,12.12,10.69,9.69,9.53,9.12,7.31,5.69,5.16,4.94,4.69,4.72,6.03,7.81,9.03,9.34,10.19,11.75,12.72,12.62,13.0,13.41,13.91,13.44,13.03,13.28,13.03,11.41,9.0,7.34,5.81,4.16,1.81,0.28,-0.31,-0.81,-1.66,-1.34,-0.28,0.81,1.09,1.25,1.78,2.47,2.47,2.09,2.72,4.0,5.47,6.25,7.12,8.5,9.12,8.31,6.72,5.62,4.09,1.69,-0.81,-2.19,-2.59,-2.84,-3.19,-2.03,-0.03,2.09,3.44,4.53,6.34,7.38,6.41,5.53,5.28,5.5,5.22,5.53,6.62,8.09,8.69,8.28,8.28,8.81,9.31,9.41,10.22,12.19,14.47,15.81,17.28,19.38,20.91,21.31,20.56,20.16,19.34,17.59,14.38,11.66,9.69,8.28,7.53,8.44,11.56,15.84,18.88,22.22,25.72,28.84,30.38,30.91,30.34,29.25,27.44,24.28,21.84,21.25,21.72,21.94,22.88,24.41,25.88,26.09,25.47,25.16,24.84,24.22,23.0,22.62,40.81,41.0,41.56,42.84,44.41,46.47,48.44,50.16,51.97,53.69,54.47,54.69,54.53,54.5,54.0,53.12,52.25,51.16,49.81,48.56,48.09,48.56,49.78,51.69,54.12,56.62,58.75,60.06,60.69,60.78,60.09,58.62,57.0,55.25,53.03:23.84,23.44,23.38,24.19,25.94,27.31,28.19,29.72,31.47,32.06,31.62,30.59,29.75,28.78,26.31,24.66,24.09,24.06,23.28,22.12,21.16,21.22,20.97,20.41,20.69,21.62,22.44,22.22,22.72,23.56,24.69,24.06,23.25,22.66,22.81,22.28,21.84,21.78,22.69,23.25,22.88,23.38,24.47,25.59,25.5,25.41,26.28,26.78,26.62,26.56,27.16,28.34,29.34,30.22,31.38,33.12,34.0,33.88,32.84,32.22,30.88,27.78,24.47,22.69,21.72,20.91,20.75,21.25,22.0,21.56,20.0,17.94,16.78,15.84,14.16,13.09,13.06,13.25,12.38,11.06,10.97,11.88,12.81,13.5,15.09,17.53,19.41,21.03,22.56,25.44,28.12,29.75,29.78,30.53,30.19,28.31,26.31,25.16,24.78,24.84,24.41,24.59,25.59,25.44,24.44,23.28,23.12,23.16,23.03,23.28,24.59,26.22,26.94,26.91,27.0,27.38,27.25,26.59,26.41,27.38,28.06,27.38,26.47,26.31,26.38,25.91,25.16,25.22,25.38,24.16,22.56,21.69,21.91,21.72,21.19,20.81,21.0,20.66,20.06,19.47,20.25,21.0,20.72,20.22,20.31,20.84,20.66,20.5,20.78,21.81,22.38,22.22,22.53,23.28,23.81,23.5,22.0,21.56,20.75,19.22,17.38,16.41,16.56,16.28,16.03,16.62,17.59,18.44,17.97,17.34,17.41,17.56,17.16,17.12,18.44,19.75,20.5,20.72,21.34,22.12,22.34,21.44,20.25,19.66,18.78,16.62,14.66,14.38,13.75,12.06,10.34,9.78,9.53,9.38,8.97,9.75,11.44,12.59,12.38,12.03,12.28,12.38,12.09,12.75,15.03,17.78,20.12,21.16,22.66,23.56,23.38,22.5,21.31,20.91,20.0,18.56,17.31,16.72,16.62,15.31,14.0,13.84,14.19,14.12,13.75,14.97,16.28,17.16,17.25,17.56,18.5,18.72,17.88,17.44,17.56,18.16,17.97,17.62,18.25,19.31,19.44,19.12,19.62,20.53,20.75,19.25,17.31,15.94,13.81,11.25,9.62,10.38,12.19,13.72,15.28,17.84,20.16,21.41,21.5,21.5,21.72,21.31,19.75,18.09,16.56,14.41,11.03,7.56,5.78,5.75,5.84,6.56,8.41,10.66,12.5,13.06,13.91,14.41,14.25,12.59,11.16,11.09,11.56,11.72,12.31,13.94,15.31,15.62,15.0,13.72,12.69,10.53,7.91,6.41,6.34,6.69,6.66,7.28,9.06,11.16,12.78,14.19,16.12,17.41,17.31,15.94,14.69,13.41,12.31,10.69,10.16,10.75,11.94,12.22,12.53,13.31,14.38,14.5,14.03,13.97,14.03,13.28,12.31,11.84,13.09,14.53,15.41,16.56,18.0,18.91,17.94,16.72,16.06,15.78,14.88,13.41,13.09,12.97,13.12,12.88,13.44,15.31,17.0,17.72,18.0,18.59,19.12,17.72,15.84,14.31,12.91,11.0,8.84,7.38,7.22,6.72,6.0,5.88,6.75,8.28,8.97,9.97,12.12,15.03,16.72,17.81,18.84,19.03,18.16,16.34,14.88,14.31,14.22,13.53,13.12,13.31,13.41,12.22,10.91,9.66,8.59,6.72,4.53,3.5,3.56,3.59,3.0,2.88,2.75,2.5,1.78,1.59,3.09,4.97,6.31,7.62,8.88,10.62,11.53,12.41,13.53,15.31,16.53,17.28,18.0,19.19,20.28,20.06,18.81,17.91,16.62,13.97,10.47,7.69,5.44,3.34,1.78,1.72,3.0,4.78,5.53,6.44,7.97,9.06,9.41,9.81,10.25,10.78,10.5,9.47,9.03,9.56,9.78,9.84,10.12,11.22,11.84,11.56,10.84,10.91,11.0,10.34,9.53,9.34,9.62,9.91,10.28,11.12,13.19,14.44,14.66,14.06,14.06,13.44,11.84,9.75,8.22,7.06,5.28,3.38,2.88,3.41,3.66,3.91,4.84,6.75,8.44,9.59,10.5,12.16,13.47,13.03,11.84,10.19,8.41,5.78,3.06,1.75,1.53,1.47,1.88,2.41,4.06,5.41,5.72,6.12,6.78,7.84,8.28,8.62,9.69,11.81,13.25,14.5,16.47,18.59,19.56,19.53,18.66,18.25,17.16,14.97,12.69,11.16,9.31,7.06,4.88,3.03,1.81,0.38,-1.16,-2.12,-2.09,-1.41,-0.75,0.41,3.0,5.88,7.94,9.56,11.12,12.12,11.56,10.12,9.06,8.78,7.97,6.62,5.62,5.0,3.69,1.69,-0.09,-0.59,-1.12,-1.66,-2.0,-1.25,-0.69,-0.59,-0.78,-0.72,0.53,2.44,4.22,6.69,9.72,12.06,13.09,13.06,13.06,12.97,12.53,11.59,11.22,11.41,10.81,9.59,8.34,7.94,7.0,5.28,3.62,3.62,4.0,4.72,5.97,8.28,10.56,11.44,11.06,10.94,10.03,8.66,6.47,4.44,2.81,1.03,-0.81,-2.34,-2.59,-2.44,-2.66,-3.16,-2.97,-2.72,-2.41,-2.19,-1.41,0.03,1.97,3.75,5.72,8.62,11.16,12.75,13.28,14.09,14.84,14.19,12.94,12.16,11.47,10.5,8.81,7.28,5.88,4.22,1.5,-0.97,-2.06,-2.59,-2.75,-2.47,-0.59,2.03,3.38,4.03,5.19,6.38,7.34,7.38,7.81,7.97,7.62,6.56,5.59,5.5,5.22,4.16,2.38,1.03,-0.62,-2.28,-3.72,-4.44,-3.84,-2.75,-1.88,-0.69,0.88,3.09,4.5,6.22,8.97,11.34,12.66,13.19,13.22,12.75,11.25,8.81,7.06,6.22,6.16,5.62,5.47,5.72,5.34,3.91,2.38,2.31,2.97,3.53,3.81,5.41,7.12,8.38,8.5,8.91,9.5,10.22,10.12,10.31,11.28,12.28,12.34,11.75,11.56,11.56,10.59,8.88,7.41,6.28,4.78,2.56,0.41,-0.5,-1.19,-2.28,-2.72,-1.91,-0.31,0.56,1.62,3.31,5.5,6.69,7.03,7.28,7.47,7.5,6.81,6.44,7.34,8.56,8.41,8.25,7.84,7.69,6.28,4.81,3.88,4.09,4.38,5.09,6.94,9.91,12.91,14.97,16.59,17.94,19.03,18.91,18.28,17.84,17.38,15.97,13.66,11.84,10.53,9.44,8.53,7.97,8.47,9.53,10.06,11.25,13.06,15.84,17.34,18.53,19.75,21.44,21.72,20.62,19.22,17.47,14.97,10.94,7.06,4.41,2.44,0.56,-0.34,0.03,1.81,2.94,3.66,4.78,6.81,7.75,8.31,9.12,10.19,10.91,9.72,8.69,8.53,9.0,9.38,10.56,13.19,16.47,19.03,20.75,22.28,23.62,23.72,22.09,20.31,19.34,18.47,17.59,16.97,17.84,18.47,18.03,16.53,16.19,16.41,16.25,15.84,15.5,15.59,15.41,14.75,14.72,16.22,18.28,19.69,20.44,21.03,21.09,19.47,17.38,15.28,13.59,11.34,8.28,5.31,3.22,1.25,-1.03,-3.03,-3.81,-4.38,-5.31,-5.66,-4.78,-2.84,-1.5,-0.5,0.69,2.25,3.75,4.0,5.38,8.16,10.84,12.62,14.12,15.56,16.41,16.0,14.66,13.41,12.94,11.25,9.22,7.41,6.66,6.0,5.28,5.53,8.0,10.94,12.88,14.81,16.69,18.03,17.81,16.81,15.84,15.03,12.62,9.5,6.81,5.41,3.94,2.34,1.53,2.25,3.66,4.53,5.53,7.28,8.69,8.78,8.19,7.5,7.81,7.78,7.0,6.81,7.72,9.09,9.94,10.97,13.59,16.0,17.19,17.31,17.94,18.34,17.28,15.84,14.44,13.53,12.38,10.78,9.62,10.03,10.41,10.47,10.75,12.44,14.5,16.66,18.31,20.47,22.81,23.56,22.97,21.75,20.22,17.66,13.94,10.53,8.72,8.22,8.34,9.44,12.34,15.81,17.88,18.69,19.5,20.22,19.88,19.12,18.44,18.59,18.62,17.28,15.72,14.97,14.0,12.25,10.59,10.06,10.12,10.06,9.66,10.22,11.5,12.59,13.06,13.88,15.78,17.19,17.62,17.38,18.25,19.16,19.28,19.38,20.44,22.03,22.16,21.25,20.88,20.97,20.88,19.88,19.09,19.44,18.94,17.69,15.84,15.78,16.56,17.44,18.75,21.0,23.59,25.12,25.12,24.97,24.69,23.66,21.41,19.34,18.78,18.62,17.94,17.16,17.34,17.09,16.06,14.38,13.19,12.75,12.12,10.69,9.69,9.53,9.12,7.31,5.69,5.16,4.94,4.69,4.72,6.03,7.81,9.03,9.34,10.19,11.75,12.72,12.62,13.0,13.41,13.91,13.44,13.03,13.28,13.03,11.41,9.0,7.34,5.81,4.16,1.81,0.28,-0.31,-0.81,-1.66,-1.34,-0.28,0.81,1.09,1.25,1.78,2.47,2.47,2.09,2.72,4.0,5.47,6.25,7.12,8.5,9.12,8.31,6.72,5.62,4.09,1.69,-0.81,-2.19,-2.59,-2.84,-3.19,-2.03,-0.03,2.09,3.44,4.53,6.34,7.38,6.41,5.53,5.28,5.5,5.22,5.53,6.62,8.09,8.69,8.28,8.28,8.81,9.31,9.41,10.22,12.19,14.47,15.81,17.28,19.38,20.91,21.31,20.56,20.16,19.34,17.59,14.38,11.66,9.69,8.28,7.53,8.44,11.56,15.84,18.88,22.22,25.72,28.84,30.38,30.91,30.34,29.25,27.44,24.28,21.84,21.25,21.72,21.94,22.88,24.41,25.88,26.09,25.47,25.16,24.84,24.22,23.0,22.62,40.81,41.0,41.56,42.84,44.41,46.47,48.44,50.16,51.97,53.69,54.47,54.69,54.53,54.5,54.0,53.12,52.25,51.16,49.81,48.56,48.09,48.56,49.78,51.69,54.12,56.62,58.75,60.06,60.69,60.78,60.09,58.62,57.0,55.25,53.03,50.72,48.34,45.91,43.94,42.19,41.44,41.12:negativity
13.59,15.56,17.19,18.53,20.09,22.03,23.34,23.62,23.78,24.03,24.09,22.81,21.12,20.22,20.38,19.72,19.19,19.66,20.78,20.94,20.47,20.28,20.44,19.88,18.91,18.06,18.5,19.03,18.59,17.59,17.0,16.59,15.81,15.31,16.25,18.09,19.59,20.59,21.06,22.03,22.16,21.91,21.66,22.22,22.53,22.47,21.91,21.38,21.41,21.12,21.19,21.94,24.22,26.19,27.91,28.66,29.28,29.28,27.91,25.88,24.88,24.41,23.44,22.41,22.03,22.03,21.44,19.88,18.81,18.0,16.91,15.69,15.34,16.12,17.53,19.44,21.06,23.47,25.34,25.94,25.25,24.34,23.22,22.22,21.0,20.72,22.47,24.25,25.28,25.91,26.5,26.91,26.38,25.44,25.25,25.41,24.91,23.84,23.03,22.38,21.88,20.53,19.69,19.78,19.78,19.41,19.12,19.53,20.09,19.88,18.84,17.97,17.91,17.31,16.91,17.44,18.66,19.69,19.12,18.12,17.0,15.69,13.91,11.88,11.28,10.78,9.81,8.44,7.38,7.06,6.75,6.44,6.38,7.38,8.28,8.69,9.38,11.19,13.53,15.62,17.12,18.84,20.0,20.22,19.44,18.97,19.03,18.91,17.56,15.91,15.0,14.06,12.5,10.5,9.34,8.0,5.81,3.56,2.94,3.56,4.22,4.88,6.0,7.56,8.88,9.41,9.69,11.06,12.0,12.12,12.09,12.53,12.94,12.94,12.09,11.59,11.5,11.28,10.38,10.0,10.59,11.53,12.28,12.81,14.84,16.59,16.97,16.5,15.75,14.66,12.56,10.62,9.5,9.84,10.38,10.41,10.44,10.47,10.06,8.88,7.53,7.69,8.88,10.28,11.69,13.72,16.0,17.75,18.38,19.34,20.25,20.62,20.53,20.22,20.19,20.66,20.69,19.75,19.75,20.09,20.22,19.62,20.03,20.62,20.94,19.91,18.66,17.47,16.47,14.47,12.91,12.5,12.56,11.84,10.75,10.41,10.56,10.28,9.47,9.34,9.72,10.0,9.78,9.91,11.09,12.66,12.72,13.06,13.78,15.19,15.5,15.94,16.91,18.19,18.75,18.5,18.31,18.59,18.59,17.53,16.88,16.62,16.78,16.44,16.44,16.88,18.03,18.56,18.06,17.88,17.91,17.84,16.69,16.12,15.97,15.97,15.03,14.31,14.44,15.44,15.62,15.62,16.38,17.69,18.19,18.53,19.25,20.31,20.72,18.94,16.72,14.81,13.25,11.12,9.41,8.97,8.81,7.62,5.97,4.75,4.47,3.75,2.44,1.34,0.94,0.81,0.0,-0.22,0.84,2.88,4.56,6.31,9.12,12.5,15.56,17.78,20.0,22.75,24.91,25.78,26.38,27.09,27.31,25.72,23.47,21.66,19.31,16.47,13.66,11.88,11.09,9.72,8.47,7.5,7.53,8.22,8.47,9.34,11.03,12.72,13.38,14.47,15.81,17.56,18.34,18.56,18.88,19.5,19.44,19.09,18.56,18.5,18.25,16.88,15.41,14.94,15.12,14.62,13.88,13.44,13.5,12.44,10.78,9.34,8.84,8.28,6.88,5.75,5.88,5.81,4.81,4.25,4.38,5.59,6.53,7.69,10.06,13.09,16.12,17.91,19.25,20.41,20.19,18.38,15.91,14.97,14.66,14.03,13.66,13.69,14.25,13.03,11.62,10.44,10.31,9.88,9.03,8.47,9.16,9.62,9.56,9.94,11.62,14.53,16.41,18.31,20.84,23.16,23.78,23.75,24.0,25.03,25.62,25.16,24.75,24.62,23.5,20.81,17.06,14.19,11.28,8.25,5.69,5.03,5.66,6.22,6.81,8.38,10.72,12.66,14.22,15.91,19.0,22.03,24.31,25.66,27.66,29.62,30.28,30.03,30.28,30.88,30.94,30.47,29.91,29.91,28.97,26.75,23.5,20.91,18.53,15.78,13.16,12.44,12.75,12.72,12.47,12.62,13.75,13.94,13.62,13.97,15.19,16.84,17.84,19.0,21.28,23.16,23.97,23.88,23.69,22.75,21.28,18.88,16.28,14.06,11.25,7.62,4.22,2.56,1.69,1.19,1.0,2.53,4.16,5.16,5.75,7.09,8.59,9.91,10.44,11.5,13.62,15.38,16.41,17.47,19.12,20.47,20.75,20.44,20.81,21.53,21.5,21.38,21.66,22.38,22.12,20.34,18.12,16.44,14.44,11.84,10.03,9.41,9.19,8.66,7.66,7.69,8.34,9.31,9.66,10.41,11.81,12.38,11.53,10.78,10.75,10.75,10.19,9.84,10.53,12.09,13.06,13.22,14.16,15.22,16.0,15.41,15.12,15.25,14.53,12.84,10.94,9.69,8.38,6.47,4.53,4.22,4.75,5.91,6.78,8.34,10.19,11.25,11.38,11.69,12.78,13.91,13.66,13.19,13.28,12.91,11.78,9.94,9.19,8.25,7.16,5.75,4.78,4.88,4.88,4.12,3.81,4.38,5.06,4.66,4.38,4.88,5.81,5.94,5.69,6.38,7.38,7.72,7.31,6.81,7.0,7.59,7.59,8.91,11.53,14.66,16.06,16.75,17.16,17.12,15.94,13.59,12.31,11.44,10.75,10.06,10.31,11.53,13.16,13.78,14.09,14.81,15.78,15.91,15.75,16.25,16.97,16.62,15.19,13.84,12.88,11.34,9.31,8.0,8.09,9.06,9.12,9.59,10.84,12.31,12.75,13.34,14.59,15.94,17.0,16.88,17.25,18.09,18.47,17.66,17.19,16.81,16.72,15.81,14.94,15.19,15.22,14.53,13.5,13.06,13.09,13.69,14.0,14.81,16.47,18.03,18.12,18.03,19.0,20.31,21.44,22.75,24.31,26.25,26.34,25.31,24.25,23.91,23.38,22.03,21.09,20.84,20.62,19.19,17.94,17.5,17.28,16.06,15.0,14.31,14.41,13.78,12.78,12.72,13.5,14.56,15.09,15.88,16.53,17.12,15.94,14.53,13.81,13.56,13.12,12.91,13.56,14.81,15.66,15.88,15.94,16.34,16.59,16.22,15.91,16.03,16.38,15.78,14.75,14.25,13.97,12.91,11.31,10.47,11.06,11.5,11.62,13.0,15.31,17.75,19.56,21.56,23.34,24.94,25.25,24.56,23.84,23.47,22.03,19.47,17.16,15.41,13.41,11.09,9.44,9.09,9.5,9.38,10.44,12.06,14.56,16.84,18.53,20.28,21.69,21.62,20.0,18.56,18.09,18.09,18.16,18.5,19.81,21.0,21.09,20.75,20.97,21.28,20.72,20.12,19.72,19.91,20.19,19.53,19.41,20.62,22.28,23.41,24.81,26.72,28.75,29.78,30.16,30.22,30.25,29.38,27.31,25.16,24.22,23.34,22.22,21.41,21.53,21.5,20.38,19.19,18.66,18.84,18.78,18.44,18.84,20.25,21.41,22.09,22.62,23.94,25.31,25.88,25.81,26.31,26.59,25.47,24.06,23.31,23.03,22.59,21.44,20.59,21.0,21.56,21.75,22.66,24.59,26.09,26.16,25.44,25.16,24.25,22.34,20.19,18.75,18.0,17.47,16.94,17.09,18.09,18.5,18.28,17.72,18.5,18.84,19.09,19.47,20.22,20.75,20.81,20.41,20.41,21.16,21.44,21.0,19.75,19.09,18.25,16.56,14.75,14.12,13.81,12.69,11.28,10.47,9.91,9.5,8.78,9.47,11.41,13.12,14.06,14.75,15.47,15.62,15.12,14.53,14.75,15.09,14.94,13.72,13.03,12.28,11.28,9.97,9.38,9.62,10.53,10.84,10.94,12.09,13.28,13.44,13.19,13.22,12.84,11.75,9.22,6.88,5.53,4.97,4.66,6.03,8.88,12.56,15.12,17.06,19.41,21.44,22.53,22.72,23.5,24.53,25.0,24.0,22.59,21.09,18.78,14.72,10.66,7.72,4.97,2.5,-0.03,-0.69,-0.56,-0.59,-0.78,0.03,1.62,3.0,4.5,6.28,9.31,12.19,13.91,15.09,16.72,17.91,18.41,18.44,18.91,19.19,18.16,15.28,11.97,8.81,5.44,2.19,-0.56,-1.59,-2.38,-3.5,-4.81,-5.09,-4.91,-5.19,-5.28,-4.22,-1.88,1.03,3.78,7.81,12.53,17.06,20.06,22.5,24.91,26.53,26.34,25.28,24.5,23.56,21.84,19.44,17.81,16.81,15.78,14.41,13.69,13.28,13.41,12.44,11.59,11.59,11.81,11.72,10.94,10.38,9.91,8.81,7.38,6.72,7.53,8.31,8.25,8.06,8.06,7.56,5.66,3.97,2.91,2.44,1.62,0.59,0.28,0.69,0.41,-0.25,-0.59,-0.38,-0.22,-1.44,-3.38,-5.41,-7.0,-9.53,-11.06,-10.94,-8.94,-6.94,-4.38,-0.69,3.78,7.88,11.12,14.25,17.31,20.16,22.09,23.84,26.88,29.94,31.38,32.09,32.5,32.31,30.94,28.16,25.5,22.69,18.91,13.94,9.09,5.75,3.56,1.75,1.81,4.0,7.28,10.25,12.66,14.69,16.62,17.41,17.41,17.97,19.5,21.62,22.66,23.53,24.12,24.5,22.91,21.25,20.28,19.78,19.09,17.81,16.12,14.84,12.84,9.28,5.75,2.44,-0.62,-5.12,-9.5,-12.34,-14.25,-16.34,-17.5,-17.16,-15.75,-14.62,-13.69,-12.31,-10.03,-8.03,-6.5,-4.75,-2.62,-0.53,0.75,1.81,4.06,6.28,7.16,7.12,7.12,7.25,6.59,5.28,3.75,2.62,0.78,-2.03,-4.38,-5.34,-4.88,-4.78,-4.16,-2.16,0.62,2.53,3.88,5.56,7.56,8.66,8.72,8.97,9.53,9.22,7.16,4.34,2.16,-0.03,-2.25,-4.66,-5.34,-5.09,-4.94,-4.72,-3.59,-1.78,-0.22,1.25,2.72,5.69,8.72,10.75,12.19,13.78,15.41,15.78,16.06,17.19,19.12,20.19,20.28,20.34,20.31,19.81,18.38,17.16,17.16,16.84,15.0,12.38,10.28,8.47,5.84,3.66,3.12,3.75,4.41,4.56,4.41,4.94,4.19:23.62,23.78,24.03,24.09,22.81,21.12,20.22,20.38,19.72,19.19,19.66,20.78,20.94,20.47,20.28,20.44,19.88,18.91,18.06,18.5,19.03,18.59,17.59,17.0,16.59,15.81,15.31,16.25,18.09,19.59,20.59,21.06,22.03,22.16,21.91,21.66,22.22,22.53,22.47,21.91,21.38,21.41,21.12,21.19,21.94,24.22,26.19,27.91,28.66,29.28,29.28,27.91,25.88,24.88,24.41,23.44,22.41,22.03,22.03,21.44,19.88,18.81,18.0,16.91,15.69,15.34,16.12,17.53,19.44,21.06,23.47,25.34,25.94,25.25,24.34,23.22,22.22,21.0,20.72,22.47,24.25,25.28,25.91,26.5,26.91,26.38,25.44,25.25,25.41,24.91,23.84,23.03,22.38,21.88,20.53,19.69,19.78,19.78,19.41,19.12,19.53,20.09,19.88,18.84,17.97,17.91,17.31,16.91,17.44,18.66,19.69,19.12,18.12,17.0,15.69,13.91,11.88,11.28,10.78,9.81,8.44,7.38,7.06,6.75,6.44,6.38,7.38,8.28,8.69,9.38,11.19,13.53,15.62,17.12,18.84,20.0,20.22,19.44,18.97,19.03,18.91,17.56,15.91,15.0,14.06,12.5,10.5,9.34,8.0,5.81,3.56,2.94,3.56,4.22,4.88,6.0,7.56,8.88,9.41,9.69,11.06,12.0,12.12,12.09,12.53,12.94,12.94,12.09,11.59,11.5,11.28,10.38,10.0,10.59,11.53,12.28,12.81,14.84,16.59,16.97,16.5,15.75,14.66,12.56,10.62,9.5,9.84,10.38,10.41,10.44,10.47,10.06,8.88,7.53,7.69,8.88,10.28,11.69,13.72,16.0,17.75,18.38,19.34,20.25,20.62,20.53,20.22,20.19,20.66,20.69,19.75,19.75,20.09,20.22,19.62,20.03,20.62,20.94,19.91,18.66,17.47,16.47,14.47,12.91,12.5,12.56,11.84,10.75,10.41,10.56,10.28,9.47,9.34,9.72,10.0,9.78,9.91,11.09,12.66,12.72,13.06,13.78,15.19,15.5,15.94,16.91,18.19,18.75,18.5,18.31,18.59,18.59,17.53,16.88,16.62,16.78,16.44,16.44,16.88,18.03,18.56,18.06,17.88,17.91,17.84,16.69,16.12,15.97,15.97,15.03,14.31,14.44,15.44,15.62,15.62,16.38,17.69,18.19,18.53,19.25,20.31,20.72,18.94,16.72,14.81,13.25,11.12,9.41,8.97,8.81,7.62,5.97,4.75,4.47,3.75,2.44,1.34,0.94,0.81,0.0,-0.22,0.84,2.88,4.56,6.31,9.12,12.5,15.56,17.78,20.0,22.75,24.91,25.78,26.38,27.09,27.31,25.72,23.47,21.66,19.31,16.47,13.66,11.88,11.09,9.72,8.47,7.5,7.53,8.22,8.47,9.34,11.03,12.72,13.38,14.47,15.81,17.56,18.34,18.56,18.88,19.5,19.44,19.09,18.56,18.5,18.25,16.88,15.41,14.94,15.12,14.62,13.88,13.44,13.5,12.44,10.78,9.34,8.84,8.28,6.88,5.75,5.88,5.81,4.81,4.25,4.38,5.59,6.53,7.69,10.06,13.09,16.12,17.91,19.25,20.41,20.19,18.38,15.91,14.97,14.66,14.03,13.66,13.69,14.25,13.03,11.62,10.44,10.31,9.88,9.03,8.47,9.16,9.62,9.56,9.94,11.62,14.53,16.41,18.31,20.84,23.16,23.78,23.75,24.0,25.03,25.62,25.16,24.75,24.62,23.5,20.81,17.06,14.19,11.28,8.25,5.69,5.03,5.66,6.22,6.81,8.38,10.72,12.66,14.22,15.91,19.0,22.03,24.31,25.66,27.66,29.62,30.28,30.03,30.28,30.88,30.94,30.47,29.91,29.91,28.97,26.75,23.5,20.91,18.53,15.78,13.16,12.44,12.75,12.72,12.47,12.62,13.75,13.94,13.62,13.97,15.19,16.84,17.84,19.0,21.28,23.16,23.97,23.88,23.69,22.75,21.28,18.88,16.28,14.06,11.25,7.62,4.22,2.56,1.69,1.19,1.0,2.53,4.16,5.16,5.75,7.09,8.59,9.91,10.44,11.5,13.62,15.38,16.41,17.47,19.12,20.47,20.75,20.44,20.81,21.53,21.5,21.38,21.66,22.38,22.12,20.34,18.12,16.44,14.44,11.84,10.03,9.41,9.19,8.66,7.66,7.69,8.34,9.31,9.66,10.41,11.81,12.38,11.53,10.78,10.75,10.75,10.19,9.84,10.53,12.09,13.06,13.22,14.16,15.22,16.0,15.41,15.12,15.25,14.53,12.84,10.94,9.69,8.38,6.47,4.53,4.22,4.75,5.91,6.78,8.34,10.19,11.25,11.38,11.69,12.78,13.91,13.66,13.19,13.28,12.91,11.78,9.94,9.19,8.25,7.16,5.75,4.78,4.88,4.88,4.12,3.81,4.38,5.06,4.66,4.38,4.88,5.81,5.94,5.69,6.38,7.38,7.72,7.31,6.81,7.0,7.59,7.59,8.91,11.53,14.66,16.06,16.75,17.16,17.12,15.94,13.59,12.31,11.44,10.75,10.06,10.31,11.53,13.16,13.78,14.09,14.81,15.78,15.91,15.75,16.25,16.97,16.62,15.19,13.84,12.88,11.34,9.31,8.0,8.09,9.06,9.12,9.59,10.84,12.31,12.75,13.34,14.59,15.94,17.0,16.88,17.25,18.09,18.47,17.66,17.19,16.81,16.72,15.81,14.94,15.19,15.22,14.53,13.5,13.06,13.09,13.69,14.0,14.81,16.47,18.03,18.12,18.03,19.0,20.31,21.44,22.75,24.31,26.25,26.34,25.31,24.25,23.91,23.38,22.03,21.09,20.84,20.62,19.19,17.94,17.5,17.28,16.06,15.0,14.31,14.41,13.78,12.78,12.72,13.5,14.56,15.09,15.88,16.53,17.12,15.94,14.53,13.81,13.56,13.12,12.91,13.56,14.81,15.66,15.88,15.94,16.34,16.59,16.22,15.91,16.03,16.38,15.78,14.75,14.25,13.97,12.91,11.31,10.47,11.06,11.5,11.62,13.0,15.31,17.75,19.56,21.56,23.34,24.94,25.25,24.56,23.84,23.47,22.03,19.47,17.16,15.41,13.41,11.09,9.44,9.09,9.5,9.38,10.44,12.06,14.56,16.84,18.53,20.28,21.69,21.62,20.0,18.56,18.09,18.09,18.16,18.5,19.81,21.0,21.09,20.75,20.97,21.28,20.72,20.12,19.72,19.91,20.19,19.53,19.41,20.62,22.28,23.41,24.81,26.72,28.75,29.78,30.16,30.22,30.25,29.38,27.31,25.16,24.22,23.34,22.22,21.41,21.53,21.5,20.38,19.19,18.66,18.84,18.78,18.44,18.84,20.25,21.41,22.09,22.62,23.94,25.31,25.88,25.81,26.31,26.59,25.47,24.06,23.31,23.03,22.59,21.44,20.59,21.0,21.56,21.75,22.66,24.59,26.09,26.16,25.44,25.16,24.25,22.34,20.19,18.75,18.0,17.47,16.94,17.09,18.09,18.5,18.28,17.72,18.5,18.84,19.09,19.47,20.22,20.75,20.81,20.41,20.41,21.16,21.44,21.0,19.75,19.09,18.25,16.56,14.75,14.12,13.81,12.69,11.28,10.47,9.91,9.5,8.78,9.47,11.41,13.12,14.06,14.75,15.47,15.62,15.12,14.53,14.75,15.09,14.94,13.72,13.03,12.28,11.28,9.97,9.38,9.62,10.53,10.84,10.94,12.09,13.28,13.44,13.19,13.22,12.84,11.75,9.22,6.88,5.53,4.97,4.66,6.03,8.88,12.56,15.12,17.06,19.41,21.44,22.53,22.72,23.5,24.53,25.0,24.0,22.59,21.09,18.78,14.72,10.66,7.72,4.97,2.5,-0.03,-0.69,-0.56,-0.59,-0.78,0.03,1.62,3.0,4.5,6.28,9.31,12.19,13.91,15.09,16.72,17.91,18.41,18.44,18.91,19.19,18.16,15.28,11.97,8.81,5.44,2.19,-0.56,-1.59,-2.38,-3.5,-4.81,-5.09,-4.91,-5.19,-5.28,-4.22,-1.88,1.03,3.78,7.81,12.53,17.06,20.06,22.5,24.91,26.53,26.34,25.28,24.5,23.56,21.84,19.44,17.81,16.81,15.78,14.41,13.69,13.28,13.41,12.44,11.59,11.59,11.81,11.72,10.94,10.38,9.91,8.81,7.38,6.72,7.53,8.31,8.25,8.06,8.06,7.56,5.66,3.97,2.91,2.44,1.62,0.59,0.28,0.69,0.41,-0.25,-0.59,-0.38,-0.22,-1.44,-3.38,-5.41,-7.0,-9.53,-11.06,-10.94,-8.94,-6.94,-4.38,-0.69,3.78,7.88,11.12,14.25,17.31,20.16,22.09,23.84,26.88,29.94,31.38,32.09,32.5,32.31,30.94,28.16,25.5,22.69,18.91,13.94,9.09,5.75,3.56,1.75,1.81,4.0,7.28,10.25,12.66,14.69,16.62,17.41,17.41,17.97,19.5,21.62,22.66,23.53,24.12,24.5,22.91,21.25,20.28,19.78,19.09,17.81,16.12,14.84,12.84,9.28,5.75,2.44,-0.62,-5.12,-9.5,-12.34,-14.25,-16.34,-17.5,-17.16,-15.75,-14.62,-13.69,-12.31,-10.03,-8.03,-6.5,-4.75,-2.62,-0.53,0.75,1.81,4.06,6.28,7.16,7.12,7.12,7.25,6.59,5.28,3.75,2.62,0.78,-2.03,-4.38,-5.34,-4.88,-4.78,-4.16,-2.16,0.62,2.53,3.88,5.56,7.56,8.66,8.72,8.97,9.53,9.22,7.16,4.34,2.16,-0.03,-2.25,-4.66,-5.34,-5.09,-4.94,-4.72,-3.59,-1.78,-0.22,1.25,2.72,5.69,8.72,10.75,12.19,13.78,15.41,15.78,16.06,17.19,19.12,20.19,20.28,20.34,20.31,19.81,18.38,17.16,17.16,16.84,15.0,12.38,10.28,8.47,5.84,3.66,3.12,3.75,4.41,4.56,4.41,4.94,4.19,33.41,34.84,36.38,37.72,39.0,39.78,40.28:20.38,19.72,19.19,19.66,20.78,20.94,20.47,20.28,20.44,19.88,18.91,18.06,18.5,19.03,18.59,17.59,17.0,16.59,15.81,15.31,16.25,18.09,19.59,20.59,21.06,22.03,22.16,21.91,21.66,22.22,22.53,22.47,21.91,21.38,21.41,21.12,21.19,21.94,24.22,26.19,27.91,28.66,29.28,29.28,27.91,25.88,24.88,24.41,23.44,22.41,22.03,22.03,21.44,19.88,18.81,18.0,16.91,15.69,15.34,16.12,17.53,19.44,21.06,23.47,25.34,25.94,25.25,24.34,23.22,22.22,21.0,20.72,22.47,24.25,25.28,25.91,26.5,26.91,26.38,25.44,25.25,25.41,24.91,23.84,23.03,22.38,21.88,20.53,19.69,19.78,19.78,19.41,19.12,19.53,20.09,19.88,18.84,17.97,17.91,17.31,16.91,17.44,18.66,19.69,19.12,18.12,17.0,15.69,13.91,11.88,11.28,10.78,9.81,8.44,7.38,7.06,6.75,6.44,6.38,7.38,8.28,8.69,9.38,11.19,13.53,15.62,17.12,18.84,20.0,20.22,19.44,18.97,19.03,18.91,17.56,15.91,15.0,14.06,12.5,10.5,9.34,8.0,5.81,3.56,2.94,3.56,4.22,4.88,6.0,7.56,8.88,9.41,9.69,11.06,12.0,12.12,12.09,12.53,12.94,12.94,12.09,11.59,11.5,11.28,10.38,10.0,10.59,11.53,12.28,12.81,14.84,16.59,16.97,16.5,15.75,14.66,12.56,10.62,9.5,9.84,10.38,10.41,10.44,10.47,10.06,8.88,7.53,7.69,8.88,10.28,11.69,13.72,16.0,17.75,18.38,19.34,20.25,20.62,20.53,20.22,20.19,20.66,20.69,19.75,19.75,20.09,20.22,19.62,20.03,20.62,20.94,19.91,18.66,17.47,16.47,14.47,12.91,12.5,12.56,11.84,10.75,10.41,10.56,10.28,9.47,9.34,9.72,10.0,9.78,9.91,11.09,12.66,12.72,13.06,13.78,15.19,15.5,15.94,16.91,18.19,18.75,18.5,18.31,18.59,18.59,17.53,16.88,16.62,16.78,16.44,16.44,16.88,18.03,18.56,18.06,17.88,17.91,17.84,16.69,16.12,15.97,15.97,15.03,14.31,14.44,15.44,15.62,15.62,16.38,17.69,18.19,18.53,19.25,20.31,20.72,18.94,16.72,14.81,13.25,11.12,9.41,8.97,8.81,7.62,5.97,4.75,4.47,3.75,2.44,1.34,0.94,0.81,0.0,-0.22,0.84,2.88,4.56,6.31,9.12,12.5,15.56,17.78,20.0,22.75,24.91,25.78,26.38,27.09,27.31,25.72,23.47,21.66,19.31,16.47,13.66,11.88,11.09,9.72,8.47,7.5,7.53,8.22,8.47,9.34,11.03,12.72,13.38,14.47,15.81,17.56,18.34,18.56,18.88,19.5,19.44,19.09,18.56,18.5,18.25,16.88,15.41,14.94,15.12,14.62,13.88,13.44,13.5,12.44,10.78,9.34,8.84,8.28,6.88,5.75,5.88,5.81,4.81,4.25,4.38,5.59,6.53,7.69,10.06,13.09,16.12,17.91,19.25,20.41,20.19,18.38,15.91,14.97,14.66,14.03,13.66,13.69,14.25,13.03,11.62,10.44,10.31,9.88,9.03,8.47,9.16,9.62,9.56,9.94,11.62,14.53,16.41,18.31,20.84,23.16,23.78,23.75,24.0,25.03,25.62,25.16,24.75,24.62,23.5,20.81,17.06,14.19,11.28,8.25,5.69,5.03,5.66,6.22,6.81,8.38,10.72,12.66,14.22,15.91,19.0,22.03,24.31,25.66,27.66,29.62,30.28,30.03,30.28,30.88,30.94,30.47,29.91,29.91,28.97,26.75,23.5,20.91,18.53,15.78,13.16,12.44,12.75,12.72,12.47,12.62,13.75,13.94,13.62,13.97,15.19,16.84,17.84,19.0,21.28,23.16,23.97,23.88,23.69,22.75,21.28,18.88,16.28,14.06,11.25,7.62,4.22,2.56,1.69,1.19,1.0,2.53,4.16,5.16,5.75,7.09,8.59,9.91,10.44,11.5,13.62,15.38,16.41,17.47,19.12,20.47,20.75,20.44,20.81,21.53,21.5,21.38,21.66,22.38,22.12,20.34,18.12,16.44,14.44,11.84,10.03,9.41,9.19,8.66,7.66,7.69,8.34,9.31,9.66,10.41,11.81,12.38,11.53,10.78,10.75,10.75,10.19,9.84,10.53,12.09,13.06,13.22,14.16,15.22,16.0,15.41,15.12,15.25,14.53,12.84,10.94,9.69,8.38,6.47,4.53,4.22,4.75,5.91,6.78,8.34,10.19,11.25,11.38,11.69,12.78,13.91,13.66,13.19,13.28,12.91,11.78,9.94,9.19,8.25,7.16,5.75,4.78,4.88,4.88,4.12,3.81,4.38,5.06,4.66,4.38,4.88,5.81,5.94,5.69,6.38,7.38,7.72,7.31,6.81,7.0,7.59,7.59,8.91,11.53,14.66,16.06,16.75,17.16,17.12,15.94,13.59,12.31,11.44,10.75,10.06,10.31,11.53,13.16,13.78,14.09,14.81,15.78,15.91,15.75,16.25,16.97,16.62,15.19,13.84,12.88,11.34,9.31,8.0,8.09,9.06,9.12,9.59,10.84,12.31,12.75,13.34,14.59,15.94,17.0,16.88,17.25,18.09,18.47,17.66,17.19,16.81,16.72,15.81,14.94,15.19,15.22,14.53,13.5,13.06,13.09,13.69,14.0,14.81,16.47,18.03,18.12,18.03,19.0,20.31,21.44,22.75,24.31,26.25,26.34,25.31,24.25,23.91,23.38,22.03,21.09,20.84,20.62,19.19,17.94,17.5,17.28,16.06,15.0,14.31,14.41,13.78,12.78,12.72,13.5,14.56,15.09,15.88,16.53,17.12,15.94,14.53,13.81,13.56,13.12,12.91,13.56,14.81,15.66,15.88,15.94,16.34,16.59,16.22,15.91,16.03,16.38,15.78,14.75,14.25,13.97,12.91,11.31,10.47,11.06,11.5,11.62,13.0,15.31,17.75,19.56,21.56,23.34,24.94,25.25,24.56,23.84,23.47,22.03,19.47,17.16,15.41,13.41,11.09,9.44,9.09,9.5,9.38,10.44,12.06,14.56,16.84,18.53,20.28,21.69,21.62,20.0,18.56,18.09,18.09,18.16,18.5,19.81,21.0,21.09,20.75,20.97,21.28,20.72,20.12,19.72,19.91,20.19,19.53,19.41,20.62,22.28,23.41,24.81,26.72,28.75,29.78,30.16,30.22,30.25,29.38,27.31,25.16,24.22,23.34,22.22,21.41,21.53,21.5,20.38,19.19,18.66,18.84,18.78,18.44,18.84,20.25,21.41,22.09,22.62,23.94,25.31,25.88,25.81,26.31,26.59,25.47,24.06,23.31,23.03,22.59,21.44,20.59,21.0,21.56,21.75,22.66,24.59,26.09,26.16,25.44,25.16,24.25,22.34,20.19,18.75,18.0,17.47,16.94,17.09,18.09,18.5,18.28,17.72,18.5,18.84,19.09,19.47,20.22,20.75,20.81,20.41,20.41,21.16,21.44,21.0,19.75,19.09,18.25,16.56,14.75,14.12,13.81,12.69,11.28,10.47,9.91,9.5,8.78,9.47,11.41,13.12,14.06,14.75,15.47,15.62,15.12,14.53,14.75,15.09,14.94,13.72,13.03,12.28,11.28,9.97,9.38,9.62,10.53,10.84,10.94,12.09,13.28,13.44,13.19,13.22,12.84,11.75,9.22,6.88,5.53,4.97,4.66,6.03,8.88,12.56,15.12,17.06,19.41,21.44,22.53,22.72,23.5,24.53,25.0,24.0,22.59,21.09,18.78,14.72,10.66,7.72,4.97,2.5,-0.03,-0.69,-0.56,-0.59,-0.78,0.03,1.62,3.0,4.5,6.28,9.31,12.19,13.91,15.09,16.72,17.91,18.41,18.44,18.91,19.19,18.16,15.28,11.97,8.81,5.44,2.19,-0.56,-1.59,-2.38,-3.5,-4.81,-5.09,-4.91,-5.19,-5.28,-4.22,-1.88,1.03,3.78,7.81,12.53,17.06,20.06,22.5,24.91,26.53,26.34,25.28,24.5,23.56,21.84,19.44,17.81,16.81,15.78,14.41,13.69,13.28,13.41,12.44,11.59,11.59,11.81,11.72,10.94,10.38,9.91,8.81,7.38,6.72,7.53,8.31,8.25,8.06,8.06,7.56,5.66,3.97,2.91,2.44,1.62,0.59,0.28,0.69,0.41,-0.25,-0.59,-0.38,-0.22,-1.44,-3.38,-5.41,-7.0,-9.53,-11.06,-10.94,-8.94,-6.94,-4.38,-0.69,3.78,7.88,11.12,14.25,17.31,20.16,22.09,23.84,26.88,29.94,31.38,32.09,32.5,32.31,30.94,28.16,25.5,22.69,18.91,13.94,9.09,5.75,3.56,1.75,1.81,4.0,7.28,10.25,12.66,14.69,16.62,17.41,17.41,17.97,19.5,21.62,22.66,23.53,24.12,24.5,22.91,21.25,20.28,19.78,19.09,17.81,16.12,14.84,12.84,9.28,5.75,2.44,-0.62,-5.12,-9.5,-12.34,-14.25,-16.34,-17.5,-17.16,-15.75,-14.62,-13.69,-12.31,-10.03,-8.03,-6.5,-4.75,-2.62,-0.53,0.75,1.81,4.06,6.28,7.16,7.12,7.12,7.25,6.59,5.28,3.75,2.62,0.78,-2.03,-4.38,-5.34,-4.88,-4.78,-4.16,-2.16,0.62,2.53,3.88,5.56,7.56,8.66,8.72,8.97,9.53,9.22,7.16,4.34,2.16,-0.03,-2.25,-4.66,-5.34,-5.09,-4.94,-4.72,-3.59,-1.78,-0.22,1.25,2.72,5.69,8.72,10.75,12.19,13.78,15.41,15.78,16.06,17.19,19.12,20.19,20.28,20.34,20.31,19.81,18.38,17.16,17.16,16.84,15.0,12.38,10.28,8.47,5.84,3.66,3.12,3.75,4.41,4.56,4.41,4.94,4.19,33.41,34.84,36.38,37.72,39.0,39.78,40.28,40.22,40.28,40.16,40.16,40.16,39.72,39.0:20.28,20.44,19.88,18.91,18.06,18.5,19.03,18.59,17.59,17.0,16.59,15.81,15.31,16.25,18.09,19.59,20.59,21.06,22.03,22.16,21.91,21.66,22.22,22.53,22.47,21.91,21.38,21.41,21.12,21.19,21.94,24.22,26.19,27.91,28.66,29.28,29.28,27.91,25.88,24.88,24.41,23.44,22.41,22.03,22.03,21.44,19.88,18.81,18.0,16.91,15.69,15.34,16.12,17.53,19.44,21.06,23.47,25.34,25.94,25.25,24.34,23.22,22.22,21.0,20.72,22.47,24.25,25.28,25.91,26.5,26.91,26.38,25.44,25.25,25.41,24.91,23.84,23.03,22.38,21.88,20.53,19.69,19.78,19.78,19.41,19.12,19.53,20.09,19.88,18.84,17.97,17.91,17.31,16.91,17.44,18.66,19.69,19.12,18.12,17.0,15.69,13.91,11.88,11.28,10.78,9.81,8.44,7.38,7.06,6.75,6.44,6.38,7.38,8.28,8.69,9.38,11.19,13.53,15.62,17.12,18.84,20.0,20.22,19.44,18.97,19.03,18.91,17.56,15.91,15.0,14.06,12.5,10.5,9.34,8.0,5.81,3.56,2.94,3.56,4.22,4.88,6.0,7.56,8.88,9.41,9.69,11.06,12.0,12.12,12.09,12.53,12.94,12.94,12.09,11.59,11.5,11.28,10.38,10.0,10.59,11.53,12.28,12.81,14.84,16.59,16.97,16.5,15.75,14.66,12.56,10.62,9.5,9.84,10.38,10.41,10.44,10.47,10.06,8.88,7.53,7.69,8.88,10.28,11.69,13.72,16.0,17.75,18.38,19.34,20.25,20.62,20.53,20.22,20.19,20.66,20.69,19.75,19.75,20.09,20.22,19.62,20.03,20.62,20.94,19.91,18.66,17.47,16.47,14.47,12.91,12.5,12.56,11.84,10.75,10.41,10.56,10.28,9.47,9.34,9.72,10.0,9.78,9.91,11.09,12.66,12.72,13.06,13.78,15.19,15.5,15.94,16.91,18.19,18.75,18.5,18.31,18.59,18.59,17.53,16.88,16.62,16.78,16.44,16.44,16.88,18.03,18.56,18.06,17.88,17.91,17.84,16.69,16.12,15.97,15.97,15.03,14.31,14.44,15.44,15.62,15.62,16.38,17.69,18.19,18.53,19.25,20.31,20.72,18.94,16.72,14.81,13.25,11.12,9.41,8.97,8.81,7.62,5.97,4.75,4.47,3.75,2.44,1.34,0.94,0.81,0.0,-0.22,0.84,2.88,4.56,6.31,9.12,12.5,15.56,17.78,20.0,22.75,24.91,25.78,26.38,27.09,27.31,25.72,23.47,21.66,19.31,16.47,13.66,11.88,11.09,9.72,8.47,7.5,7.53,8.22,8.47,9.34,11.03,12.72,13.38,14.47,15.81,17.56,18.34,18.56,18.88,19.5,19.44,19.09,18.56,18.5,18.25,16.88,15.41,14.94,15.12,14.62,13.88,13.44,13.5,12.44,10.78,9.34,8.84,8.28,6.88,5.75,5.88,5.81,4.81,4.25,4.38,5.59,6.53,7.69,10.06,13.09,16.12,17.91,19.25,20.41,20.19,18.38,15.91,14.97,14.66,14.03,13.66,13.69,14.25,13.03,11.62,10.44,10.31,9.88,9.03,8.47,9.16,9.62,9.56,9.94,11.62,14.53,16.41,18.31,20.84,23.16,23.78,23.75,24.0,25.03,25.62,25.16,24.75,24.62,23.5,20.81,17.06,14.19,11.28,8.25,5.69,5.03,5.66,6.22,6.81,8.38,10.72,12.66,14.22,15.91,19.0,22.03,24.31,25.66,27.66,29.62,30.28,30.03,30.28,30.88,30.94,30.47,29.91,29.91,28.97,26.75,23.5,20.91,18.53,15.78,13.16,12.44,12.75,12.72,12.47,12.62,13.75,13.94,13.62,13.97,15.19,16.84,17.84,19.0,21.28,23.16,23.97,23.88,23.69,22.75,21.28,18.88,16.28,14.06,11.25,7.62,4.22,2.56,1.69,1.19,1.0,2.53,4.16,5.16,5.75,7.09,8.59,9.91,10.44,11.5,13.62,15.38,16.41,17.47,19.12,20.47,20.75,20.44,20.81,21.53,21.5,21.38,21.66,22.38,22.12,20.34,18.12,16.44,14.44,11.84,10.03,9.41,9.19,8.66,7.66,7.69,8.34,9.31,9.66,10.41,11.81,12.38,11.53,10.78,10.75,10.75,10.19,9.84,10.53,12.09,13.06,13.22,14.16,15.22,16.0,15.41,15.12,15.25,14.53,12.84,10.94,9.69,8.38,6.47,4.53,4.22,4.75,5.91,6.78,8.34,10.19,11.25,11.38,11.69,12.78,13.91,13.66,13.19,13.28,12.91,11.78,9.94,9.19,8.25,7.16,5.75,4.78,4.88,4.88,4.12,3.81,4.38,5.06,4.66,4.38,4.88,5.81,5.94,5.69,6.38,7.38,7.72,7.31,6.81,7.0,7.59,7.59,8.91,11.53,14.66,16.06,16.75,17.16,17.12,15.94,13.59,12.31,11.44,10.75,10.06,10.31,11.53,13.16,13.78,14.09,14.81,15.78,15.91,15.75,16.25,16.97,16.62,15.19,13.84,12.88,11.34,9.31,8.0,8.09,9.06,9.12,9.59,10.84,12.31,12.75,13.34,14.59,15.94,17.0,16.88,17.25,18.09,18.47,17.66,17.19,16.81,16.72,15.81,14.94,15.19,15.22,14.53,13.5,13.06,13.09,13.69,14.0,14.81,16.47,18.03,18.12,18.03,19.0,20.31,21.44,22.75,24.31,26.25,26.34,25.31,24.25,23.91,23.38,22.03,21.09,20.84,20.62,19.19,17.94,17.5,17.28,16.06,15.0,14.31,14.41,13.78,12.78,12.72,13.5,14.56,15.09,15.88,16.53,17.12,15.94,14.53,13.81,13.56,13.12,12.91,13.56,14.81,15.66,15.88,15.94,16.34,16.59,16.22,15.91,16.03,16.38,15.78,14.75,14.25,13.97,12.91,11.31,10.47,11.06,11.5,11.62,13.0,15.31,17.75,19.56,21.56,23.34,24.94,25.25,24.56,23.84,23.47,22.03,19.47,17.16,15.41,13.41,11.09,9.44,9.09,9.5,9.38,10.44,12.06,14.56,16.84,18.53,20.28,21.69,21.62,20.0,18.56,18.09,18.09,18.16,18.5,19.81,21.0,21.09,20.75,20.97,21.28,20.72,20.12,19.72,19.91,20.19,19.53,19.41,20.62,22.28,23.41,24.81,26.72,28.75,29.78,30.16,30.22,30.25,29.38,27.31,25.16,24.22,23.34,22.22,21.41,21.53,21.5,20.38,19.19,18.66,18.84,18.78,18.44,18.84,20.25,21.41,22.09,22.62,23.94,25.31,25.88,25.81,26.31,26.59,25.47,24.06,23.31,23.03,22.59,21.44,20.59,21.0,21.56,21.75,22.66,24.59,26.09,26.16,25.44,25.16,24.25,22.34,20.19,18.75,18.0,17.47,16.94,17.09,18.09,18.5,18.28,17.72,18.5,18.84,19.09,19.47,20.22,20.75,20.81,20.41,20.41,21.16,21.44,21.0,19.75,19.09,18.25,16.56,14.75,14.12,13.81,12.69,11.28,10.47,9.91,9.5,8.78,9.47,11.41,13.12,14.06,14.75,15.47,15.62,15.12,14.53,14.75,15.09,14.94,13.72,13.03,12.28,11.28,9.97,9.38,9.62,10.53,10.84,10.94,12.09,13.28,13.44,13.19,13.22,12.84,11.75,9.22,6.88,5.53,4.97,4.66,6.03,8.88,12.56,15.12,17.06,19.41,21.44,22.53,22.72,23.5,24.53,25.0,24.0,22.59,21.09,18.78,14.72,10.66,7.72,4.97,2.5,-0.03,-0.69,-0.56,-0.59,-0.78,0.03,1.62,3.0,4.5,6.28,9.31,12.19,13.91,15.09,16.72,17.91,18.41,18.44,18.91,19.19,18.16,15.28,11.97,8.81,5.44,2.19,-0.56,-1.59,-2.38,-3.5,-4.81,-5.09,-4.91,-5.19,-5.28,-4.22,-1.88,1.03,3.78,7.81,12.53,17.06,20.06,22.5,24.91,26.53,26.34,25.28,24.5,23.56,21.84,19.44,17.81,16.81,15.78,14.41,13.69,13.28,13.41,12.44,11.59,11.59,11.81,11.72,10.94,10.38,9.91,8.81,7.38,6.72,7.53,8.31,8.25,8.06,8.06,7.56,5.66,3.97,2.91,2.44,1.62,0.59,0.28,0.69,0.41,-0.25,-0.59,-0.38,-0.22,-1.44,-3.38,-5.41,-7.0,-9.53,-11.06,-10.94,-8.94,-6.94,-4.38,-0.69,3.78,7.88,11.12,14.25,17.31,20.16,22.09,23.84,26.88,29.94,31.38,32.09,32.5,32.31,30.94,28.16,25.5,22.69,18.91,13.94,9.09,5.75,3.56,1.75,1.81,4.0,7.28,10.25,12.66,14.69,16.62,17.41,17.41,17.97,19.5,21.62,22.66,23.53,24.12,24.5,22.91,21.25,20.28,19.78,19.09,17.81,16.12,14.84,12.84,9.28,5.75,2.44,-0.62,-5.12,-9.5,-12.34,-14.25,-16.34,-17.5,-17.16,-15.75,-14.62,-13.69,-12.31,-10.03,-8.03,-6.5,-4.75,-2.62,-0.53,0.75,1.81,4.06,6.28,7.16,7.12,7.12,7.25,6.59,5.28,3.75,2.62,0.78,-2.03,-4.38,-5.34,-4.88,-4.78,-4.16,-2.16,0.62,2.53,3.88,5.56,7.56,8.66,8.72,8.97,9.53,9.22,7.16,4.34,2.16,-0.03,-2.25,-4.66,-5.34,-5.09,-4.94,-4.72,-3.59,-1.78,-0.22,1.25,2.72,5.69,8.72,10.75,12.19,13.78,15.41,15.78,16.06,17.19,19.12,20.19,20.28,20.34,20.31,19.81,18.38,17.16,17.16,16.84,15.0,12.38,10.28,8.47,5.84,3.66,3.12,3.75,4.41,4.56,4.41,4.94,4.19,33.41,34.84,36.38,37.72,39.0,39.78,40.28,40.22,40.28,40.16,40.16,40.16,39.72,39.0,38.47,37.84,36.97,36.41,36.22,36.16,35.88:18.59,17.59,17.0,16.59,15.81,15.31,16.25,18.09,19.59,20.59,21.06,22.03,22.16,21.91,21.66,22.22,22.53,22.47,21.91,21.38,21.41,21.12,21.19,21.94,24.22,26.19,27.91,28.66,29.28,29.28,27.91,25.88,24.88,24.41,23.44,22.41,22.03,22.03,21.44,19.88,18.81,18.0,16.91,15.69,15.34,16.12,17.53,19.44,21.06,23.47,25.34,25.94,25.25,24.34,23.22,22.22,21.0,20.72,22.47,24.25,25.28,25.91,26.5,26.91,26.38,25.44,25.25,25.41,24.91,23.84,23.03,22.38,21.88,20.53,19.69,19.78,19.78,19.41,19.12,19.53,20.09,19.88,18.84,17.97,17.91,17.31,16.91,17.44,18.66,19.69,19.12,18.12,17.0,15.69,13.91,11.88,11.28,10.78,9.81,8.44,7.38,7.06,6.75,6.44,6.38,7.38,8.28,8.69,9.38,11.19,13.53,15.62,17.12,18.84,20.0,20.22,19.44,18.97,19.03,18.91,17.56,15.91,15.0,14.06,12.5,10.5,9.34,8.0,5.81,3.56,2.94,3.56,4.22,4.88,6.0,7.56,8.88,9.41,9.69,11.06,12.0,12.12,12.09,12.53,12.94,12.94,12.09,11.59,11.5,11.28,10.38,10.0,10.59,11.53,12.28,12.81,14.84,16.59,16.97,16.5,15.75,14.66,12.56,10.62,9.5,9.84,10.38,10.41,10.44,10.47,10.06,8.88,7.53,7.69,8.88,10.28,11.69,13.72,16.0,17.75,18.38,19.34,20.25,20.62,20.53,20.22,20.19,20.66,20.69,19.75,19.75,20.09,20.22,19.62,20.03,20.62,20.94,19.91,18.66,17.47,16.47,14.47,12.91,12.5,12.56,11.84,10.75,10.41,10.56,10.28,9.47,9.34,9.72,10.0,9.78,9.91,11.09,12.66,12.72,13.06,13.78,15.19,15.5,15.94,16.91,18.19,18.75,18.5,18.31,18.59,18.59,17.53,16.88,16.62,16.78,16.44,16.44,16.88,18.03,18.56,18.06,17.88,17.91,17.84,16.69,16.12,15.97,15.97,15.03,14.31,14.44,15.44,15.62,15.62,16.38,17.69,18.19,18.53,19.25,20.31,20.72,18.94,16.72,14.81,13.25,11.12,9.41,8.97,8.81,7.62,5.97,4.75,4.47,3.75,2.44,1.34,0.94,0.81,0.0,-0.22,0.84,2.88,4.56,6.31,9.12,12.5,15.56,17.78,20.0,22.75,24.91,25.78,26.38,27.09,27.31,25.72,23.47,21.66,19.31,16.47,13.66,11.88,11.09,9.72,8.47,7.5,7.53,8.22,8.47,9.34,11.03,12.72,13.38,14.47,15.81,17.56,18.34,18.56,18.88,19.5,19.44,19.09,18.56,18.5,18.25,16.88,15.41,14.94,15.12,14.62,13.88,13.44,13.5,12.44,10.78,9.34,8.84,8.28,6.88,5.75,5.88,5.81,4.81,4.25,4.38,5.59,6.53,7.69,10.06,13.09,16.12,17.91,19.25,20.41,20.19,18.38,15.91,14.97,14.66,14.03,13.66,13.69,14.25,13.03,11.62,10.44,10.31,9.88,9.03,8.47,9.16,9.62,9.56,9.94,11.62,14.53,16.41,18.31,20.84,23.16,23.78,23.75,24.0,25.03,25.62,25.16,24.75,24.62,23.5,20.81,17.06,14.19,11.28,8.25,5.69,5.03,5.66,6.22,6.81,8.38,10.72,12.66,14.22,15.91,19.0,22.03,24.31,25.66,27.66,29.62,30.28,30.03,30.28,30.88,30.94,30.47,29.91,29.91,28.97,26.75,23.5,20.91,18.53,15.78,13.16,12.44,12.75,12.72,12.47,12.62,13.75,13.94,13.62,13.97,15.19,16.84,17.84,19.0,21.28,23.16,23.97,23.88,23.69,22.75,21.28,18.88,16.28,14.06,11.25,7.62,4.22,2.56,1.69,1.19,1.0,2.53,4.16,5.16,5.75,7.09,8.59,9.91,10.44,11.5,13.62,15.38,16.41,17.47,19.12,20.47,20.75,20.44,20.81,21.53,21.5,21.38,21.66,22.38,22.12,20.34,18.12,16.44,14.44,11.84,10.03,9.41,9.19,8.66,7.66,7.69,8.34,9.31,9.66,10.41,11.81,12.38,11.53,10.78,10.75,10.75,10.19,9.84,10.53,12.09,13.06,13.22,14.16,15.22,16.0,15.41,15.12,15.25,14.53,12.84,10.94,9.69,8.38,6.47,4.53,4.22,4.75,5.91,6.78,8.34,10.19,11.25,11.38,11.69,12.78,13.91,13.66,13.19,13.28,12.91,11.78,9.94,9.19,8.25,7.16,5.75,4.78,4.88,4.88,4.12,3.81,4.38,5.06,4.66,4.38,4.88,5.81,5.94,5.69,6.38,7.38,7.72,7.31,6.81,7.0,7.59,7.59,8.91,11.53,14.66,16.06,16.75,17.16,17.12,15.94,13.59,12.31,11.44,10.75,10.06,10.31,11.53,13.16,13.78,14.09,14.81,15.78,15.91,15.75,16.25,16.97,16.62,15.19,13.84,12.88,11.34,9.31,8.0,8.09,9.06,9.12,9.59,10.84,12.31,12.75,13.34,14.59,15.94,17.0,16.88,17.25,18.09,18.47,17.66,17.19,16.81,16.72,15.81,14.94,15.19,15.22,14.53,13.5,13.06,13.09,13.69,14.0,14.81,16.47,18.03,18.12,18.03,19.0,20.31,21.44,22.75,24.31,26.25,26.34,25.31,24.25,23.91,23.38,22.03,21.09,20.84,20.62,19.19,17.94,17.5,17.28,16.06,15.0,14.31,14.41,13.78,12.78,12.72,13.5,14.56,15.09,15.88,16.53,17.12,15.94,14.53,13.81,13.56,13.12,12.91,13.56,14.81,15.66,15.88,15.94,16.34,16.59,16.22,15.91,16.03,16.38,15.78,14.75,14.25,13.97,12.91,11.31,10.47,11.06,11.5,11.62,13.0,15.31,17.75,19.56,21.56,23.34,24.94,25.25,24.56,23.84,23.47,22.03,19.47,17.16,15.41,13.41,11.09,9.44,9.09,9.5,9.38,10.44,12.06,14.56,16.84,18.53,20.28,21.69,21.62,20.0,18.56,18.09,18.09,18.16,18.5,19.81,21.0,21.09,20.75,20.97,21.28,20.72,20.12,19.72,19.91,20.19,19.53,19.41,20.62,22.28,23.41,24.81,26.72,28.75,29.78,30.16,30.22,30.25,29.38,27.31,25.16,24.22,23.34,22.22,21.41,21.53,21.5,20.38,19.19,18.66,18.84,18.78,18.44,18.84,20.25,21.41,22.09,22.62,23.94,25.31,25.88,25.81,26.31,26.59,25.47,24.06,23.31,23.03,22.59,21.44,20.59,21.0,21.56,21.75,22.66,24.59,26.09,26.16,25.44,25.16,24.25,22.34,20.19,18.75,18.0,17.47,16.94,17.09,18.09,18.5,18.28,17.72,18.5,18.84,19.09,19.47,20.22,20.75,20.81,20.41,20.41,21.16,21.44,21.0,19.75,19.09,18.25,16.56,14.75,14.12,13.81,12.69,11.28,10.47,9.91,9.5,8.78,9.47,11.41,13.12,14.06,14.75,15.47,15.62,15.12,14.53,14.75,15.09,14.94,13.72,13.03,12.28,11.28,9.97,9.38,9.62,10.53,10.84,10.94,12.09,13.28,13.44,13.19,13.22,12.84,11.75,9.22,6.88,5.53,4.97,4.66,6.03,8.88,12.56,15.12,17.06,19.41,21.44,22.53,22.72,23.5,24.53,25.0,24.0,22.59,21.09,18.78,14.72,10.66,7.72,4.97,2.5,-0.03,-0.69,-0.56,-0.59,-0.78,0.03,1.62,3.0,4.5,6.28,9.31,12.19,13.91,15.09,16.72,17.91,18.41,18.44,18.91,19.19,18.16,15.28,11.97,8.81,5.44,2.19,-0.56,-1.59,-2.38,-3.5,-4.81,-5.09,-4.91,-5.19,-5.28,-4.22,-1.88,1.03,3.78,7.81,12.53,17.06,20.06,22.5,24.91,26.53,26.34,25.28,24.5,23.56,21.84,19.44,17.81,16.81,15.78,14.41,13.69,13.28,13.41,12.44,11.59,11.59,11.81,11.72,10.94,10.38,9.91,8.81,7.38,6.72,7.53,8.31,8.25,8.06,8.06,7.56,5.66,3.97,2.91,2.44,1.62,0.59,0.28,0.69,0.41,-0.25,-0.59,-0.38,-0.22,-1.44,-3.38,-5.41,-7.0,-9.53,-11.06,-10.94,-8.94,-6.94,-4.38,-0.69,3.78,7.88,11.12,14.25,17.31,20.16,22.09,23.84,26.88,29.94,31.38,32.09,32.5,32.31,30.94,28.16,25.5,22.69,18.91,13.94,9.09,5.75,3.56,1.75,1.81,4.0,7.28,10.25,12.66,14.69,16.62,17.41,17.41,17.97,19.5,21.62,22.66,23.53,24.12,24.5,22.91,21.25,20.28,19.78,19.09,17.81,16.12,14.84,12.84,9.28,5.75,2.44,-0.62,-5.12,-9.5,-12.34,-14.25,-16.34,-17.5,-17.16,-15.75,-14.62,-13.69,-12.31,-10.03,-8.03,-6.5,-4.75,-2.62,-0.53,0.75,1.81,4.06,6.28,7.16,7.12,7.12,7.25,6.59,5.28,3.75,2.62,0.78,-2.03,-4.38,-5.34,-4.88,-4.78,-4.16,-2.16,0.62,2.53,3.88,5.56,7.56,8.66,8.72,8.97,9.53,9.22,7.16,4.34,2.16,-0.03,-2.25,-4.66,-5.34,-5.09,-4.94,-4.72,-3.59,-1.78,-0.22,1.25,2.72,5.69,8.72,10.75,12.19,13.78,15.41,15.78,16.06,17.19,19.12,20.19,20.28,20.34,20.31,19.81,18.38,17.16,17.16,16.84,15.0,12.38,10.28,8.47,5.84,3.66,3.12,3.75,4.41,4.56,4.41,4.94,4.19,33.41,34.84,36.38,37.72,39.0,39.78,40.28,40.22,40.28,40.16,40.16,40.16,39.72,39.0,38.47,37.84,36.97,36.41,36.22,36.16,35.88,36.0,35.84,35.66,35.31,35.06,34.84,35.22:18.09,19.59,20.59,21.06,22.03,22.16,21.91,21.66,22.22,22.53,22.47,21.91,21.38,21.41,21.12,21.19,21.94,24.22,26.19,27.91,28.66,29.28,29.28,27.91,25.88,24.88,24.41,23.44,22.41,22.03,22.03,21.44,19.88,18.81,18.0,16.91,15.69,15.34,16.12,17.53,19.44,21.06,23.47,25.34,25.94,25.25,24.34,23.22,22.22,21.0,20.72,22.47,24.25,25.28,25.91,26.5,26.91,26.38,25.44,25.25,25.41,24.91,23.84,23.03,22.38,21.88,20.53,19.69,19.78,19.78,19.41,19.12,19.53,20.09,19.88,18.84,17.97,17.91,17.31,16.91,17.44,18.66,19.69,19.12,18.12,17.0,15.69,13.91,11.88,11.28,10.78,9.81,8.44,7.38,7.06,6.75,6.44,6.38,7.38,8.28,8.69,9.38,11.19,13.53,15.62,17.12,18.84,20.0,20.22,19.44,18.97,19.03,18.91,17.56,15.91,15.0,14.06,12.5,10.5,9.34,8.0,5.81,3.56,2.94,3.56,4.22,4.88,6.0,7.56,8.88,9.41,9.69,11.06,12.0,12.12,12.09,12.53,12.94,12.94,12.09,11.59,11.5,11.28,10.38,10.0,10.59,11.53,12.28,12.81,14.84,16.59,16.97,16.5,15.75,14.66,12.56,10.62,9.5,9.84,10.38,10.41,10.44,10.47,10.06,8.88,7.53,7.69,8.88,10.28,11.69,13.72,16.0,17.75,18.38,19.34,20.25,20.62,20.53,20.22,20.19,20.66,20.69,19.75,19.75,20.09,20.22,19.62,20.03,20.62,20.94,19.91,18.66,17.47,16.47,14.47,12.91,12.5,12.56,11.84,10.75,10.41,10.56,10.28,9.47,9.34,9.72,10.0,9.78,9.91,11.09,12.66,12.72,13.06,13.78,15.19,15.5,15.94,16.91,18.19,18.75,18.5,18.31,18.59,18.59,17.53,16.88,16.62,16.78,16.44,16.44,16.88,18.03,18.56,18.06,17.88,17.91,17.84,16.69,16.12,15.97,15.97,15.03,14.31,14.44,15.44,15.62,15.62,16.38,17.69,18.19,18.53,19.25,20.31,20.72,18.94,16.72,14.81,13.25,11.12,9.41,8.97,8.81,7.62,5.97,4.75,4.47,3.75,2.44,1.34,0.94,0.81,0.0,-0.22,0.84,2.88,4.56,6.31,9.12,12.5,15.56,17.78,20.0,22.75,24.91,25.78,26.38,27.09,27.31,25.72,23.47,21.66,19.31,16.47,13.66,11.88,11.09,9.72,8.47,7.5,7.53,8.22,8.47,9.34,11.03,12.72,13.38,14.47,15.81,17.56,18.34,18.56,18.88,19.5,19.44,19.09,18.56,18.5,18.25,16.88,15.41,14.94,15.12,14.62,13.88,13.44,13.5,12.44,10.78,9.34,8.84,8.28,6.88,5.75,5.88,5.81,4.81,4.25,4.38,5.59,6.53,7.69,10.06,13.09,16.12,17.91,19.25,20.41,20.19,18.38,15.91,14.97,14.66,14.03,13.66,13.69,14.25,13.03,11.62,10.44,10.31,9.88,9.03,8.47,9.16,9.62,9.56,9.94,11.62,14.53,16.41,18.31,20.84,23.16,23.78,23.75,24.0,25.03,25.62,25.16,24.75,24.62,23.5,20.81,17.06,14.19,11.28,8.25,5.69,5.03,5.66,6.22,6.81,8.38,10.72,12.66,14.22,15.91,19.0,22.03,24.31,25.66,27.66,29.62,30.28,30.03,30.28,30.88,30.94,30.47,29.91,29.91,28.97,26.75,23.5,20.91,18.53,15.78,13.16,12.44,12.75,12.72,12.47,12.62,13.75,13.94,13.62,13.97,15.19,16.84,17.84,19.0,21.28,23.16,23.97,23.88,23.69,22.75,21.28,18.88,16.28,14.06,11.25,7.62,4.22,2.56,1.69,1.19,1.0,2.53,4.16,5.16,5.75,7.09,8.59,9.91,10.44,11.5,13.62,15.38,16.41,17.47,19.12,20.47,20.75,20.44,20.81,21.53,21.5,21.38,21.66,22.38,22.12,20.34,18.12,16.44,14.44,11.84,10.03,9.41,9.19,8.66,7.66,7.69,8.34,9.31,9.66,10.41,11.81,12.38,11.53,10.78,10.75,10.75,10.19,9.84,10.53,12.09,13.06,13.22,14.16,15.22,16.0,15.41,15.12,15.25,14.53,12.84,10.94,9.69,8.38,6.47,4.53,4.22,4.75,5.91,6.78,8.34,10.19,11.25,11.38,11.69,12.78,13.91,13.66,13.19,13.28,12.91,11.78,9.94,9.19,8.25,7.16,5.75,4.78,4.88,4.88,4.12,3.81,4.38,5.06,4.66,4.38,4.88,5.81,5.94,5.69,6.38,7.38,7.72,7.31,6.81,7.0,7.59,7.59,8.91,11.53,14.66,16.06,16.75,17.16,17.12,15.94,13.59,12.31,11.44,10.75,10.06,10.31,11.53,13.16,13.78,14.09,14.81,15.78,15.91,15.75,16.25,16.97,16.62,15.19,13.84,12.88,11.34,9.31,8.0,8.09,9.06,9.12,9.59,10.84,12.31,12.75,13.34,14.59,15.94,17.0,16.88,17.25,18.09,18.47,17.66,17.19,16.81,16.72,15.81,14.94,15.19,15.22,14.53,13.5,13.06,13.09,13.69,14.0,14.81,16.47,18.03,18.12,18.03,19.0,20.31,21.44,22.75,24.31,26.25,26.34,25.31,24.25,23.91,23.38,22.03,21.09,20.84,20.62,19.19,17.94,17.5,17.28,16.06,15.0,14.31,14.41,13.78,12.78,12.72,13.5,14.56,15.09,15.88,16.53,17.12,15.94,14.53,13.81,13.56,13.12,12.91,13.56,14.81,15.66,15.88,15.94,16.34,16.59,16.22,15.91,16.03,16.38,15.78,14.75,14.25,13.97,12.91,11.31,10.47,11.06,11.5,11.62,13.0,15.31,17.75,19.56,21.56,23.34,24.94,25.25,24.56,23.84,23.47,22.03,19.47,17.16,15.41,13.41,11.09,9.44,9.09,9.5,9.38,10.44,12.06,14.56,16.84,18.53,20.28,21.69,21.62,20.0,18.56,18.09,18.09,18.16,18.5,19.81,21.0,21.09,20.75,20.97,21.28,20.72,20.12,19.72,19.91,20.19,19.53,19.41,20.62,22.28,23.41,24.81,26.72,28.75,29.78,30.16,30.22,30.25,29.38,27.31,25.16,24.22,23.34,22.22,21.41,21.53,21.5,20.38,19.19,18.66,18.84,18.78,18.44,18.84,20.25,21.41,22.09,22.62,23.94,25.31,25.88,25.81,26.31,26.59,25.47,24.06,23.31,23.03,22.59,21.44,20.59,21.0,21.56,21.75,22.66,24.59,26.09,26.16,25.44,25.16,24.25,22.34,20.19,18.75,18.0,17.47,16.94,17.09,18.09,18.5,18.28,17.72,18.5,18.84,19.09,19.47,20.22,20.75,20.81,20.41,20.41,21.16,21.44,21.0,19.75,19.09,18.25,16.56,14.75,14.12,13.81,12.69,11.28,10.47,9.91,9.5,8.78,9.47,11.41,13.12,14.06,14.75,15.47,15.62,15.12,14.53,14.75,15.09,14.94,13.72,13.03,12.28,11.28,9.97,9.38,9.62,10.53,10.84,10.94,12.09,13.28,13.44,13.19,13.22,12.84,11.75,9.22,6.88,5.53,4.97,4.66,6.03,8.88,12.56,15.12,17.06,19.41,21.44,22.53,22.72,23.5,24.53,25.0,24.0,22.59,21.09,18.78,14.72,10.66,7.72,4.97,2.5,-0.03,-0.69,-0.56,-0.59,-0.78,0.03,1.62,3.0,4.5,6.28,9.31,12.19,13.91,15.09,16.72,17.91,18.41,18.44,18.91,19.19,18.16,15.28,11.97,8.81,5.44,2.19,-0.56,-1.59,-2.38,-3.5,-4.81,-5.09,-4.91,-5.19,-5.28,-4.22,-1.88,1.03,3.78,7.81,12.53,17.06,20.06,22.5,24.91,26.53,26.34,25.28,24.5,23.56,21.84,19.44,17.81,16.81,15.78,14.41,13.69,13.28,13.41,12.44,11.59,11.59,11.81,11.72,10.94,10.38,9.91,8.81,7.38,6.72,7.53,8.31,8.25,8.06,8.06,7.56,5.66,3.97,2.91,2.44,1.62,0.59,0.28,0.69,0.41,-0.25,-0.59,-0.38,-0.22,-1.44,-3.38,-5.41,-7.0,-9.53,-11.06,-10.94,-8.94,-6.94,-4.38,-0.69,3.78,7.88,11.12,14.25,17.31,20.16,22.09,23.84,26.88,29.94,31.38,32.09,32.5,32.31,30.94,28.16,25.5,22.69,18.91,13.94,9.09,5.75,3.56,1.75,1.81,4.0,7.28,10.25,12.66,14.69,16.62,17.41,17.41,17.97,19.5,21.62,22.66,23.53,24.12,24.5,22.91,21.25,20.28,19.78,19.09,17.81,16.12,14.84,12.84,9.28,5.75,2.44,-0.62,-5.12,-9.5,-12.34,-14.25,-16.34,-17.5,-17.16,-15.75,-14.62,-13.69,-12.31,-10.03,-8.03,-6.5,-4.75,-2.62,-0.53,0.75,1.81,4.06,6.28,7.16,7.12,7.12,7.25,6.59,5.28,3.75,2.62,0.78,-2.03,-4.38,-5.34,-4.88,-4.78,-4.16,-2.16,0.62,2.53,3.88,5.56,7.56,8.66,8.72,8.97,9.53,9.22,7.16,4.34,2.16,-0.03,-2.25,-4.66,-5.34,-5.09,-4.94,-4.72,-3.59,-1.78,-0.22,1.25,2.72,5.69,8.72,10.75,12.19,13.78,15.41,15.78,16.06,17.19,19.12,20.19,20.28,20.34,20.31,19.81,18.38,17.16,17.16,16.84,15.0,12.38,10.28,8.47,5.84,3.66,3.12,3.75,4.41,4.56,4.41,4.94,4.19,33.41,34.84,36.38,37.72,39.0,39.78,40.28,40.22,40.28,40.16,40.16,40.16,39.72,39.0,38.47,37.84,36.97,36.41,36.22,36.16,35.88,36.0,35.84,35.66,35.31,35.06,34.84,35.22,35.56,35.59,35.62,35.88,35.69,36.0,36.94:21.66,22.22,22.53,22.47,21.91,21.38,21.41,21.12,21.19,21.94,24.22,26.19,27.91,28.66,29.28,29.28,27.91,25.88,24.88,24.41,23.44,22.41,22.03,22.03,21.44,19.88,18.81,18.0,16.91,15.69,15.34,16.12,17.53,19.44,21.06,23.47,25.34,25.94,25.25,24.34,23.22,22.22,21.0,20.72,22.47,24.25,25.28,25.91,26.5,26.91,26.38,25.44,25.25,25.41,24.91,23.84,23.03,22.38,21.88,20.53,19.69,19.78,19.78,19.41,19.12,19.53,20.09,19.88,18.84,17.97,17.91,17.31,16.91,17.44,18.66,19.69,19.12,18.12,17.0,15.69,13.91,11.88,11.28,10.78,9.81,8.44,7.38,7.06,6.75,6.44,6.38,7.38,8.28,8.69,9.38,11.19,13.53,15.62,17.12,18.84,20.0,20.22,19.44,18.97,19.03,18.91,17.56,15.91,15.0,14.06,12.5,10.5,9.34,8.0,5.81,3.56,2.94,3.56,4.22,4.88,6.0,7.56,8.88,9.41,9.69,11.06,12.0,12.12,12.09,12.53,12.94,12.94,12.09,11.59,11.5,11.28,10.38,10.0,10.59,11.53,12.28,12.81,14.84,16.59,16.97,16.5,15.75,14.66,12.56,10.62,9.5,9.84,10.38,10.41,10.44,10.47,10.06,8.88,7.53,7.69,8.88,10.28,11.69,13.72,16.0,17.75,18.38,19.34,20.25,20.62,20.53,20.22,20.19,20.66,20.69,19.75,19.75,20.09,20.22,19.62,20.03,20.62,20.94,19.91,18.66,17.47,16.47,14.47,12.91,12.5,12.56,11.84,10.75,10.41,10.56,10.28,9.47,9.34,9.72,10.0,9.78,9.91,11.09,12.66,12.72,13.06,13.78,15.19,15.5,15.94,16.91,18.19,18.75,18.5,18.31,18.59,18.59,17.53,16.88,16.62,16.78,16.44,16.44,16.88,18.03,18.56,18.06,17.88,17.91,17.84,16.69,16.12,15.97,15.97,15.03,14.31,14.44,15.44,15.62,15.62,16.38,17.69,18.19,18.53,19.25,20.31,20.72,18.94,16.72,14.81,13.25,11.12,9.41,8.97,8.81,7.62,5.97,4.75,4.47,3.75,2.44,1.34,0.94,0.81,0.0,-0.22,0.84,2.88,4.56,6.31,9.12,12.5,15.56,17.78,20.0,22.75,24.91,25.78,26.38,27.09,27.31,25.72,23.47,21.66,19.31,16.47,13.66,11.88,11.09,9.72,8.47,7.5,7.53,8.22,8.47,9.34,11.03,12.72,13.38,14.47,15.81,17.56,18.34,18.56,18.88,19.5,19.44,19.09,18.56,18.5,18.25,16.88,15.41,14.94,15.12,14.62,13.88,13.44,13.5,12.44,10.78,9.34,8.84,8.28,6.88,5.75,5.88,5.81,4.81,4.25,4.38,5.59,6.53,7.69,10.06,13.09,16.12,17.91,19.25,20.41,20.19,18.38,15.91,14.97,14.66,14.03,13.66,13.69,14.25,13.03,11.62,10.44,10.31,9.88,9.03,8.47,9.16,9.62,9.56,9.94,11.62,14.53,16.41,18.31,20.84,23.16,23.78,23.75,24.0,25.03,25.62,25.16,24.75,24.62,23.5,20.81,17.06,14.19,11.28,8.25,5.69,5.03,5.66,6.22,6.81,8.38,10.72,12.66,14.22,15.91,19.0,22.03,24.31,25.66,27.66,29.62,30.28,30.03,30.28,30.88,30.94,30.47,29.91,29.91,28.97,26.75,23.5,20.91,18.53,15.78,13.16,12.44,12.75,12.72,12.47,12.62,13.75,13.94,13.62,13.97,15.19,16.84,17.84,19.0,21.28,23.16,23.97,23.88,23.69,22.75,21.28,18.88,16.28,14.06,11.25,7.62,4.22,2.56,1.69,1.19,1.0,2.53,4.16,5.16,5.75,7.09,8.59,9.91,10.44,11.5,13.62,15.38,16.41,17.47,19.12,20.47,20.75,20.44,20.81,21.53,21.5,21.38,21.66,22.38,22.12,20.34,18.12,16.44,14.44,11.84,10.03,9.41,9.19,8.66,7.66,7.69,8.34,9.31,9.66,10.41,11.81,12.38,11.53,10.78,10.75,10.75,10.19,9.84,10.53,12.09,13.06,13.22,14.16,15.22,16.0,15.41,15.12,15.25,14.53,12.84,10.94,9.69,8.38,6.47,4.53,4.22,4.75,5.91,6.78,8.34,10.19,11.25,11.38,11.69,12.78,13.91,13.66,13.19,13.28,12.91,11.78,9.94,9.19,8.25,7.16,5.75,4.78,4.88,4.88,4.12,3.81,4.38,5.06,4.66,4.38,4.88,5.81,5.94,5.69,6.38,7.38,7.72,7.31,6.81,7.0,7.59,7.59,8.91,11.53,14.66,16.06,16.75,17.16,17.12,15.94,13.59,12.31,11.44,10.75,10.06,10.31,11.53,13.16,13.78,14.09,14.81,15.78,15.91,15.75,16.25,16.97,16.62,15.19,13.84,12.88,11.34,9.31,8.0,8.09,9.06,9.12,9.59,10.84,12.31,12.75,13.34,14.59,15.94,17.0,16.88,17.25,18.09,18.47,17.66,17.19,16.81,16.72,15.81,14.94,15.19,15.22,14.53,13.5,13.06,13.09,13.69,14.0,14.81,16.47,18.03,18.12,18.03,19.0,20.31,21.44,22.75,24.31,26.25,26.34,25.31,24.25,23.91,23.38,22.03,21.09,20.84,20.62,19.19,17.94,17.5,17.28,16.06,15.0,14.31,14.41,13.78,12.78,12.72,13.5,14.56,15.09,15.88,16.53,17.12,15.94,14.53,13.81,13.56,13.12,12.91,13.56,14.81,15.66,15.88,15.94,16.34,16.59,16.22,15.91,16.03,16.38,15.78,14.75,14.25,13.97,12.91,11.31,10.47,11.06,11.5,11.62,13.0,15.31,17.75,19.56,21.56,23.34,24.94,25.25,24.56,23.84,23.47,22.03,19.47,17.16,15.41,13.41,11.09,9.44,9.09,9.5,9.38,10.44,12.06,14.56,16.84,18.53,20.28,21.69,21.62,20.0,18.56,18.09,18.09,18.16,18.5,19.81,21.0,21.09,20.75,20.97,21.28,20.72,20.12,19.72,19.91,20.19,19.53,19.41,20.62,22.28,23.41,24.81,26.72,28.75,29.78,30.16,30.22,30.25,29.38,27.31,25.16,24.22,23.34,22.22,21.41,21.53,21.5,20.38,19.19,18.66,18.84,18.78,18.44,18.84,20.25,21.41,22.09,22.62,23.94,25.31,25.88,25.81,26.31,26.59,25.47,24.06,23.31,23.03,22.59,21.44,20.59,21.0,21.56,21.75,22.66,24.59,26.09,26.16,25.44,25.16,24.25,22.34,20.19,18.75,18.0,17.47,16.94,17.09,18.09,18.5,18.28,17.72,18.5,18.84,19.09,19.47,20.22,20.75,20.81,20.41,20.41,21.16,21.44,21.0,19.75,19.09,18.25,16.56,14.75,14.12,13.81,12.69,11.28,10.47,9.91,9.5,8.78,9.47,11.41,13.12,14.06,14.75,15.47,15.62,15.12,14.53,14.75,15.09,14.94,13.72,13.03,12.28,11.28,9.97,9.38,9.62,10.53,10.84,10.94,12.09,13.28,13.44,13.19,13.22,12.84,11.75,9.22,6.88,5.53,4.97,4.66,6.03,8.88,12.56,15.12,17.06,19.41,21.44,22.53,22.72,23.5,24.53,25.0,24.0,22.59,21.09,18.78,14.72,10.66,7.72,4.97,2.5,-0.03,-0.69,-0.56,-0.59,-0.78,0.03,1.62,3.0,4.5,6.28,9.31,12.19,13.91,15.09,16.72,17.91,18.41,18.44,18.91,19.19,18.16,15.28,11.97,8.81,5.44,2.19,-0.56,-1.59,-2.38,-3.5,-4.81,-5.09,-4.91,-5.19,-5.28,-4.22,-1.88,1.03,3.78,7.81,12.53,17.06,20.06,22.5,24.91,26.53,26.34,25.28,24.5,23.56,21.84,19.44,17.81,16.81,15.78,14.41,13.69,13.28,13.41,12.44,11.59,11.59,11.81,11.72,10.94,10.38,9.91,8.81,7.38,6.72,7.53,8.31,8.25,8.06,8.06,7.56,5.66,3.97,2.91,2.44,1.62,0.59,0.28,0.69,0.41,-0.25,-0.59,-0.38,-0.22,-1.44,-3.38,-5.41,-7.0,-9.53,-11.06,-10.94,-8.94,-6.94,-4.38,-0.69,3.78,7.88,11.12,14.25,17.31,20.16,22.09,23.84,26.88,29.94,31.38,32.09,32.5,32.31,30.94,28.16,25.5,22.69,18.91,13.94,9.09,5.75,3.56,1.75,1.81,4.0,7.28,10.25,12.66,14.69,16.62,17.41,17.41,17.97,19.5,21.62,22.66,23.53,24.12,24.5,22.91,21.25,20.28,19.78,19.09,17.81,16.12,14.84,12.84,9.28,5.75,2.44,-0.62,-5.12,-9.5,-12.34,-14.25,-16.34,-17.5,-17.16,-15.75,-14.62,-13.69,-12.31,-10.03,-8.03,-6.5,-4.75,-2.62,-0.53,0.75,1.81,4.06,6.28,7.16,7.12,7.12,7.25,6.59,5.28,3.75,2.62,0.78,-2.03,-4.38,-5.34,-4.88,-4.78,-4.16,-2.16,0.62,2.53,3.88,5.56,7.56,8.66,8.72,8.97,9.53,9.22,7.16,4.34,2.16,-0.03,-2.25,-4.66,-5.34,-5.09,-4.94,-4.72,-3.59,-1.78,-0.22,1.25,2.72,5.69,8.72,10.75,12.19,13.78,15.41,15.78,16.06,17.19,19.12,20.19,20.28,20.34,20.31,19.81,18.38,17.16,17.16,16.84,15.0,12.38,10.28,8.47,5.84,3.66,3.12,3.75,4.41,4.56,4.41,4.94,4.19,33.41,34.84,36.38,37.72,39.0,39.78,40.28,40.22,40.28,40.16,40.16,40.16,39.72,39.0,38.47,37.84,36.97,36.41,36.22,36.16,35.88,36.0,35.84,35.66,35.31,35.06,34.84,35.22,35.56,35.59,35.62,35.88,35.69,36.0,36.94,38.03,38.97,40.09,40.44,40.41,40.03,39.78:negativity
-0.22,0.69,2.72,3.62,2.34,0.28,0.0,0.34,0.06,0.06,1.59,3.38,4.25,3.62,4.12,5.62,6.97,7.12,7.16,8.41,8.75,6.91,4.69,3.91,3.75,2.47,0.81,0.44,1.59,2.25,2.97,4.91,7.94,10.19,10.75,10.66,11.34,11.5,9.78,6.66,4.62,3.03,0.84,-1.78,-2.38,-1.25,-0.41,-0.66,0.34,2.41,3.97,3.41,2.03,1.44,0.56,-1.44,-3.59,-3.25,-1.72,0.06,1.19,3.28,6.06,8.12,8.09,8.03,8.88,9.88,9.56,8.47,8.91,9.59,8.88,6.5,5.56,5.69,5.53,4.75,5.91,8.72,11.06,11.62,11.94,12.69,12.62,10.69,8.25,7.84,8.66,9.06,8.59,9.28,10.0,10.0,8.12,6.94,7.34,7.97,7.03,6.41,6.91,7.5,6.28,4.56,4.56,5.41,5.25,4.19,4.12,5.19,6.06,5.34,5.31,6.28,7.22,6.56,6.22,7.47,9.09,8.91,7.75,7.12,7.09,6.0,3.62,2.03,1.94,1.91,0.25,-0.66,0.12,1.0,-0.03,-1.5,-1.34,-0.19,-0.09,-0.12,0.84,3.19,4.53,4.31,4.81,6.34,8.22,8.19,8.34,9.69,11.56,11.88,11.28,11.59,12.62,11.88,9.47,8.25,7.59,6.16,2.97,0.53,-0.31,-0.94,-2.47,-3.28,-2.03,0.28,1.81,2.91,5.0,6.91,6.81,4.53,2.31,0.81,-0.75,-3.22,-4.78,-3.97,-2.56,-2.41,-2.0,-0.31,2.03,2.84,3.12,4.09,6.31,8.06,8.69,9.53,11.66,13.03,12.03,10.28,9.75,9.38,7.34,5.03,4.66,5.06,4.53,3.09,2.34,3.12,3.12,2.34,2.69,4.53,6.16,5.56,5.22,6.09,7.22,6.59,5.59,5.34,5.69,4.94,3.84,4.41,6.59,8.69,9.31,9.41,10.56,11.28,9.91,7.88,7.28,7.34,6.16,5.16,5.78,7.84,9.0,9.03,9.44,10.56,10.72,8.66,6.44,5.47,4.94,2.94,1.81,2.53,4.19,4.66,5.12,6.22,8.56,10.09,10.16,10.78,12.34,13.34,12.72,11.88,12.03,12.03,10.12,7.28,5.0,4.06,2.41,0.78,0.72,2.31,3.56,3.38,3.19,4.53,5.62,5.09,4.56,5.81,7.69,8.59,9.28,11.06,13.72,15.12,14.84,14.5,15.41,14.75,12.28,9.94,8.88,7.53,4.88,2.19,0.94,1.34,1.19,1.12,2.22,4.72,5.66,4.88,3.78,4.06,4.22,2.94,2.06,3.44,5.62,6.38,7.19,9.41,12.19,13.38,13.03,12.81,13.47,12.69,10.41,8.03,7.38,6.47,4.12,1.94,1.81,2.78,2.41,1.59,1.81,2.28,1.59,-0.38,-1.44,-0.72,-0.16,-0.75,-1.0,0.53,2.56,2.81,2.53,3.69,5.16,4.81,3.5,3.59,4.62,4.69,3.62,2.88,3.84,4.03,2.97,1.81,2.31,2.53,0.88,-1.84,-2.47,-2.59,-3.94,-5.72,-6.31,-4.94,-4.09,-3.84,-2.09,1.38,5.19,7.38,9.09,12.16,14.28,13.75,11.62,10.25,9.66,7.56,5.03,3.56,3.09,1.91,-0.81,-3.06,-3.0,-2.44,-2.16,-1.47,1.59,5.06,6.78,6.88,7.19,7.75,6.66,4.44,3.09,3.69,3.81,2.22,0.66,0.22,-0.03,-1.25,-2.09,-0.59,1.88,3.09,2.91,3.25,4.25,3.34,1.06,-0.75,-1.5,-2.16,-4.34,-6.34,-6.62,-6.72,-7.88,-9.59,-9.0,-7.22,-5.53,-4.38,-1.88,1.91,4.19,4.62,4.84,6.34,7.38,7.12,7.06,8.41,10.0,9.84,8.56,8.66,9.22,8.78,6.84,5.53,5.31,4.22,1.38,-1.16,-1.5,-1.62,-2.47,-2.66,-0.56,2.56,4.91,6.06,8.25,11.19,13.06,13.03,13.66,15.38,16.03,14.41,12.38,11.09,9.22,5.47,1.16,-1.59,-3.25,-5.09,-7.41,-8.16,-7.28,-6.88,-7.53,-7.31,-4.72,-2.09,-0.75,0.47,2.97,4.94,4.56,2.88,1.88,1.72,1.06,0.12,0.66,2.94,5.0,5.44,5.94,8.25,10.03,9.94,9.69,10.41,11.25,10.25,8.34,7.41,7.03,5.81,3.0,1.72,2.19,3.31,3.66,4.81,7.66,10.12,10.88,10.97,12.19,13.41,13.25,11.72,11.0,10.44,9.22,6.62,5.38,5.81,6.78,6.75,6.56,7.47,7.81,5.91,2.94,1.25,0.44,-0.28,-1.72,-1.34,0.72,2.25,2.41,3.09,5.22,7.88,8.5,8.94,10.09,10.81,9.59,7.81,7.44,8.12,8.16,6.78,5.81,5.69,5.03,2.59,0.62,-0.47,-1.12,-3.41,-5.09,-4.16,-1.5,0.78,2.31,4.69,7.78,9.34,8.72,8.25,9.28,10.16,9.19,8.56,9.22,10.34,9.44,8.31,8.59,9.88,10.5,10.69,11.81,13.69,14.28,12.56,11.22,11.41,12.0,10.81,9.91,9.81,9.59,7.38,4.12,2.03,1.09,0.0,-1.69,-2.19,-0.62,0.94,1.0,1.5,3.09,4.47,3.5,1.62,1.34,2.28,2.75,3.34,5.28,7.53,8.09,6.12,3.91,2.78,1.47,-1.19,-3.91,-4.09,-3.5,-3.78,-3.56,-1.0,2.53,5.03,6.34,8.19,10.09,10.59,9.06,7.97,8.5,9.66,10.25,11.31,14.53,18.62,20.56,21.56,22.44,23.38,21.72,17.88,14.0,10.62,6.03,0.28,-4.09,-5.78,-5.97,-6.12,-5.34,-2.12,2.19,4.75,7.03,9.25,12.03,12.81,11.97,11.16,11.25,11.0,9.19,8.31,8.84,10.09,10.25,10.22,10.69,11.5,10.44,7.69,5.34,3.59,0.81,-3.47,-6.34,-7.53,-8.22,-9.78,-11.03,-10.62,-9.69,-9.19,-8.44,-5.78,-1.84,0.97,2.28,3.41,5.06,5.28,3.66,2.28,2.16,2.53,1.56,1.03,1.56,2.44,1.53,0.0,-1.0,-1.09,-1.41,-2.69,-3.5,-2.75,-2.28,-2.62,-2.56,-0.91,0.56,0.31,-1.0,-1.94,-2.12,-3.31,-4.94,-5.47,-4.47,-4.0,-4.0,-3.31,-0.47,2.62,4.56,6.09,8.5,10.56,10.28,8.66,6.88,5.5,2.09,-2.5,-6.5,-8.84,-10.88,-13.28,-14.34,-12.28,-9.75,-7.91,-6.53,-3.91,-1.25,0.03,0.66,2.38,5.03,6.56,6.25,5.75,5.94,5.06,2.75,0.28,-0.38,-0.84,-1.69,-2.62,-1.94,-0.06,0.84,0.88,1.62,4.03,5.75,6.44,7.53,10.12,12.03,12.06,11.25,11.44,11.53,9.75,7.09,5.56,5.03,3.78,2.16,1.59,2.47,3.03,2.69,3.0,5.28,7.84,8.81,9.06,9.78,10.47,9.59,7.25,5.91,5.78,4.94,3.31,2.62,3.34,3.5,2.34,1.03,1.56,2.88,3.25,3.03,4.69,6.84,8.06,8.5,10.22,12.62,14.22,14.34,13.97,14.44,14.38,12.84,11.03,11.44,12.12,12.0,10.66,10.25,10.59,9.53,7.53,6.56,7.53,8.5,8.25,8.09,9.59,10.38,9.0,7.41,7.03,7.53,6.94,5.81,6.09,7.12,6.88,4.91,3.16,1.78,0.28,-2.66,-5.47,-6.0,-5.5,-5.94,-6.09,-4.25,-1.47,-0.06,-0.25,0.31,1.69,2.19,1.22,0.62,1.47,2.69,2.75,3.5,6.69,10.38,12.25,13.0,14.0,14.91,14.09,11.88,10.38,10.06,9.66,8.19,7.34,8.09,8.44,6.75,4.16,2.91,2.25,0.22,-2.06,-2.75,-2.78,-3.12,-4.5,-5.22,-4.72,-4.16,-5.06,-6.03,-5.62,-5.25,-6.62,-8.97,-9.66,-9.38,-9.28,-9.72,-8.75,-6.62,-5.72,-7.06,-8.59,-9.31,-10.78,-13.84,-16.34,-16.91,-16.75,-17.81,-18.62,-18.03,-16.16,-15.16,-14.84,-13.44,-10.66,-8.88,-8.47,-7.97,-6.47,-5.75,-7.28,-8.88,-9.75,-10.12,-12.03,-14.59,-16.03,-15.97,-16.41,-17.75,-17.41,-16.12,-14.78,-15.16,-15.19,-14.09,-12.91,-13.75,-15.03,-14.91,-14.09,-13.53,-13.66,-12.19,-9.53,-7.84,-7.5,-6.53,-5.12,-4.25,-5.16,-6.31,-6.16,-5.69,-6.56,-7.88,-8.12,-7.72,-8.44,-10.62,-11.78,-11.75,-12.59,-14.59,-15.75,-14.88,-13.59,-13.16,-12.75,-10.69,-8.28,-7.25,-7.06,-5.66,-3.25,-2.34,-2.56,-2.81,-1.47,-0.66,-1.12,-1.34,-0.16,1.09,-0.03,-1.0,-0.97,0.31,0.56,0.34,0.88,2.62,3.25,2.75,2.81,4.72,6.19,5.41,4.88,5.12,4.84,2.66,-0.31,-1.97,-2.72,-4.31,-5.53,-5.34,-2.97,-0.53,1.0,2.75,6.19,8.62,8.47,7.38,7.19,6.91,4.81,2.47,1.53,1.81,1.5,0.34,-0.19,0.66,1.31,0.75,0.25,1.72,3.16,2.75,2.22,3.12,4.97,5.34,5.12,5.03,5.78,4.34,1.16,-2.59,-5.03,-7.53,-11.16,-13.44,-12.66,-11.0,-10.0,-9.53,-8.53,-7.03,-7.09,-8.03,-8.06,-5.91,-3.81,-3.0,-1.75,1.34,3.5,3.41,3.06,4.03,5.38,5.0,4.19,4.44,6.19,6.88,6.19,6.31,6.78,6.06,3.06,-0.03,-1.22,-2.53,-5.0,-7.0,-6.72,-5.38,-4.72,-4.38,-2.94,-0.69,0.31,-0.19,-0.56,0.44,1.41,0.5,-0.12,0.97,2.03,1.06,-0.91,-1.84,-2.91,-5.91,-9.25,-11.19,-10.75,-10.0,-9.84,-8.75,-6.19,-4.28,-4.16,-4.28,-2.72,-0.47,0.69,1.47,3.69,6.28,6.84,5.91,4.75,4.47,3.38,0.75,-1.81,-2.72,-3.78,-6.03,-8.34,-8.34,-7.59,-8.06,-9.44,-9.31,-8.34,-8.41,-9.47,-9.22,-6.88:0.34,0.06,0.06,1.59,3.38,4.25,3.62,4.12,5.62,6.97,7.12,7.16,8.41,8.75,6.91,4.69,3.91,3.75,2.47,0.81,0.44,1.59,2.25,2.97,4.91,7.94,10.19,10.75,10.66,11.34,11.5,9.78,6.66,4.62,3.03,0.84,-1.78,-2.38,-1.25,-0.41,-0.66,0.34,2.41,3.97,3.41,2.03,1.44,0.56,-1.44,-3.59,-3.25,-1.72,0.06,1.19,3.28,6.06,8.12,8.09,8.03,8.88,9.88,9.56,8.47,8.91,9.59,8.88,6.5,5.56,5.69,5.53,4.75,5.91,8.72,11.06,11.62,11.94,12.69,12.62,10.69,8.25,7.84,8.66,9.06,8.59,9.28,10.0,10.0,8.12,6.94,7.34,7.97,7.03,6.41,6.91,7.5,6.28,4.56,4.56,5.41,5.25,4.19,4.12,5.19,6.06,5.34,5.31,6.28,7.22,6.56,6.22,7.47,9.09,8.91,7.75,7.12,7.09,6.0,3.62,2.03,1.94,1.91,0.25,-0.66,0.12,1.0,-0.03,-1.5,-1.34,-0.19,-0.09,-0.12,0.84,3.19,4.53,4.31,4.81,6.34,8.22,8.19,8.34,9.69,11.56,11.88,11.28,11.59,12.62,11.88,9.47,8.25,7.59,6.16,2.97,0.53,-0.31,-0.94,-2.47,-3.28,-2.03,0.28,1.81,2.91,5.0,6.91,6.81,4.53,2.31,0.81,-0.75,-3.22,-4.78,-3.97,-2.56,-2.41,-2.0,-0.31,2.03,2.84,3.12,4.09,6.31,8.06,8.69,9.53,11.66,13.03,12.03,10.28,9.75,9.38,7.34,5.03,4.66,5.06,4.53,3.09,2.34,3.12,3.12,2.34,2.69,4.53,6.16,5.56,5.22,6.09,7.22,6.59,5.59,5.34,5.69,4.94,3.84,4.41,6.59,8.69,9.31,9.41,10.56,11.28,9.91,7.88,7.28,7.34,6.16,5.16,5.78,7.84,9.0,9.03,9.44,10.56,10.72,8.66,6.44,5.47,4.94,2.94,1.81,2.53,4.19,4.66,5.12,6.22,8.56,10.09,10.16,10.78,12.34,13.34,12.72,11.88,12.03,12.03,10.12,7.28,5.0,4.06,2.41,0.78,0.72,2.31,3.56,3.38,3.19,4.53,5.62,5.09,4.56,5.81,7.69,8.59,9.28,11.06,13.72,15.12,14.84,14.5,15.41,14.75,12.28,9.94,8.88,7.53,4.88,2.19,0.94,1.34,1.19,1.12,2.22,4.72,5.66,4.88,3.78,4.06,4.22,2.94,2.06,3.44,5.62,6.38,7.19,9.41,12.19,13.38,13.03,12.81,13.47,12.69,10.41,8.03,7.38,6.47,4.12,1.94,1.81,2.78,2.41,1.59,1.81,2.28,1.59,-0.38,-1.44,-0.72,-0.16,-0.75,-1.0,0.53,2.56,2.81,2.53,3.69,5.16,4.81,3.5,3.59,4.62,4.69,3.62,2.88,3.84,4.03,2.97,1.81,2.31,2.53,0.88,-1.84,-2.47,-2.59,-3.94,-5.72,-6.31,-4.94,-4.09,-3.84,-2.09,1.38,5.19,7.38,9.09,12.16,14.28,13.75,11.62,10.25,9.66,7.56,5.03,3.56,3.09,1.91,-0.81,-3.06,-3.0,-2.44,-2.16,-1.47,1.59,5.06,6.78,6.88,7.19,7.75,6.66,4.44,3.09,3.69,3.81,2.22,0.66,0.22,-0.03,-1.25,-2.09,-0.59,1.88,3.09,2.91,3.25,4.25,3.34,1.06,-0.75,-1.5,-2.16,-4.34,-6.34,-6.62,-6.72,-7.88,-9.59,-9.0,-7.22,-5.53,-4.38,-1.88,1.91,4.19,4.62,4.84,6.34,7.38,7.12,7.06,8.41,10.0,9.84,8.56,8.66,9.22,8.78,6.84,5.53,5.31,4.22,1.38,-1.16,-1.5,-1.62,-2.47,-2.66,-0.56,2.56,4.91,6.06,8.25,11.19,13.06,13.03,13.66,15.38,16.03,14.41,12.38,11.09,9.22,5.47,1.16,-1.59,-3.25,-5.09,-7.41,-8.16,-7.28,-6.88,-7.53,-7.31,-4.72,-2.09,-0.75,0.47,2.97,4.94,4.56,2.88,1.88,1.72,1.06,0.12,0.66,2.94,5.0,5.44,5.94,8.25,10.03,9.94,9.69,10.41,11.25,10.25,8.34,7.41,7.03,5.81,3.0,1.72,2.19,3.31,3.66,4.81,7.66,10.12,10.88,10.97,12.19,13.41,13.25,11.72,11.0,10.44,9.22,6.62,5.38,5.81,6.78,6.75,6.56,7.47,7.81,5.91,2.94,1.25,0.44,-0.28,-1.72,-1.34,0.72,2.25,2.41,3.09,5.22,7.88,8.5,8.94,10.09,10.81,9.59,7.81,7.44,8.12,8.16,6.78,5.81,5.69,5.03,2.59,0.62,-0.47,-1.12,-3.41,-5.09,-4.16,-1.5,0.78,2.31,4.69,7.78,9.34,8.72,8.25,9.28,10.16,9.19,8.56,9.22,10.34,9.44,8.31,8.59,9.88,10.5,10.69,11.81,13.69,14.28,12.56,11.22,11.41,12.0,10.81,9.91,9.81,9.59,7.38,4.12,2.03,1.09,0.0,-1.69,-2.19,-0.62,0.94,1.0,1.5,3.09,4.47,3.5,1.62,1.34,2.28,2.75,3.34,5.28,7.53,8.09,6.12,3.91,2.78,1.47,-1.19,-3.91,-4.09,-3.5,-3.78,-3.56,-1.0,2.53,5.03,6.34,8.19,10.09,10.59,9.06,7.97,8.5,9.66,10.25,11.31,14.53,18.62,20.56,21.56,22.44,23.38,21.72,17.88,14.0,10.62,6.03,0.28,-4.09,-5.78,-5.97,-6.12,-5.34,-2.12,2.19,4.75,7.03,9.25,12.03,12.81,11.97,11.16,11.25,11.0,9.19,8.31,8.84,10.09,10.25,10.22,10.69,11.5,10.44,7.69,5.34,3.59,0.81,-3.47,-6.34,-7.53,-8.22,-9.78,-11.03,-10.62,-9.69,-9.19,-8.44,-5.78,-1.84,0.97,2.28,3.41,5.06,5.28,3.66,2.28,2.16,2.53,1.56,1.03,1.56,2.44,1.53,0.0,-1.0,-1.09,-1.41,-2.69,-3.5,-2.75,-2.28,-2.62,-2.56,-0.91,0.56,0.31,-1.0,-1.94,-2.12,-3.31,-4.94,-5.47,-4.47,-4.0,-4.0,-3.31,-0.47,2.62,4.56,6.09,8.5,10.56,10.28,8.66,6.88,5.5,2.09,-2.5,-6.5,-8.84,-10.88,-13.28,-14.34,-12.28,-9.75,-7.91,-6.53,-3.91,-1.25,0.03,0.66,2.38,5.03,6.56,6.25,5.75,5.94,5.06,2.75,0.28,-0.38,-0.84,-1.69,-2.62,-1.94,-0.06,0.84,0.88,1.62,4.03,5.75,6.44,7.53,10.12,12.03,12.06,11.25,11.44,11.53,9.75,7.09,5.56,5.03,3.78,2.16,1.59,2.47,3.03,2.69,3.0,5.28,7.84,8.81,9.06,9.78,10.47,9.59,7.25,5.91,5.78,4.94,3.31,2.62,3.34,3.5,2.34,1.03,1.56,2.88,3.25,3.03,4.69,6.84,8.06,8.5,10.22,12.62,14.22,14.34,13.97,14.44,14.38,12.84,11.03,11.44,12.12,12.0,10.66,10.25,10.59,9.53,7.53,6.56,7.53,8.5,8.25,8.09,9.59,10.38,9.0,7.41,7.03,7.53,6.94,5.81,6.09,7.12,6.88,4.91,3.16,1.78,0.28,-2.66,-5.47,-6.0,-5.5,-5.94,-6.09,-4.25,-1.47,-0.06,-0.25,0.31,1.69,2.19,1.22,0.62,1.47,2.69,2.75,3.5,6.69,10.38,12.25,13.0,14.0,14.91,14.09,11.88,10.38,10.06,9.66,8.19,7.34,8.09,8.44,6.75,4.16,2.91,2.25,0.22,-2.06,-2.75,-2.78,-3.12,-4.5,-5.22,-4.72,-4.16,-5.06,-6.03,-5.62,-5.25,-6.62,-8.97,-9.66,-9.38,-9.28,-9.72,-8.75,-6.62,-5.72,-7.06,-8.59,-9.31,-10.78,-13.84,-16.34,-16.91,-16.75,-17.81,-18.62,-18.03,-16.16,-15.16,-14.84,-13.44,-10.66,-8.88,-8.47,-7.97,-6.47,-5.75,-7.28,-8.88,-9.75,-10.12,-12.03,-14.59,-16.03,-15.97,-16.41,-17.75,-17.41,-16.12,-14.78,-15.16,-15.19,-14.09,-12.91,-13.75,-15.03,-14.91,-14.09,-13.53,-13.66,-12.19,-9.53,-7.84,-7.5,-6.53,-5.12,-4.25,-5.16,-6.31,-6.16,-5.69,-6.56,-7.88,-8.12,-7.72,-8.44,-10.62,-11.78,-11.75,-12.59,-14.59,-15.75,-14.88,-13.59,-13.16,-12.75,-10.69,-8.28,-7.25,-7.06,-5.66,-3.25,-2.34,-2.56,-2.81,-1.47,-0.66,-1.12,-1.34,-0.16,1.09,-0.03,-1.0,-0.97,0.31,0.56,0.34,0.88,2.62,3.25,2.75,2.81,4.72,6.19,5.41,4.88,5.12,4.84,2.66,-0.31,-1.97,-2.72,-4.31,-5.53,-5.34,-2.97,-0.53,1.0,2.75,6.19,8.62,8.47,7.38,7.19,6.91,4.81,2.47,1.53,1.81,1.5,0.34,-0.19,0.66,1.31,0.75,0.25,1.72,3.16,2.75,2.22,3.12,4.97,5.34,5.12,5.03,5.78,4.34,1.16,-2.59,-5.03,-7.53,-11.16,-13.44,-12.66,-11.0,-10.0,-9.53,-8.53,-7.03,-7.09,-8.03,-8.06,-5.91,-3.81,-3.0,-1.75,1.34,3.5,3.41,3.06,4.03,5.38,5.0,4.19,4.44,6.19,6.88,6.19,6.31,6.78,6.06,3.06,-0.03,-1.22,-2.53,-5.0,-7.0,-6.72,-5.38,-4.72,-4.38,-2.94,-0.69,0.31,-0.19,-0.56,0.44,1.41,0.5,-0.12,0.97,2.03,1.06,-0.91,-1.84,-2.91,-5.91,-9.25,-11.19,-10.75,-10.0,-9.84,-8.75,-6.19,-4.28,-4.16,-4.28,-2.72,-0.47,0.69,1.47,3.69,6.28,6.84,5.91,4.75,4.47,3.38,0.75,-1.81,-2.72,-3.78,-6.03,-8.34,-8.34,-7.59,-8.06,-9.44,-9.31,-8.34,-8.41,-9.47,-9.22,-6.88,21.88,23.47,24.34,25.06,25.31,24.69,23.47:4.12,5.62,6.97,7.12,7.16,8.41,8.75,6.91,4.69,3.91,3.75,2.47,0.81,0.44,1.59,2.25,2.97,4.91,7.94,10.19,10.75,10.66,11.34,11.5,9.78,6.66,4.62,3.03,0.84,-1.78,-2.38,-1.25,-0.41,-0.66,0.34,2.41,3.97,3.41,2.03,1.44,0.56,-1.44,-3.59,-3.25,-1.72,0.06,1.19,3.28,6.06,8.12,8.09,8.03,8.88,9.88,9.56,8.47,8.91,9.59,8.88,6.5,5.56,5.69,5.53,4.75,5.91,8.72,11.06,11.62,11.94,12.69,12.62,10.69,8.25,7.84,8.66,9.06,8.59,9.28,10.0,10.0,8.12,6.94,7.34,7.97,7.03,6.41,6.91,7.5,6.28,4.56,4.56,5.41,5.25,4.19,4.12,5.19,6.06,5.34,5.31,6.28,7.22,6.56,6.22,7.47,9.09,8.91,7.75,7.12,7.09,6.0,3.62,2.03,1.94,1.91,0.25,-0.66,0.12,1.0,-0.03,-1.5,-1.34,-0.19,-0.09,-0.12,0.84,3.19,4.53,4.31,4.81,6.34,8.22,8.19,8.34,9.69,11.56,11.88,11.28,11.59,12.62,11.88,9.47,8.25,7.59,6.16,2.97,0.53,-0.31,-0.94,-2.47,-3.28,-2.03,0.28,1.81,2.91,5.0,6.91,6.81,4.53,2.31,0.81,-0.75,-3.22,-4.78,-3.97,-2.56,-2.41,-2.0,-0.31,2.03,2.84,3.12,4.09,6.31,8.06,8.69,9.53,11.66,13.03,12.03,10.28,9.75,9.38,7.34,5.03,4.66,5.06,4.53,3.09,2.34,3.12,3.12,2.34,2.69,4.53,6.16,5.56,5.22,6.09,7.22,6.59,5.59,5.34,5.69,4.94,3.84,4.41,6.59,8.69,9.31,9.41,10.56,11.28,9.91,7.88,7.28,7.34,6.16,5.16,5.78,7.84,9.0,9.03,9.44,10.56,10.72,8.66,6.44,5.47,4.94,2.94,1.81,2.53,4.19,4.66,5.12,6.22,8.56,10.09,10.16,10.78,12.34,13.34,12.72,11.88,12.03,12.03,10.12,7.28,5.0,4.06,2.41,0.78,0.72,2.31,3.56,3.38,3.19,4.53,5.62,5.09,4.56,5.81,7.69,8.59,9.28,11.06,13.72,15.12,14.84,14.5,15.41,14.75,12.28,9.94,8.88,7.53,4.88,2.19,0.94,1.34,1.19,1.12,2.22,4.72,5.66,4.88,3.78,4.06,4.22,2.94,2.06,3.44,5.62,6.38,7.19,9.41,12.19,13.38,13.03,12.81,13.47,12.69,10.41,8.03,7.38,6.47,4.12,1.94,1.81,2.78,2.41,1.59,1.81,2.28,1.59,-0.38,-1.44,-0.72,-0.16,-0.75,-1.0,0.53,2.56,2.81,2.53,3.69,5.16,4.81,3.5,3.59,4.62,4.69,3.62,2.88,3.84,4.03,2.97,1.81,2.31,2.53,0.88,-1.84,-2.47,-2.59,-3.94,-5.72,-6.31,-4.94,-4.09,-3.84,-2.09,1.38,5.19,7.38,9.09,12.16,14.28,13.75,11.62,10.25,9.66,7.56,5.03,3.56,3.09,1.91,-0.81,-3.06,-3.0,-2.44,-2.16,-1.47,1.59,5.06,6.78,6.88,7.19,7.75,6.66,4.44,3.09,3.69,3.81,2.22,0.66,0.22,-0.03,-1.25,-2.09,-0.59,1.88,3.09,2.91,3.25,4.25,3.34,1.06,-0.75,-1.5,-2.16,-4.34,-6.34,-6.62,-6.72,-7.88,-9.59,-9.0,-7.22,-5.53,-4.38,-1.88,1.91,4.19,4.62,4.84,6.34,7.38,7.12,7.06,8.41,10.0,9.84,8.56,8.66,9.22,8.78,6.84,5.53,5.31,4.22,1.38,-1.16,-1.5,-1.62,-2.47,-2.66,-0.56,2.56,4.91,6.06,8.25,11.19,13.06,13.03,13.66,15.38,16.03,14.41,12.38,11.09,9.22,5.47,1.16,-1.59,-3.25,-5.09,-7.41,-8.16,-7.28,-6.88,-7.53,-7.31,-4.72,-2.09,-0.75,0.47,2.97,4.94,4.56,2.88,1.88,1.72,1.06,0.12,0.66,2.94,5.0,5.44,5.94,8.25,10.03,9.94,9.69,10.41,11.25,10.25,8.34,7.41,7.03,5.81,3.0,1.72,2.19,3.31,3.66,4.81,7.66,10.12,10.88,10.97,12.19,13.41,13.25,11.72,11.0,10.44,9.22,6.62,5.38,5.81,6.78,6.75,6.56,7.47,7.81,5.91,2.94,1.25,0.44,-0.28,-1.72,-1.34,0.72,2.25,2.41,3.09,5.22,7.88,8.5,8.94,10.09,10.81,9.59,7.81,7.44,8.12,8.16,6.78,5.81,5.69,5.03,2.59,0.62,-0.47,-1.12,-3.41,-5.09,-4.16,-1.5,0.78,2.31,4.69,7.78,9.34,8.72,8.25,9.28,10.16,9.19,8.56,9.22,10.34,9.44,8.31,8.59,9.88,10.5,10.69,11.81,13.69,14.28,12.56,11.22,11.41,12.0,10.81,9.91,9.81,9.59,7.38,4.12,2.03,1.09,0.0,-1.69,-2.19,-0.62,0.94,1.0,1.5,3.09,4.47,3.5,1.62,1.34,2.28,2.75,3.34,5.28,7.53,8.09,6.12,3.91,2.78,1.47,-1.19,-3.91,-4.09,-3.5,-3.78,-3.56,-1.0,2.53,5.03,6.34,8.19,10.09,10.59,9.06,7.97,8.5,9.66,10.25,11.31,14.53,18.62,20.56,21.56,22.44,23.38,21.72,17.88,14.0,10.62,6.03,0.28,-4.09,-5.78,-5.97,-6.12,-5.34,-2.12,2.19,4.75,7.03,9.25,12.03,12.81,11.97,11.16,11.25,11.0,9.19,8.31,8.84,10.09,10.25,10.22,10.69,11.5,10.44,7.69,5.34,3.59,0.81,-3.47,-6.34,-7.53,-8.22,-9.78,-11.03,-10.62,-9.69,-9.19,-8.44,-5.78,-1.84,0.97,2.28,3.41,5.06,5.28,3.66,2.28,2.16,2.53,1.56,1.03,1.56,2.44,1.53,0.0,-1.0,-1.09,-1.41,-2.69,-3.5,-2.75,-2.28,-2.62,-2.56,-0.91,0.56,0.31,-1.0,-1.94,-2.12,-3.31,-4.94,-5.47,-4.47,-4.0,-4.0,-3.31,-0.47,2.62,4.56,6.09,8.5,10.56,10.28,8.66,6.88,5.5,2.09,-2.5,-6.5,-8.84,-10.88,-13.28,-14.34,-12.28,-9.75,-7.91,-6.53,-3.91,-1.25,0.03,0.66,2.38,5.03,6.56,6.25,5.75,5.94,5.06,2.75,0.28,-0.38,-0.84,-1.69,-2.62,-1.94,-0.06,0.84,0.88,1.62,4.03,5.75,6.44,7.53,10.12,12.03,12.06,11.25,11.44,11.53,9.75,7.09,5.56,5.03,3.78,2.16,1.59,2.47,3.03,2.69,3.0,5.28,7.84,8.81,9.06,9.78,10.47,9.59,7.25,5.91,5.78,4.94,3.31,2.62,3.34,3.5,2.34,1.03,1.56,2.88,3.25,3.03,4.69,6.84,8.06,8.5,10.22,12.62,14.22,14.34,13.97,14.44,14.38,12.84,11.03,11.44,12.12,12.0,10.66,10.25,10.59,9.53,7.53,6.56,7.53,8.5,8.25,8.09,9.59,10.38,9.0,7.41,7.03,7.53,6.94,5.81,6.09,7.12,6.88,4.91,3.16,1.78,0.28,-2.66,-5.47,-6.0,-5.5,-5.94,-6.09,-4.25,-1.47,-0.06,-0.25,0.31,1.69,2.19,1.22,0.62,1.47,2.69,2.75,3.5,6.69,10.38,12.25,13.0,14.0,14.91,14.09,11.88,10.38,10.06,9.66,8.19,7.34,8.09,8.44,6.75,4.16,2.91,2.25,0.22,-2.06,-2.75,-2.78,-3.12,-4.5,-5.22,-4.72,-4.16,-5.06,-6.03,-5.62,-5.25,-6.62,-8.97,-9.66,-9.38,-9.28,-9.72,-8.75,-6.62,-5.72,-7.06,-8.59,-9.31,-10.78,-13.84,-16.34,-16.91,-16.75,-17.81,-18.62,-18.03,-16.16,-15.16,-14.84,-13.44,-10.66,-8.88,-8.47,-7.97,-6.47,-5.75,-7.28,-8.88,-9.75,-10.12,-12.03,-14.59,-16.03,-15.97,-16.41,-17.75,-17.41,-16.12,-14.78,-15.16,-15.19,-14.09,-12.91,-13.75,-15.03,-14.91,-14.09,-13.53,-13.66,-12.19,-9.53,-7.84,-7.5,-6.53,-5.12,-4.25,-5.16,-6.31,-6.16,-5.69,-6.56,-7.88,-8.12,-7.72,-8.44,-10.62,-11.78,-11.75,-12.59,-14.59,-15.75,-14.88,-13.59,-13.16,-12.75,-10.69,-8.28,-7.25,-7.06,-5.66,-3.25,-2.34,-2.56,-2.81,-1.47,-0.66,-1.12,-1.34,-0.16,1.09,-0.03,-1.0,-0.97,0.31,0.56,0.34,0.88,2.62,3.25,2.75,2.81,4.72,6.19,5.41,4.88,5.12,4.84,2.66,-0.31,-1.97,-2.72,-4.31,-5.53,-5.34,-2.97,-0.53,1.0,2.75,6.19,8.62,8.47,7.38,7.19,6.91,4.81,2.47,1.53,1.81,1.5,0.34,-0.19,0.66,1.31,0.75,0.25,1.72,3.16,2.75,2.22,3.12,4.97,5.34,5.12,5.03,5.78,4.34,1.16,-2.59,-5.03,-7.53,-11.16,-13.44,-12.66,-11.0,-10.0,-9.53,-8.53,-7.03,-7.09,-8.03,-8.06,-5.91,-3.81,-3.0,-1.75,1.34,3.5,3.41,3.06,4.03,5.38,5.0,4.19,4.44,6.19,6.88,6.19,6.31,6.78,6.06,3.06,-0.03,-1.22,-2.53,-5.0,-7.0,-6.72,-5.38,-4.72,-4.38,-2.94,-0.69,0.31,-0.19,-0.56,0.44,1.41,0.5,-0.12,0.97,2.03,1.06,-0.91,-1.84,-2.91,-5.91,-9.25,-11.19,-10.75,-10.0,-9.84,-8.75,-6.19,-4.28,-4.16,-4.28,-2.72,-0.47,0.69,1.47,3.69,6.28,6.84,5.91,4.75,4.47,3.38,0.75,-1.81,-2.72,-3.78,-6.03,-8.34,-8.34,-7.59,-8.06,-9.44,-9.31,-8.34,-8.41,-9.47,-9.22,-6.88,21.88,23.47,24.34,25.06,25.31,24.69,23.47,22.88,23.03,23.81,24.72,25.16,26.06,26.78:6.91,4.69,3.91,3.75,2.47,0.81,0.44,1.59,2.25,2.97,4.91,7.94,10.19,10.75,10.66,11.34,11.5,9.78,6.66,4.62,3.03,0.84,-1.78,-2.38,-1.25,-0.41,-0.66,0.34,2.41,3.97,3.41,2.03,1.44,0.56,-1.44,-3.59,-3.25,-1.72,0.06,1.19,3.28,6.06,8.12,8.09,8.03,8.88,9.88,9.56,8.47,8.91,9.59,8.88,6.5,5.56,5.69,5.53,4.75,5.91,8.72,11.06,11.62,11.94,12.69,12.62,10.69,8.25,7.84,8.66,9.06,8.59,9.28,10.0,10.0,8.12,6.94,7.34,7.97,7.03,6.41,6.91,7.5,6.28,4.56,4.56,5.41,5.25,4.19,4.12,5.19,6.06,5.34,5.31,6.28,7.22,6.56,6.22,7.47,9.09,8.91,7.75,7.12,7.09,6.0,3.62,2.03,1.94,1.91,0.25,-0.66,0.12,1.0,-0.03,-1.5,-1.34,-0.19,-0.09,-0.12,0.84,3.19,4.53,4.31,4.81,6.34,8.22,8.19,8.34,9.69,11.56,11.88,11.28,11.59,12.62,11.88,9.47,8.25,7.59,6.16,2.97,0.53,-0.31,-0.94,-2.47,-3.28,-2.03,0.28,1.81,2.91,5.0,6.91,6.81,4.53,2.31,0.81,-0.75,-3.22,-4.78,-3.97,-2.56,-2.41,-2.0,-0.31,2.03,2.84,3.12,4.09,6.31,8.06,8.69,9.53,11.66,13.03,12.03,10.28,9.75,9.38,7.34,5.03,4.66,5.06,4.53,3.09,2.34,3.12,3.12,2.34,2.69,4.53,6.16,5.56,5.22,6.09,7.22,6.59,5.59,5.34,5.69,4.94,3.84,4.41,6.59,8.69,9.31,9.41,10.56,11.28,9.91,7.88,7.28,7.34,6.16,5.16,5.78,7.84,9.0,9.03,9.44,10.56,10.72,8.66,6.44,5.47,4.94,2.94,1.81,2.53,4.19,4.66,5.12,6.22,8.56,10.09,10.16,10.78,12.34,13.34,12.72,11.88,12.03,12.03,10.12,7.28,5.0,4.06,2.41,0.78,0.72,2.31,3.56,3.38,3.19,4.53,5.62,5.09,4.56,5.81,7.69,8.59,9.28,11.06,13.72,15.12,14.84,14.5,15.41,14.75,12.28,9.94,8.88,7.53,4.88,2.19,0.94,1.34,1.19,1.12,2.22,4.72,5.66,4.88,3.78,4.06,4.22,2.94,2.06,3.44,5.62,6.38,7.19,9.41,12.19,13.38,13.03,12.81,13.47,12.69,10.41,8.03,7.38,6.47,4.12,1.94,1.81,2.78,2.41,1.59,1.81,2.28,1.59,-0.38,-1.44,-0.72,-0.16,-0.75,-1.0,0.53,2.56,2.81,2.53,3.69,5.16,4.81,3.5,3.59,4.62,4.69,3.62,2.88,3.84,4.03,2.97,1.81,2.31,2.53,0.88,-1.84,-2.47,-2.59,-3.94,-5.72,-6.31,-4.94,-4.09,-3.84,-2.09,1.38,5.19,7.38,9.09,12.16,14.28,13.75,11.62,10.25,9.66,7.56,5.03,3.56,3.09,1.91,-0.81,-3.06,-3.0,-2.44,-2.16,-1.47,1.59,5.06,6.78,6.88,7.19,7.75,6.66,4.44,3.09,3.69,3.81,2.22,0.66,0.22,-0.03,-1.25,-2.09,-0.59,1.88,3.09,2.91,3.25,4.25,3.34,1.06,-0.75,-1.5,-2.16,-4.34,-6.34,-6.62,-6.72,-7.88,-9.59,-9.0,-7.22,-5.53,-4.38,-1.88,1.91,4.19,4.62,4.84,6.34,7.38,7.12,7.06,8.41,10.0,9.84,8.56,8.66,9.22,8.78,6.84,5.53,5.31,4.22,1.38,-1.16,-1.5,-1.62,-2.47,-2.66,-0.56,2.56,4.91,6.06,8.25,11.19,13.06,13.03,13.66,15.38,16.03,14.41,12.38,11.09,9.22,5.47,1.16,-1.59,-3.25,-5.09,-7.41,-8.16,-7.28,-6.88,-7.53,-7.31,-4.72,-2.09,-0.75,0.47,2.97,4.94,4.56,2.88,1.88,1.72,1.06,0.12,0.66,2.94,5.0,5.44,5.94,8.25,10.03,9.94,9.69,10.41,11.25,10.25,8.34,7.41,7.03,5.81,3.0,1.72,2.19,3.31,3.66,4.81,7.66,10.12,10.88,10.97,12.19,13.41,13.25,11.72,11.0,10.44,9.22,6.62,5.38,5.81,6.78,6.75,6.56,7.47,7.81,5.91,2.94,1.25,0.44,-0.28,-1.72,-1.34,0.72,2.25,2.41,3.09,5.22,7.88,8.5,8.94,10.09,10.81,9.59,7.81,7.44,8.12,8.16,6.78,5.81,5.69,5.03,2.59,0.62,-0.47,-1.12,-3.41,-5.09,-4.16,-1.5,0.78,2.31,4.69,7.78,9.34,8.72,8.25,9.28,10.16,9.19,8.56,9.22,10.34,9.44,8.31,8.59,9.88,10.5,10.69,11.81,13.69,14.28,12.56,11.22,11.41,12.0,10.81,9.91,9.81,9.59,7.38,4.12,2.03,1.09,0.0,-1.69,-2.19,-0.62,0.94,1.0,1.5,3.09,4.47,3.5,1.62,1.34,2.28,2.75,3.34,5.28,7.53,8.09,6.12,3.91,2.78,1.47,-1.19,-3.91,-4.09,-3.5,-3.78,-3.56,-1.0,2.53,5.03,6.34,8.19,10.09,10.59,9.06,7.97,8.5,9.66,10.25,11.31,14.53,18.62,20.56,21.56,22.44,23.38,21.72,17.88,14.0,10.62,6.03,0.28,-4.09,-5.78,-5.97,-6.12,-5.34,-2.12,2.19,4.75,7.03,9.25,12.03,12.81,11.97,11.16,11.25,11.0,9.19,8.31,8.84,10.09,10.25,10.22,10.69,11.5,10.44,7.69,5.34,3.59,0.81,-3.47,-6.34,-7.53,-8.22,-9.78,-11.03,-10.62,-9.69,-9.19,-8.44,-5.78,-1.84,0.97,2.28,3.41,5.06,5.28,3.66,2.28,2.16,2.53,1.56,1.03,1.56,2.44,1.53,0.0,-1.0,-1.09,-1.41,-2.69,-3.5,-2.75,-2.28,-2.62,-2.56,-0.91,0.56,0.31,-1.0,-1.94,-2.12,-3.31,-4.94,-5.47,-4.47,-4.0,-4.0,-3.31,-0.47,2.62,4.56,6.09,8.5,10.56,10.28,8.66,6.88,5.5,2.09,-2.5,-6.5,-8.84,-10.88,-13.28,-14.34,-12.28,-9.75,-7.91,-6.53,-3.91,-1.25,0.03,0.66,2.38,5.03,6.56,6.25,5.75,5.94,5.06,2.75,0.28,-0.38,-0.84,-1.69,-2.62,-1.94,-0.06,0.84,0.88,1.62,4.03,5.75,6.44,7.53,10.12,12.03,12.06,11.25,11.44,11.53,9.75,7.09,5.56,5.03,3.78,2.16,1.59,2.47,3.03,2.69,3.0,5.28,7.84,8.81,9.06,9.78,10.47,9.59,7.25,5.91,5.78,4.94,3.31,2.62,3.34,3.5,2.34,1.03,1.56,2.88,3.25,3.03,4.69,6.84,8.06,8.5,10.22,12.62,14.22,14.34,13.97,14.44,14.38,12.84,11.03,11.44,12.12,12.0,10.66,10.25,10.59,9.53,7.53,6.56,7.53,8.5,8.25,8.09,9.59,10.38,9.0,7.41,7.03,7.53,6.94,5.81,6.09,7.12,6.88,4.91,3.16,1.78,0.28,-2.66,-5.47,-6.0,-5.5,-5.94,-6.09,-4.25,-1.47,-0.06,-0.25,0.31,1.69,2.19,1.22,0.62,1.47,2.69,2.75,3.5,6.69,10.38,12.25,13.0,14.0,14.91,14.09,11.88,10.38,10.06,9.66,8.19,7.34,8.09,8.44,6.75,4.16,2.91,2.25,0.22,-2.06,-2.75,-2.78,-3.12,-4.5,-5.22,-4.72,-4.16,-5.06,-6.03,-5.62,-5.25,-6.62,-8.97,-9.66,-9.38,-9.28,-9.72,-8.75,-6.62,-5.72,-7.06,-8.59,-9.31,-10.78,-13.84,-16.34,-16.91,-16.75,-17.81,-18.62,-18.03,-16.16,-15.16,-14.84,-13.44,-10.66,-8.88,-8.47,-7.97,-6.47,-5.75,-7.28,-8.88,-9.75,-10.12,-12.03,-14.59,-16.03,-15.97,-16.41,-17.75,-17.41,-16.12,-14.78,-15.16,-15.19,-14.09,-12.91,-13.75,-15.03,-14.91,-14.09,-13.53,-13.66,-12.19,-9.53,-7.84,-7.5,-6.53,-5.12,-4.25,-5.16,-6.31,-6.16,-5.69,-6.56,-7.88,-8.12,-7.72,-8.44,-10.62,-11.78,-11.75,-12.59,-14.59,-15.75,-14.88,-13.59,-13.16,-12.75,-10.69,-8.28,-7.25,-7.06,-5.66,-3.25,-2.34,-2.56,-2.81,-1.47,-0.66,-1.12,-1.34,-0.16,1.09,-0.03,-1.0,-0.97,0.31,0.56,0.34,0.88,2.62,3.25,2.75,2.81,4.72,6.19,5.41,4.88,5.12,4.84,2.66,-0.31,-1.97,-2.72,-4.31,-5.53,-5.34,-2.97,-0.53,1.0,2.75,6.19,8.62,8.47,7.38,7.19,6.91,4.81,2.47,1.53,1.81,1.5,0.34,-0.19,0.66,1.31,0.75,0.25,1.72,3.16,2.75,2.22,3.12,4.97,5.34,5.12,5.03,5.78,4.34,1.16,-2.59,-5.03,-7.53,-11.16,-13.44,-12.66,-11.0,-10.0,-9.53,-8.53,-7.03,-7.09,-8.03,-8.06,-5.91,-3.81,-3.0,-1.75,1.34,3.5,3.41,3.06,4.03,5.38,5.0,4.19,4.44,6.19,6.88,6.19,6.31,6.78,6.06,3.06,-0.03,-1.22,-2.53,-5.0,-7.0,-6.72,-5.38,-4.72,-4.38,-2.94,-0.69,0.31,-0.19,-0.56,0.44,1.41,0.5,-0.12,0.97,2.03,1.06,-0.91,-1.84,-2.91,-5.91,-9.25,-11.19,-10.75,-10.0,-9.84,-8.75,-6.19,-4.28,-4.16,-4.28,-2.72,-0.47,0.69,1.47,3.69,6.28,6.84,5.91,4.75,4.47,3.38,0.75,-1.81,-2.72,-3.78,-6.03,-8.34,-8.34,-7.59,-8.06,-9.44,-9.31,-8.34,-8.41,-9.47,-9.22,-6.88,21.88,23.47,24.34,25.06,25.31,24.69,23.47,22.88,23.03,23.81,24.72,25.16,26.06,26.78,27.16,27.41,28.19,29.5,29.84,29.81,29.44:1.59,2.25,2.97,4.91,7.94,10.19,10.75,10.66,11.34,11.5,9.78,6.66,4.62,3.03,0.84,-1.78,-2.38,-1.25,-0.41,-0.66,0.34,2.41,3.97,3.41,2.03,1.44,0.56,-1.44,-3.59,-3.25,-1.72,0.06,1.19,3.28,6.06,8.12,8.09,8.03,8.88,9.88,9.56,8.47,8.91,9.59,8.88,6.5,5.56,5.69,5.53,4.75,5.91,8.72,11.06,11.62,11.94,12.69,12.62,10.69,8.25,7.84,8.66,9.06,8.59,9.28,10.0,10.0,8.12,6.94,7.34,7.97,7.03,6.41,6.91,7.5,6.28,4.56,4.56,5.41,5.25,4.19,4.12,5.19,6.06,5.34,5.31,6.28,7.22,6.56,6.22,7.47,9.09,8.91,7.75,7.12,7.09,6.0,3.62,2.03,1.94,1.91,0.25,-0.66,0.12,1.0,-0.03,-1.5,-1.34,-0.19,-0.09,-0.12,0.84,3.19,4.53,4.31,4.81,6.34,8.22,8.19,8.34,9.69,11.56,11.88,11.28,11.59,12.62,11.88,9.47,8.25,7.59,6.16,2.97,0.53,-0.31,-0.94,-2.47,-3.28,-2.03,0.28,1.81,2.91,5.0,6.91,6.81,4.53,2.31,0.81,-0.75,-3.22,-4.78,-3.97,-2.56,-2.41,-2.0,-0.31,2.03,2.84,3.12,4.09,6.31,8.06,8.69,9.53,11.66,13.03,12.03,10.28,9.75,9.38,7.34,5.03,4.66,5.06,4.53,3.09,2.34,3.12,3.12,2.34,2.69,4.53,6.16,5.56,5.22,6.09,7.22,6.59,5.59,5.34,5.69,4.94,3.84,4.41,6.59,8.69,9.31,9.41,10.56,11.28,9.91,7.88,7.28,7.34,6.16,5.16,5.78,7.84,9.0,9.03,9.44,10.56,10.72,8.66,6.44,5.47,4.94,2.94,1.81,2.53,4.19,4.66,5.12,6.22,8.56,10.09,10.16,10.78,12.34,13.34,12.72,11.88,12.03,12.03,10.12,7.28,5.0,4.06,2.41,0.78,0.72,2.31,3.56,3.38,3.19,4.53,5.62,5.09,4.56,5.81,7.69,8.59,9.28,11.06,13.72,15.12,14.84,14.5,15.41,14.75,12.28,9.94,8.88,7.53,4.88,2.19,0.94,1.34,1.19,1.12,2.22,4.72,5.66,4.88,3.78,4.06,4.22,2.94,2.06,3.44,5.62,6.38,7.19,9.41,12.19,13.38,13.03,12.81,13.47,12.69,10.41,8.03,7.38,6.47,4.12,1.94,1.81,2.78,2.41,1.59,1.81,2.28,1.59,-0.38,-1.44,-0.72,-0.16,-0.75,-1.0,0.53,2.56,2.81,2.53,3.69,5.16,4.81,3.5,3.59,4.62,4.69,3.62,2.88,3.84,4.03,2.97,1.81,2.31,2.53,0.88,-1.84,-2.47,-2.59,-3.94,-5.72,-6.31,-4.94,-4.09,-3.84,-2.09,1.38,5.19,7.38,9.09,12.16,14.28,13.75,11.62,10.25,9.66,7.56,5.03,3.56,3.09,1.91,-0.81,-3.06,-3.0,-2.44,-2.16,-1.47,1.59,5.06,6.78,6.88,7.19,7.75,6.66,4.44,3.09,3.69,3.81,2.22,0.66,0.22,-0.03,-1.25,-2.09,-0.59,1.88,3.09,2.91,3.25,4.25,3.34,1.06,-0.75,-1.5,-2.16,-4.34,-6.34,-6.62,-6.72,-7.88,-9.59,-9.0,-7.22,-5.53,-4.38,-1.88,1.91,4.19,4.62,4.84,6.34,7.38,7.12,7.06,8.41,10.0,9.84,8.56,8.66,9.22,8.78,6.84,5.53,5.31,4.22,1.38,-1.16,-1.5,-1.62,-2.47,-2.66,-0.56,2.56,4.91,6.06,8.25,11.19,13.06,13.03,13.66,15.38,16.03,14.41,12.38,11.09,9.22,5.47,1.16,-1.59,-3.25,-5.09,-7.41,-8.16,-7.28,-6.88,-7.53,-7.31,-4.72,-2.09,-0.75,0.47,2.97,4.94,4.56,2.88,1.88,1.72,1.06,0.12,0.66,2.94,5.0,5.44,5.94,8.25,10.03,9.94,9.69,10.41,11.25,10.25,8.34,7.41,7.03,5.81,3.0,1.72,2.19,3.31,3.66,4.81,7.66,10.12,10.88,10.97,12.19,13.41,13.25,11.72,11.0,10.44,9.22,6.62,5.38,5.81,6.78,6.75,6.56,7.47,7.81,5.91,2.94,1.25,0.44,-0.28,-1.72,-1.34,0.72,2.25,2.41,3.09,5.22,7.88,8.5,8.94,10.09,10.81,9.59,7.81,7.44,8.12,8.16,6.78,5.81,5.69,5.03,2.59,0.62,-0.47,-1.12,-3.41,-5.09,-4.16,-1.5,0.78,2.31,4.69,7.78,9.34,8.72,8.25,9.28,10.16,9.19,8.56,9.22,10.34,9.44,8.31,8.59,9.88,10.5,10.69,11.81,13.69,14.28,12.56,11.22,11.41,12.0,10.81,9.91,9.81,9.59,7.38,4.12,2.03,1.09,0.0,-1.69,-2.19,-0.62,0.94,1.0,1.5,3.09,4.47,3.5,1.62,1.34,2.28,2.75,3.34,5.28,7.53,8.09,6.12,3.91,2.78,1.47,-1.19,-3.91,-4.09,-3.5,-3.78,-3.56,-1.0,2.53,5.03,6.34,8.19,10.09,10.59,9.06,7.97,8.5,9.66,10.25,11.31,14.53,18.62,20.56,21.56,22.44,23.38,21.72,17.88,14.0,10.62,6.03,0.28,-4.09,-5.78,-5.97,-6.12,-5.34,-2.12,2.19,4.75,7.03,9.25,12.03,12.81,11.97,11.16,11.25,11.0,9.19,8.31,8.84,10.09,10.25,10.22,10.69,11.5,10.44,7.69,5.34,3.59,0.81,-3.47,-6.34,-7.53,-8.22,-9.78,-11.03,-10.62,-9.69,-9.19,-8.44,-5.78,-1.84,0.97,2.28,3.41,5.06,5.28,3.66,2.28,2.16,2.53,1.56,1.03,1.56,2.44,1.53,0.0,-1.0,-1.09,-1.41,-2.69,-3.5,-2.75,-2.28,-2.62,-2.56,-0.91,0.56,0.31,-1.0,-1.94,-2.12,-3.31,-4.94,-5.47,-4.47,-4.0,-4.0,-3.31,-0.47,2.62,4.56,6.09,8.5,10.56,10.28,8.66,6.88,5.5,2.09,-2.5,-6.5,-8.84,-10.88,-13.28,-14.34,-12.28,-9.75,-7.91,-6.53,-3.91,-1.25,0.03,0.66,2.38,5.03,6.56,6.25,5.75,5.94,5.06,2.75,0.28,-0.38,-0.84,-1.69,-2.62,-1.94,-0.06,0.84,0.88,1.62,4.03,5.75,6.44,7.53,10.12,12.03,12.06,11.25,11.44,11.53,9.75,7.09,5.56,5.03,3.78,2.16,1.59,2.47,3.03,2.69,3.0,5.28,7.84,8.81,9.06,9.78,10.47,9.59,7.25,5.91,5.78,4.94,3.31,2.62,3.34,3.5,2.34,1.03,1.56,2.88,3.25,3.03,4.69,6.84,8.06,8.5,10.22,12.62,14.22,14.34,13.97,14.44,14.38,12.84,11.03,11.44,12.12,12.0,10.66,10.25,10.59,9.53,7.53,6.56,7.53,8.5,8.25,8.09,9.59,10.38,9.0,7.41,7.03,7.53,6.94,5.81,6.09,7.12,6.88,4.91,3.16,1.78,0.28,-2.66,-5.47,-6.0,-5.5,-5.94,-6.09,-4.25,-1.47,-0.06,-0.25,0.31,1.69,2.19,1.22,0.62,1.47,2.69,2.75,3.5,6.69,10.38,12.25,13.0,14.0,14.91,14.09,11.88,10.38,10.06,9.66,8.19,7.34,8.09,8.44,6.75,4.16,2.91,2.25,0.22,-2.06,-2.75,-2.78,-3.12,-4.5,-5.22,-4.72,-4.16,-5.06,-6.03,-5.62,-5.25,-6.62,-8.97,-9.66,-9.38,-9.28,-9.72,-8.75,-6.62,-5.72,-7.06,-8.59,-9.31,-10.78,-13.84,-16.34,-16.91,-16.75,-17.81,-18.62,-18.03,-16.16,-15.16,-14.84,-13.44,-10.66,-8.88,-8.47,-7.97,-6.47,-5.75,-7.28,-8.88,-9.75,-10.12,-12.03,-14.59,-16.03,-15.97,-16.41,-17.75,-17.41,-16.12,-14.78,-15.16,-15.19,-14.09,-12.91,-13.75,-15.03,-14.91,-14.09,-13.53,-13.66,-12.19,-9.53,-7.84,-7.5,-6.53,-5.12,-4.25,-5.16,-6.31,-6.16,-5.69,-6.56,-7.88,-8.12,-7.72,-8.44,-10.62,-11.78,-11.75,-12.59,-14.59,-15.75,-14.88,-13.59,-13.16,-12.75,-10.69,-8.28,-7.25,-7.06,-5.66,-3.25,-2.34,-2.56,-2.81,-1.47,-0.66,-1.12,-1.34,-0.16,1.09,-0.03,-1.0,-0.97,0.31,0.56,0.34,0.88,2.62,3.25,2.75,2.81,4.72,6.19,5.41,4.88,5.12,4.84,2.66,-0.31,-1.97,-2.72,-4.31,-5.53,-5.34,-2.97,-0.53,1.0,2.75,6.19,8.62,8.47,7.38,7.19,6.91,4.81,2.47,1.53,1.81,1.5,0.34,-0.19,0.66,1.31,0.75,0.25,1.72,3.16,2.75,2.22,3.12,4.97,5.34,5.12,5.03,5.78,4.34,1.16,-2.59,-5.03,-7.53,-11.16,-13.44,-12.66,-11.0,-10.0,-9.53,-8.53,-7.03,-7.09,-8.03,-8.06,-5.91,-3.81,-3.0,-1.75,1.34,3.5,3.41,3.06,4.03,5.38,5.0,4.19,4.44,6.19,6.88,6.19,6.31,6.78,6.06,3.06,-0.03,-1.22,-2.53,-5.0,-7.0,-6.72,-5.38,-4.72,-4.38,-2.94,-0.69,0.31,-0.19,-0.56,0.44,1.41,0.5,-0.12,0.97,2.03,1.06,-0.91,-1.84,-2.91,-5.91,-9.25,-11.19,-10.75,-10.0,-9.84,-8.75,-6.19,-4.28,-4.16,-4.28,-2.72,-0.47,0.69,1.47,3.69,6.28,6.84,5.91,4.75,4.47,3.38,0.75,-1.81,-2.72,-3.78,-6.03,-8.34,-8.34,-7.59,-8.06,-9.44,-9.31,-8.34,-8.41,-9.47,-9.22,-6.88,21.88,23.47,24.34,25.06,25.31,24.69,23.47,22.88,23.03,23.81,24.72,25.16,26.06,26.78,27.16,27.41,28.19,29.5,29.84,29.81,29.44,29.25,28.41,26.94,25.47,24.5,23.56,22.75:10.66,11.34,11.5,9.78,6.66,4.62,3.03,0.84,-1.78,-2.38,-1.25,-0.41,-0.66,0.34,2.41,3.97,3.41,2.03,1.44,0.56,-1.44,-3.59,-3.25,-1.72,0.06,1.19,3.28,6.06,8.12,8.09,8.03,8.88,9.88,9.56,8.47,8.91,9.59,8.88,6.5,5.56,5.69,5.53,4.75,5.91,8.72,11.06,11.62,11.94,12.69,12.62,10.69,8.25,7.84,8.66,9.06,8.59,9.28,10.0,10.0,8.12,6.94,7.34,7.97,7.03,6.41,6.91,7.5,6.28,4.56,4.56,5.41,5.25,4.19,4.12,5.19,6.06,5.34,5.31,6.28,7.22,6.56,6.22,7.47,9.09,8.91,7.75,7.12,7.09,6.0,3.62,2.03,1.94,1.91,0.25,-0.66,0.12,1.0,-0.03,-1.5,-1.34,-0.19,-0.09,-0.12,0.84,3.19,4.53,4.31,4.81,6.34,8.22,8.19,8.34,9.69,11.56,11.88,11.28,11.59,12.62,11.88,9.47,8.25,7.59,6.16,2.97,0.53,-0.31,-0.94,-2.47,-3.28,-2.03,0.28,1.81,2.91,5.0,6.91,6.81,4.53,2.31,0.81,-0.75,-3.22,-4.78,-3.97,-2.56,-2.41,-2.0,-0.31,2.03,2.84,3.12,4.09,6.31,8.06,8.69,9.53,11.66,13.03,12.03,10.28,9.75,9.38,7.34,5.03,4.66,5.06,4.53,3.09,2.34,3.12,3.12,2.34,2.69,4.53,6.16,5.56,5.22,6.09,7.22,6.59,5.59,5.34,5.69,4.94,3.84,4.41,6.59,8.69,9.31,9.41,10.56,11.28,9.91,7.88,7.28,7.34,6.16,5.16,5.78,7.84,9.0,9.03,9.44,10.56,10.72,8.66,6.44,5.47,4.94,2.94,1.81,2.53,4.19,4.66,5.12,6.22,8.56,10.09,10.16,10.78,12.34,13.34,12.72,11.88,12.03,12.03,10.12,7.28,5.0,4.06,2.41,0.78,0.72,2.31,3.56,3.38,3.19,4.53,5.62,5.09,4.56,5.81,7.69,8.59,9.28,11.06,13.72,15.12,14.84,14.5,15.41,14.75,12.28,9.94,8.88,7.53,4.88,2.19,0.94,1.34,1.19,1.12,2.22,4.72,5.66,4.88,3.78,4.06,4.22,2.94,2.06,3.44,5.62,6.38,7.19,9.41,12.19,13.38,13.03,12.81,13.47,12.69,10.41,8.03,7.38,6.47,4.12,1.94,1.81,2.78,2.41,1.59,1.81,2.28,1.59,-0.38,-1.44,-0.72,-0.16,-0.75,-1.0,0.53,2.56,2.81,2.53,3.69,5.16,4.81,3.5,3.59,4.62,4.69,3.62,2.88,3.84,4.03,2.97,1.81,2.31,2.53,0.88,-1.84,-2.47,-2.59,-3.94,-5.72,-6.31,-4.94,-4.09,-3.84,-2.09,1.38,5.19,7.38,9.09,12.16,14.28,13.75,11.62,10.25,9.66,7.56,5.03,3.56,3.09,1.91,-0.81,-3.06,-3.0,-2.44,-2.16,-1.47,1.59,5.06,6.78,6.88,7.19,7.75,6.66,4.44,3.09,3.69,3.81,2.22,0.66,0.22,-0.03,-1.25,-2.09,-0.59,1.88,3.09,2.91,3.25,4.25,3.34,1.06,-0.75,-1.5,-2.16,-4.34,-6.34,-6.62,-6.72,-7.88,-9.59,-9.0,-7.22,-5.53,-4.38,-1.88,1.91,4.19,4.62,4.84,6.34,7.38,7.12,7.06,8.41,10.0,9.84,8.56,8.66,9.22,8.78,6.84,5.53,5.31,4.22,1.38,-1.16,-1.5,-1.62,-2.47,-2.66,-0.56,2.56,4.91,6.06,8.25,11.19,13.06,13.03,13.66,15.38,16.03,14.41,12.38,11.09,9.22,5.47,1.16,-1.59,-3.25,-5.09,-7.41,-8.16,-7.28,-6.88,-7.53,-7.31,-4.72,-2.09,-0.75,0.47,2.97,4.94,4.56,2.88,1.88,1.72,1.06,0.12,0.66,2.94,5.0,5.44,5.94,8.25,10.03,9.94,9.69,10.41,11.25,10.25,8.34,7.41,7.03,5.81,3.0,1.72,2.19,3.31,3.66,4.81,7.66,10.12,10.88,10.97,12.19,13.41,13.25,11.72,11.0,10.44,9.22,6.62,5.38,5.81,6.78,6.75,6.56,7.47,7.81,5.91,2.94,1.25,0.44,-0.28,-1.72,-1.34,0.72,2.25,2.41,3.09,5.22,7.88,8.5,8.94,10.09,10.81,9.59,7.81,7.44,8.12,8.16,6.78,5.81,5.69,5.03,2.59,0.62,-0.47,-1.12,-3.41,-5.09,-4.16,-1.5,0.78,2.31,4.69,7.78,9.34,8.72,8.25,9.28,10.16,9.19,8.56,9.22,10.34,9.44,8.31,8.59,9.88,10.5,10.69,11.81,13.69,14.28,12.56,11.22,11.41,12.0,10.81,9.91,9.81,9.59,7.38,4.12,2.03,1.09,0.0,-1.69,-2.19,-0.62,0.94,1.0,1.5,3.09,4.47,3.5,1.62,1.34,2.28,2.75,3.34,5.28,7.53,8.09,6.12,3.91,2.78,1.47,-1.19,-3.91,-4.09,-3.5,-3.78,-3.56,-1.0,2.53,5.03,6.34,8.19,10.09,10.59,9.06,7.97,8.5,9.66,10.25,11.31,14.53,18.62,20.56,21.56,22.44,23.38,21.72,17.88,14.0,10.62,6.03,0.28,-4.09,-5.78,-5.97,-6.12,-5.34,-2.12,2.19,4.75,7.03,9.25,12.03,12.81,11.97,11.16,11.25,11.0,9.19,8.31,8.84,10.09,10.25,10.22,10.69,11.5,10.44,7.69,5.34,3.59,0.81,-3.47,-6.34,-7.53,-8.22,-9.78,-11.03,-10.62,-9.69,-9.19,-8.44,-5.78,-1.84,0.97,2.28,3.41,5.06,5.28,3.66,2.28,2.16,2.53,1.56,1.03,1.56,2.44,1.53,0.0,-1.0,-1.09,-1.41,-2.69,-3.5,-2.75,-2.28,-2.62,-2.56,-0.91,0.56,0.31,-1.0,-1.94,-2.12,-3.31,-4.94,-5.47,-4.47,-4.0,-4.0,-3.31,-0.47,2.62,4.56,6.09,8.5,10.56,10.28,8.66,6.88,5.5,2.09,-2.5,-6.5,-8.84,-10.88,-13.28,-14.34,-12.28,-9.75,-7.91,-6.53,-3.91,-1.25,0.03,0.66,2.38,5.03,6.56,6.25,5.75,5.94,5.06,2.75,0.28,-0.38,-0.84,-1.69,-2.62,-1.94,-0.06,0.84,0.88,1.62,4.03,5.75,6.44,7.53,10.12,12.03,12.06,11.25,11.44,11.53,9.75,7.09,5.56,5.03,3.78,2.16,1.59,2.47,3.03,2.69,3.0,5.28,7.84,8.81,9.06,9.78,10.47,9.59,7.25,5.91,5.78,4.94,3.31,2.62,3.34,3.5,2.34,1.03,1.56,2.88,3.25,3.03,4.69,6.84,8.06,8.5,10.22,12.62,14.22,14.34,13.97,14.44,14.38,12.84,11.03,11.44,12.12,12.0,10.66,10.25,10.59,9.53,7.53,6.56,7.53,8.5,8.25,8.09,9.59,10.38,9.0,7.41,7.03,7.53,6.94,5.81,6.09,7.12,6.88,4.91,3.16,1.78,0.28,-2.66,-5.47,-6.0,-5.5,-5.94,-6.09,-4.25,-1.47,-0.06,-0.25,0.31,1.69,2.19,1.22,0.62,1.47,2.69,2.75,3.5,6.69,10.38,12.25,13.0,14.0,14.91,14.09,11.88,10.38,10.06,9.66,8.19,7.34,8.09,8.44,6.75,4.16,2.91,2.25,0.22,-2.06,-2.75,-2.78,-3.12,-4.5,-5.22,-4.72,-4.16,-5.06,-6.03,-5.62,-5.25,-6.62,-8.97,-9.66,-9.38,-9.28,-9.72,-8.75,-6.62,-5.72,-7.06,-8.59,-9.31,-10.78,-13.84,-16.34,-16.91,-16.75,-17.81,-18.62,-18.03,-16.16,-15.16,-14.84,-13.44,-10.66,-8.88,-8.47,-7.97,-6.47,-5.75,-7.28,-8.88,-9.75,-10.12,-12.03,-14.59,-16.03,-15.97,-16.41,-17.75,-17.41,-16.12,-14.78,-15.16,-15.19,-14.09,-12.91,-13.75,-15.03,-14.91,-14.09,-13.53,-13.66,-12.19,-9.53,-7.84,-7.5,-6.53,-5.12,-4.25,-5.16,-6.31,-6.16,-5.69,-6.56,-7.88,-8.12,-7.72,-8.44,-10.62,-11.78,-11.75,-12.59,-14.59,-15.75,-14.88,-13.59,-13.16,-12.75,-10.69,-8.28,-7.25,-7.06,-5.66,-3.25,-2.34,-2.56,-2.81,-1.47,-0.66,-1.12,-1.34,-0.16,1.09,-0.03,-1.0,-0.97,0.31,0.56,0.34,0.88,2.62,3.25,2.75,2.81,4.72,6.19,5.41,4.88,5.12,4.84,2.66,-0.31,-1.97,-2.72,-4.31,-5.53,-5.34,-2.97,-0.53,1.0,2.75,6.19,8.62,8.47,7.38,7.19,6.91,4.81,2.47,1.53,1.81,1.5,0.34,-0.19,0.66,1.31,0.75,0.25,1.72,3.16,2.75,2.22,3.12,4.97,5.34,5.12,5.03,5.78,4.34,1.16,-2.59,-5.03,-7.53,-11.16,-13.44,-12.66,-11.0,-10.0,-9.53,-8.53,-7.03,-7.09,-8.03,-8.06,-5.91,-3.81,-3.0,-1.75,1.34,3.5,3.41,3.06,4.03,5.38,5.0,4.19,4.44,6.19,6.88,6.19,6.31,6.78,6.06,3.06,-0.03,-1.22,-2.53,-5.0,-7.0,-6.72,-5.38,-4.72,-4.38,-2.94,-0.69,0.31,-0.19,-0.56,0.44,1.41,0.5,-0.12,0.97,2.03,1.06,-0.91,-1.84,-2.91,-5.91,-9.25,-11.19,-10.75,-10.0,-9.84,-8.75,-6.19,-4.28,-4.16,-4.28,-2.72,-0.47,0.69,1.47,3.69,6.28,6.84,5.91,4.75,4.47,3.38,0.75,-1.81,-2.72,-3.78,-6.03,-8.34,-8.34,-7.59,-8.06,-9.44,-9.31,-8.34,-8.41,-9.47,-9.22,-6.88,21.88,23.47,24.34,25.06,25.31,24.69,23.47,22.88,23.03,23.81,24.72,25.16,26.06,26.78,27.16,27.41,28.19,29.5,29.84,29.81,29.44,29.25,28.41,26.94,25.47,24.5,23.56,22.75,22.66,23.78,25.25,27.56,29.0,30.28,31.62:0.84,-1.78,-2.38,-1.25,-0.41,-0.66,0.34,2.41,3.97,3.41,2.03,1.44,0.56,-1.44,-3.59,-3.25,-1.72,0.06,1.19,3.28,6.06,8.12,8.09,8.03,8.88,9.88,9.56,8.47,8.91,9.59,8.88,6.5,5.56,5.69,5.53,4.75,5.91,8.72,11.06,11.62,11.94,12.69,12.62,10.69,8.25,7.84,8.66,9.06,8.59,9.28,10.0,10.0,8.12,6.94,7.34,7.97,7.03,6.41,6.91,7.5,6.28,4.56,4.56,5.41,5.25,4.19,4.12,5.19,6.06,5.34,5.31,6.28,7.22,6.56,6.22,7.47,9.09,8.91,7.75,7.12,7.09,6.0,3.62,2.03,1.94,1.91,0.25,-0.66,0.12,1.0,-0.03,-1.5,-1.34,-0.19,-0.09,-0.12,0.84,3.19,4.53,4.31,4.81,6.34,8.22,8.19,8.34,9.69,11.56,11.88,11.28,11.59,12.62,11.88,9.47,8.25,7.59,6.16,2.97,0.53,-0.31,-0.94,-2.47,-3.28,-2.03,0.28,1.81,2.91,5.0,6.91,6.81,4.53,2.31,0.81,-0.75,-3.22,-4.78,-3.97,-2.56,-2.41,-2.0,-0.31,2.03,2.84,3.12,4.09,6.31,8.06,8.69,9.53,11.66,13.03,12.03,10.28,9.75,9.38,7.34,5.03,4.66,5.06,4.53,3.09,2.34,3.12,3.12,2.34,2.69,4.53,6.16,5.56,5.22,6.09,7.22,6.59,5.59,5.34,5.69,4.94,3.84,4.41,6.59,8.69,9.31,9.41,10.56,11.28,9.91,7.88,7.28,7.34,6.16,5.16,5.78,7.84,9.0,9.03,9.44,10.56,10.72,8.66,6.44,5.47,4.94,2.94,1.81,2.53,4.19,4.66,5.12,6.22,8.56,10.09,10.16,10.78,12.34,13.34,12.72,11.88,12.03,12.03,10.12,7.28,5.0,4.06,2.41,0.78,0.72,2.31,3.56,3.38,3.19,4.53,5.62,5.09,4.56,5.81,7.69,8.59,9.28,11.06,13.72,15.12,14.84,14.5,15.41,14.75,12.28,9.94,8.88,7.53,4.88,2.19,0.94,1.34,1.19,1.12,2.22,4.72,5.66,4.88,3.78,4.06,4.22,2.94,2.06,3.44,5.62,6.38,7.19,9.41,12.19,13.38,13.03,12.81,13.47,12.69,10.41,8.03,7.38,6.47,4.12,1.94,1.81,2.78,2.41,1.59,1.81,2.28,1.59,-0.38,-1.44,-0.72,-0.16,-0.75,-1.0,0.53,2.56,2.81,2.53,3.69,5.16,4.81,3.5,3.59,4.62,4.69,3.62,2.88,3.84,4.03,2.97,1.81,2.31,2.53,0.88,-1.84,-2.47,-2.59,-3.94,-5.72,-6.31,-4.94,-4.09,-3.84,-2.09,1.38,5.19,7.38,9.09,12.16,14.28,13.75,11.62,10.25,9.66,7.56,5.03,3.56,3.09,1.91,-0.81,-3.06,-3.0,-2.44,-2.16,-1.47,1.59,5.06,6.78,6.88,7.19,7.75,6.66,4.44,3.09,3.69,3.81,2.22,0.66,0.22,-0.03,-1.25,-2.09,-0.59,1.88,3.09,2.91,3.25,4.25,3.34,1.06,-0.75,-1.5,-2.16,-4.34,-6.34,-6.62,-6.72,-7.88,-9.59,-9.0,-7.22,-5.53,-4.38,-1.88,1.91,4.19,4.62,4.84,6.34,7.38,7.12,7.06,8.41,10.0,9.84,8.56,8.66,9.22,8.78,6.84,5.53,5.31,4.22,1.38,-1.16,-1.5,-1.62,-2.47,-2.66,-0.56,2.56,4.91,6.06,8.25,11.19,13.06,13.03,13.66,15.38,16.03,14.41,12.38,11.09,9.22,5.47,1.16,-1.59,-3.25,-5.09,-7.41,-8.16,-7.28,-6.88,-7.53,-7.31,-4.72,-2.09,-0.75,0.47,2.97,4.94,4.56,2.88,1.88,1.72,1.06,0.12,0.66,2.94,5.0,5.44,5.94,8.25,10.03,9.94,9.69,10.41,11.25,10.25,8.34,7.41,7.03,5.81,3.0,1.72,2.19,3.31,3.66,4.81,7.66,10.12,10.88,10.97,12.19,13.41,13.25,11.72,11.0,10.44,9.22,6.62,5.38,5.81,6.78,6.75,6.56,7.47,7.81,5.91,2.94,1.25,0.44,-0.28,-1.72,-1.34,0.72,2.25,2.41,3.09,5.22,7.88,8.5,8.94,10.09,10.81,9.59,7.81,7.44,8.12,8.16,6.78,5.81,5.69,5.03,2.59,0.62,-0.47,-1.12,-3.41,-5.09,-4.16,-1.5,0.78,2.31,4.69,7.78,9.34,8.72,8.25,9.28,10.16,9.19,8.56,9.22,10.34,9.44,8.31,8.59,9.88,10.5,10.69,11.81,13.69,14.28,12.56,11.22,11.41,12.0,10.81,9.91,9.81,9.59,7.38,4.12,2.03,1.09,0.0,-1.69,-2.19,-0.62,0.94,1.0,1.5,3.09,4.47,3.5,1.62,1.34,2.28,2.75,3.34,5.28,7.53,8.09,6.12,3.91,2.78,1.47,-1.19,-3.91,-4.09,-3.5,-3.78,-3.56,-1.0,2.53,5.03,6.34,8.19,10.09,10.59,9.06,7.97,8.5,9.66,10.25,11.31,14.53,18.62,20.56,21.56,22.44,23.38,21.72,17.88,14.0,10.62,6.03,0.28,-4.09,-5.78,-5.97,-6.12,-5.34,-2.12,2.19,4.75,7.03,9.25,12.03,12.81,11.97,11.16,11.25,11.0,9.19,8.31,8.84,10.09,10.25,10.22,10.69,11.5,10.44,7.69,5.34,3.59,0.81,-3.47,-6.34,-7.53,-8.22,-9.78,-11.03,-10.62,-9.69,-9.19,-8.44,-5.78,-1.84,0.97,2.28,3.41,5.06,5.28,3.66,2.28,2.16,2.53,1.56,1.03,1.56,2.44,1.53,0.0,-1.0,-1.09,-1.41,-2.69,-3.5,-2.75,-2.28,-2.62,-2.56,-0.91,0.56,0.31,-1.0,-1.94,-2.12,-3.31,-4.94,-5.47,-4.47,-4.0,-4.0,-3.31,-0.47,2.62,4.56,6.09,8.5,10.56,10.28,8.66,6.88,5.5,2.09,-2.5,-6.5,-8.84,-10.88,-13.28,-14.34,-12.28,-9.75,-7.91,-6.53,-3.91,-1.25,0.03,0.66,2.38,5.03,6.56,6.25,5.75,5.94,5.06,2.75,0.28,-0.38,-0.84,-1.69,-2.62,-1.94,-0.06,0.84,0.88,1.62,4.03,5.75,6.44,7.53,10.12,12.03,12.06,11.25,11.44,11.53,9.75,7.09,5.56,5.03,3.78,2.16,1.59,2.47,3.03,2.69,3.0,5.28,7.84,8.81,9.06,9.78,10.47,9.59,7.25,5.91,5.78,4.94,3.31,2.62,3.34,3.5,2.34,1.03,1.56,2.88,3.25,3.03,4.69,6.84,8.06,8.5,10.22,12.62,14.22,14.34,13.97,14.44,14.38,12.84,11.03,11.44,12.12,12.0,10.66,10.25,10.59,9.53,7.53,6.56,7.53,8.5,8.25,8.09,9.59,10.38,9.0,7.41,7.03,7.53,6.94,5.81,6.09,7.12,6.88,4.91,3.16,1.78,0.28,-2.66,-5.47,-6.0,-5.5,-5.94,-6.09,-4.25,-1.47,-0.06,-0.25,0.31,1.69,2.19,1.22,0.62,1.47,2.69,2.75,3.5,6.69,10.38,12.25,13.0,14.0,14.91,14.09,11.88,10.38,10.06,9.66,8.19,7.34,8.09,8.44,6.75,4.16,2.91,2.25,0.22,-2.06,-2.75,-2.78,-3.12,-4.5,-5.22,-4.72,-4.16,-5.06,-6.03,-5.62,-5.25,-6.62,-8.97,-9.66,-9.38,-9.28,-9.72,-8.75,-6.62,-5.72,-7.06,-8.59,-9.31,-10.78,-13.84,-16.34,-16.91,-16.75,-17.81,-18.62,-18.03,-16.16,-15.16,-14.84,-13.44,-10.66,-8.88,-8.47,-7.97,-6.47,-5.75,-7.28,-8.88,-9.75,-10.12,-12.03,-14.59,-16.03,-15.97,-16.41,-17.75,-17.41,-16.12,-14.78,-15.16,-15.19,-14.09,-12.91,-13.75,-15.03,-14.91,-14.09,-13.53,-13.66,-12.19,-9.53,-7.84,-7.5,-6.53,-5.12,-4.25,-5.16,-6.31,-6.16,-5.69,-6.56,-7.88,-8.12,-7.72,-8.44,-10.62,-11.78,-11.75,-12.59,-14.59,-15.75,-14.88,-13.59,-13.16,-12.75,-10.69,-8.28,-7.25,-7.06,-5.66,-3.25,-2.34,-2.56,-2.81,-1.47,-0.66,-1.12,-1.34,-0.16,1.09,-0.03,-1.0,-0.97,0.31,0.56,0.34,0.88,2.62,3.25,2.75,2.81,4.72,6.19,5.41,4.88,5.12,4.84,2.66,-0.31,-1.97,-2.72,-4.31,-5.53,-5.34,-2.97,-0.53,1.0,2.75,6.19,8.62,8.47,7.38,7.19,6.91,4.81,2.47,1.53,1.81,1.5,0.34,-0.19,0.66,1.31,0.75,0.25,1.72,3.16,2.75,2.22,3.12,4.97,5.34,5.12,5.03,5.78,4.34,1.16,-2.59,-5.03,-7.53,-11.16,-13.44,-12.66,-11.0,-10.0,-9.53,-8.53,-7.03,-7.09,-8.03,-8.06,-5.91,-3.81,-3.0,-1.75,1.34,3.5,3.41,3.06,4.03,5.38,5.0,4.19,4.44,6.19,6.88,6.19,6.31,6.78,6.06,3.06,-0.03,-1.22,-2.53,-5.0,-7.0,-6.72,-5.38,-4.72,-4.38,-2.94,-0.69,0.31,-0.19,-0.56,0.44,1.41,0.5,-0.12,0.97,2.03,1.06,-0.91,-1.84,-2.91,-5.91,-9.25,-11.19,-10.75,-10.0,-9.84,-8.75,-6.19,-4.28,-4.16,-4.28,-2.72,-0.47,0.69,1.47,3.69,6.28,6.84,5.91,4.75,4.47,3.38,0.75,-1.81,-2.72,-3.78,-6.03,-8.34,-8.34,-7.59,-8.06,-9.44,-9.31,-8.34,-8.41,-9.47,-9.22,-6.88,21.88,23.47,24.34,25.06,25.31,24.69,23.47,22.88,23.03,23.81,24.72,25.16,26.06,26.78,27.16,27.41,28.19,29.5,29.84,29.81,29.44,29.25,28.41,26.94,25.47,24.5,23.56,22.75,22.66,23.78,25.25,27.56,29.0,30.28,31.62,31.84,30.84,29.66,28.62,26.94,24.34,22.38:negativity
35.03,36.75,37.81,38.53,39.94,40.59,40.25,39.72,39.91,39.84,38.88,37.69,37.41,37.84,37.88,37.81,38.41,39.41,39.59,38.97,38.22,38.41,38.88,38.31,37.59,37.94,38.69,38.31,37.94,37.94,38.03,37.06,34.53,31.81,29.66,27.5,24.97,23.09,23.19,24.0,24.5,25.34,27.47,30.16,31.78,32.72,34.16,35.47,36.12,36.28,36.09,36.62,36.66,35.16,33.16,32.12,31.44,30.62,30.19,31.28,33.09,34.59,35.75,37.56,39.97,41.5,41.91,41.56,41.78,40.75,38.69,36.56,35.12,34.03,32.56,30.75,29.72,29.09,27.81,25.97,24.78,24.66,25.06,25.44,26.47,28.84,31.19,32.47,32.66,33.84,34.31,33.88,32.97,33.03,33.88,34.19,33.84,33.31,33.84,33.75,32.41,31.19,30.69,29.69,27.78,25.34,24.44,23.91,24.19,24.53,26.16,28.72,30.81,31.56,31.91,32.56,32.88,32.5,32.09,32.97,34.16,34.75,35.0,35.84,36.53,36.34,34.34,32.31,29.84,26.72,23.09,20.34,19.88,20.38,21.56,23.5,26.72,29.78,32.0,33.0,34.53,35.78,36.0,35.16,34.56,34.12,33.5,31.75,29.88,28.56,26.94,24.5,22.03,20.53,20.25,20.25,21.06,23.44,27.03,30.12,31.97,33.06,33.97,34.0,32.94,31.81,32.31,33.56,34.66,35.78,37.97,39.88,40.75,40.47,40.34,40.38,40.56,39.69,38.91,39.03,39.03,38.53,37.69,38.0,38.97,39.62,39.69,40.22,41.16,41.75,41.38,41.56,42.16,42.19,41.0,38.97,36.94,34.88,31.22,27.31,24.28,22.0,20.41,19.22,20.09,22.53,25.72,28.28,30.91,34.19,36.56,36.78,36.56,36.56,36.75,36.31,35.0,34.41,33.41,31.59,28.34,25.03,21.75,18.28,14.22,11.47,11.03,12.81,14.66,17.75,22.12,26.75,30.75,34.06,37.31,39.81,41.0,40.19,38.72,37.38,35.66,33.19,30.75,29.25,28.19,26.31,24.22,22.94,22.22,20.91,19.41,18.66,19.16,20.72,22.19,24.72,28.56,31.97,34.16,35.78,38.0,40.34,41.75,43.16,44.5,45.53,44.78,42.31,39.62,36.69,33.56,29.59,26.97,25.72,25.44,25.22,25.75,26.97,28.66,29.34,29.88,30.72,32.47,34.19,36.0,38.66,42.16,45.56,47.56,48.31,48.66,48.5,46.41,43.72,41.38,39.28,36.78,34.12,32.38,31.78,31.47,30.5,30.22,30.41,31.19,30.53,30.28,30.56,31.22,31.62,31.56,32.09,33.12,33.38,33.16,32.75,33.03,32.75,31.5,31.12,31.69,32.91,33.75,34.75,35.88,36.72,35.72,34.19,32.5,31.78,30.81,30.16,30.22,31.16,32.53,32.88,33.34,33.88,34.06,32.84,31.47,30.16,29.56,28.81,27.75,27.12,27.56,27.44,27.12,26.56,26.41,26.19,25.12,23.97,23.91,24.31,24.41,24.78,25.47,26.5,27.56,27.75,27.81,28.78,29.28,28.97,28.31,28.16,27.38,25.78,24.06,23.72,24.41,25.34,26.41,27.72,29.34,30.12,29.53,28.91,29.09,29.0,28.12,27.53,27.66,28.19,28.12,27.88,28.0,28.62,28.09,26.97,25.78,25.25,24.5,23.38,23.38,24.56,25.97,26.59,26.22,25.75,25.06,24.22,23.28,23.66,24.81,26.0,26.66,27.0,27.91,28.72,28.88,29.03,29.78,30.44,30.25,29.34,28.62,28.47,28.06,27.38,27.91,29.88,31.38,32.28,33.28,34.62,35.09,34.84,34.12,34.72,35.03,35.12,34.56,34.44,34.34,34.12,33.47,32.91,33.47,33.53,33.06,32.84,34.31,36.03,37.28,38.16,38.81,38.78,37.22,34.5,31.88,29.59,26.84,24.12,21.91,21.06,20.12,19.22,18.84,19.84,21.31,22.53,23.5,25.44,27.5,29.0,29.78,30.81,31.66,32.44,31.72,30.47,29.94,29.03,27.25,25.91,25.75,26.41,27.09,27.75,29.25,30.91,31.78,32.03,32.22,32.62,33.38,33.44,34.16,36.09,38.12,39.53,40.16,41.28,41.66,41.16,40.03,39.06,38.19,37.12,35.03,32.94,31.47,30.31,28.56,27.34,27.38,28.41,29.56,30.62,32.44,34.5,35.69,35.91,36.44,37.25,37.94,37.59,37.38,37.44,37.28,36.03,33.88,32.12,30.34,27.88,25.16,23.75,22.84,22.22,21.12,21.12,22.62,25.12,27.69,31.12,35.34,39.38,41.91,43.12,43.97,44.31,43.88,42.06,41.25,40.94,40.09,38.91,38.16,37.81,37.72,36.44,34.5,32.91,31.62,29.41,27.34,26.56,26.81,27.16,26.81,27.06,27.75,28.31,28.22,28.12,28.88,29.84,29.97,29.94,30.88,31.94,32.75,33.0,33.78,34.88,35.78,35.25,34.22,32.91,30.97,27.34,23.72,21.22,19.41,17.53,16.22,15.84,15.88,14.91,13.03,11.5,10.59,9.88,9.47,9.91,11.44,13.28,14.16,15.47,17.5,19.78,20.91,21.66,22.62,24.09,24.88,25.44,26.5,28.12,29.5,29.78,29.56,29.78,29.72,28.22,26.72,25.66,25.16,24.16,22.44,21.03,20.16,19.5,18.44,17.75,18.53,19.69,19.81,20.41,21.84,23.66,23.91,24.25,24.84,26.06,26.69,26.72,27.12,28.44,28.91,28.31,27.66,27.44,27.0,25.28,23.84,23.25,23.03,22.31,21.44,21.06,21.09,20.78,19.97,19.41,19.84,20.41,19.91,19.41,19.72,20.03,19.75,19.75,20.5,21.91,23.12,23.91,24.94,26.16,27.12,26.81,26.34,26.31,25.97,24.25,22.03,20.59,19.34,17.41,15.62,14.88,15.69,16.34,17.22,18.66,21.22,22.84,23.0,22.62,23.0,23.16,22.72,21.78,22.06,22.41,21.38,19.31,17.62,16.78,15.38,14.19,14.0,14.62,15.5,15.25,14.75,14.88,14.97,13.97,12.75,12.31,12.34,12.03,11.56,11.69,12.81,13.59,14.03,14.94,17.03,19.22,20.62,21.69,23.47,24.81,24.56,23.25,22.22,21.81,20.78,19.41,19.34,19.94,19.88,19.44,18.47,18.62,18.09,16.78,15.81,16.38,17.75,19.0,19.84,21.0,21.91,21.72,20.81,20.41,21.22,21.78,22.0,21.81,22.06,21.91,20.81,19.62,19.41,19.81,20.34,20.97,22.81,25.53,27.56,28.09,28.75,29.5,29.62,28.62,27.41,26.41,24.5,21.62,18.16,16.44,15.78,15.84,15.97,17.16,18.53,19.41,18.62,17.66,17.75,17.88,17.91,18.47,20.91,23.75,25.91,27.0,28.41,29.22,28.53,25.97,23.5,21.72,20.44,19.12,18.5,19.0,19.34,18.69,17.84,17.91,18.31,18.88,19.06,20.28,21.91,23.34,23.78,24.28,25.0,25.06,24.31,24.22,25.25,26.31,26.34,25.38,24.38,23.38,22.06,20.0,18.75,17.88,16.38,13.41,10.75,8.88,7.25,5.03,3.28,2.88,2.81,2.81,2.84,4.09,6.5,8.91,10.53,12.44,14.84,16.06,16.03,15.41,15.59,15.47,14.91,15.12,16.72,19.16,21.38,22.75,24.12,25.0,24.12,21.78,18.75,16.22,13.5,9.62,6.12,4.22,3.09,2.03,1.81,3.06,5.47,7.53,9.59,11.97,15.28,18.5,20.34,22.34,24.56,26.44,26.25,25.97,25.88,25.72,24.5,23.12,22.66,22.59,22.28,20.78,19.62,18.78,18.06,16.59,16.19,17.22,18.56,19.53,20.31,21.19,21.53,19.84,16.97,13.94,11.09,8.25,5.31,3.62,3.53,4.25,4.66,5.53,7.34,9.66,11.22,12.81,15.5,18.62,20.91,22.62,24.12,25.38,26.03,24.78,23.38,22.44,21.25,19.69,18.84,19.16,19.78,19.47,18.69,18.16,17.88,16.62,14.88,13.28,12.34,10.75,8.25,5.69,4.5,4.16,3.03,2.62,3.22,4.25,4.91,6.0,7.91,11.06,13.44,14.34,15.09,15.66,15.97,15.25,15.16,15.41,15.75,14.78,13.44,12.75,11.88,11.03,10.12,9.94,10.34,10.22,9.69,9.41,9.41,9.62,9.16,8.78,8.84,9.72,9.94,10.06,10.31,11.5,12.06,11.72,11.56,11.94,11.41,9.72,8.44,8.38,8.91,9.12,9.59,10.78,12.12,12.41,12.09,12.5,13.34,13.66,13.69,14.91,16.84,18.91,20.22,20.97,22.41,23.47,23.69,23.94,25.03,26.28,26.72,26.56,26.22,25.84,24.56,21.94,18.88,16.69,13.91,11.34,9.69,9.69,11.41,12.94,15.0,17.38,19.78,21.41,21.75,22.12,23.78,24.78,24.78,25.06,25.81,26.28,26.06,25.88,26.16,27.12,27.06,26.5,25.59,24.66,22.69,19.88,16.91,15.06,13.38,11.16,9.81,9.91,10.62,11.53,12.5,14.41,16.59,18.03,19.47,21.0,23.12,24.59,24.88,24.53,25.03,24.81,24.12,23.41,23.44,23.34,22.91,22.12,22.22,22.81,23.03,22.75,22.56,23.06,22.88,22.19,21.22,20.97,20.56,19.56,18.53,18.06,18.47,18.38,18.22,18.53,19.72,20.38,20.69,20.97,21.62,22.28,21.59,20.81,21.31,21.47,20.69,19.62,18.31,17.06,14.94,12.53,10.81,10.44,10.78,11.28,12.53,15.06,17.0,18.06,19.0,20.72,22.75,24.59,26.09,27.88,30.09,32.16,33.56,34.69,36.22,36.88,35.88,34.59,34.38,33.41,32.06,30.25,28.91,27.25,24.97,22.12,20.06,18.09,16.19,14.44,13.25,13.81,15.34,17.03,18.75,21.12,22.69,23.03:39.72,39.91,39.84,38.88,37.69,37.41,37.84,37.88,37.81,38.41,39.41,39.59,38.97,38.22,38.41,38.88,38.31,37.59,37.94,38.69,38.31,37.94,37.94,38.03,37.06,34.53,31.81,29.66,27.5,24.97,23.09,23.19,24.0,24.5,25.34,27.47,30.16,31.78,32.72,34.16,35.47,36.12,36.28,36.09,36.62,36.66,35.16,33.16,32.12,31.44,30.62,30.19,31.28,33.09,34.59,35.75,37.56,39.97,41.5,41.91,41.56,41.78,40.75,38.69,36.56,35.12,34.03,32.56,30.75,29.72,29.09,27.81,25.97,24.78,24.66,25.06,25.44,26.47,28.84,31.19,32.47,32.66,33.84,34.31,33.88,32.97,33.03,33.88,34.19,33.84,33.31,33.84,33.75,32.41,31.19,30.69,29.69,27.78,25.34,24.44,23.91,24.19,24.53,26.16,28.72,30.81,31.56,31.91,32.56,32.88,32.5,32.09,32.97,34.16,34.75,35.0,35.84,36.53,36.34,34.34,32.31,29.84,26.72,23.09,20.34,19.88,20.38,21.56,23.5,26.72,29.78,32.0,33.0,34.53,35.78,36.0,35.16,34.56,34.12,33.5,31.75,29.88,28.56,26.94,24.5,22.03,20.53,20.25,20.25,21.06,23.44,27.03,30.12,31.97,33.06,33.97,34.0,32.94,31.81,32.31,33.56,34.66,35.78,37.97,39.88,40.75,40.47,40.34,40.38,40.56,39.69,38.91,39.03,39.03,38.53,37.69,38.0,38.97,39.62,39.69,40.22,41.16,41.75,41.38,41.56,42.16,42.19,41.0,38.97,36.94,34.88,31.22,27.31,24.28,22.0,20.41,19.22,20.09,22.53,25.72,28.28,30.91,34.19,36.56,36.78,36.56,36.56,36.75,36.31,35.0,34.41,33.41,31.59,28.34,25.03,21.75,18.28,14.22,11.47,11.03,12.81,14.66,17.75,22.12,26.75,30.75,34.06,37.31,39.81,41.0,40.19,38.72,37.38,35.66,33.19,30.75,29.25,28.19,26.31,24.22,22.94,22.22,20.91,19.41,18.66,19.16,20.72,22.19,24.72,28.56,31.97,34.16,35.78,38.0,40.34,41.75,43.16,44.5,45.53,44.78,42.31,39.62,36.69,33.56,29.59,26.97,25.72,25.44,25.22,25.75,26.97,28.66,29.34,29.88,30.72,32.47,34.19,36.0,38.66,42.16,45.56,47.56,48.31,48.66,48.5,46.41,43.72,41.38,39.28,36.78,34.12,32.38,31.78,31.47,30.5,30.22,30.41,31.19,30.53,30.28,30.56,31.22,31.62,31.56,32.09,33.12,33.38,33.16,32.75,33.03,32.75,31.5,31.12,31.69,32.91,33.75,34.75,35.88,36.72,35.72,34.19,32.5,31.78,30.81,30.16,30.22,31.16,32.53,32.88,33.34,33.88,34.06,32.84,31.47,30.16,29.56,28.81,27.75,27.12,27.56,27.44,27.12,26.56,26.41,26.19,25.12,23.97,23.91,24.31,24.41,24.78,25.47,26.5,27.56,27.75,27.81,28.78,29.28,28.97,28.31,28.16,27.38,25.78,24.06,23.72,24.41,25.34,26.41,27.72,29.34,30.12,29.53,28.91,29.09,29.0,28.12,27.53,27.66,28.19,28.12,27.88,28.0,28.62,28.09,26.97,25.78,25.25,24.5,23.38,23.38,24.56,25.97,26.59,26.22,25.75,25.06,24.22,23.28,23.66,24.81,26.0,26.66,27.0,27.91,28.72,28.88,29.03,29.78,30.44,30.25,29.34,28.62,28.47,28.06,27.38,27.91,29.88,31.38,32.28,33.28,34.62,35.09,34.84,34.12,34.72,35.03,35.12,34.56,34.44,34.34,34.12,33.47,32.91,33.47,33.53,33.06,32.84,34.31,36.03,37.28,38.16,38.81,38.78,37.22,34.5,31.88,29.59,26.84,24.12,21.91,21.06,20.12,19.22,18.84,19.84,21.31,22.53,23.5,25.44,27.5,29.0,29.78,30.81,31.66,32.44,31.72,30.47,29.94,29.03,27.25,25.91,25.75,26.41,27.09,27.75,29.25,30.91,31.78,32.03,32.22,32.62,33.38,33.44,34.16,36.09,38.12,39.53,40.16,41.28,41.66,41.16,40.03,39.06,38.19,37.12,35.03,32.94,31.47,30.31,28.56,27.34,27.38,28.41,29.56,30.62,32.44,34.5,35.69,35.91,36.44,37.25,37.94,37.59,37.38,37.44,37.28,36.03,33.88,32.12,30.34,27.88,25.16,23.75,22.84,22.22,21.12,21.12,22.62,25.12,27.69,31.12,35.34,39.38,41.91,43.12,43.97,44.31,43.88,42.06,41.25,40.94,40.09,38.91,38.16,37.81,37.72,36.44,34.5,32.91,31.62,29.41,27.34,26.56,26.81,27.16,26.81,27.06,27.75,28.31,28.22,28.12,28.88,29.84,29.97,29.94,30.88,31.94,32.75,33.0,33.78,34.88,35.78,35.25,34.22,32.91,30.97,27.34,23.72,21.22,19.41,17.53,16.22,15.84,15.88,14.91,13.03,11.5,10.59,9.88,9.47,9.91,11.44,13.28,14.16,15.47,17.5,19.78,20.91,21.66,22.62,24.09,24.88,25.44,26.5,28.12,29.5,29.78,29.56,29.78,29.72,28.22,26.72,25.66,25.16,24.16,22.44,21.03,20.16,19.5,18.44,17.75,18.53,19.69,19.81,20.41,21.84,23.66,23.91,24.25,24.84,26.06,26.69,26.72,27.12,28.44,28.91,28.31,27.66,27.44,27.0,25.28,23.84,23.25,23.03,22.31,21.44,21.06,21.09,20.78,19.97,19.41,19.84,20.41,19.91,19.41,19.72,20.03,19.75,19.75,20.5,21.91,23.12,23.91,24.94,26.16,27.12,26.81,26.34,26.31,25.97,24.25,22.03,20.59,19.34,17.41,15.62,14.88,15.69,16.34,17.22,18.66,21.22,22.84,23.0,22.62,23.0,23.16,22.72,21.78,22.06,22.41,21.38,19.31,17.62,16.78,15.38,14.19,14.0,14.62,15.5,15.25,14.75,14.88,14.97,13.97,12.75,12.31,12.34,12.03,11.56,11.69,12.81,13.59,14.03,14.94,17.03,19.22,20.62,21.69,23.47,24.81,24.56,23.25,22.22,21.81,20.78,19.41,19.34,19.94,19.88,19.44,18.47,18.62,18.09,16.78,15.81,16.38,17.75,19.0,19.84,21.0,21.91,21.72,20.81,20.41,21.22,21.78,22.0,21.81,22.06,21.91,20.81,19.62,19.41,19.81,20.34,20.97,22.81,25.53,27.56,28.09,28.75,29.5,29.62,28.62,27.41,26.41,24.5,21.62,18.16,16.44,15.78,15.84,15.97,17.16,18.53,19.41,18.62,17.66,17.75,17.88,17.91,18.47,20.91,23.75,25.91,27.0,28.41,29.22,28.53,25.97,23.5,21.72,20.44,19.12,18.5,19.0,19.34,18.69,17.84,17.91,18.31,18.88,19.06,20.28,21.91,23.34,23.78,24.28,25.0,25.06,24.31,24.22,25.25,26.31,26.34,25.38,24.38,23.38,22.06,20.0,18.75,17.88,16.38,13.41,10.75,8.88,7.25,5.03,3.28,2.88,2.81,2.81,2.84,4.09,6.5,8.91,10.53,12.44,14.84,16.06,16.03,15.41,15.59,15.47,14.91,15.12,16.72,19.16,21.38,22.75,24.12,25.0,24.12,21.78,18.75,16.22,13.5,9.62,6.12,4.22,3.09,2.03,1.81,3.06,5.47,7.53,9.59,11.97,15.28,18.5,20.34,22.34,24.56,26.44,26.25,25.97,25.88,25.72,24.5,23.12,22.66,22.59,22.28,20.78,19.62,18.78,18.06,16.59,16.19,17.22,18.56,19.53,20.31,21.19,21.53,19.84,16.97,13.94,11.09,8.25,5.31,3.62,3.53,4.25,4.66,5.53,7.34,9.66,11.22,12.81,15.5,18.62,20.91,22.62,24.12,25.38,26.03,24.78,23.38,22.44,21.25,19.69,18.84,19.16,19.78,19.47,18.69,18.16,17.88,16.62,14.88,13.28,12.34,10.75,8.25,5.69,4.5,4.16,3.03,2.62,3.22,4.25,4.91,6.0,7.91,11.06,13.44,14.34,15.09,15.66,15.97,15.25,15.16,15.41,15.75,14.78,13.44,12.75,11.88,11.03,10.12,9.94,10.34,10.22,9.69,9.41,9.41,9.62,9.16,8.78,8.84,9.72,9.94,10.06,10.31,11.5,12.06,11.72,11.56,11.94,11.41,9.72,8.44,8.38,8.91,9.12,9.59,10.78,12.12,12.41,12.09,12.5,13.34,13.66,13.69,14.91,16.84,18.91,20.22,20.97,22.41,23.47,23.69,23.94,25.03,26.28,26.72,26.56,26.22,25.84,24.56,21.94,18.88,16.69,13.91,11.34,9.69,9.69,11.41,12.94,15.0,17.38,19.78,21.41,21.75,22.12,23.78,24.78,24.78,25.06,25.81,26.28,26.06,25.88,26.16,27.12,27.06,26.5,25.59,24.66,22.69,19.88,16.91,15.06,13.38,11.16,9.81,9.91,10.62,11.53,12.5,14.41,16.59,18.03,19.47,21.0,23.12,24.59,24.88,24.53,25.03,24.81,24.12,23.41,23.44,23.34,22.91,22.12,22.22,22.81,23.03,22.75,22.56,23.06,22.88,22.19,21.22,20.97,20.56,19.56,18.53,18.06,18.47,18.38,18.22,18.53,19.72,20.38,20.69,20.97,21.62,22.28,21.59,20.81,21.31,21.47,20.69,19.62,18.31,17.06,14.94,12.53,10.81,10.44,10.78,11.28,12.53,15.06,17.0,18.06,19.0,20.72,22.75,24.59,26.09,27.88,30.09,32.16,33.56,34.69,36.22,36.88,35.88,34.59,34.38,33.41,32.06,30.25,28.91,27.25,24.97,22.12,20.06,18.09,16.19,14.44,13.25,13.81,15.34,17.03,18.75,21.12,22.69,23.03,60.59,62.84,64.72,65.88,66.62,67.25,67.09:37.88,37.81,38.41,39.41,39.59,38.97,38.22,38.41,38.88,38.31,37.59,37.94,38.69,38.31,37.94,37.94,38.03,37.06,34.53,31.81,29.66,27.5,24.97,23.09,23.19,24.0,24.5,25.34,27.47,30.16,31.78,32.72,34.16,35.47,36.12,36.28,36.09,36.62,36.66,35.16,33.16,32.12,31.44,30.62,30.19,31.28,33.09,34.59,35.75,37.56,39.97,41.5,41.91,41.56,41.78,40.75,38.69,36.56,35.12,34.03,32.56,30.75,29.72,29.09,27.81,25.97,24.78,24.66,25.06,25.44,26.47,28.84,31.19,32.47,32.66,33.84,34.31,33.88,32.97,33.03,33.88,34.19,33.84,33.31,33.84,33.75,32.41,31.19,30.69,29.69,27.78,25.34,24.44,23.91,24.19,24.53,26.16,28.72,30.81,31.56,31.91,32.56,32.88,32.5,32.09,32.97,34.16,34.75,35.0,35.84,36.53,36.34,34.34,32.31,29.84,26.72,23.09,20.34,19.88,20.38,21.56,23.5,26.72,29.78,32.0,33.0,34.53,35.78,36.0,35.16,34.56,34.12,33.5,31.75,29.88,28.56,26.94,24.5,22.03,20.53,20.25,20.25,21.06,23.44,27.03,30.12,31.97,33.06,33.97,34.0,32.94,31.81,32.31,33.56,34.66,35.78,37.97,39.88,40.75,40.47,40.34,40.38,40.56,39.69,38.91,39.03,39.03,38.53,37.69,38.0,38.97,39.62,39.69,40.22,41.16,41.75,41.38,41.56,42.16,42.19,41.0,38.97,36.94,34.88,31.22,27.31,24.28,22.0,20.41,19.22,20.09,22.53,25.72,28.28,30.91,34.19,36.56,36.78,36.56,36.56,36.75,36.31,35.0,34.41,33.41,31.59,28.34,25.03,21.75,18.28,14.22,11.47,11.03,12.81,14.66,17.75,22.12,26.75,30.75,34.06,37.31,39.81,41.0,40.19,38.72,37.38,35.66,33.19,30.75,29.25,28.19,26.31,24.22,22.94,22.22,20.91,19.41,18.66,19.16,20.72,22.19,24.72,28.56,31.97,34.16,35.78,38.0,40.34,41.75,43.16,44.5,45.53,44.78,42.31,39.62,36.69,33.56,29.59,26.97,25.72,25.44,25.22,25.75,26.97,28.66,29.34,29.88,30.72,32.47,34.19,36.0,38.66,42.16,45.56,47.56,48.31,48.66,48.5,46.41,43.72,41.38,39.28,36.78,34.12,32.38,31.78,31.47,30.5,30.22,30.41,31.19,30.53,30.28,30.56,31.22,31.62,31.56,32.09,33.12,33.38,33.16,32.75,33.03,32.75,31.5,31.12,31.69,32.91,33.75,34.75,35.88,36.72,35.72,34.19,32.5,31.78,30.81,30.16,30.22,31.16,32.53,32.88,33.34,33.88,34.06,32.84,31.47,30.16,29.56,28.81,27.75,27.12,27.56,27.44,27.12,26.56,26.41,26.19,25.12,23.97,23.91,24.31,24.41,24.78,25.47,26.5,27.56,27.75,27.81,28.78,29.28,28.97,28.31,28.16,27.38,25.78,24.06,23.72,24.41,25.34,26.41,27.72,29.34,30.12,29.53,28.91,29.09,29.0,28.12,27.53,27.66,28.19,28.12,27.88,28.0,28.62,28.09,26.97,25.78,25.25,24.5,23.38,23.38,24.56,25.97,26.59,26.22,25.75,25.06,24.22,23.28,23.66,24.81,26.0,26.66,27.0,27.91,28.72,28.88,29.03,29.78,30.44,30.25,29.34,28.62,28.47,28.06,27.38,27.91,29.88,31.38,32.28,33.28,34.62,35.09,34.84,34.12,34.72,35.03,35.12,34.56,34.44,34.34,34.12,33.47,32.91,33.47,33.53,33.06,32.84,34.31,36.03,37.28,38.16,38.81,38.78,37.22,34.5,31.88,29.59,26.84,24.12,21.91,21.06,20.12,19.22,18.84,19.84,21.31,22.53,23.5,25.44,27.5,29.0,29.78,30.81,31.66,32.44,31.72,30.47,29.94,29.03,27.25,25.91,25.75,26.41,27.09,27.75,29.25,30.91,31.78,32.03,32.22,32.62,33.38,33.44,34.16,36.09,38.12,39.53,40.16,41.28,41.66,41.16,40.03,39.06,38.19,37.12,35.03,32.94,31.47,30.31,28.56,27.34,27.38,28.41,29.56,30.62,32.44,34.5,35.69,35.91,36.44,37.25,37.94,37.59,37.38,37.44,37.28,36.03,33.88,32.12,30.34,27.88,25.16,23.75,22.84,22.22,21.12,21.12,22.62,25.12,27.69,31.12,35.34,39.38,41.91,43.12,43.97,44.31,43.88,42.06,41.25,40.94,40.09,38.91,38.16,37.81,37.72,36.44,34.5,32.91,31.62,29.41,27.34,26.56,26.81,27.16,26.81,27.06,27.75,28.31,28.22,28.12,28.88,29.84,29.97,29.94,30.88,31.94,32.75,33.0,33.78,34.88,35.78,35.25,34.22,32.91,30.97,27.34,23.72,21.22,19.41,17.53,16.22,15.84,15.88,14.91,13.03,11.5,10.59,9.88,9.47,9.91,11.44,13.28,14.16,15.47,17.5,19.78,20.91,21.66,22.62,24.09,24.88,25.44,26.5,28.12,29.5,29.78,29.56,29.78,29.72,28.22,26.72,25.66,25.16,24.16,22.44,21.03,20.16,19.5,18.44,17.75,18.53,19.69,19.81,20.41,21.84,23.66,23.91,24.25,24.84,26.06,26.69,26.72,27.12,28.44,28.91,28.31,27.66,27.44,27.0,25.28,23.84,23.25,23.03,22.31,21.44,21.06,21.09,20.78,19.97,19.41,19.84,20.41,19.91,19.41,19.72,20.03,19.75,19.75,20.5,21.91,23.12,23.91,24.94,26.16,27.12,26.81,26.34,26.31,25.97,24.25,22.03,20.59,19.34,17.41,15.62,14.88,15.69,16.34,17.22,18.66,21.22,22.84,23.0,22.62,23.0,23.16,22.72,21.78,22.06,22.41,21.38,19.31,17.62,16.78,15.38,14.19,14.0,14.62,15.5,15.25,14.75,14.88,14.97,13.97,12.75,12.31,12.34,12.03,11.56,11.69,12.81,13.59,14.03,14.94,17.03,19.22,20.62,21.69,23.47,24.81,24.56,23.25,22.22,21.81,20.78,19.41,19.34,19.94,19.88,19.44,18.47,18.62,18.09,16.78,15.81,16.38,17.75,19.0,19.84,21.0,21.91,21.72,20.81,20.41,21.22,21.78,22.0,21.81,22.06,21.91,20.81,19.62,19.41,19.81,20.34,20.97,22.81,25.53,27.56,28.09,28.75,29.5,29.62,28.62,27.41,26.41,24.5,21.62,18.16,16.44,15.78,15.84,15.97,17.16,18.53,19.41,18.62,17.66,17.75,17.88,17.91,18.47,20.91,23.75,25.91,27.0,28.41,29.22,28.53,25.97,23.5,21.72,20.44,19.12,18.5,19.0,19.34,18.69,17.84,17.91,18.31,18.88,19.06,20.28,21.91,23.34,23.78,24.28,25.0,25.06,24.31,24.22,25.25,26.31,26.34,25.38,24.38,23.38,22.06,20.0,18.75,17.88,16.38,13.41,10.75,8.88,7.25,5.03,3.28,2.88,2.81,2.81,2.84,4.09,6.5,8.91,10.53,12.44,14.84,16.06,16.03,15.41,15.59,15.47,14.91,15.12,16.72,19.16,21.38,22.75,24.12,25.0,24.12,21.78,18.75,16.22,13.5,9.62,6.12,4.22,3.09,2.03,1.81,3.06,5.47,7.53,9.59,11.97,15.28,18.5,20.34,22.34,24.56,26.44,26.25,25.97,25.88,25.72,24.5,23.12,22.66,22.59,22.28,20.78,19.62,18.78,18.06,16.59,16.19,17.22,18.56,19.53,20.31,21.19,21.53,19.84,16.97,13.94,11.09,8.25,5.31,3.62,3.53,4.25,4.66,5.53,7.34,9.66,11.22,12.81,15.5,18.62,20.91,22.62,24.12,25.38,26.03,24.78,23.38,22.44,21.25,19.69,18.84,19.16,19.78,19.47,18.69,18.16,17.88,16.62,14.88,13.28,12.34,10.75,8.25,5.69,4.5,4.16,3.03,2.62,3.22,4.25,4.91,6.0,7.91,11.06,13.44,14.34,15.09,15.66,15.97,15.25,15.16,15.41,15.75,14.78,13.44,12.75,11.88,11.03,10.12,9.94,10.34,10.22,9.69,9.41,9.41,9.62,9.16,8.78,8.84,9.72,9.94,10.06,10.31,11.5,12.06,11.72,11.56,11.94,11.41,9.72,8.44,8.38,8.91,9.12,9.59,10.78,12.12,12.41,12.09,12.5,13.34,13.66,13.69,14.91,16.84,18.91,20.22,20.97,22.41,23.47,23.69,23.94,25.03,26.28,26.72,26.56,26.22,25.84,24.56,21.94,18.88,16.69,13.91,11.34,9.69,9.69,11.41,12.94,15.0,17.38,19.78,21.41,21.75,22.12,23.78,24.78,24.78,25.06,25.81,26.28,26.06,25.88,26.16,27.12,27.06,26.5,25.59,24.66,22.69,19.88,16.91,15.06,13.38,11.16,9.81,9.91,10.62,11.53,12.5,14.41,16.59,18.03,19.47,21.0,23.12,24.59,24.88,24.53,25.03,24.81,24.12,23.41,23.44,23.34,22.91,22.12,22.22,22.81,23.03,22.75,22.56,23.06,22.88,22.19,21.22,20.97,20.56,19.56,18.53,18.06,18.47,18.38,18.22,18.53,19.72,20.38,20.69,20.97,21.62,22.28,21.59,20.81,21.31,21.47,20.69,19.62,18.31,17.06,14.94,12.53,10.81,10.44,10.78,11.28,12.53,15.06,17.0,18.06,19.0,20.72,22.75,24.59,26.09,27.88,30.09,32.16,33.56,34.69,36.22,36.88,35.88,34.59,34.38,33.41,32.06,30.25,28.91,27.25,24.97,22.12,20.06,18.09,16.19,14.44,13.25,13.81,15.34,17.03,18.75,21.12,22.69,23.03,60.59,62.84,64.72,65.88,66.62,67.25,67.09,66.66,66.03,65.28,64.66,63.75,62.66,62.47:38.41,38.88,38.31,37.59,37.94,38.69,38.31,37.94,37.94,38.03,37.06,34.53,31.81,29.66,27.5,24.97,23.09,23.19,24.0,24.5,25.34,27.47,30.16,31.78,32.72,34.16,35.47,36.12,36.28,36.09,36.62,36.66,35.16,33.16,32.12,31.44,30.62,30.19,31.28,33.09,34.59,35.75,37.56,39.97,41.5,41.91,41.56,41.78,40.75,38.69,36.56,35.12,34.03,32.56,30.75,29.72,29.09,27.81,25.97,24.78,24.66,25.06,25.44,26.47,28.84,31.19,32.47,32.66,33.84,34.31,33.88,32.97,33.03,33.88,34.19,33.84,33.31,33.84,33.75,32.41,31.19,30.69,29.69,27.78,25.34,24.44,23.91,24.19,24.53,26.16,28.72,30.81,31.56,31.91,32.56,32.88,32.5,32.09,32.97,34.16,34.75,35.0,35.84,36.53,36.34,34.34,32.31,29.84,26.72,23.09,20.34,19.88,20.38,21.56,23.5,26.72,29.78,32.0,33.0,34.53,35.78,36.0,35.16,34.56,34.12,33.5,31.75,29.88,28.56,26.94,24.5,22.03,20.53,20.25,20.25,21.06,23.44,27.03,30.12,31.97,33.06,33.97,34.0,32.94,31.81,32.31,33.56,34.66,35.78,37.97,39.88,40.75,40.47,40.34,40.38,40.56,39.69,38.91,39.03,39.03,38.53,37.69,38.0,38.97,39.62,39.69,40.22,41.16,41.75,41.38,41.56,42.16,42.19,41.0,38.97,36.94,34.88,31.22,27.31,24.28,22.0,20.41,19.22,20.09,22.53,25.72,28.28,30.91,34.19,36.56,36.78,36.56,36.56,36.75,36.31,35.0,34.41,33.41,31.59,28.34,25.03,21.75,18.28,14.22,11.47,11.03,12.81,14.66,17.75,22.12,26.75,30.75,34.06,37.31,39.81,41.0,40.19,38.72,37.38,35.66,33.19,30.75,29.25,28.19,26.31,24.22,22.94,22.22,20.91,19.41,18.66,19.16,20.72,22.19,24.72,28.56,31.97,34.16,35.78,38.0,40.34,41.75,43.16,44.5,45.53,44.78,42.31,39.62,36.69,33.56,29.59,26.97,25.72,25.44,25.22,25.75,26.97,28.66,29.34,29.88,30.72,32.47,34.19,36.0,38.66,42.16,45.56,47.56,48.31,48.66,48.5,46.41,43.72,41.38,39.28,36.78,34.12,32.38,31.78,31.47,30.5,30.22,30.41,31.19,30.53,30.28,30.56,31.22,31.62,31.56,32.09,33.12,33.38,33.16,32.75,33.03,32.75,31.5,31.12,31.69,32.91,33.75,34.75,35.88,36.72,35.72,34.19,32.5,31.78,30.81,30.16,30.22,31.16,32.53,32.88,33.34,33.88,34.06,32.84,31.47,30.16,29.56,28.81,27.75,27.12,27.56,27.44,27.12,26.56,26.41,26.19,25.12,23.97,23.91,24.31,24.41,24.78,25.47,26.5,27.56,27.75,27.81,28.78,29.28,28.97,28.31,28.16,27.38,25.78,24.06,23.72,24.41,25.34,26.41,27.72,29.34,30.12,29.53,28.91,29.09,29.0,28.12,27.53,27.66,28.19,28.12,27.88,28.0,28.62,28.09,26.97,25.78,25.25,24.5,23.38,23.38,24.56,25.97,26.59,26.22,25.75,25.06,24.22,23.28,23.66,24.81,26.0,26.66,27.0,27.91,28.72,28.88,29.03,29.78,30.44,30.25,29.34,28.62,28.47,28.06,27.38,27.91,29.88,31.38,32.28,33.28,34.62,35.09,34.84,34.12,34.72,35.03,35.12,34.56,34.44,34.34,34.12,33.47,32.91,33.47,33.53,33.06,32.84,34.31,36.03,37.28,38.16,38.81,38.78,37.22,34.5,31.88,29.59,26.84,24.12,21.91,21.06,20.12,19.22,18.84,19.84,21.31,22.53,23.5,25.44,27.5,29.0,29.78,30.81,31.66,32.44,31.72,30.47,29.94,29.03,27.25,25.91,25.75,26.41,27.09,27.75,29.25,30.91,31.78,32.03,32.22,32.62,33.38,33.44,34.16,36.09,38.12,39.53,40.16,41.28,41.66,41.16,40.03,39.06,38.19,37.12,35.03,32.94,31.47,30.31,28.56,27.34,27.38,28.41,29.56,30.62,32.44,34.5,35.69,35.91,36.44,37.25,37.94,37.59,37.38,37.44,37.28,36.03,33.88,32.12,30.34,27.88,25.16,23.75,22.84,22.22,21.12,21.12,22.62,25.12,27.69,31.12,35.34,39.38,41.91,43.12,43.97,44.31,43.88,42.06,41.25,40.94,40.09,38.91,38.16,37.81,37.72,36.44,34.5,32.91,31.62,29.41,27.34,26.56,26.81,27.16,26.81,27.06,27.75,28.31,28.22,28.12,28.88,29.84,29.97,29.94,30.88,31.94,32.75,33.0,33.78,34.88,35.78,35.25,34.22,32.91,30.97,27.34,23.72,21.22,19.41,17.53,16.22,15.84,15.88,14.91,13.03,11.5,10.59,9.88,9.47,9.91,11.44,13.28,14.16,15.47,17.5,19.78,20.91,21.66,22.62,24.09,24.88,25.44,26.5,28.12,29.5,29.78,29.56,29.78,29.72,28.22,26.72,25.66,25.16,24.16,22.44,21.03,20.16,19.5,18.44,17.75,18.53,19.69,19.81,20.41,21.84,23.66,23.91,24.25,24.84,26.06,26.69,26.72,27.12,28.44,28.91,28.31,27.66,27.44,27.0,25.28,23.84,23.25,23.03,22.31,21.44,21.06,21.09,20.78,19.97,19.41,19.84,20.41,19.91,19.41,19.72,20.03,19.75,19.75,20.5,21.91,23.12,23.91,24.94,26.16,27.12,26.81,26.34,26.31,25.97,24.25,22.03,20.59,19.34,17.41,15.62,14.88,15.69,16.34,17.22,18.66,21.22,22.84,23.0,22.62,23.0,23.16,22.72,21.78,22.06,22.41,21.38,19.31,17.62,16.78,15.38,14.19,14.0,14.62,15.5,15.25,14.75,14.88,14.97,13.97,12.75,12.31,12.34,12.03,11.56,11.69,12.81,13.59,14.03,14.94,17.03,19.22,20.62,21.69,23.47,24.81,24.56,23.25,22.22,21.81,20.78,19.41,19.34,19.94,19.88,19.44,18.47,18.62,18.09,16.78,15.81,16.38,17.75,19.0,19.84,21.0,21.91,21.72,20.81,20.41,21.22,21.78,22.0,21.81,22.06,21.91,20.81,19.62,19.41,19.81,20.34,20.97,22.81,25.53,27.56,28.09,28.75,29.5,29.62,28.62,27.41,26.41,24.5,21.62,18.16,16.44,15.78,15.84,15.97,17.16,18.53,19.41,18.62,17.66,17.75,17.88,17.91,18.47,20.91,23.75,25.91,27.0,28.41,29.22,28.53,25.97,23.5,21.72,20.44,19.12,18.5,19.0,19.34,18.69,17.84,17.91,18.31,18.88,19.06,20.28,21.91,23.34,23.78,24.28,25.0,25.06,24.31,24.22,25.25,26.31,26.34,25.38,24.38,23.38,22.06,20.0,18.75,17.88,16.38,13.41,10.75,8.88,7.25,5.03,3.28,2.88,2.81,2.81,2.84,4.09,6.5,8.91,10.53,12.44,14.84,16.06,16.03,15.41,15.59,15.47,14.91,15.12,16.72,19.16,21.38,22.75,24.12,25.0,24.12,21.78,18.75,16.22,13.5,9.62,6.12,4.22,3.09,2.03,1.81,3.06,5.47,7.53,9.59,11.97,15.28,18.5,20.34,22.34,24.56,26.44,26.25,25.97,25.88,25.72,24.5,23.12,22.66,22.59,22.28,20.78,19.62,18.78,18.06,16.59,16.19,17.22,18.56,19.53,20.31,21.19,21.53,19.84,16.97,13.94,11.09,8.25,5.31,3.62,3.53,4.25,4.66,5.53,7.34,9.66,11.22,12.81,15.5,18.62,20.91,22.62,24.12,25.38,26.03,24.78,23.38,22.44,21.25,19.69,18.84,19.16,19.78,19.47,18.69,18.16,17.88,16.62,14.88,13.28,12.34,10.75,8.25,5.69,4.5,4.16,3.03,2.62,3.22,4.25,4.91,6.0,7.91,11.06,13.44,14.34,15.09,15.66,15.97,15.25,15.16,15.41,15.75,14.78,13.44,12.75,11.88,11.03,10.12,9.94,10.34,10.22,9.69,9.41,9.41,9.62,9.16,8.78,8.84,9.72,9.94,10.06,10.31,11.5,12.06,11.72,11.56,11.94,11.41,9.72,8.44,8.38,8.91,9.12,9.59,10.78,12.12,12.41,12.09,12.5,13.34,13.66,13.69,14.91,16.84,18.91,20.22,20.97,22.41,23.47,23.69,23.94,25.03,26.28,26.72,26.56,26.22,25.84,24.56,21.94,18.88,16.69,13.91,11.34,9.69,9.69,11.41,12.94,15.0,17.38,19.78,21.41,21.75,22.12,23.78,24.78,24.78,25.06,25.81,26.28,26.06,25.88,26.16,27.12,27.06,26.5,25.59,24.66,22.69,19.88,16.91,15.06,13.38,11.16,9.81,9.91,10.62,11.53,12.5,14.41,16.59,18.03,19.47,21.0,23.12,24.59,24.88,24.53,25.03,24.81,24.12,23.41,23.44,23.34,22.91,22.12,22.22,22.81,23.03,22.75,22.56,23.06,22.88,22.19,21.22,20.97,20.56,19.56,18.53,18.06,18.47,18.38,18.22,18.53,19.72,20.38,20.69,20.97,21.62,22.28,21.59,20.81,21.31,21.47,20.69,19.62,18.31,17.06,14.94,12.53,10.81,10.44,10.78,11.28,12.53,15.06,17.0,18.06,19.0,20.72,22.75,24.59,26.09,27.88,30.09,32.16,33.56,34.69,36.22,36.88,35.88,34.59,34.38,33.41,32.06,30.25,28.91,27.25,24.97,22.12,20.06,18.09,16.19,14.44,13.25,13.81,15.34,17.03,18.75,21.12,22.69,23.03,60.59,62.84,64.72,65.88,66.62,67.25,67.09,66.66,66.03,65.28,64.66,63.75,62.66,62.47,62.22,61.91,61.59,61.69,61.03,60.34,59.25:37.94,37.94,38.03,37.06,34.53,31.81,29.66,27.5,24.97,23.09,23.19,24.0,24.5,25.34,27.47,30.16,31.78,32.72,34.16,35.47,36.12,36.28,36.09,36.62,36.66,35.16,33.16,32.12,31.44,30.62,30.19,31.28,33.09,34.59,35.75,37.56,39.97,41.5,41.91,41.56,41.78,40.75,38.69,36.56,35.12,34.03,32.56,30.75,29.72,29.09,27.81,25.97,24.78,24.66,25.06,25.44,26.47,28.84,31.19,32.47,32.66,33.84,34.31,33.88,32.97,33.03,33.88,34.19,33.84,33.31,33.84,33.75,32.41,31.19,30.69,29.69,27.78,25.34,24.44,23.91,24.19,24.53,26.16,28.72,30.81,31.56,31.91,32.56,32.88,32.5,32.09,32.97,34.16,34.75,35.0,35.84,36.53,36.34,34.34,32.31,29.84,26.72,23.09,20.34,19.88,20.38,21.56,23.5,26.72,29.78,32.0,33.0,34.53,35.78,36.0,35.16,34.56,34.12,33.5,31.75,29.88,28.56,26.94,24.5,22.03,20.53,20.25,20.25,21.06,23.44,27.03,30.12,31.97,33.06,33.97,34.0,32.94,31.81,32.31,33.56,34.66,35.78,37.97,39.88,40.75,40.47,40.34,40.38,40.56,39.69,38.91,39.03,39.03,38.53,37.69,38.0,38.97,39.62,39.69,40.22,41.16,41.75,41.38,41.56,42.16,42.19,41.0,38.97,36.94,34.88,31.22,27.31,24.28,22.0,20.41,19.22,20.09,22.53,25.72,28.28,30.91,34.19,36.56,36.78,36.56,36.56,36.75,36.31,35.0,34.41,33.41,31.59,28.34,25.03,21.75,18.28,14.22,11.47,11.03,12.81,14.66,17.75,22.12,26.75,30.75,34.06,37.31,39.81,41.0,40.19,38.72,37.38,35.66,33.19,30.75,29.25,28.19,26.31,24.22,22.94,22.22,20.91,19.41,18.66,19.16,20.72,22.19,24.72,28.56,31.97,34.16,35.78,38.0,40.34,41.75,43.16,44.5,45.53,44.78,42.31,39.62,36.69,33.56,29.59,26.97,25.72,25.44,25.22,25.75,26.97,28.66,29.34,29.88,30.72,32.47,34.19,36.0,38.66,42.16,45.56,47.56,48.31,48.66,48.5,46.41,43.72,41.38,39.28,36.78,34.12,32.38,31.78,31.47,30.5,30.22,30.41,31.19,30.53,30.28,30.56,31.22,31.62,31.56,32.09,33.12,33.38,33.16,32.75,33.03,32.75,31.5,31.12,31.69,32.91,33.75,34.75,35.88,36.72,35.72,34.19,32.5,31.78,30.81,30.16,30.22,31.16,32.53,32.88,33.34,33.88,34.06,32.84,31.47,30.16,29.56,28.81,27.75,27.12,27.56,27.44,27.12,26.56,26.41,26.19,25.12,23.97,23.91,24.31,24.41,24.78,25.47,26.5,27.56,27.75,27.81,28.78,29.28,28.97,28.31,28.16,27.38,25.78,24.06,23.72,24.41,25.34,26.41,27.72,29.34,30.12,29.53,28.91,29.09,29.0,28.12,27.53,27.66,28.19,28.12,27.88,28.0,28.62,28.09,26.97,25.78,25.25,24.5,23.38,23.38,24.56,25.97,26.59,26.22,25.75,25.06,24.22,23.28,23.66,24.81,26.0,26.66,27.0,27.91,28.72,28.88,29.03,29.78,30.44,30.25,29.34,28.62,28.47,28.06,27.38,27.91,29.88,31.38,32.28,33.28,34.62,35.09,34.84,34.12,34.72,35.03,35.12,34.56,34.44,34.34,34.12,33.47,32.91,33.47,33.53,33.06,32.84,34.31,36.03,37.28,38.16,38.81,38.78,37.22,34.5,31.88,29.59,26.84,24.12,21.91,21.06,20.12,19.22,18.84,19.84,21.31,22.53,23.5,25.44,27.5,29.0,29.78,30.81,31.66,32.44,31.72,30.47,29.94,29.03,27.25,25.91,25.75,26.41,27.09,27.75,29.25,30.91,31.78,32.03,32.22,32.62,33.38,33.44,34.16,36.09,38.12,39.53,40.16,41.28,41.66,41.16,40.03,39.06,38.19,37.12,35.03,32.94,31.47,30.31,28.56,27.34,27.38,28.41,29.56,30.62,32.44,34.5,35.69,35.91,36.44,37.25,37.94,37.59,37.38,37.44,37.28,36.03,33.88,32.12,30.34,27.88,25.16,23.75,22.84,22.22,21.12,21.12,22.62,25.12,27.69,31.12,35.34,39.38,41.91,43.12,43.97,44.31,43.88,42.06,41.25,40.94,40.09,38.91,38.16,37.81,37.72,36.44,34.5,32.91,31.62,29.41,27.34,26.56,26.81,27.16,26.81,27.06,27.75,28.31,28.22,28.12,28.88,29.84,29.97,29.94,30.88,31.94,32.75,33.0,33.78,34.88,35.78,35.25,34.22,32.91,30.97,27.34,23.72,21.22,19.41,17.53,16.22,15.84,15.88,14.91,13.03,11.5,10.59,9.88,9.47,9.91,11.44,13.28,14.16,15.47,17.5,19.78,20.91,21.66,22.62,24.09,24.88,25.44,26.5,28.12,29.5,29.78,29.56,29.78,29.72,28.22,26.72,25.66,25.16,24.16,22.44,21.03,20.16,19.5,18.44,17.75,18.53,19.69,19.81,20.41,21.84,23.66,23.91,24.25,24.84,26.06,26.69,26.72,27.12,28.44,28.91,28.31,27.66,27.44,27.0,25.28,23.84,23.25,23.03,22.31,21.44,21.06,21.09,20.78,19.97,19.41,19.84,20.41,19.91,19.41,19.72,20.03,19.75,19.75,20.5,21.91,23.12,23.91,24.94,26.16,27.12,26.81,26.34,26.31,25.97,24.25,22.03,20.59,19.34,17.41,15.62,14.88,15.69,16.34,17.22,18.66,21.22,22.84,23.0,22.62,23.0,23.16,22.72,21.78,22.06,22.41,21.38,19.31,17.62,16.78,15.38,14.19,14.0,14.62,15.5,15.25,14.75,14.88,14.97,13.97,12.75,12.31,12.34,12.03,11.56,11.69,12.81,13.59,14.03,14.94,17.03,19.22,20.62,21.69,23.47,24.81,24.56,23.25,22.22,21.81,20.78,19.41,19.34,19.94,19.88,19.44,18.47,18.62,18.09,16.78,15.81,16.38,17.75,19.0,19.84,21.0,21.91,21.72,20.81,20.41,21.22,21.78,22.0,21.81,22.06,21.91,20.81,19.62,19.41,19.81,20.34,20.97,22.81,25.53,27.56,28.09,28.75,29.5,29.62,28.62,27.41,26.41,24.5,21.62,18.16,16.44,15.78,15.84,15.97,17.16,18.53,19.41,18.62,17.66,17.75,17.88,17.91,18.47,20.91,23.75,25.91,27.0,28.41,29.22,28.53,25.97,23.5,21.72,20.44,19.12,18.5,19.0,19.34,18.69,17.84,17.91,18.31,18.88,19.06,20.28,21.91,23.34,23.78,24.28,25.0,25.06,24.31,24.22,25.25,26.31,26.34,25.38,24.38,23.38,22.06,20.0,18.75,17.88,16.38,13.41,10.75,8.88,7.25,5.03,3.28,2.88,2.81,2.81,2.84,4.09,6.5,8.91,10.53,12.44,14.84,16.06,16.03,15.41,15.59,15.47,14.91,15.12,16.72,19.16,21.38,22.75,24.12,25.0,24.12,21.78,18.75,16.22,13.5,9.62,6.12,4.22,3.09,2.03,1.81,3.06,5.47,7.53,9.59,11.97,15.28,18.5,20.34,22.34,24.56,26.44,26.25,25.97,25.88,25.72,24.5,23.12,22.66,22.59,22.28,20.78,19.62,18.78,18.06,16.59,16.19,17.22,18.56,19.53,20.31,21.19,21.53,19.84,16.97,13.94,11.09,8.25,5.31,3.62,3.53,4.25,4.66,5.53,7.34,9.66,11.22,12.81,15.5,18.62,20.91,22.62,24.12,25.38,26.03,24.78,23.38,22.44,21.25,19.69,18.84,19.16,19.78,19.47,18.69,18.16,17.88,16.62,14.88,13.28,12.34,10.75,8.25,5.69,4.5,4.16,3.03,2.62,3.22,4.25,4.91,6.0,7.91,11.06,13.44,14.34,15.09,15.66,15.97,15.25,15.16,15.41,15.75,14.78,13.44,12.75,11.88,11.03,10.12,9.94,10.34,10.22,9.69,9.41,9.41,9.62,9.16,8.78,8.84,9.72,9.94,10.06,10.31,11.5,12.06,11.72,11.56,11.94,11.41,9.72,8.44,8.38,8.91,9.12,9.59,10.78,12.12,12.41,12.09,12.5,13.34,13.66,13.69,14.91,16.84,18.91,20.22,20.97,22.41,23.47,23.69,23.94,25.03,26.28,26.72,26.56,26.22,25.84,24.56,21.94,18.88,16.69,13.91,11.34,9.69,9.69,11.41,12.94,15.0,17.38,19.78,21.41,21.75,22.12,23.78,24.78,24.78,25.06,25.81,26.28,26.06,25.88,26.16,27.12,27.06,26.5,25.59,24.66,22.69,19.88,16.91,15.06,13.38,11.16,9.81,9.91,10.62,11.53,12.5,14.41,16.59,18.03,19.47,21.0,23.12,24.59,24.88,24.53,25.03,24.81,24.12,23.41,23.44,23.34,22.91,22.12,22.22,22.81,23.03,22.75,22.56,23.06,22.88,22.19,21.22,20.97,20.56,19.56,18.53,18.06,18.47,18.38,18.22,18.53,19.72,20.38,20.69,20.97,21.62,22.28,21.59,20.81,21.31,21.47,20.69,19.62,18.31,17.06,14.94,12.53,10.81,10.44,10.78,11.28,12.53,15.06,17.0,18.06,19.0,20.72,22.75,24.59,26.09,27.88,30.09,32.16,33.56,34.69,36.22,36.88,35.88,34.59,34.38,33.41,32.06,30.25,28.91,27.25,24.97,22.12,20.06,18.09,16.19,14.44,13.25,13.81,15.34,17.03,18.75,21.12,22.69,23.03,60.59,62.84,64.72,65.88,66.62,67.25,67.09,66.66,66.03,65.28,64.66,63.75,62.66,62.47,62.22,61.91,61.59,61.69,61.03,60.34,59.25,57.91,56.75,55.44,54.28,53.69,54.19,54.97:27.5,24.97,23.09,23.19,24.0,24.5,25.34,27.47,30.16,31.78,32.72,34.16,35.47,36.12,36.28,36.09,36.62,36.66,35.16,33.16,32.12,31.44,30.62,30.19,31.28,33.09,34.59,35.75,37.56,39.97,41.5,41.91,41.56,41.78,40.75,38.69,36.56,35.12,34.03,32.56,30.75,29.72,29.09,27.81,25.97,24.78,24.66,25.06,25.44,26.47,28.84,31.19,32.47,32.66,33.84,34.31,33.88,32.97,33.03,33.88,34.19,33.84,33.31,33.84,33.75,32.41,31.19,30.69,29.69,27.78,25.34,24.44,23.91,24.19,24.53,26.16,28.72,30.81,31.56,31.91,32.56,32.88,32.5,32.09,32.97,34.16,34.75,35.0,35.84,36.53,36.34,34.34,32.31,29.84,26.72,23.09,20.34,19.88,20.38,21.56,23.5,26.72,29.78,32.0,33.0,34.53,35.78,36.0,35.16,34.56,34.12,33.5,31.75,29.88,28.56,26.94,24.5,22.03,20.53,20.25,20.25,21.06,23.44,27.03,30.12,31.97,33.06,33.97,34.0,32.94,31.81,32.31,33.56,34.66,35.78,37.97,39.88,40.75,40.47,40.34,40.38,40.56,39.69,38.91,39.03,39.03,38.53,37.69,38.0,38.97,39.62,39.69,40.22,41.16,41.75,41.38,41.56,42.16,42.19,41.0,38.97,36.94,34.88,31.22,27.31,24.28,22.0,20.41,19.22,20.09,22.53,25.72,28.28,30.91,34.19,36.56,36.78,36.56,36.56,36.75,36.31,35.0,34.41,33.41,31.59,28.34,25.03,21.75,18.28,14.22,11.47,11.03,12.81,14.66,17.75,22.12,26.75,30.75,34.06,37.31,39.81,41.0,40.19,38.72,37.38,35.66,33.19,30.75,29.25,28.19,26.31,24.22,22.94,22.22,20.91,19.41,18.66,19.16,20.72,22.19,24.72,28.56,31.97,34.16,35.78,38.0,40.34,41.75,43.16,44.5,45.53,44.78,42.31,39.62,36.69,33.56,29.59,26.97,25.72,25.44,25.22,25.75,26.97,28.66,29.34,29.88,30.72,32.47,34.19,36.0,38.66,42.16,45.56,47.56,48.31,48.66,48.5,46.41,43.72,41.38,39.28,36.78,34.12,32.38,31.78,31.47,30.5,30.22,30.41,31.19,30.53,30.28,30.56,31.22,31.62,31.56,32.09,33.12,33.38,33.16,32.75,33.03,32.75,31.5,31.12,31.69,32.91,33.75,34.75,35.88,36.72,35.72,34.19,32.5,31.78,30.81,30.16,30.22,31.16,32.53,32.88,33.34,33.88,34.06,32.84,31.47,30.16,29.56,28.81,27.75,27.12,27.56,27.44,27.12,26.56,26.41,26.19,25.12,23.97,23.91,24.31,24.41,24.78,25.47,26.5,27.56,27.75,27.81,28.78,29.28,28.97,28.31,28.16,27.38,25.78,24.06,23.72,24.41,25.34,26.41,27.72,29.34,30.12,29.53,28.91,29.09,29.0,28.12,27.53,27.66,28.19,28.12,27.88,28.0,28.62,28.09,26.97,25.78,25.25,24.5,23.38,23.38,24.56,25.97,26.59,26.22,25.75,25.06,24.22,23.28,23.66,24.81,26.0,26.66,27.0,27.91,28.72,28.88,29.03,29.78,30.44,30.25,29.34,28.62,28.47,28.06,27.38,27.91,29.88,31.38,32.28,33.28,34.62,35.09,34.84,34.12,34.72,35.03,35.12,34.56,34.44,34.34,34.12,33.47,32.91,33.47,33.53,33.06,32.84,34.31,36.03,37.28,38.16,38.81,38.78,37.22,34.5,31.88,29.59,26.84,24.12,21.91,21.06,20.12,19.22,18.84,19.84,21.31,22.53,23.5,25.44,27.5,29.0,29.78,30.81,31.66,32.44,31.72,30.47,29.94,29.03,27.25,25.91,25.75,26.41,27.09,27.75,29.25,30.91,31.78,32.03,32.22,32.62,33.38,33.44,34.16,36.09,38.12,39.53,40.16,41.28,41.66,41.16,40.03,39.06,38.19,37.12,35.03,32.94,31.47,30.31,28.56,27.34,27.38,28.41,29.56,30.62,32.44,34.5,35.69,35.91,36.44,37.25,37.94,37.59,37.38,37.44,37.28,36.03,33.88,32.12,30.34,27.88,25.16,23.75,22.84,22.22,21.12,21.12,22.62,25.12,27.69,31.12,35.34,39.38,41.91,43.12,43.97,44.31,43.88,42.06,41.25,40.94,40.09,38.91,38.16,37.81,37.72,36.44,34.5,32.91,31.62,29.41,27.34,26.56,26.81,27.16,26.81,27.06,27.75,28.31,28.22,28.12,28.88,29.84,29.97,29.94,30.88,31.94,32.75,33.0,33.78,34.88,35.78,35.25,34.22,32.91,30.97,27.34,23.72,21.22,19.41,17.53,16.22,15.84,15.88,14.91,13.03,11.5,10.59,9.88,9.47,9.91,11.44,13.28,14.16,15.47,17.5,19.78,20.91,21.66,22.62,24.09,24.88,25.44,26.5,28.12,29.5,29.78,29.56,29.78,29.72,28.22,26.72,25.66,25.16,24.16,22.44,21.03,20.16,19.5,18.44,17.75,18.53,19.69,19.81,20.41,21.84,23.66,23.91,24.25,24.84,26.06,26.69,26.72,27.12,28.44,28.91,28.31,27.66,27.44,27.0,25.28,23.84,23.25,23.03,22.31,21.44,21.06,21.09,20.78,19.97,19.41,19.84,20.41,19.91,19.41,19.72,20.03,19.75,19.75,20.5,21.91,23.12,23.91,24.94,26.16,27.12,26.81,26.34,26.31,25.97,24.25,22.03,20.59,19.34,17.41,15.62,14.88,15.69,16.34,17.22,18.66,21.22,22.84,23.0,22.62,23.0,23.16,22.72,21.78,22.06,22.41,21.38,19.31,17.62,16.78,15.38,14.19,14.0,14.62,15.5,15.25,14.75,14.88,14.97,13.97,12.75,12.31,12.34,12.03,11.56,11.69,12.81,13.59,14.03,14.94,17.03,19.22,20.62,21.69,23.47,24.81,24.56,23.25,22.22,21.81,20.78,19.41,19.34,19.94,19.88,19.44,18.47,18.62,18.09,16.78,15.81,16.38,17.75,19.0,19.84,21.0,21.91,21.72,20.81,20.41,21.22,21.78,22.0,21.81,22.06,21.91,20.81,19.62,19.41,19.81,20.34,20.97,22.81,25.53,27.56,28.09,28.75,29.5,29.62,28.62,27.41,26.41,24.5,21.62,18.16,16.44,15.78,15.84,15.97,17.16,18.53,19.41,18.62,17.66,17.75,17.88,17.91,18.47,20.91,23.75,25.91,27.0,28.41,29.22,28.53,25.97,23.5,21.72,20.44,19.12,18.5,19.0,19.34,18.69,17.84,17.91,18.31,18.88,19.06,20.28,21.91,23.34,23.78,24.28,25.0,25.06,24.31,24.22,25.25,26.31,26.34,25.38,24.38,23.38,22.06,20.0,18.75,17.88,16.38,13.41,10.75,8.88,7.25,5.03,3.28,2.88,2.81,2.81,2.84,4.09,6.5,8.91,10.53,12.44,14.84,16.06,16.03,15.41,15.59,15.47,14.91,15.12,16.72,19.16,21.38,22.75,24.12,25.0,24.12,21.78,18.75,16.22,13.5,9.62,6.12,4.22,3.09,2.03,1.81,3.06,5.47,7.53,9.59,11.97,15.28,18.5,20.34,22.34,24.56,26.44,26.25,25.97,25.88,25.72,24.5,23.12,22.66,22.59,22.28,20.78,19.62,18.78,18.06,16.59,16.19,17.22,18.56,19.53,20.31,21.19,21.53,19.84,16.97,13.94,11.09,8.25,5.31,3.62,3.53,4.25,4.66,5.53,7.34,9.66,11.22,12.81,15.5,18.62,20.91,22.62,24.12,25.38,26.03,24.78,23.38,22.44,21.25,19.69,18.84,19.16,19.78,19.47,18.69,18.16,17.88,16.62,14.88,13.28,12.34,10.75,8.25,5.69,4.5,4.16,3.03,2.62,3.22,4.25,4.91,6.0,7.91,11.06,13.44,14.34,15.09,15.66,15.97,15.25,15.16,15.41,15.75,14.78,13.44,12.75,11.88,11.03,10.12,9.94,10.34,10.22,9.69,9.41,9.41,9.62,9.16,8.78,8.84,9.72,9.94,10.06,10.31,11.5,12.06,11.72,11.56,11.94,11.41,9.72,8.44,8.38,8.91,9.12,9.59,10.78,12.12,12.41,12.09,12.5,13.34,13.66,13.69,14.91,16.84,18.91,20.22,20.97,22.41,23.47,23.69,23.94,25.03,26.28,26.72,26.56,26.22,25.84,24.56,21.94,18.88,16.69,13.91,11.34,9.69,9.69,11.41,12.94,15.0,17.38,19.78,21.41,21.75,22.12,23.78,24.78,24.78,25.06,25.81,26.28,26.06,25.88,26.16,27.12,27.06,26.5,25.59,24.66,22.69,19.88,16.91,15.06,13.38,11.16,9.81,9.91,10.62,11.53,12.5,14.41,16.59,18.03,19.47,21.0,23.12,24.59,24.88,24.53,25.03,24.81,24.12,23.41,23.44,23.34,22.91,22.12,22.22,22.81,23.03,22.75,22.56,23.06,22.88,22.19,21.22,20.97,20.56,19.56,18.53,18.06,18.47,18.38,18.22,18.53,19.72,20.38,20.69,20.97,21.62,22.28,21.59,20.81,21.31,21.47,20.69,19.62,18.31,17.06,14.94,12.53,10.81,10.44,10.78,11.28,12.53,15.06,17.0,18.06,19.0,20.72,22.75,24.59,26.09,27.88,30.09,32.16,33.56,34.69,36.22,36.88,35.88,34.59,34.38,33.41,32.06,30.25,28.91,27.25,24.97,22.12,20.06,18.09,16.19,14.44,13.25,13.81,15.34,17.03,18.75,21.12,22.69,23.03,60.59,62.84,64.72,65.88,66.62,67.25,67.09,66.66,66.03,65.28,64.66,63.75,62.66,62.47,62.22,61.91,61.59,61.69,61.03,60.34,59.25,57.91,56.75,55.44,54.28,53.69,54.19,54.97,56.22,57.44,58.41,58.72,57.97,56.59,55.28:27.47,30.16,31.78,32.72,34.16,35.47,36.12,36.28,36.09,36.62,36.66,35.16,33.16,32.12,31.44,30.62,30.19,31.28,33.09,34.59,35.75,37.56,39.97,41.5,41.91,41.56,41.78,40.75,38.69,36.56,35.12,34.03,32.56,30.75,29.72,29.09,27.81,25.97,24.78,24.66,25.06,25.44,26.47,28.84,31.19,32.47,32.66,33.84,34.31,33.88,32.97,33.03,33.88,34.19,33.84,33.31,33.84,33.75,32.41,31.19,30.69,29.69,27.78,25.34,24.44,23.91,24.19,24.53,26.16,28.72,30.81,31.56,31.91,32.56,32.88,32.5,32.09,32.97,34.16,34.75,35.0,35.84,36.53,36.34,34.34,32.31,29.84,26.72,23.09,20.34,19.88,20.38,21.56,23.5,26.72,29.78,32.0,33.0,34.53,35.78,36.0,35.16,34.56,34.12,33.5,31.75,29.88,28.56,26.94,24.5,22.03,20.53,20.25,20.25,21.06,23.44,27.03,30.12,31.97,33.06,33.97,34.0,32.94,31.81,32.31,33.56,34.66,35.78,37.97,39.88,40.75,40.47,40.34,40.38,40.56,39.69,38.91,39.03,39.03,38.53,37.69,38.0,38.97,39.62,39.69,40.22,41.16,41.75,41.38,41.56,42.16,42.19,41.0,38.97,36.94,34.88,31.22,27.31,24.28,22.0,20.41,19.22,20.09,22.53,25.72,28.28,30.91,34.19,36.56,36.78,36.56,36.56,36.75,36.31,35.0,34.41,33.41,31.59,28.34,25.03,21.75,18.28,14.22,11.47,11.03,12.81,14.66,17.75,22.12,26.75,30.75,34.06,37.31,39.81,41.0,40.19,38.72,37.38,35.66,33.19,30.75,29.25,28.19,26.31,24.22,22.94,22.22,20.91,19.41,18.66,19.16,20.72,22.19,24.72,28.56,31.97,34.16,35.78,38.0,40.34,41.75,43.16,44.5,45.53,44.78,42.31,39.62,36.69,33.56,29.59,26.97,25.72,25.44,25.22,25.75,26.97,28.66,29.34,29.88,30.72,32.47,34.19,36.0,38.66,42.16,45.56,47.56,48.31,48.66,48.5,46.41,43.72,41.38,39.28,36.78,34.12,32.38,31.78,31.47,30.5,30.22,30.41,31.19,30.53,30.28,30.56,31.22,31.62,31.56,32.09,33.12,33.38,33.16,32.75,33.03,32.75,31.5,31.12,31.69,32.91,33.75,34.75,35.88,36.72,35.72,34.19,32.5,31.78,30.81,30.16,30.22,31.16,32.53,32.88,33.34,33.88,34.06,32.84,31.47,30.16,29.56,28.81,27.75,27.12,27.56,27.44,27.12,26.56,26.41,26.19,25.12,23.97,23.91,24.31,24.41,24.78,25.47,26.5,27.56,27.75,27.81,28.78,29.28,28.97,28.31,28.16,27.38,25.78,24.06,23.72,24.41,25.34,26.41,27.72,29.34,30.12,29.53,28.91,29.09,29.0,28.12,27.53,27.66,28.19,28.12,27.88,28.0,28.62,28.09,26.97,25.78,25.25,24.5,23.38,23.38,24.56,25.97,26.59,26.22,25.75,25.06,24.22,23.28,23.66,24.81,26.0,26.66,27.0,27.91,28.72,28.88,29.03,29.78,30.44,30.25,29.34,28.62,28.47,28.06,27.38,27.91,29.88,31.38,32.28,33.28,34.62,35.09,34.84,34.12,34.72,35.03,35.12,34.56,34.44,34.34,34.12,33.47,32.91,33.47,33.53,33.06,32.84,34.31,36.03,37.28,38.16,38.81,38.78,37.22,34.5,31.88,29.59,26.84,24.12,21.91,21.06,20.12,19.22,18.84,19.84,21.31,22.53,23.5,25.44,27.5,29.0,29.78,30.81,31.66,32.44,31.72,30.47,29.94,29.03,27.25,25.91,25.75,26.41,27.09,27.75,29.25,30.91,31.78,32.03,32.22,32.62,33.38,33.44,34.16,36.09,38.12,39.53,40.16,41.28,41.66,41.16,40.03,39.06,38.19,37.12,35.03,32.94,31.47,30.31,28.56,27.34,27.38,28.41,29.56,30.62,32.44,34.5,35.69,35.91,36.44,37.25,37.94,37.59,37.38,37.44,37.28,36.03,33.88,32.12,30.34,27.88,25.16,23.75,22.84,22.22,21.12,21.12,22.62,25.12,27.69,31.12,35.34,39.38,41.91,43.12,43.97,44.31,43.88,42.06,41.25,40.94,40.09,38.91,38.16,37.81,37.72,36.44,34.5,32.91,31.62,29.41,27.34,26.56,26.81,27.16,26.81,27.06,27.75,28.31,28.22,28.12,28.88,29.84,29.97,29.94,30.88,31.94,32.75,33.0,33.78,34.88,35.78,35.25,34.22,32.91,30.97,27.34,23.72,21.22,19.41,17.53,16.22,15.84,15.88,14.91,13.03,11.5,10.59,9.88,9.47,9.91,11.44,13.28,14.16,15.47,17.5,19.78,20.91,21.66,22.62,24.09,24.88,25.44,26.5,28.12,29.5,29.78,29.56,29.78,29.72,28.22,26.72,25.66,25.16,24.16,22.44,21.03,20.16,19.5,18.44,17.75,18.53,19.69,19.81,20.41,21.84,23.66,23.91,24.25,24.84,26.06,26.69,26.72,27.12,28.44,28.91,28.31,27.66,27.44,27.0,25.28,23.84,23.25,23.03,22.31,21.44,21.06,21.09,20.78,19.97,19.41,19.84,20.41,19.91,19.41,19.72,20.03,19.75,19.75,20.5,21.91,23.12,23.91,24.94,26.16,27.12,26.81,26.34,26.31,25.97,24.25,22.03,20.59,19.34,17.41,15.62,14.88,15.69,16.34,17.22,18.66,21.22,22.84,23.0,22.62,23.0,23.16,22.72,21.78,22.06,22.41,21.38,19.31,17.62,16.78,15.38,14.19,14.0,14.62,15.5,15.25,14.75,14.88,14.97,13.97,12.75,12.31,12.34,12.03,11.56,11.69,12.81,13.59,14.03,14.94,17.03,19.22,20.62,21.69,23.47,24.81,24.56,23.25,22.22,21.81,20.78,19.41,19.34,19.94,19.88,19.44,18.47,18.62,18.09,16.78,15.81,16.38,17.75,19.0,19.84,21.0,21.91,21.72,20.81,20.41,21.22,21.78,22.0,21.81,22.06,21.91,20.81,19.62,19.41,19.81,20.34,20.97,22.81,25.53,27.56,28.09,28.75,29.5,29.62,28.62,27.41,26.41,24.5,21.62,18.16,16.44,15.78,15.84,15.97,17.16,18.53,19.41,18.62,17.66,17.75,17.88,17.91,18.47,20.91,23.75,25.91,27.0,28.41,29.22,28.53,25.97,23.5,21.72,20.44,19.12,18.5,19.0,19.34,18.69,17.84,17.91,18.31,18.88,19.06,20.28,21.91,23.34,23.78,24.28,25.0,25.06,24.31,24.22,25.25,26.31,26.34,25.38,24.38,23.38,22.06,20.0,18.75,17.88,16.38,13.41,10.75,8.88,7.25,5.03,3.28,2.88,2.81,2.81,2.84,4.09,6.5,8.91,10.53,12.44,14.84,16.06,16.03,15.41,15.59,15.47,14.91,15.12,16.72,19.16,21.38,22.75,24.12,25.0,24.12,21.78,18.75,16.22,13.5,9.62,6.12,4.22,3.09,2.03,1.81,3.06,5.47,7.53,9.59,11.97,15.28,18.5,20.34,22.34,24.56,26.44,26.25,25.97,25.88,25.72,24.5,23.12,22.66,22.59,22.28,20.78,19.62,18.78,18.06,16.59,16.19,17.22,18.56,19.53,20.31,21.19,21.53,19.84,16.97,13.94,11.09,8.25,5.31,3.62,3.53,4.25,4.66,5.53,7.34,9.66,11.22,12.81,15.5,18.62,20.91,22.62,24.12,25.38,26.03,24.78,23.38,22.44,21.25,19.69,18.84,19.16,19.78,19.47,18.69,18.16,17.88,16.62,14.88,13.28,12.34,10.75,8.25,5.69,4.5,4.16,3.03,2.62,3.22,4.25,4.91,6.0,7.91,11.06,13.44,14.34,15.09,15.66,15.97,15.25,15.16,15.41,15.75,14.78,13.44,12.75,11.88,11.03,10.12,9.94,10.34,10.22,9.69,9.41,9.41,9.62,9.16,8.78,8.84,9.72,9.94,10.06,10.31,11.5,12.06,11.72,11.56,11.94,11.41,9.72,8.44,8.38,8.91,9.12,9.59,10.78,12.12,12.41,12.09,12.5,13.34,13.66,13.69,14.91,16.84,18.91,20.22,20.97,22.41,23.47,23.69,23.94,25.03,26.28,26.72,26.56,26.22,25.84,24.56,21.94,18.88,16.69,13.91,11.34,9.69,9.69,11.41,12.94,15.0,17.38,19.78,21.41,21.75,22.12,23.78,24.78,24.78,25.06,25.81,26.28,26.06,25.88,26.16,27.12,27.06,26.5,25.59,24.66,22.69,19.88,16.91,15.06,13.38,11.16,9.81,9.91,10.62,11.53,12.5,14.41,16.59,18.03,19.47,21.0,23.12,24.59,24.88,24.53,25.03,24.81,24.12,23.41,23.44,23.34,22.91,22.12,22.22,22.81,23.03,22.75,22.56,23.06,22.88,22.19,21.22,20.97,20.56,19.56,18.53,18.06,18.47,18.38,18.22,18.53,19.72,20.38,20.69,20.97,21.62,22.28,21.59,20.81,21.31,21.47,20.69,19.62,18.31,17.06,14.94,12.53,10.81,10.44,10.78,11.28,12.53,15.06,17.0,18.06,19.0,20.72,22.75,24.59,26.09,27.88,30.09,32.16,33.56,34.69,36.22,36.88,35.88,34.59,34.38,33.41,32.06,30.25,28.91,27.25,24.97,22.12,20.06,18.09,16.19,14.44,13.25,13.81,15.34,17.03,18.75,21.12,22.69,23.03,60.59,62.84,64.72,65.88,66.62,67.25,67.09,66.66,66.03,65.28,64.66,63.75,62.66,62.47,62.22,61.91,61.59,61.69,61.03,60.34,59.25,57.91,56.75,55.44,54.28,53.69,54.19,54.97,56.22,57.44,58.41,58.72,57.97,56.59,55.28,53.84,52.72,51.47,51.06,51.06,51.19,51.5:negativity
21.56,19.31,17.81,17.38,17.69,18.0,19.09,21.81,24.91,27.12,28.94,30.56,31.41,31.19,29.84,29.06,28.81,29.12,29.19,29.66,30.16,30.44,29.38,27.84,27.09,27.25,26.94,27.0,28.03,29.47,30.19,30.06,30.31,31.0,31.97,31.88,31.5,31.62,30.94,29.06,26.66,25.12,24.94,24.19,23.91,24.56,26.0,27.12,27.47,27.81,28.56,29.25,28.81,29.06,30.34,31.69,32.12,32.34,32.31,32.41,32.0,30.66,29.56,29.19,29.62,29.5,30.44,32.25,34.12,34.84,34.69,34.53,33.94,32.69,31.69,31.5,32.53,33.34,32.88,32.16,31.47,30.44,28.69,27.53,27.66,28.12,27.56,27.12,27.12,27.31,26.59,25.97,26.66,28.47,30.0,31.06,31.88,33.31,34.53,34.09,33.44,33.34,33.12,31.81,31.06,31.44,32.56,33.12,33.09,33.09,33.12,33.0,32.12,30.69,30.09,29.72,28.41,26.84,25.81,25.34,24.34,22.97,22.47,23.44,24.12,24.25,24.78,25.59,25.75,24.59,22.81,21.81,20.69,18.72,17.22,16.31,16.31,15.75,15.16,15.25,16.09,16.5,16.28,16.66,17.69,19.16,19.75,20.53,22.25,24.03,24.41,24.56,25.53,26.94,28.0,29.06,30.38,32.28,33.22,32.88,31.97,31.62,31.0,29.66,28.22,28.0,28.28,28.44,28.47,28.84,29.91,29.72,29.44,29.31,30.28,31.19,31.44,31.38,32.0,32.41,31.69,31.22,31.31,31.66,31.41,30.81,30.25,30.38,29.56,28.59,28.22,29.03,29.72,29.88,29.91,30.56,31.19,30.94,30.41,30.91,31.56,31.34,30.78,30.56,31.0,30.91,29.97,28.97,29.19,29.44,29.0,28.66,28.97,29.34,28.19,26.62,26.25,26.97,27.47,28.06,28.97,30.66,31.25,30.84,30.53,31.34,31.62,30.94,30.12,30.06,30.09,30.19,29.78,29.94,30.53,29.94,28.66,27.88,27.75,27.56,27.22,27.28,28.5,29.69,30.03,30.12,31.19,32.03,32.16,31.66,31.94,32.53,32.5,31.81,31.19,31.66,31.38,30.09,29.09,29.22,29.34,28.81,28.22,28.78,30.22,30.69,30.72,31.31,31.72,31.38,30.03,28.94,28.94,28.56,28.41,27.94,28.88,30.06,30.69,31.28,32.66,34.44,35.81,36.06,36.31,36.84,36.78,35.5,34.47,34.72,35.09,34.81,34.12,34.34,34.28,33.34,31.62,30.69,30.69,30.69,30.44,30.78,32.25,33.12,32.22,30.72,29.53,28.06,25.56,23.62,23.47,24.28,25.0,25.62,26.94,28.69,29.41,29.22,29.34,30.03,30.19,29.47,28.56,28.41,28.53,27.5,25.94,25.28,24.91,24.34,23.72,24.47,26.56,28.44,29.97,31.44,33.28,34.5,34.12,32.97,32.03,31.66,30.28,28.53,27.75,27.22,26.25,24.72,23.75,24.0,24.41,24.31,24.66,26.31,27.88,28.91,29.25,30.66,31.47,31.56,30.41,29.66,28.34,26.75,24.44,23.38,23.97,24.47,24.38,24.34,25.06,25.69,26.03,26.62,28.44,30.5,31.28,31.09,31.34,31.22,30.72,28.94,27.69,27.34,27.34,26.88,26.47,26.81,26.91,25.84,24.94,24.53,25.97,27.22,27.84,29.0,30.16,30.38,29.38,28.31,28.12,28.12,27.16,26.44,26.34,26.38,25.59,24.72,24.25,24.16,24.19,23.41,23.06,22.97,23.16,22.19,21.19,21.88,22.72,22.91,23.22,24.0,25.38,26.25,26.91,28.25,30.06,31.44,31.62,31.97,32.69,33.28,32.75,32.03,31.88,30.94,29.03,27.22,25.97,25.69,25.34,24.25,23.34,23.09,22.22,20.44,19.62,19.72,19.94,19.03,18.09,17.66,17.97,17.94,18.28,20.06,22.69,25.0,26.16,27.38,29.09,30.22,30.0,30.16,30.91,31.41,31.06,30.53,30.69,31.44,31.72,31.44,31.44,31.31,29.78,27.28,24.72,23.47,22.12,20.75,20.44,20.94,22.38,22.94,23.88,25.56,28.12,29.81,31.0,31.97,33.19,33.66,32.91,32.59,32.41,31.97,30.62,29.03,28.34,27.81,26.75,25.91,25.75,26.28,26.72,26.66,27.19,28.5,29.69,29.75,29.91,30.59,31.38,30.78,30.19,30.03,30.31,29.38,28.22,27.41,27.16,26.44,24.91,23.75,23.16,22.34,20.44,19.19,18.69,19.19,19.41,21.22,24.59,29.41,33.69,37.34,40.16,42.47,42.94,42.06,41.03,40.78,40.62,39.66,38.69,38.09,37.0,34.72,32.09,29.38,26.94,23.56,20.03,16.84,15.5,15.03,15.78,18.25,22.5,26.75,30.09,32.78,35.0,36.53,36.34,35.03,33.59,32.22,30.78,29.22,28.62,29.34,30.0,30.31,31.03,32.31,33.94,34.69,35.41,36.53,37.91,38.69,38.91,39.0,39.84,40.25,40.78,40.97,41.94,42.31,40.94,38.97,37.53,36.53,35.72,34.97,35.47,36.25,36.25,35.91,35.38,35.12,34.5,33.81,33.19,34.19,35.0,35.16,35.06,34.47,33.66,31.81,29.44,28.09,27.88,27.81,28.16,28.94,30.62,31.34,30.78,29.31,27.91,26.59,24.88,23.69,23.19,23.34,23.22,22.72,22.97,24.03,24.94,25.38,26.28,27.78,29.59,30.78,32.16,34.31,36.09,37.09,37.5,37.28,36.56,34.94,31.94,28.84,26.59,23.94,21.69,20.06,20.47,21.88,23.62,25.22,27.78,29.97,31.19,31.34,31.16,30.97,30.09,28.88,28.47,29.75,31.06,31.88,32.44,33.38,33.88,33.5,32.84,32.81,33.25,32.91,31.62,30.5,29.59,28.5,27.31,26.75,27.62,28.84,29.0,29.0,29.81,30.72,30.78,30.41,30.59,30.41,29.44,27.69,26.22,25.62,24.78,23.69,22.69,22.97,23.25,23.09,23.19,24.28,25.88,26.53,27.03,27.91,29.0,29.56,29.16,28.72,28.62,28.81,28.53,28.84,29.75,30.66,30.22,28.69,27.78,27.41,27.03,27.66,30.0,33.12,36.22,38.22,39.81,40.72,40.34,38.06,34.59,31.78,28.97,25.56,22.75,21.09,20.66,21.16,22.44,25.66,30.06,34.56,37.41,39.22,40.28,39.72,37.78,35.88,34.91,35.12,35.28,35.81,36.81,37.41,36.91,35.09,33.38,32.22,31.41,29.75,27.91,26.78,25.28,22.75,19.94,18.31,17.59,17.09,17.12,18.34,20.56,22.47,23.03,23.53,24.53,25.56,25.56,25.59,26.12,26.28,25.62,24.06,23.19,22.72,22.03,20.84,20.44,20.56,20.12,18.22,16.06,14.12,12.38,10.53,9.19,8.94,10.06,10.88,11.19,12.56,14.91,16.91,18.78,21.56,24.69,27.44,28.69,29.62,30.03,29.91,29.12,28.03,27.97,28.75,29.56,30.12,31.62,33.28,34.12,34.06,33.88,33.91,33.94,33.12,32.28,31.62,30.78,29.0,26.78,25.16,24.16,23.41,22.62,22.84,23.78,25.0,25.31,25.53,26.69,27.97,28.75,29.34,30.28,31.31,30.0,27.94,26.31,25.41,24.47,23.0,22.19,21.84,21.5,20.38,19.78,20.88,22.91,24.28,25.5,27.56,29.97,31.06,31.88,33.16,35.16,37.19,38.44,40.0,41.47,42.38,41.72,40.72,40.09,39.91,39.0,37.78,37.12,36.81,35.56,33.56,31.62,30.56,29.84,29.38,30.34,32.88,35.91,37.59,38.72,39.81,40.72,40.5,40.03,40.12,40.53,39.88,38.75,37.19,36.47,35.41,33.41,31.88,31.09,30.66,29.09,27.47,26.66,25.81,23.91,21.72,20.09,19.69,19.44,19.47,20.5,22.69,25.06,26.53,27.94,30.06,32.06,33.09,34.47,36.62,39.06,40.56,40.84,40.25,39.84,38.06,35.41,32.91,31.41,30.31,28.19,26.38,25.69,25.84,24.59,23.41,23.22,23.88,24.03,24.75,25.88,28.0,29.81,30.56,31.62,33.38,35.16,35.56,35.78,36.28,36.94,36.22,35.34,34.91,34.56,33.78,32.22,31.28,31.5,31.22,30.25,28.84,27.94,27.25,25.44,23.94,23.69,24.34,24.81,24.94,25.88,27.53,28.44,28.38,28.28,29.28,30.19,30.59,30.62,32.53,34.53,35.34,35.44,35.03,34.28,31.81,28.31,25.56,23.88,22.59,21.0,20.22,20.97,21.69,22.0,22.56,24.06,25.72,26.78,27.25,28.16,29.59,30.0,29.78,29.38,29.34,28.84,27.41,25.81,25.41,25.34,24.5,23.53,23.66,23.97,23.09,21.75,20.78,21.06,20.88,20.31,20.56,21.91,23.25,23.53,24.31,25.78,27.03,27.31,27.0,27.38,28.12,27.66,25.97,24.72,23.47,21.31,19.31,18.22,18.78,19.78,20.56,20.78,21.34,21.19,19.97,18.31,18.28,19.56,21.25,22.97,25.31,28.28,30.16,30.91,30.94,31.31,31.22,29.84,28.28,27.84,27.75,26.91,25.66,24.84,23.97,22.25,19.81,17.59,16.56,15.62,14.69,14.25,15.41,17.06,17.94,19.03,21.09,23.28,24.59,25.56,27.06,28.69,29.53,28.81,27.97,27.34,25.84,24.06,22.5,22.38,22.91,22.72,21.94,21.69,21.22,19.94,17.56,16.03,14.69,12.78,10.41,8.41,7.66,7.25,7.09,7.19,8.78,10.72,12.09,12.69,13.94,15.97,16.75,16.94,17.91,19.28,20.31,20.62,20.94,21.94,22.19,21.34,19.53,18.5,17.25,15.84,14.25,13.69,14.38,14.97,15.25,16.5,18.62,20.72,21.69,22.69,24.06,25.53,26.0,25.31,24.78,24.19,22.25,19.03,16.69:21.81,24.91,27.12,28.94,30.56,31.41,31.19,29.84,29.06,28.81,29.12,29.19,29.66,30.16,30.44,29.38,27.84,27.09,27.25,26.94,27.0,28.03,29.47,30.19,30.06,30.31,31.0,31.97,31.88,31.5,31.62,30.94,29.06,26.66,25.12,24.94,24.19,23.91,24.56,26.0,27.12,27.47,27.81,28.56,29.25,28.81,29.06,30.34,31.69,32.12,32.34,32.31,32.41,32.0,30.66,29.56,29.19,29.62,29.5,30.44,32.25,34.12,34.84,34.69,34.53,33.94,32.69,31.69,31.5,32.53,33.34,32.88,32.16,31.47,30.44,28.69,27.53,27.66,28.12,27.56,27.12,27.12,27.31,26.59,25.97,26.66,28.47,30.0,31.06,31.88,33.31,34.53,34.09,33.44,33.34,33.12,31.81,31.06,31.44,32.56,33.12,33.09,33.09,33.12,33.0,32.12,30.69,30.09,29.72,28.41,26.84,25.81,25.34,24.34,22.97,22.47,23.44,24.12,24.25,24.78,25.59,25.75,24.59,22.81,21.81,20.69,18.72,17.22,16.31,16.31,15.75,15.16,15.25,16.09,16.5,16.28,16.66,17.69,19.16,19.75,20.53,22.25,24.03,24.41,24.56,25.53,26.94,28.0,29.06,30.38,32.28,33.22,32.88,31.97,31.62,31.0,29.66,28.22,28.0,28.28,28.44,28.47,28.84,29.91,29.72,29.44,29.31,30.28,31.19,31.44,31.38,32.0,32.41,31.69,31.22,31.31,31.66,31.41,30.81,30.25,30.38,29.56,28.59,28.22,29.03,29.72,29.88,29.91,30.56,31.19,30.94,30.41,30.91,31.56,31.34,30.78,30.56,31.0,30.91,29.97,28.97,29.19,29.44,29.0,28.66,28.97,29.34,28.19,26.62,26.25,26.97,27.47,28.06,28.97,30.66,31.25,30.84,30.53,31.34,31.62,30.94,30.12,30.06,30.09,30.19,29.78,29.94,30.53,29.94,28.66,27.88,27.75,27.56,27.22,27.28,28.5,29.69,30.03,30.12,31.19,32.03,32.16,31.66,31.94,32.53,32.5,31.81,31.19,31.66,31.38,30.09,29.09,29.22,29.34,28.81,28.22,28.78,30.22,30.69,30.72,31.31,31.72,31.38,30.03,28.94,28.94,28.56,28.41,27.94,28.88,30.06,30.69,31.28,32.66,34.44,35.81,36.06,36.31,36.84,36.78,35.5,34.47,34.72,35.09,34.81,34.12,34.34,34.28,33.34,31.62,30.69,30.69,30.69,30.44,30.78,32.25,33.12,32.22,30.72,29.53,28.06,25.56,23.62,23.47,24.28,25.0,25.62,26.94,28.69,29.41,29.22,29.34,30.03,30.19,29.47,28.56,28.41,28.53,27.5,25.94,25.28,24.91,24.34,23.72,24.47,26.56,28.44,29.97,31.44,33.28,34.5,34.12,32.97,32.03,31.66,30.28,28.53,27.75,27.22,26.25,24.72,23.75,24.0,24.41,24.31,24.66,26.31,27.88,28.91,29.25,30.66,31.47,31.56,30.41,29.66,28.34,26.75,24.44,23.38,23.97,24.47,24.38,24.34,25.06,25.69,26.03,26.62,28.44,30.5,31.28,31.09,31.34,31.22,30.72,28.94,27.69,27.34,27.34,26.88,26.47,26.81,26.91,25.84,24.94,24.53,25.97,27.22,27.84,29.0,30.16,30.38,29.38,28.31,28.12,28.12,27.16,26.44,26.34,26.38,25.59,24.72,24.25,24.16,24.19,23.41,23.06,22.97,23.16,22.19,21.19,21.88,22.72,22.91,23.22,24.0,25.38,26.25,26.91,28.25,30.06,31.44,31.62,31.97,32.69,33.28,32.75,32.03,31.88,30.94,29.03,27.22,25.97,25.69,25.34,24.25,23.34,23.09,22.22,20.44,19.62,19.72,19.94,19.03,18.09,17.66,17.97,17.94,18.28,20.06,22.69,25.0,26.16,27.38,29.09,30.22,30.0,30.16,30.91,31.41,31.06,30.53,30.69,31.44,31.72,31.44,31.44,31.31,29.78,27.28,24.72,23.47,22.12,20.75,20.44,20.94,22.38,22.94,23.88,25.56,28.12,29.81,31.0,31.97,33.19,33.66,32.91,32.59,32.41,31.97,30.62,29.03,28.34,27.81,26.75,25.91,25.75,26.28,26.72,26.66,27.19,28.5,29.69,29.75,29.91,30.59,31.38,30.78,30.19,30.03,30.31,29.38,28.22,27.41,27.16,26.44,24.91,23.75,23.16,22.34,20.44,19.19,18.69,19.19,19.41,21.22,24.59,29.41,33.69,37.34,40.16,42.47,42.94,42.06,41.03,40.78,40.62,39.66,38.69,38.09,37.0,34.72,32.09,29.38,26.94,23.56,20.03,16.84,15.5,15.03,15.78,18.25,22.5,26.75,30.09,32.78,35.0,36.53,36.34,35.03,33.59,32.22,30.78,29.22,28.62,29.34,30.0,30.31,31.03,32.31,33.94,34.69,35.41,36.53,37.91,38.69,38.91,39.0,39.84,40.25,40.78,40.97,41.94,42.31,40.94,38.97,37.53,36.53,35.72,34.97,35.47,36.25,36.25,35.91,35.38,35.12,34.5,33.81,33.19,34.19,35.0,35.16,35.06,34.47,33.66,31.81,29.44,28.09,27.88,27.81,28.16,28.94,30.62,31.34,30.78,29.31,27.91,26.59,24.88,23.69,23.19,23.34,23.22,22.72,22.97,24.03,24.94,25.38,26.28,27.78,29.59,30.78,32.16,34.31,36.09,37.09,37.5,37.28,36.56,34.94,31.94,28.84,26.59,23.94,21.69,20.06,20.47,21.88,23.62,25.22,27.78,29.97,31.19,31.34,31.16,30.97,30.09,28.88,28.47,29.75,31.06,31.88,32.44,33.38,33.88,33.5,32.84,32.81,33.25,32.91,31.62,30.5,29.59,28.5,27.31,26.75,27.62,28.84,29.0,29.0,29.81,30.72,30.78,30.41,30.59,30.41,29.44,27.69,26.22,25.62,24.78,23.69,22.69,22.97,23.25,23.09,23.19,24.28,25.88,26.53,27.03,27.91,29.0,29.56,29.16,28.72,28.62,28.81,28.53,28.84,29.75,30.66,30.22,28.69,27.78,27.41,27.03,27.66,30.0,33.12,36.22,38.22,39.81,40.72,40.34,38.06,34.59,31.78,28.97,25.56,22.75,21.09,20.66,21.16,22.44,25.66,30.06,34.56,37.41,39.22,40.28,39.72,37.78,35.88,34.91,35.12,35.28,35.81,36.81,37.41,36.91,35.09,33.38,32.22,31.41,29.75,27.91,26.78,25.28,22.75,19.94,18.31,17.59,17.09,17.12,18.34,20.56,22.47,23.03,23.53,24.53,25.56,25.56,25.59,26.12,26.28,25.62,24.06,23.19,22.72,22.03,20.84,20.44,20.56,20.12,18.22,16.06,14.12,12.38,10.53,9.19,8.94,10.06,10.88,11.19,12.56,14.91,16.91,18.78,21.56,24.69,27.44,28.69,29.62,30.03,29.91,29.12,28.03,27.97,28.75,29.56,30.12,31.62,33.28,34.12,34.06,33.88,33.91,33.94,33.12,32.28,31.62,30.78,29.0,26.78,25.16,24.16,23.41,22.62,22.84,23.78,25.0,25.31,25.53,26.69,27.97,28.75,29.34,30.28,31.31,30.0,27.94,26.31,25.41,24.47,23.0,22.19,21.84,21.5,20.38,19.78,20.88,22.91,24.28,25.5,27.56,29.97,31.06,31.88,33.16,35.16,37.19,38.44,40.0,41.47,42.38,41.72,40.72,40.09,39.91,39.0,37.78,37.12,36.81,35.56,33.56,31.62,30.56,29.84,29.38,30.34,32.88,35.91,37.59,38.72,39.81,40.72,40.5,40.03,40.12,40.53,39.88,38.75,37.19,36.47,35.41,33.41,31.88,31.09,30.66,29.09,27.47,26.66,25.81,23.91,21.72,20.09,19.69,19.44,19.47,20.5,22.69,25.06,26.53,27.94,30.06,32.06,33.09,34.47,36.62,39.06,40.56,40.84,40.25,39.84,38.06,35.41,32.91,31.41,30.31,28.19,26.38,25.69,25.84,24.59,23.41,23.22,23.88,24.03,24.75,25.88,28.0,29.81,30.56,31.62,33.38,35.16,35.56,35.78,36.28,36.94,36.22,35.34,34.91,34.56,33.78,32.22,31.28,31.5,31.22,30.25,28.84,27.94,27.25,25.44,23.94,23.69,24.34,24.81,24.94,25.88,27.53,28.44,28.38,28.28,29.28,30.19,30.59,30.62,32.53,34.53,35.34,35.44,35.03,34.28,31.81,28.31,25.56,23.88,22.59,21.0,20.22,20.97,21.69,22.0,22.56,24.06,25.72,26.78,27.25,28.16,29.59,30.0,29.78,29.38,29.34,28.84,27.41,25.81,25.41,25.34,24.5,23.53,23.66,23.97,23.09,21.75,20.78,21.06,20.88,20.31,20.56,21.91,23.25,23.53,24.31,25.78,27.03,27.31,27.0,27.38,28.12,27.66,25.97,24.72,23.47,21.31,19.31,18.22,18.78,19.78,20.56,20.78,21.34,21.19,19.97,18.31,18.28,19.56,21.25,22.97,25.31,28.28,30.16,30.91,30.94,31.31,31.22,29.84,28.28,27.84,27.75,26.91,25.66,24.84,23.97,22.25,19.81,17.59,16.56,15.62,14.69,14.25,15.41,17.06,17.94,19.03,21.09,23.28,24.59,25.56,27.06,28.69,29.53,28.81,27.97,27.34,25.84,24.06,22.5,22.38,22.91,22.72,21.94,21.69,21.22,19.94,17.56,16.03,14.69,12.78,10.41,8.41,7.66,7.25,7.09,7.19,8.78,10.72,12.09,12.69,13.94,15.97,16.75,16.94,17.91,19.28,20.31,20.62,20.94,21.94,22.19,21.34,19.53,18.5,17.25,15.84,14.25,13.69,14.38,14.97,15.25,16.5,18.62,20.72,21.69,22.69,24.06,25.53,26.0,25.31,24.78,24.19,22.25,19.03,16.69,53.06,51.84,50.75,50.03,50.03,50.44,51.28:29.84,29.06,28.81,29.12,29.19,29.66,30.16,30.44,29.38,27.84,27.09,27.25,26.94,27.0,28.03,29.47,30.19,30.06,30.31,31.0,31.97,31.88,31.5,31.62,30.94,29.06,26.66,25.12,24.94,24.19,23.91,24.56,26.0,27.12,27.47,27.81,28.56,29.25,28.81,29.06,30.34,31.69,32.12,32.34,32.31,32.41,32.0,30.66,29.56,29.19,29.62,29.5,30.44,32.25,34.12,34.84,34.69,34.53,33.94,32.69,31.69,31.5,32.53,33.34,32.88,32.16,31.47,30.44,28.69,27.53,27.66,28.12,27.56,27.12,27.12,27.31,26.59,25.97,26.66,28.47,30.0,31.06,31.88,33.31,34.53,34.09,33.44,33.34,33.12,31.81,31.06,31.44,32.56,33.12,33.09,33.09,33.12,33.0,32.12,30.69,30.09,29.72,28.41,26.84,25.81,25.34,24.34,22.97,22.47,23.44,24.12,24.25,24.78,25.59,25.75,24.59,22.81,21.81,20.69,18.72,17.22,16.31,16.31,15.75,15.16,15.25,16.09,16.5,16.28,16.66,17.69,19.16,19.75,20.53,22.25,24.03,24.41,24.56,25.53,26.94,28.0,29.06,30.38,32.28,33.22,32.88,31.97,31.62,31.0,29.66,28.22,28.0,28.28,28.44,28.47,28.84,29.91,29.72,29.44,29.31,30.28,31.19,31.44,31.38,32.0,32.41,31.69,31.22,31.31,31.66,31.41,30.81,30.25,30.38,29.56,28.59,28.22,29.03,29.72,29.88,29.91,30.56,31.19,30.94,30.41,30.91,31.56,31.34,30.78,30.56,31.0,30.91,29.97,28.97,29.19,29.44,29.0,28.66,28.97,29.34,28.19,26.62,26.25,26.97,27.47,28.06,28.97,30.66,31.25,30.84,30.53,31.34,31.62,30.94,30.12,30.06,30.09,30.19,29.78,29.94,30.53,29.94,28.66,27.88,27.75,27.56,27.22,27.28,28.5,29.69,30.03,30.12,31.19,32.03,32.16,31.66,31.94,32.53,32.5,31.81,31.19,31.66,31.38,30.09,29.09,29.22,29.34,28.81,28.22,28.78,30.22,30.69,30.72,31.31,31.72,31.38,30.03,28.94,28.94,28.56,28.41,27.94,28.88,30.06,30.69,31.28,32.66,34.44,35.81,36.06,36.31,36.84,36.78,35.5,34.47,34.72,35.09,34.81,34.12,34.34,34.28,33.34,31.62,30.69,30.69,30.69,30.44,30.78,32.25,33.12,32.22,30.72,29.53,28.06,25.56,23.62,23.47,24.28,25.0,25.62,26.94,28.69,29.41,29.22,29.34,30.03,30.19,29.47,28.56,28.41,28.53,27.5,25.94,25.28,24.91,24.34,23.72,24.47,26.56,28.44,29.97,31.44,33.28,34.5,34.12,32.97,32.03,31.66,30.28,28.53,27.75,27.22,26.25,24.72,23.75,24.0,24.41,24.31,24.66,26.31,27.88,28.91,29.25,30.66,31.47,31.56,30.41,29.66,28.34,26.75,24.44,23.38,23.97,24.47,24.38,24.34,25.06,25.69,26.03,26.62,28.44,30.5,31.28,31.09,31.34,31.22,30.72,28.94,27.69,27.34,27.34,26.88,26.47,26.81,26.91,25.84,24.94,24.53,25.97,27.22,27.84,29.0,30.16,30.38,29.38,28.31,28.12,28.12,27.16,26.44,26.34,26.38,25.59,24.72,24.25,24.16,24.19,23.41,23.06,22.97,23.16,22.19,21.19,21.88,22.72,22.91,23.22,24.0,25.38,26.25,26.91,28.25,30.06,31.44,31.62,31.97,32.69,33.28,32.75,32.03,31.88,30.94,29.03,27.22,25.97,25.69,25.34,24.25,23.34,23.09,22.22,20.44,19.62,19.72,19.94,19.03,18.09,17.66,17.97,17.94,18.28,20.06,22.69,25.0,26.16,27.38,29.09,30.22,30.0,30.16,30.91,31.41,31.06,30.53,30.69,31.44,31.72,31.44,31.44,31.31,29.78,27.28,24.72,23.47,22.12,20.75,20.44,20.94,22.38,22.94,23.88,25.56,28.12,29.81,31.0,31.97,33.19,33.66,32.91,32.59,32.41,31.97,30.62,29.03,28.34,27.81,26.75,25.91,25.75,26.28,26.72,26.66,27.19,28.5,29.69,29.75,29.91,30.59,31.38,30.78,30.19,30.03,30.31,29.38,28.22,27.41,27.16,26.44,24.91,23.75,23.16,22.34,20.44,19.19,18.69,19.19,19.41,21.22,24.59,29.41,33.69,37.34,40.16,42.47,42.94,42.06,41.03,40.78,40.62,39.66,38.69,38.09,37.0,34.72,32.09,29.38,26.94,23.56,20.03,16.84,15.5,15.03,15.78,18.25,22.5,26.75,30.09,32.78,35.0,36.53,36.34,35.03,33.59,32.22,30.78,29.22,28.62,29.34,30.0,30.31,31.03,32.31,33.94,34.69,35.41,36.53,37.91,38.69,38.91,39.0,39.84,40.25,40.78,40.97,41.94,42.31,40.94,38.97,37.53,36.53,35.72,34.97,35.47,36.25,36.25,35.91,35.38,35.12,34.5,33.81,33.19,34.19,35.0,35.16,35.06,34.47,33.66,31.81,29.44,28.09,27.88,27.81,28.16,28.94,30.62,31.34,30.78,29.31,27.91,26.59,24.88,23.69,23.19,23.34,23.22,22.72,22.97,24.03,24.94,25.38,26.28,27.78,29.59,30.78,32.16,34.31,36.09,37.09,37.5,37.28,36.56,34.94,31.94,28.84,26.59,23.94,21.69,20.06,20.47,21.88,23.62,25.22,27.78,29.97,31.19,31.34,31.16,30.97,30.09,28.88,28.47,29.75,31.06,31.88,32.44,33.38,33.88,33.5,32.84,32.81,33.25,32.91,31.62,30.5,29.59,28.5,27.31,26.75,27.62,28.84,29.0,29.0,29.81,30.72,30.78,30.41,30.59,30.41,29.44,27.69,26.22,25.62,24.78,23.69,22.69,22.97,23.25,23.09,23.19,24.28,25.88,26.53,27.03,27.91,29.0,29.56,29.16,28.72,28.62,28.81,28.53,28.84,29.75,30.66,30.22,28.69,27.78,27.41,27.03,27.66,30.0,33.12,36.22,38.22,39.81,40.72,40.34,38.06,34.59,31.78,28.97,25.56,22.75,21.09,20.66,21.16,22.44,25.66,30.06,34.56,37.41,39.22,40.28,39.72,37.78,35.88,34.91,35.12,35.28,35.81,36.81,37.41,36.91,35.09,33.38,32.22,31.41,29.75,27.91,26.78,25.28,22.75,19.94,18.31,17.59,17.09,17.12,18.34,20.56,22.47,23.03,23.53,24.53,25.56,25.56,25.59,26.12,26.28,25.62,24.06,23.19,22.72,22.03,20.84,20.44,20.56,20.12,18.22,16.06,14.12,12.38,10.53,9.19,8.94,10.06,10.88,11.19,12.56,14.91,16.91,18.78,21.56,24.69,27.44,28.69,29.62,30.03,29.91,29.12,28.03,27.97,28.75,29.56,30.12,31.62,33.28,34.12,34.06,33.88,33.91,33.94,33.12,32.28,31.62,30.78,29.0,26.78,25.16,24.16,23.41,22.62,22.84,23.78,25.0,25.31,25.53,26.69,27.97,28.75,29.34,30.28,31.31,30.0,27.94,26.31,25.41,24.47,23.0,22.19,21.84,21.5,20.38,19.78,20.88,22.91,24.28,25.5,27.56,29.97,31.06,31.88,33.16,35.16,37.19,38.44,40.0,41.47,42.38,41.72,40.72,40.09,39.91,39.0,37.78,37.12,36.81,35.56,33.56,31.62,30.56,29.84,29.38,30.34,32.88,35.91,37.59,38.72,39.81,40.72,40.5,40.03,40.12,40.53,39.88,38.75,37.19,36.47,35.41,33.41,31.88,31.09,30.66,29.09,27.47,26.66,25.81,23.91,21.72,20.09,19.69,19.44,19.47,20.5,22.69,25.06,26.53,27.94,30.06,32.06,33.09,34.47,36.62,39.06,40.56,40.84,40.25,39.84,38.06,35.41,32.91,31.41,30.31,28.19,26.38,25.69,25.84,24.59,23.41,23.22,23.88,24.03,24.75,25.88,28.0,29.81,30.56,31.62,33.38,35.16,35.56,35.78,36.28,36.94,36.22,35.34,34.91,34.56,33.78,32.22,31.28,31.5,31.22,30.25,28.84,27.94,27.25,25.44,23.94,23.69,24.34,24.81,24.94,25.88,27.53,28.44,28.38,28.28,29.28,30.19,30.59,30.62,32.53,34.53,35.34,35.44,35.03,34.28,31.81,28.31,25.56,23.88,22.59,21.0,20.22,20.97,21.69,22.0,22.56,24.06,25.72,26.78,27.25,28.16,29.59,30.0,29.78,29.38,29.34,28.84,27.41,25.81,25.41,25.34,24.5,23.53,23.66,23.97,23.09,21.75,20.78,21.06,20.88,20.31,20.56,21.91,23.25,23.53,24.31,25.78,27.03,27.31,27.0,27.38,28.12,27.66,25.97,24.72,23.47,21.31,19.31,18.22,18.78,19.78,20.56,20.78,21.34,21.19,19.97,18.31,18.28,19.56,21.25,22.97,25.31,28.28,30.16,30.91,30.94,31.31,31.22,29.84,28.28,27.84,27.75,26.91,25.66,24.84,23.97,22.25,19.81,17.59,16.56,15.62,14.69,14.25,15.41,17.06,17.94,19.03,21.09,23.28,24.59,25.56,27.06,28.69,29.53,28.81,27.97,27.34,25.84,24.06,22.5,22.38,22.91,22.72,21.94,21.69,21.22,19.94,17.56,16.03,14.69,12.78,10.41,8.41,7.66,7.25,7.09,7.19,8.78,10.72,12.09,12.69,13.94,15.97,16.75,16.94,17.91,19.28,20.31,20.62,20.94,21.94,22.19,21.34,19.53,18.5,17.25,15.84,14.25,13.69,14.38,14.97,15.25,16.5,18.62,20.72,21.69,22.69,24.06,25.53,26.0,25.31,24.78,24.19,22.25,19.03,16.69,53.06,51.84,50.75,50.03,50.03,50.44,51.28,52.34,53.81,55.19,55.78,55.78,55.41,54.84:30.44,29.38,27.84,27.09,27.25,26.94,27.0,28.03,29.47,30.19,30.06,30.31,31.0,31.97,31.88,31.5,31.62,30.94,29.06,26.66,25.12,24.94,24.19,23.91,24.56,26.0,27.12,27.47,27.81,28.56,29.25,28.81,29.06,30.34,31.69,32.12,32.34,32.31,32.41,32.0,30.66,29.56,29.19,29.62,29.5,30.44,32.25,34.12,34.84,34.69,34.53,33.94,32.69,31.69,31.5,32.53,33.34,32.88,32.16,31.47,30.44,28.69,27.53,27.66,28.12,27.56,27.12,27.12,27.31,26.59,25.97,26.66,28.47,30.0,31.06,31.88,33.31,34.53,34.09,33.44,33.34,33.12,31.81,31.06,31.44,32.56,33.12,33.09,33.09,33.12,33.0,32.12,30.69,30.09,29.72,28.41,26.84,25.81,25.34,24.34,22.97,22.47,23.44,24.12,24.25,24.78,25.59,25.75,24.59,22.81,21.81,20.69,18.72,17.22,16.31,16.31,15.75,15.16,15.25,16.09,16.5,16.28,16.66,17.69,19.16,19.75,20.53,22.25,24.03,24.41,24.56,25.53,26.94,28.0,29.06,30.38,32.28,33.22,32.88,31.97,31.62,31.0,29.66,28.22,28.0,28.28,28.44,28.47,28.84,29.91,29.72,29.44,29.31,30.28,31.19,31.44,31.38,32.0,32.41,31.69,31.22,31.31,31.66,31.41,30.81,30.25,30.38,29.56,28.59,28.22,29.03,29.72,29.88,29.91,30.56,31.19,30.94,30.41,30.91,31.56,31.34,30.78,30.56,31.0,30.91,29.97,28.97,29.19,29.44,29.0,28.66,28.97,29.34,28.19,26.62,26.25,26.97,27.47,28.06,28.97,30.66,31.25,30.84,30.53,31.34,31.62,30.94,30.12,30.06,30.09,30.19,29.78,29.94,30.53,29.94,28.66,27.88,27.75,27.56,27.22,27.28,28.5,29.69,30.03,30.12,31.19,32.03,32.16,31.66,31.94,32.53,32.5,31.81,31.19,31.66,31.38,30.09,29.09,29.22,29.34,28.81,28.22,28.78,30.22,30.69,30.72,31.31,31.72,31.38,30.03,28.94,28.94,28.56,28.41,27.94,28.88,30.06,30.69,31.28,32.66,34.44,35.81,36.06,36.31,36.84,36.78,35.5,34.47,34.72,35.09,34.81,34.12,34.34,34.28,33.34,31.62,30.69,30.69,30.69,30.44,30.78,32.25,33.12,32.22,30.72,29.53,28.06,25.56,23.62,23.47,24.28,25.0,25.62,26.94,28.69,29.41,29.22,29.34,30.03,30.19,29.47,28.56,28.41,28.53,27.5,25.94,25.28,24.91,24.34,23.72,24.47,26.56,28.44,29.97,31.44,33.28,34.5,34.12,32.97,32.03,31.66,30.28,28.53,27.75,27.22,26.25,24.72,23.75,24.0,24.41,24.31,24.66,26.31,27.88,28.91,29.25,30.66,31.47,31.56,30.41,29.66,28.34,26.75,24.44,23.38,23.97,24.47,24.38,24.34,25.06,25.69,26.03,26.62,28.44,30.5,31.28,31.09,31.34,31.22,30.72,28.94,27.69,27.34,27.34,26.88,26.47,26.81,26.91,25.84,24.94,24.53,25.97,27.22,27.84,29.0,30.16,30.38,29.38,28.31,28.12,28.12,27.16,26.44,26.34,26.38,25.59,24.72,24.25,24.16,24.19,23.41,23.06,22.97,23.16,22.19,21.19,21.88,22.72,22.91,23.22,24.0,25.38,26.25,26.91,28.25,30.06,31.44,31.62,31.97,32.69,33.28,32.75,32.03,31.88,30.94,29.03,27.22,25.97,25.69,25.34,24.25,23.34,23.09,22.22,20.44,19.62,19.72,19.94,19.03,18.09,17.66,17.97,17.94,18.28,20.06,22.69,25.0,26.16,27.38,29.09,30.22,30.0,30.16,30.91,31.41,31.06,30.53,30.69,31.44,31.72,31.44,31.44,31.31,29.78,27.28,24.72,23.47,22.12,20.75,20.44,20.94,22.38,22.94,23.88,25.56,28.12,29.81,31.0,31.97,33.19,33.66,32.91,32.59,32.41,31.97,30.62,29.03,28.34,27.81,26.75,25.91,25.75,26.28,26.72,26.66,27.19,28.5,29.69,29.75,29.91,30.59,31.38,30.78,30.19,30.03,30.31,29.38,28.22,27.41,27.16,26.44,24.91,23.75,23.16,22.34,20.44,19.19,18.69,19.19,19.41,21.22,24.59,29.41,33.69,37.34,40.16,42.47,42.94,42.06,41.03,40.78,40.62,39.66,38.69,38.09,37.0,34.72,32.09,29.38,26.94,23.56,20.03,16.84,15.5,15.03,15.78,18.25,22.5,26.75,30.09,32.78,35.0,36.53,36.34,35.03,33.59,32.22,30.78,29.22,28.62,29.34,30.0,30.31,31.03,32.31,33.94,34.69,35.41,36.53,37.91,38.69,38.91,39.0,39.84,40.25,40.78,40.97,41.94,42.31,40.94,38.97,37.53,36.53,35.72,34.97,35.47,36.25,36.25,35.91,35.38,35.12,34.5,33.81,33.19,34.19,35.0,35.16,35.06,34.47,33.66,31.81,29.44,28.09,27.88,27.81,28.16,28.94,30.62,31.34,30.78,29.31,27.91,26.59,24.88,23.69,23.19,23.34,23.22,22.72,22.97,24.03,24.94,25.38,26.28,27.78,29.59,30.78,32.16,34.31,36.09,37.09,37.5,37.28,36.56,34.94,31.94,28.84,26.59,23.94,21.69,20.06,20.47,21.88,23.62,25.22,27.78,29.97,31.19,31.34,31.16,30.97,30.09,28.88,28.47,29.75,31.06,31.88,32.44,33.38,33.88,33.5,32.84,32.81,33.25,32.91,31.62,30.5,29.59,28.5,27.31,26.75,27.62,28.84,29.0,29.0,29.81,30.72,30.78,30.41,30.59,30.41,29.44,27.69,26.22,25.62,24.78,23.69,22.69,22.97,23.25,23.09,23.19,24.28,25.88,26.53,27.03,27.91,29.0,29.56,29.16,28.72,28.62,28.81,28.53,28.84,29.75,30.66,30.22,28.69,27.78,27.41,27.03,27.66,30.0,33.12,36.22,38.22,39.81,40.72,40.34,38.06,34.59,31.78,28.97,25.56,22.75,21.09,20.66,21.16,22.44,25.66,30.06,34.56,37.41,39.22,40.28,39.72,37.78,35.88,34.91,35.12,35.28,35.81,36.81,37.41,36.91,35.09,33.38,32.22,31.41,29.75,27.91,26.78,25.28,22.75,19.94,18.31,17.59,17.09,17.12,18.34,20.56,22.47,23.03,23.53,24.53,25.56,25.56,25.59,26.12,26.28,25.62,24.06,23.19,22.72,22.03,20.84,20.44,20.56,20.12,18.22,16.06,14.12,12.38,10.53,9.19,8.94,10.06,10.88,11.19,12.56,14.91,16.91,18.78,21.56,24.69,27.44,28.69,29.62,30.03,29.91,29.12,28.03,27.97,28.75,29.56,30.12,31.62,33.28,34.12,34.06,33.88,33.91,33.94,33.12,32.28,31.62,30.78,29.0,26.78,25.16,24.16,23.41,22.62,22.84,23.78,25.0,25.31,25.53,26.69,27.97,28.75,29.34,30.28,31.31,30.0,27.94,26.31,25.41,24.47,23.0,22.19,21.84,21.5,20.38,19.78,20.88,22.91,24.28,25.5,27.56,29.97,31.06,31.88,33.16,35.16,37.19,38.44,40.0,41.47,42.38,41.72,40.72,40.09,39.91,39.0,37.78,37.12,36.81,35.56,33.56,31.62,30.56,29.84,29.38,30.34,32.88,35.91,37.59,38.72,39.81,40.72,40.5,40.03,40.12,40.53,39.88,38.75,37.19,36.47,35.41,33.41,31.88,31.09,30.66,29.09,27.47,26.66,25.81,23.91,21.72,20.09,19.69,19.44,19.47,20.5,22.69,25.06,26.53,27.94,30.06,32.06,33.09,34.47,36.62,39.06,40.56,40.84,40.25,39.84,38.06,35.41,32.91,31.41,30.31,28.19,26.38,25.69,25.84,24.59,23.41,23.22,23.88,24.03,24.75,25.88,28.0,29.81,30.56,31.62,33.38,35.16,35.56,35.78,36.28,36.94,36.22,35.34,34.91,34.56,33.78,32.22,31.28,31.5,31.22,30.25,28.84,27.94,27.25,25.44,23.94,23.69,24.34,24.81,24.94,25.88,27.53,28.44,28.38,28.28,29.28,30.19,30.59,30.62,32.53,34.53,35.34,35.44,35.03,34.28,31.81,28.31,25.56,23.88,22.59,21.0,20.22,20.97,21.69,22.0,22.56,24.06,25.72,26.78,27.25,28.16,29.59,30.0,29.78,29.38,29.34,28.84,27.41,25.81,25.41,25.34,24.5,23.53,23.66,23.97,23.09,21.75,20.78,21.06,20.88,20.31,20.56,21.91,23.25,23.53,24.31,25.78,27.03,27.31,27.0,27.38,28.12,27.66,25.97,24.72,23.47,21.31,19.31,18.22,18.78,19.78,20.56,20.78,21.34,21.19,19.97,18.31,18.28,19.56,21.25,22.97,25.31,28.28,30.16,30.91,30.94,31.31,31.22,29.84,28.28,27.84,27.75,26.91,25.66,24.84,23.97,22.25,19.81,17.59,16.56,15.62,14.69,14.25,15.41,17.06,17.94,19.03,21.09,23.28,24.59,25.56,27.06,28.69,29.53,28.81,27.97,27.34,25.84,24.06,22.5,22.38,22.91,22.72,21.94,21.69,21.22,19.94,17.56,16.03,14.69,12.78,10.41,8.41,7.66,7.25,7.09,7.19,8.78,10.72,12.09,12.69,13.94,15.97,16.75,16.94,17.91,19.28,20.31,20.62,20.94,21.94,22.19,21.34,19.53,18.5,17.25,15.84,14.25,13.69,14.38,14.97,15.25,16.5,18.62,20.72,21.69,22.69,24.06,25.53,26.0,25.31,24.78,24.19,22.25,19.03,16.69,53.06,51.84,50.75,50.03,50.03,50.44,51.28,52.34,53.81,55.19,55.78,55.78,55.41,54.84,53.81,53.38,53.38,54.09,55.16,56.34,57.12:28.03,29.47,30.19,30.06,30.31,31.0,31.97,31.88,31.5,31.62,30.94,29.06,26.66,25.12,24.94,24.19,23.91,24.56,26.0,27.12,27.47,27.81,28.56,29.25,28.81,29.06,30.34,31.69,32.12,32.34,32.31,32.41,32.0,30.66,29.56,29.19,29.62,29.5,30.44,32.25,34.12,34.84,34.69,34.53,33.94,32.69,31.69,31.5,32.53,33.34,32.88,32.16,31.47,30.44,28.69,27.53,27.66,28.12,27.56,27.12,27.12,27.31,26.59,25.97,26.66,28.47,30.0,31.06,31.88,33.31,34.53,34.09,33.44,33.34,33.12,31.81,31.06,31.44,32.56,33.12,33.09,33.09,33.12,33.0,32.12,30.69,30.09,29.72,28.41,26.84,25.81,25.34,24.34,22.97,22.47,23.44,24.12,24.25,24.78,25.59,25.75,24.59,22.81,21.81,20.69,18.72,17.22,16.31,16.31,15.75,15.16,15.25,16.09,16.5,16.28,16.66,17.69,19.16,19.75,20.53,22.25,24.03,24.41,24.56,25.53,26.94,28.0,29.06,30.38,32.28,33.22,32.88,31.97,31.62,31.0,29.66,28.22,28.0,28.28,28.44,28.47,28.84,29.91,29.72,29.44,29.31,30.28,31.19,31.44,31.38,32.0,32.41,31.69,31.22,31.31,31.66,31.41,30.81,30.25,30.38,29.56,28.59,28.22,29.03,29.72,29.88,29.91,30.56,31.19,30.94,30.41,30.91,31.56,31.34,30.78,30.56,31.0,30.91,29.97,28.97,29.19,29.44,29.0,28.66,28.97,29.34,28.19,26.62,26.25,26.97,27.47,28.06,28.97,30.66,31.25,30.84,30.53,31.34,31.62,30.94,30.12,30.06,30.09,30.19,29.78,29.94,30.53,29.94,28.66,27.88,27.75,27.56,27.22,27.28,28.5,29.69,30.03,30.12,31.19,32.03,32.16,31.66,31.94,32.53,32.5,31.81,31.19,31.66,31.38,30.09,29.09,29.22,29.34,28.81,28.22,28.78,30.22,30.69,30.72,31.31,31.72,31.38,30.03,28.94,28.94,28.56,28.41,27.94,28.88,30.06,30.69,31.28,32.66,34.44,35.81,36.06,36.31,36.84,36.78,35.5,34.47,34.72,35.09,34.81,34.12,34.34,34.28,33.34,31.62,30.69,30.69,30.69,30.44,30.78,32.25,33.12,32.22,30.72,29.53,28.06,25.56,23.62,23.47,24.28,25.0,25.62,26.94,28.69,29.41,29.22,29.34,30.03,30.19,29.47,28.56,28.41,28.53,27.5,25.94,25.28,24.91,24.34,23.72,24.47,26.56,28.44,29.97,31.44,33.28,34.5,34.12,32.97,32.03,31.66,30.28,28.53,27.75,27.22,26.25,24.72,23.75,24.0,24.41,24.31,24.66,26.31,27.88,28.91,29.25,30.66,31.47,31.56,30.41,29.66,28.34,26.75,24.44,23.38,23.97,24.47,24.38,24.34,25.06,25.69,26.03,26.62,28.44,30.5,31.28,31.09,31.34,31.22,30.72,28.94,27.69,27.34,27.34,26.88,26.47,26.81,26.91,25.84,24.94,24.53,25.97,27.22,27.84,29.0,30.16,30.38,29.38,28.31,28.12,28.12,27.16,26.44,26.34,26.38,25.59,24.72,24.25,24.16,24.19,23.41,23.06,22.97,23.16,22.19,21.19,21.88,22.72,22.91,23.22,24.0,25.38,26.25,26.91,28.25,30.06,31.44,31.62,31.97,32.69,33.28,32.75,32.03,31.88,30.94,29.03,27.22,25.97,25.69,25.34,24.25,23.34,23.09,22.22,20.44,19.62,19.72,19.94,19.03,18.09,17.66,17.97,17.94,18.28,20.06,22.69,25.0,26.16,27.38,29.09,30.22,30.0,30.16,30.91,31.41,31.06,30.53,30.69,31.44,31.72,31.44,31.44,31.31,29.78,27.28,24.72,23.47,22.12,20.75,20.44,20.94,22.38,22.94,23.88,25.56,28.12,29.81,31.0,31.97,33.19,33.66,32.91,32.59,32.41,31.97,30.62,29.03,28.34,27.81,26.75,25.91,25.75,26.28,26.72,26.66,27.19,28.5,29.69,29.75,29.91,30.59,31.38,30.78,30.19,30.03,30.31,29.38,28.22,27.41,27.16,26.44,24.91,23.75,23.16,22.34,20.44,19.19,18.69,19.19,19.41,21.22,24.59,29.41,33.69,37.34,40.16,42.47,42.94,42.06,41.03,40.78,40.62,39.66,38.69,38.09,37.0,34.72,32.09,29.38,26.94,23.56,20.03,16.84,15.5,15.03,15.78,18.25,22.5,26.75,30.09,32.78,35.0,36.53,36.34,35.03,33.59,32.22,30.78,29.22,28.62,29.34,30.0,30.31,31.03,32.31,33.94,34.69,35.41,36.53,37.91,38.69,38.91,39.0,39.84,40.25,40.78,40.97,41.94,42.31,40.94,38.97,37.53,36.53,35.72,34.97,35.47,36.25,36.25,35.91,35.38,35.12,34.5,33.81,33.19,34.19,35.0,35.16,35.06,34.47,33.66,31.81,29.44,28.09,27.88,27.81,28.16,28.94,30.62,31.34,30.78,29.31,27.91,26.59,24.88,23.69,23.19,23.34,23.22,22.72,22.97,24.03,24.94,25.38,26.28,27.78,29.59,30.78,32.16,34.31,36.09,37.09,37.5,37.28,36.56,34.94,31.94,28.84,26.59,23.94,21.69,20.06,20.47,21.88,23.62,25.22,27.78,29.97,31.19,31.34,31.16,30.97,30.09,28.88,28.47,29.75,31.06,31.88,32.44,33.38,33.88,33.5,32.84,32.81,33.25,32.91,31.62,30.5,29.59,28.5,27.31,26.75,27.62,28.84,29.0,29.0,29.81,30.72,30.78,30.41,30.59,30.41,29.44,27.69,26.22,25.62,24.78,23.69,22.69,22.97,23.25,23.09,23.19,24.28,25.88,26.53,27.03,27.91,29.0,29.56,29.16,28.72,28.62,28.81,28.53,28.84,29.75,30.66,30.22,28.69,27.78,27.41,27.03,27.66,30.0,33.12,36.22,38.22,39.81,40.72,40.34,38.06,34.59,31.78,28.97,25.56,22.75,21.09,20.66,21.16,22.44,25.66,30.06,34.56,37.41,39.22,40.28,39.72,37.78,35.88,34.91,35.12,35.28,35.81,36.81,37.41,36.91,35.09,33.38,32.22,31.41,29.75,27.91,26.78,25.28,22.75,19.94,18.31,17.59,17.09,17.12,18.34,20.56,22.47,23.03,23.53,24.53,25.56,25.56,25.59,26.12,26.28,25.62,24.06,23.19,22.72,22.03,20.84,20.44,20.56,20.12,18.22,16.06,14.12,12.38,10.53,9.19,8.94,10.06,10.88,11.19,12.56,14.91,16.91,18.78,21.56,24.69,27.44,28.69,29.62,30.03,29.91,29.12,28.03,27.97,28.75,29.56,30.12,31.62,33.28,34.12,34.06,33.88,33.91,33.94,33.12,32.28,31.62,30.78,29.0,26.78,25.16,24.16,23.41,22.62,22.84,23.78,25.0,25.31,25.53,26.69,27.97,28.75,29.34,30.28,31.31,30.0,27.94,26.31,25.41,24.47,23.0,22.19,21.84,21.5,20.38,19.78,20.88,22.91,24.28,25.5,27.56,29.97,31.06,31.88,33.16,35.16,37.19,38.44,40.0,41.47,42.38,41.72,40.72,40.09,39.91,39.0,37.78,37.12,36.81,35.56,33.56,31.62,30.56,29.84,29.38,30.34,32.88,35.91,37.59,38.72,39.81,40.72,40.5,40.03,40.12,40.53,39.88,38.75,37.19,36.47,35.41,33.41,31.88,31.09,30.66,29.09,27.47,26.66,25.81,23.91,21.72,20.09,19.69,19.44,19.47,20.5,22.69,25.06,26.53,27.94,30.06,32.06,33.09,34.47,36.62,39.06,40.56,40.84,40.25,39.84,38.06,35.41,32.91,31.41,30.31,28.19,26.38,25.69,25.84,24.59,23.41,23.22,23.88,24.03,24.75,25.88,28.0,29.81,30.56,31.62,33.38,35.16,35.56,35.78,36.28,36.94,36.22,35.34,34.91,34.56,33.78,32.22,31.28,31.5,31.22,30.25,28.84,27.94,27.25,25.44,23.94,23.69,24.34,24.81,24.94,25.88,27.53,28.44,28.38,28.28,29.28,30.19,30.59,30.62,32.53,34.53,35.34,35.44,35.03,34.28,31.81,28.31,25.56,23.88,22.59,21.0,20.22,20.97,21.69,22.0,22.56,24.06,25.72,26.78,27.25,28.16,29.59,30.0,29.78,29.38,29.34,28.84,27.41,25.81,25.41,25.34,24.5,23.53,23.66,23.97,23.09,21.75,20.78,21.06,20.88,20.31,20.56,21.91,23.25,23.53,24.31,25.78,27.03,27.31,27.0,27.38,28.12,27.66,25.97,24.72,23.47,21.31,19.31,18.22,18.78,19.78,20.56,20.78,21.34,21.19,19.97,18.31,18.28,19.56,21.25,22.97,25.31,28.28,30.16,30.91,30.94,31.31,31.22,29.84,28.28,27.84,27.75,26.91,25.66,24.84,23.97,22.25,19.81,17.59,16.56,15.62,14.69,14.25,15.41,17.06,17.94,19.03,21.09,23.28,24.59,25.56,27.06,28.69,29.53,28.81,27.97,27.34,25.84,24.06,22.5,22.38,22.91,22.72,21.94,21.69,21.22,19.94,17.56,16.03,14.69,12.78,10.41,8.41,7.66,7.25,7.09,7.19,8.78,10.72,12.09,12.69,13.94,15.97,16.75,16.94,17.91,19.28,20.31,20.62,20.94,21.94,22.19,21.34,19.53,18.5,17.25,15.84,14.25,13.69,14.38,14.97,15.25,16.5,18.62,20.72,21.69,22.69,24.06,25.53,26.0,25.31,24.78,24.19,22.25,19.03,16.69,53.06,51.84,50.75,50.03,50.03,50.44,51.28,52.34,53.81,55.19,55.78,55.78,55.41,54.84,53.81,53.38,53.38,54.09,55.16,56.34,57.12,57.81,58.25,58.22,57.88,58.12,58.44,59.0:31.88,31.5,31.62,30.94,29.06,26.66,25.12,24.94,24.19,23.91,24.56,26.0,27.12,27.47,27.81,28.56,29.25,28.81,29.06,30.34,31.69,32.12,32.34,32.31,32.41,32.0,30.66,29.56,29.19,29.62,29.5,30.44,32.25,34.12,34.84,34.69,34.53,33.94,32.69,31.69,31.5,32.53,33.34,32.88,32.16,31.47,30.44,28.69,27.53,27.66,28.12,27.56,27.12,27.12,27.31,26.59,25.97,26.66,28.47,30.0,31.06,31.88,33.31,34.53,34.09,33.44,33.34,33.12,31.81,31.06,31.44,32.56,33.12,33.09,33.09,33.12,33.0,32.12,30.69,30.09,29.72,28.41,26.84,25.81,25.34,24.34,22.97,22.47,23.44,24.12,24.25,24.78,25.59,25.75,24.59,22.81,21.81,20.69,18.72,17.22,16.31,16.31,15.75,15.16,15.25,16.09,16.5,16.28,16.66,17.69,19.16,19.75,20.53,22.25,24.03,24.41,24.56,25.53,26.94,28.0,29.06,30.38,32.28,33.22,32.88,31.97,31.62,31.0,29.66,28.22,28.0,28.28,28.44,28.47,28.84,29.91,29.72,29.44,29.31,30.28,31.19,31.44,31.38,32.0,32.41,31.69,31.22,31.31,31.66,31.41,30.81,30.25,30.38,29.56,28.59,28.22,29.03,29.72,29.88,29.91,30.56,31.19,30.94,30.41,30.91,31.56,31.34,30.78,30.56,31.0,30.91,29.97,28.97,29.19,29.44,29.0,28.66,28.97,29.34,28.19,26.62,26.25,26.97,27.47,28.06,28.97,30.66,31.25,30.84,30.53,31.34,31.62,30.94,30.12,30.06,30.09,30.19,29.78,29.94,30.53,29.94,28.66,27.88,27.75,27.56,27.22,27.28,28.5,29.69,30.03,30.12,31.19,32.03,32.16,31.66,31.94,32.53,32.5,31.81,31.19,31.66,31.38,30.09,29.09,29.22,29.34,28.81,28.22,28.78,30.22,30.69,30.72,31.31,31.72,31.38,30.03,28.94,28.94,28.56,28.41,27.94,28.88,30.06,30.69,31.28,32.66,34.44,35.81,36.06,36.31,36.84,36.78,35.5,34.47,34.72,35.09,34.81,34.12,34.34,34.28,33.34,31.62,30.69,30.69,30.69,30.44,30.78,32.25,33.12,32.22,30.72,29.53,28.06,25.56,23.62,23.47,24.28,25.0,25.62,26.94,28.69,29.41,29.22,29.34,30.03,30.19,29.47,28.56,28.41,28.53,27.5,25.94,25.28,24.91,24.34,23.72,24.47,26.56,28.44,29.97,31.44,33.28,34.5,34.12,32.97,32.03,31.66,30.28,28.53,27.75,27.22,26.25,24.72,23.75,24.0,24.41,24.31,24.66,26.31,27.88,28.91,29.25,30.66,31.47,31.56,30.41,29.66,28.34,26.75,24.44,23.38,23.97,24.47,24.38,24.34,25.06,25.69,26.03,26.62,28.44,30.5,31.28,31.09,31.34,31.22,30.72,28.94,27.69,27.34,27.34,26.88,26.47,26.81,26.91,25.84,24.94,24.53,25.97,27.22,27.84,29.0,30.16,30.38,29.38,28.31,28.12,28.12,27.16,26.44,26.34,26.38,25.59,24.72,24.25,24.16,24.19,23.41,23.06,22.97,23.16,22.19,21.19,21.88,22.72,22.91,23.22,24.0,25.38,26.25,26.91,28.25,30.06,31.44,31.62,31.97,32.69,33.28,32.75,32.03,31.88,30.94,29.03,27.22,25.97,25.69,25.34,24.25,23.34,23.09,22.22,20.44,19.62,19.72,19.94,19.03,18.09,17.66,17.97,17.94,18.28,20.06,22.69,25.0,26.16,27.38,29.09,30.22,30.0,30.16,30.91,31.41,31.06,30.53,30.69,31.44,31.72,31.44,31.44,31.31,29.78,27.28,24.72,23.47,22.12,20.75,20.44,20.94,22.38,22.94,23.88,25.56,28.12,29.81,31.0,31.97,33.19,33.66,32.91,32.59,32.41,31.97,30.62,29.03,28.34,27.81,26.75,25.91,25.75,26.28,26.72,26.66,27.19,28.5,29.69,29.75,29.91,30.59,31.38,30.78,30.19,30.03,30.31,29.38,28.22,27.41,27.16,26.44,24.91,23.75,23.16,22.34,20.44,19.19,18.69,19.19,19.41,21.22,24.59,29.41,33.69,37.34,40.16,42.47,42.94,42.06,41.03,40.78,40.62,39.66,38.69,38.09,37.0,34.72,32.09,29.38,26.94,23.56,20.03,16.84,15.5,15.03,15.78,18.25,22.5,26.75,30.09,32.78,35.0,36.53,36.34,35.03,33.59,32.22,30.78,29.22,28.62,29.34,30.0,30.31,31.03,32.31,33.94,34.69,35.41,36.53,37.91,38.69,38.91,39.0,39.84,40.25,40.78,40.97,41.94,42.31,40.94,38.97,37.53,36.53,35.72,34.97,35.47,36.25,36.25,35.91,35.38,35.12,34.5,33.81,33.19,34.19,35.0,35.16,35.06,34.47,33.66,31.81,29.44,28.09,27.88,27.81,28.16,28.94,30.62,31.34,30.78,29.31,27.91,26.59,24.88,23.69,23.19,23.34,23.22,22.72,22.97,24.03,24.94,25.38,26.28,27.78,29.59,30.78,32.16,34.31,36.09,37.09,37.5,37.28,36.56,34.94,31.94,28.84,26.59,23.94,21.69,20.06,20.47,21.88,23.62,25.22,27.78,29.97,31.19,31.34,31.16,30.97,30.09,28.88,28.47,29.75,31.06,31.88,32.44,33.38,33.88,33.5,32.84,32.81,33.25,32.91,31.62,30.5,29.59,28.5,27.31,26.75,27.62,28.84,29.0,29.0,29.81,30.72,30.78,30.41,30.59,30.41,29.44,27.69,26.22,25.62,24.78,23.69,22.69,22.97,23.25,23.09,23.19,24.28,25.88,26.53,27.03,27.91,29.0,29.56,29.16,28.72,28.62,28.81,28.53,28.84,29.75,30.66,30.22,28.69,27.78,27.41,27.03,27.66,30.0,33.12,36.22,38.22,39.81,40.72,40.34,38.06,34.59,31.78,28.97,25.56,22.75,21.09,20.66,21.16,22.44,25.66,30.06,34.56,37.41,39.22,40.28,39.72,37.78,35.88,34.91,35.12,35.28,35.81,36.81,37.41,36.91,35.09,33.38,32.22,31.41,29.75,27.91,26.78,25.28,22.75,19.94,18.31,17.59,17.09,17.12,18.34,20.56,22.47,23.03,23.53,24.53,25.56,25.56,25.59,26.12,26.28,25.62,24.06,23.19,22.72,22.03,20.84,20.44,20.56,20.12,18.22,16.06,14.12,12.38,10.53,9.19,8.94,10.06,10.88,11.19,12.56,14.91,16.91,18.78,21.56,24.69,27.44,28.69,29.62,30.03,29.91,29.12,28.03,27.97,28.75,29.56,30.12,31.62,33.28,34.12,34.06,33.88,33.91,33.94,33.12,32.28,31.62,30.78,29.0,26.78,25.16,24.16,23.41,22.62,22.84,23.78,25.0,25.31,25.53,26.69,27.97,28.75,29.34,30.28,31.31,30.0,27.94,26.31,25.41,24.47,23.0,22.19,21.84,21.5,20.38,19.78,20.88,22.91,24.28,25.5,27.56,29.97,31.06,31.88,33.16,35.16,37.19,38.44,40.0,41.47,42.38,41.72,40.72,40.09,39.91,39.0,37.78,37.12,36.81,35.56,33.56,31.62,30.56,29.84,29.38,30.34,32.88,35.91,37.59,38.72,39.81,40.72,40.5,40.03,40.12,40.53,39.88,38.75,37.19,36.47,35.41,33.41,31.88,31.09,30.66,29.09,27.47,26.66,25.81,23.91,21.72,20.09,19.69,19.44,19.47,20.5,22.69,25.06,26.53,27.94,30.06,32.06,33.09,34.47,36.62,39.06,40.56,40.84,40.25,39.84,38.06,35.41,32.91,31.41,30.31,28.19,26.38,25.69,25.84,24.59,23.41,23.22,23.88,24.03,24.75,25.88,28.0,29.81,30.56,31.62,33.38,35.16,35.56,35.78,36.28,36.94,36.22,35.34,34.91,34.56,33.78,32.22,31.28,31.5,31.22,30.25,28.84,27.94,27.25,25.44,23.94,23.69,24.34,24.81,24.94,25.88,27.53,28.44,28.38,28.28,29.28,30.19,30.59,30.62,32.53,34.53,35.34,35.44,35.03,34.28,31.81,28.31,25.56,23.88,22.59,21.0,20.22,20.97,21.69,22.0,22.56,24.06,25.72,26.78,27.25,28.16,29.59,30.0,29.78,29.38,29.34,28.84,27.41,25.81,25.41,25.34,24.5,23.53,23.66,23.97,23.09,21.75,20.78,21.06,20.88,20.31,20.56,21.91,23.25,23.53,24.31,25.78,27.03,27.31,27.0,27.38,28.12,27.66,25.97,24.72,23.47,21.31,19.31,18.22,18.78,19.78,20.56,20.78,21.34,21.19,19.97,18.31,18.28,19.56,21.25,22.97,25.31,28.28,30.16,30.91,30.94,31.31,31.22,29.84,28.28,27.84,27.75,26.91,25.66,24.84,23.97,22.25,19.81,17.59,16.56,15.62,14.69,14.25,15.41,17.06,17.94,19.03,21.09,23.28,24.59,25.56,27.06,28.69,29.53,28.81,27.97,27.34,25.84,24.06,22.5,22.38,22.91,22.72,21.94,21.69,21.22,19.94,17.56,16.03,14.69,12.78,10.41,8.41,7.66,7.25,7.09,7.19,8.78,10.72,12.09,12.69,13.94,15.97,16.75,16.94,17.91,19.28,20.31,20.62,20.94,21.94,22.19,21.34,19.53,18.5,17.25,15.84,14.25,13.69,14.38,14.97,15.25,16.5,18.62,20.72,21.69,22.69,24.06,25.53,26.0,25.31,24.78,24.19,22.25,19.03,16.69,53.06,51.84,50.75,50.03,50.03,50.44,51.28,52.34,53.81,55.19,55.78,55.78,55.41,54.84,53.81,53.38,53.38,54.09,55.16,56.34,57.12,57.81,58.25,58.22,57.88,58.12,58.44,59.0,59.56,59.81,60.12,59.78,59.47,59.25,59.69:24.94,24.19,23.91,24.56,26.0,27.12,27.47,27.81,28.56,29.25,28.81,29.06,30.34,31.69,32.12,32.34,32.31,32.41,32.0,30.66,29.56,29.19,29.62,29.5,30.44,32.25,34.12,34.84,34.69,34.53,33.94,32.69,31.69,31.5,32.53,33.34,32.88,32.16,31.47,30.44,28.69,27.53,27.66,28.12,27.56,27.12,27.12,27.31,26.59,25.97,26.66,28.47,30.0,31.06,31.88,33.31,34.53,34.09,33.44,33.34,33.12,31.81,31.06,31.44,32.56,33.12,33.09,33.09,33.12,33.0,32.12,30.69,30.09,29.72,28.41,26.84,25.81,25.34,24.34,22.97,22.47,23.44,24.12,24.25,24.78,25.59,25.75,24.59,22.81,21.81,20.69,18.72,17.22,16.31,16.31,15.75,15.16,15.25,16.09,16.5,16.28,16.66,17.69,19.16,19.75,20.53,22.25,24.03,24.41,24.56,25.53,26.94,28.0,29.06,30.38,32.28,33.22,32.88,31.97,31.62,31.0,29.66,28.22,28.0,28.28,28.44,28.47,28.84,29.91,29.72,29.44,29.31,30.28,31.19,31.44,31.38,32.0,32.41,31.69,31.22,31.31,31.66,31.41,30.81,30.25,30.38,29.56,28.59,28.22,29.03,29.72,29.88,29.91,30.56,31.19,30.94,30.41,30.91,31.56,31.34,30.78,30.56,31.0,30.91,29.97,28.97,29.19,29.44,29.0,28.66,28.97,29.34,28.19,26.62,26.25,26.97,27.47,28.06,28.97,30.66,31.25,30.84,30.53,31.34,31.62,30.94,30.12,30.06,30.09,30.19,29.78,29.94,30.53,29.94,28.66,27.88,27.75,27.56,27.22,27.28,28.5,29.69,30.03,30.12,31.19,32.03,32.16,31.66,31.94,32.53,32.5,31.81,31.19,31.66,31.38,30.09,29.09,29.22,29.34,28.81,28.22,28.78,30.22,30.69,30.72,31.31,31.72,31.38,30.03,28.94,28.94,28.56,28.41,27.94,28.88,30.06,30.69,31.28,32.66,34.44,35.81,36.06,36.31,36.84,36.78,35.5,34.47,34.72,35.09,34.81,34.12,34.34,34.28,33.34,31.62,30.69,30.69,30.69,30.44,30.78,32.25,33.12,32.22,30.72,29.53,28.06,25.56,23.62,23.47,24.28,25.0,25.62,26.94,28.69,29.41,29.22,29.34,30.03,30.19,29.47,28.56,28.41,28.53,27.5,25.94,25.28,24.91,24.34,23.72,24.47,26.56,28.44,29.97,31.44,33.28,34.5,34.12,32.97,32.03,31.66,30.28,28.53,27.75,27.22,26.25,24.72,23.75,24.0,24.41,24.31,24.66,26.31,27.88,28.91,29.25,30.66,31.47,31.56,30.41,29.66,28.34,26.75,24.44,23.38,23.97,24.47,24.38,24.34,25.06,25.69,26.03,26.62,28.44,30.5,31.28,31.09,31.34,31.22,30.72,28.94,27.69,27.34,27.34,26.88,26.47,26.81,26.91,25.84,24.94,24.53,25.97,27.22,27.84,29.0,30.16,30.38,29.38,28.31,28.12,28.12,27.16,26.44,26.34,26.38,25.59,24.72,24.25,24.16,24.19,23.41,23.06,22.97,23.16,22.19,21.19,21.88,22.72,22.91,23.22,24.0,25.38,26.25,26.91,28.25,30.06,31.44,31.62,31.97,32.69,33.28,32.75,32.03,31.88,30.94,29.03,27.22,25.97,25.69,25.34,24.25,23.34,23.09,22.22,20.44,19.62,19.72,19.94,19.03,18.09,17.66,17.97,17.94,18.28,20.06,22.69,25.0,26.16,27.38,29.09,30.22,30.0,30.16,30.91,31.41,31.06,30.53,30.69,31.44,31.72,31.44,31.44,31.31,29.78,27.28,24.72,23.47,22.12,20.75,20.44,20.94,22.38,22.94,23.88,25.56,28.12,29.81,31.0,31.97,33.19,33.66,32.91,32.59,32.41,31.97,30.62,29.03,28.34,27.81,26.75,25.91,25.75,26.28,26.72,26.66,27.19,28.5,29.69,29.75,29.91,30.59,31.38,30.78,30.19,30.03,30.31,29.38,28.22,27.41,27.16,26.44,24.91,23.75,23.16,22.34,20.44,19.19,18.69,19.19,19.41,21.22,24.59,29.41,33.69,37.34,40.16,42.47,42.94,42.06,41.03,40.78,40.62,39.66,38.69,38.09,37.0,34.72,32.09,29.38,26.94,23.56,20.03,16.84,15.5,15.03,15.78,18.25,22.5,26.75,30.09,32.78,35.0,36.53,36.34,35.03,33.59,32.22,30.78,29.22,28.62,29.34,30.0,30.31,31.03,32.31,33.94,34.69,35.41,36.53,37.91,38.69,38.91,39.0,39.84,40.25,40.78,40.97,41.94,42.31,40.94,38.97,37.53,36.53,35.72,34.97,35.47,36.25,36.25,35.91,35.38,35.12,34.5,33.81,33.19,34.19,35.0,35.16,35.06,34.47,33.66,31.81,29.44,28.09,27.88,27.81,28.16,28.94,30.62,31.34,30.78,29.31,27.91,26.59,24.88,23.69,23.19,23.34,23.22,22.72,22.97,24.03,24.94,25.38,26.28,27.78,29.59,30.78,32.16,34.31,36.09,37.09,37.5,37.28,36.56,34.94,31.94,28.84,26.59,23.94,21.69,20.06,20.47,21.88,23.62,25.22,27.78,29.97,31.19,31.34,31.16,30.97,30.09,28.88,28.47,29.75,31.06,31.88,32.44,33.38,33.88,33.5,32.84,32.81,33.25,32.91,31.62,30.5,29.59,28.5,27.31,26.75,27.62,28.84,29.0,29.0,29.81,30.72,30.78,30.41,30.59,30.41,29.44,27.69,26.22,25.62,24.78,23.69,22.69,22.97,23.25,23.09,23.19,24.28,25.88,26.53,27.03,27.91,29.0,29.56,29.16,28.72,28.62,28.81,28.53,28.84,29.75,30.66,30.22,28.69,27.78,27.41,27.03,27.66,30.0,33.12,36.22,38.22,39.81,40.72,40.34,38.06,34.59,31.78,28.97,25.56,22.75,21.09,20.66,21.16,22.44,25.66,30.06,34.56,37.41,39.22,40.28,39.72,37.78,35.88,34.91,35.12,35.28,35.81,36.81,37.41,36.91,35.09,33.38,32.22,31.41,29.75,27.91,26.78,25.28,22.75,19.94,18.31,17.59,17.09,17.12,18.34,20.56,22.47,23.03,23.53,24.53,25.56,25.56,25.59,26.12,26.28,25.62,24.06,23.19,22.72,22.03,20.84,20.44,20.56,20.12,18.22,16.06,14.12,12.38,10.53,9.19,8.94,10.06,10.88,11.19,12.56,14.91,16.91,18.78,21.56,24.69,27.44,28.69,29.62,30.03,29.91,29.12,28.03,27.97,28.75,29.56,30.12,31.62,33.28,34.12,34.06,33.88,33.91,33.94,33.12,32.28,31.62,30.78,29.0,26.78,25.16,24.16,23.41,22.62,22.84,23.78,25.0,25.31,25.53,26.69,27.97,28.75,29.34,30.28,31.31,30.0,27.94,26.31,25.41,24.47,23.0,22.19,21.84,21.5,20.38,19.78,20.88,22.91,24.28,25.5,27.56,29.97,31.06,31.88,33.16,35.16,37.19,38.44,40.0,41.47,42.38,41.72,40.72,40.09,39.91,39.0,37.78,37.12,36.81,35.56,33.56,31.62,30.56,29.84,29.38,30.34,32.88,35.91,37.59,38.72,39.81,40.72,40.5,40.03,40.12,40.53,39.88,38.75,37.19,36.47,35.41,33.41,31.88,31.09,30.66,29.09,27.47,26.66,25.81,23.91,21.72,20.09,19.69,19.44,19.47,20.5,22.69,25.06,26.53,27.94,30.06,32.06,33.09,34.47,36.62,39.06,40.56,40.84,40.25,39.84,38.06,35.41,32.91,31.41,30.31,28.19,26.38,25.69,25.84,24.59,23.41,23.22,23.88,24.03,24.75,25.88,28.0,29.81,30.56,31.62,33.38,35.16,35.56,35.78,36.28,36.94,36.22,35.34,34.91,34.56,33.78,32.22,31.28,31.5,31.22,30.25,28.84,27.94,27.25,25.44,23.94,23.69,24.34,24.81,24.94,25.88,27.53,28.44,28.38,28.28,29.28,30.19,30.59,30.62,32.53,34.53,35.34,35.44,35.03,34.28,31.81,28.31,25.56,23.88,22.59,21.0,20.22,20.97,21.69,22.0,22.56,24.06,25.72,26.78,27.25,28.16,29.59,30.0,29.78,29.38,29.34,28.84,27.41,25.81,25.41,25.34,24.5,23.53,23.66,23.97,23.09,21.75,20.78,21.06,20.88,20.31,20.56,21.91,23.25,23.53,24.31,25.78,27.03,27.31,27.0,27.38,28.12,27.66,25.97,24.72,23.47,21.31,19.31,18.22,18.78,19.78,20.56,20.78,21.34,21.19,19.97,18.31,18.28,19.56,21.25,22.97,25.31,28.28,30.16,30.91,30.94,31.31,31.22,29.84,28.28,27.84,27.75,26.91,25.66,24.84,23.97,22.25,19.81,17.59,16.56,15.62,14.69,14.25,15.41,17.06,17.94,19.03,21.09,23.28,24.59,25.56,27.06,28.69,29.53,28.81,27.97,27.34,25.84,24.06,22.5,22.38,22.91,22.72,21.94,21.69,21.22,19.94,17.56,16.03,14.69,12.78,10.41,8.41,7.66,7.25,7.09,7.19,8.78,10.72,12.09,12.69,13.94,15.97,16.75,16.94,17.91,19.28,20.31,20.62,20.94,21.94,22.19,21.34,19.53,18.5,17.25,15.84,14.25,13.69,14.38,14.97,15.25,16.5,18.62,20.72,21.69,22.69,24.06,25.53,26.0,25.31,24.78,24.19,22.25,19.03,16.69,53.06,51.84,50.75,50.03,50.03,50.44,51.28,52.34,53.81,55.19,55.78,55.78,55.41,54.84,53.81,53.38,53.38,54.09,55.16,56.34,57.12,57.81,58.25,58.22,57.88,58.12,58.44,59.0,59.56,59.81,60.12,59.78,59.47,59.25,59.69,59.78,59.47,59.03,58.16,57.0,55.75,54.66:negativity
-5.16,-6.44,-5.66,-4.56,-6.06,-8.16,-8.78,-8.62,-10.56,-13.34,-14.53,-13.5,-13.22,-14.5,-14.66,-12.0,-9.69,-9.78,-9.75,-7.41,-5.0,-5.16,-6.19,-5.41,-3.84,-3.91,-5.22,-4.34,-1.75,0.38,0.91,1.78,4.84,6.81,5.66,3.34,3.19,3.09,1.25,-0.41,0.69,4.09,6.94,8.09,10.47,14.28,15.94,14.28,11.66,10.25,7.5,2.31,-3.0,-5.41,-6.16,-7.94,-9.47,-8.47,-5.25,-2.72,-1.75,0.0,3.09,4.5,2.41,-0.09,-0.62,-2.06,-6.06,-10.94,-13.16,-14.19,-15.91,-17.59,-16.25,-12.75,-10.34,-9.94,-8.47,-5.84,-4.03,-4.47,-5.16,-3.28,-1.19,-1.16,-2.06,-0.88,0.44,-0.19,-2.81,-4.31,-4.12,-4.72,-6.66,-7.12,-4.94,-2.91,-3.34,-4.16,-3.19,-2.69,-4.59,-7.28,-7.88,-7.16,-7.91,-9.41,-9.25,-7.12,-5.47,-5.84,-5.94,-4.22,-3.62,-5.59,-8.09,-8.03,-7.25,-8.75,-11.19,-11.69,-11.19,-11.81,-13.47,-13.44,-10.72,-7.78,-6.66,-4.69,-0.59,3.41,4.78,4.78,6.69,8.16,7.5,5.41,5.25,6.31,5.94,4.09,3.25,4.19,4.94,3.44,2.47,3.19,3.91,1.97,-0.62,-1.12,-1.06,-2.25,-4.56,-5.03,-3.47,-3.0,-3.97,-3.44,-1.41,0.25,-1.09,-2.34,-1.62,-0.81,-2.16,-3.94,-3.75,-2.31,-2.88,-4.38,-3.56,-1.19,0.66,0.44,0.78,2.16,2.56,0.25,-2.22,-2.16,-0.31,-0.12,-0.47,1.31,3.25,3.19,0.69,-0.94,-0.94,-1.91,-4.09,-5.34,-3.97,-2.56,-3.28,-4.09,-2.81,-0.97,-1.41,-3.19,-3.47,-3.16,-4.31,-7.84,-9.41,-9.5,-9.34,-10.84,-10.94,-8.41,-4.88,-3.97,-3.78,-1.97,-0.12,-0.56,-2.72,-3.0,-1.66,-1.78,-4.06,-4.81,-3.72,-3.09,-4.75,-5.81,-4.44,-2.62,-2.78,-3.53,-2.03,0.53,0.91,-0.19,0.0,1.38,1.19,-1.59,-3.81,-4.22,-5.44,-9.22,-12.84,-13.38,-13.06,-13.75,-14.28,-12.38,-8.91,-7.41,-7.5,-6.5,-4.12,-2.62,-3.34,-3.22,-0.88,1.22,1.0,0.38,1.75,3.84,3.22,0.97,0.41,0.19,-1.75,-5.47,-7.19,-6.62,-6.12,-7.28,-7.59,-5.94,-4.75,-6.91,-10.47,-12.62,-14.12,-18.03,-22.44,-23.5,-22.03,-21.12,-21.16,-19.66,-16.03,-13.09,-12.31,-11.03,-7.44,-3.72,-2.03,-0.97,1.97,6.16,7.88,7.78,8.78,10.34,10.25,7.81,5.38,4.91,4.0,0.75,-2.16,-2.59,-2.53,-4.69,-7.25,-7.22,-5.69,-5.72,-6.34,-5.69,-3.16,-1.56,-2.41,-2.75,-1.38,-1.06,-3.56,-5.72,-5.66,-4.31,-4.69,-5.22,-3.47,-0.47,0.03,-1.34,-1.66,-0.44,-0.25,-1.75,-2.62,-0.91,0.66,-0.06,-0.81,0.84,3.44,4.25,4.62,7.09,10.88,12.19,10.78,9.25,8.81,7.22,3.47,1.12,1.53,2.41,0.5,-1.91,-2.84,-3.47,-6.53,-10.16,-11.25,-10.22,-9.19,-9.16,-7.53,-3.69,-1.44,-1.72,-2.53,-1.53,-0.59,-2.31,-4.25,-3.5,-1.91,-1.25,-1.22,0.88,4.62,7.03,7.75,8.41,10.75,11.84,9.75,7.03,6.69,6.16,3.31,0.78,0.28,1.22,0.25,-1.97,-3.0,-2.91,-4.22,-7.94,-10.91,-11.5,-11.88,-13.91,-14.84,-11.88,-7.44,-4.78,-2.56,0.94,4.81,5.59,3.88,2.59,2.75,1.97,-0.47,-2.09,-0.41,1.19,0.12,-0.81,0.47,2.62,3.03,2.41,3.47,5.59,4.88,2.0,-0.59,-1.12,-3.06,-7.28,-10.66,-11.16,-11.34,-13.72,-15.81,-15.5,-13.56,-13.59,-14.38,-13.62,-11.38,-11.28,-13.78,-15.12,-14.19,-13.59,-14.72,-15.5,-13.69,-12.09,-13.5,-15.5,-14.66,-12.22,-11.09,-10.91,-8.81,-5.62,-4.53,-5.84,-6.62,-5.19,-4.06,-5.22,-6.34,-4.34,-2.03,-2.47,-3.41,-2.34,-0.28,-0.41,-2.03,-1.66,0.62,2.22,2.0,2.53,5.53,7.78,7.03,5.5,5.84,6.72,4.5,1.75,1.03,2.0,1.69,-0.09,-0.62,0.88,0.78,-2.16,-4.38,-4.09,-3.78,-5.81,-7.84,-7.16,-5.66,-5.88,-6.94,-5.69,-2.53,-0.81,-0.97,-0.28,2.16,3.41,1.81,0.88,2.53,4.44,3.66,2.12,2.62,3.25,1.44,-1.75,-2.91,-2.69,-3.56,-5.94,-7.19,-6.12,-5.94,-7.59,-8.69,-7.41,-5.31,-5.47,-5.81,-4.0,-0.78,0.22,0.0,0.66,2.66,2.19,-0.56,-2.69,-2.31,-2.22,-4.34,-6.09,-5.47,-4.47,-5.59,-7.06,-6.25,-4.03,-3.44,-4.09,-3.62,-1.12,0.19,-0.53,-0.53,1.75,3.84,3.53,3.0,4.78,7.0,6.28,4.25,3.47,3.91,2.44,-0.06,-0.84,0.97,2.31,2.0,2.31,4.47,5.78,4.12,1.34,0.81,1.0,-0.84,-3.12,-3.12,-1.12,-0.69,-2.0,-1.97,-0.72,-0.16,-2.38,-4.34,-3.59,-2.62,-3.84,-5.41,-4.28,-2.31,-2.91,-4.81,-5.41,-4.5,-5.0,-7.28,-8.56,-7.19,-6.5,-7.94,-8.53,-6.16,-3.31,-2.56,-2.5,0.06,3.41,4.81,4.75,6.09,8.88,9.5,7.62,5.84,5.72,4.75,1.28,-1.53,-1.56,-1.0,-1.91,-3.56,-2.59,-0.19,0.41,-0.03,0.78,3.0,3.66,1.62,0.28,1.31,2.0,0.72,-0.62,0.25,1.66,0.66,-1.41,-1.31,-0.31,-1.25,-4.03,-5.53,-5.38,-6.06,-8.47,-9.53,-8.0,-5.97,-6.03,-6.53,-3.88,-0.78,0.41,0.59,2.31,5.5,6.94,6.0,5.91,7.75,7.56,4.81,1.97,1.5,0.94,-2.0,-5.09,-5.06,-3.31,-3.28,-4.28,-3.81,-2.5,-3.16,-6.25,-8.34,-8.06,-7.88,-9.78,-10.88,-9.28,-7.28,-7.75,-8.03,-6.03,-2.91,-1.53,-1.69,0.16,3.16,4.97,4.16,3.84,5.66,6.28,4.22,2.31,3.06,4.12,2.88,0.59,0.88,1.66,0.91,-1.34,-1.84,-0.66,-0.28,-2.22,-3.22,-1.31,-0.09,-0.69,-1.94,-1.09,0.22,-0.53,-2.09,-1.69,0.31,0.62,-0.59,-0.91,0.75,1.62,0.03,-1.28,-0.09,0.5,-1.47,-3.84,-3.59,-2.09,-2.03,-2.5,-1.41,1.0,1.88,-0.03,-1.28,-0.06,0.69,-0.19,-0.19,2.5,5.56,6.0,5.41,6.72,8.28,7.62,5.25,4.03,4.31,3.56,0.66,-0.69,0.88,2.16,1.34,0.59,2.19,4.38,4.16,3.06,4.25,6.62,7.22,5.72,5.66,7.22,7.5,5.91,5.31,7.22,9.72,10.25,10.44,12.44,14.19,13.25,10.25,9.22,9.38,8.38,5.44,4.0,4.53,4.44,2.25,0.94,1.75,2.53,1.03,-1.12,-1.12,-0.12,-0.75,-2.38,-1.84,0.06,0.78,-0.59,-1.03,0.31,0.94,-0.88,-2.16,-0.97,0.62,-0.22,-1.88,-1.72,-0.84,-2.19,-3.81,-3.12,-0.69,1.47,1.66,2.25,4.81,6.66,5.66,4.66,5.5,6.88,5.44,2.94,1.81,1.59,-0.91,-5.06,-7.78,-8.31,-9.28,-11.12,-11.19,-7.84,-3.5,-1.28,0.53,3.84,6.53,5.88,3.62,2.41,2.66,1.78,-0.03,0.03,1.94,3.0,1.53,0.25,1.16,2.41,1.81,1.53,3.16,5.41,5.34,4.12,4.25,6.16,6.34,5.03,4.47,5.53,6.28,4.44,3.47,4.53,6.12,5.41,3.94,4.44,6.03,5.81,5.0,5.25,7.25,7.81,5.84,4.81,5.22,5.0,2.28,0.09,-0.16,0.38,-1.22,-3.22,-2.91,-1.88,-2.66,-4.59,-5.09,-3.59,-2.56,-3.12,-2.88,-0.25,1.5,0.56,-0.81,-0.59,0.28,-1.09,-3.03,-3.09,-1.28,-1.0,-1.78,-1.66,0.41,1.03,-1.12,-2.97,-2.59,-1.75,-2.53,-2.91,-0.88,1.75,2.16,0.94,0.84,1.69,0.91,-1.44,-2.88,-2.75,-3.06,-5.41,-6.94,-5.56,-3.72,-3.72,-4.12,-3.56,-1.91,-2.09,-3.69,-3.69,-2.47,-2.5,-4.88,-6.91,-6.94,-6.41,-7.28,-7.19,-4.72,-1.69,-1.44,-2.5,-2.19,-0.59,-0.59,-1.84,-2.34,-1.22,-1.88,-4.41,-6.22,-5.38,-4.16,-4.75,-4.81,-3.0,-0.16,0.5,0.91,2.09,5.03,6.12,5.47,5.78,7.94,8.66,7.5,6.75,8.41,10.19,9.84,8.91,10.19,11.53,10.5,8.06,6.91,7.53,7.09,5.28,4.97,6.75,8.0,6.66,5.09,5.38,5.25,2.56,-0.81,-2.03,-1.53,-2.56,-4.31,-4.78,-3.22,-2.62,-3.97,-4.22,-2.06,-0.31,-0.94,-2.19,-1.31,-0.34,-1.94,-4.25,-5.16,-5.06,-6.59,-9.16,-10.25,-9.09,-8.44,-9.75,-10.22,-8.62,-6.81,-6.97,-6.91,-4.34,-1.44,-0.62,-1.53,-1.12,0.19,0.0,-1.69,-2.59,-1.97,-1.94,-4.5,-6.41,-5.25,-3.38,-3.19,-2.97,-0.59,1.78,1.78,-0.03,-0.31,0.88,0.91,-0.34,-0.56,1.75,3.12,2.44,1.5,2.72,4.16,3.12,2.06,3.09,5.12,5.16,3.44,2.41,2.72,1.47,-1.56,-3.88,-3.44,-3.09,-3.97,-4.59,-3.19,-0.62,-0.84,-1.97,-1.16,0.47,0.5,-1.09,-1.12,0.22,1.34,0.59,0.78,3.56,5.91,5.69,4.81,5.84,6.88,6.0,3.69,3.06,3.41,2.81,0.97,0.69,2.88,4.16,2.84,1.44,2.25,2.91,1.69,-0.12,0.03,0.81,0.09,-1.53,-1.56,0.25,1.28,-0.16,-0.88,0.28,0.62,-0.62,-2.09,-0.97,0.78,0.72,-0.5,0.16,1.66,1.47:-8.62,-10.56,-13.34,-14.53,-13.5,-13.22,-14.5,-14.66,-12.0,-9.69,-9.78,-9.75,-7.41,-5.0,-5.16,-6.19,-5.41,-3.84,-3.91,-5.22,-4.34,-1.75,0.38,0.91,1.78,4.84,6.81,5.66,3.34,3.19,3.09,1.25,-0.41,0.69,4.09,6.94,8.09,10.47,14.28,15.94,14.28,11.66,10.25,7.5,2.31,-3.0,-5.41,-6.16,-7.94,-9.47,-8.47,-5.25,-2.72,-1.75,0.0,3.09,4.5,2.41,-0.09,-0.62,-2.06,-6.06,-10.94,-13.16,-14.19,-15.91,-17.59,-16.25,-12.75,-10.34,-9.94,-8.47,-5.84,-4.03,-4.47,-5.16,-3.28,-1.19,-1.16,-2.06,-0.88,0.44,-0.19,-2.81,-4.31,-4.12,-4.72,-6.66,-7.12,-4.94,-2.91,-3.34,-4.16,-3.19,-2.69,-4.59,-7.28,-7.88,-7.16,-7.91,-9.41,-9.25,-7.12,-5.47,-5.84,-5.94,-4.22,-3.62,-5.59,-8.09,-8.03,-7.25,-8.75,-11.19,-11.69,-11.19,-11.81,-13.47,-13.44,-10.72,-7.78,-6.66,-4.69,-0.59,3.41,4.78,4.78,6.69,8.16,7.5,5.41,5.25,6.31,5.94,4.09,3.25,4.19,4.94,3.44,2.47,3.19,3.91,1.97,-0.62,-1.12,-1.06,-2.25,-4.56,-5.03,-3.47,-3.0,-3.97,-3.44,-1.41,0.25,-1.09,-2.34,-1.62,-0.81,-2.16,-3.94,-3.75,-2.31,-2.88,-4.38,-3.56,-1.19,0.66,0.44,0.78,2.16,2.56,0.25,-2.22,-2.16,-0.31,-0.12,-0.47,1.31,3.25,3.19,0.69,-0.94,-0.94,-1.91,-4.09,-5.34,-3.97,-2.56,-3.28,-4.09,-2.81,-0.97,-1.41,-3.19,-3.47,-3.16,-4.31,-7.84,-9.41,-9.5,-9.34,-10.84,-10.94,-8.41,-4.88,-3.97,-3.78,-1.97,-0.12,-0.56,-2.72,-3.0,-1.66,-1.78,-4.06,-4.81,-3.72,-3.09,-4.75,-5.81,-4.44,-2.62,-2.78,-3.53,-2.03,0.53,0.91,-0.19,0.0,1.38,1.19,-1.59,-3.81,-4.22,-5.44,-9.22,-12.84,-13.38,-13.06,-13.75,-14.28,-12.38,-8.91,-7.41,-7.5,-6.5,-4.12,-2.62,-3.34,-3.22,-0.88,1.22,1.0,0.38,1.75,3.84,3.22,0.97,0.41,0.19,-1.75,-5.47,-7.19,-6.62,-6.12,-7.28,-7.59,-5.94,-4.75,-6.91,-10.47,-12.62,-14.12,-18.03,-22.44,-23.5,-22.03,-21.12,-21.16,-19.66,-16.03,-13.09,-12.31,-11.03,-7.44,-3.72,-2.03,-0.97,1.97,6.16,7.88,7.78,8.78,10.34,10.25,7.81,5.38,4.91,4.0,0.75,-2.16,-2.59,-2.53,-4.69,-7.25,-7.22,-5.69,-5.72,-6.34,-5.69,-3.16,-1.56,-2.41,-2.75,-1.38,-1.06,-3.56,-5.72,-5.66,-4.31,-4.69,-5.22,-3.47,-0.47,0.03,-1.34,-1.66,-0.44,-0.25,-1.75,-2.62,-0.91,0.66,-0.06,-0.81,0.84,3.44,4.25,4.62,7.09,10.88,12.19,10.78,9.25,8.81,7.22,3.47,1.12,1.53,2.41,0.5,-1.91,-2.84,-3.47,-6.53,-10.16,-11.25,-10.22,-9.19,-9.16,-7.53,-3.69,-1.44,-1.72,-2.53,-1.53,-0.59,-2.31,-4.25,-3.5,-1.91,-1.25,-1.22,0.88,4.62,7.03,7.75,8.41,10.75,11.84,9.75,7.03,6.69,6.16,3.31,0.78,0.28,1.22,0.25,-1.97,-3.0,-2.91,-4.22,-7.94,-10.91,-11.5,-11.88,-13.91,-14.84,-11.88,-7.44,-4.78,-2.56,0.94,4.81,5.59,3.88,2.59,2.75,1.97,-0.47,-2.09,-0.41,1.19,0.12,-0.81,0.47,2.62,3.03,2.41,3.47,5.59,4.88,2.0,-0.59,-1.12,-3.06,-7.28,-10.66,-11.16,-11.34,-13.72,-15.81,-15.5,-13.56,-13.59,-14.38,-13.62,-11.38,-11.28,-13.78,-15.12,-14.19,-13.59,-14.72,-15.5,-13.69,-12.09,-13.5,-15.5,-14.66,-12.22,-11.09,-10.91,-8.81,-5.62,-4.53,-5.84,-6.62,-5.19,-4.06,-5.22,-6.34,-4.34,-2.03,-2.47,-3.41,-2.34,-0.28,-0.41,-2.03,-1.66,0.62,2.22,2.0,2.53,5.53,7.78,7.03,5.5,5.84,6.72,4.5,1.75,1.03,2.0,1.69,-0.09,-0.62,0.88,0.78,-2.16,-4.38,-4.09,-3.78,-5.81,-7.84,-7.16,-5.66,-5.88,-6.94,-5.69,-2.53,-0.81,-0.97,-0.28,2.16,3.41,1.81,0.88,2.53,4.44,3.66,2.12,2.62,3.25,1.44,-1.75,-2.91,-2.69,-3.56,-5.94,-7.19,-6.12,-5.94,-7.59,-8.69,-7.41,-5.31,-5.47,-5.81,-4.0,-0.78,0.22,0.0,0.66,2.66,2.19,-0.56,-2.69,-2.31,-2.22,-4.34,-6.09,-5.47,-4.47,-5.59,-7.06,-6.25,-4.03,-3.44,-4.09,-3.62,-1.12,0.19,-0.53,-0.53,1.75,3.84,3.53,3.0,4.78,7.0,6.28,4.25,3.47,3.91,2.44,-0.06,-0.84,0.97,2.31,2.0,2.31,4.47,5.78,4.12,1.34,0.81,1.0,-0.84,-3.12,-3.12,-1.12,-0.69,-2.0,-1.97,-0.72,-0.16,-2.38,-4.34,-3.59,-2.62,-3.84,-5.41,-4.28,-2.31,-2.91,-4.81,-5.41,-4.5,-5.0,-7.28,-8.56,-7.19,-6.5,-7.94,-8.53,-6.16,-3.31,-2.56,-2.5,0.06,3.41,4.81,4.75,6.09,8.88,9.5,7.62,5.84,5.72,4.75,1.28,-1.53,-1.56,-1.0,-1.91,-3.56,-2.59,-0.19,0.41,-0.03,0.78,3.0,3.66,1.62,0.28,1.31,2.0,0.72,-0.62,0.25,1.66,0.66,-1.41,-1.31,-0.31,-1.25,-4.03,-5.53,-5.38,-6.06,-8.47,-9.53,-8.0,-5.97,-6.03,-6.53,-3.88,-0.78,0.41,0.59,2.31,5.5,6.94,6.0,5.91,7.75,7.56,4.81,1.97,1.5,0.94,-2.0,-5.09,-5.06,-3.31,-3.28,-4.28,-3.81,-2.5,-3.16,-6.25,-8.34,-8.06,-7.88,-9.78,-10.88,-9.28,-7.28,-7.75,-8.03,-6.03,-2.91,-1.53,-1.69,0.16,3.16,4.97,4.16,3.84,5.66,6.28,4.22,2.31,3.06,4.12,2.88,0.59,0.88,1.66,0.91,-1.34,-1.84,-0.66,-0.28,-2.22,-3.22,-1.31,-0.09,-0.69,-1.94,-1.09,0.22,-0.53,-2.09,-1.69,0.31,0.62,-0.59,-0.91,0.75,1.62,0.03,-1.28,-0.09,0.5,-1.47,-3.84,-3.59,-2.09,-2.03,-2.5,-1.41,1.0,1.88,-0.03,-1.28,-0.06,0.69,-0.19,-0.19,2.5,5.56,6.0,5.41,6.72,8.28,7.62,5.25,4.03,4.31,3.56,0.66,-0.69,0.88,2.16,1.34,0.59,2.19,4.38,4.16,3.06,4.25,6.62,7.22,5.72,5.66,7.22,7.5,5.91,5.31,7.22,9.72,10.25,10.44,12.44,14.19,13.25,10.25,9.22,9.38,8.38,5.44,4.0,4.53,4.44,2.25,0.94,1.75,2.53,1.03,-1.12,-1.12,-0.12,-0.75,-2.38,-1.84,0.06,0.78,-0.59,-1.03,0.31,0.94,-0.88,-2.16,-0.97,0.62,-0.22,-1.88,-1.72,-0.84,-2.19,-3.81,-3.12,-0.69,1.47,1.66,2.25,4.81,6.66,5.66,4.66,5.5,6.88,5.44,2.94,1.81,1.59,-0.91,-5.06,-7.78,-8.31,-9.28,-11.12,-11.19,-7.84,-3.5,-1.28,0.53,3.84,6.53,5.88,3.62,2.41,2.66,1.78,-0.03,0.03,1.94,3.0,1.53,0.25,1.16,2.41,1.81,1.53,3.16,5.41,5.34,4.12,4.25,6.16,6.34,5.03,4.47,5.53,6.28,4.44,3.47,4.53,6.12,5.41,3.94,4.44,6.03,5.81,5.0,5.25,7.25,7.81,5.84,4.81,5.22,5.0,2.28,0.09,-0.16,0.38,-1.22,-3.22,-2.91,-1.88,-2.66,-4.59,-5.09,-3.59,-2.56,-3.12,-2.88,-0.25,1.5,0.56,-0.81,-0.59,0.28,-1.09,-3.03,-3.09,-1.28,-1.0,-1.78,-1.66,0.41,1.03,-1.12,-2.97,-2.59,-1.75,-2.53,-2.91,-0.88,1.75,2.16,0.94,0.84,1.69,0.91,-1.44,-2.88,-2.75,-3.06,-5.41,-6.94,-5.56,-3.72,-3.72,-4.12,-3.56,-1.91,-2.09,-3.69,-3.69,-2.47,-2.5,-4.88,-6.91,-6.94,-6.41,-7.28,-7.19,-4.72,-1.69,-1.44,-2.5,-2.19,-0.59,-0.59,-1.84,-2.34,-1.22,-1.88,-4.41,-6.22,-5.38,-4.16,-4.75,-4.81,-3.0,-0.16,0.5,0.91,2.09,5.03,6.12,5.47,5.78,7.94,8.66,7.5,6.75,8.41,10.19,9.84,8.91,10.19,11.53,10.5,8.06,6.91,7.53,7.09,5.28,4.97,6.75,8.0,6.66,5.09,5.38,5.25,2.56,-0.81,-2.03,-1.53,-2.56,-4.31,-4.78,-3.22,-2.62,-3.97,-4.22,-2.06,-0.31,-0.94,-2.19,-1.31,-0.34,-1.94,-4.25,-5.16,-5.06,-6.59,-9.16,-10.25,-9.09,-8.44,-9.75,-10.22,-8.62,-6.81,-6.97,-6.91,-4.34,-1.44,-0.62,-1.53,-1.12,0.19,0.0,-1.69,-2.59,-1.97,-1.94,-4.5,-6.41,-5.25,-3.38,-3.19,-2.97,-0.59,1.78,1.78,-0.03,-0.31,0.88,0.91,-0.34,-0.56,1.75,3.12,2.44,1.5,2.72,4.16,3.12,2.06,3.09,5.12,5.16,3.44,2.41,2.72,1.47,-1.56,-3.88,-3.44,-3.09,-3.97,-4.59,-3.19,-0.62,-0.84,-1.97,-1.16,0.47,0.5,-1.09,-1.12,0.22,1.34,0.59,0.78,3.56,5.91,5.69,4.81,5.84,6.88,6.0,3.69,3.06,3.41,2.81,0.97,0.69,2.88,4.16,2.84,1.44,2.25,2.91,1.69,-0.12,0.03,0.81,0.09,-1.53,-1.56,0.25,1.28,-0.16,-0.88,0.28,0.62,-0.62,-2.09,-0.97,0.78,0.72,-0.5,0.16,1.66,1.47,22.75,21.22,20.94,20.53,18.59,15.91,14.44:-14.66,-12.0,-9.69,-9.78,-9.75,-7.41,-5.0,-5.16,-6.19,-5.41,-3.84,-3.91,-5.22,-4.34,-1.75,0.38,0.91,1.78,4.84,6.81,5.66,3.34,3.19,3.09,1.25,-0.41,0.69,4.09,6.94,8.09,10.47,14.28,15.94,14.28,11.66,10.25,7.5,2.31,-3.0,-5.41,-6.16,-7.94,-9.47,-8.47,-5.25,-2.72,-1.75,0.0,3.09,4.5,2.41,-0.09,-0.62,-2.06,-6.06,-10.94,-13.16,-14.19,-15.91,-17.59,-16.25,-12.75,-10.34,-9.94,-8.47,-5.84,-4.03,-4.47,-5.16,-3.28,-1.19,-1.16,-2.06,-0.88,0.44,-0.19,-2.81,-4.31,-4.12,-4.72,-6.66,-7.12,-4.94,-2.91,-3.34,-4.16,-3.19,-2.69,-4.59,-7.28,-7.88,-7.16,-7.91,-9.41,-9.25,-7.12,-5.47,-5.84,-5.94,-4.22,-3.62,-5.59,-8.09,-8.03,-7.25,-8.75,-11.19,-11.69,-11.19,-11.81,-13.47,-13.44,-10.72,-7.78,-6.66,-4.69,-0.59,3.41,4.78,4.78,6.69,8.16,7.5,5.41,5.25,6.31,5.94,4.09,3.25,4.19,4.94,3.44,2.47,3.19,3.91,1.97,-0.62,-1.12,-1.06,-2.25,-4.56,-5.03,-3.47,-3.0,-3.97,-3.44,-1.41,0.25,-1.09,-2.34,-1.62,-0.81,-2.16,-3.94,-3.75,-2.31,-2.88,-4.38,-3.56,-1.19,0.66,0.44,0.78,2.16,2.56,0.25,-2.22,-2.16,-0.31,-0.12,-0.47,1.31,3.25,3.19,0.69,-0.94,-0.94,-1.91,-4.09,-5.34,-3.97,-2.56,-3.28,-4.09,-2.81,-0.97,-1.41,-3.19,-3.47,-3.16,-4.31,-7.84,-9.41,-9.5,-9.34,-10.84,-10.94,-8.41,-4.88,-3.97,-3.78,-1.97,-0.12,-0.56,-2.72,-3.0,-1.66,-1.78,-4.06,-4.81,-3.72,-3.09,-4.75,-5.81,-4.44,-2.62,-2.78,-3.53,-2.03,0.53,0.91,-0.19,0.0,1.38,1.19,-1.59,-3.81,-4.22,-5.44,-9.22,-12.84,-13.38,-13.06,-13.75,-14.28,-12.38,-8.91,-7.41,-7.5,-6.5,-4.12,-2.62,-3.34,-3.22,-0.88,1.22,1.0,0.38,1.75,3.84,3.22,0.97,0.41,0.19,-1.75,-5.47,-7.19,-6.62,-6.12,-7.28,-7.59,-5.94,-4.75,-6.91,-10.47,-12.62,-14.12,-18.03,-22.44,-23.5,-22.03,-21.12,-21.16,-19.66,-16.03,-13.09,-12.31,-11.03,-7.44,-3.72,-2.03,-0.97,1.97,6.16,7.88,7.78,8.78,10.34,10.25,7.81,5.38,4.91,4.0,0.75,-2.16,-2.59,-2.53,-4.69,-7.25,-7.22,-5.69,-5.72,-6.34,-5.69,-3.16,-1.56,-2.41,-2.75,-1.38,-1.06,-3.56,-5.72,-5.66,-4.31,-4.69,-5.22,-3.47,-0.47,0.03,-1.34,-1.66,-0.44,-0.25,-1.75,-2.62,-0.91,0.66,-0.06,-0.81,0.84,3.44,4.25,4.62,7.09,10.88,12.19,10.78,9.25,8.81,7.22,3.47,1.12,1.53,2.41,0.5,-1.91,-2.84,-3.47,-6.53,-10.16,-11.25,-10.22,-9.19,-9.16,-7.53,-3.69,-1.44,-1.72,-2.53,-1.53,-0.59,-2.31,-4.25,-3.5,-1.91,-1.25,-1.22,0.88,4.62,7.03,7.75,8.41,10.75,11.84,9.75,7.03,6.69,6.16,3.31,0.78,0.28,1.22,0.25,-1.97,-3.0,-2.91,-4.22,-7.94,-10.91,-11.5,-11.88,-13.91,-14.84,-11.88,-7.44,-4.78,-2.56,0.94,4.81,5.59,3.88,2.59,2.75,1.97,-0.47,-2.09,-0.41,1.19,0.12,-0.81,0.47,2.62,3.03,2.41,3.47,5.59,4.88,2.0,-0.59,-1.12,-3.06,-7.28,-10.66,-11.16,-11.34,-13.72,-15.81,-15.5,-13.56,-13.59,-14.38,-13.62,-11.38,-11.28,-13.78,-15.12,-14.19,-13.59,-14.72,-15.5,-13.69,-12.09,-13.5,-15.5,-14.66,-12.22,-11.09,-10.91,-8.81,-5.62,-4.53,-5.84,-6.62,-5.19,-4.06,-5.22,-6.34,-4.34,-2.03,-2.47,-3.41,-2.34,-0.28,-0.41,-2.03,-1.66,0.62,2.22,2.0,2.53,5.53,7.78,7.03,5.5,5.84,6.72,4.5,1.75,1.03,2.0,1.69,-0.09,-0.62,0.88,0.78,-2.16,-4.38,-4.09,-3.78,-5.81,-7.84,-7.16,-5.66,-5.88,-6.94,-5.69,-2.53,-0.81,-0.97,-0.28,2.16,3.41,1.81,0.88,2.53,4.44,3.66,2.12,2.62,3.25,1.44,-1.75,-2.91,-2.69,-3.56,-5.94,-7.19,-6.12,-5.94,-7.59,-8.69,-7.41,-5.31,-5.47,-5.81,-4.0,-0.78,0.22,0.0,0.66,2.66,2.19,-0.56,-2.69,-2.31,-2.22,-4.34,-6.09,-5.47,-4.47,-5.59,-7.06,-6.25,-4.03,-3.44,-4.09,-3.62,-1.12,0.19,-0.53,-0.53,1.75,3.84,3.53,3.0,4.78,7.0,6.28,4.25,3.47,3.91,2.44,-0.06,-0.84,0.97,2.31,2.0,2.31,4.47,5.78,4.12,1.34,0.81,1.0,-0.84,-3.12,-3.12,-1.12,-0.69,-2.0,-1.97,-0.72,-0.16,-2.38,-4.34,-3.59,-2.62,-3.84,-5.41,-4.28,-2.31,-2.91,-4.81,-5.41,-4.5,-5.0,-7.28,-8.56,-7.19,-6.5,-7.94,-8.53,-6.16,-3.31,-2.56,-2.5,0.06,3.41,4.81,4.75,6.09,8.88,9.5,7.62,5.84,5.72,4.75,1.28,-1.53,-1.56,-1.0,-1.91,-3.56,-2.59,-0.19,0.41,-0.03,0.78,3.0,3.66,1.62,0.28,1.31,2.0,0.72,-0.62,0.25,1.66,0.66,-1.41,-1.31,-0.31,-1.25,-4.03,-5.53,-5.38,-6.06,-8.47,-9.53,-8.0,-5.97,-6.03,-6.53,-3.88,-0.78,0.41,0.59,2.31,5.5,6.94,6.0,5.91,7.75,7.56,4.81,1.97,1.5,0.94,-2.0,-5.09,-5.06,-3.31,-3.28,-4.28,-3.81,-2.5,-3.16,-6.25,-8.34,-8.06,-7.88,-9.78,-10.88,-9.28,-7.28,-7.75,-8.03,-6.03,-2.91,-1.53,-1.69,0.16,3.16,4.97,4.16,3.84,5.66,6.28,4.22,2.31,3.06,4.12,2.88,0.59,0.88,1.66,0.91,-1.34,-1.84,-0.66,-0.28,-2.22,-3.22,-1.31,-0.09,-0.69,-1.94,-1.09,0.22,-0.53,-2.09,-1.69,0.31,0.62,-0.59,-0.91,0.75,1.62,0.03,-1.28,-0.09,0.5,-1.47,-3.84,-3.59,-2.09,-2.03,-2.5,-1.41,1.0,1.88,-0.03,-1.28,-0.06,0.69,-0.19,-0.19,2.5,5.56,6.0,5.41,6.72,8.28,7.62,5.25,4.03,4.31,3.56,0.66,-0.69,0.88,2.16,1.34,0.59,2.19,4.38,4.16,3.06,4.25,6.62,7.22,5.72,5.66,7.22,7.5,5.91,5.31,7.22,9.72,10.25,10.44,12.44,14.19,13.25,10.25,9.22,9.38,8.38,5.44,4.0,4.53,4.44,2.25,0.94,1.75,2.53,1.03,-1.12,-1.12,-0.12,-0.75,-2.38,-1.84,0.06,0.78,-0.59,-1.03,0.31,0.94,-0.88,-2.16,-0.97,0.62,-0.22,-1.88,-1.72,-0.84,-2.19,-3.81,-3.12,-0.69,1.47,1.66,2.25,4.81,6.66,5.66,4.66,5.5,6.88,5.44,2.94,1.81,1.59,-0.91,-5.06,-7.78,-8.31,-9.28,-11.12,-11.19,-7.84,-3.5,-1.28,0.53,3.84,6.53,5.88,3.62,2.41,2.66,1.78,-0.03,0.03,1.94,3.0,1.53,0.25,1.16,2.41,1.81,1.53,3.16,5.41,5.34,4.12,4.25,6.16,6.34,5.03,4.47,5.53,6.28,4.44,3.47,4.53,6.12,5.41,3.94,4.44,6.03,5.81,5.0,5.25,7.25,7.81,5.84,4.81,5.22,5.0,2.28,0.09,-0.16,0.38,-1.22,-3.22,-2.91,-1.88,-2.66,-4.59,-5.09,-3.59,-2.56,-3.12,-2.88,-0.25,1.5,0.56,-0.81,-0.59,0.28,-1.09,-3.03,-3.09,-1.28,-1.0,-1.78,-1.66,0.41,1.03,-1.12,-2.97,-2.59,-1.75,-2.53,-2.91,-0.88,1.75,2.16,0.94,0.84,1.69,0.91,-1.44,-2.88,-2.75,-3.06,-5.41,-6.94,-5.56,-3.72,-3.72,-4.12,-3.56,-1.91,-2.09,-3.69,-3.69,-2.47,-2.5,-4.88,-6.91,-6.94,-6.41,-7.28,-7.19,-4.72,-1.69,-1.44,-2.5,-2.19,-0.59,-0.59,-1.84,-2.34,-1.22,-1.88,-4.41,-6.22,-5.38,-4.16,-4.75,-4.81,-3.0,-0.16,0.5,0.91,2.09,5.03,6.12,5.47,5.78,7.94,8.66,7.5,6.75,8.41,10.19,9.84,8.91,10.19,11.53,10.5,8.06,6.91,7.53,7.09,5.28,4.97,6.75,8.0,6.66,5.09,5.38,5.25,2.56,-0.81,-2.03,-1.53,-2.56,-4.31,-4.78,-3.22,-2.62,-3.97,-4.22,-2.06,-0.31,-0.94,-2.19,-1.31,-0.34,-1.94,-4.25,-5.16,-5.06,-6.59,-9.16,-10.25,-9.09,-8.44,-9.75,-10.22,-8.62,-6.81,-6.97,-6.91,-4.34,-1.44,-0.62,-1.53,-1.12,0.19,0.0,-1.69,-2.59,-1.97,-1.94,-4.5,-6.41,-5.25,-3.38,-3.19,-2.97,-0.59,1.78,1.78,-0.03,-0.31,0.88,0.91,-0.34,-0.56,1.75,3.12,2.44,1.5,2.72,4.16,3.12,2.06,3.09,5.12,5.16,3.44,2.41,2.72,1.47,-1.56,-3.88,-3.44,-3.09,-3.97,-4.59,-3.19,-0.62,-0.84,-1.97,-1.16,0.47,0.5,-1.09,-1.12,0.22,1.34,0.59,0.78,3.56,5.91,5.69,4.81,5.84,6.88,6.0,3.69,3.06,3.41,2.81,0.97,0.69,2.88,4.16,2.84,1.44,2.25,2.91,1.69,-0.12,0.03,0.81,0.09,-1.53,-1.56,0.25,1.28,-0.16,-0.88,0.28,0.62,-0.62,-2.09,-0.97,0.78,0.72,-0.5,0.16,1.66,1.47,22.75,21.22,20.94,20.53,18.59,15.91,14.44,13.5,11.28,8.53,7.34,7.81,8.41,8.5:-5.16,-6.19,-5.41,-3.84,-3.91,-5.22,-4.34,-1.75,0.38,0.91,1.78,4.84,6.81,5.66,3.34,3.19,3.09,1.25,-0.41,0.69,4.09,6.94,8.09,10.47,14.28,15.94,14.28,11.66,10.25,7.5,2.31,-3.0,-5.41,-6.16,-7.94,-9.47,-8.47,-5.25,-2.72,-1.75,0.0,3.09,4.5,2.41,-0.09,-0.62,-2.06,-6.06,-10.94,-13.16,-14.19,-15.91,-17.59,-16.25,-12.75,-10.34,-9.94,-8.47,-5.84,-4.03,-4.47,-5.16,-3.28,-1.19,-1.16,-2.06,-0.88,0.44,-0.19,-2.81,-4.31,-4.12,-4.72,-6.66,-7.12,-4.94,-2.91,-3.34,-4.16,-3.19,-2.69,-4.59,-7.28,-7.88,-7.16,-7.91,-9.41,-9.25,-7.12,-5.47,-5.84,-5.94,-4.22,-3.62,-5.59,-8.09,-8.03,-7.25,-8.75,-11.19,-11.69,-11.19,-11.81,-13.47,-13.44,-10.72,-7.78,-6.66,-4.69,-0.59,3.41,4.78,4.78,6.69,8.16,7.5,5.41,5.25,6.31,5.94,4.09,3.25,4.19,4.94,3.44,2.47,3.19,3.91,1.97,-0.62,-1.12,-1.06,-2.25,-4.56,-5.03,-3.47,-3.0,-3.97,-3.44,-1.41,0.25,-1.09,-2.34,-1.62,-0.81,-2.16,-3.94,-3.75,-2.31,-2.88,-4.38,-3.56,-1.19,0.66,0.44,0.78,2.16,2.56,0.25,-2.22,-2.16,-0.31,-0.12,-0.47,1.31,3.25,3.19,0.69,-0.94,-0.94,-1.91,-4.09,-5.34,-3.97,-2.56,-3.28,-4.09,-2.81,-0.97,-1.41,-3.19,-3.47,-3.16,-4.31,-7.84,-9.41,-9.5,-9.34,-10.84,-10.94,-8.41,-4.88,-3.97,-3.78,-1.97,-0.12,-0.56,-2.72,-3.0,-1.66,-1.78,-4.06,-4.81,-3.72,-3.09,-4.75,-5.81,-4.44,-2.62,-2.78,-3.53,-2.03,0.53,0.91,-0.19,0.0,1.38,1.19,-1.59,-3.81,-4.22,-5.44,-9.22,-12.84,-13.38,-13.06,-13.75,-14.28,-12.38,-8.91,-7.41,-7.5,-6.5,-4.12,-2.62,-3.34,-3.22,-0.88,1.22,1.0,0.38,1.75,3.84,3.22,0.97,0.41,0.19,-1.75,-5.47,-7.19,-6.62,-6.12,-7.28,-7.59,-5.94,-4.75,-6.91,-10.47,-12.62,-14.12,-18.03,-22.44,-23.5,-22.03,-21.12,-21.16,-19.66,-16.03,-13.09,-12.31,-11.03,-7.44,-3.72,-2.03,-0.97,1.97,6.16,7.88,7.78,8.78,10.34,10.25,7.81,5.38,4.91,4.0,0.75,-2.16,-2.59,-2.53,-4.69,-7.25,-7.22,-5.69,-5.72,-6.34,-5.69,-3.16,-1.56,-2.41,-2.75,-1.38,-1.06,-3.56,-5.72,-5.66,-4.31,-4.69,-5.22,-3.47,-0.47,0.03,-1.34,-1.66,-0.44,-0.25,-1.75,-2.62,-0.91,0.66,-0.06,-0.81,0.84,3.44,4.25,4.62,7.09,10.88,12.19,10.78,9.25,8.81,7.22,3.47,1.12,1.53,2.41,0.5,-1.91,-2.84,-3.47,-6.53,-10.16,-11.25,-10.22,-9.19,-9.16,-7.53,-3.69,-1.44,-1.72,-2.53,-1.53,-0.59,-2.31,-4.25,-3.5,-1.91,-1.25,-1.22,0.88,4.62,7.03,7.75,8.41,10.75,11.84,9.75,7.03,6.69,6.16,3.31,0.78,0.28,1.22,0.25,-1.97,-3.0,-2.91,-4.22,-7.94,-10.91,-11.5,-11.88,-13.91,-14.84,-11.88,-7.44,-4.78,-2.56,0.94,4.81,5.59,3.88,2.59,2.75,1.97,-0.47,-2.09,-0.41,1.19,0.12,-0.81,0.47,2.62,3.03,2.41,3.47,5.59,4.88,2.0,-0.59,-1.12,-3.06,-7.28,-10.66,-11.16,-11.34,-13.72,-15.81,-15.5,-13.56,-13.59,-14.38,-13.62,-11.38,-11.28,-13.78,-15.12,-14.19,-13.59,-14.72,-15.5,-13.69,-12.09,-13.5,-15.5,-14.66,-12.22,-11.09,-10.91,-8.81,-5.62,-4.53,-5.84,-6.62,-5.19,-4.06,-5.22,-6.34,-4.34,-2.03,-2.47,-3.41,-2.34,-0.28,-0.41,-2.03,-1.66,0.62,2.22,2.0,2.53,5.53,7.78,7.03,5.5,5.84,6.72,4.5,1.75,1.03,2.0,1.69,-0.09,-0.62,0.88,0.78,-2.16,-4.38,-4.09,-3.78,-5.81,-7.84,-7.16,-5.66,-5.88,-6.94,-5.69,-2.53,-0.81,-0.97,-0.28,2.16,3.41,1.81,0.88,2.53,4.44,3.66,2.12,2.62,3.25,1.44,-1.75,-2.91,-2.69,-3.56,-5.94,-7.19,-6.12,-5.94,-7.59,-8.69,-7.41,-5.31,-5.47,-5.81,-4.0,-0.78,0.22,0.0,0.66,2.66,2.19,-0.56,-2.69,-2.31,-2.22,-4.34,-6.09,-5.47,-4.47,-5.59,-7.06,-6.25,-4.03,-3.44,-4.09,-3.62,-1.12,0.19,-0.53,-0.53,1.75,3.84,3.53,3.0,4.78,7.0,6.28,4.25,3.47,3.91,2.44,-0.06,-0.84,0.97,2.31,2.0,2.31,4.47,5.78,4.12,1.34,0.81,1.0,-0.84,-3.12,-3.12,-1.12,-0.69,-2.0,-1.97,-0.72,-0.16,-2.38,-4.34,-3.59,-2.62,-3.84,-5.41,-4.28,-2.31,-2.91,-4.81,-5.41,-4.5,-5.0,-7.28,-8.56,-7.19,-6.5,-7.94,-8.53,-6.16,-3.31,-2.56,-2.5,0.06,3.41,4.81,4.75,6.09,8.88,9.5,7.62,5.84,5.72,4.75,1.28,-1.53,-1.56,-1.0,-1.91,-3.56,-2.59,-0.19,0.41,-0.03,0.78,3.0,3.66,1.62,0.28,1.31,2.0,0.72,-0.62,0.25,1.66,0.66,-1.41,-1.31,-0.31,-1.25,-4.03,-5.53,-5.38,-6.06,-8.47,-9.53,-8.0,-5.97,-6.03,-6.53,-3.88,-0.78,0.41,0.59,2.31,5.5,6.94,6.0,5.91,7.75,7.56,4.81,1.97,1.5,0.94,-2.0,-5.09,-5.06,-3.31,-3.28,-4.28,-3.81,-2.5,-3.16,-6.25,-8.34,-8.06,-7.88,-9.78,-10.88,-9.28,-7.28,-7.75,-8.03,-6.03,-2.91,-1.53,-1.69,0.16,3.16,4.97,4.16,3.84,5.66,6.28,4.22,2.31,3.06,4.12,2.88,0.59,0.88,1.66,0.91,-1.34,-1.84,-0.66,-0.28,-2.22,-3.22,-1.31,-0.09,-0.69,-1.94,-1.09,0.22,-0.53,-2.09,-1.69,0.31,0.62,-0.59,-0.91,0.75,1.62,0.03,-1.28,-0.09,0.5,-1.47,-3.84,-3.59,-2.09,-2.03,-2.5,-1.41,1.0,1.88,-0.03,-1.28,-0.06,0.69,-0.19,-0.19,2.5,5.56,6.0,5.41,6.72,8.28,7.62,5.25,4.03,4.31,3.56,0.66,-0.69,0.88,2.16,1.34,0.59,2.19,4.38,4.16,3.06,4.25,6.62,7.22,5.72,5.66,7.22,7.5,5.91,5.31,7.22,9.72,10.25,10.44,12.44,14.19,13.25,10.25,9.22,9.38,8.38,5.44,4.0,4.53,4.44,2.25,0.94,1.75,2.53,1.03,-1.12,-1.12,-0.12,-0.75,-2.38,-1.84,0.06,0.78,-0.59,-1.03,0.31,0.94,-0.88,-2.16,-0.97,0.62,-0.22,-1.88,-1.72,-0.84,-2.19,-3.81,-3.12,-0.69,1.47,1.66,2.25,4.81,6.66,5.66,4.66,5.5,6.88,5.44,2.94,1.81,1.59,-0.91,-5.06,-7.78,-8.31,-9.28,-11.12,-11.19,-7.84,-3.5,-1.28,0.53,3.84,6.53,5.88,3.62,2.41,2.66,1.78,-0.03,0.03,1.94,3.0,1.53,0.25,1.16,2.41,1.81,1.53,3.16,5.41,5.34,4.12,4.25,6.16,6.34,5.03,4.47,5.53,6.28,4.44,3.47,4.53,6.12,5.41,3.94,4.44,6.03,5.81,5.0,5.25,7.25,7.81,5.84,4.81,5.22,5.0,2.28,0.09,-0.16,0.38,-1.22,-3.22,-2.91,-1.88,-2.66,-4.59,-5.09,-3.59,-2.56,-3.12,-2.88,-0.25,1.5,0.56,-0.81,-0.59,0.28,-1.09,-3.03,-3.09,-1.28,-1.0,-1.78,-1.66,0.41,1.03,-1.12,-2.97,-2.59,-1.75,-2.53,-2.91,-0.88,1.75,2.16,0.94,0.84,1.69,0.91,-1.44,-2.88,-2.75,-3.06,-5.41,-6.94,-5.56,-3.72,-3.72,-4.12,-3.56,-1.91,-2.09,-3.69,-3.69,-2.47,-2.5,-4.88,-6.91,-6.94,-6.41,-7.28,-7.19,-4.72,-1.69,-1.44,-2.5,-2.19,-0.59,-0.59,-1.84,-2.34,-1.22,-1.88,-4.41,-6.22,-5.38,-4.16,-4.75,-4.81,-3.0,-0.16,0.5,0.91,2.09,5.03,6.12,5.47,5.78,7.94,8.66,7.5,6.75,8.41,10.19,9.84,8.91,10.19,11.53,10.5,8.06,6.91,7.53,7.09,5.28,4.97,6.75,8.0,6.66,5.09,5.38,5.25,2.56,-0.81,-2.03,-1.53,-2.56,-4.31,-4.78,-3.22,-2.62,-3.97,-4.22,-2.06,-0.31,-0.94,-2.19,-1.31,-0.34,-1.94,-4.25,-5.16,-5.06,-6.59,-9.16,-10.25,-9.09,-8.44,-9.75,-10.22,-8.62,-6.81,-6.97,-6.91,-4.34,-1.44,-0.62,-1.53,-1.12,0.19,0.0,-1.69,-2.59,-1.97,-1.94,-4.5,-6.41,-5.25,-3.38,-3.19,-2.97,-0.59,1.78,1.78,-0.03,-0.31,0.88,0.91,-0.34,-0.56,1.75,3.12,2.44,1.5,2.72,4.16,3.12,2.06,3.09,5.12,5.16,3.44,2.41,2.72,1.47,-1.56,-3.88,-3.44,-3.09,-3.97,-4.59,-3.19,-0.62,-0.84,-1.97,-1.16,0.47,0.5,-1.09,-1.12,0.22,1.34,0.59,0.78,3.56,5.91,5.69,4.81,5.84,6.88,6.0,3.69,3.06,3.41,2.81,0.97,0.69,2.88,4.16,2.84,1.44,2.25,2.91,1.69,-0.12,0.03,0.81,0.09,-1.53,-1.56,0.25,1.28,-0.16,-0.88,0.28,0.62,-0.62,-2.09,-0.97,0.78,0.72,-0.5,0.16,1.66,1.47,22.75,21.22,20.94,20.53,18.59,15.91,14.44,13.5,11.28,8.53,7.34,7.81,8.41,8.5,9.94,13.31,16.25,17.09,17.72,19.41,20.28:-1.75,0.38,0.91,1.78,4.84,6.81,5.66,3.34,3.19,3.09,1.25,-0.41,0.69,4.09,6.94,8.09,10.47,14.28,15.94,14.28,11.66,10.25,7.5,2.31,-3.0,-5.41,-6.16,-7.94,-9.47,-8.47,-5.25,-2.72,-1.75,0.0,3.09,4.5,2.41,-0.09,-0.62,-2.06,-6.06,-10.94,-13.16,-14.19,-15.91,-17.59,-16.25,-12.75,-10.34,-9.94,-8.47,-5.84,-4.03,-4.47,-5.16,-3.28,-1.19,-1.16,-2.06,-0.88,0.44,-0.19,-2.81,-4.31,-4.12,-4.72,-6.66,-7.12,-4.94,-2.91,-3.34,-4.16,-3.19,-2.69,-4.59,-7.28,-7.88,-7.16,-7.91,-9.41,-9.25,-7.12,-5.47,-5.84,-5.94,-4.22,-3.62,-5.59,-8.09,-8.03,-7.25,-8.75,-11.19,-11.69,-11.19,-11.81,-13.47,-13.44,-10.72,-7.78,-6.66,-4.69,-0.59,3.41,4.78,4.78,6.69,8.16,7.5,5.41,5.25,6.31,5.94,4.09,3.25,4.19,4.94,3.44,2.47,3.19,3.91,1.97,-0.62,-1.12,-1.06,-2.25,-4.56,-5.03,-3.47,-3.0,-3.97,-3.44,-1.41,0.25,-1.09,-2.34,-1.62,-0.81,-2.16,-3.94,-3.75,-2.31,-2.88,-4.38,-3.56,-1.19,0.66,0.44,0.78,2.16,2.56,0.25,-2.22,-2.16,-0.31,-0.12,-0.47,1.31,3.25,3.19,0.69,-0.94,-0.94,-1.91,-4.09,-5.34,-3.97,-2.56,-3.28,-4.09,-2.81,-0.97,-1.41,-3.19,-3.47,-3.16,-4.31,-7.84,-9.41,-9.5,-9.34,-10.84,-10.94,-8.41,-4.88,-3.97,-3.78,-1.97,-0.12,-0.56,-2.72,-3.0,-1.66,-1.78,-4.06,-4.81,-3.72,-3.09,-4.75,-5.81,-4.44,-2.62,-2.78,-3.53,-2.03,0.53,0.91,-0.19,0.0,1.38,1.19,-1.59,-3.81,-4.22,-5.44,-9.22,-12.84,-13.38,-13.06,-13.75,-14.28,-12.38,-8.91,-7.41,-7.5,-6.5,-4.12,-2.62,-3.34,-3.22,-0.88,1.22,1.0,0.38,1.75,3.84,3.22,0.97,0.41,0.19,-1.75,-5.47,-7.19,-6.62,-6.12,-7.28,-7.59,-5.94,-4.75,-6.91,-10.47,-12.62,-14.12,-18.03,-22.44,-23.5,-22.03,-21.12,-21.16,-19.66,-16.03,-13.09,-12.31,-11.03,-7.44,-3.72,-2.03,-0.97,1.97,6.16,7.88,7.78,8.78,10.34,10.25,7.81,5.38,4.91,4.0,0.75,-2.16,-2.59,-2.53,-4.69,-7.25,-7.22,-5.69,-5.72,-6.34,-5.69,-3.16,-1.56,-2.41,-2.75,-1.38,-1.06,-3.56,-5.72,-5.66,-4.31,-4.69,-5.22,-3.47,-0.47,0.03,-1.34,-1.66,-0.44,-0.25,-1.75,-2.62,-0.91,0.66,-0.06,-0.81,0.84,3.44,4.25,4.62,7.09,10.88,12.19,10.78,9.25,8.81,7.22,3.47,1.12,1.53,2.41,0.5,-1.91,-2.84,-3.47,-6.53,-10.16,-11.25,-10.22,-9.19,-9.16,-7.53,-3.69,-1.44,-1.72,-2.53,-1.53,-0.59,-2.31,-4.25,-3.5,-1.91,-1.25,-1.22,0.88,4.62,7.03,7.75,8.41,10.75,11.84,9.75,7.03,6.69,6.16,3.31,0.78,0.28,1.22,0.25,-1.97,-3.0,-2.91,-4.22,-7.94,-10.91,-11.5,-11.88,-13.91,-14.84,-11.88,-7.44,-4.78,-2.56,0.94,4.81,5.59,3.88,2.59,2.75,1.97,-0.47,-2.09,-0.41,1.19,0.12,-0.81,0.47,2.62,3.03,2.41,3.47,5.59,4.88,2.0,-0.59,-1.12,-3.06,-7.28,-10.66,-11.16,-11.34,-13.72,-15.81,-15.5,-13.56,-13.59,-14.38,-13.62,-11.38,-11.28,-13.78,-15.12,-14.19,-13.59,-14.72,-15.5,-13.69,-12.09,-13.5,-15.5,-14.66,-12.22,-11.09,-10.91,-8.81,-5.62,-4.53,-5.84,-6.62,-5.19,-4.06,-5.22,-6.34,-4.34,-2.03,-2.47,-3.41,-2.34,-0.28,-0.41,-2.03,-1.66,0.62,2.22,2.0,2.53,5.53,7.78,7.03,5.5,5.84,6.72,4.5,1.75,1.03,2.0,1.69,-0.09,-0.62,0.88,0.78,-2.16,-4.38,-4.09,-3.78,-5.81,-7.84,-7.16,-5.66,-5.88,-6.94,-5.69,-2.53,-0.81,-0.97,-0.28,2.16,3.41,1.81,0.88,2.53,4.44,3.66,2.12,2.62,3.25,1.44,-1.75,-2.91,-2.69,-3.56,-5.94,-7.19,-6.12,-5.94,-7.59,-8.69,-7.41,-5.31,-5.47,-5.81,-4.0,-0.78,0.22,0.0,0.66,2.66,2.19,-0.56,-2.69,-2.31,-2.22,-4.34,-6.09,-5.47,-4.47,-5.59,-7.06,-6.25,-4.03,-3.44,-4.09,-3.62,-1.12,0.19,-0.53,-0.53,1.75,3.84,3.53,3.0,4.78,7.0,6.28,4.25,3.47,3.91,2.44,-0.06,-0.84,0.97,2.31,2.0,2.31,4.47,5.78,4.12,1.34,0.81,1.0,-0.84,-3.12,-3.12,-1.12,-0.69,-2.0,-1.97,-0.72,-0.16,-2.38,-4.34,-3.59,-2.62,-3.84,-5.41,-4.28,-2.31,-2.91,-4.81,-5.41,-4.5,-5.0,-7.28,-8.56,-7.19,-6.5,-7.94,-8.53,-6.16,-3.31,-2.56,-2.5,0.06,3.41,4.81,4.75,6.09,8.88,9.5,7.62,5.84,5.72,4.75,1.28,-1.53,-1.56,-1.0,-1.91,-3.56,-2.59,-0.19,0.41,-0.03,0.78,3.0,3.66,1.62,0.28,1.31,2.0,0.72,-0.62,0.25,1.66,0.66,-1.41,-1.31,-0.31,-1.25,-4.03,-5.53,-5.38,-6.06,-8.47,-9.53,-8.0,-5.97,-6.03,-6.53,-3.88,-0.78,0.41,0.59,2.31,5.5,6.94,6.0,5.91,7.75,7.56,4.81,1.97,1.5,0.94,-2.0,-5.09,-5.06,-3.31,-3.28,-4.28,-3.81,-2.5,-3.16,-6.25,-8.34,-8.06,-7.88,-9.78,-10.88,-9.28,-7.28,-7.75,-8.03,-6.03,-2.91,-1.53,-1.69,0.16,3.16,4.97,4.16,3.84,5.66,6.28,4.22,2.31,3.06,4.12,2.88,0.59,0.88,1.66,0.91,-1.34,-1.84,-0.66,-0.28,-2.22,-3.22,-1.31,-0.09,-0.69,-1.94,-1.09,0.22,-0.53,-2.09,-1.69,0.31,0.62,-0.59,-0.91,0.75,1.62,0.03,-1.28,-0.09,0.5,-1.47,-3.84,-3.59,-2.09,-2.03,-2.5,-1.41,1.0,1.88,-0.03,-1.28,-0.06,0.69,-0.19,-0.19,2.5,5.56,6.0,5.41,6.72,8.28,7.62,5.25,4.03,4.31,3.56,0.66,-0.69,0.88,2.16,1.34,0.59,2.19,4.38,4.16,3.06,4.25,6.62,7.22,5.72,5.66,7.22,7.5,5.91,5.31,7.22,9.72,10.25,10.44,12.44,14.19,13.25,10.25,9.22,9.38,8.38,5.44,4.0,4.53,4.44,2.25,0.94,1.75,2.53,1.03,-1.12,-1.12,-0.12,-0.75,-2.38,-1.84,0.06,0.78,-0.59,-1.03,0.31,0.94,-0.88,-2.16,-0.97,0.62,-0.22,-1.88,-1.72,-0.84,-2.19,-3.81,-3.12,-0.69,1.47,1.66,2.25,4.81,6.66,5.66,4.66,5.5,6.88,5.44,2.94,1.81,1.59,-0.91,-5.06,-7.78,-8.31,-9.28,-11.12,-11.19,-7.84,-3.5,-1.28,0.53,3.84,6.53,5.88,3.62,2.41,2.66,1.78,-0.03,0.03,1.94,3.0,1.53,0.25,1.16,2.41,1.81,1.53,3.16,5.41,5.34,4.12,4.25,6.16,6.34,5.03,4.47,5.53,6.28,4.44,3.47,4.53,6.12,5.41,3.94,4.44,6.03,5.81,5.0,5.25,7.25,7.81,5.84,4.81,5.22,5.0,2.28,0.09,-0.16,0.38,-1.22,-3.22,-2.91,-1.88,-2.66,-4.59,-5.09,-3.59,-2.56,-3.12,-2.88,-0.25,1.5,0.56,-0.81,-0.59,0.28,-1.09,-3.03,-3.09,-1.28,-1.0,-1.78,-1.66,0.41,1.03,-1.12,-2.97,-2.59,-1.75,-2.53,-2.91,-0.88,1.75,2.16,0.94,0.84,1.69,0.91,-1.44,-2.88,-2.75,-3.06,-5.41,-6.94,-5.56,-3.72,-3.72,-4.12,-3.56,-1.91,-2.09,-3.69,-3.69,-2.47,-2.5,-4.88,-6.91,-6.94,-6.41,-7.28,-7.19,-4.72,-1.69,-1.44,-2.5,-2.19,-0.59,-0.59,-1.84,-2.34,-1.22,-1.88,-4.41,-6.22,-5.38,-4.16,-4.75,-4.81,-3.0,-0.16,0.5,0.91,2.09,5.03,6.12,5.47,5.78,7.94,8.66,7.5,6.75,8.41,10.19,9.84,8.91,10.19,11.53,10.5,8.06,6.91,7.53,7.09,5.28,4.97,6.75,8.0,6.66,5.09,5.38,5.25,2.56,-0.81,-2.03,-1.53,-2.56,-4.31,-4.78,-3.22,-2.62,-3.97,-4.22,-2.06,-0.31,-0.94,-2.19,-1.31,-0.34,-1.94,-4.25,-5.16,-5.06,-6.59,-9.16,-10.25,-9.09,-8.44,-9.75,-10.22,-8.62,-6.81,-6.97,-6.91,-4.34,-1.44,-0.62,-1.53,-1.12,0.19,0.0,-1.69,-2.59,-1.97,-1.94,-4.5,-6.41,-5.25,-3.38,-3.19,-2.97,-0.59,1.78,1.78,-0.03,-0.31,0.88,0.91,-0.34,-0.56,1.75,3.12,2.44,1.5,2.72,4.16,3.12,2.06,3.09,5.12,5.16,3.44,2.41,2.72,1.47,-1.56,-3.88,-3.44,-3.09,-3.97,-4.59,-3.19,-0.62,-0.84,-1.97,-1.16,0.47,0.5,-1.09,-1.12,0.22,1.34,0.59,0.78,3.56,5.91,5.69,4.81,5.84,6.88,6.0,3.69,3.06,3.41,2.81,0.97,0.69,2.88,4.16,2.84,1.44,2.25,2.91,1.69,-0.12,0.03,0.81,0.09,-1.53,-1.56,0.25,1.28,-0.16,-0.88,0.28,0.62,-0.62,-2.09,-0.97,0.78,0.72,-0.5,0.16,1.66,1.47,22.75,21.22,20.94,20.53,18.59,15.91,14.44,13.5,11.28,8.53,7.34,7.81,8.41,8.5,9.94,13.31,16.25,17.09,17.72,19.41,20.28,19.62,18.06,18.06,18.88,18.66,18.0,19.09:3.34,3.19,3.09,1.25,-0.41,0.69,4.09,6.94,8.09,10.47,14.28,15.94,14.28,11.66,10.25,7.5,2.31,-3.0,-5.41,-6.16,-7.94,-9.47,-8.47,-5.25,-2.72,-1.75,0.0,3.09,4.5,2.41,-0.09,-0.62,-2.06,-6.06,-10.94,-13.16,-14.19,-15.91,-17.59,-16.25,-12.75,-10.34,-9.94,-8.47,-5.84,-4.03,-4.47,-5.16,-3.28,-1.19,-1.16,-2.06,-0.88,0.44,-0.19,-2.81,-4.31,-4.12,-4.72,-6.66,-7.12,-4.94,-2.91,-3.34,-4.16,-3.19,-2.69,-4.59,-7.28,-7.88,-7.16,-7.91,-9.41,-9.25,-7.12,-5.47,-5.84,-5.94,-4.22,-3.62,-5.59,-8.09,-8.03,-7.25,-8.75,-11.19,-11.69,-11.19,-11.81,-13.47,-13.44,-10.72,-7.78,-6.66,-4.69,-0.59,3.41,4.78,4.78,6.69,8.16,7.5,5.41,5.25,6.31,5.94,4.09,3.25,4.19,4.94,3.44,2.47,3.19,3.91,1.97,-0.62,-1.12,-1.06,-2.25,-4.56,-5.03,-3.47,-3.0,-3.97,-3.44,-1.41,0.25,-1.09,-2.34,-1.62,-0.81,-2.16,-3.94,-3.75,-2.31,-2.88,-4.38,-3.56,-1.19,0.66,0.44,0.78,2.16,2.56,0.25,-2.22,-2.16,-0.31,-0.12,-0.47,1.31,3.25,3.19,0.69,-0.94,-0.94,-1.91,-4.09,-5.34,-3.97,-2.56,-3.28,-4.09,-2.81,-0.97,-1.41,-3.19,-3.47,-3.16,-4.31,-7.84,-9.41,-9.5,-9.34,-10.84,-10.94,-8.41,-4.88,-3.97,-3.78,-1.97,-0.12,-0.56,-2.72,-3.0,-1.66,-1.78,-4.06,-4.81,-3.72,-3.09,-4.75,-5.81,-4.44,-2.62,-2.78,-3.53,-2.03,0.53,0.91,-0.19,0.0,1.38,1.19,-1.59,-3.81,-4.22,-5.44,-9.22,-12.84,-13.38,-13.06,-13.75,-14.28,-12.38,-8.91,-7.41,-7.5,-6.5,-4.12,-2.62,-3.34,-3.22,-0.88,1.22,1.0,0.38,1.75,3.84,3.22,0.97,0.41,0.19,-1.75,-5.47,-7.19,-6.62,-6.12,-7.28,-7.59,-5.94,-4.75,-6.91,-10.47,-12.62,-14.12,-18.03,-22.44,-23.5,-22.03,-21.12,-21.16,-19.66,-16.03,-13.09,-12.31,-11.03,-7.44,-3.72,-2.03,-0.97,1.97,6.16,7.88,7.78,8.78,10.34,10.25,7.81,5.38,4.91,4.0,0.75,-2.16,-2.59,-2.53,-4.69,-7.25,-7.22,-5.69,-5.72,-6.34,-5.69,-3.16,-1.56,-2.41,-2.75,-1.38,-1.06,-3.56,-5.72,-5.66,-4.31,-4.69,-5.22,-3.47,-0.47,0.03,-1.34,-1.66,-0.44,-0.25,-1.75,-2.62,-0.91,0.66,-0.06,-0.81,0.84,3.44,4.25,4.62,7.09,10.88,12.19,10.78,9.25,8.81,7.22,3.47,1.12,1.53,2.41,0.5,-1.91,-2.84,-3.47,-6.53,-10.16,-11.25,-10.22,-9.19,-9.16,-7.53,-3.69,-1.44,-1.72,-2.53,-1.53,-0.59,-2.31,-4.25,-3.5,-1.91,-1.25,-1.22,0.88,4.62,7.03,7.75,8.41,10.75,11.84,9.75,7.03,6.69,6.16,3.31,0.78,0.28,1.22,0.25,-1.97,-3.0,-2.91,-4.22,-7.94,-10.91,-11.5,-11.88,-13.91,-14.84,-11.88,-7.44,-4.78,-2.56,0.94,4.81,5.59,3.88,2.59,2.75,1.97,-0.47,-2.09,-0.41,1.19,0.12,-0.81,0.47,2.62,3.03,2.41,3.47,5.59,4.88,2.0,-0.59,-1.12,-3.06,-7.28,-10.66,-11.16,-11.34,-13.72,-15.81,-15.5,-13.56,-13.59,-14.38,-13.62,-11.38,-11.28,-13.78,-15.12,-14.19,-13.59,-14.72,-15.5,-13.69,-12.09,-13.5,-15.5,-14.66,-12.22,-11.09,-10.91,-8.81,-5.62,-4.53,-5.84,-6.62,-5.19,-4.06,-5.22,-6.34,-4.34,-2.03,-2.47,-3.41,-2.34,-0.28,-0.41,-2.03,-1.66,0.62,2.22,2.0,2.53,5.53,7.78,7.03,5.5,5.84,6.72,4.5,1.75,1.03,2.0,1.69,-0.09,-0.62,0.88,0.78,-2.16,-4.38,-4.09,-3.78,-5.81,-7.84,-7.16,-5.66,-5.88,-6.94,-5.69,-2.53,-0.81,-0.97,-0.28,2.16,3.41,1.81,0.88,2.53,4.44,3.66,2.12,2.62,3.25,1.44,-1.75,-2.91,-2.69,-3.56,-5.94,-7.19,-6.12,-5.94,-7.59,-8.69,-7.41,-5.31,-5.47,-5.81,-4.0,-0.78,0.22,0.0,0.66,2.66,2.19,-0.56,-2.69,-2.31,-2.22,-4.34,-6.09,-5.47,-4.47,-5.59,-7.06,-6.25,-4.03,-3.44,-4.09,-3.62,-1.12,0.19,-0.53,-0.53,1.75,3.84,3.53,3.0,4.78,7.0,6.28,4.25,3.47,3.91,2.44,-0.06,-0.84,0.97,2.31,2.0,2.31,4.47,5.78,4.12,1.34,0.81,1.0,-0.84,-3.12,-3.12,-1.12,-0.69,-2.0,-1.97,-0.72,-0.16,-2.38,-4.34,-3.59,-2.62,-3.84,-5.41,-4.28,-2.31,-2.91,-4.81,-5.41,-4.5,-5.0,-7.28,-8.56,-7.19,-6.5,-7.94,-8.53,-6.16,-3.31,-2.56,-2.5,0.06,3.41,4.81,4.75,6.09,8.88,9.5,7.62,5.84,5.72,4.75,1.28,-1.53,-1.56,-1.0,-1.91,-3.56,-2.59,-0.19,0.41,-0.03,0.78,3.0,3.66,1.62,0.28,1.31,2.0,0.72,-0.62,0.25,1.66,0.66,-1.41,-1.31,-0.31,-1.25,-4.03,-5.53,-5.38,-6.06,-8.47,-9.53,-8.0,-5.97,-6.03,-6.53,-3.88,-0.78,0.41,0.59,2.31,5.5,6.94,6.0,5.91,7.75,7.56,4.81,1.97,1.5,0.94,-2.0,-5.09,-5.06,-3.31,-3.28,-4.28,-3.81,-2.5,-3.16,-6.25,-8.34,-8.06,-7.88,-9.78,-10.88,-9.28,-7.28,-7.75,-8.03,-6.03,-2.91,-1.53,-1.69,0.16,3.16,4.97,4.16,3.84,5.66,6.28,4.22,2.31,3.06,4.12,2.88,0.59,0.88,1.66,0.91,-1.34,-1.84,-0.66,-0.28,-2.22,-3.22,-1.31,-0.09,-0.69,-1.94,-1.09,0.22,-0.53,-2.09,-1.69,0.31,0.62,-0.59,-0.91,0.75,1.62,0.03,-1.28,-0.09,0.5,-1.47,-3.84,-3.59,-2.09,-2.03,-2.5,-1.41,1.0,1.88,-0.03,-1.28,-0.06,0.69,-0.19,-0.19,2.5,5.56,6.0,5.41,6.72,8.28,7.62,5.25,4.03,4.31,3.56,0.66,-0.69,0.88,2.16,1.34,0.59,2.19,4.38,4.16,3.06,4.25,6.62,7.22,5.72,5.66,7.22,7.5,5.91,5.31,7.22,9.72,10.25,10.44,12.44,14.19,13.25,10.25,9.22,9.38,8.38,5.44,4.0,4.53,4.44,2.25,0.94,1.75,2.53,1.03,-1.12,-1.12,-0.12,-0.75,-2.38,-1.84,0.06,0.78,-0.59,-1.03,0.31,0.94,-0.88,-2.16,-0.97,0.62,-0.22,-1.88,-1.72,-0.84,-2.19,-3.81,-3.12,-0.69,1.47,1.66,2.25,4.81,6.66,5.66,4.66,5.5,6.88,5.44,2.94,1.81,1.59,-0.91,-5.06,-7.78,-8.31,-9.28,-11.12,-11.19,-7.84,-3.5,-1.28,0.53,3.84,6.53,5.88,3.62,2.41,2.66,1.78,-0.03,0.03,1.94,3.0,1.53,0.25,1.16,2.41,1.81,1.53,3.16,5.41,5.34,4.12,4.25,6.16,6.34,5.03,4.47,5.53,6.28,4.44,3.47,4.53,6.12,5.41,3.94,4.44,6.03,5.81,5.0,5.25,7.25,7.81,5.84,4.81,5.22,5.0,2.28,0.09,-0.16,0.38,-1.22,-3.22,-2.91,-1.88,-2.66,-4.59,-5.09,-3.59,-2.56,-3.12,-2.88,-0.25,1.5,0.56,-0.81,-0.59,0.28,-1.09,-3.03,-3.09,-1.28,-1.0,-1.78,-1.66,0.41,1.03,-1.12,-2.97,-2.59,-1.75,-2.53,-2.91,-0.88,1.75,2.16,0.94,0.84,1.69,0.91,-1.44,-2.88,-2.75,-3.06,-5.41,-6.94,-5.56,-3.72,-3.72,-4.12,-3.56,-1.91,-2.09,-3.69,-3.69,-2.47,-2.5,-4.88,-6.91,-6.94,-6.41,-7.28,-7.19,-4.72,-1.69,-1.44,-2.5,-2.19,-0.59,-0.59,-1.84,-2.34,-1.22,-1.88,-4.41,-6.22,-5.38,-4.16,-4.75,-4.81,-3.0,-0.16,0.5,0.91,2.09,5.03,6.12,5.47,5.78,7.94,8.66,7.5,6.75,8.41,10.19,9.84,8.91,10.19,11.53,10.5,8.06,6.91,7.53,7.09,5.28,4.97,6.75,8.0,6.66,5.09,5.38,5.25,2.56,-0.81,-2.03,-1.53,-2.56,-4.31,-4.78,-3.22,-2.62,-3.97,-4.22,-2.06,-0.31,-0.94,-2.19,-1.31,-0.34,-1.94,-4.25,-5.16,-5.06,-6.59,-9.16,-10.25,-9.09,-8.44,-9.75,-10.22,-8.62,-6.81,-6.97,-6.91,-4.34,-1.44,-0.62,-1.53,-1.12,0.19,0.0,-1.69,-2.59,-1.97,-1.94,-4.5,-6.41,-5.25,-3.38,-3.19,-2.97,-0.59,1.78,1.78,-0.03,-0.31,0.88,0.91,-0.34,-0.56,1.75,3.12,2.44,1.5,2.72,4.16,3.12,2.06,3.09,5.12,5.16,3.44,2.41,2.72,1.47,-1.56,-3.88,-3.44,-3.09,-3.97,-4.59,-3.19,-0.62,-0.84,-1.97,-1.16,0.47,0.5,-1.09,-1.12,0.22,1.34,0.59,0.78,3.56,5.91,5.69,4.81,5.84,6.88,6.0,3.69,3.06,3.41,2.81,0.97,0.69,2.88,4.16,2.84,1.44,2.25,2.91,1.69,-0.12,0.03,0.81,0.09,-1.53,-1.56,0.25,1.28,-0.16,-0.88,0.28,0.62,-0.62,-2.09,-0.97,0.78,0.72,-0.5,0.16,1.66,1.47,22.75,21.22,20.94,20.53,18.59,15.91,14.44,13.5,11.28,8.53,7.34,7.81,8.41,8.5,9.94,13.31,16.25,17.09,17.72,19.41,20.28,19.62,18.06,18.06,18.88,18.66,18.0,19.09,21.78,24.09,25.56,27.09,30.31,32.25,31.72:6.94,8.09,10.47,14.28,15.94,14.28,11.66,10.25,7.5,2.31,-3.0,-5.41,-6.16,-7.94,-9.47,-8.47,-5.25,-2.72,-1.75,0.0,3.09,4.5,2.41,-0.09,-0.62,-2.06,-6.06,-10.94,-13.16,-14.19,-15.91,-17.59,-16.25,-12.75,-10.34,-9.94,-8.47,-5.84,-4.03,-4.47,-5.16,-3.28,-1.19,-1.16,-2.06,-0.88,0.44,-0.19,-2.81,-4.31,-4.12,-4.72,-6.66,-7.12,-4.94,-2.91,-3.34,-4.16,-3.19,-2.69,-4.59,-7.28,-7.88,-7.16,-7.91,-9.41,-9.25,-7.12,-5.47,-5.84,-5.94,-4.22,-3.62,-5.59,-8.09,-8.03,-7.25,-8.75,-11.19,-11.69,-11.19,-11.81,-13.47,-13.44,-10.72,-7.78,-6.66,-4.69,-0.59,3.41,4.78,4.78,6.69,8.16,7.5,5.41,5.25,6.31,5.94,4.09,3.25,4.19,4.94,3.44,2.47,3.19,3.91,1.97,-0.62,-1.12,-1.06,-2.25,-4.56,-5.03,-3.47,-3.0,-3.97,-3.44,-1.41,0.25,-1.09,-2.34,-1.62,-0.81,-2.16,-3.94,-3.75,-2.31,-2.88,-4.38,-3.56,-1.19,0.66,0.44,0.78,2.16,2.56,0.25,-2.22,-2.16,-0.31,-0.12,-0.47,1.31,3.25,3.19,0.69,-0.94,-0.94,-1.91,-4.09,-5.34,-3.97,-2.56,-3.28,-4.09,-2.81,-0.97,-1.41,-3.19,-3.47,-3.16,-4.31,-7.84,-9.41,-9.5,-9.34,-10.84,-10.94,-8.41,-4.88,-3.97,-3.78,-1.97,-0.12,-0.56,-2.72,-3.0,-1.66,-1.78,-4.06,-4.81,-3.72,-3.09,-4.75,-5.81,-4.44,-2.62,-2.78,-3.53,-2.03,0.53,0.91,-0.19,0.0,1.38,1.19,-1.59,-3.81,-4.22,-5.44,-9.22,-12.84,-13.38,-13.06,-13.75,-14.28,-12.38,-8.91,-7.41,-7.5,-6.5,-4.12,-2.62,-3.34,-3.22,-0.88,1.22,1.0,0.38,1.75,3.84,3.22,0.97,0.41,0.19,-1.75,-5.47,-7.19,-6.62,-6.12,-7.28,-7.59,-5.94,-4.75,-6.91,-10.47,-12.62,-14.12,-18.03,-22.44,-23.5,-22.03,-21.12,-21.16,-19.66,-16.03,-13.09,-12.31,-11.03,-7.44,-3.72,-2.03,-0.97,1.97,6.16,7.88,7.78,8.78,10.34,10.25,7.81,5.38,4.91,4.0,0.75,-2.16,-2.59,-2.53,-4.69,-7.25,-7.22,-5.69,-5.72,-6.34,-5.69,-3.16,-1.56,-2.41,-2.75,-1.38,-1.06,-3.56,-5.72,-5.66,-4.31,-4.69,-5.22,-3.47,-0.47,0.03,-1.34,-1.66,-0.44,-0.25,-1.75,-2.62,-0.91,0.66,-0.06,-0.81,0.84,3.44,4.25,4.62,7.09,10.88,12.19,10.78,9.25,8.81,7.22,3.47,1.12,1.53,2.41,0.5,-1.91,-2.84,-3.47,-6.53,-10.16,-11.25,-10.22,-9.19,-9.16,-7.53,-3.69,-1.44,-1.72,-2.53,-1.53,-0.59,-2.31,-4.25,-3.5,-1.91,-1.25,-1.22,0.88,4.62,7.03,7.75,8.41,10.75,11.84,9.75,7.03,6.69,6.16,3.31,0.78,0.28,1.22,0.25,-1.97,-3.0,-2.91,-4.22,-7.94,-10.91,-11.5,-11.88,-13.91,-14.84,-11.88,-7.44,-4.78,-2.56,0.94,4.81,5.59,3.88,2.59,2.75,1.97,-0.47,-2.09,-0.41,1.19,0.12,-0.81,0.47,2.62,3.03,2.41,3.47,5.59,4.88,2.0,-0.59,-1.12,-3.06,-7.28,-10.66,-11.16,-11.34,-13.72,-15.81,-15.5,-13.56,-13.59,-14.38,-13.62,-11.38,-11.28,-13.78,-15.12,-14.19,-13.59,-14.72,-15.5,-13.69,-12.09,-13.5,-15.5,-14.66,-12.22,-11.09,-10.91,-8.81,-5.62,-4.53,-5.84,-6.62,-5.19,-4.06,-5.22,-6.34,-4.34,-2.03,-2.47,-3.41,-2.34,-0.28,-0.41,-2.03,-1.66,0.62,2.22,2.0,2.53,5.53,7.78,7.03,5.5,5.84,6.72,4.5,1.75,1.03,2.0,1.69,-0.09,-0.62,0.88,0.78,-2.16,-4.38,-4.09,-3.78,-5.81,-7.84,-7.16,-5.66,-5.88,-6.94,-5.69,-2.53,-0.81,-0.97,-0.28,2.16,3.41,1.81,0.88,2.53,4.44,3.66,2.12,2.62,3.25,1.44,-1.75,-2.91,-2.69,-3.56,-5.94,-7.19,-6.12,-5.94,-7.59,-8.69,-7.41,-5.31,-5.47,-5.81,-4.0,-0.78,0.22,0.0,0.66,2.66,2.19,-0.56,-2.69,-2.31,-2.22,-4.34,-6.09,-5.47,-4.47,-5.59,-7.06,-6.25,-4.03,-3.44,-4.09,-3.62,-1.12,0.19,-0.53,-0.53,1.75,3.84,3.53,3.0,4.78,7.0,6.28,4.25,3.47,3.91,2.44,-0.06,-0.84,0.97,2.31,2.0,2.31,4.47,5.78,4.12,1.34,0.81,1.0,-0.84,-3.12,-3.12,-1.12,-0.69,-2.0,-1.97,-0.72,-0.16,-2.38,-4.34,-3.59,-2.62,-3.84,-5.41,-4.28,-2.31,-2.91,-4.81,-5.41,-4.5,-5.0,-7.28,-8.56,-7.19,-6.5,-7.94,-8.53,-6.16,-3.31,-2.56,-2.5,0.06,3.41,4.81,4.75,6.09,8.88,9.5,7.62,5.84,5.72,4.75,1.28,-1.53,-1.56,-1.0,-1.91,-3.56,-2.59,-0.19,0.41,-0.03,0.78,3.0,3.66,1.62,0.28,1.31,2.0,0.72,-0.62,0.25,1.66,0.66,-1.41,-1.31,-0.31,-1.25,-4.03,-5.53,-5.38,-6.06,-8.47,-9.53,-8.0,-5.97,-6.03,-6.53,-3.88,-0.78,0.41,0.59,2.31,5.5,6.94,6.0,5.91,7.75,7.56,4.81,1.97,1.5,0.94,-2.0,-5.09,-5.06,-3.31,-3.28,-4.28,-3.81,-2.5,-3.16,-6.25,-8.34,-8.06,-7.88,-9.78,-10.88,-9.28,-7.28,-7.75,-8.03,-6.03,-2.91,-1.53,-1.69,0.16,3.16,4.97,4.16,3.84,5.66,6.28,4.22,2.31,3.06,4.12,2.88,0.59,0.88,1.66,0.91,-1.34,-1.84,-0.66,-0.28,-2.22,-3.22,-1.31,-0.09,-0.69,-1.94,-1.09,0.22,-0.53,-2.09,-1.69,0.31,0.62,-0.59,-0.91,0.75,1.62,0.03,-1.28,-0.09,0.5,-1.47,-3.84,-3.59,-2.09,-2.03,-2.5,-1.41,1.0,1.88,-0.03,-1.28,-0.06,0.69,-0.19,-0.19,2.5,5.56,6.0,5.41,6.72,8.28,7.62,5.25,4.03,4.31,3.56,0.66,-0.69,0.88,2.16,1.34,0.59,2.19,4.38,4.16,3.06,4.25,6.62,7.22,5.72,5.66,7.22,7.5,5.91,5.31,7.22,9.72,10.25,10.44,12.44,14.19,13.25,10.25,9.22,9.38,8.38,5.44,4.0,4.53,4.44,2.25,0.94,1.75,2.53,1.03,-1.12,-1.12,-0.12,-0.75,-2.38,-1.84,0.06,0.78,-0.59,-1.03,0.31,0.94,-0.88,-2.16,-0.97,0.62,-0.22,-1.88,-1.72,-0.84,-2.19,-3.81,-3.12,-0.69,1.47,1.66,2.25,4.81,6.66,5.66,4.66,5.5,6.88,5.44,2.94,1.81,1.59,-0.91,-5.06,-7.78,-8.31,-9.28,-11.12,-11.19,-7.84,-3.5,-1.28,0.53,3.84,6.53,5.88,3.62,2.41,2.66,1.78,-0.03,0.03,1.94,3.0,1.53,0.25,1.16,2.41,1.81,1.53,3.16,5.41,5.34,4.12,4.25,6.16,6.34,5.03,4.47,5.53,6.28,4.44,3.47,4.53,6.12,5.41,3.94,4.44,6.03,5.81,5.0,5.25,7.25,7.81,5.84,4.81,5.22,5.0,2.28,0.09,-0.16,0.38,-1.22,-3.22,-2.91,-1.88,-2.66,-4.59,-5.09,-3.59,-2.56,-3.12,-2.88,-0.25,1.5,0.56,-0.81,-0.59,0.28,-1.09,-3.03,-3.09,-1.28,-1.0,-1.78,-1.66,0.41,1.03,-1.12,-2.97,-2.59,-1.75,-2.53,-2.91,-0.88,1.75,2.16,0.94,0.84,1.69,0.91,-1.44,-2.88,-2.75,-3.06,-5.41,-6.94,-5.56,-3.72,-3.72,-4.12,-3.56,-1.91,-2.09,-3.69,-3.69,-2.47,-2.5,-4.88,-6.91,-6.94,-6.41,-7.28,-7.19,-4.72,-1.69,-1.44,-2.5,-2.19,-0.59,-0.59,-1.84,-2.34,-1.22,-1.88,-4.41,-6.22,-5.38,-4.16,-4.75,-4.81,-3.0,-0.16,0.5,0.91,2.09,5.03,6.12,5.47,5.78,7.94,8.66,7.5,6.75,8.41,10.19,9.84,8.91,10.19,11.53,10.5,8.06,6.91,7.53,7.09,5.28,4.97,6.75,8.0,6.66,5.09,5.38,5.25,2.56,-0.81,-2.03,-1.53,-2.56,-4.31,-4.78,-3.22,-2.62,-3.97,-4.22,-2.06,-0.31,-0.94,-2.19,-1.31,-0.34,-1.94,-4.25,-5.16,-5.06,-6.59,-9.16,-10.25,-9.09,-8.44,-9.75,-10.22,-8.62,-6.81,-6.97,-6.91,-4.34,-1.44,-0.62,-1.53,-1.12,0.19,0.0,-1.69,-2.59,-1.97,-1.94,-4.5,-6.41,-5.25,-3.38,-3.19,-2.97,-0.59,1.78,1.78,-0.03,-0.31,0.88,0.91,-0.34,-0.56,1.75,3.12,2.44,1.5,2.72,4.16,3.12,2.06,3.09,5.12,5.16,3.44,2.41,2.72,1.47,-1.56,-3.88,-3.44,-3.09,-3.97,-4.59,-3.19,-0.62,-0.84,-1.97,-1.16,0.47,0.5,-1.09,-1.12,0.22,1.34,0.59,0.78,3.56,5.91,5.69,4.81,5.84,6.88,6.0,3.69,3.06,3.41,2.81,0.97,0.69,2.88,4.16,2.84,1.44,2.25,2.91,1.69,-0.12,0.03,0.81,0.09,-1.53,-1.56,0.25,1.28,-0.16,-0.88,0.28,0.62,-0.62,-2.09,-0.97,0.78,0.72,-0.5,0.16,1.66,1.47,22.75,21.22,20.94,20.53,18.59,15.91,14.44,13.5,11.28,8.53,7.34,7.81,8.41,8.5,9.94,13.31,16.25,17.09,17.72,19.41,20.28,19.62,18.06,18.06,18.88,18.66,18.0,19.09,21.78,24.09,25.56,27.09,30.31,32.25,31.72,30.22,29.72,29.06,27.47,26.16,26.91,29.22:negativity
5.16,5.44,5.56,4.25,3.06,4.34,6.62,6.69,5.88,7.66,10.62,12.25,12.03,12.56,14.09,14.12,11.84,9.97,10.72,11.5,10.34,8.62,9.12,10.03,9.41,8.41,9.78,12.66,14.31,14.09,14.25,15.78,16.44,14.19,12.28,12.94,14.03,12.53,10.69,11.09,12.53,12.38,10.91,11.25,12.88,12.97,11.19,10.53,12.0,13.19,11.81,10.47,10.94,11.38,10.09,7.56,7.22,7.78,6.31,3.28,1.88,2.34,2.44,0.81,1.0,3.78,6.81,7.5,8.47,11.22,14.09,14.56,13.84,14.69,16.16,16.0,13.28,11.59,11.72,11.03,8.0,5.62,6.0,6.81,5.69,5.06,7.25,10.75,12.62,13.44,16.0,19.53,21.34,20.66,20.88,22.44,22.94,20.47,17.72,16.59,15.22,11.38,7.19,5.22,4.75,3.19,0.59,0.34,2.28,3.44,2.59,2.5,4.69,6.66,6.25,6.16,8.19,11.12,11.44,11.12,12.91,15.69,17.12,16.38,16.47,17.97,17.94,14.88,12.59,12.56,12.47,9.91,7.56,7.78,8.78,8.12,7.19,8.88,11.56,13.0,12.22,12.38,14.12,14.97,13.41,11.53,11.84,11.78,9.09,6.25,5.97,6.84,6.81,6.47,7.91,11.16,13.12,13.03,13.38,16.09,17.38,16.06,14.56,14.53,14.69,12.41,10.03,9.62,11.0,11.03,9.75,9.28,10.0,8.94,5.19,2.31,1.56,1.5,-0.44,-1.44,0.44,3.75,5.53,6.91,10.34,14.62,17.34,18.28,20.34,23.91,26.44,26.38,26.0,27.0,26.78,23.66,20.09,19.16,19.25,18.44,16.84,16.94,18.19,17.44,14.78,13.38,14.06,14.12,12.0,10.38,10.44,10.59,8.5,6.47,6.66,9.0,9.59,10.19,12.66,17.06,20.03,20.56,21.0,22.91,23.81,21.22,18.84,18.47,17.84,15.62,12.91,12.94,14.59,15.28,14.81,15.47,17.75,18.56,16.91,15.88,16.97,17.69,15.66,13.19,12.88,13.69,13.03,11.91,13.38,16.34,17.72,17.69,18.56,21.19,22.47,20.53,18.53,18.38,17.94,16.06,14.12,14.41,15.91,15.22,13.62,14.03,16.38,17.75,17.91,18.94,21.22,22.09,20.12,17.62,17.06,16.69,13.97,10.91,10.25,11.5,11.31,10.81,12.12,14.75,15.66,14.44,14.41,16.22,18.19,18.19,18.22,20.16,21.78,21.28,19.44,18.81,19.53,18.28,16.34,16.03,17.91,18.66,17.66,17.09,18.44,19.31,17.84,16.25,16.66,18.19,18.09,17.62,18.94,21.69,22.44,21.47,20.91,22.03,22.03,19.69,17.34,16.69,16.22,13.53,11.41,11.94,14.44,16.0,16.75,19.34,23.06,25.12,24.84,24.53,25.16,24.75,21.88,18.97,18.88,19.5,18.81,17.31,18.47,20.62,20.94,19.94,19.78,21.25,21.47,19.66,18.06,19.06,19.31,17.44,15.81,16.62,18.34,18.16,16.66,16.75,17.12,15.41,12.03,9.78,9.94,9.62,8.28,7.72,9.53,11.69,11.25,10.59,11.69,13.91,14.38,13.91,15.06,17.16,17.81,16.09,14.97,16.09,16.5,14.91,13.88,14.97,15.91,14.03,11.41,10.44,10.62,9.59,8.38,9.97,14.09,17.22,18.62,20.28,23.25,24.88,23.28,21.22,21.38,21.62,19.88,17.91,17.91,18.72,17.66,14.69,12.88,13.09,12.75,11.44,11.5,14.19,16.53,16.31,15.12,16.0,17.41,16.91,15.81,16.34,17.97,17.88,15.72,14.72,15.38,15.09,13.0,11.34,12.19,13.47,12.69,11.91,13.59,16.03,16.59,16.59,18.0,20.53,21.22,19.72,18.22,18.31,18.38,16.56,15.44,17.34,19.41,18.88,17.06,17.09,18.0,17.69,16.41,17.06,19.0,19.47,17.97,17.03,18.28,20.16,20.28,21.06,23.84,26.44,26.09,24.38,24.12,24.19,22.97,20.81,20.69,23.31,26.19,27.47,29.34,32.59,34.59,33.81,32.53,33.5,35.25,35.22,33.72,33.53,33.84,32.44,28.94,26.5,26.22,25.16,21.91,19.34,19.34,19.97,19.69,19.0,21.28,23.88,24.16,22.62,22.19,22.94,22.44,20.06,19.31,21.19,23.12,23.31,23.91,26.72,28.91,28.78,27.47,27.41,28.25,27.16,24.78,23.97,25.38,26.0,24.75,24.84,26.78,28.25,26.88,25.34,26.16,27.22,26.62,25.22,25.22,26.59,26.16,24.12,23.81,25.25,26.19,25.31,25.5,28.47,31.59,32.22,31.94,33.5,35.0,34.38,32.66,32.66,34.12,33.69,31.0,29.31,28.84,27.94,24.47,22.19,22.34,23.06,22.03,20.44,21.44,23.28,23.16,21.81,21.38,22.94,23.19,21.62,21.56,23.38,24.88,23.66,22.62,23.75,25.38,25.0,23.91,24.78,26.34,26.03,24.09,23.97,25.53,26.53,25.38,25.22,26.78,27.88,26.72,25.56,26.22,27.19,25.66,23.06,22.31,23.62,23.91,23.47,24.5,27.31,28.91,27.66,27.12,28.41,29.34,27.69,26.31,26.75,28.25,28.34,27.56,28.94,31.72,32.41,30.91,30.22,31.31,31.31,29.31,28.28,29.41,30.97,30.38,29.62,30.47,32.22,32.28,30.38,30.12,30.84,29.97,26.62,23.97,23.56,22.91,20.41,18.78,19.75,21.59,21.47,20.97,22.72,26.16,27.56,27.5,28.38,30.78,31.81,30.91,30.44,32.44,34.06,32.44,30.62,30.19,30.12,27.53,24.56,24.0,25.56,26.16,26.19,27.84,31.34,33.88,33.75,33.84,35.69,37.5,36.72,35.5,36.25,37.91,37.25,36.06,36.56,38.78,39.25,37.97,37.25,38.12,38.16,36.06,34.06,34.38,34.94,33.41,31.19,31.56,33.25,33.25,32.44,33.41,36.44,37.94,36.81,36.78,38.03,38.81,37.41,36.19,37.47,39.31,38.41,36.66,36.28,36.25,33.5,29.34,26.91,27.12,27.22,26.34,26.69,29.72,32.38,32.47,33.12,35.97,39.91,41.25,41.56,43.16,45.28,45.16,43.09,41.38,41.5,40.5,37.0,34.16,33.81,33.34,30.72,28.03,27.97,28.66,27.16,25.0,24.91,26.19,26.41,25.78,26.62,29.88,32.41,32.03,31.38,32.56,33.69,31.94,30.12,31.22,33.44,33.78,33.12,33.78,35.19,34.44,31.31,28.62,27.72,26.75,23.62,20.94,20.91,21.88,21.16,20.62,23.09,27.12,29.56,30.22,31.5,34.03,34.72,33.19,32.28,33.78,34.72,32.78,30.41,30.16,30.28,28.53,26.47,26.97,29.03,29.78,28.66,28.31,29.78,29.78,27.34,24.97,25.31,25.66,24.22,23.22,25.25,28.62,29.25,29.19,30.12,31.97,32.25,30.62,30.22,32.12,33.62,33.31,33.03,34.72,36.47,35.0,32.75,32.25,32.81,31.59,29.56,29.38,30.88,30.94,28.88,27.16,27.34,27.0,24.53,22.44,23.47,24.69,23.81,22.44,23.44,25.75,26.59,25.88,26.09,28.0,28.06,25.78,24.53,26.44,28.09,28.16,28.31,30.62,32.78,32.47,30.75,30.28,31.44,30.94,29.56,29.94,32.72,34.12,32.97,32.38,34.09,35.78,35.59,34.78,35.97,37.12,35.69,33.22,32.38,33.12,33.0,30.94,30.25,31.47,31.69,29.16,26.78,26.88,27.34,25.84,24.84,26.69,29.47,31.06,30.78,32.25,34.56,35.38,34.09,33.12,34.31,34.59,32.31,29.5,29.03,28.78,26.66,23.84,24.12,25.88,26.25,25.44,26.22,28.53,29.31,27.19,25.94,26.97,28.38,27.59,27.06,28.75,31.06,30.97,29.88,30.81,33.34,34.47,34.25,35.59,38.38,39.78,38.38,37.0,37.41,36.94,33.88,30.34,28.72,27.59,25.47,22.47,21.97,23.38,23.72,22.5,22.25,23.78,24.41,22.34,20.34,21.0,22.34,21.91,21.16,23.09,25.62,26.44,25.47,26.31,28.12,28.25,26.53,25.88,27.31,28.38,27.22,25.91,26.75,27.12,25.41,23.28,23.47,24.5,24.09,22.31,22.16,23.06,23.41,21.38,20.38,21.06,21.28,19.22,16.66,17.06,18.12,17.59,16.81,18.72,22.09,24.41,24.84,26.69,29.81,31.72,31.28,31.41,33.53,35.53,34.69,32.91,33.5,34.41,33.06,31.09,30.69,31.59,30.59,27.78,26.62,27.97,29.34,28.97,29.69,32.75,35.69,36.06,35.56,36.81,39.0,39.03,38.03,39.09,41.0,41.12,38.75,36.88,36.41,35.69,32.44,30.34,31.06,32.66,32.44,32.12,34.06,36.53,37.38,36.31,36.62,38.62,39.16,37.56,36.53,37.22,37.75,35.5,32.78,32.66,33.09,31.62,30.03,30.78,33.0,33.38,32.22,31.44,32.41,32.62,30.03,28.59,29.25,29.84,27.38,25.5,25.25,26.22,25.69,24.66,26.0,28.75,29.91,29.06,28.69,30.03,30.31,28.22,27.22,28.59,29.59,28.34,26.56,26.41,27.28,26.75,25.56,26.47,28.59,29.66,27.88,27.03,27.72,27.72,25.44,23.81,24.5,26.16,25.56,24.72,26.0,27.97,28.03,26.56,26.16,26.94,26.75,24.59,23.84,25.47,27.44,27.09,26.56,27.84,29.5,28.56,27.03,27.91,30.34,31.84,31.59,32.44,34.28,34.34,31.56,28.88,28.41,27.81,25.28,23.28,23.88,25.62,25.47,24.66,25.28,27.88,28.62,27.5,27.78,29.28,29.44,26.81,24.53,24.53,25.5,25.44,25.81,29.03,33.41,35.06,34.94,35.31,36.44,35.28,32.28,30.12,30.41,30.28,28.38:6.69,5.88,7.66,10.62,12.25,12.03,12.56,14.09,14.12,11.84,9.97,10.72,11.5,10.34,8.62,9.12,10.03,9.41,8.41,9.78,12.66,14.31,14.09,14.25,15.78,16.44,14.19,12.28,12.94,14.03,12.53,10.69,11.09,12.53,12.38,10.91,11.25,12.88,12.97,11.19,10.53,12.0,13.19,11.81,10.47,10.94,11.38,10.09,7.56,7.22,7.78,6.31,3.28,1.88,2.34,2.44,0.81,1.0,3.78,6.81,7.5,8.47,11.22,14.09,14.56,13.84,14.69,16.16,16.0,13.28,11.59,11.72,11.03,8.0,5.62,6.0,6.81,5.69,5.06,7.25,10.75,12.62,13.44,16.0,19.53,21.34,20.66,20.88,22.44,22.94,20.47,17.72,16.59,15.22,11.38,7.19,5.22,4.75,3.19,0.59,0.34,2.28,3.44,2.59,2.5,4.69,6.66,6.25,6.16,8.19,11.12,11.44,11.12,12.91,15.69,17.12,16.38,16.47,17.97,17.94,14.88,12.59,12.56,12.47,9.91,7.56,7.78,8.78,8.12,7.19,8.88,11.56,13.0,12.22,12.38,14.12,14.97,13.41,11.53,11.84,11.78,9.09,6.25,5.97,6.84,6.81,6.47,7.91,11.16,13.12,13.03,13.38,16.09,17.38,16.06,14.56,14.53,14.69,12.41,10.03,9.62,11.0,11.03,9.75,9.28,10.0,8.94,5.19,2.31,1.56,1.5,-0.44,-1.44,0.44,3.75,5.53,6.91,10.34,14.62,17.34,18.28,20.34,23.91,26.44,26.38,26.0,27.0,26.78,23.66,20.09,19.16,19.25,18.44,16.84,16.94,18.19,17.44,14.78,13.38,14.06,14.12,12.0,10.38,10.44,10.59,8.5,6.47,6.66,9.0,9.59,10.19,12.66,17.06,20.03,20.56,21.0,22.91,23.81,21.22,18.84,18.47,17.84,15.62,12.91,12.94,14.59,15.28,14.81,15.47,17.75,18.56,16.91,15.88,16.97,17.69,15.66,13.19,12.88,13.69,13.03,11.91,13.38,16.34,17.72,17.69,18.56,21.19,22.47,20.53,18.53,18.38,17.94,16.06,14.12,14.41,15.91,15.22,13.62,14.03,16.38,17.75,17.91,18.94,21.22,22.09,20.12,17.62,17.06,16.69,13.97,10.91,10.25,11.5,11.31,10.81,12.12,14.75,15.66,14.44,14.41,16.22,18.19,18.19,18.22,20.16,21.78,21.28,19.44,18.81,19.53,18.28,16.34,16.03,17.91,18.66,17.66,17.09,18.44,19.31,17.84,16.25,16.66,18.19,18.09,17.62,18.94,21.69,22.44,21.47,20.91,22.03,22.03,19.69,17.34,16.69,16.22,13.53,11.41,11.94,14.44,16.0,16.75,19.34,23.06,25.12,24.84,24.53,25.16,24.75,21.88,18.97,18.88,19.5,18.81,17.31,18.47,20.62,20.94,19.94,19.78,21.25,21.47,19.66,18.06,19.06,19.31,17.44,15.81,16.62,18.34,18.16,16.66,16.75,17.12,15.41,12.03,9.78,9.94,9.62,8.28,7.72,9.53,11.69,11.25,10.59,11.69,13.91,14.38,13.91,15.06,17.16,17.81,16.09,14.97,16.09,16.5,14.91,13.88,14.97,15.91,14.03,11.41,10.44,10.62,9.59,8.38,9.97,14.09,17.22,18.62,20.28,23.25,24.88,23.28,21.22,21.38,21.62,19.88,17.91,17.91,18.72,17.66,14.69,12.88,13.09,12.75,11.44,11.5,14.19,16.53,16.31,15.12,16.0,17.41,16.91,15.81,16.34,17.97,17.88,15.72,14.72,15.38,15.09,13.0,11.34,12.19,13.47,12.69,11.91,13.59,16.03,16.59,16.59,18.0,20.53,21.22,19.72,18.22,18.31,18.38,16.56,15.44,17.34,19.41,18.88,17.06,17.09,18.0,17.69,16.41,17.06,19.0,19.47,17.97,17.03,18.28,20.16,20.28,21.06,23.84,26.44,26.09,24.38,24.12,24.19,22.97,20.81,20.69,23.31,26.19,27.47,29.34,32.59,34.59,33.81,32.53,33.5,35.25,35.22,33.72,33.53,33.84,32.44,28.94,26.5,26.22,25.16,21.91,19.34,19.34,19.97,19.69,19.0,21.28,23.88,24.16,22.62,22.19,22.94,22.44,20.06,19.31,21.19,23.12,23.31,23.91,26.72,28.91,28.78,27.47,27.41,28.25,27.16,24.78,23.97,25.38,26.0,24.75,24.84,26.78,28.25,26.88,25.34,26.16,27.22,26.62,25.22,25.22,26.59,26.16,24.12,23.81,25.25,26.19,25.31,25.5,28.47,31.59,32.22,31.94,33.5,35.0,34.38,32.66,32.66,34.12,33.69,31.0,29.31,28.84,27.94,24.47,22.19,22.34,23.06,22.03,20.44,21.44,23.28,23.16,21.81,21.38,22.94,23.19,21.62,21.56,23.38,24.88,23.66,22.62,23.75,25.38,25.0,23.91,24.78,26.34,26.03,24.09,23.97,25.53,26.53,25.38,25.22,26.78,27.88,26.72,25.56,26.22,27.19,25.66,23.06,22.31,23.62,23.91,23.47,24.5,27.31,28.91,27.66,27.12,28.41,29.34,27.69,26.31,26.75,28.25,28.34,27.56,28.94,31.72,32.41,30.91,30.22,31.31,31.31,29.31,28.28,29.41,30.97,30.38,29.62,30.47,32.22,32.28,30.38,30.12,30.84,29.97,26.62,23.97,23.56,22.91,20.41,18.78,19.75,21.59,21.47,20.97,22.72,26.16,27.56,27.5,28.38,30.78,31.81,30.91,30.44,32.44,34.06,32.44,30.62,30.19,30.12,27.53,24.56,24.0,25.56,26.16,26.19,27.84,31.34,33.88,33.75,33.84,35.69,37.5,36.72,35.5,36.25,37.91,37.25,36.06,36.56,38.78,39.25,37.97,37.25,38.12,38.16,36.06,34.06,34.38,34.94,33.41,31.19,31.56,33.25,33.25,32.44,33.41,36.44,37.94,36.81,36.78,38.03,38.81,37.41,36.19,37.47,39.31,38.41,36.66,36.28,36.25,33.5,29.34,26.91,27.12,27.22,26.34,26.69,29.72,32.38,32.47,33.12,35.97,39.91,41.25,41.56,43.16,45.28,45.16,43.09,41.38,41.5,40.5,37.0,34.16,33.81,33.34,30.72,28.03,27.97,28.66,27.16,25.0,24.91,26.19,26.41,25.78,26.62,29.88,32.41,32.03,31.38,32.56,33.69,31.94,30.12,31.22,33.44,33.78,33.12,33.78,35.19,34.44,31.31,28.62,27.72,26.75,23.62,20.94,20.91,21.88,21.16,20.62,23.09,27.12,29.56,30.22,31.5,34.03,34.72,33.19,32.28,33.78,34.72,32.78,30.41,30.16,30.28,28.53,26.47,26.97,29.03,29.78,28.66,28.31,29.78,29.78,27.34,24.97,25.31,25.66,24.22,23.22,25.25,28.62,29.25,29.19,30.12,31.97,32.25,30.62,30.22,32.12,33.62,33.31,33.03,34.72,36.47,35.0,32.75,32.25,32.81,31.59,29.56,29.38,30.88,30.94,28.88,27.16,27.34,27.0,24.53,22.44,23.47,24.69,23.81,22.44,23.44,25.75,26.59,25.88,26.09,28.0,28.06,25.78,24.53,26.44,28.09,28.16,28.31,30.62,32.78,32.47,30.75,30.28,31.44,30.94,29.56,29.94,32.72,34.12,32.97,32.38,34.09,35.78,35.59,34.78,35.97,37.12,35.69,33.22,32.38,33.12,33.0,30.94,30.25,31.47,31.69,29.16,26.78,26.88,27.34,25.84,24.84,26.69,29.47,31.06,30.78,32.25,34.56,35.38,34.09,33.12,34.31,34.59,32.31,29.5,29.03,28.78,26.66,23.84,24.12,25.88,26.25,25.44,26.22,28.53,29.31,27.19,25.94,26.97,28.38,27.59,27.06,28.75,31.06,30.97,29.88,30.81,33.34,34.47,34.25,35.59,38.38,39.78,38.38,37.0,37.41,36.94,33.88,30.34,28.72,27.59,25.47,22.47,21.97,23.38,23.72,22.5,22.25,23.78,24.41,22.34,20.34,21.0,22.34,21.91,21.16,23.09,25.62,26.44,25.47,26.31,28.12,28.25,26.53,25.88,27.31,28.38,27.22,25.91,26.75,27.12,25.41,23.28,23.47,24.5,24.09,22.31,22.16,23.06,23.41,21.38,20.38,21.06,21.28,19.22,16.66,17.06,18.12,17.59,16.81,18.72,22.09,24.41,24.84,26.69,29.81,31.72,31.28,31.41,33.53,35.53,34.69,32.91,33.5,34.41,33.06,31.09,30.69,31.59,30.59,27.78,26.62,27.97,29.34,28.97,29.69,32.75,35.69,36.06,35.56,36.81,39.0,39.03,38.03,39.09,41.0,41.12,38.75,36.88,36.41,35.69,32.44,30.34,31.06,32.66,32.44,32.12,34.06,36.53,37.38,36.31,36.62,38.62,39.16,37.56,36.53,37.22,37.75,35.5,32.78,32.66,33.09,31.62,30.03,30.78,33.0,33.38,32.22,31.44,32.41,32.62,30.03,28.59,29.25,29.84,27.38,25.5,25.25,26.22,25.69,24.66,26.0,28.75,29.91,29.06,28.69,30.03,30.31,28.22,27.22,28.59,29.59,28.34,26.56,26.41,27.28,26.75,25.56,26.47,28.59,29.66,27.88,27.03,27.72,27.72,25.44,23.81,24.5,26.16,25.56,24.72,26.0,27.97,28.03,26.56,26.16,26.94,26.75,24.59,23.84,25.47,27.44,27.09,26.56,27.84,29.5,28.56,27.03,27.91,30.34,31.84,31.59,32.44,34.28,34.34,31.56,28.88,28.41,27.81,25.28,23.28,23.88,25.62,25.47,24.66,25.28,27.88,28.62,27.5,27.78,29.28,29.44,26.81,24.53,24.53,25.5,25.44,25.81,29.03,33.41,35.06,34.94,35.31,36.44,35.28,32.28,30.12,30.41,30.28,28.38,11.62,12.06,12.75,12.28,11.56,12.16,13.06:14.09,14.12,11.84,9.97,10.72,11.5,10.34,8.62,9.12,10.03,9.41,8.41,9.78,12.66,14.31,14.09,14.25,15.78,16.44,14.19,12.28,12.94,14.03,12.53,10.69,11.09,12.53,12.38,10.91,11.25,12.88,12.97,11.19,10.53,12.0,13.19,11.81,10.47,10.94,11.38,10.09,7.56,7.22,7.78,6.31,3.28,1.88,2.34,2.44,0.81,1.0,3.78,6.81,7.5,8.47,11.22,14.09,14.56,13.84,14.69,16.16,16.0,13.28,11.59,11.72,11.03,8.0,5.62,6.0,6.81,5.69,5.06,7.25,10.75,12.62,13.44,16.0,19.53,21.34,20.66,20.88,22.44,22.94,20.47,17.72,16.59,15.22,11.38,7.19,5.22,4.75,3.19,0.59,0.34,2.28,3.44,2.59,2.5,4.69,6.66,6.25,6.16,8.19,11.12,11.44,11.12,12.91,15.69,17.12,16.38,16.47,17.97,17.94,14.88,12.59,12.56,12.47,9.91,7.56,7.78,8.78,8.12,7.19,8.88,11.56,13.0,12.22,12.38,14.12,14.97,13.41,11.53,11.84,11.78,9.09,6.25,5.97,6.84,6.81,6.47,7.91,11.16,13.12,13.03,13.38,16.09,17.38,16.06,14.56,14.53,14.69,12.41,10.03,9.62,11.0,11.03,9.75,9.28,10.0,8.94,5.19,2.31,1.56,1.5,-0.44,-1.44,0.44,3.75,5.53,6.91,10.34,14.62,17.34,18.28,20.34,23.91,26.44,26.38,26.0,27.0,26.78,23.66,20.09,19.16,19.25,18.44,16.84,16.94,18.19,17.44,14.78,13.38,14.06,14.12,12.0,10.38,10.44,10.59,8.5,6.47,6.66,9.0,9.59,10.19,12.66,17.06,20.03,20.56,21.0,22.91,23.81,21.22,18.84,18.47,17.84,15.62,12.91,12.94,14.59,15.28,14.81,15.47,17.75,18.56,16.91,15.88,16.97,17.69,15.66,13.19,12.88,13.69,13.03,11.91,13.38,16.34,17.72,17.69,18.56,21.19,22.47,20.53,18.53,18.38,17.94,16.06,14.12,14.41,15.91,15.22,13.62,14.03,16.38,17.75,17.91,18.94,21.22,22.09,20.12,17.62,17.06,16.69,13.97,10.91,10.25,11.5,11.31,10.81,12.12,14.75,15.66,14.44,14.41,16.22,18.19,18.19,18.22,20.16,21.78,21.28,19.44,18.81,19.53,18.28,16.34,16.03,17.91,18.66,17.66,17.09,18.44,19.31,17.84,16.25,16.66,18.19,18.09,17.62,18.94,21.69,22.44,21.47,20.91,22.03,22.03,19.69,17.34,16.69,16.22,13.53,11.41,11.94,14.44,16.0,16.75,19.34,23.06,25.12,24.84,24.53,25.16,24.75,21.88,18.97,18.88,19.5,18.81,17.31,18.47,20.62,20.94,19.94,19.78,21.25,21.47,19.66,18.06,19.06,19.31,17.44,15.81,16.62,18.34,18.16,16.66,16.75,17.12,15.41,12.03,9.78,9.94,9.62,8.28,7.72,9.53,11.69,11.25,10.59,11.69,13.91,14.38,13.91,15.06,17.16,17.81,16.09,14.97,16.09,16.5,14.91,13.88,14.97,15.91,14.03,11.41,10.44,10.62,9.59,8.38,9.97,14.09,17.22,18.62,20.28,23.25,24.88,23.28,21.22,21.38,21.62,19.88,17.91,17.91,18.72,17.66,14.69,12.88,13.09,12.75,11.44,11.5,14.19,16.53,16.31,15.12,16.0,17.41,16.91,15.81,16.34,17.97,17.88,15.72,14.72,15.38,15.09,13.0,11.34,12.19,13.47,12.69,11.91,13.59,16.03,16.59,16.59,18.0,20.53,21.22,19.72,18.22,18.31,18.38,16.56,15.44,17.34,19.41,18.88,17.06,17.09,18.0,17.69,16.41,17.06,19.0,19.47,17.97,17.03,18.28,20.16,20.28,21.06,23.84,26.44,26.09,24.38,24.12,24.19,22.97,20.81,20.69,23.31,26.19,27.47,29.34,32.59,34.59,33.81,32.53,33.5,35.25,35.22,33.72,33.53,33.84,32.44,28.94,26.5,26.22,25.16,21.91,19.34,19.34,19.97,19.69,19.0,21.28,23.88,24.16,22.62,22.19,22.94,22.44,20.06,19.31,21.19,23.12,23.31,23.91,26.72,28.91,28.78,27.47,27.41,28.25,27.16,24.78,23.97,25.38,26.0,24.75,24.84,26.78,28.25,26.88,25.34,26.16,27.22,26.62,25.22,25.22,26.59,26.16,24.12,23.81,25.25,26.19,25.31,25.5,28.47,31.59,32.22,31.94,33.5,35.0,34.38,32.66,32.66,34.12,33.69,31.0,29.31,28.84,27.94,24.47,22.19,22.34,23.06,22.03,20.44,21.44,23.28,23.16,21.81,21.38,22.94,23.19,21.62,21.56,23.38,24.88,23.66,22.62,23.75,25.38,25.0,23.91,24.78,26.34,26.03,24.09,23.97,25.53,26.53,25.38,25.22,26.78,27.88,26.72,25.56,26.22,27.19,25.66,23.06,22.31,23.62,23.91,23.47,24.5,27.31,28.91,27.66,27.12,28.41,29.34,27.69,26.31,26.75,28.25,28.34,27.56,28.94,31.72,32.41,30.91,30.22,31.31,31.31,29.31,28.28,29.41,30.97,30.38,29.62,30.47,32.22,32.28,30.38,30.12,30.84,29.97,26.62,23.97,23.56,22.91,20.41,18.78,19.75,21.59,21.47,20.97,22.72,26.16,27.56,27.5,28.38,30.78,31.81,30.91,30.44,32.44,34.06,32.44,30.62,30.19,30.12,27.53,24.56,24.0,25.56,26.16,26.19,27.84,31.34,33.88,33.75,33.84,35.69,37.5,36.72,35.5,36.25,37.91,37.25,36.06,36.56,38.78,39.25,37.97,37.25,38.12,38.16,36.06,34.06,34.38,34.94,33.41,31.19,31.56,33.25,33.25,32.44,33.41,36.44,37.94,36.81,36.78,38.03,38.81,37.41,36.19,37.47,39.31,38.41,36.66,36.28,36.25,33.5,29.34,26.91,27.12,27.22,26.34,26.69,29.72,32.38,32.47,33.12,35.97,39.91,41.25,41.56,43.16,45.28,45.16,43.09,41.38,41.5,40.5,37.0,34.16,33.81,33.34,30.72,28.03,27.97,28.66,27.16,25.0,24.91,26.19,26.41,25.78,26.62,29.88,32.41,32.03,31.38,32.56,33.69,31.94,30.12,31.22,33.44,33.78,33.12,33.78,35.19,34.44,31.31,28.62,27.72,26.75,23.62,20.94,20.91,21.88,21.16,20.62,23.09,27.12,29.56,30.22,31.5,34.03,34.72,33.19,32.28,33.78,34.72,32.78,30.41,30.16,30.28,28.53,26.47,26.97,29.03,29.78,28.66,28.31,29.78,29.78,27.34,24.97,25.31,25.66,24.22,23.22,25.25,28.62,29.25,29.19,30.12,31.97,32.25,30.62,30.22,32.12,33.62,33.31,33.03,34.72,36.47,35.0,32.75,32.25,32.81,31.59,29.56,29.38,30.88,30.94,28.88,27.16,27.34,27.0,24.53,22.44,23.47,24.69,23.81,22.44,23.44,25.75,26.59,25.88,26.09,28.0,28.06,25.78,24.53,26.44,28.09,28.16,28.31,30.62,32.78,32.47,30.75,30.28,31.44,30.94,29.56,29.94,32.72,34.12,32.97,32.38,34.09,35.78,35.59,34.78,35.97,37.12,35.69,33.22,32.38,33.12,33.0,30.94,30.25,31.47,31.69,29.16,26.78,26.88,27.34,25.84,24.84,26.69,29.47,31.06,30.78,32.25,34.56,35.38,34.09,33.12,34.31,34.59,32.31,29.5,29.03,28.78,26.66,23.84,24.12,25.88,26.25,25.44,26.22,28.53,29.31,27.19,25.94,26.97,28.38,27.59,27.06,28.75,31.06,30.97,29.88,30.81,33.34,34.47,34.25,35.59,38.38,39.78,38.38,37.0,37.41,36.94,33.88,30.34,28.72,27.59,25.47,22.47,21.97,23.38,23.72,22.5,22.25,23.78,24.41,22.34,20.34,21.0,22.34,21.91,21.16,23.09,25.62,26.44,25.47,26.31,28.12,28.25,26.53,25.88,27.31,28.38,27.22,25.91,26.75,27.12,25.41,23.28,23.47,24.5,24.09,22.31,22.16,23.06,23.41,21.38,20.38,21.06,21.28,19.22,16.66,17.06,18.12,17.59,16.81,18.72,22.09,24.41,24.84,26.69,29.81,31.72,31.28,31.41,33.53,35.53,34.69,32.91,33.5,34.41,33.06,31.09,30.69,31.59,30.59,27.78,26.62,27.97,29.34,28.97,29.69,32.75,35.69,36.06,35.56,36.81,39.0,39.03,38.03,39.09,41.0,41.12,38.75,36.88,36.41,35.69,32.44,30.34,31.06,32.66,32.44,32.12,34.06,36.53,37.38,36.31,36.62,38.62,39.16,37.56,36.53,37.22,37.75,35.5,32.78,32.66,33.09,31.62,30.03,30.78,33.0,33.38,32.22,31.44,32.41,32.62,30.03,28.59,29.25,29.84,27.38,25.5,25.25,26.22,25.69,24.66,26.0,28.75,29.91,29.06,28.69,30.03,30.31,28.22,27.22,28.59,29.59,28.34,26.56,26.41,27.28,26.75,25.56,26.47,28.59,29.66,27.88,27.03,27.72,27.72,25.44,23.81,24.5,26.16,25.56,24.72,26.0,27.97,28.03,26.56,26.16,26.94,26.75,24.59,23.84,25.47,27.44,27.09,26.56,27.84,29.5,28.56,27.03,27.91,30.34,31.84,31.59,32.44,34.28,34.34,31.56,28.88,28.41,27.81,25.28,23.28,23.88,25.62,25.47,24.66,25.28,27.88,28.62,27.5,27.78,29.28,29.44,26.81,24.53,24.53,25.5,25.44,25.81,29.03,33.41,35.06,34.94,35.31,36.44,35.28,32.28,30.12,30.41,30.28,28.38,11.62,12.06,12.75,12.28,11.56,12.16,13.06,12.47,11.12,11.72,13.47,14.69,15.0,15.97:8.62,9.12,10.03,9.41,8.41,9.78,12.66,14.31,14.09,14.25,15.78,16.44,14.19,12.28,12.94,14.03,12.53,10.69,11.09,12.53,12.38,10.91,11.25,12.88,12.97,11.19,10.53,12.0,13.19,11.81,10.47,10.94,11.38,10.09,7.56,7.22,7.78,6.31,3.28,1.88,2.34,2.44,0.81,1.0,3.78,6.81,7.5,8.47,11.22,14.09,14.56,13.84,14.69,16.16,16.0,13.28,11.59,11.72,11.03,8.0,5.62,6.0,6.81,5.69,5.06,7.25,10.75,12.62,13.44,16.0,19.53,21.34,20.66,20.88,22.44,22.94,20.47,17.72,16.59,15.22,11.38,7.19,5.22,4.75,3.19,0.59,0.34,2.28,3.44,2.59,2.5,4.69,6.66,6.25,6.16,8.19,11.12,11.44,11.12,12.91,15.69,17.12,16.38,16.47,17.97,17.94,14.88,12.59,12.56,12.47,9.91,7.56,7.78,8.78,8.12,7.19,8.88,11.56,13.0,12.22,12.38,14.12,14.97,13.41,11.53,11.84,11.78,9.09,6.25,5.97,6.84,6.81,6.47,7.91,11.16,13.12,13.03,13.38,16.09,17.38,16.06,14.56,14.53,14.69,12.41,10.03,9.62,11.0,11.03,9.75,9.28,10.0,8.94,5.19,2.31,1.56,1.5,-0.44,-1.44,0.44,3.75,5.53,6.91,10.34,14.62,17.34,18.28,20.34,23.91,26.44,26.38,26.0,27.0,26.78,23.66,20.09,19.16,19.25,18.44,16.84,16.94,18.19,17.44,14.78,13.38,14.06,14.12,12.0,10.38,10.44,10.59,8.5,6.47,6.66,9.0,9.59,10.19,12.66,17.06,20.03,20.56,21.0,22.91,23.81,21.22,18.84,18.47,17.84,15.62,12.91,12.94,14.59,15.28,14.81,15.47,17.75,18.56,16.91,15.88,16.97,17.69,15.66,13.19,12.88,13.69,13.03,11.91,13.38,16.34,17.72,17.69,18.56,21.19,22.47,20.53,18.53,18.38,17.94,16.06,14.12,14.41,15.91,15.22,13.62,14.03,16.38,17.75,17.91,18.94,21.22,22.09,20.12,17.62,17.06,16.69,13.97,10.91,10.25,11.5,11.31,10.81,12.12,14.75,15.66,14.44,14.41,16.22,18.19,18.19,18.22,20.16,21.78,21.28,19.44,18.81,19.53,18.28,16.34,16.03,17.91,18.66,17.66,17.09,18.44,19.31,17.84,16.25,16.66,18.19,18.09,17.62,18.94,21.69,22.44,21.47,20.91,22.03,22.03,19.69,17.34,16.69,16.22,13.53,11.41,11.94,14.44,16.0,16.75,19.34,23.06,25.12,24.84,24.53,25.16,24.75,21.88,18.97,18.88,19.5,18.81,17.31,18.47,20.62,20.94,19.94,19.78,21.25,21.47,19.66,18.06,19.06,19.31,17.44,15.81,16.62,18.34,18.16,16.66,16.75,17.12,15.41,12.03,9.78,9.94,9.62,8.28,7.72,9.53,11.69,11.25,10.59,11.69,13.91,14.38,13.91,15.06,17.16,17.81,16.09,14.97,16.09,16.5,14.91,13.88,14.97,15.91,14.03,11.41,10.44,10.62,9.59,8.38,9.97,14.09,17.22,18.62,20.28,23.25,24.88,23.28,21.22,21.38,21.62,19.88,17.91,17.91,18.72,17.66,14.69,12.88,13.09,12.75,11.44,11.5,14.19,16.53,16.31,15.12,16.0,17.41,16.91,15.81,16.34,17.97,17.88,15.72,14.72,15.38,15.09,13.0,11.34,12.19,13.47,12.69,11.91,13.59,16.03,16.59,16.59,18.0,20.53,21.22,19.72,18.22,18.31,18.38,16.56,15.44,17.34,19.41,18.88,17.06,17.09,18.0,17.69,16.41,17.06,19.0,19.47,17.97,17.03,18.28,20.16,20.28,21.06,23.84,26.44,26.09,24.38,24.12,24.19,22.97,20.81,20.69,23.31,26.19,27.47,29.34,32.59,34.59,33.81,32.53,33.5,35.25,35.22,33.72,33.53,33.84,32.44,28.94,26.5,26.22,25.16,21.91,19.34,19.34,19.97,19.69,19.0,21.28,23.88,24.16,22.62,22.19,22.94,22.44,20.06,19.31,21.19,23.12,23.31,23.91,26.72,28.91,28.78,27.47,27.41,28.25,27.16,24.78,23.97,25.38,26.0,24.75,24.84,26.78,28.25,26.88,25.34,26.16,27.22,26.62,25.22,25.22,26.59,26.16,24.12,23.81,25.25,26.19,25.31,25.5,28.47,31.59,32.22,31.94,33.5,35.0,34.38,32.66,32.66,34.12,33.69,31.0,29.31,28.84,27.94,24.47,22.19,22.34,23.06,22.03,20.44,21.44,23.28,23.16,21.81,21.38,22.94,23.19,21.62,21.56,23.38,24.88,23.66,22.62,23.75,25.38,25.0,23.91,24.78,26.34,26.03,24.09,23.97,25.53,26.53,25.38,25.22,26.78,27.88,26.72,25.56,26.22,27.19,25.66,23.06,22.31,23.62,23.91,23.47,24.5,27.31,28.91,27.66,27.12,28.41,29.34,27.69,26.31,26.75,28.25,28.34,27.56,28.94,31.72,32.41,30.91,30.22,31.31,31.31,29.31,28.28,29.41,30.97,30.38,29.62,30.47,32.22,32.28,30.38,30.12,30.84,29.97,26.62,23.97,23.56,22.91,20.41,18.78,19.75,21.59,21.47,20.97,22.72,26.16,27.56,27.5,28.38,30.78,31.81,30.91,30.44,32.44,34.06,32.44,30.62,30.19,30.12,27.53,24.56,24.0,25.56,26.16,26.19,27.84,31.34,33.88,33.75,33.84,35.69,37.5,36.72,35.5,36.25,37.91,37.25,36.06,36.56,38.78,39.25,37.97,37.25,38.12,38.16,36.06,34.06,34.38,34.94,33.41,31.19,31.56,33.25,33.25,32.44,33.41,36.44,37.94,36.81,36.78,38.03,38.81,37.41,36.19,37.47,39.31,38.41,36.66,36.28,36.25,33.5,29.34,26.91,27.12,27.22,26.34,26.69,29.72,32.38,32.47,33.12,35.97,39.91,41.25,41.56,43.16,45.28,45.16,43.09,41.38,41.5,40.5,37.0,34.16,33.81,33.34,30.72,28.03,27.97,28.66,27.16,25.0,24.91,26.19,26.41,25.78,26.62,29.88,32.41,32.03,31.38,32.56,33.69,31.94,30.12,31.22,33.44,33.78,33.12,33.78,35.19,34.44,31.31,28.62,27.72,26.75,23.62,20.94,20.91,21.88,21.16,20.62,23.09,27.12,29.56,30.22,31.5,34.03,34.72,33.19,32.28,33.78,34.72,32.78,30.41,30.16,30.28,28.53,26.47,26.97,29.03,29.78,28.66,28.31,29.78,29.78,27.34,24.97,25.31,25.66,24.22,23.22,25.25,28.62,29.25,29.19,30.12,31.97,32.25,30.62,30.22,32.12,33.62,33.31,33.03,34.72,36.47,35.0,32.75,32.25,32.81,31.59,29.56,29.38,30.88,30.94,28.88,27.16,27.34,27.0,24.53,22.44,23.47,24.69,23.81,22.44,23.44,25.75,26.59,25.88,26.09,28.0,28.06,25.78,24.53,26.44,28.09,28.16,28.31,30.62,32.78,32.47,30.75,30.28,31.44,30.94,29.56,29.94,32.72,34.12,32.97,32.38,34.09,35.78,35.59,34.78,35.97,37.12,35.69,33.22,32.38,33.12,33.0,30.94,30.25,31.47,31.69,29.16,26.78,26.88,27.34,25.84,24.84,26.69,29.47,31.06,30.78,32.25,34.56,35.38,34.09,33.12,34.31,34.59,32.31,29.5,29.03,28.78,26.66,23.84,24.12,25.88,26.25,25.44,26.22,28.53,29.31,27.19,25.94,26.97,28.38,27.59,27.06,28.75,31.06,30.97,29.88,30.81,33.34,34.47,34.25,35.59,38.38,39.78,38.38,37.0,37.41,36.94,33.88,30.34,28.72,27.59,25.47,22.47,21.97,23.38,23.72,22.5,22.25,23.78,24.41,22.34,20.34,21.0,22.34,21.91,21.16,23.09,25.62,26.44,25.47,26.31,28.12,28.25,26.53,25.88,27.31,28.38,27.22,25.91,26.75,27.12,25.41,23.28,23.47,24.5,24.09,22.31,22.16,23.06,23.41,21.38,20.38,21.06,21.28,19.22,16.66,17.06,18.12,17.59,16.81,18.72,22.09,24.41,24.84,26.69,29.81,31.72,31.28,31.41,33.53,35.53,34.69,32.91,33.5,34.41,33.06,31.09,30.69,31.59,30.59,27.78,26.62,27.97,29.34,28.97,29.69,32.75,35.69,36.06,35.56,36.81,39.0,39.03,38.03,39.09,41.0,41.12,38.75,36.88,36.41,35.69,32.44,30.34,31.06,32.66,32.44,32.12,34.06,36.53,37.38,36.31,36.62,38.62,39.16,37.56,36.53,37.22,37.75,35.5,32.78,32.66,33.09,31.62,30.03,30.78,33.0,33.38,32.22,31.44,32.41,32.62,30.03,28.59,29.25,29.84,27.38,25.5,25.25,26.22,25.69,24.66,26.0,28.75,29.91,29.06,28.69,30.03,30.31,28.22,27.22,28.59,29.59,28.34,26.56,26.41,27.28,26.75,25.56,26.47,28.59,29.66,27.88,27.03,27.72,27.72,25.44,23.81,24.5,26.16,25.56,24.72,26.0,27.97,28.03,26.56,26.16,26.94,26.75,24.59,23.84,25.47,27.44,27.09,26.56,27.84,29.5,28.56,27.03,27.91,30.34,31.84,31.59,32.44,34.28,34.34,31.56,28.88,28.41,27.81,25.28,23.28,23.88,25.62,25.47,24.66,25.28,27.88,28.62,27.5,27.78,29.28,29.44,26.81,24.53,24.53,25.5,25.44,25.81,29.03,33.41,35.06,34.94,35.31,36.44,35.28,32.28,30.12,30.41,30.28,28.38,11.62,12.06,12.75,12.28,11.56,12.16,13.06,12.47,11.12,11.72,13.47,14.69,15.0,15.97,17.53,17.81,16.25,15.19,15.5,16.03,15.19:14.31,14.09,14.25,15.78,16.44,14.19,12.28,12.94,14.03,12.53,10.69,11.09,12.53,12.38,10.91,11.25,12.88,12.97,11.19,10.53,12.0,13.19,11.81,10.47,10.94,11.38,10.09,7.56,7.22,7.78,6.31,3.28,1.88,2.34,2.44,0.81,1.0,3.78,6.81,7.5,8.47,11.22,14.09,14.56,13.84,14.69,16.16,16.0,13.28,11.59,11.72,11.03,8.0,5.62,6.0,6.81,5.69,5.06,7.25,10.75,12.62,13.44,16.0,19.53,21.34,20.66,20.88,22.44,22.94,20.47,17.72,16.59,15.22,11.38,7.19,5.22,4.75,3.19,0.59,0.34,2.28,3.44,2.59,2.5,4.69,6.66,6.25,6.16,8.19,11.12,11.44,11.12,12.91,15.69,17.12,16.38,16.47,17.97,17.94,14.88,12.59,12.56,12.47,9.91,7.56,7.78,8.78,8.12,7.19,8.88,11.56,13.0,12.22,12.38,14.12,14.97,13.41,11.53,11.84,11.78,9.09,6.25,5.97,6.84,6.81,6.47,7.91,11.16,13.12,13.03,13.38,16.09,17.38,16.06,14.56,14.53,14.69,12.41,10.03,9.62,11.0,11.03,9.75,9.28,10.0,8.94,5.19,2.31,1.56,1.5,-0.44,-1.44,0.44,3.75,5.53,6.91,10.34,14.62,17.34,18.28,20.34,23.91,26.44,26.38,26.0,27.0,26.78,23.66,20.09,19.16,19.25,18.44,16.84,16.94,18.19,17.44,14.78,13.38,14.06,14.12,12.0,10.38,10.44,10.59,8.5,6.47,6.66,9.0,9.59,10.19,12.66,17.06,20.03,20.56,21.0,22.91,23.81,21.22,18.84,18.47,17.84,15.62,12.91,12.94,14.59,15.28,14.81,15.47,17.75,18.56,16.91,15.88,16.97,17.69,15.66,13.19,12.88,13.69,13.03,11.91,13.38,16.34,17.72,17.69,18.56,21.19,22.47,20.53,18.53,18.38,17.94,16.06,14.12,14.41,15.91,15.22,13.62,14.03,16.38,17.75,17.91,18.94,21.22,22.09,20.12,17.62,17.06,16.69,13.97,10.91,10.25,11.5,11.31,10.81,12.12,14.75,15.66,14.44,14.41,16.22,18.19,18.19,18.22,20.16,21.78,21.28,19.44,18.81,19.53,18.28,16.34,16.03,17.91,18.66,17.66,17.09,18.44,19.31,17.84,16.25,16.66,18.19,18.09,17.62,18.94,21.69,22.44,21.47,20.91,22.03,22.03,19.69,17.34,16.69,16.22,13.53,11.41,11.94,14.44,16.0,16.75,19.34,23.06,25.12,24.84,24.53,25.16,24.75,21.88,18.97,18.88,19.5,18.81,17.31,18.47,20.62,20.94,19.94,19.78,21.25,21.47,19.66,18.06,19.06,19.31,17.44,15.81,16.62,18.34,18.16,16.66,16.75,17.12,15.41,12.03,9.78,9.94,9.62,8.28,7.72,9.53,11.69,11.25,10.59,11.69,13.91,14.38,13.91,15.06,17.16,17.81,16.09,14.97,16.09,16.5,14.91,13.88,14.97,15.91,14.03,11.41,10.44,10.62,9.59,8.38,9.97,14.09,17.22,18.62,20.28,23.25,24.88,23.28,21.22,21.38,21.62,19.88,17.91,17.91,18.72,17.66,14.69,12.88,13.09,12.75,11.44,11.5,14.19,16.53,16.31,15.12,16.0,17.41,16.91,15.81,16.34,17.97,17.88,15.72,14.72,15.38,15.09,13.0,11.34,12.19,13.47,12.69,11.91,13.59,16.03,16.59,16.59,18.0,20.53,21.22,19.72,18.22,18.31,18.38,16.56,15.44,17.34,19.41,18.88,17.06,17.09,18.0,17.69,16.41,17.06,19.0,19.47,17.97,17.03,18.28,20.16,20.28,21.06,23.84,26.44,26.09,24.38,24.12,24.19,22.97,20.81,20.69,23.31,26.19,27.47,29.34,32.59,34.59,33.81,32.53,33.5,35.25,35.22,33.72,33.53,33.84,32.44,28.94,26.5,26.22,25.16,21.91,19.34,19.34,19.97,19.69,19.0,21.28,23.88,24.16,22.62,22.19,22.94,22.44,20.06,19.31,21.19,23.12,23.31,23.91,26.72,28.91,28.78,27.47,27.41,28.25,27.16,24.78,23.97,25.38,26.0,24.75,24.84,26.78,28.25,26.88,25.34,26.16,27.22,26.62,25.22,25.22,26.59,26.16,24.12,23.81,25.25,26.19,25.31,25.5,28.47,31.59,32.22,31.94,33.5,35.0,34.38,32.66,32.66,34.12,33.69,31.0,29.31,28.84,27.94,24.47,22.19,22.34,23.06,22.03,20.44,21.44,23.28,23.16,21.81,21.38,22.94,23.19,21.62,21.56,23.38,24.88,23.66,22.62,23.75,25.38,25.0,23.91,24.78,26.34,26.03,24.09,23.97,25.53,26.53,25.38,25.22,26.78,27.88,26.72,25.56,26.22,27.19,25.66,23.06,22.31,23.62,23.91,23.47,24.5,27.31,28.91,27.66,27.12,28.41,29.34,27.69,26.31,26.75,28.25,28.34,27.56,28.94,31.72,32.41,30.91,30.22,31.31,31.31,29.31,28.28,29.41,30.97,30.38,29.62,30.47,32.22,32.28,30.38,30.12,30.84,29.97,26.62,23.97,23.56,22.91,20.41,18.78,19.75,21.59,21.47,20.97,22.72,26.16,27.56,27.5,28.38,30.78,31.81,30.91,30.44,32.44,34.06,32.44,30.62,30.19,30.12,27.53,24.56,24.0,25.56,26.16,26.19,27.84,31.34,33.88,33.75,33.84,35.69,37.5,36.72,35.5,36.25,37.91,37.25,36.06,36.56,38.78,39.25,37.97,37.25,38.12,38.16,36.06,34.06,34.38,34.94,33.41,31.19,31.56,33.25,33.25,32.44,33.41,36.44,37.94,36.81,36.78,38.03,38.81,37.41,36.19,37.47,39.31,38.41,36.66,36.28,36.25,33.5,29.34,26.91,27.12,27.22,26.34,26.69,29.72,32.38,32.47,33.12,35.97,39.91,41.25,41.56,43.16,45.28,45.16,43.09,41.38,41.5,40.5,37.0,34.16,33.81,33.34,30.72,28.03,27.97,28.66,27.16,25.0,24.91,26.19,26.41,25.78,26.62,29.88,32.41,32.03,31.38,32.56,33.69,31.94,30.12,31.22,33.44,33.78,33.12,33.78,35.19,34.44,31.31,28.62,27.72,26.75,23.62,20.94,20.91,21.88,21.16,20.62,23.09,27.12,29.56,30.22,31.5,34.03,34.72,33.19,32.28,33.78,34.72,32.78,30.41,30.16,30.28,28.53,26.47,26.97,29.03,29.78,28.66,28.31,29.78,29.78,27.34,24.97,25.31,25.66,24.22,23.22,25.25,28.62,29.25,29.19,30.12,31.97,32.25,30.62,30.22,32.12,33.62,33.31,33.03,34.72,36.47,35.0,32.75,32.25,32.81,31.59,29.56,29.38,30.88,30.94,28.88,27.16,27.34,27.0,24.53,22.44,23.47,24.69,23.81,22.44,23.44,25.75,26.59,25.88,26.09,28.0,28.06,25.78,24.53,26.44,28.09,28.16,28.31,30.62,32.78,32.47,30.75,30.28,31.44,30.94,29.56,29.94,32.72,34.12,32.97,32.38,34.09,35.78,35.59,34.78,35.97,37.12,35.69,33.22,32.38,33.12,33.0,30.94,30.25,31.47,31.69,29.16,26.78,26.88,27.34,25.84,24.84,26.69,29.47,31.06,30.78,32.25,34.56,35.38,34.09,33.12,34.31,34.59,32.31,29.5,29.03,28.78,26.66,23.84,24.12,25.88,26.25,25.44,26.22,28.53,29.31,27.19,25.94,26.97,28.38,27.59,27.06,28.75,31.06,30.97,29.88,30.81,33.34,34.47,34.25,35.59,38.38,39.78,38.38,37.0,37.41,36.94,33.88,30.34,28.72,27.59,25.47,22.47,21.97,23.38,23.72,22.5,22.25,23.78,24.41,22.34,20.34,21.0,22.34,21.91,21.16,23.09,25.62,26.44,25.47,26.31,28.12,28.25,26.53,25.88,27.31,28.38,27.22,25.91,26.75,27.12,25.41,23.28,23.47,24.5,24.09,22.31,22.16,23.06,23.41,21.38,20.38,21.06,21.28,19.22,16.66,17.06,18.12,17.59,16.81,18.72,22.09,24.41,24.84,26.69,29.81,31.72,31.28,31.41,33.53,35.53,34.69,32.91,33.5,34.41,33.06,31.09,30.69,31.59,30.59,27.78,26.62,27.97,29.34,28.97,29.69,32.75,35.69,36.06,35.56,36.81,39.0,39.03,38.03,39.09,41.0,41.12,38.75,36.88,36.41,35.69,32.44,30.34,31.06,32.66,32.44,32.12,34.06,36.53,37.38,36.31,36.62,38.62,39.16,37.56,36.53,37.22,37.75,35.5,32.78,32.66,33.09,31.62,30.03,30.78,33.0,33.38,32.22,31.44,32.41,32.62,30.03,28.59,29.25,29.84,27.38,25.5,25.25,26.22,25.69,24.66,26.0,28.75,29.91,29.06,28.69,30.03,30.31,28.22,27.22,28.59,29.59,28.34,26.56,26.41,27.28,26.75,25.56,26.47,28.59,29.66,27.88,27.03,27.72,27.72,25.44,23.81,24.5,26.16,25.56,24.72,26.0,27.97,28.03,26.56,26.16,26.94,26.75,24.59,23.84,25.47,27.44,27.09,26.56,27.84,29.5,28.56,27.03,27.91,30.34,31.84,31.59,32.44,34.28,34.34,31.56,28.88,28.41,27.81,25.28,23.28,23.88,25.62,25.47,24.66,25.28,27.88,28.62,27.5,27.78,29.28,29.44,26.81,24.53,24.53,25.5,25.44,25.81,29.03,33.41,35.06,34.94,35.31,36.44,35.28,32.28,30.12,30.41,30.28,28.38,11.62,12.06,12.75,12.28,11.56,12.16,13.06,12.47,11.12,11.72,13.47,14.69,15.0,15.97,17.53,17.81,16.25,15.19,15.5,16.03,15.19,14.03,14.09,14.72,14.66,14.22,15.59,18.06:12.94,14.03,12.53,10.69,11.09,12.53,12.38,10.91,11.25,12.88,12.97,11.19,10.53,12.0,13.19,11.81,10.47,10.94,11.38,10.09,7.56,7.22,7.78,6.31,3.28,1.88,2.34,2.44,0.81,1.0,3.78,6.81,7.5,8.47,11.22,14.09,14.56,13.84,14.69,16.16,16.0,13.28,11.59,11.72,11.03,8.0,5.62,6.0,6.81,5.69,5.06,7.25,10.75,12.62,13.44,16.0,19.53,21.34,20.66,20.88,22.44,22.94,20.47,17.72,16.59,15.22,11.38,7.19,5.22,4.75,3.19,0.59,0.34,2.28,3.44,2.59,2.5,4.69,6.66,6.25,6.16,8.19,11.12,11.44,11.12,12.91,15.69,17.12,16.38,16.47,17.97,17.94,14.88,12.59,12.56,12.47,9.91,7.56,7.78,8.78,8.12,7.19,8.88,11.56,13.0,12.22,12.38,14.12,14.97,13.41,11.53,11.84,11.78,9.09,6.25,5.97,6.84,6.81,6.47,7.91,11.16,13.12,13.03,13.38,16.09,17.38,16.06,14.56,14.53,14.69,12.41,10.03,9.62,11.0,11.03,9.75,9.28,10.0,8.94,5.19,2.31,1.56,1.5,-0.44,-1.44,0.44,3.75,5.53,6.91,10.34,14.62,17.34,18.28,20.34,23.91,26.44,26.38,26.0,27.0,26.78,23.66,20.09,19.16,19.25,18.44,16.84,16.94,18.19,17.44,14.78,13.38,14.06,14.12,12.0,10.38,10.44,10.59,8.5,6.47,6.66,9.0,9.59,10.19,12.66,17.06,20.03,20.56,21.0,22.91,23.81,21.22,18.84,18.47,17.84,15.62,12.91,12.94,14.59,15.28,14.81,15.47,17.75,18.56,16.91,15.88,16.97,17.69,15.66,13.19,12.88,13.69,13.03,11.91,13.38,16.34,17.72,17.69,18.56,21.19,22.47,20.53,18.53,18.38,17.94,16.06,14.12,14.41,15.91,15.22,13.62,14.03,16.38,17.75,17.91,18.94,21.22,22.09,20.12,17.62,17.06,16.69,13.97,10.91,10.25,11.5,11.31,10.81,12.12,14.75,15.66,14.44,14.41,16.22,18.19,18.19,18.22,20.16,21.78,21.28,19.44,18.81,19.53,18.28,16.34,16.03,17.91,18.66,17.66,17.09,18.44,19.31,17.84,16.25,16.66,18.19,18.09,17.62,18.94,21.69,22.44,21.47,20.91,22.03,22.03,19.69,17.34,16.69,16.22,13.53,11.41,11.94,14.44,16.0,16.75,19.34,23.06,25.12,24.84,24.53,25.16,24.75,21.88,18.97,18.88,19.5,18.81,17.31,18.47,20.62,20.94,19.94,19.78,21.25,21.47,19.66,18.06,19.06,19.31,17.44,15.81,16.62,18.34,18.16,16.66,16.75,17.12,15.41,12.03,9.78,9.94,9.62,8.28,7.72,9.53,11.69,11.25,10.59,11.69,13.91,14.38,13.91,15.06,17.16,17.81,16.09,14.97,16.09,16.5,14.91,13.88,14.97,15.91,14.03,11.41,10.44,10.62,9.59,8.38,9.97,14.09,17.22,18.62,20.28,23.25,24.88,23.28,21.22,21.38,21.62,19.88,17.91,17.91,18.72,17.66,14.69,12.88,13.09,12.75,11.44,11.5,14.19,16.53,16.31,15.12,16.0,17.41,16.91,15.81,16.34,17.97,17.88,15.72,14.72,15.38,15.09,13.0,11.34,12.19,13.47,12.69,11.91,13.59,16.03,16.59,16.59,18.0,20.53,21.22,19.72,18.22,18.31,18.38,16.56,15.44,17.34,19.41,18.88,17.06,17.09,18.0,17.69,16.41,17.06,19.0,19.47,17.97,17.03,18.28,20.16,20.28,21.06,23.84,26.44,26.09,24.38,24.12,24.19,22.97,20.81,20.69,23.31,26.19,27.47,29.34,32.59,34.59,33.81,32.53,33.5,35.25,35.22,33.72,33.53,33.84,32.44,28.94,26.5,26.22,25.16,21.91,19.34,19.34,19.97,19.69,19.0,21.28,23.88,24.16,22.62,22.19,22.94,22.44,20.06,19.31,21.19,23.12,23.31,23.91,26.72,28.91,28.78,27.47,27.41,28.25,27.16,24.78,23.97,25.38,26.0,24.75,24.84,26.78,28.25,26.88,25.34,26.16,27.22,26.62,25.22,25.22,26.59,26.16,24.12,23.81,25.25,26.19,25.31,25.5,28.47,31.59,32.22,31.94,33.5,35.0,34.38,32.66,32.66,34.12,33.69,31.0,29.31,28.84,27.94,24.47,22.19,22.34,23.06,22.03,20.44,21.44,23.28,23.16,21.81,21.38,22.94,23.19,21.62,21.56,23.38,24.88,23.66,22.62,23.75,25.38,25.0,23.91,24.78,26.34,26.03,24.09,23.97,25.53,26.53,25.38,25.22,26.78,27.88,26.72,25.56,26.22,27.19,25.66,23.06,22.31,23.62,23.91,23.47,24.5,27.31,28.91,27.66,27.12,28.41,29.34,27.69,26.31,26.75,28.25,28.34,27.56,28.94,31.72,32.41,30.91,30.22,31.31,31.31,29.31,28.28,29.41,30.97,30.38,29.62,30.47,32.22,32.28,30.38,30.12,30.84,29.97,26.62,23.97,23.56,22.91,20.41,18.78,19.75,21.59,21.47,20.97,22.72,26.16,27.56,27.5,28.38,30.78,31.81,30.91,30.44,32.44,34.06,32.44,30.62,30.19,30.12,27.53,24.56,24.0,25.56,26.16,26.19,27.84,31.34,33.88,33.75,33.84,35.69,37.5,36.72,35.5,36.25,37.91,37.25,36.06,36.56,38.78,39.25,37.97,37.25,38.12,38.16,36.06,34.06,34.38,34.94,33.41,31.19,31.56,33.25,33.25,32.44,33.41,36.44,37.94,36.81,36.78,38.03,38.81,37.41,36.19,37.47,39.31,38.41,36.66,36.28,36.25,33.5,29.34,26.91,27.12,27.22,26.34,26.69,29.72,32.38,32.47,33.12,35.97,39.91,41.25,41.56,43.16,45.28,45.16,43.09,41.38,41.5,40.5,37.0,34.16,33.81,33.34,30.72,28.03,27.97,28.66,27.16,25.0,24.91,26.19,26.41,25.78,26.62,29.88,32.41,32.03,31.38,32.56,33.69,31.94,30.12,31.22,33.44,33.78,33.12,33.78,35.19,34.44,31.31,28.62,27.72,26.75,23.62,20.94,20.91,21.88,21.16,20.62,23.09,27.12,29.56,30.22,31.5,34.03,34.72,33.19,32.28,33.78,34.72,32.78,30.41,30.16,30.28,28.53,26.47,26.97,29.03,29.78,28.66,28.31,29.78,29.78,27.34,24.97,25.31,25.66,24.22,23.22,25.25,28.62,29.25,29.19,30.12,31.97,32.25,30.62,30.22,32.12,33.62,33.31,33.03,34.72,36.47,35.0,32.75,32.25,32.81,31.59,29.56,29.38,30.88,30.94,28.88,27.16,27.34,27.0,24.53,22.44,23.47,24.69,23.81,22.44,23.44,25.75,26.59,25.88,26.09,28.0,28.06,25.78,24.53,26.44,28.09,28.16,28.31,30.62,32.78,32.47,30.75,30.28,31.44,30.94,29.56,29.94,32.72,34.12,32.97,32.38,34.09,35.78,35.59,34.78,35.97,37.12,35.69,33.22,32.38,33.12,33.0,30.94,30.25,31.47,31.69,29.16,26.78,26.88,27.34,25.84,24.84,26.69,29.47,31.06,30.78,32.25,34.56,35.38,34.09,33.12,34.31,34.59,32.31,29.5,29.03,28.78,26.66,23.84,24.12,25.88,26.25,25.44,26.22,28.53,29.31,27.19,25.94,26.97,28.38,27.59,27.06,28.75,31.06,30.97,29.88,30.81,33.34,34.47,34.25,35.59,38.38,39.78,38.38,37.0,37.41,36.94,33.88,30.34,28.72,27.59,25.47,22.47,21.97,23.38,23.72,22.5,22.25,23.78,24.41,22.34,20.34,21.0,22.34,21.91,21.16,23.09,25.62,26.44,25.47,26.31,28.12,28.25,26.53,25.88,27.31,28.38,27.22,25.91,26.75,27.12,25.41,23.28,23.47,24.5,24.09,22.31,22.16,23.06,23.41,21.38,20.38,21.06,21.28,19.22,16.66,17.06,18.12,17.59,16.81,18.72,22.09,24.41,24.84,26.69,29.81,31.72,31.28,31.41,33.53,35.53,34.69,32.91,33.5,34.41,33.06,31.09,30.69,31.59,30.59,27.78,26.62,27.97,29.34,28.97,29.69,32.75,35.69,36.06,35.56,36.81,39.0,39.03,38.03,39.09,41.0,41.12,38.75,36.88,36.41,35.69,32.44,30.34,31.06,32.66,32.44,32.12,34.06,36.53,37.38,36.31,36.62,38.62,39.16,37.56,36.53,37.22,37.75,35.5,32.78,32.66,33.09,31.62,30.03,30.78,33.0,33.38,32.22,31.44,32.41,32.62,30.03,28.59,29.25,29.84,27.38,25.5,25.25,26.22,25.69,24.66,26.0,28.75,29.91,29.06,28.69,30.03,30.31,28.22,27.22,28.59,29.59,28.34,26.56,26.41,27.28,26.75,25.56,26.47,28.59,29.66,27.88,27.03,27.72,27.72,25.44,23.81,24.5,26.16,25.56,24.72,26.0,27.97,28.03,26.56,26.16,26.94,26.75,24.59,23.84,25.47,27.44,27.09,26.56,27.84,29.5,28.56,27.03,27.91,30.34,31.84,31.59,32.44,34.28,34.34,31.56,28.88,28.41,27.81,25.28,23.28,23.88,25.62,25.47,24.66,25.28,27.88,28.62,27.5,27.78,29.28,29.44,26.81,24.53,24.53,25.5,25.44,25.81,29.03,33.41,35.06,34.94,35.31,36.44,35.28,32.28,30.12,30.41,30.28,28.38,11.62,12.06,12.75,12.28,11.56,12.16,13.06,12.47,11.12,11.72,13.47,14.69,15.0,15.97,17.53,17.81,16.25,15.19,15.5,16.03,15.19,14.03,14.09,14.72,14.66,14.22,15.59,18.06,19.31,18.72,18.03,17.91,16.88,14.53,13.03:10.91,11.25,12.88,12.97,11.19,10.53,12.0,13.19,11.81,10.47,10.94,11.38,10.09,7.56,7.22,7.78,6.31,3.28,1.88,2.34,2.44,0.81,1.0,3.78,6.81,7.5,8.47,11.22,14.09,14.56,13.84,14.69,16.16,16.0,13.28,11.59,11.72,11.03,8.0,5.62,6.0,6.81,5.69,5.06,7.25,10.75,12.62,13.44,16.0,19.53,21.34,20.66,20.88,22.44,22.94,20.47,17.72,16.59,15.22,11.38,7.19,5.22,4.75,3.19,0.59,0.34,2.28,3.44,2.59,2.5,4.69,6.66,6.25,6.16,8.19,11.12,11.44,11.12,12.91,15.69,17.12,16.38,16.47,17.97,17.94,14.88,12.59,12.56,12.47,9.91,7.56,7.78,8.78,8.12,7.19,8.88,11.56,13.0,12.22,12.38,14.12,14.97,13.41,11.53,11.84,11.78,9.09,6.25,5.97,6.84,6.81,6.47,7.91,11.16,13.12,13.03,13.38,16.09,17.38,16.06,14.56,14.53,14.69,12.41,10.03,9.62,11.0,11.03,9.75,9.28,10.0,8.94,5.19,2.31,1.56,1.5,-0.44,-1.44,0.44,3.75,5.53,6.91,10.34,14.62,17.34,18.28,20.34,23.91,26.44,26.38,26.0,27.0,26.78,23.66,20.09,19.16,19.25,18.44,16.84,16.94,18.19,17.44,14.78,13.38,14.06,14.12,12.0,10.38,10.44,10.59,8.5,6.47,6.66,9.0,9.59,10.19,12.66,17.06,20.03,20.56,21.0,22.91,23.81,21.22,18.84,18.47,17.84,15.62,12.91,12.94,14.59,15.28,14.81,15.47,17.75,18.56,16.91,15.88,16.97,17.69,15.66,13.19,12.88,13.69,13.03,11.91,13.38,16.34,17.72,17.69,18.56,21.19,22.47,20.53,18.53,18.38,17.94,16.06,14.12,14.41,15.91,15.22,13.62,14.03,16.38,17.75,17.91,18.94,21.22,22.09,20.12,17.62,17.06,16.69,13.97,10.91,10.25,11.5,11.31,10.81,12.12,14.75,15.66,14.44,14.41,16.22,18.19,18.19,18.22,20.16,21.78,21.28,19.44,18.81,19.53,18.28,16.34,16.03,17.91,18.66,17.66,17.09,18.44,19.31,17.84,16.25,16.66,18.19,18.09,17.62,18.94,21.69,22.44,21.47,20.91,22.03,22.03,19.69,17.34,16.69,16.22,13.53,11.41,11.94,14.44,16.0,16.75,19.34,23.06,25.12,24.84,24.53,25.16,24.75,21.88,18.97,18.88,19.5,18.81,17.31,18.47,20.62,20.94,19.94,19.78,21.25,21.47,19.66,18.06,19.06,19.31,17.44,15.81,16.62,18.34,18.16,16.66,16.75,17.12,15.41,12.03,9.78,9.94,9.62,8.28,7.72,9.53,11.69,11.25,10.59,11.69,13.91,14.38,13.91,15.06,17.16,17.81,16.09,14.97,16.09,16.5,14.91,13.88,14.97,15.91,14.03,11.41,10.44,10.62,9.59,8.38,9.97,14.09,17.22,18.62,20.28,23.25,24.88,23.28,21.22,21.38,21.62,19.88,17.91,17.91,18.72,17.66,14.69,12.88,13.09,12.75,11.44,11.5,14.19,16.53,16.31,15.12,16.0,17.41,16.91,15.81,16.34,17.97,17.88,15.72,14.72,15.38,15.09,13.0,11.34,12.19,13.47,12.69,11.91,13.59,16.03,16.59,16.59,18.0,20.53,21.22,19.72,18.22,18.31,18.38,16.56,15.44,17.34,19.41,18.88,17.06,17.09,18.0,17.69,16.41,17.06,19.0,19.47,17.97,17.03,18.28,20.16,20.28,21.06,23.84,26.44,26.09,24.38,24.12,24.19,22.97,20.81,20.69,23.31,26.19,27.47,29.34,32.59,34.59,33.81,32.53,33.5,35.25,35.22,33.72,33.53,33.84,32.44,28.94,26.5,26.22,25.16,21.91,19.34,19.34,19.97,19.69,19.0,21.28,23.88,24.16,22.62,22.19,22.94,22.44,20.06,19.31,21.19,23.12,23.31,23.91,26.72,28.91,28.78,27.47,27.41,28.25,27.16,24.78,23.97,25.38,26.0,24.75,24.84,26.78,28.25,26.88,25.34,26.16,27.22,26.62,25.22,25.22,26.59,26.16,24.12,23.81,25.25,26.19,25.31,25.5,28.47,31.59,32.22,31.94,33.5,35.0,34.38,32.66,32.66,34.12,33.69,31.0,29.31,28.84,27.94,24.47,22.19,22.34,23.06,22.03,20.44,21.44,23.28,23.16,21.81,21.38,22.94,23.19,21.62,21.56,23.38,24.88,23.66,22.62,23.75,25.38,25.0,23.91,24.78,26.34,26.03,24.09,23.97,25.53,26.53,25.38,25.22,26.78,27.88,26.72,25.56,26.22,27.19,25.66,23.06,22.31,23.62,23.91,23.47,24.5,27.31,28.91,27.66,27.12,28.41,29.34,27.69,26.31,26.75,28.25,28.34,27.56,28.94,31.72,32.41,30.91,30.22,31.31,31.31,29.31,28.28,29.41,30.97,30.38,29.62,30.47,32.22,32.28,30.38,30.12,30.84,29.97,26.62,23.97,23.56,22.91,20.41,18.78,19.75,21.59,21.47,20.97,22.72,26.16,27.56,27.5,28.38,30.78,31.81,30.91,30.44,32.44,34.06,32.44,30.62,30.19,30.12,27.53,24.56,24.0,25.56,26.16,26.19,27.84,31.34,33.88,33.75,33.84,35.69,37.5,36.72,35.5,36.25,37.91,37.25,36.06,36.56,38.78,39.25,37.97,37.25,38.12,38.16,36.06,34.06,34.38,34.94,33.41,31.19,31.56,33.25,33.25,32.44,33.41,36.44,37.94,36.81,36.78,38.03,38.81,37.41,36.19,37.47,39.31,38.41,36.66,36.28,36.25,33.5,29.34,26.91,27.12,27.22,26.34,26.69,29.72,32.38,32.47,33.12,35.97,39.91,41.25,41.56,43.16,45.28,45.16,43.09,41.38,41.5,40.5,37.0,34.16,33.81,33.34,30.72,28.03,27.97,28.66,27.16,25.0,24.91,26.19,26.41,25.78,26.62,29.88,32.41,32.03,31.38,32.56,33.69,31.94,30.12,31.22,33.44,33.78,33.12,33.78,35.19,34.44,31.31,28.62,27.72,26.75,23.62,20.94,20.91,21.88,21.16,20.62,23.09,27.12,29.56,30.22,31.5,34.03,34.72,33.19,32.28,33.78,34.72,32.78,30.41,30.16,30.28,28.53,26.47,26.97,29.03,29.78,28.66,28.31,29.78,29.78,27.34,24.97,25.31,25.66,24.22,23.22,25.25,28.62,29.25,29.19,30.12,31.97,32.25,30.62,30.22,32.12,33.62,33.31,33.03,34.72,36.47,35.0,32.75,32.25,32.81,31.59,29.56,29.38,30.88,30.94,28.88,27.16,27.34,27.0,24.53,22.44,23.47,24.69,23.81,22.44,23.44,25.75,26.59,25.88,26.09,28.0,28.06,25.78,24.53,26.44,28.09,28.16,28.31,30.62,32.78,32.47,30.75,30.28,31.44,30.94,29.56,29.94,32.72,34.12,32.97,32.38,34.09,35.78,35.59,34.78,35.97,37.12,35.69,33.22,32.38,33.12,33.0,30.94,30.25,31.47,31.69,29.16,26.78,26.88,27.34,25.84,24.84,26.69,29.47,31.06,30.78,32.25,34.56,35.38,34.09,33.12,34.31,34.59,32.31,29.5,29.03,28.78,26.66,23.84,24.12,25.88,26.25,25.44,26.22,28.53,29.31,27.19,25.94,26.97,28.38,27.59,27.06,28.75,31.06,30.97,29.88,30.81,33.34,34.47,34.25,35.59,38.38,39.78,38.38,37.0,37.41,36.94,33.88,30.34,28.72,27.59,25.47,22.47,21.97,23.38,23.72,22.5,22.25,23.78,24.41,22.34,20.34,21.0,22.34,21.91,21.16,23.09,25.62,26.44,25.47,26.31,28.12,28.25,26.53,25.88,27.31,28.38,27.22,25.91,26.75,27.12,25.41,23.28,23.47,24.5,24.09,22.31,22.16,23.06,23.41,21.38,20.38,21.06,21.28,19.22,16.66,17.06,18.12,17.59,16.81,18.72,22.09,24.41,24.84,26.69,29.81,31.72,31.28,31.41,33.53,35.53,34.69,32.91,33.5,34.41,33.06,31.09,30.69,31.59,30.59,27.78,26.62,27.97,29.34,28.97,29.69,32.75,35.69,36.06,35.56,36.81,39.0,39.03,38.03,39.09,41.0,41.12,38.75,36.88,36.41,35.69,32.44,30.34,31.06,32.66,32.44,32.12,34.06,36.53,37.38,36.31,36.62,38.62,39.16,37.56,36.53,37.22,37.75,35.5,32.78,32.66,33.09,31.62,30.03,30.78,33.0,33.38,32.22,31.44,32.41,32.62,30.03,28.59,29.25,29.84,27.38,25.5,25.25,26.22,25.69,24.66,26.0,28.75,29.91,29.06,28.69,30.03,30.31,28.22,27.22,28.59,29.59,28.34,26.56,26.41,27.28,26.75,25.56,26.47,28.59,29.66,27.88,27.03,27.72,27.72,25.44,23.81,24.5,26.16,25.56,24.72,26.0,27.97,28.03,26.56,26.16,26.94,26.75,24.59,23.84,25.47,27.44,27.09,26.56,27.84,29.5,28.56,27.03,27.91,30.34,31.84,31.59,32.44,34.28,34.34,31.56,28.88,28.41,27.81,25.28,23.28,23.88,25.62,25.47,24.66,25.28,27.88,28.62,27.5,27.78,29.28,29.44,26.81,24.53,24.53,25.5,25.44,25.81,29.03,33.41,35.06,34.94,35.31,36.44,35.28,32.28,30.12,30.41,30.28,28.38,11.62,12.06,12.75,12.28,11.56,12.16,13.06,12.47,11.12,11.72,13.47,14.69,15.0,15.97,17.53,17.81,16.25,15.19,15.5,16.03,15.19,14.03,14.09,14.72,14.66,14.22,15.59,18.06,19.31,18.72,18.03,17.91,16.88,14.53,13.03,13.25,14.12,13.47,12.44,12.59,13.53,13.38:negativity
10.5,9.97,11.91,15.5,17.84,19.31,22.41,27.84,32.59,35.16,38.09,42.09,44.31,42.53,39.59,38.28,36.94,33.91,30.75,29.62,30.38,29.84,28.09,27.22,27.38,26.47,22.78,19.75,19.66,20.09,18.72,17.25,17.72,19.25,18.66,17.56,19.03,22.72,25.72,27.03,29.44,33.44,35.84,34.62,32.31,31.59,30.34,26.78,23.38,23.0,23.78,22.75,20.53,19.69,20.31,19.88,18.5,18.38,20.94,23.28,23.31,23.25,25.56,28.06,28.66,29.12,31.38,34.88,35.84,34.53,33.88,34.53,33.56,30.78,28.94,29.16,28.78,26.16,23.22,22.62,22.5,20.44,18.12,17.94,19.0,18.34,16.5,16.19,17.72,18.38,17.0,15.91,17.0,17.44,15.19,12.53,12.06,12.28,10.56,8.78,8.91,10.78,11.0,9.31,8.91,10.41,11.25,9.56,7.91,8.88,9.25,8.09,7.06,8.62,11.31,11.66,10.66,11.12,12.53,12.38,10.38,9.84,10.97,11.28,9.44,7.59,8.69,9.38,8.28,7.16,8.47,11.25,12.56,12.53,13.88,15.56,15.22,12.19,9.44,9.09,8.62,6.91,6.03,8.31,11.31,12.5,12.22,12.88,13.97,12.41,9.53,7.94,8.44,7.88,5.41,3.69,4.19,3.88,1.56,-0.84,-0.38,0.75,0.5,0.0,1.56,4.38,5.69,5.38,6.53,9.41,11.31,10.69,9.75,11.16,11.84,10.16,7.94,8.25,9.0,7.69,5.31,4.72,5.88,5.66,3.94,4.0,6.41,7.66,6.53,5.75,7.06,7.78,6.53,4.72,5.31,7.03,6.5,5.28,6.06,8.69,10.31,10.5,11.94,14.91,16.53,15.03,13.19,13.16,13.88,12.84,11.06,11.56,12.53,11.84,9.34,9.22,11.12,12.0,10.94,10.5,11.44,11.44,8.97,6.75,7.09,8.56,9.09,8.91,11.19,13.75,14.06,12.22,11.69,12.59,12.5,11.12,10.97,13.19,14.72,14.78,14.09,15.34,16.12,14.19,10.62,8.59,7.41,5.12,1.62,0.31,1.91,2.84,2.03,1.53,3.06,4.66,3.94,3.06,4.09,5.97,5.53,3.94,4.69,6.56,7.0,5.38,4.62,5.44,5.66,3.94,2.69,3.66,4.31,2.44,0.44,0.44,1.66,1.53,0.44,1.25,3.19,3.75,2.44,1.72,3.53,5.0,4.28,3.56,5.44,7.53,7.34,6.59,7.78,10.31,11.09,10.0,10.31,12.0,12.47,11.12,10.41,11.75,12.72,10.81,9.03,9.53,11.06,11.5,11.22,13.44,17.09,19.25,19.38,20.62,22.38,22.66,19.62,16.75,15.84,14.31,10.84,7.44,6.69,6.66,5.41,3.69,4.81,8.19,10.81,11.97,14.59,18.12,19.5,16.91,13.0,10.12,7.06,2.09,-2.25,-3.66,-3.72,-5.47,-8.09,-8.22,-6.25,-4.44,-3.59,-1.34,2.75,5.72,6.25,6.62,8.81,11.03,10.56,9.38,10.22,11.53,10.91,9.06,8.31,9.5,10.0,9.12,9.12,10.69,10.53,6.81,2.22,-0.12,-1.16,-3.78,-5.88,-5.22,-2.94,-1.81,-1.78,0.09,3.47,5.81,5.31,5.22,6.72,7.91,6.97,6.09,7.72,9.41,8.47,5.78,3.78,2.25,-0.59,-4.47,-6.56,-6.53,-7.03,-9.97,-12.16,-11.97,-11.78,-13.34,-14.41,-12.88,-10.31,-8.62,-7.91,-4.88,-1.12,1.34,1.72,2.16,4.03,4.41,1.41,-1.97,-3.19,-4.78,-8.25,-10.91,-10.12,-7.53,-6.09,-5.5,-3.84,-1.47,-1.19,-3.16,-4.81,-4.56,-4.75,-7.12,-8.28,-7.38,-5.0,-5.25,-5.62,-4.25,-2.22,-1.78,-2.59,-2.16,-0.16,0.84,-0.56,-1.28,-0.5,-0.09,-2.41,-5.25,-6.19,-6.62,-9.38,-11.84,-11.56,-9.12,-7.22,-6.0,-3.22,0.94,3.31,2.28,1.16,1.0,0.53,-1.22,-2.34,0.28,4.38,7.22,8.97,11.69,14.97,15.88,14.88,14.97,17.12,19.25,19.31,19.62,21.91,23.12,21.5,19.0,17.69,16.78,13.12,8.22,5.09,3.66,1.66,-0.72,-1.81,-0.97,-0.78,-2.91,-4.94,-4.44,-3.22,-3.62,-4.12,-2.88,-1.12,-2.06,-4.19,-5.12,-4.62,-5.12,-7.06,-8.0,-6.91,-5.81,-6.84,-7.5,-5.66,-3.44,-3.47,-4.09,-3.09,-1.81,-2.47,-3.97,-3.84,-1.25,1.41,3.34,6.12,10.97,15.25,16.25,15.56,15.59,15.12,11.91,8.19,6.91,7.62,7.0,5.31,4.69,5.31,5.0,2.41,0.47,0.31,0.03,-2.81,-5.69,-6.41,-6.31,-7.16,-8.59,-7.88,-5.53,-4.31,-4.44,-3.19,-0.25,2.47,3.53,4.62,8.16,11.0,11.06,10.31,10.72,12.0,11.25,9.06,8.34,8.84,7.66,4.5,2.03,1.91,1.31,-0.62,-2.28,-1.09,0.53,0.38,-0.09,1.09,3.69,4.34,3.38,3.19,4.5,4.25,2.44,1.5,2.91,4.44,4.0,4.22,6.78,10.19,11.25,11.12,12.03,13.22,11.88,8.69,6.69,7.06,6.94,6.0,6.47,9.78,12.94,13.62,13.59,15.03,16.34,15.31,13.0,12.38,13.03,12.25,10.12,9.16,10.12,10.12,8.12,6.62,7.22,7.31,5.72,4.22,4.72,6.5,6.91,6.44,7.72,10.12,10.72,9.28,8.81,9.75,10.31,8.94,8.47,11.09,13.84,14.62,14.44,15.38,16.06,13.94,10.03,7.41,6.69,5.09,2.72,2.0,4.12,5.97,5.72,5.38,6.78,7.81,6.28,3.84,2.97,3.16,1.22,-1.5,-2.84,-2.31,-2.47,-3.56,-3.75,-1.41,0.78,1.06,1.22,2.75,4.56,3.81,2.12,1.69,2.59,1.88,0.25,0.03,1.84,3.16,2.88,3.47,5.66,7.78,7.31,6.69,7.44,8.59,7.66,5.88,5.44,6.22,5.56,3.62,2.97,4.62,5.78,5.22,4.75,6.16,7.69,7.03,5.81,7.16,8.72,8.31,6.66,6.75,8.34,9.19,8.94,9.38,12.19,13.25,11.94,10.0,10.31,10.88,10.34,10.06,12.0,14.03,13.72,10.56,8.03,6.5,4.19,0.91,-0.53,0.97,2.69,2.88,3.03,5.47,7.19,7.22,6.06,6.78,9.09,10.12,9.34,9.81,10.81,10.38,7.88,6.03,6.56,7.5,6.78,6.06,7.41,9.03,8.53,6.88,6.56,7.72,7.81,7.03,7.5,10.38,12.66,12.5,13.0,15.38,17.22,16.09,14.0,13.22,12.31,9.5,6.25,5.22,5.94,6.06,4.84,4.47,5.78,6.41,4.41,2.81,3.5,3.97,2.28,0.25,0.41,1.03,0.12,-1.75,-1.84,-0.34,0.5,0.19,0.97,3.94,6.5,6.78,6.19,7.62,8.47,7.12,4.94,5.47,7.0,7.22,6.78,7.97,10.78,12.53,12.56,13.22,15.91,17.88,16.69,15.0,14.53,13.5,10.66,7.72,7.25,8.97,9.69,9.38,10.34,12.69,13.84,12.81,12.19,13.56,14.47,13.5,11.88,12.22,12.34,10.06,6.72,5.16,4.81,3.75,1.66,1.44,3.38,4.88,4.5,4.25,6.34,8.09,7.31,6.22,7.12,8.66,7.91,6.53,6.94,9.16,10.34,10.25,11.44,14.62,16.94,16.34,15.47,15.75,15.38,12.25,8.62,7.22,7.03,5.72,3.41,3.47,4.75,5.22,3.5,2.56,3.06,2.97,0.69,-0.66,1.0,3.59,4.44,4.88,7.12,9.94,10.94,10.28,11.56,14.16,16.0,15.66,15.97,17.91,18.84,17.12,14.78,14.06,13.25,10.22,6.56,5.06,4.38,2.38,-1.0,-3.09,-3.81,-4.94,-8.0,-9.59,-8.06,-6.12,-5.53,-4.78,-1.97,1.38,2.34,2.47,4.44,7.72,9.72,10.44,12.75,16.75,20.31,21.59,23.09,25.91,27.91,26.59,24.31,23.5,22.47,19.03,14.47,11.5,9.91,7.62,3.81,2.09,2.16,2.06,0.0,-1.59,-0.59,0.38,-0.41,-1.56,-0.47,1.53,1.84,1.41,2.56,4.88,6.0,5.22,5.59,7.38,9.34,8.56,8.47,10.19,12.22,11.91,10.91,11.88,13.59,13.56,12.12,12.28,13.59,13.84,11.47,9.53,8.88,8.06,4.78,2.31,2.88,4.81,5.66,6.03,8.62,11.75,12.84,11.97,12.34,14.28,15.75,15.44,15.91,18.31,20.03,18.66,16.69,16.28,15.78,13.16,10.41,9.72,10.84,10.41,9.12,9.03,10.66,11.56,10.66,10.69,12.72,15.06,14.91,14.66,16.28,18.56,18.5,16.91,16.59,17.22,16.41,13.91,12.47,13.12,12.72,9.75,7.0,6.19,5.94,4.06,2.47,3.69,6.28,7.41,7.41,8.94,11.66,13.03,12.28,12.31,14.31,15.84,14.72,14.16,15.5,17.09,15.97,14.28,14.38,15.25,14.66,12.78,13.03,14.03,13.5,10.53,8.41,8.34,8.47,7.03,6.19,7.84,9.91,10.25,9.81,11.78,14.44,15.56,14.81,15.19,16.97,17.69,15.94,14.34,14.75,15.03,13.12,11.62,13.06,15.34,15.31,14.5,15.12,16.97,17.28,16.25,16.53,18.06,18.5,16.59,15.12,16.19,17.31,16.53,15.69,16.94,19.03,18.81,17.75,18.28,20.44,20.84,19.38,18.66,19.34,18.88,15.81,13.66,14.03,14.97,13.84,13.16,14.78,17.78,19.47,20.41,23.25,26.72,28.03,26.53,25.03,24.91,24.09,21.53,19.69,20.81,22.41,21.44,20.25,20.97,22.44,21.91,20.12,19.5,20.47,19.94,17.22,16.22,17.66,18.72,17.84,17.44,19.44,21.09,20.16,18.72,19.34,20.81,20.78:27.84,32.59,35.16,38.09,42.09,44.31,42.53,39.59,38.28,36.94,33.91,30.75,29.62,30.38,29.84,28.09,27.22,27.38,26.47,22.78,19.75,19.66,20.09,18.72,17.25,17.72,19.25,18.66,17.56,19.03,22.72,25.72,27.03,29.44,33.44,35.84,34.62,32.31,31.59,30.34,26.78,23.38,23.0,23.78,22.75,20.53,19.69,20.31,19.88,18.5,18.38,20.94,23.28,23.31,23.25,25.56,28.06,28.66,29.12,31.38,34.88,35.84,34.53,33.88,34.53,33.56,30.78,28.94,29.16,28.78,26.16,23.22,22.62,22.5,20.44,18.12,17.94,19.0,18.34,16.5,16.19,17.72,18.38,17.0,15.91,17.0,17.44,15.19,12.53,12.06,12.28,10.56,8.78,8.91,10.78,11.0,9.31,8.91,10.41,11.25,9.56,7.91,8.88,9.25,8.09,7.06,8.62,11.31,11.66,10.66,11.12,12.53,12.38,10.38,9.84,10.97,11.28,9.44,7.59,8.69,9.38,8.28,7.16,8.47,11.25,12.56,12.53,13.88,15.56,15.22,12.19,9.44,9.09,8.62,6.91,6.03,8.31,11.31,12.5,12.22,12.88,13.97,12.41,9.53,7.94,8.44,7.88,5.41,3.69,4.19,3.88,1.56,-0.84,-0.38,0.75,0.5,0.0,1.56,4.38,5.69,5.38,6.53,9.41,11.31,10.69,9.75,11.16,11.84,10.16,7.94,8.25,9.0,7.69,5.31,4.72,5.88,5.66,3.94,4.0,6.41,7.66,6.53,5.75,7.06,7.78,6.53,4.72,5.31,7.03,6.5,5.28,6.06,8.69,10.31,10.5,11.94,14.91,16.53,15.03,13.19,13.16,13.88,12.84,11.06,11.56,12.53,11.84,9.34,9.22,11.12,12.0,10.94,10.5,11.44,11.44,8.97,6.75,7.09,8.56,9.09,8.91,11.19,13.75,14.06,12.22,11.69,12.59,12.5,11.12,10.97,13.19,14.72,14.78,14.09,15.34,16.12,14.19,10.62,8.59,7.41,5.12,1.62,0.31,1.91,2.84,2.03,1.53,3.06,4.66,3.94,3.06,4.09,5.97,5.53,3.94,4.69,6.56,7.0,5.38,4.62,5.44,5.66,3.94,2.69,3.66,4.31,2.44,0.44,0.44,1.66,1.53,0.44,1.25,3.19,3.75,2.44,1.72,3.53,5.0,4.28,3.56,5.44,7.53,7.34,6.59,7.78,10.31,11.09,10.0,10.31,12.0,12.47,11.12,10.41,11.75,12.72,10.81,9.03,9.53,11.06,11.5,11.22,13.44,17.09,19.25,19.38,20.62,22.38,22.66,19.62,16.75,15.84,14.31,10.84,7.44,6.69,6.66,5.41,3.69,4.81,8.19,10.81,11.97,14.59,18.12,19.5,16.91,13.0,10.12,7.06,2.09,-2.25,-3.66,-3.72,-5.47,-8.09,-8.22,-6.25,-4.44,-3.59,-1.34,2.75,5.72,6.25,6.62,8.81,11.03,10.56,9.38,10.22,11.53,10.91,9.06,8.31,9.5,10.0,9.12,9.12,10.69,10.53,6.81,2.22,-0.12,-1.16,-3.78,-5.88,-5.22,-2.94,-1.81,-1.78,0.09,3.47,5.81,5.31,5.22,6.72,7.91,6.97,6.09,7.72,9.41,8.47,5.78,3.78,2.25,-0.59,-4.47,-6.56,-6.53,-7.03,-9.97,-12.16,-11.97,-11.78,-13.34,-14.41,-12.88,-10.31,-8.62,-7.91,-4.88,-1.12,1.34,1.72,2.16,4.03,4.41,1.41,-1.97,-3.19,-4.78,-8.25,-10.91,-10.12,-7.53,-6.09,-5.5,-3.84,-1.47,-1.19,-3.16,-4.81,-4.56,-4.75,-7.12,-8.28,-7.38,-5.0,-5.25,-5.62,-4.25,-2.22,-1.78,-2.59,-2.16,-0.16,0.84,-0.56,-1.28,-0.5,-0.09,-2.41,-5.25,-6.19,-6.62,-9.38,-11.84,-11.56,-9.12,-7.22,-6.0,-3.22,0.94,3.31,2.28,1.16,1.0,0.53,-1.22,-2.34,0.28,4.38,7.22,8.97,11.69,14.97,15.88,14.88,14.97,17.12,19.25,19.31,19.62,21.91,23.12,21.5,19.0,17.69,16.78,13.12,8.22,5.09,3.66,1.66,-0.72,-1.81,-0.97,-0.78,-2.91,-4.94,-4.44,-3.22,-3.62,-4.12,-2.88,-1.12,-2.06,-4.19,-5.12,-4.62,-5.12,-7.06,-8.0,-6.91,-5.81,-6.84,-7.5,-5.66,-3.44,-3.47,-4.09,-3.09,-1.81,-2.47,-3.97,-3.84,-1.25,1.41,3.34,6.12,10.97,15.25,16.25,15.56,15.59,15.12,11.91,8.19,6.91,7.62,7.0,5.31,4.69,5.31,5.0,2.41,0.47,0.31,0.03,-2.81,-5.69,-6.41,-6.31,-7.16,-8.59,-7.88,-5.53,-4.31,-4.44,-3.19,-0.25,2.47,3.53,4.62,8.16,11.0,11.06,10.31,10.72,12.0,11.25,9.06,8.34,8.84,7.66,4.5,2.03,1.91,1.31,-0.62,-2.28,-1.09,0.53,0.38,-0.09,1.09,3.69,4.34,3.38,3.19,4.5,4.25,2.44,1.5,2.91,4.44,4.0,4.22,6.78,10.19,11.25,11.12,12.03,13.22,11.88,8.69,6.69,7.06,6.94,6.0,6.47,9.78,12.94,13.62,13.59,15.03,16.34,15.31,13.0,12.38,13.03,12.25,10.12,9.16,10.12,10.12,8.12,6.62,7.22,7.31,5.72,4.22,4.72,6.5,6.91,6.44,7.72,10.12,10.72,9.28,8.81,9.75,10.31,8.94,8.47,11.09,13.84,14.62,14.44,15.38,16.06,13.94,10.03,7.41,6.69,5.09,2.72,2.0,4.12,5.97,5.72,5.38,6.78,7.81,6.28,3.84,2.97,3.16,1.22,-1.5,-2.84,-2.31,-2.47,-3.56,-3.75,-1.41,0.78,1.06,1.22,2.75,4.56,3.81,2.12,1.69,2.59,1.88,0.25,0.03,1.84,3.16,2.88,3.47,5.66,7.78,7.31,6.69,7.44,8.59,7.66,5.88,5.44,6.22,5.56,3.62,2.97,4.62,5.78,5.22,4.75,6.16,7.69,7.03,5.81,7.16,8.72,8.31,6.66,6.75,8.34,9.19,8.94,9.38,12.19,13.25,11.94,10.0,10.31,10.88,10.34,10.06,12.0,14.03,13.72,10.56,8.03,6.5,4.19,0.91,-0.53,0.97,2.69,2.88,3.03,5.47,7.19,7.22,6.06,6.78,9.09,10.12,9.34,9.81,10.81,10.38,7.88,6.03,6.56,7.5,6.78,6.06,7.41,9.03,8.53,6.88,6.56,7.72,7.81,7.03,7.5,10.38,12.66,12.5,13.0,15.38,17.22,16.09,14.0,13.22,12.31,9.5,6.25,5.22,5.94,6.06,4.84,4.47,5.78,6.41,4.41,2.81,3.5,3.97,2.28,0.25,0.41,1.03,0.12,-1.75,-1.84,-0.34,0.5,0.19,0.97,3.94,6.5,6.78,6.19,7.62,8.47,7.12,4.94,5.47,7.0,7.22,6.78,7.97,10.78,12.53,12.56,13.22,15.91,17.88,16.69,15.0,14.53,13.5,10.66,7.72,7.25,8.97,9.69,9.38,10.34,12.69,13.84,12.81,12.19,13.56,14.47,13.5,11.88,12.22,12.34,10.06,6.72,5.16,4.81,3.75,1.66,1.44,3.38,4.88,4.5,4.25,6.34,8.09,7.31,6.22,7.12,8.66,7.91,6.53,6.94,9.16,10.34,10.25,11.44,14.62,16.94,16.34,15.47,15.75,15.38,12.25,8.62,7.22,7.03,5.72,3.41,3.47,4.75,5.22,3.5,2.56,3.06,2.97,0.69,-0.66,1.0,3.59,4.44,4.88,7.12,9.94,10.94,10.28,11.56,14.16,16.0,15.66,15.97,17.91,18.84,17.12,14.78,14.06,13.25,10.22,6.56,5.06,4.38,2.38,-1.0,-3.09,-3.81,-4.94,-8.0,-9.59,-8.06,-6.12,-5.53,-4.78,-1.97,1.38,2.34,2.47,4.44,7.72,9.72,10.44,12.75,16.75,20.31,21.59,23.09,25.91,27.91,26.59,24.31,23.5,22.47,19.03,14.47,11.5,9.91,7.62,3.81,2.09,2.16,2.06,0.0,-1.59,-0.59,0.38,-0.41,-1.56,-0.47,1.53,1.84,1.41,2.56,4.88,6.0,5.22,5.59,7.38,9.34,8.56,8.47,10.19,12.22,11.91,10.91,11.88,13.59,13.56,12.12,12.28,13.59,13.84,11.47,9.53,8.88,8.06,4.78,2.31,2.88,4.81,5.66,6.03,8.62,11.75,12.84,11.97,12.34,14.28,15.75,15.44,15.91,18.31,20.03,18.66,16.69,16.28,15.78,13.16,10.41,9.72,10.84,10.41,9.12,9.03,10.66,11.56,10.66,10.69,12.72,15.06,14.91,14.66,16.28,18.56,18.5,16.91,16.59,17.22,16.41,13.91,12.47,13.12,12.72,9.75,7.0,6.19,5.94,4.06,2.47,3.69,6.28,7.41,7.41,8.94,11.66,13.03,12.28,12.31,14.31,15.84,14.72,14.16,15.5,17.09,15.97,14.28,14.38,15.25,14.66,12.78,13.03,14.03,13.5,10.53,8.41,8.34,8.47,7.03,6.19,7.84,9.91,10.25,9.81,11.78,14.44,15.56,14.81,15.19,16.97,17.69,15.94,14.34,14.75,15.03,13.12,11.62,13.06,15.34,15.31,14.5,15.12,16.97,17.28,16.25,16.53,18.06,18.5,16.59,15.12,16.19,17.31,16.53,15.69,16.94,19.03,18.81,17.75,18.28,20.44,20.84,19.38,18.66,19.34,18.88,15.81,13.66,14.03,14.97,13.84,13.16,14.78,17.78,19.47,20.41,23.25,26.72,28.03,26.53,25.03,24.91,24.09,21.53,19.69,20.81,22.41,21.44,20.25,20.97,22.44,21.91,20.12,19.5,20.47,19.94,17.22,16.22,17.66,18.72,17.84,17.44,19.44,21.09,20.16,18.72,19.34,20.81,20.78,9.47,9.22,10.56,13.09,14.62,15.16,16.03:39.59,38.28,36.94,33.91,30.75,29.62,30.38,29.84,28.09,27.22,27.38,26.47,22.78,19.75,19.66,20.09,18.72,17.25,17.72,19.25,18.66,17.56,19.03,22.72,25.72,27.03,29.44,33.44,35.84,34.62,32.31,31.59,30.34,26.78,23.38,23.0,23.78,22.75,20.53,19.69,20.31,19.88,18.5,18.38,20.94,23.28,23.31,23.25,25.56,28.06,28.66,29.12,31.38,34.88,35.84,34.53,33.88,34.53,33.56,30.78,28.94,29.16,28.78,26.16,23.22,22.62,22.5,20.44,18.12,17.94,19.0,18.34,16.5,16.19,17.72,18.38,17.0,15.91,17.0,17.44,15.19,12.53,12.06,12.28,10.56,8.78,8.91,10.78,11.0,9.31,8.91,10.41,11.25,9.56,7.91,8.88,9.25,8.09,7.06,8.62,11.31,11.66,10.66,11.12,12.53,12.38,10.38,9.84,10.97,11.28,9.44,7.59,8.69,9.38,8.28,7.16,8.47,11.25,12.56,12.53,13.88,15.56,15.22,12.19,9.44,9.09,8.62,6.91,6.03,8.31,11.31,12.5,12.22,12.88,13.97,12.41,9.53,7.94,8.44,7.88,5.41,3.69,4.19,3.88,1.56,-0.84,-0.38,0.75,0.5,0.0,1.56,4.38,5.69,5.38,6.53,9.41,11.31,10.69,9.75,11.16,11.84,10.16,7.94,8.25,9.0,7.69,5.31,4.72,5.88,5.66,3.94,4.0,6.41,7.66,6.53,5.75,7.06,7.78,6.53,4.72,5.31,7.03,6.5,5.28,6.06,8.69,10.31,10.5,11.94,14.91,16.53,15.03,13.19,13.16,13.88,12.84,11.06,11.56,12.53,11.84,9.34,9.22,11.12,12.0,10.94,10.5,11.44,11.44,8.97,6.75,7.09,8.56,9.09,8.91,11.19,13.75,14.06,12.22,11.69,12.59,12.5,11.12,10.97,13.19,14.72,14.78,14.09,15.34,16.12,14.19,10.62,8.59,7.41,5.12,1.62,0.31,1.91,2.84,2.03,1.53,3.06,4.66,3.94,3.06,4.09,5.97,5.53,3.94,4.69,6.56,7.0,5.38,4.62,5.44,5.66,3.94,2.69,3.66,4.31,2.44,0.44,0.44,1.66,1.53,0.44,1.25,3.19,3.75,2.44,1.72,3.53,5.0,4.28,3.56,5.44,7.53,7.34,6.59,7.78,10.31,11.09,10.0,10.31,12.0,12.47,11.12,10.41,11.75,12.72,10.81,9.03,9.53,11.06,11.5,11.22,13.44,17.09,19.25,19.38,20.62,22.38,22.66,19.62,16.75,15.84,14.31,10.84,7.44,6.69,6.66,5.41,3.69,4.81,8.19,10.81,11.97,14.59,18.12,19.5,16.91,13.0,10.12,7.06,2.09,-2.25,-3.66,-3.72,-5.47,-8.09,-8.22,-6.25,-4.44,-3.59,-1.34,2.75,5.72,6.25,6.62,8.81,11.03,10.56,9.38,10.22,11.53,10.91,9.06,8.31,9.5,10.0,9.12,9.12,10.69,10.53,6.81,2.22,-0.12,-1.16,-3.78,-5.88,-5.22,-2.94,-1.81,-1.78,0.09,3.47,5.81,5.31,5.22,6.72,7.91,6.97,6.09,7.72,9.41,8.47,5.78,3.78,2.25,-0.59,-4.47,-6.56,-6.53,-7.03,-9.97,-12.16,-11.97,-11.78,-13.34,-14.41,-12.88,-10.31,-8.62,-7.91,-4.88,-1.12,1.34,1.72,2.16,4.03,4.41,1.41,-1.97,-3.19,-4.78,-8.25,-10.91,-10.12,-7.53,-6.09,-5.5,-3.84,-1.47,-1.19,-3.16,-4.81,-4.56,-4.75,-7.12,-8.28,-7.38,-5.0,-5.25,-5.62,-4.25,-2.22,-1.78,-2.59,-2.16,-0.16,0.84,-0.56,-1.28,-0.5,-0.09,-2.41,-5.25,-6.19,-6.62,-9.38,-11.84,-11.56,-9.12,-7.22,-6.0,-3.22,0.94,3.31,2.28,1.16,1.0,0.53,-1.22,-2.34,0.28,4.38,7.22,8.97,11.69,14.97,15.88,14.88,14.97,17.12,19.25,19.31,19.62,21.91,23.12,21.5,19.0,17.69,16.78,13.12,8.22,5.09,3.66,1.66,-0.72,-1.81,-0.97,-0.78,-2.91,-4.94,-4.44,-3.22,-3.62,-4.12,-2.88,-1.12,-2.06,-4.19,-5.12,-4.62,-5.12,-7.06,-8.0,-6.91,-5.81,-6.84,-7.5,-5.66,-3.44,-3.47,-4.09,-3.09,-1.81,-2.47,-3.97,-3.84,-1.25,1.41,3.34,6.12,10.97,15.25,16.25,15.56,15.59,15.12,11.91,8.19,6.91,7.62,7.0,5.31,4.69,5.31,5.0,2.41,0.47,0.31,0.03,-2.81,-5.69,-6.41,-6.31,-7.16,-8.59,-7.88,-5.53,-4.31,-4.44,-3.19,-0.25,2.47,3.53,4.62,8.16,11.0,11.06,10.31,10.72,12.0,11.25,9.06,8.34,8.84,7.66,4.5,2.03,1.91,1.31,-0.62,-2.28,-1.09,0.53,0.38,-0.09,1.09,3.69,4.34,3.38,3.19,4.5,4.25,2.44,1.5,2.91,4.44,4.0,4.22,6.78,10.19,11.25,11.12,12.03,13.22,11.88,8.69,6.69,7.06,6.94,6.0,6.47,9.78,12.94,13.62,13.59,15.03,16.34,15.31,13.0,12.38,13.03,12.25,10.12,9.16,10.12,10.12,8.12,6.62,7.22,7.31,5.72,4.22,4.72,6.5,6.91,6.44,7.72,10.12,10.72,9.28,8.81,9.75,10.31,8.94,8.47,11.09,13.84,14.62,14.44,15.38,16.06,13.94,10.03,7.41,6.69,5.09,2.72,2.0,4.12,5.97,5.72,5.38,6.78,7.81,6.28,3.84,2.97,3.16,1.22,-1.5,-2.84,-2.31,-2.47,-3.56,-3.75,-1.41,0.78,1.06,1.22,2.75,4.56,3.81,2.12,1.69,2.59,1.88,0.25,0.03,1.84,3.16,2.88,3.47,5.66,7.78,7.31,6.69,7.44,8.59,7.66,5.88,5.44,6.22,5.56,3.62,2.97,4.62,5.78,5.22,4.75,6.16,7.69,7.03,5.81,7.16,8.72,8.31,6.66,6.75,8.34,9.19,8.94,9.38,12.19,13.25,11.94,10.0,10.31,10.88,10.34,10.06,12.0,14.03,13.72,10.56,8.03,6.5,4.19,0.91,-0.53,0.97,2.69,2.88,3.03,5.47,7.19,7.22,6.06,6.78,9.09,10.12,9.34,9.81,10.81,10.38,7.88,6.03,6.56,7.5,6.78,6.06,7.41,9.03,8.53,6.88,6.56,7.72,7.81,7.03,7.5,10.38,12.66,12.5,13.0,15.38,17.22,16.09,14.0,13.22,12.31,9.5,6.25,5.22,5.94,6.06,4.84,4.47,5.78,6.41,4.41,2.81,3.5,3.97,2.28,0.25,0.41,1.03,0.12,-1.75,-1.84,-0.34,0.5,0.19,0.97,3.94,6.5,6.78,6.19,7.62,8.47,7.12,4.94,5.47,7.0,7.22,6.78,7.97,10.78,12.53,12.56,13.22,15.91,17.88,16.69,15.0,14.53,13.5,10.66,7.72,7.25,8.97,9.69,9.38,10.34,12.69,13.84,12.81,12.19,13.56,14.47,13.5,11.88,12.22,12.34,10.06,6.72,5.16,4.81,3.75,1.66,1.44,3.38,4.88,4.5,4.25,6.34,8.09,7.31,6.22,7.12,8.66,7.91,6.53,6.94,9.16,10.34,10.25,11.44,14.62,16.94,16.34,15.47,15.75,15.38,12.25,8.62,7.22,7.03,5.72,3.41,3.47,4.75,5.22,3.5,2.56,3.06,2.97,0.69,-0.66,1.0,3.59,4.44,4.88,7.12,9.94,10.94,10.28,11.56,14.16,16.0,15.66,15.97,17.91,18.84,17.12,14.78,14.06,13.25,10.22,6.56,5.06,4.38,2.38,-1.0,-3.09,-3.81,-4.94,-8.0,-9.59,-8.06,-6.12,-5.53,-4.78,-1.97,1.38,2.34,2.47,4.44,7.72,9.72,10.44,12.75,16.75,20.31,21.59,23.09,25.91,27.91,26.59,24.31,23.5,22.47,19.03,14.47,11.5,9.91,7.62,3.81,2.09,2.16,2.06,0.0,-1.59,-0.59,0.38,-0.41,-1.56,-0.47,1.53,1.84,1.41,2.56,4.88,6.0,5.22,5.59,7.38,9.34,8.56,8.47,10.19,12.22,11.91,10.91,11.88,13.59,13.56,12.12,12.28,13.59,13.84,11.47,9.53,8.88,8.06,4.78,2.31,2.88,4.81,5.66,6.03,8.62,11.75,12.84,11.97,12.34,14.28,15.75,15.44,15.91,18.31,20.03,18.66,16.69,16.28,15.78,13.16,10.41,9.72,10.84,10.41,9.12,9.03,10.66,11.56,10.66,10.69,12.72,15.06,14.91,14.66,16.28,18.56,18.5,16.91,16.59,17.22,16.41,13.91,12.47,13.12,12.72,9.75,7.0,6.19,5.94,4.06,2.47,3.69,6.28,7.41,7.41,8.94,11.66,13.03,12.28,12.31,14.31,15.84,14.72,14.16,15.5,17.09,15.97,14.28,14.38,15.25,14.66,12.78,13.03,14.03,13.5,10.53,8.41,8.34,8.47,7.03,6.19,7.84,9.91,10.25,9.81,11.78,14.44,15.56,14.81,15.19,16.97,17.69,15.94,14.34,14.75,15.03,13.12,11.62,13.06,15.34,15.31,14.5,15.12,16.97,17.28,16.25,16.53,18.06,18.5,16.59,15.12,16.19,17.31,16.53,15.69,16.94,19.03,18.81,17.75,18.28,20.44,20.84,19.38,18.66,19.34,18.88,15.81,13.66,14.03,14.97,13.84,13.16,14.78,17.78,19.47,20.41,23.25,26.72,28.03,26.53,25.03,24.91,24.09,21.53,19.69,20.81,22.41,21.44,20.25,20.97,22.44,21.91,20.12,19.5,20.47,19.94,17.22,16.22,17.66,18.72,17.84,17.44,19.44,21.09,20.16,18.72,19.34,20.81,20.78,9.47,9.22,10.56,13.09,14.62,15.16,16.03,17.91,19.53,19.34,19.97,21.88,22.94,21.78:29.84,28.09,27.22,27.38,26.47,22.78,19.75,19.66,20.09,18.72,17.25,17.72,19.25,18.66,17.56,19.03,22.72,25.72,27.03,29.44,33.44,35.84,34.62,32.31,31.59,30.34,26.78,23.38,23.0,23.78,22.75,20.53,19.69,20.31,19.88,18.5,18.38,20.94,23.28,23.31,23.25,25.56,28.06,28.66,29.12,31.38,34.88,35.84,34.53,33.88,34.53,33.56,30.78,28.94,29.16,28.78,26.16,23.22,22.62,22.5,20.44,18.12,17.94,19.0,18.34,16.5,16.19,17.72,18.38,17.0,15.91,17.0,17.44,15.19,12.53,12.06,12.28,10.56,8.78,8.91,10.78,11.0,9.31,8.91,10.41,11.25,9.56,7.91,8.88,9.25,8.09,7.06,8.62,11.31,11.66,10.66,11.12,12.53,12.38,10.38,9.84,10.97,11.28,9.44,7.59,8.69,9.38,8.28,7.16,8.47,11.25,12.56,12.53,13.88,15.56,15.22,12.19,9.44,9.09,8.62,6.91,6.03,8.31,11.31,12.5,12.22,12.88,13.97,12.41,9.53,7.94,8.44,7.88,5.41,3.69,4.19,3.88,1.56,-0.84,-0.38,0.75,0.5,0.0,1.56,4.38,5.69,5.38,6.53,9.41,11.31,10.69,9.75,11.16,11.84,10.16,7.94,8.25,9.0,7.69,5.31,4.72,5.88,5.66,3.94,4.0,6.41,7.66,6.53,5.75,7.06,7.78,6.53,4.72,5.31,7.03,6.5,5.28,6.06,8.69,10.31,10.5,11.94,14.91,16.53,15.03,13.19,13.16,13.88,12.84,11.06,11.56,12.53,11.84,9.34,9.22,11.12,12.0,10.94,10.5,11.44,11.44,8.97,6.75,7.09,8.56,9.09,8.91,11.19,13.75,14.06,12.22,11.69,12.59,12.5,11.12,10.97,13.19,14.72,14.78,14.09,15.34,16.12,14.19,10.62,8.59,7.41,5.12,1.62,0.31,1.91,2.84,2.03,1.53,3.06,4.66,3.94,3.06,4.09,5.97,5.53,3.94,4.69,6.56,7.0,5.38,4.62,5.44,5.66,3.94,2.69,3.66,4.31,2.44,0.44,0.44,1.66,1.53,0.44,1.25,3.19,3.75,2.44,1.72,3.53,5.0,4.28,3.56,5.44,7.53,7.34,6.59,7.78,10.31,11.09,10.0,10.31,12.0,12.47,11.12,10.41,11.75,12.72,10.81,9.03,9.53,11.06,11.5,11.22,13.44,17.09,19.25,19.38,20.62,22.38,22.66,19.62,16.75,15.84,14.31,10.84,7.44,6.69,6.66,5.41,3.69,4.81,8.19,10.81,11.97,14.59,18.12,19.5,16.91,13.0,10.12,7.06,2.09,-2.25,-3.66,-3.72,-5.47,-8.09,-8.22,-6.25,-4.44,-3.59,-1.34,2.75,5.72,6.25,6.62,8.81,11.03,10.56,9.38,10.22,11.53,10.91,9.06,8.31,9.5,10.0,9.12,9.12,10.69,10.53,6.81,2.22,-0.12,-1.16,-3.78,-5.88,-5.22,-2.94,-1.81,-1.78,0.09,3.47,5.81,5.31,5.22,6.72,7.91,6.97,6.09,7.72,9.41,8.47,5.78,3.78,2.25,-0.59,-4.47,-6.56,-6.53,-7.03,-9.97,-12.16,-11.97,-11.78,-13.34,-14.41,-12.88,-10.31,-8.62,-7.91,-4.88,-1.12,1.34,1.72,2.16,4.03,4.41,1.41,-1.97,-3.19,-4.78,-8.25,-10.91,-10.12,-7.53,-6.09,-5.5,-3.84,-1.47,-1.19,-3.16,-4.81,-4.56,-4.75,-7.12,-8.28,-7.38,-5.0,-5.25,-5.62,-4.25,-2.22,-1.78,-2.59,-2.16,-0.16,0.84,-0.56,-1.28,-0.5,-0.09,-2.41,-5.25,-6.19,-6.62,-9.38,-11.84,-11.56,-9.12,-7.22,-6.0,-3.22,0.94,3.31,2.28,1.16,1.0,0.53,-1.22,-2.34,0.28,4.38,7.22,8.97,11.69,14.97,15.88,14.88,14.97,17.12,19.25,19.31,19.62,21.91,23.12,21.5,19.0,17.69,16.78,13.12,8.22,5.09,3.66,1.66,-0.72,-1.81,-0.97,-0.78,-2.91,-4.94,-4.44,-3.22,-3.62,-4.12,-2.88,-1.12,-2.06,-4.19,-5.12,-4.62,-5.12,-7.06,-8.0,-6.91,-5.81,-6.84,-7.5,-5.66,-3.44,-3.47,-4.09,-3.09,-1.81,-2.47,-3.97,-3.84,-1.25,1.41,3.34,6.12,10.97,15.25,16.25,15.56,15.59,15.12,11.91,8.19,6.91,7.62,7.0,5.31,4.69,5.31,5.0,2.41,0.47,0.31,0.03,-2.81,-5.69,-6.41,-6.31,-7.16,-8.59,-7.88,-5.53,-4.31,-4.44,-3.19,-0.25,2.47,3.53,4.62,8.16,11.0,11.06,10.31,10.72,12.0,11.25,9.06,8.34,8.84,7.66,4.5,2.03,1.91,1.31,-0.62,-2.28,-1.09,0.53,0.38,-0.09,1.09,3.69,4.34,3.38,3.19,4.5,4.25,2.44,1.5,2.91,4.44,4.0,4.22,6.78,10.19,11.25,11.12,12.03,13.22,11.88,8.69,6.69,7.06,6.94,6.0,6.47,9.78,12.94,13.62,13.59,15.03,16.34,15.31,13.0,12.38,13.03,12.25,10.12,9.16,10.12,10.12,8.12,6.62,7.22,7.31,5.72,4.22,4.72,6.5,6.91,6.44,7.72,10.12,10.72,9.28,8.81,9.75,10.31,8.94,8.47,11.09,13.84,14.62,14.44,15.38,16.06,13.94,10.03,7.41,6.69,5.09,2.72,2.0,4.12,5.97,5.72,5.38,6.78,7.81,6.28,3.84,2.97,3.16,1.22,-1.5,-2.84,-2.31,-2.47,-3.56,-3.75,-1.41,0.78,1.06,1.22,2.75,4.56,3.81,2.12,1.69,2.59,1.88,0.25,0.03,1.84,3.16,2.88,3.47,5.66,7.78,7.31,6.69,7.44,8.59,7.66,5.88,5.44,6.22,5.56,3.62,2.97,4.62,5.78,5.22,4.75,6.16,7.69,7.03,5.81,7.16,8.72,8.31,6.66,6.75,8.34,9.19,8.94,9.38,12.19,13.25,11.94,10.0,10.31,10.88,10.34,10.06,12.0,14.03,13.72,10.56,8.03,6.5,4.19,0.91,-0.53,0.97,2.69,2.88,3.03,5.47,7.19,7.22,6.06,6.78,9.09,10.12,9.34,9.81,10.81,10.38,7.88,6.03,6.56,7.5,6.78,6.06,7.41,9.03,8.53,6.88,6.56,7.72,7.81,7.03,7.5,10.38,12.66,12.5,13.0,15.38,17.22,16.09,14.0,13.22,12.31,9.5,6.25,5.22,5.94,6.06,4.84,4.47,5.78,6.41,4.41,2.81,3.5,3.97,2.28,0.25,0.41,1.03,0.12,-1.75,-1.84,-0.34,0.5,0.19,0.97,3.94,6.5,6.78,6.19,7.62,8.47,7.12,4.94,5.47,7.0,7.22,6.78,7.97,10.78,12.53,12.56,13.22,15.91,17.88,16.69,15.0,14.53,13.5,10.66,7.72,7.25,8.97,9.69,9.38,10.34,12.69,13.84,12.81,12.19,13.56,14.47,13.5,11.88,12.22,12.34,10.06,6.72,5.16,4.81,3.75,1.66,1.44,3.38,4.88,4.5,4.25,6.34,8.09,7.31,6.22,7.12,8.66,7.91,6.53,6.94,9.16,10.34,10.25,11.44,14.62,16.94,16.34,15.47,15.75,15.38,12.25,8.62,7.22,7.03,5.72,3.41,3.47,4.75,5.22,3.5,2.56,3.06,2.97,0.69,-0.66,1.0,3.59,4.44,4.88,7.12,9.94,10.94,10.28,11.56,14.16,16.0,15.66,15.97,17.91,18.84,17.12,14.78,14.06,13.25,10.22,6.56,5.06,4.38,2.38,-1.0,-3.09,-3.81,-4.94,-8.0,-9.59,-8.06,-6.12,-5.53,-4.78,-1.97,1.38,2.34,2.47,4.44,7.72,9.72,10.44,12.75,16.75,20.31,21.59,23.09,25.91,27.91,26.59,24.31,23.5,22.47,19.03,14.47,11.5,9.91,7.62,3.81,2.09,2.16,2.06,0.0,-1.59,-0.59,0.38,-0.41,-1.56,-0.47,1.53,1.84,1.41,2.56,4.88,6.0,5.22,5.59,7.38,9.34,8.56,8.47,10.19,12.22,11.91,10.91,11.88,13.59,13.56,12.12,12.28,13.59,13.84,11.47,9.53,8.88,8.06,4.78,2.31,2.88,4.81,5.66,6.03,8.62,11.75,12.84,11.97,12.34,14.28,15.75,15.44,15.91,18.31,20.03,18.66,16.69,16.28,15.78,13.16,10.41,9.72,10.84,10.41,9.12,9.03,10.66,11.56,10.66,10.69,12.72,15.06,14.91,14.66,16.28,18.56,18.5,16.91,16.59,17.22,16.41,13.91,12.47,13.12,12.72,9.75,7.0,6.19,5.94,4.06,2.47,3.69,6.28,7.41,7.41,8.94,11.66,13.03,12.28,12.31,14.31,15.84,14.72,14.16,15.5,17.09,15.97,14.28,14.38,15.25,14.66,12.78,13.03,14.03,13.5,10.53,8.41,8.34,8.47,7.03,6.19,7.84,9.91,10.25,9.81,11.78,14.44,15.56,14.81,15.19,16.97,17.69,15.94,14.34,14.75,15.03,13.12,11.62,13.06,15.34,15.31,14.5,15.12,16.97,17.28,16.25,16.53,18.06,18.5,16.59,15.12,16.19,17.31,16.53,15.69,16.94,19.03,18.81,17.75,18.28,20.44,20.84,19.38,18.66,19.34,18.88,15.81,13.66,14.03,14.97,13.84,13.16,14.78,17.78,19.47,20.41,23.25,26.72,28.03,26.53,25.03,24.91,24.09,21.53,19.69,20.81,22.41,21.44,20.25,20.97,22.44,21.91,20.12,19.5,20.47,19.94,17.22,16.22,17.66,18.72,17.84,17.44,19.44,21.09,20.16,18.72,19.34,20.81,20.78,9.47,9.22,10.56,13.09,14.62,15.16,16.03,17.91,19.53,19.34,19.97,21.88,22.94,21.78,20.25,19.75,19.53,17.84,16.66,16.66,17.81:19.66,20.09,18.72,17.25,17.72,19.25,18.66,17.56,19.03,22.72,25.72,27.03,29.44,33.44,35.84,34.62,32.31,31.59,30.34,26.78,23.38,23.0,23.78,22.75,20.53,19.69,20.31,19.88,18.5,18.38,20.94,23.28,23.31,23.25,25.56,28.06,28.66,29.12,31.38,34.88,35.84,34.53,33.88,34.53,33.56,30.78,28.94,29.16,28.78,26.16,23.22,22.62,22.5,20.44,18.12,17.94,19.0,18.34,16.5,16.19,17.72,18.38,17.0,15.91,17.0,17.44,15.19,12.53,12.06,12.28,10.56,8.78,8.91,10.78,11.0,9.31,8.91,10.41,11.25,9.56,7.91,8.88,9.25,8.09,7.06,8.62,11.31,11.66,10.66,11.12,12.53,12.38,10.38,9.84,10.97,11.28,9.44,7.59,8.69,9.38,8.28,7.16,8.47,11.25,12.56,12.53,13.88,15.56,15.22,12.19,9.44,9.09,8.62,6.91,6.03,8.31,11.31,12.5,12.22,12.88,13.97,12.41,9.53,7.94,8.44,7.88,5.41,3.69,4.19,3.88,1.56,-0.84,-0.38,0.75,0.5,0.0,1.56,4.38,5.69,5.38,6.53,9.41,11.31,10.69,9.75,11.16,11.84,10.16,7.94,8.25,9.0,7.69,5.31,4.72,5.88,5.66,3.94,4.0,6.41,7.66,6.53,5.75,7.06,7.78,6.53,4.72,5.31,7.03,6.5,5.28,6.06,8.69,10.31,10.5,11.94,14.91,16.53,15.03,13.19,13.16,13.88,12.84,11.06,11.56,12.53,11.84,9.34,9.22,11.12,12.0,10.94,10.5,11.44,11.44,8.97,6.75,7.09,8.56,9.09,8.91,11.19,13.75,14.06,12.22,11.69,12.59,12.5,11.12,10.97,13.19,14.72,14.78,14.09,15.34,16.12,14.19,10.62,8.59,7.41,5.12,1.62,0.31,1.91,2.84,2.03,1.53,3.06,4.66,3.94,3.06,4.09,5.97,5.53,3.94,4.69,6.56,7.0,5.38,4.62,5.44,5.66,3.94,2.69,3.66,4.31,2.44,0.44,0.44,1.66,1.53,0.44,1.25,3.19,3.75,2.44,1.72,3.53,5.0,4.28,3.56,5.44,7.53,7.34,6.59,7.78,10.31,11.09,10.0,10.31,12.0,12.47,11.12,10.41,11.75,12.72,10.81,9.03,9.53,11.06,11.5,11.22,13.44,17.09,19.25,19.38,20.62,22.38,22.66,19.62,16.75,15.84,14.31,10.84,7.44,6.69,6.66,5.41,3.69,4.81,8.19,10.81,11.97,14.59,18.12,19.5,16.91,13.0,10.12,7.06,2.09,-2.25,-3.66,-3.72,-5.47,-8.09,-8.22,-6.25,-4.44,-3.59,-1.34,2.75,5.72,6.25,6.62,8.81,11.03,10.56,9.38,10.22,11.53,10.91,9.06,8.31,9.5,10.0,9.12,9.12,10.69,10.53,6.81,2.22,-0.12,-1.16,-3.78,-5.88,-5.22,-2.94,-1.81,-1.78,0.09,3.47,5.81,5.31,5.22,6.72,7.91,6.97,6.09,7.72,9.41,8.47,5.78,3.78,2.25,-0.59,-4.47,-6.56,-6.53,-7.03,-9.97,-12.16,-11.97,-11.78,-13.34,-14.41,-12.88,-10.31,-8.62,-7.91,-4.88,-1.12,1.34,1.72,2.16,4.03,4.41,1.41,-1.97,-3.19,-4.78,-8.25,-10.91,-10.12,-7.53,-6.09,-5.5,-3.84,-1.47,-1.19,-3.16,-4.81,-4.56,-4.75,-7.12,-8.28,-7.38,-5.0,-5.25,-5.62,-4.25,-2.22,-1.78,-2.59,-2.16,-0.16,0.84,-0.56,-1.28,-0.5,-0.09,-2.41,-5.25,-6.19,-6.62,-9.38,-11.84,-11.56,-9.12,-7.22,-6.0,-3.22,0.94,3.31,2.28,1.16,1.0,0.53,-1.22,-2.34,0.28,4.38,7.22,8.97,11.69,14.97,15.88,14.88,14.97,17.12,19.25,19.31,19.62,21.91,23.12,21.5,19.0,17.69,16.78,13.12,8.22,5.09,3.66,1.66,-0.72,-1.81,-0.97,-0.78,-2.91,-4.94,-4.44,-3.22,-3.62,-4.12,-2.88,-1.12,-2.06,-4.19,-5.12,-4.62,-5.12,-7.06,-8.0,-6.91,-5.81,-6.84,-7.5,-5.66,-3.44,-3.47,-4.09,-3.09,-1.81,-2.47,-3.97,-3.84,-1.25,1.41,3.34,6.12,10.97,15.25,16.25,15.56,15.59,15.12,11.91,8.19,6.91,7.62,7.0,5.31,4.69,5.31,5.0,2.41,0.47,0.31,0.03,-2.81,-5.69,-6.41,-6.31,-7.16,-8.59,-7.88,-5.53,-4.31,-4.44,-3.19,-0.25,2.47,3.53,4.62,8.16,11.0,11.06,10.31,10.72,12.0,11.25,9.06,8.34,8.84,7.66,4.5,2.03,1.91,1.31,-0.62,-2.28,-1.09,0.53,0.38,-0.09,1.09,3.69,4.34,3.38,3.19,4.5,4.25,2.44,1.5,2.91,4.44,4.0,4.22,6.78,10.19,11.25,11.12,12.03,13.22,11.88,8.69,6.69,7.06,6.94,6.0,6.47,9.78,12.94,13.62,13.59,15.03,16.34,15.31,13.0,12.38,13.03,12.25,10.12,9.16,10.12,10.12,8.12,6.62,7.22,7.31,5.72,4.22,4.72,6.5,6.91,6.44,7.72,10.12,10.72,9.28,8.81,9.75,10.31,8.94,8.47,11.09,13.84,14.62,14.44,15.38,16.06,13.94,10.03,7.41,6.69,5.09,2.72,2.0,4.12,5.97,5.72,5.38,6.78,7.81,6.28,3.84,2.97,3.16,1.22,-1.5,-2.84,-2.31,-2.47,-3.56,-3.75,-1.41,0.78,1.06,1.22,2.75,4.56,3.81,2.12,1.69,2.59,1.88,0.25,0.03,1.84,3.16,2.88,3.47,5.66,7.78,7.31,6.69,7.44,8.59,7.66,5.88,5.44,6.22,5.56,3.62,2.97,4.62,5.78,5.22,4.75,6.16,7.69,7.03,5.81,7.16,8.72,8.31,6.66,6.75,8.34,9.19,8.94,9.38,12.19,13.25,11.94,10.0,10.31,10.88,10.34,10.06,12.0,14.03,13.72,10.56,8.03,6.5,4.19,0.91,-0.53,0.97,2.69,2.88,3.03,5.47,7.19,7.22,6.06,6.78,9.09,10.12,9.34,9.81,10.81,10.38,7.88,6.03,6.56,7.5,6.78,6.06,7.41,9.03,8.53,6.88,6.56,7.72,7.81,7.03,7.5,10.38,12.66,12.5,13.0,15.38,17.22,16.09,14.0,13.22,12.31,9.5,6.25,5.22,5.94,6.06,4.84,4.47,5.78,6.41,4.41,2.81,3.5,3.97,2.28,0.25,0.41,1.03,0.12,-1.75,-1.84,-0.34,0.5,0.19,0.97,3.94,6.5,6.78,6.19,7.62,8.47,7.12,4.94,5.47,7.0,7.22,6.78,7.97,10.78,12.53,12.56,13.22,15.91,17.88,16.69,15.0,14.53,13.5,10.66,7.72,7.25,8.97,9.69,9.38,10.34,12.69,13.84,12.81,12.19,13.56,14.47,13.5,11.88,12.22,12.34,10.06,6.72,5.16,4.81,3.75,1.66,1.44,3.38,4.88,4.5,4.25,6.34,8.09,7.31,6.22,7.12,8.66,7.91,6.53,6.94,9.16,10.34,10.25,11.44,14.62,16.94,16.34,15.47,15.75,15.38,12.25,8.62,7.22,7.03,5.72,3.41,3.47,4.75,5.22,3.5,2.56,3.06,2.97,0.69,-0.66,1.0,3.59,4.44,4.88,7.12,9.94,10.94,10.28,11.56,14.16,16.0,15.66,15.97,17.91,18.84,17.12,14.78,14.06,13.25,10.22,6.56,5.06,4.38,2.38,-1.0,-3.09,-3.81,-4.94,-8.0,-9.59,-8.06,-6.12,-5.53,-4.78,-1.97,1.38,2.34,2.47,4.44,7.72,9.72,10.44,12.75,16.75,20.31,21.59,23.09,25.91,27.91,26.59,24.31,23.5,22.47,19.03,14.47,11.5,9.91,7.62,3.81,2.09,2.16,2.06,0.0,-1.59,-0.59,0.38,-0.41,-1.56,-0.47,1.53,1.84,1.41,2.56,4.88,6.0,5.22,5.59,7.38,9.34,8.56,8.47,10.19,12.22,11.91,10.91,11.88,13.59,13.56,12.12,12.28,13.59,13.84,11.47,9.53,8.88,8.06,4.78,2.31,2.88,4.81,5.66,6.03,8.62,11.75,12.84,11.97,12.34,14.28,15.75,15.44,15.91,18.31,20.03,18.66,16.69,16.28,15.78,13.16,10.41,9.72,10.84,10.41,9.12,9.03,10.66,11.56,10.66,10.69,12.72,15.06,14.91,14.66,16.28,18.56,18.5,16.91,16.59,17.22,16.41,13.91,12.47,13.12,12.72,9.75,7.0,6.19,5.94,4.06,2.47,3.69,6.28,7.41,7.41,8.94,11.66,13.03,12.28,12.31,14.31,15.84,14.72,14.16,15.5,17.09,15.97,14.28,14.38,15.25,14.66,12.78,13.03,14.03,13.5,10.53,8.41,8.34,8.47,7.03,6.19,7.84,9.91,10.25,9.81,11.78,14.44,15.56,14.81,15.19,16.97,17.69,15.94,14.34,14.75,15.03,13.12,11.62,13.06,15.34,15.31,14.5,15.12,16.97,17.28,16.25,16.53,18.06,18.5,16.59,15.12,16.19,17.31,16.53,15.69,16.94,19.03,18.81,17.75,18.28,20.44,20.84,19.38,18.66,19.34,18.88,15.81,13.66,14.03,14.97,13.84,13.16,14.78,17.78,19.47,20.41,23.25,26.72,28.03,26.53,25.03,24.91,24.09,21.53,19.69,20.81,22.41,21.44,20.25,20.97,22.44,21.91,20.12,19.5,20.47,19.94,17.22,16.22,17.66,18.72,17.84,17.44,19.44,21.09,20.16,18.72,19.34,20.81,20.78,9.47,9.22,10.56,13.09,14.62,15.16,16.03,17.91,19.53,19.34,19.97,21.88,22.94,21.78,20.25,19.75,19.53,17.84,16.66,16.66,17.81,18.0,17.31,16.88,17.03,16.19,13.81,11.62:17.56,19.03,22.72,25.72,27.03,29.44,33.44,35.84,34.62,32.31,31.59,30.34,26.78,23.38,23.0,23.78,22.75,20.53,19.69,20.31,19.88,18.5,18.38,20.94,23.28,23.31,23.25,25.56,28.06,28.66,29.12,31.38,34.88,35.84,34.53,33.88,34.53,33.56,30.78,28.94,29.16,28.78,26.16,23.22,22.62,22.5,20.44,18.12,17.94,19.0,18.34,16.5,16.19,17.72,18.38,17.0,15.91,17.0,17.44,15.19,12.53,12.06,12.28,10.56,8.78,8.91,10.78,11.0,9.31,8.91,10.41,11.25,9.56,7.91,8.88,9.25,8.09,7.06,8.62,11.31,11.66,10.66,11.12,12.53,12.38,10.38,9.84,10.97,11.28,9.44,7.59,8.69,9.38,8.28,7.16,8.47,11.25,12.56,12.53,13.88,15.56,15.22,12.19,9.44,9.09,8.62,6.91,6.03,8.31,11.31,12.5,12.22,12.88,13.97,12.41,9.53,7.94,8.44,7.88,5.41,3.69,4.19,3.88,1.56,-0.84,-0.38,0.75,0.5,0.0,1.56,4.38,5.69,5.38,6.53,9.41,11.31,10.69,9.75,11.16,11.84,10.16,7.94,8.25,9.0,7.69,5.31,4.72,5.88,5.66,3.94,4.0,6.41,7.66,6.53,5.75,7.06,7.78,6.53,4.72,5.31,7.03,6.5,5.28,6.06,8.69,10.31,10.5,11.94,14.91,16.53,15.03,13.19,13.16,13.88,12.84,11.06,11.56,12.53,11.84,9.34,9.22,11.12,12.0,10.94,10.5,11.44,11.44,8.97,6.75,7.09,8.56,9.09,8.91,11.19,13.75,14.06,12.22,11.69,12.59,12.5,11.12,10.97,13.19,14.72,14.78,14.09,15.34,16.12,14.19,10.62,8.59,7.41,5.12,1.62,0.31,1.91,2.84,2.03,1.53,3.06,4.66,3.94,3.06,4.09,5.97,5.53,3.94,4.69,6.56,7.0,5.38,4.62,5.44,5.66,3.94,2.69,3.66,4.31,2.44,0.44,0.44,1.66,1.53,0.44,1.25,3.19,3.75,2.44,1.72,3.53,5.0,4.28,3.56,5.44,7.53,7.34,6.59,7.78,10.31,11.09,10.0,10.31,12.0,12.47,11.12,10.41,11.75,12.72,10.81,9.03,9.53,11.06,11.5,11.22,13.44,17.09,19.25,19.38,20.62,22.38,22.66,19.62,16.75,15.84,14.31,10.84,7.44,6.69,6.66,5.41,3.69,4.81,8.19,10.81,11.97,14.59,18.12,19.5,16.91,13.0,10.12,7.06,2.09,-2.25,-3.66,-3.72,-5.47,-8.09,-8.22,-6.25,-4.44,-3.59,-1.34,2.75,5.72,6.25,6.62,8.81,11.03,10.56,9.38,10.22,11.53,10.91,9.06,8.31,9.5,10.0,9.12,9.12,10.69,10.53,6.81,2.22,-0.12,-1.16,-3.78,-5.88,-5.22,-2.94,-1.81,-1.78,0.09,3.47,5.81,5.31,5.22,6.72,7.91,6.97,6.09,7.72,9.41,8.47,5.78,3.78,2.25,-0.59,-4.47,-6.56,-6.53,-7.03,-9.97,-12.16,-11.97,-11.78,-13.34,-14.41,-12.88,-10.31,-8.62,-7.91,-4.88,-1.12,1.34,1.72,2.16,4.03,4.41,1.41,-1.97,-3.19,-4.78,-8.25,-10.91,-10.12,-7.53,-6.09,-5.5,-3.84,-1.47,-1.19,-3.16,-4.81,-4.56,-4.75,-7.12,-8.28,-7.38,-5.0,-5.25,-5.62,-4.25,-2.22,-1.78,-2.59,-2.16,-0.16,0.84,-0.56,-1.28,-0.5,-0.09,-2.41,-5.25,-6.19,-6.62,-9.38,-11.84,-11.56,-9.12,-7.22,-6.0,-3.22,0.94,3.31,2.28,1.16,1.0,0.53,-1.22,-2.34,0.28,4.38,7.22,8.97,11.69,14.97,15.88,14.88,14.97,17.12,19.25,19.31,19.62,21.91,23.12,21.5,19.0,17.69,16.78,13.12,8.22,5.09,3.66,1.66,-0.72,-1.81,-0.97,-0.78,-2.91,-4.94,-4.44,-3.22,-3.62,-4.12,-2.88,-1.12,-2.06,-4.19,-5.12,-4.62,-5.12,-7.06,-8.0,-6.91,-5.81,-6.84,-7.5,-5.66,-3.44,-3.47,-4.09,-3.09,-1.81,-2.47,-3.97,-3.84,-1.25,1.41,3.34,6.12,10.97,15.25,16.25,15.56,15.59,15.12,11.91,8.19,6.91,7.62,7.0,5.31,4.69,5.31,5.0,2.41,0.47,0.31,0.03,-2.81,-5.69,-6.41,-6.31,-7.16,-8.59,-7.88,-5.53,-4.31,-4.44,-3.19,-0.25,2.47,3.53,4.62,8.16,11.0,11.06,10.31,10.72,12.0,11.25,9.06,8.34,8.84,7.66,4.5,2.03,1.91,1.31,-0.62,-2.28,-1.09,0.53,0.38,-0.09,1.09,3.69,4.34,3.38,3.19,4.5,4.25,2.44,1.5,2.91,4.44,4.0,4.22,6.78,10.19,11.25,11.12,12.03,13.22,11.88,8.69,6.69,7.06,6.94,6.0,6.47,9.78,12.94,13.62,13.59,15.03,16.34,15.31,13.0,12.38,13.03,12.25,10.12,9.16,10.12,10.12,8.12,6.62,7.22,7.31,5.72,4.22,4.72,6.5,6.91,6.44,7.72,10.12,10.72,9.28,8.81,9.75,10.31,8.94,8.47,11.09,13.84,14.62,14.44,15.38,16.06,13.94,10.03,7.41,6.69,5.09,2.72,2.0,4.12,5.97,5.72,5.38,6.78,7.81,6.28,3.84,2.97,3.16,1.22,-1.5,-2.84,-2.31,-2.47,-3.56,-3.75,-1.41,0.78,1.06,1.22,2.75,4.56,3.81,2.12,1.69,2.59,1.88,0.25,0.03,1.84,3.16,2.88,3.47,5.66,7.78,7.31,6.69,7.44,8.59,7.66,5.88,5.44,6.22,5.56,3.62,2.97,4.62,5.78,5.22,4.75,6.16,7.69,7.03,5.81,7.16,8.72,8.31,6.66,6.75,8.34,9.19,8.94,9.38,12.19,13.25,11.94,10.0,10.31,10.88,10.34,10.06,12.0,14.03,13.72,10.56,8.03,6.5,4.19,0.91,-0.53,0.97,2.69,2.88,3.03,5.47,7.19,7.22,6.06,6.78,9.09,10.12,9.34,9.81,10.81,10.38,7.88,6.03,6.56,7.5,6.78,6.06,7.41,9.03,8.53,6.88,6.56,7.72,7.81,7.03,7.5,10.38,12.66,12.5,13.0,15.38,17.22,16.09,14.0,13.22,12.31,9.5,6.25,5.22,5.94,6.06,4.84,4.47,5.78,6.41,4.41,2.81,3.5,3.97,2.28,0.25,0.41,1.03,0.12,-1.75,-1.84,-0.34,0.5,0.19,0.97,3.94,6.5,6.78,6.19,7.62,8.47,7.12,4.94,5.47,7.0,7.22,6.78,7.97,10.78,12.53,12.56,13.22,15.91,17.88,16.69,15.0,14.53,13.5,10.66,7.72,7.25,8.97,9.69,9.38,10.34,12.69,13.84,12.81,12.19,13.56,14.47,13.5,11.88,12.22,12.34,10.06,6.72,5.16,4.81,3.75,1.66,1.44,3.38,4.88,4.5,4.25,6.34,8.09,7.31,6.22,7.12,8.66,7.91,6.53,6.94,9.16,10.34,10.25,11.44,14.62,16.94,16.34,15.47,15.75,15.38,12.25,8.62,7.22,7.03,5.72,3.41,3.47,4.75,5.22,3.5,2.56,3.06,2.97,0.69,-0.66,1.0,3.59,4.44,4.88,7.12,9.94,10.94,10.28,11.56,14.16,16.0,15.66,15.97,17.91,18.84,17.12,14.78,14.06,13.25,10.22,6.56,5.06,4.38,2.38,-1.0,-3.09,-3.81,-4.94,-8.0,-9.59,-8.06,-6.12,-5.53,-4.78,-1.97,1.38,2.34,2.47,4.44,7.72,9.72,10.44,12.75,16.75,20.31,21.59,23.09,25.91,27.91,26.59,24.31,23.5,22.47,19.03,14.47,11.5,9.91,7.62,3.81,2.09,2.16,2.06,0.0,-1.59,-0.59,0.38,-0.41,-1.56,-0.47,1.53,1.84,1.41,2.56,4.88,6.0,5.22,5.59,7.38,9.34,8.56,8.47,10.19,12.22,11.91,10.91,11.88,13.59,13.56,12.12,12.28,13.59,13.84,11.47,9.53,8.88,8.06,4.78,2.31,2.88,4.81,5.66,6.03,8.62,11.75,12.84,11.97,12.34,14.28,15.75,15.44,15.91,18.31,20.03,18.66,16.69,16.28,15.78,13.16,10.41,9.72,10.84,10.41,9.12,9.03,10.66,11.56,10.66,10.69,12.72,15.06,14.91,14.66,16.28,18.56,18.5,16.91,16.59,17.22,16.41,13.91,12.47,13.12,12.72,9.75,7.0,6.19,5.94,4.06,2.47,3.69,6.28,7.41,7.41,8.94,11.66,13.03,12.28,12.31,14.31,15.84,14.72,14.16,15.5,17.09,15.97,14.28,14.38,15.25,14.66,12.78,13.03,14.03,13.5,10.53,8.41,8.34,8.47,7.03,6.19,7.84,9.91,10.25,9.81,11.78,14.44,15.56,14.81,15.19,16.97,17.69,15.94,14.34,14.75,15.03,13.12,11.62,13.06,15.34,15.31,14.5,15.12,16.97,17.28,16.25,16.53,18.06,18.5,16.59,15.12,16.19,17.31,16.53,15.69,16.94,19.03,18.81,17.75,18.28,20.44,20.84,19.38,18.66,19.34,18.88,15.81,13.66,14.03,14.97,13.84,13.16,14.78,17.78,19.47,20.41,23.25,26.72,28.03,26.53,25.03,24.91,24.09,21.53,19.69,20.81,22.41,21.44,20.25,20.97,22.44,21.91,20.12,19.5,20.47,19.94,17.22,16.22,17.66,18.72,17.84,17.44,19.44,21.09,20.16,18.72,19.34,20.81,20.78,9.47,9.22,10.56,13.09,14.62,15.16,16.03,17.91,19.53,19.34,19.97,21.88,22.94,21.78,20.25,19.75,19.53,17.84,16.66,16.66,17.81,18.0,17.31,16.88,17.03,16.19,13.81,11.62,11.09,11.28,10.19,8.91,9.16,9.81,8.78:35.84,34.62,32.31,31.59,30.34,26.78,23.38,23.0,23.78,22.75,20.53,19.69,20.31,19.88,18.5,18.38,20.94,23.28,23.31,23.25,25.56,28.06,28.66,29.12,31.38,34.88,35.84,34.53,33.88,34.53,33.56,30.78,28.94,29.16,28.78,26.16,23.22,22.62,22.5,20.44,18.12,17.94,19.0,18.34,16.5,16.19,17.72,18.38,17.0,15.91,17.0,17.44,15.19,12.53,12.06,12.28,10.56,8.78,8.91,10.78,11.0,9.31,8.91,10.41,11.25,9.56,7.91,8.88,9.25,8.09,7.06,8.62,11.31,11.66,10.66,11.12,12.53,12.38,10.38,9.84,10.97,11.28,9.44,7.59,8.69,9.38,8.28,7.16,8.47,11.25,12.56,12.53,13.88,15.56,15.22,12.19,9.44,9.09,8.62,6.91,6.03,8.31,11.31,12.5,12.22,12.88,13.97,12.41,9.53,7.94,8.44,7.88,5.41,3.69,4.19,3.88,1.56,-0.84,-0.38,0.75,0.5,0.0,1.56,4.38,5.69,5.38,6.53,9.41,11.31,10.69,9.75,11.16,11.84,10.16,7.94,8.25,9.0,7.69,5.31,4.72,5.88,5.66,3.94,4.0,6.41,7.66,6.53,5.75,7.06,7.78,6.53,4.72,5.31,7.03,6.5,5.28,6.06,8.69,10.31,10.5,11.94,14.91,16.53,15.03,13.19,13.16,13.88,12.84,11.06,11.56,12.53,11.84,9.34,9.22,11.12,12.0,10.94,10.5,11.44,11.44,8.97,6.75,7.09,8.56,9.09,8.91,11.19,13.75,14.06,12.22,11.69,12.59,12.5,11.12,10.97,13.19,14.72,14.78,14.09,15.34,16.12,14.19,10.62,8.59,7.41,5.12,1.62,0.31,1.91,2.84,2.03,1.53,3.06,4.66,3.94,3.06,4.09,5.97,5.53,3.94,4.69,6.56,7.0,5.38,4.62,5.44,5.66,3.94,2.69,3.66,4.31,2.44,0.44,0.44,1.66,1.53,0.44,1.25,3.19,3.75,2.44,1.72,3.53,5.0,4.28,3.56,5.44,7.53,7.34,6.59,7.78,10.31,11.09,10.0,10.31,12.0,12.47,11.12,10.41,11.75,12.72,10.81,9.03,9.53,11.06,11.5,11.22,13.44,17.09,19.25,19.38,20.62,22.38,22.66,19.62,16.75,15.84,14.31,10.84,7.44,6.69,6.66,5.41,3.69,4.81,8.19,10.81,11.97,14.59,18.12,19.5,16.91,13.0,10.12,7.06,2.09,-2.25,-3.66,-3.72,-5.47,-8.09,-8.22,-6.25,-4.44,-3.59,-1.34,2.75,5.72,6.25,6.62,8.81,11.03,10.56,9.38,10.22,11.53,10.91,9.06,8.31,9.5,10.0,9.12,9.12,10.69,10.53,6.81,2.22,-0.12,-1.16,-3.78,-5.88,-5.22,-2.94,-1.81,-1.78,0.09,3.47,5.81,5.31,5.22,6.72,7.91,6.97,6.09,7.72,9.41,8.47,5.78,3.78,2.25,-0.59,-4.47,-6.56,-6.53,-7.03,-9.97,-12.16,-11.97,-11.78,-13.34,-14.41,-12.88,-10.31,-8.62,-7.91,-4.88,-1.12,1.34,1.72,2.16,4.03,4.41,1.41,-1.97,-3.19,-4.78,-8.25,-10.91,-10.12,-7.53,-6.09,-5.5,-3.84,-1.47,-1.19,-3.16,-4.81,-4.56,-4.75,-7.12,-8.28,-7.38,-5.0,-5.25,-5.62,-4.25,-2.22,-1.78,-2.59,-2.16,-0.16,0.84,-0.56,-1.28,-0.5,-0.09,-2.41,-5.25,-6.19,-6.62,-9.38,-11.84,-11.56,-9.12,-7.22,-6.0,-3.22,0.94,3.31,2.28,1.16,1.0,0.53,-1.22,-2.34,0.28,4.38,7.22,8.97,11.69,14.97,15.88,14.88,14.97,17.12,19.25,19.31,19.62,21.91,23.12,21.5,19.0,17.69,16.78,13.12,8.22,5.09,3.66,1.66,-0.72,-1.81,-0.97,-0.78,-2.91,-4.94,-4.44,-3.22,-3.62,-4.12,-2.88,-1.12,-2.06,-4.19,-5.12,-4.62,-5.12,-7.06,-8.0,-6.91,-5.81,-6.84,-7.5,-5.66,-3.44,-3.47,-4.09,-3.09,-1.81,-2.47,-3.97,-3.84,-1.25,1.41,3.34,6.12,10.97,15.25,16.25,15.56,15.59,15.12,11.91,8.19,6.91,7.62,7.0,5.31,4.69,5.31,5.0,2.41,0.47,0.31,0.03,-2.81,-5.69,-6.41,-6.31,-7.16,-8.59,-7.88,-5.53,-4.31,-4.44,-3.19,-0.25,2.47,3.53,4.62,8.16,11.0,11.06,10.31,10.72,12.0,11.25,9.06,8.34,8.84,7.66,4.5,2.03,1.91,1.31,-0.62,-2.28,-1.09,0.53,0.38,-0.09,1.09,3.69,4.34,3.38,3.19,4.5,4.25,2.44,1.5,2.91,4.44,4.0,4.22,6.78,10.19,11.25,11.12,12.03,13.22,11.88,8.69,6.69,7.06,6.94,6.0,6.47,9.78,12.94,13.62,13.59,15.03,16.34,15.31,13.0,12.38,13.03,12.25,10.12,9.16,10.12,10.12,8.12,6.62,7.22,7.31,5.72,4.22,4.72,6.5,6.91,6.44,7.72,10.12,10.72,9.28,8.81,9.75,10.31,8.94,8.47,11.09,13.84,14.62,14.44,15.38,16.06,13.94,10.03,7.41,6.69,5.09,2.72,2.0,4.12,5.97,5.72,5.38,6.78,7.81,6.28,3.84,2.97,3.16,1.22,-1.5,-2.84,-2.31,-2.47,-3.56,-3.75,-1.41,0.78,1.06,1.22,2.75,4.56,3.81,2.12,1.69,2.59,1.88,0.25,0.03,1.84,3.16,2.88,3.47,5.66,7.78,7.31,6.69,7.44,8.59,7.66,5.88,5.44,6.22,5.56,3.62,2.97,4.62,5.78,5.22,4.75,6.16,7.69,7.03,5.81,7.16,8.72,8.31,6.66,6.75,8.34,9.19,8.94,9.38,12.19,13.25,11.94,10.0,10.31,10.88,10.34,10.06,12.0,14.03,13.72,10.56,8.03,6.5,4.19,0.91,-0.53,0.97,2.69,2.88,3.03,5.47,7.19,7.22,6.06,6.78,9.09,10.12,9.34,9.81,10.81,10.38,7.88,6.03,6.56,7.5,6.78,6.06,7.41,9.03,8.53,6.88,6.56,7.72,7.81,7.03,7.5,10.38,12.66,12.5,13.0,15.38,17.22,16.09,14.0,13.22,12.31,9.5,6.25,5.22,5.94,6.06,4.84,4.47,5.78,6.41,4.41,2.81,3.5,3.97,2.28,0.25,0.41,1.03,0.12,-1.75,-1.84,-0.34,0.5,0.19,0.97,3.94,6.5,6.78,6.19,7.62,8.47,7.12,4.94,5.47,7.0,7.22,6.78,7.97,10.78,12.53,12.56,13.22,15.91,17.88,16.69,15.0,14.53,13.5,10.66,7.72,7.25,8.97,9.69,9.38,10.34,12.69,13.84,12.81,12.19,13.56,14.47,13.5,11.88,12.22,12.34,10.06,6.72,5.16,4.81,3.75,1.66,1.44,3.38,4.88,4.5,4.25,6.34,8.09,7.31,6.22,7.12,8.66,7.91,6.53,6.94,9.16,10.34,10.25,11.44,14.62,16.94,16.34,15.47,15.75,15.38,12.25,8.62,7.22,7.03,5.72,3.41,3.47,4.75,5.22,3.5,2.56,3.06,2.97,0.69,-0.66,1.0,3.59,4.44,4.88,7.12,9.94,10.94,10.28,11.56,14.16,16.0,15.66,15.97,17.91,18.84,17.12,14.78,14.06,13.25,10.22,6.56,5.06,4.38,2.38,-1.0,-3.09,-3.81,-4.94,-8.0,-9.59,-8.06,-6.12,-5.53,-4.78,-1.97,1.38,2.34,2.47,4.44,7.72,9.72,10.44,12.75,16.75,20.31,21.59,23.09,25.91,27.91,26.59,24.31,23.5,22.47,19.03,14.47,11.5,9.91,7.62,3.81,2.09,2.16,2.06,0.0,-1.59,-0.59,0.38,-0.41,-1.56,-0.47,1.53,1.84,1.41,2.56,4.88,6.0,5.22,5.59,7.38,9.34,8.56,8.47,10.19,12.22,11.91,10.91,11.88,13.59,13.56,12.12,12.28,13.59,13.84,11.47,9.53,8.88,8.06,4.78,2.31,2.88,4.81,5.66,6.03,8.62,11.75,12.84,11.97,12.34,14.28,15.75,15.44,15.91,18.31,20.03,18.66,16.69,16.28,15.78,13.16,10.41,9.72,10.84,10.41,9.12,9.03,10.66,11.56,10.66,10.69,12.72,15.06,14.91,14.66,16.28,18.56,18.5,16.91,16.59,17.22,16.41,13.91,12.47,13.12,12.72,9.75,7.0,6.19,5.94,4.06,2.47,3.69,6.28,7.41,7.41,8.94,11.66,13.03,12.28,12.31,14.31,15.84,14.72,14.16,15.5,17.09,15.97,14.28,14.38,15.25,14.66,12.78,13.03,14.03,13.5,10.53,8.41,8.34,8.47,7.03,6.19,7.84,9.91,10.25,9.81,11.78,14.44,15.56,14.81,15.19,16.97,17.69,15.94,14.34,14.75,15.03,13.12,11.62,13.06,15.34,15.31,14.5,15.12,16.97,17.28,16.25,16.53,18.06,18.5,16.59,15.12,16.19,17.31,16.53,15.69,16.94,19.03,18.81,17.75,18.28,20.44,20.84,19.38,18.66,19.34,18.88,15.81,13.66,14.03,14.97,13.84,13.16,14.78,17.78,19.47,20.41,23.25,26.72,28.03,26.53,25.03,24.91,24.09,21.53,19.69,20.81,22.41,21.44,20.25,20.97,22.44,21.91,20.12,19.5,20.47,19.94,17.22,16.22,17.66,18.72,17.84,17.44,19.44,21.09,20.16,18.72,19.34,20.81,20.78,9.47,9.22,10.56,13.09,14.62,15.16,16.03,17.91,19.53,19.34,19.97,21.88,22.94,21.78,20.25,19.75,19.53,17.84,16.66,16.66,17.81,18.0,17.31,16.88,17.03,16.19,13.81,11.62,11.09,11.28,10.19,8.91,9.16,9.81,8.78,7.94,8.62,11.25,13.81,15.81,18.56,22.22:negativity
25.5,27.56,28.72,27.69,26.75,27.34,27.47,26.06,24.53,24.75,25.41,25.66,24.62,24.31,25.03,24.09,21.81,19.75,19.25,18.41,16.06,13.59,13.28,13.53,12.97,11.59,12.28,13.47,13.41,12.44,11.94,12.78,13.31,13.12,13.94,16.94,19.78,20.69,20.94,22.0,23.47,23.06,21.91,22.19,22.88,22.5,21.47,21.44,23.41,24.5,23.88,22.72,22.09,20.78,17.5,14.38,13.88,14.66,15.66,16.62,19.16,22.44,24.78,25.06,25.56,26.75,27.25,25.44,23.38,23.22,23.34,22.25,20.91,21.19,21.72,21.53,20.66,21.06,23.09,24.84,25.03,25.62,27.31,28.78,28.44,27.62,28.62,29.78,29.34,28.5,29.06,30.25,30.59,29.75,29.22,29.66,29.31,27.25,25.66,26.34,26.78,25.94,25.03,25.78,26.25,25.69,23.84,23.09,22.69,21.06,18.59,16.91,16.5,16.19,14.34,12.62,12.69,12.31,10.91,8.47,7.84,7.41,6.0,4.12,3.47,4.09,3.78,2.56,1.97,2.91,3.53,3.34,3.0,4.81,6.97,7.94,8.22,10.28,13.38,15.59,16.72,18.66,21.62,23.0,22.12,21.66,22.31,23.16,22.41,21.88,22.53,23.06,21.84,19.38,18.19,17.19,14.91,11.97,10.09,9.62,9.34,8.12,8.03,9.5,11.34,11.5,11.81,13.38,15.75,17.22,17.72,19.66,21.97,23.03,21.97,21.28,21.31,20.81,18.22,16.03,14.94,13.78,11.06,8.16,7.31,7.72,7.69,7.66,9.5,12.97,16.03,17.69,18.97,19.84,19.25,15.97,12.59,11.09,10.78,10.25,10.06,12.16,15.94,19.16,21.41,24.72,27.88,29.09,27.72,25.88,24.47,23.44,20.81,18.62,18.09,17.97,16.31,14.31,13.12,12.69,11.47,9.62,9.66,10.66,12.28,12.41,13.56,16.0,18.47,19.94,21.38,23.84,26.38,26.88,26.06,25.81,25.12,23.62,20.56,18.16,17.44,16.97,15.75,15.19,16.5,18.31,18.5,17.97,18.78,19.84,19.69,18.53,18.19,18.28,17.56,14.62,12.16,10.91,9.62,7.66,6.25,7.06,9.5,11.31,13.25,16.94,20.94,23.25,23.47,23.31,23.81,22.38,19.59,17.91,17.69,18.03,17.22,16.97,18.03,19.28,18.94,18.12,18.19,19.12,18.94,18.25,18.25,19.53,20.25,19.19,18.28,19.0,19.59,18.53,17.81,18.31,19.44,18.59,16.5,15.44,15.62,14.97,14.16,14.66,16.5,17.88,17.5,17.31,17.59,17.81,15.84,12.94,10.97,9.56,7.56,5.19,4.53,5.81,6.44,6.41,6.88,9.09,11.19,12.03,13.25,15.62,18.44,19.44,19.94,21.47,23.53,24.09,23.44,23.56,24.5,24.38,22.03,19.53,17.84,15.31,11.59,8.56,7.62,8.5,8.69,9.0,10.59,13.16,14.56,14.78,15.34,16.81,17.12,15.62,13.84,13.06,12.88,10.91,9.25,9.5,10.56,9.81,8.84,8.97,10.47,11.91,12.5,14.38,17.84,20.06,20.59,20.19,20.5,19.97,17.0,13.53,10.88,8.88,6.12,2.91,1.06,1.03,0.97,0.5,0.47,2.75,5.16,6.41,7.5,10.44,13.81,15.91,16.53,18.03,19.88,19.56,18.47,17.94,18.84,19.34,19.0,19.09,20.62,21.75,21.25,20.19,20.34,19.62,17.94,15.25,13.88,13.53,12.5,11.16,10.19,11.12,12.0,11.88,12.12,14.06,15.78,16.03,15.5,16.09,17.09,16.75,15.78,15.28,15.97,15.72,14.12,12.47,12.28,11.84,10.0,8.69,9.94,12.5,14.44,15.91,18.38,20.53,20.5,18.91,17.69,17.38,16.5,14.97,13.97,14.56,14.94,14.03,12.84,12.97,13.75,13.31,12.38,12.78,14.0,14.38,13.84,13.75,15.09,14.97,13.38,11.66,11.5,11.19,10.0,8.91,9.12,10.16,9.81,8.72,8.56,9.03,8.56,7.47,7.44,9.03,10.69,11.25,11.69,13.72,15.5,15.84,16.12,17.44,19.34,19.66,18.97,19.09,19.94,19.72,18.22,17.38,17.28,16.97,15.38,13.31,12.88,12.16,10.0,7.31,6.72,7.12,7.38,7.91,9.97,13.38,16.16,17.34,18.12,19.75,20.09,18.5,16.09,15.5,15.59,14.72,13.47,14.09,15.53,15.66,14.62,14.0,13.69,12.19,9.22,7.0,6.84,7.44,7.5,7.16,8.41,10.0,10.72,10.38,12.0,14.25,15.59,15.22,15.31,16.88,17.47,17.03,16.66,17.78,18.16,16.91,14.53,13.88,13.53,12.56,10.81,10.78,12.16,13.25,13.53,14.5,16.66,18.19,17.66,16.25,16.66,17.41,16.78,15.69,16.66,18.0,17.5,15.0,13.56,13.25,12.78,12.0,13.03,16.31,19.34,20.19,20.25,21.22,22.09,21.31,19.69,19.75,19.69,18.59,15.91,14.16,13.69,12.97,11.0,9.91,10.5,11.5,10.94,10.16,11.94,14.34,15.25,15.5,16.94,18.56,19.19,18.44,18.69,20.03,20.16,18.69,16.69,15.81,15.25,13.34,11.47,11.41,12.56,12.66,12.47,13.91,16.19,17.94,17.62,17.53,18.12,17.97,15.84,13.47,12.69,12.41,10.94,9.38,9.78,11.28,11.59,10.94,11.34,12.75,14.03,13.5,14.03,16.0,17.88,17.41,17.0,17.88,19.19,19.12,17.62,17.31,17.0,15.47,12.62,11.19,11.44,11.28,9.5,7.97,7.75,8.31,7.69,8.09,11.16,15.59,18.66,20.84,23.62,26.97,29.28,30.5,32.5,35.22,36.88,35.09,32.56,30.06,26.81,21.5,15.91,11.97,9.31,6.66,3.81,2.75,3.56,3.88,2.84,3.12,5.22,7.59,8.78,10.34,13.38,16.09,16.59,16.56,17.75,19.53,20.28,19.91,20.34,21.28,20.94,18.91,17.19,16.62,15.81,13.16,10.31,9.69,10.0,9.41,8.69,9.72,11.12,11.22,10.44,11.19,13.28,15.16,15.25,15.28,16.47,17.34,16.19,15.56,16.94,18.75,19.09,18.62,19.06,19.81,19.28,17.53,16.81,17.47,18.22,17.81,17.66,19.41,21.03,20.72,20.19,21.41,23.16,23.44,23.44,24.47,26.12,25.91,24.12,22.34,21.72,20.81,18.66,16.75,16.53,16.56,14.16,11.94,11.5,12.56,12.19,11.38,11.47,12.28,12.5,11.59,11.81,13.47,14.78,13.69,12.28,12.38,13.0,12.06,11.16,11.38,12.41,11.75,10.5,10.5,12.19,13.44,13.38,13.81,15.44,16.47,15.19,13.94,14.5,15.41,14.78,14.12,14.62,16.44,16.72,16.16,16.5,17.84,18.38,17.0,16.25,17.44,19.12,18.78,18.41,19.03,19.94,18.88,17.16,16.28,16.62,15.75,13.25,11.44,10.81,10.34,8.62,7.5,8.34,9.59,8.91,7.78,8.22,9.34,9.5,9.22,9.72,11.75,12.72,12.56,13.19,15.25,17.0,16.19,15.09,15.0,14.94,12.81,10.53,9.62,10.09,9.31,8.22,7.81,9.16,9.75,8.84,8.44,9.62,10.62,9.81,9.03,9.97,11.75,11.84,11.56,12.84,15.06,15.91,15.75,15.69,16.59,16.47,14.66,12.78,12.53,12.69,10.84,9.31,9.62,10.97,11.16,10.69,10.84,11.81,11.5,9.97,9.31,10.5,10.91,9.84,8.81,9.31,9.88,8.97,7.97,8.44,10.41,10.91,11.0,12.62,15.38,16.62,16.53,16.75,18.31,18.84,18.09,17.5,18.81,20.28,20.16,19.41,19.34,19.84,18.72,16.41,14.91,14.12,12.03,9.0,6.81,7.03,7.62,7.56,7.94,9.84,12.06,12.25,11.84,13.09,14.75,15.25,14.91,15.31,16.94,17.62,16.44,15.28,15.78,15.44,13.88,12.16,11.75,11.91,10.19,7.47,5.78,4.94,2.81,0.16,-0.62,0.5,1.78,2.09,2.62,4.75,6.53,6.53,6.12,7.28,8.81,8.69,8.28,8.53,9.66,9.44,8.19,7.97,9.31,10.44,10.25,9.97,10.91,11.19,9.53,7.34,6.91,6.53,5.06,3.19,2.81,4.25,5.22,5.28,6.44,8.75,10.31,10.09,9.38,10.38,10.94,9.88,7.81,7.56,8.28,8.03,6.78,7.19,8.81,9.34,8.19,6.97,6.84,5.81,2.25,-1.12,-2.44,-3.38,-4.94,-6.56,-6.41,-5.12,-4.84,-5.0,-4.38,-1.69,0.5,1.88,3.81,7.0,9.41,9.59,8.69,8.88,8.88,7.5,4.94,3.69,2.62,1.06,-1.5,-2.97,-2.66,-2.12,-2.81,-2.69,-0.53,1.69,2.31,2.66,4.41,6.12,6.47,5.0,4.44,4.19,3.19,0.75,-1.09,-0.69,-0.5,-1.16,-1.12,1.56,4.22,5.34,5.25,6.34,7.44,7.06,5.41,5.0,5.25,4.28,1.47,-0.53,-0.75,-0.91,-1.12,-0.81,1.53,4.62,5.91,6.16,7.75,9.31,9.38,8.09,7.41,7.59,6.62,3.38,0.16,-1.0,-2.19,-4.03,-5.47,-4.31,-2.31,-1.69,-1.5,0.34,2.94,4.56,4.25,3.72,3.41,2.12,-0.75,-3.31,-3.44,-2.78,-3.31,-4.47,-4.06,-3.12,-4.06,-5.66,-5.69,-5.44,-5.97,-7.75,-8.41,-7.81,-6.97,-7.06,-6.56,-4.12,-1.78,-0.97,-1.22,-0.59,-0.16,-1.0,-2.5,-2.59,-1.38,-0.12,-0.34,-0.03,1.16,2.0,0.66,-0.78,-0.72,-0.28,-1.19,-2.53,-1.59,0.0,0.75,0.94,1.97,3.88,5.38,5.41,5.75,6.84,7.62,6.38,4.62,4.41,4.06,2.28,-0.09,-1.16,-0.94,-1.31,-1.94:26.06,24.53,24.75,25.41,25.66,24.62,24.31,25.03,24.09,21.81,19.75,19.25,18.41,16.06,13.59,13.28,13.53,12.97,11.59,12.28,13.47,13.41,12.44,11.94,12.78,13.31,13.12,13.94,16.94,19.78,20.69,20.94,22.0,23.47,23.06,21.91,22.19,22.88,22.5,21.47,21.44,23.41,24.5,23.88,22.72,22.09,20.78,17.5,14.38,13.88,14.66,15.66,16.62,19.16,22.44,24.78,25.06,25.56,26.75,27.25,25.44,23.38,23.22,23.34,22.25,20.91,21.19,21.72,21.53,20.66,21.06,23.09,24.84,25.03,25.62,27.31,28.78,28.44,27.62,28.62,29.78,29.34,28.5,29.06,30.25,30.59,29.75,29.22,29.66,29.31,27.25,25.66,26.34,26.78,25.94,25.03,25.78,26.25,25.69,23.84,23.09,22.69,21.06,18.59,16.91,16.5,16.19,14.34,12.62,12.69,12.31,10.91,8.47,7.84,7.41,6.0,4.12,3.47,4.09,3.78,2.56,1.97,2.91,3.53,3.34,3.0,4.81,6.97,7.94,8.22,10.28,13.38,15.59,16.72,18.66,21.62,23.0,22.12,21.66,22.31,23.16,22.41,21.88,22.53,23.06,21.84,19.38,18.19,17.19,14.91,11.97,10.09,9.62,9.34,8.12,8.03,9.5,11.34,11.5,11.81,13.38,15.75,17.22,17.72,19.66,21.97,23.03,21.97,21.28,21.31,20.81,18.22,16.03,14.94,13.78,11.06,8.16,7.31,7.72,7.69,7.66,9.5,12.97,16.03,17.69,18.97,19.84,19.25,15.97,12.59,11.09,10.78,10.25,10.06,12.16,15.94,19.16,21.41,24.72,27.88,29.09,27.72,25.88,24.47,23.44,20.81,18.62,18.09,17.97,16.31,14.31,13.12,12.69,11.47,9.62,9.66,10.66,12.28,12.41,13.56,16.0,18.47,19.94,21.38,23.84,26.38,26.88,26.06,25.81,25.12,23.62,20.56,18.16,17.44,16.97,15.75,15.19,16.5,18.31,18.5,17.97,18.78,19.84,19.69,18.53,18.19,18.28,17.56,14.62,12.16,10.91,9.62,7.66,6.25,7.06,9.5,11.31,13.25,16.94,20.94,23.25,23.47,23.31,23.81,22.38,19.59,17.91,17.69,18.03,17.22,16.97,18.03,19.28,18.94,18.12,18.19,19.12,18.94,18.25,18.25,19.53,20.25,19.19,18.28,19.0,19.59,18.53,17.81,18.31,19.44,18.59,16.5,15.44,15.62,14.97,14.16,14.66,16.5,17.88,17.5,17.31,17.59,17.81,15.84,12.94,10.97,9.56,7.56,5.19,4.53,5.81,6.44,6.41,6.88,9.09,11.19,12.03,13.25,15.62,18.44,19.44,19.94,21.47,23.53,24.09,23.44,23.56,24.5,24.38,22.03,19.53,17.84,15.31,11.59,8.56,7.62,8.5,8.69,9.0,10.59,13.16,14.56,14.78,15.34,16.81,17.12,15.62,13.84,13.06,12.88,10.91,9.25,9.5,10.56,9.81,8.84,8.97,10.47,11.91,12.5,14.38,17.84,20.06,20.59,20.19,20.5,19.97,17.0,13.53,10.88,8.88,6.12,2.91,1.06,1.03,0.97,0.5,0.47,2.75,5.16,6.41,7.5,10.44,13.81,15.91,16.53,18.03,19.88,19.56,18.47,17.94,18.84,19.34,19.0,19.09,20.62,21.75,21.25,20.19,20.34,19.62,17.94,15.25,13.88,13.53,12.5,11.16,10.19,11.12,12.0,11.88,12.12,14.06,15.78,16.03,15.5,16.09,17.09,16.75,15.78,15.28,15.97,15.72,14.12,12.47,12.28,11.84,10.0,8.69,9.94,12.5,14.44,15.91,18.38,20.53,20.5,18.91,17.69,17.38,16.5,14.97,13.97,14.56,14.94,14.03,12.84,12.97,13.75,13.31,12.38,12.78,14.0,14.38,13.84,13.75,15.09,14.97,13.38,11.66,11.5,11.19,10.0,8.91,9.12,10.16,9.81,8.72,8.56,9.03,8.56,7.47,7.44,9.03,10.69,11.25,11.69,13.72,15.5,15.84,16.12,17.44,19.34,19.66,18.97,19.09,19.94,19.72,18.22,17.38,17.28,16.97,15.38,13.31,12.88,12.16,10.0,7.31,6.72,7.12,7.38,7.91,9.97,13.38,16.16,17.34,18.12,19.75,20.09,18.5,16.09,15.5,15.59,14.72,13.47,14.09,15.53,15.66,14.62,14.0,13.69,12.19,9.22,7.0,6.84,7.44,7.5,7.16,8.41,10.0,10.72,10.38,12.0,14.25,15.59,15.22,15.31,16.88,17.47,17.03,16.66,17.78,18.16,16.91,14.53,13.88,13.53,12.56,10.81,10.78,12.16,13.25,13.53,14.5,16.66,18.19,17.66,16.25,16.66,17.41,16.78,15.69,16.66,18.0,17.5,15.0,13.56,13.25,12.78,12.0,13.03,16.31,19.34,20.19,20.25,21.22,22.09,21.31,19.69,19.75,19.69,18.59,15.91,14.16,13.69,12.97,11.0,9.91,10.5,11.5,10.94,10.16,11.94,14.34,15.25,15.5,16.94,18.56,19.19,18.44,18.69,20.03,20.16,18.69,16.69,15.81,15.25,13.34,11.47,11.41,12.56,12.66,12.47,13.91,16.19,17.94,17.62,17.53,18.12,17.97,15.84,13.47,12.69,12.41,10.94,9.38,9.78,11.28,11.59,10.94,11.34,12.75,14.03,13.5,14.03,16.0,17.88,17.41,17.0,17.88,19.19,19.12,17.62,17.31,17.0,15.47,12.62,11.19,11.44,11.28,9.5,7.97,7.75,8.31,7.69,8.09,11.16,15.59,18.66,20.84,23.62,26.97,29.28,30.5,32.5,35.22,36.88,35.09,32.56,30.06,26.81,21.5,15.91,11.97,9.31,6.66,3.81,2.75,3.56,3.88,2.84,3.12,5.22,7.59,8.78,10.34,13.38,16.09,16.59,16.56,17.75,19.53,20.28,19.91,20.34,21.28,20.94,18.91,17.19,16.62,15.81,13.16,10.31,9.69,10.0,9.41,8.69,9.72,11.12,11.22,10.44,11.19,13.28,15.16,15.25,15.28,16.47,17.34,16.19,15.56,16.94,18.75,19.09,18.62,19.06,19.81,19.28,17.53,16.81,17.47,18.22,17.81,17.66,19.41,21.03,20.72,20.19,21.41,23.16,23.44,23.44,24.47,26.12,25.91,24.12,22.34,21.72,20.81,18.66,16.75,16.53,16.56,14.16,11.94,11.5,12.56,12.19,11.38,11.47,12.28,12.5,11.59,11.81,13.47,14.78,13.69,12.28,12.38,13.0,12.06,11.16,11.38,12.41,11.75,10.5,10.5,12.19,13.44,13.38,13.81,15.44,16.47,15.19,13.94,14.5,15.41,14.78,14.12,14.62,16.44,16.72,16.16,16.5,17.84,18.38,17.0,16.25,17.44,19.12,18.78,18.41,19.03,19.94,18.88,17.16,16.28,16.62,15.75,13.25,11.44,10.81,10.34,8.62,7.5,8.34,9.59,8.91,7.78,8.22,9.34,9.5,9.22,9.72,11.75,12.72,12.56,13.19,15.25,17.0,16.19,15.09,15.0,14.94,12.81,10.53,9.62,10.09,9.31,8.22,7.81,9.16,9.75,8.84,8.44,9.62,10.62,9.81,9.03,9.97,11.75,11.84,11.56,12.84,15.06,15.91,15.75,15.69,16.59,16.47,14.66,12.78,12.53,12.69,10.84,9.31,9.62,10.97,11.16,10.69,10.84,11.81,11.5,9.97,9.31,10.5,10.91,9.84,8.81,9.31,9.88,8.97,7.97,8.44,10.41,10.91,11.0,12.62,15.38,16.62,16.53,16.75,18.31,18.84,18.09,17.5,18.81,20.28,20.16,19.41,19.34,19.84,18.72,16.41,14.91,14.12,12.03,9.0,6.81,7.03,7.62,7.56,7.94,9.84,12.06,12.25,11.84,13.09,14.75,15.25,14.91,15.31,16.94,17.62,16.44,15.28,15.78,15.44,13.88,12.16,11.75,11.91,10.19,7.47,5.78,4.94,2.81,0.16,-0.62,0.5,1.78,2.09,2.62,4.75,6.53,6.53,6.12,7.28,8.81,8.69,8.28,8.53,9.66,9.44,8.19,7.97,9.31,10.44,10.25,9.97,10.91,11.19,9.53,7.34,6.91,6.53,5.06,3.19,2.81,4.25,5.22,5.28,6.44,8.75,10.31,10.09,9.38,10.38,10.94,9.88,7.81,7.56,8.28,8.03,6.78,7.19,8.81,9.34,8.19,6.97,6.84,5.81,2.25,-1.12,-2.44,-3.38,-4.94,-6.56,-6.41,-5.12,-4.84,-5.0,-4.38,-1.69,0.5,1.88,3.81,7.0,9.41,9.59,8.69,8.88,8.88,7.5,4.94,3.69,2.62,1.06,-1.5,-2.97,-2.66,-2.12,-2.81,-2.69,-0.53,1.69,2.31,2.66,4.41,6.12,6.47,5.0,4.44,4.19,3.19,0.75,-1.09,-0.69,-0.5,-1.16,-1.12,1.56,4.22,5.34,5.25,6.34,7.44,7.06,5.41,5.0,5.25,4.28,1.47,-0.53,-0.75,-0.91,-1.12,-0.81,1.53,4.62,5.91,6.16,7.75,9.31,9.38,8.09,7.41,7.59,6.62,3.38,0.16,-1.0,-2.19,-4.03,-5.47,-4.31,-2.31,-1.69,-1.5,0.34,2.94,4.56,4.25,3.72,3.41,2.12,-0.75,-3.31,-3.44,-2.78,-3.31,-4.47,-4.06,-3.12,-4.06,-5.66,-5.69,-5.44,-5.97,-7.75,-8.41,-7.81,-6.97,-7.06,-6.56,-4.12,-1.78,-0.97,-1.22,-0.59,-0.16,-1.0,-2.5,-2.59,-1.38,-0.12,-0.34,-0.03,1.16,2.0,0.66,-0.78,-0.72,-0.28,-1.19,-2.53,-1.59,0.0,0.75,0.94,1.97,3.88,5.38,5.41,5.75,6.84,7.62,6.38,4.62,4.41,4.06,2.28,-0.09,-1.16,-0.94,-1.31,-1.94,54.78,55.34,57.0,58.62,60.34,61.78,62.66:25.03,24.09,21.81,19.75,19.25,18.41,16.06,13.59,13.28,13.53,12.97,11.59,12.28,13.47,13.41,12.44,11.94,12.78,13.31,13.12,13.94,16.94,19.78,20.69,20.94,22.0,23.47,23.06,21.91,22.19,22.88,22.5,21.47,21.44,23.41,24.5,23.88,22.72,22.09,20.78,17.5,14.38,13.88,14.66,15.66,16.62,19.16,22.44,24.78,25.06,25.56,26.75,27.25,25.44,23.38,23.22,23.34,22.25,20.91,21.19,21.72,21.53,20.66,21.06,23.09,24.84,25.03,25.62,27.31,28.78,28.44,27.62,28.62,29.78,29.34,28.5,29.06,30.25,30.59,29.75,29.22,29.66,29.31,27.25,25.66,26.34,26.78,25.94,25.03,25.78,26.25,25.69,23.84,23.09,22.69,21.06,18.59,16.91,16.5,16.19,14.34,12.62,12.69,12.31,10.91,8.47,7.84,7.41,6.0,4.12,3.47,4.09,3.78,2.56,1.97,2.91,3.53,3.34,3.0,4.81,6.97,7.94,8.22,10.28,13.38,15.59,16.72,18.66,21.62,23.0,22.12,21.66,22.31,23.16,22.41,21.88,22.53,23.06,21.84,19.38,18.19,17.19,14.91,11.97,10.09,9.62,9.34,8.12,8.03,9.5,11.34,11.5,11.81,13.38,15.75,17.22,17.72,19.66,21.97,23.03,21.97,21.28,21.31,20.81,18.22,16.03,14.94,13.78,11.06,8.16,7.31,7.72,7.69,7.66,9.5,12.97,16.03,17.69,18.97,19.84,19.25,15.97,12.59,11.09,10.78,10.25,10.06,12.16,15.94,19.16,21.41,24.72,27.88,29.09,27.72,25.88,24.47,23.44,20.81,18.62,18.09,17.97,16.31,14.31,13.12,12.69,11.47,9.62,9.66,10.66,12.28,12.41,13.56,16.0,18.47,19.94,21.38,23.84,26.38,26.88,26.06,25.81,25.12,23.62,20.56,18.16,17.44,16.97,15.75,15.19,16.5,18.31,18.5,17.97,18.78,19.84,19.69,18.53,18.19,18.28,17.56,14.62,12.16,10.91,9.62,7.66,6.25,7.06,9.5,11.31,13.25,16.94,20.94,23.25,23.47,23.31,23.81,22.38,19.59,17.91,17.69,18.03,17.22,16.97,18.03,19.28,18.94,18.12,18.19,19.12,18.94,18.25,18.25,19.53,20.25,19.19,18.28,19.0,19.59,18.53,17.81,18.31,19.44,18.59,16.5,15.44,15.62,14.97,14.16,14.66,16.5,17.88,17.5,17.31,17.59,17.81,15.84,12.94,10.97,9.56,7.56,5.19,4.53,5.81,6.44,6.41,6.88,9.09,11.19,12.03,13.25,15.62,18.44,19.44,19.94,21.47,23.53,24.09,23.44,23.56,24.5,24.38,22.03,19.53,17.84,15.31,11.59,8.56,7.62,8.5,8.69,9.0,10.59,13.16,14.56,14.78,15.34,16.81,17.12,15.62,13.84,13.06,12.88,10.91,9.25,9.5,10.56,9.81,8.84,8.97,10.47,11.91,12.5,14.38,17.84,20.06,20.59,20.19,20.5,19.97,17.0,13.53,10.88,8.88,6.12,2.91,1.06,1.03,0.97,0.5,0.47,2.75,5.16,6.41,7.5,10.44,13.81,15.91,16.53,18.03,19.88,19.56,18.47,17.94,18.84,19.34,19.0,19.09,20.62,21.75,21.25,20.19,20.34,19.62,17.94,15.25,13.88,13.53,12.5,11.16,10.19,11.12,12.0,11.88,12.12,14.06,15.78,16.03,15.5,16.09,17.09,16.75,15.78,15.28,15.97,15.72,14.12,12.47,12.28,11.84,10.0,8.69,9.94,12.5,14.44,15.91,18.38,20.53,20.5,18.91,17.69,17.38,16.5,14.97,13.97,14.56,14.94,14.03,12.84,12.97,13.75,13.31,12.38,12.78,14.0,14.38,13.84,13.75,15.09,14.97,13.38,11.66,11.5,11.19,10.0,8.91,9.12,10.16,9.81,8.72,8.56,9.03,8.56,7.47,7.44,9.03,10.69,11.25,11.69,13.72,15.5,15.84,16.12,17.44,19.34,19.66,18.97,19.09,19.94,19.72,18.22,17.38,17.28,16.97,15.38,13.31,12.88,12.16,10.0,7.31,6.72,7.12,7.38,7.91,9.97,13.38,16.16,17.34,18.12,19.75,20.09,18.5,16.09,15.5,15.59,14.72,13.47,14.09,15.53,15.66,14.62,14.0,13.69,12.19,9.22,7.0,6.84,7.44,7.5,7.16,8.41,10.0,10.72,10.38,12.0,14.25,15.59,15.22,15.31,16.88,17.47,17.03,16.66,17.78,18.16,16.91,14.53,13.88,13.53,12.56,10.81,10.78,12.16,13.25,13.53,14.5,16.66,18.19,17.66,16.25,16.66,17.41,16.78,15.69,16.66,18.0,17.5,15.0,13.56,13.25,12.78,12.0,13.03,16.31,19.34,20.19,20.25,21.22,22.09,21.31,19.69,19.75,19.69,18.59,15.91,14.16,13.69,12.97,11.0,9.91,10.5,11.5,10.94,10.16,11.94,14.34,15.25,15.5,16.94,18.56,19.19,18.44,18.69,20.03,20.16,18.69,16.69,15.81,15.25,13.34,11.47,11.41,12.56,12.66,12.47,13.91,16.19,17.94,17.62,17.53,18.12,17.97,15.84,13.47,12.69,12.41,10.94,9.38,9.78,11.28,11.59,10.94,11.34,12.75,14.03,13.5,14.03,16.0,17.88,17.41,17.0,17.88,19.19,19.12,17.62,17.31,17.0,15.47,12.62,11.19,11.44,11.28,9.5,7.97,7.75,8.31,7.69,8.09,11.16,15.59,18.66,20.84,23.62,26.97,29.28,30.5,32.5,35.22,36.88,35.09,32.56,30.06,26.81,21.5,15.91,11.97,9.31,6.66,3.81,2.75,3.56,3.88,2.84,3.12,5.22,7.59,8.78,10.34,13.38,16.09,16.59,16.56,17.75,19.53,20.28,19.91,20.34,21.28,20.94,18.91,17.19,16.62,15.81,13.16,10.31,9.69,10.0,9.41,8.69,9.72,11.12,11.22,10.44,11.19,13.28,15.16,15.25,15.28,16.47,17.34,16.19,15.56,16.94,18.75,19.09,18.62,19.06,19.81,19.28,17.53,16.81,17.47,18.22,17.81,17.66,19.41,21.03,20.72,20.19,21.41,23.16,23.44,23.44,24.47,26.12,25.91,24.12,22.34,21.72,20.81,18.66,16.75,16.53,16.56,14.16,11.94,11.5,12.56,12.19,11.38,11.47,12.28,12.5,11.59,11.81,13.47,14.78,13.69,12.28,12.38,13.0,12.06,11.16,11.38,12.41,11.75,10.5,10.5,12.19,13.44,13.38,13.81,15.44,16.47,15.19,13.94,14.5,15.41,14.78,14.12,14.62,16.44,16.72,16.16,16.5,17.84,18.38,17.0,16.25,17.44,19.12,18.78,18.41,19.03,19.94,18.88,17.16,16.28,16.62,15.75,13.25,11.44,10.81,10.34,8.62,7.5,8.34,9.59,8.91,7.78,8.22,9.34,9.5,9.22,9.72,11.75,12.72,12.56,13.19,15.25,17.0,16.19,15.09,15.0,14.94,12.81,10.53,9.62,10.09,9.31,8.22,7.81,9.16,9.75,8.84,8.44,9.62,10.62,9.81,9.03,9.97,11.75,11.84,11.56,12.84,15.06,15.91,15.75,15.69,16.59,16.47,14.66,12.78,12.53,12.69,10.84,9.31,9.62,10.97,11.16,10.69,10.84,11.81,11.5,9.97,9.31,10.5,10.91,9.84,8.81,9.31,9.88,8.97,7.97,8.44,10.41,10.91,11.0,12.62,15.38,16.62,16.53,16.75,18.31,18.84,18.09,17.5,18.81,20.28,20.16,19.41,19.34,19.84,18.72,16.41,14.91,14.12,12.03,9.0,6.81,7.03,7.62,7.56,7.94,9.84,12.06,12.25,11.84,13.09,14.75,15.25,14.91,15.31,16.94,17.62,16.44,15.28,15.78,15.44,13.88,12.16,11.75,11.91,10.19,7.47,5.78,4.94,2.81,0.16,-0.62,0.5,1.78,2.09,2.62,4.75,6.53,6.53,6.12,7.28,8.81,8.69,8.28,8.53,9.66,9.44,8.19,7.97,9.31,10.44,10.25,9.97,10.91,11.19,9.53,7.34,6.91,6.53,5.06,3.19,2.81,4.25,5.22,5.28,6.44,8.75,10.31,10.09,9.38,10.38,10.94,9.88,7.81,7.56,8.28,8.03,6.78,7.19,8.81,9.34,8.19,6.97,6.84,5.81,2.25,-1.12,-2.44,-3.38,-4.94,-6.56,-6.41,-5.12,-4.84,-5.0,-4.38,-1.69,0.5,1.88,3.81,7.0,9.41,9.59,8.69,8.88,8.88,7.5,4.94,3.69,2.62,1.06,-1.5,-2.97,-2.66,-2.12,-2.81,-2.69,-0.53,1.69,2.31,2.66,4.41,6.12,6.47,5.0,4.44,4.19,3.19,0.75,-1.09,-0.69,-0.5,-1.16,-1.12,1.56,4.22,5.34,5.25,6.34,7.44,7.06,5.41,5.0,5.25,4.28,1.47,-0.53,-0.75,-0.91,-1.12,-0.81,1.53,4.62,5.91,6.16,7.75,9.31,9.38,8.09,7.41,7.59,6.62,3.38,0.16,-1.0,-2.19,-4.03,-5.47,-4.31,-2.31,-1.69,-1.5,0.34,2.94,4.56,4.25,3.72,3.41,2.12,-0.75,-3.31,-3.44,-2.78,-3.31,-4.47,-4.06,-3.12,-4.06,-5.66,-5.69,-5.44,-5.97,-7.75,-8.41,-7.81,-6.97,-7.06,-6.56,-4.12,-1.78,-0.97,-1.22,-0.59,-0.16,-1.0,-2.5,-2.59,-1.38,-0.12,-0.34,-0.03,1.16,2.0,0.66,-0.78,-0.72,-0.28,-1.19,-2.53,-1.59,0.0,0.75,0.94,1.97,3.88,5.38,5.41,5.75,6.84,7.62,6.38,4.62,4.41,4.06,2.28,-0.09,-1.16,-0.94,-1.31,-1.94,54.78,55.34,57.0,58.62,60.34,61.78,62.66,63.47,63.72,63.97,64.16,64.47,64.62,64.22:13.59,13.28,13.53,12.97,11.59,12.28,13.47,13.41,12.44,11.94,12.78,13.31,13.12,13.94,16.94,19.78,20.69,20.94,22.0,23.47,23.06,21.91,22.19,22.88,22.5,21.47,21.44,23.41,24.5,23.88,22.72,22.09,20.78,17.5,14.38,13.88,14.66,15.66,16.62,19.16,22.44,24.78,25.06,25.56,26.75,27.25,25.44,23.38,23.22,23.34,22.25,20.91,21.19,21.72,21.53,20.66,21.06,23.09,24.84,25.03,25.62,27.31,28.78,28.44,27.62,28.62,29.78,29.34,28.5,29.06,30.25,30.59,29.75,29.22,29.66,29.31,27.25,25.66,26.34,26.78,25.94,25.03,25.78,26.25,25.69,23.84,23.09,22.69,21.06,18.59,16.91,16.5,16.19,14.34,12.62,12.69,12.31,10.91,8.47,7.84,7.41,6.0,4.12,3.47,4.09,3.78,2.56,1.97,2.91,3.53,3.34,3.0,4.81,6.97,7.94,8.22,10.28,13.38,15.59,16.72,18.66,21.62,23.0,22.12,21.66,22.31,23.16,22.41,21.88,22.53,23.06,21.84,19.38,18.19,17.19,14.91,11.97,10.09,9.62,9.34,8.12,8.03,9.5,11.34,11.5,11.81,13.38,15.75,17.22,17.72,19.66,21.97,23.03,21.97,21.28,21.31,20.81,18.22,16.03,14.94,13.78,11.06,8.16,7.31,7.72,7.69,7.66,9.5,12.97,16.03,17.69,18.97,19.84,19.25,15.97,12.59,11.09,10.78,10.25,10.06,12.16,15.94,19.16,21.41,24.72,27.88,29.09,27.72,25.88,24.47,23.44,20.81,18.62,18.09,17.97,16.31,14.31,13.12,12.69,11.47,9.62,9.66,10.66,12.28,12.41,13.56,16.0,18.47,19.94,21.38,23.84,26.38,26.88,26.06,25.81,25.12,23.62,20.56,18.16,17.44,16.97,15.75,15.19,16.5,18.31,18.5,17.97,18.78,19.84,19.69,18.53,18.19,18.28,17.56,14.62,12.16,10.91,9.62,7.66,6.25,7.06,9.5,11.31,13.25,16.94,20.94,23.25,23.47,23.31,23.81,22.38,19.59,17.91,17.69,18.03,17.22,16.97,18.03,19.28,18.94,18.12,18.19,19.12,18.94,18.25,18.25,19.53,20.25,19.19,18.28,19.0,19.59,18.53,17.81,18.31,19.44,18.59,16.5,15.44,15.62,14.97,14.16,14.66,16.5,17.88,17.5,17.31,17.59,17.81,15.84,12.94,10.97,9.56,7.56,5.19,4.53,5.81,6.44,6.41,6.88,9.09,11.19,12.03,13.25,15.62,18.44,19.44,19.94,21.47,23.53,24.09,23.44,23.56,24.5,24.38,22.03,19.53,17.84,15.31,11.59,8.56,7.62,8.5,8.69,9.0,10.59,13.16,14.56,14.78,15.34,16.81,17.12,15.62,13.84,13.06,12.88,10.91,9.25,9.5,10.56,9.81,8.84,8.97,10.47,11.91,12.5,14.38,17.84,20.06,20.59,20.19,20.5,19.97,17.0,13.53,10.88,8.88,6.12,2.91,1.06,1.03,0.97,0.5,0.47,2.75,5.16,6.41,7.5,10.44,13.81,15.91,16.53,18.03,19.88,19.56,18.47,17.94,18.84,19.34,19.0,19.09,20.62,21.75,21.25,20.19,20.34,19.62,17.94,15.25,13.88,13.53,12.5,11.16,10.19,11.12,12.0,11.88,12.12,14.06,15.78,16.03,15.5,16.09,17.09,16.75,15.78,15.28,15.97,15.72,14.12,12.47,12.28,11.84,10.0,8.69,9.94,12.5,14.44,15.91,18.38,20.53,20.5,18.91,17.69,17.38,16.5,14.97,13.97,14.56,14.94,14.03,12.84,12.97,13.75,13.31,12.38,12.78,14.0,14.38,13.84,13.75,15.09,14.97,13.38,11.66,11.5,11.19,10.0,8.91,9.12,10.16,9.81,8.72,8.56,9.03,8.56,7.47,7.44,9.03,10.69,11.25,11.69,13.72,15.5,15.84,16.12,17.44,19.34,19.66,18.97,19.09,19.94,19.72,18.22,17.38,17.28,16.97,15.38,13.31,12.88,12.16,10.0,7.31,6.72,7.12,7.38,7.91,9.97,13.38,16.16,17.34,18.12,19.75,20.09,18.5,16.09,15.5,15.59,14.72,13.47,14.09,15.53,15.66,14.62,14.0,13.69,12.19,9.22,7.0,6.84,7.44,7.5,7.16,8.41,10.0,10.72,10.38,12.0,14.25,15.59,15.22,15.31,16.88,17.47,17.03,16.66,17.78,18.16,16.91,14.53,13.88,13.53,12.56,10.81,10.78,12.16,13.25,13.53,14.5,16.66,18.19,17.66,16.25,16.66,17.41,16.78,15.69,16.66,18.0,17.5,15.0,13.56,13.25,12.78,12.0,13.03,16.31,19.34,20.19,20.25,21.22,22.09,21.31,19.69,19.75,19.69,18.59,15.91,14.16,13.69,12.97,11.0,9.91,10.5,11.5,10.94,10.16,11.94,14.34,15.25,15.5,16.94,18.56,19.19,18.44,18.69,20.03,20.16,18.69,16.69,15.81,15.25,13.34,11.47,11.41,12.56,12.66,12.47,13.91,16.19,17.94,17.62,17.53,18.12,17.97,15.84,13.47,12.69,12.41,10.94,9.38,9.78,11.28,11.59,10.94,11.34,12.75,14.03,13.5,14.03,16.0,17.88,17.41,17.0,17.88,19.19,19.12,17.62,17.31,17.0,15.47,12.62,11.19,11.44,11.28,9.5,7.97,7.75,8.31,7.69,8.09,11.16,15.59,18.66,20.84,23.62,26.97,29.28,30.5,32.5,35.22,36.88,35.09,32.56,30.06,26.81,21.5,15.91,11.97,9.31,6.66,3.81,2.75,3.56,3.88,2.84,3.12,5.22,7.59,8.78,10.34,13.38,16.09,16.59,16.56,17.75,19.53,20.28,19.91,20.34,21.28,20.94,18.91,17.19,16.62,15.81,13.16,10.31,9.69,10.0,9.41,8.69,9.72,11.12,11.22,10.44,11.19,13.28,15.16,15.25,15.28,16.47,17.34,16.19,15.56,16.94,18.75,19.09,18.62,19.06,19.81,19.28,17.53,16.81,17.47,18.22,17.81,17.66,19.41,21.03,20.72,20.19,21.41,23.16,23.44,23.44,24.47,26.12,25.91,24.12,22.34,21.72,20.81,18.66,16.75,16.53,16.56,14.16,11.94,11.5,12.56,12.19,11.38,11.47,12.28,12.5,11.59,11.81,13.47,14.78,13.69,12.28,12.38,13.0,12.06,11.16,11.38,12.41,11.75,10.5,10.5,12.19,13.44,13.38,13.81,15.44,16.47,15.19,13.94,14.5,15.41,14.78,14.12,14.62,16.44,16.72,16.16,16.5,17.84,18.38,17.0,16.25,17.44,19.12,18.78,18.41,19.03,19.94,18.88,17.16,16.28,16.62,15.75,13.25,11.44,10.81,10.34,8.62,7.5,8.34,9.59,8.91,7.78,8.22,9.34,9.5,9.22,9.72,11.75,12.72,12.56,13.19,15.25,17.0,16.19,15.09,15.0,14.94,12.81,10.53,9.62,10.09,9.31,8.22,7.81,9.16,9.75,8.84,8.44,9.62,10.62,9.81,9.03,9.97,11.75,11.84,11.56,12.84,15.06,15.91,15.75,15.69,16.59,16.47,14.66,12.78,12.53,12.69,10.84,9.31,9.62,10.97,11.16,10.69,10.84,11.81,11.5,9.97,9.31,10.5,10.91,9.84,8.81,9.31,9.88,8.97,7.97,8.44,10.41,10.91,11.0,12.62,15.38,16.62,16.53,16.75,18.31,18.84,18.09,17.5,18.81,20.28,20.16,19.41,19.34,19.84,18.72,16.41,14.91,14.12,12.03,9.0,6.81,7.03,7.62,7.56,7.94,9.84,12.06,12.25,11.84,13.09,14.75,15.25,14.91,15.31,16.94,17.62,16.44,15.28,15.78,15.44,13.88,12.16,11.75,11.91,10.19,7.47,5.78,4.94,2.81,0.16,-0.62,0.5,1.78,2.09,2.62,4.75,6.53,6.53,6.12,7.28,8.81,8.69,8.28,8.53,9.66,9.44,8.19,7.97,9.31,10.44,10.25,9.97,10.91,11.19,9.53,7.34,6.91,6.53,5.06,3.19,2.81,4.25,5.22,5.28,6.44,8.75,10.31,10.09,9.38,10.38,10.94,9.88,7.81,7.56,8.28,8.03,6.78,7.19,8.81,9.34,8.19,6.97,6.84,5.81,2.25,-1.12,-2.44,-3.38,-4.94,-6.56,-6.41,-5.12,-4.84,-5.0,-4.38,-1.69,0.5,1.88,3.81,7.0,9.41,9.59,8.69,8.88,8.88,7.5,4.94,3.69,2.62,1.06,-1.5,-2.97,-2.66,-2.12,-2.81,-2.69,-0.53,1.69,2.31,2.66,4.41,6.12,6.47,5.0,4.44,4.19,3.19,0.75,-1.09,-0.69,-0.5,-1.16,-1.12,1.56,4.22,5.34,5.25,6.34,7.44,7.06,5.41,5.0,5.25,4.28,1.47,-0.53,-0.75,-0.91,-1.12,-0.81,1.53,4.62,5.91,6.16,7.75,9.31,9.38,8.09,7.41,7.59,6.62,3.38,0.16,-1.0,-2.19,-4.03,-5.47,-4.31,-2.31,-1.69,-1.5,0.34,2.94,4.56,4.25,3.72,3.41,2.12,-0.75,-3.31,-3.44,-2.78,-3.31,-4.47,-4.06,-3.12,-4.06,-5.66,-5.69,-5.44,-5.97,-7.75,-8.41,-7.81,-6.97,-7.06,-6.56,-4.12,-1.78,-0.97,-1.22,-0.59,-0.16,-1.0,-2.5,-2.59,-1.38,-0.12,-0.34,-0.03,1.16,2.0,0.66,-0.78,-0.72,-0.28,-1.19,-2.53,-1.59,0.0,0.75,0.94,1.97,3.88,5.38,5.41,5.75,6.84,7.62,6.38,4.62,4.41,4.06,2.28,-0.09,-1.16,-0.94,-1.31,-1.94,54.78,55.34,57.0,58.62,60.34,61.78,62.66,63.47,63.72,63.97,64.16,64.47,64.62,64.22,63.19,61.38,59.03,56.06,52.56,49.34,46.78:13.41,12.44,11.94,12.78,13.31,13.12,13.94,16.94,19.78,20.69,20.94,22.0,23.47,23.06,21.91,22.19,22.88,22.5,21.47,21.44,23.41,24.5,23.88,22.72,22.09,20.78,17.5,14.38,13.88,14.66,15.66,16.62,19.16,22.44,24.78,25.06,25.56,26.75,27.25,25.44,23.38,23.22,23.34,22.25,20.91,21.19,21.72,21.53,20.66,21.06,23.09,24.84,25.03,25.62,27.31,28.78,28.44,27.62,28.62,29.78,29.34,28.5,29.06,30.25,30.59,29.75,29.22,29.66,29.31,27.25,25.66,26.34,26.78,25.94,25.03,25.78,26.25,25.69,23.84,23.09,22.69,21.06,18.59,16.91,16.5,16.19,14.34,12.62,12.69,12.31,10.91,8.47,7.84,7.41,6.0,4.12,3.47,4.09,3.78,2.56,1.97,2.91,3.53,3.34,3.0,4.81,6.97,7.94,8.22,10.28,13.38,15.59,16.72,18.66,21.62,23.0,22.12,21.66,22.31,23.16,22.41,21.88,22.53,23.06,21.84,19.38,18.19,17.19,14.91,11.97,10.09,9.62,9.34,8.12,8.03,9.5,11.34,11.5,11.81,13.38,15.75,17.22,17.72,19.66,21.97,23.03,21.97,21.28,21.31,20.81,18.22,16.03,14.94,13.78,11.06,8.16,7.31,7.72,7.69,7.66,9.5,12.97,16.03,17.69,18.97,19.84,19.25,15.97,12.59,11.09,10.78,10.25,10.06,12.16,15.94,19.16,21.41,24.72,27.88,29.09,27.72,25.88,24.47,23.44,20.81,18.62,18.09,17.97,16.31,14.31,13.12,12.69,11.47,9.62,9.66,10.66,12.28,12.41,13.56,16.0,18.47,19.94,21.38,23.84,26.38,26.88,26.06,25.81,25.12,23.62,20.56,18.16,17.44,16.97,15.75,15.19,16.5,18.31,18.5,17.97,18.78,19.84,19.69,18.53,18.19,18.28,17.56,14.62,12.16,10.91,9.62,7.66,6.25,7.06,9.5,11.31,13.25,16.94,20.94,23.25,23.47,23.31,23.81,22.38,19.59,17.91,17.69,18.03,17.22,16.97,18.03,19.28,18.94,18.12,18.19,19.12,18.94,18.25,18.25,19.53,20.25,19.19,18.28,19.0,19.59,18.53,17.81,18.31,19.44,18.59,16.5,15.44,15.62,14.97,14.16,14.66,16.5,17.88,17.5,17.31,17.59,17.81,15.84,12.94,10.97,9.56,7.56,5.19,4.53,5.81,6.44,6.41,6.88,9.09,11.19,12.03,13.25,15.62,18.44,19.44,19.94,21.47,23.53,24.09,23.44,23.56,24.5,24.38,22.03,19.53,17.84,15.31,11.59,8.56,7.62,8.5,8.69,9.0,10.59,13.16,14.56,14.78,15.34,16.81,17.12,15.62,13.84,13.06,12.88,10.91,9.25,9.5,10.56,9.81,8.84,8.97,10.47,11.91,12.5,14.38,17.84,20.06,20.59,20.19,20.5,19.97,17.0,13.53,10.88,8.88,6.12,2.91,1.06,1.03,0.97,0.5,0.47,2.75,5.16,6.41,7.5,10.44,13.81,15.91,16.53,18.03,19.88,19.56,18.47,17.94,18.84,19.34,19.0,19.09,20.62,21.75,21.25,20.19,20.34,19.62,17.94,15.25,13.88,13.53,12.5,11.16,10.19,11.12,12.0,11.88,12.12,14.06,15.78,16.03,15.5,16.09,17.09,16.75,15.78,15.28,15.97,15.72,14.12,12.47,12.28,11.84,10.0,8.69,9.94,12.5,14.44,15.91,18.38,20.53,20.5,18.91,17.69,17.38,16.5,14.97,13.97,14.56,14.94,14.03,12.84,12.97,13.75,13.31,12.38,12.78,14.0,14.38,13.84,13.75,15.09,14.97,13.38,11.66,11.5,11.19,10.0,8.91,9.12,10.16,9.81,8.72,8.56,9.03,8.56,7.47,7.44,9.03,10.69,11.25,11.69,13.72,15.5,15.84,16.12,17.44,19.34,19.66,18.97,19.09,19.94,19.72,18.22,17.38,17.28,16.97,15.38,13.31,12.88,12.16,10.0,7.31,6.72,7.12,7.38,7.91,9.97,13.38,16.16,17.34,18.12,19.75,20.09,18.5,16.09,15.5,15.59,14.72,13.47,14.09,15.53,15.66,14.62,14.0,13.69,12.19,9.22,7.0,6.84,7.44,7.5,7.16,8.41,10.0,10.72,10.38,12.0,14.25,15.59,15.22,15.31,16.88,17.47,17.03,16.66,17.78,18.16,16.91,14.53,13.88,13.53,12.56,10.81,10.78,12.16,13.25,13.53,14.5,16.66,18.19,17.66,16.25,16.66,17.41,16.78,15.69,16.66,18.0,17.5,15.0,13.56,13.25,12.78,12.0,13.03,16.31,19.34,20.19,20.25,21.22,22.09,21.31,19.69,19.75,19.69,18.59,15.91,14.16,13.69,12.97,11.0,9.91,10.5,11.5,10.94,10.16,11.94,14.34,15.25,15.5,16.94,18.56,19.19,18.44,18.69,20.03,20.16,18.69,16.69,15.81,15.25,13.34,11.47,11.41,12.56,12.66,12.47,13.91,16.19,17.94,17.62,17.53,18.12,17.97,15.84,13.47,12.69,12.41,10.94,9.38,9.78,11.28,11.59,10.94,11.34,12.75,14.03,13.5,14.03,16.0,17.88,17.41,17.0,17.88,19.19,19.12,17.62,17.31,17.0,15.47,12.62,11.19,11.44,11.28,9.5,7.97,7.75,8.31,7.69,8.09,11.16,15.59,18.66,20.84,23.62,26.97,29.28,30.5,32.5,35.22,36.88,35.09,32.56,30.06,26.81,21.5,15.91,11.97,9.31,6.66,3.81,2.75,3.56,3.88,2.84,3.12,5.22,7.59,8.78,10.34,13.38,16.09,16.59,16.56,17.75,19.53,20.28,19.91,20.34,21.28,20.94,18.91,17.19,16.62,15.81,13.16,10.31,9.69,10.0,9.41,8.69,9.72,11.12,11.22,10.44,11.19,13.28,15.16,15.25,15.28,16.47,17.34,16.19,15.56,16.94,18.75,19.09,18.62,19.06,19.81,19.28,17.53,16.81,17.47,18.22,17.81,17.66,19.41,21.03,20.72,20.19,21.41,23.16,23.44,23.44,24.47,26.12,25.91,24.12,22.34,21.72,20.81,18.66,16.75,16.53,16.56,14.16,11.94,11.5,12.56,12.19,11.38,11.47,12.28,12.5,11.59,11.81,13.47,14.78,13.69,12.28,12.38,13.0,12.06,11.16,11.38,12.41,11.75,10.5,10.5,12.19,13.44,13.38,13.81,15.44,16.47,15.19,13.94,14.5,15.41,14.78,14.12,14.62,16.44,16.72,16.16,16.5,17.84,18.38,17.0,16.25,17.44,19.12,18.78,18.41,19.03,19.94,18.88,17.16,16.28,16.62,15.75,13.25,11.44,10.81,10.34,8.62,7.5,8.34,9.59,8.91,7.78,8.22,9.34,9.5,9.22,9.72,11.75,12.72,12.56,13.19,15.25,17.0,16.19,15.09,15.0,14.94,12.81,10.53,9.62,10.09,9.31,8.22,7.81,9.16,9.75,8.84,8.44,9.62,10.62,9.81,9.03,9.97,11.75,11.84,11.56,12.84,15.06,15.91,15.75,15.69,16.59,16.47,14.66,12.78,12.53,12.69,10.84,9.31,9.62,10.97,11.16,10.69,10.84,11.81,11.5,9.97,9.31,10.5,10.91,9.84,8.81,9.31,9.88,8.97,7.97,8.44,10.41,10.91,11.0,12.62,15.38,16.62,16.53,16.75,18.31,18.84,18.09,17.5,18.81,20.28,20.16,19.41,19.34,19.84,18.72,16.41,14.91,14.12,12.03,9.0,6.81,7.03,7.62,7.56,7.94,9.84,12.06,12.25,11.84,13.09,14.75,15.25,14.91,15.31,16.94,17.62,16.44,15.28,15.78,15.44,13.88,12.16,11.75,11.91,10.19,7.47,5.78,4.94,2.81,0.16,-0.62,0.5,1.78,2.09,2.62,4.75,6.53,6.53,6.12,7.28,8.81,8.69,8.28,8.53,9.66,9.44,8.19,7.97,9.31,10.44,10.25,9.97,10.91,11.19,9.53,7.34,6.91,6.53,5.06,3.19,2.81,4.25,5.22,5.28,6.44,8.75,10.31,10.09,9.38,10.38,10.94,9.88,7.81,7.56,8.28,8.03,6.78,7.19,8.81,9.34,8.19,6.97,6.84,5.81,2.25,-1.12,-2.44,-3.38,-4.94,-6.56,-6.41,-5.12,-4.84,-5.0,-4.38,-1.69,0.5,1.88,3.81,7.0,9.41,9.59,8.69,8.88,8.88,7.5,4.94,3.69,2.62,1.06,-1.5,-2.97,-2.66,-2.12,-2.81,-2.69,-0.53,1.69,2.31,2.66,4.41,6.12,6.47,5.0,4.44,4.19,3.19,0.75,-1.09,-0.69,-0.5,-1.16,-1.12,1.56,4.22,5.34,5.25,6.34,7.44,7.06,5.41,5.0,5.25,4.28,1.47,-0.53,-0.75,-0.91,-1.12,-0.81,1.53,4.62,5.91,6.16,7.75,9.31,9.38,8.09,7.41,7.59,6.62,3.38,0.16,-1.0,-2.19,-4.03,-5.47,-4.31,-2.31,-1.69,-1.5,0.34,2.94,4.56,4.25,3.72,3.41,2.12,-0.75,-3.31,-3.44,-2.78,-3.31,-4.47,-4.06,-3.12,-4.06,-5.66,-5.69,-5.44,-5.97,-7.75,-8.41,-7.81,-6.97,-7.06,-6.56,-4.12,-1.78,-0.97,-1.22,-0.59,-0.16,-1.0,-2.5,-2.59,-1.38,-0.12,-0.34,-0.03,1.16,2.0,0.66,-0.78,-0.72,-0.28,-1.19,-2.53,-1.59,0.0,0.75,0.94,1.97,3.88,5.38,5.41,5.75,6.84,7.62,6.38,4.62,4.41,4.06,2.28,-0.09,-1.16,-0.94,-1.31,-1.94,54.78,55.34,57.0,58.62,60.34,61.78,62.66,63.47,63.72,63.97,64.16,64.47,64.62,64.22,63.19,61.38,59.03,56.06,52.56,49.34,46.78,44.72,42.97,42.38,43.03,43.81,44.47,45.28:16.94,19.78,20.69,20.94,22.0,23.47,23.06,21.91,22.19,22.88,22.5,21.47,21.44,23.41,24.5,23.88,22.72,22.09,20.78,17.5,14.38,13.88,14.66,15.66,16.62,19.16,22.44,24.78,25.06,25.56,26.75,27.25,25.44,23.38,23.22,23.34,22.25,20.91,21.19,21.72,21.53,20.66,21.06,23.09,24.84,25.03,25.62,27.31,28.78,28.44,27.62,28.62,29.78,29.34,28.5,29.06,30.25,30.59,29.75,29.22,29.66,29.31,27.25,25.66,26.34,26.78,25.94,25.03,25.78,26.25,25.69,23.84,23.09,22.69,21.06,18.59,16.91,16.5,16.19,14.34,12.62,12.69,12.31,10.91,8.47,7.84,7.41,6.0,4.12,3.47,4.09,3.78,2.56,1.97,2.91,3.53,3.34,3.0,4.81,6.97,7.94,8.22,10.28,13.38,15.59,16.72,18.66,21.62,23.0,22.12,21.66,22.31,23.16,22.41,21.88,22.53,23.06,21.84,19.38,18.19,17.19,14.91,11.97,10.09,9.62,9.34,8.12,8.03,9.5,11.34,11.5,11.81,13.38,15.75,17.22,17.72,19.66,21.97,23.03,21.97,21.28,21.31,20.81,18.22,16.03,14.94,13.78,11.06,8.16,7.31,7.72,7.69,7.66,9.5,12.97,16.03,17.69,18.97,19.84,19.25,15.97,12.59,11.09,10.78,10.25,10.06,12.16,15.94,19.16,21.41,24.72,27.88,29.09,27.72,25.88,24.47,23.44,20.81,18.62,18.09,17.97,16.31,14.31,13.12,12.69,11.47,9.62,9.66,10.66,12.28,12.41,13.56,16.0,18.47,19.94,21.38,23.84,26.38,26.88,26.06,25.81,25.12,23.62,20.56,18.16,17.44,16.97,15.75,15.19,16.5,18.31,18.5,17.97,18.78,19.84,19.69,18.53,18.19,18.28,17.56,14.62,12.16,10.91,9.62,7.66,6.25,7.06,9.5,11.31,13.25,16.94,20.94,23.25,23.47,23.31,23.81,22.38,19.59,17.91,17.69,18.03,17.22,16.97,18.03,19.28,18.94,18.12,18.19,19.12,18.94,18.25,18.25,19.53,20.25,19.19,18.28,19.0,19.59,18.53,17.81,18.31,19.44,18.59,16.5,15.44,15.62,14.97,14.16,14.66,16.5,17.88,17.5,17.31,17.59,17.81,15.84,12.94,10.97,9.56,7.56,5.19,4.53,5.81,6.44,6.41,6.88,9.09,11.19,12.03,13.25,15.62,18.44,19.44,19.94,21.47,23.53,24.09,23.44,23.56,24.5,24.38,22.03,19.53,17.84,15.31,11.59,8.56,7.62,8.5,8.69,9.0,10.59,13.16,14.56,14.78,15.34,16.81,17.12,15.62,13.84,13.06,12.88,10.91,9.25,9.5,10.56,9.81,8.84,8.97,10.47,11.91,12.5,14.38,17.84,20.06,20.59,20.19,20.5,19.97,17.0,13.53,10.88,8.88,6.12,2.91,1.06,1.03,0.97,0.5,0.47,2.75,5.16,6.41,7.5,10.44,13.81,15.91,16.53,18.03,19.88,19.56,18.47,17.94,18.84,19.34,19.0,19.09,20.62,21.75,21.25,20.19,20.34,19.62,17.94,15.25,13.88,13.53,12.5,11.16,10.19,11.12,12.0,11.88,12.12,14.06,15.78,16.03,15.5,16.09,17.09,16.75,15.78,15.28,15.97,15.72,14.12,12.47,12.28,11.84,10.0,8.69,9.94,12.5,14.44,15.91,18.38,20.53,20.5,18.91,17.69,17.38,16.5,14.97,13.97,14.56,14.94,14.03,12.84,12.97,13.75,13.31,12.38,12.78,14.0,14.38,13.84,13.75,15.09,14.97,13.38,11.66,11.5,11.19,10.0,8.91,9.12,10.16,9.81,8.72,8.56,9.03,8.56,7.47,7.44,9.03,10.69,11.25,11.69,13.72,15.5,15.84,16.12,17.44,19.34,19.66,18.97,19.09,19.94,19.72,18.22,17.38,17.28,16.97,15.38,13.31,12.88,12.16,10.0,7.31,6.72,7.12,7.38,7.91,9.97,13.38,16.16,17.34,18.12,19.75,20.09,18.5,16.09,15.5,15.59,14.72,13.47,14.09,15.53,15.66,14.62,14.0,13.69,12.19,9.22,7.0,6.84,7.44,7.5,7.16,8.41,10.0,10.72,10.38,12.0,14.25,15.59,15.22,15.31,16.88,17.47,17.03,16.66,17.78,18.16,16.91,14.53,13.88,13.53,12.56,10.81,10.78,12.16,13.25,13.53,14.5,16.66,18.19,17.66,16.25,16.66,17.41,16.78,15.69,16.66,18.0,17.5,15.0,13.56,13.25,12.78,12.0,13.03,16.31,19.34,20.19,20.25,21.22,22.09,21.31,19.69,19.75,19.69,18.59,15.91,14.16,13.69,12.97,11.0,9.91,10.5,11.5,10.94,10.16,11.94,14.34,15.25,15.5,16.94,18.56,19.19,18.44,18.69,20.03,20.16,18.69,16.69,15.81,15.25,13.34,11.47,11.41,12.56,12.66,12.47,13.91,16.19,17.94,17.62,17.53,18.12,17.97,15.84,13.47,12.69,12.41,10.94,9.38,9.78,11.28,11.59,10.94,11.34,12.75,14.03,13.5,14.03,16.0,17.88,17.41,17.0,17.88,19.19,19.12,17.62,17.31,17.0,15.47,12.62,11.19,11.44,11.28,9.5,7.97,7.75,8.31,7.69,8.09,11.16,15.59,18.66,20.84,23.62,26.97,29.28,30.5,32.5,35.22,36.88,35.09,32.56,30.06,26.81,21.5,15.91,11.97,9.31,6.66,3.81,2.75,3.56,3.88,2.84,3.12,5.22,7.59,8.78,10.34,13.38,16.09,16.59,16.56,17.75,19.53,20.28,19.91,20.34,21.28,20.94,18.91,17.19,16.62,15.81,13.16,10.31,9.69,10.0,9.41,8.69,9.72,11.12,11.22,10.44,11.19,13.28,15.16,15.25,15.28,16.47,17.34,16.19,15.56,16.94,18.75,19.09,18.62,19.06,19.81,19.28,17.53,16.81,17.47,18.22,17.81,17.66,19.41,21.03,20.72,20.19,21.41,23.16,23.44,23.44,24.47,26.12,25.91,24.12,22.34,21.72,20.81,18.66,16.75,16.53,16.56,14.16,11.94,11.5,12.56,12.19,11.38,11.47,12.28,12.5,11.59,11.81,13.47,14.78,13.69,12.28,12.38,13.0,12.06,11.16,11.38,12.41,11.75,10.5,10.5,12.19,13.44,13.38,13.81,15.44,16.47,15.19,13.94,14.5,15.41,14.78,14.12,14.62,16.44,16.72,16.16,16.5,17.84,18.38,17.0,16.25,17.44,19.12,18.78,18.41,19.03,19.94,18.88,17.16,16.28,16.62,15.75,13.25,11.44,10.81,10.34,8.62,7.5,8.34,9.59,8.91,7.78,8.22,9.34,9.5,9.22,9.72,11.75,12.72,12.56,13.19,15.25,17.0,16.19,15.09,15.0,14.94,12.81,10.53,9.62,10.09,9.31,8.22,7.81,9.16,9.75,8.84,8.44,9.62,10.62,9.81,9.03,9.97,11.75,11.84,11.56,12.84,15.06,15.91,15.75,15.69,16.59,16.47,14.66,12.78,12.53,12.69,10.84,9.31,9.62,10.97,11.16,10.69,10.84,11.81,11.5,9.97,9.31,10.5,10.91,9.84,8.81,9.31,9.88,8.97,7.97,8.44,10.41,10.91,11.0,12.62,15.38,16.62,16.53,16.75,18.31,18.84,18.09,17.5,18.81,20.28,20.16,19.41,19.34,19.84,18.72,16.41,14.91,14.12,12.03,9.0,6.81,7.03,7.62,7.56,7.94,9.84,12.06,12.25,11.84,13.09,14.75,15.25,14.91,15.31,16.94,17.62,16.44,15.28,15.78,15.44,13.88,12.16,11.75,11.91,10.19,7.47,5.78,4.94,2.81,0.16,-0.62,0.5,1.78,2.09,2.62,4.75,6.53,6.53,6.12,7.28,8.81,8.69,8.28,8.53,9.66,9.44,8.19,7.97,9.31,10.44,10.25,9.97,10.91,11.19,9.53,7.34,6.91,6.53,5.06,3.19,2.81,4.25,5.22,5.28,6.44,8.75,10.31,10.09,9.38,10.38,10.94,9.88,7.81,7.56,8.28,8.03,6.78,7.19,8.81,9.34,8.19,6.97,6.84,5.81,2.25,-1.12,-2.44,-3.38,-4.94,-6.56,-6.41,-5.12,-4.84,-5.0,-4.38,-1.69,0.5,1.88,3.81,7.0,9.41,9.59,8.69,8.88,8.88,7.5,4.94,3.69,2.62,1.06,-1.5,-2.97,-2.66,-2.12,-2.81,-2.69,-0.53,1.69,2.31,2.66,4.41,6.12,6.47,5.0,4.44,4.19,3.19,0.75,-1.09,-0.69,-0.5,-1.16,-1.12,1.56,4.22,5.34,5.25,6.34,7.44,7.06,5.41,5.0,5.25,4.28,1.47,-0.53,-0.75,-0.91,-1.12,-0.81,1.53,4.62,5.91,6.16,7.75,9.31,9.38,8.09,7.41,7.59,6.62,3.38,0.16,-1.0,-2.19,-4.03,-5.47,-4.31,-2.31,-1.69,-1.5,0.34,2.94,4.56,4.25,3.72,3.41,2.12,-0.75,-3.31,-3.44,-2.78,-3.31,-4.47,-4.06,-3.12,-4.06,-5.66,-5.69,-5.44,-5.97,-7.75,-8.41,-7.81,-6.97,-7.06,-6.56,-4.12,-1.78,-0.97,-1.22,-0.59,-0.16,-1.0,-2.5,-2.59,-1.38,-0.12,-0.34,-0.03,1.16,2.0,0.66,-0.78,-0.72,-0.28,-1.19,-2.53,-1.59,0.0,0.75,0.94,1.97,3.88,5.38,5.41,5.75,6.84,7.62,6.38,4.62,4.41,4.06,2.28,-0.09,-1.16,-0.94,-1.31,-1.94,54.78,55.34,57.0,58.62,60.34,61.78,62.66,63.47,63.72,63.97,64.16,64.47,64.62,64.22,63.19,61.38,59.03,56.06,52.56,49.34,46.78,44.72,42.97,42.38,43.03,43.81,44.47,45.28,46.19,46.88,47.25,47.12,47.47,48.25,49.28:21.91,22.19,22.88,22.5,21.47,21.44,23.41,24.5,23.88,22.72,22.09,20.78,17.5,14.38,13.88,14.66,15.66,16.62,19.16,22.44,24.78,25.06,25.56,26.75,27.25,25.44,23.38,23.22,23.34,22.25,20.91,21.19,21.72,21.53,20.66,21.06,23.09,24.84,25.03,25.62,27.31,28.78,28.44,27.62,28.62,29.78,29.34,28.5,29.06,30.25,30.59,29.75,29.22,29.66,29.31,27.25,25.66,26.34,26.78,25.94,25.03,25.78,26.25,25.69,23.84,23.09,22.69,21.06,18.59,16.91,16.5,16.19,14.34,12.62,12.69,12.31,10.91,8.47,7.84,7.41,6.0,4.12,3.47,4.09,3.78,2.56,1.97,2.91,3.53,3.34,3.0,4.81,6.97,7.94,8.22,10.28,13.38,15.59,16.72,18.66,21.62,23.0,22.12,21.66,22.31,23.16,22.41,21.88,22.53,23.06,21.84,19.38,18.19,17.19,14.91,11.97,10.09,9.62,9.34,8.12,8.03,9.5,11.34,11.5,11.81,13.38,15.75,17.22,17.72,19.66,21.97,23.03,21.97,21.28,21.31,20.81,18.22,16.03,14.94,13.78,11.06,8.16,7.31,7.72,7.69,7.66,9.5,12.97,16.03,17.69,18.97,19.84,19.25,15.97,12.59,11.09,10.78,10.25,10.06,12.16,15.94,19.16,21.41,24.72,27.88,29.09,27.72,25.88,24.47,23.44,20.81,18.62,18.09,17.97,16.31,14.31,13.12,12.69,11.47,9.62,9.66,10.66,12.28,12.41,13.56,16.0,18.47,19.94,21.38,23.84,26.38,26.88,26.06,25.81,25.12,23.62,20.56,18.16,17.44,16.97,15.75,15.19,16.5,18.31,18.5,17.97,18.78,19.84,19.69,18.53,18.19,18.28,17.56,14.62,12.16,10.91,9.62,7.66,6.25,7.06,9.5,11.31,13.25,16.94,20.94,23.25,23.47,23.31,23.81,22.38,19.59,17.91,17.69,18.03,17.22,16.97,18.03,19.28,18.94,18.12,18.19,19.12,18.94,18.25,18.25,19.53,20.25,19.19,18.28,19.0,19.59,18.53,17.81,18.31,19.44,18.59,16.5,15.44,15.62,14.97,14.16,14.66,16.5,17.88,17.5,17.31,17.59,17.81,15.84,12.94,10.97,9.56,7.56,5.19,4.53,5.81,6.44,6.41,6.88,9.09,11.19,12.03,13.25,15.62,18.44,19.44,19.94,21.47,23.53,24.09,23.44,23.56,24.5,24.38,22.03,19.53,17.84,15.31,11.59,8.56,7.62,8.5,8.69,9.0,10.59,13.16,14.56,14.78,15.34,16.81,17.12,15.62,13.84,13.06,12.88,10.91,9.25,9.5,10.56,9.81,8.84,8.97,10.47,11.91,12.5,14.38,17.84,20.06,20.59,20.19,20.5,19.97,17.0,13.53,10.88,8.88,6.12,2.91,1.06,1.03,0.97,0.5,0.47,2.75,5.16,6.41,7.5,10.44,13.81,15.91,16.53,18.03,19.88,19.56,18.47,17.94,18.84,19.34,19.0,19.09,20.62,21.75,21.25,20.19,20.34,19.62,17.94,15.25,13.88,13.53,12.5,11.16,10.19,11.12,12.0,11.88,12.12,14.06,15.78,16.03,15.5,16.09,17.09,16.75,15.78,15.28,15.97,15.72,14.12,12.47,12.28,11.84,10.0,8.69,9.94,12.5,14.44,15.91,18.38,20.53,20.5,18.91,17.69,17.38,16.5,14.97,13.97,14.56,14.94,14.03,12.84,12.97,13.75,13.31,12.38,12.78,14.0,14.38,13.84,13.75,15.09,14.97,13.38,11.66,11.5,11.19,10.0,8.91,9.12,10.16,9.81,8.72,8.56,9.03,8.56,7.47,7.44,9.03,10.69,11.25,11.69,13.72,15.5,15.84,16.12,17.44,19.34,19.66,18.97,19.09,19.94,19.72,18.22,17.38,17.28,16.97,15.38,13.31,12.88,12.16,10.0,7.31,6.72,7.12,7.38,7.91,9.97,13.38,16.16,17.34,18.12,19.75,20.09,18.5,16.09,15.5,15.59,14.72,13.47,14.09,15.53,15.66,14.62,14.0,13.69,12.19,9.22,7.0,6.84,7.44,7.5,7.16,8.41,10.0,10.72,10.38,12.0,14.25,15.59,15.22,15.31,16.88,17.47,17.03,16.66,17.78,18.16,16.91,14.53,13.88,13.53,12.56,10.81,10.78,12.16,13.25,13.53,14.5,16.66,18.19,17.66,16.25,16.66,17.41,16.78,15.69,16.66,18.0,17.5,15.0,13.56,13.25,12.78,12.0,13.03,16.31,19.34,20.19,20.25,21.22,22.09,21.31,19.69,19.75,19.69,18.59,15.91,14.16,13.69,12.97,11.0,9.91,10.5,11.5,10.94,10.16,11.94,14.34,15.25,15.5,16.94,18.56,19.19,18.44,18.69,20.03,20.16,18.69,16.69,15.81,15.25,13.34,11.47,11.41,12.56,12.66,12.47,13.91,16.19,17.94,17.62,17.53,18.12,17.97,15.84,13.47,12.69,12.41,10.94,9.38,9.78,11.28,11.59,10.94,11.34,12.75,14.03,13.5,14.03,16.0,17.88,17.41,17.0,17.88,19.19,19.12,17.62,17.31,17.0,15.47,12.62,11.19,11.44,11.28,9.5,7.97,7.75,8.31,7.69,8.09,11.16,15.59,18.66,20.84,23.62,26.97,29.28,30.5,32.5,35.22,36.88,35.09,32.56,30.06,26.81,21.5,15.91,11.97,9.31,6.66,3.81,2.75,3.56,3.88,2.84,3.12,5.22,7.59,8.78,10.34,13.38,16.09,16.59,16.56,17.75,19.53,20.28,19.91,20.34,21.28,20.94,18.91,17.19,16.62,15.81,13.16,10.31,9.69,10.0,9.41,8.69,9.72,11.12,11.22,10.44,11.19,13.28,15.16,15.25,15.28,16.47,17.34,16.19,15.56,16.94,18.75,19.09,18.62,19.06,19.81,19.28,17.53,16.81,17.47,18.22,17.81,17.66,19.41,21.03,20.72,20.19,21.41,23.16,23.44,23.44,24.47,26.12,25.91,24.12,22.34,21.72,20.81,18.66,16.75,16.53,16.56,14.16,11.94,11.5,12.56,12.19,11.38,11.47,12.28,12.5,11.59,11.81,13.47,14.78,13.69,12.28,12.38,13.0,12.06,11.16,11.38,12.41,11.75,10.5,10.5,12.19,13.44,13.38,13.81,15.44,16.47,15.19,13.94,14.5,15.41,14.78,14.12,14.62,16.44,16.72,16.16,16.5,17.84,18.38,17.0,16.25,17.44,19.12,18.78,18.41,19.03,19.94,18.88,17.16,16.28,16.62,15.75,13.25,11.44,10.81,10.34,8.62,7.5,8.34,9.59,8.91,7.78,8.22,9.34,9.5,9.22,9.72,11.75,12.72,12.56,13.19,15.25,17.0,16.19,15.09,15.0,14.94,12.81,10.53,9.62,10.09,9.31,8.22,7.81,9.16,9.75,8.84,8.44,9.62,10.62,9.81,9.03,9.97,11.75,11.84,11.56,12.84,15.06,15.91,15.75,15.69,16.59,16.47,14.66,12.78,12.53,12.69,10.84,9.31,9.62,10.97,11.16,10.69,10.84,11.81,11.5,9.97,9.31,10.5,10.91,9.84,8.81,9.31,9.88,8.97,7.97,8.44,10.41,10.91,11.0,12.62,15.38,16.62,16.53,16.75,18.31,18.84,18.09,17.5,18.81,20.28,20.16,19.41,19.34,19.84,18.72,16.41,14.91,14.12,12.03,9.0,6.81,7.03,7.62,7.56,7.94,9.84,12.06,12.25,11.84,13.09,14.75,15.25,14.91,15.31,16.94,17.62,16.44,15.28,15.78,15.44,13.88,12.16,11.75,11.91,10.19,7.47,5.78,4.94,2.81,0.16,-0.62,0.5,1.78,2.09,2.62,4.75,6.53,6.53,6.12,7.28,8.81,8.69,8.28,8.53,9.66,9.44,8.19,7.97,9.31,10.44,10.25,9.97,10.91,11.19,9.53,7.34,6.91,6.53,5.06,3.19,2.81,4.25,5.22,5.28,6.44,8.75,10.31,10.09,9.38,10.38,10.94,9.88,7.81,7.56,8.28,8.03,6.78,7.19,8.81,9.34,8.19,6.97,6.84,5.81,2.25,-1.12,-2.44,-3.38,-4.94,-6.56,-6.41,-5.12,-4.84,-5.0,-4.38,-1.69,0.5,1.88,3.81,7.0,9.41,9.59,8.69,8.88,8.88,7.5,4.94,3.69,2.62,1.06,-1.5,-2.97,-2.66,-2.12,-2.81,-2.69,-0.53,1.69,2.31,2.66,4.41,6.12,6.47,5.0,4.44,4.19,3.19,0.75,-1.09,-0.69,-0.5,-1.16,-1.12,1.56,4.22,5.34,5.25,6.34,7.44,7.06,5.41,5.0,5.25,4.28,1.47,-0.53,-0.75,-0.91,-1.12,-0.81,1.53,4.62,5.91,6.16,7.75,9.31,9.38,8.09,7.41,7.59,6.62,3.38,0.16,-1.0,-2.19,-4.03,-5.47,-4.31,-2.31,-1.69,-1.5,0.34,2.94,4.56,4.25,3.72,3.41,2.12,-0.75,-3.31,-3.44,-2.78,-3.31,-4.47,-4.06,-3.12,-4.06,-5.66,-5.69,-5.44,-5.97,-7.75,-8.41,-7.81,-6.97,-7.06,-6.56,-4.12,-1.78,-0.97,-1.22,-0.59,-0.16,-1.0,-2.5,-2.59,-1.38,-0.12,-0.34,-0.03,1.16,2.0,0.66,-0.78,-0.72,-0.28,-1.19,-2.53,-1.59,0.0,0.75,0.94,1.97,3.88,5.38,5.41,5.75,6.84,7.62,6.38,4.62,4.41,4.06,2.28,-0.09,-1.16,-0.94,-1.31,-1.94,54.78,55.34,57.0,58.62,60.34,61.78,62.66,63.47,63.72,63.97,64.16,64.47,64.62,64.22,63.19,61.38,59.03,56.06,52.56,49.34,46.78,44.72,42.97,42.38,43.03,43.81,44.47,45.28,46.19,46.88,47.25,47.12,47.47,48.25,49.28,50.16,51.5,52.91,54.03,54.47,55.44,56.56:positivity
19.16,20.06,19.94,20.5,21.88,22.56,22.0,21.72,22.44,23.5,23.12,22.38,22.5,23.28,22.75,22.19,22.56,23.44,23.25,21.84,20.97,21.22,22.03,22.0,23.0,25.31,27.28,27.75,27.09,26.84,26.84,25.56,23.69,22.59,22.34,21.75,19.94,18.94,19.25,19.69,18.75,18.09,18.84,20.38,20.84,21.03,22.28,23.53,23.28,21.78,20.81,21.22,21.41,20.69,20.75,22.59,24.25,24.47,24.81,26.19,28.28,29.25,29.44,30.91,33.03,33.66,32.78,32.19,32.38,31.97,30.69,30.44,32.12,34.81,35.94,36.75,38.0,39.0,38.53,36.53,35.47,35.53,34.62,32.91,31.88,32.19,32.44,31.12,29.72,29.94,30.16,29.0,27.88,28.0,29.28,30.19,30.44,31.47,33.41,33.84,33.03,32.25,32.84,33.31,32.38,31.53,31.81,32.53,32.0,31.53,32.31,33.78,33.78,32.59,31.88,32.03,31.94,31.09,30.47,31.28,31.81,31.5,31.62,33.47,36.16,37.88,39.34,41.44,43.59,44.41,43.5,42.44,42.06,41.12,38.81,37.38,37.44,36.88,34.88,32.75,31.91,31.91,31.03,30.19,30.25,31.75,31.91,30.97,30.25,30.72,30.19,28.0,26.09,25.53,25.22,23.88,22.62,23.06,24.38,25.06,25.44,26.31,27.97,27.84,26.12,24.22,23.41,22.72,21.03,19.88,20.59,21.91,22.22,22.19,23.09,24.31,24.28,23.5,23.16,24.44,24.88,23.91,22.5,22.41,21.44,19.19,17.03,17.03,17.91,17.88,17.84,19.53,22.0,23.72,24.41,25.28,27.16,28.06,27.72,27.56,28.81,29.97,29.41,28.16,28.0,28.34,27.09,25.5,24.78,24.88,24.16,23.16,23.19,24.59,26.06,26.22,26.47,27.75,29.12,28.78,28.41,29.19,30.66,31.31,30.75,31.19,32.34,32.28,30.66,29.19,28.56,27.84,25.75,24.0,24.22,25.25,24.72,24.12,25.28,27.22,28.5,28.59,29.81,31.91,33.03,32.69,32.19,32.75,32.69,31.19,29.69,30.53,32.19,33.06,33.72,35.78,38.56,39.72,39.91,40.53,41.88,41.75,40.31,38.44,38.03,37.34,35.91,34.22,34.34,35.06,34.66,33.81,33.94,34.5,34.19,32.41,31.38,32.12,32.97,32.66,32.28,33.25,33.84,32.66,30.75,30.47,30.94,30.59,29.72,30.34,32.0,32.72,32.5,32.59,33.88,34.84,34.41,34.0,35.38,37.19,37.66,37.91,38.97,39.84,38.94,37.09,36.28,36.47,36.75,36.12,36.41,37.88,38.62,37.91,36.72,36.59,36.28,34.97,32.69,31.78,31.97,31.69,30.81,31.03,31.97,31.78,29.81,27.94,27.19,26.53,25.44,24.94,26.41,28.59,30.12,31.47,34.56,38.78,42.34,44.88,47.5,50.56,51.72,50.69,49.0,48.44,48.06,46.41,44.56,44.44,44.84,44.25,43.12,43.25,43.94,44.28,42.94,42.16,43.0,43.53,42.59,42.06,42.94,44.0,43.31,42.16,42.09,42.41,41.56,39.94,39.59,40.72,41.75,41.31,41.28,42.31,42.94,42.25,41.72,43.25,44.94,46.34,46.75,47.78,48.94,48.62,46.69,45.66,45.56,45.47,44.47,43.94,44.62,45.25,44.03,42.28,41.72,41.75,40.72,39.28,39.78,40.97,41.41,40.16,39.69,40.44,41.25,40.97,40.78,42.28,43.62,43.25,42.53,43.59,45.19,45.62,44.91,45.12,45.47,44.88,42.44,40.66,39.97,39.09,36.66,34.78,34.56,34.59,33.31,31.88,32.25,34.06,34.81,35.34,36.91,39.12,40.56,39.81,40.09,41.41,42.59,41.97,41.44,42.09,42.88,42.25,40.94,41.0,41.38,40.38,38.34,36.81,35.81,34.84,32.72,31.75,32.34,33.88,33.47,32.84,33.03,33.16,32.0,30.34,30.38,32.06,32.81,33.12,34.62,37.5,40.06,40.94,41.56,42.81,42.75,40.09,36.91,34.84,33.53,31.72,30.06,30.25,31.38,31.44,30.03,29.03,29.19,28.78,27.53,27.62,29.75,32.75,34.12,34.84,36.25,36.91,35.75,33.31,31.53,30.81,29.22,27.44,26.97,28.72,30.78,30.66,31.25,32.97,34.28,33.94,33.38,33.94,34.56,34.12,32.31,31.12,30.78,30.19,28.38,28.19,30.38,33.56,35.62,37.69,40.53,42.72,41.91,39.66,38.69,38.34,37.81,36.12,35.44,35.97,36.28,35.0,34.12,34.75,35.0,33.16,31.12,30.62,30.56,29.53,28.78,29.75,32.16,34.12,34.91,36.34,37.94,38.31,37.06,35.75,36.0,36.53,35.12,34.19,34.25,34.94,34.28,33.31,33.25,33.47,32.47,30.09,28.53,28.72,29.38,29.94,31.5,35.19,38.81,40.56,41.34,42.62,43.59,43.12,41.56,41.03,41.06,40.22,37.09,34.31,32.34,29.97,26.81,24.25,23.91,24.34,23.66,22.53,22.69,23.16,22.56,21.72,21.94,23.38,24.06,23.84,24.03,25.62,26.66,26.09,25.72,27.84,31.38,33.72,36.66,40.81,44.78,46.81,46.38,45.38,44.41,41.88,37.19,32.88,30.12,28.0,24.62,21.66,21.34,22.16,21.47,20.44,20.88,22.53,22.94,22.5,23.12,25.0,26.25,26.38,26.69,29.16,31.31,31.44,30.88,30.88,30.44,28.62,26.34,25.09,25.03,24.06,22.38,21.12,22.0,22.72,22.16,21.81,22.56,23.09,21.28,18.94,17.53,17.34,16.56,15.81,16.5,18.5,19.09,17.94,16.62,16.72,16.72,15.62,15.59,17.66,20.34,21.47,22.09,23.19,25.09,26.12,26.69,28.12,30.69,32.72,32.69,32.72,33.94,35.0,34.47,33.22,32.94,32.81,30.62,27.88,27.31,27.75,27.72,26.56,25.78,26.31,25.75,24.16,23.16,24.5,26.5,27.31,27.84,29.88,31.81,31.53,30.59,30.22,30.03,28.47,25.69,23.53,23.44,23.47,22.56,22.38,23.91,25.56,25.06,23.81,23.69,24.03,22.84,21.53,21.78,23.53,24.31,24.09,24.06,25.47,26.28,25.47,24.78,25.44,26.0,24.78,23.25,23.09,23.28,22.25,20.38,19.62,20.38,20.72,20.5,20.81,22.25,23.16,22.38,21.94,23.28,25.53,26.84,27.62,28.97,30.66,30.31,28.97,28.09,28.41,28.94,28.44,28.41,29.81,30.59,29.03,26.91,26.19,25.72,24.78,23.5,23.56,25.31,26.16,25.75,26.25,28.09,28.97,28.72,28.56,30.19,31.44,31.0,30.19,30.84,31.41,31.09,30.16,29.88,30.66,29.88,27.25,24.56,23.16,21.88,19.62,18.53,19.91,21.59,22.09,22.31,24.28,26.94,29.5,30.88,33.06,36.16,37.75,38.22,39.09,41.38,43.25,42.81,41.94,41.94,41.53,39.25,36.38,35.0,34.38,33.19,31.19,29.94,30.06,29.34,27.12,25.59,26.0,26.25,25.34,24.62,25.81,27.44,27.47,27.06,27.78,28.88,29.28,28.62,28.34,29.59,30.0,29.34,29.03,30.66,31.97,31.72,30.56,30.94,31.41,30.91,29.81,29.62,29.88,29.66,27.69,26.38,26.59,26.38,24.91,24.0,24.69,25.5,25.0,24.66,25.62,27.41,28.22,28.09,29.03,30.38,31.03,30.47,30.56,31.91,32.62,31.44,29.34,28.22,26.94,24.25,22.0,21.81,22.44,22.97,22.75,23.19,24.47,24.91,23.75,23.09,24.12,25.62,26.06,26.47,28.41,29.88,29.59,27.84,27.16,26.91,25.72,23.84,23.22,23.62,24.41,24.16,24.72,27.25,29.22,29.81,29.41,29.78,29.84,28.66,27.12,26.84,27.69,27.94,26.62,25.56,24.97,23.97,21.28,19.0,18.59,18.53,17.28,16.22,16.97,18.44,19.34,19.97,21.53,24.38,26.75,27.72,28.94,30.81,32.28,31.19,29.59,29.38,29.12,27.75,25.59,25.28,25.31,24.53,22.75,21.66,21.5,21.22,20.62,21.19,23.62,26.5,27.38,27.31,27.69,27.69,26.47,25.09,25.72,27.53,28.91,29.59,30.81,32.72,34.16,33.41,32.69,32.5,32.25,30.16,27.91,26.59,25.81,24.06,21.81,21.28,22.06,22.38,21.69,21.69,22.81,23.84,23.62,24.25,26.16,27.94,28.25,27.88,28.38,29.38,29.0,28.28,29.06,30.81,31.44,30.47,30.0,30.25,29.84,28.28,26.66,26.31,25.81,23.91,21.66,21.12,21.78,21.38,20.06,19.62,20.31,20.12,18.53,17.66,18.31,18.81,18.38,18.41,19.72,21.66,22.44,22.53,24.12,26.41,28.12,28.5,29.19,30.59,31.19,30.16,29.44,29.84,29.94,28.81,27.41,27.34,28.0,27.47,26.5,25.94,25.75,24.88,22.84,21.84,22.69,23.28,22.53,22.09,22.69,22.84,21.78,20.5,20.5,20.91,20.62,19.66,19.56,20.34,20.38,19.59,19.47,20.25,20.91,20.09,19.5,20.28,21.28,20.69,19.66,19.31,19.34,18.69,17.75,18.0,19.31,20.34,19.94,20.31,21.41,22.41,21.22,19.81,19.38,18.78,16.62,14.47,13.25,13.28,12.81,12.03,12.28,14.28,16.25,16.91,18.38,20.72,22.72,22.91,22.72,22.75,23.09,21.72,19.16,17.44,17.03,16.53,15.5,15.59,17.25,18.38,17.66,17.19,17.5,18.41,17.84,17.31,18.22,20.38,21.75,22.38,23.97,26.47,27.94,27.72,27.75,28.75,28.53,26.34,24.06,23.19,22.72,21.25,19.66,19.22,19.72,19.59,18.75,19.09,20.78,22.12,22.47,23.69,26.41,28.81,29.97,30.28,31.0:21.72,22.44,23.5,23.12,22.38,22.5,23.28,22.75,22.19,22.56,23.44,23.25,21.84,20.97,21.22,22.03,22.0,23.0,25.31,27.28,27.75,27.09,26.84,26.84,25.56,23.69,22.59,22.34,21.75,19.94,18.94,19.25,19.69,18.75,18.09,18.84,20.38,20.84,21.03,22.28,23.53,23.28,21.78,20.81,21.22,21.41,20.69,20.75,22.59,24.25,24.47,24.81,26.19,28.28,29.25,29.44,30.91,33.03,33.66,32.78,32.19,32.38,31.97,30.69,30.44,32.12,34.81,35.94,36.75,38.0,39.0,38.53,36.53,35.47,35.53,34.62,32.91,31.88,32.19,32.44,31.12,29.72,29.94,30.16,29.0,27.88,28.0,29.28,30.19,30.44,31.47,33.41,33.84,33.03,32.25,32.84,33.31,32.38,31.53,31.81,32.53,32.0,31.53,32.31,33.78,33.78,32.59,31.88,32.03,31.94,31.09,30.47,31.28,31.81,31.5,31.62,33.47,36.16,37.88,39.34,41.44,43.59,44.41,43.5,42.44,42.06,41.12,38.81,37.38,37.44,36.88,34.88,32.75,31.91,31.91,31.03,30.19,30.25,31.75,31.91,30.97,30.25,30.72,30.19,28.0,26.09,25.53,25.22,23.88,22.62,23.06,24.38,25.06,25.44,26.31,27.97,27.84,26.12,24.22,23.41,22.72,21.03,19.88,20.59,21.91,22.22,22.19,23.09,24.31,24.28,23.5,23.16,24.44,24.88,23.91,22.5,22.41,21.44,19.19,17.03,17.03,17.91,17.88,17.84,19.53,22.0,23.72,24.41,25.28,27.16,28.06,27.72,27.56,28.81,29.97,29.41,28.16,28.0,28.34,27.09,25.5,24.78,24.88,24.16,23.16,23.19,24.59,26.06,26.22,26.47,27.75,29.12,28.78,28.41,29.19,30.66,31.31,30.75,31.19,32.34,32.28,30.66,29.19,28.56,27.84,25.75,24.0,24.22,25.25,24.72,24.12,25.28,27.22,28.5,28.59,29.81,31.91,33.03,32.69,32.19,32.75,32.69,31.19,29.69,30.53,32.19,33.06,33.72,35.78,38.56,39.72,39.91,40.53,41.88,41.75,40.31,38.44,38.03,37.34,35.91,34.22,34.34,35.06,34.66,33.81,33.94,34.5,34.19,32.41,31.38,32.12,32.97,32.66,32.28,33.25,33.84,32.66,30.75,30.47,30.94,30.59,29.72,30.34,32.0,32.72,32.5,32.59,33.88,34.84,34.41,34.0,35.38,37.19,37.66,37.91,38.97,39.84,38.94,37.09,36.28,36.47,36.75,36.12,36.41,37.88,38.62,37.91,36.72,36.59,36.28,34.97,32.69,31.78,31.97,31.69,30.81,31.03,31.97,31.78,29.81,27.94,27.19,26.53,25.44,24.94,26.41,28.59,30.12,31.47,34.56,38.78,42.34,44.88,47.5,50.56,51.72,50.69,49.0,48.44,48.06,46.41,44.56,44.44,44.84,44.25,43.12,43.25,43.94,44.28,42.94,42.16,43.0,43.53,42.59,42.06,42.94,44.0,43.31,42.16,42.09,42.41,41.56,39.94,39.59,40.72,41.75,41.31,41.28,42.31,42.94,42.25,41.72,43.25,44.94,46.34,46.75,47.78,48.94,48.62,46.69,45.66,45.56,45.47,44.47,43.94,44.62,45.25,44.03,42.28,41.72,41.75,40.72,39.28,39.78,40.97,41.41,40.16,39.69,40.44,41.25,40.97,40.78,42.28,43.62,43.25,42.53,43.59,45.19,45.62,44.91,45.12,45.47,44.88,42.44,40.66,39.97,39.09,36.66,34.78,34.56,34.59,33.31,31.88,32.25,34.06,34.81,35.34,36.91,39.12,40.56,39.81,40.09,41.41,42.59,41.97,41.44,42.09,42.88,42.25,40.94,41.0,41.38,40.38,38.34,36.81,35.81,34.84,32.72,31.75,32.34,33.88,33.47,32.84,33.03,33.16,32.0,30.34,30.38,32.06,32.81,33.12,34.62,37.5,40.06,40.94,41.56,42.81,42.75,40.09,36.91,34.84,33.53,31.72,30.06,30.25,31.38,31.44,30.03,29.03,29.19,28.78,27.53,27.62,29.75,32.75,34.12,34.84,36.25,36.91,35.75,33.31,31.53,30.81,29.22,27.44,26.97,28.72,30.78,30.66,31.25,32.97,34.28,33.94,33.38,33.94,34.56,34.12,32.31,31.12,30.78,30.19,28.38,28.19,30.38,33.56,35.62,37.69,40.53,42.72,41.91,39.66,38.69,38.34,37.81,36.12,35.44,35.97,36.28,35.0,34.12,34.75,35.0,33.16,31.12,30.62,30.56,29.53,28.78,29.75,32.16,34.12,34.91,36.34,37.94,38.31,37.06,35.75,36.0,36.53,35.12,34.19,34.25,34.94,34.28,33.31,33.25,33.47,32.47,30.09,28.53,28.72,29.38,29.94,31.5,35.19,38.81,40.56,41.34,42.62,43.59,43.12,41.56,41.03,41.06,40.22,37.09,34.31,32.34,29.97,26.81,24.25,23.91,24.34,23.66,22.53,22.69,23.16,22.56,21.72,21.94,23.38,24.06,23.84,24.03,25.62,26.66,26.09,25.72,27.84,31.38,33.72,36.66,40.81,44.78,46.81,46.38,45.38,44.41,41.88,37.19,32.88,30.12,28.0,24.62,21.66,21.34,22.16,21.47,20.44,20.88,22.53,22.94,22.5,23.12,25.0,26.25,26.38,26.69,29.16,31.31,31.44,30.88,30.88,30.44,28.62,26.34,25.09,25.03,24.06,22.38,21.12,22.0,22.72,22.16,21.81,22.56,23.09,21.28,18.94,17.53,17.34,16.56,15.81,16.5,18.5,19.09,17.94,16.62,16.72,16.72,15.62,15.59,17.66,20.34,21.47,22.09,23.19,25.09,26.12,26.69,28.12,30.69,32.72,32.69,32.72,33.94,35.0,34.47,33.22,32.94,32.81,30.62,27.88,27.31,27.75,27.72,26.56,25.78,26.31,25.75,24.16,23.16,24.5,26.5,27.31,27.84,29.88,31.81,31.53,30.59,30.22,30.03,28.47,25.69,23.53,23.44,23.47,22.56,22.38,23.91,25.56,25.06,23.81,23.69,24.03,22.84,21.53,21.78,23.53,24.31,24.09,24.06,25.47,26.28,25.47,24.78,25.44,26.0,24.78,23.25,23.09,23.28,22.25,20.38,19.62,20.38,20.72,20.5,20.81,22.25,23.16,22.38,21.94,23.28,25.53,26.84,27.62,28.97,30.66,30.31,28.97,28.09,28.41,28.94,28.44,28.41,29.81,30.59,29.03,26.91,26.19,25.72,24.78,23.5,23.56,25.31,26.16,25.75,26.25,28.09,28.97,28.72,28.56,30.19,31.44,31.0,30.19,30.84,31.41,31.09,30.16,29.88,30.66,29.88,27.25,24.56,23.16,21.88,19.62,18.53,19.91,21.59,22.09,22.31,24.28,26.94,29.5,30.88,33.06,36.16,37.75,38.22,39.09,41.38,43.25,42.81,41.94,41.94,41.53,39.25,36.38,35.0,34.38,33.19,31.19,29.94,30.06,29.34,27.12,25.59,26.0,26.25,25.34,24.62,25.81,27.44,27.47,27.06,27.78,28.88,29.28,28.62,28.34,29.59,30.0,29.34,29.03,30.66,31.97,31.72,30.56,30.94,31.41,30.91,29.81,29.62,29.88,29.66,27.69,26.38,26.59,26.38,24.91,24.0,24.69,25.5,25.0,24.66,25.62,27.41,28.22,28.09,29.03,30.38,31.03,30.47,30.56,31.91,32.62,31.44,29.34,28.22,26.94,24.25,22.0,21.81,22.44,22.97,22.75,23.19,24.47,24.91,23.75,23.09,24.12,25.62,26.06,26.47,28.41,29.88,29.59,27.84,27.16,26.91,25.72,23.84,23.22,23.62,24.41,24.16,24.72,27.25,29.22,29.81,29.41,29.78,29.84,28.66,27.12,26.84,27.69,27.94,26.62,25.56,24.97,23.97,21.28,19.0,18.59,18.53,17.28,16.22,16.97,18.44,19.34,19.97,21.53,24.38,26.75,27.72,28.94,30.81,32.28,31.19,29.59,29.38,29.12,27.75,25.59,25.28,25.31,24.53,22.75,21.66,21.5,21.22,20.62,21.19,23.62,26.5,27.38,27.31,27.69,27.69,26.47,25.09,25.72,27.53,28.91,29.59,30.81,32.72,34.16,33.41,32.69,32.5,32.25,30.16,27.91,26.59,25.81,24.06,21.81,21.28,22.06,22.38,21.69,21.69,22.81,23.84,23.62,24.25,26.16,27.94,28.25,27.88,28.38,29.38,29.0,28.28,29.06,30.81,31.44,30.47,30.0,30.25,29.84,28.28,26.66,26.31,25.81,23.91,21.66,21.12,21.78,21.38,20.06,19.62,20.31,20.12,18.53,17.66,18.31,18.81,18.38,18.41,19.72,21.66,22.44,22.53,24.12,26.41,28.12,28.5,29.19,30.59,31.19,30.16,29.44,29.84,29.94,28.81,27.41,27.34,28.0,27.47,26.5,25.94,25.75,24.88,22.84,21.84,22.69,23.28,22.53,22.09,22.69,22.84,21.78,20.5,20.5,20.91,20.62,19.66,19.56,20.34,20.38,19.59,19.47,20.25,20.91,20.09,19.5,20.28,21.28,20.69,19.66,19.31,19.34,18.69,17.75,18.0,19.31,20.34,19.94,20.31,21.41,22.41,21.22,19.81,19.38,18.78,16.62,14.47,13.25,13.28,12.81,12.03,12.28,14.28,16.25,16.91,18.38,20.72,22.72,22.91,22.72,22.75,23.09,21.72,19.16,17.44,17.03,16.53,15.5,15.59,17.25,18.38,17.66,17.19,17.5,18.41,17.84,17.31,18.22,20.38,21.75,22.38,23.97,26.47,27.94,27.72,27.75,28.75,28.53,26.34,24.06,23.19,22.72,21.25,19.66,19.22,19.72,19.59,18.75,19.09,20.78,22.12,22.47,23.69,26.41,28.81,29.97,30.28,31.0,16.88,17.69,18.94,20.09,20.59,21.56,22.97:22.75,22.19,22.56,23.44,23.25,21.84,20.97,21.22,22.03,22.0,23.0,25.31,27.28,27.75,27.09,26.84,26.84,25.56,23.69,22.59,22.34,21.75,19.94,18.94,19.25,19.69,18.75,18.09,18.84,20.38,20.84,21.03,22.28,23.53,23.28,21.78,20.81,21.22,21.41,20.69,20.75,22.59,24.25,24.47,24.81,26.19,28.28,29.25,29.44,30.91,33.03,33.66,32.78,32.19,32.38,31.97,30.69,30.44,32.12,34.81,35.94,36.75,38.0,39.0,38.53,36.53,35.47,35.53,34.62,32.91,31.88,32.19,32.44,31.12,29.72,29.94,30.16,29.0,27.88,28.0,29.28,30.19,30.44,31.47,33.41,33.84,33.03,32.25,32.84,33.31,32.38,31.53,31.81,32.53,32.0,31.53,32.31,33.78,33.78,32.59,31.88,32.03,31.94,31.09,30.47,31.28,31.81,31.5,31.62,33.47,36.16,37.88,39.34,41.44,43.59,44.41,43.5,42.44,42.06,41.12,38.81,37.38,37.44,36.88,34.88,32.75,31.91,31.91,31.03,30.19,30.25,31.75,31.91,30.97,30.25,30.72,30.19,28.0,26.09,25.53,25.22,23.88,22.62,23.06,24.38,25.06,25.44,26.31,27.97,27.84,26.12,24.22,23.41,22.72,21.03,19.88,20.59,21.91,22.22,22.19,23.09,24.31,24.28,23.5,23.16,24.44,24.88,23.91,22.5,22.41,21.44,19.19,17.03,17.03,17.91,17.88,17.84,19.53,22.0,23.72,24.41,25.28,27.16,28.06,27.72,27.56,28.81,29.97,29.41,28.16,28.0,28.34,27.09,25.5,24.78,24.88,24.16,23.16,23.19,24.59,26.06,26.22,26.47,27.75,29.12,28.78,28.41,29.19,30.66,31.31,30.75,31.19,32.34,32.28,30.66,29.19,28.56,27.84,25.75,24.0,24.22,25.25,24.72,24.12,25.28,27.22,28.5,28.59,29.81,31.91,33.03,32.69,32.19,32.75,32.69,31.19,29.69,30.53,32.19,33.06,33.72,35.78,38.56,39.72,39.91,40.53,41.88,41.75,40.31,38.44,38.03,37.34,35.91,34.22,34.34,35.06,34.66,33.81,33.94,34.5,34.19,32.41,31.38,32.12,32.97,32.66,32.28,33.25,33.84,32.66,30.75,30.47,30.94,30.59,29.72,30.34,32.0,32.72,32.5,32.59,33.88,34.84,34.41,34.0,35.38,37.19,37.66,37.91,38.97,39.84,38.94,37.09,36.28,36.47,36.75,36.12,36.41,37.88,38.62,37.91,36.72,36.59,36.28,34.97,32.69,31.78,31.97,31.69,30.81,31.03,31.97,31.78,29.81,27.94,27.19,26.53,25.44,24.94,26.41,28.59,30.12,31.47,34.56,38.78,42.34,44.88,47.5,50.56,51.72,50.69,49.0,48.44,48.06,46.41,44.56,44.44,44.84,44.25,43.12,43.25,43.94,44.28,42.94,42.16,43.0,43.53,42.59,42.06,42.94,44.0,43.31,42.16,42.09,42.41,41.56,39.94,39.59,40.72,41.75,41.31,41.28,42.31,42.94,42.25,41.72,43.25,44.94,46.34,46.75,47.78,48.94,48.62,46.69,45.66,45.56,45.47,44.47,43.94,44.62,45.25,44.03,42.28,41.72,41.75,40.72,39.28,39.78,40.97,41.41,40.16,39.69,40.44,41.25,40.97,40.78,42.28,43.62,43.25,42.53,43.59,45.19,45.62,44.91,45.12,45.47,44.88,42.44,40.66,39.97,39.09,36.66,34.78,34.56,34.59,33.31,31.88,32.25,34.06,34.81,35.34,36.91,39.12,40.56,39.81,40.09,41.41,42.59,41.97,41.44,42.09,42.88,42.25,40.94,41.0,41.38,40.38,38.34,36.81,35.81,34.84,32.72,31.75,32.34,33.88,33.47,32.84,33.03,33.16,32.0,30.34,30.38,32.06,32.81,33.12,34.62,37.5,40.06,40.94,41.56,42.81,42.75,40.09,36.91,34.84,33.53,31.72,30.06,30.25,31.38,31.44,30.03,29.03,29.19,28.78,27.53,27.62,29.75,32.75,34.12,34.84,36.25,36.91,35.75,33.31,31.53,30.81,29.22,27.44,26.97,28.72,30.78,30.66,31.25,32.97,34.28,33.94,33.38,33.94,34.56,34.12,32.31,31.12,30.78,30.19,28.38,28.19,30.38,33.56,35.62,37.69,40.53,42.72,41.91,39.66,38.69,38.34,37.81,36.12,35.44,35.97,36.28,35.0,34.12,34.75,35.0,33.16,31.12,30.62,30.56,29.53,28.78,29.75,32.16,34.12,34.91,36.34,37.94,38.31,37.06,35.75,36.0,36.53,35.12,34.19,34.25,34.94,34.28,33.31,33.25,33.47,32.47,30.09,28.53,28.72,29.38,29.94,31.5,35.19,38.81,40.56,41.34,42.62,43.59,43.12,41.56,41.03,41.06,40.22,37.09,34.31,32.34,29.97,26.81,24.25,23.91,24.34,23.66,22.53,22.69,23.16,22.56,21.72,21.94,23.38,24.06,23.84,24.03,25.62,26.66,26.09,25.72,27.84,31.38,33.72,36.66,40.81,44.78,46.81,46.38,45.38,44.41,41.88,37.19,32.88,30.12,28.0,24.62,21.66,21.34,22.16,21.47,20.44,20.88,22.53,22.94,22.5,23.12,25.0,26.25,26.38,26.69,29.16,31.31,31.44,30.88,30.88,30.44,28.62,26.34,25.09,25.03,24.06,22.38,21.12,22.0,22.72,22.16,21.81,22.56,23.09,21.28,18.94,17.53,17.34,16.56,15.81,16.5,18.5,19.09,17.94,16.62,16.72,16.72,15.62,15.59,17.66,20.34,21.47,22.09,23.19,25.09,26.12,26.69,28.12,30.69,32.72,32.69,32.72,33.94,35.0,34.47,33.22,32.94,32.81,30.62,27.88,27.31,27.75,27.72,26.56,25.78,26.31,25.75,24.16,23.16,24.5,26.5,27.31,27.84,29.88,31.81,31.53,30.59,30.22,30.03,28.47,25.69,23.53,23.44,23.47,22.56,22.38,23.91,25.56,25.06,23.81,23.69,24.03,22.84,21.53,21.78,23.53,24.31,24.09,24.06,25.47,26.28,25.47,24.78,25.44,26.0,24.78,23.25,23.09,23.28,22.25,20.38,19.62,20.38,20.72,20.5,20.81,22.25,23.16,22.38,21.94,23.28,25.53,26.84,27.62,28.97,30.66,30.31,28.97,28.09,28.41,28.94,28.44,28.41,29.81,30.59,29.03,26.91,26.19,25.72,24.78,23.5,23.56,25.31,26.16,25.75,26.25,28.09,28.97,28.72,28.56,30.19,31.44,31.0,30.19,30.84,31.41,31.09,30.16,29.88,30.66,29.88,27.25,24.56,23.16,21.88,19.62,18.53,19.91,21.59,22.09,22.31,24.28,26.94,29.5,30.88,33.06,36.16,37.75,38.22,39.09,41.38,43.25,42.81,41.94,41.94,41.53,39.25,36.38,35.0,34.38,33.19,31.19,29.94,30.06,29.34,27.12,25.59,26.0,26.25,25.34,24.62,25.81,27.44,27.47,27.06,27.78,28.88,29.28,28.62,28.34,29.59,30.0,29.34,29.03,30.66,31.97,31.72,30.56,30.94,31.41,30.91,29.81,29.62,29.88,29.66,27.69,26.38,26.59,26.38,24.91,24.0,24.69,25.5,25.0,24.66,25.62,27.41,28.22,28.09,29.03,30.38,31.03,30.47,30.56,31.91,32.62,31.44,29.34,28.22,26.94,24.25,22.0,21.81,22.44,22.97,22.75,23.19,24.47,24.91,23.75,23.09,24.12,25.62,26.06,26.47,28.41,29.88,29.59,27.84,27.16,26.91,25.72,23.84,23.22,23.62,24.41,24.16,24.72,27.25,29.22,29.81,29.41,29.78,29.84,28.66,27.12,26.84,27.69,27.94,26.62,25.56,24.97,23.97,21.28,19.0,18.59,18.53,17.28,16.22,16.97,18.44,19.34,19.97,21.53,24.38,26.75,27.72,28.94,30.81,32.28,31.19,29.59,29.38,29.12,27.75,25.59,25.28,25.31,24.53,22.75,21.66,21.5,21.22,20.62,21.19,23.62,26.5,27.38,27.31,27.69,27.69,26.47,25.09,25.72,27.53,28.91,29.59,30.81,32.72,34.16,33.41,32.69,32.5,32.25,30.16,27.91,26.59,25.81,24.06,21.81,21.28,22.06,22.38,21.69,21.69,22.81,23.84,23.62,24.25,26.16,27.94,28.25,27.88,28.38,29.38,29.0,28.28,29.06,30.81,31.44,30.47,30.0,30.25,29.84,28.28,26.66,26.31,25.81,23.91,21.66,21.12,21.78,21.38,20.06,19.62,20.31,20.12,18.53,17.66,18.31,18.81,18.38,18.41,19.72,21.66,22.44,22.53,24.12,26.41,28.12,28.5,29.19,30.59,31.19,30.16,29.44,29.84,29.94,28.81,27.41,27.34,28.0,27.47,26.5,25.94,25.75,24.88,22.84,21.84,22.69,23.28,22.53,22.09,22.69,22.84,21.78,20.5,20.5,20.91,20.62,19.66,19.56,20.34,20.38,19.59,19.47,20.25,20.91,20.09,19.5,20.28,21.28,20.69,19.66,19.31,19.34,18.69,17.75,18.0,19.31,20.34,19.94,20.31,21.41,22.41,21.22,19.81,19.38,18.78,16.62,14.47,13.25,13.28,12.81,12.03,12.28,14.28,16.25,16.91,18.38,20.72,22.72,22.91,22.72,22.75,23.09,21.72,19.16,17.44,17.03,16.53,15.5,15.59,17.25,18.38,17.66,17.19,17.5,18.41,17.84,17.31,18.22,20.38,21.75,22.38,23.97,26.47,27.94,27.72,27.75,28.75,28.53,26.34,24.06,23.19,22.72,21.25,19.66,19.22,19.72,19.59,18.75,19.09,20.78,22.12,22.47,23.69,26.41,28.81,29.97,30.28,31.0,16.88,17.69,18.94,20.09,20.59,21.56,22.97,24.16,24.88,25.81,26.91,27.72,27.47,26.94:21.22,22.03,22.0,23.0,25.31,27.28,27.75,27.09,26.84,26.84,25.56,23.69,22.59,22.34,21.75,19.94,18.94,19.25,19.69,18.75,18.09,18.84,20.38,20.84,21.03,22.28,23.53,23.28,21.78,20.81,21.22,21.41,20.69,20.75,22.59,24.25,24.47,24.81,26.19,28.28,29.25,29.44,30.91,33.03,33.66,32.78,32.19,32.38,31.97,30.69,30.44,32.12,34.81,35.94,36.75,38.0,39.0,38.53,36.53,35.47,35.53,34.62,32.91,31.88,32.19,32.44,31.12,29.72,29.94,30.16,29.0,27.88,28.0,29.28,30.19,30.44,31.47,33.41,33.84,33.03,32.25,32.84,33.31,32.38,31.53,31.81,32.53,32.0,31.53,32.31,33.78,33.78,32.59,31.88,32.03,31.94,31.09,30.47,31.28,31.81,31.5,31.62,33.47,36.16,37.88,39.34,41.44,43.59,44.41,43.5,42.44,42.06,41.12,38.81,37.38,37.44,36.88,34.88,32.75,31.91,31.91,31.03,30.19,30.25,31.75,31.91,30.97,30.25,30.72,30.19,28.0,26.09,25.53,25.22,23.88,22.62,23.06,24.38,25.06,25.44,26.31,27.97,27.84,26.12,24.22,23.41,22.72,21.03,19.88,20.59,21.91,22.22,22.19,23.09,24.31,24.28,23.5,23.16,24.44,24.88,23.91,22.5,22.41,21.44,19.19,17.03,17.03,17.91,17.88,17.84,19.53,22.0,23.72,24.41,25.28,27.16,28.06,27.72,27.56,28.81,29.97,29.41,28.16,28.0,28.34,27.09,25.5,24.78,24.88,24.16,23.16,23.19,24.59,26.06,26.22,26.47,27.75,29.12,28.78,28.41,29.19,30.66,31.31,30.75,31.19,32.34,32.28,30.66,29.19,28.56,27.84,25.75,24.0,24.22,25.25,24.72,24.12,25.28,27.22,28.5,28.59,29.81,31.91,33.03,32.69,32.19,32.75,32.69,31.19,29.69,30.53,32.19,33.06,33.72,35.78,38.56,39.72,39.91,40.53,41.88,41.75,40.31,38.44,38.03,37.34,35.91,34.22,34.34,35.06,34.66,33.81,33.94,34.5,34.19,32.41,31.38,32.12,32.97,32.66,32.28,33.25,33.84,32.66,30.75,30.47,30.94,30.59,29.72,30.34,32.0,32.72,32.5,32.59,33.88,34.84,34.41,34.0,35.38,37.19,37.66,37.91,38.97,39.84,38.94,37.09,36.28,36.47,36.75,36.12,36.41,37.88,38.62,37.91,36.72,36.59,36.28,34.97,32.69,31.78,31.97,31.69,30.81,31.03,31.97,31.78,29.81,27.94,27.19,26.53,25.44,24.94,26.41,28.59,30.12,31.47,34.56,38.78,42.34,44.88,47.5,50.56,51.72,50.69,49.0,48.44,48.06,46.41,44.56,44.44,44.84,44.25,43.12,43.25,43.94,44.28,42.94,42.16,43.0,43.53,42.59,42.06,42.94,44.0,43.31,42.16,42.09,42.41,41.56,39.94,39.59,40.72,41.75,41.31,41.28,42.31,42.94,42.25,41.72,43.25,44.94,46.34,46.75,47.78,48.94,48.62,46.69,45.66,45.56,45.47,44.47,43.94,44.62,45.25,44.03,42.28,41.72,41.75,40.72,39.28,39.78,40.97,41.41,40.16,39.69,40.44,41.25,40.97,40.78,42.28,43.62,43.25,42.53,43.59,45.19,45.62,44.91,45.12,45.47,44.88,42.44,40.66,39.97,39.09,36.66,34.78,34.56,34.59,33.31,31.88,32.25,34.06,34.81,35.34,36.91,39.12,40.56,39.81,40.09,41.41,42.59,41.97,41.44,42.09,42.88,42.25,40.94,41.0,41.38,40.38,38.34,36.81,35.81,34.84,32.72,31.75,32.34,33.88,33.47,32.84,33.03,33.16,32.0,30.34,30.38,32.06,32.81,33.12,34.62,37.5,40.06,40.94,41.56,42.81,42.75,40.09,36.91,34.84,33.53,31.72,30.06,30.25,31.38,31.44,30.03,29.03,29.19,28.78,27.53,27.62,29.75,32.75,34.12,34.84,36.25,36.91,35.75,33.31,31.53,30.81,29.22,27.44,26.97,28.72,30.78,30.66,31.25,32.97,34.28,33.94,33.38,33.94,34.56,34.12,32.31,31.12,30.78,30.19,28.38,28.19,30.38,33.56,35.62,37.69,40.53,42.72,41.91,39.66,38.69,38.34,37.81,36.12,35.44,35.97,36.28,35.0,34.12,34.75,35.0,33.16,31.12,30.62,30.56,29.53,28.78,29.75,32.16,34.12,34.91,36.34,37.94,38.31,37.06,35.75,36.0,36.53,35.12,34.19,34.25,34.94,34.28,33.31,33.25,33.47,32.47,30.09,28.53,28.72,29.38,29.94,31.5,35.19,38.81,40.56,41.34,42.62,43.59,43.12,41.56,41.03,41.06,40.22,37.09,34.31,32.34,29.97,26.81,24.25,23.91,24.34,23.66,22.53,22.69,23.16,22.56,21.72,21.94,23.38,24.06,23.84,24.03,25.62,26.66,26.09,25.72,27.84,31.38,33.72,36.66,40.81,44.78,46.81,46.38,45.38,44.41,41.88,37.19,32.88,30.12,28.0,24.62,21.66,21.34,22.16,21.47,20.44,20.88,22.53,22.94,22.5,23.12,25.0,26.25,26.38,26.69,29.16,31.31,31.44,30.88,30.88,30.44,28.62,26.34,25.09,25.03,24.06,22.38,21.12,22.0,22.72,22.16,21.81,22.56,23.09,21.28,18.94,17.53,17.34,16.56,15.81,16.5,18.5,19.09,17.94,16.62,16.72,16.72,15.62,15.59,17.66,20.34,21.47,22.09,23.19,25.09,26.12,26.69,28.12,30.69,32.72,32.69,32.72,33.94,35.0,34.47,33.22,32.94,32.81,30.62,27.88,27.31,27.75,27.72,26.56,25.78,26.31,25.75,24.16,23.16,24.5,26.5,27.31,27.84,29.88,31.81,31.53,30.59,30.22,30.03,28.47,25.69,23.53,23.44,23.47,22.56,22.38,23.91,25.56,25.06,23.81,23.69,24.03,22.84,21.53,21.78,23.53,24.31,24.09,24.06,25.47,26.28,25.47,24.78,25.44,26.0,24.78,23.25,23.09,23.28,22.25,20.38,19.62,20.38,20.72,20.5,20.81,22.25,23.16,22.38,21.94,23.28,25.53,26.84,27.62,28.97,30.66,30.31,28.97,28.09,28.41,28.94,28.44,28.41,29.81,30.59,29.03,26.91,26.19,25.72,24.78,23.5,23.56,25.31,26.16,25.75,26.25,28.09,28.97,28.72,28.56,30.19,31.44,31.0,30.19,30.84,31.41,31.09,30.16,29.88,30.66,29.88,27.25,24.56,23.16,21.88,19.62,18.53,19.91,21.59,22.09,22.31,24.28,26.94,29.5,30.88,33.06,36.16,37.75,38.22,39.09,41.38,43.25,42.81,41.94,41.94,41.53,39.25,36.38,35.0,34.38,33.19,31.19,29.94,30.06,29.34,27.12,25.59,26.0,26.25,25.34,24.62,25.81,27.44,27.47,27.06,27.78,28.88,29.28,28.62,28.34,29.59,30.0,29.34,29.03,30.66,31.97,31.72,30.56,30.94,31.41,30.91,29.81,29.62,29.88,29.66,27.69,26.38,26.59,26.38,24.91,24.0,24.69,25.5,25.0,24.66,25.62,27.41,28.22,28.09,29.03,30.38,31.03,30.47,30.56,31.91,32.62,31.44,29.34,28.22,26.94,24.25,22.0,21.81,22.44,22.97,22.75,23.19,24.47,24.91,23.75,23.09,24.12,25.62,26.06,26.47,28.41,29.88,29.59,27.84,27.16,26.91,25.72,23.84,23.22,23.62,24.41,24.16,24.72,27.25,29.22,29.81,29.41,29.78,29.84,28.66,27.12,26.84,27.69,27.94,26.62,25.56,24.97,23.97,21.28,19.0,18.59,18.53,17.28,16.22,16.97,18.44,19.34,19.97,21.53,24.38,26.75,27.72,28.94,30.81,32.28,31.19,29.59,29.38,29.12,27.75,25.59,25.28,25.31,24.53,22.75,21.66,21.5,21.22,20.62,21.19,23.62,26.5,27.38,27.31,27.69,27.69,26.47,25.09,25.72,27.53,28.91,29.59,30.81,32.72,34.16,33.41,32.69,32.5,32.25,30.16,27.91,26.59,25.81,24.06,21.81,21.28,22.06,22.38,21.69,21.69,22.81,23.84,23.62,24.25,26.16,27.94,28.25,27.88,28.38,29.38,29.0,28.28,29.06,30.81,31.44,30.47,30.0,30.25,29.84,28.28,26.66,26.31,25.81,23.91,21.66,21.12,21.78,21.38,20.06,19.62,20.31,20.12,18.53,17.66,18.31,18.81,18.38,18.41,19.72,21.66,22.44,22.53,24.12,26.41,28.12,28.5,29.19,30.59,31.19,30.16,29.44,29.84,29.94,28.81,27.41,27.34,28.0,27.47,26.5,25.94,25.75,24.88,22.84,21.84,22.69,23.28,22.53,22.09,22.69,22.84,21.78,20.5,20.5,20.91,20.62,19.66,19.56,20.34,20.38,19.59,19.47,20.25,20.91,20.09,19.5,20.28,21.28,20.69,19.66,19.31,19.34,18.69,17.75,18.0,19.31,20.34,19.94,20.31,21.41,22.41,21.22,19.81,19.38,18.78,16.62,14.47,13.25,13.28,12.81,12.03,12.28,14.28,16.25,16.91,18.38,20.72,22.72,22.91,22.72,22.75,23.09,21.72,19.16,17.44,17.03,16.53,15.5,15.59,17.25,18.38,17.66,17.19,17.5,18.41,17.84,17.31,18.22,20.38,21.75,22.38,23.97,26.47,27.94,27.72,27.75,28.75,28.53,26.34,24.06,23.19,22.72,21.25,19.66,19.22,19.72,19.59,18.75,19.09,20.78,22.12,22.47,23.69,26.41,28.81,29.97,30.28,31.0,16.88,17.69,18.94,20.09,20.59,21.56,22.97,24.16,24.88,25.81,26.91,27.72,27.47,26.94,26.56,26.12,25.81,24.94,24.31,23.91,23.38:27.09,26.84,26.84,25.56,23.69,22.59,22.34,21.75,19.94,18.94,19.25,19.69,18.75,18.09,18.84,20.38,20.84,21.03,22.28,23.53,23.28,21.78,20.81,21.22,21.41,20.69,20.75,22.59,24.25,24.47,24.81,26.19,28.28,29.25,29.44,30.91,33.03,33.66,32.78,32.19,32.38,31.97,30.69,30.44,32.12,34.81,35.94,36.75,38.0,39.0,38.53,36.53,35.47,35.53,34.62,32.91,31.88,32.19,32.44,31.12,29.72,29.94,30.16,29.0,27.88,28.0,29.28,30.19,30.44,31.47,33.41,33.84,33.03,32.25,32.84,33.31,32.38,31.53,31.81,32.53,32.0,31.53,32.31,33.78,33.78,32.59,31.88,32.03,31.94,31.09,30.47,31.28,31.81,31.5,31.62,33.47,36.16,37.88,39.34,41.44,43.59,44.41,43.5,42.44,42.06,41.12,38.81,37.38,37.44,36.88,34.88,32.75,31.91,31.91,31.03,30.19,30.25,31.75,31.91,30.97,30.25,30.72,30.19,28.0,26.09,25.53,25.22,23.88,22.62,23.06,24.38,25.06,25.44,26.31,27.97,27.84,26.12,24.22,23.41,22.72,21.03,19.88,20.59,21.91,22.22,22.19,23.09,24.31,24.28,23.5,23.16,24.44,24.88,23.91,22.5,22.41,21.44,19.19,17.03,17.03,17.91,17.88,17.84,19.53,22.0,23.72,24.41,25.28,27.16,28.06,27.72,27.56,28.81,29.97,29.41,28.16,28.0,28.34,27.09,25.5,24.78,24.88,24.16,23.16,23.19,24.59,26.06,26.22,26.47,27.75,29.12,28.78,28.41,29.19,30.66,31.31,30.75,31.19,32.34,32.28,30.66,29.19,28.56,27.84,25.75,24.0,24.22,25.25,24.72,24.12,25.28,27.22,28.5,28.59,29.81,31.91,33.03,32.69,32.19,32.75,32.69,31.19,29.69,30.53,32.19,33.06,33.72,35.78,38.56,39.72,39.91,40.53,41.88,41.75,40.31,38.44,38.03,37.34,35.91,34.22,34.34,35.06,34.66,33.81,33.94,34.5,34.19,32.41,31.38,32.12,32.97,32.66,32.28,33.25,33.84,32.66,30.75,30.47,30.94,30.59,29.72,30.34,32.0,32.72,32.5,32.59,33.88,34.84,34.41,34.0,35.38,37.19,37.66,37.91,38.97,39.84,38.94,37.09,36.28,36.47,36.75,36.12,36.41,37.88,38.62,37.91,36.72,36.59,36.28,34.97,32.69,31.78,31.97,31.69,30.81,31.03,31.97,31.78,29.81,27.94,27.19,26.53,25.44,24.94,26.41,28.59,30.12,31.47,34.56,38.78,42.34,44.88,47.5,50.56,51.72,50.69,49.0,48.44,48.06,46.41,44.56,44.44,44.84,44.25,43.12,43.25,43.94,44.28,42.94,42.16,43.0,43.53,42.59,42.06,42.94,44.0,43.31,42.16,42.09,42.41,41.56,39.94,39.59,40.72,41.75,41.31,41.28,42.31,42.94,42.25,41.72,43.25,44.94,46.34,46.75,47.78,48.94,48.62,46.69,45.66,45.56,45.47,44.47,43.94,44.62,45.25,44.03,42.28,41.72,41.75,40.72,39.28,39.78,40.97,41.41,40.16,39.69,40.44,41.25,40.97,40.78,42.28,43.62,43.25,42.53,43.59,45.19,45.62,44.91,45.12,45.47,44.88,42.44,40.66,39.97,39.09,36.66,34.78,34.56,34.59,33.31,31.88,32.25,34.06,34.81,35.34,36.91,39.12,40.56,39.81,40.09,41.41,42.59,41.97,41.44,42.09,42.88,42.25,40.94,41.0,41.38,40.38,38.34,36.81,35.81,34.84,32.72,31.75,32.34,33.88,33.47,32.84,33.03,33.16,32.0,30.34,30.38,32.06,32.81,33.12,34.62,37.5,40.06,40.94,41.56,42.81,42.75,40.09,36.91,34.84,33.53,31.72,30.06,30.25,31.38,31.44,30.03,29.03,29.19,28.78,27.53,27.62,29.75,32.75,34.12,34.84,36.25,36.91,35.75,33.31,31.53,30.81,29.22,27.44,26.97,28.72,30.78,30.66,31.25,32.97,34.28,33.94,33.38,33.94,34.56,34.12,32.31,31.12,30.78,30.19,28.38,28.19,30.38,33.56,35.62,37.69,40.53,42.72,41.91,39.66,38.69,38.34,37.81,36.12,35.44,35.97,36.28,35.0,34.12,34.75,35.0,33.16,31.12,30.62,30.56,29.53,28.78,29.75,32.16,34.12,34.91,36.34,37.94,38.31,37.06,35.75,36.0,36.53,35.12,34.19,34.25,34.94,34.28,33.31,33.25,33.47,32.47,30.09,28.53,28.72,29.38,29.94,31.5,35.19,38.81,40.56,41.34,42.62,43.59,43.12,41.56,41.03,41.06,40.22,37.09,34.31,32.34,29.97,26.81,24.25,23.91,24.34,23.66,22.53,22.69,23.16,22.56,21.72,21.94,23.38,24.06,23.84,24.03,25.62,26.66,26.09,25.72,27.84,31.38,33.72,36.66,40.81,44.78,46.81,46.38,45.38,44.41,41.88,37.19,32.88,30.12,28.0,24.62,21.66,21.34,22.16,21.47,20.44,20.88,22.53,22.94,22.5,23.12,25.0,26.25,26.38,26.69,29.16,31.31,31.44,30.88,30.88,30.44,28.62,26.34,25.09,25.03,24.06,22.38,21.12,22.0,22.72,22.16,21.81,22.56,23.09,21.28,18.94,17.53,17.34,16.56,15.81,16.5,18.5,19.09,17.94,16.62,16.72,16.72,15.62,15.59,17.66,20.34,21.47,22.09,23.19,25.09,26.12,26.69,28.12,30.69,32.72,32.69,32.72,33.94,35.0,34.47,33.22,32.94,32.81,30.62,27.88,27.31,27.75,27.72,26.56,25.78,26.31,25.75,24.16,23.16,24.5,26.5,27.31,27.84,29.88,31.81,31.53,30.59,30.22,30.03,28.47,25.69,23.53,23.44,23.47,22.56,22.38,23.91,25.56,25.06,23.81,23.69,24.03,22.84,21.53,21.78,23.53,24.31,24.09,24.06,25.47,26.28,25.47,24.78,25.44,26.0,24.78,23.25,23.09,23.28,22.25,20.38,19.62,20.38,20.72,20.5,20.81,22.25,23.16,22.38,21.94,23.28,25.53,26.84,27.62,28.97,30.66,30.31,28.97,28.09,28.41,28.94,28.44,28.41,29.81,30.59,29.03,26.91,26.19,25.72,24.78,23.5,23.56,25.31,26.16,25.75,26.25,28.09,28.97,28.72,28.56,30.19,31.44,31.0,30.19,30.84,31.41,31.09,30.16,29.88,30.66,29.88,27.25,24.56,23.16,21.88,19.62,18.53,19.91,21.59,22.09,22.31,24.28,26.94,29.5,30.88,33.06,36.16,37.75,38.22,39.09,41.38,43.25,42.81,41.94,41.94,41.53,39.25,36.38,35.0,34.38,33.19,31.19,29.94,30.06,29.34,27.12,25.59,26.0,26.25,25.34,24.62,25.81,27.44,27.47,27.06,27.78,28.88,29.28,28.62,28.34,29.59,30.0,29.34,29.03,30.66,31.97,31.72,30.56,30.94,31.41,30.91,29.81,29.62,29.88,29.66,27.69,26.38,26.59,26.38,24.91,24.0,24.69,25.5,25.0,24.66,25.62,27.41,28.22,28.09,29.03,30.38,31.03,30.47,30.56,31.91,32.62,31.44,29.34,28.22,26.94,24.25,22.0,21.81,22.44,22.97,22.75,23.19,24.47,24.91,23.75,23.09,24.12,25.62,26.06,26.47,28.41,29.88,29.59,27.84,27.16,26.91,25.72,23.84,23.22,23.62,24.41,24.16,24.72,27.25,29.22,29.81,29.41,29.78,29.84,28.66,27.12,26.84,27.69,27.94,26.62,25.56,24.97,23.97,21.28,19.0,18.59,18.53,17.28,16.22,16.97,18.44,19.34,19.97,21.53,24.38,26.75,27.72,28.94,30.81,32.28,31.19,29.59,29.38,29.12,27.75,25.59,25.28,25.31,24.53,22.75,21.66,21.5,21.22,20.62,21.19,23.62,26.5,27.38,27.31,27.69,27.69,26.47,25.09,25.72,27.53,28.91,29.59,30.81,32.72,34.16,33.41,32.69,32.5,32.25,30.16,27.91,26.59,25.81,24.06,21.81,21.28,22.06,22.38,21.69,21.69,22.81,23.84,23.62,24.25,26.16,27.94,28.25,27.88,28.38,29.38,29.0,28.28,29.06,30.81,31.44,30.47,30.0,30.25,29.84,28.28,26.66,26.31,25.81,23.91,21.66,21.12,21.78,21.38,20.06,19.62,20.31,20.12,18.53,17.66,18.31,18.81,18.38,18.41,19.72,21.66,22.44,22.53,24.12,26.41,28.12,28.5,29.19,30.59,31.19,30.16,29.44,29.84,29.94,28.81,27.41,27.34,28.0,27.47,26.5,25.94,25.75,24.88,22.84,21.84,22.69,23.28,22.53,22.09,22.69,22.84,21.78,20.5,20.5,20.91,20.62,19.66,19.56,20.34,20.38,19.59,19.47,20.25,20.91,20.09,19.5,20.28,21.28,20.69,19.66,19.31,19.34,18.69,17.75,18.0,19.31,20.34,19.94,20.31,21.41,22.41,21.22,19.81,19.38,18.78,16.62,14.47,13.25,13.28,12.81,12.03,12.28,14.28,16.25,16.91,18.38,20.72,22.72,22.91,22.72,22.75,23.09,21.72,19.16,17.44,17.03,16.53,15.5,15.59,17.25,18.38,17.66,17.19,17.5,18.41,17.84,17.31,18.22,20.38,21.75,22.38,23.97,26.47,27.94,27.72,27.75,28.75,28.53,26.34,24.06,23.19,22.72,21.25,19.66,19.22,19.72,19.59,18.75,19.09,20.78,22.12,22.47,23.69,26.41,28.81,29.97,30.28,31.0,16.88,17.69,18.94,20.09,20.59,21.56,22.97,24.16,24.88,25.81,26.91,27.72,27.47,26.94,26.56,26.12,25.81,24.94,24.31,23.91,23.38,22.47,22.44,23.28,24.16,24.78,25.41,26.12:21.75,19.94,18.94,19.25,19.69,18.75,18.09,18.84,20.38,20.84,21.03,22.28,23.53,23.28,21.78,20.81,21.22,21.41,20.69,20.75,22.59,24.25,24.47,24.81,26.19,28.28,29.25,29.44,30.91,33.03,33.66,32.78,32.19,32.38,31.97,30.69,30.44,32.12,34.81,35.94,36.75,38.0,39.0,38.53,36.53,35.47,35.53,34.62,32.91,31.88,32.19,32.44,31.12,29.72,29.94,30.16,29.0,27.88,28.0,29.28,30.19,30.44,31.47,33.41,33.84,33.03,32.25,32.84,33.31,32.38,31.53,31.81,32.53,32.0,31.53,32.31,33.78,33.78,32.59,31.88,32.03,31.94,31.09,30.47,31.28,31.81,31.5,31.62,33.47,36.16,37.88,39.34,41.44,43.59,44.41,43.5,42.44,42.06,41.12,38.81,37.38,37.44,36.88,34.88,32.75,31.91,31.91,31.03,30.19,30.25,31.75,31.91,30.97,30.25,30.72,30.19,28.0,26.09,25.53,25.22,23.88,22.62,23.06,24.38,25.06,25.44,26.31,27.97,27.84,26.12,24.22,23.41,22.72,21.03,19.88,20.59,21.91,22.22,22.19,23.09,24.31,24.28,23.5,23.16,24.44,24.88,23.91,22.5,22.41,21.44,19.19,17.03,17.03,17.91,17.88,17.84,19.53,22.0,23.72,24.41,25.28,27.16,28.06,27.72,27.56,28.81,29.97,29.41,28.16,28.0,28.34,27.09,25.5,24.78,24.88,24.16,23.16,23.19,24.59,26.06,26.22,26.47,27.75,29.12,28.78,28.41,29.19,30.66,31.31,30.75,31.19,32.34,32.28,30.66,29.19,28.56,27.84,25.75,24.0,24.22,25.25,24.72,24.12,25.28,27.22,28.5,28.59,29.81,31.91,33.03,32.69,32.19,32.75,32.69,31.19,29.69,30.53,32.19,33.06,33.72,35.78,38.56,39.72,39.91,40.53,41.88,41.75,40.31,38.44,38.03,37.34,35.91,34.22,34.34,35.06,34.66,33.81,33.94,34.5,34.19,32.41,31.38,32.12,32.97,32.66,32.28,33.25,33.84,32.66,30.75,30.47,30.94,30.59,29.72,30.34,32.0,32.72,32.5,32.59,33.88,34.84,34.41,34.0,35.38,37.19,37.66,37.91,38.97,39.84,38.94,37.09,36.28,36.47,36.75,36.12,36.41,37.88,38.62,37.91,36.72,36.59,36.28,34.97,32.69,31.78,31.97,31.69,30.81,31.03,31.97,31.78,29.81,27.94,27.19,26.53,25.44,24.94,26.41,28.59,30.12,31.47,34.56,38.78,42.34,44.88,47.5,50.56,51.72,50.69,49.0,48.44,48.06,46.41,44.56,44.44,44.84,44.25,43.12,43.25,43.94,44.28,42.94,42.16,43.0,43.53,42.59,42.06,42.94,44.0,43.31,42.16,42.09,42.41,41.56,39.94,39.59,40.72,41.75,41.31,41.28,42.31,42.94,42.25,41.72,43.25,44.94,46.34,46.75,47.78,48.94,48.62,46.69,45.66,45.56,45.47,44.47,43.94,44.62,45.25,44.03,42.28,41.72,41.75,40.72,39.28,39.78,40.97,41.41,40.16,39.69,40.44,41.25,40.97,40.78,42.28,43.62,43.25,42.53,43.59,45.19,45.62,44.91,45.12,45.47,44.88,42.44,40.66,39.97,39.09,36.66,34.78,34.56,34.59,33.31,31.88,32.25,34.06,34.81,35.34,36.91,39.12,40.56,39.81,40.09,41.41,42.59,41.97,41.44,42.09,42.88,42.25,40.94,41.0,41.38,40.38,38.34,36.81,35.81,34.84,32.72,31.75,32.34,33.88,33.47,32.84,33.03,33.16,32.0,30.34,30.38,32.06,32.81,33.12,34.62,37.5,40.06,40.94,41.56,42.81,42.75,40.09,36.91,34.84,33.53,31.72,30.06,30.25,31.38,31.44,30.03,29.03,29.19,28.78,27.53,27.62,29.75,32.75,34.12,34.84,36.25,36.91,35.75,33.31,31.53,30.81,29.22,27.44,26.97,28.72,30.78,30.66,31.25,32.97,34.28,33.94,33.38,33.94,34.56,34.12,32.31,31.12,30.78,30.19,28.38,28.19,30.38,33.56,35.62,37.69,40.53,42.72,41.91,39.66,38.69,38.34,37.81,36.12,35.44,35.97,36.28,35.0,34.12,34.75,35.0,33.16,31.12,30.62,30.56,29.53,28.78,29.75,32.16,34.12,34.91,36.34,37.94,38.31,37.06,35.75,36.0,36.53,35.12,34.19,34.25,34.94,34.28,33.31,33.25,33.47,32.47,30.09,28.53,28.72,29.38,29.94,31.5,35.19,38.81,40.56,41.34,42.62,43.59,43.12,41.56,41.03,41.06,40.22,37.09,34.31,32.34,29.97,26.81,24.25,23.91,24.34,23.66,22.53,22.69,23.16,22.56,21.72,21.94,23.38,24.06,23.84,24.03,25.62,26.66,26.09,25.72,27.84,31.38,33.72,36.66,40.81,44.78,46.81,46.38,45.38,44.41,41.88,37.19,32.88,30.12,28.0,24.62,21.66,21.34,22.16,21.47,20.44,20.88,22.53,22.94,22.5,23.12,25.0,26.25,26.38,26.69,29.16,31.31,31.44,30.88,30.88,30.44,28.62,26.34,25.09,25.03,24.06,22.38,21.12,22.0,22.72,22.16,21.81,22.56,23.09,21.28,18.94,17.53,17.34,16.56,15.81,16.5,18.5,19.09,17.94,16.62,16.72,16.72,15.62,15.59,17.66,20.34,21.47,22.09,23.19,25.09,26.12,26.69,28.12,30.69,32.72,32.69,32.72,33.94,35.0,34.47,33.22,32.94,32.81,30.62,27.88,27.31,27.75,27.72,26.56,25.78,26.31,25.75,24.16,23.16,24.5,26.5,27.31,27.84,29.88,31.81,31.53,30.59,30.22,30.03,28.47,25.69,23.53,23.44,23.47,22.56,22.38,23.91,25.56,25.06,23.81,23.69,24.03,22.84,21.53,21.78,23.53,24.31,24.09,24.06,25.47,26.28,25.47,24.78,25.44,26.0,24.78,23.25,23.09,23.28,22.25,20.38,19.62,20.38,20.72,20.5,20.81,22.25,23.16,22.38,21.94,23.28,25.53,26.84,27.62,28.97,30.66,30.31,28.97,28.09,28.41,28.94,28.44,28.41,29.81,30.59,29.03,26.91,26.19,25.72,24.78,23.5,23.56,25.31,26.16,25.75,26.25,28.09,28.97,28.72,28.56,30.19,31.44,31.0,30.19,30.84,31.41,31.09,30.16,29.88,30.66,29.88,27.25,24.56,23.16,21.88,19.62,18.53,19.91,21.59,22.09,22.31,24.28,26.94,29.5,30.88,33.06,36.16,37.75,38.22,39.09,41.38,43.25,42.81,41.94,41.94,41.53,39.25,36.38,35.0,34.38,33.19,31.19,29.94,30.06,29.34,27.12,25.59,26.0,26.25,25.34,24.62,25.81,27.44,27.47,27.06,27.78,28.88,29.28,28.62,28.34,29.59,30.0,29.34,29.03,30.66,31.97,31.72,30.56,30.94,31.41,30.91,29.81,29.62,29.88,29.66,27.69,26.38,26.59,26.38,24.91,24.0,24.69,25.5,25.0,24.66,25.62,27.41,28.22,28.09,29.03,30.38,31.03,30.47,30.56,31.91,32.62,31.44,29.34,28.22,26.94,24.25,22.0,21.81,22.44,22.97,22.75,23.19,24.47,24.91,23.75,23.09,24.12,25.62,26.06,26.47,28.41,29.88,29.59,27.84,27.16,26.91,25.72,23.84,23.22,23.62,24.41,24.16,24.72,27.25,29.22,29.81,29.41,29.78,29.84,28.66,27.12,26.84,27.69,27.94,26.62,25.56,24.97,23.97,21.28,19.0,18.59,18.53,17.28,16.22,16.97,18.44,19.34,19.97,21.53,24.38,26.75,27.72,28.94,30.81,32.28,31.19,29.59,29.38,29.12,27.75,25.59,25.28,25.31,24.53,22.75,21.66,21.5,21.22,20.62,21.19,23.62,26.5,27.38,27.31,27.69,27.69,26.47,25.09,25.72,27.53,28.91,29.59,30.81,32.72,34.16,33.41,32.69,32.5,32.25,30.16,27.91,26.59,25.81,24.06,21.81,21.28,22.06,22.38,21.69,21.69,22.81,23.84,23.62,24.25,26.16,27.94,28.25,27.88,28.38,29.38,29.0,28.28,29.06,30.81,31.44,30.47,30.0,30.25,29.84,28.28,26.66,26.31,25.81,23.91,21.66,21.12,21.78,21.38,20.06,19.62,20.31,20.12,18.53,17.66,18.31,18.81,18.38,18.41,19.72,21.66,22.44,22.53,24.12,26.41,28.12,28.5,29.19,30.59,31.19,30.16,29.44,29.84,29.94,28.81,27.41,27.34,28.0,27.47,26.5,25.94,25.75,24.88,22.84,21.84,22.69,23.28,22.53,22.09,22.69,22.84,21.78,20.5,20.5,20.91,20.62,19.66,19.56,20.34,20.38,19.59,19.47,20.25,20.91,20.09,19.5,20.28,21.28,20.69,19.66,19.31,19.34,18.69,17.75,18.0,19.31,20.34,19.94,20.31,21.41,22.41,21.22,19.81,19.38,18.78,16.62,14.47,13.25,13.28,12.81,12.03,12.28,14.28,16.25,16.91,18.38,20.72,22.72,22.91,22.72,22.75,23.09,21.72,19.16,17.44,17.03,16.53,15.5,15.59,17.25,18.38,17.66,17.19,17.5,18.41,17.84,17.31,18.22,20.38,21.75,22.38,23.97,26.47,27.94,27.72,27.75,28.75,28.53,26.34,24.06,23.19,22.72,21.25,19.66,19.22,19.72,19.59,18.75,19.09,20.78,22.12,22.47,23.69,26.41,28.81,29.97,30.28,31.0,16.88,17.69,18.94,20.09,20.59,21.56,22.97,24.16,24.88,25.81,26.91,27.72,27.47,26.94,26.56,26.12,25.81,24.94,24.31,23.91,23.38,22.47,22.44,23.28,24.16,24.78,25.41,26.12,26.66,26.25,26.03,25.59,25.62,25.34,24.31:18.84,20.38,20.84,21.03,22.28,23.53,23.28,21.78,20.81,21.22,21.41,20.69,20.75,22.59,24.25,24.47,24.81,26.19,28.28,29.25,29.44,30.91,33.03,33.66,32.78,32.19,32.38,31.97,30.69,30.44,32.12,34.81,35.94,36.75,38.0,39.0,38.53,36.53,35.47,35.53,34.62,32.91,31.88,32.19,32.44,31.12,29.72,29.94,30.16,29.0,27.88,28.0,29.28,30.19,30.44,31.47,33.41,33.84,33.03,32.25,32.84,33.31,32.38,31.53,31.81,32.53,32.0,31.53,32.31,33.78,33.78,32.59,31.88,32.03,31.94,31.09,30.47,31.28,31.81,31.5,31.62,33.47,36.16,37.88,39.34,41.44,43.59,44.41,43.5,42.44,42.06,41.12,38.81,37.38,37.44,36.88,34.88,32.75,31.91,31.91,31.03,30.19,30.25,31.75,31.91,30.97,30.25,30.72,30.19,28.0,26.09,25.53,25.22,23.88,22.62,23.06,24.38,25.06,25.44,26.31,27.97,27.84,26.12,24.22,23.41,22.72,21.03,19.88,20.59,21.91,22.22,22.19,23.09,24.31,24.28,23.5,23.16,24.44,24.88,23.91,22.5,22.41,21.44,19.19,17.03,17.03,17.91,17.88,17.84,19.53,22.0,23.72,24.41,25.28,27.16,28.06,27.72,27.56,28.81,29.97,29.41,28.16,28.0,28.34,27.09,25.5,24.78,24.88,24.16,23.16,23.19,24.59,26.06,26.22,26.47,27.75,29.12,28.78,28.41,29.19,30.66,31.31,30.75,31.19,32.34,32.28,30.66,29.19,28.56,27.84,25.75,24.0,24.22,25.25,24.72,24.12,25.28,27.22,28.5,28.59,29.81,31.91,33.03,32.69,32.19,32.75,32.69,31.19,29.69,30.53,32.19,33.06,33.72,35.78,38.56,39.72,39.91,40.53,41.88,41.75,40.31,38.44,38.03,37.34,35.91,34.22,34.34,35.06,34.66,33.81,33.94,34.5,34.19,32.41,31.38,32.12,32.97,32.66,32.28,33.25,33.84,32.66,30.75,30.47,30.94,30.59,29.72,30.34,32.0,32.72,32.5,32.59,33.88,34.84,34.41,34.0,35.38,37.19,37.66,37.91,38.97,39.84,38.94,37.09,36.28,36.47,36.75,36.12,36.41,37.88,38.62,37.91,36.72,36.59,36.28,34.97,32.69,31.78,31.97,31.69,30.81,31.03,31.97,31.78,29.81,27.94,27.19,26.53,25.44,24.94,26.41,28.59,30.12,31.47,34.56,38.78,42.34,44.88,47.5,50.56,51.72,50.69,49.0,48.44,48.06,46.41,44.56,44.44,44.84,44.25,43.12,43.25,43.94,44.28,42.94,42.16,43.0,43.53,42.59,42.06,42.94,44.0,43.31,42.16,42.09,42.41,41.56,39.94,39.59,40.72,41.75,41.31,41.28,42.31,42.94,42.25,41.72,43.25,44.94,46.34,46.75,47.78,48.94,48.62,46.69,45.66,45.56,45.47,44.47,43.94,44.62,45.25,44.03,42.28,41.72,41.75,40.72,39.28,39.78,40.97,41.41,40.16,39.69,40.44,41.25,40.97,40.78,42.28,43.62,43.25,42.53,43.59,45.19,45.62,44.91,45.12,45.47,44.88,42.44,40.66,39.97,39.09,36.66,34.78,34.56,34.59,33.31,31.88,32.25,34.06,34.81,35.34,36.91,39.12,40.56,39.81,40.09,41.41,42.59,41.97,41.44,42.09,42.88,42.25,40.94,41.0,41.38,40.38,38.34,36.81,35.81,34.84,32.72,31.75,32.34,33.88,33.47,32.84,33.03,33.16,32.0,30.34,30.38,32.06,32.81,33.12,34.62,37.5,40.06,40.94,41.56,42.81,42.75,40.09,36.91,34.84,33.53,31.72,30.06,30.25,31.38,31.44,30.03,29.03,29.19,28.78,27.53,27.62,29.75,32.75,34.12,34.84,36.25,36.91,35.75,33.31,31.53,30.81,29.22,27.44,26.97,28.72,30.78,30.66,31.25,32.97,34.28,33.94,33.38,33.94,34.56,34.12,32.31,31.12,30.78,30.19,28.38,28.19,30.38,33.56,35.62,37.69,40.53,42.72,41.91,39.66,38.69,38.34,37.81,36.12,35.44,35.97,36.28,35.0,34.12,34.75,35.0,33.16,31.12,30.62,30.56,29.53,28.78,29.75,32.16,34.12,34.91,36.34,37.94,38.31,37.06,35.75,36.0,36.53,35.12,34.19,34.25,34.94,34.28,33.31,33.25,33.47,32.47,30.09,28.53,28.72,29.38,29.94,31.5,35.19,38.81,40.56,41.34,42.62,43.59,43.12,41.56,41.03,41.06,40.22,37.09,34.31,32.34,29.97,26.81,24.25,23.91,24.34,23.66,22.53,22.69,23.16,22.56,21.72,21.94,23.38,24.06,23.84,24.03,25.62,26.66,26.09,25.72,27.84,31.38,33.72,36.66,40.81,44.78,46.81,46.38,45.38,44.41,41.88,37.19,32.88,30.12,28.0,24.62,21.66,21.34,22.16,21.47,20.44,20.88,22.53,22.94,22.5,23.12,25.0,26.25,26.38,26.69,29.16,31.31,31.44,30.88,30.88,30.44,28.62,26.34,25.09,25.03,24.06,22.38,21.12,22.0,22.72,22.16,21.81,22.56,23.09,21.28,18.94,17.53,17.34,16.56,15.81,16.5,18.5,19.09,17.94,16.62,16.72,16.72,15.62,15.59,17.66,20.34,21.47,22.09,23.19,25.09,26.12,26.69,28.12,30.69,32.72,32.69,32.72,33.94,35.0,34.47,33.22,32.94,32.81,30.62,27.88,27.31,27.75,27.72,26.56,25.78,26.31,25.75,24.16,23.16,24.5,26.5,27.31,27.84,29.88,31.81,31.53,30.59,30.22,30.03,28.47,25.69,23.53,23.44,23.47,22.56,22.38,23.91,25.56,25.06,23.81,23.69,24.03,22.84,21.53,21.78,23.53,24.31,24.09,24.06,25.47,26.28,25.47,24.78,25.44,26.0,24.78,23.25,23.09,23.28,22.25,20.38,19.62,20.38,20.72,20.5,20.81,22.25,23.16,22.38,21.94,23.28,25.53,26.84,27.62,28.97,30.66,30.31,28.97,28.09,28.41,28.94,28.44,28.41,29.81,30.59,29.03,26.91,26.19,25.72,24.78,23.5,23.56,25.31,26.16,25.75,26.25,28.09,28.97,28.72,28.56,30.19,31.44,31.0,30.19,30.84,31.41,31.09,30.16,29.88,30.66,29.88,27.25,24.56,23.16,21.88,19.62,18.53,19.91,21.59,22.09,22.31,24.28,26.94,29.5,30.88,33.06,36.16,37.75,38.22,39.09,41.38,43.25,42.81,41.94,41.94,41.53,39.25,36.38,35.0,34.38,33.19,31.19,29.94,30.06,29.34,27.12,25.59,26.0,26.25,25.34,24.62,25.81,27.44,27.47,27.06,27.78,28.88,29.28,28.62,28.34,29.59,30.0,29.34,29.03,30.66,31.97,31.72,30.56,30.94,31.41,30.91,29.81,29.62,29.88,29.66,27.69,26.38,26.59,26.38,24.91,24.0,24.69,25.5,25.0,24.66,25.62,27.41,28.22,28.09,29.03,30.38,31.03,30.47,30.56,31.91,32.62,31.44,29.34,28.22,26.94,24.25,22.0,21.81,22.44,22.97,22.75,23.19,24.47,24.91,23.75,23.09,24.12,25.62,26.06,26.47,28.41,29.88,29.59,27.84,27.16,26.91,25.72,23.84,23.22,23.62,24.41,24.16,24.72,27.25,29.22,29.81,29.41,29.78,29.84,28.66,27.12,26.84,27.69,27.94,26.62,25.56,24.97,23.97,21.28,19.0,18.59,18.53,17.28,16.22,16.97,18.44,19.34,19.97,21.53,24.38,26.75,27.72,28.94,30.81,32.28,31.19,29.59,29.38,29.12,27.75,25.59,25.28,25.31,24.53,22.75,21.66,21.5,21.22,20.62,21.19,23.62,26.5,27.38,27.31,27.69,27.69,26.47,25.09,25.72,27.53,28.91,29.59,30.81,32.72,34.16,33.41,32.69,32.5,32.25,30.16,27.91,26.59,25.81,24.06,21.81,21.28,22.06,22.38,21.69,21.69,22.81,23.84,23.62,24.25,26.16,27.94,28.25,27.88,28.38,29.38,29.0,28.28,29.06,30.81,31.44,30.47,30.0,30.25,29.84,28.28,26.66,26.31,25.81,23.91,21.66,21.12,21.78,21.38,20.06,19.62,20.31,20.12,18.53,17.66,18.31,18.81,18.38,18.41,19.72,21.66,22.44,22.53,24.12,26.41,28.12,28.5,29.19,30.59,31.19,30.16,29.44,29.84,29.94,28.81,27.41,27.34,28.0,27.47,26.5,25.94,25.75,24.88,22.84,21.84,22.69,23.28,22.53,22.09,22.69,22.84,21.78,20.5,20.5,20.91,20.62,19.66,19.56,20.34,20.38,19.59,19.47,20.25,20.91,20.09,19.5,20.28,21.28,20.69,19.66,19.31,19.34,18.69,17.75,18.0,19.31,20.34,19.94,20.31,21.41,22.41,21.22,19.81,19.38,18.78,16.62,14.47,13.25,13.28,12.81,12.03,12.28,14.28,16.25,16.91,18.38,20.72,22.72,22.91,22.72,22.75,23.09,21.72,19.16,17.44,17.03,16.53,15.5,15.59,17.25,18.38,17.66,17.19,17.5,18.41,17.84,17.31,18.22,20.38,21.75,22.38,23.97,26.47,27.94,27.72,27.75,28.75,28.53,26.34,24.06,23.19,22.72,21.25,19.66,19.22,19.72,19.59,18.75,19.09,20.78,22.12,22.47,23.69,26.41,28.81,29.97,30.28,31.0,16.88,17.69,18.94,20.09,20.59,21.56,22.97,24.16,24.88,25.81,26.91,27.72,27.47,26.94,26.56,26.12,25.81,24.94,24.31,23.91,23.38,22.47,22.44,23.28,24.16,24.78,25.41,26.12,26.66,26.25,26.03,25.59,25.62,25.34,24.31,24.12,23.72,23.5,22.47,21.75,21.66,20.84:positivity
16.03,13.91,12.03,10.5,9.69,10.5,11.84,13.75,15.53,18.28,21.69,24.62,26.72,28.75,30.5,31.62,30.88,29.03,27.75,25.88,23.81,21.69,20.72,20.28,19.78,19.19,18.97,19.0,19.03,17.97,16.47,15.28,14.69,13.56,13.0,13.94,15.66,17.19,18.28,20.22,21.84,22.44,21.53,20.28,19.44,18.44,17.03,16.5,17.06,17.97,18.28,18.0,18.56,18.5,17.47,15.75,14.56,14.19,13.75,13.34,13.56,14.69,16.66,18.53,20.84,23.59,26.34,27.59,27.06,26.53,25.38,23.06,19.5,16.59,13.62,10.31,6.38,3.41,2.25,2.25,2.66,4.28,7.19,10.19,12.53,14.34,16.94,19.5,21.19,21.81,22.31,22.38,21.88,20.12,18.88,18.44,17.84,16.62,15.62,14.94,14.34,13.47,12.69,13.66,15.44,17.19,18.28,19.25,20.22,20.59,19.44,18.25,17.41,16.16,13.66,11.12,9.59,8.53,6.75,4.97,4.28,4.56,4.69,4.88,5.94,7.81,9.78,10.59,11.31,13.12,14.72,15.06,15.5,16.78,18.22,18.28,17.66,17.38,17.91,18.25,18.25,19.5,21.38,22.53,21.94,20.75,19.59,17.72,14.38,11.09,8.59,6.88,4.31,1.78,0.03,-0.78,-1.31,-1.56,-1.12,0.62,2.69,3.97,5.19,6.97,8.84,9.78,10.41,12.16,14.66,16.72,18.03,19.72,21.56,22.78,22.81,23.28,24.16,24.94,24.62,24.19,24.66,24.59,23.25,21.19,19.22,17.56,15.75,13.34,12.44,12.78,13.75,14.06,15.31,17.38,19.38,20.44,21.53,23.28,25.34,26.12,26.56,27.66,29.12,29.91,29.97,29.97,30.06,29.53,26.84,24.47,22.94,21.5,19.5,18.19,17.75,17.62,16.41,15.09,14.69,15.31,15.81,15.75,16.28,17.38,18.38,18.44,19.0,20.75,22.88,24.44,25.94,28.22,30.25,31.44,31.47,30.91,30.72,29.88,27.84,26.16,25.41,24.28,21.78,19.91,18.84,18.41,17.81,17.38,18.03,19.38,20.19,20.06,20.38,21.03,20.97,19.84,18.75,18.72,18.25,16.88,15.5,15.31,15.12,13.84,12.84,12.34,12.72,12.59,12.19,12.56,13.88,14.94,15.16,15.19,15.78,15.72,14.09,12.5,11.34,10.47,9.0,7.53,6.5,6.19,5.62,5.12,5.41,6.75,8.81,10.22,12.22,15.22,18.44,20.56,21.56,22.53,22.88,21.12,18.44,16.22,14.81,13.28,11.88,11.16,11.66,12.34,12.59,13.09,14.53,16.06,16.44,15.97,15.66,15.34,14.38,13.28,13.19,14.59,15.5,15.81,16.44,17.75,18.88,18.78,18.84,19.94,21.19,21.0,20.53,20.66,21.16,20.47,19.91,19.34,19.41,19.25,18.28,18.09,19.0,20.28,20.47,20.88,22.22,23.09,22.69,21.66,20.5,19.53,17.47,14.81,12.66,11.47,10.66,9.25,8.81,9.69,11.19,11.78,12.53,14.16,15.91,16.81,17.25,18.47,20.34,21.66,22.5,23.69,25.16,25.97,25.16,23.78,23.06,22.31,20.5,18.69,18.03,17.62,16.69,15.38,14.69,14.59,13.75,12.25,11.03,11.0,11.44,11.5,12.0,13.78,15.97,16.81,16.88,17.66,18.09,17.28,16.06,15.47,15.91,16.19,16.59,16.94,18.03,18.59,18.06,17.25,17.44,18.31,18.22,18.47,18.84,19.78,19.47,18.16,17.69,17.94,17.91,17.25,17.25,18.0,18.75,18.94,19.34,20.69,22.75,23.66,23.56,24.12,24.56,24.0,22.47,21.78,22.0,21.72,20.78,20.06,20.28,20.28,18.91,17.66,17.12,16.69,15.44,14.25,13.5,13.66,13.66,12.97,13.53,15.53,17.41,18.66,19.62,21.72,22.78,22.91,22.59,22.97,23.53,22.72,21.22,19.72,18.5,16.66,14.91,13.97,14.56,15.34,15.12,14.69,14.88,14.47,12.62,10.53,8.94,7.44,5.34,3.41,3.09,4.19,5.47,6.34,7.69,9.94,11.88,13.44,15.06,17.59,18.97,18.91,17.38,16.0,14.91,13.19,11.75,11.12,11.84,12.16,11.53,10.94,11.09,10.28,8.75,6.84,6.38,6.34,6.12,5.91,6.78,8.22,8.72,8.34,8.19,9.16,9.81,10.16,10.81,12.53,13.56,13.28,12.5,12.59,12.81,12.62,12.78,14.12,16.22,17.69,18.66,19.81,21.19,21.56,21.19,20.41,19.81,18.34,15.47,11.34,8.09,4.5,0.69,-2.66,-4.22,-3.78,-2.5,-0.69,2.19,5.47,7.94,9.03,9.53,10.19,10.06,8.94,6.84,5.41,4.28,3.31,2.75,3.66,5.31,6.91,7.78,8.28,9.44,10.19,10.06,9.41,9.75,9.84,9.22,8.22,8.12,8.0,7.5,6.44,5.62,5.47,5.0,3.59,2.22,2.19,1.75,0.81,-0.16,0.03,0.62,0.75,0.88,2.06,3.41,4.62,4.94,5.53,6.72,7.66,7.5,7.5,8.31,8.94,8.62,8.38,9.56,10.53,10.88,10.94,11.41,11.5,11.41,10.47,9.62,9.25,9.19,8.62,8.59,10.59,12.84,14.66,16.22,17.81,19.19,19.19,18.31,18.34,18.59,18.78,17.97,17.53,17.16,16.22,13.88,12.09,11.06,10.78,10.69,11.16,12.31,13.78,14.5,14.53,15.09,16.84,18.47,19.59,21.06,22.88,24.25,24.06,22.78,22.12,20.69,17.97,15.25,13.69,12.31,10.91,9.19,8.28,8.25,8.31,7.97,8.38,10.09,12.44,13.91,15.38,16.97,18.06,17.06,15.31,13.81,12.44,11.06,9.34,8.84,8.88,9.28,8.81,8.78,9.41,10.25,10.56,11.0,12.31,13.5,13.88,13.56,13.69,14.28,14.44,14.31,14.47,15.31,16.06,16.0,15.88,15.84,15.34,13.66,12.12,11.94,12.81,14.0,15.22,17.38,19.31,20.5,20.41,20.19,20.09,20.31,19.75,19.66,20.44,20.78,20.28,19.34,19.06,18.72,17.94,17.03,16.5,16.88,17.28,16.72,16.38,16.03,15.56,14.25,13.34,13.91,15.12,16.06,17.22,18.81,20.19,20.72,19.88,18.41,16.69,14.19,10.56,7.19,4.84,3.34,1.53,0.66,1.31,2.78,4.12,6.0,9.34,13.09,16.72,19.41,21.72,23.22,24.06,23.16,21.62,20.69,19.75,17.91,16.03,14.53,13.38,11.38,9.19,7.78,7.34,7.22,7.41,8.28,10.66,13.0,14.31,15.41,16.38,17.22,16.97,16.56,16.94,17.25,16.34,14.62,13.09,11.78,10.38,9.28,9.09,9.5,10.53,9.94,9.19,9.19,9.16,7.97,7.38,6.81,6.78,6.53,6.06,6.72,8.09,10.31,12.16,15.09,18.91,22.47,24.28,24.72,23.88,21.62,17.34,12.28,7.53,3.88,0.91,-1.41,-1.81,-1.09,0.59,1.94,3.75,6.0,7.97,8.78,9.66,11.47,14.0,16.34,18.59,20.88,22.84,23.56,22.75,21.16,19.94,18.03,15.06,12.66,10.97,10.03,8.66,7.25,7.12,7.38,7.31,7.91,9.19,12.0,15.0,17.75,20.66,24.06,26.56,27.59,28.16,28.38,28.06,26.19,24.03,22.25,21.09,19.78,18.69,18.66,19.19,19.75,20.38,22.0,25.06,28.41,31.62,34.66,37.62,40.19,40.78,40.5,39.91,39.06,37.69,35.47,33.72,32.06,29.84,26.81,23.72,21.03,18.47,15.19,12.59,10.66,9.5,8.69,8.16,8.53,9.84,11.09,11.97,13.22,15.38,17.25,18.62,20.19,22.66,24.84,25.81,26.94,27.78,28.75,27.91,26.06,23.72,21.84,19.44,16.56,14.25,12.59,11.44,9.84,9.25,10.28,12.38,13.78,14.97,16.44,17.53,17.38,16.91,17.03,17.88,18.78,19.91,21.38,24.16,26.78,29.03,31.22,33.84,35.56,35.25,34.16,31.84,29.38,26.03,23.09,20.94,20.06,19.72,19.09,18.44,19.06,19.34,18.47,17.59,17.66,17.69,16.69,15.84,15.28,14.66,13.59,12.03,10.94,10.66,10.69,10.72,11.59,13.62,15.59,16.62,16.91,17.25,17.41,16.88,16.38,16.22,17.06,17.28,16.59,16.44,16.62,17.12,17.47,18.31,20.69,22.91,24.0,24.53,24.84,25.28,24.69,23.88,23.44,23.5,22.53,21.5,21.06,21.31,22.12,22.25,22.28,22.72,22.84,21.5,19.19,17.34,15.78,13.47,11.5,10.38,9.81,9.06,8.0,6.88,6.41,5.62,3.97,3.0,3.12,4.12,5.44,6.78,9.28,12.03,14.06,14.91,15.44,16.12,16.34,15.97,15.78,16.38,16.59,16.5,16.03,16.78,17.59,17.66,17.03,16.38,15.75,14.78,13.91,14.0,15.75,18.41,21.47,24.75,28.72,31.78,33.25,33.34,33.53,33.22,31.56,29.38,27.31,26.44,25.81,25.53,26.28,28.03,28.72,28.31,26.94,25.53,23.75,21.0,18.28,16.78,16.0,15.19,14.34,14.53,15.09,15.44,15.34,15.31,16.0,16.09,15.5,14.84,14.81,14.72,14.47,13.97,14.41,15.84,16.97,17.72,18.97,20.69,21.5,21.78,21.97,22.44,21.88,20.34,17.69,15.91,14.22,12.03,9.97,9.25,9.75,10.12,10.72,12.12,13.81,15.28,16.22,16.62,18.28,19.03,19.19,18.5,18.84,19.06,18.78,17.78,17.47,17.12,15.78,13.66,11.41,9.69,7.97,5.88,4.41,4.59,4.59,4.09,3.72,4.31,5.34,6.03,7.34,9.09,11.84,13.69,14.66,15.38,15.75,15.38,13.66,12.31,12.22,12.12,12.34,13.19:13.75,15.53,18.28,21.69,24.62,26.72,28.75,30.5,31.62,30.88,29.03,27.75,25.88,23.81,21.69,20.72,20.28,19.78,19.19,18.97,19.0,19.03,17.97,16.47,15.28,14.69,13.56,13.0,13.94,15.66,17.19,18.28,20.22,21.84,22.44,21.53,20.28,19.44,18.44,17.03,16.5,17.06,17.97,18.28,18.0,18.56,18.5,17.47,15.75,14.56,14.19,13.75,13.34,13.56,14.69,16.66,18.53,20.84,23.59,26.34,27.59,27.06,26.53,25.38,23.06,19.5,16.59,13.62,10.31,6.38,3.41,2.25,2.25,2.66,4.28,7.19,10.19,12.53,14.34,16.94,19.5,21.19,21.81,22.31,22.38,21.88,20.12,18.88,18.44,17.84,16.62,15.62,14.94,14.34,13.47,12.69,13.66,15.44,17.19,18.28,19.25,20.22,20.59,19.44,18.25,17.41,16.16,13.66,11.12,9.59,8.53,6.75,4.97,4.28,4.56,4.69,4.88,5.94,7.81,9.78,10.59,11.31,13.12,14.72,15.06,15.5,16.78,18.22,18.28,17.66,17.38,17.91,18.25,18.25,19.5,21.38,22.53,21.94,20.75,19.59,17.72,14.38,11.09,8.59,6.88,4.31,1.78,0.03,-0.78,-1.31,-1.56,-1.12,0.62,2.69,3.97,5.19,6.97,8.84,9.78,10.41,12.16,14.66,16.72,18.03,19.72,21.56,22.78,22.81,23.28,24.16,24.94,24.62,24.19,24.66,24.59,23.25,21.19,19.22,17.56,15.75,13.34,12.44,12.78,13.75,14.06,15.31,17.38,19.38,20.44,21.53,23.28,25.34,26.12,26.56,27.66,29.12,29.91,29.97,29.97,30.06,29.53,26.84,24.47,22.94,21.5,19.5,18.19,17.75,17.62,16.41,15.09,14.69,15.31,15.81,15.75,16.28,17.38,18.38,18.44,19.0,20.75,22.88,24.44,25.94,28.22,30.25,31.44,31.47,30.91,30.72,29.88,27.84,26.16,25.41,24.28,21.78,19.91,18.84,18.41,17.81,17.38,18.03,19.38,20.19,20.06,20.38,21.03,20.97,19.84,18.75,18.72,18.25,16.88,15.5,15.31,15.12,13.84,12.84,12.34,12.72,12.59,12.19,12.56,13.88,14.94,15.16,15.19,15.78,15.72,14.09,12.5,11.34,10.47,9.0,7.53,6.5,6.19,5.62,5.12,5.41,6.75,8.81,10.22,12.22,15.22,18.44,20.56,21.56,22.53,22.88,21.12,18.44,16.22,14.81,13.28,11.88,11.16,11.66,12.34,12.59,13.09,14.53,16.06,16.44,15.97,15.66,15.34,14.38,13.28,13.19,14.59,15.5,15.81,16.44,17.75,18.88,18.78,18.84,19.94,21.19,21.0,20.53,20.66,21.16,20.47,19.91,19.34,19.41,19.25,18.28,18.09,19.0,20.28,20.47,20.88,22.22,23.09,22.69,21.66,20.5,19.53,17.47,14.81,12.66,11.47,10.66,9.25,8.81,9.69,11.19,11.78,12.53,14.16,15.91,16.81,17.25,18.47,20.34,21.66,22.5,23.69,25.16,25.97,25.16,23.78,23.06,22.31,20.5,18.69,18.03,17.62,16.69,15.38,14.69,14.59,13.75,12.25,11.03,11.0,11.44,11.5,12.0,13.78,15.97,16.81,16.88,17.66,18.09,17.28,16.06,15.47,15.91,16.19,16.59,16.94,18.03,18.59,18.06,17.25,17.44,18.31,18.22,18.47,18.84,19.78,19.47,18.16,17.69,17.94,17.91,17.25,17.25,18.0,18.75,18.94,19.34,20.69,22.75,23.66,23.56,24.12,24.56,24.0,22.47,21.78,22.0,21.72,20.78,20.06,20.28,20.28,18.91,17.66,17.12,16.69,15.44,14.25,13.5,13.66,13.66,12.97,13.53,15.53,17.41,18.66,19.62,21.72,22.78,22.91,22.59,22.97,23.53,22.72,21.22,19.72,18.5,16.66,14.91,13.97,14.56,15.34,15.12,14.69,14.88,14.47,12.62,10.53,8.94,7.44,5.34,3.41,3.09,4.19,5.47,6.34,7.69,9.94,11.88,13.44,15.06,17.59,18.97,18.91,17.38,16.0,14.91,13.19,11.75,11.12,11.84,12.16,11.53,10.94,11.09,10.28,8.75,6.84,6.38,6.34,6.12,5.91,6.78,8.22,8.72,8.34,8.19,9.16,9.81,10.16,10.81,12.53,13.56,13.28,12.5,12.59,12.81,12.62,12.78,14.12,16.22,17.69,18.66,19.81,21.19,21.56,21.19,20.41,19.81,18.34,15.47,11.34,8.09,4.5,0.69,-2.66,-4.22,-3.78,-2.5,-0.69,2.19,5.47,7.94,9.03,9.53,10.19,10.06,8.94,6.84,5.41,4.28,3.31,2.75,3.66,5.31,6.91,7.78,8.28,9.44,10.19,10.06,9.41,9.75,9.84,9.22,8.22,8.12,8.0,7.5,6.44,5.62,5.47,5.0,3.59,2.22,2.19,1.75,0.81,-0.16,0.03,0.62,0.75,0.88,2.06,3.41,4.62,4.94,5.53,6.72,7.66,7.5,7.5,8.31,8.94,8.62,8.38,9.56,10.53,10.88,10.94,11.41,11.5,11.41,10.47,9.62,9.25,9.19,8.62,8.59,10.59,12.84,14.66,16.22,17.81,19.19,19.19,18.31,18.34,18.59,18.78,17.97,17.53,17.16,16.22,13.88,12.09,11.06,10.78,10.69,11.16,12.31,13.78,14.5,14.53,15.09,16.84,18.47,19.59,21.06,22.88,24.25,24.06,22.78,22.12,20.69,17.97,15.25,13.69,12.31,10.91,9.19,8.28,8.25,8.31,7.97,8.38,10.09,12.44,13.91,15.38,16.97,18.06,17.06,15.31,13.81,12.44,11.06,9.34,8.84,8.88,9.28,8.81,8.78,9.41,10.25,10.56,11.0,12.31,13.5,13.88,13.56,13.69,14.28,14.44,14.31,14.47,15.31,16.06,16.0,15.88,15.84,15.34,13.66,12.12,11.94,12.81,14.0,15.22,17.38,19.31,20.5,20.41,20.19,20.09,20.31,19.75,19.66,20.44,20.78,20.28,19.34,19.06,18.72,17.94,17.03,16.5,16.88,17.28,16.72,16.38,16.03,15.56,14.25,13.34,13.91,15.12,16.06,17.22,18.81,20.19,20.72,19.88,18.41,16.69,14.19,10.56,7.19,4.84,3.34,1.53,0.66,1.31,2.78,4.12,6.0,9.34,13.09,16.72,19.41,21.72,23.22,24.06,23.16,21.62,20.69,19.75,17.91,16.03,14.53,13.38,11.38,9.19,7.78,7.34,7.22,7.41,8.28,10.66,13.0,14.31,15.41,16.38,17.22,16.97,16.56,16.94,17.25,16.34,14.62,13.09,11.78,10.38,9.28,9.09,9.5,10.53,9.94,9.19,9.19,9.16,7.97,7.38,6.81,6.78,6.53,6.06,6.72,8.09,10.31,12.16,15.09,18.91,22.47,24.28,24.72,23.88,21.62,17.34,12.28,7.53,3.88,0.91,-1.41,-1.81,-1.09,0.59,1.94,3.75,6.0,7.97,8.78,9.66,11.47,14.0,16.34,18.59,20.88,22.84,23.56,22.75,21.16,19.94,18.03,15.06,12.66,10.97,10.03,8.66,7.25,7.12,7.38,7.31,7.91,9.19,12.0,15.0,17.75,20.66,24.06,26.56,27.59,28.16,28.38,28.06,26.19,24.03,22.25,21.09,19.78,18.69,18.66,19.19,19.75,20.38,22.0,25.06,28.41,31.62,34.66,37.62,40.19,40.78,40.5,39.91,39.06,37.69,35.47,33.72,32.06,29.84,26.81,23.72,21.03,18.47,15.19,12.59,10.66,9.5,8.69,8.16,8.53,9.84,11.09,11.97,13.22,15.38,17.25,18.62,20.19,22.66,24.84,25.81,26.94,27.78,28.75,27.91,26.06,23.72,21.84,19.44,16.56,14.25,12.59,11.44,9.84,9.25,10.28,12.38,13.78,14.97,16.44,17.53,17.38,16.91,17.03,17.88,18.78,19.91,21.38,24.16,26.78,29.03,31.22,33.84,35.56,35.25,34.16,31.84,29.38,26.03,23.09,20.94,20.06,19.72,19.09,18.44,19.06,19.34,18.47,17.59,17.66,17.69,16.69,15.84,15.28,14.66,13.59,12.03,10.94,10.66,10.69,10.72,11.59,13.62,15.59,16.62,16.91,17.25,17.41,16.88,16.38,16.22,17.06,17.28,16.59,16.44,16.62,17.12,17.47,18.31,20.69,22.91,24.0,24.53,24.84,25.28,24.69,23.88,23.44,23.5,22.53,21.5,21.06,21.31,22.12,22.25,22.28,22.72,22.84,21.5,19.19,17.34,15.78,13.47,11.5,10.38,9.81,9.06,8.0,6.88,6.41,5.62,3.97,3.0,3.12,4.12,5.44,6.78,9.28,12.03,14.06,14.91,15.44,16.12,16.34,15.97,15.78,16.38,16.59,16.5,16.03,16.78,17.59,17.66,17.03,16.38,15.75,14.78,13.91,14.0,15.75,18.41,21.47,24.75,28.72,31.78,33.25,33.34,33.53,33.22,31.56,29.38,27.31,26.44,25.81,25.53,26.28,28.03,28.72,28.31,26.94,25.53,23.75,21.0,18.28,16.78,16.0,15.19,14.34,14.53,15.09,15.44,15.34,15.31,16.0,16.09,15.5,14.84,14.81,14.72,14.47,13.97,14.41,15.84,16.97,17.72,18.97,20.69,21.5,21.78,21.97,22.44,21.88,20.34,17.69,15.91,14.22,12.03,9.97,9.25,9.75,10.12,10.72,12.12,13.81,15.28,16.22,16.62,18.28,19.03,19.19,18.5,18.84,19.06,18.78,17.78,17.47,17.12,15.78,13.66,11.41,9.69,7.97,5.88,4.41,4.59,4.59,4.09,3.72,4.31,5.34,6.03,7.34,9.09,11.84,13.69,14.66,15.38,15.75,15.38,13.66,12.31,12.22,12.12,12.34,13.19,61.22,58.41,56.12,54.66,53.75,53.31,54.38:30.5,31.62,30.88,29.03,27.75,25.88,23.81,21.69,20.72,20.28,19.78,19.19,18.97,19.0,19.03,17.97,16.47,15.28,14.69,13.56,13.0,13.94,15.66,17.19,18.28,20.22,21.84,22.44,21.53,20.28,19.44,18.44,17.03,16.5,17.06,17.97,18.28,18.0,18.56,18.5,17.47,15.75,14.56,14.19,13.75,13.34,13.56,14.69,16.66,18.53,20.84,23.59,26.34,27.59,27.06,26.53,25.38,23.06,19.5,16.59,13.62,10.31,6.38,3.41,2.25,2.25,2.66,4.28,7.19,10.19,12.53,14.34,16.94,19.5,21.19,21.81,22.31,22.38,21.88,20.12,18.88,18.44,17.84,16.62,15.62,14.94,14.34,13.47,12.69,13.66,15.44,17.19,18.28,19.25,20.22,20.59,19.44,18.25,17.41,16.16,13.66,11.12,9.59,8.53,6.75,4.97,4.28,4.56,4.69,4.88,5.94,7.81,9.78,10.59,11.31,13.12,14.72,15.06,15.5,16.78,18.22,18.28,17.66,17.38,17.91,18.25,18.25,19.5,21.38,22.53,21.94,20.75,19.59,17.72,14.38,11.09,8.59,6.88,4.31,1.78,0.03,-0.78,-1.31,-1.56,-1.12,0.62,2.69,3.97,5.19,6.97,8.84,9.78,10.41,12.16,14.66,16.72,18.03,19.72,21.56,22.78,22.81,23.28,24.16,24.94,24.62,24.19,24.66,24.59,23.25,21.19,19.22,17.56,15.75,13.34,12.44,12.78,13.75,14.06,15.31,17.38,19.38,20.44,21.53,23.28,25.34,26.12,26.56,27.66,29.12,29.91,29.97,29.97,30.06,29.53,26.84,24.47,22.94,21.5,19.5,18.19,17.75,17.62,16.41,15.09,14.69,15.31,15.81,15.75,16.28,17.38,18.38,18.44,19.0,20.75,22.88,24.44,25.94,28.22,30.25,31.44,31.47,30.91,30.72,29.88,27.84,26.16,25.41,24.28,21.78,19.91,18.84,18.41,17.81,17.38,18.03,19.38,20.19,20.06,20.38,21.03,20.97,19.84,18.75,18.72,18.25,16.88,15.5,15.31,15.12,13.84,12.84,12.34,12.72,12.59,12.19,12.56,13.88,14.94,15.16,15.19,15.78,15.72,14.09,12.5,11.34,10.47,9.0,7.53,6.5,6.19,5.62,5.12,5.41,6.75,8.81,10.22,12.22,15.22,18.44,20.56,21.56,22.53,22.88,21.12,18.44,16.22,14.81,13.28,11.88,11.16,11.66,12.34,12.59,13.09,14.53,16.06,16.44,15.97,15.66,15.34,14.38,13.28,13.19,14.59,15.5,15.81,16.44,17.75,18.88,18.78,18.84,19.94,21.19,21.0,20.53,20.66,21.16,20.47,19.91,19.34,19.41,19.25,18.28,18.09,19.0,20.28,20.47,20.88,22.22,23.09,22.69,21.66,20.5,19.53,17.47,14.81,12.66,11.47,10.66,9.25,8.81,9.69,11.19,11.78,12.53,14.16,15.91,16.81,17.25,18.47,20.34,21.66,22.5,23.69,25.16,25.97,25.16,23.78,23.06,22.31,20.5,18.69,18.03,17.62,16.69,15.38,14.69,14.59,13.75,12.25,11.03,11.0,11.44,11.5,12.0,13.78,15.97,16.81,16.88,17.66,18.09,17.28,16.06,15.47,15.91,16.19,16.59,16.94,18.03,18.59,18.06,17.25,17.44,18.31,18.22,18.47,18.84,19.78,19.47,18.16,17.69,17.94,17.91,17.25,17.25,18.0,18.75,18.94,19.34,20.69,22.75,23.66,23.56,24.12,24.56,24.0,22.47,21.78,22.0,21.72,20.78,20.06,20.28,20.28,18.91,17.66,17.12,16.69,15.44,14.25,13.5,13.66,13.66,12.97,13.53,15.53,17.41,18.66,19.62,21.72,22.78,22.91,22.59,22.97,23.53,22.72,21.22,19.72,18.5,16.66,14.91,13.97,14.56,15.34,15.12,14.69,14.88,14.47,12.62,10.53,8.94,7.44,5.34,3.41,3.09,4.19,5.47,6.34,7.69,9.94,11.88,13.44,15.06,17.59,18.97,18.91,17.38,16.0,14.91,13.19,11.75,11.12,11.84,12.16,11.53,10.94,11.09,10.28,8.75,6.84,6.38,6.34,6.12,5.91,6.78,8.22,8.72,8.34,8.19,9.16,9.81,10.16,10.81,12.53,13.56,13.28,12.5,12.59,12.81,12.62,12.78,14.12,16.22,17.69,18.66,19.81,21.19,21.56,21.19,20.41,19.81,18.34,15.47,11.34,8.09,4.5,0.69,-2.66,-4.22,-3.78,-2.5,-0.69,2.19,5.47,7.94,9.03,9.53,10.19,10.06,8.94,6.84,5.41,4.28,3.31,2.75,3.66,5.31,6.91,7.78,8.28,9.44,10.19,10.06,9.41,9.75,9.84,9.22,8.22,8.12,8.0,7.5,6.44,5.62,5.47,5.0,3.59,2.22,2.19,1.75,0.81,-0.16,0.03,0.62,0.75,0.88,2.06,3.41,4.62,4.94,5.53,6.72,7.66,7.5,7.5,8.31,8.94,8.62,8.38,9.56,10.53,10.88,10.94,11.41,11.5,11.41,10.47,9.62,9.25,9.19,8.62,8.59,10.59,12.84,14.66,16.22,17.81,19.19,19.19,18.31,18.34,18.59,18.78,17.97,17.53,17.16,16.22,13.88,12.09,11.06,10.78,10.69,11.16,12.31,13.78,14.5,14.53,15.09,16.84,18.47,19.59,21.06,22.88,24.25,24.06,22.78,22.12,20.69,17.97,15.25,13.69,12.31,10.91,9.19,8.28,8.25,8.31,7.97,8.38,10.09,12.44,13.91,15.38,16.97,18.06,17.06,15.31,13.81,12.44,11.06,9.34,8.84,8.88,9.28,8.81,8.78,9.41,10.25,10.56,11.0,12.31,13.5,13.88,13.56,13.69,14.28,14.44,14.31,14.47,15.31,16.06,16.0,15.88,15.84,15.34,13.66,12.12,11.94,12.81,14.0,15.22,17.38,19.31,20.5,20.41,20.19,20.09,20.31,19.75,19.66,20.44,20.78,20.28,19.34,19.06,18.72,17.94,17.03,16.5,16.88,17.28,16.72,16.38,16.03,15.56,14.25,13.34,13.91,15.12,16.06,17.22,18.81,20.19,20.72,19.88,18.41,16.69,14.19,10.56,7.19,4.84,3.34,1.53,0.66,1.31,2.78,4.12,6.0,9.34,13.09,16.72,19.41,21.72,23.22,24.06,23.16,21.62,20.69,19.75,17.91,16.03,14.53,13.38,11.38,9.19,7.78,7.34,7.22,7.41,8.28,10.66,13.0,14.31,15.41,16.38,17.22,16.97,16.56,16.94,17.25,16.34,14.62,13.09,11.78,10.38,9.28,9.09,9.5,10.53,9.94,9.19,9.19,9.16,7.97,7.38,6.81,6.78,6.53,6.06,6.72,8.09,10.31,12.16,15.09,18.91,22.47,24.28,24.72,23.88,21.62,17.34,12.28,7.53,3.88,0.91,-1.41,-1.81,-1.09,0.59,1.94,3.75,6.0,7.97,8.78,9.66,11.47,14.0,16.34,18.59,20.88,22.84,23.56,22.75,21.16,19.94,18.03,15.06,12.66,10.97,10.03,8.66,7.25,7.12,7.38,7.31,7.91,9.19,12.0,15.0,17.75,20.66,24.06,26.56,27.59,28.16,28.38,28.06,26.19,24.03,22.25,21.09,19.78,18.69,18.66,19.19,19.75,20.38,22.0,25.06,28.41,31.62,34.66,37.62,40.19,40.78,40.5,39.91,39.06,37.69,35.47,33.72,32.06,29.84,26.81,23.72,21.03,18.47,15.19,12.59,10.66,9.5,8.69,8.16,8.53,9.84,11.09,11.97,13.22,15.38,17.25,18.62,20.19,22.66,24.84,25.81,26.94,27.78,28.75,27.91,26.06,23.72,21.84,19.44,16.56,14.25,12.59,11.44,9.84,9.25,10.28,12.38,13.78,14.97,16.44,17.53,17.38,16.91,17.03,17.88,18.78,19.91,21.38,24.16,26.78,29.03,31.22,33.84,35.56,35.25,34.16,31.84,29.38,26.03,23.09,20.94,20.06,19.72,19.09,18.44,19.06,19.34,18.47,17.59,17.66,17.69,16.69,15.84,15.28,14.66,13.59,12.03,10.94,10.66,10.69,10.72,11.59,13.62,15.59,16.62,16.91,17.25,17.41,16.88,16.38,16.22,17.06,17.28,16.59,16.44,16.62,17.12,17.47,18.31,20.69,22.91,24.0,24.53,24.84,25.28,24.69,23.88,23.44,23.5,22.53,21.5,21.06,21.31,22.12,22.25,22.28,22.72,22.84,21.5,19.19,17.34,15.78,13.47,11.5,10.38,9.81,9.06,8.0,6.88,6.41,5.62,3.97,3.0,3.12,4.12,5.44,6.78,9.28,12.03,14.06,14.91,15.44,16.12,16.34,15.97,15.78,16.38,16.59,16.5,16.03,16.78,17.59,17.66,17.03,16.38,15.75,14.78,13.91,14.0,15.75,18.41,21.47,24.75,28.72,31.78,33.25,33.34,33.53,33.22,31.56,29.38,27.31,26.44,25.81,25.53,26.28,28.03,28.72,28.31,26.94,25.53,23.75,21.0,18.28,16.78,16.0,15.19,14.34,14.53,15.09,15.44,15.34,15.31,16.0,16.09,15.5,14.84,14.81,14.72,14.47,13.97,14.41,15.84,16.97,17.72,18.97,20.69,21.5,21.78,21.97,22.44,21.88,20.34,17.69,15.91,14.22,12.03,9.97,9.25,9.75,10.12,10.72,12.12,13.81,15.28,16.22,16.62,18.28,19.03,19.19,18.5,18.84,19.06,18.78,17.78,17.47,17.12,15.78,13.66,11.41,9.69,7.97,5.88,4.41,4.59,4.59,4.09,3.72,4.31,5.34,6.03,7.34,9.09,11.84,13.69,14.66,15.38,15.75,15.38,13.66,12.31,12.22,12.12,12.34,13.19,61.22,58.41,56.12,54.66,53.75,53.31,54.38,56.78,59.06,61.72,65.19,68.56,71.31,73.69:21.69,20.72,20.28,19.78,19.19,18.97,19.0,19.03,17.97,16.47,15.28,14.69,13.56,13.0,13.94,15.66,17.19,18.28,20.22,21.84,22.44,21.53,20.28,19.44,18.44,17.03,16.5,17.06,17.97,18.28,18.0,18.56,18.5,17.47,15.75,14.56,14.19,13.75,13.34,13.56,14.69,16.66,18.53,20.84,23.59,26.34,27.59,27.06,26.53,25.38,23.06,19.5,16.59,13.62,10.31,6.38,3.41,2.25,2.25,2.66,4.28,7.19,10.19,12.53,14.34,16.94,19.5,21.19,21.81,22.31,22.38,21.88,20.12,18.88,18.44,17.84,16.62,15.62,14.94,14.34,13.47,12.69,13.66,15.44,17.19,18.28,19.25,20.22,20.59,19.44,18.25,17.41,16.16,13.66,11.12,9.59,8.53,6.75,4.97,4.28,4.56,4.69,4.88,5.94,7.81,9.78,10.59,11.31,13.12,14.72,15.06,15.5,16.78,18.22,18.28,17.66,17.38,17.91,18.25,18.25,19.5,21.38,22.53,21.94,20.75,19.59,17.72,14.38,11.09,8.59,6.88,4.31,1.78,0.03,-0.78,-1.31,-1.56,-1.12,0.62,2.69,3.97,5.19,6.97,8.84,9.78,10.41,12.16,14.66,16.72,18.03,19.72,21.56,22.78,22.81,23.28,24.16,24.94,24.62,24.19,24.66,24.59,23.25,21.19,19.22,17.56,15.75,13.34,12.44,12.78,13.75,14.06,15.31,17.38,19.38,20.44,21.53,23.28,25.34,26.12,26.56,27.66,29.12,29.91,29.97,29.97,30.06,29.53,26.84,24.47,22.94,21.5,19.5,18.19,17.75,17.62,16.41,15.09,14.69,15.31,15.81,15.75,16.28,17.38,18.38,18.44,19.0,20.75,22.88,24.44,25.94,28.22,30.25,31.44,31.47,30.91,30.72,29.88,27.84,26.16,25.41,24.28,21.78,19.91,18.84,18.41,17.81,17.38,18.03,19.38,20.19,20.06,20.38,21.03,20.97,19.84,18.75,18.72,18.25,16.88,15.5,15.31,15.12,13.84,12.84,12.34,12.72,12.59,12.19,12.56,13.88,14.94,15.16,15.19,15.78,15.72,14.09,12.5,11.34,10.47,9.0,7.53,6.5,6.19,5.62,5.12,5.41,6.75,8.81,10.22,12.22,15.22,18.44,20.56,21.56,22.53,22.88,21.12,18.44,16.22,14.81,13.28,11.88,11.16,11.66,12.34,12.59,13.09,14.53,16.06,16.44,15.97,15.66,15.34,14.38,13.28,13.19,14.59,15.5,15.81,16.44,17.75,18.88,18.78,18.84,19.94,21.19,21.0,20.53,20.66,21.16,20.47,19.91,19.34,19.41,19.25,18.28,18.09,19.0,20.28,20.47,20.88,22.22,23.09,22.69,21.66,20.5,19.53,17.47,14.81,12.66,11.47,10.66,9.25,8.81,9.69,11.19,11.78,12.53,14.16,15.91,16.81,17.25,18.47,20.34,21.66,22.5,23.69,25.16,25.97,25.16,23.78,23.06,22.31,20.5,18.69,18.03,17.62,16.69,15.38,14.69,14.59,13.75,12.25,11.03,11.0,11.44,11.5,12.0,13.78,15.97,16.81,16.88,17.66,18.09,17.28,16.06,15.47,15.91,16.19,16.59,16.94,18.03,18.59,18.06,17.25,17.44,18.31,18.22,18.47,18.84,19.78,19.47,18.16,17.69,17.94,17.91,17.25,17.25,18.0,18.75,18.94,19.34,20.69,22.75,23.66,23.56,24.12,24.56,24.0,22.47,21.78,22.0,21.72,20.78,20.06,20.28,20.28,18.91,17.66,17.12,16.69,15.44,14.25,13.5,13.66,13.66,12.97,13.53,15.53,17.41,18.66,19.62,21.72,22.78,22.91,22.59,22.97,23.53,22.72,21.22,19.72,18.5,16.66,14.91,13.97,14.56,15.34,15.12,14.69,14.88,14.47,12.62,10.53,8.94,7.44,5.34,3.41,3.09,4.19,5.47,6.34,7.69,9.94,11.88,13.44,15.06,17.59,18.97,18.91,17.38,16.0,14.91,13.19,11.75,11.12,11.84,12.16,11.53,10.94,11.09,10.28,8.75,6.84,6.38,6.34,6.12,5.91,6.78,8.22,8.72,8.34,8.19,9.16,9.81,10.16,10.81,12.53,13.56,13.28,12.5,12.59,12.81,12.62,12.78,14.12,16.22,17.69,18.66,19.81,21.19,21.56,21.19,20.41,19.81,18.34,15.47,11.34,8.09,4.5,0.69,-2.66,-4.22,-3.78,-2.5,-0.69,2.19,5.47,7.94,9.03,9.53,10.19,10.06,8.94,6.84,5.41,4.28,3.31,2.75,3.66,5.31,6.91,7.78,8.28,9.44,10.19,10.06,9.41,9.75,9.84,9.22,8.22,8.12,8.0,7.5,6.44,5.62,5.47,5.0,3.59,2.22,2.19,1.75,0.81,-0.16,0.03,0.62,0.75,0.88,2.06,3.41,4.62,4.94,5.53,6.72,7.66,7.5,7.5,8.31,8.94,8.62,8.38,9.56,10.53,10.88,10.94,11.41,11.5,11.41,10.47,9.62,9.25,9.19,8.62,8.59,10.59,12.84,14.66,16.22,17.81,19.19,19.19,18.31,18.34,18.59,18.78,17.97,17.53,17.16,16.22,13.88,12.09,11.06,10.78,10.69,11.16,12.31,13.78,14.5,14.53,15.09,16.84,18.47,19.59,21.06,22.88,24.25,24.06,22.78,22.12,20.69,17.97,15.25,13.69,12.31,10.91,9.19,8.28,8.25,8.31,7.97,8.38,10.09,12.44,13.91,15.38,16.97,18.06,17.06,15.31,13.81,12.44,11.06,9.34,8.84,8.88,9.28,8.81,8.78,9.41,10.25,10.56,11.0,12.31,13.5,13.88,13.56,13.69,14.28,14.44,14.31,14.47,15.31,16.06,16.0,15.88,15.84,15.34,13.66,12.12,11.94,12.81,14.0,15.22,17.38,19.31,20.5,20.41,20.19,20.09,20.31,19.75,19.66,20.44,20.78,20.28,19.34,19.06,18.72,17.94,17.03,16.5,16.88,17.28,16.72,16.38,16.03,15.56,14.25,13.34,13.91,15.12,16.06,17.22,18.81,20.19,20.72,19.88,18.41,16.69,14.19,10.56,7.19,4.84,3.34,1.53,0.66,1.31,2.78,4.12,6.0,9.34,13.09,16.72,19.41,21.72,23.22,24.06,23.16,21.62,20.69,19.75,17.91,16.03,14.53,13.38,11.38,9.19,7.78,7.34,7.22,7.41,8.28,10.66,13.0,14.31,15.41,16.38,17.22,16.97,16.56,16.94,17.25,16.34,14.62,13.09,11.78,10.38,9.28,9.09,9.5,10.53,9.94,9.19,9.19,9.16,7.97,7.38,6.81,6.78,6.53,6.06,6.72,8.09,10.31,12.16,15.09,18.91,22.47,24.28,24.72,23.88,21.62,17.34,12.28,7.53,3.88,0.91,-1.41,-1.81,-1.09,0.59,1.94,3.75,6.0,7.97,8.78,9.66,11.47,14.0,16.34,18.59,20.88,22.84,23.56,22.75,21.16,19.94,18.03,15.06,12.66,10.97,10.03,8.66,7.25,7.12,7.38,7.31,7.91,9.19,12.0,15.0,17.75,20.66,24.06,26.56,27.59,28.16,28.38,28.06,26.19,24.03,22.25,21.09,19.78,18.69,18.66,19.19,19.75,20.38,22.0,25.06,28.41,31.62,34.66,37.62,40.19,40.78,40.5,39.91,39.06,37.69,35.47,33.72,32.06,29.84,26.81,23.72,21.03,18.47,15.19,12.59,10.66,9.5,8.69,8.16,8.53,9.84,11.09,11.97,13.22,15.38,17.25,18.62,20.19,22.66,24.84,25.81,26.94,27.78,28.75,27.91,26.06,23.72,21.84,19.44,16.56,14.25,12.59,11.44,9.84,9.25,10.28,12.38,13.78,14.97,16.44,17.53,17.38,16.91,17.03,17.88,18.78,19.91,21.38,24.16,26.78,29.03,31.22,33.84,35.56,35.25,34.16,31.84,29.38,26.03,23.09,20.94,20.06,19.72,19.09,18.44,19.06,19.34,18.47,17.59,17.66,17.69,16.69,15.84,15.28,14.66,13.59,12.03,10.94,10.66,10.69,10.72,11.59,13.62,15.59,16.62,16.91,17.25,17.41,16.88,16.38,16.22,17.06,17.28,16.59,16.44,16.62,17.12,17.47,18.31,20.69,22.91,24.0,24.53,24.84,25.28,24.69,23.88,23.44,23.5,22.53,21.5,21.06,21.31,22.12,22.25,22.28,22.72,22.84,21.5,19.19,17.34,15.78,13.47,11.5,10.38,9.81,9.06,8.0,6.88,6.41,5.62,3.97,3.0,3.12,4.12,5.44,6.78,9.28,12.03,14.06,14.91,15.44,16.12,16.34,15.97,15.78,16.38,16.59,16.5,16.03,16.78,17.59,17.66,17.03,16.38,15.75,14.78,13.91,14.0,15.75,18.41,21.47,24.75,28.72,31.78,33.25,33.34,33.53,33.22,31.56,29.38,27.31,26.44,25.81,25.53,26.28,28.03,28.72,28.31,26.94,25.53,23.75,21.0,18.28,16.78,16.0,15.19,14.34,14.53,15.09,15.44,15.34,15.31,16.0,16.09,15.5,14.84,14.81,14.72,14.47,13.97,14.41,15.84,16.97,17.72,18.97,20.69,21.5,21.78,21.97,22.44,21.88,20.34,17.69,15.91,14.22,12.03,9.97,9.25,9.75,10.12,10.72,12.12,13.81,15.28,16.22,16.62,18.28,19.03,19.19,18.5,18.84,19.06,18.78,17.78,17.47,17.12,15.78,13.66,11.41,9.69,7.97,5.88,4.41,4.59,4.59,4.09,3.72,4.31,5.34,6.03,7.34,9.09,11.84,13.69,14.66,15.38,15.75,15.38,13.66,12.31,12.22,12.12,12.34,13.19,61.22,58.41,56.12,54.66,53.75,53.31,54.38,56.78,59.06,61.72,65.19,68.56,71.31,73.69,75.5,76.66,76.84,75.69,73.59,71.16,69.03:19.03,17.97,16.47,15.28,14.69,13.56,13.0,13.94,15.66,17.19,18.28,20.22,21.84,22.44,21.53,20.28,19.44,18.44,17.03,16.5,17.06,17.97,18.28,18.0,18.56,18.5,17.47,15.75,14.56,14.19,13.75,13.34,13.56,14.69,16.66,18.53,20.84,23.59,26.34,27.59,27.06,26.53,25.38,23.06,19.5,16.59,13.62,10.31,6.38,3.41,2.25,2.25,2.66,4.28,7.19,10.19,12.53,14.34,16.94,19.5,21.19,21.81,22.31,22.38,21.88,20.12,18.88,18.44,17.84,16.62,15.62,14.94,14.34,13.47,12.69,13.66,15.44,17.19,18.28,19.25,20.22,20.59,19.44,18.25,17.41,16.16,13.66,11.12,9.59,8.53,6.75,4.97,4.28,4.56,4.69,4.88,5.94,7.81,9.78,10.59,11.31,13.12,14.72,15.06,15.5,16.78,18.22,18.28,17.66,17.38,17.91,18.25,18.25,19.5,21.38,22.53,21.94,20.75,19.59,17.72,14.38,11.09,8.59,6.88,4.31,1.78,0.03,-0.78,-1.31,-1.56,-1.12,0.62,2.69,3.97,5.19,6.97,8.84,9.78,10.41,12.16,14.66,16.72,18.03,19.72,21.56,22.78,22.81,23.28,24.16,24.94,24.62,24.19,24.66,24.59,23.25,21.19,19.22,17.56,15.75,13.34,12.44,12.78,13.75,14.06,15.31,17.38,19.38,20.44,21.53,23.28,25.34,26.12,26.56,27.66,29.12,29.91,29.97,29.97,30.06,29.53,26.84,24.47,22.94,21.5,19.5,18.19,17.75,17.62,16.41,15.09,14.69,15.31,15.81,15.75,16.28,17.38,18.38,18.44,19.0,20.75,22.88,24.44,25.94,28.22,30.25,31.44,31.47,30.91,30.72,29.88,27.84,26.16,25.41,24.28,21.78,19.91,18.84,18.41,17.81,17.38,18.03,19.38,20.19,20.06,20.38,21.03,20.97,19.84,18.75,18.72,18.25,16.88,15.5,15.31,15.12,13.84,12.84,12.34,12.72,12.59,12.19,12.56,13.88,14.94,15.16,15.19,15.78,15.72,14.09,12.5,11.34,10.47,9.0,7.53,6.5,6.19,5.62,5.12,5.41,6.75,8.81,10.22,12.22,15.22,18.44,20.56,21.56,22.53,22.88,21.12,18.44,16.22,14.81,13.28,11.88,11.16,11.66,12.34,12.59,13.09,14.53,16.06,16.44,15.97,15.66,15.34,14.38,13.28,13.19,14.59,15.5,15.81,16.44,17.75,18.88,18.78,18.84,19.94,21.19,21.0,20.53,20.66,21.16,20.47,19.91,19.34,19.41,19.25,18.28,18.09,19.0,20.28,20.47,20.88,22.22,23.09,22.69,21.66,20.5,19.53,17.47,14.81,12.66,11.47,10.66,9.25,8.81,9.69,11.19,11.78,12.53,14.16,15.91,16.81,17.25,18.47,20.34,21.66,22.5,23.69,25.16,25.97,25.16,23.78,23.06,22.31,20.5,18.69,18.03,17.62,16.69,15.38,14.69,14.59,13.75,12.25,11.03,11.0,11.44,11.5,12.0,13.78,15.97,16.81,16.88,17.66,18.09,17.28,16.06,15.47,15.91,16.19,16.59,16.94,18.03,18.59,18.06,17.25,17.44,18.31,18.22,18.47,18.84,19.78,19.47,18.16,17.69,17.94,17.91,17.25,17.25,18.0,18.75,18.94,19.34,20.69,22.75,23.66,23.56,24.12,24.56,24.0,22.47,21.78,22.0,21.72,20.78,20.06,20.28,20.28,18.91,17.66,17.12,16.69,15.44,14.25,13.5,13.66,13.66,12.97,13.53,15.53,17.41,18.66,19.62,21.72,22.78,22.91,22.59,22.97,23.53,22.72,21.22,19.72,18.5,16.66,14.91,13.97,14.56,15.34,15.12,14.69,14.88,14.47,12.62,10.53,8.94,7.44,5.34,3.41,3.09,4.19,5.47,6.34,7.69,9.94,11.88,13.44,15.06,17.59,18.97,18.91,17.38,16.0,14.91,13.19,11.75,11.12,11.84,12.16,11.53,10.94,11.09,10.28,8.75,6.84,6.38,6.34,6.12,5.91,6.78,8.22,8.72,8.34,8.19,9.16,9.81,10.16,10.81,12.53,13.56,13.28,12.5,12.59,12.81,12.62,12.78,14.12,16.22,17.69,18.66,19.81,21.19,21.56,21.19,20.41,19.81,18.34,15.47,11.34,8.09,4.5,0.69,-2.66,-4.22,-3.78,-2.5,-0.69,2.19,5.47,7.94,9.03,9.53,10.19,10.06,8.94,6.84,5.41,4.28,3.31,2.75,3.66,5.31,6.91,7.78,8.28,9.44,10.19,10.06,9.41,9.75,9.84,9.22,8.22,8.12,8.0,7.5,6.44,5.62,5.47,5.0,3.59,2.22,2.19,1.75,0.81,-0.16,0.03,0.62,0.75,0.88,2.06,3.41,4.62,4.94,5.53,6.72,7.66,7.5,7.5,8.31,8.94,8.62,8.38,9.56,10.53,10.88,10.94,11.41,11.5,11.41,10.47,9.62,9.25,9.19,8.62,8.59,10.59,12.84,14.66,16.22,17.81,19.19,19.19,18.31,18.34,18.59,18.78,17.97,17.53,17.16,16.22,13.88,12.09,11.06,10.78,10.69,11.16,12.31,13.78,14.5,14.53,15.09,16.84,18.47,19.59,21.06,22.88,24.25,24.06,22.78,22.12,20.69,17.97,15.25,13.69,12.31,10.91,9.19,8.28,8.25,8.31,7.97,8.38,10.09,12.44,13.91,15.38,16.97,18.06,17.06,15.31,13.81,12.44,11.06,9.34,8.84,8.88,9.28,8.81,8.78,9.41,10.25,10.56,11.0,12.31,13.5,13.88,13.56,13.69,14.28,14.44,14.31,14.47,15.31,16.06,16.0,15.88,15.84,15.34,13.66,12.12,11.94,12.81,14.0,15.22,17.38,19.31,20.5,20.41,20.19,20.09,20.31,19.75,19.66,20.44,20.78,20.28,19.34,19.06,18.72,17.94,17.03,16.5,16.88,17.28,16.72,16.38,16.03,15.56,14.25,13.34,13.91,15.12,16.06,17.22,18.81,20.19,20.72,19.88,18.41,16.69,14.19,10.56,7.19,4.84,3.34,1.53,0.66,1.31,2.78,4.12,6.0,9.34,13.09,16.72,19.41,21.72,23.22,24.06,23.16,21.62,20.69,19.75,17.91,16.03,14.53,13.38,11.38,9.19,7.78,7.34,7.22,7.41,8.28,10.66,13.0,14.31,15.41,16.38,17.22,16.97,16.56,16.94,17.25,16.34,14.62,13.09,11.78,10.38,9.28,9.09,9.5,10.53,9.94,9.19,9.19,9.16,7.97,7.38,6.81,6.78,6.53,6.06,6.72,8.09,10.31,12.16,15.09,18.91,22.47,24.28,24.72,23.88,21.62,17.34,12.28,7.53,3.88,0.91,-1.41,-1.81,-1.09,0.59,1.94,3.75,6.0,7.97,8.78,9.66,11.47,14.0,16.34,18.59,20.88,22.84,23.56,22.75,21.16,19.94,18.03,15.06,12.66,10.97,10.03,8.66,7.25,7.12,7.38,7.31,7.91,9.19,12.0,15.0,17.75,20.66,24.06,26.56,27.59,28.16,28.38,28.06,26.19,24.03,22.25,21.09,19.78,18.69,18.66,19.19,19.75,20.38,22.0,25.06,28.41,31.62,34.66,37.62,40.19,40.78,40.5,39.91,39.06,37.69,35.47,33.72,32.06,29.84,26.81,23.72,21.03,18.47,15.19,12.59,10.66,9.5,8.69,8.16,8.53,9.84,11.09,11.97,13.22,15.38,17.25,18.62,20.19,22.66,24.84,25.81,26.94,27.78,28.75,27.91,26.06,23.72,21.84,19.44,16.56,14.25,12.59,11.44,9.84,9.25,10.28,12.38,13.78,14.97,16.44,17.53,17.38,16.91,17.03,17.88,18.78,19.91,21.38,24.16,26.78,29.03,31.22,33.84,35.56,35.25,34.16,31.84,29.38,26.03,23.09,20.94,20.06,19.72,19.09,18.44,19.06,19.34,18.47,17.59,17.66,17.69,16.69,15.84,15.28,14.66,13.59,12.03,10.94,10.66,10.69,10.72,11.59,13.62,15.59,16.62,16.91,17.25,17.41,16.88,16.38,16.22,17.06,17.28,16.59,16.44,16.62,17.12,17.47,18.31,20.69,22.91,24.0,24.53,24.84,25.28,24.69,23.88,23.44,23.5,22.53,21.5,21.06,21.31,22.12,22.25,22.28,22.72,22.84,21.5,19.19,17.34,15.78,13.47,11.5,10.38,9.81,9.06,8.0,6.88,6.41,5.62,3.97,3.0,3.12,4.12,5.44,6.78,9.28,12.03,14.06,14.91,15.44,16.12,16.34,15.97,15.78,16.38,16.59,16.5,16.03,16.78,17.59,17.66,17.03,16.38,15.75,14.78,13.91,14.0,15.75,18.41,21.47,24.75,28.72,31.78,33.25,33.34,33.53,33.22,31.56,29.38,27.31,26.44,25.81,25.53,26.28,28.03,28.72,28.31,26.94,25.53,23.75,21.0,18.28,16.78,16.0,15.19,14.34,14.53,15.09,15.44,15.34,15.31,16.0,16.09,15.5,14.84,14.81,14.72,14.47,13.97,14.41,15.84,16.97,17.72,18.97,20.69,21.5,21.78,21.97,22.44,21.88,20.34,17.69,15.91,14.22,12.03,9.97,9.25,9.75,10.12,10.72,12.12,13.81,15.28,16.22,16.62,18.28,19.03,19.19,18.5,18.84,19.06,18.78,17.78,17.47,17.12,15.78,13.66,11.41,9.69,7.97,5.88,4.41,4.59,4.59,4.09,3.72,4.31,5.34,6.03,7.34,9.09,11.84,13.69,14.66,15.38,15.75,15.38,13.66,12.31,12.22,12.12,12.34,13.19,61.22,58.41,56.12,54.66,53.75,53.31,54.38,56.78,59.06,61.72,65.19,68.56,71.31,73.69,75.5,76.66,76.84,75.69,73.59,71.16,69.03,66.59,64.62,63.5,63.0,62.81,62.84,62.91:13.94,15.66,17.19,18.28,20.22,21.84,22.44,21.53,20.28,19.44,18.44,17.03,16.5,17.06,17.97,18.28,18.0,18.56,18.5,17.47,15.75,14.56,14.19,13.75,13.34,13.56,14.69,16.66,18.53,20.84,23.59,26.34,27.59,27.06,26.53,25.38,23.06,19.5,16.59,13.62,10.31,6.38,3.41,2.25,2.25,2.66,4.28,7.19,10.19,12.53,14.34,16.94,19.5,21.19,21.81,22.31,22.38,21.88,20.12,18.88,18.44,17.84,16.62,15.62,14.94,14.34,13.47,12.69,13.66,15.44,17.19,18.28,19.25,20.22,20.59,19.44,18.25,17.41,16.16,13.66,11.12,9.59,8.53,6.75,4.97,4.28,4.56,4.69,4.88,5.94,7.81,9.78,10.59,11.31,13.12,14.72,15.06,15.5,16.78,18.22,18.28,17.66,17.38,17.91,18.25,18.25,19.5,21.38,22.53,21.94,20.75,19.59,17.72,14.38,11.09,8.59,6.88,4.31,1.78,0.03,-0.78,-1.31,-1.56,-1.12,0.62,2.69,3.97,5.19,6.97,8.84,9.78,10.41,12.16,14.66,16.72,18.03,19.72,21.56,22.78,22.81,23.28,24.16,24.94,24.62,24.19,24.66,24.59,23.25,21.19,19.22,17.56,15.75,13.34,12.44,12.78,13.75,14.06,15.31,17.38,19.38,20.44,21.53,23.28,25.34,26.12,26.56,27.66,29.12,29.91,29.97,29.97,30.06,29.53,26.84,24.47,22.94,21.5,19.5,18.19,17.75,17.62,16.41,15.09,14.69,15.31,15.81,15.75,16.28,17.38,18.38,18.44,19.0,20.75,22.88,24.44,25.94,28.22,30.25,31.44,31.47,30.91,30.72,29.88,27.84,26.16,25.41,24.28,21.78,19.91,18.84,18.41,17.81,17.38,18.03,19.38,20.19,20.06,20.38,21.03,20.97,19.84,18.75,18.72,18.25,16.88,15.5,15.31,15.12,13.84,12.84,12.34,12.72,12.59,12.19,12.56,13.88,14.94,15.16,15.19,15.78,15.72,14.09,12.5,11.34,10.47,9.0,7.53,6.5,6.19,5.62,5.12,5.41,6.75,8.81,10.22,12.22,15.22,18.44,20.56,21.56,22.53,22.88,21.12,18.44,16.22,14.81,13.28,11.88,11.16,11.66,12.34,12.59,13.09,14.53,16.06,16.44,15.97,15.66,15.34,14.38,13.28,13.19,14.59,15.5,15.81,16.44,17.75,18.88,18.78,18.84,19.94,21.19,21.0,20.53,20.66,21.16,20.47,19.91,19.34,19.41,19.25,18.28,18.09,19.0,20.28,20.47,20.88,22.22,23.09,22.69,21.66,20.5,19.53,17.47,14.81,12.66,11.47,10.66,9.25,8.81,9.69,11.19,11.78,12.53,14.16,15.91,16.81,17.25,18.47,20.34,21.66,22.5,23.69,25.16,25.97,25.16,23.78,23.06,22.31,20.5,18.69,18.03,17.62,16.69,15.38,14.69,14.59,13.75,12.25,11.03,11.0,11.44,11.5,12.0,13.78,15.97,16.81,16.88,17.66,18.09,17.28,16.06,15.47,15.91,16.19,16.59,16.94,18.03,18.59,18.06,17.25,17.44,18.31,18.22,18.47,18.84,19.78,19.47,18.16,17.69,17.94,17.91,17.25,17.25,18.0,18.75,18.94,19.34,20.69,22.75,23.66,23.56,24.12,24.56,24.0,22.47,21.78,22.0,21.72,20.78,20.06,20.28,20.28,18.91,17.66,17.12,16.69,15.44,14.25,13.5,13.66,13.66,12.97,13.53,15.53,17.41,18.66,19.62,21.72,22.78,22.91,22.59,22.97,23.53,22.72,21.22,19.72,18.5,16.66,14.91,13.97,14.56,15.34,15.12,14.69,14.88,14.47,12.62,10.53,8.94,7.44,5.34,3.41,3.09,4.19,5.47,6.34,7.69,9.94,11.88,13.44,15.06,17.59,18.97,18.91,17.38,16.0,14.91,13.19,11.75,11.12,11.84,12.16,11.53,10.94,11.09,10.28,8.75,6.84,6.38,6.34,6.12,5.91,6.78,8.22,8.72,8.34,8.19,9.16,9.81,10.16,10.81,12.53,13.56,13.28,12.5,12.59,12.81,12.62,12.78,14.12,16.22,17.69,18.66,19.81,21.19,21.56,21.19,20.41,19.81,18.34,15.47,11.34,8.09,4.5,0.69,-2.66,-4.22,-3.78,-2.5,-0.69,2.19,5.47,7.94,9.03,9.53,10.19,10.06,8.94,6.84,5.41,4.28,3.31,2.75,3.66,5.31,6.91,7.78,8.28,9.44,10.19,10.06,9.41,9.75,9.84,9.22,8.22,8.12,8.0,7.5,6.44,5.62,5.47,5.0,3.59,2.22,2.19,1.75,0.81,-0.16,0.03,0.62,0.75,0.88,2.06,3.41,4.62,4.94,5.53,6.72,7.66,7.5,7.5,8.31,8.94,8.62,8.38,9.56,10.53,10.88,10.94,11.41,11.5,11.41,10.47,9.62,9.25,9.19,8.62,8.59,10.59,12.84,14.66,16.22,17.81,19.19,19.19,18.31,18.34,18.59,18.78,17.97,17.53,17.16,16.22,13.88,12.09,11.06,10.78,10.69,11.16,12.31,13.78,14.5,14.53,15.09,16.84,18.47,19.59,21.06,22.88,24.25,24.06,22.78,22.12,20.69,17.97,15.25,13.69,12.31,10.91,9.19,8.28,8.25,8.31,7.97,8.38,10.09,12.44,13.91,15.38,16.97,18.06,17.06,15.31,13.81,12.44,11.06,9.34,8.84,8.88,9.28,8.81,8.78,9.41,10.25,10.56,11.0,12.31,13.5,13.88,13.56,13.69,14.28,14.44,14.31,14.47,15.31,16.06,16.0,15.88,15.84,15.34,13.66,12.12,11.94,12.81,14.0,15.22,17.38,19.31,20.5,20.41,20.19,20.09,20.31,19.75,19.66,20.44,20.78,20.28,19.34,19.06,18.72,17.94,17.03,16.5,16.88,17.28,16.72,16.38,16.03,15.56,14.25,13.34,13.91,15.12,16.06,17.22,18.81,20.19,20.72,19.88,18.41,16.69,14.19,10.56,7.19,4.84,3.34,1.53,0.66,1.31,2.78,4.12,6.0,9.34,13.09,16.72,19.41,21.72,23.22,24.06,23.16,21.62,20.69,19.75,17.91,16.03,14.53,13.38,11.38,9.19,7.78,7.34,7.22,7.41,8.28,10.66,13.0,14.31,15.41,16.38,17.22,16.97,16.56,16.94,17.25,16.34,14.62,13.09,11.78,10.38,9.28,9.09,9.5,10.53,9.94,9.19,9.19,9.16,7.97,7.38,6.81,6.78,6.53,6.06,6.72,8.09,10.31,12.16,15.09,18.91,22.47,24.28,24.72,23.88,21.62,17.34,12.28,7.53,3.88,0.91,-1.41,-1.81,-1.09,0.59,1.94,3.75,6.0,7.97,8.78,9.66,11.47,14.0,16.34,18.59,20.88,22.84,23.56,22.75,21.16,19.94,18.03,15.06,12.66,10.97,10.03,8.66,7.25,7.12,7.38,7.31,7.91,9.19,12.0,15.0,17.75,20.66,24.06,26.56,27.59,28.16,28.38,28.06,26.19,24.03,22.25,21.09,19.78,18.69,18.66,19.19,19.75,20.38,22.0,25.06,28.41,31.62,34.66,37.62,40.19,40.78,40.5,39.91,39.06,37.69,35.47,33.72,32.06,29.84,26.81,23.72,21.03,18.47,15.19,12.59,10.66,9.5,8.69,8.16,8.53,9.84,11.09,11.97,13.22,15.38,17.25,18.62,20.19,22.66,24.84,25.81,26.94,27.78,28.75,27.91,26.06,23.72,21.84,19.44,16.56,14.25,12.59,11.44,9.84,9.25,10.28,12.38,13.78,14.97,16.44,17.53,17.38,16.91,17.03,17.88,18.78,19.91,21.38,24.16,26.78,29.03,31.22,33.84,35.56,35.25,34.16,31.84,29.38,26.03,23.09,20.94,20.06,19.72,19.09,18.44,19.06,19.34,18.47,17.59,17.66,17.69,16.69,15.84,15.28,14.66,13.59,12.03,10.94,10.66,10.69,10.72,11.59,13.62,15.59,16.62,16.91,17.25,17.41,16.88,16.38,16.22,17.06,17.28,16.59,16.44,16.62,17.12,17.47,18.31,20.69,22.91,24.0,24.53,24.84,25.28,24.69,23.88,23.44,23.5,22.53,21.5,21.06,21.31,22.12,22.25,22.28,22.72,22.84,21.5,19.19,17.34,15.78,13.47,11.5,10.38,9.81,9.06,8.0,6.88,6.41,5.62,3.97,3.0,3.12,4.12,5.44,6.78,9.28,12.03,14.06,14.91,15.44,16.12,16.34,15.97,15.78,16.38,16.59,16.5,16.03,16.78,17.59,17.66,17.03,16.38,15.75,14.78,13.91,14.0,15.75,18.41,21.47,24.75,28.72,31.78,33.25,33.34,33.53,33.22,31.56,29.38,27.31,26.44,25.81,25.53,26.28,28.03,28.72,28.31,26.94,25.53,23.75,21.0,18.28,16.78,16.0,15.19,14.34,14.53,15.09,15.44,15.34,15.31,16.0,16.09,15.5,14.84,14.81,14.72,14.47,13.97,14.41,15.84,16.97,17.72,18.97,20.69,21.5,21.78,21.97,22.44,21.88,20.34,17.69,15.91,14.22,12.03,9.97,9.25,9.75,10.12,10.72,12.12,13.81,15.28,16.22,16.62,18.28,19.03,19.19,18.5,18.84,19.06,18.78,17.78,17.47,17.12,15.78,13.66,11.41,9.69,7.97,5.88,4.41,4.59,4.59,4.09,3.72,4.31,5.34,6.03,7.34,9.09,11.84,13.69,14.66,15.38,15.75,15.38,13.66,12.31,12.22,12.12,12.34,13.19,61.22,58.41,56.12,54.66,53.75,53.31,54.38,56.78,59.06,61.72,65.19,68.56,71.31,73.69,75.5,76.66,76.84,75.69,73.59,71.16,69.03,66.59,64.62,63.5,63.0,62.81,62.84,62.91,63.44,63.25,62.94,62.0,61.66,61.56,61.03:21.53,20.28,19.44,18.44,17.03,16.5,17.06,17.97,18.28,18.0,18.56,18.5,17.47,15.75,14.56,14.19,13.75,13.34,13.56,14.69,16.66,18.53,20.84,23.59,26.34,27.59,27.06,26.53,25.38,23.06,19.5,16.59,13.62,10.31,6.38,3.41,2.25,2.25,2.66,4.28,7.19,10.19,12.53,14.34,16.94,19.5,21.19,21.81,22.31,22.38,21.88,20.12,18.88,18.44,17.84,16.62,15.62,14.94,14.34,13.47,12.69,13.66,15.44,17.19,18.28,19.25,20.22,20.59,19.44,18.25,17.41,16.16,13.66,11.12,9.59,8.53,6.75,4.97,4.28,4.56,4.69,4.88,5.94,7.81,9.78,10.59,11.31,13.12,14.72,15.06,15.5,16.78,18.22,18.28,17.66,17.38,17.91,18.25,18.25,19.5,21.38,22.53,21.94,20.75,19.59,17.72,14.38,11.09,8.59,6.88,4.31,1.78,0.03,-0.78,-1.31,-1.56,-1.12,0.62,2.69,3.97,5.19,6.97,8.84,9.78,10.41,12.16,14.66,16.72,18.03,19.72,21.56,22.78,22.81,23.28,24.16,24.94,24.62,24.19,24.66,24.59,23.25,21.19,19.22,17.56,15.75,13.34,12.44,12.78,13.75,14.06,15.31,17.38,19.38,20.44,21.53,23.28,25.34,26.12,26.56,27.66,29.12,29.91,29.97,29.97,30.06,29.53,26.84,24.47,22.94,21.5,19.5,18.19,17.75,17.62,16.41,15.09,14.69,15.31,15.81,15.75,16.28,17.38,18.38,18.44,19.0,20.75,22.88,24.44,25.94,28.22,30.25,31.44,31.47,30.91,30.72,29.88,27.84,26.16,25.41,24.28,21.78,19.91,18.84,18.41,17.81,17.38,18.03,19.38,20.19,20.06,20.38,21.03,20.97,19.84,18.75,18.72,18.25,16.88,15.5,15.31,15.12,13.84,12.84,12.34,12.72,12.59,12.19,12.56,13.88,14.94,15.16,15.19,15.78,15.72,14.09,12.5,11.34,10.47,9.0,7.53,6.5,6.19,5.62,5.12,5.41,6.75,8.81,10.22,12.22,15.22,18.44,20.56,21.56,22.53,22.88,21.12,18.44,16.22,14.81,13.28,11.88,11.16,11.66,12.34,12.59,13.09,14.53,16.06,16.44,15.97,15.66,15.34,14.38,13.28,13.19,14.59,15.5,15.81,16.44,17.75,18.88,18.78,18.84,19.94,21.19,21.0,20.53,20.66,21.16,20.47,19.91,19.34,19.41,19.25,18.28,18.09,19.0,20.28,20.47,20.88,22.22,23.09,22.69,21.66,20.5,19.53,17.47,14.81,12.66,11.47,10.66,9.25,8.81,9.69,11.19,11.78,12.53,14.16,15.91,16.81,17.25,18.47,20.34,21.66,22.5,23.69,25.16,25.97,25.16,23.78,23.06,22.31,20.5,18.69,18.03,17.62,16.69,15.38,14.69,14.59,13.75,12.25,11.03,11.0,11.44,11.5,12.0,13.78,15.97,16.81,16.88,17.66,18.09,17.28,16.06,15.47,15.91,16.19,16.59,16.94,18.03,18.59,18.06,17.25,17.44,18.31,18.22,18.47,18.84,19.78,19.47,18.16,17.69,17.94,17.91,17.25,17.25,18.0,18.75,18.94,19.34,20.69,22.75,23.66,23.56,24.12,24.56,24.0,22.47,21.78,22.0,21.72,20.78,20.06,20.28,20.28,18.91,17.66,17.12,16.69,15.44,14.25,13.5,13.66,13.66,12.97,13.53,15.53,17.41,18.66,19.62,21.72,22.78,22.91,22.59,22.97,23.53,22.72,21.22,19.72,18.5,16.66,14.91,13.97,14.56,15.34,15.12,14.69,14.88,14.47,12.62,10.53,8.94,7.44,5.34,3.41,3.09,4.19,5.47,6.34,7.69,9.94,11.88,13.44,15.06,17.59,18.97,18.91,17.38,16.0,14.91,13.19,11.75,11.12,11.84,12.16,11.53,10.94,11.09,10.28,8.75,6.84,6.38,6.34,6.12,5.91,6.78,8.22,8.72,8.34,8.19,9.16,9.81,10.16,10.81,12.53,13.56,13.28,12.5,12.59,12.81,12.62,12.78,14.12,16.22,17.69,18.66,19.81,21.19,21.56,21.19,20.41,19.81,18.34,15.47,11.34,8.09,4.5,0.69,-2.66,-4.22,-3.78,-2.5,-0.69,2.19,5.47,7.94,9.03,9.53,10.19,10.06,8.94,6.84,5.41,4.28,3.31,2.75,3.66,5.31,6.91,7.78,8.28,9.44,10.19,10.06,9.41,9.75,9.84,9.22,8.22,8.12,8.0,7.5,6.44,5.62,5.47,5.0,3.59,2.22,2.19,1.75,0.81,-0.16,0.03,0.62,0.75,0.88,2.06,3.41,4.62,4.94,5.53,6.72,7.66,7.5,7.5,8.31,8.94,8.62,8.38,9.56,10.53,10.88,10.94,11.41,11.5,11.41,10.47,9.62,9.25,9.19,8.62,8.59,10.59,12.84,14.66,16.22,17.81,19.19,19.19,18.31,18.34,18.59,18.78,17.97,17.53,17.16,16.22,13.88,12.09,11.06,10.78,10.69,11.16,12.31,13.78,14.5,14.53,15.09,16.84,18.47,19.59,21.06,22.88,24.25,24.06,22.78,22.12,20.69,17.97,15.25,13.69,12.31,10.91,9.19,8.28,8.25,8.31,7.97,8.38,10.09,12.44,13.91,15.38,16.97,18.06,17.06,15.31,13.81,12.44,11.06,9.34,8.84,8.88,9.28,8.81,8.78,9.41,10.25,10.56,11.0,12.31,13.5,13.88,13.56,13.69,14.28,14.44,14.31,14.47,15.31,16.06,16.0,15.88,15.84,15.34,13.66,12.12,11.94,12.81,14.0,15.22,17.38,19.31,20.5,20.41,20.19,20.09,20.31,19.75,19.66,20.44,20.78,20.28,19.34,19.06,18.72,17.94,17.03,16.5,16.88,17.28,16.72,16.38,16.03,15.56,14.25,13.34,13.91,15.12,16.06,17.22,18.81,20.19,20.72,19.88,18.41,16.69,14.19,10.56,7.19,4.84,3.34,1.53,0.66,1.31,2.78,4.12,6.0,9.34,13.09,16.72,19.41,21.72,23.22,24.06,23.16,21.62,20.69,19.75,17.91,16.03,14.53,13.38,11.38,9.19,7.78,7.34,7.22,7.41,8.28,10.66,13.0,14.31,15.41,16.38,17.22,16.97,16.56,16.94,17.25,16.34,14.62,13.09,11.78,10.38,9.28,9.09,9.5,10.53,9.94,9.19,9.19,9.16,7.97,7.38,6.81,6.78,6.53,6.06,6.72,8.09,10.31,12.16,15.09,18.91,22.47,24.28,24.72,23.88,21.62,17.34,12.28,7.53,3.88,0.91,-1.41,-1.81,-1.09,0.59,1.94,3.75,6.0,7.97,8.78,9.66,11.47,14.0,16.34,18.59,20.88,22.84,23.56,22.75,21.16,19.94,18.03,15.06,12.66,10.97,10.03,8.66,7.25,7.12,7.38,7.31,7.91,9.19,12.0,15.0,17.75,20.66,24.06,26.56,27.59,28.16,28.38,28.06,26.19,24.03,22.25,21.09,19.78,18.69,18.66,19.19,19.75,20.38,22.0,25.06,28.41,31.62,34.66,37.62,40.19,40.78,40.5,39.91,39.06,37.69,35.47,33.72,32.06,29.84,26.81,23.72,21.03,18.47,15.19,12.59,10.66,9.5,8.69,8.16,8.53,9.84,11.09,11.97,13.22,15.38,17.25,18.62,20.19,22.66,24.84,25.81,26.94,27.78,28.75,27.91,26.06,23.72,21.84,19.44,16.56,14.25,12.59,11.44,9.84,9.25,10.28,12.38,13.78,14.97,16.44,17.53,17.38,16.91,17.03,17.88,18.78,19.91,21.38,24.16,26.78,29.03,31.22,33.84,35.56,35.25,34.16,31.84,29.38,26.03,23.09,20.94,20.06,19.72,19.09,18.44,19.06,19.34,18.47,17.59,17.66,17.69,16.69,15.84,15.28,14.66,13.59,12.03,10.94,10.66,10.69,10.72,11.59,13.62,15.59,16.62,16.91,17.25,17.41,16.88,16.38,16.22,17.06,17.28,16.59,16.44,16.62,17.12,17.47,18.31,20.69,22.91,24.0,24.53,24.84,25.28,24.69,23.88,23.44,23.5,22.53,21.5,21.06,21.31,22.12,22.25,22.28,22.72,22.84,21.5,19.19,17.34,15.78,13.47,11.5,10.38,9.81,9.06,8.0,6.88,6.41,5.62,3.97,3.0,3.12,4.12,5.44,6.78,9.28,12.03,14.06,14.91,15.44,16.12,16.34,15.97,15.78,16.38,16.59,16.5,16.03,16.78,17.59,17.66,17.03,16.38,15.75,14.78,13.91,14.0,15.75,18.41,21.47,24.75,28.72,31.78,33.25,33.34,33.53,33.22,31.56,29.38,27.31,26.44,25.81,25.53,26.28,28.03,28.72,28.31,26.94,25.53,23.75,21.0,18.28,16.78,16.0,15.19,14.34,14.53,15.09,15.44,15.34,15.31,16.0,16.09,15.5,14.84,14.81,14.72,14.47,13.97,14.41,15.84,16.97,17.72,18.97,20.69,21.5,21.78,21.97,22.44,21.88,20.34,17.69,15.91,14.22,12.03,9.97,9.25,9.75,10.12,10.72,12.12,13.81,15.28,16.22,16.62,18.28,19.03,19.19,18.5,18.84,19.06,18.78,17.78,17.47,17.12,15.78,13.66,11.41,9.69,7.97,5.88,4.41,4.59,4.59,4.09,3.72,4.31,5.34,6.03,7.34,9.09,11.84,13.69,14.66,15.38,15.75,15.38,13.66,12.31,12.22,12.12,12.34,13.19,61.22,58.41,56.12,54.66,53.75,53.31,54.38,56.78,59.06,61.72,65.19,68.56,71.31,73.69,75.5,76.66,76.84,75.69,73.59,71.16,69.03,66.59,64.62,63.5,63.0,62.81,62.84,62.91,63.44,63.25,62.94,62.0,61.66,61.56,61.03,61.0,61.09,61.62,61.84,62.16,62.5,62.59:positivity
30.69,31.09,31.47,32.19,32.81,32.31,32.0,32.38,32.19,30.56,28.81,27.84,27.19,25.62,24.16,23.88,24.62,25.34,26.0,27.59,29.5,31.03,31.38,31.41,32.09,32.56,31.78,30.47,29.28,28.22,25.78,23.06,21.25,20.34,19.81,19.31,20.0,21.59,23.62,24.31,24.78,25.78,26.56,25.62,24.03,22.72,21.66,19.34,16.97,15.5,15.53,15.09,14.81,15.25,16.94,19.22,20.97,23.03,26.0,29.16,30.75,32.44,34.28,36.25,36.75,36.69,36.09,35.97,35.44,33.72,32.41,31.75,31.5,30.56,29.91,30.47,31.62,31.97,32.09,32.31,32.84,31.75,29.09,26.0,23.38,19.97,16.19,13.56,12.75,13.34,14.34,15.97,19.16,22.56,25.19,27.03,28.91,31.16,32.34,32.53,32.72,33.53,33.94,33.09,32.12,31.62,30.0,27.38,24.16,21.69,19.88,18.28,16.44,15.34,15.16,14.97,14.69,14.94,16.56,18.5,19.19,19.31,19.91,20.5,20.47,20.12,20.88,22.06,22.5,22.28,21.88,22.31,22.12,21.47,21.16,21.69,21.56,20.38,18.69,17.72,17.75,18.0,18.69,20.69,23.62,26.12,27.06,27.66,28.25,27.88,26.31,24.44,23.5,22.25,20.47,18.66,17.88,18.31,18.28,18.34,19.09,20.97,22.59,23.28,24.0,25.47,25.69,24.72,23.06,22.41,22.12,21.19,20.06,19.69,19.62,18.84,17.0,15.28,14.72,13.97,12.66,12.62,14.69,16.62,18.34,19.56,20.88,21.91,22.0,21.5,21.16,22.19,22.81,23.09,24.0,26.06,27.88,28.69,29.0,29.81,29.69,28.41,25.91,23.44,21.06,18.16,15.22,13.25,12.53,11.81,10.72,10.06,10.59,11.28,11.41,11.81,13.44,15.28,16.59,17.12,18.0,18.12,17.34,15.12,12.56,10.44,7.78,4.41,1.19,-0.25,-0.94,-1.34,-0.41,2.44,6.34,10.5,13.88,17.0,19.38,20.34,20.12,19.69,20.44,21.28,21.5,21.78,23.19,24.62,25.47,26.12,27.22,27.97,27.72,26.44,25.22,23.78,22.0,19.19,16.78,15.28,14.41,13.69,13.56,14.53,15.94,16.69,16.56,16.88,17.22,17.09,15.28,13.84,12.47,11.59,10.5,10.38,12.09,14.09,15.72,17.16,18.81,20.06,20.56,19.81,19.34,19.75,19.94,19.56,19.34,19.84,20.56,20.25,20.12,20.75,21.0,19.84,17.75,15.66,13.69,11.5,8.84,7.34,7.03,7.03,7.25,8.34,10.38,12.72,14.31,15.06,16.38,17.59,18.22,18.66,19.12,19.78,19.56,18.03,16.25,15.25,14.66,13.47,12.69,12.66,13.19,13.06,12.69,13.03,13.5,13.16,12.16,12.12,12.88,14.16,14.97,15.66,16.53,16.62,15.06,13.06,11.44,10.5,9.53,9.19,9.88,11.19,12.06,12.31,12.72,13.5,14.22,13.81,13.25,12.19,11.34,9.84,8.25,7.53,7.66,7.34,6.66,6.59,7.34,8.38,9.16,10.56,12.72,14.91,16.31,17.5,19.34,21.62,23.28,24.78,25.78,26.66,26.59,25.34,23.84,22.81,21.81,20.22,18.66,17.88,17.56,16.5,15.38,14.91,14.56,14.38,13.72,12.91,12.44,12.03,10.81,9.84,10.34,11.41,11.94,12.53,13.91,15.16,15.81,15.81,16.03,16.66,16.97,17.09,17.09,18.03,18.34,17.62,16.44,15.56,14.69,13.34,12.0,11.53,11.59,11.0,9.78,9.25,9.16,9.59,10.0,10.97,12.94,15.16,16.41,17.28,18.78,19.91,19.81,18.72,17.78,17.03,15.69,14.25,13.5,13.62,14.06,13.97,13.62,14.56,14.88,14.12,12.94,11.66,10.78,9.19,7.62,6.56,6.25,5.31,4.5,3.59,4.12,5.16,6.28,7.5,9.97,12.62,14.91,16.69,18.16,19.78,20.47,19.88,18.97,18.53,17.97,17.0,16.03,16.31,17.0,16.75,15.69,15.31,14.84,13.78,12.44,12.25,12.41,12.28,11.84,11.31,11.41,11.25,10.56,10.22,11.19,12.41,13.56,14.25,15.41,16.03,15.94,15.12,14.5,14.94,14.94,14.38,13.75,13.97,14.31,14.25,13.91,14.34,14.75,14.5,13.47,13.34,13.88,14.41,14.25,14.5,15.31,16.5,16.91,17.38,19.12,21.0,21.84,21.62,22.41,23.0,22.88,22.25,22.06,22.06,21.81,20.5,19.5,19.12,18.69,17.31,15.44,14.47,13.53,11.84,10.06,9.22,8.97,8.44,7.34,7.25,7.5,7.62,6.91,6.5,6.94,7.38,7.44,7.19,7.84,8.84,9.06,8.62,8.75,9.69,10.62,11.03,12.47,14.88,17.16,18.09,18.66,19.34,19.53,18.66,17.31,17.06,17.84,18.53,18.97,19.75,20.66,20.66,19.16,17.38,15.88,14.34,12.34,10.12,9.25,8.91,8.41,7.62,7.88,8.78,9.47,9.34,9.34,9.69,9.81,8.72,7.78,7.78,8.31,8.69,9.09,10.47,12.38,13.34,13.53,14.25,15.31,16.44,16.62,16.88,18.06,19.16,18.88,18.47,18.19,17.78,15.59,13.25,11.75,11.25,10.41,9.66,9.31,9.38,9.34,7.97,7.16,7.5,8.28,8.0,8.16,9.28,10.5,10.94,10.88,11.56,12.56,12.59,11.88,10.81,10.59,10.44,8.97,8.25,8.97,10.19,11.03,12.38,14.69,17.62,19.38,20.34,20.97,21.81,21.72,20.06,18.34,16.91,15.75,13.75,12.56,12.5,13.28,13.28,13.09,12.88,13.31,13.12,12.31,12.06,12.56,13.0,12.19,10.91,10.03,9.06,6.84,4.5,3.47,3.53,3.25,3.28,4.44,6.69,8.44,9.62,10.34,11.28,10.94,9.53,8.47,8.81,10.22,11.41,12.69,14.59,16.62,17.25,16.44,15.56,15.09,13.84,11.44,9.56,8.94,8.69,7.84,7.56,7.88,8.31,7.25,5.56,4.59,4.59,4.34,3.84,3.5,3.81,3.41,2.12,0.97,1.62,2.19,2.56,3.62,5.31,6.91,7.62,7.59,7.31,7.41,7.19,5.88,4.84,4.62,3.81,2.44,1.19,1.59,2.59,2.34,1.44,0.66,-0.28,-2.09,-3.94,-4.38,-3.06,-1.56,-0.75,0.47,2.28,3.62,3.94,3.56,4.06,4.44,4.28,3.75,3.75,4.09,3.44,2.12,0.91,0.88,0.56,-0.03,-0.69,-0.28,0.81,0.78,0.34,0.5,0.94,0.97,0.75,1.25,3.12,4.47,5.09,5.84,7.28,8.38,8.66,8.88,10.09,11.56,12.81,13.25,14.31,14.97,14.72,13.06,11.53,11.06,10.16,8.97,8.28,8.94,10.22,10.78,11.69,13.47,15.03,15.88,15.97,15.81,16.0,15.84,14.66,13.94,14.31,14.38,13.44,12.28,12.06,11.62,10.72,9.84,9.75,10.0,9.5,8.0,6.94,6.06,4.81,3.12,2.0,3.0,4.62,6.41,8.66,11.66,14.44,15.84,16.44,17.0,17.78,17.44,16.22,14.94,13.88,12.53,10.5,8.84,8.75,9.31,9.53,10.0,11.75,13.78,15.5,16.41,17.38,18.44,18.91,18.28,18.28,19.53,20.53,20.72,20.53,21.38,21.41,20.66,19.5,19.38,19.41,19.62,19.44,19.72,20.56,20.78,19.81,19.19,19.28,19.88,19.88,19.66,20.31,20.09,19.38,17.75,16.53,15.94,14.94,13.06,11.38,10.56,10.22,10.16,11.16,13.28,16.0,17.31,17.66,18.12,18.5,18.47,17.59,17.22,16.94,16.06,14.19,13.0,13.12,13.53,13.97,14.75,16.75,18.88,20.03,21.06,21.78,21.88,21.25,19.69,18.53,18.12,17.59,16.56,15.5,15.03,14.75,14.84,15.38,16.72,18.97,20.53,21.41,22.81,24.25,25.03,25.28,25.56,26.09,26.09,24.84,23.41,21.78,20.5,18.72,17.06,16.59,17.22,17.19,17.44,18.16,19.03,20.03,20.09,20.0,19.78,19.66,18.69,17.78,17.53,17.94,18.53,19.31,20.81,23.03,24.59,25.5,26.06,27.47,28.84,29.25,29.88,30.28,31.16,30.84,30.5,30.81,31.44,31.34,30.53,29.38,28.38,26.88,24.81,23.25,22.38,22.19,21.78,21.34,21.5,22.22,22.34,22.31,22.56,23.44,23.75,23.69,24.12,25.12,26.5,27.25,27.38,28.06,28.31,27.03,25.66,24.84,25.16,25.16,25.22,25.78,26.47,26.53,25.72,24.97,25.12,25.19,25.03,25.31,26.47,27.41,27.69,27.44,27.69,27.97,28.12,27.91,27.84,28.69,29.09,28.97,29.12,29.62,29.84,29.25,28.16,27.53,27.06,26.09,25.25,24.38,24.47,24.44,23.91,23.16,23.69,24.16,24.19,24.03,24.09,24.75,24.38,23.97,24.5,25.75,26.53,26.84,26.84,27.59,27.62,27.06,26.0,25.62,25.06,23.75,22.16,21.28,20.84,20.69,20.56,21.12,23.03,24.81,25.91,26.56,28.12,29.56,30.25,30.56,31.38,32.28,31.75,30.91,30.69,30.62,30.22,29.38,28.84,29.09,29.28,29.34,29.25,29.75,30.66,30.84,30.34,30.5,30.75,30.22,29.06,28.72,29.22,29.75,29.69,29.5,29.75,29.88,29.09,28.03,28.41,29.09,29.25,29.12,29.44,29.81,29.56,28.62,27.75,27.53,27.19,26.06,25.31,25.56,26.38,26.81,26.88,28.0,29.53,30.12,30.22,31.09,32.62,33.72,34.41,35.16,36.19,36.34,35.25,33.75,32.62,31.88,30.81,29.28,28.84,28.81,28.31,27.38,27.69,28.88,29.5,29.38,29.0,29.03,28.66,27.34:32.38,32.19,30.56,28.81,27.84,27.19,25.62,24.16,23.88,24.62,25.34,26.0,27.59,29.5,31.03,31.38,31.41,32.09,32.56,31.78,30.47,29.28,28.22,25.78,23.06,21.25,20.34,19.81,19.31,20.0,21.59,23.62,24.31,24.78,25.78,26.56,25.62,24.03,22.72,21.66,19.34,16.97,15.5,15.53,15.09,14.81,15.25,16.94,19.22,20.97,23.03,26.0,29.16,30.75,32.44,34.28,36.25,36.75,36.69,36.09,35.97,35.44,33.72,32.41,31.75,31.5,30.56,29.91,30.47,31.62,31.97,32.09,32.31,32.84,31.75,29.09,26.0,23.38,19.97,16.19,13.56,12.75,13.34,14.34,15.97,19.16,22.56,25.19,27.03,28.91,31.16,32.34,32.53,32.72,33.53,33.94,33.09,32.12,31.62,30.0,27.38,24.16,21.69,19.88,18.28,16.44,15.34,15.16,14.97,14.69,14.94,16.56,18.5,19.19,19.31,19.91,20.5,20.47,20.12,20.88,22.06,22.5,22.28,21.88,22.31,22.12,21.47,21.16,21.69,21.56,20.38,18.69,17.72,17.75,18.0,18.69,20.69,23.62,26.12,27.06,27.66,28.25,27.88,26.31,24.44,23.5,22.25,20.47,18.66,17.88,18.31,18.28,18.34,19.09,20.97,22.59,23.28,24.0,25.47,25.69,24.72,23.06,22.41,22.12,21.19,20.06,19.69,19.62,18.84,17.0,15.28,14.72,13.97,12.66,12.62,14.69,16.62,18.34,19.56,20.88,21.91,22.0,21.5,21.16,22.19,22.81,23.09,24.0,26.06,27.88,28.69,29.0,29.81,29.69,28.41,25.91,23.44,21.06,18.16,15.22,13.25,12.53,11.81,10.72,10.06,10.59,11.28,11.41,11.81,13.44,15.28,16.59,17.12,18.0,18.12,17.34,15.12,12.56,10.44,7.78,4.41,1.19,-0.25,-0.94,-1.34,-0.41,2.44,6.34,10.5,13.88,17.0,19.38,20.34,20.12,19.69,20.44,21.28,21.5,21.78,23.19,24.62,25.47,26.12,27.22,27.97,27.72,26.44,25.22,23.78,22.0,19.19,16.78,15.28,14.41,13.69,13.56,14.53,15.94,16.69,16.56,16.88,17.22,17.09,15.28,13.84,12.47,11.59,10.5,10.38,12.09,14.09,15.72,17.16,18.81,20.06,20.56,19.81,19.34,19.75,19.94,19.56,19.34,19.84,20.56,20.25,20.12,20.75,21.0,19.84,17.75,15.66,13.69,11.5,8.84,7.34,7.03,7.03,7.25,8.34,10.38,12.72,14.31,15.06,16.38,17.59,18.22,18.66,19.12,19.78,19.56,18.03,16.25,15.25,14.66,13.47,12.69,12.66,13.19,13.06,12.69,13.03,13.5,13.16,12.16,12.12,12.88,14.16,14.97,15.66,16.53,16.62,15.06,13.06,11.44,10.5,9.53,9.19,9.88,11.19,12.06,12.31,12.72,13.5,14.22,13.81,13.25,12.19,11.34,9.84,8.25,7.53,7.66,7.34,6.66,6.59,7.34,8.38,9.16,10.56,12.72,14.91,16.31,17.5,19.34,21.62,23.28,24.78,25.78,26.66,26.59,25.34,23.84,22.81,21.81,20.22,18.66,17.88,17.56,16.5,15.38,14.91,14.56,14.38,13.72,12.91,12.44,12.03,10.81,9.84,10.34,11.41,11.94,12.53,13.91,15.16,15.81,15.81,16.03,16.66,16.97,17.09,17.09,18.03,18.34,17.62,16.44,15.56,14.69,13.34,12.0,11.53,11.59,11.0,9.78,9.25,9.16,9.59,10.0,10.97,12.94,15.16,16.41,17.28,18.78,19.91,19.81,18.72,17.78,17.03,15.69,14.25,13.5,13.62,14.06,13.97,13.62,14.56,14.88,14.12,12.94,11.66,10.78,9.19,7.62,6.56,6.25,5.31,4.5,3.59,4.12,5.16,6.28,7.5,9.97,12.62,14.91,16.69,18.16,19.78,20.47,19.88,18.97,18.53,17.97,17.0,16.03,16.31,17.0,16.75,15.69,15.31,14.84,13.78,12.44,12.25,12.41,12.28,11.84,11.31,11.41,11.25,10.56,10.22,11.19,12.41,13.56,14.25,15.41,16.03,15.94,15.12,14.5,14.94,14.94,14.38,13.75,13.97,14.31,14.25,13.91,14.34,14.75,14.5,13.47,13.34,13.88,14.41,14.25,14.5,15.31,16.5,16.91,17.38,19.12,21.0,21.84,21.62,22.41,23.0,22.88,22.25,22.06,22.06,21.81,20.5,19.5,19.12,18.69,17.31,15.44,14.47,13.53,11.84,10.06,9.22,8.97,8.44,7.34,7.25,7.5,7.62,6.91,6.5,6.94,7.38,7.44,7.19,7.84,8.84,9.06,8.62,8.75,9.69,10.62,11.03,12.47,14.88,17.16,18.09,18.66,19.34,19.53,18.66,17.31,17.06,17.84,18.53,18.97,19.75,20.66,20.66,19.16,17.38,15.88,14.34,12.34,10.12,9.25,8.91,8.41,7.62,7.88,8.78,9.47,9.34,9.34,9.69,9.81,8.72,7.78,7.78,8.31,8.69,9.09,10.47,12.38,13.34,13.53,14.25,15.31,16.44,16.62,16.88,18.06,19.16,18.88,18.47,18.19,17.78,15.59,13.25,11.75,11.25,10.41,9.66,9.31,9.38,9.34,7.97,7.16,7.5,8.28,8.0,8.16,9.28,10.5,10.94,10.88,11.56,12.56,12.59,11.88,10.81,10.59,10.44,8.97,8.25,8.97,10.19,11.03,12.38,14.69,17.62,19.38,20.34,20.97,21.81,21.72,20.06,18.34,16.91,15.75,13.75,12.56,12.5,13.28,13.28,13.09,12.88,13.31,13.12,12.31,12.06,12.56,13.0,12.19,10.91,10.03,9.06,6.84,4.5,3.47,3.53,3.25,3.28,4.44,6.69,8.44,9.62,10.34,11.28,10.94,9.53,8.47,8.81,10.22,11.41,12.69,14.59,16.62,17.25,16.44,15.56,15.09,13.84,11.44,9.56,8.94,8.69,7.84,7.56,7.88,8.31,7.25,5.56,4.59,4.59,4.34,3.84,3.5,3.81,3.41,2.12,0.97,1.62,2.19,2.56,3.62,5.31,6.91,7.62,7.59,7.31,7.41,7.19,5.88,4.84,4.62,3.81,2.44,1.19,1.59,2.59,2.34,1.44,0.66,-0.28,-2.09,-3.94,-4.38,-3.06,-1.56,-0.75,0.47,2.28,3.62,3.94,3.56,4.06,4.44,4.28,3.75,3.75,4.09,3.44,2.12,0.91,0.88,0.56,-0.03,-0.69,-0.28,0.81,0.78,0.34,0.5,0.94,0.97,0.75,1.25,3.12,4.47,5.09,5.84,7.28,8.38,8.66,8.88,10.09,11.56,12.81,13.25,14.31,14.97,14.72,13.06,11.53,11.06,10.16,8.97,8.28,8.94,10.22,10.78,11.69,13.47,15.03,15.88,15.97,15.81,16.0,15.84,14.66,13.94,14.31,14.38,13.44,12.28,12.06,11.62,10.72,9.84,9.75,10.0,9.5,8.0,6.94,6.06,4.81,3.12,2.0,3.0,4.62,6.41,8.66,11.66,14.44,15.84,16.44,17.0,17.78,17.44,16.22,14.94,13.88,12.53,10.5,8.84,8.75,9.31,9.53,10.0,11.75,13.78,15.5,16.41,17.38,18.44,18.91,18.28,18.28,19.53,20.53,20.72,20.53,21.38,21.41,20.66,19.5,19.38,19.41,19.62,19.44,19.72,20.56,20.78,19.81,19.19,19.28,19.88,19.88,19.66,20.31,20.09,19.38,17.75,16.53,15.94,14.94,13.06,11.38,10.56,10.22,10.16,11.16,13.28,16.0,17.31,17.66,18.12,18.5,18.47,17.59,17.22,16.94,16.06,14.19,13.0,13.12,13.53,13.97,14.75,16.75,18.88,20.03,21.06,21.78,21.88,21.25,19.69,18.53,18.12,17.59,16.56,15.5,15.03,14.75,14.84,15.38,16.72,18.97,20.53,21.41,22.81,24.25,25.03,25.28,25.56,26.09,26.09,24.84,23.41,21.78,20.5,18.72,17.06,16.59,17.22,17.19,17.44,18.16,19.03,20.03,20.09,20.0,19.78,19.66,18.69,17.78,17.53,17.94,18.53,19.31,20.81,23.03,24.59,25.5,26.06,27.47,28.84,29.25,29.88,30.28,31.16,30.84,30.5,30.81,31.44,31.34,30.53,29.38,28.38,26.88,24.81,23.25,22.38,22.19,21.78,21.34,21.5,22.22,22.34,22.31,22.56,23.44,23.75,23.69,24.12,25.12,26.5,27.25,27.38,28.06,28.31,27.03,25.66,24.84,25.16,25.16,25.22,25.78,26.47,26.53,25.72,24.97,25.12,25.19,25.03,25.31,26.47,27.41,27.69,27.44,27.69,27.97,28.12,27.91,27.84,28.69,29.09,28.97,29.12,29.62,29.84,29.25,28.16,27.53,27.06,26.09,25.25,24.38,24.47,24.44,23.91,23.16,23.69,24.16,24.19,24.03,24.09,24.75,24.38,23.97,24.5,25.75,26.53,26.84,26.84,27.59,27.62,27.06,26.0,25.62,25.06,23.75,22.16,21.28,20.84,20.69,20.56,21.12,23.03,24.81,25.91,26.56,28.12,29.56,30.25,30.56,31.38,32.28,31.75,30.91,30.69,30.62,30.22,29.38,28.84,29.09,29.28,29.34,29.25,29.75,30.66,30.84,30.34,30.5,30.75,30.22,29.06,28.72,29.22,29.75,29.69,29.5,29.75,29.88,29.09,28.03,28.41,29.09,29.25,29.12,29.44,29.81,29.56,28.62,27.75,27.53,27.19,26.06,25.31,25.56,26.38,26.81,26.88,28.0,29.53,30.12,30.22,31.09,32.62,33.72,34.41,35.16,36.19,36.34,35.25,33.75,32.62,31.88,30.81,29.28,28.84,28.81,28.31,27.38,27.69,28.88,29.5,29.38,29.0,29.03,28.66,27.34,44.38,45.53,46.41,47.34,48.47,49.03,49.62:24.16,23.88,24.62,25.34,26.0,27.59,29.5,31.03,31.38,31.41,32.09,32.56,31.78,30.47,29.28,28.22,25.78,23.06,21.25,20.34,19.81,19.31,20.0,21.59,23.62,24.31,24.78,25.78,26.56,25.62,24.03,22.72,21.66,19.34,16.97,15.5,15.53,15.09,14.81,15.25,16.94,19.22,20.97,23.03,26.0,29.16,30.75,32.44,34.28,36.25,36.75,36.69,36.09,35.97,35.44,33.72,32.41,31.75,31.5,30.56,29.91,30.47,31.62,31.97,32.09,32.31,32.84,31.75,29.09,26.0,23.38,19.97,16.19,13.56,12.75,13.34,14.34,15.97,19.16,22.56,25.19,27.03,28.91,31.16,32.34,32.53,32.72,33.53,33.94,33.09,32.12,31.62,30.0,27.38,24.16,21.69,19.88,18.28,16.44,15.34,15.16,14.97,14.69,14.94,16.56,18.5,19.19,19.31,19.91,20.5,20.47,20.12,20.88,22.06,22.5,22.28,21.88,22.31,22.12,21.47,21.16,21.69,21.56,20.38,18.69,17.72,17.75,18.0,18.69,20.69,23.62,26.12,27.06,27.66,28.25,27.88,26.31,24.44,23.5,22.25,20.47,18.66,17.88,18.31,18.28,18.34,19.09,20.97,22.59,23.28,24.0,25.47,25.69,24.72,23.06,22.41,22.12,21.19,20.06,19.69,19.62,18.84,17.0,15.28,14.72,13.97,12.66,12.62,14.69,16.62,18.34,19.56,20.88,21.91,22.0,21.5,21.16,22.19,22.81,23.09,24.0,26.06,27.88,28.69,29.0,29.81,29.69,28.41,25.91,23.44,21.06,18.16,15.22,13.25,12.53,11.81,10.72,10.06,10.59,11.28,11.41,11.81,13.44,15.28,16.59,17.12,18.0,18.12,17.34,15.12,12.56,10.44,7.78,4.41,1.19,-0.25,-0.94,-1.34,-0.41,2.44,6.34,10.5,13.88,17.0,19.38,20.34,20.12,19.69,20.44,21.28,21.5,21.78,23.19,24.62,25.47,26.12,27.22,27.97,27.72,26.44,25.22,23.78,22.0,19.19,16.78,15.28,14.41,13.69,13.56,14.53,15.94,16.69,16.56,16.88,17.22,17.09,15.28,13.84,12.47,11.59,10.5,10.38,12.09,14.09,15.72,17.16,18.81,20.06,20.56,19.81,19.34,19.75,19.94,19.56,19.34,19.84,20.56,20.25,20.12,20.75,21.0,19.84,17.75,15.66,13.69,11.5,8.84,7.34,7.03,7.03,7.25,8.34,10.38,12.72,14.31,15.06,16.38,17.59,18.22,18.66,19.12,19.78,19.56,18.03,16.25,15.25,14.66,13.47,12.69,12.66,13.19,13.06,12.69,13.03,13.5,13.16,12.16,12.12,12.88,14.16,14.97,15.66,16.53,16.62,15.06,13.06,11.44,10.5,9.53,9.19,9.88,11.19,12.06,12.31,12.72,13.5,14.22,13.81,13.25,12.19,11.34,9.84,8.25,7.53,7.66,7.34,6.66,6.59,7.34,8.38,9.16,10.56,12.72,14.91,16.31,17.5,19.34,21.62,23.28,24.78,25.78,26.66,26.59,25.34,23.84,22.81,21.81,20.22,18.66,17.88,17.56,16.5,15.38,14.91,14.56,14.38,13.72,12.91,12.44,12.03,10.81,9.84,10.34,11.41,11.94,12.53,13.91,15.16,15.81,15.81,16.03,16.66,16.97,17.09,17.09,18.03,18.34,17.62,16.44,15.56,14.69,13.34,12.0,11.53,11.59,11.0,9.78,9.25,9.16,9.59,10.0,10.97,12.94,15.16,16.41,17.28,18.78,19.91,19.81,18.72,17.78,17.03,15.69,14.25,13.5,13.62,14.06,13.97,13.62,14.56,14.88,14.12,12.94,11.66,10.78,9.19,7.62,6.56,6.25,5.31,4.5,3.59,4.12,5.16,6.28,7.5,9.97,12.62,14.91,16.69,18.16,19.78,20.47,19.88,18.97,18.53,17.97,17.0,16.03,16.31,17.0,16.75,15.69,15.31,14.84,13.78,12.44,12.25,12.41,12.28,11.84,11.31,11.41,11.25,10.56,10.22,11.19,12.41,13.56,14.25,15.41,16.03,15.94,15.12,14.5,14.94,14.94,14.38,13.75,13.97,14.31,14.25,13.91,14.34,14.75,14.5,13.47,13.34,13.88,14.41,14.25,14.5,15.31,16.5,16.91,17.38,19.12,21.0,21.84,21.62,22.41,23.0,22.88,22.25,22.06,22.06,21.81,20.5,19.5,19.12,18.69,17.31,15.44,14.47,13.53,11.84,10.06,9.22,8.97,8.44,7.34,7.25,7.5,7.62,6.91,6.5,6.94,7.38,7.44,7.19,7.84,8.84,9.06,8.62,8.75,9.69,10.62,11.03,12.47,14.88,17.16,18.09,18.66,19.34,19.53,18.66,17.31,17.06,17.84,18.53,18.97,19.75,20.66,20.66,19.16,17.38,15.88,14.34,12.34,10.12,9.25,8.91,8.41,7.62,7.88,8.78,9.47,9.34,9.34,9.69,9.81,8.72,7.78,7.78,8.31,8.69,9.09,10.47,12.38,13.34,13.53,14.25,15.31,16.44,16.62,16.88,18.06,19.16,18.88,18.47,18.19,17.78,15.59,13.25,11.75,11.25,10.41,9.66,9.31,9.38,9.34,7.97,7.16,7.5,8.28,8.0,8.16,9.28,10.5,10.94,10.88,11.56,12.56,12.59,11.88,10.81,10.59,10.44,8.97,8.25,8.97,10.19,11.03,12.38,14.69,17.62,19.38,20.34,20.97,21.81,21.72,20.06,18.34,16.91,15.75,13.75,12.56,12.5,13.28,13.28,13.09,12.88,13.31,13.12,12.31,12.06,12.56,13.0,12.19,10.91,10.03,9.06,6.84,4.5,3.47,3.53,3.25,3.28,4.44,6.69,8.44,9.62,10.34,11.28,10.94,9.53,8.47,8.81,10.22,11.41,12.69,14.59,16.62,17.25,16.44,15.56,15.09,13.84,11.44,9.56,8.94,8.69,7.84,7.56,7.88,8.31,7.25,5.56,4.59,4.59,4.34,3.84,3.5,3.81,3.41,2.12,0.97,1.62,2.19,2.56,3.62,5.31,6.91,7.62,7.59,7.31,7.41,7.19,5.88,4.84,4.62,3.81,2.44,1.19,1.59,2.59,2.34,1.44,0.66,-0.28,-2.09,-3.94,-4.38,-3.06,-1.56,-0.75,0.47,2.28,3.62,3.94,3.56,4.06,4.44,4.28,3.75,3.75,4.09,3.44,2.12,0.91,0.88,0.56,-0.03,-0.69,-0.28,0.81,0.78,0.34,0.5,0.94,0.97,0.75,1.25,3.12,4.47,5.09,5.84,7.28,8.38,8.66,8.88,10.09,11.56,12.81,13.25,14.31,14.97,14.72,13.06,11.53,11.06,10.16,8.97,8.28,8.94,10.22,10.78,11.69,13.47,15.03,15.88,15.97,15.81,16.0,15.84,14.66,13.94,14.31,14.38,13.44,12.28,12.06,11.62,10.72,9.84,9.75,10.0,9.5,8.0,6.94,6.06,4.81,3.12,2.0,3.0,4.62,6.41,8.66,11.66,14.44,15.84,16.44,17.0,17.78,17.44,16.22,14.94,13.88,12.53,10.5,8.84,8.75,9.31,9.53,10.0,11.75,13.78,15.5,16.41,17.38,18.44,18.91,18.28,18.28,19.53,20.53,20.72,20.53,21.38,21.41,20.66,19.5,19.38,19.41,19.62,19.44,19.72,20.56,20.78,19.81,19.19,19.28,19.88,19.88,19.66,20.31,20.09,19.38,17.75,16.53,15.94,14.94,13.06,11.38,10.56,10.22,10.16,11.16,13.28,16.0,17.31,17.66,18.12,18.5,18.47,17.59,17.22,16.94,16.06,14.19,13.0,13.12,13.53,13.97,14.75,16.75,18.88,20.03,21.06,21.78,21.88,21.25,19.69,18.53,18.12,17.59,16.56,15.5,15.03,14.75,14.84,15.38,16.72,18.97,20.53,21.41,22.81,24.25,25.03,25.28,25.56,26.09,26.09,24.84,23.41,21.78,20.5,18.72,17.06,16.59,17.22,17.19,17.44,18.16,19.03,20.03,20.09,20.0,19.78,19.66,18.69,17.78,17.53,17.94,18.53,19.31,20.81,23.03,24.59,25.5,26.06,27.47,28.84,29.25,29.88,30.28,31.16,30.84,30.5,30.81,31.44,31.34,30.53,29.38,28.38,26.88,24.81,23.25,22.38,22.19,21.78,21.34,21.5,22.22,22.34,22.31,22.56,23.44,23.75,23.69,24.12,25.12,26.5,27.25,27.38,28.06,28.31,27.03,25.66,24.84,25.16,25.16,25.22,25.78,26.47,26.53,25.72,24.97,25.12,25.19,25.03,25.31,26.47,27.41,27.69,27.44,27.69,27.97,28.12,27.91,27.84,28.69,29.09,28.97,29.12,29.62,29.84,29.25,28.16,27.53,27.06,26.09,25.25,24.38,24.47,24.44,23.91,23.16,23.69,24.16,24.19,24.03,24.09,24.75,24.38,23.97,24.5,25.75,26.53,26.84,26.84,27.59,27.62,27.06,26.0,25.62,25.06,23.75,22.16,21.28,20.84,20.69,20.56,21.12,23.03,24.81,25.91,26.56,28.12,29.56,30.25,30.56,31.38,32.28,31.75,30.91,30.69,30.62,30.22,29.38,28.84,29.09,29.28,29.34,29.25,29.75,30.66,30.84,30.34,30.5,30.75,30.22,29.06,28.72,29.22,29.75,29.69,29.5,29.75,29.88,29.09,28.03,28.41,29.09,29.25,29.12,29.44,29.81,29.56,28.62,27.75,27.53,27.19,26.06,25.31,25.56,26.38,26.81,26.88,28.0,29.53,30.12,30.22,31.09,32.62,33.72,34.41,35.16,36.19,36.34,35.25,33.75,32.62,31.88,30.81,29.28,28.84,28.81,28.31,27.38,27.69,28.88,29.5,29.38,29.0,29.03,28.66,27.34,44.38,45.53,46.41,47.34,48.47,49.03,49.62,50.12,50.5,50.09,49.38,48.53,48.0,47.69:31.03,31.38,31.41,32.09,32.56,31.78,30.47,29.28,28.22,25.78,23.06,21.25,20.34,19.81,19.31,20.0,21.59,23.62,24.31,24.78,25.78,26.56,25.62,24.03,22.72,21.66,19.34,16.97,15.5,15.53,15.09,14.81,15.25,16.94,19.22,20.97,23.03,26.0,29.16,30.75,32.44,34.28,36.25,36.75,36.69,36.09,35.97,35.44,33.72,32.41,31.75,31.5,30.56,29.91,30.47,31.62,31.97,32.09,32.31,32.84,31.75,29.09,26.0,23.38,19.97,16.19,13.56,12.75,13.34,14.34,15.97,19.16,22.56,25.19,27.03,28.91,31.16,32.34,32.53,32.72,33.53,33.94,33.09,32.12,31.62,30.0,27.38,24.16,21.69,19.88,18.28,16.44,15.34,15.16,14.97,14.69,14.94,16.56,18.5,19.19,19.31,19.91,20.5,20.47,20.12,20.88,22.06,22.5,22.28,21.88,22.31,22.12,21.47,21.16,21.69,21.56,20.38,18.69,17.72,17.75,18.0,18.69,20.69,23.62,26.12,27.06,27.66,28.25,27.88,26.31,24.44,23.5,22.25,20.47,18.66,17.88,18.31,18.28,18.34,19.09,20.97,22.59,23.28,24.0,25.47,25.69,24.72,23.06,22.41,22.12,21.19,20.06,19.69,19.62,18.84,17.0,15.28,14.72,13.97,12.66,12.62,14.69,16.62,18.34,19.56,20.88,21.91,22.0,21.5,21.16,22.19,22.81,23.09,24.0,26.06,27.88,28.69,29.0,29.81,29.69,28.41,25.91,23.44,21.06,18.16,15.22,13.25,12.53,11.81,10.72,10.06,10.59,11.28,11.41,11.81,13.44,15.28,16.59,17.12,18.0,18.12,17.34,15.12,12.56,10.44,7.78,4.41,1.19,-0.25,-0.94,-1.34,-0.41,2.44,6.34,10.5,13.88,17.0,19.38,20.34,20.12,19.69,20.44,21.28,21.5,21.78,23.19,24.62,25.47,26.12,27.22,27.97,27.72,26.44,25.22,23.78,22.0,19.19,16.78,15.28,14.41,13.69,13.56,14.53,15.94,16.69,16.56,16.88,17.22,17.09,15.28,13.84,12.47,11.59,10.5,10.38,12.09,14.09,15.72,17.16,18.81,20.06,20.56,19.81,19.34,19.75,19.94,19.56,19.34,19.84,20.56,20.25,20.12,20.75,21.0,19.84,17.75,15.66,13.69,11.5,8.84,7.34,7.03,7.03,7.25,8.34,10.38,12.72,14.31,15.06,16.38,17.59,18.22,18.66,19.12,19.78,19.56,18.03,16.25,15.25,14.66,13.47,12.69,12.66,13.19,13.06,12.69,13.03,13.5,13.16,12.16,12.12,12.88,14.16,14.97,15.66,16.53,16.62,15.06,13.06,11.44,10.5,9.53,9.19,9.88,11.19,12.06,12.31,12.72,13.5,14.22,13.81,13.25,12.19,11.34,9.84,8.25,7.53,7.66,7.34,6.66,6.59,7.34,8.38,9.16,10.56,12.72,14.91,16.31,17.5,19.34,21.62,23.28,24.78,25.78,26.66,26.59,25.34,23.84,22.81,21.81,20.22,18.66,17.88,17.56,16.5,15.38,14.91,14.56,14.38,13.72,12.91,12.44,12.03,10.81,9.84,10.34,11.41,11.94,12.53,13.91,15.16,15.81,15.81,16.03,16.66,16.97,17.09,17.09,18.03,18.34,17.62,16.44,15.56,14.69,13.34,12.0,11.53,11.59,11.0,9.78,9.25,9.16,9.59,10.0,10.97,12.94,15.16,16.41,17.28,18.78,19.91,19.81,18.72,17.78,17.03,15.69,14.25,13.5,13.62,14.06,13.97,13.62,14.56,14.88,14.12,12.94,11.66,10.78,9.19,7.62,6.56,6.25,5.31,4.5,3.59,4.12,5.16,6.28,7.5,9.97,12.62,14.91,16.69,18.16,19.78,20.47,19.88,18.97,18.53,17.97,17.0,16.03,16.31,17.0,16.75,15.69,15.31,14.84,13.78,12.44,12.25,12.41,12.28,11.84,11.31,11.41,11.25,10.56,10.22,11.19,12.41,13.56,14.25,15.41,16.03,15.94,15.12,14.5,14.94,14.94,14.38,13.75,13.97,14.31,14.25,13.91,14.34,14.75,14.5,13.47,13.34,13.88,14.41,14.25,14.5,15.31,16.5,16.91,17.38,19.12,21.0,21.84,21.62,22.41,23.0,22.88,22.25,22.06,22.06,21.81,20.5,19.5,19.12,18.69,17.31,15.44,14.47,13.53,11.84,10.06,9.22,8.97,8.44,7.34,7.25,7.5,7.62,6.91,6.5,6.94,7.38,7.44,7.19,7.84,8.84,9.06,8.62,8.75,9.69,10.62,11.03,12.47,14.88,17.16,18.09,18.66,19.34,19.53,18.66,17.31,17.06,17.84,18.53,18.97,19.75,20.66,20.66,19.16,17.38,15.88,14.34,12.34,10.12,9.25,8.91,8.41,7.62,7.88,8.78,9.47,9.34,9.34,9.69,9.81,8.72,7.78,7.78,8.31,8.69,9.09,10.47,12.38,13.34,13.53,14.25,15.31,16.44,16.62,16.88,18.06,19.16,18.88,18.47,18.19,17.78,15.59,13.25,11.75,11.25,10.41,9.66,9.31,9.38,9.34,7.97,7.16,7.5,8.28,8.0,8.16,9.28,10.5,10.94,10.88,11.56,12.56,12.59,11.88,10.81,10.59,10.44,8.97,8.25,8.97,10.19,11.03,12.38,14.69,17.62,19.38,20.34,20.97,21.81,21.72,20.06,18.34,16.91,15.75,13.75,12.56,12.5,13.28,13.28,13.09,12.88,13.31,13.12,12.31,12.06,12.56,13.0,12.19,10.91,10.03,9.06,6.84,4.5,3.47,3.53,3.25,3.28,4.44,6.69,8.44,9.62,10.34,11.28,10.94,9.53,8.47,8.81,10.22,11.41,12.69,14.59,16.62,17.25,16.44,15.56,15.09,13.84,11.44,9.56,8.94,8.69,7.84,7.56,7.88,8.31,7.25,5.56,4.59,4.59,4.34,3.84,3.5,3.81,3.41,2.12,0.97,1.62,2.19,2.56,3.62,5.31,6.91,7.62,7.59,7.31,7.41,7.19,5.88,4.84,4.62,3.81,2.44,1.19,1.59,2.59,2.34,1.44,0.66,-0.28,-2.09,-3.94,-4.38,-3.06,-1.56,-0.75,0.47,2.28,3.62,3.94,3.56,4.06,4.44,4.28,3.75,3.75,4.09,3.44,2.12,0.91,0.88,0.56,-0.03,-0.69,-0.28,0.81,0.78,0.34,0.5,0.94,0.97,0.75,1.25,3.12,4.47,5.09,5.84,7.28,8.38,8.66,8.88,10.09,11.56,12.81,13.25,14.31,14.97,14.72,13.06,11.53,11.06,10.16,8.97,8.28,8.94,10.22,10.78,11.69,13.47,15.03,15.88,15.97,15.81,16.0,15.84,14.66,13.94,14.31,14.38,13.44,12.28,12.06,11.62,10.72,9.84,9.75,10.0,9.5,8.0,6.94,6.06,4.81,3.12,2.0,3.0,4.62,6.41,8.66,11.66,14.44,15.84,16.44,17.0,17.78,17.44,16.22,14.94,13.88,12.53,10.5,8.84,8.75,9.31,9.53,10.0,11.75,13.78,15.5,16.41,17.38,18.44,18.91,18.28,18.28,19.53,20.53,20.72,20.53,21.38,21.41,20.66,19.5,19.38,19.41,19.62,19.44,19.72,20.56,20.78,19.81,19.19,19.28,19.88,19.88,19.66,20.31,20.09,19.38,17.75,16.53,15.94,14.94,13.06,11.38,10.56,10.22,10.16,11.16,13.28,16.0,17.31,17.66,18.12,18.5,18.47,17.59,17.22,16.94,16.06,14.19,13.0,13.12,13.53,13.97,14.75,16.75,18.88,20.03,21.06,21.78,21.88,21.25,19.69,18.53,18.12,17.59,16.56,15.5,15.03,14.75,14.84,15.38,16.72,18.97,20.53,21.41,22.81,24.25,25.03,25.28,25.56,26.09,26.09,24.84,23.41,21.78,20.5,18.72,17.06,16.59,17.22,17.19,17.44,18.16,19.03,20.03,20.09,20.0,19.78,19.66,18.69,17.78,17.53,17.94,18.53,19.31,20.81,23.03,24.59,25.5,26.06,27.47,28.84,29.25,29.88,30.28,31.16,30.84,30.5,30.81,31.44,31.34,30.53,29.38,28.38,26.88,24.81,23.25,22.38,22.19,21.78,21.34,21.5,22.22,22.34,22.31,22.56,23.44,23.75,23.69,24.12,25.12,26.5,27.25,27.38,28.06,28.31,27.03,25.66,24.84,25.16,25.16,25.22,25.78,26.47,26.53,25.72,24.97,25.12,25.19,25.03,25.31,26.47,27.41,27.69,27.44,27.69,27.97,28.12,27.91,27.84,28.69,29.09,28.97,29.12,29.62,29.84,29.25,28.16,27.53,27.06,26.09,25.25,24.38,24.47,24.44,23.91,23.16,23.69,24.16,24.19,24.03,24.09,24.75,24.38,23.97,24.5,25.75,26.53,26.84,26.84,27.59,27.62,27.06,26.0,25.62,25.06,23.75,22.16,21.28,20.84,20.69,20.56,21.12,23.03,24.81,25.91,26.56,28.12,29.56,30.25,30.56,31.38,32.28,31.75,30.91,30.69,30.62,30.22,29.38,28.84,29.09,29.28,29.34,29.25,29.75,30.66,30.84,30.34,30.5,30.75,30.22,29.06,28.72,29.22,29.75,29.69,29.5,29.75,29.88,29.09,28.03,28.41,29.09,29.25,29.12,29.44,29.81,29.56,28.62,27.75,27.53,27.19,26.06,25.31,25.56,26.38,26.81,26.88,28.0,29.53,30.12,30.22,31.09,32.62,33.72,34.41,35.16,36.19,36.34,35.25,33.75,32.62,31.88,30.81,29.28,28.84,28.81,28.31,27.38,27.69,28.88,29.5,29.38,29.0,29.03,28.66,27.34,44.38,45.53,46.41,47.34,48.47,49.03,49.62,50.12,50.5,50.09,49.38,48.53,48.0,47.69,46.84,46.28,46.38,46.19,46.06,45.91,45.75:29.28,28.22,25.78,23.06,21.25,20.34,19.81,19.31,20.0,21.59,23.62,24.31,24.78,25.78,26.56,25.62,24.03,22.72,21.66,19.34,16.97,15.5,15.53,15.09,14.81,15.25,16.94,19.22,20.97,23.03,26.0,29.16,30.75,32.44,34.28,36.25,36.75,36.69,36.09,35.97,35.44,33.72,32.41,31.75,31.5,30.56,29.91,30.47,31.62,31.97,32.09,32.31,32.84,31.75,29.09,26.0,23.38,19.97,16.19,13.56,12.75,13.34,14.34,15.97,19.16,22.56,25.19,27.03,28.91,31.16,32.34,32.53,32.72,33.53,33.94,33.09,32.12,31.62,30.0,27.38,24.16,21.69,19.88,18.28,16.44,15.34,15.16,14.97,14.69,14.94,16.56,18.5,19.19,19.31,19.91,20.5,20.47,20.12,20.88,22.06,22.5,22.28,21.88,22.31,22.12,21.47,21.16,21.69,21.56,20.38,18.69,17.72,17.75,18.0,18.69,20.69,23.62,26.12,27.06,27.66,28.25,27.88,26.31,24.44,23.5,22.25,20.47,18.66,17.88,18.31,18.28,18.34,19.09,20.97,22.59,23.28,24.0,25.47,25.69,24.72,23.06,22.41,22.12,21.19,20.06,19.69,19.62,18.84,17.0,15.28,14.72,13.97,12.66,12.62,14.69,16.62,18.34,19.56,20.88,21.91,22.0,21.5,21.16,22.19,22.81,23.09,24.0,26.06,27.88,28.69,29.0,29.81,29.69,28.41,25.91,23.44,21.06,18.16,15.22,13.25,12.53,11.81,10.72,10.06,10.59,11.28,11.41,11.81,13.44,15.28,16.59,17.12,18.0,18.12,17.34,15.12,12.56,10.44,7.78,4.41,1.19,-0.25,-0.94,-1.34,-0.41,2.44,6.34,10.5,13.88,17.0,19.38,20.34,20.12,19.69,20.44,21.28,21.5,21.78,23.19,24.62,25.47,26.12,27.22,27.97,27.72,26.44,25.22,23.78,22.0,19.19,16.78,15.28,14.41,13.69,13.56,14.53,15.94,16.69,16.56,16.88,17.22,17.09,15.28,13.84,12.47,11.59,10.5,10.38,12.09,14.09,15.72,17.16,18.81,20.06,20.56,19.81,19.34,19.75,19.94,19.56,19.34,19.84,20.56,20.25,20.12,20.75,21.0,19.84,17.75,15.66,13.69,11.5,8.84,7.34,7.03,7.03,7.25,8.34,10.38,12.72,14.31,15.06,16.38,17.59,18.22,18.66,19.12,19.78,19.56,18.03,16.25,15.25,14.66,13.47,12.69,12.66,13.19,13.06,12.69,13.03,13.5,13.16,12.16,12.12,12.88,14.16,14.97,15.66,16.53,16.62,15.06,13.06,11.44,10.5,9.53,9.19,9.88,11.19,12.06,12.31,12.72,13.5,14.22,13.81,13.25,12.19,11.34,9.84,8.25,7.53,7.66,7.34,6.66,6.59,7.34,8.38,9.16,10.56,12.72,14.91,16.31,17.5,19.34,21.62,23.28,24.78,25.78,26.66,26.59,25.34,23.84,22.81,21.81,20.22,18.66,17.88,17.56,16.5,15.38,14.91,14.56,14.38,13.72,12.91,12.44,12.03,10.81,9.84,10.34,11.41,11.94,12.53,13.91,15.16,15.81,15.81,16.03,16.66,16.97,17.09,17.09,18.03,18.34,17.62,16.44,15.56,14.69,13.34,12.0,11.53,11.59,11.0,9.78,9.25,9.16,9.59,10.0,10.97,12.94,15.16,16.41,17.28,18.78,19.91,19.81,18.72,17.78,17.03,15.69,14.25,13.5,13.62,14.06,13.97,13.62,14.56,14.88,14.12,12.94,11.66,10.78,9.19,7.62,6.56,6.25,5.31,4.5,3.59,4.12,5.16,6.28,7.5,9.97,12.62,14.91,16.69,18.16,19.78,20.47,19.88,18.97,18.53,17.97,17.0,16.03,16.31,17.0,16.75,15.69,15.31,14.84,13.78,12.44,12.25,12.41,12.28,11.84,11.31,11.41,11.25,10.56,10.22,11.19,12.41,13.56,14.25,15.41,16.03,15.94,15.12,14.5,14.94,14.94,14.38,13.75,13.97,14.31,14.25,13.91,14.34,14.75,14.5,13.47,13.34,13.88,14.41,14.25,14.5,15.31,16.5,16.91,17.38,19.12,21.0,21.84,21.62,22.41,23.0,22.88,22.25,22.06,22.06,21.81,20.5,19.5,19.12,18.69,17.31,15.44,14.47,13.53,11.84,10.06,9.22,8.97,8.44,7.34,7.25,7.5,7.62,6.91,6.5,6.94,7.38,7.44,7.19,7.84,8.84,9.06,8.62,8.75,9.69,10.62,11.03,12.47,14.88,17.16,18.09,18.66,19.34,19.53,18.66,17.31,17.06,17.84,18.53,18.97,19.75,20.66,20.66,19.16,17.38,15.88,14.34,12.34,10.12,9.25,8.91,8.41,7.62,7.88,8.78,9.47,9.34,9.34,9.69,9.81,8.72,7.78,7.78,8.31,8.69,9.09,10.47,12.38,13.34,13.53,14.25,15.31,16.44,16.62,16.88,18.06,19.16,18.88,18.47,18.19,17.78,15.59,13.25,11.75,11.25,10.41,9.66,9.31,9.38,9.34,7.97,7.16,7.5,8.28,8.0,8.16,9.28,10.5,10.94,10.88,11.56,12.56,12.59,11.88,10.81,10.59,10.44,8.97,8.25,8.97,10.19,11.03,12.38,14.69,17.62,19.38,20.34,20.97,21.81,21.72,20.06,18.34,16.91,15.75,13.75,12.56,12.5,13.28,13.28,13.09,12.88,13.31,13.12,12.31,12.06,12.56,13.0,12.19,10.91,10.03,9.06,6.84,4.5,3.47,3.53,3.25,3.28,4.44,6.69,8.44,9.62,10.34,11.28,10.94,9.53,8.47,8.81,10.22,11.41,12.69,14.59,16.62,17.25,16.44,15.56,15.09,13.84,11.44,9.56,8.94,8.69,7.84,7.56,7.88,8.31,7.25,5.56,4.59,4.59,4.34,3.84,3.5,3.81,3.41,2.12,0.97,1.62,2.19,2.56,3.62,5.31,6.91,7.62,7.59,7.31,7.41,7.19,5.88,4.84,4.62,3.81,2.44,1.19,1.59,2.59,2.34,1.44,0.66,-0.28,-2.09,-3.94,-4.38,-3.06,-1.56,-0.75,0.47,2.28,3.62,3.94,3.56,4.06,4.44,4.28,3.75,3.75,4.09,3.44,2.12,0.91,0.88,0.56,-0.03,-0.69,-0.28,0.81,0.78,0.34,0.5,0.94,0.97,0.75,1.25,3.12,4.47,5.09,5.84,7.28,8.38,8.66,8.88,10.09,11.56,12.81,13.25,14.31,14.97,14.72,13.06,11.53,11.06,10.16,8.97,8.28,8.94,10.22,10.78,11.69,13.47,15.03,15.88,15.97,15.81,16.0,15.84,14.66,13.94,14.31,14.38,13.44,12.28,12.06,11.62,10.72,9.84,9.75,10.0,9.5,8.0,6.94,6.06,4.81,3.12,2.0,3.0,4.62,6.41,8.66,11.66,14.44,15.84,16.44,17.0,17.78,17.44,16.22,14.94,13.88,12.53,10.5,8.84,8.75,9.31,9.53,10.0,11.75,13.78,15.5,16.41,17.38,18.44,18.91,18.28,18.28,19.53,20.53,20.72,20.53,21.38,21.41,20.66,19.5,19.38,19.41,19.62,19.44,19.72,20.56,20.78,19.81,19.19,19.28,19.88,19.88,19.66,20.31,20.09,19.38,17.75,16.53,15.94,14.94,13.06,11.38,10.56,10.22,10.16,11.16,13.28,16.0,17.31,17.66,18.12,18.5,18.47,17.59,17.22,16.94,16.06,14.19,13.0,13.12,13.53,13.97,14.75,16.75,18.88,20.03,21.06,21.78,21.88,21.25,19.69,18.53,18.12,17.59,16.56,15.5,15.03,14.75,14.84,15.38,16.72,18.97,20.53,21.41,22.81,24.25,25.03,25.28,25.56,26.09,26.09,24.84,23.41,21.78,20.5,18.72,17.06,16.59,17.22,17.19,17.44,18.16,19.03,20.03,20.09,20.0,19.78,19.66,18.69,17.78,17.53,17.94,18.53,19.31,20.81,23.03,24.59,25.5,26.06,27.47,28.84,29.25,29.88,30.28,31.16,30.84,30.5,30.81,31.44,31.34,30.53,29.38,28.38,26.88,24.81,23.25,22.38,22.19,21.78,21.34,21.5,22.22,22.34,22.31,22.56,23.44,23.75,23.69,24.12,25.12,26.5,27.25,27.38,28.06,28.31,27.03,25.66,24.84,25.16,25.16,25.22,25.78,26.47,26.53,25.72,24.97,25.12,25.19,25.03,25.31,26.47,27.41,27.69,27.44,27.69,27.97,28.12,27.91,27.84,28.69,29.09,28.97,29.12,29.62,29.84,29.25,28.16,27.53,27.06,26.09,25.25,24.38,24.47,24.44,23.91,23.16,23.69,24.16,24.19,24.03,24.09,24.75,24.38,23.97,24.5,25.75,26.53,26.84,26.84,27.59,27.62,27.06,26.0,25.62,25.06,23.75,22.16,21.28,20.84,20.69,20.56,21.12,23.03,24.81,25.91,26.56,28.12,29.56,30.25,30.56,31.38,32.28,31.75,30.91,30.69,30.62,30.22,29.38,28.84,29.09,29.28,29.34,29.25,29.75,30.66,30.84,30.34,30.5,30.75,30.22,29.06,28.72,29.22,29.75,29.69,29.5,29.75,29.88,29.09,28.03,28.41,29.09,29.25,29.12,29.44,29.81,29.56,28.62,27.75,27.53,27.19,26.06,25.31,25.56,26.38,26.81,26.88,28.0,29.53,30.12,30.22,31.09,32.62,33.72,34.41,35.16,36.19,36.34,35.25,33.75,32.62,31.88,30.81,29.28,28.84,28.81,28.31,27.38,27.69,28.88,29.5,29.38,29.0,29.03,28.66,27.34,44.38,45.53,46.41,47.34,48.47,49.03,49.62,50.12,50.5,50.09,49.38,48.53,48.0,47.69,46.84,46.28,46.38,46.19,46.06,45.91,45.75,45.41,44.31,43.16,42.03,41.81,41.47,41.47:19.31,20.0,21.59,23.62,24.31,24.78,25.78,26.56,25.62,24.03,22.72,21.66,19.34,16.97,15.5,15.53,15.09,14.81,15.25,16.94,19.22,20.97,23.03,26.0,29.16,30.75,32.44,34.28,36.25,36.75,36.69,36.09,35.97,35.44,33.72,32.41,31.75,31.5,30.56,29.91,30.47,31.62,31.97,32.09,32.31,32.84,31.75,29.09,26.0,23.38,19.97,16.19,13.56,12.75,13.34,14.34,15.97,19.16,22.56,25.19,27.03,28.91,31.16,32.34,32.53,32.72,33.53,33.94,33.09,32.12,31.62,30.0,27.38,24.16,21.69,19.88,18.28,16.44,15.34,15.16,14.97,14.69,14.94,16.56,18.5,19.19,19.31,19.91,20.5,20.47,20.12,20.88,22.06,22.5,22.28,21.88,22.31,22.12,21.47,21.16,21.69,21.56,20.38,18.69,17.72,17.75,18.0,18.69,20.69,23.62,26.12,27.06,27.66,28.25,27.88,26.31,24.44,23.5,22.25,20.47,18.66,17.88,18.31,18.28,18.34,19.09,20.97,22.59,23.28,24.0,25.47,25.69,24.72,23.06,22.41,22.12,21.19,20.06,19.69,19.62,18.84,17.0,15.28,14.72,13.97,12.66,12.62,14.69,16.62,18.34,19.56,20.88,21.91,22.0,21.5,21.16,22.19,22.81,23.09,24.0,26.06,27.88,28.69,29.0,29.81,29.69,28.41,25.91,23.44,21.06,18.16,15.22,13.25,12.53,11.81,10.72,10.06,10.59,11.28,11.41,11.81,13.44,15.28,16.59,17.12,18.0,18.12,17.34,15.12,12.56,10.44,7.78,4.41,1.19,-0.25,-0.94,-1.34,-0.41,2.44,6.34,10.5,13.88,17.0,19.38,20.34,20.12,19.69,20.44,21.28,21.5,21.78,23.19,24.62,25.47,26.12,27.22,27.97,27.72,26.44,25.22,23.78,22.0,19.19,16.78,15.28,14.41,13.69,13.56,14.53,15.94,16.69,16.56,16.88,17.22,17.09,15.28,13.84,12.47,11.59,10.5,10.38,12.09,14.09,15.72,17.16,18.81,20.06,20.56,19.81,19.34,19.75,19.94,19.56,19.34,19.84,20.56,20.25,20.12,20.75,21.0,19.84,17.75,15.66,13.69,11.5,8.84,7.34,7.03,7.03,7.25,8.34,10.38,12.72,14.31,15.06,16.38,17.59,18.22,18.66,19.12,19.78,19.56,18.03,16.25,15.25,14.66,13.47,12.69,12.66,13.19,13.06,12.69,13.03,13.5,13.16,12.16,12.12,12.88,14.16,14.97,15.66,16.53,16.62,15.06,13.06,11.44,10.5,9.53,9.19,9.88,11.19,12.06,12.31,12.72,13.5,14.22,13.81,13.25,12.19,11.34,9.84,8.25,7.53,7.66,7.34,6.66,6.59,7.34,8.38,9.16,10.56,12.72,14.91,16.31,17.5,19.34,21.62,23.28,24.78,25.78,26.66,26.59,25.34,23.84,22.81,21.81,20.22,18.66,17.88,17.56,16.5,15.38,14.91,14.56,14.38,13.72,12.91,12.44,12.03,10.81,9.84,10.34,11.41,11.94,12.53,13.91,15.16,15.81,15.81,16.03,16.66,16.97,17.09,17.09,18.03,18.34,17.62,16.44,15.56,14.69,13.34,12.0,11.53,11.59,11.0,9.78,9.25,9.16,9.59,10.0,10.97,12.94,15.16,16.41,17.28,18.78,19.91,19.81,18.72,17.78,17.03,15.69,14.25,13.5,13.62,14.06,13.97,13.62,14.56,14.88,14.12,12.94,11.66,10.78,9.19,7.62,6.56,6.25,5.31,4.5,3.59,4.12,5.16,6.28,7.5,9.97,12.62,14.91,16.69,18.16,19.78,20.47,19.88,18.97,18.53,17.97,17.0,16.03,16.31,17.0,16.75,15.69,15.31,14.84,13.78,12.44,12.25,12.41,12.28,11.84,11.31,11.41,11.25,10.56,10.22,11.19,12.41,13.56,14.25,15.41,16.03,15.94,15.12,14.5,14.94,14.94,14.38,13.75,13.97,14.31,14.25,13.91,14.34,14.75,14.5,13.47,13.34,13.88,14.41,14.25,14.5,15.31,16.5,16.91,17.38,19.12,21.0,21.84,21.62,22.41,23.0,22.88,22.25,22.06,22.06,21.81,20.5,19.5,19.12,18.69,17.31,15.44,14.47,13.53,11.84,10.06,9.22,8.97,8.44,7.34,7.25,7.5,7.62,6.91,6.5,6.94,7.38,7.44,7.19,7.84,8.84,9.06,8.62,8.75,9.69,10.62,11.03,12.47,14.88,17.16,18.09,18.66,19.34,19.53,18.66,17.31,17.06,17.84,18.53,18.97,19.75,20.66,20.66,19.16,17.38,15.88,14.34,12.34,10.12,9.25,8.91,8.41,7.62,7.88,8.78,9.47,9.34,9.34,9.69,9.81,8.72,7.78,7.78,8.31,8.69,9.09,10.47,12.38,13.34,13.53,14.25,15.31,16.44,16.62,16.88,18.06,19.16,18.88,18.47,18.19,17.78,15.59,13.25,11.75,11.25,10.41,9.66,9.31,9.38,9.34,7.97,7.16,7.5,8.28,8.0,8.16,9.28,10.5,10.94,10.88,11.56,12.56,12.59,11.88,10.81,10.59,10.44,8.97,8.25,8.97,10.19,11.03,12.38,14.69,17.62,19.38,20.34,20.97,21.81,21.72,20.06,18.34,16.91,15.75,13.75,12.56,12.5,13.28,13.28,13.09,12.88,13.31,13.12,12.31,12.06,12.56,13.0,12.19,10.91,10.03,9.06,6.84,4.5,3.47,3.53,3.25,3.28,4.44,6.69,8.44,9.62,10.34,11.28,10.94,9.53,8.47,8.81,10.22,11.41,12.69,14.59,16.62,17.25,16.44,15.56,15.09,13.84,11.44,9.56,8.94,8.69,7.84,7.56,7.88,8.31,7.25,5.56,4.59,4.59,4.34,3.84,3.5,3.81,3.41,2.12,0.97,1.62,2.19,2.56,3.62,5.31,6.91,7.62,7.59,7.31,7.41,7.19,5.88,4.84,4.62,3.81,2.44,1.19,1.59,2.59,2.34,1.44,0.66,-0.28,-2.09,-3.94,-4.38,-3.06,-1.56,-0.75,0.47,2.28,3.62,3.94,3.56,4.06,4.44,4.28,3.75,3.75,4.09,3.44,2.12,0.91,0.88,0.56,-0.03,-0.69,-0.28,0.81,0.78,0.34,0.5,0.94,0.97,0.75,1.25,3.12,4.47,5.09,5.84,7.28,8.38,8.66,8.88,10.09,11.56,12.81,13.25,14.31,14.97,14.72,13.06,11.53,11.06,10.16,8.97,8.28,8.94,10.22,10.78,11.69,13.47,15.03,15.88,15.97,15.81,16.0,15.84,14.66,13.94,14.31,14.38,13.44,12.28,12.06,11.62,10.72,9.84,9.75,10.0,9.5,8.0,6.94,6.06,4.81,3.12,2.0,3.0,4.62,6.41,8.66,11.66,14.44,15.84,16.44,17.0,17.78,17.44,16.22,14.94,13.88,12.53,10.5,8.84,8.75,9.31,9.53,10.0,11.75,13.78,15.5,16.41,17.38,18.44,18.91,18.28,18.28,19.53,20.53,20.72,20.53,21.38,21.41,20.66,19.5,19.38,19.41,19.62,19.44,19.72,20.56,20.78,19.81,19.19,19.28,19.88,19.88,19.66,20.31,20.09,19.38,17.75,16.53,15.94,14.94,13.06,11.38,10.56,10.22,10.16,11.16,13.28,16.0,17.31,17.66,18.12,18.5,18.47,17.59,17.22,16.94,16.06,14.19,13.0,13.12,13.53,13.97,14.75,16.75,18.88,20.03,21.06,21.78,21.88,21.25,19.69,18.53,18.12,17.59,16.56,15.5,15.03,14.75,14.84,15.38,16.72,18.97,20.53,21.41,22.81,24.25,25.03,25.28,25.56,26.09,26.09,24.84,23.41,21.78,20.5,18.72,17.06,16.59,17.22,17.19,17.44,18.16,19.03,20.03,20.09,20.0,19.78,19.66,18.69,17.78,17.53,17.94,18.53,19.31,20.81,23.03,24.59,25.5,26.06,27.47,28.84,29.25,29.88,30.28,31.16,30.84,30.5,30.81,31.44,31.34,30.53,29.38,28.38,26.88,24.81,23.25,22.38,22.19,21.78,21.34,21.5,22.22,22.34,22.31,22.56,23.44,23.75,23.69,24.12,25.12,26.5,27.25,27.38,28.06,28.31,27.03,25.66,24.84,25.16,25.16,25.22,25.78,26.47,26.53,25.72,24.97,25.12,25.19,25.03,25.31,26.47,27.41,27.69,27.44,27.69,27.97,28.12,27.91,27.84,28.69,29.09,28.97,29.12,29.62,29.84,29.25,28.16,27.53,27.06,26.09,25.25,24.38,24.47,24.44,23.91,23.16,23.69,24.16,24.19,24.03,24.09,24.75,24.38,23.97,24.5,25.75,26.53,26.84,26.84,27.59,27.62,27.06,26.0,25.62,25.06,23.75,22.16,21.28,20.84,20.69,20.56,21.12,23.03,24.81,25.91,26.56,28.12,29.56,30.25,30.56,31.38,32.28,31.75,30.91,30.69,30.62,30.22,29.38,28.84,29.09,29.28,29.34,29.25,29.75,30.66,30.84,30.34,30.5,30.75,30.22,29.06,28.72,29.22,29.75,29.69,29.5,29.75,29.88,29.09,28.03,28.41,29.09,29.25,29.12,29.44,29.81,29.56,28.62,27.75,27.53,27.19,26.06,25.31,25.56,26.38,26.81,26.88,28.0,29.53,30.12,30.22,31.09,32.62,33.72,34.41,35.16,36.19,36.34,35.25,33.75,32.62,31.88,30.81,29.28,28.84,28.81,28.31,27.38,27.69,28.88,29.5,29.38,29.0,29.03,28.66,27.34,44.38,45.53,46.41,47.34,48.47,49.03,49.62,50.12,50.5,50.09,49.38,48.53,48.0,47.69,46.84,46.28,46.38,46.19,46.06,45.91,45.75,45.41,44.31,43.16,42.03,41.81,41.47,41.47,41.38,41.34,40.84,39.66,38.53,37.88,38.03:26.56,25.62,24.03,22.72,21.66,19.34,16.97,15.5,15.53,15.09,14.81,15.25,16.94,19.22,20.97,23.03,26.0,29.16,30.75,32.44,34.28,36.25,36.75,36.69,36.09,35.97,35.44,33.72,32.41,31.75,31.5,30.56,29.91,30.47,31.62,31.97,32.09,32.31,32.84,31.75,29.09,26.0,23.38,19.97,16.19,13.56,12.75,13.34,14.34,15.97,19.16,22.56,25.19,27.03,28.91,31.16,32.34,32.53,32.72,33.53,33.94,33.09,32.12,31.62,30.0,27.38,24.16,21.69,19.88,18.28,16.44,15.34,15.16,14.97,14.69,14.94,16.56,18.5,19.19,19.31,19.91,20.5,20.47,20.12,20.88,22.06,22.5,22.28,21.88,22.31,22.12,21.47,21.16,21.69,21.56,20.38,18.69,17.72,17.75,18.0,18.69,20.69,23.62,26.12,27.06,27.66,28.25,27.88,26.31,24.44,23.5,22.25,20.47,18.66,17.88,18.31,18.28,18.34,19.09,20.97,22.59,23.28,24.0,25.47,25.69,24.72,23.06,22.41,22.12,21.19,20.06,19.69,19.62,18.84,17.0,15.28,14.72,13.97,12.66,12.62,14.69,16.62,18.34,19.56,20.88,21.91,22.0,21.5,21.16,22.19,22.81,23.09,24.0,26.06,27.88,28.69,29.0,29.81,29.69,28.41,25.91,23.44,21.06,18.16,15.22,13.25,12.53,11.81,10.72,10.06,10.59,11.28,11.41,11.81,13.44,15.28,16.59,17.12,18.0,18.12,17.34,15.12,12.56,10.44,7.78,4.41,1.19,-0.25,-0.94,-1.34,-0.41,2.44,6.34,10.5,13.88,17.0,19.38,20.34,20.12,19.69,20.44,21.28,21.5,21.78,23.19,24.62,25.47,26.12,27.22,27.97,27.72,26.44,25.22,23.78,22.0,19.19,16.78,15.28,14.41,13.69,13.56,14.53,15.94,16.69,16.56,16.88,17.22,17.09,15.28,13.84,12.47,11.59,10.5,10.38,12.09,14.09,15.72,17.16,18.81,20.06,20.56,19.81,19.34,19.75,19.94,19.56,19.34,19.84,20.56,20.25,20.12,20.75,21.0,19.84,17.75,15.66,13.69,11.5,8.84,7.34,7.03,7.03,7.25,8.34,10.38,12.72,14.31,15.06,16.38,17.59,18.22,18.66,19.12,19.78,19.56,18.03,16.25,15.25,14.66,13.47,12.69,12.66,13.19,13.06,12.69,13.03,13.5,13.16,12.16,12.12,12.88,14.16,14.97,15.66,16.53,16.62,15.06,13.06,11.44,10.5,9.53,9.19,9.88,11.19,12.06,12.31,12.72,13.5,14.22,13.81,13.25,12.19,11.34,9.84,8.25,7.53,7.66,7.34,6.66,6.59,7.34,8.38,9.16,10.56,12.72,14.91,16.31,17.5,19.34,21.62,23.28,24.78,25.78,26.66,26.59,25.34,23.84,22.81,21.81,20.22,18.66,17.88,17.56,16.5,15.38,14.91,14.56,14.38,13.72,12.91,12.44,12.03,10.81,9.84,10.34,11.41,11.94,12.53,13.91,15.16,15.81,15.81,16.03,16.66,16.97,17.09,17.09,18.03,18.34,17.62,16.44,15.56,14.69,13.34,12.0,11.53,11.59,11.0,9.78,9.25,9.16,9.59,10.0,10.97,12.94,15.16,16.41,17.28,18.78,19.91,19.81,18.72,17.78,17.03,15.69,14.25,13.5,13.62,14.06,13.97,13.62,14.56,14.88,14.12,12.94,11.66,10.78,9.19,7.62,6.56,6.25,5.31,4.5,3.59,4.12,5.16,6.28,7.5,9.97,12.62,14.91,16.69,18.16,19.78,20.47,19.88,18.97,18.53,17.97,17.0,16.03,16.31,17.0,16.75,15.69,15.31,14.84,13.78,12.44,12.25,12.41,12.28,11.84,11.31,11.41,11.25,10.56,10.22,11.19,12.41,13.56,14.25,15.41,16.03,15.94,15.12,14.5,14.94,14.94,14.38,13.75,13.97,14.31,14.25,13.91,14.34,14.75,14.5,13.47,13.34,13.88,14.41,14.25,14.5,15.31,16.5,16.91,17.38,19.12,21.0,21.84,21.62,22.41,23.0,22.88,22.25,22.06,22.06,21.81,20.5,19.5,19.12,18.69,17.31,15.44,14.47,13.53,11.84,10.06,9.22,8.97,8.44,7.34,7.25,7.5,7.62,6.91,6.5,6.94,7.38,7.44,7.19,7.84,8.84,9.06,8.62,8.75,9.69,10.62,11.03,12.47,14.88,17.16,18.09,18.66,19.34,19.53,18.66,17.31,17.06,17.84,18.53,18.97,19.75,20.66,20.66,19.16,17.38,15.88,14.34,12.34,10.12,9.25,8.91,8.41,7.62,7.88,8.78,9.47,9.34,9.34,9.69,9.81,8.72,7.78,7.78,8.31,8.69,9.09,10.47,12.38,13.34,13.53,14.25,15.31,16.44,16.62,16.88,18.06,19.16,18.88,18.47,18.19,17.78,15.59,13.25,11.75,11.25,10.41,9.66,9.31,9.38,9.34,7.97,7.16,7.5,8.28,8.0,8.16,9.28,10.5,10.94,10.88,11.56,12.56,12.59,11.88,10.81,10.59,10.44,8.97,8.25,8.97,10.19,11.03,12.38,14.69,17.62,19.38,20.34,20.97,21.81,21.72,20.06,18.34,16.91,15.75,13.75,12.56,12.5,13.28,13.28,13.09,12.88,13.31,13.12,12.31,12.06,12.56,13.0,12.19,10.91,10.03,9.06,6.84,4.5,3.47,3.53,3.25,3.28,4.44,6.69,8.44,9.62,10.34,11.28,10.94,9.53,8.47,8.81,10.22,11.41,12.69,14.59,16.62,17.25,16.44,15.56,15.09,13.84,11.44,9.56,8.94,8.69,7.84,7.56,7.88,8.31,7.25,5.56,4.59,4.59,4.34,3.84,3.5,3.81,3.41,2.12,0.97,1.62,2.19,2.56,3.62,5.31,6.91,7.62,7.59,7.31,7.41,7.19,5.88,4.84,4.62,3.81,2.44,1.19,1.59,2.59,2.34,1.44,0.66,-0.28,-2.09,-3.94,-4.38,-3.06,-1.56,-0.75,0.47,2.28,3.62,3.94,3.56,4.06,4.44,4.28,3.75,3.75,4.09,3.44,2.12,0.91,0.88,0.56,-0.03,-0.69,-0.28,0.81,0.78,0.34,0.5,0.94,0.97,0.75,1.25,3.12,4.47,5.09,5.84,7.28,8.38,8.66,8.88,10.09,11.56,12.81,13.25,14.31,14.97,14.72,13.06,11.53,11.06,10.16,8.97,8.28,8.94,10.22,10.78,11.69,13.47,15.03,15.88,15.97,15.81,16.0,15.84,14.66,13.94,14.31,14.38,13.44,12.28,12.06,11.62,10.72,9.84,9.75,10.0,9.5,8.0,6.94,6.06,4.81,3.12,2.0,3.0,4.62,6.41,8.66,11.66,14.44,15.84,16.44,17.0,17.78,17.44,16.22,14.94,13.88,12.53,10.5,8.84,8.75,9.31,9.53,10.0,11.75,13.78,15.5,16.41,17.38,18.44,18.91,18.28,18.28,19.53,20.53,20.72,20.53,21.38,21.41,20.66,19.5,19.38,19.41,19.62,19.44,19.72,20.56,20.78,19.81,19.19,19.28,19.88,19.88,19.66,20.31,20.09,19.38,17.75,16.53,15.94,14.94,13.06,11.38,10.56,10.22,10.16,11.16,13.28,16.0,17.31,17.66,18.12,18.5,18.47,17.59,17.22,16.94,16.06,14.19,13.0,13.12,13.53,13.97,14.75,16.75,18.88,20.03,21.06,21.78,21.88,21.25,19.69,18.53,18.12,17.59,16.56,15.5,15.03,14.75,14.84,15.38,16.72,18.97,20.53,21.41,22.81,24.25,25.03,25.28,25.56,26.09,26.09,24.84,23.41,21.78,20.5,18.72,17.06,16.59,17.22,17.19,17.44,18.16,19.03,20.03,20.09,20.0,19.78,19.66,18.69,17.78,17.53,17.94,18.53,19.31,20.81,23.03,24.59,25.5,26.06,27.47,28.84,29.25,29.88,30.28,31.16,30.84,30.5,30.81,31.44,31.34,30.53,29.38,28.38,26.88,24.81,23.25,22.38,22.19,21.78,21.34,21.5,22.22,22.34,22.31,22.56,23.44,23.75,23.69,24.12,25.12,26.5,27.25,27.38,28.06,28.31,27.03,25.66,24.84,25.16,25.16,25.22,25.78,26.47,26.53,25.72,24.97,25.12,25.19,25.03,25.31,26.47,27.41,27.69,27.44,27.69,27.97,28.12,27.91,27.84,28.69,29.09,28.97,29.12,29.62,29.84,29.25,28.16,27.53,27.06,26.09,25.25,24.38,24.47,24.44,23.91,23.16,23.69,24.16,24.19,24.03,24.09,24.75,24.38,23.97,24.5,25.75,26.53,26.84,26.84,27.59,27.62,27.06,26.0,25.62,25.06,23.75,22.16,21.28,20.84,20.69,20.56,21.12,23.03,24.81,25.91,26.56,28.12,29.56,30.25,30.56,31.38,32.28,31.75,30.91,30.69,30.62,30.22,29.38,28.84,29.09,29.28,29.34,29.25,29.75,30.66,30.84,30.34,30.5,30.75,30.22,29.06,28.72,29.22,29.75,29.69,29.5,29.75,29.88,29.09,28.03,28.41,29.09,29.25,29.12,29.44,29.81,29.56,28.62,27.75,27.53,27.19,26.06,25.31,25.56,26.38,26.81,26.88,28.0,29.53,30.12,30.22,31.09,32.62,33.72,34.41,35.16,36.19,36.34,35.25,33.75,32.62,31.88,30.81,29.28,28.84,28.81,28.31,27.38,27.69,28.88,29.5,29.38,29.0,29.03,28.66,27.34,44.38,45.53,46.41,47.34,48.47,49.03,49.62,50.12,50.5,50.09,49.38,48.53,48.0,47.69,46.84,46.28,46.38,46.19,46.06,45.91,45.75,45.41,44.31,43.16,42.03,41.81,41.47,41.47,41.38,41.34,40.84,39.66,38.53,37.88,38.03,38.25,39.31,40.5,42.28,43.47,44.28,44.72:positivity
21.91,22.59,23.25,25.03,26.34,24.97,22.88,21.47,19.81,16.12,11.53,8.03,5.31,2.03,-2.06,-5.38,-6.44,-7.44,-8.38,-7.72,-3.5,1.94,6.53,11.09,16.53,22.22,25.81,28.19,31.41,35.38,38.12,38.91,39.44,39.88,37.94,33.25,27.31,23.25,19.5,15.06,11.28,9.47,9.41,9.44,9.97,12.84,18.0,22.69,26.0,28.53,31.62,32.88,31.75,29.88,29.53,29.56,28.97,28.47,29.38,31.28,31.62,29.75,27.69,25.09,20.94,14.72,8.22,3.91,-0.03,-4.66,-9.22,-11.0,-11.75,-13.22,-14.47,-13.81,-11.34,-9.31,-7.25,-3.66,1.97,7.94,12.44,16.84,21.75,26.03,27.97,28.47,30.19,31.81,32.56,32.88,33.34,34.47,33.88,31.03,28.03,26.19,24.34,21.44,18.88,18.28,18.41,17.06,15.41,15.72,16.72,17.09,16.94,17.41,18.72,19.03,17.88,16.69,17.31,18.66,19.03,19.75,22.41,24.91,25.62,25.12,25.56,26.38,26.06,24.41,23.16,22.22,20.44,17.38,14.31,12.84,11.41,8.81,6.19,5.09,4.59,3.25,1.19,0.62,1.06,1.69,2.25,4.0,6.88,9.41,10.0,10.56,12.41,14.53,15.34,15.44,16.12,16.84,15.91,13.84,12.81,12.34,11.25,9.0,7.75,7.91,8.47,7.72,7.31,8.75,10.53,10.72,10.56,11.94,13.84,15.09,15.47,16.78,18.72,19.47,18.31,17.28,17.88,18.72,18.81,19.47,21.84,25.03,26.91,27.47,28.94,30.28,30.31,28.88,28.19,28.38,28.47,26.88,25.44,25.53,25.69,25.09,24.19,25.34,27.25,27.84,27.78,28.94,30.22,30.5,29.47,28.69,28.69,28.34,26.38,24.91,24.66,24.62,23.25,21.72,21.78,23.03,24.03,24.53,26.12,28.25,28.59,26.59,24.88,23.69,22.69,20.91,19.75,20.59,22.41,23.34,24.06,25.69,27.16,27.34,26.25,25.41,25.81,25.78,24.34,23.47,24.34,25.66,25.38,25.44,26.62,28.72,29.41,29.66,31.09,33.03,33.34,31.78,30.41,29.66,28.41,25.91,24.41,24.41,25.25,24.75,24.53,25.66,27.59,28.59,28.41,29.19,30.56,30.81,29.44,28.81,29.47,30.09,29.28,28.31,28.72,29.22,28.03,27.0,27.03,27.81,27.5,25.59,24.09,23.25,21.75,19.12,17.75,18.34,19.88,20.12,20.94,22.69,24.97,25.81,25.62,26.41,27.75,27.47,25.81,24.91,25.31,25.25,24.06,23.22,23.66,24.09,22.47,20.72,20.19,20.25,18.69,17.12,17.09,18.47,19.97,20.91,22.75,26.28,29.69,31.0,32.19,34.28,35.91,35.31,34.03,33.41,32.72,31.41,29.09,27.69,27.91,28.0,26.78,26.34,27.31,27.94,27.16,25.97,26.53,26.94,25.81,24.22,22.97,22.5,21.03,18.94,17.75,18.25,18.78,18.56,18.69,20.72,23.53,24.78,26.28,28.69,30.91,31.16,30.06,29.19,29.16,27.78,25.31,23.41,22.88,22.19,20.94,20.84,22.59,25.03,26.19,26.84,28.22,30.19,30.44,29.91,29.25,29.31,28.06,26.06,23.94,23.81,23.78,22.19,20.62,20.53,20.62,19.31,17.88,17.72,18.38,18.22,17.56,17.78,19.25,19.97,19.56,19.03,19.47,19.12,17.44,15.03,13.91,13.16,11.53,10.0,9.59,10.44,10.41,9.31,8.59,8.94,8.69,7.12,5.66,6.12,6.66,5.91,5.53,7.0,9.12,10.47,11.66,13.69,16.5,18.44,19.53,20.91,23.0,24.16,23.72,22.53,22.12,21.5,18.81,15.94,14.47,14.03,12.91,11.66,11.09,11.16,10.28,8.19,6.47,6.28,6.09,5.0,4.34,6.09,9.25,11.88,14.81,19.28,23.94,27.16,28.66,30.0,31.59,31.38,29.19,26.34,24.72,23.0,20.16,17.31,17.0,17.5,17.41,16.97,17.97,19.84,20.06,19.53,19.25,19.94,19.91,18.25,16.12,15.81,15.69,14.59,13.72,14.84,16.56,16.66,15.25,14.69,14.38,12.47,10.06,8.06,8.12,8.44,8.38,9.0,12.09,14.88,15.81,15.72,16.19,16.06,14.41,11.22,8.88,7.88,6.38,4.94,4.5,6.0,7.62,7.69,8.34,10.28,12.97,14.28,15.12,17.06,18.47,18.72,16.94,15.41,14.69,12.41,9.0,5.44,3.06,0.44,-3.59,-7.56,-9.06,-9.25,-9.97,-10.34,-8.38,-5.06,-2.38,-0.62,2.0,5.72,8.91,10.38,11.56,14.16,15.5,14.97,13.53,13.19,12.91,11.59,9.22,8.09,8.12,7.31,4.94,3.31,3.34,2.94,2.0,1.22,2.19,4.16,4.69,5.22,7.44,10.31,12.31,13.12,15.28,18.03,20.09,20.19,19.72,19.31,18.12,14.81,11.03,9.38,8.25,6.56,5.34,6.12,8.53,10.44,11.31,12.81,14.56,15.72,14.22,12.78,13.25,14.0,13.91,13.81,15.59,17.59,17.75,16.44,15.78,15.97,15.22,12.78,11.12,10.44,9.16,6.09,4.09,4.0,4.94,5.72,6.75,10.0,13.31,15.88,16.88,18.47,20.69,21.75,20.66,19.38,19.12,17.91,14.88,11.72,9.88,8.12,4.94,1.41,-0.16,-0.62,-0.94,-1.16,0.59,3.75,6.94,8.66,10.38,12.59,14.19,13.56,12.19,11.97,12.03,10.84,8.34,7.16,6.97,6.41,5.25,5.56,8.16,10.31,10.66,10.75,11.41,11.5,9.12,6.66,5.62,5.28,3.88,1.75,1.19,1.62,2.22,2.38,3.72,7.09,10.09,11.03,11.94,14.22,16.09,15.97,15.19,15.06,15.09,14.0,11.81,10.81,10.94,10.22,8.03,6.97,7.75,8.22,7.25,6.72,7.31,8.22,7.47,6.47,7.03,8.56,8.94,8.31,8.66,9.53,9.78,8.53,7.91,9.34,11.09,11.28,11.84,13.34,14.66,13.88,12.84,12.84,13.66,14.06,13.25,13.28,14.19,14.53,13.09,12.06,12.0,11.81,9.72,7.41,6.97,7.72,7.03,6.12,6.47,7.81,8.09,7.09,7.72,9.59,11.06,11.47,12.41,14.66,16.91,17.09,16.72,17.28,18.38,17.94,16.75,16.38,16.72,15.66,13.09,11.47,10.44,9.44,6.75,4.0,3.47,3.28,1.69,0.31,0.66,1.91,1.91,1.62,2.34,4.31,5.38,5.16,5.56,7.12,8.81,8.66,8.62,9.56,9.91,7.78,4.53,2.72,1.81,-0.16,-2.62,-3.97,-4.0,-4.69,-6.5,-7.62,-7.5,-6.97,-8.19,-8.84,-7.59,-5.5,-4.56,-3.47,-1.12,2.47,4.47,5.5,6.91,9.56,12.16,13.5,15.41,18.09,19.97,18.34,15.5,12.78,10.5,6.97,3.38,1.47,1.09,-0.31,-2.81,-4.53,-4.31,-4.22,-5.12,-5.41,-4.12,-2.44,-2.78,-3.0,-1.84,0.03,0.38,0.16,0.84,2.59,3.91,4.44,5.44,7.59,9.31,8.62,7.94,8.25,8.84,7.09,4.81,3.44,2.34,-0.16,-3.66,-6.03,-7.06,-8.69,-10.94,-11.59,-9.62,-7.06,-5.34,-3.16,0.78,5.16,7.44,8.41,10.28,11.88,12.03,10.84,10.88,12.0,12.12,11.09,10.38,11.34,12.41,11.53,10.25,10.19,10.19,8.25,5.53,3.81,3.03,0.75,-2.44,-4.56,-4.88,-5.62,-7.72,-9.12,-8.31,-7.06,-6.75,-5.59,-2.38,1.84,4.69,6.59,9.06,12.19,13.53,13.09,13.06,14.25,14.44,12.84,10.69,9.88,8.97,6.0,2.44,0.31,-1.12,-4.09,-7.09,-8.69,-8.5,-9.03,-10.78,-11.78,-10.94,-10.12,-10.31,-9.41,-6.94,-4.06,-2.91,-2.06,-0.5,1.91,2.72,2.41,3.16,4.53,4.56,3.31,2.28,2.25,2.38,0.97,-0.88,-1.19,-1.75,-3.97,-7.22,-9.25,-9.94,-11.56,-13.56,-13.16,-10.62,-7.97,-6.5,-4.81,-1.75,0.56,1.22,1.47,3.44,5.88,6.31,5.84,6.34,7.81,8.0,7.69,8.12,10.09,10.75,9.22,7.22,6.5,4.91,2.09,-0.47,-1.25,-0.91,-1.53,-2.59,-2.06,-0.25,0.34,-0.34,-0.78,0.5,0.81,-0.03,-0.78,0.38,1.91,2.28,2.47,4.41,6.94,7.88,7.75,8.12,9.22,8.97,7.56,6.97,8.06,9.06,8.78,8.5,9.0,9.38,7.97,5.47,4.5,4.56,4.22,3.44,3.84,5.56,6.12,4.91,3.94,4.41,4.91,4.12,3.53,4.56,5.91,5.5,4.41,4.0,4.38,3.78,2.12,1.34,2.22,2.59,1.84,1.09,2.12,2.88,2.03,1.06,1.88,3.34,4.06,4.0,5.09,7.16,7.72,6.44,5.41,5.38,4.97,2.66,0.75,1.22,2.22,1.75,1.06,1.91,2.91,2.53,1.5,1.47,2.78,3.59,2.88,2.69,3.5,4.06,3.41,3.66,5.72,7.97,8.47,7.38,6.78,6.28,4.59,2.66,1.88,2.19,1.78,-0.19,-1.94,-1.78,-1.5,-2.28,-3.31,-2.56,-2.03,-3.19,-4.69,-5.28,-4.97,-5.06,-5.72,-5.44,-3.38,-1.25,-0.47,1.0,4.28,7.56,8.97,9.34,10.75,10.88,9.47,6.5,4.75,3.91,3.06,1.84,1.91,3.97,5.47,5.16,5.06,5.81,6.5,6.0,5.09,6.12,7.72,8.03,7.81,8.47,9.69,9.47,7.97,6.75,6.59,5.91,4.03,2.38,2.19,1.94,0.84,-0.66,-0.69,-0.09,-0.19,-1.72,-2.22,-1.47,-1.12,-1.62,-1.25,1.28,3.06,3.47,3.94,5.69,7.25,7.59,7.28,7.5,8.97,9.25,8.53,7.97,8.22:21.47,19.81,16.12,11.53,8.03,5.31,2.03,-2.06,-5.38,-6.44,-7.44,-8.38,-7.72,-3.5,1.94,6.53,11.09,16.53,22.22,25.81,28.19,31.41,35.38,38.12,38.91,39.44,39.88,37.94,33.25,27.31,23.25,19.5,15.06,11.28,9.47,9.41,9.44,9.97,12.84,18.0,22.69,26.0,28.53,31.62,32.88,31.75,29.88,29.53,29.56,28.97,28.47,29.38,31.28,31.62,29.75,27.69,25.09,20.94,14.72,8.22,3.91,-0.03,-4.66,-9.22,-11.0,-11.75,-13.22,-14.47,-13.81,-11.34,-9.31,-7.25,-3.66,1.97,7.94,12.44,16.84,21.75,26.03,27.97,28.47,30.19,31.81,32.56,32.88,33.34,34.47,33.88,31.03,28.03,26.19,24.34,21.44,18.88,18.28,18.41,17.06,15.41,15.72,16.72,17.09,16.94,17.41,18.72,19.03,17.88,16.69,17.31,18.66,19.03,19.75,22.41,24.91,25.62,25.12,25.56,26.38,26.06,24.41,23.16,22.22,20.44,17.38,14.31,12.84,11.41,8.81,6.19,5.09,4.59,3.25,1.19,0.62,1.06,1.69,2.25,4.0,6.88,9.41,10.0,10.56,12.41,14.53,15.34,15.44,16.12,16.84,15.91,13.84,12.81,12.34,11.25,9.0,7.75,7.91,8.47,7.72,7.31,8.75,10.53,10.72,10.56,11.94,13.84,15.09,15.47,16.78,18.72,19.47,18.31,17.28,17.88,18.72,18.81,19.47,21.84,25.03,26.91,27.47,28.94,30.28,30.31,28.88,28.19,28.38,28.47,26.88,25.44,25.53,25.69,25.09,24.19,25.34,27.25,27.84,27.78,28.94,30.22,30.5,29.47,28.69,28.69,28.34,26.38,24.91,24.66,24.62,23.25,21.72,21.78,23.03,24.03,24.53,26.12,28.25,28.59,26.59,24.88,23.69,22.69,20.91,19.75,20.59,22.41,23.34,24.06,25.69,27.16,27.34,26.25,25.41,25.81,25.78,24.34,23.47,24.34,25.66,25.38,25.44,26.62,28.72,29.41,29.66,31.09,33.03,33.34,31.78,30.41,29.66,28.41,25.91,24.41,24.41,25.25,24.75,24.53,25.66,27.59,28.59,28.41,29.19,30.56,30.81,29.44,28.81,29.47,30.09,29.28,28.31,28.72,29.22,28.03,27.0,27.03,27.81,27.5,25.59,24.09,23.25,21.75,19.12,17.75,18.34,19.88,20.12,20.94,22.69,24.97,25.81,25.62,26.41,27.75,27.47,25.81,24.91,25.31,25.25,24.06,23.22,23.66,24.09,22.47,20.72,20.19,20.25,18.69,17.12,17.09,18.47,19.97,20.91,22.75,26.28,29.69,31.0,32.19,34.28,35.91,35.31,34.03,33.41,32.72,31.41,29.09,27.69,27.91,28.0,26.78,26.34,27.31,27.94,27.16,25.97,26.53,26.94,25.81,24.22,22.97,22.5,21.03,18.94,17.75,18.25,18.78,18.56,18.69,20.72,23.53,24.78,26.28,28.69,30.91,31.16,30.06,29.19,29.16,27.78,25.31,23.41,22.88,22.19,20.94,20.84,22.59,25.03,26.19,26.84,28.22,30.19,30.44,29.91,29.25,29.31,28.06,26.06,23.94,23.81,23.78,22.19,20.62,20.53,20.62,19.31,17.88,17.72,18.38,18.22,17.56,17.78,19.25,19.97,19.56,19.03,19.47,19.12,17.44,15.03,13.91,13.16,11.53,10.0,9.59,10.44,10.41,9.31,8.59,8.94,8.69,7.12,5.66,6.12,6.66,5.91,5.53,7.0,9.12,10.47,11.66,13.69,16.5,18.44,19.53,20.91,23.0,24.16,23.72,22.53,22.12,21.5,18.81,15.94,14.47,14.03,12.91,11.66,11.09,11.16,10.28,8.19,6.47,6.28,6.09,5.0,4.34,6.09,9.25,11.88,14.81,19.28,23.94,27.16,28.66,30.0,31.59,31.38,29.19,26.34,24.72,23.0,20.16,17.31,17.0,17.5,17.41,16.97,17.97,19.84,20.06,19.53,19.25,19.94,19.91,18.25,16.12,15.81,15.69,14.59,13.72,14.84,16.56,16.66,15.25,14.69,14.38,12.47,10.06,8.06,8.12,8.44,8.38,9.0,12.09,14.88,15.81,15.72,16.19,16.06,14.41,11.22,8.88,7.88,6.38,4.94,4.5,6.0,7.62,7.69,8.34,10.28,12.97,14.28,15.12,17.06,18.47,18.72,16.94,15.41,14.69,12.41,9.0,5.44,3.06,0.44,-3.59,-7.56,-9.06,-9.25,-9.97,-10.34,-8.38,-5.06,-2.38,-0.62,2.0,5.72,8.91,10.38,11.56,14.16,15.5,14.97,13.53,13.19,12.91,11.59,9.22,8.09,8.12,7.31,4.94,3.31,3.34,2.94,2.0,1.22,2.19,4.16,4.69,5.22,7.44,10.31,12.31,13.12,15.28,18.03,20.09,20.19,19.72,19.31,18.12,14.81,11.03,9.38,8.25,6.56,5.34,6.12,8.53,10.44,11.31,12.81,14.56,15.72,14.22,12.78,13.25,14.0,13.91,13.81,15.59,17.59,17.75,16.44,15.78,15.97,15.22,12.78,11.12,10.44,9.16,6.09,4.09,4.0,4.94,5.72,6.75,10.0,13.31,15.88,16.88,18.47,20.69,21.75,20.66,19.38,19.12,17.91,14.88,11.72,9.88,8.12,4.94,1.41,-0.16,-0.62,-0.94,-1.16,0.59,3.75,6.94,8.66,10.38,12.59,14.19,13.56,12.19,11.97,12.03,10.84,8.34,7.16,6.97,6.41,5.25,5.56,8.16,10.31,10.66,10.75,11.41,11.5,9.12,6.66,5.62,5.28,3.88,1.75,1.19,1.62,2.22,2.38,3.72,7.09,10.09,11.03,11.94,14.22,16.09,15.97,15.19,15.06,15.09,14.0,11.81,10.81,10.94,10.22,8.03,6.97,7.75,8.22,7.25,6.72,7.31,8.22,7.47,6.47,7.03,8.56,8.94,8.31,8.66,9.53,9.78,8.53,7.91,9.34,11.09,11.28,11.84,13.34,14.66,13.88,12.84,12.84,13.66,14.06,13.25,13.28,14.19,14.53,13.09,12.06,12.0,11.81,9.72,7.41,6.97,7.72,7.03,6.12,6.47,7.81,8.09,7.09,7.72,9.59,11.06,11.47,12.41,14.66,16.91,17.09,16.72,17.28,18.38,17.94,16.75,16.38,16.72,15.66,13.09,11.47,10.44,9.44,6.75,4.0,3.47,3.28,1.69,0.31,0.66,1.91,1.91,1.62,2.34,4.31,5.38,5.16,5.56,7.12,8.81,8.66,8.62,9.56,9.91,7.78,4.53,2.72,1.81,-0.16,-2.62,-3.97,-4.0,-4.69,-6.5,-7.62,-7.5,-6.97,-8.19,-8.84,-7.59,-5.5,-4.56,-3.47,-1.12,2.47,4.47,5.5,6.91,9.56,12.16,13.5,15.41,18.09,19.97,18.34,15.5,12.78,10.5,6.97,3.38,1.47,1.09,-0.31,-2.81,-4.53,-4.31,-4.22,-5.12,-5.41,-4.12,-2.44,-2.78,-3.0,-1.84,0.03,0.38,0.16,0.84,2.59,3.91,4.44,5.44,7.59,9.31,8.62,7.94,8.25,8.84,7.09,4.81,3.44,2.34,-0.16,-3.66,-6.03,-7.06,-8.69,-10.94,-11.59,-9.62,-7.06,-5.34,-3.16,0.78,5.16,7.44,8.41,10.28,11.88,12.03,10.84,10.88,12.0,12.12,11.09,10.38,11.34,12.41,11.53,10.25,10.19,10.19,8.25,5.53,3.81,3.03,0.75,-2.44,-4.56,-4.88,-5.62,-7.72,-9.12,-8.31,-7.06,-6.75,-5.59,-2.38,1.84,4.69,6.59,9.06,12.19,13.53,13.09,13.06,14.25,14.44,12.84,10.69,9.88,8.97,6.0,2.44,0.31,-1.12,-4.09,-7.09,-8.69,-8.5,-9.03,-10.78,-11.78,-10.94,-10.12,-10.31,-9.41,-6.94,-4.06,-2.91,-2.06,-0.5,1.91,2.72,2.41,3.16,4.53,4.56,3.31,2.28,2.25,2.38,0.97,-0.88,-1.19,-1.75,-3.97,-7.22,-9.25,-9.94,-11.56,-13.56,-13.16,-10.62,-7.97,-6.5,-4.81,-1.75,0.56,1.22,1.47,3.44,5.88,6.31,5.84,6.34,7.81,8.0,7.69,8.12,10.09,10.75,9.22,7.22,6.5,4.91,2.09,-0.47,-1.25,-0.91,-1.53,-2.59,-2.06,-0.25,0.34,-0.34,-0.78,0.5,0.81,-0.03,-0.78,0.38,1.91,2.28,2.47,4.41,6.94,7.88,7.75,8.12,9.22,8.97,7.56,6.97,8.06,9.06,8.78,8.5,9.0,9.38,7.97,5.47,4.5,4.56,4.22,3.44,3.84,5.56,6.12,4.91,3.94,4.41,4.91,4.12,3.53,4.56,5.91,5.5,4.41,4.0,4.38,3.78,2.12,1.34,2.22,2.59,1.84,1.09,2.12,2.88,2.03,1.06,1.88,3.34,4.06,4.0,5.09,7.16,7.72,6.44,5.41,5.38,4.97,2.66,0.75,1.22,2.22,1.75,1.06,1.91,2.91,2.53,1.5,1.47,2.78,3.59,2.88,2.69,3.5,4.06,3.41,3.66,5.72,7.97,8.47,7.38,6.78,6.28,4.59,2.66,1.88,2.19,1.78,-0.19,-1.94,-1.78,-1.5,-2.28,-3.31,-2.56,-2.03,-3.19,-4.69,-5.28,-4.97,-5.06,-5.72,-5.44,-3.38,-1.25,-0.47,1.0,4.28,7.56,8.97,9.34,10.75,10.88,9.47,6.5,4.75,3.91,3.06,1.84,1.91,3.97,5.47,5.16,5.06,5.81,6.5,6.0,5.09,6.12,7.72,8.03,7.81,8.47,9.69,9.47,7.97,6.75,6.59,5.91,4.03,2.38,2.19,1.94,0.84,-0.66,-0.69,-0.09,-0.19,-1.72,-2.22,-1.47,-1.12,-1.62,-1.25,1.28,3.06,3.47,3.94,5.69,7.25,7.59,7.28,7.5,8.97,9.25,8.53,7.97,8.22,14.12,11.84,9.41,7.22,5.59,4.56,3.59:-2.06,-5.38,-6.44,-7.44,-8.38,-7.72,-3.5,1.94,6.53,11.09,16.53,22.22,25.81,28.19,31.41,35.38,38.12,38.91,39.44,39.88,37.94,33.25,27.31,23.25,19.5,15.06,11.28,9.47,9.41,9.44,9.97,12.84,18.0,22.69,26.0,28.53,31.62,32.88,31.75,29.88,29.53,29.56,28.97,28.47,29.38,31.28,31.62,29.75,27.69,25.09,20.94,14.72,8.22,3.91,-0.03,-4.66,-9.22,-11.0,-11.75,-13.22,-14.47,-13.81,-11.34,-9.31,-7.25,-3.66,1.97,7.94,12.44,16.84,21.75,26.03,27.97,28.47,30.19,31.81,32.56,32.88,33.34,34.47,33.88,31.03,28.03,26.19,24.34,21.44,18.88,18.28,18.41,17.06,15.41,15.72,16.72,17.09,16.94,17.41,18.72,19.03,17.88,16.69,17.31,18.66,19.03,19.75,22.41,24.91,25.62,25.12,25.56,26.38,26.06,24.41,23.16,22.22,20.44,17.38,14.31,12.84,11.41,8.81,6.19,5.09,4.59,3.25,1.19,0.62,1.06,1.69,2.25,4.0,6.88,9.41,10.0,10.56,12.41,14.53,15.34,15.44,16.12,16.84,15.91,13.84,12.81,12.34,11.25,9.0,7.75,7.91,8.47,7.72,7.31,8.75,10.53,10.72,10.56,11.94,13.84,15.09,15.47,16.78,18.72,19.47,18.31,17.28,17.88,18.72,18.81,19.47,21.84,25.03,26.91,27.47,28.94,30.28,30.31,28.88,28.19,28.38,28.47,26.88,25.44,25.53,25.69,25.09,24.19,25.34,27.25,27.84,27.78,28.94,30.22,30.5,29.47,28.69,28.69,28.34,26.38,24.91,24.66,24.62,23.25,21.72,21.78,23.03,24.03,24.53,26.12,28.25,28.59,26.59,24.88,23.69,22.69,20.91,19.75,20.59,22.41,23.34,24.06,25.69,27.16,27.34,26.25,25.41,25.81,25.78,24.34,23.47,24.34,25.66,25.38,25.44,26.62,28.72,29.41,29.66,31.09,33.03,33.34,31.78,30.41,29.66,28.41,25.91,24.41,24.41,25.25,24.75,24.53,25.66,27.59,28.59,28.41,29.19,30.56,30.81,29.44,28.81,29.47,30.09,29.28,28.31,28.72,29.22,28.03,27.0,27.03,27.81,27.5,25.59,24.09,23.25,21.75,19.12,17.75,18.34,19.88,20.12,20.94,22.69,24.97,25.81,25.62,26.41,27.75,27.47,25.81,24.91,25.31,25.25,24.06,23.22,23.66,24.09,22.47,20.72,20.19,20.25,18.69,17.12,17.09,18.47,19.97,20.91,22.75,26.28,29.69,31.0,32.19,34.28,35.91,35.31,34.03,33.41,32.72,31.41,29.09,27.69,27.91,28.0,26.78,26.34,27.31,27.94,27.16,25.97,26.53,26.94,25.81,24.22,22.97,22.5,21.03,18.94,17.75,18.25,18.78,18.56,18.69,20.72,23.53,24.78,26.28,28.69,30.91,31.16,30.06,29.19,29.16,27.78,25.31,23.41,22.88,22.19,20.94,20.84,22.59,25.03,26.19,26.84,28.22,30.19,30.44,29.91,29.25,29.31,28.06,26.06,23.94,23.81,23.78,22.19,20.62,20.53,20.62,19.31,17.88,17.72,18.38,18.22,17.56,17.78,19.25,19.97,19.56,19.03,19.47,19.12,17.44,15.03,13.91,13.16,11.53,10.0,9.59,10.44,10.41,9.31,8.59,8.94,8.69,7.12,5.66,6.12,6.66,5.91,5.53,7.0,9.12,10.47,11.66,13.69,16.5,18.44,19.53,20.91,23.0,24.16,23.72,22.53,22.12,21.5,18.81,15.94,14.47,14.03,12.91,11.66,11.09,11.16,10.28,8.19,6.47,6.28,6.09,5.0,4.34,6.09,9.25,11.88,14.81,19.28,23.94,27.16,28.66,30.0,31.59,31.38,29.19,26.34,24.72,23.0,20.16,17.31,17.0,17.5,17.41,16.97,17.97,19.84,20.06,19.53,19.25,19.94,19.91,18.25,16.12,15.81,15.69,14.59,13.72,14.84,16.56,16.66,15.25,14.69,14.38,12.47,10.06,8.06,8.12,8.44,8.38,9.0,12.09,14.88,15.81,15.72,16.19,16.06,14.41,11.22,8.88,7.88,6.38,4.94,4.5,6.0,7.62,7.69,8.34,10.28,12.97,14.28,15.12,17.06,18.47,18.72,16.94,15.41,14.69,12.41,9.0,5.44,3.06,0.44,-3.59,-7.56,-9.06,-9.25,-9.97,-10.34,-8.38,-5.06,-2.38,-0.62,2.0,5.72,8.91,10.38,11.56,14.16,15.5,14.97,13.53,13.19,12.91,11.59,9.22,8.09,8.12,7.31,4.94,3.31,3.34,2.94,2.0,1.22,2.19,4.16,4.69,5.22,7.44,10.31,12.31,13.12,15.28,18.03,20.09,20.19,19.72,19.31,18.12,14.81,11.03,9.38,8.25,6.56,5.34,6.12,8.53,10.44,11.31,12.81,14.56,15.72,14.22,12.78,13.25,14.0,13.91,13.81,15.59,17.59,17.75,16.44,15.78,15.97,15.22,12.78,11.12,10.44,9.16,6.09,4.09,4.0,4.94,5.72,6.75,10.0,13.31,15.88,16.88,18.47,20.69,21.75,20.66,19.38,19.12,17.91,14.88,11.72,9.88,8.12,4.94,1.41,-0.16,-0.62,-0.94,-1.16,0.59,3.75,6.94,8.66,10.38,12.59,14.19,13.56,12.19,11.97,12.03,10.84,8.34,7.16,6.97,6.41,5.25,5.56,8.16,10.31,10.66,10.75,11.41,11.5,9.12,6.66,5.62,5.28,3.88,1.75,1.19,1.62,2.22,2.38,3.72,7.09,10.09,11.03,11.94,14.22,16.09,15.97,15.19,15.06,15.09,14.0,11.81,10.81,10.94,10.22,8.03,6.97,7.75,8.22,7.25,6.72,7.31,8.22,7.47,6.47,7.03,8.56,8.94,8.31,8.66,9.53,9.78,8.53,7.91,9.34,11.09,11.28,11.84,13.34,14.66,13.88,12.84,12.84,13.66,14.06,13.25,13.28,14.19,14.53,13.09,12.06,12.0,11.81,9.72,7.41,6.97,7.72,7.03,6.12,6.47,7.81,8.09,7.09,7.72,9.59,11.06,11.47,12.41,14.66,16.91,17.09,16.72,17.28,18.38,17.94,16.75,16.38,16.72,15.66,13.09,11.47,10.44,9.44,6.75,4.0,3.47,3.28,1.69,0.31,0.66,1.91,1.91,1.62,2.34,4.31,5.38,5.16,5.56,7.12,8.81,8.66,8.62,9.56,9.91,7.78,4.53,2.72,1.81,-0.16,-2.62,-3.97,-4.0,-4.69,-6.5,-7.62,-7.5,-6.97,-8.19,-8.84,-7.59,-5.5,-4.56,-3.47,-1.12,2.47,4.47,5.5,6.91,9.56,12.16,13.5,15.41,18.09,19.97,18.34,15.5,12.78,10.5,6.97,3.38,1.47,1.09,-0.31,-2.81,-4.53,-4.31,-4.22,-5.12,-5.41,-4.12,-2.44,-2.78,-3.0,-1.84,0.03,0.38,0.16,0.84,2.59,3.91,4.44,5.44,7.59,9.31,8.62,7.94,8.25,8.84,7.09,4.81,3.44,2.34,-0.16,-3.66,-6.03,-7.06,-8.69,-10.94,-11.59,-9.62,-7.06,-5.34,-3.16,0.78,5.16,7.44,8.41,10.28,11.88,12.03,10.84,10.88,12.0,12.12,11.09,10.38,11.34,12.41,11.53,10.25,10.19,10.19,8.25,5.53,3.81,3.03,0.75,-2.44,-4.56,-4.88,-5.62,-7.72,-9.12,-8.31,-7.06,-6.75,-5.59,-2.38,1.84,4.69,6.59,9.06,12.19,13.53,13.09,13.06,14.25,14.44,12.84,10.69,9.88,8.97,6.0,2.44,0.31,-1.12,-4.09,-7.09,-8.69,-8.5,-9.03,-10.78,-11.78,-10.94,-10.12,-10.31,-9.41,-6.94,-4.06,-2.91,-2.06,-0.5,1.91,2.72,2.41,3.16,4.53,4.56,3.31,2.28,2.25,2.38,0.97,-0.88,-1.19,-1.75,-3.97,-7.22,-9.25,-9.94,-11.56,-13.56,-13.16,-10.62,-7.97,-6.5,-4.81,-1.75,0.56,1.22,1.47,3.44,5.88,6.31,5.84,6.34,7.81,8.0,7.69,8.12,10.09,10.75,9.22,7.22,6.5,4.91,2.09,-0.47,-1.25,-0.91,-1.53,-2.59,-2.06,-0.25,0.34,-0.34,-0.78,0.5,0.81,-0.03,-0.78,0.38,1.91,2.28,2.47,4.41,6.94,7.88,7.75,8.12,9.22,8.97,7.56,6.97,8.06,9.06,8.78,8.5,9.0,9.38,7.97,5.47,4.5,4.56,4.22,3.44,3.84,5.56,6.12,4.91,3.94,4.41,4.91,4.12,3.53,4.56,5.91,5.5,4.41,4.0,4.38,3.78,2.12,1.34,2.22,2.59,1.84,1.09,2.12,2.88,2.03,1.06,1.88,3.34,4.06,4.0,5.09,7.16,7.72,6.44,5.41,5.38,4.97,2.66,0.75,1.22,2.22,1.75,1.06,1.91,2.91,2.53,1.5,1.47,2.78,3.59,2.88,2.69,3.5,4.06,3.41,3.66,5.72,7.97,8.47,7.38,6.78,6.28,4.59,2.66,1.88,2.19,1.78,-0.19,-1.94,-1.78,-1.5,-2.28,-3.31,-2.56,-2.03,-3.19,-4.69,-5.28,-4.97,-5.06,-5.72,-5.44,-3.38,-1.25,-0.47,1.0,4.28,7.56,8.97,9.34,10.75,10.88,9.47,6.5,4.75,3.91,3.06,1.84,1.91,3.97,5.47,5.16,5.06,5.81,6.5,6.0,5.09,6.12,7.72,8.03,7.81,8.47,9.69,9.47,7.97,6.75,6.59,5.91,4.03,2.38,2.19,1.94,0.84,-0.66,-0.69,-0.09,-0.19,-1.72,-2.22,-1.47,-1.12,-1.62,-1.25,1.28,3.06,3.47,3.94,5.69,7.25,7.59,7.28,7.5,8.97,9.25,8.53,7.97,8.22,14.12,11.84,9.41,7.22,5.59,4.56,3.59,2.09,0.84,-0.41,-1.69,-3.28,-4.38,-4.91:1.94,6.53,11.09,16.53,22.22,25.81,28.19,31.41,35.38,38.12,38.91,39.44,39.88,37.94,33.25,27.31,23.25,19.5,15.06,11.28,9.47,9.41,9.44,9.97,12.84,18.0,22.69,26.0,28.53,31.62,32.88,31.75,29.88,29.53,29.56,28.97,28.47,29.38,31.28,31.62,29.75,27.69,25.09,20.94,14.72,8.22,3.91,-0.03,-4.66,-9.22,-11.0,-11.75,-13.22,-14.47,-13.81,-11.34,-9.31,-7.25,-3.66,1.97,7.94,12.44,16.84,21.75,26.03,27.97,28.47,30.19,31.81,32.56,32.88,33.34,34.47,33.88,31.03,28.03,26.19,24.34,21.44,18.88,18.28,18.41,17.06,15.41,15.72,16.72,17.09,16.94,17.41,18.72,19.03,17.88,16.69,17.31,18.66,19.03,19.75,22.41,24.91,25.62,25.12,25.56,26.38,26.06,24.41,23.16,22.22,20.44,17.38,14.31,12.84,11.41,8.81,6.19,5.09,4.59,3.25,1.19,0.62,1.06,1.69,2.25,4.0,6.88,9.41,10.0,10.56,12.41,14.53,15.34,15.44,16.12,16.84,15.91,13.84,12.81,12.34,11.25,9.0,7.75,7.91,8.47,7.72,7.31,8.75,10.53,10.72,10.56,11.94,13.84,15.09,15.47,16.78,18.72,19.47,18.31,17.28,17.88,18.72,18.81,19.47,21.84,25.03,26.91,27.47,28.94,30.28,30.31,28.88,28.19,28.38,28.47,26.88,25.44,25.53,25.69,25.09,24.19,25.34,27.25,27.84,27.78,28.94,30.22,30.5,29.47,28.69,28.69,28.34,26.38,24.91,24.66,24.62,23.25,21.72,21.78,23.03,24.03,24.53,26.12,28.25,28.59,26.59,24.88,23.69,22.69,20.91,19.75,20.59,22.41,23.34,24.06,25.69,27.16,27.34,26.25,25.41,25.81,25.78,24.34,23.47,24.34,25.66,25.38,25.44,26.62,28.72,29.41,29.66,31.09,33.03,33.34,31.78,30.41,29.66,28.41,25.91,24.41,24.41,25.25,24.75,24.53,25.66,27.59,28.59,28.41,29.19,30.56,30.81,29.44,28.81,29.47,30.09,29.28,28.31,28.72,29.22,28.03,27.0,27.03,27.81,27.5,25.59,24.09,23.25,21.75,19.12,17.75,18.34,19.88,20.12,20.94,22.69,24.97,25.81,25.62,26.41,27.75,27.47,25.81,24.91,25.31,25.25,24.06,23.22,23.66,24.09,22.47,20.72,20.19,20.25,18.69,17.12,17.09,18.47,19.97,20.91,22.75,26.28,29.69,31.0,32.19,34.28,35.91,35.31,34.03,33.41,32.72,31.41,29.09,27.69,27.91,28.0,26.78,26.34,27.31,27.94,27.16,25.97,26.53,26.94,25.81,24.22,22.97,22.5,21.03,18.94,17.75,18.25,18.78,18.56,18.69,20.72,23.53,24.78,26.28,28.69,30.91,31.16,30.06,29.19,29.16,27.78,25.31,23.41,22.88,22.19,20.94,20.84,22.59,25.03,26.19,26.84,28.22,30.19,30.44,29.91,29.25,29.31,28.06,26.06,23.94,23.81,23.78,22.19,20.62,20.53,20.62,19.31,17.88,17.72,18.38,18.22,17.56,17.78,19.25,19.97,19.56,19.03,19.47,19.12,17.44,15.03,13.91,13.16,11.53,10.0,9.59,10.44,10.41,9.31,8.59,8.94,8.69,7.12,5.66,6.12,6.66,5.91,5.53,7.0,9.12,10.47,11.66,13.69,16.5,18.44,19.53,20.91,23.0,24.16,23.72,22.53,22.12,21.5,18.81,15.94,14.47,14.03,12.91,11.66,11.09,11.16,10.28,8.19,6.47,6.28,6.09,5.0,4.34,6.09,9.25,11.88,14.81,19.28,23.94,27.16,28.66,30.0,31.59,31.38,29.19,26.34,24.72,23.0,20.16,17.31,17.0,17.5,17.41,16.97,17.97,19.84,20.06,19.53,19.25,19.94,19.91,18.25,16.12,15.81,15.69,14.59,13.72,14.84,16.56,16.66,15.25,14.69,14.38,12.47,10.06,8.06,8.12,8.44,8.38,9.0,12.09,14.88,15.81,15.72,16.19,16.06,14.41,11.22,8.88,7.88,6.38,4.94,4.5,6.0,7.62,7.69,8.34,10.28,12.97,14.28,15.12,17.06,18.47,18.72,16.94,15.41,14.69,12.41,9.0,5.44,3.06,0.44,-3.59,-7.56,-9.06,-9.25,-9.97,-10.34,-8.38,-5.06,-2.38,-0.62,2.0,5.72,8.91,10.38,11.56,14.16,15.5,14.97,13.53,13.19,12.91,11.59,9.22,8.09,8.12,7.31,4.94,3.31,3.34,2.94,2.0,1.22,2.19,4.16,4.69,5.22,7.44,10.31,12.31,13.12,15.28,18.03,20.09,20.19,19.72,19.31,18.12,14.81,11.03,9.38,8.25,6.56,5.34,6.12,8.53,10.44,11.31,12.81,14.56,15.72,14.22,12.78,13.25,14.0,13.91,13.81,15.59,17.59,17.75,16.44,15.78,15.97,15.22,12.78,11.12,10.44,9.16,6.09,4.09,4.0,4.94,5.72,6.75,10.0,13.31,15.88,16.88,18.47,20.69,21.75,20.66,19.38,19.12,17.91,14.88,11.72,9.88,8.12,4.94,1.41,-0.16,-0.62,-0.94,-1.16,0.59,3.75,6.94,8.66,10.38,12.59,14.19,13.56,12.19,11.97,12.03,10.84,8.34,7.16,6.97,6.41,5.25,5.56,8.16,10.31,10.66,10.75,11.41,11.5,9.12,6.66,5.62,5.28,3.88,1.75,1.19,1.62,2.22,2.38,3.72,7.09,10.09,11.03,11.94,14.22,16.09,15.97,15.19,15.06,15.09,14.0,11.81,10.81,10.94,10.22,8.03,6.97,7.75,8.22,7.25,6.72,7.31,8.22,7.47,6.47,7.03,8.56,8.94,8.31,8.66,9.53,9.78,8.53,7.91,9.34,11.09,11.28,11.84,13.34,14.66,13.88,12.84,12.84,13.66,14.06,13.25,13.28,14.19,14.53,13.09,12.06,12.0,11.81,9.72,7.41,6.97,7.72,7.03,6.12,6.47,7.81,8.09,7.09,7.72,9.59,11.06,11.47,12.41,14.66,16.91,17.09,16.72,17.28,18.38,17.94,16.75,16.38,16.72,15.66,13.09,11.47,10.44,9.44,6.75,4.0,3.47,3.28,1.69,0.31,0.66,1.91,1.91,1.62,2.34,4.31,5.38,5.16,5.56,7.12,8.81,8.66,8.62,9.56,9.91,7.78,4.53,2.72,1.81,-0.16,-2.62,-3.97,-4.0,-4.69,-6.5,-7.62,-7.5,-6.97,-8.19,-8.84,-7.59,-5.5,-4.56,-3.47,-1.12,2.47,4.47,5.5,6.91,9.56,12.16,13.5,15.41,18.09,19.97,18.34,15.5,12.78,10.5,6.97,3.38,1.47,1.09,-0.31,-2.81,-4.53,-4.31,-4.22,-5.12,-5.41,-4.12,-2.44,-2.78,-3.0,-1.84,0.03,0.38,0.16,0.84,2.59,3.91,4.44,5.44,7.59,9.31,8.62,7.94,8.25,8.84,7.09,4.81,3.44,2.34,-0.16,-3.66,-6.03,-7.06,-8.69,-10.94,-11.59,-9.62,-7.06,-5.34,-3.16,0.78,5.16,7.44,8.41,10.28,11.88,12.03,10.84,10.88,12.0,12.12,11.09,10.38,11.34,12.41,11.53,10.25,10.19,10.19,8.25,5.53,3.81,3.03,0.75,-2.44,-4.56,-4.88,-5.62,-7.72,-9.12,-8.31,-7.06,-6.75,-5.59,-2.38,1.84,4.69,6.59,9.06,12.19,13.53,13.09,13.06,14.25,14.44,12.84,10.69,9.88,8.97,6.0,2.44,0.31,-1.12,-4.09,-7.09,-8.69,-8.5,-9.03,-10.78,-11.78,-10.94,-10.12,-10.31,-9.41,-6.94,-4.06,-2.91,-2.06,-0.5,1.91,2.72,2.41,3.16,4.53,4.56,3.31,2.28,2.25,2.38,0.97,-0.88,-1.19,-1.75,-3.97,-7.22,-9.25,-9.94,-11.56,-13.56,-13.16,-10.62,-7.97,-6.5,-4.81,-1.75,0.56,1.22,1.47,3.44,5.88,6.31,5.84,6.34,7.81,8.0,7.69,8.12,10.09,10.75,9.22,7.22,6.5,4.91,2.09,-0.47,-1.25,-0.91,-1.53,-2.59,-2.06,-0.25,0.34,-0.34,-0.78,0.5,0.81,-0.03,-0.78,0.38,1.91,2.28,2.47,4.41,6.94,7.88,7.75,8.12,9.22,8.97,7.56,6.97,8.06,9.06,8.78,8.5,9.0,9.38,7.97,5.47,4.5,4.56,4.22,3.44,3.84,5.56,6.12,4.91,3.94,4.41,4.91,4.12,3.53,4.56,5.91,5.5,4.41,4.0,4.38,3.78,2.12,1.34,2.22,2.59,1.84,1.09,2.12,2.88,2.03,1.06,1.88,3.34,4.06,4.0,5.09,7.16,7.72,6.44,5.41,5.38,4.97,2.66,0.75,1.22,2.22,1.75,1.06,1.91,2.91,2.53,1.5,1.47,2.78,3.59,2.88,2.69,3.5,4.06,3.41,3.66,5.72,7.97,8.47,7.38,6.78,6.28,4.59,2.66,1.88,2.19,1.78,-0.19,-1.94,-1.78,-1.5,-2.28,-3.31,-2.56,-2.03,-3.19,-4.69,-5.28,-4.97,-5.06,-5.72,-5.44,-3.38,-1.25,-0.47,1.0,4.28,7.56,8.97,9.34,10.75,10.88,9.47,6.5,4.75,3.91,3.06,1.84,1.91,3.97,5.47,5.16,5.06,5.81,6.5,6.0,5.09,6.12,7.72,8.03,7.81,8.47,9.69,9.47,7.97,6.75,6.59,5.91,4.03,2.38,2.19,1.94,0.84,-0.66,-0.69,-0.09,-0.19,-1.72,-2.22,-1.47,-1.12,-1.62,-1.25,1.28,3.06,3.47,3.94,5.69,7.25,7.59,7.28,7.5,8.97,9.25,8.53,7.97,8.22,14.12,11.84,9.41,7.22,5.59,4.56,3.59,2.09,0.84,-0.41,-1.69,-3.28,-4.38,-4.91,-4.81,-4.47,-3.75,-2.56,-0.66,1.59,4.0:31.41,35.38,38.12,38.91,39.44,39.88,37.94,33.25,27.31,23.25,19.5,15.06,11.28,9.47,9.41,9.44,9.97,12.84,18.0,22.69,26.0,28.53,31.62,32.88,31.75,29.88,29.53,29.56,28.97,28.47,29.38,31.28,31.62,29.75,27.69,25.09,20.94,14.72,8.22,3.91,-0.03,-4.66,-9.22,-11.0,-11.75,-13.22,-14.47,-13.81,-11.34,-9.31,-7.25,-3.66,1.97,7.94,12.44,16.84,21.75,26.03,27.97,28.47,30.19,31.81,32.56,32.88,33.34,34.47,33.88,31.03,28.03,26.19,24.34,21.44,18.88,18.28,18.41,17.06,15.41,15.72,16.72,17.09,16.94,17.41,18.72,19.03,17.88,16.69,17.31,18.66,19.03,19.75,22.41,24.91,25.62,25.12,25.56,26.38,26.06,24.41,23.16,22.22,20.44,17.38,14.31,12.84,11.41,8.81,6.19,5.09,4.59,3.25,1.19,0.62,1.06,1.69,2.25,4.0,6.88,9.41,10.0,10.56,12.41,14.53,15.34,15.44,16.12,16.84,15.91,13.84,12.81,12.34,11.25,9.0,7.75,7.91,8.47,7.72,7.31,8.75,10.53,10.72,10.56,11.94,13.84,15.09,15.47,16.78,18.72,19.47,18.31,17.28,17.88,18.72,18.81,19.47,21.84,25.03,26.91,27.47,28.94,30.28,30.31,28.88,28.19,28.38,28.47,26.88,25.44,25.53,25.69,25.09,24.19,25.34,27.25,27.84,27.78,28.94,30.22,30.5,29.47,28.69,28.69,28.34,26.38,24.91,24.66,24.62,23.25,21.72,21.78,23.03,24.03,24.53,26.12,28.25,28.59,26.59,24.88,23.69,22.69,20.91,19.75,20.59,22.41,23.34,24.06,25.69,27.16,27.34,26.25,25.41,25.81,25.78,24.34,23.47,24.34,25.66,25.38,25.44,26.62,28.72,29.41,29.66,31.09,33.03,33.34,31.78,30.41,29.66,28.41,25.91,24.41,24.41,25.25,24.75,24.53,25.66,27.59,28.59,28.41,29.19,30.56,30.81,29.44,28.81,29.47,30.09,29.28,28.31,28.72,29.22,28.03,27.0,27.03,27.81,27.5,25.59,24.09,23.25,21.75,19.12,17.75,18.34,19.88,20.12,20.94,22.69,24.97,25.81,25.62,26.41,27.75,27.47,25.81,24.91,25.31,25.25,24.06,23.22,23.66,24.09,22.47,20.72,20.19,20.25,18.69,17.12,17.09,18.47,19.97,20.91,22.75,26.28,29.69,31.0,32.19,34.28,35.91,35.31,34.03,33.41,32.72,31.41,29.09,27.69,27.91,28.0,26.78,26.34,27.31,27.94,27.16,25.97,26.53,26.94,25.81,24.22,22.97,22.5,21.03,18.94,17.75,18.25,18.78,18.56,18.69,20.72,23.53,24.78,26.28,28.69,30.91,31.16,30.06,29.19,29.16,27.78,25.31,23.41,22.88,22.19,20.94,20.84,22.59,25.03,26.19,26.84,28.22,30.19,30.44,29.91,29.25,29.31,28.06,26.06,23.94,23.81,23.78,22.19,20.62,20.53,20.62,19.31,17.88,17.72,18.38,18.22,17.56,17.78,19.25,19.97,19.56,19.03,19.47,19.12,17.44,15.03,13.91,13.16,11.53,10.0,9.59,10.44,10.41,9.31,8.59,8.94,8.69,7.12,5.66,6.12,6.66,5.91,5.53,7.0,9.12,10.47,11.66,13.69,16.5,18.44,19.53,20.91,23.0,24.16,23.72,22.53,22.12,21.5,18.81,15.94,14.47,14.03,12.91,11.66,11.09,11.16,10.28,8.19,6.47,6.28,6.09,5.0,4.34,6.09,9.25,11.88,14.81,19.28,23.94,27.16,28.66,30.0,31.59,31.38,29.19,26.34,24.72,23.0,20.16,17.31,17.0,17.5,17.41,16.97,17.97,19.84,20.06,19.53,19.25,19.94,19.91,18.25,16.12,15.81,15.69,14.59,13.72,14.84,16.56,16.66,15.25,14.69,14.38,12.47,10.06,8.06,8.12,8.44,8.38,9.0,12.09,14.88,15.81,15.72,16.19,16.06,14.41,11.22,8.88,7.88,6.38,4.94,4.5,6.0,7.62,7.69,8.34,10.28,12.97,14.28,15.12,17.06,18.47,18.72,16.94,15.41,14.69,12.41,9.0,5.44,3.06,0.44,-3.59,-7.56,-9.06,-9.25,-9.97,-10.34,-8.38,-5.06,-2.38,-0.62,2.0,5.72,8.91,10.38,11.56,14.16,15.5,14.97,13.53,13.19,12.91,11.59,9.22,8.09,8.12,7.31,4.94,3.31,3.34,2.94,2.0,1.22,2.19,4.16,4.69,5.22,7.44,10.31,12.31,13.12,15.28,18.03,20.09,20.19,19.72,19.31,18.12,14.81,11.03,9.38,8.25,6.56,5.34,6.12,8.53,10.44,11.31,12.81,14.56,15.72,14.22,12.78,13.25,14.0,13.91,13.81,15.59,17.59,17.75,16.44,15.78,15.97,15.22,12.78,11.12,10.44,9.16,6.09,4.09,4.0,4.94,5.72,6.75,10.0,13.31,15.88,16.88,18.47,20.69,21.75,20.66,19.38,19.12,17.91,14.88,11.72,9.88,8.12,4.94,1.41,-0.16,-0.62,-0.94,-1.16,0.59,3.75,6.94,8.66,10.38,12.59,14.19,13.56,12.19,11.97,12.03,10.84,8.34,7.16,6.97,6.41,5.25,5.56,8.16,10.31,10.66,10.75,11.41,11.5,9.12,6.66,5.62,5.28,3.88,1.75,1.19,1.62,2.22,2.38,3.72,7.09,10.09,11.03,11.94,14.22,16.09,15.97,15.19,15.06,15.09,14.0,11.81,10.81,10.94,10.22,8.03,6.97,7.75,8.22,7.25,6.72,7.31,8.22,7.47,6.47,7.03,8.56,8.94,8.31,8.66,9.53,9.78,8.53,7.91,9.34,11.09,11.28,11.84,13.34,14.66,13.88,12.84,12.84,13.66,14.06,13.25,13.28,14.19,14.53,13.09,12.06,12.0,11.81,9.72,7.41,6.97,7.72,7.03,6.12,6.47,7.81,8.09,7.09,7.72,9.59,11.06,11.47,12.41,14.66,16.91,17.09,16.72,17.28,18.38,17.94,16.75,16.38,16.72,15.66,13.09,11.47,10.44,9.44,6.75,4.0,3.47,3.28,1.69,0.31,0.66,1.91,1.91,1.62,2.34,4.31,5.38,5.16,5.56,7.12,8.81,8.66,8.62,9.56,9.91,7.78,4.53,2.72,1.81,-0.16,-2.62,-3.97,-4.0,-4.69,-6.5,-7.62,-7.5,-6.97,-8.19,-8.84,-7.59,-5.5,-4.56,-3.47,-1.12,2.47,4.47,5.5,6.91,9.56,12.16,13.5,15.41,18.09,19.97,18.34,15.5,12.78,10.5,6.97,3.38,1.47,1.09,-0.31,-2.81,-4.53,-4.31,-4.22,-5.12,-5.41,-4.12,-2.44,-2.78,-3.0,-1.84,0.03,0.38,0.16,0.84,2.59,3.91,4.44,5.44,7.59,9.31,8.62,7.94,8.25,8.84,7.09,4.81,3.44,2.34,-0.16,-3.66,-6.03,-7.06,-8.69,-10.94,-11.59,-9.62,-7.06,-5.34,-3.16,0.78,5.16,7.44,8.41,10.28,11.88,12.03,10.84,10.88,12.0,12.12,11.09,10.38,11.34,12.41,11.53,10.25,10.19,10.19,8.25,5.53,3.81,3.03,0.75,-2.44,-4.56,-4.88,-5.62,-7.72,-9.12,-8.31,-7.06,-6.75,-5.59,-2.38,1.84,4.69,6.59,9.06,12.19,13.53,13.09,13.06,14.25,14.44,12.84,10.69,9.88,8.97,6.0,2.44,0.31,-1.12,-4.09,-7.09,-8.69,-8.5,-9.03,-10.78,-11.78,-10.94,-10.12,-10.31,-9.41,-6.94,-4.06,-2.91,-2.06,-0.5,1.91,2.72,2.41,3.16,4.53,4.56,3.31,2.28,2.25,2.38,0.97,-0.88,-1.19,-1.75,-3.97,-7.22,-9.25,-9.94,-11.56,-13.56,-13.16,-10.62,-7.97,-6.5,-4.81,-1.75,0.56,1.22,1.47,3.44,5.88,6.31,5.84,6.34,7.81,8.0,7.69,8.12,10.09,10.75,9.22,7.22,6.5,4.91,2.09,-0.47,-1.25,-0.91,-1.53,-2.59,-2.06,-0.25,0.34,-0.34,-0.78,0.5,0.81,-0.03,-0.78,0.38,1.91,2.28,2.47,4.41,6.94,7.88,7.75,8.12,9.22,8.97,7.56,6.97,8.06,9.06,8.78,8.5,9.0,9.38,7.97,5.47,4.5,4.56,4.22,3.44,3.84,5.56,6.12,4.91,3.94,4.41,4.91,4.12,3.53,4.56,5.91,5.5,4.41,4.0,4.38,3.78,2.12,1.34,2.22,2.59,1.84,1.09,2.12,2.88,2.03,1.06,1.88,3.34,4.06,4.0,5.09,7.16,7.72,6.44,5.41,5.38,4.97,2.66,0.75,1.22,2.22,1.75,1.06,1.91,2.91,2.53,1.5,1.47,2.78,3.59,2.88,2.69,3.5,4.06,3.41,3.66,5.72,7.97,8.47,7.38,6.78,6.28,4.59,2.66,1.88,2.19,1.78,-0.19,-1.94,-1.78,-1.5,-2.28,-3.31,-2.56,-2.03,-3.19,-4.69,-5.28,-4.97,-5.06,-5.72,-5.44,-3.38,-1.25,-0.47,1.0,4.28,7.56,8.97,9.34,10.75,10.88,9.47,6.5,4.75,3.91,3.06,1.84,1.91,3.97,5.47,5.16,5.06,5.81,6.5,6.0,5.09,6.12,7.72,8.03,7.81,8.47,9.69,9.47,7.97,6.75,6.59,5.91,4.03,2.38,2.19,1.94,0.84,-0.66,-0.69,-0.09,-0.19,-1.72,-2.22,-1.47,-1.12,-1.62,-1.25,1.28,3.06,3.47,3.94,5.69,7.25,7.59,7.28,7.5,8.97,9.25,8.53,7.97,8.22,14.12,11.84,9.41,7.22,5.59,4.56,3.59,2.09,0.84,-0.41,-1.69,-3.28,-4.38,-4.91,-4.81,-4.47,-3.75,-2.56,-0.66,1.59,4.0,6.72,9.84,12.75,15.41,17.78,20.94,24.25:33.25,27.31,23.25,19.5,15.06,11.28,9.47,9.41,9.44,9.97,12.84,18.0,22.69,26.0,28.53,31.62,32.88,31.75,29.88,29.53,29.56,28.97,28.47,29.38,31.28,31.62,29.75,27.69,25.09,20.94,14.72,8.22,3.91,-0.03,-4.66,-9.22,-11.0,-11.75,-13.22,-14.47,-13.81,-11.34,-9.31,-7.25,-3.66,1.97,7.94,12.44,16.84,21.75,26.03,27.97,28.47,30.19,31.81,32.56,32.88,33.34,34.47,33.88,31.03,28.03,26.19,24.34,21.44,18.88,18.28,18.41,17.06,15.41,15.72,16.72,17.09,16.94,17.41,18.72,19.03,17.88,16.69,17.31,18.66,19.03,19.75,22.41,24.91,25.62,25.12,25.56,26.38,26.06,24.41,23.16,22.22,20.44,17.38,14.31,12.84,11.41,8.81,6.19,5.09,4.59,3.25,1.19,0.62,1.06,1.69,2.25,4.0,6.88,9.41,10.0,10.56,12.41,14.53,15.34,15.44,16.12,16.84,15.91,13.84,12.81,12.34,11.25,9.0,7.75,7.91,8.47,7.72,7.31,8.75,10.53,10.72,10.56,11.94,13.84,15.09,15.47,16.78,18.72,19.47,18.31,17.28,17.88,18.72,18.81,19.47,21.84,25.03,26.91,27.47,28.94,30.28,30.31,28.88,28.19,28.38,28.47,26.88,25.44,25.53,25.69,25.09,24.19,25.34,27.25,27.84,27.78,28.94,30.22,30.5,29.47,28.69,28.69,28.34,26.38,24.91,24.66,24.62,23.25,21.72,21.78,23.03,24.03,24.53,26.12,28.25,28.59,26.59,24.88,23.69,22.69,20.91,19.75,20.59,22.41,23.34,24.06,25.69,27.16,27.34,26.25,25.41,25.81,25.78,24.34,23.47,24.34,25.66,25.38,25.44,26.62,28.72,29.41,29.66,31.09,33.03,33.34,31.78,30.41,29.66,28.41,25.91,24.41,24.41,25.25,24.75,24.53,25.66,27.59,28.59,28.41,29.19,30.56,30.81,29.44,28.81,29.47,30.09,29.28,28.31,28.72,29.22,28.03,27.0,27.03,27.81,27.5,25.59,24.09,23.25,21.75,19.12,17.75,18.34,19.88,20.12,20.94,22.69,24.97,25.81,25.62,26.41,27.75,27.47,25.81,24.91,25.31,25.25,24.06,23.22,23.66,24.09,22.47,20.72,20.19,20.25,18.69,17.12,17.09,18.47,19.97,20.91,22.75,26.28,29.69,31.0,32.19,34.28,35.91,35.31,34.03,33.41,32.72,31.41,29.09,27.69,27.91,28.0,26.78,26.34,27.31,27.94,27.16,25.97,26.53,26.94,25.81,24.22,22.97,22.5,21.03,18.94,17.75,18.25,18.78,18.56,18.69,20.72,23.53,24.78,26.28,28.69,30.91,31.16,30.06,29.19,29.16,27.78,25.31,23.41,22.88,22.19,20.94,20.84,22.59,25.03,26.19,26.84,28.22,30.19,30.44,29.91,29.25,29.31,28.06,26.06,23.94,23.81,23.78,22.19,20.62,20.53,20.62,19.31,17.88,17.72,18.38,18.22,17.56,17.78,19.25,19.97,19.56,19.03,19.47,19.12,17.44,15.03,13.91,13.16,11.53,10.0,9.59,10.44,10.41,9.31,8.59,8.94,8.69,7.12,5.66,6.12,6.66,5.91,5.53,7.0,9.12,10.47,11.66,13.69,16.5,18.44,19.53,20.91,23.0,24.16,23.72,22.53,22.12,21.5,18.81,15.94,14.47,14.03,12.91,11.66,11.09,11.16,10.28,8.19,6.47,6.28,6.09,5.0,4.34,6.09,9.25,11.88,14.81,19.28,23.94,27.16,28.66,30.0,31.59,31.38,29.19,26.34,24.72,23.0,20.16,17.31,17.0,17.5,17.41,16.97,17.97,19.84,20.06,19.53,19.25,19.94,19.91,18.25,16.12,15.81,15.69,14.59,13.72,14.84,16.56,16.66,15.25,14.69,14.38,12.47,10.06,8.06,8.12,8.44,8.38,9.0,12.09,14.88,15.81,15.72,16.19,16.06,14.41,11.22,8.88,7.88,6.38,4.94,4.5,6.0,7.62,7.69,8.34,10.28,12.97,14.28,15.12,17.06,18.47,18.72,16.94,15.41,14.69,12.41,9.0,5.44,3.06,0.44,-3.59,-7.56,-9.06,-9.25,-9.97,-10.34,-8.38,-5.06,-2.38,-0.62,2.0,5.72,8.91,10.38,11.56,14.16,15.5,14.97,13.53,13.19,12.91,11.59,9.22,8.09,8.12,7.31,4.94,3.31,3.34,2.94,2.0,1.22,2.19,4.16,4.69,5.22,7.44,10.31,12.31,13.12,15.28,18.03,20.09,20.19,19.72,19.31,18.12,14.81,11.03,9.38,8.25,6.56,5.34,6.12,8.53,10.44,11.31,12.81,14.56,15.72,14.22,12.78,13.25,14.0,13.91,13.81,15.59,17.59,17.75,16.44,15.78,15.97,15.22,12.78,11.12,10.44,9.16,6.09,4.09,4.0,4.94,5.72,6.75,10.0,13.31,15.88,16.88,18.47,20.69,21.75,20.66,19.38,19.12,17.91,14.88,11.72,9.88,8.12,4.94,1.41,-0.16,-0.62,-0.94,-1.16,0.59,3.75,6.94,8.66,10.38,12.59,14.19,13.56,12.19,11.97,12.03,10.84,8.34,7.16,6.97,6.41,5.25,5.56,8.16,10.31,10.66,10.75,11.41,11.5,9.12,6.66,5.62,5.28,3.88,1.75,1.19,1.62,2.22,2.38,3.72,7.09,10.09,11.03,11.94,14.22,16.09,15.97,15.19,15.06,15.09,14.0,11.81,10.81,10.94,10.22,8.03,6.97,7.75,8.22,7.25,6.72,7.31,8.22,7.47,6.47,7.03,8.56,8.94,8.31,8.66,9.53,9.78,8.53,7.91,9.34,11.09,11.28,11.84,13.34,14.66,13.88,12.84,12.84,13.66,14.06,13.25,13.28,14.19,14.53,13.09,12.06,12.0,11.81,9.72,7.41,6.97,7.72,7.03,6.12,6.47,7.81,8.09,7.09,7.72,9.59,11.06,11.47,12.41,14.66,16.91,17.09,16.72,17.28,18.38,17.94,16.75,16.38,16.72,15.66,13.09,11.47,10.44,9.44,6.75,4.0,3.47,3.28,1.69,0.31,0.66,1.91,1.91,1.62,2.34,4.31,5.38,5.16,5.56,7.12,8.81,8.66,8.62,9.56,9.91,7.78,4.53,2.72,1.81,-0.16,-2.62,-3.97,-4.0,-4.69,-6.5,-7.62,-7.5,-6.97,-8.19,-8.84,-7.59,-5.5,-4.56,-3.47,-1.12,2.47,4.47,5.5,6.91,9.56,12.16,13.5,15.41,18.09,19.97,18.34,15.5,12.78,10.5,6.97,3.38,1.47,1.09,-0.31,-2.81,-4.53,-4.31,-4.22,-5.12,-5.41,-4.12,-2.44,-2.78,-3.0,-1.84,0.03,0.38,0.16,0.84,2.59,3.91,4.44,5.44,7.59,9.31,8.62,7.94,8.25,8.84,7.09,4.81,3.44,2.34,-0.16,-3.66,-6.03,-7.06,-8.69,-10.94,-11.59,-9.62,-7.06,-5.34,-3.16,0.78,5.16,7.44,8.41,10.28,11.88,12.03,10.84,10.88,12.0,12.12,11.09,10.38,11.34,12.41,11.53,10.25,10.19,10.19,8.25,5.53,3.81,3.03,0.75,-2.44,-4.56,-4.88,-5.62,-7.72,-9.12,-8.31,-7.06,-6.75,-5.59,-2.38,1.84,4.69,6.59,9.06,12.19,13.53,13.09,13.06,14.25,14.44,12.84,10.69,9.88,8.97,6.0,2.44,0.31,-1.12,-4.09,-7.09,-8.69,-8.5,-9.03,-10.78,-11.78,-10.94,-10.12,-10.31,-9.41,-6.94,-4.06,-2.91,-2.06,-0.5,1.91,2.72,2.41,3.16,4.53,4.56,3.31,2.28,2.25,2.38,0.97,-0.88,-1.19,-1.75,-3.97,-7.22,-9.25,-9.94,-11.56,-13.56,-13.16,-10.62,-7.97,-6.5,-4.81,-1.75,0.56,1.22,1.47,3.44,5.88,6.31,5.84,6.34,7.81,8.0,7.69,8.12,10.09,10.75,9.22,7.22,6.5,4.91,2.09,-0.47,-1.25,-0.91,-1.53,-2.59,-2.06,-0.25,0.34,-0.34,-0.78,0.5,0.81,-0.03,-0.78,0.38,1.91,2.28,2.47,4.41,6.94,7.88,7.75,8.12,9.22,8.97,7.56,6.97,8.06,9.06,8.78,8.5,9.0,9.38,7.97,5.47,4.5,4.56,4.22,3.44,3.84,5.56,6.12,4.91,3.94,4.41,4.91,4.12,3.53,4.56,5.91,5.5,4.41,4.0,4.38,3.78,2.12,1.34,2.22,2.59,1.84,1.09,2.12,2.88,2.03,1.06,1.88,3.34,4.06,4.0,5.09,7.16,7.72,6.44,5.41,5.38,4.97,2.66,0.75,1.22,2.22,1.75,1.06,1.91,2.91,2.53,1.5,1.47,2.78,3.59,2.88,2.69,3.5,4.06,3.41,3.66,5.72,7.97,8.47,7.38,6.78,6.28,4.59,2.66,1.88,2.19,1.78,-0.19,-1.94,-1.78,-1.5,-2.28,-3.31,-2.56,-2.03,-3.19,-4.69,-5.28,-4.97,-5.06,-5.72,-5.44,-3.38,-1.25,-0.47,1.0,4.28,7.56,8.97,9.34,10.75,10.88,9.47,6.5,4.75,3.91,3.06,1.84,1.91,3.97,5.47,5.16,5.06,5.81,6.5,6.0,5.09,6.12,7.72,8.03,7.81,8.47,9.69,9.47,7.97,6.75,6.59,5.91,4.03,2.38,2.19,1.94,0.84,-0.66,-0.69,-0.09,-0.19,-1.72,-2.22,-1.47,-1.12,-1.62,-1.25,1.28,3.06,3.47,3.94,5.69,7.25,7.59,7.28,7.5,8.97,9.25,8.53,7.97,8.22,14.12,11.84,9.41,7.22,5.59,4.56,3.59,2.09,0.84,-0.41,-1.69,-3.28,-4.38,-4.91,-4.81,-4.47,-3.75,-2.56,-0.66,1.59,4.0,6.72,9.84,12.75,15.41,17.78,20.94,24.25,27.28,30.62,33.53,36.06,36.69,35.44,32.44:9.41,9.44,9.97,12.84,18.0,22.69,26.0,28.53,31.62,32.88,31.75,29.88,29.53,29.56,28.97,28.47,29.38,31.28,31.62,29.75,27.69,25.09,20.94,14.72,8.22,3.91,-0.03,-4.66,-9.22,-11.0,-11.75,-13.22,-14.47,-13.81,-11.34,-9.31,-7.25,-3.66,1.97,7.94,12.44,16.84,21.75,26.03,27.97,28.47,30.19,31.81,32.56,32.88,33.34,34.47,33.88,31.03,28.03,26.19,24.34,21.44,18.88,18.28,18.41,17.06,15.41,15.72,16.72,17.09,16.94,17.41,18.72,19.03,17.88,16.69,17.31,18.66,19.03,19.75,22.41,24.91,25.62,25.12,25.56,26.38,26.06,24.41,23.16,22.22,20.44,17.38,14.31,12.84,11.41,8.81,6.19,5.09,4.59,3.25,1.19,0.62,1.06,1.69,2.25,4.0,6.88,9.41,10.0,10.56,12.41,14.53,15.34,15.44,16.12,16.84,15.91,13.84,12.81,12.34,11.25,9.0,7.75,7.91,8.47,7.72,7.31,8.75,10.53,10.72,10.56,11.94,13.84,15.09,15.47,16.78,18.72,19.47,18.31,17.28,17.88,18.72,18.81,19.47,21.84,25.03,26.91,27.47,28.94,30.28,30.31,28.88,28.19,28.38,28.47,26.88,25.44,25.53,25.69,25.09,24.19,25.34,27.25,27.84,27.78,28.94,30.22,30.5,29.47,28.69,28.69,28.34,26.38,24.91,24.66,24.62,23.25,21.72,21.78,23.03,24.03,24.53,26.12,28.25,28.59,26.59,24.88,23.69,22.69,20.91,19.75,20.59,22.41,23.34,24.06,25.69,27.16,27.34,26.25,25.41,25.81,25.78,24.34,23.47,24.34,25.66,25.38,25.44,26.62,28.72,29.41,29.66,31.09,33.03,33.34,31.78,30.41,29.66,28.41,25.91,24.41,24.41,25.25,24.75,24.53,25.66,27.59,28.59,28.41,29.19,30.56,30.81,29.44,28.81,29.47,30.09,29.28,28.31,28.72,29.22,28.03,27.0,27.03,27.81,27.5,25.59,24.09,23.25,21.75,19.12,17.75,18.34,19.88,20.12,20.94,22.69,24.97,25.81,25.62,26.41,27.75,27.47,25.81,24.91,25.31,25.25,24.06,23.22,23.66,24.09,22.47,20.72,20.19,20.25,18.69,17.12,17.09,18.47,19.97,20.91,22.75,26.28,29.69,31.0,32.19,34.28,35.91,35.31,34.03,33.41,32.72,31.41,29.09,27.69,27.91,28.0,26.78,26.34,27.31,27.94,27.16,25.97,26.53,26.94,25.81,24.22,22.97,22.5,21.03,18.94,17.75,18.25,18.78,18.56,18.69,20.72,23.53,24.78,26.28,28.69,30.91,31.16,30.06,29.19,29.16,27.78,25.31,23.41,22.88,22.19,20.94,20.84,22.59,25.03,26.19,26.84,28.22,30.19,30.44,29.91,29.25,29.31,28.06,26.06,23.94,23.81,23.78,22.19,20.62,20.53,20.62,19.31,17.88,17.72,18.38,18.22,17.56,17.78,19.25,19.97,19.56,19.03,19.47,19.12,17.44,15.03,13.91,13.16,11.53,10.0,9.59,10.44,10.41,9.31,8.59,8.94,8.69,7.12,5.66,6.12,6.66,5.91,5.53,7.0,9.12,10.47,11.66,13.69,16.5,18.44,19.53,20.91,23.0,24.16,23.72,22.53,22.12,21.5,18.81,15.94,14.47,14.03,12.91,11.66,11.09,11.16,10.28,8.19,6.47,6.28,6.09,5.0,4.34,6.09,9.25,11.88,14.81,19.28,23.94,27.16,28.66,30.0,31.59,31.38,29.19,26.34,24.72,23.0,20.16,17.31,17.0,17.5,17.41,16.97,17.97,19.84,20.06,19.53,19.25,19.94,19.91,18.25,16.12,15.81,15.69,14.59,13.72,14.84,16.56,16.66,15.25,14.69,14.38,12.47,10.06,8.06,8.12,8.44,8.38,9.0,12.09,14.88,15.81,15.72,16.19,16.06,14.41,11.22,8.88,7.88,6.38,4.94,4.5,6.0,7.62,7.69,8.34,10.28,12.97,14.28,15.12,17.06,18.47,18.72,16.94,15.41,14.69,12.41,9.0,5.44,3.06,0.44,-3.59,-7.56,-9.06,-9.25,-9.97,-10.34,-8.38,-5.06,-2.38,-0.62,2.0,5.72,8.91,10.38,11.56,14.16,15.5,14.97,13.53,13.19,12.91,11.59,9.22,8.09,8.12,7.31,4.94,3.31,3.34,2.94,2.0,1.22,2.19,4.16,4.69,5.22,7.44,10.31,12.31,13.12,15.28,18.03,20.09,20.19,19.72,19.31,18.12,14.81,11.03,9.38,8.25,6.56,5.34,6.12,8.53,10.44,11.31,12.81,14.56,15.72,14.22,12.78,13.25,14.0,13.91,13.81,15.59,17.59,17.75,16.44,15.78,15.97,15.22,12.78,11.12,10.44,9.16,6.09,4.09,4.0,4.94,5.72,6.75,10.0,13.31,15.88,16.88,18.47,20.69,21.75,20.66,19.38,19.12,17.91,14.88,11.72,9.88,8.12,4.94,1.41,-0.16,-0.62,-0.94,-1.16,0.59,3.75,6.94,8.66,10.38,12.59,14.19,13.56,12.19,11.97,12.03,10.84,8.34,7.16,6.97,6.41,5.25,5.56,8.16,10.31,10.66,10.75,11.41,11.5,9.12,6.66,5.62,5.28,3.88,1.75,1.19,1.62,2.22,2.38,3.72,7.09,10.09,11.03,11.94,14.22,16.09,15.97,15.19,15.06,15.09,14.0,11.81,10.81,10.94,10.22,8.03,6.97,7.75,8.22,7.25,6.72,7.31,8.22,7.47,6.47,7.03,8.56,8.94,8.31,8.66,9.53,9.78,8.53,7.91,9.34,11.09,11.28,11.84,13.34,14.66,13.88,12.84,12.84,13.66,14.06,13.25,13.28,14.19,14.53,13.09,12.06,12.0,11.81,9.72,7.41,6.97,7.72,7.03,6.12,6.47,7.81,8.09,7.09,7.72,9.59,11.06,11.47,12.41,14.66,16.91,17.09,16.72,17.28,18.38,17.94,16.75,16.38,16.72,15.66,13.09,11.47,10.44,9.44,6.75,4.0,3.47,3.28,1.69,0.31,0.66,1.91,1.91,1.62,2.34,4.31,5.38,5.16,5.56,7.12,8.81,8.66,8.62,9.56,9.91,7.78,4.53,2.72,1.81,-0.16,-2.62,-3.97,-4.0,-4.69,-6.5,-7.62,-7.5,-6.97,-8.19,-8.84,-7.59,-5.5,-4.56,-3.47,-1.12,2.47,4.47,5.5,6.91,9.56,12.16,13.5,15.41,18.09,19.97,18.34,15.5,12.78,10.5,6.97,3.38,1.47,1.09,-0.31,-2.81,-4.53,-4.31,-4.22,-5.12,-5.41,-4.12,-2.44,-2.78,-3.0,-1.84,0.03,0.38,0.16,0.84,2.59,3.91,4.44,5.44,7.59,9.31,8.62,7.94,8.25,8.84,7.09,4.81,3.44,2.34,-0.16,-3.66,-6.03,-7.06,-8.69,-10.94,-11.59,-9.62,-7.06,-5.34,-3.16,0.78,5.16,7.44,8.41,10.28,11.88,12.03,10.84,10.88,12.0,12.12,11.09,10.38,11.34,12.41,11.53,10.25,10.19,10.19,8.25,5.53,3.81,3.03,0.75,-2.44,-4.56,-4.88,-5.62,-7.72,-9.12,-8.31,-7.06,-6.75,-5.59,-2.38,1.84,4.69,6.59,9.06,12.19,13.53,13.09,13.06,14.25,14.44,12.84,10.69,9.88,8.97,6.0,2.44,0.31,-1.12,-4.09,-7.09,-8.69,-8.5,-9.03,-10.78,-11.78,-10.94,-10.12,-10.31,-9.41,-6.94,-4.06,-2.91,-2.06,-0.5,1.91,2.72,2.41,3.16,4.53,4.56,3.31,2.28,2.25,2.38,0.97,-0.88,-1.19,-1.75,-3.97,-7.22,-9.25,-9.94,-11.56,-13.56,-13.16,-10.62,-7.97,-6.5,-4.81,-1.75,0.56,1.22,1.47,3.44,5.88,6.31,5.84,6.34,7.81,8.0,7.69,8.12,10.09,10.75,9.22,7.22,6.5,4.91,2.09,-0.47,-1.25,-0.91,-1.53,-2.59,-2.06,-0.25,0.34,-0.34,-0.78,0.5,0.81,-0.03,-0.78,0.38,1.91,2.28,2.47,4.41,6.94,7.88,7.75,8.12,9.22,8.97,7.56,6.97,8.06,9.06,8.78,8.5,9.0,9.38,7.97,5.47,4.5,4.56,4.22,3.44,3.84,5.56,6.12,4.91,3.94,4.41,4.91,4.12,3.53,4.56,5.91,5.5,4.41,4.0,4.38,3.78,2.12,1.34,2.22,2.59,1.84,1.09,2.12,2.88,2.03,1.06,1.88,3.34,4.06,4.0,5.09,7.16,7.72,6.44,5.41,5.38,4.97,2.66,0.75,1.22,2.22,1.75,1.06,1.91,2.91,2.53,1.5,1.47,2.78,3.59,2.88,2.69,3.5,4.06,3.41,3.66,5.72,7.97,8.47,7.38,6.78,6.28,4.59,2.66,1.88,2.19,1.78,-0.19,-1.94,-1.78,-1.5,-2.28,-3.31,-2.56,-2.03,-3.19,-4.69,-5.28,-4.97,-5.06,-5.72,-5.44,-3.38,-1.25,-0.47,1.0,4.28,7.56,8.97,9.34,10.75,10.88,9.47,6.5,4.75,3.91,3.06,1.84,1.91,3.97,5.47,5.16,5.06,5.81,6.5,6.0,5.09,6.12,7.72,8.03,7.81,8.47,9.69,9.47,7.97,6.75,6.59,5.91,4.03,2.38,2.19,1.94,0.84,-0.66,-0.69,-0.09,-0.19,-1.72,-2.22,-1.47,-1.12,-1.62,-1.25,1.28,3.06,3.47,3.94,5.69,7.25,7.59,7.28,7.5,8.97,9.25,8.53,7.97,8.22,14.12,11.84,9.41,7.22,5.59,4.56,3.59,2.09,0.84,-0.41,-1.69,-3.28,-4.38,-4.91,-4.81,-4.47,-3.75,-2.56,-0.66,1.59,4.0,6.72,9.84,12.75,15.41,17.78,20.94,24.25,27.28,30.62,33.53,36.06,36.69,35.44,32.44,28.44,23.47,18.94,15.94,15.06,15.56,17.19:positivity
23.47,23.28,22.28,19.84,17.56,17.62,18.47,18.19,17.25,18.31,20.59,21.78,21.0,21.69,24.38,26.06,25.53,24.94,25.94,25.94,23.06,20.31,19.72,20.16,19.03,16.78,16.38,16.66,15.75,14.0,13.25,14.91,16.53,16.0,16.53,19.34,22.62,23.38,23.72,25.59,27.97,28.28,27.28,27.84,29.38,29.38,27.09,25.31,25.66,25.75,24.16,23.28,24.28,25.31,24.44,22.72,24.09,26.66,28.19,28.47,29.5,30.5,29.0,24.75,20.97,19.34,18.38,16.41,15.72,17.91,21.16,22.62,22.97,25.06,27.72,28.72,28.12,29.66,32.22,33.75,33.28,33.28,34.38,35.09,33.69,32.12,32.41,33.19,31.91,29.69,29.31,30.38,30.19,28.56,28.19,29.34,30.28,29.16,29.16,31.62,34.66,35.31,36.12,38.53,41.72,41.84,40.62,39.84,39.62,37.47,33.75,31.03,30.28,29.66,27.12,25.44,25.69,26.25,24.16,21.56,20.59,20.75,19.19,17.12,17.09,18.47,19.0,17.84,18.19,20.78,23.28,23.84,24.78,27.38,30.0,29.84,28.97,29.62,30.94,30.0,26.88,24.78,23.75,21.66,18.44,16.66,17.81,19.34,18.91,18.53,20.34,22.41,22.19,21.25,21.47,22.44,21.25,18.88,17.41,18.16,18.25,17.16,16.94,19.97,23.06,24.41,25.88,28.22,30.62,29.56,27.41,26.16,25.84,24.75,22.34,21.44,22.94,24.12,23.62,23.56,25.66,28.38,28.5,28.69,30.59,33.25,33.72,33.16,33.75,35.19,34.47,31.22,28.69,27.81,26.12,22.94,20.0,19.47,19.56,18.16,17.19,18.72,22.16,24.44,26.22,29.66,34.44,37.84,38.72,39.22,40.72,41.69,39.97,38.44,38.75,39.62,38.16,36.09,35.84,36.62,35.62,32.75,31.03,30.16,27.78,23.75,20.62,20.47,21.16,20.44,20.69,22.84,25.56,25.84,25.28,26.53,28.62,29.78,29.25,29.34,31.44,32.16,31.19,30.41,31.5,32.28,30.31,27.75,26.66,27.03,25.59,23.47,23.25,24.56,24.19,21.88,20.22,19.66,18.75,15.5,13.38,13.62,14.28,13.06,12.09,12.69,14.12,13.25,11.88,11.94,13.66,14.59,13.78,13.5,14.5,15.09,13.59,12.75,14.31,16.94,17.19,17.09,18.56,21.28,21.62,20.53,20.38,21.44,20.97,18.28,16.34,16.31,15.97,14.16,12.62,13.59,14.94,14.66,13.5,14.34,16.84,18.12,18.72,20.56,24.09,26.5,26.69,26.72,28.38,29.81,28.69,27.31,28.09,29.38,28.78,27.5,26.91,27.34,25.5,22.19,19.47,18.84,17.81,14.84,12.28,12.69,13.38,12.56,12.56,15.66,20.38,23.59,26.53,30.19,34.97,38.28,39.56,41.0,43.94,46.19,45.62,44.28,44.69,44.31,41.38,37.28,35.5,34.97,33.53,31.22,30.25,30.66,29.72,26.69,24.59,24.62,24.25,21.84,19.5,19.72,20.97,20.78,20.12,21.34,23.09,23.22,21.31,20.72,22.38,23.62,23.41,23.91,26.09,27.56,25.88,23.44,22.56,22.31,20.56,18.0,17.44,18.06,17.44,15.06,13.62,13.59,12.62,10.25,8.5,9.94,11.97,12.81,13.62,16.19,19.16,20.25,19.69,20.25,22.0,22.41,21.78,21.94,24.62,26.97,28.06,28.91,31.59,33.97,33.31,30.91,29.12,28.0,24.91,20.94,19.19,19.75,20.38,19.47,19.94,22.53,24.38,23.91,23.06,23.97,24.81,23.97,21.78,21.59,22.28,21.5,19.56,19.44,21.5,22.88,22.25,22.25,23.91,24.88,23.81,21.94,22.97,24.38,24.75,23.91,25.31,27.66,27.94,26.5,25.69,26.56,26.0,23.12,20.25,19.09,18.16,15.66,13.09,13.5,14.88,14.75,13.53,13.84,15.53,16.66,16.66,17.97,21.91,25.44,26.97,28.16,31.5,33.97,33.94,32.5,32.81,33.69,32.09,29.28,27.41,26.75,24.47,20.28,16.75,15.97,15.19,12.69,10.69,11.16,12.22,11.44,10.03,10.44,11.75,11.56,9.62,9.12,10.72,11.88,11.75,12.78,16.31,20.06,21.62,23.34,26.47,29.47,29.59,27.34,26.31,25.62,23.41,19.28,16.78,16.06,15.0,12.72,11.78,14.19,16.66,17.56,17.88,19.91,22.31,22.44,20.91,21.34,22.47,23.12,22.22,22.81,25.72,28.03,27.81,27.5,29.22,30.53,29.69,28.16,28.62,29.34,28.12,25.88,25.62,27.44,28.41,27.72,27.81,29.22,29.81,27.78,26.03,26.41,26.81,25.31,22.94,22.56,23.16,21.97,19.28,18.34,18.62,17.62,14.56,12.72,13.56,15.09,15.12,16.0,19.38,23.0,24.16,23.66,24.59,26.16,26.0,24.41,24.47,26.06,26.97,25.12,23.94,24.28,24.38,22.22,19.56,19.53,19.88,18.75,17.09,17.62,19.75,21.16,21.19,22.16,24.69,25.62,23.97,22.06,22.09,22.56,21.25,20.25,22.09,24.78,25.22,24.62,24.44,25.53,25.25,23.16,22.28,23.22,23.38,20.75,17.5,16.44,15.62,13.06,10.69,11.0,12.75,12.44,10.69,10.09,11.06,10.94,9.0,8.41,10.62,13.16,13.88,15.5,19.44,23.84,25.34,25.75,27.62,29.91,30.19,28.69,28.62,29.94,30.28,28.31,27.56,28.88,29.94,28.16,26.19,25.94,25.47,22.5,18.25,15.16,12.88,9.25,4.78,2.44,3.56,5.16,5.53,6.69,10.78,15.25,17.19,19.44,23.88,28.22,30.62,31.66,33.88,36.78,37.97,36.31,34.56,33.53,30.5,24.44,18.72,15.28,12.59,8.03,4.12,3.44,4.62,4.0,2.56,2.91,4.91,6.5,6.91,8.94,13.88,18.5,20.28,21.94,25.06,27.97,27.94,26.69,27.38,28.22,26.72,23.44,20.91,19.91,18.12,14.84,13.06,13.78,14.53,13.25,12.16,12.81,14.06,13.31,12.34,13.72,17.44,19.56,20.44,22.41,25.41,26.75,25.06,23.53,24.34,24.44,22.47,20.75,21.12,21.81,20.0,17.34,16.38,16.94,16.25,14.06,13.41,14.88,16.19,15.66,16.19,18.88,21.38,20.88,19.5,19.91,21.0,19.84,17.59,17.53,18.56,18.53,16.72,16.38,17.38,17.88,15.97,14.22,14.94,15.81,14.47,12.62,13.09,14.38,13.78,12.12,12.16,14.34,15.72,15.91,17.5,21.16,23.75,23.69,22.91,24.28,26.0,25.31,23.97,24.62,25.88,24.69,22.12,20.53,21.03,20.78,18.84,18.25,20.44,22.62,22.38,21.84,23.0,24.09,22.59,20.06,19.12,20.28,20.25,19.53,20.34,23.16,24.75,23.59,22.47,23.34,23.81,21.69,19.25,19.19,20.38,19.84,18.5,18.91,20.66,20.72,19.25,18.59,20.06,20.31,18.34,16.22,16.75,17.38,16.34,15.31,16.38,18.56,18.66,17.34,17.66,19.41,19.62,18.19,17.44,18.22,18.03,15.72,13.44,14.03,15.66,15.75,16.03,18.09,21.38,21.97,20.78,20.22,21.25,20.75,18.22,16.75,18.38,19.84,19.81,20.19,23.12,26.31,26.19,24.81,24.75,25.69,24.62,22.81,22.5,24.69,25.72,24.28,22.72,22.69,21.84,19.09,16.5,16.97,18.97,19.44,19.06,20.44,22.66,22.75,20.78,19.47,19.56,18.88,15.88,13.62,14.12,14.75,13.81,12.88,14.72,17.34,18.34,18.22,19.69,22.5,23.62,22.41,22.03,23.62,24.16,23.12,22.38,24.25,25.91,25.41,24.12,24.5,25.66,24.66,22.41,21.88,23.0,22.94,21.44,20.66,22.0,22.88,21.28,20.22,21.91,24.06,24.41,23.69,24.75,26.72,26.5,25.34,25.94,28.41,29.72,28.41,27.78,28.88,29.41,27.75,26.06,27.16,28.97,28.53,27.41,28.03,29.16,28.53,25.94,24.25,24.25,23.16,20.34,18.41,19.5,20.94,20.66,20.62,23.22,26.38,27.75,28.0,29.62,31.56,31.62,29.5,27.81,28.09,27.81,25.69,24.19,25.62,27.09,26.75,25.88,26.66,28.16,27.94,26.62,27.22,29.56,30.75,29.88,29.66,30.66,30.5,27.88,25.56,26.03,27.38,27.56,27.91,30.81,34.34,36.09,35.62,36.22,38.25,39.16,37.59,36.62,37.59,36.78,33.69,30.03,28.62,27.38,24.41,21.31,20.38,21.12,20.72,19.25,19.41,21.34,22.25,20.81,19.88,21.28,22.34,21.53,20.62,22.34,24.28,24.47,23.41,24.22,25.91,25.88,24.25,23.78,25.19,25.97,25.28,25.12,27.56,29.56,29.31,28.44,29.5,31.12,30.66,29.25,29.41,30.44,29.84,27.44,25.84,26.03,24.97,21.56,19.03,19.56,21.19,21.66,22.41,25.44,28.88,29.75,28.84,28.94,29.94,29.53,27.41,26.28,27.56,28.72,27.69,26.84,28.06,29.62,28.66,26.97,26.91,27.56,26.88,24.44,23.25,23.47,22.5,19.69,18.5,19.97,22.19,22.84,23.81,27.22,30.25,31.12,30.28,31.09,32.12,31.59,29.44,28.62,29.16,28.91,26.12,24.22,24.75,25.72,24.59,23.38,24.59,25.81,25.38,24.19,25.0,27.06,27.16,25.84,24.81,25.34,25.47,23.97,23.41,25.22,27.72,27.66,27.78,29.19,31.16,30.78,29.38,29.19,30.62,30.69,28.78,28.03,28.91,29.31,27.16,25.5,26.12,27.38,25.81,23.97,24.03,24.94,24.81,24.53,26.91,30.78,33.78,34.5,34.66,35.44,34.75,31.09,27.75,26.84,26.91,25.62,24.38:18.19,17.25,18.31,20.59,21.78,21.0,21.69,24.38,26.06,25.53,24.94,25.94,25.94,23.06,20.31,19.72,20.16,19.03,16.78,16.38,16.66,15.75,14.0,13.25,14.91,16.53,16.0,16.53,19.34,22.62,23.38,23.72,25.59,27.97,28.28,27.28,27.84,29.38,29.38,27.09,25.31,25.66,25.75,24.16,23.28,24.28,25.31,24.44,22.72,24.09,26.66,28.19,28.47,29.5,30.5,29.0,24.75,20.97,19.34,18.38,16.41,15.72,17.91,21.16,22.62,22.97,25.06,27.72,28.72,28.12,29.66,32.22,33.75,33.28,33.28,34.38,35.09,33.69,32.12,32.41,33.19,31.91,29.69,29.31,30.38,30.19,28.56,28.19,29.34,30.28,29.16,29.16,31.62,34.66,35.31,36.12,38.53,41.72,41.84,40.62,39.84,39.62,37.47,33.75,31.03,30.28,29.66,27.12,25.44,25.69,26.25,24.16,21.56,20.59,20.75,19.19,17.12,17.09,18.47,19.0,17.84,18.19,20.78,23.28,23.84,24.78,27.38,30.0,29.84,28.97,29.62,30.94,30.0,26.88,24.78,23.75,21.66,18.44,16.66,17.81,19.34,18.91,18.53,20.34,22.41,22.19,21.25,21.47,22.44,21.25,18.88,17.41,18.16,18.25,17.16,16.94,19.97,23.06,24.41,25.88,28.22,30.62,29.56,27.41,26.16,25.84,24.75,22.34,21.44,22.94,24.12,23.62,23.56,25.66,28.38,28.5,28.69,30.59,33.25,33.72,33.16,33.75,35.19,34.47,31.22,28.69,27.81,26.12,22.94,20.0,19.47,19.56,18.16,17.19,18.72,22.16,24.44,26.22,29.66,34.44,37.84,38.72,39.22,40.72,41.69,39.97,38.44,38.75,39.62,38.16,36.09,35.84,36.62,35.62,32.75,31.03,30.16,27.78,23.75,20.62,20.47,21.16,20.44,20.69,22.84,25.56,25.84,25.28,26.53,28.62,29.78,29.25,29.34,31.44,32.16,31.19,30.41,31.5,32.28,30.31,27.75,26.66,27.03,25.59,23.47,23.25,24.56,24.19,21.88,20.22,19.66,18.75,15.5,13.38,13.62,14.28,13.06,12.09,12.69,14.12,13.25,11.88,11.94,13.66,14.59,13.78,13.5,14.5,15.09,13.59,12.75,14.31,16.94,17.19,17.09,18.56,21.28,21.62,20.53,20.38,21.44,20.97,18.28,16.34,16.31,15.97,14.16,12.62,13.59,14.94,14.66,13.5,14.34,16.84,18.12,18.72,20.56,24.09,26.5,26.69,26.72,28.38,29.81,28.69,27.31,28.09,29.38,28.78,27.5,26.91,27.34,25.5,22.19,19.47,18.84,17.81,14.84,12.28,12.69,13.38,12.56,12.56,15.66,20.38,23.59,26.53,30.19,34.97,38.28,39.56,41.0,43.94,46.19,45.62,44.28,44.69,44.31,41.38,37.28,35.5,34.97,33.53,31.22,30.25,30.66,29.72,26.69,24.59,24.62,24.25,21.84,19.5,19.72,20.97,20.78,20.12,21.34,23.09,23.22,21.31,20.72,22.38,23.62,23.41,23.91,26.09,27.56,25.88,23.44,22.56,22.31,20.56,18.0,17.44,18.06,17.44,15.06,13.62,13.59,12.62,10.25,8.5,9.94,11.97,12.81,13.62,16.19,19.16,20.25,19.69,20.25,22.0,22.41,21.78,21.94,24.62,26.97,28.06,28.91,31.59,33.97,33.31,30.91,29.12,28.0,24.91,20.94,19.19,19.75,20.38,19.47,19.94,22.53,24.38,23.91,23.06,23.97,24.81,23.97,21.78,21.59,22.28,21.5,19.56,19.44,21.5,22.88,22.25,22.25,23.91,24.88,23.81,21.94,22.97,24.38,24.75,23.91,25.31,27.66,27.94,26.5,25.69,26.56,26.0,23.12,20.25,19.09,18.16,15.66,13.09,13.5,14.88,14.75,13.53,13.84,15.53,16.66,16.66,17.97,21.91,25.44,26.97,28.16,31.5,33.97,33.94,32.5,32.81,33.69,32.09,29.28,27.41,26.75,24.47,20.28,16.75,15.97,15.19,12.69,10.69,11.16,12.22,11.44,10.03,10.44,11.75,11.56,9.62,9.12,10.72,11.88,11.75,12.78,16.31,20.06,21.62,23.34,26.47,29.47,29.59,27.34,26.31,25.62,23.41,19.28,16.78,16.06,15.0,12.72,11.78,14.19,16.66,17.56,17.88,19.91,22.31,22.44,20.91,21.34,22.47,23.12,22.22,22.81,25.72,28.03,27.81,27.5,29.22,30.53,29.69,28.16,28.62,29.34,28.12,25.88,25.62,27.44,28.41,27.72,27.81,29.22,29.81,27.78,26.03,26.41,26.81,25.31,22.94,22.56,23.16,21.97,19.28,18.34,18.62,17.62,14.56,12.72,13.56,15.09,15.12,16.0,19.38,23.0,24.16,23.66,24.59,26.16,26.0,24.41,24.47,26.06,26.97,25.12,23.94,24.28,24.38,22.22,19.56,19.53,19.88,18.75,17.09,17.62,19.75,21.16,21.19,22.16,24.69,25.62,23.97,22.06,22.09,22.56,21.25,20.25,22.09,24.78,25.22,24.62,24.44,25.53,25.25,23.16,22.28,23.22,23.38,20.75,17.5,16.44,15.62,13.06,10.69,11.0,12.75,12.44,10.69,10.09,11.06,10.94,9.0,8.41,10.62,13.16,13.88,15.5,19.44,23.84,25.34,25.75,27.62,29.91,30.19,28.69,28.62,29.94,30.28,28.31,27.56,28.88,29.94,28.16,26.19,25.94,25.47,22.5,18.25,15.16,12.88,9.25,4.78,2.44,3.56,5.16,5.53,6.69,10.78,15.25,17.19,19.44,23.88,28.22,30.62,31.66,33.88,36.78,37.97,36.31,34.56,33.53,30.5,24.44,18.72,15.28,12.59,8.03,4.12,3.44,4.62,4.0,2.56,2.91,4.91,6.5,6.91,8.94,13.88,18.5,20.28,21.94,25.06,27.97,27.94,26.69,27.38,28.22,26.72,23.44,20.91,19.91,18.12,14.84,13.06,13.78,14.53,13.25,12.16,12.81,14.06,13.31,12.34,13.72,17.44,19.56,20.44,22.41,25.41,26.75,25.06,23.53,24.34,24.44,22.47,20.75,21.12,21.81,20.0,17.34,16.38,16.94,16.25,14.06,13.41,14.88,16.19,15.66,16.19,18.88,21.38,20.88,19.5,19.91,21.0,19.84,17.59,17.53,18.56,18.53,16.72,16.38,17.38,17.88,15.97,14.22,14.94,15.81,14.47,12.62,13.09,14.38,13.78,12.12,12.16,14.34,15.72,15.91,17.5,21.16,23.75,23.69,22.91,24.28,26.0,25.31,23.97,24.62,25.88,24.69,22.12,20.53,21.03,20.78,18.84,18.25,20.44,22.62,22.38,21.84,23.0,24.09,22.59,20.06,19.12,20.28,20.25,19.53,20.34,23.16,24.75,23.59,22.47,23.34,23.81,21.69,19.25,19.19,20.38,19.84,18.5,18.91,20.66,20.72,19.25,18.59,20.06,20.31,18.34,16.22,16.75,17.38,16.34,15.31,16.38,18.56,18.66,17.34,17.66,19.41,19.62,18.19,17.44,18.22,18.03,15.72,13.44,14.03,15.66,15.75,16.03,18.09,21.38,21.97,20.78,20.22,21.25,20.75,18.22,16.75,18.38,19.84,19.81,20.19,23.12,26.31,26.19,24.81,24.75,25.69,24.62,22.81,22.5,24.69,25.72,24.28,22.72,22.69,21.84,19.09,16.5,16.97,18.97,19.44,19.06,20.44,22.66,22.75,20.78,19.47,19.56,18.88,15.88,13.62,14.12,14.75,13.81,12.88,14.72,17.34,18.34,18.22,19.69,22.5,23.62,22.41,22.03,23.62,24.16,23.12,22.38,24.25,25.91,25.41,24.12,24.5,25.66,24.66,22.41,21.88,23.0,22.94,21.44,20.66,22.0,22.88,21.28,20.22,21.91,24.06,24.41,23.69,24.75,26.72,26.5,25.34,25.94,28.41,29.72,28.41,27.78,28.88,29.41,27.75,26.06,27.16,28.97,28.53,27.41,28.03,29.16,28.53,25.94,24.25,24.25,23.16,20.34,18.41,19.5,20.94,20.66,20.62,23.22,26.38,27.75,28.0,29.62,31.56,31.62,29.5,27.81,28.09,27.81,25.69,24.19,25.62,27.09,26.75,25.88,26.66,28.16,27.94,26.62,27.22,29.56,30.75,29.88,29.66,30.66,30.5,27.88,25.56,26.03,27.38,27.56,27.91,30.81,34.34,36.09,35.62,36.22,38.25,39.16,37.59,36.62,37.59,36.78,33.69,30.03,28.62,27.38,24.41,21.31,20.38,21.12,20.72,19.25,19.41,21.34,22.25,20.81,19.88,21.28,22.34,21.53,20.62,22.34,24.28,24.47,23.41,24.22,25.91,25.88,24.25,23.78,25.19,25.97,25.28,25.12,27.56,29.56,29.31,28.44,29.5,31.12,30.66,29.25,29.41,30.44,29.84,27.44,25.84,26.03,24.97,21.56,19.03,19.56,21.19,21.66,22.41,25.44,28.88,29.75,28.84,28.94,29.94,29.53,27.41,26.28,27.56,28.72,27.69,26.84,28.06,29.62,28.66,26.97,26.91,27.56,26.88,24.44,23.25,23.47,22.5,19.69,18.5,19.97,22.19,22.84,23.81,27.22,30.25,31.12,30.28,31.09,32.12,31.59,29.44,28.62,29.16,28.91,26.12,24.22,24.75,25.72,24.59,23.38,24.59,25.81,25.38,24.19,25.0,27.06,27.16,25.84,24.81,25.34,25.47,23.97,23.41,25.22,27.72,27.66,27.78,29.19,31.16,30.78,29.38,29.19,30.62,30.69,28.78,28.03,28.91,29.31,27.16,25.5,26.12,27.38,25.81,23.97,24.03,24.94,24.81,24.53,26.91,30.78,33.78,34.5,34.66,35.44,34.75,31.09,27.75,26.84,26.91,25.62,24.38,31.72,31.75,31.62,30.66,29.78,30.44,31.16:24.38,26.06,25.53,24.94,25.94,25.94,23.06,20.31,19.72,20.16,19.03,16.78,16.38,16.66,15.75,14.0,13.25,14.91,16.53,16.0,16.53,19.34,22.62,23.38,23.72,25.59,27.97,28.28,27.28,27.84,29.38,29.38,27.09,25.31,25.66,25.75,24.16,23.28,24.28,25.31,24.44,22.72,24.09,26.66,28.19,28.47,29.5,30.5,29.0,24.75,20.97,19.34,18.38,16.41,15.72,17.91,21.16,22.62,22.97,25.06,27.72,28.72,28.12,29.66,32.22,33.75,33.28,33.28,34.38,35.09,33.69,32.12,32.41,33.19,31.91,29.69,29.31,30.38,30.19,28.56,28.19,29.34,30.28,29.16,29.16,31.62,34.66,35.31,36.12,38.53,41.72,41.84,40.62,39.84,39.62,37.47,33.75,31.03,30.28,29.66,27.12,25.44,25.69,26.25,24.16,21.56,20.59,20.75,19.19,17.12,17.09,18.47,19.0,17.84,18.19,20.78,23.28,23.84,24.78,27.38,30.0,29.84,28.97,29.62,30.94,30.0,26.88,24.78,23.75,21.66,18.44,16.66,17.81,19.34,18.91,18.53,20.34,22.41,22.19,21.25,21.47,22.44,21.25,18.88,17.41,18.16,18.25,17.16,16.94,19.97,23.06,24.41,25.88,28.22,30.62,29.56,27.41,26.16,25.84,24.75,22.34,21.44,22.94,24.12,23.62,23.56,25.66,28.38,28.5,28.69,30.59,33.25,33.72,33.16,33.75,35.19,34.47,31.22,28.69,27.81,26.12,22.94,20.0,19.47,19.56,18.16,17.19,18.72,22.16,24.44,26.22,29.66,34.44,37.84,38.72,39.22,40.72,41.69,39.97,38.44,38.75,39.62,38.16,36.09,35.84,36.62,35.62,32.75,31.03,30.16,27.78,23.75,20.62,20.47,21.16,20.44,20.69,22.84,25.56,25.84,25.28,26.53,28.62,29.78,29.25,29.34,31.44,32.16,31.19,30.41,31.5,32.28,30.31,27.75,26.66,27.03,25.59,23.47,23.25,24.56,24.19,21.88,20.22,19.66,18.75,15.5,13.38,13.62,14.28,13.06,12.09,12.69,14.12,13.25,11.88,11.94,13.66,14.59,13.78,13.5,14.5,15.09,13.59,12.75,14.31,16.94,17.19,17.09,18.56,21.28,21.62,20.53,20.38,21.44,20.97,18.28,16.34,16.31,15.97,14.16,12.62,13.59,14.94,14.66,13.5,14.34,16.84,18.12,18.72,20.56,24.09,26.5,26.69,26.72,28.38,29.81,28.69,27.31,28.09,29.38,28.78,27.5,26.91,27.34,25.5,22.19,19.47,18.84,17.81,14.84,12.28,12.69,13.38,12.56,12.56,15.66,20.38,23.59,26.53,30.19,34.97,38.28,39.56,41.0,43.94,46.19,45.62,44.28,44.69,44.31,41.38,37.28,35.5,34.97,33.53,31.22,30.25,30.66,29.72,26.69,24.59,24.62,24.25,21.84,19.5,19.72,20.97,20.78,20.12,21.34,23.09,23.22,21.31,20.72,22.38,23.62,23.41,23.91,26.09,27.56,25.88,23.44,22.56,22.31,20.56,18.0,17.44,18.06,17.44,15.06,13.62,13.59,12.62,10.25,8.5,9.94,11.97,12.81,13.62,16.19,19.16,20.25,19.69,20.25,22.0,22.41,21.78,21.94,24.62,26.97,28.06,28.91,31.59,33.97,33.31,30.91,29.12,28.0,24.91,20.94,19.19,19.75,20.38,19.47,19.94,22.53,24.38,23.91,23.06,23.97,24.81,23.97,21.78,21.59,22.28,21.5,19.56,19.44,21.5,22.88,22.25,22.25,23.91,24.88,23.81,21.94,22.97,24.38,24.75,23.91,25.31,27.66,27.94,26.5,25.69,26.56,26.0,23.12,20.25,19.09,18.16,15.66,13.09,13.5,14.88,14.75,13.53,13.84,15.53,16.66,16.66,17.97,21.91,25.44,26.97,28.16,31.5,33.97,33.94,32.5,32.81,33.69,32.09,29.28,27.41,26.75,24.47,20.28,16.75,15.97,15.19,12.69,10.69,11.16,12.22,11.44,10.03,10.44,11.75,11.56,9.62,9.12,10.72,11.88,11.75,12.78,16.31,20.06,21.62,23.34,26.47,29.47,29.59,27.34,26.31,25.62,23.41,19.28,16.78,16.06,15.0,12.72,11.78,14.19,16.66,17.56,17.88,19.91,22.31,22.44,20.91,21.34,22.47,23.12,22.22,22.81,25.72,28.03,27.81,27.5,29.22,30.53,29.69,28.16,28.62,29.34,28.12,25.88,25.62,27.44,28.41,27.72,27.81,29.22,29.81,27.78,26.03,26.41,26.81,25.31,22.94,22.56,23.16,21.97,19.28,18.34,18.62,17.62,14.56,12.72,13.56,15.09,15.12,16.0,19.38,23.0,24.16,23.66,24.59,26.16,26.0,24.41,24.47,26.06,26.97,25.12,23.94,24.28,24.38,22.22,19.56,19.53,19.88,18.75,17.09,17.62,19.75,21.16,21.19,22.16,24.69,25.62,23.97,22.06,22.09,22.56,21.25,20.25,22.09,24.78,25.22,24.62,24.44,25.53,25.25,23.16,22.28,23.22,23.38,20.75,17.5,16.44,15.62,13.06,10.69,11.0,12.75,12.44,10.69,10.09,11.06,10.94,9.0,8.41,10.62,13.16,13.88,15.5,19.44,23.84,25.34,25.75,27.62,29.91,30.19,28.69,28.62,29.94,30.28,28.31,27.56,28.88,29.94,28.16,26.19,25.94,25.47,22.5,18.25,15.16,12.88,9.25,4.78,2.44,3.56,5.16,5.53,6.69,10.78,15.25,17.19,19.44,23.88,28.22,30.62,31.66,33.88,36.78,37.97,36.31,34.56,33.53,30.5,24.44,18.72,15.28,12.59,8.03,4.12,3.44,4.62,4.0,2.56,2.91,4.91,6.5,6.91,8.94,13.88,18.5,20.28,21.94,25.06,27.97,27.94,26.69,27.38,28.22,26.72,23.44,20.91,19.91,18.12,14.84,13.06,13.78,14.53,13.25,12.16,12.81,14.06,13.31,12.34,13.72,17.44,19.56,20.44,22.41,25.41,26.75,25.06,23.53,24.34,24.44,22.47,20.75,21.12,21.81,20.0,17.34,16.38,16.94,16.25,14.06,13.41,14.88,16.19,15.66,16.19,18.88,21.38,20.88,19.5,19.91,21.0,19.84,17.59,17.53,18.56,18.53,16.72,16.38,17.38,17.88,15.97,14.22,14.94,15.81,14.47,12.62,13.09,14.38,13.78,12.12,12.16,14.34,15.72,15.91,17.5,21.16,23.75,23.69,22.91,24.28,26.0,25.31,23.97,24.62,25.88,24.69,22.12,20.53,21.03,20.78,18.84,18.25,20.44,22.62,22.38,21.84,23.0,24.09,22.59,20.06,19.12,20.28,20.25,19.53,20.34,23.16,24.75,23.59,22.47,23.34,23.81,21.69,19.25,19.19,20.38,19.84,18.5,18.91,20.66,20.72,19.25,18.59,20.06,20.31,18.34,16.22,16.75,17.38,16.34,15.31,16.38,18.56,18.66,17.34,17.66,19.41,19.62,18.19,17.44,18.22,18.03,15.72,13.44,14.03,15.66,15.75,16.03,18.09,21.38,21.97,20.78,20.22,21.25,20.75,18.22,16.75,18.38,19.84,19.81,20.19,23.12,26.31,26.19,24.81,24.75,25.69,24.62,22.81,22.5,24.69,25.72,24.28,22.72,22.69,21.84,19.09,16.5,16.97,18.97,19.44,19.06,20.44,22.66,22.75,20.78,19.47,19.56,18.88,15.88,13.62,14.12,14.75,13.81,12.88,14.72,17.34,18.34,18.22,19.69,22.5,23.62,22.41,22.03,23.62,24.16,23.12,22.38,24.25,25.91,25.41,24.12,24.5,25.66,24.66,22.41,21.88,23.0,22.94,21.44,20.66,22.0,22.88,21.28,20.22,21.91,24.06,24.41,23.69,24.75,26.72,26.5,25.34,25.94,28.41,29.72,28.41,27.78,28.88,29.41,27.75,26.06,27.16,28.97,28.53,27.41,28.03,29.16,28.53,25.94,24.25,24.25,23.16,20.34,18.41,19.5,20.94,20.66,20.62,23.22,26.38,27.75,28.0,29.62,31.56,31.62,29.5,27.81,28.09,27.81,25.69,24.19,25.62,27.09,26.75,25.88,26.66,28.16,27.94,26.62,27.22,29.56,30.75,29.88,29.66,30.66,30.5,27.88,25.56,26.03,27.38,27.56,27.91,30.81,34.34,36.09,35.62,36.22,38.25,39.16,37.59,36.62,37.59,36.78,33.69,30.03,28.62,27.38,24.41,21.31,20.38,21.12,20.72,19.25,19.41,21.34,22.25,20.81,19.88,21.28,22.34,21.53,20.62,22.34,24.28,24.47,23.41,24.22,25.91,25.88,24.25,23.78,25.19,25.97,25.28,25.12,27.56,29.56,29.31,28.44,29.5,31.12,30.66,29.25,29.41,30.44,29.84,27.44,25.84,26.03,24.97,21.56,19.03,19.56,21.19,21.66,22.41,25.44,28.88,29.75,28.84,28.94,29.94,29.53,27.41,26.28,27.56,28.72,27.69,26.84,28.06,29.62,28.66,26.97,26.91,27.56,26.88,24.44,23.25,23.47,22.5,19.69,18.5,19.97,22.19,22.84,23.81,27.22,30.25,31.12,30.28,31.09,32.12,31.59,29.44,28.62,29.16,28.91,26.12,24.22,24.75,25.72,24.59,23.38,24.59,25.81,25.38,24.19,25.0,27.06,27.16,25.84,24.81,25.34,25.47,23.97,23.41,25.22,27.72,27.66,27.78,29.19,31.16,30.78,29.38,29.19,30.62,30.69,28.78,28.03,28.91,29.31,27.16,25.5,26.12,27.38,25.81,23.97,24.03,24.94,24.81,24.53,26.91,30.78,33.78,34.5,34.66,35.44,34.75,31.09,27.75,26.84,26.91,25.62,24.38,31.72,31.75,31.62,30.66,29.78,30.44,31.16,30.69,29.78,30.12,31.16,31.59,31.06,31.88:20.31,19.72,20.16,19.03,16.78,16.38,16.66,15.75,14.0,13.25,14.91,16.53,16.0,16.53,19.34,22.62,23.38,23.72,25.59,27.97,28.28,27.28,27.84,29.38,29.38,27.09,25.31,25.66,25.75,24.16,23.28,24.28,25.31,24.44,22.72,24.09,26.66,28.19,28.47,29.5,30.5,29.0,24.75,20.97,19.34,18.38,16.41,15.72,17.91,21.16,22.62,22.97,25.06,27.72,28.72,28.12,29.66,32.22,33.75,33.28,33.28,34.38,35.09,33.69,32.12,32.41,33.19,31.91,29.69,29.31,30.38,30.19,28.56,28.19,29.34,30.28,29.16,29.16,31.62,34.66,35.31,36.12,38.53,41.72,41.84,40.62,39.84,39.62,37.47,33.75,31.03,30.28,29.66,27.12,25.44,25.69,26.25,24.16,21.56,20.59,20.75,19.19,17.12,17.09,18.47,19.0,17.84,18.19,20.78,23.28,23.84,24.78,27.38,30.0,29.84,28.97,29.62,30.94,30.0,26.88,24.78,23.75,21.66,18.44,16.66,17.81,19.34,18.91,18.53,20.34,22.41,22.19,21.25,21.47,22.44,21.25,18.88,17.41,18.16,18.25,17.16,16.94,19.97,23.06,24.41,25.88,28.22,30.62,29.56,27.41,26.16,25.84,24.75,22.34,21.44,22.94,24.12,23.62,23.56,25.66,28.38,28.5,28.69,30.59,33.25,33.72,33.16,33.75,35.19,34.47,31.22,28.69,27.81,26.12,22.94,20.0,19.47,19.56,18.16,17.19,18.72,22.16,24.44,26.22,29.66,34.44,37.84,38.72,39.22,40.72,41.69,39.97,38.44,38.75,39.62,38.16,36.09,35.84,36.62,35.62,32.75,31.03,30.16,27.78,23.75,20.62,20.47,21.16,20.44,20.69,22.84,25.56,25.84,25.28,26.53,28.62,29.78,29.25,29.34,31.44,32.16,31.19,30.41,31.5,32.28,30.31,27.75,26.66,27.03,25.59,23.47,23.25,24.56,24.19,21.88,20.22,19.66,18.75,15.5,13.38,13.62,14.28,13.06,12.09,12.69,14.12,13.25,11.88,11.94,13.66,14.59,13.78,13.5,14.5,15.09,13.59,12.75,14.31,16.94,17.19,17.09,18.56,21.28,21.62,20.53,20.38,21.44,20.97,18.28,16.34,16.31,15.97,14.16,12.62,13.59,14.94,14.66,13.5,14.34,16.84,18.12,18.72,20.56,24.09,26.5,26.69,26.72,28.38,29.81,28.69,27.31,28.09,29.38,28.78,27.5,26.91,27.34,25.5,22.19,19.47,18.84,17.81,14.84,12.28,12.69,13.38,12.56,12.56,15.66,20.38,23.59,26.53,30.19,34.97,38.28,39.56,41.0,43.94,46.19,45.62,44.28,44.69,44.31,41.38,37.28,35.5,34.97,33.53,31.22,30.25,30.66,29.72,26.69,24.59,24.62,24.25,21.84,19.5,19.72,20.97,20.78,20.12,21.34,23.09,23.22,21.31,20.72,22.38,23.62,23.41,23.91,26.09,27.56,25.88,23.44,22.56,22.31,20.56,18.0,17.44,18.06,17.44,15.06,13.62,13.59,12.62,10.25,8.5,9.94,11.97,12.81,13.62,16.19,19.16,20.25,19.69,20.25,22.0,22.41,21.78,21.94,24.62,26.97,28.06,28.91,31.59,33.97,33.31,30.91,29.12,28.0,24.91,20.94,19.19,19.75,20.38,19.47,19.94,22.53,24.38,23.91,23.06,23.97,24.81,23.97,21.78,21.59,22.28,21.5,19.56,19.44,21.5,22.88,22.25,22.25,23.91,24.88,23.81,21.94,22.97,24.38,24.75,23.91,25.31,27.66,27.94,26.5,25.69,26.56,26.0,23.12,20.25,19.09,18.16,15.66,13.09,13.5,14.88,14.75,13.53,13.84,15.53,16.66,16.66,17.97,21.91,25.44,26.97,28.16,31.5,33.97,33.94,32.5,32.81,33.69,32.09,29.28,27.41,26.75,24.47,20.28,16.75,15.97,15.19,12.69,10.69,11.16,12.22,11.44,10.03,10.44,11.75,11.56,9.62,9.12,10.72,11.88,11.75,12.78,16.31,20.06,21.62,23.34,26.47,29.47,29.59,27.34,26.31,25.62,23.41,19.28,16.78,16.06,15.0,12.72,11.78,14.19,16.66,17.56,17.88,19.91,22.31,22.44,20.91,21.34,22.47,23.12,22.22,22.81,25.72,28.03,27.81,27.5,29.22,30.53,29.69,28.16,28.62,29.34,28.12,25.88,25.62,27.44,28.41,27.72,27.81,29.22,29.81,27.78,26.03,26.41,26.81,25.31,22.94,22.56,23.16,21.97,19.28,18.34,18.62,17.62,14.56,12.72,13.56,15.09,15.12,16.0,19.38,23.0,24.16,23.66,24.59,26.16,26.0,24.41,24.47,26.06,26.97,25.12,23.94,24.28,24.38,22.22,19.56,19.53,19.88,18.75,17.09,17.62,19.75,21.16,21.19,22.16,24.69,25.62,23.97,22.06,22.09,22.56,21.25,20.25,22.09,24.78,25.22,24.62,24.44,25.53,25.25,23.16,22.28,23.22,23.38,20.75,17.5,16.44,15.62,13.06,10.69,11.0,12.75,12.44,10.69,10.09,11.06,10.94,9.0,8.41,10.62,13.16,13.88,15.5,19.44,23.84,25.34,25.75,27.62,29.91,30.19,28.69,28.62,29.94,30.28,28.31,27.56,28.88,29.94,28.16,26.19,25.94,25.47,22.5,18.25,15.16,12.88,9.25,4.78,2.44,3.56,5.16,5.53,6.69,10.78,15.25,17.19,19.44,23.88,28.22,30.62,31.66,33.88,36.78,37.97,36.31,34.56,33.53,30.5,24.44,18.72,15.28,12.59,8.03,4.12,3.44,4.62,4.0,2.56,2.91,4.91,6.5,6.91,8.94,13.88,18.5,20.28,21.94,25.06,27.97,27.94,26.69,27.38,28.22,26.72,23.44,20.91,19.91,18.12,14.84,13.06,13.78,14.53,13.25,12.16,12.81,14.06,13.31,12.34,13.72,17.44,19.56,20.44,22.41,25.41,26.75,25.06,23.53,24.34,24.44,22.47,20.75,21.12,21.81,20.0,17.34,16.38,16.94,16.25,14.06,13.41,14.88,16.19,15.66,16.19,18.88,21.38,20.88,19.5,19.91,21.0,19.84,17.59,17.53,18.56,18.53,16.72,16.38,17.38,17.88,15.97,14.22,14.94,15.81,14.47,12.62,13.09,14.38,13.78,12.12,12.16,14.34,15.72,15.91,17.5,21.16,23.75,23.69,22.91,24.28,26.0,25.31,23.97,24.62,25.88,24.69,22.12,20.53,21.03,20.78,18.84,18.25,20.44,22.62,22.38,21.84,23.0,24.09,22.59,20.06,19.12,20.28,20.25,19.53,20.34,23.16,24.75,23.59,22.47,23.34,23.81,21.69,19.25,19.19,20.38,19.84,18.5,18.91,20.66,20.72,19.25,18.59,20.06,20.31,18.34,16.22,16.75,17.38,16.34,15.31,16.38,18.56,18.66,17.34,17.66,19.41,19.62,18.19,17.44,18.22,18.03,15.72,13.44,14.03,15.66,15.75,16.03,18.09,21.38,21.97,20.78,20.22,21.25,20.75,18.22,16.75,18.38,19.84,19.81,20.19,23.12,26.31,26.19,24.81,24.75,25.69,24.62,22.81,22.5,24.69,25.72,24.28,22.72,22.69,21.84,19.09,16.5,16.97,18.97,19.44,19.06,20.44,22.66,22.75,20.78,19.47,19.56,18.88,15.88,13.62,14.12,14.75,13.81,12.88,14.72,17.34,18.34,18.22,19.69,22.5,23.62,22.41,22.03,23.62,24.16,23.12,22.38,24.25,25.91,25.41,24.12,24.5,25.66,24.66,22.41,21.88,23.0,22.94,21.44,20.66,22.0,22.88,21.28,20.22,21.91,24.06,24.41,23.69,24.75,26.72,26.5,25.34,25.94,28.41,29.72,28.41,27.78,28.88,29.41,27.75,26.06,27.16,28.97,28.53,27.41,28.03,29.16,28.53,25.94,24.25,24.25,23.16,20.34,18.41,19.5,20.94,20.66,20.62,23.22,26.38,27.75,28.0,29.62,31.56,31.62,29.5,27.81,28.09,27.81,25.69,24.19,25.62,27.09,26.75,25.88,26.66,28.16,27.94,26.62,27.22,29.56,30.75,29.88,29.66,30.66,30.5,27.88,25.56,26.03,27.38,27.56,27.91,30.81,34.34,36.09,35.62,36.22,38.25,39.16,37.59,36.62,37.59,36.78,33.69,30.03,28.62,27.38,24.41,21.31,20.38,21.12,20.72,19.25,19.41,21.34,22.25,20.81,19.88,21.28,22.34,21.53,20.62,22.34,24.28,24.47,23.41,24.22,25.91,25.88,24.25,23.78,25.19,25.97,25.28,25.12,27.56,29.56,29.31,28.44,29.5,31.12,30.66,29.25,29.41,30.44,29.84,27.44,25.84,26.03,24.97,21.56,19.03,19.56,21.19,21.66,22.41,25.44,28.88,29.75,28.84,28.94,29.94,29.53,27.41,26.28,27.56,28.72,27.69,26.84,28.06,29.62,28.66,26.97,26.91,27.56,26.88,24.44,23.25,23.47,22.5,19.69,18.5,19.97,22.19,22.84,23.81,27.22,30.25,31.12,30.28,31.09,32.12,31.59,29.44,28.62,29.16,28.91,26.12,24.22,24.75,25.72,24.59,23.38,24.59,25.81,25.38,24.19,25.0,27.06,27.16,25.84,24.81,25.34,25.47,23.97,23.41,25.22,27.72,27.66,27.78,29.19,31.16,30.78,29.38,29.19,30.62,30.69,28.78,28.03,28.91,29.31,27.16,25.5,26.12,27.38,25.81,23.97,24.03,24.94,24.81,24.53,26.91,30.78,33.78,34.5,34.66,35.44,34.75,31.09,27.75,26.84,26.91,25.62,24.38,31.72,31.75,31.62,30.66,29.78,30.44,31.16,30.69,29.78,30.12,31.16,31.59,31.06,31.88,33.84,35.66,35.72,35.84,36.91,36.84,34.91:15.75,14.0,13.25,14.91,16.53,16.0,16.53,19.34,22.62,23.38,23.72,25.59,27.97,28.28,27.28,27.84,29.38,29.38,27.09,25.31,25.66,25.75,24.16,23.28,24.28,25.31,24.44,22.72,24.09,26.66,28.19,28.47,29.5,30.5,29.0,24.75,20.97,19.34,18.38,16.41,15.72,17.91,21.16,22.62,22.97,25.06,27.72,28.72,28.12,29.66,32.22,33.75,33.28,33.28,34.38,35.09,33.69,32.12,32.41,33.19,31.91,29.69,29.31,30.38,30.19,28.56,28.19,29.34,30.28,29.16,29.16,31.62,34.66,35.31,36.12,38.53,41.72,41.84,40.62,39.84,39.62,37.47,33.75,31.03,30.28,29.66,27.12,25.44,25.69,26.25,24.16,21.56,20.59,20.75,19.19,17.12,17.09,18.47,19.0,17.84,18.19,20.78,23.28,23.84,24.78,27.38,30.0,29.84,28.97,29.62,30.94,30.0,26.88,24.78,23.75,21.66,18.44,16.66,17.81,19.34,18.91,18.53,20.34,22.41,22.19,21.25,21.47,22.44,21.25,18.88,17.41,18.16,18.25,17.16,16.94,19.97,23.06,24.41,25.88,28.22,30.62,29.56,27.41,26.16,25.84,24.75,22.34,21.44,22.94,24.12,23.62,23.56,25.66,28.38,28.5,28.69,30.59,33.25,33.72,33.16,33.75,35.19,34.47,31.22,28.69,27.81,26.12,22.94,20.0,19.47,19.56,18.16,17.19,18.72,22.16,24.44,26.22,29.66,34.44,37.84,38.72,39.22,40.72,41.69,39.97,38.44,38.75,39.62,38.16,36.09,35.84,36.62,35.62,32.75,31.03,30.16,27.78,23.75,20.62,20.47,21.16,20.44,20.69,22.84,25.56,25.84,25.28,26.53,28.62,29.78,29.25,29.34,31.44,32.16,31.19,30.41,31.5,32.28,30.31,27.75,26.66,27.03,25.59,23.47,23.25,24.56,24.19,21.88,20.22,19.66,18.75,15.5,13.38,13.62,14.28,13.06,12.09,12.69,14.12,13.25,11.88,11.94,13.66,14.59,13.78,13.5,14.5,15.09,13.59,12.75,14.31,16.94,17.19,17.09,18.56,21.28,21.62,20.53,20.38,21.44,20.97,18.28,16.34,16.31,15.97,14.16,12.62,13.59,14.94,14.66,13.5,14.34,16.84,18.12,18.72,20.56,24.09,26.5,26.69,26.72,28.38,29.81,28.69,27.31,28.09,29.38,28.78,27.5,26.91,27.34,25.5,22.19,19.47,18.84,17.81,14.84,12.28,12.69,13.38,12.56,12.56,15.66,20.38,23.59,26.53,30.19,34.97,38.28,39.56,41.0,43.94,46.19,45.62,44.28,44.69,44.31,41.38,37.28,35.5,34.97,33.53,31.22,30.25,30.66,29.72,26.69,24.59,24.62,24.25,21.84,19.5,19.72,20.97,20.78,20.12,21.34,23.09,23.22,21.31,20.72,22.38,23.62,23.41,23.91,26.09,27.56,25.88,23.44,22.56,22.31,20.56,18.0,17.44,18.06,17.44,15.06,13.62,13.59,12.62,10.25,8.5,9.94,11.97,12.81,13.62,16.19,19.16,20.25,19.69,20.25,22.0,22.41,21.78,21.94,24.62,26.97,28.06,28.91,31.59,33.97,33.31,30.91,29.12,28.0,24.91,20.94,19.19,19.75,20.38,19.47,19.94,22.53,24.38,23.91,23.06,23.97,24.81,23.97,21.78,21.59,22.28,21.5,19.56,19.44,21.5,22.88,22.25,22.25,23.91,24.88,23.81,21.94,22.97,24.38,24.75,23.91,25.31,27.66,27.94,26.5,25.69,26.56,26.0,23.12,20.25,19.09,18.16,15.66,13.09,13.5,14.88,14.75,13.53,13.84,15.53,16.66,16.66,17.97,21.91,25.44,26.97,28.16,31.5,33.97,33.94,32.5,32.81,33.69,32.09,29.28,27.41,26.75,24.47,20.28,16.75,15.97,15.19,12.69,10.69,11.16,12.22,11.44,10.03,10.44,11.75,11.56,9.62,9.12,10.72,11.88,11.75,12.78,16.31,20.06,21.62,23.34,26.47,29.47,29.59,27.34,26.31,25.62,23.41,19.28,16.78,16.06,15.0,12.72,11.78,14.19,16.66,17.56,17.88,19.91,22.31,22.44,20.91,21.34,22.47,23.12,22.22,22.81,25.72,28.03,27.81,27.5,29.22,30.53,29.69,28.16,28.62,29.34,28.12,25.88,25.62,27.44,28.41,27.72,27.81,29.22,29.81,27.78,26.03,26.41,26.81,25.31,22.94,22.56,23.16,21.97,19.28,18.34,18.62,17.62,14.56,12.72,13.56,15.09,15.12,16.0,19.38,23.0,24.16,23.66,24.59,26.16,26.0,24.41,24.47,26.06,26.97,25.12,23.94,24.28,24.38,22.22,19.56,19.53,19.88,18.75,17.09,17.62,19.75,21.16,21.19,22.16,24.69,25.62,23.97,22.06,22.09,22.56,21.25,20.25,22.09,24.78,25.22,24.62,24.44,25.53,25.25,23.16,22.28,23.22,23.38,20.75,17.5,16.44,15.62,13.06,10.69,11.0,12.75,12.44,10.69,10.09,11.06,10.94,9.0,8.41,10.62,13.16,13.88,15.5,19.44,23.84,25.34,25.75,27.62,29.91,30.19,28.69,28.62,29.94,30.28,28.31,27.56,28.88,29.94,28.16,26.19,25.94,25.47,22.5,18.25,15.16,12.88,9.25,4.78,2.44,3.56,5.16,5.53,6.69,10.78,15.25,17.19,19.44,23.88,28.22,30.62,31.66,33.88,36.78,37.97,36.31,34.56,33.53,30.5,24.44,18.72,15.28,12.59,8.03,4.12,3.44,4.62,4.0,2.56,2.91,4.91,6.5,6.91,8.94,13.88,18.5,20.28,21.94,25.06,27.97,27.94,26.69,27.38,28.22,26.72,23.44,20.91,19.91,18.12,14.84,13.06,13.78,14.53,13.25,12.16,12.81,14.06,13.31,12.34,13.72,17.44,19.56,20.44,22.41,25.41,26.75,25.06,23.53,24.34,24.44,22.47,20.75,21.12,21.81,20.0,17.34,16.38,16.94,16.25,14.06,13.41,14.88,16.19,15.66,16.19,18.88,21.38,20.88,19.5,19.91,21.0,19.84,17.59,17.53,18.56,18.53,16.72,16.38,17.38,17.88,15.97,14.22,14.94,15.81,14.47,12.62,13.09,14.38,13.78,12.12,12.16,14.34,15.72,15.91,17.5,21.16,23.75,23.69,22.91,24.28,26.0,25.31,23.97,24.62,25.88,24.69,22.12,20.53,21.03,20.78,18.84,18.25,20.44,22.62,22.38,21.84,23.0,24.09,22.59,20.06,19.12,20.28,20.25,19.53,20.34,23.16,24.75,23.59,22.47,23.34,23.81,21.69,19.25,19.19,20.38,19.84,18.5,18.91,20.66,20.72,19.25,18.59,20.06,20.31,18.34,16.22,16.75,17.38,16.34,15.31,16.38,18.56,18.66,17.34,17.66,19.41,19.62,18.19,17.44,18.22,18.03,15.72,13.44,14.03,15.66,15.75,16.03,18.09,21.38,21.97,20.78,20.22,21.25,20.75,18.22,16.75,18.38,19.84,19.81,20.19,23.12,26.31,26.19,24.81,24.75,25.69,24.62,22.81,22.5,24.69,25.72,24.28,22.72,22.69,21.84,19.09,16.5,16.97,18.97,19.44,19.06,20.44,22.66,22.75,20.78,19.47,19.56,18.88,15.88,13.62,14.12,14.75,13.81,12.88,14.72,17.34,18.34,18.22,19.69,22.5,23.62,22.41,22.03,23.62,24.16,23.12,22.38,24.25,25.91,25.41,24.12,24.5,25.66,24.66,22.41,21.88,23.0,22.94,21.44,20.66,22.0,22.88,21.28,20.22,21.91,24.06,24.41,23.69,24.75,26.72,26.5,25.34,25.94,28.41,29.72,28.41,27.78,28.88,29.41,27.75,26.06,27.16,28.97,28.53,27.41,28.03,29.16,28.53,25.94,24.25,24.25,23.16,20.34,18.41,19.5,20.94,20.66,20.62,23.22,26.38,27.75,28.0,29.62,31.56,31.62,29.5,27.81,28.09,27.81,25.69,24.19,25.62,27.09,26.75,25.88,26.66,28.16,27.94,26.62,27.22,29.56,30.75,29.88,29.66,30.66,30.5,27.88,25.56,26.03,27.38,27.56,27.91,30.81,34.34,36.09,35.62,36.22,38.25,39.16,37.59,36.62,37.59,36.78,33.69,30.03,28.62,27.38,24.41,21.31,20.38,21.12,20.72,19.25,19.41,21.34,22.25,20.81,19.88,21.28,22.34,21.53,20.62,22.34,24.28,24.47,23.41,24.22,25.91,25.88,24.25,23.78,25.19,25.97,25.28,25.12,27.56,29.56,29.31,28.44,29.5,31.12,30.66,29.25,29.41,30.44,29.84,27.44,25.84,26.03,24.97,21.56,19.03,19.56,21.19,21.66,22.41,25.44,28.88,29.75,28.84,28.94,29.94,29.53,27.41,26.28,27.56,28.72,27.69,26.84,28.06,29.62,28.66,26.97,26.91,27.56,26.88,24.44,23.25,23.47,22.5,19.69,18.5,19.97,22.19,22.84,23.81,27.22,30.25,31.12,30.28,31.09,32.12,31.59,29.44,28.62,29.16,28.91,26.12,24.22,24.75,25.72,24.59,23.38,24.59,25.81,25.38,24.19,25.0,27.06,27.16,25.84,24.81,25.34,25.47,23.97,23.41,25.22,27.72,27.66,27.78,29.19,31.16,30.78,29.38,29.19,30.62,30.69,28.78,28.03,28.91,29.31,27.16,25.5,26.12,27.38,25.81,23.97,24.03,24.94,24.81,24.53,26.91,30.78,33.78,34.5,34.66,35.44,34.75,31.09,27.75,26.84,26.91,25.62,24.38,31.72,31.75,31.62,30.66,29.78,30.44,31.16,30.69,29.78,30.12,31.16,31.59,31.06,31.88,33.84,35.66,35.72,35.84,36.91,36.84,34.91,32.78,32.12,31.81,30.31,28.12,27.38,27.03:19.34,22.62,23.38,23.72,25.59,27.97,28.28,27.28,27.84,29.38,29.38,27.09,25.31,25.66,25.75,24.16,23.28,24.28,25.31,24.44,22.72,24.09,26.66,28.19,28.47,29.5,30.5,29.0,24.75,20.97,19.34,18.38,16.41,15.72,17.91,21.16,22.62,22.97,25.06,27.72,28.72,28.12,29.66,32.22,33.75,33.28,33.28,34.38,35.09,33.69,32.12,32.41,33.19,31.91,29.69,29.31,30.38,30.19,28.56,28.19,29.34,30.28,29.16,29.16,31.62,34.66,35.31,36.12,38.53,41.72,41.84,40.62,39.84,39.62,37.47,33.75,31.03,30.28,29.66,27.12,25.44,25.69,26.25,24.16,21.56,20.59,20.75,19.19,17.12,17.09,18.47,19.0,17.84,18.19,20.78,23.28,23.84,24.78,27.38,30.0,29.84,28.97,29.62,30.94,30.0,26.88,24.78,23.75,21.66,18.44,16.66,17.81,19.34,18.91,18.53,20.34,22.41,22.19,21.25,21.47,22.44,21.25,18.88,17.41,18.16,18.25,17.16,16.94,19.97,23.06,24.41,25.88,28.22,30.62,29.56,27.41,26.16,25.84,24.75,22.34,21.44,22.94,24.12,23.62,23.56,25.66,28.38,28.5,28.69,30.59,33.25,33.72,33.16,33.75,35.19,34.47,31.22,28.69,27.81,26.12,22.94,20.0,19.47,19.56,18.16,17.19,18.72,22.16,24.44,26.22,29.66,34.44,37.84,38.72,39.22,40.72,41.69,39.97,38.44,38.75,39.62,38.16,36.09,35.84,36.62,35.62,32.75,31.03,30.16,27.78,23.75,20.62,20.47,21.16,20.44,20.69,22.84,25.56,25.84,25.28,26.53,28.62,29.78,29.25,29.34,31.44,32.16,31.19,30.41,31.5,32.28,30.31,27.75,26.66,27.03,25.59,23.47,23.25,24.56,24.19,21.88,20.22,19.66,18.75,15.5,13.38,13.62,14.28,13.06,12.09,12.69,14.12,13.25,11.88,11.94,13.66,14.59,13.78,13.5,14.5,15.09,13.59,12.75,14.31,16.94,17.19,17.09,18.56,21.28,21.62,20.53,20.38,21.44,20.97,18.28,16.34,16.31,15.97,14.16,12.62,13.59,14.94,14.66,13.5,14.34,16.84,18.12,18.72,20.56,24.09,26.5,26.69,26.72,28.38,29.81,28.69,27.31,28.09,29.38,28.78,27.5,26.91,27.34,25.5,22.19,19.47,18.84,17.81,14.84,12.28,12.69,13.38,12.56,12.56,15.66,20.38,23.59,26.53,30.19,34.97,38.28,39.56,41.0,43.94,46.19,45.62,44.28,44.69,44.31,41.38,37.28,35.5,34.97,33.53,31.22,30.25,30.66,29.72,26.69,24.59,24.62,24.25,21.84,19.5,19.72,20.97,20.78,20.12,21.34,23.09,23.22,21.31,20.72,22.38,23.62,23.41,23.91,26.09,27.56,25.88,23.44,22.56,22.31,20.56,18.0,17.44,18.06,17.44,15.06,13.62,13.59,12.62,10.25,8.5,9.94,11.97,12.81,13.62,16.19,19.16,20.25,19.69,20.25,22.0,22.41,21.78,21.94,24.62,26.97,28.06,28.91,31.59,33.97,33.31,30.91,29.12,28.0,24.91,20.94,19.19,19.75,20.38,19.47,19.94,22.53,24.38,23.91,23.06,23.97,24.81,23.97,21.78,21.59,22.28,21.5,19.56,19.44,21.5,22.88,22.25,22.25,23.91,24.88,23.81,21.94,22.97,24.38,24.75,23.91,25.31,27.66,27.94,26.5,25.69,26.56,26.0,23.12,20.25,19.09,18.16,15.66,13.09,13.5,14.88,14.75,13.53,13.84,15.53,16.66,16.66,17.97,21.91,25.44,26.97,28.16,31.5,33.97,33.94,32.5,32.81,33.69,32.09,29.28,27.41,26.75,24.47,20.28,16.75,15.97,15.19,12.69,10.69,11.16,12.22,11.44,10.03,10.44,11.75,11.56,9.62,9.12,10.72,11.88,11.75,12.78,16.31,20.06,21.62,23.34,26.47,29.47,29.59,27.34,26.31,25.62,23.41,19.28,16.78,16.06,15.0,12.72,11.78,14.19,16.66,17.56,17.88,19.91,22.31,22.44,20.91,21.34,22.47,23.12,22.22,22.81,25.72,28.03,27.81,27.5,29.22,30.53,29.69,28.16,28.62,29.34,28.12,25.88,25.62,27.44,28.41,27.72,27.81,29.22,29.81,27.78,26.03,26.41,26.81,25.31,22.94,22.56,23.16,21.97,19.28,18.34,18.62,17.62,14.56,12.72,13.56,15.09,15.12,16.0,19.38,23.0,24.16,23.66,24.59,26.16,26.0,24.41,24.47,26.06,26.97,25.12,23.94,24.28,24.38,22.22,19.56,19.53,19.88,18.75,17.09,17.62,19.75,21.16,21.19,22.16,24.69,25.62,23.97,22.06,22.09,22.56,21.25,20.25,22.09,24.78,25.22,24.62,24.44,25.53,25.25,23.16,22.28,23.22,23.38,20.75,17.5,16.44,15.62,13.06,10.69,11.0,12.75,12.44,10.69,10.09,11.06,10.94,9.0,8.41,10.62,13.16,13.88,15.5,19.44,23.84,25.34,25.75,27.62,29.91,30.19,28.69,28.62,29.94,30.28,28.31,27.56,28.88,29.94,28.16,26.19,25.94,25.47,22.5,18.25,15.16,12.88,9.25,4.78,2.44,3.56,5.16,5.53,6.69,10.78,15.25,17.19,19.44,23.88,28.22,30.62,31.66,33.88,36.78,37.97,36.31,34.56,33.53,30.5,24.44,18.72,15.28,12.59,8.03,4.12,3.44,4.62,4.0,2.56,2.91,4.91,6.5,6.91,8.94,13.88,18.5,20.28,21.94,25.06,27.97,27.94,26.69,27.38,28.22,26.72,23.44,20.91,19.91,18.12,14.84,13.06,13.78,14.53,13.25,12.16,12.81,14.06,13.31,12.34,13.72,17.44,19.56,20.44,22.41,25.41,26.75,25.06,23.53,24.34,24.44,22.47,20.75,21.12,21.81,20.0,17.34,16.38,16.94,16.25,14.06,13.41,14.88,16.19,15.66,16.19,18.88,21.38,20.88,19.5,19.91,21.0,19.84,17.59,17.53,18.56,18.53,16.72,16.38,17.38,17.88,15.97,14.22,14.94,15.81,14.47,12.62,13.09,14.38,13.78,12.12,12.16,14.34,15.72,15.91,17.5,21.16,23.75,23.69,22.91,24.28,26.0,25.31,23.97,24.62,25.88,24.69,22.12,20.53,21.03,20.78,18.84,18.25,20.44,22.62,22.38,21.84,23.0,24.09,22.59,20.06,19.12,20.28,20.25,19.53,20.34,23.16,24.75,23.59,22.47,23.34,23.81,21.69,19.25,19.19,20.38,19.84,18.5,18.91,20.66,20.72,19.25,18.59,20.06,20.31,18.34,16.22,16.75,17.38,16.34,15.31,16.38,18.56,18.66,17.34,17.66,19.41,19.62,18.19,17.44,18.22,18.03,15.72,13.44,14.03,15.66,15.75,16.03,18.09,21.38,21.97,20.78,20.22,21.25,20.75,18.22,16.75,18.38,19.84,19.81,20.19,23.12,26.31,26.19,24.81,24.75,25.69,24.62,22.81,22.5,24.69,25.72,24.28,22.72,22.69,21.84,19.09,16.5,16.97,18.97,19.44,19.06,20.44,22.66,22.75,20.78,19.47,19.56,18.88,15.88,13.62,14.12,14.75,13.81,12.88,14.72,17.34,18.34,18.22,19.69,22.5,23.62,22.41,22.03,23.62,24.16,23.12,22.38,24.25,25.91,25.41,24.12,24.5,25.66,24.66,22.41,21.88,23.0,22.94,21.44,20.66,22.0,22.88,21.28,20.22,21.91,24.06,24.41,23.69,24.75,26.72,26.5,25.34,25.94,28.41,29.72,28.41,27.78,28.88,29.41,27.75,26.06,27.16,28.97,28.53,27.41,28.03,29.16,28.53,25.94,24.25,24.25,23.16,20.34,18.41,19.5,20.94,20.66,20.62,23.22,26.38,27.75,28.0,29.62,31.56,31.62,29.5,27.81,28.09,27.81,25.69,24.19,25.62,27.09,26.75,25.88,26.66,28.16,27.94,26.62,27.22,29.56,30.75,29.88,29.66,30.66,30.5,27.88,25.56,26.03,27.38,27.56,27.91,30.81,34.34,36.09,35.62,36.22,38.25,39.16,37.59,36.62,37.59,36.78,33.69,30.03,28.62,27.38,24.41,21.31,20.38,21.12,20.72,19.25,19.41,21.34,22.25,20.81,19.88,21.28,22.34,21.53,20.62,22.34,24.28,24.47,23.41,24.22,25.91,25.88,24.25,23.78,25.19,25.97,25.28,25.12,27.56,29.56,29.31,28.44,29.5,31.12,30.66,29.25,29.41,30.44,29.84,27.44,25.84,26.03,24.97,21.56,19.03,19.56,21.19,21.66,22.41,25.44,28.88,29.75,28.84,28.94,29.94,29.53,27.41,26.28,27.56,28.72,27.69,26.84,28.06,29.62,28.66,26.97,26.91,27.56,26.88,24.44,23.25,23.47,22.5,19.69,18.5,19.97,22.19,22.84,23.81,27.22,30.25,31.12,30.28,31.09,32.12,31.59,29.44,28.62,29.16,28.91,26.12,24.22,24.75,25.72,24.59,23.38,24.59,25.81,25.38,24.19,25.0,27.06,27.16,25.84,24.81,25.34,25.47,23.97,23.41,25.22,27.72,27.66,27.78,29.19,31.16,30.78,29.38,29.19,30.62,30.69,28.78,28.03,28.91,29.31,27.16,25.5,26.12,27.38,25.81,23.97,24.03,24.94,24.81,24.53,26.91,30.78,33.78,34.5,34.66,35.44,34.75,31.09,27.75,26.84,26.91,25.62,24.38,31.72,31.75,31.62,30.66,29.78,30.44,31.16,30.69,29.78,30.12,31.16,31.59,31.06,31.88,33.84,35.66,35.72,35.84,36.91,36.84,34.91,32.78,32.12,31.81,30.31,28.12,27.38,27.03,25.94,24.53,24.0,25.25,26.53,26.75,27.88:27.28,27.84,29.38,29.38,27.09,25.31,25.66,25.75,24.16,23.28,24.28,25.31,24.44,22.72,24.09,26.66,28.19,28.47,29.5,30.5,29.0,24.75,20.97,19.34,18.38,16.41,15.72,17.91,21.16,22.62,22.97,25.06,27.72,28.72,28.12,29.66,32.22,33.75,33.28,33.28,34.38,35.09,33.69,32.12,32.41,33.19,31.91,29.69,29.31,30.38,30.19,28.56,28.19,29.34,30.28,29.16,29.16,31.62,34.66,35.31,36.12,38.53,41.72,41.84,40.62,39.84,39.62,37.47,33.75,31.03,30.28,29.66,27.12,25.44,25.69,26.25,24.16,21.56,20.59,20.75,19.19,17.12,17.09,18.47,19.0,17.84,18.19,20.78,23.28,23.84,24.78,27.38,30.0,29.84,28.97,29.62,30.94,30.0,26.88,24.78,23.75,21.66,18.44,16.66,17.81,19.34,18.91,18.53,20.34,22.41,22.19,21.25,21.47,22.44,21.25,18.88,17.41,18.16,18.25,17.16,16.94,19.97,23.06,24.41,25.88,28.22,30.62,29.56,27.41,26.16,25.84,24.75,22.34,21.44,22.94,24.12,23.62,23.56,25.66,28.38,28.5,28.69,30.59,33.25,33.72,33.16,33.75,35.19,34.47,31.22,28.69,27.81,26.12,22.94,20.0,19.47,19.56,18.16,17.19,18.72,22.16,24.44,26.22,29.66,34.44,37.84,38.72,39.22,40.72,41.69,39.97,38.44,38.75,39.62,38.16,36.09,35.84,36.62,35.62,32.75,31.03,30.16,27.78,23.75,20.62,20.47,21.16,20.44,20.69,22.84,25.56,25.84,25.28,26.53,28.62,29.78,29.25,29.34,31.44,32.16,31.19,30.41,31.5,32.28,30.31,27.75,26.66,27.03,25.59,23.47,23.25,24.56,24.19,21.88,20.22,19.66,18.75,15.5,13.38,13.62,14.28,13.06,12.09,12.69,14.12,13.25,11.88,11.94,13.66,14.59,13.78,13.5,14.5,15.09,13.59,12.75,14.31,16.94,17.19,17.09,18.56,21.28,21.62,20.53,20.38,21.44,20.97,18.28,16.34,16.31,15.97,14.16,12.62,13.59,14.94,14.66,13.5,14.34,16.84,18.12,18.72,20.56,24.09,26.5,26.69,26.72,28.38,29.81,28.69,27.31,28.09,29.38,28.78,27.5,26.91,27.34,25.5,22.19,19.47,18.84,17.81,14.84,12.28,12.69,13.38,12.56,12.56,15.66,20.38,23.59,26.53,30.19,34.97,38.28,39.56,41.0,43.94,46.19,45.62,44.28,44.69,44.31,41.38,37.28,35.5,34.97,33.53,31.22,30.25,30.66,29.72,26.69,24.59,24.62,24.25,21.84,19.5,19.72,20.97,20.78,20.12,21.34,23.09,23.22,21.31,20.72,22.38,23.62,23.41,23.91,26.09,27.56,25.88,23.44,22.56,22.31,20.56,18.0,17.44,18.06,17.44,15.06,13.62,13.59,12.62,10.25,8.5,9.94,11.97,12.81,13.62,16.19,19.16,20.25,19.69,20.25,22.0,22.41,21.78,21.94,24.62,26.97,28.06,28.91,31.59,33.97,33.31,30.91,29.12,28.0,24.91,20.94,19.19,19.75,20.38,19.47,19.94,22.53,24.38,23.91,23.06,23.97,24.81,23.97,21.78,21.59,22.28,21.5,19.56,19.44,21.5,22.88,22.25,22.25,23.91,24.88,23.81,21.94,22.97,24.38,24.75,23.91,25.31,27.66,27.94,26.5,25.69,26.56,26.0,23.12,20.25,19.09,18.16,15.66,13.09,13.5,14.88,14.75,13.53,13.84,15.53,16.66,16.66,17.97,21.91,25.44,26.97,28.16,31.5,33.97,33.94,32.5,32.81,33.69,32.09,29.28,27.41,26.75,24.47,20.28,16.75,15.97,15.19,12.69,10.69,11.16,12.22,11.44,10.03,10.44,11.75,11.56,9.62,9.12,10.72,11.88,11.75,12.78,16.31,20.06,21.62,23.34,26.47,29.47,29.59,27.34,26.31,25.62,23.41,19.28,16.78,16.06,15.0,12.72,11.78,14.19,16.66,17.56,17.88,19.91,22.31,22.44,20.91,21.34,22.47,23.12,22.22,22.81,25.72,28.03,27.81,27.5,29.22,30.53,29.69,28.16,28.62,29.34,28.12,25.88,25.62,27.44,28.41,27.72,27.81,29.22,29.81,27.78,26.03,26.41,26.81,25.31,22.94,22.56,23.16,21.97,19.28,18.34,18.62,17.62,14.56,12.72,13.56,15.09,15.12,16.0,19.38,23.0,24.16,23.66,24.59,26.16,26.0,24.41,24.47,26.06,26.97,25.12,23.94,24.28,24.38,22.22,19.56,19.53,19.88,18.75,17.09,17.62,19.75,21.16,21.19,22.16,24.69,25.62,23.97,22.06,22.09,22.56,21.25,20.25,22.09,24.78,25.22,24.62,24.44,25.53,25.25,23.16,22.28,23.22,23.38,20.75,17.5,16.44,15.62,13.06,10.69,11.0,12.75,12.44,10.69,10.09,11.06,10.94,9.0,8.41,10.62,13.16,13.88,15.5,19.44,23.84,25.34,25.75,27.62,29.91,30.19,28.69,28.62,29.94,30.28,28.31,27.56,28.88,29.94,28.16,26.19,25.94,25.47,22.5,18.25,15.16,12.88,9.25,4.78,2.44,3.56,5.16,5.53,6.69,10.78,15.25,17.19,19.44,23.88,28.22,30.62,31.66,33.88,36.78,37.97,36.31,34.56,33.53,30.5,24.44,18.72,15.28,12.59,8.03,4.12,3.44,4.62,4.0,2.56,2.91,4.91,6.5,6.91,8.94,13.88,18.5,20.28,21.94,25.06,27.97,27.94,26.69,27.38,28.22,26.72,23.44,20.91,19.91,18.12,14.84,13.06,13.78,14.53,13.25,12.16,12.81,14.06,13.31,12.34,13.72,17.44,19.56,20.44,22.41,25.41,26.75,25.06,23.53,24.34,24.44,22.47,20.75,21.12,21.81,20.0,17.34,16.38,16.94,16.25,14.06,13.41,14.88,16.19,15.66,16.19,18.88,21.38,20.88,19.5,19.91,21.0,19.84,17.59,17.53,18.56,18.53,16.72,16.38,17.38,17.88,15.97,14.22,14.94,15.81,14.47,12.62,13.09,14.38,13.78,12.12,12.16,14.34,15.72,15.91,17.5,21.16,23.75,23.69,22.91,24.28,26.0,25.31,23.97,24.62,25.88,24.69,22.12,20.53,21.03,20.78,18.84,18.25,20.44,22.62,22.38,21.84,23.0,24.09,22.59,20.06,19.12,20.28,20.25,19.53,20.34,23.16,24.75,23.59,22.47,23.34,23.81,21.69,19.25,19.19,20.38,19.84,18.5,18.91,20.66,20.72,19.25,18.59,20.06,20.31,18.34,16.22,16.75,17.38,16.34,15.31,16.38,18.56,18.66,17.34,17.66,19.41,19.62,18.19,17.44,18.22,18.03,15.72,13.44,14.03,15.66,15.75,16.03,18.09,21.38,21.97,20.78,20.22,21.25,20.75,18.22,16.75,18.38,19.84,19.81,20.19,23.12,26.31,26.19,24.81,24.75,25.69,24.62,22.81,22.5,24.69,25.72,24.28,22.72,22.69,21.84,19.09,16.5,16.97,18.97,19.44,19.06,20.44,22.66,22.75,20.78,19.47,19.56,18.88,15.88,13.62,14.12,14.75,13.81,12.88,14.72,17.34,18.34,18.22,19.69,22.5,23.62,22.41,22.03,23.62,24.16,23.12,22.38,24.25,25.91,25.41,24.12,24.5,25.66,24.66,22.41,21.88,23.0,22.94,21.44,20.66,22.0,22.88,21.28,20.22,21.91,24.06,24.41,23.69,24.75,26.72,26.5,25.34,25.94,28.41,29.72,28.41,27.78,28.88,29.41,27.75,26.06,27.16,28.97,28.53,27.41,28.03,29.16,28.53,25.94,24.25,24.25,23.16,20.34,18.41,19.5,20.94,20.66,20.62,23.22,26.38,27.75,28.0,29.62,31.56,31.62,29.5,27.81,28.09,27.81,25.69,24.19,25.62,27.09,26.75,25.88,26.66,28.16,27.94,26.62,27.22,29.56,30.75,29.88,29.66,30.66,30.5,27.88,25.56,26.03,27.38,27.56,27.91,30.81,34.34,36.09,35.62,36.22,38.25,39.16,37.59,36.62,37.59,36.78,33.69,30.03,28.62,27.38,24.41,21.31,20.38,21.12,20.72,19.25,19.41,21.34,22.25,20.81,19.88,21.28,22.34,21.53,20.62,22.34,24.28,24.47,23.41,24.22,25.91,25.88,24.25,23.78,25.19,25.97,25.28,25.12,27.56,29.56,29.31,28.44,29.5,31.12,30.66,29.25,29.41,30.44,29.84,27.44,25.84,26.03,24.97,21.56,19.03,19.56,21.19,21.66,22.41,25.44,28.88,29.75,28.84,28.94,29.94,29.53,27.41,26.28,27.56,28.72,27.69,26.84,28.06,29.62,28.66,26.97,26.91,27.56,26.88,24.44,23.25,23.47,22.5,19.69,18.5,19.97,22.19,22.84,23.81,27.22,30.25,31.12,30.28,31.09,32.12,31.59,29.44,28.62,29.16,28.91,26.12,24.22,24.75,25.72,24.59,23.38,24.59,25.81,25.38,24.19,25.0,27.06,27.16,25.84,24.81,25.34,25.47,23.97,23.41,25.22,27.72,27.66,27.78,29.19,31.16,30.78,29.38,29.19,30.62,30.69,28.78,28.03,28.91,29.31,27.16,25.5,26.12,27.38,25.81,23.97,24.03,24.94,24.81,24.53,26.91,30.78,33.78,34.5,34.66,35.44,34.75,31.09,27.75,26.84,26.91,25.62,24.38,31.72,31.75,31.62,30.66,29.78,30.44,31.16,30.69,29.78,30.12,31.16,31.59,31.06,31.88,33.84,35.66,35.72,35.84,36.91,36.84,34.91,32.78,32.12,31.81,30.31,28.12,27.38,27.03,25.94,24.53,24.0,25.25,26.53,26.75,27.88,30.75,33.62,34.44,34.84,35.75,36.53,35.5:positivity
47.62,49.44,50.09,48.66,48.12,49.19,49.59,47.66,45.84,45.66,45.69,43.78,41.31,41.25,42.31,41.84,40.5,41.16,43.5,45.12,45.0,46.12,48.66,50.91,50.31,49.84,50.94,52.19,51.03,49.31,49.5,50.38,49.88,47.28,45.94,45.97,45.0,42.62,41.09,42.16,43.44,42.59,41.75,42.72,44.28,43.47,41.97,42.06,43.16,42.78,40.56,39.06,39.25,39.16,37.69,37.03,38.5,40.91,40.88,40.62,42.28,45.03,45.78,45.03,45.22,45.53,44.66,41.09,38.41,38.03,38.72,37.34,37.16,39.06,41.62,42.28,42.28,43.97,46.66,47.5,46.25,45.25,45.56,44.66,42.03,40.38,41.03,42.28,41.72,40.97,41.91,43.5,42.88,40.94,40.44,41.56,41.84,40.94,41.09,42.94,43.91,41.72,39.5,39.59,40.5,39.69,39.0,40.38,42.56,42.44,41.41,41.59,43.09,43.62,42.41,42.28,43.69,44.66,43.34,41.69,41.47,41.66,39.66,37.44,37.22,38.28,38.59,37.38,37.19,38.56,38.72,36.53,35.22,36.22,37.09,35.81,34.28,34.81,36.22,36.16,35.78,37.34,40.47,42.47,42.88,43.5,46.06,47.38,45.78,44.09,43.72,43.25,40.34,37.22,35.69,35.69,34.56,33.06,33.34,35.66,37.28,37.03,37.31,40.0,42.44,42.88,43.31,45.81,48.38,47.75,46.75,46.66,48.0,47.78,46.34,45.19,45.62,44.41,40.53,37.44,37.38,38.34,38.19,39.06,42.16,45.44,45.78,44.59,44.44,45.59,45.78,44.78,45.25,47.5,48.88,48.09,47.12,48.03,48.31,46.28,43.56,42.75,43.22,41.94,40.09,39.38,40.72,40.91,39.56,38.66,40.78,42.62,42.59,42.81,45.09,47.5,47.53,46.12,46.22,47.25,46.69,44.66,44.22,45.78,46.66,45.75,45.06,46.19,46.91,45.53,43.41,43.66,45.12,44.94,43.69,44.16,46.0,46.28,45.62,45.88,48.06,49.5,48.78,48.03,49.31,50.81,50.28,49.03,49.44,50.53,49.97,47.94,47.56,49.09,50.03,49.47,49.38,51.31,52.06,50.69,48.72,49.34,50.47,50.0,48.5,49.12,50.66,50.5,49.16,48.78,49.72,50.09,48.19,46.25,46.56,46.66,45.09,43.16,43.84,45.22,44.81,42.84,42.72,43.66,43.69,42.62,43.28,46.44,49.0,49.69,49.97,52.19,54.16,53.91,53.06,54.22,55.97,55.81,54.19,53.38,53.75,53.31,51.06,49.47,49.47,49.19,46.25,43.34,43.38,44.75,45.0,44.91,46.66,49.56,50.5,49.91,50.06,51.34,51.31,48.84,46.78,47.12,47.5,46.31,44.78,45.12,45.78,44.84,42.84,43.28,45.88,47.69,48.44,50.28,53.62,55.94,55.5,54.56,54.94,54.91,51.84,47.41,44.84,42.78,39.41,34.62,32.12,31.81,30.62,28.12,26.84,28.72,30.97,31.78,33.16,37.12,42.34,45.28,47.03,50.88,54.84,56.56,56.19,56.38,58.03,58.47,56.09,53.78,52.59,51.03,46.62,41.75,39.53,38.66,37.25,35.41,36.44,39.16,41.09,41.34,42.84,46.31,48.91,49.41,49.66,51.75,53.34,52.25,49.84,48.59,48.12,45.69,41.94,40.09,40.38,40.25,38.38,38.06,40.31,43.03,43.62,44.59,47.81,51.66,53.0,53.41,54.91,56.72,56.03,52.59,49.88,47.81,44.94,39.62,35.19,33.72,32.78,30.38,28.41,29.12,30.56,30.81,30.28,31.75,34.75,36.84,37.56,40.12,44.41,48.91,50.84,52.38,55.59,58.06,56.94,54.72,54.19,54.22,52.72,50.06,49.06,50.0,49.91,48.12,47.25,48.62,49.38,47.5,45.09,44.91,45.16,43.41,40.91,40.28,41.22,40.16,38.19,37.56,39.53,40.72,39.88,39.72,41.06,42.44,40.66,38.38,38.03,39.12,38.5,37.44,38.38,40.38,40.94,39.19,38.38,39.84,40.69,39.72,39.06,40.94,42.62,42.34,42.09,44.62,49.19,52.09,53.91,56.41,59.72,60.34,58.09,56.31,55.72,55.19,52.56,50.19,50.22,51.12,49.12,46.19,45.5,46.28,46.78,46.03,47.22,50.38,52.22,51.41,50.5,51.88,52.56,50.91,48.62,48.19,48.78,47.34,45.69,46.38,49.06,50.62,50.41,51.53,54.41,56.69,55.84,55.28,56.41,56.84,54.97,53.03,52.66,53.03,51.69,48.69,47.62,48.62,48.72,47.62,46.66,47.91,48.12,45.66,43.56,44.28,45.47,44.5,42.72,42.03,41.91,39.84,36.66,35.31,36.84,38.12,38.0,38.97,41.31,43.12,42.28,41.59,43.41,45.5,45.72,44.44,43.78,44.16,42.88,40.09,39.34,41.38,42.88,42.62,42.72,45.16,47.75,48.16,47.56,49.12,51.09,50.59,48.66,48.09,49.38,48.94,46.81,45.5,46.59,47.03,45.25,44.03,45.19,46.47,45.41,42.88,41.62,40.47,37.69,33.75,31.69,32.78,33.88,34.06,35.38,39.59,43.78,45.25,46.56,49.62,53.31,54.19,53.59,53.78,54.5,52.44,48.5,45.25,43.88,42.0,38.41,36.06,36.81,38.19,38.56,38.5,40.81,43.31,43.5,41.91,41.38,41.81,41.22,38.78,37.5,39.03,40.22,39.56,38.97,40.91,42.88,42.62,41.56,42.31,43.69,42.72,40.44,39.22,40.41,40.88,39.53,38.91,40.53,41.62,40.47,39.12,40.72,43.44,44.47,44.34,46.47,49.44,50.47,49.56,49.62,50.94,52.09,51.72,52.0,54.81,57.41,57.22,54.97,53.88,52.47,48.97,43.84,40.06,38.5,36.28,33.25,32.06,33.94,35.62,35.62,35.94,38.28,41.5,42.53,42.66,44.75,47.75,48.44,46.75,45.47,44.78,42.72,38.66,35.72,35.88,36.88,36.59,36.41,38.47,40.44,40.25,39.03,39.31,41.53,42.78,42.88,44.19,47.0,48.5,48.06,47.94,49.78,51.97,52.0,51.81,53.25,55.06,54.81,52.62,51.28,50.91,49.75,46.44,44.53,44.84,44.62,42.81,40.59,41.03,41.53,40.16,38.19,38.22,39.81,40.34,39.91,40.88,43.16,44.81,44.03,43.78,45.34,46.66,45.31,43.34,43.16,43.34,41.66,38.94,38.0,38.16,37.12,34.06,32.69,33.31,33.84,33.19,33.84,36.56,39.88,41.09,41.28,43.12,45.12,45.16,43.5,43.62,45.34,45.66,44.47,43.97,45.28,46.25,45.5,44.78,46.97,49.91,50.66,50.41,51.56,53.34,53.38,51.66,51.31,52.41,52.78,50.53,48.38,47.91,47.66,45.22,43.0,42.91,43.78,42.97,41.06,40.88,42.47,43.12,42.19,42.16,44.19,45.91,45.41,46.03,48.84,52.0,52.38,51.94,51.91,51.38,48.03,42.75,39.28,37.69,36.69,35.09,35.31,37.75,39.78,38.62,36.69,35.84,35.34,33.28,31.44,32.41,35.44,37.03,36.88,37.09,38.59,38.88,37.16,36.19,37.97,40.19,40.66,41.0,43.06,45.34,44.59,42.34,40.28,39.44,36.53,32.62,30.56,31.06,32.22,31.62,32.0,33.84,35.78,35.28,33.91,34.0,35.59,36.06,35.91,37.53,41.56,44.44,45.53,47.19,50.28,52.25,51.88,50.22,49.69,49.28,46.0,41.56,38.09,35.91,31.94,27.16,24.38,24.72,25.5,25.38,26.28,29.34,32.31,32.97,33.28,35.5,38.16,39.69,40.09,41.91,45.12,46.41,45.31,44.22,44.25,42.72,38.75,34.53,32.31,30.75,27.59,25.06,24.75,26.81,28.22,28.75,30.22,33.62,35.44,35.0,35.28,38.03,40.5,41.0,41.0,42.06,43.31,41.56,38.84,37.34,37.09,35.81,32.88,30.75,30.69,30.22,28.62,28.19,31.38,35.34,37.81,39.53,42.53,45.28,45.38,43.75,42.88,43.69,43.0,40.84,38.97,38.75,37.03,32.66,27.62,24.75,22.91,19.97,18.28,19.06,22.25,24.59,25.88,27.69,30.81,32.75,31.94,30.94,31.81,31.84,29.59,27.16,27.38,28.72,28.88,28.06,28.47,29.69,28.75,25.78,23.34,23.03,22.19,20.09,18.97,21.0,23.62,24.38,25.03,27.69,31.5,33.56,34.56,36.72,39.81,41.22,40.28,39.09,39.72,39.69,36.81,33.06,31.12,29.34,25.69,21.59,20.16,20.5,20.78,20.81,22.78,27.69,32.16,34.84,37.56,41.53,44.25,44.03,42.62,42.75,44.19,43.81,42.5,42.44,43.12,42.31,39.12,36.69,36.41,35.53,32.53,29.28,28.5,28.41,26.5,24.62,25.97,28.44,29.41,28.66,29.31,31.19,32.56,32.72,33.72,37.12,40.0,39.66,38.22,38.91,39.72,38.62,37.56,38.22,39.84,39.41,37.12,35.44,35.97,35.81,33.59,31.91,32.03,31.56,28.69,25.56,25.03,26.19,26.56,26.0,27.81,30.72,33.03,32.69,33.56,35.69,37.12,35.97,34.88,36.16,38.12,38.81,38.84,40.88,43.5,43.84,41.88,40.62,40.28,38.34,33.94,30.25,28.66,26.75,23.03,19.41,19.19,20.25,20.5,20.47,22.88,26.81,29.12,29.69,31.56,35.31,37.59,36.97,36.44,37.44,38.0,36.44,34.72,35.34,37.16,37.41,36.25,36.81,38.28,38.41,36.25,34.97,35.84,36.88,35.41,34.56,36.19,37.97,37.72,36.84,37.47,38.91,38.38,35.97,35.0,35.56,35.84,33.81,32.88,34.47,36.09,35.47,35.03,36.38,38.12,37.38,35.44,34.81,35.09,34.0,31.16,29.53,29.94,30.41,29.22,29.19,31.97,35.28:47.66,45.84,45.66,45.69,43.78,41.31,41.25,42.31,41.84,40.5,41.16,43.5,45.12,45.0,46.12,48.66,50.91,50.31,49.84,50.94,52.19,51.03,49.31,49.5,50.38,49.88,47.28,45.94,45.97,45.0,42.62,41.09,42.16,43.44,42.59,41.75,42.72,44.28,43.47,41.97,42.06,43.16,42.78,40.56,39.06,39.25,39.16,37.69,37.03,38.5,40.91,40.88,40.62,42.28,45.03,45.78,45.03,45.22,45.53,44.66,41.09,38.41,38.03,38.72,37.34,37.16,39.06,41.62,42.28,42.28,43.97,46.66,47.5,46.25,45.25,45.56,44.66,42.03,40.38,41.03,42.28,41.72,40.97,41.91,43.5,42.88,40.94,40.44,41.56,41.84,40.94,41.09,42.94,43.91,41.72,39.5,39.59,40.5,39.69,39.0,40.38,42.56,42.44,41.41,41.59,43.09,43.62,42.41,42.28,43.69,44.66,43.34,41.69,41.47,41.66,39.66,37.44,37.22,38.28,38.59,37.38,37.19,38.56,38.72,36.53,35.22,36.22,37.09,35.81,34.28,34.81,36.22,36.16,35.78,37.34,40.47,42.47,42.88,43.5,46.06,47.38,45.78,44.09,43.72,43.25,40.34,37.22,35.69,35.69,34.56,33.06,33.34,35.66,37.28,37.03,37.31,40.0,42.44,42.88,43.31,45.81,48.38,47.75,46.75,46.66,48.0,47.78,46.34,45.19,45.62,44.41,40.53,37.44,37.38,38.34,38.19,39.06,42.16,45.44,45.78,44.59,44.44,45.59,45.78,44.78,45.25,47.5,48.88,48.09,47.12,48.03,48.31,46.28,43.56,42.75,43.22,41.94,40.09,39.38,40.72,40.91,39.56,38.66,40.78,42.62,42.59,42.81,45.09,47.5,47.53,46.12,46.22,47.25,46.69,44.66,44.22,45.78,46.66,45.75,45.06,46.19,46.91,45.53,43.41,43.66,45.12,44.94,43.69,44.16,46.0,46.28,45.62,45.88,48.06,49.5,48.78,48.03,49.31,50.81,50.28,49.03,49.44,50.53,49.97,47.94,47.56,49.09,50.03,49.47,49.38,51.31,52.06,50.69,48.72,49.34,50.47,50.0,48.5,49.12,50.66,50.5,49.16,48.78,49.72,50.09,48.19,46.25,46.56,46.66,45.09,43.16,43.84,45.22,44.81,42.84,42.72,43.66,43.69,42.62,43.28,46.44,49.0,49.69,49.97,52.19,54.16,53.91,53.06,54.22,55.97,55.81,54.19,53.38,53.75,53.31,51.06,49.47,49.47,49.19,46.25,43.34,43.38,44.75,45.0,44.91,46.66,49.56,50.5,49.91,50.06,51.34,51.31,48.84,46.78,47.12,47.5,46.31,44.78,45.12,45.78,44.84,42.84,43.28,45.88,47.69,48.44,50.28,53.62,55.94,55.5,54.56,54.94,54.91,51.84,47.41,44.84,42.78,39.41,34.62,32.12,31.81,30.62,28.12,26.84,28.72,30.97,31.78,33.16,37.12,42.34,45.28,47.03,50.88,54.84,56.56,56.19,56.38,58.03,58.47,56.09,53.78,52.59,51.03,46.62,41.75,39.53,38.66,37.25,35.41,36.44,39.16,41.09,41.34,42.84,46.31,48.91,49.41,49.66,51.75,53.34,52.25,49.84,48.59,48.12,45.69,41.94,40.09,40.38,40.25,38.38,38.06,40.31,43.03,43.62,44.59,47.81,51.66,53.0,53.41,54.91,56.72,56.03,52.59,49.88,47.81,44.94,39.62,35.19,33.72,32.78,30.38,28.41,29.12,30.56,30.81,30.28,31.75,34.75,36.84,37.56,40.12,44.41,48.91,50.84,52.38,55.59,58.06,56.94,54.72,54.19,54.22,52.72,50.06,49.06,50.0,49.91,48.12,47.25,48.62,49.38,47.5,45.09,44.91,45.16,43.41,40.91,40.28,41.22,40.16,38.19,37.56,39.53,40.72,39.88,39.72,41.06,42.44,40.66,38.38,38.03,39.12,38.5,37.44,38.38,40.38,40.94,39.19,38.38,39.84,40.69,39.72,39.06,40.94,42.62,42.34,42.09,44.62,49.19,52.09,53.91,56.41,59.72,60.34,58.09,56.31,55.72,55.19,52.56,50.19,50.22,51.12,49.12,46.19,45.5,46.28,46.78,46.03,47.22,50.38,52.22,51.41,50.5,51.88,52.56,50.91,48.62,48.19,48.78,47.34,45.69,46.38,49.06,50.62,50.41,51.53,54.41,56.69,55.84,55.28,56.41,56.84,54.97,53.03,52.66,53.03,51.69,48.69,47.62,48.62,48.72,47.62,46.66,47.91,48.12,45.66,43.56,44.28,45.47,44.5,42.72,42.03,41.91,39.84,36.66,35.31,36.84,38.12,38.0,38.97,41.31,43.12,42.28,41.59,43.41,45.5,45.72,44.44,43.78,44.16,42.88,40.09,39.34,41.38,42.88,42.62,42.72,45.16,47.75,48.16,47.56,49.12,51.09,50.59,48.66,48.09,49.38,48.94,46.81,45.5,46.59,47.03,45.25,44.03,45.19,46.47,45.41,42.88,41.62,40.47,37.69,33.75,31.69,32.78,33.88,34.06,35.38,39.59,43.78,45.25,46.56,49.62,53.31,54.19,53.59,53.78,54.5,52.44,48.5,45.25,43.88,42.0,38.41,36.06,36.81,38.19,38.56,38.5,40.81,43.31,43.5,41.91,41.38,41.81,41.22,38.78,37.5,39.03,40.22,39.56,38.97,40.91,42.88,42.62,41.56,42.31,43.69,42.72,40.44,39.22,40.41,40.88,39.53,38.91,40.53,41.62,40.47,39.12,40.72,43.44,44.47,44.34,46.47,49.44,50.47,49.56,49.62,50.94,52.09,51.72,52.0,54.81,57.41,57.22,54.97,53.88,52.47,48.97,43.84,40.06,38.5,36.28,33.25,32.06,33.94,35.62,35.62,35.94,38.28,41.5,42.53,42.66,44.75,47.75,48.44,46.75,45.47,44.78,42.72,38.66,35.72,35.88,36.88,36.59,36.41,38.47,40.44,40.25,39.03,39.31,41.53,42.78,42.88,44.19,47.0,48.5,48.06,47.94,49.78,51.97,52.0,51.81,53.25,55.06,54.81,52.62,51.28,50.91,49.75,46.44,44.53,44.84,44.62,42.81,40.59,41.03,41.53,40.16,38.19,38.22,39.81,40.34,39.91,40.88,43.16,44.81,44.03,43.78,45.34,46.66,45.31,43.34,43.16,43.34,41.66,38.94,38.0,38.16,37.12,34.06,32.69,33.31,33.84,33.19,33.84,36.56,39.88,41.09,41.28,43.12,45.12,45.16,43.5,43.62,45.34,45.66,44.47,43.97,45.28,46.25,45.5,44.78,46.97,49.91,50.66,50.41,51.56,53.34,53.38,51.66,51.31,52.41,52.78,50.53,48.38,47.91,47.66,45.22,43.0,42.91,43.78,42.97,41.06,40.88,42.47,43.12,42.19,42.16,44.19,45.91,45.41,46.03,48.84,52.0,52.38,51.94,51.91,51.38,48.03,42.75,39.28,37.69,36.69,35.09,35.31,37.75,39.78,38.62,36.69,35.84,35.34,33.28,31.44,32.41,35.44,37.03,36.88,37.09,38.59,38.88,37.16,36.19,37.97,40.19,40.66,41.0,43.06,45.34,44.59,42.34,40.28,39.44,36.53,32.62,30.56,31.06,32.22,31.62,32.0,33.84,35.78,35.28,33.91,34.0,35.59,36.06,35.91,37.53,41.56,44.44,45.53,47.19,50.28,52.25,51.88,50.22,49.69,49.28,46.0,41.56,38.09,35.91,31.94,27.16,24.38,24.72,25.5,25.38,26.28,29.34,32.31,32.97,33.28,35.5,38.16,39.69,40.09,41.91,45.12,46.41,45.31,44.22,44.25,42.72,38.75,34.53,32.31,30.75,27.59,25.06,24.75,26.81,28.22,28.75,30.22,33.62,35.44,35.0,35.28,38.03,40.5,41.0,41.0,42.06,43.31,41.56,38.84,37.34,37.09,35.81,32.88,30.75,30.69,30.22,28.62,28.19,31.38,35.34,37.81,39.53,42.53,45.28,45.38,43.75,42.88,43.69,43.0,40.84,38.97,38.75,37.03,32.66,27.62,24.75,22.91,19.97,18.28,19.06,22.25,24.59,25.88,27.69,30.81,32.75,31.94,30.94,31.81,31.84,29.59,27.16,27.38,28.72,28.88,28.06,28.47,29.69,28.75,25.78,23.34,23.03,22.19,20.09,18.97,21.0,23.62,24.38,25.03,27.69,31.5,33.56,34.56,36.72,39.81,41.22,40.28,39.09,39.72,39.69,36.81,33.06,31.12,29.34,25.69,21.59,20.16,20.5,20.78,20.81,22.78,27.69,32.16,34.84,37.56,41.53,44.25,44.03,42.62,42.75,44.19,43.81,42.5,42.44,43.12,42.31,39.12,36.69,36.41,35.53,32.53,29.28,28.5,28.41,26.5,24.62,25.97,28.44,29.41,28.66,29.31,31.19,32.56,32.72,33.72,37.12,40.0,39.66,38.22,38.91,39.72,38.62,37.56,38.22,39.84,39.41,37.12,35.44,35.97,35.81,33.59,31.91,32.03,31.56,28.69,25.56,25.03,26.19,26.56,26.0,27.81,30.72,33.03,32.69,33.56,35.69,37.12,35.97,34.88,36.16,38.12,38.81,38.84,40.88,43.5,43.84,41.88,40.62,40.28,38.34,33.94,30.25,28.66,26.75,23.03,19.41,19.19,20.25,20.5,20.47,22.88,26.81,29.12,29.69,31.56,35.31,37.59,36.97,36.44,37.44,38.0,36.44,34.72,35.34,37.16,37.41,36.25,36.81,38.28,38.41,36.25,34.97,35.84,36.88,35.41,34.56,36.19,37.97,37.72,36.84,37.47,38.91,38.38,35.97,35.0,35.56,35.84,33.81,32.88,34.47,36.09,35.47,35.03,36.38,38.12,37.38,35.44,34.81,35.09,34.0,31.16,29.53,29.94,30.41,29.22,29.19,31.97,35.28,63.47,65.28,66.12,65.59,65.22,65.69,65.66:42.31,41.84,40.5,41.16,43.5,45.12,45.0,46.12,48.66,50.91,50.31,49.84,50.94,52.19,51.03,49.31,49.5,50.38,49.88,47.28,45.94,45.97,45.0,42.62,41.09,42.16,43.44,42.59,41.75,42.72,44.28,43.47,41.97,42.06,43.16,42.78,40.56,39.06,39.25,39.16,37.69,37.03,38.5,40.91,40.88,40.62,42.28,45.03,45.78,45.03,45.22,45.53,44.66,41.09,38.41,38.03,38.72,37.34,37.16,39.06,41.62,42.28,42.28,43.97,46.66,47.5,46.25,45.25,45.56,44.66,42.03,40.38,41.03,42.28,41.72,40.97,41.91,43.5,42.88,40.94,40.44,41.56,41.84,40.94,41.09,42.94,43.91,41.72,39.5,39.59,40.5,39.69,39.0,40.38,42.56,42.44,41.41,41.59,43.09,43.62,42.41,42.28,43.69,44.66,43.34,41.69,41.47,41.66,39.66,37.44,37.22,38.28,38.59,37.38,37.19,38.56,38.72,36.53,35.22,36.22,37.09,35.81,34.28,34.81,36.22,36.16,35.78,37.34,40.47,42.47,42.88,43.5,46.06,47.38,45.78,44.09,43.72,43.25,40.34,37.22,35.69,35.69,34.56,33.06,33.34,35.66,37.28,37.03,37.31,40.0,42.44,42.88,43.31,45.81,48.38,47.75,46.75,46.66,48.0,47.78,46.34,45.19,45.62,44.41,40.53,37.44,37.38,38.34,38.19,39.06,42.16,45.44,45.78,44.59,44.44,45.59,45.78,44.78,45.25,47.5,48.88,48.09,47.12,48.03,48.31,46.28,43.56,42.75,43.22,41.94,40.09,39.38,40.72,40.91,39.56,38.66,40.78,42.62,42.59,42.81,45.09,47.5,47.53,46.12,46.22,47.25,46.69,44.66,44.22,45.78,46.66,45.75,45.06,46.19,46.91,45.53,43.41,43.66,45.12,44.94,43.69,44.16,46.0,46.28,45.62,45.88,48.06,49.5,48.78,48.03,49.31,50.81,50.28,49.03,49.44,50.53,49.97,47.94,47.56,49.09,50.03,49.47,49.38,51.31,52.06,50.69,48.72,49.34,50.47,50.0,48.5,49.12,50.66,50.5,49.16,48.78,49.72,50.09,48.19,46.25,46.56,46.66,45.09,43.16,43.84,45.22,44.81,42.84,42.72,43.66,43.69,42.62,43.28,46.44,49.0,49.69,49.97,52.19,54.16,53.91,53.06,54.22,55.97,55.81,54.19,53.38,53.75,53.31,51.06,49.47,49.47,49.19,46.25,43.34,43.38,44.75,45.0,44.91,46.66,49.56,50.5,49.91,50.06,51.34,51.31,48.84,46.78,47.12,47.5,46.31,44.78,45.12,45.78,44.84,42.84,43.28,45.88,47.69,48.44,50.28,53.62,55.94,55.5,54.56,54.94,54.91,51.84,47.41,44.84,42.78,39.41,34.62,32.12,31.81,30.62,28.12,26.84,28.72,30.97,31.78,33.16,37.12,42.34,45.28,47.03,50.88,54.84,56.56,56.19,56.38,58.03,58.47,56.09,53.78,52.59,51.03,46.62,41.75,39.53,38.66,37.25,35.41,36.44,39.16,41.09,41.34,42.84,46.31,48.91,49.41,49.66,51.75,53.34,52.25,49.84,48.59,48.12,45.69,41.94,40.09,40.38,40.25,38.38,38.06,40.31,43.03,43.62,44.59,47.81,51.66,53.0,53.41,54.91,56.72,56.03,52.59,49.88,47.81,44.94,39.62,35.19,33.72,32.78,30.38,28.41,29.12,30.56,30.81,30.28,31.75,34.75,36.84,37.56,40.12,44.41,48.91,50.84,52.38,55.59,58.06,56.94,54.72,54.19,54.22,52.72,50.06,49.06,50.0,49.91,48.12,47.25,48.62,49.38,47.5,45.09,44.91,45.16,43.41,40.91,40.28,41.22,40.16,38.19,37.56,39.53,40.72,39.88,39.72,41.06,42.44,40.66,38.38,38.03,39.12,38.5,37.44,38.38,40.38,40.94,39.19,38.38,39.84,40.69,39.72,39.06,40.94,42.62,42.34,42.09,44.62,49.19,52.09,53.91,56.41,59.72,60.34,58.09,56.31,55.72,55.19,52.56,50.19,50.22,51.12,49.12,46.19,45.5,46.28,46.78,46.03,47.22,50.38,52.22,51.41,50.5,51.88,52.56,50.91,48.62,48.19,48.78,47.34,45.69,46.38,49.06,50.62,50.41,51.53,54.41,56.69,55.84,55.28,56.41,56.84,54.97,53.03,52.66,53.03,51.69,48.69,47.62,48.62,48.72,47.62,46.66,47.91,48.12,45.66,43.56,44.28,45.47,44.5,42.72,42.03,41.91,39.84,36.66,35.31,36.84,38.12,38.0,38.97,41.31,43.12,42.28,41.59,43.41,45.5,45.72,44.44,43.78,44.16,42.88,40.09,39.34,41.38,42.88,42.62,42.72,45.16,47.75,48.16,47.56,49.12,51.09,50.59,48.66,48.09,49.38,48.94,46.81,45.5,46.59,47.03,45.25,44.03,45.19,46.47,45.41,42.88,41.62,40.47,37.69,33.75,31.69,32.78,33.88,34.06,35.38,39.59,43.78,45.25,46.56,49.62,53.31,54.19,53.59,53.78,54.5,52.44,48.5,45.25,43.88,42.0,38.41,36.06,36.81,38.19,38.56,38.5,40.81,43.31,43.5,41.91,41.38,41.81,41.22,38.78,37.5,39.03,40.22,39.56,38.97,40.91,42.88,42.62,41.56,42.31,43.69,42.72,40.44,39.22,40.41,40.88,39.53,38.91,40.53,41.62,40.47,39.12,40.72,43.44,44.47,44.34,46.47,49.44,50.47,49.56,49.62,50.94,52.09,51.72,52.0,54.81,57.41,57.22,54.97,53.88,52.47,48.97,43.84,40.06,38.5,36.28,33.25,32.06,33.94,35.62,35.62,35.94,38.28,41.5,42.53,42.66,44.75,47.75,48.44,46.75,45.47,44.78,42.72,38.66,35.72,35.88,36.88,36.59,36.41,38.47,40.44,40.25,39.03,39.31,41.53,42.78,42.88,44.19,47.0,48.5,48.06,47.94,49.78,51.97,52.0,51.81,53.25,55.06,54.81,52.62,51.28,50.91,49.75,46.44,44.53,44.84,44.62,42.81,40.59,41.03,41.53,40.16,38.19,38.22,39.81,40.34,39.91,40.88,43.16,44.81,44.03,43.78,45.34,46.66,45.31,43.34,43.16,43.34,41.66,38.94,38.0,38.16,37.12,34.06,32.69,33.31,33.84,33.19,33.84,36.56,39.88,41.09,41.28,43.12,45.12,45.16,43.5,43.62,45.34,45.66,44.47,43.97,45.28,46.25,45.5,44.78,46.97,49.91,50.66,50.41,51.56,53.34,53.38,51.66,51.31,52.41,52.78,50.53,48.38,47.91,47.66,45.22,43.0,42.91,43.78,42.97,41.06,40.88,42.47,43.12,42.19,42.16,44.19,45.91,45.41,46.03,48.84,52.0,52.38,51.94,51.91,51.38,48.03,42.75,39.28,37.69,36.69,35.09,35.31,37.75,39.78,38.62,36.69,35.84,35.34,33.28,31.44,32.41,35.44,37.03,36.88,37.09,38.59,38.88,37.16,36.19,37.97,40.19,40.66,41.0,43.06,45.34,44.59,42.34,40.28,39.44,36.53,32.62,30.56,31.06,32.22,31.62,32.0,33.84,35.78,35.28,33.91,34.0,35.59,36.06,35.91,37.53,41.56,44.44,45.53,47.19,50.28,52.25,51.88,50.22,49.69,49.28,46.0,41.56,38.09,35.91,31.94,27.16,24.38,24.72,25.5,25.38,26.28,29.34,32.31,32.97,33.28,35.5,38.16,39.69,40.09,41.91,45.12,46.41,45.31,44.22,44.25,42.72,38.75,34.53,32.31,30.75,27.59,25.06,24.75,26.81,28.22,28.75,30.22,33.62,35.44,35.0,35.28,38.03,40.5,41.0,41.0,42.06,43.31,41.56,38.84,37.34,37.09,35.81,32.88,30.75,30.69,30.22,28.62,28.19,31.38,35.34,37.81,39.53,42.53,45.28,45.38,43.75,42.88,43.69,43.0,40.84,38.97,38.75,37.03,32.66,27.62,24.75,22.91,19.97,18.28,19.06,22.25,24.59,25.88,27.69,30.81,32.75,31.94,30.94,31.81,31.84,29.59,27.16,27.38,28.72,28.88,28.06,28.47,29.69,28.75,25.78,23.34,23.03,22.19,20.09,18.97,21.0,23.62,24.38,25.03,27.69,31.5,33.56,34.56,36.72,39.81,41.22,40.28,39.09,39.72,39.69,36.81,33.06,31.12,29.34,25.69,21.59,20.16,20.5,20.78,20.81,22.78,27.69,32.16,34.84,37.56,41.53,44.25,44.03,42.62,42.75,44.19,43.81,42.5,42.44,43.12,42.31,39.12,36.69,36.41,35.53,32.53,29.28,28.5,28.41,26.5,24.62,25.97,28.44,29.41,28.66,29.31,31.19,32.56,32.72,33.72,37.12,40.0,39.66,38.22,38.91,39.72,38.62,37.56,38.22,39.84,39.41,37.12,35.44,35.97,35.81,33.59,31.91,32.03,31.56,28.69,25.56,25.03,26.19,26.56,26.0,27.81,30.72,33.03,32.69,33.56,35.69,37.12,35.97,34.88,36.16,38.12,38.81,38.84,40.88,43.5,43.84,41.88,40.62,40.28,38.34,33.94,30.25,28.66,26.75,23.03,19.41,19.19,20.25,20.5,20.47,22.88,26.81,29.12,29.69,31.56,35.31,37.59,36.97,36.44,37.44,38.0,36.44,34.72,35.34,37.16,37.41,36.25,36.81,38.28,38.41,36.25,34.97,35.84,36.88,35.41,34.56,36.19,37.97,37.72,36.84,37.47,38.91,38.38,35.97,35.0,35.56,35.84,33.81,32.88,34.47,36.09,35.47,35.03,36.38,38.12,37.38,35.44,34.81,35.09,34.0,31.16,29.53,29.94,30.41,29.22,29.19,31.97,35.28,63.47,65.28,66.12,65.59,65.22,65.69,65.66,64.38,63.31,63.84,64.38,63.62,62.81,63.16:46.12,48.66,50.91,50.31,49.84,50.94,52.19,51.03,49.31,49.5,50.38,49.88,47.28,45.94,45.97,45.0,42.62,41.09,42.16,43.44,42.59,41.75,42.72,44.28,43.47,41.97,42.06,43.16,42.78,40.56,39.06,39.25,39.16,37.69,37.03,38.5,40.91,40.88,40.62,42.28,45.03,45.78,45.03,45.22,45.53,44.66,41.09,38.41,38.03,38.72,37.34,37.16,39.06,41.62,42.28,42.28,43.97,46.66,47.5,46.25,45.25,45.56,44.66,42.03,40.38,41.03,42.28,41.72,40.97,41.91,43.5,42.88,40.94,40.44,41.56,41.84,40.94,41.09,42.94,43.91,41.72,39.5,39.59,40.5,39.69,39.0,40.38,42.56,42.44,41.41,41.59,43.09,43.62,42.41,42.28,43.69,44.66,43.34,41.69,41.47,41.66,39.66,37.44,37.22,38.28,38.59,37.38,37.19,38.56,38.72,36.53,35.22,36.22,37.09,35.81,34.28,34.81,36.22,36.16,35.78,37.34,40.47,42.47,42.88,43.5,46.06,47.38,45.78,44.09,43.72,43.25,40.34,37.22,35.69,35.69,34.56,33.06,33.34,35.66,37.28,37.03,37.31,40.0,42.44,42.88,43.31,45.81,48.38,47.75,46.75,46.66,48.0,47.78,46.34,45.19,45.62,44.41,40.53,37.44,37.38,38.34,38.19,39.06,42.16,45.44,45.78,44.59,44.44,45.59,45.78,44.78,45.25,47.5,48.88,48.09,47.12,48.03,48.31,46.28,43.56,42.75,43.22,41.94,40.09,39.38,40.72,40.91,39.56,38.66,40.78,42.62,42.59,42.81,45.09,47.5,47.53,46.12,46.22,47.25,46.69,44.66,44.22,45.78,46.66,45.75,45.06,46.19,46.91,45.53,43.41,43.66,45.12,44.94,43.69,44.16,46.0,46.28,45.62,45.88,48.06,49.5,48.78,48.03,49.31,50.81,50.28,49.03,49.44,50.53,49.97,47.94,47.56,49.09,50.03,49.47,49.38,51.31,52.06,50.69,48.72,49.34,50.47,50.0,48.5,49.12,50.66,50.5,49.16,48.78,49.72,50.09,48.19,46.25,46.56,46.66,45.09,43.16,43.84,45.22,44.81,42.84,42.72,43.66,43.69,42.62,43.28,46.44,49.0,49.69,49.97,52.19,54.16,53.91,53.06,54.22,55.97,55.81,54.19,53.38,53.75,53.31,51.06,49.47,49.47,49.19,46.25,43.34,43.38,44.75,45.0,44.91,46.66,49.56,50.5,49.91,50.06,51.34,51.31,48.84,46.78,47.12,47.5,46.31,44.78,45.12,45.78,44.84,42.84,43.28,45.88,47.69,48.44,50.28,53.62,55.94,55.5,54.56,54.94,54.91,51.84,47.41,44.84,42.78,39.41,34.62,32.12,31.81,30.62,28.12,26.84,28.72,30.97,31.78,33.16,37.12,42.34,45.28,47.03,50.88,54.84,56.56,56.19,56.38,58.03,58.47,56.09,53.78,52.59,51.03,46.62,41.75,39.53,38.66,37.25,35.41,36.44,39.16,41.09,41.34,42.84,46.31,48.91,49.41,49.66,51.75,53.34,52.25,49.84,48.59,48.12,45.69,41.94,40.09,40.38,40.25,38.38,38.06,40.31,43.03,43.62,44.59,47.81,51.66,53.0,53.41,54.91,56.72,56.03,52.59,49.88,47.81,44.94,39.62,35.19,33.72,32.78,30.38,28.41,29.12,30.56,30.81,30.28,31.75,34.75,36.84,37.56,40.12,44.41,48.91,50.84,52.38,55.59,58.06,56.94,54.72,54.19,54.22,52.72,50.06,49.06,50.0,49.91,48.12,47.25,48.62,49.38,47.5,45.09,44.91,45.16,43.41,40.91,40.28,41.22,40.16,38.19,37.56,39.53,40.72,39.88,39.72,41.06,42.44,40.66,38.38,38.03,39.12,38.5,37.44,38.38,40.38,40.94,39.19,38.38,39.84,40.69,39.72,39.06,40.94,42.62,42.34,42.09,44.62,49.19,52.09,53.91,56.41,59.72,60.34,58.09,56.31,55.72,55.19,52.56,50.19,50.22,51.12,49.12,46.19,45.5,46.28,46.78,46.03,47.22,50.38,52.22,51.41,50.5,51.88,52.56,50.91,48.62,48.19,48.78,47.34,45.69,46.38,49.06,50.62,50.41,51.53,54.41,56.69,55.84,55.28,56.41,56.84,54.97,53.03,52.66,53.03,51.69,48.69,47.62,48.62,48.72,47.62,46.66,47.91,48.12,45.66,43.56,44.28,45.47,44.5,42.72,42.03,41.91,39.84,36.66,35.31,36.84,38.12,38.0,38.97,41.31,43.12,42.28,41.59,43.41,45.5,45.72,44.44,43.78,44.16,42.88,40.09,39.34,41.38,42.88,42.62,42.72,45.16,47.75,48.16,47.56,49.12,51.09,50.59,48.66,48.09,49.38,48.94,46.81,45.5,46.59,47.03,45.25,44.03,45.19,46.47,45.41,42.88,41.62,40.47,37.69,33.75,31.69,32.78,33.88,34.06,35.38,39.59,43.78,45.25,46.56,49.62,53.31,54.19,53.59,53.78,54.5,52.44,48.5,45.25,43.88,42.0,38.41,36.06,36.81,38.19,38.56,38.5,40.81,43.31,43.5,41.91,41.38,41.81,41.22,38.78,37.5,39.03,40.22,39.56,38.97,40.91,42.88,42.62,41.56,42.31,43.69,42.72,40.44,39.22,40.41,40.88,39.53,38.91,40.53,41.62,40.47,39.12,40.72,43.44,44.47,44.34,46.47,49.44,50.47,49.56,49.62,50.94,52.09,51.72,52.0,54.81,57.41,57.22,54.97,53.88,52.47,48.97,43.84,40.06,38.5,36.28,33.25,32.06,33.94,35.62,35.62,35.94,38.28,41.5,42.53,42.66,44.75,47.75,48.44,46.75,45.47,44.78,42.72,38.66,35.72,35.88,36.88,36.59,36.41,38.47,40.44,40.25,39.03,39.31,41.53,42.78,42.88,44.19,47.0,48.5,48.06,47.94,49.78,51.97,52.0,51.81,53.25,55.06,54.81,52.62,51.28,50.91,49.75,46.44,44.53,44.84,44.62,42.81,40.59,41.03,41.53,40.16,38.19,38.22,39.81,40.34,39.91,40.88,43.16,44.81,44.03,43.78,45.34,46.66,45.31,43.34,43.16,43.34,41.66,38.94,38.0,38.16,37.12,34.06,32.69,33.31,33.84,33.19,33.84,36.56,39.88,41.09,41.28,43.12,45.12,45.16,43.5,43.62,45.34,45.66,44.47,43.97,45.28,46.25,45.5,44.78,46.97,49.91,50.66,50.41,51.56,53.34,53.38,51.66,51.31,52.41,52.78,50.53,48.38,47.91,47.66,45.22,43.0,42.91,43.78,42.97,41.06,40.88,42.47,43.12,42.19,42.16,44.19,45.91,45.41,46.03,48.84,52.0,52.38,51.94,51.91,51.38,48.03,42.75,39.28,37.69,36.69,35.09,35.31,37.75,39.78,38.62,36.69,35.84,35.34,33.28,31.44,32.41,35.44,37.03,36.88,37.09,38.59,38.88,37.16,36.19,37.97,40.19,40.66,41.0,43.06,45.34,44.59,42.34,40.28,39.44,36.53,32.62,30.56,31.06,32.22,31.62,32.0,33.84,35.78,35.28,33.91,34.0,35.59,36.06,35.91,37.53,41.56,44.44,45.53,47.19,50.28,52.25,51.88,50.22,49.69,49.28,46.0,41.56,38.09,35.91,31.94,27.16,24.38,24.72,25.5,25.38,26.28,29.34,32.31,32.97,33.28,35.5,38.16,39.69,40.09,41.91,45.12,46.41,45.31,44.22,44.25,42.72,38.75,34.53,32.31,30.75,27.59,25.06,24.75,26.81,28.22,28.75,30.22,33.62,35.44,35.0,35.28,38.03,40.5,41.0,41.0,42.06,43.31,41.56,38.84,37.34,37.09,35.81,32.88,30.75,30.69,30.22,28.62,28.19,31.38,35.34,37.81,39.53,42.53,45.28,45.38,43.75,42.88,43.69,43.0,40.84,38.97,38.75,37.03,32.66,27.62,24.75,22.91,19.97,18.28,19.06,22.25,24.59,25.88,27.69,30.81,32.75,31.94,30.94,31.81,31.84,29.59,27.16,27.38,28.72,28.88,28.06,28.47,29.69,28.75,25.78,23.34,23.03,22.19,20.09,18.97,21.0,23.62,24.38,25.03,27.69,31.5,33.56,34.56,36.72,39.81,41.22,40.28,39.09,39.72,39.69,36.81,33.06,31.12,29.34,25.69,21.59,20.16,20.5,20.78,20.81,22.78,27.69,32.16,34.84,37.56,41.53,44.25,44.03,42.62,42.75,44.19,43.81,42.5,42.44,43.12,42.31,39.12,36.69,36.41,35.53,32.53,29.28,28.5,28.41,26.5,24.62,25.97,28.44,29.41,28.66,29.31,31.19,32.56,32.72,33.72,37.12,40.0,39.66,38.22,38.91,39.72,38.62,37.56,38.22,39.84,39.41,37.12,35.44,35.97,35.81,33.59,31.91,32.03,31.56,28.69,25.56,25.03,26.19,26.56,26.0,27.81,30.72,33.03,32.69,33.56,35.69,37.12,35.97,34.88,36.16,38.12,38.81,38.84,40.88,43.5,43.84,41.88,40.62,40.28,38.34,33.94,30.25,28.66,26.75,23.03,19.41,19.19,20.25,20.5,20.47,22.88,26.81,29.12,29.69,31.56,35.31,37.59,36.97,36.44,37.44,38.0,36.44,34.72,35.34,37.16,37.41,36.25,36.81,38.28,38.41,36.25,34.97,35.84,36.88,35.41,34.56,36.19,37.97,37.72,36.84,37.47,38.91,38.38,35.97,35.0,35.56,35.84,33.81,32.88,34.47,36.09,35.47,35.03,36.38,38.12,37.38,35.44,34.81,35.09,34.0,31.16,29.53,29.94,30.41,29.22,29.19,31.97,35.28,63.47,65.28,66.12,65.59,65.22,65.69,65.66,64.38,63.31,63.84,64.38,63.62,62.81,63.16,64.22,63.47,62.19,61.88,62.62,63.53,63.41:51.03,49.31,49.5,50.38,49.88,47.28,45.94,45.97,45.0,42.62,41.09,42.16,43.44,42.59,41.75,42.72,44.28,43.47,41.97,42.06,43.16,42.78,40.56,39.06,39.25,39.16,37.69,37.03,38.5,40.91,40.88,40.62,42.28,45.03,45.78,45.03,45.22,45.53,44.66,41.09,38.41,38.03,38.72,37.34,37.16,39.06,41.62,42.28,42.28,43.97,46.66,47.5,46.25,45.25,45.56,44.66,42.03,40.38,41.03,42.28,41.72,40.97,41.91,43.5,42.88,40.94,40.44,41.56,41.84,40.94,41.09,42.94,43.91,41.72,39.5,39.59,40.5,39.69,39.0,40.38,42.56,42.44,41.41,41.59,43.09,43.62,42.41,42.28,43.69,44.66,43.34,41.69,41.47,41.66,39.66,37.44,37.22,38.28,38.59,37.38,37.19,38.56,38.72,36.53,35.22,36.22,37.09,35.81,34.28,34.81,36.22,36.16,35.78,37.34,40.47,42.47,42.88,43.5,46.06,47.38,45.78,44.09,43.72,43.25,40.34,37.22,35.69,35.69,34.56,33.06,33.34,35.66,37.28,37.03,37.31,40.0,42.44,42.88,43.31,45.81,48.38,47.75,46.75,46.66,48.0,47.78,46.34,45.19,45.62,44.41,40.53,37.44,37.38,38.34,38.19,39.06,42.16,45.44,45.78,44.59,44.44,45.59,45.78,44.78,45.25,47.5,48.88,48.09,47.12,48.03,48.31,46.28,43.56,42.75,43.22,41.94,40.09,39.38,40.72,40.91,39.56,38.66,40.78,42.62,42.59,42.81,45.09,47.5,47.53,46.12,46.22,47.25,46.69,44.66,44.22,45.78,46.66,45.75,45.06,46.19,46.91,45.53,43.41,43.66,45.12,44.94,43.69,44.16,46.0,46.28,45.62,45.88,48.06,49.5,48.78,48.03,49.31,50.81,50.28,49.03,49.44,50.53,49.97,47.94,47.56,49.09,50.03,49.47,49.38,51.31,52.06,50.69,48.72,49.34,50.47,50.0,48.5,49.12,50.66,50.5,49.16,48.78,49.72,50.09,48.19,46.25,46.56,46.66,45.09,43.16,43.84,45.22,44.81,42.84,42.72,43.66,43.69,42.62,43.28,46.44,49.0,49.69,49.97,52.19,54.16,53.91,53.06,54.22,55.97,55.81,54.19,53.38,53.75,53.31,51.06,49.47,49.47,49.19,46.25,43.34,43.38,44.75,45.0,44.91,46.66,49.56,50.5,49.91,50.06,51.34,51.31,48.84,46.78,47.12,47.5,46.31,44.78,45.12,45.78,44.84,42.84,43.28,45.88,47.69,48.44,50.28,53.62,55.94,55.5,54.56,54.94,54.91,51.84,47.41,44.84,42.78,39.41,34.62,32.12,31.81,30.62,28.12,26.84,28.72,30.97,31.78,33.16,37.12,42.34,45.28,47.03,50.88,54.84,56.56,56.19,56.38,58.03,58.47,56.09,53.78,52.59,51.03,46.62,41.75,39.53,38.66,37.25,35.41,36.44,39.16,41.09,41.34,42.84,46.31,48.91,49.41,49.66,51.75,53.34,52.25,49.84,48.59,48.12,45.69,41.94,40.09,40.38,40.25,38.38,38.06,40.31,43.03,43.62,44.59,47.81,51.66,53.0,53.41,54.91,56.72,56.03,52.59,49.88,47.81,44.94,39.62,35.19,33.72,32.78,30.38,28.41,29.12,30.56,30.81,30.28,31.75,34.75,36.84,37.56,40.12,44.41,48.91,50.84,52.38,55.59,58.06,56.94,54.72,54.19,54.22,52.72,50.06,49.06,50.0,49.91,48.12,47.25,48.62,49.38,47.5,45.09,44.91,45.16,43.41,40.91,40.28,41.22,40.16,38.19,37.56,39.53,40.72,39.88,39.72,41.06,42.44,40.66,38.38,38.03,39.12,38.5,37.44,38.38,40.38,40.94,39.19,38.38,39.84,40.69,39.72,39.06,40.94,42.62,42.34,42.09,44.62,49.19,52.09,53.91,56.41,59.72,60.34,58.09,56.31,55.72,55.19,52.56,50.19,50.22,51.12,49.12,46.19,45.5,46.28,46.78,46.03,47.22,50.38,52.22,51.41,50.5,51.88,52.56,50.91,48.62,48.19,48.78,47.34,45.69,46.38,49.06,50.62,50.41,51.53,54.41,56.69,55.84,55.28,56.41,56.84,54.97,53.03,52.66,53.03,51.69,48.69,47.62,48.62,48.72,47.62,46.66,47.91,48.12,45.66,43.56,44.28,45.47,44.5,42.72,42.03,41.91,39.84,36.66,35.31,36.84,38.12,38.0,38.97,41.31,43.12,42.28,41.59,43.41,45.5,45.72,44.44,43.78,44.16,42.88,40.09,39.34,41.38,42.88,42.62,42.72,45.16,47.75,48.16,47.56,49.12,51.09,50.59,48.66,48.09,49.38,48.94,46.81,45.5,46.59,47.03,45.25,44.03,45.19,46.47,45.41,42.88,41.62,40.47,37.69,33.75,31.69,32.78,33.88,34.06,35.38,39.59,43.78,45.25,46.56,49.62,53.31,54.19,53.59,53.78,54.5,52.44,48.5,45.25,43.88,42.0,38.41,36.06,36.81,38.19,38.56,38.5,40.81,43.31,43.5,41.91,41.38,41.81,41.22,38.78,37.5,39.03,40.22,39.56,38.97,40.91,42.88,42.62,41.56,42.31,43.69,42.72,40.44,39.22,40.41,40.88,39.53,38.91,40.53,41.62,40.47,39.12,40.72,43.44,44.47,44.34,46.47,49.44,50.47,49.56,49.62,50.94,52.09,51.72,52.0,54.81,57.41,57.22,54.97,53.88,52.47,48.97,43.84,40.06,38.5,36.28,33.25,32.06,33.94,35.62,35.62,35.94,38.28,41.5,42.53,42.66,44.75,47.75,48.44,46.75,45.47,44.78,42.72,38.66,35.72,35.88,36.88,36.59,36.41,38.47,40.44,40.25,39.03,39.31,41.53,42.78,42.88,44.19,47.0,48.5,48.06,47.94,49.78,51.97,52.0,51.81,53.25,55.06,54.81,52.62,51.28,50.91,49.75,46.44,44.53,44.84,44.62,42.81,40.59,41.03,41.53,40.16,38.19,38.22,39.81,40.34,39.91,40.88,43.16,44.81,44.03,43.78,45.34,46.66,45.31,43.34,43.16,43.34,41.66,38.94,38.0,38.16,37.12,34.06,32.69,33.31,33.84,33.19,33.84,36.56,39.88,41.09,41.28,43.12,45.12,45.16,43.5,43.62,45.34,45.66,44.47,43.97,45.28,46.25,45.5,44.78,46.97,49.91,50.66,50.41,51.56,53.34,53.38,51.66,51.31,52.41,52.78,50.53,48.38,47.91,47.66,45.22,43.0,42.91,43.78,42.97,41.06,40.88,42.47,43.12,42.19,42.16,44.19,45.91,45.41,46.03,48.84,52.0,52.38,51.94,51.91,51.38,48.03,42.75,39.28,37.69,36.69,35.09,35.31,37.75,39.78,38.62,36.69,35.84,35.34,33.28,31.44,32.41,35.44,37.03,36.88,37.09,38.59,38.88,37.16,36.19,37.97,40.19,40.66,41.0,43.06,45.34,44.59,42.34,40.28,39.44,36.53,32.62,30.56,31.06,32.22,31.62,32.0,33.84,35.78,35.28,33.91,34.0,35.59,36.06,35.91,37.53,41.56,44.44,45.53,47.19,50.28,52.25,51.88,50.22,49.69,49.28,46.0,41.56,38.09,35.91,31.94,27.16,24.38,24.72,25.5,25.38,26.28,29.34,32.31,32.97,33.28,35.5,38.16,39.69,40.09,41.91,45.12,46.41,45.31,44.22,44.25,42.72,38.75,34.53,32.31,30.75,27.59,25.06,24.75,26.81,28.22,28.75,30.22,33.62,35.44,35.0,35.28,38.03,40.5,41.0,41.0,42.06,43.31,41.56,38.84,37.34,37.09,35.81,32.88,30.75,30.69,30.22,28.62,28.19,31.38,35.34,37.81,39.53,42.53,45.28,45.38,43.75,42.88,43.69,43.0,40.84,38.97,38.75,37.03,32.66,27.62,24.75,22.91,19.97,18.28,19.06,22.25,24.59,25.88,27.69,30.81,32.75,31.94,30.94,31.81,31.84,29.59,27.16,27.38,28.72,28.88,28.06,28.47,29.69,28.75,25.78,23.34,23.03,22.19,20.09,18.97,21.0,23.62,24.38,25.03,27.69,31.5,33.56,34.56,36.72,39.81,41.22,40.28,39.09,39.72,39.69,36.81,33.06,31.12,29.34,25.69,21.59,20.16,20.5,20.78,20.81,22.78,27.69,32.16,34.84,37.56,41.53,44.25,44.03,42.62,42.75,44.19,43.81,42.5,42.44,43.12,42.31,39.12,36.69,36.41,35.53,32.53,29.28,28.5,28.41,26.5,24.62,25.97,28.44,29.41,28.66,29.31,31.19,32.56,32.72,33.72,37.12,40.0,39.66,38.22,38.91,39.72,38.62,37.56,38.22,39.84,39.41,37.12,35.44,35.97,35.81,33.59,31.91,32.03,31.56,28.69,25.56,25.03,26.19,26.56,26.0,27.81,30.72,33.03,32.69,33.56,35.69,37.12,35.97,34.88,36.16,38.12,38.81,38.84,40.88,43.5,43.84,41.88,40.62,40.28,38.34,33.94,30.25,28.66,26.75,23.03,19.41,19.19,20.25,20.5,20.47,22.88,26.81,29.12,29.69,31.56,35.31,37.59,36.97,36.44,37.44,38.0,36.44,34.72,35.34,37.16,37.41,36.25,36.81,38.28,38.41,36.25,34.97,35.84,36.88,35.41,34.56,36.19,37.97,37.72,36.84,37.47,38.91,38.38,35.97,35.0,35.56,35.84,33.81,32.88,34.47,36.09,35.47,35.03,36.38,38.12,37.38,35.44,34.81,35.09,34.0,31.16,29.53,29.94,30.41,29.22,29.19,31.97,35.28,63.47,65.28,66.12,65.59,65.22,65.69,65.66,64.38,63.31,63.84,64.38,63.62,62.81,63.16,64.22,63.47,62.19,61.88,62.62,63.53,63.41,64.84,67.06,68.69,67.78,66.28,65.53,63.53:45.97,45.0,42.62,41.09,42.16,43.44,42.59,41.75,42.72,44.28,43.47,41.97,42.06,43.16,42.78,40.56,39.06,39.25,39.16,37.69,37.03,38.5,40.91,40.88,40.62,42.28,45.03,45.78,45.03,45.22,45.53,44.66,41.09,38.41,38.03,38.72,37.34,37.16,39.06,41.62,42.28,42.28,43.97,46.66,47.5,46.25,45.25,45.56,44.66,42.03,40.38,41.03,42.28,41.72,40.97,41.91,43.5,42.88,40.94,40.44,41.56,41.84,40.94,41.09,42.94,43.91,41.72,39.5,39.59,40.5,39.69,39.0,40.38,42.56,42.44,41.41,41.59,43.09,43.62,42.41,42.28,43.69,44.66,43.34,41.69,41.47,41.66,39.66,37.44,37.22,38.28,38.59,37.38,37.19,38.56,38.72,36.53,35.22,36.22,37.09,35.81,34.28,34.81,36.22,36.16,35.78,37.34,40.47,42.47,42.88,43.5,46.06,47.38,45.78,44.09,43.72,43.25,40.34,37.22,35.69,35.69,34.56,33.06,33.34,35.66,37.28,37.03,37.31,40.0,42.44,42.88,43.31,45.81,48.38,47.75,46.75,46.66,48.0,47.78,46.34,45.19,45.62,44.41,40.53,37.44,37.38,38.34,38.19,39.06,42.16,45.44,45.78,44.59,44.44,45.59,45.78,44.78,45.25,47.5,48.88,48.09,47.12,48.03,48.31,46.28,43.56,42.75,43.22,41.94,40.09,39.38,40.72,40.91,39.56,38.66,40.78,42.62,42.59,42.81,45.09,47.5,47.53,46.12,46.22,47.25,46.69,44.66,44.22,45.78,46.66,45.75,45.06,46.19,46.91,45.53,43.41,43.66,45.12,44.94,43.69,44.16,46.0,46.28,45.62,45.88,48.06,49.5,48.78,48.03,49.31,50.81,50.28,49.03,49.44,50.53,49.97,47.94,47.56,49.09,50.03,49.47,49.38,51.31,52.06,50.69,48.72,49.34,50.47,50.0,48.5,49.12,50.66,50.5,49.16,48.78,49.72,50.09,48.19,46.25,46.56,46.66,45.09,43.16,43.84,45.22,44.81,42.84,42.72,43.66,43.69,42.62,43.28,46.44,49.0,49.69,49.97,52.19,54.16,53.91,53.06,54.22,55.97,55.81,54.19,53.38,53.75,53.31,51.06,49.47,49.47,49.19,46.25,43.34,43.38,44.75,45.0,44.91,46.66,49.56,50.5,49.91,50.06,51.34,51.31,48.84,46.78,47.12,47.5,46.31,44.78,45.12,45.78,44.84,42.84,43.28,45.88,47.69,48.44,50.28,53.62,55.94,55.5,54.56,54.94,54.91,51.84,47.41,44.84,42.78,39.41,34.62,32.12,31.81,30.62,28.12,26.84,28.72,30.97,31.78,33.16,37.12,42.34,45.28,47.03,50.88,54.84,56.56,56.19,56.38,58.03,58.47,56.09,53.78,52.59,51.03,46.62,41.75,39.53,38.66,37.25,35.41,36.44,39.16,41.09,41.34,42.84,46.31,48.91,49.41,49.66,51.75,53.34,52.25,49.84,48.59,48.12,45.69,41.94,40.09,40.38,40.25,38.38,38.06,40.31,43.03,43.62,44.59,47.81,51.66,53.0,53.41,54.91,56.72,56.03,52.59,49.88,47.81,44.94,39.62,35.19,33.72,32.78,30.38,28.41,29.12,30.56,30.81,30.28,31.75,34.75,36.84,37.56,40.12,44.41,48.91,50.84,52.38,55.59,58.06,56.94,54.72,54.19,54.22,52.72,50.06,49.06,50.0,49.91,48.12,47.25,48.62,49.38,47.5,45.09,44.91,45.16,43.41,40.91,40.28,41.22,40.16,38.19,37.56,39.53,40.72,39.88,39.72,41.06,42.44,40.66,38.38,38.03,39.12,38.5,37.44,38.38,40.38,40.94,39.19,38.38,39.84,40.69,39.72,39.06,40.94,42.62,42.34,42.09,44.62,49.19,52.09,53.91,56.41,59.72,60.34,58.09,56.31,55.72,55.19,52.56,50.19,50.22,51.12,49.12,46.19,45.5,46.28,46.78,46.03,47.22,50.38,52.22,51.41,50.5,51.88,52.56,50.91,48.62,48.19,48.78,47.34,45.69,46.38,49.06,50.62,50.41,51.53,54.41,56.69,55.84,55.28,56.41,56.84,54.97,53.03,52.66,53.03,51.69,48.69,47.62,48.62,48.72,47.62,46.66,47.91,48.12,45.66,43.56,44.28,45.47,44.5,42.72,42.03,41.91,39.84,36.66,35.31,36.84,38.12,38.0,38.97,41.31,43.12,42.28,41.59,43.41,45.5,45.72,44.44,43.78,44.16,42.88,40.09,39.34,41.38,42.88,42.62,42.72,45.16,47.75,48.16,47.56,49.12,51.09,50.59,48.66,48.09,49.38,48.94,46.81,45.5,46.59,47.03,45.25,44.03,45.19,46.47,45.41,42.88,41.62,40.47,37.69,33.75,31.69,32.78,33.88,34.06,35.38,39.59,43.78,45.25,46.56,49.62,53.31,54.19,53.59,53.78,54.5,52.44,48.5,45.25,43.88,42.0,38.41,36.06,36.81,38.19,38.56,38.5,40.81,43.31,43.5,41.91,41.38,41.81,41.22,38.78,37.5,39.03,40.22,39.56,38.97,40.91,42.88,42.62,41.56,42.31,43.69,42.72,40.44,39.22,40.41,40.88,39.53,38.91,40.53,41.62,40.47,39.12,40.72,43.44,44.47,44.34,46.47,49.44,50.47,49.56,49.62,50.94,52.09,51.72,52.0,54.81,57.41,57.22,54.97,53.88,52.47,48.97,43.84,40.06,38.5,36.28,33.25,32.06,33.94,35.62,35.62,35.94,38.28,41.5,42.53,42.66,44.75,47.75,48.44,46.75,45.47,44.78,42.72,38.66,35.72,35.88,36.88,36.59,36.41,38.47,40.44,40.25,39.03,39.31,41.53,42.78,42.88,44.19,47.0,48.5,48.06,47.94,49.78,51.97,52.0,51.81,53.25,55.06,54.81,52.62,51.28,50.91,49.75,46.44,44.53,44.84,44.62,42.81,40.59,41.03,41.53,40.16,38.19,38.22,39.81,40.34,39.91,40.88,43.16,44.81,44.03,43.78,45.34,46.66,45.31,43.34,43.16,43.34,41.66,38.94,38.0,38.16,37.12,34.06,32.69,33.31,33.84,33.19,33.84,36.56,39.88,41.09,41.28,43.12,45.12,45.16,43.5,43.62,45.34,45.66,44.47,43.97,45.28,46.25,45.5,44.78,46.97,49.91,50.66,50.41,51.56,53.34,53.38,51.66,51.31,52.41,52.78,50.53,48.38,47.91,47.66,45.22,43.0,42.91,43.78,42.97,41.06,40.88,42.47,43.12,42.19,42.16,44.19,45.91,45.41,46.03,48.84,52.0,52.38,51.94,51.91,51.38,48.03,42.75,39.28,37.69,36.69,35.09,35.31,37.75,39.78,38.62,36.69,35.84,35.34,33.28,31.44,32.41,35.44,37.03,36.88,37.09,38.59,38.88,37.16,36.19,37.97,40.19,40.66,41.0,43.06,45.34,44.59,42.34,40.28,39.44,36.53,32.62,30.56,31.06,32.22,31.62,32.0,33.84,35.78,35.28,33.91,34.0,35.59,36.06,35.91,37.53,41.56,44.44,45.53,47.19,50.28,52.25,51.88,50.22,49.69,49.28,46.0,41.56,38.09,35.91,31.94,27.16,24.38,24.72,25.5,25.38,26.28,29.34,32.31,32.97,33.28,35.5,38.16,39.69,40.09,41.91,45.12,46.41,45.31,44.22,44.25,42.72,38.75,34.53,32.31,30.75,27.59,25.06,24.75,26.81,28.22,28.75,30.22,33.62,35.44,35.0,35.28,38.03,40.5,41.0,41.0,42.06,43.31,41.56,38.84,37.34,37.09,35.81,32.88,30.75,30.69,30.22,28.62,28.19,31.38,35.34,37.81,39.53,42.53,45.28,45.38,43.75,42.88,43.69,43.0,40.84,38.97,38.75,37.03,32.66,27.62,24.75,22.91,19.97,18.28,19.06,22.25,24.59,25.88,27.69,30.81,32.75,31.94,30.94,31.81,31.84,29.59,27.16,27.38,28.72,28.88,28.06,28.47,29.69,28.75,25.78,23.34,23.03,22.19,20.09,18.97,21.0,23.62,24.38,25.03,27.69,31.5,33.56,34.56,36.72,39.81,41.22,40.28,39.09,39.72,39.69,36.81,33.06,31.12,29.34,25.69,21.59,20.16,20.5,20.78,20.81,22.78,27.69,32.16,34.84,37.56,41.53,44.25,44.03,42.62,42.75,44.19,43.81,42.5,42.44,43.12,42.31,39.12,36.69,36.41,35.53,32.53,29.28,28.5,28.41,26.5,24.62,25.97,28.44,29.41,28.66,29.31,31.19,32.56,32.72,33.72,37.12,40.0,39.66,38.22,38.91,39.72,38.62,37.56,38.22,39.84,39.41,37.12,35.44,35.97,35.81,33.59,31.91,32.03,31.56,28.69,25.56,25.03,26.19,26.56,26.0,27.81,30.72,33.03,32.69,33.56,35.69,37.12,35.97,34.88,36.16,38.12,38.81,38.84,40.88,43.5,43.84,41.88,40.62,40.28,38.34,33.94,30.25,28.66,26.75,23.03,19.41,19.19,20.25,20.5,20.47,22.88,26.81,29.12,29.69,31.56,35.31,37.59,36.97,36.44,37.44,38.0,36.44,34.72,35.34,37.16,37.41,36.25,36.81,38.28,38.41,36.25,34.97,35.84,36.88,35.41,34.56,36.19,37.97,37.72,36.84,37.47,38.91,38.38,35.97,35.0,35.56,35.84,33.81,32.88,34.47,36.09,35.47,35.03,36.38,38.12,37.38,35.44,34.81,35.09,34.0,31.16,29.53,29.94,30.41,29.22,29.19,31.97,35.28,63.47,65.28,66.12,65.59,65.22,65.69,65.66,64.38,63.31,63.84,64.38,63.62,62.81,63.16,64.22,63.47,62.19,61.88,62.62,63.53,63.41,64.84,67.06,68.69,67.78,66.28,65.53,63.53,60.31,57.56,56.94,57.69,58.06,58.03,58.38:41.75,42.72,44.28,43.47,41.97,42.06,43.16,42.78,40.56,39.06,39.25,39.16,37.69,37.03,38.5,40.91,40.88,40.62,42.28,45.03,45.78,45.03,45.22,45.53,44.66,41.09,38.41,38.03,38.72,37.34,37.16,39.06,41.62,42.28,42.28,43.97,46.66,47.5,46.25,45.25,45.56,44.66,42.03,40.38,41.03,42.28,41.72,40.97,41.91,43.5,42.88,40.94,40.44,41.56,41.84,40.94,41.09,42.94,43.91,41.72,39.5,39.59,40.5,39.69,39.0,40.38,42.56,42.44,41.41,41.59,43.09,43.62,42.41,42.28,43.69,44.66,43.34,41.69,41.47,41.66,39.66,37.44,37.22,38.28,38.59,37.38,37.19,38.56,38.72,36.53,35.22,36.22,37.09,35.81,34.28,34.81,36.22,36.16,35.78,37.34,40.47,42.47,42.88,43.5,46.06,47.38,45.78,44.09,43.72,43.25,40.34,37.22,35.69,35.69,34.56,33.06,33.34,35.66,37.28,37.03,37.31,40.0,42.44,42.88,43.31,45.81,48.38,47.75,46.75,46.66,48.0,47.78,46.34,45.19,45.62,44.41,40.53,37.44,37.38,38.34,38.19,39.06,42.16,45.44,45.78,44.59,44.44,45.59,45.78,44.78,45.25,47.5,48.88,48.09,47.12,48.03,48.31,46.28,43.56,42.75,43.22,41.94,40.09,39.38,40.72,40.91,39.56,38.66,40.78,42.62,42.59,42.81,45.09,47.5,47.53,46.12,46.22,47.25,46.69,44.66,44.22,45.78,46.66,45.75,45.06,46.19,46.91,45.53,43.41,43.66,45.12,44.94,43.69,44.16,46.0,46.28,45.62,45.88,48.06,49.5,48.78,48.03,49.31,50.81,50.28,49.03,49.44,50.53,49.97,47.94,47.56,49.09,50.03,49.47,49.38,51.31,52.06,50.69,48.72,49.34,50.47,50.0,48.5,49.12,50.66,50.5,49.16,48.78,49.72,50.09,48.19,46.25,46.56,46.66,45.09,43.16,43.84,45.22,44.81,42.84,42.72,43.66,43.69,42.62,43.28,46.44,49.0,49.69,49.97,52.19,54.16,53.91,53.06,54.22,55.97,55.81,54.19,53.38,53.75,53.31,51.06,49.47,49.47,49.19,46.25,43.34,43.38,44.75,45.0,44.91,46.66,49.56,50.5,49.91,50.06,51.34,51.31,48.84,46.78,47.12,47.5,46.31,44.78,45.12,45.78,44.84,42.84,43.28,45.88,47.69,48.44,50.28,53.62,55.94,55.5,54.56,54.94,54.91,51.84,47.41,44.84,42.78,39.41,34.62,32.12,31.81,30.62,28.12,26.84,28.72,30.97,31.78,33.16,37.12,42.34,45.28,47.03,50.88,54.84,56.56,56.19,56.38,58.03,58.47,56.09,53.78,52.59,51.03,46.62,41.75,39.53,38.66,37.25,35.41,36.44,39.16,41.09,41.34,42.84,46.31,48.91,49.41,49.66,51.75,53.34,52.25,49.84,48.59,48.12,45.69,41.94,40.09,40.38,40.25,38.38,38.06,40.31,43.03,43.62,44.59,47.81,51.66,53.0,53.41,54.91,56.72,56.03,52.59,49.88,47.81,44.94,39.62,35.19,33.72,32.78,30.38,28.41,29.12,30.56,30.81,30.28,31.75,34.75,36.84,37.56,40.12,44.41,48.91,50.84,52.38,55.59,58.06,56.94,54.72,54.19,54.22,52.72,50.06,49.06,50.0,49.91,48.12,47.25,48.62,49.38,47.5,45.09,44.91,45.16,43.41,40.91,40.28,41.22,40.16,38.19,37.56,39.53,40.72,39.88,39.72,41.06,42.44,40.66,38.38,38.03,39.12,38.5,37.44,38.38,40.38,40.94,39.19,38.38,39.84,40.69,39.72,39.06,40.94,42.62,42.34,42.09,44.62,49.19,52.09,53.91,56.41,59.72,60.34,58.09,56.31,55.72,55.19,52.56,50.19,50.22,51.12,49.12,46.19,45.5,46.28,46.78,46.03,47.22,50.38,52.22,51.41,50.5,51.88,52.56,50.91,48.62,48.19,48.78,47.34,45.69,46.38,49.06,50.62,50.41,51.53,54.41,56.69,55.84,55.28,56.41,56.84,54.97,53.03,52.66,53.03,51.69,48.69,47.62,48.62,48.72,47.62,46.66,47.91,48.12,45.66,43.56,44.28,45.47,44.5,42.72,42.03,41.91,39.84,36.66,35.31,36.84,38.12,38.0,38.97,41.31,43.12,42.28,41.59,43.41,45.5,45.72,44.44,43.78,44.16,42.88,40.09,39.34,41.38,42.88,42.62,42.72,45.16,47.75,48.16,47.56,49.12,51.09,50.59,48.66,48.09,49.38,48.94,46.81,45.5,46.59,47.03,45.25,44.03,45.19,46.47,45.41,42.88,41.62,40.47,37.69,33.75,31.69,32.78,33.88,34.06,35.38,39.59,43.78,45.25,46.56,49.62,53.31,54.19,53.59,53.78,54.5,52.44,48.5,45.25,43.88,42.0,38.41,36.06,36.81,38.19,38.56,38.5,40.81,43.31,43.5,41.91,41.38,41.81,41.22,38.78,37.5,39.03,40.22,39.56,38.97,40.91,42.88,42.62,41.56,42.31,43.69,42.72,40.44,39.22,40.41,40.88,39.53,38.91,40.53,41.62,40.47,39.12,40.72,43.44,44.47,44.34,46.47,49.44,50.47,49.56,49.62,50.94,52.09,51.72,52.0,54.81,57.41,57.22,54.97,53.88,52.47,48.97,43.84,40.06,38.5,36.28,33.25,32.06,33.94,35.62,35.62,35.94,38.28,41.5,42.53,42.66,44.75,47.75,48.44,46.75,45.47,44.78,42.72,38.66,35.72,35.88,36.88,36.59,36.41,38.47,40.44,40.25,39.03,39.31,41.53,42.78,42.88,44.19,47.0,48.5,48.06,47.94,49.78,51.97,52.0,51.81,53.25,55.06,54.81,52.62,51.28,50.91,49.75,46.44,44.53,44.84,44.62,42.81,40.59,41.03,41.53,40.16,38.19,38.22,39.81,40.34,39.91,40.88,43.16,44.81,44.03,43.78,45.34,46.66,45.31,43.34,43.16,43.34,41.66,38.94,38.0,38.16,37.12,34.06,32.69,33.31,33.84,33.19,33.84,36.56,39.88,41.09,41.28,43.12,45.12,45.16,43.5,43.62,45.34,45.66,44.47,43.97,45.28,46.25,45.5,44.78,46.97,49.91,50.66,50.41,51.56,53.34,53.38,51.66,51.31,52.41,52.78,50.53,48.38,47.91,47.66,45.22,43.0,42.91,43.78,42.97,41.06,40.88,42.47,43.12,42.19,42.16,44.19,45.91,45.41,46.03,48.84,52.0,52.38,51.94,51.91,51.38,48.03,42.75,39.28,37.69,36.69,35.09,35.31,37.75,39.78,38.62,36.69,35.84,35.34,33.28,31.44,32.41,35.44,37.03,36.88,37.09,38.59,38.88,37.16,36.19,37.97,40.19,40.66,41.0,43.06,45.34,44.59,42.34,40.28,39.44,36.53,32.62,30.56,31.06,32.22,31.62,32.0,33.84,35.78,35.28,33.91,34.0,35.59,36.06,35.91,37.53,41.56,44.44,45.53,47.19,50.28,52.25,51.88,50.22,49.69,49.28,46.0,41.56,38.09,35.91,31.94,27.16,24.38,24.72,25.5,25.38,26.28,29.34,32.31,32.97,33.28,35.5,38.16,39.69,40.09,41.91,45.12,46.41,45.31,44.22,44.25,42.72,38.75,34.53,32.31,30.75,27.59,25.06,24.75,26.81,28.22,28.75,30.22,33.62,35.44,35.0,35.28,38.03,40.5,41.0,41.0,42.06,43.31,41.56,38.84,37.34,37.09,35.81,32.88,30.75,30.69,30.22,28.62,28.19,31.38,35.34,37.81,39.53,42.53,45.28,45.38,43.75,42.88,43.69,43.0,40.84,38.97,38.75,37.03,32.66,27.62,24.75,22.91,19.97,18.28,19.06,22.25,24.59,25.88,27.69,30.81,32.75,31.94,30.94,31.81,31.84,29.59,27.16,27.38,28.72,28.88,28.06,28.47,29.69,28.75,25.78,23.34,23.03,22.19,20.09,18.97,21.0,23.62,24.38,25.03,27.69,31.5,33.56,34.56,36.72,39.81,41.22,40.28,39.09,39.72,39.69,36.81,33.06,31.12,29.34,25.69,21.59,20.16,20.5,20.78,20.81,22.78,27.69,32.16,34.84,37.56,41.53,44.25,44.03,42.62,42.75,44.19,43.81,42.5,42.44,43.12,42.31,39.12,36.69,36.41,35.53,32.53,29.28,28.5,28.41,26.5,24.62,25.97,28.44,29.41,28.66,29.31,31.19,32.56,32.72,33.72,37.12,40.0,39.66,38.22,38.91,39.72,38.62,37.56,38.22,39.84,39.41,37.12,35.44,35.97,35.81,33.59,31.91,32.03,31.56,28.69,25.56,25.03,26.19,26.56,26.0,27.81,30.72,33.03,32.69,33.56,35.69,37.12,35.97,34.88,36.16,38.12,38.81,38.84,40.88,43.5,43.84,41.88,40.62,40.28,38.34,33.94,30.25,28.66,26.75,23.03,19.41,19.19,20.25,20.5,20.47,22.88,26.81,29.12,29.69,31.56,35.31,37.59,36.97,36.44,37.44,38.0,36.44,34.72,35.34,37.16,37.41,36.25,36.81,38.28,38.41,36.25,34.97,35.84,36.88,35.41,34.56,36.19,37.97,37.72,36.84,37.47,38.91,38.38,35.97,35.0,35.56,35.84,33.81,32.88,34.47,36.09,35.47,35.03,36.38,38.12,37.38,35.44,34.81,35.09,34.0,31.16,29.53,29.94,30.41,29.22,29.19,31.97,35.28,63.47,65.28,66.12,65.59,65.22,65.69,65.66,64.38,63.31,63.84,64.38,63.62,62.81,63.16,64.22,63.47,62.19,61.88,62.62,63.53,63.41,64.84,67.06,68.69,67.78,66.28,65.53,63.53,60.31,57.56,56.94,57.69,58.06,58.03,58.38,59.28,59.47,58.38,57.75,58.88,60.12,59.91:positivity
12.38,11.72,11.03,10.53,10.84,12.34,13.78,14.25,14.69,15.75,16.97,16.59,15.75,14.47,13.34,11.69,9.59,8.56,8.84,9.97,10.94,12.44,14.12,15.81,16.19,16.31,17.16,18.38,19.06,18.44,17.38,15.47,12.62,8.72,5.41,3.66,2.97,2.44,2.62,3.84,5.66,6.38,6.53,6.72,7.34,7.31,6.81,6.88,7.69,8.16,8.06,8.66,10.19,12.31,14.47,16.59,18.84,20.72,20.75,19.06,16.66,13.94,10.28,6.44,2.78,0.22,-1.53,-3.31,-3.97,-3.12,-0.88,1.53,4.25,8.06,12.38,15.34,17.34,18.5,19.38,18.78,16.69,14.75,13.12,11.56,10.0,9.28,9.78,11.0,11.62,11.91,11.59,11.81,11.44,10.78,11.09,12.38,13.53,14.09,14.5,15.28,16.38,16.5,16.41,16.88,17.16,16.25,14.38,12.56,11.12,9.28,7.44,6.19,6.09,6.25,5.38,4.31,3.97,3.59,2.69,2.75,3.78,5.81,7.5,8.62,9.47,10.62,10.94,10.97,11.19,13.06,15.12,16.53,18.28,20.59,23.25,25.12,26.69,28.31,29.97,30.31,29.12,27.12,25.06,22.25,19.06,16.22,15.22,15.81,16.69,18.28,21.03,24.72,27.16,29.44,31.78,33.91,35.53,35.81,35.0,34.5,32.84,30.22,27.09,24.94,22.84,19.94,16.38,13.62,11.22,7.91,5.31,3.78,4.28,5.62,7.41,10.09,13.62,16.84,18.94,20.66,22.69,24.03,24.16,22.84,21.56,20.25,18.06,16.34,15.19,14.97,14.81,14.12,13.78,14.44,15.47,16.09,16.09,16.97,17.69,17.41,16.25,15.22,14.47,12.47,10.25,8.5,7.97,7.59,7.28,7.16,8.78,10.66,12.41,14.16,17.19,20.25,22.25,23.25,24.38,25.34,25.12,24.56,24.0,24.03,24.38,23.5,22.31,21.16,19.94,17.34,14.22,12.19,11.25,10.34,10.19,11.06,13.47,15.91,17.25,19.06,21.41,23.41,24.5,24.44,25.25,26.06,26.16,25.78,26.84,28.0,29.0,29.81,30.84,32.72,34.12,34.59,34.81,35.53,36.0,35.19,33.94,32.84,31.62,30.0,28.19,27.44,27.59,28.03,27.88,27.38,27.16,26.41,24.41,22.66,21.81,21.34,20.34,19.12,19.53,20.62,21.53,21.97,22.56,22.81,22.09,19.88,17.75,17.0,16.75,17.09,17.91,20.41,22.97,24.56,25.06,25.53,26.12,25.72,24.25,23.53,23.03,22.62,21.5,20.56,20.66,20.69,20.12,19.25,19.16,19.5,19.0,17.69,16.88,16.38,15.97,15.44,15.94,17.69,19.91,21.03,22.69,24.72,26.47,27.09,26.81,27.25,27.75,27.5,26.88,26.78,27.25,27.0,25.47,23.84,21.69,19.0,15.34,11.78,10.09,9.34,8.62,7.84,8.31,9.19,9.97,10.47,11.5,13.28,14.56,14.12,13.31,12.34,11.5,9.59,8.0,7.78,8.16,8.38,7.88,8.19,9.12,9.62,9.19,9.5,10.0,10.12,9.34,9.0,9.66,11.12,12.28,13.56,15.34,17.25,18.0,17.56,17.16,16.78,15.88,13.53,11.5,9.78,8.12,5.78,4.25,4.38,6.06,7.53,9.56,12.03,14.38,15.22,15.03,14.94,15.0,15.06,14.69,14.44,15.5,16.62,16.72,16.25,16.25,16.75,16.28,15.34,15.19,15.62,15.72,15.22,15.84,17.47,19.0,18.62,17.81,16.88,15.47,12.88,11.03,10.56,11.22,11.78,12.25,13.16,15.12,16.59,17.03,17.78,19.0,19.97,20.09,19.88,20.78,22.0,22.25,22.16,22.22,22.38,21.12,18.78,16.34,14.75,12.72,10.41,9.5,9.84,11.09,11.38,11.97,13.41,14.72,15.03,15.41,17.06,18.97,20.41,21.28,22.81,24.47,24.94,24.22,22.78,21.41,19.72,16.91,14.41,13.41,13.75,13.34,13.78,15.31,17.69,19.5,20.5,20.88,21.41,21.25,19.56,18.19,18.16,18.97,19.5,20.12,21.94,23.5,23.16,21.81,20.44,19.75,18.59,17.12,16.38,16.91,17.5,16.84,16.31,16.75,17.72,18.0,18.69,20.22,22.59,23.06,23.0,23.12,23.5,23.5,23.06,23.19,24.06,24.91,24.34,23.53,23.22,22.97,21.59,20.66,20.41,21.03,21.56,21.53,22.03,23.28,24.12,24.19,24.5,26.0,27.38,27.25,27.19,27.78,28.94,29.06,29.38,30.25,31.38,31.34,30.06,28.56,27.78,26.53,25.12,24.09,24.78,25.69,25.53,24.94,24.69,24.25,22.78,21.03,20.19,20.5,20.59,20.12,20.16,21.06,21.72,21.81,21.84,22.62,23.38,23.03,22.5,23.12,24.03,23.94,23.22,22.53,22.56,21.81,20.69,19.69,19.53,18.81,17.06,15.31,15.12,14.81,14.34,13.91,14.19,15.0,15.19,14.75,15.38,17.16,18.5,19.41,20.12,21.62,22.75,22.41,21.88,21.12,20.44,18.91,16.94,16.09,16.44,16.16,15.59,14.88,15.44,15.62,15.53,15.75,17.25,18.81,19.78,20.06,20.88,21.38,20.81,19.38,18.75,19.03,18.59,17.94,17.66,18.03,17.88,17.25,16.97,17.69,18.44,18.5,18.59,19.5,20.41,21.31,22.03,22.84,24.34,24.75,24.69,24.41,24.88,24.97,23.88,22.47,22.16,22.31,21.59,20.94,20.75,20.66,19.78,18.47,17.16,16.94,16.28,14.53,13.06,12.78,12.88,12.91,13.38,14.91,16.59,17.12,17.25,18.41,19.69,20.09,19.78,19.12,18.75,17.88,15.97,14.28,14.16,14.19,14.38,14.78,16.03,17.28,17.5,17.0,16.62,16.72,16.62,16.12,15.81,16.38,16.78,16.03,15.16,14.97,14.88,14.16,13.0,13.38,13.59,13.41,12.59,12.38,12.59,12.16,10.62,9.47,9.28,9.12,8.91,9.16,10.81,12.0,11.84,10.66,9.38,8.12,6.09,4.22,2.72,2.47,2.44,1.62,1.69,2.94,4.62,5.91,7.16,9.5,11.66,13.25,13.72,14.5,15.5,15.94,15.09,14.78,15.06,15.03,14.25,13.94,14.56,14.78,14.12,12.62,11.72,10.59,9.06,7.09,6.22,6.47,6.34,6.81,7.84,9.84,12.12,13.0,13.44,14.44,15.16,15.31,15.56,16.72,17.69,18.0,16.84,15.62,15.12,14.62,13.72,13.59,14.22,15.0,14.53,14.22,14.97,15.97,16.53,16.72,17.84,18.66,19.16,19.06,19.62,20.25,20.5,19.97,19.66,20.25,21.44,21.66,21.69,21.91,21.81,20.62,18.62,17.09,15.28,12.78,9.62,6.91,5.59,4.75,3.88,3.97,5.56,7.91,9.31,11.47,14.03,16.28,17.47,17.28,16.94,15.81,14.41,12.06,10.47,9.91,9.75,9.09,8.84,9.62,10.66,11.25,11.44,12.12,13.22,12.81,11.34,10.38,8.97,7.5,5.41,4.38,5.06,6.62,7.97,9.34,11.25,12.66,12.66,12.38,12.56,13.66,14.72,15.72,17.62,20.16,22.56,23.69,24.56,25.62,26.84,26.81,26.88,27.94,29.31,30.03,29.78,29.69,29.62,28.94,27.97,27.78,28.62,29.31,29.0,27.81,26.38,24.41,21.78,19.56,19.12,19.5,20.12,20.16,20.59,20.72,20.75,19.69,18.56,18.41,18.28,17.84,17.34,17.47,17.84,16.94,15.34,14.16,13.06,11.06,8.22,5.84,4.03,2.47,0.81,0.22,0.81,1.66,1.47,1.28,1.22,1.56,1.59,2.0,4.09,7.38,11.38,14.59,17.91,21.19,23.88,25.0,25.62,26.28,26.72,25.5,24.06,22.34,21.44,19.94,18.03,16.5,15.75,14.69,13.03,12.06,12.03,12.12,11.62,11.03,10.78,10.53,8.84,7.72,7.59,8.62,9.81,11.41,13.38,16.03,17.5,17.72,18.03,18.75,19.12,19.06,19.25,20.03,20.78,20.75,20.28,19.84,19.53,19.06,17.34,15.88,15.25,14.72,14.12,14.44,15.66,17.34,17.78,18.06,18.53,19.03,19.28,19.53,20.03,20.94,21.28,20.62,19.69,19.41,19.12,18.09,17.28,17.38,17.31,16.31,14.88,13.5,12.25,10.78,9.5,8.75,9.41,10.06,10.12,10.41,11.44,12.69,12.84,12.62,12.91,12.75,12.03,11.5,11.53,12.5,12.75,12.66,12.16,12.12,11.72,10.5,9.75,9.59,10.06,9.94,10.38,11.34,12.5,12.84,12.34,12.0,12.0,11.66,11.16,10.53,10.75,10.84,10.19,9.16,8.69,8.5,7.81,7.19,7.44,8.5,9.16,9.41,9.62,10.31,10.59,10.09,9.88,10.97,12.62,13.16,13.75,14.53,14.56,13.41,11.94,10.78,10.38,9.88,9.56,9.84,11.16,12.78,13.66,14.62,16.84,18.62,19.41,19.94,20.28,20.31,19.19,17.44,15.94,15.5,14.56,13.28,12.09,12.12,12.25,11.97,12.0,12.62,12.72,12.12,10.53,9.44,8.72,7.53,6.06,5.53,6.19,7.5,8.72,10.31,12.28,13.81,14.09,13.59,13.47,13.66,13.22,12.94,13.78,16.25,18.81,21.47,24.25,27.66,29.81,30.09,29.22,28.25,26.47,23.84,20.94,19.66,18.75,18.16,18.12,18.94,20.28,21.16,21.22,20.97,20.94,20.59,19.41,17.84,17.69,17.38,17.12,16.97,17.78,19.19,20.19,20.62,21.41,22.25,22.0,20.47,18.44,16.88,15.59,14.06,13.22,14.0,15.19,15.69,15.12,15.06,14.66,13.72,12.91,13.22,15.12,17.12,19.0,20.38,22.0,23.06,23.22,22.75,22.94,23.78,23.75:14.25,14.69,15.75,16.97,16.59,15.75,14.47,13.34,11.69,9.59,8.56,8.84,9.97,10.94,12.44,14.12,15.81,16.19,16.31,17.16,18.38,19.06,18.44,17.38,15.47,12.62,8.72,5.41,3.66,2.97,2.44,2.62,3.84,5.66,6.38,6.53,6.72,7.34,7.31,6.81,6.88,7.69,8.16,8.06,8.66,10.19,12.31,14.47,16.59,18.84,20.72,20.75,19.06,16.66,13.94,10.28,6.44,2.78,0.22,-1.53,-3.31,-3.97,-3.12,-0.88,1.53,4.25,8.06,12.38,15.34,17.34,18.5,19.38,18.78,16.69,14.75,13.12,11.56,10.0,9.28,9.78,11.0,11.62,11.91,11.59,11.81,11.44,10.78,11.09,12.38,13.53,14.09,14.5,15.28,16.38,16.5,16.41,16.88,17.16,16.25,14.38,12.56,11.12,9.28,7.44,6.19,6.09,6.25,5.38,4.31,3.97,3.59,2.69,2.75,3.78,5.81,7.5,8.62,9.47,10.62,10.94,10.97,11.19,13.06,15.12,16.53,18.28,20.59,23.25,25.12,26.69,28.31,29.97,30.31,29.12,27.12,25.06,22.25,19.06,16.22,15.22,15.81,16.69,18.28,21.03,24.72,27.16,29.44,31.78,33.91,35.53,35.81,35.0,34.5,32.84,30.22,27.09,24.94,22.84,19.94,16.38,13.62,11.22,7.91,5.31,3.78,4.28,5.62,7.41,10.09,13.62,16.84,18.94,20.66,22.69,24.03,24.16,22.84,21.56,20.25,18.06,16.34,15.19,14.97,14.81,14.12,13.78,14.44,15.47,16.09,16.09,16.97,17.69,17.41,16.25,15.22,14.47,12.47,10.25,8.5,7.97,7.59,7.28,7.16,8.78,10.66,12.41,14.16,17.19,20.25,22.25,23.25,24.38,25.34,25.12,24.56,24.0,24.03,24.38,23.5,22.31,21.16,19.94,17.34,14.22,12.19,11.25,10.34,10.19,11.06,13.47,15.91,17.25,19.06,21.41,23.41,24.5,24.44,25.25,26.06,26.16,25.78,26.84,28.0,29.0,29.81,30.84,32.72,34.12,34.59,34.81,35.53,36.0,35.19,33.94,32.84,31.62,30.0,28.19,27.44,27.59,28.03,27.88,27.38,27.16,26.41,24.41,22.66,21.81,21.34,20.34,19.12,19.53,20.62,21.53,21.97,22.56,22.81,22.09,19.88,17.75,17.0,16.75,17.09,17.91,20.41,22.97,24.56,25.06,25.53,26.12,25.72,24.25,23.53,23.03,22.62,21.5,20.56,20.66,20.69,20.12,19.25,19.16,19.5,19.0,17.69,16.88,16.38,15.97,15.44,15.94,17.69,19.91,21.03,22.69,24.72,26.47,27.09,26.81,27.25,27.75,27.5,26.88,26.78,27.25,27.0,25.47,23.84,21.69,19.0,15.34,11.78,10.09,9.34,8.62,7.84,8.31,9.19,9.97,10.47,11.5,13.28,14.56,14.12,13.31,12.34,11.5,9.59,8.0,7.78,8.16,8.38,7.88,8.19,9.12,9.62,9.19,9.5,10.0,10.12,9.34,9.0,9.66,11.12,12.28,13.56,15.34,17.25,18.0,17.56,17.16,16.78,15.88,13.53,11.5,9.78,8.12,5.78,4.25,4.38,6.06,7.53,9.56,12.03,14.38,15.22,15.03,14.94,15.0,15.06,14.69,14.44,15.5,16.62,16.72,16.25,16.25,16.75,16.28,15.34,15.19,15.62,15.72,15.22,15.84,17.47,19.0,18.62,17.81,16.88,15.47,12.88,11.03,10.56,11.22,11.78,12.25,13.16,15.12,16.59,17.03,17.78,19.0,19.97,20.09,19.88,20.78,22.0,22.25,22.16,22.22,22.38,21.12,18.78,16.34,14.75,12.72,10.41,9.5,9.84,11.09,11.38,11.97,13.41,14.72,15.03,15.41,17.06,18.97,20.41,21.28,22.81,24.47,24.94,24.22,22.78,21.41,19.72,16.91,14.41,13.41,13.75,13.34,13.78,15.31,17.69,19.5,20.5,20.88,21.41,21.25,19.56,18.19,18.16,18.97,19.5,20.12,21.94,23.5,23.16,21.81,20.44,19.75,18.59,17.12,16.38,16.91,17.5,16.84,16.31,16.75,17.72,18.0,18.69,20.22,22.59,23.06,23.0,23.12,23.5,23.5,23.06,23.19,24.06,24.91,24.34,23.53,23.22,22.97,21.59,20.66,20.41,21.03,21.56,21.53,22.03,23.28,24.12,24.19,24.5,26.0,27.38,27.25,27.19,27.78,28.94,29.06,29.38,30.25,31.38,31.34,30.06,28.56,27.78,26.53,25.12,24.09,24.78,25.69,25.53,24.94,24.69,24.25,22.78,21.03,20.19,20.5,20.59,20.12,20.16,21.06,21.72,21.81,21.84,22.62,23.38,23.03,22.5,23.12,24.03,23.94,23.22,22.53,22.56,21.81,20.69,19.69,19.53,18.81,17.06,15.31,15.12,14.81,14.34,13.91,14.19,15.0,15.19,14.75,15.38,17.16,18.5,19.41,20.12,21.62,22.75,22.41,21.88,21.12,20.44,18.91,16.94,16.09,16.44,16.16,15.59,14.88,15.44,15.62,15.53,15.75,17.25,18.81,19.78,20.06,20.88,21.38,20.81,19.38,18.75,19.03,18.59,17.94,17.66,18.03,17.88,17.25,16.97,17.69,18.44,18.5,18.59,19.5,20.41,21.31,22.03,22.84,24.34,24.75,24.69,24.41,24.88,24.97,23.88,22.47,22.16,22.31,21.59,20.94,20.75,20.66,19.78,18.47,17.16,16.94,16.28,14.53,13.06,12.78,12.88,12.91,13.38,14.91,16.59,17.12,17.25,18.41,19.69,20.09,19.78,19.12,18.75,17.88,15.97,14.28,14.16,14.19,14.38,14.78,16.03,17.28,17.5,17.0,16.62,16.72,16.62,16.12,15.81,16.38,16.78,16.03,15.16,14.97,14.88,14.16,13.0,13.38,13.59,13.41,12.59,12.38,12.59,12.16,10.62,9.47,9.28,9.12,8.91,9.16,10.81,12.0,11.84,10.66,9.38,8.12,6.09,4.22,2.72,2.47,2.44,1.62,1.69,2.94,4.62,5.91,7.16,9.5,11.66,13.25,13.72,14.5,15.5,15.94,15.09,14.78,15.06,15.03,14.25,13.94,14.56,14.78,14.12,12.62,11.72,10.59,9.06,7.09,6.22,6.47,6.34,6.81,7.84,9.84,12.12,13.0,13.44,14.44,15.16,15.31,15.56,16.72,17.69,18.0,16.84,15.62,15.12,14.62,13.72,13.59,14.22,15.0,14.53,14.22,14.97,15.97,16.53,16.72,17.84,18.66,19.16,19.06,19.62,20.25,20.5,19.97,19.66,20.25,21.44,21.66,21.69,21.91,21.81,20.62,18.62,17.09,15.28,12.78,9.62,6.91,5.59,4.75,3.88,3.97,5.56,7.91,9.31,11.47,14.03,16.28,17.47,17.28,16.94,15.81,14.41,12.06,10.47,9.91,9.75,9.09,8.84,9.62,10.66,11.25,11.44,12.12,13.22,12.81,11.34,10.38,8.97,7.5,5.41,4.38,5.06,6.62,7.97,9.34,11.25,12.66,12.66,12.38,12.56,13.66,14.72,15.72,17.62,20.16,22.56,23.69,24.56,25.62,26.84,26.81,26.88,27.94,29.31,30.03,29.78,29.69,29.62,28.94,27.97,27.78,28.62,29.31,29.0,27.81,26.38,24.41,21.78,19.56,19.12,19.5,20.12,20.16,20.59,20.72,20.75,19.69,18.56,18.41,18.28,17.84,17.34,17.47,17.84,16.94,15.34,14.16,13.06,11.06,8.22,5.84,4.03,2.47,0.81,0.22,0.81,1.66,1.47,1.28,1.22,1.56,1.59,2.0,4.09,7.38,11.38,14.59,17.91,21.19,23.88,25.0,25.62,26.28,26.72,25.5,24.06,22.34,21.44,19.94,18.03,16.5,15.75,14.69,13.03,12.06,12.03,12.12,11.62,11.03,10.78,10.53,8.84,7.72,7.59,8.62,9.81,11.41,13.38,16.03,17.5,17.72,18.03,18.75,19.12,19.06,19.25,20.03,20.78,20.75,20.28,19.84,19.53,19.06,17.34,15.88,15.25,14.72,14.12,14.44,15.66,17.34,17.78,18.06,18.53,19.03,19.28,19.53,20.03,20.94,21.28,20.62,19.69,19.41,19.12,18.09,17.28,17.38,17.31,16.31,14.88,13.5,12.25,10.78,9.5,8.75,9.41,10.06,10.12,10.41,11.44,12.69,12.84,12.62,12.91,12.75,12.03,11.5,11.53,12.5,12.75,12.66,12.16,12.12,11.72,10.5,9.75,9.59,10.06,9.94,10.38,11.34,12.5,12.84,12.34,12.0,12.0,11.66,11.16,10.53,10.75,10.84,10.19,9.16,8.69,8.5,7.81,7.19,7.44,8.5,9.16,9.41,9.62,10.31,10.59,10.09,9.88,10.97,12.62,13.16,13.75,14.53,14.56,13.41,11.94,10.78,10.38,9.88,9.56,9.84,11.16,12.78,13.66,14.62,16.84,18.62,19.41,19.94,20.28,20.31,19.19,17.44,15.94,15.5,14.56,13.28,12.09,12.12,12.25,11.97,12.0,12.62,12.72,12.12,10.53,9.44,8.72,7.53,6.06,5.53,6.19,7.5,8.72,10.31,12.28,13.81,14.09,13.59,13.47,13.66,13.22,12.94,13.78,16.25,18.81,21.47,24.25,27.66,29.81,30.09,29.22,28.25,26.47,23.84,20.94,19.66,18.75,18.16,18.12,18.94,20.28,21.16,21.22,20.97,20.94,20.59,19.41,17.84,17.69,17.38,17.12,16.97,17.78,19.19,20.19,20.62,21.41,22.25,22.0,20.47,18.44,16.88,15.59,14.06,13.22,14.0,15.19,15.69,15.12,15.06,14.66,13.72,12.91,13.22,15.12,17.12,19.0,20.38,22.0,23.06,23.22,22.75,22.94,23.78,23.75,35.81,34.38,33.62,33.56,34.41,35.84,37.25:13.34,11.69,9.59,8.56,8.84,9.97,10.94,12.44,14.12,15.81,16.19,16.31,17.16,18.38,19.06,18.44,17.38,15.47,12.62,8.72,5.41,3.66,2.97,2.44,2.62,3.84,5.66,6.38,6.53,6.72,7.34,7.31,6.81,6.88,7.69,8.16,8.06,8.66,10.19,12.31,14.47,16.59,18.84,20.72,20.75,19.06,16.66,13.94,10.28,6.44,2.78,0.22,-1.53,-3.31,-3.97,-3.12,-0.88,1.53,4.25,8.06,12.38,15.34,17.34,18.5,19.38,18.78,16.69,14.75,13.12,11.56,10.0,9.28,9.78,11.0,11.62,11.91,11.59,11.81,11.44,10.78,11.09,12.38,13.53,14.09,14.5,15.28,16.38,16.5,16.41,16.88,17.16,16.25,14.38,12.56,11.12,9.28,7.44,6.19,6.09,6.25,5.38,4.31,3.97,3.59,2.69,2.75,3.78,5.81,7.5,8.62,9.47,10.62,10.94,10.97,11.19,13.06,15.12,16.53,18.28,20.59,23.25,25.12,26.69,28.31,29.97,30.31,29.12,27.12,25.06,22.25,19.06,16.22,15.22,15.81,16.69,18.28,21.03,24.72,27.16,29.44,31.78,33.91,35.53,35.81,35.0,34.5,32.84,30.22,27.09,24.94,22.84,19.94,16.38,13.62,11.22,7.91,5.31,3.78,4.28,5.62,7.41,10.09,13.62,16.84,18.94,20.66,22.69,24.03,24.16,22.84,21.56,20.25,18.06,16.34,15.19,14.97,14.81,14.12,13.78,14.44,15.47,16.09,16.09,16.97,17.69,17.41,16.25,15.22,14.47,12.47,10.25,8.5,7.97,7.59,7.28,7.16,8.78,10.66,12.41,14.16,17.19,20.25,22.25,23.25,24.38,25.34,25.12,24.56,24.0,24.03,24.38,23.5,22.31,21.16,19.94,17.34,14.22,12.19,11.25,10.34,10.19,11.06,13.47,15.91,17.25,19.06,21.41,23.41,24.5,24.44,25.25,26.06,26.16,25.78,26.84,28.0,29.0,29.81,30.84,32.72,34.12,34.59,34.81,35.53,36.0,35.19,33.94,32.84,31.62,30.0,28.19,27.44,27.59,28.03,27.88,27.38,27.16,26.41,24.41,22.66,21.81,21.34,20.34,19.12,19.53,20.62,21.53,21.97,22.56,22.81,22.09,19.88,17.75,17.0,16.75,17.09,17.91,20.41,22.97,24.56,25.06,25.53,26.12,25.72,24.25,23.53,23.03,22.62,21.5,20.56,20.66,20.69,20.12,19.25,19.16,19.5,19.0,17.69,16.88,16.38,15.97,15.44,15.94,17.69,19.91,21.03,22.69,24.72,26.47,27.09,26.81,27.25,27.75,27.5,26.88,26.78,27.25,27.0,25.47,23.84,21.69,19.0,15.34,11.78,10.09,9.34,8.62,7.84,8.31,9.19,9.97,10.47,11.5,13.28,14.56,14.12,13.31,12.34,11.5,9.59,8.0,7.78,8.16,8.38,7.88,8.19,9.12,9.62,9.19,9.5,10.0,10.12,9.34,9.0,9.66,11.12,12.28,13.56,15.34,17.25,18.0,17.56,17.16,16.78,15.88,13.53,11.5,9.78,8.12,5.78,4.25,4.38,6.06,7.53,9.56,12.03,14.38,15.22,15.03,14.94,15.0,15.06,14.69,14.44,15.5,16.62,16.72,16.25,16.25,16.75,16.28,15.34,15.19,15.62,15.72,15.22,15.84,17.47,19.0,18.62,17.81,16.88,15.47,12.88,11.03,10.56,11.22,11.78,12.25,13.16,15.12,16.59,17.03,17.78,19.0,19.97,20.09,19.88,20.78,22.0,22.25,22.16,22.22,22.38,21.12,18.78,16.34,14.75,12.72,10.41,9.5,9.84,11.09,11.38,11.97,13.41,14.72,15.03,15.41,17.06,18.97,20.41,21.28,22.81,24.47,24.94,24.22,22.78,21.41,19.72,16.91,14.41,13.41,13.75,13.34,13.78,15.31,17.69,19.5,20.5,20.88,21.41,21.25,19.56,18.19,18.16,18.97,19.5,20.12,21.94,23.5,23.16,21.81,20.44,19.75,18.59,17.12,16.38,16.91,17.5,16.84,16.31,16.75,17.72,18.0,18.69,20.22,22.59,23.06,23.0,23.12,23.5,23.5,23.06,23.19,24.06,24.91,24.34,23.53,23.22,22.97,21.59,20.66,20.41,21.03,21.56,21.53,22.03,23.28,24.12,24.19,24.5,26.0,27.38,27.25,27.19,27.78,28.94,29.06,29.38,30.25,31.38,31.34,30.06,28.56,27.78,26.53,25.12,24.09,24.78,25.69,25.53,24.94,24.69,24.25,22.78,21.03,20.19,20.5,20.59,20.12,20.16,21.06,21.72,21.81,21.84,22.62,23.38,23.03,22.5,23.12,24.03,23.94,23.22,22.53,22.56,21.81,20.69,19.69,19.53,18.81,17.06,15.31,15.12,14.81,14.34,13.91,14.19,15.0,15.19,14.75,15.38,17.16,18.5,19.41,20.12,21.62,22.75,22.41,21.88,21.12,20.44,18.91,16.94,16.09,16.44,16.16,15.59,14.88,15.44,15.62,15.53,15.75,17.25,18.81,19.78,20.06,20.88,21.38,20.81,19.38,18.75,19.03,18.59,17.94,17.66,18.03,17.88,17.25,16.97,17.69,18.44,18.5,18.59,19.5,20.41,21.31,22.03,22.84,24.34,24.75,24.69,24.41,24.88,24.97,23.88,22.47,22.16,22.31,21.59,20.94,20.75,20.66,19.78,18.47,17.16,16.94,16.28,14.53,13.06,12.78,12.88,12.91,13.38,14.91,16.59,17.12,17.25,18.41,19.69,20.09,19.78,19.12,18.75,17.88,15.97,14.28,14.16,14.19,14.38,14.78,16.03,17.28,17.5,17.0,16.62,16.72,16.62,16.12,15.81,16.38,16.78,16.03,15.16,14.97,14.88,14.16,13.0,13.38,13.59,13.41,12.59,12.38,12.59,12.16,10.62,9.47,9.28,9.12,8.91,9.16,10.81,12.0,11.84,10.66,9.38,8.12,6.09,4.22,2.72,2.47,2.44,1.62,1.69,2.94,4.62,5.91,7.16,9.5,11.66,13.25,13.72,14.5,15.5,15.94,15.09,14.78,15.06,15.03,14.25,13.94,14.56,14.78,14.12,12.62,11.72,10.59,9.06,7.09,6.22,6.47,6.34,6.81,7.84,9.84,12.12,13.0,13.44,14.44,15.16,15.31,15.56,16.72,17.69,18.0,16.84,15.62,15.12,14.62,13.72,13.59,14.22,15.0,14.53,14.22,14.97,15.97,16.53,16.72,17.84,18.66,19.16,19.06,19.62,20.25,20.5,19.97,19.66,20.25,21.44,21.66,21.69,21.91,21.81,20.62,18.62,17.09,15.28,12.78,9.62,6.91,5.59,4.75,3.88,3.97,5.56,7.91,9.31,11.47,14.03,16.28,17.47,17.28,16.94,15.81,14.41,12.06,10.47,9.91,9.75,9.09,8.84,9.62,10.66,11.25,11.44,12.12,13.22,12.81,11.34,10.38,8.97,7.5,5.41,4.38,5.06,6.62,7.97,9.34,11.25,12.66,12.66,12.38,12.56,13.66,14.72,15.72,17.62,20.16,22.56,23.69,24.56,25.62,26.84,26.81,26.88,27.94,29.31,30.03,29.78,29.69,29.62,28.94,27.97,27.78,28.62,29.31,29.0,27.81,26.38,24.41,21.78,19.56,19.12,19.5,20.12,20.16,20.59,20.72,20.75,19.69,18.56,18.41,18.28,17.84,17.34,17.47,17.84,16.94,15.34,14.16,13.06,11.06,8.22,5.84,4.03,2.47,0.81,0.22,0.81,1.66,1.47,1.28,1.22,1.56,1.59,2.0,4.09,7.38,11.38,14.59,17.91,21.19,23.88,25.0,25.62,26.28,26.72,25.5,24.06,22.34,21.44,19.94,18.03,16.5,15.75,14.69,13.03,12.06,12.03,12.12,11.62,11.03,10.78,10.53,8.84,7.72,7.59,8.62,9.81,11.41,13.38,16.03,17.5,17.72,18.03,18.75,19.12,19.06,19.25,20.03,20.78,20.75,20.28,19.84,19.53,19.06,17.34,15.88,15.25,14.72,14.12,14.44,15.66,17.34,17.78,18.06,18.53,19.03,19.28,19.53,20.03,20.94,21.28,20.62,19.69,19.41,19.12,18.09,17.28,17.38,17.31,16.31,14.88,13.5,12.25,10.78,9.5,8.75,9.41,10.06,10.12,10.41,11.44,12.69,12.84,12.62,12.91,12.75,12.03,11.5,11.53,12.5,12.75,12.66,12.16,12.12,11.72,10.5,9.75,9.59,10.06,9.94,10.38,11.34,12.5,12.84,12.34,12.0,12.0,11.66,11.16,10.53,10.75,10.84,10.19,9.16,8.69,8.5,7.81,7.19,7.44,8.5,9.16,9.41,9.62,10.31,10.59,10.09,9.88,10.97,12.62,13.16,13.75,14.53,14.56,13.41,11.94,10.78,10.38,9.88,9.56,9.84,11.16,12.78,13.66,14.62,16.84,18.62,19.41,19.94,20.28,20.31,19.19,17.44,15.94,15.5,14.56,13.28,12.09,12.12,12.25,11.97,12.0,12.62,12.72,12.12,10.53,9.44,8.72,7.53,6.06,5.53,6.19,7.5,8.72,10.31,12.28,13.81,14.09,13.59,13.47,13.66,13.22,12.94,13.78,16.25,18.81,21.47,24.25,27.66,29.81,30.09,29.22,28.25,26.47,23.84,20.94,19.66,18.75,18.16,18.12,18.94,20.28,21.16,21.22,20.97,20.94,20.59,19.41,17.84,17.69,17.38,17.12,16.97,17.78,19.19,20.19,20.62,21.41,22.25,22.0,20.47,18.44,16.88,15.59,14.06,13.22,14.0,15.19,15.69,15.12,15.06,14.66,13.72,12.91,13.22,15.12,17.12,19.0,20.38,22.0,23.06,23.22,22.75,22.94,23.78,23.75,35.81,34.38,33.62,33.56,34.41,35.84,37.25,38.53,39.59,40.06,40.38,40.03,38.97,37.19:12.44,14.12,15.81,16.19,16.31,17.16,18.38,19.06,18.44,17.38,15.47,12.62,8.72,5.41,3.66,2.97,2.44,2.62,3.84,5.66,6.38,6.53,6.72,7.34,7.31,6.81,6.88,7.69,8.16,8.06,8.66,10.19,12.31,14.47,16.59,18.84,20.72,20.75,19.06,16.66,13.94,10.28,6.44,2.78,0.22,-1.53,-3.31,-3.97,-3.12,-0.88,1.53,4.25,8.06,12.38,15.34,17.34,18.5,19.38,18.78,16.69,14.75,13.12,11.56,10.0,9.28,9.78,11.0,11.62,11.91,11.59,11.81,11.44,10.78,11.09,12.38,13.53,14.09,14.5,15.28,16.38,16.5,16.41,16.88,17.16,16.25,14.38,12.56,11.12,9.28,7.44,6.19,6.09,6.25,5.38,4.31,3.97,3.59,2.69,2.75,3.78,5.81,7.5,8.62,9.47,10.62,10.94,10.97,11.19,13.06,15.12,16.53,18.28,20.59,23.25,25.12,26.69,28.31,29.97,30.31,29.12,27.12,25.06,22.25,19.06,16.22,15.22,15.81,16.69,18.28,21.03,24.72,27.16,29.44,31.78,33.91,35.53,35.81,35.0,34.5,32.84,30.22,27.09,24.94,22.84,19.94,16.38,13.62,11.22,7.91,5.31,3.78,4.28,5.62,7.41,10.09,13.62,16.84,18.94,20.66,22.69,24.03,24.16,22.84,21.56,20.25,18.06,16.34,15.19,14.97,14.81,14.12,13.78,14.44,15.47,16.09,16.09,16.97,17.69,17.41,16.25,15.22,14.47,12.47,10.25,8.5,7.97,7.59,7.28,7.16,8.78,10.66,12.41,14.16,17.19,20.25,22.25,23.25,24.38,25.34,25.12,24.56,24.0,24.03,24.38,23.5,22.31,21.16,19.94,17.34,14.22,12.19,11.25,10.34,10.19,11.06,13.47,15.91,17.25,19.06,21.41,23.41,24.5,24.44,25.25,26.06,26.16,25.78,26.84,28.0,29.0,29.81,30.84,32.72,34.12,34.59,34.81,35.53,36.0,35.19,33.94,32.84,31.62,30.0,28.19,27.44,27.59,28.03,27.88,27.38,27.16,26.41,24.41,22.66,21.81,21.34,20.34,19.12,19.53,20.62,21.53,21.97,22.56,22.81,22.09,19.88,17.75,17.0,16.75,17.09,17.91,20.41,22.97,24.56,25.06,25.53,26.12,25.72,24.25,23.53,23.03,22.62,21.5,20.56,20.66,20.69,20.12,19.25,19.16,19.5,19.0,17.69,16.88,16.38,15.97,15.44,15.94,17.69,19.91,21.03,22.69,24.72,26.47,27.09,26.81,27.25,27.75,27.5,26.88,26.78,27.25,27.0,25.47,23.84,21.69,19.0,15.34,11.78,10.09,9.34,8.62,7.84,8.31,9.19,9.97,10.47,11.5,13.28,14.56,14.12,13.31,12.34,11.5,9.59,8.0,7.78,8.16,8.38,7.88,8.19,9.12,9.62,9.19,9.5,10.0,10.12,9.34,9.0,9.66,11.12,12.28,13.56,15.34,17.25,18.0,17.56,17.16,16.78,15.88,13.53,11.5,9.78,8.12,5.78,4.25,4.38,6.06,7.53,9.56,12.03,14.38,15.22,15.03,14.94,15.0,15.06,14.69,14.44,15.5,16.62,16.72,16.25,16.25,16.75,16.28,15.34,15.19,15.62,15.72,15.22,15.84,17.47,19.0,18.62,17.81,16.88,15.47,12.88,11.03,10.56,11.22,11.78,12.25,13.16,15.12,16.59,17.03,17.78,19.0,19.97,20.09,19.88,20.78,22.0,22.25,22.16,22.22,22.38,21.12,18.78,16.34,14.75,12.72,10.41,9.5,9.84,11.09,11.38,11.97,13.41,14.72,15.03,15.41,17.06,18.97,20.41,21.28,22.81,24.47,24.94,24.22,22.78,21.41,19.72,16.91,14.41,13.41,13.75,13.34,13.78,15.31,17.69,19.5,20.5,20.88,21.41,21.25,19.56,18.19,18.16,18.97,19.5,20.12,21.94,23.5,23.16,21.81,20.44,19.75,18.59,17.12,16.38,16.91,17.5,16.84,16.31,16.75,17.72,18.0,18.69,20.22,22.59,23.06,23.0,23.12,23.5,23.5,23.06,23.19,24.06,24.91,24.34,23.53,23.22,22.97,21.59,20.66,20.41,21.03,21.56,21.53,22.03,23.28,24.12,24.19,24.5,26.0,27.38,27.25,27.19,27.78,28.94,29.06,29.38,30.25,31.38,31.34,30.06,28.56,27.78,26.53,25.12,24.09,24.78,25.69,25.53,24.94,24.69,24.25,22.78,21.03,20.19,20.5,20.59,20.12,20.16,21.06,21.72,21.81,21.84,22.62,23.38,23.03,22.5,23.12,24.03,23.94,23.22,22.53,22.56,21.81,20.69,19.69,19.53,18.81,17.06,15.31,15.12,14.81,14.34,13.91,14.19,15.0,15.19,14.75,15.38,17.16,18.5,19.41,20.12,21.62,22.75,22.41,21.88,21.12,20.44,18.91,16.94,16.09,16.44,16.16,15.59,14.88,15.44,15.62,15.53,15.75,17.25,18.81,19.78,20.06,20.88,21.38,20.81,19.38,18.75,19.03,18.59,17.94,17.66,18.03,17.88,17.25,16.97,17.69,18.44,18.5,18.59,19.5,20.41,21.31,22.03,22.84,24.34,24.75,24.69,24.41,24.88,24.97,23.88,22.47,22.16,22.31,21.59,20.94,20.75,20.66,19.78,18.47,17.16,16.94,16.28,14.53,13.06,12.78,12.88,12.91,13.38,14.91,16.59,17.12,17.25,18.41,19.69,20.09,19.78,19.12,18.75,17.88,15.97,14.28,14.16,14.19,14.38,14.78,16.03,17.28,17.5,17.0,16.62,16.72,16.62,16.12,15.81,16.38,16.78,16.03,15.16,14.97,14.88,14.16,13.0,13.38,13.59,13.41,12.59,12.38,12.59,12.16,10.62,9.47,9.28,9.12,8.91,9.16,10.81,12.0,11.84,10.66,9.38,8.12,6.09,4.22,2.72,2.47,2.44,1.62,1.69,2.94,4.62,5.91,7.16,9.5,11.66,13.25,13.72,14.5,15.5,15.94,15.09,14.78,15.06,15.03,14.25,13.94,14.56,14.78,14.12,12.62,11.72,10.59,9.06,7.09,6.22,6.47,6.34,6.81,7.84,9.84,12.12,13.0,13.44,14.44,15.16,15.31,15.56,16.72,17.69,18.0,16.84,15.62,15.12,14.62,13.72,13.59,14.22,15.0,14.53,14.22,14.97,15.97,16.53,16.72,17.84,18.66,19.16,19.06,19.62,20.25,20.5,19.97,19.66,20.25,21.44,21.66,21.69,21.91,21.81,20.62,18.62,17.09,15.28,12.78,9.62,6.91,5.59,4.75,3.88,3.97,5.56,7.91,9.31,11.47,14.03,16.28,17.47,17.28,16.94,15.81,14.41,12.06,10.47,9.91,9.75,9.09,8.84,9.62,10.66,11.25,11.44,12.12,13.22,12.81,11.34,10.38,8.97,7.5,5.41,4.38,5.06,6.62,7.97,9.34,11.25,12.66,12.66,12.38,12.56,13.66,14.72,15.72,17.62,20.16,22.56,23.69,24.56,25.62,26.84,26.81,26.88,27.94,29.31,30.03,29.78,29.69,29.62,28.94,27.97,27.78,28.62,29.31,29.0,27.81,26.38,24.41,21.78,19.56,19.12,19.5,20.12,20.16,20.59,20.72,20.75,19.69,18.56,18.41,18.28,17.84,17.34,17.47,17.84,16.94,15.34,14.16,13.06,11.06,8.22,5.84,4.03,2.47,0.81,0.22,0.81,1.66,1.47,1.28,1.22,1.56,1.59,2.0,4.09,7.38,11.38,14.59,17.91,21.19,23.88,25.0,25.62,26.28,26.72,25.5,24.06,22.34,21.44,19.94,18.03,16.5,15.75,14.69,13.03,12.06,12.03,12.12,11.62,11.03,10.78,10.53,8.84,7.72,7.59,8.62,9.81,11.41,13.38,16.03,17.5,17.72,18.03,18.75,19.12,19.06,19.25,20.03,20.78,20.75,20.28,19.84,19.53,19.06,17.34,15.88,15.25,14.72,14.12,14.44,15.66,17.34,17.78,18.06,18.53,19.03,19.28,19.53,20.03,20.94,21.28,20.62,19.69,19.41,19.12,18.09,17.28,17.38,17.31,16.31,14.88,13.5,12.25,10.78,9.5,8.75,9.41,10.06,10.12,10.41,11.44,12.69,12.84,12.62,12.91,12.75,12.03,11.5,11.53,12.5,12.75,12.66,12.16,12.12,11.72,10.5,9.75,9.59,10.06,9.94,10.38,11.34,12.5,12.84,12.34,12.0,12.0,11.66,11.16,10.53,10.75,10.84,10.19,9.16,8.69,8.5,7.81,7.19,7.44,8.5,9.16,9.41,9.62,10.31,10.59,10.09,9.88,10.97,12.62,13.16,13.75,14.53,14.56,13.41,11.94,10.78,10.38,9.88,9.56,9.84,11.16,12.78,13.66,14.62,16.84,18.62,19.41,19.94,20.28,20.31,19.19,17.44,15.94,15.5,14.56,13.28,12.09,12.12,12.25,11.97,12.0,12.62,12.72,12.12,10.53,9.44,8.72,7.53,6.06,5.53,6.19,7.5,8.72,10.31,12.28,13.81,14.09,13.59,13.47,13.66,13.22,12.94,13.78,16.25,18.81,21.47,24.25,27.66,29.81,30.09,29.22,28.25,26.47,23.84,20.94,19.66,18.75,18.16,18.12,18.94,20.28,21.16,21.22,20.97,20.94,20.59,19.41,17.84,17.69,17.38,17.12,16.97,17.78,19.19,20.19,20.62,21.41,22.25,22.0,20.47,18.44,16.88,15.59,14.06,13.22,14.0,15.19,15.69,15.12,15.06,14.66,13.72,12.91,13.22,15.12,17.12,19.0,20.38,22.0,23.06,23.22,22.75,22.94,23.78,23.75,35.81,34.38,33.62,33.56,34.41,35.84,37.25,38.53,39.59,40.06,40.38,40.03,38.97,37.19,35.16,32.59,30.22,28.66,27.78,28.06,29.16:19.06,18.44,17.38,15.47,12.62,8.72,5.41,3.66,2.97,2.44,2.62,3.84,5.66,6.38,6.53,6.72,7.34,7.31,6.81,6.88,7.69,8.16,8.06,8.66,10.19,12.31,14.47,16.59,18.84,20.72,20.75,19.06,16.66,13.94,10.28,6.44,2.78,0.22,-1.53,-3.31,-3.97,-3.12,-0.88,1.53,4.25,8.06,12.38,15.34,17.34,18.5,19.38,18.78,16.69,14.75,13.12,11.56,10.0,9.28,9.78,11.0,11.62,11.91,11.59,11.81,11.44,10.78,11.09,12.38,13.53,14.09,14.5,15.28,16.38,16.5,16.41,16.88,17.16,16.25,14.38,12.56,11.12,9.28,7.44,6.19,6.09,6.25,5.38,4.31,3.97,3.59,2.69,2.75,3.78,5.81,7.5,8.62,9.47,10.62,10.94,10.97,11.19,13.06,15.12,16.53,18.28,20.59,23.25,25.12,26.69,28.31,29.97,30.31,29.12,27.12,25.06,22.25,19.06,16.22,15.22,15.81,16.69,18.28,21.03,24.72,27.16,29.44,31.78,33.91,35.53,35.81,35.0,34.5,32.84,30.22,27.09,24.94,22.84,19.94,16.38,13.62,11.22,7.91,5.31,3.78,4.28,5.62,7.41,10.09,13.62,16.84,18.94,20.66,22.69,24.03,24.16,22.84,21.56,20.25,18.06,16.34,15.19,14.97,14.81,14.12,13.78,14.44,15.47,16.09,16.09,16.97,17.69,17.41,16.25,15.22,14.47,12.47,10.25,8.5,7.97,7.59,7.28,7.16,8.78,10.66,12.41,14.16,17.19,20.25,22.25,23.25,24.38,25.34,25.12,24.56,24.0,24.03,24.38,23.5,22.31,21.16,19.94,17.34,14.22,12.19,11.25,10.34,10.19,11.06,13.47,15.91,17.25,19.06,21.41,23.41,24.5,24.44,25.25,26.06,26.16,25.78,26.84,28.0,29.0,29.81,30.84,32.72,34.12,34.59,34.81,35.53,36.0,35.19,33.94,32.84,31.62,30.0,28.19,27.44,27.59,28.03,27.88,27.38,27.16,26.41,24.41,22.66,21.81,21.34,20.34,19.12,19.53,20.62,21.53,21.97,22.56,22.81,22.09,19.88,17.75,17.0,16.75,17.09,17.91,20.41,22.97,24.56,25.06,25.53,26.12,25.72,24.25,23.53,23.03,22.62,21.5,20.56,20.66,20.69,20.12,19.25,19.16,19.5,19.0,17.69,16.88,16.38,15.97,15.44,15.94,17.69,19.91,21.03,22.69,24.72,26.47,27.09,26.81,27.25,27.75,27.5,26.88,26.78,27.25,27.0,25.47,23.84,21.69,19.0,15.34,11.78,10.09,9.34,8.62,7.84,8.31,9.19,9.97,10.47,11.5,13.28,14.56,14.12,13.31,12.34,11.5,9.59,8.0,7.78,8.16,8.38,7.88,8.19,9.12,9.62,9.19,9.5,10.0,10.12,9.34,9.0,9.66,11.12,12.28,13.56,15.34,17.25,18.0,17.56,17.16,16.78,15.88,13.53,11.5,9.78,8.12,5.78,4.25,4.38,6.06,7.53,9.56,12.03,14.38,15.22,15.03,14.94,15.0,15.06,14.69,14.44,15.5,16.62,16.72,16.25,16.25,16.75,16.28,15.34,15.19,15.62,15.72,15.22,15.84,17.47,19.0,18.62,17.81,16.88,15.47,12.88,11.03,10.56,11.22,11.78,12.25,13.16,15.12,16.59,17.03,17.78,19.0,19.97,20.09,19.88,20.78,22.0,22.25,22.16,22.22,22.38,21.12,18.78,16.34,14.75,12.72,10.41,9.5,9.84,11.09,11.38,11.97,13.41,14.72,15.03,15.41,17.06,18.97,20.41,21.28,22.81,24.47,24.94,24.22,22.78,21.41,19.72,16.91,14.41,13.41,13.75,13.34,13.78,15.31,17.69,19.5,20.5,20.88,21.41,21.25,19.56,18.19,18.16,18.97,19.5,20.12,21.94,23.5,23.16,21.81,20.44,19.75,18.59,17.12,16.38,16.91,17.5,16.84,16.31,16.75,17.72,18.0,18.69,20.22,22.59,23.06,23.0,23.12,23.5,23.5,23.06,23.19,24.06,24.91,24.34,23.53,23.22,22.97,21.59,20.66,20.41,21.03,21.56,21.53,22.03,23.28,24.12,24.19,24.5,26.0,27.38,27.25,27.19,27.78,28.94,29.06,29.38,30.25,31.38,31.34,30.06,28.56,27.78,26.53,25.12,24.09,24.78,25.69,25.53,24.94,24.69,24.25,22.78,21.03,20.19,20.5,20.59,20.12,20.16,21.06,21.72,21.81,21.84,22.62,23.38,23.03,22.5,23.12,24.03,23.94,23.22,22.53,22.56,21.81,20.69,19.69,19.53,18.81,17.06,15.31,15.12,14.81,14.34,13.91,14.19,15.0,15.19,14.75,15.38,17.16,18.5,19.41,20.12,21.62,22.75,22.41,21.88,21.12,20.44,18.91,16.94,16.09,16.44,16.16,15.59,14.88,15.44,15.62,15.53,15.75,17.25,18.81,19.78,20.06,20.88,21.38,20.81,19.38,18.75,19.03,18.59,17.94,17.66,18.03,17.88,17.25,16.97,17.69,18.44,18.5,18.59,19.5,20.41,21.31,22.03,22.84,24.34,24.75,24.69,24.41,24.88,24.97,23.88,22.47,22.16,22.31,21.59,20.94,20.75,20.66,19.78,18.47,17.16,16.94,16.28,14.53,13.06,12.78,12.88,12.91,13.38,14.91,16.59,17.12,17.25,18.41,19.69,20.09,19.78,19.12,18.75,17.88,15.97,14.28,14.16,14.19,14.38,14.78,16.03,17.28,17.5,17.0,16.62,16.72,16.62,16.12,15.81,16.38,16.78,16.03,15.16,14.97,14.88,14.16,13.0,13.38,13.59,13.41,12.59,12.38,12.59,12.16,10.62,9.47,9.28,9.12,8.91,9.16,10.81,12.0,11.84,10.66,9.38,8.12,6.09,4.22,2.72,2.47,2.44,1.62,1.69,2.94,4.62,5.91,7.16,9.5,11.66,13.25,13.72,14.5,15.5,15.94,15.09,14.78,15.06,15.03,14.25,13.94,14.56,14.78,14.12,12.62,11.72,10.59,9.06,7.09,6.22,6.47,6.34,6.81,7.84,9.84,12.12,13.0,13.44,14.44,15.16,15.31,15.56,16.72,17.69,18.0,16.84,15.62,15.12,14.62,13.72,13.59,14.22,15.0,14.53,14.22,14.97,15.97,16.53,16.72,17.84,18.66,19.16,19.06,19.62,20.25,20.5,19.97,19.66,20.25,21.44,21.66,21.69,21.91,21.81,20.62,18.62,17.09,15.28,12.78,9.62,6.91,5.59,4.75,3.88,3.97,5.56,7.91,9.31,11.47,14.03,16.28,17.47,17.28,16.94,15.81,14.41,12.06,10.47,9.91,9.75,9.09,8.84,9.62,10.66,11.25,11.44,12.12,13.22,12.81,11.34,10.38,8.97,7.5,5.41,4.38,5.06,6.62,7.97,9.34,11.25,12.66,12.66,12.38,12.56,13.66,14.72,15.72,17.62,20.16,22.56,23.69,24.56,25.62,26.84,26.81,26.88,27.94,29.31,30.03,29.78,29.69,29.62,28.94,27.97,27.78,28.62,29.31,29.0,27.81,26.38,24.41,21.78,19.56,19.12,19.5,20.12,20.16,20.59,20.72,20.75,19.69,18.56,18.41,18.28,17.84,17.34,17.47,17.84,16.94,15.34,14.16,13.06,11.06,8.22,5.84,4.03,2.47,0.81,0.22,0.81,1.66,1.47,1.28,1.22,1.56,1.59,2.0,4.09,7.38,11.38,14.59,17.91,21.19,23.88,25.0,25.62,26.28,26.72,25.5,24.06,22.34,21.44,19.94,18.03,16.5,15.75,14.69,13.03,12.06,12.03,12.12,11.62,11.03,10.78,10.53,8.84,7.72,7.59,8.62,9.81,11.41,13.38,16.03,17.5,17.72,18.03,18.75,19.12,19.06,19.25,20.03,20.78,20.75,20.28,19.84,19.53,19.06,17.34,15.88,15.25,14.72,14.12,14.44,15.66,17.34,17.78,18.06,18.53,19.03,19.28,19.53,20.03,20.94,21.28,20.62,19.69,19.41,19.12,18.09,17.28,17.38,17.31,16.31,14.88,13.5,12.25,10.78,9.5,8.75,9.41,10.06,10.12,10.41,11.44,12.69,12.84,12.62,12.91,12.75,12.03,11.5,11.53,12.5,12.75,12.66,12.16,12.12,11.72,10.5,9.75,9.59,10.06,9.94,10.38,11.34,12.5,12.84,12.34,12.0,12.0,11.66,11.16,10.53,10.75,10.84,10.19,9.16,8.69,8.5,7.81,7.19,7.44,8.5,9.16,9.41,9.62,10.31,10.59,10.09,9.88,10.97,12.62,13.16,13.75,14.53,14.56,13.41,11.94,10.78,10.38,9.88,9.56,9.84,11.16,12.78,13.66,14.62,16.84,18.62,19.41,19.94,20.28,20.31,19.19,17.44,15.94,15.5,14.56,13.28,12.09,12.12,12.25,11.97,12.0,12.62,12.72,12.12,10.53,9.44,8.72,7.53,6.06,5.53,6.19,7.5,8.72,10.31,12.28,13.81,14.09,13.59,13.47,13.66,13.22,12.94,13.78,16.25,18.81,21.47,24.25,27.66,29.81,30.09,29.22,28.25,26.47,23.84,20.94,19.66,18.75,18.16,18.12,18.94,20.28,21.16,21.22,20.97,20.94,20.59,19.41,17.84,17.69,17.38,17.12,16.97,17.78,19.19,20.19,20.62,21.41,22.25,22.0,20.47,18.44,16.88,15.59,14.06,13.22,14.0,15.19,15.69,15.12,15.06,14.66,13.72,12.91,13.22,15.12,17.12,19.0,20.38,22.0,23.06,23.22,22.75,22.94,23.78,23.75,35.81,34.38,33.62,33.56,34.41,35.84,37.25,38.53,39.59,40.06,40.38,40.03,38.97,37.19,35.16,32.59,30.22,28.66,27.78,28.06,29.16,30.94,32.34,34.03,35.34,36.47,37.44,39.03:3.66,2.97,2.44,2.62,3.84,5.66,6.38,6.53,6.72,7.34,7.31,6.81,6.88,7.69,8.16,8.06,8.66,10.19,12.31,14.47,16.59,18.84,20.72,20.75,19.06,16.66,13.94,10.28,6.44,2.78,0.22,-1.53,-3.31,-3.97,-3.12,-0.88,1.53,4.25,8.06,12.38,15.34,17.34,18.5,19.38,18.78,16.69,14.75,13.12,11.56,10.0,9.28,9.78,11.0,11.62,11.91,11.59,11.81,11.44,10.78,11.09,12.38,13.53,14.09,14.5,15.28,16.38,16.5,16.41,16.88,17.16,16.25,14.38,12.56,11.12,9.28,7.44,6.19,6.09,6.25,5.38,4.31,3.97,3.59,2.69,2.75,3.78,5.81,7.5,8.62,9.47,10.62,10.94,10.97,11.19,13.06,15.12,16.53,18.28,20.59,23.25,25.12,26.69,28.31,29.97,30.31,29.12,27.12,25.06,22.25,19.06,16.22,15.22,15.81,16.69,18.28,21.03,24.72,27.16,29.44,31.78,33.91,35.53,35.81,35.0,34.5,32.84,30.22,27.09,24.94,22.84,19.94,16.38,13.62,11.22,7.91,5.31,3.78,4.28,5.62,7.41,10.09,13.62,16.84,18.94,20.66,22.69,24.03,24.16,22.84,21.56,20.25,18.06,16.34,15.19,14.97,14.81,14.12,13.78,14.44,15.47,16.09,16.09,16.97,17.69,17.41,16.25,15.22,14.47,12.47,10.25,8.5,7.97,7.59,7.28,7.16,8.78,10.66,12.41,14.16,17.19,20.25,22.25,23.25,24.38,25.34,25.12,24.56,24.0,24.03,24.38,23.5,22.31,21.16,19.94,17.34,14.22,12.19,11.25,10.34,10.19,11.06,13.47,15.91,17.25,19.06,21.41,23.41,24.5,24.44,25.25,26.06,26.16,25.78,26.84,28.0,29.0,29.81,30.84,32.72,34.12,34.59,34.81,35.53,36.0,35.19,33.94,32.84,31.62,30.0,28.19,27.44,27.59,28.03,27.88,27.38,27.16,26.41,24.41,22.66,21.81,21.34,20.34,19.12,19.53,20.62,21.53,21.97,22.56,22.81,22.09,19.88,17.75,17.0,16.75,17.09,17.91,20.41,22.97,24.56,25.06,25.53,26.12,25.72,24.25,23.53,23.03,22.62,21.5,20.56,20.66,20.69,20.12,19.25,19.16,19.5,19.0,17.69,16.88,16.38,15.97,15.44,15.94,17.69,19.91,21.03,22.69,24.72,26.47,27.09,26.81,27.25,27.75,27.5,26.88,26.78,27.25,27.0,25.47,23.84,21.69,19.0,15.34,11.78,10.09,9.34,8.62,7.84,8.31,9.19,9.97,10.47,11.5,13.28,14.56,14.12,13.31,12.34,11.5,9.59,8.0,7.78,8.16,8.38,7.88,8.19,9.12,9.62,9.19,9.5,10.0,10.12,9.34,9.0,9.66,11.12,12.28,13.56,15.34,17.25,18.0,17.56,17.16,16.78,15.88,13.53,11.5,9.78,8.12,5.78,4.25,4.38,6.06,7.53,9.56,12.03,14.38,15.22,15.03,14.94,15.0,15.06,14.69,14.44,15.5,16.62,16.72,16.25,16.25,16.75,16.28,15.34,15.19,15.62,15.72,15.22,15.84,17.47,19.0,18.62,17.81,16.88,15.47,12.88,11.03,10.56,11.22,11.78,12.25,13.16,15.12,16.59,17.03,17.78,19.0,19.97,20.09,19.88,20.78,22.0,22.25,22.16,22.22,22.38,21.12,18.78,16.34,14.75,12.72,10.41,9.5,9.84,11.09,11.38,11.97,13.41,14.72,15.03,15.41,17.06,18.97,20.41,21.28,22.81,24.47,24.94,24.22,22.78,21.41,19.72,16.91,14.41,13.41,13.75,13.34,13.78,15.31,17.69,19.5,20.5,20.88,21.41,21.25,19.56,18.19,18.16,18.97,19.5,20.12,21.94,23.5,23.16,21.81,20.44,19.75,18.59,17.12,16.38,16.91,17.5,16.84,16.31,16.75,17.72,18.0,18.69,20.22,22.59,23.06,23.0,23.12,23.5,23.5,23.06,23.19,24.06,24.91,24.34,23.53,23.22,22.97,21.59,20.66,20.41,21.03,21.56,21.53,22.03,23.28,24.12,24.19,24.5,26.0,27.38,27.25,27.19,27.78,28.94,29.06,29.38,30.25,31.38,31.34,30.06,28.56,27.78,26.53,25.12,24.09,24.78,25.69,25.53,24.94,24.69,24.25,22.78,21.03,20.19,20.5,20.59,20.12,20.16,21.06,21.72,21.81,21.84,22.62,23.38,23.03,22.5,23.12,24.03,23.94,23.22,22.53,22.56,21.81,20.69,19.69,19.53,18.81,17.06,15.31,15.12,14.81,14.34,13.91,14.19,15.0,15.19,14.75,15.38,17.16,18.5,19.41,20.12,21.62,22.75,22.41,21.88,21.12,20.44,18.91,16.94,16.09,16.44,16.16,15.59,14.88,15.44,15.62,15.53,15.75,17.25,18.81,19.78,20.06,20.88,21.38,20.81,19.38,18.75,19.03,18.59,17.94,17.66,18.03,17.88,17.25,16.97,17.69,18.44,18.5,18.59,19.5,20.41,21.31,22.03,22.84,24.34,24.75,24.69,24.41,24.88,24.97,23.88,22.47,22.16,22.31,21.59,20.94,20.75,20.66,19.78,18.47,17.16,16.94,16.28,14.53,13.06,12.78,12.88,12.91,13.38,14.91,16.59,17.12,17.25,18.41,19.69,20.09,19.78,19.12,18.75,17.88,15.97,14.28,14.16,14.19,14.38,14.78,16.03,17.28,17.5,17.0,16.62,16.72,16.62,16.12,15.81,16.38,16.78,16.03,15.16,14.97,14.88,14.16,13.0,13.38,13.59,13.41,12.59,12.38,12.59,12.16,10.62,9.47,9.28,9.12,8.91,9.16,10.81,12.0,11.84,10.66,9.38,8.12,6.09,4.22,2.72,2.47,2.44,1.62,1.69,2.94,4.62,5.91,7.16,9.5,11.66,13.25,13.72,14.5,15.5,15.94,15.09,14.78,15.06,15.03,14.25,13.94,14.56,14.78,14.12,12.62,11.72,10.59,9.06,7.09,6.22,6.47,6.34,6.81,7.84,9.84,12.12,13.0,13.44,14.44,15.16,15.31,15.56,16.72,17.69,18.0,16.84,15.62,15.12,14.62,13.72,13.59,14.22,15.0,14.53,14.22,14.97,15.97,16.53,16.72,17.84,18.66,19.16,19.06,19.62,20.25,20.5,19.97,19.66,20.25,21.44,21.66,21.69,21.91,21.81,20.62,18.62,17.09,15.28,12.78,9.62,6.91,5.59,4.75,3.88,3.97,5.56,7.91,9.31,11.47,14.03,16.28,17.47,17.28,16.94,15.81,14.41,12.06,10.47,9.91,9.75,9.09,8.84,9.62,10.66,11.25,11.44,12.12,13.22,12.81,11.34,10.38,8.97,7.5,5.41,4.38,5.06,6.62,7.97,9.34,11.25,12.66,12.66,12.38,12.56,13.66,14.72,15.72,17.62,20.16,22.56,23.69,24.56,25.62,26.84,26.81,26.88,27.94,29.31,30.03,29.78,29.69,29.62,28.94,27.97,27.78,28.62,29.31,29.0,27.81,26.38,24.41,21.78,19.56,19.12,19.5,20.12,20.16,20.59,20.72,20.75,19.69,18.56,18.41,18.28,17.84,17.34,17.47,17.84,16.94,15.34,14.16,13.06,11.06,8.22,5.84,4.03,2.47,0.81,0.22,0.81,1.66,1.47,1.28,1.22,1.56,1.59,2.0,4.09,7.38,11.38,14.59,17.91,21.19,23.88,25.0,25.62,26.28,26.72,25.5,24.06,22.34,21.44,19.94,18.03,16.5,15.75,14.69,13.03,12.06,12.03,12.12,11.62,11.03,10.78,10.53,8.84,7.72,7.59,8.62,9.81,11.41,13.38,16.03,17.5,17.72,18.03,18.75,19.12,19.06,19.25,20.03,20.78,20.75,20.28,19.84,19.53,19.06,17.34,15.88,15.25,14.72,14.12,14.44,15.66,17.34,17.78,18.06,18.53,19.03,19.28,19.53,20.03,20.94,21.28,20.62,19.69,19.41,19.12,18.09,17.28,17.38,17.31,16.31,14.88,13.5,12.25,10.78,9.5,8.75,9.41,10.06,10.12,10.41,11.44,12.69,12.84,12.62,12.91,12.75,12.03,11.5,11.53,12.5,12.75,12.66,12.16,12.12,11.72,10.5,9.75,9.59,10.06,9.94,10.38,11.34,12.5,12.84,12.34,12.0,12.0,11.66,11.16,10.53,10.75,10.84,10.19,9.16,8.69,8.5,7.81,7.19,7.44,8.5,9.16,9.41,9.62,10.31,10.59,10.09,9.88,10.97,12.62,13.16,13.75,14.53,14.56,13.41,11.94,10.78,10.38,9.88,9.56,9.84,11.16,12.78,13.66,14.62,16.84,18.62,19.41,19.94,20.28,20.31,19.19,17.44,15.94,15.5,14.56,13.28,12.09,12.12,12.25,11.97,12.0,12.62,12.72,12.12,10.53,9.44,8.72,7.53,6.06,5.53,6.19,7.5,8.72,10.31,12.28,13.81,14.09,13.59,13.47,13.66,13.22,12.94,13.78,16.25,18.81,21.47,24.25,27.66,29.81,30.09,29.22,28.25,26.47,23.84,20.94,19.66,18.75,18.16,18.12,18.94,20.28,21.16,21.22,20.97,20.94,20.59,19.41,17.84,17.69,17.38,17.12,16.97,17.78,19.19,20.19,20.62,21.41,22.25,22.0,20.47,18.44,16.88,15.59,14.06,13.22,14.0,15.19,15.69,15.12,15.06,14.66,13.72,12.91,13.22,15.12,17.12,19.0,20.38,22.0,23.06,23.22,22.75,22.94,23.78,23.75,35.81,34.38,33.62,33.56,34.41,35.84,37.25,38.53,39.59,40.06,40.38,40.03,38.97,37.19,35.16,32.59,30.22,28.66,27.78,28.06,29.16,30.94,32.34,34.03,35.34,36.47,37.44,39.03,40.44,41.22,41.03,39.91,37.69,35.12,32.5:6.53,6.72,7.34,7.31,6.81,6.88,7.69,8.16,8.06,8.66,10.19,12.31,14.47,16.59,18.84,20.72,20.75,19.06,16.66,13.94,10.28,6.44,2.78,0.22,-1.53,-3.31,-3.97,-3.12,-0.88,1.53,4.25,8.06,12.38,15.34,17.34,18.5,19.38,18.78,16.69,14.75,13.12,11.56,10.0,9.28,9.78,11.0,11.62,11.91,11.59,11.81,11.44,10.78,11.09,12.38,13.53,14.09,14.5,15.28,16.38,16.5,16.41,16.88,17.16,16.25,14.38,12.56,11.12,9.28,7.44,6.19,6.09,6.25,5.38,4.31,3.97,3.59,2.69,2.75,3.78,5.81,7.5,8.62,9.47,10.62,10.94,10.97,11.19,13.06,15.12,16.53,18.28,20.59,23.25,25.12,26.69,28.31,29.97,30.31,29.12,27.12,25.06,22.25,19.06,16.22,15.22,15.81,16.69,18.28,21.03,24.72,27.16,29.44,31.78,33.91,35.53,35.81,35.0,34.5,32.84,30.22,27.09,24.94,22.84,19.94,16.38,13.62,11.22,7.91,5.31,3.78,4.28,5.62,7.41,10.09,13.62,16.84,18.94,20.66,22.69,24.03,24.16,22.84,21.56,20.25,18.06,16.34,15.19,14.97,14.81,14.12,13.78,14.44,15.47,16.09,16.09,16.97,17.69,17.41,16.25,15.22,14.47,12.47,10.25,8.5,7.97,7.59,7.28,7.16,8.78,10.66,12.41,14.16,17.19,20.25,22.25,23.25,24.38,25.34,25.12,24.56,24.0,24.03,24.38,23.5,22.31,21.16,19.94,17.34,14.22,12.19,11.25,10.34,10.19,11.06,13.47,15.91,17.25,19.06,21.41,23.41,24.5,24.44,25.25,26.06,26.16,25.78,26.84,28.0,29.0,29.81,30.84,32.72,34.12,34.59,34.81,35.53,36.0,35.19,33.94,32.84,31.62,30.0,28.19,27.44,27.59,28.03,27.88,27.38,27.16,26.41,24.41,22.66,21.81,21.34,20.34,19.12,19.53,20.62,21.53,21.97,22.56,22.81,22.09,19.88,17.75,17.0,16.75,17.09,17.91,20.41,22.97,24.56,25.06,25.53,26.12,25.72,24.25,23.53,23.03,22.62,21.5,20.56,20.66,20.69,20.12,19.25,19.16,19.5,19.0,17.69,16.88,16.38,15.97,15.44,15.94,17.69,19.91,21.03,22.69,24.72,26.47,27.09,26.81,27.25,27.75,27.5,26.88,26.78,27.25,27.0,25.47,23.84,21.69,19.0,15.34,11.78,10.09,9.34,8.62,7.84,8.31,9.19,9.97,10.47,11.5,13.28,14.56,14.12,13.31,12.34,11.5,9.59,8.0,7.78,8.16,8.38,7.88,8.19,9.12,9.62,9.19,9.5,10.0,10.12,9.34,9.0,9.66,11.12,12.28,13.56,15.34,17.25,18.0,17.56,17.16,16.78,15.88,13.53,11.5,9.78,8.12,5.78,4.25,4.38,6.06,7.53,9.56,12.03,14.38,15.22,15.03,14.94,15.0,15.06,14.69,14.44,15.5,16.62,16.72,16.25,16.25,16.75,16.28,15.34,15.19,15.62,15.72,15.22,15.84,17.47,19.0,18.62,17.81,16.88,15.47,12.88,11.03,10.56,11.22,11.78,12.25,13.16,15.12,16.59,17.03,17.78,19.0,19.97,20.09,19.88,20.78,22.0,22.25,22.16,22.22,22.38,21.12,18.78,16.34,14.75,12.72,10.41,9.5,9.84,11.09,11.38,11.97,13.41,14.72,15.03,15.41,17.06,18.97,20.41,21.28,22.81,24.47,24.94,24.22,22.78,21.41,19.72,16.91,14.41,13.41,13.75,13.34,13.78,15.31,17.69,19.5,20.5,20.88,21.41,21.25,19.56,18.19,18.16,18.97,19.5,20.12,21.94,23.5,23.16,21.81,20.44,19.75,18.59,17.12,16.38,16.91,17.5,16.84,16.31,16.75,17.72,18.0,18.69,20.22,22.59,23.06,23.0,23.12,23.5,23.5,23.06,23.19,24.06,24.91,24.34,23.53,23.22,22.97,21.59,20.66,20.41,21.03,21.56,21.53,22.03,23.28,24.12,24.19,24.5,26.0,27.38,27.25,27.19,27.78,28.94,29.06,29.38,30.25,31.38,31.34,30.06,28.56,27.78,26.53,25.12,24.09,24.78,25.69,25.53,24.94,24.69,24.25,22.78,21.03,20.19,20.5,20.59,20.12,20.16,21.06,21.72,21.81,21.84,22.62,23.38,23.03,22.5,23.12,24.03,23.94,23.22,22.53,22.56,21.81,20.69,19.69,19.53,18.81,17.06,15.31,15.12,14.81,14.34,13.91,14.19,15.0,15.19,14.75,15.38,17.16,18.5,19.41,20.12,21.62,22.75,22.41,21.88,21.12,20.44,18.91,16.94,16.09,16.44,16.16,15.59,14.88,15.44,15.62,15.53,15.75,17.25,18.81,19.78,20.06,20.88,21.38,20.81,19.38,18.75,19.03,18.59,17.94,17.66,18.03,17.88,17.25,16.97,17.69,18.44,18.5,18.59,19.5,20.41,21.31,22.03,22.84,24.34,24.75,24.69,24.41,24.88,24.97,23.88,22.47,22.16,22.31,21.59,20.94,20.75,20.66,19.78,18.47,17.16,16.94,16.28,14.53,13.06,12.78,12.88,12.91,13.38,14.91,16.59,17.12,17.25,18.41,19.69,20.09,19.78,19.12,18.75,17.88,15.97,14.28,14.16,14.19,14.38,14.78,16.03,17.28,17.5,17.0,16.62,16.72,16.62,16.12,15.81,16.38,16.78,16.03,15.16,14.97,14.88,14.16,13.0,13.38,13.59,13.41,12.59,12.38,12.59,12.16,10.62,9.47,9.28,9.12,8.91,9.16,10.81,12.0,11.84,10.66,9.38,8.12,6.09,4.22,2.72,2.47,2.44,1.62,1.69,2.94,4.62,5.91,7.16,9.5,11.66,13.25,13.72,14.5,15.5,15.94,15.09,14.78,15.06,15.03,14.25,13.94,14.56,14.78,14.12,12.62,11.72,10.59,9.06,7.09,6.22,6.47,6.34,6.81,7.84,9.84,12.12,13.0,13.44,14.44,15.16,15.31,15.56,16.72,17.69,18.0,16.84,15.62,15.12,14.62,13.72,13.59,14.22,15.0,14.53,14.22,14.97,15.97,16.53,16.72,17.84,18.66,19.16,19.06,19.62,20.25,20.5,19.97,19.66,20.25,21.44,21.66,21.69,21.91,21.81,20.62,18.62,17.09,15.28,12.78,9.62,6.91,5.59,4.75,3.88,3.97,5.56,7.91,9.31,11.47,14.03,16.28,17.47,17.28,16.94,15.81,14.41,12.06,10.47,9.91,9.75,9.09,8.84,9.62,10.66,11.25,11.44,12.12,13.22,12.81,11.34,10.38,8.97,7.5,5.41,4.38,5.06,6.62,7.97,9.34,11.25,12.66,12.66,12.38,12.56,13.66,14.72,15.72,17.62,20.16,22.56,23.69,24.56,25.62,26.84,26.81,26.88,27.94,29.31,30.03,29.78,29.69,29.62,28.94,27.97,27.78,28.62,29.31,29.0,27.81,26.38,24.41,21.78,19.56,19.12,19.5,20.12,20.16,20.59,20.72,20.75,19.69,18.56,18.41,18.28,17.84,17.34,17.47,17.84,16.94,15.34,14.16,13.06,11.06,8.22,5.84,4.03,2.47,0.81,0.22,0.81,1.66,1.47,1.28,1.22,1.56,1.59,2.0,4.09,7.38,11.38,14.59,17.91,21.19,23.88,25.0,25.62,26.28,26.72,25.5,24.06,22.34,21.44,19.94,18.03,16.5,15.75,14.69,13.03,12.06,12.03,12.12,11.62,11.03,10.78,10.53,8.84,7.72,7.59,8.62,9.81,11.41,13.38,16.03,17.5,17.72,18.03,18.75,19.12,19.06,19.25,20.03,20.78,20.75,20.28,19.84,19.53,19.06,17.34,15.88,15.25,14.72,14.12,14.44,15.66,17.34,17.78,18.06,18.53,19.03,19.28,19.53,20.03,20.94,21.28,20.62,19.69,19.41,19.12,18.09,17.28,17.38,17.31,16.31,14.88,13.5,12.25,10.78,9.5,8.75,9.41,10.06,10.12,10.41,11.44,12.69,12.84,12.62,12.91,12.75,12.03,11.5,11.53,12.5,12.75,12.66,12.16,12.12,11.72,10.5,9.75,9.59,10.06,9.94,10.38,11.34,12.5,12.84,12.34,12.0,12.0,11.66,11.16,10.53,10.75,10.84,10.19,9.16,8.69,8.5,7.81,7.19,7.44,8.5,9.16,9.41,9.62,10.31,10.59,10.09,9.88,10.97,12.62,13.16,13.75,14.53,14.56,13.41,11.94,10.78,10.38,9.88,9.56,9.84,11.16,12.78,13.66,14.62,16.84,18.62,19.41,19.94,20.28,20.31,19.19,17.44,15.94,15.5,14.56,13.28,12.09,12.12,12.25,11.97,12.0,12.62,12.72,12.12,10.53,9.44,8.72,7.53,6.06,5.53,6.19,7.5,8.72,10.31,12.28,13.81,14.09,13.59,13.47,13.66,13.22,12.94,13.78,16.25,18.81,21.47,24.25,27.66,29.81,30.09,29.22,28.25,26.47,23.84,20.94,19.66,18.75,18.16,18.12,18.94,20.28,21.16,21.22,20.97,20.94,20.59,19.41,17.84,17.69,17.38,17.12,16.97,17.78,19.19,20.19,20.62,21.41,22.25,22.0,20.47,18.44,16.88,15.59,14.06,13.22,14.0,15.19,15.69,15.12,15.06,14.66,13.72,12.91,13.22,15.12,17.12,19.0,20.38,22.0,23.06,23.22,22.75,22.94,23.78,23.75,35.81,34.38,33.62,33.56,34.41,35.84,37.25,38.53,39.59,40.06,40.38,40.03,38.97,37.19,35.16,32.59,30.22,28.66,27.78,28.06,29.16,30.94,32.34,34.03,35.34,36.47,37.44,39.03,40.44,41.22,41.03,39.91,37.69,35.12,32.5,30.41,29.66,29.78,30.25,30.5,30.97,30.69:positivity
13.53,12.66,13.12,13.75,13.94,14.22,15.88,17.69,19.19,20.81,22.5,24.72,26.25,26.94,27.47,28.41,28.78,27.88,26.31,25.72,24.75,22.81,20.75,19.97,19.84,20.0,20.34,21.38,23.25,24.81,25.41,26.12,27.16,28.72,29.41,30.19,31.75,33.62,34.81,35.62,36.84,37.72,37.81,36.38,34.69,33.12,31.62,28.88,26.81,25.81,25.22,24.03,23.03,23.0,23.12,23.38,23.25,24.25,25.88,27.81,28.56,29.19,30.12,30.81,30.53,30.44,31.16,31.88,30.72,28.88,26.81,24.88,22.59,20.88,20.31,20.97,21.62,21.56,21.25,21.66,22.34,22.25,21.88,22.31,23.09,23.53,23.62,24.78,26.12,27.0,26.97,27.0,27.44,27.84,27.16,26.84,26.94,27.75,27.81,28.19,28.81,29.75,30.09,29.59,29.16,29.19,29.06,28.53,27.88,28.22,28.62,27.41,26.0,24.44,23.0,20.47,18.28,17.53,18.25,19.19,19.81,20.69,21.91,22.84,22.16,21.5,20.84,19.97,18.31,16.97,16.53,16.56,16.38,14.88,13.22,11.75,10.28,8.5,8.03,9.12,11.34,13.84,17.16,20.88,24.72,26.88,27.41,27.31,27.0,26.28,24.88,23.88,24.03,23.78,23.22,22.41,22.5,23.06,23.09,22.84,22.75,22.94,22.16,20.56,19.03,18.22,17.28,15.69,14.94,15.25,15.88,15.84,15.88,15.91,15.75,14.56,12.91,11.84,11.34,10.56,9.59,8.84,9.06,9.06,8.16,7.94,8.91,9.94,10.28,10.41,10.88,11.41,11.0,10.91,11.38,12.66,14.12,14.81,15.62,17.34,19.28,20.44,21.72,23.03,23.75,22.78,21.06,19.81,18.84,17.62,16.75,15.88,15.75,15.28,14.44,12.94,11.94,10.81,8.97,6.75,5.28,4.19,3.28,2.31,2.56,4.75,7.03,9.44,12.44,16.12,19.19,21.09,21.94,22.72,22.94,21.22,19.44,18.28,17.59,16.75,15.41,14.16,12.91,10.31,7.53,4.81,3.97,4.0,4.66,5.66,7.91,10.28,11.5,11.72,11.97,12.5,12.84,12.66,13.19,15.06,16.72,18.16,19.25,20.84,21.94,21.59,20.56,20.44,21.0,21.12,20.97,21.62,22.16,22.25,21.19,20.28,19.94,19.69,18.5,17.47,17.41,16.84,15.97,14.62,14.03,14.47,14.97,15.44,16.38,17.78,18.16,17.62,16.41,15.94,15.84,15.06,14.81,15.25,16.12,17.0,17.12,17.62,18.44,18.72,18.22,17.88,18.25,18.84,18.88,19.03,19.88,20.94,20.56,19.5,18.97,18.59,17.78,16.56,15.88,15.41,14.5,12.56,10.78,10.56,11.06,11.41,11.88,13.38,15.0,15.38,15.0,15.41,16.09,16.44,15.66,15.22,15.66,15.84,15.44,15.5,15.88,15.56,13.56,10.38,7.72,5.56,3.88,2.75,3.28,5.5,8.44,10.84,14.19,17.91,21.47,23.28,24.25,24.84,24.59,22.75,20.22,18.34,17.06,15.75,14.38,13.66,13.94,14.22,12.78,11.88,11.47,11.47,10.88,11.09,12.38,13.91,14.88,14.94,15.0,14.53,13.56,11.91,11.0,11.62,13.25,14.28,15.34,16.53,17.06,15.72,13.5,12.09,11.25,10.03,8.75,8.41,9.0,9.28,9.06,9.44,10.81,12.62,13.62,14.72,16.5,18.5,18.88,18.53,18.12,18.09,17.16,16.0,16.34,17.78,19.06,19.5,19.66,19.88,19.56,17.72,15.97,14.72,14.41,14.31,14.5,16.19,18.06,18.47,17.28,15.91,15.22,15.34,15.41,16.28,17.97,19.5,19.0,18.16,17.53,17.84,17.19,15.97,14.97,14.47,13.38,11.28,9.5,8.5,7.62,6.0,5.5,6.78,9.06,11.25,12.84,14.62,16.03,16.28,15.09,13.81,12.56,11.44,9.28,7.5,6.75,6.5,5.41,4.69,4.75,5.41,4.47,2.75,1.16,0.34,-0.84,-1.91,-2.09,-0.44,1.38,2.59,4.34,6.22,7.38,6.84,5.97,5.03,5.03,4.56,4.31,4.16,5.03,5.16,4.12,3.16,2.97,3.25,2.38,2.12,2.84,4.03,3.78,2.47,1.22,-0.31,-2.59,-4.72,-5.28,-3.72,-1.28,1.38,3.88,7.22,10.28,11.78,11.88,11.78,11.53,10.0,8.31,7.28,7.12,6.94,6.53,6.47,7.72,8.81,9.31,8.81,8.78,8.44,6.88,4.88,3.91,3.81,3.88,4.38,5.75,8.41,10.47,11.53,12.12,13.56,14.41,14.44,13.66,13.62,13.47,11.97,9.78,7.94,6.38,4.12,0.81,-2.31,-4.31,-6.75,-9.56,-11.91,-12.62,-12.56,-11.81,-10.19,-6.88,-2.66,0.66,2.88,5.34,7.91,9.75,10.31,10.69,11.38,11.81,11.47,10.81,11.72,12.62,12.81,12.25,11.78,11.28,9.31,6.31,2.94,0.66,-1.69,-3.78,-4.5,-2.47,0.94,4.81,8.88,13.88,18.09,20.09,19.53,17.84,14.88,9.81,3.31,-2.78,-7.28,-10.47,-12.69,-13.69,-12.41,-11.09,-10.25,-9.25,-7.59,-5.44,-3.75,-2.88,-2.25,-1.66,-1.72,-2.97,-3.84,-3.5,-2.78,-2.62,-2.09,-0.44,1.38,2.41,2.91,3.75,3.78,3.31,1.44,-0.28,-1.19,-2.16,-3.66,-4.31,-3.31,-1.62,-0.19,1.66,3.56,5.41,6.5,6.38,6.5,7.06,7.31,6.88,7.12,7.72,8.19,7.59,6.56,5.97,5.19,3.84,2.34,1.5,0.75,-0.19,-1.81,-2.78,-3.16,-3.12,-4.09,-4.03,-3.03,-2.34,-2.31,-2.62,-1.5,-0.62,-0.19,-0.69,-0.91,-0.91,-1.0,-1.47,-1.19,-0.03,0.5,0.31,-0.19,-0.06,0.16,-0.09,-0.34,0.5,1.88,3.06,3.97,4.97,5.75,5.69,4.5,3.38,2.75,2.97,2.66,2.66,3.34,4.0,3.56,2.22,1.78,1.59,1.53,1.34,2.38,3.53,4.47,3.81,3.03,2.03,1.31,0.41,0.53,1.72,3.62,5.06,5.41,5.25,4.66,3.78,1.81,0.59,0.59,1.38,1.53,1.84,2.53,3.31,3.41,2.88,2.25,2.03,1.12,-0.84,-1.91,-1.91,-1.41,-1.22,-0.28,1.12,2.41,2.78,2.47,2.44,2.75,1.84,0.56,-0.5,-0.97,-1.41,-2.31,-2.47,-2.28,-2.34,-3.12,-3.91,-3.69,-3.09,-2.94,-3.16,-3.0,-2.12,-1.31,-0.31,1.31,3.69,5.44,5.47,5.34,5.22,4.88,3.72,2.72,2.0,1.5,0.81,0.28,0.53,1.34,2.5,3.0,3.94,5.84,8.06,9.31,10.31,11.53,12.47,12.06,10.94,9.66,8.97,7.75,6.16,5.16,4.97,4.41,2.84,1.47,1.41,1.59,1.78,1.72,1.62,2.03,1.56,1.38,1.88,3.19,4.47,5.12,5.5,6.66,6.97,6.72,6.28,6.88,7.59,7.78,7.47,6.84,6.06,4.38,2.34,1.03,1.09,1.5,1.53,1.56,1.78,1.41,0.03,-2.22,-3.41,-3.72,-3.94,-3.97,-3.12,-1.59,-0.66,-0.19,0.16,1.41,2.84,4.03,5.44,7.78,10.28,11.59,11.34,11.38,10.41,8.66,6.09,3.84,2.47,0.81,-1.06,-3.0,-3.91,-4.41,-5.34,-6.22,-5.66,-5.0,-4.19,-3.91,-2.75,-1.09,0.22,1.16,2.66,5.34,7.69,9.16,10.19,11.28,11.34,9.31,6.44,4.19,2.16,0.31,-1.41,-1.69,-1.25,-0.66,-0.91,-1.38,-1.25,-1.47,-2.5,-3.69,-3.69,-3.34,-3.53,-3.75,-3.16,-2.19,-1.19,-0.78,0.28,1.75,3.22,4.03,4.44,5.44,6.22,5.75,4.78,4.47,4.44,4.03,3.28,3.44,4.09,4.47,4.34,4.0,3.81,3.41,1.47,-0.53,-1.47,-2.5,-3.69,-4.88,-4.84,-4.09,-3.41,-2.62,-1.09,1.47,4.0,5.25,6.84,8.41,9.34,9.19,8.09,8.22,8.31,8.09,7.34,7.84,8.59,8.72,8.25,7.69,7.5,7.44,6.5,5.84,6.19,6.66,6.19,4.94,4.84,5.12,5.47,5.5,6.03,7.56,7.91,7.53,7.78,8.75,9.84,10.12,9.88,9.75,9.75,8.84,7.69,7.62,8.34,8.81,8.72,9.41,10.41,11.66,11.5,11.0,11.09,10.97,9.41,7.41,6.47,6.34,5.91,4.94,4.91,4.97,4.44,2.91,1.66,1.19,1.34,0.62,0.31,1.34,2.69,3.03,3.41,4.72,6.69,8.28,9.66,11.25,12.31,12.19,10.44,8.25,6.66,5.0,2.69,0.56,-0.22,-0.31,-0.34,-0.56,0.56,2.12,3.03,3.0,3.12,3.44,3.41,2.38,1.88,1.94,3.03,2.78,2.28,2.0,2.03,0.94,0.06,-0.38,0.0,-0.28,-1.41,-2.56,-2.56,-1.88,-1.47,0.12,2.94,6.28,8.44,9.81,10.41,10.59,8.72,5.62,2.62,1.06,0.03,-1.12,-1.44,-1.0,0.03,-0.34,-0.47,0.28,1.88,2.34,2.44,3.31,4.66,5.25,5.06,4.47,4.44,3.25,0.69,-1.62,-2.78,-2.81,-3.22,-2.75,-1.38,0.09,0.31,-0.16,-0.31,0.12,0.09,-0.19,0.31,2.12,4.38,5.75,6.94,8.88,10.09,9.88,9.06,9.16,9.84,9.88,9.84,10.09,10.16,9.66,7.59,5.78,4.94,4.03,2.84,1.94,2.31,3.5,4.06,4.62,5.66,7.03,6.94,6.06,4.94,4.72,4.16,3.38,2.56,3.47,4.31,4.06,3.91,4.03,4.22,3.09,1.06,-0.5,-1.19,-1.84,-2.34,-1.91,-0.06,1.81,3.47,5.31,7.97,10.28,10.97,10.84,10.47,9.81,8.38,6.44:17.69,19.19,20.81,22.5,24.72,26.25,26.94,27.47,28.41,28.78,27.88,26.31,25.72,24.75,22.81,20.75,19.97,19.84,20.0,20.34,21.38,23.25,24.81,25.41,26.12,27.16,28.72,29.41,30.19,31.75,33.62,34.81,35.62,36.84,37.72,37.81,36.38,34.69,33.12,31.62,28.88,26.81,25.81,25.22,24.03,23.03,23.0,23.12,23.38,23.25,24.25,25.88,27.81,28.56,29.19,30.12,30.81,30.53,30.44,31.16,31.88,30.72,28.88,26.81,24.88,22.59,20.88,20.31,20.97,21.62,21.56,21.25,21.66,22.34,22.25,21.88,22.31,23.09,23.53,23.62,24.78,26.12,27.0,26.97,27.0,27.44,27.84,27.16,26.84,26.94,27.75,27.81,28.19,28.81,29.75,30.09,29.59,29.16,29.19,29.06,28.53,27.88,28.22,28.62,27.41,26.0,24.44,23.0,20.47,18.28,17.53,18.25,19.19,19.81,20.69,21.91,22.84,22.16,21.5,20.84,19.97,18.31,16.97,16.53,16.56,16.38,14.88,13.22,11.75,10.28,8.5,8.03,9.12,11.34,13.84,17.16,20.88,24.72,26.88,27.41,27.31,27.0,26.28,24.88,23.88,24.03,23.78,23.22,22.41,22.5,23.06,23.09,22.84,22.75,22.94,22.16,20.56,19.03,18.22,17.28,15.69,14.94,15.25,15.88,15.84,15.88,15.91,15.75,14.56,12.91,11.84,11.34,10.56,9.59,8.84,9.06,9.06,8.16,7.94,8.91,9.94,10.28,10.41,10.88,11.41,11.0,10.91,11.38,12.66,14.12,14.81,15.62,17.34,19.28,20.44,21.72,23.03,23.75,22.78,21.06,19.81,18.84,17.62,16.75,15.88,15.75,15.28,14.44,12.94,11.94,10.81,8.97,6.75,5.28,4.19,3.28,2.31,2.56,4.75,7.03,9.44,12.44,16.12,19.19,21.09,21.94,22.72,22.94,21.22,19.44,18.28,17.59,16.75,15.41,14.16,12.91,10.31,7.53,4.81,3.97,4.0,4.66,5.66,7.91,10.28,11.5,11.72,11.97,12.5,12.84,12.66,13.19,15.06,16.72,18.16,19.25,20.84,21.94,21.59,20.56,20.44,21.0,21.12,20.97,21.62,22.16,22.25,21.19,20.28,19.94,19.69,18.5,17.47,17.41,16.84,15.97,14.62,14.03,14.47,14.97,15.44,16.38,17.78,18.16,17.62,16.41,15.94,15.84,15.06,14.81,15.25,16.12,17.0,17.12,17.62,18.44,18.72,18.22,17.88,18.25,18.84,18.88,19.03,19.88,20.94,20.56,19.5,18.97,18.59,17.78,16.56,15.88,15.41,14.5,12.56,10.78,10.56,11.06,11.41,11.88,13.38,15.0,15.38,15.0,15.41,16.09,16.44,15.66,15.22,15.66,15.84,15.44,15.5,15.88,15.56,13.56,10.38,7.72,5.56,3.88,2.75,3.28,5.5,8.44,10.84,14.19,17.91,21.47,23.28,24.25,24.84,24.59,22.75,20.22,18.34,17.06,15.75,14.38,13.66,13.94,14.22,12.78,11.88,11.47,11.47,10.88,11.09,12.38,13.91,14.88,14.94,15.0,14.53,13.56,11.91,11.0,11.62,13.25,14.28,15.34,16.53,17.06,15.72,13.5,12.09,11.25,10.03,8.75,8.41,9.0,9.28,9.06,9.44,10.81,12.62,13.62,14.72,16.5,18.5,18.88,18.53,18.12,18.09,17.16,16.0,16.34,17.78,19.06,19.5,19.66,19.88,19.56,17.72,15.97,14.72,14.41,14.31,14.5,16.19,18.06,18.47,17.28,15.91,15.22,15.34,15.41,16.28,17.97,19.5,19.0,18.16,17.53,17.84,17.19,15.97,14.97,14.47,13.38,11.28,9.5,8.5,7.62,6.0,5.5,6.78,9.06,11.25,12.84,14.62,16.03,16.28,15.09,13.81,12.56,11.44,9.28,7.5,6.75,6.5,5.41,4.69,4.75,5.41,4.47,2.75,1.16,0.34,-0.84,-1.91,-2.09,-0.44,1.38,2.59,4.34,6.22,7.38,6.84,5.97,5.03,5.03,4.56,4.31,4.16,5.03,5.16,4.12,3.16,2.97,3.25,2.38,2.12,2.84,4.03,3.78,2.47,1.22,-0.31,-2.59,-4.72,-5.28,-3.72,-1.28,1.38,3.88,7.22,10.28,11.78,11.88,11.78,11.53,10.0,8.31,7.28,7.12,6.94,6.53,6.47,7.72,8.81,9.31,8.81,8.78,8.44,6.88,4.88,3.91,3.81,3.88,4.38,5.75,8.41,10.47,11.53,12.12,13.56,14.41,14.44,13.66,13.62,13.47,11.97,9.78,7.94,6.38,4.12,0.81,-2.31,-4.31,-6.75,-9.56,-11.91,-12.62,-12.56,-11.81,-10.19,-6.88,-2.66,0.66,2.88,5.34,7.91,9.75,10.31,10.69,11.38,11.81,11.47,10.81,11.72,12.62,12.81,12.25,11.78,11.28,9.31,6.31,2.94,0.66,-1.69,-3.78,-4.5,-2.47,0.94,4.81,8.88,13.88,18.09,20.09,19.53,17.84,14.88,9.81,3.31,-2.78,-7.28,-10.47,-12.69,-13.69,-12.41,-11.09,-10.25,-9.25,-7.59,-5.44,-3.75,-2.88,-2.25,-1.66,-1.72,-2.97,-3.84,-3.5,-2.78,-2.62,-2.09,-0.44,1.38,2.41,2.91,3.75,3.78,3.31,1.44,-0.28,-1.19,-2.16,-3.66,-4.31,-3.31,-1.62,-0.19,1.66,3.56,5.41,6.5,6.38,6.5,7.06,7.31,6.88,7.12,7.72,8.19,7.59,6.56,5.97,5.19,3.84,2.34,1.5,0.75,-0.19,-1.81,-2.78,-3.16,-3.12,-4.09,-4.03,-3.03,-2.34,-2.31,-2.62,-1.5,-0.62,-0.19,-0.69,-0.91,-0.91,-1.0,-1.47,-1.19,-0.03,0.5,0.31,-0.19,-0.06,0.16,-0.09,-0.34,0.5,1.88,3.06,3.97,4.97,5.75,5.69,4.5,3.38,2.75,2.97,2.66,2.66,3.34,4.0,3.56,2.22,1.78,1.59,1.53,1.34,2.38,3.53,4.47,3.81,3.03,2.03,1.31,0.41,0.53,1.72,3.62,5.06,5.41,5.25,4.66,3.78,1.81,0.59,0.59,1.38,1.53,1.84,2.53,3.31,3.41,2.88,2.25,2.03,1.12,-0.84,-1.91,-1.91,-1.41,-1.22,-0.28,1.12,2.41,2.78,2.47,2.44,2.75,1.84,0.56,-0.5,-0.97,-1.41,-2.31,-2.47,-2.28,-2.34,-3.12,-3.91,-3.69,-3.09,-2.94,-3.16,-3.0,-2.12,-1.31,-0.31,1.31,3.69,5.44,5.47,5.34,5.22,4.88,3.72,2.72,2.0,1.5,0.81,0.28,0.53,1.34,2.5,3.0,3.94,5.84,8.06,9.31,10.31,11.53,12.47,12.06,10.94,9.66,8.97,7.75,6.16,5.16,4.97,4.41,2.84,1.47,1.41,1.59,1.78,1.72,1.62,2.03,1.56,1.38,1.88,3.19,4.47,5.12,5.5,6.66,6.97,6.72,6.28,6.88,7.59,7.78,7.47,6.84,6.06,4.38,2.34,1.03,1.09,1.5,1.53,1.56,1.78,1.41,0.03,-2.22,-3.41,-3.72,-3.94,-3.97,-3.12,-1.59,-0.66,-0.19,0.16,1.41,2.84,4.03,5.44,7.78,10.28,11.59,11.34,11.38,10.41,8.66,6.09,3.84,2.47,0.81,-1.06,-3.0,-3.91,-4.41,-5.34,-6.22,-5.66,-5.0,-4.19,-3.91,-2.75,-1.09,0.22,1.16,2.66,5.34,7.69,9.16,10.19,11.28,11.34,9.31,6.44,4.19,2.16,0.31,-1.41,-1.69,-1.25,-0.66,-0.91,-1.38,-1.25,-1.47,-2.5,-3.69,-3.69,-3.34,-3.53,-3.75,-3.16,-2.19,-1.19,-0.78,0.28,1.75,3.22,4.03,4.44,5.44,6.22,5.75,4.78,4.47,4.44,4.03,3.28,3.44,4.09,4.47,4.34,4.0,3.81,3.41,1.47,-0.53,-1.47,-2.5,-3.69,-4.88,-4.84,-4.09,-3.41,-2.62,-1.09,1.47,4.0,5.25,6.84,8.41,9.34,9.19,8.09,8.22,8.31,8.09,7.34,7.84,8.59,8.72,8.25,7.69,7.5,7.44,6.5,5.84,6.19,6.66,6.19,4.94,4.84,5.12,5.47,5.5,6.03,7.56,7.91,7.53,7.78,8.75,9.84,10.12,9.88,9.75,9.75,8.84,7.69,7.62,8.34,8.81,8.72,9.41,10.41,11.66,11.5,11.0,11.09,10.97,9.41,7.41,6.47,6.34,5.91,4.94,4.91,4.97,4.44,2.91,1.66,1.19,1.34,0.62,0.31,1.34,2.69,3.03,3.41,4.72,6.69,8.28,9.66,11.25,12.31,12.19,10.44,8.25,6.66,5.0,2.69,0.56,-0.22,-0.31,-0.34,-0.56,0.56,2.12,3.03,3.0,3.12,3.44,3.41,2.38,1.88,1.94,3.03,2.78,2.28,2.0,2.03,0.94,0.06,-0.38,0.0,-0.28,-1.41,-2.56,-2.56,-1.88,-1.47,0.12,2.94,6.28,8.44,9.81,10.41,10.59,8.72,5.62,2.62,1.06,0.03,-1.12,-1.44,-1.0,0.03,-0.34,-0.47,0.28,1.88,2.34,2.44,3.31,4.66,5.25,5.06,4.47,4.44,3.25,0.69,-1.62,-2.78,-2.81,-3.22,-2.75,-1.38,0.09,0.31,-0.16,-0.31,0.12,0.09,-0.19,0.31,2.12,4.38,5.75,6.94,8.88,10.09,9.88,9.06,9.16,9.84,9.88,9.84,10.09,10.16,9.66,7.59,5.78,4.94,4.03,2.84,1.94,2.31,3.5,4.06,4.62,5.66,7.03,6.94,6.06,4.94,4.72,4.16,3.38,2.56,3.47,4.31,4.06,3.91,4.03,4.22,3.09,1.06,-0.5,-1.19,-1.84,-2.34,-1.91,-0.06,1.81,3.47,5.31,7.97,10.28,10.97,10.84,10.47,9.81,8.38,6.44,35.56,35.66,36.66,38.44,40.44,43.09,45.72:27.47,28.41,28.78,27.88,26.31,25.72,24.75,22.81,20.75,19.97,19.84,20.0,20.34,21.38,23.25,24.81,25.41,26.12,27.16,28.72,29.41,30.19,31.75,33.62,34.81,35.62,36.84,37.72,37.81,36.38,34.69,33.12,31.62,28.88,26.81,25.81,25.22,24.03,23.03,23.0,23.12,23.38,23.25,24.25,25.88,27.81,28.56,29.19,30.12,30.81,30.53,30.44,31.16,31.88,30.72,28.88,26.81,24.88,22.59,20.88,20.31,20.97,21.62,21.56,21.25,21.66,22.34,22.25,21.88,22.31,23.09,23.53,23.62,24.78,26.12,27.0,26.97,27.0,27.44,27.84,27.16,26.84,26.94,27.75,27.81,28.19,28.81,29.75,30.09,29.59,29.16,29.19,29.06,28.53,27.88,28.22,28.62,27.41,26.0,24.44,23.0,20.47,18.28,17.53,18.25,19.19,19.81,20.69,21.91,22.84,22.16,21.5,20.84,19.97,18.31,16.97,16.53,16.56,16.38,14.88,13.22,11.75,10.28,8.5,8.03,9.12,11.34,13.84,17.16,20.88,24.72,26.88,27.41,27.31,27.0,26.28,24.88,23.88,24.03,23.78,23.22,22.41,22.5,23.06,23.09,22.84,22.75,22.94,22.16,20.56,19.03,18.22,17.28,15.69,14.94,15.25,15.88,15.84,15.88,15.91,15.75,14.56,12.91,11.84,11.34,10.56,9.59,8.84,9.06,9.06,8.16,7.94,8.91,9.94,10.28,10.41,10.88,11.41,11.0,10.91,11.38,12.66,14.12,14.81,15.62,17.34,19.28,20.44,21.72,23.03,23.75,22.78,21.06,19.81,18.84,17.62,16.75,15.88,15.75,15.28,14.44,12.94,11.94,10.81,8.97,6.75,5.28,4.19,3.28,2.31,2.56,4.75,7.03,9.44,12.44,16.12,19.19,21.09,21.94,22.72,22.94,21.22,19.44,18.28,17.59,16.75,15.41,14.16,12.91,10.31,7.53,4.81,3.97,4.0,4.66,5.66,7.91,10.28,11.5,11.72,11.97,12.5,12.84,12.66,13.19,15.06,16.72,18.16,19.25,20.84,21.94,21.59,20.56,20.44,21.0,21.12,20.97,21.62,22.16,22.25,21.19,20.28,19.94,19.69,18.5,17.47,17.41,16.84,15.97,14.62,14.03,14.47,14.97,15.44,16.38,17.78,18.16,17.62,16.41,15.94,15.84,15.06,14.81,15.25,16.12,17.0,17.12,17.62,18.44,18.72,18.22,17.88,18.25,18.84,18.88,19.03,19.88,20.94,20.56,19.5,18.97,18.59,17.78,16.56,15.88,15.41,14.5,12.56,10.78,10.56,11.06,11.41,11.88,13.38,15.0,15.38,15.0,15.41,16.09,16.44,15.66,15.22,15.66,15.84,15.44,15.5,15.88,15.56,13.56,10.38,7.72,5.56,3.88,2.75,3.28,5.5,8.44,10.84,14.19,17.91,21.47,23.28,24.25,24.84,24.59,22.75,20.22,18.34,17.06,15.75,14.38,13.66,13.94,14.22,12.78,11.88,11.47,11.47,10.88,11.09,12.38,13.91,14.88,14.94,15.0,14.53,13.56,11.91,11.0,11.62,13.25,14.28,15.34,16.53,17.06,15.72,13.5,12.09,11.25,10.03,8.75,8.41,9.0,9.28,9.06,9.44,10.81,12.62,13.62,14.72,16.5,18.5,18.88,18.53,18.12,18.09,17.16,16.0,16.34,17.78,19.06,19.5,19.66,19.88,19.56,17.72,15.97,14.72,14.41,14.31,14.5,16.19,18.06,18.47,17.28,15.91,15.22,15.34,15.41,16.28,17.97,19.5,19.0,18.16,17.53,17.84,17.19,15.97,14.97,14.47,13.38,11.28,9.5,8.5,7.62,6.0,5.5,6.78,9.06,11.25,12.84,14.62,16.03,16.28,15.09,13.81,12.56,11.44,9.28,7.5,6.75,6.5,5.41,4.69,4.75,5.41,4.47,2.75,1.16,0.34,-0.84,-1.91,-2.09,-0.44,1.38,2.59,4.34,6.22,7.38,6.84,5.97,5.03,5.03,4.56,4.31,4.16,5.03,5.16,4.12,3.16,2.97,3.25,2.38,2.12,2.84,4.03,3.78,2.47,1.22,-0.31,-2.59,-4.72,-5.28,-3.72,-1.28,1.38,3.88,7.22,10.28,11.78,11.88,11.78,11.53,10.0,8.31,7.28,7.12,6.94,6.53,6.47,7.72,8.81,9.31,8.81,8.78,8.44,6.88,4.88,3.91,3.81,3.88,4.38,5.75,8.41,10.47,11.53,12.12,13.56,14.41,14.44,13.66,13.62,13.47,11.97,9.78,7.94,6.38,4.12,0.81,-2.31,-4.31,-6.75,-9.56,-11.91,-12.62,-12.56,-11.81,-10.19,-6.88,-2.66,0.66,2.88,5.34,7.91,9.75,10.31,10.69,11.38,11.81,11.47,10.81,11.72,12.62,12.81,12.25,11.78,11.28,9.31,6.31,2.94,0.66,-1.69,-3.78,-4.5,-2.47,0.94,4.81,8.88,13.88,18.09,20.09,19.53,17.84,14.88,9.81,3.31,-2.78,-7.28,-10.47,-12.69,-13.69,-12.41,-11.09,-10.25,-9.25,-7.59,-5.44,-3.75,-2.88,-2.25,-1.66,-1.72,-2.97,-3.84,-3.5,-2.78,-2.62,-2.09,-0.44,1.38,2.41,2.91,3.75,3.78,3.31,1.44,-0.28,-1.19,-2.16,-3.66,-4.31,-3.31,-1.62,-0.19,1.66,3.56,5.41,6.5,6.38,6.5,7.06,7.31,6.88,7.12,7.72,8.19,7.59,6.56,5.97,5.19,3.84,2.34,1.5,0.75,-0.19,-1.81,-2.78,-3.16,-3.12,-4.09,-4.03,-3.03,-2.34,-2.31,-2.62,-1.5,-0.62,-0.19,-0.69,-0.91,-0.91,-1.0,-1.47,-1.19,-0.03,0.5,0.31,-0.19,-0.06,0.16,-0.09,-0.34,0.5,1.88,3.06,3.97,4.97,5.75,5.69,4.5,3.38,2.75,2.97,2.66,2.66,3.34,4.0,3.56,2.22,1.78,1.59,1.53,1.34,2.38,3.53,4.47,3.81,3.03,2.03,1.31,0.41,0.53,1.72,3.62,5.06,5.41,5.25,4.66,3.78,1.81,0.59,0.59,1.38,1.53,1.84,2.53,3.31,3.41,2.88,2.25,2.03,1.12,-0.84,-1.91,-1.91,-1.41,-1.22,-0.28,1.12,2.41,2.78,2.47,2.44,2.75,1.84,0.56,-0.5,-0.97,-1.41,-2.31,-2.47,-2.28,-2.34,-3.12,-3.91,-3.69,-3.09,-2.94,-3.16,-3.0,-2.12,-1.31,-0.31,1.31,3.69,5.44,5.47,5.34,5.22,4.88,3.72,2.72,2.0,1.5,0.81,0.28,0.53,1.34,2.5,3.0,3.94,5.84,8.06,9.31,10.31,11.53,12.47,12.06,10.94,9.66,8.97,7.75,6.16,5.16,4.97,4.41,2.84,1.47,1.41,1.59,1.78,1.72,1.62,2.03,1.56,1.38,1.88,3.19,4.47,5.12,5.5,6.66,6.97,6.72,6.28,6.88,7.59,7.78,7.47,6.84,6.06,4.38,2.34,1.03,1.09,1.5,1.53,1.56,1.78,1.41,0.03,-2.22,-3.41,-3.72,-3.94,-3.97,-3.12,-1.59,-0.66,-0.19,0.16,1.41,2.84,4.03,5.44,7.78,10.28,11.59,11.34,11.38,10.41,8.66,6.09,3.84,2.47,0.81,-1.06,-3.0,-3.91,-4.41,-5.34,-6.22,-5.66,-5.0,-4.19,-3.91,-2.75,-1.09,0.22,1.16,2.66,5.34,7.69,9.16,10.19,11.28,11.34,9.31,6.44,4.19,2.16,0.31,-1.41,-1.69,-1.25,-0.66,-0.91,-1.38,-1.25,-1.47,-2.5,-3.69,-3.69,-3.34,-3.53,-3.75,-3.16,-2.19,-1.19,-0.78,0.28,1.75,3.22,4.03,4.44,5.44,6.22,5.75,4.78,4.47,4.44,4.03,3.28,3.44,4.09,4.47,4.34,4.0,3.81,3.41,1.47,-0.53,-1.47,-2.5,-3.69,-4.88,-4.84,-4.09,-3.41,-2.62,-1.09,1.47,4.0,5.25,6.84,8.41,9.34,9.19,8.09,8.22,8.31,8.09,7.34,7.84,8.59,8.72,8.25,7.69,7.5,7.44,6.5,5.84,6.19,6.66,6.19,4.94,4.84,5.12,5.47,5.5,6.03,7.56,7.91,7.53,7.78,8.75,9.84,10.12,9.88,9.75,9.75,8.84,7.69,7.62,8.34,8.81,8.72,9.41,10.41,11.66,11.5,11.0,11.09,10.97,9.41,7.41,6.47,6.34,5.91,4.94,4.91,4.97,4.44,2.91,1.66,1.19,1.34,0.62,0.31,1.34,2.69,3.03,3.41,4.72,6.69,8.28,9.66,11.25,12.31,12.19,10.44,8.25,6.66,5.0,2.69,0.56,-0.22,-0.31,-0.34,-0.56,0.56,2.12,3.03,3.0,3.12,3.44,3.41,2.38,1.88,1.94,3.03,2.78,2.28,2.0,2.03,0.94,0.06,-0.38,0.0,-0.28,-1.41,-2.56,-2.56,-1.88,-1.47,0.12,2.94,6.28,8.44,9.81,10.41,10.59,8.72,5.62,2.62,1.06,0.03,-1.12,-1.44,-1.0,0.03,-0.34,-0.47,0.28,1.88,2.34,2.44,3.31,4.66,5.25,5.06,4.47,4.44,3.25,0.69,-1.62,-2.78,-2.81,-3.22,-2.75,-1.38,0.09,0.31,-0.16,-0.31,0.12,0.09,-0.19,0.31,2.12,4.38,5.75,6.94,8.88,10.09,9.88,9.06,9.16,9.84,9.88,9.84,10.09,10.16,9.66,7.59,5.78,4.94,4.03,2.84,1.94,2.31,3.5,4.06,4.62,5.66,7.03,6.94,6.06,4.94,4.72,4.16,3.38,2.56,3.47,4.31,4.06,3.91,4.03,4.22,3.09,1.06,-0.5,-1.19,-1.84,-2.34,-1.91,-0.06,1.81,3.47,5.31,7.97,10.28,10.97,10.84,10.47,9.81,8.38,6.44,35.56,35.66,36.66,38.44,40.44,43.09,45.72,48.44,51.22,53.97,56.25,58.62,60.34,61.47:22.81,20.75,19.97,19.84,20.0,20.34,21.38,23.25,24.81,25.41,26.12,27.16,28.72,29.41,30.19,31.75,33.62,34.81,35.62,36.84,37.72,37.81,36.38,34.69,33.12,31.62,28.88,26.81,25.81,25.22,24.03,23.03,23.0,23.12,23.38,23.25,24.25,25.88,27.81,28.56,29.19,30.12,30.81,30.53,30.44,31.16,31.88,30.72,28.88,26.81,24.88,22.59,20.88,20.31,20.97,21.62,21.56,21.25,21.66,22.34,22.25,21.88,22.31,23.09,23.53,23.62,24.78,26.12,27.0,26.97,27.0,27.44,27.84,27.16,26.84,26.94,27.75,27.81,28.19,28.81,29.75,30.09,29.59,29.16,29.19,29.06,28.53,27.88,28.22,28.62,27.41,26.0,24.44,23.0,20.47,18.28,17.53,18.25,19.19,19.81,20.69,21.91,22.84,22.16,21.5,20.84,19.97,18.31,16.97,16.53,16.56,16.38,14.88,13.22,11.75,10.28,8.5,8.03,9.12,11.34,13.84,17.16,20.88,24.72,26.88,27.41,27.31,27.0,26.28,24.88,23.88,24.03,23.78,23.22,22.41,22.5,23.06,23.09,22.84,22.75,22.94,22.16,20.56,19.03,18.22,17.28,15.69,14.94,15.25,15.88,15.84,15.88,15.91,15.75,14.56,12.91,11.84,11.34,10.56,9.59,8.84,9.06,9.06,8.16,7.94,8.91,9.94,10.28,10.41,10.88,11.41,11.0,10.91,11.38,12.66,14.12,14.81,15.62,17.34,19.28,20.44,21.72,23.03,23.75,22.78,21.06,19.81,18.84,17.62,16.75,15.88,15.75,15.28,14.44,12.94,11.94,10.81,8.97,6.75,5.28,4.19,3.28,2.31,2.56,4.75,7.03,9.44,12.44,16.12,19.19,21.09,21.94,22.72,22.94,21.22,19.44,18.28,17.59,16.75,15.41,14.16,12.91,10.31,7.53,4.81,3.97,4.0,4.66,5.66,7.91,10.28,11.5,11.72,11.97,12.5,12.84,12.66,13.19,15.06,16.72,18.16,19.25,20.84,21.94,21.59,20.56,20.44,21.0,21.12,20.97,21.62,22.16,22.25,21.19,20.28,19.94,19.69,18.5,17.47,17.41,16.84,15.97,14.62,14.03,14.47,14.97,15.44,16.38,17.78,18.16,17.62,16.41,15.94,15.84,15.06,14.81,15.25,16.12,17.0,17.12,17.62,18.44,18.72,18.22,17.88,18.25,18.84,18.88,19.03,19.88,20.94,20.56,19.5,18.97,18.59,17.78,16.56,15.88,15.41,14.5,12.56,10.78,10.56,11.06,11.41,11.88,13.38,15.0,15.38,15.0,15.41,16.09,16.44,15.66,15.22,15.66,15.84,15.44,15.5,15.88,15.56,13.56,10.38,7.72,5.56,3.88,2.75,3.28,5.5,8.44,10.84,14.19,17.91,21.47,23.28,24.25,24.84,24.59,22.75,20.22,18.34,17.06,15.75,14.38,13.66,13.94,14.22,12.78,11.88,11.47,11.47,10.88,11.09,12.38,13.91,14.88,14.94,15.0,14.53,13.56,11.91,11.0,11.62,13.25,14.28,15.34,16.53,17.06,15.72,13.5,12.09,11.25,10.03,8.75,8.41,9.0,9.28,9.06,9.44,10.81,12.62,13.62,14.72,16.5,18.5,18.88,18.53,18.12,18.09,17.16,16.0,16.34,17.78,19.06,19.5,19.66,19.88,19.56,17.72,15.97,14.72,14.41,14.31,14.5,16.19,18.06,18.47,17.28,15.91,15.22,15.34,15.41,16.28,17.97,19.5,19.0,18.16,17.53,17.84,17.19,15.97,14.97,14.47,13.38,11.28,9.5,8.5,7.62,6.0,5.5,6.78,9.06,11.25,12.84,14.62,16.03,16.28,15.09,13.81,12.56,11.44,9.28,7.5,6.75,6.5,5.41,4.69,4.75,5.41,4.47,2.75,1.16,0.34,-0.84,-1.91,-2.09,-0.44,1.38,2.59,4.34,6.22,7.38,6.84,5.97,5.03,5.03,4.56,4.31,4.16,5.03,5.16,4.12,3.16,2.97,3.25,2.38,2.12,2.84,4.03,3.78,2.47,1.22,-0.31,-2.59,-4.72,-5.28,-3.72,-1.28,1.38,3.88,7.22,10.28,11.78,11.88,11.78,11.53,10.0,8.31,7.28,7.12,6.94,6.53,6.47,7.72,8.81,9.31,8.81,8.78,8.44,6.88,4.88,3.91,3.81,3.88,4.38,5.75,8.41,10.47,11.53,12.12,13.56,14.41,14.44,13.66,13.62,13.47,11.97,9.78,7.94,6.38,4.12,0.81,-2.31,-4.31,-6.75,-9.56,-11.91,-12.62,-12.56,-11.81,-10.19,-6.88,-2.66,0.66,2.88,5.34,7.91,9.75,10.31,10.69,11.38,11.81,11.47,10.81,11.72,12.62,12.81,12.25,11.78,11.28,9.31,6.31,2.94,0.66,-1.69,-3.78,-4.5,-2.47,0.94,4.81,8.88,13.88,18.09,20.09,19.53,17.84,14.88,9.81,3.31,-2.78,-7.28,-10.47,-12.69,-13.69,-12.41,-11.09,-10.25,-9.25,-7.59,-5.44,-3.75,-2.88,-2.25,-1.66,-1.72,-2.97,-3.84,-3.5,-2.78,-2.62,-2.09,-0.44,1.38,2.41,2.91,3.75,3.78,3.31,1.44,-0.28,-1.19,-2.16,-3.66,-4.31,-3.31,-1.62,-0.19,1.66,3.56,5.41,6.5,6.38,6.5,7.06,7.31,6.88,7.12,7.72,8.19,7.59,6.56,5.97,5.19,3.84,2.34,1.5,0.75,-0.19,-1.81,-2.78,-3.16,-3.12,-4.09,-4.03,-3.03,-2.34,-2.31,-2.62,-1.5,-0.62,-0.19,-0.69,-0.91,-0.91,-1.0,-1.47,-1.19,-0.03,0.5,0.31,-0.19,-0.06,0.16,-0.09,-0.34,0.5,1.88,3.06,3.97,4.97,5.75,5.69,4.5,3.38,2.75,2.97,2.66,2.66,3.34,4.0,3.56,2.22,1.78,1.59,1.53,1.34,2.38,3.53,4.47,3.81,3.03,2.03,1.31,0.41,0.53,1.72,3.62,5.06,5.41,5.25,4.66,3.78,1.81,0.59,0.59,1.38,1.53,1.84,2.53,3.31,3.41,2.88,2.25,2.03,1.12,-0.84,-1.91,-1.91,-1.41,-1.22,-0.28,1.12,2.41,2.78,2.47,2.44,2.75,1.84,0.56,-0.5,-0.97,-1.41,-2.31,-2.47,-2.28,-2.34,-3.12,-3.91,-3.69,-3.09,-2.94,-3.16,-3.0,-2.12,-1.31,-0.31,1.31,3.69,5.44,5.47,5.34,5.22,4.88,3.72,2.72,2.0,1.5,0.81,0.28,0.53,1.34,2.5,3.0,3.94,5.84,8.06,9.31,10.31,11.53,12.47,12.06,10.94,9.66,8.97,7.75,6.16,5.16,4.97,4.41,2.84,1.47,1.41,1.59,1.78,1.72,1.62,2.03,1.56,1.38,1.88,3.19,4.47,5.12,5.5,6.66,6.97,6.72,6.28,6.88,7.59,7.78,7.47,6.84,6.06,4.38,2.34,1.03,1.09,1.5,1.53,1.56,1.78,1.41,0.03,-2.22,-3.41,-3.72,-3.94,-3.97,-3.12,-1.59,-0.66,-0.19,0.16,1.41,2.84,4.03,5.44,7.78,10.28,11.59,11.34,11.38,10.41,8.66,6.09,3.84,2.47,0.81,-1.06,-3.0,-3.91,-4.41,-5.34,-6.22,-5.66,-5.0,-4.19,-3.91,-2.75,-1.09,0.22,1.16,2.66,5.34,7.69,9.16,10.19,11.28,11.34,9.31,6.44,4.19,2.16,0.31,-1.41,-1.69,-1.25,-0.66,-0.91,-1.38,-1.25,-1.47,-2.5,-3.69,-3.69,-3.34,-3.53,-3.75,-3.16,-2.19,-1.19,-0.78,0.28,1.75,3.22,4.03,4.44,5.44,6.22,5.75,4.78,4.47,4.44,4.03,3.28,3.44,4.09,4.47,4.34,4.0,3.81,3.41,1.47,-0.53,-1.47,-2.5,-3.69,-4.88,-4.84,-4.09,-3.41,-2.62,-1.09,1.47,4.0,5.25,6.84,8.41,9.34,9.19,8.09,8.22,8.31,8.09,7.34,7.84,8.59,8.72,8.25,7.69,7.5,7.44,6.5,5.84,6.19,6.66,6.19,4.94,4.84,5.12,5.47,5.5,6.03,7.56,7.91,7.53,7.78,8.75,9.84,10.12,9.88,9.75,9.75,8.84,7.69,7.62,8.34,8.81,8.72,9.41,10.41,11.66,11.5,11.0,11.09,10.97,9.41,7.41,6.47,6.34,5.91,4.94,4.91,4.97,4.44,2.91,1.66,1.19,1.34,0.62,0.31,1.34,2.69,3.03,3.41,4.72,6.69,8.28,9.66,11.25,12.31,12.19,10.44,8.25,6.66,5.0,2.69,0.56,-0.22,-0.31,-0.34,-0.56,0.56,2.12,3.03,3.0,3.12,3.44,3.41,2.38,1.88,1.94,3.03,2.78,2.28,2.0,2.03,0.94,0.06,-0.38,0.0,-0.28,-1.41,-2.56,-2.56,-1.88,-1.47,0.12,2.94,6.28,8.44,9.81,10.41,10.59,8.72,5.62,2.62,1.06,0.03,-1.12,-1.44,-1.0,0.03,-0.34,-0.47,0.28,1.88,2.34,2.44,3.31,4.66,5.25,5.06,4.47,4.44,3.25,0.69,-1.62,-2.78,-2.81,-3.22,-2.75,-1.38,0.09,0.31,-0.16,-0.31,0.12,0.09,-0.19,0.31,2.12,4.38,5.75,6.94,8.88,10.09,9.88,9.06,9.16,9.84,9.88,9.84,10.09,10.16,9.66,7.59,5.78,4.94,4.03,2.84,1.94,2.31,3.5,4.06,4.62,5.66,7.03,6.94,6.06,4.94,4.72,4.16,3.38,2.56,3.47,4.31,4.06,3.91,4.03,4.22,3.09,1.06,-0.5,-1.19,-1.84,-2.34,-1.91,-0.06,1.81,3.47,5.31,7.97,10.28,10.97,10.84,10.47,9.81,8.38,6.44,35.56,35.66,36.66,38.44,40.44,43.09,45.72,48.44,51.22,53.97,56.25,58.62,60.34,61.47,61.59,60.78,59.88,58.25,56.44,54.31,51.88:23.25,24.81,25.41,26.12,27.16,28.72,29.41,30.19,31.75,33.62,34.81,35.62,36.84,37.72,37.81,36.38,34.69,33.12,31.62,28.88,26.81,25.81,25.22,24.03,23.03,23.0,23.12,23.38,23.25,24.25,25.88,27.81,28.56,29.19,30.12,30.81,30.53,30.44,31.16,31.88,30.72,28.88,26.81,24.88,22.59,20.88,20.31,20.97,21.62,21.56,21.25,21.66,22.34,22.25,21.88,22.31,23.09,23.53,23.62,24.78,26.12,27.0,26.97,27.0,27.44,27.84,27.16,26.84,26.94,27.75,27.81,28.19,28.81,29.75,30.09,29.59,29.16,29.19,29.06,28.53,27.88,28.22,28.62,27.41,26.0,24.44,23.0,20.47,18.28,17.53,18.25,19.19,19.81,20.69,21.91,22.84,22.16,21.5,20.84,19.97,18.31,16.97,16.53,16.56,16.38,14.88,13.22,11.75,10.28,8.5,8.03,9.12,11.34,13.84,17.16,20.88,24.72,26.88,27.41,27.31,27.0,26.28,24.88,23.88,24.03,23.78,23.22,22.41,22.5,23.06,23.09,22.84,22.75,22.94,22.16,20.56,19.03,18.22,17.28,15.69,14.94,15.25,15.88,15.84,15.88,15.91,15.75,14.56,12.91,11.84,11.34,10.56,9.59,8.84,9.06,9.06,8.16,7.94,8.91,9.94,10.28,10.41,10.88,11.41,11.0,10.91,11.38,12.66,14.12,14.81,15.62,17.34,19.28,20.44,21.72,23.03,23.75,22.78,21.06,19.81,18.84,17.62,16.75,15.88,15.75,15.28,14.44,12.94,11.94,10.81,8.97,6.75,5.28,4.19,3.28,2.31,2.56,4.75,7.03,9.44,12.44,16.12,19.19,21.09,21.94,22.72,22.94,21.22,19.44,18.28,17.59,16.75,15.41,14.16,12.91,10.31,7.53,4.81,3.97,4.0,4.66,5.66,7.91,10.28,11.5,11.72,11.97,12.5,12.84,12.66,13.19,15.06,16.72,18.16,19.25,20.84,21.94,21.59,20.56,20.44,21.0,21.12,20.97,21.62,22.16,22.25,21.19,20.28,19.94,19.69,18.5,17.47,17.41,16.84,15.97,14.62,14.03,14.47,14.97,15.44,16.38,17.78,18.16,17.62,16.41,15.94,15.84,15.06,14.81,15.25,16.12,17.0,17.12,17.62,18.44,18.72,18.22,17.88,18.25,18.84,18.88,19.03,19.88,20.94,20.56,19.5,18.97,18.59,17.78,16.56,15.88,15.41,14.5,12.56,10.78,10.56,11.06,11.41,11.88,13.38,15.0,15.38,15.0,15.41,16.09,16.44,15.66,15.22,15.66,15.84,15.44,15.5,15.88,15.56,13.56,10.38,7.72,5.56,3.88,2.75,3.28,5.5,8.44,10.84,14.19,17.91,21.47,23.28,24.25,24.84,24.59,22.75,20.22,18.34,17.06,15.75,14.38,13.66,13.94,14.22,12.78,11.88,11.47,11.47,10.88,11.09,12.38,13.91,14.88,14.94,15.0,14.53,13.56,11.91,11.0,11.62,13.25,14.28,15.34,16.53,17.06,15.72,13.5,12.09,11.25,10.03,8.75,8.41,9.0,9.28,9.06,9.44,10.81,12.62,13.62,14.72,16.5,18.5,18.88,18.53,18.12,18.09,17.16,16.0,16.34,17.78,19.06,19.5,19.66,19.88,19.56,17.72,15.97,14.72,14.41,14.31,14.5,16.19,18.06,18.47,17.28,15.91,15.22,15.34,15.41,16.28,17.97,19.5,19.0,18.16,17.53,17.84,17.19,15.97,14.97,14.47,13.38,11.28,9.5,8.5,7.62,6.0,5.5,6.78,9.06,11.25,12.84,14.62,16.03,16.28,15.09,13.81,12.56,11.44,9.28,7.5,6.75,6.5,5.41,4.69,4.75,5.41,4.47,2.75,1.16,0.34,-0.84,-1.91,-2.09,-0.44,1.38,2.59,4.34,6.22,7.38,6.84,5.97,5.03,5.03,4.56,4.31,4.16,5.03,5.16,4.12,3.16,2.97,3.25,2.38,2.12,2.84,4.03,3.78,2.47,1.22,-0.31,-2.59,-4.72,-5.28,-3.72,-1.28,1.38,3.88,7.22,10.28,11.78,11.88,11.78,11.53,10.0,8.31,7.28,7.12,6.94,6.53,6.47,7.72,8.81,9.31,8.81,8.78,8.44,6.88,4.88,3.91,3.81,3.88,4.38,5.75,8.41,10.47,11.53,12.12,13.56,14.41,14.44,13.66,13.62,13.47,11.97,9.78,7.94,6.38,4.12,0.81,-2.31,-4.31,-6.75,-9.56,-11.91,-12.62,-12.56,-11.81,-10.19,-6.88,-2.66,0.66,2.88,5.34,7.91,9.75,10.31,10.69,11.38,11.81,11.47,10.81,11.72,12.62,12.81,12.25,11.78,11.28,9.31,6.31,2.94,0.66,-1.69,-3.78,-4.5,-2.47,0.94,4.81,8.88,13.88,18.09,20.09,19.53,17.84,14.88,9.81,3.31,-2.78,-7.28,-10.47,-12.69,-13.69,-12.41,-11.09,-10.25,-9.25,-7.59,-5.44,-3.75,-2.88,-2.25,-1.66,-1.72,-2.97,-3.84,-3.5,-2.78,-2.62,-2.09,-0.44,1.38,2.41,2.91,3.75,3.78,3.31,1.44,-0.28,-1.19,-2.16,-3.66,-4.31,-3.31,-1.62,-0.19,1.66,3.56,5.41,6.5,6.38,6.5,7.06,7.31,6.88,7.12,7.72,8.19,7.59,6.56,5.97,5.19,3.84,2.34,1.5,0.75,-0.19,-1.81,-2.78,-3.16,-3.12,-4.09,-4.03,-3.03,-2.34,-2.31,-2.62,-1.5,-0.62,-0.19,-0.69,-0.91,-0.91,-1.0,-1.47,-1.19,-0.03,0.5,0.31,-0.19,-0.06,0.16,-0.09,-0.34,0.5,1.88,3.06,3.97,4.97,5.75,5.69,4.5,3.38,2.75,2.97,2.66,2.66,3.34,4.0,3.56,2.22,1.78,1.59,1.53,1.34,2.38,3.53,4.47,3.81,3.03,2.03,1.31,0.41,0.53,1.72,3.62,5.06,5.41,5.25,4.66,3.78,1.81,0.59,0.59,1.38,1.53,1.84,2.53,3.31,3.41,2.88,2.25,2.03,1.12,-0.84,-1.91,-1.91,-1.41,-1.22,-0.28,1.12,2.41,2.78,2.47,2.44,2.75,1.84,0.56,-0.5,-0.97,-1.41,-2.31,-2.47,-2.28,-2.34,-3.12,-3.91,-3.69,-3.09,-2.94,-3.16,-3.0,-2.12,-1.31,-0.31,1.31,3.69,5.44,5.47,5.34,5.22,4.88,3.72,2.72,2.0,1.5,0.81,0.28,0.53,1.34,2.5,3.0,3.94,5.84,8.06,9.31,10.31,11.53,12.47,12.06,10.94,9.66,8.97,7.75,6.16,5.16,4.97,4.41,2.84,1.47,1.41,1.59,1.78,1.72,1.62,2.03,1.56,1.38,1.88,3.19,4.47,5.12,5.5,6.66,6.97,6.72,6.28,6.88,7.59,7.78,7.47,6.84,6.06,4.38,2.34,1.03,1.09,1.5,1.53,1.56,1.78,1.41,0.03,-2.22,-3.41,-3.72,-3.94,-3.97,-3.12,-1.59,-0.66,-0.19,0.16,1.41,2.84,4.03,5.44,7.78,10.28,11.59,11.34,11.38,10.41,8.66,6.09,3.84,2.47,0.81,-1.06,-3.0,-3.91,-4.41,-5.34,-6.22,-5.66,-5.0,-4.19,-3.91,-2.75,-1.09,0.22,1.16,2.66,5.34,7.69,9.16,10.19,11.28,11.34,9.31,6.44,4.19,2.16,0.31,-1.41,-1.69,-1.25,-0.66,-0.91,-1.38,-1.25,-1.47,-2.5,-3.69,-3.69,-3.34,-3.53,-3.75,-3.16,-2.19,-1.19,-0.78,0.28,1.75,3.22,4.03,4.44,5.44,6.22,5.75,4.78,4.47,4.44,4.03,3.28,3.44,4.09,4.47,4.34,4.0,3.81,3.41,1.47,-0.53,-1.47,-2.5,-3.69,-4.88,-4.84,-4.09,-3.41,-2.62,-1.09,1.47,4.0,5.25,6.84,8.41,9.34,9.19,8.09,8.22,8.31,8.09,7.34,7.84,8.59,8.72,8.25,7.69,7.5,7.44,6.5,5.84,6.19,6.66,6.19,4.94,4.84,5.12,5.47,5.5,6.03,7.56,7.91,7.53,7.78,8.75,9.84,10.12,9.88,9.75,9.75,8.84,7.69,7.62,8.34,8.81,8.72,9.41,10.41,11.66,11.5,11.0,11.09,10.97,9.41,7.41,6.47,6.34,5.91,4.94,4.91,4.97,4.44,2.91,1.66,1.19,1.34,0.62,0.31,1.34,2.69,3.03,3.41,4.72,6.69,8.28,9.66,11.25,12.31,12.19,10.44,8.25,6.66,5.0,2.69,0.56,-0.22,-0.31,-0.34,-0.56,0.56,2.12,3.03,3.0,3.12,3.44,3.41,2.38,1.88,1.94,3.03,2.78,2.28,2.0,2.03,0.94,0.06,-0.38,0.0,-0.28,-1.41,-2.56,-2.56,-1.88,-1.47,0.12,2.94,6.28,8.44,9.81,10.41,10.59,8.72,5.62,2.62,1.06,0.03,-1.12,-1.44,-1.0,0.03,-0.34,-0.47,0.28,1.88,2.34,2.44,3.31,4.66,5.25,5.06,4.47,4.44,3.25,0.69,-1.62,-2.78,-2.81,-3.22,-2.75,-1.38,0.09,0.31,-0.16,-0.31,0.12,0.09,-0.19,0.31,2.12,4.38,5.75,6.94,8.88,10.09,9.88,9.06,9.16,9.84,9.88,9.84,10.09,10.16,9.66,7.59,5.78,4.94,4.03,2.84,1.94,2.31,3.5,4.06,4.62,5.66,7.03,6.94,6.06,4.94,4.72,4.16,3.38,2.56,3.47,4.31,4.06,3.91,4.03,4.22,3.09,1.06,-0.5,-1.19,-1.84,-2.34,-1.91,-0.06,1.81,3.47,5.31,7.97,10.28,10.97,10.84,10.47,9.81,8.38,6.44,35.56,35.66,36.66,38.44,40.44,43.09,45.72,48.44,51.22,53.97,56.25,58.62,60.34,61.47,61.59,60.78,59.88,58.25,56.44,54.31,51.88,49.47,46.81,44.69,43.5,43.09,43.72,44.91:30.19,31.75,33.62,34.81,35.62,36.84,37.72,37.81,36.38,34.69,33.12,31.62,28.88,26.81,25.81,25.22,24.03,23.03,23.0,23.12,23.38,23.25,24.25,25.88,27.81,28.56,29.19,30.12,30.81,30.53,30.44,31.16,31.88,30.72,28.88,26.81,24.88,22.59,20.88,20.31,20.97,21.62,21.56,21.25,21.66,22.34,22.25,21.88,22.31,23.09,23.53,23.62,24.78,26.12,27.0,26.97,27.0,27.44,27.84,27.16,26.84,26.94,27.75,27.81,28.19,28.81,29.75,30.09,29.59,29.16,29.19,29.06,28.53,27.88,28.22,28.62,27.41,26.0,24.44,23.0,20.47,18.28,17.53,18.25,19.19,19.81,20.69,21.91,22.84,22.16,21.5,20.84,19.97,18.31,16.97,16.53,16.56,16.38,14.88,13.22,11.75,10.28,8.5,8.03,9.12,11.34,13.84,17.16,20.88,24.72,26.88,27.41,27.31,27.0,26.28,24.88,23.88,24.03,23.78,23.22,22.41,22.5,23.06,23.09,22.84,22.75,22.94,22.16,20.56,19.03,18.22,17.28,15.69,14.94,15.25,15.88,15.84,15.88,15.91,15.75,14.56,12.91,11.84,11.34,10.56,9.59,8.84,9.06,9.06,8.16,7.94,8.91,9.94,10.28,10.41,10.88,11.41,11.0,10.91,11.38,12.66,14.12,14.81,15.62,17.34,19.28,20.44,21.72,23.03,23.75,22.78,21.06,19.81,18.84,17.62,16.75,15.88,15.75,15.28,14.44,12.94,11.94,10.81,8.97,6.75,5.28,4.19,3.28,2.31,2.56,4.75,7.03,9.44,12.44,16.12,19.19,21.09,21.94,22.72,22.94,21.22,19.44,18.28,17.59,16.75,15.41,14.16,12.91,10.31,7.53,4.81,3.97,4.0,4.66,5.66,7.91,10.28,11.5,11.72,11.97,12.5,12.84,12.66,13.19,15.06,16.72,18.16,19.25,20.84,21.94,21.59,20.56,20.44,21.0,21.12,20.97,21.62,22.16,22.25,21.19,20.28,19.94,19.69,18.5,17.47,17.41,16.84,15.97,14.62,14.03,14.47,14.97,15.44,16.38,17.78,18.16,17.62,16.41,15.94,15.84,15.06,14.81,15.25,16.12,17.0,17.12,17.62,18.44,18.72,18.22,17.88,18.25,18.84,18.88,19.03,19.88,20.94,20.56,19.5,18.97,18.59,17.78,16.56,15.88,15.41,14.5,12.56,10.78,10.56,11.06,11.41,11.88,13.38,15.0,15.38,15.0,15.41,16.09,16.44,15.66,15.22,15.66,15.84,15.44,15.5,15.88,15.56,13.56,10.38,7.72,5.56,3.88,2.75,3.28,5.5,8.44,10.84,14.19,17.91,21.47,23.28,24.25,24.84,24.59,22.75,20.22,18.34,17.06,15.75,14.38,13.66,13.94,14.22,12.78,11.88,11.47,11.47,10.88,11.09,12.38,13.91,14.88,14.94,15.0,14.53,13.56,11.91,11.0,11.62,13.25,14.28,15.34,16.53,17.06,15.72,13.5,12.09,11.25,10.03,8.75,8.41,9.0,9.28,9.06,9.44,10.81,12.62,13.62,14.72,16.5,18.5,18.88,18.53,18.12,18.09,17.16,16.0,16.34,17.78,19.06,19.5,19.66,19.88,19.56,17.72,15.97,14.72,14.41,14.31,14.5,16.19,18.06,18.47,17.28,15.91,15.22,15.34,15.41,16.28,17.97,19.5,19.0,18.16,17.53,17.84,17.19,15.97,14.97,14.47,13.38,11.28,9.5,8.5,7.62,6.0,5.5,6.78,9.06,11.25,12.84,14.62,16.03,16.28,15.09,13.81,12.56,11.44,9.28,7.5,6.75,6.5,5.41,4.69,4.75,5.41,4.47,2.75,1.16,0.34,-0.84,-1.91,-2.09,-0.44,1.38,2.59,4.34,6.22,7.38,6.84,5.97,5.03,5.03,4.56,4.31,4.16,5.03,5.16,4.12,3.16,2.97,3.25,2.38,2.12,2.84,4.03,3.78,2.47,1.22,-0.31,-2.59,-4.72,-5.28,-3.72,-1.28,1.38,3.88,7.22,10.28,11.78,11.88,11.78,11.53,10.0,8.31,7.28,7.12,6.94,6.53,6.47,7.72,8.81,9.31,8.81,8.78,8.44,6.88,4.88,3.91,3.81,3.88,4.38,5.75,8.41,10.47,11.53,12.12,13.56,14.41,14.44,13.66,13.62,13.47,11.97,9.78,7.94,6.38,4.12,0.81,-2.31,-4.31,-6.75,-9.56,-11.91,-12.62,-12.56,-11.81,-10.19,-6.88,-2.66,0.66,2.88,5.34,7.91,9.75,10.31,10.69,11.38,11.81,11.47,10.81,11.72,12.62,12.81,12.25,11.78,11.28,9.31,6.31,2.94,0.66,-1.69,-3.78,-4.5,-2.47,0.94,4.81,8.88,13.88,18.09,20.09,19.53,17.84,14.88,9.81,3.31,-2.78,-7.28,-10.47,-12.69,-13.69,-12.41,-11.09,-10.25,-9.25,-7.59,-5.44,-3.75,-2.88,-2.25,-1.66,-1.72,-2.97,-3.84,-3.5,-2.78,-2.62,-2.09,-0.44,1.38,2.41,2.91,3.75,3.78,3.31,1.44,-0.28,-1.19,-2.16,-3.66,-4.31,-3.31,-1.62,-0.19,1.66,3.56,5.41,6.5,6.38,6.5,7.06,7.31,6.88,7.12,7.72,8.19,7.59,6.56,5.97,5.19,3.84,2.34,1.5,0.75,-0.19,-1.81,-2.78,-3.16,-3.12,-4.09,-4.03,-3.03,-2.34,-2.31,-2.62,-1.5,-0.62,-0.19,-0.69,-0.91,-0.91,-1.0,-1.47,-1.19,-0.03,0.5,0.31,-0.19,-0.06,0.16,-0.09,-0.34,0.5,1.88,3.06,3.97,4.97,5.75,5.69,4.5,3.38,2.75,2.97,2.66,2.66,3.34,4.0,3.56,2.22,1.78,1.59,1.53,1.34,2.38,3.53,4.47,3.81,3.03,2.03,1.31,0.41,0.53,1.72,3.62,5.06,5.41,5.25,4.66,3.78,1.81,0.59,0.59,1.38,1.53,1.84,2.53,3.31,3.41,2.88,2.25,2.03,1.12,-0.84,-1.91,-1.91,-1.41,-1.22,-0.28,1.12,2.41,2.78,2.47,2.44,2.75,1.84,0.56,-0.5,-0.97,-1.41,-2.31,-2.47,-2.28,-2.34,-3.12,-3.91,-3.69,-3.09,-2.94,-3.16,-3.0,-2.12,-1.31,-0.31,1.31,3.69,5.44,5.47,5.34,5.22,4.88,3.72,2.72,2.0,1.5,0.81,0.28,0.53,1.34,2.5,3.0,3.94,5.84,8.06,9.31,10.31,11.53,12.47,12.06,10.94,9.66,8.97,7.75,6.16,5.16,4.97,4.41,2.84,1.47,1.41,1.59,1.78,1.72,1.62,2.03,1.56,1.38,1.88,3.19,4.47,5.12,5.5,6.66,6.97,6.72,6.28,6.88,7.59,7.78,7.47,6.84,6.06,4.38,2.34,1.03,1.09,1.5,1.53,1.56,1.78,1.41,0.03,-2.22,-3.41,-3.72,-3.94,-3.97,-3.12,-1.59,-0.66,-0.19,0.16,1.41,2.84,4.03,5.44,7.78,10.28,11.59,11.34,11.38,10.41,8.66,6.09,3.84,2.47,0.81,-1.06,-3.0,-3.91,-4.41,-5.34,-6.22,-5.66,-5.0,-4.19,-3.91,-2.75,-1.09,0.22,1.16,2.66,5.34,7.69,9.16,10.19,11.28,11.34,9.31,6.44,4.19,2.16,0.31,-1.41,-1.69,-1.25,-0.66,-0.91,-1.38,-1.25,-1.47,-2.5,-3.69,-3.69,-3.34,-3.53,-3.75,-3.16,-2.19,-1.19,-0.78,0.28,1.75,3.22,4.03,4.44,5.44,6.22,5.75,4.78,4.47,4.44,4.03,3.28,3.44,4.09,4.47,4.34,4.0,3.81,3.41,1.47,-0.53,-1.47,-2.5,-3.69,-4.88,-4.84,-4.09,-3.41,-2.62,-1.09,1.47,4.0,5.25,6.84,8.41,9.34,9.19,8.09,8.22,8.31,8.09,7.34,7.84,8.59,8.72,8.25,7.69,7.5,7.44,6.5,5.84,6.19,6.66,6.19,4.94,4.84,5.12,5.47,5.5,6.03,7.56,7.91,7.53,7.78,8.75,9.84,10.12,9.88,9.75,9.75,8.84,7.69,7.62,8.34,8.81,8.72,9.41,10.41,11.66,11.5,11.0,11.09,10.97,9.41,7.41,6.47,6.34,5.91,4.94,4.91,4.97,4.44,2.91,1.66,1.19,1.34,0.62,0.31,1.34,2.69,3.03,3.41,4.72,6.69,8.28,9.66,11.25,12.31,12.19,10.44,8.25,6.66,5.0,2.69,0.56,-0.22,-0.31,-0.34,-0.56,0.56,2.12,3.03,3.0,3.12,3.44,3.41,2.38,1.88,1.94,3.03,2.78,2.28,2.0,2.03,0.94,0.06,-0.38,0.0,-0.28,-1.41,-2.56,-2.56,-1.88,-1.47,0.12,2.94,6.28,8.44,9.81,10.41,10.59,8.72,5.62,2.62,1.06,0.03,-1.12,-1.44,-1.0,0.03,-0.34,-0.47,0.28,1.88,2.34,2.44,3.31,4.66,5.25,5.06,4.47,4.44,3.25,0.69,-1.62,-2.78,-2.81,-3.22,-2.75,-1.38,0.09,0.31,-0.16,-0.31,0.12,0.09,-0.19,0.31,2.12,4.38,5.75,6.94,8.88,10.09,9.88,9.06,9.16,9.84,9.88,9.84,10.09,10.16,9.66,7.59,5.78,4.94,4.03,2.84,1.94,2.31,3.5,4.06,4.62,5.66,7.03,6.94,6.06,4.94,4.72,4.16,3.38,2.56,3.47,4.31,4.06,3.91,4.03,4.22,3.09,1.06,-0.5,-1.19,-1.84,-2.34,-1.91,-0.06,1.81,3.47,5.31,7.97,10.28,10.97,10.84,10.47,9.81,8.38,6.44,35.56,35.66,36.66,38.44,40.44,43.09,45.72,48.44,51.22,53.97,56.25,58.62,60.34,61.47,61.59,60.78,59.88,58.25,56.44,54.31,51.88,49.47,46.81,44.69,43.5,43.09,43.72,44.91,46.28,47.97,49.03,50.0,50.81,51.84,53.22:37.81,36.38,34.69,33.12,31.62,28.88,26.81,25.81,25.22,24.03,23.03,23.0,23.12,23.38,23.25,24.25,25.88,27.81,28.56,29.19,30.12,30.81,30.53,30.44,31.16,31.88,30.72,28.88,26.81,24.88,22.59,20.88,20.31,20.97,21.62,21.56,21.25,21.66,22.34,22.25,21.88,22.31,23.09,23.53,23.62,24.78,26.12,27.0,26.97,27.0,27.44,27.84,27.16,26.84,26.94,27.75,27.81,28.19,28.81,29.75,30.09,29.59,29.16,29.19,29.06,28.53,27.88,28.22,28.62,27.41,26.0,24.44,23.0,20.47,18.28,17.53,18.25,19.19,19.81,20.69,21.91,22.84,22.16,21.5,20.84,19.97,18.31,16.97,16.53,16.56,16.38,14.88,13.22,11.75,10.28,8.5,8.03,9.12,11.34,13.84,17.16,20.88,24.72,26.88,27.41,27.31,27.0,26.28,24.88,23.88,24.03,23.78,23.22,22.41,22.5,23.06,23.09,22.84,22.75,22.94,22.16,20.56,19.03,18.22,17.28,15.69,14.94,15.25,15.88,15.84,15.88,15.91,15.75,14.56,12.91,11.84,11.34,10.56,9.59,8.84,9.06,9.06,8.16,7.94,8.91,9.94,10.28,10.41,10.88,11.41,11.0,10.91,11.38,12.66,14.12,14.81,15.62,17.34,19.28,20.44,21.72,23.03,23.75,22.78,21.06,19.81,18.84,17.62,16.75,15.88,15.75,15.28,14.44,12.94,11.94,10.81,8.97,6.75,5.28,4.19,3.28,2.31,2.56,4.75,7.03,9.44,12.44,16.12,19.19,21.09,21.94,22.72,22.94,21.22,19.44,18.28,17.59,16.75,15.41,14.16,12.91,10.31,7.53,4.81,3.97,4.0,4.66,5.66,7.91,10.28,11.5,11.72,11.97,12.5,12.84,12.66,13.19,15.06,16.72,18.16,19.25,20.84,21.94,21.59,20.56,20.44,21.0,21.12,20.97,21.62,22.16,22.25,21.19,20.28,19.94,19.69,18.5,17.47,17.41,16.84,15.97,14.62,14.03,14.47,14.97,15.44,16.38,17.78,18.16,17.62,16.41,15.94,15.84,15.06,14.81,15.25,16.12,17.0,17.12,17.62,18.44,18.72,18.22,17.88,18.25,18.84,18.88,19.03,19.88,20.94,20.56,19.5,18.97,18.59,17.78,16.56,15.88,15.41,14.5,12.56,10.78,10.56,11.06,11.41,11.88,13.38,15.0,15.38,15.0,15.41,16.09,16.44,15.66,15.22,15.66,15.84,15.44,15.5,15.88,15.56,13.56,10.38,7.72,5.56,3.88,2.75,3.28,5.5,8.44,10.84,14.19,17.91,21.47,23.28,24.25,24.84,24.59,22.75,20.22,18.34,17.06,15.75,14.38,13.66,13.94,14.22,12.78,11.88,11.47,11.47,10.88,11.09,12.38,13.91,14.88,14.94,15.0,14.53,13.56,11.91,11.0,11.62,13.25,14.28,15.34,16.53,17.06,15.72,13.5,12.09,11.25,10.03,8.75,8.41,9.0,9.28,9.06,9.44,10.81,12.62,13.62,14.72,16.5,18.5,18.88,18.53,18.12,18.09,17.16,16.0,16.34,17.78,19.06,19.5,19.66,19.88,19.56,17.72,15.97,14.72,14.41,14.31,14.5,16.19,18.06,18.47,17.28,15.91,15.22,15.34,15.41,16.28,17.97,19.5,19.0,18.16,17.53,17.84,17.19,15.97,14.97,14.47,13.38,11.28,9.5,8.5,7.62,6.0,5.5,6.78,9.06,11.25,12.84,14.62,16.03,16.28,15.09,13.81,12.56,11.44,9.28,7.5,6.75,6.5,5.41,4.69,4.75,5.41,4.47,2.75,1.16,0.34,-0.84,-1.91,-2.09,-0.44,1.38,2.59,4.34,6.22,7.38,6.84,5.97,5.03,5.03,4.56,4.31,4.16,5.03,5.16,4.12,3.16,2.97,3.25,2.38,2.12,2.84,4.03,3.78,2.47,1.22,-0.31,-2.59,-4.72,-5.28,-3.72,-1.28,1.38,3.88,7.22,10.28,11.78,11.88,11.78,11.53,10.0,8.31,7.28,7.12,6.94,6.53,6.47,7.72,8.81,9.31,8.81,8.78,8.44,6.88,4.88,3.91,3.81,3.88,4.38,5.75,8.41,10.47,11.53,12.12,13.56,14.41,14.44,13.66,13.62,13.47,11.97,9.78,7.94,6.38,4.12,0.81,-2.31,-4.31,-6.75,-9.56,-11.91,-12.62,-12.56,-11.81,-10.19,-6.88,-2.66,0.66,2.88,5.34,7.91,9.75,10.31,10.69,11.38,11.81,11.47,10.81,11.72,12.62,12.81,12.25,11.78,11.28,9.31,6.31,2.94,0.66,-1.69,-3.78,-4.5,-2.47,0.94,4.81,8.88,13.88,18.09,20.09,19.53,17.84,14.88,9.81,3.31,-2.78,-7.28,-10.47,-12.69,-13.69,-12.41,-11.09,-10.25,-9.25,-7.59,-5.44,-3.75,-2.88,-2.25,-1.66,-1.72,-2.97,-3.84,-3.5,-2.78,-2.62,-2.09,-0.44,1.38,2.41,2.91,3.75,3.78,3.31,1.44,-0.28,-1.19,-2.16,-3.66,-4.31,-3.31,-1.62,-0.19,1.66,3.56,5.41,6.5,6.38,6.5,7.06,7.31,6.88,7.12,7.72,8.19,7.59,6.56,5.97,5.19,3.84,2.34,1.5,0.75,-0.19,-1.81,-2.78,-3.16,-3.12,-4.09,-4.03,-3.03,-2.34,-2.31,-2.62,-1.5,-0.62,-0.19,-0.69,-0.91,-0.91,-1.0,-1.47,-1.19,-0.03,0.5,0.31,-0.19,-0.06,0.16,-0.09,-0.34,0.5,1.88,3.06,3.97,4.97,5.75,5.69,4.5,3.38,2.75,2.97,2.66,2.66,3.34,4.0,3.56,2.22,1.78,1.59,1.53,1.34,2.38,3.53,4.47,3.81,3.03,2.03,1.31,0.41,0.53,1.72,3.62,5.06,5.41,5.25,4.66,3.78,1.81,0.59,0.59,1.38,1.53,1.84,2.53,3.31,3.41,2.88,2.25,2.03,1.12,-0.84,-1.91,-1.91,-1.41,-1.22,-0.28,1.12,2.41,2.78,2.47,2.44,2.75,1.84,0.56,-0.5,-0.97,-1.41,-2.31,-2.47,-2.28,-2.34,-3.12,-3.91,-3.69,-3.09,-2.94,-3.16,-3.0,-2.12,-1.31,-0.31,1.31,3.69,5.44,5.47,5.34,5.22,4.88,3.72,2.72,2.0,1.5,0.81,0.28,0.53,1.34,2.5,3.0,3.94,5.84,8.06,9.31,10.31,11.53,12.47,12.06,10.94,9.66,8.97,7.75,6.16,5.16,4.97,4.41,2.84,1.47,1.41,1.59,1.78,1.72,1.62,2.03,1.56,1.38,1.88,3.19,4.47,5.12,5.5,6.66,6.97,6.72,6.28,6.88,7.59,7.78,7.47,6.84,6.06,4.38,2.34,1.03,1.09,1.5,1.53,1.56,1.78,1.41,0.03,-2.22,-3.41,-3.72,-3.94,-3.97,-3.12,-1.59,-0.66,-0.19,0.16,1.41,2.84,4.03,5.44,7.78,10.28,11.59,11.34,11.38,10.41,8.66,6.09,3.84,2.47,0.81,-1.06,-3.0,-3.91,-4.41,-5.34,-6.22,-5.66,-5.0,-4.19,-3.91,-2.75,-1.09,0.22,1.16,2.66,5.34,7.69,9.16,10.19,11.28,11.34,9.31,6.44,4.19,2.16,0.31,-1.41,-1.69,-1.25,-0.66,-0.91,-1.38,-1.25,-1.47,-2.5,-3.69,-3.69,-3.34,-3.53,-3.75,-3.16,-2.19,-1.19,-0.78,0.28,1.75,3.22,4.03,4.44,5.44,6.22,5.75,4.78,4.47,4.44,4.03,3.28,3.44,4.09,4.47,4.34,4.0,3.81,3.41,1.47,-0.53,-1.47,-2.5,-3.69,-4.88,-4.84,-4.09,-3.41,-2.62,-1.09,1.47,4.0,5.25,6.84,8.41,9.34,9.19,8.09,8.22,8.31,8.09,7.34,7.84,8.59,8.72,8.25,7.69,7.5,7.44,6.5,5.84,6.19,6.66,6.19,4.94,4.84,5.12,5.47,5.5,6.03,7.56,7.91,7.53,7.78,8.75,9.84,10.12,9.88,9.75,9.75,8.84,7.69,7.62,8.34,8.81,8.72,9.41,10.41,11.66,11.5,11.0,11.09,10.97,9.41,7.41,6.47,6.34,5.91,4.94,4.91,4.97,4.44,2.91,1.66,1.19,1.34,0.62,0.31,1.34,2.69,3.03,3.41,4.72,6.69,8.28,9.66,11.25,12.31,12.19,10.44,8.25,6.66,5.0,2.69,0.56,-0.22,-0.31,-0.34,-0.56,0.56,2.12,3.03,3.0,3.12,3.44,3.41,2.38,1.88,1.94,3.03,2.78,2.28,2.0,2.03,0.94,0.06,-0.38,0.0,-0.28,-1.41,-2.56,-2.56,-1.88,-1.47,0.12,2.94,6.28,8.44,9.81,10.41,10.59,8.72,5.62,2.62,1.06,0.03,-1.12,-1.44,-1.0,0.03,-0.34,-0.47,0.28,1.88,2.34,2.44,3.31,4.66,5.25,5.06,4.47,4.44,3.25,0.69,-1.62,-2.78,-2.81,-3.22,-2.75,-1.38,0.09,0.31,-0.16,-0.31,0.12,0.09,-0.19,0.31,2.12,4.38,5.75,6.94,8.88,10.09,9.88,9.06,9.16,9.84,9.88,9.84,10.09,10.16,9.66,7.59,5.78,4.94,4.03,2.84,1.94,2.31,3.5,4.06,4.62,5.66,7.03,6.94,6.06,4.94,4.72,4.16,3.38,2.56,3.47,4.31,4.06,3.91,4.03,4.22,3.09,1.06,-0.5,-1.19,-1.84,-2.34,-1.91,-0.06,1.81,3.47,5.31,7.97,10.28,10.97,10.84,10.47,9.81,8.38,6.44,35.56,35.66,36.66,38.44,40.44,43.09,45.72,48.44,51.22,53.97,56.25,58.62,60.34,61.47,61.59,60.78,59.88,58.25,56.44,54.31,51.88,49.47,46.81,44.69,43.5,43.09,43.72,44.91,46.28,47.97,49.03,50.0,50.81,51.84,53.22,54.59,56.0,57.62,58.84,59.72,60.5,60.94:positivity
33.28,35.19,35.53,34.47,35.41,36.28,35.44,32.66,30.94,30.38,29.0,26.28,25.03,26.66,28.38,28.19,27.5,28.5,29.41,28.25,26.25,26.06,27.31,27.84,26.78,27.22,29.25,30.16,28.53,26.94,27.75,28.22,27.16,26.38,28.28,31.19,32.94,33.16,34.75,37.03,37.38,35.34,34.31,34.72,34.62,32.66,30.84,31.62,32.38,31.22,29.94,31.0,33.44,34.88,34.72,35.97,37.84,38.09,35.78,34.44,35.34,36.5,35.34,35.09,36.84,39.16,39.34,38.5,39.09,40.59,40.25,37.94,37.56,38.75,39.31,37.78,37.28,38.19,39.03,37.22,35.34,35.91,37.0,36.69,35.28,35.5,36.56,36.19,34.06,33.41,34.62,35.16,33.0,31.22,31.25,31.72,29.91,28.0,28.56,29.75,29.72,28.0,28.03,29.41,29.19,26.81,25.44,26.5,27.62,26.38,25.97,27.66,29.81,29.47,28.75,30.0,32.28,32.72,31.16,29.78,29.44,27.53,22.94,19.25,18.0,17.19,14.5,12.53,13.0,15.12,15.72,15.62,18.09,21.66,23.88,23.91,24.53,26.56,27.09,25.41,23.94,24.34,25.09,23.22,20.91,21.06,22.25,21.5,19.88,19.94,21.38,21.41,19.56,19.09,20.81,21.97,20.44,19.06,18.94,18.97,16.72,14.28,13.94,15.47,15.31,14.16,14.69,16.78,17.91,16.28,15.28,16.09,16.47,14.69,13.06,14.06,16.66,17.53,17.88,19.94,23.62,25.34,25.19,25.88,28.22,29.06,27.28,25.38,25.97,25.91,23.06,19.94,18.38,18.03,15.78,12.88,11.72,13.06,13.22,11.75,11.66,14.0,15.97,15.41,15.94,19.44,22.72,23.38,22.44,22.31,22.25,19.66,16.38,14.78,16.03,16.28,14.94,14.06,15.31,16.41,15.31,14.5,16.09,17.72,17.09,15.91,16.88,19.78,21.56,22.59,24.69,28.81,31.09,30.59,29.94,31.03,31.38,29.12,26.41,25.88,25.91,24.28,22.03,22.09,24.38,25.91,26.0,26.84,30.03,31.41,30.56,29.5,30.72,32.28,31.69,30.03,30.16,30.31,27.47,22.53,18.56,16.28,12.88,8.34,5.59,6.0,7.03,6.62,7.0,10.06,14.09,15.41,15.97,17.56,20.22,20.75,19.53,19.41,21.28,22.06,20.66,19.81,21.31,22.19,21.25,20.09,21.41,23.16,22.91,21.06,20.56,21.38,20.78,18.97,18.84,21.0,22.41,21.72,21.0,22.19,23.25,22.41,20.72,21.38,23.06,23.38,22.84,23.91,26.38,27.28,25.81,24.94,25.88,26.44,24.53,22.62,23.19,24.0,22.75,20.97,21.34,22.66,21.97,20.09,19.75,21.25,22.25,21.09,20.66,22.38,23.94,23.31,22.31,23.16,24.53,23.88,21.66,21.53,22.72,22.31,20.16,19.09,20.03,20.5,19.38,18.91,21.28,23.56,23.81,23.03,24.38,26.12,25.88,24.16,23.94,25.0,24.94,23.31,23.28,25.56,27.53,26.84,25.62,25.81,25.75,23.59,20.53,19.75,20.19,19.22,16.91,16.75,18.97,20.59,20.31,20.69,22.72,23.59,21.97,19.69,19.5,20.25,18.91,17.25,17.66,19.38,19.84,18.53,18.0,19.16,18.97,16.75,14.75,15.31,15.62,13.97,11.88,11.78,12.66,11.94,10.47,10.91,13.16,13.97,13.72,14.22,16.78,18.62,18.47,17.84,19.12,20.03,18.78,16.75,16.34,17.03,16.28,14.28,13.59,14.28,14.5,12.31,11.09,12.0,12.53,11.12,9.5,10.03,11.62,11.94,11.5,13.41,16.66,18.25,17.72,18.31,20.06,20.94,18.97,17.12,17.38,17.47,15.59,13.41,13.47,14.03,13.38,11.5,10.94,11.66,11.19,9.03,7.97,9.22,10.22,9.31,8.41,9.91,11.5,11.28,10.22,11.0,12.59,12.62,11.25,10.84,12.34,12.94,11.69,10.94,12.59,13.66,11.91,9.81,9.16,8.81,6.66,3.56,3.12,4.25,4.78,4.59,6.59,9.78,12.19,11.38,9.94,9.31,8.19,4.75,1.53,1.09,2.5,3.44,3.91,6.47,9.94,11.94,11.06,10.28,11.03,11.75,10.19,9.56,11.16,13.38,13.12,11.88,11.47,12.31,11.22,8.44,7.59,8.22,8.81,7.38,6.81,7.91,8.88,7.41,5.75,6.06,7.47,6.56,5.53,5.97,7.91,9.12,8.69,9.94,12.38,14.38,13.66,12.88,13.59,14.38,13.06,11.5,12.28,14.78,15.41,15.22,15.94,17.62,17.5,14.94,13.0,13.16,12.91,10.97,9.56,10.59,12.31,11.97,11.38,12.69,15.0,16.09,15.69,16.28,18.38,18.69,17.31,16.31,16.81,17.5,16.19,15.06,15.78,17.59,17.75,16.5,16.84,18.5,18.44,16.59,15.25,15.5,15.16,12.97,11.56,12.88,14.78,14.94,14.38,15.38,16.81,16.22,13.91,12.91,13.34,13.59,13.16,13.66,16.84,19.53,19.84,19.38,20.47,21.25,19.62,17.56,16.88,17.22,16.38,14.31,13.22,14.0,14.06,12.56,12.47,15.19,18.53,19.94,20.88,23.19,25.59,25.22,23.66,23.31,24.5,25.03,23.75,23.03,23.56,23.31,20.44,17.62,17.06,17.53,16.19,15.0,16.31,18.5,19.09,18.19,17.28,17.09,15.91,13.16,11.59,12.78,14.47,15.0,15.25,17.66,20.28,20.25,19.03,18.88,19.56,18.34,15.47,13.34,12.94,12.16,9.81,7.91,9.06,10.53,10.16,9.34,10.5,12.0,11.75,10.56,11.38,14.0,15.75,16.19,16.59,18.5,19.31,16.88,14.0,13.47,13.62,12.41,11.53,13.06,15.81,16.81,15.94,15.59,16.59,16.31,14.44,13.38,15.03,16.12,14.72,12.47,11.97,11.44,9.16,6.56,6.44,8.59,10.31,11.22,13.03,16.81,19.56,19.72,19.62,21.75,23.41,23.0,21.72,22.22,23.22,21.78,18.59,16.56,15.69,13.91,10.59,8.75,9.34,9.97,9.06,8.0,9.19,10.66,10.25,9.06,10.06,12.81,13.94,13.69,14.47,16.56,16.94,15.19,13.88,14.88,15.91,15.38,13.81,14.84,15.84,14.62,12.38,12.03,13.16,13.53,12.59,12.75,14.75,15.69,14.72,13.78,15.34,17.34,17.88,17.44,19.34,21.75,22.47,21.78,22.0,23.41,23.66,21.97,20.84,21.72,22.16,20.38,18.75,19.0,19.91,19.16,17.25,17.56,18.84,18.56,16.47,15.59,16.16,15.66,13.12,11.5,12.62,13.56,12.25,10.75,11.12,11.69,10.22,7.97,8.25,10.06,10.97,10.31,10.78,12.38,12.91,10.69,8.84,9.25,10.28,10.06,9.94,11.97,14.91,15.69,14.47,14.44,15.72,16.22,14.84,14.34,15.78,16.59,14.84,13.38,13.88,14.97,14.03,12.81,13.22,15.06,15.0,13.47,13.28,14.47,14.81,12.78,11.78,13.09,14.28,13.53,12.44,13.34,14.66,13.84,12.19,12.38,14.22,15.53,15.72,17.12,20.69,23.19,22.34,21.16,21.5,21.62,19.16,16.38,15.34,15.66,14.34,11.78,11.0,12.16,12.47,10.75,10.31,12.09,12.75,11.03,9.47,9.53,10.41,9.47,7.72,8.12,9.28,8.75,6.19,4.88,6.0,6.72,6.19,7.0,10.31,13.75,14.53,14.06,15.12,15.78,13.31,9.12,6.69,5.56,3.97,1.12,0.62,2.62,4.03,3.19,2.16,3.19,4.38,3.75,3.5,6.44,10.72,13.78,15.91,18.97,23.38,25.94,25.62,24.84,24.75,22.84,17.62,11.53,8.03,6.22,3.25,1.47,3.25,7.22,10.12,11.25,13.41,16.22,17.03,14.94,12.97,13.12,13.75,12.19,11.06,12.16,13.75,12.62,9.78,8.25,7.66,5.62,1.94,0.09,0.62,1.72,0.91,0.59,3.06,5.5,4.91,3.75,4.31,5.66,4.66,2.75,2.16,4.06,5.0,4.28,4.5,6.81,8.88,8.44,8.06,10.16,13.03,12.97,12.12,13.28,15.47,15.0,12.75,11.19,11.03,9.28,5.75,2.88,3.31,4.22,3.12,2.91,5.31,8.47,9.16,9.38,10.78,13.06,13.31,11.69,10.44,11.25,11.28,9.56,8.19,9.75,10.81,10.03,8.25,8.41,9.56,9.22,7.78,8.25,10.78,11.78,11.0,11.16,12.97,13.38,11.09,8.69,8.38,8.94,7.78,6.31,7.41,9.78,11.06,11.06,12.59,15.59,16.94,15.69,13.91,14.0,13.5,10.75,8.31,8.62,9.78,9.22,8.34,9.81,13.19,15.56,16.53,18.81,22.31,24.12,23.69,22.94,24.25,25.06,23.66,21.28,21.03,21.47,20.25,17.97,17.31,18.62,18.22,15.72,14.47,15.44,15.78,14.22,13.12,14.22,15.75,14.88,13.12,13.56,15.38,15.59,14.72,15.59,17.75,18.88,17.31,16.31,17.31,18.0,16.22,14.25,14.88,15.81,15.22,13.81,13.97,15.47,15.19,13.47,13.03,14.53,15.38,13.97,12.72,13.59,13.81,11.81,9.81,10.47,12.41,12.72,11.53,12.03,13.47,13.66,11.97,11.09,12.41,13.12,11.84,10.91,13.03,15.09,14.91,13.28,13.44,14.38,13.5,11.66,11.09,12.62,12.53,10.22,8.38,8.5,8.25,6.12,4.59,5.19,6.66,6.56,5.38,6.16,8.59,10.0,10.09,11.91,15.41,17.59,16.72,15.31,15.44,14.5,11.06,7.41,6.28,6.31,5.28,3.62,3.91,5.84,7.16,6.78,7.75,10.91,12.94,13.09,12.34,12.78,13.0,10.72,7.69,7.0,8.06,8.16:32.66,30.94,30.38,29.0,26.28,25.03,26.66,28.38,28.19,27.5,28.5,29.41,28.25,26.25,26.06,27.31,27.84,26.78,27.22,29.25,30.16,28.53,26.94,27.75,28.22,27.16,26.38,28.28,31.19,32.94,33.16,34.75,37.03,37.38,35.34,34.31,34.72,34.62,32.66,30.84,31.62,32.38,31.22,29.94,31.0,33.44,34.88,34.72,35.97,37.84,38.09,35.78,34.44,35.34,36.5,35.34,35.09,36.84,39.16,39.34,38.5,39.09,40.59,40.25,37.94,37.56,38.75,39.31,37.78,37.28,38.19,39.03,37.22,35.34,35.91,37.0,36.69,35.28,35.5,36.56,36.19,34.06,33.41,34.62,35.16,33.0,31.22,31.25,31.72,29.91,28.0,28.56,29.75,29.72,28.0,28.03,29.41,29.19,26.81,25.44,26.5,27.62,26.38,25.97,27.66,29.81,29.47,28.75,30.0,32.28,32.72,31.16,29.78,29.44,27.53,22.94,19.25,18.0,17.19,14.5,12.53,13.0,15.12,15.72,15.62,18.09,21.66,23.88,23.91,24.53,26.56,27.09,25.41,23.94,24.34,25.09,23.22,20.91,21.06,22.25,21.5,19.88,19.94,21.38,21.41,19.56,19.09,20.81,21.97,20.44,19.06,18.94,18.97,16.72,14.28,13.94,15.47,15.31,14.16,14.69,16.78,17.91,16.28,15.28,16.09,16.47,14.69,13.06,14.06,16.66,17.53,17.88,19.94,23.62,25.34,25.19,25.88,28.22,29.06,27.28,25.38,25.97,25.91,23.06,19.94,18.38,18.03,15.78,12.88,11.72,13.06,13.22,11.75,11.66,14.0,15.97,15.41,15.94,19.44,22.72,23.38,22.44,22.31,22.25,19.66,16.38,14.78,16.03,16.28,14.94,14.06,15.31,16.41,15.31,14.5,16.09,17.72,17.09,15.91,16.88,19.78,21.56,22.59,24.69,28.81,31.09,30.59,29.94,31.03,31.38,29.12,26.41,25.88,25.91,24.28,22.03,22.09,24.38,25.91,26.0,26.84,30.03,31.41,30.56,29.5,30.72,32.28,31.69,30.03,30.16,30.31,27.47,22.53,18.56,16.28,12.88,8.34,5.59,6.0,7.03,6.62,7.0,10.06,14.09,15.41,15.97,17.56,20.22,20.75,19.53,19.41,21.28,22.06,20.66,19.81,21.31,22.19,21.25,20.09,21.41,23.16,22.91,21.06,20.56,21.38,20.78,18.97,18.84,21.0,22.41,21.72,21.0,22.19,23.25,22.41,20.72,21.38,23.06,23.38,22.84,23.91,26.38,27.28,25.81,24.94,25.88,26.44,24.53,22.62,23.19,24.0,22.75,20.97,21.34,22.66,21.97,20.09,19.75,21.25,22.25,21.09,20.66,22.38,23.94,23.31,22.31,23.16,24.53,23.88,21.66,21.53,22.72,22.31,20.16,19.09,20.03,20.5,19.38,18.91,21.28,23.56,23.81,23.03,24.38,26.12,25.88,24.16,23.94,25.0,24.94,23.31,23.28,25.56,27.53,26.84,25.62,25.81,25.75,23.59,20.53,19.75,20.19,19.22,16.91,16.75,18.97,20.59,20.31,20.69,22.72,23.59,21.97,19.69,19.5,20.25,18.91,17.25,17.66,19.38,19.84,18.53,18.0,19.16,18.97,16.75,14.75,15.31,15.62,13.97,11.88,11.78,12.66,11.94,10.47,10.91,13.16,13.97,13.72,14.22,16.78,18.62,18.47,17.84,19.12,20.03,18.78,16.75,16.34,17.03,16.28,14.28,13.59,14.28,14.5,12.31,11.09,12.0,12.53,11.12,9.5,10.03,11.62,11.94,11.5,13.41,16.66,18.25,17.72,18.31,20.06,20.94,18.97,17.12,17.38,17.47,15.59,13.41,13.47,14.03,13.38,11.5,10.94,11.66,11.19,9.03,7.97,9.22,10.22,9.31,8.41,9.91,11.5,11.28,10.22,11.0,12.59,12.62,11.25,10.84,12.34,12.94,11.69,10.94,12.59,13.66,11.91,9.81,9.16,8.81,6.66,3.56,3.12,4.25,4.78,4.59,6.59,9.78,12.19,11.38,9.94,9.31,8.19,4.75,1.53,1.09,2.5,3.44,3.91,6.47,9.94,11.94,11.06,10.28,11.03,11.75,10.19,9.56,11.16,13.38,13.12,11.88,11.47,12.31,11.22,8.44,7.59,8.22,8.81,7.38,6.81,7.91,8.88,7.41,5.75,6.06,7.47,6.56,5.53,5.97,7.91,9.12,8.69,9.94,12.38,14.38,13.66,12.88,13.59,14.38,13.06,11.5,12.28,14.78,15.41,15.22,15.94,17.62,17.5,14.94,13.0,13.16,12.91,10.97,9.56,10.59,12.31,11.97,11.38,12.69,15.0,16.09,15.69,16.28,18.38,18.69,17.31,16.31,16.81,17.5,16.19,15.06,15.78,17.59,17.75,16.5,16.84,18.5,18.44,16.59,15.25,15.5,15.16,12.97,11.56,12.88,14.78,14.94,14.38,15.38,16.81,16.22,13.91,12.91,13.34,13.59,13.16,13.66,16.84,19.53,19.84,19.38,20.47,21.25,19.62,17.56,16.88,17.22,16.38,14.31,13.22,14.0,14.06,12.56,12.47,15.19,18.53,19.94,20.88,23.19,25.59,25.22,23.66,23.31,24.5,25.03,23.75,23.03,23.56,23.31,20.44,17.62,17.06,17.53,16.19,15.0,16.31,18.5,19.09,18.19,17.28,17.09,15.91,13.16,11.59,12.78,14.47,15.0,15.25,17.66,20.28,20.25,19.03,18.88,19.56,18.34,15.47,13.34,12.94,12.16,9.81,7.91,9.06,10.53,10.16,9.34,10.5,12.0,11.75,10.56,11.38,14.0,15.75,16.19,16.59,18.5,19.31,16.88,14.0,13.47,13.62,12.41,11.53,13.06,15.81,16.81,15.94,15.59,16.59,16.31,14.44,13.38,15.03,16.12,14.72,12.47,11.97,11.44,9.16,6.56,6.44,8.59,10.31,11.22,13.03,16.81,19.56,19.72,19.62,21.75,23.41,23.0,21.72,22.22,23.22,21.78,18.59,16.56,15.69,13.91,10.59,8.75,9.34,9.97,9.06,8.0,9.19,10.66,10.25,9.06,10.06,12.81,13.94,13.69,14.47,16.56,16.94,15.19,13.88,14.88,15.91,15.38,13.81,14.84,15.84,14.62,12.38,12.03,13.16,13.53,12.59,12.75,14.75,15.69,14.72,13.78,15.34,17.34,17.88,17.44,19.34,21.75,22.47,21.78,22.0,23.41,23.66,21.97,20.84,21.72,22.16,20.38,18.75,19.0,19.91,19.16,17.25,17.56,18.84,18.56,16.47,15.59,16.16,15.66,13.12,11.5,12.62,13.56,12.25,10.75,11.12,11.69,10.22,7.97,8.25,10.06,10.97,10.31,10.78,12.38,12.91,10.69,8.84,9.25,10.28,10.06,9.94,11.97,14.91,15.69,14.47,14.44,15.72,16.22,14.84,14.34,15.78,16.59,14.84,13.38,13.88,14.97,14.03,12.81,13.22,15.06,15.0,13.47,13.28,14.47,14.81,12.78,11.78,13.09,14.28,13.53,12.44,13.34,14.66,13.84,12.19,12.38,14.22,15.53,15.72,17.12,20.69,23.19,22.34,21.16,21.5,21.62,19.16,16.38,15.34,15.66,14.34,11.78,11.0,12.16,12.47,10.75,10.31,12.09,12.75,11.03,9.47,9.53,10.41,9.47,7.72,8.12,9.28,8.75,6.19,4.88,6.0,6.72,6.19,7.0,10.31,13.75,14.53,14.06,15.12,15.78,13.31,9.12,6.69,5.56,3.97,1.12,0.62,2.62,4.03,3.19,2.16,3.19,4.38,3.75,3.5,6.44,10.72,13.78,15.91,18.97,23.38,25.94,25.62,24.84,24.75,22.84,17.62,11.53,8.03,6.22,3.25,1.47,3.25,7.22,10.12,11.25,13.41,16.22,17.03,14.94,12.97,13.12,13.75,12.19,11.06,12.16,13.75,12.62,9.78,8.25,7.66,5.62,1.94,0.09,0.62,1.72,0.91,0.59,3.06,5.5,4.91,3.75,4.31,5.66,4.66,2.75,2.16,4.06,5.0,4.28,4.5,6.81,8.88,8.44,8.06,10.16,13.03,12.97,12.12,13.28,15.47,15.0,12.75,11.19,11.03,9.28,5.75,2.88,3.31,4.22,3.12,2.91,5.31,8.47,9.16,9.38,10.78,13.06,13.31,11.69,10.44,11.25,11.28,9.56,8.19,9.75,10.81,10.03,8.25,8.41,9.56,9.22,7.78,8.25,10.78,11.78,11.0,11.16,12.97,13.38,11.09,8.69,8.38,8.94,7.78,6.31,7.41,9.78,11.06,11.06,12.59,15.59,16.94,15.69,13.91,14.0,13.5,10.75,8.31,8.62,9.78,9.22,8.34,9.81,13.19,15.56,16.53,18.81,22.31,24.12,23.69,22.94,24.25,25.06,23.66,21.28,21.03,21.47,20.25,17.97,17.31,18.62,18.22,15.72,14.47,15.44,15.78,14.22,13.12,14.22,15.75,14.88,13.12,13.56,15.38,15.59,14.72,15.59,17.75,18.88,17.31,16.31,17.31,18.0,16.22,14.25,14.88,15.81,15.22,13.81,13.97,15.47,15.19,13.47,13.03,14.53,15.38,13.97,12.72,13.59,13.81,11.81,9.81,10.47,12.41,12.72,11.53,12.03,13.47,13.66,11.97,11.09,12.41,13.12,11.84,10.91,13.03,15.09,14.91,13.28,13.44,14.38,13.5,11.66,11.09,12.62,12.53,10.22,8.38,8.5,8.25,6.12,4.59,5.19,6.66,6.56,5.38,6.16,8.59,10.0,10.09,11.91,15.41,17.59,16.72,15.31,15.44,14.5,11.06,7.41,6.28,6.31,5.28,3.62,3.91,5.84,7.16,6.78,7.75,10.91,12.94,13.09,12.34,12.78,13.0,10.72,7.69,7.0,8.06,8.16,22.62,23.69,23.94,23.28,24.0,24.69,23.84:28.38,28.19,27.5,28.5,29.41,28.25,26.25,26.06,27.31,27.84,26.78,27.22,29.25,30.16,28.53,26.94,27.75,28.22,27.16,26.38,28.28,31.19,32.94,33.16,34.75,37.03,37.38,35.34,34.31,34.72,34.62,32.66,30.84,31.62,32.38,31.22,29.94,31.0,33.44,34.88,34.72,35.97,37.84,38.09,35.78,34.44,35.34,36.5,35.34,35.09,36.84,39.16,39.34,38.5,39.09,40.59,40.25,37.94,37.56,38.75,39.31,37.78,37.28,38.19,39.03,37.22,35.34,35.91,37.0,36.69,35.28,35.5,36.56,36.19,34.06,33.41,34.62,35.16,33.0,31.22,31.25,31.72,29.91,28.0,28.56,29.75,29.72,28.0,28.03,29.41,29.19,26.81,25.44,26.5,27.62,26.38,25.97,27.66,29.81,29.47,28.75,30.0,32.28,32.72,31.16,29.78,29.44,27.53,22.94,19.25,18.0,17.19,14.5,12.53,13.0,15.12,15.72,15.62,18.09,21.66,23.88,23.91,24.53,26.56,27.09,25.41,23.94,24.34,25.09,23.22,20.91,21.06,22.25,21.5,19.88,19.94,21.38,21.41,19.56,19.09,20.81,21.97,20.44,19.06,18.94,18.97,16.72,14.28,13.94,15.47,15.31,14.16,14.69,16.78,17.91,16.28,15.28,16.09,16.47,14.69,13.06,14.06,16.66,17.53,17.88,19.94,23.62,25.34,25.19,25.88,28.22,29.06,27.28,25.38,25.97,25.91,23.06,19.94,18.38,18.03,15.78,12.88,11.72,13.06,13.22,11.75,11.66,14.0,15.97,15.41,15.94,19.44,22.72,23.38,22.44,22.31,22.25,19.66,16.38,14.78,16.03,16.28,14.94,14.06,15.31,16.41,15.31,14.5,16.09,17.72,17.09,15.91,16.88,19.78,21.56,22.59,24.69,28.81,31.09,30.59,29.94,31.03,31.38,29.12,26.41,25.88,25.91,24.28,22.03,22.09,24.38,25.91,26.0,26.84,30.03,31.41,30.56,29.5,30.72,32.28,31.69,30.03,30.16,30.31,27.47,22.53,18.56,16.28,12.88,8.34,5.59,6.0,7.03,6.62,7.0,10.06,14.09,15.41,15.97,17.56,20.22,20.75,19.53,19.41,21.28,22.06,20.66,19.81,21.31,22.19,21.25,20.09,21.41,23.16,22.91,21.06,20.56,21.38,20.78,18.97,18.84,21.0,22.41,21.72,21.0,22.19,23.25,22.41,20.72,21.38,23.06,23.38,22.84,23.91,26.38,27.28,25.81,24.94,25.88,26.44,24.53,22.62,23.19,24.0,22.75,20.97,21.34,22.66,21.97,20.09,19.75,21.25,22.25,21.09,20.66,22.38,23.94,23.31,22.31,23.16,24.53,23.88,21.66,21.53,22.72,22.31,20.16,19.09,20.03,20.5,19.38,18.91,21.28,23.56,23.81,23.03,24.38,26.12,25.88,24.16,23.94,25.0,24.94,23.31,23.28,25.56,27.53,26.84,25.62,25.81,25.75,23.59,20.53,19.75,20.19,19.22,16.91,16.75,18.97,20.59,20.31,20.69,22.72,23.59,21.97,19.69,19.5,20.25,18.91,17.25,17.66,19.38,19.84,18.53,18.0,19.16,18.97,16.75,14.75,15.31,15.62,13.97,11.88,11.78,12.66,11.94,10.47,10.91,13.16,13.97,13.72,14.22,16.78,18.62,18.47,17.84,19.12,20.03,18.78,16.75,16.34,17.03,16.28,14.28,13.59,14.28,14.5,12.31,11.09,12.0,12.53,11.12,9.5,10.03,11.62,11.94,11.5,13.41,16.66,18.25,17.72,18.31,20.06,20.94,18.97,17.12,17.38,17.47,15.59,13.41,13.47,14.03,13.38,11.5,10.94,11.66,11.19,9.03,7.97,9.22,10.22,9.31,8.41,9.91,11.5,11.28,10.22,11.0,12.59,12.62,11.25,10.84,12.34,12.94,11.69,10.94,12.59,13.66,11.91,9.81,9.16,8.81,6.66,3.56,3.12,4.25,4.78,4.59,6.59,9.78,12.19,11.38,9.94,9.31,8.19,4.75,1.53,1.09,2.5,3.44,3.91,6.47,9.94,11.94,11.06,10.28,11.03,11.75,10.19,9.56,11.16,13.38,13.12,11.88,11.47,12.31,11.22,8.44,7.59,8.22,8.81,7.38,6.81,7.91,8.88,7.41,5.75,6.06,7.47,6.56,5.53,5.97,7.91,9.12,8.69,9.94,12.38,14.38,13.66,12.88,13.59,14.38,13.06,11.5,12.28,14.78,15.41,15.22,15.94,17.62,17.5,14.94,13.0,13.16,12.91,10.97,9.56,10.59,12.31,11.97,11.38,12.69,15.0,16.09,15.69,16.28,18.38,18.69,17.31,16.31,16.81,17.5,16.19,15.06,15.78,17.59,17.75,16.5,16.84,18.5,18.44,16.59,15.25,15.5,15.16,12.97,11.56,12.88,14.78,14.94,14.38,15.38,16.81,16.22,13.91,12.91,13.34,13.59,13.16,13.66,16.84,19.53,19.84,19.38,20.47,21.25,19.62,17.56,16.88,17.22,16.38,14.31,13.22,14.0,14.06,12.56,12.47,15.19,18.53,19.94,20.88,23.19,25.59,25.22,23.66,23.31,24.5,25.03,23.75,23.03,23.56,23.31,20.44,17.62,17.06,17.53,16.19,15.0,16.31,18.5,19.09,18.19,17.28,17.09,15.91,13.16,11.59,12.78,14.47,15.0,15.25,17.66,20.28,20.25,19.03,18.88,19.56,18.34,15.47,13.34,12.94,12.16,9.81,7.91,9.06,10.53,10.16,9.34,10.5,12.0,11.75,10.56,11.38,14.0,15.75,16.19,16.59,18.5,19.31,16.88,14.0,13.47,13.62,12.41,11.53,13.06,15.81,16.81,15.94,15.59,16.59,16.31,14.44,13.38,15.03,16.12,14.72,12.47,11.97,11.44,9.16,6.56,6.44,8.59,10.31,11.22,13.03,16.81,19.56,19.72,19.62,21.75,23.41,23.0,21.72,22.22,23.22,21.78,18.59,16.56,15.69,13.91,10.59,8.75,9.34,9.97,9.06,8.0,9.19,10.66,10.25,9.06,10.06,12.81,13.94,13.69,14.47,16.56,16.94,15.19,13.88,14.88,15.91,15.38,13.81,14.84,15.84,14.62,12.38,12.03,13.16,13.53,12.59,12.75,14.75,15.69,14.72,13.78,15.34,17.34,17.88,17.44,19.34,21.75,22.47,21.78,22.0,23.41,23.66,21.97,20.84,21.72,22.16,20.38,18.75,19.0,19.91,19.16,17.25,17.56,18.84,18.56,16.47,15.59,16.16,15.66,13.12,11.5,12.62,13.56,12.25,10.75,11.12,11.69,10.22,7.97,8.25,10.06,10.97,10.31,10.78,12.38,12.91,10.69,8.84,9.25,10.28,10.06,9.94,11.97,14.91,15.69,14.47,14.44,15.72,16.22,14.84,14.34,15.78,16.59,14.84,13.38,13.88,14.97,14.03,12.81,13.22,15.06,15.0,13.47,13.28,14.47,14.81,12.78,11.78,13.09,14.28,13.53,12.44,13.34,14.66,13.84,12.19,12.38,14.22,15.53,15.72,17.12,20.69,23.19,22.34,21.16,21.5,21.62,19.16,16.38,15.34,15.66,14.34,11.78,11.0,12.16,12.47,10.75,10.31,12.09,12.75,11.03,9.47,9.53,10.41,9.47,7.72,8.12,9.28,8.75,6.19,4.88,6.0,6.72,6.19,7.0,10.31,13.75,14.53,14.06,15.12,15.78,13.31,9.12,6.69,5.56,3.97,1.12,0.62,2.62,4.03,3.19,2.16,3.19,4.38,3.75,3.5,6.44,10.72,13.78,15.91,18.97,23.38,25.94,25.62,24.84,24.75,22.84,17.62,11.53,8.03,6.22,3.25,1.47,3.25,7.22,10.12,11.25,13.41,16.22,17.03,14.94,12.97,13.12,13.75,12.19,11.06,12.16,13.75,12.62,9.78,8.25,7.66,5.62,1.94,0.09,0.62,1.72,0.91,0.59,3.06,5.5,4.91,3.75,4.31,5.66,4.66,2.75,2.16,4.06,5.0,4.28,4.5,6.81,8.88,8.44,8.06,10.16,13.03,12.97,12.12,13.28,15.47,15.0,12.75,11.19,11.03,9.28,5.75,2.88,3.31,4.22,3.12,2.91,5.31,8.47,9.16,9.38,10.78,13.06,13.31,11.69,10.44,11.25,11.28,9.56,8.19,9.75,10.81,10.03,8.25,8.41,9.56,9.22,7.78,8.25,10.78,11.78,11.0,11.16,12.97,13.38,11.09,8.69,8.38,8.94,7.78,6.31,7.41,9.78,11.06,11.06,12.59,15.59,16.94,15.69,13.91,14.0,13.5,10.75,8.31,8.62,9.78,9.22,8.34,9.81,13.19,15.56,16.53,18.81,22.31,24.12,23.69,22.94,24.25,25.06,23.66,21.28,21.03,21.47,20.25,17.97,17.31,18.62,18.22,15.72,14.47,15.44,15.78,14.22,13.12,14.22,15.75,14.88,13.12,13.56,15.38,15.59,14.72,15.59,17.75,18.88,17.31,16.31,17.31,18.0,16.22,14.25,14.88,15.81,15.22,13.81,13.97,15.47,15.19,13.47,13.03,14.53,15.38,13.97,12.72,13.59,13.81,11.81,9.81,10.47,12.41,12.72,11.53,12.03,13.47,13.66,11.97,11.09,12.41,13.12,11.84,10.91,13.03,15.09,14.91,13.28,13.44,14.38,13.5,11.66,11.09,12.62,12.53,10.22,8.38,8.5,8.25,6.12,4.59,5.19,6.66,6.56,5.38,6.16,8.59,10.0,10.09,11.91,15.41,17.59,16.72,15.31,15.44,14.5,11.06,7.41,6.28,6.31,5.28,3.62,3.91,5.84,7.16,6.78,7.75,10.91,12.94,13.09,12.34,12.78,13.0,10.72,7.69,7.0,8.06,8.16,22.62,23.69,23.94,23.28,24.0,24.69,23.84,21.78,20.47,19.91,19.0,17.69,17.59,19.41:26.06,27.31,27.84,26.78,27.22,29.25,30.16,28.53,26.94,27.75,28.22,27.16,26.38,28.28,31.19,32.94,33.16,34.75,37.03,37.38,35.34,34.31,34.72,34.62,32.66,30.84,31.62,32.38,31.22,29.94,31.0,33.44,34.88,34.72,35.97,37.84,38.09,35.78,34.44,35.34,36.5,35.34,35.09,36.84,39.16,39.34,38.5,39.09,40.59,40.25,37.94,37.56,38.75,39.31,37.78,37.28,38.19,39.03,37.22,35.34,35.91,37.0,36.69,35.28,35.5,36.56,36.19,34.06,33.41,34.62,35.16,33.0,31.22,31.25,31.72,29.91,28.0,28.56,29.75,29.72,28.0,28.03,29.41,29.19,26.81,25.44,26.5,27.62,26.38,25.97,27.66,29.81,29.47,28.75,30.0,32.28,32.72,31.16,29.78,29.44,27.53,22.94,19.25,18.0,17.19,14.5,12.53,13.0,15.12,15.72,15.62,18.09,21.66,23.88,23.91,24.53,26.56,27.09,25.41,23.94,24.34,25.09,23.22,20.91,21.06,22.25,21.5,19.88,19.94,21.38,21.41,19.56,19.09,20.81,21.97,20.44,19.06,18.94,18.97,16.72,14.28,13.94,15.47,15.31,14.16,14.69,16.78,17.91,16.28,15.28,16.09,16.47,14.69,13.06,14.06,16.66,17.53,17.88,19.94,23.62,25.34,25.19,25.88,28.22,29.06,27.28,25.38,25.97,25.91,23.06,19.94,18.38,18.03,15.78,12.88,11.72,13.06,13.22,11.75,11.66,14.0,15.97,15.41,15.94,19.44,22.72,23.38,22.44,22.31,22.25,19.66,16.38,14.78,16.03,16.28,14.94,14.06,15.31,16.41,15.31,14.5,16.09,17.72,17.09,15.91,16.88,19.78,21.56,22.59,24.69,28.81,31.09,30.59,29.94,31.03,31.38,29.12,26.41,25.88,25.91,24.28,22.03,22.09,24.38,25.91,26.0,26.84,30.03,31.41,30.56,29.5,30.72,32.28,31.69,30.03,30.16,30.31,27.47,22.53,18.56,16.28,12.88,8.34,5.59,6.0,7.03,6.62,7.0,10.06,14.09,15.41,15.97,17.56,20.22,20.75,19.53,19.41,21.28,22.06,20.66,19.81,21.31,22.19,21.25,20.09,21.41,23.16,22.91,21.06,20.56,21.38,20.78,18.97,18.84,21.0,22.41,21.72,21.0,22.19,23.25,22.41,20.72,21.38,23.06,23.38,22.84,23.91,26.38,27.28,25.81,24.94,25.88,26.44,24.53,22.62,23.19,24.0,22.75,20.97,21.34,22.66,21.97,20.09,19.75,21.25,22.25,21.09,20.66,22.38,23.94,23.31,22.31,23.16,24.53,23.88,21.66,21.53,22.72,22.31,20.16,19.09,20.03,20.5,19.38,18.91,21.28,23.56,23.81,23.03,24.38,26.12,25.88,24.16,23.94,25.0,24.94,23.31,23.28,25.56,27.53,26.84,25.62,25.81,25.75,23.59,20.53,19.75,20.19,19.22,16.91,16.75,18.97,20.59,20.31,20.69,22.72,23.59,21.97,19.69,19.5,20.25,18.91,17.25,17.66,19.38,19.84,18.53,18.0,19.16,18.97,16.75,14.75,15.31,15.62,13.97,11.88,11.78,12.66,11.94,10.47,10.91,13.16,13.97,13.72,14.22,16.78,18.62,18.47,17.84,19.12,20.03,18.78,16.75,16.34,17.03,16.28,14.28,13.59,14.28,14.5,12.31,11.09,12.0,12.53,11.12,9.5,10.03,11.62,11.94,11.5,13.41,16.66,18.25,17.72,18.31,20.06,20.94,18.97,17.12,17.38,17.47,15.59,13.41,13.47,14.03,13.38,11.5,10.94,11.66,11.19,9.03,7.97,9.22,10.22,9.31,8.41,9.91,11.5,11.28,10.22,11.0,12.59,12.62,11.25,10.84,12.34,12.94,11.69,10.94,12.59,13.66,11.91,9.81,9.16,8.81,6.66,3.56,3.12,4.25,4.78,4.59,6.59,9.78,12.19,11.38,9.94,9.31,8.19,4.75,1.53,1.09,2.5,3.44,3.91,6.47,9.94,11.94,11.06,10.28,11.03,11.75,10.19,9.56,11.16,13.38,13.12,11.88,11.47,12.31,11.22,8.44,7.59,8.22,8.81,7.38,6.81,7.91,8.88,7.41,5.75,6.06,7.47,6.56,5.53,5.97,7.91,9.12,8.69,9.94,12.38,14.38,13.66,12.88,13.59,14.38,13.06,11.5,12.28,14.78,15.41,15.22,15.94,17.62,17.5,14.94,13.0,13.16,12.91,10.97,9.56,10.59,12.31,11.97,11.38,12.69,15.0,16.09,15.69,16.28,18.38,18.69,17.31,16.31,16.81,17.5,16.19,15.06,15.78,17.59,17.75,16.5,16.84,18.5,18.44,16.59,15.25,15.5,15.16,12.97,11.56,12.88,14.78,14.94,14.38,15.38,16.81,16.22,13.91,12.91,13.34,13.59,13.16,13.66,16.84,19.53,19.84,19.38,20.47,21.25,19.62,17.56,16.88,17.22,16.38,14.31,13.22,14.0,14.06,12.56,12.47,15.19,18.53,19.94,20.88,23.19,25.59,25.22,23.66,23.31,24.5,25.03,23.75,23.03,23.56,23.31,20.44,17.62,17.06,17.53,16.19,15.0,16.31,18.5,19.09,18.19,17.28,17.09,15.91,13.16,11.59,12.78,14.47,15.0,15.25,17.66,20.28,20.25,19.03,18.88,19.56,18.34,15.47,13.34,12.94,12.16,9.81,7.91,9.06,10.53,10.16,9.34,10.5,12.0,11.75,10.56,11.38,14.0,15.75,16.19,16.59,18.5,19.31,16.88,14.0,13.47,13.62,12.41,11.53,13.06,15.81,16.81,15.94,15.59,16.59,16.31,14.44,13.38,15.03,16.12,14.72,12.47,11.97,11.44,9.16,6.56,6.44,8.59,10.31,11.22,13.03,16.81,19.56,19.72,19.62,21.75,23.41,23.0,21.72,22.22,23.22,21.78,18.59,16.56,15.69,13.91,10.59,8.75,9.34,9.97,9.06,8.0,9.19,10.66,10.25,9.06,10.06,12.81,13.94,13.69,14.47,16.56,16.94,15.19,13.88,14.88,15.91,15.38,13.81,14.84,15.84,14.62,12.38,12.03,13.16,13.53,12.59,12.75,14.75,15.69,14.72,13.78,15.34,17.34,17.88,17.44,19.34,21.75,22.47,21.78,22.0,23.41,23.66,21.97,20.84,21.72,22.16,20.38,18.75,19.0,19.91,19.16,17.25,17.56,18.84,18.56,16.47,15.59,16.16,15.66,13.12,11.5,12.62,13.56,12.25,10.75,11.12,11.69,10.22,7.97,8.25,10.06,10.97,10.31,10.78,12.38,12.91,10.69,8.84,9.25,10.28,10.06,9.94,11.97,14.91,15.69,14.47,14.44,15.72,16.22,14.84,14.34,15.78,16.59,14.84,13.38,13.88,14.97,14.03,12.81,13.22,15.06,15.0,13.47,13.28,14.47,14.81,12.78,11.78,13.09,14.28,13.53,12.44,13.34,14.66,13.84,12.19,12.38,14.22,15.53,15.72,17.12,20.69,23.19,22.34,21.16,21.5,21.62,19.16,16.38,15.34,15.66,14.34,11.78,11.0,12.16,12.47,10.75,10.31,12.09,12.75,11.03,9.47,9.53,10.41,9.47,7.72,8.12,9.28,8.75,6.19,4.88,6.0,6.72,6.19,7.0,10.31,13.75,14.53,14.06,15.12,15.78,13.31,9.12,6.69,5.56,3.97,1.12,0.62,2.62,4.03,3.19,2.16,3.19,4.38,3.75,3.5,6.44,10.72,13.78,15.91,18.97,23.38,25.94,25.62,24.84,24.75,22.84,17.62,11.53,8.03,6.22,3.25,1.47,3.25,7.22,10.12,11.25,13.41,16.22,17.03,14.94,12.97,13.12,13.75,12.19,11.06,12.16,13.75,12.62,9.78,8.25,7.66,5.62,1.94,0.09,0.62,1.72,0.91,0.59,3.06,5.5,4.91,3.75,4.31,5.66,4.66,2.75,2.16,4.06,5.0,4.28,4.5,6.81,8.88,8.44,8.06,10.16,13.03,12.97,12.12,13.28,15.47,15.0,12.75,11.19,11.03,9.28,5.75,2.88,3.31,4.22,3.12,2.91,5.31,8.47,9.16,9.38,10.78,13.06,13.31,11.69,10.44,11.25,11.28,9.56,8.19,9.75,10.81,10.03,8.25,8.41,9.56,9.22,7.78,8.25,10.78,11.78,11.0,11.16,12.97,13.38,11.09,8.69,8.38,8.94,7.78,6.31,7.41,9.78,11.06,11.06,12.59,15.59,16.94,15.69,13.91,14.0,13.5,10.75,8.31,8.62,9.78,9.22,8.34,9.81,13.19,15.56,16.53,18.81,22.31,24.12,23.69,22.94,24.25,25.06,23.66,21.28,21.03,21.47,20.25,17.97,17.31,18.62,18.22,15.72,14.47,15.44,15.78,14.22,13.12,14.22,15.75,14.88,13.12,13.56,15.38,15.59,14.72,15.59,17.75,18.88,17.31,16.31,17.31,18.0,16.22,14.25,14.88,15.81,15.22,13.81,13.97,15.47,15.19,13.47,13.03,14.53,15.38,13.97,12.72,13.59,13.81,11.81,9.81,10.47,12.41,12.72,11.53,12.03,13.47,13.66,11.97,11.09,12.41,13.12,11.84,10.91,13.03,15.09,14.91,13.28,13.44,14.38,13.5,11.66,11.09,12.62,12.53,10.22,8.38,8.5,8.25,6.12,4.59,5.19,6.66,6.56,5.38,6.16,8.59,10.0,10.09,11.91,15.41,17.59,16.72,15.31,15.44,14.5,11.06,7.41,6.28,6.31,5.28,3.62,3.91,5.84,7.16,6.78,7.75,10.91,12.94,13.09,12.34,12.78,13.0,10.72,7.69,7.0,8.06,8.16,22.62,23.69,23.94,23.28,24.0,24.69,23.84,21.78,20.47,19.91,19.0,17.69,17.59,19.41,21.22,22.0,21.97,23.22,24.22,23.47,21.91:28.53,26.94,27.75,28.22,27.16,26.38,28.28,31.19,32.94,33.16,34.75,37.03,37.38,35.34,34.31,34.72,34.62,32.66,30.84,31.62,32.38,31.22,29.94,31.0,33.44,34.88,34.72,35.97,37.84,38.09,35.78,34.44,35.34,36.5,35.34,35.09,36.84,39.16,39.34,38.5,39.09,40.59,40.25,37.94,37.56,38.75,39.31,37.78,37.28,38.19,39.03,37.22,35.34,35.91,37.0,36.69,35.28,35.5,36.56,36.19,34.06,33.41,34.62,35.16,33.0,31.22,31.25,31.72,29.91,28.0,28.56,29.75,29.72,28.0,28.03,29.41,29.19,26.81,25.44,26.5,27.62,26.38,25.97,27.66,29.81,29.47,28.75,30.0,32.28,32.72,31.16,29.78,29.44,27.53,22.94,19.25,18.0,17.19,14.5,12.53,13.0,15.12,15.72,15.62,18.09,21.66,23.88,23.91,24.53,26.56,27.09,25.41,23.94,24.34,25.09,23.22,20.91,21.06,22.25,21.5,19.88,19.94,21.38,21.41,19.56,19.09,20.81,21.97,20.44,19.06,18.94,18.97,16.72,14.28,13.94,15.47,15.31,14.16,14.69,16.78,17.91,16.28,15.28,16.09,16.47,14.69,13.06,14.06,16.66,17.53,17.88,19.94,23.62,25.34,25.19,25.88,28.22,29.06,27.28,25.38,25.97,25.91,23.06,19.94,18.38,18.03,15.78,12.88,11.72,13.06,13.22,11.75,11.66,14.0,15.97,15.41,15.94,19.44,22.72,23.38,22.44,22.31,22.25,19.66,16.38,14.78,16.03,16.28,14.94,14.06,15.31,16.41,15.31,14.5,16.09,17.72,17.09,15.91,16.88,19.78,21.56,22.59,24.69,28.81,31.09,30.59,29.94,31.03,31.38,29.12,26.41,25.88,25.91,24.28,22.03,22.09,24.38,25.91,26.0,26.84,30.03,31.41,30.56,29.5,30.72,32.28,31.69,30.03,30.16,30.31,27.47,22.53,18.56,16.28,12.88,8.34,5.59,6.0,7.03,6.62,7.0,10.06,14.09,15.41,15.97,17.56,20.22,20.75,19.53,19.41,21.28,22.06,20.66,19.81,21.31,22.19,21.25,20.09,21.41,23.16,22.91,21.06,20.56,21.38,20.78,18.97,18.84,21.0,22.41,21.72,21.0,22.19,23.25,22.41,20.72,21.38,23.06,23.38,22.84,23.91,26.38,27.28,25.81,24.94,25.88,26.44,24.53,22.62,23.19,24.0,22.75,20.97,21.34,22.66,21.97,20.09,19.75,21.25,22.25,21.09,20.66,22.38,23.94,23.31,22.31,23.16,24.53,23.88,21.66,21.53,22.72,22.31,20.16,19.09,20.03,20.5,19.38,18.91,21.28,23.56,23.81,23.03,24.38,26.12,25.88,24.16,23.94,25.0,24.94,23.31,23.28,25.56,27.53,26.84,25.62,25.81,25.75,23.59,20.53,19.75,20.19,19.22,16.91,16.75,18.97,20.59,20.31,20.69,22.72,23.59,21.97,19.69,19.5,20.25,18.91,17.25,17.66,19.38,19.84,18.53,18.0,19.16,18.97,16.75,14.75,15.31,15.62,13.97,11.88,11.78,12.66,11.94,10.47,10.91,13.16,13.97,13.72,14.22,16.78,18.62,18.47,17.84,19.12,20.03,18.78,16.75,16.34,17.03,16.28,14.28,13.59,14.28,14.5,12.31,11.09,12.0,12.53,11.12,9.5,10.03,11.62,11.94,11.5,13.41,16.66,18.25,17.72,18.31,20.06,20.94,18.97,17.12,17.38,17.47,15.59,13.41,13.47,14.03,13.38,11.5,10.94,11.66,11.19,9.03,7.97,9.22,10.22,9.31,8.41,9.91,11.5,11.28,10.22,11.0,12.59,12.62,11.25,10.84,12.34,12.94,11.69,10.94,12.59,13.66,11.91,9.81,9.16,8.81,6.66,3.56,3.12,4.25,4.78,4.59,6.59,9.78,12.19,11.38,9.94,9.31,8.19,4.75,1.53,1.09,2.5,3.44,3.91,6.47,9.94,11.94,11.06,10.28,11.03,11.75,10.19,9.56,11.16,13.38,13.12,11.88,11.47,12.31,11.22,8.44,7.59,8.22,8.81,7.38,6.81,7.91,8.88,7.41,5.75,6.06,7.47,6.56,5.53,5.97,7.91,9.12,8.69,9.94,12.38,14.38,13.66,12.88,13.59,14.38,13.06,11.5,12.28,14.78,15.41,15.22,15.94,17.62,17.5,14.94,13.0,13.16,12.91,10.97,9.56,10.59,12.31,11.97,11.38,12.69,15.0,16.09,15.69,16.28,18.38,18.69,17.31,16.31,16.81,17.5,16.19,15.06,15.78,17.59,17.75,16.5,16.84,18.5,18.44,16.59,15.25,15.5,15.16,12.97,11.56,12.88,14.78,14.94,14.38,15.38,16.81,16.22,13.91,12.91,13.34,13.59,13.16,13.66,16.84,19.53,19.84,19.38,20.47,21.25,19.62,17.56,16.88,17.22,16.38,14.31,13.22,14.0,14.06,12.56,12.47,15.19,18.53,19.94,20.88,23.19,25.59,25.22,23.66,23.31,24.5,25.03,23.75,23.03,23.56,23.31,20.44,17.62,17.06,17.53,16.19,15.0,16.31,18.5,19.09,18.19,17.28,17.09,15.91,13.16,11.59,12.78,14.47,15.0,15.25,17.66,20.28,20.25,19.03,18.88,19.56,18.34,15.47,13.34,12.94,12.16,9.81,7.91,9.06,10.53,10.16,9.34,10.5,12.0,11.75,10.56,11.38,14.0,15.75,16.19,16.59,18.5,19.31,16.88,14.0,13.47,13.62,12.41,11.53,13.06,15.81,16.81,15.94,15.59,16.59,16.31,14.44,13.38,15.03,16.12,14.72,12.47,11.97,11.44,9.16,6.56,6.44,8.59,10.31,11.22,13.03,16.81,19.56,19.72,19.62,21.75,23.41,23.0,21.72,22.22,23.22,21.78,18.59,16.56,15.69,13.91,10.59,8.75,9.34,9.97,9.06,8.0,9.19,10.66,10.25,9.06,10.06,12.81,13.94,13.69,14.47,16.56,16.94,15.19,13.88,14.88,15.91,15.38,13.81,14.84,15.84,14.62,12.38,12.03,13.16,13.53,12.59,12.75,14.75,15.69,14.72,13.78,15.34,17.34,17.88,17.44,19.34,21.75,22.47,21.78,22.0,23.41,23.66,21.97,20.84,21.72,22.16,20.38,18.75,19.0,19.91,19.16,17.25,17.56,18.84,18.56,16.47,15.59,16.16,15.66,13.12,11.5,12.62,13.56,12.25,10.75,11.12,11.69,10.22,7.97,8.25,10.06,10.97,10.31,10.78,12.38,12.91,10.69,8.84,9.25,10.28,10.06,9.94,11.97,14.91,15.69,14.47,14.44,15.72,16.22,14.84,14.34,15.78,16.59,14.84,13.38,13.88,14.97,14.03,12.81,13.22,15.06,15.0,13.47,13.28,14.47,14.81,12.78,11.78,13.09,14.28,13.53,12.44,13.34,14.66,13.84,12.19,12.38,14.22,15.53,15.72,17.12,20.69,23.19,22.34,21.16,21.5,21.62,19.16,16.38,15.34,15.66,14.34,11.78,11.0,12.16,12.47,10.75,10.31,12.09,12.75,11.03,9.47,9.53,10.41,9.47,7.72,8.12,9.28,8.75,6.19,4.88,6.0,6.72,6.19,7.0,10.31,13.75,14.53,14.06,15.12,15.78,13.31,9.12,6.69,5.56,3.97,1.12,0.62,2.62,4.03,3.19,2.16,3.19,4.38,3.75,3.5,6.44,10.72,13.78,15.91,18.97,23.38,25.94,25.62,24.84,24.75,22.84,17.62,11.53,8.03,6.22,3.25,1.47,3.25,7.22,10.12,11.25,13.41,16.22,17.03,14.94,12.97,13.12,13.75,12.19,11.06,12.16,13.75,12.62,9.78,8.25,7.66,5.62,1.94,0.09,0.62,1.72,0.91,0.59,3.06,5.5,4.91,3.75,4.31,5.66,4.66,2.75,2.16,4.06,5.0,4.28,4.5,6.81,8.88,8.44,8.06,10.16,13.03,12.97,12.12,13.28,15.47,15.0,12.75,11.19,11.03,9.28,5.75,2.88,3.31,4.22,3.12,2.91,5.31,8.47,9.16,9.38,10.78,13.06,13.31,11.69,10.44,11.25,11.28,9.56,8.19,9.75,10.81,10.03,8.25,8.41,9.56,9.22,7.78,8.25,10.78,11.78,11.0,11.16,12.97,13.38,11.09,8.69,8.38,8.94,7.78,6.31,7.41,9.78,11.06,11.06,12.59,15.59,16.94,15.69,13.91,14.0,13.5,10.75,8.31,8.62,9.78,9.22,8.34,9.81,13.19,15.56,16.53,18.81,22.31,24.12,23.69,22.94,24.25,25.06,23.66,21.28,21.03,21.47,20.25,17.97,17.31,18.62,18.22,15.72,14.47,15.44,15.78,14.22,13.12,14.22,15.75,14.88,13.12,13.56,15.38,15.59,14.72,15.59,17.75,18.88,17.31,16.31,17.31,18.0,16.22,14.25,14.88,15.81,15.22,13.81,13.97,15.47,15.19,13.47,13.03,14.53,15.38,13.97,12.72,13.59,13.81,11.81,9.81,10.47,12.41,12.72,11.53,12.03,13.47,13.66,11.97,11.09,12.41,13.12,11.84,10.91,13.03,15.09,14.91,13.28,13.44,14.38,13.5,11.66,11.09,12.62,12.53,10.22,8.38,8.5,8.25,6.12,4.59,5.19,6.66,6.56,5.38,6.16,8.59,10.0,10.09,11.91,15.41,17.59,16.72,15.31,15.44,14.5,11.06,7.41,6.28,6.31,5.28,3.62,3.91,5.84,7.16,6.78,7.75,10.91,12.94,13.09,12.34,12.78,13.0,10.72,7.69,7.0,8.06,8.16,22.62,23.69,23.94,23.28,24.0,24.69,23.84,21.78,20.47,19.91,19.0,17.69,17.59,19.41,21.22,22.0,21.97,23.22,24.22,23.47,21.91,21.75,22.16,21.97,21.06,20.69,21.34,21.22:31.19,32.94,33.16,34.75,37.03,37.38,35.34,34.31,34.72,34.62,32.66,30.84,31.62,32.38,31.22,29.94,31.0,33.44,34.88,34.72,35.97,37.84,38.09,35.78,34.44,35.34,36.5,35.34,35.09,36.84,39.16,39.34,38.5,39.09,40.59,40.25,37.94,37.56,38.75,39.31,37.78,37.28,38.19,39.03,37.22,35.34,35.91,37.0,36.69,35.28,35.5,36.56,36.19,34.06,33.41,34.62,35.16,33.0,31.22,31.25,31.72,29.91,28.0,28.56,29.75,29.72,28.0,28.03,29.41,29.19,26.81,25.44,26.5,27.62,26.38,25.97,27.66,29.81,29.47,28.75,30.0,32.28,32.72,31.16,29.78,29.44,27.53,22.94,19.25,18.0,17.19,14.5,12.53,13.0,15.12,15.72,15.62,18.09,21.66,23.88,23.91,24.53,26.56,27.09,25.41,23.94,24.34,25.09,23.22,20.91,21.06,22.25,21.5,19.88,19.94,21.38,21.41,19.56,19.09,20.81,21.97,20.44,19.06,18.94,18.97,16.72,14.28,13.94,15.47,15.31,14.16,14.69,16.78,17.91,16.28,15.28,16.09,16.47,14.69,13.06,14.06,16.66,17.53,17.88,19.94,23.62,25.34,25.19,25.88,28.22,29.06,27.28,25.38,25.97,25.91,23.06,19.94,18.38,18.03,15.78,12.88,11.72,13.06,13.22,11.75,11.66,14.0,15.97,15.41,15.94,19.44,22.72,23.38,22.44,22.31,22.25,19.66,16.38,14.78,16.03,16.28,14.94,14.06,15.31,16.41,15.31,14.5,16.09,17.72,17.09,15.91,16.88,19.78,21.56,22.59,24.69,28.81,31.09,30.59,29.94,31.03,31.38,29.12,26.41,25.88,25.91,24.28,22.03,22.09,24.38,25.91,26.0,26.84,30.03,31.41,30.56,29.5,30.72,32.28,31.69,30.03,30.16,30.31,27.47,22.53,18.56,16.28,12.88,8.34,5.59,6.0,7.03,6.62,7.0,10.06,14.09,15.41,15.97,17.56,20.22,20.75,19.53,19.41,21.28,22.06,20.66,19.81,21.31,22.19,21.25,20.09,21.41,23.16,22.91,21.06,20.56,21.38,20.78,18.97,18.84,21.0,22.41,21.72,21.0,22.19,23.25,22.41,20.72,21.38,23.06,23.38,22.84,23.91,26.38,27.28,25.81,24.94,25.88,26.44,24.53,22.62,23.19,24.0,22.75,20.97,21.34,22.66,21.97,20.09,19.75,21.25,22.25,21.09,20.66,22.38,23.94,23.31,22.31,23.16,24.53,23.88,21.66,21.53,22.72,22.31,20.16,19.09,20.03,20.5,19.38,18.91,21.28,23.56,23.81,23.03,24.38,26.12,25.88,24.16,23.94,25.0,24.94,23.31,23.28,25.56,27.53,26.84,25.62,25.81,25.75,23.59,20.53,19.75,20.19,19.22,16.91,16.75,18.97,20.59,20.31,20.69,22.72,23.59,21.97,19.69,19.5,20.25,18.91,17.25,17.66,19.38,19.84,18.53,18.0,19.16,18.97,16.75,14.75,15.31,15.62,13.97,11.88,11.78,12.66,11.94,10.47,10.91,13.16,13.97,13.72,14.22,16.78,18.62,18.47,17.84,19.12,20.03,18.78,16.75,16.34,17.03,16.28,14.28,13.59,14.28,14.5,12.31,11.09,12.0,12.53,11.12,9.5,10.03,11.62,11.94,11.5,13.41,16.66,18.25,17.72,18.31,20.06,20.94,18.97,17.12,17.38,17.47,15.59,13.41,13.47,14.03,13.38,11.5,10.94,11.66,11.19,9.03,7.97,9.22,10.22,9.31,8.41,9.91,11.5,11.28,10.22,11.0,12.59,12.62,11.25,10.84,12.34,12.94,11.69,10.94,12.59,13.66,11.91,9.81,9.16,8.81,6.66,3.56,3.12,4.25,4.78,4.59,6.59,9.78,12.19,11.38,9.94,9.31,8.19,4.75,1.53,1.09,2.5,3.44,3.91,6.47,9.94,11.94,11.06,10.28,11.03,11.75,10.19,9.56,11.16,13.38,13.12,11.88,11.47,12.31,11.22,8.44,7.59,8.22,8.81,7.38,6.81,7.91,8.88,7.41,5.75,6.06,7.47,6.56,5.53,5.97,7.91,9.12,8.69,9.94,12.38,14.38,13.66,12.88,13.59,14.38,13.06,11.5,12.28,14.78,15.41,15.22,15.94,17.62,17.5,14.94,13.0,13.16,12.91,10.97,9.56,10.59,12.31,11.97,11.38,12.69,15.0,16.09,15.69,16.28,18.38,18.69,17.31,16.31,16.81,17.5,16.19,15.06,15.78,17.59,17.75,16.5,16.84,18.5,18.44,16.59,15.25,15.5,15.16,12.97,11.56,12.88,14.78,14.94,14.38,15.38,16.81,16.22,13.91,12.91,13.34,13.59,13.16,13.66,16.84,19.53,19.84,19.38,20.47,21.25,19.62,17.56,16.88,17.22,16.38,14.31,13.22,14.0,14.06,12.56,12.47,15.19,18.53,19.94,20.88,23.19,25.59,25.22,23.66,23.31,24.5,25.03,23.75,23.03,23.56,23.31,20.44,17.62,17.06,17.53,16.19,15.0,16.31,18.5,19.09,18.19,17.28,17.09,15.91,13.16,11.59,12.78,14.47,15.0,15.25,17.66,20.28,20.25,19.03,18.88,19.56,18.34,15.47,13.34,12.94,12.16,9.81,7.91,9.06,10.53,10.16,9.34,10.5,12.0,11.75,10.56,11.38,14.0,15.75,16.19,16.59,18.5,19.31,16.88,14.0,13.47,13.62,12.41,11.53,13.06,15.81,16.81,15.94,15.59,16.59,16.31,14.44,13.38,15.03,16.12,14.72,12.47,11.97,11.44,9.16,6.56,6.44,8.59,10.31,11.22,13.03,16.81,19.56,19.72,19.62,21.75,23.41,23.0,21.72,22.22,23.22,21.78,18.59,16.56,15.69,13.91,10.59,8.75,9.34,9.97,9.06,8.0,9.19,10.66,10.25,9.06,10.06,12.81,13.94,13.69,14.47,16.56,16.94,15.19,13.88,14.88,15.91,15.38,13.81,14.84,15.84,14.62,12.38,12.03,13.16,13.53,12.59,12.75,14.75,15.69,14.72,13.78,15.34,17.34,17.88,17.44,19.34,21.75,22.47,21.78,22.0,23.41,23.66,21.97,20.84,21.72,22.16,20.38,18.75,19.0,19.91,19.16,17.25,17.56,18.84,18.56,16.47,15.59,16.16,15.66,13.12,11.5,12.62,13.56,12.25,10.75,11.12,11.69,10.22,7.97,8.25,10.06,10.97,10.31,10.78,12.38,12.91,10.69,8.84,9.25,10.28,10.06,9.94,11.97,14.91,15.69,14.47,14.44,15.72,16.22,14.84,14.34,15.78,16.59,14.84,13.38,13.88,14.97,14.03,12.81,13.22,15.06,15.0,13.47,13.28,14.47,14.81,12.78,11.78,13.09,14.28,13.53,12.44,13.34,14.66,13.84,12.19,12.38,14.22,15.53,15.72,17.12,20.69,23.19,22.34,21.16,21.5,21.62,19.16,16.38,15.34,15.66,14.34,11.78,11.0,12.16,12.47,10.75,10.31,12.09,12.75,11.03,9.47,9.53,10.41,9.47,7.72,8.12,9.28,8.75,6.19,4.88,6.0,6.72,6.19,7.0,10.31,13.75,14.53,14.06,15.12,15.78,13.31,9.12,6.69,5.56,3.97,1.12,0.62,2.62,4.03,3.19,2.16,3.19,4.38,3.75,3.5,6.44,10.72,13.78,15.91,18.97,23.38,25.94,25.62,24.84,24.75,22.84,17.62,11.53,8.03,6.22,3.25,1.47,3.25,7.22,10.12,11.25,13.41,16.22,17.03,14.94,12.97,13.12,13.75,12.19,11.06,12.16,13.75,12.62,9.78,8.25,7.66,5.62,1.94,0.09,0.62,1.72,0.91,0.59,3.06,5.5,4.91,3.75,4.31,5.66,4.66,2.75,2.16,4.06,5.0,4.28,4.5,6.81,8.88,8.44,8.06,10.16,13.03,12.97,12.12,13.28,15.47,15.0,12.75,11.19,11.03,9.28,5.75,2.88,3.31,4.22,3.12,2.91,5.31,8.47,9.16,9.38,10.78,13.06,13.31,11.69,10.44,11.25,11.28,9.56,8.19,9.75,10.81,10.03,8.25,8.41,9.56,9.22,7.78,8.25,10.78,11.78,11.0,11.16,12.97,13.38,11.09,8.69,8.38,8.94,7.78,6.31,7.41,9.78,11.06,11.06,12.59,15.59,16.94,15.69,13.91,14.0,13.5,10.75,8.31,8.62,9.78,9.22,8.34,9.81,13.19,15.56,16.53,18.81,22.31,24.12,23.69,22.94,24.25,25.06,23.66,21.28,21.03,21.47,20.25,17.97,17.31,18.62,18.22,15.72,14.47,15.44,15.78,14.22,13.12,14.22,15.75,14.88,13.12,13.56,15.38,15.59,14.72,15.59,17.75,18.88,17.31,16.31,17.31,18.0,16.22,14.25,14.88,15.81,15.22,13.81,13.97,15.47,15.19,13.47,13.03,14.53,15.38,13.97,12.72,13.59,13.81,11.81,9.81,10.47,12.41,12.72,11.53,12.03,13.47,13.66,11.97,11.09,12.41,13.12,11.84,10.91,13.03,15.09,14.91,13.28,13.44,14.38,13.5,11.66,11.09,12.62,12.53,10.22,8.38,8.5,8.25,6.12,4.59,5.19,6.66,6.56,5.38,6.16,8.59,10.0,10.09,11.91,15.41,17.59,16.72,15.31,15.44,14.5,11.06,7.41,6.28,6.31,5.28,3.62,3.91,5.84,7.16,6.78,7.75,10.91,12.94,13.09,12.34,12.78,13.0,10.72,7.69,7.0,8.06,8.16,22.62,23.69,23.94,23.28,24.0,24.69,23.84,21.78,20.47,19.91,19.0,17.69,17.59,19.41,21.22,22.0,21.97,23.22,24.22,23.47,21.91,21.75,22.16,21.97,21.06,20.69,21.34,21.22,19.5,18.12,18.53,19.16,18.91,19.28,21.31:34.31,34.72,34.62,32.66,30.84,31.62,32.38,31.22,29.94,31.0,33.44,34.88,34.72,35.97,37.84,38.09,35.78,34.44,35.34,36.5,35.34,35.09,36.84,39.16,39.34,38.5,39.09,40.59,40.25,37.94,37.56,38.75,39.31,37.78,37.28,38.19,39.03,37.22,35.34,35.91,37.0,36.69,35.28,35.5,36.56,36.19,34.06,33.41,34.62,35.16,33.0,31.22,31.25,31.72,29.91,28.0,28.56,29.75,29.72,28.0,28.03,29.41,29.19,26.81,25.44,26.5,27.62,26.38,25.97,27.66,29.81,29.47,28.75,30.0,32.28,32.72,31.16,29.78,29.44,27.53,22.94,19.25,18.0,17.19,14.5,12.53,13.0,15.12,15.72,15.62,18.09,21.66,23.88,23.91,24.53,26.56,27.09,25.41,23.94,24.34,25.09,23.22,20.91,21.06,22.25,21.5,19.88,19.94,21.38,21.41,19.56,19.09,20.81,21.97,20.44,19.06,18.94,18.97,16.72,14.28,13.94,15.47,15.31,14.16,14.69,16.78,17.91,16.28,15.28,16.09,16.47,14.69,13.06,14.06,16.66,17.53,17.88,19.94,23.62,25.34,25.19,25.88,28.22,29.06,27.28,25.38,25.97,25.91,23.06,19.94,18.38,18.03,15.78,12.88,11.72,13.06,13.22,11.75,11.66,14.0,15.97,15.41,15.94,19.44,22.72,23.38,22.44,22.31,22.25,19.66,16.38,14.78,16.03,16.28,14.94,14.06,15.31,16.41,15.31,14.5,16.09,17.72,17.09,15.91,16.88,19.78,21.56,22.59,24.69,28.81,31.09,30.59,29.94,31.03,31.38,29.12,26.41,25.88,25.91,24.28,22.03,22.09,24.38,25.91,26.0,26.84,30.03,31.41,30.56,29.5,30.72,32.28,31.69,30.03,30.16,30.31,27.47,22.53,18.56,16.28,12.88,8.34,5.59,6.0,7.03,6.62,7.0,10.06,14.09,15.41,15.97,17.56,20.22,20.75,19.53,19.41,21.28,22.06,20.66,19.81,21.31,22.19,21.25,20.09,21.41,23.16,22.91,21.06,20.56,21.38,20.78,18.97,18.84,21.0,22.41,21.72,21.0,22.19,23.25,22.41,20.72,21.38,23.06,23.38,22.84,23.91,26.38,27.28,25.81,24.94,25.88,26.44,24.53,22.62,23.19,24.0,22.75,20.97,21.34,22.66,21.97,20.09,19.75,21.25,22.25,21.09,20.66,22.38,23.94,23.31,22.31,23.16,24.53,23.88,21.66,21.53,22.72,22.31,20.16,19.09,20.03,20.5,19.38,18.91,21.28,23.56,23.81,23.03,24.38,26.12,25.88,24.16,23.94,25.0,24.94,23.31,23.28,25.56,27.53,26.84,25.62,25.81,25.75,23.59,20.53,19.75,20.19,19.22,16.91,16.75,18.97,20.59,20.31,20.69,22.72,23.59,21.97,19.69,19.5,20.25,18.91,17.25,17.66,19.38,19.84,18.53,18.0,19.16,18.97,16.75,14.75,15.31,15.62,13.97,11.88,11.78,12.66,11.94,10.47,10.91,13.16,13.97,13.72,14.22,16.78,18.62,18.47,17.84,19.12,20.03,18.78,16.75,16.34,17.03,16.28,14.28,13.59,14.28,14.5,12.31,11.09,12.0,12.53,11.12,9.5,10.03,11.62,11.94,11.5,13.41,16.66,18.25,17.72,18.31,20.06,20.94,18.97,17.12,17.38,17.47,15.59,13.41,13.47,14.03,13.38,11.5,10.94,11.66,11.19,9.03,7.97,9.22,10.22,9.31,8.41,9.91,11.5,11.28,10.22,11.0,12.59,12.62,11.25,10.84,12.34,12.94,11.69,10.94,12.59,13.66,11.91,9.81,9.16,8.81,6.66,3.56,3.12,4.25,4.78,4.59,6.59,9.78,12.19,11.38,9.94,9.31,8.19,4.75,1.53,1.09,2.5,3.44,3.91,6.47,9.94,11.94,11.06,10.28,11.03,11.75,10.19,9.56,11.16,13.38,13.12,11.88,11.47,12.31,11.22,8.44,7.59,8.22,8.81,7.38,6.81,7.91,8.88,7.41,5.75,6.06,7.47,6.56,5.53,5.97,7.91,9.12,8.69,9.94,12.38,14.38,13.66,12.88,13.59,14.38,13.06,11.5,12.28,14.78,15.41,15.22,15.94,17.62,17.5,14.94,13.0,13.16,12.91,10.97,9.56,10.59,12.31,11.97,11.38,12.69,15.0,16.09,15.69,16.28,18.38,18.69,17.31,16.31,16.81,17.5,16.19,15.06,15.78,17.59,17.75,16.5,16.84,18.5,18.44,16.59,15.25,15.5,15.16,12.97,11.56,12.88,14.78,14.94,14.38,15.38,16.81,16.22,13.91,12.91,13.34,13.59,13.16,13.66,16.84,19.53,19.84,19.38,20.47,21.25,19.62,17.56,16.88,17.22,16.38,14.31,13.22,14.0,14.06,12.56,12.47,15.19,18.53,19.94,20.88,23.19,25.59,25.22,23.66,23.31,24.5,25.03,23.75,23.03,23.56,23.31,20.44,17.62,17.06,17.53,16.19,15.0,16.31,18.5,19.09,18.19,17.28,17.09,15.91,13.16,11.59,12.78,14.47,15.0,15.25,17.66,20.28,20.25,19.03,18.88,19.56,18.34,15.47,13.34,12.94,12.16,9.81,7.91,9.06,10.53,10.16,9.34,10.5,12.0,11.75,10.56,11.38,14.0,15.75,16.19,16.59,18.5,19.31,16.88,14.0,13.47,13.62,12.41,11.53,13.06,15.81,16.81,15.94,15.59,16.59,16.31,14.44,13.38,15.03,16.12,14.72,12.47,11.97,11.44,9.16,6.56,6.44,8.59,10.31,11.22,13.03,16.81,19.56,19.72,19.62,21.75,23.41,23.0,21.72,22.22,23.22,21.78,18.59,16.56,15.69,13.91,10.59,8.75,9.34,9.97,9.06,8.0,9.19,10.66,10.25,9.06,10.06,12.81,13.94,13.69,14.47,16.56,16.94,15.19,13.88,14.88,15.91,15.38,13.81,14.84,15.84,14.62,12.38,12.03,13.16,13.53,12.59,12.75,14.75,15.69,14.72,13.78,15.34,17.34,17.88,17.44,19.34,21.75,22.47,21.78,22.0,23.41,23.66,21.97,20.84,21.72,22.16,20.38,18.75,19.0,19.91,19.16,17.25,17.56,18.84,18.56,16.47,15.59,16.16,15.66,13.12,11.5,12.62,13.56,12.25,10.75,11.12,11.69,10.22,7.97,8.25,10.06,10.97,10.31,10.78,12.38,12.91,10.69,8.84,9.25,10.28,10.06,9.94,11.97,14.91,15.69,14.47,14.44,15.72,16.22,14.84,14.34,15.78,16.59,14.84,13.38,13.88,14.97,14.03,12.81,13.22,15.06,15.0,13.47,13.28,14.47,14.81,12.78,11.78,13.09,14.28,13.53,12.44,13.34,14.66,13.84,12.19,12.38,14.22,15.53,15.72,17.12,20.69,23.19,22.34,21.16,21.5,21.62,19.16,16.38,15.34,15.66,14.34,11.78,11.0,12.16,12.47,10.75,10.31,12.09,12.75,11.03,9.47,9.53,10.41,9.47,7.72,8.12,9.28,8.75,6.19,4.88,6.0,6.72,6.19,7.0,10.31,13.75,14.53,14.06,15.12,15.78,13.31,9.12,6.69,5.56,3.97,1.12,0.62,2.62,4.03,3.19,2.16,3.19,4.38,3.75,3.5,6.44,10.72,13.78,15.91,18.97,23.38,25.94,25.62,24.84,24.75,22.84,17.62,11.53,8.03,6.22,3.25,1.47,3.25,7.22,10.12,11.25,13.41,16.22,17.03,14.94,12.97,13.12,13.75,12.19,11.06,12.16,13.75,12.62,9.78,8.25,7.66,5.62,1.94,0.09,0.62,1.72,0.91,0.59,3.06,5.5,4.91,3.75,4.31,5.66,4.66,2.75,2.16,4.06,5.0,4.28,4.5,6.81,8.88,8.44,8.06,10.16,13.03,12.97,12.12,13.28,15.47,15.0,12.75,11.19,11.03,9.28,5.75,2.88,3.31,4.22,3.12,2.91,5.31,8.47,9.16,9.38,10.78,13.06,13.31,11.69,10.44,11.25,11.28,9.56,8.19,9.75,10.81,10.03,8.25,8.41,9.56,9.22,7.78,8.25,10.78,11.78,11.0,11.16,12.97,13.38,11.09,8.69,8.38,8.94,7.78,6.31,7.41,9.78,11.06,11.06,12.59,15.59,16.94,15.69,13.91,14.0,13.5,10.75,8.31,8.62,9.78,9.22,8.34,9.81,13.19,15.56,16.53,18.81,22.31,24.12,23.69,22.94,24.25,25.06,23.66,21.28,21.03,21.47,20.25,17.97,17.31,18.62,18.22,15.72,14.47,15.44,15.78,14.22,13.12,14.22,15.75,14.88,13.12,13.56,15.38,15.59,14.72,15.59,17.75,18.88,17.31,16.31,17.31,18.0,16.22,14.25,14.88,15.81,15.22,13.81,13.97,15.47,15.19,13.47,13.03,14.53,15.38,13.97,12.72,13.59,13.81,11.81,9.81,10.47,12.41,12.72,11.53,12.03,13.47,13.66,11.97,11.09,12.41,13.12,11.84,10.91,13.03,15.09,14.91,13.28,13.44,14.38,13.5,11.66,11.09,12.62,12.53,10.22,8.38,8.5,8.25,6.12,4.59,5.19,6.66,6.56,5.38,6.16,8.59,10.0,10.09,11.91,15.41,17.59,16.72,15.31,15.44,14.5,11.06,7.41,6.28,6.31,5.28,3.62,3.91,5.84,7.16,6.78,7.75,10.91,12.94,13.09,12.34,12.78,13.0,10.72,7.69,7.0,8.06,8.16,22.62,23.69,23.94,23.28,24.0,24.69,23.84,21.78,20.47,19.91,19.0,17.69,17.59,19.41,21.22,22.0,21.97,23.22,24.22,23.47,21.91,21.75,22.16,21.97,21.06,20.69,21.34,21.22,19.5,18.12,18.53,19.16,18.91,19.28,21.31,24.19,25.88,26.72,28.19,29.75,29.97,29.03:positivity
27.22,26.09,24.88,24.06,23.72,25.75,28.5,30.59,32.78,35.03,36.56,36.59,35.56,34.94,35.19,35.22,35.12,35.22,36.12,36.31,35.06,33.59,32.97,32.03,30.66,28.88,27.81,27.16,25.84,24.38,24.09,24.84,25.69,26.34,27.31,29.06,30.16,30.41,30.69,31.62,32.47,32.62,32.38,32.25,32.03,30.53,28.72,27.09,26.38,25.78,24.91,24.44,24.72,24.94,24.47,23.91,24.62,25.78,26.66,27.06,28.0,28.81,28.34,27.03,25.97,25.5,25.38,25.41,26.0,28.0,29.5,30.12,28.88,27.69,26.25,24.06,21.72,20.66,19.5,18.22,16.19,14.84,14.16,14.22,14.25,14.53,16.09,17.97,19.03,20.0,21.81,23.5,24.53,24.81,25.22,25.75,25.75,24.94,24.47,24.5,24.25,23.0,21.25,20.16,19.16,17.59,15.97,15.28,15.62,16.16,16.44,17.84,19.31,20.47,20.81,20.84,21.62,22.34,22.22,21.75,22.19,23.12,23.78,23.88,24.56,25.09,24.62,22.66,20.94,20.06,19.53,19.56,20.81,23.75,27.22,30.06,32.59,35.06,37.22,38.0,37.16,36.47,34.88,32.31,28.19,23.94,20.44,17.31,14.22,12.44,12.41,13.53,14.47,15.41,18.0,20.94,23.81,25.97,28.62,31.16,32.59,32.41,31.78,31.09,30.25,28.31,26.59,25.94,25.81,25.03,23.69,22.66,21.88,20.44,18.19,17.16,17.03,17.25,17.03,17.0,18.16,19.0,18.75,17.84,18.0,18.47,18.75,19.12,20.56,22.75,23.97,24.03,23.81,23.97,23.19,21.12,18.91,17.56,16.62,15.22,14.47,15.12,16.16,16.06,15.59,15.28,15.22,14.94,14.31,14.72,15.72,17.09,17.59,18.28,19.62,21.12,21.88,22.44,23.66,25.06,25.66,25.53,25.41,25.59,25.34,24.25,23.72,24.72,25.41,24.84,24.12,23.5,23.5,22.78,22.44,23.44,24.69,25.62,25.25,25.31,26.09,26.75,26.94,27.59,29.41,31.34,32.31,33.62,35.5,37.69,38.41,38.22,38.19,38.25,37.91,37.25,37.56,38.69,39.66,39.28,38.38,37.53,37.12,35.31,33.91,33.75,33.66,32.88,31.66,31.0,30.75,30.06,28.31,27.12,26.62,26.56,26.16,26.03,27.06,28.03,27.69,27.22,27.41,28.28,27.94,26.91,25.72,25.28,24.66,23.81,24.31,26.25,28.75,30.31,31.88,34.12,36.16,36.78,36.72,37.5,38.62,39.06,39.16,38.91,38.72,37.34,34.34,31.34,29.12,27.44,24.81,22.88,22.5,23.19,23.66,24.91,27.34,30.25,32.16,32.78,33.28,34.25,35.0,34.59,34.62,35.72,36.66,36.69,37.0,38.28,39.88,40.53,41.47,42.47,43.81,43.97,43.16,41.69,40.31,38.28,34.78,31.41,28.91,27.12,24.62,22.88,22.47,23.41,23.75,24.19,25.78,27.88,29.31,30.34,31.81,34.03,35.91,36.91,37.47,38.12,38.28,36.59,34.62,33.69,33.25,32.47,31.38,30.44,30.34,29.28,27.84,26.72,27.0,27.75,27.16,26.66,26.91,27.72,27.84,28.19,30.22,32.88,34.88,36.56,38.53,40.88,42.59,43.0,42.62,43.25,43.03,41.41,39.72,38.81,38.09,36.34,34.28,32.47,31.19,29.03,26.44,23.97,22.75,20.94,18.44,15.75,14.06,12.94,11.75,11.5,13.12,16.44,19.44,22.66,25.94,29.28,31.56,32.44,33.0,34.0,34.72,34.31,34.06,34.41,34.97,34.41,33.34,32.31,31.75,29.25,25.72,21.78,18.06,13.69,9.38,6.62,5.91,6.53,7.06,7.81,9.38,11.62,12.91,14.22,15.78,17.81,19.06,19.88,21.28,23.59,25.81,27.09,28.5,30.16,31.19,30.81,29.59,29.5,29.69,28.78,27.88,26.81,25.69,23.53,20.5,18.0,17.06,16.44,15.66,15.06,15.47,16.03,15.5,15.12,16.06,18.19,19.88,21.16,23.19,25.0,26.0,25.97,26.12,27.69,28.66,28.72,28.75,28.88,28.34,26.78,24.84,23.19,22.22,20.75,18.91,18.19,18.66,19.25,19.78,20.81,22.5,23.44,23.34,22.72,22.81,22.94,21.97,21.06,20.78,20.56,19.38,17.47,16.19,15.62,14.75,13.88,13.38,13.97,14.5,14.31,14.22,15.16,17.0,18.53,20.47,23.22,26.66,28.94,29.94,30.66,31.28,31.5,30.84,30.66,31.31,31.41,30.28,28.31,26.91,25.88,24.41,23.12,22.94,23.25,23.41,22.88,22.56,23.12,23.38,23.5,24.16,25.88,28.06,29.12,29.97,30.5,30.66,29.66,28.16,26.97,26.12,24.88,22.72,20.62,19.59,18.56,16.81,15.16,15.12,15.41,16.03,16.94,19.12,21.66,23.0,23.19,23.28,23.72,24.16,24.12,24.19,24.94,25.09,24.19,23.38,23.94,24.59,24.88,24.78,25.25,25.5,24.56,23.16,22.12,21.28,20.41,19.16,18.62,19.72,20.94,21.72,22.19,23.41,24.31,24.28,23.31,22.97,22.66,21.62,19.78,18.53,17.91,17.69,16.59,16.47,17.94,19.44,20.38,21.62,23.38,25.09,26.06,26.81,27.72,28.97,29.75,29.31,28.53,28.06,27.5,26.16,25.06,25.5,26.12,25.91,25.12,25.38,24.94,24.25,23.31,23.62,24.69,25.59,25.66,25.47,26.16,26.78,26.75,27.25,28.25,28.91,28.47,26.84,25.84,24.75,23.72,22.41,21.03,20.16,18.97,17.0,15.69,15.94,16.62,16.75,16.97,17.72,18.16,18.12,17.5,17.25,17.5,17.41,16.62,15.97,15.72,15.16,13.84,12.88,12.88,13.62,14.0,14.25,15.28,16.41,17.62,18.06,19.0,20.28,21.69,22.19,22.53,23.28,23.62,22.84,22.0,21.56,21.81,21.69,21.5,22.41,23.97,25.03,25.28,25.47,25.25,24.72,23.62,23.03,23.78,25.28,26.28,27.41,29.19,30.88,31.25,31.09,31.59,31.75,31.34,30.44,30.12,30.22,30.44,29.78,29.44,29.66,29.34,28.19,26.56,25.25,24.16,22.12,19.97,19.0,19.34,20.56,21.69,24.69,28.38,31.62,33.47,34.31,35.12,35.34,34.06,32.59,31.62,30.88,29.06,26.84,25.47,24.94,25.19,25.16,26.28,27.59,29.12,29.38,29.88,30.94,31.97,31.62,30.53,29.78,28.97,27.75,26.06,25.31,25.78,26.38,27.12,28.34,30.38,32.28,32.56,32.62,33.12,33.56,33.56,33.38,33.53,33.56,32.47,30.22,27.88,25.72,23.91,21.75,20.12,19.81,20.03,19.69,19.47,20.59,22.0,23.0,24.25,25.94,28.75,31.0,33.34,35.41,37.56,39.22,39.25,38.0,36.44,34.53,31.25,28.38,26.62,25.94,25.62,25.81,26.62,27.66,28.22,27.09,25.12,23.31,21.25,18.41,16.31,15.69,16.0,16.19,16.72,17.88,19.66,20.91,21.47,22.03,23.22,23.59,22.97,21.75,20.44,19.34,17.59,16.5,16.75,18.03,19.19,20.19,21.41,22.69,23.16,22.84,22.91,23.22,23.47,23.44,23.41,23.44,23.91,23.72,23.62,24.06,25.12,25.0,24.72,24.53,24.88,26.0,27.06,29.0,31.66,34.0,34.5,34.03,33.75,33.12,31.44,30.03,28.78,28.16,26.47,24.75,23.72,24.09,25.38,26.88,29.25,32.34,35.41,37.53,38.78,40.12,41.72,41.91,41.84,41.84,42.59,42.09,41.12,39.84,38.12,36.09,33.19,30.59,29.09,28.28,27.0,25.69,25.56,25.88,25.72,25.94,26.72,28.47,29.66,30.81,31.88,33.69,35.22,35.75,36.28,37.81,39.03,39.69,40.06,41.06,41.62,41.59,41.09,40.75,40.97,40.81,40.06,39.22,38.94,38.31,36.75,34.72,32.72,30.91,28.0,25.41,24.03,23.72,23.25,22.47,21.56,21.06,19.88,19.03,18.91,20.19,21.91,23.03,23.72,24.75,25.62,25.78,26.09,26.84,28.34,29.56,30.28,30.88,31.94,32.44,31.75,30.69,29.62,29.28,28.22,27.53,28.47,30.0,31.06,31.75,31.81,31.78,30.72,28.97,27.69,27.69,28.19,29.03,29.69,30.88,31.5,30.81,29.28,28.19,27.91,27.56,27.06,26.34,26.12,25.34,23.75,22.34,22.53,23.44,24.41,25.53,27.94,30.03,30.88,30.81,30.66,30.97,31.12,31.16,31.62,32.75,32.97,32.28,31.16,31.03,30.91,30.56,30.28,31.03,31.75,31.28,29.59,27.66,26.38,24.75,23.62,23.56,24.69,25.72,25.72,25.41,25.75,26.44,27.0,27.75,29.62,32.47,35.0,37.22,39.19,40.84,40.62,38.97,36.72,34.91,33.31,31.59,30.16,30.66,31.22,31.88,32.28,33.28,34.47,34.91,34.91,35.34,36.41,36.94,36.22,34.84,33.44,31.22,27.97,24.75,22.56,21.62,20.66,20.34,21.62,23.44,25.0,25.66,26.28,27.12,27.25,26.59,25.53,25.22,24.84,23.72,22.38,22.25,22.41,22.25,21.91,22.72,24.0,24.88,25.41,26.41,28.0,29.56,30.75,31.84,33.88,35.38,35.81,35.56,35.19,34.66,32.94,29.88,26.78,24.03,21.56,19.28,18.78,19.94,22.25,23.94,25.12,26.41,27.41,27.09,26.12,26.28,26.91,27.44,27.5,27.62,28.84,29.81,29.66,29.94,31.41,32.09,31.72,30.72,29.03,27.03,23.5,19.44,16.66,15.09,14.22,13.5,13.84,14.72,15.97,16.38,17.28,19.09,20.81,21.41,22.12,23.56,25.62,26.88,27.66,28.78,29.91,30.22,29.53:30.59,32.78,35.03,36.56,36.59,35.56,34.94,35.19,35.22,35.12,35.22,36.12,36.31,35.06,33.59,32.97,32.03,30.66,28.88,27.81,27.16,25.84,24.38,24.09,24.84,25.69,26.34,27.31,29.06,30.16,30.41,30.69,31.62,32.47,32.62,32.38,32.25,32.03,30.53,28.72,27.09,26.38,25.78,24.91,24.44,24.72,24.94,24.47,23.91,24.62,25.78,26.66,27.06,28.0,28.81,28.34,27.03,25.97,25.5,25.38,25.41,26.0,28.0,29.5,30.12,28.88,27.69,26.25,24.06,21.72,20.66,19.5,18.22,16.19,14.84,14.16,14.22,14.25,14.53,16.09,17.97,19.03,20.0,21.81,23.5,24.53,24.81,25.22,25.75,25.75,24.94,24.47,24.5,24.25,23.0,21.25,20.16,19.16,17.59,15.97,15.28,15.62,16.16,16.44,17.84,19.31,20.47,20.81,20.84,21.62,22.34,22.22,21.75,22.19,23.12,23.78,23.88,24.56,25.09,24.62,22.66,20.94,20.06,19.53,19.56,20.81,23.75,27.22,30.06,32.59,35.06,37.22,38.0,37.16,36.47,34.88,32.31,28.19,23.94,20.44,17.31,14.22,12.44,12.41,13.53,14.47,15.41,18.0,20.94,23.81,25.97,28.62,31.16,32.59,32.41,31.78,31.09,30.25,28.31,26.59,25.94,25.81,25.03,23.69,22.66,21.88,20.44,18.19,17.16,17.03,17.25,17.03,17.0,18.16,19.0,18.75,17.84,18.0,18.47,18.75,19.12,20.56,22.75,23.97,24.03,23.81,23.97,23.19,21.12,18.91,17.56,16.62,15.22,14.47,15.12,16.16,16.06,15.59,15.28,15.22,14.94,14.31,14.72,15.72,17.09,17.59,18.28,19.62,21.12,21.88,22.44,23.66,25.06,25.66,25.53,25.41,25.59,25.34,24.25,23.72,24.72,25.41,24.84,24.12,23.5,23.5,22.78,22.44,23.44,24.69,25.62,25.25,25.31,26.09,26.75,26.94,27.59,29.41,31.34,32.31,33.62,35.5,37.69,38.41,38.22,38.19,38.25,37.91,37.25,37.56,38.69,39.66,39.28,38.38,37.53,37.12,35.31,33.91,33.75,33.66,32.88,31.66,31.0,30.75,30.06,28.31,27.12,26.62,26.56,26.16,26.03,27.06,28.03,27.69,27.22,27.41,28.28,27.94,26.91,25.72,25.28,24.66,23.81,24.31,26.25,28.75,30.31,31.88,34.12,36.16,36.78,36.72,37.5,38.62,39.06,39.16,38.91,38.72,37.34,34.34,31.34,29.12,27.44,24.81,22.88,22.5,23.19,23.66,24.91,27.34,30.25,32.16,32.78,33.28,34.25,35.0,34.59,34.62,35.72,36.66,36.69,37.0,38.28,39.88,40.53,41.47,42.47,43.81,43.97,43.16,41.69,40.31,38.28,34.78,31.41,28.91,27.12,24.62,22.88,22.47,23.41,23.75,24.19,25.78,27.88,29.31,30.34,31.81,34.03,35.91,36.91,37.47,38.12,38.28,36.59,34.62,33.69,33.25,32.47,31.38,30.44,30.34,29.28,27.84,26.72,27.0,27.75,27.16,26.66,26.91,27.72,27.84,28.19,30.22,32.88,34.88,36.56,38.53,40.88,42.59,43.0,42.62,43.25,43.03,41.41,39.72,38.81,38.09,36.34,34.28,32.47,31.19,29.03,26.44,23.97,22.75,20.94,18.44,15.75,14.06,12.94,11.75,11.5,13.12,16.44,19.44,22.66,25.94,29.28,31.56,32.44,33.0,34.0,34.72,34.31,34.06,34.41,34.97,34.41,33.34,32.31,31.75,29.25,25.72,21.78,18.06,13.69,9.38,6.62,5.91,6.53,7.06,7.81,9.38,11.62,12.91,14.22,15.78,17.81,19.06,19.88,21.28,23.59,25.81,27.09,28.5,30.16,31.19,30.81,29.59,29.5,29.69,28.78,27.88,26.81,25.69,23.53,20.5,18.0,17.06,16.44,15.66,15.06,15.47,16.03,15.5,15.12,16.06,18.19,19.88,21.16,23.19,25.0,26.0,25.97,26.12,27.69,28.66,28.72,28.75,28.88,28.34,26.78,24.84,23.19,22.22,20.75,18.91,18.19,18.66,19.25,19.78,20.81,22.5,23.44,23.34,22.72,22.81,22.94,21.97,21.06,20.78,20.56,19.38,17.47,16.19,15.62,14.75,13.88,13.38,13.97,14.5,14.31,14.22,15.16,17.0,18.53,20.47,23.22,26.66,28.94,29.94,30.66,31.28,31.5,30.84,30.66,31.31,31.41,30.28,28.31,26.91,25.88,24.41,23.12,22.94,23.25,23.41,22.88,22.56,23.12,23.38,23.5,24.16,25.88,28.06,29.12,29.97,30.5,30.66,29.66,28.16,26.97,26.12,24.88,22.72,20.62,19.59,18.56,16.81,15.16,15.12,15.41,16.03,16.94,19.12,21.66,23.0,23.19,23.28,23.72,24.16,24.12,24.19,24.94,25.09,24.19,23.38,23.94,24.59,24.88,24.78,25.25,25.5,24.56,23.16,22.12,21.28,20.41,19.16,18.62,19.72,20.94,21.72,22.19,23.41,24.31,24.28,23.31,22.97,22.66,21.62,19.78,18.53,17.91,17.69,16.59,16.47,17.94,19.44,20.38,21.62,23.38,25.09,26.06,26.81,27.72,28.97,29.75,29.31,28.53,28.06,27.5,26.16,25.06,25.5,26.12,25.91,25.12,25.38,24.94,24.25,23.31,23.62,24.69,25.59,25.66,25.47,26.16,26.78,26.75,27.25,28.25,28.91,28.47,26.84,25.84,24.75,23.72,22.41,21.03,20.16,18.97,17.0,15.69,15.94,16.62,16.75,16.97,17.72,18.16,18.12,17.5,17.25,17.5,17.41,16.62,15.97,15.72,15.16,13.84,12.88,12.88,13.62,14.0,14.25,15.28,16.41,17.62,18.06,19.0,20.28,21.69,22.19,22.53,23.28,23.62,22.84,22.0,21.56,21.81,21.69,21.5,22.41,23.97,25.03,25.28,25.47,25.25,24.72,23.62,23.03,23.78,25.28,26.28,27.41,29.19,30.88,31.25,31.09,31.59,31.75,31.34,30.44,30.12,30.22,30.44,29.78,29.44,29.66,29.34,28.19,26.56,25.25,24.16,22.12,19.97,19.0,19.34,20.56,21.69,24.69,28.38,31.62,33.47,34.31,35.12,35.34,34.06,32.59,31.62,30.88,29.06,26.84,25.47,24.94,25.19,25.16,26.28,27.59,29.12,29.38,29.88,30.94,31.97,31.62,30.53,29.78,28.97,27.75,26.06,25.31,25.78,26.38,27.12,28.34,30.38,32.28,32.56,32.62,33.12,33.56,33.56,33.38,33.53,33.56,32.47,30.22,27.88,25.72,23.91,21.75,20.12,19.81,20.03,19.69,19.47,20.59,22.0,23.0,24.25,25.94,28.75,31.0,33.34,35.41,37.56,39.22,39.25,38.0,36.44,34.53,31.25,28.38,26.62,25.94,25.62,25.81,26.62,27.66,28.22,27.09,25.12,23.31,21.25,18.41,16.31,15.69,16.0,16.19,16.72,17.88,19.66,20.91,21.47,22.03,23.22,23.59,22.97,21.75,20.44,19.34,17.59,16.5,16.75,18.03,19.19,20.19,21.41,22.69,23.16,22.84,22.91,23.22,23.47,23.44,23.41,23.44,23.91,23.72,23.62,24.06,25.12,25.0,24.72,24.53,24.88,26.0,27.06,29.0,31.66,34.0,34.5,34.03,33.75,33.12,31.44,30.03,28.78,28.16,26.47,24.75,23.72,24.09,25.38,26.88,29.25,32.34,35.41,37.53,38.78,40.12,41.72,41.91,41.84,41.84,42.59,42.09,41.12,39.84,38.12,36.09,33.19,30.59,29.09,28.28,27.0,25.69,25.56,25.88,25.72,25.94,26.72,28.47,29.66,30.81,31.88,33.69,35.22,35.75,36.28,37.81,39.03,39.69,40.06,41.06,41.62,41.59,41.09,40.75,40.97,40.81,40.06,39.22,38.94,38.31,36.75,34.72,32.72,30.91,28.0,25.41,24.03,23.72,23.25,22.47,21.56,21.06,19.88,19.03,18.91,20.19,21.91,23.03,23.72,24.75,25.62,25.78,26.09,26.84,28.34,29.56,30.28,30.88,31.94,32.44,31.75,30.69,29.62,29.28,28.22,27.53,28.47,30.0,31.06,31.75,31.81,31.78,30.72,28.97,27.69,27.69,28.19,29.03,29.69,30.88,31.5,30.81,29.28,28.19,27.91,27.56,27.06,26.34,26.12,25.34,23.75,22.34,22.53,23.44,24.41,25.53,27.94,30.03,30.88,30.81,30.66,30.97,31.12,31.16,31.62,32.75,32.97,32.28,31.16,31.03,30.91,30.56,30.28,31.03,31.75,31.28,29.59,27.66,26.38,24.75,23.62,23.56,24.69,25.72,25.72,25.41,25.75,26.44,27.0,27.75,29.62,32.47,35.0,37.22,39.19,40.84,40.62,38.97,36.72,34.91,33.31,31.59,30.16,30.66,31.22,31.88,32.28,33.28,34.47,34.91,34.91,35.34,36.41,36.94,36.22,34.84,33.44,31.22,27.97,24.75,22.56,21.62,20.66,20.34,21.62,23.44,25.0,25.66,26.28,27.12,27.25,26.59,25.53,25.22,24.84,23.72,22.38,22.25,22.41,22.25,21.91,22.72,24.0,24.88,25.41,26.41,28.0,29.56,30.75,31.84,33.88,35.38,35.81,35.56,35.19,34.66,32.94,29.88,26.78,24.03,21.56,19.28,18.78,19.94,22.25,23.94,25.12,26.41,27.41,27.09,26.12,26.28,26.91,27.44,27.5,27.62,28.84,29.81,29.66,29.94,31.41,32.09,31.72,30.72,29.03,27.03,23.5,19.44,16.66,15.09,14.22,13.5,13.84,14.72,15.97,16.38,17.28,19.09,20.81,21.41,22.12,23.56,25.62,26.88,27.66,28.78,29.91,30.22,29.53,35.72,33.31,31.16,30.0,28.88,29.25,30.72:35.19,35.22,35.12,35.22,36.12,36.31,35.06,33.59,32.97,32.03,30.66,28.88,27.81,27.16,25.84,24.38,24.09,24.84,25.69,26.34,27.31,29.06,30.16,30.41,30.69,31.62,32.47,32.62,32.38,32.25,32.03,30.53,28.72,27.09,26.38,25.78,24.91,24.44,24.72,24.94,24.47,23.91,24.62,25.78,26.66,27.06,28.0,28.81,28.34,27.03,25.97,25.5,25.38,25.41,26.0,28.0,29.5,30.12,28.88,27.69,26.25,24.06,21.72,20.66,19.5,18.22,16.19,14.84,14.16,14.22,14.25,14.53,16.09,17.97,19.03,20.0,21.81,23.5,24.53,24.81,25.22,25.75,25.75,24.94,24.47,24.5,24.25,23.0,21.25,20.16,19.16,17.59,15.97,15.28,15.62,16.16,16.44,17.84,19.31,20.47,20.81,20.84,21.62,22.34,22.22,21.75,22.19,23.12,23.78,23.88,24.56,25.09,24.62,22.66,20.94,20.06,19.53,19.56,20.81,23.75,27.22,30.06,32.59,35.06,37.22,38.0,37.16,36.47,34.88,32.31,28.19,23.94,20.44,17.31,14.22,12.44,12.41,13.53,14.47,15.41,18.0,20.94,23.81,25.97,28.62,31.16,32.59,32.41,31.78,31.09,30.25,28.31,26.59,25.94,25.81,25.03,23.69,22.66,21.88,20.44,18.19,17.16,17.03,17.25,17.03,17.0,18.16,19.0,18.75,17.84,18.0,18.47,18.75,19.12,20.56,22.75,23.97,24.03,23.81,23.97,23.19,21.12,18.91,17.56,16.62,15.22,14.47,15.12,16.16,16.06,15.59,15.28,15.22,14.94,14.31,14.72,15.72,17.09,17.59,18.28,19.62,21.12,21.88,22.44,23.66,25.06,25.66,25.53,25.41,25.59,25.34,24.25,23.72,24.72,25.41,24.84,24.12,23.5,23.5,22.78,22.44,23.44,24.69,25.62,25.25,25.31,26.09,26.75,26.94,27.59,29.41,31.34,32.31,33.62,35.5,37.69,38.41,38.22,38.19,38.25,37.91,37.25,37.56,38.69,39.66,39.28,38.38,37.53,37.12,35.31,33.91,33.75,33.66,32.88,31.66,31.0,30.75,30.06,28.31,27.12,26.62,26.56,26.16,26.03,27.06,28.03,27.69,27.22,27.41,28.28,27.94,26.91,25.72,25.28,24.66,23.81,24.31,26.25,28.75,30.31,31.88,34.12,36.16,36.78,36.72,37.5,38.62,39.06,39.16,38.91,38.72,37.34,34.34,31.34,29.12,27.44,24.81,22.88,22.5,23.19,23.66,24.91,27.34,30.25,32.16,32.78,33.28,34.25,35.0,34.59,34.62,35.72,36.66,36.69,37.0,38.28,39.88,40.53,41.47,42.47,43.81,43.97,43.16,41.69,40.31,38.28,34.78,31.41,28.91,27.12,24.62,22.88,22.47,23.41,23.75,24.19,25.78,27.88,29.31,30.34,31.81,34.03,35.91,36.91,37.47,38.12,38.28,36.59,34.62,33.69,33.25,32.47,31.38,30.44,30.34,29.28,27.84,26.72,27.0,27.75,27.16,26.66,26.91,27.72,27.84,28.19,30.22,32.88,34.88,36.56,38.53,40.88,42.59,43.0,42.62,43.25,43.03,41.41,39.72,38.81,38.09,36.34,34.28,32.47,31.19,29.03,26.44,23.97,22.75,20.94,18.44,15.75,14.06,12.94,11.75,11.5,13.12,16.44,19.44,22.66,25.94,29.28,31.56,32.44,33.0,34.0,34.72,34.31,34.06,34.41,34.97,34.41,33.34,32.31,31.75,29.25,25.72,21.78,18.06,13.69,9.38,6.62,5.91,6.53,7.06,7.81,9.38,11.62,12.91,14.22,15.78,17.81,19.06,19.88,21.28,23.59,25.81,27.09,28.5,30.16,31.19,30.81,29.59,29.5,29.69,28.78,27.88,26.81,25.69,23.53,20.5,18.0,17.06,16.44,15.66,15.06,15.47,16.03,15.5,15.12,16.06,18.19,19.88,21.16,23.19,25.0,26.0,25.97,26.12,27.69,28.66,28.72,28.75,28.88,28.34,26.78,24.84,23.19,22.22,20.75,18.91,18.19,18.66,19.25,19.78,20.81,22.5,23.44,23.34,22.72,22.81,22.94,21.97,21.06,20.78,20.56,19.38,17.47,16.19,15.62,14.75,13.88,13.38,13.97,14.5,14.31,14.22,15.16,17.0,18.53,20.47,23.22,26.66,28.94,29.94,30.66,31.28,31.5,30.84,30.66,31.31,31.41,30.28,28.31,26.91,25.88,24.41,23.12,22.94,23.25,23.41,22.88,22.56,23.12,23.38,23.5,24.16,25.88,28.06,29.12,29.97,30.5,30.66,29.66,28.16,26.97,26.12,24.88,22.72,20.62,19.59,18.56,16.81,15.16,15.12,15.41,16.03,16.94,19.12,21.66,23.0,23.19,23.28,23.72,24.16,24.12,24.19,24.94,25.09,24.19,23.38,23.94,24.59,24.88,24.78,25.25,25.5,24.56,23.16,22.12,21.28,20.41,19.16,18.62,19.72,20.94,21.72,22.19,23.41,24.31,24.28,23.31,22.97,22.66,21.62,19.78,18.53,17.91,17.69,16.59,16.47,17.94,19.44,20.38,21.62,23.38,25.09,26.06,26.81,27.72,28.97,29.75,29.31,28.53,28.06,27.5,26.16,25.06,25.5,26.12,25.91,25.12,25.38,24.94,24.25,23.31,23.62,24.69,25.59,25.66,25.47,26.16,26.78,26.75,27.25,28.25,28.91,28.47,26.84,25.84,24.75,23.72,22.41,21.03,20.16,18.97,17.0,15.69,15.94,16.62,16.75,16.97,17.72,18.16,18.12,17.5,17.25,17.5,17.41,16.62,15.97,15.72,15.16,13.84,12.88,12.88,13.62,14.0,14.25,15.28,16.41,17.62,18.06,19.0,20.28,21.69,22.19,22.53,23.28,23.62,22.84,22.0,21.56,21.81,21.69,21.5,22.41,23.97,25.03,25.28,25.47,25.25,24.72,23.62,23.03,23.78,25.28,26.28,27.41,29.19,30.88,31.25,31.09,31.59,31.75,31.34,30.44,30.12,30.22,30.44,29.78,29.44,29.66,29.34,28.19,26.56,25.25,24.16,22.12,19.97,19.0,19.34,20.56,21.69,24.69,28.38,31.62,33.47,34.31,35.12,35.34,34.06,32.59,31.62,30.88,29.06,26.84,25.47,24.94,25.19,25.16,26.28,27.59,29.12,29.38,29.88,30.94,31.97,31.62,30.53,29.78,28.97,27.75,26.06,25.31,25.78,26.38,27.12,28.34,30.38,32.28,32.56,32.62,33.12,33.56,33.56,33.38,33.53,33.56,32.47,30.22,27.88,25.72,23.91,21.75,20.12,19.81,20.03,19.69,19.47,20.59,22.0,23.0,24.25,25.94,28.75,31.0,33.34,35.41,37.56,39.22,39.25,38.0,36.44,34.53,31.25,28.38,26.62,25.94,25.62,25.81,26.62,27.66,28.22,27.09,25.12,23.31,21.25,18.41,16.31,15.69,16.0,16.19,16.72,17.88,19.66,20.91,21.47,22.03,23.22,23.59,22.97,21.75,20.44,19.34,17.59,16.5,16.75,18.03,19.19,20.19,21.41,22.69,23.16,22.84,22.91,23.22,23.47,23.44,23.41,23.44,23.91,23.72,23.62,24.06,25.12,25.0,24.72,24.53,24.88,26.0,27.06,29.0,31.66,34.0,34.5,34.03,33.75,33.12,31.44,30.03,28.78,28.16,26.47,24.75,23.72,24.09,25.38,26.88,29.25,32.34,35.41,37.53,38.78,40.12,41.72,41.91,41.84,41.84,42.59,42.09,41.12,39.84,38.12,36.09,33.19,30.59,29.09,28.28,27.0,25.69,25.56,25.88,25.72,25.94,26.72,28.47,29.66,30.81,31.88,33.69,35.22,35.75,36.28,37.81,39.03,39.69,40.06,41.06,41.62,41.59,41.09,40.75,40.97,40.81,40.06,39.22,38.94,38.31,36.75,34.72,32.72,30.91,28.0,25.41,24.03,23.72,23.25,22.47,21.56,21.06,19.88,19.03,18.91,20.19,21.91,23.03,23.72,24.75,25.62,25.78,26.09,26.84,28.34,29.56,30.28,30.88,31.94,32.44,31.75,30.69,29.62,29.28,28.22,27.53,28.47,30.0,31.06,31.75,31.81,31.78,30.72,28.97,27.69,27.69,28.19,29.03,29.69,30.88,31.5,30.81,29.28,28.19,27.91,27.56,27.06,26.34,26.12,25.34,23.75,22.34,22.53,23.44,24.41,25.53,27.94,30.03,30.88,30.81,30.66,30.97,31.12,31.16,31.62,32.75,32.97,32.28,31.16,31.03,30.91,30.56,30.28,31.03,31.75,31.28,29.59,27.66,26.38,24.75,23.62,23.56,24.69,25.72,25.72,25.41,25.75,26.44,27.0,27.75,29.62,32.47,35.0,37.22,39.19,40.84,40.62,38.97,36.72,34.91,33.31,31.59,30.16,30.66,31.22,31.88,32.28,33.28,34.47,34.91,34.91,35.34,36.41,36.94,36.22,34.84,33.44,31.22,27.97,24.75,22.56,21.62,20.66,20.34,21.62,23.44,25.0,25.66,26.28,27.12,27.25,26.59,25.53,25.22,24.84,23.72,22.38,22.25,22.41,22.25,21.91,22.72,24.0,24.88,25.41,26.41,28.0,29.56,30.75,31.84,33.88,35.38,35.81,35.56,35.19,34.66,32.94,29.88,26.78,24.03,21.56,19.28,18.78,19.94,22.25,23.94,25.12,26.41,27.41,27.09,26.12,26.28,26.91,27.44,27.5,27.62,28.84,29.81,29.66,29.94,31.41,32.09,31.72,30.72,29.03,27.03,23.5,19.44,16.66,15.09,14.22,13.5,13.84,14.72,15.97,16.38,17.28,19.09,20.81,21.41,22.12,23.56,25.62,26.88,27.66,28.78,29.91,30.22,29.53,35.72,33.31,31.16,30.0,28.88,29.25,30.72,32.84,34.75,36.34,37.5,38.31,38.81,39.22:33.59,32.97,32.03,30.66,28.88,27.81,27.16,25.84,24.38,24.09,24.84,25.69,26.34,27.31,29.06,30.16,30.41,30.69,31.62,32.47,32.62,32.38,32.25,32.03,30.53,28.72,27.09,26.38,25.78,24.91,24.44,24.72,24.94,24.47,23.91,24.62,25.78,26.66,27.06,28.0,28.81,28.34,27.03,25.97,25.5,25.38,25.41,26.0,28.0,29.5,30.12,28.88,27.69,26.25,24.06,21.72,20.66,19.5,18.22,16.19,14.84,14.16,14.22,14.25,14.53,16.09,17.97,19.03,20.0,21.81,23.5,24.53,24.81,25.22,25.75,25.75,24.94,24.47,24.5,24.25,23.0,21.25,20.16,19.16,17.59,15.97,15.28,15.62,16.16,16.44,17.84,19.31,20.47,20.81,20.84,21.62,22.34,22.22,21.75,22.19,23.12,23.78,23.88,24.56,25.09,24.62,22.66,20.94,20.06,19.53,19.56,20.81,23.75,27.22,30.06,32.59,35.06,37.22,38.0,37.16,36.47,34.88,32.31,28.19,23.94,20.44,17.31,14.22,12.44,12.41,13.53,14.47,15.41,18.0,20.94,23.81,25.97,28.62,31.16,32.59,32.41,31.78,31.09,30.25,28.31,26.59,25.94,25.81,25.03,23.69,22.66,21.88,20.44,18.19,17.16,17.03,17.25,17.03,17.0,18.16,19.0,18.75,17.84,18.0,18.47,18.75,19.12,20.56,22.75,23.97,24.03,23.81,23.97,23.19,21.12,18.91,17.56,16.62,15.22,14.47,15.12,16.16,16.06,15.59,15.28,15.22,14.94,14.31,14.72,15.72,17.09,17.59,18.28,19.62,21.12,21.88,22.44,23.66,25.06,25.66,25.53,25.41,25.59,25.34,24.25,23.72,24.72,25.41,24.84,24.12,23.5,23.5,22.78,22.44,23.44,24.69,25.62,25.25,25.31,26.09,26.75,26.94,27.59,29.41,31.34,32.31,33.62,35.5,37.69,38.41,38.22,38.19,38.25,37.91,37.25,37.56,38.69,39.66,39.28,38.38,37.53,37.12,35.31,33.91,33.75,33.66,32.88,31.66,31.0,30.75,30.06,28.31,27.12,26.62,26.56,26.16,26.03,27.06,28.03,27.69,27.22,27.41,28.28,27.94,26.91,25.72,25.28,24.66,23.81,24.31,26.25,28.75,30.31,31.88,34.12,36.16,36.78,36.72,37.5,38.62,39.06,39.16,38.91,38.72,37.34,34.34,31.34,29.12,27.44,24.81,22.88,22.5,23.19,23.66,24.91,27.34,30.25,32.16,32.78,33.28,34.25,35.0,34.59,34.62,35.72,36.66,36.69,37.0,38.28,39.88,40.53,41.47,42.47,43.81,43.97,43.16,41.69,40.31,38.28,34.78,31.41,28.91,27.12,24.62,22.88,22.47,23.41,23.75,24.19,25.78,27.88,29.31,30.34,31.81,34.03,35.91,36.91,37.47,38.12,38.28,36.59,34.62,33.69,33.25,32.47,31.38,30.44,30.34,29.28,27.84,26.72,27.0,27.75,27.16,26.66,26.91,27.72,27.84,28.19,30.22,32.88,34.88,36.56,38.53,40.88,42.59,43.0,42.62,43.25,43.03,41.41,39.72,38.81,38.09,36.34,34.28,32.47,31.19,29.03,26.44,23.97,22.75,20.94,18.44,15.75,14.06,12.94,11.75,11.5,13.12,16.44,19.44,22.66,25.94,29.28,31.56,32.44,33.0,34.0,34.72,34.31,34.06,34.41,34.97,34.41,33.34,32.31,31.75,29.25,25.72,21.78,18.06,13.69,9.38,6.62,5.91,6.53,7.06,7.81,9.38,11.62,12.91,14.22,15.78,17.81,19.06,19.88,21.28,23.59,25.81,27.09,28.5,30.16,31.19,30.81,29.59,29.5,29.69,28.78,27.88,26.81,25.69,23.53,20.5,18.0,17.06,16.44,15.66,15.06,15.47,16.03,15.5,15.12,16.06,18.19,19.88,21.16,23.19,25.0,26.0,25.97,26.12,27.69,28.66,28.72,28.75,28.88,28.34,26.78,24.84,23.19,22.22,20.75,18.91,18.19,18.66,19.25,19.78,20.81,22.5,23.44,23.34,22.72,22.81,22.94,21.97,21.06,20.78,20.56,19.38,17.47,16.19,15.62,14.75,13.88,13.38,13.97,14.5,14.31,14.22,15.16,17.0,18.53,20.47,23.22,26.66,28.94,29.94,30.66,31.28,31.5,30.84,30.66,31.31,31.41,30.28,28.31,26.91,25.88,24.41,23.12,22.94,23.25,23.41,22.88,22.56,23.12,23.38,23.5,24.16,25.88,28.06,29.12,29.97,30.5,30.66,29.66,28.16,26.97,26.12,24.88,22.72,20.62,19.59,18.56,16.81,15.16,15.12,15.41,16.03,16.94,19.12,21.66,23.0,23.19,23.28,23.72,24.16,24.12,24.19,24.94,25.09,24.19,23.38,23.94,24.59,24.88,24.78,25.25,25.5,24.56,23.16,22.12,21.28,20.41,19.16,18.62,19.72,20.94,21.72,22.19,23.41,24.31,24.28,23.31,22.97,22.66,21.62,19.78,18.53,17.91,17.69,16.59,16.47,17.94,19.44,20.38,21.62,23.38,25.09,26.06,26.81,27.72,28.97,29.75,29.31,28.53,28.06,27.5,26.16,25.06,25.5,26.12,25.91,25.12,25.38,24.94,24.25,23.31,23.62,24.69,25.59,25.66,25.47,26.16,26.78,26.75,27.25,28.25,28.91,28.47,26.84,25.84,24.75,23.72,22.41,21.03,20.16,18.97,17.0,15.69,15.94,16.62,16.75,16.97,17.72,18.16,18.12,17.5,17.25,17.5,17.41,16.62,15.97,15.72,15.16,13.84,12.88,12.88,13.62,14.0,14.25,15.28,16.41,17.62,18.06,19.0,20.28,21.69,22.19,22.53,23.28,23.62,22.84,22.0,21.56,21.81,21.69,21.5,22.41,23.97,25.03,25.28,25.47,25.25,24.72,23.62,23.03,23.78,25.28,26.28,27.41,29.19,30.88,31.25,31.09,31.59,31.75,31.34,30.44,30.12,30.22,30.44,29.78,29.44,29.66,29.34,28.19,26.56,25.25,24.16,22.12,19.97,19.0,19.34,20.56,21.69,24.69,28.38,31.62,33.47,34.31,35.12,35.34,34.06,32.59,31.62,30.88,29.06,26.84,25.47,24.94,25.19,25.16,26.28,27.59,29.12,29.38,29.88,30.94,31.97,31.62,30.53,29.78,28.97,27.75,26.06,25.31,25.78,26.38,27.12,28.34,30.38,32.28,32.56,32.62,33.12,33.56,33.56,33.38,33.53,33.56,32.47,30.22,27.88,25.72,23.91,21.75,20.12,19.81,20.03,19.69,19.47,20.59,22.0,23.0,24.25,25.94,28.75,31.0,33.34,35.41,37.56,39.22,39.25,38.0,36.44,34.53,31.25,28.38,26.62,25.94,25.62,25.81,26.62,27.66,28.22,27.09,25.12,23.31,21.25,18.41,16.31,15.69,16.0,16.19,16.72,17.88,19.66,20.91,21.47,22.03,23.22,23.59,22.97,21.75,20.44,19.34,17.59,16.5,16.75,18.03,19.19,20.19,21.41,22.69,23.16,22.84,22.91,23.22,23.47,23.44,23.41,23.44,23.91,23.72,23.62,24.06,25.12,25.0,24.72,24.53,24.88,26.0,27.06,29.0,31.66,34.0,34.5,34.03,33.75,33.12,31.44,30.03,28.78,28.16,26.47,24.75,23.72,24.09,25.38,26.88,29.25,32.34,35.41,37.53,38.78,40.12,41.72,41.91,41.84,41.84,42.59,42.09,41.12,39.84,38.12,36.09,33.19,30.59,29.09,28.28,27.0,25.69,25.56,25.88,25.72,25.94,26.72,28.47,29.66,30.81,31.88,33.69,35.22,35.75,36.28,37.81,39.03,39.69,40.06,41.06,41.62,41.59,41.09,40.75,40.97,40.81,40.06,39.22,38.94,38.31,36.75,34.72,32.72,30.91,28.0,25.41,24.03,23.72,23.25,22.47,21.56,21.06,19.88,19.03,18.91,20.19,21.91,23.03,23.72,24.75,25.62,25.78,26.09,26.84,28.34,29.56,30.28,30.88,31.94,32.44,31.75,30.69,29.62,29.28,28.22,27.53,28.47,30.0,31.06,31.75,31.81,31.78,30.72,28.97,27.69,27.69,28.19,29.03,29.69,30.88,31.5,30.81,29.28,28.19,27.91,27.56,27.06,26.34,26.12,25.34,23.75,22.34,22.53,23.44,24.41,25.53,27.94,30.03,30.88,30.81,30.66,30.97,31.12,31.16,31.62,32.75,32.97,32.28,31.16,31.03,30.91,30.56,30.28,31.03,31.75,31.28,29.59,27.66,26.38,24.75,23.62,23.56,24.69,25.72,25.72,25.41,25.75,26.44,27.0,27.75,29.62,32.47,35.0,37.22,39.19,40.84,40.62,38.97,36.72,34.91,33.31,31.59,30.16,30.66,31.22,31.88,32.28,33.28,34.47,34.91,34.91,35.34,36.41,36.94,36.22,34.84,33.44,31.22,27.97,24.75,22.56,21.62,20.66,20.34,21.62,23.44,25.0,25.66,26.28,27.12,27.25,26.59,25.53,25.22,24.84,23.72,22.38,22.25,22.41,22.25,21.91,22.72,24.0,24.88,25.41,26.41,28.0,29.56,30.75,31.84,33.88,35.38,35.81,35.56,35.19,34.66,32.94,29.88,26.78,24.03,21.56,19.28,18.78,19.94,22.25,23.94,25.12,26.41,27.41,27.09,26.12,26.28,26.91,27.44,27.5,27.62,28.84,29.81,29.66,29.94,31.41,32.09,31.72,30.72,29.03,27.03,23.5,19.44,16.66,15.09,14.22,13.5,13.84,14.72,15.97,16.38,17.28,19.09,20.81,21.41,22.12,23.56,25.62,26.88,27.66,28.78,29.91,30.22,29.53,35.72,33.31,31.16,30.0,28.88,29.25,30.72,32.84,34.75,36.34,37.5,38.31,38.81,39.22,40.31,41.19,42.03,42.59,43.19,43.06,42.47:25.84,24.38,24.09,24.84,25.69,26.34,27.31,29.06,30.16,30.41,30.69,31.62,32.47,32.62,32.38,32.25,32.03,30.53,28.72,27.09,26.38,25.78,24.91,24.44,24.72,24.94,24.47,23.91,24.62,25.78,26.66,27.06,28.0,28.81,28.34,27.03,25.97,25.5,25.38,25.41,26.0,28.0,29.5,30.12,28.88,27.69,26.25,24.06,21.72,20.66,19.5,18.22,16.19,14.84,14.16,14.22,14.25,14.53,16.09,17.97,19.03,20.0,21.81,23.5,24.53,24.81,25.22,25.75,25.75,24.94,24.47,24.5,24.25,23.0,21.25,20.16,19.16,17.59,15.97,15.28,15.62,16.16,16.44,17.84,19.31,20.47,20.81,20.84,21.62,22.34,22.22,21.75,22.19,23.12,23.78,23.88,24.56,25.09,24.62,22.66,20.94,20.06,19.53,19.56,20.81,23.75,27.22,30.06,32.59,35.06,37.22,38.0,37.16,36.47,34.88,32.31,28.19,23.94,20.44,17.31,14.22,12.44,12.41,13.53,14.47,15.41,18.0,20.94,23.81,25.97,28.62,31.16,32.59,32.41,31.78,31.09,30.25,28.31,26.59,25.94,25.81,25.03,23.69,22.66,21.88,20.44,18.19,17.16,17.03,17.25,17.03,17.0,18.16,19.0,18.75,17.84,18.0,18.47,18.75,19.12,20.56,22.75,23.97,24.03,23.81,23.97,23.19,21.12,18.91,17.56,16.62,15.22,14.47,15.12,16.16,16.06,15.59,15.28,15.22,14.94,14.31,14.72,15.72,17.09,17.59,18.28,19.62,21.12,21.88,22.44,23.66,25.06,25.66,25.53,25.41,25.59,25.34,24.25,23.72,24.72,25.41,24.84,24.12,23.5,23.5,22.78,22.44,23.44,24.69,25.62,25.25,25.31,26.09,26.75,26.94,27.59,29.41,31.34,32.31,33.62,35.5,37.69,38.41,38.22,38.19,38.25,37.91,37.25,37.56,38.69,39.66,39.28,38.38,37.53,37.12,35.31,33.91,33.75,33.66,32.88,31.66,31.0,30.75,30.06,28.31,27.12,26.62,26.56,26.16,26.03,27.06,28.03,27.69,27.22,27.41,28.28,27.94,26.91,25.72,25.28,24.66,23.81,24.31,26.25,28.75,30.31,31.88,34.12,36.16,36.78,36.72,37.5,38.62,39.06,39.16,38.91,38.72,37.34,34.34,31.34,29.12,27.44,24.81,22.88,22.5,23.19,23.66,24.91,27.34,30.25,32.16,32.78,33.28,34.25,35.0,34.59,34.62,35.72,36.66,36.69,37.0,38.28,39.88,40.53,41.47,42.47,43.81,43.97,43.16,41.69,40.31,38.28,34.78,31.41,28.91,27.12,24.62,22.88,22.47,23.41,23.75,24.19,25.78,27.88,29.31,30.34,31.81,34.03,35.91,36.91,37.47,38.12,38.28,36.59,34.62,33.69,33.25,32.47,31.38,30.44,30.34,29.28,27.84,26.72,27.0,27.75,27.16,26.66,26.91,27.72,27.84,28.19,30.22,32.88,34.88,36.56,38.53,40.88,42.59,43.0,42.62,43.25,43.03,41.41,39.72,38.81,38.09,36.34,34.28,32.47,31.19,29.03,26.44,23.97,22.75,20.94,18.44,15.75,14.06,12.94,11.75,11.5,13.12,16.44,19.44,22.66,25.94,29.28,31.56,32.44,33.0,34.0,34.72,34.31,34.06,34.41,34.97,34.41,33.34,32.31,31.75,29.25,25.72,21.78,18.06,13.69,9.38,6.62,5.91,6.53,7.06,7.81,9.38,11.62,12.91,14.22,15.78,17.81,19.06,19.88,21.28,23.59,25.81,27.09,28.5,30.16,31.19,30.81,29.59,29.5,29.69,28.78,27.88,26.81,25.69,23.53,20.5,18.0,17.06,16.44,15.66,15.06,15.47,16.03,15.5,15.12,16.06,18.19,19.88,21.16,23.19,25.0,26.0,25.97,26.12,27.69,28.66,28.72,28.75,28.88,28.34,26.78,24.84,23.19,22.22,20.75,18.91,18.19,18.66,19.25,19.78,20.81,22.5,23.44,23.34,22.72,22.81,22.94,21.97,21.06,20.78,20.56,19.38,17.47,16.19,15.62,14.75,13.88,13.38,13.97,14.5,14.31,14.22,15.16,17.0,18.53,20.47,23.22,26.66,28.94,29.94,30.66,31.28,31.5,30.84,30.66,31.31,31.41,30.28,28.31,26.91,25.88,24.41,23.12,22.94,23.25,23.41,22.88,22.56,23.12,23.38,23.5,24.16,25.88,28.06,29.12,29.97,30.5,30.66,29.66,28.16,26.97,26.12,24.88,22.72,20.62,19.59,18.56,16.81,15.16,15.12,15.41,16.03,16.94,19.12,21.66,23.0,23.19,23.28,23.72,24.16,24.12,24.19,24.94,25.09,24.19,23.38,23.94,24.59,24.88,24.78,25.25,25.5,24.56,23.16,22.12,21.28,20.41,19.16,18.62,19.72,20.94,21.72,22.19,23.41,24.31,24.28,23.31,22.97,22.66,21.62,19.78,18.53,17.91,17.69,16.59,16.47,17.94,19.44,20.38,21.62,23.38,25.09,26.06,26.81,27.72,28.97,29.75,29.31,28.53,28.06,27.5,26.16,25.06,25.5,26.12,25.91,25.12,25.38,24.94,24.25,23.31,23.62,24.69,25.59,25.66,25.47,26.16,26.78,26.75,27.25,28.25,28.91,28.47,26.84,25.84,24.75,23.72,22.41,21.03,20.16,18.97,17.0,15.69,15.94,16.62,16.75,16.97,17.72,18.16,18.12,17.5,17.25,17.5,17.41,16.62,15.97,15.72,15.16,13.84,12.88,12.88,13.62,14.0,14.25,15.28,16.41,17.62,18.06,19.0,20.28,21.69,22.19,22.53,23.28,23.62,22.84,22.0,21.56,21.81,21.69,21.5,22.41,23.97,25.03,25.28,25.47,25.25,24.72,23.62,23.03,23.78,25.28,26.28,27.41,29.19,30.88,31.25,31.09,31.59,31.75,31.34,30.44,30.12,30.22,30.44,29.78,29.44,29.66,29.34,28.19,26.56,25.25,24.16,22.12,19.97,19.0,19.34,20.56,21.69,24.69,28.38,31.62,33.47,34.31,35.12,35.34,34.06,32.59,31.62,30.88,29.06,26.84,25.47,24.94,25.19,25.16,26.28,27.59,29.12,29.38,29.88,30.94,31.97,31.62,30.53,29.78,28.97,27.75,26.06,25.31,25.78,26.38,27.12,28.34,30.38,32.28,32.56,32.62,33.12,33.56,33.56,33.38,33.53,33.56,32.47,30.22,27.88,25.72,23.91,21.75,20.12,19.81,20.03,19.69,19.47,20.59,22.0,23.0,24.25,25.94,28.75,31.0,33.34,35.41,37.56,39.22,39.25,38.0,36.44,34.53,31.25,28.38,26.62,25.94,25.62,25.81,26.62,27.66,28.22,27.09,25.12,23.31,21.25,18.41,16.31,15.69,16.0,16.19,16.72,17.88,19.66,20.91,21.47,22.03,23.22,23.59,22.97,21.75,20.44,19.34,17.59,16.5,16.75,18.03,19.19,20.19,21.41,22.69,23.16,22.84,22.91,23.22,23.47,23.44,23.41,23.44,23.91,23.72,23.62,24.06,25.12,25.0,24.72,24.53,24.88,26.0,27.06,29.0,31.66,34.0,34.5,34.03,33.75,33.12,31.44,30.03,28.78,28.16,26.47,24.75,23.72,24.09,25.38,26.88,29.25,32.34,35.41,37.53,38.78,40.12,41.72,41.91,41.84,41.84,42.59,42.09,41.12,39.84,38.12,36.09,33.19,30.59,29.09,28.28,27.0,25.69,25.56,25.88,25.72,25.94,26.72,28.47,29.66,30.81,31.88,33.69,35.22,35.75,36.28,37.81,39.03,39.69,40.06,41.06,41.62,41.59,41.09,40.75,40.97,40.81,40.06,39.22,38.94,38.31,36.75,34.72,32.72,30.91,28.0,25.41,24.03,23.72,23.25,22.47,21.56,21.06,19.88,19.03,18.91,20.19,21.91,23.03,23.72,24.75,25.62,25.78,26.09,26.84,28.34,29.56,30.28,30.88,31.94,32.44,31.75,30.69,29.62,29.28,28.22,27.53,28.47,30.0,31.06,31.75,31.81,31.78,30.72,28.97,27.69,27.69,28.19,29.03,29.69,30.88,31.5,30.81,29.28,28.19,27.91,27.56,27.06,26.34,26.12,25.34,23.75,22.34,22.53,23.44,24.41,25.53,27.94,30.03,30.88,30.81,30.66,30.97,31.12,31.16,31.62,32.75,32.97,32.28,31.16,31.03,30.91,30.56,30.28,31.03,31.75,31.28,29.59,27.66,26.38,24.75,23.62,23.56,24.69,25.72,25.72,25.41,25.75,26.44,27.0,27.75,29.62,32.47,35.0,37.22,39.19,40.84,40.62,38.97,36.72,34.91,33.31,31.59,30.16,30.66,31.22,31.88,32.28,33.28,34.47,34.91,34.91,35.34,36.41,36.94,36.22,34.84,33.44,31.22,27.97,24.75,22.56,21.62,20.66,20.34,21.62,23.44,25.0,25.66,26.28,27.12,27.25,26.59,25.53,25.22,24.84,23.72,22.38,22.25,22.41,22.25,21.91,22.72,24.0,24.88,25.41,26.41,28.0,29.56,30.75,31.84,33.88,35.38,35.81,35.56,35.19,34.66,32.94,29.88,26.78,24.03,21.56,19.28,18.78,19.94,22.25,23.94,25.12,26.41,27.41,27.09,26.12,26.28,26.91,27.44,27.5,27.62,28.84,29.81,29.66,29.94,31.41,32.09,31.72,30.72,29.03,27.03,23.5,19.44,16.66,15.09,14.22,13.5,13.84,14.72,15.97,16.38,17.28,19.09,20.81,21.41,22.12,23.56,25.62,26.88,27.66,28.78,29.91,30.22,29.53,35.72,33.31,31.16,30.0,28.88,29.25,30.72,32.84,34.75,36.34,37.5,38.31,38.81,39.22,40.31,41.19,42.03,42.59,43.19,43.06,42.47,41.19,39.97,38.97,38.22,37.41,36.09,35.25:29.06,30.16,30.41,30.69,31.62,32.47,32.62,32.38,32.25,32.03,30.53,28.72,27.09,26.38,25.78,24.91,24.44,24.72,24.94,24.47,23.91,24.62,25.78,26.66,27.06,28.0,28.81,28.34,27.03,25.97,25.5,25.38,25.41,26.0,28.0,29.5,30.12,28.88,27.69,26.25,24.06,21.72,20.66,19.5,18.22,16.19,14.84,14.16,14.22,14.25,14.53,16.09,17.97,19.03,20.0,21.81,23.5,24.53,24.81,25.22,25.75,25.75,24.94,24.47,24.5,24.25,23.0,21.25,20.16,19.16,17.59,15.97,15.28,15.62,16.16,16.44,17.84,19.31,20.47,20.81,20.84,21.62,22.34,22.22,21.75,22.19,23.12,23.78,23.88,24.56,25.09,24.62,22.66,20.94,20.06,19.53,19.56,20.81,23.75,27.22,30.06,32.59,35.06,37.22,38.0,37.16,36.47,34.88,32.31,28.19,23.94,20.44,17.31,14.22,12.44,12.41,13.53,14.47,15.41,18.0,20.94,23.81,25.97,28.62,31.16,32.59,32.41,31.78,31.09,30.25,28.31,26.59,25.94,25.81,25.03,23.69,22.66,21.88,20.44,18.19,17.16,17.03,17.25,17.03,17.0,18.16,19.0,18.75,17.84,18.0,18.47,18.75,19.12,20.56,22.75,23.97,24.03,23.81,23.97,23.19,21.12,18.91,17.56,16.62,15.22,14.47,15.12,16.16,16.06,15.59,15.28,15.22,14.94,14.31,14.72,15.72,17.09,17.59,18.28,19.62,21.12,21.88,22.44,23.66,25.06,25.66,25.53,25.41,25.59,25.34,24.25,23.72,24.72,25.41,24.84,24.12,23.5,23.5,22.78,22.44,23.44,24.69,25.62,25.25,25.31,26.09,26.75,26.94,27.59,29.41,31.34,32.31,33.62,35.5,37.69,38.41,38.22,38.19,38.25,37.91,37.25,37.56,38.69,39.66,39.28,38.38,37.53,37.12,35.31,33.91,33.75,33.66,32.88,31.66,31.0,30.75,30.06,28.31,27.12,26.62,26.56,26.16,26.03,27.06,28.03,27.69,27.22,27.41,28.28,27.94,26.91,25.72,25.28,24.66,23.81,24.31,26.25,28.75,30.31,31.88,34.12,36.16,36.78,36.72,37.5,38.62,39.06,39.16,38.91,38.72,37.34,34.34,31.34,29.12,27.44,24.81,22.88,22.5,23.19,23.66,24.91,27.34,30.25,32.16,32.78,33.28,34.25,35.0,34.59,34.62,35.72,36.66,36.69,37.0,38.28,39.88,40.53,41.47,42.47,43.81,43.97,43.16,41.69,40.31,38.28,34.78,31.41,28.91,27.12,24.62,22.88,22.47,23.41,23.75,24.19,25.78,27.88,29.31,30.34,31.81,34.03,35.91,36.91,37.47,38.12,38.28,36.59,34.62,33.69,33.25,32.47,31.38,30.44,30.34,29.28,27.84,26.72,27.0,27.75,27.16,26.66,26.91,27.72,27.84,28.19,30.22,32.88,34.88,36.56,38.53,40.88,42.59,43.0,42.62,43.25,43.03,41.41,39.72,38.81,38.09,36.34,34.28,32.47,31.19,29.03,26.44,23.97,22.75,20.94,18.44,15.75,14.06,12.94,11.75,11.5,13.12,16.44,19.44,22.66,25.94,29.28,31.56,32.44,33.0,34.0,34.72,34.31,34.06,34.41,34.97,34.41,33.34,32.31,31.75,29.25,25.72,21.78,18.06,13.69,9.38,6.62,5.91,6.53,7.06,7.81,9.38,11.62,12.91,14.22,15.78,17.81,19.06,19.88,21.28,23.59,25.81,27.09,28.5,30.16,31.19,30.81,29.59,29.5,29.69,28.78,27.88,26.81,25.69,23.53,20.5,18.0,17.06,16.44,15.66,15.06,15.47,16.03,15.5,15.12,16.06,18.19,19.88,21.16,23.19,25.0,26.0,25.97,26.12,27.69,28.66,28.72,28.75,28.88,28.34,26.78,24.84,23.19,22.22,20.75,18.91,18.19,18.66,19.25,19.78,20.81,22.5,23.44,23.34,22.72,22.81,22.94,21.97,21.06,20.78,20.56,19.38,17.47,16.19,15.62,14.75,13.88,13.38,13.97,14.5,14.31,14.22,15.16,17.0,18.53,20.47,23.22,26.66,28.94,29.94,30.66,31.28,31.5,30.84,30.66,31.31,31.41,30.28,28.31,26.91,25.88,24.41,23.12,22.94,23.25,23.41,22.88,22.56,23.12,23.38,23.5,24.16,25.88,28.06,29.12,29.97,30.5,30.66,29.66,28.16,26.97,26.12,24.88,22.72,20.62,19.59,18.56,16.81,15.16,15.12,15.41,16.03,16.94,19.12,21.66,23.0,23.19,23.28,23.72,24.16,24.12,24.19,24.94,25.09,24.19,23.38,23.94,24.59,24.88,24.78,25.25,25.5,24.56,23.16,22.12,21.28,20.41,19.16,18.62,19.72,20.94,21.72,22.19,23.41,24.31,24.28,23.31,22.97,22.66,21.62,19.78,18.53,17.91,17.69,16.59,16.47,17.94,19.44,20.38,21.62,23.38,25.09,26.06,26.81,27.72,28.97,29.75,29.31,28.53,28.06,27.5,26.16,25.06,25.5,26.12,25.91,25.12,25.38,24.94,24.25,23.31,23.62,24.69,25.59,25.66,25.47,26.16,26.78,26.75,27.25,28.25,28.91,28.47,26.84,25.84,24.75,23.72,22.41,21.03,20.16,18.97,17.0,15.69,15.94,16.62,16.75,16.97,17.72,18.16,18.12,17.5,17.25,17.5,17.41,16.62,15.97,15.72,15.16,13.84,12.88,12.88,13.62,14.0,14.25,15.28,16.41,17.62,18.06,19.0,20.28,21.69,22.19,22.53,23.28,23.62,22.84,22.0,21.56,21.81,21.69,21.5,22.41,23.97,25.03,25.28,25.47,25.25,24.72,23.62,23.03,23.78,25.28,26.28,27.41,29.19,30.88,31.25,31.09,31.59,31.75,31.34,30.44,30.12,30.22,30.44,29.78,29.44,29.66,29.34,28.19,26.56,25.25,24.16,22.12,19.97,19.0,19.34,20.56,21.69,24.69,28.38,31.62,33.47,34.31,35.12,35.34,34.06,32.59,31.62,30.88,29.06,26.84,25.47,24.94,25.19,25.16,26.28,27.59,29.12,29.38,29.88,30.94,31.97,31.62,30.53,29.78,28.97,27.75,26.06,25.31,25.78,26.38,27.12,28.34,30.38,32.28,32.56,32.62,33.12,33.56,33.56,33.38,33.53,33.56,32.47,30.22,27.88,25.72,23.91,21.75,20.12,19.81,20.03,19.69,19.47,20.59,22.0,23.0,24.25,25.94,28.75,31.0,33.34,35.41,37.56,39.22,39.25,38.0,36.44,34.53,31.25,28.38,26.62,25.94,25.62,25.81,26.62,27.66,28.22,27.09,25.12,23.31,21.25,18.41,16.31,15.69,16.0,16.19,16.72,17.88,19.66,20.91,21.47,22.03,23.22,23.59,22.97,21.75,20.44,19.34,17.59,16.5,16.75,18.03,19.19,20.19,21.41,22.69,23.16,22.84,22.91,23.22,23.47,23.44,23.41,23.44,23.91,23.72,23.62,24.06,25.12,25.0,24.72,24.53,24.88,26.0,27.06,29.0,31.66,34.0,34.5,34.03,33.75,33.12,31.44,30.03,28.78,28.16,26.47,24.75,23.72,24.09,25.38,26.88,29.25,32.34,35.41,37.53,38.78,40.12,41.72,41.91,41.84,41.84,42.59,42.09,41.12,39.84,38.12,36.09,33.19,30.59,29.09,28.28,27.0,25.69,25.56,25.88,25.72,25.94,26.72,28.47,29.66,30.81,31.88,33.69,35.22,35.75,36.28,37.81,39.03,39.69,40.06,41.06,41.62,41.59,41.09,40.75,40.97,40.81,40.06,39.22,38.94,38.31,36.75,34.72,32.72,30.91,28.0,25.41,24.03,23.72,23.25,22.47,21.56,21.06,19.88,19.03,18.91,20.19,21.91,23.03,23.72,24.75,25.62,25.78,26.09,26.84,28.34,29.56,30.28,30.88,31.94,32.44,31.75,30.69,29.62,29.28,28.22,27.53,28.47,30.0,31.06,31.75,31.81,31.78,30.72,28.97,27.69,27.69,28.19,29.03,29.69,30.88,31.5,30.81,29.28,28.19,27.91,27.56,27.06,26.34,26.12,25.34,23.75,22.34,22.53,23.44,24.41,25.53,27.94,30.03,30.88,30.81,30.66,30.97,31.12,31.16,31.62,32.75,32.97,32.28,31.16,31.03,30.91,30.56,30.28,31.03,31.75,31.28,29.59,27.66,26.38,24.75,23.62,23.56,24.69,25.72,25.72,25.41,25.75,26.44,27.0,27.75,29.62,32.47,35.0,37.22,39.19,40.84,40.62,38.97,36.72,34.91,33.31,31.59,30.16,30.66,31.22,31.88,32.28,33.28,34.47,34.91,34.91,35.34,36.41,36.94,36.22,34.84,33.44,31.22,27.97,24.75,22.56,21.62,20.66,20.34,21.62,23.44,25.0,25.66,26.28,27.12,27.25,26.59,25.53,25.22,24.84,23.72,22.38,22.25,22.41,22.25,21.91,22.72,24.0,24.88,25.41,26.41,28.0,29.56,30.75,31.84,33.88,35.38,35.81,35.56,35.19,34.66,32.94,29.88,26.78,24.03,21.56,19.28,18.78,19.94,22.25,23.94,25.12,26.41,27.41,27.09,26.12,26.28,26.91,27.44,27.5,27.62,28.84,29.81,29.66,29.94,31.41,32.09,31.72,30.72,29.03,27.03,23.5,19.44,16.66,15.09,14.22,13.5,13.84,14.72,15.97,16.38,17.28,19.09,20.81,21.41,22.12,23.56,25.62,26.88,27.66,28.78,29.91,30.22,29.53,35.72,33.31,31.16,30.0,28.88,29.25,30.72,32.84,34.75,36.34,37.5,38.31,38.81,39.22,40.31,41.19,42.03,42.59,43.19,43.06,42.47,41.19,39.97,38.97,38.22,37.41,36.09,35.25,34.28,33.34,32.66,33.12,33.53,34.5,35.25:32.38,32.25,32.03,30.53,28.72,27.09,26.38,25.78,24.91,24.44,24.72,24.94,24.47,23.91,24.62,25.78,26.66,27.06,28.0,28.81,28.34,27.03,25.97,25.5,25.38,25.41,26.0,28.0,29.5,30.12,28.88,27.69,26.25,24.06,21.72,20.66,19.5,18.22,16.19,14.84,14.16,14.22,14.25,14.53,16.09,17.97,19.03,20.0,21.81,23.5,24.53,24.81,25.22,25.75,25.75,24.94,24.47,24.5,24.25,23.0,21.25,20.16,19.16,17.59,15.97,15.28,15.62,16.16,16.44,17.84,19.31,20.47,20.81,20.84,21.62,22.34,22.22,21.75,22.19,23.12,23.78,23.88,24.56,25.09,24.62,22.66,20.94,20.06,19.53,19.56,20.81,23.75,27.22,30.06,32.59,35.06,37.22,38.0,37.16,36.47,34.88,32.31,28.19,23.94,20.44,17.31,14.22,12.44,12.41,13.53,14.47,15.41,18.0,20.94,23.81,25.97,28.62,31.16,32.59,32.41,31.78,31.09,30.25,28.31,26.59,25.94,25.81,25.03,23.69,22.66,21.88,20.44,18.19,17.16,17.03,17.25,17.03,17.0,18.16,19.0,18.75,17.84,18.0,18.47,18.75,19.12,20.56,22.75,23.97,24.03,23.81,23.97,23.19,21.12,18.91,17.56,16.62,15.22,14.47,15.12,16.16,16.06,15.59,15.28,15.22,14.94,14.31,14.72,15.72,17.09,17.59,18.28,19.62,21.12,21.88,22.44,23.66,25.06,25.66,25.53,25.41,25.59,25.34,24.25,23.72,24.72,25.41,24.84,24.12,23.5,23.5,22.78,22.44,23.44,24.69,25.62,25.25,25.31,26.09,26.75,26.94,27.59,29.41,31.34,32.31,33.62,35.5,37.69,38.41,38.22,38.19,38.25,37.91,37.25,37.56,38.69,39.66,39.28,38.38,37.53,37.12,35.31,33.91,33.75,33.66,32.88,31.66,31.0,30.75,30.06,28.31,27.12,26.62,26.56,26.16,26.03,27.06,28.03,27.69,27.22,27.41,28.28,27.94,26.91,25.72,25.28,24.66,23.81,24.31,26.25,28.75,30.31,31.88,34.12,36.16,36.78,36.72,37.5,38.62,39.06,39.16,38.91,38.72,37.34,34.34,31.34,29.12,27.44,24.81,22.88,22.5,23.19,23.66,24.91,27.34,30.25,32.16,32.78,33.28,34.25,35.0,34.59,34.62,35.72,36.66,36.69,37.0,38.28,39.88,40.53,41.47,42.47,43.81,43.97,43.16,41.69,40.31,38.28,34.78,31.41,28.91,27.12,24.62,22.88,22.47,23.41,23.75,24.19,25.78,27.88,29.31,30.34,31.81,34.03,35.91,36.91,37.47,38.12,38.28,36.59,34.62,33.69,33.25,32.47,31.38,30.44,30.34,29.28,27.84,26.72,27.0,27.75,27.16,26.66,26.91,27.72,27.84,28.19,30.22,32.88,34.88,36.56,38.53,40.88,42.59,43.0,42.62,43.25,43.03,41.41,39.72,38.81,38.09,36.34,34.28,32.47,31.19,29.03,26.44,23.97,22.75,20.94,18.44,15.75,14.06,12.94,11.75,11.5,13.12,16.44,19.44,22.66,25.94,29.28,31.56,32.44,33.0,34.0,34.72,34.31,34.06,34.41,34.97,34.41,33.34,32.31,31.75,29.25,25.72,21.78,18.06,13.69,9.38,6.62,5.91,6.53,7.06,7.81,9.38,11.62,12.91,14.22,15.78,17.81,19.06,19.88,21.28,23.59,25.81,27.09,28.5,30.16,31.19,30.81,29.59,29.5,29.69,28.78,27.88,26.81,25.69,23.53,20.5,18.0,17.06,16.44,15.66,15.06,15.47,16.03,15.5,15.12,16.06,18.19,19.88,21.16,23.19,25.0,26.0,25.97,26.12,27.69,28.66,28.72,28.75,28.88,28.34,26.78,24.84,23.19,22.22,20.75,18.91,18.19,18.66,19.25,19.78,20.81,22.5,23.44,23.34,22.72,22.81,22.94,21.97,21.06,20.78,20.56,19.38,17.47,16.19,15.62,14.75,13.88,13.38,13.97,14.5,14.31,14.22,15.16,17.0,18.53,20.47,23.22,26.66,28.94,29.94,30.66,31.28,31.5,30.84,30.66,31.31,31.41,30.28,28.31,26.91,25.88,24.41,23.12,22.94,23.25,23.41,22.88,22.56,23.12,23.38,23.5,24.16,25.88,28.06,29.12,29.97,30.5,30.66,29.66,28.16,26.97,26.12,24.88,22.72,20.62,19.59,18.56,16.81,15.16,15.12,15.41,16.03,16.94,19.12,21.66,23.0,23.19,23.28,23.72,24.16,24.12,24.19,24.94,25.09,24.19,23.38,23.94,24.59,24.88,24.78,25.25,25.5,24.56,23.16,22.12,21.28,20.41,19.16,18.62,19.72,20.94,21.72,22.19,23.41,24.31,24.28,23.31,22.97,22.66,21.62,19.78,18.53,17.91,17.69,16.59,16.47,17.94,19.44,20.38,21.62,23.38,25.09,26.06,26.81,27.72,28.97,29.75,29.31,28.53,28.06,27.5,26.16,25.06,25.5,26.12,25.91,25.12,25.38,24.94,24.25,23.31,23.62,24.69,25.59,25.66,25.47,26.16,26.78,26.75,27.25,28.25,28.91,28.47,26.84,25.84,24.75,23.72,22.41,21.03,20.16,18.97,17.0,15.69,15.94,16.62,16.75,16.97,17.72,18.16,18.12,17.5,17.25,17.5,17.41,16.62,15.97,15.72,15.16,13.84,12.88,12.88,13.62,14.0,14.25,15.28,16.41,17.62,18.06,19.0,20.28,21.69,22.19,22.53,23.28,23.62,22.84,22.0,21.56,21.81,21.69,21.5,22.41,23.97,25.03,25.28,25.47,25.25,24.72,23.62,23.03,23.78,25.28,26.28,27.41,29.19,30.88,31.25,31.09,31.59,31.75,31.34,30.44,30.12,30.22,30.44,29.78,29.44,29.66,29.34,28.19,26.56,25.25,24.16,22.12,19.97,19.0,19.34,20.56,21.69,24.69,28.38,31.62,33.47,34.31,35.12,35.34,34.06,32.59,31.62,30.88,29.06,26.84,25.47,24.94,25.19,25.16,26.28,27.59,29.12,29.38,29.88,30.94,31.97,31.62,30.53,29.78,28.97,27.75,26.06,25.31,25.78,26.38,27.12,28.34,30.38,32.28,32.56,32.62,33.12,33.56,33.56,33.38,33.53,33.56,32.47,30.22,27.88,25.72,23.91,21.75,20.12,19.81,20.03,19.69,19.47,20.59,22.0,23.0,24.25,25.94,28.75,31.0,33.34,35.41,37.56,39.22,39.25,38.0,36.44,34.53,31.25,28.38,26.62,25.94,25.62,25.81,26.62,27.66,28.22,27.09,25.12,23.31,21.25,18.41,16.31,15.69,16.0,16.19,16.72,17.88,19.66,20.91,21.47,22.03,23.22,23.59,22.97,21.75,20.44,19.34,17.59,16.5,16.75,18.03,19.19,20.19,21.41,22.69,23.16,22.84,22.91,23.22,23.47,23.44,23.41,23.44,23.91,23.72,23.62,24.06,25.12,25.0,24.72,24.53,24.88,26.0,27.06,29.0,31.66,34.0,34.5,34.03,33.75,33.12,31.44,30.03,28.78,28.16,26.47,24.75,23.72,24.09,25.38,26.88,29.25,32.34,35.41,37.53,38.78,40.12,41.72,41.91,41.84,41.84,42.59,42.09,41.12,39.84,38.12,36.09,33.19,30.59,29.09,28.28,27.0,25.69,25.56,25.88,25.72,25.94,26.72,28.47,29.66,30.81,31.88,33.69,35.22,35.75,36.28,37.81,39.03,39.69,40.06,41.06,41.62,41.59,41.09,40.75,40.97,40.81,40.06,39.22,38.94,38.31,36.75,34.72,32.72,30.91,28.0,25.41,24.03,23.72,23.25,22.47,21.56,21.06,19.88,19.03,18.91,20.19,21.91,23.03,23.72,24.75,25.62,25.78,26.09,26.84,28.34,29.56,30.28,30.88,31.94,32.44,31.75,30.69,29.62,29.28,28.22,27.53,28.47,30.0,31.06,31.75,31.81,31.78,30.72,28.97,27.69,27.69,28.19,29.03,29.69,30.88,31.5,30.81,29.28,28.19,27.91,27.56,27.06,26.34,26.12,25.34,23.75,22.34,22.53,23.44,24.41,25.53,27.94,30.03,30.88,30.81,30.66,30.97,31.12,31.16,31.62,32.75,32.97,32.28,31.16,31.03,30.91,30.56,30.28,31.03,31.75,31.28,29.59,27.66,26.38,24.75,23.62,23.56,24.69,25.72,25.72,25.41,25.75,26.44,27.0,27.75,29.62,32.47,35.0,37.22,39.19,40.84,40.62,38.97,36.72,34.91,33.31,31.59,30.16,30.66,31.22,31.88,32.28,33.28,34.47,34.91,34.91,35.34,36.41,36.94,36.22,34.84,33.44,31.22,27.97,24.75,22.56,21.62,20.66,20.34,21.62,23.44,25.0,25.66,26.28,27.12,27.25,26.59,25.53,25.22,24.84,23.72,22.38,22.25,22.41,22.25,21.91,22.72,24.0,24.88,25.41,26.41,28.0,29.56,30.75,31.84,33.88,35.38,35.81,35.56,35.19,34.66,32.94,29.88,26.78,24.03,21.56,19.28,18.78,19.94,22.25,23.94,25.12,26.41,27.41,27.09,26.12,26.28,26.91,27.44,27.5,27.62,28.84,29.81,29.66,29.94,31.41,32.09,31.72,30.72,29.03,27.03,23.5,19.44,16.66,15.09,14.22,13.5,13.84,14.72,15.97,16.38,17.28,19.09,20.81,21.41,22.12,23.56,25.62,26.88,27.66,28.78,29.91,30.22,29.53,35.72,33.31,31.16,30.0,28.88,29.25,30.72,32.84,34.75,36.34,37.5,38.31,38.81,39.22,40.31,41.19,42.03,42.59,43.19,43.06,42.47,41.19,39.97,38.97,38.22,37.41,36.09,35.25,34.28,33.34,32.66,33.12,33.53,34.5,35.25,36.38,36.94,37.59,37.94,37.97,38.06,38.38:positivity
25.69,25.44,26.0,27.44,28.53,29.31,30.31,31.91,32.22,31.84,31.59,31.66,31.38,30.12,28.88,27.75,26.5,23.84,21.16,19.31,18.03,16.22,14.0,12.19,11.31,10.31,9.47,10.56,13.22,16.69,19.47,22.06,24.69,26.41,26.94,26.91,27.28,27.72,27.25,25.75,24.69,23.56,21.56,19.28,17.56,16.66,16.56,17.06,18.59,21.12,24.12,25.97,27.28,28.53,29.66,29.69,28.75,28.12,27.66,27.03,26.5,27.03,28.16,28.94,28.59,27.81,26.88,26.0,24.5,22.97,22.53,22.59,22.72,22.34,22.25,22.88,23.44,22.94,23.25,24.38,25.12,25.22,25.06,25.19,25.56,25.09,24.34,23.81,24.0,23.78,23.0,22.03,22.0,21.88,20.66,19.62,19.34,18.75,17.5,16.03,15.28,15.19,14.91,14.41,13.28,13.12,12.56,11.81,11.38,12.25,14.06,15.81,17.75,20.94,24.25,25.94,26.69,26.62,26.5,25.34,23.28,20.94,19.28,17.38,14.56,11.75,9.72,8.31,6.09,4.47,4.94,6.81,9.06,11.69,14.84,18.5,21.41,23.12,24.41,25.53,25.88,24.94,23.34,22.09,20.88,18.69,16.66,15.06,13.75,12.0,9.75,7.97,6.84,5.84,5.31,4.78,5.34,5.28,4.22,2.88,2.22,2.31,2.03,1.91,2.5,3.44,3.78,3.91,4.41,5.41,6.34,6.06,5.69,5.84,6.06,5.47,5.38,6.19,7.28,8.0,8.03,8.16,8.06,7.25,5.44,3.97,3.38,3.06,2.78,2.88,4.22,5.97,7.5,8.44,9.56,10.5,9.84,8.53,7.44,7.34,7.5,7.91,8.59,10.66,12.97,15.31,17.25,20.12,22.97,24.22,24.41,24.38,24.0,22.75,20.97,19.66,19.78,20.22,21.03,21.94,23.62,24.75,24.47,22.66,21.16,19.09,15.97,12.47,10.28,9.5,9.28,9.88,11.28,14.0,16.72,18.72,20.47,23.31,26.28,28.41,29.66,30.88,31.12,30.25,27.66,25.41,23.91,22.84,21.94,21.34,22.31,23.44,23.84,23.88,24.47,24.91,23.41,20.84,18.84,17.09,15.59,14.34,14.25,15.25,16.31,16.53,16.5,17.19,17.62,17.66,16.88,16.75,16.84,16.16,14.94,14.06,13.59,12.88,11.12,10.09,10.25,10.84,11.22,12.22,14.5,16.44,17.94,18.56,19.16,19.53,19.62,19.06,18.97,19.62,19.94,19.06,17.84,17.44,16.88,15.59,14.41,14.22,14.12,13.19,11.41,10.25,9.22,8.44,7.03,6.81,7.75,8.78,8.91,9.0,9.66,9.78,8.38,6.5,5.47,5.0,4.94,5.16,6.84,9.12,10.75,11.34,12.0,13.38,14.69,15.12,15.97,17.09,18.31,18.84,19.12,20.25,21.91,23.19,23.44,24.03,24.66,24.78,23.47,22.03,20.97,19.62,17.25,15.06,14.28,13.91,13.16,12.12,12.06,12.28,12.59,11.94,12.03,13.28,14.28,14.62,15.22,16.88,18.75,19.59,19.5,20.0,19.91,18.28,15.66,13.59,11.91,10.09,8.22,6.97,6.69,6.38,4.94,3.78,4.0,4.72,5.16,5.78,8.31,11.25,13.69,15.47,17.41,19.72,21.38,22.12,22.78,23.5,23.12,20.5,17.12,14.06,11.5,8.72,6.5,5.78,6.47,6.75,6.28,6.09,6.25,6.28,5.84,6.81,9.44,12.88,15.12,17.25,19.44,21.12,20.38,18.66,16.97,15.16,13.16,10.72,9.47,9.25,9.84,9.28,9.62,10.94,12.84,13.72,14.47,16.06,17.53,18.19,18.09,18.22,18.84,19.5,19.5,19.78,21.16,22.59,22.41,21.56,21.06,20.22,18.44,16.91,16.56,17.12,17.44,17.16,17.09,17.59,17.19,15.81,14.66,14.22,14.0,13.44,13.0,13.91,14.38,13.53,11.75,10.25,9.03,7.59,6.41,6.12,7.53,9.56,11.59,14.38,17.94,21.25,22.19,21.84,21.06,20.12,18.22,16.06,14.88,14.41,13.66,12.41,11.53,11.91,11.78,10.12,8.94,8.34,8.53,8.09,7.94,8.94,10.41,10.59,10.31,10.28,10.22,8.88,6.5,4.28,3.56,2.88,2.09,2.06,2.88,4.34,4.53,4.94,6.12,7.88,9.0,9.94,11.25,13.06,14.53,15.0,15.25,16.75,18.34,18.88,19.81,20.91,22.22,21.91,20.94,20.16,19.75,18.94,17.66,17.03,17.41,17.78,17.16,16.5,16.81,17.56,17.41,17.0,17.5,18.12,17.44,16.44,15.81,16.16,16.09,15.94,16.0,17.06,17.66,17.5,16.75,16.56,16.16,14.28,12.34,11.09,10.97,10.31,9.56,9.44,10.25,10.16,9.66,9.66,10.31,11.25,11.56,11.81,12.66,13.31,13.12,12.28,12.16,13.09,13.28,12.16,10.94,10.53,9.09,6.81,5.34,5.47,6.22,6.5,7.03,9.38,11.75,13.41,14.5,15.53,16.56,16.12,15.03,13.88,13.81,13.44,12.62,11.72,11.81,12.03,11.72,11.38,11.91,12.47,12.38,11.81,11.81,12.81,13.31,13.19,12.88,12.56,11.59,9.31,7.06,5.97,5.41,4.97,4.66,5.5,7.38,8.81,9.91,11.09,12.81,13.91,13.72,13.31,14.22,14.53,14.25,13.72,14.09,14.47,14.16,13.47,13.5,13.66,13.09,11.12,9.25,8.0,6.62,4.53,3.22,3.94,5.62,7.69,10.72,14.97,19.31,22.16,23.09,23.12,22.5,20.94,18.41,16.16,14.72,13.34,11.38,9.56,9.25,9.25,8.59,7.19,6.25,5.28,3.97,2.06,1.31,1.66,2.72,4.16,6.53,10.59,14.75,17.34,18.53,18.91,18.03,16.22,14.12,13.53,14.12,15.12,15.38,15.69,16.53,17.19,16.88,17.19,18.75,20.19,21.0,21.59,22.81,23.59,23.81,23.12,23.06,23.31,23.59,23.53,23.91,25.0,25.72,25.75,26.34,27.66,29.41,30.03,30.28,30.12,29.03,28.03,25.78,24.34,23.88,23.03,21.16,18.78,15.59,12.12,6.81,1.59,-1.81,-4.03,-5.78,-6.28,-5.12,-3.44,-1.62,-0.94,-0.38,0.62,1.03,0.44,0.38,1.69,3.28,4.59,6.06,8.03,9.62,9.72,9.0,8.38,8.19,8.38,8.56,9.41,10.91,12.09,12.0,11.22,11.34,11.44,11.12,11.12,11.97,12.81,12.97,12.06,11.53,10.94,10.19,8.56,7.5,7.25,7.25,7.06,7.53,8.97,11.38,13.5,14.69,16.22,17.41,17.34,16.31,15.75,15.41,14.91,13.81,13.34,13.62,14.28,14.84,15.44,16.34,17.66,18.09,18.41,19.0,19.78,19.91,18.94,17.88,16.5,15.34,13.94,12.88,13.06,14.16,14.75,15.28,16.22,17.38,17.31,16.38,15.34,14.47,13.53,11.75,10.91,10.69,11.03,10.28,9.56,9.47,9.59,9.09,8.5,9.06,9.88,10.84,11.59,12.97,15.34,17.25,18.66,20.38,22.0,23.69,23.88,23.69,23.31,23.62,23.75,23.91,24.69,25.69,26.12,25.59,25.06,25.38,26.16,26.0,26.19,26.69,27.5,26.84,25.78,25.12,24.66,23.66,22.28,21.31,20.81,20.19,19.12,18.22,18.47,18.88,18.5,18.91,19.94,21.56,22.22,22.78,23.75,24.88,25.5,25.81,26.25,27.03,27.34,26.41,25.5,24.97,24.25,23.31,22.41,21.94,22.03,21.06,19.84,18.84,19.31,19.69,19.34,19.16,18.97,18.09,16.0,14.0,12.62,11.75,10.78,10.28,10.97,12.69,14.16,15.78,17.66,20.16,22.44,23.53,24.28,25.16,25.44,24.28,22.91,22.25,21.84,21.22,20.53,20.28,20.34,19.59,18.62,17.41,17.69,18.09,18.28,18.75,20.47,22.0,22.62,23.19,24.12,25.31,25.88,26.47,26.91,27.09,26.69,25.62,24.22,23.5,22.84,21.41,19.81,19.41,19.28,19.09,18.59,18.38,18.19,17.75,17.0,16.84,17.91,18.28,18.38,18.44,19.12,20.47,21.62,22.88,24.75,26.78,27.62,27.41,27.09,26.88,25.56,23.47,21.31,20.03,18.94,18.25,18.16,19.56,21.44,22.22,22.59,23.16,23.94,23.62,23.34,23.28,23.47,23.03,21.75,20.22,19.53,19.03,17.78,16.75,16.94,17.28,16.94,16.78,17.09,18.12,19.25,19.91,21.25,23.09,24.78,25.22,25.06,24.94,24.38,23.25,21.69,22.03,23.12,24.06,24.59,25.53,25.91,25.06,23.44,21.94,21.44,21.5,21.53,22.03,23.75,25.12,25.53,24.94,24.91,25.44,25.22,25.31,25.75,26.03,25.78,24.53,22.78,21.78,21.06,20.47,20.12,21.16,22.16,22.88,22.62,23.0,23.34,23.28,22.78,22.5,22.81,23.0,22.38,21.62,21.62,21.72,20.88,20.34,20.75,21.28,21.44,20.5,19.56,18.97,18.03,16.28,15.25,15.41,15.59,15.03,14.44,14.38,14.31,12.88,11.47,10.84,10.72,10.84,11.19,12.56,14.12,15.03,14.97,14.38,14.62,15.0,14.91,15.34,16.78,18.5,19.53,19.34,19.03,17.91,15.91,12.69,11.12,11.62,12.97,14.69,16.66,18.91,20.47,20.19,19.0,18.28,18.0,16.97,15.47,14.94,14.62,14.0,12.66,12.34,13.12,14.47,15.53,16.97,19.56,21.97,22.5,22.41,22.22,21.34,20.03,18.53,17.88,18.44,18.78,18.25,17.97,18.28,18.91,18.5,18.44,19.5,20.19,20.0,19.0,18.56,18.5,17.84,16.56,15.88,16.0,15.41,13.62,11.75,10.25,8.53,5.97,4.09,3.94:31.91,32.22,31.84,31.59,31.66,31.38,30.12,28.88,27.75,26.5,23.84,21.16,19.31,18.03,16.22,14.0,12.19,11.31,10.31,9.47,10.56,13.22,16.69,19.47,22.06,24.69,26.41,26.94,26.91,27.28,27.72,27.25,25.75,24.69,23.56,21.56,19.28,17.56,16.66,16.56,17.06,18.59,21.12,24.12,25.97,27.28,28.53,29.66,29.69,28.75,28.12,27.66,27.03,26.5,27.03,28.16,28.94,28.59,27.81,26.88,26.0,24.5,22.97,22.53,22.59,22.72,22.34,22.25,22.88,23.44,22.94,23.25,24.38,25.12,25.22,25.06,25.19,25.56,25.09,24.34,23.81,24.0,23.78,23.0,22.03,22.0,21.88,20.66,19.62,19.34,18.75,17.5,16.03,15.28,15.19,14.91,14.41,13.28,13.12,12.56,11.81,11.38,12.25,14.06,15.81,17.75,20.94,24.25,25.94,26.69,26.62,26.5,25.34,23.28,20.94,19.28,17.38,14.56,11.75,9.72,8.31,6.09,4.47,4.94,6.81,9.06,11.69,14.84,18.5,21.41,23.12,24.41,25.53,25.88,24.94,23.34,22.09,20.88,18.69,16.66,15.06,13.75,12.0,9.75,7.97,6.84,5.84,5.31,4.78,5.34,5.28,4.22,2.88,2.22,2.31,2.03,1.91,2.5,3.44,3.78,3.91,4.41,5.41,6.34,6.06,5.69,5.84,6.06,5.47,5.38,6.19,7.28,8.0,8.03,8.16,8.06,7.25,5.44,3.97,3.38,3.06,2.78,2.88,4.22,5.97,7.5,8.44,9.56,10.5,9.84,8.53,7.44,7.34,7.5,7.91,8.59,10.66,12.97,15.31,17.25,20.12,22.97,24.22,24.41,24.38,24.0,22.75,20.97,19.66,19.78,20.22,21.03,21.94,23.62,24.75,24.47,22.66,21.16,19.09,15.97,12.47,10.28,9.5,9.28,9.88,11.28,14.0,16.72,18.72,20.47,23.31,26.28,28.41,29.66,30.88,31.12,30.25,27.66,25.41,23.91,22.84,21.94,21.34,22.31,23.44,23.84,23.88,24.47,24.91,23.41,20.84,18.84,17.09,15.59,14.34,14.25,15.25,16.31,16.53,16.5,17.19,17.62,17.66,16.88,16.75,16.84,16.16,14.94,14.06,13.59,12.88,11.12,10.09,10.25,10.84,11.22,12.22,14.5,16.44,17.94,18.56,19.16,19.53,19.62,19.06,18.97,19.62,19.94,19.06,17.84,17.44,16.88,15.59,14.41,14.22,14.12,13.19,11.41,10.25,9.22,8.44,7.03,6.81,7.75,8.78,8.91,9.0,9.66,9.78,8.38,6.5,5.47,5.0,4.94,5.16,6.84,9.12,10.75,11.34,12.0,13.38,14.69,15.12,15.97,17.09,18.31,18.84,19.12,20.25,21.91,23.19,23.44,24.03,24.66,24.78,23.47,22.03,20.97,19.62,17.25,15.06,14.28,13.91,13.16,12.12,12.06,12.28,12.59,11.94,12.03,13.28,14.28,14.62,15.22,16.88,18.75,19.59,19.5,20.0,19.91,18.28,15.66,13.59,11.91,10.09,8.22,6.97,6.69,6.38,4.94,3.78,4.0,4.72,5.16,5.78,8.31,11.25,13.69,15.47,17.41,19.72,21.38,22.12,22.78,23.5,23.12,20.5,17.12,14.06,11.5,8.72,6.5,5.78,6.47,6.75,6.28,6.09,6.25,6.28,5.84,6.81,9.44,12.88,15.12,17.25,19.44,21.12,20.38,18.66,16.97,15.16,13.16,10.72,9.47,9.25,9.84,9.28,9.62,10.94,12.84,13.72,14.47,16.06,17.53,18.19,18.09,18.22,18.84,19.5,19.5,19.78,21.16,22.59,22.41,21.56,21.06,20.22,18.44,16.91,16.56,17.12,17.44,17.16,17.09,17.59,17.19,15.81,14.66,14.22,14.0,13.44,13.0,13.91,14.38,13.53,11.75,10.25,9.03,7.59,6.41,6.12,7.53,9.56,11.59,14.38,17.94,21.25,22.19,21.84,21.06,20.12,18.22,16.06,14.88,14.41,13.66,12.41,11.53,11.91,11.78,10.12,8.94,8.34,8.53,8.09,7.94,8.94,10.41,10.59,10.31,10.28,10.22,8.88,6.5,4.28,3.56,2.88,2.09,2.06,2.88,4.34,4.53,4.94,6.12,7.88,9.0,9.94,11.25,13.06,14.53,15.0,15.25,16.75,18.34,18.88,19.81,20.91,22.22,21.91,20.94,20.16,19.75,18.94,17.66,17.03,17.41,17.78,17.16,16.5,16.81,17.56,17.41,17.0,17.5,18.12,17.44,16.44,15.81,16.16,16.09,15.94,16.0,17.06,17.66,17.5,16.75,16.56,16.16,14.28,12.34,11.09,10.97,10.31,9.56,9.44,10.25,10.16,9.66,9.66,10.31,11.25,11.56,11.81,12.66,13.31,13.12,12.28,12.16,13.09,13.28,12.16,10.94,10.53,9.09,6.81,5.34,5.47,6.22,6.5,7.03,9.38,11.75,13.41,14.5,15.53,16.56,16.12,15.03,13.88,13.81,13.44,12.62,11.72,11.81,12.03,11.72,11.38,11.91,12.47,12.38,11.81,11.81,12.81,13.31,13.19,12.88,12.56,11.59,9.31,7.06,5.97,5.41,4.97,4.66,5.5,7.38,8.81,9.91,11.09,12.81,13.91,13.72,13.31,14.22,14.53,14.25,13.72,14.09,14.47,14.16,13.47,13.5,13.66,13.09,11.12,9.25,8.0,6.62,4.53,3.22,3.94,5.62,7.69,10.72,14.97,19.31,22.16,23.09,23.12,22.5,20.94,18.41,16.16,14.72,13.34,11.38,9.56,9.25,9.25,8.59,7.19,6.25,5.28,3.97,2.06,1.31,1.66,2.72,4.16,6.53,10.59,14.75,17.34,18.53,18.91,18.03,16.22,14.12,13.53,14.12,15.12,15.38,15.69,16.53,17.19,16.88,17.19,18.75,20.19,21.0,21.59,22.81,23.59,23.81,23.12,23.06,23.31,23.59,23.53,23.91,25.0,25.72,25.75,26.34,27.66,29.41,30.03,30.28,30.12,29.03,28.03,25.78,24.34,23.88,23.03,21.16,18.78,15.59,12.12,6.81,1.59,-1.81,-4.03,-5.78,-6.28,-5.12,-3.44,-1.62,-0.94,-0.38,0.62,1.03,0.44,0.38,1.69,3.28,4.59,6.06,8.03,9.62,9.72,9.0,8.38,8.19,8.38,8.56,9.41,10.91,12.09,12.0,11.22,11.34,11.44,11.12,11.12,11.97,12.81,12.97,12.06,11.53,10.94,10.19,8.56,7.5,7.25,7.25,7.06,7.53,8.97,11.38,13.5,14.69,16.22,17.41,17.34,16.31,15.75,15.41,14.91,13.81,13.34,13.62,14.28,14.84,15.44,16.34,17.66,18.09,18.41,19.0,19.78,19.91,18.94,17.88,16.5,15.34,13.94,12.88,13.06,14.16,14.75,15.28,16.22,17.38,17.31,16.38,15.34,14.47,13.53,11.75,10.91,10.69,11.03,10.28,9.56,9.47,9.59,9.09,8.5,9.06,9.88,10.84,11.59,12.97,15.34,17.25,18.66,20.38,22.0,23.69,23.88,23.69,23.31,23.62,23.75,23.91,24.69,25.69,26.12,25.59,25.06,25.38,26.16,26.0,26.19,26.69,27.5,26.84,25.78,25.12,24.66,23.66,22.28,21.31,20.81,20.19,19.12,18.22,18.47,18.88,18.5,18.91,19.94,21.56,22.22,22.78,23.75,24.88,25.5,25.81,26.25,27.03,27.34,26.41,25.5,24.97,24.25,23.31,22.41,21.94,22.03,21.06,19.84,18.84,19.31,19.69,19.34,19.16,18.97,18.09,16.0,14.0,12.62,11.75,10.78,10.28,10.97,12.69,14.16,15.78,17.66,20.16,22.44,23.53,24.28,25.16,25.44,24.28,22.91,22.25,21.84,21.22,20.53,20.28,20.34,19.59,18.62,17.41,17.69,18.09,18.28,18.75,20.47,22.0,22.62,23.19,24.12,25.31,25.88,26.47,26.91,27.09,26.69,25.62,24.22,23.5,22.84,21.41,19.81,19.41,19.28,19.09,18.59,18.38,18.19,17.75,17.0,16.84,17.91,18.28,18.38,18.44,19.12,20.47,21.62,22.88,24.75,26.78,27.62,27.41,27.09,26.88,25.56,23.47,21.31,20.03,18.94,18.25,18.16,19.56,21.44,22.22,22.59,23.16,23.94,23.62,23.34,23.28,23.47,23.03,21.75,20.22,19.53,19.03,17.78,16.75,16.94,17.28,16.94,16.78,17.09,18.12,19.25,19.91,21.25,23.09,24.78,25.22,25.06,24.94,24.38,23.25,21.69,22.03,23.12,24.06,24.59,25.53,25.91,25.06,23.44,21.94,21.44,21.5,21.53,22.03,23.75,25.12,25.53,24.94,24.91,25.44,25.22,25.31,25.75,26.03,25.78,24.53,22.78,21.78,21.06,20.47,20.12,21.16,22.16,22.88,22.62,23.0,23.34,23.28,22.78,22.5,22.81,23.0,22.38,21.62,21.62,21.72,20.88,20.34,20.75,21.28,21.44,20.5,19.56,18.97,18.03,16.28,15.25,15.41,15.59,15.03,14.44,14.38,14.31,12.88,11.47,10.84,10.72,10.84,11.19,12.56,14.12,15.03,14.97,14.38,14.62,15.0,14.91,15.34,16.78,18.5,19.53,19.34,19.03,17.91,15.91,12.69,11.12,11.62,12.97,14.69,16.66,18.91,20.47,20.19,19.0,18.28,18.0,16.97,15.47,14.94,14.62,14.0,12.66,12.34,13.12,14.47,15.53,16.97,19.56,21.97,22.5,22.41,22.22,21.34,20.03,18.53,17.88,18.44,18.78,18.25,17.97,18.28,18.91,18.5,18.44,19.5,20.19,20.0,19.0,18.56,18.5,17.84,16.56,15.88,16.0,15.41,13.62,11.75,10.25,8.53,5.97,4.09,3.94,49.69,50.38,50.41,50.53,50.81,50.53,50.22:28.88,27.75,26.5,23.84,21.16,19.31,18.03,16.22,14.0,12.19,11.31,10.31,9.47,10.56,13.22,16.69,19.47,22.06,24.69,26.41,26.94,26.91,27.28,27.72,27.25,25.75,24.69,23.56,21.56,19.28,17.56,16.66,16.56,17.06,18.59,21.12,24.12,25.97,27.28,28.53,29.66,29.69,28.75,28.12,27.66,27.03,26.5,27.03,28.16,28.94,28.59,27.81,26.88,26.0,24.5,22.97,22.53,22.59,22.72,22.34,22.25,22.88,23.44,22.94,23.25,24.38,25.12,25.22,25.06,25.19,25.56,25.09,24.34,23.81,24.0,23.78,23.0,22.03,22.0,21.88,20.66,19.62,19.34,18.75,17.5,16.03,15.28,15.19,14.91,14.41,13.28,13.12,12.56,11.81,11.38,12.25,14.06,15.81,17.75,20.94,24.25,25.94,26.69,26.62,26.5,25.34,23.28,20.94,19.28,17.38,14.56,11.75,9.72,8.31,6.09,4.47,4.94,6.81,9.06,11.69,14.84,18.5,21.41,23.12,24.41,25.53,25.88,24.94,23.34,22.09,20.88,18.69,16.66,15.06,13.75,12.0,9.75,7.97,6.84,5.84,5.31,4.78,5.34,5.28,4.22,2.88,2.22,2.31,2.03,1.91,2.5,3.44,3.78,3.91,4.41,5.41,6.34,6.06,5.69,5.84,6.06,5.47,5.38,6.19,7.28,8.0,8.03,8.16,8.06,7.25,5.44,3.97,3.38,3.06,2.78,2.88,4.22,5.97,7.5,8.44,9.56,10.5,9.84,8.53,7.44,7.34,7.5,7.91,8.59,10.66,12.97,15.31,17.25,20.12,22.97,24.22,24.41,24.38,24.0,22.75,20.97,19.66,19.78,20.22,21.03,21.94,23.62,24.75,24.47,22.66,21.16,19.09,15.97,12.47,10.28,9.5,9.28,9.88,11.28,14.0,16.72,18.72,20.47,23.31,26.28,28.41,29.66,30.88,31.12,30.25,27.66,25.41,23.91,22.84,21.94,21.34,22.31,23.44,23.84,23.88,24.47,24.91,23.41,20.84,18.84,17.09,15.59,14.34,14.25,15.25,16.31,16.53,16.5,17.19,17.62,17.66,16.88,16.75,16.84,16.16,14.94,14.06,13.59,12.88,11.12,10.09,10.25,10.84,11.22,12.22,14.5,16.44,17.94,18.56,19.16,19.53,19.62,19.06,18.97,19.62,19.94,19.06,17.84,17.44,16.88,15.59,14.41,14.22,14.12,13.19,11.41,10.25,9.22,8.44,7.03,6.81,7.75,8.78,8.91,9.0,9.66,9.78,8.38,6.5,5.47,5.0,4.94,5.16,6.84,9.12,10.75,11.34,12.0,13.38,14.69,15.12,15.97,17.09,18.31,18.84,19.12,20.25,21.91,23.19,23.44,24.03,24.66,24.78,23.47,22.03,20.97,19.62,17.25,15.06,14.28,13.91,13.16,12.12,12.06,12.28,12.59,11.94,12.03,13.28,14.28,14.62,15.22,16.88,18.75,19.59,19.5,20.0,19.91,18.28,15.66,13.59,11.91,10.09,8.22,6.97,6.69,6.38,4.94,3.78,4.0,4.72,5.16,5.78,8.31,11.25,13.69,15.47,17.41,19.72,21.38,22.12,22.78,23.5,23.12,20.5,17.12,14.06,11.5,8.72,6.5,5.78,6.47,6.75,6.28,6.09,6.25,6.28,5.84,6.81,9.44,12.88,15.12,17.25,19.44,21.12,20.38,18.66,16.97,15.16,13.16,10.72,9.47,9.25,9.84,9.28,9.62,10.94,12.84,13.72,14.47,16.06,17.53,18.19,18.09,18.22,18.84,19.5,19.5,19.78,21.16,22.59,22.41,21.56,21.06,20.22,18.44,16.91,16.56,17.12,17.44,17.16,17.09,17.59,17.19,15.81,14.66,14.22,14.0,13.44,13.0,13.91,14.38,13.53,11.75,10.25,9.03,7.59,6.41,6.12,7.53,9.56,11.59,14.38,17.94,21.25,22.19,21.84,21.06,20.12,18.22,16.06,14.88,14.41,13.66,12.41,11.53,11.91,11.78,10.12,8.94,8.34,8.53,8.09,7.94,8.94,10.41,10.59,10.31,10.28,10.22,8.88,6.5,4.28,3.56,2.88,2.09,2.06,2.88,4.34,4.53,4.94,6.12,7.88,9.0,9.94,11.25,13.06,14.53,15.0,15.25,16.75,18.34,18.88,19.81,20.91,22.22,21.91,20.94,20.16,19.75,18.94,17.66,17.03,17.41,17.78,17.16,16.5,16.81,17.56,17.41,17.0,17.5,18.12,17.44,16.44,15.81,16.16,16.09,15.94,16.0,17.06,17.66,17.5,16.75,16.56,16.16,14.28,12.34,11.09,10.97,10.31,9.56,9.44,10.25,10.16,9.66,9.66,10.31,11.25,11.56,11.81,12.66,13.31,13.12,12.28,12.16,13.09,13.28,12.16,10.94,10.53,9.09,6.81,5.34,5.47,6.22,6.5,7.03,9.38,11.75,13.41,14.5,15.53,16.56,16.12,15.03,13.88,13.81,13.44,12.62,11.72,11.81,12.03,11.72,11.38,11.91,12.47,12.38,11.81,11.81,12.81,13.31,13.19,12.88,12.56,11.59,9.31,7.06,5.97,5.41,4.97,4.66,5.5,7.38,8.81,9.91,11.09,12.81,13.91,13.72,13.31,14.22,14.53,14.25,13.72,14.09,14.47,14.16,13.47,13.5,13.66,13.09,11.12,9.25,8.0,6.62,4.53,3.22,3.94,5.62,7.69,10.72,14.97,19.31,22.16,23.09,23.12,22.5,20.94,18.41,16.16,14.72,13.34,11.38,9.56,9.25,9.25,8.59,7.19,6.25,5.28,3.97,2.06,1.31,1.66,2.72,4.16,6.53,10.59,14.75,17.34,18.53,18.91,18.03,16.22,14.12,13.53,14.12,15.12,15.38,15.69,16.53,17.19,16.88,17.19,18.75,20.19,21.0,21.59,22.81,23.59,23.81,23.12,23.06,23.31,23.59,23.53,23.91,25.0,25.72,25.75,26.34,27.66,29.41,30.03,30.28,30.12,29.03,28.03,25.78,24.34,23.88,23.03,21.16,18.78,15.59,12.12,6.81,1.59,-1.81,-4.03,-5.78,-6.28,-5.12,-3.44,-1.62,-0.94,-0.38,0.62,1.03,0.44,0.38,1.69,3.28,4.59,6.06,8.03,9.62,9.72,9.0,8.38,8.19,8.38,8.56,9.41,10.91,12.09,12.0,11.22,11.34,11.44,11.12,11.12,11.97,12.81,12.97,12.06,11.53,10.94,10.19,8.56,7.5,7.25,7.25,7.06,7.53,8.97,11.38,13.5,14.69,16.22,17.41,17.34,16.31,15.75,15.41,14.91,13.81,13.34,13.62,14.28,14.84,15.44,16.34,17.66,18.09,18.41,19.0,19.78,19.91,18.94,17.88,16.5,15.34,13.94,12.88,13.06,14.16,14.75,15.28,16.22,17.38,17.31,16.38,15.34,14.47,13.53,11.75,10.91,10.69,11.03,10.28,9.56,9.47,9.59,9.09,8.5,9.06,9.88,10.84,11.59,12.97,15.34,17.25,18.66,20.38,22.0,23.69,23.88,23.69,23.31,23.62,23.75,23.91,24.69,25.69,26.12,25.59,25.06,25.38,26.16,26.0,26.19,26.69,27.5,26.84,25.78,25.12,24.66,23.66,22.28,21.31,20.81,20.19,19.12,18.22,18.47,18.88,18.5,18.91,19.94,21.56,22.22,22.78,23.75,24.88,25.5,25.81,26.25,27.03,27.34,26.41,25.5,24.97,24.25,23.31,22.41,21.94,22.03,21.06,19.84,18.84,19.31,19.69,19.34,19.16,18.97,18.09,16.0,14.0,12.62,11.75,10.78,10.28,10.97,12.69,14.16,15.78,17.66,20.16,22.44,23.53,24.28,25.16,25.44,24.28,22.91,22.25,21.84,21.22,20.53,20.28,20.34,19.59,18.62,17.41,17.69,18.09,18.28,18.75,20.47,22.0,22.62,23.19,24.12,25.31,25.88,26.47,26.91,27.09,26.69,25.62,24.22,23.5,22.84,21.41,19.81,19.41,19.28,19.09,18.59,18.38,18.19,17.75,17.0,16.84,17.91,18.28,18.38,18.44,19.12,20.47,21.62,22.88,24.75,26.78,27.62,27.41,27.09,26.88,25.56,23.47,21.31,20.03,18.94,18.25,18.16,19.56,21.44,22.22,22.59,23.16,23.94,23.62,23.34,23.28,23.47,23.03,21.75,20.22,19.53,19.03,17.78,16.75,16.94,17.28,16.94,16.78,17.09,18.12,19.25,19.91,21.25,23.09,24.78,25.22,25.06,24.94,24.38,23.25,21.69,22.03,23.12,24.06,24.59,25.53,25.91,25.06,23.44,21.94,21.44,21.5,21.53,22.03,23.75,25.12,25.53,24.94,24.91,25.44,25.22,25.31,25.75,26.03,25.78,24.53,22.78,21.78,21.06,20.47,20.12,21.16,22.16,22.88,22.62,23.0,23.34,23.28,22.78,22.5,22.81,23.0,22.38,21.62,21.62,21.72,20.88,20.34,20.75,21.28,21.44,20.5,19.56,18.97,18.03,16.28,15.25,15.41,15.59,15.03,14.44,14.38,14.31,12.88,11.47,10.84,10.72,10.84,11.19,12.56,14.12,15.03,14.97,14.38,14.62,15.0,14.91,15.34,16.78,18.5,19.53,19.34,19.03,17.91,15.91,12.69,11.12,11.62,12.97,14.69,16.66,18.91,20.47,20.19,19.0,18.28,18.0,16.97,15.47,14.94,14.62,14.0,12.66,12.34,13.12,14.47,15.53,16.97,19.56,21.97,22.5,22.41,22.22,21.34,20.03,18.53,17.88,18.44,18.78,18.25,17.97,18.28,18.91,18.5,18.44,19.5,20.19,20.0,19.0,18.56,18.5,17.84,16.56,15.88,16.0,15.41,13.62,11.75,10.25,8.53,5.97,4.09,3.94,49.69,50.38,50.41,50.53,50.81,50.53,50.22,50.28,50.19,50.0,50.12,49.72,49.34,48.69:16.22,14.0,12.19,11.31,10.31,9.47,10.56,13.22,16.69,19.47,22.06,24.69,26.41,26.94,26.91,27.28,27.72,27.25,25.75,24.69,23.56,21.56,19.28,17.56,16.66,16.56,17.06,18.59,21.12,24.12,25.97,27.28,28.53,29.66,29.69,28.75,28.12,27.66,27.03,26.5,27.03,28.16,28.94,28.59,27.81,26.88,26.0,24.5,22.97,22.53,22.59,22.72,22.34,22.25,22.88,23.44,22.94,23.25,24.38,25.12,25.22,25.06,25.19,25.56,25.09,24.34,23.81,24.0,23.78,23.0,22.03,22.0,21.88,20.66,19.62,19.34,18.75,17.5,16.03,15.28,15.19,14.91,14.41,13.28,13.12,12.56,11.81,11.38,12.25,14.06,15.81,17.75,20.94,24.25,25.94,26.69,26.62,26.5,25.34,23.28,20.94,19.28,17.38,14.56,11.75,9.72,8.31,6.09,4.47,4.94,6.81,9.06,11.69,14.84,18.5,21.41,23.12,24.41,25.53,25.88,24.94,23.34,22.09,20.88,18.69,16.66,15.06,13.75,12.0,9.75,7.97,6.84,5.84,5.31,4.78,5.34,5.28,4.22,2.88,2.22,2.31,2.03,1.91,2.5,3.44,3.78,3.91,4.41,5.41,6.34,6.06,5.69,5.84,6.06,5.47,5.38,6.19,7.28,8.0,8.03,8.16,8.06,7.25,5.44,3.97,3.38,3.06,2.78,2.88,4.22,5.97,7.5,8.44,9.56,10.5,9.84,8.53,7.44,7.34,7.5,7.91,8.59,10.66,12.97,15.31,17.25,20.12,22.97,24.22,24.41,24.38,24.0,22.75,20.97,19.66,19.78,20.22,21.03,21.94,23.62,24.75,24.47,22.66,21.16,19.09,15.97,12.47,10.28,9.5,9.28,9.88,11.28,14.0,16.72,18.72,20.47,23.31,26.28,28.41,29.66,30.88,31.12,30.25,27.66,25.41,23.91,22.84,21.94,21.34,22.31,23.44,23.84,23.88,24.47,24.91,23.41,20.84,18.84,17.09,15.59,14.34,14.25,15.25,16.31,16.53,16.5,17.19,17.62,17.66,16.88,16.75,16.84,16.16,14.94,14.06,13.59,12.88,11.12,10.09,10.25,10.84,11.22,12.22,14.5,16.44,17.94,18.56,19.16,19.53,19.62,19.06,18.97,19.62,19.94,19.06,17.84,17.44,16.88,15.59,14.41,14.22,14.12,13.19,11.41,10.25,9.22,8.44,7.03,6.81,7.75,8.78,8.91,9.0,9.66,9.78,8.38,6.5,5.47,5.0,4.94,5.16,6.84,9.12,10.75,11.34,12.0,13.38,14.69,15.12,15.97,17.09,18.31,18.84,19.12,20.25,21.91,23.19,23.44,24.03,24.66,24.78,23.47,22.03,20.97,19.62,17.25,15.06,14.28,13.91,13.16,12.12,12.06,12.28,12.59,11.94,12.03,13.28,14.28,14.62,15.22,16.88,18.75,19.59,19.5,20.0,19.91,18.28,15.66,13.59,11.91,10.09,8.22,6.97,6.69,6.38,4.94,3.78,4.0,4.72,5.16,5.78,8.31,11.25,13.69,15.47,17.41,19.72,21.38,22.12,22.78,23.5,23.12,20.5,17.12,14.06,11.5,8.72,6.5,5.78,6.47,6.75,6.28,6.09,6.25,6.28,5.84,6.81,9.44,12.88,15.12,17.25,19.44,21.12,20.38,18.66,16.97,15.16,13.16,10.72,9.47,9.25,9.84,9.28,9.62,10.94,12.84,13.72,14.47,16.06,17.53,18.19,18.09,18.22,18.84,19.5,19.5,19.78,21.16,22.59,22.41,21.56,21.06,20.22,18.44,16.91,16.56,17.12,17.44,17.16,17.09,17.59,17.19,15.81,14.66,14.22,14.0,13.44,13.0,13.91,14.38,13.53,11.75,10.25,9.03,7.59,6.41,6.12,7.53,9.56,11.59,14.38,17.94,21.25,22.19,21.84,21.06,20.12,18.22,16.06,14.88,14.41,13.66,12.41,11.53,11.91,11.78,10.12,8.94,8.34,8.53,8.09,7.94,8.94,10.41,10.59,10.31,10.28,10.22,8.88,6.5,4.28,3.56,2.88,2.09,2.06,2.88,4.34,4.53,4.94,6.12,7.88,9.0,9.94,11.25,13.06,14.53,15.0,15.25,16.75,18.34,18.88,19.81,20.91,22.22,21.91,20.94,20.16,19.75,18.94,17.66,17.03,17.41,17.78,17.16,16.5,16.81,17.56,17.41,17.0,17.5,18.12,17.44,16.44,15.81,16.16,16.09,15.94,16.0,17.06,17.66,17.5,16.75,16.56,16.16,14.28,12.34,11.09,10.97,10.31,9.56,9.44,10.25,10.16,9.66,9.66,10.31,11.25,11.56,11.81,12.66,13.31,13.12,12.28,12.16,13.09,13.28,12.16,10.94,10.53,9.09,6.81,5.34,5.47,6.22,6.5,7.03,9.38,11.75,13.41,14.5,15.53,16.56,16.12,15.03,13.88,13.81,13.44,12.62,11.72,11.81,12.03,11.72,11.38,11.91,12.47,12.38,11.81,11.81,12.81,13.31,13.19,12.88,12.56,11.59,9.31,7.06,5.97,5.41,4.97,4.66,5.5,7.38,8.81,9.91,11.09,12.81,13.91,13.72,13.31,14.22,14.53,14.25,13.72,14.09,14.47,14.16,13.47,13.5,13.66,13.09,11.12,9.25,8.0,6.62,4.53,3.22,3.94,5.62,7.69,10.72,14.97,19.31,22.16,23.09,23.12,22.5,20.94,18.41,16.16,14.72,13.34,11.38,9.56,9.25,9.25,8.59,7.19,6.25,5.28,3.97,2.06,1.31,1.66,2.72,4.16,6.53,10.59,14.75,17.34,18.53,18.91,18.03,16.22,14.12,13.53,14.12,15.12,15.38,15.69,16.53,17.19,16.88,17.19,18.75,20.19,21.0,21.59,22.81,23.59,23.81,23.12,23.06,23.31,23.59,23.53,23.91,25.0,25.72,25.75,26.34,27.66,29.41,30.03,30.28,30.12,29.03,28.03,25.78,24.34,23.88,23.03,21.16,18.78,15.59,12.12,6.81,1.59,-1.81,-4.03,-5.78,-6.28,-5.12,-3.44,-1.62,-0.94,-0.38,0.62,1.03,0.44,0.38,1.69,3.28,4.59,6.06,8.03,9.62,9.72,9.0,8.38,8.19,8.38,8.56,9.41,10.91,12.09,12.0,11.22,11.34,11.44,11.12,11.12,11.97,12.81,12.97,12.06,11.53,10.94,10.19,8.56,7.5,7.25,7.25,7.06,7.53,8.97,11.38,13.5,14.69,16.22,17.41,17.34,16.31,15.75,15.41,14.91,13.81,13.34,13.62,14.28,14.84,15.44,16.34,17.66,18.09,18.41,19.0,19.78,19.91,18.94,17.88,16.5,15.34,13.94,12.88,13.06,14.16,14.75,15.28,16.22,17.38,17.31,16.38,15.34,14.47,13.53,11.75,10.91,10.69,11.03,10.28,9.56,9.47,9.59,9.09,8.5,9.06,9.88,10.84,11.59,12.97,15.34,17.25,18.66,20.38,22.0,23.69,23.88,23.69,23.31,23.62,23.75,23.91,24.69,25.69,26.12,25.59,25.06,25.38,26.16,26.0,26.19,26.69,27.5,26.84,25.78,25.12,24.66,23.66,22.28,21.31,20.81,20.19,19.12,18.22,18.47,18.88,18.5,18.91,19.94,21.56,22.22,22.78,23.75,24.88,25.5,25.81,26.25,27.03,27.34,26.41,25.5,24.97,24.25,23.31,22.41,21.94,22.03,21.06,19.84,18.84,19.31,19.69,19.34,19.16,18.97,18.09,16.0,14.0,12.62,11.75,10.78,10.28,10.97,12.69,14.16,15.78,17.66,20.16,22.44,23.53,24.28,25.16,25.44,24.28,22.91,22.25,21.84,21.22,20.53,20.28,20.34,19.59,18.62,17.41,17.69,18.09,18.28,18.75,20.47,22.0,22.62,23.19,24.12,25.31,25.88,26.47,26.91,27.09,26.69,25.62,24.22,23.5,22.84,21.41,19.81,19.41,19.28,19.09,18.59,18.38,18.19,17.75,17.0,16.84,17.91,18.28,18.38,18.44,19.12,20.47,21.62,22.88,24.75,26.78,27.62,27.41,27.09,26.88,25.56,23.47,21.31,20.03,18.94,18.25,18.16,19.56,21.44,22.22,22.59,23.16,23.94,23.62,23.34,23.28,23.47,23.03,21.75,20.22,19.53,19.03,17.78,16.75,16.94,17.28,16.94,16.78,17.09,18.12,19.25,19.91,21.25,23.09,24.78,25.22,25.06,24.94,24.38,23.25,21.69,22.03,23.12,24.06,24.59,25.53,25.91,25.06,23.44,21.94,21.44,21.5,21.53,22.03,23.75,25.12,25.53,24.94,24.91,25.44,25.22,25.31,25.75,26.03,25.78,24.53,22.78,21.78,21.06,20.47,20.12,21.16,22.16,22.88,22.62,23.0,23.34,23.28,22.78,22.5,22.81,23.0,22.38,21.62,21.62,21.72,20.88,20.34,20.75,21.28,21.44,20.5,19.56,18.97,18.03,16.28,15.25,15.41,15.59,15.03,14.44,14.38,14.31,12.88,11.47,10.84,10.72,10.84,11.19,12.56,14.12,15.03,14.97,14.38,14.62,15.0,14.91,15.34,16.78,18.5,19.53,19.34,19.03,17.91,15.91,12.69,11.12,11.62,12.97,14.69,16.66,18.91,20.47,20.19,19.0,18.28,18.0,16.97,15.47,14.94,14.62,14.0,12.66,12.34,13.12,14.47,15.53,16.97,19.56,21.97,22.5,22.41,22.22,21.34,20.03,18.53,17.88,18.44,18.78,18.25,17.97,18.28,18.91,18.5,18.44,19.5,20.19,20.0,19.0,18.56,18.5,17.84,16.56,15.88,16.0,15.41,13.62,11.75,10.25,8.53,5.97,4.09,3.94,49.69,50.38,50.41,50.53,50.81,50.53,50.22,50.28,50.19,50.0,50.12,49.72,49.34,48.69,47.88,46.22,44.91,43.16,41.66,40.22,39.84:13.22,16.69,19.47,22.06,24.69,26.41,26.94,26.91,27.28,27.72,27.25,25.75,24.69,23.56,21.56,19.28,17.56,16.66,16.56,17.06,18.59,21.12,24.12,25.97,27.28,28.53,29.66,29.69,28.75,28.12,27.66,27.03,26.5,27.03,28.16,28.94,28.59,27.81,26.88,26.0,24.5,22.97,22.53,22.59,22.72,22.34,22.25,22.88,23.44,22.94,23.25,24.38,25.12,25.22,25.06,25.19,25.56,25.09,24.34,23.81,24.0,23.78,23.0,22.03,22.0,21.88,20.66,19.62,19.34,18.75,17.5,16.03,15.28,15.19,14.91,14.41,13.28,13.12,12.56,11.81,11.38,12.25,14.06,15.81,17.75,20.94,24.25,25.94,26.69,26.62,26.5,25.34,23.28,20.94,19.28,17.38,14.56,11.75,9.72,8.31,6.09,4.47,4.94,6.81,9.06,11.69,14.84,18.5,21.41,23.12,24.41,25.53,25.88,24.94,23.34,22.09,20.88,18.69,16.66,15.06,13.75,12.0,9.75,7.97,6.84,5.84,5.31,4.78,5.34,5.28,4.22,2.88,2.22,2.31,2.03,1.91,2.5,3.44,3.78,3.91,4.41,5.41,6.34,6.06,5.69,5.84,6.06,5.47,5.38,6.19,7.28,8.0,8.03,8.16,8.06,7.25,5.44,3.97,3.38,3.06,2.78,2.88,4.22,5.97,7.5,8.44,9.56,10.5,9.84,8.53,7.44,7.34,7.5,7.91,8.59,10.66,12.97,15.31,17.25,20.12,22.97,24.22,24.41,24.38,24.0,22.75,20.97,19.66,19.78,20.22,21.03,21.94,23.62,24.75,24.47,22.66,21.16,19.09,15.97,12.47,10.28,9.5,9.28,9.88,11.28,14.0,16.72,18.72,20.47,23.31,26.28,28.41,29.66,30.88,31.12,30.25,27.66,25.41,23.91,22.84,21.94,21.34,22.31,23.44,23.84,23.88,24.47,24.91,23.41,20.84,18.84,17.09,15.59,14.34,14.25,15.25,16.31,16.53,16.5,17.19,17.62,17.66,16.88,16.75,16.84,16.16,14.94,14.06,13.59,12.88,11.12,10.09,10.25,10.84,11.22,12.22,14.5,16.44,17.94,18.56,19.16,19.53,19.62,19.06,18.97,19.62,19.94,19.06,17.84,17.44,16.88,15.59,14.41,14.22,14.12,13.19,11.41,10.25,9.22,8.44,7.03,6.81,7.75,8.78,8.91,9.0,9.66,9.78,8.38,6.5,5.47,5.0,4.94,5.16,6.84,9.12,10.75,11.34,12.0,13.38,14.69,15.12,15.97,17.09,18.31,18.84,19.12,20.25,21.91,23.19,23.44,24.03,24.66,24.78,23.47,22.03,20.97,19.62,17.25,15.06,14.28,13.91,13.16,12.12,12.06,12.28,12.59,11.94,12.03,13.28,14.28,14.62,15.22,16.88,18.75,19.59,19.5,20.0,19.91,18.28,15.66,13.59,11.91,10.09,8.22,6.97,6.69,6.38,4.94,3.78,4.0,4.72,5.16,5.78,8.31,11.25,13.69,15.47,17.41,19.72,21.38,22.12,22.78,23.5,23.12,20.5,17.12,14.06,11.5,8.72,6.5,5.78,6.47,6.75,6.28,6.09,6.25,6.28,5.84,6.81,9.44,12.88,15.12,17.25,19.44,21.12,20.38,18.66,16.97,15.16,13.16,10.72,9.47,9.25,9.84,9.28,9.62,10.94,12.84,13.72,14.47,16.06,17.53,18.19,18.09,18.22,18.84,19.5,19.5,19.78,21.16,22.59,22.41,21.56,21.06,20.22,18.44,16.91,16.56,17.12,17.44,17.16,17.09,17.59,17.19,15.81,14.66,14.22,14.0,13.44,13.0,13.91,14.38,13.53,11.75,10.25,9.03,7.59,6.41,6.12,7.53,9.56,11.59,14.38,17.94,21.25,22.19,21.84,21.06,20.12,18.22,16.06,14.88,14.41,13.66,12.41,11.53,11.91,11.78,10.12,8.94,8.34,8.53,8.09,7.94,8.94,10.41,10.59,10.31,10.28,10.22,8.88,6.5,4.28,3.56,2.88,2.09,2.06,2.88,4.34,4.53,4.94,6.12,7.88,9.0,9.94,11.25,13.06,14.53,15.0,15.25,16.75,18.34,18.88,19.81,20.91,22.22,21.91,20.94,20.16,19.75,18.94,17.66,17.03,17.41,17.78,17.16,16.5,16.81,17.56,17.41,17.0,17.5,18.12,17.44,16.44,15.81,16.16,16.09,15.94,16.0,17.06,17.66,17.5,16.75,16.56,16.16,14.28,12.34,11.09,10.97,10.31,9.56,9.44,10.25,10.16,9.66,9.66,10.31,11.25,11.56,11.81,12.66,13.31,13.12,12.28,12.16,13.09,13.28,12.16,10.94,10.53,9.09,6.81,5.34,5.47,6.22,6.5,7.03,9.38,11.75,13.41,14.5,15.53,16.56,16.12,15.03,13.88,13.81,13.44,12.62,11.72,11.81,12.03,11.72,11.38,11.91,12.47,12.38,11.81,11.81,12.81,13.31,13.19,12.88,12.56,11.59,9.31,7.06,5.97,5.41,4.97,4.66,5.5,7.38,8.81,9.91,11.09,12.81,13.91,13.72,13.31,14.22,14.53,14.25,13.72,14.09,14.47,14.16,13.47,13.5,13.66,13.09,11.12,9.25,8.0,6.62,4.53,3.22,3.94,5.62,7.69,10.72,14.97,19.31,22.16,23.09,23.12,22.5,20.94,18.41,16.16,14.72,13.34,11.38,9.56,9.25,9.25,8.59,7.19,6.25,5.28,3.97,2.06,1.31,1.66,2.72,4.16,6.53,10.59,14.75,17.34,18.53,18.91,18.03,16.22,14.12,13.53,14.12,15.12,15.38,15.69,16.53,17.19,16.88,17.19,18.75,20.19,21.0,21.59,22.81,23.59,23.81,23.12,23.06,23.31,23.59,23.53,23.91,25.0,25.72,25.75,26.34,27.66,29.41,30.03,30.28,30.12,29.03,28.03,25.78,24.34,23.88,23.03,21.16,18.78,15.59,12.12,6.81,1.59,-1.81,-4.03,-5.78,-6.28,-5.12,-3.44,-1.62,-0.94,-0.38,0.62,1.03,0.44,0.38,1.69,3.28,4.59,6.06,8.03,9.62,9.72,9.0,8.38,8.19,8.38,8.56,9.41,10.91,12.09,12.0,11.22,11.34,11.44,11.12,11.12,11.97,12.81,12.97,12.06,11.53,10.94,10.19,8.56,7.5,7.25,7.25,7.06,7.53,8.97,11.38,13.5,14.69,16.22,17.41,17.34,16.31,15.75,15.41,14.91,13.81,13.34,13.62,14.28,14.84,15.44,16.34,17.66,18.09,18.41,19.0,19.78,19.91,18.94,17.88,16.5,15.34,13.94,12.88,13.06,14.16,14.75,15.28,16.22,17.38,17.31,16.38,15.34,14.47,13.53,11.75,10.91,10.69,11.03,10.28,9.56,9.47,9.59,9.09,8.5,9.06,9.88,10.84,11.59,12.97,15.34,17.25,18.66,20.38,22.0,23.69,23.88,23.69,23.31,23.62,23.75,23.91,24.69,25.69,26.12,25.59,25.06,25.38,26.16,26.0,26.19,26.69,27.5,26.84,25.78,25.12,24.66,23.66,22.28,21.31,20.81,20.19,19.12,18.22,18.47,18.88,18.5,18.91,19.94,21.56,22.22,22.78,23.75,24.88,25.5,25.81,26.25,27.03,27.34,26.41,25.5,24.97,24.25,23.31,22.41,21.94,22.03,21.06,19.84,18.84,19.31,19.69,19.34,19.16,18.97,18.09,16.0,14.0,12.62,11.75,10.78,10.28,10.97,12.69,14.16,15.78,17.66,20.16,22.44,23.53,24.28,25.16,25.44,24.28,22.91,22.25,21.84,21.22,20.53,20.28,20.34,19.59,18.62,17.41,17.69,18.09,18.28,18.75,20.47,22.0,22.62,23.19,24.12,25.31,25.88,26.47,26.91,27.09,26.69,25.62,24.22,23.5,22.84,21.41,19.81,19.41,19.28,19.09,18.59,18.38,18.19,17.75,17.0,16.84,17.91,18.28,18.38,18.44,19.12,20.47,21.62,22.88,24.75,26.78,27.62,27.41,27.09,26.88,25.56,23.47,21.31,20.03,18.94,18.25,18.16,19.56,21.44,22.22,22.59,23.16,23.94,23.62,23.34,23.28,23.47,23.03,21.75,20.22,19.53,19.03,17.78,16.75,16.94,17.28,16.94,16.78,17.09,18.12,19.25,19.91,21.25,23.09,24.78,25.22,25.06,24.94,24.38,23.25,21.69,22.03,23.12,24.06,24.59,25.53,25.91,25.06,23.44,21.94,21.44,21.5,21.53,22.03,23.75,25.12,25.53,24.94,24.91,25.44,25.22,25.31,25.75,26.03,25.78,24.53,22.78,21.78,21.06,20.47,20.12,21.16,22.16,22.88,22.62,23.0,23.34,23.28,22.78,22.5,22.81,23.0,22.38,21.62,21.62,21.72,20.88,20.34,20.75,21.28,21.44,20.5,19.56,18.97,18.03,16.28,15.25,15.41,15.59,15.03,14.44,14.38,14.31,12.88,11.47,10.84,10.72,10.84,11.19,12.56,14.12,15.03,14.97,14.38,14.62,15.0,14.91,15.34,16.78,18.5,19.53,19.34,19.03,17.91,15.91,12.69,11.12,11.62,12.97,14.69,16.66,18.91,20.47,20.19,19.0,18.28,18.0,16.97,15.47,14.94,14.62,14.0,12.66,12.34,13.12,14.47,15.53,16.97,19.56,21.97,22.5,22.41,22.22,21.34,20.03,18.53,17.88,18.44,18.78,18.25,17.97,18.28,18.91,18.5,18.44,19.5,20.19,20.0,19.0,18.56,18.5,17.84,16.56,15.88,16.0,15.41,13.62,11.75,10.25,8.53,5.97,4.09,3.94,49.69,50.38,50.41,50.53,50.81,50.53,50.22,50.28,50.19,50.0,50.12,49.72,49.34,48.69,47.88,46.22,44.91,43.16,41.66,40.22,39.84,39.78,39.91,39.81,39.94,39.91,40.44,41.53:26.91,27.28,27.72,27.25,25.75,24.69,23.56,21.56,19.28,17.56,16.66,16.56,17.06,18.59,21.12,24.12,25.97,27.28,28.53,29.66,29.69,28.75,28.12,27.66,27.03,26.5,27.03,28.16,28.94,28.59,27.81,26.88,26.0,24.5,22.97,22.53,22.59,22.72,22.34,22.25,22.88,23.44,22.94,23.25,24.38,25.12,25.22,25.06,25.19,25.56,25.09,24.34,23.81,24.0,23.78,23.0,22.03,22.0,21.88,20.66,19.62,19.34,18.75,17.5,16.03,15.28,15.19,14.91,14.41,13.28,13.12,12.56,11.81,11.38,12.25,14.06,15.81,17.75,20.94,24.25,25.94,26.69,26.62,26.5,25.34,23.28,20.94,19.28,17.38,14.56,11.75,9.72,8.31,6.09,4.47,4.94,6.81,9.06,11.69,14.84,18.5,21.41,23.12,24.41,25.53,25.88,24.94,23.34,22.09,20.88,18.69,16.66,15.06,13.75,12.0,9.75,7.97,6.84,5.84,5.31,4.78,5.34,5.28,4.22,2.88,2.22,2.31,2.03,1.91,2.5,3.44,3.78,3.91,4.41,5.41,6.34,6.06,5.69,5.84,6.06,5.47,5.38,6.19,7.28,8.0,8.03,8.16,8.06,7.25,5.44,3.97,3.38,3.06,2.78,2.88,4.22,5.97,7.5,8.44,9.56,10.5,9.84,8.53,7.44,7.34,7.5,7.91,8.59,10.66,12.97,15.31,17.25,20.12,22.97,24.22,24.41,24.38,24.0,22.75,20.97,19.66,19.78,20.22,21.03,21.94,23.62,24.75,24.47,22.66,21.16,19.09,15.97,12.47,10.28,9.5,9.28,9.88,11.28,14.0,16.72,18.72,20.47,23.31,26.28,28.41,29.66,30.88,31.12,30.25,27.66,25.41,23.91,22.84,21.94,21.34,22.31,23.44,23.84,23.88,24.47,24.91,23.41,20.84,18.84,17.09,15.59,14.34,14.25,15.25,16.31,16.53,16.5,17.19,17.62,17.66,16.88,16.75,16.84,16.16,14.94,14.06,13.59,12.88,11.12,10.09,10.25,10.84,11.22,12.22,14.5,16.44,17.94,18.56,19.16,19.53,19.62,19.06,18.97,19.62,19.94,19.06,17.84,17.44,16.88,15.59,14.41,14.22,14.12,13.19,11.41,10.25,9.22,8.44,7.03,6.81,7.75,8.78,8.91,9.0,9.66,9.78,8.38,6.5,5.47,5.0,4.94,5.16,6.84,9.12,10.75,11.34,12.0,13.38,14.69,15.12,15.97,17.09,18.31,18.84,19.12,20.25,21.91,23.19,23.44,24.03,24.66,24.78,23.47,22.03,20.97,19.62,17.25,15.06,14.28,13.91,13.16,12.12,12.06,12.28,12.59,11.94,12.03,13.28,14.28,14.62,15.22,16.88,18.75,19.59,19.5,20.0,19.91,18.28,15.66,13.59,11.91,10.09,8.22,6.97,6.69,6.38,4.94,3.78,4.0,4.72,5.16,5.78,8.31,11.25,13.69,15.47,17.41,19.72,21.38,22.12,22.78,23.5,23.12,20.5,17.12,14.06,11.5,8.72,6.5,5.78,6.47,6.75,6.28,6.09,6.25,6.28,5.84,6.81,9.44,12.88,15.12,17.25,19.44,21.12,20.38,18.66,16.97,15.16,13.16,10.72,9.47,9.25,9.84,9.28,9.62,10.94,12.84,13.72,14.47,16.06,17.53,18.19,18.09,18.22,18.84,19.5,19.5,19.78,21.16,22.59,22.41,21.56,21.06,20.22,18.44,16.91,16.56,17.12,17.44,17.16,17.09,17.59,17.19,15.81,14.66,14.22,14.0,13.44,13.0,13.91,14.38,13.53,11.75,10.25,9.03,7.59,6.41,6.12,7.53,9.56,11.59,14.38,17.94,21.25,22.19,21.84,21.06,20.12,18.22,16.06,14.88,14.41,13.66,12.41,11.53,11.91,11.78,10.12,8.94,8.34,8.53,8.09,7.94,8.94,10.41,10.59,10.31,10.28,10.22,8.88,6.5,4.28,3.56,2.88,2.09,2.06,2.88,4.34,4.53,4.94,6.12,7.88,9.0,9.94,11.25,13.06,14.53,15.0,15.25,16.75,18.34,18.88,19.81,20.91,22.22,21.91,20.94,20.16,19.75,18.94,17.66,17.03,17.41,17.78,17.16,16.5,16.81,17.56,17.41,17.0,17.5,18.12,17.44,16.44,15.81,16.16,16.09,15.94,16.0,17.06,17.66,17.5,16.75,16.56,16.16,14.28,12.34,11.09,10.97,10.31,9.56,9.44,10.25,10.16,9.66,9.66,10.31,11.25,11.56,11.81,12.66,13.31,13.12,12.28,12.16,13.09,13.28,12.16,10.94,10.53,9.09,6.81,5.34,5.47,6.22,6.5,7.03,9.38,11.75,13.41,14.5,15.53,16.56,16.12,15.03,13.88,13.81,13.44,12.62,11.72,11.81,12.03,11.72,11.38,11.91,12.47,12.38,11.81,11.81,12.81,13.31,13.19,12.88,12.56,11.59,9.31,7.06,5.97,5.41,4.97,4.66,5.5,7.38,8.81,9.91,11.09,12.81,13.91,13.72,13.31,14.22,14.53,14.25,13.72,14.09,14.47,14.16,13.47,13.5,13.66,13.09,11.12,9.25,8.0,6.62,4.53,3.22,3.94,5.62,7.69,10.72,14.97,19.31,22.16,23.09,23.12,22.5,20.94,18.41,16.16,14.72,13.34,11.38,9.56,9.25,9.25,8.59,7.19,6.25,5.28,3.97,2.06,1.31,1.66,2.72,4.16,6.53,10.59,14.75,17.34,18.53,18.91,18.03,16.22,14.12,13.53,14.12,15.12,15.38,15.69,16.53,17.19,16.88,17.19,18.75,20.19,21.0,21.59,22.81,23.59,23.81,23.12,23.06,23.31,23.59,23.53,23.91,25.0,25.72,25.75,26.34,27.66,29.41,30.03,30.28,30.12,29.03,28.03,25.78,24.34,23.88,23.03,21.16,18.78,15.59,12.12,6.81,1.59,-1.81,-4.03,-5.78,-6.28,-5.12,-3.44,-1.62,-0.94,-0.38,0.62,1.03,0.44,0.38,1.69,3.28,4.59,6.06,8.03,9.62,9.72,9.0,8.38,8.19,8.38,8.56,9.41,10.91,12.09,12.0,11.22,11.34,11.44,11.12,11.12,11.97,12.81,12.97,12.06,11.53,10.94,10.19,8.56,7.5,7.25,7.25,7.06,7.53,8.97,11.38,13.5,14.69,16.22,17.41,17.34,16.31,15.75,15.41,14.91,13.81,13.34,13.62,14.28,14.84,15.44,16.34,17.66,18.09,18.41,19.0,19.78,19.91,18.94,17.88,16.5,15.34,13.94,12.88,13.06,14.16,14.75,15.28,16.22,17.38,17.31,16.38,15.34,14.47,13.53,11.75,10.91,10.69,11.03,10.28,9.56,9.47,9.59,9.09,8.5,9.06,9.88,10.84,11.59,12.97,15.34,17.25,18.66,20.38,22.0,23.69,23.88,23.69,23.31,23.62,23.75,23.91,24.69,25.69,26.12,25.59,25.06,25.38,26.16,26.0,26.19,26.69,27.5,26.84,25.78,25.12,24.66,23.66,22.28,21.31,20.81,20.19,19.12,18.22,18.47,18.88,18.5,18.91,19.94,21.56,22.22,22.78,23.75,24.88,25.5,25.81,26.25,27.03,27.34,26.41,25.5,24.97,24.25,23.31,22.41,21.94,22.03,21.06,19.84,18.84,19.31,19.69,19.34,19.16,18.97,18.09,16.0,14.0,12.62,11.75,10.78,10.28,10.97,12.69,14.16,15.78,17.66,20.16,22.44,23.53,24.28,25.16,25.44,24.28,22.91,22.25,21.84,21.22,20.53,20.28,20.34,19.59,18.62,17.41,17.69,18.09,18.28,18.75,20.47,22.0,22.62,23.19,24.12,25.31,25.88,26.47,26.91,27.09,26.69,25.62,24.22,23.5,22.84,21.41,19.81,19.41,19.28,19.09,18.59,18.38,18.19,17.75,17.0,16.84,17.91,18.28,18.38,18.44,19.12,20.47,21.62,22.88,24.75,26.78,27.62,27.41,27.09,26.88,25.56,23.47,21.31,20.03,18.94,18.25,18.16,19.56,21.44,22.22,22.59,23.16,23.94,23.62,23.34,23.28,23.47,23.03,21.75,20.22,19.53,19.03,17.78,16.75,16.94,17.28,16.94,16.78,17.09,18.12,19.25,19.91,21.25,23.09,24.78,25.22,25.06,24.94,24.38,23.25,21.69,22.03,23.12,24.06,24.59,25.53,25.91,25.06,23.44,21.94,21.44,21.5,21.53,22.03,23.75,25.12,25.53,24.94,24.91,25.44,25.22,25.31,25.75,26.03,25.78,24.53,22.78,21.78,21.06,20.47,20.12,21.16,22.16,22.88,22.62,23.0,23.34,23.28,22.78,22.5,22.81,23.0,22.38,21.62,21.62,21.72,20.88,20.34,20.75,21.28,21.44,20.5,19.56,18.97,18.03,16.28,15.25,15.41,15.59,15.03,14.44,14.38,14.31,12.88,11.47,10.84,10.72,10.84,11.19,12.56,14.12,15.03,14.97,14.38,14.62,15.0,14.91,15.34,16.78,18.5,19.53,19.34,19.03,17.91,15.91,12.69,11.12,11.62,12.97,14.69,16.66,18.91,20.47,20.19,19.0,18.28,18.0,16.97,15.47,14.94,14.62,14.0,12.66,12.34,13.12,14.47,15.53,16.97,19.56,21.97,22.5,22.41,22.22,21.34,20.03,18.53,17.88,18.44,18.78,18.25,17.97,18.28,18.91,18.5,18.44,19.5,20.19,20.0,19.0,18.56,18.5,17.84,16.56,15.88,16.0,15.41,13.62,11.75,10.25,8.53,5.97,4.09,3.94,49.69,50.38,50.41,50.53,50.81,50.53,50.22,50.28,50.19,50.0,50.12,49.72,49.34,48.69,47.88,46.22,44.91,43.16,41.66,40.22,39.84,39.78,39.91,39.81,39.94,39.91,40.44,41.53,43.78,46.47,49.31,52.12,54.0,55.44,56.5:21.56,19.28,17.56,16.66,16.56,17.06,18.59,21.12,24.12,25.97,27.28,28.53,29.66,29.69,28.75,28.12,27.66,27.03,26.5,27.03,28.16,28.94,28.59,27.81,26.88,26.0,24.5,22.97,22.53,22.59,22.72,22.34,22.25,22.88,23.44,22.94,23.25,24.38,25.12,25.22,25.06,25.19,25.56,25.09,24.34,23.81,24.0,23.78,23.0,22.03,22.0,21.88,20.66,19.62,19.34,18.75,17.5,16.03,15.28,15.19,14.91,14.41,13.28,13.12,12.56,11.81,11.38,12.25,14.06,15.81,17.75,20.94,24.25,25.94,26.69,26.62,26.5,25.34,23.28,20.94,19.28,17.38,14.56,11.75,9.72,8.31,6.09,4.47,4.94,6.81,9.06,11.69,14.84,18.5,21.41,23.12,24.41,25.53,25.88,24.94,23.34,22.09,20.88,18.69,16.66,15.06,13.75,12.0,9.75,7.97,6.84,5.84,5.31,4.78,5.34,5.28,4.22,2.88,2.22,2.31,2.03,1.91,2.5,3.44,3.78,3.91,4.41,5.41,6.34,6.06,5.69,5.84,6.06,5.47,5.38,6.19,7.28,8.0,8.03,8.16,8.06,7.25,5.44,3.97,3.38,3.06,2.78,2.88,4.22,5.97,7.5,8.44,9.56,10.5,9.84,8.53,7.44,7.34,7.5,7.91,8.59,10.66,12.97,15.31,17.25,20.12,22.97,24.22,24.41,24.38,24.0,22.75,20.97,19.66,19.78,20.22,21.03,21.94,23.62,24.75,24.47,22.66,21.16,19.09,15.97,12.47,10.28,9.5,9.28,9.88,11.28,14.0,16.72,18.72,20.47,23.31,26.28,28.41,29.66,30.88,31.12,30.25,27.66,25.41,23.91,22.84,21.94,21.34,22.31,23.44,23.84,23.88,24.47,24.91,23.41,20.84,18.84,17.09,15.59,14.34,14.25,15.25,16.31,16.53,16.5,17.19,17.62,17.66,16.88,16.75,16.84,16.16,14.94,14.06,13.59,12.88,11.12,10.09,10.25,10.84,11.22,12.22,14.5,16.44,17.94,18.56,19.16,19.53,19.62,19.06,18.97,19.62,19.94,19.06,17.84,17.44,16.88,15.59,14.41,14.22,14.12,13.19,11.41,10.25,9.22,8.44,7.03,6.81,7.75,8.78,8.91,9.0,9.66,9.78,8.38,6.5,5.47,5.0,4.94,5.16,6.84,9.12,10.75,11.34,12.0,13.38,14.69,15.12,15.97,17.09,18.31,18.84,19.12,20.25,21.91,23.19,23.44,24.03,24.66,24.78,23.47,22.03,20.97,19.62,17.25,15.06,14.28,13.91,13.16,12.12,12.06,12.28,12.59,11.94,12.03,13.28,14.28,14.62,15.22,16.88,18.75,19.59,19.5,20.0,19.91,18.28,15.66,13.59,11.91,10.09,8.22,6.97,6.69,6.38,4.94,3.78,4.0,4.72,5.16,5.78,8.31,11.25,13.69,15.47,17.41,19.72,21.38,22.12,22.78,23.5,23.12,20.5,17.12,14.06,11.5,8.72,6.5,5.78,6.47,6.75,6.28,6.09,6.25,6.28,5.84,6.81,9.44,12.88,15.12,17.25,19.44,21.12,20.38,18.66,16.97,15.16,13.16,10.72,9.47,9.25,9.84,9.28,9.62,10.94,12.84,13.72,14.47,16.06,17.53,18.19,18.09,18.22,18.84,19.5,19.5,19.78,21.16,22.59,22.41,21.56,21.06,20.22,18.44,16.91,16.56,17.12,17.44,17.16,17.09,17.59,17.19,15.81,14.66,14.22,14.0,13.44,13.0,13.91,14.38,13.53,11.75,10.25,9.03,7.59,6.41,6.12,7.53,9.56,11.59,14.38,17.94,21.25,22.19,21.84,21.06,20.12,18.22,16.06,14.88,14.41,13.66,12.41,11.53,11.91,11.78,10.12,8.94,8.34,8.53,8.09,7.94,8.94,10.41,10.59,10.31,10.28,10.22,8.88,6.5,4.28,3.56,2.88,2.09,2.06,2.88,4.34,4.53,4.94,6.12,7.88,9.0,9.94,11.25,13.06,14.53,15.0,15.25,16.75,18.34,18.88,19.81,20.91,22.22,21.91,20.94,20.16,19.75,18.94,17.66,17.03,17.41,17.78,17.16,16.5,16.81,17.56,17.41,17.0,17.5,18.12,17.44,16.44,15.81,16.16,16.09,15.94,16.0,17.06,17.66,17.5,16.75,16.56,16.16,14.28,12.34,11.09,10.97,10.31,9.56,9.44,10.25,10.16,9.66,9.66,10.31,11.25,11.56,11.81,12.66,13.31,13.12,12.28,12.16,13.09,13.28,12.16,10.94,10.53,9.09,6.81,5.34,5.47,6.22,6.5,7.03,9.38,11.75,13.41,14.5,15.53,16.56,16.12,15.03,13.88,13.81,13.44,12.62,11.72,11.81,12.03,11.72,11.38,11.91,12.47,12.38,11.81,11.81,12.81,13.31,13.19,12.88,12.56,11.59,9.31,7.06,5.97,5.41,4.97,4.66,5.5,7.38,8.81,9.91,11.09,12.81,13.91,13.72,13.31,14.22,14.53,14.25,13.72,14.09,14.47,14.16,13.47,13.5,13.66,13.09,11.12,9.25,8.0,6.62,4.53,3.22,3.94,5.62,7.69,10.72,14.97,19.31,22.16,23.09,23.12,22.5,20.94,18.41,16.16,14.72,13.34,11.38,9.56,9.25,9.25,8.59,7.19,6.25,5.28,3.97,2.06,1.31,1.66,2.72,4.16,6.53,10.59,14.75,17.34,18.53,18.91,18.03,16.22,14.12,13.53,14.12,15.12,15.38,15.69,16.53,17.19,16.88,17.19,18.75,20.19,21.0,21.59,22.81,23.59,23.81,23.12,23.06,23.31,23.59,23.53,23.91,25.0,25.72,25.75,26.34,27.66,29.41,30.03,30.28,30.12,29.03,28.03,25.78,24.34,23.88,23.03,21.16,18.78,15.59,12.12,6.81,1.59,-1.81,-4.03,-5.78,-6.28,-5.12,-3.44,-1.62,-0.94,-0.38,0.62,1.03,0.44,0.38,1.69,3.28,4.59,6.06,8.03,9.62,9.72,9.0,8.38,8.19,8.38,8.56,9.41,10.91,12.09,12.0,11.22,11.34,11.44,11.12,11.12,11.97,12.81,12.97,12.06,11.53,10.94,10.19,8.56,7.5,7.25,7.25,7.06,7.53,8.97,11.38,13.5,14.69,16.22,17.41,17.34,16.31,15.75,15.41,14.91,13.81,13.34,13.62,14.28,14.84,15.44,16.34,17.66,18.09,18.41,19.0,19.78,19.91,18.94,17.88,16.5,15.34,13.94,12.88,13.06,14.16,14.75,15.28,16.22,17.38,17.31,16.38,15.34,14.47,13.53,11.75,10.91,10.69,11.03,10.28,9.56,9.47,9.59,9.09,8.5,9.06,9.88,10.84,11.59,12.97,15.34,17.25,18.66,20.38,22.0,23.69,23.88,23.69,23.31,23.62,23.75,23.91,24.69,25.69,26.12,25.59,25.06,25.38,26.16,26.0,26.19,26.69,27.5,26.84,25.78,25.12,24.66,23.66,22.28,21.31,20.81,20.19,19.12,18.22,18.47,18.88,18.5,18.91,19.94,21.56,22.22,22.78,23.75,24.88,25.5,25.81,26.25,27.03,27.34,26.41,25.5,24.97,24.25,23.31,22.41,21.94,22.03,21.06,19.84,18.84,19.31,19.69,19.34,19.16,18.97,18.09,16.0,14.0,12.62,11.75,10.78,10.28,10.97,12.69,14.16,15.78,17.66,20.16,22.44,23.53,24.28,25.16,25.44,24.28,22.91,22.25,21.84,21.22,20.53,20.28,20.34,19.59,18.62,17.41,17.69,18.09,18.28,18.75,20.47,22.0,22.62,23.19,24.12,25.31,25.88,26.47,26.91,27.09,26.69,25.62,24.22,23.5,22.84,21.41,19.81,19.41,19.28,19.09,18.59,18.38,18.19,17.75,17.0,16.84,17.91,18.28,18.38,18.44,19.12,20.47,21.62,22.88,24.75,26.78,27.62,27.41,27.09,26.88,25.56,23.47,21.31,20.03,18.94,18.25,18.16,19.56,21.44,22.22,22.59,23.16,23.94,23.62,23.34,23.28,23.47,23.03,21.75,20.22,19.53,19.03,17.78,16.75,16.94,17.28,16.94,16.78,17.09,18.12,19.25,19.91,21.25,23.09,24.78,25.22,25.06,24.94,24.38,23.25,21.69,22.03,23.12,24.06,24.59,25.53,25.91,25.06,23.44,21.94,21.44,21.5,21.53,22.03,23.75,25.12,25.53,24.94,24.91,25.44,25.22,25.31,25.75,26.03,25.78,24.53,22.78,21.78,21.06,20.47,20.12,21.16,22.16,22.88,22.62,23.0,23.34,23.28,22.78,22.5,22.81,23.0,22.38,21.62,21.62,21.72,20.88,20.34,20.75,21.28,21.44,20.5,19.56,18.97,18.03,16.28,15.25,15.41,15.59,15.03,14.44,14.38,14.31,12.88,11.47,10.84,10.72,10.84,11.19,12.56,14.12,15.03,14.97,14.38,14.62,15.0,14.91,15.34,16.78,18.5,19.53,19.34,19.03,17.91,15.91,12.69,11.12,11.62,12.97,14.69,16.66,18.91,20.47,20.19,19.0,18.28,18.0,16.97,15.47,14.94,14.62,14.0,12.66,12.34,13.12,14.47,15.53,16.97,19.56,21.97,22.5,22.41,22.22,21.34,20.03,18.53,17.88,18.44,18.78,18.25,17.97,18.28,18.91,18.5,18.44,19.5,20.19,20.0,19.0,18.56,18.5,17.84,16.56,15.88,16.0,15.41,13.62,11.75,10.25,8.53,5.97,4.09,3.94,49.69,50.38,50.41,50.53,50.81,50.53,50.22,50.28,50.19,50.0,50.12,49.72,49.34,48.69,47.88,46.22,44.91,43.16,41.66,40.22,39.84,39.78,39.91,39.81,39.94,39.91,40.44,41.53,43.78,46.47,49.31,52.12,54.0,55.44,56.5,57.44,57.94,58.38,58.22,57.0,55.19,52.75:positivity
18.72,18.53,18.44,18.84,19.5,18.75,17.72,17.69,18.28,18.38,19.0,20.47,22.38,23.72,23.81,23.22,22.78,21.66,19.53,17.38,15.81,14.38,12.12,10.31,9.66,10.47,11.34,12.41,14.16,16.81,19.31,20.81,22.06,23.44,24.06,22.88,21.5,20.38,19.62,17.66,15.59,14.38,14.09,13.75,13.59,14.31,15.91,17.41,17.47,17.31,17.81,18.44,18.06,18.62,20.28,22.91,24.72,25.94,26.59,26.91,25.81,23.75,22.44,22.66,22.84,22.62,22.66,23.22,23.28,22.38,20.81,19.59,19.19,18.12,17.06,17.09,18.03,18.66,18.34,17.62,17.22,16.25,14.16,11.91,10.84,10.66,10.75,11.53,13.94,17.03,19.41,21.28,23.16,25.34,26.44,26.44,25.66,25.28,23.72,21.34,19.34,18.88,19.47,19.84,20.34,21.41,22.66,22.94,22.22,21.44,21.59,21.03,19.25,18.12,18.5,18.84,18.69,19.0,19.75,20.78,20.59,20.53,20.66,21.16,20.94,20.03,18.84,18.25,17.34,15.91,15.06,15.69,16.91,17.75,18.72,20.47,22.38,23.72,24.38,25.66,28.34,30.69,32.0,33.38,35.06,35.5,33.81,31.06,28.41,25.72,22.12,19.28,18.25,18.5,18.44,17.62,17.0,16.91,16.41,16.0,16.47,19.34,22.34,24.22,26.22,28.72,31.0,32.56,33.81,35.72,37.75,39.19,39.62,40.25,41.06,40.56,38.69,35.72,33.25,30.5,27.88,26.41,26.91,29.22,31.28,32.84,34.94,36.97,38.06,38.25,38.06,38.16,37.5,35.12,32.75,31.16,29.91,28.44,27.62,28.06,29.28,30.25,30.72,31.78,33.38,34.84,35.16,35.38,36.5,36.69,36.72,36.25,36.75,36.72,35.56,33.0,30.81,28.53,25.59,22.94,21.0,20.28,19.03,17.84,17.38,18.41,19.88,21.47,23.22,26.0,28.09,29.22,29.97,30.81,31.84,32.12,31.88,31.66,32.19,32.88,32.78,32.94,33.56,33.44,32.12,30.5,29.22,28.47,27.78,27.53,28.03,29.09,29.88,29.84,29.84,30.41,30.5,29.84,28.72,28.09,27.03,25.5,23.53,22.41,21.97,21.53,21.38,22.66,24.97,27.56,29.69,31.03,32.75,34.12,34.62,34.41,35.06,35.47,35.0,34.22,34.03,34.0,33.88,33.19,32.66,32.66,32.16,31.06,30.16,30.22,30.16,29.5,28.44,28.22,28.22,28.06,28.06,29.41,31.0,32.16,32.5,32.72,32.94,33.22,32.5,31.91,32.5,33.19,32.81,32.16,31.69,31.25,29.91,28.44,27.88,28.09,28.25,27.47,26.94,26.97,26.91,25.97,25.59,25.88,26.41,26.34,26.38,27.59,29.25,30.41,31.31,32.44,33.69,34.25,33.5,32.88,32.22,31.0,28.84,27.0,26.19,25.53,24.75,23.56,22.66,21.84,20.75,19.28,19.19,19.56,20.59,21.53,23.12,25.66,27.91,29.25,30.53,32.12,33.66,35.03,36.38,38.5,40.66,42.19,42.69,42.91,43.0,43.0,41.84,40.62,39.41,37.75,34.72,31.28,28.69,26.5,24.53,22.41,21.06,20.91,21.0,20.78,21.19,22.81,24.09,24.5,25.59,27.41,29.66,31.03,32.03,33.41,34.47,35.03,34.97,35.28,36.19,36.53,36.22,35.38,34.84,34.53,32.91,31.78,30.94,30.84,30.16,28.91,28.53,29.03,29.16,28.69,28.75,29.22,29.53,29.19,29.47,30.75,32.94,34.12,35.78,37.38,38.56,38.34,37.03,35.69,34.12,32.09,29.84,28.84,28.91,29.88,30.5,31.47,32.66,33.81,33.84,33.53,33.62,33.72,33.47,33.06,33.28,34.22,34.53,34.25,34.16,34.0,33.88,32.59,31.44,30.78,30.31,29.12,27.75,27.72,28.91,30.66,32.66,35.75,38.84,41.31,42.44,42.94,43.25,43.44,42.09,40.59,39.19,37.78,35.72,33.59,31.69,30.69,29.53,27.94,26.38,26.38,27.0,27.62,28.94,30.72,32.0,32.12,31.25,30.38,29.38,28.25,27.19,26.91,27.53,28.34,29.22,30.38,32.22,34.34,35.88,36.91,38.47,39.88,40.19,39.91,39.59,39.56,38.81,37.47,36.06,35.12,33.34,31.09,28.91,27.22,26.0,24.47,23.38,23.03,23.75,24.53,25.44,26.81,28.47,29.47,30.09,29.62,29.91,30.0,29.5,29.28,29.47,29.81,29.25,28.62,28.12,27.72,26.84,25.62,25.16,25.53,25.78,26.16,26.72,28.59,30.5,31.66,32.81,33.97,34.91,34.72,34.38,34.44,35.97,37.59,39.25,41.5,44.31,46.34,47.0,46.62,46.47,45.34,43.66,41.56,40.66,40.22,39.53,38.75,38.25,37.81,37.06,35.59,35.16,35.91,36.28,36.28,35.44,34.62,33.38,31.78,30.56,30.06,30.0,29.38,28.38,27.19,26.28,25.69,25.19,24.94,25.78,26.88,27.25,27.19,28.16,29.06,28.97,28.38,27.69,27.25,26.19,25.75,26.5,28.28,29.97,30.78,30.75,30.97,30.59,29.59,28.16,27.78,27.56,27.34,27.69,29.19,31.31,32.84,34.03,34.62,35.53,36.34,36.62,36.66,37.22,37.81,37.5,36.66,36.28,35.88,34.41,32.84,31.62,30.75,30.03,29.12,27.97,27.81,27.69,27.12,27.25,28.56,30.59,32.25,33.53,35.75,37.72,39.38,40.34,41.31,43.22,44.78,45.19,44.34,43.47,41.25,37.41,32.97,29.88,28.03,26.16,24.53,24.62,24.91,25.16,25.09,25.62,27.12,28.38,29.0,29.97,31.47,32.25,31.97,31.22,31.09,31.62,32.22,32.12,33.09,33.69,33.59,32.28,31.09,30.88,30.31,29.19,27.94,27.47,26.59,24.84,22.81,22.0,22.44,23.19,24.56,27.16,30.44,33.28,34.69,36.31,38.0,39.38,39.28,39.41,40.25,40.41,39.59,38.25,37.19,36.5,35.12,33.41,32.78,32.78,32.5,31.5,30.5,29.78,29.03,27.56,25.62,24.72,24.12,23.12,21.84,21.72,22.72,23.41,23.78,24.59,26.12,27.75,28.53,30.34,33.03,35.94,37.91,39.09,39.97,40.66,40.22,38.72,37.78,36.91,36.09,34.34,32.75,32.03,30.94,29.0,27.03,26.25,25.84,25.5,25.34,26.34,28.09,29.44,30.19,31.12,32.75,33.88,34.19,34.47,35.66,36.56,36.72,36.81,37.97,39.25,39.88,39.5,39.69,39.66,39.19,37.22,35.69,34.22,32.66,30.09,28.28,27.69,27.53,26.84,26.38,27.47,28.88,29.97,30.38,31.56,32.94,34.06,34.78,36.0,37.59,38.5,37.81,36.84,36.12,36.25,35.56,35.0,35.75,36.59,36.31,35.38,34.69,33.91,32.78,30.59,28.91,27.91,26.75,24.47,22.5,21.66,21.16,20.25,20.31,21.5,23.97,26.12,27.56,29.59,32.0,33.91,35.19,36.84,39.19,40.88,41.41,41.34,41.81,42.5,42.38,42.06,42.84,43.47,43.62,42.62,41.22,39.59,37.44,33.56,30.25,28.06,26.5,24.75,24.03,24.62,26.03,26.84,27.19,27.97,29.09,29.97,30.47,31.69,33.66,35.38,35.81,36.09,36.56,36.72,35.53,34.09,32.94,31.78,29.28,27.31,26.12,25.94,26.75,27.78,29.5,31.91,33.94,34.44,34.34,34.78,35.19,34.78,34.31,35.19,36.44,37.34,37.81,38.44,39.91,40.59,40.31,39.69,39.44,38.28,35.72,32.84,30.62,29.62,28.25,27.69,28.25,30.06,31.56,32.5,33.59,35.31,36.44,36.5,36.5,36.84,37.0,35.66,33.88,32.53,31.41,29.38,27.31,25.84,25.41,25.03,24.59,24.78,26.06,27.53,28.03,28.16,28.88,28.97,27.5,25.88,24.59,24.59,24.16,24.25,25.03,27.09,28.31,28.94,29.28,30.38,31.0,29.88,28.31,27.16,25.81,23.31,21.22,20.56,21.31,21.62,21.47,21.66,23.03,24.0,24.66,25.72,27.62,28.94,28.78,28.06,27.97,28.25,28.22,28.28,29.25,30.75,31.28,31.34,31.56,32.28,32.41,31.78,31.31,31.31,31.25,30.41,29.78,29.94,30.66,30.53,30.31,30.31,31.12,31.47,31.31,31.75,33.03,33.88,33.88,33.78,34.72,35.09,34.56,33.03,32.34,32.0,31.19,30.16,29.5,29.34,28.28,26.31,24.38,24.12,23.84,23.47,23.34,24.06,24.75,24.38,23.94,24.53,26.81,28.94,31.53,34.69,38.03,40.22,40.75,40.09,39.88,38.88,37.12,35.62,35.44,35.59,34.91,33.72,33.16,33.03,32.06,30.75,29.97,30.25,30.41,29.94,30.06,31.16,32.19,32.5,32.56,33.44,34.5,34.75,34.69,35.66,37.69,39.03,40.0,41.53,43.25,44.22,43.88,43.03,42.56,42.19,41.06,40.03,40.28,41.31,41.75,41.66,42.0,42.94,42.97,42.19,41.38,41.56,41.53,40.5,39.34,38.5,38.28,38.09,37.75,38.75,40.38,40.72,39.62,39.0,39.19,39.22,38.97,39.03,40.16,40.41,39.5,38.19,38.0,38.03,37.38,36.81,36.75,36.72,36.25,34.72,33.91,33.94,33.84,33.5,33.47,34.62,35.78,36.53,37.03,38.0,39.47,40.06,40.16,41.0,42.12,42.97,42.91,43.22,44.44,45.66,45.78,45.88,46.16,46.03,45.16,43.81,43.22,42.91,41.91,40.38,39.53,39.34,39.06,38.12,37.0,37.06,36.66,35.53,34.66,34.97,35.47,35.84,35.94,36.81,38.09,39.25,39.94,40.53,42.25,43.09,42.28,41.38,40.84,39.69,37.84,36.25,35.81:17.69,18.28,18.38,19.0,20.47,22.38,23.72,23.81,23.22,22.78,21.66,19.53,17.38,15.81,14.38,12.12,10.31,9.66,10.47,11.34,12.41,14.16,16.81,19.31,20.81,22.06,23.44,24.06,22.88,21.5,20.38,19.62,17.66,15.59,14.38,14.09,13.75,13.59,14.31,15.91,17.41,17.47,17.31,17.81,18.44,18.06,18.62,20.28,22.91,24.72,25.94,26.59,26.91,25.81,23.75,22.44,22.66,22.84,22.62,22.66,23.22,23.28,22.38,20.81,19.59,19.19,18.12,17.06,17.09,18.03,18.66,18.34,17.62,17.22,16.25,14.16,11.91,10.84,10.66,10.75,11.53,13.94,17.03,19.41,21.28,23.16,25.34,26.44,26.44,25.66,25.28,23.72,21.34,19.34,18.88,19.47,19.84,20.34,21.41,22.66,22.94,22.22,21.44,21.59,21.03,19.25,18.12,18.5,18.84,18.69,19.0,19.75,20.78,20.59,20.53,20.66,21.16,20.94,20.03,18.84,18.25,17.34,15.91,15.06,15.69,16.91,17.75,18.72,20.47,22.38,23.72,24.38,25.66,28.34,30.69,32.0,33.38,35.06,35.5,33.81,31.06,28.41,25.72,22.12,19.28,18.25,18.5,18.44,17.62,17.0,16.91,16.41,16.0,16.47,19.34,22.34,24.22,26.22,28.72,31.0,32.56,33.81,35.72,37.75,39.19,39.62,40.25,41.06,40.56,38.69,35.72,33.25,30.5,27.88,26.41,26.91,29.22,31.28,32.84,34.94,36.97,38.06,38.25,38.06,38.16,37.5,35.12,32.75,31.16,29.91,28.44,27.62,28.06,29.28,30.25,30.72,31.78,33.38,34.84,35.16,35.38,36.5,36.69,36.72,36.25,36.75,36.72,35.56,33.0,30.81,28.53,25.59,22.94,21.0,20.28,19.03,17.84,17.38,18.41,19.88,21.47,23.22,26.0,28.09,29.22,29.97,30.81,31.84,32.12,31.88,31.66,32.19,32.88,32.78,32.94,33.56,33.44,32.12,30.5,29.22,28.47,27.78,27.53,28.03,29.09,29.88,29.84,29.84,30.41,30.5,29.84,28.72,28.09,27.03,25.5,23.53,22.41,21.97,21.53,21.38,22.66,24.97,27.56,29.69,31.03,32.75,34.12,34.62,34.41,35.06,35.47,35.0,34.22,34.03,34.0,33.88,33.19,32.66,32.66,32.16,31.06,30.16,30.22,30.16,29.5,28.44,28.22,28.22,28.06,28.06,29.41,31.0,32.16,32.5,32.72,32.94,33.22,32.5,31.91,32.5,33.19,32.81,32.16,31.69,31.25,29.91,28.44,27.88,28.09,28.25,27.47,26.94,26.97,26.91,25.97,25.59,25.88,26.41,26.34,26.38,27.59,29.25,30.41,31.31,32.44,33.69,34.25,33.5,32.88,32.22,31.0,28.84,27.0,26.19,25.53,24.75,23.56,22.66,21.84,20.75,19.28,19.19,19.56,20.59,21.53,23.12,25.66,27.91,29.25,30.53,32.12,33.66,35.03,36.38,38.5,40.66,42.19,42.69,42.91,43.0,43.0,41.84,40.62,39.41,37.75,34.72,31.28,28.69,26.5,24.53,22.41,21.06,20.91,21.0,20.78,21.19,22.81,24.09,24.5,25.59,27.41,29.66,31.03,32.03,33.41,34.47,35.03,34.97,35.28,36.19,36.53,36.22,35.38,34.84,34.53,32.91,31.78,30.94,30.84,30.16,28.91,28.53,29.03,29.16,28.69,28.75,29.22,29.53,29.19,29.47,30.75,32.94,34.12,35.78,37.38,38.56,38.34,37.03,35.69,34.12,32.09,29.84,28.84,28.91,29.88,30.5,31.47,32.66,33.81,33.84,33.53,33.62,33.72,33.47,33.06,33.28,34.22,34.53,34.25,34.16,34.0,33.88,32.59,31.44,30.78,30.31,29.12,27.75,27.72,28.91,30.66,32.66,35.75,38.84,41.31,42.44,42.94,43.25,43.44,42.09,40.59,39.19,37.78,35.72,33.59,31.69,30.69,29.53,27.94,26.38,26.38,27.0,27.62,28.94,30.72,32.0,32.12,31.25,30.38,29.38,28.25,27.19,26.91,27.53,28.34,29.22,30.38,32.22,34.34,35.88,36.91,38.47,39.88,40.19,39.91,39.59,39.56,38.81,37.47,36.06,35.12,33.34,31.09,28.91,27.22,26.0,24.47,23.38,23.03,23.75,24.53,25.44,26.81,28.47,29.47,30.09,29.62,29.91,30.0,29.5,29.28,29.47,29.81,29.25,28.62,28.12,27.72,26.84,25.62,25.16,25.53,25.78,26.16,26.72,28.59,30.5,31.66,32.81,33.97,34.91,34.72,34.38,34.44,35.97,37.59,39.25,41.5,44.31,46.34,47.0,46.62,46.47,45.34,43.66,41.56,40.66,40.22,39.53,38.75,38.25,37.81,37.06,35.59,35.16,35.91,36.28,36.28,35.44,34.62,33.38,31.78,30.56,30.06,30.0,29.38,28.38,27.19,26.28,25.69,25.19,24.94,25.78,26.88,27.25,27.19,28.16,29.06,28.97,28.38,27.69,27.25,26.19,25.75,26.5,28.28,29.97,30.78,30.75,30.97,30.59,29.59,28.16,27.78,27.56,27.34,27.69,29.19,31.31,32.84,34.03,34.62,35.53,36.34,36.62,36.66,37.22,37.81,37.5,36.66,36.28,35.88,34.41,32.84,31.62,30.75,30.03,29.12,27.97,27.81,27.69,27.12,27.25,28.56,30.59,32.25,33.53,35.75,37.72,39.38,40.34,41.31,43.22,44.78,45.19,44.34,43.47,41.25,37.41,32.97,29.88,28.03,26.16,24.53,24.62,24.91,25.16,25.09,25.62,27.12,28.38,29.0,29.97,31.47,32.25,31.97,31.22,31.09,31.62,32.22,32.12,33.09,33.69,33.59,32.28,31.09,30.88,30.31,29.19,27.94,27.47,26.59,24.84,22.81,22.0,22.44,23.19,24.56,27.16,30.44,33.28,34.69,36.31,38.0,39.38,39.28,39.41,40.25,40.41,39.59,38.25,37.19,36.5,35.12,33.41,32.78,32.78,32.5,31.5,30.5,29.78,29.03,27.56,25.62,24.72,24.12,23.12,21.84,21.72,22.72,23.41,23.78,24.59,26.12,27.75,28.53,30.34,33.03,35.94,37.91,39.09,39.97,40.66,40.22,38.72,37.78,36.91,36.09,34.34,32.75,32.03,30.94,29.0,27.03,26.25,25.84,25.5,25.34,26.34,28.09,29.44,30.19,31.12,32.75,33.88,34.19,34.47,35.66,36.56,36.72,36.81,37.97,39.25,39.88,39.5,39.69,39.66,39.19,37.22,35.69,34.22,32.66,30.09,28.28,27.69,27.53,26.84,26.38,27.47,28.88,29.97,30.38,31.56,32.94,34.06,34.78,36.0,37.59,38.5,37.81,36.84,36.12,36.25,35.56,35.0,35.75,36.59,36.31,35.38,34.69,33.91,32.78,30.59,28.91,27.91,26.75,24.47,22.5,21.66,21.16,20.25,20.31,21.5,23.97,26.12,27.56,29.59,32.0,33.91,35.19,36.84,39.19,40.88,41.41,41.34,41.81,42.5,42.38,42.06,42.84,43.47,43.62,42.62,41.22,39.59,37.44,33.56,30.25,28.06,26.5,24.75,24.03,24.62,26.03,26.84,27.19,27.97,29.09,29.97,30.47,31.69,33.66,35.38,35.81,36.09,36.56,36.72,35.53,34.09,32.94,31.78,29.28,27.31,26.12,25.94,26.75,27.78,29.5,31.91,33.94,34.44,34.34,34.78,35.19,34.78,34.31,35.19,36.44,37.34,37.81,38.44,39.91,40.59,40.31,39.69,39.44,38.28,35.72,32.84,30.62,29.62,28.25,27.69,28.25,30.06,31.56,32.5,33.59,35.31,36.44,36.5,36.5,36.84,37.0,35.66,33.88,32.53,31.41,29.38,27.31,25.84,25.41,25.03,24.59,24.78,26.06,27.53,28.03,28.16,28.88,28.97,27.5,25.88,24.59,24.59,24.16,24.25,25.03,27.09,28.31,28.94,29.28,30.38,31.0,29.88,28.31,27.16,25.81,23.31,21.22,20.56,21.31,21.62,21.47,21.66,23.03,24.0,24.66,25.72,27.62,28.94,28.78,28.06,27.97,28.25,28.22,28.28,29.25,30.75,31.28,31.34,31.56,32.28,32.41,31.78,31.31,31.31,31.25,30.41,29.78,29.94,30.66,30.53,30.31,30.31,31.12,31.47,31.31,31.75,33.03,33.88,33.88,33.78,34.72,35.09,34.56,33.03,32.34,32.0,31.19,30.16,29.5,29.34,28.28,26.31,24.38,24.12,23.84,23.47,23.34,24.06,24.75,24.38,23.94,24.53,26.81,28.94,31.53,34.69,38.03,40.22,40.75,40.09,39.88,38.88,37.12,35.62,35.44,35.59,34.91,33.72,33.16,33.03,32.06,30.75,29.97,30.25,30.41,29.94,30.06,31.16,32.19,32.5,32.56,33.44,34.5,34.75,34.69,35.66,37.69,39.03,40.0,41.53,43.25,44.22,43.88,43.03,42.56,42.19,41.06,40.03,40.28,41.31,41.75,41.66,42.0,42.94,42.97,42.19,41.38,41.56,41.53,40.5,39.34,38.5,38.28,38.09,37.75,38.75,40.38,40.72,39.62,39.0,39.19,39.22,38.97,39.03,40.16,40.41,39.5,38.19,38.0,38.03,37.38,36.81,36.75,36.72,36.25,34.72,33.91,33.94,33.84,33.5,33.47,34.62,35.78,36.53,37.03,38.0,39.47,40.06,40.16,41.0,42.12,42.97,42.91,43.22,44.44,45.66,45.78,45.88,46.16,46.03,45.16,43.81,43.22,42.91,41.91,40.38,39.53,39.34,39.06,38.12,37.0,37.06,36.66,35.53,34.66,34.97,35.47,35.84,35.94,36.81,38.09,39.25,39.94,40.53,42.25,43.09,42.28,41.38,40.84,39.69,37.84,36.25,35.81,50.47,51.25,51.06,49.97,49.34,47.69,45.84:23.81,23.22,22.78,21.66,19.53,17.38,15.81,14.38,12.12,10.31,9.66,10.47,11.34,12.41,14.16,16.81,19.31,20.81,22.06,23.44,24.06,22.88,21.5,20.38,19.62,17.66,15.59,14.38,14.09,13.75,13.59,14.31,15.91,17.41,17.47,17.31,17.81,18.44,18.06,18.62,20.28,22.91,24.72,25.94,26.59,26.91,25.81,23.75,22.44,22.66,22.84,22.62,22.66,23.22,23.28,22.38,20.81,19.59,19.19,18.12,17.06,17.09,18.03,18.66,18.34,17.62,17.22,16.25,14.16,11.91,10.84,10.66,10.75,11.53,13.94,17.03,19.41,21.28,23.16,25.34,26.44,26.44,25.66,25.28,23.72,21.34,19.34,18.88,19.47,19.84,20.34,21.41,22.66,22.94,22.22,21.44,21.59,21.03,19.25,18.12,18.5,18.84,18.69,19.0,19.75,20.78,20.59,20.53,20.66,21.16,20.94,20.03,18.84,18.25,17.34,15.91,15.06,15.69,16.91,17.75,18.72,20.47,22.38,23.72,24.38,25.66,28.34,30.69,32.0,33.38,35.06,35.5,33.81,31.06,28.41,25.72,22.12,19.28,18.25,18.5,18.44,17.62,17.0,16.91,16.41,16.0,16.47,19.34,22.34,24.22,26.22,28.72,31.0,32.56,33.81,35.72,37.75,39.19,39.62,40.25,41.06,40.56,38.69,35.72,33.25,30.5,27.88,26.41,26.91,29.22,31.28,32.84,34.94,36.97,38.06,38.25,38.06,38.16,37.5,35.12,32.75,31.16,29.91,28.44,27.62,28.06,29.28,30.25,30.72,31.78,33.38,34.84,35.16,35.38,36.5,36.69,36.72,36.25,36.75,36.72,35.56,33.0,30.81,28.53,25.59,22.94,21.0,20.28,19.03,17.84,17.38,18.41,19.88,21.47,23.22,26.0,28.09,29.22,29.97,30.81,31.84,32.12,31.88,31.66,32.19,32.88,32.78,32.94,33.56,33.44,32.12,30.5,29.22,28.47,27.78,27.53,28.03,29.09,29.88,29.84,29.84,30.41,30.5,29.84,28.72,28.09,27.03,25.5,23.53,22.41,21.97,21.53,21.38,22.66,24.97,27.56,29.69,31.03,32.75,34.12,34.62,34.41,35.06,35.47,35.0,34.22,34.03,34.0,33.88,33.19,32.66,32.66,32.16,31.06,30.16,30.22,30.16,29.5,28.44,28.22,28.22,28.06,28.06,29.41,31.0,32.16,32.5,32.72,32.94,33.22,32.5,31.91,32.5,33.19,32.81,32.16,31.69,31.25,29.91,28.44,27.88,28.09,28.25,27.47,26.94,26.97,26.91,25.97,25.59,25.88,26.41,26.34,26.38,27.59,29.25,30.41,31.31,32.44,33.69,34.25,33.5,32.88,32.22,31.0,28.84,27.0,26.19,25.53,24.75,23.56,22.66,21.84,20.75,19.28,19.19,19.56,20.59,21.53,23.12,25.66,27.91,29.25,30.53,32.12,33.66,35.03,36.38,38.5,40.66,42.19,42.69,42.91,43.0,43.0,41.84,40.62,39.41,37.75,34.72,31.28,28.69,26.5,24.53,22.41,21.06,20.91,21.0,20.78,21.19,22.81,24.09,24.5,25.59,27.41,29.66,31.03,32.03,33.41,34.47,35.03,34.97,35.28,36.19,36.53,36.22,35.38,34.84,34.53,32.91,31.78,30.94,30.84,30.16,28.91,28.53,29.03,29.16,28.69,28.75,29.22,29.53,29.19,29.47,30.75,32.94,34.12,35.78,37.38,38.56,38.34,37.03,35.69,34.12,32.09,29.84,28.84,28.91,29.88,30.5,31.47,32.66,33.81,33.84,33.53,33.62,33.72,33.47,33.06,33.28,34.22,34.53,34.25,34.16,34.0,33.88,32.59,31.44,30.78,30.31,29.12,27.75,27.72,28.91,30.66,32.66,35.75,38.84,41.31,42.44,42.94,43.25,43.44,42.09,40.59,39.19,37.78,35.72,33.59,31.69,30.69,29.53,27.94,26.38,26.38,27.0,27.62,28.94,30.72,32.0,32.12,31.25,30.38,29.38,28.25,27.19,26.91,27.53,28.34,29.22,30.38,32.22,34.34,35.88,36.91,38.47,39.88,40.19,39.91,39.59,39.56,38.81,37.47,36.06,35.12,33.34,31.09,28.91,27.22,26.0,24.47,23.38,23.03,23.75,24.53,25.44,26.81,28.47,29.47,30.09,29.62,29.91,30.0,29.5,29.28,29.47,29.81,29.25,28.62,28.12,27.72,26.84,25.62,25.16,25.53,25.78,26.16,26.72,28.59,30.5,31.66,32.81,33.97,34.91,34.72,34.38,34.44,35.97,37.59,39.25,41.5,44.31,46.34,47.0,46.62,46.47,45.34,43.66,41.56,40.66,40.22,39.53,38.75,38.25,37.81,37.06,35.59,35.16,35.91,36.28,36.28,35.44,34.62,33.38,31.78,30.56,30.06,30.0,29.38,28.38,27.19,26.28,25.69,25.19,24.94,25.78,26.88,27.25,27.19,28.16,29.06,28.97,28.38,27.69,27.25,26.19,25.75,26.5,28.28,29.97,30.78,30.75,30.97,30.59,29.59,28.16,27.78,27.56,27.34,27.69,29.19,31.31,32.84,34.03,34.62,35.53,36.34,36.62,36.66,37.22,37.81,37.5,36.66,36.28,35.88,34.41,32.84,31.62,30.75,30.03,29.12,27.97,27.81,27.69,27.12,27.25,28.56,30.59,32.25,33.53,35.75,37.72,39.38,40.34,41.31,43.22,44.78,45.19,44.34,43.47,41.25,37.41,32.97,29.88,28.03,26.16,24.53,24.62,24.91,25.16,25.09,25.62,27.12,28.38,29.0,29.97,31.47,32.25,31.97,31.22,31.09,31.62,32.22,32.12,33.09,33.69,33.59,32.28,31.09,30.88,30.31,29.19,27.94,27.47,26.59,24.84,22.81,22.0,22.44,23.19,24.56,27.16,30.44,33.28,34.69,36.31,38.0,39.38,39.28,39.41,40.25,40.41,39.59,38.25,37.19,36.5,35.12,33.41,32.78,32.78,32.5,31.5,30.5,29.78,29.03,27.56,25.62,24.72,24.12,23.12,21.84,21.72,22.72,23.41,23.78,24.59,26.12,27.75,28.53,30.34,33.03,35.94,37.91,39.09,39.97,40.66,40.22,38.72,37.78,36.91,36.09,34.34,32.75,32.03,30.94,29.0,27.03,26.25,25.84,25.5,25.34,26.34,28.09,29.44,30.19,31.12,32.75,33.88,34.19,34.47,35.66,36.56,36.72,36.81,37.97,39.25,39.88,39.5,39.69,39.66,39.19,37.22,35.69,34.22,32.66,30.09,28.28,27.69,27.53,26.84,26.38,27.47,28.88,29.97,30.38,31.56,32.94,34.06,34.78,36.0,37.59,38.5,37.81,36.84,36.12,36.25,35.56,35.0,35.75,36.59,36.31,35.38,34.69,33.91,32.78,30.59,28.91,27.91,26.75,24.47,22.5,21.66,21.16,20.25,20.31,21.5,23.97,26.12,27.56,29.59,32.0,33.91,35.19,36.84,39.19,40.88,41.41,41.34,41.81,42.5,42.38,42.06,42.84,43.47,43.62,42.62,41.22,39.59,37.44,33.56,30.25,28.06,26.5,24.75,24.03,24.62,26.03,26.84,27.19,27.97,29.09,29.97,30.47,31.69,33.66,35.38,35.81,36.09,36.56,36.72,35.53,34.09,32.94,31.78,29.28,27.31,26.12,25.94,26.75,27.78,29.5,31.91,33.94,34.44,34.34,34.78,35.19,34.78,34.31,35.19,36.44,37.34,37.81,38.44,39.91,40.59,40.31,39.69,39.44,38.28,35.72,32.84,30.62,29.62,28.25,27.69,28.25,30.06,31.56,32.5,33.59,35.31,36.44,36.5,36.5,36.84,37.0,35.66,33.88,32.53,31.41,29.38,27.31,25.84,25.41,25.03,24.59,24.78,26.06,27.53,28.03,28.16,28.88,28.97,27.5,25.88,24.59,24.59,24.16,24.25,25.03,27.09,28.31,28.94,29.28,30.38,31.0,29.88,28.31,27.16,25.81,23.31,21.22,20.56,21.31,21.62,21.47,21.66,23.03,24.0,24.66,25.72,27.62,28.94,28.78,28.06,27.97,28.25,28.22,28.28,29.25,30.75,31.28,31.34,31.56,32.28,32.41,31.78,31.31,31.31,31.25,30.41,29.78,29.94,30.66,30.53,30.31,30.31,31.12,31.47,31.31,31.75,33.03,33.88,33.88,33.78,34.72,35.09,34.56,33.03,32.34,32.0,31.19,30.16,29.5,29.34,28.28,26.31,24.38,24.12,23.84,23.47,23.34,24.06,24.75,24.38,23.94,24.53,26.81,28.94,31.53,34.69,38.03,40.22,40.75,40.09,39.88,38.88,37.12,35.62,35.44,35.59,34.91,33.72,33.16,33.03,32.06,30.75,29.97,30.25,30.41,29.94,30.06,31.16,32.19,32.5,32.56,33.44,34.5,34.75,34.69,35.66,37.69,39.03,40.0,41.53,43.25,44.22,43.88,43.03,42.56,42.19,41.06,40.03,40.28,41.31,41.75,41.66,42.0,42.94,42.97,42.19,41.38,41.56,41.53,40.5,39.34,38.5,38.28,38.09,37.75,38.75,40.38,40.72,39.62,39.0,39.19,39.22,38.97,39.03,40.16,40.41,39.5,38.19,38.0,38.03,37.38,36.81,36.75,36.72,36.25,34.72,33.91,33.94,33.84,33.5,33.47,34.62,35.78,36.53,37.03,38.0,39.47,40.06,40.16,41.0,42.12,42.97,42.91,43.22,44.44,45.66,45.78,45.88,46.16,46.03,45.16,43.81,43.22,42.91,41.91,40.38,39.53,39.34,39.06,38.12,37.0,37.06,36.66,35.53,34.66,34.97,35.47,35.84,35.94,36.81,38.09,39.25,39.94,40.53,42.25,43.09,42.28,41.38,40.84,39.69,37.84,36.25,35.81,50.47,51.25,51.06,49.97,49.34,47.69,45.84,44.53,44.12,44.12,45.06,46.44,48.22,49.41:14.38,12.12,10.31,9.66,10.47,11.34,12.41,14.16,16.81,19.31,20.81,22.06,23.44,24.06,22.88,21.5,20.38,19.62,17.66,15.59,14.38,14.09,13.75,13.59,14.31,15.91,17.41,17.47,17.31,17.81,18.44,18.06,18.62,20.28,22.91,24.72,25.94,26.59,26.91,25.81,23.75,22.44,22.66,22.84,22.62,22.66,23.22,23.28,22.38,20.81,19.59,19.19,18.12,17.06,17.09,18.03,18.66,18.34,17.62,17.22,16.25,14.16,11.91,10.84,10.66,10.75,11.53,13.94,17.03,19.41,21.28,23.16,25.34,26.44,26.44,25.66,25.28,23.72,21.34,19.34,18.88,19.47,19.84,20.34,21.41,22.66,22.94,22.22,21.44,21.59,21.03,19.25,18.12,18.5,18.84,18.69,19.0,19.75,20.78,20.59,20.53,20.66,21.16,20.94,20.03,18.84,18.25,17.34,15.91,15.06,15.69,16.91,17.75,18.72,20.47,22.38,23.72,24.38,25.66,28.34,30.69,32.0,33.38,35.06,35.5,33.81,31.06,28.41,25.72,22.12,19.28,18.25,18.5,18.44,17.62,17.0,16.91,16.41,16.0,16.47,19.34,22.34,24.22,26.22,28.72,31.0,32.56,33.81,35.72,37.75,39.19,39.62,40.25,41.06,40.56,38.69,35.72,33.25,30.5,27.88,26.41,26.91,29.22,31.28,32.84,34.94,36.97,38.06,38.25,38.06,38.16,37.5,35.12,32.75,31.16,29.91,28.44,27.62,28.06,29.28,30.25,30.72,31.78,33.38,34.84,35.16,35.38,36.5,36.69,36.72,36.25,36.75,36.72,35.56,33.0,30.81,28.53,25.59,22.94,21.0,20.28,19.03,17.84,17.38,18.41,19.88,21.47,23.22,26.0,28.09,29.22,29.97,30.81,31.84,32.12,31.88,31.66,32.19,32.88,32.78,32.94,33.56,33.44,32.12,30.5,29.22,28.47,27.78,27.53,28.03,29.09,29.88,29.84,29.84,30.41,30.5,29.84,28.72,28.09,27.03,25.5,23.53,22.41,21.97,21.53,21.38,22.66,24.97,27.56,29.69,31.03,32.75,34.12,34.62,34.41,35.06,35.47,35.0,34.22,34.03,34.0,33.88,33.19,32.66,32.66,32.16,31.06,30.16,30.22,30.16,29.5,28.44,28.22,28.22,28.06,28.06,29.41,31.0,32.16,32.5,32.72,32.94,33.22,32.5,31.91,32.5,33.19,32.81,32.16,31.69,31.25,29.91,28.44,27.88,28.09,28.25,27.47,26.94,26.97,26.91,25.97,25.59,25.88,26.41,26.34,26.38,27.59,29.25,30.41,31.31,32.44,33.69,34.25,33.5,32.88,32.22,31.0,28.84,27.0,26.19,25.53,24.75,23.56,22.66,21.84,20.75,19.28,19.19,19.56,20.59,21.53,23.12,25.66,27.91,29.25,30.53,32.12,33.66,35.03,36.38,38.5,40.66,42.19,42.69,42.91,43.0,43.0,41.84,40.62,39.41,37.75,34.72,31.28,28.69,26.5,24.53,22.41,21.06,20.91,21.0,20.78,21.19,22.81,24.09,24.5,25.59,27.41,29.66,31.03,32.03,33.41,34.47,35.03,34.97,35.28,36.19,36.53,36.22,35.38,34.84,34.53,32.91,31.78,30.94,30.84,30.16,28.91,28.53,29.03,29.16,28.69,28.75,29.22,29.53,29.19,29.47,30.75,32.94,34.12,35.78,37.38,38.56,38.34,37.03,35.69,34.12,32.09,29.84,28.84,28.91,29.88,30.5,31.47,32.66,33.81,33.84,33.53,33.62,33.72,33.47,33.06,33.28,34.22,34.53,34.25,34.16,34.0,33.88,32.59,31.44,30.78,30.31,29.12,27.75,27.72,28.91,30.66,32.66,35.75,38.84,41.31,42.44,42.94,43.25,43.44,42.09,40.59,39.19,37.78,35.72,33.59,31.69,30.69,29.53,27.94,26.38,26.38,27.0,27.62,28.94,30.72,32.0,32.12,31.25,30.38,29.38,28.25,27.19,26.91,27.53,28.34,29.22,30.38,32.22,34.34,35.88,36.91,38.47,39.88,40.19,39.91,39.59,39.56,38.81,37.47,36.06,35.12,33.34,31.09,28.91,27.22,26.0,24.47,23.38,23.03,23.75,24.53,25.44,26.81,28.47,29.47,30.09,29.62,29.91,30.0,29.5,29.28,29.47,29.81,29.25,28.62,28.12,27.72,26.84,25.62,25.16,25.53,25.78,26.16,26.72,28.59,30.5,31.66,32.81,33.97,34.91,34.72,34.38,34.44,35.97,37.59,39.25,41.5,44.31,46.34,47.0,46.62,46.47,45.34,43.66,41.56,40.66,40.22,39.53,38.75,38.25,37.81,37.06,35.59,35.16,35.91,36.28,36.28,35.44,34.62,33.38,31.78,30.56,30.06,30.0,29.38,28.38,27.19,26.28,25.69,25.19,24.94,25.78,26.88,27.25,27.19,28.16,29.06,28.97,28.38,27.69,27.25,26.19,25.75,26.5,28.28,29.97,30.78,30.75,30.97,30.59,29.59,28.16,27.78,27.56,27.34,27.69,29.19,31.31,32.84,34.03,34.62,35.53,36.34,36.62,36.66,37.22,37.81,37.5,36.66,36.28,35.88,34.41,32.84,31.62,30.75,30.03,29.12,27.97,27.81,27.69,27.12,27.25,28.56,30.59,32.25,33.53,35.75,37.72,39.38,40.34,41.31,43.22,44.78,45.19,44.34,43.47,41.25,37.41,32.97,29.88,28.03,26.16,24.53,24.62,24.91,25.16,25.09,25.62,27.12,28.38,29.0,29.97,31.47,32.25,31.97,31.22,31.09,31.62,32.22,32.12,33.09,33.69,33.59,32.28,31.09,30.88,30.31,29.19,27.94,27.47,26.59,24.84,22.81,22.0,22.44,23.19,24.56,27.16,30.44,33.28,34.69,36.31,38.0,39.38,39.28,39.41,40.25,40.41,39.59,38.25,37.19,36.5,35.12,33.41,32.78,32.78,32.5,31.5,30.5,29.78,29.03,27.56,25.62,24.72,24.12,23.12,21.84,21.72,22.72,23.41,23.78,24.59,26.12,27.75,28.53,30.34,33.03,35.94,37.91,39.09,39.97,40.66,40.22,38.72,37.78,36.91,36.09,34.34,32.75,32.03,30.94,29.0,27.03,26.25,25.84,25.5,25.34,26.34,28.09,29.44,30.19,31.12,32.75,33.88,34.19,34.47,35.66,36.56,36.72,36.81,37.97,39.25,39.88,39.5,39.69,39.66,39.19,37.22,35.69,34.22,32.66,30.09,28.28,27.69,27.53,26.84,26.38,27.47,28.88,29.97,30.38,31.56,32.94,34.06,34.78,36.0,37.59,38.5,37.81,36.84,36.12,36.25,35.56,35.0,35.75,36.59,36.31,35.38,34.69,33.91,32.78,30.59,28.91,27.91,26.75,24.47,22.5,21.66,21.16,20.25,20.31,21.5,23.97,26.12,27.56,29.59,32.0,33.91,35.19,36.84,39.19,40.88,41.41,41.34,41.81,42.5,42.38,42.06,42.84,43.47,43.62,42.62,41.22,39.59,37.44,33.56,30.25,28.06,26.5,24.75,24.03,24.62,26.03,26.84,27.19,27.97,29.09,29.97,30.47,31.69,33.66,35.38,35.81,36.09,36.56,36.72,35.53,34.09,32.94,31.78,29.28,27.31,26.12,25.94,26.75,27.78,29.5,31.91,33.94,34.44,34.34,34.78,35.19,34.78,34.31,35.19,36.44,37.34,37.81,38.44,39.91,40.59,40.31,39.69,39.44,38.28,35.72,32.84,30.62,29.62,28.25,27.69,28.25,30.06,31.56,32.5,33.59,35.31,36.44,36.5,36.5,36.84,37.0,35.66,33.88,32.53,31.41,29.38,27.31,25.84,25.41,25.03,24.59,24.78,26.06,27.53,28.03,28.16,28.88,28.97,27.5,25.88,24.59,24.59,24.16,24.25,25.03,27.09,28.31,28.94,29.28,30.38,31.0,29.88,28.31,27.16,25.81,23.31,21.22,20.56,21.31,21.62,21.47,21.66,23.03,24.0,24.66,25.72,27.62,28.94,28.78,28.06,27.97,28.25,28.22,28.28,29.25,30.75,31.28,31.34,31.56,32.28,32.41,31.78,31.31,31.31,31.25,30.41,29.78,29.94,30.66,30.53,30.31,30.31,31.12,31.47,31.31,31.75,33.03,33.88,33.88,33.78,34.72,35.09,34.56,33.03,32.34,32.0,31.19,30.16,29.5,29.34,28.28,26.31,24.38,24.12,23.84,23.47,23.34,24.06,24.75,24.38,23.94,24.53,26.81,28.94,31.53,34.69,38.03,40.22,40.75,40.09,39.88,38.88,37.12,35.62,35.44,35.59,34.91,33.72,33.16,33.03,32.06,30.75,29.97,30.25,30.41,29.94,30.06,31.16,32.19,32.5,32.56,33.44,34.5,34.75,34.69,35.66,37.69,39.03,40.0,41.53,43.25,44.22,43.88,43.03,42.56,42.19,41.06,40.03,40.28,41.31,41.75,41.66,42.0,42.94,42.97,42.19,41.38,41.56,41.53,40.5,39.34,38.5,38.28,38.09,37.75,38.75,40.38,40.72,39.62,39.0,39.19,39.22,38.97,39.03,40.16,40.41,39.5,38.19,38.0,38.03,37.38,36.81,36.75,36.72,36.25,34.72,33.91,33.94,33.84,33.5,33.47,34.62,35.78,36.53,37.03,38.0,39.47,40.06,40.16,41.0,42.12,42.97,42.91,43.22,44.44,45.66,45.78,45.88,46.16,46.03,45.16,43.81,43.22,42.91,41.91,40.38,39.53,39.34,39.06,38.12,37.0,37.06,36.66,35.53,34.66,34.97,35.47,35.84,35.94,36.81,38.09,39.25,39.94,40.53,42.25,43.09,42.28,41.38,40.84,39.69,37.84,36.25,35.81,50.47,51.25,51.06,49.97,49.34,47.69,45.84,44.53,44.12,44.12,45.06,46.44,48.22,49.41,49.75,48.66,46.78,44.88,42.84,41.31,40.25:14.16,16.81,19.31,20.81,22.06,23.44,24.06,22.88,21.5,20.38,19.62,17.66,15.59,14.38,14.09,13.75,13.59,14.31,15.91,17.41,17.47,17.31,17.81,18.44,18.06,18.62,20.28,22.91,24.72,25.94,26.59,26.91,25.81,23.75,22.44,22.66,22.84,22.62,22.66,23.22,23.28,22.38,20.81,19.59,19.19,18.12,17.06,17.09,18.03,18.66,18.34,17.62,17.22,16.25,14.16,11.91,10.84,10.66,10.75,11.53,13.94,17.03,19.41,21.28,23.16,25.34,26.44,26.44,25.66,25.28,23.72,21.34,19.34,18.88,19.47,19.84,20.34,21.41,22.66,22.94,22.22,21.44,21.59,21.03,19.25,18.12,18.5,18.84,18.69,19.0,19.75,20.78,20.59,20.53,20.66,21.16,20.94,20.03,18.84,18.25,17.34,15.91,15.06,15.69,16.91,17.75,18.72,20.47,22.38,23.72,24.38,25.66,28.34,30.69,32.0,33.38,35.06,35.5,33.81,31.06,28.41,25.72,22.12,19.28,18.25,18.5,18.44,17.62,17.0,16.91,16.41,16.0,16.47,19.34,22.34,24.22,26.22,28.72,31.0,32.56,33.81,35.72,37.75,39.19,39.62,40.25,41.06,40.56,38.69,35.72,33.25,30.5,27.88,26.41,26.91,29.22,31.28,32.84,34.94,36.97,38.06,38.25,38.06,38.16,37.5,35.12,32.75,31.16,29.91,28.44,27.62,28.06,29.28,30.25,30.72,31.78,33.38,34.84,35.16,35.38,36.5,36.69,36.72,36.25,36.75,36.72,35.56,33.0,30.81,28.53,25.59,22.94,21.0,20.28,19.03,17.84,17.38,18.41,19.88,21.47,23.22,26.0,28.09,29.22,29.97,30.81,31.84,32.12,31.88,31.66,32.19,32.88,32.78,32.94,33.56,33.44,32.12,30.5,29.22,28.47,27.78,27.53,28.03,29.09,29.88,29.84,29.84,30.41,30.5,29.84,28.72,28.09,27.03,25.5,23.53,22.41,21.97,21.53,21.38,22.66,24.97,27.56,29.69,31.03,32.75,34.12,34.62,34.41,35.06,35.47,35.0,34.22,34.03,34.0,33.88,33.19,32.66,32.66,32.16,31.06,30.16,30.22,30.16,29.5,28.44,28.22,28.22,28.06,28.06,29.41,31.0,32.16,32.5,32.72,32.94,33.22,32.5,31.91,32.5,33.19,32.81,32.16,31.69,31.25,29.91,28.44,27.88,28.09,28.25,27.47,26.94,26.97,26.91,25.97,25.59,25.88,26.41,26.34,26.38,27.59,29.25,30.41,31.31,32.44,33.69,34.25,33.5,32.88,32.22,31.0,28.84,27.0,26.19,25.53,24.75,23.56,22.66,21.84,20.75,19.28,19.19,19.56,20.59,21.53,23.12,25.66,27.91,29.25,30.53,32.12,33.66,35.03,36.38,38.5,40.66,42.19,42.69,42.91,43.0,43.0,41.84,40.62,39.41,37.75,34.72,31.28,28.69,26.5,24.53,22.41,21.06,20.91,21.0,20.78,21.19,22.81,24.09,24.5,25.59,27.41,29.66,31.03,32.03,33.41,34.47,35.03,34.97,35.28,36.19,36.53,36.22,35.38,34.84,34.53,32.91,31.78,30.94,30.84,30.16,28.91,28.53,29.03,29.16,28.69,28.75,29.22,29.53,29.19,29.47,30.75,32.94,34.12,35.78,37.38,38.56,38.34,37.03,35.69,34.12,32.09,29.84,28.84,28.91,29.88,30.5,31.47,32.66,33.81,33.84,33.53,33.62,33.72,33.47,33.06,33.28,34.22,34.53,34.25,34.16,34.0,33.88,32.59,31.44,30.78,30.31,29.12,27.75,27.72,28.91,30.66,32.66,35.75,38.84,41.31,42.44,42.94,43.25,43.44,42.09,40.59,39.19,37.78,35.72,33.59,31.69,30.69,29.53,27.94,26.38,26.38,27.0,27.62,28.94,30.72,32.0,32.12,31.25,30.38,29.38,28.25,27.19,26.91,27.53,28.34,29.22,30.38,32.22,34.34,35.88,36.91,38.47,39.88,40.19,39.91,39.59,39.56,38.81,37.47,36.06,35.12,33.34,31.09,28.91,27.22,26.0,24.47,23.38,23.03,23.75,24.53,25.44,26.81,28.47,29.47,30.09,29.62,29.91,30.0,29.5,29.28,29.47,29.81,29.25,28.62,28.12,27.72,26.84,25.62,25.16,25.53,25.78,26.16,26.72,28.59,30.5,31.66,32.81,33.97,34.91,34.72,34.38,34.44,35.97,37.59,39.25,41.5,44.31,46.34,47.0,46.62,46.47,45.34,43.66,41.56,40.66,40.22,39.53,38.75,38.25,37.81,37.06,35.59,35.16,35.91,36.28,36.28,35.44,34.62,33.38,31.78,30.56,30.06,30.0,29.38,28.38,27.19,26.28,25.69,25.19,24.94,25.78,26.88,27.25,27.19,28.16,29.06,28.97,28.38,27.69,27.25,26.19,25.75,26.5,28.28,29.97,30.78,30.75,30.97,30.59,29.59,28.16,27.78,27.56,27.34,27.69,29.19,31.31,32.84,34.03,34.62,35.53,36.34,36.62,36.66,37.22,37.81,37.5,36.66,36.28,35.88,34.41,32.84,31.62,30.75,30.03,29.12,27.97,27.81,27.69,27.12,27.25,28.56,30.59,32.25,33.53,35.75,37.72,39.38,40.34,41.31,43.22,44.78,45.19,44.34,43.47,41.25,37.41,32.97,29.88,28.03,26.16,24.53,24.62,24.91,25.16,25.09,25.62,27.12,28.38,29.0,29.97,31.47,32.25,31.97,31.22,31.09,31.62,32.22,32.12,33.09,33.69,33.59,32.28,31.09,30.88,30.31,29.19,27.94,27.47,26.59,24.84,22.81,22.0,22.44,23.19,24.56,27.16,30.44,33.28,34.69,36.31,38.0,39.38,39.28,39.41,40.25,40.41,39.59,38.25,37.19,36.5,35.12,33.41,32.78,32.78,32.5,31.5,30.5,29.78,29.03,27.56,25.62,24.72,24.12,23.12,21.84,21.72,22.72,23.41,23.78,24.59,26.12,27.75,28.53,30.34,33.03,35.94,37.91,39.09,39.97,40.66,40.22,38.72,37.78,36.91,36.09,34.34,32.75,32.03,30.94,29.0,27.03,26.25,25.84,25.5,25.34,26.34,28.09,29.44,30.19,31.12,32.75,33.88,34.19,34.47,35.66,36.56,36.72,36.81,37.97,39.25,39.88,39.5,39.69,39.66,39.19,37.22,35.69,34.22,32.66,30.09,28.28,27.69,27.53,26.84,26.38,27.47,28.88,29.97,30.38,31.56,32.94,34.06,34.78,36.0,37.59,38.5,37.81,36.84,36.12,36.25,35.56,35.0,35.75,36.59,36.31,35.38,34.69,33.91,32.78,30.59,28.91,27.91,26.75,24.47,22.5,21.66,21.16,20.25,20.31,21.5,23.97,26.12,27.56,29.59,32.0,33.91,35.19,36.84,39.19,40.88,41.41,41.34,41.81,42.5,42.38,42.06,42.84,43.47,43.62,42.62,41.22,39.59,37.44,33.56,30.25,28.06,26.5,24.75,24.03,24.62,26.03,26.84,27.19,27.97,29.09,29.97,30.47,31.69,33.66,35.38,35.81,36.09,36.56,36.72,35.53,34.09,32.94,31.78,29.28,27.31,26.12,25.94,26.75,27.78,29.5,31.91,33.94,34.44,34.34,34.78,35.19,34.78,34.31,35.19,36.44,37.34,37.81,38.44,39.91,40.59,40.31,39.69,39.44,38.28,35.72,32.84,30.62,29.62,28.25,27.69,28.25,30.06,31.56,32.5,33.59,35.31,36.44,36.5,36.5,36.84,37.0,35.66,33.88,32.53,31.41,29.38,27.31,25.84,25.41,25.03,24.59,24.78,26.06,27.53,28.03,28.16,28.88,28.97,27.5,25.88,24.59,24.59,24.16,24.25,25.03,27.09,28.31,28.94,29.28,30.38,31.0,29.88,28.31,27.16,25.81,23.31,21.22,20.56,21.31,21.62,21.47,21.66,23.03,24.0,24.66,25.72,27.62,28.94,28.78,28.06,27.97,28.25,28.22,28.28,29.25,30.75,31.28,31.34,31.56,32.28,32.41,31.78,31.31,31.31,31.25,30.41,29.78,29.94,30.66,30.53,30.31,30.31,31.12,31.47,31.31,31.75,33.03,33.88,33.88,33.78,34.72,35.09,34.56,33.03,32.34,32.0,31.19,30.16,29.5,29.34,28.28,26.31,24.38,24.12,23.84,23.47,23.34,24.06,24.75,24.38,23.94,24.53,26.81,28.94,31.53,34.69,38.03,40.22,40.75,40.09,39.88,38.88,37.12,35.62,35.44,35.59,34.91,33.72,33.16,33.03,32.06,30.75,29.97,30.25,30.41,29.94,30.06,31.16,32.19,32.5,32.56,33.44,34.5,34.75,34.69,35.66,37.69,39.03,40.0,41.53,43.25,44.22,43.88,43.03,42.56,42.19,41.06,40.03,40.28,41.31,41.75,41.66,42.0,42.94,42.97,42.19,41.38,41.56,41.53,40.5,39.34,38.5,38.28,38.09,37.75,38.75,40.38,40.72,39.62,39.0,39.19,39.22,38.97,39.03,40.16,40.41,39.5,38.19,38.0,38.03,37.38,36.81,36.75,36.72,36.25,34.72,33.91,33.94,33.84,33.5,33.47,34.62,35.78,36.53,37.03,38.0,39.47,40.06,40.16,41.0,42.12,42.97,42.91,43.22,44.44,45.66,45.78,45.88,46.16,46.03,45.16,43.81,43.22,42.91,41.91,40.38,39.53,39.34,39.06,38.12,37.0,37.06,36.66,35.53,34.66,34.97,35.47,35.84,35.94,36.81,38.09,39.25,39.94,40.53,42.25,43.09,42.28,41.38,40.84,39.69,37.84,36.25,35.81,50.47,51.25,51.06,49.97,49.34,47.69,45.84,44.53,44.12,44.12,45.06,46.44,48.22,49.41,49.75,48.66,46.78,44.88,42.84,41.31,40.25,39.75,39.53,39.16,39.12,40.16,41.28,43.19:22.88,21.5,20.38,19.62,17.66,15.59,14.38,14.09,13.75,13.59,14.31,15.91,17.41,17.47,17.31,17.81,18.44,18.06,18.62,20.28,22.91,24.72,25.94,26.59,26.91,25.81,23.75,22.44,22.66,22.84,22.62,22.66,23.22,23.28,22.38,20.81,19.59,19.19,18.12,17.06,17.09,18.03,18.66,18.34,17.62,17.22,16.25,14.16,11.91,10.84,10.66,10.75,11.53,13.94,17.03,19.41,21.28,23.16,25.34,26.44,26.44,25.66,25.28,23.72,21.34,19.34,18.88,19.47,19.84,20.34,21.41,22.66,22.94,22.22,21.44,21.59,21.03,19.25,18.12,18.5,18.84,18.69,19.0,19.75,20.78,20.59,20.53,20.66,21.16,20.94,20.03,18.84,18.25,17.34,15.91,15.06,15.69,16.91,17.75,18.72,20.47,22.38,23.72,24.38,25.66,28.34,30.69,32.0,33.38,35.06,35.5,33.81,31.06,28.41,25.72,22.12,19.28,18.25,18.5,18.44,17.62,17.0,16.91,16.41,16.0,16.47,19.34,22.34,24.22,26.22,28.72,31.0,32.56,33.81,35.72,37.75,39.19,39.62,40.25,41.06,40.56,38.69,35.72,33.25,30.5,27.88,26.41,26.91,29.22,31.28,32.84,34.94,36.97,38.06,38.25,38.06,38.16,37.5,35.12,32.75,31.16,29.91,28.44,27.62,28.06,29.28,30.25,30.72,31.78,33.38,34.84,35.16,35.38,36.5,36.69,36.72,36.25,36.75,36.72,35.56,33.0,30.81,28.53,25.59,22.94,21.0,20.28,19.03,17.84,17.38,18.41,19.88,21.47,23.22,26.0,28.09,29.22,29.97,30.81,31.84,32.12,31.88,31.66,32.19,32.88,32.78,32.94,33.56,33.44,32.12,30.5,29.22,28.47,27.78,27.53,28.03,29.09,29.88,29.84,29.84,30.41,30.5,29.84,28.72,28.09,27.03,25.5,23.53,22.41,21.97,21.53,21.38,22.66,24.97,27.56,29.69,31.03,32.75,34.12,34.62,34.41,35.06,35.47,35.0,34.22,34.03,34.0,33.88,33.19,32.66,32.66,32.16,31.06,30.16,30.22,30.16,29.5,28.44,28.22,28.22,28.06,28.06,29.41,31.0,32.16,32.5,32.72,32.94,33.22,32.5,31.91,32.5,33.19,32.81,32.16,31.69,31.25,29.91,28.44,27.88,28.09,28.25,27.47,26.94,26.97,26.91,25.97,25.59,25.88,26.41,26.34,26.38,27.59,29.25,30.41,31.31,32.44,33.69,34.25,33.5,32.88,32.22,31.0,28.84,27.0,26.19,25.53,24.75,23.56,22.66,21.84,20.75,19.28,19.19,19.56,20.59,21.53,23.12,25.66,27.91,29.25,30.53,32.12,33.66,35.03,36.38,38.5,40.66,42.19,42.69,42.91,43.0,43.0,41.84,40.62,39.41,37.75,34.72,31.28,28.69,26.5,24.53,22.41,21.06,20.91,21.0,20.78,21.19,22.81,24.09,24.5,25.59,27.41,29.66,31.03,32.03,33.41,34.47,35.03,34.97,35.28,36.19,36.53,36.22,35.38,34.84,34.53,32.91,31.78,30.94,30.84,30.16,28.91,28.53,29.03,29.16,28.69,28.75,29.22,29.53,29.19,29.47,30.75,32.94,34.12,35.78,37.38,38.56,38.34,37.03,35.69,34.12,32.09,29.84,28.84,28.91,29.88,30.5,31.47,32.66,33.81,33.84,33.53,33.62,33.72,33.47,33.06,33.28,34.22,34.53,34.25,34.16,34.0,33.88,32.59,31.44,30.78,30.31,29.12,27.75,27.72,28.91,30.66,32.66,35.75,38.84,41.31,42.44,42.94,43.25,43.44,42.09,40.59,39.19,37.78,35.72,33.59,31.69,30.69,29.53,27.94,26.38,26.38,27.0,27.62,28.94,30.72,32.0,32.12,31.25,30.38,29.38,28.25,27.19,26.91,27.53,28.34,29.22,30.38,32.22,34.34,35.88,36.91,38.47,39.88,40.19,39.91,39.59,39.56,38.81,37.47,36.06,35.12,33.34,31.09,28.91,27.22,26.0,24.47,23.38,23.03,23.75,24.53,25.44,26.81,28.47,29.47,30.09,29.62,29.91,30.0,29.5,29.28,29.47,29.81,29.25,28.62,28.12,27.72,26.84,25.62,25.16,25.53,25.78,26.16,26.72,28.59,30.5,31.66,32.81,33.97,34.91,34.72,34.38,34.44,35.97,37.59,39.25,41.5,44.31,46.34,47.0,46.62,46.47,45.34,43.66,41.56,40.66,40.22,39.53,38.75,38.25,37.81,37.06,35.59,35.16,35.91,36.28,36.28,35.44,34.62,33.38,31.78,30.56,30.06,30.0,29.38,28.38,27.19,26.28,25.69,25.19,24.94,25.78,26.88,27.25,27.19,28.16,29.06,28.97,28.38,27.69,27.25,26.19,25.75,26.5,28.28,29.97,30.78,30.75,30.97,30.59,29.59,28.16,27.78,27.56,27.34,27.69,29.19,31.31,32.84,34.03,34.62,35.53,36.34,36.62,36.66,37.22,37.81,37.5,36.66,36.28,35.88,34.41,32.84,31.62,30.75,30.03,29.12,27.97,27.81,27.69,27.12,27.25,28.56,30.59,32.25,33.53,35.75,37.72,39.38,40.34,41.31,43.22,44.78,45.19,44.34,43.47,41.25,37.41,32.97,29.88,28.03,26.16,24.53,24.62,24.91,25.16,25.09,25.62,27.12,28.38,29.0,29.97,31.47,32.25,31.97,31.22,31.09,31.62,32.22,32.12,33.09,33.69,33.59,32.28,31.09,30.88,30.31,29.19,27.94,27.47,26.59,24.84,22.81,22.0,22.44,23.19,24.56,27.16,30.44,33.28,34.69,36.31,38.0,39.38,39.28,39.41,40.25,40.41,39.59,38.25,37.19,36.5,35.12,33.41,32.78,32.78,32.5,31.5,30.5,29.78,29.03,27.56,25.62,24.72,24.12,23.12,21.84,21.72,22.72,23.41,23.78,24.59,26.12,27.75,28.53,30.34,33.03,35.94,37.91,39.09,39.97,40.66,40.22,38.72,37.78,36.91,36.09,34.34,32.75,32.03,30.94,29.0,27.03,26.25,25.84,25.5,25.34,26.34,28.09,29.44,30.19,31.12,32.75,33.88,34.19,34.47,35.66,36.56,36.72,36.81,37.97,39.25,39.88,39.5,39.69,39.66,39.19,37.22,35.69,34.22,32.66,30.09,28.28,27.69,27.53,26.84,26.38,27.47,28.88,29.97,30.38,31.56,32.94,34.06,34.78,36.0,37.59,38.5,37.81,36.84,36.12,36.25,35.56,35.0,35.75,36.59,36.31,35.38,34.69,33.91,32.78,30.59,28.91,27.91,26.75,24.47,22.5,21.66,21.16,20.25,20.31,21.5,23.97,26.12,27.56,29.59,32.0,33.91,35.19,36.84,39.19,40.88,41.41,41.34,41.81,42.5,42.38,42.06,42.84,43.47,43.62,42.62,41.22,39.59,37.44,33.56,30.25,28.06,26.5,24.75,24.03,24.62,26.03,26.84,27.19,27.97,29.09,29.97,30.47,31.69,33.66,35.38,35.81,36.09,36.56,36.72,35.53,34.09,32.94,31.78,29.28,27.31,26.12,25.94,26.75,27.78,29.5,31.91,33.94,34.44,34.34,34.78,35.19,34.78,34.31,35.19,36.44,37.34,37.81,38.44,39.91,40.59,40.31,39.69,39.44,38.28,35.72,32.84,30.62,29.62,28.25,27.69,28.25,30.06,31.56,32.5,33.59,35.31,36.44,36.5,36.5,36.84,37.0,35.66,33.88,32.53,31.41,29.38,27.31,25.84,25.41,25.03,24.59,24.78,26.06,27.53,28.03,28.16,28.88,28.97,27.5,25.88,24.59,24.59,24.16,24.25,25.03,27.09,28.31,28.94,29.28,30.38,31.0,29.88,28.31,27.16,25.81,23.31,21.22,20.56,21.31,21.62,21.47,21.66,23.03,24.0,24.66,25.72,27.62,28.94,28.78,28.06,27.97,28.25,28.22,28.28,29.25,30.75,31.28,31.34,31.56,32.28,32.41,31.78,31.31,31.31,31.25,30.41,29.78,29.94,30.66,30.53,30.31,30.31,31.12,31.47,31.31,31.75,33.03,33.88,33.88,33.78,34.72,35.09,34.56,33.03,32.34,32.0,31.19,30.16,29.5,29.34,28.28,26.31,24.38,24.12,23.84,23.47,23.34,24.06,24.75,24.38,23.94,24.53,26.81,28.94,31.53,34.69,38.03,40.22,40.75,40.09,39.88,38.88,37.12,35.62,35.44,35.59,34.91,33.72,33.16,33.03,32.06,30.75,29.97,30.25,30.41,29.94,30.06,31.16,32.19,32.5,32.56,33.44,34.5,34.75,34.69,35.66,37.69,39.03,40.0,41.53,43.25,44.22,43.88,43.03,42.56,42.19,41.06,40.03,40.28,41.31,41.75,41.66,42.0,42.94,42.97,42.19,41.38,41.56,41.53,40.5,39.34,38.5,38.28,38.09,37.75,38.75,40.38,40.72,39.62,39.0,39.19,39.22,38.97,39.03,40.16,40.41,39.5,38.19,38.0,38.03,37.38,36.81,36.75,36.72,36.25,34.72,33.91,33.94,33.84,33.5,33.47,34.62,35.78,36.53,37.03,38.0,39.47,40.06,40.16,41.0,42.12,42.97,42.91,43.22,44.44,45.66,45.78,45.88,46.16,46.03,45.16,43.81,43.22,42.91,41.91,40.38,39.53,39.34,39.06,38.12,37.0,37.06,36.66,35.53,34.66,34.97,35.47,35.84,35.94,36.81,38.09,39.25,39.94,40.53,42.25,43.09,42.28,41.38,40.84,39.69,37.84,36.25,35.81,50.47,51.25,51.06,49.97,49.34,47.69,45.84,44.53,44.12,44.12,45.06,46.44,48.22,49.41,49.75,48.66,46.78,44.88,42.84,41.31,40.25,39.75,39.53,39.16,39.12,40.16,41.28,43.19,45.41,47.66,49.62,50.84,51.12,50.56,49.31:14.09,13.75,13.59,14.31,15.91,17.41,17.47,17.31,17.81,18.44,18.06,18.62,20.28,22.91,24.72,25.94,26.59,26.91,25.81,23.75,22.44,22.66,22.84,22.62,22.66,23.22,23.28,22.38,20.81,19.59,19.19,18.12,17.06,17.09,18.03,18.66,18.34,17.62,17.22,16.25,14.16,11.91,10.84,10.66,10.75,11.53,13.94,17.03,19.41,21.28,23.16,25.34,26.44,26.44,25.66,25.28,23.72,21.34,19.34,18.88,19.47,19.84,20.34,21.41,22.66,22.94,22.22,21.44,21.59,21.03,19.25,18.12,18.5,18.84,18.69,19.0,19.75,20.78,20.59,20.53,20.66,21.16,20.94,20.03,18.84,18.25,17.34,15.91,15.06,15.69,16.91,17.75,18.72,20.47,22.38,23.72,24.38,25.66,28.34,30.69,32.0,33.38,35.06,35.5,33.81,31.06,28.41,25.72,22.12,19.28,18.25,18.5,18.44,17.62,17.0,16.91,16.41,16.0,16.47,19.34,22.34,24.22,26.22,28.72,31.0,32.56,33.81,35.72,37.75,39.19,39.62,40.25,41.06,40.56,38.69,35.72,33.25,30.5,27.88,26.41,26.91,29.22,31.28,32.84,34.94,36.97,38.06,38.25,38.06,38.16,37.5,35.12,32.75,31.16,29.91,28.44,27.62,28.06,29.28,30.25,30.72,31.78,33.38,34.84,35.16,35.38,36.5,36.69,36.72,36.25,36.75,36.72,35.56,33.0,30.81,28.53,25.59,22.94,21.0,20.28,19.03,17.84,17.38,18.41,19.88,21.47,23.22,26.0,28.09,29.22,29.97,30.81,31.84,32.12,31.88,31.66,32.19,32.88,32.78,32.94,33.56,33.44,32.12,30.5,29.22,28.47,27.78,27.53,28.03,29.09,29.88,29.84,29.84,30.41,30.5,29.84,28.72,28.09,27.03,25.5,23.53,22.41,21.97,21.53,21.38,22.66,24.97,27.56,29.69,31.03,32.75,34.12,34.62,34.41,35.06,35.47,35.0,34.22,34.03,34.0,33.88,33.19,32.66,32.66,32.16,31.06,30.16,30.22,30.16,29.5,28.44,28.22,28.22,28.06,28.06,29.41,31.0,32.16,32.5,32.72,32.94,33.22,32.5,31.91,32.5,33.19,32.81,32.16,31.69,31.25,29.91,28.44,27.88,28.09,28.25,27.47,26.94,26.97,26.91,25.97,25.59,25.88,26.41,26.34,26.38,27.59,29.25,30.41,31.31,32.44,33.69,34.25,33.5,32.88,32.22,31.0,28.84,27.0,26.19,25.53,24.75,23.56,22.66,21.84,20.75,19.28,19.19,19.56,20.59,21.53,23.12,25.66,27.91,29.25,30.53,32.12,33.66,35.03,36.38,38.5,40.66,42.19,42.69,42.91,43.0,43.0,41.84,40.62,39.41,37.75,34.72,31.28,28.69,26.5,24.53,22.41,21.06,20.91,21.0,20.78,21.19,22.81,24.09,24.5,25.59,27.41,29.66,31.03,32.03,33.41,34.47,35.03,34.97,35.28,36.19,36.53,36.22,35.38,34.84,34.53,32.91,31.78,30.94,30.84,30.16,28.91,28.53,29.03,29.16,28.69,28.75,29.22,29.53,29.19,29.47,30.75,32.94,34.12,35.78,37.38,38.56,38.34,37.03,35.69,34.12,32.09,29.84,28.84,28.91,29.88,30.5,31.47,32.66,33.81,33.84,33.53,33.62,33.72,33.47,33.06,33.28,34.22,34.53,34.25,34.16,34.0,33.88,32.59,31.44,30.78,30.31,29.12,27.75,27.72,28.91,30.66,32.66,35.75,38.84,41.31,42.44,42.94,43.25,43.44,42.09,40.59,39.19,37.78,35.72,33.59,31.69,30.69,29.53,27.94,26.38,26.38,27.0,27.62,28.94,30.72,32.0,32.12,31.25,30.38,29.38,28.25,27.19,26.91,27.53,28.34,29.22,30.38,32.22,34.34,35.88,36.91,38.47,39.88,40.19,39.91,39.59,39.56,38.81,37.47,36.06,35.12,33.34,31.09,28.91,27.22,26.0,24.47,23.38,23.03,23.75,24.53,25.44,26.81,28.47,29.47,30.09,29.62,29.91,30.0,29.5,29.28,29.47,29.81,29.25,28.62,28.12,27.72,26.84,25.62,25.16,25.53,25.78,26.16,26.72,28.59,30.5,31.66,32.81,33.97,34.91,34.72,34.38,34.44,35.97,37.59,39.25,41.5,44.31,46.34,47.0,46.62,46.47,45.34,43.66,41.56,40.66,40.22,39.53,38.75,38.25,37.81,37.06,35.59,35.16,35.91,36.28,36.28,35.44,34.62,33.38,31.78,30.56,30.06,30.0,29.38,28.38,27.19,26.28,25.69,25.19,24.94,25.78,26.88,27.25,27.19,28.16,29.06,28.97,28.38,27.69,27.25,26.19,25.75,26.5,28.28,29.97,30.78,30.75,30.97,30.59,29.59,28.16,27.78,27.56,27.34,27.69,29.19,31.31,32.84,34.03,34.62,35.53,36.34,36.62,36.66,37.22,37.81,37.5,36.66,36.28,35.88,34.41,32.84,31.62,30.75,30.03,29.12,27.97,27.81,27.69,27.12,27.25,28.56,30.59,32.25,33.53,35.75,37.72,39.38,40.34,41.31,43.22,44.78,45.19,44.34,43.47,41.25,37.41,32.97,29.88,28.03,26.16,24.53,24.62,24.91,25.16,25.09,25.62,27.12,28.38,29.0,29.97,31.47,32.25,31.97,31.22,31.09,31.62,32.22,32.12,33.09,33.69,33.59,32.28,31.09,30.88,30.31,29.19,27.94,27.47,26.59,24.84,22.81,22.0,22.44,23.19,24.56,27.16,30.44,33.28,34.69,36.31,38.0,39.38,39.28,39.41,40.25,40.41,39.59,38.25,37.19,36.5,35.12,33.41,32.78,32.78,32.5,31.5,30.5,29.78,29.03,27.56,25.62,24.72,24.12,23.12,21.84,21.72,22.72,23.41,23.78,24.59,26.12,27.75,28.53,30.34,33.03,35.94,37.91,39.09,39.97,40.66,40.22,38.72,37.78,36.91,36.09,34.34,32.75,32.03,30.94,29.0,27.03,26.25,25.84,25.5,25.34,26.34,28.09,29.44,30.19,31.12,32.75,33.88,34.19,34.47,35.66,36.56,36.72,36.81,37.97,39.25,39.88,39.5,39.69,39.66,39.19,37.22,35.69,34.22,32.66,30.09,28.28,27.69,27.53,26.84,26.38,27.47,28.88,29.97,30.38,31.56,32.94,34.06,34.78,36.0,37.59,38.5,37.81,36.84,36.12,36.25,35.56,35.0,35.75,36.59,36.31,35.38,34.69,33.91,32.78,30.59,28.91,27.91,26.75,24.47,22.5,21.66,21.16,20.25,20.31,21.5,23.97,26.12,27.56,29.59,32.0,33.91,35.19,36.84,39.19,40.88,41.41,41.34,41.81,42.5,42.38,42.06,42.84,43.47,43.62,42.62,41.22,39.59,37.44,33.56,30.25,28.06,26.5,24.75,24.03,24.62,26.03,26.84,27.19,27.97,29.09,29.97,30.47,31.69,33.66,35.38,35.81,36.09,36.56,36.72,35.53,34.09,32.94,31.78,29.28,27.31,26.12,25.94,26.75,27.78,29.5,31.91,33.94,34.44,34.34,34.78,35.19,34.78,34.31,35.19,36.44,37.34,37.81,38.44,39.91,40.59,40.31,39.69,39.44,38.28,35.72,32.84,30.62,29.62,28.25,27.69,28.25,30.06,31.56,32.5,33.59,35.31,36.44,36.5,36.5,36.84,37.0,35.66,33.88,32.53,31.41,29.38,27.31,25.84,25.41,25.03,24.59,24.78,26.06,27.53,28.03,28.16,28.88,28.97,27.5,25.88,24.59,24.59,24.16,24.25,25.03,27.09,28.31,28.94,29.28,30.38,31.0,29.88,28.31,27.16,25.81,23.31,21.22,20.56,21.31,21.62,21.47,21.66,23.03,24.0,24.66,25.72,27.62,28.94,28.78,28.06,27.97,28.25,28.22,28.28,29.25,30.75,31.28,31.34,31.56,32.28,32.41,31.78,31.31,31.31,31.25,30.41,29.78,29.94,30.66,30.53,30.31,30.31,31.12,31.47,31.31,31.75,33.03,33.88,33.88,33.78,34.72,35.09,34.56,33.03,32.34,32.0,31.19,30.16,29.5,29.34,28.28,26.31,24.38,24.12,23.84,23.47,23.34,24.06,24.75,24.38,23.94,24.53,26.81,28.94,31.53,34.69,38.03,40.22,40.75,40.09,39.88,38.88,37.12,35.62,35.44,35.59,34.91,33.72,33.16,33.03,32.06,30.75,29.97,30.25,30.41,29.94,30.06,31.16,32.19,32.5,32.56,33.44,34.5,34.75,34.69,35.66,37.69,39.03,40.0,41.53,43.25,44.22,43.88,43.03,42.56,42.19,41.06,40.03,40.28,41.31,41.75,41.66,42.0,42.94,42.97,42.19,41.38,41.56,41.53,40.5,39.34,38.5,38.28,38.09,37.75,38.75,40.38,40.72,39.62,39.0,39.19,39.22,38.97,39.03,40.16,40.41,39.5,38.19,38.0,38.03,37.38,36.81,36.75,36.72,36.25,34.72,33.91,33.94,33.84,33.5,33.47,34.62,35.78,36.53,37.03,38.0,39.47,40.06,40.16,41.0,42.12,42.97,42.91,43.22,44.44,45.66,45.78,45.88,46.16,46.03,45.16,43.81,43.22,42.91,41.91,40.38,39.53,39.34,39.06,38.12,37.0,37.06,36.66,35.53,34.66,34.97,35.47,35.84,35.94,36.81,38.09,39.25,39.94,40.53,42.25,43.09,42.28,41.38,40.84,39.69,37.84,36.25,35.81,50.47,51.25,51.06,49.97,49.34,47.69,45.84,44.53,44.12,44.12,45.06,46.44,48.22,49.41,49.75,48.66,46.78,44.88,42.84,41.31,40.25,39.75,39.53,39.16,39.12,40.16,41.28,43.19,45.41,47.66,49.62,50.84,51.12,50.56,49.31,47.31,45.5,43.81,42.16,40.62,38.94,37.56:positivity
-18.59,-16.38,-13.5,-12.34,-10.38,-5.34,0.88,5.44,9.44,14.44,20.09,23.25,22.75,22.16,21.94,19.69,14.47,9.38,6.38,3.69,-1.09,-5.25,-6.94,-6.88,-7.94,-9.69,-9.19,-7.06,-6.06,-6.78,-6.22,-3.75,-2.0,-2.16,-2.19,-0.03,2.28,2.25,1.62,2.44,4.38,4.59,3.94,4.5,7.19,8.38,7.03,5.91,6.5,6.41,3.84,0.81,-0.19,-0.91,-4.03,-8.09,-10.16,-9.88,-9.97,-9.84,-7.72,-2.94,0.47,1.44,2.62,5.41,8.0,8.25,8.44,10.09,12.25,12.41,11.47,11.75,12.69,11.72,9.0,6.94,6.69,5.97,3.47,1.41,1.69,2.62,2.12,1.97,4.5,8.53,11.56,13.34,15.66,19.12,20.28,18.5,16.66,16.47,15.66,12.16,8.91,7.66,7.38,5.19,3.0,2.88,4.12,3.62,1.94,1.38,2.97,4.03,3.19,2.94,4.78,6.47,5.47,4.06,4.53,5.78,4.75,3.41,3.59,5.0,5.44,4.03,3.5,4.28,3.69,-0.03,-4.44,-6.69,-8.53,-11.19,-13.0,-11.06,-7.0,-3.34,-0.62,3.25,8.22,10.47,9.56,7.72,7.41,5.81,2.19,-1.0,-0.72,0.88,1.19,1.28,2.75,5.06,5.22,3.88,3.47,4.72,5.12,3.0,0.59,0.34,0.12,-2.06,-4.22,-2.72,0.03,1.19,1.91,3.66,6.78,7.88,7.41,8.12,10.62,12.38,11.78,11.16,12.12,12.88,11.19,8.44,8.5,9.41,9.31,8.0,8.47,10.19,9.88,7.91,6.47,7.59,8.03,6.62,4.88,6.06,7.81,7.38,6.06,6.47,7.53,6.81,4.69,4.25,5.34,5.16,2.44,-1.06,-2.81,-5.28,-9.97,-14.44,-15.47,-14.41,-13.69,-12.59,-8.66,-2.47,2.25,5.09,8.81,13.5,16.81,17.31,17.19,19.16,20.5,19.06,16.81,16.31,16.03,13.97,10.62,9.31,9.59,8.69,5.78,3.47,2.81,1.75,-0.97,-2.44,-0.72,2.19,3.66,4.62,7.75,11.75,14.16,14.94,16.31,18.88,19.62,17.34,14.91,13.78,11.84,7.97,4.44,3.56,4.91,5.12,4.62,6.44,9.16,9.81,7.88,6.31,6.09,5.28,2.06,-0.03,0.62,1.78,1.03,0.44,2.28,5.19,6.62,6.66,8.19,10.78,11.53,9.25,7.16,6.53,5.22,1.78,-1.25,-1.12,-0.09,-1.09,-2.22,-0.44,2.56,4.41,4.5,6.12,9.09,10.19,8.41,7.0,7.59,8.03,6.53,5.41,6.94,9.25,9.34,8.34,8.78,10.28,10.22,8.5,8.03,9.62,10.25,8.0,6.41,6.59,6.44,3.97,1.56,1.38,2.0,0.75,-1.88,-2.88,-2.22,-2.62,-4.28,-4.22,-1.62,0.94,0.88,0.94,2.59,3.69,1.75,-1.34,-2.09,-1.66,-2.5,-4.59,-4.75,-3.16,-2.28,-3.66,-3.72,-1.34,1.06,1.16,1.56,4.41,7.66,7.97,6.75,6.34,6.09,3.88,0.19,-1.75,-1.41,-1.06,-2.56,-2.59,0.25,3.75,5.22,6.62,10.19,14.16,15.38,14.66,15.16,16.12,14.94,11.62,9.69,8.88,7.97,4.31,1.03,0.16,0.25,-1.44,-2.38,-0.34,2.75,3.97,3.12,3.44,4.91,4.91,2.94,2.44,4.97,7.28,7.47,7.88,10.22,12.03,10.44,7.69,6.41,6.62,5.22,2.78,2.12,3.5,4.09,2.44,1.41,2.56,3.28,1.28,-1.0,-0.94,0.09,-1.25,-3.31,-3.41,-1.69,-0.91,-1.12,0.81,4.91,8.41,8.41,8.31,9.44,10.03,7.62,4.66,4.06,4.5,3.28,1.56,1.69,3.72,4.03,2.16,0.38,0.31,-0.72,-4.41,-7.56,-7.28,-5.34,-5.22,-4.38,-1.16,3.06,5.09,5.69,7.41,10.75,12.41,10.84,9.19,8.66,7.09,2.84,-0.88,-0.97,1.38,3.38,5.62,10.28,15.84,18.38,17.97,17.91,19.62,20.25,19.16,19.16,21.38,23.16,21.5,18.69,17.22,15.75,11.78,6.69,3.53,2.25,0.5,-2.19,-3.16,-1.31,0.06,-0.44,-0.94,1.62,4.59,5.62,6.81,10.0,13.91,14.94,13.78,12.78,12.75,10.72,6.75,3.53,3.09,2.84,0.97,-0.66,0.62,2.81,3.22,3.28,4.62,7.28,7.75,5.91,4.66,5.19,4.53,2.09,0.47,2.0,3.53,3.22,2.19,3.16,4.34,2.91,0.25,-0.66,0.16,-0.53,-2.53,-3.25,-1.84,-0.97,-2.22,-3.41,-2.16,-0.88,-2.09,-4.38,-4.09,-2.75,-2.84,-3.47,-1.88,2.16,4.69,5.31,6.47,9.31,11.12,10.25,9.22,10.31,11.66,10.78,8.69,9.12,10.5,10.19,8.5,8.22,9.81,10.06,8.38,8.19,10.78,13.69,15.09,16.25,19.06,21.31,20.53,17.84,16.62,16.78,15.56,13.0,11.22,11.62,11.41,9.12,7.31,8.44,9.78,8.84,7.34,8.41,9.94,9.22,6.72,5.31,4.91,3.31,0.38,-0.78,1.53,3.78,4.62,5.53,8.88,11.84,12.25,11.31,11.69,12.75,11.72,9.72,9.38,11.16,12.03,10.78,9.53,10.38,10.44,8.25,5.94,6.25,7.41,7.25,6.03,6.91,9.19,10.03,8.94,9.09,10.69,11.41,9.59,8.59,10.69,13.47,14.12,14.03,15.84,17.0,15.28,12.09,10.38,10.5,10.0,8.5,8.5,10.84,12.41,11.34,10.38,11.53,12.25,11.28,9.94,10.91,13.31,14.03,13.41,14.0,15.31,15.31,12.44,10.41,10.59,10.97,8.84,6.84,7.31,7.91,7.34,6.16,7.81,10.91,13.16,13.47,14.94,17.41,18.78,17.34,16.03,16.56,17.03,14.78,12.31,12.19,13.12,13.03,12.59,14.19,16.88,17.91,16.19,14.62,15.19,15.16,13.53,12.81,14.84,17.5,17.91,17.69,19.0,20.69,20.19,18.09,17.56,18.62,19.16,18.25,18.09,20.06,21.75,20.56,18.88,18.69,18.97,16.22,12.72,11.31,11.66,10.94,9.06,9.5,11.66,12.53,10.94,9.44,9.5,9.69,8.03,6.81,7.88,10.06,10.03,8.25,8.38,9.78,10.75,10.16,11.59,15.5,19.06,19.72,20.12,21.84,23.38,21.78,19.59,19.69,20.59,19.56,17.56,16.94,17.78,17.84,16.09,15.53,17.69,19.53,19.09,18.44,19.5,21.06,19.97,18.03,17.94,18.88,18.0,15.84,15.0,16.19,16.81,15.41,14.81,15.97,17.62,16.34,14.97,15.19,16.09,15.03,12.12,10.31,10.03,8.28,5.62,5.31,8.19,11.19,12.47,14.88,19.69,24.97,28.06,30.53,33.72,36.56,36.44,33.84,32.47,32.22,30.72,27.72,25.31,25.22,24.56,21.47,18.16,16.91,16.19,13.91,11.62,11.53,13.69,14.38,13.78,13.94,15.72,16.06,13.78,12.09,12.94,13.78,12.56,11.22,11.59,12.66,11.81,10.5,10.72,12.38,12.78,11.56,11.31,13.31,15.5,15.59,16.12,18.81,21.38,21.19,19.66,19.38,19.91,18.19,15.03,13.75,14.34,14.19,12.38,11.31,12.25,12.75,10.75,8.44,8.59,9.56,9.0,8.0,9.22,12.19,13.09,12.5,13.53,16.44,18.53,18.72,19.81,23.03,26.5,27.84,28.47,30.44,32.09,30.72,27.06,24.09,22.31,19.06,14.62,11.38,10.5,9.69,7.31,5.28,5.94,7.53,6.84,5.25,6.12,7.81,7.56,6.28,5.88,7.34,7.66,6.78,6.59,8.88,10.59,10.16,9.44,10.78,12.78,12.84,12.28,13.56,16.0,16.94,15.66,15.12,16.22,15.75,13.19,10.53,10.31,10.16,7.97,6.06,7.03,9.62,11.0,11.75,13.97,17.53,19.75,20.0,20.69,23.34,24.81,24.06,22.56,23.16,23.97,22.69,20.72,20.5,20.84,19.09,15.69,14.0,14.12,13.78,12.38,11.94,14.0,15.66,15.53,15.31,17.75,20.59,20.84,19.69,19.25,19.16,16.59,12.75,10.25,9.59,8.88,6.16,4.06,4.19,4.12,2.03,0.12,1.12,3.69,4.91,5.75,7.94,11.22,12.38,11.56,10.97,12.0,12.28,10.12,7.59,7.22,6.34,3.25,-0.38,-1.53,-1.12,-2.0,-4.0,-4.38,-2.97,-2.97,-4.72,-5.12,-2.84,0.16,1.53,3.16,7.03,11.03,12.72,12.75,14.81,17.84,19.16,18.78,19.28,21.31,22.0,20.34,18.81,19.69,20.78,19.38,17.56,18.03,19.28,18.97,18.28,20.03,22.97,24.69,24.0,24.06,25.44,26.19,24.56,23.53,25.12,27.06,26.5,24.72,24.47,24.28,22.34,19.0,17.81,18.78,18.91,17.41,16.41,17.31,17.62,15.66,13.69,14.06,15.5,14.94,14.28,16.22,19.5,21.59,21.97,23.38,26.44,28.25,28.03,28.0,30.22,32.09,31.12,29.97,30.69,31.56,30.03,27.19,26.06,25.91,24.5,21.56,19.72,19.59,19.28,16.53,14.25,14.12,14.16,12.59,10.41,11.03,13.31,14.81,15.38,18.41,23.06,26.66,26.94,27.69,29.78,30.88,29.5,27.88,28.22,28.91,26.62,23.5,22.09,21.81,20.59,18.31,18.19,20.66,22.56,21.97,22.31,24.44,26.19,24.81,22.94,22.91,23.34,21.62,19.06,18.56,20.0,20.0,18.38,18.12,19.53,20.75,19.25,18.22,19.28,20.69,19.66,18.34,19.44,21.34,21.22,19.41,18.44,18.44,17.0,13.34,10.84,11.25,11.81,10.5,10.16,12.25,15.0,15.34,14.56,15.34,16.81,16.59,14.66,13.94,15.31,16.12,14.69,13.56,15.0,16.28:5.44,9.44,14.44,20.09,23.25,22.75,22.16,21.94,19.69,14.47,9.38,6.38,3.69,-1.09,-5.25,-6.94,-6.88,-7.94,-9.69,-9.19,-7.06,-6.06,-6.78,-6.22,-3.75,-2.0,-2.16,-2.19,-0.03,2.28,2.25,1.62,2.44,4.38,4.59,3.94,4.5,7.19,8.38,7.03,5.91,6.5,6.41,3.84,0.81,-0.19,-0.91,-4.03,-8.09,-10.16,-9.88,-9.97,-9.84,-7.72,-2.94,0.47,1.44,2.62,5.41,8.0,8.25,8.44,10.09,12.25,12.41,11.47,11.75,12.69,11.72,9.0,6.94,6.69,5.97,3.47,1.41,1.69,2.62,2.12,1.97,4.5,8.53,11.56,13.34,15.66,19.12,20.28,18.5,16.66,16.47,15.66,12.16,8.91,7.66,7.38,5.19,3.0,2.88,4.12,3.62,1.94,1.38,2.97,4.03,3.19,2.94,4.78,6.47,5.47,4.06,4.53,5.78,4.75,3.41,3.59,5.0,5.44,4.03,3.5,4.28,3.69,-0.03,-4.44,-6.69,-8.53,-11.19,-13.0,-11.06,-7.0,-3.34,-0.62,3.25,8.22,10.47,9.56,7.72,7.41,5.81,2.19,-1.0,-0.72,0.88,1.19,1.28,2.75,5.06,5.22,3.88,3.47,4.72,5.12,3.0,0.59,0.34,0.12,-2.06,-4.22,-2.72,0.03,1.19,1.91,3.66,6.78,7.88,7.41,8.12,10.62,12.38,11.78,11.16,12.12,12.88,11.19,8.44,8.5,9.41,9.31,8.0,8.47,10.19,9.88,7.91,6.47,7.59,8.03,6.62,4.88,6.06,7.81,7.38,6.06,6.47,7.53,6.81,4.69,4.25,5.34,5.16,2.44,-1.06,-2.81,-5.28,-9.97,-14.44,-15.47,-14.41,-13.69,-12.59,-8.66,-2.47,2.25,5.09,8.81,13.5,16.81,17.31,17.19,19.16,20.5,19.06,16.81,16.31,16.03,13.97,10.62,9.31,9.59,8.69,5.78,3.47,2.81,1.75,-0.97,-2.44,-0.72,2.19,3.66,4.62,7.75,11.75,14.16,14.94,16.31,18.88,19.62,17.34,14.91,13.78,11.84,7.97,4.44,3.56,4.91,5.12,4.62,6.44,9.16,9.81,7.88,6.31,6.09,5.28,2.06,-0.03,0.62,1.78,1.03,0.44,2.28,5.19,6.62,6.66,8.19,10.78,11.53,9.25,7.16,6.53,5.22,1.78,-1.25,-1.12,-0.09,-1.09,-2.22,-0.44,2.56,4.41,4.5,6.12,9.09,10.19,8.41,7.0,7.59,8.03,6.53,5.41,6.94,9.25,9.34,8.34,8.78,10.28,10.22,8.5,8.03,9.62,10.25,8.0,6.41,6.59,6.44,3.97,1.56,1.38,2.0,0.75,-1.88,-2.88,-2.22,-2.62,-4.28,-4.22,-1.62,0.94,0.88,0.94,2.59,3.69,1.75,-1.34,-2.09,-1.66,-2.5,-4.59,-4.75,-3.16,-2.28,-3.66,-3.72,-1.34,1.06,1.16,1.56,4.41,7.66,7.97,6.75,6.34,6.09,3.88,0.19,-1.75,-1.41,-1.06,-2.56,-2.59,0.25,3.75,5.22,6.62,10.19,14.16,15.38,14.66,15.16,16.12,14.94,11.62,9.69,8.88,7.97,4.31,1.03,0.16,0.25,-1.44,-2.38,-0.34,2.75,3.97,3.12,3.44,4.91,4.91,2.94,2.44,4.97,7.28,7.47,7.88,10.22,12.03,10.44,7.69,6.41,6.62,5.22,2.78,2.12,3.5,4.09,2.44,1.41,2.56,3.28,1.28,-1.0,-0.94,0.09,-1.25,-3.31,-3.41,-1.69,-0.91,-1.12,0.81,4.91,8.41,8.41,8.31,9.44,10.03,7.62,4.66,4.06,4.5,3.28,1.56,1.69,3.72,4.03,2.16,0.38,0.31,-0.72,-4.41,-7.56,-7.28,-5.34,-5.22,-4.38,-1.16,3.06,5.09,5.69,7.41,10.75,12.41,10.84,9.19,8.66,7.09,2.84,-0.88,-0.97,1.38,3.38,5.62,10.28,15.84,18.38,17.97,17.91,19.62,20.25,19.16,19.16,21.38,23.16,21.5,18.69,17.22,15.75,11.78,6.69,3.53,2.25,0.5,-2.19,-3.16,-1.31,0.06,-0.44,-0.94,1.62,4.59,5.62,6.81,10.0,13.91,14.94,13.78,12.78,12.75,10.72,6.75,3.53,3.09,2.84,0.97,-0.66,0.62,2.81,3.22,3.28,4.62,7.28,7.75,5.91,4.66,5.19,4.53,2.09,0.47,2.0,3.53,3.22,2.19,3.16,4.34,2.91,0.25,-0.66,0.16,-0.53,-2.53,-3.25,-1.84,-0.97,-2.22,-3.41,-2.16,-0.88,-2.09,-4.38,-4.09,-2.75,-2.84,-3.47,-1.88,2.16,4.69,5.31,6.47,9.31,11.12,10.25,9.22,10.31,11.66,10.78,8.69,9.12,10.5,10.19,8.5,8.22,9.81,10.06,8.38,8.19,10.78,13.69,15.09,16.25,19.06,21.31,20.53,17.84,16.62,16.78,15.56,13.0,11.22,11.62,11.41,9.12,7.31,8.44,9.78,8.84,7.34,8.41,9.94,9.22,6.72,5.31,4.91,3.31,0.38,-0.78,1.53,3.78,4.62,5.53,8.88,11.84,12.25,11.31,11.69,12.75,11.72,9.72,9.38,11.16,12.03,10.78,9.53,10.38,10.44,8.25,5.94,6.25,7.41,7.25,6.03,6.91,9.19,10.03,8.94,9.09,10.69,11.41,9.59,8.59,10.69,13.47,14.12,14.03,15.84,17.0,15.28,12.09,10.38,10.5,10.0,8.5,8.5,10.84,12.41,11.34,10.38,11.53,12.25,11.28,9.94,10.91,13.31,14.03,13.41,14.0,15.31,15.31,12.44,10.41,10.59,10.97,8.84,6.84,7.31,7.91,7.34,6.16,7.81,10.91,13.16,13.47,14.94,17.41,18.78,17.34,16.03,16.56,17.03,14.78,12.31,12.19,13.12,13.03,12.59,14.19,16.88,17.91,16.19,14.62,15.19,15.16,13.53,12.81,14.84,17.5,17.91,17.69,19.0,20.69,20.19,18.09,17.56,18.62,19.16,18.25,18.09,20.06,21.75,20.56,18.88,18.69,18.97,16.22,12.72,11.31,11.66,10.94,9.06,9.5,11.66,12.53,10.94,9.44,9.5,9.69,8.03,6.81,7.88,10.06,10.03,8.25,8.38,9.78,10.75,10.16,11.59,15.5,19.06,19.72,20.12,21.84,23.38,21.78,19.59,19.69,20.59,19.56,17.56,16.94,17.78,17.84,16.09,15.53,17.69,19.53,19.09,18.44,19.5,21.06,19.97,18.03,17.94,18.88,18.0,15.84,15.0,16.19,16.81,15.41,14.81,15.97,17.62,16.34,14.97,15.19,16.09,15.03,12.12,10.31,10.03,8.28,5.62,5.31,8.19,11.19,12.47,14.88,19.69,24.97,28.06,30.53,33.72,36.56,36.44,33.84,32.47,32.22,30.72,27.72,25.31,25.22,24.56,21.47,18.16,16.91,16.19,13.91,11.62,11.53,13.69,14.38,13.78,13.94,15.72,16.06,13.78,12.09,12.94,13.78,12.56,11.22,11.59,12.66,11.81,10.5,10.72,12.38,12.78,11.56,11.31,13.31,15.5,15.59,16.12,18.81,21.38,21.19,19.66,19.38,19.91,18.19,15.03,13.75,14.34,14.19,12.38,11.31,12.25,12.75,10.75,8.44,8.59,9.56,9.0,8.0,9.22,12.19,13.09,12.5,13.53,16.44,18.53,18.72,19.81,23.03,26.5,27.84,28.47,30.44,32.09,30.72,27.06,24.09,22.31,19.06,14.62,11.38,10.5,9.69,7.31,5.28,5.94,7.53,6.84,5.25,6.12,7.81,7.56,6.28,5.88,7.34,7.66,6.78,6.59,8.88,10.59,10.16,9.44,10.78,12.78,12.84,12.28,13.56,16.0,16.94,15.66,15.12,16.22,15.75,13.19,10.53,10.31,10.16,7.97,6.06,7.03,9.62,11.0,11.75,13.97,17.53,19.75,20.0,20.69,23.34,24.81,24.06,22.56,23.16,23.97,22.69,20.72,20.5,20.84,19.09,15.69,14.0,14.12,13.78,12.38,11.94,14.0,15.66,15.53,15.31,17.75,20.59,20.84,19.69,19.25,19.16,16.59,12.75,10.25,9.59,8.88,6.16,4.06,4.19,4.12,2.03,0.12,1.12,3.69,4.91,5.75,7.94,11.22,12.38,11.56,10.97,12.0,12.28,10.12,7.59,7.22,6.34,3.25,-0.38,-1.53,-1.12,-2.0,-4.0,-4.38,-2.97,-2.97,-4.72,-5.12,-2.84,0.16,1.53,3.16,7.03,11.03,12.72,12.75,14.81,17.84,19.16,18.78,19.28,21.31,22.0,20.34,18.81,19.69,20.78,19.38,17.56,18.03,19.28,18.97,18.28,20.03,22.97,24.69,24.0,24.06,25.44,26.19,24.56,23.53,25.12,27.06,26.5,24.72,24.47,24.28,22.34,19.0,17.81,18.78,18.91,17.41,16.41,17.31,17.62,15.66,13.69,14.06,15.5,14.94,14.28,16.22,19.5,21.59,21.97,23.38,26.44,28.25,28.03,28.0,30.22,32.09,31.12,29.97,30.69,31.56,30.03,27.19,26.06,25.91,24.5,21.56,19.72,19.59,19.28,16.53,14.25,14.12,14.16,12.59,10.41,11.03,13.31,14.81,15.38,18.41,23.06,26.66,26.94,27.69,29.78,30.88,29.5,27.88,28.22,28.91,26.62,23.5,22.09,21.81,20.59,18.31,18.19,20.66,22.56,21.97,22.31,24.44,26.19,24.81,22.94,22.91,23.34,21.62,19.06,18.56,20.0,20.0,18.38,18.12,19.53,20.75,19.25,18.22,19.28,20.69,19.66,18.34,19.44,21.34,21.22,19.41,18.44,18.44,17.0,13.34,10.84,11.25,11.81,10.5,10.16,12.25,15.0,15.34,14.56,15.34,16.81,16.59,14.66,13.94,15.31,16.12,14.69,13.56,15.0,16.28,12.09,14.25,17.31,19.66,22.66,27.41,32.5:21.94,19.69,14.47,9.38,6.38,3.69,-1.09,-5.25,-6.94,-6.88,-7.94,-9.69,-9.19,-7.06,-6.06,-6.78,-6.22,-3.75,-2.0,-2.16,-2.19,-0.03,2.28,2.25,1.62,2.44,4.38,4.59,3.94,4.5,7.19,8.38,7.03,5.91,6.5,6.41,3.84,0.81,-0.19,-0.91,-4.03,-8.09,-10.16,-9.88,-9.97,-9.84,-7.72,-2.94,0.47,1.44,2.62,5.41,8.0,8.25,8.44,10.09,12.25,12.41,11.47,11.75,12.69,11.72,9.0,6.94,6.69,5.97,3.47,1.41,1.69,2.62,2.12,1.97,4.5,8.53,11.56,13.34,15.66,19.12,20.28,18.5,16.66,16.47,15.66,12.16,8.91,7.66,7.38,5.19,3.0,2.88,4.12,3.62,1.94,1.38,2.97,4.03,3.19,2.94,4.78,6.47,5.47,4.06,4.53,5.78,4.75,3.41,3.59,5.0,5.44,4.03,3.5,4.28,3.69,-0.03,-4.44,-6.69,-8.53,-11.19,-13.0,-11.06,-7.0,-3.34,-0.62,3.25,8.22,10.47,9.56,7.72,7.41,5.81,2.19,-1.0,-0.72,0.88,1.19,1.28,2.75,5.06,5.22,3.88,3.47,4.72,5.12,3.0,0.59,0.34,0.12,-2.06,-4.22,-2.72,0.03,1.19,1.91,3.66,6.78,7.88,7.41,8.12,10.62,12.38,11.78,11.16,12.12,12.88,11.19,8.44,8.5,9.41,9.31,8.0,8.47,10.19,9.88,7.91,6.47,7.59,8.03,6.62,4.88,6.06,7.81,7.38,6.06,6.47,7.53,6.81,4.69,4.25,5.34,5.16,2.44,-1.06,-2.81,-5.28,-9.97,-14.44,-15.47,-14.41,-13.69,-12.59,-8.66,-2.47,2.25,5.09,8.81,13.5,16.81,17.31,17.19,19.16,20.5,19.06,16.81,16.31,16.03,13.97,10.62,9.31,9.59,8.69,5.78,3.47,2.81,1.75,-0.97,-2.44,-0.72,2.19,3.66,4.62,7.75,11.75,14.16,14.94,16.31,18.88,19.62,17.34,14.91,13.78,11.84,7.97,4.44,3.56,4.91,5.12,4.62,6.44,9.16,9.81,7.88,6.31,6.09,5.28,2.06,-0.03,0.62,1.78,1.03,0.44,2.28,5.19,6.62,6.66,8.19,10.78,11.53,9.25,7.16,6.53,5.22,1.78,-1.25,-1.12,-0.09,-1.09,-2.22,-0.44,2.56,4.41,4.5,6.12,9.09,10.19,8.41,7.0,7.59,8.03,6.53,5.41,6.94,9.25,9.34,8.34,8.78,10.28,10.22,8.5,8.03,9.62,10.25,8.0,6.41,6.59,6.44,3.97,1.56,1.38,2.0,0.75,-1.88,-2.88,-2.22,-2.62,-4.28,-4.22,-1.62,0.94,0.88,0.94,2.59,3.69,1.75,-1.34,-2.09,-1.66,-2.5,-4.59,-4.75,-3.16,-2.28,-3.66,-3.72,-1.34,1.06,1.16,1.56,4.41,7.66,7.97,6.75,6.34,6.09,3.88,0.19,-1.75,-1.41,-1.06,-2.56,-2.59,0.25,3.75,5.22,6.62,10.19,14.16,15.38,14.66,15.16,16.12,14.94,11.62,9.69,8.88,7.97,4.31,1.03,0.16,0.25,-1.44,-2.38,-0.34,2.75,3.97,3.12,3.44,4.91,4.91,2.94,2.44,4.97,7.28,7.47,7.88,10.22,12.03,10.44,7.69,6.41,6.62,5.22,2.78,2.12,3.5,4.09,2.44,1.41,2.56,3.28,1.28,-1.0,-0.94,0.09,-1.25,-3.31,-3.41,-1.69,-0.91,-1.12,0.81,4.91,8.41,8.41,8.31,9.44,10.03,7.62,4.66,4.06,4.5,3.28,1.56,1.69,3.72,4.03,2.16,0.38,0.31,-0.72,-4.41,-7.56,-7.28,-5.34,-5.22,-4.38,-1.16,3.06,5.09,5.69,7.41,10.75,12.41,10.84,9.19,8.66,7.09,2.84,-0.88,-0.97,1.38,3.38,5.62,10.28,15.84,18.38,17.97,17.91,19.62,20.25,19.16,19.16,21.38,23.16,21.5,18.69,17.22,15.75,11.78,6.69,3.53,2.25,0.5,-2.19,-3.16,-1.31,0.06,-0.44,-0.94,1.62,4.59,5.62,6.81,10.0,13.91,14.94,13.78,12.78,12.75,10.72,6.75,3.53,3.09,2.84,0.97,-0.66,0.62,2.81,3.22,3.28,4.62,7.28,7.75,5.91,4.66,5.19,4.53,2.09,0.47,2.0,3.53,3.22,2.19,3.16,4.34,2.91,0.25,-0.66,0.16,-0.53,-2.53,-3.25,-1.84,-0.97,-2.22,-3.41,-2.16,-0.88,-2.09,-4.38,-4.09,-2.75,-2.84,-3.47,-1.88,2.16,4.69,5.31,6.47,9.31,11.12,10.25,9.22,10.31,11.66,10.78,8.69,9.12,10.5,10.19,8.5,8.22,9.81,10.06,8.38,8.19,10.78,13.69,15.09,16.25,19.06,21.31,20.53,17.84,16.62,16.78,15.56,13.0,11.22,11.62,11.41,9.12,7.31,8.44,9.78,8.84,7.34,8.41,9.94,9.22,6.72,5.31,4.91,3.31,0.38,-0.78,1.53,3.78,4.62,5.53,8.88,11.84,12.25,11.31,11.69,12.75,11.72,9.72,9.38,11.16,12.03,10.78,9.53,10.38,10.44,8.25,5.94,6.25,7.41,7.25,6.03,6.91,9.19,10.03,8.94,9.09,10.69,11.41,9.59,8.59,10.69,13.47,14.12,14.03,15.84,17.0,15.28,12.09,10.38,10.5,10.0,8.5,8.5,10.84,12.41,11.34,10.38,11.53,12.25,11.28,9.94,10.91,13.31,14.03,13.41,14.0,15.31,15.31,12.44,10.41,10.59,10.97,8.84,6.84,7.31,7.91,7.34,6.16,7.81,10.91,13.16,13.47,14.94,17.41,18.78,17.34,16.03,16.56,17.03,14.78,12.31,12.19,13.12,13.03,12.59,14.19,16.88,17.91,16.19,14.62,15.19,15.16,13.53,12.81,14.84,17.5,17.91,17.69,19.0,20.69,20.19,18.09,17.56,18.62,19.16,18.25,18.09,20.06,21.75,20.56,18.88,18.69,18.97,16.22,12.72,11.31,11.66,10.94,9.06,9.5,11.66,12.53,10.94,9.44,9.5,9.69,8.03,6.81,7.88,10.06,10.03,8.25,8.38,9.78,10.75,10.16,11.59,15.5,19.06,19.72,20.12,21.84,23.38,21.78,19.59,19.69,20.59,19.56,17.56,16.94,17.78,17.84,16.09,15.53,17.69,19.53,19.09,18.44,19.5,21.06,19.97,18.03,17.94,18.88,18.0,15.84,15.0,16.19,16.81,15.41,14.81,15.97,17.62,16.34,14.97,15.19,16.09,15.03,12.12,10.31,10.03,8.28,5.62,5.31,8.19,11.19,12.47,14.88,19.69,24.97,28.06,30.53,33.72,36.56,36.44,33.84,32.47,32.22,30.72,27.72,25.31,25.22,24.56,21.47,18.16,16.91,16.19,13.91,11.62,11.53,13.69,14.38,13.78,13.94,15.72,16.06,13.78,12.09,12.94,13.78,12.56,11.22,11.59,12.66,11.81,10.5,10.72,12.38,12.78,11.56,11.31,13.31,15.5,15.59,16.12,18.81,21.38,21.19,19.66,19.38,19.91,18.19,15.03,13.75,14.34,14.19,12.38,11.31,12.25,12.75,10.75,8.44,8.59,9.56,9.0,8.0,9.22,12.19,13.09,12.5,13.53,16.44,18.53,18.72,19.81,23.03,26.5,27.84,28.47,30.44,32.09,30.72,27.06,24.09,22.31,19.06,14.62,11.38,10.5,9.69,7.31,5.28,5.94,7.53,6.84,5.25,6.12,7.81,7.56,6.28,5.88,7.34,7.66,6.78,6.59,8.88,10.59,10.16,9.44,10.78,12.78,12.84,12.28,13.56,16.0,16.94,15.66,15.12,16.22,15.75,13.19,10.53,10.31,10.16,7.97,6.06,7.03,9.62,11.0,11.75,13.97,17.53,19.75,20.0,20.69,23.34,24.81,24.06,22.56,23.16,23.97,22.69,20.72,20.5,20.84,19.09,15.69,14.0,14.12,13.78,12.38,11.94,14.0,15.66,15.53,15.31,17.75,20.59,20.84,19.69,19.25,19.16,16.59,12.75,10.25,9.59,8.88,6.16,4.06,4.19,4.12,2.03,0.12,1.12,3.69,4.91,5.75,7.94,11.22,12.38,11.56,10.97,12.0,12.28,10.12,7.59,7.22,6.34,3.25,-0.38,-1.53,-1.12,-2.0,-4.0,-4.38,-2.97,-2.97,-4.72,-5.12,-2.84,0.16,1.53,3.16,7.03,11.03,12.72,12.75,14.81,17.84,19.16,18.78,19.28,21.31,22.0,20.34,18.81,19.69,20.78,19.38,17.56,18.03,19.28,18.97,18.28,20.03,22.97,24.69,24.0,24.06,25.44,26.19,24.56,23.53,25.12,27.06,26.5,24.72,24.47,24.28,22.34,19.0,17.81,18.78,18.91,17.41,16.41,17.31,17.62,15.66,13.69,14.06,15.5,14.94,14.28,16.22,19.5,21.59,21.97,23.38,26.44,28.25,28.03,28.0,30.22,32.09,31.12,29.97,30.69,31.56,30.03,27.19,26.06,25.91,24.5,21.56,19.72,19.59,19.28,16.53,14.25,14.12,14.16,12.59,10.41,11.03,13.31,14.81,15.38,18.41,23.06,26.66,26.94,27.69,29.78,30.88,29.5,27.88,28.22,28.91,26.62,23.5,22.09,21.81,20.59,18.31,18.19,20.66,22.56,21.97,22.31,24.44,26.19,24.81,22.94,22.91,23.34,21.62,19.06,18.56,20.0,20.0,18.38,18.12,19.53,20.75,19.25,18.22,19.28,20.69,19.66,18.34,19.44,21.34,21.22,19.41,18.44,18.44,17.0,13.34,10.84,11.25,11.81,10.5,10.16,12.25,15.0,15.34,14.56,15.34,16.81,16.59,14.66,13.94,15.31,16.12,14.69,13.56,15.0,16.28,12.09,14.25,17.31,19.66,22.66,27.41,32.5,36.28,39.44,43.28,47.25,49.31,48.94,48.09:-5.25,-6.94,-6.88,-7.94,-9.69,-9.19,-7.06,-6.06,-6.78,-6.22,-3.75,-2.0,-2.16,-2.19,-0.03,2.28,2.25,1.62,2.44,4.38,4.59,3.94,4.5,7.19,8.38,7.03,5.91,6.5,6.41,3.84,0.81,-0.19,-0.91,-4.03,-8.09,-10.16,-9.88,-9.97,-9.84,-7.72,-2.94,0.47,1.44,2.62,5.41,8.0,8.25,8.44,10.09,12.25,12.41,11.47,11.75,12.69,11.72,9.0,6.94,6.69,5.97,3.47,1.41,1.69,2.62,2.12,1.97,4.5,8.53,11.56,13.34,15.66,19.12,20.28,18.5,16.66,16.47,15.66,12.16,8.91,7.66,7.38,5.19,3.0,2.88,4.12,3.62,1.94,1.38,2.97,4.03,3.19,2.94,4.78,6.47,5.47,4.06,4.53,5.78,4.75,3.41,3.59,5.0,5.44,4.03,3.5,4.28,3.69,-0.03,-4.44,-6.69,-8.53,-11.19,-13.0,-11.06,-7.0,-3.34,-0.62,3.25,8.22,10.47,9.56,7.72,7.41,5.81,2.19,-1.0,-0.72,0.88,1.19,1.28,2.75,5.06,5.22,3.88,3.47,4.72,5.12,3.0,0.59,0.34,0.12,-2.06,-4.22,-2.72,0.03,1.19,1.91,3.66,6.78,7.88,7.41,8.12,10.62,12.38,11.78,11.16,12.12,12.88,11.19,8.44,8.5,9.41,9.31,8.0,8.47,10.19,9.88,7.91,6.47,7.59,8.03,6.62,4.88,6.06,7.81,7.38,6.06,6.47,7.53,6.81,4.69,4.25,5.34,5.16,2.44,-1.06,-2.81,-5.28,-9.97,-14.44,-15.47,-14.41,-13.69,-12.59,-8.66,-2.47,2.25,5.09,8.81,13.5,16.81,17.31,17.19,19.16,20.5,19.06,16.81,16.31,16.03,13.97,10.62,9.31,9.59,8.69,5.78,3.47,2.81,1.75,-0.97,-2.44,-0.72,2.19,3.66,4.62,7.75,11.75,14.16,14.94,16.31,18.88,19.62,17.34,14.91,13.78,11.84,7.97,4.44,3.56,4.91,5.12,4.62,6.44,9.16,9.81,7.88,6.31,6.09,5.28,2.06,-0.03,0.62,1.78,1.03,0.44,2.28,5.19,6.62,6.66,8.19,10.78,11.53,9.25,7.16,6.53,5.22,1.78,-1.25,-1.12,-0.09,-1.09,-2.22,-0.44,2.56,4.41,4.5,6.12,9.09,10.19,8.41,7.0,7.59,8.03,6.53,5.41,6.94,9.25,9.34,8.34,8.78,10.28,10.22,8.5,8.03,9.62,10.25,8.0,6.41,6.59,6.44,3.97,1.56,1.38,2.0,0.75,-1.88,-2.88,-2.22,-2.62,-4.28,-4.22,-1.62,0.94,0.88,0.94,2.59,3.69,1.75,-1.34,-2.09,-1.66,-2.5,-4.59,-4.75,-3.16,-2.28,-3.66,-3.72,-1.34,1.06,1.16,1.56,4.41,7.66,7.97,6.75,6.34,6.09,3.88,0.19,-1.75,-1.41,-1.06,-2.56,-2.59,0.25,3.75,5.22,6.62,10.19,14.16,15.38,14.66,15.16,16.12,14.94,11.62,9.69,8.88,7.97,4.31,1.03,0.16,0.25,-1.44,-2.38,-0.34,2.75,3.97,3.12,3.44,4.91,4.91,2.94,2.44,4.97,7.28,7.47,7.88,10.22,12.03,10.44,7.69,6.41,6.62,5.22,2.78,2.12,3.5,4.09,2.44,1.41,2.56,3.28,1.28,-1.0,-0.94,0.09,-1.25,-3.31,-3.41,-1.69,-0.91,-1.12,0.81,4.91,8.41,8.41,8.31,9.44,10.03,7.62,4.66,4.06,4.5,3.28,1.56,1.69,3.72,4.03,2.16,0.38,0.31,-0.72,-4.41,-7.56,-7.28,-5.34,-5.22,-4.38,-1.16,3.06,5.09,5.69,7.41,10.75,12.41,10.84,9.19,8.66,7.09,2.84,-0.88,-0.97,1.38,3.38,5.62,10.28,15.84,18.38,17.97,17.91,19.62,20.25,19.16,19.16,21.38,23.16,21.5,18.69,17.22,15.75,11.78,6.69,3.53,2.25,0.5,-2.19,-3.16,-1.31,0.06,-0.44,-0.94,1.62,4.59,5.62,6.81,10.0,13.91,14.94,13.78,12.78,12.75,10.72,6.75,3.53,3.09,2.84,0.97,-0.66,0.62,2.81,3.22,3.28,4.62,7.28,7.75,5.91,4.66,5.19,4.53,2.09,0.47,2.0,3.53,3.22,2.19,3.16,4.34,2.91,0.25,-0.66,0.16,-0.53,-2.53,-3.25,-1.84,-0.97,-2.22,-3.41,-2.16,-0.88,-2.09,-4.38,-4.09,-2.75,-2.84,-3.47,-1.88,2.16,4.69,5.31,6.47,9.31,11.12,10.25,9.22,10.31,11.66,10.78,8.69,9.12,10.5,10.19,8.5,8.22,9.81,10.06,8.38,8.19,10.78,13.69,15.09,16.25,19.06,21.31,20.53,17.84,16.62,16.78,15.56,13.0,11.22,11.62,11.41,9.12,7.31,8.44,9.78,8.84,7.34,8.41,9.94,9.22,6.72,5.31,4.91,3.31,0.38,-0.78,1.53,3.78,4.62,5.53,8.88,11.84,12.25,11.31,11.69,12.75,11.72,9.72,9.38,11.16,12.03,10.78,9.53,10.38,10.44,8.25,5.94,6.25,7.41,7.25,6.03,6.91,9.19,10.03,8.94,9.09,10.69,11.41,9.59,8.59,10.69,13.47,14.12,14.03,15.84,17.0,15.28,12.09,10.38,10.5,10.0,8.5,8.5,10.84,12.41,11.34,10.38,11.53,12.25,11.28,9.94,10.91,13.31,14.03,13.41,14.0,15.31,15.31,12.44,10.41,10.59,10.97,8.84,6.84,7.31,7.91,7.34,6.16,7.81,10.91,13.16,13.47,14.94,17.41,18.78,17.34,16.03,16.56,17.03,14.78,12.31,12.19,13.12,13.03,12.59,14.19,16.88,17.91,16.19,14.62,15.19,15.16,13.53,12.81,14.84,17.5,17.91,17.69,19.0,20.69,20.19,18.09,17.56,18.62,19.16,18.25,18.09,20.06,21.75,20.56,18.88,18.69,18.97,16.22,12.72,11.31,11.66,10.94,9.06,9.5,11.66,12.53,10.94,9.44,9.5,9.69,8.03,6.81,7.88,10.06,10.03,8.25,8.38,9.78,10.75,10.16,11.59,15.5,19.06,19.72,20.12,21.84,23.38,21.78,19.59,19.69,20.59,19.56,17.56,16.94,17.78,17.84,16.09,15.53,17.69,19.53,19.09,18.44,19.5,21.06,19.97,18.03,17.94,18.88,18.0,15.84,15.0,16.19,16.81,15.41,14.81,15.97,17.62,16.34,14.97,15.19,16.09,15.03,12.12,10.31,10.03,8.28,5.62,5.31,8.19,11.19,12.47,14.88,19.69,24.97,28.06,30.53,33.72,36.56,36.44,33.84,32.47,32.22,30.72,27.72,25.31,25.22,24.56,21.47,18.16,16.91,16.19,13.91,11.62,11.53,13.69,14.38,13.78,13.94,15.72,16.06,13.78,12.09,12.94,13.78,12.56,11.22,11.59,12.66,11.81,10.5,10.72,12.38,12.78,11.56,11.31,13.31,15.5,15.59,16.12,18.81,21.38,21.19,19.66,19.38,19.91,18.19,15.03,13.75,14.34,14.19,12.38,11.31,12.25,12.75,10.75,8.44,8.59,9.56,9.0,8.0,9.22,12.19,13.09,12.5,13.53,16.44,18.53,18.72,19.81,23.03,26.5,27.84,28.47,30.44,32.09,30.72,27.06,24.09,22.31,19.06,14.62,11.38,10.5,9.69,7.31,5.28,5.94,7.53,6.84,5.25,6.12,7.81,7.56,6.28,5.88,7.34,7.66,6.78,6.59,8.88,10.59,10.16,9.44,10.78,12.78,12.84,12.28,13.56,16.0,16.94,15.66,15.12,16.22,15.75,13.19,10.53,10.31,10.16,7.97,6.06,7.03,9.62,11.0,11.75,13.97,17.53,19.75,20.0,20.69,23.34,24.81,24.06,22.56,23.16,23.97,22.69,20.72,20.5,20.84,19.09,15.69,14.0,14.12,13.78,12.38,11.94,14.0,15.66,15.53,15.31,17.75,20.59,20.84,19.69,19.25,19.16,16.59,12.75,10.25,9.59,8.88,6.16,4.06,4.19,4.12,2.03,0.12,1.12,3.69,4.91,5.75,7.94,11.22,12.38,11.56,10.97,12.0,12.28,10.12,7.59,7.22,6.34,3.25,-0.38,-1.53,-1.12,-2.0,-4.0,-4.38,-2.97,-2.97,-4.72,-5.12,-2.84,0.16,1.53,3.16,7.03,11.03,12.72,12.75,14.81,17.84,19.16,18.78,19.28,21.31,22.0,20.34,18.81,19.69,20.78,19.38,17.56,18.03,19.28,18.97,18.28,20.03,22.97,24.69,24.0,24.06,25.44,26.19,24.56,23.53,25.12,27.06,26.5,24.72,24.47,24.28,22.34,19.0,17.81,18.78,18.91,17.41,16.41,17.31,17.62,15.66,13.69,14.06,15.5,14.94,14.28,16.22,19.5,21.59,21.97,23.38,26.44,28.25,28.03,28.0,30.22,32.09,31.12,29.97,30.69,31.56,30.03,27.19,26.06,25.91,24.5,21.56,19.72,19.59,19.28,16.53,14.25,14.12,14.16,12.59,10.41,11.03,13.31,14.81,15.38,18.41,23.06,26.66,26.94,27.69,29.78,30.88,29.5,27.88,28.22,28.91,26.62,23.5,22.09,21.81,20.59,18.31,18.19,20.66,22.56,21.97,22.31,24.44,26.19,24.81,22.94,22.91,23.34,21.62,19.06,18.56,20.0,20.0,18.38,18.12,19.53,20.75,19.25,18.22,19.28,20.69,19.66,18.34,19.44,21.34,21.22,19.41,18.44,18.44,17.0,13.34,10.84,11.25,11.81,10.5,10.16,12.25,15.0,15.34,14.56,15.34,16.81,16.59,14.66,13.94,15.31,16.12,14.69,13.56,15.0,16.28,12.09,14.25,17.31,19.66,22.66,27.41,32.5,36.28,39.44,43.28,47.25,49.31,48.94,48.09,47.03,44.25,39.69,34.97,31.69,28.84,25.19:-6.06,-6.78,-6.22,-3.75,-2.0,-2.16,-2.19,-0.03,2.28,2.25,1.62,2.44,4.38,4.59,3.94,4.5,7.19,8.38,7.03,5.91,6.5,6.41,3.84,0.81,-0.19,-0.91,-4.03,-8.09,-10.16,-9.88,-9.97,-9.84,-7.72,-2.94,0.47,1.44,2.62,5.41,8.0,8.25,8.44,10.09,12.25,12.41,11.47,11.75,12.69,11.72,9.0,6.94,6.69,5.97,3.47,1.41,1.69,2.62,2.12,1.97,4.5,8.53,11.56,13.34,15.66,19.12,20.28,18.5,16.66,16.47,15.66,12.16,8.91,7.66,7.38,5.19,3.0,2.88,4.12,3.62,1.94,1.38,2.97,4.03,3.19,2.94,4.78,6.47,5.47,4.06,4.53,5.78,4.75,3.41,3.59,5.0,5.44,4.03,3.5,4.28,3.69,-0.03,-4.44,-6.69,-8.53,-11.19,-13.0,-11.06,-7.0,-3.34,-0.62,3.25,8.22,10.47,9.56,7.72,7.41,5.81,2.19,-1.0,-0.72,0.88,1.19,1.28,2.75,5.06,5.22,3.88,3.47,4.72,5.12,3.0,0.59,0.34,0.12,-2.06,-4.22,-2.72,0.03,1.19,1.91,3.66,6.78,7.88,7.41,8.12,10.62,12.38,11.78,11.16,12.12,12.88,11.19,8.44,8.5,9.41,9.31,8.0,8.47,10.19,9.88,7.91,6.47,7.59,8.03,6.62,4.88,6.06,7.81,7.38,6.06,6.47,7.53,6.81,4.69,4.25,5.34,5.16,2.44,-1.06,-2.81,-5.28,-9.97,-14.44,-15.47,-14.41,-13.69,-12.59,-8.66,-2.47,2.25,5.09,8.81,13.5,16.81,17.31,17.19,19.16,20.5,19.06,16.81,16.31,16.03,13.97,10.62,9.31,9.59,8.69,5.78,3.47,2.81,1.75,-0.97,-2.44,-0.72,2.19,3.66,4.62,7.75,11.75,14.16,14.94,16.31,18.88,19.62,17.34,14.91,13.78,11.84,7.97,4.44,3.56,4.91,5.12,4.62,6.44,9.16,9.81,7.88,6.31,6.09,5.28,2.06,-0.03,0.62,1.78,1.03,0.44,2.28,5.19,6.62,6.66,8.19,10.78,11.53,9.25,7.16,6.53,5.22,1.78,-1.25,-1.12,-0.09,-1.09,-2.22,-0.44,2.56,4.41,4.5,6.12,9.09,10.19,8.41,7.0,7.59,8.03,6.53,5.41,6.94,9.25,9.34,8.34,8.78,10.28,10.22,8.5,8.03,9.62,10.25,8.0,6.41,6.59,6.44,3.97,1.56,1.38,2.0,0.75,-1.88,-2.88,-2.22,-2.62,-4.28,-4.22,-1.62,0.94,0.88,0.94,2.59,3.69,1.75,-1.34,-2.09,-1.66,-2.5,-4.59,-4.75,-3.16,-2.28,-3.66,-3.72,-1.34,1.06,1.16,1.56,4.41,7.66,7.97,6.75,6.34,6.09,3.88,0.19,-1.75,-1.41,-1.06,-2.56,-2.59,0.25,3.75,5.22,6.62,10.19,14.16,15.38,14.66,15.16,16.12,14.94,11.62,9.69,8.88,7.97,4.31,1.03,0.16,0.25,-1.44,-2.38,-0.34,2.75,3.97,3.12,3.44,4.91,4.91,2.94,2.44,4.97,7.28,7.47,7.88,10.22,12.03,10.44,7.69,6.41,6.62,5.22,2.78,2.12,3.5,4.09,2.44,1.41,2.56,3.28,1.28,-1.0,-0.94,0.09,-1.25,-3.31,-3.41,-1.69,-0.91,-1.12,0.81,4.91,8.41,8.41,8.31,9.44,10.03,7.62,4.66,4.06,4.5,3.28,1.56,1.69,3.72,4.03,2.16,0.38,0.31,-0.72,-4.41,-7.56,-7.28,-5.34,-5.22,-4.38,-1.16,3.06,5.09,5.69,7.41,10.75,12.41,10.84,9.19,8.66,7.09,2.84,-0.88,-0.97,1.38,3.38,5.62,10.28,15.84,18.38,17.97,17.91,19.62,20.25,19.16,19.16,21.38,23.16,21.5,18.69,17.22,15.75,11.78,6.69,3.53,2.25,0.5,-2.19,-3.16,-1.31,0.06,-0.44,-0.94,1.62,4.59,5.62,6.81,10.0,13.91,14.94,13.78,12.78,12.75,10.72,6.75,3.53,3.09,2.84,0.97,-0.66,0.62,2.81,3.22,3.28,4.62,7.28,7.75,5.91,4.66,5.19,4.53,2.09,0.47,2.0,3.53,3.22,2.19,3.16,4.34,2.91,0.25,-0.66,0.16,-0.53,-2.53,-3.25,-1.84,-0.97,-2.22,-3.41,-2.16,-0.88,-2.09,-4.38,-4.09,-2.75,-2.84,-3.47,-1.88,2.16,4.69,5.31,6.47,9.31,11.12,10.25,9.22,10.31,11.66,10.78,8.69,9.12,10.5,10.19,8.5,8.22,9.81,10.06,8.38,8.19,10.78,13.69,15.09,16.25,19.06,21.31,20.53,17.84,16.62,16.78,15.56,13.0,11.22,11.62,11.41,9.12,7.31,8.44,9.78,8.84,7.34,8.41,9.94,9.22,6.72,5.31,4.91,3.31,0.38,-0.78,1.53,3.78,4.62,5.53,8.88,11.84,12.25,11.31,11.69,12.75,11.72,9.72,9.38,11.16,12.03,10.78,9.53,10.38,10.44,8.25,5.94,6.25,7.41,7.25,6.03,6.91,9.19,10.03,8.94,9.09,10.69,11.41,9.59,8.59,10.69,13.47,14.12,14.03,15.84,17.0,15.28,12.09,10.38,10.5,10.0,8.5,8.5,10.84,12.41,11.34,10.38,11.53,12.25,11.28,9.94,10.91,13.31,14.03,13.41,14.0,15.31,15.31,12.44,10.41,10.59,10.97,8.84,6.84,7.31,7.91,7.34,6.16,7.81,10.91,13.16,13.47,14.94,17.41,18.78,17.34,16.03,16.56,17.03,14.78,12.31,12.19,13.12,13.03,12.59,14.19,16.88,17.91,16.19,14.62,15.19,15.16,13.53,12.81,14.84,17.5,17.91,17.69,19.0,20.69,20.19,18.09,17.56,18.62,19.16,18.25,18.09,20.06,21.75,20.56,18.88,18.69,18.97,16.22,12.72,11.31,11.66,10.94,9.06,9.5,11.66,12.53,10.94,9.44,9.5,9.69,8.03,6.81,7.88,10.06,10.03,8.25,8.38,9.78,10.75,10.16,11.59,15.5,19.06,19.72,20.12,21.84,23.38,21.78,19.59,19.69,20.59,19.56,17.56,16.94,17.78,17.84,16.09,15.53,17.69,19.53,19.09,18.44,19.5,21.06,19.97,18.03,17.94,18.88,18.0,15.84,15.0,16.19,16.81,15.41,14.81,15.97,17.62,16.34,14.97,15.19,16.09,15.03,12.12,10.31,10.03,8.28,5.62,5.31,8.19,11.19,12.47,14.88,19.69,24.97,28.06,30.53,33.72,36.56,36.44,33.84,32.47,32.22,30.72,27.72,25.31,25.22,24.56,21.47,18.16,16.91,16.19,13.91,11.62,11.53,13.69,14.38,13.78,13.94,15.72,16.06,13.78,12.09,12.94,13.78,12.56,11.22,11.59,12.66,11.81,10.5,10.72,12.38,12.78,11.56,11.31,13.31,15.5,15.59,16.12,18.81,21.38,21.19,19.66,19.38,19.91,18.19,15.03,13.75,14.34,14.19,12.38,11.31,12.25,12.75,10.75,8.44,8.59,9.56,9.0,8.0,9.22,12.19,13.09,12.5,13.53,16.44,18.53,18.72,19.81,23.03,26.5,27.84,28.47,30.44,32.09,30.72,27.06,24.09,22.31,19.06,14.62,11.38,10.5,9.69,7.31,5.28,5.94,7.53,6.84,5.25,6.12,7.81,7.56,6.28,5.88,7.34,7.66,6.78,6.59,8.88,10.59,10.16,9.44,10.78,12.78,12.84,12.28,13.56,16.0,16.94,15.66,15.12,16.22,15.75,13.19,10.53,10.31,10.16,7.97,6.06,7.03,9.62,11.0,11.75,13.97,17.53,19.75,20.0,20.69,23.34,24.81,24.06,22.56,23.16,23.97,22.69,20.72,20.5,20.84,19.09,15.69,14.0,14.12,13.78,12.38,11.94,14.0,15.66,15.53,15.31,17.75,20.59,20.84,19.69,19.25,19.16,16.59,12.75,10.25,9.59,8.88,6.16,4.06,4.19,4.12,2.03,0.12,1.12,3.69,4.91,5.75,7.94,11.22,12.38,11.56,10.97,12.0,12.28,10.12,7.59,7.22,6.34,3.25,-0.38,-1.53,-1.12,-2.0,-4.0,-4.38,-2.97,-2.97,-4.72,-5.12,-2.84,0.16,1.53,3.16,7.03,11.03,12.72,12.75,14.81,17.84,19.16,18.78,19.28,21.31,22.0,20.34,18.81,19.69,20.78,19.38,17.56,18.03,19.28,18.97,18.28,20.03,22.97,24.69,24.0,24.06,25.44,26.19,24.56,23.53,25.12,27.06,26.5,24.72,24.47,24.28,22.34,19.0,17.81,18.78,18.91,17.41,16.41,17.31,17.62,15.66,13.69,14.06,15.5,14.94,14.28,16.22,19.5,21.59,21.97,23.38,26.44,28.25,28.03,28.0,30.22,32.09,31.12,29.97,30.69,31.56,30.03,27.19,26.06,25.91,24.5,21.56,19.72,19.59,19.28,16.53,14.25,14.12,14.16,12.59,10.41,11.03,13.31,14.81,15.38,18.41,23.06,26.66,26.94,27.69,29.78,30.88,29.5,27.88,28.22,28.91,26.62,23.5,22.09,21.81,20.59,18.31,18.19,20.66,22.56,21.97,22.31,24.44,26.19,24.81,22.94,22.91,23.34,21.62,19.06,18.56,20.0,20.0,18.38,18.12,19.53,20.75,19.25,18.22,19.28,20.69,19.66,18.34,19.44,21.34,21.22,19.41,18.44,18.44,17.0,13.34,10.84,11.25,11.81,10.5,10.16,12.25,15.0,15.34,14.56,15.34,16.81,16.59,14.66,13.94,15.31,16.12,14.69,13.56,15.0,16.28,12.09,14.25,17.31,19.66,22.66,27.41,32.5,36.28,39.44,43.28,47.25,49.31,48.94,48.09,47.03,44.25,39.69,34.97,31.69,28.84,25.19,22.59,22.25,23.34,23.78,23.62,24.59,26.28:-0.03,2.28,2.25,1.62,2.44,4.38,4.59,3.94,4.5,7.19,8.38,7.03,5.91,6.5,6.41,3.84,0.81,-0.19,-0.91,-4.03,-8.09,-10.16,-9.88,-9.97,-9.84,-7.72,-2.94,0.47,1.44,2.62,5.41,8.0,8.25,8.44,10.09,12.25,12.41,11.47,11.75,12.69,11.72,9.0,6.94,6.69,5.97,3.47,1.41,1.69,2.62,2.12,1.97,4.5,8.53,11.56,13.34,15.66,19.12,20.28,18.5,16.66,16.47,15.66,12.16,8.91,7.66,7.38,5.19,3.0,2.88,4.12,3.62,1.94,1.38,2.97,4.03,3.19,2.94,4.78,6.47,5.47,4.06,4.53,5.78,4.75,3.41,3.59,5.0,5.44,4.03,3.5,4.28,3.69,-0.03,-4.44,-6.69,-8.53,-11.19,-13.0,-11.06,-7.0,-3.34,-0.62,3.25,8.22,10.47,9.56,7.72,7.41,5.81,2.19,-1.0,-0.72,0.88,1.19,1.28,2.75,5.06,5.22,3.88,3.47,4.72,5.12,3.0,0.59,0.34,0.12,-2.06,-4.22,-2.72,0.03,1.19,1.91,3.66,6.78,7.88,7.41,8.12,10.62,12.38,11.78,11.16,12.12,12.88,11.19,8.44,8.5,9.41,9.31,8.0,8.47,10.19,9.88,7.91,6.47,7.59,8.03,6.62,4.88,6.06,7.81,7.38,6.06,6.47,7.53,6.81,4.69,4.25,5.34,5.16,2.44,-1.06,-2.81,-5.28,-9.97,-14.44,-15.47,-14.41,-13.69,-12.59,-8.66,-2.47,2.25,5.09,8.81,13.5,16.81,17.31,17.19,19.16,20.5,19.06,16.81,16.31,16.03,13.97,10.62,9.31,9.59,8.69,5.78,3.47,2.81,1.75,-0.97,-2.44,-0.72,2.19,3.66,4.62,7.75,11.75,14.16,14.94,16.31,18.88,19.62,17.34,14.91,13.78,11.84,7.97,4.44,3.56,4.91,5.12,4.62,6.44,9.16,9.81,7.88,6.31,6.09,5.28,2.06,-0.03,0.62,1.78,1.03,0.44,2.28,5.19,6.62,6.66,8.19,10.78,11.53,9.25,7.16,6.53,5.22,1.78,-1.25,-1.12,-0.09,-1.09,-2.22,-0.44,2.56,4.41,4.5,6.12,9.09,10.19,8.41,7.0,7.59,8.03,6.53,5.41,6.94,9.25,9.34,8.34,8.78,10.28,10.22,8.5,8.03,9.62,10.25,8.0,6.41,6.59,6.44,3.97,1.56,1.38,2.0,0.75,-1.88,-2.88,-2.22,-2.62,-4.28,-4.22,-1.62,0.94,0.88,0.94,2.59,3.69,1.75,-1.34,-2.09,-1.66,-2.5,-4.59,-4.75,-3.16,-2.28,-3.66,-3.72,-1.34,1.06,1.16,1.56,4.41,7.66,7.97,6.75,6.34,6.09,3.88,0.19,-1.75,-1.41,-1.06,-2.56,-2.59,0.25,3.75,5.22,6.62,10.19,14.16,15.38,14.66,15.16,16.12,14.94,11.62,9.69,8.88,7.97,4.31,1.03,0.16,0.25,-1.44,-2.38,-0.34,2.75,3.97,3.12,3.44,4.91,4.91,2.94,2.44,4.97,7.28,7.47,7.88,10.22,12.03,10.44,7.69,6.41,6.62,5.22,2.78,2.12,3.5,4.09,2.44,1.41,2.56,3.28,1.28,-1.0,-0.94,0.09,-1.25,-3.31,-3.41,-1.69,-0.91,-1.12,0.81,4.91,8.41,8.41,8.31,9.44,10.03,7.62,4.66,4.06,4.5,3.28,1.56,1.69,3.72,4.03,2.16,0.38,0.31,-0.72,-4.41,-7.56,-7.28,-5.34,-5.22,-4.38,-1.16,3.06,5.09,5.69,7.41,10.75,12.41,10.84,9.19,8.66,7.09,2.84,-0.88,-0.97,1.38,3.38,5.62,10.28,15.84,18.38,17.97,17.91,19.62,20.25,19.16,19.16,21.38,23.16,21.5,18.69,17.22,15.75,11.78,6.69,3.53,2.25,0.5,-2.19,-3.16,-1.31,0.06,-0.44,-0.94,1.62,4.59,5.62,6.81,10.0,13.91,14.94,13.78,12.78,12.75,10.72,6.75,3.53,3.09,2.84,0.97,-0.66,0.62,2.81,3.22,3.28,4.62,7.28,7.75,5.91,4.66,5.19,4.53,2.09,0.47,2.0,3.53,3.22,2.19,3.16,4.34,2.91,0.25,-0.66,0.16,-0.53,-2.53,-3.25,-1.84,-0.97,-2.22,-3.41,-2.16,-0.88,-2.09,-4.38,-4.09,-2.75,-2.84,-3.47,-1.88,2.16,4.69,5.31,6.47,9.31,11.12,10.25,9.22,10.31,11.66,10.78,8.69,9.12,10.5,10.19,8.5,8.22,9.81,10.06,8.38,8.19,10.78,13.69,15.09,16.25,19.06,21.31,20.53,17.84,16.62,16.78,15.56,13.0,11.22,11.62,11.41,9.12,7.31,8.44,9.78,8.84,7.34,8.41,9.94,9.22,6.72,5.31,4.91,3.31,0.38,-0.78,1.53,3.78,4.62,5.53,8.88,11.84,12.25,11.31,11.69,12.75,11.72,9.72,9.38,11.16,12.03,10.78,9.53,10.38,10.44,8.25,5.94,6.25,7.41,7.25,6.03,6.91,9.19,10.03,8.94,9.09,10.69,11.41,9.59,8.59,10.69,13.47,14.12,14.03,15.84,17.0,15.28,12.09,10.38,10.5,10.0,8.5,8.5,10.84,12.41,11.34,10.38,11.53,12.25,11.28,9.94,10.91,13.31,14.03,13.41,14.0,15.31,15.31,12.44,10.41,10.59,10.97,8.84,6.84,7.31,7.91,7.34,6.16,7.81,10.91,13.16,13.47,14.94,17.41,18.78,17.34,16.03,16.56,17.03,14.78,12.31,12.19,13.12,13.03,12.59,14.19,16.88,17.91,16.19,14.62,15.19,15.16,13.53,12.81,14.84,17.5,17.91,17.69,19.0,20.69,20.19,18.09,17.56,18.62,19.16,18.25,18.09,20.06,21.75,20.56,18.88,18.69,18.97,16.22,12.72,11.31,11.66,10.94,9.06,9.5,11.66,12.53,10.94,9.44,9.5,9.69,8.03,6.81,7.88,10.06,10.03,8.25,8.38,9.78,10.75,10.16,11.59,15.5,19.06,19.72,20.12,21.84,23.38,21.78,19.59,19.69,20.59,19.56,17.56,16.94,17.78,17.84,16.09,15.53,17.69,19.53,19.09,18.44,19.5,21.06,19.97,18.03,17.94,18.88,18.0,15.84,15.0,16.19,16.81,15.41,14.81,15.97,17.62,16.34,14.97,15.19,16.09,15.03,12.12,10.31,10.03,8.28,5.62,5.31,8.19,11.19,12.47,14.88,19.69,24.97,28.06,30.53,33.72,36.56,36.44,33.84,32.47,32.22,30.72,27.72,25.31,25.22,24.56,21.47,18.16,16.91,16.19,13.91,11.62,11.53,13.69,14.38,13.78,13.94,15.72,16.06,13.78,12.09,12.94,13.78,12.56,11.22,11.59,12.66,11.81,10.5,10.72,12.38,12.78,11.56,11.31,13.31,15.5,15.59,16.12,18.81,21.38,21.19,19.66,19.38,19.91,18.19,15.03,13.75,14.34,14.19,12.38,11.31,12.25,12.75,10.75,8.44,8.59,9.56,9.0,8.0,9.22,12.19,13.09,12.5,13.53,16.44,18.53,18.72,19.81,23.03,26.5,27.84,28.47,30.44,32.09,30.72,27.06,24.09,22.31,19.06,14.62,11.38,10.5,9.69,7.31,5.28,5.94,7.53,6.84,5.25,6.12,7.81,7.56,6.28,5.88,7.34,7.66,6.78,6.59,8.88,10.59,10.16,9.44,10.78,12.78,12.84,12.28,13.56,16.0,16.94,15.66,15.12,16.22,15.75,13.19,10.53,10.31,10.16,7.97,6.06,7.03,9.62,11.0,11.75,13.97,17.53,19.75,20.0,20.69,23.34,24.81,24.06,22.56,23.16,23.97,22.69,20.72,20.5,20.84,19.09,15.69,14.0,14.12,13.78,12.38,11.94,14.0,15.66,15.53,15.31,17.75,20.59,20.84,19.69,19.25,19.16,16.59,12.75,10.25,9.59,8.88,6.16,4.06,4.19,4.12,2.03,0.12,1.12,3.69,4.91,5.75,7.94,11.22,12.38,11.56,10.97,12.0,12.28,10.12,7.59,7.22,6.34,3.25,-0.38,-1.53,-1.12,-2.0,-4.0,-4.38,-2.97,-2.97,-4.72,-5.12,-2.84,0.16,1.53,3.16,7.03,11.03,12.72,12.75,14.81,17.84,19.16,18.78,19.28,21.31,22.0,20.34,18.81,19.69,20.78,19.38,17.56,18.03,19.28,18.97,18.28,20.03,22.97,24.69,24.0,24.06,25.44,26.19,24.56,23.53,25.12,27.06,26.5,24.72,24.47,24.28,22.34,19.0,17.81,18.78,18.91,17.41,16.41,17.31,17.62,15.66,13.69,14.06,15.5,14.94,14.28,16.22,19.5,21.59,21.97,23.38,26.44,28.25,28.03,28.0,30.22,32.09,31.12,29.97,30.69,31.56,30.03,27.19,26.06,25.91,24.5,21.56,19.72,19.59,19.28,16.53,14.25,14.12,14.16,12.59,10.41,11.03,13.31,14.81,15.38,18.41,23.06,26.66,26.94,27.69,29.78,30.88,29.5,27.88,28.22,28.91,26.62,23.5,22.09,21.81,20.59,18.31,18.19,20.66,22.56,21.97,22.31,24.44,26.19,24.81,22.94,22.91,23.34,21.62,19.06,18.56,20.0,20.0,18.38,18.12,19.53,20.75,19.25,18.22,19.28,20.69,19.66,18.34,19.44,21.34,21.22,19.41,18.44,18.44,17.0,13.34,10.84,11.25,11.81,10.5,10.16,12.25,15.0,15.34,14.56,15.34,16.81,16.59,14.66,13.94,15.31,16.12,14.69,13.56,15.0,16.28,12.09,14.25,17.31,19.66,22.66,27.41,32.5,36.28,39.44,43.28,47.25,49.31,48.94,48.09,47.03,44.25,39.69,34.97,31.69,28.84,25.19,22.59,22.25,23.34,23.78,23.62,24.59,26.28,26.88,26.69,27.56,29.81,31.34,31.69,31.81:3.94,4.5,7.19,8.38,7.03,5.91,6.5,6.41,3.84,0.81,-0.19,-0.91,-4.03,-8.09,-10.16,-9.88,-9.97,-9.84,-7.72,-2.94,0.47,1.44,2.62,5.41,8.0,8.25,8.44,10.09,12.25,12.41,11.47,11.75,12.69,11.72,9.0,6.94,6.69,5.97,3.47,1.41,1.69,2.62,2.12,1.97,4.5,8.53,11.56,13.34,15.66,19.12,20.28,18.5,16.66,16.47,15.66,12.16,8.91,7.66,7.38,5.19,3.0,2.88,4.12,3.62,1.94,1.38,2.97,4.03,3.19,2.94,4.78,6.47,5.47,4.06,4.53,5.78,4.75,3.41,3.59,5.0,5.44,4.03,3.5,4.28,3.69,-0.03,-4.44,-6.69,-8.53,-11.19,-13.0,-11.06,-7.0,-3.34,-0.62,3.25,8.22,10.47,9.56,7.72,7.41,5.81,2.19,-1.0,-0.72,0.88,1.19,1.28,2.75,5.06,5.22,3.88,3.47,4.72,5.12,3.0,0.59,0.34,0.12,-2.06,-4.22,-2.72,0.03,1.19,1.91,3.66,6.78,7.88,7.41,8.12,10.62,12.38,11.78,11.16,12.12,12.88,11.19,8.44,8.5,9.41,9.31,8.0,8.47,10.19,9.88,7.91,6.47,7.59,8.03,6.62,4.88,6.06,7.81,7.38,6.06,6.47,7.53,6.81,4.69,4.25,5.34,5.16,2.44,-1.06,-2.81,-5.28,-9.97,-14.44,-15.47,-14.41,-13.69,-12.59,-8.66,-2.47,2.25,5.09,8.81,13.5,16.81,17.31,17.19,19.16,20.5,19.06,16.81,16.31,16.03,13.97,10.62,9.31,9.59,8.69,5.78,3.47,2.81,1.75,-0.97,-2.44,-0.72,2.19,3.66,4.62,7.75,11.75,14.16,14.94,16.31,18.88,19.62,17.34,14.91,13.78,11.84,7.97,4.44,3.56,4.91,5.12,4.62,6.44,9.16,9.81,7.88,6.31,6.09,5.28,2.06,-0.03,0.62,1.78,1.03,0.44,2.28,5.19,6.62,6.66,8.19,10.78,11.53,9.25,7.16,6.53,5.22,1.78,-1.25,-1.12,-0.09,-1.09,-2.22,-0.44,2.56,4.41,4.5,6.12,9.09,10.19,8.41,7.0,7.59,8.03,6.53,5.41,6.94,9.25,9.34,8.34,8.78,10.28,10.22,8.5,8.03,9.62,10.25,8.0,6.41,6.59,6.44,3.97,1.56,1.38,2.0,0.75,-1.88,-2.88,-2.22,-2.62,-4.28,-4.22,-1.62,0.94,0.88,0.94,2.59,3.69,1.75,-1.34,-2.09,-1.66,-2.5,-4.59,-4.75,-3.16,-2.28,-3.66,-3.72,-1.34,1.06,1.16,1.56,4.41,7.66,7.97,6.75,6.34,6.09,3.88,0.19,-1.75,-1.41,-1.06,-2.56,-2.59,0.25,3.75,5.22,6.62,10.19,14.16,15.38,14.66,15.16,16.12,14.94,11.62,9.69,8.88,7.97,4.31,1.03,0.16,0.25,-1.44,-2.38,-0.34,2.75,3.97,3.12,3.44,4.91,4.91,2.94,2.44,4.97,7.28,7.47,7.88,10.22,12.03,10.44,7.69,6.41,6.62,5.22,2.78,2.12,3.5,4.09,2.44,1.41,2.56,3.28,1.28,-1.0,-0.94,0.09,-1.25,-3.31,-3.41,-1.69,-0.91,-1.12,0.81,4.91,8.41,8.41,8.31,9.44,10.03,7.62,4.66,4.06,4.5,3.28,1.56,1.69,3.72,4.03,2.16,0.38,0.31,-0.72,-4.41,-7.56,-7.28,-5.34,-5.22,-4.38,-1.16,3.06,5.09,5.69,7.41,10.75,12.41,10.84,9.19,8.66,7.09,2.84,-0.88,-0.97,1.38,3.38,5.62,10.28,15.84,18.38,17.97,17.91,19.62,20.25,19.16,19.16,21.38,23.16,21.5,18.69,17.22,15.75,11.78,6.69,3.53,2.25,0.5,-2.19,-3.16,-1.31,0.06,-0.44,-0.94,1.62,4.59,5.62,6.81,10.0,13.91,14.94,13.78,12.78,12.75,10.72,6.75,3.53,3.09,2.84,0.97,-0.66,0.62,2.81,3.22,3.28,4.62,7.28,7.75,5.91,4.66,5.19,4.53,2.09,0.47,2.0,3.53,3.22,2.19,3.16,4.34,2.91,0.25,-0.66,0.16,-0.53,-2.53,-3.25,-1.84,-0.97,-2.22,-3.41,-2.16,-0.88,-2.09,-4.38,-4.09,-2.75,-2.84,-3.47,-1.88,2.16,4.69,5.31,6.47,9.31,11.12,10.25,9.22,10.31,11.66,10.78,8.69,9.12,10.5,10.19,8.5,8.22,9.81,10.06,8.38,8.19,10.78,13.69,15.09,16.25,19.06,21.31,20.53,17.84,16.62,16.78,15.56,13.0,11.22,11.62,11.41,9.12,7.31,8.44,9.78,8.84,7.34,8.41,9.94,9.22,6.72,5.31,4.91,3.31,0.38,-0.78,1.53,3.78,4.62,5.53,8.88,11.84,12.25,11.31,11.69,12.75,11.72,9.72,9.38,11.16,12.03,10.78,9.53,10.38,10.44,8.25,5.94,6.25,7.41,7.25,6.03,6.91,9.19,10.03,8.94,9.09,10.69,11.41,9.59,8.59,10.69,13.47,14.12,14.03,15.84,17.0,15.28,12.09,10.38,10.5,10.0,8.5,8.5,10.84,12.41,11.34,10.38,11.53,12.25,11.28,9.94,10.91,13.31,14.03,13.41,14.0,15.31,15.31,12.44,10.41,10.59,10.97,8.84,6.84,7.31,7.91,7.34,6.16,7.81,10.91,13.16,13.47,14.94,17.41,18.78,17.34,16.03,16.56,17.03,14.78,12.31,12.19,13.12,13.03,12.59,14.19,16.88,17.91,16.19,14.62,15.19,15.16,13.53,12.81,14.84,17.5,17.91,17.69,19.0,20.69,20.19,18.09,17.56,18.62,19.16,18.25,18.09,20.06,21.75,20.56,18.88,18.69,18.97,16.22,12.72,11.31,11.66,10.94,9.06,9.5,11.66,12.53,10.94,9.44,9.5,9.69,8.03,6.81,7.88,10.06,10.03,8.25,8.38,9.78,10.75,10.16,11.59,15.5,19.06,19.72,20.12,21.84,23.38,21.78,19.59,19.69,20.59,19.56,17.56,16.94,17.78,17.84,16.09,15.53,17.69,19.53,19.09,18.44,19.5,21.06,19.97,18.03,17.94,18.88,18.0,15.84,15.0,16.19,16.81,15.41,14.81,15.97,17.62,16.34,14.97,15.19,16.09,15.03,12.12,10.31,10.03,8.28,5.62,5.31,8.19,11.19,12.47,14.88,19.69,24.97,28.06,30.53,33.72,36.56,36.44,33.84,32.47,32.22,30.72,27.72,25.31,25.22,24.56,21.47,18.16,16.91,16.19,13.91,11.62,11.53,13.69,14.38,13.78,13.94,15.72,16.06,13.78,12.09,12.94,13.78,12.56,11.22,11.59,12.66,11.81,10.5,10.72,12.38,12.78,11.56,11.31,13.31,15.5,15.59,16.12,18.81,21.38,21.19,19.66,19.38,19.91,18.19,15.03,13.75,14.34,14.19,12.38,11.31,12.25,12.75,10.75,8.44,8.59,9.56,9.0,8.0,9.22,12.19,13.09,12.5,13.53,16.44,18.53,18.72,19.81,23.03,26.5,27.84,28.47,30.44,32.09,30.72,27.06,24.09,22.31,19.06,14.62,11.38,10.5,9.69,7.31,5.28,5.94,7.53,6.84,5.25,6.12,7.81,7.56,6.28,5.88,7.34,7.66,6.78,6.59,8.88,10.59,10.16,9.44,10.78,12.78,12.84,12.28,13.56,16.0,16.94,15.66,15.12,16.22,15.75,13.19,10.53,10.31,10.16,7.97,6.06,7.03,9.62,11.0,11.75,13.97,17.53,19.75,20.0,20.69,23.34,24.81,24.06,22.56,23.16,23.97,22.69,20.72,20.5,20.84,19.09,15.69,14.0,14.12,13.78,12.38,11.94,14.0,15.66,15.53,15.31,17.75,20.59,20.84,19.69,19.25,19.16,16.59,12.75,10.25,9.59,8.88,6.16,4.06,4.19,4.12,2.03,0.12,1.12,3.69,4.91,5.75,7.94,11.22,12.38,11.56,10.97,12.0,12.28,10.12,7.59,7.22,6.34,3.25,-0.38,-1.53,-1.12,-2.0,-4.0,-4.38,-2.97,-2.97,-4.72,-5.12,-2.84,0.16,1.53,3.16,7.03,11.03,12.72,12.75,14.81,17.84,19.16,18.78,19.28,21.31,22.0,20.34,18.81,19.69,20.78,19.38,17.56,18.03,19.28,18.97,18.28,20.03,22.97,24.69,24.0,24.06,25.44,26.19,24.56,23.53,25.12,27.06,26.5,24.72,24.47,24.28,22.34,19.0,17.81,18.78,18.91,17.41,16.41,17.31,17.62,15.66,13.69,14.06,15.5,14.94,14.28,16.22,19.5,21.59,21.97,23.38,26.44,28.25,28.03,28.0,30.22,32.09,31.12,29.97,30.69,31.56,30.03,27.19,26.06,25.91,24.5,21.56,19.72,19.59,19.28,16.53,14.25,14.12,14.16,12.59,10.41,11.03,13.31,14.81,15.38,18.41,23.06,26.66,26.94,27.69,29.78,30.88,29.5,27.88,28.22,28.91,26.62,23.5,22.09,21.81,20.59,18.31,18.19,20.66,22.56,21.97,22.31,24.44,26.19,24.81,22.94,22.91,23.34,21.62,19.06,18.56,20.0,20.0,18.38,18.12,19.53,20.75,19.25,18.22,19.28,20.69,19.66,18.34,19.44,21.34,21.22,19.41,18.44,18.44,17.0,13.34,10.84,11.25,11.81,10.5,10.16,12.25,15.0,15.34,14.56,15.34,16.81,16.59,14.66,13.94,15.31,16.12,14.69,13.56,15.0,16.28,12.09,14.25,17.31,19.66,22.66,27.41,32.5,36.28,39.44,43.28,47.25,49.31,48.94,48.09,47.03,44.25,39.69,34.97,31.69,28.84,25.19,22.59,22.25,23.34,23.78,23.62,24.59,26.28,26.88,26.69,27.56,29.81,31.34,31.69,31.81,32.78,33.16,31.78,30.0,28.84,29.25,28.94:positivity
26.75,26.75,26.34,25.94,26.53,27.12,27.06,26.81,26.97,27.12,26.06,25.12,24.88,25.41,25.28,25.0,24.69,25.03,25.0,24.81,24.81,25.91,27.22,27.62,27.53,28.47,28.53,27.75,26.94,26.44,26.09,25.66,24.56,24.0,24.06,23.97,22.91,22.0,21.75,21.25,20.34,19.62,20.25,21.41,21.94,22.12,22.34,22.72,22.88,22.94,23.78,26.19,28.12,29.22,30.28,31.88,33.34,34.0,34.5,35.81,35.78,34.53,32.59,30.34,28.44,26.53,24.88,23.75,24.34,24.97,25.34,25.84,26.31,26.66,25.72,24.62,24.44,24.62,25.41,26.38,27.84,29.59,30.94,30.94,30.62,31.12,30.94,30.09,29.44,29.31,29.38,28.56,27.88,28.03,28.47,28.31,27.41,26.84,26.16,25.0,23.72,22.62,22.78,23.5,23.88,24.53,25.28,26.0,25.53,24.03,22.84,22.03,21.22,21.03,21.56,23.16,25.0,26.03,26.31,26.91,27.31,26.62,25.47,24.94,24.41,22.91,20.84,19.53,18.91,18.38,17.53,17.12,17.56,18.38,19.0,19.53,21.66,24.12,26.47,28.34,31.12,34.03,35.38,35.56,34.72,33.06,30.56,26.28,21.53,18.16,15.25,11.91,9.34,8.41,7.91,7.19,6.16,6.19,6.69,7.06,7.44,8.97,11.72,14.56,17.09,19.19,21.69,23.38,24.03,24.0,25.19,26.53,27.06,26.88,27.0,26.94,25.69,23.0,20.12,17.28,13.5,8.84,4.72,2.28,0.59,-0.19,0.16,2.66,6.09,9.94,13.81,18.06,22.72,26.5,29.25,31.62,33.88,35.38,35.91,36.09,37.12,38.06,38.22,37.34,36.41,34.62,31.78,27.97,25.28,23.78,23.59,23.28,23.53,24.19,23.66,21.47,18.41,16.09,13.97,12.25,10.34,9.59,9.78,9.91,10.12,11.44,14.19,16.78,18.25,19.31,20.19,19.81,18.53,16.94,16.38,16.56,17.12,18.06,20.22,23.22,25.91,27.19,28.94,30.78,31.62,31.19,30.62,30.75,30.69,30.19,29.72,29.78,29.91,29.41,27.94,26.78,25.69,24.5,22.81,21.75,21.66,21.53,20.69,20.16,20.94,22.59,23.34,23.78,24.47,25.5,25.03,24.06,23.81,23.56,22.66,21.06,20.41,20.91,22.28,22.94,23.62,25.22,27.09,28.09,29.0,30.09,31.53,32.06,31.44,31.59,32.56,33.5,33.34,33.75,34.47,35.16,34.5,34.22,34.84,36.03,36.06,35.34,34.97,34.41,32.78,30.41,28.34,27.19,26.16,24.44,23.0,22.72,22.72,21.94,21.31,22.06,22.81,22.94,22.56,22.62,22.75,22.69,21.91,22.06,23.16,24.88,25.78,26.81,28.72,30.56,31.19,31.16,31.84,32.66,32.56,32.19,33.12,34.56,35.53,35.31,35.09,35.84,36.06,35.22,34.69,34.97,35.56,35.34,35.09,35.38,36.16,36.03,34.94,34.22,34.06,33.78,32.75,32.59,33.66,35.16,35.03,34.81,34.5,33.75,31.84,29.97,29.06,28.75,28.03,26.72,25.75,25.47,25.12,24.34,24.25,25.31,26.94,27.25,27.56,28.44,29.53,29.03,28.16,27.47,27.5,26.81,25.38,24.78,24.94,24.97,24.31,23.62,24.03,24.72,24.12,23.88,24.12,24.88,24.78,24.28,24.44,25.5,26.19,25.75,25.94,26.62,27.06,26.59,25.94,25.91,26.41,25.56,24.53,24.19,23.91,22.28,20.09,18.62,17.88,17.31,16.28,15.56,16.16,16.34,15.53,14.94,15.38,16.5,16.62,17.0,18.06,19.78,20.34,20.38,20.69,21.41,22.03,22.16,22.03,22.91,23.5,22.78,21.72,21.94,22.66,22.41,22.53,22.97,23.84,23.56,22.62,22.03,21.91,21.88,21.03,20.81,20.97,21.09,19.91,18.47,17.97,18.03,17.88,18.16,19.0,20.81,21.5,21.47,20.91,20.56,19.31,16.72,14.72,13.56,12.81,11.25,9.88,8.94,8.72,7.81,6.5,6.0,6.56,6.94,7.25,8.19,10.78,12.84,14.03,14.84,15.97,16.91,17.09,17.38,18.97,21.22,22.94,23.94,25.16,26.25,25.69,23.69,21.25,18.84,16.38,12.75,9.75,7.91,7.09,6.31,5.81,6.44,7.97,9.09,9.19,9.31,10.16,10.16,9.59,9.34,10.5,12.25,13.34,14.25,15.16,15.75,14.22,11.62,9.22,7.72,5.66,4.09,4.06,5.91,8.12,10.16,12.34,14.53,16.12,16.16,15.81,16.03,17.16,17.88,17.88,18.31,18.53,17.47,15.81,14.22,13.94,13.78,13.25,13.12,14.31,16.41,17.72,19.25,21.31,23.25,23.75,22.97,22.12,21.88,21.16,20.31,19.59,20.91,21.59,21.47,21.28,21.91,22.41,22.19,22.0,22.88,23.62,23.72,23.12,22.66,22.41,22.0,21.16,20.69,21.84,23.28,24.31,25.38,27.0,27.75,27.16,25.69,24.59,23.97,23.88,23.56,24.25,25.75,26.66,26.62,25.81,25.59,24.31,22.0,19.28,17.06,15.97,14.66,13.41,13.38,13.94,14.53,14.81,15.84,17.66,19.19,20.12,20.81,22.12,23.59,23.94,23.91,24.56,25.22,25.44,25.22,25.28,25.97,25.88,25.03,23.81,23.31,22.47,20.62,18.91,17.94,17.28,15.94,14.38,13.44,13.28,13.06,13.09,14.19,16.47,18.72,19.56,20.16,21.28,21.84,21.62,21.28,21.94,22.31,21.81,20.38,18.88,16.94,14.47,11.34,8.97,8.62,9.44,10.47,12.75,16.28,19.97,22.31,23.78,25.38,26.12,26.31,25.56,25.53,26.22,26.75,26.53,26.56,27.38,27.97,27.69,27.34,28.16,28.03,26.97,25.0,23.47,22.03,20.19,18.62,18.28,19.03,19.88,19.97,19.5,19.53,19.19,18.06,17.31,17.69,18.34,18.47,18.53,19.19,20.5,21.34,22.28,23.88,25.88,27.81,28.84,29.06,30.19,30.44,29.91,28.91,28.47,28.28,27.28,26.0,24.81,24.34,23.16,21.16,20.09,19.97,20.12,20.09,21.06,22.91,25.06,26.16,26.72,27.62,27.91,27.38,26.0,24.84,23.81,22.69,21.0,20.25,20.5,21.22,20.84,21.06,21.47,21.78,21.44,20.94,20.84,20.91,20.22,18.66,17.44,16.69,15.81,14.56,13.97,14.41,15.5,15.81,16.62,18.16,19.28,19.53,19.5,19.5,20.47,20.84,20.72,20.66,20.91,20.5,18.78,17.38,17.0,16.72,15.66,14.94,15.38,15.78,15.75,15.59,15.91,16.41,16.34,15.88,16.28,17.53,18.75,18.75,18.94,19.62,20.75,20.59,20.53,20.84,21.0,20.5,19.25,18.5,18.56,18.34,17.5,17.0,16.88,16.66,15.0,13.5,13.28,13.75,14.19,15.0,16.59,18.34,19.19,18.75,18.56,17.91,17.03,15.38,14.53,15.09,16.56,17.56,18.75,20.12,20.97,20.59,19.47,18.66,18.62,18.94,19.12,19.84,20.66,20.22,18.19,16.0,13.78,12.06,9.94,9.25,9.59,11.78,14.12,16.69,19.38,21.47,21.97,21.28,20.25,19.75,19.56,18.16,17.06,16.25,15.75,14.53,14.0,14.81,16.41,18.44,20.16,21.91,23.59,23.91,22.38,20.5,18.72,17.09,15.31,14.38,15.03,16.38,17.41,18.25,19.0,19.84,19.75,19.25,18.94,18.97,18.97,18.31,18.03,18.81,20.53,21.78,23.06,24.78,25.91,25.47,24.41,22.91,21.97,21.06,19.81,19.12,19.28,19.28,18.53,18.06,17.88,18.41,18.31,18.0,18.59,19.72,20.44,21.12,22.06,23.09,23.44,22.22,21.0,20.41,20.44,20.31,20.84,22.12,23.41,23.38,22.84,22.0,21.69,21.44,21.22,21.19,21.84,22.09,21.03,19.69,18.62,18.03,16.88,16.25,16.34,16.94,16.59,15.59,14.62,14.12,12.78,11.78,11.78,13.28,14.78,16.19,17.31,19.03,19.94,19.38,18.38,17.22,15.88,13.84,11.81,10.66,10.62,10.81,11.03,11.56,12.28,13.16,13.25,13.53,14.62,16.38,17.38,18.44,19.75,21.34,22.34,22.78,23.09,23.38,22.75,21.53,19.81,19.38,19.0,18.78,18.5,18.91,19.44,18.94,17.81,16.44,15.34,13.72,12.22,11.31,12.25,13.41,14.56,15.84,17.88,19.91,20.47,20.78,21.28,22.53,22.66,22.75,22.94,23.22,22.41,21.09,19.16,18.28,17.28,15.81,14.59,14.22,14.09,13.53,12.81,13.25,14.03,14.69,15.38,16.06,17.41,18.56,19.25,19.66,20.53,21.0,20.47,20.19,20.84,22.12,22.69,22.69,22.47,21.88,20.75,18.56,16.72,15.84,15.38,15.38,16.19,18.78,21.78,23.78,24.44,25.06,24.78,23.06,20.41,18.56,17.38,16.56,16.03,16.34,17.94,18.69,17.59,15.62,13.59,11.28,8.44,6.56,6.41,7.38,8.75,10.06,11.88,14.03,15.28,15.56,15.41,15.97,16.0,15.72,15.03,15.31,15.81,15.62,14.62,14.84,15.28,15.5,15.47,15.97,16.88,17.16,16.88,16.5,17.09,18.16,18.56,18.91,19.78,19.88,18.91,17.22,16.28,15.91,16.72,17.81,20.38,23.78,26.62,27.53,27.16,26.06,23.81,20.38,16.75,14.47,13.56,12.69,12.69,13.56,15.47,17.19,18.0,19.0,20.03,21.19,21.59,21.91,23.5,25.38,26.56,27.06,27.47,28.0,27.5,26.03,25.41,25.56,26.12,26.78,28.38,30.91,33.19,34.19,33.91,33.5,32.25,29.84,26.5,23.88,21.5,18.84,15.38,12.59:26.81,26.97,27.12,26.06,25.12,24.88,25.41,25.28,25.0,24.69,25.03,25.0,24.81,24.81,25.91,27.22,27.62,27.53,28.47,28.53,27.75,26.94,26.44,26.09,25.66,24.56,24.0,24.06,23.97,22.91,22.0,21.75,21.25,20.34,19.62,20.25,21.41,21.94,22.12,22.34,22.72,22.88,22.94,23.78,26.19,28.12,29.22,30.28,31.88,33.34,34.0,34.5,35.81,35.78,34.53,32.59,30.34,28.44,26.53,24.88,23.75,24.34,24.97,25.34,25.84,26.31,26.66,25.72,24.62,24.44,24.62,25.41,26.38,27.84,29.59,30.94,30.94,30.62,31.12,30.94,30.09,29.44,29.31,29.38,28.56,27.88,28.03,28.47,28.31,27.41,26.84,26.16,25.0,23.72,22.62,22.78,23.5,23.88,24.53,25.28,26.0,25.53,24.03,22.84,22.03,21.22,21.03,21.56,23.16,25.0,26.03,26.31,26.91,27.31,26.62,25.47,24.94,24.41,22.91,20.84,19.53,18.91,18.38,17.53,17.12,17.56,18.38,19.0,19.53,21.66,24.12,26.47,28.34,31.12,34.03,35.38,35.56,34.72,33.06,30.56,26.28,21.53,18.16,15.25,11.91,9.34,8.41,7.91,7.19,6.16,6.19,6.69,7.06,7.44,8.97,11.72,14.56,17.09,19.19,21.69,23.38,24.03,24.0,25.19,26.53,27.06,26.88,27.0,26.94,25.69,23.0,20.12,17.28,13.5,8.84,4.72,2.28,0.59,-0.19,0.16,2.66,6.09,9.94,13.81,18.06,22.72,26.5,29.25,31.62,33.88,35.38,35.91,36.09,37.12,38.06,38.22,37.34,36.41,34.62,31.78,27.97,25.28,23.78,23.59,23.28,23.53,24.19,23.66,21.47,18.41,16.09,13.97,12.25,10.34,9.59,9.78,9.91,10.12,11.44,14.19,16.78,18.25,19.31,20.19,19.81,18.53,16.94,16.38,16.56,17.12,18.06,20.22,23.22,25.91,27.19,28.94,30.78,31.62,31.19,30.62,30.75,30.69,30.19,29.72,29.78,29.91,29.41,27.94,26.78,25.69,24.5,22.81,21.75,21.66,21.53,20.69,20.16,20.94,22.59,23.34,23.78,24.47,25.5,25.03,24.06,23.81,23.56,22.66,21.06,20.41,20.91,22.28,22.94,23.62,25.22,27.09,28.09,29.0,30.09,31.53,32.06,31.44,31.59,32.56,33.5,33.34,33.75,34.47,35.16,34.5,34.22,34.84,36.03,36.06,35.34,34.97,34.41,32.78,30.41,28.34,27.19,26.16,24.44,23.0,22.72,22.72,21.94,21.31,22.06,22.81,22.94,22.56,22.62,22.75,22.69,21.91,22.06,23.16,24.88,25.78,26.81,28.72,30.56,31.19,31.16,31.84,32.66,32.56,32.19,33.12,34.56,35.53,35.31,35.09,35.84,36.06,35.22,34.69,34.97,35.56,35.34,35.09,35.38,36.16,36.03,34.94,34.22,34.06,33.78,32.75,32.59,33.66,35.16,35.03,34.81,34.5,33.75,31.84,29.97,29.06,28.75,28.03,26.72,25.75,25.47,25.12,24.34,24.25,25.31,26.94,27.25,27.56,28.44,29.53,29.03,28.16,27.47,27.5,26.81,25.38,24.78,24.94,24.97,24.31,23.62,24.03,24.72,24.12,23.88,24.12,24.88,24.78,24.28,24.44,25.5,26.19,25.75,25.94,26.62,27.06,26.59,25.94,25.91,26.41,25.56,24.53,24.19,23.91,22.28,20.09,18.62,17.88,17.31,16.28,15.56,16.16,16.34,15.53,14.94,15.38,16.5,16.62,17.0,18.06,19.78,20.34,20.38,20.69,21.41,22.03,22.16,22.03,22.91,23.5,22.78,21.72,21.94,22.66,22.41,22.53,22.97,23.84,23.56,22.62,22.03,21.91,21.88,21.03,20.81,20.97,21.09,19.91,18.47,17.97,18.03,17.88,18.16,19.0,20.81,21.5,21.47,20.91,20.56,19.31,16.72,14.72,13.56,12.81,11.25,9.88,8.94,8.72,7.81,6.5,6.0,6.56,6.94,7.25,8.19,10.78,12.84,14.03,14.84,15.97,16.91,17.09,17.38,18.97,21.22,22.94,23.94,25.16,26.25,25.69,23.69,21.25,18.84,16.38,12.75,9.75,7.91,7.09,6.31,5.81,6.44,7.97,9.09,9.19,9.31,10.16,10.16,9.59,9.34,10.5,12.25,13.34,14.25,15.16,15.75,14.22,11.62,9.22,7.72,5.66,4.09,4.06,5.91,8.12,10.16,12.34,14.53,16.12,16.16,15.81,16.03,17.16,17.88,17.88,18.31,18.53,17.47,15.81,14.22,13.94,13.78,13.25,13.12,14.31,16.41,17.72,19.25,21.31,23.25,23.75,22.97,22.12,21.88,21.16,20.31,19.59,20.91,21.59,21.47,21.28,21.91,22.41,22.19,22.0,22.88,23.62,23.72,23.12,22.66,22.41,22.0,21.16,20.69,21.84,23.28,24.31,25.38,27.0,27.75,27.16,25.69,24.59,23.97,23.88,23.56,24.25,25.75,26.66,26.62,25.81,25.59,24.31,22.0,19.28,17.06,15.97,14.66,13.41,13.38,13.94,14.53,14.81,15.84,17.66,19.19,20.12,20.81,22.12,23.59,23.94,23.91,24.56,25.22,25.44,25.22,25.28,25.97,25.88,25.03,23.81,23.31,22.47,20.62,18.91,17.94,17.28,15.94,14.38,13.44,13.28,13.06,13.09,14.19,16.47,18.72,19.56,20.16,21.28,21.84,21.62,21.28,21.94,22.31,21.81,20.38,18.88,16.94,14.47,11.34,8.97,8.62,9.44,10.47,12.75,16.28,19.97,22.31,23.78,25.38,26.12,26.31,25.56,25.53,26.22,26.75,26.53,26.56,27.38,27.97,27.69,27.34,28.16,28.03,26.97,25.0,23.47,22.03,20.19,18.62,18.28,19.03,19.88,19.97,19.5,19.53,19.19,18.06,17.31,17.69,18.34,18.47,18.53,19.19,20.5,21.34,22.28,23.88,25.88,27.81,28.84,29.06,30.19,30.44,29.91,28.91,28.47,28.28,27.28,26.0,24.81,24.34,23.16,21.16,20.09,19.97,20.12,20.09,21.06,22.91,25.06,26.16,26.72,27.62,27.91,27.38,26.0,24.84,23.81,22.69,21.0,20.25,20.5,21.22,20.84,21.06,21.47,21.78,21.44,20.94,20.84,20.91,20.22,18.66,17.44,16.69,15.81,14.56,13.97,14.41,15.5,15.81,16.62,18.16,19.28,19.53,19.5,19.5,20.47,20.84,20.72,20.66,20.91,20.5,18.78,17.38,17.0,16.72,15.66,14.94,15.38,15.78,15.75,15.59,15.91,16.41,16.34,15.88,16.28,17.53,18.75,18.75,18.94,19.62,20.75,20.59,20.53,20.84,21.0,20.5,19.25,18.5,18.56,18.34,17.5,17.0,16.88,16.66,15.0,13.5,13.28,13.75,14.19,15.0,16.59,18.34,19.19,18.75,18.56,17.91,17.03,15.38,14.53,15.09,16.56,17.56,18.75,20.12,20.97,20.59,19.47,18.66,18.62,18.94,19.12,19.84,20.66,20.22,18.19,16.0,13.78,12.06,9.94,9.25,9.59,11.78,14.12,16.69,19.38,21.47,21.97,21.28,20.25,19.75,19.56,18.16,17.06,16.25,15.75,14.53,14.0,14.81,16.41,18.44,20.16,21.91,23.59,23.91,22.38,20.5,18.72,17.09,15.31,14.38,15.03,16.38,17.41,18.25,19.0,19.84,19.75,19.25,18.94,18.97,18.97,18.31,18.03,18.81,20.53,21.78,23.06,24.78,25.91,25.47,24.41,22.91,21.97,21.06,19.81,19.12,19.28,19.28,18.53,18.06,17.88,18.41,18.31,18.0,18.59,19.72,20.44,21.12,22.06,23.09,23.44,22.22,21.0,20.41,20.44,20.31,20.84,22.12,23.41,23.38,22.84,22.0,21.69,21.44,21.22,21.19,21.84,22.09,21.03,19.69,18.62,18.03,16.88,16.25,16.34,16.94,16.59,15.59,14.62,14.12,12.78,11.78,11.78,13.28,14.78,16.19,17.31,19.03,19.94,19.38,18.38,17.22,15.88,13.84,11.81,10.66,10.62,10.81,11.03,11.56,12.28,13.16,13.25,13.53,14.62,16.38,17.38,18.44,19.75,21.34,22.34,22.78,23.09,23.38,22.75,21.53,19.81,19.38,19.0,18.78,18.5,18.91,19.44,18.94,17.81,16.44,15.34,13.72,12.22,11.31,12.25,13.41,14.56,15.84,17.88,19.91,20.47,20.78,21.28,22.53,22.66,22.75,22.94,23.22,22.41,21.09,19.16,18.28,17.28,15.81,14.59,14.22,14.09,13.53,12.81,13.25,14.03,14.69,15.38,16.06,17.41,18.56,19.25,19.66,20.53,21.0,20.47,20.19,20.84,22.12,22.69,22.69,22.47,21.88,20.75,18.56,16.72,15.84,15.38,15.38,16.19,18.78,21.78,23.78,24.44,25.06,24.78,23.06,20.41,18.56,17.38,16.56,16.03,16.34,17.94,18.69,17.59,15.62,13.59,11.28,8.44,6.56,6.41,7.38,8.75,10.06,11.88,14.03,15.28,15.56,15.41,15.97,16.0,15.72,15.03,15.31,15.81,15.62,14.62,14.84,15.28,15.5,15.47,15.97,16.88,17.16,16.88,16.5,17.09,18.16,18.56,18.91,19.78,19.88,18.91,17.22,16.28,15.91,16.72,17.81,20.38,23.78,26.62,27.53,27.16,26.06,23.81,20.38,16.75,14.47,13.56,12.69,12.69,13.56,15.47,17.19,18.0,19.0,20.03,21.19,21.59,21.91,23.5,25.38,26.56,27.06,27.47,28.0,27.5,26.03,25.41,25.56,26.12,26.78,28.38,30.91,33.19,34.19,33.91,33.5,32.25,29.84,26.5,23.88,21.5,18.84,15.38,12.59,34.69,34.75,34.84,34.59,34.66,34.97,35.12:25.28,25.0,24.69,25.03,25.0,24.81,24.81,25.91,27.22,27.62,27.53,28.47,28.53,27.75,26.94,26.44,26.09,25.66,24.56,24.0,24.06,23.97,22.91,22.0,21.75,21.25,20.34,19.62,20.25,21.41,21.94,22.12,22.34,22.72,22.88,22.94,23.78,26.19,28.12,29.22,30.28,31.88,33.34,34.0,34.5,35.81,35.78,34.53,32.59,30.34,28.44,26.53,24.88,23.75,24.34,24.97,25.34,25.84,26.31,26.66,25.72,24.62,24.44,24.62,25.41,26.38,27.84,29.59,30.94,30.94,30.62,31.12,30.94,30.09,29.44,29.31,29.38,28.56,27.88,28.03,28.47,28.31,27.41,26.84,26.16,25.0,23.72,22.62,22.78,23.5,23.88,24.53,25.28,26.0,25.53,24.03,22.84,22.03,21.22,21.03,21.56,23.16,25.0,26.03,26.31,26.91,27.31,26.62,25.47,24.94,24.41,22.91,20.84,19.53,18.91,18.38,17.53,17.12,17.56,18.38,19.0,19.53,21.66,24.12,26.47,28.34,31.12,34.03,35.38,35.56,34.72,33.06,30.56,26.28,21.53,18.16,15.25,11.91,9.34,8.41,7.91,7.19,6.16,6.19,6.69,7.06,7.44,8.97,11.72,14.56,17.09,19.19,21.69,23.38,24.03,24.0,25.19,26.53,27.06,26.88,27.0,26.94,25.69,23.0,20.12,17.28,13.5,8.84,4.72,2.28,0.59,-0.19,0.16,2.66,6.09,9.94,13.81,18.06,22.72,26.5,29.25,31.62,33.88,35.38,35.91,36.09,37.12,38.06,38.22,37.34,36.41,34.62,31.78,27.97,25.28,23.78,23.59,23.28,23.53,24.19,23.66,21.47,18.41,16.09,13.97,12.25,10.34,9.59,9.78,9.91,10.12,11.44,14.19,16.78,18.25,19.31,20.19,19.81,18.53,16.94,16.38,16.56,17.12,18.06,20.22,23.22,25.91,27.19,28.94,30.78,31.62,31.19,30.62,30.75,30.69,30.19,29.72,29.78,29.91,29.41,27.94,26.78,25.69,24.5,22.81,21.75,21.66,21.53,20.69,20.16,20.94,22.59,23.34,23.78,24.47,25.5,25.03,24.06,23.81,23.56,22.66,21.06,20.41,20.91,22.28,22.94,23.62,25.22,27.09,28.09,29.0,30.09,31.53,32.06,31.44,31.59,32.56,33.5,33.34,33.75,34.47,35.16,34.5,34.22,34.84,36.03,36.06,35.34,34.97,34.41,32.78,30.41,28.34,27.19,26.16,24.44,23.0,22.72,22.72,21.94,21.31,22.06,22.81,22.94,22.56,22.62,22.75,22.69,21.91,22.06,23.16,24.88,25.78,26.81,28.72,30.56,31.19,31.16,31.84,32.66,32.56,32.19,33.12,34.56,35.53,35.31,35.09,35.84,36.06,35.22,34.69,34.97,35.56,35.34,35.09,35.38,36.16,36.03,34.94,34.22,34.06,33.78,32.75,32.59,33.66,35.16,35.03,34.81,34.5,33.75,31.84,29.97,29.06,28.75,28.03,26.72,25.75,25.47,25.12,24.34,24.25,25.31,26.94,27.25,27.56,28.44,29.53,29.03,28.16,27.47,27.5,26.81,25.38,24.78,24.94,24.97,24.31,23.62,24.03,24.72,24.12,23.88,24.12,24.88,24.78,24.28,24.44,25.5,26.19,25.75,25.94,26.62,27.06,26.59,25.94,25.91,26.41,25.56,24.53,24.19,23.91,22.28,20.09,18.62,17.88,17.31,16.28,15.56,16.16,16.34,15.53,14.94,15.38,16.5,16.62,17.0,18.06,19.78,20.34,20.38,20.69,21.41,22.03,22.16,22.03,22.91,23.5,22.78,21.72,21.94,22.66,22.41,22.53,22.97,23.84,23.56,22.62,22.03,21.91,21.88,21.03,20.81,20.97,21.09,19.91,18.47,17.97,18.03,17.88,18.16,19.0,20.81,21.5,21.47,20.91,20.56,19.31,16.72,14.72,13.56,12.81,11.25,9.88,8.94,8.72,7.81,6.5,6.0,6.56,6.94,7.25,8.19,10.78,12.84,14.03,14.84,15.97,16.91,17.09,17.38,18.97,21.22,22.94,23.94,25.16,26.25,25.69,23.69,21.25,18.84,16.38,12.75,9.75,7.91,7.09,6.31,5.81,6.44,7.97,9.09,9.19,9.31,10.16,10.16,9.59,9.34,10.5,12.25,13.34,14.25,15.16,15.75,14.22,11.62,9.22,7.72,5.66,4.09,4.06,5.91,8.12,10.16,12.34,14.53,16.12,16.16,15.81,16.03,17.16,17.88,17.88,18.31,18.53,17.47,15.81,14.22,13.94,13.78,13.25,13.12,14.31,16.41,17.72,19.25,21.31,23.25,23.75,22.97,22.12,21.88,21.16,20.31,19.59,20.91,21.59,21.47,21.28,21.91,22.41,22.19,22.0,22.88,23.62,23.72,23.12,22.66,22.41,22.0,21.16,20.69,21.84,23.28,24.31,25.38,27.0,27.75,27.16,25.69,24.59,23.97,23.88,23.56,24.25,25.75,26.66,26.62,25.81,25.59,24.31,22.0,19.28,17.06,15.97,14.66,13.41,13.38,13.94,14.53,14.81,15.84,17.66,19.19,20.12,20.81,22.12,23.59,23.94,23.91,24.56,25.22,25.44,25.22,25.28,25.97,25.88,25.03,23.81,23.31,22.47,20.62,18.91,17.94,17.28,15.94,14.38,13.44,13.28,13.06,13.09,14.19,16.47,18.72,19.56,20.16,21.28,21.84,21.62,21.28,21.94,22.31,21.81,20.38,18.88,16.94,14.47,11.34,8.97,8.62,9.44,10.47,12.75,16.28,19.97,22.31,23.78,25.38,26.12,26.31,25.56,25.53,26.22,26.75,26.53,26.56,27.38,27.97,27.69,27.34,28.16,28.03,26.97,25.0,23.47,22.03,20.19,18.62,18.28,19.03,19.88,19.97,19.5,19.53,19.19,18.06,17.31,17.69,18.34,18.47,18.53,19.19,20.5,21.34,22.28,23.88,25.88,27.81,28.84,29.06,30.19,30.44,29.91,28.91,28.47,28.28,27.28,26.0,24.81,24.34,23.16,21.16,20.09,19.97,20.12,20.09,21.06,22.91,25.06,26.16,26.72,27.62,27.91,27.38,26.0,24.84,23.81,22.69,21.0,20.25,20.5,21.22,20.84,21.06,21.47,21.78,21.44,20.94,20.84,20.91,20.22,18.66,17.44,16.69,15.81,14.56,13.97,14.41,15.5,15.81,16.62,18.16,19.28,19.53,19.5,19.5,20.47,20.84,20.72,20.66,20.91,20.5,18.78,17.38,17.0,16.72,15.66,14.94,15.38,15.78,15.75,15.59,15.91,16.41,16.34,15.88,16.28,17.53,18.75,18.75,18.94,19.62,20.75,20.59,20.53,20.84,21.0,20.5,19.25,18.5,18.56,18.34,17.5,17.0,16.88,16.66,15.0,13.5,13.28,13.75,14.19,15.0,16.59,18.34,19.19,18.75,18.56,17.91,17.03,15.38,14.53,15.09,16.56,17.56,18.75,20.12,20.97,20.59,19.47,18.66,18.62,18.94,19.12,19.84,20.66,20.22,18.19,16.0,13.78,12.06,9.94,9.25,9.59,11.78,14.12,16.69,19.38,21.47,21.97,21.28,20.25,19.75,19.56,18.16,17.06,16.25,15.75,14.53,14.0,14.81,16.41,18.44,20.16,21.91,23.59,23.91,22.38,20.5,18.72,17.09,15.31,14.38,15.03,16.38,17.41,18.25,19.0,19.84,19.75,19.25,18.94,18.97,18.97,18.31,18.03,18.81,20.53,21.78,23.06,24.78,25.91,25.47,24.41,22.91,21.97,21.06,19.81,19.12,19.28,19.28,18.53,18.06,17.88,18.41,18.31,18.0,18.59,19.72,20.44,21.12,22.06,23.09,23.44,22.22,21.0,20.41,20.44,20.31,20.84,22.12,23.41,23.38,22.84,22.0,21.69,21.44,21.22,21.19,21.84,22.09,21.03,19.69,18.62,18.03,16.88,16.25,16.34,16.94,16.59,15.59,14.62,14.12,12.78,11.78,11.78,13.28,14.78,16.19,17.31,19.03,19.94,19.38,18.38,17.22,15.88,13.84,11.81,10.66,10.62,10.81,11.03,11.56,12.28,13.16,13.25,13.53,14.62,16.38,17.38,18.44,19.75,21.34,22.34,22.78,23.09,23.38,22.75,21.53,19.81,19.38,19.0,18.78,18.5,18.91,19.44,18.94,17.81,16.44,15.34,13.72,12.22,11.31,12.25,13.41,14.56,15.84,17.88,19.91,20.47,20.78,21.28,22.53,22.66,22.75,22.94,23.22,22.41,21.09,19.16,18.28,17.28,15.81,14.59,14.22,14.09,13.53,12.81,13.25,14.03,14.69,15.38,16.06,17.41,18.56,19.25,19.66,20.53,21.0,20.47,20.19,20.84,22.12,22.69,22.69,22.47,21.88,20.75,18.56,16.72,15.84,15.38,15.38,16.19,18.78,21.78,23.78,24.44,25.06,24.78,23.06,20.41,18.56,17.38,16.56,16.03,16.34,17.94,18.69,17.59,15.62,13.59,11.28,8.44,6.56,6.41,7.38,8.75,10.06,11.88,14.03,15.28,15.56,15.41,15.97,16.0,15.72,15.03,15.31,15.81,15.62,14.62,14.84,15.28,15.5,15.47,15.97,16.88,17.16,16.88,16.5,17.09,18.16,18.56,18.91,19.78,19.88,18.91,17.22,16.28,15.91,16.72,17.81,20.38,23.78,26.62,27.53,27.16,26.06,23.81,20.38,16.75,14.47,13.56,12.69,12.69,13.56,15.47,17.19,18.0,19.0,20.03,21.19,21.59,21.91,23.5,25.38,26.56,27.06,27.47,28.0,27.5,26.03,25.41,25.56,26.12,26.78,28.38,30.91,33.19,34.19,33.91,33.5,32.25,29.84,26.5,23.88,21.5,18.84,15.38,12.59,34.69,34.75,34.84,34.59,34.66,34.97,35.12,35.34,34.69,34.25,33.72,33.5,33.25,33.72:25.91,27.22,27.62,27.53,28.47,28.53,27.75,26.94,26.44,26.09,25.66,24.56,24.0,24.06,23.97,22.91,22.0,21.75,21.25,20.34,19.62,20.25,21.41,21.94,22.12,22.34,22.72,22.88,22.94,23.78,26.19,28.12,29.22,30.28,31.88,33.34,34.0,34.5,35.81,35.78,34.53,32.59,30.34,28.44,26.53,24.88,23.75,24.34,24.97,25.34,25.84,26.31,26.66,25.72,24.62,24.44,24.62,25.41,26.38,27.84,29.59,30.94,30.94,30.62,31.12,30.94,30.09,29.44,29.31,29.38,28.56,27.88,28.03,28.47,28.31,27.41,26.84,26.16,25.0,23.72,22.62,22.78,23.5,23.88,24.53,25.28,26.0,25.53,24.03,22.84,22.03,21.22,21.03,21.56,23.16,25.0,26.03,26.31,26.91,27.31,26.62,25.47,24.94,24.41,22.91,20.84,19.53,18.91,18.38,17.53,17.12,17.56,18.38,19.0,19.53,21.66,24.12,26.47,28.34,31.12,34.03,35.38,35.56,34.72,33.06,30.56,26.28,21.53,18.16,15.25,11.91,9.34,8.41,7.91,7.19,6.16,6.19,6.69,7.06,7.44,8.97,11.72,14.56,17.09,19.19,21.69,23.38,24.03,24.0,25.19,26.53,27.06,26.88,27.0,26.94,25.69,23.0,20.12,17.28,13.5,8.84,4.72,2.28,0.59,-0.19,0.16,2.66,6.09,9.94,13.81,18.06,22.72,26.5,29.25,31.62,33.88,35.38,35.91,36.09,37.12,38.06,38.22,37.34,36.41,34.62,31.78,27.97,25.28,23.78,23.59,23.28,23.53,24.19,23.66,21.47,18.41,16.09,13.97,12.25,10.34,9.59,9.78,9.91,10.12,11.44,14.19,16.78,18.25,19.31,20.19,19.81,18.53,16.94,16.38,16.56,17.12,18.06,20.22,23.22,25.91,27.19,28.94,30.78,31.62,31.19,30.62,30.75,30.69,30.19,29.72,29.78,29.91,29.41,27.94,26.78,25.69,24.5,22.81,21.75,21.66,21.53,20.69,20.16,20.94,22.59,23.34,23.78,24.47,25.5,25.03,24.06,23.81,23.56,22.66,21.06,20.41,20.91,22.28,22.94,23.62,25.22,27.09,28.09,29.0,30.09,31.53,32.06,31.44,31.59,32.56,33.5,33.34,33.75,34.47,35.16,34.5,34.22,34.84,36.03,36.06,35.34,34.97,34.41,32.78,30.41,28.34,27.19,26.16,24.44,23.0,22.72,22.72,21.94,21.31,22.06,22.81,22.94,22.56,22.62,22.75,22.69,21.91,22.06,23.16,24.88,25.78,26.81,28.72,30.56,31.19,31.16,31.84,32.66,32.56,32.19,33.12,34.56,35.53,35.31,35.09,35.84,36.06,35.22,34.69,34.97,35.56,35.34,35.09,35.38,36.16,36.03,34.94,34.22,34.06,33.78,32.75,32.59,33.66,35.16,35.03,34.81,34.5,33.75,31.84,29.97,29.06,28.75,28.03,26.72,25.75,25.47,25.12,24.34,24.25,25.31,26.94,27.25,27.56,28.44,29.53,29.03,28.16,27.47,27.5,26.81,25.38,24.78,24.94,24.97,24.31,23.62,24.03,24.72,24.12,23.88,24.12,24.88,24.78,24.28,24.44,25.5,26.19,25.75,25.94,26.62,27.06,26.59,25.94,25.91,26.41,25.56,24.53,24.19,23.91,22.28,20.09,18.62,17.88,17.31,16.28,15.56,16.16,16.34,15.53,14.94,15.38,16.5,16.62,17.0,18.06,19.78,20.34,20.38,20.69,21.41,22.03,22.16,22.03,22.91,23.5,22.78,21.72,21.94,22.66,22.41,22.53,22.97,23.84,23.56,22.62,22.03,21.91,21.88,21.03,20.81,20.97,21.09,19.91,18.47,17.97,18.03,17.88,18.16,19.0,20.81,21.5,21.47,20.91,20.56,19.31,16.72,14.72,13.56,12.81,11.25,9.88,8.94,8.72,7.81,6.5,6.0,6.56,6.94,7.25,8.19,10.78,12.84,14.03,14.84,15.97,16.91,17.09,17.38,18.97,21.22,22.94,23.94,25.16,26.25,25.69,23.69,21.25,18.84,16.38,12.75,9.75,7.91,7.09,6.31,5.81,6.44,7.97,9.09,9.19,9.31,10.16,10.16,9.59,9.34,10.5,12.25,13.34,14.25,15.16,15.75,14.22,11.62,9.22,7.72,5.66,4.09,4.06,5.91,8.12,10.16,12.34,14.53,16.12,16.16,15.81,16.03,17.16,17.88,17.88,18.31,18.53,17.47,15.81,14.22,13.94,13.78,13.25,13.12,14.31,16.41,17.72,19.25,21.31,23.25,23.75,22.97,22.12,21.88,21.16,20.31,19.59,20.91,21.59,21.47,21.28,21.91,22.41,22.19,22.0,22.88,23.62,23.72,23.12,22.66,22.41,22.0,21.16,20.69,21.84,23.28,24.31,25.38,27.0,27.75,27.16,25.69,24.59,23.97,23.88,23.56,24.25,25.75,26.66,26.62,25.81,25.59,24.31,22.0,19.28,17.06,15.97,14.66,13.41,13.38,13.94,14.53,14.81,15.84,17.66,19.19,20.12,20.81,22.12,23.59,23.94,23.91,24.56,25.22,25.44,25.22,25.28,25.97,25.88,25.03,23.81,23.31,22.47,20.62,18.91,17.94,17.28,15.94,14.38,13.44,13.28,13.06,13.09,14.19,16.47,18.72,19.56,20.16,21.28,21.84,21.62,21.28,21.94,22.31,21.81,20.38,18.88,16.94,14.47,11.34,8.97,8.62,9.44,10.47,12.75,16.28,19.97,22.31,23.78,25.38,26.12,26.31,25.56,25.53,26.22,26.75,26.53,26.56,27.38,27.97,27.69,27.34,28.16,28.03,26.97,25.0,23.47,22.03,20.19,18.62,18.28,19.03,19.88,19.97,19.5,19.53,19.19,18.06,17.31,17.69,18.34,18.47,18.53,19.19,20.5,21.34,22.28,23.88,25.88,27.81,28.84,29.06,30.19,30.44,29.91,28.91,28.47,28.28,27.28,26.0,24.81,24.34,23.16,21.16,20.09,19.97,20.12,20.09,21.06,22.91,25.06,26.16,26.72,27.62,27.91,27.38,26.0,24.84,23.81,22.69,21.0,20.25,20.5,21.22,20.84,21.06,21.47,21.78,21.44,20.94,20.84,20.91,20.22,18.66,17.44,16.69,15.81,14.56,13.97,14.41,15.5,15.81,16.62,18.16,19.28,19.53,19.5,19.5,20.47,20.84,20.72,20.66,20.91,20.5,18.78,17.38,17.0,16.72,15.66,14.94,15.38,15.78,15.75,15.59,15.91,16.41,16.34,15.88,16.28,17.53,18.75,18.75,18.94,19.62,20.75,20.59,20.53,20.84,21.0,20.5,19.25,18.5,18.56,18.34,17.5,17.0,16.88,16.66,15.0,13.5,13.28,13.75,14.19,15.0,16.59,18.34,19.19,18.75,18.56,17.91,17.03,15.38,14.53,15.09,16.56,17.56,18.75,20.12,20.97,20.59,19.47,18.66,18.62,18.94,19.12,19.84,20.66,20.22,18.19,16.0,13.78,12.06,9.94,9.25,9.59,11.78,14.12,16.69,19.38,21.47,21.97,21.28,20.25,19.75,19.56,18.16,17.06,16.25,15.75,14.53,14.0,14.81,16.41,18.44,20.16,21.91,23.59,23.91,22.38,20.5,18.72,17.09,15.31,14.38,15.03,16.38,17.41,18.25,19.0,19.84,19.75,19.25,18.94,18.97,18.97,18.31,18.03,18.81,20.53,21.78,23.06,24.78,25.91,25.47,24.41,22.91,21.97,21.06,19.81,19.12,19.28,19.28,18.53,18.06,17.88,18.41,18.31,18.0,18.59,19.72,20.44,21.12,22.06,23.09,23.44,22.22,21.0,20.41,20.44,20.31,20.84,22.12,23.41,23.38,22.84,22.0,21.69,21.44,21.22,21.19,21.84,22.09,21.03,19.69,18.62,18.03,16.88,16.25,16.34,16.94,16.59,15.59,14.62,14.12,12.78,11.78,11.78,13.28,14.78,16.19,17.31,19.03,19.94,19.38,18.38,17.22,15.88,13.84,11.81,10.66,10.62,10.81,11.03,11.56,12.28,13.16,13.25,13.53,14.62,16.38,17.38,18.44,19.75,21.34,22.34,22.78,23.09,23.38,22.75,21.53,19.81,19.38,19.0,18.78,18.5,18.91,19.44,18.94,17.81,16.44,15.34,13.72,12.22,11.31,12.25,13.41,14.56,15.84,17.88,19.91,20.47,20.78,21.28,22.53,22.66,22.75,22.94,23.22,22.41,21.09,19.16,18.28,17.28,15.81,14.59,14.22,14.09,13.53,12.81,13.25,14.03,14.69,15.38,16.06,17.41,18.56,19.25,19.66,20.53,21.0,20.47,20.19,20.84,22.12,22.69,22.69,22.47,21.88,20.75,18.56,16.72,15.84,15.38,15.38,16.19,18.78,21.78,23.78,24.44,25.06,24.78,23.06,20.41,18.56,17.38,16.56,16.03,16.34,17.94,18.69,17.59,15.62,13.59,11.28,8.44,6.56,6.41,7.38,8.75,10.06,11.88,14.03,15.28,15.56,15.41,15.97,16.0,15.72,15.03,15.31,15.81,15.62,14.62,14.84,15.28,15.5,15.47,15.97,16.88,17.16,16.88,16.5,17.09,18.16,18.56,18.91,19.78,19.88,18.91,17.22,16.28,15.91,16.72,17.81,20.38,23.78,26.62,27.53,27.16,26.06,23.81,20.38,16.75,14.47,13.56,12.69,12.69,13.56,15.47,17.19,18.0,19.0,20.03,21.19,21.59,21.91,23.5,25.38,26.56,27.06,27.47,28.0,27.5,26.03,25.41,25.56,26.12,26.78,28.38,30.91,33.19,34.19,33.91,33.5,32.25,29.84,26.5,23.88,21.5,18.84,15.38,12.59,34.69,34.75,34.84,34.59,34.66,34.97,35.12,35.34,34.69,34.25,33.72,33.5,33.25,33.72,34.34,34.59,34.22,33.94,33.56,33.38,33.09:26.94,26.44,26.09,25.66,24.56,24.0,24.06,23.97,22.91,22.0,21.75,21.25,20.34,19.62,20.25,21.41,21.94,22.12,22.34,22.72,22.88,22.94,23.78,26.19,28.12,29.22,30.28,31.88,33.34,34.0,34.5,35.81,35.78,34.53,32.59,30.34,28.44,26.53,24.88,23.75,24.34,24.97,25.34,25.84,26.31,26.66,25.72,24.62,24.44,24.62,25.41,26.38,27.84,29.59,30.94,30.94,30.62,31.12,30.94,30.09,29.44,29.31,29.38,28.56,27.88,28.03,28.47,28.31,27.41,26.84,26.16,25.0,23.72,22.62,22.78,23.5,23.88,24.53,25.28,26.0,25.53,24.03,22.84,22.03,21.22,21.03,21.56,23.16,25.0,26.03,26.31,26.91,27.31,26.62,25.47,24.94,24.41,22.91,20.84,19.53,18.91,18.38,17.53,17.12,17.56,18.38,19.0,19.53,21.66,24.12,26.47,28.34,31.12,34.03,35.38,35.56,34.72,33.06,30.56,26.28,21.53,18.16,15.25,11.91,9.34,8.41,7.91,7.19,6.16,6.19,6.69,7.06,7.44,8.97,11.72,14.56,17.09,19.19,21.69,23.38,24.03,24.0,25.19,26.53,27.06,26.88,27.0,26.94,25.69,23.0,20.12,17.28,13.5,8.84,4.72,2.28,0.59,-0.19,0.16,2.66,6.09,9.94,13.81,18.06,22.72,26.5,29.25,31.62,33.88,35.38,35.91,36.09,37.12,38.06,38.22,37.34,36.41,34.62,31.78,27.97,25.28,23.78,23.59,23.28,23.53,24.19,23.66,21.47,18.41,16.09,13.97,12.25,10.34,9.59,9.78,9.91,10.12,11.44,14.19,16.78,18.25,19.31,20.19,19.81,18.53,16.94,16.38,16.56,17.12,18.06,20.22,23.22,25.91,27.19,28.94,30.78,31.62,31.19,30.62,30.75,30.69,30.19,29.72,29.78,29.91,29.41,27.94,26.78,25.69,24.5,22.81,21.75,21.66,21.53,20.69,20.16,20.94,22.59,23.34,23.78,24.47,25.5,25.03,24.06,23.81,23.56,22.66,21.06,20.41,20.91,22.28,22.94,23.62,25.22,27.09,28.09,29.0,30.09,31.53,32.06,31.44,31.59,32.56,33.5,33.34,33.75,34.47,35.16,34.5,34.22,34.84,36.03,36.06,35.34,34.97,34.41,32.78,30.41,28.34,27.19,26.16,24.44,23.0,22.72,22.72,21.94,21.31,22.06,22.81,22.94,22.56,22.62,22.75,22.69,21.91,22.06,23.16,24.88,25.78,26.81,28.72,30.56,31.19,31.16,31.84,32.66,32.56,32.19,33.12,34.56,35.53,35.31,35.09,35.84,36.06,35.22,34.69,34.97,35.56,35.34,35.09,35.38,36.16,36.03,34.94,34.22,34.06,33.78,32.75,32.59,33.66,35.16,35.03,34.81,34.5,33.75,31.84,29.97,29.06,28.75,28.03,26.72,25.75,25.47,25.12,24.34,24.25,25.31,26.94,27.25,27.56,28.44,29.53,29.03,28.16,27.47,27.5,26.81,25.38,24.78,24.94,24.97,24.31,23.62,24.03,24.72,24.12,23.88,24.12,24.88,24.78,24.28,24.44,25.5,26.19,25.75,25.94,26.62,27.06,26.59,25.94,25.91,26.41,25.56,24.53,24.19,23.91,22.28,20.09,18.62,17.88,17.31,16.28,15.56,16.16,16.34,15.53,14.94,15.38,16.5,16.62,17.0,18.06,19.78,20.34,20.38,20.69,21.41,22.03,22.16,22.03,22.91,23.5,22.78,21.72,21.94,22.66,22.41,22.53,22.97,23.84,23.56,22.62,22.03,21.91,21.88,21.03,20.81,20.97,21.09,19.91,18.47,17.97,18.03,17.88,18.16,19.0,20.81,21.5,21.47,20.91,20.56,19.31,16.72,14.72,13.56,12.81,11.25,9.88,8.94,8.72,7.81,6.5,6.0,6.56,6.94,7.25,8.19,10.78,12.84,14.03,14.84,15.97,16.91,17.09,17.38,18.97,21.22,22.94,23.94,25.16,26.25,25.69,23.69,21.25,18.84,16.38,12.75,9.75,7.91,7.09,6.31,5.81,6.44,7.97,9.09,9.19,9.31,10.16,10.16,9.59,9.34,10.5,12.25,13.34,14.25,15.16,15.75,14.22,11.62,9.22,7.72,5.66,4.09,4.06,5.91,8.12,10.16,12.34,14.53,16.12,16.16,15.81,16.03,17.16,17.88,17.88,18.31,18.53,17.47,15.81,14.22,13.94,13.78,13.25,13.12,14.31,16.41,17.72,19.25,21.31,23.25,23.75,22.97,22.12,21.88,21.16,20.31,19.59,20.91,21.59,21.47,21.28,21.91,22.41,22.19,22.0,22.88,23.62,23.72,23.12,22.66,22.41,22.0,21.16,20.69,21.84,23.28,24.31,25.38,27.0,27.75,27.16,25.69,24.59,23.97,23.88,23.56,24.25,25.75,26.66,26.62,25.81,25.59,24.31,22.0,19.28,17.06,15.97,14.66,13.41,13.38,13.94,14.53,14.81,15.84,17.66,19.19,20.12,20.81,22.12,23.59,23.94,23.91,24.56,25.22,25.44,25.22,25.28,25.97,25.88,25.03,23.81,23.31,22.47,20.62,18.91,17.94,17.28,15.94,14.38,13.44,13.28,13.06,13.09,14.19,16.47,18.72,19.56,20.16,21.28,21.84,21.62,21.28,21.94,22.31,21.81,20.38,18.88,16.94,14.47,11.34,8.97,8.62,9.44,10.47,12.75,16.28,19.97,22.31,23.78,25.38,26.12,26.31,25.56,25.53,26.22,26.75,26.53,26.56,27.38,27.97,27.69,27.34,28.16,28.03,26.97,25.0,23.47,22.03,20.19,18.62,18.28,19.03,19.88,19.97,19.5,19.53,19.19,18.06,17.31,17.69,18.34,18.47,18.53,19.19,20.5,21.34,22.28,23.88,25.88,27.81,28.84,29.06,30.19,30.44,29.91,28.91,28.47,28.28,27.28,26.0,24.81,24.34,23.16,21.16,20.09,19.97,20.12,20.09,21.06,22.91,25.06,26.16,26.72,27.62,27.91,27.38,26.0,24.84,23.81,22.69,21.0,20.25,20.5,21.22,20.84,21.06,21.47,21.78,21.44,20.94,20.84,20.91,20.22,18.66,17.44,16.69,15.81,14.56,13.97,14.41,15.5,15.81,16.62,18.16,19.28,19.53,19.5,19.5,20.47,20.84,20.72,20.66,20.91,20.5,18.78,17.38,17.0,16.72,15.66,14.94,15.38,15.78,15.75,15.59,15.91,16.41,16.34,15.88,16.28,17.53,18.75,18.75,18.94,19.62,20.75,20.59,20.53,20.84,21.0,20.5,19.25,18.5,18.56,18.34,17.5,17.0,16.88,16.66,15.0,13.5,13.28,13.75,14.19,15.0,16.59,18.34,19.19,18.75,18.56,17.91,17.03,15.38,14.53,15.09,16.56,17.56,18.75,20.12,20.97,20.59,19.47,18.66,18.62,18.94,19.12,19.84,20.66,20.22,18.19,16.0,13.78,12.06,9.94,9.25,9.59,11.78,14.12,16.69,19.38,21.47,21.97,21.28,20.25,19.75,19.56,18.16,17.06,16.25,15.75,14.53,14.0,14.81,16.41,18.44,20.16,21.91,23.59,23.91,22.38,20.5,18.72,17.09,15.31,14.38,15.03,16.38,17.41,18.25,19.0,19.84,19.75,19.25,18.94,18.97,18.97,18.31,18.03,18.81,20.53,21.78,23.06,24.78,25.91,25.47,24.41,22.91,21.97,21.06,19.81,19.12,19.28,19.28,18.53,18.06,17.88,18.41,18.31,18.0,18.59,19.72,20.44,21.12,22.06,23.09,23.44,22.22,21.0,20.41,20.44,20.31,20.84,22.12,23.41,23.38,22.84,22.0,21.69,21.44,21.22,21.19,21.84,22.09,21.03,19.69,18.62,18.03,16.88,16.25,16.34,16.94,16.59,15.59,14.62,14.12,12.78,11.78,11.78,13.28,14.78,16.19,17.31,19.03,19.94,19.38,18.38,17.22,15.88,13.84,11.81,10.66,10.62,10.81,11.03,11.56,12.28,13.16,13.25,13.53,14.62,16.38,17.38,18.44,19.75,21.34,22.34,22.78,23.09,23.38,22.75,21.53,19.81,19.38,19.0,18.78,18.5,18.91,19.44,18.94,17.81,16.44,15.34,13.72,12.22,11.31,12.25,13.41,14.56,15.84,17.88,19.91,20.47,20.78,21.28,22.53,22.66,22.75,22.94,23.22,22.41,21.09,19.16,18.28,17.28,15.81,14.59,14.22,14.09,13.53,12.81,13.25,14.03,14.69,15.38,16.06,17.41,18.56,19.25,19.66,20.53,21.0,20.47,20.19,20.84,22.12,22.69,22.69,22.47,21.88,20.75,18.56,16.72,15.84,15.38,15.38,16.19,18.78,21.78,23.78,24.44,25.06,24.78,23.06,20.41,18.56,17.38,16.56,16.03,16.34,17.94,18.69,17.59,15.62,13.59,11.28,8.44,6.56,6.41,7.38,8.75,10.06,11.88,14.03,15.28,15.56,15.41,15.97,16.0,15.72,15.03,15.31,15.81,15.62,14.62,14.84,15.28,15.5,15.47,15.97,16.88,17.16,16.88,16.5,17.09,18.16,18.56,18.91,19.78,19.88,18.91,17.22,16.28,15.91,16.72,17.81,20.38,23.78,26.62,27.53,27.16,26.06,23.81,20.38,16.75,14.47,13.56,12.69,12.69,13.56,15.47,17.19,18.0,19.0,20.03,21.19,21.59,21.91,23.5,25.38,26.56,27.06,27.47,28.0,27.5,26.03,25.41,25.56,26.12,26.78,28.38,30.91,33.19,34.19,33.91,33.5,32.25,29.84,26.5,23.88,21.5,18.84,15.38,12.59,34.69,34.75,34.84,34.59,34.66,34.97,35.12,35.34,34.69,34.25,33.72,33.5,33.25,33.72,34.34,34.59,34.22,33.94,33.56,33.38,33.09,33.44,33.81,34.53,34.81,35.19,35.22,35.31:23.97,22.91,22.0,21.75,21.25,20.34,19.62,20.25,21.41,21.94,22.12,22.34,22.72,22.88,22.94,23.78,26.19,28.12,29.22,30.28,31.88,33.34,34.0,34.5,35.81,35.78,34.53,32.59,30.34,28.44,26.53,24.88,23.75,24.34,24.97,25.34,25.84,26.31,26.66,25.72,24.62,24.44,24.62,25.41,26.38,27.84,29.59,30.94,30.94,30.62,31.12,30.94,30.09,29.44,29.31,29.38,28.56,27.88,28.03,28.47,28.31,27.41,26.84,26.16,25.0,23.72,22.62,22.78,23.5,23.88,24.53,25.28,26.0,25.53,24.03,22.84,22.03,21.22,21.03,21.56,23.16,25.0,26.03,26.31,26.91,27.31,26.62,25.47,24.94,24.41,22.91,20.84,19.53,18.91,18.38,17.53,17.12,17.56,18.38,19.0,19.53,21.66,24.12,26.47,28.34,31.12,34.03,35.38,35.56,34.72,33.06,30.56,26.28,21.53,18.16,15.25,11.91,9.34,8.41,7.91,7.19,6.16,6.19,6.69,7.06,7.44,8.97,11.72,14.56,17.09,19.19,21.69,23.38,24.03,24.0,25.19,26.53,27.06,26.88,27.0,26.94,25.69,23.0,20.12,17.28,13.5,8.84,4.72,2.28,0.59,-0.19,0.16,2.66,6.09,9.94,13.81,18.06,22.72,26.5,29.25,31.62,33.88,35.38,35.91,36.09,37.12,38.06,38.22,37.34,36.41,34.62,31.78,27.97,25.28,23.78,23.59,23.28,23.53,24.19,23.66,21.47,18.41,16.09,13.97,12.25,10.34,9.59,9.78,9.91,10.12,11.44,14.19,16.78,18.25,19.31,20.19,19.81,18.53,16.94,16.38,16.56,17.12,18.06,20.22,23.22,25.91,27.19,28.94,30.78,31.62,31.19,30.62,30.75,30.69,30.19,29.72,29.78,29.91,29.41,27.94,26.78,25.69,24.5,22.81,21.75,21.66,21.53,20.69,20.16,20.94,22.59,23.34,23.78,24.47,25.5,25.03,24.06,23.81,23.56,22.66,21.06,20.41,20.91,22.28,22.94,23.62,25.22,27.09,28.09,29.0,30.09,31.53,32.06,31.44,31.59,32.56,33.5,33.34,33.75,34.47,35.16,34.5,34.22,34.84,36.03,36.06,35.34,34.97,34.41,32.78,30.41,28.34,27.19,26.16,24.44,23.0,22.72,22.72,21.94,21.31,22.06,22.81,22.94,22.56,22.62,22.75,22.69,21.91,22.06,23.16,24.88,25.78,26.81,28.72,30.56,31.19,31.16,31.84,32.66,32.56,32.19,33.12,34.56,35.53,35.31,35.09,35.84,36.06,35.22,34.69,34.97,35.56,35.34,35.09,35.38,36.16,36.03,34.94,34.22,34.06,33.78,32.75,32.59,33.66,35.16,35.03,34.81,34.5,33.75,31.84,29.97,29.06,28.75,28.03,26.72,25.75,25.47,25.12,24.34,24.25,25.31,26.94,27.25,27.56,28.44,29.53,29.03,28.16,27.47,27.5,26.81,25.38,24.78,24.94,24.97,24.31,23.62,24.03,24.72,24.12,23.88,24.12,24.88,24.78,24.28,24.44,25.5,26.19,25.75,25.94,26.62,27.06,26.59,25.94,25.91,26.41,25.56,24.53,24.19,23.91,22.28,20.09,18.62,17.88,17.31,16.28,15.56,16.16,16.34,15.53,14.94,15.38,16.5,16.62,17.0,18.06,19.78,20.34,20.38,20.69,21.41,22.03,22.16,22.03,22.91,23.5,22.78,21.72,21.94,22.66,22.41,22.53,22.97,23.84,23.56,22.62,22.03,21.91,21.88,21.03,20.81,20.97,21.09,19.91,18.47,17.97,18.03,17.88,18.16,19.0,20.81,21.5,21.47,20.91,20.56,19.31,16.72,14.72,13.56,12.81,11.25,9.88,8.94,8.72,7.81,6.5,6.0,6.56,6.94,7.25,8.19,10.78,12.84,14.03,14.84,15.97,16.91,17.09,17.38,18.97,21.22,22.94,23.94,25.16,26.25,25.69,23.69,21.25,18.84,16.38,12.75,9.75,7.91,7.09,6.31,5.81,6.44,7.97,9.09,9.19,9.31,10.16,10.16,9.59,9.34,10.5,12.25,13.34,14.25,15.16,15.75,14.22,11.62,9.22,7.72,5.66,4.09,4.06,5.91,8.12,10.16,12.34,14.53,16.12,16.16,15.81,16.03,17.16,17.88,17.88,18.31,18.53,17.47,15.81,14.22,13.94,13.78,13.25,13.12,14.31,16.41,17.72,19.25,21.31,23.25,23.75,22.97,22.12,21.88,21.16,20.31,19.59,20.91,21.59,21.47,21.28,21.91,22.41,22.19,22.0,22.88,23.62,23.72,23.12,22.66,22.41,22.0,21.16,20.69,21.84,23.28,24.31,25.38,27.0,27.75,27.16,25.69,24.59,23.97,23.88,23.56,24.25,25.75,26.66,26.62,25.81,25.59,24.31,22.0,19.28,17.06,15.97,14.66,13.41,13.38,13.94,14.53,14.81,15.84,17.66,19.19,20.12,20.81,22.12,23.59,23.94,23.91,24.56,25.22,25.44,25.22,25.28,25.97,25.88,25.03,23.81,23.31,22.47,20.62,18.91,17.94,17.28,15.94,14.38,13.44,13.28,13.06,13.09,14.19,16.47,18.72,19.56,20.16,21.28,21.84,21.62,21.28,21.94,22.31,21.81,20.38,18.88,16.94,14.47,11.34,8.97,8.62,9.44,10.47,12.75,16.28,19.97,22.31,23.78,25.38,26.12,26.31,25.56,25.53,26.22,26.75,26.53,26.56,27.38,27.97,27.69,27.34,28.16,28.03,26.97,25.0,23.47,22.03,20.19,18.62,18.28,19.03,19.88,19.97,19.5,19.53,19.19,18.06,17.31,17.69,18.34,18.47,18.53,19.19,20.5,21.34,22.28,23.88,25.88,27.81,28.84,29.06,30.19,30.44,29.91,28.91,28.47,28.28,27.28,26.0,24.81,24.34,23.16,21.16,20.09,19.97,20.12,20.09,21.06,22.91,25.06,26.16,26.72,27.62,27.91,27.38,26.0,24.84,23.81,22.69,21.0,20.25,20.5,21.22,20.84,21.06,21.47,21.78,21.44,20.94,20.84,20.91,20.22,18.66,17.44,16.69,15.81,14.56,13.97,14.41,15.5,15.81,16.62,18.16,19.28,19.53,19.5,19.5,20.47,20.84,20.72,20.66,20.91,20.5,18.78,17.38,17.0,16.72,15.66,14.94,15.38,15.78,15.75,15.59,15.91,16.41,16.34,15.88,16.28,17.53,18.75,18.75,18.94,19.62,20.75,20.59,20.53,20.84,21.0,20.5,19.25,18.5,18.56,18.34,17.5,17.0,16.88,16.66,15.0,13.5,13.28,13.75,14.19,15.0,16.59,18.34,19.19,18.75,18.56,17.91,17.03,15.38,14.53,15.09,16.56,17.56,18.75,20.12,20.97,20.59,19.47,18.66,18.62,18.94,19.12,19.84,20.66,20.22,18.19,16.0,13.78,12.06,9.94,9.25,9.59,11.78,14.12,16.69,19.38,21.47,21.97,21.28,20.25,19.75,19.56,18.16,17.06,16.25,15.75,14.53,14.0,14.81,16.41,18.44,20.16,21.91,23.59,23.91,22.38,20.5,18.72,17.09,15.31,14.38,15.03,16.38,17.41,18.25,19.0,19.84,19.75,19.25,18.94,18.97,18.97,18.31,18.03,18.81,20.53,21.78,23.06,24.78,25.91,25.47,24.41,22.91,21.97,21.06,19.81,19.12,19.28,19.28,18.53,18.06,17.88,18.41,18.31,18.0,18.59,19.72,20.44,21.12,22.06,23.09,23.44,22.22,21.0,20.41,20.44,20.31,20.84,22.12,23.41,23.38,22.84,22.0,21.69,21.44,21.22,21.19,21.84,22.09,21.03,19.69,18.62,18.03,16.88,16.25,16.34,16.94,16.59,15.59,14.62,14.12,12.78,11.78,11.78,13.28,14.78,16.19,17.31,19.03,19.94,19.38,18.38,17.22,15.88,13.84,11.81,10.66,10.62,10.81,11.03,11.56,12.28,13.16,13.25,13.53,14.62,16.38,17.38,18.44,19.75,21.34,22.34,22.78,23.09,23.38,22.75,21.53,19.81,19.38,19.0,18.78,18.5,18.91,19.44,18.94,17.81,16.44,15.34,13.72,12.22,11.31,12.25,13.41,14.56,15.84,17.88,19.91,20.47,20.78,21.28,22.53,22.66,22.75,22.94,23.22,22.41,21.09,19.16,18.28,17.28,15.81,14.59,14.22,14.09,13.53,12.81,13.25,14.03,14.69,15.38,16.06,17.41,18.56,19.25,19.66,20.53,21.0,20.47,20.19,20.84,22.12,22.69,22.69,22.47,21.88,20.75,18.56,16.72,15.84,15.38,15.38,16.19,18.78,21.78,23.78,24.44,25.06,24.78,23.06,20.41,18.56,17.38,16.56,16.03,16.34,17.94,18.69,17.59,15.62,13.59,11.28,8.44,6.56,6.41,7.38,8.75,10.06,11.88,14.03,15.28,15.56,15.41,15.97,16.0,15.72,15.03,15.31,15.81,15.62,14.62,14.84,15.28,15.5,15.47,15.97,16.88,17.16,16.88,16.5,17.09,18.16,18.56,18.91,19.78,19.88,18.91,17.22,16.28,15.91,16.72,17.81,20.38,23.78,26.62,27.53,27.16,26.06,23.81,20.38,16.75,14.47,13.56,12.69,12.69,13.56,15.47,17.19,18.0,19.0,20.03,21.19,21.59,21.91,23.5,25.38,26.56,27.06,27.47,28.0,27.5,26.03,25.41,25.56,26.12,26.78,28.38,30.91,33.19,34.19,33.91,33.5,32.25,29.84,26.5,23.88,21.5,18.84,15.38,12.59,34.69,34.75,34.84,34.59,34.66,34.97,35.12,35.34,34.69,34.25,33.72,33.5,33.25,33.72,34.34,34.59,34.22,33.94,33.56,33.38,33.09,33.44,33.81,34.53,34.81,35.19,35.22,35.31,35.69,35.66,35.75,36.28,36.62,36.34,36.31:20.25,21.41,21.94,22.12,22.34,22.72,22.88,22.94,23.78,26.19,28.12,29.22,30.28,31.88,33.34,34.0,34.5,35.81,35.78,34.53,32.59,30.34,28.44,26.53,24.88,23.75,24.34,24.97,25.34,25.84,26.31,26.66,25.72,24.62,24.44,24.62,25.41,26.38,27.84,29.59,30.94,30.94,30.62,31.12,30.94,30.09,29.44,29.31,29.38,28.56,27.88,28.03,28.47,28.31,27.41,26.84,26.16,25.0,23.72,22.62,22.78,23.5,23.88,24.53,25.28,26.0,25.53,24.03,22.84,22.03,21.22,21.03,21.56,23.16,25.0,26.03,26.31,26.91,27.31,26.62,25.47,24.94,24.41,22.91,20.84,19.53,18.91,18.38,17.53,17.12,17.56,18.38,19.0,19.53,21.66,24.12,26.47,28.34,31.12,34.03,35.38,35.56,34.72,33.06,30.56,26.28,21.53,18.16,15.25,11.91,9.34,8.41,7.91,7.19,6.16,6.19,6.69,7.06,7.44,8.97,11.72,14.56,17.09,19.19,21.69,23.38,24.03,24.0,25.19,26.53,27.06,26.88,27.0,26.94,25.69,23.0,20.12,17.28,13.5,8.84,4.72,2.28,0.59,-0.19,0.16,2.66,6.09,9.94,13.81,18.06,22.72,26.5,29.25,31.62,33.88,35.38,35.91,36.09,37.12,38.06,38.22,37.34,36.41,34.62,31.78,27.97,25.28,23.78,23.59,23.28,23.53,24.19,23.66,21.47,18.41,16.09,13.97,12.25,10.34,9.59,9.78,9.91,10.12,11.44,14.19,16.78,18.25,19.31,20.19,19.81,18.53,16.94,16.38,16.56,17.12,18.06,20.22,23.22,25.91,27.19,28.94,30.78,31.62,31.19,30.62,30.75,30.69,30.19,29.72,29.78,29.91,29.41,27.94,26.78,25.69,24.5,22.81,21.75,21.66,21.53,20.69,20.16,20.94,22.59,23.34,23.78,24.47,25.5,25.03,24.06,23.81,23.56,22.66,21.06,20.41,20.91,22.28,22.94,23.62,25.22,27.09,28.09,29.0,30.09,31.53,32.06,31.44,31.59,32.56,33.5,33.34,33.75,34.47,35.16,34.5,34.22,34.84,36.03,36.06,35.34,34.97,34.41,32.78,30.41,28.34,27.19,26.16,24.44,23.0,22.72,22.72,21.94,21.31,22.06,22.81,22.94,22.56,22.62,22.75,22.69,21.91,22.06,23.16,24.88,25.78,26.81,28.72,30.56,31.19,31.16,31.84,32.66,32.56,32.19,33.12,34.56,35.53,35.31,35.09,35.84,36.06,35.22,34.69,34.97,35.56,35.34,35.09,35.38,36.16,36.03,34.94,34.22,34.06,33.78,32.75,32.59,33.66,35.16,35.03,34.81,34.5,33.75,31.84,29.97,29.06,28.75,28.03,26.72,25.75,25.47,25.12,24.34,24.25,25.31,26.94,27.25,27.56,28.44,29.53,29.03,28.16,27.47,27.5,26.81,25.38,24.78,24.94,24.97,24.31,23.62,24.03,24.72,24.12,23.88,24.12,24.88,24.78,24.28,24.44,25.5,26.19,25.75,25.94,26.62,27.06,26.59,25.94,25.91,26.41,25.56,24.53,24.19,23.91,22.28,20.09,18.62,17.88,17.31,16.28,15.56,16.16,16.34,15.53,14.94,15.38,16.5,16.62,17.0,18.06,19.78,20.34,20.38,20.69,21.41,22.03,22.16,22.03,22.91,23.5,22.78,21.72,21.94,22.66,22.41,22.53,22.97,23.84,23.56,22.62,22.03,21.91,21.88,21.03,20.81,20.97,21.09,19.91,18.47,17.97,18.03,17.88,18.16,19.0,20.81,21.5,21.47,20.91,20.56,19.31,16.72,14.72,13.56,12.81,11.25,9.88,8.94,8.72,7.81,6.5,6.0,6.56,6.94,7.25,8.19,10.78,12.84,14.03,14.84,15.97,16.91,17.09,17.38,18.97,21.22,22.94,23.94,25.16,26.25,25.69,23.69,21.25,18.84,16.38,12.75,9.75,7.91,7.09,6.31,5.81,6.44,7.97,9.09,9.19,9.31,10.16,10.16,9.59,9.34,10.5,12.25,13.34,14.25,15.16,15.75,14.22,11.62,9.22,7.72,5.66,4.09,4.06,5.91,8.12,10.16,12.34,14.53,16.12,16.16,15.81,16.03,17.16,17.88,17.88,18.31,18.53,17.47,15.81,14.22,13.94,13.78,13.25,13.12,14.31,16.41,17.72,19.25,21.31,23.25,23.75,22.97,22.12,21.88,21.16,20.31,19.59,20.91,21.59,21.47,21.28,21.91,22.41,22.19,22.0,22.88,23.62,23.72,23.12,22.66,22.41,22.0,21.16,20.69,21.84,23.28,24.31,25.38,27.0,27.75,27.16,25.69,24.59,23.97,23.88,23.56,24.25,25.75,26.66,26.62,25.81,25.59,24.31,22.0,19.28,17.06,15.97,14.66,13.41,13.38,13.94,14.53,14.81,15.84,17.66,19.19,20.12,20.81,22.12,23.59,23.94,23.91,24.56,25.22,25.44,25.22,25.28,25.97,25.88,25.03,23.81,23.31,22.47,20.62,18.91,17.94,17.28,15.94,14.38,13.44,13.28,13.06,13.09,14.19,16.47,18.72,19.56,20.16,21.28,21.84,21.62,21.28,21.94,22.31,21.81,20.38,18.88,16.94,14.47,11.34,8.97,8.62,9.44,10.47,12.75,16.28,19.97,22.31,23.78,25.38,26.12,26.31,25.56,25.53,26.22,26.75,26.53,26.56,27.38,27.97,27.69,27.34,28.16,28.03,26.97,25.0,23.47,22.03,20.19,18.62,18.28,19.03,19.88,19.97,19.5,19.53,19.19,18.06,17.31,17.69,18.34,18.47,18.53,19.19,20.5,21.34,22.28,23.88,25.88,27.81,28.84,29.06,30.19,30.44,29.91,28.91,28.47,28.28,27.28,26.0,24.81,24.34,23.16,21.16,20.09,19.97,20.12,20.09,21.06,22.91,25.06,26.16,26.72,27.62,27.91,27.38,26.0,24.84,23.81,22.69,21.0,20.25,20.5,21.22,20.84,21.06,21.47,21.78,21.44,20.94,20.84,20.91,20.22,18.66,17.44,16.69,15.81,14.56,13.97,14.41,15.5,15.81,16.62,18.16,19.28,19.53,19.5,19.5,20.47,20.84,20.72,20.66,20.91,20.5,18.78,17.38,17.0,16.72,15.66,14.94,15.38,15.78,15.75,15.59,15.91,16.41,16.34,15.88,16.28,17.53,18.75,18.75,18.94,19.62,20.75,20.59,20.53,20.84,21.0,20.5,19.25,18.5,18.56,18.34,17.5,17.0,16.88,16.66,15.0,13.5,13.28,13.75,14.19,15.0,16.59,18.34,19.19,18.75,18.56,17.91,17.03,15.38,14.53,15.09,16.56,17.56,18.75,20.12,20.97,20.59,19.47,18.66,18.62,18.94,19.12,19.84,20.66,20.22,18.19,16.0,13.78,12.06,9.94,9.25,9.59,11.78,14.12,16.69,19.38,21.47,21.97,21.28,20.25,19.75,19.56,18.16,17.06,16.25,15.75,14.53,14.0,14.81,16.41,18.44,20.16,21.91,23.59,23.91,22.38,20.5,18.72,17.09,15.31,14.38,15.03,16.38,17.41,18.25,19.0,19.84,19.75,19.25,18.94,18.97,18.97,18.31,18.03,18.81,20.53,21.78,23.06,24.78,25.91,25.47,24.41,22.91,21.97,21.06,19.81,19.12,19.28,19.28,18.53,18.06,17.88,18.41,18.31,18.0,18.59,19.72,20.44,21.12,22.06,23.09,23.44,22.22,21.0,20.41,20.44,20.31,20.84,22.12,23.41,23.38,22.84,22.0,21.69,21.44,21.22,21.19,21.84,22.09,21.03,19.69,18.62,18.03,16.88,16.25,16.34,16.94,16.59,15.59,14.62,14.12,12.78,11.78,11.78,13.28,14.78,16.19,17.31,19.03,19.94,19.38,18.38,17.22,15.88,13.84,11.81,10.66,10.62,10.81,11.03,11.56,12.28,13.16,13.25,13.53,14.62,16.38,17.38,18.44,19.75,21.34,22.34,22.78,23.09,23.38,22.75,21.53,19.81,19.38,19.0,18.78,18.5,18.91,19.44,18.94,17.81,16.44,15.34,13.72,12.22,11.31,12.25,13.41,14.56,15.84,17.88,19.91,20.47,20.78,21.28,22.53,22.66,22.75,22.94,23.22,22.41,21.09,19.16,18.28,17.28,15.81,14.59,14.22,14.09,13.53,12.81,13.25,14.03,14.69,15.38,16.06,17.41,18.56,19.25,19.66,20.53,21.0,20.47,20.19,20.84,22.12,22.69,22.69,22.47,21.88,20.75,18.56,16.72,15.84,15.38,15.38,16.19,18.78,21.78,23.78,24.44,25.06,24.78,23.06,20.41,18.56,17.38,16.56,16.03,16.34,17.94,18.69,17.59,15.62,13.59,11.28,8.44,6.56,6.41,7.38,8.75,10.06,11.88,14.03,15.28,15.56,15.41,15.97,16.0,15.72,15.03,15.31,15.81,15.62,14.62,14.84,15.28,15.5,15.47,15.97,16.88,17.16,16.88,16.5,17.09,18.16,18.56,18.91,19.78,19.88,18.91,17.22,16.28,15.91,16.72,17.81,20.38,23.78,26.62,27.53,27.16,26.06,23.81,20.38,16.75,14.47,13.56,12.69,12.69,13.56,15.47,17.19,18.0,19.0,20.03,21.19,21.59,21.91,23.5,25.38,26.56,27.06,27.47,28.0,27.5,26.03,25.41,25.56,26.12,26.78,28.38,30.91,33.19,34.19,33.91,33.5,32.25,29.84,26.5,23.88,21.5,18.84,15.38,12.59,34.69,34.75,34.84,34.59,34.66,34.97,35.12,35.34,34.69,34.25,33.72,33.5,33.25,33.72,34.34,34.59,34.22,33.94,33.56,33.38,33.09,33.44,33.81,34.53,34.81,35.19,35.22,35.31,35.69,35.66,35.75,36.28,36.62,36.34,36.31,36.16,35.97,35.19,34.75,34.28,33.69,33.88:positivity
13.72,14.84,17.34,17.94,16.88,17.78,19.94,20.66,18.75,17.53,18.22,18.22,15.69,13.25,13.78,15.25,15.03,14.44,16.72,20.62,22.31,21.78,21.91,22.94,22.56,19.53,17.81,19.09,20.5,19.31,17.59,17.75,18.0,15.38,11.56,10.12,10.91,11.06,9.81,10.09,12.41,13.66,11.47,9.81,11.03,12.41,11.53,10.53,12.25,14.78,15.19,14.53,15.53,17.44,18.34,16.38,15.38,16.38,17.12,14.94,12.88,13.16,13.84,12.38,9.97,10.44,12.03,12.66,11.59,12.25,15.06,16.69,16.12,16.34,18.59,20.41,19.0,16.78,16.47,16.97,15.34,13.0,12.88,14.62,14.53,12.5,11.53,13.03,13.94,12.16,11.47,13.75,16.47,16.56,16.19,17.62,20.09,19.81,17.97,18.38,20.38,21.19,19.19,18.09,18.53,18.66,15.53,13.22,13.59,14.81,13.66,12.06,12.59,14.38,13.72,11.31,10.91,12.22,13.28,12.41,12.81,16.03,19.03,18.75,18.09,19.88,21.28,19.78,17.22,16.5,17.06,15.75,12.91,11.41,12.06,12.28,10.28,9.41,11.88,14.56,15.28,15.53,18.03,22.12,22.78,22.0,22.09,23.5,23.31,20.56,18.91,20.09,20.59,18.0,15.56,15.38,15.66,13.19,10.53,10.5,12.09,11.94,10.53,10.78,13.0,13.91,12.38,11.28,12.75,13.56,11.12,7.91,6.91,5.78,3.06,0.09,0.22,3.28,5.12,5.38,6.62,9.56,11.0,9.41,8.22,10.03,12.31,11.88,10.94,11.94,13.66,12.22,9.44,8.91,10.5,11.28,10.62,10.94,13.5,15.41,13.53,11.0,10.66,11.28,9.59,8.0,10.09,13.69,15.12,14.34,13.91,15.03,14.72,12.41,11.91,15.28,18.84,20.06,20.62,22.88,24.81,23.66,20.97,20.28,21.44,21.12,19.34,18.66,19.91,19.75,16.56,13.62,13.69,13.94,12.19,9.97,10.69,12.62,12.03,10.41,10.72,13.03,13.78,12.59,13.06,16.81,20.19,21.75,24.0,28.72,32.78,33.69,32.62,33.25,35.22,35.47,34.59,35.59,38.12,38.22,34.38,30.25,27.91,24.84,19.38,13.75,11.22,9.81,6.72,3.38,3.28,5.88,7.25,7.09,8.44,11.47,12.84,11.5,10.41,12.31,14.56,15.25,15.53,19.5,24.75,27.28,28.5,30.94,34.03,35.0,32.75,30.62,30.41,28.38,23.81,19.09,17.5,17.38,15.69,13.75,14.47,16.44,16.53,14.75,14.88,17.78,19.94,20.81,23.12,28.44,33.22,34.75,35.66,38.44,40.66,40.06,37.88,37.0,37.28,35.91,32.75,31.81,33.0,33.47,31.5,29.81,30.47,30.62,28.22,25.44,25.53,27.06,26.81,25.38,25.25,25.91,24.88,21.28,19.19,20.59,22.16,22.72,23.81,27.78,32.09,33.69,33.81,35.5,37.53,36.97,34.28,32.31,31.81,30.25,26.16,22.88,22.28,21.56,18.78,15.69,15.5,16.31,15.19,13.22,13.72,16.16,17.31,16.75,17.75,20.06,21.75,20.38,19.22,21.06,22.72,22.25,20.66,21.44,22.84,22.0,19.78,19.56,20.75,21.12,19.38,18.53,19.88,20.75,18.78,17.38,18.94,21.19,21.78,21.56,23.12,25.53,26.06,24.66,24.62,27.0,28.12,26.97,26.09,26.94,27.59,25.03,22.06,21.62,21.75,19.44,16.31,15.41,16.06,15.69,13.69,13.22,14.84,16.31,15.38,15.31,17.75,20.78,20.88,20.47,22.5,24.72,24.78,23.09,23.16,24.69,24.81,22.84,21.34,22.0,22.16,19.94,17.84,18.5,20.44,19.66,18.44,19.56,21.88,22.47,21.53,22.16,24.47,25.75,23.91,22.25,22.44,22.69,20.81,19.5,21.03,24.03,25.09,25.0,26.47,28.78,29.28,27.34,25.97,26.44,25.94,23.16,20.91,21.16,21.94,20.38,18.5,18.84,20.44,20.62,19.31,19.59,21.53,21.97,20.25,19.56,20.66,21.78,20.03,18.62,20.22,22.59,22.34,20.88,20.88,21.16,19.5,16.25,14.91,15.91,16.38,14.47,12.88,13.41,13.44,11.25,9.0,9.66,11.69,12.22,11.84,12.88,15.34,16.09,14.28,13.09,13.91,14.44,12.56,11.22,12.56,14.53,14.31,13.59,15.06,18.22,19.62,19.44,20.28,22.16,22.12,19.81,17.41,17.56,17.34,14.41,11.69,11.47,11.84,10.75,8.84,9.44,11.94,12.97,12.34,12.78,14.91,16.09,14.16,12.94,14.16,15.84,15.03,13.78,14.12,15.44,14.12,11.38,10.03,10.34,10.03,8.41,8.03,10.38,11.94,11.19,9.94,10.88,12.06,11.31,10.03,10.94,13.5,14.47,14.06,14.69,17.16,18.41,17.69,17.59,19.88,22.03,21.5,20.78,22.19,23.72,22.81,20.59,19.59,20.12,19.12,16.38,14.97,15.66,15.62,13.38,11.31,11.91,12.62,11.25,9.75,10.47,12.78,13.09,12.62,14.31,18.16,21.41,22.5,24.5,28.47,30.97,30.16,28.19,28.69,28.97,27.31,24.66,24.06,24.59,23.22,20.5,19.12,20.44,21.62,21.06,21.69,24.81,27.53,27.69,26.69,27.75,29.69,28.88,26.88,26.66,27.62,27.41,24.84,22.53,22.16,20.72,16.47,13.16,12.62,13.16,11.88,10.34,11.25,13.41,14.03,13.03,14.25,17.53,19.91,20.53,21.84,25.34,27.88,27.44,26.16,27.28,28.62,27.03,24.53,24.0,24.91,24.31,22.06,21.41,22.81,23.03,20.72,19.03,20.28,20.97,19.34,17.09,17.0,17.44,16.25,14.25,14.88,17.34,19.22,19.31,20.5,24.0,26.88,27.09,27.22,29.69,32.06,31.69,30.19,30.62,32.09,31.41,29.12,28.41,29.16,28.5,24.94,22.03,21.75,21.78,19.5,17.75,18.78,19.69,18.47,16.19,15.81,16.75,16.66,14.84,14.75,17.03,18.97,18.81,18.53,20.94,23.44,23.19,22.56,24.28,26.72,27.44,26.97,28.38,31.0,31.25,28.62,25.31,22.78,19.19,12.53,6.88,4.59,4.03,2.53,1.47,4.09,8.91,12.34,14.16,17.19,21.38,23.5,22.41,21.94,23.59,24.84,23.31,21.66,22.41,23.97,23.38,21.91,22.59,24.38,24.81,22.66,21.88,22.53,21.72,18.09,15.03,14.62,14.88,12.94,11.03,11.81,13.91,14.5,14.19,16.34,20.47,23.22,23.16,23.41,25.34,26.19,23.78,21.78,22.44,23.78,22.97,21.78,22.81,24.88,24.75,22.34,21.03,21.31,20.69,17.41,15.62,16.75,18.34,17.5,16.97,18.66,21.16,20.69,18.47,18.06,19.62,20.19,19.53,20.78,24.72,27.62,26.53,25.53,26.19,26.28,23.34,19.56,19.03,20.22,20.16,19.16,19.88,22.19,22.5,19.91,17.72,18.03,17.88,15.03,12.84,13.66,15.41,14.84,13.91,15.12,17.56,17.59,15.34,14.31,14.72,13.59,10.19,7.56,7.91,8.97,7.88,7.69,10.53,15.19,17.78,19.59,23.38,28.94,32.31,33.06,33.59,35.06,34.22,29.44,24.53,22.56,21.28,18.31,16.12,16.75,19.31,19.72,18.62,18.44,19.22,18.38,15.06,13.59,15.47,17.38,17.38,17.31,19.81,22.78,22.84,21.91,22.31,24.31,24.06,22.28,21.69,23.12,22.69,19.56,16.12,15.62,15.31,12.88,10.78,11.97,14.56,15.0,14.72,16.31,19.94,21.66,21.06,21.28,23.53,24.25,21.72,19.09,18.69,18.41,15.34,12.38,12.06,12.94,12.03,9.75,9.41,11.31,12.72,12.62,14.09,18.25,21.34,21.47,20.69,22.22,24.25,23.69,21.5,21.09,21.41,18.53,13.38,9.78,9.0,8.03,6.31,6.34,9.84,13.03,13.5,12.81,14.19,15.69,13.97,10.22,7.94,7.22,5.12,2.03,1.22,4.31,7.62,8.81,10.66,14.81,18.28,18.38,16.47,14.97,13.41,8.88,2.59,-1.28,-2.09,-3.06,-4.81,-5.0,-1.91,1.06,2.38,4.19,9.03,14.78,18.22,20.69,24.66,29.16,31.06,29.81,29.19,29.72,28.69,25.03,21.69,21.47,20.97,18.0,14.62,14.0,14.19,12.59,9.94,10.16,12.09,13.44,13.06,14.16,18.03,20.19,19.53,18.56,19.19,19.44,17.12,13.31,11.94,11.88,10.28,7.97,8.69,12.41,15.22,15.5,16.41,19.06,20.19,17.88,14.78,14.28,13.78,11.38,8.66,9.47,12.41,14.25,14.5,16.06,19.47,21.44,20.25,19.03,19.84,20.22,17.69,14.78,15.0,16.22,15.88,14.69,16.0,18.75,20.06,18.97,18.62,19.88,19.81,16.81,14.0,13.62,14.12,13.12,12.19,13.44,15.44,15.28,12.38,11.28,11.91,11.88,10.22,10.12,13.19,16.0,16.53,17.12,20.38,23.88,24.78,24.44,26.31,28.91,29.97,29.09,29.47,31.88,33.91,33.25,32.94,34.69,35.69,33.28,29.84,28.56,27.94,25.38,21.53,19.72,20.25,20.03,18.19,18.06,20.62,22.19,21.12,20.06,21.38,22.44,20.62,18.28,17.75,18.34,17.03,14.44,13.47,13.84,13.66,11.25,10.56,12.34,14.41,14.28,13.34,14.59,15.81,14.59,12.47,12.28,13.56,13.53,11.31,10.75,12.19,12.94,11.28,10.44,11.81,13.16,11.41,8.81,8.09,7.84,6.28,3.84,4.28,7.22,9.25,9.62,11.16,14.06,16.34,15.31,14.31,15.72,17.16,16.34,14.53,15.16,16.44,16.03,14.0,13.03,14.03,13.44,10.91,9.25,9.88:20.66,18.75,17.53,18.22,18.22,15.69,13.25,13.78,15.25,15.03,14.44,16.72,20.62,22.31,21.78,21.91,22.94,22.56,19.53,17.81,19.09,20.5,19.31,17.59,17.75,18.0,15.38,11.56,10.12,10.91,11.06,9.81,10.09,12.41,13.66,11.47,9.81,11.03,12.41,11.53,10.53,12.25,14.78,15.19,14.53,15.53,17.44,18.34,16.38,15.38,16.38,17.12,14.94,12.88,13.16,13.84,12.38,9.97,10.44,12.03,12.66,11.59,12.25,15.06,16.69,16.12,16.34,18.59,20.41,19.0,16.78,16.47,16.97,15.34,13.0,12.88,14.62,14.53,12.5,11.53,13.03,13.94,12.16,11.47,13.75,16.47,16.56,16.19,17.62,20.09,19.81,17.97,18.38,20.38,21.19,19.19,18.09,18.53,18.66,15.53,13.22,13.59,14.81,13.66,12.06,12.59,14.38,13.72,11.31,10.91,12.22,13.28,12.41,12.81,16.03,19.03,18.75,18.09,19.88,21.28,19.78,17.22,16.5,17.06,15.75,12.91,11.41,12.06,12.28,10.28,9.41,11.88,14.56,15.28,15.53,18.03,22.12,22.78,22.0,22.09,23.5,23.31,20.56,18.91,20.09,20.59,18.0,15.56,15.38,15.66,13.19,10.53,10.5,12.09,11.94,10.53,10.78,13.0,13.91,12.38,11.28,12.75,13.56,11.12,7.91,6.91,5.78,3.06,0.09,0.22,3.28,5.12,5.38,6.62,9.56,11.0,9.41,8.22,10.03,12.31,11.88,10.94,11.94,13.66,12.22,9.44,8.91,10.5,11.28,10.62,10.94,13.5,15.41,13.53,11.0,10.66,11.28,9.59,8.0,10.09,13.69,15.12,14.34,13.91,15.03,14.72,12.41,11.91,15.28,18.84,20.06,20.62,22.88,24.81,23.66,20.97,20.28,21.44,21.12,19.34,18.66,19.91,19.75,16.56,13.62,13.69,13.94,12.19,9.97,10.69,12.62,12.03,10.41,10.72,13.03,13.78,12.59,13.06,16.81,20.19,21.75,24.0,28.72,32.78,33.69,32.62,33.25,35.22,35.47,34.59,35.59,38.12,38.22,34.38,30.25,27.91,24.84,19.38,13.75,11.22,9.81,6.72,3.38,3.28,5.88,7.25,7.09,8.44,11.47,12.84,11.5,10.41,12.31,14.56,15.25,15.53,19.5,24.75,27.28,28.5,30.94,34.03,35.0,32.75,30.62,30.41,28.38,23.81,19.09,17.5,17.38,15.69,13.75,14.47,16.44,16.53,14.75,14.88,17.78,19.94,20.81,23.12,28.44,33.22,34.75,35.66,38.44,40.66,40.06,37.88,37.0,37.28,35.91,32.75,31.81,33.0,33.47,31.5,29.81,30.47,30.62,28.22,25.44,25.53,27.06,26.81,25.38,25.25,25.91,24.88,21.28,19.19,20.59,22.16,22.72,23.81,27.78,32.09,33.69,33.81,35.5,37.53,36.97,34.28,32.31,31.81,30.25,26.16,22.88,22.28,21.56,18.78,15.69,15.5,16.31,15.19,13.22,13.72,16.16,17.31,16.75,17.75,20.06,21.75,20.38,19.22,21.06,22.72,22.25,20.66,21.44,22.84,22.0,19.78,19.56,20.75,21.12,19.38,18.53,19.88,20.75,18.78,17.38,18.94,21.19,21.78,21.56,23.12,25.53,26.06,24.66,24.62,27.0,28.12,26.97,26.09,26.94,27.59,25.03,22.06,21.62,21.75,19.44,16.31,15.41,16.06,15.69,13.69,13.22,14.84,16.31,15.38,15.31,17.75,20.78,20.88,20.47,22.5,24.72,24.78,23.09,23.16,24.69,24.81,22.84,21.34,22.0,22.16,19.94,17.84,18.5,20.44,19.66,18.44,19.56,21.88,22.47,21.53,22.16,24.47,25.75,23.91,22.25,22.44,22.69,20.81,19.5,21.03,24.03,25.09,25.0,26.47,28.78,29.28,27.34,25.97,26.44,25.94,23.16,20.91,21.16,21.94,20.38,18.5,18.84,20.44,20.62,19.31,19.59,21.53,21.97,20.25,19.56,20.66,21.78,20.03,18.62,20.22,22.59,22.34,20.88,20.88,21.16,19.5,16.25,14.91,15.91,16.38,14.47,12.88,13.41,13.44,11.25,9.0,9.66,11.69,12.22,11.84,12.88,15.34,16.09,14.28,13.09,13.91,14.44,12.56,11.22,12.56,14.53,14.31,13.59,15.06,18.22,19.62,19.44,20.28,22.16,22.12,19.81,17.41,17.56,17.34,14.41,11.69,11.47,11.84,10.75,8.84,9.44,11.94,12.97,12.34,12.78,14.91,16.09,14.16,12.94,14.16,15.84,15.03,13.78,14.12,15.44,14.12,11.38,10.03,10.34,10.03,8.41,8.03,10.38,11.94,11.19,9.94,10.88,12.06,11.31,10.03,10.94,13.5,14.47,14.06,14.69,17.16,18.41,17.69,17.59,19.88,22.03,21.5,20.78,22.19,23.72,22.81,20.59,19.59,20.12,19.12,16.38,14.97,15.66,15.62,13.38,11.31,11.91,12.62,11.25,9.75,10.47,12.78,13.09,12.62,14.31,18.16,21.41,22.5,24.5,28.47,30.97,30.16,28.19,28.69,28.97,27.31,24.66,24.06,24.59,23.22,20.5,19.12,20.44,21.62,21.06,21.69,24.81,27.53,27.69,26.69,27.75,29.69,28.88,26.88,26.66,27.62,27.41,24.84,22.53,22.16,20.72,16.47,13.16,12.62,13.16,11.88,10.34,11.25,13.41,14.03,13.03,14.25,17.53,19.91,20.53,21.84,25.34,27.88,27.44,26.16,27.28,28.62,27.03,24.53,24.0,24.91,24.31,22.06,21.41,22.81,23.03,20.72,19.03,20.28,20.97,19.34,17.09,17.0,17.44,16.25,14.25,14.88,17.34,19.22,19.31,20.5,24.0,26.88,27.09,27.22,29.69,32.06,31.69,30.19,30.62,32.09,31.41,29.12,28.41,29.16,28.5,24.94,22.03,21.75,21.78,19.5,17.75,18.78,19.69,18.47,16.19,15.81,16.75,16.66,14.84,14.75,17.03,18.97,18.81,18.53,20.94,23.44,23.19,22.56,24.28,26.72,27.44,26.97,28.38,31.0,31.25,28.62,25.31,22.78,19.19,12.53,6.88,4.59,4.03,2.53,1.47,4.09,8.91,12.34,14.16,17.19,21.38,23.5,22.41,21.94,23.59,24.84,23.31,21.66,22.41,23.97,23.38,21.91,22.59,24.38,24.81,22.66,21.88,22.53,21.72,18.09,15.03,14.62,14.88,12.94,11.03,11.81,13.91,14.5,14.19,16.34,20.47,23.22,23.16,23.41,25.34,26.19,23.78,21.78,22.44,23.78,22.97,21.78,22.81,24.88,24.75,22.34,21.03,21.31,20.69,17.41,15.62,16.75,18.34,17.5,16.97,18.66,21.16,20.69,18.47,18.06,19.62,20.19,19.53,20.78,24.72,27.62,26.53,25.53,26.19,26.28,23.34,19.56,19.03,20.22,20.16,19.16,19.88,22.19,22.5,19.91,17.72,18.03,17.88,15.03,12.84,13.66,15.41,14.84,13.91,15.12,17.56,17.59,15.34,14.31,14.72,13.59,10.19,7.56,7.91,8.97,7.88,7.69,10.53,15.19,17.78,19.59,23.38,28.94,32.31,33.06,33.59,35.06,34.22,29.44,24.53,22.56,21.28,18.31,16.12,16.75,19.31,19.72,18.62,18.44,19.22,18.38,15.06,13.59,15.47,17.38,17.38,17.31,19.81,22.78,22.84,21.91,22.31,24.31,24.06,22.28,21.69,23.12,22.69,19.56,16.12,15.62,15.31,12.88,10.78,11.97,14.56,15.0,14.72,16.31,19.94,21.66,21.06,21.28,23.53,24.25,21.72,19.09,18.69,18.41,15.34,12.38,12.06,12.94,12.03,9.75,9.41,11.31,12.72,12.62,14.09,18.25,21.34,21.47,20.69,22.22,24.25,23.69,21.5,21.09,21.41,18.53,13.38,9.78,9.0,8.03,6.31,6.34,9.84,13.03,13.5,12.81,14.19,15.69,13.97,10.22,7.94,7.22,5.12,2.03,1.22,4.31,7.62,8.81,10.66,14.81,18.28,18.38,16.47,14.97,13.41,8.88,2.59,-1.28,-2.09,-3.06,-4.81,-5.0,-1.91,1.06,2.38,4.19,9.03,14.78,18.22,20.69,24.66,29.16,31.06,29.81,29.19,29.72,28.69,25.03,21.69,21.47,20.97,18.0,14.62,14.0,14.19,12.59,9.94,10.16,12.09,13.44,13.06,14.16,18.03,20.19,19.53,18.56,19.19,19.44,17.12,13.31,11.94,11.88,10.28,7.97,8.69,12.41,15.22,15.5,16.41,19.06,20.19,17.88,14.78,14.28,13.78,11.38,8.66,9.47,12.41,14.25,14.5,16.06,19.47,21.44,20.25,19.03,19.84,20.22,17.69,14.78,15.0,16.22,15.88,14.69,16.0,18.75,20.06,18.97,18.62,19.88,19.81,16.81,14.0,13.62,14.12,13.12,12.19,13.44,15.44,15.28,12.38,11.28,11.91,11.88,10.22,10.12,13.19,16.0,16.53,17.12,20.38,23.88,24.78,24.44,26.31,28.91,29.97,29.09,29.47,31.88,33.91,33.25,32.94,34.69,35.69,33.28,29.84,28.56,27.94,25.38,21.53,19.72,20.25,20.03,18.19,18.06,20.62,22.19,21.12,20.06,21.38,22.44,20.62,18.28,17.75,18.34,17.03,14.44,13.47,13.84,13.66,11.25,10.56,12.34,14.41,14.28,13.34,14.59,15.81,14.59,12.47,12.28,13.56,13.53,11.31,10.75,12.19,12.94,11.28,10.44,11.81,13.16,11.41,8.81,8.09,7.84,6.28,3.84,4.28,7.22,9.25,9.62,11.16,14.06,16.34,15.31,14.31,15.72,17.16,16.34,14.53,15.16,16.44,16.03,14.0,13.03,14.03,13.44,10.91,9.25,9.88,41.62,42.53,44.12,44.88,44.0,43.88,44.72:13.78,15.25,15.03,14.44,16.72,20.62,22.31,21.78,21.91,22.94,22.56,19.53,17.81,19.09,20.5,19.31,17.59,17.75,18.0,15.38,11.56,10.12,10.91,11.06,9.81,10.09,12.41,13.66,11.47,9.81,11.03,12.41,11.53,10.53,12.25,14.78,15.19,14.53,15.53,17.44,18.34,16.38,15.38,16.38,17.12,14.94,12.88,13.16,13.84,12.38,9.97,10.44,12.03,12.66,11.59,12.25,15.06,16.69,16.12,16.34,18.59,20.41,19.0,16.78,16.47,16.97,15.34,13.0,12.88,14.62,14.53,12.5,11.53,13.03,13.94,12.16,11.47,13.75,16.47,16.56,16.19,17.62,20.09,19.81,17.97,18.38,20.38,21.19,19.19,18.09,18.53,18.66,15.53,13.22,13.59,14.81,13.66,12.06,12.59,14.38,13.72,11.31,10.91,12.22,13.28,12.41,12.81,16.03,19.03,18.75,18.09,19.88,21.28,19.78,17.22,16.5,17.06,15.75,12.91,11.41,12.06,12.28,10.28,9.41,11.88,14.56,15.28,15.53,18.03,22.12,22.78,22.0,22.09,23.5,23.31,20.56,18.91,20.09,20.59,18.0,15.56,15.38,15.66,13.19,10.53,10.5,12.09,11.94,10.53,10.78,13.0,13.91,12.38,11.28,12.75,13.56,11.12,7.91,6.91,5.78,3.06,0.09,0.22,3.28,5.12,5.38,6.62,9.56,11.0,9.41,8.22,10.03,12.31,11.88,10.94,11.94,13.66,12.22,9.44,8.91,10.5,11.28,10.62,10.94,13.5,15.41,13.53,11.0,10.66,11.28,9.59,8.0,10.09,13.69,15.12,14.34,13.91,15.03,14.72,12.41,11.91,15.28,18.84,20.06,20.62,22.88,24.81,23.66,20.97,20.28,21.44,21.12,19.34,18.66,19.91,19.75,16.56,13.62,13.69,13.94,12.19,9.97,10.69,12.62,12.03,10.41,10.72,13.03,13.78,12.59,13.06,16.81,20.19,21.75,24.0,28.72,32.78,33.69,32.62,33.25,35.22,35.47,34.59,35.59,38.12,38.22,34.38,30.25,27.91,24.84,19.38,13.75,11.22,9.81,6.72,3.38,3.28,5.88,7.25,7.09,8.44,11.47,12.84,11.5,10.41,12.31,14.56,15.25,15.53,19.5,24.75,27.28,28.5,30.94,34.03,35.0,32.75,30.62,30.41,28.38,23.81,19.09,17.5,17.38,15.69,13.75,14.47,16.44,16.53,14.75,14.88,17.78,19.94,20.81,23.12,28.44,33.22,34.75,35.66,38.44,40.66,40.06,37.88,37.0,37.28,35.91,32.75,31.81,33.0,33.47,31.5,29.81,30.47,30.62,28.22,25.44,25.53,27.06,26.81,25.38,25.25,25.91,24.88,21.28,19.19,20.59,22.16,22.72,23.81,27.78,32.09,33.69,33.81,35.5,37.53,36.97,34.28,32.31,31.81,30.25,26.16,22.88,22.28,21.56,18.78,15.69,15.5,16.31,15.19,13.22,13.72,16.16,17.31,16.75,17.75,20.06,21.75,20.38,19.22,21.06,22.72,22.25,20.66,21.44,22.84,22.0,19.78,19.56,20.75,21.12,19.38,18.53,19.88,20.75,18.78,17.38,18.94,21.19,21.78,21.56,23.12,25.53,26.06,24.66,24.62,27.0,28.12,26.97,26.09,26.94,27.59,25.03,22.06,21.62,21.75,19.44,16.31,15.41,16.06,15.69,13.69,13.22,14.84,16.31,15.38,15.31,17.75,20.78,20.88,20.47,22.5,24.72,24.78,23.09,23.16,24.69,24.81,22.84,21.34,22.0,22.16,19.94,17.84,18.5,20.44,19.66,18.44,19.56,21.88,22.47,21.53,22.16,24.47,25.75,23.91,22.25,22.44,22.69,20.81,19.5,21.03,24.03,25.09,25.0,26.47,28.78,29.28,27.34,25.97,26.44,25.94,23.16,20.91,21.16,21.94,20.38,18.5,18.84,20.44,20.62,19.31,19.59,21.53,21.97,20.25,19.56,20.66,21.78,20.03,18.62,20.22,22.59,22.34,20.88,20.88,21.16,19.5,16.25,14.91,15.91,16.38,14.47,12.88,13.41,13.44,11.25,9.0,9.66,11.69,12.22,11.84,12.88,15.34,16.09,14.28,13.09,13.91,14.44,12.56,11.22,12.56,14.53,14.31,13.59,15.06,18.22,19.62,19.44,20.28,22.16,22.12,19.81,17.41,17.56,17.34,14.41,11.69,11.47,11.84,10.75,8.84,9.44,11.94,12.97,12.34,12.78,14.91,16.09,14.16,12.94,14.16,15.84,15.03,13.78,14.12,15.44,14.12,11.38,10.03,10.34,10.03,8.41,8.03,10.38,11.94,11.19,9.94,10.88,12.06,11.31,10.03,10.94,13.5,14.47,14.06,14.69,17.16,18.41,17.69,17.59,19.88,22.03,21.5,20.78,22.19,23.72,22.81,20.59,19.59,20.12,19.12,16.38,14.97,15.66,15.62,13.38,11.31,11.91,12.62,11.25,9.75,10.47,12.78,13.09,12.62,14.31,18.16,21.41,22.5,24.5,28.47,30.97,30.16,28.19,28.69,28.97,27.31,24.66,24.06,24.59,23.22,20.5,19.12,20.44,21.62,21.06,21.69,24.81,27.53,27.69,26.69,27.75,29.69,28.88,26.88,26.66,27.62,27.41,24.84,22.53,22.16,20.72,16.47,13.16,12.62,13.16,11.88,10.34,11.25,13.41,14.03,13.03,14.25,17.53,19.91,20.53,21.84,25.34,27.88,27.44,26.16,27.28,28.62,27.03,24.53,24.0,24.91,24.31,22.06,21.41,22.81,23.03,20.72,19.03,20.28,20.97,19.34,17.09,17.0,17.44,16.25,14.25,14.88,17.34,19.22,19.31,20.5,24.0,26.88,27.09,27.22,29.69,32.06,31.69,30.19,30.62,32.09,31.41,29.12,28.41,29.16,28.5,24.94,22.03,21.75,21.78,19.5,17.75,18.78,19.69,18.47,16.19,15.81,16.75,16.66,14.84,14.75,17.03,18.97,18.81,18.53,20.94,23.44,23.19,22.56,24.28,26.72,27.44,26.97,28.38,31.0,31.25,28.62,25.31,22.78,19.19,12.53,6.88,4.59,4.03,2.53,1.47,4.09,8.91,12.34,14.16,17.19,21.38,23.5,22.41,21.94,23.59,24.84,23.31,21.66,22.41,23.97,23.38,21.91,22.59,24.38,24.81,22.66,21.88,22.53,21.72,18.09,15.03,14.62,14.88,12.94,11.03,11.81,13.91,14.5,14.19,16.34,20.47,23.22,23.16,23.41,25.34,26.19,23.78,21.78,22.44,23.78,22.97,21.78,22.81,24.88,24.75,22.34,21.03,21.31,20.69,17.41,15.62,16.75,18.34,17.5,16.97,18.66,21.16,20.69,18.47,18.06,19.62,20.19,19.53,20.78,24.72,27.62,26.53,25.53,26.19,26.28,23.34,19.56,19.03,20.22,20.16,19.16,19.88,22.19,22.5,19.91,17.72,18.03,17.88,15.03,12.84,13.66,15.41,14.84,13.91,15.12,17.56,17.59,15.34,14.31,14.72,13.59,10.19,7.56,7.91,8.97,7.88,7.69,10.53,15.19,17.78,19.59,23.38,28.94,32.31,33.06,33.59,35.06,34.22,29.44,24.53,22.56,21.28,18.31,16.12,16.75,19.31,19.72,18.62,18.44,19.22,18.38,15.06,13.59,15.47,17.38,17.38,17.31,19.81,22.78,22.84,21.91,22.31,24.31,24.06,22.28,21.69,23.12,22.69,19.56,16.12,15.62,15.31,12.88,10.78,11.97,14.56,15.0,14.72,16.31,19.94,21.66,21.06,21.28,23.53,24.25,21.72,19.09,18.69,18.41,15.34,12.38,12.06,12.94,12.03,9.75,9.41,11.31,12.72,12.62,14.09,18.25,21.34,21.47,20.69,22.22,24.25,23.69,21.5,21.09,21.41,18.53,13.38,9.78,9.0,8.03,6.31,6.34,9.84,13.03,13.5,12.81,14.19,15.69,13.97,10.22,7.94,7.22,5.12,2.03,1.22,4.31,7.62,8.81,10.66,14.81,18.28,18.38,16.47,14.97,13.41,8.88,2.59,-1.28,-2.09,-3.06,-4.81,-5.0,-1.91,1.06,2.38,4.19,9.03,14.78,18.22,20.69,24.66,29.16,31.06,29.81,29.19,29.72,28.69,25.03,21.69,21.47,20.97,18.0,14.62,14.0,14.19,12.59,9.94,10.16,12.09,13.44,13.06,14.16,18.03,20.19,19.53,18.56,19.19,19.44,17.12,13.31,11.94,11.88,10.28,7.97,8.69,12.41,15.22,15.5,16.41,19.06,20.19,17.88,14.78,14.28,13.78,11.38,8.66,9.47,12.41,14.25,14.5,16.06,19.47,21.44,20.25,19.03,19.84,20.22,17.69,14.78,15.0,16.22,15.88,14.69,16.0,18.75,20.06,18.97,18.62,19.88,19.81,16.81,14.0,13.62,14.12,13.12,12.19,13.44,15.44,15.28,12.38,11.28,11.91,11.88,10.22,10.12,13.19,16.0,16.53,17.12,20.38,23.88,24.78,24.44,26.31,28.91,29.97,29.09,29.47,31.88,33.91,33.25,32.94,34.69,35.69,33.28,29.84,28.56,27.94,25.38,21.53,19.72,20.25,20.03,18.19,18.06,20.62,22.19,21.12,20.06,21.38,22.44,20.62,18.28,17.75,18.34,17.03,14.44,13.47,13.84,13.66,11.25,10.56,12.34,14.41,14.28,13.34,14.59,15.81,14.59,12.47,12.28,13.56,13.53,11.31,10.75,12.19,12.94,11.28,10.44,11.81,13.16,11.41,8.81,8.09,7.84,6.28,3.84,4.28,7.22,9.25,9.62,11.16,14.06,16.34,15.31,14.31,15.72,17.16,16.34,14.53,15.16,16.44,16.03,14.0,13.03,14.03,13.44,10.91,9.25,9.88,41.62,42.53,44.12,44.88,44.0,43.88,44.72,44.22,41.62,40.0,39.81,39.31,37.59,36.09:21.78,21.91,22.94,22.56,19.53,17.81,19.09,20.5,19.31,17.59,17.75,18.0,15.38,11.56,10.12,10.91,11.06,9.81,10.09,12.41,13.66,11.47,9.81,11.03,12.41,11.53,10.53,12.25,14.78,15.19,14.53,15.53,17.44,18.34,16.38,15.38,16.38,17.12,14.94,12.88,13.16,13.84,12.38,9.97,10.44,12.03,12.66,11.59,12.25,15.06,16.69,16.12,16.34,18.59,20.41,19.0,16.78,16.47,16.97,15.34,13.0,12.88,14.62,14.53,12.5,11.53,13.03,13.94,12.16,11.47,13.75,16.47,16.56,16.19,17.62,20.09,19.81,17.97,18.38,20.38,21.19,19.19,18.09,18.53,18.66,15.53,13.22,13.59,14.81,13.66,12.06,12.59,14.38,13.72,11.31,10.91,12.22,13.28,12.41,12.81,16.03,19.03,18.75,18.09,19.88,21.28,19.78,17.22,16.5,17.06,15.75,12.91,11.41,12.06,12.28,10.28,9.41,11.88,14.56,15.28,15.53,18.03,22.12,22.78,22.0,22.09,23.5,23.31,20.56,18.91,20.09,20.59,18.0,15.56,15.38,15.66,13.19,10.53,10.5,12.09,11.94,10.53,10.78,13.0,13.91,12.38,11.28,12.75,13.56,11.12,7.91,6.91,5.78,3.06,0.09,0.22,3.28,5.12,5.38,6.62,9.56,11.0,9.41,8.22,10.03,12.31,11.88,10.94,11.94,13.66,12.22,9.44,8.91,10.5,11.28,10.62,10.94,13.5,15.41,13.53,11.0,10.66,11.28,9.59,8.0,10.09,13.69,15.12,14.34,13.91,15.03,14.72,12.41,11.91,15.28,18.84,20.06,20.62,22.88,24.81,23.66,20.97,20.28,21.44,21.12,19.34,18.66,19.91,19.75,16.56,13.62,13.69,13.94,12.19,9.97,10.69,12.62,12.03,10.41,10.72,13.03,13.78,12.59,13.06,16.81,20.19,21.75,24.0,28.72,32.78,33.69,32.62,33.25,35.22,35.47,34.59,35.59,38.12,38.22,34.38,30.25,27.91,24.84,19.38,13.75,11.22,9.81,6.72,3.38,3.28,5.88,7.25,7.09,8.44,11.47,12.84,11.5,10.41,12.31,14.56,15.25,15.53,19.5,24.75,27.28,28.5,30.94,34.03,35.0,32.75,30.62,30.41,28.38,23.81,19.09,17.5,17.38,15.69,13.75,14.47,16.44,16.53,14.75,14.88,17.78,19.94,20.81,23.12,28.44,33.22,34.75,35.66,38.44,40.66,40.06,37.88,37.0,37.28,35.91,32.75,31.81,33.0,33.47,31.5,29.81,30.47,30.62,28.22,25.44,25.53,27.06,26.81,25.38,25.25,25.91,24.88,21.28,19.19,20.59,22.16,22.72,23.81,27.78,32.09,33.69,33.81,35.5,37.53,36.97,34.28,32.31,31.81,30.25,26.16,22.88,22.28,21.56,18.78,15.69,15.5,16.31,15.19,13.22,13.72,16.16,17.31,16.75,17.75,20.06,21.75,20.38,19.22,21.06,22.72,22.25,20.66,21.44,22.84,22.0,19.78,19.56,20.75,21.12,19.38,18.53,19.88,20.75,18.78,17.38,18.94,21.19,21.78,21.56,23.12,25.53,26.06,24.66,24.62,27.0,28.12,26.97,26.09,26.94,27.59,25.03,22.06,21.62,21.75,19.44,16.31,15.41,16.06,15.69,13.69,13.22,14.84,16.31,15.38,15.31,17.75,20.78,20.88,20.47,22.5,24.72,24.78,23.09,23.16,24.69,24.81,22.84,21.34,22.0,22.16,19.94,17.84,18.5,20.44,19.66,18.44,19.56,21.88,22.47,21.53,22.16,24.47,25.75,23.91,22.25,22.44,22.69,20.81,19.5,21.03,24.03,25.09,25.0,26.47,28.78,29.28,27.34,25.97,26.44,25.94,23.16,20.91,21.16,21.94,20.38,18.5,18.84,20.44,20.62,19.31,19.59,21.53,21.97,20.25,19.56,20.66,21.78,20.03,18.62,20.22,22.59,22.34,20.88,20.88,21.16,19.5,16.25,14.91,15.91,16.38,14.47,12.88,13.41,13.44,11.25,9.0,9.66,11.69,12.22,11.84,12.88,15.34,16.09,14.28,13.09,13.91,14.44,12.56,11.22,12.56,14.53,14.31,13.59,15.06,18.22,19.62,19.44,20.28,22.16,22.12,19.81,17.41,17.56,17.34,14.41,11.69,11.47,11.84,10.75,8.84,9.44,11.94,12.97,12.34,12.78,14.91,16.09,14.16,12.94,14.16,15.84,15.03,13.78,14.12,15.44,14.12,11.38,10.03,10.34,10.03,8.41,8.03,10.38,11.94,11.19,9.94,10.88,12.06,11.31,10.03,10.94,13.5,14.47,14.06,14.69,17.16,18.41,17.69,17.59,19.88,22.03,21.5,20.78,22.19,23.72,22.81,20.59,19.59,20.12,19.12,16.38,14.97,15.66,15.62,13.38,11.31,11.91,12.62,11.25,9.75,10.47,12.78,13.09,12.62,14.31,18.16,21.41,22.5,24.5,28.47,30.97,30.16,28.19,28.69,28.97,27.31,24.66,24.06,24.59,23.22,20.5,19.12,20.44,21.62,21.06,21.69,24.81,27.53,27.69,26.69,27.75,29.69,28.88,26.88,26.66,27.62,27.41,24.84,22.53,22.16,20.72,16.47,13.16,12.62,13.16,11.88,10.34,11.25,13.41,14.03,13.03,14.25,17.53,19.91,20.53,21.84,25.34,27.88,27.44,26.16,27.28,28.62,27.03,24.53,24.0,24.91,24.31,22.06,21.41,22.81,23.03,20.72,19.03,20.28,20.97,19.34,17.09,17.0,17.44,16.25,14.25,14.88,17.34,19.22,19.31,20.5,24.0,26.88,27.09,27.22,29.69,32.06,31.69,30.19,30.62,32.09,31.41,29.12,28.41,29.16,28.5,24.94,22.03,21.75,21.78,19.5,17.75,18.78,19.69,18.47,16.19,15.81,16.75,16.66,14.84,14.75,17.03,18.97,18.81,18.53,20.94,23.44,23.19,22.56,24.28,26.72,27.44,26.97,28.38,31.0,31.25,28.62,25.31,22.78,19.19,12.53,6.88,4.59,4.03,2.53,1.47,4.09,8.91,12.34,14.16,17.19,21.38,23.5,22.41,21.94,23.59,24.84,23.31,21.66,22.41,23.97,23.38,21.91,22.59,24.38,24.81,22.66,21.88,22.53,21.72,18.09,15.03,14.62,14.88,12.94,11.03,11.81,13.91,14.5,14.19,16.34,20.47,23.22,23.16,23.41,25.34,26.19,23.78,21.78,22.44,23.78,22.97,21.78,22.81,24.88,24.75,22.34,21.03,21.31,20.69,17.41,15.62,16.75,18.34,17.5,16.97,18.66,21.16,20.69,18.47,18.06,19.62,20.19,19.53,20.78,24.72,27.62,26.53,25.53,26.19,26.28,23.34,19.56,19.03,20.22,20.16,19.16,19.88,22.19,22.5,19.91,17.72,18.03,17.88,15.03,12.84,13.66,15.41,14.84,13.91,15.12,17.56,17.59,15.34,14.31,14.72,13.59,10.19,7.56,7.91,8.97,7.88,7.69,10.53,15.19,17.78,19.59,23.38,28.94,32.31,33.06,33.59,35.06,34.22,29.44,24.53,22.56,21.28,18.31,16.12,16.75,19.31,19.72,18.62,18.44,19.22,18.38,15.06,13.59,15.47,17.38,17.38,17.31,19.81,22.78,22.84,21.91,22.31,24.31,24.06,22.28,21.69,23.12,22.69,19.56,16.12,15.62,15.31,12.88,10.78,11.97,14.56,15.0,14.72,16.31,19.94,21.66,21.06,21.28,23.53,24.25,21.72,19.09,18.69,18.41,15.34,12.38,12.06,12.94,12.03,9.75,9.41,11.31,12.72,12.62,14.09,18.25,21.34,21.47,20.69,22.22,24.25,23.69,21.5,21.09,21.41,18.53,13.38,9.78,9.0,8.03,6.31,6.34,9.84,13.03,13.5,12.81,14.19,15.69,13.97,10.22,7.94,7.22,5.12,2.03,1.22,4.31,7.62,8.81,10.66,14.81,18.28,18.38,16.47,14.97,13.41,8.88,2.59,-1.28,-2.09,-3.06,-4.81,-5.0,-1.91,1.06,2.38,4.19,9.03,14.78,18.22,20.69,24.66,29.16,31.06,29.81,29.19,29.72,28.69,25.03,21.69,21.47,20.97,18.0,14.62,14.0,14.19,12.59,9.94,10.16,12.09,13.44,13.06,14.16,18.03,20.19,19.53,18.56,19.19,19.44,17.12,13.31,11.94,11.88,10.28,7.97,8.69,12.41,15.22,15.5,16.41,19.06,20.19,17.88,14.78,14.28,13.78,11.38,8.66,9.47,12.41,14.25,14.5,16.06,19.47,21.44,20.25,19.03,19.84,20.22,17.69,14.78,15.0,16.22,15.88,14.69,16.0,18.75,20.06,18.97,18.62,19.88,19.81,16.81,14.0,13.62,14.12,13.12,12.19,13.44,15.44,15.28,12.38,11.28,11.91,11.88,10.22,10.12,13.19,16.0,16.53,17.12,20.38,23.88,24.78,24.44,26.31,28.91,29.97,29.09,29.47,31.88,33.91,33.25,32.94,34.69,35.69,33.28,29.84,28.56,27.94,25.38,21.53,19.72,20.25,20.03,18.19,18.06,20.62,22.19,21.12,20.06,21.38,22.44,20.62,18.28,17.75,18.34,17.03,14.44,13.47,13.84,13.66,11.25,10.56,12.34,14.41,14.28,13.34,14.59,15.81,14.59,12.47,12.28,13.56,13.53,11.31,10.75,12.19,12.94,11.28,10.44,11.81,13.16,11.41,8.81,8.09,7.84,6.28,3.84,4.28,7.22,9.25,9.62,11.16,14.06,16.34,15.31,14.31,15.72,17.16,16.34,14.53,15.16,16.44,16.03,14.0,13.03,14.03,13.44,10.91,9.25,9.88,41.62,42.53,44.12,44.88,44.0,43.88,44.72,44.22,41.62,40.0,39.81,39.31,37.59,36.09,36.41,37.41,37.0,36.34,37.56,39.91,41.0:20.5,19.31,17.59,17.75,18.0,15.38,11.56,10.12,10.91,11.06,9.81,10.09,12.41,13.66,11.47,9.81,11.03,12.41,11.53,10.53,12.25,14.78,15.19,14.53,15.53,17.44,18.34,16.38,15.38,16.38,17.12,14.94,12.88,13.16,13.84,12.38,9.97,10.44,12.03,12.66,11.59,12.25,15.06,16.69,16.12,16.34,18.59,20.41,19.0,16.78,16.47,16.97,15.34,13.0,12.88,14.62,14.53,12.5,11.53,13.03,13.94,12.16,11.47,13.75,16.47,16.56,16.19,17.62,20.09,19.81,17.97,18.38,20.38,21.19,19.19,18.09,18.53,18.66,15.53,13.22,13.59,14.81,13.66,12.06,12.59,14.38,13.72,11.31,10.91,12.22,13.28,12.41,12.81,16.03,19.03,18.75,18.09,19.88,21.28,19.78,17.22,16.5,17.06,15.75,12.91,11.41,12.06,12.28,10.28,9.41,11.88,14.56,15.28,15.53,18.03,22.12,22.78,22.0,22.09,23.5,23.31,20.56,18.91,20.09,20.59,18.0,15.56,15.38,15.66,13.19,10.53,10.5,12.09,11.94,10.53,10.78,13.0,13.91,12.38,11.28,12.75,13.56,11.12,7.91,6.91,5.78,3.06,0.09,0.22,3.28,5.12,5.38,6.62,9.56,11.0,9.41,8.22,10.03,12.31,11.88,10.94,11.94,13.66,12.22,9.44,8.91,10.5,11.28,10.62,10.94,13.5,15.41,13.53,11.0,10.66,11.28,9.59,8.0,10.09,13.69,15.12,14.34,13.91,15.03,14.72,12.41,11.91,15.28,18.84,20.06,20.62,22.88,24.81,23.66,20.97,20.28,21.44,21.12,19.34,18.66,19.91,19.75,16.56,13.62,13.69,13.94,12.19,9.97,10.69,12.62,12.03,10.41,10.72,13.03,13.78,12.59,13.06,16.81,20.19,21.75,24.0,28.72,32.78,33.69,32.62,33.25,35.22,35.47,34.59,35.59,38.12,38.22,34.38,30.25,27.91,24.84,19.38,13.75,11.22,9.81,6.72,3.38,3.28,5.88,7.25,7.09,8.44,11.47,12.84,11.5,10.41,12.31,14.56,15.25,15.53,19.5,24.75,27.28,28.5,30.94,34.03,35.0,32.75,30.62,30.41,28.38,23.81,19.09,17.5,17.38,15.69,13.75,14.47,16.44,16.53,14.75,14.88,17.78,19.94,20.81,23.12,28.44,33.22,34.75,35.66,38.44,40.66,40.06,37.88,37.0,37.28,35.91,32.75,31.81,33.0,33.47,31.5,29.81,30.47,30.62,28.22,25.44,25.53,27.06,26.81,25.38,25.25,25.91,24.88,21.28,19.19,20.59,22.16,22.72,23.81,27.78,32.09,33.69,33.81,35.5,37.53,36.97,34.28,32.31,31.81,30.25,26.16,22.88,22.28,21.56,18.78,15.69,15.5,16.31,15.19,13.22,13.72,16.16,17.31,16.75,17.75,20.06,21.75,20.38,19.22,21.06,22.72,22.25,20.66,21.44,22.84,22.0,19.78,19.56,20.75,21.12,19.38,18.53,19.88,20.75,18.78,17.38,18.94,21.19,21.78,21.56,23.12,25.53,26.06,24.66,24.62,27.0,28.12,26.97,26.09,26.94,27.59,25.03,22.06,21.62,21.75,19.44,16.31,15.41,16.06,15.69,13.69,13.22,14.84,16.31,15.38,15.31,17.75,20.78,20.88,20.47,22.5,24.72,24.78,23.09,23.16,24.69,24.81,22.84,21.34,22.0,22.16,19.94,17.84,18.5,20.44,19.66,18.44,19.56,21.88,22.47,21.53,22.16,24.47,25.75,23.91,22.25,22.44,22.69,20.81,19.5,21.03,24.03,25.09,25.0,26.47,28.78,29.28,27.34,25.97,26.44,25.94,23.16,20.91,21.16,21.94,20.38,18.5,18.84,20.44,20.62,19.31,19.59,21.53,21.97,20.25,19.56,20.66,21.78,20.03,18.62,20.22,22.59,22.34,20.88,20.88,21.16,19.5,16.25,14.91,15.91,16.38,14.47,12.88,13.41,13.44,11.25,9.0,9.66,11.69,12.22,11.84,12.88,15.34,16.09,14.28,13.09,13.91,14.44,12.56,11.22,12.56,14.53,14.31,13.59,15.06,18.22,19.62,19.44,20.28,22.16,22.12,19.81,17.41,17.56,17.34,14.41,11.69,11.47,11.84,10.75,8.84,9.44,11.94,12.97,12.34,12.78,14.91,16.09,14.16,12.94,14.16,15.84,15.03,13.78,14.12,15.44,14.12,11.38,10.03,10.34,10.03,8.41,8.03,10.38,11.94,11.19,9.94,10.88,12.06,11.31,10.03,10.94,13.5,14.47,14.06,14.69,17.16,18.41,17.69,17.59,19.88,22.03,21.5,20.78,22.19,23.72,22.81,20.59,19.59,20.12,19.12,16.38,14.97,15.66,15.62,13.38,11.31,11.91,12.62,11.25,9.75,10.47,12.78,13.09,12.62,14.31,18.16,21.41,22.5,24.5,28.47,30.97,30.16,28.19,28.69,28.97,27.31,24.66,24.06,24.59,23.22,20.5,19.12,20.44,21.62,21.06,21.69,24.81,27.53,27.69,26.69,27.75,29.69,28.88,26.88,26.66,27.62,27.41,24.84,22.53,22.16,20.72,16.47,13.16,12.62,13.16,11.88,10.34,11.25,13.41,14.03,13.03,14.25,17.53,19.91,20.53,21.84,25.34,27.88,27.44,26.16,27.28,28.62,27.03,24.53,24.0,24.91,24.31,22.06,21.41,22.81,23.03,20.72,19.03,20.28,20.97,19.34,17.09,17.0,17.44,16.25,14.25,14.88,17.34,19.22,19.31,20.5,24.0,26.88,27.09,27.22,29.69,32.06,31.69,30.19,30.62,32.09,31.41,29.12,28.41,29.16,28.5,24.94,22.03,21.75,21.78,19.5,17.75,18.78,19.69,18.47,16.19,15.81,16.75,16.66,14.84,14.75,17.03,18.97,18.81,18.53,20.94,23.44,23.19,22.56,24.28,26.72,27.44,26.97,28.38,31.0,31.25,28.62,25.31,22.78,19.19,12.53,6.88,4.59,4.03,2.53,1.47,4.09,8.91,12.34,14.16,17.19,21.38,23.5,22.41,21.94,23.59,24.84,23.31,21.66,22.41,23.97,23.38,21.91,22.59,24.38,24.81,22.66,21.88,22.53,21.72,18.09,15.03,14.62,14.88,12.94,11.03,11.81,13.91,14.5,14.19,16.34,20.47,23.22,23.16,23.41,25.34,26.19,23.78,21.78,22.44,23.78,22.97,21.78,22.81,24.88,24.75,22.34,21.03,21.31,20.69,17.41,15.62,16.75,18.34,17.5,16.97,18.66,21.16,20.69,18.47,18.06,19.62,20.19,19.53,20.78,24.72,27.62,26.53,25.53,26.19,26.28,23.34,19.56,19.03,20.22,20.16,19.16,19.88,22.19,22.5,19.91,17.72,18.03,17.88,15.03,12.84,13.66,15.41,14.84,13.91,15.12,17.56,17.59,15.34,14.31,14.72,13.59,10.19,7.56,7.91,8.97,7.88,7.69,10.53,15.19,17.78,19.59,23.38,28.94,32.31,33.06,33.59,35.06,34.22,29.44,24.53,22.56,21.28,18.31,16.12,16.75,19.31,19.72,18.62,18.44,19.22,18.38,15.06,13.59,15.47,17.38,17.38,17.31,19.81,22.78,22.84,21.91,22.31,24.31,24.06,22.28,21.69,23.12,22.69,19.56,16.12,15.62,15.31,12.88,10.78,11.97,14.56,15.0,14.72,16.31,19.94,21.66,21.06,21.28,23.53,24.25,21.72,19.09,18.69,18.41,15.34,12.38,12.06,12.94,12.03,9.75,9.41,11.31,12.72,12.62,14.09,18.25,21.34,21.47,20.69,22.22,24.25,23.69,21.5,21.09,21.41,18.53,13.38,9.78,9.0,8.03,6.31,6.34,9.84,13.03,13.5,12.81,14.19,15.69,13.97,10.22,7.94,7.22,5.12,2.03,1.22,4.31,7.62,8.81,10.66,14.81,18.28,18.38,16.47,14.97,13.41,8.88,2.59,-1.28,-2.09,-3.06,-4.81,-5.0,-1.91,1.06,2.38,4.19,9.03,14.78,18.22,20.69,24.66,29.16,31.06,29.81,29.19,29.72,28.69,25.03,21.69,21.47,20.97,18.0,14.62,14.0,14.19,12.59,9.94,10.16,12.09,13.44,13.06,14.16,18.03,20.19,19.53,18.56,19.19,19.44,17.12,13.31,11.94,11.88,10.28,7.97,8.69,12.41,15.22,15.5,16.41,19.06,20.19,17.88,14.78,14.28,13.78,11.38,8.66,9.47,12.41,14.25,14.5,16.06,19.47,21.44,20.25,19.03,19.84,20.22,17.69,14.78,15.0,16.22,15.88,14.69,16.0,18.75,20.06,18.97,18.62,19.88,19.81,16.81,14.0,13.62,14.12,13.12,12.19,13.44,15.44,15.28,12.38,11.28,11.91,11.88,10.22,10.12,13.19,16.0,16.53,17.12,20.38,23.88,24.78,24.44,26.31,28.91,29.97,29.09,29.47,31.88,33.91,33.25,32.94,34.69,35.69,33.28,29.84,28.56,27.94,25.38,21.53,19.72,20.25,20.03,18.19,18.06,20.62,22.19,21.12,20.06,21.38,22.44,20.62,18.28,17.75,18.34,17.03,14.44,13.47,13.84,13.66,11.25,10.56,12.34,14.41,14.28,13.34,14.59,15.81,14.59,12.47,12.28,13.56,13.53,11.31,10.75,12.19,12.94,11.28,10.44,11.81,13.16,11.41,8.81,8.09,7.84,6.28,3.84,4.28,7.22,9.25,9.62,11.16,14.06,16.34,15.31,14.31,15.72,17.16,16.34,14.53,15.16,16.44,16.03,14.0,13.03,14.03,13.44,10.91,9.25,9.88,41.62,42.53,44.12,44.88,44.0,43.88,44.72,44.22,41.62,40.0,39.81,39.31,37.59,36.09,36.41,37.41,37.0,36.34,37.56,39.91,41.0,40.09,39.97,40.16,39.69,37.88,36.97,38.44:10.12,10.91,11.06,9.81,10.09,12.41,13.66,11.47,9.81,11.03,12.41,11.53,10.53,12.25,14.78,15.19,14.53,15.53,17.44,18.34,16.38,15.38,16.38,17.12,14.94,12.88,13.16,13.84,12.38,9.97,10.44,12.03,12.66,11.59,12.25,15.06,16.69,16.12,16.34,18.59,20.41,19.0,16.78,16.47,16.97,15.34,13.0,12.88,14.62,14.53,12.5,11.53,13.03,13.94,12.16,11.47,13.75,16.47,16.56,16.19,17.62,20.09,19.81,17.97,18.38,20.38,21.19,19.19,18.09,18.53,18.66,15.53,13.22,13.59,14.81,13.66,12.06,12.59,14.38,13.72,11.31,10.91,12.22,13.28,12.41,12.81,16.03,19.03,18.75,18.09,19.88,21.28,19.78,17.22,16.5,17.06,15.75,12.91,11.41,12.06,12.28,10.28,9.41,11.88,14.56,15.28,15.53,18.03,22.12,22.78,22.0,22.09,23.5,23.31,20.56,18.91,20.09,20.59,18.0,15.56,15.38,15.66,13.19,10.53,10.5,12.09,11.94,10.53,10.78,13.0,13.91,12.38,11.28,12.75,13.56,11.12,7.91,6.91,5.78,3.06,0.09,0.22,3.28,5.12,5.38,6.62,9.56,11.0,9.41,8.22,10.03,12.31,11.88,10.94,11.94,13.66,12.22,9.44,8.91,10.5,11.28,10.62,10.94,13.5,15.41,13.53,11.0,10.66,11.28,9.59,8.0,10.09,13.69,15.12,14.34,13.91,15.03,14.72,12.41,11.91,15.28,18.84,20.06,20.62,22.88,24.81,23.66,20.97,20.28,21.44,21.12,19.34,18.66,19.91,19.75,16.56,13.62,13.69,13.94,12.19,9.97,10.69,12.62,12.03,10.41,10.72,13.03,13.78,12.59,13.06,16.81,20.19,21.75,24.0,28.72,32.78,33.69,32.62,33.25,35.22,35.47,34.59,35.59,38.12,38.22,34.38,30.25,27.91,24.84,19.38,13.75,11.22,9.81,6.72,3.38,3.28,5.88,7.25,7.09,8.44,11.47,12.84,11.5,10.41,12.31,14.56,15.25,15.53,19.5,24.75,27.28,28.5,30.94,34.03,35.0,32.75,30.62,30.41,28.38,23.81,19.09,17.5,17.38,15.69,13.75,14.47,16.44,16.53,14.75,14.88,17.78,19.94,20.81,23.12,28.44,33.22,34.75,35.66,38.44,40.66,40.06,37.88,37.0,37.28,35.91,32.75,31.81,33.0,33.47,31.5,29.81,30.47,30.62,28.22,25.44,25.53,27.06,26.81,25.38,25.25,25.91,24.88,21.28,19.19,20.59,22.16,22.72,23.81,27.78,32.09,33.69,33.81,35.5,37.53,36.97,34.28,32.31,31.81,30.25,26.16,22.88,22.28,21.56,18.78,15.69,15.5,16.31,15.19,13.22,13.72,16.16,17.31,16.75,17.75,20.06,21.75,20.38,19.22,21.06,22.72,22.25,20.66,21.44,22.84,22.0,19.78,19.56,20.75,21.12,19.38,18.53,19.88,20.75,18.78,17.38,18.94,21.19,21.78,21.56,23.12,25.53,26.06,24.66,24.62,27.0,28.12,26.97,26.09,26.94,27.59,25.03,22.06,21.62,21.75,19.44,16.31,15.41,16.06,15.69,13.69,13.22,14.84,16.31,15.38,15.31,17.75,20.78,20.88,20.47,22.5,24.72,24.78,23.09,23.16,24.69,24.81,22.84,21.34,22.0,22.16,19.94,17.84,18.5,20.44,19.66,18.44,19.56,21.88,22.47,21.53,22.16,24.47,25.75,23.91,22.25,22.44,22.69,20.81,19.5,21.03,24.03,25.09,25.0,26.47,28.78,29.28,27.34,25.97,26.44,25.94,23.16,20.91,21.16,21.94,20.38,18.5,18.84,20.44,20.62,19.31,19.59,21.53,21.97,20.25,19.56,20.66,21.78,20.03,18.62,20.22,22.59,22.34,20.88,20.88,21.16,19.5,16.25,14.91,15.91,16.38,14.47,12.88,13.41,13.44,11.25,9.0,9.66,11.69,12.22,11.84,12.88,15.34,16.09,14.28,13.09,13.91,14.44,12.56,11.22,12.56,14.53,14.31,13.59,15.06,18.22,19.62,19.44,20.28,22.16,22.12,19.81,17.41,17.56,17.34,14.41,11.69,11.47,11.84,10.75,8.84,9.44,11.94,12.97,12.34,12.78,14.91,16.09,14.16,12.94,14.16,15.84,15.03,13.78,14.12,15.44,14.12,11.38,10.03,10.34,10.03,8.41,8.03,10.38,11.94,11.19,9.94,10.88,12.06,11.31,10.03,10.94,13.5,14.47,14.06,14.69,17.16,18.41,17.69,17.59,19.88,22.03,21.5,20.78,22.19,23.72,22.81,20.59,19.59,20.12,19.12,16.38,14.97,15.66,15.62,13.38,11.31,11.91,12.62,11.25,9.75,10.47,12.78,13.09,12.62,14.31,18.16,21.41,22.5,24.5,28.47,30.97,30.16,28.19,28.69,28.97,27.31,24.66,24.06,24.59,23.22,20.5,19.12,20.44,21.62,21.06,21.69,24.81,27.53,27.69,26.69,27.75,29.69,28.88,26.88,26.66,27.62,27.41,24.84,22.53,22.16,20.72,16.47,13.16,12.62,13.16,11.88,10.34,11.25,13.41,14.03,13.03,14.25,17.53,19.91,20.53,21.84,25.34,27.88,27.44,26.16,27.28,28.62,27.03,24.53,24.0,24.91,24.31,22.06,21.41,22.81,23.03,20.72,19.03,20.28,20.97,19.34,17.09,17.0,17.44,16.25,14.25,14.88,17.34,19.22,19.31,20.5,24.0,26.88,27.09,27.22,29.69,32.06,31.69,30.19,30.62,32.09,31.41,29.12,28.41,29.16,28.5,24.94,22.03,21.75,21.78,19.5,17.75,18.78,19.69,18.47,16.19,15.81,16.75,16.66,14.84,14.75,17.03,18.97,18.81,18.53,20.94,23.44,23.19,22.56,24.28,26.72,27.44,26.97,28.38,31.0,31.25,28.62,25.31,22.78,19.19,12.53,6.88,4.59,4.03,2.53,1.47,4.09,8.91,12.34,14.16,17.19,21.38,23.5,22.41,21.94,23.59,24.84,23.31,21.66,22.41,23.97,23.38,21.91,22.59,24.38,24.81,22.66,21.88,22.53,21.72,18.09,15.03,14.62,14.88,12.94,11.03,11.81,13.91,14.5,14.19,16.34,20.47,23.22,23.16,23.41,25.34,26.19,23.78,21.78,22.44,23.78,22.97,21.78,22.81,24.88,24.75,22.34,21.03,21.31,20.69,17.41,15.62,16.75,18.34,17.5,16.97,18.66,21.16,20.69,18.47,18.06,19.62,20.19,19.53,20.78,24.72,27.62,26.53,25.53,26.19,26.28,23.34,19.56,19.03,20.22,20.16,19.16,19.88,22.19,22.5,19.91,17.72,18.03,17.88,15.03,12.84,13.66,15.41,14.84,13.91,15.12,17.56,17.59,15.34,14.31,14.72,13.59,10.19,7.56,7.91,8.97,7.88,7.69,10.53,15.19,17.78,19.59,23.38,28.94,32.31,33.06,33.59,35.06,34.22,29.44,24.53,22.56,21.28,18.31,16.12,16.75,19.31,19.72,18.62,18.44,19.22,18.38,15.06,13.59,15.47,17.38,17.38,17.31,19.81,22.78,22.84,21.91,22.31,24.31,24.06,22.28,21.69,23.12,22.69,19.56,16.12,15.62,15.31,12.88,10.78,11.97,14.56,15.0,14.72,16.31,19.94,21.66,21.06,21.28,23.53,24.25,21.72,19.09,18.69,18.41,15.34,12.38,12.06,12.94,12.03,9.75,9.41,11.31,12.72,12.62,14.09,18.25,21.34,21.47,20.69,22.22,24.25,23.69,21.5,21.09,21.41,18.53,13.38,9.78,9.0,8.03,6.31,6.34,9.84,13.03,13.5,12.81,14.19,15.69,13.97,10.22,7.94,7.22,5.12,2.03,1.22,4.31,7.62,8.81,10.66,14.81,18.28,18.38,16.47,14.97,13.41,8.88,2.59,-1.28,-2.09,-3.06,-4.81,-5.0,-1.91,1.06,2.38,4.19,9.03,14.78,18.22,20.69,24.66,29.16,31.06,29.81,29.19,29.72,28.69,25.03,21.69,21.47,20.97,18.0,14.62,14.0,14.19,12.59,9.94,10.16,12.09,13.44,13.06,14.16,18.03,20.19,19.53,18.56,19.19,19.44,17.12,13.31,11.94,11.88,10.28,7.97,8.69,12.41,15.22,15.5,16.41,19.06,20.19,17.88,14.78,14.28,13.78,11.38,8.66,9.47,12.41,14.25,14.5,16.06,19.47,21.44,20.25,19.03,19.84,20.22,17.69,14.78,15.0,16.22,15.88,14.69,16.0,18.75,20.06,18.97,18.62,19.88,19.81,16.81,14.0,13.62,14.12,13.12,12.19,13.44,15.44,15.28,12.38,11.28,11.91,11.88,10.22,10.12,13.19,16.0,16.53,17.12,20.38,23.88,24.78,24.44,26.31,28.91,29.97,29.09,29.47,31.88,33.91,33.25,32.94,34.69,35.69,33.28,29.84,28.56,27.94,25.38,21.53,19.72,20.25,20.03,18.19,18.06,20.62,22.19,21.12,20.06,21.38,22.44,20.62,18.28,17.75,18.34,17.03,14.44,13.47,13.84,13.66,11.25,10.56,12.34,14.41,14.28,13.34,14.59,15.81,14.59,12.47,12.28,13.56,13.53,11.31,10.75,12.19,12.94,11.28,10.44,11.81,13.16,11.41,8.81,8.09,7.84,6.28,3.84,4.28,7.22,9.25,9.62,11.16,14.06,16.34,15.31,14.31,15.72,17.16,16.34,14.53,15.16,16.44,16.03,14.0,13.03,14.03,13.44,10.91,9.25,9.88,41.62,42.53,44.12,44.88,44.0,43.88,44.72,44.22,41.62,40.0,39.81,39.31,37.59,36.09,36.41,37.41,37.0,36.34,37.56,39.91,41.0,40.09,39.97,40.16,39.69,37.88,36.97,38.44,40.16,39.97,39.12,39.03,38.69,36.5,33.12:11.47,9.81,11.03,12.41,11.53,10.53,12.25,14.78,15.19,14.53,15.53,17.44,18.34,16.38,15.38,16.38,17.12,14.94,12.88,13.16,13.84,12.38,9.97,10.44,12.03,12.66,11.59,12.25,15.06,16.69,16.12,16.34,18.59,20.41,19.0,16.78,16.47,16.97,15.34,13.0,12.88,14.62,14.53,12.5,11.53,13.03,13.94,12.16,11.47,13.75,16.47,16.56,16.19,17.62,20.09,19.81,17.97,18.38,20.38,21.19,19.19,18.09,18.53,18.66,15.53,13.22,13.59,14.81,13.66,12.06,12.59,14.38,13.72,11.31,10.91,12.22,13.28,12.41,12.81,16.03,19.03,18.75,18.09,19.88,21.28,19.78,17.22,16.5,17.06,15.75,12.91,11.41,12.06,12.28,10.28,9.41,11.88,14.56,15.28,15.53,18.03,22.12,22.78,22.0,22.09,23.5,23.31,20.56,18.91,20.09,20.59,18.0,15.56,15.38,15.66,13.19,10.53,10.5,12.09,11.94,10.53,10.78,13.0,13.91,12.38,11.28,12.75,13.56,11.12,7.91,6.91,5.78,3.06,0.09,0.22,3.28,5.12,5.38,6.62,9.56,11.0,9.41,8.22,10.03,12.31,11.88,10.94,11.94,13.66,12.22,9.44,8.91,10.5,11.28,10.62,10.94,13.5,15.41,13.53,11.0,10.66,11.28,9.59,8.0,10.09,13.69,15.12,14.34,13.91,15.03,14.72,12.41,11.91,15.28,18.84,20.06,20.62,22.88,24.81,23.66,20.97,20.28,21.44,21.12,19.34,18.66,19.91,19.75,16.56,13.62,13.69,13.94,12.19,9.97,10.69,12.62,12.03,10.41,10.72,13.03,13.78,12.59,13.06,16.81,20.19,21.75,24.0,28.72,32.78,33.69,32.62,33.25,35.22,35.47,34.59,35.59,38.12,38.22,34.38,30.25,27.91,24.84,19.38,13.75,11.22,9.81,6.72,3.38,3.28,5.88,7.25,7.09,8.44,11.47,12.84,11.5,10.41,12.31,14.56,15.25,15.53,19.5,24.75,27.28,28.5,30.94,34.03,35.0,32.75,30.62,30.41,28.38,23.81,19.09,17.5,17.38,15.69,13.75,14.47,16.44,16.53,14.75,14.88,17.78,19.94,20.81,23.12,28.44,33.22,34.75,35.66,38.44,40.66,40.06,37.88,37.0,37.28,35.91,32.75,31.81,33.0,33.47,31.5,29.81,30.47,30.62,28.22,25.44,25.53,27.06,26.81,25.38,25.25,25.91,24.88,21.28,19.19,20.59,22.16,22.72,23.81,27.78,32.09,33.69,33.81,35.5,37.53,36.97,34.28,32.31,31.81,30.25,26.16,22.88,22.28,21.56,18.78,15.69,15.5,16.31,15.19,13.22,13.72,16.16,17.31,16.75,17.75,20.06,21.75,20.38,19.22,21.06,22.72,22.25,20.66,21.44,22.84,22.0,19.78,19.56,20.75,21.12,19.38,18.53,19.88,20.75,18.78,17.38,18.94,21.19,21.78,21.56,23.12,25.53,26.06,24.66,24.62,27.0,28.12,26.97,26.09,26.94,27.59,25.03,22.06,21.62,21.75,19.44,16.31,15.41,16.06,15.69,13.69,13.22,14.84,16.31,15.38,15.31,17.75,20.78,20.88,20.47,22.5,24.72,24.78,23.09,23.16,24.69,24.81,22.84,21.34,22.0,22.16,19.94,17.84,18.5,20.44,19.66,18.44,19.56,21.88,22.47,21.53,22.16,24.47,25.75,23.91,22.25,22.44,22.69,20.81,19.5,21.03,24.03,25.09,25.0,26.47,28.78,29.28,27.34,25.97,26.44,25.94,23.16,20.91,21.16,21.94,20.38,18.5,18.84,20.44,20.62,19.31,19.59,21.53,21.97,20.25,19.56,20.66,21.78,20.03,18.62,20.22,22.59,22.34,20.88,20.88,21.16,19.5,16.25,14.91,15.91,16.38,14.47,12.88,13.41,13.44,11.25,9.0,9.66,11.69,12.22,11.84,12.88,15.34,16.09,14.28,13.09,13.91,14.44,12.56,11.22,12.56,14.53,14.31,13.59,15.06,18.22,19.62,19.44,20.28,22.16,22.12,19.81,17.41,17.56,17.34,14.41,11.69,11.47,11.84,10.75,8.84,9.44,11.94,12.97,12.34,12.78,14.91,16.09,14.16,12.94,14.16,15.84,15.03,13.78,14.12,15.44,14.12,11.38,10.03,10.34,10.03,8.41,8.03,10.38,11.94,11.19,9.94,10.88,12.06,11.31,10.03,10.94,13.5,14.47,14.06,14.69,17.16,18.41,17.69,17.59,19.88,22.03,21.5,20.78,22.19,23.72,22.81,20.59,19.59,20.12,19.12,16.38,14.97,15.66,15.62,13.38,11.31,11.91,12.62,11.25,9.75,10.47,12.78,13.09,12.62,14.31,18.16,21.41,22.5,24.5,28.47,30.97,30.16,28.19,28.69,28.97,27.31,24.66,24.06,24.59,23.22,20.5,19.12,20.44,21.62,21.06,21.69,24.81,27.53,27.69,26.69,27.75,29.69,28.88,26.88,26.66,27.62,27.41,24.84,22.53,22.16,20.72,16.47,13.16,12.62,13.16,11.88,10.34,11.25,13.41,14.03,13.03,14.25,17.53,19.91,20.53,21.84,25.34,27.88,27.44,26.16,27.28,28.62,27.03,24.53,24.0,24.91,24.31,22.06,21.41,22.81,23.03,20.72,19.03,20.28,20.97,19.34,17.09,17.0,17.44,16.25,14.25,14.88,17.34,19.22,19.31,20.5,24.0,26.88,27.09,27.22,29.69,32.06,31.69,30.19,30.62,32.09,31.41,29.12,28.41,29.16,28.5,24.94,22.03,21.75,21.78,19.5,17.75,18.78,19.69,18.47,16.19,15.81,16.75,16.66,14.84,14.75,17.03,18.97,18.81,18.53,20.94,23.44,23.19,22.56,24.28,26.72,27.44,26.97,28.38,31.0,31.25,28.62,25.31,22.78,19.19,12.53,6.88,4.59,4.03,2.53,1.47,4.09,8.91,12.34,14.16,17.19,21.38,23.5,22.41,21.94,23.59,24.84,23.31,21.66,22.41,23.97,23.38,21.91,22.59,24.38,24.81,22.66,21.88,22.53,21.72,18.09,15.03,14.62,14.88,12.94,11.03,11.81,13.91,14.5,14.19,16.34,20.47,23.22,23.16,23.41,25.34,26.19,23.78,21.78,22.44,23.78,22.97,21.78,22.81,24.88,24.75,22.34,21.03,21.31,20.69,17.41,15.62,16.75,18.34,17.5,16.97,18.66,21.16,20.69,18.47,18.06,19.62,20.19,19.53,20.78,24.72,27.62,26.53,25.53,26.19,26.28,23.34,19.56,19.03,20.22,20.16,19.16,19.88,22.19,22.5,19.91,17.72,18.03,17.88,15.03,12.84,13.66,15.41,14.84,13.91,15.12,17.56,17.59,15.34,14.31,14.72,13.59,10.19,7.56,7.91,8.97,7.88,7.69,10.53,15.19,17.78,19.59,23.38,28.94,32.31,33.06,33.59,35.06,34.22,29.44,24.53,22.56,21.28,18.31,16.12,16.75,19.31,19.72,18.62,18.44,19.22,18.38,15.06,13.59,15.47,17.38,17.38,17.31,19.81,22.78,22.84,21.91,22.31,24.31,24.06,22.28,21.69,23.12,22.69,19.56,16.12,15.62,15.31,12.88,10.78,11.97,14.56,15.0,14.72,16.31,19.94,21.66,21.06,21.28,23.53,24.25,21.72,19.09,18.69,18.41,15.34,12.38,12.06,12.94,12.03,9.75,9.41,11.31,12.72,12.62,14.09,18.25,21.34,21.47,20.69,22.22,24.25,23.69,21.5,21.09,21.41,18.53,13.38,9.78,9.0,8.03,6.31,6.34,9.84,13.03,13.5,12.81,14.19,15.69,13.97,10.22,7.94,7.22,5.12,2.03,1.22,4.31,7.62,8.81,10.66,14.81,18.28,18.38,16.47,14.97,13.41,8.88,2.59,-1.28,-2.09,-3.06,-4.81,-5.0,-1.91,1.06,2.38,4.19,9.03,14.78,18.22,20.69,24.66,29.16,31.06,29.81,29.19,29.72,28.69,25.03,21.69,21.47,20.97,18.0,14.62,14.0,14.19,12.59,9.94,10.16,12.09,13.44,13.06,14.16,18.03,20.19,19.53,18.56,19.19,19.44,17.12,13.31,11.94,11.88,10.28,7.97,8.69,12.41,15.22,15.5,16.41,19.06,20.19,17.88,14.78,14.28,13.78,11.38,8.66,9.47,12.41,14.25,14.5,16.06,19.47,21.44,20.25,19.03,19.84,20.22,17.69,14.78,15.0,16.22,15.88,14.69,16.0,18.75,20.06,18.97,18.62,19.88,19.81,16.81,14.0,13.62,14.12,13.12,12.19,13.44,15.44,15.28,12.38,11.28,11.91,11.88,10.22,10.12,13.19,16.0,16.53,17.12,20.38,23.88,24.78,24.44,26.31,28.91,29.97,29.09,29.47,31.88,33.91,33.25,32.94,34.69,35.69,33.28,29.84,28.56,27.94,25.38,21.53,19.72,20.25,20.03,18.19,18.06,20.62,22.19,21.12,20.06,21.38,22.44,20.62,18.28,17.75,18.34,17.03,14.44,13.47,13.84,13.66,11.25,10.56,12.34,14.41,14.28,13.34,14.59,15.81,14.59,12.47,12.28,13.56,13.53,11.31,10.75,12.19,12.94,11.28,10.44,11.81,13.16,11.41,8.81,8.09,7.84,6.28,3.84,4.28,7.22,9.25,9.62,11.16,14.06,16.34,15.31,14.31,15.72,17.16,16.34,14.53,15.16,16.44,16.03,14.0,13.03,14.03,13.44,10.91,9.25,9.88,41.62,42.53,44.12,44.88,44.0,43.88,44.72,44.22,41.62,40.0,39.81,39.31,37.59,36.09,36.41,37.41,37.0,36.34,37.56,39.91,41.0,40.09,39.97,40.16,39.69,37.88,36.97,38.44,40.16,39.97,39.12,39.03,38.69,36.5,33.12,31.72,31.94,32.12,31.44,32.12,34.44,35.97:positivity
18.53,18.12,17.12,17.47,20.0,22.62,24.0,25.0,26.75,28.53,28.56,27.44,27.0,26.62,24.84,22.22,19.94,19.47,19.12,17.91,17.09,18.12,19.53,19.56,19.44,20.69,22.75,23.22,22.84,22.66,22.78,21.5,18.75,16.19,15.41,15.12,14.56,15.28,18.38,21.91,24.16,25.28,26.62,27.69,26.72,24.75,23.69,24.25,24.81,24.81,25.25,27.03,28.47,28.75,28.44,29.56,30.53,29.44,27.44,26.53,26.5,25.91,24.44,24.03,24.88,25.0,24.38,23.88,25.28,26.78,27.09,27.44,28.88,30.62,30.25,28.56,27.66,27.38,26.16,23.88,23.19,23.34,23.34,22.22,21.38,22.16,23.38,23.88,24.25,26.19,28.34,28.94,28.38,28.28,28.62,27.97,25.78,24.25,23.81,23.19,21.0,19.34,18.97,18.31,16.34,14.28,13.91,14.44,14.06,12.84,13.12,13.94,14.12,13.5,13.44,15.09,16.31,15.59,15.16,16.16,17.0,16.78,16.19,16.94,18.19,18.34,17.28,17.38,18.59,18.84,17.84,17.44,18.62,19.69,19.38,19.34,20.78,22.25,22.34,21.72,22.22,23.41,23.56,22.81,23.12,23.97,23.97,22.34,20.75,20.62,20.19,18.91,17.53,17.78,18.25,17.69,16.44,16.5,17.75,18.5,18.62,19.81,22.72,24.91,26.19,27.5,29.5,30.94,30.28,28.5,27.78,26.84,24.16,20.78,18.31,17.03,15.09,12.66,11.56,12.19,13.03,13.03,13.5,15.91,18.72,20.03,20.84,22.97,24.72,25.38,24.59,25.22,26.62,26.97,25.97,25.25,25.31,24.69,22.22,19.84,19.59,19.44,18.56,17.56,18.22,19.22,18.62,16.78,16.06,16.28,16.06,15.53,16.34,18.88,21.28,21.72,22.31,24.19,25.88,26.06,25.5,26.38,27.94,28.59,28.62,29.53,30.66,30.38,27.09,23.16,20.28,17.28,13.5,10.84,10.47,11.16,10.56,9.34,10.03,11.81,13.0,13.34,15.0,17.44,19.12,18.97,18.97,20.31,21.31,20.34,19.5,19.78,20.47,19.69,18.19,17.97,18.5,17.88,16.5,15.97,16.75,17.22,16.19,15.62,16.31,17.12,16.59,15.97,16.75,18.75,19.56,19.78,21.38,23.72,25.28,24.59,24.41,25.16,25.56,24.75,24.41,25.75,27.28,26.62,24.81,23.91,22.91,20.34,17.78,16.88,18.12,19.09,19.03,19.69,21.25,22.06,20.91,20.0,20.47,21.16,20.25,19.0,19.25,20.12,19.81,18.56,18.41,19.12,19.16,17.88,17.12,17.91,18.03,16.06,14.47,14.44,15.31,15.31,15.5,16.91,19.12,19.78,19.38,19.97,21.66,22.66,22.0,21.91,22.72,22.84,20.53,18.38,17.84,17.78,16.91,15.91,16.44,17.91,18.03,17.19,17.28,18.19,18.66,17.47,17.25,18.94,20.62,20.22,19.56,19.59,19.19,16.25,12.91,10.88,10.12,8.91,7.34,6.91,8.16,9.38,9.0,9.78,12.12,14.56,15.78,16.69,18.22,20.31,21.0,20.41,21.0,22.62,23.38,22.72,22.62,22.75,21.97,18.5,15.06,12.75,11.41,9.06,7.94,9.38,12.66,14.81,15.75,17.19,18.88,18.91,17.72,17.69,19.66,21.19,21.16,21.12,21.47,21.91,20.06,17.66,16.41,15.91,14.28,11.91,10.56,10.19,9.38,7.06,5.56,5.94,6.25,5.38,4.78,5.47,7.34,7.47,7.84,9.59,12.09,12.84,12.41,12.56,13.5,13.56,12.38,11.78,12.41,12.66,11.09,9.69,9.47,10.66,10.66,11.34,13.53,16.66,18.34,18.06,17.53,17.47,16.75,15.03,14.22,15.81,18.12,19.03,19.94,21.94,23.78,23.44,22.06,21.66,22.0,20.59,18.06,16.38,15.81,15.03,13.28,12.91,14.72,16.94,17.44,17.19,17.56,17.94,15.62,12.25,10.19,9.12,7.5,5.25,4.56,6.22,8.28,8.88,10.16,12.69,14.59,14.53,14.03,14.72,15.88,14.97,12.94,11.47,10.81,9.53,7.84,7.84,9.34,10.66,9.44,7.78,7.12,6.12,3.53,1.0,0.28,0.84,0.38,-0.44,0.34,2.88,4.88,5.41,6.72,9.38,12.12,13.19,14.53,16.88,18.72,18.09,16.0,14.91,14.5,12.84,10.5,9.12,9.0,8.62,7.12,6.97,8.34,9.69,8.97,8.28,8.38,8.72,7.34,5.31,4.97,6.0,5.66,4.91,5.12,6.91,7.97,8.03,7.97,9.47,10.09,8.84,7.38,7.22,7.78,6.69,5.03,4.75,5.31,5.0,3.84,3.78,5.44,6.53,6.31,6.0,7.62,8.88,8.44,7.44,7.84,8.25,6.53,4.16,3.41,3.84,2.84,1.38,0.72,1.66,2.34,1.62,1.25,2.41,3.66,3.31,3.09,4.38,6.31,6.38,5.31,5.25,6.47,6.38,5.81,6.28,8.41,9.66,9.0,7.53,6.69,5.25,1.91,-1.5,-2.53,-1.78,-1.28,-0.31,2.12,6.12,8.78,10.19,11.59,14.44,16.16,16.31,15.94,16.75,17.75,16.53,14.88,13.97,13.91,12.0,9.78,9.06,10.09,10.66,10.66,10.59,12.19,13.25,12.47,12.16,13.25,14.88,14.78,14.53,15.66,17.78,18.62,18.91,19.69,21.47,22.16,21.38,20.41,20.62,20.22,18.03,15.47,13.84,12.59,9.34,5.47,2.47,0.47,-2.56,-6.47,-8.75,-8.59,-8.66,-9.34,-9.19,-7.16,-5.62,-5.41,-4.75,-1.81,2.16,4.84,7.34,10.5,14.47,17.0,17.78,18.75,20.09,19.41,15.56,10.84,6.75,2.06,-3.31,-8.06,-9.5,-8.59,-8.44,-7.62,-5.09,-1.78,0.66,1.56,3.0,5.41,6.5,6.03,5.44,6.12,6.75,5.97,4.59,4.78,5.12,3.91,1.81,1.31,1.97,2.28,1.62,1.44,2.84,3.41,2.19,0.75,0.97,1.56,0.56,-0.19,1.22,3.88,5.59,6.53,7.97,9.94,10.47,9.59,9.72,11.72,13.97,14.62,14.72,15.97,16.34,15.0,12.78,11.56,10.81,8.75,5.81,3.88,3.72,3.94,3.72,4.72,7.78,10.88,12.5,13.62,15.81,17.34,17.56,16.56,16.91,17.75,18.0,16.78,16.19,16.59,16.09,14.19,12.91,13.41,13.5,12.5,10.91,10.72,10.84,9.81,8.44,8.75,10.34,11.06,10.91,11.94,13.69,14.47,13.38,12.09,12.16,11.59,10.31,8.78,9.75,10.59,10.84,10.16,10.75,12.06,11.94,10.25,9.28,9.72,9.19,7.47,6.44,7.34,8.16,7.91,7.75,9.41,11.22,12.28,12.72,14.03,16.53,17.62,16.72,16.47,17.16,16.38,14.19,11.88,10.94,10.38,8.81,7.53,8.28,9.69,9.62,8.06,7.44,7.47,6.94,5.47,4.91,6.06,6.59,5.44,3.78,3.66,3.66,2.34,1.16,1.91,3.62,4.62,4.66,5.44,7.22,8.03,7.41,7.5,9.53,11.25,11.28,11.0,11.94,12.59,11.91,10.78,11.66,13.25,13.94,13.03,12.59,12.0,10.12,6.28,2.41,0.56,-1.25,-3.72,-5.66,-5.5,-4.38,-3.88,-3.47,-1.0,2.72,5.59,7.25,9.69,11.94,12.5,10.91,8.72,7.72,6.72,5.5,5.06,7.25,10.56,12.56,13.34,14.56,15.12,13.53,10.0,7.28,5.31,2.75,-1.22,-4.53,-5.44,-5.91,-6.56,-6.38,-4.06,-1.38,-0.28,-0.25,1.09,3.09,4.41,5.06,6.88,10.31,13.34,14.78,15.88,17.97,19.59,18.81,17.53,17.44,17.81,16.97,15.19,14.62,14.38,12.38,8.69,5.38,3.31,1.22,-2.12,-4.62,-4.59,-4.12,-4.75,-4.84,-2.94,-0.25,0.72,1.25,2.66,4.41,5.34,4.69,4.59,5.44,6.09,4.81,3.78,3.94,3.97,3.12,1.75,2.28,3.53,3.84,3.25,3.41,4.41,4.94,4.16,4.12,5.47,6.94,6.47,6.12,6.53,6.59,4.78,2.31,1.28,1.38,1.66,1.75,4.22,7.88,10.75,12.19,13.19,14.53,15.06,13.5,12.12,12.31,12.91,12.56,11.78,12.06,12.66,12.66,11.78,12.0,12.72,13.19,11.22,9.88,9.66,10.09,9.12,9.16,10.94,13.41,14.69,15.56,17.84,20.72,22.19,22.66,23.03,23.75,23.19,20.56,18.25,16.53,15.44,13.16,11.16,10.78,11.31,10.25,8.28,7.47,7.44,7.12,6.41,7.03,9.06,10.94,10.62,10.84,12.12,13.31,13.0,12.62,13.72,15.31,15.91,16.0,17.53,19.72,21.34,21.75,22.97,24.62,25.12,23.12,20.38,18.69,17.06,14.66,12.22,11.56,11.69,10.91,9.41,9.38,10.25,10.81,10.47,10.41,11.56,12.09,10.88,9.19,9.28,9.34,8.38,6.94,7.0,7.5,6.66,5.19,4.28,4.59,4.94,4.25,4.81,6.78,9.03,9.38,9.47,10.75,11.91,12.03,11.97,13.53,15.97,17.38,17.09,17.16,18.0,18.12,17.38,17.22,18.28,18.69,16.84,13.56,10.94,7.88,3.28,-1.88,-5.41,-7.09,-8.59,-9.53,-8.03,-4.56,-1.09,1.09,3.38,6.84,9.5,9.94,10.0,11.44,13.31,13.81,14.06,14.94,16.0,15.16,12.53,10.5,9.12,7.53,4.97,3.72,4.78,6.69,7.56,8.28,10.78,13.62,14.56,14.56,14.94,15.28,13.81,10.84,8.28,6.91,5.09,2.22,-0.16,-0.84,-0.78,-1.59,-2.28,-1.28,0.91,2.0,2.31,3.47,5.31,6.16,5.88,5.81,6.78,7.38,6.16,4.59,4.38,4.91:25.0,26.75,28.53,28.56,27.44,27.0,26.62,24.84,22.22,19.94,19.47,19.12,17.91,17.09,18.12,19.53,19.56,19.44,20.69,22.75,23.22,22.84,22.66,22.78,21.5,18.75,16.19,15.41,15.12,14.56,15.28,18.38,21.91,24.16,25.28,26.62,27.69,26.72,24.75,23.69,24.25,24.81,24.81,25.25,27.03,28.47,28.75,28.44,29.56,30.53,29.44,27.44,26.53,26.5,25.91,24.44,24.03,24.88,25.0,24.38,23.88,25.28,26.78,27.09,27.44,28.88,30.62,30.25,28.56,27.66,27.38,26.16,23.88,23.19,23.34,23.34,22.22,21.38,22.16,23.38,23.88,24.25,26.19,28.34,28.94,28.38,28.28,28.62,27.97,25.78,24.25,23.81,23.19,21.0,19.34,18.97,18.31,16.34,14.28,13.91,14.44,14.06,12.84,13.12,13.94,14.12,13.5,13.44,15.09,16.31,15.59,15.16,16.16,17.0,16.78,16.19,16.94,18.19,18.34,17.28,17.38,18.59,18.84,17.84,17.44,18.62,19.69,19.38,19.34,20.78,22.25,22.34,21.72,22.22,23.41,23.56,22.81,23.12,23.97,23.97,22.34,20.75,20.62,20.19,18.91,17.53,17.78,18.25,17.69,16.44,16.5,17.75,18.5,18.62,19.81,22.72,24.91,26.19,27.5,29.5,30.94,30.28,28.5,27.78,26.84,24.16,20.78,18.31,17.03,15.09,12.66,11.56,12.19,13.03,13.03,13.5,15.91,18.72,20.03,20.84,22.97,24.72,25.38,24.59,25.22,26.62,26.97,25.97,25.25,25.31,24.69,22.22,19.84,19.59,19.44,18.56,17.56,18.22,19.22,18.62,16.78,16.06,16.28,16.06,15.53,16.34,18.88,21.28,21.72,22.31,24.19,25.88,26.06,25.5,26.38,27.94,28.59,28.62,29.53,30.66,30.38,27.09,23.16,20.28,17.28,13.5,10.84,10.47,11.16,10.56,9.34,10.03,11.81,13.0,13.34,15.0,17.44,19.12,18.97,18.97,20.31,21.31,20.34,19.5,19.78,20.47,19.69,18.19,17.97,18.5,17.88,16.5,15.97,16.75,17.22,16.19,15.62,16.31,17.12,16.59,15.97,16.75,18.75,19.56,19.78,21.38,23.72,25.28,24.59,24.41,25.16,25.56,24.75,24.41,25.75,27.28,26.62,24.81,23.91,22.91,20.34,17.78,16.88,18.12,19.09,19.03,19.69,21.25,22.06,20.91,20.0,20.47,21.16,20.25,19.0,19.25,20.12,19.81,18.56,18.41,19.12,19.16,17.88,17.12,17.91,18.03,16.06,14.47,14.44,15.31,15.31,15.5,16.91,19.12,19.78,19.38,19.97,21.66,22.66,22.0,21.91,22.72,22.84,20.53,18.38,17.84,17.78,16.91,15.91,16.44,17.91,18.03,17.19,17.28,18.19,18.66,17.47,17.25,18.94,20.62,20.22,19.56,19.59,19.19,16.25,12.91,10.88,10.12,8.91,7.34,6.91,8.16,9.38,9.0,9.78,12.12,14.56,15.78,16.69,18.22,20.31,21.0,20.41,21.0,22.62,23.38,22.72,22.62,22.75,21.97,18.5,15.06,12.75,11.41,9.06,7.94,9.38,12.66,14.81,15.75,17.19,18.88,18.91,17.72,17.69,19.66,21.19,21.16,21.12,21.47,21.91,20.06,17.66,16.41,15.91,14.28,11.91,10.56,10.19,9.38,7.06,5.56,5.94,6.25,5.38,4.78,5.47,7.34,7.47,7.84,9.59,12.09,12.84,12.41,12.56,13.5,13.56,12.38,11.78,12.41,12.66,11.09,9.69,9.47,10.66,10.66,11.34,13.53,16.66,18.34,18.06,17.53,17.47,16.75,15.03,14.22,15.81,18.12,19.03,19.94,21.94,23.78,23.44,22.06,21.66,22.0,20.59,18.06,16.38,15.81,15.03,13.28,12.91,14.72,16.94,17.44,17.19,17.56,17.94,15.62,12.25,10.19,9.12,7.5,5.25,4.56,6.22,8.28,8.88,10.16,12.69,14.59,14.53,14.03,14.72,15.88,14.97,12.94,11.47,10.81,9.53,7.84,7.84,9.34,10.66,9.44,7.78,7.12,6.12,3.53,1.0,0.28,0.84,0.38,-0.44,0.34,2.88,4.88,5.41,6.72,9.38,12.12,13.19,14.53,16.88,18.72,18.09,16.0,14.91,14.5,12.84,10.5,9.12,9.0,8.62,7.12,6.97,8.34,9.69,8.97,8.28,8.38,8.72,7.34,5.31,4.97,6.0,5.66,4.91,5.12,6.91,7.97,8.03,7.97,9.47,10.09,8.84,7.38,7.22,7.78,6.69,5.03,4.75,5.31,5.0,3.84,3.78,5.44,6.53,6.31,6.0,7.62,8.88,8.44,7.44,7.84,8.25,6.53,4.16,3.41,3.84,2.84,1.38,0.72,1.66,2.34,1.62,1.25,2.41,3.66,3.31,3.09,4.38,6.31,6.38,5.31,5.25,6.47,6.38,5.81,6.28,8.41,9.66,9.0,7.53,6.69,5.25,1.91,-1.5,-2.53,-1.78,-1.28,-0.31,2.12,6.12,8.78,10.19,11.59,14.44,16.16,16.31,15.94,16.75,17.75,16.53,14.88,13.97,13.91,12.0,9.78,9.06,10.09,10.66,10.66,10.59,12.19,13.25,12.47,12.16,13.25,14.88,14.78,14.53,15.66,17.78,18.62,18.91,19.69,21.47,22.16,21.38,20.41,20.62,20.22,18.03,15.47,13.84,12.59,9.34,5.47,2.47,0.47,-2.56,-6.47,-8.75,-8.59,-8.66,-9.34,-9.19,-7.16,-5.62,-5.41,-4.75,-1.81,2.16,4.84,7.34,10.5,14.47,17.0,17.78,18.75,20.09,19.41,15.56,10.84,6.75,2.06,-3.31,-8.06,-9.5,-8.59,-8.44,-7.62,-5.09,-1.78,0.66,1.56,3.0,5.41,6.5,6.03,5.44,6.12,6.75,5.97,4.59,4.78,5.12,3.91,1.81,1.31,1.97,2.28,1.62,1.44,2.84,3.41,2.19,0.75,0.97,1.56,0.56,-0.19,1.22,3.88,5.59,6.53,7.97,9.94,10.47,9.59,9.72,11.72,13.97,14.62,14.72,15.97,16.34,15.0,12.78,11.56,10.81,8.75,5.81,3.88,3.72,3.94,3.72,4.72,7.78,10.88,12.5,13.62,15.81,17.34,17.56,16.56,16.91,17.75,18.0,16.78,16.19,16.59,16.09,14.19,12.91,13.41,13.5,12.5,10.91,10.72,10.84,9.81,8.44,8.75,10.34,11.06,10.91,11.94,13.69,14.47,13.38,12.09,12.16,11.59,10.31,8.78,9.75,10.59,10.84,10.16,10.75,12.06,11.94,10.25,9.28,9.72,9.19,7.47,6.44,7.34,8.16,7.91,7.75,9.41,11.22,12.28,12.72,14.03,16.53,17.62,16.72,16.47,17.16,16.38,14.19,11.88,10.94,10.38,8.81,7.53,8.28,9.69,9.62,8.06,7.44,7.47,6.94,5.47,4.91,6.06,6.59,5.44,3.78,3.66,3.66,2.34,1.16,1.91,3.62,4.62,4.66,5.44,7.22,8.03,7.41,7.5,9.53,11.25,11.28,11.0,11.94,12.59,11.91,10.78,11.66,13.25,13.94,13.03,12.59,12.0,10.12,6.28,2.41,0.56,-1.25,-3.72,-5.66,-5.5,-4.38,-3.88,-3.47,-1.0,2.72,5.59,7.25,9.69,11.94,12.5,10.91,8.72,7.72,6.72,5.5,5.06,7.25,10.56,12.56,13.34,14.56,15.12,13.53,10.0,7.28,5.31,2.75,-1.22,-4.53,-5.44,-5.91,-6.56,-6.38,-4.06,-1.38,-0.28,-0.25,1.09,3.09,4.41,5.06,6.88,10.31,13.34,14.78,15.88,17.97,19.59,18.81,17.53,17.44,17.81,16.97,15.19,14.62,14.38,12.38,8.69,5.38,3.31,1.22,-2.12,-4.62,-4.59,-4.12,-4.75,-4.84,-2.94,-0.25,0.72,1.25,2.66,4.41,5.34,4.69,4.59,5.44,6.09,4.81,3.78,3.94,3.97,3.12,1.75,2.28,3.53,3.84,3.25,3.41,4.41,4.94,4.16,4.12,5.47,6.94,6.47,6.12,6.53,6.59,4.78,2.31,1.28,1.38,1.66,1.75,4.22,7.88,10.75,12.19,13.19,14.53,15.06,13.5,12.12,12.31,12.91,12.56,11.78,12.06,12.66,12.66,11.78,12.0,12.72,13.19,11.22,9.88,9.66,10.09,9.12,9.16,10.94,13.41,14.69,15.56,17.84,20.72,22.19,22.66,23.03,23.75,23.19,20.56,18.25,16.53,15.44,13.16,11.16,10.78,11.31,10.25,8.28,7.47,7.44,7.12,6.41,7.03,9.06,10.94,10.62,10.84,12.12,13.31,13.0,12.62,13.72,15.31,15.91,16.0,17.53,19.72,21.34,21.75,22.97,24.62,25.12,23.12,20.38,18.69,17.06,14.66,12.22,11.56,11.69,10.91,9.41,9.38,10.25,10.81,10.47,10.41,11.56,12.09,10.88,9.19,9.28,9.34,8.38,6.94,7.0,7.5,6.66,5.19,4.28,4.59,4.94,4.25,4.81,6.78,9.03,9.38,9.47,10.75,11.91,12.03,11.97,13.53,15.97,17.38,17.09,17.16,18.0,18.12,17.38,17.22,18.28,18.69,16.84,13.56,10.94,7.88,3.28,-1.88,-5.41,-7.09,-8.59,-9.53,-8.03,-4.56,-1.09,1.09,3.38,6.84,9.5,9.94,10.0,11.44,13.31,13.81,14.06,14.94,16.0,15.16,12.53,10.5,9.12,7.53,4.97,3.72,4.78,6.69,7.56,8.28,10.78,13.62,14.56,14.56,14.94,15.28,13.81,10.84,8.28,6.91,5.09,2.22,-0.16,-0.84,-0.78,-1.59,-2.28,-1.28,0.91,2.0,2.31,3.47,5.31,6.16,5.88,5.81,6.78,7.38,6.16,4.59,4.38,4.91,49.47,48.66,48.84,49.38,50.41,52.16,54.31:24.84,22.22,19.94,19.47,19.12,17.91,17.09,18.12,19.53,19.56,19.44,20.69,22.75,23.22,22.84,22.66,22.78,21.5,18.75,16.19,15.41,15.12,14.56,15.28,18.38,21.91,24.16,25.28,26.62,27.69,26.72,24.75,23.69,24.25,24.81,24.81,25.25,27.03,28.47,28.75,28.44,29.56,30.53,29.44,27.44,26.53,26.5,25.91,24.44,24.03,24.88,25.0,24.38,23.88,25.28,26.78,27.09,27.44,28.88,30.62,30.25,28.56,27.66,27.38,26.16,23.88,23.19,23.34,23.34,22.22,21.38,22.16,23.38,23.88,24.25,26.19,28.34,28.94,28.38,28.28,28.62,27.97,25.78,24.25,23.81,23.19,21.0,19.34,18.97,18.31,16.34,14.28,13.91,14.44,14.06,12.84,13.12,13.94,14.12,13.5,13.44,15.09,16.31,15.59,15.16,16.16,17.0,16.78,16.19,16.94,18.19,18.34,17.28,17.38,18.59,18.84,17.84,17.44,18.62,19.69,19.38,19.34,20.78,22.25,22.34,21.72,22.22,23.41,23.56,22.81,23.12,23.97,23.97,22.34,20.75,20.62,20.19,18.91,17.53,17.78,18.25,17.69,16.44,16.5,17.75,18.5,18.62,19.81,22.72,24.91,26.19,27.5,29.5,30.94,30.28,28.5,27.78,26.84,24.16,20.78,18.31,17.03,15.09,12.66,11.56,12.19,13.03,13.03,13.5,15.91,18.72,20.03,20.84,22.97,24.72,25.38,24.59,25.22,26.62,26.97,25.97,25.25,25.31,24.69,22.22,19.84,19.59,19.44,18.56,17.56,18.22,19.22,18.62,16.78,16.06,16.28,16.06,15.53,16.34,18.88,21.28,21.72,22.31,24.19,25.88,26.06,25.5,26.38,27.94,28.59,28.62,29.53,30.66,30.38,27.09,23.16,20.28,17.28,13.5,10.84,10.47,11.16,10.56,9.34,10.03,11.81,13.0,13.34,15.0,17.44,19.12,18.97,18.97,20.31,21.31,20.34,19.5,19.78,20.47,19.69,18.19,17.97,18.5,17.88,16.5,15.97,16.75,17.22,16.19,15.62,16.31,17.12,16.59,15.97,16.75,18.75,19.56,19.78,21.38,23.72,25.28,24.59,24.41,25.16,25.56,24.75,24.41,25.75,27.28,26.62,24.81,23.91,22.91,20.34,17.78,16.88,18.12,19.09,19.03,19.69,21.25,22.06,20.91,20.0,20.47,21.16,20.25,19.0,19.25,20.12,19.81,18.56,18.41,19.12,19.16,17.88,17.12,17.91,18.03,16.06,14.47,14.44,15.31,15.31,15.5,16.91,19.12,19.78,19.38,19.97,21.66,22.66,22.0,21.91,22.72,22.84,20.53,18.38,17.84,17.78,16.91,15.91,16.44,17.91,18.03,17.19,17.28,18.19,18.66,17.47,17.25,18.94,20.62,20.22,19.56,19.59,19.19,16.25,12.91,10.88,10.12,8.91,7.34,6.91,8.16,9.38,9.0,9.78,12.12,14.56,15.78,16.69,18.22,20.31,21.0,20.41,21.0,22.62,23.38,22.72,22.62,22.75,21.97,18.5,15.06,12.75,11.41,9.06,7.94,9.38,12.66,14.81,15.75,17.19,18.88,18.91,17.72,17.69,19.66,21.19,21.16,21.12,21.47,21.91,20.06,17.66,16.41,15.91,14.28,11.91,10.56,10.19,9.38,7.06,5.56,5.94,6.25,5.38,4.78,5.47,7.34,7.47,7.84,9.59,12.09,12.84,12.41,12.56,13.5,13.56,12.38,11.78,12.41,12.66,11.09,9.69,9.47,10.66,10.66,11.34,13.53,16.66,18.34,18.06,17.53,17.47,16.75,15.03,14.22,15.81,18.12,19.03,19.94,21.94,23.78,23.44,22.06,21.66,22.0,20.59,18.06,16.38,15.81,15.03,13.28,12.91,14.72,16.94,17.44,17.19,17.56,17.94,15.62,12.25,10.19,9.12,7.5,5.25,4.56,6.22,8.28,8.88,10.16,12.69,14.59,14.53,14.03,14.72,15.88,14.97,12.94,11.47,10.81,9.53,7.84,7.84,9.34,10.66,9.44,7.78,7.12,6.12,3.53,1.0,0.28,0.84,0.38,-0.44,0.34,2.88,4.88,5.41,6.72,9.38,12.12,13.19,14.53,16.88,18.72,18.09,16.0,14.91,14.5,12.84,10.5,9.12,9.0,8.62,7.12,6.97,8.34,9.69,8.97,8.28,8.38,8.72,7.34,5.31,4.97,6.0,5.66,4.91,5.12,6.91,7.97,8.03,7.97,9.47,10.09,8.84,7.38,7.22,7.78,6.69,5.03,4.75,5.31,5.0,3.84,3.78,5.44,6.53,6.31,6.0,7.62,8.88,8.44,7.44,7.84,8.25,6.53,4.16,3.41,3.84,2.84,1.38,0.72,1.66,2.34,1.62,1.25,2.41,3.66,3.31,3.09,4.38,6.31,6.38,5.31,5.25,6.47,6.38,5.81,6.28,8.41,9.66,9.0,7.53,6.69,5.25,1.91,-1.5,-2.53,-1.78,-1.28,-0.31,2.12,6.12,8.78,10.19,11.59,14.44,16.16,16.31,15.94,16.75,17.75,16.53,14.88,13.97,13.91,12.0,9.78,9.06,10.09,10.66,10.66,10.59,12.19,13.25,12.47,12.16,13.25,14.88,14.78,14.53,15.66,17.78,18.62,18.91,19.69,21.47,22.16,21.38,20.41,20.62,20.22,18.03,15.47,13.84,12.59,9.34,5.47,2.47,0.47,-2.56,-6.47,-8.75,-8.59,-8.66,-9.34,-9.19,-7.16,-5.62,-5.41,-4.75,-1.81,2.16,4.84,7.34,10.5,14.47,17.0,17.78,18.75,20.09,19.41,15.56,10.84,6.75,2.06,-3.31,-8.06,-9.5,-8.59,-8.44,-7.62,-5.09,-1.78,0.66,1.56,3.0,5.41,6.5,6.03,5.44,6.12,6.75,5.97,4.59,4.78,5.12,3.91,1.81,1.31,1.97,2.28,1.62,1.44,2.84,3.41,2.19,0.75,0.97,1.56,0.56,-0.19,1.22,3.88,5.59,6.53,7.97,9.94,10.47,9.59,9.72,11.72,13.97,14.62,14.72,15.97,16.34,15.0,12.78,11.56,10.81,8.75,5.81,3.88,3.72,3.94,3.72,4.72,7.78,10.88,12.5,13.62,15.81,17.34,17.56,16.56,16.91,17.75,18.0,16.78,16.19,16.59,16.09,14.19,12.91,13.41,13.5,12.5,10.91,10.72,10.84,9.81,8.44,8.75,10.34,11.06,10.91,11.94,13.69,14.47,13.38,12.09,12.16,11.59,10.31,8.78,9.75,10.59,10.84,10.16,10.75,12.06,11.94,10.25,9.28,9.72,9.19,7.47,6.44,7.34,8.16,7.91,7.75,9.41,11.22,12.28,12.72,14.03,16.53,17.62,16.72,16.47,17.16,16.38,14.19,11.88,10.94,10.38,8.81,7.53,8.28,9.69,9.62,8.06,7.44,7.47,6.94,5.47,4.91,6.06,6.59,5.44,3.78,3.66,3.66,2.34,1.16,1.91,3.62,4.62,4.66,5.44,7.22,8.03,7.41,7.5,9.53,11.25,11.28,11.0,11.94,12.59,11.91,10.78,11.66,13.25,13.94,13.03,12.59,12.0,10.12,6.28,2.41,0.56,-1.25,-3.72,-5.66,-5.5,-4.38,-3.88,-3.47,-1.0,2.72,5.59,7.25,9.69,11.94,12.5,10.91,8.72,7.72,6.72,5.5,5.06,7.25,10.56,12.56,13.34,14.56,15.12,13.53,10.0,7.28,5.31,2.75,-1.22,-4.53,-5.44,-5.91,-6.56,-6.38,-4.06,-1.38,-0.28,-0.25,1.09,3.09,4.41,5.06,6.88,10.31,13.34,14.78,15.88,17.97,19.59,18.81,17.53,17.44,17.81,16.97,15.19,14.62,14.38,12.38,8.69,5.38,3.31,1.22,-2.12,-4.62,-4.59,-4.12,-4.75,-4.84,-2.94,-0.25,0.72,1.25,2.66,4.41,5.34,4.69,4.59,5.44,6.09,4.81,3.78,3.94,3.97,3.12,1.75,2.28,3.53,3.84,3.25,3.41,4.41,4.94,4.16,4.12,5.47,6.94,6.47,6.12,6.53,6.59,4.78,2.31,1.28,1.38,1.66,1.75,4.22,7.88,10.75,12.19,13.19,14.53,15.06,13.5,12.12,12.31,12.91,12.56,11.78,12.06,12.66,12.66,11.78,12.0,12.72,13.19,11.22,9.88,9.66,10.09,9.12,9.16,10.94,13.41,14.69,15.56,17.84,20.72,22.19,22.66,23.03,23.75,23.19,20.56,18.25,16.53,15.44,13.16,11.16,10.78,11.31,10.25,8.28,7.47,7.44,7.12,6.41,7.03,9.06,10.94,10.62,10.84,12.12,13.31,13.0,12.62,13.72,15.31,15.91,16.0,17.53,19.72,21.34,21.75,22.97,24.62,25.12,23.12,20.38,18.69,17.06,14.66,12.22,11.56,11.69,10.91,9.41,9.38,10.25,10.81,10.47,10.41,11.56,12.09,10.88,9.19,9.28,9.34,8.38,6.94,7.0,7.5,6.66,5.19,4.28,4.59,4.94,4.25,4.81,6.78,9.03,9.38,9.47,10.75,11.91,12.03,11.97,13.53,15.97,17.38,17.09,17.16,18.0,18.12,17.38,17.22,18.28,18.69,16.84,13.56,10.94,7.88,3.28,-1.88,-5.41,-7.09,-8.59,-9.53,-8.03,-4.56,-1.09,1.09,3.38,6.84,9.5,9.94,10.0,11.44,13.31,13.81,14.06,14.94,16.0,15.16,12.53,10.5,9.12,7.53,4.97,3.72,4.78,6.69,7.56,8.28,10.78,13.62,14.56,14.56,14.94,15.28,13.81,10.84,8.28,6.91,5.09,2.22,-0.16,-0.84,-0.78,-1.59,-2.28,-1.28,0.91,2.0,2.31,3.47,5.31,6.16,5.88,5.81,6.78,7.38,6.16,4.59,4.38,4.91,49.47,48.66,48.84,49.38,50.41,52.16,54.31,56.06,56.91,57.88,58.62,58.84,57.84,56.34:18.12,19.53,19.56,19.44,20.69,22.75,23.22,22.84,22.66,22.78,21.5,18.75,16.19,15.41,15.12,14.56,15.28,18.38,21.91,24.16,25.28,26.62,27.69,26.72,24.75,23.69,24.25,24.81,24.81,25.25,27.03,28.47,28.75,28.44,29.56,30.53,29.44,27.44,26.53,26.5,25.91,24.44,24.03,24.88,25.0,24.38,23.88,25.28,26.78,27.09,27.44,28.88,30.62,30.25,28.56,27.66,27.38,26.16,23.88,23.19,23.34,23.34,22.22,21.38,22.16,23.38,23.88,24.25,26.19,28.34,28.94,28.38,28.28,28.62,27.97,25.78,24.25,23.81,23.19,21.0,19.34,18.97,18.31,16.34,14.28,13.91,14.44,14.06,12.84,13.12,13.94,14.12,13.5,13.44,15.09,16.31,15.59,15.16,16.16,17.0,16.78,16.19,16.94,18.19,18.34,17.28,17.38,18.59,18.84,17.84,17.44,18.62,19.69,19.38,19.34,20.78,22.25,22.34,21.72,22.22,23.41,23.56,22.81,23.12,23.97,23.97,22.34,20.75,20.62,20.19,18.91,17.53,17.78,18.25,17.69,16.44,16.5,17.75,18.5,18.62,19.81,22.72,24.91,26.19,27.5,29.5,30.94,30.28,28.5,27.78,26.84,24.16,20.78,18.31,17.03,15.09,12.66,11.56,12.19,13.03,13.03,13.5,15.91,18.72,20.03,20.84,22.97,24.72,25.38,24.59,25.22,26.62,26.97,25.97,25.25,25.31,24.69,22.22,19.84,19.59,19.44,18.56,17.56,18.22,19.22,18.62,16.78,16.06,16.28,16.06,15.53,16.34,18.88,21.28,21.72,22.31,24.19,25.88,26.06,25.5,26.38,27.94,28.59,28.62,29.53,30.66,30.38,27.09,23.16,20.28,17.28,13.5,10.84,10.47,11.16,10.56,9.34,10.03,11.81,13.0,13.34,15.0,17.44,19.12,18.97,18.97,20.31,21.31,20.34,19.5,19.78,20.47,19.69,18.19,17.97,18.5,17.88,16.5,15.97,16.75,17.22,16.19,15.62,16.31,17.12,16.59,15.97,16.75,18.75,19.56,19.78,21.38,23.72,25.28,24.59,24.41,25.16,25.56,24.75,24.41,25.75,27.28,26.62,24.81,23.91,22.91,20.34,17.78,16.88,18.12,19.09,19.03,19.69,21.25,22.06,20.91,20.0,20.47,21.16,20.25,19.0,19.25,20.12,19.81,18.56,18.41,19.12,19.16,17.88,17.12,17.91,18.03,16.06,14.47,14.44,15.31,15.31,15.5,16.91,19.12,19.78,19.38,19.97,21.66,22.66,22.0,21.91,22.72,22.84,20.53,18.38,17.84,17.78,16.91,15.91,16.44,17.91,18.03,17.19,17.28,18.19,18.66,17.47,17.25,18.94,20.62,20.22,19.56,19.59,19.19,16.25,12.91,10.88,10.12,8.91,7.34,6.91,8.16,9.38,9.0,9.78,12.12,14.56,15.78,16.69,18.22,20.31,21.0,20.41,21.0,22.62,23.38,22.72,22.62,22.75,21.97,18.5,15.06,12.75,11.41,9.06,7.94,9.38,12.66,14.81,15.75,17.19,18.88,18.91,17.72,17.69,19.66,21.19,21.16,21.12,21.47,21.91,20.06,17.66,16.41,15.91,14.28,11.91,10.56,10.19,9.38,7.06,5.56,5.94,6.25,5.38,4.78,5.47,7.34,7.47,7.84,9.59,12.09,12.84,12.41,12.56,13.5,13.56,12.38,11.78,12.41,12.66,11.09,9.69,9.47,10.66,10.66,11.34,13.53,16.66,18.34,18.06,17.53,17.47,16.75,15.03,14.22,15.81,18.12,19.03,19.94,21.94,23.78,23.44,22.06,21.66,22.0,20.59,18.06,16.38,15.81,15.03,13.28,12.91,14.72,16.94,17.44,17.19,17.56,17.94,15.62,12.25,10.19,9.12,7.5,5.25,4.56,6.22,8.28,8.88,10.16,12.69,14.59,14.53,14.03,14.72,15.88,14.97,12.94,11.47,10.81,9.53,7.84,7.84,9.34,10.66,9.44,7.78,7.12,6.12,3.53,1.0,0.28,0.84,0.38,-0.44,0.34,2.88,4.88,5.41,6.72,9.38,12.12,13.19,14.53,16.88,18.72,18.09,16.0,14.91,14.5,12.84,10.5,9.12,9.0,8.62,7.12,6.97,8.34,9.69,8.97,8.28,8.38,8.72,7.34,5.31,4.97,6.0,5.66,4.91,5.12,6.91,7.97,8.03,7.97,9.47,10.09,8.84,7.38,7.22,7.78,6.69,5.03,4.75,5.31,5.0,3.84,3.78,5.44,6.53,6.31,6.0,7.62,8.88,8.44,7.44,7.84,8.25,6.53,4.16,3.41,3.84,2.84,1.38,0.72,1.66,2.34,1.62,1.25,2.41,3.66,3.31,3.09,4.38,6.31,6.38,5.31,5.25,6.47,6.38,5.81,6.28,8.41,9.66,9.0,7.53,6.69,5.25,1.91,-1.5,-2.53,-1.78,-1.28,-0.31,2.12,6.12,8.78,10.19,11.59,14.44,16.16,16.31,15.94,16.75,17.75,16.53,14.88,13.97,13.91,12.0,9.78,9.06,10.09,10.66,10.66,10.59,12.19,13.25,12.47,12.16,13.25,14.88,14.78,14.53,15.66,17.78,18.62,18.91,19.69,21.47,22.16,21.38,20.41,20.62,20.22,18.03,15.47,13.84,12.59,9.34,5.47,2.47,0.47,-2.56,-6.47,-8.75,-8.59,-8.66,-9.34,-9.19,-7.16,-5.62,-5.41,-4.75,-1.81,2.16,4.84,7.34,10.5,14.47,17.0,17.78,18.75,20.09,19.41,15.56,10.84,6.75,2.06,-3.31,-8.06,-9.5,-8.59,-8.44,-7.62,-5.09,-1.78,0.66,1.56,3.0,5.41,6.5,6.03,5.44,6.12,6.75,5.97,4.59,4.78,5.12,3.91,1.81,1.31,1.97,2.28,1.62,1.44,2.84,3.41,2.19,0.75,0.97,1.56,0.56,-0.19,1.22,3.88,5.59,6.53,7.97,9.94,10.47,9.59,9.72,11.72,13.97,14.62,14.72,15.97,16.34,15.0,12.78,11.56,10.81,8.75,5.81,3.88,3.72,3.94,3.72,4.72,7.78,10.88,12.5,13.62,15.81,17.34,17.56,16.56,16.91,17.75,18.0,16.78,16.19,16.59,16.09,14.19,12.91,13.41,13.5,12.5,10.91,10.72,10.84,9.81,8.44,8.75,10.34,11.06,10.91,11.94,13.69,14.47,13.38,12.09,12.16,11.59,10.31,8.78,9.75,10.59,10.84,10.16,10.75,12.06,11.94,10.25,9.28,9.72,9.19,7.47,6.44,7.34,8.16,7.91,7.75,9.41,11.22,12.28,12.72,14.03,16.53,17.62,16.72,16.47,17.16,16.38,14.19,11.88,10.94,10.38,8.81,7.53,8.28,9.69,9.62,8.06,7.44,7.47,6.94,5.47,4.91,6.06,6.59,5.44,3.78,3.66,3.66,2.34,1.16,1.91,3.62,4.62,4.66,5.44,7.22,8.03,7.41,7.5,9.53,11.25,11.28,11.0,11.94,12.59,11.91,10.78,11.66,13.25,13.94,13.03,12.59,12.0,10.12,6.28,2.41,0.56,-1.25,-3.72,-5.66,-5.5,-4.38,-3.88,-3.47,-1.0,2.72,5.59,7.25,9.69,11.94,12.5,10.91,8.72,7.72,6.72,5.5,5.06,7.25,10.56,12.56,13.34,14.56,15.12,13.53,10.0,7.28,5.31,2.75,-1.22,-4.53,-5.44,-5.91,-6.56,-6.38,-4.06,-1.38,-0.28,-0.25,1.09,3.09,4.41,5.06,6.88,10.31,13.34,14.78,15.88,17.97,19.59,18.81,17.53,17.44,17.81,16.97,15.19,14.62,14.38,12.38,8.69,5.38,3.31,1.22,-2.12,-4.62,-4.59,-4.12,-4.75,-4.84,-2.94,-0.25,0.72,1.25,2.66,4.41,5.34,4.69,4.59,5.44,6.09,4.81,3.78,3.94,3.97,3.12,1.75,2.28,3.53,3.84,3.25,3.41,4.41,4.94,4.16,4.12,5.47,6.94,6.47,6.12,6.53,6.59,4.78,2.31,1.28,1.38,1.66,1.75,4.22,7.88,10.75,12.19,13.19,14.53,15.06,13.5,12.12,12.31,12.91,12.56,11.78,12.06,12.66,12.66,11.78,12.0,12.72,13.19,11.22,9.88,9.66,10.09,9.12,9.16,10.94,13.41,14.69,15.56,17.84,20.72,22.19,22.66,23.03,23.75,23.19,20.56,18.25,16.53,15.44,13.16,11.16,10.78,11.31,10.25,8.28,7.47,7.44,7.12,6.41,7.03,9.06,10.94,10.62,10.84,12.12,13.31,13.0,12.62,13.72,15.31,15.91,16.0,17.53,19.72,21.34,21.75,22.97,24.62,25.12,23.12,20.38,18.69,17.06,14.66,12.22,11.56,11.69,10.91,9.41,9.38,10.25,10.81,10.47,10.41,11.56,12.09,10.88,9.19,9.28,9.34,8.38,6.94,7.0,7.5,6.66,5.19,4.28,4.59,4.94,4.25,4.81,6.78,9.03,9.38,9.47,10.75,11.91,12.03,11.97,13.53,15.97,17.38,17.09,17.16,18.0,18.12,17.38,17.22,18.28,18.69,16.84,13.56,10.94,7.88,3.28,-1.88,-5.41,-7.09,-8.59,-9.53,-8.03,-4.56,-1.09,1.09,3.38,6.84,9.5,9.94,10.0,11.44,13.31,13.81,14.06,14.94,16.0,15.16,12.53,10.5,9.12,7.53,4.97,3.72,4.78,6.69,7.56,8.28,10.78,13.62,14.56,14.56,14.94,15.28,13.81,10.84,8.28,6.91,5.09,2.22,-0.16,-0.84,-0.78,-1.59,-2.28,-1.28,0.91,2.0,2.31,3.47,5.31,6.16,5.88,5.81,6.78,7.38,6.16,4.59,4.38,4.91,49.47,48.66,48.84,49.38,50.41,52.16,54.31,56.06,56.91,57.88,58.62,58.84,57.84,56.34,54.94,53.34,51.47,49.78,48.47,47.97,47.28:22.84,22.66,22.78,21.5,18.75,16.19,15.41,15.12,14.56,15.28,18.38,21.91,24.16,25.28,26.62,27.69,26.72,24.75,23.69,24.25,24.81,24.81,25.25,27.03,28.47,28.75,28.44,29.56,30.53,29.44,27.44,26.53,26.5,25.91,24.44,24.03,24.88,25.0,24.38,23.88,25.28,26.78,27.09,27.44,28.88,30.62,30.25,28.56,27.66,27.38,26.16,23.88,23.19,23.34,23.34,22.22,21.38,22.16,23.38,23.88,24.25,26.19,28.34,28.94,28.38,28.28,28.62,27.97,25.78,24.25,23.81,23.19,21.0,19.34,18.97,18.31,16.34,14.28,13.91,14.44,14.06,12.84,13.12,13.94,14.12,13.5,13.44,15.09,16.31,15.59,15.16,16.16,17.0,16.78,16.19,16.94,18.19,18.34,17.28,17.38,18.59,18.84,17.84,17.44,18.62,19.69,19.38,19.34,20.78,22.25,22.34,21.72,22.22,23.41,23.56,22.81,23.12,23.97,23.97,22.34,20.75,20.62,20.19,18.91,17.53,17.78,18.25,17.69,16.44,16.5,17.75,18.5,18.62,19.81,22.72,24.91,26.19,27.5,29.5,30.94,30.28,28.5,27.78,26.84,24.16,20.78,18.31,17.03,15.09,12.66,11.56,12.19,13.03,13.03,13.5,15.91,18.72,20.03,20.84,22.97,24.72,25.38,24.59,25.22,26.62,26.97,25.97,25.25,25.31,24.69,22.22,19.84,19.59,19.44,18.56,17.56,18.22,19.22,18.62,16.78,16.06,16.28,16.06,15.53,16.34,18.88,21.28,21.72,22.31,24.19,25.88,26.06,25.5,26.38,27.94,28.59,28.62,29.53,30.66,30.38,27.09,23.16,20.28,17.28,13.5,10.84,10.47,11.16,10.56,9.34,10.03,11.81,13.0,13.34,15.0,17.44,19.12,18.97,18.97,20.31,21.31,20.34,19.5,19.78,20.47,19.69,18.19,17.97,18.5,17.88,16.5,15.97,16.75,17.22,16.19,15.62,16.31,17.12,16.59,15.97,16.75,18.75,19.56,19.78,21.38,23.72,25.28,24.59,24.41,25.16,25.56,24.75,24.41,25.75,27.28,26.62,24.81,23.91,22.91,20.34,17.78,16.88,18.12,19.09,19.03,19.69,21.25,22.06,20.91,20.0,20.47,21.16,20.25,19.0,19.25,20.12,19.81,18.56,18.41,19.12,19.16,17.88,17.12,17.91,18.03,16.06,14.47,14.44,15.31,15.31,15.5,16.91,19.12,19.78,19.38,19.97,21.66,22.66,22.0,21.91,22.72,22.84,20.53,18.38,17.84,17.78,16.91,15.91,16.44,17.91,18.03,17.19,17.28,18.19,18.66,17.47,17.25,18.94,20.62,20.22,19.56,19.59,19.19,16.25,12.91,10.88,10.12,8.91,7.34,6.91,8.16,9.38,9.0,9.78,12.12,14.56,15.78,16.69,18.22,20.31,21.0,20.41,21.0,22.62,23.38,22.72,22.62,22.75,21.97,18.5,15.06,12.75,11.41,9.06,7.94,9.38,12.66,14.81,15.75,17.19,18.88,18.91,17.72,17.69,19.66,21.19,21.16,21.12,21.47,21.91,20.06,17.66,16.41,15.91,14.28,11.91,10.56,10.19,9.38,7.06,5.56,5.94,6.25,5.38,4.78,5.47,7.34,7.47,7.84,9.59,12.09,12.84,12.41,12.56,13.5,13.56,12.38,11.78,12.41,12.66,11.09,9.69,9.47,10.66,10.66,11.34,13.53,16.66,18.34,18.06,17.53,17.47,16.75,15.03,14.22,15.81,18.12,19.03,19.94,21.94,23.78,23.44,22.06,21.66,22.0,20.59,18.06,16.38,15.81,15.03,13.28,12.91,14.72,16.94,17.44,17.19,17.56,17.94,15.62,12.25,10.19,9.12,7.5,5.25,4.56,6.22,8.28,8.88,10.16,12.69,14.59,14.53,14.03,14.72,15.88,14.97,12.94,11.47,10.81,9.53,7.84,7.84,9.34,10.66,9.44,7.78,7.12,6.12,3.53,1.0,0.28,0.84,0.38,-0.44,0.34,2.88,4.88,5.41,6.72,9.38,12.12,13.19,14.53,16.88,18.72,18.09,16.0,14.91,14.5,12.84,10.5,9.12,9.0,8.62,7.12,6.97,8.34,9.69,8.97,8.28,8.38,8.72,7.34,5.31,4.97,6.0,5.66,4.91,5.12,6.91,7.97,8.03,7.97,9.47,10.09,8.84,7.38,7.22,7.78,6.69,5.03,4.75,5.31,5.0,3.84,3.78,5.44,6.53,6.31,6.0,7.62,8.88,8.44,7.44,7.84,8.25,6.53,4.16,3.41,3.84,2.84,1.38,0.72,1.66,2.34,1.62,1.25,2.41,3.66,3.31,3.09,4.38,6.31,6.38,5.31,5.25,6.47,6.38,5.81,6.28,8.41,9.66,9.0,7.53,6.69,5.25,1.91,-1.5,-2.53,-1.78,-1.28,-0.31,2.12,6.12,8.78,10.19,11.59,14.44,16.16,16.31,15.94,16.75,17.75,16.53,14.88,13.97,13.91,12.0,9.78,9.06,10.09,10.66,10.66,10.59,12.19,13.25,12.47,12.16,13.25,14.88,14.78,14.53,15.66,17.78,18.62,18.91,19.69,21.47,22.16,21.38,20.41,20.62,20.22,18.03,15.47,13.84,12.59,9.34,5.47,2.47,0.47,-2.56,-6.47,-8.75,-8.59,-8.66,-9.34,-9.19,-7.16,-5.62,-5.41,-4.75,-1.81,2.16,4.84,7.34,10.5,14.47,17.0,17.78,18.75,20.09,19.41,15.56,10.84,6.75,2.06,-3.31,-8.06,-9.5,-8.59,-8.44,-7.62,-5.09,-1.78,0.66,1.56,3.0,5.41,6.5,6.03,5.44,6.12,6.75,5.97,4.59,4.78,5.12,3.91,1.81,1.31,1.97,2.28,1.62,1.44,2.84,3.41,2.19,0.75,0.97,1.56,0.56,-0.19,1.22,3.88,5.59,6.53,7.97,9.94,10.47,9.59,9.72,11.72,13.97,14.62,14.72,15.97,16.34,15.0,12.78,11.56,10.81,8.75,5.81,3.88,3.72,3.94,3.72,4.72,7.78,10.88,12.5,13.62,15.81,17.34,17.56,16.56,16.91,17.75,18.0,16.78,16.19,16.59,16.09,14.19,12.91,13.41,13.5,12.5,10.91,10.72,10.84,9.81,8.44,8.75,10.34,11.06,10.91,11.94,13.69,14.47,13.38,12.09,12.16,11.59,10.31,8.78,9.75,10.59,10.84,10.16,10.75,12.06,11.94,10.25,9.28,9.72,9.19,7.47,6.44,7.34,8.16,7.91,7.75,9.41,11.22,12.28,12.72,14.03,16.53,17.62,16.72,16.47,17.16,16.38,14.19,11.88,10.94,10.38,8.81,7.53,8.28,9.69,9.62,8.06,7.44,7.47,6.94,5.47,4.91,6.06,6.59,5.44,3.78,3.66,3.66,2.34,1.16,1.91,3.62,4.62,4.66,5.44,7.22,8.03,7.41,7.5,9.53,11.25,11.28,11.0,11.94,12.59,11.91,10.78,11.66,13.25,13.94,13.03,12.59,12.0,10.12,6.28,2.41,0.56,-1.25,-3.72,-5.66,-5.5,-4.38,-3.88,-3.47,-1.0,2.72,5.59,7.25,9.69,11.94,12.5,10.91,8.72,7.72,6.72,5.5,5.06,7.25,10.56,12.56,13.34,14.56,15.12,13.53,10.0,7.28,5.31,2.75,-1.22,-4.53,-5.44,-5.91,-6.56,-6.38,-4.06,-1.38,-0.28,-0.25,1.09,3.09,4.41,5.06,6.88,10.31,13.34,14.78,15.88,17.97,19.59,18.81,17.53,17.44,17.81,16.97,15.19,14.62,14.38,12.38,8.69,5.38,3.31,1.22,-2.12,-4.62,-4.59,-4.12,-4.75,-4.84,-2.94,-0.25,0.72,1.25,2.66,4.41,5.34,4.69,4.59,5.44,6.09,4.81,3.78,3.94,3.97,3.12,1.75,2.28,3.53,3.84,3.25,3.41,4.41,4.94,4.16,4.12,5.47,6.94,6.47,6.12,6.53,6.59,4.78,2.31,1.28,1.38,1.66,1.75,4.22,7.88,10.75,12.19,13.19,14.53,15.06,13.5,12.12,12.31,12.91,12.56,11.78,12.06,12.66,12.66,11.78,12.0,12.72,13.19,11.22,9.88,9.66,10.09,9.12,9.16,10.94,13.41,14.69,15.56,17.84,20.72,22.19,22.66,23.03,23.75,23.19,20.56,18.25,16.53,15.44,13.16,11.16,10.78,11.31,10.25,8.28,7.47,7.44,7.12,6.41,7.03,9.06,10.94,10.62,10.84,12.12,13.31,13.0,12.62,13.72,15.31,15.91,16.0,17.53,19.72,21.34,21.75,22.97,24.62,25.12,23.12,20.38,18.69,17.06,14.66,12.22,11.56,11.69,10.91,9.41,9.38,10.25,10.81,10.47,10.41,11.56,12.09,10.88,9.19,9.28,9.34,8.38,6.94,7.0,7.5,6.66,5.19,4.28,4.59,4.94,4.25,4.81,6.78,9.03,9.38,9.47,10.75,11.91,12.03,11.97,13.53,15.97,17.38,17.09,17.16,18.0,18.12,17.38,17.22,18.28,18.69,16.84,13.56,10.94,7.88,3.28,-1.88,-5.41,-7.09,-8.59,-9.53,-8.03,-4.56,-1.09,1.09,3.38,6.84,9.5,9.94,10.0,11.44,13.31,13.81,14.06,14.94,16.0,15.16,12.53,10.5,9.12,7.53,4.97,3.72,4.78,6.69,7.56,8.28,10.78,13.62,14.56,14.56,14.94,15.28,13.81,10.84,8.28,6.91,5.09,2.22,-0.16,-0.84,-0.78,-1.59,-2.28,-1.28,0.91,2.0,2.31,3.47,5.31,6.16,5.88,5.81,6.78,7.38,6.16,4.59,4.38,4.91,49.47,48.66,48.84,49.38,50.41,52.16,54.31,56.06,56.91,57.88,58.62,58.84,57.84,56.34,54.94,53.34,51.47,49.78,48.47,47.97,47.28,46.59,46.31,46.78,47.16,47.34,47.91,49.16:15.12,14.56,15.28,18.38,21.91,24.16,25.28,26.62,27.69,26.72,24.75,23.69,24.25,24.81,24.81,25.25,27.03,28.47,28.75,28.44,29.56,30.53,29.44,27.44,26.53,26.5,25.91,24.44,24.03,24.88,25.0,24.38,23.88,25.28,26.78,27.09,27.44,28.88,30.62,30.25,28.56,27.66,27.38,26.16,23.88,23.19,23.34,23.34,22.22,21.38,22.16,23.38,23.88,24.25,26.19,28.34,28.94,28.38,28.28,28.62,27.97,25.78,24.25,23.81,23.19,21.0,19.34,18.97,18.31,16.34,14.28,13.91,14.44,14.06,12.84,13.12,13.94,14.12,13.5,13.44,15.09,16.31,15.59,15.16,16.16,17.0,16.78,16.19,16.94,18.19,18.34,17.28,17.38,18.59,18.84,17.84,17.44,18.62,19.69,19.38,19.34,20.78,22.25,22.34,21.72,22.22,23.41,23.56,22.81,23.12,23.97,23.97,22.34,20.75,20.62,20.19,18.91,17.53,17.78,18.25,17.69,16.44,16.5,17.75,18.5,18.62,19.81,22.72,24.91,26.19,27.5,29.5,30.94,30.28,28.5,27.78,26.84,24.16,20.78,18.31,17.03,15.09,12.66,11.56,12.19,13.03,13.03,13.5,15.91,18.72,20.03,20.84,22.97,24.72,25.38,24.59,25.22,26.62,26.97,25.97,25.25,25.31,24.69,22.22,19.84,19.59,19.44,18.56,17.56,18.22,19.22,18.62,16.78,16.06,16.28,16.06,15.53,16.34,18.88,21.28,21.72,22.31,24.19,25.88,26.06,25.5,26.38,27.94,28.59,28.62,29.53,30.66,30.38,27.09,23.16,20.28,17.28,13.5,10.84,10.47,11.16,10.56,9.34,10.03,11.81,13.0,13.34,15.0,17.44,19.12,18.97,18.97,20.31,21.31,20.34,19.5,19.78,20.47,19.69,18.19,17.97,18.5,17.88,16.5,15.97,16.75,17.22,16.19,15.62,16.31,17.12,16.59,15.97,16.75,18.75,19.56,19.78,21.38,23.72,25.28,24.59,24.41,25.16,25.56,24.75,24.41,25.75,27.28,26.62,24.81,23.91,22.91,20.34,17.78,16.88,18.12,19.09,19.03,19.69,21.25,22.06,20.91,20.0,20.47,21.16,20.25,19.0,19.25,20.12,19.81,18.56,18.41,19.12,19.16,17.88,17.12,17.91,18.03,16.06,14.47,14.44,15.31,15.31,15.5,16.91,19.12,19.78,19.38,19.97,21.66,22.66,22.0,21.91,22.72,22.84,20.53,18.38,17.84,17.78,16.91,15.91,16.44,17.91,18.03,17.19,17.28,18.19,18.66,17.47,17.25,18.94,20.62,20.22,19.56,19.59,19.19,16.25,12.91,10.88,10.12,8.91,7.34,6.91,8.16,9.38,9.0,9.78,12.12,14.56,15.78,16.69,18.22,20.31,21.0,20.41,21.0,22.62,23.38,22.72,22.62,22.75,21.97,18.5,15.06,12.75,11.41,9.06,7.94,9.38,12.66,14.81,15.75,17.19,18.88,18.91,17.72,17.69,19.66,21.19,21.16,21.12,21.47,21.91,20.06,17.66,16.41,15.91,14.28,11.91,10.56,10.19,9.38,7.06,5.56,5.94,6.25,5.38,4.78,5.47,7.34,7.47,7.84,9.59,12.09,12.84,12.41,12.56,13.5,13.56,12.38,11.78,12.41,12.66,11.09,9.69,9.47,10.66,10.66,11.34,13.53,16.66,18.34,18.06,17.53,17.47,16.75,15.03,14.22,15.81,18.12,19.03,19.94,21.94,23.78,23.44,22.06,21.66,22.0,20.59,18.06,16.38,15.81,15.03,13.28,12.91,14.72,16.94,17.44,17.19,17.56,17.94,15.62,12.25,10.19,9.12,7.5,5.25,4.56,6.22,8.28,8.88,10.16,12.69,14.59,14.53,14.03,14.72,15.88,14.97,12.94,11.47,10.81,9.53,7.84,7.84,9.34,10.66,9.44,7.78,7.12,6.12,3.53,1.0,0.28,0.84,0.38,-0.44,0.34,2.88,4.88,5.41,6.72,9.38,12.12,13.19,14.53,16.88,18.72,18.09,16.0,14.91,14.5,12.84,10.5,9.12,9.0,8.62,7.12,6.97,8.34,9.69,8.97,8.28,8.38,8.72,7.34,5.31,4.97,6.0,5.66,4.91,5.12,6.91,7.97,8.03,7.97,9.47,10.09,8.84,7.38,7.22,7.78,6.69,5.03,4.75,5.31,5.0,3.84,3.78,5.44,6.53,6.31,6.0,7.62,8.88,8.44,7.44,7.84,8.25,6.53,4.16,3.41,3.84,2.84,1.38,0.72,1.66,2.34,1.62,1.25,2.41,3.66,3.31,3.09,4.38,6.31,6.38,5.31,5.25,6.47,6.38,5.81,6.28,8.41,9.66,9.0,7.53,6.69,5.25,1.91,-1.5,-2.53,-1.78,-1.28,-0.31,2.12,6.12,8.78,10.19,11.59,14.44,16.16,16.31,15.94,16.75,17.75,16.53,14.88,13.97,13.91,12.0,9.78,9.06,10.09,10.66,10.66,10.59,12.19,13.25,12.47,12.16,13.25,14.88,14.78,14.53,15.66,17.78,18.62,18.91,19.69,21.47,22.16,21.38,20.41,20.62,20.22,18.03,15.47,13.84,12.59,9.34,5.47,2.47,0.47,-2.56,-6.47,-8.75,-8.59,-8.66,-9.34,-9.19,-7.16,-5.62,-5.41,-4.75,-1.81,2.16,4.84,7.34,10.5,14.47,17.0,17.78,18.75,20.09,19.41,15.56,10.84,6.75,2.06,-3.31,-8.06,-9.5,-8.59,-8.44,-7.62,-5.09,-1.78,0.66,1.56,3.0,5.41,6.5,6.03,5.44,6.12,6.75,5.97,4.59,4.78,5.12,3.91,1.81,1.31,1.97,2.28,1.62,1.44,2.84,3.41,2.19,0.75,0.97,1.56,0.56,-0.19,1.22,3.88,5.59,6.53,7.97,9.94,10.47,9.59,9.72,11.72,13.97,14.62,14.72,15.97,16.34,15.0,12.78,11.56,10.81,8.75,5.81,3.88,3.72,3.94,3.72,4.72,7.78,10.88,12.5,13.62,15.81,17.34,17.56,16.56,16.91,17.75,18.0,16.78,16.19,16.59,16.09,14.19,12.91,13.41,13.5,12.5,10.91,10.72,10.84,9.81,8.44,8.75,10.34,11.06,10.91,11.94,13.69,14.47,13.38,12.09,12.16,11.59,10.31,8.78,9.75,10.59,10.84,10.16,10.75,12.06,11.94,10.25,9.28,9.72,9.19,7.47,6.44,7.34,8.16,7.91,7.75,9.41,11.22,12.28,12.72,14.03,16.53,17.62,16.72,16.47,17.16,16.38,14.19,11.88,10.94,10.38,8.81,7.53,8.28,9.69,9.62,8.06,7.44,7.47,6.94,5.47,4.91,6.06,6.59,5.44,3.78,3.66,3.66,2.34,1.16,1.91,3.62,4.62,4.66,5.44,7.22,8.03,7.41,7.5,9.53,11.25,11.28,11.0,11.94,12.59,11.91,10.78,11.66,13.25,13.94,13.03,12.59,12.0,10.12,6.28,2.41,0.56,-1.25,-3.72,-5.66,-5.5,-4.38,-3.88,-3.47,-1.0,2.72,5.59,7.25,9.69,11.94,12.5,10.91,8.72,7.72,6.72,5.5,5.06,7.25,10.56,12.56,13.34,14.56,15.12,13.53,10.0,7.28,5.31,2.75,-1.22,-4.53,-5.44,-5.91,-6.56,-6.38,-4.06,-1.38,-0.28,-0.25,1.09,3.09,4.41,5.06,6.88,10.31,13.34,14.78,15.88,17.97,19.59,18.81,17.53,17.44,17.81,16.97,15.19,14.62,14.38,12.38,8.69,5.38,3.31,1.22,-2.12,-4.62,-4.59,-4.12,-4.75,-4.84,-2.94,-0.25,0.72,1.25,2.66,4.41,5.34,4.69,4.59,5.44,6.09,4.81,3.78,3.94,3.97,3.12,1.75,2.28,3.53,3.84,3.25,3.41,4.41,4.94,4.16,4.12,5.47,6.94,6.47,6.12,6.53,6.59,4.78,2.31,1.28,1.38,1.66,1.75,4.22,7.88,10.75,12.19,13.19,14.53,15.06,13.5,12.12,12.31,12.91,12.56,11.78,12.06,12.66,12.66,11.78,12.0,12.72,13.19,11.22,9.88,9.66,10.09,9.12,9.16,10.94,13.41,14.69,15.56,17.84,20.72,22.19,22.66,23.03,23.75,23.19,20.56,18.25,16.53,15.44,13.16,11.16,10.78,11.31,10.25,8.28,7.47,7.44,7.12,6.41,7.03,9.06,10.94,10.62,10.84,12.12,13.31,13.0,12.62,13.72,15.31,15.91,16.0,17.53,19.72,21.34,21.75,22.97,24.62,25.12,23.12,20.38,18.69,17.06,14.66,12.22,11.56,11.69,10.91,9.41,9.38,10.25,10.81,10.47,10.41,11.56,12.09,10.88,9.19,9.28,9.34,8.38,6.94,7.0,7.5,6.66,5.19,4.28,4.59,4.94,4.25,4.81,6.78,9.03,9.38,9.47,10.75,11.91,12.03,11.97,13.53,15.97,17.38,17.09,17.16,18.0,18.12,17.38,17.22,18.28,18.69,16.84,13.56,10.94,7.88,3.28,-1.88,-5.41,-7.09,-8.59,-9.53,-8.03,-4.56,-1.09,1.09,3.38,6.84,9.5,9.94,10.0,11.44,13.31,13.81,14.06,14.94,16.0,15.16,12.53,10.5,9.12,7.53,4.97,3.72,4.78,6.69,7.56,8.28,10.78,13.62,14.56,14.56,14.94,15.28,13.81,10.84,8.28,6.91,5.09,2.22,-0.16,-0.84,-0.78,-1.59,-2.28,-1.28,0.91,2.0,2.31,3.47,5.31,6.16,5.88,5.81,6.78,7.38,6.16,4.59,4.38,4.91,49.47,48.66,48.84,49.38,50.41,52.16,54.31,56.06,56.91,57.88,58.62,58.84,57.84,56.34,54.94,53.34,51.47,49.78,48.47,47.97,47.28,46.59,46.31,46.78,47.16,47.34,47.91,49.16,50.41,50.75,50.91,50.84,50.75,49.72,48.75:26.62,27.69,26.72,24.75,23.69,24.25,24.81,24.81,25.25,27.03,28.47,28.75,28.44,29.56,30.53,29.44,27.44,26.53,26.5,25.91,24.44,24.03,24.88,25.0,24.38,23.88,25.28,26.78,27.09,27.44,28.88,30.62,30.25,28.56,27.66,27.38,26.16,23.88,23.19,23.34,23.34,22.22,21.38,22.16,23.38,23.88,24.25,26.19,28.34,28.94,28.38,28.28,28.62,27.97,25.78,24.25,23.81,23.19,21.0,19.34,18.97,18.31,16.34,14.28,13.91,14.44,14.06,12.84,13.12,13.94,14.12,13.5,13.44,15.09,16.31,15.59,15.16,16.16,17.0,16.78,16.19,16.94,18.19,18.34,17.28,17.38,18.59,18.84,17.84,17.44,18.62,19.69,19.38,19.34,20.78,22.25,22.34,21.72,22.22,23.41,23.56,22.81,23.12,23.97,23.97,22.34,20.75,20.62,20.19,18.91,17.53,17.78,18.25,17.69,16.44,16.5,17.75,18.5,18.62,19.81,22.72,24.91,26.19,27.5,29.5,30.94,30.28,28.5,27.78,26.84,24.16,20.78,18.31,17.03,15.09,12.66,11.56,12.19,13.03,13.03,13.5,15.91,18.72,20.03,20.84,22.97,24.72,25.38,24.59,25.22,26.62,26.97,25.97,25.25,25.31,24.69,22.22,19.84,19.59,19.44,18.56,17.56,18.22,19.22,18.62,16.78,16.06,16.28,16.06,15.53,16.34,18.88,21.28,21.72,22.31,24.19,25.88,26.06,25.5,26.38,27.94,28.59,28.62,29.53,30.66,30.38,27.09,23.16,20.28,17.28,13.5,10.84,10.47,11.16,10.56,9.34,10.03,11.81,13.0,13.34,15.0,17.44,19.12,18.97,18.97,20.31,21.31,20.34,19.5,19.78,20.47,19.69,18.19,17.97,18.5,17.88,16.5,15.97,16.75,17.22,16.19,15.62,16.31,17.12,16.59,15.97,16.75,18.75,19.56,19.78,21.38,23.72,25.28,24.59,24.41,25.16,25.56,24.75,24.41,25.75,27.28,26.62,24.81,23.91,22.91,20.34,17.78,16.88,18.12,19.09,19.03,19.69,21.25,22.06,20.91,20.0,20.47,21.16,20.25,19.0,19.25,20.12,19.81,18.56,18.41,19.12,19.16,17.88,17.12,17.91,18.03,16.06,14.47,14.44,15.31,15.31,15.5,16.91,19.12,19.78,19.38,19.97,21.66,22.66,22.0,21.91,22.72,22.84,20.53,18.38,17.84,17.78,16.91,15.91,16.44,17.91,18.03,17.19,17.28,18.19,18.66,17.47,17.25,18.94,20.62,20.22,19.56,19.59,19.19,16.25,12.91,10.88,10.12,8.91,7.34,6.91,8.16,9.38,9.0,9.78,12.12,14.56,15.78,16.69,18.22,20.31,21.0,20.41,21.0,22.62,23.38,22.72,22.62,22.75,21.97,18.5,15.06,12.75,11.41,9.06,7.94,9.38,12.66,14.81,15.75,17.19,18.88,18.91,17.72,17.69,19.66,21.19,21.16,21.12,21.47,21.91,20.06,17.66,16.41,15.91,14.28,11.91,10.56,10.19,9.38,7.06,5.56,5.94,6.25,5.38,4.78,5.47,7.34,7.47,7.84,9.59,12.09,12.84,12.41,12.56,13.5,13.56,12.38,11.78,12.41,12.66,11.09,9.69,9.47,10.66,10.66,11.34,13.53,16.66,18.34,18.06,17.53,17.47,16.75,15.03,14.22,15.81,18.12,19.03,19.94,21.94,23.78,23.44,22.06,21.66,22.0,20.59,18.06,16.38,15.81,15.03,13.28,12.91,14.72,16.94,17.44,17.19,17.56,17.94,15.62,12.25,10.19,9.12,7.5,5.25,4.56,6.22,8.28,8.88,10.16,12.69,14.59,14.53,14.03,14.72,15.88,14.97,12.94,11.47,10.81,9.53,7.84,7.84,9.34,10.66,9.44,7.78,7.12,6.12,3.53,1.0,0.28,0.84,0.38,-0.44,0.34,2.88,4.88,5.41,6.72,9.38,12.12,13.19,14.53,16.88,18.72,18.09,16.0,14.91,14.5,12.84,10.5,9.12,9.0,8.62,7.12,6.97,8.34,9.69,8.97,8.28,8.38,8.72,7.34,5.31,4.97,6.0,5.66,4.91,5.12,6.91,7.97,8.03,7.97,9.47,10.09,8.84,7.38,7.22,7.78,6.69,5.03,4.75,5.31,5.0,3.84,3.78,5.44,6.53,6.31,6.0,7.62,8.88,8.44,7.44,7.84,8.25,6.53,4.16,3.41,3.84,2.84,1.38,0.72,1.66,2.34,1.62,1.25,2.41,3.66,3.31,3.09,4.38,6.31,6.38,5.31,5.25,6.47,6.38,5.81,6.28,8.41,9.66,9.0,7.53,6.69,5.25,1.91,-1.5,-2.53,-1.78,-1.28,-0.31,2.12,6.12,8.78,10.19,11.59,14.44,16.16,16.31,15.94,16.75,17.75,16.53,14.88,13.97,13.91,12.0,9.78,9.06,10.09,10.66,10.66,10.59,12.19,13.25,12.47,12.16,13.25,14.88,14.78,14.53,15.66,17.78,18.62,18.91,19.69,21.47,22.16,21.38,20.41,20.62,20.22,18.03,15.47,13.84,12.59,9.34,5.47,2.47,0.47,-2.56,-6.47,-8.75,-8.59,-8.66,-9.34,-9.19,-7.16,-5.62,-5.41,-4.75,-1.81,2.16,4.84,7.34,10.5,14.47,17.0,17.78,18.75,20.09,19.41,15.56,10.84,6.75,2.06,-3.31,-8.06,-9.5,-8.59,-8.44,-7.62,-5.09,-1.78,0.66,1.56,3.0,5.41,6.5,6.03,5.44,6.12,6.75,5.97,4.59,4.78,5.12,3.91,1.81,1.31,1.97,2.28,1.62,1.44,2.84,3.41,2.19,0.75,0.97,1.56,0.56,-0.19,1.22,3.88,5.59,6.53,7.97,9.94,10.47,9.59,9.72,11.72,13.97,14.62,14.72,15.97,16.34,15.0,12.78,11.56,10.81,8.75,5.81,3.88,3.72,3.94,3.72,4.72,7.78,10.88,12.5,13.62,15.81,17.34,17.56,16.56,16.91,17.75,18.0,16.78,16.19,16.59,16.09,14.19,12.91,13.41,13.5,12.5,10.91,10.72,10.84,9.81,8.44,8.75,10.34,11.06,10.91,11.94,13.69,14.47,13.38,12.09,12.16,11.59,10.31,8.78,9.75,10.59,10.84,10.16,10.75,12.06,11.94,10.25,9.28,9.72,9.19,7.47,6.44,7.34,8.16,7.91,7.75,9.41,11.22,12.28,12.72,14.03,16.53,17.62,16.72,16.47,17.16,16.38,14.19,11.88,10.94,10.38,8.81,7.53,8.28,9.69,9.62,8.06,7.44,7.47,6.94,5.47,4.91,6.06,6.59,5.44,3.78,3.66,3.66,2.34,1.16,1.91,3.62,4.62,4.66,5.44,7.22,8.03,7.41,7.5,9.53,11.25,11.28,11.0,11.94,12.59,11.91,10.78,11.66,13.25,13.94,13.03,12.59,12.0,10.12,6.28,2.41,0.56,-1.25,-3.72,-5.66,-5.5,-4.38,-3.88,-3.47,-1.0,2.72,5.59,7.25,9.69,11.94,12.5,10.91,8.72,7.72,6.72,5.5,5.06,7.25,10.56,12.56,13.34,14.56,15.12,13.53,10.0,7.28,5.31,2.75,-1.22,-4.53,-5.44,-5.91,-6.56,-6.38,-4.06,-1.38,-0.28,-0.25,1.09,3.09,4.41,5.06,6.88,10.31,13.34,14.78,15.88,17.97,19.59,18.81,17.53,17.44,17.81,16.97,15.19,14.62,14.38,12.38,8.69,5.38,3.31,1.22,-2.12,-4.62,-4.59,-4.12,-4.75,-4.84,-2.94,-0.25,0.72,1.25,2.66,4.41,5.34,4.69,4.59,5.44,6.09,4.81,3.78,3.94,3.97,3.12,1.75,2.28,3.53,3.84,3.25,3.41,4.41,4.94,4.16,4.12,5.47,6.94,6.47,6.12,6.53,6.59,4.78,2.31,1.28,1.38,1.66,1.75,4.22,7.88,10.75,12.19,13.19,14.53,15.06,13.5,12.12,12.31,12.91,12.56,11.78,12.06,12.66,12.66,11.78,12.0,12.72,13.19,11.22,9.88,9.66,10.09,9.12,9.16,10.94,13.41,14.69,15.56,17.84,20.72,22.19,22.66,23.03,23.75,23.19,20.56,18.25,16.53,15.44,13.16,11.16,10.78,11.31,10.25,8.28,7.47,7.44,7.12,6.41,7.03,9.06,10.94,10.62,10.84,12.12,13.31,13.0,12.62,13.72,15.31,15.91,16.0,17.53,19.72,21.34,21.75,22.97,24.62,25.12,23.12,20.38,18.69,17.06,14.66,12.22,11.56,11.69,10.91,9.41,9.38,10.25,10.81,10.47,10.41,11.56,12.09,10.88,9.19,9.28,9.34,8.38,6.94,7.0,7.5,6.66,5.19,4.28,4.59,4.94,4.25,4.81,6.78,9.03,9.38,9.47,10.75,11.91,12.03,11.97,13.53,15.97,17.38,17.09,17.16,18.0,18.12,17.38,17.22,18.28,18.69,16.84,13.56,10.94,7.88,3.28,-1.88,-5.41,-7.09,-8.59,-9.53,-8.03,-4.56,-1.09,1.09,3.38,6.84,9.5,9.94,10.0,11.44,13.31,13.81,14.06,14.94,16.0,15.16,12.53,10.5,9.12,7.53,4.97,3.72,4.78,6.69,7.56,8.28,10.78,13.62,14.56,14.56,14.94,15.28,13.81,10.84,8.28,6.91,5.09,2.22,-0.16,-0.84,-0.78,-1.59,-2.28,-1.28,0.91,2.0,2.31,3.47,5.31,6.16,5.88,5.81,6.78,7.38,6.16,4.59,4.38,4.91,49.47,48.66,48.84,49.38,50.41,52.16,54.31,56.06,56.91,57.88,58.62,58.84,57.84,56.34,54.94,53.34,51.47,49.78,48.47,47.97,47.28,46.59,46.31,46.78,47.16,47.34,47.91,49.16,50.41,50.75,50.91,50.84,50.75,49.72,48.75,48.62,49.31,50.72,51.94,53.66,55.5,56.56:positivity
15.12,13.44,14.06,16.19,16.41,15.0,14.72,16.41,16.91,15.59,14.84,16.94,19.16,19.44,19.66,22.53,26.0,27.25,26.94,28.0,29.84,29.62,26.84,24.19,23.38,21.66,18.0,15.25,15.78,17.16,16.72,15.88,18.09,21.19,22.25,22.03,23.09,24.84,24.81,22.59,20.91,21.97,22.62,21.56,20.5,21.5,23.22,22.41,20.5,20.72,22.19,21.75,19.16,18.41,19.53,20.0,18.69,18.47,20.25,21.72,21.06,19.66,20.94,23.16,23.28,22.12,23.06,24.97,25.12,23.59,22.44,22.59,22.0,18.28,14.78,14.69,14.88,13.28,11.34,12.03,13.5,13.0,11.69,12.47,15.28,17.59,18.22,20.09,24.16,27.56,27.72,26.75,27.5,27.88,25.09,21.88,21.47,22.59,22.56,21.25,21.31,22.88,23.78,21.34,19.78,20.47,21.41,19.81,18.44,20.03,22.31,22.94,21.72,22.03,22.94,21.31,17.59,15.09,15.03,15.25,13.22,11.81,12.59,13.72,12.5,10.81,12.5,15.38,15.81,15.25,15.72,17.34,17.81,15.94,15.12,17.12,18.44,17.12,15.56,16.22,17.62,16.16,14.28,14.84,16.53,15.97,13.91,14.0,16.03,17.38,16.53,16.16,17.5,18.28,15.88,13.5,14.25,15.56,14.97,13.12,13.31,14.62,14.75,13.03,13.28,15.38,17.09,16.62,16.34,18.59,20.78,19.91,18.47,19.03,20.78,20.31,18.62,18.38,19.75,19.62,17.16,15.88,16.78,17.41,15.38,13.62,14.38,15.56,14.69,13.53,14.69,17.28,18.16,17.75,18.06,20.09,20.84,18.56,17.28,18.22,18.97,17.25,15.53,16.0,17.09,16.12,13.75,13.19,13.78,13.09,10.81,10.53,12.88,14.59,13.69,13.5,15.66,17.88,18.0,17.75,20.12,23.16,23.59,22.28,21.81,22.5,21.28,18.22,16.5,17.47,18.16,15.97,13.78,14.0,14.94,13.38,11.41,11.81,13.94,13.62,12.09,12.0,13.81,14.25,12.22,11.0,11.72,12.41,10.5,9.16,10.38,13.22,13.88,13.75,15.97,19.16,20.56,19.81,19.72,21.31,21.47,18.91,16.5,16.25,15.84,12.25,8.12,6.66,6.41,4.5,2.25,2.53,4.66,5.12,3.88,3.53,5.72,7.41,7.22,6.53,8.59,11.09,10.88,9.97,11.28,13.72,13.78,12.53,12.66,14.66,14.91,12.69,11.16,11.72,11.72,8.59,5.12,4.16,4.22,2.12,0.5,2.16,6.38,8.97,10.06,12.22,15.38,16.34,14.53,12.56,12.72,12.62,10.12,7.25,7.5,8.81,7.75,4.91,3.47,3.91,2.97,1.41,1.81,5.31,8.69,10.0,11.44,15.28,19.09,20.28,19.59,21.12,23.03,22.41,20.12,19.78,21.38,21.69,20.34,19.97,22.22,23.5,22.75,22.06,24.03,26.44,26.47,24.66,24.53,24.91,22.91,19.38,17.41,18.38,18.53,17.03,16.31,18.16,19.69,18.0,15.94,16.28,17.22,16.09,14.25,15.09,17.81,19.69,19.94,21.25,24.66,26.88,25.84,24.62,25.62,26.12,24.12,21.09,20.88,22.0,21.53,19.34,19.12,20.72,21.12,19.69,19.69,22.69,24.59,23.56,22.0,22.75,23.31,21.75,19.38,19.25,20.59,20.06,17.66,16.59,17.62,17.94,16.78,16.66,19.53,21.5,20.41,18.38,18.62,19.41,18.38,16.5,16.69,18.34,18.5,16.72,16.38,18.38,19.62,18.0,16.59,17.28,17.72,16.12,14.34,15.31,17.03,16.09,13.31,11.81,11.94,11.0,9.12,8.62,11.25,13.66,14.09,14.72,18.16,21.44,22.22,21.81,23.22,25.41,26.03,24.53,24.25,25.25,24.69,21.03,18.22,17.78,17.22,14.41,11.88,11.94,12.06,10.78,9.0,9.72,12.94,15.88,17.03,19.56,23.97,27.41,28.25,29.53,32.75,35.0,34.47,31.81,30.53,29.47,26.09,20.66,17.28,15.78,13.31,9.59,7.69,8.38,9.06,8.03,7.38,9.97,12.78,13.66,13.44,14.59,16.62,16.5,14.78,14.84,17.25,19.06,19.25,20.59,23.78,26.34,25.28,23.28,23.09,23.66,21.69,18.97,18.09,18.16,16.5,13.34,12.0,13.12,14.25,13.03,12.47,13.97,15.44,14.66,13.09,13.69,14.62,13.09,9.72,8.41,8.81,8.78,7.5,7.56,10.06,12.12,11.84,11.34,13.19,14.72,13.31,10.5,9.5,9.0,7.0,3.31,1.47,2.31,3.25,2.72,4.22,8.34,12.19,12.94,13.19,15.38,18.06,18.34,18.06,19.56,22.47,23.25,21.78,21.31,22.19,21.88,18.66,16.19,16.28,16.69,14.59,12.84,13.0,14.0,12.66,9.62,8.0,7.72,5.84,2.78,0.94,2.34,4.75,5.72,8.56,14.5,21.47,25.56,27.72,30.47,32.53,31.25,27.56,25.03,24.5,23.41,20.22,18.5,19.12,19.09,16.25,13.16,12.06,12.0,10.41,8.03,8.38,10.31,10.81,9.69,9.97,12.12,13.09,11.53,10.44,11.44,12.56,11.44,10.38,11.34,13.81,14.09,13.75,15.25,18.19,19.66,18.97,18.78,20.12,20.66,18.56,16.78,16.5,17.03,14.84,11.91,11.19,12.03,11.62,10.31,10.81,13.12,14.59,13.25,12.41,13.97,15.34,14.06,12.41,12.88,13.56,11.5,8.69,7.69,8.0,6.94,4.53,3.44,5.12,6.34,5.69,5.5,7.31,8.78,7.5,5.66,5.56,6.47,4.72,2.22,1.0,2.5,3.03,2.72,3.53,6.81,9.16,8.62,8.03,9.25,10.41,9.09,7.06,6.97,8.72,9.19,8.69,10.34,13.47,15.03,14.41,13.53,14.91,15.81,13.78,11.41,11.34,11.59,9.12,6.19,5.5,6.53,6.5,6.03,6.94,10.09,12.31,12.28,11.47,12.78,13.88,12.5,10.72,11.66,13.91,14.47,13.97,14.97,17.16,18.16,16.78,15.56,16.56,17.03,14.88,13.25,14.41,16.44,16.09,15.22,16.25,18.03,17.47,15.44,14.69,15.75,16.09,14.47,13.38,14.53,15.0,12.84,10.12,9.75,10.25,8.28,5.53,4.69,5.19,4.81,3.28,3.16,5.75,7.38,6.69,5.53,6.78,7.72,6.16,4.06,5.28,7.5,7.75,6.88,7.09,8.56,8.66,6.59,5.53,7.44,9.0,8.59,8.72,11.84,14.78,14.72,13.59,14.38,16.0,16.66,15.84,16.69,19.31,20.28,18.56,16.94,17.16,16.84,13.91,10.97,11.03,11.69,10.5,8.69,9.72,12.06,13.59,13.53,14.78,18.0,19.94,18.88,17.62,18.44,18.81,16.25,13.56,14.03,16.03,16.38,15.28,15.84,17.25,16.53,13.91,12.53,14.16,15.75,15.34,14.81,16.69,18.75,17.97,15.78,15.56,15.97,14.16,10.94,9.59,10.88,11.88,11.38,12.25,16.31,20.41,21.75,22.56,25.12,26.97,25.41,22.22,20.78,20.53,19.5,17.09,16.62,17.84,18.38,15.91,12.94,12.22,11.09,7.0,3.16,2.44,3.34,3.16,2.59,4.47,7.81,9.81,10.16,11.28,14.62,17.56,17.84,18.0,20.62,23.09,22.44,20.94,21.72,23.56,23.34,21.62,20.69,20.91,19.78,15.69,11.94,11.19,10.69,8.06,6.16,7.78,10.06,9.78,8.34,8.75,9.94,9.34,7.12,6.75,8.19,9.31,7.94,7.41,9.34,11.59,10.94,9.81,10.56,11.56,10.38,7.47,7.28,8.94,10.25,9.78,10.81,13.75,15.91,14.88,13.81,15.34,17.19,16.41,15.09,16.16,17.88,17.28,14.25,13.38,14.16,14.09,12.38,12.22,14.56,16.38,15.44,14.69,16.22,18.41,17.91,15.72,15.56,16.31,15.09,12.44,11.91,13.5,14.66,13.34,12.66,14.41,15.91,14.31,12.66,13.06,13.94,12.5,9.78,9.88,11.38,11.53,10.22,10.09,12.12,13.38,12.16,11.0,12.34,13.41,11.97,9.88,10.06,11.41,10.78,9.38,10.03,12.38,13.66,12.0,10.84,11.69,11.69,9.22,7.41,8.81,11.41,11.88,11.84,13.62,16.81,17.53,16.59,16.38,17.94,17.47,14.22,11.88,12.41,12.88,10.88,9.31,9.94,11.41,10.5,8.69,9.09,11.31,12.06,11.5,12.75,16.28,19.06,18.78,17.91,18.91,19.0,15.78,12.47,12.38,13.59,13.19,11.81,12.16,13.44,13.22,11.34,10.41,12.59,15.19,15.53,16.47,19.91,23.59,24.06,22.75,23.19,24.56,23.62,21.31,20.31,21.34,21.22,18.5,16.94,17.75,18.31,16.78,15.19,16.38,18.75,18.38,17.81,18.94,21.59,22.16,21.34,21.41,23.28,23.94,21.47,19.16,18.69,18.16,14.5,10.94,10.88,12.69,13.06,12.88,15.0,18.5,20.25,19.75,19.81,21.84,22.31,19.53,16.88,16.38,15.91,12.88,9.44,8.19,8.94,7.75,5.62,5.75,7.84,8.41,7.25,7.16,9.78,11.88,11.19,10.16,10.75,11.91,10.41,8.0,8.16,10.31,10.62,9.81,10.44,13.09,14.22,12.5,11.06,11.59,11.5,9.12,6.56,7.19,8.94,8.47,6.97,7.28,8.69,8.78,7.03,6.41,7.94,8.31,6.38,4.88,6.59,8.97,8.97,8.19,9.88,11.84,11.38,9.66,9.72,11.72,11.75,9.78,8.69,10.19,11.47,10.81,10.31,12.88,15.25,14.88,13.44,14.34,16.22,16.44,14.94,14.06,15.44,15.0,12.19,10.38,10.56,10.69,8.22,5.22,4.59,4.62,2.38,-0.59,-1.41:16.41,16.91,15.59,14.84,16.94,19.16,19.44,19.66,22.53,26.0,27.25,26.94,28.0,29.84,29.62,26.84,24.19,23.38,21.66,18.0,15.25,15.78,17.16,16.72,15.88,18.09,21.19,22.25,22.03,23.09,24.84,24.81,22.59,20.91,21.97,22.62,21.56,20.5,21.5,23.22,22.41,20.5,20.72,22.19,21.75,19.16,18.41,19.53,20.0,18.69,18.47,20.25,21.72,21.06,19.66,20.94,23.16,23.28,22.12,23.06,24.97,25.12,23.59,22.44,22.59,22.0,18.28,14.78,14.69,14.88,13.28,11.34,12.03,13.5,13.0,11.69,12.47,15.28,17.59,18.22,20.09,24.16,27.56,27.72,26.75,27.5,27.88,25.09,21.88,21.47,22.59,22.56,21.25,21.31,22.88,23.78,21.34,19.78,20.47,21.41,19.81,18.44,20.03,22.31,22.94,21.72,22.03,22.94,21.31,17.59,15.09,15.03,15.25,13.22,11.81,12.59,13.72,12.5,10.81,12.5,15.38,15.81,15.25,15.72,17.34,17.81,15.94,15.12,17.12,18.44,17.12,15.56,16.22,17.62,16.16,14.28,14.84,16.53,15.97,13.91,14.0,16.03,17.38,16.53,16.16,17.5,18.28,15.88,13.5,14.25,15.56,14.97,13.12,13.31,14.62,14.75,13.03,13.28,15.38,17.09,16.62,16.34,18.59,20.78,19.91,18.47,19.03,20.78,20.31,18.62,18.38,19.75,19.62,17.16,15.88,16.78,17.41,15.38,13.62,14.38,15.56,14.69,13.53,14.69,17.28,18.16,17.75,18.06,20.09,20.84,18.56,17.28,18.22,18.97,17.25,15.53,16.0,17.09,16.12,13.75,13.19,13.78,13.09,10.81,10.53,12.88,14.59,13.69,13.5,15.66,17.88,18.0,17.75,20.12,23.16,23.59,22.28,21.81,22.5,21.28,18.22,16.5,17.47,18.16,15.97,13.78,14.0,14.94,13.38,11.41,11.81,13.94,13.62,12.09,12.0,13.81,14.25,12.22,11.0,11.72,12.41,10.5,9.16,10.38,13.22,13.88,13.75,15.97,19.16,20.56,19.81,19.72,21.31,21.47,18.91,16.5,16.25,15.84,12.25,8.12,6.66,6.41,4.5,2.25,2.53,4.66,5.12,3.88,3.53,5.72,7.41,7.22,6.53,8.59,11.09,10.88,9.97,11.28,13.72,13.78,12.53,12.66,14.66,14.91,12.69,11.16,11.72,11.72,8.59,5.12,4.16,4.22,2.12,0.5,2.16,6.38,8.97,10.06,12.22,15.38,16.34,14.53,12.56,12.72,12.62,10.12,7.25,7.5,8.81,7.75,4.91,3.47,3.91,2.97,1.41,1.81,5.31,8.69,10.0,11.44,15.28,19.09,20.28,19.59,21.12,23.03,22.41,20.12,19.78,21.38,21.69,20.34,19.97,22.22,23.5,22.75,22.06,24.03,26.44,26.47,24.66,24.53,24.91,22.91,19.38,17.41,18.38,18.53,17.03,16.31,18.16,19.69,18.0,15.94,16.28,17.22,16.09,14.25,15.09,17.81,19.69,19.94,21.25,24.66,26.88,25.84,24.62,25.62,26.12,24.12,21.09,20.88,22.0,21.53,19.34,19.12,20.72,21.12,19.69,19.69,22.69,24.59,23.56,22.0,22.75,23.31,21.75,19.38,19.25,20.59,20.06,17.66,16.59,17.62,17.94,16.78,16.66,19.53,21.5,20.41,18.38,18.62,19.41,18.38,16.5,16.69,18.34,18.5,16.72,16.38,18.38,19.62,18.0,16.59,17.28,17.72,16.12,14.34,15.31,17.03,16.09,13.31,11.81,11.94,11.0,9.12,8.62,11.25,13.66,14.09,14.72,18.16,21.44,22.22,21.81,23.22,25.41,26.03,24.53,24.25,25.25,24.69,21.03,18.22,17.78,17.22,14.41,11.88,11.94,12.06,10.78,9.0,9.72,12.94,15.88,17.03,19.56,23.97,27.41,28.25,29.53,32.75,35.0,34.47,31.81,30.53,29.47,26.09,20.66,17.28,15.78,13.31,9.59,7.69,8.38,9.06,8.03,7.38,9.97,12.78,13.66,13.44,14.59,16.62,16.5,14.78,14.84,17.25,19.06,19.25,20.59,23.78,26.34,25.28,23.28,23.09,23.66,21.69,18.97,18.09,18.16,16.5,13.34,12.0,13.12,14.25,13.03,12.47,13.97,15.44,14.66,13.09,13.69,14.62,13.09,9.72,8.41,8.81,8.78,7.5,7.56,10.06,12.12,11.84,11.34,13.19,14.72,13.31,10.5,9.5,9.0,7.0,3.31,1.47,2.31,3.25,2.72,4.22,8.34,12.19,12.94,13.19,15.38,18.06,18.34,18.06,19.56,22.47,23.25,21.78,21.31,22.19,21.88,18.66,16.19,16.28,16.69,14.59,12.84,13.0,14.0,12.66,9.62,8.0,7.72,5.84,2.78,0.94,2.34,4.75,5.72,8.56,14.5,21.47,25.56,27.72,30.47,32.53,31.25,27.56,25.03,24.5,23.41,20.22,18.5,19.12,19.09,16.25,13.16,12.06,12.0,10.41,8.03,8.38,10.31,10.81,9.69,9.97,12.12,13.09,11.53,10.44,11.44,12.56,11.44,10.38,11.34,13.81,14.09,13.75,15.25,18.19,19.66,18.97,18.78,20.12,20.66,18.56,16.78,16.5,17.03,14.84,11.91,11.19,12.03,11.62,10.31,10.81,13.12,14.59,13.25,12.41,13.97,15.34,14.06,12.41,12.88,13.56,11.5,8.69,7.69,8.0,6.94,4.53,3.44,5.12,6.34,5.69,5.5,7.31,8.78,7.5,5.66,5.56,6.47,4.72,2.22,1.0,2.5,3.03,2.72,3.53,6.81,9.16,8.62,8.03,9.25,10.41,9.09,7.06,6.97,8.72,9.19,8.69,10.34,13.47,15.03,14.41,13.53,14.91,15.81,13.78,11.41,11.34,11.59,9.12,6.19,5.5,6.53,6.5,6.03,6.94,10.09,12.31,12.28,11.47,12.78,13.88,12.5,10.72,11.66,13.91,14.47,13.97,14.97,17.16,18.16,16.78,15.56,16.56,17.03,14.88,13.25,14.41,16.44,16.09,15.22,16.25,18.03,17.47,15.44,14.69,15.75,16.09,14.47,13.38,14.53,15.0,12.84,10.12,9.75,10.25,8.28,5.53,4.69,5.19,4.81,3.28,3.16,5.75,7.38,6.69,5.53,6.78,7.72,6.16,4.06,5.28,7.5,7.75,6.88,7.09,8.56,8.66,6.59,5.53,7.44,9.0,8.59,8.72,11.84,14.78,14.72,13.59,14.38,16.0,16.66,15.84,16.69,19.31,20.28,18.56,16.94,17.16,16.84,13.91,10.97,11.03,11.69,10.5,8.69,9.72,12.06,13.59,13.53,14.78,18.0,19.94,18.88,17.62,18.44,18.81,16.25,13.56,14.03,16.03,16.38,15.28,15.84,17.25,16.53,13.91,12.53,14.16,15.75,15.34,14.81,16.69,18.75,17.97,15.78,15.56,15.97,14.16,10.94,9.59,10.88,11.88,11.38,12.25,16.31,20.41,21.75,22.56,25.12,26.97,25.41,22.22,20.78,20.53,19.5,17.09,16.62,17.84,18.38,15.91,12.94,12.22,11.09,7.0,3.16,2.44,3.34,3.16,2.59,4.47,7.81,9.81,10.16,11.28,14.62,17.56,17.84,18.0,20.62,23.09,22.44,20.94,21.72,23.56,23.34,21.62,20.69,20.91,19.78,15.69,11.94,11.19,10.69,8.06,6.16,7.78,10.06,9.78,8.34,8.75,9.94,9.34,7.12,6.75,8.19,9.31,7.94,7.41,9.34,11.59,10.94,9.81,10.56,11.56,10.38,7.47,7.28,8.94,10.25,9.78,10.81,13.75,15.91,14.88,13.81,15.34,17.19,16.41,15.09,16.16,17.88,17.28,14.25,13.38,14.16,14.09,12.38,12.22,14.56,16.38,15.44,14.69,16.22,18.41,17.91,15.72,15.56,16.31,15.09,12.44,11.91,13.5,14.66,13.34,12.66,14.41,15.91,14.31,12.66,13.06,13.94,12.5,9.78,9.88,11.38,11.53,10.22,10.09,12.12,13.38,12.16,11.0,12.34,13.41,11.97,9.88,10.06,11.41,10.78,9.38,10.03,12.38,13.66,12.0,10.84,11.69,11.69,9.22,7.41,8.81,11.41,11.88,11.84,13.62,16.81,17.53,16.59,16.38,17.94,17.47,14.22,11.88,12.41,12.88,10.88,9.31,9.94,11.41,10.5,8.69,9.09,11.31,12.06,11.5,12.75,16.28,19.06,18.78,17.91,18.91,19.0,15.78,12.47,12.38,13.59,13.19,11.81,12.16,13.44,13.22,11.34,10.41,12.59,15.19,15.53,16.47,19.91,23.59,24.06,22.75,23.19,24.56,23.62,21.31,20.31,21.34,21.22,18.5,16.94,17.75,18.31,16.78,15.19,16.38,18.75,18.38,17.81,18.94,21.59,22.16,21.34,21.41,23.28,23.94,21.47,19.16,18.69,18.16,14.5,10.94,10.88,12.69,13.06,12.88,15.0,18.5,20.25,19.75,19.81,21.84,22.31,19.53,16.88,16.38,15.91,12.88,9.44,8.19,8.94,7.75,5.62,5.75,7.84,8.41,7.25,7.16,9.78,11.88,11.19,10.16,10.75,11.91,10.41,8.0,8.16,10.31,10.62,9.81,10.44,13.09,14.22,12.5,11.06,11.59,11.5,9.12,6.56,7.19,8.94,8.47,6.97,7.28,8.69,8.78,7.03,6.41,7.94,8.31,6.38,4.88,6.59,8.97,8.97,8.19,9.88,11.84,11.38,9.66,9.72,11.72,11.75,9.78,8.69,10.19,11.47,10.81,10.31,12.88,15.25,14.88,13.44,14.34,16.22,16.44,14.94,14.06,15.44,15.0,12.19,10.38,10.56,10.69,8.22,5.22,4.59,4.62,2.38,-0.59,-1.41,38.97,38.16,38.66,39.94,39.53,38.38,38.06:19.66,22.53,26.0,27.25,26.94,28.0,29.84,29.62,26.84,24.19,23.38,21.66,18.0,15.25,15.78,17.16,16.72,15.88,18.09,21.19,22.25,22.03,23.09,24.84,24.81,22.59,20.91,21.97,22.62,21.56,20.5,21.5,23.22,22.41,20.5,20.72,22.19,21.75,19.16,18.41,19.53,20.0,18.69,18.47,20.25,21.72,21.06,19.66,20.94,23.16,23.28,22.12,23.06,24.97,25.12,23.59,22.44,22.59,22.0,18.28,14.78,14.69,14.88,13.28,11.34,12.03,13.5,13.0,11.69,12.47,15.28,17.59,18.22,20.09,24.16,27.56,27.72,26.75,27.5,27.88,25.09,21.88,21.47,22.59,22.56,21.25,21.31,22.88,23.78,21.34,19.78,20.47,21.41,19.81,18.44,20.03,22.31,22.94,21.72,22.03,22.94,21.31,17.59,15.09,15.03,15.25,13.22,11.81,12.59,13.72,12.5,10.81,12.5,15.38,15.81,15.25,15.72,17.34,17.81,15.94,15.12,17.12,18.44,17.12,15.56,16.22,17.62,16.16,14.28,14.84,16.53,15.97,13.91,14.0,16.03,17.38,16.53,16.16,17.5,18.28,15.88,13.5,14.25,15.56,14.97,13.12,13.31,14.62,14.75,13.03,13.28,15.38,17.09,16.62,16.34,18.59,20.78,19.91,18.47,19.03,20.78,20.31,18.62,18.38,19.75,19.62,17.16,15.88,16.78,17.41,15.38,13.62,14.38,15.56,14.69,13.53,14.69,17.28,18.16,17.75,18.06,20.09,20.84,18.56,17.28,18.22,18.97,17.25,15.53,16.0,17.09,16.12,13.75,13.19,13.78,13.09,10.81,10.53,12.88,14.59,13.69,13.5,15.66,17.88,18.0,17.75,20.12,23.16,23.59,22.28,21.81,22.5,21.28,18.22,16.5,17.47,18.16,15.97,13.78,14.0,14.94,13.38,11.41,11.81,13.94,13.62,12.09,12.0,13.81,14.25,12.22,11.0,11.72,12.41,10.5,9.16,10.38,13.22,13.88,13.75,15.97,19.16,20.56,19.81,19.72,21.31,21.47,18.91,16.5,16.25,15.84,12.25,8.12,6.66,6.41,4.5,2.25,2.53,4.66,5.12,3.88,3.53,5.72,7.41,7.22,6.53,8.59,11.09,10.88,9.97,11.28,13.72,13.78,12.53,12.66,14.66,14.91,12.69,11.16,11.72,11.72,8.59,5.12,4.16,4.22,2.12,0.5,2.16,6.38,8.97,10.06,12.22,15.38,16.34,14.53,12.56,12.72,12.62,10.12,7.25,7.5,8.81,7.75,4.91,3.47,3.91,2.97,1.41,1.81,5.31,8.69,10.0,11.44,15.28,19.09,20.28,19.59,21.12,23.03,22.41,20.12,19.78,21.38,21.69,20.34,19.97,22.22,23.5,22.75,22.06,24.03,26.44,26.47,24.66,24.53,24.91,22.91,19.38,17.41,18.38,18.53,17.03,16.31,18.16,19.69,18.0,15.94,16.28,17.22,16.09,14.25,15.09,17.81,19.69,19.94,21.25,24.66,26.88,25.84,24.62,25.62,26.12,24.12,21.09,20.88,22.0,21.53,19.34,19.12,20.72,21.12,19.69,19.69,22.69,24.59,23.56,22.0,22.75,23.31,21.75,19.38,19.25,20.59,20.06,17.66,16.59,17.62,17.94,16.78,16.66,19.53,21.5,20.41,18.38,18.62,19.41,18.38,16.5,16.69,18.34,18.5,16.72,16.38,18.38,19.62,18.0,16.59,17.28,17.72,16.12,14.34,15.31,17.03,16.09,13.31,11.81,11.94,11.0,9.12,8.62,11.25,13.66,14.09,14.72,18.16,21.44,22.22,21.81,23.22,25.41,26.03,24.53,24.25,25.25,24.69,21.03,18.22,17.78,17.22,14.41,11.88,11.94,12.06,10.78,9.0,9.72,12.94,15.88,17.03,19.56,23.97,27.41,28.25,29.53,32.75,35.0,34.47,31.81,30.53,29.47,26.09,20.66,17.28,15.78,13.31,9.59,7.69,8.38,9.06,8.03,7.38,9.97,12.78,13.66,13.44,14.59,16.62,16.5,14.78,14.84,17.25,19.06,19.25,20.59,23.78,26.34,25.28,23.28,23.09,23.66,21.69,18.97,18.09,18.16,16.5,13.34,12.0,13.12,14.25,13.03,12.47,13.97,15.44,14.66,13.09,13.69,14.62,13.09,9.72,8.41,8.81,8.78,7.5,7.56,10.06,12.12,11.84,11.34,13.19,14.72,13.31,10.5,9.5,9.0,7.0,3.31,1.47,2.31,3.25,2.72,4.22,8.34,12.19,12.94,13.19,15.38,18.06,18.34,18.06,19.56,22.47,23.25,21.78,21.31,22.19,21.88,18.66,16.19,16.28,16.69,14.59,12.84,13.0,14.0,12.66,9.62,8.0,7.72,5.84,2.78,0.94,2.34,4.75,5.72,8.56,14.5,21.47,25.56,27.72,30.47,32.53,31.25,27.56,25.03,24.5,23.41,20.22,18.5,19.12,19.09,16.25,13.16,12.06,12.0,10.41,8.03,8.38,10.31,10.81,9.69,9.97,12.12,13.09,11.53,10.44,11.44,12.56,11.44,10.38,11.34,13.81,14.09,13.75,15.25,18.19,19.66,18.97,18.78,20.12,20.66,18.56,16.78,16.5,17.03,14.84,11.91,11.19,12.03,11.62,10.31,10.81,13.12,14.59,13.25,12.41,13.97,15.34,14.06,12.41,12.88,13.56,11.5,8.69,7.69,8.0,6.94,4.53,3.44,5.12,6.34,5.69,5.5,7.31,8.78,7.5,5.66,5.56,6.47,4.72,2.22,1.0,2.5,3.03,2.72,3.53,6.81,9.16,8.62,8.03,9.25,10.41,9.09,7.06,6.97,8.72,9.19,8.69,10.34,13.47,15.03,14.41,13.53,14.91,15.81,13.78,11.41,11.34,11.59,9.12,6.19,5.5,6.53,6.5,6.03,6.94,10.09,12.31,12.28,11.47,12.78,13.88,12.5,10.72,11.66,13.91,14.47,13.97,14.97,17.16,18.16,16.78,15.56,16.56,17.03,14.88,13.25,14.41,16.44,16.09,15.22,16.25,18.03,17.47,15.44,14.69,15.75,16.09,14.47,13.38,14.53,15.0,12.84,10.12,9.75,10.25,8.28,5.53,4.69,5.19,4.81,3.28,3.16,5.75,7.38,6.69,5.53,6.78,7.72,6.16,4.06,5.28,7.5,7.75,6.88,7.09,8.56,8.66,6.59,5.53,7.44,9.0,8.59,8.72,11.84,14.78,14.72,13.59,14.38,16.0,16.66,15.84,16.69,19.31,20.28,18.56,16.94,17.16,16.84,13.91,10.97,11.03,11.69,10.5,8.69,9.72,12.06,13.59,13.53,14.78,18.0,19.94,18.88,17.62,18.44,18.81,16.25,13.56,14.03,16.03,16.38,15.28,15.84,17.25,16.53,13.91,12.53,14.16,15.75,15.34,14.81,16.69,18.75,17.97,15.78,15.56,15.97,14.16,10.94,9.59,10.88,11.88,11.38,12.25,16.31,20.41,21.75,22.56,25.12,26.97,25.41,22.22,20.78,20.53,19.5,17.09,16.62,17.84,18.38,15.91,12.94,12.22,11.09,7.0,3.16,2.44,3.34,3.16,2.59,4.47,7.81,9.81,10.16,11.28,14.62,17.56,17.84,18.0,20.62,23.09,22.44,20.94,21.72,23.56,23.34,21.62,20.69,20.91,19.78,15.69,11.94,11.19,10.69,8.06,6.16,7.78,10.06,9.78,8.34,8.75,9.94,9.34,7.12,6.75,8.19,9.31,7.94,7.41,9.34,11.59,10.94,9.81,10.56,11.56,10.38,7.47,7.28,8.94,10.25,9.78,10.81,13.75,15.91,14.88,13.81,15.34,17.19,16.41,15.09,16.16,17.88,17.28,14.25,13.38,14.16,14.09,12.38,12.22,14.56,16.38,15.44,14.69,16.22,18.41,17.91,15.72,15.56,16.31,15.09,12.44,11.91,13.5,14.66,13.34,12.66,14.41,15.91,14.31,12.66,13.06,13.94,12.5,9.78,9.88,11.38,11.53,10.22,10.09,12.12,13.38,12.16,11.0,12.34,13.41,11.97,9.88,10.06,11.41,10.78,9.38,10.03,12.38,13.66,12.0,10.84,11.69,11.69,9.22,7.41,8.81,11.41,11.88,11.84,13.62,16.81,17.53,16.59,16.38,17.94,17.47,14.22,11.88,12.41,12.88,10.88,9.31,9.94,11.41,10.5,8.69,9.09,11.31,12.06,11.5,12.75,16.28,19.06,18.78,17.91,18.91,19.0,15.78,12.47,12.38,13.59,13.19,11.81,12.16,13.44,13.22,11.34,10.41,12.59,15.19,15.53,16.47,19.91,23.59,24.06,22.75,23.19,24.56,23.62,21.31,20.31,21.34,21.22,18.5,16.94,17.75,18.31,16.78,15.19,16.38,18.75,18.38,17.81,18.94,21.59,22.16,21.34,21.41,23.28,23.94,21.47,19.16,18.69,18.16,14.5,10.94,10.88,12.69,13.06,12.88,15.0,18.5,20.25,19.75,19.81,21.84,22.31,19.53,16.88,16.38,15.91,12.88,9.44,8.19,8.94,7.75,5.62,5.75,7.84,8.41,7.25,7.16,9.78,11.88,11.19,10.16,10.75,11.91,10.41,8.0,8.16,10.31,10.62,9.81,10.44,13.09,14.22,12.5,11.06,11.59,11.5,9.12,6.56,7.19,8.94,8.47,6.97,7.28,8.69,8.78,7.03,6.41,7.94,8.31,6.38,4.88,6.59,8.97,8.97,8.19,9.88,11.84,11.38,9.66,9.72,11.72,11.75,9.78,8.69,10.19,11.47,10.81,10.31,12.88,15.25,14.88,13.44,14.34,16.22,16.44,14.94,14.06,15.44,15.0,12.19,10.38,10.56,10.69,8.22,5.22,4.59,4.62,2.38,-0.59,-1.41,38.97,38.16,38.66,39.94,39.53,38.38,38.06,38.94,39.41,38.34,37.53,38.19,38.78,38.09:29.62,26.84,24.19,23.38,21.66,18.0,15.25,15.78,17.16,16.72,15.88,18.09,21.19,22.25,22.03,23.09,24.84,24.81,22.59,20.91,21.97,22.62,21.56,20.5,21.5,23.22,22.41,20.5,20.72,22.19,21.75,19.16,18.41,19.53,20.0,18.69,18.47,20.25,21.72,21.06,19.66,20.94,23.16,23.28,22.12,23.06,24.97,25.12,23.59,22.44,22.59,22.0,18.28,14.78,14.69,14.88,13.28,11.34,12.03,13.5,13.0,11.69,12.47,15.28,17.59,18.22,20.09,24.16,27.56,27.72,26.75,27.5,27.88,25.09,21.88,21.47,22.59,22.56,21.25,21.31,22.88,23.78,21.34,19.78,20.47,21.41,19.81,18.44,20.03,22.31,22.94,21.72,22.03,22.94,21.31,17.59,15.09,15.03,15.25,13.22,11.81,12.59,13.72,12.5,10.81,12.5,15.38,15.81,15.25,15.72,17.34,17.81,15.94,15.12,17.12,18.44,17.12,15.56,16.22,17.62,16.16,14.28,14.84,16.53,15.97,13.91,14.0,16.03,17.38,16.53,16.16,17.5,18.28,15.88,13.5,14.25,15.56,14.97,13.12,13.31,14.62,14.75,13.03,13.28,15.38,17.09,16.62,16.34,18.59,20.78,19.91,18.47,19.03,20.78,20.31,18.62,18.38,19.75,19.62,17.16,15.88,16.78,17.41,15.38,13.62,14.38,15.56,14.69,13.53,14.69,17.28,18.16,17.75,18.06,20.09,20.84,18.56,17.28,18.22,18.97,17.25,15.53,16.0,17.09,16.12,13.75,13.19,13.78,13.09,10.81,10.53,12.88,14.59,13.69,13.5,15.66,17.88,18.0,17.75,20.12,23.16,23.59,22.28,21.81,22.5,21.28,18.22,16.5,17.47,18.16,15.97,13.78,14.0,14.94,13.38,11.41,11.81,13.94,13.62,12.09,12.0,13.81,14.25,12.22,11.0,11.72,12.41,10.5,9.16,10.38,13.22,13.88,13.75,15.97,19.16,20.56,19.81,19.72,21.31,21.47,18.91,16.5,16.25,15.84,12.25,8.12,6.66,6.41,4.5,2.25,2.53,4.66,5.12,3.88,3.53,5.72,7.41,7.22,6.53,8.59,11.09,10.88,9.97,11.28,13.72,13.78,12.53,12.66,14.66,14.91,12.69,11.16,11.72,11.72,8.59,5.12,4.16,4.22,2.12,0.5,2.16,6.38,8.97,10.06,12.22,15.38,16.34,14.53,12.56,12.72,12.62,10.12,7.25,7.5,8.81,7.75,4.91,3.47,3.91,2.97,1.41,1.81,5.31,8.69,10.0,11.44,15.28,19.09,20.28,19.59,21.12,23.03,22.41,20.12,19.78,21.38,21.69,20.34,19.97,22.22,23.5,22.75,22.06,24.03,26.44,26.47,24.66,24.53,24.91,22.91,19.38,17.41,18.38,18.53,17.03,16.31,18.16,19.69,18.0,15.94,16.28,17.22,16.09,14.25,15.09,17.81,19.69,19.94,21.25,24.66,26.88,25.84,24.62,25.62,26.12,24.12,21.09,20.88,22.0,21.53,19.34,19.12,20.72,21.12,19.69,19.69,22.69,24.59,23.56,22.0,22.75,23.31,21.75,19.38,19.25,20.59,20.06,17.66,16.59,17.62,17.94,16.78,16.66,19.53,21.5,20.41,18.38,18.62,19.41,18.38,16.5,16.69,18.34,18.5,16.72,16.38,18.38,19.62,18.0,16.59,17.28,17.72,16.12,14.34,15.31,17.03,16.09,13.31,11.81,11.94,11.0,9.12,8.62,11.25,13.66,14.09,14.72,18.16,21.44,22.22,21.81,23.22,25.41,26.03,24.53,24.25,25.25,24.69,21.03,18.22,17.78,17.22,14.41,11.88,11.94,12.06,10.78,9.0,9.72,12.94,15.88,17.03,19.56,23.97,27.41,28.25,29.53,32.75,35.0,34.47,31.81,30.53,29.47,26.09,20.66,17.28,15.78,13.31,9.59,7.69,8.38,9.06,8.03,7.38,9.97,12.78,13.66,13.44,14.59,16.62,16.5,14.78,14.84,17.25,19.06,19.25,20.59,23.78,26.34,25.28,23.28,23.09,23.66,21.69,18.97,18.09,18.16,16.5,13.34,12.0,13.12,14.25,13.03,12.47,13.97,15.44,14.66,13.09,13.69,14.62,13.09,9.72,8.41,8.81,8.78,7.5,7.56,10.06,12.12,11.84,11.34,13.19,14.72,13.31,10.5,9.5,9.0,7.0,3.31,1.47,2.31,3.25,2.72,4.22,8.34,12.19,12.94,13.19,15.38,18.06,18.34,18.06,19.56,22.47,23.25,21.78,21.31,22.19,21.88,18.66,16.19,16.28,16.69,14.59,12.84,13.0,14.0,12.66,9.62,8.0,7.72,5.84,2.78,0.94,2.34,4.75,5.72,8.56,14.5,21.47,25.56,27.72,30.47,32.53,31.25,27.56,25.03,24.5,23.41,20.22,18.5,19.12,19.09,16.25,13.16,12.06,12.0,10.41,8.03,8.38,10.31,10.81,9.69,9.97,12.12,13.09,11.53,10.44,11.44,12.56,11.44,10.38,11.34,13.81,14.09,13.75,15.25,18.19,19.66,18.97,18.78,20.12,20.66,18.56,16.78,16.5,17.03,14.84,11.91,11.19,12.03,11.62,10.31,10.81,13.12,14.59,13.25,12.41,13.97,15.34,14.06,12.41,12.88,13.56,11.5,8.69,7.69,8.0,6.94,4.53,3.44,5.12,6.34,5.69,5.5,7.31,8.78,7.5,5.66,5.56,6.47,4.72,2.22,1.0,2.5,3.03,2.72,3.53,6.81,9.16,8.62,8.03,9.25,10.41,9.09,7.06,6.97,8.72,9.19,8.69,10.34,13.47,15.03,14.41,13.53,14.91,15.81,13.78,11.41,11.34,11.59,9.12,6.19,5.5,6.53,6.5,6.03,6.94,10.09,12.31,12.28,11.47,12.78,13.88,12.5,10.72,11.66,13.91,14.47,13.97,14.97,17.16,18.16,16.78,15.56,16.56,17.03,14.88,13.25,14.41,16.44,16.09,15.22,16.25,18.03,17.47,15.44,14.69,15.75,16.09,14.47,13.38,14.53,15.0,12.84,10.12,9.75,10.25,8.28,5.53,4.69,5.19,4.81,3.28,3.16,5.75,7.38,6.69,5.53,6.78,7.72,6.16,4.06,5.28,7.5,7.75,6.88,7.09,8.56,8.66,6.59,5.53,7.44,9.0,8.59,8.72,11.84,14.78,14.72,13.59,14.38,16.0,16.66,15.84,16.69,19.31,20.28,18.56,16.94,17.16,16.84,13.91,10.97,11.03,11.69,10.5,8.69,9.72,12.06,13.59,13.53,14.78,18.0,19.94,18.88,17.62,18.44,18.81,16.25,13.56,14.03,16.03,16.38,15.28,15.84,17.25,16.53,13.91,12.53,14.16,15.75,15.34,14.81,16.69,18.75,17.97,15.78,15.56,15.97,14.16,10.94,9.59,10.88,11.88,11.38,12.25,16.31,20.41,21.75,22.56,25.12,26.97,25.41,22.22,20.78,20.53,19.5,17.09,16.62,17.84,18.38,15.91,12.94,12.22,11.09,7.0,3.16,2.44,3.34,3.16,2.59,4.47,7.81,9.81,10.16,11.28,14.62,17.56,17.84,18.0,20.62,23.09,22.44,20.94,21.72,23.56,23.34,21.62,20.69,20.91,19.78,15.69,11.94,11.19,10.69,8.06,6.16,7.78,10.06,9.78,8.34,8.75,9.94,9.34,7.12,6.75,8.19,9.31,7.94,7.41,9.34,11.59,10.94,9.81,10.56,11.56,10.38,7.47,7.28,8.94,10.25,9.78,10.81,13.75,15.91,14.88,13.81,15.34,17.19,16.41,15.09,16.16,17.88,17.28,14.25,13.38,14.16,14.09,12.38,12.22,14.56,16.38,15.44,14.69,16.22,18.41,17.91,15.72,15.56,16.31,15.09,12.44,11.91,13.5,14.66,13.34,12.66,14.41,15.91,14.31,12.66,13.06,13.94,12.5,9.78,9.88,11.38,11.53,10.22,10.09,12.12,13.38,12.16,11.0,12.34,13.41,11.97,9.88,10.06,11.41,10.78,9.38,10.03,12.38,13.66,12.0,10.84,11.69,11.69,9.22,7.41,8.81,11.41,11.88,11.84,13.62,16.81,17.53,16.59,16.38,17.94,17.47,14.22,11.88,12.41,12.88,10.88,9.31,9.94,11.41,10.5,8.69,9.09,11.31,12.06,11.5,12.75,16.28,19.06,18.78,17.91,18.91,19.0,15.78,12.47,12.38,13.59,13.19,11.81,12.16,13.44,13.22,11.34,10.41,12.59,15.19,15.53,16.47,19.91,23.59,24.06,22.75,23.19,24.56,23.62,21.31,20.31,21.34,21.22,18.5,16.94,17.75,18.31,16.78,15.19,16.38,18.75,18.38,17.81,18.94,21.59,22.16,21.34,21.41,23.28,23.94,21.47,19.16,18.69,18.16,14.5,10.94,10.88,12.69,13.06,12.88,15.0,18.5,20.25,19.75,19.81,21.84,22.31,19.53,16.88,16.38,15.91,12.88,9.44,8.19,8.94,7.75,5.62,5.75,7.84,8.41,7.25,7.16,9.78,11.88,11.19,10.16,10.75,11.91,10.41,8.0,8.16,10.31,10.62,9.81,10.44,13.09,14.22,12.5,11.06,11.59,11.5,9.12,6.56,7.19,8.94,8.47,6.97,7.28,8.69,8.78,7.03,6.41,7.94,8.31,6.38,4.88,6.59,8.97,8.97,8.19,9.88,11.84,11.38,9.66,9.72,11.72,11.75,9.78,8.69,10.19,11.47,10.81,10.31,12.88,15.25,14.88,13.44,14.34,16.22,16.44,14.94,14.06,15.44,15.0,12.19,10.38,10.56,10.69,8.22,5.22,4.59,4.62,2.38,-0.59,-1.41,38.97,38.16,38.66,39.94,39.53,38.38,38.06,38.94,39.41,38.34,37.53,38.19,38.78,38.09,37.41,38.88,41.09,42.03,41.94,42.94,44.69:15.78,17.16,16.72,15.88,18.09,21.19,22.25,22.03,23.09,24.84,24.81,22.59,20.91,21.97,22.62,21.56,20.5,21.5,23.22,22.41,20.5,20.72,22.19,21.75,19.16,18.41,19.53,20.0,18.69,18.47,20.25,21.72,21.06,19.66,20.94,23.16,23.28,22.12,23.06,24.97,25.12,23.59,22.44,22.59,22.0,18.28,14.78,14.69,14.88,13.28,11.34,12.03,13.5,13.0,11.69,12.47,15.28,17.59,18.22,20.09,24.16,27.56,27.72,26.75,27.5,27.88,25.09,21.88,21.47,22.59,22.56,21.25,21.31,22.88,23.78,21.34,19.78,20.47,21.41,19.81,18.44,20.03,22.31,22.94,21.72,22.03,22.94,21.31,17.59,15.09,15.03,15.25,13.22,11.81,12.59,13.72,12.5,10.81,12.5,15.38,15.81,15.25,15.72,17.34,17.81,15.94,15.12,17.12,18.44,17.12,15.56,16.22,17.62,16.16,14.28,14.84,16.53,15.97,13.91,14.0,16.03,17.38,16.53,16.16,17.5,18.28,15.88,13.5,14.25,15.56,14.97,13.12,13.31,14.62,14.75,13.03,13.28,15.38,17.09,16.62,16.34,18.59,20.78,19.91,18.47,19.03,20.78,20.31,18.62,18.38,19.75,19.62,17.16,15.88,16.78,17.41,15.38,13.62,14.38,15.56,14.69,13.53,14.69,17.28,18.16,17.75,18.06,20.09,20.84,18.56,17.28,18.22,18.97,17.25,15.53,16.0,17.09,16.12,13.75,13.19,13.78,13.09,10.81,10.53,12.88,14.59,13.69,13.5,15.66,17.88,18.0,17.75,20.12,23.16,23.59,22.28,21.81,22.5,21.28,18.22,16.5,17.47,18.16,15.97,13.78,14.0,14.94,13.38,11.41,11.81,13.94,13.62,12.09,12.0,13.81,14.25,12.22,11.0,11.72,12.41,10.5,9.16,10.38,13.22,13.88,13.75,15.97,19.16,20.56,19.81,19.72,21.31,21.47,18.91,16.5,16.25,15.84,12.25,8.12,6.66,6.41,4.5,2.25,2.53,4.66,5.12,3.88,3.53,5.72,7.41,7.22,6.53,8.59,11.09,10.88,9.97,11.28,13.72,13.78,12.53,12.66,14.66,14.91,12.69,11.16,11.72,11.72,8.59,5.12,4.16,4.22,2.12,0.5,2.16,6.38,8.97,10.06,12.22,15.38,16.34,14.53,12.56,12.72,12.62,10.12,7.25,7.5,8.81,7.75,4.91,3.47,3.91,2.97,1.41,1.81,5.31,8.69,10.0,11.44,15.28,19.09,20.28,19.59,21.12,23.03,22.41,20.12,19.78,21.38,21.69,20.34,19.97,22.22,23.5,22.75,22.06,24.03,26.44,26.47,24.66,24.53,24.91,22.91,19.38,17.41,18.38,18.53,17.03,16.31,18.16,19.69,18.0,15.94,16.28,17.22,16.09,14.25,15.09,17.81,19.69,19.94,21.25,24.66,26.88,25.84,24.62,25.62,26.12,24.12,21.09,20.88,22.0,21.53,19.34,19.12,20.72,21.12,19.69,19.69,22.69,24.59,23.56,22.0,22.75,23.31,21.75,19.38,19.25,20.59,20.06,17.66,16.59,17.62,17.94,16.78,16.66,19.53,21.5,20.41,18.38,18.62,19.41,18.38,16.5,16.69,18.34,18.5,16.72,16.38,18.38,19.62,18.0,16.59,17.28,17.72,16.12,14.34,15.31,17.03,16.09,13.31,11.81,11.94,11.0,9.12,8.62,11.25,13.66,14.09,14.72,18.16,21.44,22.22,21.81,23.22,25.41,26.03,24.53,24.25,25.25,24.69,21.03,18.22,17.78,17.22,14.41,11.88,11.94,12.06,10.78,9.0,9.72,12.94,15.88,17.03,19.56,23.97,27.41,28.25,29.53,32.75,35.0,34.47,31.81,30.53,29.47,26.09,20.66,17.28,15.78,13.31,9.59,7.69,8.38,9.06,8.03,7.38,9.97,12.78,13.66,13.44,14.59,16.62,16.5,14.78,14.84,17.25,19.06,19.25,20.59,23.78,26.34,25.28,23.28,23.09,23.66,21.69,18.97,18.09,18.16,16.5,13.34,12.0,13.12,14.25,13.03,12.47,13.97,15.44,14.66,13.09,13.69,14.62,13.09,9.72,8.41,8.81,8.78,7.5,7.56,10.06,12.12,11.84,11.34,13.19,14.72,13.31,10.5,9.5,9.0,7.0,3.31,1.47,2.31,3.25,2.72,4.22,8.34,12.19,12.94,13.19,15.38,18.06,18.34,18.06,19.56,22.47,23.25,21.78,21.31,22.19,21.88,18.66,16.19,16.28,16.69,14.59,12.84,13.0,14.0,12.66,9.62,8.0,7.72,5.84,2.78,0.94,2.34,4.75,5.72,8.56,14.5,21.47,25.56,27.72,30.47,32.53,31.25,27.56,25.03,24.5,23.41,20.22,18.5,19.12,19.09,16.25,13.16,12.06,12.0,10.41,8.03,8.38,10.31,10.81,9.69,9.97,12.12,13.09,11.53,10.44,11.44,12.56,11.44,10.38,11.34,13.81,14.09,13.75,15.25,18.19,19.66,18.97,18.78,20.12,20.66,18.56,16.78,16.5,17.03,14.84,11.91,11.19,12.03,11.62,10.31,10.81,13.12,14.59,13.25,12.41,13.97,15.34,14.06,12.41,12.88,13.56,11.5,8.69,7.69,8.0,6.94,4.53,3.44,5.12,6.34,5.69,5.5,7.31,8.78,7.5,5.66,5.56,6.47,4.72,2.22,1.0,2.5,3.03,2.72,3.53,6.81,9.16,8.62,8.03,9.25,10.41,9.09,7.06,6.97,8.72,9.19,8.69,10.34,13.47,15.03,14.41,13.53,14.91,15.81,13.78,11.41,11.34,11.59,9.12,6.19,5.5,6.53,6.5,6.03,6.94,10.09,12.31,12.28,11.47,12.78,13.88,12.5,10.72,11.66,13.91,14.47,13.97,14.97,17.16,18.16,16.78,15.56,16.56,17.03,14.88,13.25,14.41,16.44,16.09,15.22,16.25,18.03,17.47,15.44,14.69,15.75,16.09,14.47,13.38,14.53,15.0,12.84,10.12,9.75,10.25,8.28,5.53,4.69,5.19,4.81,3.28,3.16,5.75,7.38,6.69,5.53,6.78,7.72,6.16,4.06,5.28,7.5,7.75,6.88,7.09,8.56,8.66,6.59,5.53,7.44,9.0,8.59,8.72,11.84,14.78,14.72,13.59,14.38,16.0,16.66,15.84,16.69,19.31,20.28,18.56,16.94,17.16,16.84,13.91,10.97,11.03,11.69,10.5,8.69,9.72,12.06,13.59,13.53,14.78,18.0,19.94,18.88,17.62,18.44,18.81,16.25,13.56,14.03,16.03,16.38,15.28,15.84,17.25,16.53,13.91,12.53,14.16,15.75,15.34,14.81,16.69,18.75,17.97,15.78,15.56,15.97,14.16,10.94,9.59,10.88,11.88,11.38,12.25,16.31,20.41,21.75,22.56,25.12,26.97,25.41,22.22,20.78,20.53,19.5,17.09,16.62,17.84,18.38,15.91,12.94,12.22,11.09,7.0,3.16,2.44,3.34,3.16,2.59,4.47,7.81,9.81,10.16,11.28,14.62,17.56,17.84,18.0,20.62,23.09,22.44,20.94,21.72,23.56,23.34,21.62,20.69,20.91,19.78,15.69,11.94,11.19,10.69,8.06,6.16,7.78,10.06,9.78,8.34,8.75,9.94,9.34,7.12,6.75,8.19,9.31,7.94,7.41,9.34,11.59,10.94,9.81,10.56,11.56,10.38,7.47,7.28,8.94,10.25,9.78,10.81,13.75,15.91,14.88,13.81,15.34,17.19,16.41,15.09,16.16,17.88,17.28,14.25,13.38,14.16,14.09,12.38,12.22,14.56,16.38,15.44,14.69,16.22,18.41,17.91,15.72,15.56,16.31,15.09,12.44,11.91,13.5,14.66,13.34,12.66,14.41,15.91,14.31,12.66,13.06,13.94,12.5,9.78,9.88,11.38,11.53,10.22,10.09,12.12,13.38,12.16,11.0,12.34,13.41,11.97,9.88,10.06,11.41,10.78,9.38,10.03,12.38,13.66,12.0,10.84,11.69,11.69,9.22,7.41,8.81,11.41,11.88,11.84,13.62,16.81,17.53,16.59,16.38,17.94,17.47,14.22,11.88,12.41,12.88,10.88,9.31,9.94,11.41,10.5,8.69,9.09,11.31,12.06,11.5,12.75,16.28,19.06,18.78,17.91,18.91,19.0,15.78,12.47,12.38,13.59,13.19,11.81,12.16,13.44,13.22,11.34,10.41,12.59,15.19,15.53,16.47,19.91,23.59,24.06,22.75,23.19,24.56,23.62,21.31,20.31,21.34,21.22,18.5,16.94,17.75,18.31,16.78,15.19,16.38,18.75,18.38,17.81,18.94,21.59,22.16,21.34,21.41,23.28,23.94,21.47,19.16,18.69,18.16,14.5,10.94,10.88,12.69,13.06,12.88,15.0,18.5,20.25,19.75,19.81,21.84,22.31,19.53,16.88,16.38,15.91,12.88,9.44,8.19,8.94,7.75,5.62,5.75,7.84,8.41,7.25,7.16,9.78,11.88,11.19,10.16,10.75,11.91,10.41,8.0,8.16,10.31,10.62,9.81,10.44,13.09,14.22,12.5,11.06,11.59,11.5,9.12,6.56,7.19,8.94,8.47,6.97,7.28,8.69,8.78,7.03,6.41,7.94,8.31,6.38,4.88,6.59,8.97,8.97,8.19,9.88,11.84,11.38,9.66,9.72,11.72,11.75,9.78,8.69,10.19,11.47,10.81,10.31,12.88,15.25,14.88,13.44,14.34,16.22,16.44,14.94,14.06,15.44,15.0,12.19,10.38,10.56,10.69,8.22,5.22,4.59,4.62,2.38,-0.59,-1.41,38.97,38.16,38.66,39.94,39.53,38.38,38.06,38.94,39.41,38.34,37.53,38.19,38.78,38.09,37.41,38.88,41.09,42.03,41.94,42.94,44.69,44.78,43.34,42.38,42.28,41.62,39.72,38.09:22.03,23.09,24.84,24.81,22.59,20.91,21.97,22.62,21.56,20.5,21.5,23.22,22.41,20.5,20.72,22.19,21.75,19.16,18.41,19.53,20.0,18.69,18.47,20.25,21.72,21.06,19.66,20.94,23.16,23.28,22.12,23.06,24.97,25.12,23.59,22.44,22.59,22.0,18.28,14.78,14.69,14.88,13.28,11.34,12.03,13.5,13.0,11.69,12.47,15.28,17.59,18.22,20.09,24.16,27.56,27.72,26.75,27.5,27.88,25.09,21.88,21.47,22.59,22.56,21.25,21.31,22.88,23.78,21.34,19.78,20.47,21.41,19.81,18.44,20.03,22.31,22.94,21.72,22.03,22.94,21.31,17.59,15.09,15.03,15.25,13.22,11.81,12.59,13.72,12.5,10.81,12.5,15.38,15.81,15.25,15.72,17.34,17.81,15.94,15.12,17.12,18.44,17.12,15.56,16.22,17.62,16.16,14.28,14.84,16.53,15.97,13.91,14.0,16.03,17.38,16.53,16.16,17.5,18.28,15.88,13.5,14.25,15.56,14.97,13.12,13.31,14.62,14.75,13.03,13.28,15.38,17.09,16.62,16.34,18.59,20.78,19.91,18.47,19.03,20.78,20.31,18.62,18.38,19.75,19.62,17.16,15.88,16.78,17.41,15.38,13.62,14.38,15.56,14.69,13.53,14.69,17.28,18.16,17.75,18.06,20.09,20.84,18.56,17.28,18.22,18.97,17.25,15.53,16.0,17.09,16.12,13.75,13.19,13.78,13.09,10.81,10.53,12.88,14.59,13.69,13.5,15.66,17.88,18.0,17.75,20.12,23.16,23.59,22.28,21.81,22.5,21.28,18.22,16.5,17.47,18.16,15.97,13.78,14.0,14.94,13.38,11.41,11.81,13.94,13.62,12.09,12.0,13.81,14.25,12.22,11.0,11.72,12.41,10.5,9.16,10.38,13.22,13.88,13.75,15.97,19.16,20.56,19.81,19.72,21.31,21.47,18.91,16.5,16.25,15.84,12.25,8.12,6.66,6.41,4.5,2.25,2.53,4.66,5.12,3.88,3.53,5.72,7.41,7.22,6.53,8.59,11.09,10.88,9.97,11.28,13.72,13.78,12.53,12.66,14.66,14.91,12.69,11.16,11.72,11.72,8.59,5.12,4.16,4.22,2.12,0.5,2.16,6.38,8.97,10.06,12.22,15.38,16.34,14.53,12.56,12.72,12.62,10.12,7.25,7.5,8.81,7.75,4.91,3.47,3.91,2.97,1.41,1.81,5.31,8.69,10.0,11.44,15.28,19.09,20.28,19.59,21.12,23.03,22.41,20.12,19.78,21.38,21.69,20.34,19.97,22.22,23.5,22.75,22.06,24.03,26.44,26.47,24.66,24.53,24.91,22.91,19.38,17.41,18.38,18.53,17.03,16.31,18.16,19.69,18.0,15.94,16.28,17.22,16.09,14.25,15.09,17.81,19.69,19.94,21.25,24.66,26.88,25.84,24.62,25.62,26.12,24.12,21.09,20.88,22.0,21.53,19.34,19.12,20.72,21.12,19.69,19.69,22.69,24.59,23.56,22.0,22.75,23.31,21.75,19.38,19.25,20.59,20.06,17.66,16.59,17.62,17.94,16.78,16.66,19.53,21.5,20.41,18.38,18.62,19.41,18.38,16.5,16.69,18.34,18.5,16.72,16.38,18.38,19.62,18.0,16.59,17.28,17.72,16.12,14.34,15.31,17.03,16.09,13.31,11.81,11.94,11.0,9.12,8.62,11.25,13.66,14.09,14.72,18.16,21.44,22.22,21.81,23.22,25.41,26.03,24.53,24.25,25.25,24.69,21.03,18.22,17.78,17.22,14.41,11.88,11.94,12.06,10.78,9.0,9.72,12.94,15.88,17.03,19.56,23.97,27.41,28.25,29.53,32.75,35.0,34.47,31.81,30.53,29.47,26.09,20.66,17.28,15.78,13.31,9.59,7.69,8.38,9.06,8.03,7.38,9.97,12.78,13.66,13.44,14.59,16.62,16.5,14.78,14.84,17.25,19.06,19.25,20.59,23.78,26.34,25.28,23.28,23.09,23.66,21.69,18.97,18.09,18.16,16.5,13.34,12.0,13.12,14.25,13.03,12.47,13.97,15.44,14.66,13.09,13.69,14.62,13.09,9.72,8.41,8.81,8.78,7.5,7.56,10.06,12.12,11.84,11.34,13.19,14.72,13.31,10.5,9.5,9.0,7.0,3.31,1.47,2.31,3.25,2.72,4.22,8.34,12.19,12.94,13.19,15.38,18.06,18.34,18.06,19.56,22.47,23.25,21.78,21.31,22.19,21.88,18.66,16.19,16.28,16.69,14.59,12.84,13.0,14.0,12.66,9.62,8.0,7.72,5.84,2.78,0.94,2.34,4.75,5.72,8.56,14.5,21.47,25.56,27.72,30.47,32.53,31.25,27.56,25.03,24.5,23.41,20.22,18.5,19.12,19.09,16.25,13.16,12.06,12.0,10.41,8.03,8.38,10.31,10.81,9.69,9.97,12.12,13.09,11.53,10.44,11.44,12.56,11.44,10.38,11.34,13.81,14.09,13.75,15.25,18.19,19.66,18.97,18.78,20.12,20.66,18.56,16.78,16.5,17.03,14.84,11.91,11.19,12.03,11.62,10.31,10.81,13.12,14.59,13.25,12.41,13.97,15.34,14.06,12.41,12.88,13.56,11.5,8.69,7.69,8.0,6.94,4.53,3.44,5.12,6.34,5.69,5.5,7.31,8.78,7.5,5.66,5.56,6.47,4.72,2.22,1.0,2.5,3.03,2.72,3.53,6.81,9.16,8.62,8.03,9.25,10.41,9.09,7.06,6.97,8.72,9.19,8.69,10.34,13.47,15.03,14.41,13.53,14.91,15.81,13.78,11.41,11.34,11.59,9.12,6.19,5.5,6.53,6.5,6.03,6.94,10.09,12.31,12.28,11.47,12.78,13.88,12.5,10.72,11.66,13.91,14.47,13.97,14.97,17.16,18.16,16.78,15.56,16.56,17.03,14.88,13.25,14.41,16.44,16.09,15.22,16.25,18.03,17.47,15.44,14.69,15.75,16.09,14.47,13.38,14.53,15.0,12.84,10.12,9.75,10.25,8.28,5.53,4.69,5.19,4.81,3.28,3.16,5.75,7.38,6.69,5.53,6.78,7.72,6.16,4.06,5.28,7.5,7.75,6.88,7.09,8.56,8.66,6.59,5.53,7.44,9.0,8.59,8.72,11.84,14.78,14.72,13.59,14.38,16.0,16.66,15.84,16.69,19.31,20.28,18.56,16.94,17.16,16.84,13.91,10.97,11.03,11.69,10.5,8.69,9.72,12.06,13.59,13.53,14.78,18.0,19.94,18.88,17.62,18.44,18.81,16.25,13.56,14.03,16.03,16.38,15.28,15.84,17.25,16.53,13.91,12.53,14.16,15.75,15.34,14.81,16.69,18.75,17.97,15.78,15.56,15.97,14.16,10.94,9.59,10.88,11.88,11.38,12.25,16.31,20.41,21.75,22.56,25.12,26.97,25.41,22.22,20.78,20.53,19.5,17.09,16.62,17.84,18.38,15.91,12.94,12.22,11.09,7.0,3.16,2.44,3.34,3.16,2.59,4.47,7.81,9.81,10.16,11.28,14.62,17.56,17.84,18.0,20.62,23.09,22.44,20.94,21.72,23.56,23.34,21.62,20.69,20.91,19.78,15.69,11.94,11.19,10.69,8.06,6.16,7.78,10.06,9.78,8.34,8.75,9.94,9.34,7.12,6.75,8.19,9.31,7.94,7.41,9.34,11.59,10.94,9.81,10.56,11.56,10.38,7.47,7.28,8.94,10.25,9.78,10.81,13.75,15.91,14.88,13.81,15.34,17.19,16.41,15.09,16.16,17.88,17.28,14.25,13.38,14.16,14.09,12.38,12.22,14.56,16.38,15.44,14.69,16.22,18.41,17.91,15.72,15.56,16.31,15.09,12.44,11.91,13.5,14.66,13.34,12.66,14.41,15.91,14.31,12.66,13.06,13.94,12.5,9.78,9.88,11.38,11.53,10.22,10.09,12.12,13.38,12.16,11.0,12.34,13.41,11.97,9.88,10.06,11.41,10.78,9.38,10.03,12.38,13.66,12.0,10.84,11.69,11.69,9.22,7.41,8.81,11.41,11.88,11.84,13.62,16.81,17.53,16.59,16.38,17.94,17.47,14.22,11.88,12.41,12.88,10.88,9.31,9.94,11.41,10.5,8.69,9.09,11.31,12.06,11.5,12.75,16.28,19.06,18.78,17.91,18.91,19.0,15.78,12.47,12.38,13.59,13.19,11.81,12.16,13.44,13.22,11.34,10.41,12.59,15.19,15.53,16.47,19.91,23.59,24.06,22.75,23.19,24.56,23.62,21.31,20.31,21.34,21.22,18.5,16.94,17.75,18.31,16.78,15.19,16.38,18.75,18.38,17.81,18.94,21.59,22.16,21.34,21.41,23.28,23.94,21.47,19.16,18.69,18.16,14.5,10.94,10.88,12.69,13.06,12.88,15.0,18.5,20.25,19.75,19.81,21.84,22.31,19.53,16.88,16.38,15.91,12.88,9.44,8.19,8.94,7.75,5.62,5.75,7.84,8.41,7.25,7.16,9.78,11.88,11.19,10.16,10.75,11.91,10.41,8.0,8.16,10.31,10.62,9.81,10.44,13.09,14.22,12.5,11.06,11.59,11.5,9.12,6.56,7.19,8.94,8.47,6.97,7.28,8.69,8.78,7.03,6.41,7.94,8.31,6.38,4.88,6.59,8.97,8.97,8.19,9.88,11.84,11.38,9.66,9.72,11.72,11.75,9.78,8.69,10.19,11.47,10.81,10.31,12.88,15.25,14.88,13.44,14.34,16.22,16.44,14.94,14.06,15.44,15.0,12.19,10.38,10.56,10.69,8.22,5.22,4.59,4.62,2.38,-0.59,-1.41,38.97,38.16,38.66,39.94,39.53,38.38,38.06,38.94,39.41,38.34,37.53,38.19,38.78,38.09,37.41,38.88,41.09,42.03,41.94,42.94,44.69,44.78,43.34,42.38,42.28,41.62,39.72,38.09,38.72,39.84,39.88,39.38,40.84,43.34,44.09:22.62,21.56,20.5,21.5,23.22,22.41,20.5,20.72,22.19,21.75,19.16,18.41,19.53,20.0,18.69,18.47,20.25,21.72,21.06,19.66,20.94,23.16,23.28,22.12,23.06,24.97,25.12,23.59,22.44,22.59,22.0,18.28,14.78,14.69,14.88,13.28,11.34,12.03,13.5,13.0,11.69,12.47,15.28,17.59,18.22,20.09,24.16,27.56,27.72,26.75,27.5,27.88,25.09,21.88,21.47,22.59,22.56,21.25,21.31,22.88,23.78,21.34,19.78,20.47,21.41,19.81,18.44,20.03,22.31,22.94,21.72,22.03,22.94,21.31,17.59,15.09,15.03,15.25,13.22,11.81,12.59,13.72,12.5,10.81,12.5,15.38,15.81,15.25,15.72,17.34,17.81,15.94,15.12,17.12,18.44,17.12,15.56,16.22,17.62,16.16,14.28,14.84,16.53,15.97,13.91,14.0,16.03,17.38,16.53,16.16,17.5,18.28,15.88,13.5,14.25,15.56,14.97,13.12,13.31,14.62,14.75,13.03,13.28,15.38,17.09,16.62,16.34,18.59,20.78,19.91,18.47,19.03,20.78,20.31,18.62,18.38,19.75,19.62,17.16,15.88,16.78,17.41,15.38,13.62,14.38,15.56,14.69,13.53,14.69,17.28,18.16,17.75,18.06,20.09,20.84,18.56,17.28,18.22,18.97,17.25,15.53,16.0,17.09,16.12,13.75,13.19,13.78,13.09,10.81,10.53,12.88,14.59,13.69,13.5,15.66,17.88,18.0,17.75,20.12,23.16,23.59,22.28,21.81,22.5,21.28,18.22,16.5,17.47,18.16,15.97,13.78,14.0,14.94,13.38,11.41,11.81,13.94,13.62,12.09,12.0,13.81,14.25,12.22,11.0,11.72,12.41,10.5,9.16,10.38,13.22,13.88,13.75,15.97,19.16,20.56,19.81,19.72,21.31,21.47,18.91,16.5,16.25,15.84,12.25,8.12,6.66,6.41,4.5,2.25,2.53,4.66,5.12,3.88,3.53,5.72,7.41,7.22,6.53,8.59,11.09,10.88,9.97,11.28,13.72,13.78,12.53,12.66,14.66,14.91,12.69,11.16,11.72,11.72,8.59,5.12,4.16,4.22,2.12,0.5,2.16,6.38,8.97,10.06,12.22,15.38,16.34,14.53,12.56,12.72,12.62,10.12,7.25,7.5,8.81,7.75,4.91,3.47,3.91,2.97,1.41,1.81,5.31,8.69,10.0,11.44,15.28,19.09,20.28,19.59,21.12,23.03,22.41,20.12,19.78,21.38,21.69,20.34,19.97,22.22,23.5,22.75,22.06,24.03,26.44,26.47,24.66,24.53,24.91,22.91,19.38,17.41,18.38,18.53,17.03,16.31,18.16,19.69,18.0,15.94,16.28,17.22,16.09,14.25,15.09,17.81,19.69,19.94,21.25,24.66,26.88,25.84,24.62,25.62,26.12,24.12,21.09,20.88,22.0,21.53,19.34,19.12,20.72,21.12,19.69,19.69,22.69,24.59,23.56,22.0,22.75,23.31,21.75,19.38,19.25,20.59,20.06,17.66,16.59,17.62,17.94,16.78,16.66,19.53,21.5,20.41,18.38,18.62,19.41,18.38,16.5,16.69,18.34,18.5,16.72,16.38,18.38,19.62,18.0,16.59,17.28,17.72,16.12,14.34,15.31,17.03,16.09,13.31,11.81,11.94,11.0,9.12,8.62,11.25,13.66,14.09,14.72,18.16,21.44,22.22,21.81,23.22,25.41,26.03,24.53,24.25,25.25,24.69,21.03,18.22,17.78,17.22,14.41,11.88,11.94,12.06,10.78,9.0,9.72,12.94,15.88,17.03,19.56,23.97,27.41,28.25,29.53,32.75,35.0,34.47,31.81,30.53,29.47,26.09,20.66,17.28,15.78,13.31,9.59,7.69,8.38,9.06,8.03,7.38,9.97,12.78,13.66,13.44,14.59,16.62,16.5,14.78,14.84,17.25,19.06,19.25,20.59,23.78,26.34,25.28,23.28,23.09,23.66,21.69,18.97,18.09,18.16,16.5,13.34,12.0,13.12,14.25,13.03,12.47,13.97,15.44,14.66,13.09,13.69,14.62,13.09,9.72,8.41,8.81,8.78,7.5,7.56,10.06,12.12,11.84,11.34,13.19,14.72,13.31,10.5,9.5,9.0,7.0,3.31,1.47,2.31,3.25,2.72,4.22,8.34,12.19,12.94,13.19,15.38,18.06,18.34,18.06,19.56,22.47,23.25,21.78,21.31,22.19,21.88,18.66,16.19,16.28,16.69,14.59,12.84,13.0,14.0,12.66,9.62,8.0,7.72,5.84,2.78,0.94,2.34,4.75,5.72,8.56,14.5,21.47,25.56,27.72,30.47,32.53,31.25,27.56,25.03,24.5,23.41,20.22,18.5,19.12,19.09,16.25,13.16,12.06,12.0,10.41,8.03,8.38,10.31,10.81,9.69,9.97,12.12,13.09,11.53,10.44,11.44,12.56,11.44,10.38,11.34,13.81,14.09,13.75,15.25,18.19,19.66,18.97,18.78,20.12,20.66,18.56,16.78,16.5,17.03,14.84,11.91,11.19,12.03,11.62,10.31,10.81,13.12,14.59,13.25,12.41,13.97,15.34,14.06,12.41,12.88,13.56,11.5,8.69,7.69,8.0,6.94,4.53,3.44,5.12,6.34,5.69,5.5,7.31,8.78,7.5,5.66,5.56,6.47,4.72,2.22,1.0,2.5,3.03,2.72,3.53,6.81,9.16,8.62,8.03,9.25,10.41,9.09,7.06,6.97,8.72,9.19,8.69,10.34,13.47,15.03,14.41,13.53,14.91,15.81,13.78,11.41,11.34,11.59,9.12,6.19,5.5,6.53,6.5,6.03,6.94,10.09,12.31,12.28,11.47,12.78,13.88,12.5,10.72,11.66,13.91,14.47,13.97,14.97,17.16,18.16,16.78,15.56,16.56,17.03,14.88,13.25,14.41,16.44,16.09,15.22,16.25,18.03,17.47,15.44,14.69,15.75,16.09,14.47,13.38,14.53,15.0,12.84,10.12,9.75,10.25,8.28,5.53,4.69,5.19,4.81,3.28,3.16,5.75,7.38,6.69,5.53,6.78,7.72,6.16,4.06,5.28,7.5,7.75,6.88,7.09,8.56,8.66,6.59,5.53,7.44,9.0,8.59,8.72,11.84,14.78,14.72,13.59,14.38,16.0,16.66,15.84,16.69,19.31,20.28,18.56,16.94,17.16,16.84,13.91,10.97,11.03,11.69,10.5,8.69,9.72,12.06,13.59,13.53,14.78,18.0,19.94,18.88,17.62,18.44,18.81,16.25,13.56,14.03,16.03,16.38,15.28,15.84,17.25,16.53,13.91,12.53,14.16,15.75,15.34,14.81,16.69,18.75,17.97,15.78,15.56,15.97,14.16,10.94,9.59,10.88,11.88,11.38,12.25,16.31,20.41,21.75,22.56,25.12,26.97,25.41,22.22,20.78,20.53,19.5,17.09,16.62,17.84,18.38,15.91,12.94,12.22,11.09,7.0,3.16,2.44,3.34,3.16,2.59,4.47,7.81,9.81,10.16,11.28,14.62,17.56,17.84,18.0,20.62,23.09,22.44,20.94,21.72,23.56,23.34,21.62,20.69,20.91,19.78,15.69,11.94,11.19,10.69,8.06,6.16,7.78,10.06,9.78,8.34,8.75,9.94,9.34,7.12,6.75,8.19,9.31,7.94,7.41,9.34,11.59,10.94,9.81,10.56,11.56,10.38,7.47,7.28,8.94,10.25,9.78,10.81,13.75,15.91,14.88,13.81,15.34,17.19,16.41,15.09,16.16,17.88,17.28,14.25,13.38,14.16,14.09,12.38,12.22,14.56,16.38,15.44,14.69,16.22,18.41,17.91,15.72,15.56,16.31,15.09,12.44,11.91,13.5,14.66,13.34,12.66,14.41,15.91,14.31,12.66,13.06,13.94,12.5,9.78,9.88,11.38,11.53,10.22,10.09,12.12,13.38,12.16,11.0,12.34,13.41,11.97,9.88,10.06,11.41,10.78,9.38,10.03,12.38,13.66,12.0,10.84,11.69,11.69,9.22,7.41,8.81,11.41,11.88,11.84,13.62,16.81,17.53,16.59,16.38,17.94,17.47,14.22,11.88,12.41,12.88,10.88,9.31,9.94,11.41,10.5,8.69,9.09,11.31,12.06,11.5,12.75,16.28,19.06,18.78,17.91,18.91,19.0,15.78,12.47,12.38,13.59,13.19,11.81,12.16,13.44,13.22,11.34,10.41,12.59,15.19,15.53,16.47,19.91,23.59,24.06,22.75,23.19,24.56,23.62,21.31,20.31,21.34,21.22,18.5,16.94,17.75,18.31,16.78,15.19,16.38,18.75,18.38,17.81,18.94,21.59,22.16,21.34,21.41,23.28,23.94,21.47,19.16,18.69,18.16,14.5,10.94,10.88,12.69,13.06,12.88,15.0,18.5,20.25,19.75,19.81,21.84,22.31,19.53,16.88,16.38,15.91,12.88,9.44,8.19,8.94,7.75,5.62,5.75,7.84,8.41,7.25,7.16,9.78,11.88,11.19,10.16,10.75,11.91,10.41,8.0,8.16,10.31,10.62,9.81,10.44,13.09,14.22,12.5,11.06,11.59,11.5,9.12,6.56,7.19,8.94,8.47,6.97,7.28,8.69,8.78,7.03,6.41,7.94,8.31,6.38,4.88,6.59,8.97,8.97,8.19,9.88,11.84,11.38,9.66,9.72,11.72,11.75,9.78,8.69,10.19,11.47,10.81,10.31,12.88,15.25,14.88,13.44,14.34,16.22,16.44,14.94,14.06,15.44,15.0,12.19,10.38,10.56,10.69,8.22,5.22,4.59,4.62,2.38,-0.59,-1.41,38.97,38.16,38.66,39.94,39.53,38.38,38.06,38.94,39.41,38.34,37.53,38.19,38.78,38.09,37.41,38.88,41.09,42.03,41.94,42.94,44.69,44.78,43.34,42.38,42.28,41.62,39.72,38.09,38.72,39.84,39.88,39.38,40.84,43.34,44.09,43.75,44.34,45.12,44.47,42.25,40.47,40.5:positivity
-2.81,-2.72,-2.25,-0.56,1.62,2.44,2.53,2.53,2.78,2.34,1.31,0.91,1.09,1.47,0.22,-1.03,-1.97,-2.81,-5.22,-7.81,-9.75,-11.41,-13.53,-15.62,-17.03,-17.28,-17.66,-18.12,-18.16,-17.44,-16.66,-16.69,-16.53,-14.97,-12.84,-12.03,-11.44,-10.97,-10.09,-10.56,-11.12,-10.97,-9.84,-8.09,-6.88,-4.47,-1.53,0.78,0.53,-0.75,-2.12,-3.81,-6.31,-8.84,-10.0,-10.38,-10.78,-11.16,-10.62,-8.78,-7.22,-5.84,-4.56,-2.94,-1.84,-2.5,-4.09,-5.38,-6.19,-7.09,-8.19,-8.25,-7.16,-7.0,-7.31,-7.72,-7.16,-6.31,-6.25,-6.25,-4.84,-3.44,-3.59,-4.12,-4.38,-4.28,-5.5,-6.59,-6.94,-6.0,-5.66,-5.78,-6.06,-5.38,-5.25,-6.0,-6.88,-6.25,-5.5,-5.69,-5.94,-5.81,-5.88,-6.81,-8.16,-8.53,-7.94,-7.31,-7.41,-7.25,-7.06,-7.03,-7.84,-8.75,-8.22,-6.81,-5.69,-5.06,-3.75,-1.62,-0.47,0.22,1.0,2.31,2.5,1.06,-1.34,-3.66,-6.47,-10.62,-14.69,-17.94,-20.16,-22.62,-24.09,-23.56,-21.38,-19.22,-17.22,-15.62,-13.38,-12.16,-11.88,-12.12,-11.47,-11.31,-12.16,-13.44,-14.09,-14.03,-15.09,-16.97,-18.62,-19.62,-21.03,-22.25,-22.22,-20.34,-18.47,-17.44,-16.62,-15.16,-13.72,-12.97,-12.28,-10.16,-7.12,-4.88,-3.19,-1.94,-0.72,-1.03,-3.03,-5.44,-6.47,-7.97,-9.94,-11.56,-12.56,-13.41,-14.25,-15.16,-14.53,-13.06,-11.81,-10.81,-9.59,-7.75,-6.47,-6.41,-6.41,-6.31,-6.5,-7.53,-8.47,-8.5,-8.5,-8.94,-9.66,-10.34,-10.62,-11.41,-12.62,-12.66,-11.06,-9.0,-7.28,-5.5,-3.5,-2.56,-3.38,-5.0,-6.22,-7.47,-9.0,-10.53,-11.06,-10.56,-9.88,-9.56,-8.72,-6.97,-6.06,-6.56,-7.22,-6.47,-5.75,-5.28,-4.38,-2.38,-0.59,-0.03,-0.88,-2.25,-3.78,-6.22,-9.34,-11.66,-12.09,-12.19,-12.59,-12.84,-12.59,-12.72,-13.78,-15.0,-14.84,-14.34,-14.47,-15.19,-16.06,-17.06,-19.0,-20.97,-22.28,-21.69,-19.97,-18.47,-16.38,-13.28,-10.75,-9.09,-8.28,-7.75,-7.66,-8.53,-10.38,-11.84,-12.53,-13.06,-13.88,-14.22,-13.09,-12.19,-11.75,-12.0,-11.81,-12.34,-13.88,-16.06,-17.25,-17.75,-18.12,-18.88,-18.75,-18.38,-18.22,-19.0,-20.56,-21.38,-22.41,-23.72,-25.12,-24.88,-23.91,-23.06,-22.47,-21.28,-19.81,-18.16,-17.56,-16.31,-14.0,-12.62,-12.47,-12.72,-12.47,-12.94,-13.66,-14.53,-14.84,-14.25,-14.22,-14.56,-14.28,-13.31,-12.41,-12.25,-11.34,-9.97,-8.5,-7.94,-7.31,-5.97,-4.78,-4.31,-4.78,-5.56,-6.59,-8.47,-11.19,-12.84,-13.34,-12.84,-12.84,-12.69,-12.0,-11.47,-12.0,-13.06,-13.28,-13.47,-13.94,-14.53,-14.25,-13.59,-13.69,-14.25,-14.84,-15.03,-15.31,-16.56,-17.41,-17.34,-17.31,-17.97,-18.53,-18.19,-17.38,-16.69,-16.53,-15.59,-14.03,-12.75,-12.75,-12.47,-11.88,-12.12,-13.25,-14.22,-14.19,-13.59,-13.47,-13.56,-13.34,-13.06,-13.44,-14.44,-14.56,-13.5,-12.09,-11.09,-9.72,-7.97,-6.91,-6.81,-7.0,-6.94,-6.75,-7.38,-8.28,-8.78,-9.25,-9.69,-10.59,-10.31,-9.47,-8.41,-7.72,-6.94,-5.31,-3.31,-2.0,-0.94,-0.03,0.28,-0.91,-2.91,-4.72,-6.0,-7.09,-9.25,-10.84,-12.97,-15.0,-18.16,-20.72,-21.41,-20.75,-20.47,-20.22,-19.56,-18.72,-18.75,-18.84,-18.06,-17.03,-15.97,-15.47,-14.66,-12.97,-11.09,-10.28,-9.97,-9.47,-9.53,-10.78,-12.5,-13.56,-13.69,-13.38,-13.0,-11.91,-10.59,-10.25,-11.5,-13.34,-14.59,-15.66,-16.75,-17.59,-17.81,-17.56,-18.28,-19.25,-19.66,-19.16,-18.41,-17.59,-16.03,-13.56,-11.03,-9.59,-8.53,-7.72,-8.06,-10.09,-12.53,-14.66,-16.31,-17.72,-18.78,-19.12,-18.53,-18.06,-17.97,-17.5,-15.84,-13.88,-12.59,-11.03,-9.09,-6.97,-5.66,-4.69,-3.59,-2.66,-1.75,-1.75,-1.5,-0.62,-0.34,-1.03,-2.16,-2.69,-3.16,-4.19,-4.78,-4.84,-4.38,-5.03,-6.38,-7.72,-8.38,-9.53,-11.22,-12.56,-13.28,-14.47,-16.25,-16.69,-15.06,-12.12,-9.38,-6.0,-2.59,-0.19,1.16,1.34,1.25,0.72,-0.62,-3.12,-5.78,-8.25,-10.72,-13.59,-15.91,-16.62,-16.22,-15.94,-15.41,-15.0,-14.25,-14.53,-15.75,-16.06,-15.56,-14.88,-14.75,-14.06,-12.84,-11.84,-11.34,-11.12,-10.28,-8.91,-7.91,-7.0,-5.59,-3.19,-1.5,-0.41,0.66,1.59,1.72,0.84,-0.66,-1.31,-1.97,-3.16,-4.41,-4.91,-4.88,-5.19,-5.66,-5.94,-5.41,-5.5,-5.97,-6.78,-6.84,-6.84,-7.59,-8.06,-7.22,-6.22,-5.16,-4.5,-3.47,-2.78,-3.19,-3.91,-4.44,-4.28,-3.94,-3.72,-3.59,-3.06,-3.22,-4.62,-6.31,-7.34,-8.31,-9.25,-10.31,-10.47,-9.97,-9.41,-8.69,-7.94,-6.69,-5.53,-5.06,-5.19,-4.78,-4.91,-6.09,-7.31,-7.22,-6.19,-5.75,-5.84,-6.25,-6.62,-7.97,-9.69,-11.16,-11.12,-11.06,-11.28,-11.38,-10.12,-8.97,-8.09,-7.62,-6.47,-5.12,-4.41,-4.22,-3.88,-2.72,-2.56,-2.66,-2.97,-2.28,-2.19,-2.03,-2.34,-2.0,-2.31,-3.72,-5.88,-6.81,-7.38,-8.5,-9.16,-9.56,-9.41,-9.25,-9.25,-9.12,-8.22,-7.38,-7.69,-8.56,-8.47,-7.75,-7.66,-7.03,-5.78,-3.78,-2.44,-2.25,-2.19,-2.16,-3.12,-4.78,-6.53,-7.25,-7.62,-8.25,-8.94,-8.69,-8.44,-9.09,-9.97,-10.41,-9.91,-9.59,-9.81,-9.84,-9.5,-9.84,-11.34,-13.0,-13.38,-13.41,-13.38,-13.19,-11.75,-10.25,-9.78,-9.75,-9.34,-8.47,-7.25,-6.59,-5.75,-4.03,-2.66,-2.56,-2.88,-2.59,-2.38,-3.06,-4.03,-3.72,-2.5,-1.06,0.06,1.81,4.25,5.91,6.28,6.31,6.75,6.53,5.0,2.72,1.91,1.25,0.25,-1.03,-1.28,-1.62,-2.62,-4.56,-6.12,-7.16,-7.91,-8.78,-9.19,-7.97,-6.16,-4.69,-3.38,-1.62,0.12,0.91,1.06,1.31,2.41,3.5,4.09,5.03,6.44,8.09,8.81,9.28,10.06,10.56,9.94,7.75,5.59,3.19,0.38,-3.31,-6.38,-8.16,-9.69,-11.75,-12.44,-11.44,-9.66,-7.75,-5.38,-2.62,-0.09,1.19,1.59,2.62,3.97,5.03,5.22,5.81,6.25,5.81,4.06,1.78,-0.06,-2.25,-4.94,-7.47,-8.41,-8.38,-8.16,-8.28,-8.62,-8.94,-9.88,-12.03,-12.88,-12.47,-10.97,-9.5,-7.94,-5.28,-2.53,-1.22,-0.69,0.22,0.62,0.16,-0.94,-1.81,-1.59,-1.16,-1.47,-1.09,-0.41,0.06,-0.66,-1.91,-2.88,-3.66,-5.34,-7.06,-7.19,-6.66,-6.22,-6.59,-7.03,-6.91,-7.81,-9.53,-10.22,-9.75,-8.09,-7.12,-6.19,-4.72,-3.09,-3.09,-3.94,-3.66,-3.12,-2.88,-3.38,-3.44,-3.06,-2.44,-3.5,-4.69,-5.53,-6.0,-7.78,-9.31,-9.28,-8.31,-7.53,-7.28,-6.06,-4.19,-3.28,-3.72,-4.28,-4.25,-4.56,-5.88,-6.5,-5.69,-4.41,-4.03,-3.72,-2.09,0.12,2.38,4.53,7.59,11.03,13.78,15.09,15.84,16.09,15.28,12.66,9.91,7.84,7.16,6.09,5.75,6.19,6.94,7.16,7.06,7.16,7.84,7.62,6.53,5.56,5.0,4.84,3.84,3.38,3.56,4.31,3.84,3.25,3.28,4.12,5.12,5.56,6.62,8.59,10.25,10.03,9.81,10.25,10.28,8.94,7.88,8.0,8.5,8.12,7.56,7.66,8.12,8.22,7.78,8.44,9.75,11.25,11.44,11.72,12.5,13.59,12.97,12.62,13.12,13.66,13.44,13.0,12.72,13.47,14.31,14.53,16.0,18.59,20.66,20.84,19.5,17.56,15.25,10.59,6.0,1.84,-1.47,-5.88,-9.72,-11.66,-11.66,-9.59,-6.97,-2.41,3.81,10.31,15.56,20.06,23.62,25.28,23.53,19.75,15.28,10.69,5.69,0.19,-4.25,-6.91,-8.53,-9.69,-9.53,-7.38,-4.62,-3.41,-2.78,-2.19,-1.75,-2.41,-2.81,-2.19,-0.28,1.19,1.91,2.25,3.59,4.5,4.09,4.06,4.75,5.44,4.22,2.25,0.22,-2.25,-6.22,-10.81,-14.69,-17.25,-19.75,-21.88,-22.66,-20.97,-17.47,-14.22,-9.84,-3.97,1.38,4.84,6.69,8.41,9.53,9.75,9.47,10.34,12.34,14.09,15.41,16.41,17.28,17.16,15.41,12.78,10.91,9.66,8.34,7.16,6.94,7.56,7.25,6.31,5.31,5.03,3.72,1.81,-0.53,-1.66,-2.56,-4.31,-5.91,-6.25,-5.56,-6.12,-6.38,-5.34,-3.88,-2.72,-1.44,0.06,2.94,5.09,6.09,6.88,7.66,8.34,7.59,7.0,7.19,8.0,8.16,7.53,7.56,7.75,7.22,5.88,4.94,4.97,5.09,4.59,3.91,4.78,5.81,5.47,5.09,5.31,5.69,5.41,4.62,4.78,5.75,6.56,7.03,7.25,8.72,9.81,10.19,9.97,10.53,11.22,10.78,10.03,10.0,10.72,10.5,10.0,9.5,10.16,10.53,10.34,10.44,11.88,12.5,12.0,10.72,9.81,8.91,7.56,6.91,7.78,10.25,12.47,14.19,15.34,16.5,16.53,15.31,14.16,14.06,14.19,13.81,12.88,12.78,12.84,12.31,11.94,12.19,13.34,14.12,14.09,13.28,12.91,12.31,10.75,9.41,10.0,11.06,11.31,10.69,10.06,9.44,8.41,7.31,7.03,8.84,10.75,12.12,13.84,16.31,18.16,18.59,18.19,18.5:2.53,2.78,2.34,1.31,0.91,1.09,1.47,0.22,-1.03,-1.97,-2.81,-5.22,-7.81,-9.75,-11.41,-13.53,-15.62,-17.03,-17.28,-17.66,-18.12,-18.16,-17.44,-16.66,-16.69,-16.53,-14.97,-12.84,-12.03,-11.44,-10.97,-10.09,-10.56,-11.12,-10.97,-9.84,-8.09,-6.88,-4.47,-1.53,0.78,0.53,-0.75,-2.12,-3.81,-6.31,-8.84,-10.0,-10.38,-10.78,-11.16,-10.62,-8.78,-7.22,-5.84,-4.56,-2.94,-1.84,-2.5,-4.09,-5.38,-6.19,-7.09,-8.19,-8.25,-7.16,-7.0,-7.31,-7.72,-7.16,-6.31,-6.25,-6.25,-4.84,-3.44,-3.59,-4.12,-4.38,-4.28,-5.5,-6.59,-6.94,-6.0,-5.66,-5.78,-6.06,-5.38,-5.25,-6.0,-6.88,-6.25,-5.5,-5.69,-5.94,-5.81,-5.88,-6.81,-8.16,-8.53,-7.94,-7.31,-7.41,-7.25,-7.06,-7.03,-7.84,-8.75,-8.22,-6.81,-5.69,-5.06,-3.75,-1.62,-0.47,0.22,1.0,2.31,2.5,1.06,-1.34,-3.66,-6.47,-10.62,-14.69,-17.94,-20.16,-22.62,-24.09,-23.56,-21.38,-19.22,-17.22,-15.62,-13.38,-12.16,-11.88,-12.12,-11.47,-11.31,-12.16,-13.44,-14.09,-14.03,-15.09,-16.97,-18.62,-19.62,-21.03,-22.25,-22.22,-20.34,-18.47,-17.44,-16.62,-15.16,-13.72,-12.97,-12.28,-10.16,-7.12,-4.88,-3.19,-1.94,-0.72,-1.03,-3.03,-5.44,-6.47,-7.97,-9.94,-11.56,-12.56,-13.41,-14.25,-15.16,-14.53,-13.06,-11.81,-10.81,-9.59,-7.75,-6.47,-6.41,-6.41,-6.31,-6.5,-7.53,-8.47,-8.5,-8.5,-8.94,-9.66,-10.34,-10.62,-11.41,-12.62,-12.66,-11.06,-9.0,-7.28,-5.5,-3.5,-2.56,-3.38,-5.0,-6.22,-7.47,-9.0,-10.53,-11.06,-10.56,-9.88,-9.56,-8.72,-6.97,-6.06,-6.56,-7.22,-6.47,-5.75,-5.28,-4.38,-2.38,-0.59,-0.03,-0.88,-2.25,-3.78,-6.22,-9.34,-11.66,-12.09,-12.19,-12.59,-12.84,-12.59,-12.72,-13.78,-15.0,-14.84,-14.34,-14.47,-15.19,-16.06,-17.06,-19.0,-20.97,-22.28,-21.69,-19.97,-18.47,-16.38,-13.28,-10.75,-9.09,-8.28,-7.75,-7.66,-8.53,-10.38,-11.84,-12.53,-13.06,-13.88,-14.22,-13.09,-12.19,-11.75,-12.0,-11.81,-12.34,-13.88,-16.06,-17.25,-17.75,-18.12,-18.88,-18.75,-18.38,-18.22,-19.0,-20.56,-21.38,-22.41,-23.72,-25.12,-24.88,-23.91,-23.06,-22.47,-21.28,-19.81,-18.16,-17.56,-16.31,-14.0,-12.62,-12.47,-12.72,-12.47,-12.94,-13.66,-14.53,-14.84,-14.25,-14.22,-14.56,-14.28,-13.31,-12.41,-12.25,-11.34,-9.97,-8.5,-7.94,-7.31,-5.97,-4.78,-4.31,-4.78,-5.56,-6.59,-8.47,-11.19,-12.84,-13.34,-12.84,-12.84,-12.69,-12.0,-11.47,-12.0,-13.06,-13.28,-13.47,-13.94,-14.53,-14.25,-13.59,-13.69,-14.25,-14.84,-15.03,-15.31,-16.56,-17.41,-17.34,-17.31,-17.97,-18.53,-18.19,-17.38,-16.69,-16.53,-15.59,-14.03,-12.75,-12.75,-12.47,-11.88,-12.12,-13.25,-14.22,-14.19,-13.59,-13.47,-13.56,-13.34,-13.06,-13.44,-14.44,-14.56,-13.5,-12.09,-11.09,-9.72,-7.97,-6.91,-6.81,-7.0,-6.94,-6.75,-7.38,-8.28,-8.78,-9.25,-9.69,-10.59,-10.31,-9.47,-8.41,-7.72,-6.94,-5.31,-3.31,-2.0,-0.94,-0.03,0.28,-0.91,-2.91,-4.72,-6.0,-7.09,-9.25,-10.84,-12.97,-15.0,-18.16,-20.72,-21.41,-20.75,-20.47,-20.22,-19.56,-18.72,-18.75,-18.84,-18.06,-17.03,-15.97,-15.47,-14.66,-12.97,-11.09,-10.28,-9.97,-9.47,-9.53,-10.78,-12.5,-13.56,-13.69,-13.38,-13.0,-11.91,-10.59,-10.25,-11.5,-13.34,-14.59,-15.66,-16.75,-17.59,-17.81,-17.56,-18.28,-19.25,-19.66,-19.16,-18.41,-17.59,-16.03,-13.56,-11.03,-9.59,-8.53,-7.72,-8.06,-10.09,-12.53,-14.66,-16.31,-17.72,-18.78,-19.12,-18.53,-18.06,-17.97,-17.5,-15.84,-13.88,-12.59,-11.03,-9.09,-6.97,-5.66,-4.69,-3.59,-2.66,-1.75,-1.75,-1.5,-0.62,-0.34,-1.03,-2.16,-2.69,-3.16,-4.19,-4.78,-4.84,-4.38,-5.03,-6.38,-7.72,-8.38,-9.53,-11.22,-12.56,-13.28,-14.47,-16.25,-16.69,-15.06,-12.12,-9.38,-6.0,-2.59,-0.19,1.16,1.34,1.25,0.72,-0.62,-3.12,-5.78,-8.25,-10.72,-13.59,-15.91,-16.62,-16.22,-15.94,-15.41,-15.0,-14.25,-14.53,-15.75,-16.06,-15.56,-14.88,-14.75,-14.06,-12.84,-11.84,-11.34,-11.12,-10.28,-8.91,-7.91,-7.0,-5.59,-3.19,-1.5,-0.41,0.66,1.59,1.72,0.84,-0.66,-1.31,-1.97,-3.16,-4.41,-4.91,-4.88,-5.19,-5.66,-5.94,-5.41,-5.5,-5.97,-6.78,-6.84,-6.84,-7.59,-8.06,-7.22,-6.22,-5.16,-4.5,-3.47,-2.78,-3.19,-3.91,-4.44,-4.28,-3.94,-3.72,-3.59,-3.06,-3.22,-4.62,-6.31,-7.34,-8.31,-9.25,-10.31,-10.47,-9.97,-9.41,-8.69,-7.94,-6.69,-5.53,-5.06,-5.19,-4.78,-4.91,-6.09,-7.31,-7.22,-6.19,-5.75,-5.84,-6.25,-6.62,-7.97,-9.69,-11.16,-11.12,-11.06,-11.28,-11.38,-10.12,-8.97,-8.09,-7.62,-6.47,-5.12,-4.41,-4.22,-3.88,-2.72,-2.56,-2.66,-2.97,-2.28,-2.19,-2.03,-2.34,-2.0,-2.31,-3.72,-5.88,-6.81,-7.38,-8.5,-9.16,-9.56,-9.41,-9.25,-9.25,-9.12,-8.22,-7.38,-7.69,-8.56,-8.47,-7.75,-7.66,-7.03,-5.78,-3.78,-2.44,-2.25,-2.19,-2.16,-3.12,-4.78,-6.53,-7.25,-7.62,-8.25,-8.94,-8.69,-8.44,-9.09,-9.97,-10.41,-9.91,-9.59,-9.81,-9.84,-9.5,-9.84,-11.34,-13.0,-13.38,-13.41,-13.38,-13.19,-11.75,-10.25,-9.78,-9.75,-9.34,-8.47,-7.25,-6.59,-5.75,-4.03,-2.66,-2.56,-2.88,-2.59,-2.38,-3.06,-4.03,-3.72,-2.5,-1.06,0.06,1.81,4.25,5.91,6.28,6.31,6.75,6.53,5.0,2.72,1.91,1.25,0.25,-1.03,-1.28,-1.62,-2.62,-4.56,-6.12,-7.16,-7.91,-8.78,-9.19,-7.97,-6.16,-4.69,-3.38,-1.62,0.12,0.91,1.06,1.31,2.41,3.5,4.09,5.03,6.44,8.09,8.81,9.28,10.06,10.56,9.94,7.75,5.59,3.19,0.38,-3.31,-6.38,-8.16,-9.69,-11.75,-12.44,-11.44,-9.66,-7.75,-5.38,-2.62,-0.09,1.19,1.59,2.62,3.97,5.03,5.22,5.81,6.25,5.81,4.06,1.78,-0.06,-2.25,-4.94,-7.47,-8.41,-8.38,-8.16,-8.28,-8.62,-8.94,-9.88,-12.03,-12.88,-12.47,-10.97,-9.5,-7.94,-5.28,-2.53,-1.22,-0.69,0.22,0.62,0.16,-0.94,-1.81,-1.59,-1.16,-1.47,-1.09,-0.41,0.06,-0.66,-1.91,-2.88,-3.66,-5.34,-7.06,-7.19,-6.66,-6.22,-6.59,-7.03,-6.91,-7.81,-9.53,-10.22,-9.75,-8.09,-7.12,-6.19,-4.72,-3.09,-3.09,-3.94,-3.66,-3.12,-2.88,-3.38,-3.44,-3.06,-2.44,-3.5,-4.69,-5.53,-6.0,-7.78,-9.31,-9.28,-8.31,-7.53,-7.28,-6.06,-4.19,-3.28,-3.72,-4.28,-4.25,-4.56,-5.88,-6.5,-5.69,-4.41,-4.03,-3.72,-2.09,0.12,2.38,4.53,7.59,11.03,13.78,15.09,15.84,16.09,15.28,12.66,9.91,7.84,7.16,6.09,5.75,6.19,6.94,7.16,7.06,7.16,7.84,7.62,6.53,5.56,5.0,4.84,3.84,3.38,3.56,4.31,3.84,3.25,3.28,4.12,5.12,5.56,6.62,8.59,10.25,10.03,9.81,10.25,10.28,8.94,7.88,8.0,8.5,8.12,7.56,7.66,8.12,8.22,7.78,8.44,9.75,11.25,11.44,11.72,12.5,13.59,12.97,12.62,13.12,13.66,13.44,13.0,12.72,13.47,14.31,14.53,16.0,18.59,20.66,20.84,19.5,17.56,15.25,10.59,6.0,1.84,-1.47,-5.88,-9.72,-11.66,-11.66,-9.59,-6.97,-2.41,3.81,10.31,15.56,20.06,23.62,25.28,23.53,19.75,15.28,10.69,5.69,0.19,-4.25,-6.91,-8.53,-9.69,-9.53,-7.38,-4.62,-3.41,-2.78,-2.19,-1.75,-2.41,-2.81,-2.19,-0.28,1.19,1.91,2.25,3.59,4.5,4.09,4.06,4.75,5.44,4.22,2.25,0.22,-2.25,-6.22,-10.81,-14.69,-17.25,-19.75,-21.88,-22.66,-20.97,-17.47,-14.22,-9.84,-3.97,1.38,4.84,6.69,8.41,9.53,9.75,9.47,10.34,12.34,14.09,15.41,16.41,17.28,17.16,15.41,12.78,10.91,9.66,8.34,7.16,6.94,7.56,7.25,6.31,5.31,5.03,3.72,1.81,-0.53,-1.66,-2.56,-4.31,-5.91,-6.25,-5.56,-6.12,-6.38,-5.34,-3.88,-2.72,-1.44,0.06,2.94,5.09,6.09,6.88,7.66,8.34,7.59,7.0,7.19,8.0,8.16,7.53,7.56,7.75,7.22,5.88,4.94,4.97,5.09,4.59,3.91,4.78,5.81,5.47,5.09,5.31,5.69,5.41,4.62,4.78,5.75,6.56,7.03,7.25,8.72,9.81,10.19,9.97,10.53,11.22,10.78,10.03,10.0,10.72,10.5,10.0,9.5,10.16,10.53,10.34,10.44,11.88,12.5,12.0,10.72,9.81,8.91,7.56,6.91,7.78,10.25,12.47,14.19,15.34,16.5,16.53,15.31,14.16,14.06,14.19,13.81,12.88,12.78,12.84,12.31,11.94,12.19,13.34,14.12,14.09,13.28,12.91,12.31,10.75,9.41,10.0,11.06,11.31,10.69,10.06,9.44,8.41,7.31,7.03,8.84,10.75,12.12,13.84,16.31,18.16,18.59,18.19,18.5,33.25,32.47,31.75,31.09,31.19,31.0,30.03:0.22,-1.03,-1.97,-2.81,-5.22,-7.81,-9.75,-11.41,-13.53,-15.62,-17.03,-17.28,-17.66,-18.12,-18.16,-17.44,-16.66,-16.69,-16.53,-14.97,-12.84,-12.03,-11.44,-10.97,-10.09,-10.56,-11.12,-10.97,-9.84,-8.09,-6.88,-4.47,-1.53,0.78,0.53,-0.75,-2.12,-3.81,-6.31,-8.84,-10.0,-10.38,-10.78,-11.16,-10.62,-8.78,-7.22,-5.84,-4.56,-2.94,-1.84,-2.5,-4.09,-5.38,-6.19,-7.09,-8.19,-8.25,-7.16,-7.0,-7.31,-7.72,-7.16,-6.31,-6.25,-6.25,-4.84,-3.44,-3.59,-4.12,-4.38,-4.28,-5.5,-6.59,-6.94,-6.0,-5.66,-5.78,-6.06,-5.38,-5.25,-6.0,-6.88,-6.25,-5.5,-5.69,-5.94,-5.81,-5.88,-6.81,-8.16,-8.53,-7.94,-7.31,-7.41,-7.25,-7.06,-7.03,-7.84,-8.75,-8.22,-6.81,-5.69,-5.06,-3.75,-1.62,-0.47,0.22,1.0,2.31,2.5,1.06,-1.34,-3.66,-6.47,-10.62,-14.69,-17.94,-20.16,-22.62,-24.09,-23.56,-21.38,-19.22,-17.22,-15.62,-13.38,-12.16,-11.88,-12.12,-11.47,-11.31,-12.16,-13.44,-14.09,-14.03,-15.09,-16.97,-18.62,-19.62,-21.03,-22.25,-22.22,-20.34,-18.47,-17.44,-16.62,-15.16,-13.72,-12.97,-12.28,-10.16,-7.12,-4.88,-3.19,-1.94,-0.72,-1.03,-3.03,-5.44,-6.47,-7.97,-9.94,-11.56,-12.56,-13.41,-14.25,-15.16,-14.53,-13.06,-11.81,-10.81,-9.59,-7.75,-6.47,-6.41,-6.41,-6.31,-6.5,-7.53,-8.47,-8.5,-8.5,-8.94,-9.66,-10.34,-10.62,-11.41,-12.62,-12.66,-11.06,-9.0,-7.28,-5.5,-3.5,-2.56,-3.38,-5.0,-6.22,-7.47,-9.0,-10.53,-11.06,-10.56,-9.88,-9.56,-8.72,-6.97,-6.06,-6.56,-7.22,-6.47,-5.75,-5.28,-4.38,-2.38,-0.59,-0.03,-0.88,-2.25,-3.78,-6.22,-9.34,-11.66,-12.09,-12.19,-12.59,-12.84,-12.59,-12.72,-13.78,-15.0,-14.84,-14.34,-14.47,-15.19,-16.06,-17.06,-19.0,-20.97,-22.28,-21.69,-19.97,-18.47,-16.38,-13.28,-10.75,-9.09,-8.28,-7.75,-7.66,-8.53,-10.38,-11.84,-12.53,-13.06,-13.88,-14.22,-13.09,-12.19,-11.75,-12.0,-11.81,-12.34,-13.88,-16.06,-17.25,-17.75,-18.12,-18.88,-18.75,-18.38,-18.22,-19.0,-20.56,-21.38,-22.41,-23.72,-25.12,-24.88,-23.91,-23.06,-22.47,-21.28,-19.81,-18.16,-17.56,-16.31,-14.0,-12.62,-12.47,-12.72,-12.47,-12.94,-13.66,-14.53,-14.84,-14.25,-14.22,-14.56,-14.28,-13.31,-12.41,-12.25,-11.34,-9.97,-8.5,-7.94,-7.31,-5.97,-4.78,-4.31,-4.78,-5.56,-6.59,-8.47,-11.19,-12.84,-13.34,-12.84,-12.84,-12.69,-12.0,-11.47,-12.0,-13.06,-13.28,-13.47,-13.94,-14.53,-14.25,-13.59,-13.69,-14.25,-14.84,-15.03,-15.31,-16.56,-17.41,-17.34,-17.31,-17.97,-18.53,-18.19,-17.38,-16.69,-16.53,-15.59,-14.03,-12.75,-12.75,-12.47,-11.88,-12.12,-13.25,-14.22,-14.19,-13.59,-13.47,-13.56,-13.34,-13.06,-13.44,-14.44,-14.56,-13.5,-12.09,-11.09,-9.72,-7.97,-6.91,-6.81,-7.0,-6.94,-6.75,-7.38,-8.28,-8.78,-9.25,-9.69,-10.59,-10.31,-9.47,-8.41,-7.72,-6.94,-5.31,-3.31,-2.0,-0.94,-0.03,0.28,-0.91,-2.91,-4.72,-6.0,-7.09,-9.25,-10.84,-12.97,-15.0,-18.16,-20.72,-21.41,-20.75,-20.47,-20.22,-19.56,-18.72,-18.75,-18.84,-18.06,-17.03,-15.97,-15.47,-14.66,-12.97,-11.09,-10.28,-9.97,-9.47,-9.53,-10.78,-12.5,-13.56,-13.69,-13.38,-13.0,-11.91,-10.59,-10.25,-11.5,-13.34,-14.59,-15.66,-16.75,-17.59,-17.81,-17.56,-18.28,-19.25,-19.66,-19.16,-18.41,-17.59,-16.03,-13.56,-11.03,-9.59,-8.53,-7.72,-8.06,-10.09,-12.53,-14.66,-16.31,-17.72,-18.78,-19.12,-18.53,-18.06,-17.97,-17.5,-15.84,-13.88,-12.59,-11.03,-9.09,-6.97,-5.66,-4.69,-3.59,-2.66,-1.75,-1.75,-1.5,-0.62,-0.34,-1.03,-2.16,-2.69,-3.16,-4.19,-4.78,-4.84,-4.38,-5.03,-6.38,-7.72,-8.38,-9.53,-11.22,-12.56,-13.28,-14.47,-16.25,-16.69,-15.06,-12.12,-9.38,-6.0,-2.59,-0.19,1.16,1.34,1.25,0.72,-0.62,-3.12,-5.78,-8.25,-10.72,-13.59,-15.91,-16.62,-16.22,-15.94,-15.41,-15.0,-14.25,-14.53,-15.75,-16.06,-15.56,-14.88,-14.75,-14.06,-12.84,-11.84,-11.34,-11.12,-10.28,-8.91,-7.91,-7.0,-5.59,-3.19,-1.5,-0.41,0.66,1.59,1.72,0.84,-0.66,-1.31,-1.97,-3.16,-4.41,-4.91,-4.88,-5.19,-5.66,-5.94,-5.41,-5.5,-5.97,-6.78,-6.84,-6.84,-7.59,-8.06,-7.22,-6.22,-5.16,-4.5,-3.47,-2.78,-3.19,-3.91,-4.44,-4.28,-3.94,-3.72,-3.59,-3.06,-3.22,-4.62,-6.31,-7.34,-8.31,-9.25,-10.31,-10.47,-9.97,-9.41,-8.69,-7.94,-6.69,-5.53,-5.06,-5.19,-4.78,-4.91,-6.09,-7.31,-7.22,-6.19,-5.75,-5.84,-6.25,-6.62,-7.97,-9.69,-11.16,-11.12,-11.06,-11.28,-11.38,-10.12,-8.97,-8.09,-7.62,-6.47,-5.12,-4.41,-4.22,-3.88,-2.72,-2.56,-2.66,-2.97,-2.28,-2.19,-2.03,-2.34,-2.0,-2.31,-3.72,-5.88,-6.81,-7.38,-8.5,-9.16,-9.56,-9.41,-9.25,-9.25,-9.12,-8.22,-7.38,-7.69,-8.56,-8.47,-7.75,-7.66,-7.03,-5.78,-3.78,-2.44,-2.25,-2.19,-2.16,-3.12,-4.78,-6.53,-7.25,-7.62,-8.25,-8.94,-8.69,-8.44,-9.09,-9.97,-10.41,-9.91,-9.59,-9.81,-9.84,-9.5,-9.84,-11.34,-13.0,-13.38,-13.41,-13.38,-13.19,-11.75,-10.25,-9.78,-9.75,-9.34,-8.47,-7.25,-6.59,-5.75,-4.03,-2.66,-2.56,-2.88,-2.59,-2.38,-3.06,-4.03,-3.72,-2.5,-1.06,0.06,1.81,4.25,5.91,6.28,6.31,6.75,6.53,5.0,2.72,1.91,1.25,0.25,-1.03,-1.28,-1.62,-2.62,-4.56,-6.12,-7.16,-7.91,-8.78,-9.19,-7.97,-6.16,-4.69,-3.38,-1.62,0.12,0.91,1.06,1.31,2.41,3.5,4.09,5.03,6.44,8.09,8.81,9.28,10.06,10.56,9.94,7.75,5.59,3.19,0.38,-3.31,-6.38,-8.16,-9.69,-11.75,-12.44,-11.44,-9.66,-7.75,-5.38,-2.62,-0.09,1.19,1.59,2.62,3.97,5.03,5.22,5.81,6.25,5.81,4.06,1.78,-0.06,-2.25,-4.94,-7.47,-8.41,-8.38,-8.16,-8.28,-8.62,-8.94,-9.88,-12.03,-12.88,-12.47,-10.97,-9.5,-7.94,-5.28,-2.53,-1.22,-0.69,0.22,0.62,0.16,-0.94,-1.81,-1.59,-1.16,-1.47,-1.09,-0.41,0.06,-0.66,-1.91,-2.88,-3.66,-5.34,-7.06,-7.19,-6.66,-6.22,-6.59,-7.03,-6.91,-7.81,-9.53,-10.22,-9.75,-8.09,-7.12,-6.19,-4.72,-3.09,-3.09,-3.94,-3.66,-3.12,-2.88,-3.38,-3.44,-3.06,-2.44,-3.5,-4.69,-5.53,-6.0,-7.78,-9.31,-9.28,-8.31,-7.53,-7.28,-6.06,-4.19,-3.28,-3.72,-4.28,-4.25,-4.56,-5.88,-6.5,-5.69,-4.41,-4.03,-3.72,-2.09,0.12,2.38,4.53,7.59,11.03,13.78,15.09,15.84,16.09,15.28,12.66,9.91,7.84,7.16,6.09,5.75,6.19,6.94,7.16,7.06,7.16,7.84,7.62,6.53,5.56,5.0,4.84,3.84,3.38,3.56,4.31,3.84,3.25,3.28,4.12,5.12,5.56,6.62,8.59,10.25,10.03,9.81,10.25,10.28,8.94,7.88,8.0,8.5,8.12,7.56,7.66,8.12,8.22,7.78,8.44,9.75,11.25,11.44,11.72,12.5,13.59,12.97,12.62,13.12,13.66,13.44,13.0,12.72,13.47,14.31,14.53,16.0,18.59,20.66,20.84,19.5,17.56,15.25,10.59,6.0,1.84,-1.47,-5.88,-9.72,-11.66,-11.66,-9.59,-6.97,-2.41,3.81,10.31,15.56,20.06,23.62,25.28,23.53,19.75,15.28,10.69,5.69,0.19,-4.25,-6.91,-8.53,-9.69,-9.53,-7.38,-4.62,-3.41,-2.78,-2.19,-1.75,-2.41,-2.81,-2.19,-0.28,1.19,1.91,2.25,3.59,4.5,4.09,4.06,4.75,5.44,4.22,2.25,0.22,-2.25,-6.22,-10.81,-14.69,-17.25,-19.75,-21.88,-22.66,-20.97,-17.47,-14.22,-9.84,-3.97,1.38,4.84,6.69,8.41,9.53,9.75,9.47,10.34,12.34,14.09,15.41,16.41,17.28,17.16,15.41,12.78,10.91,9.66,8.34,7.16,6.94,7.56,7.25,6.31,5.31,5.03,3.72,1.81,-0.53,-1.66,-2.56,-4.31,-5.91,-6.25,-5.56,-6.12,-6.38,-5.34,-3.88,-2.72,-1.44,0.06,2.94,5.09,6.09,6.88,7.66,8.34,7.59,7.0,7.19,8.0,8.16,7.53,7.56,7.75,7.22,5.88,4.94,4.97,5.09,4.59,3.91,4.78,5.81,5.47,5.09,5.31,5.69,5.41,4.62,4.78,5.75,6.56,7.03,7.25,8.72,9.81,10.19,9.97,10.53,11.22,10.78,10.03,10.0,10.72,10.5,10.0,9.5,10.16,10.53,10.34,10.44,11.88,12.5,12.0,10.72,9.81,8.91,7.56,6.91,7.78,10.25,12.47,14.19,15.34,16.5,16.53,15.31,14.16,14.06,14.19,13.81,12.88,12.78,12.84,12.31,11.94,12.19,13.34,14.12,14.09,13.28,12.91,12.31,10.75,9.41,10.0,11.06,11.31,10.69,10.06,9.44,8.41,7.31,7.03,8.84,10.75,12.12,13.84,16.31,18.16,18.59,18.19,18.5,33.25,32.47,31.75,31.09,31.19,31.0,30.03,28.72,27.91,27.47,27.34,28.0,29.22,30.84:-11.41,-13.53,-15.62,-17.03,-17.28,-17.66,-18.12,-18.16,-17.44,-16.66,-16.69,-16.53,-14.97,-12.84,-12.03,-11.44,-10.97,-10.09,-10.56,-11.12,-10.97,-9.84,-8.09,-6.88,-4.47,-1.53,0.78,0.53,-0.75,-2.12,-3.81,-6.31,-8.84,-10.0,-10.38,-10.78,-11.16,-10.62,-8.78,-7.22,-5.84,-4.56,-2.94,-1.84,-2.5,-4.09,-5.38,-6.19,-7.09,-8.19,-8.25,-7.16,-7.0,-7.31,-7.72,-7.16,-6.31,-6.25,-6.25,-4.84,-3.44,-3.59,-4.12,-4.38,-4.28,-5.5,-6.59,-6.94,-6.0,-5.66,-5.78,-6.06,-5.38,-5.25,-6.0,-6.88,-6.25,-5.5,-5.69,-5.94,-5.81,-5.88,-6.81,-8.16,-8.53,-7.94,-7.31,-7.41,-7.25,-7.06,-7.03,-7.84,-8.75,-8.22,-6.81,-5.69,-5.06,-3.75,-1.62,-0.47,0.22,1.0,2.31,2.5,1.06,-1.34,-3.66,-6.47,-10.62,-14.69,-17.94,-20.16,-22.62,-24.09,-23.56,-21.38,-19.22,-17.22,-15.62,-13.38,-12.16,-11.88,-12.12,-11.47,-11.31,-12.16,-13.44,-14.09,-14.03,-15.09,-16.97,-18.62,-19.62,-21.03,-22.25,-22.22,-20.34,-18.47,-17.44,-16.62,-15.16,-13.72,-12.97,-12.28,-10.16,-7.12,-4.88,-3.19,-1.94,-0.72,-1.03,-3.03,-5.44,-6.47,-7.97,-9.94,-11.56,-12.56,-13.41,-14.25,-15.16,-14.53,-13.06,-11.81,-10.81,-9.59,-7.75,-6.47,-6.41,-6.41,-6.31,-6.5,-7.53,-8.47,-8.5,-8.5,-8.94,-9.66,-10.34,-10.62,-11.41,-12.62,-12.66,-11.06,-9.0,-7.28,-5.5,-3.5,-2.56,-3.38,-5.0,-6.22,-7.47,-9.0,-10.53,-11.06,-10.56,-9.88,-9.56,-8.72,-6.97,-6.06,-6.56,-7.22,-6.47,-5.75,-5.28,-4.38,-2.38,-0.59,-0.03,-0.88,-2.25,-3.78,-6.22,-9.34,-11.66,-12.09,-12.19,-12.59,-12.84,-12.59,-12.72,-13.78,-15.0,-14.84,-14.34,-14.47,-15.19,-16.06,-17.06,-19.0,-20.97,-22.28,-21.69,-19.97,-18.47,-16.38,-13.28,-10.75,-9.09,-8.28,-7.75,-7.66,-8.53,-10.38,-11.84,-12.53,-13.06,-13.88,-14.22,-13.09,-12.19,-11.75,-12.0,-11.81,-12.34,-13.88,-16.06,-17.25,-17.75,-18.12,-18.88,-18.75,-18.38,-18.22,-19.0,-20.56,-21.38,-22.41,-23.72,-25.12,-24.88,-23.91,-23.06,-22.47,-21.28,-19.81,-18.16,-17.56,-16.31,-14.0,-12.62,-12.47,-12.72,-12.47,-12.94,-13.66,-14.53,-14.84,-14.25,-14.22,-14.56,-14.28,-13.31,-12.41,-12.25,-11.34,-9.97,-8.5,-7.94,-7.31,-5.97,-4.78,-4.31,-4.78,-5.56,-6.59,-8.47,-11.19,-12.84,-13.34,-12.84,-12.84,-12.69,-12.0,-11.47,-12.0,-13.06,-13.28,-13.47,-13.94,-14.53,-14.25,-13.59,-13.69,-14.25,-14.84,-15.03,-15.31,-16.56,-17.41,-17.34,-17.31,-17.97,-18.53,-18.19,-17.38,-16.69,-16.53,-15.59,-14.03,-12.75,-12.75,-12.47,-11.88,-12.12,-13.25,-14.22,-14.19,-13.59,-13.47,-13.56,-13.34,-13.06,-13.44,-14.44,-14.56,-13.5,-12.09,-11.09,-9.72,-7.97,-6.91,-6.81,-7.0,-6.94,-6.75,-7.38,-8.28,-8.78,-9.25,-9.69,-10.59,-10.31,-9.47,-8.41,-7.72,-6.94,-5.31,-3.31,-2.0,-0.94,-0.03,0.28,-0.91,-2.91,-4.72,-6.0,-7.09,-9.25,-10.84,-12.97,-15.0,-18.16,-20.72,-21.41,-20.75,-20.47,-20.22,-19.56,-18.72,-18.75,-18.84,-18.06,-17.03,-15.97,-15.47,-14.66,-12.97,-11.09,-10.28,-9.97,-9.47,-9.53,-10.78,-12.5,-13.56,-13.69,-13.38,-13.0,-11.91,-10.59,-10.25,-11.5,-13.34,-14.59,-15.66,-16.75,-17.59,-17.81,-17.56,-18.28,-19.25,-19.66,-19.16,-18.41,-17.59,-16.03,-13.56,-11.03,-9.59,-8.53,-7.72,-8.06,-10.09,-12.53,-14.66,-16.31,-17.72,-18.78,-19.12,-18.53,-18.06,-17.97,-17.5,-15.84,-13.88,-12.59,-11.03,-9.09,-6.97,-5.66,-4.69,-3.59,-2.66,-1.75,-1.75,-1.5,-0.62,-0.34,-1.03,-2.16,-2.69,-3.16,-4.19,-4.78,-4.84,-4.38,-5.03,-6.38,-7.72,-8.38,-9.53,-11.22,-12.56,-13.28,-14.47,-16.25,-16.69,-15.06,-12.12,-9.38,-6.0,-2.59,-0.19,1.16,1.34,1.25,0.72,-0.62,-3.12,-5.78,-8.25,-10.72,-13.59,-15.91,-16.62,-16.22,-15.94,-15.41,-15.0,-14.25,-14.53,-15.75,-16.06,-15.56,-14.88,-14.75,-14.06,-12.84,-11.84,-11.34,-11.12,-10.28,-8.91,-7.91,-7.0,-5.59,-3.19,-1.5,-0.41,0.66,1.59,1.72,0.84,-0.66,-1.31,-1.97,-3.16,-4.41,-4.91,-4.88,-5.19,-5.66,-5.94,-5.41,-5.5,-5.97,-6.78,-6.84,-6.84,-7.59,-8.06,-7.22,-6.22,-5.16,-4.5,-3.47,-2.78,-3.19,-3.91,-4.44,-4.28,-3.94,-3.72,-3.59,-3.06,-3.22,-4.62,-6.31,-7.34,-8.31,-9.25,-10.31,-10.47,-9.97,-9.41,-8.69,-7.94,-6.69,-5.53,-5.06,-5.19,-4.78,-4.91,-6.09,-7.31,-7.22,-6.19,-5.75,-5.84,-6.25,-6.62,-7.97,-9.69,-11.16,-11.12,-11.06,-11.28,-11.38,-10.12,-8.97,-8.09,-7.62,-6.47,-5.12,-4.41,-4.22,-3.88,-2.72,-2.56,-2.66,-2.97,-2.28,-2.19,-2.03,-2.34,-2.0,-2.31,-3.72,-5.88,-6.81,-7.38,-8.5,-9.16,-9.56,-9.41,-9.25,-9.25,-9.12,-8.22,-7.38,-7.69,-8.56,-8.47,-7.75,-7.66,-7.03,-5.78,-3.78,-2.44,-2.25,-2.19,-2.16,-3.12,-4.78,-6.53,-7.25,-7.62,-8.25,-8.94,-8.69,-8.44,-9.09,-9.97,-10.41,-9.91,-9.59,-9.81,-9.84,-9.5,-9.84,-11.34,-13.0,-13.38,-13.41,-13.38,-13.19,-11.75,-10.25,-9.78,-9.75,-9.34,-8.47,-7.25,-6.59,-5.75,-4.03,-2.66,-2.56,-2.88,-2.59,-2.38,-3.06,-4.03,-3.72,-2.5,-1.06,0.06,1.81,4.25,5.91,6.28,6.31,6.75,6.53,5.0,2.72,1.91,1.25,0.25,-1.03,-1.28,-1.62,-2.62,-4.56,-6.12,-7.16,-7.91,-8.78,-9.19,-7.97,-6.16,-4.69,-3.38,-1.62,0.12,0.91,1.06,1.31,2.41,3.5,4.09,5.03,6.44,8.09,8.81,9.28,10.06,10.56,9.94,7.75,5.59,3.19,0.38,-3.31,-6.38,-8.16,-9.69,-11.75,-12.44,-11.44,-9.66,-7.75,-5.38,-2.62,-0.09,1.19,1.59,2.62,3.97,5.03,5.22,5.81,6.25,5.81,4.06,1.78,-0.06,-2.25,-4.94,-7.47,-8.41,-8.38,-8.16,-8.28,-8.62,-8.94,-9.88,-12.03,-12.88,-12.47,-10.97,-9.5,-7.94,-5.28,-2.53,-1.22,-0.69,0.22,0.62,0.16,-0.94,-1.81,-1.59,-1.16,-1.47,-1.09,-0.41,0.06,-0.66,-1.91,-2.88,-3.66,-5.34,-7.06,-7.19,-6.66,-6.22,-6.59,-7.03,-6.91,-7.81,-9.53,-10.22,-9.75,-8.09,-7.12,-6.19,-4.72,-3.09,-3.09,-3.94,-3.66,-3.12,-2.88,-3.38,-3.44,-3.06,-2.44,-3.5,-4.69,-5.53,-6.0,-7.78,-9.31,-9.28,-8.31,-7.53,-7.28,-6.06,-4.19,-3.28,-3.72,-4.28,-4.25,-4.56,-5.88,-6.5,-5.69,-4.41,-4.03,-3.72,-2.09,0.12,2.38,4.53,7.59,11.03,13.78,15.09,15.84,16.09,15.28,12.66,9.91,7.84,7.16,6.09,5.75,6.19,6.94,7.16,7.06,7.16,7.84,7.62,6.53,5.56,5.0,4.84,3.84,3.38,3.56,4.31,3.84,3.25,3.28,4.12,5.12,5.56,6.62,8.59,10.25,10.03,9.81,10.25,10.28,8.94,7.88,8.0,8.5,8.12,7.56,7.66,8.12,8.22,7.78,8.44,9.75,11.25,11.44,11.72,12.5,13.59,12.97,12.62,13.12,13.66,13.44,13.0,12.72,13.47,14.31,14.53,16.0,18.59,20.66,20.84,19.5,17.56,15.25,10.59,6.0,1.84,-1.47,-5.88,-9.72,-11.66,-11.66,-9.59,-6.97,-2.41,3.81,10.31,15.56,20.06,23.62,25.28,23.53,19.75,15.28,10.69,5.69,0.19,-4.25,-6.91,-8.53,-9.69,-9.53,-7.38,-4.62,-3.41,-2.78,-2.19,-1.75,-2.41,-2.81,-2.19,-0.28,1.19,1.91,2.25,3.59,4.5,4.09,4.06,4.75,5.44,4.22,2.25,0.22,-2.25,-6.22,-10.81,-14.69,-17.25,-19.75,-21.88,-22.66,-20.97,-17.47,-14.22,-9.84,-3.97,1.38,4.84,6.69,8.41,9.53,9.75,9.47,10.34,12.34,14.09,15.41,16.41,17.28,17.16,15.41,12.78,10.91,9.66,8.34,7.16,6.94,7.56,7.25,6.31,5.31,5.03,3.72,1.81,-0.53,-1.66,-2.56,-4.31,-5.91,-6.25,-5.56,-6.12,-6.38,-5.34,-3.88,-2.72,-1.44,0.06,2.94,5.09,6.09,6.88,7.66,8.34,7.59,7.0,7.19,8.0,8.16,7.53,7.56,7.75,7.22,5.88,4.94,4.97,5.09,4.59,3.91,4.78,5.81,5.47,5.09,5.31,5.69,5.41,4.62,4.78,5.75,6.56,7.03,7.25,8.72,9.81,10.19,9.97,10.53,11.22,10.78,10.03,10.0,10.72,10.5,10.0,9.5,10.16,10.53,10.34,10.44,11.88,12.5,12.0,10.72,9.81,8.91,7.56,6.91,7.78,10.25,12.47,14.19,15.34,16.5,16.53,15.31,14.16,14.06,14.19,13.81,12.88,12.78,12.84,12.31,11.94,12.19,13.34,14.12,14.09,13.28,12.91,12.31,10.75,9.41,10.0,11.06,11.31,10.69,10.06,9.44,8.41,7.31,7.03,8.84,10.75,12.12,13.84,16.31,18.16,18.59,18.19,18.5,33.25,32.47,31.75,31.09,31.19,31.0,30.03,28.72,27.91,27.47,27.34,28.0,29.22,30.84,32.44,33.5,34.28,35.25,35.66,35.81,35.41:-18.16,-17.44,-16.66,-16.69,-16.53,-14.97,-12.84,-12.03,-11.44,-10.97,-10.09,-10.56,-11.12,-10.97,-9.84,-8.09,-6.88,-4.47,-1.53,0.78,0.53,-0.75,-2.12,-3.81,-6.31,-8.84,-10.0,-10.38,-10.78,-11.16,-10.62,-8.78,-7.22,-5.84,-4.56,-2.94,-1.84,-2.5,-4.09,-5.38,-6.19,-7.09,-8.19,-8.25,-7.16,-7.0,-7.31,-7.72,-7.16,-6.31,-6.25,-6.25,-4.84,-3.44,-3.59,-4.12,-4.38,-4.28,-5.5,-6.59,-6.94,-6.0,-5.66,-5.78,-6.06,-5.38,-5.25,-6.0,-6.88,-6.25,-5.5,-5.69,-5.94,-5.81,-5.88,-6.81,-8.16,-8.53,-7.94,-7.31,-7.41,-7.25,-7.06,-7.03,-7.84,-8.75,-8.22,-6.81,-5.69,-5.06,-3.75,-1.62,-0.47,0.22,1.0,2.31,2.5,1.06,-1.34,-3.66,-6.47,-10.62,-14.69,-17.94,-20.16,-22.62,-24.09,-23.56,-21.38,-19.22,-17.22,-15.62,-13.38,-12.16,-11.88,-12.12,-11.47,-11.31,-12.16,-13.44,-14.09,-14.03,-15.09,-16.97,-18.62,-19.62,-21.03,-22.25,-22.22,-20.34,-18.47,-17.44,-16.62,-15.16,-13.72,-12.97,-12.28,-10.16,-7.12,-4.88,-3.19,-1.94,-0.72,-1.03,-3.03,-5.44,-6.47,-7.97,-9.94,-11.56,-12.56,-13.41,-14.25,-15.16,-14.53,-13.06,-11.81,-10.81,-9.59,-7.75,-6.47,-6.41,-6.41,-6.31,-6.5,-7.53,-8.47,-8.5,-8.5,-8.94,-9.66,-10.34,-10.62,-11.41,-12.62,-12.66,-11.06,-9.0,-7.28,-5.5,-3.5,-2.56,-3.38,-5.0,-6.22,-7.47,-9.0,-10.53,-11.06,-10.56,-9.88,-9.56,-8.72,-6.97,-6.06,-6.56,-7.22,-6.47,-5.75,-5.28,-4.38,-2.38,-0.59,-0.03,-0.88,-2.25,-3.78,-6.22,-9.34,-11.66,-12.09,-12.19,-12.59,-12.84,-12.59,-12.72,-13.78,-15.0,-14.84,-14.34,-14.47,-15.19,-16.06,-17.06,-19.0,-20.97,-22.28,-21.69,-19.97,-18.47,-16.38,-13.28,-10.75,-9.09,-8.28,-7.75,-7.66,-8.53,-10.38,-11.84,-12.53,-13.06,-13.88,-14.22,-13.09,-12.19,-11.75,-12.0,-11.81,-12.34,-13.88,-16.06,-17.25,-17.75,-18.12,-18.88,-18.75,-18.38,-18.22,-19.0,-20.56,-21.38,-22.41,-23.72,-25.12,-24.88,-23.91,-23.06,-22.47,-21.28,-19.81,-18.16,-17.56,-16.31,-14.0,-12.62,-12.47,-12.72,-12.47,-12.94,-13.66,-14.53,-14.84,-14.25,-14.22,-14.56,-14.28,-13.31,-12.41,-12.25,-11.34,-9.97,-8.5,-7.94,-7.31,-5.97,-4.78,-4.31,-4.78,-5.56,-6.59,-8.47,-11.19,-12.84,-13.34,-12.84,-12.84,-12.69,-12.0,-11.47,-12.0,-13.06,-13.28,-13.47,-13.94,-14.53,-14.25,-13.59,-13.69,-14.25,-14.84,-15.03,-15.31,-16.56,-17.41,-17.34,-17.31,-17.97,-18.53,-18.19,-17.38,-16.69,-16.53,-15.59,-14.03,-12.75,-12.75,-12.47,-11.88,-12.12,-13.25,-14.22,-14.19,-13.59,-13.47,-13.56,-13.34,-13.06,-13.44,-14.44,-14.56,-13.5,-12.09,-11.09,-9.72,-7.97,-6.91,-6.81,-7.0,-6.94,-6.75,-7.38,-8.28,-8.78,-9.25,-9.69,-10.59,-10.31,-9.47,-8.41,-7.72,-6.94,-5.31,-3.31,-2.0,-0.94,-0.03,0.28,-0.91,-2.91,-4.72,-6.0,-7.09,-9.25,-10.84,-12.97,-15.0,-18.16,-20.72,-21.41,-20.75,-20.47,-20.22,-19.56,-18.72,-18.75,-18.84,-18.06,-17.03,-15.97,-15.47,-14.66,-12.97,-11.09,-10.28,-9.97,-9.47,-9.53,-10.78,-12.5,-13.56,-13.69,-13.38,-13.0,-11.91,-10.59,-10.25,-11.5,-13.34,-14.59,-15.66,-16.75,-17.59,-17.81,-17.56,-18.28,-19.25,-19.66,-19.16,-18.41,-17.59,-16.03,-13.56,-11.03,-9.59,-8.53,-7.72,-8.06,-10.09,-12.53,-14.66,-16.31,-17.72,-18.78,-19.12,-18.53,-18.06,-17.97,-17.5,-15.84,-13.88,-12.59,-11.03,-9.09,-6.97,-5.66,-4.69,-3.59,-2.66,-1.75,-1.75,-1.5,-0.62,-0.34,-1.03,-2.16,-2.69,-3.16,-4.19,-4.78,-4.84,-4.38,-5.03,-6.38,-7.72,-8.38,-9.53,-11.22,-12.56,-13.28,-14.47,-16.25,-16.69,-15.06,-12.12,-9.38,-6.0,-2.59,-0.19,1.16,1.34,1.25,0.72,-0.62,-3.12,-5.78,-8.25,-10.72,-13.59,-15.91,-16.62,-16.22,-15.94,-15.41,-15.0,-14.25,-14.53,-15.75,-16.06,-15.56,-14.88,-14.75,-14.06,-12.84,-11.84,-11.34,-11.12,-10.28,-8.91,-7.91,-7.0,-5.59,-3.19,-1.5,-0.41,0.66,1.59,1.72,0.84,-0.66,-1.31,-1.97,-3.16,-4.41,-4.91,-4.88,-5.19,-5.66,-5.94,-5.41,-5.5,-5.97,-6.78,-6.84,-6.84,-7.59,-8.06,-7.22,-6.22,-5.16,-4.5,-3.47,-2.78,-3.19,-3.91,-4.44,-4.28,-3.94,-3.72,-3.59,-3.06,-3.22,-4.62,-6.31,-7.34,-8.31,-9.25,-10.31,-10.47,-9.97,-9.41,-8.69,-7.94,-6.69,-5.53,-5.06,-5.19,-4.78,-4.91,-6.09,-7.31,-7.22,-6.19,-5.75,-5.84,-6.25,-6.62,-7.97,-9.69,-11.16,-11.12,-11.06,-11.28,-11.38,-10.12,-8.97,-8.09,-7.62,-6.47,-5.12,-4.41,-4.22,-3.88,-2.72,-2.56,-2.66,-2.97,-2.28,-2.19,-2.03,-2.34,-2.0,-2.31,-3.72,-5.88,-6.81,-7.38,-8.5,-9.16,-9.56,-9.41,-9.25,-9.25,-9.12,-8.22,-7.38,-7.69,-8.56,-8.47,-7.75,-7.66,-7.03,-5.78,-3.78,-2.44,-2.25,-2.19,-2.16,-3.12,-4.78,-6.53,-7.25,-7.62,-8.25,-8.94,-8.69,-8.44,-9.09,-9.97,-10.41,-9.91,-9.59,-9.81,-9.84,-9.5,-9.84,-11.34,-13.0,-13.38,-13.41,-13.38,-13.19,-11.75,-10.25,-9.78,-9.75,-9.34,-8.47,-7.25,-6.59,-5.75,-4.03,-2.66,-2.56,-2.88,-2.59,-2.38,-3.06,-4.03,-3.72,-2.5,-1.06,0.06,1.81,4.25,5.91,6.28,6.31,6.75,6.53,5.0,2.72,1.91,1.25,0.25,-1.03,-1.28,-1.62,-2.62,-4.56,-6.12,-7.16,-7.91,-8.78,-9.19,-7.97,-6.16,-4.69,-3.38,-1.62,0.12,0.91,1.06,1.31,2.41,3.5,4.09,5.03,6.44,8.09,8.81,9.28,10.06,10.56,9.94,7.75,5.59,3.19,0.38,-3.31,-6.38,-8.16,-9.69,-11.75,-12.44,-11.44,-9.66,-7.75,-5.38,-2.62,-0.09,1.19,1.59,2.62,3.97,5.03,5.22,5.81,6.25,5.81,4.06,1.78,-0.06,-2.25,-4.94,-7.47,-8.41,-8.38,-8.16,-8.28,-8.62,-8.94,-9.88,-12.03,-12.88,-12.47,-10.97,-9.5,-7.94,-5.28,-2.53,-1.22,-0.69,0.22,0.62,0.16,-0.94,-1.81,-1.59,-1.16,-1.47,-1.09,-0.41,0.06,-0.66,-1.91,-2.88,-3.66,-5.34,-7.06,-7.19,-6.66,-6.22,-6.59,-7.03,-6.91,-7.81,-9.53,-10.22,-9.75,-8.09,-7.12,-6.19,-4.72,-3.09,-3.09,-3.94,-3.66,-3.12,-2.88,-3.38,-3.44,-3.06,-2.44,-3.5,-4.69,-5.53,-6.0,-7.78,-9.31,-9.28,-8.31,-7.53,-7.28,-6.06,-4.19,-3.28,-3.72,-4.28,-4.25,-4.56,-5.88,-6.5,-5.69,-4.41,-4.03,-3.72,-2.09,0.12,2.38,4.53,7.59,11.03,13.78,15.09,15.84,16.09,15.28,12.66,9.91,7.84,7.16,6.09,5.75,6.19,6.94,7.16,7.06,7.16,7.84,7.62,6.53,5.56,5.0,4.84,3.84,3.38,3.56,4.31,3.84,3.25,3.28,4.12,5.12,5.56,6.62,8.59,10.25,10.03,9.81,10.25,10.28,8.94,7.88,8.0,8.5,8.12,7.56,7.66,8.12,8.22,7.78,8.44,9.75,11.25,11.44,11.72,12.5,13.59,12.97,12.62,13.12,13.66,13.44,13.0,12.72,13.47,14.31,14.53,16.0,18.59,20.66,20.84,19.5,17.56,15.25,10.59,6.0,1.84,-1.47,-5.88,-9.72,-11.66,-11.66,-9.59,-6.97,-2.41,3.81,10.31,15.56,20.06,23.62,25.28,23.53,19.75,15.28,10.69,5.69,0.19,-4.25,-6.91,-8.53,-9.69,-9.53,-7.38,-4.62,-3.41,-2.78,-2.19,-1.75,-2.41,-2.81,-2.19,-0.28,1.19,1.91,2.25,3.59,4.5,4.09,4.06,4.75,5.44,4.22,2.25,0.22,-2.25,-6.22,-10.81,-14.69,-17.25,-19.75,-21.88,-22.66,-20.97,-17.47,-14.22,-9.84,-3.97,1.38,4.84,6.69,8.41,9.53,9.75,9.47,10.34,12.34,14.09,15.41,16.41,17.28,17.16,15.41,12.78,10.91,9.66,8.34,7.16,6.94,7.56,7.25,6.31,5.31,5.03,3.72,1.81,-0.53,-1.66,-2.56,-4.31,-5.91,-6.25,-5.56,-6.12,-6.38,-5.34,-3.88,-2.72,-1.44,0.06,2.94,5.09,6.09,6.88,7.66,8.34,7.59,7.0,7.19,8.0,8.16,7.53,7.56,7.75,7.22,5.88,4.94,4.97,5.09,4.59,3.91,4.78,5.81,5.47,5.09,5.31,5.69,5.41,4.62,4.78,5.75,6.56,7.03,7.25,8.72,9.81,10.19,9.97,10.53,11.22,10.78,10.03,10.0,10.72,10.5,10.0,9.5,10.16,10.53,10.34,10.44,11.88,12.5,12.0,10.72,9.81,8.91,7.56,6.91,7.78,10.25,12.47,14.19,15.34,16.5,16.53,15.31,14.16,14.06,14.19,13.81,12.88,12.78,12.84,12.31,11.94,12.19,13.34,14.12,14.09,13.28,12.91,12.31,10.75,9.41,10.0,11.06,11.31,10.69,10.06,9.44,8.41,7.31,7.03,8.84,10.75,12.12,13.84,16.31,18.16,18.59,18.19,18.5,33.25,32.47,31.75,31.09,31.19,31.0,30.03,28.72,27.91,27.47,27.34,28.0,29.22,30.84,32.44,33.5,34.28,35.25,35.66,35.81,35.41,35.34,35.0,34.19,33.38,32.5,31.81,31.12:-12.03,-11.44,-10.97,-10.09,-10.56,-11.12,-10.97,-9.84,-8.09,-6.88,-4.47,-1.53,0.78,0.53,-0.75,-2.12,-3.81,-6.31,-8.84,-10.0,-10.38,-10.78,-11.16,-10.62,-8.78,-7.22,-5.84,-4.56,-2.94,-1.84,-2.5,-4.09,-5.38,-6.19,-7.09,-8.19,-8.25,-7.16,-7.0,-7.31,-7.72,-7.16,-6.31,-6.25,-6.25,-4.84,-3.44,-3.59,-4.12,-4.38,-4.28,-5.5,-6.59,-6.94,-6.0,-5.66,-5.78,-6.06,-5.38,-5.25,-6.0,-6.88,-6.25,-5.5,-5.69,-5.94,-5.81,-5.88,-6.81,-8.16,-8.53,-7.94,-7.31,-7.41,-7.25,-7.06,-7.03,-7.84,-8.75,-8.22,-6.81,-5.69,-5.06,-3.75,-1.62,-0.47,0.22,1.0,2.31,2.5,1.06,-1.34,-3.66,-6.47,-10.62,-14.69,-17.94,-20.16,-22.62,-24.09,-23.56,-21.38,-19.22,-17.22,-15.62,-13.38,-12.16,-11.88,-12.12,-11.47,-11.31,-12.16,-13.44,-14.09,-14.03,-15.09,-16.97,-18.62,-19.62,-21.03,-22.25,-22.22,-20.34,-18.47,-17.44,-16.62,-15.16,-13.72,-12.97,-12.28,-10.16,-7.12,-4.88,-3.19,-1.94,-0.72,-1.03,-3.03,-5.44,-6.47,-7.97,-9.94,-11.56,-12.56,-13.41,-14.25,-15.16,-14.53,-13.06,-11.81,-10.81,-9.59,-7.75,-6.47,-6.41,-6.41,-6.31,-6.5,-7.53,-8.47,-8.5,-8.5,-8.94,-9.66,-10.34,-10.62,-11.41,-12.62,-12.66,-11.06,-9.0,-7.28,-5.5,-3.5,-2.56,-3.38,-5.0,-6.22,-7.47,-9.0,-10.53,-11.06,-10.56,-9.88,-9.56,-8.72,-6.97,-6.06,-6.56,-7.22,-6.47,-5.75,-5.28,-4.38,-2.38,-0.59,-0.03,-0.88,-2.25,-3.78,-6.22,-9.34,-11.66,-12.09,-12.19,-12.59,-12.84,-12.59,-12.72,-13.78,-15.0,-14.84,-14.34,-14.47,-15.19,-16.06,-17.06,-19.0,-20.97,-22.28,-21.69,-19.97,-18.47,-16.38,-13.28,-10.75,-9.09,-8.28,-7.75,-7.66,-8.53,-10.38,-11.84,-12.53,-13.06,-13.88,-14.22,-13.09,-12.19,-11.75,-12.0,-11.81,-12.34,-13.88,-16.06,-17.25,-17.75,-18.12,-18.88,-18.75,-18.38,-18.22,-19.0,-20.56,-21.38,-22.41,-23.72,-25.12,-24.88,-23.91,-23.06,-22.47,-21.28,-19.81,-18.16,-17.56,-16.31,-14.0,-12.62,-12.47,-12.72,-12.47,-12.94,-13.66,-14.53,-14.84,-14.25,-14.22,-14.56,-14.28,-13.31,-12.41,-12.25,-11.34,-9.97,-8.5,-7.94,-7.31,-5.97,-4.78,-4.31,-4.78,-5.56,-6.59,-8.47,-11.19,-12.84,-13.34,-12.84,-12.84,-12.69,-12.0,-11.47,-12.0,-13.06,-13.28,-13.47,-13.94,-14.53,-14.25,-13.59,-13.69,-14.25,-14.84,-15.03,-15.31,-16.56,-17.41,-17.34,-17.31,-17.97,-18.53,-18.19,-17.38,-16.69,-16.53,-15.59,-14.03,-12.75,-12.75,-12.47,-11.88,-12.12,-13.25,-14.22,-14.19,-13.59,-13.47,-13.56,-13.34,-13.06,-13.44,-14.44,-14.56,-13.5,-12.09,-11.09,-9.72,-7.97,-6.91,-6.81,-7.0,-6.94,-6.75,-7.38,-8.28,-8.78,-9.25,-9.69,-10.59,-10.31,-9.47,-8.41,-7.72,-6.94,-5.31,-3.31,-2.0,-0.94,-0.03,0.28,-0.91,-2.91,-4.72,-6.0,-7.09,-9.25,-10.84,-12.97,-15.0,-18.16,-20.72,-21.41,-20.75,-20.47,-20.22,-19.56,-18.72,-18.75,-18.84,-18.06,-17.03,-15.97,-15.47,-14.66,-12.97,-11.09,-10.28,-9.97,-9.47,-9.53,-10.78,-12.5,-13.56,-13.69,-13.38,-13.0,-11.91,-10.59,-10.25,-11.5,-13.34,-14.59,-15.66,-16.75,-17.59,-17.81,-17.56,-18.28,-19.25,-19.66,-19.16,-18.41,-17.59,-16.03,-13.56,-11.03,-9.59,-8.53,-7.72,-8.06,-10.09,-12.53,-14.66,-16.31,-17.72,-18.78,-19.12,-18.53,-18.06,-17.97,-17.5,-15.84,-13.88,-12.59,-11.03,-9.09,-6.97,-5.66,-4.69,-3.59,-2.66,-1.75,-1.75,-1.5,-0.62,-0.34,-1.03,-2.16,-2.69,-3.16,-4.19,-4.78,-4.84,-4.38,-5.03,-6.38,-7.72,-8.38,-9.53,-11.22,-12.56,-13.28,-14.47,-16.25,-16.69,-15.06,-12.12,-9.38,-6.0,-2.59,-0.19,1.16,1.34,1.25,0.72,-0.62,-3.12,-5.78,-8.25,-10.72,-13.59,-15.91,-16.62,-16.22,-15.94,-15.41,-15.0,-14.25,-14.53,-15.75,-16.06,-15.56,-14.88,-14.75,-14.06,-12.84,-11.84,-11.34,-11.12,-10.28,-8.91,-7.91,-7.0,-5.59,-3.19,-1.5,-0.41,0.66,1.59,1.72,0.84,-0.66,-1.31,-1.97,-3.16,-4.41,-4.91,-4.88,-5.19,-5.66,-5.94,-5.41,-5.5,-5.97,-6.78,-6.84,-6.84,-7.59,-8.06,-7.22,-6.22,-5.16,-4.5,-3.47,-2.78,-3.19,-3.91,-4.44,-4.28,-3.94,-3.72,-3.59,-3.06,-3.22,-4.62,-6.31,-7.34,-8.31,-9.25,-10.31,-10.47,-9.97,-9.41,-8.69,-7.94,-6.69,-5.53,-5.06,-5.19,-4.78,-4.91,-6.09,-7.31,-7.22,-6.19,-5.75,-5.84,-6.25,-6.62,-7.97,-9.69,-11.16,-11.12,-11.06,-11.28,-11.38,-10.12,-8.97,-8.09,-7.62,-6.47,-5.12,-4.41,-4.22,-3.88,-2.72,-2.56,-2.66,-2.97,-2.28,-2.19,-2.03,-2.34,-2.0,-2.31,-3.72,-5.88,-6.81,-7.38,-8.5,-9.16,-9.56,-9.41,-9.25,-9.25,-9.12,-8.22,-7.38,-7.69,-8.56,-8.47,-7.75,-7.66,-7.03,-5.78,-3.78,-2.44,-2.25,-2.19,-2.16,-3.12,-4.78,-6.53,-7.25,-7.62,-8.25,-8.94,-8.69,-8.44,-9.09,-9.97,-10.41,-9.91,-9.59,-9.81,-9.84,-9.5,-9.84,-11.34,-13.0,-13.38,-13.41,-13.38,-13.19,-11.75,-10.25,-9.78,-9.75,-9.34,-8.47,-7.25,-6.59,-5.75,-4.03,-2.66,-2.56,-2.88,-2.59,-2.38,-3.06,-4.03,-3.72,-2.5,-1.06,0.06,1.81,4.25,5.91,6.28,6.31,6.75,6.53,5.0,2.72,1.91,1.25,0.25,-1.03,-1.28,-1.62,-2.62,-4.56,-6.12,-7.16,-7.91,-8.78,-9.19,-7.97,-6.16,-4.69,-3.38,-1.62,0.12,0.91,1.06,1.31,2.41,3.5,4.09,5.03,6.44,8.09,8.81,9.28,10.06,10.56,9.94,7.75,5.59,3.19,0.38,-3.31,-6.38,-8.16,-9.69,-11.75,-12.44,-11.44,-9.66,-7.75,-5.38,-2.62,-0.09,1.19,1.59,2.62,3.97,5.03,5.22,5.81,6.25,5.81,4.06,1.78,-0.06,-2.25,-4.94,-7.47,-8.41,-8.38,-8.16,-8.28,-8.62,-8.94,-9.88,-12.03,-12.88,-12.47,-10.97,-9.5,-7.94,-5.28,-2.53,-1.22,-0.69,0.22,0.62,0.16,-0.94,-1.81,-1.59,-1.16,-1.47,-1.09,-0.41,0.06,-0.66,-1.91,-2.88,-3.66,-5.34,-7.06,-7.19,-6.66,-6.22,-6.59,-7.03,-6.91,-7.81,-9.53,-10.22,-9.75,-8.09,-7.12,-6.19,-4.72,-3.09,-3.09,-3.94,-3.66,-3.12,-2.88,-3.38,-3.44,-3.06,-2.44,-3.5,-4.69,-5.53,-6.0,-7.78,-9.31,-9.28,-8.31,-7.53,-7.28,-6.06,-4.19,-3.28,-3.72,-4.28,-4.25,-4.56,-5.88,-6.5,-5.69,-4.41,-4.03,-3.72,-2.09,0.12,2.38,4.53,7.59,11.03,13.78,15.09,15.84,16.09,15.28,12.66,9.91,7.84,7.16,6.09,5.75,6.19,6.94,7.16,7.06,7.16,7.84,7.62,6.53,5.56,5.0,4.84,3.84,3.38,3.56,4.31,3.84,3.25,3.28,4.12,5.12,5.56,6.62,8.59,10.25,10.03,9.81,10.25,10.28,8.94,7.88,8.0,8.5,8.12,7.56,7.66,8.12,8.22,7.78,8.44,9.75,11.25,11.44,11.72,12.5,13.59,12.97,12.62,13.12,13.66,13.44,13.0,12.72,13.47,14.31,14.53,16.0,18.59,20.66,20.84,19.5,17.56,15.25,10.59,6.0,1.84,-1.47,-5.88,-9.72,-11.66,-11.66,-9.59,-6.97,-2.41,3.81,10.31,15.56,20.06,23.62,25.28,23.53,19.75,15.28,10.69,5.69,0.19,-4.25,-6.91,-8.53,-9.69,-9.53,-7.38,-4.62,-3.41,-2.78,-2.19,-1.75,-2.41,-2.81,-2.19,-0.28,1.19,1.91,2.25,3.59,4.5,4.09,4.06,4.75,5.44,4.22,2.25,0.22,-2.25,-6.22,-10.81,-14.69,-17.25,-19.75,-21.88,-22.66,-20.97,-17.47,-14.22,-9.84,-3.97,1.38,4.84,6.69,8.41,9.53,9.75,9.47,10.34,12.34,14.09,15.41,16.41,17.28,17.16,15.41,12.78,10.91,9.66,8.34,7.16,6.94,7.56,7.25,6.31,5.31,5.03,3.72,1.81,-0.53,-1.66,-2.56,-4.31,-5.91,-6.25,-5.56,-6.12,-6.38,-5.34,-3.88,-2.72,-1.44,0.06,2.94,5.09,6.09,6.88,7.66,8.34,7.59,7.0,7.19,8.0,8.16,7.53,7.56,7.75,7.22,5.88,4.94,4.97,5.09,4.59,3.91,4.78,5.81,5.47,5.09,5.31,5.69,5.41,4.62,4.78,5.75,6.56,7.03,7.25,8.72,9.81,10.19,9.97,10.53,11.22,10.78,10.03,10.0,10.72,10.5,10.0,9.5,10.16,10.53,10.34,10.44,11.88,12.5,12.0,10.72,9.81,8.91,7.56,6.91,7.78,10.25,12.47,14.19,15.34,16.5,16.53,15.31,14.16,14.06,14.19,13.81,12.88,12.78,12.84,12.31,11.94,12.19,13.34,14.12,14.09,13.28,12.91,12.31,10.75,9.41,10.0,11.06,11.31,10.69,10.06,9.44,8.41,7.31,7.03,8.84,10.75,12.12,13.84,16.31,18.16,18.59,18.19,18.5,33.25,32.47,31.75,31.09,31.19,31.0,30.03,28.72,27.91,27.47,27.34,28.0,29.22,30.84,32.44,33.5,34.28,35.25,35.66,35.81,35.41,35.34,35.0,34.19,33.38,32.5,31.81,31.12,30.53,29.84,29.41,28.53,27.81,27.25,27.28:-9.84,-8.09,-6.88,-4.47,-1.53,0.78,0.53,-0.75,-2.12,-3.81,-6.31,-8.84,-10.0,-10.38,-10.78,-11.16,-10.62,-8.78,-7.22,-5.84,-4.56,-2.94,-1.84,-2.5,-4.09,-5.38,-6.19,-7.09,-8.19,-8.25,-7.16,-7.0,-7.31,-7.72,-7.16,-6.31,-6.25,-6.25,-4.84,-3.44,-3.59,-4.12,-4.38,-4.28,-5.5,-6.59,-6.94,-6.0,-5.66,-5.78,-6.06,-5.38,-5.25,-6.0,-6.88,-6.25,-5.5,-5.69,-5.94,-5.81,-5.88,-6.81,-8.16,-8.53,-7.94,-7.31,-7.41,-7.25,-7.06,-7.03,-7.84,-8.75,-8.22,-6.81,-5.69,-5.06,-3.75,-1.62,-0.47,0.22,1.0,2.31,2.5,1.06,-1.34,-3.66,-6.47,-10.62,-14.69,-17.94,-20.16,-22.62,-24.09,-23.56,-21.38,-19.22,-17.22,-15.62,-13.38,-12.16,-11.88,-12.12,-11.47,-11.31,-12.16,-13.44,-14.09,-14.03,-15.09,-16.97,-18.62,-19.62,-21.03,-22.25,-22.22,-20.34,-18.47,-17.44,-16.62,-15.16,-13.72,-12.97,-12.28,-10.16,-7.12,-4.88,-3.19,-1.94,-0.72,-1.03,-3.03,-5.44,-6.47,-7.97,-9.94,-11.56,-12.56,-13.41,-14.25,-15.16,-14.53,-13.06,-11.81,-10.81,-9.59,-7.75,-6.47,-6.41,-6.41,-6.31,-6.5,-7.53,-8.47,-8.5,-8.5,-8.94,-9.66,-10.34,-10.62,-11.41,-12.62,-12.66,-11.06,-9.0,-7.28,-5.5,-3.5,-2.56,-3.38,-5.0,-6.22,-7.47,-9.0,-10.53,-11.06,-10.56,-9.88,-9.56,-8.72,-6.97,-6.06,-6.56,-7.22,-6.47,-5.75,-5.28,-4.38,-2.38,-0.59,-0.03,-0.88,-2.25,-3.78,-6.22,-9.34,-11.66,-12.09,-12.19,-12.59,-12.84,-12.59,-12.72,-13.78,-15.0,-14.84,-14.34,-14.47,-15.19,-16.06,-17.06,-19.0,-20.97,-22.28,-21.69,-19.97,-18.47,-16.38,-13.28,-10.75,-9.09,-8.28,-7.75,-7.66,-8.53,-10.38,-11.84,-12.53,-13.06,-13.88,-14.22,-13.09,-12.19,-11.75,-12.0,-11.81,-12.34,-13.88,-16.06,-17.25,-17.75,-18.12,-18.88,-18.75,-18.38,-18.22,-19.0,-20.56,-21.38,-22.41,-23.72,-25.12,-24.88,-23.91,-23.06,-22.47,-21.28,-19.81,-18.16,-17.56,-16.31,-14.0,-12.62,-12.47,-12.72,-12.47,-12.94,-13.66,-14.53,-14.84,-14.25,-14.22,-14.56,-14.28,-13.31,-12.41,-12.25,-11.34,-9.97,-8.5,-7.94,-7.31,-5.97,-4.78,-4.31,-4.78,-5.56,-6.59,-8.47,-11.19,-12.84,-13.34,-12.84,-12.84,-12.69,-12.0,-11.47,-12.0,-13.06,-13.28,-13.47,-13.94,-14.53,-14.25,-13.59,-13.69,-14.25,-14.84,-15.03,-15.31,-16.56,-17.41,-17.34,-17.31,-17.97,-18.53,-18.19,-17.38,-16.69,-16.53,-15.59,-14.03,-12.75,-12.75,-12.47,-11.88,-12.12,-13.25,-14.22,-14.19,-13.59,-13.47,-13.56,-13.34,-13.06,-13.44,-14.44,-14.56,-13.5,-12.09,-11.09,-9.72,-7.97,-6.91,-6.81,-7.0,-6.94,-6.75,-7.38,-8.28,-8.78,-9.25,-9.69,-10.59,-10.31,-9.47,-8.41,-7.72,-6.94,-5.31,-3.31,-2.0,-0.94,-0.03,0.28,-0.91,-2.91,-4.72,-6.0,-7.09,-9.25,-10.84,-12.97,-15.0,-18.16,-20.72,-21.41,-20.75,-20.47,-20.22,-19.56,-18.72,-18.75,-18.84,-18.06,-17.03,-15.97,-15.47,-14.66,-12.97,-11.09,-10.28,-9.97,-9.47,-9.53,-10.78,-12.5,-13.56,-13.69,-13.38,-13.0,-11.91,-10.59,-10.25,-11.5,-13.34,-14.59,-15.66,-16.75,-17.59,-17.81,-17.56,-18.28,-19.25,-19.66,-19.16,-18.41,-17.59,-16.03,-13.56,-11.03,-9.59,-8.53,-7.72,-8.06,-10.09,-12.53,-14.66,-16.31,-17.72,-18.78,-19.12,-18.53,-18.06,-17.97,-17.5,-15.84,-13.88,-12.59,-11.03,-9.09,-6.97,-5.66,-4.69,-3.59,-2.66,-1.75,-1.75,-1.5,-0.62,-0.34,-1.03,-2.16,-2.69,-3.16,-4.19,-4.78,-4.84,-4.38,-5.03,-6.38,-7.72,-8.38,-9.53,-11.22,-12.56,-13.28,-14.47,-16.25,-16.69,-15.06,-12.12,-9.38,-6.0,-2.59,-0.19,1.16,1.34,1.25,0.72,-0.62,-3.12,-5.78,-8.25,-10.72,-13.59,-15.91,-16.62,-16.22,-15.94,-15.41,-15.0,-14.25,-14.53,-15.75,-16.06,-15.56,-14.88,-14.75,-14.06,-12.84,-11.84,-11.34,-11.12,-10.28,-8.91,-7.91,-7.0,-5.59,-3.19,-1.5,-0.41,0.66,1.59,1.72,0.84,-0.66,-1.31,-1.97,-3.16,-4.41,-4.91,-4.88,-5.19,-5.66,-5.94,-5.41,-5.5,-5.97,-6.78,-6.84,-6.84,-7.59,-8.06,-7.22,-6.22,-5.16,-4.5,-3.47,-2.78,-3.19,-3.91,-4.44,-4.28,-3.94,-3.72,-3.59,-3.06,-3.22,-4.62,-6.31,-7.34,-8.31,-9.25,-10.31,-10.47,-9.97,-9.41,-8.69,-7.94,-6.69,-5.53,-5.06,-5.19,-4.78,-4.91,-6.09,-7.31,-7.22,-6.19,-5.75,-5.84,-6.25,-6.62,-7.97,-9.69,-11.16,-11.12,-11.06,-11.28,-11.38,-10.12,-8.97,-8.09,-7.62,-6.47,-5.12,-4.41,-4.22,-3.88,-2.72,-2.56,-2.66,-2.97,-2.28,-2.19,-2.03,-2.34,-2.0,-2.31,-3.72,-5.88,-6.81,-7.38,-8.5,-9.16,-9.56,-9.41,-9.25,-9.25,-9.12,-8.22,-7.38,-7.69,-8.56,-8.47,-7.75,-7.66,-7.03,-5.78,-3.78,-2.44,-2.25,-2.19,-2.16,-3.12,-4.78,-6.53,-7.25,-7.62,-8.25,-8.94,-8.69,-8.44,-9.09,-9.97,-10.41,-9.91,-9.59,-9.81,-9.84,-9.5,-9.84,-11.34,-13.0,-13.38,-13.41,-13.38,-13.19,-11.75,-10.25,-9.78,-9.75,-9.34,-8.47,-7.25,-6.59,-5.75,-4.03,-2.66,-2.56,-2.88,-2.59,-2.38,-3.06,-4.03,-3.72,-2.5,-1.06,0.06,1.81,4.25,5.91,6.28,6.31,6.75,6.53,5.0,2.72,1.91,1.25,0.25,-1.03,-1.28,-1.62,-2.62,-4.56,-6.12,-7.16,-7.91,-8.78,-9.19,-7.97,-6.16,-4.69,-3.38,-1.62,0.12,0.91,1.06,1.31,2.41,3.5,4.09,5.03,6.44,8.09,8.81,9.28,10.06,10.56,9.94,7.75,5.59,3.19,0.38,-3.31,-6.38,-8.16,-9.69,-11.75,-12.44,-11.44,-9.66,-7.75,-5.38,-2.62,-0.09,1.19,1.59,2.62,3.97,5.03,5.22,5.81,6.25,5.81,4.06,1.78,-0.06,-2.25,-4.94,-7.47,-8.41,-8.38,-8.16,-8.28,-8.62,-8.94,-9.88,-12.03,-12.88,-12.47,-10.97,-9.5,-7.94,-5.28,-2.53,-1.22,-0.69,0.22,0.62,0.16,-0.94,-1.81,-1.59,-1.16,-1.47,-1.09,-0.41,0.06,-0.66,-1.91,-2.88,-3.66,-5.34,-7.06,-7.19,-6.66,-6.22,-6.59,-7.03,-6.91,-7.81,-9.53,-10.22,-9.75,-8.09,-7.12,-6.19,-4.72,-3.09,-3.09,-3.94,-3.66,-3.12,-2.88,-3.38,-3.44,-3.06,-2.44,-3.5,-4.69,-5.53,-6.0,-7.78,-9.31,-9.28,-8.31,-7.53,-7.28,-6.06,-4.19,-3.28,-3.72,-4.28,-4.25,-4.56,-5.88,-6.5,-5.69,-4.41,-4.03,-3.72,-2.09,0.12,2.38,4.53,7.59,11.03,13.78,15.09,15.84,16.09,15.28,12.66,9.91,7.84,7.16,6.09,5.75,6.19,6.94,7.16,7.06,7.16,7.84,7.62,6.53,5.56,5.0,4.84,3.84,3.38,3.56,4.31,3.84,3.25,3.28,4.12,5.12,5.56,6.62,8.59,10.25,10.03,9.81,10.25,10.28,8.94,7.88,8.0,8.5,8.12,7.56,7.66,8.12,8.22,7.78,8.44,9.75,11.25,11.44,11.72,12.5,13.59,12.97,12.62,13.12,13.66,13.44,13.0,12.72,13.47,14.31,14.53,16.0,18.59,20.66,20.84,19.5,17.56,15.25,10.59,6.0,1.84,-1.47,-5.88,-9.72,-11.66,-11.66,-9.59,-6.97,-2.41,3.81,10.31,15.56,20.06,23.62,25.28,23.53,19.75,15.28,10.69,5.69,0.19,-4.25,-6.91,-8.53,-9.69,-9.53,-7.38,-4.62,-3.41,-2.78,-2.19,-1.75,-2.41,-2.81,-2.19,-0.28,1.19,1.91,2.25,3.59,4.5,4.09,4.06,4.75,5.44,4.22,2.25,0.22,-2.25,-6.22,-10.81,-14.69,-17.25,-19.75,-21.88,-22.66,-20.97,-17.47,-14.22,-9.84,-3.97,1.38,4.84,6.69,8.41,9.53,9.75,9.47,10.34,12.34,14.09,15.41,16.41,17.28,17.16,15.41,12.78,10.91,9.66,8.34,7.16,6.94,7.56,7.25,6.31,5.31,5.03,3.72,1.81,-0.53,-1.66,-2.56,-4.31,-5.91,-6.25,-5.56,-6.12,-6.38,-5.34,-3.88,-2.72,-1.44,0.06,2.94,5.09,6.09,6.88,7.66,8.34,7.59,7.0,7.19,8.0,8.16,7.53,7.56,7.75,7.22,5.88,4.94,4.97,5.09,4.59,3.91,4.78,5.81,5.47,5.09,5.31,5.69,5.41,4.62,4.78,5.75,6.56,7.03,7.25,8.72,9.81,10.19,9.97,10.53,11.22,10.78,10.03,10.0,10.72,10.5,10.0,9.5,10.16,10.53,10.34,10.44,11.88,12.5,12.0,10.72,9.81,8.91,7.56,6.91,7.78,10.25,12.47,14.19,15.34,16.5,16.53,15.31,14.16,14.06,14.19,13.81,12.88,12.78,12.84,12.31,11.94,12.19,13.34,14.12,14.09,13.28,12.91,12.31,10.75,9.41,10.0,11.06,11.31,10.69,10.06,9.44,8.41,7.31,7.03,8.84,10.75,12.12,13.84,16.31,18.16,18.59,18.19,18.5,33.25,32.47,31.75,31.09,31.19,31.0,30.03,28.72,27.91,27.47,27.34,28.0,29.22,30.84,32.44,33.5,34.28,35.25,35.66,35.81,35.41,35.34,35.0,34.19,33.38,32.5,31.81,31.12,30.53,29.84,29.41,28.53,27.81,27.25,27.28,27.12,27.03,26.34,25.94,25.16,24.25,23.53:positivity
4.16,4.66,5.94,7.38,9.81,13.59,17.5,19.62,20.75,22.12,22.47,21.31,20.0,19.53,20.0,20.31,20.22,20.47,20.66,19.66,16.12,11.84,8.03,4.69,0.59,-1.78,-1.84,-0.41,1.06,2.69,5.09,7.78,9.72,11.09,13.56,16.91,20.69,23.72,26.38,29.19,31.25,31.41,30.81,30.66,30.69,29.66,27.75,25.88,24.28,22.31,19.56,17.47,16.66,16.06,14.75,14.12,14.53,15.25,15.34,15.25,15.91,17.38,17.62,17.72,17.88,18.69,19.47,19.97,21.34,24.31,27.0,28.12,28.34,27.81,26.34,22.62,18.22,15.28,13.5,12.56,12.25,12.75,13.66,14.03,13.22,12.06,12.09,12.56,12.84,14.03,16.44,19.56,21.75,23.34,24.62,25.97,26.12,25.53,25.12,25.94,26.59,26.59,25.72,25.22,24.03,21.03,17.81,15.31,14.06,11.91,9.97,8.91,9.34,9.16,8.41,8.22,8.94,9.31,9.38,10.0,11.72,13.41,13.81,13.62,13.53,13.06,11.59,9.78,9.03,9.28,9.72,10.28,11.34,13.56,15.59,16.41,17.28,18.97,20.75,21.25,21.72,22.03,22.66,23.0,23.09,23.28,24.0,23.69,21.75,19.16,17.97,17.28,16.97,17.06,19.31,21.94,24.22,26.09,28.03,30.16,30.69,30.28,29.75,29.66,29.66,28.69,27.66,27.66,27.5,26.19,24.75,24.09,24.22,23.84,23.31,23.44,24.16,24.19,23.84,23.66,24.19,24.69,24.59,24.03,23.97,23.72,22.75,20.97,20.0,19.53,18.66,17.72,17.41,18.72,19.62,20.53,21.16,22.94,24.47,24.38,24.81,25.91,27.06,27.47,27.25,27.84,28.81,28.62,27.78,26.38,25.84,24.78,23.22,21.88,21.75,21.72,21.25,21.06,21.88,22.78,23.31,23.22,24.06,25.62,27.06,28.0,29.12,30.47,30.5,29.03,26.0,23.56,21.34,19.03,17.47,17.28,18.0,18.28,18.25,19.03,21.25,23.66,26.03,28.38,31.09,33.0,32.97,31.97,31.34,30.66,29.47,28.25,27.97,28.25,28.47,28.72,29.56,31.47,32.41,32.34,31.81,32.53,32.62,32.5,32.53,33.66,34.47,34.28,33.44,32.59,32.28,31.62,30.72,31.19,32.44,33.72,33.78,34.12,35.06,35.53,34.78,33.5,32.38,30.69,28.09,24.69,22.16,20.62,19.09,17.53,17.25,18.25,19.12,19.22,18.62,18.38,16.94,14.41,12.0,11.03,11.81,13.16,14.88,17.75,21.25,24.22,25.78,27.28,29.19,30.47,30.41,30.06,30.41,30.19,29.62,28.47,28.19,28.16,27.81,27.06,26.53,26.5,26.31,25.44,24.88,25.66,26.47,26.94,27.28,28.38,28.94,28.66,27.34,26.47,25.5,24.12,22.19,20.84,20.97,21.31,21.44,22.38,24.03,25.72,26.06,25.94,26.44,27.0,27.47,27.62,28.56,29.97,30.75,30.28,29.84,29.03,27.88,25.47,23.41,22.09,21.44,20.78,19.72,19.41,18.81,18.22,16.97,16.62,17.12,17.84,18.16,19.0,20.66,22.62,23.62,24.22,25.06,25.81,25.75,24.69,24.12,23.81,22.88,21.16,20.28,19.78,19.38,18.09,17.03,17.22,17.94,18.41,19.22,21.25,23.62,25.28,26.69,28.53,30.22,31.25,31.12,31.0,31.09,32.0,31.75,31.84,32.66,33.44,32.47,30.78,29.69,28.69,27.16,25.59,24.94,24.41,24.28,23.84,23.94,24.69,26.06,27.03,28.16,29.56,31.38,32.28,32.5,33.09,33.94,34.12,33.41,32.69,32.25,31.94,30.19,29.0,28.75,28.59,27.53,26.25,25.81,25.28,24.22,23.44,23.12,23.88,24.56,24.5,24.75,25.28,25.41,24.44,24.22,24.72,25.81,26.06,26.25,26.59,26.5,25.38,23.62,21.84,21.22,20.56,20.03,20.34,22.0,24.06,25.47,27.19,29.34,30.94,31.5,30.84,30.03,29.47,28.41,26.72,25.97,26.12,26.62,26.34,26.25,27.0,27.88,26.97,26.19,25.84,25.75,25.03,24.75,25.53,27.03,28.28,28.88,29.06,29.56,29.75,28.88,28.0,27.88,28.0,27.78,27.75,28.12,29.06,28.78,27.53,26.59,25.78,24.62,22.84,21.25,20.62,19.75,18.25,17.09,16.62,16.66,16.53,16.69,17.47,19.12,19.94,20.44,20.53,20.88,20.62,19.28,17.88,17.09,16.41,15.22,14.16,13.78,13.62,12.88,11.91,11.34,12.0,12.91,14.12,15.75,17.97,19.69,19.94,20.16,20.47,20.88,20.69,20.03,20.47,21.16,21.16,20.38,19.03,18.22,17.09,15.69,15.25,16.12,16.84,17.0,16.56,16.75,17.34,17.34,17.5,18.0,19.28,19.59,19.47,19.16,19.66,19.78,19.38,19.16,20.31,21.69,22.66,23.88,25.88,28.19,29.44,29.62,29.5,29.44,28.72,27.91,27.16,27.16,26.75,25.31,23.62,22.72,21.75,20.41,19.16,19.09,19.53,20.12,21.03,22.41,24.34,25.97,26.44,26.47,26.91,26.94,25.94,24.53,23.72,23.09,22.03,21.06,21.12,21.62,22.09,22.16,22.09,22.62,22.75,22.22,21.28,21.22,20.91,20.44,19.47,19.75,20.0,19.56,18.88,18.94,19.66,20.41,20.78,20.94,21.09,20.47,19.12,17.22,16.69,16.41,15.72,15.19,15.94,17.44,18.53,19.84,21.59,23.69,25.44,26.53,27.84,29.91,32.03,33.06,33.16,33.41,33.03,31.19,27.88,24.94,22.0,18.53,15.0,13.19,13.66,15.06,16.78,19.66,23.28,27.0,29.31,31.31,33.41,34.94,35.31,35.03,34.41,33.38,31.31,27.25,23.16,19.62,15.97,12.59,10.28,9.88,10.38,10.31,10.31,11.28,12.59,13.91,14.94,16.44,18.66,20.22,21.03,21.53,22.38,22.81,22.0,20.88,20.28,20.06,19.31,18.16,18.28,19.28,20.06,20.31,21.22,22.59,22.88,21.94,21.41,21.81,22.78,23.81,25.12,28.0,31.28,33.62,35.66,38.28,41.06,42.97,43.59,44.25,44.06,42.5,39.41,35.31,32.31,29.5,25.88,22.34,19.94,17.5,14.62,11.59,9.81,9.31,9.34,9.38,10.78,12.72,14.53,15.84,17.09,19.25,22.06,23.84,25.12,26.66,27.88,28.31,27.59,26.94,26.59,26.06,24.25,22.78,22.19,21.72,20.28,18.62,18.19,18.12,17.22,16.31,15.84,15.66,14.94,13.16,11.75,10.97,10.12,8.22,6.66,6.44,6.53,6.94,8.34,11.16,15.09,18.38,21.25,24.19,26.94,29.34,30.03,31.0,31.94,32.28,31.38,29.94,28.81,27.59,25.16,22.84,21.19,20.38,19.62,18.91,19.44,20.84,22.34,22.75,23.0,23.56,23.91,23.22,22.91,24.03,25.41,25.34,24.53,23.69,22.31,20.25,17.16,14.41,12.25,9.88,6.84,4.53,3.81,3.66,2.66,2.75,3.84,6.19,8.44,11.41,15.62,19.75,23.28,25.22,26.88,28.34,28.62,27.88,26.91,26.84,26.78,25.22,23.66,22.22,20.44,17.62,14.75,13.0,12.53,12.81,12.84,13.41,14.78,16.31,16.38,16.84,17.28,17.31,15.28,12.69,10.09,8.31,5.84,3.41,1.81,1.16,1.22,1.5,3.59,7.34,12.09,15.84,19.56,23.59,27.62,30.19,32.12,34.56,36.78,37.59,36.62,34.66,32.16,28.47,23.22,18.22,14.38,10.5,6.06,2.38,0.38,-0.22,-0.12,1.31,4.97,10.22,15.16,19.25,22.59,25.38,26.75,26.44,25.75,25.66,25.53,24.19,22.5,22.06,22.31,22.0,21.59,21.81,22.03,20.94,19.0,17.16,16.88,17.28,17.47,18.28,19.66,20.5,20.09,18.91,18.47,18.75,18.84,18.88,19.44,20.59,20.62,19.03,16.81,14.75,12.28,9.41,7.28,6.81,7.75,7.88,8.25,9.78,11.75,13.19,14.03,15.06,16.88,18.41,19.06,20.84,24.5,28.34,30.53,31.38,31.25,28.88,23.41,16.53,10.38,5.28,0.53,-3.75,-6.38,-7.38,-7.94,-8.62,-8.09,-5.69,-2.62,-0.16,2.47,5.78,9.28,11.53,13.44,15.94,19.44,22.69,24.94,26.78,28.44,28.5,26.5,23.75,21.25,19.06,15.94,13.12,11.56,11.25,10.47,10.12,10.78,12.53,13.88,14.53,15.84,18.19,20.28,21.41,22.0,23.62,24.88,25.19,24.78,24.88,25.09,24.47,22.62,21.47,21.12,20.06,18.09,16.47,15.78,14.53,12.62,10.09,8.16,6.5,3.97,2.22,1.16,1.94,2.47,3.09,4.28,6.34,8.38,10.03,11.94,14.59,17.06,18.53,19.41,20.88,22.22,22.47,21.72,20.88,20.41,18.84,16.09,13.5,11.44,8.62,5.22,2.53,1.62,1.12,0.72,0.56,1.44,2.72,2.78,2.28,1.97,2.16,1.81,1.16,1.16,2.31,3.09,2.72,2.53,2.91,3.31,2.84,2.16,1.84,1.91,1.28,0.25,-0.38,0.44,1.12,1.44,1.97,3.53,5.22,5.28,5.16,5.97,6.72,6.66,6.5,7.75,9.41,10.91,11.56,12.09,13.19,13.34,12.72,12.56,13.22,13.44,13.41,13.38,13.75,14.34,15.06,15.5,16.81,18.5,19.5,19.41,18.12,17.28,15.56,13.5,12.44,13.06,14.38,15.44,15.69,15.81,15.91,15.34,14.34,14.34,15.38,16.66,17.72,18.97,21.34,23.72,24.91,25.88,27.66,28.75,28.72,27.22,25.72,23.78,20.81,16.69,13.66,11.44,9.41,7.22,5.47,5.16,4.62,3.72:19.62,20.75,22.12,22.47,21.31,20.0,19.53,20.0,20.31,20.22,20.47,20.66,19.66,16.12,11.84,8.03,4.69,0.59,-1.78,-1.84,-0.41,1.06,2.69,5.09,7.78,9.72,11.09,13.56,16.91,20.69,23.72,26.38,29.19,31.25,31.41,30.81,30.66,30.69,29.66,27.75,25.88,24.28,22.31,19.56,17.47,16.66,16.06,14.75,14.12,14.53,15.25,15.34,15.25,15.91,17.38,17.62,17.72,17.88,18.69,19.47,19.97,21.34,24.31,27.0,28.12,28.34,27.81,26.34,22.62,18.22,15.28,13.5,12.56,12.25,12.75,13.66,14.03,13.22,12.06,12.09,12.56,12.84,14.03,16.44,19.56,21.75,23.34,24.62,25.97,26.12,25.53,25.12,25.94,26.59,26.59,25.72,25.22,24.03,21.03,17.81,15.31,14.06,11.91,9.97,8.91,9.34,9.16,8.41,8.22,8.94,9.31,9.38,10.0,11.72,13.41,13.81,13.62,13.53,13.06,11.59,9.78,9.03,9.28,9.72,10.28,11.34,13.56,15.59,16.41,17.28,18.97,20.75,21.25,21.72,22.03,22.66,23.0,23.09,23.28,24.0,23.69,21.75,19.16,17.97,17.28,16.97,17.06,19.31,21.94,24.22,26.09,28.03,30.16,30.69,30.28,29.75,29.66,29.66,28.69,27.66,27.66,27.5,26.19,24.75,24.09,24.22,23.84,23.31,23.44,24.16,24.19,23.84,23.66,24.19,24.69,24.59,24.03,23.97,23.72,22.75,20.97,20.0,19.53,18.66,17.72,17.41,18.72,19.62,20.53,21.16,22.94,24.47,24.38,24.81,25.91,27.06,27.47,27.25,27.84,28.81,28.62,27.78,26.38,25.84,24.78,23.22,21.88,21.75,21.72,21.25,21.06,21.88,22.78,23.31,23.22,24.06,25.62,27.06,28.0,29.12,30.47,30.5,29.03,26.0,23.56,21.34,19.03,17.47,17.28,18.0,18.28,18.25,19.03,21.25,23.66,26.03,28.38,31.09,33.0,32.97,31.97,31.34,30.66,29.47,28.25,27.97,28.25,28.47,28.72,29.56,31.47,32.41,32.34,31.81,32.53,32.62,32.5,32.53,33.66,34.47,34.28,33.44,32.59,32.28,31.62,30.72,31.19,32.44,33.72,33.78,34.12,35.06,35.53,34.78,33.5,32.38,30.69,28.09,24.69,22.16,20.62,19.09,17.53,17.25,18.25,19.12,19.22,18.62,18.38,16.94,14.41,12.0,11.03,11.81,13.16,14.88,17.75,21.25,24.22,25.78,27.28,29.19,30.47,30.41,30.06,30.41,30.19,29.62,28.47,28.19,28.16,27.81,27.06,26.53,26.5,26.31,25.44,24.88,25.66,26.47,26.94,27.28,28.38,28.94,28.66,27.34,26.47,25.5,24.12,22.19,20.84,20.97,21.31,21.44,22.38,24.03,25.72,26.06,25.94,26.44,27.0,27.47,27.62,28.56,29.97,30.75,30.28,29.84,29.03,27.88,25.47,23.41,22.09,21.44,20.78,19.72,19.41,18.81,18.22,16.97,16.62,17.12,17.84,18.16,19.0,20.66,22.62,23.62,24.22,25.06,25.81,25.75,24.69,24.12,23.81,22.88,21.16,20.28,19.78,19.38,18.09,17.03,17.22,17.94,18.41,19.22,21.25,23.62,25.28,26.69,28.53,30.22,31.25,31.12,31.0,31.09,32.0,31.75,31.84,32.66,33.44,32.47,30.78,29.69,28.69,27.16,25.59,24.94,24.41,24.28,23.84,23.94,24.69,26.06,27.03,28.16,29.56,31.38,32.28,32.5,33.09,33.94,34.12,33.41,32.69,32.25,31.94,30.19,29.0,28.75,28.59,27.53,26.25,25.81,25.28,24.22,23.44,23.12,23.88,24.56,24.5,24.75,25.28,25.41,24.44,24.22,24.72,25.81,26.06,26.25,26.59,26.5,25.38,23.62,21.84,21.22,20.56,20.03,20.34,22.0,24.06,25.47,27.19,29.34,30.94,31.5,30.84,30.03,29.47,28.41,26.72,25.97,26.12,26.62,26.34,26.25,27.0,27.88,26.97,26.19,25.84,25.75,25.03,24.75,25.53,27.03,28.28,28.88,29.06,29.56,29.75,28.88,28.0,27.88,28.0,27.78,27.75,28.12,29.06,28.78,27.53,26.59,25.78,24.62,22.84,21.25,20.62,19.75,18.25,17.09,16.62,16.66,16.53,16.69,17.47,19.12,19.94,20.44,20.53,20.88,20.62,19.28,17.88,17.09,16.41,15.22,14.16,13.78,13.62,12.88,11.91,11.34,12.0,12.91,14.12,15.75,17.97,19.69,19.94,20.16,20.47,20.88,20.69,20.03,20.47,21.16,21.16,20.38,19.03,18.22,17.09,15.69,15.25,16.12,16.84,17.0,16.56,16.75,17.34,17.34,17.5,18.0,19.28,19.59,19.47,19.16,19.66,19.78,19.38,19.16,20.31,21.69,22.66,23.88,25.88,28.19,29.44,29.62,29.5,29.44,28.72,27.91,27.16,27.16,26.75,25.31,23.62,22.72,21.75,20.41,19.16,19.09,19.53,20.12,21.03,22.41,24.34,25.97,26.44,26.47,26.91,26.94,25.94,24.53,23.72,23.09,22.03,21.06,21.12,21.62,22.09,22.16,22.09,22.62,22.75,22.22,21.28,21.22,20.91,20.44,19.47,19.75,20.0,19.56,18.88,18.94,19.66,20.41,20.78,20.94,21.09,20.47,19.12,17.22,16.69,16.41,15.72,15.19,15.94,17.44,18.53,19.84,21.59,23.69,25.44,26.53,27.84,29.91,32.03,33.06,33.16,33.41,33.03,31.19,27.88,24.94,22.0,18.53,15.0,13.19,13.66,15.06,16.78,19.66,23.28,27.0,29.31,31.31,33.41,34.94,35.31,35.03,34.41,33.38,31.31,27.25,23.16,19.62,15.97,12.59,10.28,9.88,10.38,10.31,10.31,11.28,12.59,13.91,14.94,16.44,18.66,20.22,21.03,21.53,22.38,22.81,22.0,20.88,20.28,20.06,19.31,18.16,18.28,19.28,20.06,20.31,21.22,22.59,22.88,21.94,21.41,21.81,22.78,23.81,25.12,28.0,31.28,33.62,35.66,38.28,41.06,42.97,43.59,44.25,44.06,42.5,39.41,35.31,32.31,29.5,25.88,22.34,19.94,17.5,14.62,11.59,9.81,9.31,9.34,9.38,10.78,12.72,14.53,15.84,17.09,19.25,22.06,23.84,25.12,26.66,27.88,28.31,27.59,26.94,26.59,26.06,24.25,22.78,22.19,21.72,20.28,18.62,18.19,18.12,17.22,16.31,15.84,15.66,14.94,13.16,11.75,10.97,10.12,8.22,6.66,6.44,6.53,6.94,8.34,11.16,15.09,18.38,21.25,24.19,26.94,29.34,30.03,31.0,31.94,32.28,31.38,29.94,28.81,27.59,25.16,22.84,21.19,20.38,19.62,18.91,19.44,20.84,22.34,22.75,23.0,23.56,23.91,23.22,22.91,24.03,25.41,25.34,24.53,23.69,22.31,20.25,17.16,14.41,12.25,9.88,6.84,4.53,3.81,3.66,2.66,2.75,3.84,6.19,8.44,11.41,15.62,19.75,23.28,25.22,26.88,28.34,28.62,27.88,26.91,26.84,26.78,25.22,23.66,22.22,20.44,17.62,14.75,13.0,12.53,12.81,12.84,13.41,14.78,16.31,16.38,16.84,17.28,17.31,15.28,12.69,10.09,8.31,5.84,3.41,1.81,1.16,1.22,1.5,3.59,7.34,12.09,15.84,19.56,23.59,27.62,30.19,32.12,34.56,36.78,37.59,36.62,34.66,32.16,28.47,23.22,18.22,14.38,10.5,6.06,2.38,0.38,-0.22,-0.12,1.31,4.97,10.22,15.16,19.25,22.59,25.38,26.75,26.44,25.75,25.66,25.53,24.19,22.5,22.06,22.31,22.0,21.59,21.81,22.03,20.94,19.0,17.16,16.88,17.28,17.47,18.28,19.66,20.5,20.09,18.91,18.47,18.75,18.84,18.88,19.44,20.59,20.62,19.03,16.81,14.75,12.28,9.41,7.28,6.81,7.75,7.88,8.25,9.78,11.75,13.19,14.03,15.06,16.88,18.41,19.06,20.84,24.5,28.34,30.53,31.38,31.25,28.88,23.41,16.53,10.38,5.28,0.53,-3.75,-6.38,-7.38,-7.94,-8.62,-8.09,-5.69,-2.62,-0.16,2.47,5.78,9.28,11.53,13.44,15.94,19.44,22.69,24.94,26.78,28.44,28.5,26.5,23.75,21.25,19.06,15.94,13.12,11.56,11.25,10.47,10.12,10.78,12.53,13.88,14.53,15.84,18.19,20.28,21.41,22.0,23.62,24.88,25.19,24.78,24.88,25.09,24.47,22.62,21.47,21.12,20.06,18.09,16.47,15.78,14.53,12.62,10.09,8.16,6.5,3.97,2.22,1.16,1.94,2.47,3.09,4.28,6.34,8.38,10.03,11.94,14.59,17.06,18.53,19.41,20.88,22.22,22.47,21.72,20.88,20.41,18.84,16.09,13.5,11.44,8.62,5.22,2.53,1.62,1.12,0.72,0.56,1.44,2.72,2.78,2.28,1.97,2.16,1.81,1.16,1.16,2.31,3.09,2.72,2.53,2.91,3.31,2.84,2.16,1.84,1.91,1.28,0.25,-0.38,0.44,1.12,1.44,1.97,3.53,5.22,5.28,5.16,5.97,6.72,6.66,6.5,7.75,9.41,10.91,11.56,12.09,13.19,13.34,12.72,12.56,13.22,13.44,13.41,13.38,13.75,14.34,15.06,15.5,16.81,18.5,19.5,19.41,18.12,17.28,15.56,13.5,12.44,13.06,14.38,15.44,15.69,15.81,15.91,15.34,14.34,14.34,15.38,16.66,17.72,18.97,21.34,23.72,24.91,25.88,27.66,28.75,28.72,27.22,25.72,23.78,20.81,16.69,13.66,11.44,9.41,7.22,5.47,5.16,4.62,3.72,31.22,30.56,31.0,32.09,34.25,36.84,39.91:20.0,20.31,20.22,20.47,20.66,19.66,16.12,11.84,8.03,4.69,0.59,-1.78,-1.84,-0.41,1.06,2.69,5.09,7.78,9.72,11.09,13.56,16.91,20.69,23.72,26.38,29.19,31.25,31.41,30.81,30.66,30.69,29.66,27.75,25.88,24.28,22.31,19.56,17.47,16.66,16.06,14.75,14.12,14.53,15.25,15.34,15.25,15.91,17.38,17.62,17.72,17.88,18.69,19.47,19.97,21.34,24.31,27.0,28.12,28.34,27.81,26.34,22.62,18.22,15.28,13.5,12.56,12.25,12.75,13.66,14.03,13.22,12.06,12.09,12.56,12.84,14.03,16.44,19.56,21.75,23.34,24.62,25.97,26.12,25.53,25.12,25.94,26.59,26.59,25.72,25.22,24.03,21.03,17.81,15.31,14.06,11.91,9.97,8.91,9.34,9.16,8.41,8.22,8.94,9.31,9.38,10.0,11.72,13.41,13.81,13.62,13.53,13.06,11.59,9.78,9.03,9.28,9.72,10.28,11.34,13.56,15.59,16.41,17.28,18.97,20.75,21.25,21.72,22.03,22.66,23.0,23.09,23.28,24.0,23.69,21.75,19.16,17.97,17.28,16.97,17.06,19.31,21.94,24.22,26.09,28.03,30.16,30.69,30.28,29.75,29.66,29.66,28.69,27.66,27.66,27.5,26.19,24.75,24.09,24.22,23.84,23.31,23.44,24.16,24.19,23.84,23.66,24.19,24.69,24.59,24.03,23.97,23.72,22.75,20.97,20.0,19.53,18.66,17.72,17.41,18.72,19.62,20.53,21.16,22.94,24.47,24.38,24.81,25.91,27.06,27.47,27.25,27.84,28.81,28.62,27.78,26.38,25.84,24.78,23.22,21.88,21.75,21.72,21.25,21.06,21.88,22.78,23.31,23.22,24.06,25.62,27.06,28.0,29.12,30.47,30.5,29.03,26.0,23.56,21.34,19.03,17.47,17.28,18.0,18.28,18.25,19.03,21.25,23.66,26.03,28.38,31.09,33.0,32.97,31.97,31.34,30.66,29.47,28.25,27.97,28.25,28.47,28.72,29.56,31.47,32.41,32.34,31.81,32.53,32.62,32.5,32.53,33.66,34.47,34.28,33.44,32.59,32.28,31.62,30.72,31.19,32.44,33.72,33.78,34.12,35.06,35.53,34.78,33.5,32.38,30.69,28.09,24.69,22.16,20.62,19.09,17.53,17.25,18.25,19.12,19.22,18.62,18.38,16.94,14.41,12.0,11.03,11.81,13.16,14.88,17.75,21.25,24.22,25.78,27.28,29.19,30.47,30.41,30.06,30.41,30.19,29.62,28.47,28.19,28.16,27.81,27.06,26.53,26.5,26.31,25.44,24.88,25.66,26.47,26.94,27.28,28.38,28.94,28.66,27.34,26.47,25.5,24.12,22.19,20.84,20.97,21.31,21.44,22.38,24.03,25.72,26.06,25.94,26.44,27.0,27.47,27.62,28.56,29.97,30.75,30.28,29.84,29.03,27.88,25.47,23.41,22.09,21.44,20.78,19.72,19.41,18.81,18.22,16.97,16.62,17.12,17.84,18.16,19.0,20.66,22.62,23.62,24.22,25.06,25.81,25.75,24.69,24.12,23.81,22.88,21.16,20.28,19.78,19.38,18.09,17.03,17.22,17.94,18.41,19.22,21.25,23.62,25.28,26.69,28.53,30.22,31.25,31.12,31.0,31.09,32.0,31.75,31.84,32.66,33.44,32.47,30.78,29.69,28.69,27.16,25.59,24.94,24.41,24.28,23.84,23.94,24.69,26.06,27.03,28.16,29.56,31.38,32.28,32.5,33.09,33.94,34.12,33.41,32.69,32.25,31.94,30.19,29.0,28.75,28.59,27.53,26.25,25.81,25.28,24.22,23.44,23.12,23.88,24.56,24.5,24.75,25.28,25.41,24.44,24.22,24.72,25.81,26.06,26.25,26.59,26.5,25.38,23.62,21.84,21.22,20.56,20.03,20.34,22.0,24.06,25.47,27.19,29.34,30.94,31.5,30.84,30.03,29.47,28.41,26.72,25.97,26.12,26.62,26.34,26.25,27.0,27.88,26.97,26.19,25.84,25.75,25.03,24.75,25.53,27.03,28.28,28.88,29.06,29.56,29.75,28.88,28.0,27.88,28.0,27.78,27.75,28.12,29.06,28.78,27.53,26.59,25.78,24.62,22.84,21.25,20.62,19.75,18.25,17.09,16.62,16.66,16.53,16.69,17.47,19.12,19.94,20.44,20.53,20.88,20.62,19.28,17.88,17.09,16.41,15.22,14.16,13.78,13.62,12.88,11.91,11.34,12.0,12.91,14.12,15.75,17.97,19.69,19.94,20.16,20.47,20.88,20.69,20.03,20.47,21.16,21.16,20.38,19.03,18.22,17.09,15.69,15.25,16.12,16.84,17.0,16.56,16.75,17.34,17.34,17.5,18.0,19.28,19.59,19.47,19.16,19.66,19.78,19.38,19.16,20.31,21.69,22.66,23.88,25.88,28.19,29.44,29.62,29.5,29.44,28.72,27.91,27.16,27.16,26.75,25.31,23.62,22.72,21.75,20.41,19.16,19.09,19.53,20.12,21.03,22.41,24.34,25.97,26.44,26.47,26.91,26.94,25.94,24.53,23.72,23.09,22.03,21.06,21.12,21.62,22.09,22.16,22.09,22.62,22.75,22.22,21.28,21.22,20.91,20.44,19.47,19.75,20.0,19.56,18.88,18.94,19.66,20.41,20.78,20.94,21.09,20.47,19.12,17.22,16.69,16.41,15.72,15.19,15.94,17.44,18.53,19.84,21.59,23.69,25.44,26.53,27.84,29.91,32.03,33.06,33.16,33.41,33.03,31.19,27.88,24.94,22.0,18.53,15.0,13.19,13.66,15.06,16.78,19.66,23.28,27.0,29.31,31.31,33.41,34.94,35.31,35.03,34.41,33.38,31.31,27.25,23.16,19.62,15.97,12.59,10.28,9.88,10.38,10.31,10.31,11.28,12.59,13.91,14.94,16.44,18.66,20.22,21.03,21.53,22.38,22.81,22.0,20.88,20.28,20.06,19.31,18.16,18.28,19.28,20.06,20.31,21.22,22.59,22.88,21.94,21.41,21.81,22.78,23.81,25.12,28.0,31.28,33.62,35.66,38.28,41.06,42.97,43.59,44.25,44.06,42.5,39.41,35.31,32.31,29.5,25.88,22.34,19.94,17.5,14.62,11.59,9.81,9.31,9.34,9.38,10.78,12.72,14.53,15.84,17.09,19.25,22.06,23.84,25.12,26.66,27.88,28.31,27.59,26.94,26.59,26.06,24.25,22.78,22.19,21.72,20.28,18.62,18.19,18.12,17.22,16.31,15.84,15.66,14.94,13.16,11.75,10.97,10.12,8.22,6.66,6.44,6.53,6.94,8.34,11.16,15.09,18.38,21.25,24.19,26.94,29.34,30.03,31.0,31.94,32.28,31.38,29.94,28.81,27.59,25.16,22.84,21.19,20.38,19.62,18.91,19.44,20.84,22.34,22.75,23.0,23.56,23.91,23.22,22.91,24.03,25.41,25.34,24.53,23.69,22.31,20.25,17.16,14.41,12.25,9.88,6.84,4.53,3.81,3.66,2.66,2.75,3.84,6.19,8.44,11.41,15.62,19.75,23.28,25.22,26.88,28.34,28.62,27.88,26.91,26.84,26.78,25.22,23.66,22.22,20.44,17.62,14.75,13.0,12.53,12.81,12.84,13.41,14.78,16.31,16.38,16.84,17.28,17.31,15.28,12.69,10.09,8.31,5.84,3.41,1.81,1.16,1.22,1.5,3.59,7.34,12.09,15.84,19.56,23.59,27.62,30.19,32.12,34.56,36.78,37.59,36.62,34.66,32.16,28.47,23.22,18.22,14.38,10.5,6.06,2.38,0.38,-0.22,-0.12,1.31,4.97,10.22,15.16,19.25,22.59,25.38,26.75,26.44,25.75,25.66,25.53,24.19,22.5,22.06,22.31,22.0,21.59,21.81,22.03,20.94,19.0,17.16,16.88,17.28,17.47,18.28,19.66,20.5,20.09,18.91,18.47,18.75,18.84,18.88,19.44,20.59,20.62,19.03,16.81,14.75,12.28,9.41,7.28,6.81,7.75,7.88,8.25,9.78,11.75,13.19,14.03,15.06,16.88,18.41,19.06,20.84,24.5,28.34,30.53,31.38,31.25,28.88,23.41,16.53,10.38,5.28,0.53,-3.75,-6.38,-7.38,-7.94,-8.62,-8.09,-5.69,-2.62,-0.16,2.47,5.78,9.28,11.53,13.44,15.94,19.44,22.69,24.94,26.78,28.44,28.5,26.5,23.75,21.25,19.06,15.94,13.12,11.56,11.25,10.47,10.12,10.78,12.53,13.88,14.53,15.84,18.19,20.28,21.41,22.0,23.62,24.88,25.19,24.78,24.88,25.09,24.47,22.62,21.47,21.12,20.06,18.09,16.47,15.78,14.53,12.62,10.09,8.16,6.5,3.97,2.22,1.16,1.94,2.47,3.09,4.28,6.34,8.38,10.03,11.94,14.59,17.06,18.53,19.41,20.88,22.22,22.47,21.72,20.88,20.41,18.84,16.09,13.5,11.44,8.62,5.22,2.53,1.62,1.12,0.72,0.56,1.44,2.72,2.78,2.28,1.97,2.16,1.81,1.16,1.16,2.31,3.09,2.72,2.53,2.91,3.31,2.84,2.16,1.84,1.91,1.28,0.25,-0.38,0.44,1.12,1.44,1.97,3.53,5.22,5.28,5.16,5.97,6.72,6.66,6.5,7.75,9.41,10.91,11.56,12.09,13.19,13.34,12.72,12.56,13.22,13.44,13.41,13.38,13.75,14.34,15.06,15.5,16.81,18.5,19.5,19.41,18.12,17.28,15.56,13.5,12.44,13.06,14.38,15.44,15.69,15.81,15.91,15.34,14.34,14.34,15.38,16.66,17.72,18.97,21.34,23.72,24.91,25.88,27.66,28.75,28.72,27.22,25.72,23.78,20.81,16.69,13.66,11.44,9.41,7.22,5.47,5.16,4.62,3.72,31.22,30.56,31.0,32.09,34.25,36.84,39.91,42.22,43.59,44.12,44.16,43.97,43.59,43.75:11.84,8.03,4.69,0.59,-1.78,-1.84,-0.41,1.06,2.69,5.09,7.78,9.72,11.09,13.56,16.91,20.69,23.72,26.38,29.19,31.25,31.41,30.81,30.66,30.69,29.66,27.75,25.88,24.28,22.31,19.56,17.47,16.66,16.06,14.75,14.12,14.53,15.25,15.34,15.25,15.91,17.38,17.62,17.72,17.88,18.69,19.47,19.97,21.34,24.31,27.0,28.12,28.34,27.81,26.34,22.62,18.22,15.28,13.5,12.56,12.25,12.75,13.66,14.03,13.22,12.06,12.09,12.56,12.84,14.03,16.44,19.56,21.75,23.34,24.62,25.97,26.12,25.53,25.12,25.94,26.59,26.59,25.72,25.22,24.03,21.03,17.81,15.31,14.06,11.91,9.97,8.91,9.34,9.16,8.41,8.22,8.94,9.31,9.38,10.0,11.72,13.41,13.81,13.62,13.53,13.06,11.59,9.78,9.03,9.28,9.72,10.28,11.34,13.56,15.59,16.41,17.28,18.97,20.75,21.25,21.72,22.03,22.66,23.0,23.09,23.28,24.0,23.69,21.75,19.16,17.97,17.28,16.97,17.06,19.31,21.94,24.22,26.09,28.03,30.16,30.69,30.28,29.75,29.66,29.66,28.69,27.66,27.66,27.5,26.19,24.75,24.09,24.22,23.84,23.31,23.44,24.16,24.19,23.84,23.66,24.19,24.69,24.59,24.03,23.97,23.72,22.75,20.97,20.0,19.53,18.66,17.72,17.41,18.72,19.62,20.53,21.16,22.94,24.47,24.38,24.81,25.91,27.06,27.47,27.25,27.84,28.81,28.62,27.78,26.38,25.84,24.78,23.22,21.88,21.75,21.72,21.25,21.06,21.88,22.78,23.31,23.22,24.06,25.62,27.06,28.0,29.12,30.47,30.5,29.03,26.0,23.56,21.34,19.03,17.47,17.28,18.0,18.28,18.25,19.03,21.25,23.66,26.03,28.38,31.09,33.0,32.97,31.97,31.34,30.66,29.47,28.25,27.97,28.25,28.47,28.72,29.56,31.47,32.41,32.34,31.81,32.53,32.62,32.5,32.53,33.66,34.47,34.28,33.44,32.59,32.28,31.62,30.72,31.19,32.44,33.72,33.78,34.12,35.06,35.53,34.78,33.5,32.38,30.69,28.09,24.69,22.16,20.62,19.09,17.53,17.25,18.25,19.12,19.22,18.62,18.38,16.94,14.41,12.0,11.03,11.81,13.16,14.88,17.75,21.25,24.22,25.78,27.28,29.19,30.47,30.41,30.06,30.41,30.19,29.62,28.47,28.19,28.16,27.81,27.06,26.53,26.5,26.31,25.44,24.88,25.66,26.47,26.94,27.28,28.38,28.94,28.66,27.34,26.47,25.5,24.12,22.19,20.84,20.97,21.31,21.44,22.38,24.03,25.72,26.06,25.94,26.44,27.0,27.47,27.62,28.56,29.97,30.75,30.28,29.84,29.03,27.88,25.47,23.41,22.09,21.44,20.78,19.72,19.41,18.81,18.22,16.97,16.62,17.12,17.84,18.16,19.0,20.66,22.62,23.62,24.22,25.06,25.81,25.75,24.69,24.12,23.81,22.88,21.16,20.28,19.78,19.38,18.09,17.03,17.22,17.94,18.41,19.22,21.25,23.62,25.28,26.69,28.53,30.22,31.25,31.12,31.0,31.09,32.0,31.75,31.84,32.66,33.44,32.47,30.78,29.69,28.69,27.16,25.59,24.94,24.41,24.28,23.84,23.94,24.69,26.06,27.03,28.16,29.56,31.38,32.28,32.5,33.09,33.94,34.12,33.41,32.69,32.25,31.94,30.19,29.0,28.75,28.59,27.53,26.25,25.81,25.28,24.22,23.44,23.12,23.88,24.56,24.5,24.75,25.28,25.41,24.44,24.22,24.72,25.81,26.06,26.25,26.59,26.5,25.38,23.62,21.84,21.22,20.56,20.03,20.34,22.0,24.06,25.47,27.19,29.34,30.94,31.5,30.84,30.03,29.47,28.41,26.72,25.97,26.12,26.62,26.34,26.25,27.0,27.88,26.97,26.19,25.84,25.75,25.03,24.75,25.53,27.03,28.28,28.88,29.06,29.56,29.75,28.88,28.0,27.88,28.0,27.78,27.75,28.12,29.06,28.78,27.53,26.59,25.78,24.62,22.84,21.25,20.62,19.75,18.25,17.09,16.62,16.66,16.53,16.69,17.47,19.12,19.94,20.44,20.53,20.88,20.62,19.28,17.88,17.09,16.41,15.22,14.16,13.78,13.62,12.88,11.91,11.34,12.0,12.91,14.12,15.75,17.97,19.69,19.94,20.16,20.47,20.88,20.69,20.03,20.47,21.16,21.16,20.38,19.03,18.22,17.09,15.69,15.25,16.12,16.84,17.0,16.56,16.75,17.34,17.34,17.5,18.0,19.28,19.59,19.47,19.16,19.66,19.78,19.38,19.16,20.31,21.69,22.66,23.88,25.88,28.19,29.44,29.62,29.5,29.44,28.72,27.91,27.16,27.16,26.75,25.31,23.62,22.72,21.75,20.41,19.16,19.09,19.53,20.12,21.03,22.41,24.34,25.97,26.44,26.47,26.91,26.94,25.94,24.53,23.72,23.09,22.03,21.06,21.12,21.62,22.09,22.16,22.09,22.62,22.75,22.22,21.28,21.22,20.91,20.44,19.47,19.75,20.0,19.56,18.88,18.94,19.66,20.41,20.78,20.94,21.09,20.47,19.12,17.22,16.69,16.41,15.72,15.19,15.94,17.44,18.53,19.84,21.59,23.69,25.44,26.53,27.84,29.91,32.03,33.06,33.16,33.41,33.03,31.19,27.88,24.94,22.0,18.53,15.0,13.19,13.66,15.06,16.78,19.66,23.28,27.0,29.31,31.31,33.41,34.94,35.31,35.03,34.41,33.38,31.31,27.25,23.16,19.62,15.97,12.59,10.28,9.88,10.38,10.31,10.31,11.28,12.59,13.91,14.94,16.44,18.66,20.22,21.03,21.53,22.38,22.81,22.0,20.88,20.28,20.06,19.31,18.16,18.28,19.28,20.06,20.31,21.22,22.59,22.88,21.94,21.41,21.81,22.78,23.81,25.12,28.0,31.28,33.62,35.66,38.28,41.06,42.97,43.59,44.25,44.06,42.5,39.41,35.31,32.31,29.5,25.88,22.34,19.94,17.5,14.62,11.59,9.81,9.31,9.34,9.38,10.78,12.72,14.53,15.84,17.09,19.25,22.06,23.84,25.12,26.66,27.88,28.31,27.59,26.94,26.59,26.06,24.25,22.78,22.19,21.72,20.28,18.62,18.19,18.12,17.22,16.31,15.84,15.66,14.94,13.16,11.75,10.97,10.12,8.22,6.66,6.44,6.53,6.94,8.34,11.16,15.09,18.38,21.25,24.19,26.94,29.34,30.03,31.0,31.94,32.28,31.38,29.94,28.81,27.59,25.16,22.84,21.19,20.38,19.62,18.91,19.44,20.84,22.34,22.75,23.0,23.56,23.91,23.22,22.91,24.03,25.41,25.34,24.53,23.69,22.31,20.25,17.16,14.41,12.25,9.88,6.84,4.53,3.81,3.66,2.66,2.75,3.84,6.19,8.44,11.41,15.62,19.75,23.28,25.22,26.88,28.34,28.62,27.88,26.91,26.84,26.78,25.22,23.66,22.22,20.44,17.62,14.75,13.0,12.53,12.81,12.84,13.41,14.78,16.31,16.38,16.84,17.28,17.31,15.28,12.69,10.09,8.31,5.84,3.41,1.81,1.16,1.22,1.5,3.59,7.34,12.09,15.84,19.56,23.59,27.62,30.19,32.12,34.56,36.78,37.59,36.62,34.66,32.16,28.47,23.22,18.22,14.38,10.5,6.06,2.38,0.38,-0.22,-0.12,1.31,4.97,10.22,15.16,19.25,22.59,25.38,26.75,26.44,25.75,25.66,25.53,24.19,22.5,22.06,22.31,22.0,21.59,21.81,22.03,20.94,19.0,17.16,16.88,17.28,17.47,18.28,19.66,20.5,20.09,18.91,18.47,18.75,18.84,18.88,19.44,20.59,20.62,19.03,16.81,14.75,12.28,9.41,7.28,6.81,7.75,7.88,8.25,9.78,11.75,13.19,14.03,15.06,16.88,18.41,19.06,20.84,24.5,28.34,30.53,31.38,31.25,28.88,23.41,16.53,10.38,5.28,0.53,-3.75,-6.38,-7.38,-7.94,-8.62,-8.09,-5.69,-2.62,-0.16,2.47,5.78,9.28,11.53,13.44,15.94,19.44,22.69,24.94,26.78,28.44,28.5,26.5,23.75,21.25,19.06,15.94,13.12,11.56,11.25,10.47,10.12,10.78,12.53,13.88,14.53,15.84,18.19,20.28,21.41,22.0,23.62,24.88,25.19,24.78,24.88,25.09,24.47,22.62,21.47,21.12,20.06,18.09,16.47,15.78,14.53,12.62,10.09,8.16,6.5,3.97,2.22,1.16,1.94,2.47,3.09,4.28,6.34,8.38,10.03,11.94,14.59,17.06,18.53,19.41,20.88,22.22,22.47,21.72,20.88,20.41,18.84,16.09,13.5,11.44,8.62,5.22,2.53,1.62,1.12,0.72,0.56,1.44,2.72,2.78,2.28,1.97,2.16,1.81,1.16,1.16,2.31,3.09,2.72,2.53,2.91,3.31,2.84,2.16,1.84,1.91,1.28,0.25,-0.38,0.44,1.12,1.44,1.97,3.53,5.22,5.28,5.16,5.97,6.72,6.66,6.5,7.75,9.41,10.91,11.56,12.09,13.19,13.34,12.72,12.56,13.22,13.44,13.41,13.38,13.75,14.34,15.06,15.5,16.81,18.5,19.5,19.41,18.12,17.28,15.56,13.5,12.44,13.06,14.38,15.44,15.69,15.81,15.91,15.34,14.34,14.34,15.38,16.66,17.72,18.97,21.34,23.72,24.91,25.88,27.66,28.75,28.72,27.22,25.72,23.78,20.81,16.69,13.66,11.44,9.41,7.22,5.47,5.16,4.62,3.72,31.22,30.56,31.0,32.09,34.25,36.84,39.91,42.22,43.59,44.12,44.16,43.97,43.59,43.75,44.44,45.66,46.5,47.0,46.22,44.53,41.0:1.06,2.69,5.09,7.78,9.72,11.09,13.56,16.91,20.69,23.72,26.38,29.19,31.25,31.41,30.81,30.66,30.69,29.66,27.75,25.88,24.28,22.31,19.56,17.47,16.66,16.06,14.75,14.12,14.53,15.25,15.34,15.25,15.91,17.38,17.62,17.72,17.88,18.69,19.47,19.97,21.34,24.31,27.0,28.12,28.34,27.81,26.34,22.62,18.22,15.28,13.5,12.56,12.25,12.75,13.66,14.03,13.22,12.06,12.09,12.56,12.84,14.03,16.44,19.56,21.75,23.34,24.62,25.97,26.12,25.53,25.12,25.94,26.59,26.59,25.72,25.22,24.03,21.03,17.81,15.31,14.06,11.91,9.97,8.91,9.34,9.16,8.41,8.22,8.94,9.31,9.38,10.0,11.72,13.41,13.81,13.62,13.53,13.06,11.59,9.78,9.03,9.28,9.72,10.28,11.34,13.56,15.59,16.41,17.28,18.97,20.75,21.25,21.72,22.03,22.66,23.0,23.09,23.28,24.0,23.69,21.75,19.16,17.97,17.28,16.97,17.06,19.31,21.94,24.22,26.09,28.03,30.16,30.69,30.28,29.75,29.66,29.66,28.69,27.66,27.66,27.5,26.19,24.75,24.09,24.22,23.84,23.31,23.44,24.16,24.19,23.84,23.66,24.19,24.69,24.59,24.03,23.97,23.72,22.75,20.97,20.0,19.53,18.66,17.72,17.41,18.72,19.62,20.53,21.16,22.94,24.47,24.38,24.81,25.91,27.06,27.47,27.25,27.84,28.81,28.62,27.78,26.38,25.84,24.78,23.22,21.88,21.75,21.72,21.25,21.06,21.88,22.78,23.31,23.22,24.06,25.62,27.06,28.0,29.12,30.47,30.5,29.03,26.0,23.56,21.34,19.03,17.47,17.28,18.0,18.28,18.25,19.03,21.25,23.66,26.03,28.38,31.09,33.0,32.97,31.97,31.34,30.66,29.47,28.25,27.97,28.25,28.47,28.72,29.56,31.47,32.41,32.34,31.81,32.53,32.62,32.5,32.53,33.66,34.47,34.28,33.44,32.59,32.28,31.62,30.72,31.19,32.44,33.72,33.78,34.12,35.06,35.53,34.78,33.5,32.38,30.69,28.09,24.69,22.16,20.62,19.09,17.53,17.25,18.25,19.12,19.22,18.62,18.38,16.94,14.41,12.0,11.03,11.81,13.16,14.88,17.75,21.25,24.22,25.78,27.28,29.19,30.47,30.41,30.06,30.41,30.19,29.62,28.47,28.19,28.16,27.81,27.06,26.53,26.5,26.31,25.44,24.88,25.66,26.47,26.94,27.28,28.38,28.94,28.66,27.34,26.47,25.5,24.12,22.19,20.84,20.97,21.31,21.44,22.38,24.03,25.72,26.06,25.94,26.44,27.0,27.47,27.62,28.56,29.97,30.75,30.28,29.84,29.03,27.88,25.47,23.41,22.09,21.44,20.78,19.72,19.41,18.81,18.22,16.97,16.62,17.12,17.84,18.16,19.0,20.66,22.62,23.62,24.22,25.06,25.81,25.75,24.69,24.12,23.81,22.88,21.16,20.28,19.78,19.38,18.09,17.03,17.22,17.94,18.41,19.22,21.25,23.62,25.28,26.69,28.53,30.22,31.25,31.12,31.0,31.09,32.0,31.75,31.84,32.66,33.44,32.47,30.78,29.69,28.69,27.16,25.59,24.94,24.41,24.28,23.84,23.94,24.69,26.06,27.03,28.16,29.56,31.38,32.28,32.5,33.09,33.94,34.12,33.41,32.69,32.25,31.94,30.19,29.0,28.75,28.59,27.53,26.25,25.81,25.28,24.22,23.44,23.12,23.88,24.56,24.5,24.75,25.28,25.41,24.44,24.22,24.72,25.81,26.06,26.25,26.59,26.5,25.38,23.62,21.84,21.22,20.56,20.03,20.34,22.0,24.06,25.47,27.19,29.34,30.94,31.5,30.84,30.03,29.47,28.41,26.72,25.97,26.12,26.62,26.34,26.25,27.0,27.88,26.97,26.19,25.84,25.75,25.03,24.75,25.53,27.03,28.28,28.88,29.06,29.56,29.75,28.88,28.0,27.88,28.0,27.78,27.75,28.12,29.06,28.78,27.53,26.59,25.78,24.62,22.84,21.25,20.62,19.75,18.25,17.09,16.62,16.66,16.53,16.69,17.47,19.12,19.94,20.44,20.53,20.88,20.62,19.28,17.88,17.09,16.41,15.22,14.16,13.78,13.62,12.88,11.91,11.34,12.0,12.91,14.12,15.75,17.97,19.69,19.94,20.16,20.47,20.88,20.69,20.03,20.47,21.16,21.16,20.38,19.03,18.22,17.09,15.69,15.25,16.12,16.84,17.0,16.56,16.75,17.34,17.34,17.5,18.0,19.28,19.59,19.47,19.16,19.66,19.78,19.38,19.16,20.31,21.69,22.66,23.88,25.88,28.19,29.44,29.62,29.5,29.44,28.72,27.91,27.16,27.16,26.75,25.31,23.62,22.72,21.75,20.41,19.16,19.09,19.53,20.12,21.03,22.41,24.34,25.97,26.44,26.47,26.91,26.94,25.94,24.53,23.72,23.09,22.03,21.06,21.12,21.62,22.09,22.16,22.09,22.62,22.75,22.22,21.28,21.22,20.91,20.44,19.47,19.75,20.0,19.56,18.88,18.94,19.66,20.41,20.78,20.94,21.09,20.47,19.12,17.22,16.69,16.41,15.72,15.19,15.94,17.44,18.53,19.84,21.59,23.69,25.44,26.53,27.84,29.91,32.03,33.06,33.16,33.41,33.03,31.19,27.88,24.94,22.0,18.53,15.0,13.19,13.66,15.06,16.78,19.66,23.28,27.0,29.31,31.31,33.41,34.94,35.31,35.03,34.41,33.38,31.31,27.25,23.16,19.62,15.97,12.59,10.28,9.88,10.38,10.31,10.31,11.28,12.59,13.91,14.94,16.44,18.66,20.22,21.03,21.53,22.38,22.81,22.0,20.88,20.28,20.06,19.31,18.16,18.28,19.28,20.06,20.31,21.22,22.59,22.88,21.94,21.41,21.81,22.78,23.81,25.12,28.0,31.28,33.62,35.66,38.28,41.06,42.97,43.59,44.25,44.06,42.5,39.41,35.31,32.31,29.5,25.88,22.34,19.94,17.5,14.62,11.59,9.81,9.31,9.34,9.38,10.78,12.72,14.53,15.84,17.09,19.25,22.06,23.84,25.12,26.66,27.88,28.31,27.59,26.94,26.59,26.06,24.25,22.78,22.19,21.72,20.28,18.62,18.19,18.12,17.22,16.31,15.84,15.66,14.94,13.16,11.75,10.97,10.12,8.22,6.66,6.44,6.53,6.94,8.34,11.16,15.09,18.38,21.25,24.19,26.94,29.34,30.03,31.0,31.94,32.28,31.38,29.94,28.81,27.59,25.16,22.84,21.19,20.38,19.62,18.91,19.44,20.84,22.34,22.75,23.0,23.56,23.91,23.22,22.91,24.03,25.41,25.34,24.53,23.69,22.31,20.25,17.16,14.41,12.25,9.88,6.84,4.53,3.81,3.66,2.66,2.75,3.84,6.19,8.44,11.41,15.62,19.75,23.28,25.22,26.88,28.34,28.62,27.88,26.91,26.84,26.78,25.22,23.66,22.22,20.44,17.62,14.75,13.0,12.53,12.81,12.84,13.41,14.78,16.31,16.38,16.84,17.28,17.31,15.28,12.69,10.09,8.31,5.84,3.41,1.81,1.16,1.22,1.5,3.59,7.34,12.09,15.84,19.56,23.59,27.62,30.19,32.12,34.56,36.78,37.59,36.62,34.66,32.16,28.47,23.22,18.22,14.38,10.5,6.06,2.38,0.38,-0.22,-0.12,1.31,4.97,10.22,15.16,19.25,22.59,25.38,26.75,26.44,25.75,25.66,25.53,24.19,22.5,22.06,22.31,22.0,21.59,21.81,22.03,20.94,19.0,17.16,16.88,17.28,17.47,18.28,19.66,20.5,20.09,18.91,18.47,18.75,18.84,18.88,19.44,20.59,20.62,19.03,16.81,14.75,12.28,9.41,7.28,6.81,7.75,7.88,8.25,9.78,11.75,13.19,14.03,15.06,16.88,18.41,19.06,20.84,24.5,28.34,30.53,31.38,31.25,28.88,23.41,16.53,10.38,5.28,0.53,-3.75,-6.38,-7.38,-7.94,-8.62,-8.09,-5.69,-2.62,-0.16,2.47,5.78,9.28,11.53,13.44,15.94,19.44,22.69,24.94,26.78,28.44,28.5,26.5,23.75,21.25,19.06,15.94,13.12,11.56,11.25,10.47,10.12,10.78,12.53,13.88,14.53,15.84,18.19,20.28,21.41,22.0,23.62,24.88,25.19,24.78,24.88,25.09,24.47,22.62,21.47,21.12,20.06,18.09,16.47,15.78,14.53,12.62,10.09,8.16,6.5,3.97,2.22,1.16,1.94,2.47,3.09,4.28,6.34,8.38,10.03,11.94,14.59,17.06,18.53,19.41,20.88,22.22,22.47,21.72,20.88,20.41,18.84,16.09,13.5,11.44,8.62,5.22,2.53,1.62,1.12,0.72,0.56,1.44,2.72,2.78,2.28,1.97,2.16,1.81,1.16,1.16,2.31,3.09,2.72,2.53,2.91,3.31,2.84,2.16,1.84,1.91,1.28,0.25,-0.38,0.44,1.12,1.44,1.97,3.53,5.22,5.28,5.16,5.97,6.72,6.66,6.5,7.75,9.41,10.91,11.56,12.09,13.19,13.34,12.72,12.56,13.22,13.44,13.41,13.38,13.75,14.34,15.06,15.5,16.81,18.5,19.5,19.41,18.12,17.28,15.56,13.5,12.44,13.06,14.38,15.44,15.69,15.81,15.91,15.34,14.34,14.34,15.38,16.66,17.72,18.97,21.34,23.72,24.91,25.88,27.66,28.75,28.72,27.22,25.72,23.78,20.81,16.69,13.66,11.44,9.41,7.22,5.47,5.16,4.62,3.72,31.22,30.56,31.0,32.09,34.25,36.84,39.91,42.22,43.59,44.12,44.16,43.97,43.59,43.75,44.44,45.66,46.5,47.0,46.22,44.53,41.0,36.72,32.78,30.09,28.0,27.19,27.84,29.75:16.91,20.69,23.72,26.38,29.19,31.25,31.41,30.81,30.66,30.69,29.66,27.75,25.88,24.28,22.31,19.56,17.47,16.66,16.06,14.75,14.12,14.53,15.25,15.34,15.25,15.91,17.38,17.62,17.72,17.88,18.69,19.47,19.97,21.34,24.31,27.0,28.12,28.34,27.81,26.34,22.62,18.22,15.28,13.5,12.56,12.25,12.75,13.66,14.03,13.22,12.06,12.09,12.56,12.84,14.03,16.44,19.56,21.75,23.34,24.62,25.97,26.12,25.53,25.12,25.94,26.59,26.59,25.72,25.22,24.03,21.03,17.81,15.31,14.06,11.91,9.97,8.91,9.34,9.16,8.41,8.22,8.94,9.31,9.38,10.0,11.72,13.41,13.81,13.62,13.53,13.06,11.59,9.78,9.03,9.28,9.72,10.28,11.34,13.56,15.59,16.41,17.28,18.97,20.75,21.25,21.72,22.03,22.66,23.0,23.09,23.28,24.0,23.69,21.75,19.16,17.97,17.28,16.97,17.06,19.31,21.94,24.22,26.09,28.03,30.16,30.69,30.28,29.75,29.66,29.66,28.69,27.66,27.66,27.5,26.19,24.75,24.09,24.22,23.84,23.31,23.44,24.16,24.19,23.84,23.66,24.19,24.69,24.59,24.03,23.97,23.72,22.75,20.97,20.0,19.53,18.66,17.72,17.41,18.72,19.62,20.53,21.16,22.94,24.47,24.38,24.81,25.91,27.06,27.47,27.25,27.84,28.81,28.62,27.78,26.38,25.84,24.78,23.22,21.88,21.75,21.72,21.25,21.06,21.88,22.78,23.31,23.22,24.06,25.62,27.06,28.0,29.12,30.47,30.5,29.03,26.0,23.56,21.34,19.03,17.47,17.28,18.0,18.28,18.25,19.03,21.25,23.66,26.03,28.38,31.09,33.0,32.97,31.97,31.34,30.66,29.47,28.25,27.97,28.25,28.47,28.72,29.56,31.47,32.41,32.34,31.81,32.53,32.62,32.5,32.53,33.66,34.47,34.28,33.44,32.59,32.28,31.62,30.72,31.19,32.44,33.72,33.78,34.12,35.06,35.53,34.78,33.5,32.38,30.69,28.09,24.69,22.16,20.62,19.09,17.53,17.25,18.25,19.12,19.22,18.62,18.38,16.94,14.41,12.0,11.03,11.81,13.16,14.88,17.75,21.25,24.22,25.78,27.28,29.19,30.47,30.41,30.06,30.41,30.19,29.62,28.47,28.19,28.16,27.81,27.06,26.53,26.5,26.31,25.44,24.88,25.66,26.47,26.94,27.28,28.38,28.94,28.66,27.34,26.47,25.5,24.12,22.19,20.84,20.97,21.31,21.44,22.38,24.03,25.72,26.06,25.94,26.44,27.0,27.47,27.62,28.56,29.97,30.75,30.28,29.84,29.03,27.88,25.47,23.41,22.09,21.44,20.78,19.72,19.41,18.81,18.22,16.97,16.62,17.12,17.84,18.16,19.0,20.66,22.62,23.62,24.22,25.06,25.81,25.75,24.69,24.12,23.81,22.88,21.16,20.28,19.78,19.38,18.09,17.03,17.22,17.94,18.41,19.22,21.25,23.62,25.28,26.69,28.53,30.22,31.25,31.12,31.0,31.09,32.0,31.75,31.84,32.66,33.44,32.47,30.78,29.69,28.69,27.16,25.59,24.94,24.41,24.28,23.84,23.94,24.69,26.06,27.03,28.16,29.56,31.38,32.28,32.5,33.09,33.94,34.12,33.41,32.69,32.25,31.94,30.19,29.0,28.75,28.59,27.53,26.25,25.81,25.28,24.22,23.44,23.12,23.88,24.56,24.5,24.75,25.28,25.41,24.44,24.22,24.72,25.81,26.06,26.25,26.59,26.5,25.38,23.62,21.84,21.22,20.56,20.03,20.34,22.0,24.06,25.47,27.19,29.34,30.94,31.5,30.84,30.03,29.47,28.41,26.72,25.97,26.12,26.62,26.34,26.25,27.0,27.88,26.97,26.19,25.84,25.75,25.03,24.75,25.53,27.03,28.28,28.88,29.06,29.56,29.75,28.88,28.0,27.88,28.0,27.78,27.75,28.12,29.06,28.78,27.53,26.59,25.78,24.62,22.84,21.25,20.62,19.75,18.25,17.09,16.62,16.66,16.53,16.69,17.47,19.12,19.94,20.44,20.53,20.88,20.62,19.28,17.88,17.09,16.41,15.22,14.16,13.78,13.62,12.88,11.91,11.34,12.0,12.91,14.12,15.75,17.97,19.69,19.94,20.16,20.47,20.88,20.69,20.03,20.47,21.16,21.16,20.38,19.03,18.22,17.09,15.69,15.25,16.12,16.84,17.0,16.56,16.75,17.34,17.34,17.5,18.0,19.28,19.59,19.47,19.16,19.66,19.78,19.38,19.16,20.31,21.69,22.66,23.88,25.88,28.19,29.44,29.62,29.5,29.44,28.72,27.91,27.16,27.16,26.75,25.31,23.62,22.72,21.75,20.41,19.16,19.09,19.53,20.12,21.03,22.41,24.34,25.97,26.44,26.47,26.91,26.94,25.94,24.53,23.72,23.09,22.03,21.06,21.12,21.62,22.09,22.16,22.09,22.62,22.75,22.22,21.28,21.22,20.91,20.44,19.47,19.75,20.0,19.56,18.88,18.94,19.66,20.41,20.78,20.94,21.09,20.47,19.12,17.22,16.69,16.41,15.72,15.19,15.94,17.44,18.53,19.84,21.59,23.69,25.44,26.53,27.84,29.91,32.03,33.06,33.16,33.41,33.03,31.19,27.88,24.94,22.0,18.53,15.0,13.19,13.66,15.06,16.78,19.66,23.28,27.0,29.31,31.31,33.41,34.94,35.31,35.03,34.41,33.38,31.31,27.25,23.16,19.62,15.97,12.59,10.28,9.88,10.38,10.31,10.31,11.28,12.59,13.91,14.94,16.44,18.66,20.22,21.03,21.53,22.38,22.81,22.0,20.88,20.28,20.06,19.31,18.16,18.28,19.28,20.06,20.31,21.22,22.59,22.88,21.94,21.41,21.81,22.78,23.81,25.12,28.0,31.28,33.62,35.66,38.28,41.06,42.97,43.59,44.25,44.06,42.5,39.41,35.31,32.31,29.5,25.88,22.34,19.94,17.5,14.62,11.59,9.81,9.31,9.34,9.38,10.78,12.72,14.53,15.84,17.09,19.25,22.06,23.84,25.12,26.66,27.88,28.31,27.59,26.94,26.59,26.06,24.25,22.78,22.19,21.72,20.28,18.62,18.19,18.12,17.22,16.31,15.84,15.66,14.94,13.16,11.75,10.97,10.12,8.22,6.66,6.44,6.53,6.94,8.34,11.16,15.09,18.38,21.25,24.19,26.94,29.34,30.03,31.0,31.94,32.28,31.38,29.94,28.81,27.59,25.16,22.84,21.19,20.38,19.62,18.91,19.44,20.84,22.34,22.75,23.0,23.56,23.91,23.22,22.91,24.03,25.41,25.34,24.53,23.69,22.31,20.25,17.16,14.41,12.25,9.88,6.84,4.53,3.81,3.66,2.66,2.75,3.84,6.19,8.44,11.41,15.62,19.75,23.28,25.22,26.88,28.34,28.62,27.88,26.91,26.84,26.78,25.22,23.66,22.22,20.44,17.62,14.75,13.0,12.53,12.81,12.84,13.41,14.78,16.31,16.38,16.84,17.28,17.31,15.28,12.69,10.09,8.31,5.84,3.41,1.81,1.16,1.22,1.5,3.59,7.34,12.09,15.84,19.56,23.59,27.62,30.19,32.12,34.56,36.78,37.59,36.62,34.66,32.16,28.47,23.22,18.22,14.38,10.5,6.06,2.38,0.38,-0.22,-0.12,1.31,4.97,10.22,15.16,19.25,22.59,25.38,26.75,26.44,25.75,25.66,25.53,24.19,22.5,22.06,22.31,22.0,21.59,21.81,22.03,20.94,19.0,17.16,16.88,17.28,17.47,18.28,19.66,20.5,20.09,18.91,18.47,18.75,18.84,18.88,19.44,20.59,20.62,19.03,16.81,14.75,12.28,9.41,7.28,6.81,7.75,7.88,8.25,9.78,11.75,13.19,14.03,15.06,16.88,18.41,19.06,20.84,24.5,28.34,30.53,31.38,31.25,28.88,23.41,16.53,10.38,5.28,0.53,-3.75,-6.38,-7.38,-7.94,-8.62,-8.09,-5.69,-2.62,-0.16,2.47,5.78,9.28,11.53,13.44,15.94,19.44,22.69,24.94,26.78,28.44,28.5,26.5,23.75,21.25,19.06,15.94,13.12,11.56,11.25,10.47,10.12,10.78,12.53,13.88,14.53,15.84,18.19,20.28,21.41,22.0,23.62,24.88,25.19,24.78,24.88,25.09,24.47,22.62,21.47,21.12,20.06,18.09,16.47,15.78,14.53,12.62,10.09,8.16,6.5,3.97,2.22,1.16,1.94,2.47,3.09,4.28,6.34,8.38,10.03,11.94,14.59,17.06,18.53,19.41,20.88,22.22,22.47,21.72,20.88,20.41,18.84,16.09,13.5,11.44,8.62,5.22,2.53,1.62,1.12,0.72,0.56,1.44,2.72,2.78,2.28,1.97,2.16,1.81,1.16,1.16,2.31,3.09,2.72,2.53,2.91,3.31,2.84,2.16,1.84,1.91,1.28,0.25,-0.38,0.44,1.12,1.44,1.97,3.53,5.22,5.28,5.16,5.97,6.72,6.66,6.5,7.75,9.41,10.91,11.56,12.09,13.19,13.34,12.72,12.56,13.22,13.44,13.41,13.38,13.75,14.34,15.06,15.5,16.81,18.5,19.5,19.41,18.12,17.28,15.56,13.5,12.44,13.06,14.38,15.44,15.69,15.81,15.91,15.34,14.34,14.34,15.38,16.66,17.72,18.97,21.34,23.72,24.91,25.88,27.66,28.75,28.72,27.22,25.72,23.78,20.81,16.69,13.66,11.44,9.41,7.22,5.47,5.16,4.62,3.72,31.22,30.56,31.0,32.09,34.25,36.84,39.91,42.22,43.59,44.12,44.16,43.97,43.59,43.75,44.44,45.66,46.5,47.0,46.22,44.53,41.0,36.72,32.78,30.09,28.0,27.19,27.84,29.75,31.81,33.78,35.12,36.12,36.72,37.06,38.53:30.81,30.66,30.69,29.66,27.75,25.88,24.28,22.31,19.56,17.47,16.66,16.06,14.75,14.12,14.53,15.25,15.34,15.25,15.91,17.38,17.62,17.72,17.88,18.69,19.47,19.97,21.34,24.31,27.0,28.12,28.34,27.81,26.34,22.62,18.22,15.28,13.5,12.56,12.25,12.75,13.66,14.03,13.22,12.06,12.09,12.56,12.84,14.03,16.44,19.56,21.75,23.34,24.62,25.97,26.12,25.53,25.12,25.94,26.59,26.59,25.72,25.22,24.03,21.03,17.81,15.31,14.06,11.91,9.97,8.91,9.34,9.16,8.41,8.22,8.94,9.31,9.38,10.0,11.72,13.41,13.81,13.62,13.53,13.06,11.59,9.78,9.03,9.28,9.72,10.28,11.34,13.56,15.59,16.41,17.28,18.97,20.75,21.25,21.72,22.03,22.66,23.0,23.09,23.28,24.0,23.69,21.75,19.16,17.97,17.28,16.97,17.06,19.31,21.94,24.22,26.09,28.03,30.16,30.69,30.28,29.75,29.66,29.66,28.69,27.66,27.66,27.5,26.19,24.75,24.09,24.22,23.84,23.31,23.44,24.16,24.19,23.84,23.66,24.19,24.69,24.59,24.03,23.97,23.72,22.75,20.97,20.0,19.53,18.66,17.72,17.41,18.72,19.62,20.53,21.16,22.94,24.47,24.38,24.81,25.91,27.06,27.47,27.25,27.84,28.81,28.62,27.78,26.38,25.84,24.78,23.22,21.88,21.75,21.72,21.25,21.06,21.88,22.78,23.31,23.22,24.06,25.62,27.06,28.0,29.12,30.47,30.5,29.03,26.0,23.56,21.34,19.03,17.47,17.28,18.0,18.28,18.25,19.03,21.25,23.66,26.03,28.38,31.09,33.0,32.97,31.97,31.34,30.66,29.47,28.25,27.97,28.25,28.47,28.72,29.56,31.47,32.41,32.34,31.81,32.53,32.62,32.5,32.53,33.66,34.47,34.28,33.44,32.59,32.28,31.62,30.72,31.19,32.44,33.72,33.78,34.12,35.06,35.53,34.78,33.5,32.38,30.69,28.09,24.69,22.16,20.62,19.09,17.53,17.25,18.25,19.12,19.22,18.62,18.38,16.94,14.41,12.0,11.03,11.81,13.16,14.88,17.75,21.25,24.22,25.78,27.28,29.19,30.47,30.41,30.06,30.41,30.19,29.62,28.47,28.19,28.16,27.81,27.06,26.53,26.5,26.31,25.44,24.88,25.66,26.47,26.94,27.28,28.38,28.94,28.66,27.34,26.47,25.5,24.12,22.19,20.84,20.97,21.31,21.44,22.38,24.03,25.72,26.06,25.94,26.44,27.0,27.47,27.62,28.56,29.97,30.75,30.28,29.84,29.03,27.88,25.47,23.41,22.09,21.44,20.78,19.72,19.41,18.81,18.22,16.97,16.62,17.12,17.84,18.16,19.0,20.66,22.62,23.62,24.22,25.06,25.81,25.75,24.69,24.12,23.81,22.88,21.16,20.28,19.78,19.38,18.09,17.03,17.22,17.94,18.41,19.22,21.25,23.62,25.28,26.69,28.53,30.22,31.25,31.12,31.0,31.09,32.0,31.75,31.84,32.66,33.44,32.47,30.78,29.69,28.69,27.16,25.59,24.94,24.41,24.28,23.84,23.94,24.69,26.06,27.03,28.16,29.56,31.38,32.28,32.5,33.09,33.94,34.12,33.41,32.69,32.25,31.94,30.19,29.0,28.75,28.59,27.53,26.25,25.81,25.28,24.22,23.44,23.12,23.88,24.56,24.5,24.75,25.28,25.41,24.44,24.22,24.72,25.81,26.06,26.25,26.59,26.5,25.38,23.62,21.84,21.22,20.56,20.03,20.34,22.0,24.06,25.47,27.19,29.34,30.94,31.5,30.84,30.03,29.47,28.41,26.72,25.97,26.12,26.62,26.34,26.25,27.0,27.88,26.97,26.19,25.84,25.75,25.03,24.75,25.53,27.03,28.28,28.88,29.06,29.56,29.75,28.88,28.0,27.88,28.0,27.78,27.75,28.12,29.06,28.78,27.53,26.59,25.78,24.62,22.84,21.25,20.62,19.75,18.25,17.09,16.62,16.66,16.53,16.69,17.47,19.12,19.94,20.44,20.53,20.88,20.62,19.28,17.88,17.09,16.41,15.22,14.16,13.78,13.62,12.88,11.91,11.34,12.0,12.91,14.12,15.75,17.97,19.69,19.94,20.16,20.47,20.88,20.69,20.03,20.47,21.16,21.16,20.38,19.03,18.22,17.09,15.69,15.25,16.12,16.84,17.0,16.56,16.75,17.34,17.34,17.5,18.0,19.28,19.59,19.47,19.16,19.66,19.78,19.38,19.16,20.31,21.69,22.66,23.88,25.88,28.19,29.44,29.62,29.5,29.44,28.72,27.91,27.16,27.16,26.75,25.31,23.62,22.72,21.75,20.41,19.16,19.09,19.53,20.12,21.03,22.41,24.34,25.97,26.44,26.47,26.91,26.94,25.94,24.53,23.72,23.09,22.03,21.06,21.12,21.62,22.09,22.16,22.09,22.62,22.75,22.22,21.28,21.22,20.91,20.44,19.47,19.75,20.0,19.56,18.88,18.94,19.66,20.41,20.78,20.94,21.09,20.47,19.12,17.22,16.69,16.41,15.72,15.19,15.94,17.44,18.53,19.84,21.59,23.69,25.44,26.53,27.84,29.91,32.03,33.06,33.16,33.41,33.03,31.19,27.88,24.94,22.0,18.53,15.0,13.19,13.66,15.06,16.78,19.66,23.28,27.0,29.31,31.31,33.41,34.94,35.31,35.03,34.41,33.38,31.31,27.25,23.16,19.62,15.97,12.59,10.28,9.88,10.38,10.31,10.31,11.28,12.59,13.91,14.94,16.44,18.66,20.22,21.03,21.53,22.38,22.81,22.0,20.88,20.28,20.06,19.31,18.16,18.28,19.28,20.06,20.31,21.22,22.59,22.88,21.94,21.41,21.81,22.78,23.81,25.12,28.0,31.28,33.62,35.66,38.28,41.06,42.97,43.59,44.25,44.06,42.5,39.41,35.31,32.31,29.5,25.88,22.34,19.94,17.5,14.62,11.59,9.81,9.31,9.34,9.38,10.78,12.72,14.53,15.84,17.09,19.25,22.06,23.84,25.12,26.66,27.88,28.31,27.59,26.94,26.59,26.06,24.25,22.78,22.19,21.72,20.28,18.62,18.19,18.12,17.22,16.31,15.84,15.66,14.94,13.16,11.75,10.97,10.12,8.22,6.66,6.44,6.53,6.94,8.34,11.16,15.09,18.38,21.25,24.19,26.94,29.34,30.03,31.0,31.94,32.28,31.38,29.94,28.81,27.59,25.16,22.84,21.19,20.38,19.62,18.91,19.44,20.84,22.34,22.75,23.0,23.56,23.91,23.22,22.91,24.03,25.41,25.34,24.53,23.69,22.31,20.25,17.16,14.41,12.25,9.88,6.84,4.53,3.81,3.66,2.66,2.75,3.84,6.19,8.44,11.41,15.62,19.75,23.28,25.22,26.88,28.34,28.62,27.88,26.91,26.84,26.78,25.22,23.66,22.22,20.44,17.62,14.75,13.0,12.53,12.81,12.84,13.41,14.78,16.31,16.38,16.84,17.28,17.31,15.28,12.69,10.09,8.31,5.84,3.41,1.81,1.16,1.22,1.5,3.59,7.34,12.09,15.84,19.56,23.59,27.62,30.19,32.12,34.56,36.78,37.59,36.62,34.66,32.16,28.47,23.22,18.22,14.38,10.5,6.06,2.38,0.38,-0.22,-0.12,1.31,4.97,10.22,15.16,19.25,22.59,25.38,26.75,26.44,25.75,25.66,25.53,24.19,22.5,22.06,22.31,22.0,21.59,21.81,22.03,20.94,19.0,17.16,16.88,17.28,17.47,18.28,19.66,20.5,20.09,18.91,18.47,18.75,18.84,18.88,19.44,20.59,20.62,19.03,16.81,14.75,12.28,9.41,7.28,6.81,7.75,7.88,8.25,9.78,11.75,13.19,14.03,15.06,16.88,18.41,19.06,20.84,24.5,28.34,30.53,31.38,31.25,28.88,23.41,16.53,10.38,5.28,0.53,-3.75,-6.38,-7.38,-7.94,-8.62,-8.09,-5.69,-2.62,-0.16,2.47,5.78,9.28,11.53,13.44,15.94,19.44,22.69,24.94,26.78,28.44,28.5,26.5,23.75,21.25,19.06,15.94,13.12,11.56,11.25,10.47,10.12,10.78,12.53,13.88,14.53,15.84,18.19,20.28,21.41,22.0,23.62,24.88,25.19,24.78,24.88,25.09,24.47,22.62,21.47,21.12,20.06,18.09,16.47,15.78,14.53,12.62,10.09,8.16,6.5,3.97,2.22,1.16,1.94,2.47,3.09,4.28,6.34,8.38,10.03,11.94,14.59,17.06,18.53,19.41,20.88,22.22,22.47,21.72,20.88,20.41,18.84,16.09,13.5,11.44,8.62,5.22,2.53,1.62,1.12,0.72,0.56,1.44,2.72,2.78,2.28,1.97,2.16,1.81,1.16,1.16,2.31,3.09,2.72,2.53,2.91,3.31,2.84,2.16,1.84,1.91,1.28,0.25,-0.38,0.44,1.12,1.44,1.97,3.53,5.22,5.28,5.16,5.97,6.72,6.66,6.5,7.75,9.41,10.91,11.56,12.09,13.19,13.34,12.72,12.56,13.22,13.44,13.41,13.38,13.75,14.34,15.06,15.5,16.81,18.5,19.5,19.41,18.12,17.28,15.56,13.5,12.44,13.06,14.38,15.44,15.69,15.81,15.91,15.34,14.34,14.34,15.38,16.66,17.72,18.97,21.34,23.72,24.91,25.88,27.66,28.75,28.72,27.22,25.72,23.78,20.81,16.69,13.66,11.44,9.41,7.22,5.47,5.16,4.62,3.72,31.22,30.56,31.0,32.09,34.25,36.84,39.91,42.22,43.59,44.12,44.16,43.97,43.59,43.75,44.44,45.66,46.5,47.0,46.22,44.53,41.0,36.72,32.78,30.09,28.0,27.19,27.84,29.75,31.81,33.78,35.12,36.12,36.72,37.06,38.53,40.81,44.44,48.12,51.09,53.19,54.47,54.25:positivity
28.28,30.69,31.25,30.62,30.91,30.47,28.34,25.69,24.59,24.38,22.94,21.03,20.22,21.44,22.72,23.06,24.16,27.16,29.34,29.5,28.84,28.69,28.34,26.28,23.84,23.22,23.72,23.5,22.03,20.81,21.09,20.59,19.03,18.06,19.31,20.41,20.34,19.81,20.81,22.53,23.81,24.72,27.38,30.75,32.91,33.03,32.03,31.72,29.78,26.59,24.28,24.44,25.91,26.34,26.53,27.75,29.0,29.03,28.66,29.19,31.53,33.91,35.12,36.94,40.16,42.53,42.94,42.75,43.19,43.16,41.12,37.62,35.03,32.78,29.44,25.41,23.19,22.25,21.5,19.81,18.88,20.16,21.66,21.94,22.28,24.22,25.94,26.25,26.0,26.84,28.34,28.72,27.81,27.5,28.12,28.53,27.72,27.75,29.41,31.03,30.97,30.69,31.66,32.53,32.59,31.22,30.97,31.75,31.34,29.66,29.03,29.12,28.62,25.88,23.25,21.84,20.75,18.5,16.59,16.84,17.78,18.0,17.38,17.94,19.0,19.28,17.88,17.22,17.41,17.16,15.81,14.62,15.06,16.12,15.47,14.41,14.72,15.72,16.44,16.72,18.38,21.22,23.47,24.19,24.97,27.12,28.78,28.66,28.59,29.5,30.62,30.0,28.56,28.47,28.59,27.97,25.97,25.25,25.06,24.56,22.78,21.31,21.22,21.12,19.34,17.31,16.81,17.06,16.38,15.19,16.0,17.78,19.16,19.25,20.06,21.69,22.38,21.22,19.91,19.78,19.47,17.12,14.22,12.62,11.41,9.75,7.81,8.22,10.38,12.5,13.31,14.78,17.28,19.22,19.97,21.0,23.16,25.31,25.59,24.19,23.91,23.84,22.16,20.06,19.31,19.84,20.16,19.25,19.25,20.62,21.59,20.88,20.12,20.16,20.69,20.0,19.09,19.34,20.78,20.34,19.31,18.94,18.78,18.5,17.16,16.5,17.94,19.53,19.66,19.16,19.09,19.03,16.75,14.41,13.56,14.59,15.5,16.19,18.69,22.0,25.12,26.31,27.69,29.69,31.06,30.72,29.62,29.5,29.91,28.94,27.28,26.69,26.59,25.91,23.94,22.59,22.88,23.38,22.25,22.31,23.84,25.97,26.69,27.31,28.34,30.0,29.12,26.5,24.94,24.06,22.81,20.62,19.66,20.53,21.16,20.22,20.16,21.56,23.78,24.62,25.16,26.34,27.31,26.47,24.56,23.38,23.53,23.38,22.25,22.19,23.41,24.69,24.0,23.19,23.34,24.28,24.44,24.34,25.53,27.25,27.81,26.66,25.62,25.12,23.28,19.44,15.66,13.22,11.69,8.97,7.34,7.69,9.22,9.22,8.75,9.75,11.62,13.0,13.5,14.66,17.31,19.09,19.31,19.84,21.75,23.88,24.31,24.12,24.75,25.59,24.25,21.72,19.84,18.56,16.25,12.88,10.22,9.53,9.56,8.69,8.09,9.16,10.53,10.03,9.84,11.06,13.5,14.91,15.38,16.09,17.62,17.78,16.56,15.66,16.28,17.34,17.97,18.81,21.44,24.44,24.97,24.59,24.16,23.78,21.41,17.88,15.09,13.97,12.84,11.5,11.59,13.5,15.5,15.97,15.78,16.75,17.66,17.69,18.0,19.78,22.66,24.69,25.19,25.66,27.09,27.5,26.28,24.56,24.22,23.44,21.03,18.53,17.5,16.97,15.81,14.53,13.78,14.75,14.97,14.06,13.91,15.62,17.31,18.22,19.47,22.53,25.66,27.09,27.69,28.88,29.91,29.81,29.06,28.78,29.97,30.66,30.06,29.53,30.41,30.66,29.0,27.09,26.53,25.94,23.91,21.72,21.03,21.47,21.31,21.59,22.81,25.28,27.28,27.91,28.28,29.72,30.91,30.5,29.72,29.78,29.72,28.28,26.62,26.31,27.41,28.0,27.94,27.62,28.44,27.88,25.19,21.97,19.84,17.53,14.34,12.06,12.28,14.31,16.22,18.28,21.53,25.53,28.44,29.53,30.31,32.03,32.53,31.91,31.09,31.75,32.0,30.5,28.56,27.62,27.22,26.34,24.97,24.75,26.22,27.44,28.06,28.97,31.19,32.25,31.28,29.5,28.78,28.28,26.09,23.56,22.47,22.59,21.62,20.47,20.44,21.84,22.59,21.97,21.69,23.06,24.53,24.5,24.5,25.91,27.62,27.38,26.0,26.12,27.38,27.66,27.16,27.16,28.09,27.75,25.41,22.62,21.41,20.34,18.19,16.06,16.47,17.81,18.59,19.03,20.81,23.06,24.06,23.5,23.12,23.91,24.56,23.91,23.03,23.84,23.84,21.69,18.38,16.19,14.38,11.78,9.31,8.47,9.31,10.31,10.38,11.06,12.94,14.0,13.72,12.94,14.16,16.12,17.19,18.25,21.09,24.47,26.81,27.44,28.91,31.44,32.72,32.19,31.84,32.06,31.59,29.22,26.28,25.19,24.31,22.97,21.06,21.09,21.88,22.38,21.31,21.25,22.56,23.16,22.78,22.22,23.34,23.94,23.34,22.38,23.22,24.38,24.53,23.5,23.69,24.66,24.62,24.0,23.88,25.5,26.88,27.16,27.59,29.44,30.97,31.03,30.25,31.12,32.72,33.03,32.16,32.41,32.88,32.41,31.16,30.38,30.91,30.44,28.59,26.09,24.88,24.69,23.31,22.5,23.69,25.66,26.34,25.5,25.75,26.44,25.78,23.94,22.12,22.12,22.03,20.84,20.47,21.56,23.0,23.03,22.03,21.72,21.66,19.97,17.06,15.38,14.81,14.06,13.0,12.75,14.84,16.94,18.03,19.25,22.0,25.56,27.69,28.59,30.38,32.0,31.78,30.12,29.09,29.19,28.97,27.25,25.75,25.09,24.06,21.28,18.28,17.44,17.31,16.19,14.56,14.62,15.66,15.88,14.75,14.75,15.97,16.62,15.88,15.62,17.34,19.09,19.03,18.53,19.41,20.5,20.09,18.56,18.66,19.84,20.5,19.75,19.66,21.0,21.78,20.56,19.5,19.69,20.06,18.59,16.56,15.94,16.44,16.44,15.59,16.31,18.31,20.06,20.31,21.59,24.59,27.59,27.88,27.34,27.44,26.81,24.81,22.12,21.09,20.91,19.84,18.31,18.28,19.81,20.94,20.47,20.06,20.62,20.91,19.34,18.53,19.53,21.12,21.62,21.28,21.41,22.41,21.88,20.03,18.62,18.09,17.5,15.59,15.12,16.75,19.0,19.34,19.06,18.97,18.81,17.09,14.44,13.28,13.47,13.66,12.84,13.0,14.88,16.66,16.75,17.38,19.25,21.28,21.44,20.59,20.84,21.69,21.5,20.66,21.03,22.44,22.59,21.03,19.5,19.09,18.69,16.44,14.5,14.59,14.75,13.62,12.91,13.78,15.69,17.09,17.41,18.94,21.5,23.0,22.62,21.88,21.91,21.41,19.16,17.53,18.19,20.0,20.81,21.19,22.62,24.69,25.44,24.69,24.69,25.56,25.75,23.91,22.72,23.06,23.5,22.62,21.66,21.28,21.38,19.75,17.72,17.09,17.66,17.53,15.94,14.91,15.25,15.31,14.38,14.22,16.34,19.19,20.06,20.78,22.44,23.94,23.38,21.69,21.25,21.78,21.22,19.69,18.41,18.16,17.69,15.72,14.28,15.09,16.66,16.69,16.94,17.88,19.34,18.84,17.34,16.59,17.59,18.41,18.03,18.38,20.66,22.41,22.31,22.56,24.62,26.97,27.06,26.59,26.91,27.88,26.97,25.69,25.56,26.78,27.72,26.91,27.25,28.62,29.62,29.09,27.84,28.06,28.44,26.84,24.31,23.34,23.47,22.66,21.47,21.59,23.19,23.81,23.09,23.0,24.31,26.09,26.19,26.0,26.66,27.81,27.22,26.12,26.12,27.28,27.16,25.22,23.84,23.62,22.88,21.0,20.03,20.78,21.94,21.44,20.28,20.66,22.25,22.5,23.16,25.09,27.81,28.69,27.34,25.72,25.0,23.72,21.25,19.5,19.66,20.47,19.41,18.25,18.69,19.59,19.66,19.41,20.25,22.47,23.03,21.81,20.44,20.0,19.03,17.03,16.16,18.03,21.06,22.03,22.34,22.81,23.25,21.94,19.88,19.5,20.88,21.56,21.19,20.78,21.59,21.34,18.62,16.16,15.56,16.53,16.38,16.47,17.56,19.34,19.25,17.97,17.88,19.69,21.12,20.84,20.88,22.34,23.31,22.84,22.66,25.0,27.66,28.5,28.28,28.38,28.25,26.72,24.22,22.84,23.28,23.69,23.38,23.75,25.56,27.47,27.38,26.75,27.22,27.97,26.75,24.69,23.88,24.03,23.25,22.12,22.5,24.56,25.88,25.69,24.81,24.66,24.06,21.88,19.44,19.03,20.19,20.34,19.91,20.16,21.25,20.81,19.44,19.34,21.19,23.09,23.84,24.03,25.31,26.28,25.03,23.28,22.72,23.0,22.28,20.44,19.53,19.94,19.28,17.53,16.66,17.75,18.75,18.75,19.03,20.84,22.62,22.91,22.31,22.69,24.25,24.59,24.0,24.38,26.16,26.88,25.88,24.47,24.78,24.56,23.06,21.47,21.78,22.31,20.78,18.81,18.47,19.91,20.38,19.91,20.09,22.09,22.75,21.75,20.81,22.03,22.88,22.69,22.31,23.53,25.28,25.22,24.41,24.19,25.19,24.72,22.41,20.38,19.78,18.91,17.44,16.34,17.28,18.72,18.84,18.44,19.34,20.56,20.62,19.34,19.28,20.66,21.03,20.5,21.0,22.88,24.38,24.62,24.56,26.0,27.41,26.91,25.81,25.31,24.84,23.0,20.19,18.31,18.62,18.91,18.25,18.25,19.5,20.06,18.38,15.97,14.75,13.25,10.78,8.31,8.16,9.56,11.44,12.41,14.34,17.75,20.94,22.25,23.69,26.0,27.38,26.69,25.75,26.09,26.91,26.31,24.59,23.62,22.81,21.5,19.12,18.25,18.84,19.19,18.78,17.94,18.22,18.53,17.19,15.34,14.34:25.69,24.59,24.38,22.94,21.03,20.22,21.44,22.72,23.06,24.16,27.16,29.34,29.5,28.84,28.69,28.34,26.28,23.84,23.22,23.72,23.5,22.03,20.81,21.09,20.59,19.03,18.06,19.31,20.41,20.34,19.81,20.81,22.53,23.81,24.72,27.38,30.75,32.91,33.03,32.03,31.72,29.78,26.59,24.28,24.44,25.91,26.34,26.53,27.75,29.0,29.03,28.66,29.19,31.53,33.91,35.12,36.94,40.16,42.53,42.94,42.75,43.19,43.16,41.12,37.62,35.03,32.78,29.44,25.41,23.19,22.25,21.5,19.81,18.88,20.16,21.66,21.94,22.28,24.22,25.94,26.25,26.0,26.84,28.34,28.72,27.81,27.5,28.12,28.53,27.72,27.75,29.41,31.03,30.97,30.69,31.66,32.53,32.59,31.22,30.97,31.75,31.34,29.66,29.03,29.12,28.62,25.88,23.25,21.84,20.75,18.5,16.59,16.84,17.78,18.0,17.38,17.94,19.0,19.28,17.88,17.22,17.41,17.16,15.81,14.62,15.06,16.12,15.47,14.41,14.72,15.72,16.44,16.72,18.38,21.22,23.47,24.19,24.97,27.12,28.78,28.66,28.59,29.5,30.62,30.0,28.56,28.47,28.59,27.97,25.97,25.25,25.06,24.56,22.78,21.31,21.22,21.12,19.34,17.31,16.81,17.06,16.38,15.19,16.0,17.78,19.16,19.25,20.06,21.69,22.38,21.22,19.91,19.78,19.47,17.12,14.22,12.62,11.41,9.75,7.81,8.22,10.38,12.5,13.31,14.78,17.28,19.22,19.97,21.0,23.16,25.31,25.59,24.19,23.91,23.84,22.16,20.06,19.31,19.84,20.16,19.25,19.25,20.62,21.59,20.88,20.12,20.16,20.69,20.0,19.09,19.34,20.78,20.34,19.31,18.94,18.78,18.5,17.16,16.5,17.94,19.53,19.66,19.16,19.09,19.03,16.75,14.41,13.56,14.59,15.5,16.19,18.69,22.0,25.12,26.31,27.69,29.69,31.06,30.72,29.62,29.5,29.91,28.94,27.28,26.69,26.59,25.91,23.94,22.59,22.88,23.38,22.25,22.31,23.84,25.97,26.69,27.31,28.34,30.0,29.12,26.5,24.94,24.06,22.81,20.62,19.66,20.53,21.16,20.22,20.16,21.56,23.78,24.62,25.16,26.34,27.31,26.47,24.56,23.38,23.53,23.38,22.25,22.19,23.41,24.69,24.0,23.19,23.34,24.28,24.44,24.34,25.53,27.25,27.81,26.66,25.62,25.12,23.28,19.44,15.66,13.22,11.69,8.97,7.34,7.69,9.22,9.22,8.75,9.75,11.62,13.0,13.5,14.66,17.31,19.09,19.31,19.84,21.75,23.88,24.31,24.12,24.75,25.59,24.25,21.72,19.84,18.56,16.25,12.88,10.22,9.53,9.56,8.69,8.09,9.16,10.53,10.03,9.84,11.06,13.5,14.91,15.38,16.09,17.62,17.78,16.56,15.66,16.28,17.34,17.97,18.81,21.44,24.44,24.97,24.59,24.16,23.78,21.41,17.88,15.09,13.97,12.84,11.5,11.59,13.5,15.5,15.97,15.78,16.75,17.66,17.69,18.0,19.78,22.66,24.69,25.19,25.66,27.09,27.5,26.28,24.56,24.22,23.44,21.03,18.53,17.5,16.97,15.81,14.53,13.78,14.75,14.97,14.06,13.91,15.62,17.31,18.22,19.47,22.53,25.66,27.09,27.69,28.88,29.91,29.81,29.06,28.78,29.97,30.66,30.06,29.53,30.41,30.66,29.0,27.09,26.53,25.94,23.91,21.72,21.03,21.47,21.31,21.59,22.81,25.28,27.28,27.91,28.28,29.72,30.91,30.5,29.72,29.78,29.72,28.28,26.62,26.31,27.41,28.0,27.94,27.62,28.44,27.88,25.19,21.97,19.84,17.53,14.34,12.06,12.28,14.31,16.22,18.28,21.53,25.53,28.44,29.53,30.31,32.03,32.53,31.91,31.09,31.75,32.0,30.5,28.56,27.62,27.22,26.34,24.97,24.75,26.22,27.44,28.06,28.97,31.19,32.25,31.28,29.5,28.78,28.28,26.09,23.56,22.47,22.59,21.62,20.47,20.44,21.84,22.59,21.97,21.69,23.06,24.53,24.5,24.5,25.91,27.62,27.38,26.0,26.12,27.38,27.66,27.16,27.16,28.09,27.75,25.41,22.62,21.41,20.34,18.19,16.06,16.47,17.81,18.59,19.03,20.81,23.06,24.06,23.5,23.12,23.91,24.56,23.91,23.03,23.84,23.84,21.69,18.38,16.19,14.38,11.78,9.31,8.47,9.31,10.31,10.38,11.06,12.94,14.0,13.72,12.94,14.16,16.12,17.19,18.25,21.09,24.47,26.81,27.44,28.91,31.44,32.72,32.19,31.84,32.06,31.59,29.22,26.28,25.19,24.31,22.97,21.06,21.09,21.88,22.38,21.31,21.25,22.56,23.16,22.78,22.22,23.34,23.94,23.34,22.38,23.22,24.38,24.53,23.5,23.69,24.66,24.62,24.0,23.88,25.5,26.88,27.16,27.59,29.44,30.97,31.03,30.25,31.12,32.72,33.03,32.16,32.41,32.88,32.41,31.16,30.38,30.91,30.44,28.59,26.09,24.88,24.69,23.31,22.5,23.69,25.66,26.34,25.5,25.75,26.44,25.78,23.94,22.12,22.12,22.03,20.84,20.47,21.56,23.0,23.03,22.03,21.72,21.66,19.97,17.06,15.38,14.81,14.06,13.0,12.75,14.84,16.94,18.03,19.25,22.0,25.56,27.69,28.59,30.38,32.0,31.78,30.12,29.09,29.19,28.97,27.25,25.75,25.09,24.06,21.28,18.28,17.44,17.31,16.19,14.56,14.62,15.66,15.88,14.75,14.75,15.97,16.62,15.88,15.62,17.34,19.09,19.03,18.53,19.41,20.5,20.09,18.56,18.66,19.84,20.5,19.75,19.66,21.0,21.78,20.56,19.5,19.69,20.06,18.59,16.56,15.94,16.44,16.44,15.59,16.31,18.31,20.06,20.31,21.59,24.59,27.59,27.88,27.34,27.44,26.81,24.81,22.12,21.09,20.91,19.84,18.31,18.28,19.81,20.94,20.47,20.06,20.62,20.91,19.34,18.53,19.53,21.12,21.62,21.28,21.41,22.41,21.88,20.03,18.62,18.09,17.5,15.59,15.12,16.75,19.0,19.34,19.06,18.97,18.81,17.09,14.44,13.28,13.47,13.66,12.84,13.0,14.88,16.66,16.75,17.38,19.25,21.28,21.44,20.59,20.84,21.69,21.5,20.66,21.03,22.44,22.59,21.03,19.5,19.09,18.69,16.44,14.5,14.59,14.75,13.62,12.91,13.78,15.69,17.09,17.41,18.94,21.5,23.0,22.62,21.88,21.91,21.41,19.16,17.53,18.19,20.0,20.81,21.19,22.62,24.69,25.44,24.69,24.69,25.56,25.75,23.91,22.72,23.06,23.5,22.62,21.66,21.28,21.38,19.75,17.72,17.09,17.66,17.53,15.94,14.91,15.25,15.31,14.38,14.22,16.34,19.19,20.06,20.78,22.44,23.94,23.38,21.69,21.25,21.78,21.22,19.69,18.41,18.16,17.69,15.72,14.28,15.09,16.66,16.69,16.94,17.88,19.34,18.84,17.34,16.59,17.59,18.41,18.03,18.38,20.66,22.41,22.31,22.56,24.62,26.97,27.06,26.59,26.91,27.88,26.97,25.69,25.56,26.78,27.72,26.91,27.25,28.62,29.62,29.09,27.84,28.06,28.44,26.84,24.31,23.34,23.47,22.66,21.47,21.59,23.19,23.81,23.09,23.0,24.31,26.09,26.19,26.0,26.66,27.81,27.22,26.12,26.12,27.28,27.16,25.22,23.84,23.62,22.88,21.0,20.03,20.78,21.94,21.44,20.28,20.66,22.25,22.5,23.16,25.09,27.81,28.69,27.34,25.72,25.0,23.72,21.25,19.5,19.66,20.47,19.41,18.25,18.69,19.59,19.66,19.41,20.25,22.47,23.03,21.81,20.44,20.0,19.03,17.03,16.16,18.03,21.06,22.03,22.34,22.81,23.25,21.94,19.88,19.5,20.88,21.56,21.19,20.78,21.59,21.34,18.62,16.16,15.56,16.53,16.38,16.47,17.56,19.34,19.25,17.97,17.88,19.69,21.12,20.84,20.88,22.34,23.31,22.84,22.66,25.0,27.66,28.5,28.28,28.38,28.25,26.72,24.22,22.84,23.28,23.69,23.38,23.75,25.56,27.47,27.38,26.75,27.22,27.97,26.75,24.69,23.88,24.03,23.25,22.12,22.5,24.56,25.88,25.69,24.81,24.66,24.06,21.88,19.44,19.03,20.19,20.34,19.91,20.16,21.25,20.81,19.44,19.34,21.19,23.09,23.84,24.03,25.31,26.28,25.03,23.28,22.72,23.0,22.28,20.44,19.53,19.94,19.28,17.53,16.66,17.75,18.75,18.75,19.03,20.84,22.62,22.91,22.31,22.69,24.25,24.59,24.0,24.38,26.16,26.88,25.88,24.47,24.78,24.56,23.06,21.47,21.78,22.31,20.78,18.81,18.47,19.91,20.38,19.91,20.09,22.09,22.75,21.75,20.81,22.03,22.88,22.69,22.31,23.53,25.28,25.22,24.41,24.19,25.19,24.72,22.41,20.38,19.78,18.91,17.44,16.34,17.28,18.72,18.84,18.44,19.34,20.56,20.62,19.34,19.28,20.66,21.03,20.5,21.0,22.88,24.38,24.62,24.56,26.0,27.41,26.91,25.81,25.31,24.84,23.0,20.19,18.31,18.62,18.91,18.25,18.25,19.5,20.06,18.38,15.97,14.75,13.25,10.78,8.31,8.16,9.56,11.44,12.41,14.34,17.75,20.94,22.25,23.69,26.0,27.38,26.69,25.75,26.09,26.91,26.31,24.59,23.62,22.81,21.5,19.12,18.25,18.84,19.19,18.78,17.94,18.22,18.53,17.19,15.34,14.34,61.56,63.91,65.84,67.09,67.06,66.28,65.47:22.72,23.06,24.16,27.16,29.34,29.5,28.84,28.69,28.34,26.28,23.84,23.22,23.72,23.5,22.03,20.81,21.09,20.59,19.03,18.06,19.31,20.41,20.34,19.81,20.81,22.53,23.81,24.72,27.38,30.75,32.91,33.03,32.03,31.72,29.78,26.59,24.28,24.44,25.91,26.34,26.53,27.75,29.0,29.03,28.66,29.19,31.53,33.91,35.12,36.94,40.16,42.53,42.94,42.75,43.19,43.16,41.12,37.62,35.03,32.78,29.44,25.41,23.19,22.25,21.5,19.81,18.88,20.16,21.66,21.94,22.28,24.22,25.94,26.25,26.0,26.84,28.34,28.72,27.81,27.5,28.12,28.53,27.72,27.75,29.41,31.03,30.97,30.69,31.66,32.53,32.59,31.22,30.97,31.75,31.34,29.66,29.03,29.12,28.62,25.88,23.25,21.84,20.75,18.5,16.59,16.84,17.78,18.0,17.38,17.94,19.0,19.28,17.88,17.22,17.41,17.16,15.81,14.62,15.06,16.12,15.47,14.41,14.72,15.72,16.44,16.72,18.38,21.22,23.47,24.19,24.97,27.12,28.78,28.66,28.59,29.5,30.62,30.0,28.56,28.47,28.59,27.97,25.97,25.25,25.06,24.56,22.78,21.31,21.22,21.12,19.34,17.31,16.81,17.06,16.38,15.19,16.0,17.78,19.16,19.25,20.06,21.69,22.38,21.22,19.91,19.78,19.47,17.12,14.22,12.62,11.41,9.75,7.81,8.22,10.38,12.5,13.31,14.78,17.28,19.22,19.97,21.0,23.16,25.31,25.59,24.19,23.91,23.84,22.16,20.06,19.31,19.84,20.16,19.25,19.25,20.62,21.59,20.88,20.12,20.16,20.69,20.0,19.09,19.34,20.78,20.34,19.31,18.94,18.78,18.5,17.16,16.5,17.94,19.53,19.66,19.16,19.09,19.03,16.75,14.41,13.56,14.59,15.5,16.19,18.69,22.0,25.12,26.31,27.69,29.69,31.06,30.72,29.62,29.5,29.91,28.94,27.28,26.69,26.59,25.91,23.94,22.59,22.88,23.38,22.25,22.31,23.84,25.97,26.69,27.31,28.34,30.0,29.12,26.5,24.94,24.06,22.81,20.62,19.66,20.53,21.16,20.22,20.16,21.56,23.78,24.62,25.16,26.34,27.31,26.47,24.56,23.38,23.53,23.38,22.25,22.19,23.41,24.69,24.0,23.19,23.34,24.28,24.44,24.34,25.53,27.25,27.81,26.66,25.62,25.12,23.28,19.44,15.66,13.22,11.69,8.97,7.34,7.69,9.22,9.22,8.75,9.75,11.62,13.0,13.5,14.66,17.31,19.09,19.31,19.84,21.75,23.88,24.31,24.12,24.75,25.59,24.25,21.72,19.84,18.56,16.25,12.88,10.22,9.53,9.56,8.69,8.09,9.16,10.53,10.03,9.84,11.06,13.5,14.91,15.38,16.09,17.62,17.78,16.56,15.66,16.28,17.34,17.97,18.81,21.44,24.44,24.97,24.59,24.16,23.78,21.41,17.88,15.09,13.97,12.84,11.5,11.59,13.5,15.5,15.97,15.78,16.75,17.66,17.69,18.0,19.78,22.66,24.69,25.19,25.66,27.09,27.5,26.28,24.56,24.22,23.44,21.03,18.53,17.5,16.97,15.81,14.53,13.78,14.75,14.97,14.06,13.91,15.62,17.31,18.22,19.47,22.53,25.66,27.09,27.69,28.88,29.91,29.81,29.06,28.78,29.97,30.66,30.06,29.53,30.41,30.66,29.0,27.09,26.53,25.94,23.91,21.72,21.03,21.47,21.31,21.59,22.81,25.28,27.28,27.91,28.28,29.72,30.91,30.5,29.72,29.78,29.72,28.28,26.62,26.31,27.41,28.0,27.94,27.62,28.44,27.88,25.19,21.97,19.84,17.53,14.34,12.06,12.28,14.31,16.22,18.28,21.53,25.53,28.44,29.53,30.31,32.03,32.53,31.91,31.09,31.75,32.0,30.5,28.56,27.62,27.22,26.34,24.97,24.75,26.22,27.44,28.06,28.97,31.19,32.25,31.28,29.5,28.78,28.28,26.09,23.56,22.47,22.59,21.62,20.47,20.44,21.84,22.59,21.97,21.69,23.06,24.53,24.5,24.5,25.91,27.62,27.38,26.0,26.12,27.38,27.66,27.16,27.16,28.09,27.75,25.41,22.62,21.41,20.34,18.19,16.06,16.47,17.81,18.59,19.03,20.81,23.06,24.06,23.5,23.12,23.91,24.56,23.91,23.03,23.84,23.84,21.69,18.38,16.19,14.38,11.78,9.31,8.47,9.31,10.31,10.38,11.06,12.94,14.0,13.72,12.94,14.16,16.12,17.19,18.25,21.09,24.47,26.81,27.44,28.91,31.44,32.72,32.19,31.84,32.06,31.59,29.22,26.28,25.19,24.31,22.97,21.06,21.09,21.88,22.38,21.31,21.25,22.56,23.16,22.78,22.22,23.34,23.94,23.34,22.38,23.22,24.38,24.53,23.5,23.69,24.66,24.62,24.0,23.88,25.5,26.88,27.16,27.59,29.44,30.97,31.03,30.25,31.12,32.72,33.03,32.16,32.41,32.88,32.41,31.16,30.38,30.91,30.44,28.59,26.09,24.88,24.69,23.31,22.5,23.69,25.66,26.34,25.5,25.75,26.44,25.78,23.94,22.12,22.12,22.03,20.84,20.47,21.56,23.0,23.03,22.03,21.72,21.66,19.97,17.06,15.38,14.81,14.06,13.0,12.75,14.84,16.94,18.03,19.25,22.0,25.56,27.69,28.59,30.38,32.0,31.78,30.12,29.09,29.19,28.97,27.25,25.75,25.09,24.06,21.28,18.28,17.44,17.31,16.19,14.56,14.62,15.66,15.88,14.75,14.75,15.97,16.62,15.88,15.62,17.34,19.09,19.03,18.53,19.41,20.5,20.09,18.56,18.66,19.84,20.5,19.75,19.66,21.0,21.78,20.56,19.5,19.69,20.06,18.59,16.56,15.94,16.44,16.44,15.59,16.31,18.31,20.06,20.31,21.59,24.59,27.59,27.88,27.34,27.44,26.81,24.81,22.12,21.09,20.91,19.84,18.31,18.28,19.81,20.94,20.47,20.06,20.62,20.91,19.34,18.53,19.53,21.12,21.62,21.28,21.41,22.41,21.88,20.03,18.62,18.09,17.5,15.59,15.12,16.75,19.0,19.34,19.06,18.97,18.81,17.09,14.44,13.28,13.47,13.66,12.84,13.0,14.88,16.66,16.75,17.38,19.25,21.28,21.44,20.59,20.84,21.69,21.5,20.66,21.03,22.44,22.59,21.03,19.5,19.09,18.69,16.44,14.5,14.59,14.75,13.62,12.91,13.78,15.69,17.09,17.41,18.94,21.5,23.0,22.62,21.88,21.91,21.41,19.16,17.53,18.19,20.0,20.81,21.19,22.62,24.69,25.44,24.69,24.69,25.56,25.75,23.91,22.72,23.06,23.5,22.62,21.66,21.28,21.38,19.75,17.72,17.09,17.66,17.53,15.94,14.91,15.25,15.31,14.38,14.22,16.34,19.19,20.06,20.78,22.44,23.94,23.38,21.69,21.25,21.78,21.22,19.69,18.41,18.16,17.69,15.72,14.28,15.09,16.66,16.69,16.94,17.88,19.34,18.84,17.34,16.59,17.59,18.41,18.03,18.38,20.66,22.41,22.31,22.56,24.62,26.97,27.06,26.59,26.91,27.88,26.97,25.69,25.56,26.78,27.72,26.91,27.25,28.62,29.62,29.09,27.84,28.06,28.44,26.84,24.31,23.34,23.47,22.66,21.47,21.59,23.19,23.81,23.09,23.0,24.31,26.09,26.19,26.0,26.66,27.81,27.22,26.12,26.12,27.28,27.16,25.22,23.84,23.62,22.88,21.0,20.03,20.78,21.94,21.44,20.28,20.66,22.25,22.5,23.16,25.09,27.81,28.69,27.34,25.72,25.0,23.72,21.25,19.5,19.66,20.47,19.41,18.25,18.69,19.59,19.66,19.41,20.25,22.47,23.03,21.81,20.44,20.0,19.03,17.03,16.16,18.03,21.06,22.03,22.34,22.81,23.25,21.94,19.88,19.5,20.88,21.56,21.19,20.78,21.59,21.34,18.62,16.16,15.56,16.53,16.38,16.47,17.56,19.34,19.25,17.97,17.88,19.69,21.12,20.84,20.88,22.34,23.31,22.84,22.66,25.0,27.66,28.5,28.28,28.38,28.25,26.72,24.22,22.84,23.28,23.69,23.38,23.75,25.56,27.47,27.38,26.75,27.22,27.97,26.75,24.69,23.88,24.03,23.25,22.12,22.5,24.56,25.88,25.69,24.81,24.66,24.06,21.88,19.44,19.03,20.19,20.34,19.91,20.16,21.25,20.81,19.44,19.34,21.19,23.09,23.84,24.03,25.31,26.28,25.03,23.28,22.72,23.0,22.28,20.44,19.53,19.94,19.28,17.53,16.66,17.75,18.75,18.75,19.03,20.84,22.62,22.91,22.31,22.69,24.25,24.59,24.0,24.38,26.16,26.88,25.88,24.47,24.78,24.56,23.06,21.47,21.78,22.31,20.78,18.81,18.47,19.91,20.38,19.91,20.09,22.09,22.75,21.75,20.81,22.03,22.88,22.69,22.31,23.53,25.28,25.22,24.41,24.19,25.19,24.72,22.41,20.38,19.78,18.91,17.44,16.34,17.28,18.72,18.84,18.44,19.34,20.56,20.62,19.34,19.28,20.66,21.03,20.5,21.0,22.88,24.38,24.62,24.56,26.0,27.41,26.91,25.81,25.31,24.84,23.0,20.19,18.31,18.62,18.91,18.25,18.25,19.5,20.06,18.38,15.97,14.75,13.25,10.78,8.31,8.16,9.56,11.44,12.41,14.34,17.75,20.94,22.25,23.69,26.0,27.38,26.69,25.75,26.09,26.91,26.31,24.59,23.62,22.81,21.5,19.12,18.25,18.84,19.19,18.78,17.94,18.22,18.53,17.19,15.34,14.34,61.56,63.91,65.84,67.09,67.06,66.28,65.47,64.0,62.25,60.53,58.81,57.78,56.94,56.91:28.69,28.34,26.28,23.84,23.22,23.72,23.5,22.03,20.81,21.09,20.59,19.03,18.06,19.31,20.41,20.34,19.81,20.81,22.53,23.81,24.72,27.38,30.75,32.91,33.03,32.03,31.72,29.78,26.59,24.28,24.44,25.91,26.34,26.53,27.75,29.0,29.03,28.66,29.19,31.53,33.91,35.12,36.94,40.16,42.53,42.94,42.75,43.19,43.16,41.12,37.62,35.03,32.78,29.44,25.41,23.19,22.25,21.5,19.81,18.88,20.16,21.66,21.94,22.28,24.22,25.94,26.25,26.0,26.84,28.34,28.72,27.81,27.5,28.12,28.53,27.72,27.75,29.41,31.03,30.97,30.69,31.66,32.53,32.59,31.22,30.97,31.75,31.34,29.66,29.03,29.12,28.62,25.88,23.25,21.84,20.75,18.5,16.59,16.84,17.78,18.0,17.38,17.94,19.0,19.28,17.88,17.22,17.41,17.16,15.81,14.62,15.06,16.12,15.47,14.41,14.72,15.72,16.44,16.72,18.38,21.22,23.47,24.19,24.97,27.12,28.78,28.66,28.59,29.5,30.62,30.0,28.56,28.47,28.59,27.97,25.97,25.25,25.06,24.56,22.78,21.31,21.22,21.12,19.34,17.31,16.81,17.06,16.38,15.19,16.0,17.78,19.16,19.25,20.06,21.69,22.38,21.22,19.91,19.78,19.47,17.12,14.22,12.62,11.41,9.75,7.81,8.22,10.38,12.5,13.31,14.78,17.28,19.22,19.97,21.0,23.16,25.31,25.59,24.19,23.91,23.84,22.16,20.06,19.31,19.84,20.16,19.25,19.25,20.62,21.59,20.88,20.12,20.16,20.69,20.0,19.09,19.34,20.78,20.34,19.31,18.94,18.78,18.5,17.16,16.5,17.94,19.53,19.66,19.16,19.09,19.03,16.75,14.41,13.56,14.59,15.5,16.19,18.69,22.0,25.12,26.31,27.69,29.69,31.06,30.72,29.62,29.5,29.91,28.94,27.28,26.69,26.59,25.91,23.94,22.59,22.88,23.38,22.25,22.31,23.84,25.97,26.69,27.31,28.34,30.0,29.12,26.5,24.94,24.06,22.81,20.62,19.66,20.53,21.16,20.22,20.16,21.56,23.78,24.62,25.16,26.34,27.31,26.47,24.56,23.38,23.53,23.38,22.25,22.19,23.41,24.69,24.0,23.19,23.34,24.28,24.44,24.34,25.53,27.25,27.81,26.66,25.62,25.12,23.28,19.44,15.66,13.22,11.69,8.97,7.34,7.69,9.22,9.22,8.75,9.75,11.62,13.0,13.5,14.66,17.31,19.09,19.31,19.84,21.75,23.88,24.31,24.12,24.75,25.59,24.25,21.72,19.84,18.56,16.25,12.88,10.22,9.53,9.56,8.69,8.09,9.16,10.53,10.03,9.84,11.06,13.5,14.91,15.38,16.09,17.62,17.78,16.56,15.66,16.28,17.34,17.97,18.81,21.44,24.44,24.97,24.59,24.16,23.78,21.41,17.88,15.09,13.97,12.84,11.5,11.59,13.5,15.5,15.97,15.78,16.75,17.66,17.69,18.0,19.78,22.66,24.69,25.19,25.66,27.09,27.5,26.28,24.56,24.22,23.44,21.03,18.53,17.5,16.97,15.81,14.53,13.78,14.75,14.97,14.06,13.91,15.62,17.31,18.22,19.47,22.53,25.66,27.09,27.69,28.88,29.91,29.81,29.06,28.78,29.97,30.66,30.06,29.53,30.41,30.66,29.0,27.09,26.53,25.94,23.91,21.72,21.03,21.47,21.31,21.59,22.81,25.28,27.28,27.91,28.28,29.72,30.91,30.5,29.72,29.78,29.72,28.28,26.62,26.31,27.41,28.0,27.94,27.62,28.44,27.88,25.19,21.97,19.84,17.53,14.34,12.06,12.28,14.31,16.22,18.28,21.53,25.53,28.44,29.53,30.31,32.03,32.53,31.91,31.09,31.75,32.0,30.5,28.56,27.62,27.22,26.34,24.97,24.75,26.22,27.44,28.06,28.97,31.19,32.25,31.28,29.5,28.78,28.28,26.09,23.56,22.47,22.59,21.62,20.47,20.44,21.84,22.59,21.97,21.69,23.06,24.53,24.5,24.5,25.91,27.62,27.38,26.0,26.12,27.38,27.66,27.16,27.16,28.09,27.75,25.41,22.62,21.41,20.34,18.19,16.06,16.47,17.81,18.59,19.03,20.81,23.06,24.06,23.5,23.12,23.91,24.56,23.91,23.03,23.84,23.84,21.69,18.38,16.19,14.38,11.78,9.31,8.47,9.31,10.31,10.38,11.06,12.94,14.0,13.72,12.94,14.16,16.12,17.19,18.25,21.09,24.47,26.81,27.44,28.91,31.44,32.72,32.19,31.84,32.06,31.59,29.22,26.28,25.19,24.31,22.97,21.06,21.09,21.88,22.38,21.31,21.25,22.56,23.16,22.78,22.22,23.34,23.94,23.34,22.38,23.22,24.38,24.53,23.5,23.69,24.66,24.62,24.0,23.88,25.5,26.88,27.16,27.59,29.44,30.97,31.03,30.25,31.12,32.72,33.03,32.16,32.41,32.88,32.41,31.16,30.38,30.91,30.44,28.59,26.09,24.88,24.69,23.31,22.5,23.69,25.66,26.34,25.5,25.75,26.44,25.78,23.94,22.12,22.12,22.03,20.84,20.47,21.56,23.0,23.03,22.03,21.72,21.66,19.97,17.06,15.38,14.81,14.06,13.0,12.75,14.84,16.94,18.03,19.25,22.0,25.56,27.69,28.59,30.38,32.0,31.78,30.12,29.09,29.19,28.97,27.25,25.75,25.09,24.06,21.28,18.28,17.44,17.31,16.19,14.56,14.62,15.66,15.88,14.75,14.75,15.97,16.62,15.88,15.62,17.34,19.09,19.03,18.53,19.41,20.5,20.09,18.56,18.66,19.84,20.5,19.75,19.66,21.0,21.78,20.56,19.5,19.69,20.06,18.59,16.56,15.94,16.44,16.44,15.59,16.31,18.31,20.06,20.31,21.59,24.59,27.59,27.88,27.34,27.44,26.81,24.81,22.12,21.09,20.91,19.84,18.31,18.28,19.81,20.94,20.47,20.06,20.62,20.91,19.34,18.53,19.53,21.12,21.62,21.28,21.41,22.41,21.88,20.03,18.62,18.09,17.5,15.59,15.12,16.75,19.0,19.34,19.06,18.97,18.81,17.09,14.44,13.28,13.47,13.66,12.84,13.0,14.88,16.66,16.75,17.38,19.25,21.28,21.44,20.59,20.84,21.69,21.5,20.66,21.03,22.44,22.59,21.03,19.5,19.09,18.69,16.44,14.5,14.59,14.75,13.62,12.91,13.78,15.69,17.09,17.41,18.94,21.5,23.0,22.62,21.88,21.91,21.41,19.16,17.53,18.19,20.0,20.81,21.19,22.62,24.69,25.44,24.69,24.69,25.56,25.75,23.91,22.72,23.06,23.5,22.62,21.66,21.28,21.38,19.75,17.72,17.09,17.66,17.53,15.94,14.91,15.25,15.31,14.38,14.22,16.34,19.19,20.06,20.78,22.44,23.94,23.38,21.69,21.25,21.78,21.22,19.69,18.41,18.16,17.69,15.72,14.28,15.09,16.66,16.69,16.94,17.88,19.34,18.84,17.34,16.59,17.59,18.41,18.03,18.38,20.66,22.41,22.31,22.56,24.62,26.97,27.06,26.59,26.91,27.88,26.97,25.69,25.56,26.78,27.72,26.91,27.25,28.62,29.62,29.09,27.84,28.06,28.44,26.84,24.31,23.34,23.47,22.66,21.47,21.59,23.19,23.81,23.09,23.0,24.31,26.09,26.19,26.0,26.66,27.81,27.22,26.12,26.12,27.28,27.16,25.22,23.84,23.62,22.88,21.0,20.03,20.78,21.94,21.44,20.28,20.66,22.25,22.5,23.16,25.09,27.81,28.69,27.34,25.72,25.0,23.72,21.25,19.5,19.66,20.47,19.41,18.25,18.69,19.59,19.66,19.41,20.25,22.47,23.03,21.81,20.44,20.0,19.03,17.03,16.16,18.03,21.06,22.03,22.34,22.81,23.25,21.94,19.88,19.5,20.88,21.56,21.19,20.78,21.59,21.34,18.62,16.16,15.56,16.53,16.38,16.47,17.56,19.34,19.25,17.97,17.88,19.69,21.12,20.84,20.88,22.34,23.31,22.84,22.66,25.0,27.66,28.5,28.28,28.38,28.25,26.72,24.22,22.84,23.28,23.69,23.38,23.75,25.56,27.47,27.38,26.75,27.22,27.97,26.75,24.69,23.88,24.03,23.25,22.12,22.5,24.56,25.88,25.69,24.81,24.66,24.06,21.88,19.44,19.03,20.19,20.34,19.91,20.16,21.25,20.81,19.44,19.34,21.19,23.09,23.84,24.03,25.31,26.28,25.03,23.28,22.72,23.0,22.28,20.44,19.53,19.94,19.28,17.53,16.66,17.75,18.75,18.75,19.03,20.84,22.62,22.91,22.31,22.69,24.25,24.59,24.0,24.38,26.16,26.88,25.88,24.47,24.78,24.56,23.06,21.47,21.78,22.31,20.78,18.81,18.47,19.91,20.38,19.91,20.09,22.09,22.75,21.75,20.81,22.03,22.88,22.69,22.31,23.53,25.28,25.22,24.41,24.19,25.19,24.72,22.41,20.38,19.78,18.91,17.44,16.34,17.28,18.72,18.84,18.44,19.34,20.56,20.62,19.34,19.28,20.66,21.03,20.5,21.0,22.88,24.38,24.62,24.56,26.0,27.41,26.91,25.81,25.31,24.84,23.0,20.19,18.31,18.62,18.91,18.25,18.25,19.5,20.06,18.38,15.97,14.75,13.25,10.78,8.31,8.16,9.56,11.44,12.41,14.34,17.75,20.94,22.25,23.69,26.0,27.38,26.69,25.75,26.09,26.91,26.31,24.59,23.62,22.81,21.5,19.12,18.25,18.84,19.19,18.78,17.94,18.22,18.53,17.19,15.34,14.34,61.56,63.91,65.84,67.09,67.06,66.28,65.47,64.0,62.25,60.53,58.81,57.78,56.94,56.91,58.16,60.0,62.06,63.81,65.44,66.56,66.78:22.03,20.81,21.09,20.59,19.03,18.06,19.31,20.41,20.34,19.81,20.81,22.53,23.81,24.72,27.38,30.75,32.91,33.03,32.03,31.72,29.78,26.59,24.28,24.44,25.91,26.34,26.53,27.75,29.0,29.03,28.66,29.19,31.53,33.91,35.12,36.94,40.16,42.53,42.94,42.75,43.19,43.16,41.12,37.62,35.03,32.78,29.44,25.41,23.19,22.25,21.5,19.81,18.88,20.16,21.66,21.94,22.28,24.22,25.94,26.25,26.0,26.84,28.34,28.72,27.81,27.5,28.12,28.53,27.72,27.75,29.41,31.03,30.97,30.69,31.66,32.53,32.59,31.22,30.97,31.75,31.34,29.66,29.03,29.12,28.62,25.88,23.25,21.84,20.75,18.5,16.59,16.84,17.78,18.0,17.38,17.94,19.0,19.28,17.88,17.22,17.41,17.16,15.81,14.62,15.06,16.12,15.47,14.41,14.72,15.72,16.44,16.72,18.38,21.22,23.47,24.19,24.97,27.12,28.78,28.66,28.59,29.5,30.62,30.0,28.56,28.47,28.59,27.97,25.97,25.25,25.06,24.56,22.78,21.31,21.22,21.12,19.34,17.31,16.81,17.06,16.38,15.19,16.0,17.78,19.16,19.25,20.06,21.69,22.38,21.22,19.91,19.78,19.47,17.12,14.22,12.62,11.41,9.75,7.81,8.22,10.38,12.5,13.31,14.78,17.28,19.22,19.97,21.0,23.16,25.31,25.59,24.19,23.91,23.84,22.16,20.06,19.31,19.84,20.16,19.25,19.25,20.62,21.59,20.88,20.12,20.16,20.69,20.0,19.09,19.34,20.78,20.34,19.31,18.94,18.78,18.5,17.16,16.5,17.94,19.53,19.66,19.16,19.09,19.03,16.75,14.41,13.56,14.59,15.5,16.19,18.69,22.0,25.12,26.31,27.69,29.69,31.06,30.72,29.62,29.5,29.91,28.94,27.28,26.69,26.59,25.91,23.94,22.59,22.88,23.38,22.25,22.31,23.84,25.97,26.69,27.31,28.34,30.0,29.12,26.5,24.94,24.06,22.81,20.62,19.66,20.53,21.16,20.22,20.16,21.56,23.78,24.62,25.16,26.34,27.31,26.47,24.56,23.38,23.53,23.38,22.25,22.19,23.41,24.69,24.0,23.19,23.34,24.28,24.44,24.34,25.53,27.25,27.81,26.66,25.62,25.12,23.28,19.44,15.66,13.22,11.69,8.97,7.34,7.69,9.22,9.22,8.75,9.75,11.62,13.0,13.5,14.66,17.31,19.09,19.31,19.84,21.75,23.88,24.31,24.12,24.75,25.59,24.25,21.72,19.84,18.56,16.25,12.88,10.22,9.53,9.56,8.69,8.09,9.16,10.53,10.03,9.84,11.06,13.5,14.91,15.38,16.09,17.62,17.78,16.56,15.66,16.28,17.34,17.97,18.81,21.44,24.44,24.97,24.59,24.16,23.78,21.41,17.88,15.09,13.97,12.84,11.5,11.59,13.5,15.5,15.97,15.78,16.75,17.66,17.69,18.0,19.78,22.66,24.69,25.19,25.66,27.09,27.5,26.28,24.56,24.22,23.44,21.03,18.53,17.5,16.97,15.81,14.53,13.78,14.75,14.97,14.06,13.91,15.62,17.31,18.22,19.47,22.53,25.66,27.09,27.69,28.88,29.91,29.81,29.06,28.78,29.97,30.66,30.06,29.53,30.41,30.66,29.0,27.09,26.53,25.94,23.91,21.72,21.03,21.47,21.31,21.59,22.81,25.28,27.28,27.91,28.28,29.72,30.91,30.5,29.72,29.78,29.72,28.28,26.62,26.31,27.41,28.0,27.94,27.62,28.44,27.88,25.19,21.97,19.84,17.53,14.34,12.06,12.28,14.31,16.22,18.28,21.53,25.53,28.44,29.53,30.31,32.03,32.53,31.91,31.09,31.75,32.0,30.5,28.56,27.62,27.22,26.34,24.97,24.75,26.22,27.44,28.06,28.97,31.19,32.25,31.28,29.5,28.78,28.28,26.09,23.56,22.47,22.59,21.62,20.47,20.44,21.84,22.59,21.97,21.69,23.06,24.53,24.5,24.5,25.91,27.62,27.38,26.0,26.12,27.38,27.66,27.16,27.16,28.09,27.75,25.41,22.62,21.41,20.34,18.19,16.06,16.47,17.81,18.59,19.03,20.81,23.06,24.06,23.5,23.12,23.91,24.56,23.91,23.03,23.84,23.84,21.69,18.38,16.19,14.38,11.78,9.31,8.47,9.31,10.31,10.38,11.06,12.94,14.0,13.72,12.94,14.16,16.12,17.19,18.25,21.09,24.47,26.81,27.44,28.91,31.44,32.72,32.19,31.84,32.06,31.59,29.22,26.28,25.19,24.31,22.97,21.06,21.09,21.88,22.38,21.31,21.25,22.56,23.16,22.78,22.22,23.34,23.94,23.34,22.38,23.22,24.38,24.53,23.5,23.69,24.66,24.62,24.0,23.88,25.5,26.88,27.16,27.59,29.44,30.97,31.03,30.25,31.12,32.72,33.03,32.16,32.41,32.88,32.41,31.16,30.38,30.91,30.44,28.59,26.09,24.88,24.69,23.31,22.5,23.69,25.66,26.34,25.5,25.75,26.44,25.78,23.94,22.12,22.12,22.03,20.84,20.47,21.56,23.0,23.03,22.03,21.72,21.66,19.97,17.06,15.38,14.81,14.06,13.0,12.75,14.84,16.94,18.03,19.25,22.0,25.56,27.69,28.59,30.38,32.0,31.78,30.12,29.09,29.19,28.97,27.25,25.75,25.09,24.06,21.28,18.28,17.44,17.31,16.19,14.56,14.62,15.66,15.88,14.75,14.75,15.97,16.62,15.88,15.62,17.34,19.09,19.03,18.53,19.41,20.5,20.09,18.56,18.66,19.84,20.5,19.75,19.66,21.0,21.78,20.56,19.5,19.69,20.06,18.59,16.56,15.94,16.44,16.44,15.59,16.31,18.31,20.06,20.31,21.59,24.59,27.59,27.88,27.34,27.44,26.81,24.81,22.12,21.09,20.91,19.84,18.31,18.28,19.81,20.94,20.47,20.06,20.62,20.91,19.34,18.53,19.53,21.12,21.62,21.28,21.41,22.41,21.88,20.03,18.62,18.09,17.5,15.59,15.12,16.75,19.0,19.34,19.06,18.97,18.81,17.09,14.44,13.28,13.47,13.66,12.84,13.0,14.88,16.66,16.75,17.38,19.25,21.28,21.44,20.59,20.84,21.69,21.5,20.66,21.03,22.44,22.59,21.03,19.5,19.09,18.69,16.44,14.5,14.59,14.75,13.62,12.91,13.78,15.69,17.09,17.41,18.94,21.5,23.0,22.62,21.88,21.91,21.41,19.16,17.53,18.19,20.0,20.81,21.19,22.62,24.69,25.44,24.69,24.69,25.56,25.75,23.91,22.72,23.06,23.5,22.62,21.66,21.28,21.38,19.75,17.72,17.09,17.66,17.53,15.94,14.91,15.25,15.31,14.38,14.22,16.34,19.19,20.06,20.78,22.44,23.94,23.38,21.69,21.25,21.78,21.22,19.69,18.41,18.16,17.69,15.72,14.28,15.09,16.66,16.69,16.94,17.88,19.34,18.84,17.34,16.59,17.59,18.41,18.03,18.38,20.66,22.41,22.31,22.56,24.62,26.97,27.06,26.59,26.91,27.88,26.97,25.69,25.56,26.78,27.72,26.91,27.25,28.62,29.62,29.09,27.84,28.06,28.44,26.84,24.31,23.34,23.47,22.66,21.47,21.59,23.19,23.81,23.09,23.0,24.31,26.09,26.19,26.0,26.66,27.81,27.22,26.12,26.12,27.28,27.16,25.22,23.84,23.62,22.88,21.0,20.03,20.78,21.94,21.44,20.28,20.66,22.25,22.5,23.16,25.09,27.81,28.69,27.34,25.72,25.0,23.72,21.25,19.5,19.66,20.47,19.41,18.25,18.69,19.59,19.66,19.41,20.25,22.47,23.03,21.81,20.44,20.0,19.03,17.03,16.16,18.03,21.06,22.03,22.34,22.81,23.25,21.94,19.88,19.5,20.88,21.56,21.19,20.78,21.59,21.34,18.62,16.16,15.56,16.53,16.38,16.47,17.56,19.34,19.25,17.97,17.88,19.69,21.12,20.84,20.88,22.34,23.31,22.84,22.66,25.0,27.66,28.5,28.28,28.38,28.25,26.72,24.22,22.84,23.28,23.69,23.38,23.75,25.56,27.47,27.38,26.75,27.22,27.97,26.75,24.69,23.88,24.03,23.25,22.12,22.5,24.56,25.88,25.69,24.81,24.66,24.06,21.88,19.44,19.03,20.19,20.34,19.91,20.16,21.25,20.81,19.44,19.34,21.19,23.09,23.84,24.03,25.31,26.28,25.03,23.28,22.72,23.0,22.28,20.44,19.53,19.94,19.28,17.53,16.66,17.75,18.75,18.75,19.03,20.84,22.62,22.91,22.31,22.69,24.25,24.59,24.0,24.38,26.16,26.88,25.88,24.47,24.78,24.56,23.06,21.47,21.78,22.31,20.78,18.81,18.47,19.91,20.38,19.91,20.09,22.09,22.75,21.75,20.81,22.03,22.88,22.69,22.31,23.53,25.28,25.22,24.41,24.19,25.19,24.72,22.41,20.38,19.78,18.91,17.44,16.34,17.28,18.72,18.84,18.44,19.34,20.56,20.62,19.34,19.28,20.66,21.03,20.5,21.0,22.88,24.38,24.62,24.56,26.0,27.41,26.91,25.81,25.31,24.84,23.0,20.19,18.31,18.62,18.91,18.25,18.25,19.5,20.06,18.38,15.97,14.75,13.25,10.78,8.31,8.16,9.56,11.44,12.41,14.34,17.75,20.94,22.25,23.69,26.0,27.38,26.69,25.75,26.09,26.91,26.31,24.59,23.62,22.81,21.5,19.12,18.25,18.84,19.19,18.78,17.94,18.22,18.53,17.19,15.34,14.34,61.56,63.91,65.84,67.09,67.06,66.28,65.47,64.0,62.25,60.53,58.81,57.78,56.94,56.91,58.16,60.0,62.06,63.81,65.44,66.56,66.78,65.66,63.88,62.19,60.25,58.59,57.53,56.84:20.41,20.34,19.81,20.81,22.53,23.81,24.72,27.38,30.75,32.91,33.03,32.03,31.72,29.78,26.59,24.28,24.44,25.91,26.34,26.53,27.75,29.0,29.03,28.66,29.19,31.53,33.91,35.12,36.94,40.16,42.53,42.94,42.75,43.19,43.16,41.12,37.62,35.03,32.78,29.44,25.41,23.19,22.25,21.5,19.81,18.88,20.16,21.66,21.94,22.28,24.22,25.94,26.25,26.0,26.84,28.34,28.72,27.81,27.5,28.12,28.53,27.72,27.75,29.41,31.03,30.97,30.69,31.66,32.53,32.59,31.22,30.97,31.75,31.34,29.66,29.03,29.12,28.62,25.88,23.25,21.84,20.75,18.5,16.59,16.84,17.78,18.0,17.38,17.94,19.0,19.28,17.88,17.22,17.41,17.16,15.81,14.62,15.06,16.12,15.47,14.41,14.72,15.72,16.44,16.72,18.38,21.22,23.47,24.19,24.97,27.12,28.78,28.66,28.59,29.5,30.62,30.0,28.56,28.47,28.59,27.97,25.97,25.25,25.06,24.56,22.78,21.31,21.22,21.12,19.34,17.31,16.81,17.06,16.38,15.19,16.0,17.78,19.16,19.25,20.06,21.69,22.38,21.22,19.91,19.78,19.47,17.12,14.22,12.62,11.41,9.75,7.81,8.22,10.38,12.5,13.31,14.78,17.28,19.22,19.97,21.0,23.16,25.31,25.59,24.19,23.91,23.84,22.16,20.06,19.31,19.84,20.16,19.25,19.25,20.62,21.59,20.88,20.12,20.16,20.69,20.0,19.09,19.34,20.78,20.34,19.31,18.94,18.78,18.5,17.16,16.5,17.94,19.53,19.66,19.16,19.09,19.03,16.75,14.41,13.56,14.59,15.5,16.19,18.69,22.0,25.12,26.31,27.69,29.69,31.06,30.72,29.62,29.5,29.91,28.94,27.28,26.69,26.59,25.91,23.94,22.59,22.88,23.38,22.25,22.31,23.84,25.97,26.69,27.31,28.34,30.0,29.12,26.5,24.94,24.06,22.81,20.62,19.66,20.53,21.16,20.22,20.16,21.56,23.78,24.62,25.16,26.34,27.31,26.47,24.56,23.38,23.53,23.38,22.25,22.19,23.41,24.69,24.0,23.19,23.34,24.28,24.44,24.34,25.53,27.25,27.81,26.66,25.62,25.12,23.28,19.44,15.66,13.22,11.69,8.97,7.34,7.69,9.22,9.22,8.75,9.75,11.62,13.0,13.5,14.66,17.31,19.09,19.31,19.84,21.75,23.88,24.31,24.12,24.75,25.59,24.25,21.72,19.84,18.56,16.25,12.88,10.22,9.53,9.56,8.69,8.09,9.16,10.53,10.03,9.84,11.06,13.5,14.91,15.38,16.09,17.62,17.78,16.56,15.66,16.28,17.34,17.97,18.81,21.44,24.44,24.97,24.59,24.16,23.78,21.41,17.88,15.09,13.97,12.84,11.5,11.59,13.5,15.5,15.97,15.78,16.75,17.66,17.69,18.0,19.78,22.66,24.69,25.19,25.66,27.09,27.5,26.28,24.56,24.22,23.44,21.03,18.53,17.5,16.97,15.81,14.53,13.78,14.75,14.97,14.06,13.91,15.62,17.31,18.22,19.47,22.53,25.66,27.09,27.69,28.88,29.91,29.81,29.06,28.78,29.97,30.66,30.06,29.53,30.41,30.66,29.0,27.09,26.53,25.94,23.91,21.72,21.03,21.47,21.31,21.59,22.81,25.28,27.28,27.91,28.28,29.72,30.91,30.5,29.72,29.78,29.72,28.28,26.62,26.31,27.41,28.0,27.94,27.62,28.44,27.88,25.19,21.97,19.84,17.53,14.34,12.06,12.28,14.31,16.22,18.28,21.53,25.53,28.44,29.53,30.31,32.03,32.53,31.91,31.09,31.75,32.0,30.5,28.56,27.62,27.22,26.34,24.97,24.75,26.22,27.44,28.06,28.97,31.19,32.25,31.28,29.5,28.78,28.28,26.09,23.56,22.47,22.59,21.62,20.47,20.44,21.84,22.59,21.97,21.69,23.06,24.53,24.5,24.5,25.91,27.62,27.38,26.0,26.12,27.38,27.66,27.16,27.16,28.09,27.75,25.41,22.62,21.41,20.34,18.19,16.06,16.47,17.81,18.59,19.03,20.81,23.06,24.06,23.5,23.12,23.91,24.56,23.91,23.03,23.84,23.84,21.69,18.38,16.19,14.38,11.78,9.31,8.47,9.31,10.31,10.38,11.06,12.94,14.0,13.72,12.94,14.16,16.12,17.19,18.25,21.09,24.47,26.81,27.44,28.91,31.44,32.72,32.19,31.84,32.06,31.59,29.22,26.28,25.19,24.31,22.97,21.06,21.09,21.88,22.38,21.31,21.25,22.56,23.16,22.78,22.22,23.34,23.94,23.34,22.38,23.22,24.38,24.53,23.5,23.69,24.66,24.62,24.0,23.88,25.5,26.88,27.16,27.59,29.44,30.97,31.03,30.25,31.12,32.72,33.03,32.16,32.41,32.88,32.41,31.16,30.38,30.91,30.44,28.59,26.09,24.88,24.69,23.31,22.5,23.69,25.66,26.34,25.5,25.75,26.44,25.78,23.94,22.12,22.12,22.03,20.84,20.47,21.56,23.0,23.03,22.03,21.72,21.66,19.97,17.06,15.38,14.81,14.06,13.0,12.75,14.84,16.94,18.03,19.25,22.0,25.56,27.69,28.59,30.38,32.0,31.78,30.12,29.09,29.19,28.97,27.25,25.75,25.09,24.06,21.28,18.28,17.44,17.31,16.19,14.56,14.62,15.66,15.88,14.75,14.75,15.97,16.62,15.88,15.62,17.34,19.09,19.03,18.53,19.41,20.5,20.09,18.56,18.66,19.84,20.5,19.75,19.66,21.0,21.78,20.56,19.5,19.69,20.06,18.59,16.56,15.94,16.44,16.44,15.59,16.31,18.31,20.06,20.31,21.59,24.59,27.59,27.88,27.34,27.44,26.81,24.81,22.12,21.09,20.91,19.84,18.31,18.28,19.81,20.94,20.47,20.06,20.62,20.91,19.34,18.53,19.53,21.12,21.62,21.28,21.41,22.41,21.88,20.03,18.62,18.09,17.5,15.59,15.12,16.75,19.0,19.34,19.06,18.97,18.81,17.09,14.44,13.28,13.47,13.66,12.84,13.0,14.88,16.66,16.75,17.38,19.25,21.28,21.44,20.59,20.84,21.69,21.5,20.66,21.03,22.44,22.59,21.03,19.5,19.09,18.69,16.44,14.5,14.59,14.75,13.62,12.91,13.78,15.69,17.09,17.41,18.94,21.5,23.0,22.62,21.88,21.91,21.41,19.16,17.53,18.19,20.0,20.81,21.19,22.62,24.69,25.44,24.69,24.69,25.56,25.75,23.91,22.72,23.06,23.5,22.62,21.66,21.28,21.38,19.75,17.72,17.09,17.66,17.53,15.94,14.91,15.25,15.31,14.38,14.22,16.34,19.19,20.06,20.78,22.44,23.94,23.38,21.69,21.25,21.78,21.22,19.69,18.41,18.16,17.69,15.72,14.28,15.09,16.66,16.69,16.94,17.88,19.34,18.84,17.34,16.59,17.59,18.41,18.03,18.38,20.66,22.41,22.31,22.56,24.62,26.97,27.06,26.59,26.91,27.88,26.97,25.69,25.56,26.78,27.72,26.91,27.25,28.62,29.62,29.09,27.84,28.06,28.44,26.84,24.31,23.34,23.47,22.66,21.47,21.59,23.19,23.81,23.09,23.0,24.31,26.09,26.19,26.0,26.66,27.81,27.22,26.12,26.12,27.28,27.16,25.22,23.84,23.62,22.88,21.0,20.03,20.78,21.94,21.44,20.28,20.66,22.25,22.5,23.16,25.09,27.81,28.69,27.34,25.72,25.0,23.72,21.25,19.5,19.66,20.47,19.41,18.25,18.69,19.59,19.66,19.41,20.25,22.47,23.03,21.81,20.44,20.0,19.03,17.03,16.16,18.03,21.06,22.03,22.34,22.81,23.25,21.94,19.88,19.5,20.88,21.56,21.19,20.78,21.59,21.34,18.62,16.16,15.56,16.53,16.38,16.47,17.56,19.34,19.25,17.97,17.88,19.69,21.12,20.84,20.88,22.34,23.31,22.84,22.66,25.0,27.66,28.5,28.28,28.38,28.25,26.72,24.22,22.84,23.28,23.69,23.38,23.75,25.56,27.47,27.38,26.75,27.22,27.97,26.75,24.69,23.88,24.03,23.25,22.12,22.5,24.56,25.88,25.69,24.81,24.66,24.06,21.88,19.44,19.03,20.19,20.34,19.91,20.16,21.25,20.81,19.44,19.34,21.19,23.09,23.84,24.03,25.31,26.28,25.03,23.28,22.72,23.0,22.28,20.44,19.53,19.94,19.28,17.53,16.66,17.75,18.75,18.75,19.03,20.84,22.62,22.91,22.31,22.69,24.25,24.59,24.0,24.38,26.16,26.88,25.88,24.47,24.78,24.56,23.06,21.47,21.78,22.31,20.78,18.81,18.47,19.91,20.38,19.91,20.09,22.09,22.75,21.75,20.81,22.03,22.88,22.69,22.31,23.53,25.28,25.22,24.41,24.19,25.19,24.72,22.41,20.38,19.78,18.91,17.44,16.34,17.28,18.72,18.84,18.44,19.34,20.56,20.62,19.34,19.28,20.66,21.03,20.5,21.0,22.88,24.38,24.62,24.56,26.0,27.41,26.91,25.81,25.31,24.84,23.0,20.19,18.31,18.62,18.91,18.25,18.25,19.5,20.06,18.38,15.97,14.75,13.25,10.78,8.31,8.16,9.56,11.44,12.41,14.34,17.75,20.94,22.25,23.69,26.0,27.38,26.69,25.75,26.09,26.91,26.31,24.59,23.62,22.81,21.5,19.12,18.25,18.84,19.19,18.78,17.94,18.22,18.53,17.19,15.34,14.34,61.56,63.91,65.84,67.09,67.06,66.28,65.47,64.0,62.25,60.53,58.81,57.78,56.94,56.91,58.16,60.0,62.06,63.81,65.44,66.56,66.78,65.66,63.88,62.19,60.25,58.59,57.53,56.84,56.59,55.69,54.88,54.5,54.44,55.06,55.69:27.38,30.75,32.91,33.03,32.03,31.72,29.78,26.59,24.28,24.44,25.91,26.34,26.53,27.75,29.0,29.03,28.66,29.19,31.53,33.91,35.12,36.94,40.16,42.53,42.94,42.75,43.19,43.16,41.12,37.62,35.03,32.78,29.44,25.41,23.19,22.25,21.5,19.81,18.88,20.16,21.66,21.94,22.28,24.22,25.94,26.25,26.0,26.84,28.34,28.72,27.81,27.5,28.12,28.53,27.72,27.75,29.41,31.03,30.97,30.69,31.66,32.53,32.59,31.22,30.97,31.75,31.34,29.66,29.03,29.12,28.62,25.88,23.25,21.84,20.75,18.5,16.59,16.84,17.78,18.0,17.38,17.94,19.0,19.28,17.88,17.22,17.41,17.16,15.81,14.62,15.06,16.12,15.47,14.41,14.72,15.72,16.44,16.72,18.38,21.22,23.47,24.19,24.97,27.12,28.78,28.66,28.59,29.5,30.62,30.0,28.56,28.47,28.59,27.97,25.97,25.25,25.06,24.56,22.78,21.31,21.22,21.12,19.34,17.31,16.81,17.06,16.38,15.19,16.0,17.78,19.16,19.25,20.06,21.69,22.38,21.22,19.91,19.78,19.47,17.12,14.22,12.62,11.41,9.75,7.81,8.22,10.38,12.5,13.31,14.78,17.28,19.22,19.97,21.0,23.16,25.31,25.59,24.19,23.91,23.84,22.16,20.06,19.31,19.84,20.16,19.25,19.25,20.62,21.59,20.88,20.12,20.16,20.69,20.0,19.09,19.34,20.78,20.34,19.31,18.94,18.78,18.5,17.16,16.5,17.94,19.53,19.66,19.16,19.09,19.03,16.75,14.41,13.56,14.59,15.5,16.19,18.69,22.0,25.12,26.31,27.69,29.69,31.06,30.72,29.62,29.5,29.91,28.94,27.28,26.69,26.59,25.91,23.94,22.59,22.88,23.38,22.25,22.31,23.84,25.97,26.69,27.31,28.34,30.0,29.12,26.5,24.94,24.06,22.81,20.62,19.66,20.53,21.16,20.22,20.16,21.56,23.78,24.62,25.16,26.34,27.31,26.47,24.56,23.38,23.53,23.38,22.25,22.19,23.41,24.69,24.0,23.19,23.34,24.28,24.44,24.34,25.53,27.25,27.81,26.66,25.62,25.12,23.28,19.44,15.66,13.22,11.69,8.97,7.34,7.69,9.22,9.22,8.75,9.75,11.62,13.0,13.5,14.66,17.31,19.09,19.31,19.84,21.75,23.88,24.31,24.12,24.75,25.59,24.25,21.72,19.84,18.56,16.25,12.88,10.22,9.53,9.56,8.69,8.09,9.16,10.53,10.03,9.84,11.06,13.5,14.91,15.38,16.09,17.62,17.78,16.56,15.66,16.28,17.34,17.97,18.81,21.44,24.44,24.97,24.59,24.16,23.78,21.41,17.88,15.09,13.97,12.84,11.5,11.59,13.5,15.5,15.97,15.78,16.75,17.66,17.69,18.0,19.78,22.66,24.69,25.19,25.66,27.09,27.5,26.28,24.56,24.22,23.44,21.03,18.53,17.5,16.97,15.81,14.53,13.78,14.75,14.97,14.06,13.91,15.62,17.31,18.22,19.47,22.53,25.66,27.09,27.69,28.88,29.91,29.81,29.06,28.78,29.97,30.66,30.06,29.53,30.41,30.66,29.0,27.09,26.53,25.94,23.91,21.72,21.03,21.47,21.31,21.59,22.81,25.28,27.28,27.91,28.28,29.72,30.91,30.5,29.72,29.78,29.72,28.28,26.62,26.31,27.41,28.0,27.94,27.62,28.44,27.88,25.19,21.97,19.84,17.53,14.34,12.06,12.28,14.31,16.22,18.28,21.53,25.53,28.44,29.53,30.31,32.03,32.53,31.91,31.09,31.75,32.0,30.5,28.56,27.62,27.22,26.34,24.97,24.75,26.22,27.44,28.06,28.97,31.19,32.25,31.28,29.5,28.78,28.28,26.09,23.56,22.47,22.59,21.62,20.47,20.44,21.84,22.59,21.97,21.69,23.06,24.53,24.5,24.5,25.91,27.62,27.38,26.0,26.12,27.38,27.66,27.16,27.16,28.09,27.75,25.41,22.62,21.41,20.34,18.19,16.06,16.47,17.81,18.59,19.03,20.81,23.06,24.06,23.5,23.12,23.91,24.56,23.91,23.03,23.84,23.84,21.69,18.38,16.19,14.38,11.78,9.31,8.47,9.31,10.31,10.38,11.06,12.94,14.0,13.72,12.94,14.16,16.12,17.19,18.25,21.09,24.47,26.81,27.44,28.91,31.44,32.72,32.19,31.84,32.06,31.59,29.22,26.28,25.19,24.31,22.97,21.06,21.09,21.88,22.38,21.31,21.25,22.56,23.16,22.78,22.22,23.34,23.94,23.34,22.38,23.22,24.38,24.53,23.5,23.69,24.66,24.62,24.0,23.88,25.5,26.88,27.16,27.59,29.44,30.97,31.03,30.25,31.12,32.72,33.03,32.16,32.41,32.88,32.41,31.16,30.38,30.91,30.44,28.59,26.09,24.88,24.69,23.31,22.5,23.69,25.66,26.34,25.5,25.75,26.44,25.78,23.94,22.12,22.12,22.03,20.84,20.47,21.56,23.0,23.03,22.03,21.72,21.66,19.97,17.06,15.38,14.81,14.06,13.0,12.75,14.84,16.94,18.03,19.25,22.0,25.56,27.69,28.59,30.38,32.0,31.78,30.12,29.09,29.19,28.97,27.25,25.75,25.09,24.06,21.28,18.28,17.44,17.31,16.19,14.56,14.62,15.66,15.88,14.75,14.75,15.97,16.62,15.88,15.62,17.34,19.09,19.03,18.53,19.41,20.5,20.09,18.56,18.66,19.84,20.5,19.75,19.66,21.0,21.78,20.56,19.5,19.69,20.06,18.59,16.56,15.94,16.44,16.44,15.59,16.31,18.31,20.06,20.31,21.59,24.59,27.59,27.88,27.34,27.44,26.81,24.81,22.12,21.09,20.91,19.84,18.31,18.28,19.81,20.94,20.47,20.06,20.62,20.91,19.34,18.53,19.53,21.12,21.62,21.28,21.41,22.41,21.88,20.03,18.62,18.09,17.5,15.59,15.12,16.75,19.0,19.34,19.06,18.97,18.81,17.09,14.44,13.28,13.47,13.66,12.84,13.0,14.88,16.66,16.75,17.38,19.25,21.28,21.44,20.59,20.84,21.69,21.5,20.66,21.03,22.44,22.59,21.03,19.5,19.09,18.69,16.44,14.5,14.59,14.75,13.62,12.91,13.78,15.69,17.09,17.41,18.94,21.5,23.0,22.62,21.88,21.91,21.41,19.16,17.53,18.19,20.0,20.81,21.19,22.62,24.69,25.44,24.69,24.69,25.56,25.75,23.91,22.72,23.06,23.5,22.62,21.66,21.28,21.38,19.75,17.72,17.09,17.66,17.53,15.94,14.91,15.25,15.31,14.38,14.22,16.34,19.19,20.06,20.78,22.44,23.94,23.38,21.69,21.25,21.78,21.22,19.69,18.41,18.16,17.69,15.72,14.28,15.09,16.66,16.69,16.94,17.88,19.34,18.84,17.34,16.59,17.59,18.41,18.03,18.38,20.66,22.41,22.31,22.56,24.62,26.97,27.06,26.59,26.91,27.88,26.97,25.69,25.56,26.78,27.72,26.91,27.25,28.62,29.62,29.09,27.84,28.06,28.44,26.84,24.31,23.34,23.47,22.66,21.47,21.59,23.19,23.81,23.09,23.0,24.31,26.09,26.19,26.0,26.66,27.81,27.22,26.12,26.12,27.28,27.16,25.22,23.84,23.62,22.88,21.0,20.03,20.78,21.94,21.44,20.28,20.66,22.25,22.5,23.16,25.09,27.81,28.69,27.34,25.72,25.0,23.72,21.25,19.5,19.66,20.47,19.41,18.25,18.69,19.59,19.66,19.41,20.25,22.47,23.03,21.81,20.44,20.0,19.03,17.03,16.16,18.03,21.06,22.03,22.34,22.81,23.25,21.94,19.88,19.5,20.88,21.56,21.19,20.78,21.59,21.34,18.62,16.16,15.56,16.53,16.38,16.47,17.56,19.34,19.25,17.97,17.88,19.69,21.12,20.84,20.88,22.34,23.31,22.84,22.66,25.0,27.66,28.5,28.28,28.38,28.25,26.72,24.22,22.84,23.28,23.69,23.38,23.75,25.56,27.47,27.38,26.75,27.22,27.97,26.75,24.69,23.88,24.03,23.25,22.12,22.5,24.56,25.88,25.69,24.81,24.66,24.06,21.88,19.44,19.03,20.19,20.34,19.91,20.16,21.25,20.81,19.44,19.34,21.19,23.09,23.84,24.03,25.31,26.28,25.03,23.28,22.72,23.0,22.28,20.44,19.53,19.94,19.28,17.53,16.66,17.75,18.75,18.75,19.03,20.84,22.62,22.91,22.31,22.69,24.25,24.59,24.0,24.38,26.16,26.88,25.88,24.47,24.78,24.56,23.06,21.47,21.78,22.31,20.78,18.81,18.47,19.91,20.38,19.91,20.09,22.09,22.75,21.75,20.81,22.03,22.88,22.69,22.31,23.53,25.28,25.22,24.41,24.19,25.19,24.72,22.41,20.38,19.78,18.91,17.44,16.34,17.28,18.72,18.84,18.44,19.34,20.56,20.62,19.34,19.28,20.66,21.03,20.5,21.0,22.88,24.38,24.62,24.56,26.0,27.41,26.91,25.81,25.31,24.84,23.0,20.19,18.31,18.62,18.91,18.25,18.25,19.5,20.06,18.38,15.97,14.75,13.25,10.78,8.31,8.16,9.56,11.44,12.41,14.34,17.75,20.94,22.25,23.69,26.0,27.38,26.69,25.75,26.09,26.91,26.31,24.59,23.62,22.81,21.5,19.12,18.25,18.84,19.19,18.78,17.94,18.22,18.53,17.19,15.34,14.34,61.56,63.91,65.84,67.09,67.06,66.28,65.47,64.0,62.25,60.53,58.81,57.78,56.94,56.91,58.16,60.0,62.06,63.81,65.44,66.56,66.78,65.66,63.88,62.19,60.25,58.59,57.53,56.84,56.59,55.69,54.88,54.5,54.44,55.06,55.69,56.28,57.5,57.84,57.75,57.41,57.94,58.47:positivity
31.5,32.0,32.22,31.19,29.28,27.25,25.69,23.94,22.03,21.47,22.03,23.12,23.88,24.97,26.88,29.0,30.06,30.78,32.25,33.62,34.22,34.38,34.16,34.03,33.22,31.66,30.12,29.12,27.56,24.94,22.16,19.94,18.62,17.31,16.75,17.72,19.25,20.25,21.06,22.09,23.5,24.62,24.81,25.06,25.78,26.56,26.41,27.06,28.44,30.25,30.94,30.75,31.12,31.66,31.38,31.31,31.69,32.62,33.22,33.28,33.25,33.66,34.16,33.28,32.03,31.19,30.94,29.94,29.62,29.84,31.12,32.03,32.81,33.34,34.16,34.06,32.41,30.38,29.31,29.12,28.09,27.53,27.66,27.53,26.94,25.81,25.44,26.25,27.06,28.03,29.22,30.97,32.41,32.62,32.53,33.09,33.94,33.81,33.62,33.66,33.91,33.47,32.31,31.75,31.88,31.84,32.25,33.28,35.53,38.53,40.03,41.41,42.19,42.62,41.28,38.72,36.16,33.69,30.69,27.22,23.97,22.06,20.12,17.97,15.94,15.69,16.03,16.44,17.41,19.88,23.34,25.78,28.06,30.25,32.53,33.19,31.88,29.91,27.56,24.12,19.78,16.03,14.5,14.34,15.0,17.22,21.12,25.78,29.56,32.25,34.09,35.25,35.16,33.94,32.31,31.88,31.28,30.38,29.41,29.19,28.91,28.0,26.97,26.22,26.62,26.88,26.44,26.72,27.38,27.16,25.44,23.25,21.88,21.03,20.44,20.56,22.84,25.94,28.75,31.69,35.06,38.69,40.91,42.12,42.72,43.66,43.91,42.97,40.94,38.66,35.31,31.56,27.69,26.0,25.62,25.62,25.81,26.31,26.66,25.84,24.16,22.47,21.91,22.41,22.97,23.91,26.16,28.5,29.66,30.03,30.38,30.84,30.09,28.81,28.19,28.66,28.66,27.78,26.88,26.19,25.56,23.69,21.62,20.12,18.28,15.78,12.88,11.56,10.88,10.5,10.31,10.62,11.84,13.28,14.41,15.91,18.69,21.38,23.53,24.28,25.56,26.22,25.88,25.5,26.22,27.66,29.12,29.81,30.56,31.59,32.25,32.16,31.88,32.5,33.5,33.41,33.22,33.69,34.12,33.69,32.47,31.88,32.0,31.69,30.84,29.84,29.91,29.31,28.16,26.78,26.22,25.72,24.88,24.03,24.47,25.47,26.16,26.19,26.16,26.16,25.62,24.16,22.56,22.31,21.88,21.41,21.03,21.97,23.12,23.56,23.72,23.94,24.38,24.09,22.16,20.88,19.91,19.25,18.88,19.06,20.53,22.31,22.97,23.03,23.56,24.12,24.5,23.88,24.31,25.31,25.53,25.03,25.06,25.5,25.59,25.0,24.34,24.5,24.88,25.31,25.62,27.19,28.81,30.22,30.62,31.44,32.75,33.59,33.59,33.44,34.06,34.62,33.53,31.94,30.81,29.19,26.78,23.94,21.94,21.12,20.66,20.41,21.66,24.41,27.34,28.94,30.66,32.53,33.5,32.41,30.62,29.03,27.44,25.22,22.94,22.16,22.53,22.94,23.38,24.62,26.59,28.5,29.03,29.16,29.94,30.66,30.44,30.03,31.03,32.25,32.47,32.09,31.38,31.12,30.78,29.97,29.75,30.72,31.66,31.56,31.66,32.5,33.66,33.66,33.25,33.03,33.22,32.56,30.94,29.53,28.53,27.31,25.28,24.31,24.59,25.69,25.75,25.75,26.53,27.75,28.16,27.75,28.16,28.84,28.41,26.19,24.69,23.25,21.97,20.19,19.5,20.53,21.88,22.41,22.31,22.47,23.0,22.12,21.16,21.09,22.19,22.88,22.94,23.44,24.78,26.03,26.06,26.41,28.06,29.75,30.19,30.41,30.94,31.5,30.31,28.88,28.06,27.91,27.34,26.03,24.69,23.66,22.75,20.97,19.28,18.94,19.19,18.5,17.34,16.62,16.53,15.78,14.97,14.94,16.12,17.25,17.72,18.62,20.0,21.25,21.66,21.81,23.0,24.38,24.31,23.97,23.72,23.88,23.03,21.28,19.88,18.69,17.0,14.94,13.94,14.62,16.62,17.81,19.66,21.94,23.47,23.38,21.78,20.09,18.38,16.06,13.69,12.28,12.69,13.16,12.81,13.31,14.34,16.12,17.47,18.66,20.09,21.59,21.94,21.41,20.97,21.44,21.12,19.81,18.41,18.22,18.69,18.38,19.22,21.41,23.75,25.19,26.59,28.19,30.59,32.12,32.97,33.94,35.59,36.84,36.91,36.84,37.75,38.47,37.56,36.72,36.28,36.09,35.19,33.94,33.69,33.72,32.66,30.59,28.72,27.69,26.84,25.22,23.88,23.75,24.06,23.12,22.19,22.03,21.56,19.91,18.0,17.0,17.16,17.03,16.34,15.84,16.31,16.28,15.03,13.72,13.03,12.25,10.81,9.44,9.0,9.97,10.44,11.06,12.62,15.22,17.22,18.25,19.03,20.16,20.59,19.44,18.16,18.47,19.06,18.72,18.69,19.0,19.44,18.28,17.22,16.56,16.44,16.03,14.97,14.16,13.81,14.0,13.31,12.16,11.97,12.19,11.62,11.06,11.12,11.88,11.03,9.06,6.78,5.62,4.41,3.94,5.06,8.38,12.31,15.5,18.28,21.38,24.0,25.0,25.22,25.47,26.28,26.78,26.84,27.53,29.5,30.75,30.28,29.19,28.44,26.81,24.03,21.19,19.72,19.31,18.88,18.06,18.0,18.06,17.06,15.12,13.56,13.31,13.56,13.41,13.69,15.09,16.75,17.78,18.84,20.56,22.91,23.84,24.03,23.62,23.75,22.84,21.03,19.38,18.66,17.72,15.91,14.28,13.75,14.0,14.31,14.94,17.22,20.03,22.31,23.84,25.16,26.75,27.12,25.53,23.28,21.91,19.88,17.03,14.62,12.94,12.19,11.25,10.31,10.53,11.47,12.38,12.62,13.31,14.91,15.59,15.16,14.06,13.84,13.28,12.44,12.16,12.81,14.56,16.31,17.88,19.69,22.25,23.75,23.59,22.66,21.84,20.03,17.5,15.16,15.0,15.19,15.88,16.56,17.97,19.22,19.41,18.78,17.94,17.66,17.66,17.09,17.09,18.38,19.44,19.34,18.44,17.84,16.5,14.5,12.12,11.0,10.81,10.84,10.72,11.12,11.94,12.31,11.56,10.81,11.06,11.38,11.22,10.78,11.28,12.47,13.66,14.53,16.0,17.84,18.69,18.47,18.38,19.28,19.84,19.03,17.84,17.16,15.75,13.69,11.53,11.03,11.22,11.5,11.75,12.44,13.25,13.78,13.56,13.31,14.19,15.22,15.28,15.44,16.22,17.0,17.22,16.66,16.75,16.69,15.62,13.94,12.28,11.28,10.41,9.22,8.53,9.38,10.72,11.28,12.34,14.12,16.06,17.41,18.03,18.94,19.47,19.56,18.91,19.16,20.09,20.94,20.97,20.75,21.03,20.94,19.84,18.56,18.12,18.22,18.38,18.59,20.38,22.81,24.94,25.38,25.59,26.16,26.22,25.75,25.38,25.34,25.38,24.41,23.19,22.44,22.47,22.72,22.72,23.41,24.66,25.78,25.59,24.84,23.97,22.34,19.91,17.59,16.81,17.06,17.5,18.12,19.5,20.91,21.59,21.44,21.62,21.94,21.97,20.16,18.19,16.38,14.34,11.78,9.88,9.44,9.81,10.5,11.38,13.03,15.03,16.78,17.5,18.03,19.31,20.19,20.09,19.53,19.66,20.09,20.19,20.66,22.31,24.56,25.88,26.28,25.81,24.75,22.97,19.84,16.69,14.19,12.47,10.56,9.5,9.69,10.62,11.0,10.94,10.84,10.94,10.44,9.56,9.0,9.22,9.91,9.88,10.38,12.09,14.66,16.81,18.97,21.41,23.56,24.03,23.56,22.66,22.03,20.5,18.19,15.97,14.31,12.78,10.91,9.72,9.59,10.5,10.53,10.66,11.5,12.69,13.62,14.12,15.12,16.56,18.03,18.56,19.16,20.16,21.28,21.44,21.38,21.97,22.62,22.22,21.03,19.91,19.22,17.84,15.97,14.75,14.19,13.72,12.41,11.31,11.06,11.06,11.03,11.56,13.19,15.69,17.31,18.25,18.47,18.75,18.62,18.56,19.53,21.75,24.56,26.53,28.31,30.5,32.22,32.66,31.59,29.88,28.19,24.88,21.75,19.66,18.91,18.78,18.59,19.06,20.16,21.34,21.22,21.19,21.62,21.97,21.66,21.22,20.75,20.97,20.0,18.41,16.53,14.69,12.47,9.25,6.44,4.91,4.47,3.53,3.5,4.78,6.31,7.47,8.22,9.19,10.19,10.31,9.81,8.59,8.0,7.28,5.88,4.91,5.03,5.62,5.56,4.88,4.62,4.62,4.16,4.0,4.47,6.28,8.03,9.03,9.81,10.75,11.06,9.97,8.34,7.19,6.41,5.12,3.47,2.91,2.88,2.91,2.72,3.09,4.44,5.66,6.31,6.78,8.09,9.16,9.38,9.5,9.81,10.5,10.12,9.5,9.25,9.53,9.09,7.75,6.44,5.81,4.75,3.75,2.69,3.22,4.44,5.16,5.81,6.91,7.97,8.25,7.47,7.19,7.72,7.91,7.62,7.16,6.91,6.28,4.19,1.53,0.59,0.31,0.41,0.91,2.5,4.16,4.78,4.19,3.0,2.03,0.78,-1.06,-2.5,-2.03,-1.19,-0.5,0.34,3.09,6.19,8.97,11.28,13.09,14.81,15.69,15.19,15.09,15.97,17.19,17.5,17.44,17.59,17.06,14.62,10.91,7.44,4.94,2.5,0.66,0.62,2.41,4.28,5.97,7.53,8.94,10.53,11.0,10.88,11.91,12.97,13.84,14.44,16.12,18.41,20.56,21.81,22.59,23.53,23.34,22.03,19.81,18.16,17.03,14.44,11.53,9.91,8.97,7.81,6.12,5.81,6.59,7.31,7.94,9.06,11.12,13.06,14.25,14.91,16.44,17.53,17.47,16.69,16.5,16.66,16.62,15.78,16.38,17.69,18.88:23.94,22.03,21.47,22.03,23.12,23.88,24.97,26.88,29.0,30.06,30.78,32.25,33.62,34.22,34.38,34.16,34.03,33.22,31.66,30.12,29.12,27.56,24.94,22.16,19.94,18.62,17.31,16.75,17.72,19.25,20.25,21.06,22.09,23.5,24.62,24.81,25.06,25.78,26.56,26.41,27.06,28.44,30.25,30.94,30.75,31.12,31.66,31.38,31.31,31.69,32.62,33.22,33.28,33.25,33.66,34.16,33.28,32.03,31.19,30.94,29.94,29.62,29.84,31.12,32.03,32.81,33.34,34.16,34.06,32.41,30.38,29.31,29.12,28.09,27.53,27.66,27.53,26.94,25.81,25.44,26.25,27.06,28.03,29.22,30.97,32.41,32.62,32.53,33.09,33.94,33.81,33.62,33.66,33.91,33.47,32.31,31.75,31.88,31.84,32.25,33.28,35.53,38.53,40.03,41.41,42.19,42.62,41.28,38.72,36.16,33.69,30.69,27.22,23.97,22.06,20.12,17.97,15.94,15.69,16.03,16.44,17.41,19.88,23.34,25.78,28.06,30.25,32.53,33.19,31.88,29.91,27.56,24.12,19.78,16.03,14.5,14.34,15.0,17.22,21.12,25.78,29.56,32.25,34.09,35.25,35.16,33.94,32.31,31.88,31.28,30.38,29.41,29.19,28.91,28.0,26.97,26.22,26.62,26.88,26.44,26.72,27.38,27.16,25.44,23.25,21.88,21.03,20.44,20.56,22.84,25.94,28.75,31.69,35.06,38.69,40.91,42.12,42.72,43.66,43.91,42.97,40.94,38.66,35.31,31.56,27.69,26.0,25.62,25.62,25.81,26.31,26.66,25.84,24.16,22.47,21.91,22.41,22.97,23.91,26.16,28.5,29.66,30.03,30.38,30.84,30.09,28.81,28.19,28.66,28.66,27.78,26.88,26.19,25.56,23.69,21.62,20.12,18.28,15.78,12.88,11.56,10.88,10.5,10.31,10.62,11.84,13.28,14.41,15.91,18.69,21.38,23.53,24.28,25.56,26.22,25.88,25.5,26.22,27.66,29.12,29.81,30.56,31.59,32.25,32.16,31.88,32.5,33.5,33.41,33.22,33.69,34.12,33.69,32.47,31.88,32.0,31.69,30.84,29.84,29.91,29.31,28.16,26.78,26.22,25.72,24.88,24.03,24.47,25.47,26.16,26.19,26.16,26.16,25.62,24.16,22.56,22.31,21.88,21.41,21.03,21.97,23.12,23.56,23.72,23.94,24.38,24.09,22.16,20.88,19.91,19.25,18.88,19.06,20.53,22.31,22.97,23.03,23.56,24.12,24.5,23.88,24.31,25.31,25.53,25.03,25.06,25.5,25.59,25.0,24.34,24.5,24.88,25.31,25.62,27.19,28.81,30.22,30.62,31.44,32.75,33.59,33.59,33.44,34.06,34.62,33.53,31.94,30.81,29.19,26.78,23.94,21.94,21.12,20.66,20.41,21.66,24.41,27.34,28.94,30.66,32.53,33.5,32.41,30.62,29.03,27.44,25.22,22.94,22.16,22.53,22.94,23.38,24.62,26.59,28.5,29.03,29.16,29.94,30.66,30.44,30.03,31.03,32.25,32.47,32.09,31.38,31.12,30.78,29.97,29.75,30.72,31.66,31.56,31.66,32.5,33.66,33.66,33.25,33.03,33.22,32.56,30.94,29.53,28.53,27.31,25.28,24.31,24.59,25.69,25.75,25.75,26.53,27.75,28.16,27.75,28.16,28.84,28.41,26.19,24.69,23.25,21.97,20.19,19.5,20.53,21.88,22.41,22.31,22.47,23.0,22.12,21.16,21.09,22.19,22.88,22.94,23.44,24.78,26.03,26.06,26.41,28.06,29.75,30.19,30.41,30.94,31.5,30.31,28.88,28.06,27.91,27.34,26.03,24.69,23.66,22.75,20.97,19.28,18.94,19.19,18.5,17.34,16.62,16.53,15.78,14.97,14.94,16.12,17.25,17.72,18.62,20.0,21.25,21.66,21.81,23.0,24.38,24.31,23.97,23.72,23.88,23.03,21.28,19.88,18.69,17.0,14.94,13.94,14.62,16.62,17.81,19.66,21.94,23.47,23.38,21.78,20.09,18.38,16.06,13.69,12.28,12.69,13.16,12.81,13.31,14.34,16.12,17.47,18.66,20.09,21.59,21.94,21.41,20.97,21.44,21.12,19.81,18.41,18.22,18.69,18.38,19.22,21.41,23.75,25.19,26.59,28.19,30.59,32.12,32.97,33.94,35.59,36.84,36.91,36.84,37.75,38.47,37.56,36.72,36.28,36.09,35.19,33.94,33.69,33.72,32.66,30.59,28.72,27.69,26.84,25.22,23.88,23.75,24.06,23.12,22.19,22.03,21.56,19.91,18.0,17.0,17.16,17.03,16.34,15.84,16.31,16.28,15.03,13.72,13.03,12.25,10.81,9.44,9.0,9.97,10.44,11.06,12.62,15.22,17.22,18.25,19.03,20.16,20.59,19.44,18.16,18.47,19.06,18.72,18.69,19.0,19.44,18.28,17.22,16.56,16.44,16.03,14.97,14.16,13.81,14.0,13.31,12.16,11.97,12.19,11.62,11.06,11.12,11.88,11.03,9.06,6.78,5.62,4.41,3.94,5.06,8.38,12.31,15.5,18.28,21.38,24.0,25.0,25.22,25.47,26.28,26.78,26.84,27.53,29.5,30.75,30.28,29.19,28.44,26.81,24.03,21.19,19.72,19.31,18.88,18.06,18.0,18.06,17.06,15.12,13.56,13.31,13.56,13.41,13.69,15.09,16.75,17.78,18.84,20.56,22.91,23.84,24.03,23.62,23.75,22.84,21.03,19.38,18.66,17.72,15.91,14.28,13.75,14.0,14.31,14.94,17.22,20.03,22.31,23.84,25.16,26.75,27.12,25.53,23.28,21.91,19.88,17.03,14.62,12.94,12.19,11.25,10.31,10.53,11.47,12.38,12.62,13.31,14.91,15.59,15.16,14.06,13.84,13.28,12.44,12.16,12.81,14.56,16.31,17.88,19.69,22.25,23.75,23.59,22.66,21.84,20.03,17.5,15.16,15.0,15.19,15.88,16.56,17.97,19.22,19.41,18.78,17.94,17.66,17.66,17.09,17.09,18.38,19.44,19.34,18.44,17.84,16.5,14.5,12.12,11.0,10.81,10.84,10.72,11.12,11.94,12.31,11.56,10.81,11.06,11.38,11.22,10.78,11.28,12.47,13.66,14.53,16.0,17.84,18.69,18.47,18.38,19.28,19.84,19.03,17.84,17.16,15.75,13.69,11.53,11.03,11.22,11.5,11.75,12.44,13.25,13.78,13.56,13.31,14.19,15.22,15.28,15.44,16.22,17.0,17.22,16.66,16.75,16.69,15.62,13.94,12.28,11.28,10.41,9.22,8.53,9.38,10.72,11.28,12.34,14.12,16.06,17.41,18.03,18.94,19.47,19.56,18.91,19.16,20.09,20.94,20.97,20.75,21.03,20.94,19.84,18.56,18.12,18.22,18.38,18.59,20.38,22.81,24.94,25.38,25.59,26.16,26.22,25.75,25.38,25.34,25.38,24.41,23.19,22.44,22.47,22.72,22.72,23.41,24.66,25.78,25.59,24.84,23.97,22.34,19.91,17.59,16.81,17.06,17.5,18.12,19.5,20.91,21.59,21.44,21.62,21.94,21.97,20.16,18.19,16.38,14.34,11.78,9.88,9.44,9.81,10.5,11.38,13.03,15.03,16.78,17.5,18.03,19.31,20.19,20.09,19.53,19.66,20.09,20.19,20.66,22.31,24.56,25.88,26.28,25.81,24.75,22.97,19.84,16.69,14.19,12.47,10.56,9.5,9.69,10.62,11.0,10.94,10.84,10.94,10.44,9.56,9.0,9.22,9.91,9.88,10.38,12.09,14.66,16.81,18.97,21.41,23.56,24.03,23.56,22.66,22.03,20.5,18.19,15.97,14.31,12.78,10.91,9.72,9.59,10.5,10.53,10.66,11.5,12.69,13.62,14.12,15.12,16.56,18.03,18.56,19.16,20.16,21.28,21.44,21.38,21.97,22.62,22.22,21.03,19.91,19.22,17.84,15.97,14.75,14.19,13.72,12.41,11.31,11.06,11.06,11.03,11.56,13.19,15.69,17.31,18.25,18.47,18.75,18.62,18.56,19.53,21.75,24.56,26.53,28.31,30.5,32.22,32.66,31.59,29.88,28.19,24.88,21.75,19.66,18.91,18.78,18.59,19.06,20.16,21.34,21.22,21.19,21.62,21.97,21.66,21.22,20.75,20.97,20.0,18.41,16.53,14.69,12.47,9.25,6.44,4.91,4.47,3.53,3.5,4.78,6.31,7.47,8.22,9.19,10.19,10.31,9.81,8.59,8.0,7.28,5.88,4.91,5.03,5.62,5.56,4.88,4.62,4.62,4.16,4.0,4.47,6.28,8.03,9.03,9.81,10.75,11.06,9.97,8.34,7.19,6.41,5.12,3.47,2.91,2.88,2.91,2.72,3.09,4.44,5.66,6.31,6.78,8.09,9.16,9.38,9.5,9.81,10.5,10.12,9.5,9.25,9.53,9.09,7.75,6.44,5.81,4.75,3.75,2.69,3.22,4.44,5.16,5.81,6.91,7.97,8.25,7.47,7.19,7.72,7.91,7.62,7.16,6.91,6.28,4.19,1.53,0.59,0.31,0.41,0.91,2.5,4.16,4.78,4.19,3.0,2.03,0.78,-1.06,-2.5,-2.03,-1.19,-0.5,0.34,3.09,6.19,8.97,11.28,13.09,14.81,15.69,15.19,15.09,15.97,17.19,17.5,17.44,17.59,17.06,14.62,10.91,7.44,4.94,2.5,0.66,0.62,2.41,4.28,5.97,7.53,8.94,10.53,11.0,10.88,11.91,12.97,13.84,14.44,16.12,18.41,20.56,21.81,22.59,23.53,23.34,22.03,19.81,18.16,17.03,14.44,11.53,9.91,8.97,7.81,6.12,5.81,6.59,7.31,7.94,9.06,11.12,13.06,14.25,14.91,16.44,17.53,17.47,16.69,16.5,16.66,16.62,15.78,16.38,17.69,18.88,62.53,62.97,63.03,62.75,61.56,59.69,57.81:26.88,29.0,30.06,30.78,32.25,33.62,34.22,34.38,34.16,34.03,33.22,31.66,30.12,29.12,27.56,24.94,22.16,19.94,18.62,17.31,16.75,17.72,19.25,20.25,21.06,22.09,23.5,24.62,24.81,25.06,25.78,26.56,26.41,27.06,28.44,30.25,30.94,30.75,31.12,31.66,31.38,31.31,31.69,32.62,33.22,33.28,33.25,33.66,34.16,33.28,32.03,31.19,30.94,29.94,29.62,29.84,31.12,32.03,32.81,33.34,34.16,34.06,32.41,30.38,29.31,29.12,28.09,27.53,27.66,27.53,26.94,25.81,25.44,26.25,27.06,28.03,29.22,30.97,32.41,32.62,32.53,33.09,33.94,33.81,33.62,33.66,33.91,33.47,32.31,31.75,31.88,31.84,32.25,33.28,35.53,38.53,40.03,41.41,42.19,42.62,41.28,38.72,36.16,33.69,30.69,27.22,23.97,22.06,20.12,17.97,15.94,15.69,16.03,16.44,17.41,19.88,23.34,25.78,28.06,30.25,32.53,33.19,31.88,29.91,27.56,24.12,19.78,16.03,14.5,14.34,15.0,17.22,21.12,25.78,29.56,32.25,34.09,35.25,35.16,33.94,32.31,31.88,31.28,30.38,29.41,29.19,28.91,28.0,26.97,26.22,26.62,26.88,26.44,26.72,27.38,27.16,25.44,23.25,21.88,21.03,20.44,20.56,22.84,25.94,28.75,31.69,35.06,38.69,40.91,42.12,42.72,43.66,43.91,42.97,40.94,38.66,35.31,31.56,27.69,26.0,25.62,25.62,25.81,26.31,26.66,25.84,24.16,22.47,21.91,22.41,22.97,23.91,26.16,28.5,29.66,30.03,30.38,30.84,30.09,28.81,28.19,28.66,28.66,27.78,26.88,26.19,25.56,23.69,21.62,20.12,18.28,15.78,12.88,11.56,10.88,10.5,10.31,10.62,11.84,13.28,14.41,15.91,18.69,21.38,23.53,24.28,25.56,26.22,25.88,25.5,26.22,27.66,29.12,29.81,30.56,31.59,32.25,32.16,31.88,32.5,33.5,33.41,33.22,33.69,34.12,33.69,32.47,31.88,32.0,31.69,30.84,29.84,29.91,29.31,28.16,26.78,26.22,25.72,24.88,24.03,24.47,25.47,26.16,26.19,26.16,26.16,25.62,24.16,22.56,22.31,21.88,21.41,21.03,21.97,23.12,23.56,23.72,23.94,24.38,24.09,22.16,20.88,19.91,19.25,18.88,19.06,20.53,22.31,22.97,23.03,23.56,24.12,24.5,23.88,24.31,25.31,25.53,25.03,25.06,25.5,25.59,25.0,24.34,24.5,24.88,25.31,25.62,27.19,28.81,30.22,30.62,31.44,32.75,33.59,33.59,33.44,34.06,34.62,33.53,31.94,30.81,29.19,26.78,23.94,21.94,21.12,20.66,20.41,21.66,24.41,27.34,28.94,30.66,32.53,33.5,32.41,30.62,29.03,27.44,25.22,22.94,22.16,22.53,22.94,23.38,24.62,26.59,28.5,29.03,29.16,29.94,30.66,30.44,30.03,31.03,32.25,32.47,32.09,31.38,31.12,30.78,29.97,29.75,30.72,31.66,31.56,31.66,32.5,33.66,33.66,33.25,33.03,33.22,32.56,30.94,29.53,28.53,27.31,25.28,24.31,24.59,25.69,25.75,25.75,26.53,27.75,28.16,27.75,28.16,28.84,28.41,26.19,24.69,23.25,21.97,20.19,19.5,20.53,21.88,22.41,22.31,22.47,23.0,22.12,21.16,21.09,22.19,22.88,22.94,23.44,24.78,26.03,26.06,26.41,28.06,29.75,30.19,30.41,30.94,31.5,30.31,28.88,28.06,27.91,27.34,26.03,24.69,23.66,22.75,20.97,19.28,18.94,19.19,18.5,17.34,16.62,16.53,15.78,14.97,14.94,16.12,17.25,17.72,18.62,20.0,21.25,21.66,21.81,23.0,24.38,24.31,23.97,23.72,23.88,23.03,21.28,19.88,18.69,17.0,14.94,13.94,14.62,16.62,17.81,19.66,21.94,23.47,23.38,21.78,20.09,18.38,16.06,13.69,12.28,12.69,13.16,12.81,13.31,14.34,16.12,17.47,18.66,20.09,21.59,21.94,21.41,20.97,21.44,21.12,19.81,18.41,18.22,18.69,18.38,19.22,21.41,23.75,25.19,26.59,28.19,30.59,32.12,32.97,33.94,35.59,36.84,36.91,36.84,37.75,38.47,37.56,36.72,36.28,36.09,35.19,33.94,33.69,33.72,32.66,30.59,28.72,27.69,26.84,25.22,23.88,23.75,24.06,23.12,22.19,22.03,21.56,19.91,18.0,17.0,17.16,17.03,16.34,15.84,16.31,16.28,15.03,13.72,13.03,12.25,10.81,9.44,9.0,9.97,10.44,11.06,12.62,15.22,17.22,18.25,19.03,20.16,20.59,19.44,18.16,18.47,19.06,18.72,18.69,19.0,19.44,18.28,17.22,16.56,16.44,16.03,14.97,14.16,13.81,14.0,13.31,12.16,11.97,12.19,11.62,11.06,11.12,11.88,11.03,9.06,6.78,5.62,4.41,3.94,5.06,8.38,12.31,15.5,18.28,21.38,24.0,25.0,25.22,25.47,26.28,26.78,26.84,27.53,29.5,30.75,30.28,29.19,28.44,26.81,24.03,21.19,19.72,19.31,18.88,18.06,18.0,18.06,17.06,15.12,13.56,13.31,13.56,13.41,13.69,15.09,16.75,17.78,18.84,20.56,22.91,23.84,24.03,23.62,23.75,22.84,21.03,19.38,18.66,17.72,15.91,14.28,13.75,14.0,14.31,14.94,17.22,20.03,22.31,23.84,25.16,26.75,27.12,25.53,23.28,21.91,19.88,17.03,14.62,12.94,12.19,11.25,10.31,10.53,11.47,12.38,12.62,13.31,14.91,15.59,15.16,14.06,13.84,13.28,12.44,12.16,12.81,14.56,16.31,17.88,19.69,22.25,23.75,23.59,22.66,21.84,20.03,17.5,15.16,15.0,15.19,15.88,16.56,17.97,19.22,19.41,18.78,17.94,17.66,17.66,17.09,17.09,18.38,19.44,19.34,18.44,17.84,16.5,14.5,12.12,11.0,10.81,10.84,10.72,11.12,11.94,12.31,11.56,10.81,11.06,11.38,11.22,10.78,11.28,12.47,13.66,14.53,16.0,17.84,18.69,18.47,18.38,19.28,19.84,19.03,17.84,17.16,15.75,13.69,11.53,11.03,11.22,11.5,11.75,12.44,13.25,13.78,13.56,13.31,14.19,15.22,15.28,15.44,16.22,17.0,17.22,16.66,16.75,16.69,15.62,13.94,12.28,11.28,10.41,9.22,8.53,9.38,10.72,11.28,12.34,14.12,16.06,17.41,18.03,18.94,19.47,19.56,18.91,19.16,20.09,20.94,20.97,20.75,21.03,20.94,19.84,18.56,18.12,18.22,18.38,18.59,20.38,22.81,24.94,25.38,25.59,26.16,26.22,25.75,25.38,25.34,25.38,24.41,23.19,22.44,22.47,22.72,22.72,23.41,24.66,25.78,25.59,24.84,23.97,22.34,19.91,17.59,16.81,17.06,17.5,18.12,19.5,20.91,21.59,21.44,21.62,21.94,21.97,20.16,18.19,16.38,14.34,11.78,9.88,9.44,9.81,10.5,11.38,13.03,15.03,16.78,17.5,18.03,19.31,20.19,20.09,19.53,19.66,20.09,20.19,20.66,22.31,24.56,25.88,26.28,25.81,24.75,22.97,19.84,16.69,14.19,12.47,10.56,9.5,9.69,10.62,11.0,10.94,10.84,10.94,10.44,9.56,9.0,9.22,9.91,9.88,10.38,12.09,14.66,16.81,18.97,21.41,23.56,24.03,23.56,22.66,22.03,20.5,18.19,15.97,14.31,12.78,10.91,9.72,9.59,10.5,10.53,10.66,11.5,12.69,13.62,14.12,15.12,16.56,18.03,18.56,19.16,20.16,21.28,21.44,21.38,21.97,22.62,22.22,21.03,19.91,19.22,17.84,15.97,14.75,14.19,13.72,12.41,11.31,11.06,11.06,11.03,11.56,13.19,15.69,17.31,18.25,18.47,18.75,18.62,18.56,19.53,21.75,24.56,26.53,28.31,30.5,32.22,32.66,31.59,29.88,28.19,24.88,21.75,19.66,18.91,18.78,18.59,19.06,20.16,21.34,21.22,21.19,21.62,21.97,21.66,21.22,20.75,20.97,20.0,18.41,16.53,14.69,12.47,9.25,6.44,4.91,4.47,3.53,3.5,4.78,6.31,7.47,8.22,9.19,10.19,10.31,9.81,8.59,8.0,7.28,5.88,4.91,5.03,5.62,5.56,4.88,4.62,4.62,4.16,4.0,4.47,6.28,8.03,9.03,9.81,10.75,11.06,9.97,8.34,7.19,6.41,5.12,3.47,2.91,2.88,2.91,2.72,3.09,4.44,5.66,6.31,6.78,8.09,9.16,9.38,9.5,9.81,10.5,10.12,9.5,9.25,9.53,9.09,7.75,6.44,5.81,4.75,3.75,2.69,3.22,4.44,5.16,5.81,6.91,7.97,8.25,7.47,7.19,7.72,7.91,7.62,7.16,6.91,6.28,4.19,1.53,0.59,0.31,0.41,0.91,2.5,4.16,4.78,4.19,3.0,2.03,0.78,-1.06,-2.5,-2.03,-1.19,-0.5,0.34,3.09,6.19,8.97,11.28,13.09,14.81,15.69,15.19,15.09,15.97,17.19,17.5,17.44,17.59,17.06,14.62,10.91,7.44,4.94,2.5,0.66,0.62,2.41,4.28,5.97,7.53,8.94,10.53,11.0,10.88,11.91,12.97,13.84,14.44,16.12,18.41,20.56,21.81,22.59,23.53,23.34,22.03,19.81,18.16,17.03,14.44,11.53,9.91,8.97,7.81,6.12,5.81,6.59,7.31,7.94,9.06,11.12,13.06,14.25,14.91,16.44,17.53,17.47,16.69,16.5,16.66,16.62,15.78,16.38,17.69,18.88,62.53,62.97,63.03,62.75,61.56,59.69,57.81,56.47,55.09,54.81,55.0,55.66,56.31,57.28:34.38,34.16,34.03,33.22,31.66,30.12,29.12,27.56,24.94,22.16,19.94,18.62,17.31,16.75,17.72,19.25,20.25,21.06,22.09,23.5,24.62,24.81,25.06,25.78,26.56,26.41,27.06,28.44,30.25,30.94,30.75,31.12,31.66,31.38,31.31,31.69,32.62,33.22,33.28,33.25,33.66,34.16,33.28,32.03,31.19,30.94,29.94,29.62,29.84,31.12,32.03,32.81,33.34,34.16,34.06,32.41,30.38,29.31,29.12,28.09,27.53,27.66,27.53,26.94,25.81,25.44,26.25,27.06,28.03,29.22,30.97,32.41,32.62,32.53,33.09,33.94,33.81,33.62,33.66,33.91,33.47,32.31,31.75,31.88,31.84,32.25,33.28,35.53,38.53,40.03,41.41,42.19,42.62,41.28,38.72,36.16,33.69,30.69,27.22,23.97,22.06,20.12,17.97,15.94,15.69,16.03,16.44,17.41,19.88,23.34,25.78,28.06,30.25,32.53,33.19,31.88,29.91,27.56,24.12,19.78,16.03,14.5,14.34,15.0,17.22,21.12,25.78,29.56,32.25,34.09,35.25,35.16,33.94,32.31,31.88,31.28,30.38,29.41,29.19,28.91,28.0,26.97,26.22,26.62,26.88,26.44,26.72,27.38,27.16,25.44,23.25,21.88,21.03,20.44,20.56,22.84,25.94,28.75,31.69,35.06,38.69,40.91,42.12,42.72,43.66,43.91,42.97,40.94,38.66,35.31,31.56,27.69,26.0,25.62,25.62,25.81,26.31,26.66,25.84,24.16,22.47,21.91,22.41,22.97,23.91,26.16,28.5,29.66,30.03,30.38,30.84,30.09,28.81,28.19,28.66,28.66,27.78,26.88,26.19,25.56,23.69,21.62,20.12,18.28,15.78,12.88,11.56,10.88,10.5,10.31,10.62,11.84,13.28,14.41,15.91,18.69,21.38,23.53,24.28,25.56,26.22,25.88,25.5,26.22,27.66,29.12,29.81,30.56,31.59,32.25,32.16,31.88,32.5,33.5,33.41,33.22,33.69,34.12,33.69,32.47,31.88,32.0,31.69,30.84,29.84,29.91,29.31,28.16,26.78,26.22,25.72,24.88,24.03,24.47,25.47,26.16,26.19,26.16,26.16,25.62,24.16,22.56,22.31,21.88,21.41,21.03,21.97,23.12,23.56,23.72,23.94,24.38,24.09,22.16,20.88,19.91,19.25,18.88,19.06,20.53,22.31,22.97,23.03,23.56,24.12,24.5,23.88,24.31,25.31,25.53,25.03,25.06,25.5,25.59,25.0,24.34,24.5,24.88,25.31,25.62,27.19,28.81,30.22,30.62,31.44,32.75,33.59,33.59,33.44,34.06,34.62,33.53,31.94,30.81,29.19,26.78,23.94,21.94,21.12,20.66,20.41,21.66,24.41,27.34,28.94,30.66,32.53,33.5,32.41,30.62,29.03,27.44,25.22,22.94,22.16,22.53,22.94,23.38,24.62,26.59,28.5,29.03,29.16,29.94,30.66,30.44,30.03,31.03,32.25,32.47,32.09,31.38,31.12,30.78,29.97,29.75,30.72,31.66,31.56,31.66,32.5,33.66,33.66,33.25,33.03,33.22,32.56,30.94,29.53,28.53,27.31,25.28,24.31,24.59,25.69,25.75,25.75,26.53,27.75,28.16,27.75,28.16,28.84,28.41,26.19,24.69,23.25,21.97,20.19,19.5,20.53,21.88,22.41,22.31,22.47,23.0,22.12,21.16,21.09,22.19,22.88,22.94,23.44,24.78,26.03,26.06,26.41,28.06,29.75,30.19,30.41,30.94,31.5,30.31,28.88,28.06,27.91,27.34,26.03,24.69,23.66,22.75,20.97,19.28,18.94,19.19,18.5,17.34,16.62,16.53,15.78,14.97,14.94,16.12,17.25,17.72,18.62,20.0,21.25,21.66,21.81,23.0,24.38,24.31,23.97,23.72,23.88,23.03,21.28,19.88,18.69,17.0,14.94,13.94,14.62,16.62,17.81,19.66,21.94,23.47,23.38,21.78,20.09,18.38,16.06,13.69,12.28,12.69,13.16,12.81,13.31,14.34,16.12,17.47,18.66,20.09,21.59,21.94,21.41,20.97,21.44,21.12,19.81,18.41,18.22,18.69,18.38,19.22,21.41,23.75,25.19,26.59,28.19,30.59,32.12,32.97,33.94,35.59,36.84,36.91,36.84,37.75,38.47,37.56,36.72,36.28,36.09,35.19,33.94,33.69,33.72,32.66,30.59,28.72,27.69,26.84,25.22,23.88,23.75,24.06,23.12,22.19,22.03,21.56,19.91,18.0,17.0,17.16,17.03,16.34,15.84,16.31,16.28,15.03,13.72,13.03,12.25,10.81,9.44,9.0,9.97,10.44,11.06,12.62,15.22,17.22,18.25,19.03,20.16,20.59,19.44,18.16,18.47,19.06,18.72,18.69,19.0,19.44,18.28,17.22,16.56,16.44,16.03,14.97,14.16,13.81,14.0,13.31,12.16,11.97,12.19,11.62,11.06,11.12,11.88,11.03,9.06,6.78,5.62,4.41,3.94,5.06,8.38,12.31,15.5,18.28,21.38,24.0,25.0,25.22,25.47,26.28,26.78,26.84,27.53,29.5,30.75,30.28,29.19,28.44,26.81,24.03,21.19,19.72,19.31,18.88,18.06,18.0,18.06,17.06,15.12,13.56,13.31,13.56,13.41,13.69,15.09,16.75,17.78,18.84,20.56,22.91,23.84,24.03,23.62,23.75,22.84,21.03,19.38,18.66,17.72,15.91,14.28,13.75,14.0,14.31,14.94,17.22,20.03,22.31,23.84,25.16,26.75,27.12,25.53,23.28,21.91,19.88,17.03,14.62,12.94,12.19,11.25,10.31,10.53,11.47,12.38,12.62,13.31,14.91,15.59,15.16,14.06,13.84,13.28,12.44,12.16,12.81,14.56,16.31,17.88,19.69,22.25,23.75,23.59,22.66,21.84,20.03,17.5,15.16,15.0,15.19,15.88,16.56,17.97,19.22,19.41,18.78,17.94,17.66,17.66,17.09,17.09,18.38,19.44,19.34,18.44,17.84,16.5,14.5,12.12,11.0,10.81,10.84,10.72,11.12,11.94,12.31,11.56,10.81,11.06,11.38,11.22,10.78,11.28,12.47,13.66,14.53,16.0,17.84,18.69,18.47,18.38,19.28,19.84,19.03,17.84,17.16,15.75,13.69,11.53,11.03,11.22,11.5,11.75,12.44,13.25,13.78,13.56,13.31,14.19,15.22,15.28,15.44,16.22,17.0,17.22,16.66,16.75,16.69,15.62,13.94,12.28,11.28,10.41,9.22,8.53,9.38,10.72,11.28,12.34,14.12,16.06,17.41,18.03,18.94,19.47,19.56,18.91,19.16,20.09,20.94,20.97,20.75,21.03,20.94,19.84,18.56,18.12,18.22,18.38,18.59,20.38,22.81,24.94,25.38,25.59,26.16,26.22,25.75,25.38,25.34,25.38,24.41,23.19,22.44,22.47,22.72,22.72,23.41,24.66,25.78,25.59,24.84,23.97,22.34,19.91,17.59,16.81,17.06,17.5,18.12,19.5,20.91,21.59,21.44,21.62,21.94,21.97,20.16,18.19,16.38,14.34,11.78,9.88,9.44,9.81,10.5,11.38,13.03,15.03,16.78,17.5,18.03,19.31,20.19,20.09,19.53,19.66,20.09,20.19,20.66,22.31,24.56,25.88,26.28,25.81,24.75,22.97,19.84,16.69,14.19,12.47,10.56,9.5,9.69,10.62,11.0,10.94,10.84,10.94,10.44,9.56,9.0,9.22,9.91,9.88,10.38,12.09,14.66,16.81,18.97,21.41,23.56,24.03,23.56,22.66,22.03,20.5,18.19,15.97,14.31,12.78,10.91,9.72,9.59,10.5,10.53,10.66,11.5,12.69,13.62,14.12,15.12,16.56,18.03,18.56,19.16,20.16,21.28,21.44,21.38,21.97,22.62,22.22,21.03,19.91,19.22,17.84,15.97,14.75,14.19,13.72,12.41,11.31,11.06,11.06,11.03,11.56,13.19,15.69,17.31,18.25,18.47,18.75,18.62,18.56,19.53,21.75,24.56,26.53,28.31,30.5,32.22,32.66,31.59,29.88,28.19,24.88,21.75,19.66,18.91,18.78,18.59,19.06,20.16,21.34,21.22,21.19,21.62,21.97,21.66,21.22,20.75,20.97,20.0,18.41,16.53,14.69,12.47,9.25,6.44,4.91,4.47,3.53,3.5,4.78,6.31,7.47,8.22,9.19,10.19,10.31,9.81,8.59,8.0,7.28,5.88,4.91,5.03,5.62,5.56,4.88,4.62,4.62,4.16,4.0,4.47,6.28,8.03,9.03,9.81,10.75,11.06,9.97,8.34,7.19,6.41,5.12,3.47,2.91,2.88,2.91,2.72,3.09,4.44,5.66,6.31,6.78,8.09,9.16,9.38,9.5,9.81,10.5,10.12,9.5,9.25,9.53,9.09,7.75,6.44,5.81,4.75,3.75,2.69,3.22,4.44,5.16,5.81,6.91,7.97,8.25,7.47,7.19,7.72,7.91,7.62,7.16,6.91,6.28,4.19,1.53,0.59,0.31,0.41,0.91,2.5,4.16,4.78,4.19,3.0,2.03,0.78,-1.06,-2.5,-2.03,-1.19,-0.5,0.34,3.09,6.19,8.97,11.28,13.09,14.81,15.69,15.19,15.09,15.97,17.19,17.5,17.44,17.59,17.06,14.62,10.91,7.44,4.94,2.5,0.66,0.62,2.41,4.28,5.97,7.53,8.94,10.53,11.0,10.88,11.91,12.97,13.84,14.44,16.12,18.41,20.56,21.81,22.59,23.53,23.34,22.03,19.81,18.16,17.03,14.44,11.53,9.91,8.97,7.81,6.12,5.81,6.59,7.31,7.94,9.06,11.12,13.06,14.25,14.91,16.44,17.53,17.47,16.69,16.5,16.66,16.62,15.78,16.38,17.69,18.88,62.53,62.97,63.03,62.75,61.56,59.69,57.81,56.47,55.09,54.81,55.0,55.66,56.31,57.28,57.91,58.78,59.5,60.0,60.53,60.91,61.47:27.56,24.94,22.16,19.94,18.62,17.31,16.75,17.72,19.25,20.25,21.06,22.09,23.5,24.62,24.81,25.06,25.78,26.56,26.41,27.06,28.44,30.25,30.94,30.75,31.12,31.66,31.38,31.31,31.69,32.62,33.22,33.28,33.25,33.66,34.16,33.28,32.03,31.19,30.94,29.94,29.62,29.84,31.12,32.03,32.81,33.34,34.16,34.06,32.41,30.38,29.31,29.12,28.09,27.53,27.66,27.53,26.94,25.81,25.44,26.25,27.06,28.03,29.22,30.97,32.41,32.62,32.53,33.09,33.94,33.81,33.62,33.66,33.91,33.47,32.31,31.75,31.88,31.84,32.25,33.28,35.53,38.53,40.03,41.41,42.19,42.62,41.28,38.72,36.16,33.69,30.69,27.22,23.97,22.06,20.12,17.97,15.94,15.69,16.03,16.44,17.41,19.88,23.34,25.78,28.06,30.25,32.53,33.19,31.88,29.91,27.56,24.12,19.78,16.03,14.5,14.34,15.0,17.22,21.12,25.78,29.56,32.25,34.09,35.25,35.16,33.94,32.31,31.88,31.28,30.38,29.41,29.19,28.91,28.0,26.97,26.22,26.62,26.88,26.44,26.72,27.38,27.16,25.44,23.25,21.88,21.03,20.44,20.56,22.84,25.94,28.75,31.69,35.06,38.69,40.91,42.12,42.72,43.66,43.91,42.97,40.94,38.66,35.31,31.56,27.69,26.0,25.62,25.62,25.81,26.31,26.66,25.84,24.16,22.47,21.91,22.41,22.97,23.91,26.16,28.5,29.66,30.03,30.38,30.84,30.09,28.81,28.19,28.66,28.66,27.78,26.88,26.19,25.56,23.69,21.62,20.12,18.28,15.78,12.88,11.56,10.88,10.5,10.31,10.62,11.84,13.28,14.41,15.91,18.69,21.38,23.53,24.28,25.56,26.22,25.88,25.5,26.22,27.66,29.12,29.81,30.56,31.59,32.25,32.16,31.88,32.5,33.5,33.41,33.22,33.69,34.12,33.69,32.47,31.88,32.0,31.69,30.84,29.84,29.91,29.31,28.16,26.78,26.22,25.72,24.88,24.03,24.47,25.47,26.16,26.19,26.16,26.16,25.62,24.16,22.56,22.31,21.88,21.41,21.03,21.97,23.12,23.56,23.72,23.94,24.38,24.09,22.16,20.88,19.91,19.25,18.88,19.06,20.53,22.31,22.97,23.03,23.56,24.12,24.5,23.88,24.31,25.31,25.53,25.03,25.06,25.5,25.59,25.0,24.34,24.5,24.88,25.31,25.62,27.19,28.81,30.22,30.62,31.44,32.75,33.59,33.59,33.44,34.06,34.62,33.53,31.94,30.81,29.19,26.78,23.94,21.94,21.12,20.66,20.41,21.66,24.41,27.34,28.94,30.66,32.53,33.5,32.41,30.62,29.03,27.44,25.22,22.94,22.16,22.53,22.94,23.38,24.62,26.59,28.5,29.03,29.16,29.94,30.66,30.44,30.03,31.03,32.25,32.47,32.09,31.38,31.12,30.78,29.97,29.75,30.72,31.66,31.56,31.66,32.5,33.66,33.66,33.25,33.03,33.22,32.56,30.94,29.53,28.53,27.31,25.28,24.31,24.59,25.69,25.75,25.75,26.53,27.75,28.16,27.75,28.16,28.84,28.41,26.19,24.69,23.25,21.97,20.19,19.5,20.53,21.88,22.41,22.31,22.47,23.0,22.12,21.16,21.09,22.19,22.88,22.94,23.44,24.78,26.03,26.06,26.41,28.06,29.75,30.19,30.41,30.94,31.5,30.31,28.88,28.06,27.91,27.34,26.03,24.69,23.66,22.75,20.97,19.28,18.94,19.19,18.5,17.34,16.62,16.53,15.78,14.97,14.94,16.12,17.25,17.72,18.62,20.0,21.25,21.66,21.81,23.0,24.38,24.31,23.97,23.72,23.88,23.03,21.28,19.88,18.69,17.0,14.94,13.94,14.62,16.62,17.81,19.66,21.94,23.47,23.38,21.78,20.09,18.38,16.06,13.69,12.28,12.69,13.16,12.81,13.31,14.34,16.12,17.47,18.66,20.09,21.59,21.94,21.41,20.97,21.44,21.12,19.81,18.41,18.22,18.69,18.38,19.22,21.41,23.75,25.19,26.59,28.19,30.59,32.12,32.97,33.94,35.59,36.84,36.91,36.84,37.75,38.47,37.56,36.72,36.28,36.09,35.19,33.94,33.69,33.72,32.66,30.59,28.72,27.69,26.84,25.22,23.88,23.75,24.06,23.12,22.19,22.03,21.56,19.91,18.0,17.0,17.16,17.03,16.34,15.84,16.31,16.28,15.03,13.72,13.03,12.25,10.81,9.44,9.0,9.97,10.44,11.06,12.62,15.22,17.22,18.25,19.03,20.16,20.59,19.44,18.16,18.47,19.06,18.72,18.69,19.0,19.44,18.28,17.22,16.56,16.44,16.03,14.97,14.16,13.81,14.0,13.31,12.16,11.97,12.19,11.62,11.06,11.12,11.88,11.03,9.06,6.78,5.62,4.41,3.94,5.06,8.38,12.31,15.5,18.28,21.38,24.0,25.0,25.22,25.47,26.28,26.78,26.84,27.53,29.5,30.75,30.28,29.19,28.44,26.81,24.03,21.19,19.72,19.31,18.88,18.06,18.0,18.06,17.06,15.12,13.56,13.31,13.56,13.41,13.69,15.09,16.75,17.78,18.84,20.56,22.91,23.84,24.03,23.62,23.75,22.84,21.03,19.38,18.66,17.72,15.91,14.28,13.75,14.0,14.31,14.94,17.22,20.03,22.31,23.84,25.16,26.75,27.12,25.53,23.28,21.91,19.88,17.03,14.62,12.94,12.19,11.25,10.31,10.53,11.47,12.38,12.62,13.31,14.91,15.59,15.16,14.06,13.84,13.28,12.44,12.16,12.81,14.56,16.31,17.88,19.69,22.25,23.75,23.59,22.66,21.84,20.03,17.5,15.16,15.0,15.19,15.88,16.56,17.97,19.22,19.41,18.78,17.94,17.66,17.66,17.09,17.09,18.38,19.44,19.34,18.44,17.84,16.5,14.5,12.12,11.0,10.81,10.84,10.72,11.12,11.94,12.31,11.56,10.81,11.06,11.38,11.22,10.78,11.28,12.47,13.66,14.53,16.0,17.84,18.69,18.47,18.38,19.28,19.84,19.03,17.84,17.16,15.75,13.69,11.53,11.03,11.22,11.5,11.75,12.44,13.25,13.78,13.56,13.31,14.19,15.22,15.28,15.44,16.22,17.0,17.22,16.66,16.75,16.69,15.62,13.94,12.28,11.28,10.41,9.22,8.53,9.38,10.72,11.28,12.34,14.12,16.06,17.41,18.03,18.94,19.47,19.56,18.91,19.16,20.09,20.94,20.97,20.75,21.03,20.94,19.84,18.56,18.12,18.22,18.38,18.59,20.38,22.81,24.94,25.38,25.59,26.16,26.22,25.75,25.38,25.34,25.38,24.41,23.19,22.44,22.47,22.72,22.72,23.41,24.66,25.78,25.59,24.84,23.97,22.34,19.91,17.59,16.81,17.06,17.5,18.12,19.5,20.91,21.59,21.44,21.62,21.94,21.97,20.16,18.19,16.38,14.34,11.78,9.88,9.44,9.81,10.5,11.38,13.03,15.03,16.78,17.5,18.03,19.31,20.19,20.09,19.53,19.66,20.09,20.19,20.66,22.31,24.56,25.88,26.28,25.81,24.75,22.97,19.84,16.69,14.19,12.47,10.56,9.5,9.69,10.62,11.0,10.94,10.84,10.94,10.44,9.56,9.0,9.22,9.91,9.88,10.38,12.09,14.66,16.81,18.97,21.41,23.56,24.03,23.56,22.66,22.03,20.5,18.19,15.97,14.31,12.78,10.91,9.72,9.59,10.5,10.53,10.66,11.5,12.69,13.62,14.12,15.12,16.56,18.03,18.56,19.16,20.16,21.28,21.44,21.38,21.97,22.62,22.22,21.03,19.91,19.22,17.84,15.97,14.75,14.19,13.72,12.41,11.31,11.06,11.06,11.03,11.56,13.19,15.69,17.31,18.25,18.47,18.75,18.62,18.56,19.53,21.75,24.56,26.53,28.31,30.5,32.22,32.66,31.59,29.88,28.19,24.88,21.75,19.66,18.91,18.78,18.59,19.06,20.16,21.34,21.22,21.19,21.62,21.97,21.66,21.22,20.75,20.97,20.0,18.41,16.53,14.69,12.47,9.25,6.44,4.91,4.47,3.53,3.5,4.78,6.31,7.47,8.22,9.19,10.19,10.31,9.81,8.59,8.0,7.28,5.88,4.91,5.03,5.62,5.56,4.88,4.62,4.62,4.16,4.0,4.47,6.28,8.03,9.03,9.81,10.75,11.06,9.97,8.34,7.19,6.41,5.12,3.47,2.91,2.88,2.91,2.72,3.09,4.44,5.66,6.31,6.78,8.09,9.16,9.38,9.5,9.81,10.5,10.12,9.5,9.25,9.53,9.09,7.75,6.44,5.81,4.75,3.75,2.69,3.22,4.44,5.16,5.81,6.91,7.97,8.25,7.47,7.19,7.72,7.91,7.62,7.16,6.91,6.28,4.19,1.53,0.59,0.31,0.41,0.91,2.5,4.16,4.78,4.19,3.0,2.03,0.78,-1.06,-2.5,-2.03,-1.19,-0.5,0.34,3.09,6.19,8.97,11.28,13.09,14.81,15.69,15.19,15.09,15.97,17.19,17.5,17.44,17.59,17.06,14.62,10.91,7.44,4.94,2.5,0.66,0.62,2.41,4.28,5.97,7.53,8.94,10.53,11.0,10.88,11.91,12.97,13.84,14.44,16.12,18.41,20.56,21.81,22.59,23.53,23.34,22.03,19.81,18.16,17.03,14.44,11.53,9.91,8.97,7.81,6.12,5.81,6.59,7.31,7.94,9.06,11.12,13.06,14.25,14.91,16.44,17.53,17.47,16.69,16.5,16.66,16.62,15.78,16.38,17.69,18.88,62.53,62.97,63.03,62.75,61.56,59.69,57.81,56.47,55.09,54.81,55.0,55.66,56.31,57.28,57.91,58.78,59.5,60.0,60.53,60.91,61.47,61.56,61.81,61.5,61.12,60.25,59.0,57.5:17.72,19.25,20.25,21.06,22.09,23.5,24.62,24.81,25.06,25.78,26.56,26.41,27.06,28.44,30.25,30.94,30.75,31.12,31.66,31.38,31.31,31.69,32.62,33.22,33.28,33.25,33.66,34.16,33.28,32.03,31.19,30.94,29.94,29.62,29.84,31.12,32.03,32.81,33.34,34.16,34.06,32.41,30.38,29.31,29.12,28.09,27.53,27.66,27.53,26.94,25.81,25.44,26.25,27.06,28.03,29.22,30.97,32.41,32.62,32.53,33.09,33.94,33.81,33.62,33.66,33.91,33.47,32.31,31.75,31.88,31.84,32.25,33.28,35.53,38.53,40.03,41.41,42.19,42.62,41.28,38.72,36.16,33.69,30.69,27.22,23.97,22.06,20.12,17.97,15.94,15.69,16.03,16.44,17.41,19.88,23.34,25.78,28.06,30.25,32.53,33.19,31.88,29.91,27.56,24.12,19.78,16.03,14.5,14.34,15.0,17.22,21.12,25.78,29.56,32.25,34.09,35.25,35.16,33.94,32.31,31.88,31.28,30.38,29.41,29.19,28.91,28.0,26.97,26.22,26.62,26.88,26.44,26.72,27.38,27.16,25.44,23.25,21.88,21.03,20.44,20.56,22.84,25.94,28.75,31.69,35.06,38.69,40.91,42.12,42.72,43.66,43.91,42.97,40.94,38.66,35.31,31.56,27.69,26.0,25.62,25.62,25.81,26.31,26.66,25.84,24.16,22.47,21.91,22.41,22.97,23.91,26.16,28.5,29.66,30.03,30.38,30.84,30.09,28.81,28.19,28.66,28.66,27.78,26.88,26.19,25.56,23.69,21.62,20.12,18.28,15.78,12.88,11.56,10.88,10.5,10.31,10.62,11.84,13.28,14.41,15.91,18.69,21.38,23.53,24.28,25.56,26.22,25.88,25.5,26.22,27.66,29.12,29.81,30.56,31.59,32.25,32.16,31.88,32.5,33.5,33.41,33.22,33.69,34.12,33.69,32.47,31.88,32.0,31.69,30.84,29.84,29.91,29.31,28.16,26.78,26.22,25.72,24.88,24.03,24.47,25.47,26.16,26.19,26.16,26.16,25.62,24.16,22.56,22.31,21.88,21.41,21.03,21.97,23.12,23.56,23.72,23.94,24.38,24.09,22.16,20.88,19.91,19.25,18.88,19.06,20.53,22.31,22.97,23.03,23.56,24.12,24.5,23.88,24.31,25.31,25.53,25.03,25.06,25.5,25.59,25.0,24.34,24.5,24.88,25.31,25.62,27.19,28.81,30.22,30.62,31.44,32.75,33.59,33.59,33.44,34.06,34.62,33.53,31.94,30.81,29.19,26.78,23.94,21.94,21.12,20.66,20.41,21.66,24.41,27.34,28.94,30.66,32.53,33.5,32.41,30.62,29.03,27.44,25.22,22.94,22.16,22.53,22.94,23.38,24.62,26.59,28.5,29.03,29.16,29.94,30.66,30.44,30.03,31.03,32.25,32.47,32.09,31.38,31.12,30.78,29.97,29.75,30.72,31.66,31.56,31.66,32.5,33.66,33.66,33.25,33.03,33.22,32.56,30.94,29.53,28.53,27.31,25.28,24.31,24.59,25.69,25.75,25.75,26.53,27.75,28.16,27.75,28.16,28.84,28.41,26.19,24.69,23.25,21.97,20.19,19.5,20.53,21.88,22.41,22.31,22.47,23.0,22.12,21.16,21.09,22.19,22.88,22.94,23.44,24.78,26.03,26.06,26.41,28.06,29.75,30.19,30.41,30.94,31.5,30.31,28.88,28.06,27.91,27.34,26.03,24.69,23.66,22.75,20.97,19.28,18.94,19.19,18.5,17.34,16.62,16.53,15.78,14.97,14.94,16.12,17.25,17.72,18.62,20.0,21.25,21.66,21.81,23.0,24.38,24.31,23.97,23.72,23.88,23.03,21.28,19.88,18.69,17.0,14.94,13.94,14.62,16.62,17.81,19.66,21.94,23.47,23.38,21.78,20.09,18.38,16.06,13.69,12.28,12.69,13.16,12.81,13.31,14.34,16.12,17.47,18.66,20.09,21.59,21.94,21.41,20.97,21.44,21.12,19.81,18.41,18.22,18.69,18.38,19.22,21.41,23.75,25.19,26.59,28.19,30.59,32.12,32.97,33.94,35.59,36.84,36.91,36.84,37.75,38.47,37.56,36.72,36.28,36.09,35.19,33.94,33.69,33.72,32.66,30.59,28.72,27.69,26.84,25.22,23.88,23.75,24.06,23.12,22.19,22.03,21.56,19.91,18.0,17.0,17.16,17.03,16.34,15.84,16.31,16.28,15.03,13.72,13.03,12.25,10.81,9.44,9.0,9.97,10.44,11.06,12.62,15.22,17.22,18.25,19.03,20.16,20.59,19.44,18.16,18.47,19.06,18.72,18.69,19.0,19.44,18.28,17.22,16.56,16.44,16.03,14.97,14.16,13.81,14.0,13.31,12.16,11.97,12.19,11.62,11.06,11.12,11.88,11.03,9.06,6.78,5.62,4.41,3.94,5.06,8.38,12.31,15.5,18.28,21.38,24.0,25.0,25.22,25.47,26.28,26.78,26.84,27.53,29.5,30.75,30.28,29.19,28.44,26.81,24.03,21.19,19.72,19.31,18.88,18.06,18.0,18.06,17.06,15.12,13.56,13.31,13.56,13.41,13.69,15.09,16.75,17.78,18.84,20.56,22.91,23.84,24.03,23.62,23.75,22.84,21.03,19.38,18.66,17.72,15.91,14.28,13.75,14.0,14.31,14.94,17.22,20.03,22.31,23.84,25.16,26.75,27.12,25.53,23.28,21.91,19.88,17.03,14.62,12.94,12.19,11.25,10.31,10.53,11.47,12.38,12.62,13.31,14.91,15.59,15.16,14.06,13.84,13.28,12.44,12.16,12.81,14.56,16.31,17.88,19.69,22.25,23.75,23.59,22.66,21.84,20.03,17.5,15.16,15.0,15.19,15.88,16.56,17.97,19.22,19.41,18.78,17.94,17.66,17.66,17.09,17.09,18.38,19.44,19.34,18.44,17.84,16.5,14.5,12.12,11.0,10.81,10.84,10.72,11.12,11.94,12.31,11.56,10.81,11.06,11.38,11.22,10.78,11.28,12.47,13.66,14.53,16.0,17.84,18.69,18.47,18.38,19.28,19.84,19.03,17.84,17.16,15.75,13.69,11.53,11.03,11.22,11.5,11.75,12.44,13.25,13.78,13.56,13.31,14.19,15.22,15.28,15.44,16.22,17.0,17.22,16.66,16.75,16.69,15.62,13.94,12.28,11.28,10.41,9.22,8.53,9.38,10.72,11.28,12.34,14.12,16.06,17.41,18.03,18.94,19.47,19.56,18.91,19.16,20.09,20.94,20.97,20.75,21.03,20.94,19.84,18.56,18.12,18.22,18.38,18.59,20.38,22.81,24.94,25.38,25.59,26.16,26.22,25.75,25.38,25.34,25.38,24.41,23.19,22.44,22.47,22.72,22.72,23.41,24.66,25.78,25.59,24.84,23.97,22.34,19.91,17.59,16.81,17.06,17.5,18.12,19.5,20.91,21.59,21.44,21.62,21.94,21.97,20.16,18.19,16.38,14.34,11.78,9.88,9.44,9.81,10.5,11.38,13.03,15.03,16.78,17.5,18.03,19.31,20.19,20.09,19.53,19.66,20.09,20.19,20.66,22.31,24.56,25.88,26.28,25.81,24.75,22.97,19.84,16.69,14.19,12.47,10.56,9.5,9.69,10.62,11.0,10.94,10.84,10.94,10.44,9.56,9.0,9.22,9.91,9.88,10.38,12.09,14.66,16.81,18.97,21.41,23.56,24.03,23.56,22.66,22.03,20.5,18.19,15.97,14.31,12.78,10.91,9.72,9.59,10.5,10.53,10.66,11.5,12.69,13.62,14.12,15.12,16.56,18.03,18.56,19.16,20.16,21.28,21.44,21.38,21.97,22.62,22.22,21.03,19.91,19.22,17.84,15.97,14.75,14.19,13.72,12.41,11.31,11.06,11.06,11.03,11.56,13.19,15.69,17.31,18.25,18.47,18.75,18.62,18.56,19.53,21.75,24.56,26.53,28.31,30.5,32.22,32.66,31.59,29.88,28.19,24.88,21.75,19.66,18.91,18.78,18.59,19.06,20.16,21.34,21.22,21.19,21.62,21.97,21.66,21.22,20.75,20.97,20.0,18.41,16.53,14.69,12.47,9.25,6.44,4.91,4.47,3.53,3.5,4.78,6.31,7.47,8.22,9.19,10.19,10.31,9.81,8.59,8.0,7.28,5.88,4.91,5.03,5.62,5.56,4.88,4.62,4.62,4.16,4.0,4.47,6.28,8.03,9.03,9.81,10.75,11.06,9.97,8.34,7.19,6.41,5.12,3.47,2.91,2.88,2.91,2.72,3.09,4.44,5.66,6.31,6.78,8.09,9.16,9.38,9.5,9.81,10.5,10.12,9.5,9.25,9.53,9.09,7.75,6.44,5.81,4.75,3.75,2.69,3.22,4.44,5.16,5.81,6.91,7.97,8.25,7.47,7.19,7.72,7.91,7.62,7.16,6.91,6.28,4.19,1.53,0.59,0.31,0.41,0.91,2.5,4.16,4.78,4.19,3.0,2.03,0.78,-1.06,-2.5,-2.03,-1.19,-0.5,0.34,3.09,6.19,8.97,11.28,13.09,14.81,15.69,15.19,15.09,15.97,17.19,17.5,17.44,17.59,17.06,14.62,10.91,7.44,4.94,2.5,0.66,0.62,2.41,4.28,5.97,7.53,8.94,10.53,11.0,10.88,11.91,12.97,13.84,14.44,16.12,18.41,20.56,21.81,22.59,23.53,23.34,22.03,19.81,18.16,17.03,14.44,11.53,9.91,8.97,7.81,6.12,5.81,6.59,7.31,7.94,9.06,11.12,13.06,14.25,14.91,16.44,17.53,17.47,16.69,16.5,16.66,16.62,15.78,16.38,17.69,18.88,62.53,62.97,63.03,62.75,61.56,59.69,57.81,56.47,55.09,54.81,55.0,55.66,56.31,57.28,57.91,58.78,59.5,60.0,60.53,60.91,61.47,61.56,61.81,61.5,61.12,60.25,59.0,57.5,55.91,54.09,51.88,49.5,47.56,46.44,45.62:24.81,25.06,25.78,26.56,26.41,27.06,28.44,30.25,30.94,30.75,31.12,31.66,31.38,31.31,31.69,32.62,33.22,33.28,33.25,33.66,34.16,33.28,32.03,31.19,30.94,29.94,29.62,29.84,31.12,32.03,32.81,33.34,34.16,34.06,32.41,30.38,29.31,29.12,28.09,27.53,27.66,27.53,26.94,25.81,25.44,26.25,27.06,28.03,29.22,30.97,32.41,32.62,32.53,33.09,33.94,33.81,33.62,33.66,33.91,33.47,32.31,31.75,31.88,31.84,32.25,33.28,35.53,38.53,40.03,41.41,42.19,42.62,41.28,38.72,36.16,33.69,30.69,27.22,23.97,22.06,20.12,17.97,15.94,15.69,16.03,16.44,17.41,19.88,23.34,25.78,28.06,30.25,32.53,33.19,31.88,29.91,27.56,24.12,19.78,16.03,14.5,14.34,15.0,17.22,21.12,25.78,29.56,32.25,34.09,35.25,35.16,33.94,32.31,31.88,31.28,30.38,29.41,29.19,28.91,28.0,26.97,26.22,26.62,26.88,26.44,26.72,27.38,27.16,25.44,23.25,21.88,21.03,20.44,20.56,22.84,25.94,28.75,31.69,35.06,38.69,40.91,42.12,42.72,43.66,43.91,42.97,40.94,38.66,35.31,31.56,27.69,26.0,25.62,25.62,25.81,26.31,26.66,25.84,24.16,22.47,21.91,22.41,22.97,23.91,26.16,28.5,29.66,30.03,30.38,30.84,30.09,28.81,28.19,28.66,28.66,27.78,26.88,26.19,25.56,23.69,21.62,20.12,18.28,15.78,12.88,11.56,10.88,10.5,10.31,10.62,11.84,13.28,14.41,15.91,18.69,21.38,23.53,24.28,25.56,26.22,25.88,25.5,26.22,27.66,29.12,29.81,30.56,31.59,32.25,32.16,31.88,32.5,33.5,33.41,33.22,33.69,34.12,33.69,32.47,31.88,32.0,31.69,30.84,29.84,29.91,29.31,28.16,26.78,26.22,25.72,24.88,24.03,24.47,25.47,26.16,26.19,26.16,26.16,25.62,24.16,22.56,22.31,21.88,21.41,21.03,21.97,23.12,23.56,23.72,23.94,24.38,24.09,22.16,20.88,19.91,19.25,18.88,19.06,20.53,22.31,22.97,23.03,23.56,24.12,24.5,23.88,24.31,25.31,25.53,25.03,25.06,25.5,25.59,25.0,24.34,24.5,24.88,25.31,25.62,27.19,28.81,30.22,30.62,31.44,32.75,33.59,33.59,33.44,34.06,34.62,33.53,31.94,30.81,29.19,26.78,23.94,21.94,21.12,20.66,20.41,21.66,24.41,27.34,28.94,30.66,32.53,33.5,32.41,30.62,29.03,27.44,25.22,22.94,22.16,22.53,22.94,23.38,24.62,26.59,28.5,29.03,29.16,29.94,30.66,30.44,30.03,31.03,32.25,32.47,32.09,31.38,31.12,30.78,29.97,29.75,30.72,31.66,31.56,31.66,32.5,33.66,33.66,33.25,33.03,33.22,32.56,30.94,29.53,28.53,27.31,25.28,24.31,24.59,25.69,25.75,25.75,26.53,27.75,28.16,27.75,28.16,28.84,28.41,26.19,24.69,23.25,21.97,20.19,19.5,20.53,21.88,22.41,22.31,22.47,23.0,22.12,21.16,21.09,22.19,22.88,22.94,23.44,24.78,26.03,26.06,26.41,28.06,29.75,30.19,30.41,30.94,31.5,30.31,28.88,28.06,27.91,27.34,26.03,24.69,23.66,22.75,20.97,19.28,18.94,19.19,18.5,17.34,16.62,16.53,15.78,14.97,14.94,16.12,17.25,17.72,18.62,20.0,21.25,21.66,21.81,23.0,24.38,24.31,23.97,23.72,23.88,23.03,21.28,19.88,18.69,17.0,14.94,13.94,14.62,16.62,17.81,19.66,21.94,23.47,23.38,21.78,20.09,18.38,16.06,13.69,12.28,12.69,13.16,12.81,13.31,14.34,16.12,17.47,18.66,20.09,21.59,21.94,21.41,20.97,21.44,21.12,19.81,18.41,18.22,18.69,18.38,19.22,21.41,23.75,25.19,26.59,28.19,30.59,32.12,32.97,33.94,35.59,36.84,36.91,36.84,37.75,38.47,37.56,36.72,36.28,36.09,35.19,33.94,33.69,33.72,32.66,30.59,28.72,27.69,26.84,25.22,23.88,23.75,24.06,23.12,22.19,22.03,21.56,19.91,18.0,17.0,17.16,17.03,16.34,15.84,16.31,16.28,15.03,13.72,13.03,12.25,10.81,9.44,9.0,9.97,10.44,11.06,12.62,15.22,17.22,18.25,19.03,20.16,20.59,19.44,18.16,18.47,19.06,18.72,18.69,19.0,19.44,18.28,17.22,16.56,16.44,16.03,14.97,14.16,13.81,14.0,13.31,12.16,11.97,12.19,11.62,11.06,11.12,11.88,11.03,9.06,6.78,5.62,4.41,3.94,5.06,8.38,12.31,15.5,18.28,21.38,24.0,25.0,25.22,25.47,26.28,26.78,26.84,27.53,29.5,30.75,30.28,29.19,28.44,26.81,24.03,21.19,19.72,19.31,18.88,18.06,18.0,18.06,17.06,15.12,13.56,13.31,13.56,13.41,13.69,15.09,16.75,17.78,18.84,20.56,22.91,23.84,24.03,23.62,23.75,22.84,21.03,19.38,18.66,17.72,15.91,14.28,13.75,14.0,14.31,14.94,17.22,20.03,22.31,23.84,25.16,26.75,27.12,25.53,23.28,21.91,19.88,17.03,14.62,12.94,12.19,11.25,10.31,10.53,11.47,12.38,12.62,13.31,14.91,15.59,15.16,14.06,13.84,13.28,12.44,12.16,12.81,14.56,16.31,17.88,19.69,22.25,23.75,23.59,22.66,21.84,20.03,17.5,15.16,15.0,15.19,15.88,16.56,17.97,19.22,19.41,18.78,17.94,17.66,17.66,17.09,17.09,18.38,19.44,19.34,18.44,17.84,16.5,14.5,12.12,11.0,10.81,10.84,10.72,11.12,11.94,12.31,11.56,10.81,11.06,11.38,11.22,10.78,11.28,12.47,13.66,14.53,16.0,17.84,18.69,18.47,18.38,19.28,19.84,19.03,17.84,17.16,15.75,13.69,11.53,11.03,11.22,11.5,11.75,12.44,13.25,13.78,13.56,13.31,14.19,15.22,15.28,15.44,16.22,17.0,17.22,16.66,16.75,16.69,15.62,13.94,12.28,11.28,10.41,9.22,8.53,9.38,10.72,11.28,12.34,14.12,16.06,17.41,18.03,18.94,19.47,19.56,18.91,19.16,20.09,20.94,20.97,20.75,21.03,20.94,19.84,18.56,18.12,18.22,18.38,18.59,20.38,22.81,24.94,25.38,25.59,26.16,26.22,25.75,25.38,25.34,25.38,24.41,23.19,22.44,22.47,22.72,22.72,23.41,24.66,25.78,25.59,24.84,23.97,22.34,19.91,17.59,16.81,17.06,17.5,18.12,19.5,20.91,21.59,21.44,21.62,21.94,21.97,20.16,18.19,16.38,14.34,11.78,9.88,9.44,9.81,10.5,11.38,13.03,15.03,16.78,17.5,18.03,19.31,20.19,20.09,19.53,19.66,20.09,20.19,20.66,22.31,24.56,25.88,26.28,25.81,24.75,22.97,19.84,16.69,14.19,12.47,10.56,9.5,9.69,10.62,11.0,10.94,10.84,10.94,10.44,9.56,9.0,9.22,9.91,9.88,10.38,12.09,14.66,16.81,18.97,21.41,23.56,24.03,23.56,22.66,22.03,20.5,18.19,15.97,14.31,12.78,10.91,9.72,9.59,10.5,10.53,10.66,11.5,12.69,13.62,14.12,15.12,16.56,18.03,18.56,19.16,20.16,21.28,21.44,21.38,21.97,22.62,22.22,21.03,19.91,19.22,17.84,15.97,14.75,14.19,13.72,12.41,11.31,11.06,11.06,11.03,11.56,13.19,15.69,17.31,18.25,18.47,18.75,18.62,18.56,19.53,21.75,24.56,26.53,28.31,30.5,32.22,32.66,31.59,29.88,28.19,24.88,21.75,19.66,18.91,18.78,18.59,19.06,20.16,21.34,21.22,21.19,21.62,21.97,21.66,21.22,20.75,20.97,20.0,18.41,16.53,14.69,12.47,9.25,6.44,4.91,4.47,3.53,3.5,4.78,6.31,7.47,8.22,9.19,10.19,10.31,9.81,8.59,8.0,7.28,5.88,4.91,5.03,5.62,5.56,4.88,4.62,4.62,4.16,4.0,4.47,6.28,8.03,9.03,9.81,10.75,11.06,9.97,8.34,7.19,6.41,5.12,3.47,2.91,2.88,2.91,2.72,3.09,4.44,5.66,6.31,6.78,8.09,9.16,9.38,9.5,9.81,10.5,10.12,9.5,9.25,9.53,9.09,7.75,6.44,5.81,4.75,3.75,2.69,3.22,4.44,5.16,5.81,6.91,7.97,8.25,7.47,7.19,7.72,7.91,7.62,7.16,6.91,6.28,4.19,1.53,0.59,0.31,0.41,0.91,2.5,4.16,4.78,4.19,3.0,2.03,0.78,-1.06,-2.5,-2.03,-1.19,-0.5,0.34,3.09,6.19,8.97,11.28,13.09,14.81,15.69,15.19,15.09,15.97,17.19,17.5,17.44,17.59,17.06,14.62,10.91,7.44,4.94,2.5,0.66,0.62,2.41,4.28,5.97,7.53,8.94,10.53,11.0,10.88,11.91,12.97,13.84,14.44,16.12,18.41,20.56,21.81,22.59,23.53,23.34,22.03,19.81,18.16,17.03,14.44,11.53,9.91,8.97,7.81,6.12,5.81,6.59,7.31,7.94,9.06,11.12,13.06,14.25,14.91,16.44,17.53,17.47,16.69,16.5,16.66,16.62,15.78,16.38,17.69,18.88,62.53,62.97,63.03,62.75,61.56,59.69,57.81,56.47,55.09,54.81,55.0,55.66,56.31,57.28,57.91,58.78,59.5,60.0,60.53,60.91,61.47,61.56,61.81,61.5,61.12,60.25,59.0,57.5,55.91,54.09,51.88,49.5,47.56,46.44,45.62,45.59,46.12,47.31,48.81,50.09,51.5,52.62:positivity
6.0,4.97,4.31,6.88,10.34,12.03,12.19,13.72,16.53,17.19,16.0,14.88,15.56,15.72,13.25,11.12,11.69,13.16,12.28,10.72,11.44,12.59,11.56,8.56,7.44,8.06,8.5,7.97,9.03,12.81,16.75,17.81,17.97,19.47,21.16,19.69,16.16,14.16,13.28,11.97,9.38,8.66,10.16,11.22,10.03,8.97,11.09,13.56,14.25,13.94,15.25,17.41,17.19,15.56,15.44,17.84,19.12,17.62,16.84,17.62,17.88,15.56,13.22,13.78,15.16,14.44,12.12,11.25,11.75,11.25,9.78,10.22,12.94,15.78,15.91,15.91,17.41,18.53,16.78,13.56,12.53,12.94,11.72,9.56,9.16,10.56,11.19,9.16,7.84,9.31,10.94,10.09,8.91,9.97,11.66,10.81,8.84,8.62,9.88,10.44,9.28,9.53,12.19,14.0,12.91,11.5,11.81,12.56,10.38,7.94,7.5,8.81,8.5,6.81,6.75,8.78,9.97,8.38,6.56,6.81,6.53,3.44,0.28,-0.12,0.78,-0.03,-1.53,-1.28,1.38,2.91,3.53,4.84,8.0,9.59,7.25,4.38,3.09,3.0,1.03,-0.91,-0.16,2.25,2.91,1.94,2.34,4.88,6.72,6.0,5.91,8.16,10.12,8.75,7.03,6.97,8.12,7.66,6.38,7.41,10.25,11.41,10.56,10.09,11.56,12.03,9.44,6.81,6.91,8.12,7.41,6.16,7.28,10.09,10.88,10.22,10.88,13.94,15.41,14.28,13.28,14.16,14.59,12.47,10.41,10.69,12.31,11.03,8.03,6.12,5.44,3.72,0.81,-0.19,2.53,5.25,5.66,6.25,9.06,11.88,11.81,11.16,12.16,14.41,14.31,12.94,12.25,13.41,12.91,10.47,8.56,9.44,10.31,9.62,8.62,10.09,12.38,12.25,11.09,11.59,13.94,15.28,15.19,16.56,19.81,21.81,20.12,17.53,16.62,15.72,12.75,9.25,8.44,9.0,8.28,6.31,6.38,9.34,11.88,12.25,12.62,14.97,16.41,15.03,13.16,14.25,16.62,17.31,16.72,17.69,19.19,18.78,15.5,13.06,13.06,13.03,10.91,9.66,11.06,13.22,13.91,13.72,15.34,17.88,18.84,17.78,18.19,20.62,21.78,20.41,19.81,21.53,23.34,22.91,22.41,24.03,26.06,26.0,23.97,23.62,23.78,22.78,19.78,17.94,18.44,18.91,17.69,16.31,17.5,18.47,16.91,14.25,13.38,13.59,12.69,9.94,8.5,8.59,8.0,4.97,3.38,5.22,7.97,9.28,11.03,15.16,19.66,21.62,21.12,21.56,22.16,21.03,17.84,15.16,15.0,14.59,12.59,11.22,11.78,13.0,11.94,9.91,9.56,10.62,10.69,9.0,8.97,10.56,11.44,9.47,8.0,9.41,11.03,10.69,10.38,11.97,14.19,14.28,12.28,11.34,11.81,10.94,7.88,6.56,7.09,7.91,6.72,6.0,8.5,11.81,13.25,13.62,14.97,17.03,16.47,13.69,11.75,12.16,12.47,11.16,11.53,14.62,18.06,18.38,17.03,16.81,16.69,14.5,11.62,10.56,11.94,12.62,11.66,12.06,14.59,16.28,15.72,15.03,16.22,17.94,17.38,16.06,16.12,17.62,17.16,14.69,12.62,13.0,12.5,10.72,10.75,13.5,16.5,17.12,16.53,16.56,16.78,14.56,10.78,8.78,9.47,9.69,9.31,10.28,13.62,16.28,15.88,14.0,13.69,13.31,10.5,7.03,5.19,5.34,4.56,2.56,2.28,4.88,7.16,7.75,8.81,12.0,14.97,15.06,13.94,14.25,15.12,13.38,10.56,8.66,8.69,7.41,4.56,2.38,2.75,3.16,1.12,-0.47,0.69,2.5,2.16,0.84,0.91,2.03,1.94,1.0,1.84,5.19,8.0,8.28,8.16,10.0,11.38,10.19,8.38,9.03,10.81,10.75,9.19,9.0,9.88,9.12,6.41,3.62,3.69,3.47,1.5,-0.34,1.03,3.25,4.12,3.78,5.19,7.59,8.53,7.97,9.0,12.41,15.31,15.69,15.53,17.34,18.44,16.88,14.16,14.22,15.81,15.91,14.88,15.69,17.72,18.59,16.94,15.81,16.75,16.81,14.62,11.47,10.75,10.59,8.88,6.12,5.72,7.09,7.62,6.53,6.66,8.81,9.81,7.94,6.06,6.59,7.31,6.25,4.47,5.38,6.97,6.88,5.0,4.94,6.75,7.53,6.12,5.41,6.69,7.78,6.44,5.19,6.72,9.16,9.47,8.5,9.56,11.62,12.06,10.94,11.12,14.19,16.78,17.06,17.16,19.12,20.41,18.25,14.5,12.47,11.47,8.91,5.53,4.5,5.41,6.09,4.69,4.53,6.91,9.16,8.53,7.06,7.88,8.94,7.78,5.81,5.94,7.56,6.94,4.34,2.34,2.25,1.78,-0.78,-2.19,-0.16,2.72,3.47,3.72,5.62,8.06,8.34,6.94,6.44,7.59,7.75,5.66,4.69,6.25,7.72,6.94,6.53,8.34,11.69,12.5,12.09,13.0,15.22,15.81,14.59,14.91,17.62,20.0,19.94,20.47,23.09,25.5,23.94,20.84,18.44,16.53,12.47,7.5,5.19,5.75,5.62,3.47,2.06,2.84,2.88,0.03,-2.81,-2.81,-1.88,-2.59,-3.34,-1.62,2.16,4.28,4.38,6.03,9.88,12.41,12.38,12.0,12.72,12.66,8.66,3.5,0.22,-1.09,-3.91,-7.34,-8.19,-6.59,-6.09,-7.53,-8.75,-7.53,-7.72,-10.44,-13.59,-14.0,-12.69,-13.12,-13.12,-10.81,-6.25,-3.72,-3.03,-0.69,3.53,6.88,7.84,9.06,12.22,14.34,13.38,10.91,9.94,9.38,6.5,2.56,0.84,2.09,3.25,3.38,5.25,9.31,12.53,12.72,12.22,13.41,14.5,13.31,11.53,12.44,14.78,15.75,15.38,16.09,19.19,20.56,19.75,18.94,19.88,20.47,18.19,15.44,14.62,13.91,11.03,7.06,5.03,4.69,3.69,1.5,0.53,2.25,3.53,2.53,1.31,2.75,4.31,3.94,3.0,4.47,7.47,9.25,9.38,10.88,14.09,15.62,14.16,12.38,12.56,11.97,9.25,6.44,6.53,7.53,6.88,5.09,5.16,6.47,6.53,5.03,5.16,7.47,10.03,10.16,10.0,11.81,12.75,10.81,7.12,5.0,4.25,2.28,-0.66,-1.84,-0.78,-0.62,-2.78,-4.78,-4.16,-3.5,-5.06,-6.31,-4.41,-1.38,-0.25,0.19,2.47,6.12,8.56,8.69,9.31,12.22,13.5,12.03,9.94,9.53,9.12,5.84,2.03,0.59,0.12,-1.38,-4.03,-4.72,-3.25,-2.16,-2.88,-2.94,-0.81,1.34,1.28,0.88,3.31,6.72,7.84,7.69,8.94,11.06,11.62,10.06,9.06,9.66,9.47,6.88,4.44,4.66,5.47,4.97,4.31,5.78,7.84,7.72,5.28,3.47,3.19,2.56,0.66,0.59,3.44,7.06,8.25,8.69,10.72,12.84,12.19,9.53,8.31,7.97,6.38,3.06,1.16,1.47,1.91,-0.16,-2.0,-1.75,-1.03,-2.34,-4.75,-4.84,-3.88,-4.56,-6.69,-7.41,-6.19,-5.69,-7.41,-8.66,-7.38,-5.38,-5.66,-5.91,-3.72,-0.72,0.59,0.38,1.66,3.62,3.41,0.88,-1.09,-0.81,-0.78,-2.16,-2.94,-1.16,1.59,1.53,0.31,0.59,1.75,0.91,-1.19,-1.88,-0.78,-0.47,-2.12,-3.16,-2.12,-1.59,-4.53,-8.06,-9.78,-10.06,-11.84,-13.38,-12.38,-9.28,-7.38,-7.47,-6.47,-3.88,-1.69,-1.97,-2.22,-0.28,1.91,2.03,1.59,2.81,4.5,4.56,2.47,0.75,0.66,-0.47,-3.53,-5.25,-4.22,-2.16,-1.34,-0.78,2.62,6.31,7.97,7.94,9.94,13.09,14.81,14.94,15.47,18.34,20.25,19.88,18.81,19.28,19.34,16.25,11.78,9.25,8.28,6.03,2.91,1.72,2.84,2.84,1.38,-0.03,1.44,3.25,2.91,2.56,4.53,7.03,7.0,5.88,6.44,8.06,8.84,8.03,8.16,10.25,12.19,11.91,11.69,13.81,15.41,14.03,11.62,11.09,11.34,10.03,7.12,5.25,4.91,3.59,0.03,-3.09,-3.25,-2.59,-3.34,-3.84,-0.69,3.09,5.25,5.62,7.09,9.41,10.09,8.56,7.81,9.72,10.78,9.97,9.22,10.84,12.69,11.88,9.66,9.0,9.5,8.06,5.28,3.81,4.47,4.59,2.75,2.0,3.81,6.0,5.78,5.09,6.88,8.69,8.19,6.34,6.59,7.78,7.81,6.47,6.31,8.09,9.56,8.53,7.62,9.53,11.91,12.03,11.31,12.81,15.12,15.75,14.22,14.34,16.0,16.06,14.16,12.88,14.22,15.31,13.88,12.34,13.56,15.53,15.47,14.38,15.0,16.62,16.41,13.56,11.72,11.94,11.91,10.31,10.0,13.12,16.16,16.47,15.47,15.72,16.41,15.16,12.81,12.38,13.84,14.56,12.56,11.59,12.78,13.66,11.53,9.47,10.25,11.53,10.59,8.78,8.66,9.59,8.78,6.22,5.09,6.03,6.81,5.72,5.25,7.25,9.5,8.84,7.03,7.16,7.81,6.62,4.56,4.97,7.16,8.09,6.44,4.72,5.56,5.5,3.47,2.22,4.19,7.31,8.16,8.12,9.34,11.31,10.78,8.56,7.44,8.53,8.91,7.0,5.78,7.28,9.19,8.78,8.78,11.34,15.44,16.81,17.28,18.38,20.59,20.94,18.81,17.84,18.81,19.78,18.09,16.16,16.03,15.56,12.31,8.19,6.66,7.0,5.97,4.03,4.44,6.91,8.94,8.53,8.91,11.47,13.84,13.16,11.44,11.5,12.09,9.5,5.75,4.34,4.97,4.72,3.69,4.06,7.25,9.66,9.09,8.72,10.53,11.81,10.69,8.94,9.41,10.78,10.5,9.19,9.16:13.72,16.53,17.19,16.0,14.88,15.56,15.72,13.25,11.12,11.69,13.16,12.28,10.72,11.44,12.59,11.56,8.56,7.44,8.06,8.5,7.97,9.03,12.81,16.75,17.81,17.97,19.47,21.16,19.69,16.16,14.16,13.28,11.97,9.38,8.66,10.16,11.22,10.03,8.97,11.09,13.56,14.25,13.94,15.25,17.41,17.19,15.56,15.44,17.84,19.12,17.62,16.84,17.62,17.88,15.56,13.22,13.78,15.16,14.44,12.12,11.25,11.75,11.25,9.78,10.22,12.94,15.78,15.91,15.91,17.41,18.53,16.78,13.56,12.53,12.94,11.72,9.56,9.16,10.56,11.19,9.16,7.84,9.31,10.94,10.09,8.91,9.97,11.66,10.81,8.84,8.62,9.88,10.44,9.28,9.53,12.19,14.0,12.91,11.5,11.81,12.56,10.38,7.94,7.5,8.81,8.5,6.81,6.75,8.78,9.97,8.38,6.56,6.81,6.53,3.44,0.28,-0.12,0.78,-0.03,-1.53,-1.28,1.38,2.91,3.53,4.84,8.0,9.59,7.25,4.38,3.09,3.0,1.03,-0.91,-0.16,2.25,2.91,1.94,2.34,4.88,6.72,6.0,5.91,8.16,10.12,8.75,7.03,6.97,8.12,7.66,6.38,7.41,10.25,11.41,10.56,10.09,11.56,12.03,9.44,6.81,6.91,8.12,7.41,6.16,7.28,10.09,10.88,10.22,10.88,13.94,15.41,14.28,13.28,14.16,14.59,12.47,10.41,10.69,12.31,11.03,8.03,6.12,5.44,3.72,0.81,-0.19,2.53,5.25,5.66,6.25,9.06,11.88,11.81,11.16,12.16,14.41,14.31,12.94,12.25,13.41,12.91,10.47,8.56,9.44,10.31,9.62,8.62,10.09,12.38,12.25,11.09,11.59,13.94,15.28,15.19,16.56,19.81,21.81,20.12,17.53,16.62,15.72,12.75,9.25,8.44,9.0,8.28,6.31,6.38,9.34,11.88,12.25,12.62,14.97,16.41,15.03,13.16,14.25,16.62,17.31,16.72,17.69,19.19,18.78,15.5,13.06,13.06,13.03,10.91,9.66,11.06,13.22,13.91,13.72,15.34,17.88,18.84,17.78,18.19,20.62,21.78,20.41,19.81,21.53,23.34,22.91,22.41,24.03,26.06,26.0,23.97,23.62,23.78,22.78,19.78,17.94,18.44,18.91,17.69,16.31,17.5,18.47,16.91,14.25,13.38,13.59,12.69,9.94,8.5,8.59,8.0,4.97,3.38,5.22,7.97,9.28,11.03,15.16,19.66,21.62,21.12,21.56,22.16,21.03,17.84,15.16,15.0,14.59,12.59,11.22,11.78,13.0,11.94,9.91,9.56,10.62,10.69,9.0,8.97,10.56,11.44,9.47,8.0,9.41,11.03,10.69,10.38,11.97,14.19,14.28,12.28,11.34,11.81,10.94,7.88,6.56,7.09,7.91,6.72,6.0,8.5,11.81,13.25,13.62,14.97,17.03,16.47,13.69,11.75,12.16,12.47,11.16,11.53,14.62,18.06,18.38,17.03,16.81,16.69,14.5,11.62,10.56,11.94,12.62,11.66,12.06,14.59,16.28,15.72,15.03,16.22,17.94,17.38,16.06,16.12,17.62,17.16,14.69,12.62,13.0,12.5,10.72,10.75,13.5,16.5,17.12,16.53,16.56,16.78,14.56,10.78,8.78,9.47,9.69,9.31,10.28,13.62,16.28,15.88,14.0,13.69,13.31,10.5,7.03,5.19,5.34,4.56,2.56,2.28,4.88,7.16,7.75,8.81,12.0,14.97,15.06,13.94,14.25,15.12,13.38,10.56,8.66,8.69,7.41,4.56,2.38,2.75,3.16,1.12,-0.47,0.69,2.5,2.16,0.84,0.91,2.03,1.94,1.0,1.84,5.19,8.0,8.28,8.16,10.0,11.38,10.19,8.38,9.03,10.81,10.75,9.19,9.0,9.88,9.12,6.41,3.62,3.69,3.47,1.5,-0.34,1.03,3.25,4.12,3.78,5.19,7.59,8.53,7.97,9.0,12.41,15.31,15.69,15.53,17.34,18.44,16.88,14.16,14.22,15.81,15.91,14.88,15.69,17.72,18.59,16.94,15.81,16.75,16.81,14.62,11.47,10.75,10.59,8.88,6.12,5.72,7.09,7.62,6.53,6.66,8.81,9.81,7.94,6.06,6.59,7.31,6.25,4.47,5.38,6.97,6.88,5.0,4.94,6.75,7.53,6.12,5.41,6.69,7.78,6.44,5.19,6.72,9.16,9.47,8.5,9.56,11.62,12.06,10.94,11.12,14.19,16.78,17.06,17.16,19.12,20.41,18.25,14.5,12.47,11.47,8.91,5.53,4.5,5.41,6.09,4.69,4.53,6.91,9.16,8.53,7.06,7.88,8.94,7.78,5.81,5.94,7.56,6.94,4.34,2.34,2.25,1.78,-0.78,-2.19,-0.16,2.72,3.47,3.72,5.62,8.06,8.34,6.94,6.44,7.59,7.75,5.66,4.69,6.25,7.72,6.94,6.53,8.34,11.69,12.5,12.09,13.0,15.22,15.81,14.59,14.91,17.62,20.0,19.94,20.47,23.09,25.5,23.94,20.84,18.44,16.53,12.47,7.5,5.19,5.75,5.62,3.47,2.06,2.84,2.88,0.03,-2.81,-2.81,-1.88,-2.59,-3.34,-1.62,2.16,4.28,4.38,6.03,9.88,12.41,12.38,12.0,12.72,12.66,8.66,3.5,0.22,-1.09,-3.91,-7.34,-8.19,-6.59,-6.09,-7.53,-8.75,-7.53,-7.72,-10.44,-13.59,-14.0,-12.69,-13.12,-13.12,-10.81,-6.25,-3.72,-3.03,-0.69,3.53,6.88,7.84,9.06,12.22,14.34,13.38,10.91,9.94,9.38,6.5,2.56,0.84,2.09,3.25,3.38,5.25,9.31,12.53,12.72,12.22,13.41,14.5,13.31,11.53,12.44,14.78,15.75,15.38,16.09,19.19,20.56,19.75,18.94,19.88,20.47,18.19,15.44,14.62,13.91,11.03,7.06,5.03,4.69,3.69,1.5,0.53,2.25,3.53,2.53,1.31,2.75,4.31,3.94,3.0,4.47,7.47,9.25,9.38,10.88,14.09,15.62,14.16,12.38,12.56,11.97,9.25,6.44,6.53,7.53,6.88,5.09,5.16,6.47,6.53,5.03,5.16,7.47,10.03,10.16,10.0,11.81,12.75,10.81,7.12,5.0,4.25,2.28,-0.66,-1.84,-0.78,-0.62,-2.78,-4.78,-4.16,-3.5,-5.06,-6.31,-4.41,-1.38,-0.25,0.19,2.47,6.12,8.56,8.69,9.31,12.22,13.5,12.03,9.94,9.53,9.12,5.84,2.03,0.59,0.12,-1.38,-4.03,-4.72,-3.25,-2.16,-2.88,-2.94,-0.81,1.34,1.28,0.88,3.31,6.72,7.84,7.69,8.94,11.06,11.62,10.06,9.06,9.66,9.47,6.88,4.44,4.66,5.47,4.97,4.31,5.78,7.84,7.72,5.28,3.47,3.19,2.56,0.66,0.59,3.44,7.06,8.25,8.69,10.72,12.84,12.19,9.53,8.31,7.97,6.38,3.06,1.16,1.47,1.91,-0.16,-2.0,-1.75,-1.03,-2.34,-4.75,-4.84,-3.88,-4.56,-6.69,-7.41,-6.19,-5.69,-7.41,-8.66,-7.38,-5.38,-5.66,-5.91,-3.72,-0.72,0.59,0.38,1.66,3.62,3.41,0.88,-1.09,-0.81,-0.78,-2.16,-2.94,-1.16,1.59,1.53,0.31,0.59,1.75,0.91,-1.19,-1.88,-0.78,-0.47,-2.12,-3.16,-2.12,-1.59,-4.53,-8.06,-9.78,-10.06,-11.84,-13.38,-12.38,-9.28,-7.38,-7.47,-6.47,-3.88,-1.69,-1.97,-2.22,-0.28,1.91,2.03,1.59,2.81,4.5,4.56,2.47,0.75,0.66,-0.47,-3.53,-5.25,-4.22,-2.16,-1.34,-0.78,2.62,6.31,7.97,7.94,9.94,13.09,14.81,14.94,15.47,18.34,20.25,19.88,18.81,19.28,19.34,16.25,11.78,9.25,8.28,6.03,2.91,1.72,2.84,2.84,1.38,-0.03,1.44,3.25,2.91,2.56,4.53,7.03,7.0,5.88,6.44,8.06,8.84,8.03,8.16,10.25,12.19,11.91,11.69,13.81,15.41,14.03,11.62,11.09,11.34,10.03,7.12,5.25,4.91,3.59,0.03,-3.09,-3.25,-2.59,-3.34,-3.84,-0.69,3.09,5.25,5.62,7.09,9.41,10.09,8.56,7.81,9.72,10.78,9.97,9.22,10.84,12.69,11.88,9.66,9.0,9.5,8.06,5.28,3.81,4.47,4.59,2.75,2.0,3.81,6.0,5.78,5.09,6.88,8.69,8.19,6.34,6.59,7.78,7.81,6.47,6.31,8.09,9.56,8.53,7.62,9.53,11.91,12.03,11.31,12.81,15.12,15.75,14.22,14.34,16.0,16.06,14.16,12.88,14.22,15.31,13.88,12.34,13.56,15.53,15.47,14.38,15.0,16.62,16.41,13.56,11.72,11.94,11.91,10.31,10.0,13.12,16.16,16.47,15.47,15.72,16.41,15.16,12.81,12.38,13.84,14.56,12.56,11.59,12.78,13.66,11.53,9.47,10.25,11.53,10.59,8.78,8.66,9.59,8.78,6.22,5.09,6.03,6.81,5.72,5.25,7.25,9.5,8.84,7.03,7.16,7.81,6.62,4.56,4.97,7.16,8.09,6.44,4.72,5.56,5.5,3.47,2.22,4.19,7.31,8.16,8.12,9.34,11.31,10.78,8.56,7.44,8.53,8.91,7.0,5.78,7.28,9.19,8.78,8.78,11.34,15.44,16.81,17.28,18.38,20.59,20.94,18.81,17.84,18.81,19.78,18.09,16.16,16.03,15.56,12.31,8.19,6.66,7.0,5.97,4.03,4.44,6.91,8.94,8.53,8.91,11.47,13.84,13.16,11.44,11.5,12.09,9.5,5.75,4.34,4.97,4.72,3.69,4.06,7.25,9.66,9.09,8.72,10.53,11.81,10.69,8.94,9.41,10.78,10.5,9.19,9.16,12.56,12.56,12.53,14.72,17.53,19.12,19.5:13.25,11.12,11.69,13.16,12.28,10.72,11.44,12.59,11.56,8.56,7.44,8.06,8.5,7.97,9.03,12.81,16.75,17.81,17.97,19.47,21.16,19.69,16.16,14.16,13.28,11.97,9.38,8.66,10.16,11.22,10.03,8.97,11.09,13.56,14.25,13.94,15.25,17.41,17.19,15.56,15.44,17.84,19.12,17.62,16.84,17.62,17.88,15.56,13.22,13.78,15.16,14.44,12.12,11.25,11.75,11.25,9.78,10.22,12.94,15.78,15.91,15.91,17.41,18.53,16.78,13.56,12.53,12.94,11.72,9.56,9.16,10.56,11.19,9.16,7.84,9.31,10.94,10.09,8.91,9.97,11.66,10.81,8.84,8.62,9.88,10.44,9.28,9.53,12.19,14.0,12.91,11.5,11.81,12.56,10.38,7.94,7.5,8.81,8.5,6.81,6.75,8.78,9.97,8.38,6.56,6.81,6.53,3.44,0.28,-0.12,0.78,-0.03,-1.53,-1.28,1.38,2.91,3.53,4.84,8.0,9.59,7.25,4.38,3.09,3.0,1.03,-0.91,-0.16,2.25,2.91,1.94,2.34,4.88,6.72,6.0,5.91,8.16,10.12,8.75,7.03,6.97,8.12,7.66,6.38,7.41,10.25,11.41,10.56,10.09,11.56,12.03,9.44,6.81,6.91,8.12,7.41,6.16,7.28,10.09,10.88,10.22,10.88,13.94,15.41,14.28,13.28,14.16,14.59,12.47,10.41,10.69,12.31,11.03,8.03,6.12,5.44,3.72,0.81,-0.19,2.53,5.25,5.66,6.25,9.06,11.88,11.81,11.16,12.16,14.41,14.31,12.94,12.25,13.41,12.91,10.47,8.56,9.44,10.31,9.62,8.62,10.09,12.38,12.25,11.09,11.59,13.94,15.28,15.19,16.56,19.81,21.81,20.12,17.53,16.62,15.72,12.75,9.25,8.44,9.0,8.28,6.31,6.38,9.34,11.88,12.25,12.62,14.97,16.41,15.03,13.16,14.25,16.62,17.31,16.72,17.69,19.19,18.78,15.5,13.06,13.06,13.03,10.91,9.66,11.06,13.22,13.91,13.72,15.34,17.88,18.84,17.78,18.19,20.62,21.78,20.41,19.81,21.53,23.34,22.91,22.41,24.03,26.06,26.0,23.97,23.62,23.78,22.78,19.78,17.94,18.44,18.91,17.69,16.31,17.5,18.47,16.91,14.25,13.38,13.59,12.69,9.94,8.5,8.59,8.0,4.97,3.38,5.22,7.97,9.28,11.03,15.16,19.66,21.62,21.12,21.56,22.16,21.03,17.84,15.16,15.0,14.59,12.59,11.22,11.78,13.0,11.94,9.91,9.56,10.62,10.69,9.0,8.97,10.56,11.44,9.47,8.0,9.41,11.03,10.69,10.38,11.97,14.19,14.28,12.28,11.34,11.81,10.94,7.88,6.56,7.09,7.91,6.72,6.0,8.5,11.81,13.25,13.62,14.97,17.03,16.47,13.69,11.75,12.16,12.47,11.16,11.53,14.62,18.06,18.38,17.03,16.81,16.69,14.5,11.62,10.56,11.94,12.62,11.66,12.06,14.59,16.28,15.72,15.03,16.22,17.94,17.38,16.06,16.12,17.62,17.16,14.69,12.62,13.0,12.5,10.72,10.75,13.5,16.5,17.12,16.53,16.56,16.78,14.56,10.78,8.78,9.47,9.69,9.31,10.28,13.62,16.28,15.88,14.0,13.69,13.31,10.5,7.03,5.19,5.34,4.56,2.56,2.28,4.88,7.16,7.75,8.81,12.0,14.97,15.06,13.94,14.25,15.12,13.38,10.56,8.66,8.69,7.41,4.56,2.38,2.75,3.16,1.12,-0.47,0.69,2.5,2.16,0.84,0.91,2.03,1.94,1.0,1.84,5.19,8.0,8.28,8.16,10.0,11.38,10.19,8.38,9.03,10.81,10.75,9.19,9.0,9.88,9.12,6.41,3.62,3.69,3.47,1.5,-0.34,1.03,3.25,4.12,3.78,5.19,7.59,8.53,7.97,9.0,12.41,15.31,15.69,15.53,17.34,18.44,16.88,14.16,14.22,15.81,15.91,14.88,15.69,17.72,18.59,16.94,15.81,16.75,16.81,14.62,11.47,10.75,10.59,8.88,6.12,5.72,7.09,7.62,6.53,6.66,8.81,9.81,7.94,6.06,6.59,7.31,6.25,4.47,5.38,6.97,6.88,5.0,4.94,6.75,7.53,6.12,5.41,6.69,7.78,6.44,5.19,6.72,9.16,9.47,8.5,9.56,11.62,12.06,10.94,11.12,14.19,16.78,17.06,17.16,19.12,20.41,18.25,14.5,12.47,11.47,8.91,5.53,4.5,5.41,6.09,4.69,4.53,6.91,9.16,8.53,7.06,7.88,8.94,7.78,5.81,5.94,7.56,6.94,4.34,2.34,2.25,1.78,-0.78,-2.19,-0.16,2.72,3.47,3.72,5.62,8.06,8.34,6.94,6.44,7.59,7.75,5.66,4.69,6.25,7.72,6.94,6.53,8.34,11.69,12.5,12.09,13.0,15.22,15.81,14.59,14.91,17.62,20.0,19.94,20.47,23.09,25.5,23.94,20.84,18.44,16.53,12.47,7.5,5.19,5.75,5.62,3.47,2.06,2.84,2.88,0.03,-2.81,-2.81,-1.88,-2.59,-3.34,-1.62,2.16,4.28,4.38,6.03,9.88,12.41,12.38,12.0,12.72,12.66,8.66,3.5,0.22,-1.09,-3.91,-7.34,-8.19,-6.59,-6.09,-7.53,-8.75,-7.53,-7.72,-10.44,-13.59,-14.0,-12.69,-13.12,-13.12,-10.81,-6.25,-3.72,-3.03,-0.69,3.53,6.88,7.84,9.06,12.22,14.34,13.38,10.91,9.94,9.38,6.5,2.56,0.84,2.09,3.25,3.38,5.25,9.31,12.53,12.72,12.22,13.41,14.5,13.31,11.53,12.44,14.78,15.75,15.38,16.09,19.19,20.56,19.75,18.94,19.88,20.47,18.19,15.44,14.62,13.91,11.03,7.06,5.03,4.69,3.69,1.5,0.53,2.25,3.53,2.53,1.31,2.75,4.31,3.94,3.0,4.47,7.47,9.25,9.38,10.88,14.09,15.62,14.16,12.38,12.56,11.97,9.25,6.44,6.53,7.53,6.88,5.09,5.16,6.47,6.53,5.03,5.16,7.47,10.03,10.16,10.0,11.81,12.75,10.81,7.12,5.0,4.25,2.28,-0.66,-1.84,-0.78,-0.62,-2.78,-4.78,-4.16,-3.5,-5.06,-6.31,-4.41,-1.38,-0.25,0.19,2.47,6.12,8.56,8.69,9.31,12.22,13.5,12.03,9.94,9.53,9.12,5.84,2.03,0.59,0.12,-1.38,-4.03,-4.72,-3.25,-2.16,-2.88,-2.94,-0.81,1.34,1.28,0.88,3.31,6.72,7.84,7.69,8.94,11.06,11.62,10.06,9.06,9.66,9.47,6.88,4.44,4.66,5.47,4.97,4.31,5.78,7.84,7.72,5.28,3.47,3.19,2.56,0.66,0.59,3.44,7.06,8.25,8.69,10.72,12.84,12.19,9.53,8.31,7.97,6.38,3.06,1.16,1.47,1.91,-0.16,-2.0,-1.75,-1.03,-2.34,-4.75,-4.84,-3.88,-4.56,-6.69,-7.41,-6.19,-5.69,-7.41,-8.66,-7.38,-5.38,-5.66,-5.91,-3.72,-0.72,0.59,0.38,1.66,3.62,3.41,0.88,-1.09,-0.81,-0.78,-2.16,-2.94,-1.16,1.59,1.53,0.31,0.59,1.75,0.91,-1.19,-1.88,-0.78,-0.47,-2.12,-3.16,-2.12,-1.59,-4.53,-8.06,-9.78,-10.06,-11.84,-13.38,-12.38,-9.28,-7.38,-7.47,-6.47,-3.88,-1.69,-1.97,-2.22,-0.28,1.91,2.03,1.59,2.81,4.5,4.56,2.47,0.75,0.66,-0.47,-3.53,-5.25,-4.22,-2.16,-1.34,-0.78,2.62,6.31,7.97,7.94,9.94,13.09,14.81,14.94,15.47,18.34,20.25,19.88,18.81,19.28,19.34,16.25,11.78,9.25,8.28,6.03,2.91,1.72,2.84,2.84,1.38,-0.03,1.44,3.25,2.91,2.56,4.53,7.03,7.0,5.88,6.44,8.06,8.84,8.03,8.16,10.25,12.19,11.91,11.69,13.81,15.41,14.03,11.62,11.09,11.34,10.03,7.12,5.25,4.91,3.59,0.03,-3.09,-3.25,-2.59,-3.34,-3.84,-0.69,3.09,5.25,5.62,7.09,9.41,10.09,8.56,7.81,9.72,10.78,9.97,9.22,10.84,12.69,11.88,9.66,9.0,9.5,8.06,5.28,3.81,4.47,4.59,2.75,2.0,3.81,6.0,5.78,5.09,6.88,8.69,8.19,6.34,6.59,7.78,7.81,6.47,6.31,8.09,9.56,8.53,7.62,9.53,11.91,12.03,11.31,12.81,15.12,15.75,14.22,14.34,16.0,16.06,14.16,12.88,14.22,15.31,13.88,12.34,13.56,15.53,15.47,14.38,15.0,16.62,16.41,13.56,11.72,11.94,11.91,10.31,10.0,13.12,16.16,16.47,15.47,15.72,16.41,15.16,12.81,12.38,13.84,14.56,12.56,11.59,12.78,13.66,11.53,9.47,10.25,11.53,10.59,8.78,8.66,9.59,8.78,6.22,5.09,6.03,6.81,5.72,5.25,7.25,9.5,8.84,7.03,7.16,7.81,6.62,4.56,4.97,7.16,8.09,6.44,4.72,5.56,5.5,3.47,2.22,4.19,7.31,8.16,8.12,9.34,11.31,10.78,8.56,7.44,8.53,8.91,7.0,5.78,7.28,9.19,8.78,8.78,11.34,15.44,16.81,17.28,18.38,20.59,20.94,18.81,17.84,18.81,19.78,18.09,16.16,16.03,15.56,12.31,8.19,6.66,7.0,5.97,4.03,4.44,6.91,8.94,8.53,8.91,11.47,13.84,13.16,11.44,11.5,12.09,9.5,5.75,4.34,4.97,4.72,3.69,4.06,7.25,9.66,9.09,8.72,10.53,11.81,10.69,8.94,9.41,10.78,10.5,9.19,9.16,12.56,12.56,12.53,14.72,17.53,19.12,19.5,20.72,22.78,23.22,22.41,21.97,22.34,22.66:12.59,11.56,8.56,7.44,8.06,8.5,7.97,9.03,12.81,16.75,17.81,17.97,19.47,21.16,19.69,16.16,14.16,13.28,11.97,9.38,8.66,10.16,11.22,10.03,8.97,11.09,13.56,14.25,13.94,15.25,17.41,17.19,15.56,15.44,17.84,19.12,17.62,16.84,17.62,17.88,15.56,13.22,13.78,15.16,14.44,12.12,11.25,11.75,11.25,9.78,10.22,12.94,15.78,15.91,15.91,17.41,18.53,16.78,13.56,12.53,12.94,11.72,9.56,9.16,10.56,11.19,9.16,7.84,9.31,10.94,10.09,8.91,9.97,11.66,10.81,8.84,8.62,9.88,10.44,9.28,9.53,12.19,14.0,12.91,11.5,11.81,12.56,10.38,7.94,7.5,8.81,8.5,6.81,6.75,8.78,9.97,8.38,6.56,6.81,6.53,3.44,0.28,-0.12,0.78,-0.03,-1.53,-1.28,1.38,2.91,3.53,4.84,8.0,9.59,7.25,4.38,3.09,3.0,1.03,-0.91,-0.16,2.25,2.91,1.94,2.34,4.88,6.72,6.0,5.91,8.16,10.12,8.75,7.03,6.97,8.12,7.66,6.38,7.41,10.25,11.41,10.56,10.09,11.56,12.03,9.44,6.81,6.91,8.12,7.41,6.16,7.28,10.09,10.88,10.22,10.88,13.94,15.41,14.28,13.28,14.16,14.59,12.47,10.41,10.69,12.31,11.03,8.03,6.12,5.44,3.72,0.81,-0.19,2.53,5.25,5.66,6.25,9.06,11.88,11.81,11.16,12.16,14.41,14.31,12.94,12.25,13.41,12.91,10.47,8.56,9.44,10.31,9.62,8.62,10.09,12.38,12.25,11.09,11.59,13.94,15.28,15.19,16.56,19.81,21.81,20.12,17.53,16.62,15.72,12.75,9.25,8.44,9.0,8.28,6.31,6.38,9.34,11.88,12.25,12.62,14.97,16.41,15.03,13.16,14.25,16.62,17.31,16.72,17.69,19.19,18.78,15.5,13.06,13.06,13.03,10.91,9.66,11.06,13.22,13.91,13.72,15.34,17.88,18.84,17.78,18.19,20.62,21.78,20.41,19.81,21.53,23.34,22.91,22.41,24.03,26.06,26.0,23.97,23.62,23.78,22.78,19.78,17.94,18.44,18.91,17.69,16.31,17.5,18.47,16.91,14.25,13.38,13.59,12.69,9.94,8.5,8.59,8.0,4.97,3.38,5.22,7.97,9.28,11.03,15.16,19.66,21.62,21.12,21.56,22.16,21.03,17.84,15.16,15.0,14.59,12.59,11.22,11.78,13.0,11.94,9.91,9.56,10.62,10.69,9.0,8.97,10.56,11.44,9.47,8.0,9.41,11.03,10.69,10.38,11.97,14.19,14.28,12.28,11.34,11.81,10.94,7.88,6.56,7.09,7.91,6.72,6.0,8.5,11.81,13.25,13.62,14.97,17.03,16.47,13.69,11.75,12.16,12.47,11.16,11.53,14.62,18.06,18.38,17.03,16.81,16.69,14.5,11.62,10.56,11.94,12.62,11.66,12.06,14.59,16.28,15.72,15.03,16.22,17.94,17.38,16.06,16.12,17.62,17.16,14.69,12.62,13.0,12.5,10.72,10.75,13.5,16.5,17.12,16.53,16.56,16.78,14.56,10.78,8.78,9.47,9.69,9.31,10.28,13.62,16.28,15.88,14.0,13.69,13.31,10.5,7.03,5.19,5.34,4.56,2.56,2.28,4.88,7.16,7.75,8.81,12.0,14.97,15.06,13.94,14.25,15.12,13.38,10.56,8.66,8.69,7.41,4.56,2.38,2.75,3.16,1.12,-0.47,0.69,2.5,2.16,0.84,0.91,2.03,1.94,1.0,1.84,5.19,8.0,8.28,8.16,10.0,11.38,10.19,8.38,9.03,10.81,10.75,9.19,9.0,9.88,9.12,6.41,3.62,3.69,3.47,1.5,-0.34,1.03,3.25,4.12,3.78,5.19,7.59,8.53,7.97,9.0,12.41,15.31,15.69,15.53,17.34,18.44,16.88,14.16,14.22,15.81,15.91,14.88,15.69,17.72,18.59,16.94,15.81,16.75,16.81,14.62,11.47,10.75,10.59,8.88,6.12,5.72,7.09,7.62,6.53,6.66,8.81,9.81,7.94,6.06,6.59,7.31,6.25,4.47,5.38,6.97,6.88,5.0,4.94,6.75,7.53,6.12,5.41,6.69,7.78,6.44,5.19,6.72,9.16,9.47,8.5,9.56,11.62,12.06,10.94,11.12,14.19,16.78,17.06,17.16,19.12,20.41,18.25,14.5,12.47,11.47,8.91,5.53,4.5,5.41,6.09,4.69,4.53,6.91,9.16,8.53,7.06,7.88,8.94,7.78,5.81,5.94,7.56,6.94,4.34,2.34,2.25,1.78,-0.78,-2.19,-0.16,2.72,3.47,3.72,5.62,8.06,8.34,6.94,6.44,7.59,7.75,5.66,4.69,6.25,7.72,6.94,6.53,8.34,11.69,12.5,12.09,13.0,15.22,15.81,14.59,14.91,17.62,20.0,19.94,20.47,23.09,25.5,23.94,20.84,18.44,16.53,12.47,7.5,5.19,5.75,5.62,3.47,2.06,2.84,2.88,0.03,-2.81,-2.81,-1.88,-2.59,-3.34,-1.62,2.16,4.28,4.38,6.03,9.88,12.41,12.38,12.0,12.72,12.66,8.66,3.5,0.22,-1.09,-3.91,-7.34,-8.19,-6.59,-6.09,-7.53,-8.75,-7.53,-7.72,-10.44,-13.59,-14.0,-12.69,-13.12,-13.12,-10.81,-6.25,-3.72,-3.03,-0.69,3.53,6.88,7.84,9.06,12.22,14.34,13.38,10.91,9.94,9.38,6.5,2.56,0.84,2.09,3.25,3.38,5.25,9.31,12.53,12.72,12.22,13.41,14.5,13.31,11.53,12.44,14.78,15.75,15.38,16.09,19.19,20.56,19.75,18.94,19.88,20.47,18.19,15.44,14.62,13.91,11.03,7.06,5.03,4.69,3.69,1.5,0.53,2.25,3.53,2.53,1.31,2.75,4.31,3.94,3.0,4.47,7.47,9.25,9.38,10.88,14.09,15.62,14.16,12.38,12.56,11.97,9.25,6.44,6.53,7.53,6.88,5.09,5.16,6.47,6.53,5.03,5.16,7.47,10.03,10.16,10.0,11.81,12.75,10.81,7.12,5.0,4.25,2.28,-0.66,-1.84,-0.78,-0.62,-2.78,-4.78,-4.16,-3.5,-5.06,-6.31,-4.41,-1.38,-0.25,0.19,2.47,6.12,8.56,8.69,9.31,12.22,13.5,12.03,9.94,9.53,9.12,5.84,2.03,0.59,0.12,-1.38,-4.03,-4.72,-3.25,-2.16,-2.88,-2.94,-0.81,1.34,1.28,0.88,3.31,6.72,7.84,7.69,8.94,11.06,11.62,10.06,9.06,9.66,9.47,6.88,4.44,4.66,5.47,4.97,4.31,5.78,7.84,7.72,5.28,3.47,3.19,2.56,0.66,0.59,3.44,7.06,8.25,8.69,10.72,12.84,12.19,9.53,8.31,7.97,6.38,3.06,1.16,1.47,1.91,-0.16,-2.0,-1.75,-1.03,-2.34,-4.75,-4.84,-3.88,-4.56,-6.69,-7.41,-6.19,-5.69,-7.41,-8.66,-7.38,-5.38,-5.66,-5.91,-3.72,-0.72,0.59,0.38,1.66,3.62,3.41,0.88,-1.09,-0.81,-0.78,-2.16,-2.94,-1.16,1.59,1.53,0.31,0.59,1.75,0.91,-1.19,-1.88,-0.78,-0.47,-2.12,-3.16,-2.12,-1.59,-4.53,-8.06,-9.78,-10.06,-11.84,-13.38,-12.38,-9.28,-7.38,-7.47,-6.47,-3.88,-1.69,-1.97,-2.22,-0.28,1.91,2.03,1.59,2.81,4.5,4.56,2.47,0.75,0.66,-0.47,-3.53,-5.25,-4.22,-2.16,-1.34,-0.78,2.62,6.31,7.97,7.94,9.94,13.09,14.81,14.94,15.47,18.34,20.25,19.88,18.81,19.28,19.34,16.25,11.78,9.25,8.28,6.03,2.91,1.72,2.84,2.84,1.38,-0.03,1.44,3.25,2.91,2.56,4.53,7.03,7.0,5.88,6.44,8.06,8.84,8.03,8.16,10.25,12.19,11.91,11.69,13.81,15.41,14.03,11.62,11.09,11.34,10.03,7.12,5.25,4.91,3.59,0.03,-3.09,-3.25,-2.59,-3.34,-3.84,-0.69,3.09,5.25,5.62,7.09,9.41,10.09,8.56,7.81,9.72,10.78,9.97,9.22,10.84,12.69,11.88,9.66,9.0,9.5,8.06,5.28,3.81,4.47,4.59,2.75,2.0,3.81,6.0,5.78,5.09,6.88,8.69,8.19,6.34,6.59,7.78,7.81,6.47,6.31,8.09,9.56,8.53,7.62,9.53,11.91,12.03,11.31,12.81,15.12,15.75,14.22,14.34,16.0,16.06,14.16,12.88,14.22,15.31,13.88,12.34,13.56,15.53,15.47,14.38,15.0,16.62,16.41,13.56,11.72,11.94,11.91,10.31,10.0,13.12,16.16,16.47,15.47,15.72,16.41,15.16,12.81,12.38,13.84,14.56,12.56,11.59,12.78,13.66,11.53,9.47,10.25,11.53,10.59,8.78,8.66,9.59,8.78,6.22,5.09,6.03,6.81,5.72,5.25,7.25,9.5,8.84,7.03,7.16,7.81,6.62,4.56,4.97,7.16,8.09,6.44,4.72,5.56,5.5,3.47,2.22,4.19,7.31,8.16,8.12,9.34,11.31,10.78,8.56,7.44,8.53,8.91,7.0,5.78,7.28,9.19,8.78,8.78,11.34,15.44,16.81,17.28,18.38,20.59,20.94,18.81,17.84,18.81,19.78,18.09,16.16,16.03,15.56,12.31,8.19,6.66,7.0,5.97,4.03,4.44,6.91,8.94,8.53,8.91,11.47,13.84,13.16,11.44,11.5,12.09,9.5,5.75,4.34,4.97,4.72,3.69,4.06,7.25,9.66,9.09,8.72,10.53,11.81,10.69,8.94,9.41,10.78,10.5,9.19,9.16,12.56,12.56,12.53,14.72,17.53,19.12,19.5,20.72,22.78,23.22,22.41,21.97,22.34,22.66,20.75,19.0,18.81,19.19,18.31,16.97,17.28:9.03,12.81,16.75,17.81,17.97,19.47,21.16,19.69,16.16,14.16,13.28,11.97,9.38,8.66,10.16,11.22,10.03,8.97,11.09,13.56,14.25,13.94,15.25,17.41,17.19,15.56,15.44,17.84,19.12,17.62,16.84,17.62,17.88,15.56,13.22,13.78,15.16,14.44,12.12,11.25,11.75,11.25,9.78,10.22,12.94,15.78,15.91,15.91,17.41,18.53,16.78,13.56,12.53,12.94,11.72,9.56,9.16,10.56,11.19,9.16,7.84,9.31,10.94,10.09,8.91,9.97,11.66,10.81,8.84,8.62,9.88,10.44,9.28,9.53,12.19,14.0,12.91,11.5,11.81,12.56,10.38,7.94,7.5,8.81,8.5,6.81,6.75,8.78,9.97,8.38,6.56,6.81,6.53,3.44,0.28,-0.12,0.78,-0.03,-1.53,-1.28,1.38,2.91,3.53,4.84,8.0,9.59,7.25,4.38,3.09,3.0,1.03,-0.91,-0.16,2.25,2.91,1.94,2.34,4.88,6.72,6.0,5.91,8.16,10.12,8.75,7.03,6.97,8.12,7.66,6.38,7.41,10.25,11.41,10.56,10.09,11.56,12.03,9.44,6.81,6.91,8.12,7.41,6.16,7.28,10.09,10.88,10.22,10.88,13.94,15.41,14.28,13.28,14.16,14.59,12.47,10.41,10.69,12.31,11.03,8.03,6.12,5.44,3.72,0.81,-0.19,2.53,5.25,5.66,6.25,9.06,11.88,11.81,11.16,12.16,14.41,14.31,12.94,12.25,13.41,12.91,10.47,8.56,9.44,10.31,9.62,8.62,10.09,12.38,12.25,11.09,11.59,13.94,15.28,15.19,16.56,19.81,21.81,20.12,17.53,16.62,15.72,12.75,9.25,8.44,9.0,8.28,6.31,6.38,9.34,11.88,12.25,12.62,14.97,16.41,15.03,13.16,14.25,16.62,17.31,16.72,17.69,19.19,18.78,15.5,13.06,13.06,13.03,10.91,9.66,11.06,13.22,13.91,13.72,15.34,17.88,18.84,17.78,18.19,20.62,21.78,20.41,19.81,21.53,23.34,22.91,22.41,24.03,26.06,26.0,23.97,23.62,23.78,22.78,19.78,17.94,18.44,18.91,17.69,16.31,17.5,18.47,16.91,14.25,13.38,13.59,12.69,9.94,8.5,8.59,8.0,4.97,3.38,5.22,7.97,9.28,11.03,15.16,19.66,21.62,21.12,21.56,22.16,21.03,17.84,15.16,15.0,14.59,12.59,11.22,11.78,13.0,11.94,9.91,9.56,10.62,10.69,9.0,8.97,10.56,11.44,9.47,8.0,9.41,11.03,10.69,10.38,11.97,14.19,14.28,12.28,11.34,11.81,10.94,7.88,6.56,7.09,7.91,6.72,6.0,8.5,11.81,13.25,13.62,14.97,17.03,16.47,13.69,11.75,12.16,12.47,11.16,11.53,14.62,18.06,18.38,17.03,16.81,16.69,14.5,11.62,10.56,11.94,12.62,11.66,12.06,14.59,16.28,15.72,15.03,16.22,17.94,17.38,16.06,16.12,17.62,17.16,14.69,12.62,13.0,12.5,10.72,10.75,13.5,16.5,17.12,16.53,16.56,16.78,14.56,10.78,8.78,9.47,9.69,9.31,10.28,13.62,16.28,15.88,14.0,13.69,13.31,10.5,7.03,5.19,5.34,4.56,2.56,2.28,4.88,7.16,7.75,8.81,12.0,14.97,15.06,13.94,14.25,15.12,13.38,10.56,8.66,8.69,7.41,4.56,2.38,2.75,3.16,1.12,-0.47,0.69,2.5,2.16,0.84,0.91,2.03,1.94,1.0,1.84,5.19,8.0,8.28,8.16,10.0,11.38,10.19,8.38,9.03,10.81,10.75,9.19,9.0,9.88,9.12,6.41,3.62,3.69,3.47,1.5,-0.34,1.03,3.25,4.12,3.78,5.19,7.59,8.53,7.97,9.0,12.41,15.31,15.69,15.53,17.34,18.44,16.88,14.16,14.22,15.81,15.91,14.88,15.69,17.72,18.59,16.94,15.81,16.75,16.81,14.62,11.47,10.75,10.59,8.88,6.12,5.72,7.09,7.62,6.53,6.66,8.81,9.81,7.94,6.06,6.59,7.31,6.25,4.47,5.38,6.97,6.88,5.0,4.94,6.75,7.53,6.12,5.41,6.69,7.78,6.44,5.19,6.72,9.16,9.47,8.5,9.56,11.62,12.06,10.94,11.12,14.19,16.78,17.06,17.16,19.12,20.41,18.25,14.5,12.47,11.47,8.91,5.53,4.5,5.41,6.09,4.69,4.53,6.91,9.16,8.53,7.06,7.88,8.94,7.78,5.81,5.94,7.56,6.94,4.34,2.34,2.25,1.78,-0.78,-2.19,-0.16,2.72,3.47,3.72,5.62,8.06,8.34,6.94,6.44,7.59,7.75,5.66,4.69,6.25,7.72,6.94,6.53,8.34,11.69,12.5,12.09,13.0,15.22,15.81,14.59,14.91,17.62,20.0,19.94,20.47,23.09,25.5,23.94,20.84,18.44,16.53,12.47,7.5,5.19,5.75,5.62,3.47,2.06,2.84,2.88,0.03,-2.81,-2.81,-1.88,-2.59,-3.34,-1.62,2.16,4.28,4.38,6.03,9.88,12.41,12.38,12.0,12.72,12.66,8.66,3.5,0.22,-1.09,-3.91,-7.34,-8.19,-6.59,-6.09,-7.53,-8.75,-7.53,-7.72,-10.44,-13.59,-14.0,-12.69,-13.12,-13.12,-10.81,-6.25,-3.72,-3.03,-0.69,3.53,6.88,7.84,9.06,12.22,14.34,13.38,10.91,9.94,9.38,6.5,2.56,0.84,2.09,3.25,3.38,5.25,9.31,12.53,12.72,12.22,13.41,14.5,13.31,11.53,12.44,14.78,15.75,15.38,16.09,19.19,20.56,19.75,18.94,19.88,20.47,18.19,15.44,14.62,13.91,11.03,7.06,5.03,4.69,3.69,1.5,0.53,2.25,3.53,2.53,1.31,2.75,4.31,3.94,3.0,4.47,7.47,9.25,9.38,10.88,14.09,15.62,14.16,12.38,12.56,11.97,9.25,6.44,6.53,7.53,6.88,5.09,5.16,6.47,6.53,5.03,5.16,7.47,10.03,10.16,10.0,11.81,12.75,10.81,7.12,5.0,4.25,2.28,-0.66,-1.84,-0.78,-0.62,-2.78,-4.78,-4.16,-3.5,-5.06,-6.31,-4.41,-1.38,-0.25,0.19,2.47,6.12,8.56,8.69,9.31,12.22,13.5,12.03,9.94,9.53,9.12,5.84,2.03,0.59,0.12,-1.38,-4.03,-4.72,-3.25,-2.16,-2.88,-2.94,-0.81,1.34,1.28,0.88,3.31,6.72,7.84,7.69,8.94,11.06,11.62,10.06,9.06,9.66,9.47,6.88,4.44,4.66,5.47,4.97,4.31,5.78,7.84,7.72,5.28,3.47,3.19,2.56,0.66,0.59,3.44,7.06,8.25,8.69,10.72,12.84,12.19,9.53,8.31,7.97,6.38,3.06,1.16,1.47,1.91,-0.16,-2.0,-1.75,-1.03,-2.34,-4.75,-4.84,-3.88,-4.56,-6.69,-7.41,-6.19,-5.69,-7.41,-8.66,-7.38,-5.38,-5.66,-5.91,-3.72,-0.72,0.59,0.38,1.66,3.62,3.41,0.88,-1.09,-0.81,-0.78,-2.16,-2.94,-1.16,1.59,1.53,0.31,0.59,1.75,0.91,-1.19,-1.88,-0.78,-0.47,-2.12,-3.16,-2.12,-1.59,-4.53,-8.06,-9.78,-10.06,-11.84,-13.38,-12.38,-9.28,-7.38,-7.47,-6.47,-3.88,-1.69,-1.97,-2.22,-0.28,1.91,2.03,1.59,2.81,4.5,4.56,2.47,0.75,0.66,-0.47,-3.53,-5.25,-4.22,-2.16,-1.34,-0.78,2.62,6.31,7.97,7.94,9.94,13.09,14.81,14.94,15.47,18.34,20.25,19.88,18.81,19.28,19.34,16.25,11.78,9.25,8.28,6.03,2.91,1.72,2.84,2.84,1.38,-0.03,1.44,3.25,2.91,2.56,4.53,7.03,7.0,5.88,6.44,8.06,8.84,8.03,8.16,10.25,12.19,11.91,11.69,13.81,15.41,14.03,11.62,11.09,11.34,10.03,7.12,5.25,4.91,3.59,0.03,-3.09,-3.25,-2.59,-3.34,-3.84,-0.69,3.09,5.25,5.62,7.09,9.41,10.09,8.56,7.81,9.72,10.78,9.97,9.22,10.84,12.69,11.88,9.66,9.0,9.5,8.06,5.28,3.81,4.47,4.59,2.75,2.0,3.81,6.0,5.78,5.09,6.88,8.69,8.19,6.34,6.59,7.78,7.81,6.47,6.31,8.09,9.56,8.53,7.62,9.53,11.91,12.03,11.31,12.81,15.12,15.75,14.22,14.34,16.0,16.06,14.16,12.88,14.22,15.31,13.88,12.34,13.56,15.53,15.47,14.38,15.0,16.62,16.41,13.56,11.72,11.94,11.91,10.31,10.0,13.12,16.16,16.47,15.47,15.72,16.41,15.16,12.81,12.38,13.84,14.56,12.56,11.59,12.78,13.66,11.53,9.47,10.25,11.53,10.59,8.78,8.66,9.59,8.78,6.22,5.09,6.03,6.81,5.72,5.25,7.25,9.5,8.84,7.03,7.16,7.81,6.62,4.56,4.97,7.16,8.09,6.44,4.72,5.56,5.5,3.47,2.22,4.19,7.31,8.16,8.12,9.34,11.31,10.78,8.56,7.44,8.53,8.91,7.0,5.78,7.28,9.19,8.78,8.78,11.34,15.44,16.81,17.28,18.38,20.59,20.94,18.81,17.84,18.81,19.78,18.09,16.16,16.03,15.56,12.31,8.19,6.66,7.0,5.97,4.03,4.44,6.91,8.94,8.53,8.91,11.47,13.84,13.16,11.44,11.5,12.09,9.5,5.75,4.34,4.97,4.72,3.69,4.06,7.25,9.66,9.09,8.72,10.53,11.81,10.69,8.94,9.41,10.78,10.5,9.19,9.16,12.56,12.56,12.53,14.72,17.53,19.12,19.5,20.72,22.78,23.22,22.41,21.97,22.34,22.66,20.75,19.0,18.81,19.19,18.31,16.97,17.28,18.25,17.72,15.88,14.88,14.75,13.88,12.31:19.69,16.16,14.16,13.28,11.97,9.38,8.66,10.16,11.22,10.03,8.97,11.09,13.56,14.25,13.94,15.25,17.41,17.19,15.56,15.44,17.84,19.12,17.62,16.84,17.62,17.88,15.56,13.22,13.78,15.16,14.44,12.12,11.25,11.75,11.25,9.78,10.22,12.94,15.78,15.91,15.91,17.41,18.53,16.78,13.56,12.53,12.94,11.72,9.56,9.16,10.56,11.19,9.16,7.84,9.31,10.94,10.09,8.91,9.97,11.66,10.81,8.84,8.62,9.88,10.44,9.28,9.53,12.19,14.0,12.91,11.5,11.81,12.56,10.38,7.94,7.5,8.81,8.5,6.81,6.75,8.78,9.97,8.38,6.56,6.81,6.53,3.44,0.28,-0.12,0.78,-0.03,-1.53,-1.28,1.38,2.91,3.53,4.84,8.0,9.59,7.25,4.38,3.09,3.0,1.03,-0.91,-0.16,2.25,2.91,1.94,2.34,4.88,6.72,6.0,5.91,8.16,10.12,8.75,7.03,6.97,8.12,7.66,6.38,7.41,10.25,11.41,10.56,10.09,11.56,12.03,9.44,6.81,6.91,8.12,7.41,6.16,7.28,10.09,10.88,10.22,10.88,13.94,15.41,14.28,13.28,14.16,14.59,12.47,10.41,10.69,12.31,11.03,8.03,6.12,5.44,3.72,0.81,-0.19,2.53,5.25,5.66,6.25,9.06,11.88,11.81,11.16,12.16,14.41,14.31,12.94,12.25,13.41,12.91,10.47,8.56,9.44,10.31,9.62,8.62,10.09,12.38,12.25,11.09,11.59,13.94,15.28,15.19,16.56,19.81,21.81,20.12,17.53,16.62,15.72,12.75,9.25,8.44,9.0,8.28,6.31,6.38,9.34,11.88,12.25,12.62,14.97,16.41,15.03,13.16,14.25,16.62,17.31,16.72,17.69,19.19,18.78,15.5,13.06,13.06,13.03,10.91,9.66,11.06,13.22,13.91,13.72,15.34,17.88,18.84,17.78,18.19,20.62,21.78,20.41,19.81,21.53,23.34,22.91,22.41,24.03,26.06,26.0,23.97,23.62,23.78,22.78,19.78,17.94,18.44,18.91,17.69,16.31,17.5,18.47,16.91,14.25,13.38,13.59,12.69,9.94,8.5,8.59,8.0,4.97,3.38,5.22,7.97,9.28,11.03,15.16,19.66,21.62,21.12,21.56,22.16,21.03,17.84,15.16,15.0,14.59,12.59,11.22,11.78,13.0,11.94,9.91,9.56,10.62,10.69,9.0,8.97,10.56,11.44,9.47,8.0,9.41,11.03,10.69,10.38,11.97,14.19,14.28,12.28,11.34,11.81,10.94,7.88,6.56,7.09,7.91,6.72,6.0,8.5,11.81,13.25,13.62,14.97,17.03,16.47,13.69,11.75,12.16,12.47,11.16,11.53,14.62,18.06,18.38,17.03,16.81,16.69,14.5,11.62,10.56,11.94,12.62,11.66,12.06,14.59,16.28,15.72,15.03,16.22,17.94,17.38,16.06,16.12,17.62,17.16,14.69,12.62,13.0,12.5,10.72,10.75,13.5,16.5,17.12,16.53,16.56,16.78,14.56,10.78,8.78,9.47,9.69,9.31,10.28,13.62,16.28,15.88,14.0,13.69,13.31,10.5,7.03,5.19,5.34,4.56,2.56,2.28,4.88,7.16,7.75,8.81,12.0,14.97,15.06,13.94,14.25,15.12,13.38,10.56,8.66,8.69,7.41,4.56,2.38,2.75,3.16,1.12,-0.47,0.69,2.5,2.16,0.84,0.91,2.03,1.94,1.0,1.84,5.19,8.0,8.28,8.16,10.0,11.38,10.19,8.38,9.03,10.81,10.75,9.19,9.0,9.88,9.12,6.41,3.62,3.69,3.47,1.5,-0.34,1.03,3.25,4.12,3.78,5.19,7.59,8.53,7.97,9.0,12.41,15.31,15.69,15.53,17.34,18.44,16.88,14.16,14.22,15.81,15.91,14.88,15.69,17.72,18.59,16.94,15.81,16.75,16.81,14.62,11.47,10.75,10.59,8.88,6.12,5.72,7.09,7.62,6.53,6.66,8.81,9.81,7.94,6.06,6.59,7.31,6.25,4.47,5.38,6.97,6.88,5.0,4.94,6.75,7.53,6.12,5.41,6.69,7.78,6.44,5.19,6.72,9.16,9.47,8.5,9.56,11.62,12.06,10.94,11.12,14.19,16.78,17.06,17.16,19.12,20.41,18.25,14.5,12.47,11.47,8.91,5.53,4.5,5.41,6.09,4.69,4.53,6.91,9.16,8.53,7.06,7.88,8.94,7.78,5.81,5.94,7.56,6.94,4.34,2.34,2.25,1.78,-0.78,-2.19,-0.16,2.72,3.47,3.72,5.62,8.06,8.34,6.94,6.44,7.59,7.75,5.66,4.69,6.25,7.72,6.94,6.53,8.34,11.69,12.5,12.09,13.0,15.22,15.81,14.59,14.91,17.62,20.0,19.94,20.47,23.09,25.5,23.94,20.84,18.44,16.53,12.47,7.5,5.19,5.75,5.62,3.47,2.06,2.84,2.88,0.03,-2.81,-2.81,-1.88,-2.59,-3.34,-1.62,2.16,4.28,4.38,6.03,9.88,12.41,12.38,12.0,12.72,12.66,8.66,3.5,0.22,-1.09,-3.91,-7.34,-8.19,-6.59,-6.09,-7.53,-8.75,-7.53,-7.72,-10.44,-13.59,-14.0,-12.69,-13.12,-13.12,-10.81,-6.25,-3.72,-3.03,-0.69,3.53,6.88,7.84,9.06,12.22,14.34,13.38,10.91,9.94,9.38,6.5,2.56,0.84,2.09,3.25,3.38,5.25,9.31,12.53,12.72,12.22,13.41,14.5,13.31,11.53,12.44,14.78,15.75,15.38,16.09,19.19,20.56,19.75,18.94,19.88,20.47,18.19,15.44,14.62,13.91,11.03,7.06,5.03,4.69,3.69,1.5,0.53,2.25,3.53,2.53,1.31,2.75,4.31,3.94,3.0,4.47,7.47,9.25,9.38,10.88,14.09,15.62,14.16,12.38,12.56,11.97,9.25,6.44,6.53,7.53,6.88,5.09,5.16,6.47,6.53,5.03,5.16,7.47,10.03,10.16,10.0,11.81,12.75,10.81,7.12,5.0,4.25,2.28,-0.66,-1.84,-0.78,-0.62,-2.78,-4.78,-4.16,-3.5,-5.06,-6.31,-4.41,-1.38,-0.25,0.19,2.47,6.12,8.56,8.69,9.31,12.22,13.5,12.03,9.94,9.53,9.12,5.84,2.03,0.59,0.12,-1.38,-4.03,-4.72,-3.25,-2.16,-2.88,-2.94,-0.81,1.34,1.28,0.88,3.31,6.72,7.84,7.69,8.94,11.06,11.62,10.06,9.06,9.66,9.47,6.88,4.44,4.66,5.47,4.97,4.31,5.78,7.84,7.72,5.28,3.47,3.19,2.56,0.66,0.59,3.44,7.06,8.25,8.69,10.72,12.84,12.19,9.53,8.31,7.97,6.38,3.06,1.16,1.47,1.91,-0.16,-2.0,-1.75,-1.03,-2.34,-4.75,-4.84,-3.88,-4.56,-6.69,-7.41,-6.19,-5.69,-7.41,-8.66,-7.38,-5.38,-5.66,-5.91,-3.72,-0.72,0.59,0.38,1.66,3.62,3.41,0.88,-1.09,-0.81,-0.78,-2.16,-2.94,-1.16,1.59,1.53,0.31,0.59,1.75,0.91,-1.19,-1.88,-0.78,-0.47,-2.12,-3.16,-2.12,-1.59,-4.53,-8.06,-9.78,-10.06,-11.84,-13.38,-12.38,-9.28,-7.38,-7.47,-6.47,-3.88,-1.69,-1.97,-2.22,-0.28,1.91,2.03,1.59,2.81,4.5,4.56,2.47,0.75,0.66,-0.47,-3.53,-5.25,-4.22,-2.16,-1.34,-0.78,2.62,6.31,7.97,7.94,9.94,13.09,14.81,14.94,15.47,18.34,20.25,19.88,18.81,19.28,19.34,16.25,11.78,9.25,8.28,6.03,2.91,1.72,2.84,2.84,1.38,-0.03,1.44,3.25,2.91,2.56,4.53,7.03,7.0,5.88,6.44,8.06,8.84,8.03,8.16,10.25,12.19,11.91,11.69,13.81,15.41,14.03,11.62,11.09,11.34,10.03,7.12,5.25,4.91,3.59,0.03,-3.09,-3.25,-2.59,-3.34,-3.84,-0.69,3.09,5.25,5.62,7.09,9.41,10.09,8.56,7.81,9.72,10.78,9.97,9.22,10.84,12.69,11.88,9.66,9.0,9.5,8.06,5.28,3.81,4.47,4.59,2.75,2.0,3.81,6.0,5.78,5.09,6.88,8.69,8.19,6.34,6.59,7.78,7.81,6.47,6.31,8.09,9.56,8.53,7.62,9.53,11.91,12.03,11.31,12.81,15.12,15.75,14.22,14.34,16.0,16.06,14.16,12.88,14.22,15.31,13.88,12.34,13.56,15.53,15.47,14.38,15.0,16.62,16.41,13.56,11.72,11.94,11.91,10.31,10.0,13.12,16.16,16.47,15.47,15.72,16.41,15.16,12.81,12.38,13.84,14.56,12.56,11.59,12.78,13.66,11.53,9.47,10.25,11.53,10.59,8.78,8.66,9.59,8.78,6.22,5.09,6.03,6.81,5.72,5.25,7.25,9.5,8.84,7.03,7.16,7.81,6.62,4.56,4.97,7.16,8.09,6.44,4.72,5.56,5.5,3.47,2.22,4.19,7.31,8.16,8.12,9.34,11.31,10.78,8.56,7.44,8.53,8.91,7.0,5.78,7.28,9.19,8.78,8.78,11.34,15.44,16.81,17.28,18.38,20.59,20.94,18.81,17.84,18.81,19.78,18.09,16.16,16.03,15.56,12.31,8.19,6.66,7.0,5.97,4.03,4.44,6.91,8.94,8.53,8.91,11.47,13.84,13.16,11.44,11.5,12.09,9.5,5.75,4.34,4.97,4.72,3.69,4.06,7.25,9.66,9.09,8.72,10.53,11.81,10.69,8.94,9.41,10.78,10.5,9.19,9.16,12.56,12.56,12.53,14.72,17.53,19.12,19.5,20.72,22.78,23.22,22.41,21.97,22.34,22.66,20.75,19.0,18.81,19.19,18.31,16.97,17.28,18.25,17.72,15.88,14.88,14.75,13.88,12.31,11.41,12.25,13.88,14.5,15.56,18.16,21.19:10.16,11.22,10.03,8.97,11.09,13.56,14.25,13.94,15.25,17.41,17.19,15.56,15.44,17.84,19.12,17.62,16.84,17.62,17.88,15.56,13.22,13.78,15.16,14.44,12.12,11.25,11.75,11.25,9.78,10.22,12.94,15.78,15.91,15.91,17.41,18.53,16.78,13.56,12.53,12.94,11.72,9.56,9.16,10.56,11.19,9.16,7.84,9.31,10.94,10.09,8.91,9.97,11.66,10.81,8.84,8.62,9.88,10.44,9.28,9.53,12.19,14.0,12.91,11.5,11.81,12.56,10.38,7.94,7.5,8.81,8.5,6.81,6.75,8.78,9.97,8.38,6.56,6.81,6.53,3.44,0.28,-0.12,0.78,-0.03,-1.53,-1.28,1.38,2.91,3.53,4.84,8.0,9.59,7.25,4.38,3.09,3.0,1.03,-0.91,-0.16,2.25,2.91,1.94,2.34,4.88,6.72,6.0,5.91,8.16,10.12,8.75,7.03,6.97,8.12,7.66,6.38,7.41,10.25,11.41,10.56,10.09,11.56,12.03,9.44,6.81,6.91,8.12,7.41,6.16,7.28,10.09,10.88,10.22,10.88,13.94,15.41,14.28,13.28,14.16,14.59,12.47,10.41,10.69,12.31,11.03,8.03,6.12,5.44,3.72,0.81,-0.19,2.53,5.25,5.66,6.25,9.06,11.88,11.81,11.16,12.16,14.41,14.31,12.94,12.25,13.41,12.91,10.47,8.56,9.44,10.31,9.62,8.62,10.09,12.38,12.25,11.09,11.59,13.94,15.28,15.19,16.56,19.81,21.81,20.12,17.53,16.62,15.72,12.75,9.25,8.44,9.0,8.28,6.31,6.38,9.34,11.88,12.25,12.62,14.97,16.41,15.03,13.16,14.25,16.62,17.31,16.72,17.69,19.19,18.78,15.5,13.06,13.06,13.03,10.91,9.66,11.06,13.22,13.91,13.72,15.34,17.88,18.84,17.78,18.19,20.62,21.78,20.41,19.81,21.53,23.34,22.91,22.41,24.03,26.06,26.0,23.97,23.62,23.78,22.78,19.78,17.94,18.44,18.91,17.69,16.31,17.5,18.47,16.91,14.25,13.38,13.59,12.69,9.94,8.5,8.59,8.0,4.97,3.38,5.22,7.97,9.28,11.03,15.16,19.66,21.62,21.12,21.56,22.16,21.03,17.84,15.16,15.0,14.59,12.59,11.22,11.78,13.0,11.94,9.91,9.56,10.62,10.69,9.0,8.97,10.56,11.44,9.47,8.0,9.41,11.03,10.69,10.38,11.97,14.19,14.28,12.28,11.34,11.81,10.94,7.88,6.56,7.09,7.91,6.72,6.0,8.5,11.81,13.25,13.62,14.97,17.03,16.47,13.69,11.75,12.16,12.47,11.16,11.53,14.62,18.06,18.38,17.03,16.81,16.69,14.5,11.62,10.56,11.94,12.62,11.66,12.06,14.59,16.28,15.72,15.03,16.22,17.94,17.38,16.06,16.12,17.62,17.16,14.69,12.62,13.0,12.5,10.72,10.75,13.5,16.5,17.12,16.53,16.56,16.78,14.56,10.78,8.78,9.47,9.69,9.31,10.28,13.62,16.28,15.88,14.0,13.69,13.31,10.5,7.03,5.19,5.34,4.56,2.56,2.28,4.88,7.16,7.75,8.81,12.0,14.97,15.06,13.94,14.25,15.12,13.38,10.56,8.66,8.69,7.41,4.56,2.38,2.75,3.16,1.12,-0.47,0.69,2.5,2.16,0.84,0.91,2.03,1.94,1.0,1.84,5.19,8.0,8.28,8.16,10.0,11.38,10.19,8.38,9.03,10.81,10.75,9.19,9.0,9.88,9.12,6.41,3.62,3.69,3.47,1.5,-0.34,1.03,3.25,4.12,3.78,5.19,7.59,8.53,7.97,9.0,12.41,15.31,15.69,15.53,17.34,18.44,16.88,14.16,14.22,15.81,15.91,14.88,15.69,17.72,18.59,16.94,15.81,16.75,16.81,14.62,11.47,10.75,10.59,8.88,6.12,5.72,7.09,7.62,6.53,6.66,8.81,9.81,7.94,6.06,6.59,7.31,6.25,4.47,5.38,6.97,6.88,5.0,4.94,6.75,7.53,6.12,5.41,6.69,7.78,6.44,5.19,6.72,9.16,9.47,8.5,9.56,11.62,12.06,10.94,11.12,14.19,16.78,17.06,17.16,19.12,20.41,18.25,14.5,12.47,11.47,8.91,5.53,4.5,5.41,6.09,4.69,4.53,6.91,9.16,8.53,7.06,7.88,8.94,7.78,5.81,5.94,7.56,6.94,4.34,2.34,2.25,1.78,-0.78,-2.19,-0.16,2.72,3.47,3.72,5.62,8.06,8.34,6.94,6.44,7.59,7.75,5.66,4.69,6.25,7.72,6.94,6.53,8.34,11.69,12.5,12.09,13.0,15.22,15.81,14.59,14.91,17.62,20.0,19.94,20.47,23.09,25.5,23.94,20.84,18.44,16.53,12.47,7.5,5.19,5.75,5.62,3.47,2.06,2.84,2.88,0.03,-2.81,-2.81,-1.88,-2.59,-3.34,-1.62,2.16,4.28,4.38,6.03,9.88,12.41,12.38,12.0,12.72,12.66,8.66,3.5,0.22,-1.09,-3.91,-7.34,-8.19,-6.59,-6.09,-7.53,-8.75,-7.53,-7.72,-10.44,-13.59,-14.0,-12.69,-13.12,-13.12,-10.81,-6.25,-3.72,-3.03,-0.69,3.53,6.88,7.84,9.06,12.22,14.34,13.38,10.91,9.94,9.38,6.5,2.56,0.84,2.09,3.25,3.38,5.25,9.31,12.53,12.72,12.22,13.41,14.5,13.31,11.53,12.44,14.78,15.75,15.38,16.09,19.19,20.56,19.75,18.94,19.88,20.47,18.19,15.44,14.62,13.91,11.03,7.06,5.03,4.69,3.69,1.5,0.53,2.25,3.53,2.53,1.31,2.75,4.31,3.94,3.0,4.47,7.47,9.25,9.38,10.88,14.09,15.62,14.16,12.38,12.56,11.97,9.25,6.44,6.53,7.53,6.88,5.09,5.16,6.47,6.53,5.03,5.16,7.47,10.03,10.16,10.0,11.81,12.75,10.81,7.12,5.0,4.25,2.28,-0.66,-1.84,-0.78,-0.62,-2.78,-4.78,-4.16,-3.5,-5.06,-6.31,-4.41,-1.38,-0.25,0.19,2.47,6.12,8.56,8.69,9.31,12.22,13.5,12.03,9.94,9.53,9.12,5.84,2.03,0.59,0.12,-1.38,-4.03,-4.72,-3.25,-2.16,-2.88,-2.94,-0.81,1.34,1.28,0.88,3.31,6.72,7.84,7.69,8.94,11.06,11.62,10.06,9.06,9.66,9.47,6.88,4.44,4.66,5.47,4.97,4.31,5.78,7.84,7.72,5.28,3.47,3.19,2.56,0.66,0.59,3.44,7.06,8.25,8.69,10.72,12.84,12.19,9.53,8.31,7.97,6.38,3.06,1.16,1.47,1.91,-0.16,-2.0,-1.75,-1.03,-2.34,-4.75,-4.84,-3.88,-4.56,-6.69,-7.41,-6.19,-5.69,-7.41,-8.66,-7.38,-5.38,-5.66,-5.91,-3.72,-0.72,0.59,0.38,1.66,3.62,3.41,0.88,-1.09,-0.81,-0.78,-2.16,-2.94,-1.16,1.59,1.53,0.31,0.59,1.75,0.91,-1.19,-1.88,-0.78,-0.47,-2.12,-3.16,-2.12,-1.59,-4.53,-8.06,-9.78,-10.06,-11.84,-13.38,-12.38,-9.28,-7.38,-7.47,-6.47,-3.88,-1.69,-1.97,-2.22,-0.28,1.91,2.03,1.59,2.81,4.5,4.56,2.47,0.75,0.66,-0.47,-3.53,-5.25,-4.22,-2.16,-1.34,-0.78,2.62,6.31,7.97,7.94,9.94,13.09,14.81,14.94,15.47,18.34,20.25,19.88,18.81,19.28,19.34,16.25,11.78,9.25,8.28,6.03,2.91,1.72,2.84,2.84,1.38,-0.03,1.44,3.25,2.91,2.56,4.53,7.03,7.0,5.88,6.44,8.06,8.84,8.03,8.16,10.25,12.19,11.91,11.69,13.81,15.41,14.03,11.62,11.09,11.34,10.03,7.12,5.25,4.91,3.59,0.03,-3.09,-3.25,-2.59,-3.34,-3.84,-0.69,3.09,5.25,5.62,7.09,9.41,10.09,8.56,7.81,9.72,10.78,9.97,9.22,10.84,12.69,11.88,9.66,9.0,9.5,8.06,5.28,3.81,4.47,4.59,2.75,2.0,3.81,6.0,5.78,5.09,6.88,8.69,8.19,6.34,6.59,7.78,7.81,6.47,6.31,8.09,9.56,8.53,7.62,9.53,11.91,12.03,11.31,12.81,15.12,15.75,14.22,14.34,16.0,16.06,14.16,12.88,14.22,15.31,13.88,12.34,13.56,15.53,15.47,14.38,15.0,16.62,16.41,13.56,11.72,11.94,11.91,10.31,10.0,13.12,16.16,16.47,15.47,15.72,16.41,15.16,12.81,12.38,13.84,14.56,12.56,11.59,12.78,13.66,11.53,9.47,10.25,11.53,10.59,8.78,8.66,9.59,8.78,6.22,5.09,6.03,6.81,5.72,5.25,7.25,9.5,8.84,7.03,7.16,7.81,6.62,4.56,4.97,7.16,8.09,6.44,4.72,5.56,5.5,3.47,2.22,4.19,7.31,8.16,8.12,9.34,11.31,10.78,8.56,7.44,8.53,8.91,7.0,5.78,7.28,9.19,8.78,8.78,11.34,15.44,16.81,17.28,18.38,20.59,20.94,18.81,17.84,18.81,19.78,18.09,16.16,16.03,15.56,12.31,8.19,6.66,7.0,5.97,4.03,4.44,6.91,8.94,8.53,8.91,11.47,13.84,13.16,11.44,11.5,12.09,9.5,5.75,4.34,4.97,4.72,3.69,4.06,7.25,9.66,9.09,8.72,10.53,11.81,10.69,8.94,9.41,10.78,10.5,9.19,9.16,12.56,12.56,12.53,14.72,17.53,19.12,19.5,20.72,22.78,23.22,22.41,21.97,22.34,22.66,20.75,19.0,18.81,19.19,18.31,16.97,17.28,18.25,17.72,15.88,14.88,14.75,13.88,12.31,11.41,12.25,13.88,14.5,15.56,18.16,21.19,22.0,20.59,19.81,19.53,18.94,17.28,17.34:positivity
7.06,7.81,6.81,5.59,4.88,4.53,3.47,2.44,2.56,3.94,4.72,5.31,6.28,8.25,10.03,10.94,11.75,13.16,13.84,13.19,11.91,11.12,10.25,8.06,4.91,2.44,0.19,-1.94,-4.0,-4.62,-3.06,-1.53,-0.41,0.78,2.62,4.34,4.75,4.88,5.16,5.69,5.34,4.97,4.88,5.41,5.22,4.47,3.78,4.06,4.09,3.75,3.16,3.84,4.84,4.88,4.09,3.22,2.03,-0.69,-3.97,-6.5,-7.22,-7.56,-7.44,-6.28,-3.25,-0.22,2.38,4.59,7.16,9.41,10.25,10.03,10.44,11.56,12.19,12.5,13.44,15.31,16.88,17.62,18.44,19.56,19.88,18.47,16.16,14.16,12.53,10.53,8.88,9.16,10.84,12.0,12.66,13.44,14.06,14.31,13.5,12.94,13.91,15.25,15.84,16.56,18.09,19.59,20.41,20.66,20.97,21.34,20.62,18.81,17.41,17.59,18.0,17.41,16.25,14.84,12.53,9.38,6.03,4.0,3.22,2.72,1.59,0.88,1.28,0.81,-0.19,-0.28,1.03,3.12,4.94,6.5,8.78,10.47,11.06,10.69,11.03,11.91,12.44,12.19,12.06,12.66,12.5,11.25,9.84,9.41,8.78,7.19,5.31,4.62,4.53,4.06,3.53,3.84,4.75,5.66,6.34,7.62,9.88,11.66,12.5,13.12,14.47,15.75,16.19,15.91,15.81,15.66,15.25,14.44,13.91,13.97,13.94,12.44,10.69,9.56,8.38,6.31,4.03,3.19,3.12,2.72,2.47,3.28,4.62,5.56,5.84,6.94,8.94,10.84,12.19,13.31,14.91,16.09,16.09,15.69,15.75,16.16,16.12,15.5,15.78,16.88,17.47,17.44,17.5,18.19,18.66,18.41,18.03,18.44,18.16,17.41,15.75,14.69,14.38,14.12,13.47,13.5,14.34,14.41,13.84,14.06,15.09,16.56,17.19,17.5,18.03,18.12,17.78,16.56,16.31,16.19,15.88,14.81,13.78,13.75,13.72,12.66,12.19,12.91,13.69,13.81,13.66,14.16,14.62,14.09,13.41,13.31,13.91,15.31,16.41,17.84,20.0,21.53,21.81,21.19,20.69,20.28,19.22,18.47,18.62,19.38,19.66,18.91,18.5,17.78,16.97,15.03,13.38,12.66,11.97,10.5,9.31,9.12,9.66,9.78,9.88,10.75,12.19,13.09,12.84,13.06,13.62,13.91,12.91,12.59,12.88,13.38,13.0,12.94,13.56,14.53,14.81,14.75,14.78,14.84,13.94,11.5,9.25,7.59,6.06,4.38,3.56,3.97,5.12,5.53,6.09,7.34,8.75,9.75,10.19,11.34,12.41,12.84,12.78,12.72,13.62,14.94,15.88,17.47,19.22,20.47,20.06,18.25,16.22,14.19,11.75,9.34,7.94,7.25,7.03,6.03,5.25,4.81,4.47,3.31,2.12,1.66,2.31,2.88,3.75,5.75,8.94,12.09,14.81,17.34,19.78,21.25,20.97,20.03,18.84,17.78,15.97,13.91,12.38,11.56,10.47,9.12,8.31,8.5,8.81,9.12,10.0,12.06,14.16,15.31,15.97,16.78,17.56,17.38,17.16,17.38,17.75,17.69,17.25,17.12,17.69,17.91,17.5,17.03,17.16,17.47,16.94,16.53,16.59,16.97,17.12,17.19,18.16,20.28,21.94,22.53,23.34,23.84,23.5,21.66,19.16,17.0,14.47,10.97,8.28,7.03,7.16,7.44,7.81,8.25,8.5,7.88,6.69,5.66,5.44,5.78,6.12,6.72,8.16,10.44,12.38,14.66,17.34,20.53,22.78,23.84,24.19,24.5,24.06,22.47,21.5,21.66,22.22,22.31,22.44,23.06,23.59,23.62,23.12,22.97,23.22,22.81,21.88,20.94,21.31,22.03,22.84,24.47,27.19,29.31,29.81,28.88,27.41,25.34,23.25,20.97,19.0,17.62,15.56,12.44,9.81,9.03,8.91,8.88,9.53,11.25,13.75,15.75,18.38,21.59,25.44,28.94,30.91,32.25,33.34,33.25,31.75,29.44,27.66,25.16,21.56,18.19,16.75,16.47,16.47,16.88,17.53,18.25,17.97,16.91,15.72,15.75,15.69,15.5,15.16,16.03,17.44,18.03,19.0,20.91,23.19,24.56,24.91,24.94,24.75,23.72,21.97,20.88,20.41,20.12,19.69,18.81,18.88,19.19,19.0,18.66,19.0,19.78,20.44,20.06,20.03,20.34,20.0,19.09,18.09,18.97,19.72,20.28,20.69,21.84,22.78,23.22,23.28,24.03,25.53,26.44,26.94,27.47,28.31,28.94,28.75,28.03,27.66,26.84,24.91,22.25,20.88,20.31,19.81,19.47,19.62,20.25,20.59,20.19,20.34,21.69,22.81,22.91,22.12,22.22,22.34,22.38,22.31,23.47,24.88,26.16,26.41,26.56,27.72,28.91,29.0,29.12,30.38,30.84,30.44,29.84,30.62,31.88,33.25,34.31,36.22,38.31,39.47,39.75,39.56,39.75,39.03,37.19,35.03,33.38,31.56,28.88,25.97,24.31,23.28,22.0,20.44,19.69,19.22,18.84,17.72,16.91,17.91,19.31,20.06,20.97,22.72,24.94,26.19,26.81,28.5,30.31,31.47,31.69,32.31,32.91,32.75,31.78,30.91,31.38,32.31,33.0,33.25,34.25,35.09,35.25,34.66,34.56,34.47,33.19,30.03,26.84,24.25,21.69,19.06,17.19,16.44,16.88,16.5,16.12,16.81,18.38,19.88,21.03,23.44,26.69,29.66,31.53,33.09,34.59,36.03,35.81,35.5,36.03,37.0,36.62,35.44,34.53,33.81,32.0,29.78,28.25,28.09,28.0,27.28,27.16,28.0,28.38,27.88,27.47,28.09,29.53,30.19,31.03,32.19,33.81,34.41,34.47,34.66,35.66,36.69,36.34,36.44,36.59,36.03,33.69,30.31,26.97,24.44,21.66,19.66,19.41,20.94,23.22,24.59,26.5,28.81,30.53,30.22,30.06,30.28,30.44,30.06,30.06,31.03,32.81,33.84,34.44,35.47,37.03,38.22,38.28,38.12,37.97,37.03,34.44,32.16,30.59,30.31,29.56,28.78,28.66,28.88,28.19,26.66,25.28,24.88,24.69,23.97,24.03,25.72,27.78,28.88,29.84,31.44,33.06,33.47,33.41,33.5,34.22,34.12,32.94,31.94,31.25,30.16,27.81,25.75,25.12,24.84,24.0,23.34,23.62,24.56,24.72,24.41,24.84,26.34,26.97,26.84,26.91,27.72,28.34,28.09,28.09,29.44,31.16,31.56,31.41,31.56,31.88,30.72,28.91,27.72,27.06,26.41,24.88,23.56,23.53,23.56,22.38,21.31,21.25,21.81,22.03,22.53,24.25,27.06,28.81,29.72,30.16,30.88,30.34,28.03,25.97,24.69,23.84,22.62,21.5,21.59,22.28,22.12,21.47,21.75,23.09,23.59,23.75,24.12,24.91,25.5,25.12,24.91,25.5,26.75,27.19,27.5,28.75,30.81,32.12,32.81,32.97,32.91,31.34,28.28,25.12,23.28,22.28,20.81,20.47,21.06,21.88,21.41,20.22,19.78,20.28,20.66,21.22,22.94,25.88,27.84,28.94,29.62,31.69,33.66,34.88,36.28,38.72,40.5,40.59,39.44,37.59,36.06,33.62,30.78,28.97,27.78,27.19,25.56,24.38,24.38,24.69,24.47,24.38,25.03,25.75,25.41,24.09,23.59,23.72,23.56,23.12,23.09,23.66,24.03,23.62,23.19,24.09,25.19,25.88,26.19,26.84,27.38,26.38,23.81,22.06,20.97,19.72,17.91,16.38,16.31,15.88,15.22,14.81,15.97,17.31,18.0,18.41,19.12,20.03,19.72,18.19,17.03,17.81,19.0,20.47,22.53,25.84,27.88,28.06,27.34,27.22,27.22,26.69,25.5,24.66,24.38,23.25,20.97,19.56,19.31,19.22,18.53,18.53,20.06,21.25,22.0,22.34,23.56,25.25,26.22,26.69,27.75,28.91,28.75,26.84,24.69,23.16,21.0,18.25,16.59,16.91,17.75,18.12,18.44,19.81,21.03,21.72,22.53,23.88,25.5,26.88,27.31,27.66,28.56,29.06,28.41,27.09,26.75,27.0,26.34,25.19,24.69,24.25,23.09,20.97,19.19,18.38,17.03,14.91,13.78,13.72,14.16,14.34,15.06,16.94,19.19,21.19,22.44,24.28,26.03,26.56,25.81,25.03,24.59,23.56,21.78,20.59,20.91,21.53,21.69,22.0,22.81,23.97,24.06,23.44,23.19,23.56,23.44,22.94,23.22,24.62,26.22,26.75,26.81,27.31,27.25,26.47,25.19,24.97,25.5,25.72,25.5,26.03,26.81,26.72,25.22,23.59,22.62,21.59,20.06,19.28,20.16,21.16,21.44,21.0,20.88,20.84,20.66,19.91,19.94,20.72,21.47,21.06,21.19,22.38,23.72,24.81,25.72,27.16,28.06,27.72,26.16,24.47,22.88,21.25,19.19,17.5,16.16,14.59,12.06,9.53,8.97,9.47,10.53,12.22,15.03,17.5,19.06,19.22,19.59,19.91,20.12,19.69,20.06,21.34,22.62,23.12,23.19,23.78,24.0,23.25,21.25,19.72,18.09,15.72,12.88,10.5,8.97,8.12,6.69,6.22,7.38,9.59,11.38,13.56,16.66,19.84,21.53,22.25,22.62,22.44,21.28,19.31,17.66,16.34,15.5,13.41,11.81,10.94,10.53,9.81,9.06,8.91,8.81,8.25,7.59,8.12,9.75,12.0,14.16,16.56,19.84,22.69,23.41,23.09,22.66,21.94,20.56,19.88,20.81,22.69,23.84,23.81,23.44,22.09,20.09,17.09,14.66,13.19,12.5,11.22,10.31,10.16,11.09,11.41,11.75,12.88,14.66,15.53,15.69,16.0,15.75,14.84,12.91,11.16,10.31,10.53,10.69,10.94,11.69,12.56,11.88,10.66,9.75,9.56,9.16,8.31:2.44,2.56,3.94,4.72,5.31,6.28,8.25,10.03,10.94,11.75,13.16,13.84,13.19,11.91,11.12,10.25,8.06,4.91,2.44,0.19,-1.94,-4.0,-4.62,-3.06,-1.53,-0.41,0.78,2.62,4.34,4.75,4.88,5.16,5.69,5.34,4.97,4.88,5.41,5.22,4.47,3.78,4.06,4.09,3.75,3.16,3.84,4.84,4.88,4.09,3.22,2.03,-0.69,-3.97,-6.5,-7.22,-7.56,-7.44,-6.28,-3.25,-0.22,2.38,4.59,7.16,9.41,10.25,10.03,10.44,11.56,12.19,12.5,13.44,15.31,16.88,17.62,18.44,19.56,19.88,18.47,16.16,14.16,12.53,10.53,8.88,9.16,10.84,12.0,12.66,13.44,14.06,14.31,13.5,12.94,13.91,15.25,15.84,16.56,18.09,19.59,20.41,20.66,20.97,21.34,20.62,18.81,17.41,17.59,18.0,17.41,16.25,14.84,12.53,9.38,6.03,4.0,3.22,2.72,1.59,0.88,1.28,0.81,-0.19,-0.28,1.03,3.12,4.94,6.5,8.78,10.47,11.06,10.69,11.03,11.91,12.44,12.19,12.06,12.66,12.5,11.25,9.84,9.41,8.78,7.19,5.31,4.62,4.53,4.06,3.53,3.84,4.75,5.66,6.34,7.62,9.88,11.66,12.5,13.12,14.47,15.75,16.19,15.91,15.81,15.66,15.25,14.44,13.91,13.97,13.94,12.44,10.69,9.56,8.38,6.31,4.03,3.19,3.12,2.72,2.47,3.28,4.62,5.56,5.84,6.94,8.94,10.84,12.19,13.31,14.91,16.09,16.09,15.69,15.75,16.16,16.12,15.5,15.78,16.88,17.47,17.44,17.5,18.19,18.66,18.41,18.03,18.44,18.16,17.41,15.75,14.69,14.38,14.12,13.47,13.5,14.34,14.41,13.84,14.06,15.09,16.56,17.19,17.5,18.03,18.12,17.78,16.56,16.31,16.19,15.88,14.81,13.78,13.75,13.72,12.66,12.19,12.91,13.69,13.81,13.66,14.16,14.62,14.09,13.41,13.31,13.91,15.31,16.41,17.84,20.0,21.53,21.81,21.19,20.69,20.28,19.22,18.47,18.62,19.38,19.66,18.91,18.5,17.78,16.97,15.03,13.38,12.66,11.97,10.5,9.31,9.12,9.66,9.78,9.88,10.75,12.19,13.09,12.84,13.06,13.62,13.91,12.91,12.59,12.88,13.38,13.0,12.94,13.56,14.53,14.81,14.75,14.78,14.84,13.94,11.5,9.25,7.59,6.06,4.38,3.56,3.97,5.12,5.53,6.09,7.34,8.75,9.75,10.19,11.34,12.41,12.84,12.78,12.72,13.62,14.94,15.88,17.47,19.22,20.47,20.06,18.25,16.22,14.19,11.75,9.34,7.94,7.25,7.03,6.03,5.25,4.81,4.47,3.31,2.12,1.66,2.31,2.88,3.75,5.75,8.94,12.09,14.81,17.34,19.78,21.25,20.97,20.03,18.84,17.78,15.97,13.91,12.38,11.56,10.47,9.12,8.31,8.5,8.81,9.12,10.0,12.06,14.16,15.31,15.97,16.78,17.56,17.38,17.16,17.38,17.75,17.69,17.25,17.12,17.69,17.91,17.5,17.03,17.16,17.47,16.94,16.53,16.59,16.97,17.12,17.19,18.16,20.28,21.94,22.53,23.34,23.84,23.5,21.66,19.16,17.0,14.47,10.97,8.28,7.03,7.16,7.44,7.81,8.25,8.5,7.88,6.69,5.66,5.44,5.78,6.12,6.72,8.16,10.44,12.38,14.66,17.34,20.53,22.78,23.84,24.19,24.5,24.06,22.47,21.5,21.66,22.22,22.31,22.44,23.06,23.59,23.62,23.12,22.97,23.22,22.81,21.88,20.94,21.31,22.03,22.84,24.47,27.19,29.31,29.81,28.88,27.41,25.34,23.25,20.97,19.0,17.62,15.56,12.44,9.81,9.03,8.91,8.88,9.53,11.25,13.75,15.75,18.38,21.59,25.44,28.94,30.91,32.25,33.34,33.25,31.75,29.44,27.66,25.16,21.56,18.19,16.75,16.47,16.47,16.88,17.53,18.25,17.97,16.91,15.72,15.75,15.69,15.5,15.16,16.03,17.44,18.03,19.0,20.91,23.19,24.56,24.91,24.94,24.75,23.72,21.97,20.88,20.41,20.12,19.69,18.81,18.88,19.19,19.0,18.66,19.0,19.78,20.44,20.06,20.03,20.34,20.0,19.09,18.09,18.97,19.72,20.28,20.69,21.84,22.78,23.22,23.28,24.03,25.53,26.44,26.94,27.47,28.31,28.94,28.75,28.03,27.66,26.84,24.91,22.25,20.88,20.31,19.81,19.47,19.62,20.25,20.59,20.19,20.34,21.69,22.81,22.91,22.12,22.22,22.34,22.38,22.31,23.47,24.88,26.16,26.41,26.56,27.72,28.91,29.0,29.12,30.38,30.84,30.44,29.84,30.62,31.88,33.25,34.31,36.22,38.31,39.47,39.75,39.56,39.75,39.03,37.19,35.03,33.38,31.56,28.88,25.97,24.31,23.28,22.0,20.44,19.69,19.22,18.84,17.72,16.91,17.91,19.31,20.06,20.97,22.72,24.94,26.19,26.81,28.5,30.31,31.47,31.69,32.31,32.91,32.75,31.78,30.91,31.38,32.31,33.0,33.25,34.25,35.09,35.25,34.66,34.56,34.47,33.19,30.03,26.84,24.25,21.69,19.06,17.19,16.44,16.88,16.5,16.12,16.81,18.38,19.88,21.03,23.44,26.69,29.66,31.53,33.09,34.59,36.03,35.81,35.5,36.03,37.0,36.62,35.44,34.53,33.81,32.0,29.78,28.25,28.09,28.0,27.28,27.16,28.0,28.38,27.88,27.47,28.09,29.53,30.19,31.03,32.19,33.81,34.41,34.47,34.66,35.66,36.69,36.34,36.44,36.59,36.03,33.69,30.31,26.97,24.44,21.66,19.66,19.41,20.94,23.22,24.59,26.5,28.81,30.53,30.22,30.06,30.28,30.44,30.06,30.06,31.03,32.81,33.84,34.44,35.47,37.03,38.22,38.28,38.12,37.97,37.03,34.44,32.16,30.59,30.31,29.56,28.78,28.66,28.88,28.19,26.66,25.28,24.88,24.69,23.97,24.03,25.72,27.78,28.88,29.84,31.44,33.06,33.47,33.41,33.5,34.22,34.12,32.94,31.94,31.25,30.16,27.81,25.75,25.12,24.84,24.0,23.34,23.62,24.56,24.72,24.41,24.84,26.34,26.97,26.84,26.91,27.72,28.34,28.09,28.09,29.44,31.16,31.56,31.41,31.56,31.88,30.72,28.91,27.72,27.06,26.41,24.88,23.56,23.53,23.56,22.38,21.31,21.25,21.81,22.03,22.53,24.25,27.06,28.81,29.72,30.16,30.88,30.34,28.03,25.97,24.69,23.84,22.62,21.5,21.59,22.28,22.12,21.47,21.75,23.09,23.59,23.75,24.12,24.91,25.5,25.12,24.91,25.5,26.75,27.19,27.5,28.75,30.81,32.12,32.81,32.97,32.91,31.34,28.28,25.12,23.28,22.28,20.81,20.47,21.06,21.88,21.41,20.22,19.78,20.28,20.66,21.22,22.94,25.88,27.84,28.94,29.62,31.69,33.66,34.88,36.28,38.72,40.5,40.59,39.44,37.59,36.06,33.62,30.78,28.97,27.78,27.19,25.56,24.38,24.38,24.69,24.47,24.38,25.03,25.75,25.41,24.09,23.59,23.72,23.56,23.12,23.09,23.66,24.03,23.62,23.19,24.09,25.19,25.88,26.19,26.84,27.38,26.38,23.81,22.06,20.97,19.72,17.91,16.38,16.31,15.88,15.22,14.81,15.97,17.31,18.0,18.41,19.12,20.03,19.72,18.19,17.03,17.81,19.0,20.47,22.53,25.84,27.88,28.06,27.34,27.22,27.22,26.69,25.5,24.66,24.38,23.25,20.97,19.56,19.31,19.22,18.53,18.53,20.06,21.25,22.0,22.34,23.56,25.25,26.22,26.69,27.75,28.91,28.75,26.84,24.69,23.16,21.0,18.25,16.59,16.91,17.75,18.12,18.44,19.81,21.03,21.72,22.53,23.88,25.5,26.88,27.31,27.66,28.56,29.06,28.41,27.09,26.75,27.0,26.34,25.19,24.69,24.25,23.09,20.97,19.19,18.38,17.03,14.91,13.78,13.72,14.16,14.34,15.06,16.94,19.19,21.19,22.44,24.28,26.03,26.56,25.81,25.03,24.59,23.56,21.78,20.59,20.91,21.53,21.69,22.0,22.81,23.97,24.06,23.44,23.19,23.56,23.44,22.94,23.22,24.62,26.22,26.75,26.81,27.31,27.25,26.47,25.19,24.97,25.5,25.72,25.5,26.03,26.81,26.72,25.22,23.59,22.62,21.59,20.06,19.28,20.16,21.16,21.44,21.0,20.88,20.84,20.66,19.91,19.94,20.72,21.47,21.06,21.19,22.38,23.72,24.81,25.72,27.16,28.06,27.72,26.16,24.47,22.88,21.25,19.19,17.5,16.16,14.59,12.06,9.53,8.97,9.47,10.53,12.22,15.03,17.5,19.06,19.22,19.59,19.91,20.12,19.69,20.06,21.34,22.62,23.12,23.19,23.78,24.0,23.25,21.25,19.72,18.09,15.72,12.88,10.5,8.97,8.12,6.69,6.22,7.38,9.59,11.38,13.56,16.66,19.84,21.53,22.25,22.62,22.44,21.28,19.31,17.66,16.34,15.5,13.41,11.81,10.94,10.53,9.81,9.06,8.91,8.81,8.25,7.59,8.12,9.75,12.0,14.16,16.56,19.84,22.69,23.41,23.09,22.66,21.94,20.56,19.88,20.81,22.69,23.84,23.81,23.44,22.09,20.09,17.09,14.66,13.19,12.5,11.22,10.31,10.16,11.09,11.41,11.75,12.88,14.66,15.53,15.69,16.0,15.75,14.84,12.91,11.16,10.31,10.53,10.69,10.94,11.69,12.56,11.88,10.66,9.75,9.56,9.16,8.31,38.03,38.06,37.28,35.81,34.16,32.81,32.12:10.03,10.94,11.75,13.16,13.84,13.19,11.91,11.12,10.25,8.06,4.91,2.44,0.19,-1.94,-4.0,-4.62,-3.06,-1.53,-0.41,0.78,2.62,4.34,4.75,4.88,5.16,5.69,5.34,4.97,4.88,5.41,5.22,4.47,3.78,4.06,4.09,3.75,3.16,3.84,4.84,4.88,4.09,3.22,2.03,-0.69,-3.97,-6.5,-7.22,-7.56,-7.44,-6.28,-3.25,-0.22,2.38,4.59,7.16,9.41,10.25,10.03,10.44,11.56,12.19,12.5,13.44,15.31,16.88,17.62,18.44,19.56,19.88,18.47,16.16,14.16,12.53,10.53,8.88,9.16,10.84,12.0,12.66,13.44,14.06,14.31,13.5,12.94,13.91,15.25,15.84,16.56,18.09,19.59,20.41,20.66,20.97,21.34,20.62,18.81,17.41,17.59,18.0,17.41,16.25,14.84,12.53,9.38,6.03,4.0,3.22,2.72,1.59,0.88,1.28,0.81,-0.19,-0.28,1.03,3.12,4.94,6.5,8.78,10.47,11.06,10.69,11.03,11.91,12.44,12.19,12.06,12.66,12.5,11.25,9.84,9.41,8.78,7.19,5.31,4.62,4.53,4.06,3.53,3.84,4.75,5.66,6.34,7.62,9.88,11.66,12.5,13.12,14.47,15.75,16.19,15.91,15.81,15.66,15.25,14.44,13.91,13.97,13.94,12.44,10.69,9.56,8.38,6.31,4.03,3.19,3.12,2.72,2.47,3.28,4.62,5.56,5.84,6.94,8.94,10.84,12.19,13.31,14.91,16.09,16.09,15.69,15.75,16.16,16.12,15.5,15.78,16.88,17.47,17.44,17.5,18.19,18.66,18.41,18.03,18.44,18.16,17.41,15.75,14.69,14.38,14.12,13.47,13.5,14.34,14.41,13.84,14.06,15.09,16.56,17.19,17.5,18.03,18.12,17.78,16.56,16.31,16.19,15.88,14.81,13.78,13.75,13.72,12.66,12.19,12.91,13.69,13.81,13.66,14.16,14.62,14.09,13.41,13.31,13.91,15.31,16.41,17.84,20.0,21.53,21.81,21.19,20.69,20.28,19.22,18.47,18.62,19.38,19.66,18.91,18.5,17.78,16.97,15.03,13.38,12.66,11.97,10.5,9.31,9.12,9.66,9.78,9.88,10.75,12.19,13.09,12.84,13.06,13.62,13.91,12.91,12.59,12.88,13.38,13.0,12.94,13.56,14.53,14.81,14.75,14.78,14.84,13.94,11.5,9.25,7.59,6.06,4.38,3.56,3.97,5.12,5.53,6.09,7.34,8.75,9.75,10.19,11.34,12.41,12.84,12.78,12.72,13.62,14.94,15.88,17.47,19.22,20.47,20.06,18.25,16.22,14.19,11.75,9.34,7.94,7.25,7.03,6.03,5.25,4.81,4.47,3.31,2.12,1.66,2.31,2.88,3.75,5.75,8.94,12.09,14.81,17.34,19.78,21.25,20.97,20.03,18.84,17.78,15.97,13.91,12.38,11.56,10.47,9.12,8.31,8.5,8.81,9.12,10.0,12.06,14.16,15.31,15.97,16.78,17.56,17.38,17.16,17.38,17.75,17.69,17.25,17.12,17.69,17.91,17.5,17.03,17.16,17.47,16.94,16.53,16.59,16.97,17.12,17.19,18.16,20.28,21.94,22.53,23.34,23.84,23.5,21.66,19.16,17.0,14.47,10.97,8.28,7.03,7.16,7.44,7.81,8.25,8.5,7.88,6.69,5.66,5.44,5.78,6.12,6.72,8.16,10.44,12.38,14.66,17.34,20.53,22.78,23.84,24.19,24.5,24.06,22.47,21.5,21.66,22.22,22.31,22.44,23.06,23.59,23.62,23.12,22.97,23.22,22.81,21.88,20.94,21.31,22.03,22.84,24.47,27.19,29.31,29.81,28.88,27.41,25.34,23.25,20.97,19.0,17.62,15.56,12.44,9.81,9.03,8.91,8.88,9.53,11.25,13.75,15.75,18.38,21.59,25.44,28.94,30.91,32.25,33.34,33.25,31.75,29.44,27.66,25.16,21.56,18.19,16.75,16.47,16.47,16.88,17.53,18.25,17.97,16.91,15.72,15.75,15.69,15.5,15.16,16.03,17.44,18.03,19.0,20.91,23.19,24.56,24.91,24.94,24.75,23.72,21.97,20.88,20.41,20.12,19.69,18.81,18.88,19.19,19.0,18.66,19.0,19.78,20.44,20.06,20.03,20.34,20.0,19.09,18.09,18.97,19.72,20.28,20.69,21.84,22.78,23.22,23.28,24.03,25.53,26.44,26.94,27.47,28.31,28.94,28.75,28.03,27.66,26.84,24.91,22.25,20.88,20.31,19.81,19.47,19.62,20.25,20.59,20.19,20.34,21.69,22.81,22.91,22.12,22.22,22.34,22.38,22.31,23.47,24.88,26.16,26.41,26.56,27.72,28.91,29.0,29.12,30.38,30.84,30.44,29.84,30.62,31.88,33.25,34.31,36.22,38.31,39.47,39.75,39.56,39.75,39.03,37.19,35.03,33.38,31.56,28.88,25.97,24.31,23.28,22.0,20.44,19.69,19.22,18.84,17.72,16.91,17.91,19.31,20.06,20.97,22.72,24.94,26.19,26.81,28.5,30.31,31.47,31.69,32.31,32.91,32.75,31.78,30.91,31.38,32.31,33.0,33.25,34.25,35.09,35.25,34.66,34.56,34.47,33.19,30.03,26.84,24.25,21.69,19.06,17.19,16.44,16.88,16.5,16.12,16.81,18.38,19.88,21.03,23.44,26.69,29.66,31.53,33.09,34.59,36.03,35.81,35.5,36.03,37.0,36.62,35.44,34.53,33.81,32.0,29.78,28.25,28.09,28.0,27.28,27.16,28.0,28.38,27.88,27.47,28.09,29.53,30.19,31.03,32.19,33.81,34.41,34.47,34.66,35.66,36.69,36.34,36.44,36.59,36.03,33.69,30.31,26.97,24.44,21.66,19.66,19.41,20.94,23.22,24.59,26.5,28.81,30.53,30.22,30.06,30.28,30.44,30.06,30.06,31.03,32.81,33.84,34.44,35.47,37.03,38.22,38.28,38.12,37.97,37.03,34.44,32.16,30.59,30.31,29.56,28.78,28.66,28.88,28.19,26.66,25.28,24.88,24.69,23.97,24.03,25.72,27.78,28.88,29.84,31.44,33.06,33.47,33.41,33.5,34.22,34.12,32.94,31.94,31.25,30.16,27.81,25.75,25.12,24.84,24.0,23.34,23.62,24.56,24.72,24.41,24.84,26.34,26.97,26.84,26.91,27.72,28.34,28.09,28.09,29.44,31.16,31.56,31.41,31.56,31.88,30.72,28.91,27.72,27.06,26.41,24.88,23.56,23.53,23.56,22.38,21.31,21.25,21.81,22.03,22.53,24.25,27.06,28.81,29.72,30.16,30.88,30.34,28.03,25.97,24.69,23.84,22.62,21.5,21.59,22.28,22.12,21.47,21.75,23.09,23.59,23.75,24.12,24.91,25.5,25.12,24.91,25.5,26.75,27.19,27.5,28.75,30.81,32.12,32.81,32.97,32.91,31.34,28.28,25.12,23.28,22.28,20.81,20.47,21.06,21.88,21.41,20.22,19.78,20.28,20.66,21.22,22.94,25.88,27.84,28.94,29.62,31.69,33.66,34.88,36.28,38.72,40.5,40.59,39.44,37.59,36.06,33.62,30.78,28.97,27.78,27.19,25.56,24.38,24.38,24.69,24.47,24.38,25.03,25.75,25.41,24.09,23.59,23.72,23.56,23.12,23.09,23.66,24.03,23.62,23.19,24.09,25.19,25.88,26.19,26.84,27.38,26.38,23.81,22.06,20.97,19.72,17.91,16.38,16.31,15.88,15.22,14.81,15.97,17.31,18.0,18.41,19.12,20.03,19.72,18.19,17.03,17.81,19.0,20.47,22.53,25.84,27.88,28.06,27.34,27.22,27.22,26.69,25.5,24.66,24.38,23.25,20.97,19.56,19.31,19.22,18.53,18.53,20.06,21.25,22.0,22.34,23.56,25.25,26.22,26.69,27.75,28.91,28.75,26.84,24.69,23.16,21.0,18.25,16.59,16.91,17.75,18.12,18.44,19.81,21.03,21.72,22.53,23.88,25.5,26.88,27.31,27.66,28.56,29.06,28.41,27.09,26.75,27.0,26.34,25.19,24.69,24.25,23.09,20.97,19.19,18.38,17.03,14.91,13.78,13.72,14.16,14.34,15.06,16.94,19.19,21.19,22.44,24.28,26.03,26.56,25.81,25.03,24.59,23.56,21.78,20.59,20.91,21.53,21.69,22.0,22.81,23.97,24.06,23.44,23.19,23.56,23.44,22.94,23.22,24.62,26.22,26.75,26.81,27.31,27.25,26.47,25.19,24.97,25.5,25.72,25.5,26.03,26.81,26.72,25.22,23.59,22.62,21.59,20.06,19.28,20.16,21.16,21.44,21.0,20.88,20.84,20.66,19.91,19.94,20.72,21.47,21.06,21.19,22.38,23.72,24.81,25.72,27.16,28.06,27.72,26.16,24.47,22.88,21.25,19.19,17.5,16.16,14.59,12.06,9.53,8.97,9.47,10.53,12.22,15.03,17.5,19.06,19.22,19.59,19.91,20.12,19.69,20.06,21.34,22.62,23.12,23.19,23.78,24.0,23.25,21.25,19.72,18.09,15.72,12.88,10.5,8.97,8.12,6.69,6.22,7.38,9.59,11.38,13.56,16.66,19.84,21.53,22.25,22.62,22.44,21.28,19.31,17.66,16.34,15.5,13.41,11.81,10.94,10.53,9.81,9.06,8.91,8.81,8.25,7.59,8.12,9.75,12.0,14.16,16.56,19.84,22.69,23.41,23.09,22.66,21.94,20.56,19.88,20.81,22.69,23.84,23.81,23.44,22.09,20.09,17.09,14.66,13.19,12.5,11.22,10.31,10.16,11.09,11.41,11.75,12.88,14.66,15.53,15.69,16.0,15.75,14.84,12.91,11.16,10.31,10.53,10.69,10.94,11.69,12.56,11.88,10.66,9.75,9.56,9.16,8.31,38.03,38.06,37.28,35.81,34.16,32.81,32.12,31.81,32.34,34.12,36.03,38.25,40.47,42.62:11.12,10.25,8.06,4.91,2.44,0.19,-1.94,-4.0,-4.62,-3.06,-1.53,-0.41,0.78,2.62,4.34,4.75,4.88,5.16,5.69,5.34,4.97,4.88,5.41,5.22,4.47,3.78,4.06,4.09,3.75,3.16,3.84,4.84,4.88,4.09,3.22,2.03,-0.69,-3.97,-6.5,-7.22,-7.56,-7.44,-6.28,-3.25,-0.22,2.38,4.59,7.16,9.41,10.25,10.03,10.44,11.56,12.19,12.5,13.44,15.31,16.88,17.62,18.44,19.56,19.88,18.47,16.16,14.16,12.53,10.53,8.88,9.16,10.84,12.0,12.66,13.44,14.06,14.31,13.5,12.94,13.91,15.25,15.84,16.56,18.09,19.59,20.41,20.66,20.97,21.34,20.62,18.81,17.41,17.59,18.0,17.41,16.25,14.84,12.53,9.38,6.03,4.0,3.22,2.72,1.59,0.88,1.28,0.81,-0.19,-0.28,1.03,3.12,4.94,6.5,8.78,10.47,11.06,10.69,11.03,11.91,12.44,12.19,12.06,12.66,12.5,11.25,9.84,9.41,8.78,7.19,5.31,4.62,4.53,4.06,3.53,3.84,4.75,5.66,6.34,7.62,9.88,11.66,12.5,13.12,14.47,15.75,16.19,15.91,15.81,15.66,15.25,14.44,13.91,13.97,13.94,12.44,10.69,9.56,8.38,6.31,4.03,3.19,3.12,2.72,2.47,3.28,4.62,5.56,5.84,6.94,8.94,10.84,12.19,13.31,14.91,16.09,16.09,15.69,15.75,16.16,16.12,15.5,15.78,16.88,17.47,17.44,17.5,18.19,18.66,18.41,18.03,18.44,18.16,17.41,15.75,14.69,14.38,14.12,13.47,13.5,14.34,14.41,13.84,14.06,15.09,16.56,17.19,17.5,18.03,18.12,17.78,16.56,16.31,16.19,15.88,14.81,13.78,13.75,13.72,12.66,12.19,12.91,13.69,13.81,13.66,14.16,14.62,14.09,13.41,13.31,13.91,15.31,16.41,17.84,20.0,21.53,21.81,21.19,20.69,20.28,19.22,18.47,18.62,19.38,19.66,18.91,18.5,17.78,16.97,15.03,13.38,12.66,11.97,10.5,9.31,9.12,9.66,9.78,9.88,10.75,12.19,13.09,12.84,13.06,13.62,13.91,12.91,12.59,12.88,13.38,13.0,12.94,13.56,14.53,14.81,14.75,14.78,14.84,13.94,11.5,9.25,7.59,6.06,4.38,3.56,3.97,5.12,5.53,6.09,7.34,8.75,9.75,10.19,11.34,12.41,12.84,12.78,12.72,13.62,14.94,15.88,17.47,19.22,20.47,20.06,18.25,16.22,14.19,11.75,9.34,7.94,7.25,7.03,6.03,5.25,4.81,4.47,3.31,2.12,1.66,2.31,2.88,3.75,5.75,8.94,12.09,14.81,17.34,19.78,21.25,20.97,20.03,18.84,17.78,15.97,13.91,12.38,11.56,10.47,9.12,8.31,8.5,8.81,9.12,10.0,12.06,14.16,15.31,15.97,16.78,17.56,17.38,17.16,17.38,17.75,17.69,17.25,17.12,17.69,17.91,17.5,17.03,17.16,17.47,16.94,16.53,16.59,16.97,17.12,17.19,18.16,20.28,21.94,22.53,23.34,23.84,23.5,21.66,19.16,17.0,14.47,10.97,8.28,7.03,7.16,7.44,7.81,8.25,8.5,7.88,6.69,5.66,5.44,5.78,6.12,6.72,8.16,10.44,12.38,14.66,17.34,20.53,22.78,23.84,24.19,24.5,24.06,22.47,21.5,21.66,22.22,22.31,22.44,23.06,23.59,23.62,23.12,22.97,23.22,22.81,21.88,20.94,21.31,22.03,22.84,24.47,27.19,29.31,29.81,28.88,27.41,25.34,23.25,20.97,19.0,17.62,15.56,12.44,9.81,9.03,8.91,8.88,9.53,11.25,13.75,15.75,18.38,21.59,25.44,28.94,30.91,32.25,33.34,33.25,31.75,29.44,27.66,25.16,21.56,18.19,16.75,16.47,16.47,16.88,17.53,18.25,17.97,16.91,15.72,15.75,15.69,15.5,15.16,16.03,17.44,18.03,19.0,20.91,23.19,24.56,24.91,24.94,24.75,23.72,21.97,20.88,20.41,20.12,19.69,18.81,18.88,19.19,19.0,18.66,19.0,19.78,20.44,20.06,20.03,20.34,20.0,19.09,18.09,18.97,19.72,20.28,20.69,21.84,22.78,23.22,23.28,24.03,25.53,26.44,26.94,27.47,28.31,28.94,28.75,28.03,27.66,26.84,24.91,22.25,20.88,20.31,19.81,19.47,19.62,20.25,20.59,20.19,20.34,21.69,22.81,22.91,22.12,22.22,22.34,22.38,22.31,23.47,24.88,26.16,26.41,26.56,27.72,28.91,29.0,29.12,30.38,30.84,30.44,29.84,30.62,31.88,33.25,34.31,36.22,38.31,39.47,39.75,39.56,39.75,39.03,37.19,35.03,33.38,31.56,28.88,25.97,24.31,23.28,22.0,20.44,19.69,19.22,18.84,17.72,16.91,17.91,19.31,20.06,20.97,22.72,24.94,26.19,26.81,28.5,30.31,31.47,31.69,32.31,32.91,32.75,31.78,30.91,31.38,32.31,33.0,33.25,34.25,35.09,35.25,34.66,34.56,34.47,33.19,30.03,26.84,24.25,21.69,19.06,17.19,16.44,16.88,16.5,16.12,16.81,18.38,19.88,21.03,23.44,26.69,29.66,31.53,33.09,34.59,36.03,35.81,35.5,36.03,37.0,36.62,35.44,34.53,33.81,32.0,29.78,28.25,28.09,28.0,27.28,27.16,28.0,28.38,27.88,27.47,28.09,29.53,30.19,31.03,32.19,33.81,34.41,34.47,34.66,35.66,36.69,36.34,36.44,36.59,36.03,33.69,30.31,26.97,24.44,21.66,19.66,19.41,20.94,23.22,24.59,26.5,28.81,30.53,30.22,30.06,30.28,30.44,30.06,30.06,31.03,32.81,33.84,34.44,35.47,37.03,38.22,38.28,38.12,37.97,37.03,34.44,32.16,30.59,30.31,29.56,28.78,28.66,28.88,28.19,26.66,25.28,24.88,24.69,23.97,24.03,25.72,27.78,28.88,29.84,31.44,33.06,33.47,33.41,33.5,34.22,34.12,32.94,31.94,31.25,30.16,27.81,25.75,25.12,24.84,24.0,23.34,23.62,24.56,24.72,24.41,24.84,26.34,26.97,26.84,26.91,27.72,28.34,28.09,28.09,29.44,31.16,31.56,31.41,31.56,31.88,30.72,28.91,27.72,27.06,26.41,24.88,23.56,23.53,23.56,22.38,21.31,21.25,21.81,22.03,22.53,24.25,27.06,28.81,29.72,30.16,30.88,30.34,28.03,25.97,24.69,23.84,22.62,21.5,21.59,22.28,22.12,21.47,21.75,23.09,23.59,23.75,24.12,24.91,25.5,25.12,24.91,25.5,26.75,27.19,27.5,28.75,30.81,32.12,32.81,32.97,32.91,31.34,28.28,25.12,23.28,22.28,20.81,20.47,21.06,21.88,21.41,20.22,19.78,20.28,20.66,21.22,22.94,25.88,27.84,28.94,29.62,31.69,33.66,34.88,36.28,38.72,40.5,40.59,39.44,37.59,36.06,33.62,30.78,28.97,27.78,27.19,25.56,24.38,24.38,24.69,24.47,24.38,25.03,25.75,25.41,24.09,23.59,23.72,23.56,23.12,23.09,23.66,24.03,23.62,23.19,24.09,25.19,25.88,26.19,26.84,27.38,26.38,23.81,22.06,20.97,19.72,17.91,16.38,16.31,15.88,15.22,14.81,15.97,17.31,18.0,18.41,19.12,20.03,19.72,18.19,17.03,17.81,19.0,20.47,22.53,25.84,27.88,28.06,27.34,27.22,27.22,26.69,25.5,24.66,24.38,23.25,20.97,19.56,19.31,19.22,18.53,18.53,20.06,21.25,22.0,22.34,23.56,25.25,26.22,26.69,27.75,28.91,28.75,26.84,24.69,23.16,21.0,18.25,16.59,16.91,17.75,18.12,18.44,19.81,21.03,21.72,22.53,23.88,25.5,26.88,27.31,27.66,28.56,29.06,28.41,27.09,26.75,27.0,26.34,25.19,24.69,24.25,23.09,20.97,19.19,18.38,17.03,14.91,13.78,13.72,14.16,14.34,15.06,16.94,19.19,21.19,22.44,24.28,26.03,26.56,25.81,25.03,24.59,23.56,21.78,20.59,20.91,21.53,21.69,22.0,22.81,23.97,24.06,23.44,23.19,23.56,23.44,22.94,23.22,24.62,26.22,26.75,26.81,27.31,27.25,26.47,25.19,24.97,25.5,25.72,25.5,26.03,26.81,26.72,25.22,23.59,22.62,21.59,20.06,19.28,20.16,21.16,21.44,21.0,20.88,20.84,20.66,19.91,19.94,20.72,21.47,21.06,21.19,22.38,23.72,24.81,25.72,27.16,28.06,27.72,26.16,24.47,22.88,21.25,19.19,17.5,16.16,14.59,12.06,9.53,8.97,9.47,10.53,12.22,15.03,17.5,19.06,19.22,19.59,19.91,20.12,19.69,20.06,21.34,22.62,23.12,23.19,23.78,24.0,23.25,21.25,19.72,18.09,15.72,12.88,10.5,8.97,8.12,6.69,6.22,7.38,9.59,11.38,13.56,16.66,19.84,21.53,22.25,22.62,22.44,21.28,19.31,17.66,16.34,15.5,13.41,11.81,10.94,10.53,9.81,9.06,8.91,8.81,8.25,7.59,8.12,9.75,12.0,14.16,16.56,19.84,22.69,23.41,23.09,22.66,21.94,20.56,19.88,20.81,22.69,23.84,23.81,23.44,22.09,20.09,17.09,14.66,13.19,12.5,11.22,10.31,10.16,11.09,11.41,11.75,12.88,14.66,15.53,15.69,16.0,15.75,14.84,12.91,11.16,10.31,10.53,10.69,10.94,11.69,12.56,11.88,10.66,9.75,9.56,9.16,8.31,38.03,38.06,37.28,35.81,34.16,32.81,32.12,31.81,32.34,34.12,36.03,38.25,40.47,42.62,44.53,45.75,46.25,46.12,45.44,44.34,42.69:-4.0,-4.62,-3.06,-1.53,-0.41,0.78,2.62,4.34,4.75,4.88,5.16,5.69,5.34,4.97,4.88,5.41,5.22,4.47,3.78,4.06,4.09,3.75,3.16,3.84,4.84,4.88,4.09,3.22,2.03,-0.69,-3.97,-6.5,-7.22,-7.56,-7.44,-6.28,-3.25,-0.22,2.38,4.59,7.16,9.41,10.25,10.03,10.44,11.56,12.19,12.5,13.44,15.31,16.88,17.62,18.44,19.56,19.88,18.47,16.16,14.16,12.53,10.53,8.88,9.16,10.84,12.0,12.66,13.44,14.06,14.31,13.5,12.94,13.91,15.25,15.84,16.56,18.09,19.59,20.41,20.66,20.97,21.34,20.62,18.81,17.41,17.59,18.0,17.41,16.25,14.84,12.53,9.38,6.03,4.0,3.22,2.72,1.59,0.88,1.28,0.81,-0.19,-0.28,1.03,3.12,4.94,6.5,8.78,10.47,11.06,10.69,11.03,11.91,12.44,12.19,12.06,12.66,12.5,11.25,9.84,9.41,8.78,7.19,5.31,4.62,4.53,4.06,3.53,3.84,4.75,5.66,6.34,7.62,9.88,11.66,12.5,13.12,14.47,15.75,16.19,15.91,15.81,15.66,15.25,14.44,13.91,13.97,13.94,12.44,10.69,9.56,8.38,6.31,4.03,3.19,3.12,2.72,2.47,3.28,4.62,5.56,5.84,6.94,8.94,10.84,12.19,13.31,14.91,16.09,16.09,15.69,15.75,16.16,16.12,15.5,15.78,16.88,17.47,17.44,17.5,18.19,18.66,18.41,18.03,18.44,18.16,17.41,15.75,14.69,14.38,14.12,13.47,13.5,14.34,14.41,13.84,14.06,15.09,16.56,17.19,17.5,18.03,18.12,17.78,16.56,16.31,16.19,15.88,14.81,13.78,13.75,13.72,12.66,12.19,12.91,13.69,13.81,13.66,14.16,14.62,14.09,13.41,13.31,13.91,15.31,16.41,17.84,20.0,21.53,21.81,21.19,20.69,20.28,19.22,18.47,18.62,19.38,19.66,18.91,18.5,17.78,16.97,15.03,13.38,12.66,11.97,10.5,9.31,9.12,9.66,9.78,9.88,10.75,12.19,13.09,12.84,13.06,13.62,13.91,12.91,12.59,12.88,13.38,13.0,12.94,13.56,14.53,14.81,14.75,14.78,14.84,13.94,11.5,9.25,7.59,6.06,4.38,3.56,3.97,5.12,5.53,6.09,7.34,8.75,9.75,10.19,11.34,12.41,12.84,12.78,12.72,13.62,14.94,15.88,17.47,19.22,20.47,20.06,18.25,16.22,14.19,11.75,9.34,7.94,7.25,7.03,6.03,5.25,4.81,4.47,3.31,2.12,1.66,2.31,2.88,3.75,5.75,8.94,12.09,14.81,17.34,19.78,21.25,20.97,20.03,18.84,17.78,15.97,13.91,12.38,11.56,10.47,9.12,8.31,8.5,8.81,9.12,10.0,12.06,14.16,15.31,15.97,16.78,17.56,17.38,17.16,17.38,17.75,17.69,17.25,17.12,17.69,17.91,17.5,17.03,17.16,17.47,16.94,16.53,16.59,16.97,17.12,17.19,18.16,20.28,21.94,22.53,23.34,23.84,23.5,21.66,19.16,17.0,14.47,10.97,8.28,7.03,7.16,7.44,7.81,8.25,8.5,7.88,6.69,5.66,5.44,5.78,6.12,6.72,8.16,10.44,12.38,14.66,17.34,20.53,22.78,23.84,24.19,24.5,24.06,22.47,21.5,21.66,22.22,22.31,22.44,23.06,23.59,23.62,23.12,22.97,23.22,22.81,21.88,20.94,21.31,22.03,22.84,24.47,27.19,29.31,29.81,28.88,27.41,25.34,23.25,20.97,19.0,17.62,15.56,12.44,9.81,9.03,8.91,8.88,9.53,11.25,13.75,15.75,18.38,21.59,25.44,28.94,30.91,32.25,33.34,33.25,31.75,29.44,27.66,25.16,21.56,18.19,16.75,16.47,16.47,16.88,17.53,18.25,17.97,16.91,15.72,15.75,15.69,15.5,15.16,16.03,17.44,18.03,19.0,20.91,23.19,24.56,24.91,24.94,24.75,23.72,21.97,20.88,20.41,20.12,19.69,18.81,18.88,19.19,19.0,18.66,19.0,19.78,20.44,20.06,20.03,20.34,20.0,19.09,18.09,18.97,19.72,20.28,20.69,21.84,22.78,23.22,23.28,24.03,25.53,26.44,26.94,27.47,28.31,28.94,28.75,28.03,27.66,26.84,24.91,22.25,20.88,20.31,19.81,19.47,19.62,20.25,20.59,20.19,20.34,21.69,22.81,22.91,22.12,22.22,22.34,22.38,22.31,23.47,24.88,26.16,26.41,26.56,27.72,28.91,29.0,29.12,30.38,30.84,30.44,29.84,30.62,31.88,33.25,34.31,36.22,38.31,39.47,39.75,39.56,39.75,39.03,37.19,35.03,33.38,31.56,28.88,25.97,24.31,23.28,22.0,20.44,19.69,19.22,18.84,17.72,16.91,17.91,19.31,20.06,20.97,22.72,24.94,26.19,26.81,28.5,30.31,31.47,31.69,32.31,32.91,32.75,31.78,30.91,31.38,32.31,33.0,33.25,34.25,35.09,35.25,34.66,34.56,34.47,33.19,30.03,26.84,24.25,21.69,19.06,17.19,16.44,16.88,16.5,16.12,16.81,18.38,19.88,21.03,23.44,26.69,29.66,31.53,33.09,34.59,36.03,35.81,35.5,36.03,37.0,36.62,35.44,34.53,33.81,32.0,29.78,28.25,28.09,28.0,27.28,27.16,28.0,28.38,27.88,27.47,28.09,29.53,30.19,31.03,32.19,33.81,34.41,34.47,34.66,35.66,36.69,36.34,36.44,36.59,36.03,33.69,30.31,26.97,24.44,21.66,19.66,19.41,20.94,23.22,24.59,26.5,28.81,30.53,30.22,30.06,30.28,30.44,30.06,30.06,31.03,32.81,33.84,34.44,35.47,37.03,38.22,38.28,38.12,37.97,37.03,34.44,32.16,30.59,30.31,29.56,28.78,28.66,28.88,28.19,26.66,25.28,24.88,24.69,23.97,24.03,25.72,27.78,28.88,29.84,31.44,33.06,33.47,33.41,33.5,34.22,34.12,32.94,31.94,31.25,30.16,27.81,25.75,25.12,24.84,24.0,23.34,23.62,24.56,24.72,24.41,24.84,26.34,26.97,26.84,26.91,27.72,28.34,28.09,28.09,29.44,31.16,31.56,31.41,31.56,31.88,30.72,28.91,27.72,27.06,26.41,24.88,23.56,23.53,23.56,22.38,21.31,21.25,21.81,22.03,22.53,24.25,27.06,28.81,29.72,30.16,30.88,30.34,28.03,25.97,24.69,23.84,22.62,21.5,21.59,22.28,22.12,21.47,21.75,23.09,23.59,23.75,24.12,24.91,25.5,25.12,24.91,25.5,26.75,27.19,27.5,28.75,30.81,32.12,32.81,32.97,32.91,31.34,28.28,25.12,23.28,22.28,20.81,20.47,21.06,21.88,21.41,20.22,19.78,20.28,20.66,21.22,22.94,25.88,27.84,28.94,29.62,31.69,33.66,34.88,36.28,38.72,40.5,40.59,39.44,37.59,36.06,33.62,30.78,28.97,27.78,27.19,25.56,24.38,24.38,24.69,24.47,24.38,25.03,25.75,25.41,24.09,23.59,23.72,23.56,23.12,23.09,23.66,24.03,23.62,23.19,24.09,25.19,25.88,26.19,26.84,27.38,26.38,23.81,22.06,20.97,19.72,17.91,16.38,16.31,15.88,15.22,14.81,15.97,17.31,18.0,18.41,19.12,20.03,19.72,18.19,17.03,17.81,19.0,20.47,22.53,25.84,27.88,28.06,27.34,27.22,27.22,26.69,25.5,24.66,24.38,23.25,20.97,19.56,19.31,19.22,18.53,18.53,20.06,21.25,22.0,22.34,23.56,25.25,26.22,26.69,27.75,28.91,28.75,26.84,24.69,23.16,21.0,18.25,16.59,16.91,17.75,18.12,18.44,19.81,21.03,21.72,22.53,23.88,25.5,26.88,27.31,27.66,28.56,29.06,28.41,27.09,26.75,27.0,26.34,25.19,24.69,24.25,23.09,20.97,19.19,18.38,17.03,14.91,13.78,13.72,14.16,14.34,15.06,16.94,19.19,21.19,22.44,24.28,26.03,26.56,25.81,25.03,24.59,23.56,21.78,20.59,20.91,21.53,21.69,22.0,22.81,23.97,24.06,23.44,23.19,23.56,23.44,22.94,23.22,24.62,26.22,26.75,26.81,27.31,27.25,26.47,25.19,24.97,25.5,25.72,25.5,26.03,26.81,26.72,25.22,23.59,22.62,21.59,20.06,19.28,20.16,21.16,21.44,21.0,20.88,20.84,20.66,19.91,19.94,20.72,21.47,21.06,21.19,22.38,23.72,24.81,25.72,27.16,28.06,27.72,26.16,24.47,22.88,21.25,19.19,17.5,16.16,14.59,12.06,9.53,8.97,9.47,10.53,12.22,15.03,17.5,19.06,19.22,19.59,19.91,20.12,19.69,20.06,21.34,22.62,23.12,23.19,23.78,24.0,23.25,21.25,19.72,18.09,15.72,12.88,10.5,8.97,8.12,6.69,6.22,7.38,9.59,11.38,13.56,16.66,19.84,21.53,22.25,22.62,22.44,21.28,19.31,17.66,16.34,15.5,13.41,11.81,10.94,10.53,9.81,9.06,8.91,8.81,8.25,7.59,8.12,9.75,12.0,14.16,16.56,19.84,22.69,23.41,23.09,22.66,21.94,20.56,19.88,20.81,22.69,23.84,23.81,23.44,22.09,20.09,17.09,14.66,13.19,12.5,11.22,10.31,10.16,11.09,11.41,11.75,12.88,14.66,15.53,15.69,16.0,15.75,14.84,12.91,11.16,10.31,10.53,10.69,10.94,11.69,12.56,11.88,10.66,9.75,9.56,9.16,8.31,38.03,38.06,37.28,35.81,34.16,32.81,32.12,31.81,32.34,34.12,36.03,38.25,40.47,42.62,44.53,45.75,46.25,46.12,45.44,44.34,42.69,40.84,38.84,36.56,33.94,31.72,29.75,28.59:4.34,4.75,4.88,5.16,5.69,5.34,4.97,4.88,5.41,5.22,4.47,3.78,4.06,4.09,3.75,3.16,3.84,4.84,4.88,4.09,3.22,2.03,-0.69,-3.97,-6.5,-7.22,-7.56,-7.44,-6.28,-3.25,-0.22,2.38,4.59,7.16,9.41,10.25,10.03,10.44,11.56,12.19,12.5,13.44,15.31,16.88,17.62,18.44,19.56,19.88,18.47,16.16,14.16,12.53,10.53,8.88,9.16,10.84,12.0,12.66,13.44,14.06,14.31,13.5,12.94,13.91,15.25,15.84,16.56,18.09,19.59,20.41,20.66,20.97,21.34,20.62,18.81,17.41,17.59,18.0,17.41,16.25,14.84,12.53,9.38,6.03,4.0,3.22,2.72,1.59,0.88,1.28,0.81,-0.19,-0.28,1.03,3.12,4.94,6.5,8.78,10.47,11.06,10.69,11.03,11.91,12.44,12.19,12.06,12.66,12.5,11.25,9.84,9.41,8.78,7.19,5.31,4.62,4.53,4.06,3.53,3.84,4.75,5.66,6.34,7.62,9.88,11.66,12.5,13.12,14.47,15.75,16.19,15.91,15.81,15.66,15.25,14.44,13.91,13.97,13.94,12.44,10.69,9.56,8.38,6.31,4.03,3.19,3.12,2.72,2.47,3.28,4.62,5.56,5.84,6.94,8.94,10.84,12.19,13.31,14.91,16.09,16.09,15.69,15.75,16.16,16.12,15.5,15.78,16.88,17.47,17.44,17.5,18.19,18.66,18.41,18.03,18.44,18.16,17.41,15.75,14.69,14.38,14.12,13.47,13.5,14.34,14.41,13.84,14.06,15.09,16.56,17.19,17.5,18.03,18.12,17.78,16.56,16.31,16.19,15.88,14.81,13.78,13.75,13.72,12.66,12.19,12.91,13.69,13.81,13.66,14.16,14.62,14.09,13.41,13.31,13.91,15.31,16.41,17.84,20.0,21.53,21.81,21.19,20.69,20.28,19.22,18.47,18.62,19.38,19.66,18.91,18.5,17.78,16.97,15.03,13.38,12.66,11.97,10.5,9.31,9.12,9.66,9.78,9.88,10.75,12.19,13.09,12.84,13.06,13.62,13.91,12.91,12.59,12.88,13.38,13.0,12.94,13.56,14.53,14.81,14.75,14.78,14.84,13.94,11.5,9.25,7.59,6.06,4.38,3.56,3.97,5.12,5.53,6.09,7.34,8.75,9.75,10.19,11.34,12.41,12.84,12.78,12.72,13.62,14.94,15.88,17.47,19.22,20.47,20.06,18.25,16.22,14.19,11.75,9.34,7.94,7.25,7.03,6.03,5.25,4.81,4.47,3.31,2.12,1.66,2.31,2.88,3.75,5.75,8.94,12.09,14.81,17.34,19.78,21.25,20.97,20.03,18.84,17.78,15.97,13.91,12.38,11.56,10.47,9.12,8.31,8.5,8.81,9.12,10.0,12.06,14.16,15.31,15.97,16.78,17.56,17.38,17.16,17.38,17.75,17.69,17.25,17.12,17.69,17.91,17.5,17.03,17.16,17.47,16.94,16.53,16.59,16.97,17.12,17.19,18.16,20.28,21.94,22.53,23.34,23.84,23.5,21.66,19.16,17.0,14.47,10.97,8.28,7.03,7.16,7.44,7.81,8.25,8.5,7.88,6.69,5.66,5.44,5.78,6.12,6.72,8.16,10.44,12.38,14.66,17.34,20.53,22.78,23.84,24.19,24.5,24.06,22.47,21.5,21.66,22.22,22.31,22.44,23.06,23.59,23.62,23.12,22.97,23.22,22.81,21.88,20.94,21.31,22.03,22.84,24.47,27.19,29.31,29.81,28.88,27.41,25.34,23.25,20.97,19.0,17.62,15.56,12.44,9.81,9.03,8.91,8.88,9.53,11.25,13.75,15.75,18.38,21.59,25.44,28.94,30.91,32.25,33.34,33.25,31.75,29.44,27.66,25.16,21.56,18.19,16.75,16.47,16.47,16.88,17.53,18.25,17.97,16.91,15.72,15.75,15.69,15.5,15.16,16.03,17.44,18.03,19.0,20.91,23.19,24.56,24.91,24.94,24.75,23.72,21.97,20.88,20.41,20.12,19.69,18.81,18.88,19.19,19.0,18.66,19.0,19.78,20.44,20.06,20.03,20.34,20.0,19.09,18.09,18.97,19.72,20.28,20.69,21.84,22.78,23.22,23.28,24.03,25.53,26.44,26.94,27.47,28.31,28.94,28.75,28.03,27.66,26.84,24.91,22.25,20.88,20.31,19.81,19.47,19.62,20.25,20.59,20.19,20.34,21.69,22.81,22.91,22.12,22.22,22.34,22.38,22.31,23.47,24.88,26.16,26.41,26.56,27.72,28.91,29.0,29.12,30.38,30.84,30.44,29.84,30.62,31.88,33.25,34.31,36.22,38.31,39.47,39.75,39.56,39.75,39.03,37.19,35.03,33.38,31.56,28.88,25.97,24.31,23.28,22.0,20.44,19.69,19.22,18.84,17.72,16.91,17.91,19.31,20.06,20.97,22.72,24.94,26.19,26.81,28.5,30.31,31.47,31.69,32.31,32.91,32.75,31.78,30.91,31.38,32.31,33.0,33.25,34.25,35.09,35.25,34.66,34.56,34.47,33.19,30.03,26.84,24.25,21.69,19.06,17.19,16.44,16.88,16.5,16.12,16.81,18.38,19.88,21.03,23.44,26.69,29.66,31.53,33.09,34.59,36.03,35.81,35.5,36.03,37.0,36.62,35.44,34.53,33.81,32.0,29.78,28.25,28.09,28.0,27.28,27.16,28.0,28.38,27.88,27.47,28.09,29.53,30.19,31.03,32.19,33.81,34.41,34.47,34.66,35.66,36.69,36.34,36.44,36.59,36.03,33.69,30.31,26.97,24.44,21.66,19.66,19.41,20.94,23.22,24.59,26.5,28.81,30.53,30.22,30.06,30.28,30.44,30.06,30.06,31.03,32.81,33.84,34.44,35.47,37.03,38.22,38.28,38.12,37.97,37.03,34.44,32.16,30.59,30.31,29.56,28.78,28.66,28.88,28.19,26.66,25.28,24.88,24.69,23.97,24.03,25.72,27.78,28.88,29.84,31.44,33.06,33.47,33.41,33.5,34.22,34.12,32.94,31.94,31.25,30.16,27.81,25.75,25.12,24.84,24.0,23.34,23.62,24.56,24.72,24.41,24.84,26.34,26.97,26.84,26.91,27.72,28.34,28.09,28.09,29.44,31.16,31.56,31.41,31.56,31.88,30.72,28.91,27.72,27.06,26.41,24.88,23.56,23.53,23.56,22.38,21.31,21.25,21.81,22.03,22.53,24.25,27.06,28.81,29.72,30.16,30.88,30.34,28.03,25.97,24.69,23.84,22.62,21.5,21.59,22.28,22.12,21.47,21.75,23.09,23.59,23.75,24.12,24.91,25.5,25.12,24.91,25.5,26.75,27.19,27.5,28.75,30.81,32.12,32.81,32.97,32.91,31.34,28.28,25.12,23.28,22.28,20.81,20.47,21.06,21.88,21.41,20.22,19.78,20.28,20.66,21.22,22.94,25.88,27.84,28.94,29.62,31.69,33.66,34.88,36.28,38.72,40.5,40.59,39.44,37.59,36.06,33.62,30.78,28.97,27.78,27.19,25.56,24.38,24.38,24.69,24.47,24.38,25.03,25.75,25.41,24.09,23.59,23.72,23.56,23.12,23.09,23.66,24.03,23.62,23.19,24.09,25.19,25.88,26.19,26.84,27.38,26.38,23.81,22.06,20.97,19.72,17.91,16.38,16.31,15.88,15.22,14.81,15.97,17.31,18.0,18.41,19.12,20.03,19.72,18.19,17.03,17.81,19.0,20.47,22.53,25.84,27.88,28.06,27.34,27.22,27.22,26.69,25.5,24.66,24.38,23.25,20.97,19.56,19.31,19.22,18.53,18.53,20.06,21.25,22.0,22.34,23.56,25.25,26.22,26.69,27.75,28.91,28.75,26.84,24.69,23.16,21.0,18.25,16.59,16.91,17.75,18.12,18.44,19.81,21.03,21.72,22.53,23.88,25.5,26.88,27.31,27.66,28.56,29.06,28.41,27.09,26.75,27.0,26.34,25.19,24.69,24.25,23.09,20.97,19.19,18.38,17.03,14.91,13.78,13.72,14.16,14.34,15.06,16.94,19.19,21.19,22.44,24.28,26.03,26.56,25.81,25.03,24.59,23.56,21.78,20.59,20.91,21.53,21.69,22.0,22.81,23.97,24.06,23.44,23.19,23.56,23.44,22.94,23.22,24.62,26.22,26.75,26.81,27.31,27.25,26.47,25.19,24.97,25.5,25.72,25.5,26.03,26.81,26.72,25.22,23.59,22.62,21.59,20.06,19.28,20.16,21.16,21.44,21.0,20.88,20.84,20.66,19.91,19.94,20.72,21.47,21.06,21.19,22.38,23.72,24.81,25.72,27.16,28.06,27.72,26.16,24.47,22.88,21.25,19.19,17.5,16.16,14.59,12.06,9.53,8.97,9.47,10.53,12.22,15.03,17.5,19.06,19.22,19.59,19.91,20.12,19.69,20.06,21.34,22.62,23.12,23.19,23.78,24.0,23.25,21.25,19.72,18.09,15.72,12.88,10.5,8.97,8.12,6.69,6.22,7.38,9.59,11.38,13.56,16.66,19.84,21.53,22.25,22.62,22.44,21.28,19.31,17.66,16.34,15.5,13.41,11.81,10.94,10.53,9.81,9.06,8.91,8.81,8.25,7.59,8.12,9.75,12.0,14.16,16.56,19.84,22.69,23.41,23.09,22.66,21.94,20.56,19.88,20.81,22.69,23.84,23.81,23.44,22.09,20.09,17.09,14.66,13.19,12.5,11.22,10.31,10.16,11.09,11.41,11.75,12.88,14.66,15.53,15.69,16.0,15.75,14.84,12.91,11.16,10.31,10.53,10.69,10.94,11.69,12.56,11.88,10.66,9.75,9.56,9.16,8.31,38.03,38.06,37.28,35.81,34.16,32.81,32.12,31.81,32.34,34.12,36.03,38.25,40.47,42.62,44.53,45.75,46.25,46.12,45.44,44.34,42.69,40.84,38.84,36.56,33.94,31.72,29.75,28.59,28.28,28.66,29.97,31.75,33.16,34.44,35.12:4.88,5.41,5.22,4.47,3.78,4.06,4.09,3.75,3.16,3.84,4.84,4.88,4.09,3.22,2.03,-0.69,-3.97,-6.5,-7.22,-7.56,-7.44,-6.28,-3.25,-0.22,2.38,4.59,7.16,9.41,10.25,10.03,10.44,11.56,12.19,12.5,13.44,15.31,16.88,17.62,18.44,19.56,19.88,18.47,16.16,14.16,12.53,10.53,8.88,9.16,10.84,12.0,12.66,13.44,14.06,14.31,13.5,12.94,13.91,15.25,15.84,16.56,18.09,19.59,20.41,20.66,20.97,21.34,20.62,18.81,17.41,17.59,18.0,17.41,16.25,14.84,12.53,9.38,6.03,4.0,3.22,2.72,1.59,0.88,1.28,0.81,-0.19,-0.28,1.03,3.12,4.94,6.5,8.78,10.47,11.06,10.69,11.03,11.91,12.44,12.19,12.06,12.66,12.5,11.25,9.84,9.41,8.78,7.19,5.31,4.62,4.53,4.06,3.53,3.84,4.75,5.66,6.34,7.62,9.88,11.66,12.5,13.12,14.47,15.75,16.19,15.91,15.81,15.66,15.25,14.44,13.91,13.97,13.94,12.44,10.69,9.56,8.38,6.31,4.03,3.19,3.12,2.72,2.47,3.28,4.62,5.56,5.84,6.94,8.94,10.84,12.19,13.31,14.91,16.09,16.09,15.69,15.75,16.16,16.12,15.5,15.78,16.88,17.47,17.44,17.5,18.19,18.66,18.41,18.03,18.44,18.16,17.41,15.75,14.69,14.38,14.12,13.47,13.5,14.34,14.41,13.84,14.06,15.09,16.56,17.19,17.5,18.03,18.12,17.78,16.56,16.31,16.19,15.88,14.81,13.78,13.75,13.72,12.66,12.19,12.91,13.69,13.81,13.66,14.16,14.62,14.09,13.41,13.31,13.91,15.31,16.41,17.84,20.0,21.53,21.81,21.19,20.69,20.28,19.22,18.47,18.62,19.38,19.66,18.91,18.5,17.78,16.97,15.03,13.38,12.66,11.97,10.5,9.31,9.12,9.66,9.78,9.88,10.75,12.19,13.09,12.84,13.06,13.62,13.91,12.91,12.59,12.88,13.38,13.0,12.94,13.56,14.53,14.81,14.75,14.78,14.84,13.94,11.5,9.25,7.59,6.06,4.38,3.56,3.97,5.12,5.53,6.09,7.34,8.75,9.75,10.19,11.34,12.41,12.84,12.78,12.72,13.62,14.94,15.88,17.47,19.22,20.47,20.06,18.25,16.22,14.19,11.75,9.34,7.94,7.25,7.03,6.03,5.25,4.81,4.47,3.31,2.12,1.66,2.31,2.88,3.75,5.75,8.94,12.09,14.81,17.34,19.78,21.25,20.97,20.03,18.84,17.78,15.97,13.91,12.38,11.56,10.47,9.12,8.31,8.5,8.81,9.12,10.0,12.06,14.16,15.31,15.97,16.78,17.56,17.38,17.16,17.38,17.75,17.69,17.25,17.12,17.69,17.91,17.5,17.03,17.16,17.47,16.94,16.53,16.59,16.97,17.12,17.19,18.16,20.28,21.94,22.53,23.34,23.84,23.5,21.66,19.16,17.0,14.47,10.97,8.28,7.03,7.16,7.44,7.81,8.25,8.5,7.88,6.69,5.66,5.44,5.78,6.12,6.72,8.16,10.44,12.38,14.66,17.34,20.53,22.78,23.84,24.19,24.5,24.06,22.47,21.5,21.66,22.22,22.31,22.44,23.06,23.59,23.62,23.12,22.97,23.22,22.81,21.88,20.94,21.31,22.03,22.84,24.47,27.19,29.31,29.81,28.88,27.41,25.34,23.25,20.97,19.0,17.62,15.56,12.44,9.81,9.03,8.91,8.88,9.53,11.25,13.75,15.75,18.38,21.59,25.44,28.94,30.91,32.25,33.34,33.25,31.75,29.44,27.66,25.16,21.56,18.19,16.75,16.47,16.47,16.88,17.53,18.25,17.97,16.91,15.72,15.75,15.69,15.5,15.16,16.03,17.44,18.03,19.0,20.91,23.19,24.56,24.91,24.94,24.75,23.72,21.97,20.88,20.41,20.12,19.69,18.81,18.88,19.19,19.0,18.66,19.0,19.78,20.44,20.06,20.03,20.34,20.0,19.09,18.09,18.97,19.72,20.28,20.69,21.84,22.78,23.22,23.28,24.03,25.53,26.44,26.94,27.47,28.31,28.94,28.75,28.03,27.66,26.84,24.91,22.25,20.88,20.31,19.81,19.47,19.62,20.25,20.59,20.19,20.34,21.69,22.81,22.91,22.12,22.22,22.34,22.38,22.31,23.47,24.88,26.16,26.41,26.56,27.72,28.91,29.0,29.12,30.38,30.84,30.44,29.84,30.62,31.88,33.25,34.31,36.22,38.31,39.47,39.75,39.56,39.75,39.03,37.19,35.03,33.38,31.56,28.88,25.97,24.31,23.28,22.0,20.44,19.69,19.22,18.84,17.72,16.91,17.91,19.31,20.06,20.97,22.72,24.94,26.19,26.81,28.5,30.31,31.47,31.69,32.31,32.91,32.75,31.78,30.91,31.38,32.31,33.0,33.25,34.25,35.09,35.25,34.66,34.56,34.47,33.19,30.03,26.84,24.25,21.69,19.06,17.19,16.44,16.88,16.5,16.12,16.81,18.38,19.88,21.03,23.44,26.69,29.66,31.53,33.09,34.59,36.03,35.81,35.5,36.03,37.0,36.62,35.44,34.53,33.81,32.0,29.78,28.25,28.09,28.0,27.28,27.16,28.0,28.38,27.88,27.47,28.09,29.53,30.19,31.03,32.19,33.81,34.41,34.47,34.66,35.66,36.69,36.34,36.44,36.59,36.03,33.69,30.31,26.97,24.44,21.66,19.66,19.41,20.94,23.22,24.59,26.5,28.81,30.53,30.22,30.06,30.28,30.44,30.06,30.06,31.03,32.81,33.84,34.44,35.47,37.03,38.22,38.28,38.12,37.97,37.03,34.44,32.16,30.59,30.31,29.56,28.78,28.66,28.88,28.19,26.66,25.28,24.88,24.69,23.97,24.03,25.72,27.78,28.88,29.84,31.44,33.06,33.47,33.41,33.5,34.22,34.12,32.94,31.94,31.25,30.16,27.81,25.75,25.12,24.84,24.0,23.34,23.62,24.56,24.72,24.41,24.84,26.34,26.97,26.84,26.91,27.72,28.34,28.09,28.09,29.44,31.16,31.56,31.41,31.56,31.88,30.72,28.91,27.72,27.06,26.41,24.88,23.56,23.53,23.56,22.38,21.31,21.25,21.81,22.03,22.53,24.25,27.06,28.81,29.72,30.16,30.88,30.34,28.03,25.97,24.69,23.84,22.62,21.5,21.59,22.28,22.12,21.47,21.75,23.09,23.59,23.75,24.12,24.91,25.5,25.12,24.91,25.5,26.75,27.19,27.5,28.75,30.81,32.12,32.81,32.97,32.91,31.34,28.28,25.12,23.28,22.28,20.81,20.47,21.06,21.88,21.41,20.22,19.78,20.28,20.66,21.22,22.94,25.88,27.84,28.94,29.62,31.69,33.66,34.88,36.28,38.72,40.5,40.59,39.44,37.59,36.06,33.62,30.78,28.97,27.78,27.19,25.56,24.38,24.38,24.69,24.47,24.38,25.03,25.75,25.41,24.09,23.59,23.72,23.56,23.12,23.09,23.66,24.03,23.62,23.19,24.09,25.19,25.88,26.19,26.84,27.38,26.38,23.81,22.06,20.97,19.72,17.91,16.38,16.31,15.88,15.22,14.81,15.97,17.31,18.0,18.41,19.12,20.03,19.72,18.19,17.03,17.81,19.0,20.47,22.53,25.84,27.88,28.06,27.34,27.22,27.22,26.69,25.5,24.66,24.38,23.25,20.97,19.56,19.31,19.22,18.53,18.53,20.06,21.25,22.0,22.34,23.56,25.25,26.22,26.69,27.75,28.91,28.75,26.84,24.69,23.16,21.0,18.25,16.59,16.91,17.75,18.12,18.44,19.81,21.03,21.72,22.53,23.88,25.5,26.88,27.31,27.66,28.56,29.06,28.41,27.09,26.75,27.0,26.34,25.19,24.69,24.25,23.09,20.97,19.19,18.38,17.03,14.91,13.78,13.72,14.16,14.34,15.06,16.94,19.19,21.19,22.44,24.28,26.03,26.56,25.81,25.03,24.59,23.56,21.78,20.59,20.91,21.53,21.69,22.0,22.81,23.97,24.06,23.44,23.19,23.56,23.44,22.94,23.22,24.62,26.22,26.75,26.81,27.31,27.25,26.47,25.19,24.97,25.5,25.72,25.5,26.03,26.81,26.72,25.22,23.59,22.62,21.59,20.06,19.28,20.16,21.16,21.44,21.0,20.88,20.84,20.66,19.91,19.94,20.72,21.47,21.06,21.19,22.38,23.72,24.81,25.72,27.16,28.06,27.72,26.16,24.47,22.88,21.25,19.19,17.5,16.16,14.59,12.06,9.53,8.97,9.47,10.53,12.22,15.03,17.5,19.06,19.22,19.59,19.91,20.12,19.69,20.06,21.34,22.62,23.12,23.19,23.78,24.0,23.25,21.25,19.72,18.09,15.72,12.88,10.5,8.97,8.12,6.69,6.22,7.38,9.59,11.38,13.56,16.66,19.84,21.53,22.25,22.62,22.44,21.28,19.31,17.66,16.34,15.5,13.41,11.81,10.94,10.53,9.81,9.06,8.91,8.81,8.25,7.59,8.12,9.75,12.0,14.16,16.56,19.84,22.69,23.41,23.09,22.66,21.94,20.56,19.88,20.81,22.69,23.84,23.81,23.44,22.09,20.09,17.09,14.66,13.19,12.5,11.22,10.31,10.16,11.09,11.41,11.75,12.88,14.66,15.53,15.69,16.0,15.75,14.84,12.91,11.16,10.31,10.53,10.69,10.94,11.69,12.56,11.88,10.66,9.75,9.56,9.16,8.31,38.03,38.06,37.28,35.81,34.16,32.81,32.12,31.81,32.34,34.12,36.03,38.25,40.47,42.62,44.53,45.75,46.25,46.12,45.44,44.34,42.69,40.84,38.84,36.56,33.94,31.72,29.75,28.59,28.28,28.66,29.97,31.75,33.16,34.44,35.12,35.62,35.44,34.75,34.34,34.44,34.34,34.59:positivity
25.75,25.84,27.28,29.31,30.53,30.5,29.38,28.28,26.19,23.31,20.62,18.91,17.81,16.78,15.81,16.59,17.84,18.53,18.62,18.22,18.5,18.91,19.44,20.84,23.25,25.5,26.5,26.28,25.72,24.78,22.88,20.5,19.41,19.34,19.69,19.81,20.97,22.88,24.47,25.25,25.59,26.22,26.31,25.53,23.94,23.47,23.06,22.81,22.53,23.88,26.31,28.81,30.53,32.28,34.03,35.09,34.34,32.5,31.22,29.62,27.41,25.91,25.91,26.53,26.94,26.0,25.56,25.16,23.88,21.5,19.75,18.81,18.03,16.72,16.53,18.09,20.5,22.97,25.41,29.0,32.16,34.25,35.56,37.22,38.47,39.44,39.06,38.78,38.47,37.59,35.91,34.0,33.16,32.0,30.12,27.94,26.31,25.44,23.97,22.12,20.88,20.75,20.94,20.41,20.62,21.38,22.16,21.81,21.5,22.03,23.28,23.84,24.12,24.47,24.59,24.16,22.81,21.78,21.56,21.06,19.94,18.94,18.44,18.12,16.91,15.97,15.59,15.62,14.88,13.47,12.75,12.19,11.34,10.0,9.09,8.97,9.09,7.97,7.19,7.5,8.34,8.31,8.25,9.06,10.25,10.91,10.97,11.62,12.91,13.94,13.88,14.28,15.62,16.72,16.41,16.25,16.41,17.31,16.81,16.09,15.69,15.47,14.44,12.62,12.62,13.88,15.28,15.69,15.69,16.16,15.91,14.5,13.66,13.88,15.19,15.56,15.41,15.31,15.28,14.34,12.53,11.62,11.88,13.03,13.62,14.88,17.16,18.25,17.66,16.44,15.31,14.38,13.19,12.25,12.78,14.03,15.31,16.28,17.78,20.25,21.81,21.81,20.97,20.47,19.78,17.78,16.28,15.94,16.62,16.28,15.62,15.38,15.38,15.0,13.59,12.25,11.78,12.44,12.03,12.44,14.25,16.19,16.25,15.5,14.59,13.06,10.31,7.31,5.0,4.44,5.0,5.62,7.62,10.72,13.81,15.09,15.81,16.81,17.84,17.88,18.06,18.25,18.94,18.44,17.44,16.47,16.12,16.25,15.16,14.22,14.03,14.0,13.06,12.34,12.28,12.62,12.22,11.06,10.41,9.97,9.28,8.0,6.97,7.25,7.81,7.56,8.06,9.53,11.5,13.06,14.69,17.12,20.09,21.97,23.34,24.84,26.34,26.69,26.19,24.88,23.69,22.31,19.75,17.59,16.69,17.38,17.62,17.72,18.47,19.16,18.34,16.5,14.62,13.5,12.03,10.53,9.62,10.16,11.34,12.31,13.56,15.59,17.59,18.22,17.88,17.94,18.09,17.06,15.31,13.69,12.81,11.38,8.91,6.59,4.91,3.59,2.09,1.0,1.88,3.75,4.19,4.59,5.31,6.44,6.75,6.97,7.97,9.81,11.16,11.34,11.22,11.25,10.38,7.88,5.31,3.81,2.72,1.5,0.44,0.56,1.47,2.19,2.91,4.09,6.34,8.0,8.88,9.81,11.09,12.41,12.22,11.5,10.62,10.19,8.56,6.5,5.03,4.06,2.41,0.16,-1.56,-2.03,-1.88,-1.75,-0.88,0.88,3.16,4.25,5.12,6.31,7.94,8.53,8.5,8.75,9.59,10.03,10.0,10.19,11.19,12.0,12.0,11.81,12.28,13.03,13.25,13.19,13.69,14.97,15.34,14.66,13.88,12.91,11.25,8.44,5.66,4.5,3.12,2.06,1.62,2.75,5.09,7.25,8.81,10.78,12.81,13.53,13.22,13.53,14.97,16.16,16.44,16.38,16.94,16.72,14.62,11.5,8.62,5.97,2.97,0.69,0.0,0.78,1.81,2.0,2.59,4.09,5.16,5.59,5.53,6.41,7.12,6.81,6.44,7.31,8.56,9.34,10.09,10.69,12.06,12.47,11.94,10.97,10.72,9.97,8.28,6.53,5.16,3.66,0.66,-2.75,-5.19,-6.78,-7.97,-8.5,-7.44,-4.88,-2.09,0.47,3.38,6.66,9.72,11.47,12.94,15.31,17.44,19.09,19.88,20.41,20.69,19.53,17.53,15.25,13.66,12.0,9.88,8.12,7.81,8.44,9.06,10.41,12.62,14.44,15.25,14.75,14.41,13.84,13.0,11.25,9.78,8.91,8.31,7.34,6.84,7.84,9.28,9.75,9.94,10.44,10.78,10.78,10.12,9.66,9.75,8.94,6.94,4.94,3.47,1.62,-0.66,-2.62,-2.97,-2.22,-1.16,0.09,2.09,4.38,6.12,6.62,8.0,9.88,11.84,12.88,13.75,14.91,15.38,14.06,11.81,10.0,8.44,7.0,6.06,6.53,7.5,8.03,7.28,6.25,4.94,3.69,2.09,1.53,2.97,4.81,6.34,7.56,9.06,10.16,10.0,8.69,8.19,8.09,8.19,7.84,8.25,8.78,8.56,6.78,4.62,3.12,1.72,0.44,-0.41,0.0,1.38,2.88,4.0,5.44,7.09,8.22,8.06,8.19,8.88,9.22,8.34,7.31,6.41,5.34,3.97,2.5,2.31,2.72,3.0,2.97,3.28,4.16,4.66,4.59,4.78,5.38,6.25,6.0,5.28,5.25,4.88,3.66,1.91,0.38,-0.38,-0.72,-0.84,-0.06,1.75,3.91,4.88,5.47,6.53,7.03,6.03,4.91,4.41,3.69,2.91,1.41,0.53,-0.03,-0.66,-2.03,-2.53,-1.62,-0.12,1.06,2.97,5.5,7.75,9.0,9.5,10.0,10.62,10.66,9.91,9.66,9.94,10.47,10.38,10.94,12.03,13.16,13.19,12.62,12.25,11.34,9.0,6.38,4.28,3.16,2.34,1.34,1.31,1.69,1.91,1.19,0.25,0.09,0.41,1.09,2.47,4.88,8.0,9.53,9.97,9.88,9.34,8.66,7.53,7.34,8.38,9.34,9.38,8.97,8.41,7.03,4.22,0.84,-1.91,-3.84,-5.16,-6.25,-5.84,-4.56,-3.0,-1.28,1.16,4.19,6.78,7.81,7.59,7.25,6.75,5.78,4.69,4.47,4.88,4.44,3.72,3.09,3.03,2.78,2.19,2.25,3.47,5.28,6.84,8.5,10.44,12.22,13.03,13.31,13.69,14.41,14.78,14.66,14.69,15.75,16.72,16.78,16.88,16.84,16.66,14.78,12.19,9.47,6.97,3.53,-0.16,-2.91,-4.84,-6.16,-7.44,-8.12,-7.62,-6.22,-5.38,-3.84,-1.03,2.38,5.75,9.25,13.0,16.66,18.53,18.88,18.38,17.94,16.88,15.06,13.62,12.44,11.41,9.69,7.69,6.06,4.91,3.69,3.06,4.03,7.25,10.56,13.19,15.75,17.88,18.16,17.0,15.5,14.56,13.62,12.69,12.19,12.62,13.0,12.28,10.44,7.84,5.84,3.44,1.41,0.56,1.25,3.16,4.88,6.41,8.72,10.5,10.75,10.75,11.12,12.06,12.34,12.78,13.25,14.06,14.03,13.38,12.19,11.44,10.19,8.03,5.91,4.72,4.38,4.0,4.53,6.22,9.0,11.09,12.84,14.16,15.19,15.03,13.81,12.31,11.56,11.25,10.88,10.44,10.66,11.22,11.16,11.56,12.16,13.41,14.19,14.44,14.16,14.81,15.59,15.38,15.19,15.66,16.06,15.47,14.44,13.78,13.34,12.34,11.0,9.84,10.0,10.09,9.78,9.38,9.78,10.28,9.69,8.91,9.09,9.69,9.69,9.47,10.0,10.56,11.16,11.12,11.59,12.94,14.22,14.66,15.0,15.84,16.84,16.69,16.12,16.25,15.94,14.72,12.84,11.09,10.0,8.94,7.75,7.72,8.66,9.78,10.78,11.0,12.22,13.59,14.0,14.66,16.16,18.38,19.91,20.41,20.94,21.44,20.91,19.84,18.97,19.56,20.09,19.44,18.56,18.22,17.22,15.03,12.75,11.28,11.16,11.25,11.47,12.88,14.81,16.59,17.34,17.5,18.38,18.66,18.03,17.72,18.19,19.22,19.75,19.84,20.59,21.16,21.38,21.0,20.84,20.94,20.47,18.78,17.28,15.88,14.66,13.44,12.22,12.28,12.62,12.69,12.62,13.03,14.06,15.19,15.5,16.97,19.25,21.41,22.69,23.5,24.22,24.38,23.66,22.09,21.56,21.44,21.25,21.03,20.91,21.28,20.66,19.09,17.81,17.28,16.97,16.44,16.41,17.19,18.16,18.62,18.19,18.53,19.22,19.59,19.44,20.22,21.88,23.06,23.94,25.03,26.78,28.97,30.03,30.25,30.59,30.59,29.09,26.62,25.03,24.06,23.31,22.5,22.19,22.47,22.09,20.44,18.34,16.59,15.19,13.66,12.78,13.81,16.19,18.44,19.72,21.19,22.62,23.06,23.09,23.78,25.12,26.53,26.53,26.12,26.19,26.03,24.53,22.09,19.88,18.28,16.28,14.41,14.81,16.0,17.44,18.06,19.19,21.19,23.16,24.72,26.16,28.06,29.66,29.78,29.22,28.69,27.84,26.38,23.28,20.44,18.0,15.44,12.44,10.34,9.66,9.69,9.5,10.41,12.72,16.03,18.62,20.62,22.38,23.88,24.69,23.97,23.59,23.41,23.09,22.0,21.5,22.06,22.88,22.97,22.56,22.41,22.31,20.88,18.84,17.47,16.72,16.19,15.47,16.09,17.72,19.72,21.03,22.38,24.5,26.44,26.88,26.56,26.34,25.88,24.91,23.53,22.94,23.03,22.94,21.72,20.94,20.84,20.81,20.22,20.12,20.66,21.47,21.03,19.94,19.47,19.0,18.09,16.94,16.28,16.34,17.78,18.28,20.25,22.94,25.25,25.72,25.44,25.0,24.28,22.5,20.78,20.03,19.94,20.22,19.88,20.38,21.34,22.03,21.25,21.0,21.25,21.44,20.44,19.19,18.88,18.38,17.38,16.09,15.38,15.81,16.0,15.88,16.12,17.06,18.0,18.16,18.94,21.44,24.62,26.38,27.47,28.16,28.12,26.5,23.72,21.12,19.34,17.34,15.0,13.59,13.41,13.56,12.72,12.09,12.03,11.97,11.12,10.59,11.28,12.41:28.28,26.19,23.31,20.62,18.91,17.81,16.78,15.81,16.59,17.84,18.53,18.62,18.22,18.5,18.91,19.44,20.84,23.25,25.5,26.5,26.28,25.72,24.78,22.88,20.5,19.41,19.34,19.69,19.81,20.97,22.88,24.47,25.25,25.59,26.22,26.31,25.53,23.94,23.47,23.06,22.81,22.53,23.88,26.31,28.81,30.53,32.28,34.03,35.09,34.34,32.5,31.22,29.62,27.41,25.91,25.91,26.53,26.94,26.0,25.56,25.16,23.88,21.5,19.75,18.81,18.03,16.72,16.53,18.09,20.5,22.97,25.41,29.0,32.16,34.25,35.56,37.22,38.47,39.44,39.06,38.78,38.47,37.59,35.91,34.0,33.16,32.0,30.12,27.94,26.31,25.44,23.97,22.12,20.88,20.75,20.94,20.41,20.62,21.38,22.16,21.81,21.5,22.03,23.28,23.84,24.12,24.47,24.59,24.16,22.81,21.78,21.56,21.06,19.94,18.94,18.44,18.12,16.91,15.97,15.59,15.62,14.88,13.47,12.75,12.19,11.34,10.0,9.09,8.97,9.09,7.97,7.19,7.5,8.34,8.31,8.25,9.06,10.25,10.91,10.97,11.62,12.91,13.94,13.88,14.28,15.62,16.72,16.41,16.25,16.41,17.31,16.81,16.09,15.69,15.47,14.44,12.62,12.62,13.88,15.28,15.69,15.69,16.16,15.91,14.5,13.66,13.88,15.19,15.56,15.41,15.31,15.28,14.34,12.53,11.62,11.88,13.03,13.62,14.88,17.16,18.25,17.66,16.44,15.31,14.38,13.19,12.25,12.78,14.03,15.31,16.28,17.78,20.25,21.81,21.81,20.97,20.47,19.78,17.78,16.28,15.94,16.62,16.28,15.62,15.38,15.38,15.0,13.59,12.25,11.78,12.44,12.03,12.44,14.25,16.19,16.25,15.5,14.59,13.06,10.31,7.31,5.0,4.44,5.0,5.62,7.62,10.72,13.81,15.09,15.81,16.81,17.84,17.88,18.06,18.25,18.94,18.44,17.44,16.47,16.12,16.25,15.16,14.22,14.03,14.0,13.06,12.34,12.28,12.62,12.22,11.06,10.41,9.97,9.28,8.0,6.97,7.25,7.81,7.56,8.06,9.53,11.5,13.06,14.69,17.12,20.09,21.97,23.34,24.84,26.34,26.69,26.19,24.88,23.69,22.31,19.75,17.59,16.69,17.38,17.62,17.72,18.47,19.16,18.34,16.5,14.62,13.5,12.03,10.53,9.62,10.16,11.34,12.31,13.56,15.59,17.59,18.22,17.88,17.94,18.09,17.06,15.31,13.69,12.81,11.38,8.91,6.59,4.91,3.59,2.09,1.0,1.88,3.75,4.19,4.59,5.31,6.44,6.75,6.97,7.97,9.81,11.16,11.34,11.22,11.25,10.38,7.88,5.31,3.81,2.72,1.5,0.44,0.56,1.47,2.19,2.91,4.09,6.34,8.0,8.88,9.81,11.09,12.41,12.22,11.5,10.62,10.19,8.56,6.5,5.03,4.06,2.41,0.16,-1.56,-2.03,-1.88,-1.75,-0.88,0.88,3.16,4.25,5.12,6.31,7.94,8.53,8.5,8.75,9.59,10.03,10.0,10.19,11.19,12.0,12.0,11.81,12.28,13.03,13.25,13.19,13.69,14.97,15.34,14.66,13.88,12.91,11.25,8.44,5.66,4.5,3.12,2.06,1.62,2.75,5.09,7.25,8.81,10.78,12.81,13.53,13.22,13.53,14.97,16.16,16.44,16.38,16.94,16.72,14.62,11.5,8.62,5.97,2.97,0.69,0.0,0.78,1.81,2.0,2.59,4.09,5.16,5.59,5.53,6.41,7.12,6.81,6.44,7.31,8.56,9.34,10.09,10.69,12.06,12.47,11.94,10.97,10.72,9.97,8.28,6.53,5.16,3.66,0.66,-2.75,-5.19,-6.78,-7.97,-8.5,-7.44,-4.88,-2.09,0.47,3.38,6.66,9.72,11.47,12.94,15.31,17.44,19.09,19.88,20.41,20.69,19.53,17.53,15.25,13.66,12.0,9.88,8.12,7.81,8.44,9.06,10.41,12.62,14.44,15.25,14.75,14.41,13.84,13.0,11.25,9.78,8.91,8.31,7.34,6.84,7.84,9.28,9.75,9.94,10.44,10.78,10.78,10.12,9.66,9.75,8.94,6.94,4.94,3.47,1.62,-0.66,-2.62,-2.97,-2.22,-1.16,0.09,2.09,4.38,6.12,6.62,8.0,9.88,11.84,12.88,13.75,14.91,15.38,14.06,11.81,10.0,8.44,7.0,6.06,6.53,7.5,8.03,7.28,6.25,4.94,3.69,2.09,1.53,2.97,4.81,6.34,7.56,9.06,10.16,10.0,8.69,8.19,8.09,8.19,7.84,8.25,8.78,8.56,6.78,4.62,3.12,1.72,0.44,-0.41,0.0,1.38,2.88,4.0,5.44,7.09,8.22,8.06,8.19,8.88,9.22,8.34,7.31,6.41,5.34,3.97,2.5,2.31,2.72,3.0,2.97,3.28,4.16,4.66,4.59,4.78,5.38,6.25,6.0,5.28,5.25,4.88,3.66,1.91,0.38,-0.38,-0.72,-0.84,-0.06,1.75,3.91,4.88,5.47,6.53,7.03,6.03,4.91,4.41,3.69,2.91,1.41,0.53,-0.03,-0.66,-2.03,-2.53,-1.62,-0.12,1.06,2.97,5.5,7.75,9.0,9.5,10.0,10.62,10.66,9.91,9.66,9.94,10.47,10.38,10.94,12.03,13.16,13.19,12.62,12.25,11.34,9.0,6.38,4.28,3.16,2.34,1.34,1.31,1.69,1.91,1.19,0.25,0.09,0.41,1.09,2.47,4.88,8.0,9.53,9.97,9.88,9.34,8.66,7.53,7.34,8.38,9.34,9.38,8.97,8.41,7.03,4.22,0.84,-1.91,-3.84,-5.16,-6.25,-5.84,-4.56,-3.0,-1.28,1.16,4.19,6.78,7.81,7.59,7.25,6.75,5.78,4.69,4.47,4.88,4.44,3.72,3.09,3.03,2.78,2.19,2.25,3.47,5.28,6.84,8.5,10.44,12.22,13.03,13.31,13.69,14.41,14.78,14.66,14.69,15.75,16.72,16.78,16.88,16.84,16.66,14.78,12.19,9.47,6.97,3.53,-0.16,-2.91,-4.84,-6.16,-7.44,-8.12,-7.62,-6.22,-5.38,-3.84,-1.03,2.38,5.75,9.25,13.0,16.66,18.53,18.88,18.38,17.94,16.88,15.06,13.62,12.44,11.41,9.69,7.69,6.06,4.91,3.69,3.06,4.03,7.25,10.56,13.19,15.75,17.88,18.16,17.0,15.5,14.56,13.62,12.69,12.19,12.62,13.0,12.28,10.44,7.84,5.84,3.44,1.41,0.56,1.25,3.16,4.88,6.41,8.72,10.5,10.75,10.75,11.12,12.06,12.34,12.78,13.25,14.06,14.03,13.38,12.19,11.44,10.19,8.03,5.91,4.72,4.38,4.0,4.53,6.22,9.0,11.09,12.84,14.16,15.19,15.03,13.81,12.31,11.56,11.25,10.88,10.44,10.66,11.22,11.16,11.56,12.16,13.41,14.19,14.44,14.16,14.81,15.59,15.38,15.19,15.66,16.06,15.47,14.44,13.78,13.34,12.34,11.0,9.84,10.0,10.09,9.78,9.38,9.78,10.28,9.69,8.91,9.09,9.69,9.69,9.47,10.0,10.56,11.16,11.12,11.59,12.94,14.22,14.66,15.0,15.84,16.84,16.69,16.12,16.25,15.94,14.72,12.84,11.09,10.0,8.94,7.75,7.72,8.66,9.78,10.78,11.0,12.22,13.59,14.0,14.66,16.16,18.38,19.91,20.41,20.94,21.44,20.91,19.84,18.97,19.56,20.09,19.44,18.56,18.22,17.22,15.03,12.75,11.28,11.16,11.25,11.47,12.88,14.81,16.59,17.34,17.5,18.38,18.66,18.03,17.72,18.19,19.22,19.75,19.84,20.59,21.16,21.38,21.0,20.84,20.94,20.47,18.78,17.28,15.88,14.66,13.44,12.22,12.28,12.62,12.69,12.62,13.03,14.06,15.19,15.5,16.97,19.25,21.41,22.69,23.5,24.22,24.38,23.66,22.09,21.56,21.44,21.25,21.03,20.91,21.28,20.66,19.09,17.81,17.28,16.97,16.44,16.41,17.19,18.16,18.62,18.19,18.53,19.22,19.59,19.44,20.22,21.88,23.06,23.94,25.03,26.78,28.97,30.03,30.25,30.59,30.59,29.09,26.62,25.03,24.06,23.31,22.5,22.19,22.47,22.09,20.44,18.34,16.59,15.19,13.66,12.78,13.81,16.19,18.44,19.72,21.19,22.62,23.06,23.09,23.78,25.12,26.53,26.53,26.12,26.19,26.03,24.53,22.09,19.88,18.28,16.28,14.41,14.81,16.0,17.44,18.06,19.19,21.19,23.16,24.72,26.16,28.06,29.66,29.78,29.22,28.69,27.84,26.38,23.28,20.44,18.0,15.44,12.44,10.34,9.66,9.69,9.5,10.41,12.72,16.03,18.62,20.62,22.38,23.88,24.69,23.97,23.59,23.41,23.09,22.0,21.5,22.06,22.88,22.97,22.56,22.41,22.31,20.88,18.84,17.47,16.72,16.19,15.47,16.09,17.72,19.72,21.03,22.38,24.5,26.44,26.88,26.56,26.34,25.88,24.91,23.53,22.94,23.03,22.94,21.72,20.94,20.84,20.81,20.22,20.12,20.66,21.47,21.03,19.94,19.47,19.0,18.09,16.94,16.28,16.34,17.78,18.28,20.25,22.94,25.25,25.72,25.44,25.0,24.28,22.5,20.78,20.03,19.94,20.22,19.88,20.38,21.34,22.03,21.25,21.0,21.25,21.44,20.44,19.19,18.88,18.38,17.38,16.09,15.38,15.81,16.0,15.88,16.12,17.06,18.0,18.16,18.94,21.44,24.62,26.38,27.47,28.16,28.12,26.5,23.72,21.12,19.34,17.34,15.0,13.59,13.41,13.56,12.72,12.09,12.03,11.97,11.12,10.59,11.28,12.41,63.5,63.22,63.66,64.16,64.66,64.5,63.81:15.81,16.59,17.84,18.53,18.62,18.22,18.5,18.91,19.44,20.84,23.25,25.5,26.5,26.28,25.72,24.78,22.88,20.5,19.41,19.34,19.69,19.81,20.97,22.88,24.47,25.25,25.59,26.22,26.31,25.53,23.94,23.47,23.06,22.81,22.53,23.88,26.31,28.81,30.53,32.28,34.03,35.09,34.34,32.5,31.22,29.62,27.41,25.91,25.91,26.53,26.94,26.0,25.56,25.16,23.88,21.5,19.75,18.81,18.03,16.72,16.53,18.09,20.5,22.97,25.41,29.0,32.16,34.25,35.56,37.22,38.47,39.44,39.06,38.78,38.47,37.59,35.91,34.0,33.16,32.0,30.12,27.94,26.31,25.44,23.97,22.12,20.88,20.75,20.94,20.41,20.62,21.38,22.16,21.81,21.5,22.03,23.28,23.84,24.12,24.47,24.59,24.16,22.81,21.78,21.56,21.06,19.94,18.94,18.44,18.12,16.91,15.97,15.59,15.62,14.88,13.47,12.75,12.19,11.34,10.0,9.09,8.97,9.09,7.97,7.19,7.5,8.34,8.31,8.25,9.06,10.25,10.91,10.97,11.62,12.91,13.94,13.88,14.28,15.62,16.72,16.41,16.25,16.41,17.31,16.81,16.09,15.69,15.47,14.44,12.62,12.62,13.88,15.28,15.69,15.69,16.16,15.91,14.5,13.66,13.88,15.19,15.56,15.41,15.31,15.28,14.34,12.53,11.62,11.88,13.03,13.62,14.88,17.16,18.25,17.66,16.44,15.31,14.38,13.19,12.25,12.78,14.03,15.31,16.28,17.78,20.25,21.81,21.81,20.97,20.47,19.78,17.78,16.28,15.94,16.62,16.28,15.62,15.38,15.38,15.0,13.59,12.25,11.78,12.44,12.03,12.44,14.25,16.19,16.25,15.5,14.59,13.06,10.31,7.31,5.0,4.44,5.0,5.62,7.62,10.72,13.81,15.09,15.81,16.81,17.84,17.88,18.06,18.25,18.94,18.44,17.44,16.47,16.12,16.25,15.16,14.22,14.03,14.0,13.06,12.34,12.28,12.62,12.22,11.06,10.41,9.97,9.28,8.0,6.97,7.25,7.81,7.56,8.06,9.53,11.5,13.06,14.69,17.12,20.09,21.97,23.34,24.84,26.34,26.69,26.19,24.88,23.69,22.31,19.75,17.59,16.69,17.38,17.62,17.72,18.47,19.16,18.34,16.5,14.62,13.5,12.03,10.53,9.62,10.16,11.34,12.31,13.56,15.59,17.59,18.22,17.88,17.94,18.09,17.06,15.31,13.69,12.81,11.38,8.91,6.59,4.91,3.59,2.09,1.0,1.88,3.75,4.19,4.59,5.31,6.44,6.75,6.97,7.97,9.81,11.16,11.34,11.22,11.25,10.38,7.88,5.31,3.81,2.72,1.5,0.44,0.56,1.47,2.19,2.91,4.09,6.34,8.0,8.88,9.81,11.09,12.41,12.22,11.5,10.62,10.19,8.56,6.5,5.03,4.06,2.41,0.16,-1.56,-2.03,-1.88,-1.75,-0.88,0.88,3.16,4.25,5.12,6.31,7.94,8.53,8.5,8.75,9.59,10.03,10.0,10.19,11.19,12.0,12.0,11.81,12.28,13.03,13.25,13.19,13.69,14.97,15.34,14.66,13.88,12.91,11.25,8.44,5.66,4.5,3.12,2.06,1.62,2.75,5.09,7.25,8.81,10.78,12.81,13.53,13.22,13.53,14.97,16.16,16.44,16.38,16.94,16.72,14.62,11.5,8.62,5.97,2.97,0.69,0.0,0.78,1.81,2.0,2.59,4.09,5.16,5.59,5.53,6.41,7.12,6.81,6.44,7.31,8.56,9.34,10.09,10.69,12.06,12.47,11.94,10.97,10.72,9.97,8.28,6.53,5.16,3.66,0.66,-2.75,-5.19,-6.78,-7.97,-8.5,-7.44,-4.88,-2.09,0.47,3.38,6.66,9.72,11.47,12.94,15.31,17.44,19.09,19.88,20.41,20.69,19.53,17.53,15.25,13.66,12.0,9.88,8.12,7.81,8.44,9.06,10.41,12.62,14.44,15.25,14.75,14.41,13.84,13.0,11.25,9.78,8.91,8.31,7.34,6.84,7.84,9.28,9.75,9.94,10.44,10.78,10.78,10.12,9.66,9.75,8.94,6.94,4.94,3.47,1.62,-0.66,-2.62,-2.97,-2.22,-1.16,0.09,2.09,4.38,6.12,6.62,8.0,9.88,11.84,12.88,13.75,14.91,15.38,14.06,11.81,10.0,8.44,7.0,6.06,6.53,7.5,8.03,7.28,6.25,4.94,3.69,2.09,1.53,2.97,4.81,6.34,7.56,9.06,10.16,10.0,8.69,8.19,8.09,8.19,7.84,8.25,8.78,8.56,6.78,4.62,3.12,1.72,0.44,-0.41,0.0,1.38,2.88,4.0,5.44,7.09,8.22,8.06,8.19,8.88,9.22,8.34,7.31,6.41,5.34,3.97,2.5,2.31,2.72,3.0,2.97,3.28,4.16,4.66,4.59,4.78,5.38,6.25,6.0,5.28,5.25,4.88,3.66,1.91,0.38,-0.38,-0.72,-0.84,-0.06,1.75,3.91,4.88,5.47,6.53,7.03,6.03,4.91,4.41,3.69,2.91,1.41,0.53,-0.03,-0.66,-2.03,-2.53,-1.62,-0.12,1.06,2.97,5.5,7.75,9.0,9.5,10.0,10.62,10.66,9.91,9.66,9.94,10.47,10.38,10.94,12.03,13.16,13.19,12.62,12.25,11.34,9.0,6.38,4.28,3.16,2.34,1.34,1.31,1.69,1.91,1.19,0.25,0.09,0.41,1.09,2.47,4.88,8.0,9.53,9.97,9.88,9.34,8.66,7.53,7.34,8.38,9.34,9.38,8.97,8.41,7.03,4.22,0.84,-1.91,-3.84,-5.16,-6.25,-5.84,-4.56,-3.0,-1.28,1.16,4.19,6.78,7.81,7.59,7.25,6.75,5.78,4.69,4.47,4.88,4.44,3.72,3.09,3.03,2.78,2.19,2.25,3.47,5.28,6.84,8.5,10.44,12.22,13.03,13.31,13.69,14.41,14.78,14.66,14.69,15.75,16.72,16.78,16.88,16.84,16.66,14.78,12.19,9.47,6.97,3.53,-0.16,-2.91,-4.84,-6.16,-7.44,-8.12,-7.62,-6.22,-5.38,-3.84,-1.03,2.38,5.75,9.25,13.0,16.66,18.53,18.88,18.38,17.94,16.88,15.06,13.62,12.44,11.41,9.69,7.69,6.06,4.91,3.69,3.06,4.03,7.25,10.56,13.19,15.75,17.88,18.16,17.0,15.5,14.56,13.62,12.69,12.19,12.62,13.0,12.28,10.44,7.84,5.84,3.44,1.41,0.56,1.25,3.16,4.88,6.41,8.72,10.5,10.75,10.75,11.12,12.06,12.34,12.78,13.25,14.06,14.03,13.38,12.19,11.44,10.19,8.03,5.91,4.72,4.38,4.0,4.53,6.22,9.0,11.09,12.84,14.16,15.19,15.03,13.81,12.31,11.56,11.25,10.88,10.44,10.66,11.22,11.16,11.56,12.16,13.41,14.19,14.44,14.16,14.81,15.59,15.38,15.19,15.66,16.06,15.47,14.44,13.78,13.34,12.34,11.0,9.84,10.0,10.09,9.78,9.38,9.78,10.28,9.69,8.91,9.09,9.69,9.69,9.47,10.0,10.56,11.16,11.12,11.59,12.94,14.22,14.66,15.0,15.84,16.84,16.69,16.12,16.25,15.94,14.72,12.84,11.09,10.0,8.94,7.75,7.72,8.66,9.78,10.78,11.0,12.22,13.59,14.0,14.66,16.16,18.38,19.91,20.41,20.94,21.44,20.91,19.84,18.97,19.56,20.09,19.44,18.56,18.22,17.22,15.03,12.75,11.28,11.16,11.25,11.47,12.88,14.81,16.59,17.34,17.5,18.38,18.66,18.03,17.72,18.19,19.22,19.75,19.84,20.59,21.16,21.38,21.0,20.84,20.94,20.47,18.78,17.28,15.88,14.66,13.44,12.22,12.28,12.62,12.69,12.62,13.03,14.06,15.19,15.5,16.97,19.25,21.41,22.69,23.5,24.22,24.38,23.66,22.09,21.56,21.44,21.25,21.03,20.91,21.28,20.66,19.09,17.81,17.28,16.97,16.44,16.41,17.19,18.16,18.62,18.19,18.53,19.22,19.59,19.44,20.22,21.88,23.06,23.94,25.03,26.78,28.97,30.03,30.25,30.59,30.59,29.09,26.62,25.03,24.06,23.31,22.5,22.19,22.47,22.09,20.44,18.34,16.59,15.19,13.66,12.78,13.81,16.19,18.44,19.72,21.19,22.62,23.06,23.09,23.78,25.12,26.53,26.53,26.12,26.19,26.03,24.53,22.09,19.88,18.28,16.28,14.41,14.81,16.0,17.44,18.06,19.19,21.19,23.16,24.72,26.16,28.06,29.66,29.78,29.22,28.69,27.84,26.38,23.28,20.44,18.0,15.44,12.44,10.34,9.66,9.69,9.5,10.41,12.72,16.03,18.62,20.62,22.38,23.88,24.69,23.97,23.59,23.41,23.09,22.0,21.5,22.06,22.88,22.97,22.56,22.41,22.31,20.88,18.84,17.47,16.72,16.19,15.47,16.09,17.72,19.72,21.03,22.38,24.5,26.44,26.88,26.56,26.34,25.88,24.91,23.53,22.94,23.03,22.94,21.72,20.94,20.84,20.81,20.22,20.12,20.66,21.47,21.03,19.94,19.47,19.0,18.09,16.94,16.28,16.34,17.78,18.28,20.25,22.94,25.25,25.72,25.44,25.0,24.28,22.5,20.78,20.03,19.94,20.22,19.88,20.38,21.34,22.03,21.25,21.0,21.25,21.44,20.44,19.19,18.88,18.38,17.38,16.09,15.38,15.81,16.0,15.88,16.12,17.06,18.0,18.16,18.94,21.44,24.62,26.38,27.47,28.16,28.12,26.5,23.72,21.12,19.34,17.34,15.0,13.59,13.41,13.56,12.72,12.09,12.03,11.97,11.12,10.59,11.28,12.41,63.5,63.22,63.66,64.16,64.66,64.5,63.81,62.62,61.06,59.88,58.25,56.84,55.97,55.75:18.91,19.44,20.84,23.25,25.5,26.5,26.28,25.72,24.78,22.88,20.5,19.41,19.34,19.69,19.81,20.97,22.88,24.47,25.25,25.59,26.22,26.31,25.53,23.94,23.47,23.06,22.81,22.53,23.88,26.31,28.81,30.53,32.28,34.03,35.09,34.34,32.5,31.22,29.62,27.41,25.91,25.91,26.53,26.94,26.0,25.56,25.16,23.88,21.5,19.75,18.81,18.03,16.72,16.53,18.09,20.5,22.97,25.41,29.0,32.16,34.25,35.56,37.22,38.47,39.44,39.06,38.78,38.47,37.59,35.91,34.0,33.16,32.0,30.12,27.94,26.31,25.44,23.97,22.12,20.88,20.75,20.94,20.41,20.62,21.38,22.16,21.81,21.5,22.03,23.28,23.84,24.12,24.47,24.59,24.16,22.81,21.78,21.56,21.06,19.94,18.94,18.44,18.12,16.91,15.97,15.59,15.62,14.88,13.47,12.75,12.19,11.34,10.0,9.09,8.97,9.09,7.97,7.19,7.5,8.34,8.31,8.25,9.06,10.25,10.91,10.97,11.62,12.91,13.94,13.88,14.28,15.62,16.72,16.41,16.25,16.41,17.31,16.81,16.09,15.69,15.47,14.44,12.62,12.62,13.88,15.28,15.69,15.69,16.16,15.91,14.5,13.66,13.88,15.19,15.56,15.41,15.31,15.28,14.34,12.53,11.62,11.88,13.03,13.62,14.88,17.16,18.25,17.66,16.44,15.31,14.38,13.19,12.25,12.78,14.03,15.31,16.28,17.78,20.25,21.81,21.81,20.97,20.47,19.78,17.78,16.28,15.94,16.62,16.28,15.62,15.38,15.38,15.0,13.59,12.25,11.78,12.44,12.03,12.44,14.25,16.19,16.25,15.5,14.59,13.06,10.31,7.31,5.0,4.44,5.0,5.62,7.62,10.72,13.81,15.09,15.81,16.81,17.84,17.88,18.06,18.25,18.94,18.44,17.44,16.47,16.12,16.25,15.16,14.22,14.03,14.0,13.06,12.34,12.28,12.62,12.22,11.06,10.41,9.97,9.28,8.0,6.97,7.25,7.81,7.56,8.06,9.53,11.5,13.06,14.69,17.12,20.09,21.97,23.34,24.84,26.34,26.69,26.19,24.88,23.69,22.31,19.75,17.59,16.69,17.38,17.62,17.72,18.47,19.16,18.34,16.5,14.62,13.5,12.03,10.53,9.62,10.16,11.34,12.31,13.56,15.59,17.59,18.22,17.88,17.94,18.09,17.06,15.31,13.69,12.81,11.38,8.91,6.59,4.91,3.59,2.09,1.0,1.88,3.75,4.19,4.59,5.31,6.44,6.75,6.97,7.97,9.81,11.16,11.34,11.22,11.25,10.38,7.88,5.31,3.81,2.72,1.5,0.44,0.56,1.47,2.19,2.91,4.09,6.34,8.0,8.88,9.81,11.09,12.41,12.22,11.5,10.62,10.19,8.56,6.5,5.03,4.06,2.41,0.16,-1.56,-2.03,-1.88,-1.75,-0.88,0.88,3.16,4.25,5.12,6.31,7.94,8.53,8.5,8.75,9.59,10.03,10.0,10.19,11.19,12.0,12.0,11.81,12.28,13.03,13.25,13.19,13.69,14.97,15.34,14.66,13.88,12.91,11.25,8.44,5.66,4.5,3.12,2.06,1.62,2.75,5.09,7.25,8.81,10.78,12.81,13.53,13.22,13.53,14.97,16.16,16.44,16.38,16.94,16.72,14.62,11.5,8.62,5.97,2.97,0.69,0.0,0.78,1.81,2.0,2.59,4.09,5.16,5.59,5.53,6.41,7.12,6.81,6.44,7.31,8.56,9.34,10.09,10.69,12.06,12.47,11.94,10.97,10.72,9.97,8.28,6.53,5.16,3.66,0.66,-2.75,-5.19,-6.78,-7.97,-8.5,-7.44,-4.88,-2.09,0.47,3.38,6.66,9.72,11.47,12.94,15.31,17.44,19.09,19.88,20.41,20.69,19.53,17.53,15.25,13.66,12.0,9.88,8.12,7.81,8.44,9.06,10.41,12.62,14.44,15.25,14.75,14.41,13.84,13.0,11.25,9.78,8.91,8.31,7.34,6.84,7.84,9.28,9.75,9.94,10.44,10.78,10.78,10.12,9.66,9.75,8.94,6.94,4.94,3.47,1.62,-0.66,-2.62,-2.97,-2.22,-1.16,0.09,2.09,4.38,6.12,6.62,8.0,9.88,11.84,12.88,13.75,14.91,15.38,14.06,11.81,10.0,8.44,7.0,6.06,6.53,7.5,8.03,7.28,6.25,4.94,3.69,2.09,1.53,2.97,4.81,6.34,7.56,9.06,10.16,10.0,8.69,8.19,8.09,8.19,7.84,8.25,8.78,8.56,6.78,4.62,3.12,1.72,0.44,-0.41,0.0,1.38,2.88,4.0,5.44,7.09,8.22,8.06,8.19,8.88,9.22,8.34,7.31,6.41,5.34,3.97,2.5,2.31,2.72,3.0,2.97,3.28,4.16,4.66,4.59,4.78,5.38,6.25,6.0,5.28,5.25,4.88,3.66,1.91,0.38,-0.38,-0.72,-0.84,-0.06,1.75,3.91,4.88,5.47,6.53,7.03,6.03,4.91,4.41,3.69,2.91,1.41,0.53,-0.03,-0.66,-2.03,-2.53,-1.62,-0.12,1.06,2.97,5.5,7.75,9.0,9.5,10.0,10.62,10.66,9.91,9.66,9.94,10.47,10.38,10.94,12.03,13.16,13.19,12.62,12.25,11.34,9.0,6.38,4.28,3.16,2.34,1.34,1.31,1.69,1.91,1.19,0.25,0.09,0.41,1.09,2.47,4.88,8.0,9.53,9.97,9.88,9.34,8.66,7.53,7.34,8.38,9.34,9.38,8.97,8.41,7.03,4.22,0.84,-1.91,-3.84,-5.16,-6.25,-5.84,-4.56,-3.0,-1.28,1.16,4.19,6.78,7.81,7.59,7.25,6.75,5.78,4.69,4.47,4.88,4.44,3.72,3.09,3.03,2.78,2.19,2.25,3.47,5.28,6.84,8.5,10.44,12.22,13.03,13.31,13.69,14.41,14.78,14.66,14.69,15.75,16.72,16.78,16.88,16.84,16.66,14.78,12.19,9.47,6.97,3.53,-0.16,-2.91,-4.84,-6.16,-7.44,-8.12,-7.62,-6.22,-5.38,-3.84,-1.03,2.38,5.75,9.25,13.0,16.66,18.53,18.88,18.38,17.94,16.88,15.06,13.62,12.44,11.41,9.69,7.69,6.06,4.91,3.69,3.06,4.03,7.25,10.56,13.19,15.75,17.88,18.16,17.0,15.5,14.56,13.62,12.69,12.19,12.62,13.0,12.28,10.44,7.84,5.84,3.44,1.41,0.56,1.25,3.16,4.88,6.41,8.72,10.5,10.75,10.75,11.12,12.06,12.34,12.78,13.25,14.06,14.03,13.38,12.19,11.44,10.19,8.03,5.91,4.72,4.38,4.0,4.53,6.22,9.0,11.09,12.84,14.16,15.19,15.03,13.81,12.31,11.56,11.25,10.88,10.44,10.66,11.22,11.16,11.56,12.16,13.41,14.19,14.44,14.16,14.81,15.59,15.38,15.19,15.66,16.06,15.47,14.44,13.78,13.34,12.34,11.0,9.84,10.0,10.09,9.78,9.38,9.78,10.28,9.69,8.91,9.09,9.69,9.69,9.47,10.0,10.56,11.16,11.12,11.59,12.94,14.22,14.66,15.0,15.84,16.84,16.69,16.12,16.25,15.94,14.72,12.84,11.09,10.0,8.94,7.75,7.72,8.66,9.78,10.78,11.0,12.22,13.59,14.0,14.66,16.16,18.38,19.91,20.41,20.94,21.44,20.91,19.84,18.97,19.56,20.09,19.44,18.56,18.22,17.22,15.03,12.75,11.28,11.16,11.25,11.47,12.88,14.81,16.59,17.34,17.5,18.38,18.66,18.03,17.72,18.19,19.22,19.75,19.84,20.59,21.16,21.38,21.0,20.84,20.94,20.47,18.78,17.28,15.88,14.66,13.44,12.22,12.28,12.62,12.69,12.62,13.03,14.06,15.19,15.5,16.97,19.25,21.41,22.69,23.5,24.22,24.38,23.66,22.09,21.56,21.44,21.25,21.03,20.91,21.28,20.66,19.09,17.81,17.28,16.97,16.44,16.41,17.19,18.16,18.62,18.19,18.53,19.22,19.59,19.44,20.22,21.88,23.06,23.94,25.03,26.78,28.97,30.03,30.25,30.59,30.59,29.09,26.62,25.03,24.06,23.31,22.5,22.19,22.47,22.09,20.44,18.34,16.59,15.19,13.66,12.78,13.81,16.19,18.44,19.72,21.19,22.62,23.06,23.09,23.78,25.12,26.53,26.53,26.12,26.19,26.03,24.53,22.09,19.88,18.28,16.28,14.41,14.81,16.0,17.44,18.06,19.19,21.19,23.16,24.72,26.16,28.06,29.66,29.78,29.22,28.69,27.84,26.38,23.28,20.44,18.0,15.44,12.44,10.34,9.66,9.69,9.5,10.41,12.72,16.03,18.62,20.62,22.38,23.88,24.69,23.97,23.59,23.41,23.09,22.0,21.5,22.06,22.88,22.97,22.56,22.41,22.31,20.88,18.84,17.47,16.72,16.19,15.47,16.09,17.72,19.72,21.03,22.38,24.5,26.44,26.88,26.56,26.34,25.88,24.91,23.53,22.94,23.03,22.94,21.72,20.94,20.84,20.81,20.22,20.12,20.66,21.47,21.03,19.94,19.47,19.0,18.09,16.94,16.28,16.34,17.78,18.28,20.25,22.94,25.25,25.72,25.44,25.0,24.28,22.5,20.78,20.03,19.94,20.22,19.88,20.38,21.34,22.03,21.25,21.0,21.25,21.44,20.44,19.19,18.88,18.38,17.38,16.09,15.38,15.81,16.0,15.88,16.12,17.06,18.0,18.16,18.94,21.44,24.62,26.38,27.47,28.16,28.12,26.5,23.72,21.12,19.34,17.34,15.0,13.59,13.41,13.56,12.72,12.09,12.03,11.97,11.12,10.59,11.28,12.41,63.5,63.22,63.66,64.16,64.66,64.5,63.81,62.62,61.06,59.88,58.25,56.84,55.97,55.75,55.69,56.22,56.84,57.66,58.09,57.44,56.94:25.72,24.78,22.88,20.5,19.41,19.34,19.69,19.81,20.97,22.88,24.47,25.25,25.59,26.22,26.31,25.53,23.94,23.47,23.06,22.81,22.53,23.88,26.31,28.81,30.53,32.28,34.03,35.09,34.34,32.5,31.22,29.62,27.41,25.91,25.91,26.53,26.94,26.0,25.56,25.16,23.88,21.5,19.75,18.81,18.03,16.72,16.53,18.09,20.5,22.97,25.41,29.0,32.16,34.25,35.56,37.22,38.47,39.44,39.06,38.78,38.47,37.59,35.91,34.0,33.16,32.0,30.12,27.94,26.31,25.44,23.97,22.12,20.88,20.75,20.94,20.41,20.62,21.38,22.16,21.81,21.5,22.03,23.28,23.84,24.12,24.47,24.59,24.16,22.81,21.78,21.56,21.06,19.94,18.94,18.44,18.12,16.91,15.97,15.59,15.62,14.88,13.47,12.75,12.19,11.34,10.0,9.09,8.97,9.09,7.97,7.19,7.5,8.34,8.31,8.25,9.06,10.25,10.91,10.97,11.62,12.91,13.94,13.88,14.28,15.62,16.72,16.41,16.25,16.41,17.31,16.81,16.09,15.69,15.47,14.44,12.62,12.62,13.88,15.28,15.69,15.69,16.16,15.91,14.5,13.66,13.88,15.19,15.56,15.41,15.31,15.28,14.34,12.53,11.62,11.88,13.03,13.62,14.88,17.16,18.25,17.66,16.44,15.31,14.38,13.19,12.25,12.78,14.03,15.31,16.28,17.78,20.25,21.81,21.81,20.97,20.47,19.78,17.78,16.28,15.94,16.62,16.28,15.62,15.38,15.38,15.0,13.59,12.25,11.78,12.44,12.03,12.44,14.25,16.19,16.25,15.5,14.59,13.06,10.31,7.31,5.0,4.44,5.0,5.62,7.62,10.72,13.81,15.09,15.81,16.81,17.84,17.88,18.06,18.25,18.94,18.44,17.44,16.47,16.12,16.25,15.16,14.22,14.03,14.0,13.06,12.34,12.28,12.62,12.22,11.06,10.41,9.97,9.28,8.0,6.97,7.25,7.81,7.56,8.06,9.53,11.5,13.06,14.69,17.12,20.09,21.97,23.34,24.84,26.34,26.69,26.19,24.88,23.69,22.31,19.75,17.59,16.69,17.38,17.62,17.72,18.47,19.16,18.34,16.5,14.62,13.5,12.03,10.53,9.62,10.16,11.34,12.31,13.56,15.59,17.59,18.22,17.88,17.94,18.09,17.06,15.31,13.69,12.81,11.38,8.91,6.59,4.91,3.59,2.09,1.0,1.88,3.75,4.19,4.59,5.31,6.44,6.75,6.97,7.97,9.81,11.16,11.34,11.22,11.25,10.38,7.88,5.31,3.81,2.72,1.5,0.44,0.56,1.47,2.19,2.91,4.09,6.34,8.0,8.88,9.81,11.09,12.41,12.22,11.5,10.62,10.19,8.56,6.5,5.03,4.06,2.41,0.16,-1.56,-2.03,-1.88,-1.75,-0.88,0.88,3.16,4.25,5.12,6.31,7.94,8.53,8.5,8.75,9.59,10.03,10.0,10.19,11.19,12.0,12.0,11.81,12.28,13.03,13.25,13.19,13.69,14.97,15.34,14.66,13.88,12.91,11.25,8.44,5.66,4.5,3.12,2.06,1.62,2.75,5.09,7.25,8.81,10.78,12.81,13.53,13.22,13.53,14.97,16.16,16.44,16.38,16.94,16.72,14.62,11.5,8.62,5.97,2.97,0.69,0.0,0.78,1.81,2.0,2.59,4.09,5.16,5.59,5.53,6.41,7.12,6.81,6.44,7.31,8.56,9.34,10.09,10.69,12.06,12.47,11.94,10.97,10.72,9.97,8.28,6.53,5.16,3.66,0.66,-2.75,-5.19,-6.78,-7.97,-8.5,-7.44,-4.88,-2.09,0.47,3.38,6.66,9.72,11.47,12.94,15.31,17.44,19.09,19.88,20.41,20.69,19.53,17.53,15.25,13.66,12.0,9.88,8.12,7.81,8.44,9.06,10.41,12.62,14.44,15.25,14.75,14.41,13.84,13.0,11.25,9.78,8.91,8.31,7.34,6.84,7.84,9.28,9.75,9.94,10.44,10.78,10.78,10.12,9.66,9.75,8.94,6.94,4.94,3.47,1.62,-0.66,-2.62,-2.97,-2.22,-1.16,0.09,2.09,4.38,6.12,6.62,8.0,9.88,11.84,12.88,13.75,14.91,15.38,14.06,11.81,10.0,8.44,7.0,6.06,6.53,7.5,8.03,7.28,6.25,4.94,3.69,2.09,1.53,2.97,4.81,6.34,7.56,9.06,10.16,10.0,8.69,8.19,8.09,8.19,7.84,8.25,8.78,8.56,6.78,4.62,3.12,1.72,0.44,-0.41,0.0,1.38,2.88,4.0,5.44,7.09,8.22,8.06,8.19,8.88,9.22,8.34,7.31,6.41,5.34,3.97,2.5,2.31,2.72,3.0,2.97,3.28,4.16,4.66,4.59,4.78,5.38,6.25,6.0,5.28,5.25,4.88,3.66,1.91,0.38,-0.38,-0.72,-0.84,-0.06,1.75,3.91,4.88,5.47,6.53,7.03,6.03,4.91,4.41,3.69,2.91,1.41,0.53,-0.03,-0.66,-2.03,-2.53,-1.62,-0.12,1.06,2.97,5.5,7.75,9.0,9.5,10.0,10.62,10.66,9.91,9.66,9.94,10.47,10.38,10.94,12.03,13.16,13.19,12.62,12.25,11.34,9.0,6.38,4.28,3.16,2.34,1.34,1.31,1.69,1.91,1.19,0.25,0.09,0.41,1.09,2.47,4.88,8.0,9.53,9.97,9.88,9.34,8.66,7.53,7.34,8.38,9.34,9.38,8.97,8.41,7.03,4.22,0.84,-1.91,-3.84,-5.16,-6.25,-5.84,-4.56,-3.0,-1.28,1.16,4.19,6.78,7.81,7.59,7.25,6.75,5.78,4.69,4.47,4.88,4.44,3.72,3.09,3.03,2.78,2.19,2.25,3.47,5.28,6.84,8.5,10.44,12.22,13.03,13.31,13.69,14.41,14.78,14.66,14.69,15.75,16.72,16.78,16.88,16.84,16.66,14.78,12.19,9.47,6.97,3.53,-0.16,-2.91,-4.84,-6.16,-7.44,-8.12,-7.62,-6.22,-5.38,-3.84,-1.03,2.38,5.75,9.25,13.0,16.66,18.53,18.88,18.38,17.94,16.88,15.06,13.62,12.44,11.41,9.69,7.69,6.06,4.91,3.69,3.06,4.03,7.25,10.56,13.19,15.75,17.88,18.16,17.0,15.5,14.56,13.62,12.69,12.19,12.62,13.0,12.28,10.44,7.84,5.84,3.44,1.41,0.56,1.25,3.16,4.88,6.41,8.72,10.5,10.75,10.75,11.12,12.06,12.34,12.78,13.25,14.06,14.03,13.38,12.19,11.44,10.19,8.03,5.91,4.72,4.38,4.0,4.53,6.22,9.0,11.09,12.84,14.16,15.19,15.03,13.81,12.31,11.56,11.25,10.88,10.44,10.66,11.22,11.16,11.56,12.16,13.41,14.19,14.44,14.16,14.81,15.59,15.38,15.19,15.66,16.06,15.47,14.44,13.78,13.34,12.34,11.0,9.84,10.0,10.09,9.78,9.38,9.78,10.28,9.69,8.91,9.09,9.69,9.69,9.47,10.0,10.56,11.16,11.12,11.59,12.94,14.22,14.66,15.0,15.84,16.84,16.69,16.12,16.25,15.94,14.72,12.84,11.09,10.0,8.94,7.75,7.72,8.66,9.78,10.78,11.0,12.22,13.59,14.0,14.66,16.16,18.38,19.91,20.41,20.94,21.44,20.91,19.84,18.97,19.56,20.09,19.44,18.56,18.22,17.22,15.03,12.75,11.28,11.16,11.25,11.47,12.88,14.81,16.59,17.34,17.5,18.38,18.66,18.03,17.72,18.19,19.22,19.75,19.84,20.59,21.16,21.38,21.0,20.84,20.94,20.47,18.78,17.28,15.88,14.66,13.44,12.22,12.28,12.62,12.69,12.62,13.03,14.06,15.19,15.5,16.97,19.25,21.41,22.69,23.5,24.22,24.38,23.66,22.09,21.56,21.44,21.25,21.03,20.91,21.28,20.66,19.09,17.81,17.28,16.97,16.44,16.41,17.19,18.16,18.62,18.19,18.53,19.22,19.59,19.44,20.22,21.88,23.06,23.94,25.03,26.78,28.97,30.03,30.25,30.59,30.59,29.09,26.62,25.03,24.06,23.31,22.5,22.19,22.47,22.09,20.44,18.34,16.59,15.19,13.66,12.78,13.81,16.19,18.44,19.72,21.19,22.62,23.06,23.09,23.78,25.12,26.53,26.53,26.12,26.19,26.03,24.53,22.09,19.88,18.28,16.28,14.41,14.81,16.0,17.44,18.06,19.19,21.19,23.16,24.72,26.16,28.06,29.66,29.78,29.22,28.69,27.84,26.38,23.28,20.44,18.0,15.44,12.44,10.34,9.66,9.69,9.5,10.41,12.72,16.03,18.62,20.62,22.38,23.88,24.69,23.97,23.59,23.41,23.09,22.0,21.5,22.06,22.88,22.97,22.56,22.41,22.31,20.88,18.84,17.47,16.72,16.19,15.47,16.09,17.72,19.72,21.03,22.38,24.5,26.44,26.88,26.56,26.34,25.88,24.91,23.53,22.94,23.03,22.94,21.72,20.94,20.84,20.81,20.22,20.12,20.66,21.47,21.03,19.94,19.47,19.0,18.09,16.94,16.28,16.34,17.78,18.28,20.25,22.94,25.25,25.72,25.44,25.0,24.28,22.5,20.78,20.03,19.94,20.22,19.88,20.38,21.34,22.03,21.25,21.0,21.25,21.44,20.44,19.19,18.88,18.38,17.38,16.09,15.38,15.81,16.0,15.88,16.12,17.06,18.0,18.16,18.94,21.44,24.62,26.38,27.47,28.16,28.12,26.5,23.72,21.12,19.34,17.34,15.0,13.59,13.41,13.56,12.72,12.09,12.03,11.97,11.12,10.59,11.28,12.41,63.5,63.22,63.66,64.16,64.66,64.5,63.81,62.62,61.06,59.88,58.25,56.84,55.97,55.75,55.69,56.22,56.84,57.66,58.09,57.44,56.94,56.75,57.19,58.41,60.0,62.22,64.03,64.5:19.81,20.97,22.88,24.47,25.25,25.59,26.22,26.31,25.53,23.94,23.47,23.06,22.81,22.53,23.88,26.31,28.81,30.53,32.28,34.03,35.09,34.34,32.5,31.22,29.62,27.41,25.91,25.91,26.53,26.94,26.0,25.56,25.16,23.88,21.5,19.75,18.81,18.03,16.72,16.53,18.09,20.5,22.97,25.41,29.0,32.16,34.25,35.56,37.22,38.47,39.44,39.06,38.78,38.47,37.59,35.91,34.0,33.16,32.0,30.12,27.94,26.31,25.44,23.97,22.12,20.88,20.75,20.94,20.41,20.62,21.38,22.16,21.81,21.5,22.03,23.28,23.84,24.12,24.47,24.59,24.16,22.81,21.78,21.56,21.06,19.94,18.94,18.44,18.12,16.91,15.97,15.59,15.62,14.88,13.47,12.75,12.19,11.34,10.0,9.09,8.97,9.09,7.97,7.19,7.5,8.34,8.31,8.25,9.06,10.25,10.91,10.97,11.62,12.91,13.94,13.88,14.28,15.62,16.72,16.41,16.25,16.41,17.31,16.81,16.09,15.69,15.47,14.44,12.62,12.62,13.88,15.28,15.69,15.69,16.16,15.91,14.5,13.66,13.88,15.19,15.56,15.41,15.31,15.28,14.34,12.53,11.62,11.88,13.03,13.62,14.88,17.16,18.25,17.66,16.44,15.31,14.38,13.19,12.25,12.78,14.03,15.31,16.28,17.78,20.25,21.81,21.81,20.97,20.47,19.78,17.78,16.28,15.94,16.62,16.28,15.62,15.38,15.38,15.0,13.59,12.25,11.78,12.44,12.03,12.44,14.25,16.19,16.25,15.5,14.59,13.06,10.31,7.31,5.0,4.44,5.0,5.62,7.62,10.72,13.81,15.09,15.81,16.81,17.84,17.88,18.06,18.25,18.94,18.44,17.44,16.47,16.12,16.25,15.16,14.22,14.03,14.0,13.06,12.34,12.28,12.62,12.22,11.06,10.41,9.97,9.28,8.0,6.97,7.25,7.81,7.56,8.06,9.53,11.5,13.06,14.69,17.12,20.09,21.97,23.34,24.84,26.34,26.69,26.19,24.88,23.69,22.31,19.75,17.59,16.69,17.38,17.62,17.72,18.47,19.16,18.34,16.5,14.62,13.5,12.03,10.53,9.62,10.16,11.34,12.31,13.56,15.59,17.59,18.22,17.88,17.94,18.09,17.06,15.31,13.69,12.81,11.38,8.91,6.59,4.91,3.59,2.09,1.0,1.88,3.75,4.19,4.59,5.31,6.44,6.75,6.97,7.97,9.81,11.16,11.34,11.22,11.25,10.38,7.88,5.31,3.81,2.72,1.5,0.44,0.56,1.47,2.19,2.91,4.09,6.34,8.0,8.88,9.81,11.09,12.41,12.22,11.5,10.62,10.19,8.56,6.5,5.03,4.06,2.41,0.16,-1.56,-2.03,-1.88,-1.75,-0.88,0.88,3.16,4.25,5.12,6.31,7.94,8.53,8.5,8.75,9.59,10.03,10.0,10.19,11.19,12.0,12.0,11.81,12.28,13.03,13.25,13.19,13.69,14.97,15.34,14.66,13.88,12.91,11.25,8.44,5.66,4.5,3.12,2.06,1.62,2.75,5.09,7.25,8.81,10.78,12.81,13.53,13.22,13.53,14.97,16.16,16.44,16.38,16.94,16.72,14.62,11.5,8.62,5.97,2.97,0.69,0.0,0.78,1.81,2.0,2.59,4.09,5.16,5.59,5.53,6.41,7.12,6.81,6.44,7.31,8.56,9.34,10.09,10.69,12.06,12.47,11.94,10.97,10.72,9.97,8.28,6.53,5.16,3.66,0.66,-2.75,-5.19,-6.78,-7.97,-8.5,-7.44,-4.88,-2.09,0.47,3.38,6.66,9.72,11.47,12.94,15.31,17.44,19.09,19.88,20.41,20.69,19.53,17.53,15.25,13.66,12.0,9.88,8.12,7.81,8.44,9.06,10.41,12.62,14.44,15.25,14.75,14.41,13.84,13.0,11.25,9.78,8.91,8.31,7.34,6.84,7.84,9.28,9.75,9.94,10.44,10.78,10.78,10.12,9.66,9.75,8.94,6.94,4.94,3.47,1.62,-0.66,-2.62,-2.97,-2.22,-1.16,0.09,2.09,4.38,6.12,6.62,8.0,9.88,11.84,12.88,13.75,14.91,15.38,14.06,11.81,10.0,8.44,7.0,6.06,6.53,7.5,8.03,7.28,6.25,4.94,3.69,2.09,1.53,2.97,4.81,6.34,7.56,9.06,10.16,10.0,8.69,8.19,8.09,8.19,7.84,8.25,8.78,8.56,6.78,4.62,3.12,1.72,0.44,-0.41,0.0,1.38,2.88,4.0,5.44,7.09,8.22,8.06,8.19,8.88,9.22,8.34,7.31,6.41,5.34,3.97,2.5,2.31,2.72,3.0,2.97,3.28,4.16,4.66,4.59,4.78,5.38,6.25,6.0,5.28,5.25,4.88,3.66,1.91,0.38,-0.38,-0.72,-0.84,-0.06,1.75,3.91,4.88,5.47,6.53,7.03,6.03,4.91,4.41,3.69,2.91,1.41,0.53,-0.03,-0.66,-2.03,-2.53,-1.62,-0.12,1.06,2.97,5.5,7.75,9.0,9.5,10.0,10.62,10.66,9.91,9.66,9.94,10.47,10.38,10.94,12.03,13.16,13.19,12.62,12.25,11.34,9.0,6.38,4.28,3.16,2.34,1.34,1.31,1.69,1.91,1.19,0.25,0.09,0.41,1.09,2.47,4.88,8.0,9.53,9.97,9.88,9.34,8.66,7.53,7.34,8.38,9.34,9.38,8.97,8.41,7.03,4.22,0.84,-1.91,-3.84,-5.16,-6.25,-5.84,-4.56,-3.0,-1.28,1.16,4.19,6.78,7.81,7.59,7.25,6.75,5.78,4.69,4.47,4.88,4.44,3.72,3.09,3.03,2.78,2.19,2.25,3.47,5.28,6.84,8.5,10.44,12.22,13.03,13.31,13.69,14.41,14.78,14.66,14.69,15.75,16.72,16.78,16.88,16.84,16.66,14.78,12.19,9.47,6.97,3.53,-0.16,-2.91,-4.84,-6.16,-7.44,-8.12,-7.62,-6.22,-5.38,-3.84,-1.03,2.38,5.75,9.25,13.0,16.66,18.53,18.88,18.38,17.94,16.88,15.06,13.62,12.44,11.41,9.69,7.69,6.06,4.91,3.69,3.06,4.03,7.25,10.56,13.19,15.75,17.88,18.16,17.0,15.5,14.56,13.62,12.69,12.19,12.62,13.0,12.28,10.44,7.84,5.84,3.44,1.41,0.56,1.25,3.16,4.88,6.41,8.72,10.5,10.75,10.75,11.12,12.06,12.34,12.78,13.25,14.06,14.03,13.38,12.19,11.44,10.19,8.03,5.91,4.72,4.38,4.0,4.53,6.22,9.0,11.09,12.84,14.16,15.19,15.03,13.81,12.31,11.56,11.25,10.88,10.44,10.66,11.22,11.16,11.56,12.16,13.41,14.19,14.44,14.16,14.81,15.59,15.38,15.19,15.66,16.06,15.47,14.44,13.78,13.34,12.34,11.0,9.84,10.0,10.09,9.78,9.38,9.78,10.28,9.69,8.91,9.09,9.69,9.69,9.47,10.0,10.56,11.16,11.12,11.59,12.94,14.22,14.66,15.0,15.84,16.84,16.69,16.12,16.25,15.94,14.72,12.84,11.09,10.0,8.94,7.75,7.72,8.66,9.78,10.78,11.0,12.22,13.59,14.0,14.66,16.16,18.38,19.91,20.41,20.94,21.44,20.91,19.84,18.97,19.56,20.09,19.44,18.56,18.22,17.22,15.03,12.75,11.28,11.16,11.25,11.47,12.88,14.81,16.59,17.34,17.5,18.38,18.66,18.03,17.72,18.19,19.22,19.75,19.84,20.59,21.16,21.38,21.0,20.84,20.94,20.47,18.78,17.28,15.88,14.66,13.44,12.22,12.28,12.62,12.69,12.62,13.03,14.06,15.19,15.5,16.97,19.25,21.41,22.69,23.5,24.22,24.38,23.66,22.09,21.56,21.44,21.25,21.03,20.91,21.28,20.66,19.09,17.81,17.28,16.97,16.44,16.41,17.19,18.16,18.62,18.19,18.53,19.22,19.59,19.44,20.22,21.88,23.06,23.94,25.03,26.78,28.97,30.03,30.25,30.59,30.59,29.09,26.62,25.03,24.06,23.31,22.5,22.19,22.47,22.09,20.44,18.34,16.59,15.19,13.66,12.78,13.81,16.19,18.44,19.72,21.19,22.62,23.06,23.09,23.78,25.12,26.53,26.53,26.12,26.19,26.03,24.53,22.09,19.88,18.28,16.28,14.41,14.81,16.0,17.44,18.06,19.19,21.19,23.16,24.72,26.16,28.06,29.66,29.78,29.22,28.69,27.84,26.38,23.28,20.44,18.0,15.44,12.44,10.34,9.66,9.69,9.5,10.41,12.72,16.03,18.62,20.62,22.38,23.88,24.69,23.97,23.59,23.41,23.09,22.0,21.5,22.06,22.88,22.97,22.56,22.41,22.31,20.88,18.84,17.47,16.72,16.19,15.47,16.09,17.72,19.72,21.03,22.38,24.5,26.44,26.88,26.56,26.34,25.88,24.91,23.53,22.94,23.03,22.94,21.72,20.94,20.84,20.81,20.22,20.12,20.66,21.47,21.03,19.94,19.47,19.0,18.09,16.94,16.28,16.34,17.78,18.28,20.25,22.94,25.25,25.72,25.44,25.0,24.28,22.5,20.78,20.03,19.94,20.22,19.88,20.38,21.34,22.03,21.25,21.0,21.25,21.44,20.44,19.19,18.88,18.38,17.38,16.09,15.38,15.81,16.0,15.88,16.12,17.06,18.0,18.16,18.94,21.44,24.62,26.38,27.47,28.16,28.12,26.5,23.72,21.12,19.34,17.34,15.0,13.59,13.41,13.56,12.72,12.09,12.03,11.97,11.12,10.59,11.28,12.41,63.5,63.22,63.66,64.16,64.66,64.5,63.81,62.62,61.06,59.88,58.25,56.84,55.97,55.75,55.69,56.22,56.84,57.66,58.09,57.44,56.94,56.75,57.19,58.41,60.0,62.22,64.03,64.5,63.94,62.91,61.38,59.19,57.12,56.38,56.0:26.31,25.53,23.94,23.47,23.06,22.81,22.53,23.88,26.31,28.81,30.53,32.28,34.03,35.09,34.34,32.5,31.22,29.62,27.41,25.91,25.91,26.53,26.94,26.0,25.56,25.16,23.88,21.5,19.75,18.81,18.03,16.72,16.53,18.09,20.5,22.97,25.41,29.0,32.16,34.25,35.56,37.22,38.47,39.44,39.06,38.78,38.47,37.59,35.91,34.0,33.16,32.0,30.12,27.94,26.31,25.44,23.97,22.12,20.88,20.75,20.94,20.41,20.62,21.38,22.16,21.81,21.5,22.03,23.28,23.84,24.12,24.47,24.59,24.16,22.81,21.78,21.56,21.06,19.94,18.94,18.44,18.12,16.91,15.97,15.59,15.62,14.88,13.47,12.75,12.19,11.34,10.0,9.09,8.97,9.09,7.97,7.19,7.5,8.34,8.31,8.25,9.06,10.25,10.91,10.97,11.62,12.91,13.94,13.88,14.28,15.62,16.72,16.41,16.25,16.41,17.31,16.81,16.09,15.69,15.47,14.44,12.62,12.62,13.88,15.28,15.69,15.69,16.16,15.91,14.5,13.66,13.88,15.19,15.56,15.41,15.31,15.28,14.34,12.53,11.62,11.88,13.03,13.62,14.88,17.16,18.25,17.66,16.44,15.31,14.38,13.19,12.25,12.78,14.03,15.31,16.28,17.78,20.25,21.81,21.81,20.97,20.47,19.78,17.78,16.28,15.94,16.62,16.28,15.62,15.38,15.38,15.0,13.59,12.25,11.78,12.44,12.03,12.44,14.25,16.19,16.25,15.5,14.59,13.06,10.31,7.31,5.0,4.44,5.0,5.62,7.62,10.72,13.81,15.09,15.81,16.81,17.84,17.88,18.06,18.25,18.94,18.44,17.44,16.47,16.12,16.25,15.16,14.22,14.03,14.0,13.06,12.34,12.28,12.62,12.22,11.06,10.41,9.97,9.28,8.0,6.97,7.25,7.81,7.56,8.06,9.53,11.5,13.06,14.69,17.12,20.09,21.97,23.34,24.84,26.34,26.69,26.19,24.88,23.69,22.31,19.75,17.59,16.69,17.38,17.62,17.72,18.47,19.16,18.34,16.5,14.62,13.5,12.03,10.53,9.62,10.16,11.34,12.31,13.56,15.59,17.59,18.22,17.88,17.94,18.09,17.06,15.31,13.69,12.81,11.38,8.91,6.59,4.91,3.59,2.09,1.0,1.88,3.75,4.19,4.59,5.31,6.44,6.75,6.97,7.97,9.81,11.16,11.34,11.22,11.25,10.38,7.88,5.31,3.81,2.72,1.5,0.44,0.56,1.47,2.19,2.91,4.09,6.34,8.0,8.88,9.81,11.09,12.41,12.22,11.5,10.62,10.19,8.56,6.5,5.03,4.06,2.41,0.16,-1.56,-2.03,-1.88,-1.75,-0.88,0.88,3.16,4.25,5.12,6.31,7.94,8.53,8.5,8.75,9.59,10.03,10.0,10.19,11.19,12.0,12.0,11.81,12.28,13.03,13.25,13.19,13.69,14.97,15.34,14.66,13.88,12.91,11.25,8.44,5.66,4.5,3.12,2.06,1.62,2.75,5.09,7.25,8.81,10.78,12.81,13.53,13.22,13.53,14.97,16.16,16.44,16.38,16.94,16.72,14.62,11.5,8.62,5.97,2.97,0.69,0.0,0.78,1.81,2.0,2.59,4.09,5.16,5.59,5.53,6.41,7.12,6.81,6.44,7.31,8.56,9.34,10.09,10.69,12.06,12.47,11.94,10.97,10.72,9.97,8.28,6.53,5.16,3.66,0.66,-2.75,-5.19,-6.78,-7.97,-8.5,-7.44,-4.88,-2.09,0.47,3.38,6.66,9.72,11.47,12.94,15.31,17.44,19.09,19.88,20.41,20.69,19.53,17.53,15.25,13.66,12.0,9.88,8.12,7.81,8.44,9.06,10.41,12.62,14.44,15.25,14.75,14.41,13.84,13.0,11.25,9.78,8.91,8.31,7.34,6.84,7.84,9.28,9.75,9.94,10.44,10.78,10.78,10.12,9.66,9.75,8.94,6.94,4.94,3.47,1.62,-0.66,-2.62,-2.97,-2.22,-1.16,0.09,2.09,4.38,6.12,6.62,8.0,9.88,11.84,12.88,13.75,14.91,15.38,14.06,11.81,10.0,8.44,7.0,6.06,6.53,7.5,8.03,7.28,6.25,4.94,3.69,2.09,1.53,2.97,4.81,6.34,7.56,9.06,10.16,10.0,8.69,8.19,8.09,8.19,7.84,8.25,8.78,8.56,6.78,4.62,3.12,1.72,0.44,-0.41,0.0,1.38,2.88,4.0,5.44,7.09,8.22,8.06,8.19,8.88,9.22,8.34,7.31,6.41,5.34,3.97,2.5,2.31,2.72,3.0,2.97,3.28,4.16,4.66,4.59,4.78,5.38,6.25,6.0,5.28,5.25,4.88,3.66,1.91,0.38,-0.38,-0.72,-0.84,-0.06,1.75,3.91,4.88,5.47,6.53,7.03,6.03,4.91,4.41,3.69,2.91,1.41,0.53,-0.03,-0.66,-2.03,-2.53,-1.62,-0.12,1.06,2.97,5.5,7.75,9.0,9.5,10.0,10.62,10.66,9.91,9.66,9.94,10.47,10.38,10.94,12.03,13.16,13.19,12.62,12.25,11.34,9.0,6.38,4.28,3.16,2.34,1.34,1.31,1.69,1.91,1.19,0.25,0.09,0.41,1.09,2.47,4.88,8.0,9.53,9.97,9.88,9.34,8.66,7.53,7.34,8.38,9.34,9.38,8.97,8.41,7.03,4.22,0.84,-1.91,-3.84,-5.16,-6.25,-5.84,-4.56,-3.0,-1.28,1.16,4.19,6.78,7.81,7.59,7.25,6.75,5.78,4.69,4.47,4.88,4.44,3.72,3.09,3.03,2.78,2.19,2.25,3.47,5.28,6.84,8.5,10.44,12.22,13.03,13.31,13.69,14.41,14.78,14.66,14.69,15.75,16.72,16.78,16.88,16.84,16.66,14.78,12.19,9.47,6.97,3.53,-0.16,-2.91,-4.84,-6.16,-7.44,-8.12,-7.62,-6.22,-5.38,-3.84,-1.03,2.38,5.75,9.25,13.0,16.66,18.53,18.88,18.38,17.94,16.88,15.06,13.62,12.44,11.41,9.69,7.69,6.06,4.91,3.69,3.06,4.03,7.25,10.56,13.19,15.75,17.88,18.16,17.0,15.5,14.56,13.62,12.69,12.19,12.62,13.0,12.28,10.44,7.84,5.84,3.44,1.41,0.56,1.25,3.16,4.88,6.41,8.72,10.5,10.75,10.75,11.12,12.06,12.34,12.78,13.25,14.06,14.03,13.38,12.19,11.44,10.19,8.03,5.91,4.72,4.38,4.0,4.53,6.22,9.0,11.09,12.84,14.16,15.19,15.03,13.81,12.31,11.56,11.25,10.88,10.44,10.66,11.22,11.16,11.56,12.16,13.41,14.19,14.44,14.16,14.81,15.59,15.38,15.19,15.66,16.06,15.47,14.44,13.78,13.34,12.34,11.0,9.84,10.0,10.09,9.78,9.38,9.78,10.28,9.69,8.91,9.09,9.69,9.69,9.47,10.0,10.56,11.16,11.12,11.59,12.94,14.22,14.66,15.0,15.84,16.84,16.69,16.12,16.25,15.94,14.72,12.84,11.09,10.0,8.94,7.75,7.72,8.66,9.78,10.78,11.0,12.22,13.59,14.0,14.66,16.16,18.38,19.91,20.41,20.94,21.44,20.91,19.84,18.97,19.56,20.09,19.44,18.56,18.22,17.22,15.03,12.75,11.28,11.16,11.25,11.47,12.88,14.81,16.59,17.34,17.5,18.38,18.66,18.03,17.72,18.19,19.22,19.75,19.84,20.59,21.16,21.38,21.0,20.84,20.94,20.47,18.78,17.28,15.88,14.66,13.44,12.22,12.28,12.62,12.69,12.62,13.03,14.06,15.19,15.5,16.97,19.25,21.41,22.69,23.5,24.22,24.38,23.66,22.09,21.56,21.44,21.25,21.03,20.91,21.28,20.66,19.09,17.81,17.28,16.97,16.44,16.41,17.19,18.16,18.62,18.19,18.53,19.22,19.59,19.44,20.22,21.88,23.06,23.94,25.03,26.78,28.97,30.03,30.25,30.59,30.59,29.09,26.62,25.03,24.06,23.31,22.5,22.19,22.47,22.09,20.44,18.34,16.59,15.19,13.66,12.78,13.81,16.19,18.44,19.72,21.19,22.62,23.06,23.09,23.78,25.12,26.53,26.53,26.12,26.19,26.03,24.53,22.09,19.88,18.28,16.28,14.41,14.81,16.0,17.44,18.06,19.19,21.19,23.16,24.72,26.16,28.06,29.66,29.78,29.22,28.69,27.84,26.38,23.28,20.44,18.0,15.44,12.44,10.34,9.66,9.69,9.5,10.41,12.72,16.03,18.62,20.62,22.38,23.88,24.69,23.97,23.59,23.41,23.09,22.0,21.5,22.06,22.88,22.97,22.56,22.41,22.31,20.88,18.84,17.47,16.72,16.19,15.47,16.09,17.72,19.72,21.03,22.38,24.5,26.44,26.88,26.56,26.34,25.88,24.91,23.53,22.94,23.03,22.94,21.72,20.94,20.84,20.81,20.22,20.12,20.66,21.47,21.03,19.94,19.47,19.0,18.09,16.94,16.28,16.34,17.78,18.28,20.25,22.94,25.25,25.72,25.44,25.0,24.28,22.5,20.78,20.03,19.94,20.22,19.88,20.38,21.34,22.03,21.25,21.0,21.25,21.44,20.44,19.19,18.88,18.38,17.38,16.09,15.38,15.81,16.0,15.88,16.12,17.06,18.0,18.16,18.94,21.44,24.62,26.38,27.47,28.16,28.12,26.5,23.72,21.12,19.34,17.34,15.0,13.59,13.41,13.56,12.72,12.09,12.03,11.97,11.12,10.59,11.28,12.41,63.5,63.22,63.66,64.16,64.66,64.5,63.81,62.62,61.06,59.88,58.25,56.84,55.97,55.75,55.69,56.22,56.84,57.66,58.09,57.44,56.94,56.75,57.19,58.41,60.0,62.22,64.03,64.5,63.94,62.91,61.38,59.19,57.12,56.38,56.0,55.84,56.09,56.47,57.19,57.38,57.31,57.28:positivity
17.34,16.81,16.31,16.94,17.69,17.94,17.75,17.41,16.75,15.31,12.72,10.28,9.22,8.22,7.03,6.59,7.25,8.56,8.97,9.16,9.81,11.06,11.91,12.47,14.0,16.31,18.06,18.62,19.5,20.44,21.09,20.66,20.25,20.66,21.41,22.0,22.56,23.66,24.91,25.78,25.53,25.09,24.91,23.59,20.97,18.0,16.12,14.41,12.22,10.53,10.25,10.75,11.03,11.34,12.66,14.38,15.97,17.06,18.34,21.0,23.28,24.53,24.84,25.59,25.66,24.81,23.72,24.06,24.75,24.59,23.97,23.66,24.25,24.66,24.28,23.78,23.81,22.19,19.41,17.12,16.47,16.59,17.34,18.19,19.81,20.88,20.94,19.66,18.53,18.16,17.69,16.31,15.66,15.88,15.94,15.22,14.0,13.38,12.78,11.94,11.5,12.06,13.75,15.06,15.38,15.31,15.59,15.56,14.44,13.72,14.5,15.38,15.72,15.94,16.75,17.19,16.78,16.09,15.72,15.59,15.38,14.12,13.5,13.75,14.5,14.94,15.88,17.81,19.84,20.81,21.19,22.34,23.12,23.19,22.03,21.06,20.28,20.0,18.88,18.53,19.84,21.03,21.22,20.81,20.84,20.47,19.16,17.34,16.12,15.0,13.06,9.75,6.44,3.69,1.44,-0.56,-1.41,-0.19,1.62,3.28,4.94,7.53,9.91,11.25,12.25,13.62,14.53,15.16,14.78,13.84,12.81,11.25,7.91,4.09,1.47,-0.47,-2.31,-3.44,-2.72,-1.09,0.59,2.25,5.03,8.44,11.75,14.12,16.62,19.69,22.19,23.25,23.25,23.56,22.94,21.06,18.78,17.28,16.41,15.47,14.62,14.72,15.22,15.44,14.47,13.78,13.34,13.16,12.53,12.44,13.09,14.59,15.94,17.0,18.5,20.25,21.75,22.31,23.19,24.41,25.59,25.78,25.59,25.91,25.66,23.91,21.5,19.12,16.78,14.31,11.91,10.5,10.53,11.03,11.31,12.12,13.0,13.88,13.12,12.28,11.88,11.91,11.62,11.38,12.03,12.31,11.94,10.47,8.94,8.34,8.0,7.28,7.66,8.91,10.34,10.91,11.78,12.88,14.41,15.47,16.19,17.47,19.25,21.12,22.38,23.47,24.66,25.12,24.44,23.38,22.5,21.78,20.38,18.47,16.97,16.06,14.56,13.28,12.72,13.94,15.72,17.66,19.81,22.69,24.72,24.88,24.56,24.72,25.16,24.56,24.12,23.91,24.53,24.66,24.69,24.72,25.19,25.16,23.69,22.19,21.0,20.31,18.75,17.5,17.5,18.34,18.78,18.88,18.91,19.19,19.09,18.19,17.41,18.09,19.03,19.44,20.0,21.5,22.75,23.06,22.66,22.5,22.09,20.94,18.81,17.09,16.84,16.44,16.41,17.19,19.03,20.56,20.59,20.06,19.69,19.12,18.16,17.69,17.91,18.66,18.28,17.12,15.22,13.81,12.28,10.59,9.91,10.69,11.84,12.5,12.94,13.38,13.94,13.53,13.38,13.84,15.38,16.34,16.72,16.03,15.53,14.53,12.72,11.12,11.06,11.69,12.09,12.75,13.84,14.97,14.5,13.31,11.84,11.44,11.19,10.91,10.97,11.81,12.62,12.34,11.91,12.38,12.59,12.38,12.06,12.31,13.28,14.16,14.28,14.44,14.84,14.94,14.12,12.66,11.84,10.69,8.5,6.59,5.97,6.0,6.59,7.62,9.5,12.34,15.25,17.78,20.16,23.31,26.09,28.03,28.34,29.0,27.69,24.62,19.94,15.16,11.06,7.22,3.91,2.06,2.16,2.91,3.84,6.03,8.88,11.69,13.94,15.62,18.56,21.56,23.97,25.28,26.19,26.69,25.91,24.44,23.28,22.75,21.38,18.78,15.5,12.53,9.44,6.44,3.88,3.16,4.12,5.62,7.44,10.28,13.22,15.41,16.12,16.56,17.19,17.38,16.47,15.62,15.81,16.31,16.22,16.19,17.38,18.94,20.62,22.28,24.62,27.44,29.31,30.0,29.62,29.19,28.56,27.0,25.75,25.84,26.47,26.41,25.94,25.56,25.38,24.53,22.91,21.66,21.53,20.81,19.69,18.91,18.62,18.81,18.09,16.88,16.19,15.66,13.94,11.5,9.81,8.69,7.78,6.44,6.16,6.75,7.31,7.22,7.47,8.66,9.81,10.12,10.19,10.75,11.69,11.84,11.06,11.0,11.47,11.41,10.78,10.69,11.38,11.81,11.5,11.34,12.41,13.41,14.16,14.56,16.0,18.06,19.47,19.81,20.53,21.19,20.97,19.5,18.09,16.75,14.97,11.78,7.69,4.62,1.91,-0.66,-2.94,-3.03,-1.88,-0.09,1.22,3.38,5.91,7.75,8.22,9.0,10.44,12.0,12.88,13.41,14.44,15.06,14.62,13.22,12.19,12.09,11.59,11.12,11.38,12.38,13.53,13.97,14.38,15.38,16.88,17.44,17.97,19.34,20.88,21.5,21.03,20.84,21.38,21.72,21.34,21.25,21.81,21.81,20.0,17.97,16.75,15.31,13.06,11.0,10.16,10.69,11.25,11.72,12.78,14.31,14.81,14.53,14.5,15.59,17.03,17.28,17.69,19.0,20.34,20.5,20.0,19.84,19.81,18.94,17.25,16.03,15.75,15.19,13.81,12.75,13.03,13.81,13.44,12.91,13.12,13.06,11.78,10.06,9.22,8.69,8.28,7.44,7.31,7.62,7.78,6.5,4.59,2.47,-0.03,-3.59,-7.19,-9.03,-9.75,-10.0,-9.66,-7.88,-4.81,-1.62,1.03,4.16,7.59,10.47,11.78,12.16,13.0,13.47,12.41,10.75,9.31,8.0,5.56,2.97,1.41,1.09,1.25,1.59,3.03,5.5,8.34,9.72,10.69,11.88,13.22,13.06,12.5,13.19,13.78,13.62,12.5,11.5,11.09,10.12,8.09,6.69,6.53,6.84,7.16,8.31,10.69,13.34,14.59,14.94,15.53,16.31,16.34,15.66,14.75,14.62,14.03,12.28,10.53,9.78,9.34,7.84,6.28,5.78,5.38,4.44,3.69,3.47,5.12,6.94,8.44,10.34,13.06,15.62,16.72,17.34,18.5,19.22,18.31,17.12,16.5,15.66,13.66,11.09,8.75,7.34,5.38,2.88,0.88,-0.19,-1.47,-3.97,-5.78,-6.25,-6.16,-6.56,-6.69,-6.25,-5.16,-4.5,-4.53,-4.25,-3.31,-3.22,-4.0,-4.31,-3.34,-1.44,-0.44,0.72,2.72,4.41,4.47,3.78,3.47,3.75,3.0,1.97,1.62,1.94,1.62,0.31,-1.03,-1.72,-2.28,-3.75,-4.78,-4.41,-2.84,-1.25,0.66,3.81,7.34,9.53,10.31,10.12,9.56,7.94,5.25,2.91,2.44,3.34,3.75,4.56,5.59,6.41,5.62,4.0,2.28,1.34,0.59,-0.78,-0.94,0.28,2.28,4.09,6.12,9.22,12.09,13.84,14.62,15.47,16.09,14.94,12.62,9.94,8.34,6.38,4.25,2.66,2.25,1.81,0.75,-0.09,-0.03,0.91,1.12,1.25,2.0,3.56,4.5,4.88,5.69,7.66,9.41,10.34,10.75,12.09,12.41,10.94,8.16,5.03,2.03,-1.62,-4.84,-6.31,-5.91,-4.78,-4.12,-3.03,-1.31,-0.44,-0.22,-0.31,0.41,1.16,1.41,1.72,3.59,6.56,8.84,10.56,12.59,14.38,14.59,13.97,13.0,12.53,11.59,9.75,8.09,7.59,7.38,6.5,5.34,4.69,4.53,3.31,1.44,0.0,-0.44,-1.47,-3.12,-4.72,-4.91,-5.34,-6.03,-6.75,-5.88,-4.66,-3.78,-3.38,-2.19,-0.81,-0.41,-1.03,-1.94,-2.44,-3.53,-5.19,-6.28,-6.0,-5.22,-5.09,-5.75,-6.53,-7.88,-10.44,-13.59,-15.22,-15.47,-15.0,-14.5,-12.84,-10.28,-7.97,-6.84,-6.0,-4.81,-3.91,-4.0,-4.66,-4.22,-3.34,-2.53,-2.06,-1.16,-0.47,-1.34,-3.47,-5.81,-7.16,-7.91,-8.34,-7.84,-5.72,-3.41,-2.22,-1.53,-0.84,-1.03,-2.44,-4.28,-5.31,-4.97,-3.75,-2.19,0.38,4.19,7.44,9.28,10.25,10.97,10.44,8.38,5.25,2.28,-0.41,-3.59,-7.38,-10.19,-11.88,-12.56,-13.0,-13.12,-11.47,-10.31,-10.0,-10.22,-9.81,-9.53,-9.34,-9.31,-8.72,-7.19,-5.78,-5.28,-3.97,-1.78,0.16,0.81,0.97,1.56,1.59,0.75,0.16,0.44,1.41,1.97,1.75,2.0,2.06,1.72,-0.06,-2.12,-3.62,-5.59,-8.72,-12.16,-14.12,-15.59,-17.38,-18.69,-18.72,-18.53,-18.06,-18.09,-17.47,-16.09,-14.34,-13.41,-11.91,-9.28,-7.16,-6.0,-5.66,-4.88,-4.97,-5.53,-6.5,-6.5,-6.16,-6.38,-7.34,-8.22,-8.56,-8.91,-10.0,-10.47,-10.19,-10.0,-10.75,-12.06,-12.78,-13.25,-14.16,-14.47,-14.19,-13.16,-12.25,-12.62,-12.5,-11.62,-11.25,-11.53,-11.75,-11.56,-11.03,-11.03,-11.09,-10.12,-8.66,-7.94,-8.0,-7.75,-8.0,-8.75,-10.53,-12.12,-13.12,-14.47,-17.16,-20.09,-22.09,-23.38,-24.62,-25.12,-24.0,-22.06,-20.19,-18.34,-15.72,-12.34,-9.56,-7.5,-5.84,-4.47,-3.62,-4.56,-6.06,-7.56,-9.0,-11.25,-13.31,-14.0,-14.09,-13.53,-13.69,-13.06,-12.0,-11.22,-11.31,-10.81,-9.91,-8.69,-7.88,-7.31,-5.81,-4.41,-3.69,-4.28,-4.66,-5.69,-8.0,-11.31,-14.16,-15.88,-16.5,-16.41,-15.44,-13.69,-11.72,-11.56,-12.31,-12.69,-12.75,-13.16,-13.56,-13.38,-12.97,-13.09,-14.56,-15.72,-16.5,-17.19,-18.41,-19.25,-19.16,-18.25,-17.69,-16.69,-15.06,-12.88,-11.56,-10.72,-9.5,-8.06,-6.88,-6.75,-6.47,-5.38,-4.84,-5.22,-6.22,-7.19,-8.69,-11.38,-14.34,-16.28,-17.34,-18.06,-18.62,-18.59,-17.56,-16.88,-16.84,-16.41,-15.94,-15.16,-15.03,-15.09,-13.97,-11.97,-10.44,-8.88,-6.94:17.41,16.75,15.31,12.72,10.28,9.22,8.22,7.03,6.59,7.25,8.56,8.97,9.16,9.81,11.06,11.91,12.47,14.0,16.31,18.06,18.62,19.5,20.44,21.09,20.66,20.25,20.66,21.41,22.0,22.56,23.66,24.91,25.78,25.53,25.09,24.91,23.59,20.97,18.0,16.12,14.41,12.22,10.53,10.25,10.75,11.03,11.34,12.66,14.38,15.97,17.06,18.34,21.0,23.28,24.53,24.84,25.59,25.66,24.81,23.72,24.06,24.75,24.59,23.97,23.66,24.25,24.66,24.28,23.78,23.81,22.19,19.41,17.12,16.47,16.59,17.34,18.19,19.81,20.88,20.94,19.66,18.53,18.16,17.69,16.31,15.66,15.88,15.94,15.22,14.0,13.38,12.78,11.94,11.5,12.06,13.75,15.06,15.38,15.31,15.59,15.56,14.44,13.72,14.5,15.38,15.72,15.94,16.75,17.19,16.78,16.09,15.72,15.59,15.38,14.12,13.5,13.75,14.5,14.94,15.88,17.81,19.84,20.81,21.19,22.34,23.12,23.19,22.03,21.06,20.28,20.0,18.88,18.53,19.84,21.03,21.22,20.81,20.84,20.47,19.16,17.34,16.12,15.0,13.06,9.75,6.44,3.69,1.44,-0.56,-1.41,-0.19,1.62,3.28,4.94,7.53,9.91,11.25,12.25,13.62,14.53,15.16,14.78,13.84,12.81,11.25,7.91,4.09,1.47,-0.47,-2.31,-3.44,-2.72,-1.09,0.59,2.25,5.03,8.44,11.75,14.12,16.62,19.69,22.19,23.25,23.25,23.56,22.94,21.06,18.78,17.28,16.41,15.47,14.62,14.72,15.22,15.44,14.47,13.78,13.34,13.16,12.53,12.44,13.09,14.59,15.94,17.0,18.5,20.25,21.75,22.31,23.19,24.41,25.59,25.78,25.59,25.91,25.66,23.91,21.5,19.12,16.78,14.31,11.91,10.5,10.53,11.03,11.31,12.12,13.0,13.88,13.12,12.28,11.88,11.91,11.62,11.38,12.03,12.31,11.94,10.47,8.94,8.34,8.0,7.28,7.66,8.91,10.34,10.91,11.78,12.88,14.41,15.47,16.19,17.47,19.25,21.12,22.38,23.47,24.66,25.12,24.44,23.38,22.5,21.78,20.38,18.47,16.97,16.06,14.56,13.28,12.72,13.94,15.72,17.66,19.81,22.69,24.72,24.88,24.56,24.72,25.16,24.56,24.12,23.91,24.53,24.66,24.69,24.72,25.19,25.16,23.69,22.19,21.0,20.31,18.75,17.5,17.5,18.34,18.78,18.88,18.91,19.19,19.09,18.19,17.41,18.09,19.03,19.44,20.0,21.5,22.75,23.06,22.66,22.5,22.09,20.94,18.81,17.09,16.84,16.44,16.41,17.19,19.03,20.56,20.59,20.06,19.69,19.12,18.16,17.69,17.91,18.66,18.28,17.12,15.22,13.81,12.28,10.59,9.91,10.69,11.84,12.5,12.94,13.38,13.94,13.53,13.38,13.84,15.38,16.34,16.72,16.03,15.53,14.53,12.72,11.12,11.06,11.69,12.09,12.75,13.84,14.97,14.5,13.31,11.84,11.44,11.19,10.91,10.97,11.81,12.62,12.34,11.91,12.38,12.59,12.38,12.06,12.31,13.28,14.16,14.28,14.44,14.84,14.94,14.12,12.66,11.84,10.69,8.5,6.59,5.97,6.0,6.59,7.62,9.5,12.34,15.25,17.78,20.16,23.31,26.09,28.03,28.34,29.0,27.69,24.62,19.94,15.16,11.06,7.22,3.91,2.06,2.16,2.91,3.84,6.03,8.88,11.69,13.94,15.62,18.56,21.56,23.97,25.28,26.19,26.69,25.91,24.44,23.28,22.75,21.38,18.78,15.5,12.53,9.44,6.44,3.88,3.16,4.12,5.62,7.44,10.28,13.22,15.41,16.12,16.56,17.19,17.38,16.47,15.62,15.81,16.31,16.22,16.19,17.38,18.94,20.62,22.28,24.62,27.44,29.31,30.0,29.62,29.19,28.56,27.0,25.75,25.84,26.47,26.41,25.94,25.56,25.38,24.53,22.91,21.66,21.53,20.81,19.69,18.91,18.62,18.81,18.09,16.88,16.19,15.66,13.94,11.5,9.81,8.69,7.78,6.44,6.16,6.75,7.31,7.22,7.47,8.66,9.81,10.12,10.19,10.75,11.69,11.84,11.06,11.0,11.47,11.41,10.78,10.69,11.38,11.81,11.5,11.34,12.41,13.41,14.16,14.56,16.0,18.06,19.47,19.81,20.53,21.19,20.97,19.5,18.09,16.75,14.97,11.78,7.69,4.62,1.91,-0.66,-2.94,-3.03,-1.88,-0.09,1.22,3.38,5.91,7.75,8.22,9.0,10.44,12.0,12.88,13.41,14.44,15.06,14.62,13.22,12.19,12.09,11.59,11.12,11.38,12.38,13.53,13.97,14.38,15.38,16.88,17.44,17.97,19.34,20.88,21.5,21.03,20.84,21.38,21.72,21.34,21.25,21.81,21.81,20.0,17.97,16.75,15.31,13.06,11.0,10.16,10.69,11.25,11.72,12.78,14.31,14.81,14.53,14.5,15.59,17.03,17.28,17.69,19.0,20.34,20.5,20.0,19.84,19.81,18.94,17.25,16.03,15.75,15.19,13.81,12.75,13.03,13.81,13.44,12.91,13.12,13.06,11.78,10.06,9.22,8.69,8.28,7.44,7.31,7.62,7.78,6.5,4.59,2.47,-0.03,-3.59,-7.19,-9.03,-9.75,-10.0,-9.66,-7.88,-4.81,-1.62,1.03,4.16,7.59,10.47,11.78,12.16,13.0,13.47,12.41,10.75,9.31,8.0,5.56,2.97,1.41,1.09,1.25,1.59,3.03,5.5,8.34,9.72,10.69,11.88,13.22,13.06,12.5,13.19,13.78,13.62,12.5,11.5,11.09,10.12,8.09,6.69,6.53,6.84,7.16,8.31,10.69,13.34,14.59,14.94,15.53,16.31,16.34,15.66,14.75,14.62,14.03,12.28,10.53,9.78,9.34,7.84,6.28,5.78,5.38,4.44,3.69,3.47,5.12,6.94,8.44,10.34,13.06,15.62,16.72,17.34,18.5,19.22,18.31,17.12,16.5,15.66,13.66,11.09,8.75,7.34,5.38,2.88,0.88,-0.19,-1.47,-3.97,-5.78,-6.25,-6.16,-6.56,-6.69,-6.25,-5.16,-4.5,-4.53,-4.25,-3.31,-3.22,-4.0,-4.31,-3.34,-1.44,-0.44,0.72,2.72,4.41,4.47,3.78,3.47,3.75,3.0,1.97,1.62,1.94,1.62,0.31,-1.03,-1.72,-2.28,-3.75,-4.78,-4.41,-2.84,-1.25,0.66,3.81,7.34,9.53,10.31,10.12,9.56,7.94,5.25,2.91,2.44,3.34,3.75,4.56,5.59,6.41,5.62,4.0,2.28,1.34,0.59,-0.78,-0.94,0.28,2.28,4.09,6.12,9.22,12.09,13.84,14.62,15.47,16.09,14.94,12.62,9.94,8.34,6.38,4.25,2.66,2.25,1.81,0.75,-0.09,-0.03,0.91,1.12,1.25,2.0,3.56,4.5,4.88,5.69,7.66,9.41,10.34,10.75,12.09,12.41,10.94,8.16,5.03,2.03,-1.62,-4.84,-6.31,-5.91,-4.78,-4.12,-3.03,-1.31,-0.44,-0.22,-0.31,0.41,1.16,1.41,1.72,3.59,6.56,8.84,10.56,12.59,14.38,14.59,13.97,13.0,12.53,11.59,9.75,8.09,7.59,7.38,6.5,5.34,4.69,4.53,3.31,1.44,0.0,-0.44,-1.47,-3.12,-4.72,-4.91,-5.34,-6.03,-6.75,-5.88,-4.66,-3.78,-3.38,-2.19,-0.81,-0.41,-1.03,-1.94,-2.44,-3.53,-5.19,-6.28,-6.0,-5.22,-5.09,-5.75,-6.53,-7.88,-10.44,-13.59,-15.22,-15.47,-15.0,-14.5,-12.84,-10.28,-7.97,-6.84,-6.0,-4.81,-3.91,-4.0,-4.66,-4.22,-3.34,-2.53,-2.06,-1.16,-0.47,-1.34,-3.47,-5.81,-7.16,-7.91,-8.34,-7.84,-5.72,-3.41,-2.22,-1.53,-0.84,-1.03,-2.44,-4.28,-5.31,-4.97,-3.75,-2.19,0.38,4.19,7.44,9.28,10.25,10.97,10.44,8.38,5.25,2.28,-0.41,-3.59,-7.38,-10.19,-11.88,-12.56,-13.0,-13.12,-11.47,-10.31,-10.0,-10.22,-9.81,-9.53,-9.34,-9.31,-8.72,-7.19,-5.78,-5.28,-3.97,-1.78,0.16,0.81,0.97,1.56,1.59,0.75,0.16,0.44,1.41,1.97,1.75,2.0,2.06,1.72,-0.06,-2.12,-3.62,-5.59,-8.72,-12.16,-14.12,-15.59,-17.38,-18.69,-18.72,-18.53,-18.06,-18.09,-17.47,-16.09,-14.34,-13.41,-11.91,-9.28,-7.16,-6.0,-5.66,-4.88,-4.97,-5.53,-6.5,-6.5,-6.16,-6.38,-7.34,-8.22,-8.56,-8.91,-10.0,-10.47,-10.19,-10.0,-10.75,-12.06,-12.78,-13.25,-14.16,-14.47,-14.19,-13.16,-12.25,-12.62,-12.5,-11.62,-11.25,-11.53,-11.75,-11.56,-11.03,-11.03,-11.09,-10.12,-8.66,-7.94,-8.0,-7.75,-8.0,-8.75,-10.53,-12.12,-13.12,-14.47,-17.16,-20.09,-22.09,-23.38,-24.62,-25.12,-24.0,-22.06,-20.19,-18.34,-15.72,-12.34,-9.56,-7.5,-5.84,-4.47,-3.62,-4.56,-6.06,-7.56,-9.0,-11.25,-13.31,-14.0,-14.09,-13.53,-13.69,-13.06,-12.0,-11.22,-11.31,-10.81,-9.91,-8.69,-7.88,-7.31,-5.81,-4.41,-3.69,-4.28,-4.66,-5.69,-8.0,-11.31,-14.16,-15.88,-16.5,-16.41,-15.44,-13.69,-11.72,-11.56,-12.31,-12.69,-12.75,-13.16,-13.56,-13.38,-12.97,-13.09,-14.56,-15.72,-16.5,-17.19,-18.41,-19.25,-19.16,-18.25,-17.69,-16.69,-15.06,-12.88,-11.56,-10.72,-9.5,-8.06,-6.88,-6.75,-6.47,-5.38,-4.84,-5.22,-6.22,-7.19,-8.69,-11.38,-14.34,-16.28,-17.34,-18.06,-18.62,-18.59,-17.56,-16.88,-16.84,-16.41,-15.94,-15.16,-15.03,-15.09,-13.97,-11.97,-10.44,-8.88,-6.94,45.09,45.69,46.81,47.91,49.44,50.69,51.56:7.03,6.59,7.25,8.56,8.97,9.16,9.81,11.06,11.91,12.47,14.0,16.31,18.06,18.62,19.5,20.44,21.09,20.66,20.25,20.66,21.41,22.0,22.56,23.66,24.91,25.78,25.53,25.09,24.91,23.59,20.97,18.0,16.12,14.41,12.22,10.53,10.25,10.75,11.03,11.34,12.66,14.38,15.97,17.06,18.34,21.0,23.28,24.53,24.84,25.59,25.66,24.81,23.72,24.06,24.75,24.59,23.97,23.66,24.25,24.66,24.28,23.78,23.81,22.19,19.41,17.12,16.47,16.59,17.34,18.19,19.81,20.88,20.94,19.66,18.53,18.16,17.69,16.31,15.66,15.88,15.94,15.22,14.0,13.38,12.78,11.94,11.5,12.06,13.75,15.06,15.38,15.31,15.59,15.56,14.44,13.72,14.5,15.38,15.72,15.94,16.75,17.19,16.78,16.09,15.72,15.59,15.38,14.12,13.5,13.75,14.5,14.94,15.88,17.81,19.84,20.81,21.19,22.34,23.12,23.19,22.03,21.06,20.28,20.0,18.88,18.53,19.84,21.03,21.22,20.81,20.84,20.47,19.16,17.34,16.12,15.0,13.06,9.75,6.44,3.69,1.44,-0.56,-1.41,-0.19,1.62,3.28,4.94,7.53,9.91,11.25,12.25,13.62,14.53,15.16,14.78,13.84,12.81,11.25,7.91,4.09,1.47,-0.47,-2.31,-3.44,-2.72,-1.09,0.59,2.25,5.03,8.44,11.75,14.12,16.62,19.69,22.19,23.25,23.25,23.56,22.94,21.06,18.78,17.28,16.41,15.47,14.62,14.72,15.22,15.44,14.47,13.78,13.34,13.16,12.53,12.44,13.09,14.59,15.94,17.0,18.5,20.25,21.75,22.31,23.19,24.41,25.59,25.78,25.59,25.91,25.66,23.91,21.5,19.12,16.78,14.31,11.91,10.5,10.53,11.03,11.31,12.12,13.0,13.88,13.12,12.28,11.88,11.91,11.62,11.38,12.03,12.31,11.94,10.47,8.94,8.34,8.0,7.28,7.66,8.91,10.34,10.91,11.78,12.88,14.41,15.47,16.19,17.47,19.25,21.12,22.38,23.47,24.66,25.12,24.44,23.38,22.5,21.78,20.38,18.47,16.97,16.06,14.56,13.28,12.72,13.94,15.72,17.66,19.81,22.69,24.72,24.88,24.56,24.72,25.16,24.56,24.12,23.91,24.53,24.66,24.69,24.72,25.19,25.16,23.69,22.19,21.0,20.31,18.75,17.5,17.5,18.34,18.78,18.88,18.91,19.19,19.09,18.19,17.41,18.09,19.03,19.44,20.0,21.5,22.75,23.06,22.66,22.5,22.09,20.94,18.81,17.09,16.84,16.44,16.41,17.19,19.03,20.56,20.59,20.06,19.69,19.12,18.16,17.69,17.91,18.66,18.28,17.12,15.22,13.81,12.28,10.59,9.91,10.69,11.84,12.5,12.94,13.38,13.94,13.53,13.38,13.84,15.38,16.34,16.72,16.03,15.53,14.53,12.72,11.12,11.06,11.69,12.09,12.75,13.84,14.97,14.5,13.31,11.84,11.44,11.19,10.91,10.97,11.81,12.62,12.34,11.91,12.38,12.59,12.38,12.06,12.31,13.28,14.16,14.28,14.44,14.84,14.94,14.12,12.66,11.84,10.69,8.5,6.59,5.97,6.0,6.59,7.62,9.5,12.34,15.25,17.78,20.16,23.31,26.09,28.03,28.34,29.0,27.69,24.62,19.94,15.16,11.06,7.22,3.91,2.06,2.16,2.91,3.84,6.03,8.88,11.69,13.94,15.62,18.56,21.56,23.97,25.28,26.19,26.69,25.91,24.44,23.28,22.75,21.38,18.78,15.5,12.53,9.44,6.44,3.88,3.16,4.12,5.62,7.44,10.28,13.22,15.41,16.12,16.56,17.19,17.38,16.47,15.62,15.81,16.31,16.22,16.19,17.38,18.94,20.62,22.28,24.62,27.44,29.31,30.0,29.62,29.19,28.56,27.0,25.75,25.84,26.47,26.41,25.94,25.56,25.38,24.53,22.91,21.66,21.53,20.81,19.69,18.91,18.62,18.81,18.09,16.88,16.19,15.66,13.94,11.5,9.81,8.69,7.78,6.44,6.16,6.75,7.31,7.22,7.47,8.66,9.81,10.12,10.19,10.75,11.69,11.84,11.06,11.0,11.47,11.41,10.78,10.69,11.38,11.81,11.5,11.34,12.41,13.41,14.16,14.56,16.0,18.06,19.47,19.81,20.53,21.19,20.97,19.5,18.09,16.75,14.97,11.78,7.69,4.62,1.91,-0.66,-2.94,-3.03,-1.88,-0.09,1.22,3.38,5.91,7.75,8.22,9.0,10.44,12.0,12.88,13.41,14.44,15.06,14.62,13.22,12.19,12.09,11.59,11.12,11.38,12.38,13.53,13.97,14.38,15.38,16.88,17.44,17.97,19.34,20.88,21.5,21.03,20.84,21.38,21.72,21.34,21.25,21.81,21.81,20.0,17.97,16.75,15.31,13.06,11.0,10.16,10.69,11.25,11.72,12.78,14.31,14.81,14.53,14.5,15.59,17.03,17.28,17.69,19.0,20.34,20.5,20.0,19.84,19.81,18.94,17.25,16.03,15.75,15.19,13.81,12.75,13.03,13.81,13.44,12.91,13.12,13.06,11.78,10.06,9.22,8.69,8.28,7.44,7.31,7.62,7.78,6.5,4.59,2.47,-0.03,-3.59,-7.19,-9.03,-9.75,-10.0,-9.66,-7.88,-4.81,-1.62,1.03,4.16,7.59,10.47,11.78,12.16,13.0,13.47,12.41,10.75,9.31,8.0,5.56,2.97,1.41,1.09,1.25,1.59,3.03,5.5,8.34,9.72,10.69,11.88,13.22,13.06,12.5,13.19,13.78,13.62,12.5,11.5,11.09,10.12,8.09,6.69,6.53,6.84,7.16,8.31,10.69,13.34,14.59,14.94,15.53,16.31,16.34,15.66,14.75,14.62,14.03,12.28,10.53,9.78,9.34,7.84,6.28,5.78,5.38,4.44,3.69,3.47,5.12,6.94,8.44,10.34,13.06,15.62,16.72,17.34,18.5,19.22,18.31,17.12,16.5,15.66,13.66,11.09,8.75,7.34,5.38,2.88,0.88,-0.19,-1.47,-3.97,-5.78,-6.25,-6.16,-6.56,-6.69,-6.25,-5.16,-4.5,-4.53,-4.25,-3.31,-3.22,-4.0,-4.31,-3.34,-1.44,-0.44,0.72,2.72,4.41,4.47,3.78,3.47,3.75,3.0,1.97,1.62,1.94,1.62,0.31,-1.03,-1.72,-2.28,-3.75,-4.78,-4.41,-2.84,-1.25,0.66,3.81,7.34,9.53,10.31,10.12,9.56,7.94,5.25,2.91,2.44,3.34,3.75,4.56,5.59,6.41,5.62,4.0,2.28,1.34,0.59,-0.78,-0.94,0.28,2.28,4.09,6.12,9.22,12.09,13.84,14.62,15.47,16.09,14.94,12.62,9.94,8.34,6.38,4.25,2.66,2.25,1.81,0.75,-0.09,-0.03,0.91,1.12,1.25,2.0,3.56,4.5,4.88,5.69,7.66,9.41,10.34,10.75,12.09,12.41,10.94,8.16,5.03,2.03,-1.62,-4.84,-6.31,-5.91,-4.78,-4.12,-3.03,-1.31,-0.44,-0.22,-0.31,0.41,1.16,1.41,1.72,3.59,6.56,8.84,10.56,12.59,14.38,14.59,13.97,13.0,12.53,11.59,9.75,8.09,7.59,7.38,6.5,5.34,4.69,4.53,3.31,1.44,0.0,-0.44,-1.47,-3.12,-4.72,-4.91,-5.34,-6.03,-6.75,-5.88,-4.66,-3.78,-3.38,-2.19,-0.81,-0.41,-1.03,-1.94,-2.44,-3.53,-5.19,-6.28,-6.0,-5.22,-5.09,-5.75,-6.53,-7.88,-10.44,-13.59,-15.22,-15.47,-15.0,-14.5,-12.84,-10.28,-7.97,-6.84,-6.0,-4.81,-3.91,-4.0,-4.66,-4.22,-3.34,-2.53,-2.06,-1.16,-0.47,-1.34,-3.47,-5.81,-7.16,-7.91,-8.34,-7.84,-5.72,-3.41,-2.22,-1.53,-0.84,-1.03,-2.44,-4.28,-5.31,-4.97,-3.75,-2.19,0.38,4.19,7.44,9.28,10.25,10.97,10.44,8.38,5.25,2.28,-0.41,-3.59,-7.38,-10.19,-11.88,-12.56,-13.0,-13.12,-11.47,-10.31,-10.0,-10.22,-9.81,-9.53,-9.34,-9.31,-8.72,-7.19,-5.78,-5.28,-3.97,-1.78,0.16,0.81,0.97,1.56,1.59,0.75,0.16,0.44,1.41,1.97,1.75,2.0,2.06,1.72,-0.06,-2.12,-3.62,-5.59,-8.72,-12.16,-14.12,-15.59,-17.38,-18.69,-18.72,-18.53,-18.06,-18.09,-17.47,-16.09,-14.34,-13.41,-11.91,-9.28,-7.16,-6.0,-5.66,-4.88,-4.97,-5.53,-6.5,-6.5,-6.16,-6.38,-7.34,-8.22,-8.56,-8.91,-10.0,-10.47,-10.19,-10.0,-10.75,-12.06,-12.78,-13.25,-14.16,-14.47,-14.19,-13.16,-12.25,-12.62,-12.5,-11.62,-11.25,-11.53,-11.75,-11.56,-11.03,-11.03,-11.09,-10.12,-8.66,-7.94,-8.0,-7.75,-8.0,-8.75,-10.53,-12.12,-13.12,-14.47,-17.16,-20.09,-22.09,-23.38,-24.62,-25.12,-24.0,-22.06,-20.19,-18.34,-15.72,-12.34,-9.56,-7.5,-5.84,-4.47,-3.62,-4.56,-6.06,-7.56,-9.0,-11.25,-13.31,-14.0,-14.09,-13.53,-13.69,-13.06,-12.0,-11.22,-11.31,-10.81,-9.91,-8.69,-7.88,-7.31,-5.81,-4.41,-3.69,-4.28,-4.66,-5.69,-8.0,-11.31,-14.16,-15.88,-16.5,-16.41,-15.44,-13.69,-11.72,-11.56,-12.31,-12.69,-12.75,-13.16,-13.56,-13.38,-12.97,-13.09,-14.56,-15.72,-16.5,-17.19,-18.41,-19.25,-19.16,-18.25,-17.69,-16.69,-15.06,-12.88,-11.56,-10.72,-9.5,-8.06,-6.88,-6.75,-6.47,-5.38,-4.84,-5.22,-6.22,-7.19,-8.69,-11.38,-14.34,-16.28,-17.34,-18.06,-18.62,-18.59,-17.56,-16.88,-16.84,-16.41,-15.94,-15.16,-15.03,-15.09,-13.97,-11.97,-10.44,-8.88,-6.94,45.09,45.69,46.81,47.91,49.44,50.69,51.56,51.75,51.22,50.12,48.25,46.09,44.41,42.94:11.06,11.91,12.47,14.0,16.31,18.06,18.62,19.5,20.44,21.09,20.66,20.25,20.66,21.41,22.0,22.56,23.66,24.91,25.78,25.53,25.09,24.91,23.59,20.97,18.0,16.12,14.41,12.22,10.53,10.25,10.75,11.03,11.34,12.66,14.38,15.97,17.06,18.34,21.0,23.28,24.53,24.84,25.59,25.66,24.81,23.72,24.06,24.75,24.59,23.97,23.66,24.25,24.66,24.28,23.78,23.81,22.19,19.41,17.12,16.47,16.59,17.34,18.19,19.81,20.88,20.94,19.66,18.53,18.16,17.69,16.31,15.66,15.88,15.94,15.22,14.0,13.38,12.78,11.94,11.5,12.06,13.75,15.06,15.38,15.31,15.59,15.56,14.44,13.72,14.5,15.38,15.72,15.94,16.75,17.19,16.78,16.09,15.72,15.59,15.38,14.12,13.5,13.75,14.5,14.94,15.88,17.81,19.84,20.81,21.19,22.34,23.12,23.19,22.03,21.06,20.28,20.0,18.88,18.53,19.84,21.03,21.22,20.81,20.84,20.47,19.16,17.34,16.12,15.0,13.06,9.75,6.44,3.69,1.44,-0.56,-1.41,-0.19,1.62,3.28,4.94,7.53,9.91,11.25,12.25,13.62,14.53,15.16,14.78,13.84,12.81,11.25,7.91,4.09,1.47,-0.47,-2.31,-3.44,-2.72,-1.09,0.59,2.25,5.03,8.44,11.75,14.12,16.62,19.69,22.19,23.25,23.25,23.56,22.94,21.06,18.78,17.28,16.41,15.47,14.62,14.72,15.22,15.44,14.47,13.78,13.34,13.16,12.53,12.44,13.09,14.59,15.94,17.0,18.5,20.25,21.75,22.31,23.19,24.41,25.59,25.78,25.59,25.91,25.66,23.91,21.5,19.12,16.78,14.31,11.91,10.5,10.53,11.03,11.31,12.12,13.0,13.88,13.12,12.28,11.88,11.91,11.62,11.38,12.03,12.31,11.94,10.47,8.94,8.34,8.0,7.28,7.66,8.91,10.34,10.91,11.78,12.88,14.41,15.47,16.19,17.47,19.25,21.12,22.38,23.47,24.66,25.12,24.44,23.38,22.5,21.78,20.38,18.47,16.97,16.06,14.56,13.28,12.72,13.94,15.72,17.66,19.81,22.69,24.72,24.88,24.56,24.72,25.16,24.56,24.12,23.91,24.53,24.66,24.69,24.72,25.19,25.16,23.69,22.19,21.0,20.31,18.75,17.5,17.5,18.34,18.78,18.88,18.91,19.19,19.09,18.19,17.41,18.09,19.03,19.44,20.0,21.5,22.75,23.06,22.66,22.5,22.09,20.94,18.81,17.09,16.84,16.44,16.41,17.19,19.03,20.56,20.59,20.06,19.69,19.12,18.16,17.69,17.91,18.66,18.28,17.12,15.22,13.81,12.28,10.59,9.91,10.69,11.84,12.5,12.94,13.38,13.94,13.53,13.38,13.84,15.38,16.34,16.72,16.03,15.53,14.53,12.72,11.12,11.06,11.69,12.09,12.75,13.84,14.97,14.5,13.31,11.84,11.44,11.19,10.91,10.97,11.81,12.62,12.34,11.91,12.38,12.59,12.38,12.06,12.31,13.28,14.16,14.28,14.44,14.84,14.94,14.12,12.66,11.84,10.69,8.5,6.59,5.97,6.0,6.59,7.62,9.5,12.34,15.25,17.78,20.16,23.31,26.09,28.03,28.34,29.0,27.69,24.62,19.94,15.16,11.06,7.22,3.91,2.06,2.16,2.91,3.84,6.03,8.88,11.69,13.94,15.62,18.56,21.56,23.97,25.28,26.19,26.69,25.91,24.44,23.28,22.75,21.38,18.78,15.5,12.53,9.44,6.44,3.88,3.16,4.12,5.62,7.44,10.28,13.22,15.41,16.12,16.56,17.19,17.38,16.47,15.62,15.81,16.31,16.22,16.19,17.38,18.94,20.62,22.28,24.62,27.44,29.31,30.0,29.62,29.19,28.56,27.0,25.75,25.84,26.47,26.41,25.94,25.56,25.38,24.53,22.91,21.66,21.53,20.81,19.69,18.91,18.62,18.81,18.09,16.88,16.19,15.66,13.94,11.5,9.81,8.69,7.78,6.44,6.16,6.75,7.31,7.22,7.47,8.66,9.81,10.12,10.19,10.75,11.69,11.84,11.06,11.0,11.47,11.41,10.78,10.69,11.38,11.81,11.5,11.34,12.41,13.41,14.16,14.56,16.0,18.06,19.47,19.81,20.53,21.19,20.97,19.5,18.09,16.75,14.97,11.78,7.69,4.62,1.91,-0.66,-2.94,-3.03,-1.88,-0.09,1.22,3.38,5.91,7.75,8.22,9.0,10.44,12.0,12.88,13.41,14.44,15.06,14.62,13.22,12.19,12.09,11.59,11.12,11.38,12.38,13.53,13.97,14.38,15.38,16.88,17.44,17.97,19.34,20.88,21.5,21.03,20.84,21.38,21.72,21.34,21.25,21.81,21.81,20.0,17.97,16.75,15.31,13.06,11.0,10.16,10.69,11.25,11.72,12.78,14.31,14.81,14.53,14.5,15.59,17.03,17.28,17.69,19.0,20.34,20.5,20.0,19.84,19.81,18.94,17.25,16.03,15.75,15.19,13.81,12.75,13.03,13.81,13.44,12.91,13.12,13.06,11.78,10.06,9.22,8.69,8.28,7.44,7.31,7.62,7.78,6.5,4.59,2.47,-0.03,-3.59,-7.19,-9.03,-9.75,-10.0,-9.66,-7.88,-4.81,-1.62,1.03,4.16,7.59,10.47,11.78,12.16,13.0,13.47,12.41,10.75,9.31,8.0,5.56,2.97,1.41,1.09,1.25,1.59,3.03,5.5,8.34,9.72,10.69,11.88,13.22,13.06,12.5,13.19,13.78,13.62,12.5,11.5,11.09,10.12,8.09,6.69,6.53,6.84,7.16,8.31,10.69,13.34,14.59,14.94,15.53,16.31,16.34,15.66,14.75,14.62,14.03,12.28,10.53,9.78,9.34,7.84,6.28,5.78,5.38,4.44,3.69,3.47,5.12,6.94,8.44,10.34,13.06,15.62,16.72,17.34,18.5,19.22,18.31,17.12,16.5,15.66,13.66,11.09,8.75,7.34,5.38,2.88,0.88,-0.19,-1.47,-3.97,-5.78,-6.25,-6.16,-6.56,-6.69,-6.25,-5.16,-4.5,-4.53,-4.25,-3.31,-3.22,-4.0,-4.31,-3.34,-1.44,-0.44,0.72,2.72,4.41,4.47,3.78,3.47,3.75,3.0,1.97,1.62,1.94,1.62,0.31,-1.03,-1.72,-2.28,-3.75,-4.78,-4.41,-2.84,-1.25,0.66,3.81,7.34,9.53,10.31,10.12,9.56,7.94,5.25,2.91,2.44,3.34,3.75,4.56,5.59,6.41,5.62,4.0,2.28,1.34,0.59,-0.78,-0.94,0.28,2.28,4.09,6.12,9.22,12.09,13.84,14.62,15.47,16.09,14.94,12.62,9.94,8.34,6.38,4.25,2.66,2.25,1.81,0.75,-0.09,-0.03,0.91,1.12,1.25,2.0,3.56,4.5,4.88,5.69,7.66,9.41,10.34,10.75,12.09,12.41,10.94,8.16,5.03,2.03,-1.62,-4.84,-6.31,-5.91,-4.78,-4.12,-3.03,-1.31,-0.44,-0.22,-0.31,0.41,1.16,1.41,1.72,3.59,6.56,8.84,10.56,12.59,14.38,14.59,13.97,13.0,12.53,11.59,9.75,8.09,7.59,7.38,6.5,5.34,4.69,4.53,3.31,1.44,0.0,-0.44,-1.47,-3.12,-4.72,-4.91,-5.34,-6.03,-6.75,-5.88,-4.66,-3.78,-3.38,-2.19,-0.81,-0.41,-1.03,-1.94,-2.44,-3.53,-5.19,-6.28,-6.0,-5.22,-5.09,-5.75,-6.53,-7.88,-10.44,-13.59,-15.22,-15.47,-15.0,-14.5,-12.84,-10.28,-7.97,-6.84,-6.0,-4.81,-3.91,-4.0,-4.66,-4.22,-3.34,-2.53,-2.06,-1.16,-0.47,-1.34,-3.47,-5.81,-7.16,-7.91,-8.34,-7.84,-5.72,-3.41,-2.22,-1.53,-0.84,-1.03,-2.44,-4.28,-5.31,-4.97,-3.75,-2.19,0.38,4.19,7.44,9.28,10.25,10.97,10.44,8.38,5.25,2.28,-0.41,-3.59,-7.38,-10.19,-11.88,-12.56,-13.0,-13.12,-11.47,-10.31,-10.0,-10.22,-9.81,-9.53,-9.34,-9.31,-8.72,-7.19,-5.78,-5.28,-3.97,-1.78,0.16,0.81,0.97,1.56,1.59,0.75,0.16,0.44,1.41,1.97,1.75,2.0,2.06,1.72,-0.06,-2.12,-3.62,-5.59,-8.72,-12.16,-14.12,-15.59,-17.38,-18.69,-18.72,-18.53,-18.06,-18.09,-17.47,-16.09,-14.34,-13.41,-11.91,-9.28,-7.16,-6.0,-5.66,-4.88,-4.97,-5.53,-6.5,-6.5,-6.16,-6.38,-7.34,-8.22,-8.56,-8.91,-10.0,-10.47,-10.19,-10.0,-10.75,-12.06,-12.78,-13.25,-14.16,-14.47,-14.19,-13.16,-12.25,-12.62,-12.5,-11.62,-11.25,-11.53,-11.75,-11.56,-11.03,-11.03,-11.09,-10.12,-8.66,-7.94,-8.0,-7.75,-8.0,-8.75,-10.53,-12.12,-13.12,-14.47,-17.16,-20.09,-22.09,-23.38,-24.62,-25.12,-24.0,-22.06,-20.19,-18.34,-15.72,-12.34,-9.56,-7.5,-5.84,-4.47,-3.62,-4.56,-6.06,-7.56,-9.0,-11.25,-13.31,-14.0,-14.09,-13.53,-13.69,-13.06,-12.0,-11.22,-11.31,-10.81,-9.91,-8.69,-7.88,-7.31,-5.81,-4.41,-3.69,-4.28,-4.66,-5.69,-8.0,-11.31,-14.16,-15.88,-16.5,-16.41,-15.44,-13.69,-11.72,-11.56,-12.31,-12.69,-12.75,-13.16,-13.56,-13.38,-12.97,-13.09,-14.56,-15.72,-16.5,-17.19,-18.41,-19.25,-19.16,-18.25,-17.69,-16.69,-15.06,-12.88,-11.56,-10.72,-9.5,-8.06,-6.88,-6.75,-6.47,-5.38,-4.84,-5.22,-6.22,-7.19,-8.69,-11.38,-14.34,-16.28,-17.34,-18.06,-18.62,-18.59,-17.56,-16.88,-16.84,-16.41,-15.94,-15.16,-15.03,-15.09,-13.97,-11.97,-10.44,-8.88,-6.94,45.09,45.69,46.81,47.91,49.44,50.69,51.56,51.75,51.22,50.12,48.25,46.09,44.41,42.94,42.0,41.38,41.22,41.88,42.94,43.91,45.34:19.5,20.44,21.09,20.66,20.25,20.66,21.41,22.0,22.56,23.66,24.91,25.78,25.53,25.09,24.91,23.59,20.97,18.0,16.12,14.41,12.22,10.53,10.25,10.75,11.03,11.34,12.66,14.38,15.97,17.06,18.34,21.0,23.28,24.53,24.84,25.59,25.66,24.81,23.72,24.06,24.75,24.59,23.97,23.66,24.25,24.66,24.28,23.78,23.81,22.19,19.41,17.12,16.47,16.59,17.34,18.19,19.81,20.88,20.94,19.66,18.53,18.16,17.69,16.31,15.66,15.88,15.94,15.22,14.0,13.38,12.78,11.94,11.5,12.06,13.75,15.06,15.38,15.31,15.59,15.56,14.44,13.72,14.5,15.38,15.72,15.94,16.75,17.19,16.78,16.09,15.72,15.59,15.38,14.12,13.5,13.75,14.5,14.94,15.88,17.81,19.84,20.81,21.19,22.34,23.12,23.19,22.03,21.06,20.28,20.0,18.88,18.53,19.84,21.03,21.22,20.81,20.84,20.47,19.16,17.34,16.12,15.0,13.06,9.75,6.44,3.69,1.44,-0.56,-1.41,-0.19,1.62,3.28,4.94,7.53,9.91,11.25,12.25,13.62,14.53,15.16,14.78,13.84,12.81,11.25,7.91,4.09,1.47,-0.47,-2.31,-3.44,-2.72,-1.09,0.59,2.25,5.03,8.44,11.75,14.12,16.62,19.69,22.19,23.25,23.25,23.56,22.94,21.06,18.78,17.28,16.41,15.47,14.62,14.72,15.22,15.44,14.47,13.78,13.34,13.16,12.53,12.44,13.09,14.59,15.94,17.0,18.5,20.25,21.75,22.31,23.19,24.41,25.59,25.78,25.59,25.91,25.66,23.91,21.5,19.12,16.78,14.31,11.91,10.5,10.53,11.03,11.31,12.12,13.0,13.88,13.12,12.28,11.88,11.91,11.62,11.38,12.03,12.31,11.94,10.47,8.94,8.34,8.0,7.28,7.66,8.91,10.34,10.91,11.78,12.88,14.41,15.47,16.19,17.47,19.25,21.12,22.38,23.47,24.66,25.12,24.44,23.38,22.5,21.78,20.38,18.47,16.97,16.06,14.56,13.28,12.72,13.94,15.72,17.66,19.81,22.69,24.72,24.88,24.56,24.72,25.16,24.56,24.12,23.91,24.53,24.66,24.69,24.72,25.19,25.16,23.69,22.19,21.0,20.31,18.75,17.5,17.5,18.34,18.78,18.88,18.91,19.19,19.09,18.19,17.41,18.09,19.03,19.44,20.0,21.5,22.75,23.06,22.66,22.5,22.09,20.94,18.81,17.09,16.84,16.44,16.41,17.19,19.03,20.56,20.59,20.06,19.69,19.12,18.16,17.69,17.91,18.66,18.28,17.12,15.22,13.81,12.28,10.59,9.91,10.69,11.84,12.5,12.94,13.38,13.94,13.53,13.38,13.84,15.38,16.34,16.72,16.03,15.53,14.53,12.72,11.12,11.06,11.69,12.09,12.75,13.84,14.97,14.5,13.31,11.84,11.44,11.19,10.91,10.97,11.81,12.62,12.34,11.91,12.38,12.59,12.38,12.06,12.31,13.28,14.16,14.28,14.44,14.84,14.94,14.12,12.66,11.84,10.69,8.5,6.59,5.97,6.0,6.59,7.62,9.5,12.34,15.25,17.78,20.16,23.31,26.09,28.03,28.34,29.0,27.69,24.62,19.94,15.16,11.06,7.22,3.91,2.06,2.16,2.91,3.84,6.03,8.88,11.69,13.94,15.62,18.56,21.56,23.97,25.28,26.19,26.69,25.91,24.44,23.28,22.75,21.38,18.78,15.5,12.53,9.44,6.44,3.88,3.16,4.12,5.62,7.44,10.28,13.22,15.41,16.12,16.56,17.19,17.38,16.47,15.62,15.81,16.31,16.22,16.19,17.38,18.94,20.62,22.28,24.62,27.44,29.31,30.0,29.62,29.19,28.56,27.0,25.75,25.84,26.47,26.41,25.94,25.56,25.38,24.53,22.91,21.66,21.53,20.81,19.69,18.91,18.62,18.81,18.09,16.88,16.19,15.66,13.94,11.5,9.81,8.69,7.78,6.44,6.16,6.75,7.31,7.22,7.47,8.66,9.81,10.12,10.19,10.75,11.69,11.84,11.06,11.0,11.47,11.41,10.78,10.69,11.38,11.81,11.5,11.34,12.41,13.41,14.16,14.56,16.0,18.06,19.47,19.81,20.53,21.19,20.97,19.5,18.09,16.75,14.97,11.78,7.69,4.62,1.91,-0.66,-2.94,-3.03,-1.88,-0.09,1.22,3.38,5.91,7.75,8.22,9.0,10.44,12.0,12.88,13.41,14.44,15.06,14.62,13.22,12.19,12.09,11.59,11.12,11.38,12.38,13.53,13.97,14.38,15.38,16.88,17.44,17.97,19.34,20.88,21.5,21.03,20.84,21.38,21.72,21.34,21.25,21.81,21.81,20.0,17.97,16.75,15.31,13.06,11.0,10.16,10.69,11.25,11.72,12.78,14.31,14.81,14.53,14.5,15.59,17.03,17.28,17.69,19.0,20.34,20.5,20.0,19.84,19.81,18.94,17.25,16.03,15.75,15.19,13.81,12.75,13.03,13.81,13.44,12.91,13.12,13.06,11.78,10.06,9.22,8.69,8.28,7.44,7.31,7.62,7.78,6.5,4.59,2.47,-0.03,-3.59,-7.19,-9.03,-9.75,-10.0,-9.66,-7.88,-4.81,-1.62,1.03,4.16,7.59,10.47,11.78,12.16,13.0,13.47,12.41,10.75,9.31,8.0,5.56,2.97,1.41,1.09,1.25,1.59,3.03,5.5,8.34,9.72,10.69,11.88,13.22,13.06,12.5,13.19,13.78,13.62,12.5,11.5,11.09,10.12,8.09,6.69,6.53,6.84,7.16,8.31,10.69,13.34,14.59,14.94,15.53,16.31,16.34,15.66,14.75,14.62,14.03,12.28,10.53,9.78,9.34,7.84,6.28,5.78,5.38,4.44,3.69,3.47,5.12,6.94,8.44,10.34,13.06,15.62,16.72,17.34,18.5,19.22,18.31,17.12,16.5,15.66,13.66,11.09,8.75,7.34,5.38,2.88,0.88,-0.19,-1.47,-3.97,-5.78,-6.25,-6.16,-6.56,-6.69,-6.25,-5.16,-4.5,-4.53,-4.25,-3.31,-3.22,-4.0,-4.31,-3.34,-1.44,-0.44,0.72,2.72,4.41,4.47,3.78,3.47,3.75,3.0,1.97,1.62,1.94,1.62,0.31,-1.03,-1.72,-2.28,-3.75,-4.78,-4.41,-2.84,-1.25,0.66,3.81,7.34,9.53,10.31,10.12,9.56,7.94,5.25,2.91,2.44,3.34,3.75,4.56,5.59,6.41,5.62,4.0,2.28,1.34,0.59,-0.78,-0.94,0.28,2.28,4.09,6.12,9.22,12.09,13.84,14.62,15.47,16.09,14.94,12.62,9.94,8.34,6.38,4.25,2.66,2.25,1.81,0.75,-0.09,-0.03,0.91,1.12,1.25,2.0,3.56,4.5,4.88,5.69,7.66,9.41,10.34,10.75,12.09,12.41,10.94,8.16,5.03,2.03,-1.62,-4.84,-6.31,-5.91,-4.78,-4.12,-3.03,-1.31,-0.44,-0.22,-0.31,0.41,1.16,1.41,1.72,3.59,6.56,8.84,10.56,12.59,14.38,14.59,13.97,13.0,12.53,11.59,9.75,8.09,7.59,7.38,6.5,5.34,4.69,4.53,3.31,1.44,0.0,-0.44,-1.47,-3.12,-4.72,-4.91,-5.34,-6.03,-6.75,-5.88,-4.66,-3.78,-3.38,-2.19,-0.81,-0.41,-1.03,-1.94,-2.44,-3.53,-5.19,-6.28,-6.0,-5.22,-5.09,-5.75,-6.53,-7.88,-10.44,-13.59,-15.22,-15.47,-15.0,-14.5,-12.84,-10.28,-7.97,-6.84,-6.0,-4.81,-3.91,-4.0,-4.66,-4.22,-3.34,-2.53,-2.06,-1.16,-0.47,-1.34,-3.47,-5.81,-7.16,-7.91,-8.34,-7.84,-5.72,-3.41,-2.22,-1.53,-0.84,-1.03,-2.44,-4.28,-5.31,-4.97,-3.75,-2.19,0.38,4.19,7.44,9.28,10.25,10.97,10.44,8.38,5.25,2.28,-0.41,-3.59,-7.38,-10.19,-11.88,-12.56,-13.0,-13.12,-11.47,-10.31,-10.0,-10.22,-9.81,-9.53,-9.34,-9.31,-8.72,-7.19,-5.78,-5.28,-3.97,-1.78,0.16,0.81,0.97,1.56,1.59,0.75,0.16,0.44,1.41,1.97,1.75,2.0,2.06,1.72,-0.06,-2.12,-3.62,-5.59,-8.72,-12.16,-14.12,-15.59,-17.38,-18.69,-18.72,-18.53,-18.06,-18.09,-17.47,-16.09,-14.34,-13.41,-11.91,-9.28,-7.16,-6.0,-5.66,-4.88,-4.97,-5.53,-6.5,-6.5,-6.16,-6.38,-7.34,-8.22,-8.56,-8.91,-10.0,-10.47,-10.19,-10.0,-10.75,-12.06,-12.78,-13.25,-14.16,-14.47,-14.19,-13.16,-12.25,-12.62,-12.5,-11.62,-11.25,-11.53,-11.75,-11.56,-11.03,-11.03,-11.09,-10.12,-8.66,-7.94,-8.0,-7.75,-8.0,-8.75,-10.53,-12.12,-13.12,-14.47,-17.16,-20.09,-22.09,-23.38,-24.62,-25.12,-24.0,-22.06,-20.19,-18.34,-15.72,-12.34,-9.56,-7.5,-5.84,-4.47,-3.62,-4.56,-6.06,-7.56,-9.0,-11.25,-13.31,-14.0,-14.09,-13.53,-13.69,-13.06,-12.0,-11.22,-11.31,-10.81,-9.91,-8.69,-7.88,-7.31,-5.81,-4.41,-3.69,-4.28,-4.66,-5.69,-8.0,-11.31,-14.16,-15.88,-16.5,-16.41,-15.44,-13.69,-11.72,-11.56,-12.31,-12.69,-12.75,-13.16,-13.56,-13.38,-12.97,-13.09,-14.56,-15.72,-16.5,-17.19,-18.41,-19.25,-19.16,-18.25,-17.69,-16.69,-15.06,-12.88,-11.56,-10.72,-9.5,-8.06,-6.88,-6.75,-6.47,-5.38,-4.84,-5.22,-6.22,-7.19,-8.69,-11.38,-14.34,-16.28,-17.34,-18.06,-18.62,-18.59,-17.56,-16.88,-16.84,-16.41,-15.94,-15.16,-15.03,-15.09,-13.97,-11.97,-10.44,-8.88,-6.94,45.09,45.69,46.81,47.91,49.44,50.69,51.56,51.75,51.22,50.12,48.25,46.09,44.41,42.94,42.0,41.38,41.22,41.88,42.94,43.91,45.34,47.41,49.19,51.19,53.47,56.12,58.38,59.84:22.0,22.56,23.66,24.91,25.78,25.53,25.09,24.91,23.59,20.97,18.0,16.12,14.41,12.22,10.53,10.25,10.75,11.03,11.34,12.66,14.38,15.97,17.06,18.34,21.0,23.28,24.53,24.84,25.59,25.66,24.81,23.72,24.06,24.75,24.59,23.97,23.66,24.25,24.66,24.28,23.78,23.81,22.19,19.41,17.12,16.47,16.59,17.34,18.19,19.81,20.88,20.94,19.66,18.53,18.16,17.69,16.31,15.66,15.88,15.94,15.22,14.0,13.38,12.78,11.94,11.5,12.06,13.75,15.06,15.38,15.31,15.59,15.56,14.44,13.72,14.5,15.38,15.72,15.94,16.75,17.19,16.78,16.09,15.72,15.59,15.38,14.12,13.5,13.75,14.5,14.94,15.88,17.81,19.84,20.81,21.19,22.34,23.12,23.19,22.03,21.06,20.28,20.0,18.88,18.53,19.84,21.03,21.22,20.81,20.84,20.47,19.16,17.34,16.12,15.0,13.06,9.75,6.44,3.69,1.44,-0.56,-1.41,-0.19,1.62,3.28,4.94,7.53,9.91,11.25,12.25,13.62,14.53,15.16,14.78,13.84,12.81,11.25,7.91,4.09,1.47,-0.47,-2.31,-3.44,-2.72,-1.09,0.59,2.25,5.03,8.44,11.75,14.12,16.62,19.69,22.19,23.25,23.25,23.56,22.94,21.06,18.78,17.28,16.41,15.47,14.62,14.72,15.22,15.44,14.47,13.78,13.34,13.16,12.53,12.44,13.09,14.59,15.94,17.0,18.5,20.25,21.75,22.31,23.19,24.41,25.59,25.78,25.59,25.91,25.66,23.91,21.5,19.12,16.78,14.31,11.91,10.5,10.53,11.03,11.31,12.12,13.0,13.88,13.12,12.28,11.88,11.91,11.62,11.38,12.03,12.31,11.94,10.47,8.94,8.34,8.0,7.28,7.66,8.91,10.34,10.91,11.78,12.88,14.41,15.47,16.19,17.47,19.25,21.12,22.38,23.47,24.66,25.12,24.44,23.38,22.5,21.78,20.38,18.47,16.97,16.06,14.56,13.28,12.72,13.94,15.72,17.66,19.81,22.69,24.72,24.88,24.56,24.72,25.16,24.56,24.12,23.91,24.53,24.66,24.69,24.72,25.19,25.16,23.69,22.19,21.0,20.31,18.75,17.5,17.5,18.34,18.78,18.88,18.91,19.19,19.09,18.19,17.41,18.09,19.03,19.44,20.0,21.5,22.75,23.06,22.66,22.5,22.09,20.94,18.81,17.09,16.84,16.44,16.41,17.19,19.03,20.56,20.59,20.06,19.69,19.12,18.16,17.69,17.91,18.66,18.28,17.12,15.22,13.81,12.28,10.59,9.91,10.69,11.84,12.5,12.94,13.38,13.94,13.53,13.38,13.84,15.38,16.34,16.72,16.03,15.53,14.53,12.72,11.12,11.06,11.69,12.09,12.75,13.84,14.97,14.5,13.31,11.84,11.44,11.19,10.91,10.97,11.81,12.62,12.34,11.91,12.38,12.59,12.38,12.06,12.31,13.28,14.16,14.28,14.44,14.84,14.94,14.12,12.66,11.84,10.69,8.5,6.59,5.97,6.0,6.59,7.62,9.5,12.34,15.25,17.78,20.16,23.31,26.09,28.03,28.34,29.0,27.69,24.62,19.94,15.16,11.06,7.22,3.91,2.06,2.16,2.91,3.84,6.03,8.88,11.69,13.94,15.62,18.56,21.56,23.97,25.28,26.19,26.69,25.91,24.44,23.28,22.75,21.38,18.78,15.5,12.53,9.44,6.44,3.88,3.16,4.12,5.62,7.44,10.28,13.22,15.41,16.12,16.56,17.19,17.38,16.47,15.62,15.81,16.31,16.22,16.19,17.38,18.94,20.62,22.28,24.62,27.44,29.31,30.0,29.62,29.19,28.56,27.0,25.75,25.84,26.47,26.41,25.94,25.56,25.38,24.53,22.91,21.66,21.53,20.81,19.69,18.91,18.62,18.81,18.09,16.88,16.19,15.66,13.94,11.5,9.81,8.69,7.78,6.44,6.16,6.75,7.31,7.22,7.47,8.66,9.81,10.12,10.19,10.75,11.69,11.84,11.06,11.0,11.47,11.41,10.78,10.69,11.38,11.81,11.5,11.34,12.41,13.41,14.16,14.56,16.0,18.06,19.47,19.81,20.53,21.19,20.97,19.5,18.09,16.75,14.97,11.78,7.69,4.62,1.91,-0.66,-2.94,-3.03,-1.88,-0.09,1.22,3.38,5.91,7.75,8.22,9.0,10.44,12.0,12.88,13.41,14.44,15.06,14.62,13.22,12.19,12.09,11.59,11.12,11.38,12.38,13.53,13.97,14.38,15.38,16.88,17.44,17.97,19.34,20.88,21.5,21.03,20.84,21.38,21.72,21.34,21.25,21.81,21.81,20.0,17.97,16.75,15.31,13.06,11.0,10.16,10.69,11.25,11.72,12.78,14.31,14.81,14.53,14.5,15.59,17.03,17.28,17.69,19.0,20.34,20.5,20.0,19.84,19.81,18.94,17.25,16.03,15.75,15.19,13.81,12.75,13.03,13.81,13.44,12.91,13.12,13.06,11.78,10.06,9.22,8.69,8.28,7.44,7.31,7.62,7.78,6.5,4.59,2.47,-0.03,-3.59,-7.19,-9.03,-9.75,-10.0,-9.66,-7.88,-4.81,-1.62,1.03,4.16,7.59,10.47,11.78,12.16,13.0,13.47,12.41,10.75,9.31,8.0,5.56,2.97,1.41,1.09,1.25,1.59,3.03,5.5,8.34,9.72,10.69,11.88,13.22,13.06,12.5,13.19,13.78,13.62,12.5,11.5,11.09,10.12,8.09,6.69,6.53,6.84,7.16,8.31,10.69,13.34,14.59,14.94,15.53,16.31,16.34,15.66,14.75,14.62,14.03,12.28,10.53,9.78,9.34,7.84,6.28,5.78,5.38,4.44,3.69,3.47,5.12,6.94,8.44,10.34,13.06,15.62,16.72,17.34,18.5,19.22,18.31,17.12,16.5,15.66,13.66,11.09,8.75,7.34,5.38,2.88,0.88,-0.19,-1.47,-3.97,-5.78,-6.25,-6.16,-6.56,-6.69,-6.25,-5.16,-4.5,-4.53,-4.25,-3.31,-3.22,-4.0,-4.31,-3.34,-1.44,-0.44,0.72,2.72,4.41,4.47,3.78,3.47,3.75,3.0,1.97,1.62,1.94,1.62,0.31,-1.03,-1.72,-2.28,-3.75,-4.78,-4.41,-2.84,-1.25,0.66,3.81,7.34,9.53,10.31,10.12,9.56,7.94,5.25,2.91,2.44,3.34,3.75,4.56,5.59,6.41,5.62,4.0,2.28,1.34,0.59,-0.78,-0.94,0.28,2.28,4.09,6.12,9.22,12.09,13.84,14.62,15.47,16.09,14.94,12.62,9.94,8.34,6.38,4.25,2.66,2.25,1.81,0.75,-0.09,-0.03,0.91,1.12,1.25,2.0,3.56,4.5,4.88,5.69,7.66,9.41,10.34,10.75,12.09,12.41,10.94,8.16,5.03,2.03,-1.62,-4.84,-6.31,-5.91,-4.78,-4.12,-3.03,-1.31,-0.44,-0.22,-0.31,0.41,1.16,1.41,1.72,3.59,6.56,8.84,10.56,12.59,14.38,14.59,13.97,13.0,12.53,11.59,9.75,8.09,7.59,7.38,6.5,5.34,4.69,4.53,3.31,1.44,0.0,-0.44,-1.47,-3.12,-4.72,-4.91,-5.34,-6.03,-6.75,-5.88,-4.66,-3.78,-3.38,-2.19,-0.81,-0.41,-1.03,-1.94,-2.44,-3.53,-5.19,-6.28,-6.0,-5.22,-5.09,-5.75,-6.53,-7.88,-10.44,-13.59,-15.22,-15.47,-15.0,-14.5,-12.84,-10.28,-7.97,-6.84,-6.0,-4.81,-3.91,-4.0,-4.66,-4.22,-3.34,-2.53,-2.06,-1.16,-0.47,-1.34,-3.47,-5.81,-7.16,-7.91,-8.34,-7.84,-5.72,-3.41,-2.22,-1.53,-0.84,-1.03,-2.44,-4.28,-5.31,-4.97,-3.75,-2.19,0.38,4.19,7.44,9.28,10.25,10.97,10.44,8.38,5.25,2.28,-0.41,-3.59,-7.38,-10.19,-11.88,-12.56,-13.0,-13.12,-11.47,-10.31,-10.0,-10.22,-9.81,-9.53,-9.34,-9.31,-8.72,-7.19,-5.78,-5.28,-3.97,-1.78,0.16,0.81,0.97,1.56,1.59,0.75,0.16,0.44,1.41,1.97,1.75,2.0,2.06,1.72,-0.06,-2.12,-3.62,-5.59,-8.72,-12.16,-14.12,-15.59,-17.38,-18.69,-18.72,-18.53,-18.06,-18.09,-17.47,-16.09,-14.34,-13.41,-11.91,-9.28,-7.16,-6.0,-5.66,-4.88,-4.97,-5.53,-6.5,-6.5,-6.16,-6.38,-7.34,-8.22,-8.56,-8.91,-10.0,-10.47,-10.19,-10.0,-10.75,-12.06,-12.78,-13.25,-14.16,-14.47,-14.19,-13.16,-12.25,-12.62,-12.5,-11.62,-11.25,-11.53,-11.75,-11.56,-11.03,-11.03,-11.09,-10.12,-8.66,-7.94,-8.0,-7.75,-8.0,-8.75,-10.53,-12.12,-13.12,-14.47,-17.16,-20.09,-22.09,-23.38,-24.62,-25.12,-24.0,-22.06,-20.19,-18.34,-15.72,-12.34,-9.56,-7.5,-5.84,-4.47,-3.62,-4.56,-6.06,-7.56,-9.0,-11.25,-13.31,-14.0,-14.09,-13.53,-13.69,-13.06,-12.0,-11.22,-11.31,-10.81,-9.91,-8.69,-7.88,-7.31,-5.81,-4.41,-3.69,-4.28,-4.66,-5.69,-8.0,-11.31,-14.16,-15.88,-16.5,-16.41,-15.44,-13.69,-11.72,-11.56,-12.31,-12.69,-12.75,-13.16,-13.56,-13.38,-12.97,-13.09,-14.56,-15.72,-16.5,-17.19,-18.41,-19.25,-19.16,-18.25,-17.69,-16.69,-15.06,-12.88,-11.56,-10.72,-9.5,-8.06,-6.88,-6.75,-6.47,-5.38,-4.84,-5.22,-6.22,-7.19,-8.69,-11.38,-14.34,-16.28,-17.34,-18.06,-18.62,-18.59,-17.56,-16.88,-16.84,-16.41,-15.94,-15.16,-15.03,-15.09,-13.97,-11.97,-10.44,-8.88,-6.94,45.09,45.69,46.81,47.91,49.44,50.69,51.56,51.75,51.22,50.12,48.25,46.09,44.41,42.94,42.0,41.38,41.22,41.88,42.94,43.91,45.34,47.41,49.19,51.19,53.47,56.12,58.38,59.84,61.0,61.19,60.75,59.66,58.59,57.94,57.59:24.91,23.59,20.97,18.0,16.12,14.41,12.22,10.53,10.25,10.75,11.03,11.34,12.66,14.38,15.97,17.06,18.34,21.0,23.28,24.53,24.84,25.59,25.66,24.81,23.72,24.06,24.75,24.59,23.97,23.66,24.25,24.66,24.28,23.78,23.81,22.19,19.41,17.12,16.47,16.59,17.34,18.19,19.81,20.88,20.94,19.66,18.53,18.16,17.69,16.31,15.66,15.88,15.94,15.22,14.0,13.38,12.78,11.94,11.5,12.06,13.75,15.06,15.38,15.31,15.59,15.56,14.44,13.72,14.5,15.38,15.72,15.94,16.75,17.19,16.78,16.09,15.72,15.59,15.38,14.12,13.5,13.75,14.5,14.94,15.88,17.81,19.84,20.81,21.19,22.34,23.12,23.19,22.03,21.06,20.28,20.0,18.88,18.53,19.84,21.03,21.22,20.81,20.84,20.47,19.16,17.34,16.12,15.0,13.06,9.75,6.44,3.69,1.44,-0.56,-1.41,-0.19,1.62,3.28,4.94,7.53,9.91,11.25,12.25,13.62,14.53,15.16,14.78,13.84,12.81,11.25,7.91,4.09,1.47,-0.47,-2.31,-3.44,-2.72,-1.09,0.59,2.25,5.03,8.44,11.75,14.12,16.62,19.69,22.19,23.25,23.25,23.56,22.94,21.06,18.78,17.28,16.41,15.47,14.62,14.72,15.22,15.44,14.47,13.78,13.34,13.16,12.53,12.44,13.09,14.59,15.94,17.0,18.5,20.25,21.75,22.31,23.19,24.41,25.59,25.78,25.59,25.91,25.66,23.91,21.5,19.12,16.78,14.31,11.91,10.5,10.53,11.03,11.31,12.12,13.0,13.88,13.12,12.28,11.88,11.91,11.62,11.38,12.03,12.31,11.94,10.47,8.94,8.34,8.0,7.28,7.66,8.91,10.34,10.91,11.78,12.88,14.41,15.47,16.19,17.47,19.25,21.12,22.38,23.47,24.66,25.12,24.44,23.38,22.5,21.78,20.38,18.47,16.97,16.06,14.56,13.28,12.72,13.94,15.72,17.66,19.81,22.69,24.72,24.88,24.56,24.72,25.16,24.56,24.12,23.91,24.53,24.66,24.69,24.72,25.19,25.16,23.69,22.19,21.0,20.31,18.75,17.5,17.5,18.34,18.78,18.88,18.91,19.19,19.09,18.19,17.41,18.09,19.03,19.44,20.0,21.5,22.75,23.06,22.66,22.5,22.09,20.94,18.81,17.09,16.84,16.44,16.41,17.19,19.03,20.56,20.59,20.06,19.69,19.12,18.16,17.69,17.91,18.66,18.28,17.12,15.22,13.81,12.28,10.59,9.91,10.69,11.84,12.5,12.94,13.38,13.94,13.53,13.38,13.84,15.38,16.34,16.72,16.03,15.53,14.53,12.72,11.12,11.06,11.69,12.09,12.75,13.84,14.97,14.5,13.31,11.84,11.44,11.19,10.91,10.97,11.81,12.62,12.34,11.91,12.38,12.59,12.38,12.06,12.31,13.28,14.16,14.28,14.44,14.84,14.94,14.12,12.66,11.84,10.69,8.5,6.59,5.97,6.0,6.59,7.62,9.5,12.34,15.25,17.78,20.16,23.31,26.09,28.03,28.34,29.0,27.69,24.62,19.94,15.16,11.06,7.22,3.91,2.06,2.16,2.91,3.84,6.03,8.88,11.69,13.94,15.62,18.56,21.56,23.97,25.28,26.19,26.69,25.91,24.44,23.28,22.75,21.38,18.78,15.5,12.53,9.44,6.44,3.88,3.16,4.12,5.62,7.44,10.28,13.22,15.41,16.12,16.56,17.19,17.38,16.47,15.62,15.81,16.31,16.22,16.19,17.38,18.94,20.62,22.28,24.62,27.44,29.31,30.0,29.62,29.19,28.56,27.0,25.75,25.84,26.47,26.41,25.94,25.56,25.38,24.53,22.91,21.66,21.53,20.81,19.69,18.91,18.62,18.81,18.09,16.88,16.19,15.66,13.94,11.5,9.81,8.69,7.78,6.44,6.16,6.75,7.31,7.22,7.47,8.66,9.81,10.12,10.19,10.75,11.69,11.84,11.06,11.0,11.47,11.41,10.78,10.69,11.38,11.81,11.5,11.34,12.41,13.41,14.16,14.56,16.0,18.06,19.47,19.81,20.53,21.19,20.97,19.5,18.09,16.75,14.97,11.78,7.69,4.62,1.91,-0.66,-2.94,-3.03,-1.88,-0.09,1.22,3.38,5.91,7.75,8.22,9.0,10.44,12.0,12.88,13.41,14.44,15.06,14.62,13.22,12.19,12.09,11.59,11.12,11.38,12.38,13.53,13.97,14.38,15.38,16.88,17.44,17.97,19.34,20.88,21.5,21.03,20.84,21.38,21.72,21.34,21.25,21.81,21.81,20.0,17.97,16.75,15.31,13.06,11.0,10.16,10.69,11.25,11.72,12.78,14.31,14.81,14.53,14.5,15.59,17.03,17.28,17.69,19.0,20.34,20.5,20.0,19.84,19.81,18.94,17.25,16.03,15.75,15.19,13.81,12.75,13.03,13.81,13.44,12.91,13.12,13.06,11.78,10.06,9.22,8.69,8.28,7.44,7.31,7.62,7.78,6.5,4.59,2.47,-0.03,-3.59,-7.19,-9.03,-9.75,-10.0,-9.66,-7.88,-4.81,-1.62,1.03,4.16,7.59,10.47,11.78,12.16,13.0,13.47,12.41,10.75,9.31,8.0,5.56,2.97,1.41,1.09,1.25,1.59,3.03,5.5,8.34,9.72,10.69,11.88,13.22,13.06,12.5,13.19,13.78,13.62,12.5,11.5,11.09,10.12,8.09,6.69,6.53,6.84,7.16,8.31,10.69,13.34,14.59,14.94,15.53,16.31,16.34,15.66,14.75,14.62,14.03,12.28,10.53,9.78,9.34,7.84,6.28,5.78,5.38,4.44,3.69,3.47,5.12,6.94,8.44,10.34,13.06,15.62,16.72,17.34,18.5,19.22,18.31,17.12,16.5,15.66,13.66,11.09,8.75,7.34,5.38,2.88,0.88,-0.19,-1.47,-3.97,-5.78,-6.25,-6.16,-6.56,-6.69,-6.25,-5.16,-4.5,-4.53,-4.25,-3.31,-3.22,-4.0,-4.31,-3.34,-1.44,-0.44,0.72,2.72,4.41,4.47,3.78,3.47,3.75,3.0,1.97,1.62,1.94,1.62,0.31,-1.03,-1.72,-2.28,-3.75,-4.78,-4.41,-2.84,-1.25,0.66,3.81,7.34,9.53,10.31,10.12,9.56,7.94,5.25,2.91,2.44,3.34,3.75,4.56,5.59,6.41,5.62,4.0,2.28,1.34,0.59,-0.78,-0.94,0.28,2.28,4.09,6.12,9.22,12.09,13.84,14.62,15.47,16.09,14.94,12.62,9.94,8.34,6.38,4.25,2.66,2.25,1.81,0.75,-0.09,-0.03,0.91,1.12,1.25,2.0,3.56,4.5,4.88,5.69,7.66,9.41,10.34,10.75,12.09,12.41,10.94,8.16,5.03,2.03,-1.62,-4.84,-6.31,-5.91,-4.78,-4.12,-3.03,-1.31,-0.44,-0.22,-0.31,0.41,1.16,1.41,1.72,3.59,6.56,8.84,10.56,12.59,14.38,14.59,13.97,13.0,12.53,11.59,9.75,8.09,7.59,7.38,6.5,5.34,4.69,4.53,3.31,1.44,0.0,-0.44,-1.47,-3.12,-4.72,-4.91,-5.34,-6.03,-6.75,-5.88,-4.66,-3.78,-3.38,-2.19,-0.81,-0.41,-1.03,-1.94,-2.44,-3.53,-5.19,-6.28,-6.0,-5.22,-5.09,-5.75,-6.53,-7.88,-10.44,-13.59,-15.22,-15.47,-15.0,-14.5,-12.84,-10.28,-7.97,-6.84,-6.0,-4.81,-3.91,-4.0,-4.66,-4.22,-3.34,-2.53,-2.06,-1.16,-0.47,-1.34,-3.47,-5.81,-7.16,-7.91,-8.34,-7.84,-5.72,-3.41,-2.22,-1.53,-0.84,-1.03,-2.44,-4.28,-5.31,-4.97,-3.75,-2.19,0.38,4.19,7.44,9.28,10.25,10.97,10.44,8.38,5.25,2.28,-0.41,-3.59,-7.38,-10.19,-11.88,-12.56,-13.0,-13.12,-11.47,-10.31,-10.0,-10.22,-9.81,-9.53,-9.34,-9.31,-8.72,-7.19,-5.78,-5.28,-3.97,-1.78,0.16,0.81,0.97,1.56,1.59,0.75,0.16,0.44,1.41,1.97,1.75,2.0,2.06,1.72,-0.06,-2.12,-3.62,-5.59,-8.72,-12.16,-14.12,-15.59,-17.38,-18.69,-18.72,-18.53,-18.06,-18.09,-17.47,-16.09,-14.34,-13.41,-11.91,-9.28,-7.16,-6.0,-5.66,-4.88,-4.97,-5.53,-6.5,-6.5,-6.16,-6.38,-7.34,-8.22,-8.56,-8.91,-10.0,-10.47,-10.19,-10.0,-10.75,-12.06,-12.78,-13.25,-14.16,-14.47,-14.19,-13.16,-12.25,-12.62,-12.5,-11.62,-11.25,-11.53,-11.75,-11.56,-11.03,-11.03,-11.09,-10.12,-8.66,-7.94,-8.0,-7.75,-8.0,-8.75,-10.53,-12.12,-13.12,-14.47,-17.16,-20.09,-22.09,-23.38,-24.62,-25.12,-24.0,-22.06,-20.19,-18.34,-15.72,-12.34,-9.56,-7.5,-5.84,-4.47,-3.62,-4.56,-6.06,-7.56,-9.0,-11.25,-13.31,-14.0,-14.09,-13.53,-13.69,-13.06,-12.0,-11.22,-11.31,-10.81,-9.91,-8.69,-7.88,-7.31,-5.81,-4.41,-3.69,-4.28,-4.66,-5.69,-8.0,-11.31,-14.16,-15.88,-16.5,-16.41,-15.44,-13.69,-11.72,-11.56,-12.31,-12.69,-12.75,-13.16,-13.56,-13.38,-12.97,-13.09,-14.56,-15.72,-16.5,-17.19,-18.41,-19.25,-19.16,-18.25,-17.69,-16.69,-15.06,-12.88,-11.56,-10.72,-9.5,-8.06,-6.88,-6.75,-6.47,-5.38,-4.84,-5.22,-6.22,-7.19,-8.69,-11.38,-14.34,-16.28,-17.34,-18.06,-18.62,-18.59,-17.56,-16.88,-16.84,-16.41,-15.94,-15.16,-15.03,-15.09,-13.97,-11.97,-10.44,-8.88,-6.94,45.09,45.69,46.81,47.91,49.44,50.69,51.56,51.75,51.22,50.12,48.25,46.09,44.41,42.94,42.0,41.38,41.22,41.88,42.94,43.91,45.34,47.41,49.19,51.19,53.47,56.12,58.38,59.84,61.0,61.19,60.75,59.66,58.59,57.94,57.59,57.75,58.03,58.53,59.22,59.56,59.25,58.44:positivity
8.62,7.56,7.88,7.88,5.41,3.09,3.22,4.69,4.25,2.97,3.31,4.44,2.78,-0.56,-2.72,-2.84,-3.12,-4.72,-4.66,-1.88,1.47,2.28,2.81,4.69,7.19,7.25,6.16,7.06,9.41,10.5,9.56,9.28,10.34,9.91,6.91,3.72,3.44,3.97,2.19,0.31,0.75,1.47,0.0,-2.66,-3.53,-2.16,-1.53,-1.88,-0.41,3.59,7.31,8.25,9.16,11.69,14.38,14.38,14.84,17.62,21.75,23.94,24.31,25.19,26.88,25.75,22.22,18.38,16.12,13.19,8.31,4.56,4.0,4.97,3.81,2.75,3.25,4.75,4.12,2.94,3.41,5.62,7.25,7.09,7.75,10.59,13.03,12.66,12.03,13.53,15.5,14.69,13.44,13.44,14.91,14.59,12.84,13.47,16.19,17.81,17.12,16.91,18.72,19.88,17.81,15.81,16.0,16.72,14.91,12.62,11.88,12.19,10.5,7.5,6.19,6.78,7.25,5.5,4.06,4.41,4.19,1.31,-2.19,-3.16,-2.88,-4.12,-5.78,-5.09,-2.25,-0.31,0.38,2.06,5.38,7.66,7.41,7.16,9.31,11.78,12.19,11.97,13.44,15.69,15.53,14.16,13.72,14.78,14.44,12.5,11.78,13.5,14.72,13.66,12.84,13.78,14.91,13.66,11.44,11.0,12.22,11.22,9.28,8.69,10.16,10.22,8.91,7.97,9.47,10.78,9.5,8.66,10.56,13.06,12.88,12.28,13.03,14.91,14.94,13.97,14.41,16.78,17.62,16.12,15.28,16.75,18.31,17.5,16.34,16.97,17.66,15.16,11.12,8.69,8.53,6.97,4.34,3.97,6.22,7.84,7.59,7.59,9.56,11.12,9.97,8.53,9.5,11.75,12.25,11.44,12.31,14.09,13.66,11.09,9.28,9.72,9.09,6.75,4.75,5.5,6.03,4.75,3.38,4.78,7.44,8.66,8.91,10.75,14.03,15.91,15.78,16.19,18.94,20.59,19.69,18.94,20.47,22.72,22.81,22.44,24.09,26.03,26.19,25.41,26.12,29.09,29.91,28.31,26.12,25.12,22.62,18.0,13.41,12.06,11.75,9.69,7.5,7.78,10.03,11.28,11.88,14.41,19.28,22.53,23.59,24.72,27.09,28.09,25.88,22.88,21.78,21.22,18.81,16.31,15.69,17.16,17.09,15.66,15.44,16.38,15.69,11.94,8.41,7.28,5.72,2.88,0.84,2.22,5.53,7.66,8.88,12.53,17.34,20.88,22.88,26.03,30.97,34.19,34.34,33.47,34.25,34.59,32.38,29.38,27.88,26.97,23.59,19.12,16.5,15.72,14.0,10.69,8.88,9.34,9.84,8.69,8.22,10.62,13.06,14.09,14.34,17.06,20.72,22.56,22.28,22.97,24.47,24.19,21.91,20.5,21.47,21.91,19.88,17.44,17.53,17.78,16.16,13.22,12.66,12.91,11.44,8.91,7.94,9.69,11.22,11.47,12.97,17.19,21.0,22.12,22.75,24.59,26.75,26.22,24.34,24.34,25.5,25.16,23.53,22.94,24.16,24.66,22.53,21.06,21.69,22.41,20.62,18.75,18.84,19.31,18.12,16.19,16.19,18.41,20.16,20.38,21.53,24.0,25.09,22.91,19.94,19.16,18.44,16.09,13.75,14.28,16.09,16.91,15.91,16.62,18.47,19.12,17.69,17.28,18.91,20.0,18.72,17.62,18.97,20.94,21.16,20.41,21.47,22.72,22.41,20.12,19.75,21.41,21.66,19.97,18.44,18.53,18.03,15.25,13.09,14.53,17.25,18.19,18.44,20.78,22.75,22.62,20.25,19.03,19.22,18.47,15.66,13.34,13.66,13.75,11.94,10.22,11.31,12.97,12.94,12.25,13.62,16.72,18.03,17.38,17.47,19.25,19.62,17.09,14.78,14.94,15.38,13.28,11.22,10.91,11.81,10.78,9.28,9.91,12.03,12.66,11.34,11.28,12.91,14.0,13.09,12.53,13.91,15.47,15.03,14.16,15.62,17.81,18.28,17.16,17.31,18.25,18.22,16.03,14.69,15.38,16.38,15.19,14.75,17.25,20.0,20.75,20.19,21.28,22.38,21.44,18.69,17.25,16.94,15.84,13.38,12.19,14.0,16.16,16.16,16.09,17.97,19.69,19.03,17.75,18.25,19.75,19.81,18.34,17.69,18.09,18.16,16.0,14.91,16.56,18.75,18.41,17.41,18.5,19.56,18.22,15.38,14.47,14.56,14.09,12.44,12.31,14.31,15.31,13.97,12.88,14.19,16.0,16.06,16.38,18.69,21.34,20.94,18.66,17.03,16.19,14.09,11.28,9.88,11.09,12.62,12.66,13.25,15.53,18.06,17.94,17.31,17.88,19.5,19.47,18.09,18.44,19.81,19.94,17.91,16.31,16.47,16.12,13.91,12.5,13.38,15.03,14.59,13.38,14.5,16.88,17.56,17.0,17.75,19.59,20.41,18.94,18.44,19.88,21.09,19.62,18.19,18.66,19.69,18.78,17.12,16.88,17.53,16.41,13.38,11.97,12.53,13.09,12.06,12.47,15.38,18.44,19.12,19.38,20.97,22.66,22.0,20.34,20.34,21.72,21.69,20.0,19.44,20.53,20.75,18.84,16.84,17.09,17.41,15.56,13.72,14.25,15.16,14.75,12.91,12.28,12.94,12.0,9.44,7.59,7.75,7.5,5.75,4.78,6.31,8.41,8.72,7.97,8.72,10.62,10.53,10.19,11.03,13.62,14.5,13.25,12.38,13.5,14.5,13.88,13.38,13.84,14.06,11.09,7.44,5.72,6.38,6.75,6.56,7.94,11.03,12.56,12.19,12.31,14.62,17.0,16.91,17.22,19.03,21.06,21.0,19.84,20.19,21.31,20.16,17.53,15.53,15.06,13.84,10.97,9.03,9.19,9.53,7.69,6.06,6.41,8.03,8.12,7.47,8.31,10.25,10.97,9.81,9.66,10.84,11.28,9.31,7.75,8.09,9.09,7.97,7.0,7.97,10.38,10.88,9.66,9.69,10.28,9.06,5.88,4.53,5.75,6.94,6.09,5.59,6.78,7.62,6.53,5.03,5.28,6.34,5.88,4.19,4.31,6.12,6.91,6.38,6.69,9.03,10.88,11.03,11.0,13.25,15.09,14.41,13.16,13.47,15.16,15.25,14.16,13.84,14.84,14.19,11.38,9.09,9.38,9.56,8.34,7.75,9.44,11.75,11.94,11.38,11.72,13.19,13.22,11.66,11.34,13.0,13.88,13.06,12.44,14.03,15.03,13.44,11.34,11.44,13.03,12.94,12.88,14.69,17.91,18.91,17.62,15.81,15.16,13.03,9.22,6.19,6.34,7.19,6.16,4.81,5.03,6.25,6.16,5.53,7.0,9.97,11.88,11.28,10.91,11.75,11.5,8.84,6.66,6.88,8.03,7.19,5.88,5.84,6.5,5.22,2.56,1.44,2.16,2.19,0.53,-0.19,1.09,2.69,2.19,1.53,3.47,5.59,5.38,3.75,4.28,5.38,5.06,4.25,5.09,7.81,9.94,10.03,9.81,11.06,11.53,9.88,7.41,7.53,8.56,7.97,7.25,8.53,11.59,13.16,13.28,14.34,17.31,19.03,18.44,17.66,18.78,19.06,16.56,13.94,13.5,14.38,13.72,12.47,12.81,14.72,15.06,14.31,13.78,15.78,16.38,14.66,12.75,13.34,14.94,14.84,14.41,16.34,18.75,18.84,17.25,16.75,17.53,16.75,14.12,11.5,11.09,10.16,7.72,6.19,7.72,10.59,11.84,12.69,15.0,17.94,18.47,17.03,16.19,16.94,16.22,13.53,11.81,12.03,12.38,10.53,8.75,9.22,10.44,10.16,8.62,9.38,10.88,11.12,9.62,9.91,11.81,13.22,12.5,11.75,13.19,13.94,12.38,10.34,10.22,10.53,9.28,7.12,7.31,9.25,10.22,10.03,11.19,13.56,15.03,13.66,12.25,12.78,13.19,11.34,9.19,8.56,8.72,7.16,4.62,4.59,6.56,7.94,7.5,7.81,10.31,12.19,12.06,12.03,14.25,16.47,16.19,14.88,15.56,16.59,15.81,13.03,11.22,10.88,9.41,6.59,5.44,7.16,9.38,10.16,9.84,11.38,11.78,9.25,5.53,3.97,4.59,4.72,4.56,6.34,10.25,12.91,13.66,14.53,17.47,19.88,19.81,18.56,19.44,20.5,19.19,16.91,16.16,17.44,17.25,15.59,15.66,18.16,19.44,18.66,18.31,20.0,21.75,21.12,19.72,20.0,20.72,19.03,16.16,14.5,14.06,13.16,11.09,11.38,14.91,18.34,19.97,21.47,24.06,26.19,25.72,23.78,23.94,24.84,23.91,21.41,20.16,20.62,19.81,17.5,16.16,17.0,18.03,16.66,16.09,17.75,20.5,21.31,21.28,23.94,27.84,30.5,31.5,33.62,36.66,37.44,35.5,33.78,33.53,33.41,31.0,28.81,29.22,30.69,30.56,29.31,30.53,32.12,31.94,29.59,27.97,27.84,26.78,23.88,21.62,22.41,22.94,21.91,20.72,22.34,25.47,27.5,28.59,31.5,35.59,37.59,36.56,35.38,35.28,33.16,28.28,23.38,21.03,19.78,17.5,16.09,17.41,21.22,23.94,25.81,29.03,33.38,36.12,35.62,35.16,35.75,35.69,32.91,30.53,30.34,31.0,29.47,27.12,26.75,27.16,25.91,23.31,22.38,23.56,24.12,23.09,23.69,26.5,29.38,29.47,29.03,30.44,31.91,30.94,29.41,30.12,32.5,33.91,33.75,35.28,38.41,40.28,39.03,37.78,37.91,37.28,33.75,29.47,26.75,24.47,20.16,15.0,11.81,10.81,9.22,6.72,6.94,10.03,14.03,17.0,21.5,28.03,34.66,38.12,39.75,42.44,44.59,44.31,42.56,42.0,42.66,42.25,39.09,36.78,36.19,35.31,32.28,29.09,28.22,26.81,22.81,17.56,14.62,13.53,12.06,9.84,9.91,12.19,13.16,12.38,11.5,13.28,14.62,13.81:4.69,4.25,2.97,3.31,4.44,2.78,-0.56,-2.72,-2.84,-3.12,-4.72,-4.66,-1.88,1.47,2.28,2.81,4.69,7.19,7.25,6.16,7.06,9.41,10.5,9.56,9.28,10.34,9.91,6.91,3.72,3.44,3.97,2.19,0.31,0.75,1.47,0.0,-2.66,-3.53,-2.16,-1.53,-1.88,-0.41,3.59,7.31,8.25,9.16,11.69,14.38,14.38,14.84,17.62,21.75,23.94,24.31,25.19,26.88,25.75,22.22,18.38,16.12,13.19,8.31,4.56,4.0,4.97,3.81,2.75,3.25,4.75,4.12,2.94,3.41,5.62,7.25,7.09,7.75,10.59,13.03,12.66,12.03,13.53,15.5,14.69,13.44,13.44,14.91,14.59,12.84,13.47,16.19,17.81,17.12,16.91,18.72,19.88,17.81,15.81,16.0,16.72,14.91,12.62,11.88,12.19,10.5,7.5,6.19,6.78,7.25,5.5,4.06,4.41,4.19,1.31,-2.19,-3.16,-2.88,-4.12,-5.78,-5.09,-2.25,-0.31,0.38,2.06,5.38,7.66,7.41,7.16,9.31,11.78,12.19,11.97,13.44,15.69,15.53,14.16,13.72,14.78,14.44,12.5,11.78,13.5,14.72,13.66,12.84,13.78,14.91,13.66,11.44,11.0,12.22,11.22,9.28,8.69,10.16,10.22,8.91,7.97,9.47,10.78,9.5,8.66,10.56,13.06,12.88,12.28,13.03,14.91,14.94,13.97,14.41,16.78,17.62,16.12,15.28,16.75,18.31,17.5,16.34,16.97,17.66,15.16,11.12,8.69,8.53,6.97,4.34,3.97,6.22,7.84,7.59,7.59,9.56,11.12,9.97,8.53,9.5,11.75,12.25,11.44,12.31,14.09,13.66,11.09,9.28,9.72,9.09,6.75,4.75,5.5,6.03,4.75,3.38,4.78,7.44,8.66,8.91,10.75,14.03,15.91,15.78,16.19,18.94,20.59,19.69,18.94,20.47,22.72,22.81,22.44,24.09,26.03,26.19,25.41,26.12,29.09,29.91,28.31,26.12,25.12,22.62,18.0,13.41,12.06,11.75,9.69,7.5,7.78,10.03,11.28,11.88,14.41,19.28,22.53,23.59,24.72,27.09,28.09,25.88,22.88,21.78,21.22,18.81,16.31,15.69,17.16,17.09,15.66,15.44,16.38,15.69,11.94,8.41,7.28,5.72,2.88,0.84,2.22,5.53,7.66,8.88,12.53,17.34,20.88,22.88,26.03,30.97,34.19,34.34,33.47,34.25,34.59,32.38,29.38,27.88,26.97,23.59,19.12,16.5,15.72,14.0,10.69,8.88,9.34,9.84,8.69,8.22,10.62,13.06,14.09,14.34,17.06,20.72,22.56,22.28,22.97,24.47,24.19,21.91,20.5,21.47,21.91,19.88,17.44,17.53,17.78,16.16,13.22,12.66,12.91,11.44,8.91,7.94,9.69,11.22,11.47,12.97,17.19,21.0,22.12,22.75,24.59,26.75,26.22,24.34,24.34,25.5,25.16,23.53,22.94,24.16,24.66,22.53,21.06,21.69,22.41,20.62,18.75,18.84,19.31,18.12,16.19,16.19,18.41,20.16,20.38,21.53,24.0,25.09,22.91,19.94,19.16,18.44,16.09,13.75,14.28,16.09,16.91,15.91,16.62,18.47,19.12,17.69,17.28,18.91,20.0,18.72,17.62,18.97,20.94,21.16,20.41,21.47,22.72,22.41,20.12,19.75,21.41,21.66,19.97,18.44,18.53,18.03,15.25,13.09,14.53,17.25,18.19,18.44,20.78,22.75,22.62,20.25,19.03,19.22,18.47,15.66,13.34,13.66,13.75,11.94,10.22,11.31,12.97,12.94,12.25,13.62,16.72,18.03,17.38,17.47,19.25,19.62,17.09,14.78,14.94,15.38,13.28,11.22,10.91,11.81,10.78,9.28,9.91,12.03,12.66,11.34,11.28,12.91,14.0,13.09,12.53,13.91,15.47,15.03,14.16,15.62,17.81,18.28,17.16,17.31,18.25,18.22,16.03,14.69,15.38,16.38,15.19,14.75,17.25,20.0,20.75,20.19,21.28,22.38,21.44,18.69,17.25,16.94,15.84,13.38,12.19,14.0,16.16,16.16,16.09,17.97,19.69,19.03,17.75,18.25,19.75,19.81,18.34,17.69,18.09,18.16,16.0,14.91,16.56,18.75,18.41,17.41,18.5,19.56,18.22,15.38,14.47,14.56,14.09,12.44,12.31,14.31,15.31,13.97,12.88,14.19,16.0,16.06,16.38,18.69,21.34,20.94,18.66,17.03,16.19,14.09,11.28,9.88,11.09,12.62,12.66,13.25,15.53,18.06,17.94,17.31,17.88,19.5,19.47,18.09,18.44,19.81,19.94,17.91,16.31,16.47,16.12,13.91,12.5,13.38,15.03,14.59,13.38,14.5,16.88,17.56,17.0,17.75,19.59,20.41,18.94,18.44,19.88,21.09,19.62,18.19,18.66,19.69,18.78,17.12,16.88,17.53,16.41,13.38,11.97,12.53,13.09,12.06,12.47,15.38,18.44,19.12,19.38,20.97,22.66,22.0,20.34,20.34,21.72,21.69,20.0,19.44,20.53,20.75,18.84,16.84,17.09,17.41,15.56,13.72,14.25,15.16,14.75,12.91,12.28,12.94,12.0,9.44,7.59,7.75,7.5,5.75,4.78,6.31,8.41,8.72,7.97,8.72,10.62,10.53,10.19,11.03,13.62,14.5,13.25,12.38,13.5,14.5,13.88,13.38,13.84,14.06,11.09,7.44,5.72,6.38,6.75,6.56,7.94,11.03,12.56,12.19,12.31,14.62,17.0,16.91,17.22,19.03,21.06,21.0,19.84,20.19,21.31,20.16,17.53,15.53,15.06,13.84,10.97,9.03,9.19,9.53,7.69,6.06,6.41,8.03,8.12,7.47,8.31,10.25,10.97,9.81,9.66,10.84,11.28,9.31,7.75,8.09,9.09,7.97,7.0,7.97,10.38,10.88,9.66,9.69,10.28,9.06,5.88,4.53,5.75,6.94,6.09,5.59,6.78,7.62,6.53,5.03,5.28,6.34,5.88,4.19,4.31,6.12,6.91,6.38,6.69,9.03,10.88,11.03,11.0,13.25,15.09,14.41,13.16,13.47,15.16,15.25,14.16,13.84,14.84,14.19,11.38,9.09,9.38,9.56,8.34,7.75,9.44,11.75,11.94,11.38,11.72,13.19,13.22,11.66,11.34,13.0,13.88,13.06,12.44,14.03,15.03,13.44,11.34,11.44,13.03,12.94,12.88,14.69,17.91,18.91,17.62,15.81,15.16,13.03,9.22,6.19,6.34,7.19,6.16,4.81,5.03,6.25,6.16,5.53,7.0,9.97,11.88,11.28,10.91,11.75,11.5,8.84,6.66,6.88,8.03,7.19,5.88,5.84,6.5,5.22,2.56,1.44,2.16,2.19,0.53,-0.19,1.09,2.69,2.19,1.53,3.47,5.59,5.38,3.75,4.28,5.38,5.06,4.25,5.09,7.81,9.94,10.03,9.81,11.06,11.53,9.88,7.41,7.53,8.56,7.97,7.25,8.53,11.59,13.16,13.28,14.34,17.31,19.03,18.44,17.66,18.78,19.06,16.56,13.94,13.5,14.38,13.72,12.47,12.81,14.72,15.06,14.31,13.78,15.78,16.38,14.66,12.75,13.34,14.94,14.84,14.41,16.34,18.75,18.84,17.25,16.75,17.53,16.75,14.12,11.5,11.09,10.16,7.72,6.19,7.72,10.59,11.84,12.69,15.0,17.94,18.47,17.03,16.19,16.94,16.22,13.53,11.81,12.03,12.38,10.53,8.75,9.22,10.44,10.16,8.62,9.38,10.88,11.12,9.62,9.91,11.81,13.22,12.5,11.75,13.19,13.94,12.38,10.34,10.22,10.53,9.28,7.12,7.31,9.25,10.22,10.03,11.19,13.56,15.03,13.66,12.25,12.78,13.19,11.34,9.19,8.56,8.72,7.16,4.62,4.59,6.56,7.94,7.5,7.81,10.31,12.19,12.06,12.03,14.25,16.47,16.19,14.88,15.56,16.59,15.81,13.03,11.22,10.88,9.41,6.59,5.44,7.16,9.38,10.16,9.84,11.38,11.78,9.25,5.53,3.97,4.59,4.72,4.56,6.34,10.25,12.91,13.66,14.53,17.47,19.88,19.81,18.56,19.44,20.5,19.19,16.91,16.16,17.44,17.25,15.59,15.66,18.16,19.44,18.66,18.31,20.0,21.75,21.12,19.72,20.0,20.72,19.03,16.16,14.5,14.06,13.16,11.09,11.38,14.91,18.34,19.97,21.47,24.06,26.19,25.72,23.78,23.94,24.84,23.91,21.41,20.16,20.62,19.81,17.5,16.16,17.0,18.03,16.66,16.09,17.75,20.5,21.31,21.28,23.94,27.84,30.5,31.5,33.62,36.66,37.44,35.5,33.78,33.53,33.41,31.0,28.81,29.22,30.69,30.56,29.31,30.53,32.12,31.94,29.59,27.97,27.84,26.78,23.88,21.62,22.41,22.94,21.91,20.72,22.34,25.47,27.5,28.59,31.5,35.59,37.59,36.56,35.38,35.28,33.16,28.28,23.38,21.03,19.78,17.5,16.09,17.41,21.22,23.94,25.81,29.03,33.38,36.12,35.62,35.16,35.75,35.69,32.91,30.53,30.34,31.0,29.47,27.12,26.75,27.16,25.91,23.31,22.38,23.56,24.12,23.09,23.69,26.5,29.38,29.47,29.03,30.44,31.91,30.94,29.41,30.12,32.5,33.91,33.75,35.28,38.41,40.28,39.03,37.78,37.91,37.28,33.75,29.47,26.75,24.47,20.16,15.0,11.81,10.81,9.22,6.72,6.94,10.03,14.03,17.0,21.5,28.03,34.66,38.12,39.75,42.44,44.59,44.31,42.56,42.0,42.66,42.25,39.09,36.78,36.19,35.31,32.28,29.09,28.22,26.81,22.81,17.56,14.62,13.53,12.06,9.84,9.91,12.19,13.16,12.38,11.5,13.28,14.62,13.81,8.78,7.97,8.38,8.59,7.22,6.06,6.41:-2.72,-2.84,-3.12,-4.72,-4.66,-1.88,1.47,2.28,2.81,4.69,7.19,7.25,6.16,7.06,9.41,10.5,9.56,9.28,10.34,9.91,6.91,3.72,3.44,3.97,2.19,0.31,0.75,1.47,0.0,-2.66,-3.53,-2.16,-1.53,-1.88,-0.41,3.59,7.31,8.25,9.16,11.69,14.38,14.38,14.84,17.62,21.75,23.94,24.31,25.19,26.88,25.75,22.22,18.38,16.12,13.19,8.31,4.56,4.0,4.97,3.81,2.75,3.25,4.75,4.12,2.94,3.41,5.62,7.25,7.09,7.75,10.59,13.03,12.66,12.03,13.53,15.5,14.69,13.44,13.44,14.91,14.59,12.84,13.47,16.19,17.81,17.12,16.91,18.72,19.88,17.81,15.81,16.0,16.72,14.91,12.62,11.88,12.19,10.5,7.5,6.19,6.78,7.25,5.5,4.06,4.41,4.19,1.31,-2.19,-3.16,-2.88,-4.12,-5.78,-5.09,-2.25,-0.31,0.38,2.06,5.38,7.66,7.41,7.16,9.31,11.78,12.19,11.97,13.44,15.69,15.53,14.16,13.72,14.78,14.44,12.5,11.78,13.5,14.72,13.66,12.84,13.78,14.91,13.66,11.44,11.0,12.22,11.22,9.28,8.69,10.16,10.22,8.91,7.97,9.47,10.78,9.5,8.66,10.56,13.06,12.88,12.28,13.03,14.91,14.94,13.97,14.41,16.78,17.62,16.12,15.28,16.75,18.31,17.5,16.34,16.97,17.66,15.16,11.12,8.69,8.53,6.97,4.34,3.97,6.22,7.84,7.59,7.59,9.56,11.12,9.97,8.53,9.5,11.75,12.25,11.44,12.31,14.09,13.66,11.09,9.28,9.72,9.09,6.75,4.75,5.5,6.03,4.75,3.38,4.78,7.44,8.66,8.91,10.75,14.03,15.91,15.78,16.19,18.94,20.59,19.69,18.94,20.47,22.72,22.81,22.44,24.09,26.03,26.19,25.41,26.12,29.09,29.91,28.31,26.12,25.12,22.62,18.0,13.41,12.06,11.75,9.69,7.5,7.78,10.03,11.28,11.88,14.41,19.28,22.53,23.59,24.72,27.09,28.09,25.88,22.88,21.78,21.22,18.81,16.31,15.69,17.16,17.09,15.66,15.44,16.38,15.69,11.94,8.41,7.28,5.72,2.88,0.84,2.22,5.53,7.66,8.88,12.53,17.34,20.88,22.88,26.03,30.97,34.19,34.34,33.47,34.25,34.59,32.38,29.38,27.88,26.97,23.59,19.12,16.5,15.72,14.0,10.69,8.88,9.34,9.84,8.69,8.22,10.62,13.06,14.09,14.34,17.06,20.72,22.56,22.28,22.97,24.47,24.19,21.91,20.5,21.47,21.91,19.88,17.44,17.53,17.78,16.16,13.22,12.66,12.91,11.44,8.91,7.94,9.69,11.22,11.47,12.97,17.19,21.0,22.12,22.75,24.59,26.75,26.22,24.34,24.34,25.5,25.16,23.53,22.94,24.16,24.66,22.53,21.06,21.69,22.41,20.62,18.75,18.84,19.31,18.12,16.19,16.19,18.41,20.16,20.38,21.53,24.0,25.09,22.91,19.94,19.16,18.44,16.09,13.75,14.28,16.09,16.91,15.91,16.62,18.47,19.12,17.69,17.28,18.91,20.0,18.72,17.62,18.97,20.94,21.16,20.41,21.47,22.72,22.41,20.12,19.75,21.41,21.66,19.97,18.44,18.53,18.03,15.25,13.09,14.53,17.25,18.19,18.44,20.78,22.75,22.62,20.25,19.03,19.22,18.47,15.66,13.34,13.66,13.75,11.94,10.22,11.31,12.97,12.94,12.25,13.62,16.72,18.03,17.38,17.47,19.25,19.62,17.09,14.78,14.94,15.38,13.28,11.22,10.91,11.81,10.78,9.28,9.91,12.03,12.66,11.34,11.28,12.91,14.0,13.09,12.53,13.91,15.47,15.03,14.16,15.62,17.81,18.28,17.16,17.31,18.25,18.22,16.03,14.69,15.38,16.38,15.19,14.75,17.25,20.0,20.75,20.19,21.28,22.38,21.44,18.69,17.25,16.94,15.84,13.38,12.19,14.0,16.16,16.16,16.09,17.97,19.69,19.03,17.75,18.25,19.75,19.81,18.34,17.69,18.09,18.16,16.0,14.91,16.56,18.75,18.41,17.41,18.5,19.56,18.22,15.38,14.47,14.56,14.09,12.44,12.31,14.31,15.31,13.97,12.88,14.19,16.0,16.06,16.38,18.69,21.34,20.94,18.66,17.03,16.19,14.09,11.28,9.88,11.09,12.62,12.66,13.25,15.53,18.06,17.94,17.31,17.88,19.5,19.47,18.09,18.44,19.81,19.94,17.91,16.31,16.47,16.12,13.91,12.5,13.38,15.03,14.59,13.38,14.5,16.88,17.56,17.0,17.75,19.59,20.41,18.94,18.44,19.88,21.09,19.62,18.19,18.66,19.69,18.78,17.12,16.88,17.53,16.41,13.38,11.97,12.53,13.09,12.06,12.47,15.38,18.44,19.12,19.38,20.97,22.66,22.0,20.34,20.34,21.72,21.69,20.0,19.44,20.53,20.75,18.84,16.84,17.09,17.41,15.56,13.72,14.25,15.16,14.75,12.91,12.28,12.94,12.0,9.44,7.59,7.75,7.5,5.75,4.78,6.31,8.41,8.72,7.97,8.72,10.62,10.53,10.19,11.03,13.62,14.5,13.25,12.38,13.5,14.5,13.88,13.38,13.84,14.06,11.09,7.44,5.72,6.38,6.75,6.56,7.94,11.03,12.56,12.19,12.31,14.62,17.0,16.91,17.22,19.03,21.06,21.0,19.84,20.19,21.31,20.16,17.53,15.53,15.06,13.84,10.97,9.03,9.19,9.53,7.69,6.06,6.41,8.03,8.12,7.47,8.31,10.25,10.97,9.81,9.66,10.84,11.28,9.31,7.75,8.09,9.09,7.97,7.0,7.97,10.38,10.88,9.66,9.69,10.28,9.06,5.88,4.53,5.75,6.94,6.09,5.59,6.78,7.62,6.53,5.03,5.28,6.34,5.88,4.19,4.31,6.12,6.91,6.38,6.69,9.03,10.88,11.03,11.0,13.25,15.09,14.41,13.16,13.47,15.16,15.25,14.16,13.84,14.84,14.19,11.38,9.09,9.38,9.56,8.34,7.75,9.44,11.75,11.94,11.38,11.72,13.19,13.22,11.66,11.34,13.0,13.88,13.06,12.44,14.03,15.03,13.44,11.34,11.44,13.03,12.94,12.88,14.69,17.91,18.91,17.62,15.81,15.16,13.03,9.22,6.19,6.34,7.19,6.16,4.81,5.03,6.25,6.16,5.53,7.0,9.97,11.88,11.28,10.91,11.75,11.5,8.84,6.66,6.88,8.03,7.19,5.88,5.84,6.5,5.22,2.56,1.44,2.16,2.19,0.53,-0.19,1.09,2.69,2.19,1.53,3.47,5.59,5.38,3.75,4.28,5.38,5.06,4.25,5.09,7.81,9.94,10.03,9.81,11.06,11.53,9.88,7.41,7.53,8.56,7.97,7.25,8.53,11.59,13.16,13.28,14.34,17.31,19.03,18.44,17.66,18.78,19.06,16.56,13.94,13.5,14.38,13.72,12.47,12.81,14.72,15.06,14.31,13.78,15.78,16.38,14.66,12.75,13.34,14.94,14.84,14.41,16.34,18.75,18.84,17.25,16.75,17.53,16.75,14.12,11.5,11.09,10.16,7.72,6.19,7.72,10.59,11.84,12.69,15.0,17.94,18.47,17.03,16.19,16.94,16.22,13.53,11.81,12.03,12.38,10.53,8.75,9.22,10.44,10.16,8.62,9.38,10.88,11.12,9.62,9.91,11.81,13.22,12.5,11.75,13.19,13.94,12.38,10.34,10.22,10.53,9.28,7.12,7.31,9.25,10.22,10.03,11.19,13.56,15.03,13.66,12.25,12.78,13.19,11.34,9.19,8.56,8.72,7.16,4.62,4.59,6.56,7.94,7.5,7.81,10.31,12.19,12.06,12.03,14.25,16.47,16.19,14.88,15.56,16.59,15.81,13.03,11.22,10.88,9.41,6.59,5.44,7.16,9.38,10.16,9.84,11.38,11.78,9.25,5.53,3.97,4.59,4.72,4.56,6.34,10.25,12.91,13.66,14.53,17.47,19.88,19.81,18.56,19.44,20.5,19.19,16.91,16.16,17.44,17.25,15.59,15.66,18.16,19.44,18.66,18.31,20.0,21.75,21.12,19.72,20.0,20.72,19.03,16.16,14.5,14.06,13.16,11.09,11.38,14.91,18.34,19.97,21.47,24.06,26.19,25.72,23.78,23.94,24.84,23.91,21.41,20.16,20.62,19.81,17.5,16.16,17.0,18.03,16.66,16.09,17.75,20.5,21.31,21.28,23.94,27.84,30.5,31.5,33.62,36.66,37.44,35.5,33.78,33.53,33.41,31.0,28.81,29.22,30.69,30.56,29.31,30.53,32.12,31.94,29.59,27.97,27.84,26.78,23.88,21.62,22.41,22.94,21.91,20.72,22.34,25.47,27.5,28.59,31.5,35.59,37.59,36.56,35.38,35.28,33.16,28.28,23.38,21.03,19.78,17.5,16.09,17.41,21.22,23.94,25.81,29.03,33.38,36.12,35.62,35.16,35.75,35.69,32.91,30.53,30.34,31.0,29.47,27.12,26.75,27.16,25.91,23.31,22.38,23.56,24.12,23.09,23.69,26.5,29.38,29.47,29.03,30.44,31.91,30.94,29.41,30.12,32.5,33.91,33.75,35.28,38.41,40.28,39.03,37.78,37.91,37.28,33.75,29.47,26.75,24.47,20.16,15.0,11.81,10.81,9.22,6.72,6.94,10.03,14.03,17.0,21.5,28.03,34.66,38.12,39.75,42.44,44.59,44.31,42.56,42.0,42.66,42.25,39.09,36.78,36.19,35.31,32.28,29.09,28.22,26.81,22.81,17.56,14.62,13.53,12.06,9.84,9.91,12.19,13.16,12.38,11.5,13.28,14.62,13.81,8.78,7.97,8.38,8.59,7.22,6.06,6.41,7.28,6.94,5.38,4.81,4.16,1.19,-3.44:2.28,2.81,4.69,7.19,7.25,6.16,7.06,9.41,10.5,9.56,9.28,10.34,9.91,6.91,3.72,3.44,3.97,2.19,0.31,0.75,1.47,0.0,-2.66,-3.53,-2.16,-1.53,-1.88,-0.41,3.59,7.31,8.25,9.16,11.69,14.38,14.38,14.84,17.62,21.75,23.94,24.31,25.19,26.88,25.75,22.22,18.38,16.12,13.19,8.31,4.56,4.0,4.97,3.81,2.75,3.25,4.75,4.12,2.94,3.41,5.62,7.25,7.09,7.75,10.59,13.03,12.66,12.03,13.53,15.5,14.69,13.44,13.44,14.91,14.59,12.84,13.47,16.19,17.81,17.12,16.91,18.72,19.88,17.81,15.81,16.0,16.72,14.91,12.62,11.88,12.19,10.5,7.5,6.19,6.78,7.25,5.5,4.06,4.41,4.19,1.31,-2.19,-3.16,-2.88,-4.12,-5.78,-5.09,-2.25,-0.31,0.38,2.06,5.38,7.66,7.41,7.16,9.31,11.78,12.19,11.97,13.44,15.69,15.53,14.16,13.72,14.78,14.44,12.5,11.78,13.5,14.72,13.66,12.84,13.78,14.91,13.66,11.44,11.0,12.22,11.22,9.28,8.69,10.16,10.22,8.91,7.97,9.47,10.78,9.5,8.66,10.56,13.06,12.88,12.28,13.03,14.91,14.94,13.97,14.41,16.78,17.62,16.12,15.28,16.75,18.31,17.5,16.34,16.97,17.66,15.16,11.12,8.69,8.53,6.97,4.34,3.97,6.22,7.84,7.59,7.59,9.56,11.12,9.97,8.53,9.5,11.75,12.25,11.44,12.31,14.09,13.66,11.09,9.28,9.72,9.09,6.75,4.75,5.5,6.03,4.75,3.38,4.78,7.44,8.66,8.91,10.75,14.03,15.91,15.78,16.19,18.94,20.59,19.69,18.94,20.47,22.72,22.81,22.44,24.09,26.03,26.19,25.41,26.12,29.09,29.91,28.31,26.12,25.12,22.62,18.0,13.41,12.06,11.75,9.69,7.5,7.78,10.03,11.28,11.88,14.41,19.28,22.53,23.59,24.72,27.09,28.09,25.88,22.88,21.78,21.22,18.81,16.31,15.69,17.16,17.09,15.66,15.44,16.38,15.69,11.94,8.41,7.28,5.72,2.88,0.84,2.22,5.53,7.66,8.88,12.53,17.34,20.88,22.88,26.03,30.97,34.19,34.34,33.47,34.25,34.59,32.38,29.38,27.88,26.97,23.59,19.12,16.5,15.72,14.0,10.69,8.88,9.34,9.84,8.69,8.22,10.62,13.06,14.09,14.34,17.06,20.72,22.56,22.28,22.97,24.47,24.19,21.91,20.5,21.47,21.91,19.88,17.44,17.53,17.78,16.16,13.22,12.66,12.91,11.44,8.91,7.94,9.69,11.22,11.47,12.97,17.19,21.0,22.12,22.75,24.59,26.75,26.22,24.34,24.34,25.5,25.16,23.53,22.94,24.16,24.66,22.53,21.06,21.69,22.41,20.62,18.75,18.84,19.31,18.12,16.19,16.19,18.41,20.16,20.38,21.53,24.0,25.09,22.91,19.94,19.16,18.44,16.09,13.75,14.28,16.09,16.91,15.91,16.62,18.47,19.12,17.69,17.28,18.91,20.0,18.72,17.62,18.97,20.94,21.16,20.41,21.47,22.72,22.41,20.12,19.75,21.41,21.66,19.97,18.44,18.53,18.03,15.25,13.09,14.53,17.25,18.19,18.44,20.78,22.75,22.62,20.25,19.03,19.22,18.47,15.66,13.34,13.66,13.75,11.94,10.22,11.31,12.97,12.94,12.25,13.62,16.72,18.03,17.38,17.47,19.25,19.62,17.09,14.78,14.94,15.38,13.28,11.22,10.91,11.81,10.78,9.28,9.91,12.03,12.66,11.34,11.28,12.91,14.0,13.09,12.53,13.91,15.47,15.03,14.16,15.62,17.81,18.28,17.16,17.31,18.25,18.22,16.03,14.69,15.38,16.38,15.19,14.75,17.25,20.0,20.75,20.19,21.28,22.38,21.44,18.69,17.25,16.94,15.84,13.38,12.19,14.0,16.16,16.16,16.09,17.97,19.69,19.03,17.75,18.25,19.75,19.81,18.34,17.69,18.09,18.16,16.0,14.91,16.56,18.75,18.41,17.41,18.5,19.56,18.22,15.38,14.47,14.56,14.09,12.44,12.31,14.31,15.31,13.97,12.88,14.19,16.0,16.06,16.38,18.69,21.34,20.94,18.66,17.03,16.19,14.09,11.28,9.88,11.09,12.62,12.66,13.25,15.53,18.06,17.94,17.31,17.88,19.5,19.47,18.09,18.44,19.81,19.94,17.91,16.31,16.47,16.12,13.91,12.5,13.38,15.03,14.59,13.38,14.5,16.88,17.56,17.0,17.75,19.59,20.41,18.94,18.44,19.88,21.09,19.62,18.19,18.66,19.69,18.78,17.12,16.88,17.53,16.41,13.38,11.97,12.53,13.09,12.06,12.47,15.38,18.44,19.12,19.38,20.97,22.66,22.0,20.34,20.34,21.72,21.69,20.0,19.44,20.53,20.75,18.84,16.84,17.09,17.41,15.56,13.72,14.25,15.16,14.75,12.91,12.28,12.94,12.0,9.44,7.59,7.75,7.5,5.75,4.78,6.31,8.41,8.72,7.97,8.72,10.62,10.53,10.19,11.03,13.62,14.5,13.25,12.38,13.5,14.5,13.88,13.38,13.84,14.06,11.09,7.44,5.72,6.38,6.75,6.56,7.94,11.03,12.56,12.19,12.31,14.62,17.0,16.91,17.22,19.03,21.06,21.0,19.84,20.19,21.31,20.16,17.53,15.53,15.06,13.84,10.97,9.03,9.19,9.53,7.69,6.06,6.41,8.03,8.12,7.47,8.31,10.25,10.97,9.81,9.66,10.84,11.28,9.31,7.75,8.09,9.09,7.97,7.0,7.97,10.38,10.88,9.66,9.69,10.28,9.06,5.88,4.53,5.75,6.94,6.09,5.59,6.78,7.62,6.53,5.03,5.28,6.34,5.88,4.19,4.31,6.12,6.91,6.38,6.69,9.03,10.88,11.03,11.0,13.25,15.09,14.41,13.16,13.47,15.16,15.25,14.16,13.84,14.84,14.19,11.38,9.09,9.38,9.56,8.34,7.75,9.44,11.75,11.94,11.38,11.72,13.19,13.22,11.66,11.34,13.0,13.88,13.06,12.44,14.03,15.03,13.44,11.34,11.44,13.03,12.94,12.88,14.69,17.91,18.91,17.62,15.81,15.16,13.03,9.22,6.19,6.34,7.19,6.16,4.81,5.03,6.25,6.16,5.53,7.0,9.97,11.88,11.28,10.91,11.75,11.5,8.84,6.66,6.88,8.03,7.19,5.88,5.84,6.5,5.22,2.56,1.44,2.16,2.19,0.53,-0.19,1.09,2.69,2.19,1.53,3.47,5.59,5.38,3.75,4.28,5.38,5.06,4.25,5.09,7.81,9.94,10.03,9.81,11.06,11.53,9.88,7.41,7.53,8.56,7.97,7.25,8.53,11.59,13.16,13.28,14.34,17.31,19.03,18.44,17.66,18.78,19.06,16.56,13.94,13.5,14.38,13.72,12.47,12.81,14.72,15.06,14.31,13.78,15.78,16.38,14.66,12.75,13.34,14.94,14.84,14.41,16.34,18.75,18.84,17.25,16.75,17.53,16.75,14.12,11.5,11.09,10.16,7.72,6.19,7.72,10.59,11.84,12.69,15.0,17.94,18.47,17.03,16.19,16.94,16.22,13.53,11.81,12.03,12.38,10.53,8.75,9.22,10.44,10.16,8.62,9.38,10.88,11.12,9.62,9.91,11.81,13.22,12.5,11.75,13.19,13.94,12.38,10.34,10.22,10.53,9.28,7.12,7.31,9.25,10.22,10.03,11.19,13.56,15.03,13.66,12.25,12.78,13.19,11.34,9.19,8.56,8.72,7.16,4.62,4.59,6.56,7.94,7.5,7.81,10.31,12.19,12.06,12.03,14.25,16.47,16.19,14.88,15.56,16.59,15.81,13.03,11.22,10.88,9.41,6.59,5.44,7.16,9.38,10.16,9.84,11.38,11.78,9.25,5.53,3.97,4.59,4.72,4.56,6.34,10.25,12.91,13.66,14.53,17.47,19.88,19.81,18.56,19.44,20.5,19.19,16.91,16.16,17.44,17.25,15.59,15.66,18.16,19.44,18.66,18.31,20.0,21.75,21.12,19.72,20.0,20.72,19.03,16.16,14.5,14.06,13.16,11.09,11.38,14.91,18.34,19.97,21.47,24.06,26.19,25.72,23.78,23.94,24.84,23.91,21.41,20.16,20.62,19.81,17.5,16.16,17.0,18.03,16.66,16.09,17.75,20.5,21.31,21.28,23.94,27.84,30.5,31.5,33.62,36.66,37.44,35.5,33.78,33.53,33.41,31.0,28.81,29.22,30.69,30.56,29.31,30.53,32.12,31.94,29.59,27.97,27.84,26.78,23.88,21.62,22.41,22.94,21.91,20.72,22.34,25.47,27.5,28.59,31.5,35.59,37.59,36.56,35.38,35.28,33.16,28.28,23.38,21.03,19.78,17.5,16.09,17.41,21.22,23.94,25.81,29.03,33.38,36.12,35.62,35.16,35.75,35.69,32.91,30.53,30.34,31.0,29.47,27.12,26.75,27.16,25.91,23.31,22.38,23.56,24.12,23.09,23.69,26.5,29.38,29.47,29.03,30.44,31.91,30.94,29.41,30.12,32.5,33.91,33.75,35.28,38.41,40.28,39.03,37.78,37.91,37.28,33.75,29.47,26.75,24.47,20.16,15.0,11.81,10.81,9.22,6.72,6.94,10.03,14.03,17.0,21.5,28.03,34.66,38.12,39.75,42.44,44.59,44.31,42.56,42.0,42.66,42.25,39.09,36.78,36.19,35.31,32.28,29.09,28.22,26.81,22.81,17.56,14.62,13.53,12.06,9.84,9.91,12.19,13.16,12.38,11.5,13.28,14.62,13.81,8.78,7.97,8.38,8.59,7.22,6.06,6.41,7.28,6.94,5.38,4.81,4.16,1.19,-3.44,-7.03,-9.09,-10.94,-12.81,-12.5,-9.72,-5.56:9.41,10.5,9.56,9.28,10.34,9.91,6.91,3.72,3.44,3.97,2.19,0.31,0.75,1.47,0.0,-2.66,-3.53,-2.16,-1.53,-1.88,-0.41,3.59,7.31,8.25,9.16,11.69,14.38,14.38,14.84,17.62,21.75,23.94,24.31,25.19,26.88,25.75,22.22,18.38,16.12,13.19,8.31,4.56,4.0,4.97,3.81,2.75,3.25,4.75,4.12,2.94,3.41,5.62,7.25,7.09,7.75,10.59,13.03,12.66,12.03,13.53,15.5,14.69,13.44,13.44,14.91,14.59,12.84,13.47,16.19,17.81,17.12,16.91,18.72,19.88,17.81,15.81,16.0,16.72,14.91,12.62,11.88,12.19,10.5,7.5,6.19,6.78,7.25,5.5,4.06,4.41,4.19,1.31,-2.19,-3.16,-2.88,-4.12,-5.78,-5.09,-2.25,-0.31,0.38,2.06,5.38,7.66,7.41,7.16,9.31,11.78,12.19,11.97,13.44,15.69,15.53,14.16,13.72,14.78,14.44,12.5,11.78,13.5,14.72,13.66,12.84,13.78,14.91,13.66,11.44,11.0,12.22,11.22,9.28,8.69,10.16,10.22,8.91,7.97,9.47,10.78,9.5,8.66,10.56,13.06,12.88,12.28,13.03,14.91,14.94,13.97,14.41,16.78,17.62,16.12,15.28,16.75,18.31,17.5,16.34,16.97,17.66,15.16,11.12,8.69,8.53,6.97,4.34,3.97,6.22,7.84,7.59,7.59,9.56,11.12,9.97,8.53,9.5,11.75,12.25,11.44,12.31,14.09,13.66,11.09,9.28,9.72,9.09,6.75,4.75,5.5,6.03,4.75,3.38,4.78,7.44,8.66,8.91,10.75,14.03,15.91,15.78,16.19,18.94,20.59,19.69,18.94,20.47,22.72,22.81,22.44,24.09,26.03,26.19,25.41,26.12,29.09,29.91,28.31,26.12,25.12,22.62,18.0,13.41,12.06,11.75,9.69,7.5,7.78,10.03,11.28,11.88,14.41,19.28,22.53,23.59,24.72,27.09,28.09,25.88,22.88,21.78,21.22,18.81,16.31,15.69,17.16,17.09,15.66,15.44,16.38,15.69,11.94,8.41,7.28,5.72,2.88,0.84,2.22,5.53,7.66,8.88,12.53,17.34,20.88,22.88,26.03,30.97,34.19,34.34,33.47,34.25,34.59,32.38,29.38,27.88,26.97,23.59,19.12,16.5,15.72,14.0,10.69,8.88,9.34,9.84,8.69,8.22,10.62,13.06,14.09,14.34,17.06,20.72,22.56,22.28,22.97,24.47,24.19,21.91,20.5,21.47,21.91,19.88,17.44,17.53,17.78,16.16,13.22,12.66,12.91,11.44,8.91,7.94,9.69,11.22,11.47,12.97,17.19,21.0,22.12,22.75,24.59,26.75,26.22,24.34,24.34,25.5,25.16,23.53,22.94,24.16,24.66,22.53,21.06,21.69,22.41,20.62,18.75,18.84,19.31,18.12,16.19,16.19,18.41,20.16,20.38,21.53,24.0,25.09,22.91,19.94,19.16,18.44,16.09,13.75,14.28,16.09,16.91,15.91,16.62,18.47,19.12,17.69,17.28,18.91,20.0,18.72,17.62,18.97,20.94,21.16,20.41,21.47,22.72,22.41,20.12,19.75,21.41,21.66,19.97,18.44,18.53,18.03,15.25,13.09,14.53,17.25,18.19,18.44,20.78,22.75,22.62,20.25,19.03,19.22,18.47,15.66,13.34,13.66,13.75,11.94,10.22,11.31,12.97,12.94,12.25,13.62,16.72,18.03,17.38,17.47,19.25,19.62,17.09,14.78,14.94,15.38,13.28,11.22,10.91,11.81,10.78,9.28,9.91,12.03,12.66,11.34,11.28,12.91,14.0,13.09,12.53,13.91,15.47,15.03,14.16,15.62,17.81,18.28,17.16,17.31,18.25,18.22,16.03,14.69,15.38,16.38,15.19,14.75,17.25,20.0,20.75,20.19,21.28,22.38,21.44,18.69,17.25,16.94,15.84,13.38,12.19,14.0,16.16,16.16,16.09,17.97,19.69,19.03,17.75,18.25,19.75,19.81,18.34,17.69,18.09,18.16,16.0,14.91,16.56,18.75,18.41,17.41,18.5,19.56,18.22,15.38,14.47,14.56,14.09,12.44,12.31,14.31,15.31,13.97,12.88,14.19,16.0,16.06,16.38,18.69,21.34,20.94,18.66,17.03,16.19,14.09,11.28,9.88,11.09,12.62,12.66,13.25,15.53,18.06,17.94,17.31,17.88,19.5,19.47,18.09,18.44,19.81,19.94,17.91,16.31,16.47,16.12,13.91,12.5,13.38,15.03,14.59,13.38,14.5,16.88,17.56,17.0,17.75,19.59,20.41,18.94,18.44,19.88,21.09,19.62,18.19,18.66,19.69,18.78,17.12,16.88,17.53,16.41,13.38,11.97,12.53,13.09,12.06,12.47,15.38,18.44,19.12,19.38,20.97,22.66,22.0,20.34,20.34,21.72,21.69,20.0,19.44,20.53,20.75,18.84,16.84,17.09,17.41,15.56,13.72,14.25,15.16,14.75,12.91,12.28,12.94,12.0,9.44,7.59,7.75,7.5,5.75,4.78,6.31,8.41,8.72,7.97,8.72,10.62,10.53,10.19,11.03,13.62,14.5,13.25,12.38,13.5,14.5,13.88,13.38,13.84,14.06,11.09,7.44,5.72,6.38,6.75,6.56,7.94,11.03,12.56,12.19,12.31,14.62,17.0,16.91,17.22,19.03,21.06,21.0,19.84,20.19,21.31,20.16,17.53,15.53,15.06,13.84,10.97,9.03,9.19,9.53,7.69,6.06,6.41,8.03,8.12,7.47,8.31,10.25,10.97,9.81,9.66,10.84,11.28,9.31,7.75,8.09,9.09,7.97,7.0,7.97,10.38,10.88,9.66,9.69,10.28,9.06,5.88,4.53,5.75,6.94,6.09,5.59,6.78,7.62,6.53,5.03,5.28,6.34,5.88,4.19,4.31,6.12,6.91,6.38,6.69,9.03,10.88,11.03,11.0,13.25,15.09,14.41,13.16,13.47,15.16,15.25,14.16,13.84,14.84,14.19,11.38,9.09,9.38,9.56,8.34,7.75,9.44,11.75,11.94,11.38,11.72,13.19,13.22,11.66,11.34,13.0,13.88,13.06,12.44,14.03,15.03,13.44,11.34,11.44,13.03,12.94,12.88,14.69,17.91,18.91,17.62,15.81,15.16,13.03,9.22,6.19,6.34,7.19,6.16,4.81,5.03,6.25,6.16,5.53,7.0,9.97,11.88,11.28,10.91,11.75,11.5,8.84,6.66,6.88,8.03,7.19,5.88,5.84,6.5,5.22,2.56,1.44,2.16,2.19,0.53,-0.19,1.09,2.69,2.19,1.53,3.47,5.59,5.38,3.75,4.28,5.38,5.06,4.25,5.09,7.81,9.94,10.03,9.81,11.06,11.53,9.88,7.41,7.53,8.56,7.97,7.25,8.53,11.59,13.16,13.28,14.34,17.31,19.03,18.44,17.66,18.78,19.06,16.56,13.94,13.5,14.38,13.72,12.47,12.81,14.72,15.06,14.31,13.78,15.78,16.38,14.66,12.75,13.34,14.94,14.84,14.41,16.34,18.75,18.84,17.25,16.75,17.53,16.75,14.12,11.5,11.09,10.16,7.72,6.19,7.72,10.59,11.84,12.69,15.0,17.94,18.47,17.03,16.19,16.94,16.22,13.53,11.81,12.03,12.38,10.53,8.75,9.22,10.44,10.16,8.62,9.38,10.88,11.12,9.62,9.91,11.81,13.22,12.5,11.75,13.19,13.94,12.38,10.34,10.22,10.53,9.28,7.12,7.31,9.25,10.22,10.03,11.19,13.56,15.03,13.66,12.25,12.78,13.19,11.34,9.19,8.56,8.72,7.16,4.62,4.59,6.56,7.94,7.5,7.81,10.31,12.19,12.06,12.03,14.25,16.47,16.19,14.88,15.56,16.59,15.81,13.03,11.22,10.88,9.41,6.59,5.44,7.16,9.38,10.16,9.84,11.38,11.78,9.25,5.53,3.97,4.59,4.72,4.56,6.34,10.25,12.91,13.66,14.53,17.47,19.88,19.81,18.56,19.44,20.5,19.19,16.91,16.16,17.44,17.25,15.59,15.66,18.16,19.44,18.66,18.31,20.0,21.75,21.12,19.72,20.0,20.72,19.03,16.16,14.5,14.06,13.16,11.09,11.38,14.91,18.34,19.97,21.47,24.06,26.19,25.72,23.78,23.94,24.84,23.91,21.41,20.16,20.62,19.81,17.5,16.16,17.0,18.03,16.66,16.09,17.75,20.5,21.31,21.28,23.94,27.84,30.5,31.5,33.62,36.66,37.44,35.5,33.78,33.53,33.41,31.0,28.81,29.22,30.69,30.56,29.31,30.53,32.12,31.94,29.59,27.97,27.84,26.78,23.88,21.62,22.41,22.94,21.91,20.72,22.34,25.47,27.5,28.59,31.5,35.59,37.59,36.56,35.38,35.28,33.16,28.28,23.38,21.03,19.78,17.5,16.09,17.41,21.22,23.94,25.81,29.03,33.38,36.12,35.62,35.16,35.75,35.69,32.91,30.53,30.34,31.0,29.47,27.12,26.75,27.16,25.91,23.31,22.38,23.56,24.12,23.09,23.69,26.5,29.38,29.47,29.03,30.44,31.91,30.94,29.41,30.12,32.5,33.91,33.75,35.28,38.41,40.28,39.03,37.78,37.91,37.28,33.75,29.47,26.75,24.47,20.16,15.0,11.81,10.81,9.22,6.72,6.94,10.03,14.03,17.0,21.5,28.03,34.66,38.12,39.75,42.44,44.59,44.31,42.56,42.0,42.66,42.25,39.09,36.78,36.19,35.31,32.28,29.09,28.22,26.81,22.81,17.56,14.62,13.53,12.06,9.84,9.91,12.19,13.16,12.38,11.5,13.28,14.62,13.81,8.78,7.97,8.38,8.59,7.22,6.06,6.41,7.28,6.94,5.38,4.81,4.16,1.19,-3.44,-7.03,-9.09,-10.94,-12.81,-12.5,-9.72,-5.56,-3.03,-0.94,2.28,5.5,6.53,7.03,8.66:3.72,3.44,3.97,2.19,0.31,0.75,1.47,0.0,-2.66,-3.53,-2.16,-1.53,-1.88,-0.41,3.59,7.31,8.25,9.16,11.69,14.38,14.38,14.84,17.62,21.75,23.94,24.31,25.19,26.88,25.75,22.22,18.38,16.12,13.19,8.31,4.56,4.0,4.97,3.81,2.75,3.25,4.75,4.12,2.94,3.41,5.62,7.25,7.09,7.75,10.59,13.03,12.66,12.03,13.53,15.5,14.69,13.44,13.44,14.91,14.59,12.84,13.47,16.19,17.81,17.12,16.91,18.72,19.88,17.81,15.81,16.0,16.72,14.91,12.62,11.88,12.19,10.5,7.5,6.19,6.78,7.25,5.5,4.06,4.41,4.19,1.31,-2.19,-3.16,-2.88,-4.12,-5.78,-5.09,-2.25,-0.31,0.38,2.06,5.38,7.66,7.41,7.16,9.31,11.78,12.19,11.97,13.44,15.69,15.53,14.16,13.72,14.78,14.44,12.5,11.78,13.5,14.72,13.66,12.84,13.78,14.91,13.66,11.44,11.0,12.22,11.22,9.28,8.69,10.16,10.22,8.91,7.97,9.47,10.78,9.5,8.66,10.56,13.06,12.88,12.28,13.03,14.91,14.94,13.97,14.41,16.78,17.62,16.12,15.28,16.75,18.31,17.5,16.34,16.97,17.66,15.16,11.12,8.69,8.53,6.97,4.34,3.97,6.22,7.84,7.59,7.59,9.56,11.12,9.97,8.53,9.5,11.75,12.25,11.44,12.31,14.09,13.66,11.09,9.28,9.72,9.09,6.75,4.75,5.5,6.03,4.75,3.38,4.78,7.44,8.66,8.91,10.75,14.03,15.91,15.78,16.19,18.94,20.59,19.69,18.94,20.47,22.72,22.81,22.44,24.09,26.03,26.19,25.41,26.12,29.09,29.91,28.31,26.12,25.12,22.62,18.0,13.41,12.06,11.75,9.69,7.5,7.78,10.03,11.28,11.88,14.41,19.28,22.53,23.59,24.72,27.09,28.09,25.88,22.88,21.78,21.22,18.81,16.31,15.69,17.16,17.09,15.66,15.44,16.38,15.69,11.94,8.41,7.28,5.72,2.88,0.84,2.22,5.53,7.66,8.88,12.53,17.34,20.88,22.88,26.03,30.97,34.19,34.34,33.47,34.25,34.59,32.38,29.38,27.88,26.97,23.59,19.12,16.5,15.72,14.0,10.69,8.88,9.34,9.84,8.69,8.22,10.62,13.06,14.09,14.34,17.06,20.72,22.56,22.28,22.97,24.47,24.19,21.91,20.5,21.47,21.91,19.88,17.44,17.53,17.78,16.16,13.22,12.66,12.91,11.44,8.91,7.94,9.69,11.22,11.47,12.97,17.19,21.0,22.12,22.75,24.59,26.75,26.22,24.34,24.34,25.5,25.16,23.53,22.94,24.16,24.66,22.53,21.06,21.69,22.41,20.62,18.75,18.84,19.31,18.12,16.19,16.19,18.41,20.16,20.38,21.53,24.0,25.09,22.91,19.94,19.16,18.44,16.09,13.75,14.28,16.09,16.91,15.91,16.62,18.47,19.12,17.69,17.28,18.91,20.0,18.72,17.62,18.97,20.94,21.16,20.41,21.47,22.72,22.41,20.12,19.75,21.41,21.66,19.97,18.44,18.53,18.03,15.25,13.09,14.53,17.25,18.19,18.44,20.78,22.75,22.62,20.25,19.03,19.22,18.47,15.66,13.34,13.66,13.75,11.94,10.22,11.31,12.97,12.94,12.25,13.62,16.72,18.03,17.38,17.47,19.25,19.62,17.09,14.78,14.94,15.38,13.28,11.22,10.91,11.81,10.78,9.28,9.91,12.03,12.66,11.34,11.28,12.91,14.0,13.09,12.53,13.91,15.47,15.03,14.16,15.62,17.81,18.28,17.16,17.31,18.25,18.22,16.03,14.69,15.38,16.38,15.19,14.75,17.25,20.0,20.75,20.19,21.28,22.38,21.44,18.69,17.25,16.94,15.84,13.38,12.19,14.0,16.16,16.16,16.09,17.97,19.69,19.03,17.75,18.25,19.75,19.81,18.34,17.69,18.09,18.16,16.0,14.91,16.56,18.75,18.41,17.41,18.5,19.56,18.22,15.38,14.47,14.56,14.09,12.44,12.31,14.31,15.31,13.97,12.88,14.19,16.0,16.06,16.38,18.69,21.34,20.94,18.66,17.03,16.19,14.09,11.28,9.88,11.09,12.62,12.66,13.25,15.53,18.06,17.94,17.31,17.88,19.5,19.47,18.09,18.44,19.81,19.94,17.91,16.31,16.47,16.12,13.91,12.5,13.38,15.03,14.59,13.38,14.5,16.88,17.56,17.0,17.75,19.59,20.41,18.94,18.44,19.88,21.09,19.62,18.19,18.66,19.69,18.78,17.12,16.88,17.53,16.41,13.38,11.97,12.53,13.09,12.06,12.47,15.38,18.44,19.12,19.38,20.97,22.66,22.0,20.34,20.34,21.72,21.69,20.0,19.44,20.53,20.75,18.84,16.84,17.09,17.41,15.56,13.72,14.25,15.16,14.75,12.91,12.28,12.94,12.0,9.44,7.59,7.75,7.5,5.75,4.78,6.31,8.41,8.72,7.97,8.72,10.62,10.53,10.19,11.03,13.62,14.5,13.25,12.38,13.5,14.5,13.88,13.38,13.84,14.06,11.09,7.44,5.72,6.38,6.75,6.56,7.94,11.03,12.56,12.19,12.31,14.62,17.0,16.91,17.22,19.03,21.06,21.0,19.84,20.19,21.31,20.16,17.53,15.53,15.06,13.84,10.97,9.03,9.19,9.53,7.69,6.06,6.41,8.03,8.12,7.47,8.31,10.25,10.97,9.81,9.66,10.84,11.28,9.31,7.75,8.09,9.09,7.97,7.0,7.97,10.38,10.88,9.66,9.69,10.28,9.06,5.88,4.53,5.75,6.94,6.09,5.59,6.78,7.62,6.53,5.03,5.28,6.34,5.88,4.19,4.31,6.12,6.91,6.38,6.69,9.03,10.88,11.03,11.0,13.25,15.09,14.41,13.16,13.47,15.16,15.25,14.16,13.84,14.84,14.19,11.38,9.09,9.38,9.56,8.34,7.75,9.44,11.75,11.94,11.38,11.72,13.19,13.22,11.66,11.34,13.0,13.88,13.06,12.44,14.03,15.03,13.44,11.34,11.44,13.03,12.94,12.88,14.69,17.91,18.91,17.62,15.81,15.16,13.03,9.22,6.19,6.34,7.19,6.16,4.81,5.03,6.25,6.16,5.53,7.0,9.97,11.88,11.28,10.91,11.75,11.5,8.84,6.66,6.88,8.03,7.19,5.88,5.84,6.5,5.22,2.56,1.44,2.16,2.19,0.53,-0.19,1.09,2.69,2.19,1.53,3.47,5.59,5.38,3.75,4.28,5.38,5.06,4.25,5.09,7.81,9.94,10.03,9.81,11.06,11.53,9.88,7.41,7.53,8.56,7.97,7.25,8.53,11.59,13.16,13.28,14.34,17.31,19.03,18.44,17.66,18.78,19.06,16.56,13.94,13.5,14.38,13.72,12.47,12.81,14.72,15.06,14.31,13.78,15.78,16.38,14.66,12.75,13.34,14.94,14.84,14.41,16.34,18.75,18.84,17.25,16.75,17.53,16.75,14.12,11.5,11.09,10.16,7.72,6.19,7.72,10.59,11.84,12.69,15.0,17.94,18.47,17.03,16.19,16.94,16.22,13.53,11.81,12.03,12.38,10.53,8.75,9.22,10.44,10.16,8.62,9.38,10.88,11.12,9.62,9.91,11.81,13.22,12.5,11.75,13.19,13.94,12.38,10.34,10.22,10.53,9.28,7.12,7.31,9.25,10.22,10.03,11.19,13.56,15.03,13.66,12.25,12.78,13.19,11.34,9.19,8.56,8.72,7.16,4.62,4.59,6.56,7.94,7.5,7.81,10.31,12.19,12.06,12.03,14.25,16.47,16.19,14.88,15.56,16.59,15.81,13.03,11.22,10.88,9.41,6.59,5.44,7.16,9.38,10.16,9.84,11.38,11.78,9.25,5.53,3.97,4.59,4.72,4.56,6.34,10.25,12.91,13.66,14.53,17.47,19.88,19.81,18.56,19.44,20.5,19.19,16.91,16.16,17.44,17.25,15.59,15.66,18.16,19.44,18.66,18.31,20.0,21.75,21.12,19.72,20.0,20.72,19.03,16.16,14.5,14.06,13.16,11.09,11.38,14.91,18.34,19.97,21.47,24.06,26.19,25.72,23.78,23.94,24.84,23.91,21.41,20.16,20.62,19.81,17.5,16.16,17.0,18.03,16.66,16.09,17.75,20.5,21.31,21.28,23.94,27.84,30.5,31.5,33.62,36.66,37.44,35.5,33.78,33.53,33.41,31.0,28.81,29.22,30.69,30.56,29.31,30.53,32.12,31.94,29.59,27.97,27.84,26.78,23.88,21.62,22.41,22.94,21.91,20.72,22.34,25.47,27.5,28.59,31.5,35.59,37.59,36.56,35.38,35.28,33.16,28.28,23.38,21.03,19.78,17.5,16.09,17.41,21.22,23.94,25.81,29.03,33.38,36.12,35.62,35.16,35.75,35.69,32.91,30.53,30.34,31.0,29.47,27.12,26.75,27.16,25.91,23.31,22.38,23.56,24.12,23.09,23.69,26.5,29.38,29.47,29.03,30.44,31.91,30.94,29.41,30.12,32.5,33.91,33.75,35.28,38.41,40.28,39.03,37.78,37.91,37.28,33.75,29.47,26.75,24.47,20.16,15.0,11.81,10.81,9.22,6.72,6.94,10.03,14.03,17.0,21.5,28.03,34.66,38.12,39.75,42.44,44.59,44.31,42.56,42.0,42.66,42.25,39.09,36.78,36.19,35.31,32.28,29.09,28.22,26.81,22.81,17.56,14.62,13.53,12.06,9.84,9.91,12.19,13.16,12.38,11.5,13.28,14.62,13.81,8.78,7.97,8.38,8.59,7.22,6.06,6.41,7.28,6.94,5.38,4.81,4.16,1.19,-3.44,-7.03,-9.09,-10.94,-12.81,-12.5,-9.72,-5.56,-3.03,-0.94,2.28,5.5,6.53,7.03,8.66,11.25,12.75,12.97,13.25,14.34,14.44,12.5:0.0,-2.66,-3.53,-2.16,-1.53,-1.88,-0.41,3.59,7.31,8.25,9.16,11.69,14.38,14.38,14.84,17.62,21.75,23.94,24.31,25.19,26.88,25.75,22.22,18.38,16.12,13.19,8.31,4.56,4.0,4.97,3.81,2.75,3.25,4.75,4.12,2.94,3.41,5.62,7.25,7.09,7.75,10.59,13.03,12.66,12.03,13.53,15.5,14.69,13.44,13.44,14.91,14.59,12.84,13.47,16.19,17.81,17.12,16.91,18.72,19.88,17.81,15.81,16.0,16.72,14.91,12.62,11.88,12.19,10.5,7.5,6.19,6.78,7.25,5.5,4.06,4.41,4.19,1.31,-2.19,-3.16,-2.88,-4.12,-5.78,-5.09,-2.25,-0.31,0.38,2.06,5.38,7.66,7.41,7.16,9.31,11.78,12.19,11.97,13.44,15.69,15.53,14.16,13.72,14.78,14.44,12.5,11.78,13.5,14.72,13.66,12.84,13.78,14.91,13.66,11.44,11.0,12.22,11.22,9.28,8.69,10.16,10.22,8.91,7.97,9.47,10.78,9.5,8.66,10.56,13.06,12.88,12.28,13.03,14.91,14.94,13.97,14.41,16.78,17.62,16.12,15.28,16.75,18.31,17.5,16.34,16.97,17.66,15.16,11.12,8.69,8.53,6.97,4.34,3.97,6.22,7.84,7.59,7.59,9.56,11.12,9.97,8.53,9.5,11.75,12.25,11.44,12.31,14.09,13.66,11.09,9.28,9.72,9.09,6.75,4.75,5.5,6.03,4.75,3.38,4.78,7.44,8.66,8.91,10.75,14.03,15.91,15.78,16.19,18.94,20.59,19.69,18.94,20.47,22.72,22.81,22.44,24.09,26.03,26.19,25.41,26.12,29.09,29.91,28.31,26.12,25.12,22.62,18.0,13.41,12.06,11.75,9.69,7.5,7.78,10.03,11.28,11.88,14.41,19.28,22.53,23.59,24.72,27.09,28.09,25.88,22.88,21.78,21.22,18.81,16.31,15.69,17.16,17.09,15.66,15.44,16.38,15.69,11.94,8.41,7.28,5.72,2.88,0.84,2.22,5.53,7.66,8.88,12.53,17.34,20.88,22.88,26.03,30.97,34.19,34.34,33.47,34.25,34.59,32.38,29.38,27.88,26.97,23.59,19.12,16.5,15.72,14.0,10.69,8.88,9.34,9.84,8.69,8.22,10.62,13.06,14.09,14.34,17.06,20.72,22.56,22.28,22.97,24.47,24.19,21.91,20.5,21.47,21.91,19.88,17.44,17.53,17.78,16.16,13.22,12.66,12.91,11.44,8.91,7.94,9.69,11.22,11.47,12.97,17.19,21.0,22.12,22.75,24.59,26.75,26.22,24.34,24.34,25.5,25.16,23.53,22.94,24.16,24.66,22.53,21.06,21.69,22.41,20.62,18.75,18.84,19.31,18.12,16.19,16.19,18.41,20.16,20.38,21.53,24.0,25.09,22.91,19.94,19.16,18.44,16.09,13.75,14.28,16.09,16.91,15.91,16.62,18.47,19.12,17.69,17.28,18.91,20.0,18.72,17.62,18.97,20.94,21.16,20.41,21.47,22.72,22.41,20.12,19.75,21.41,21.66,19.97,18.44,18.53,18.03,15.25,13.09,14.53,17.25,18.19,18.44,20.78,22.75,22.62,20.25,19.03,19.22,18.47,15.66,13.34,13.66,13.75,11.94,10.22,11.31,12.97,12.94,12.25,13.62,16.72,18.03,17.38,17.47,19.25,19.62,17.09,14.78,14.94,15.38,13.28,11.22,10.91,11.81,10.78,9.28,9.91,12.03,12.66,11.34,11.28,12.91,14.0,13.09,12.53,13.91,15.47,15.03,14.16,15.62,17.81,18.28,17.16,17.31,18.25,18.22,16.03,14.69,15.38,16.38,15.19,14.75,17.25,20.0,20.75,20.19,21.28,22.38,21.44,18.69,17.25,16.94,15.84,13.38,12.19,14.0,16.16,16.16,16.09,17.97,19.69,19.03,17.75,18.25,19.75,19.81,18.34,17.69,18.09,18.16,16.0,14.91,16.56,18.75,18.41,17.41,18.5,19.56,18.22,15.38,14.47,14.56,14.09,12.44,12.31,14.31,15.31,13.97,12.88,14.19,16.0,16.06,16.38,18.69,21.34,20.94,18.66,17.03,16.19,14.09,11.28,9.88,11.09,12.62,12.66,13.25,15.53,18.06,17.94,17.31,17.88,19.5,19.47,18.09,18.44,19.81,19.94,17.91,16.31,16.47,16.12,13.91,12.5,13.38,15.03,14.59,13.38,14.5,16.88,17.56,17.0,17.75,19.59,20.41,18.94,18.44,19.88,21.09,19.62,18.19,18.66,19.69,18.78,17.12,16.88,17.53,16.41,13.38,11.97,12.53,13.09,12.06,12.47,15.38,18.44,19.12,19.38,20.97,22.66,22.0,20.34,20.34,21.72,21.69,20.0,19.44,20.53,20.75,18.84,16.84,17.09,17.41,15.56,13.72,14.25,15.16,14.75,12.91,12.28,12.94,12.0,9.44,7.59,7.75,7.5,5.75,4.78,6.31,8.41,8.72,7.97,8.72,10.62,10.53,10.19,11.03,13.62,14.5,13.25,12.38,13.5,14.5,13.88,13.38,13.84,14.06,11.09,7.44,5.72,6.38,6.75,6.56,7.94,11.03,12.56,12.19,12.31,14.62,17.0,16.91,17.22,19.03,21.06,21.0,19.84,20.19,21.31,20.16,17.53,15.53,15.06,13.84,10.97,9.03,9.19,9.53,7.69,6.06,6.41,8.03,8.12,7.47,8.31,10.25,10.97,9.81,9.66,10.84,11.28,9.31,7.75,8.09,9.09,7.97,7.0,7.97,10.38,10.88,9.66,9.69,10.28,9.06,5.88,4.53,5.75,6.94,6.09,5.59,6.78,7.62,6.53,5.03,5.28,6.34,5.88,4.19,4.31,6.12,6.91,6.38,6.69,9.03,10.88,11.03,11.0,13.25,15.09,14.41,13.16,13.47,15.16,15.25,14.16,13.84,14.84,14.19,11.38,9.09,9.38,9.56,8.34,7.75,9.44,11.75,11.94,11.38,11.72,13.19,13.22,11.66,11.34,13.0,13.88,13.06,12.44,14.03,15.03,13.44,11.34,11.44,13.03,12.94,12.88,14.69,17.91,18.91,17.62,15.81,15.16,13.03,9.22,6.19,6.34,7.19,6.16,4.81,5.03,6.25,6.16,5.53,7.0,9.97,11.88,11.28,10.91,11.75,11.5,8.84,6.66,6.88,8.03,7.19,5.88,5.84,6.5,5.22,2.56,1.44,2.16,2.19,0.53,-0.19,1.09,2.69,2.19,1.53,3.47,5.59,5.38,3.75,4.28,5.38,5.06,4.25,5.09,7.81,9.94,10.03,9.81,11.06,11.53,9.88,7.41,7.53,8.56,7.97,7.25,8.53,11.59,13.16,13.28,14.34,17.31,19.03,18.44,17.66,18.78,19.06,16.56,13.94,13.5,14.38,13.72,12.47,12.81,14.72,15.06,14.31,13.78,15.78,16.38,14.66,12.75,13.34,14.94,14.84,14.41,16.34,18.75,18.84,17.25,16.75,17.53,16.75,14.12,11.5,11.09,10.16,7.72,6.19,7.72,10.59,11.84,12.69,15.0,17.94,18.47,17.03,16.19,16.94,16.22,13.53,11.81,12.03,12.38,10.53,8.75,9.22,10.44,10.16,8.62,9.38,10.88,11.12,9.62,9.91,11.81,13.22,12.5,11.75,13.19,13.94,12.38,10.34,10.22,10.53,9.28,7.12,7.31,9.25,10.22,10.03,11.19,13.56,15.03,13.66,12.25,12.78,13.19,11.34,9.19,8.56,8.72,7.16,4.62,4.59,6.56,7.94,7.5,7.81,10.31,12.19,12.06,12.03,14.25,16.47,16.19,14.88,15.56,16.59,15.81,13.03,11.22,10.88,9.41,6.59,5.44,7.16,9.38,10.16,9.84,11.38,11.78,9.25,5.53,3.97,4.59,4.72,4.56,6.34,10.25,12.91,13.66,14.53,17.47,19.88,19.81,18.56,19.44,20.5,19.19,16.91,16.16,17.44,17.25,15.59,15.66,18.16,19.44,18.66,18.31,20.0,21.75,21.12,19.72,20.0,20.72,19.03,16.16,14.5,14.06,13.16,11.09,11.38,14.91,18.34,19.97,21.47,24.06,26.19,25.72,23.78,23.94,24.84,23.91,21.41,20.16,20.62,19.81,17.5,16.16,17.0,18.03,16.66,16.09,17.75,20.5,21.31,21.28,23.94,27.84,30.5,31.5,33.62,36.66,37.44,35.5,33.78,33.53,33.41,31.0,28.81,29.22,30.69,30.56,29.31,30.53,32.12,31.94,29.59,27.97,27.84,26.78,23.88,21.62,22.41,22.94,21.91,20.72,22.34,25.47,27.5,28.59,31.5,35.59,37.59,36.56,35.38,35.28,33.16,28.28,23.38,21.03,19.78,17.5,16.09,17.41,21.22,23.94,25.81,29.03,33.38,36.12,35.62,35.16,35.75,35.69,32.91,30.53,30.34,31.0,29.47,27.12,26.75,27.16,25.91,23.31,22.38,23.56,24.12,23.09,23.69,26.5,29.38,29.47,29.03,30.44,31.91,30.94,29.41,30.12,32.5,33.91,33.75,35.28,38.41,40.28,39.03,37.78,37.91,37.28,33.75,29.47,26.75,24.47,20.16,15.0,11.81,10.81,9.22,6.72,6.94,10.03,14.03,17.0,21.5,28.03,34.66,38.12,39.75,42.44,44.59,44.31,42.56,42.0,42.66,42.25,39.09,36.78,36.19,35.31,32.28,29.09,28.22,26.81,22.81,17.56,14.62,13.53,12.06,9.84,9.91,12.19,13.16,12.38,11.5,13.28,14.62,13.81,8.78,7.97,8.38,8.59,7.22,6.06,6.41,7.28,6.94,5.38,4.81,4.16,1.19,-3.44,-7.03,-9.09,-10.94,-12.81,-12.5,-9.72,-5.56,-3.03,-0.94,2.28,5.5,6.53,7.03,8.66,11.25,12.75,12.97,13.25,14.34,14.44,12.5,10.19,9.94,10.22,8.97,7.53,7.25,6.97:positivity
2.28,-0.25,-0.62,0.97,2.69,4.31,7.31,10.5,11.88,11.38,10.88,11.31,11.81,11.44,11.72,14.03,16.91,18.38,18.78,20.0,20.5,19.5,17.28,16.0,15.25,14.12,11.78,9.91,9.56,9.78,8.53,8.38,9.66,11.69,12.56,13.03,14.53,16.38,16.62,15.97,15.56,15.81,15.53,13.78,12.53,12.25,12.38,11.56,11.16,12.47,14.69,15.53,15.62,16.28,16.81,15.84,13.38,11.47,10.78,10.34,9.44,9.72,11.5,13.81,14.56,15.03,16.38,17.69,17.69,16.88,16.88,18.22,19.47,20.0,21.59,24.38,26.84,27.72,28.38,30.38,32.25,31.84,30.56,29.69,28.81,26.47,23.38,21.47,21.03,20.56,19.62,19.25,20.41,21.53,20.94,20.69,21.62,22.94,22.88,22.12,21.56,21.91,20.94,18.75,17.84,17.62,16.91,14.75,13.34,13.12,12.97,11.47,10.0,9.97,10.0,9.09,7.81,7.03,6.84,5.97,4.0,3.12,3.84,4.84,4.69,4.97,6.69,8.81,9.62,10.16,12.16,14.38,15.06,14.75,15.06,16.16,16.56,15.66,14.94,15.12,15.03,13.53,12.47,13.09,14.12,14.09,13.53,14.41,15.69,16.56,16.81,17.94,19.91,21.09,20.62,19.81,19.81,19.0,16.72,14.34,13.75,13.5,12.28,10.78,9.97,9.78,8.12,5.91,4.28,4.25,4.44,4.38,5.28,8.12,11.66,13.31,14.5,16.12,17.25,16.81,15.81,15.53,16.38,16.41,15.16,13.72,13.69,13.06,11.16,10.28,11.53,13.0,13.5,13.59,15.19,17.19,17.69,17.88,18.72,20.78,21.81,21.53,20.75,20.78,19.81,17.38,14.97,14.53,14.62,13.84,12.66,11.97,11.91,10.94,9.59,9.31,10.41,11.5,11.31,11.62,13.41,14.81,14.81,13.94,13.97,14.31,13.62,12.78,13.28,14.34,14.12,12.56,10.84,10.19,9.56,7.69,6.69,7.25,7.91,7.56,6.53,7.03,8.44,8.78,9.06,10.34,12.84,14.25,14.25,13.66,14.28,14.5,13.81,13.81,15.38,16.97,17.34,16.41,16.91,18.22,18.59,17.88,18.0,18.69,18.56,17.38,16.91,17.94,18.59,17.84,16.78,16.5,15.88,12.88,8.25,4.84,2.16,-1.03,-3.94,-4.94,-4.25,-3.06,-1.81,0.09,4.28,8.0,9.62,10.22,11.66,13.0,12.62,11.34,11.0,11.09,10.66,9.41,9.03,9.97,10.81,10.31,9.66,10.41,11.31,10.56,9.19,9.5,10.28,10.34,9.88,11.34,14.25,16.62,18.41,20.78,23.97,26.44,26.91,26.31,26.03,24.81,21.22,16.75,13.25,11.03,8.44,6.19,5.75,7.53,9.59,11.16,12.81,15.66,18.0,18.41,18.31,19.25,19.72,18.91,16.72,15.62,14.94,13.19,10.34,8.44,7.47,5.84,3.25,0.62,-0.47,-1.91,-4.22,-7.03,-8.0,-8.25,-8.88,-9.62,-8.78,-6.38,-4.19,-3.31,-2.19,-0.28,0.28,-0.62,-1.88,-1.56,-0.75,-0.91,-1.25,0.53,2.66,4.03,4.47,5.94,8.56,10.66,11.69,13.28,15.84,17.88,18.31,18.09,18.78,19.38,17.97,15.81,15.75,16.34,16.19,14.84,14.56,14.94,14.84,13.44,12.44,12.88,12.94,11.41,9.72,9.72,10.22,10.0,9.0,9.34,10.22,9.88,8.22,7.09,7.12,6.91,5.28,3.94,4.25,5.09,4.84,5.28,7.69,10.62,12.53,13.38,14.31,15.47,15.19,13.47,12.5,13.47,14.5,14.75,15.34,16.97,18.56,18.5,18.41,19.81,21.47,22.09,21.25,20.94,20.62,19.41,16.56,14.09,13.28,12.94,11.78,11.78,13.44,15.12,15.03,13.16,11.47,10.25,7.72,4.59,3.25,3.38,3.81,3.06,2.81,3.91,5.03,4.53,3.75,4.59,5.5,5.44,4.91,6.0,8.25,10.28,10.88,12.28,14.38,16.06,15.75,16.16,18.0,19.88,19.56,18.84,18.5,18.28,16.16,13.25,10.66,9.16,7.28,4.75,3.97,5.31,6.78,6.75,6.88,7.91,9.19,8.47,7.16,7.28,8.09,8.16,8.28,10.16,13.66,16.72,18.12,19.5,21.41,22.47,20.59,17.84,16.12,14.22,11.34,8.41,7.59,8.5,8.88,8.72,9.69,11.22,12.06,11.06,10.09,10.72,11.81,11.59,11.94,14.31,17.25,18.56,19.44,20.75,22.47,22.84,22.34,22.03,23.16,23.19,21.97,20.78,21.12,22.0,21.38,20.94,21.38,22.12,21.0,18.56,17.19,16.62,15.59,13.88,13.25,14.09,14.62,13.16,11.59,11.44,11.47,9.81,8.12,8.16,9.03,9.03,8.12,8.12,9.22,9.28,8.16,7.53,9.19,11.12,11.69,12.97,15.28,17.78,17.78,17.06,16.12,15.56,13.94,11.47,10.22,10.59,10.5,9.38,9.16,10.94,13.0,13.5,14.34,15.91,17.72,18.03,17.31,17.5,17.75,16.84,14.44,12.78,12.34,11.72,10.66,9.94,10.84,12.28,12.12,11.5,12.03,12.5,11.62,10.34,10.31,11.44,12.56,12.97,13.56,15.81,17.31,17.34,17.16,18.75,20.41,20.59,20.53,21.66,22.91,22.41,21.12,20.44,20.97,20.28,18.03,16.28,15.56,14.22,11.56,8.56,7.59,7.25,5.5,4.0,4.59,6.44,7.16,7.41,8.34,10.62,12.09,11.94,12.0,13.31,13.97,12.91,11.56,12.16,14.03,14.41,14.38,15.16,15.84,14.78,12.59,11.16,11.84,12.75,12.75,13.25,14.88,16.31,15.91,14.84,15.16,16.22,16.38,15.75,16.19,18.09,18.5,17.97,18.06,19.47,20.16,18.72,17.0,16.03,15.09,13.06,10.34,9.66,9.91,9.34,8.44,8.28,9.19,9.03,7.5,6.56,7.62,8.84,8.91,8.88,10.28,12.06,12.53,12.62,14.16,16.47,16.91,15.94,15.34,16.0,15.91,15.12,15.06,16.72,18.06,18.38,18.16,19.12,20.44,20.75,20.53,21.62,23.53,24.09,23.22,22.69,23.12,22.47,20.81,19.38,19.78,19.88,18.62,17.31,17.44,18.03,17.56,16.84,17.34,18.41,18.41,17.28,16.34,16.72,16.62,15.34,14.53,15.66,17.59,18.19,18.31,19.44,20.94,21.38,20.59,20.91,22.31,22.75,21.78,21.16,22.16,22.38,20.97,19.03,18.5,17.81,15.59,13.0,11.53,11.34,10.44,9.22,9.47,11.5,13.44,14.22,15.12,17.5,19.22,19.56,19.25,20.03,21.09,20.25,18.28,16.88,16.5,15.38,13.81,13.06,14.0,15.03,14.72,15.03,16.84,18.31,18.31,17.19,17.41,18.12,17.81,16.81,16.81,17.94,18.28,17.28,17.09,18.38,19.69,19.38,19.0,20.19,21.59,21.53,20.84,22.09,24.22,25.03,25.12,25.78,27.16,27.09,25.41,23.56,22.84,21.72,19.19,17.0,17.0,17.44,17.19,15.72,15.31,15.28,14.28,12.59,12.34,13.75,14.72,14.41,14.0,15.16,15.94,15.06,14.56,15.75,17.28,17.59,16.62,16.22,16.16,15.53,13.78,13.09,14.06,14.94,14.38,13.88,14.94,16.06,15.16,13.22,12.44,11.88,10.03,8.09,7.88,9.28,10.56,10.47,10.88,12.31,13.19,12.66,11.78,12.31,12.75,11.88,11.0,11.69,13.66,15.34,16.0,17.72,19.56,20.62,19.84,19.12,19.78,20.22,19.19,18.03,18.03,18.31,17.0,15.72,15.56,15.97,15.72,14.62,14.09,14.47,14.62,13.5,12.78,13.69,15.12,15.28,15.31,16.41,17.62,17.31,15.81,15.34,15.81,15.28,13.75,13.19,14.0,14.72,13.88,13.0,13.53,13.97,13.09,11.88,11.81,12.22,11.09,9.06,8.5,9.03,9.78,10.25,11.94,14.84,17.12,17.16,16.62,17.03,17.78,17.44,16.84,17.62,18.62,18.28,16.94,16.03,15.69,15.38,13.81,13.62,14.62,16.28,16.5,15.88,16.78,17.97,18.12,17.75,18.25,19.25,19.16,18.06,17.44,18.06,18.06,16.66,15.56,15.19,15.47,14.31,13.16,13.62,15.06,15.47,15.12,15.75,16.81,16.84,16.09,16.44,18.34,20.38,21.09,22.03,23.75,25.25,24.56,23.25,22.12,21.0,18.88,16.44,15.16,15.12,15.56,15.03,15.12,16.22,17.38,17.06,16.84,18.0,19.81,20.16,20.19,21.16,22.75,23.72,23.38,23.66,24.59,24.72,23.41,22.78,23.62,24.75,24.84,24.72,25.34,25.66,24.12,21.59,19.84,19.5,19.06,17.91,17.72,18.56,18.66,17.03,15.56,15.75,16.31,15.91,16.12,16.97,18.75,19.53,19.5,20.12,21.84,22.72,22.66,22.75,24.0,25.06,24.09,23.0,23.31,23.72,22.88,22.06,22.03,22.97,22.25,20.56,19.28,19.06,18.44,17.88,18.41,21.28,24.47,26.78,28.28,30.31,31.91,31.25,29.66,28.5,28.38,27.53,26.06,25.09,25.06,23.97,21.88,19.81,19.22,19.47,18.94,18.53,19.78,21.62,21.78,21.0,20.81,21.44,21.88,21.88,22.53,24.34,25.5,24.53,23.16,23.22,24.06,24.09,24.66,26.44,28.56,29.44,29.19,29.5,30.88,31.72,31.25,30.62,30.41,29.03,25.75,21.88,18.91,16.44,13.25,10.62,9.94,11.25,12.72,13.91,15.66,18.16,19.28,18.69,18.03,19.0,20.91,22.09,23.69,26.75,29.69,30.34,29.5,28.72,28.19,26.78,24.72,23.16,23.19,22.59,20.59,18.19,17.25,16.56,14.94,13.75,13.75,15.31:10.5,11.88,11.38,10.88,11.31,11.81,11.44,11.72,14.03,16.91,18.38,18.78,20.0,20.5,19.5,17.28,16.0,15.25,14.12,11.78,9.91,9.56,9.78,8.53,8.38,9.66,11.69,12.56,13.03,14.53,16.38,16.62,15.97,15.56,15.81,15.53,13.78,12.53,12.25,12.38,11.56,11.16,12.47,14.69,15.53,15.62,16.28,16.81,15.84,13.38,11.47,10.78,10.34,9.44,9.72,11.5,13.81,14.56,15.03,16.38,17.69,17.69,16.88,16.88,18.22,19.47,20.0,21.59,24.38,26.84,27.72,28.38,30.38,32.25,31.84,30.56,29.69,28.81,26.47,23.38,21.47,21.03,20.56,19.62,19.25,20.41,21.53,20.94,20.69,21.62,22.94,22.88,22.12,21.56,21.91,20.94,18.75,17.84,17.62,16.91,14.75,13.34,13.12,12.97,11.47,10.0,9.97,10.0,9.09,7.81,7.03,6.84,5.97,4.0,3.12,3.84,4.84,4.69,4.97,6.69,8.81,9.62,10.16,12.16,14.38,15.06,14.75,15.06,16.16,16.56,15.66,14.94,15.12,15.03,13.53,12.47,13.09,14.12,14.09,13.53,14.41,15.69,16.56,16.81,17.94,19.91,21.09,20.62,19.81,19.81,19.0,16.72,14.34,13.75,13.5,12.28,10.78,9.97,9.78,8.12,5.91,4.28,4.25,4.44,4.38,5.28,8.12,11.66,13.31,14.5,16.12,17.25,16.81,15.81,15.53,16.38,16.41,15.16,13.72,13.69,13.06,11.16,10.28,11.53,13.0,13.5,13.59,15.19,17.19,17.69,17.88,18.72,20.78,21.81,21.53,20.75,20.78,19.81,17.38,14.97,14.53,14.62,13.84,12.66,11.97,11.91,10.94,9.59,9.31,10.41,11.5,11.31,11.62,13.41,14.81,14.81,13.94,13.97,14.31,13.62,12.78,13.28,14.34,14.12,12.56,10.84,10.19,9.56,7.69,6.69,7.25,7.91,7.56,6.53,7.03,8.44,8.78,9.06,10.34,12.84,14.25,14.25,13.66,14.28,14.5,13.81,13.81,15.38,16.97,17.34,16.41,16.91,18.22,18.59,17.88,18.0,18.69,18.56,17.38,16.91,17.94,18.59,17.84,16.78,16.5,15.88,12.88,8.25,4.84,2.16,-1.03,-3.94,-4.94,-4.25,-3.06,-1.81,0.09,4.28,8.0,9.62,10.22,11.66,13.0,12.62,11.34,11.0,11.09,10.66,9.41,9.03,9.97,10.81,10.31,9.66,10.41,11.31,10.56,9.19,9.5,10.28,10.34,9.88,11.34,14.25,16.62,18.41,20.78,23.97,26.44,26.91,26.31,26.03,24.81,21.22,16.75,13.25,11.03,8.44,6.19,5.75,7.53,9.59,11.16,12.81,15.66,18.0,18.41,18.31,19.25,19.72,18.91,16.72,15.62,14.94,13.19,10.34,8.44,7.47,5.84,3.25,0.62,-0.47,-1.91,-4.22,-7.03,-8.0,-8.25,-8.88,-9.62,-8.78,-6.38,-4.19,-3.31,-2.19,-0.28,0.28,-0.62,-1.88,-1.56,-0.75,-0.91,-1.25,0.53,2.66,4.03,4.47,5.94,8.56,10.66,11.69,13.28,15.84,17.88,18.31,18.09,18.78,19.38,17.97,15.81,15.75,16.34,16.19,14.84,14.56,14.94,14.84,13.44,12.44,12.88,12.94,11.41,9.72,9.72,10.22,10.0,9.0,9.34,10.22,9.88,8.22,7.09,7.12,6.91,5.28,3.94,4.25,5.09,4.84,5.28,7.69,10.62,12.53,13.38,14.31,15.47,15.19,13.47,12.5,13.47,14.5,14.75,15.34,16.97,18.56,18.5,18.41,19.81,21.47,22.09,21.25,20.94,20.62,19.41,16.56,14.09,13.28,12.94,11.78,11.78,13.44,15.12,15.03,13.16,11.47,10.25,7.72,4.59,3.25,3.38,3.81,3.06,2.81,3.91,5.03,4.53,3.75,4.59,5.5,5.44,4.91,6.0,8.25,10.28,10.88,12.28,14.38,16.06,15.75,16.16,18.0,19.88,19.56,18.84,18.5,18.28,16.16,13.25,10.66,9.16,7.28,4.75,3.97,5.31,6.78,6.75,6.88,7.91,9.19,8.47,7.16,7.28,8.09,8.16,8.28,10.16,13.66,16.72,18.12,19.5,21.41,22.47,20.59,17.84,16.12,14.22,11.34,8.41,7.59,8.5,8.88,8.72,9.69,11.22,12.06,11.06,10.09,10.72,11.81,11.59,11.94,14.31,17.25,18.56,19.44,20.75,22.47,22.84,22.34,22.03,23.16,23.19,21.97,20.78,21.12,22.0,21.38,20.94,21.38,22.12,21.0,18.56,17.19,16.62,15.59,13.88,13.25,14.09,14.62,13.16,11.59,11.44,11.47,9.81,8.12,8.16,9.03,9.03,8.12,8.12,9.22,9.28,8.16,7.53,9.19,11.12,11.69,12.97,15.28,17.78,17.78,17.06,16.12,15.56,13.94,11.47,10.22,10.59,10.5,9.38,9.16,10.94,13.0,13.5,14.34,15.91,17.72,18.03,17.31,17.5,17.75,16.84,14.44,12.78,12.34,11.72,10.66,9.94,10.84,12.28,12.12,11.5,12.03,12.5,11.62,10.34,10.31,11.44,12.56,12.97,13.56,15.81,17.31,17.34,17.16,18.75,20.41,20.59,20.53,21.66,22.91,22.41,21.12,20.44,20.97,20.28,18.03,16.28,15.56,14.22,11.56,8.56,7.59,7.25,5.5,4.0,4.59,6.44,7.16,7.41,8.34,10.62,12.09,11.94,12.0,13.31,13.97,12.91,11.56,12.16,14.03,14.41,14.38,15.16,15.84,14.78,12.59,11.16,11.84,12.75,12.75,13.25,14.88,16.31,15.91,14.84,15.16,16.22,16.38,15.75,16.19,18.09,18.5,17.97,18.06,19.47,20.16,18.72,17.0,16.03,15.09,13.06,10.34,9.66,9.91,9.34,8.44,8.28,9.19,9.03,7.5,6.56,7.62,8.84,8.91,8.88,10.28,12.06,12.53,12.62,14.16,16.47,16.91,15.94,15.34,16.0,15.91,15.12,15.06,16.72,18.06,18.38,18.16,19.12,20.44,20.75,20.53,21.62,23.53,24.09,23.22,22.69,23.12,22.47,20.81,19.38,19.78,19.88,18.62,17.31,17.44,18.03,17.56,16.84,17.34,18.41,18.41,17.28,16.34,16.72,16.62,15.34,14.53,15.66,17.59,18.19,18.31,19.44,20.94,21.38,20.59,20.91,22.31,22.75,21.78,21.16,22.16,22.38,20.97,19.03,18.5,17.81,15.59,13.0,11.53,11.34,10.44,9.22,9.47,11.5,13.44,14.22,15.12,17.5,19.22,19.56,19.25,20.03,21.09,20.25,18.28,16.88,16.5,15.38,13.81,13.06,14.0,15.03,14.72,15.03,16.84,18.31,18.31,17.19,17.41,18.12,17.81,16.81,16.81,17.94,18.28,17.28,17.09,18.38,19.69,19.38,19.0,20.19,21.59,21.53,20.84,22.09,24.22,25.03,25.12,25.78,27.16,27.09,25.41,23.56,22.84,21.72,19.19,17.0,17.0,17.44,17.19,15.72,15.31,15.28,14.28,12.59,12.34,13.75,14.72,14.41,14.0,15.16,15.94,15.06,14.56,15.75,17.28,17.59,16.62,16.22,16.16,15.53,13.78,13.09,14.06,14.94,14.38,13.88,14.94,16.06,15.16,13.22,12.44,11.88,10.03,8.09,7.88,9.28,10.56,10.47,10.88,12.31,13.19,12.66,11.78,12.31,12.75,11.88,11.0,11.69,13.66,15.34,16.0,17.72,19.56,20.62,19.84,19.12,19.78,20.22,19.19,18.03,18.03,18.31,17.0,15.72,15.56,15.97,15.72,14.62,14.09,14.47,14.62,13.5,12.78,13.69,15.12,15.28,15.31,16.41,17.62,17.31,15.81,15.34,15.81,15.28,13.75,13.19,14.0,14.72,13.88,13.0,13.53,13.97,13.09,11.88,11.81,12.22,11.09,9.06,8.5,9.03,9.78,10.25,11.94,14.84,17.12,17.16,16.62,17.03,17.78,17.44,16.84,17.62,18.62,18.28,16.94,16.03,15.69,15.38,13.81,13.62,14.62,16.28,16.5,15.88,16.78,17.97,18.12,17.75,18.25,19.25,19.16,18.06,17.44,18.06,18.06,16.66,15.56,15.19,15.47,14.31,13.16,13.62,15.06,15.47,15.12,15.75,16.81,16.84,16.09,16.44,18.34,20.38,21.09,22.03,23.75,25.25,24.56,23.25,22.12,21.0,18.88,16.44,15.16,15.12,15.56,15.03,15.12,16.22,17.38,17.06,16.84,18.0,19.81,20.16,20.19,21.16,22.75,23.72,23.38,23.66,24.59,24.72,23.41,22.78,23.62,24.75,24.84,24.72,25.34,25.66,24.12,21.59,19.84,19.5,19.06,17.91,17.72,18.56,18.66,17.03,15.56,15.75,16.31,15.91,16.12,16.97,18.75,19.53,19.5,20.12,21.84,22.72,22.66,22.75,24.0,25.06,24.09,23.0,23.31,23.72,22.88,22.06,22.03,22.97,22.25,20.56,19.28,19.06,18.44,17.88,18.41,21.28,24.47,26.78,28.28,30.31,31.91,31.25,29.66,28.5,28.38,27.53,26.06,25.09,25.06,23.97,21.88,19.81,19.22,19.47,18.94,18.53,19.78,21.62,21.78,21.0,20.81,21.44,21.88,21.88,22.53,24.34,25.5,24.53,23.16,23.22,24.06,24.09,24.66,26.44,28.56,29.44,29.19,29.5,30.88,31.72,31.25,30.62,30.41,29.03,25.75,21.88,18.91,16.44,13.25,10.62,9.94,11.25,12.72,13.91,15.66,18.16,19.28,18.69,18.03,19.0,20.91,22.09,23.69,26.75,29.69,30.34,29.5,28.72,28.19,26.78,24.72,23.16,23.19,22.59,20.59,18.19,17.25,16.56,14.94,13.75,13.75,15.31,28.72,27.84,27.12,28.0,30.16,33.12,35.84:11.72,14.03,16.91,18.38,18.78,20.0,20.5,19.5,17.28,16.0,15.25,14.12,11.78,9.91,9.56,9.78,8.53,8.38,9.66,11.69,12.56,13.03,14.53,16.38,16.62,15.97,15.56,15.81,15.53,13.78,12.53,12.25,12.38,11.56,11.16,12.47,14.69,15.53,15.62,16.28,16.81,15.84,13.38,11.47,10.78,10.34,9.44,9.72,11.5,13.81,14.56,15.03,16.38,17.69,17.69,16.88,16.88,18.22,19.47,20.0,21.59,24.38,26.84,27.72,28.38,30.38,32.25,31.84,30.56,29.69,28.81,26.47,23.38,21.47,21.03,20.56,19.62,19.25,20.41,21.53,20.94,20.69,21.62,22.94,22.88,22.12,21.56,21.91,20.94,18.75,17.84,17.62,16.91,14.75,13.34,13.12,12.97,11.47,10.0,9.97,10.0,9.09,7.81,7.03,6.84,5.97,4.0,3.12,3.84,4.84,4.69,4.97,6.69,8.81,9.62,10.16,12.16,14.38,15.06,14.75,15.06,16.16,16.56,15.66,14.94,15.12,15.03,13.53,12.47,13.09,14.12,14.09,13.53,14.41,15.69,16.56,16.81,17.94,19.91,21.09,20.62,19.81,19.81,19.0,16.72,14.34,13.75,13.5,12.28,10.78,9.97,9.78,8.12,5.91,4.28,4.25,4.44,4.38,5.28,8.12,11.66,13.31,14.5,16.12,17.25,16.81,15.81,15.53,16.38,16.41,15.16,13.72,13.69,13.06,11.16,10.28,11.53,13.0,13.5,13.59,15.19,17.19,17.69,17.88,18.72,20.78,21.81,21.53,20.75,20.78,19.81,17.38,14.97,14.53,14.62,13.84,12.66,11.97,11.91,10.94,9.59,9.31,10.41,11.5,11.31,11.62,13.41,14.81,14.81,13.94,13.97,14.31,13.62,12.78,13.28,14.34,14.12,12.56,10.84,10.19,9.56,7.69,6.69,7.25,7.91,7.56,6.53,7.03,8.44,8.78,9.06,10.34,12.84,14.25,14.25,13.66,14.28,14.5,13.81,13.81,15.38,16.97,17.34,16.41,16.91,18.22,18.59,17.88,18.0,18.69,18.56,17.38,16.91,17.94,18.59,17.84,16.78,16.5,15.88,12.88,8.25,4.84,2.16,-1.03,-3.94,-4.94,-4.25,-3.06,-1.81,0.09,4.28,8.0,9.62,10.22,11.66,13.0,12.62,11.34,11.0,11.09,10.66,9.41,9.03,9.97,10.81,10.31,9.66,10.41,11.31,10.56,9.19,9.5,10.28,10.34,9.88,11.34,14.25,16.62,18.41,20.78,23.97,26.44,26.91,26.31,26.03,24.81,21.22,16.75,13.25,11.03,8.44,6.19,5.75,7.53,9.59,11.16,12.81,15.66,18.0,18.41,18.31,19.25,19.72,18.91,16.72,15.62,14.94,13.19,10.34,8.44,7.47,5.84,3.25,0.62,-0.47,-1.91,-4.22,-7.03,-8.0,-8.25,-8.88,-9.62,-8.78,-6.38,-4.19,-3.31,-2.19,-0.28,0.28,-0.62,-1.88,-1.56,-0.75,-0.91,-1.25,0.53,2.66,4.03,4.47,5.94,8.56,10.66,11.69,13.28,15.84,17.88,18.31,18.09,18.78,19.38,17.97,15.81,15.75,16.34,16.19,14.84,14.56,14.94,14.84,13.44,12.44,12.88,12.94,11.41,9.72,9.72,10.22,10.0,9.0,9.34,10.22,9.88,8.22,7.09,7.12,6.91,5.28,3.94,4.25,5.09,4.84,5.28,7.69,10.62,12.53,13.38,14.31,15.47,15.19,13.47,12.5,13.47,14.5,14.75,15.34,16.97,18.56,18.5,18.41,19.81,21.47,22.09,21.25,20.94,20.62,19.41,16.56,14.09,13.28,12.94,11.78,11.78,13.44,15.12,15.03,13.16,11.47,10.25,7.72,4.59,3.25,3.38,3.81,3.06,2.81,3.91,5.03,4.53,3.75,4.59,5.5,5.44,4.91,6.0,8.25,10.28,10.88,12.28,14.38,16.06,15.75,16.16,18.0,19.88,19.56,18.84,18.5,18.28,16.16,13.25,10.66,9.16,7.28,4.75,3.97,5.31,6.78,6.75,6.88,7.91,9.19,8.47,7.16,7.28,8.09,8.16,8.28,10.16,13.66,16.72,18.12,19.5,21.41,22.47,20.59,17.84,16.12,14.22,11.34,8.41,7.59,8.5,8.88,8.72,9.69,11.22,12.06,11.06,10.09,10.72,11.81,11.59,11.94,14.31,17.25,18.56,19.44,20.75,22.47,22.84,22.34,22.03,23.16,23.19,21.97,20.78,21.12,22.0,21.38,20.94,21.38,22.12,21.0,18.56,17.19,16.62,15.59,13.88,13.25,14.09,14.62,13.16,11.59,11.44,11.47,9.81,8.12,8.16,9.03,9.03,8.12,8.12,9.22,9.28,8.16,7.53,9.19,11.12,11.69,12.97,15.28,17.78,17.78,17.06,16.12,15.56,13.94,11.47,10.22,10.59,10.5,9.38,9.16,10.94,13.0,13.5,14.34,15.91,17.72,18.03,17.31,17.5,17.75,16.84,14.44,12.78,12.34,11.72,10.66,9.94,10.84,12.28,12.12,11.5,12.03,12.5,11.62,10.34,10.31,11.44,12.56,12.97,13.56,15.81,17.31,17.34,17.16,18.75,20.41,20.59,20.53,21.66,22.91,22.41,21.12,20.44,20.97,20.28,18.03,16.28,15.56,14.22,11.56,8.56,7.59,7.25,5.5,4.0,4.59,6.44,7.16,7.41,8.34,10.62,12.09,11.94,12.0,13.31,13.97,12.91,11.56,12.16,14.03,14.41,14.38,15.16,15.84,14.78,12.59,11.16,11.84,12.75,12.75,13.25,14.88,16.31,15.91,14.84,15.16,16.22,16.38,15.75,16.19,18.09,18.5,17.97,18.06,19.47,20.16,18.72,17.0,16.03,15.09,13.06,10.34,9.66,9.91,9.34,8.44,8.28,9.19,9.03,7.5,6.56,7.62,8.84,8.91,8.88,10.28,12.06,12.53,12.62,14.16,16.47,16.91,15.94,15.34,16.0,15.91,15.12,15.06,16.72,18.06,18.38,18.16,19.12,20.44,20.75,20.53,21.62,23.53,24.09,23.22,22.69,23.12,22.47,20.81,19.38,19.78,19.88,18.62,17.31,17.44,18.03,17.56,16.84,17.34,18.41,18.41,17.28,16.34,16.72,16.62,15.34,14.53,15.66,17.59,18.19,18.31,19.44,20.94,21.38,20.59,20.91,22.31,22.75,21.78,21.16,22.16,22.38,20.97,19.03,18.5,17.81,15.59,13.0,11.53,11.34,10.44,9.22,9.47,11.5,13.44,14.22,15.12,17.5,19.22,19.56,19.25,20.03,21.09,20.25,18.28,16.88,16.5,15.38,13.81,13.06,14.0,15.03,14.72,15.03,16.84,18.31,18.31,17.19,17.41,18.12,17.81,16.81,16.81,17.94,18.28,17.28,17.09,18.38,19.69,19.38,19.0,20.19,21.59,21.53,20.84,22.09,24.22,25.03,25.12,25.78,27.16,27.09,25.41,23.56,22.84,21.72,19.19,17.0,17.0,17.44,17.19,15.72,15.31,15.28,14.28,12.59,12.34,13.75,14.72,14.41,14.0,15.16,15.94,15.06,14.56,15.75,17.28,17.59,16.62,16.22,16.16,15.53,13.78,13.09,14.06,14.94,14.38,13.88,14.94,16.06,15.16,13.22,12.44,11.88,10.03,8.09,7.88,9.28,10.56,10.47,10.88,12.31,13.19,12.66,11.78,12.31,12.75,11.88,11.0,11.69,13.66,15.34,16.0,17.72,19.56,20.62,19.84,19.12,19.78,20.22,19.19,18.03,18.03,18.31,17.0,15.72,15.56,15.97,15.72,14.62,14.09,14.47,14.62,13.5,12.78,13.69,15.12,15.28,15.31,16.41,17.62,17.31,15.81,15.34,15.81,15.28,13.75,13.19,14.0,14.72,13.88,13.0,13.53,13.97,13.09,11.88,11.81,12.22,11.09,9.06,8.5,9.03,9.78,10.25,11.94,14.84,17.12,17.16,16.62,17.03,17.78,17.44,16.84,17.62,18.62,18.28,16.94,16.03,15.69,15.38,13.81,13.62,14.62,16.28,16.5,15.88,16.78,17.97,18.12,17.75,18.25,19.25,19.16,18.06,17.44,18.06,18.06,16.66,15.56,15.19,15.47,14.31,13.16,13.62,15.06,15.47,15.12,15.75,16.81,16.84,16.09,16.44,18.34,20.38,21.09,22.03,23.75,25.25,24.56,23.25,22.12,21.0,18.88,16.44,15.16,15.12,15.56,15.03,15.12,16.22,17.38,17.06,16.84,18.0,19.81,20.16,20.19,21.16,22.75,23.72,23.38,23.66,24.59,24.72,23.41,22.78,23.62,24.75,24.84,24.72,25.34,25.66,24.12,21.59,19.84,19.5,19.06,17.91,17.72,18.56,18.66,17.03,15.56,15.75,16.31,15.91,16.12,16.97,18.75,19.53,19.5,20.12,21.84,22.72,22.66,22.75,24.0,25.06,24.09,23.0,23.31,23.72,22.88,22.06,22.03,22.97,22.25,20.56,19.28,19.06,18.44,17.88,18.41,21.28,24.47,26.78,28.28,30.31,31.91,31.25,29.66,28.5,28.38,27.53,26.06,25.09,25.06,23.97,21.88,19.81,19.22,19.47,18.94,18.53,19.78,21.62,21.78,21.0,20.81,21.44,21.88,21.88,22.53,24.34,25.5,24.53,23.16,23.22,24.06,24.09,24.66,26.44,28.56,29.44,29.19,29.5,30.88,31.72,31.25,30.62,30.41,29.03,25.75,21.88,18.91,16.44,13.25,10.62,9.94,11.25,12.72,13.91,15.66,18.16,19.28,18.69,18.03,19.0,20.91,22.09,23.69,26.75,29.69,30.34,29.5,28.72,28.19,26.78,24.72,23.16,23.19,22.59,20.59,18.19,17.25,16.56,14.94,13.75,13.75,15.31,28.72,27.84,27.12,28.0,30.16,33.12,35.84,37.81,39.38,40.03,39.44,37.91,36.53,35.41:19.5,17.28,16.0,15.25,14.12,11.78,9.91,9.56,9.78,8.53,8.38,9.66,11.69,12.56,13.03,14.53,16.38,16.62,15.97,15.56,15.81,15.53,13.78,12.53,12.25,12.38,11.56,11.16,12.47,14.69,15.53,15.62,16.28,16.81,15.84,13.38,11.47,10.78,10.34,9.44,9.72,11.5,13.81,14.56,15.03,16.38,17.69,17.69,16.88,16.88,18.22,19.47,20.0,21.59,24.38,26.84,27.72,28.38,30.38,32.25,31.84,30.56,29.69,28.81,26.47,23.38,21.47,21.03,20.56,19.62,19.25,20.41,21.53,20.94,20.69,21.62,22.94,22.88,22.12,21.56,21.91,20.94,18.75,17.84,17.62,16.91,14.75,13.34,13.12,12.97,11.47,10.0,9.97,10.0,9.09,7.81,7.03,6.84,5.97,4.0,3.12,3.84,4.84,4.69,4.97,6.69,8.81,9.62,10.16,12.16,14.38,15.06,14.75,15.06,16.16,16.56,15.66,14.94,15.12,15.03,13.53,12.47,13.09,14.12,14.09,13.53,14.41,15.69,16.56,16.81,17.94,19.91,21.09,20.62,19.81,19.81,19.0,16.72,14.34,13.75,13.5,12.28,10.78,9.97,9.78,8.12,5.91,4.28,4.25,4.44,4.38,5.28,8.12,11.66,13.31,14.5,16.12,17.25,16.81,15.81,15.53,16.38,16.41,15.16,13.72,13.69,13.06,11.16,10.28,11.53,13.0,13.5,13.59,15.19,17.19,17.69,17.88,18.72,20.78,21.81,21.53,20.75,20.78,19.81,17.38,14.97,14.53,14.62,13.84,12.66,11.97,11.91,10.94,9.59,9.31,10.41,11.5,11.31,11.62,13.41,14.81,14.81,13.94,13.97,14.31,13.62,12.78,13.28,14.34,14.12,12.56,10.84,10.19,9.56,7.69,6.69,7.25,7.91,7.56,6.53,7.03,8.44,8.78,9.06,10.34,12.84,14.25,14.25,13.66,14.28,14.5,13.81,13.81,15.38,16.97,17.34,16.41,16.91,18.22,18.59,17.88,18.0,18.69,18.56,17.38,16.91,17.94,18.59,17.84,16.78,16.5,15.88,12.88,8.25,4.84,2.16,-1.03,-3.94,-4.94,-4.25,-3.06,-1.81,0.09,4.28,8.0,9.62,10.22,11.66,13.0,12.62,11.34,11.0,11.09,10.66,9.41,9.03,9.97,10.81,10.31,9.66,10.41,11.31,10.56,9.19,9.5,10.28,10.34,9.88,11.34,14.25,16.62,18.41,20.78,23.97,26.44,26.91,26.31,26.03,24.81,21.22,16.75,13.25,11.03,8.44,6.19,5.75,7.53,9.59,11.16,12.81,15.66,18.0,18.41,18.31,19.25,19.72,18.91,16.72,15.62,14.94,13.19,10.34,8.44,7.47,5.84,3.25,0.62,-0.47,-1.91,-4.22,-7.03,-8.0,-8.25,-8.88,-9.62,-8.78,-6.38,-4.19,-3.31,-2.19,-0.28,0.28,-0.62,-1.88,-1.56,-0.75,-0.91,-1.25,0.53,2.66,4.03,4.47,5.94,8.56,10.66,11.69,13.28,15.84,17.88,18.31,18.09,18.78,19.38,17.97,15.81,15.75,16.34,16.19,14.84,14.56,14.94,14.84,13.44,12.44,12.88,12.94,11.41,9.72,9.72,10.22,10.0,9.0,9.34,10.22,9.88,8.22,7.09,7.12,6.91,5.28,3.94,4.25,5.09,4.84,5.28,7.69,10.62,12.53,13.38,14.31,15.47,15.19,13.47,12.5,13.47,14.5,14.75,15.34,16.97,18.56,18.5,18.41,19.81,21.47,22.09,21.25,20.94,20.62,19.41,16.56,14.09,13.28,12.94,11.78,11.78,13.44,15.12,15.03,13.16,11.47,10.25,7.72,4.59,3.25,3.38,3.81,3.06,2.81,3.91,5.03,4.53,3.75,4.59,5.5,5.44,4.91,6.0,8.25,10.28,10.88,12.28,14.38,16.06,15.75,16.16,18.0,19.88,19.56,18.84,18.5,18.28,16.16,13.25,10.66,9.16,7.28,4.75,3.97,5.31,6.78,6.75,6.88,7.91,9.19,8.47,7.16,7.28,8.09,8.16,8.28,10.16,13.66,16.72,18.12,19.5,21.41,22.47,20.59,17.84,16.12,14.22,11.34,8.41,7.59,8.5,8.88,8.72,9.69,11.22,12.06,11.06,10.09,10.72,11.81,11.59,11.94,14.31,17.25,18.56,19.44,20.75,22.47,22.84,22.34,22.03,23.16,23.19,21.97,20.78,21.12,22.0,21.38,20.94,21.38,22.12,21.0,18.56,17.19,16.62,15.59,13.88,13.25,14.09,14.62,13.16,11.59,11.44,11.47,9.81,8.12,8.16,9.03,9.03,8.12,8.12,9.22,9.28,8.16,7.53,9.19,11.12,11.69,12.97,15.28,17.78,17.78,17.06,16.12,15.56,13.94,11.47,10.22,10.59,10.5,9.38,9.16,10.94,13.0,13.5,14.34,15.91,17.72,18.03,17.31,17.5,17.75,16.84,14.44,12.78,12.34,11.72,10.66,9.94,10.84,12.28,12.12,11.5,12.03,12.5,11.62,10.34,10.31,11.44,12.56,12.97,13.56,15.81,17.31,17.34,17.16,18.75,20.41,20.59,20.53,21.66,22.91,22.41,21.12,20.44,20.97,20.28,18.03,16.28,15.56,14.22,11.56,8.56,7.59,7.25,5.5,4.0,4.59,6.44,7.16,7.41,8.34,10.62,12.09,11.94,12.0,13.31,13.97,12.91,11.56,12.16,14.03,14.41,14.38,15.16,15.84,14.78,12.59,11.16,11.84,12.75,12.75,13.25,14.88,16.31,15.91,14.84,15.16,16.22,16.38,15.75,16.19,18.09,18.5,17.97,18.06,19.47,20.16,18.72,17.0,16.03,15.09,13.06,10.34,9.66,9.91,9.34,8.44,8.28,9.19,9.03,7.5,6.56,7.62,8.84,8.91,8.88,10.28,12.06,12.53,12.62,14.16,16.47,16.91,15.94,15.34,16.0,15.91,15.12,15.06,16.72,18.06,18.38,18.16,19.12,20.44,20.75,20.53,21.62,23.53,24.09,23.22,22.69,23.12,22.47,20.81,19.38,19.78,19.88,18.62,17.31,17.44,18.03,17.56,16.84,17.34,18.41,18.41,17.28,16.34,16.72,16.62,15.34,14.53,15.66,17.59,18.19,18.31,19.44,20.94,21.38,20.59,20.91,22.31,22.75,21.78,21.16,22.16,22.38,20.97,19.03,18.5,17.81,15.59,13.0,11.53,11.34,10.44,9.22,9.47,11.5,13.44,14.22,15.12,17.5,19.22,19.56,19.25,20.03,21.09,20.25,18.28,16.88,16.5,15.38,13.81,13.06,14.0,15.03,14.72,15.03,16.84,18.31,18.31,17.19,17.41,18.12,17.81,16.81,16.81,17.94,18.28,17.28,17.09,18.38,19.69,19.38,19.0,20.19,21.59,21.53,20.84,22.09,24.22,25.03,25.12,25.78,27.16,27.09,25.41,23.56,22.84,21.72,19.19,17.0,17.0,17.44,17.19,15.72,15.31,15.28,14.28,12.59,12.34,13.75,14.72,14.41,14.0,15.16,15.94,15.06,14.56,15.75,17.28,17.59,16.62,16.22,16.16,15.53,13.78,13.09,14.06,14.94,14.38,13.88,14.94,16.06,15.16,13.22,12.44,11.88,10.03,8.09,7.88,9.28,10.56,10.47,10.88,12.31,13.19,12.66,11.78,12.31,12.75,11.88,11.0,11.69,13.66,15.34,16.0,17.72,19.56,20.62,19.84,19.12,19.78,20.22,19.19,18.03,18.03,18.31,17.0,15.72,15.56,15.97,15.72,14.62,14.09,14.47,14.62,13.5,12.78,13.69,15.12,15.28,15.31,16.41,17.62,17.31,15.81,15.34,15.81,15.28,13.75,13.19,14.0,14.72,13.88,13.0,13.53,13.97,13.09,11.88,11.81,12.22,11.09,9.06,8.5,9.03,9.78,10.25,11.94,14.84,17.12,17.16,16.62,17.03,17.78,17.44,16.84,17.62,18.62,18.28,16.94,16.03,15.69,15.38,13.81,13.62,14.62,16.28,16.5,15.88,16.78,17.97,18.12,17.75,18.25,19.25,19.16,18.06,17.44,18.06,18.06,16.66,15.56,15.19,15.47,14.31,13.16,13.62,15.06,15.47,15.12,15.75,16.81,16.84,16.09,16.44,18.34,20.38,21.09,22.03,23.75,25.25,24.56,23.25,22.12,21.0,18.88,16.44,15.16,15.12,15.56,15.03,15.12,16.22,17.38,17.06,16.84,18.0,19.81,20.16,20.19,21.16,22.75,23.72,23.38,23.66,24.59,24.72,23.41,22.78,23.62,24.75,24.84,24.72,25.34,25.66,24.12,21.59,19.84,19.5,19.06,17.91,17.72,18.56,18.66,17.03,15.56,15.75,16.31,15.91,16.12,16.97,18.75,19.53,19.5,20.12,21.84,22.72,22.66,22.75,24.0,25.06,24.09,23.0,23.31,23.72,22.88,22.06,22.03,22.97,22.25,20.56,19.28,19.06,18.44,17.88,18.41,21.28,24.47,26.78,28.28,30.31,31.91,31.25,29.66,28.5,28.38,27.53,26.06,25.09,25.06,23.97,21.88,19.81,19.22,19.47,18.94,18.53,19.78,21.62,21.78,21.0,20.81,21.44,21.88,21.88,22.53,24.34,25.5,24.53,23.16,23.22,24.06,24.09,24.66,26.44,28.56,29.44,29.19,29.5,30.88,31.72,31.25,30.62,30.41,29.03,25.75,21.88,18.91,16.44,13.25,10.62,9.94,11.25,12.72,13.91,15.66,18.16,19.28,18.69,18.03,19.0,20.91,22.09,23.69,26.75,29.69,30.34,29.5,28.72,28.19,26.78,24.72,23.16,23.19,22.59,20.59,18.19,17.25,16.56,14.94,13.75,13.75,15.31,28.72,27.84,27.12,28.0,30.16,33.12,35.84,37.81,39.38,40.03,39.44,37.91,36.53,35.41,34.41,33.53,33.16,34.22,35.34,35.91,36.38:9.56,9.78,8.53,8.38,9.66,11.69,12.56,13.03,14.53,16.38,16.62,15.97,15.56,15.81,15.53,13.78,12.53,12.25,12.38,11.56,11.16,12.47,14.69,15.53,15.62,16.28,16.81,15.84,13.38,11.47,10.78,10.34,9.44,9.72,11.5,13.81,14.56,15.03,16.38,17.69,17.69,16.88,16.88,18.22,19.47,20.0,21.59,24.38,26.84,27.72,28.38,30.38,32.25,31.84,30.56,29.69,28.81,26.47,23.38,21.47,21.03,20.56,19.62,19.25,20.41,21.53,20.94,20.69,21.62,22.94,22.88,22.12,21.56,21.91,20.94,18.75,17.84,17.62,16.91,14.75,13.34,13.12,12.97,11.47,10.0,9.97,10.0,9.09,7.81,7.03,6.84,5.97,4.0,3.12,3.84,4.84,4.69,4.97,6.69,8.81,9.62,10.16,12.16,14.38,15.06,14.75,15.06,16.16,16.56,15.66,14.94,15.12,15.03,13.53,12.47,13.09,14.12,14.09,13.53,14.41,15.69,16.56,16.81,17.94,19.91,21.09,20.62,19.81,19.81,19.0,16.72,14.34,13.75,13.5,12.28,10.78,9.97,9.78,8.12,5.91,4.28,4.25,4.44,4.38,5.28,8.12,11.66,13.31,14.5,16.12,17.25,16.81,15.81,15.53,16.38,16.41,15.16,13.72,13.69,13.06,11.16,10.28,11.53,13.0,13.5,13.59,15.19,17.19,17.69,17.88,18.72,20.78,21.81,21.53,20.75,20.78,19.81,17.38,14.97,14.53,14.62,13.84,12.66,11.97,11.91,10.94,9.59,9.31,10.41,11.5,11.31,11.62,13.41,14.81,14.81,13.94,13.97,14.31,13.62,12.78,13.28,14.34,14.12,12.56,10.84,10.19,9.56,7.69,6.69,7.25,7.91,7.56,6.53,7.03,8.44,8.78,9.06,10.34,12.84,14.25,14.25,13.66,14.28,14.5,13.81,13.81,15.38,16.97,17.34,16.41,16.91,18.22,18.59,17.88,18.0,18.69,18.56,17.38,16.91,17.94,18.59,17.84,16.78,16.5,15.88,12.88,8.25,4.84,2.16,-1.03,-3.94,-4.94,-4.25,-3.06,-1.81,0.09,4.28,8.0,9.62,10.22,11.66,13.0,12.62,11.34,11.0,11.09,10.66,9.41,9.03,9.97,10.81,10.31,9.66,10.41,11.31,10.56,9.19,9.5,10.28,10.34,9.88,11.34,14.25,16.62,18.41,20.78,23.97,26.44,26.91,26.31,26.03,24.81,21.22,16.75,13.25,11.03,8.44,6.19,5.75,7.53,9.59,11.16,12.81,15.66,18.0,18.41,18.31,19.25,19.72,18.91,16.72,15.62,14.94,13.19,10.34,8.44,7.47,5.84,3.25,0.62,-0.47,-1.91,-4.22,-7.03,-8.0,-8.25,-8.88,-9.62,-8.78,-6.38,-4.19,-3.31,-2.19,-0.28,0.28,-0.62,-1.88,-1.56,-0.75,-0.91,-1.25,0.53,2.66,4.03,4.47,5.94,8.56,10.66,11.69,13.28,15.84,17.88,18.31,18.09,18.78,19.38,17.97,15.81,15.75,16.34,16.19,14.84,14.56,14.94,14.84,13.44,12.44,12.88,12.94,11.41,9.72,9.72,10.22,10.0,9.0,9.34,10.22,9.88,8.22,7.09,7.12,6.91,5.28,3.94,4.25,5.09,4.84,5.28,7.69,10.62,12.53,13.38,14.31,15.47,15.19,13.47,12.5,13.47,14.5,14.75,15.34,16.97,18.56,18.5,18.41,19.81,21.47,22.09,21.25,20.94,20.62,19.41,16.56,14.09,13.28,12.94,11.78,11.78,13.44,15.12,15.03,13.16,11.47,10.25,7.72,4.59,3.25,3.38,3.81,3.06,2.81,3.91,5.03,4.53,3.75,4.59,5.5,5.44,4.91,6.0,8.25,10.28,10.88,12.28,14.38,16.06,15.75,16.16,18.0,19.88,19.56,18.84,18.5,18.28,16.16,13.25,10.66,9.16,7.28,4.75,3.97,5.31,6.78,6.75,6.88,7.91,9.19,8.47,7.16,7.28,8.09,8.16,8.28,10.16,13.66,16.72,18.12,19.5,21.41,22.47,20.59,17.84,16.12,14.22,11.34,8.41,7.59,8.5,8.88,8.72,9.69,11.22,12.06,11.06,10.09,10.72,11.81,11.59,11.94,14.31,17.25,18.56,19.44,20.75,22.47,22.84,22.34,22.03,23.16,23.19,21.97,20.78,21.12,22.0,21.38,20.94,21.38,22.12,21.0,18.56,17.19,16.62,15.59,13.88,13.25,14.09,14.62,13.16,11.59,11.44,11.47,9.81,8.12,8.16,9.03,9.03,8.12,8.12,9.22,9.28,8.16,7.53,9.19,11.12,11.69,12.97,15.28,17.78,17.78,17.06,16.12,15.56,13.94,11.47,10.22,10.59,10.5,9.38,9.16,10.94,13.0,13.5,14.34,15.91,17.72,18.03,17.31,17.5,17.75,16.84,14.44,12.78,12.34,11.72,10.66,9.94,10.84,12.28,12.12,11.5,12.03,12.5,11.62,10.34,10.31,11.44,12.56,12.97,13.56,15.81,17.31,17.34,17.16,18.75,20.41,20.59,20.53,21.66,22.91,22.41,21.12,20.44,20.97,20.28,18.03,16.28,15.56,14.22,11.56,8.56,7.59,7.25,5.5,4.0,4.59,6.44,7.16,7.41,8.34,10.62,12.09,11.94,12.0,13.31,13.97,12.91,11.56,12.16,14.03,14.41,14.38,15.16,15.84,14.78,12.59,11.16,11.84,12.75,12.75,13.25,14.88,16.31,15.91,14.84,15.16,16.22,16.38,15.75,16.19,18.09,18.5,17.97,18.06,19.47,20.16,18.72,17.0,16.03,15.09,13.06,10.34,9.66,9.91,9.34,8.44,8.28,9.19,9.03,7.5,6.56,7.62,8.84,8.91,8.88,10.28,12.06,12.53,12.62,14.16,16.47,16.91,15.94,15.34,16.0,15.91,15.12,15.06,16.72,18.06,18.38,18.16,19.12,20.44,20.75,20.53,21.62,23.53,24.09,23.22,22.69,23.12,22.47,20.81,19.38,19.78,19.88,18.62,17.31,17.44,18.03,17.56,16.84,17.34,18.41,18.41,17.28,16.34,16.72,16.62,15.34,14.53,15.66,17.59,18.19,18.31,19.44,20.94,21.38,20.59,20.91,22.31,22.75,21.78,21.16,22.16,22.38,20.97,19.03,18.5,17.81,15.59,13.0,11.53,11.34,10.44,9.22,9.47,11.5,13.44,14.22,15.12,17.5,19.22,19.56,19.25,20.03,21.09,20.25,18.28,16.88,16.5,15.38,13.81,13.06,14.0,15.03,14.72,15.03,16.84,18.31,18.31,17.19,17.41,18.12,17.81,16.81,16.81,17.94,18.28,17.28,17.09,18.38,19.69,19.38,19.0,20.19,21.59,21.53,20.84,22.09,24.22,25.03,25.12,25.78,27.16,27.09,25.41,23.56,22.84,21.72,19.19,17.0,17.0,17.44,17.19,15.72,15.31,15.28,14.28,12.59,12.34,13.75,14.72,14.41,14.0,15.16,15.94,15.06,14.56,15.75,17.28,17.59,16.62,16.22,16.16,15.53,13.78,13.09,14.06,14.94,14.38,13.88,14.94,16.06,15.16,13.22,12.44,11.88,10.03,8.09,7.88,9.28,10.56,10.47,10.88,12.31,13.19,12.66,11.78,12.31,12.75,11.88,11.0,11.69,13.66,15.34,16.0,17.72,19.56,20.62,19.84,19.12,19.78,20.22,19.19,18.03,18.03,18.31,17.0,15.72,15.56,15.97,15.72,14.62,14.09,14.47,14.62,13.5,12.78,13.69,15.12,15.28,15.31,16.41,17.62,17.31,15.81,15.34,15.81,15.28,13.75,13.19,14.0,14.72,13.88,13.0,13.53,13.97,13.09,11.88,11.81,12.22,11.09,9.06,8.5,9.03,9.78,10.25,11.94,14.84,17.12,17.16,16.62,17.03,17.78,17.44,16.84,17.62,18.62,18.28,16.94,16.03,15.69,15.38,13.81,13.62,14.62,16.28,16.5,15.88,16.78,17.97,18.12,17.75,18.25,19.25,19.16,18.06,17.44,18.06,18.06,16.66,15.56,15.19,15.47,14.31,13.16,13.62,15.06,15.47,15.12,15.75,16.81,16.84,16.09,16.44,18.34,20.38,21.09,22.03,23.75,25.25,24.56,23.25,22.12,21.0,18.88,16.44,15.16,15.12,15.56,15.03,15.12,16.22,17.38,17.06,16.84,18.0,19.81,20.16,20.19,21.16,22.75,23.72,23.38,23.66,24.59,24.72,23.41,22.78,23.62,24.75,24.84,24.72,25.34,25.66,24.12,21.59,19.84,19.5,19.06,17.91,17.72,18.56,18.66,17.03,15.56,15.75,16.31,15.91,16.12,16.97,18.75,19.53,19.5,20.12,21.84,22.72,22.66,22.75,24.0,25.06,24.09,23.0,23.31,23.72,22.88,22.06,22.03,22.97,22.25,20.56,19.28,19.06,18.44,17.88,18.41,21.28,24.47,26.78,28.28,30.31,31.91,31.25,29.66,28.5,28.38,27.53,26.06,25.09,25.06,23.97,21.88,19.81,19.22,19.47,18.94,18.53,19.78,21.62,21.78,21.0,20.81,21.44,21.88,21.88,22.53,24.34,25.5,24.53,23.16,23.22,24.06,24.09,24.66,26.44,28.56,29.44,29.19,29.5,30.88,31.72,31.25,30.62,30.41,29.03,25.75,21.88,18.91,16.44,13.25,10.62,9.94,11.25,12.72,13.91,15.66,18.16,19.28,18.69,18.03,19.0,20.91,22.09,23.69,26.75,29.69,30.34,29.5,28.72,28.19,26.78,24.72,23.16,23.19,22.59,20.59,18.19,17.25,16.56,14.94,13.75,13.75,15.31,28.72,27.84,27.12,28.0,30.16,33.12,35.84,37.81,39.38,40.03,39.44,37.91,36.53,35.41,34.41,33.53,33.16,34.22,35.34,35.91,36.38,37.06,37.12,36.72,35.56,34.41,33.75,33.09:13.03,14.53,16.38,16.62,15.97,15.56,15.81,15.53,13.78,12.53,12.25,12.38,11.56,11.16,12.47,14.69,15.53,15.62,16.28,16.81,15.84,13.38,11.47,10.78,10.34,9.44,9.72,11.5,13.81,14.56,15.03,16.38,17.69,17.69,16.88,16.88,18.22,19.47,20.0,21.59,24.38,26.84,27.72,28.38,30.38,32.25,31.84,30.56,29.69,28.81,26.47,23.38,21.47,21.03,20.56,19.62,19.25,20.41,21.53,20.94,20.69,21.62,22.94,22.88,22.12,21.56,21.91,20.94,18.75,17.84,17.62,16.91,14.75,13.34,13.12,12.97,11.47,10.0,9.97,10.0,9.09,7.81,7.03,6.84,5.97,4.0,3.12,3.84,4.84,4.69,4.97,6.69,8.81,9.62,10.16,12.16,14.38,15.06,14.75,15.06,16.16,16.56,15.66,14.94,15.12,15.03,13.53,12.47,13.09,14.12,14.09,13.53,14.41,15.69,16.56,16.81,17.94,19.91,21.09,20.62,19.81,19.81,19.0,16.72,14.34,13.75,13.5,12.28,10.78,9.97,9.78,8.12,5.91,4.28,4.25,4.44,4.38,5.28,8.12,11.66,13.31,14.5,16.12,17.25,16.81,15.81,15.53,16.38,16.41,15.16,13.72,13.69,13.06,11.16,10.28,11.53,13.0,13.5,13.59,15.19,17.19,17.69,17.88,18.72,20.78,21.81,21.53,20.75,20.78,19.81,17.38,14.97,14.53,14.62,13.84,12.66,11.97,11.91,10.94,9.59,9.31,10.41,11.5,11.31,11.62,13.41,14.81,14.81,13.94,13.97,14.31,13.62,12.78,13.28,14.34,14.12,12.56,10.84,10.19,9.56,7.69,6.69,7.25,7.91,7.56,6.53,7.03,8.44,8.78,9.06,10.34,12.84,14.25,14.25,13.66,14.28,14.5,13.81,13.81,15.38,16.97,17.34,16.41,16.91,18.22,18.59,17.88,18.0,18.69,18.56,17.38,16.91,17.94,18.59,17.84,16.78,16.5,15.88,12.88,8.25,4.84,2.16,-1.03,-3.94,-4.94,-4.25,-3.06,-1.81,0.09,4.28,8.0,9.62,10.22,11.66,13.0,12.62,11.34,11.0,11.09,10.66,9.41,9.03,9.97,10.81,10.31,9.66,10.41,11.31,10.56,9.19,9.5,10.28,10.34,9.88,11.34,14.25,16.62,18.41,20.78,23.97,26.44,26.91,26.31,26.03,24.81,21.22,16.75,13.25,11.03,8.44,6.19,5.75,7.53,9.59,11.16,12.81,15.66,18.0,18.41,18.31,19.25,19.72,18.91,16.72,15.62,14.94,13.19,10.34,8.44,7.47,5.84,3.25,0.62,-0.47,-1.91,-4.22,-7.03,-8.0,-8.25,-8.88,-9.62,-8.78,-6.38,-4.19,-3.31,-2.19,-0.28,0.28,-0.62,-1.88,-1.56,-0.75,-0.91,-1.25,0.53,2.66,4.03,4.47,5.94,8.56,10.66,11.69,13.28,15.84,17.88,18.31,18.09,18.78,19.38,17.97,15.81,15.75,16.34,16.19,14.84,14.56,14.94,14.84,13.44,12.44,12.88,12.94,11.41,9.72,9.72,10.22,10.0,9.0,9.34,10.22,9.88,8.22,7.09,7.12,6.91,5.28,3.94,4.25,5.09,4.84,5.28,7.69,10.62,12.53,13.38,14.31,15.47,15.19,13.47,12.5,13.47,14.5,14.75,15.34,16.97,18.56,18.5,18.41,19.81,21.47,22.09,21.25,20.94,20.62,19.41,16.56,14.09,13.28,12.94,11.78,11.78,13.44,15.12,15.03,13.16,11.47,10.25,7.72,4.59,3.25,3.38,3.81,3.06,2.81,3.91,5.03,4.53,3.75,4.59,5.5,5.44,4.91,6.0,8.25,10.28,10.88,12.28,14.38,16.06,15.75,16.16,18.0,19.88,19.56,18.84,18.5,18.28,16.16,13.25,10.66,9.16,7.28,4.75,3.97,5.31,6.78,6.75,6.88,7.91,9.19,8.47,7.16,7.28,8.09,8.16,8.28,10.16,13.66,16.72,18.12,19.5,21.41,22.47,20.59,17.84,16.12,14.22,11.34,8.41,7.59,8.5,8.88,8.72,9.69,11.22,12.06,11.06,10.09,10.72,11.81,11.59,11.94,14.31,17.25,18.56,19.44,20.75,22.47,22.84,22.34,22.03,23.16,23.19,21.97,20.78,21.12,22.0,21.38,20.94,21.38,22.12,21.0,18.56,17.19,16.62,15.59,13.88,13.25,14.09,14.62,13.16,11.59,11.44,11.47,9.81,8.12,8.16,9.03,9.03,8.12,8.12,9.22,9.28,8.16,7.53,9.19,11.12,11.69,12.97,15.28,17.78,17.78,17.06,16.12,15.56,13.94,11.47,10.22,10.59,10.5,9.38,9.16,10.94,13.0,13.5,14.34,15.91,17.72,18.03,17.31,17.5,17.75,16.84,14.44,12.78,12.34,11.72,10.66,9.94,10.84,12.28,12.12,11.5,12.03,12.5,11.62,10.34,10.31,11.44,12.56,12.97,13.56,15.81,17.31,17.34,17.16,18.75,20.41,20.59,20.53,21.66,22.91,22.41,21.12,20.44,20.97,20.28,18.03,16.28,15.56,14.22,11.56,8.56,7.59,7.25,5.5,4.0,4.59,6.44,7.16,7.41,8.34,10.62,12.09,11.94,12.0,13.31,13.97,12.91,11.56,12.16,14.03,14.41,14.38,15.16,15.84,14.78,12.59,11.16,11.84,12.75,12.75,13.25,14.88,16.31,15.91,14.84,15.16,16.22,16.38,15.75,16.19,18.09,18.5,17.97,18.06,19.47,20.16,18.72,17.0,16.03,15.09,13.06,10.34,9.66,9.91,9.34,8.44,8.28,9.19,9.03,7.5,6.56,7.62,8.84,8.91,8.88,10.28,12.06,12.53,12.62,14.16,16.47,16.91,15.94,15.34,16.0,15.91,15.12,15.06,16.72,18.06,18.38,18.16,19.12,20.44,20.75,20.53,21.62,23.53,24.09,23.22,22.69,23.12,22.47,20.81,19.38,19.78,19.88,18.62,17.31,17.44,18.03,17.56,16.84,17.34,18.41,18.41,17.28,16.34,16.72,16.62,15.34,14.53,15.66,17.59,18.19,18.31,19.44,20.94,21.38,20.59,20.91,22.31,22.75,21.78,21.16,22.16,22.38,20.97,19.03,18.5,17.81,15.59,13.0,11.53,11.34,10.44,9.22,9.47,11.5,13.44,14.22,15.12,17.5,19.22,19.56,19.25,20.03,21.09,20.25,18.28,16.88,16.5,15.38,13.81,13.06,14.0,15.03,14.72,15.03,16.84,18.31,18.31,17.19,17.41,18.12,17.81,16.81,16.81,17.94,18.28,17.28,17.09,18.38,19.69,19.38,19.0,20.19,21.59,21.53,20.84,22.09,24.22,25.03,25.12,25.78,27.16,27.09,25.41,23.56,22.84,21.72,19.19,17.0,17.0,17.44,17.19,15.72,15.31,15.28,14.28,12.59,12.34,13.75,14.72,14.41,14.0,15.16,15.94,15.06,14.56,15.75,17.28,17.59,16.62,16.22,16.16,15.53,13.78,13.09,14.06,14.94,14.38,13.88,14.94,16.06,15.16,13.22,12.44,11.88,10.03,8.09,7.88,9.28,10.56,10.47,10.88,12.31,13.19,12.66,11.78,12.31,12.75,11.88,11.0,11.69,13.66,15.34,16.0,17.72,19.56,20.62,19.84,19.12,19.78,20.22,19.19,18.03,18.03,18.31,17.0,15.72,15.56,15.97,15.72,14.62,14.09,14.47,14.62,13.5,12.78,13.69,15.12,15.28,15.31,16.41,17.62,17.31,15.81,15.34,15.81,15.28,13.75,13.19,14.0,14.72,13.88,13.0,13.53,13.97,13.09,11.88,11.81,12.22,11.09,9.06,8.5,9.03,9.78,10.25,11.94,14.84,17.12,17.16,16.62,17.03,17.78,17.44,16.84,17.62,18.62,18.28,16.94,16.03,15.69,15.38,13.81,13.62,14.62,16.28,16.5,15.88,16.78,17.97,18.12,17.75,18.25,19.25,19.16,18.06,17.44,18.06,18.06,16.66,15.56,15.19,15.47,14.31,13.16,13.62,15.06,15.47,15.12,15.75,16.81,16.84,16.09,16.44,18.34,20.38,21.09,22.03,23.75,25.25,24.56,23.25,22.12,21.0,18.88,16.44,15.16,15.12,15.56,15.03,15.12,16.22,17.38,17.06,16.84,18.0,19.81,20.16,20.19,21.16,22.75,23.72,23.38,23.66,24.59,24.72,23.41,22.78,23.62,24.75,24.84,24.72,25.34,25.66,24.12,21.59,19.84,19.5,19.06,17.91,17.72,18.56,18.66,17.03,15.56,15.75,16.31,15.91,16.12,16.97,18.75,19.53,19.5,20.12,21.84,22.72,22.66,22.75,24.0,25.06,24.09,23.0,23.31,23.72,22.88,22.06,22.03,22.97,22.25,20.56,19.28,19.06,18.44,17.88,18.41,21.28,24.47,26.78,28.28,30.31,31.91,31.25,29.66,28.5,28.38,27.53,26.06,25.09,25.06,23.97,21.88,19.81,19.22,19.47,18.94,18.53,19.78,21.62,21.78,21.0,20.81,21.44,21.88,21.88,22.53,24.34,25.5,24.53,23.16,23.22,24.06,24.09,24.66,26.44,28.56,29.44,29.19,29.5,30.88,31.72,31.25,30.62,30.41,29.03,25.75,21.88,18.91,16.44,13.25,10.62,9.94,11.25,12.72,13.91,15.66,18.16,19.28,18.69,18.03,19.0,20.91,22.09,23.69,26.75,29.69,30.34,29.5,28.72,28.19,26.78,24.72,23.16,23.19,22.59,20.59,18.19,17.25,16.56,14.94,13.75,13.75,15.31,28.72,27.84,27.12,28.0,30.16,33.12,35.84,37.81,39.38,40.03,39.44,37.91,36.53,35.41,34.41,33.53,33.16,34.22,35.34,35.91,36.38,37.06,37.12,36.72,35.56,34.41,33.75,33.09,31.91,31.81,32.41,33.47,34.19,34.97,36.47:15.53,13.78,12.53,12.25,12.38,11.56,11.16,12.47,14.69,15.53,15.62,16.28,16.81,15.84,13.38,11.47,10.78,10.34,9.44,9.72,11.5,13.81,14.56,15.03,16.38,17.69,17.69,16.88,16.88,18.22,19.47,20.0,21.59,24.38,26.84,27.72,28.38,30.38,32.25,31.84,30.56,29.69,28.81,26.47,23.38,21.47,21.03,20.56,19.62,19.25,20.41,21.53,20.94,20.69,21.62,22.94,22.88,22.12,21.56,21.91,20.94,18.75,17.84,17.62,16.91,14.75,13.34,13.12,12.97,11.47,10.0,9.97,10.0,9.09,7.81,7.03,6.84,5.97,4.0,3.12,3.84,4.84,4.69,4.97,6.69,8.81,9.62,10.16,12.16,14.38,15.06,14.75,15.06,16.16,16.56,15.66,14.94,15.12,15.03,13.53,12.47,13.09,14.12,14.09,13.53,14.41,15.69,16.56,16.81,17.94,19.91,21.09,20.62,19.81,19.81,19.0,16.72,14.34,13.75,13.5,12.28,10.78,9.97,9.78,8.12,5.91,4.28,4.25,4.44,4.38,5.28,8.12,11.66,13.31,14.5,16.12,17.25,16.81,15.81,15.53,16.38,16.41,15.16,13.72,13.69,13.06,11.16,10.28,11.53,13.0,13.5,13.59,15.19,17.19,17.69,17.88,18.72,20.78,21.81,21.53,20.75,20.78,19.81,17.38,14.97,14.53,14.62,13.84,12.66,11.97,11.91,10.94,9.59,9.31,10.41,11.5,11.31,11.62,13.41,14.81,14.81,13.94,13.97,14.31,13.62,12.78,13.28,14.34,14.12,12.56,10.84,10.19,9.56,7.69,6.69,7.25,7.91,7.56,6.53,7.03,8.44,8.78,9.06,10.34,12.84,14.25,14.25,13.66,14.28,14.5,13.81,13.81,15.38,16.97,17.34,16.41,16.91,18.22,18.59,17.88,18.0,18.69,18.56,17.38,16.91,17.94,18.59,17.84,16.78,16.5,15.88,12.88,8.25,4.84,2.16,-1.03,-3.94,-4.94,-4.25,-3.06,-1.81,0.09,4.28,8.0,9.62,10.22,11.66,13.0,12.62,11.34,11.0,11.09,10.66,9.41,9.03,9.97,10.81,10.31,9.66,10.41,11.31,10.56,9.19,9.5,10.28,10.34,9.88,11.34,14.25,16.62,18.41,20.78,23.97,26.44,26.91,26.31,26.03,24.81,21.22,16.75,13.25,11.03,8.44,6.19,5.75,7.53,9.59,11.16,12.81,15.66,18.0,18.41,18.31,19.25,19.72,18.91,16.72,15.62,14.94,13.19,10.34,8.44,7.47,5.84,3.25,0.62,-0.47,-1.91,-4.22,-7.03,-8.0,-8.25,-8.88,-9.62,-8.78,-6.38,-4.19,-3.31,-2.19,-0.28,0.28,-0.62,-1.88,-1.56,-0.75,-0.91,-1.25,0.53,2.66,4.03,4.47,5.94,8.56,10.66,11.69,13.28,15.84,17.88,18.31,18.09,18.78,19.38,17.97,15.81,15.75,16.34,16.19,14.84,14.56,14.94,14.84,13.44,12.44,12.88,12.94,11.41,9.72,9.72,10.22,10.0,9.0,9.34,10.22,9.88,8.22,7.09,7.12,6.91,5.28,3.94,4.25,5.09,4.84,5.28,7.69,10.62,12.53,13.38,14.31,15.47,15.19,13.47,12.5,13.47,14.5,14.75,15.34,16.97,18.56,18.5,18.41,19.81,21.47,22.09,21.25,20.94,20.62,19.41,16.56,14.09,13.28,12.94,11.78,11.78,13.44,15.12,15.03,13.16,11.47,10.25,7.72,4.59,3.25,3.38,3.81,3.06,2.81,3.91,5.03,4.53,3.75,4.59,5.5,5.44,4.91,6.0,8.25,10.28,10.88,12.28,14.38,16.06,15.75,16.16,18.0,19.88,19.56,18.84,18.5,18.28,16.16,13.25,10.66,9.16,7.28,4.75,3.97,5.31,6.78,6.75,6.88,7.91,9.19,8.47,7.16,7.28,8.09,8.16,8.28,10.16,13.66,16.72,18.12,19.5,21.41,22.47,20.59,17.84,16.12,14.22,11.34,8.41,7.59,8.5,8.88,8.72,9.69,11.22,12.06,11.06,10.09,10.72,11.81,11.59,11.94,14.31,17.25,18.56,19.44,20.75,22.47,22.84,22.34,22.03,23.16,23.19,21.97,20.78,21.12,22.0,21.38,20.94,21.38,22.12,21.0,18.56,17.19,16.62,15.59,13.88,13.25,14.09,14.62,13.16,11.59,11.44,11.47,9.81,8.12,8.16,9.03,9.03,8.12,8.12,9.22,9.28,8.16,7.53,9.19,11.12,11.69,12.97,15.28,17.78,17.78,17.06,16.12,15.56,13.94,11.47,10.22,10.59,10.5,9.38,9.16,10.94,13.0,13.5,14.34,15.91,17.72,18.03,17.31,17.5,17.75,16.84,14.44,12.78,12.34,11.72,10.66,9.94,10.84,12.28,12.12,11.5,12.03,12.5,11.62,10.34,10.31,11.44,12.56,12.97,13.56,15.81,17.31,17.34,17.16,18.75,20.41,20.59,20.53,21.66,22.91,22.41,21.12,20.44,20.97,20.28,18.03,16.28,15.56,14.22,11.56,8.56,7.59,7.25,5.5,4.0,4.59,6.44,7.16,7.41,8.34,10.62,12.09,11.94,12.0,13.31,13.97,12.91,11.56,12.16,14.03,14.41,14.38,15.16,15.84,14.78,12.59,11.16,11.84,12.75,12.75,13.25,14.88,16.31,15.91,14.84,15.16,16.22,16.38,15.75,16.19,18.09,18.5,17.97,18.06,19.47,20.16,18.72,17.0,16.03,15.09,13.06,10.34,9.66,9.91,9.34,8.44,8.28,9.19,9.03,7.5,6.56,7.62,8.84,8.91,8.88,10.28,12.06,12.53,12.62,14.16,16.47,16.91,15.94,15.34,16.0,15.91,15.12,15.06,16.72,18.06,18.38,18.16,19.12,20.44,20.75,20.53,21.62,23.53,24.09,23.22,22.69,23.12,22.47,20.81,19.38,19.78,19.88,18.62,17.31,17.44,18.03,17.56,16.84,17.34,18.41,18.41,17.28,16.34,16.72,16.62,15.34,14.53,15.66,17.59,18.19,18.31,19.44,20.94,21.38,20.59,20.91,22.31,22.75,21.78,21.16,22.16,22.38,20.97,19.03,18.5,17.81,15.59,13.0,11.53,11.34,10.44,9.22,9.47,11.5,13.44,14.22,15.12,17.5,19.22,19.56,19.25,20.03,21.09,20.25,18.28,16.88,16.5,15.38,13.81,13.06,14.0,15.03,14.72,15.03,16.84,18.31,18.31,17.19,17.41,18.12,17.81,16.81,16.81,17.94,18.28,17.28,17.09,18.38,19.69,19.38,19.0,20.19,21.59,21.53,20.84,22.09,24.22,25.03,25.12,25.78,27.16,27.09,25.41,23.56,22.84,21.72,19.19,17.0,17.0,17.44,17.19,15.72,15.31,15.28,14.28,12.59,12.34,13.75,14.72,14.41,14.0,15.16,15.94,15.06,14.56,15.75,17.28,17.59,16.62,16.22,16.16,15.53,13.78,13.09,14.06,14.94,14.38,13.88,14.94,16.06,15.16,13.22,12.44,11.88,10.03,8.09,7.88,9.28,10.56,10.47,10.88,12.31,13.19,12.66,11.78,12.31,12.75,11.88,11.0,11.69,13.66,15.34,16.0,17.72,19.56,20.62,19.84,19.12,19.78,20.22,19.19,18.03,18.03,18.31,17.0,15.72,15.56,15.97,15.72,14.62,14.09,14.47,14.62,13.5,12.78,13.69,15.12,15.28,15.31,16.41,17.62,17.31,15.81,15.34,15.81,15.28,13.75,13.19,14.0,14.72,13.88,13.0,13.53,13.97,13.09,11.88,11.81,12.22,11.09,9.06,8.5,9.03,9.78,10.25,11.94,14.84,17.12,17.16,16.62,17.03,17.78,17.44,16.84,17.62,18.62,18.28,16.94,16.03,15.69,15.38,13.81,13.62,14.62,16.28,16.5,15.88,16.78,17.97,18.12,17.75,18.25,19.25,19.16,18.06,17.44,18.06,18.06,16.66,15.56,15.19,15.47,14.31,13.16,13.62,15.06,15.47,15.12,15.75,16.81,16.84,16.09,16.44,18.34,20.38,21.09,22.03,23.75,25.25,24.56,23.25,22.12,21.0,18.88,16.44,15.16,15.12,15.56,15.03,15.12,16.22,17.38,17.06,16.84,18.0,19.81,20.16,20.19,21.16,22.75,23.72,23.38,23.66,24.59,24.72,23.41,22.78,23.62,24.75,24.84,24.72,25.34,25.66,24.12,21.59,19.84,19.5,19.06,17.91,17.72,18.56,18.66,17.03,15.56,15.75,16.31,15.91,16.12,16.97,18.75,19.53,19.5,20.12,21.84,22.72,22.66,22.75,24.0,25.06,24.09,23.0,23.31,23.72,22.88,22.06,22.03,22.97,22.25,20.56,19.28,19.06,18.44,17.88,18.41,21.28,24.47,26.78,28.28,30.31,31.91,31.25,29.66,28.5,28.38,27.53,26.06,25.09,25.06,23.97,21.88,19.81,19.22,19.47,18.94,18.53,19.78,21.62,21.78,21.0,20.81,21.44,21.88,21.88,22.53,24.34,25.5,24.53,23.16,23.22,24.06,24.09,24.66,26.44,28.56,29.44,29.19,29.5,30.88,31.72,31.25,30.62,30.41,29.03,25.75,21.88,18.91,16.44,13.25,10.62,9.94,11.25,12.72,13.91,15.66,18.16,19.28,18.69,18.03,19.0,20.91,22.09,23.69,26.75,29.69,30.34,29.5,28.72,28.19,26.78,24.72,23.16,23.19,22.59,20.59,18.19,17.25,16.56,14.94,13.75,13.75,15.31,28.72,27.84,27.12,28.0,30.16,33.12,35.84,37.81,39.38,40.03,39.44,37.91,36.53,35.41,34.41,33.53,33.16,34.22,35.34,35.91,36.38,37.06,37.12,36.72,35.56,34.41,33.75,33.09,31.91,31.81,32.41,33.47,34.19,34.97,36.47,37.84,38.12,38.25,38.31,38.47,38.44,37.91:positivity
18.88,21.31,24.38,24.88,24.41,24.72,26.62,26.66,25.12,24.56,25.97,26.22,23.88,21.28,20.84,20.75,18.94,17.34,18.5,21.0,21.28,20.12,20.19,21.38,21.59,20.09,19.66,21.47,22.78,22.0,21.0,22.66,24.78,24.72,23.84,24.5,25.88,25.0,22.47,21.28,21.88,21.72,20.03,18.94,20.81,22.44,22.06,21.28,22.72,23.94,22.81,20.78,19.88,21.06,20.38,18.22,17.47,18.53,19.41,18.56,18.81,21.25,23.56,22.88,20.75,20.03,19.75,17.94,15.09,14.28,15.5,15.5,13.81,13.03,14.34,15.41,14.34,13.03,14.06,15.09,13.84,11.31,10.72,11.16,10.56,8.84,8.91,11.06,12.12,10.75,9.38,10.41,11.34,10.34,9.5,11.25,14.06,14.72,14.44,15.62,17.47,16.84,14.16,11.94,11.53,11.03,9.81,9.91,13.88,18.19,20.12,20.25,20.97,21.03,18.47,14.78,13.78,15.0,15.66,15.06,15.19,17.06,18.06,16.5,14.91,16.06,17.66,17.62,16.66,17.91,19.75,19.19,16.28,14.25,13.69,12.03,8.56,5.72,5.88,5.72,3.97,2.53,4.72,8.47,10.78,12.44,16.16,20.19,21.81,20.81,20.16,20.22,19.44,16.47,13.66,13.41,13.38,11.06,8.56,8.84,10.69,11.31,11.22,13.56,17.59,20.5,21.22,22.88,25.94,27.75,27.25,26.09,27.22,28.56,27.84,26.28,26.75,27.81,26.38,22.53,19.97,18.03,15.62,11.25,8.41,8.62,9.38,8.62,8.22,10.72,14.03,15.03,15.25,17.59,21.28,23.75,24.66,27.5,31.97,35.47,35.75,36.22,38.16,39.12,36.84,33.78,32.78,32.09,29.41,25.97,24.31,24.72,23.91,21.47,20.0,20.03,19.72,16.41,14.03,14.44,15.47,14.44,13.25,14.41,16.97,17.84,17.84,19.75,23.34,25.53,24.81,24.53,25.44,25.44,23.0,20.47,19.78,19.75,17.47,14.41,14.16,15.31,15.94,14.97,16.06,19.19,21.06,21.0,21.75,25.44,29.25,31.06,32.22,34.62,36.81,35.19,31.81,29.75,29.44,27.94,25.06,23.66,23.94,23.38,19.53,16.34,15.69,15.25,12.62,10.28,10.16,11.22,10.47,8.06,7.62,8.66,8.59,6.78,6.81,9.16,11.28,10.81,10.88,13.31,16.56,17.59,18.47,21.5,25.72,28.19,28.84,30.03,32.66,33.25,30.84,28.5,28.44,27.66,24.41,21.28,20.66,21.22,19.94,18.5,18.88,20.47,20.44,18.66,18.25,20.34,22.59,22.0,22.0,23.94,25.66,24.5,22.88,23.38,24.47,22.88,19.56,17.69,17.0,15.06,11.34,9.38,10.19,11.12,10.31,10.47,12.97,15.97,16.75,16.84,19.0,22.34,23.75,23.47,24.53,27.28,28.19,26.78,25.34,26.0,26.16,23.41,20.56,20.16,20.81,19.22,17.22,17.75,19.47,19.94,18.81,18.59,20.47,20.62,17.97,15.75,15.66,16.22,14.12,11.94,12.66,14.56,14.38,13.56,14.78,17.62,18.44,17.41,17.0,18.53,19.31,17.97,17.34,19.28,21.56,21.41,20.81,22.38,24.69,25.19,24.09,24.53,26.19,26.53,24.81,23.34,24.38,24.78,23.19,21.69,22.69,23.34,21.59,18.81,17.91,19.03,18.22,16.03,15.25,16.25,16.09,14.5,13.53,15.69,17.44,16.47,14.91,15.84,17.38,16.19,13.81,13.38,14.22,13.31,11.34,10.75,12.38,12.78,10.62,8.94,9.22,9.19,6.97,4.12,3.47,4.25,3.28,1.56,2.06,5.0,6.56,7.03,8.47,12.34,15.31,15.5,15.03,16.72,18.53,18.09,16.88,18.03,20.16,19.62,17.25,15.66,15.81,14.44,11.38,9.41,10.09,11.03,9.94,8.94,10.81,13.16,13.12,12.0,12.41,13.94,13.62,11.94,11.62,13.31,13.69,11.56,9.28,9.38,9.22,7.16,5.0,5.0,6.69,6.56,5.31,7.06,11.0,14.34,16.25,18.94,23.12,25.22,23.53,20.66,19.25,17.53,13.62,9.25,8.06,7.91,6.56,3.91,3.5,5.09,6.0,5.72,6.69,10.81,14.22,15.31,15.91,18.22,20.25,19.53,17.47,17.41,18.12,17.0,14.5,13.28,13.94,13.47,10.56,8.09,7.94,7.88,5.84,4.12,5.56,8.03,8.78,8.69,10.41,12.97,14.44,13.78,13.72,16.19,18.06,17.25,16.59,18.12,19.41,17.66,14.25,12.88,12.03,9.25,5.03,3.06,3.16,2.53,0.41,-0.19,2.19,4.66,5.31,6.53,10.31,14.38,15.94,16.0,17.62,20.0,20.72,19.81,20.44,22.59,23.66,22.19,21.09,22.0,22.78,21.0,18.94,19.34,20.69,19.94,18.41,19.0,20.34,19.66,17.0,14.84,14.09,13.34,10.44,8.5,9.72,11.62,11.16,10.53,12.34,14.25,14.12,12.06,11.47,11.88,10.91,8.31,7.31,8.91,10.84,10.53,10.44,12.19,13.59,12.91,11.78,12.53,14.06,13.53,10.97,8.69,7.94,6.5,3.44,1.81,3.5,5.59,5.56,5.75,8.19,11.28,12.16,12.03,13.19,14.38,13.75,10.78,9.5,10.09,10.78,9.16,8.34,9.78,11.59,11.06,10.69,12.47,15.19,15.47,14.03,13.94,14.38,13.75,10.84,8.81,8.94,8.38,5.16,2.41,2.53,3.22,2.34,0.88,1.5,3.03,2.66,1.22,1.44,3.31,4.59,3.94,4.06,6.06,7.66,6.59,4.88,5.31,6.72,6.09,5.53,7.09,10.06,11.94,11.69,12.25,13.97,14.53,12.53,11.22,12.03,13.25,12.03,10.06,10.47,11.91,11.41,9.88,9.94,11.28,11.16,9.0,7.97,9.31,10.81,10.0,9.31,11.09,13.25,13.09,12.19,13.78,16.31,16.62,15.06,14.09,14.12,12.72,9.31,7.16,7.66,8.62,7.84,7.44,9.16,11.62,11.84,11.34,12.19,14.62,14.97,13.44,12.47,12.5,11.25,7.53,4.69,4.53,5.38,4.44,3.5,4.19,5.69,4.66,2.41,2.5,5.06,6.81,7.88,9.72,13.28,15.56,14.75,13.81,14.81,15.53,13.81,11.44,10.59,10.41,8.09,4.25,1.81,1.28,0.59,-1.06,-1.44,1.16,3.5,3.09,2.09,3.19,4.69,3.91,2.16,2.44,3.94,3.41,1.84,1.69,3.44,4.88,4.47,4.59,7.41,9.84,9.81,9.09,9.75,10.72,9.22,6.66,5.09,5.41,4.41,1.91,0.25,0.41,-0.06,-2.41,-4.59,-4.12,-2.5,-2.47,-2.84,-1.25,1.91,3.03,2.66,3.38,5.62,5.97,4.88,4.28,5.97,7.34,6.41,5.28,6.31,7.66,6.81,5.06,4.88,6.03,5.59,3.69,2.78,4.41,5.44,5.47,5.88,9.22,13.0,14.25,15.0,17.12,19.5,18.84,16.19,14.22,13.5,11.22,7.97,5.78,6.19,6.16,4.44,2.75,3.66,5.09,5.0,4.34,5.56,8.0,8.91,8.81,10.91,15.38,18.5,19.38,19.78,21.47,21.41,18.62,15.16,14.0,13.5,11.56,8.94,9.0,10.53,10.56,9.44,9.62,11.19,11.69,9.88,7.75,8.03,8.16,5.97,3.84,4.22,5.56,5.53,4.88,6.78,10.72,13.28,13.72,14.5,16.81,17.75,16.0,14.69,15.94,17.28,16.12,13.88,13.47,13.5,11.34,8.12,6.78,8.12,8.78,8.31,9.12,12.28,15.41,16.09,16.31,18.88,21.38,21.34,20.03,20.41,21.56,20.81,18.53,17.22,18.0,17.25,14.62,11.97,11.81,11.91,10.25,8.94,10.38,12.66,12.97,11.75,11.97,13.28,13.22,11.31,10.34,11.91,12.69,10.88,9.53,10.31,11.62,11.34,10.97,13.66,16.88,17.97,16.56,15.97,16.41,15.78,13.47,12.28,13.12,13.44,11.44,9.25,9.44,10.28,8.97,7.06,7.53,9.25,10.03,9.19,10.03,12.66,14.16,13.53,13.62,16.09,18.53,18.75,18.44,20.31,22.41,22.16,20.75,21.25,23.12,23.53,21.56,20.34,20.22,18.69,15.06,12.41,13.03,14.69,15.0,15.28,17.44,20.78,21.94,21.19,21.75,22.84,22.34,19.53,17.88,18.75,20.72,21.44,23.25,28.16,33.16,35.25,35.84,37.34,38.53,36.88,32.53,29.16,27.0,24.5,19.69,15.84,14.38,12.19,7.56,2.66,1.31,1.94,2.09,2.41,6.19,11.69,16.53,19.44,23.72,29.44,34.06,35.53,36.62,39.53,41.97,41.03,38.41,36.81,35.16,31.19,26.31,23.47,22.81,21.81,19.03,17.66,18.72,19.88,18.53,17.06,17.22,17.28,14.44,10.22,8.53,8.84,8.56,7.75,9.38,13.34,16.22,16.69,17.28,19.41,20.88,19.19,16.84,16.28,16.03,13.28,9.56,7.94,8.56,8.28,6.28,6.03,8.06,9.75,9.28,9.53,12.09,14.75,14.62,14.25,16.0,18.5,18.34,16.72,15.75,16.16,15.34,12.41,10.62,10.94,10.81,8.28,6.62,8.06,10.09,9.81,9.06,10.06,11.66,11.34,9.66,9.44,10.84,11.09,8.97,7.09,7.59,8.25,6.56,5.44,7.09,9.47,9.69,8.81,9.84,12.19,12.28,10.56,10.03,11.0,11.28,9.16,7.56,8.44,9.03,6.97,4.72,4.81,6.59,6.75,6.69,8.5,12.38,14.47,14.25,15.03,17.0,18.31,16.5,14.59,14.75,14.81,12.16,8.72,7.94,8.69,8.28,7.47,8.5,11.53,13.34,12.66,12.59,14.47,15.97,14.66,12.91,13.31,13.69:26.66,25.12,24.56,25.97,26.22,23.88,21.28,20.84,20.75,18.94,17.34,18.5,21.0,21.28,20.12,20.19,21.38,21.59,20.09,19.66,21.47,22.78,22.0,21.0,22.66,24.78,24.72,23.84,24.5,25.88,25.0,22.47,21.28,21.88,21.72,20.03,18.94,20.81,22.44,22.06,21.28,22.72,23.94,22.81,20.78,19.88,21.06,20.38,18.22,17.47,18.53,19.41,18.56,18.81,21.25,23.56,22.88,20.75,20.03,19.75,17.94,15.09,14.28,15.5,15.5,13.81,13.03,14.34,15.41,14.34,13.03,14.06,15.09,13.84,11.31,10.72,11.16,10.56,8.84,8.91,11.06,12.12,10.75,9.38,10.41,11.34,10.34,9.5,11.25,14.06,14.72,14.44,15.62,17.47,16.84,14.16,11.94,11.53,11.03,9.81,9.91,13.88,18.19,20.12,20.25,20.97,21.03,18.47,14.78,13.78,15.0,15.66,15.06,15.19,17.06,18.06,16.5,14.91,16.06,17.66,17.62,16.66,17.91,19.75,19.19,16.28,14.25,13.69,12.03,8.56,5.72,5.88,5.72,3.97,2.53,4.72,8.47,10.78,12.44,16.16,20.19,21.81,20.81,20.16,20.22,19.44,16.47,13.66,13.41,13.38,11.06,8.56,8.84,10.69,11.31,11.22,13.56,17.59,20.5,21.22,22.88,25.94,27.75,27.25,26.09,27.22,28.56,27.84,26.28,26.75,27.81,26.38,22.53,19.97,18.03,15.62,11.25,8.41,8.62,9.38,8.62,8.22,10.72,14.03,15.03,15.25,17.59,21.28,23.75,24.66,27.5,31.97,35.47,35.75,36.22,38.16,39.12,36.84,33.78,32.78,32.09,29.41,25.97,24.31,24.72,23.91,21.47,20.0,20.03,19.72,16.41,14.03,14.44,15.47,14.44,13.25,14.41,16.97,17.84,17.84,19.75,23.34,25.53,24.81,24.53,25.44,25.44,23.0,20.47,19.78,19.75,17.47,14.41,14.16,15.31,15.94,14.97,16.06,19.19,21.06,21.0,21.75,25.44,29.25,31.06,32.22,34.62,36.81,35.19,31.81,29.75,29.44,27.94,25.06,23.66,23.94,23.38,19.53,16.34,15.69,15.25,12.62,10.28,10.16,11.22,10.47,8.06,7.62,8.66,8.59,6.78,6.81,9.16,11.28,10.81,10.88,13.31,16.56,17.59,18.47,21.5,25.72,28.19,28.84,30.03,32.66,33.25,30.84,28.5,28.44,27.66,24.41,21.28,20.66,21.22,19.94,18.5,18.88,20.47,20.44,18.66,18.25,20.34,22.59,22.0,22.0,23.94,25.66,24.5,22.88,23.38,24.47,22.88,19.56,17.69,17.0,15.06,11.34,9.38,10.19,11.12,10.31,10.47,12.97,15.97,16.75,16.84,19.0,22.34,23.75,23.47,24.53,27.28,28.19,26.78,25.34,26.0,26.16,23.41,20.56,20.16,20.81,19.22,17.22,17.75,19.47,19.94,18.81,18.59,20.47,20.62,17.97,15.75,15.66,16.22,14.12,11.94,12.66,14.56,14.38,13.56,14.78,17.62,18.44,17.41,17.0,18.53,19.31,17.97,17.34,19.28,21.56,21.41,20.81,22.38,24.69,25.19,24.09,24.53,26.19,26.53,24.81,23.34,24.38,24.78,23.19,21.69,22.69,23.34,21.59,18.81,17.91,19.03,18.22,16.03,15.25,16.25,16.09,14.5,13.53,15.69,17.44,16.47,14.91,15.84,17.38,16.19,13.81,13.38,14.22,13.31,11.34,10.75,12.38,12.78,10.62,8.94,9.22,9.19,6.97,4.12,3.47,4.25,3.28,1.56,2.06,5.0,6.56,7.03,8.47,12.34,15.31,15.5,15.03,16.72,18.53,18.09,16.88,18.03,20.16,19.62,17.25,15.66,15.81,14.44,11.38,9.41,10.09,11.03,9.94,8.94,10.81,13.16,13.12,12.0,12.41,13.94,13.62,11.94,11.62,13.31,13.69,11.56,9.28,9.38,9.22,7.16,5.0,5.0,6.69,6.56,5.31,7.06,11.0,14.34,16.25,18.94,23.12,25.22,23.53,20.66,19.25,17.53,13.62,9.25,8.06,7.91,6.56,3.91,3.5,5.09,6.0,5.72,6.69,10.81,14.22,15.31,15.91,18.22,20.25,19.53,17.47,17.41,18.12,17.0,14.5,13.28,13.94,13.47,10.56,8.09,7.94,7.88,5.84,4.12,5.56,8.03,8.78,8.69,10.41,12.97,14.44,13.78,13.72,16.19,18.06,17.25,16.59,18.12,19.41,17.66,14.25,12.88,12.03,9.25,5.03,3.06,3.16,2.53,0.41,-0.19,2.19,4.66,5.31,6.53,10.31,14.38,15.94,16.0,17.62,20.0,20.72,19.81,20.44,22.59,23.66,22.19,21.09,22.0,22.78,21.0,18.94,19.34,20.69,19.94,18.41,19.0,20.34,19.66,17.0,14.84,14.09,13.34,10.44,8.5,9.72,11.62,11.16,10.53,12.34,14.25,14.12,12.06,11.47,11.88,10.91,8.31,7.31,8.91,10.84,10.53,10.44,12.19,13.59,12.91,11.78,12.53,14.06,13.53,10.97,8.69,7.94,6.5,3.44,1.81,3.5,5.59,5.56,5.75,8.19,11.28,12.16,12.03,13.19,14.38,13.75,10.78,9.5,10.09,10.78,9.16,8.34,9.78,11.59,11.06,10.69,12.47,15.19,15.47,14.03,13.94,14.38,13.75,10.84,8.81,8.94,8.38,5.16,2.41,2.53,3.22,2.34,0.88,1.5,3.03,2.66,1.22,1.44,3.31,4.59,3.94,4.06,6.06,7.66,6.59,4.88,5.31,6.72,6.09,5.53,7.09,10.06,11.94,11.69,12.25,13.97,14.53,12.53,11.22,12.03,13.25,12.03,10.06,10.47,11.91,11.41,9.88,9.94,11.28,11.16,9.0,7.97,9.31,10.81,10.0,9.31,11.09,13.25,13.09,12.19,13.78,16.31,16.62,15.06,14.09,14.12,12.72,9.31,7.16,7.66,8.62,7.84,7.44,9.16,11.62,11.84,11.34,12.19,14.62,14.97,13.44,12.47,12.5,11.25,7.53,4.69,4.53,5.38,4.44,3.5,4.19,5.69,4.66,2.41,2.5,5.06,6.81,7.88,9.72,13.28,15.56,14.75,13.81,14.81,15.53,13.81,11.44,10.59,10.41,8.09,4.25,1.81,1.28,0.59,-1.06,-1.44,1.16,3.5,3.09,2.09,3.19,4.69,3.91,2.16,2.44,3.94,3.41,1.84,1.69,3.44,4.88,4.47,4.59,7.41,9.84,9.81,9.09,9.75,10.72,9.22,6.66,5.09,5.41,4.41,1.91,0.25,0.41,-0.06,-2.41,-4.59,-4.12,-2.5,-2.47,-2.84,-1.25,1.91,3.03,2.66,3.38,5.62,5.97,4.88,4.28,5.97,7.34,6.41,5.28,6.31,7.66,6.81,5.06,4.88,6.03,5.59,3.69,2.78,4.41,5.44,5.47,5.88,9.22,13.0,14.25,15.0,17.12,19.5,18.84,16.19,14.22,13.5,11.22,7.97,5.78,6.19,6.16,4.44,2.75,3.66,5.09,5.0,4.34,5.56,8.0,8.91,8.81,10.91,15.38,18.5,19.38,19.78,21.47,21.41,18.62,15.16,14.0,13.5,11.56,8.94,9.0,10.53,10.56,9.44,9.62,11.19,11.69,9.88,7.75,8.03,8.16,5.97,3.84,4.22,5.56,5.53,4.88,6.78,10.72,13.28,13.72,14.5,16.81,17.75,16.0,14.69,15.94,17.28,16.12,13.88,13.47,13.5,11.34,8.12,6.78,8.12,8.78,8.31,9.12,12.28,15.41,16.09,16.31,18.88,21.38,21.34,20.03,20.41,21.56,20.81,18.53,17.22,18.0,17.25,14.62,11.97,11.81,11.91,10.25,8.94,10.38,12.66,12.97,11.75,11.97,13.28,13.22,11.31,10.34,11.91,12.69,10.88,9.53,10.31,11.62,11.34,10.97,13.66,16.88,17.97,16.56,15.97,16.41,15.78,13.47,12.28,13.12,13.44,11.44,9.25,9.44,10.28,8.97,7.06,7.53,9.25,10.03,9.19,10.03,12.66,14.16,13.53,13.62,16.09,18.53,18.75,18.44,20.31,22.41,22.16,20.75,21.25,23.12,23.53,21.56,20.34,20.22,18.69,15.06,12.41,13.03,14.69,15.0,15.28,17.44,20.78,21.94,21.19,21.75,22.84,22.34,19.53,17.88,18.75,20.72,21.44,23.25,28.16,33.16,35.25,35.84,37.34,38.53,36.88,32.53,29.16,27.0,24.5,19.69,15.84,14.38,12.19,7.56,2.66,1.31,1.94,2.09,2.41,6.19,11.69,16.53,19.44,23.72,29.44,34.06,35.53,36.62,39.53,41.97,41.03,38.41,36.81,35.16,31.19,26.31,23.47,22.81,21.81,19.03,17.66,18.72,19.88,18.53,17.06,17.22,17.28,14.44,10.22,8.53,8.84,8.56,7.75,9.38,13.34,16.22,16.69,17.28,19.41,20.88,19.19,16.84,16.28,16.03,13.28,9.56,7.94,8.56,8.28,6.28,6.03,8.06,9.75,9.28,9.53,12.09,14.75,14.62,14.25,16.0,18.5,18.34,16.72,15.75,16.16,15.34,12.41,10.62,10.94,10.81,8.28,6.62,8.06,10.09,9.81,9.06,10.06,11.66,11.34,9.66,9.44,10.84,11.09,8.97,7.09,7.59,8.25,6.56,5.44,7.09,9.47,9.69,8.81,9.84,12.19,12.28,10.56,10.03,11.0,11.28,9.16,7.56,8.44,9.03,6.97,4.72,4.81,6.59,6.75,6.69,8.5,12.38,14.47,14.25,15.03,17.0,18.31,16.5,14.59,14.75,14.81,12.16,8.72,7.94,8.69,8.28,7.47,8.5,11.53,13.34,12.66,12.59,14.47,15.97,14.66,12.91,13.31,13.69,43.41,45.34,47.31,47.5,46.59,46.22,47.03:20.84,20.75,18.94,17.34,18.5,21.0,21.28,20.12,20.19,21.38,21.59,20.09,19.66,21.47,22.78,22.0,21.0,22.66,24.78,24.72,23.84,24.5,25.88,25.0,22.47,21.28,21.88,21.72,20.03,18.94,20.81,22.44,22.06,21.28,22.72,23.94,22.81,20.78,19.88,21.06,20.38,18.22,17.47,18.53,19.41,18.56,18.81,21.25,23.56,22.88,20.75,20.03,19.75,17.94,15.09,14.28,15.5,15.5,13.81,13.03,14.34,15.41,14.34,13.03,14.06,15.09,13.84,11.31,10.72,11.16,10.56,8.84,8.91,11.06,12.12,10.75,9.38,10.41,11.34,10.34,9.5,11.25,14.06,14.72,14.44,15.62,17.47,16.84,14.16,11.94,11.53,11.03,9.81,9.91,13.88,18.19,20.12,20.25,20.97,21.03,18.47,14.78,13.78,15.0,15.66,15.06,15.19,17.06,18.06,16.5,14.91,16.06,17.66,17.62,16.66,17.91,19.75,19.19,16.28,14.25,13.69,12.03,8.56,5.72,5.88,5.72,3.97,2.53,4.72,8.47,10.78,12.44,16.16,20.19,21.81,20.81,20.16,20.22,19.44,16.47,13.66,13.41,13.38,11.06,8.56,8.84,10.69,11.31,11.22,13.56,17.59,20.5,21.22,22.88,25.94,27.75,27.25,26.09,27.22,28.56,27.84,26.28,26.75,27.81,26.38,22.53,19.97,18.03,15.62,11.25,8.41,8.62,9.38,8.62,8.22,10.72,14.03,15.03,15.25,17.59,21.28,23.75,24.66,27.5,31.97,35.47,35.75,36.22,38.16,39.12,36.84,33.78,32.78,32.09,29.41,25.97,24.31,24.72,23.91,21.47,20.0,20.03,19.72,16.41,14.03,14.44,15.47,14.44,13.25,14.41,16.97,17.84,17.84,19.75,23.34,25.53,24.81,24.53,25.44,25.44,23.0,20.47,19.78,19.75,17.47,14.41,14.16,15.31,15.94,14.97,16.06,19.19,21.06,21.0,21.75,25.44,29.25,31.06,32.22,34.62,36.81,35.19,31.81,29.75,29.44,27.94,25.06,23.66,23.94,23.38,19.53,16.34,15.69,15.25,12.62,10.28,10.16,11.22,10.47,8.06,7.62,8.66,8.59,6.78,6.81,9.16,11.28,10.81,10.88,13.31,16.56,17.59,18.47,21.5,25.72,28.19,28.84,30.03,32.66,33.25,30.84,28.5,28.44,27.66,24.41,21.28,20.66,21.22,19.94,18.5,18.88,20.47,20.44,18.66,18.25,20.34,22.59,22.0,22.0,23.94,25.66,24.5,22.88,23.38,24.47,22.88,19.56,17.69,17.0,15.06,11.34,9.38,10.19,11.12,10.31,10.47,12.97,15.97,16.75,16.84,19.0,22.34,23.75,23.47,24.53,27.28,28.19,26.78,25.34,26.0,26.16,23.41,20.56,20.16,20.81,19.22,17.22,17.75,19.47,19.94,18.81,18.59,20.47,20.62,17.97,15.75,15.66,16.22,14.12,11.94,12.66,14.56,14.38,13.56,14.78,17.62,18.44,17.41,17.0,18.53,19.31,17.97,17.34,19.28,21.56,21.41,20.81,22.38,24.69,25.19,24.09,24.53,26.19,26.53,24.81,23.34,24.38,24.78,23.19,21.69,22.69,23.34,21.59,18.81,17.91,19.03,18.22,16.03,15.25,16.25,16.09,14.5,13.53,15.69,17.44,16.47,14.91,15.84,17.38,16.19,13.81,13.38,14.22,13.31,11.34,10.75,12.38,12.78,10.62,8.94,9.22,9.19,6.97,4.12,3.47,4.25,3.28,1.56,2.06,5.0,6.56,7.03,8.47,12.34,15.31,15.5,15.03,16.72,18.53,18.09,16.88,18.03,20.16,19.62,17.25,15.66,15.81,14.44,11.38,9.41,10.09,11.03,9.94,8.94,10.81,13.16,13.12,12.0,12.41,13.94,13.62,11.94,11.62,13.31,13.69,11.56,9.28,9.38,9.22,7.16,5.0,5.0,6.69,6.56,5.31,7.06,11.0,14.34,16.25,18.94,23.12,25.22,23.53,20.66,19.25,17.53,13.62,9.25,8.06,7.91,6.56,3.91,3.5,5.09,6.0,5.72,6.69,10.81,14.22,15.31,15.91,18.22,20.25,19.53,17.47,17.41,18.12,17.0,14.5,13.28,13.94,13.47,10.56,8.09,7.94,7.88,5.84,4.12,5.56,8.03,8.78,8.69,10.41,12.97,14.44,13.78,13.72,16.19,18.06,17.25,16.59,18.12,19.41,17.66,14.25,12.88,12.03,9.25,5.03,3.06,3.16,2.53,0.41,-0.19,2.19,4.66,5.31,6.53,10.31,14.38,15.94,16.0,17.62,20.0,20.72,19.81,20.44,22.59,23.66,22.19,21.09,22.0,22.78,21.0,18.94,19.34,20.69,19.94,18.41,19.0,20.34,19.66,17.0,14.84,14.09,13.34,10.44,8.5,9.72,11.62,11.16,10.53,12.34,14.25,14.12,12.06,11.47,11.88,10.91,8.31,7.31,8.91,10.84,10.53,10.44,12.19,13.59,12.91,11.78,12.53,14.06,13.53,10.97,8.69,7.94,6.5,3.44,1.81,3.5,5.59,5.56,5.75,8.19,11.28,12.16,12.03,13.19,14.38,13.75,10.78,9.5,10.09,10.78,9.16,8.34,9.78,11.59,11.06,10.69,12.47,15.19,15.47,14.03,13.94,14.38,13.75,10.84,8.81,8.94,8.38,5.16,2.41,2.53,3.22,2.34,0.88,1.5,3.03,2.66,1.22,1.44,3.31,4.59,3.94,4.06,6.06,7.66,6.59,4.88,5.31,6.72,6.09,5.53,7.09,10.06,11.94,11.69,12.25,13.97,14.53,12.53,11.22,12.03,13.25,12.03,10.06,10.47,11.91,11.41,9.88,9.94,11.28,11.16,9.0,7.97,9.31,10.81,10.0,9.31,11.09,13.25,13.09,12.19,13.78,16.31,16.62,15.06,14.09,14.12,12.72,9.31,7.16,7.66,8.62,7.84,7.44,9.16,11.62,11.84,11.34,12.19,14.62,14.97,13.44,12.47,12.5,11.25,7.53,4.69,4.53,5.38,4.44,3.5,4.19,5.69,4.66,2.41,2.5,5.06,6.81,7.88,9.72,13.28,15.56,14.75,13.81,14.81,15.53,13.81,11.44,10.59,10.41,8.09,4.25,1.81,1.28,0.59,-1.06,-1.44,1.16,3.5,3.09,2.09,3.19,4.69,3.91,2.16,2.44,3.94,3.41,1.84,1.69,3.44,4.88,4.47,4.59,7.41,9.84,9.81,9.09,9.75,10.72,9.22,6.66,5.09,5.41,4.41,1.91,0.25,0.41,-0.06,-2.41,-4.59,-4.12,-2.5,-2.47,-2.84,-1.25,1.91,3.03,2.66,3.38,5.62,5.97,4.88,4.28,5.97,7.34,6.41,5.28,6.31,7.66,6.81,5.06,4.88,6.03,5.59,3.69,2.78,4.41,5.44,5.47,5.88,9.22,13.0,14.25,15.0,17.12,19.5,18.84,16.19,14.22,13.5,11.22,7.97,5.78,6.19,6.16,4.44,2.75,3.66,5.09,5.0,4.34,5.56,8.0,8.91,8.81,10.91,15.38,18.5,19.38,19.78,21.47,21.41,18.62,15.16,14.0,13.5,11.56,8.94,9.0,10.53,10.56,9.44,9.62,11.19,11.69,9.88,7.75,8.03,8.16,5.97,3.84,4.22,5.56,5.53,4.88,6.78,10.72,13.28,13.72,14.5,16.81,17.75,16.0,14.69,15.94,17.28,16.12,13.88,13.47,13.5,11.34,8.12,6.78,8.12,8.78,8.31,9.12,12.28,15.41,16.09,16.31,18.88,21.38,21.34,20.03,20.41,21.56,20.81,18.53,17.22,18.0,17.25,14.62,11.97,11.81,11.91,10.25,8.94,10.38,12.66,12.97,11.75,11.97,13.28,13.22,11.31,10.34,11.91,12.69,10.88,9.53,10.31,11.62,11.34,10.97,13.66,16.88,17.97,16.56,15.97,16.41,15.78,13.47,12.28,13.12,13.44,11.44,9.25,9.44,10.28,8.97,7.06,7.53,9.25,10.03,9.19,10.03,12.66,14.16,13.53,13.62,16.09,18.53,18.75,18.44,20.31,22.41,22.16,20.75,21.25,23.12,23.53,21.56,20.34,20.22,18.69,15.06,12.41,13.03,14.69,15.0,15.28,17.44,20.78,21.94,21.19,21.75,22.84,22.34,19.53,17.88,18.75,20.72,21.44,23.25,28.16,33.16,35.25,35.84,37.34,38.53,36.88,32.53,29.16,27.0,24.5,19.69,15.84,14.38,12.19,7.56,2.66,1.31,1.94,2.09,2.41,6.19,11.69,16.53,19.44,23.72,29.44,34.06,35.53,36.62,39.53,41.97,41.03,38.41,36.81,35.16,31.19,26.31,23.47,22.81,21.81,19.03,17.66,18.72,19.88,18.53,17.06,17.22,17.28,14.44,10.22,8.53,8.84,8.56,7.75,9.38,13.34,16.22,16.69,17.28,19.41,20.88,19.19,16.84,16.28,16.03,13.28,9.56,7.94,8.56,8.28,6.28,6.03,8.06,9.75,9.28,9.53,12.09,14.75,14.62,14.25,16.0,18.5,18.34,16.72,15.75,16.16,15.34,12.41,10.62,10.94,10.81,8.28,6.62,8.06,10.09,9.81,9.06,10.06,11.66,11.34,9.66,9.44,10.84,11.09,8.97,7.09,7.59,8.25,6.56,5.44,7.09,9.47,9.69,8.81,9.84,12.19,12.28,10.56,10.03,11.0,11.28,9.16,7.56,8.44,9.03,6.97,4.72,4.81,6.59,6.75,6.69,8.5,12.38,14.47,14.25,15.03,17.0,18.31,16.5,14.59,14.75,14.81,12.16,8.72,7.94,8.69,8.28,7.47,8.5,11.53,13.34,12.66,12.59,14.47,15.97,14.66,12.91,13.31,13.69,43.41,45.34,47.31,47.5,46.59,46.22,47.03,46.69,45.66,45.44,46.62,47.25,46.16,44.81:20.12,20.19,21.38,21.59,20.09,19.66,21.47,22.78,22.0,21.0,22.66,24.78,24.72,23.84,24.5,25.88,25.0,22.47,21.28,21.88,21.72,20.03,18.94,20.81,22.44,22.06,21.28,22.72,23.94,22.81,20.78,19.88,21.06,20.38,18.22,17.47,18.53,19.41,18.56,18.81,21.25,23.56,22.88,20.75,20.03,19.75,17.94,15.09,14.28,15.5,15.5,13.81,13.03,14.34,15.41,14.34,13.03,14.06,15.09,13.84,11.31,10.72,11.16,10.56,8.84,8.91,11.06,12.12,10.75,9.38,10.41,11.34,10.34,9.5,11.25,14.06,14.72,14.44,15.62,17.47,16.84,14.16,11.94,11.53,11.03,9.81,9.91,13.88,18.19,20.12,20.25,20.97,21.03,18.47,14.78,13.78,15.0,15.66,15.06,15.19,17.06,18.06,16.5,14.91,16.06,17.66,17.62,16.66,17.91,19.75,19.19,16.28,14.25,13.69,12.03,8.56,5.72,5.88,5.72,3.97,2.53,4.72,8.47,10.78,12.44,16.16,20.19,21.81,20.81,20.16,20.22,19.44,16.47,13.66,13.41,13.38,11.06,8.56,8.84,10.69,11.31,11.22,13.56,17.59,20.5,21.22,22.88,25.94,27.75,27.25,26.09,27.22,28.56,27.84,26.28,26.75,27.81,26.38,22.53,19.97,18.03,15.62,11.25,8.41,8.62,9.38,8.62,8.22,10.72,14.03,15.03,15.25,17.59,21.28,23.75,24.66,27.5,31.97,35.47,35.75,36.22,38.16,39.12,36.84,33.78,32.78,32.09,29.41,25.97,24.31,24.72,23.91,21.47,20.0,20.03,19.72,16.41,14.03,14.44,15.47,14.44,13.25,14.41,16.97,17.84,17.84,19.75,23.34,25.53,24.81,24.53,25.44,25.44,23.0,20.47,19.78,19.75,17.47,14.41,14.16,15.31,15.94,14.97,16.06,19.19,21.06,21.0,21.75,25.44,29.25,31.06,32.22,34.62,36.81,35.19,31.81,29.75,29.44,27.94,25.06,23.66,23.94,23.38,19.53,16.34,15.69,15.25,12.62,10.28,10.16,11.22,10.47,8.06,7.62,8.66,8.59,6.78,6.81,9.16,11.28,10.81,10.88,13.31,16.56,17.59,18.47,21.5,25.72,28.19,28.84,30.03,32.66,33.25,30.84,28.5,28.44,27.66,24.41,21.28,20.66,21.22,19.94,18.5,18.88,20.47,20.44,18.66,18.25,20.34,22.59,22.0,22.0,23.94,25.66,24.5,22.88,23.38,24.47,22.88,19.56,17.69,17.0,15.06,11.34,9.38,10.19,11.12,10.31,10.47,12.97,15.97,16.75,16.84,19.0,22.34,23.75,23.47,24.53,27.28,28.19,26.78,25.34,26.0,26.16,23.41,20.56,20.16,20.81,19.22,17.22,17.75,19.47,19.94,18.81,18.59,20.47,20.62,17.97,15.75,15.66,16.22,14.12,11.94,12.66,14.56,14.38,13.56,14.78,17.62,18.44,17.41,17.0,18.53,19.31,17.97,17.34,19.28,21.56,21.41,20.81,22.38,24.69,25.19,24.09,24.53,26.19,26.53,24.81,23.34,24.38,24.78,23.19,21.69,22.69,23.34,21.59,18.81,17.91,19.03,18.22,16.03,15.25,16.25,16.09,14.5,13.53,15.69,17.44,16.47,14.91,15.84,17.38,16.19,13.81,13.38,14.22,13.31,11.34,10.75,12.38,12.78,10.62,8.94,9.22,9.19,6.97,4.12,3.47,4.25,3.28,1.56,2.06,5.0,6.56,7.03,8.47,12.34,15.31,15.5,15.03,16.72,18.53,18.09,16.88,18.03,20.16,19.62,17.25,15.66,15.81,14.44,11.38,9.41,10.09,11.03,9.94,8.94,10.81,13.16,13.12,12.0,12.41,13.94,13.62,11.94,11.62,13.31,13.69,11.56,9.28,9.38,9.22,7.16,5.0,5.0,6.69,6.56,5.31,7.06,11.0,14.34,16.25,18.94,23.12,25.22,23.53,20.66,19.25,17.53,13.62,9.25,8.06,7.91,6.56,3.91,3.5,5.09,6.0,5.72,6.69,10.81,14.22,15.31,15.91,18.22,20.25,19.53,17.47,17.41,18.12,17.0,14.5,13.28,13.94,13.47,10.56,8.09,7.94,7.88,5.84,4.12,5.56,8.03,8.78,8.69,10.41,12.97,14.44,13.78,13.72,16.19,18.06,17.25,16.59,18.12,19.41,17.66,14.25,12.88,12.03,9.25,5.03,3.06,3.16,2.53,0.41,-0.19,2.19,4.66,5.31,6.53,10.31,14.38,15.94,16.0,17.62,20.0,20.72,19.81,20.44,22.59,23.66,22.19,21.09,22.0,22.78,21.0,18.94,19.34,20.69,19.94,18.41,19.0,20.34,19.66,17.0,14.84,14.09,13.34,10.44,8.5,9.72,11.62,11.16,10.53,12.34,14.25,14.12,12.06,11.47,11.88,10.91,8.31,7.31,8.91,10.84,10.53,10.44,12.19,13.59,12.91,11.78,12.53,14.06,13.53,10.97,8.69,7.94,6.5,3.44,1.81,3.5,5.59,5.56,5.75,8.19,11.28,12.16,12.03,13.19,14.38,13.75,10.78,9.5,10.09,10.78,9.16,8.34,9.78,11.59,11.06,10.69,12.47,15.19,15.47,14.03,13.94,14.38,13.75,10.84,8.81,8.94,8.38,5.16,2.41,2.53,3.22,2.34,0.88,1.5,3.03,2.66,1.22,1.44,3.31,4.59,3.94,4.06,6.06,7.66,6.59,4.88,5.31,6.72,6.09,5.53,7.09,10.06,11.94,11.69,12.25,13.97,14.53,12.53,11.22,12.03,13.25,12.03,10.06,10.47,11.91,11.41,9.88,9.94,11.28,11.16,9.0,7.97,9.31,10.81,10.0,9.31,11.09,13.25,13.09,12.19,13.78,16.31,16.62,15.06,14.09,14.12,12.72,9.31,7.16,7.66,8.62,7.84,7.44,9.16,11.62,11.84,11.34,12.19,14.62,14.97,13.44,12.47,12.5,11.25,7.53,4.69,4.53,5.38,4.44,3.5,4.19,5.69,4.66,2.41,2.5,5.06,6.81,7.88,9.72,13.28,15.56,14.75,13.81,14.81,15.53,13.81,11.44,10.59,10.41,8.09,4.25,1.81,1.28,0.59,-1.06,-1.44,1.16,3.5,3.09,2.09,3.19,4.69,3.91,2.16,2.44,3.94,3.41,1.84,1.69,3.44,4.88,4.47,4.59,7.41,9.84,9.81,9.09,9.75,10.72,9.22,6.66,5.09,5.41,4.41,1.91,0.25,0.41,-0.06,-2.41,-4.59,-4.12,-2.5,-2.47,-2.84,-1.25,1.91,3.03,2.66,3.38,5.62,5.97,4.88,4.28,5.97,7.34,6.41,5.28,6.31,7.66,6.81,5.06,4.88,6.03,5.59,3.69,2.78,4.41,5.44,5.47,5.88,9.22,13.0,14.25,15.0,17.12,19.5,18.84,16.19,14.22,13.5,11.22,7.97,5.78,6.19,6.16,4.44,2.75,3.66,5.09,5.0,4.34,5.56,8.0,8.91,8.81,10.91,15.38,18.5,19.38,19.78,21.47,21.41,18.62,15.16,14.0,13.5,11.56,8.94,9.0,10.53,10.56,9.44,9.62,11.19,11.69,9.88,7.75,8.03,8.16,5.97,3.84,4.22,5.56,5.53,4.88,6.78,10.72,13.28,13.72,14.5,16.81,17.75,16.0,14.69,15.94,17.28,16.12,13.88,13.47,13.5,11.34,8.12,6.78,8.12,8.78,8.31,9.12,12.28,15.41,16.09,16.31,18.88,21.38,21.34,20.03,20.41,21.56,20.81,18.53,17.22,18.0,17.25,14.62,11.97,11.81,11.91,10.25,8.94,10.38,12.66,12.97,11.75,11.97,13.28,13.22,11.31,10.34,11.91,12.69,10.88,9.53,10.31,11.62,11.34,10.97,13.66,16.88,17.97,16.56,15.97,16.41,15.78,13.47,12.28,13.12,13.44,11.44,9.25,9.44,10.28,8.97,7.06,7.53,9.25,10.03,9.19,10.03,12.66,14.16,13.53,13.62,16.09,18.53,18.75,18.44,20.31,22.41,22.16,20.75,21.25,23.12,23.53,21.56,20.34,20.22,18.69,15.06,12.41,13.03,14.69,15.0,15.28,17.44,20.78,21.94,21.19,21.75,22.84,22.34,19.53,17.88,18.75,20.72,21.44,23.25,28.16,33.16,35.25,35.84,37.34,38.53,36.88,32.53,29.16,27.0,24.5,19.69,15.84,14.38,12.19,7.56,2.66,1.31,1.94,2.09,2.41,6.19,11.69,16.53,19.44,23.72,29.44,34.06,35.53,36.62,39.53,41.97,41.03,38.41,36.81,35.16,31.19,26.31,23.47,22.81,21.81,19.03,17.66,18.72,19.88,18.53,17.06,17.22,17.28,14.44,10.22,8.53,8.84,8.56,7.75,9.38,13.34,16.22,16.69,17.28,19.41,20.88,19.19,16.84,16.28,16.03,13.28,9.56,7.94,8.56,8.28,6.28,6.03,8.06,9.75,9.28,9.53,12.09,14.75,14.62,14.25,16.0,18.5,18.34,16.72,15.75,16.16,15.34,12.41,10.62,10.94,10.81,8.28,6.62,8.06,10.09,9.81,9.06,10.06,11.66,11.34,9.66,9.44,10.84,11.09,8.97,7.09,7.59,8.25,6.56,5.44,7.09,9.47,9.69,8.81,9.84,12.19,12.28,10.56,10.03,11.0,11.28,9.16,7.56,8.44,9.03,6.97,4.72,4.81,6.59,6.75,6.69,8.5,12.38,14.47,14.25,15.03,17.0,18.31,16.5,14.59,14.75,14.81,12.16,8.72,7.94,8.69,8.28,7.47,8.5,11.53,13.34,12.66,12.59,14.47,15.97,14.66,12.91,13.31,13.69,43.41,45.34,47.31,47.5,46.59,46.22,47.03,46.69,45.66,45.44,46.62,47.25,46.16,44.81,44.78,44.66,43.28,42.12,43.03,44.94,45.5:22.78,22.0,21.0,22.66,24.78,24.72,23.84,24.5,25.88,25.0,22.47,21.28,21.88,21.72,20.03,18.94,20.81,22.44,22.06,21.28,22.72,23.94,22.81,20.78,19.88,21.06,20.38,18.22,17.47,18.53,19.41,18.56,18.81,21.25,23.56,22.88,20.75,20.03,19.75,17.94,15.09,14.28,15.5,15.5,13.81,13.03,14.34,15.41,14.34,13.03,14.06,15.09,13.84,11.31,10.72,11.16,10.56,8.84,8.91,11.06,12.12,10.75,9.38,10.41,11.34,10.34,9.5,11.25,14.06,14.72,14.44,15.62,17.47,16.84,14.16,11.94,11.53,11.03,9.81,9.91,13.88,18.19,20.12,20.25,20.97,21.03,18.47,14.78,13.78,15.0,15.66,15.06,15.19,17.06,18.06,16.5,14.91,16.06,17.66,17.62,16.66,17.91,19.75,19.19,16.28,14.25,13.69,12.03,8.56,5.72,5.88,5.72,3.97,2.53,4.72,8.47,10.78,12.44,16.16,20.19,21.81,20.81,20.16,20.22,19.44,16.47,13.66,13.41,13.38,11.06,8.56,8.84,10.69,11.31,11.22,13.56,17.59,20.5,21.22,22.88,25.94,27.75,27.25,26.09,27.22,28.56,27.84,26.28,26.75,27.81,26.38,22.53,19.97,18.03,15.62,11.25,8.41,8.62,9.38,8.62,8.22,10.72,14.03,15.03,15.25,17.59,21.28,23.75,24.66,27.5,31.97,35.47,35.75,36.22,38.16,39.12,36.84,33.78,32.78,32.09,29.41,25.97,24.31,24.72,23.91,21.47,20.0,20.03,19.72,16.41,14.03,14.44,15.47,14.44,13.25,14.41,16.97,17.84,17.84,19.75,23.34,25.53,24.81,24.53,25.44,25.44,23.0,20.47,19.78,19.75,17.47,14.41,14.16,15.31,15.94,14.97,16.06,19.19,21.06,21.0,21.75,25.44,29.25,31.06,32.22,34.62,36.81,35.19,31.81,29.75,29.44,27.94,25.06,23.66,23.94,23.38,19.53,16.34,15.69,15.25,12.62,10.28,10.16,11.22,10.47,8.06,7.62,8.66,8.59,6.78,6.81,9.16,11.28,10.81,10.88,13.31,16.56,17.59,18.47,21.5,25.72,28.19,28.84,30.03,32.66,33.25,30.84,28.5,28.44,27.66,24.41,21.28,20.66,21.22,19.94,18.5,18.88,20.47,20.44,18.66,18.25,20.34,22.59,22.0,22.0,23.94,25.66,24.5,22.88,23.38,24.47,22.88,19.56,17.69,17.0,15.06,11.34,9.38,10.19,11.12,10.31,10.47,12.97,15.97,16.75,16.84,19.0,22.34,23.75,23.47,24.53,27.28,28.19,26.78,25.34,26.0,26.16,23.41,20.56,20.16,20.81,19.22,17.22,17.75,19.47,19.94,18.81,18.59,20.47,20.62,17.97,15.75,15.66,16.22,14.12,11.94,12.66,14.56,14.38,13.56,14.78,17.62,18.44,17.41,17.0,18.53,19.31,17.97,17.34,19.28,21.56,21.41,20.81,22.38,24.69,25.19,24.09,24.53,26.19,26.53,24.81,23.34,24.38,24.78,23.19,21.69,22.69,23.34,21.59,18.81,17.91,19.03,18.22,16.03,15.25,16.25,16.09,14.5,13.53,15.69,17.44,16.47,14.91,15.84,17.38,16.19,13.81,13.38,14.22,13.31,11.34,10.75,12.38,12.78,10.62,8.94,9.22,9.19,6.97,4.12,3.47,4.25,3.28,1.56,2.06,5.0,6.56,7.03,8.47,12.34,15.31,15.5,15.03,16.72,18.53,18.09,16.88,18.03,20.16,19.62,17.25,15.66,15.81,14.44,11.38,9.41,10.09,11.03,9.94,8.94,10.81,13.16,13.12,12.0,12.41,13.94,13.62,11.94,11.62,13.31,13.69,11.56,9.28,9.38,9.22,7.16,5.0,5.0,6.69,6.56,5.31,7.06,11.0,14.34,16.25,18.94,23.12,25.22,23.53,20.66,19.25,17.53,13.62,9.25,8.06,7.91,6.56,3.91,3.5,5.09,6.0,5.72,6.69,10.81,14.22,15.31,15.91,18.22,20.25,19.53,17.47,17.41,18.12,17.0,14.5,13.28,13.94,13.47,10.56,8.09,7.94,7.88,5.84,4.12,5.56,8.03,8.78,8.69,10.41,12.97,14.44,13.78,13.72,16.19,18.06,17.25,16.59,18.12,19.41,17.66,14.25,12.88,12.03,9.25,5.03,3.06,3.16,2.53,0.41,-0.19,2.19,4.66,5.31,6.53,10.31,14.38,15.94,16.0,17.62,20.0,20.72,19.81,20.44,22.59,23.66,22.19,21.09,22.0,22.78,21.0,18.94,19.34,20.69,19.94,18.41,19.0,20.34,19.66,17.0,14.84,14.09,13.34,10.44,8.5,9.72,11.62,11.16,10.53,12.34,14.25,14.12,12.06,11.47,11.88,10.91,8.31,7.31,8.91,10.84,10.53,10.44,12.19,13.59,12.91,11.78,12.53,14.06,13.53,10.97,8.69,7.94,6.5,3.44,1.81,3.5,5.59,5.56,5.75,8.19,11.28,12.16,12.03,13.19,14.38,13.75,10.78,9.5,10.09,10.78,9.16,8.34,9.78,11.59,11.06,10.69,12.47,15.19,15.47,14.03,13.94,14.38,13.75,10.84,8.81,8.94,8.38,5.16,2.41,2.53,3.22,2.34,0.88,1.5,3.03,2.66,1.22,1.44,3.31,4.59,3.94,4.06,6.06,7.66,6.59,4.88,5.31,6.72,6.09,5.53,7.09,10.06,11.94,11.69,12.25,13.97,14.53,12.53,11.22,12.03,13.25,12.03,10.06,10.47,11.91,11.41,9.88,9.94,11.28,11.16,9.0,7.97,9.31,10.81,10.0,9.31,11.09,13.25,13.09,12.19,13.78,16.31,16.62,15.06,14.09,14.12,12.72,9.31,7.16,7.66,8.62,7.84,7.44,9.16,11.62,11.84,11.34,12.19,14.62,14.97,13.44,12.47,12.5,11.25,7.53,4.69,4.53,5.38,4.44,3.5,4.19,5.69,4.66,2.41,2.5,5.06,6.81,7.88,9.72,13.28,15.56,14.75,13.81,14.81,15.53,13.81,11.44,10.59,10.41,8.09,4.25,1.81,1.28,0.59,-1.06,-1.44,1.16,3.5,3.09,2.09,3.19,4.69,3.91,2.16,2.44,3.94,3.41,1.84,1.69,3.44,4.88,4.47,4.59,7.41,9.84,9.81,9.09,9.75,10.72,9.22,6.66,5.09,5.41,4.41,1.91,0.25,0.41,-0.06,-2.41,-4.59,-4.12,-2.5,-2.47,-2.84,-1.25,1.91,3.03,2.66,3.38,5.62,5.97,4.88,4.28,5.97,7.34,6.41,5.28,6.31,7.66,6.81,5.06,4.88,6.03,5.59,3.69,2.78,4.41,5.44,5.47,5.88,9.22,13.0,14.25,15.0,17.12,19.5,18.84,16.19,14.22,13.5,11.22,7.97,5.78,6.19,6.16,4.44,2.75,3.66,5.09,5.0,4.34,5.56,8.0,8.91,8.81,10.91,15.38,18.5,19.38,19.78,21.47,21.41,18.62,15.16,14.0,13.5,11.56,8.94,9.0,10.53,10.56,9.44,9.62,11.19,11.69,9.88,7.75,8.03,8.16,5.97,3.84,4.22,5.56,5.53,4.88,6.78,10.72,13.28,13.72,14.5,16.81,17.75,16.0,14.69,15.94,17.28,16.12,13.88,13.47,13.5,11.34,8.12,6.78,8.12,8.78,8.31,9.12,12.28,15.41,16.09,16.31,18.88,21.38,21.34,20.03,20.41,21.56,20.81,18.53,17.22,18.0,17.25,14.62,11.97,11.81,11.91,10.25,8.94,10.38,12.66,12.97,11.75,11.97,13.28,13.22,11.31,10.34,11.91,12.69,10.88,9.53,10.31,11.62,11.34,10.97,13.66,16.88,17.97,16.56,15.97,16.41,15.78,13.47,12.28,13.12,13.44,11.44,9.25,9.44,10.28,8.97,7.06,7.53,9.25,10.03,9.19,10.03,12.66,14.16,13.53,13.62,16.09,18.53,18.75,18.44,20.31,22.41,22.16,20.75,21.25,23.12,23.53,21.56,20.34,20.22,18.69,15.06,12.41,13.03,14.69,15.0,15.28,17.44,20.78,21.94,21.19,21.75,22.84,22.34,19.53,17.88,18.75,20.72,21.44,23.25,28.16,33.16,35.25,35.84,37.34,38.53,36.88,32.53,29.16,27.0,24.5,19.69,15.84,14.38,12.19,7.56,2.66,1.31,1.94,2.09,2.41,6.19,11.69,16.53,19.44,23.72,29.44,34.06,35.53,36.62,39.53,41.97,41.03,38.41,36.81,35.16,31.19,26.31,23.47,22.81,21.81,19.03,17.66,18.72,19.88,18.53,17.06,17.22,17.28,14.44,10.22,8.53,8.84,8.56,7.75,9.38,13.34,16.22,16.69,17.28,19.41,20.88,19.19,16.84,16.28,16.03,13.28,9.56,7.94,8.56,8.28,6.28,6.03,8.06,9.75,9.28,9.53,12.09,14.75,14.62,14.25,16.0,18.5,18.34,16.72,15.75,16.16,15.34,12.41,10.62,10.94,10.81,8.28,6.62,8.06,10.09,9.81,9.06,10.06,11.66,11.34,9.66,9.44,10.84,11.09,8.97,7.09,7.59,8.25,6.56,5.44,7.09,9.47,9.69,8.81,9.84,12.19,12.28,10.56,10.03,11.0,11.28,9.16,7.56,8.44,9.03,6.97,4.72,4.81,6.59,6.75,6.69,8.5,12.38,14.47,14.25,15.03,17.0,18.31,16.5,14.59,14.75,14.81,12.16,8.72,7.94,8.69,8.28,7.47,8.5,11.53,13.34,12.66,12.59,14.47,15.97,14.66,12.91,13.31,13.69,43.41,45.34,47.31,47.5,46.59,46.22,47.03,46.69,45.66,45.44,46.62,47.25,46.16,44.81,44.78,44.66,43.28,42.12,43.03,44.94,45.5,45.25,45.59,46.5,46.38,45.12,44.19,45.03:24.5,25.88,25.0,22.47,21.28,21.88,21.72,20.03,18.94,20.81,22.44,22.06,21.28,22.72,23.94,22.81,20.78,19.88,21.06,20.38,18.22,17.47,18.53,19.41,18.56,18.81,21.25,23.56,22.88,20.75,20.03,19.75,17.94,15.09,14.28,15.5,15.5,13.81,13.03,14.34,15.41,14.34,13.03,14.06,15.09,13.84,11.31,10.72,11.16,10.56,8.84,8.91,11.06,12.12,10.75,9.38,10.41,11.34,10.34,9.5,11.25,14.06,14.72,14.44,15.62,17.47,16.84,14.16,11.94,11.53,11.03,9.81,9.91,13.88,18.19,20.12,20.25,20.97,21.03,18.47,14.78,13.78,15.0,15.66,15.06,15.19,17.06,18.06,16.5,14.91,16.06,17.66,17.62,16.66,17.91,19.75,19.19,16.28,14.25,13.69,12.03,8.56,5.72,5.88,5.72,3.97,2.53,4.72,8.47,10.78,12.44,16.16,20.19,21.81,20.81,20.16,20.22,19.44,16.47,13.66,13.41,13.38,11.06,8.56,8.84,10.69,11.31,11.22,13.56,17.59,20.5,21.22,22.88,25.94,27.75,27.25,26.09,27.22,28.56,27.84,26.28,26.75,27.81,26.38,22.53,19.97,18.03,15.62,11.25,8.41,8.62,9.38,8.62,8.22,10.72,14.03,15.03,15.25,17.59,21.28,23.75,24.66,27.5,31.97,35.47,35.75,36.22,38.16,39.12,36.84,33.78,32.78,32.09,29.41,25.97,24.31,24.72,23.91,21.47,20.0,20.03,19.72,16.41,14.03,14.44,15.47,14.44,13.25,14.41,16.97,17.84,17.84,19.75,23.34,25.53,24.81,24.53,25.44,25.44,23.0,20.47,19.78,19.75,17.47,14.41,14.16,15.31,15.94,14.97,16.06,19.19,21.06,21.0,21.75,25.44,29.25,31.06,32.22,34.62,36.81,35.19,31.81,29.75,29.44,27.94,25.06,23.66,23.94,23.38,19.53,16.34,15.69,15.25,12.62,10.28,10.16,11.22,10.47,8.06,7.62,8.66,8.59,6.78,6.81,9.16,11.28,10.81,10.88,13.31,16.56,17.59,18.47,21.5,25.72,28.19,28.84,30.03,32.66,33.25,30.84,28.5,28.44,27.66,24.41,21.28,20.66,21.22,19.94,18.5,18.88,20.47,20.44,18.66,18.25,20.34,22.59,22.0,22.0,23.94,25.66,24.5,22.88,23.38,24.47,22.88,19.56,17.69,17.0,15.06,11.34,9.38,10.19,11.12,10.31,10.47,12.97,15.97,16.75,16.84,19.0,22.34,23.75,23.47,24.53,27.28,28.19,26.78,25.34,26.0,26.16,23.41,20.56,20.16,20.81,19.22,17.22,17.75,19.47,19.94,18.81,18.59,20.47,20.62,17.97,15.75,15.66,16.22,14.12,11.94,12.66,14.56,14.38,13.56,14.78,17.62,18.44,17.41,17.0,18.53,19.31,17.97,17.34,19.28,21.56,21.41,20.81,22.38,24.69,25.19,24.09,24.53,26.19,26.53,24.81,23.34,24.38,24.78,23.19,21.69,22.69,23.34,21.59,18.81,17.91,19.03,18.22,16.03,15.25,16.25,16.09,14.5,13.53,15.69,17.44,16.47,14.91,15.84,17.38,16.19,13.81,13.38,14.22,13.31,11.34,10.75,12.38,12.78,10.62,8.94,9.22,9.19,6.97,4.12,3.47,4.25,3.28,1.56,2.06,5.0,6.56,7.03,8.47,12.34,15.31,15.5,15.03,16.72,18.53,18.09,16.88,18.03,20.16,19.62,17.25,15.66,15.81,14.44,11.38,9.41,10.09,11.03,9.94,8.94,10.81,13.16,13.12,12.0,12.41,13.94,13.62,11.94,11.62,13.31,13.69,11.56,9.28,9.38,9.22,7.16,5.0,5.0,6.69,6.56,5.31,7.06,11.0,14.34,16.25,18.94,23.12,25.22,23.53,20.66,19.25,17.53,13.62,9.25,8.06,7.91,6.56,3.91,3.5,5.09,6.0,5.72,6.69,10.81,14.22,15.31,15.91,18.22,20.25,19.53,17.47,17.41,18.12,17.0,14.5,13.28,13.94,13.47,10.56,8.09,7.94,7.88,5.84,4.12,5.56,8.03,8.78,8.69,10.41,12.97,14.44,13.78,13.72,16.19,18.06,17.25,16.59,18.12,19.41,17.66,14.25,12.88,12.03,9.25,5.03,3.06,3.16,2.53,0.41,-0.19,2.19,4.66,5.31,6.53,10.31,14.38,15.94,16.0,17.62,20.0,20.72,19.81,20.44,22.59,23.66,22.19,21.09,22.0,22.78,21.0,18.94,19.34,20.69,19.94,18.41,19.0,20.34,19.66,17.0,14.84,14.09,13.34,10.44,8.5,9.72,11.62,11.16,10.53,12.34,14.25,14.12,12.06,11.47,11.88,10.91,8.31,7.31,8.91,10.84,10.53,10.44,12.19,13.59,12.91,11.78,12.53,14.06,13.53,10.97,8.69,7.94,6.5,3.44,1.81,3.5,5.59,5.56,5.75,8.19,11.28,12.16,12.03,13.19,14.38,13.75,10.78,9.5,10.09,10.78,9.16,8.34,9.78,11.59,11.06,10.69,12.47,15.19,15.47,14.03,13.94,14.38,13.75,10.84,8.81,8.94,8.38,5.16,2.41,2.53,3.22,2.34,0.88,1.5,3.03,2.66,1.22,1.44,3.31,4.59,3.94,4.06,6.06,7.66,6.59,4.88,5.31,6.72,6.09,5.53,7.09,10.06,11.94,11.69,12.25,13.97,14.53,12.53,11.22,12.03,13.25,12.03,10.06,10.47,11.91,11.41,9.88,9.94,11.28,11.16,9.0,7.97,9.31,10.81,10.0,9.31,11.09,13.25,13.09,12.19,13.78,16.31,16.62,15.06,14.09,14.12,12.72,9.31,7.16,7.66,8.62,7.84,7.44,9.16,11.62,11.84,11.34,12.19,14.62,14.97,13.44,12.47,12.5,11.25,7.53,4.69,4.53,5.38,4.44,3.5,4.19,5.69,4.66,2.41,2.5,5.06,6.81,7.88,9.72,13.28,15.56,14.75,13.81,14.81,15.53,13.81,11.44,10.59,10.41,8.09,4.25,1.81,1.28,0.59,-1.06,-1.44,1.16,3.5,3.09,2.09,3.19,4.69,3.91,2.16,2.44,3.94,3.41,1.84,1.69,3.44,4.88,4.47,4.59,7.41,9.84,9.81,9.09,9.75,10.72,9.22,6.66,5.09,5.41,4.41,1.91,0.25,0.41,-0.06,-2.41,-4.59,-4.12,-2.5,-2.47,-2.84,-1.25,1.91,3.03,2.66,3.38,5.62,5.97,4.88,4.28,5.97,7.34,6.41,5.28,6.31,7.66,6.81,5.06,4.88,6.03,5.59,3.69,2.78,4.41,5.44,5.47,5.88,9.22,13.0,14.25,15.0,17.12,19.5,18.84,16.19,14.22,13.5,11.22,7.97,5.78,6.19,6.16,4.44,2.75,3.66,5.09,5.0,4.34,5.56,8.0,8.91,8.81,10.91,15.38,18.5,19.38,19.78,21.47,21.41,18.62,15.16,14.0,13.5,11.56,8.94,9.0,10.53,10.56,9.44,9.62,11.19,11.69,9.88,7.75,8.03,8.16,5.97,3.84,4.22,5.56,5.53,4.88,6.78,10.72,13.28,13.72,14.5,16.81,17.75,16.0,14.69,15.94,17.28,16.12,13.88,13.47,13.5,11.34,8.12,6.78,8.12,8.78,8.31,9.12,12.28,15.41,16.09,16.31,18.88,21.38,21.34,20.03,20.41,21.56,20.81,18.53,17.22,18.0,17.25,14.62,11.97,11.81,11.91,10.25,8.94,10.38,12.66,12.97,11.75,11.97,13.28,13.22,11.31,10.34,11.91,12.69,10.88,9.53,10.31,11.62,11.34,10.97,13.66,16.88,17.97,16.56,15.97,16.41,15.78,13.47,12.28,13.12,13.44,11.44,9.25,9.44,10.28,8.97,7.06,7.53,9.25,10.03,9.19,10.03,12.66,14.16,13.53,13.62,16.09,18.53,18.75,18.44,20.31,22.41,22.16,20.75,21.25,23.12,23.53,21.56,20.34,20.22,18.69,15.06,12.41,13.03,14.69,15.0,15.28,17.44,20.78,21.94,21.19,21.75,22.84,22.34,19.53,17.88,18.75,20.72,21.44,23.25,28.16,33.16,35.25,35.84,37.34,38.53,36.88,32.53,29.16,27.0,24.5,19.69,15.84,14.38,12.19,7.56,2.66,1.31,1.94,2.09,2.41,6.19,11.69,16.53,19.44,23.72,29.44,34.06,35.53,36.62,39.53,41.97,41.03,38.41,36.81,35.16,31.19,26.31,23.47,22.81,21.81,19.03,17.66,18.72,19.88,18.53,17.06,17.22,17.28,14.44,10.22,8.53,8.84,8.56,7.75,9.38,13.34,16.22,16.69,17.28,19.41,20.88,19.19,16.84,16.28,16.03,13.28,9.56,7.94,8.56,8.28,6.28,6.03,8.06,9.75,9.28,9.53,12.09,14.75,14.62,14.25,16.0,18.5,18.34,16.72,15.75,16.16,15.34,12.41,10.62,10.94,10.81,8.28,6.62,8.06,10.09,9.81,9.06,10.06,11.66,11.34,9.66,9.44,10.84,11.09,8.97,7.09,7.59,8.25,6.56,5.44,7.09,9.47,9.69,8.81,9.84,12.19,12.28,10.56,10.03,11.0,11.28,9.16,7.56,8.44,9.03,6.97,4.72,4.81,6.59,6.75,6.69,8.5,12.38,14.47,14.25,15.03,17.0,18.31,16.5,14.59,14.75,14.81,12.16,8.72,7.94,8.69,8.28,7.47,8.5,11.53,13.34,12.66,12.59,14.47,15.97,14.66,12.91,13.31,13.69,43.41,45.34,47.31,47.5,46.59,46.22,47.03,46.69,45.66,45.44,46.62,47.25,46.16,44.81,44.78,44.66,43.28,42.12,43.03,44.94,45.5,45.25,45.59,46.5,46.38,45.12,44.19,45.03,45.62,45.25,45.31,47.06,49.12,49.69,49.22:20.03,18.94,20.81,22.44,22.06,21.28,22.72,23.94,22.81,20.78,19.88,21.06,20.38,18.22,17.47,18.53,19.41,18.56,18.81,21.25,23.56,22.88,20.75,20.03,19.75,17.94,15.09,14.28,15.5,15.5,13.81,13.03,14.34,15.41,14.34,13.03,14.06,15.09,13.84,11.31,10.72,11.16,10.56,8.84,8.91,11.06,12.12,10.75,9.38,10.41,11.34,10.34,9.5,11.25,14.06,14.72,14.44,15.62,17.47,16.84,14.16,11.94,11.53,11.03,9.81,9.91,13.88,18.19,20.12,20.25,20.97,21.03,18.47,14.78,13.78,15.0,15.66,15.06,15.19,17.06,18.06,16.5,14.91,16.06,17.66,17.62,16.66,17.91,19.75,19.19,16.28,14.25,13.69,12.03,8.56,5.72,5.88,5.72,3.97,2.53,4.72,8.47,10.78,12.44,16.16,20.19,21.81,20.81,20.16,20.22,19.44,16.47,13.66,13.41,13.38,11.06,8.56,8.84,10.69,11.31,11.22,13.56,17.59,20.5,21.22,22.88,25.94,27.75,27.25,26.09,27.22,28.56,27.84,26.28,26.75,27.81,26.38,22.53,19.97,18.03,15.62,11.25,8.41,8.62,9.38,8.62,8.22,10.72,14.03,15.03,15.25,17.59,21.28,23.75,24.66,27.5,31.97,35.47,35.75,36.22,38.16,39.12,36.84,33.78,32.78,32.09,29.41,25.97,24.31,24.72,23.91,21.47,20.0,20.03,19.72,16.41,14.03,14.44,15.47,14.44,13.25,14.41,16.97,17.84,17.84,19.75,23.34,25.53,24.81,24.53,25.44,25.44,23.0,20.47,19.78,19.75,17.47,14.41,14.16,15.31,15.94,14.97,16.06,19.19,21.06,21.0,21.75,25.44,29.25,31.06,32.22,34.62,36.81,35.19,31.81,29.75,29.44,27.94,25.06,23.66,23.94,23.38,19.53,16.34,15.69,15.25,12.62,10.28,10.16,11.22,10.47,8.06,7.62,8.66,8.59,6.78,6.81,9.16,11.28,10.81,10.88,13.31,16.56,17.59,18.47,21.5,25.72,28.19,28.84,30.03,32.66,33.25,30.84,28.5,28.44,27.66,24.41,21.28,20.66,21.22,19.94,18.5,18.88,20.47,20.44,18.66,18.25,20.34,22.59,22.0,22.0,23.94,25.66,24.5,22.88,23.38,24.47,22.88,19.56,17.69,17.0,15.06,11.34,9.38,10.19,11.12,10.31,10.47,12.97,15.97,16.75,16.84,19.0,22.34,23.75,23.47,24.53,27.28,28.19,26.78,25.34,26.0,26.16,23.41,20.56,20.16,20.81,19.22,17.22,17.75,19.47,19.94,18.81,18.59,20.47,20.62,17.97,15.75,15.66,16.22,14.12,11.94,12.66,14.56,14.38,13.56,14.78,17.62,18.44,17.41,17.0,18.53,19.31,17.97,17.34,19.28,21.56,21.41,20.81,22.38,24.69,25.19,24.09,24.53,26.19,26.53,24.81,23.34,24.38,24.78,23.19,21.69,22.69,23.34,21.59,18.81,17.91,19.03,18.22,16.03,15.25,16.25,16.09,14.5,13.53,15.69,17.44,16.47,14.91,15.84,17.38,16.19,13.81,13.38,14.22,13.31,11.34,10.75,12.38,12.78,10.62,8.94,9.22,9.19,6.97,4.12,3.47,4.25,3.28,1.56,2.06,5.0,6.56,7.03,8.47,12.34,15.31,15.5,15.03,16.72,18.53,18.09,16.88,18.03,20.16,19.62,17.25,15.66,15.81,14.44,11.38,9.41,10.09,11.03,9.94,8.94,10.81,13.16,13.12,12.0,12.41,13.94,13.62,11.94,11.62,13.31,13.69,11.56,9.28,9.38,9.22,7.16,5.0,5.0,6.69,6.56,5.31,7.06,11.0,14.34,16.25,18.94,23.12,25.22,23.53,20.66,19.25,17.53,13.62,9.25,8.06,7.91,6.56,3.91,3.5,5.09,6.0,5.72,6.69,10.81,14.22,15.31,15.91,18.22,20.25,19.53,17.47,17.41,18.12,17.0,14.5,13.28,13.94,13.47,10.56,8.09,7.94,7.88,5.84,4.12,5.56,8.03,8.78,8.69,10.41,12.97,14.44,13.78,13.72,16.19,18.06,17.25,16.59,18.12,19.41,17.66,14.25,12.88,12.03,9.25,5.03,3.06,3.16,2.53,0.41,-0.19,2.19,4.66,5.31,6.53,10.31,14.38,15.94,16.0,17.62,20.0,20.72,19.81,20.44,22.59,23.66,22.19,21.09,22.0,22.78,21.0,18.94,19.34,20.69,19.94,18.41,19.0,20.34,19.66,17.0,14.84,14.09,13.34,10.44,8.5,9.72,11.62,11.16,10.53,12.34,14.25,14.12,12.06,11.47,11.88,10.91,8.31,7.31,8.91,10.84,10.53,10.44,12.19,13.59,12.91,11.78,12.53,14.06,13.53,10.97,8.69,7.94,6.5,3.44,1.81,3.5,5.59,5.56,5.75,8.19,11.28,12.16,12.03,13.19,14.38,13.75,10.78,9.5,10.09,10.78,9.16,8.34,9.78,11.59,11.06,10.69,12.47,15.19,15.47,14.03,13.94,14.38,13.75,10.84,8.81,8.94,8.38,5.16,2.41,2.53,3.22,2.34,0.88,1.5,3.03,2.66,1.22,1.44,3.31,4.59,3.94,4.06,6.06,7.66,6.59,4.88,5.31,6.72,6.09,5.53,7.09,10.06,11.94,11.69,12.25,13.97,14.53,12.53,11.22,12.03,13.25,12.03,10.06,10.47,11.91,11.41,9.88,9.94,11.28,11.16,9.0,7.97,9.31,10.81,10.0,9.31,11.09,13.25,13.09,12.19,13.78,16.31,16.62,15.06,14.09,14.12,12.72,9.31,7.16,7.66,8.62,7.84,7.44,9.16,11.62,11.84,11.34,12.19,14.62,14.97,13.44,12.47,12.5,11.25,7.53,4.69,4.53,5.38,4.44,3.5,4.19,5.69,4.66,2.41,2.5,5.06,6.81,7.88,9.72,13.28,15.56,14.75,13.81,14.81,15.53,13.81,11.44,10.59,10.41,8.09,4.25,1.81,1.28,0.59,-1.06,-1.44,1.16,3.5,3.09,2.09,3.19,4.69,3.91,2.16,2.44,3.94,3.41,1.84,1.69,3.44,4.88,4.47,4.59,7.41,9.84,9.81,9.09,9.75,10.72,9.22,6.66,5.09,5.41,4.41,1.91,0.25,0.41,-0.06,-2.41,-4.59,-4.12,-2.5,-2.47,-2.84,-1.25,1.91,3.03,2.66,3.38,5.62,5.97,4.88,4.28,5.97,7.34,6.41,5.28,6.31,7.66,6.81,5.06,4.88,6.03,5.59,3.69,2.78,4.41,5.44,5.47,5.88,9.22,13.0,14.25,15.0,17.12,19.5,18.84,16.19,14.22,13.5,11.22,7.97,5.78,6.19,6.16,4.44,2.75,3.66,5.09,5.0,4.34,5.56,8.0,8.91,8.81,10.91,15.38,18.5,19.38,19.78,21.47,21.41,18.62,15.16,14.0,13.5,11.56,8.94,9.0,10.53,10.56,9.44,9.62,11.19,11.69,9.88,7.75,8.03,8.16,5.97,3.84,4.22,5.56,5.53,4.88,6.78,10.72,13.28,13.72,14.5,16.81,17.75,16.0,14.69,15.94,17.28,16.12,13.88,13.47,13.5,11.34,8.12,6.78,8.12,8.78,8.31,9.12,12.28,15.41,16.09,16.31,18.88,21.38,21.34,20.03,20.41,21.56,20.81,18.53,17.22,18.0,17.25,14.62,11.97,11.81,11.91,10.25,8.94,10.38,12.66,12.97,11.75,11.97,13.28,13.22,11.31,10.34,11.91,12.69,10.88,9.53,10.31,11.62,11.34,10.97,13.66,16.88,17.97,16.56,15.97,16.41,15.78,13.47,12.28,13.12,13.44,11.44,9.25,9.44,10.28,8.97,7.06,7.53,9.25,10.03,9.19,10.03,12.66,14.16,13.53,13.62,16.09,18.53,18.75,18.44,20.31,22.41,22.16,20.75,21.25,23.12,23.53,21.56,20.34,20.22,18.69,15.06,12.41,13.03,14.69,15.0,15.28,17.44,20.78,21.94,21.19,21.75,22.84,22.34,19.53,17.88,18.75,20.72,21.44,23.25,28.16,33.16,35.25,35.84,37.34,38.53,36.88,32.53,29.16,27.0,24.5,19.69,15.84,14.38,12.19,7.56,2.66,1.31,1.94,2.09,2.41,6.19,11.69,16.53,19.44,23.72,29.44,34.06,35.53,36.62,39.53,41.97,41.03,38.41,36.81,35.16,31.19,26.31,23.47,22.81,21.81,19.03,17.66,18.72,19.88,18.53,17.06,17.22,17.28,14.44,10.22,8.53,8.84,8.56,7.75,9.38,13.34,16.22,16.69,17.28,19.41,20.88,19.19,16.84,16.28,16.03,13.28,9.56,7.94,8.56,8.28,6.28,6.03,8.06,9.75,9.28,9.53,12.09,14.75,14.62,14.25,16.0,18.5,18.34,16.72,15.75,16.16,15.34,12.41,10.62,10.94,10.81,8.28,6.62,8.06,10.09,9.81,9.06,10.06,11.66,11.34,9.66,9.44,10.84,11.09,8.97,7.09,7.59,8.25,6.56,5.44,7.09,9.47,9.69,8.81,9.84,12.19,12.28,10.56,10.03,11.0,11.28,9.16,7.56,8.44,9.03,6.97,4.72,4.81,6.59,6.75,6.69,8.5,12.38,14.47,14.25,15.03,17.0,18.31,16.5,14.59,14.75,14.81,12.16,8.72,7.94,8.69,8.28,7.47,8.5,11.53,13.34,12.66,12.59,14.47,15.97,14.66,12.91,13.31,13.69,43.41,45.34,47.31,47.5,46.59,46.22,47.03,46.69,45.66,45.44,46.62,47.25,46.16,44.81,44.78,44.66,43.28,42.12,43.03,44.94,45.5,45.25,45.59,46.5,46.38,45.12,44.19,45.03,45.62,45.25,45.31,47.06,49.12,49.69,49.22,49.25,49.97,48.88,46.69,45.59,45.78,45.53:positivity
29.28,28.88,29.25,30.19,30.12,28.41,27.38,27.94,28.12,26.75,25.0,24.75,25.56,25.25,25.03,26.44,28.78,30.09,30.28,30.56,31.88,31.84,29.16,26.31,24.75,23.25,20.81,19.12,19.88,21.72,22.25,22.22,22.84,24.16,24.56,23.94,23.84,25.22,25.84,24.38,22.38,21.91,21.5,19.75,18.12,18.25,19.25,18.66,17.06,16.12,16.09,15.47,14.0,13.69,15.53,17.94,18.81,19.75,21.72,23.06,22.5,21.19,20.94,21.88,21.97,21.66,21.69,22.59,22.88,21.59,20.94,21.69,22.22,20.97,19.97,20.25,21.44,21.28,20.66,21.12,22.69,23.06,22.62,22.78,24.25,24.81,24.19,23.59,24.38,24.66,23.12,21.31,21.22,21.53,21.16,20.5,21.28,23.22,24.19,24.5,24.75,25.69,25.28,23.09,20.94,20.22,19.84,17.66,16.0,15.5,16.03,15.56,14.31,14.41,15.84,15.66,14.25,13.16,13.22,12.62,11.03,9.47,9.62,10.09,8.69,7.12,7.19,8.28,8.59,8.66,9.97,12.81,14.34,14.41,15.12,17.0,18.53,18.81,19.09,20.81,22.59,21.88,20.41,19.91,20.0,19.31,18.19,17.91,19.78,20.5,20.0,20.06,21.53,22.66,21.81,20.22,19.81,18.94,16.16,12.66,10.53,10.03,8.66,7.06,6.91,8.38,8.97,8.59,8.34,10.12,11.81,12.06,12.28,13.66,15.0,14.0,11.91,10.84,10.16,8.34,5.72,4.31,4.91,5.62,5.47,6.19,8.06,9.09,8.56,7.72,8.03,9.41,9.66,9.69,9.78,10.78,10.31,8.88,8.38,9.53,10.38,10.22,10.31,11.38,11.97,10.91,8.81,8.03,7.62,6.44,4.72,3.94,4.53,4.31,3.44,4.0,5.75,7.44,7.78,8.03,9.66,11.12,11.25,11.0,11.88,13.12,13.25,12.72,13.16,14.59,15.06,14.19,13.69,14.25,13.78,11.78,9.16,7.84,6.34,3.78,1.19,1.03,2.09,2.44,2.38,3.12,4.97,5.88,5.66,5.66,7.03,7.81,7.31,6.5,7.44,8.56,8.0,7.03,7.41,8.16,8.16,7.56,8.0,9.94,11.16,10.81,10.34,11.25,11.41,10.16,8.34,7.25,6.31,4.19,1.31,0.84,2.0,3.47,5.0,6.94,10.19,12.41,13.25,13.41,15.0,16.34,15.94,14.47,14.38,14.81,13.84,12.28,12.03,12.19,11.62,10.16,9.5,10.22,10.22,8.56,6.59,6.12,5.91,4.53,2.88,2.75,2.97,2.53,1.72,2.41,4.62,6.38,6.5,6.34,6.81,6.41,4.47,2.94,3.66,5.03,5.56,5.91,7.34,8.88,9.66,9.09,9.25,9.81,9.28,7.47,5.69,5.72,5.94,5.19,4.66,6.0,7.09,6.94,5.78,6.22,6.53,5.91,4.59,4.56,5.53,5.78,4.5,3.62,4.06,4.28,3.94,3.88,5.59,7.25,7.47,7.38,8.31,9.97,10.88,10.66,10.81,11.78,11.66,9.78,7.62,7.16,6.22,4.09,2.5,3.06,4.84,5.78,6.19,7.5,9.28,10.0,8.97,8.91,9.66,9.88,8.25,6.66,6.91,7.34,6.59,6.28,7.66,10.06,11.28,11.66,13.16,15.31,16.91,17.06,17.38,18.12,18.0,15.62,12.88,11.06,9.66,7.06,4.31,3.53,3.66,3.34,2.5,2.75,4.34,5.59,4.97,5.25,6.28,7.28,7.0,7.16,9.62,12.19,13.97,15.22,17.03,18.47,17.75,14.94,12.09,9.94,7.56,4.59,2.91,3.09,3.75,3.44,3.25,4.66,6.06,6.69,6.03,6.81,7.62,7.72,6.69,6.12,6.56,7.09,6.0,5.47,5.81,6.12,4.41,2.78,2.91,3.47,3.41,2.84,3.53,4.06,3.97,2.94,2.16,2.66,3.34,2.75,2.59,3.5,4.62,4.28,3.28,3.88,4.81,5.12,4.94,6.34,8.0,9.28,8.69,8.38,8.5,8.0,6.25,4.81,4.91,5.41,4.69,4.16,4.56,5.91,6.69,6.31,7.09,8.66,9.59,8.59,8.41,9.19,9.75,8.56,7.59,8.44,9.94,9.88,9.47,10.03,10.59,9.94,8.28,8.44,9.84,11.16,11.34,11.84,13.06,13.94,13.62,13.12,13.88,15.25,15.12,13.97,13.97,14.47,14.34,13.09,12.84,13.19,13.25,11.69,10.0,9.91,10.25,9.34,8.62,9.25,10.69,10.34,9.88,10.0,11.0,11.47,11.0,11.47,13.03,14.12,13.41,12.19,11.28,9.84,6.94,4.19,3.19,3.97,4.34,4.78,6.19,8.53,10.34,10.53,11.25,12.59,13.12,12.06,11.16,11.31,12.31,12.75,12.88,14.44,16.44,16.94,16.0,15.34,14.91,13.56,10.34,7.97,6.31,4.91,2.53,0.44,0.22,1.31,2.09,3.34,6.31,10.12,12.44,13.69,14.94,17.12,18.12,18.09,18.31,19.47,20.41,19.31,18.06,17.47,16.81,15.25,13.38,12.59,12.84,11.62,9.47,7.81,7.5,7.09,6.03,6.41,7.88,9.66,10.0,10.41,11.59,13.25,13.25,12.44,11.75,12.16,11.75,10.47,10.5,11.88,12.88,12.28,12.19,12.59,13.06,12.03,10.72,10.06,10.03,9.0,7.66,7.78,9.38,10.38,10.16,10.0,10.94,11.69,11.44,11.75,14.0,16.97,18.25,18.81,19.66,20.5,19.75,17.53,15.53,14.38,12.41,9.78,7.53,7.03,6.88,5.72,4.59,5.47,6.81,7.41,7.97,9.41,11.47,12.22,11.75,11.72,12.59,12.91,12.5,12.34,13.62,15.09,14.78,13.88,13.41,12.75,10.81,8.47,8.0,8.75,9.09,8.34,7.75,7.94,8.0,6.72,5.5,6.0,6.28,5.28,4.03,3.72,4.31,4.25,4.31,5.47,7.84,9.25,9.5,10.22,12.09,13.56,13.88,13.75,14.5,14.53,12.88,11.16,10.81,11.53,11.31,10.62,10.69,11.38,11.5,10.44,10.06,11.09,11.84,11.44,11.22,12.12,13.06,12.56,11.12,10.69,11.03,10.41,9.44,9.59,10.62,10.62,9.0,6.84,6.44,5.66,3.75,2.75,3.31,4.28,4.06,3.5,3.81,4.84,5.06,5.03,5.72,8.09,10.56,11.38,12.66,15.06,16.56,16.28,15.0,14.03,13.16,11.28,8.88,8.34,9.44,9.72,9.12,8.78,9.88,10.59,10.5,10.38,11.97,13.53,13.19,12.28,12.75,13.78,14.03,13.38,13.97,15.53,16.56,16.69,17.09,18.72,19.59,18.97,17.69,17.25,17.12,15.69,13.69,13.12,13.38,12.62,11.56,11.34,12.22,12.31,11.28,10.31,10.66,10.75,9.84,8.72,8.75,9.16,8.56,7.34,7.72,9.38,10.16,9.91,10.22,10.84,10.22,8.28,6.06,5.53,5.31,3.97,2.97,3.0,3.34,2.62,1.62,2.03,3.69,4.78,5.38,6.62,8.75,10.31,10.94,11.5,14.06,16.66,17.78,18.31,19.5,20.75,20.72,19.34,18.38,17.78,16.28,13.44,11.0,10.16,9.22,7.12,5.5,5.94,6.72,6.66,6.34,7.5,9.16,9.88,10.06,10.75,12.44,13.0,12.66,12.66,13.84,14.75,13.97,12.44,12.03,11.72,10.09,7.97,7.19,7.56,7.12,6.47,7.16,9.72,11.75,12.22,12.91,14.47,15.56,15.72,15.53,16.78,18.09,17.69,16.44,16.16,16.72,16.5,15.78,16.0,17.25,18.16,16.72,15.81,16.03,16.31,15.94,15.41,16.59,18.34,18.44,17.94,18.75,20.5,21.16,20.78,20.38,20.66,20.25,18.16,16.19,16.41,17.38,17.25,16.72,18.19,19.91,19.88,18.97,18.91,19.06,18.44,16.69,14.97,14.72,14.06,12.19,10.81,11.12,12.31,12.28,11.72,12.28,13.12,13.22,12.31,12.62,13.59,14.5,14.25,14.28,15.72,17.38,17.0,16.41,16.72,16.69,15.5,13.69,13.19,13.59,13.22,11.69,11.94,13.44,14.47,14.41,14.91,16.47,17.75,17.59,17.47,18.25,18.75,18.16,16.66,16.41,16.81,16.56,15.47,15.31,16.47,17.59,17.53,17.78,19.69,20.66,20.22,19.28,19.81,20.5,19.88,18.47,18.06,18.12,17.5,15.84,14.53,14.03,13.28,10.78,8.12,7.34,7.19,5.81,4.59,5.03,7.12,8.19,8.5,10.06,12.25,13.34,12.59,11.94,12.03,11.75,10.25,9.25,10.38,12.34,13.25,13.47,15.69,17.62,18.41,17.41,17.0,16.5,15.25,13.25,11.97,12.5,13.31,13.09,12.78,13.81,15.38,15.25,14.44,14.62,15.72,15.59,14.59,14.38,15.53,16.44,15.84,15.72,16.94,17.44,16.38,15.28,15.62,16.88,16.97,16.88,17.53,19.09,19.03,17.41,16.06,15.72,15.28,13.34,12.16,12.78,14.25,14.28,14.25,15.88,17.53,17.66,16.84,16.84,18.12,18.56,17.72,18.22,19.0,19.38,17.59,15.38,14.19,12.84,9.62,6.16,4.28,4.03,3.28,2.72,4.06,7.44,10.28,11.91,14.19,17.38,20.19,20.97,21.66,23.94,25.97,25.66,23.62,22.53,21.72,19.56,16.97,16.44,17.0,16.81,15.12,14.22,14.66,15.84,15.81,16.78,19.09,21.81,22.56,22.44,23.0,24.47,24.5,23.34,22.75,23.09,22.75,21.0,19.72,20.03,20.69,19.5,18.53,18.62,19.19,18.5,17.41,17.59,18.38,18.28,16.69,15.84,16.25,17.0,16.91,17.81,20.62,23.38,24.06,24.28,25.41,26.19,25.59,24.5,24.72,25.22,24.94:27.94,28.12,26.75,25.0,24.75,25.56,25.25,25.03,26.44,28.78,30.09,30.28,30.56,31.88,31.84,29.16,26.31,24.75,23.25,20.81,19.12,19.88,21.72,22.25,22.22,22.84,24.16,24.56,23.94,23.84,25.22,25.84,24.38,22.38,21.91,21.5,19.75,18.12,18.25,19.25,18.66,17.06,16.12,16.09,15.47,14.0,13.69,15.53,17.94,18.81,19.75,21.72,23.06,22.5,21.19,20.94,21.88,21.97,21.66,21.69,22.59,22.88,21.59,20.94,21.69,22.22,20.97,19.97,20.25,21.44,21.28,20.66,21.12,22.69,23.06,22.62,22.78,24.25,24.81,24.19,23.59,24.38,24.66,23.12,21.31,21.22,21.53,21.16,20.5,21.28,23.22,24.19,24.5,24.75,25.69,25.28,23.09,20.94,20.22,19.84,17.66,16.0,15.5,16.03,15.56,14.31,14.41,15.84,15.66,14.25,13.16,13.22,12.62,11.03,9.47,9.62,10.09,8.69,7.12,7.19,8.28,8.59,8.66,9.97,12.81,14.34,14.41,15.12,17.0,18.53,18.81,19.09,20.81,22.59,21.88,20.41,19.91,20.0,19.31,18.19,17.91,19.78,20.5,20.0,20.06,21.53,22.66,21.81,20.22,19.81,18.94,16.16,12.66,10.53,10.03,8.66,7.06,6.91,8.38,8.97,8.59,8.34,10.12,11.81,12.06,12.28,13.66,15.0,14.0,11.91,10.84,10.16,8.34,5.72,4.31,4.91,5.62,5.47,6.19,8.06,9.09,8.56,7.72,8.03,9.41,9.66,9.69,9.78,10.78,10.31,8.88,8.38,9.53,10.38,10.22,10.31,11.38,11.97,10.91,8.81,8.03,7.62,6.44,4.72,3.94,4.53,4.31,3.44,4.0,5.75,7.44,7.78,8.03,9.66,11.12,11.25,11.0,11.88,13.12,13.25,12.72,13.16,14.59,15.06,14.19,13.69,14.25,13.78,11.78,9.16,7.84,6.34,3.78,1.19,1.03,2.09,2.44,2.38,3.12,4.97,5.88,5.66,5.66,7.03,7.81,7.31,6.5,7.44,8.56,8.0,7.03,7.41,8.16,8.16,7.56,8.0,9.94,11.16,10.81,10.34,11.25,11.41,10.16,8.34,7.25,6.31,4.19,1.31,0.84,2.0,3.47,5.0,6.94,10.19,12.41,13.25,13.41,15.0,16.34,15.94,14.47,14.38,14.81,13.84,12.28,12.03,12.19,11.62,10.16,9.5,10.22,10.22,8.56,6.59,6.12,5.91,4.53,2.88,2.75,2.97,2.53,1.72,2.41,4.62,6.38,6.5,6.34,6.81,6.41,4.47,2.94,3.66,5.03,5.56,5.91,7.34,8.88,9.66,9.09,9.25,9.81,9.28,7.47,5.69,5.72,5.94,5.19,4.66,6.0,7.09,6.94,5.78,6.22,6.53,5.91,4.59,4.56,5.53,5.78,4.5,3.62,4.06,4.28,3.94,3.88,5.59,7.25,7.47,7.38,8.31,9.97,10.88,10.66,10.81,11.78,11.66,9.78,7.62,7.16,6.22,4.09,2.5,3.06,4.84,5.78,6.19,7.5,9.28,10.0,8.97,8.91,9.66,9.88,8.25,6.66,6.91,7.34,6.59,6.28,7.66,10.06,11.28,11.66,13.16,15.31,16.91,17.06,17.38,18.12,18.0,15.62,12.88,11.06,9.66,7.06,4.31,3.53,3.66,3.34,2.5,2.75,4.34,5.59,4.97,5.25,6.28,7.28,7.0,7.16,9.62,12.19,13.97,15.22,17.03,18.47,17.75,14.94,12.09,9.94,7.56,4.59,2.91,3.09,3.75,3.44,3.25,4.66,6.06,6.69,6.03,6.81,7.62,7.72,6.69,6.12,6.56,7.09,6.0,5.47,5.81,6.12,4.41,2.78,2.91,3.47,3.41,2.84,3.53,4.06,3.97,2.94,2.16,2.66,3.34,2.75,2.59,3.5,4.62,4.28,3.28,3.88,4.81,5.12,4.94,6.34,8.0,9.28,8.69,8.38,8.5,8.0,6.25,4.81,4.91,5.41,4.69,4.16,4.56,5.91,6.69,6.31,7.09,8.66,9.59,8.59,8.41,9.19,9.75,8.56,7.59,8.44,9.94,9.88,9.47,10.03,10.59,9.94,8.28,8.44,9.84,11.16,11.34,11.84,13.06,13.94,13.62,13.12,13.88,15.25,15.12,13.97,13.97,14.47,14.34,13.09,12.84,13.19,13.25,11.69,10.0,9.91,10.25,9.34,8.62,9.25,10.69,10.34,9.88,10.0,11.0,11.47,11.0,11.47,13.03,14.12,13.41,12.19,11.28,9.84,6.94,4.19,3.19,3.97,4.34,4.78,6.19,8.53,10.34,10.53,11.25,12.59,13.12,12.06,11.16,11.31,12.31,12.75,12.88,14.44,16.44,16.94,16.0,15.34,14.91,13.56,10.34,7.97,6.31,4.91,2.53,0.44,0.22,1.31,2.09,3.34,6.31,10.12,12.44,13.69,14.94,17.12,18.12,18.09,18.31,19.47,20.41,19.31,18.06,17.47,16.81,15.25,13.38,12.59,12.84,11.62,9.47,7.81,7.5,7.09,6.03,6.41,7.88,9.66,10.0,10.41,11.59,13.25,13.25,12.44,11.75,12.16,11.75,10.47,10.5,11.88,12.88,12.28,12.19,12.59,13.06,12.03,10.72,10.06,10.03,9.0,7.66,7.78,9.38,10.38,10.16,10.0,10.94,11.69,11.44,11.75,14.0,16.97,18.25,18.81,19.66,20.5,19.75,17.53,15.53,14.38,12.41,9.78,7.53,7.03,6.88,5.72,4.59,5.47,6.81,7.41,7.97,9.41,11.47,12.22,11.75,11.72,12.59,12.91,12.5,12.34,13.62,15.09,14.78,13.88,13.41,12.75,10.81,8.47,8.0,8.75,9.09,8.34,7.75,7.94,8.0,6.72,5.5,6.0,6.28,5.28,4.03,3.72,4.31,4.25,4.31,5.47,7.84,9.25,9.5,10.22,12.09,13.56,13.88,13.75,14.5,14.53,12.88,11.16,10.81,11.53,11.31,10.62,10.69,11.38,11.5,10.44,10.06,11.09,11.84,11.44,11.22,12.12,13.06,12.56,11.12,10.69,11.03,10.41,9.44,9.59,10.62,10.62,9.0,6.84,6.44,5.66,3.75,2.75,3.31,4.28,4.06,3.5,3.81,4.84,5.06,5.03,5.72,8.09,10.56,11.38,12.66,15.06,16.56,16.28,15.0,14.03,13.16,11.28,8.88,8.34,9.44,9.72,9.12,8.78,9.88,10.59,10.5,10.38,11.97,13.53,13.19,12.28,12.75,13.78,14.03,13.38,13.97,15.53,16.56,16.69,17.09,18.72,19.59,18.97,17.69,17.25,17.12,15.69,13.69,13.12,13.38,12.62,11.56,11.34,12.22,12.31,11.28,10.31,10.66,10.75,9.84,8.72,8.75,9.16,8.56,7.34,7.72,9.38,10.16,9.91,10.22,10.84,10.22,8.28,6.06,5.53,5.31,3.97,2.97,3.0,3.34,2.62,1.62,2.03,3.69,4.78,5.38,6.62,8.75,10.31,10.94,11.5,14.06,16.66,17.78,18.31,19.5,20.75,20.72,19.34,18.38,17.78,16.28,13.44,11.0,10.16,9.22,7.12,5.5,5.94,6.72,6.66,6.34,7.5,9.16,9.88,10.06,10.75,12.44,13.0,12.66,12.66,13.84,14.75,13.97,12.44,12.03,11.72,10.09,7.97,7.19,7.56,7.12,6.47,7.16,9.72,11.75,12.22,12.91,14.47,15.56,15.72,15.53,16.78,18.09,17.69,16.44,16.16,16.72,16.5,15.78,16.0,17.25,18.16,16.72,15.81,16.03,16.31,15.94,15.41,16.59,18.34,18.44,17.94,18.75,20.5,21.16,20.78,20.38,20.66,20.25,18.16,16.19,16.41,17.38,17.25,16.72,18.19,19.91,19.88,18.97,18.91,19.06,18.44,16.69,14.97,14.72,14.06,12.19,10.81,11.12,12.31,12.28,11.72,12.28,13.12,13.22,12.31,12.62,13.59,14.5,14.25,14.28,15.72,17.38,17.0,16.41,16.72,16.69,15.5,13.69,13.19,13.59,13.22,11.69,11.94,13.44,14.47,14.41,14.91,16.47,17.75,17.59,17.47,18.25,18.75,18.16,16.66,16.41,16.81,16.56,15.47,15.31,16.47,17.59,17.53,17.78,19.69,20.66,20.22,19.28,19.81,20.5,19.88,18.47,18.06,18.12,17.5,15.84,14.53,14.03,13.28,10.78,8.12,7.34,7.19,5.81,4.59,5.03,7.12,8.19,8.5,10.06,12.25,13.34,12.59,11.94,12.03,11.75,10.25,9.25,10.38,12.34,13.25,13.47,15.69,17.62,18.41,17.41,17.0,16.5,15.25,13.25,11.97,12.5,13.31,13.09,12.78,13.81,15.38,15.25,14.44,14.62,15.72,15.59,14.59,14.38,15.53,16.44,15.84,15.72,16.94,17.44,16.38,15.28,15.62,16.88,16.97,16.88,17.53,19.09,19.03,17.41,16.06,15.72,15.28,13.34,12.16,12.78,14.25,14.28,14.25,15.88,17.53,17.66,16.84,16.84,18.12,18.56,17.72,18.22,19.0,19.38,17.59,15.38,14.19,12.84,9.62,6.16,4.28,4.03,3.28,2.72,4.06,7.44,10.28,11.91,14.19,17.38,20.19,20.97,21.66,23.94,25.97,25.66,23.62,22.53,21.72,19.56,16.97,16.44,17.0,16.81,15.12,14.22,14.66,15.84,15.81,16.78,19.09,21.81,22.56,22.44,23.0,24.47,24.5,23.34,22.75,23.09,22.75,21.0,19.72,20.03,20.69,19.5,18.53,18.62,19.19,18.5,17.41,17.59,18.38,18.28,16.69,15.84,16.25,17.0,16.91,17.81,20.62,23.38,24.06,24.28,25.41,26.19,25.59,24.5,24.72,25.22,24.94,44.25,44.81,45.16,44.88,44.56,44.16,43.56:25.03,26.44,28.78,30.09,30.28,30.56,31.88,31.84,29.16,26.31,24.75,23.25,20.81,19.12,19.88,21.72,22.25,22.22,22.84,24.16,24.56,23.94,23.84,25.22,25.84,24.38,22.38,21.91,21.5,19.75,18.12,18.25,19.25,18.66,17.06,16.12,16.09,15.47,14.0,13.69,15.53,17.94,18.81,19.75,21.72,23.06,22.5,21.19,20.94,21.88,21.97,21.66,21.69,22.59,22.88,21.59,20.94,21.69,22.22,20.97,19.97,20.25,21.44,21.28,20.66,21.12,22.69,23.06,22.62,22.78,24.25,24.81,24.19,23.59,24.38,24.66,23.12,21.31,21.22,21.53,21.16,20.5,21.28,23.22,24.19,24.5,24.75,25.69,25.28,23.09,20.94,20.22,19.84,17.66,16.0,15.5,16.03,15.56,14.31,14.41,15.84,15.66,14.25,13.16,13.22,12.62,11.03,9.47,9.62,10.09,8.69,7.12,7.19,8.28,8.59,8.66,9.97,12.81,14.34,14.41,15.12,17.0,18.53,18.81,19.09,20.81,22.59,21.88,20.41,19.91,20.0,19.31,18.19,17.91,19.78,20.5,20.0,20.06,21.53,22.66,21.81,20.22,19.81,18.94,16.16,12.66,10.53,10.03,8.66,7.06,6.91,8.38,8.97,8.59,8.34,10.12,11.81,12.06,12.28,13.66,15.0,14.0,11.91,10.84,10.16,8.34,5.72,4.31,4.91,5.62,5.47,6.19,8.06,9.09,8.56,7.72,8.03,9.41,9.66,9.69,9.78,10.78,10.31,8.88,8.38,9.53,10.38,10.22,10.31,11.38,11.97,10.91,8.81,8.03,7.62,6.44,4.72,3.94,4.53,4.31,3.44,4.0,5.75,7.44,7.78,8.03,9.66,11.12,11.25,11.0,11.88,13.12,13.25,12.72,13.16,14.59,15.06,14.19,13.69,14.25,13.78,11.78,9.16,7.84,6.34,3.78,1.19,1.03,2.09,2.44,2.38,3.12,4.97,5.88,5.66,5.66,7.03,7.81,7.31,6.5,7.44,8.56,8.0,7.03,7.41,8.16,8.16,7.56,8.0,9.94,11.16,10.81,10.34,11.25,11.41,10.16,8.34,7.25,6.31,4.19,1.31,0.84,2.0,3.47,5.0,6.94,10.19,12.41,13.25,13.41,15.0,16.34,15.94,14.47,14.38,14.81,13.84,12.28,12.03,12.19,11.62,10.16,9.5,10.22,10.22,8.56,6.59,6.12,5.91,4.53,2.88,2.75,2.97,2.53,1.72,2.41,4.62,6.38,6.5,6.34,6.81,6.41,4.47,2.94,3.66,5.03,5.56,5.91,7.34,8.88,9.66,9.09,9.25,9.81,9.28,7.47,5.69,5.72,5.94,5.19,4.66,6.0,7.09,6.94,5.78,6.22,6.53,5.91,4.59,4.56,5.53,5.78,4.5,3.62,4.06,4.28,3.94,3.88,5.59,7.25,7.47,7.38,8.31,9.97,10.88,10.66,10.81,11.78,11.66,9.78,7.62,7.16,6.22,4.09,2.5,3.06,4.84,5.78,6.19,7.5,9.28,10.0,8.97,8.91,9.66,9.88,8.25,6.66,6.91,7.34,6.59,6.28,7.66,10.06,11.28,11.66,13.16,15.31,16.91,17.06,17.38,18.12,18.0,15.62,12.88,11.06,9.66,7.06,4.31,3.53,3.66,3.34,2.5,2.75,4.34,5.59,4.97,5.25,6.28,7.28,7.0,7.16,9.62,12.19,13.97,15.22,17.03,18.47,17.75,14.94,12.09,9.94,7.56,4.59,2.91,3.09,3.75,3.44,3.25,4.66,6.06,6.69,6.03,6.81,7.62,7.72,6.69,6.12,6.56,7.09,6.0,5.47,5.81,6.12,4.41,2.78,2.91,3.47,3.41,2.84,3.53,4.06,3.97,2.94,2.16,2.66,3.34,2.75,2.59,3.5,4.62,4.28,3.28,3.88,4.81,5.12,4.94,6.34,8.0,9.28,8.69,8.38,8.5,8.0,6.25,4.81,4.91,5.41,4.69,4.16,4.56,5.91,6.69,6.31,7.09,8.66,9.59,8.59,8.41,9.19,9.75,8.56,7.59,8.44,9.94,9.88,9.47,10.03,10.59,9.94,8.28,8.44,9.84,11.16,11.34,11.84,13.06,13.94,13.62,13.12,13.88,15.25,15.12,13.97,13.97,14.47,14.34,13.09,12.84,13.19,13.25,11.69,10.0,9.91,10.25,9.34,8.62,9.25,10.69,10.34,9.88,10.0,11.0,11.47,11.0,11.47,13.03,14.12,13.41,12.19,11.28,9.84,6.94,4.19,3.19,3.97,4.34,4.78,6.19,8.53,10.34,10.53,11.25,12.59,13.12,12.06,11.16,11.31,12.31,12.75,12.88,14.44,16.44,16.94,16.0,15.34,14.91,13.56,10.34,7.97,6.31,4.91,2.53,0.44,0.22,1.31,2.09,3.34,6.31,10.12,12.44,13.69,14.94,17.12,18.12,18.09,18.31,19.47,20.41,19.31,18.06,17.47,16.81,15.25,13.38,12.59,12.84,11.62,9.47,7.81,7.5,7.09,6.03,6.41,7.88,9.66,10.0,10.41,11.59,13.25,13.25,12.44,11.75,12.16,11.75,10.47,10.5,11.88,12.88,12.28,12.19,12.59,13.06,12.03,10.72,10.06,10.03,9.0,7.66,7.78,9.38,10.38,10.16,10.0,10.94,11.69,11.44,11.75,14.0,16.97,18.25,18.81,19.66,20.5,19.75,17.53,15.53,14.38,12.41,9.78,7.53,7.03,6.88,5.72,4.59,5.47,6.81,7.41,7.97,9.41,11.47,12.22,11.75,11.72,12.59,12.91,12.5,12.34,13.62,15.09,14.78,13.88,13.41,12.75,10.81,8.47,8.0,8.75,9.09,8.34,7.75,7.94,8.0,6.72,5.5,6.0,6.28,5.28,4.03,3.72,4.31,4.25,4.31,5.47,7.84,9.25,9.5,10.22,12.09,13.56,13.88,13.75,14.5,14.53,12.88,11.16,10.81,11.53,11.31,10.62,10.69,11.38,11.5,10.44,10.06,11.09,11.84,11.44,11.22,12.12,13.06,12.56,11.12,10.69,11.03,10.41,9.44,9.59,10.62,10.62,9.0,6.84,6.44,5.66,3.75,2.75,3.31,4.28,4.06,3.5,3.81,4.84,5.06,5.03,5.72,8.09,10.56,11.38,12.66,15.06,16.56,16.28,15.0,14.03,13.16,11.28,8.88,8.34,9.44,9.72,9.12,8.78,9.88,10.59,10.5,10.38,11.97,13.53,13.19,12.28,12.75,13.78,14.03,13.38,13.97,15.53,16.56,16.69,17.09,18.72,19.59,18.97,17.69,17.25,17.12,15.69,13.69,13.12,13.38,12.62,11.56,11.34,12.22,12.31,11.28,10.31,10.66,10.75,9.84,8.72,8.75,9.16,8.56,7.34,7.72,9.38,10.16,9.91,10.22,10.84,10.22,8.28,6.06,5.53,5.31,3.97,2.97,3.0,3.34,2.62,1.62,2.03,3.69,4.78,5.38,6.62,8.75,10.31,10.94,11.5,14.06,16.66,17.78,18.31,19.5,20.75,20.72,19.34,18.38,17.78,16.28,13.44,11.0,10.16,9.22,7.12,5.5,5.94,6.72,6.66,6.34,7.5,9.16,9.88,10.06,10.75,12.44,13.0,12.66,12.66,13.84,14.75,13.97,12.44,12.03,11.72,10.09,7.97,7.19,7.56,7.12,6.47,7.16,9.72,11.75,12.22,12.91,14.47,15.56,15.72,15.53,16.78,18.09,17.69,16.44,16.16,16.72,16.5,15.78,16.0,17.25,18.16,16.72,15.81,16.03,16.31,15.94,15.41,16.59,18.34,18.44,17.94,18.75,20.5,21.16,20.78,20.38,20.66,20.25,18.16,16.19,16.41,17.38,17.25,16.72,18.19,19.91,19.88,18.97,18.91,19.06,18.44,16.69,14.97,14.72,14.06,12.19,10.81,11.12,12.31,12.28,11.72,12.28,13.12,13.22,12.31,12.62,13.59,14.5,14.25,14.28,15.72,17.38,17.0,16.41,16.72,16.69,15.5,13.69,13.19,13.59,13.22,11.69,11.94,13.44,14.47,14.41,14.91,16.47,17.75,17.59,17.47,18.25,18.75,18.16,16.66,16.41,16.81,16.56,15.47,15.31,16.47,17.59,17.53,17.78,19.69,20.66,20.22,19.28,19.81,20.5,19.88,18.47,18.06,18.12,17.5,15.84,14.53,14.03,13.28,10.78,8.12,7.34,7.19,5.81,4.59,5.03,7.12,8.19,8.5,10.06,12.25,13.34,12.59,11.94,12.03,11.75,10.25,9.25,10.38,12.34,13.25,13.47,15.69,17.62,18.41,17.41,17.0,16.5,15.25,13.25,11.97,12.5,13.31,13.09,12.78,13.81,15.38,15.25,14.44,14.62,15.72,15.59,14.59,14.38,15.53,16.44,15.84,15.72,16.94,17.44,16.38,15.28,15.62,16.88,16.97,16.88,17.53,19.09,19.03,17.41,16.06,15.72,15.28,13.34,12.16,12.78,14.25,14.28,14.25,15.88,17.53,17.66,16.84,16.84,18.12,18.56,17.72,18.22,19.0,19.38,17.59,15.38,14.19,12.84,9.62,6.16,4.28,4.03,3.28,2.72,4.06,7.44,10.28,11.91,14.19,17.38,20.19,20.97,21.66,23.94,25.97,25.66,23.62,22.53,21.72,19.56,16.97,16.44,17.0,16.81,15.12,14.22,14.66,15.84,15.81,16.78,19.09,21.81,22.56,22.44,23.0,24.47,24.5,23.34,22.75,23.09,22.75,21.0,19.72,20.03,20.69,19.5,18.53,18.62,19.19,18.5,17.41,17.59,18.38,18.28,16.69,15.84,16.25,17.0,16.91,17.81,20.62,23.38,24.06,24.28,25.41,26.19,25.59,24.5,24.72,25.22,24.94,44.25,44.81,45.16,44.88,44.56,44.16,43.56,43.16,43.12,43.09,42.91,42.22,42.06,42.25:31.84,29.16,26.31,24.75,23.25,20.81,19.12,19.88,21.72,22.25,22.22,22.84,24.16,24.56,23.94,23.84,25.22,25.84,24.38,22.38,21.91,21.5,19.75,18.12,18.25,19.25,18.66,17.06,16.12,16.09,15.47,14.0,13.69,15.53,17.94,18.81,19.75,21.72,23.06,22.5,21.19,20.94,21.88,21.97,21.66,21.69,22.59,22.88,21.59,20.94,21.69,22.22,20.97,19.97,20.25,21.44,21.28,20.66,21.12,22.69,23.06,22.62,22.78,24.25,24.81,24.19,23.59,24.38,24.66,23.12,21.31,21.22,21.53,21.16,20.5,21.28,23.22,24.19,24.5,24.75,25.69,25.28,23.09,20.94,20.22,19.84,17.66,16.0,15.5,16.03,15.56,14.31,14.41,15.84,15.66,14.25,13.16,13.22,12.62,11.03,9.47,9.62,10.09,8.69,7.12,7.19,8.28,8.59,8.66,9.97,12.81,14.34,14.41,15.12,17.0,18.53,18.81,19.09,20.81,22.59,21.88,20.41,19.91,20.0,19.31,18.19,17.91,19.78,20.5,20.0,20.06,21.53,22.66,21.81,20.22,19.81,18.94,16.16,12.66,10.53,10.03,8.66,7.06,6.91,8.38,8.97,8.59,8.34,10.12,11.81,12.06,12.28,13.66,15.0,14.0,11.91,10.84,10.16,8.34,5.72,4.31,4.91,5.62,5.47,6.19,8.06,9.09,8.56,7.72,8.03,9.41,9.66,9.69,9.78,10.78,10.31,8.88,8.38,9.53,10.38,10.22,10.31,11.38,11.97,10.91,8.81,8.03,7.62,6.44,4.72,3.94,4.53,4.31,3.44,4.0,5.75,7.44,7.78,8.03,9.66,11.12,11.25,11.0,11.88,13.12,13.25,12.72,13.16,14.59,15.06,14.19,13.69,14.25,13.78,11.78,9.16,7.84,6.34,3.78,1.19,1.03,2.09,2.44,2.38,3.12,4.97,5.88,5.66,5.66,7.03,7.81,7.31,6.5,7.44,8.56,8.0,7.03,7.41,8.16,8.16,7.56,8.0,9.94,11.16,10.81,10.34,11.25,11.41,10.16,8.34,7.25,6.31,4.19,1.31,0.84,2.0,3.47,5.0,6.94,10.19,12.41,13.25,13.41,15.0,16.34,15.94,14.47,14.38,14.81,13.84,12.28,12.03,12.19,11.62,10.16,9.5,10.22,10.22,8.56,6.59,6.12,5.91,4.53,2.88,2.75,2.97,2.53,1.72,2.41,4.62,6.38,6.5,6.34,6.81,6.41,4.47,2.94,3.66,5.03,5.56,5.91,7.34,8.88,9.66,9.09,9.25,9.81,9.28,7.47,5.69,5.72,5.94,5.19,4.66,6.0,7.09,6.94,5.78,6.22,6.53,5.91,4.59,4.56,5.53,5.78,4.5,3.62,4.06,4.28,3.94,3.88,5.59,7.25,7.47,7.38,8.31,9.97,10.88,10.66,10.81,11.78,11.66,9.78,7.62,7.16,6.22,4.09,2.5,3.06,4.84,5.78,6.19,7.5,9.28,10.0,8.97,8.91,9.66,9.88,8.25,6.66,6.91,7.34,6.59,6.28,7.66,10.06,11.28,11.66,13.16,15.31,16.91,17.06,17.38,18.12,18.0,15.62,12.88,11.06,9.66,7.06,4.31,3.53,3.66,3.34,2.5,2.75,4.34,5.59,4.97,5.25,6.28,7.28,7.0,7.16,9.62,12.19,13.97,15.22,17.03,18.47,17.75,14.94,12.09,9.94,7.56,4.59,2.91,3.09,3.75,3.44,3.25,4.66,6.06,6.69,6.03,6.81,7.62,7.72,6.69,6.12,6.56,7.09,6.0,5.47,5.81,6.12,4.41,2.78,2.91,3.47,3.41,2.84,3.53,4.06,3.97,2.94,2.16,2.66,3.34,2.75,2.59,3.5,4.62,4.28,3.28,3.88,4.81,5.12,4.94,6.34,8.0,9.28,8.69,8.38,8.5,8.0,6.25,4.81,4.91,5.41,4.69,4.16,4.56,5.91,6.69,6.31,7.09,8.66,9.59,8.59,8.41,9.19,9.75,8.56,7.59,8.44,9.94,9.88,9.47,10.03,10.59,9.94,8.28,8.44,9.84,11.16,11.34,11.84,13.06,13.94,13.62,13.12,13.88,15.25,15.12,13.97,13.97,14.47,14.34,13.09,12.84,13.19,13.25,11.69,10.0,9.91,10.25,9.34,8.62,9.25,10.69,10.34,9.88,10.0,11.0,11.47,11.0,11.47,13.03,14.12,13.41,12.19,11.28,9.84,6.94,4.19,3.19,3.97,4.34,4.78,6.19,8.53,10.34,10.53,11.25,12.59,13.12,12.06,11.16,11.31,12.31,12.75,12.88,14.44,16.44,16.94,16.0,15.34,14.91,13.56,10.34,7.97,6.31,4.91,2.53,0.44,0.22,1.31,2.09,3.34,6.31,10.12,12.44,13.69,14.94,17.12,18.12,18.09,18.31,19.47,20.41,19.31,18.06,17.47,16.81,15.25,13.38,12.59,12.84,11.62,9.47,7.81,7.5,7.09,6.03,6.41,7.88,9.66,10.0,10.41,11.59,13.25,13.25,12.44,11.75,12.16,11.75,10.47,10.5,11.88,12.88,12.28,12.19,12.59,13.06,12.03,10.72,10.06,10.03,9.0,7.66,7.78,9.38,10.38,10.16,10.0,10.94,11.69,11.44,11.75,14.0,16.97,18.25,18.81,19.66,20.5,19.75,17.53,15.53,14.38,12.41,9.78,7.53,7.03,6.88,5.72,4.59,5.47,6.81,7.41,7.97,9.41,11.47,12.22,11.75,11.72,12.59,12.91,12.5,12.34,13.62,15.09,14.78,13.88,13.41,12.75,10.81,8.47,8.0,8.75,9.09,8.34,7.75,7.94,8.0,6.72,5.5,6.0,6.28,5.28,4.03,3.72,4.31,4.25,4.31,5.47,7.84,9.25,9.5,10.22,12.09,13.56,13.88,13.75,14.5,14.53,12.88,11.16,10.81,11.53,11.31,10.62,10.69,11.38,11.5,10.44,10.06,11.09,11.84,11.44,11.22,12.12,13.06,12.56,11.12,10.69,11.03,10.41,9.44,9.59,10.62,10.62,9.0,6.84,6.44,5.66,3.75,2.75,3.31,4.28,4.06,3.5,3.81,4.84,5.06,5.03,5.72,8.09,10.56,11.38,12.66,15.06,16.56,16.28,15.0,14.03,13.16,11.28,8.88,8.34,9.44,9.72,9.12,8.78,9.88,10.59,10.5,10.38,11.97,13.53,13.19,12.28,12.75,13.78,14.03,13.38,13.97,15.53,16.56,16.69,17.09,18.72,19.59,18.97,17.69,17.25,17.12,15.69,13.69,13.12,13.38,12.62,11.56,11.34,12.22,12.31,11.28,10.31,10.66,10.75,9.84,8.72,8.75,9.16,8.56,7.34,7.72,9.38,10.16,9.91,10.22,10.84,10.22,8.28,6.06,5.53,5.31,3.97,2.97,3.0,3.34,2.62,1.62,2.03,3.69,4.78,5.38,6.62,8.75,10.31,10.94,11.5,14.06,16.66,17.78,18.31,19.5,20.75,20.72,19.34,18.38,17.78,16.28,13.44,11.0,10.16,9.22,7.12,5.5,5.94,6.72,6.66,6.34,7.5,9.16,9.88,10.06,10.75,12.44,13.0,12.66,12.66,13.84,14.75,13.97,12.44,12.03,11.72,10.09,7.97,7.19,7.56,7.12,6.47,7.16,9.72,11.75,12.22,12.91,14.47,15.56,15.72,15.53,16.78,18.09,17.69,16.44,16.16,16.72,16.5,15.78,16.0,17.25,18.16,16.72,15.81,16.03,16.31,15.94,15.41,16.59,18.34,18.44,17.94,18.75,20.5,21.16,20.78,20.38,20.66,20.25,18.16,16.19,16.41,17.38,17.25,16.72,18.19,19.91,19.88,18.97,18.91,19.06,18.44,16.69,14.97,14.72,14.06,12.19,10.81,11.12,12.31,12.28,11.72,12.28,13.12,13.22,12.31,12.62,13.59,14.5,14.25,14.28,15.72,17.38,17.0,16.41,16.72,16.69,15.5,13.69,13.19,13.59,13.22,11.69,11.94,13.44,14.47,14.41,14.91,16.47,17.75,17.59,17.47,18.25,18.75,18.16,16.66,16.41,16.81,16.56,15.47,15.31,16.47,17.59,17.53,17.78,19.69,20.66,20.22,19.28,19.81,20.5,19.88,18.47,18.06,18.12,17.5,15.84,14.53,14.03,13.28,10.78,8.12,7.34,7.19,5.81,4.59,5.03,7.12,8.19,8.5,10.06,12.25,13.34,12.59,11.94,12.03,11.75,10.25,9.25,10.38,12.34,13.25,13.47,15.69,17.62,18.41,17.41,17.0,16.5,15.25,13.25,11.97,12.5,13.31,13.09,12.78,13.81,15.38,15.25,14.44,14.62,15.72,15.59,14.59,14.38,15.53,16.44,15.84,15.72,16.94,17.44,16.38,15.28,15.62,16.88,16.97,16.88,17.53,19.09,19.03,17.41,16.06,15.72,15.28,13.34,12.16,12.78,14.25,14.28,14.25,15.88,17.53,17.66,16.84,16.84,18.12,18.56,17.72,18.22,19.0,19.38,17.59,15.38,14.19,12.84,9.62,6.16,4.28,4.03,3.28,2.72,4.06,7.44,10.28,11.91,14.19,17.38,20.19,20.97,21.66,23.94,25.97,25.66,23.62,22.53,21.72,19.56,16.97,16.44,17.0,16.81,15.12,14.22,14.66,15.84,15.81,16.78,19.09,21.81,22.56,22.44,23.0,24.47,24.5,23.34,22.75,23.09,22.75,21.0,19.72,20.03,20.69,19.5,18.53,18.62,19.19,18.5,17.41,17.59,18.38,18.28,16.69,15.84,16.25,17.0,16.91,17.81,20.62,23.38,24.06,24.28,25.41,26.19,25.59,24.5,24.72,25.22,24.94,44.25,44.81,45.16,44.88,44.56,44.16,43.56,43.16,43.12,43.09,42.91,42.22,42.06,42.25,42.62,42.72,42.94,43.53,44.03,44.12,44.0:19.88,21.72,22.25,22.22,22.84,24.16,24.56,23.94,23.84,25.22,25.84,24.38,22.38,21.91,21.5,19.75,18.12,18.25,19.25,18.66,17.06,16.12,16.09,15.47,14.0,13.69,15.53,17.94,18.81,19.75,21.72,23.06,22.5,21.19,20.94,21.88,21.97,21.66,21.69,22.59,22.88,21.59,20.94,21.69,22.22,20.97,19.97,20.25,21.44,21.28,20.66,21.12,22.69,23.06,22.62,22.78,24.25,24.81,24.19,23.59,24.38,24.66,23.12,21.31,21.22,21.53,21.16,20.5,21.28,23.22,24.19,24.5,24.75,25.69,25.28,23.09,20.94,20.22,19.84,17.66,16.0,15.5,16.03,15.56,14.31,14.41,15.84,15.66,14.25,13.16,13.22,12.62,11.03,9.47,9.62,10.09,8.69,7.12,7.19,8.28,8.59,8.66,9.97,12.81,14.34,14.41,15.12,17.0,18.53,18.81,19.09,20.81,22.59,21.88,20.41,19.91,20.0,19.31,18.19,17.91,19.78,20.5,20.0,20.06,21.53,22.66,21.81,20.22,19.81,18.94,16.16,12.66,10.53,10.03,8.66,7.06,6.91,8.38,8.97,8.59,8.34,10.12,11.81,12.06,12.28,13.66,15.0,14.0,11.91,10.84,10.16,8.34,5.72,4.31,4.91,5.62,5.47,6.19,8.06,9.09,8.56,7.72,8.03,9.41,9.66,9.69,9.78,10.78,10.31,8.88,8.38,9.53,10.38,10.22,10.31,11.38,11.97,10.91,8.81,8.03,7.62,6.44,4.72,3.94,4.53,4.31,3.44,4.0,5.75,7.44,7.78,8.03,9.66,11.12,11.25,11.0,11.88,13.12,13.25,12.72,13.16,14.59,15.06,14.19,13.69,14.25,13.78,11.78,9.16,7.84,6.34,3.78,1.19,1.03,2.09,2.44,2.38,3.12,4.97,5.88,5.66,5.66,7.03,7.81,7.31,6.5,7.44,8.56,8.0,7.03,7.41,8.16,8.16,7.56,8.0,9.94,11.16,10.81,10.34,11.25,11.41,10.16,8.34,7.25,6.31,4.19,1.31,0.84,2.0,3.47,5.0,6.94,10.19,12.41,13.25,13.41,15.0,16.34,15.94,14.47,14.38,14.81,13.84,12.28,12.03,12.19,11.62,10.16,9.5,10.22,10.22,8.56,6.59,6.12,5.91,4.53,2.88,2.75,2.97,2.53,1.72,2.41,4.62,6.38,6.5,6.34,6.81,6.41,4.47,2.94,3.66,5.03,5.56,5.91,7.34,8.88,9.66,9.09,9.25,9.81,9.28,7.47,5.69,5.72,5.94,5.19,4.66,6.0,7.09,6.94,5.78,6.22,6.53,5.91,4.59,4.56,5.53,5.78,4.5,3.62,4.06,4.28,3.94,3.88,5.59,7.25,7.47,7.38,8.31,9.97,10.88,10.66,10.81,11.78,11.66,9.78,7.62,7.16,6.22,4.09,2.5,3.06,4.84,5.78,6.19,7.5,9.28,10.0,8.97,8.91,9.66,9.88,8.25,6.66,6.91,7.34,6.59,6.28,7.66,10.06,11.28,11.66,13.16,15.31,16.91,17.06,17.38,18.12,18.0,15.62,12.88,11.06,9.66,7.06,4.31,3.53,3.66,3.34,2.5,2.75,4.34,5.59,4.97,5.25,6.28,7.28,7.0,7.16,9.62,12.19,13.97,15.22,17.03,18.47,17.75,14.94,12.09,9.94,7.56,4.59,2.91,3.09,3.75,3.44,3.25,4.66,6.06,6.69,6.03,6.81,7.62,7.72,6.69,6.12,6.56,7.09,6.0,5.47,5.81,6.12,4.41,2.78,2.91,3.47,3.41,2.84,3.53,4.06,3.97,2.94,2.16,2.66,3.34,2.75,2.59,3.5,4.62,4.28,3.28,3.88,4.81,5.12,4.94,6.34,8.0,9.28,8.69,8.38,8.5,8.0,6.25,4.81,4.91,5.41,4.69,4.16,4.56,5.91,6.69,6.31,7.09,8.66,9.59,8.59,8.41,9.19,9.75,8.56,7.59,8.44,9.94,9.88,9.47,10.03,10.59,9.94,8.28,8.44,9.84,11.16,11.34,11.84,13.06,13.94,13.62,13.12,13.88,15.25,15.12,13.97,13.97,14.47,14.34,13.09,12.84,13.19,13.25,11.69,10.0,9.91,10.25,9.34,8.62,9.25,10.69,10.34,9.88,10.0,11.0,11.47,11.0,11.47,13.03,14.12,13.41,12.19,11.28,9.84,6.94,4.19,3.19,3.97,4.34,4.78,6.19,8.53,10.34,10.53,11.25,12.59,13.12,12.06,11.16,11.31,12.31,12.75,12.88,14.44,16.44,16.94,16.0,15.34,14.91,13.56,10.34,7.97,6.31,4.91,2.53,0.44,0.22,1.31,2.09,3.34,6.31,10.12,12.44,13.69,14.94,17.12,18.12,18.09,18.31,19.47,20.41,19.31,18.06,17.47,16.81,15.25,13.38,12.59,12.84,11.62,9.47,7.81,7.5,7.09,6.03,6.41,7.88,9.66,10.0,10.41,11.59,13.25,13.25,12.44,11.75,12.16,11.75,10.47,10.5,11.88,12.88,12.28,12.19,12.59,13.06,12.03,10.72,10.06,10.03,9.0,7.66,7.78,9.38,10.38,10.16,10.0,10.94,11.69,11.44,11.75,14.0,16.97,18.25,18.81,19.66,20.5,19.75,17.53,15.53,14.38,12.41,9.78,7.53,7.03,6.88,5.72,4.59,5.47,6.81,7.41,7.97,9.41,11.47,12.22,11.75,11.72,12.59,12.91,12.5,12.34,13.62,15.09,14.78,13.88,13.41,12.75,10.81,8.47,8.0,8.75,9.09,8.34,7.75,7.94,8.0,6.72,5.5,6.0,6.28,5.28,4.03,3.72,4.31,4.25,4.31,5.47,7.84,9.25,9.5,10.22,12.09,13.56,13.88,13.75,14.5,14.53,12.88,11.16,10.81,11.53,11.31,10.62,10.69,11.38,11.5,10.44,10.06,11.09,11.84,11.44,11.22,12.12,13.06,12.56,11.12,10.69,11.03,10.41,9.44,9.59,10.62,10.62,9.0,6.84,6.44,5.66,3.75,2.75,3.31,4.28,4.06,3.5,3.81,4.84,5.06,5.03,5.72,8.09,10.56,11.38,12.66,15.06,16.56,16.28,15.0,14.03,13.16,11.28,8.88,8.34,9.44,9.72,9.12,8.78,9.88,10.59,10.5,10.38,11.97,13.53,13.19,12.28,12.75,13.78,14.03,13.38,13.97,15.53,16.56,16.69,17.09,18.72,19.59,18.97,17.69,17.25,17.12,15.69,13.69,13.12,13.38,12.62,11.56,11.34,12.22,12.31,11.28,10.31,10.66,10.75,9.84,8.72,8.75,9.16,8.56,7.34,7.72,9.38,10.16,9.91,10.22,10.84,10.22,8.28,6.06,5.53,5.31,3.97,2.97,3.0,3.34,2.62,1.62,2.03,3.69,4.78,5.38,6.62,8.75,10.31,10.94,11.5,14.06,16.66,17.78,18.31,19.5,20.75,20.72,19.34,18.38,17.78,16.28,13.44,11.0,10.16,9.22,7.12,5.5,5.94,6.72,6.66,6.34,7.5,9.16,9.88,10.06,10.75,12.44,13.0,12.66,12.66,13.84,14.75,13.97,12.44,12.03,11.72,10.09,7.97,7.19,7.56,7.12,6.47,7.16,9.72,11.75,12.22,12.91,14.47,15.56,15.72,15.53,16.78,18.09,17.69,16.44,16.16,16.72,16.5,15.78,16.0,17.25,18.16,16.72,15.81,16.03,16.31,15.94,15.41,16.59,18.34,18.44,17.94,18.75,20.5,21.16,20.78,20.38,20.66,20.25,18.16,16.19,16.41,17.38,17.25,16.72,18.19,19.91,19.88,18.97,18.91,19.06,18.44,16.69,14.97,14.72,14.06,12.19,10.81,11.12,12.31,12.28,11.72,12.28,13.12,13.22,12.31,12.62,13.59,14.5,14.25,14.28,15.72,17.38,17.0,16.41,16.72,16.69,15.5,13.69,13.19,13.59,13.22,11.69,11.94,13.44,14.47,14.41,14.91,16.47,17.75,17.59,17.47,18.25,18.75,18.16,16.66,16.41,16.81,16.56,15.47,15.31,16.47,17.59,17.53,17.78,19.69,20.66,20.22,19.28,19.81,20.5,19.88,18.47,18.06,18.12,17.5,15.84,14.53,14.03,13.28,10.78,8.12,7.34,7.19,5.81,4.59,5.03,7.12,8.19,8.5,10.06,12.25,13.34,12.59,11.94,12.03,11.75,10.25,9.25,10.38,12.34,13.25,13.47,15.69,17.62,18.41,17.41,17.0,16.5,15.25,13.25,11.97,12.5,13.31,13.09,12.78,13.81,15.38,15.25,14.44,14.62,15.72,15.59,14.59,14.38,15.53,16.44,15.84,15.72,16.94,17.44,16.38,15.28,15.62,16.88,16.97,16.88,17.53,19.09,19.03,17.41,16.06,15.72,15.28,13.34,12.16,12.78,14.25,14.28,14.25,15.88,17.53,17.66,16.84,16.84,18.12,18.56,17.72,18.22,19.0,19.38,17.59,15.38,14.19,12.84,9.62,6.16,4.28,4.03,3.28,2.72,4.06,7.44,10.28,11.91,14.19,17.38,20.19,20.97,21.66,23.94,25.97,25.66,23.62,22.53,21.72,19.56,16.97,16.44,17.0,16.81,15.12,14.22,14.66,15.84,15.81,16.78,19.09,21.81,22.56,22.44,23.0,24.47,24.5,23.34,22.75,23.09,22.75,21.0,19.72,20.03,20.69,19.5,18.53,18.62,19.19,18.5,17.41,17.59,18.38,18.28,16.69,15.84,16.25,17.0,16.91,17.81,20.62,23.38,24.06,24.28,25.41,26.19,25.59,24.5,24.72,25.22,24.94,44.25,44.81,45.16,44.88,44.56,44.16,43.56,43.16,43.12,43.09,42.91,42.22,42.06,42.25,42.62,42.72,42.94,43.53,44.03,44.12,44.0,43.94,42.94,41.12,38.5,36.16,34.72,34.47:23.94,23.84,25.22,25.84,24.38,22.38,21.91,21.5,19.75,18.12,18.25,19.25,18.66,17.06,16.12,16.09,15.47,14.0,13.69,15.53,17.94,18.81,19.75,21.72,23.06,22.5,21.19,20.94,21.88,21.97,21.66,21.69,22.59,22.88,21.59,20.94,21.69,22.22,20.97,19.97,20.25,21.44,21.28,20.66,21.12,22.69,23.06,22.62,22.78,24.25,24.81,24.19,23.59,24.38,24.66,23.12,21.31,21.22,21.53,21.16,20.5,21.28,23.22,24.19,24.5,24.75,25.69,25.28,23.09,20.94,20.22,19.84,17.66,16.0,15.5,16.03,15.56,14.31,14.41,15.84,15.66,14.25,13.16,13.22,12.62,11.03,9.47,9.62,10.09,8.69,7.12,7.19,8.28,8.59,8.66,9.97,12.81,14.34,14.41,15.12,17.0,18.53,18.81,19.09,20.81,22.59,21.88,20.41,19.91,20.0,19.31,18.19,17.91,19.78,20.5,20.0,20.06,21.53,22.66,21.81,20.22,19.81,18.94,16.16,12.66,10.53,10.03,8.66,7.06,6.91,8.38,8.97,8.59,8.34,10.12,11.81,12.06,12.28,13.66,15.0,14.0,11.91,10.84,10.16,8.34,5.72,4.31,4.91,5.62,5.47,6.19,8.06,9.09,8.56,7.72,8.03,9.41,9.66,9.69,9.78,10.78,10.31,8.88,8.38,9.53,10.38,10.22,10.31,11.38,11.97,10.91,8.81,8.03,7.62,6.44,4.72,3.94,4.53,4.31,3.44,4.0,5.75,7.44,7.78,8.03,9.66,11.12,11.25,11.0,11.88,13.12,13.25,12.72,13.16,14.59,15.06,14.19,13.69,14.25,13.78,11.78,9.16,7.84,6.34,3.78,1.19,1.03,2.09,2.44,2.38,3.12,4.97,5.88,5.66,5.66,7.03,7.81,7.31,6.5,7.44,8.56,8.0,7.03,7.41,8.16,8.16,7.56,8.0,9.94,11.16,10.81,10.34,11.25,11.41,10.16,8.34,7.25,6.31,4.19,1.31,0.84,2.0,3.47,5.0,6.94,10.19,12.41,13.25,13.41,15.0,16.34,15.94,14.47,14.38,14.81,13.84,12.28,12.03,12.19,11.62,10.16,9.5,10.22,10.22,8.56,6.59,6.12,5.91,4.53,2.88,2.75,2.97,2.53,1.72,2.41,4.62,6.38,6.5,6.34,6.81,6.41,4.47,2.94,3.66,5.03,5.56,5.91,7.34,8.88,9.66,9.09,9.25,9.81,9.28,7.47,5.69,5.72,5.94,5.19,4.66,6.0,7.09,6.94,5.78,6.22,6.53,5.91,4.59,4.56,5.53,5.78,4.5,3.62,4.06,4.28,3.94,3.88,5.59,7.25,7.47,7.38,8.31,9.97,10.88,10.66,10.81,11.78,11.66,9.78,7.62,7.16,6.22,4.09,2.5,3.06,4.84,5.78,6.19,7.5,9.28,10.0,8.97,8.91,9.66,9.88,8.25,6.66,6.91,7.34,6.59,6.28,7.66,10.06,11.28,11.66,13.16,15.31,16.91,17.06,17.38,18.12,18.0,15.62,12.88,11.06,9.66,7.06,4.31,3.53,3.66,3.34,2.5,2.75,4.34,5.59,4.97,5.25,6.28,7.28,7.0,7.16,9.62,12.19,13.97,15.22,17.03,18.47,17.75,14.94,12.09,9.94,7.56,4.59,2.91,3.09,3.75,3.44,3.25,4.66,6.06,6.69,6.03,6.81,7.62,7.72,6.69,6.12,6.56,7.09,6.0,5.47,5.81,6.12,4.41,2.78,2.91,3.47,3.41,2.84,3.53,4.06,3.97,2.94,2.16,2.66,3.34,2.75,2.59,3.5,4.62,4.28,3.28,3.88,4.81,5.12,4.94,6.34,8.0,9.28,8.69,8.38,8.5,8.0,6.25,4.81,4.91,5.41,4.69,4.16,4.56,5.91,6.69,6.31,7.09,8.66,9.59,8.59,8.41,9.19,9.75,8.56,7.59,8.44,9.94,9.88,9.47,10.03,10.59,9.94,8.28,8.44,9.84,11.16,11.34,11.84,13.06,13.94,13.62,13.12,13.88,15.25,15.12,13.97,13.97,14.47,14.34,13.09,12.84,13.19,13.25,11.69,10.0,9.91,10.25,9.34,8.62,9.25,10.69,10.34,9.88,10.0,11.0,11.47,11.0,11.47,13.03,14.12,13.41,12.19,11.28,9.84,6.94,4.19,3.19,3.97,4.34,4.78,6.19,8.53,10.34,10.53,11.25,12.59,13.12,12.06,11.16,11.31,12.31,12.75,12.88,14.44,16.44,16.94,16.0,15.34,14.91,13.56,10.34,7.97,6.31,4.91,2.53,0.44,0.22,1.31,2.09,3.34,6.31,10.12,12.44,13.69,14.94,17.12,18.12,18.09,18.31,19.47,20.41,19.31,18.06,17.47,16.81,15.25,13.38,12.59,12.84,11.62,9.47,7.81,7.5,7.09,6.03,6.41,7.88,9.66,10.0,10.41,11.59,13.25,13.25,12.44,11.75,12.16,11.75,10.47,10.5,11.88,12.88,12.28,12.19,12.59,13.06,12.03,10.72,10.06,10.03,9.0,7.66,7.78,9.38,10.38,10.16,10.0,10.94,11.69,11.44,11.75,14.0,16.97,18.25,18.81,19.66,20.5,19.75,17.53,15.53,14.38,12.41,9.78,7.53,7.03,6.88,5.72,4.59,5.47,6.81,7.41,7.97,9.41,11.47,12.22,11.75,11.72,12.59,12.91,12.5,12.34,13.62,15.09,14.78,13.88,13.41,12.75,10.81,8.47,8.0,8.75,9.09,8.34,7.75,7.94,8.0,6.72,5.5,6.0,6.28,5.28,4.03,3.72,4.31,4.25,4.31,5.47,7.84,9.25,9.5,10.22,12.09,13.56,13.88,13.75,14.5,14.53,12.88,11.16,10.81,11.53,11.31,10.62,10.69,11.38,11.5,10.44,10.06,11.09,11.84,11.44,11.22,12.12,13.06,12.56,11.12,10.69,11.03,10.41,9.44,9.59,10.62,10.62,9.0,6.84,6.44,5.66,3.75,2.75,3.31,4.28,4.06,3.5,3.81,4.84,5.06,5.03,5.72,8.09,10.56,11.38,12.66,15.06,16.56,16.28,15.0,14.03,13.16,11.28,8.88,8.34,9.44,9.72,9.12,8.78,9.88,10.59,10.5,10.38,11.97,13.53,13.19,12.28,12.75,13.78,14.03,13.38,13.97,15.53,16.56,16.69,17.09,18.72,19.59,18.97,17.69,17.25,17.12,15.69,13.69,13.12,13.38,12.62,11.56,11.34,12.22,12.31,11.28,10.31,10.66,10.75,9.84,8.72,8.75,9.16,8.56,7.34,7.72,9.38,10.16,9.91,10.22,10.84,10.22,8.28,6.06,5.53,5.31,3.97,2.97,3.0,3.34,2.62,1.62,2.03,3.69,4.78,5.38,6.62,8.75,10.31,10.94,11.5,14.06,16.66,17.78,18.31,19.5,20.75,20.72,19.34,18.38,17.78,16.28,13.44,11.0,10.16,9.22,7.12,5.5,5.94,6.72,6.66,6.34,7.5,9.16,9.88,10.06,10.75,12.44,13.0,12.66,12.66,13.84,14.75,13.97,12.44,12.03,11.72,10.09,7.97,7.19,7.56,7.12,6.47,7.16,9.72,11.75,12.22,12.91,14.47,15.56,15.72,15.53,16.78,18.09,17.69,16.44,16.16,16.72,16.5,15.78,16.0,17.25,18.16,16.72,15.81,16.03,16.31,15.94,15.41,16.59,18.34,18.44,17.94,18.75,20.5,21.16,20.78,20.38,20.66,20.25,18.16,16.19,16.41,17.38,17.25,16.72,18.19,19.91,19.88,18.97,18.91,19.06,18.44,16.69,14.97,14.72,14.06,12.19,10.81,11.12,12.31,12.28,11.72,12.28,13.12,13.22,12.31,12.62,13.59,14.5,14.25,14.28,15.72,17.38,17.0,16.41,16.72,16.69,15.5,13.69,13.19,13.59,13.22,11.69,11.94,13.44,14.47,14.41,14.91,16.47,17.75,17.59,17.47,18.25,18.75,18.16,16.66,16.41,16.81,16.56,15.47,15.31,16.47,17.59,17.53,17.78,19.69,20.66,20.22,19.28,19.81,20.5,19.88,18.47,18.06,18.12,17.5,15.84,14.53,14.03,13.28,10.78,8.12,7.34,7.19,5.81,4.59,5.03,7.12,8.19,8.5,10.06,12.25,13.34,12.59,11.94,12.03,11.75,10.25,9.25,10.38,12.34,13.25,13.47,15.69,17.62,18.41,17.41,17.0,16.5,15.25,13.25,11.97,12.5,13.31,13.09,12.78,13.81,15.38,15.25,14.44,14.62,15.72,15.59,14.59,14.38,15.53,16.44,15.84,15.72,16.94,17.44,16.38,15.28,15.62,16.88,16.97,16.88,17.53,19.09,19.03,17.41,16.06,15.72,15.28,13.34,12.16,12.78,14.25,14.28,14.25,15.88,17.53,17.66,16.84,16.84,18.12,18.56,17.72,18.22,19.0,19.38,17.59,15.38,14.19,12.84,9.62,6.16,4.28,4.03,3.28,2.72,4.06,7.44,10.28,11.91,14.19,17.38,20.19,20.97,21.66,23.94,25.97,25.66,23.62,22.53,21.72,19.56,16.97,16.44,17.0,16.81,15.12,14.22,14.66,15.84,15.81,16.78,19.09,21.81,22.56,22.44,23.0,24.47,24.5,23.34,22.75,23.09,22.75,21.0,19.72,20.03,20.69,19.5,18.53,18.62,19.19,18.5,17.41,17.59,18.38,18.28,16.69,15.84,16.25,17.0,16.91,17.81,20.62,23.38,24.06,24.28,25.41,26.19,25.59,24.5,24.72,25.22,24.94,44.25,44.81,45.16,44.88,44.56,44.16,43.56,43.16,43.12,43.09,42.91,42.22,42.06,42.25,42.62,42.72,42.94,43.53,44.03,44.12,44.0,43.94,42.94,41.12,38.5,36.16,34.72,34.47,34.75,35.84,37.59,38.69,39.19,39.06,39.12:21.5,19.75,18.12,18.25,19.25,18.66,17.06,16.12,16.09,15.47,14.0,13.69,15.53,17.94,18.81,19.75,21.72,23.06,22.5,21.19,20.94,21.88,21.97,21.66,21.69,22.59,22.88,21.59,20.94,21.69,22.22,20.97,19.97,20.25,21.44,21.28,20.66,21.12,22.69,23.06,22.62,22.78,24.25,24.81,24.19,23.59,24.38,24.66,23.12,21.31,21.22,21.53,21.16,20.5,21.28,23.22,24.19,24.5,24.75,25.69,25.28,23.09,20.94,20.22,19.84,17.66,16.0,15.5,16.03,15.56,14.31,14.41,15.84,15.66,14.25,13.16,13.22,12.62,11.03,9.47,9.62,10.09,8.69,7.12,7.19,8.28,8.59,8.66,9.97,12.81,14.34,14.41,15.12,17.0,18.53,18.81,19.09,20.81,22.59,21.88,20.41,19.91,20.0,19.31,18.19,17.91,19.78,20.5,20.0,20.06,21.53,22.66,21.81,20.22,19.81,18.94,16.16,12.66,10.53,10.03,8.66,7.06,6.91,8.38,8.97,8.59,8.34,10.12,11.81,12.06,12.28,13.66,15.0,14.0,11.91,10.84,10.16,8.34,5.72,4.31,4.91,5.62,5.47,6.19,8.06,9.09,8.56,7.72,8.03,9.41,9.66,9.69,9.78,10.78,10.31,8.88,8.38,9.53,10.38,10.22,10.31,11.38,11.97,10.91,8.81,8.03,7.62,6.44,4.72,3.94,4.53,4.31,3.44,4.0,5.75,7.44,7.78,8.03,9.66,11.12,11.25,11.0,11.88,13.12,13.25,12.72,13.16,14.59,15.06,14.19,13.69,14.25,13.78,11.78,9.16,7.84,6.34,3.78,1.19,1.03,2.09,2.44,2.38,3.12,4.97,5.88,5.66,5.66,7.03,7.81,7.31,6.5,7.44,8.56,8.0,7.03,7.41,8.16,8.16,7.56,8.0,9.94,11.16,10.81,10.34,11.25,11.41,10.16,8.34,7.25,6.31,4.19,1.31,0.84,2.0,3.47,5.0,6.94,10.19,12.41,13.25,13.41,15.0,16.34,15.94,14.47,14.38,14.81,13.84,12.28,12.03,12.19,11.62,10.16,9.5,10.22,10.22,8.56,6.59,6.12,5.91,4.53,2.88,2.75,2.97,2.53,1.72,2.41,4.62,6.38,6.5,6.34,6.81,6.41,4.47,2.94,3.66,5.03,5.56,5.91,7.34,8.88,9.66,9.09,9.25,9.81,9.28,7.47,5.69,5.72,5.94,5.19,4.66,6.0,7.09,6.94,5.78,6.22,6.53,5.91,4.59,4.56,5.53,5.78,4.5,3.62,4.06,4.28,3.94,3.88,5.59,7.25,7.47,7.38,8.31,9.97,10.88,10.66,10.81,11.78,11.66,9.78,7.62,7.16,6.22,4.09,2.5,3.06,4.84,5.78,6.19,7.5,9.28,10.0,8.97,8.91,9.66,9.88,8.25,6.66,6.91,7.34,6.59,6.28,7.66,10.06,11.28,11.66,13.16,15.31,16.91,17.06,17.38,18.12,18.0,15.62,12.88,11.06,9.66,7.06,4.31,3.53,3.66,3.34,2.5,2.75,4.34,5.59,4.97,5.25,6.28,7.28,7.0,7.16,9.62,12.19,13.97,15.22,17.03,18.47,17.75,14.94,12.09,9.94,7.56,4.59,2.91,3.09,3.75,3.44,3.25,4.66,6.06,6.69,6.03,6.81,7.62,7.72,6.69,6.12,6.56,7.09,6.0,5.47,5.81,6.12,4.41,2.78,2.91,3.47,3.41,2.84,3.53,4.06,3.97,2.94,2.16,2.66,3.34,2.75,2.59,3.5,4.62,4.28,3.28,3.88,4.81,5.12,4.94,6.34,8.0,9.28,8.69,8.38,8.5,8.0,6.25,4.81,4.91,5.41,4.69,4.16,4.56,5.91,6.69,6.31,7.09,8.66,9.59,8.59,8.41,9.19,9.75,8.56,7.59,8.44,9.94,9.88,9.47,10.03,10.59,9.94,8.28,8.44,9.84,11.16,11.34,11.84,13.06,13.94,13.62,13.12,13.88,15.25,15.12,13.97,13.97,14.47,14.34,13.09,12.84,13.19,13.25,11.69,10.0,9.91,10.25,9.34,8.62,9.25,10.69,10.34,9.88,10.0,11.0,11.47,11.0,11.47,13.03,14.12,13.41,12.19,11.28,9.84,6.94,4.19,3.19,3.97,4.34,4.78,6.19,8.53,10.34,10.53,11.25,12.59,13.12,12.06,11.16,11.31,12.31,12.75,12.88,14.44,16.44,16.94,16.0,15.34,14.91,13.56,10.34,7.97,6.31,4.91,2.53,0.44,0.22,1.31,2.09,3.34,6.31,10.12,12.44,13.69,14.94,17.12,18.12,18.09,18.31,19.47,20.41,19.31,18.06,17.47,16.81,15.25,13.38,12.59,12.84,11.62,9.47,7.81,7.5,7.09,6.03,6.41,7.88,9.66,10.0,10.41,11.59,13.25,13.25,12.44,11.75,12.16,11.75,10.47,10.5,11.88,12.88,12.28,12.19,12.59,13.06,12.03,10.72,10.06,10.03,9.0,7.66,7.78,9.38,10.38,10.16,10.0,10.94,11.69,11.44,11.75,14.0,16.97,18.25,18.81,19.66,20.5,19.75,17.53,15.53,14.38,12.41,9.78,7.53,7.03,6.88,5.72,4.59,5.47,6.81,7.41,7.97,9.41,11.47,12.22,11.75,11.72,12.59,12.91,12.5,12.34,13.62,15.09,14.78,13.88,13.41,12.75,10.81,8.47,8.0,8.75,9.09,8.34,7.75,7.94,8.0,6.72,5.5,6.0,6.28,5.28,4.03,3.72,4.31,4.25,4.31,5.47,7.84,9.25,9.5,10.22,12.09,13.56,13.88,13.75,14.5,14.53,12.88,11.16,10.81,11.53,11.31,10.62,10.69,11.38,11.5,10.44,10.06,11.09,11.84,11.44,11.22,12.12,13.06,12.56,11.12,10.69,11.03,10.41,9.44,9.59,10.62,10.62,9.0,6.84,6.44,5.66,3.75,2.75,3.31,4.28,4.06,3.5,3.81,4.84,5.06,5.03,5.72,8.09,10.56,11.38,12.66,15.06,16.56,16.28,15.0,14.03,13.16,11.28,8.88,8.34,9.44,9.72,9.12,8.78,9.88,10.59,10.5,10.38,11.97,13.53,13.19,12.28,12.75,13.78,14.03,13.38,13.97,15.53,16.56,16.69,17.09,18.72,19.59,18.97,17.69,17.25,17.12,15.69,13.69,13.12,13.38,12.62,11.56,11.34,12.22,12.31,11.28,10.31,10.66,10.75,9.84,8.72,8.75,9.16,8.56,7.34,7.72,9.38,10.16,9.91,10.22,10.84,10.22,8.28,6.06,5.53,5.31,3.97,2.97,3.0,3.34,2.62,1.62,2.03,3.69,4.78,5.38,6.62,8.75,10.31,10.94,11.5,14.06,16.66,17.78,18.31,19.5,20.75,20.72,19.34,18.38,17.78,16.28,13.44,11.0,10.16,9.22,7.12,5.5,5.94,6.72,6.66,6.34,7.5,9.16,9.88,10.06,10.75,12.44,13.0,12.66,12.66,13.84,14.75,13.97,12.44,12.03,11.72,10.09,7.97,7.19,7.56,7.12,6.47,7.16,9.72,11.75,12.22,12.91,14.47,15.56,15.72,15.53,16.78,18.09,17.69,16.44,16.16,16.72,16.5,15.78,16.0,17.25,18.16,16.72,15.81,16.03,16.31,15.94,15.41,16.59,18.34,18.44,17.94,18.75,20.5,21.16,20.78,20.38,20.66,20.25,18.16,16.19,16.41,17.38,17.25,16.72,18.19,19.91,19.88,18.97,18.91,19.06,18.44,16.69,14.97,14.72,14.06,12.19,10.81,11.12,12.31,12.28,11.72,12.28,13.12,13.22,12.31,12.62,13.59,14.5,14.25,14.28,15.72,17.38,17.0,16.41,16.72,16.69,15.5,13.69,13.19,13.59,13.22,11.69,11.94,13.44,14.47,14.41,14.91,16.47,17.75,17.59,17.47,18.25,18.75,18.16,16.66,16.41,16.81,16.56,15.47,15.31,16.47,17.59,17.53,17.78,19.69,20.66,20.22,19.28,19.81,20.5,19.88,18.47,18.06,18.12,17.5,15.84,14.53,14.03,13.28,10.78,8.12,7.34,7.19,5.81,4.59,5.03,7.12,8.19,8.5,10.06,12.25,13.34,12.59,11.94,12.03,11.75,10.25,9.25,10.38,12.34,13.25,13.47,15.69,17.62,18.41,17.41,17.0,16.5,15.25,13.25,11.97,12.5,13.31,13.09,12.78,13.81,15.38,15.25,14.44,14.62,15.72,15.59,14.59,14.38,15.53,16.44,15.84,15.72,16.94,17.44,16.38,15.28,15.62,16.88,16.97,16.88,17.53,19.09,19.03,17.41,16.06,15.72,15.28,13.34,12.16,12.78,14.25,14.28,14.25,15.88,17.53,17.66,16.84,16.84,18.12,18.56,17.72,18.22,19.0,19.38,17.59,15.38,14.19,12.84,9.62,6.16,4.28,4.03,3.28,2.72,4.06,7.44,10.28,11.91,14.19,17.38,20.19,20.97,21.66,23.94,25.97,25.66,23.62,22.53,21.72,19.56,16.97,16.44,17.0,16.81,15.12,14.22,14.66,15.84,15.81,16.78,19.09,21.81,22.56,22.44,23.0,24.47,24.5,23.34,22.75,23.09,22.75,21.0,19.72,20.03,20.69,19.5,18.53,18.62,19.19,18.5,17.41,17.59,18.38,18.28,16.69,15.84,16.25,17.0,16.91,17.81,20.62,23.38,24.06,24.28,25.41,26.19,25.59,24.5,24.72,25.22,24.94,44.25,44.81,45.16,44.88,44.56,44.16,43.56,43.16,43.12,43.09,42.91,42.22,42.06,42.25,42.62,42.72,42.94,43.53,44.03,44.12,44.0,43.94,42.94,41.12,38.5,36.16,34.72,34.47,34.75,35.84,37.59,38.69,39.19,39.06,39.12,39.38,39.75,40.03,40.09,40.41,39.44,37.84:positivity
5.72,6.88,5.91,5.28,6.91,7.97,6.91,5.41,6.53,7.84,6.88,4.66,3.97,4.34,3.44,1.16,0.66,2.53,3.88,3.19,2.5,4.19,5.12,3.56,2.06,3.38,5.72,5.66,4.81,5.19,6.41,5.88,3.41,2.16,3.09,4.12,3.16,2.47,3.97,5.69,4.81,3.5,4.91,7.28,8.34,8.66,10.38,13.31,14.97,14.09,13.56,14.75,15.06,12.44,9.72,8.91,8.56,6.94,4.91,5.44,7.81,9.03,8.41,8.84,10.91,12.5,11.94,11.53,13.16,14.78,13.78,12.41,13.25,15.88,16.84,16.62,18.06,20.41,21.19,19.53,18.19,18.62,18.59,16.44,14.84,15.47,16.72,15.78,14.25,14.75,15.97,15.31,12.44,10.25,8.94,7.28,3.78,2.06,3.59,5.81,5.91,5.72,7.16,8.88,7.91,5.41,3.62,3.5,2.72,0.75,1.0,4.25,7.0,7.19,7.28,9.19,10.97,10.38,9.12,9.06,10.53,9.53,7.62,7.19,8.66,9.03,7.03,5.38,6.09,6.5,5.06,4.44,6.62,9.81,11.06,11.47,13.0,15.41,15.34,13.16,11.53,11.28,10.38,7.0,4.59,4.72,5.62,4.53,3.62,5.12,7.53,8.06,7.62,8.84,11.59,12.94,11.91,11.06,11.88,11.94,10.0,8.28,9.62,11.84,11.97,11.81,13.75,16.22,17.25,17.12,18.03,20.5,21.69,19.69,17.69,18.0,18.19,16.78,16.12,18.44,22.0,23.31,23.66,25.38,27.88,28.56,27.09,26.16,27.47,28.09,26.44,24.94,25.69,26.75,25.28,23.41,24.03,26.09,26.66,26.56,27.75,30.72,32.03,30.69,29.78,30.22,30.47,28.5,26.66,27.25,28.44,27.06,24.34,23.5,23.88,22.81,20.72,19.97,21.0,21.53,19.84,18.59,19.91,20.97,19.84,18.16,18.91,20.56,20.75,20.19,21.09,23.91,25.06,23.94,23.34,24.06,24.03,21.41,18.72,18.59,19.03,17.47,15.38,15.94,18.0,18.56,18.06,19.03,21.91,23.47,22.91,22.31,23.47,23.78,21.44,18.69,18.38,18.78,17.28,14.72,14.59,16.06,16.84,16.44,16.78,19.28,20.53,18.66,17.06,17.84,18.75,17.31,15.44,15.41,16.03,14.59,11.72,11.0,12.19,13.06,12.75,13.19,16.22,18.47,18.22,17.38,19.12,21.47,21.66,21.09,22.78,25.34,26.12,24.31,23.34,23.66,22.72,19.69,17.31,17.72,17.97,15.91,13.47,13.5,14.59,14.0,12.34,12.78,14.5,14.69,12.5,11.78,13.44,14.84,14.19,14.22,16.56,18.72,18.25,16.44,16.44,16.66,15.03,11.69,10.69,11.56,12.0,10.75,10.78,12.81,13.78,12.5,10.41,10.56,10.69,8.81,6.16,6.19,8.19,9.28,9.25,10.94,14.31,16.75,16.06,15.47,16.34,16.69,14.41,12.03,12.19,13.44,13.44,12.03,12.72,14.5,15.09,13.44,13.06,14.84,17.19,17.53,18.41,21.81,25.03,25.34,24.03,24.12,24.53,22.34,18.16,15.16,13.88,11.75,8.19,5.84,6.47,7.19,5.69,4.22,5.69,7.94,8.28,7.84,9.47,12.38,14.16,14.44,16.31,19.84,22.19,21.75,20.97,21.5,21.38,18.47,14.66,12.66,12.16,9.94,7.09,6.0,7.09,7.31,5.66,5.78,8.34,10.91,10.5,9.88,11.06,12.41,10.84,8.62,8.81,10.16,10.03,8.38,8.25,9.44,9.94,8.0,7.28,9.53,12.59,13.38,13.94,16.62,19.34,19.09,17.19,16.91,18.34,18.16,16.56,15.91,17.19,17.5,14.66,12.34,12.59,13.25,12.03,11.09,12.75,15.41,16.0,14.44,14.16,15.25,14.69,12.03,10.19,11.0,11.66,9.75,7.88,8.41,9.5,7.97,5.72,6.12,8.44,9.5,9.5,11.44,15.81,19.47,20.62,22.69,26.59,30.03,30.06,29.72,31.09,33.31,33.31,31.81,31.75,32.81,31.91,28.72,26.5,26.78,26.47,24.25,22.28,22.44,22.19,19.12,15.12,13.88,14.59,14.72,15.0,17.69,23.06,27.31,29.16,31.12,34.38,35.66,33.41,30.12,28.91,28.41,25.53,22.31,21.31,22.03,20.94,18.06,16.75,17.25,17.38,15.38,14.06,15.59,17.47,16.53,15.62,16.56,18.44,17.62,15.38,14.78,15.97,15.84,14.19,13.69,15.41,16.72,15.69,14.91,16.56,18.31,17.66,15.62,15.97,17.28,17.34,16.59,18.19,22.06,24.72,25.03,25.62,28.0,29.41,28.22,26.88,27.81,29.84,29.31,27.41,27.03,27.5,25.81,22.78,21.06,22.5,23.81,23.44,23.88,26.94,29.69,29.62,28.62,29.5,31.41,31.31,30.38,31.59,34.38,35.53,34.5,33.62,34.0,33.66,30.5,27.44,26.75,27.03,24.91,22.56,23.16,25.41,26.41,25.91,27.09,30.0,30.91,29.38,27.94,28.69,28.72,26.22,23.62,23.78,24.38,23.12,20.31,19.22,19.66,18.38,15.12,13.28,14.16,14.47,13.25,12.75,15.41,18.72,19.31,19.5,21.88,24.84,25.69,24.94,25.5,27.0,26.44,23.28,20.66,20.22,19.28,16.31,13.81,14.12,15.38,15.0,14.5,16.94,20.5,22.78,22.91,24.03,25.88,25.75,22.91,20.5,21.19,22.03,21.66,21.25,23.53,25.69,25.69,24.0,24.19,26.16,26.78,25.56,25.44,27.12,27.81,25.75,23.34,23.5,23.56,21.62,19.25,19.88,21.38,21.44,19.56,19.22,20.34,20.34,18.78,18.69,21.41,24.03,24.12,23.78,25.06,26.44,25.22,23.34,23.5,24.72,24.28,22.28,21.06,21.53,21.66,19.84,18.72,20.41,22.56,22.28,22.12,23.69,25.69,25.28,23.56,23.78,25.94,27.0,26.12,26.0,27.09,27.38,24.91,22.66,23.31,24.62,23.94,22.78,24.0,26.53,27.0,26.16,26.84,28.97,29.5,27.59,26.16,26.75,26.78,24.25,22.31,22.94,24.5,24.22,24.28,26.78,30.66,33.12,33.66,34.91,36.75,37.78,35.62,34.22,34.81,35.12,32.78,29.62,28.38,27.38,24.78,21.47,19.91,20.22,19.78,17.59,16.69,18.16,19.47,18.44,17.75,19.12,20.91,19.94,17.94,18.25,19.5,19.41,18.0,18.38,20.72,22.0,21.06,20.75,22.19,23.38,21.56,19.78,20.31,21.97,21.53,20.72,22.06,24.44,25.16,23.81,23.28,24.03,24.16,21.91,20.47,21.41,22.94,21.41,19.34,19.16,19.97,19.03,17.34,18.34,21.62,23.62,23.31,23.88,26.03,27.25,25.66,23.81,24.03,24.66,23.03,21.38,21.88,23.69,23.91,22.06,21.03,22.09,21.47,18.88,16.91,17.34,17.69,16.34,15.22,17.0,19.78,19.69,18.91,19.41,20.81,19.84,17.22,15.81,16.03,15.94,14.06,13.12,15.12,17.66,17.78,17.5,18.72,20.94,20.72,19.22,19.34,20.88,21.28,19.59,18.94,20.44,21.44,20.12,18.94,20.28,22.03,22.0,21.09,21.47,23.12,22.72,21.03,20.84,22.69,23.66,22.66,21.72,22.94,24.44,23.59,22.66,23.75,25.44,24.44,22.25,21.44,22.47,22.22,20.62,19.75,21.25,21.09,19.25,17.41,18.5,20.38,20.59,20.84,22.72,25.22,24.91,22.66,20.91,21.03,20.31,18.25,17.34,19.41,20.94,19.84,18.38,18.88,19.72,18.47,16.56,16.69,18.22,17.84,16.0,14.97,16.12,17.09,15.88,15.94,19.44,23.34,25.0,25.59,27.88,29.47,28.41,26.31,26.12,27.78,28.62,27.94,27.62,29.16,29.62,27.38,24.62,24.69,25.34,23.88,22.06,22.44,23.88,23.22,21.25,20.72,22.22,22.31,20.81,19.88,20.88,21.72,20.44,18.81,20.0,22.16,22.53,21.91,22.91,25.12,25.78,24.97,25.69,28.78,31.19,30.56,29.75,30.28,30.03,27.03,22.84,20.91,20.12,17.94,14.78,14.34,16.06,17.09,17.19,18.12,21.31,23.69,22.78,21.53,22.47,23.66,22.91,21.19,21.53,22.94,22.72,20.97,21.09,22.97,23.88,22.66,22.16,23.81,25.12,23.94,22.22,22.44,23.47,22.62,20.69,20.72,22.53,23.44,22.41,22.75,25.12,26.34,24.62,22.81,22.88,23.28,21.53,19.56,20.62,23.31,24.84,25.19,27.5,30.78,32.09,31.16,30.44,31.66,32.5,30.88,28.59,28.53,28.47,26.22,23.34,23.12,24.66,25.44,24.16,24.16,25.44,25.16,22.75,21.16,22.16,23.53,22.78,21.69,22.34,23.47,22.19,19.62,18.44,19.41,19.69,18.25,18.72,21.41,23.44,22.62,21.75,22.75,23.75,21.94,19.19,19.25,20.5,20.16,18.91,19.59,22.12,23.88,23.25,23.66,26.03,28.03,26.78,26.0,27.41,29.38,29.19,28.19,28.75,30.06,29.78,27.41,26.31,27.41,27.88,26.34,25.66,27.0,28.25,26.75,24.75,25.28,26.81,25.62,23.22,22.56,23.19,22.56,20.28,19.34,20.47,21.09,19.09,17.69,18.78,20.81,20.5,19.88,21.16,23.53,23.81,22.34,22.06,23.09,22.97,20.72,19.41,20.88,22.56,21.5,20.56,21.47,22.34,19.97,16.62,14.72,14.81,14.12,12.44,12.78,15.91,18.09,17.81,18.03,20.22,22.09,21.0,18.81,18.5,19.03,17.62,15.12,14.41,15.91,17.06,17.06,18.75,23.09,26.81,27.25,26.97,28.5,29.56,27.81,25.44,25.12,26.06,24.88,22.44,20.69,21.0,20.19:5.41,6.53,7.84,6.88,4.66,3.97,4.34,3.44,1.16,0.66,2.53,3.88,3.19,2.5,4.19,5.12,3.56,2.06,3.38,5.72,5.66,4.81,5.19,6.41,5.88,3.41,2.16,3.09,4.12,3.16,2.47,3.97,5.69,4.81,3.5,4.91,7.28,8.34,8.66,10.38,13.31,14.97,14.09,13.56,14.75,15.06,12.44,9.72,8.91,8.56,6.94,4.91,5.44,7.81,9.03,8.41,8.84,10.91,12.5,11.94,11.53,13.16,14.78,13.78,12.41,13.25,15.88,16.84,16.62,18.06,20.41,21.19,19.53,18.19,18.62,18.59,16.44,14.84,15.47,16.72,15.78,14.25,14.75,15.97,15.31,12.44,10.25,8.94,7.28,3.78,2.06,3.59,5.81,5.91,5.72,7.16,8.88,7.91,5.41,3.62,3.5,2.72,0.75,1.0,4.25,7.0,7.19,7.28,9.19,10.97,10.38,9.12,9.06,10.53,9.53,7.62,7.19,8.66,9.03,7.03,5.38,6.09,6.5,5.06,4.44,6.62,9.81,11.06,11.47,13.0,15.41,15.34,13.16,11.53,11.28,10.38,7.0,4.59,4.72,5.62,4.53,3.62,5.12,7.53,8.06,7.62,8.84,11.59,12.94,11.91,11.06,11.88,11.94,10.0,8.28,9.62,11.84,11.97,11.81,13.75,16.22,17.25,17.12,18.03,20.5,21.69,19.69,17.69,18.0,18.19,16.78,16.12,18.44,22.0,23.31,23.66,25.38,27.88,28.56,27.09,26.16,27.47,28.09,26.44,24.94,25.69,26.75,25.28,23.41,24.03,26.09,26.66,26.56,27.75,30.72,32.03,30.69,29.78,30.22,30.47,28.5,26.66,27.25,28.44,27.06,24.34,23.5,23.88,22.81,20.72,19.97,21.0,21.53,19.84,18.59,19.91,20.97,19.84,18.16,18.91,20.56,20.75,20.19,21.09,23.91,25.06,23.94,23.34,24.06,24.03,21.41,18.72,18.59,19.03,17.47,15.38,15.94,18.0,18.56,18.06,19.03,21.91,23.47,22.91,22.31,23.47,23.78,21.44,18.69,18.38,18.78,17.28,14.72,14.59,16.06,16.84,16.44,16.78,19.28,20.53,18.66,17.06,17.84,18.75,17.31,15.44,15.41,16.03,14.59,11.72,11.0,12.19,13.06,12.75,13.19,16.22,18.47,18.22,17.38,19.12,21.47,21.66,21.09,22.78,25.34,26.12,24.31,23.34,23.66,22.72,19.69,17.31,17.72,17.97,15.91,13.47,13.5,14.59,14.0,12.34,12.78,14.5,14.69,12.5,11.78,13.44,14.84,14.19,14.22,16.56,18.72,18.25,16.44,16.44,16.66,15.03,11.69,10.69,11.56,12.0,10.75,10.78,12.81,13.78,12.5,10.41,10.56,10.69,8.81,6.16,6.19,8.19,9.28,9.25,10.94,14.31,16.75,16.06,15.47,16.34,16.69,14.41,12.03,12.19,13.44,13.44,12.03,12.72,14.5,15.09,13.44,13.06,14.84,17.19,17.53,18.41,21.81,25.03,25.34,24.03,24.12,24.53,22.34,18.16,15.16,13.88,11.75,8.19,5.84,6.47,7.19,5.69,4.22,5.69,7.94,8.28,7.84,9.47,12.38,14.16,14.44,16.31,19.84,22.19,21.75,20.97,21.5,21.38,18.47,14.66,12.66,12.16,9.94,7.09,6.0,7.09,7.31,5.66,5.78,8.34,10.91,10.5,9.88,11.06,12.41,10.84,8.62,8.81,10.16,10.03,8.38,8.25,9.44,9.94,8.0,7.28,9.53,12.59,13.38,13.94,16.62,19.34,19.09,17.19,16.91,18.34,18.16,16.56,15.91,17.19,17.5,14.66,12.34,12.59,13.25,12.03,11.09,12.75,15.41,16.0,14.44,14.16,15.25,14.69,12.03,10.19,11.0,11.66,9.75,7.88,8.41,9.5,7.97,5.72,6.12,8.44,9.5,9.5,11.44,15.81,19.47,20.62,22.69,26.59,30.03,30.06,29.72,31.09,33.31,33.31,31.81,31.75,32.81,31.91,28.72,26.5,26.78,26.47,24.25,22.28,22.44,22.19,19.12,15.12,13.88,14.59,14.72,15.0,17.69,23.06,27.31,29.16,31.12,34.38,35.66,33.41,30.12,28.91,28.41,25.53,22.31,21.31,22.03,20.94,18.06,16.75,17.25,17.38,15.38,14.06,15.59,17.47,16.53,15.62,16.56,18.44,17.62,15.38,14.78,15.97,15.84,14.19,13.69,15.41,16.72,15.69,14.91,16.56,18.31,17.66,15.62,15.97,17.28,17.34,16.59,18.19,22.06,24.72,25.03,25.62,28.0,29.41,28.22,26.88,27.81,29.84,29.31,27.41,27.03,27.5,25.81,22.78,21.06,22.5,23.81,23.44,23.88,26.94,29.69,29.62,28.62,29.5,31.41,31.31,30.38,31.59,34.38,35.53,34.5,33.62,34.0,33.66,30.5,27.44,26.75,27.03,24.91,22.56,23.16,25.41,26.41,25.91,27.09,30.0,30.91,29.38,27.94,28.69,28.72,26.22,23.62,23.78,24.38,23.12,20.31,19.22,19.66,18.38,15.12,13.28,14.16,14.47,13.25,12.75,15.41,18.72,19.31,19.5,21.88,24.84,25.69,24.94,25.5,27.0,26.44,23.28,20.66,20.22,19.28,16.31,13.81,14.12,15.38,15.0,14.5,16.94,20.5,22.78,22.91,24.03,25.88,25.75,22.91,20.5,21.19,22.03,21.66,21.25,23.53,25.69,25.69,24.0,24.19,26.16,26.78,25.56,25.44,27.12,27.81,25.75,23.34,23.5,23.56,21.62,19.25,19.88,21.38,21.44,19.56,19.22,20.34,20.34,18.78,18.69,21.41,24.03,24.12,23.78,25.06,26.44,25.22,23.34,23.5,24.72,24.28,22.28,21.06,21.53,21.66,19.84,18.72,20.41,22.56,22.28,22.12,23.69,25.69,25.28,23.56,23.78,25.94,27.0,26.12,26.0,27.09,27.38,24.91,22.66,23.31,24.62,23.94,22.78,24.0,26.53,27.0,26.16,26.84,28.97,29.5,27.59,26.16,26.75,26.78,24.25,22.31,22.94,24.5,24.22,24.28,26.78,30.66,33.12,33.66,34.91,36.75,37.78,35.62,34.22,34.81,35.12,32.78,29.62,28.38,27.38,24.78,21.47,19.91,20.22,19.78,17.59,16.69,18.16,19.47,18.44,17.75,19.12,20.91,19.94,17.94,18.25,19.5,19.41,18.0,18.38,20.72,22.0,21.06,20.75,22.19,23.38,21.56,19.78,20.31,21.97,21.53,20.72,22.06,24.44,25.16,23.81,23.28,24.03,24.16,21.91,20.47,21.41,22.94,21.41,19.34,19.16,19.97,19.03,17.34,18.34,21.62,23.62,23.31,23.88,26.03,27.25,25.66,23.81,24.03,24.66,23.03,21.38,21.88,23.69,23.91,22.06,21.03,22.09,21.47,18.88,16.91,17.34,17.69,16.34,15.22,17.0,19.78,19.69,18.91,19.41,20.81,19.84,17.22,15.81,16.03,15.94,14.06,13.12,15.12,17.66,17.78,17.5,18.72,20.94,20.72,19.22,19.34,20.88,21.28,19.59,18.94,20.44,21.44,20.12,18.94,20.28,22.03,22.0,21.09,21.47,23.12,22.72,21.03,20.84,22.69,23.66,22.66,21.72,22.94,24.44,23.59,22.66,23.75,25.44,24.44,22.25,21.44,22.47,22.22,20.62,19.75,21.25,21.09,19.25,17.41,18.5,20.38,20.59,20.84,22.72,25.22,24.91,22.66,20.91,21.03,20.31,18.25,17.34,19.41,20.94,19.84,18.38,18.88,19.72,18.47,16.56,16.69,18.22,17.84,16.0,14.97,16.12,17.09,15.88,15.94,19.44,23.34,25.0,25.59,27.88,29.47,28.41,26.31,26.12,27.78,28.62,27.94,27.62,29.16,29.62,27.38,24.62,24.69,25.34,23.88,22.06,22.44,23.88,23.22,21.25,20.72,22.22,22.31,20.81,19.88,20.88,21.72,20.44,18.81,20.0,22.16,22.53,21.91,22.91,25.12,25.78,24.97,25.69,28.78,31.19,30.56,29.75,30.28,30.03,27.03,22.84,20.91,20.12,17.94,14.78,14.34,16.06,17.09,17.19,18.12,21.31,23.69,22.78,21.53,22.47,23.66,22.91,21.19,21.53,22.94,22.72,20.97,21.09,22.97,23.88,22.66,22.16,23.81,25.12,23.94,22.22,22.44,23.47,22.62,20.69,20.72,22.53,23.44,22.41,22.75,25.12,26.34,24.62,22.81,22.88,23.28,21.53,19.56,20.62,23.31,24.84,25.19,27.5,30.78,32.09,31.16,30.44,31.66,32.5,30.88,28.59,28.53,28.47,26.22,23.34,23.12,24.66,25.44,24.16,24.16,25.44,25.16,22.75,21.16,22.16,23.53,22.78,21.69,22.34,23.47,22.19,19.62,18.44,19.41,19.69,18.25,18.72,21.41,23.44,22.62,21.75,22.75,23.75,21.94,19.19,19.25,20.5,20.16,18.91,19.59,22.12,23.88,23.25,23.66,26.03,28.03,26.78,26.0,27.41,29.38,29.19,28.19,28.75,30.06,29.78,27.41,26.31,27.41,27.88,26.34,25.66,27.0,28.25,26.75,24.75,25.28,26.81,25.62,23.22,22.56,23.19,22.56,20.28,19.34,20.47,21.09,19.09,17.69,18.78,20.81,20.5,19.88,21.16,23.53,23.81,22.34,22.06,23.09,22.97,20.72,19.41,20.88,22.56,21.5,20.56,21.47,22.34,19.97,16.62,14.72,14.81,14.12,12.44,12.78,15.91,18.09,17.81,18.03,20.22,22.09,21.0,18.81,18.5,19.03,17.62,15.12,14.41,15.91,17.06,17.06,18.75,23.09,26.81,27.25,26.97,28.5,29.56,27.81,25.44,25.12,26.06,24.88,22.44,20.69,21.0,20.19,38.72,39.62,39.22,38.72,39.28,39.56,38.75:3.44,1.16,0.66,2.53,3.88,3.19,2.5,4.19,5.12,3.56,2.06,3.38,5.72,5.66,4.81,5.19,6.41,5.88,3.41,2.16,3.09,4.12,3.16,2.47,3.97,5.69,4.81,3.5,4.91,7.28,8.34,8.66,10.38,13.31,14.97,14.09,13.56,14.75,15.06,12.44,9.72,8.91,8.56,6.94,4.91,5.44,7.81,9.03,8.41,8.84,10.91,12.5,11.94,11.53,13.16,14.78,13.78,12.41,13.25,15.88,16.84,16.62,18.06,20.41,21.19,19.53,18.19,18.62,18.59,16.44,14.84,15.47,16.72,15.78,14.25,14.75,15.97,15.31,12.44,10.25,8.94,7.28,3.78,2.06,3.59,5.81,5.91,5.72,7.16,8.88,7.91,5.41,3.62,3.5,2.72,0.75,1.0,4.25,7.0,7.19,7.28,9.19,10.97,10.38,9.12,9.06,10.53,9.53,7.62,7.19,8.66,9.03,7.03,5.38,6.09,6.5,5.06,4.44,6.62,9.81,11.06,11.47,13.0,15.41,15.34,13.16,11.53,11.28,10.38,7.0,4.59,4.72,5.62,4.53,3.62,5.12,7.53,8.06,7.62,8.84,11.59,12.94,11.91,11.06,11.88,11.94,10.0,8.28,9.62,11.84,11.97,11.81,13.75,16.22,17.25,17.12,18.03,20.5,21.69,19.69,17.69,18.0,18.19,16.78,16.12,18.44,22.0,23.31,23.66,25.38,27.88,28.56,27.09,26.16,27.47,28.09,26.44,24.94,25.69,26.75,25.28,23.41,24.03,26.09,26.66,26.56,27.75,30.72,32.03,30.69,29.78,30.22,30.47,28.5,26.66,27.25,28.44,27.06,24.34,23.5,23.88,22.81,20.72,19.97,21.0,21.53,19.84,18.59,19.91,20.97,19.84,18.16,18.91,20.56,20.75,20.19,21.09,23.91,25.06,23.94,23.34,24.06,24.03,21.41,18.72,18.59,19.03,17.47,15.38,15.94,18.0,18.56,18.06,19.03,21.91,23.47,22.91,22.31,23.47,23.78,21.44,18.69,18.38,18.78,17.28,14.72,14.59,16.06,16.84,16.44,16.78,19.28,20.53,18.66,17.06,17.84,18.75,17.31,15.44,15.41,16.03,14.59,11.72,11.0,12.19,13.06,12.75,13.19,16.22,18.47,18.22,17.38,19.12,21.47,21.66,21.09,22.78,25.34,26.12,24.31,23.34,23.66,22.72,19.69,17.31,17.72,17.97,15.91,13.47,13.5,14.59,14.0,12.34,12.78,14.5,14.69,12.5,11.78,13.44,14.84,14.19,14.22,16.56,18.72,18.25,16.44,16.44,16.66,15.03,11.69,10.69,11.56,12.0,10.75,10.78,12.81,13.78,12.5,10.41,10.56,10.69,8.81,6.16,6.19,8.19,9.28,9.25,10.94,14.31,16.75,16.06,15.47,16.34,16.69,14.41,12.03,12.19,13.44,13.44,12.03,12.72,14.5,15.09,13.44,13.06,14.84,17.19,17.53,18.41,21.81,25.03,25.34,24.03,24.12,24.53,22.34,18.16,15.16,13.88,11.75,8.19,5.84,6.47,7.19,5.69,4.22,5.69,7.94,8.28,7.84,9.47,12.38,14.16,14.44,16.31,19.84,22.19,21.75,20.97,21.5,21.38,18.47,14.66,12.66,12.16,9.94,7.09,6.0,7.09,7.31,5.66,5.78,8.34,10.91,10.5,9.88,11.06,12.41,10.84,8.62,8.81,10.16,10.03,8.38,8.25,9.44,9.94,8.0,7.28,9.53,12.59,13.38,13.94,16.62,19.34,19.09,17.19,16.91,18.34,18.16,16.56,15.91,17.19,17.5,14.66,12.34,12.59,13.25,12.03,11.09,12.75,15.41,16.0,14.44,14.16,15.25,14.69,12.03,10.19,11.0,11.66,9.75,7.88,8.41,9.5,7.97,5.72,6.12,8.44,9.5,9.5,11.44,15.81,19.47,20.62,22.69,26.59,30.03,30.06,29.72,31.09,33.31,33.31,31.81,31.75,32.81,31.91,28.72,26.5,26.78,26.47,24.25,22.28,22.44,22.19,19.12,15.12,13.88,14.59,14.72,15.0,17.69,23.06,27.31,29.16,31.12,34.38,35.66,33.41,30.12,28.91,28.41,25.53,22.31,21.31,22.03,20.94,18.06,16.75,17.25,17.38,15.38,14.06,15.59,17.47,16.53,15.62,16.56,18.44,17.62,15.38,14.78,15.97,15.84,14.19,13.69,15.41,16.72,15.69,14.91,16.56,18.31,17.66,15.62,15.97,17.28,17.34,16.59,18.19,22.06,24.72,25.03,25.62,28.0,29.41,28.22,26.88,27.81,29.84,29.31,27.41,27.03,27.5,25.81,22.78,21.06,22.5,23.81,23.44,23.88,26.94,29.69,29.62,28.62,29.5,31.41,31.31,30.38,31.59,34.38,35.53,34.5,33.62,34.0,33.66,30.5,27.44,26.75,27.03,24.91,22.56,23.16,25.41,26.41,25.91,27.09,30.0,30.91,29.38,27.94,28.69,28.72,26.22,23.62,23.78,24.38,23.12,20.31,19.22,19.66,18.38,15.12,13.28,14.16,14.47,13.25,12.75,15.41,18.72,19.31,19.5,21.88,24.84,25.69,24.94,25.5,27.0,26.44,23.28,20.66,20.22,19.28,16.31,13.81,14.12,15.38,15.0,14.5,16.94,20.5,22.78,22.91,24.03,25.88,25.75,22.91,20.5,21.19,22.03,21.66,21.25,23.53,25.69,25.69,24.0,24.19,26.16,26.78,25.56,25.44,27.12,27.81,25.75,23.34,23.5,23.56,21.62,19.25,19.88,21.38,21.44,19.56,19.22,20.34,20.34,18.78,18.69,21.41,24.03,24.12,23.78,25.06,26.44,25.22,23.34,23.5,24.72,24.28,22.28,21.06,21.53,21.66,19.84,18.72,20.41,22.56,22.28,22.12,23.69,25.69,25.28,23.56,23.78,25.94,27.0,26.12,26.0,27.09,27.38,24.91,22.66,23.31,24.62,23.94,22.78,24.0,26.53,27.0,26.16,26.84,28.97,29.5,27.59,26.16,26.75,26.78,24.25,22.31,22.94,24.5,24.22,24.28,26.78,30.66,33.12,33.66,34.91,36.75,37.78,35.62,34.22,34.81,35.12,32.78,29.62,28.38,27.38,24.78,21.47,19.91,20.22,19.78,17.59,16.69,18.16,19.47,18.44,17.75,19.12,20.91,19.94,17.94,18.25,19.5,19.41,18.0,18.38,20.72,22.0,21.06,20.75,22.19,23.38,21.56,19.78,20.31,21.97,21.53,20.72,22.06,24.44,25.16,23.81,23.28,24.03,24.16,21.91,20.47,21.41,22.94,21.41,19.34,19.16,19.97,19.03,17.34,18.34,21.62,23.62,23.31,23.88,26.03,27.25,25.66,23.81,24.03,24.66,23.03,21.38,21.88,23.69,23.91,22.06,21.03,22.09,21.47,18.88,16.91,17.34,17.69,16.34,15.22,17.0,19.78,19.69,18.91,19.41,20.81,19.84,17.22,15.81,16.03,15.94,14.06,13.12,15.12,17.66,17.78,17.5,18.72,20.94,20.72,19.22,19.34,20.88,21.28,19.59,18.94,20.44,21.44,20.12,18.94,20.28,22.03,22.0,21.09,21.47,23.12,22.72,21.03,20.84,22.69,23.66,22.66,21.72,22.94,24.44,23.59,22.66,23.75,25.44,24.44,22.25,21.44,22.47,22.22,20.62,19.75,21.25,21.09,19.25,17.41,18.5,20.38,20.59,20.84,22.72,25.22,24.91,22.66,20.91,21.03,20.31,18.25,17.34,19.41,20.94,19.84,18.38,18.88,19.72,18.47,16.56,16.69,18.22,17.84,16.0,14.97,16.12,17.09,15.88,15.94,19.44,23.34,25.0,25.59,27.88,29.47,28.41,26.31,26.12,27.78,28.62,27.94,27.62,29.16,29.62,27.38,24.62,24.69,25.34,23.88,22.06,22.44,23.88,23.22,21.25,20.72,22.22,22.31,20.81,19.88,20.88,21.72,20.44,18.81,20.0,22.16,22.53,21.91,22.91,25.12,25.78,24.97,25.69,28.78,31.19,30.56,29.75,30.28,30.03,27.03,22.84,20.91,20.12,17.94,14.78,14.34,16.06,17.09,17.19,18.12,21.31,23.69,22.78,21.53,22.47,23.66,22.91,21.19,21.53,22.94,22.72,20.97,21.09,22.97,23.88,22.66,22.16,23.81,25.12,23.94,22.22,22.44,23.47,22.62,20.69,20.72,22.53,23.44,22.41,22.75,25.12,26.34,24.62,22.81,22.88,23.28,21.53,19.56,20.62,23.31,24.84,25.19,27.5,30.78,32.09,31.16,30.44,31.66,32.5,30.88,28.59,28.53,28.47,26.22,23.34,23.12,24.66,25.44,24.16,24.16,25.44,25.16,22.75,21.16,22.16,23.53,22.78,21.69,22.34,23.47,22.19,19.62,18.44,19.41,19.69,18.25,18.72,21.41,23.44,22.62,21.75,22.75,23.75,21.94,19.19,19.25,20.5,20.16,18.91,19.59,22.12,23.88,23.25,23.66,26.03,28.03,26.78,26.0,27.41,29.38,29.19,28.19,28.75,30.06,29.78,27.41,26.31,27.41,27.88,26.34,25.66,27.0,28.25,26.75,24.75,25.28,26.81,25.62,23.22,22.56,23.19,22.56,20.28,19.34,20.47,21.09,19.09,17.69,18.78,20.81,20.5,19.88,21.16,23.53,23.81,22.34,22.06,23.09,22.97,20.72,19.41,20.88,22.56,21.5,20.56,21.47,22.34,19.97,16.62,14.72,14.81,14.12,12.44,12.78,15.91,18.09,17.81,18.03,20.22,22.09,21.0,18.81,18.5,19.03,17.62,15.12,14.41,15.91,17.06,17.06,18.75,23.09,26.81,27.25,26.97,28.5,29.56,27.81,25.44,25.12,26.06,24.88,22.44,20.69,21.0,20.19,38.72,39.62,39.22,38.72,39.28,39.56,38.75,37.62,38.47,39.5,38.53,36.81,36.12,36.06:4.19,5.12,3.56,2.06,3.38,5.72,5.66,4.81,5.19,6.41,5.88,3.41,2.16,3.09,4.12,3.16,2.47,3.97,5.69,4.81,3.5,4.91,7.28,8.34,8.66,10.38,13.31,14.97,14.09,13.56,14.75,15.06,12.44,9.72,8.91,8.56,6.94,4.91,5.44,7.81,9.03,8.41,8.84,10.91,12.5,11.94,11.53,13.16,14.78,13.78,12.41,13.25,15.88,16.84,16.62,18.06,20.41,21.19,19.53,18.19,18.62,18.59,16.44,14.84,15.47,16.72,15.78,14.25,14.75,15.97,15.31,12.44,10.25,8.94,7.28,3.78,2.06,3.59,5.81,5.91,5.72,7.16,8.88,7.91,5.41,3.62,3.5,2.72,0.75,1.0,4.25,7.0,7.19,7.28,9.19,10.97,10.38,9.12,9.06,10.53,9.53,7.62,7.19,8.66,9.03,7.03,5.38,6.09,6.5,5.06,4.44,6.62,9.81,11.06,11.47,13.0,15.41,15.34,13.16,11.53,11.28,10.38,7.0,4.59,4.72,5.62,4.53,3.62,5.12,7.53,8.06,7.62,8.84,11.59,12.94,11.91,11.06,11.88,11.94,10.0,8.28,9.62,11.84,11.97,11.81,13.75,16.22,17.25,17.12,18.03,20.5,21.69,19.69,17.69,18.0,18.19,16.78,16.12,18.44,22.0,23.31,23.66,25.38,27.88,28.56,27.09,26.16,27.47,28.09,26.44,24.94,25.69,26.75,25.28,23.41,24.03,26.09,26.66,26.56,27.75,30.72,32.03,30.69,29.78,30.22,30.47,28.5,26.66,27.25,28.44,27.06,24.34,23.5,23.88,22.81,20.72,19.97,21.0,21.53,19.84,18.59,19.91,20.97,19.84,18.16,18.91,20.56,20.75,20.19,21.09,23.91,25.06,23.94,23.34,24.06,24.03,21.41,18.72,18.59,19.03,17.47,15.38,15.94,18.0,18.56,18.06,19.03,21.91,23.47,22.91,22.31,23.47,23.78,21.44,18.69,18.38,18.78,17.28,14.72,14.59,16.06,16.84,16.44,16.78,19.28,20.53,18.66,17.06,17.84,18.75,17.31,15.44,15.41,16.03,14.59,11.72,11.0,12.19,13.06,12.75,13.19,16.22,18.47,18.22,17.38,19.12,21.47,21.66,21.09,22.78,25.34,26.12,24.31,23.34,23.66,22.72,19.69,17.31,17.72,17.97,15.91,13.47,13.5,14.59,14.0,12.34,12.78,14.5,14.69,12.5,11.78,13.44,14.84,14.19,14.22,16.56,18.72,18.25,16.44,16.44,16.66,15.03,11.69,10.69,11.56,12.0,10.75,10.78,12.81,13.78,12.5,10.41,10.56,10.69,8.81,6.16,6.19,8.19,9.28,9.25,10.94,14.31,16.75,16.06,15.47,16.34,16.69,14.41,12.03,12.19,13.44,13.44,12.03,12.72,14.5,15.09,13.44,13.06,14.84,17.19,17.53,18.41,21.81,25.03,25.34,24.03,24.12,24.53,22.34,18.16,15.16,13.88,11.75,8.19,5.84,6.47,7.19,5.69,4.22,5.69,7.94,8.28,7.84,9.47,12.38,14.16,14.44,16.31,19.84,22.19,21.75,20.97,21.5,21.38,18.47,14.66,12.66,12.16,9.94,7.09,6.0,7.09,7.31,5.66,5.78,8.34,10.91,10.5,9.88,11.06,12.41,10.84,8.62,8.81,10.16,10.03,8.38,8.25,9.44,9.94,8.0,7.28,9.53,12.59,13.38,13.94,16.62,19.34,19.09,17.19,16.91,18.34,18.16,16.56,15.91,17.19,17.5,14.66,12.34,12.59,13.25,12.03,11.09,12.75,15.41,16.0,14.44,14.16,15.25,14.69,12.03,10.19,11.0,11.66,9.75,7.88,8.41,9.5,7.97,5.72,6.12,8.44,9.5,9.5,11.44,15.81,19.47,20.62,22.69,26.59,30.03,30.06,29.72,31.09,33.31,33.31,31.81,31.75,32.81,31.91,28.72,26.5,26.78,26.47,24.25,22.28,22.44,22.19,19.12,15.12,13.88,14.59,14.72,15.0,17.69,23.06,27.31,29.16,31.12,34.38,35.66,33.41,30.12,28.91,28.41,25.53,22.31,21.31,22.03,20.94,18.06,16.75,17.25,17.38,15.38,14.06,15.59,17.47,16.53,15.62,16.56,18.44,17.62,15.38,14.78,15.97,15.84,14.19,13.69,15.41,16.72,15.69,14.91,16.56,18.31,17.66,15.62,15.97,17.28,17.34,16.59,18.19,22.06,24.72,25.03,25.62,28.0,29.41,28.22,26.88,27.81,29.84,29.31,27.41,27.03,27.5,25.81,22.78,21.06,22.5,23.81,23.44,23.88,26.94,29.69,29.62,28.62,29.5,31.41,31.31,30.38,31.59,34.38,35.53,34.5,33.62,34.0,33.66,30.5,27.44,26.75,27.03,24.91,22.56,23.16,25.41,26.41,25.91,27.09,30.0,30.91,29.38,27.94,28.69,28.72,26.22,23.62,23.78,24.38,23.12,20.31,19.22,19.66,18.38,15.12,13.28,14.16,14.47,13.25,12.75,15.41,18.72,19.31,19.5,21.88,24.84,25.69,24.94,25.5,27.0,26.44,23.28,20.66,20.22,19.28,16.31,13.81,14.12,15.38,15.0,14.5,16.94,20.5,22.78,22.91,24.03,25.88,25.75,22.91,20.5,21.19,22.03,21.66,21.25,23.53,25.69,25.69,24.0,24.19,26.16,26.78,25.56,25.44,27.12,27.81,25.75,23.34,23.5,23.56,21.62,19.25,19.88,21.38,21.44,19.56,19.22,20.34,20.34,18.78,18.69,21.41,24.03,24.12,23.78,25.06,26.44,25.22,23.34,23.5,24.72,24.28,22.28,21.06,21.53,21.66,19.84,18.72,20.41,22.56,22.28,22.12,23.69,25.69,25.28,23.56,23.78,25.94,27.0,26.12,26.0,27.09,27.38,24.91,22.66,23.31,24.62,23.94,22.78,24.0,26.53,27.0,26.16,26.84,28.97,29.5,27.59,26.16,26.75,26.78,24.25,22.31,22.94,24.5,24.22,24.28,26.78,30.66,33.12,33.66,34.91,36.75,37.78,35.62,34.22,34.81,35.12,32.78,29.62,28.38,27.38,24.78,21.47,19.91,20.22,19.78,17.59,16.69,18.16,19.47,18.44,17.75,19.12,20.91,19.94,17.94,18.25,19.5,19.41,18.0,18.38,20.72,22.0,21.06,20.75,22.19,23.38,21.56,19.78,20.31,21.97,21.53,20.72,22.06,24.44,25.16,23.81,23.28,24.03,24.16,21.91,20.47,21.41,22.94,21.41,19.34,19.16,19.97,19.03,17.34,18.34,21.62,23.62,23.31,23.88,26.03,27.25,25.66,23.81,24.03,24.66,23.03,21.38,21.88,23.69,23.91,22.06,21.03,22.09,21.47,18.88,16.91,17.34,17.69,16.34,15.22,17.0,19.78,19.69,18.91,19.41,20.81,19.84,17.22,15.81,16.03,15.94,14.06,13.12,15.12,17.66,17.78,17.5,18.72,20.94,20.72,19.22,19.34,20.88,21.28,19.59,18.94,20.44,21.44,20.12,18.94,20.28,22.03,22.0,21.09,21.47,23.12,22.72,21.03,20.84,22.69,23.66,22.66,21.72,22.94,24.44,23.59,22.66,23.75,25.44,24.44,22.25,21.44,22.47,22.22,20.62,19.75,21.25,21.09,19.25,17.41,18.5,20.38,20.59,20.84,22.72,25.22,24.91,22.66,20.91,21.03,20.31,18.25,17.34,19.41,20.94,19.84,18.38,18.88,19.72,18.47,16.56,16.69,18.22,17.84,16.0,14.97,16.12,17.09,15.88,15.94,19.44,23.34,25.0,25.59,27.88,29.47,28.41,26.31,26.12,27.78,28.62,27.94,27.62,29.16,29.62,27.38,24.62,24.69,25.34,23.88,22.06,22.44,23.88,23.22,21.25,20.72,22.22,22.31,20.81,19.88,20.88,21.72,20.44,18.81,20.0,22.16,22.53,21.91,22.91,25.12,25.78,24.97,25.69,28.78,31.19,30.56,29.75,30.28,30.03,27.03,22.84,20.91,20.12,17.94,14.78,14.34,16.06,17.09,17.19,18.12,21.31,23.69,22.78,21.53,22.47,23.66,22.91,21.19,21.53,22.94,22.72,20.97,21.09,22.97,23.88,22.66,22.16,23.81,25.12,23.94,22.22,22.44,23.47,22.62,20.69,20.72,22.53,23.44,22.41,22.75,25.12,26.34,24.62,22.81,22.88,23.28,21.53,19.56,20.62,23.31,24.84,25.19,27.5,30.78,32.09,31.16,30.44,31.66,32.5,30.88,28.59,28.53,28.47,26.22,23.34,23.12,24.66,25.44,24.16,24.16,25.44,25.16,22.75,21.16,22.16,23.53,22.78,21.69,22.34,23.47,22.19,19.62,18.44,19.41,19.69,18.25,18.72,21.41,23.44,22.62,21.75,22.75,23.75,21.94,19.19,19.25,20.5,20.16,18.91,19.59,22.12,23.88,23.25,23.66,26.03,28.03,26.78,26.0,27.41,29.38,29.19,28.19,28.75,30.06,29.78,27.41,26.31,27.41,27.88,26.34,25.66,27.0,28.25,26.75,24.75,25.28,26.81,25.62,23.22,22.56,23.19,22.56,20.28,19.34,20.47,21.09,19.09,17.69,18.78,20.81,20.5,19.88,21.16,23.53,23.81,22.34,22.06,23.09,22.97,20.72,19.41,20.88,22.56,21.5,20.56,21.47,22.34,19.97,16.62,14.72,14.81,14.12,12.44,12.78,15.91,18.09,17.81,18.03,20.22,22.09,21.0,18.81,18.5,19.03,17.62,15.12,14.41,15.91,17.06,17.06,18.75,23.09,26.81,27.25,26.97,28.5,29.56,27.81,25.44,25.12,26.06,24.88,22.44,20.69,21.0,20.19,38.72,39.62,39.22,38.72,39.28,39.56,38.75,37.62,38.47,39.5,38.53,36.81,36.12,36.06,35.22,33.38,33.47,35.12,36.44,36.62,36.91:4.81,5.19,6.41,5.88,3.41,2.16,3.09,4.12,3.16,2.47,3.97,5.69,4.81,3.5,4.91,7.28,8.34,8.66,10.38,13.31,14.97,14.09,13.56,14.75,15.06,12.44,9.72,8.91,8.56,6.94,4.91,5.44,7.81,9.03,8.41,8.84,10.91,12.5,11.94,11.53,13.16,14.78,13.78,12.41,13.25,15.88,16.84,16.62,18.06,20.41,21.19,19.53,18.19,18.62,18.59,16.44,14.84,15.47,16.72,15.78,14.25,14.75,15.97,15.31,12.44,10.25,8.94,7.28,3.78,2.06,3.59,5.81,5.91,5.72,7.16,8.88,7.91,5.41,3.62,3.5,2.72,0.75,1.0,4.25,7.0,7.19,7.28,9.19,10.97,10.38,9.12,9.06,10.53,9.53,7.62,7.19,8.66,9.03,7.03,5.38,6.09,6.5,5.06,4.44,6.62,9.81,11.06,11.47,13.0,15.41,15.34,13.16,11.53,11.28,10.38,7.0,4.59,4.72,5.62,4.53,3.62,5.12,7.53,8.06,7.62,8.84,11.59,12.94,11.91,11.06,11.88,11.94,10.0,8.28,9.62,11.84,11.97,11.81,13.75,16.22,17.25,17.12,18.03,20.5,21.69,19.69,17.69,18.0,18.19,16.78,16.12,18.44,22.0,23.31,23.66,25.38,27.88,28.56,27.09,26.16,27.47,28.09,26.44,24.94,25.69,26.75,25.28,23.41,24.03,26.09,26.66,26.56,27.75,30.72,32.03,30.69,29.78,30.22,30.47,28.5,26.66,27.25,28.44,27.06,24.34,23.5,23.88,22.81,20.72,19.97,21.0,21.53,19.84,18.59,19.91,20.97,19.84,18.16,18.91,20.56,20.75,20.19,21.09,23.91,25.06,23.94,23.34,24.06,24.03,21.41,18.72,18.59,19.03,17.47,15.38,15.94,18.0,18.56,18.06,19.03,21.91,23.47,22.91,22.31,23.47,23.78,21.44,18.69,18.38,18.78,17.28,14.72,14.59,16.06,16.84,16.44,16.78,19.28,20.53,18.66,17.06,17.84,18.75,17.31,15.44,15.41,16.03,14.59,11.72,11.0,12.19,13.06,12.75,13.19,16.22,18.47,18.22,17.38,19.12,21.47,21.66,21.09,22.78,25.34,26.12,24.31,23.34,23.66,22.72,19.69,17.31,17.72,17.97,15.91,13.47,13.5,14.59,14.0,12.34,12.78,14.5,14.69,12.5,11.78,13.44,14.84,14.19,14.22,16.56,18.72,18.25,16.44,16.44,16.66,15.03,11.69,10.69,11.56,12.0,10.75,10.78,12.81,13.78,12.5,10.41,10.56,10.69,8.81,6.16,6.19,8.19,9.28,9.25,10.94,14.31,16.75,16.06,15.47,16.34,16.69,14.41,12.03,12.19,13.44,13.44,12.03,12.72,14.5,15.09,13.44,13.06,14.84,17.19,17.53,18.41,21.81,25.03,25.34,24.03,24.12,24.53,22.34,18.16,15.16,13.88,11.75,8.19,5.84,6.47,7.19,5.69,4.22,5.69,7.94,8.28,7.84,9.47,12.38,14.16,14.44,16.31,19.84,22.19,21.75,20.97,21.5,21.38,18.47,14.66,12.66,12.16,9.94,7.09,6.0,7.09,7.31,5.66,5.78,8.34,10.91,10.5,9.88,11.06,12.41,10.84,8.62,8.81,10.16,10.03,8.38,8.25,9.44,9.94,8.0,7.28,9.53,12.59,13.38,13.94,16.62,19.34,19.09,17.19,16.91,18.34,18.16,16.56,15.91,17.19,17.5,14.66,12.34,12.59,13.25,12.03,11.09,12.75,15.41,16.0,14.44,14.16,15.25,14.69,12.03,10.19,11.0,11.66,9.75,7.88,8.41,9.5,7.97,5.72,6.12,8.44,9.5,9.5,11.44,15.81,19.47,20.62,22.69,26.59,30.03,30.06,29.72,31.09,33.31,33.31,31.81,31.75,32.81,31.91,28.72,26.5,26.78,26.47,24.25,22.28,22.44,22.19,19.12,15.12,13.88,14.59,14.72,15.0,17.69,23.06,27.31,29.16,31.12,34.38,35.66,33.41,30.12,28.91,28.41,25.53,22.31,21.31,22.03,20.94,18.06,16.75,17.25,17.38,15.38,14.06,15.59,17.47,16.53,15.62,16.56,18.44,17.62,15.38,14.78,15.97,15.84,14.19,13.69,15.41,16.72,15.69,14.91,16.56,18.31,17.66,15.62,15.97,17.28,17.34,16.59,18.19,22.06,24.72,25.03,25.62,28.0,29.41,28.22,26.88,27.81,29.84,29.31,27.41,27.03,27.5,25.81,22.78,21.06,22.5,23.81,23.44,23.88,26.94,29.69,29.62,28.62,29.5,31.41,31.31,30.38,31.59,34.38,35.53,34.5,33.62,34.0,33.66,30.5,27.44,26.75,27.03,24.91,22.56,23.16,25.41,26.41,25.91,27.09,30.0,30.91,29.38,27.94,28.69,28.72,26.22,23.62,23.78,24.38,23.12,20.31,19.22,19.66,18.38,15.12,13.28,14.16,14.47,13.25,12.75,15.41,18.72,19.31,19.5,21.88,24.84,25.69,24.94,25.5,27.0,26.44,23.28,20.66,20.22,19.28,16.31,13.81,14.12,15.38,15.0,14.5,16.94,20.5,22.78,22.91,24.03,25.88,25.75,22.91,20.5,21.19,22.03,21.66,21.25,23.53,25.69,25.69,24.0,24.19,26.16,26.78,25.56,25.44,27.12,27.81,25.75,23.34,23.5,23.56,21.62,19.25,19.88,21.38,21.44,19.56,19.22,20.34,20.34,18.78,18.69,21.41,24.03,24.12,23.78,25.06,26.44,25.22,23.34,23.5,24.72,24.28,22.28,21.06,21.53,21.66,19.84,18.72,20.41,22.56,22.28,22.12,23.69,25.69,25.28,23.56,23.78,25.94,27.0,26.12,26.0,27.09,27.38,24.91,22.66,23.31,24.62,23.94,22.78,24.0,26.53,27.0,26.16,26.84,28.97,29.5,27.59,26.16,26.75,26.78,24.25,22.31,22.94,24.5,24.22,24.28,26.78,30.66,33.12,33.66,34.91,36.75,37.78,35.62,34.22,34.81,35.12,32.78,29.62,28.38,27.38,24.78,21.47,19.91,20.22,19.78,17.59,16.69,18.16,19.47,18.44,17.75,19.12,20.91,19.94,17.94,18.25,19.5,19.41,18.0,18.38,20.72,22.0,21.06,20.75,22.19,23.38,21.56,19.78,20.31,21.97,21.53,20.72,22.06,24.44,25.16,23.81,23.28,24.03,24.16,21.91,20.47,21.41,22.94,21.41,19.34,19.16,19.97,19.03,17.34,18.34,21.62,23.62,23.31,23.88,26.03,27.25,25.66,23.81,24.03,24.66,23.03,21.38,21.88,23.69,23.91,22.06,21.03,22.09,21.47,18.88,16.91,17.34,17.69,16.34,15.22,17.0,19.78,19.69,18.91,19.41,20.81,19.84,17.22,15.81,16.03,15.94,14.06,13.12,15.12,17.66,17.78,17.5,18.72,20.94,20.72,19.22,19.34,20.88,21.28,19.59,18.94,20.44,21.44,20.12,18.94,20.28,22.03,22.0,21.09,21.47,23.12,22.72,21.03,20.84,22.69,23.66,22.66,21.72,22.94,24.44,23.59,22.66,23.75,25.44,24.44,22.25,21.44,22.47,22.22,20.62,19.75,21.25,21.09,19.25,17.41,18.5,20.38,20.59,20.84,22.72,25.22,24.91,22.66,20.91,21.03,20.31,18.25,17.34,19.41,20.94,19.84,18.38,18.88,19.72,18.47,16.56,16.69,18.22,17.84,16.0,14.97,16.12,17.09,15.88,15.94,19.44,23.34,25.0,25.59,27.88,29.47,28.41,26.31,26.12,27.78,28.62,27.94,27.62,29.16,29.62,27.38,24.62,24.69,25.34,23.88,22.06,22.44,23.88,23.22,21.25,20.72,22.22,22.31,20.81,19.88,20.88,21.72,20.44,18.81,20.0,22.16,22.53,21.91,22.91,25.12,25.78,24.97,25.69,28.78,31.19,30.56,29.75,30.28,30.03,27.03,22.84,20.91,20.12,17.94,14.78,14.34,16.06,17.09,17.19,18.12,21.31,23.69,22.78,21.53,22.47,23.66,22.91,21.19,21.53,22.94,22.72,20.97,21.09,22.97,23.88,22.66,22.16,23.81,25.12,23.94,22.22,22.44,23.47,22.62,20.69,20.72,22.53,23.44,22.41,22.75,25.12,26.34,24.62,22.81,22.88,23.28,21.53,19.56,20.62,23.31,24.84,25.19,27.5,30.78,32.09,31.16,30.44,31.66,32.5,30.88,28.59,28.53,28.47,26.22,23.34,23.12,24.66,25.44,24.16,24.16,25.44,25.16,22.75,21.16,22.16,23.53,22.78,21.69,22.34,23.47,22.19,19.62,18.44,19.41,19.69,18.25,18.72,21.41,23.44,22.62,21.75,22.75,23.75,21.94,19.19,19.25,20.5,20.16,18.91,19.59,22.12,23.88,23.25,23.66,26.03,28.03,26.78,26.0,27.41,29.38,29.19,28.19,28.75,30.06,29.78,27.41,26.31,27.41,27.88,26.34,25.66,27.0,28.25,26.75,24.75,25.28,26.81,25.62,23.22,22.56,23.19,22.56,20.28,19.34,20.47,21.09,19.09,17.69,18.78,20.81,20.5,19.88,21.16,23.53,23.81,22.34,22.06,23.09,22.97,20.72,19.41,20.88,22.56,21.5,20.56,21.47,22.34,19.97,16.62,14.72,14.81,14.12,12.44,12.78,15.91,18.09,17.81,18.03,20.22,22.09,21.0,18.81,18.5,19.03,17.62,15.12,14.41,15.91,17.06,17.06,18.75,23.09,26.81,27.25,26.97,28.5,29.56,27.81,25.44,25.12,26.06,24.88,22.44,20.69,21.0,20.19,38.72,39.62,39.22,38.72,39.28,39.56,38.75,37.62,38.47,39.5,38.53,36.81,36.12,36.06,35.22,33.38,33.47,35.12,36.44,36.62,36.91,38.06,38.72,36.88,35.34,35.25,35.84,35.0:4.12,3.16,2.47,3.97,5.69,4.81,3.5,4.91,7.28,8.34,8.66,10.38,13.31,14.97,14.09,13.56,14.75,15.06,12.44,9.72,8.91,8.56,6.94,4.91,5.44,7.81,9.03,8.41,8.84,10.91,12.5,11.94,11.53,13.16,14.78,13.78,12.41,13.25,15.88,16.84,16.62,18.06,20.41,21.19,19.53,18.19,18.62,18.59,16.44,14.84,15.47,16.72,15.78,14.25,14.75,15.97,15.31,12.44,10.25,8.94,7.28,3.78,2.06,3.59,5.81,5.91,5.72,7.16,8.88,7.91,5.41,3.62,3.5,2.72,0.75,1.0,4.25,7.0,7.19,7.28,9.19,10.97,10.38,9.12,9.06,10.53,9.53,7.62,7.19,8.66,9.03,7.03,5.38,6.09,6.5,5.06,4.44,6.62,9.81,11.06,11.47,13.0,15.41,15.34,13.16,11.53,11.28,10.38,7.0,4.59,4.72,5.62,4.53,3.62,5.12,7.53,8.06,7.62,8.84,11.59,12.94,11.91,11.06,11.88,11.94,10.0,8.28,9.62,11.84,11.97,11.81,13.75,16.22,17.25,17.12,18.03,20.5,21.69,19.69,17.69,18.0,18.19,16.78,16.12,18.44,22.0,23.31,23.66,25.38,27.88,28.56,27.09,26.16,27.47,28.09,26.44,24.94,25.69,26.75,25.28,23.41,24.03,26.09,26.66,26.56,27.75,30.72,32.03,30.69,29.78,30.22,30.47,28.5,26.66,27.25,28.44,27.06,24.34,23.5,23.88,22.81,20.72,19.97,21.0,21.53,19.84,18.59,19.91,20.97,19.84,18.16,18.91,20.56,20.75,20.19,21.09,23.91,25.06,23.94,23.34,24.06,24.03,21.41,18.72,18.59,19.03,17.47,15.38,15.94,18.0,18.56,18.06,19.03,21.91,23.47,22.91,22.31,23.47,23.78,21.44,18.69,18.38,18.78,17.28,14.72,14.59,16.06,16.84,16.44,16.78,19.28,20.53,18.66,17.06,17.84,18.75,17.31,15.44,15.41,16.03,14.59,11.72,11.0,12.19,13.06,12.75,13.19,16.22,18.47,18.22,17.38,19.12,21.47,21.66,21.09,22.78,25.34,26.12,24.31,23.34,23.66,22.72,19.69,17.31,17.72,17.97,15.91,13.47,13.5,14.59,14.0,12.34,12.78,14.5,14.69,12.5,11.78,13.44,14.84,14.19,14.22,16.56,18.72,18.25,16.44,16.44,16.66,15.03,11.69,10.69,11.56,12.0,10.75,10.78,12.81,13.78,12.5,10.41,10.56,10.69,8.81,6.16,6.19,8.19,9.28,9.25,10.94,14.31,16.75,16.06,15.47,16.34,16.69,14.41,12.03,12.19,13.44,13.44,12.03,12.72,14.5,15.09,13.44,13.06,14.84,17.19,17.53,18.41,21.81,25.03,25.34,24.03,24.12,24.53,22.34,18.16,15.16,13.88,11.75,8.19,5.84,6.47,7.19,5.69,4.22,5.69,7.94,8.28,7.84,9.47,12.38,14.16,14.44,16.31,19.84,22.19,21.75,20.97,21.5,21.38,18.47,14.66,12.66,12.16,9.94,7.09,6.0,7.09,7.31,5.66,5.78,8.34,10.91,10.5,9.88,11.06,12.41,10.84,8.62,8.81,10.16,10.03,8.38,8.25,9.44,9.94,8.0,7.28,9.53,12.59,13.38,13.94,16.62,19.34,19.09,17.19,16.91,18.34,18.16,16.56,15.91,17.19,17.5,14.66,12.34,12.59,13.25,12.03,11.09,12.75,15.41,16.0,14.44,14.16,15.25,14.69,12.03,10.19,11.0,11.66,9.75,7.88,8.41,9.5,7.97,5.72,6.12,8.44,9.5,9.5,11.44,15.81,19.47,20.62,22.69,26.59,30.03,30.06,29.72,31.09,33.31,33.31,31.81,31.75,32.81,31.91,28.72,26.5,26.78,26.47,24.25,22.28,22.44,22.19,19.12,15.12,13.88,14.59,14.72,15.0,17.69,23.06,27.31,29.16,31.12,34.38,35.66,33.41,30.12,28.91,28.41,25.53,22.31,21.31,22.03,20.94,18.06,16.75,17.25,17.38,15.38,14.06,15.59,17.47,16.53,15.62,16.56,18.44,17.62,15.38,14.78,15.97,15.84,14.19,13.69,15.41,16.72,15.69,14.91,16.56,18.31,17.66,15.62,15.97,17.28,17.34,16.59,18.19,22.06,24.72,25.03,25.62,28.0,29.41,28.22,26.88,27.81,29.84,29.31,27.41,27.03,27.5,25.81,22.78,21.06,22.5,23.81,23.44,23.88,26.94,29.69,29.62,28.62,29.5,31.41,31.31,30.38,31.59,34.38,35.53,34.5,33.62,34.0,33.66,30.5,27.44,26.75,27.03,24.91,22.56,23.16,25.41,26.41,25.91,27.09,30.0,30.91,29.38,27.94,28.69,28.72,26.22,23.62,23.78,24.38,23.12,20.31,19.22,19.66,18.38,15.12,13.28,14.16,14.47,13.25,12.75,15.41,18.72,19.31,19.5,21.88,24.84,25.69,24.94,25.5,27.0,26.44,23.28,20.66,20.22,19.28,16.31,13.81,14.12,15.38,15.0,14.5,16.94,20.5,22.78,22.91,24.03,25.88,25.75,22.91,20.5,21.19,22.03,21.66,21.25,23.53,25.69,25.69,24.0,24.19,26.16,26.78,25.56,25.44,27.12,27.81,25.75,23.34,23.5,23.56,21.62,19.25,19.88,21.38,21.44,19.56,19.22,20.34,20.34,18.78,18.69,21.41,24.03,24.12,23.78,25.06,26.44,25.22,23.34,23.5,24.72,24.28,22.28,21.06,21.53,21.66,19.84,18.72,20.41,22.56,22.28,22.12,23.69,25.69,25.28,23.56,23.78,25.94,27.0,26.12,26.0,27.09,27.38,24.91,22.66,23.31,24.62,23.94,22.78,24.0,26.53,27.0,26.16,26.84,28.97,29.5,27.59,26.16,26.75,26.78,24.25,22.31,22.94,24.5,24.22,24.28,26.78,30.66,33.12,33.66,34.91,36.75,37.78,35.62,34.22,34.81,35.12,32.78,29.62,28.38,27.38,24.78,21.47,19.91,20.22,19.78,17.59,16.69,18.16,19.47,18.44,17.75,19.12,20.91,19.94,17.94,18.25,19.5,19.41,18.0,18.38,20.72,22.0,21.06,20.75,22.19,23.38,21.56,19.78,20.31,21.97,21.53,20.72,22.06,24.44,25.16,23.81,23.28,24.03,24.16,21.91,20.47,21.41,22.94,21.41,19.34,19.16,19.97,19.03,17.34,18.34,21.62,23.62,23.31,23.88,26.03,27.25,25.66,23.81,24.03,24.66,23.03,21.38,21.88,23.69,23.91,22.06,21.03,22.09,21.47,18.88,16.91,17.34,17.69,16.34,15.22,17.0,19.78,19.69,18.91,19.41,20.81,19.84,17.22,15.81,16.03,15.94,14.06,13.12,15.12,17.66,17.78,17.5,18.72,20.94,20.72,19.22,19.34,20.88,21.28,19.59,18.94,20.44,21.44,20.12,18.94,20.28,22.03,22.0,21.09,21.47,23.12,22.72,21.03,20.84,22.69,23.66,22.66,21.72,22.94,24.44,23.59,22.66,23.75,25.44,24.44,22.25,21.44,22.47,22.22,20.62,19.75,21.25,21.09,19.25,17.41,18.5,20.38,20.59,20.84,22.72,25.22,24.91,22.66,20.91,21.03,20.31,18.25,17.34,19.41,20.94,19.84,18.38,18.88,19.72,18.47,16.56,16.69,18.22,17.84,16.0,14.97,16.12,17.09,15.88,15.94,19.44,23.34,25.0,25.59,27.88,29.47,28.41,26.31,26.12,27.78,28.62,27.94,27.62,29.16,29.62,27.38,24.62,24.69,25.34,23.88,22.06,22.44,23.88,23.22,21.25,20.72,22.22,22.31,20.81,19.88,20.88,21.72,20.44,18.81,20.0,22.16,22.53,21.91,22.91,25.12,25.78,24.97,25.69,28.78,31.19,30.56,29.75,30.28,30.03,27.03,22.84,20.91,20.12,17.94,14.78,14.34,16.06,17.09,17.19,18.12,21.31,23.69,22.78,21.53,22.47,23.66,22.91,21.19,21.53,22.94,22.72,20.97,21.09,22.97,23.88,22.66,22.16,23.81,25.12,23.94,22.22,22.44,23.47,22.62,20.69,20.72,22.53,23.44,22.41,22.75,25.12,26.34,24.62,22.81,22.88,23.28,21.53,19.56,20.62,23.31,24.84,25.19,27.5,30.78,32.09,31.16,30.44,31.66,32.5,30.88,28.59,28.53,28.47,26.22,23.34,23.12,24.66,25.44,24.16,24.16,25.44,25.16,22.75,21.16,22.16,23.53,22.78,21.69,22.34,23.47,22.19,19.62,18.44,19.41,19.69,18.25,18.72,21.41,23.44,22.62,21.75,22.75,23.75,21.94,19.19,19.25,20.5,20.16,18.91,19.59,22.12,23.88,23.25,23.66,26.03,28.03,26.78,26.0,27.41,29.38,29.19,28.19,28.75,30.06,29.78,27.41,26.31,27.41,27.88,26.34,25.66,27.0,28.25,26.75,24.75,25.28,26.81,25.62,23.22,22.56,23.19,22.56,20.28,19.34,20.47,21.09,19.09,17.69,18.78,20.81,20.5,19.88,21.16,23.53,23.81,22.34,22.06,23.09,22.97,20.72,19.41,20.88,22.56,21.5,20.56,21.47,22.34,19.97,16.62,14.72,14.81,14.12,12.44,12.78,15.91,18.09,17.81,18.03,20.22,22.09,21.0,18.81,18.5,19.03,17.62,15.12,14.41,15.91,17.06,17.06,18.75,23.09,26.81,27.25,26.97,28.5,29.56,27.81,25.44,25.12,26.06,24.88,22.44,20.69,21.0,20.19,38.72,39.62,39.22,38.72,39.28,39.56,38.75,37.62,38.47,39.5,38.53,36.81,36.12,36.06,35.22,33.38,33.47,35.12,36.44,36.62,36.91,38.06,38.72,36.88,35.34,35.25,35.84,35.0,33.72,33.59,33.97,33.84,33.22,33.75,36.03:4.91,7.28,8.34,8.66,10.38,13.31,14.97,14.09,13.56,14.75,15.06,12.44,9.72,8.91,8.56,6.94,4.91,5.44,7.81,9.03,8.41,8.84,10.91,12.5,11.94,11.53,13.16,14.78,13.78,12.41,13.25,15.88,16.84,16.62,18.06,20.41,21.19,19.53,18.19,18.62,18.59,16.44,14.84,15.47,16.72,15.78,14.25,14.75,15.97,15.31,12.44,10.25,8.94,7.28,3.78,2.06,3.59,5.81,5.91,5.72,7.16,8.88,7.91,5.41,3.62,3.5,2.72,0.75,1.0,4.25,7.0,7.19,7.28,9.19,10.97,10.38,9.12,9.06,10.53,9.53,7.62,7.19,8.66,9.03,7.03,5.38,6.09,6.5,5.06,4.44,6.62,9.81,11.06,11.47,13.0,15.41,15.34,13.16,11.53,11.28,10.38,7.0,4.59,4.72,5.62,4.53,3.62,5.12,7.53,8.06,7.62,8.84,11.59,12.94,11.91,11.06,11.88,11.94,10.0,8.28,9.62,11.84,11.97,11.81,13.75,16.22,17.25,17.12,18.03,20.5,21.69,19.69,17.69,18.0,18.19,16.78,16.12,18.44,22.0,23.31,23.66,25.38,27.88,28.56,27.09,26.16,27.47,28.09,26.44,24.94,25.69,26.75,25.28,23.41,24.03,26.09,26.66,26.56,27.75,30.72,32.03,30.69,29.78,30.22,30.47,28.5,26.66,27.25,28.44,27.06,24.34,23.5,23.88,22.81,20.72,19.97,21.0,21.53,19.84,18.59,19.91,20.97,19.84,18.16,18.91,20.56,20.75,20.19,21.09,23.91,25.06,23.94,23.34,24.06,24.03,21.41,18.72,18.59,19.03,17.47,15.38,15.94,18.0,18.56,18.06,19.03,21.91,23.47,22.91,22.31,23.47,23.78,21.44,18.69,18.38,18.78,17.28,14.72,14.59,16.06,16.84,16.44,16.78,19.28,20.53,18.66,17.06,17.84,18.75,17.31,15.44,15.41,16.03,14.59,11.72,11.0,12.19,13.06,12.75,13.19,16.22,18.47,18.22,17.38,19.12,21.47,21.66,21.09,22.78,25.34,26.12,24.31,23.34,23.66,22.72,19.69,17.31,17.72,17.97,15.91,13.47,13.5,14.59,14.0,12.34,12.78,14.5,14.69,12.5,11.78,13.44,14.84,14.19,14.22,16.56,18.72,18.25,16.44,16.44,16.66,15.03,11.69,10.69,11.56,12.0,10.75,10.78,12.81,13.78,12.5,10.41,10.56,10.69,8.81,6.16,6.19,8.19,9.28,9.25,10.94,14.31,16.75,16.06,15.47,16.34,16.69,14.41,12.03,12.19,13.44,13.44,12.03,12.72,14.5,15.09,13.44,13.06,14.84,17.19,17.53,18.41,21.81,25.03,25.34,24.03,24.12,24.53,22.34,18.16,15.16,13.88,11.75,8.19,5.84,6.47,7.19,5.69,4.22,5.69,7.94,8.28,7.84,9.47,12.38,14.16,14.44,16.31,19.84,22.19,21.75,20.97,21.5,21.38,18.47,14.66,12.66,12.16,9.94,7.09,6.0,7.09,7.31,5.66,5.78,8.34,10.91,10.5,9.88,11.06,12.41,10.84,8.62,8.81,10.16,10.03,8.38,8.25,9.44,9.94,8.0,7.28,9.53,12.59,13.38,13.94,16.62,19.34,19.09,17.19,16.91,18.34,18.16,16.56,15.91,17.19,17.5,14.66,12.34,12.59,13.25,12.03,11.09,12.75,15.41,16.0,14.44,14.16,15.25,14.69,12.03,10.19,11.0,11.66,9.75,7.88,8.41,9.5,7.97,5.72,6.12,8.44,9.5,9.5,11.44,15.81,19.47,20.62,22.69,26.59,30.03,30.06,29.72,31.09,33.31,33.31,31.81,31.75,32.81,31.91,28.72,26.5,26.78,26.47,24.25,22.28,22.44,22.19,19.12,15.12,13.88,14.59,14.72,15.0,17.69,23.06,27.31,29.16,31.12,34.38,35.66,33.41,30.12,28.91,28.41,25.53,22.31,21.31,22.03,20.94,18.06,16.75,17.25,17.38,15.38,14.06,15.59,17.47,16.53,15.62,16.56,18.44,17.62,15.38,14.78,15.97,15.84,14.19,13.69,15.41,16.72,15.69,14.91,16.56,18.31,17.66,15.62,15.97,17.28,17.34,16.59,18.19,22.06,24.72,25.03,25.62,28.0,29.41,28.22,26.88,27.81,29.84,29.31,27.41,27.03,27.5,25.81,22.78,21.06,22.5,23.81,23.44,23.88,26.94,29.69,29.62,28.62,29.5,31.41,31.31,30.38,31.59,34.38,35.53,34.5,33.62,34.0,33.66,30.5,27.44,26.75,27.03,24.91,22.56,23.16,25.41,26.41,25.91,27.09,30.0,30.91,29.38,27.94,28.69,28.72,26.22,23.62,23.78,24.38,23.12,20.31,19.22,19.66,18.38,15.12,13.28,14.16,14.47,13.25,12.75,15.41,18.72,19.31,19.5,21.88,24.84,25.69,24.94,25.5,27.0,26.44,23.28,20.66,20.22,19.28,16.31,13.81,14.12,15.38,15.0,14.5,16.94,20.5,22.78,22.91,24.03,25.88,25.75,22.91,20.5,21.19,22.03,21.66,21.25,23.53,25.69,25.69,24.0,24.19,26.16,26.78,25.56,25.44,27.12,27.81,25.75,23.34,23.5,23.56,21.62,19.25,19.88,21.38,21.44,19.56,19.22,20.34,20.34,18.78,18.69,21.41,24.03,24.12,23.78,25.06,26.44,25.22,23.34,23.5,24.72,24.28,22.28,21.06,21.53,21.66,19.84,18.72,20.41,22.56,22.28,22.12,23.69,25.69,25.28,23.56,23.78,25.94,27.0,26.12,26.0,27.09,27.38,24.91,22.66,23.31,24.62,23.94,22.78,24.0,26.53,27.0,26.16,26.84,28.97,29.5,27.59,26.16,26.75,26.78,24.25,22.31,22.94,24.5,24.22,24.28,26.78,30.66,33.12,33.66,34.91,36.75,37.78,35.62,34.22,34.81,35.12,32.78,29.62,28.38,27.38,24.78,21.47,19.91,20.22,19.78,17.59,16.69,18.16,19.47,18.44,17.75,19.12,20.91,19.94,17.94,18.25,19.5,19.41,18.0,18.38,20.72,22.0,21.06,20.75,22.19,23.38,21.56,19.78,20.31,21.97,21.53,20.72,22.06,24.44,25.16,23.81,23.28,24.03,24.16,21.91,20.47,21.41,22.94,21.41,19.34,19.16,19.97,19.03,17.34,18.34,21.62,23.62,23.31,23.88,26.03,27.25,25.66,23.81,24.03,24.66,23.03,21.38,21.88,23.69,23.91,22.06,21.03,22.09,21.47,18.88,16.91,17.34,17.69,16.34,15.22,17.0,19.78,19.69,18.91,19.41,20.81,19.84,17.22,15.81,16.03,15.94,14.06,13.12,15.12,17.66,17.78,17.5,18.72,20.94,20.72,19.22,19.34,20.88,21.28,19.59,18.94,20.44,21.44,20.12,18.94,20.28,22.03,22.0,21.09,21.47,23.12,22.72,21.03,20.84,22.69,23.66,22.66,21.72,22.94,24.44,23.59,22.66,23.75,25.44,24.44,22.25,21.44,22.47,22.22,20.62,19.75,21.25,21.09,19.25,17.41,18.5,20.38,20.59,20.84,22.72,25.22,24.91,22.66,20.91,21.03,20.31,18.25,17.34,19.41,20.94,19.84,18.38,18.88,19.72,18.47,16.56,16.69,18.22,17.84,16.0,14.97,16.12,17.09,15.88,15.94,19.44,23.34,25.0,25.59,27.88,29.47,28.41,26.31,26.12,27.78,28.62,27.94,27.62,29.16,29.62,27.38,24.62,24.69,25.34,23.88,22.06,22.44,23.88,23.22,21.25,20.72,22.22,22.31,20.81,19.88,20.88,21.72,20.44,18.81,20.0,22.16,22.53,21.91,22.91,25.12,25.78,24.97,25.69,28.78,31.19,30.56,29.75,30.28,30.03,27.03,22.84,20.91,20.12,17.94,14.78,14.34,16.06,17.09,17.19,18.12,21.31,23.69,22.78,21.53,22.47,23.66,22.91,21.19,21.53,22.94,22.72,20.97,21.09,22.97,23.88,22.66,22.16,23.81,25.12,23.94,22.22,22.44,23.47,22.62,20.69,20.72,22.53,23.44,22.41,22.75,25.12,26.34,24.62,22.81,22.88,23.28,21.53,19.56,20.62,23.31,24.84,25.19,27.5,30.78,32.09,31.16,30.44,31.66,32.5,30.88,28.59,28.53,28.47,26.22,23.34,23.12,24.66,25.44,24.16,24.16,25.44,25.16,22.75,21.16,22.16,23.53,22.78,21.69,22.34,23.47,22.19,19.62,18.44,19.41,19.69,18.25,18.72,21.41,23.44,22.62,21.75,22.75,23.75,21.94,19.19,19.25,20.5,20.16,18.91,19.59,22.12,23.88,23.25,23.66,26.03,28.03,26.78,26.0,27.41,29.38,29.19,28.19,28.75,30.06,29.78,27.41,26.31,27.41,27.88,26.34,25.66,27.0,28.25,26.75,24.75,25.28,26.81,25.62,23.22,22.56,23.19,22.56,20.28,19.34,20.47,21.09,19.09,17.69,18.78,20.81,20.5,19.88,21.16,23.53,23.81,22.34,22.06,23.09,22.97,20.72,19.41,20.88,22.56,21.5,20.56,21.47,22.34,19.97,16.62,14.72,14.81,14.12,12.44,12.78,15.91,18.09,17.81,18.03,20.22,22.09,21.0,18.81,18.5,19.03,17.62,15.12,14.41,15.91,17.06,17.06,18.75,23.09,26.81,27.25,26.97,28.5,29.56,27.81,25.44,25.12,26.06,24.88,22.44,20.69,21.0,20.19,38.72,39.62,39.22,38.72,39.28,39.56,38.75,37.62,38.47,39.5,38.53,36.81,36.12,36.06,35.22,33.38,33.47,35.12,36.44,36.62,36.91,38.06,38.72,36.88,35.34,35.25,35.84,35.0,33.72,33.59,33.97,33.84,33.22,33.75,36.03,38.09,38.72,39.19,40.72,42.12,41.59,40.97:positivity
8.69,6.0,2.78,0.34,-1.16,-2.28,-3.25,-3.0,-1.19,0.94,2.28,3.62,6.09,8.0,8.44,8.66,9.72,10.19,10.25,10.06,10.41,10.84,11.09,10.69,10.75,11.47,12.44,13.22,14.12,15.94,17.09,17.12,16.66,16.84,16.81,16.28,14.78,13.56,12.78,11.91,10.72,10.28,10.53,10.66,9.53,8.47,8.38,8.75,8.62,8.62,9.59,10.97,12.31,13.22,14.75,16.84,18.31,18.59,19.5,20.34,20.97,20.97,20.38,20.19,19.56,18.22,16.25,15.12,14.19,12.91,11.47,10.5,9.91,9.44,8.44,7.88,8.62,10.12,11.28,12.97,15.53,18.5,21.25,23.53,26.59,29.47,31.44,31.44,30.56,28.84,26.56,23.19,20.31,19.09,18.47,17.25,16.03,15.28,14.47,13.12,11.62,11.44,12.06,13.25,14.34,15.88,17.25,17.59,16.22,14.22,12.75,11.81,10.69,9.91,10.31,10.94,11.19,11.0,11.75,12.78,13.47,13.59,13.88,14.38,14.94,14.72,14.31,14.62,15.0,14.38,13.22,12.59,11.78,10.19,7.78,5.94,4.69,3.91,2.66,2.81,4.28,5.97,6.59,6.97,7.28,7.62,6.59,5.34,4.81,4.47,4.12,3.31,3.38,4.06,4.94,5.09,6.09,7.53,9.19,10.25,11.22,12.84,14.62,15.34,15.66,15.66,15.69,15.16,13.59,12.31,11.56,10.91,9.66,9.5,10.22,11.81,12.5,13.09,13.28,12.72,10.66,7.62,4.72,2.5,1.16,-0.03,-0.12,0.97,2.34,2.88,3.5,4.75,5.81,5.91,5.28,5.03,5.47,5.25,5.0,5.91,7.56,9.09,9.88,10.38,10.88,10.69,9.22,8.03,7.25,6.62,5.56,4.69,4.06,4.06,3.72,2.94,2.38,2.72,3.09,3.56,4.25,5.81,7.5,8.09,8.75,10.12,11.22,11.34,11.25,11.12,11.19,11.16,10.44,10.0,10.16,9.88,9.12,8.38,8.59,9.25,9.16,8.84,9.19,9.56,9.03,7.66,6.75,6.22,5.0,4.09,3.12,2.94,3.0,2.31,2.12,2.62,3.72,4.03,4.22,4.34,4.44,3.41,1.84,0.94,1.03,1.81,2.72,4.38,6.78,8.75,9.62,9.91,10.56,11.28,10.41,9.06,7.78,7.16,6.03,5.12,5.12,5.88,6.38,6.19,5.72,5.75,5.94,5.44,5.5,6.78,8.91,10.09,10.78,11.53,12.34,12.38,12.19,12.5,13.31,14.22,14.06,13.34,13.06,12.38,10.84,9.31,8.66,8.84,8.84,8.81,9.78,11.94,13.5,14.59,15.53,17.09,18.0,18.09,18.41,19.28,19.94,19.81,18.94,18.56,18.5,17.19,15.59,14.62,14.47,13.69,12.28,10.75,9.94,9.03,7.66,6.97,7.97,9.88,11.75,13.62,16.06,18.25,18.78,17.81,15.88,13.84,10.97,8.12,5.66,5.09,5.12,4.84,4.78,5.0,4.75,4.06,2.88,2.38,2.62,2.62,2.41,2.31,3.31,4.03,4.47,5.47,7.25,8.97,9.84,10.25,11.22,11.75,11.44,10.84,10.22,10.06,9.09,7.72,6.84,6.56,5.75,4.62,3.56,3.5,3.56,3.25,2.66,2.91,3.56,3.81,3.97,4.88,6.0,6.0,5.44,4.16,4.06,4.5,4.78,5.19,6.91,8.25,8.22,7.72,7.53,7.5,6.81,5.75,4.94,4.75,3.94,2.69,1.59,1.59,1.88,1.78,1.66,2.31,2.94,2.69,2.06,2.34,2.84,2.75,2.31,2.28,2.69,2.81,2.84,2.72,3.47,4.12,3.44,1.97,1.19,0.41,-1.0,-2.12,-2.44,-2.41,-2.66,-3.12,-2.75,-1.25,0.38,1.22,1.25,1.94,1.94,0.62,-0.44,-0.28,0.72,1.41,1.66,3.03,4.12,4.31,3.84,3.28,3.41,3.41,2.84,2.0,1.84,1.34,-0.28,-2.03,-2.75,-2.88,-2.66,-2.62,-1.72,-0.22,0.91,1.19,1.47,2.5,3.31,3.31,2.75,2.91,3.09,2.03,0.19,-1.25,-2.44,-5.03,-8.06,-10.41,-11.16,-11.25,-10.91,-8.81,-4.59,-0.06,3.12,5.56,7.31,7.84,6.59,4.72,4.0,4.41,4.75,5.06,5.88,6.78,6.62,4.69,2.34,0.09,-2.16,-4.69,-6.5,-6.66,-5.84,-4.78,-3.91,-2.12,-0.28,1.25,1.94,2.78,4.72,5.81,5.38,4.19,3.22,1.62,-0.81,-3.31,-4.12,-3.94,-3.31,-3.0,-1.53,0.56,1.72,2.12,2.56,3.75,4.34,3.56,2.94,2.72,1.94,0.91,-0.5,-0.53,-0.06,0.25,0.31,1.28,2.5,3.09,3.28,3.25,4.16,4.59,4.25,3.69,3.66,3.75,2.94,1.72,1.56,2.03,2.38,2.59,4.06,5.91,6.78,6.38,5.47,4.5,3.38,1.25,-0.06,-0.44,0.0,-0.22,-0.78,-0.81,-0.72,-1.47,-3.12,-3.84,-3.84,-3.44,-3.78,-3.94,-3.09,-2.34,-2.66,-2.62,-1.81,-0.53,-0.25,-0.81,-0.94,-1.19,-2.5,-4.91,-7.06,-8.66,-10.25,-12.09,-12.88,-11.66,-10.12,-9.12,-8.09,-5.81,-4.19,-2.81,-1.72,0.38,2.78,4.69,5.19,5.47,5.81,4.91,2.75,0.69,-0.53,-2.0,-4.25,-6.22,-6.62,-6.62,-6.56,-6.69,-5.69,-4.06,-2.62,-1.69,-0.44,0.88,1.16,-0.44,-2.25,-3.25,-3.84,-4.81,-5.38,-4.69,-3.44,-3.19,-3.16,-2.34,-1.28,-0.72,-1.22,-1.69,-2.03,-2.31,-3.88,-4.84,-4.38,-3.5,-3.97,-4.53,-4.59,-4.22,-4.72,-5.31,-4.66,-3.78,-2.66,-2.97,-2.66,-1.84,-1.09,-1.59,-2.25,-2.31,-2.91,-5.09,-7.56,-8.62,-9.12,-9.56,-10.09,-10.25,-9.91,-9.62,-9.72,-8.66,-6.38,-3.59,-2.0,-1.22,0.09,1.06,0.66,-0.28,-0.88,-1.47,-2.91,-5.31,-7.06,-8.03,-8.41,-9.31,-9.53,-8.31,-6.53,-5.97,-5.53,-4.31,-3.12,-3.75,-4.88,-5.16,-5.03,-5.75,-6.84,-7.22,-6.88,-6.5,-6.62,-5.81,-3.56,-1.03,0.0,0.72,1.25,1.03,-0.34,-2.62,-4.06,-4.41,-4.69,-5.28,-5.03,-4.0,-2.94,-3.84,-4.78,-5.03,-4.84,-5.5,-5.44,-3.91,-1.69,-0.41,0.09,0.97,2.0,2.41,1.5,0.28,-0.62,-2.44,-5.47,-7.56,-8.5,-7.88,-7.28,-5.69,-2.84,0.0,1.81,2.62,2.53,2.0,0.44,-1.75,-3.88,-4.41,-4.75,-6.25,-7.62,-8.09,-7.97,-8.22,-7.81,-5.94,-3.56,-2.19,-2.47,-3.34,-4.28,-6.09,-8.94,-10.62,-10.34,-9.19,-8.88,-8.62,-7.94,-7.59,-8.25,-9.34,-8.84,-6.47,-4.56,-2.91,-0.38,2.0,2.84,1.97,0.25,-0.44,-1.25,-2.72,-3.53,-3.03,-2.53,-3.03,-4.06,-5.03,-5.91,-7.31,-9.53,-11.09,-11.38,-10.69,-10.31,-9.16,-6.28,-3.66,-2.5,-2.22,-1.62,-0.81,-1.84,-3.28,-4.06,-3.81,-4.09,-4.59,-4.31,-3.06,-1.91,-2.03,-2.53,-2.44,-2.84,-5.16,-7.41,-8.5,-8.38,-7.91,-6.56,-4.25,-1.38,0.22,0.72,1.0,1.72,2.19,1.75,1.69,2.91,5.22,6.59,8.09,10.0,11.69,11.53,10.28,8.84,8.28,7.0,4.84,3.22,2.53,1.81,0.28,-0.84,-0.72,0.09,0.41,0.53,1.53,2.78,3.0,2.0,1.0,0.56,-0.47,-2.28,-3.56,-3.47,-3.22,-3.94,-4.84,-4.72,-4.53,-5.56,-6.62,-6.5,-5.75,-5.34,-4.59,-3.06,-0.62,0.97,1.47,1.16,0.62,-0.06,-1.69,-3.22,-3.41,-2.41,-2.16,-2.0,-1.28,-0.03,0.34,0.12,0.16,1.06,1.59,1.44,1.31,1.88,2.25,1.47,0.88,1.03,1.22,0.44,-0.31,-0.41,0.09,0.12,0.22,0.69,2.12,3.19,3.25,2.78,3.28,3.22,2.0,0.81,0.69,0.84,0.34,-0.47,-0.59,0.28,0.5,0.34,0.78,2.03,2.75,2.84,2.72,3.12,3.47,2.66,1.16,0.5,0.19,-0.75,-1.66,-1.97,-1.44,-0.88,-1.53,-1.59,-0.44,0.38,0.09,-0.03,0.53,1.44,1.72,2.0,3.06,4.12,4.0,2.72,1.47,0.81,-0.25,-1.78,-2.84,-1.97,-1.06,-0.44,0.41,2.06,4.03,4.72,5.0,5.75,6.66,6.69,6.0,5.81,6.44,6.78,6.62,6.31,6.97,7.16,5.66,3.56,1.81,0.28,-1.25,-2.53,-2.06,-0.78,0.09,0.09,-0.03,0.78,0.84,0.56,0.16,0.91,1.25,0.72,-0.31,-0.56,-0.5,-1.09,-2.06,-1.66,-0.78,-0.47,-0.66,-0.88,-0.5,-0.5,-0.81,-0.34,1.38,3.38,3.94,3.84,3.56,3.12,1.59,-0.59,-1.69,-1.44,-1.44,-1.81,-1.06,0.75,1.84,1.81,1.53,2.06,2.38,1.62,0.19,-0.41,-0.91,-2.34,-3.97,-4.03,-3.28,-3.0,-3.16,-3.31,-2.59,-2.28,-2.69,-3.44,-3.09,-3.22,-4.62,-6.19,-6.94,-6.69,-6.5,-6.09,-5.19,-3.53,-2.25,-1.94,-1.47,0.09,1.47,1.84,1.91,2.91,3.56,3.38,2.44,2.38,2.53,1.84,0.03,-0.94,-1.12,-1.47,-2.12,-1.56,0.31,2.16,3.44,4.5,6.78,8.69,10.03,10.91,12.81,15.19,16.56,17.19,17.66,17.81,16.41,13.84,11.28,9.53,8.12,6.53,5.31,5.25,5.81,5.88,5.81,6.28,7.16,6.72,5.31,2.75,0.5,-2.53,-6.69,-9.84,-11.44,-11.75,-11.59,-10.5,-7.44,-4.03,-1.0,0.88,2.66,3.91,3.88,2.5,1.19,0.94,0.41,-0.84,-1.22,-0.28,0.81:-3.0,-1.19,0.94,2.28,3.62,6.09,8.0,8.44,8.66,9.72,10.19,10.25,10.06,10.41,10.84,11.09,10.69,10.75,11.47,12.44,13.22,14.12,15.94,17.09,17.12,16.66,16.84,16.81,16.28,14.78,13.56,12.78,11.91,10.72,10.28,10.53,10.66,9.53,8.47,8.38,8.75,8.62,8.62,9.59,10.97,12.31,13.22,14.75,16.84,18.31,18.59,19.5,20.34,20.97,20.97,20.38,20.19,19.56,18.22,16.25,15.12,14.19,12.91,11.47,10.5,9.91,9.44,8.44,7.88,8.62,10.12,11.28,12.97,15.53,18.5,21.25,23.53,26.59,29.47,31.44,31.44,30.56,28.84,26.56,23.19,20.31,19.09,18.47,17.25,16.03,15.28,14.47,13.12,11.62,11.44,12.06,13.25,14.34,15.88,17.25,17.59,16.22,14.22,12.75,11.81,10.69,9.91,10.31,10.94,11.19,11.0,11.75,12.78,13.47,13.59,13.88,14.38,14.94,14.72,14.31,14.62,15.0,14.38,13.22,12.59,11.78,10.19,7.78,5.94,4.69,3.91,2.66,2.81,4.28,5.97,6.59,6.97,7.28,7.62,6.59,5.34,4.81,4.47,4.12,3.31,3.38,4.06,4.94,5.09,6.09,7.53,9.19,10.25,11.22,12.84,14.62,15.34,15.66,15.66,15.69,15.16,13.59,12.31,11.56,10.91,9.66,9.5,10.22,11.81,12.5,13.09,13.28,12.72,10.66,7.62,4.72,2.5,1.16,-0.03,-0.12,0.97,2.34,2.88,3.5,4.75,5.81,5.91,5.28,5.03,5.47,5.25,5.0,5.91,7.56,9.09,9.88,10.38,10.88,10.69,9.22,8.03,7.25,6.62,5.56,4.69,4.06,4.06,3.72,2.94,2.38,2.72,3.09,3.56,4.25,5.81,7.5,8.09,8.75,10.12,11.22,11.34,11.25,11.12,11.19,11.16,10.44,10.0,10.16,9.88,9.12,8.38,8.59,9.25,9.16,8.84,9.19,9.56,9.03,7.66,6.75,6.22,5.0,4.09,3.12,2.94,3.0,2.31,2.12,2.62,3.72,4.03,4.22,4.34,4.44,3.41,1.84,0.94,1.03,1.81,2.72,4.38,6.78,8.75,9.62,9.91,10.56,11.28,10.41,9.06,7.78,7.16,6.03,5.12,5.12,5.88,6.38,6.19,5.72,5.75,5.94,5.44,5.5,6.78,8.91,10.09,10.78,11.53,12.34,12.38,12.19,12.5,13.31,14.22,14.06,13.34,13.06,12.38,10.84,9.31,8.66,8.84,8.84,8.81,9.78,11.94,13.5,14.59,15.53,17.09,18.0,18.09,18.41,19.28,19.94,19.81,18.94,18.56,18.5,17.19,15.59,14.62,14.47,13.69,12.28,10.75,9.94,9.03,7.66,6.97,7.97,9.88,11.75,13.62,16.06,18.25,18.78,17.81,15.88,13.84,10.97,8.12,5.66,5.09,5.12,4.84,4.78,5.0,4.75,4.06,2.88,2.38,2.62,2.62,2.41,2.31,3.31,4.03,4.47,5.47,7.25,8.97,9.84,10.25,11.22,11.75,11.44,10.84,10.22,10.06,9.09,7.72,6.84,6.56,5.75,4.62,3.56,3.5,3.56,3.25,2.66,2.91,3.56,3.81,3.97,4.88,6.0,6.0,5.44,4.16,4.06,4.5,4.78,5.19,6.91,8.25,8.22,7.72,7.53,7.5,6.81,5.75,4.94,4.75,3.94,2.69,1.59,1.59,1.88,1.78,1.66,2.31,2.94,2.69,2.06,2.34,2.84,2.75,2.31,2.28,2.69,2.81,2.84,2.72,3.47,4.12,3.44,1.97,1.19,0.41,-1.0,-2.12,-2.44,-2.41,-2.66,-3.12,-2.75,-1.25,0.38,1.22,1.25,1.94,1.94,0.62,-0.44,-0.28,0.72,1.41,1.66,3.03,4.12,4.31,3.84,3.28,3.41,3.41,2.84,2.0,1.84,1.34,-0.28,-2.03,-2.75,-2.88,-2.66,-2.62,-1.72,-0.22,0.91,1.19,1.47,2.5,3.31,3.31,2.75,2.91,3.09,2.03,0.19,-1.25,-2.44,-5.03,-8.06,-10.41,-11.16,-11.25,-10.91,-8.81,-4.59,-0.06,3.12,5.56,7.31,7.84,6.59,4.72,4.0,4.41,4.75,5.06,5.88,6.78,6.62,4.69,2.34,0.09,-2.16,-4.69,-6.5,-6.66,-5.84,-4.78,-3.91,-2.12,-0.28,1.25,1.94,2.78,4.72,5.81,5.38,4.19,3.22,1.62,-0.81,-3.31,-4.12,-3.94,-3.31,-3.0,-1.53,0.56,1.72,2.12,2.56,3.75,4.34,3.56,2.94,2.72,1.94,0.91,-0.5,-0.53,-0.06,0.25,0.31,1.28,2.5,3.09,3.28,3.25,4.16,4.59,4.25,3.69,3.66,3.75,2.94,1.72,1.56,2.03,2.38,2.59,4.06,5.91,6.78,6.38,5.47,4.5,3.38,1.25,-0.06,-0.44,0.0,-0.22,-0.78,-0.81,-0.72,-1.47,-3.12,-3.84,-3.84,-3.44,-3.78,-3.94,-3.09,-2.34,-2.66,-2.62,-1.81,-0.53,-0.25,-0.81,-0.94,-1.19,-2.5,-4.91,-7.06,-8.66,-10.25,-12.09,-12.88,-11.66,-10.12,-9.12,-8.09,-5.81,-4.19,-2.81,-1.72,0.38,2.78,4.69,5.19,5.47,5.81,4.91,2.75,0.69,-0.53,-2.0,-4.25,-6.22,-6.62,-6.62,-6.56,-6.69,-5.69,-4.06,-2.62,-1.69,-0.44,0.88,1.16,-0.44,-2.25,-3.25,-3.84,-4.81,-5.38,-4.69,-3.44,-3.19,-3.16,-2.34,-1.28,-0.72,-1.22,-1.69,-2.03,-2.31,-3.88,-4.84,-4.38,-3.5,-3.97,-4.53,-4.59,-4.22,-4.72,-5.31,-4.66,-3.78,-2.66,-2.97,-2.66,-1.84,-1.09,-1.59,-2.25,-2.31,-2.91,-5.09,-7.56,-8.62,-9.12,-9.56,-10.09,-10.25,-9.91,-9.62,-9.72,-8.66,-6.38,-3.59,-2.0,-1.22,0.09,1.06,0.66,-0.28,-0.88,-1.47,-2.91,-5.31,-7.06,-8.03,-8.41,-9.31,-9.53,-8.31,-6.53,-5.97,-5.53,-4.31,-3.12,-3.75,-4.88,-5.16,-5.03,-5.75,-6.84,-7.22,-6.88,-6.5,-6.62,-5.81,-3.56,-1.03,0.0,0.72,1.25,1.03,-0.34,-2.62,-4.06,-4.41,-4.69,-5.28,-5.03,-4.0,-2.94,-3.84,-4.78,-5.03,-4.84,-5.5,-5.44,-3.91,-1.69,-0.41,0.09,0.97,2.0,2.41,1.5,0.28,-0.62,-2.44,-5.47,-7.56,-8.5,-7.88,-7.28,-5.69,-2.84,0.0,1.81,2.62,2.53,2.0,0.44,-1.75,-3.88,-4.41,-4.75,-6.25,-7.62,-8.09,-7.97,-8.22,-7.81,-5.94,-3.56,-2.19,-2.47,-3.34,-4.28,-6.09,-8.94,-10.62,-10.34,-9.19,-8.88,-8.62,-7.94,-7.59,-8.25,-9.34,-8.84,-6.47,-4.56,-2.91,-0.38,2.0,2.84,1.97,0.25,-0.44,-1.25,-2.72,-3.53,-3.03,-2.53,-3.03,-4.06,-5.03,-5.91,-7.31,-9.53,-11.09,-11.38,-10.69,-10.31,-9.16,-6.28,-3.66,-2.5,-2.22,-1.62,-0.81,-1.84,-3.28,-4.06,-3.81,-4.09,-4.59,-4.31,-3.06,-1.91,-2.03,-2.53,-2.44,-2.84,-5.16,-7.41,-8.5,-8.38,-7.91,-6.56,-4.25,-1.38,0.22,0.72,1.0,1.72,2.19,1.75,1.69,2.91,5.22,6.59,8.09,10.0,11.69,11.53,10.28,8.84,8.28,7.0,4.84,3.22,2.53,1.81,0.28,-0.84,-0.72,0.09,0.41,0.53,1.53,2.78,3.0,2.0,1.0,0.56,-0.47,-2.28,-3.56,-3.47,-3.22,-3.94,-4.84,-4.72,-4.53,-5.56,-6.62,-6.5,-5.75,-5.34,-4.59,-3.06,-0.62,0.97,1.47,1.16,0.62,-0.06,-1.69,-3.22,-3.41,-2.41,-2.16,-2.0,-1.28,-0.03,0.34,0.12,0.16,1.06,1.59,1.44,1.31,1.88,2.25,1.47,0.88,1.03,1.22,0.44,-0.31,-0.41,0.09,0.12,0.22,0.69,2.12,3.19,3.25,2.78,3.28,3.22,2.0,0.81,0.69,0.84,0.34,-0.47,-0.59,0.28,0.5,0.34,0.78,2.03,2.75,2.84,2.72,3.12,3.47,2.66,1.16,0.5,0.19,-0.75,-1.66,-1.97,-1.44,-0.88,-1.53,-1.59,-0.44,0.38,0.09,-0.03,0.53,1.44,1.72,2.0,3.06,4.12,4.0,2.72,1.47,0.81,-0.25,-1.78,-2.84,-1.97,-1.06,-0.44,0.41,2.06,4.03,4.72,5.0,5.75,6.66,6.69,6.0,5.81,6.44,6.78,6.62,6.31,6.97,7.16,5.66,3.56,1.81,0.28,-1.25,-2.53,-2.06,-0.78,0.09,0.09,-0.03,0.78,0.84,0.56,0.16,0.91,1.25,0.72,-0.31,-0.56,-0.5,-1.09,-2.06,-1.66,-0.78,-0.47,-0.66,-0.88,-0.5,-0.5,-0.81,-0.34,1.38,3.38,3.94,3.84,3.56,3.12,1.59,-0.59,-1.69,-1.44,-1.44,-1.81,-1.06,0.75,1.84,1.81,1.53,2.06,2.38,1.62,0.19,-0.41,-0.91,-2.34,-3.97,-4.03,-3.28,-3.0,-3.16,-3.31,-2.59,-2.28,-2.69,-3.44,-3.09,-3.22,-4.62,-6.19,-6.94,-6.69,-6.5,-6.09,-5.19,-3.53,-2.25,-1.94,-1.47,0.09,1.47,1.84,1.91,2.91,3.56,3.38,2.44,2.38,2.53,1.84,0.03,-0.94,-1.12,-1.47,-2.12,-1.56,0.31,2.16,3.44,4.5,6.78,8.69,10.03,10.91,12.81,15.19,16.56,17.19,17.66,17.81,16.41,13.84,11.28,9.53,8.12,6.53,5.31,5.25,5.81,5.88,5.81,6.28,7.16,6.72,5.31,2.75,0.5,-2.53,-6.69,-9.84,-11.44,-11.75,-11.59,-10.5,-7.44,-4.03,-1.0,0.88,2.66,3.91,3.88,2.5,1.19,0.94,0.41,-0.84,-1.22,-0.28,0.81,31.09,30.59,29.5,28.66,27.91,27.03,26.44:8.44,8.66,9.72,10.19,10.25,10.06,10.41,10.84,11.09,10.69,10.75,11.47,12.44,13.22,14.12,15.94,17.09,17.12,16.66,16.84,16.81,16.28,14.78,13.56,12.78,11.91,10.72,10.28,10.53,10.66,9.53,8.47,8.38,8.75,8.62,8.62,9.59,10.97,12.31,13.22,14.75,16.84,18.31,18.59,19.5,20.34,20.97,20.97,20.38,20.19,19.56,18.22,16.25,15.12,14.19,12.91,11.47,10.5,9.91,9.44,8.44,7.88,8.62,10.12,11.28,12.97,15.53,18.5,21.25,23.53,26.59,29.47,31.44,31.44,30.56,28.84,26.56,23.19,20.31,19.09,18.47,17.25,16.03,15.28,14.47,13.12,11.62,11.44,12.06,13.25,14.34,15.88,17.25,17.59,16.22,14.22,12.75,11.81,10.69,9.91,10.31,10.94,11.19,11.0,11.75,12.78,13.47,13.59,13.88,14.38,14.94,14.72,14.31,14.62,15.0,14.38,13.22,12.59,11.78,10.19,7.78,5.94,4.69,3.91,2.66,2.81,4.28,5.97,6.59,6.97,7.28,7.62,6.59,5.34,4.81,4.47,4.12,3.31,3.38,4.06,4.94,5.09,6.09,7.53,9.19,10.25,11.22,12.84,14.62,15.34,15.66,15.66,15.69,15.16,13.59,12.31,11.56,10.91,9.66,9.5,10.22,11.81,12.5,13.09,13.28,12.72,10.66,7.62,4.72,2.5,1.16,-0.03,-0.12,0.97,2.34,2.88,3.5,4.75,5.81,5.91,5.28,5.03,5.47,5.25,5.0,5.91,7.56,9.09,9.88,10.38,10.88,10.69,9.22,8.03,7.25,6.62,5.56,4.69,4.06,4.06,3.72,2.94,2.38,2.72,3.09,3.56,4.25,5.81,7.5,8.09,8.75,10.12,11.22,11.34,11.25,11.12,11.19,11.16,10.44,10.0,10.16,9.88,9.12,8.38,8.59,9.25,9.16,8.84,9.19,9.56,9.03,7.66,6.75,6.22,5.0,4.09,3.12,2.94,3.0,2.31,2.12,2.62,3.72,4.03,4.22,4.34,4.44,3.41,1.84,0.94,1.03,1.81,2.72,4.38,6.78,8.75,9.62,9.91,10.56,11.28,10.41,9.06,7.78,7.16,6.03,5.12,5.12,5.88,6.38,6.19,5.72,5.75,5.94,5.44,5.5,6.78,8.91,10.09,10.78,11.53,12.34,12.38,12.19,12.5,13.31,14.22,14.06,13.34,13.06,12.38,10.84,9.31,8.66,8.84,8.84,8.81,9.78,11.94,13.5,14.59,15.53,17.09,18.0,18.09,18.41,19.28,19.94,19.81,18.94,18.56,18.5,17.19,15.59,14.62,14.47,13.69,12.28,10.75,9.94,9.03,7.66,6.97,7.97,9.88,11.75,13.62,16.06,18.25,18.78,17.81,15.88,13.84,10.97,8.12,5.66,5.09,5.12,4.84,4.78,5.0,4.75,4.06,2.88,2.38,2.62,2.62,2.41,2.31,3.31,4.03,4.47,5.47,7.25,8.97,9.84,10.25,11.22,11.75,11.44,10.84,10.22,10.06,9.09,7.72,6.84,6.56,5.75,4.62,3.56,3.5,3.56,3.25,2.66,2.91,3.56,3.81,3.97,4.88,6.0,6.0,5.44,4.16,4.06,4.5,4.78,5.19,6.91,8.25,8.22,7.72,7.53,7.5,6.81,5.75,4.94,4.75,3.94,2.69,1.59,1.59,1.88,1.78,1.66,2.31,2.94,2.69,2.06,2.34,2.84,2.75,2.31,2.28,2.69,2.81,2.84,2.72,3.47,4.12,3.44,1.97,1.19,0.41,-1.0,-2.12,-2.44,-2.41,-2.66,-3.12,-2.75,-1.25,0.38,1.22,1.25,1.94,1.94,0.62,-0.44,-0.28,0.72,1.41,1.66,3.03,4.12,4.31,3.84,3.28,3.41,3.41,2.84,2.0,1.84,1.34,-0.28,-2.03,-2.75,-2.88,-2.66,-2.62,-1.72,-0.22,0.91,1.19,1.47,2.5,3.31,3.31,2.75,2.91,3.09,2.03,0.19,-1.25,-2.44,-5.03,-8.06,-10.41,-11.16,-11.25,-10.91,-8.81,-4.59,-0.06,3.12,5.56,7.31,7.84,6.59,4.72,4.0,4.41,4.75,5.06,5.88,6.78,6.62,4.69,2.34,0.09,-2.16,-4.69,-6.5,-6.66,-5.84,-4.78,-3.91,-2.12,-0.28,1.25,1.94,2.78,4.72,5.81,5.38,4.19,3.22,1.62,-0.81,-3.31,-4.12,-3.94,-3.31,-3.0,-1.53,0.56,1.72,2.12,2.56,3.75,4.34,3.56,2.94,2.72,1.94,0.91,-0.5,-0.53,-0.06,0.25,0.31,1.28,2.5,3.09,3.28,3.25,4.16,4.59,4.25,3.69,3.66,3.75,2.94,1.72,1.56,2.03,2.38,2.59,4.06,5.91,6.78,6.38,5.47,4.5,3.38,1.25,-0.06,-0.44,0.0,-0.22,-0.78,-0.81,-0.72,-1.47,-3.12,-3.84,-3.84,-3.44,-3.78,-3.94,-3.09,-2.34,-2.66,-2.62,-1.81,-0.53,-0.25,-0.81,-0.94,-1.19,-2.5,-4.91,-7.06,-8.66,-10.25,-12.09,-12.88,-11.66,-10.12,-9.12,-8.09,-5.81,-4.19,-2.81,-1.72,0.38,2.78,4.69,5.19,5.47,5.81,4.91,2.75,0.69,-0.53,-2.0,-4.25,-6.22,-6.62,-6.62,-6.56,-6.69,-5.69,-4.06,-2.62,-1.69,-0.44,0.88,1.16,-0.44,-2.25,-3.25,-3.84,-4.81,-5.38,-4.69,-3.44,-3.19,-3.16,-2.34,-1.28,-0.72,-1.22,-1.69,-2.03,-2.31,-3.88,-4.84,-4.38,-3.5,-3.97,-4.53,-4.59,-4.22,-4.72,-5.31,-4.66,-3.78,-2.66,-2.97,-2.66,-1.84,-1.09,-1.59,-2.25,-2.31,-2.91,-5.09,-7.56,-8.62,-9.12,-9.56,-10.09,-10.25,-9.91,-9.62,-9.72,-8.66,-6.38,-3.59,-2.0,-1.22,0.09,1.06,0.66,-0.28,-0.88,-1.47,-2.91,-5.31,-7.06,-8.03,-8.41,-9.31,-9.53,-8.31,-6.53,-5.97,-5.53,-4.31,-3.12,-3.75,-4.88,-5.16,-5.03,-5.75,-6.84,-7.22,-6.88,-6.5,-6.62,-5.81,-3.56,-1.03,0.0,0.72,1.25,1.03,-0.34,-2.62,-4.06,-4.41,-4.69,-5.28,-5.03,-4.0,-2.94,-3.84,-4.78,-5.03,-4.84,-5.5,-5.44,-3.91,-1.69,-0.41,0.09,0.97,2.0,2.41,1.5,0.28,-0.62,-2.44,-5.47,-7.56,-8.5,-7.88,-7.28,-5.69,-2.84,0.0,1.81,2.62,2.53,2.0,0.44,-1.75,-3.88,-4.41,-4.75,-6.25,-7.62,-8.09,-7.97,-8.22,-7.81,-5.94,-3.56,-2.19,-2.47,-3.34,-4.28,-6.09,-8.94,-10.62,-10.34,-9.19,-8.88,-8.62,-7.94,-7.59,-8.25,-9.34,-8.84,-6.47,-4.56,-2.91,-0.38,2.0,2.84,1.97,0.25,-0.44,-1.25,-2.72,-3.53,-3.03,-2.53,-3.03,-4.06,-5.03,-5.91,-7.31,-9.53,-11.09,-11.38,-10.69,-10.31,-9.16,-6.28,-3.66,-2.5,-2.22,-1.62,-0.81,-1.84,-3.28,-4.06,-3.81,-4.09,-4.59,-4.31,-3.06,-1.91,-2.03,-2.53,-2.44,-2.84,-5.16,-7.41,-8.5,-8.38,-7.91,-6.56,-4.25,-1.38,0.22,0.72,1.0,1.72,2.19,1.75,1.69,2.91,5.22,6.59,8.09,10.0,11.69,11.53,10.28,8.84,8.28,7.0,4.84,3.22,2.53,1.81,0.28,-0.84,-0.72,0.09,0.41,0.53,1.53,2.78,3.0,2.0,1.0,0.56,-0.47,-2.28,-3.56,-3.47,-3.22,-3.94,-4.84,-4.72,-4.53,-5.56,-6.62,-6.5,-5.75,-5.34,-4.59,-3.06,-0.62,0.97,1.47,1.16,0.62,-0.06,-1.69,-3.22,-3.41,-2.41,-2.16,-2.0,-1.28,-0.03,0.34,0.12,0.16,1.06,1.59,1.44,1.31,1.88,2.25,1.47,0.88,1.03,1.22,0.44,-0.31,-0.41,0.09,0.12,0.22,0.69,2.12,3.19,3.25,2.78,3.28,3.22,2.0,0.81,0.69,0.84,0.34,-0.47,-0.59,0.28,0.5,0.34,0.78,2.03,2.75,2.84,2.72,3.12,3.47,2.66,1.16,0.5,0.19,-0.75,-1.66,-1.97,-1.44,-0.88,-1.53,-1.59,-0.44,0.38,0.09,-0.03,0.53,1.44,1.72,2.0,3.06,4.12,4.0,2.72,1.47,0.81,-0.25,-1.78,-2.84,-1.97,-1.06,-0.44,0.41,2.06,4.03,4.72,5.0,5.75,6.66,6.69,6.0,5.81,6.44,6.78,6.62,6.31,6.97,7.16,5.66,3.56,1.81,0.28,-1.25,-2.53,-2.06,-0.78,0.09,0.09,-0.03,0.78,0.84,0.56,0.16,0.91,1.25,0.72,-0.31,-0.56,-0.5,-1.09,-2.06,-1.66,-0.78,-0.47,-0.66,-0.88,-0.5,-0.5,-0.81,-0.34,1.38,3.38,3.94,3.84,3.56,3.12,1.59,-0.59,-1.69,-1.44,-1.44,-1.81,-1.06,0.75,1.84,1.81,1.53,2.06,2.38,1.62,0.19,-0.41,-0.91,-2.34,-3.97,-4.03,-3.28,-3.0,-3.16,-3.31,-2.59,-2.28,-2.69,-3.44,-3.09,-3.22,-4.62,-6.19,-6.94,-6.69,-6.5,-6.09,-5.19,-3.53,-2.25,-1.94,-1.47,0.09,1.47,1.84,1.91,2.91,3.56,3.38,2.44,2.38,2.53,1.84,0.03,-0.94,-1.12,-1.47,-2.12,-1.56,0.31,2.16,3.44,4.5,6.78,8.69,10.03,10.91,12.81,15.19,16.56,17.19,17.66,17.81,16.41,13.84,11.28,9.53,8.12,6.53,5.31,5.25,5.81,5.88,5.81,6.28,7.16,6.72,5.31,2.75,0.5,-2.53,-6.69,-9.84,-11.44,-11.75,-11.59,-10.5,-7.44,-4.03,-1.0,0.88,2.66,3.91,3.88,2.5,1.19,0.94,0.41,-0.84,-1.22,-0.28,0.81,31.09,30.59,29.5,28.66,27.91,27.03,26.44,26.22,26.47,27.25,28.34,29.44,31.0,32.69:10.84,11.09,10.69,10.75,11.47,12.44,13.22,14.12,15.94,17.09,17.12,16.66,16.84,16.81,16.28,14.78,13.56,12.78,11.91,10.72,10.28,10.53,10.66,9.53,8.47,8.38,8.75,8.62,8.62,9.59,10.97,12.31,13.22,14.75,16.84,18.31,18.59,19.5,20.34,20.97,20.97,20.38,20.19,19.56,18.22,16.25,15.12,14.19,12.91,11.47,10.5,9.91,9.44,8.44,7.88,8.62,10.12,11.28,12.97,15.53,18.5,21.25,23.53,26.59,29.47,31.44,31.44,30.56,28.84,26.56,23.19,20.31,19.09,18.47,17.25,16.03,15.28,14.47,13.12,11.62,11.44,12.06,13.25,14.34,15.88,17.25,17.59,16.22,14.22,12.75,11.81,10.69,9.91,10.31,10.94,11.19,11.0,11.75,12.78,13.47,13.59,13.88,14.38,14.94,14.72,14.31,14.62,15.0,14.38,13.22,12.59,11.78,10.19,7.78,5.94,4.69,3.91,2.66,2.81,4.28,5.97,6.59,6.97,7.28,7.62,6.59,5.34,4.81,4.47,4.12,3.31,3.38,4.06,4.94,5.09,6.09,7.53,9.19,10.25,11.22,12.84,14.62,15.34,15.66,15.66,15.69,15.16,13.59,12.31,11.56,10.91,9.66,9.5,10.22,11.81,12.5,13.09,13.28,12.72,10.66,7.62,4.72,2.5,1.16,-0.03,-0.12,0.97,2.34,2.88,3.5,4.75,5.81,5.91,5.28,5.03,5.47,5.25,5.0,5.91,7.56,9.09,9.88,10.38,10.88,10.69,9.22,8.03,7.25,6.62,5.56,4.69,4.06,4.06,3.72,2.94,2.38,2.72,3.09,3.56,4.25,5.81,7.5,8.09,8.75,10.12,11.22,11.34,11.25,11.12,11.19,11.16,10.44,10.0,10.16,9.88,9.12,8.38,8.59,9.25,9.16,8.84,9.19,9.56,9.03,7.66,6.75,6.22,5.0,4.09,3.12,2.94,3.0,2.31,2.12,2.62,3.72,4.03,4.22,4.34,4.44,3.41,1.84,0.94,1.03,1.81,2.72,4.38,6.78,8.75,9.62,9.91,10.56,11.28,10.41,9.06,7.78,7.16,6.03,5.12,5.12,5.88,6.38,6.19,5.72,5.75,5.94,5.44,5.5,6.78,8.91,10.09,10.78,11.53,12.34,12.38,12.19,12.5,13.31,14.22,14.06,13.34,13.06,12.38,10.84,9.31,8.66,8.84,8.84,8.81,9.78,11.94,13.5,14.59,15.53,17.09,18.0,18.09,18.41,19.28,19.94,19.81,18.94,18.56,18.5,17.19,15.59,14.62,14.47,13.69,12.28,10.75,9.94,9.03,7.66,6.97,7.97,9.88,11.75,13.62,16.06,18.25,18.78,17.81,15.88,13.84,10.97,8.12,5.66,5.09,5.12,4.84,4.78,5.0,4.75,4.06,2.88,2.38,2.62,2.62,2.41,2.31,3.31,4.03,4.47,5.47,7.25,8.97,9.84,10.25,11.22,11.75,11.44,10.84,10.22,10.06,9.09,7.72,6.84,6.56,5.75,4.62,3.56,3.5,3.56,3.25,2.66,2.91,3.56,3.81,3.97,4.88,6.0,6.0,5.44,4.16,4.06,4.5,4.78,5.19,6.91,8.25,8.22,7.72,7.53,7.5,6.81,5.75,4.94,4.75,3.94,2.69,1.59,1.59,1.88,1.78,1.66,2.31,2.94,2.69,2.06,2.34,2.84,2.75,2.31,2.28,2.69,2.81,2.84,2.72,3.47,4.12,3.44,1.97,1.19,0.41,-1.0,-2.12,-2.44,-2.41,-2.66,-3.12,-2.75,-1.25,0.38,1.22,1.25,1.94,1.94,0.62,-0.44,-0.28,0.72,1.41,1.66,3.03,4.12,4.31,3.84,3.28,3.41,3.41,2.84,2.0,1.84,1.34,-0.28,-2.03,-2.75,-2.88,-2.66,-2.62,-1.72,-0.22,0.91,1.19,1.47,2.5,3.31,3.31,2.75,2.91,3.09,2.03,0.19,-1.25,-2.44,-5.03,-8.06,-10.41,-11.16,-11.25,-10.91,-8.81,-4.59,-0.06,3.12,5.56,7.31,7.84,6.59,4.72,4.0,4.41,4.75,5.06,5.88,6.78,6.62,4.69,2.34,0.09,-2.16,-4.69,-6.5,-6.66,-5.84,-4.78,-3.91,-2.12,-0.28,1.25,1.94,2.78,4.72,5.81,5.38,4.19,3.22,1.62,-0.81,-3.31,-4.12,-3.94,-3.31,-3.0,-1.53,0.56,1.72,2.12,2.56,3.75,4.34,3.56,2.94,2.72,1.94,0.91,-0.5,-0.53,-0.06,0.25,0.31,1.28,2.5,3.09,3.28,3.25,4.16,4.59,4.25,3.69,3.66,3.75,2.94,1.72,1.56,2.03,2.38,2.59,4.06,5.91,6.78,6.38,5.47,4.5,3.38,1.25,-0.06,-0.44,0.0,-0.22,-0.78,-0.81,-0.72,-1.47,-3.12,-3.84,-3.84,-3.44,-3.78,-3.94,-3.09,-2.34,-2.66,-2.62,-1.81,-0.53,-0.25,-0.81,-0.94,-1.19,-2.5,-4.91,-7.06,-8.66,-10.25,-12.09,-12.88,-11.66,-10.12,-9.12,-8.09,-5.81,-4.19,-2.81,-1.72,0.38,2.78,4.69,5.19,5.47,5.81,4.91,2.75,0.69,-0.53,-2.0,-4.25,-6.22,-6.62,-6.62,-6.56,-6.69,-5.69,-4.06,-2.62,-1.69,-0.44,0.88,1.16,-0.44,-2.25,-3.25,-3.84,-4.81,-5.38,-4.69,-3.44,-3.19,-3.16,-2.34,-1.28,-0.72,-1.22,-1.69,-2.03,-2.31,-3.88,-4.84,-4.38,-3.5,-3.97,-4.53,-4.59,-4.22,-4.72,-5.31,-4.66,-3.78,-2.66,-2.97,-2.66,-1.84,-1.09,-1.59,-2.25,-2.31,-2.91,-5.09,-7.56,-8.62,-9.12,-9.56,-10.09,-10.25,-9.91,-9.62,-9.72,-8.66,-6.38,-3.59,-2.0,-1.22,0.09,1.06,0.66,-0.28,-0.88,-1.47,-2.91,-5.31,-7.06,-8.03,-8.41,-9.31,-9.53,-8.31,-6.53,-5.97,-5.53,-4.31,-3.12,-3.75,-4.88,-5.16,-5.03,-5.75,-6.84,-7.22,-6.88,-6.5,-6.62,-5.81,-3.56,-1.03,0.0,0.72,1.25,1.03,-0.34,-2.62,-4.06,-4.41,-4.69,-5.28,-5.03,-4.0,-2.94,-3.84,-4.78,-5.03,-4.84,-5.5,-5.44,-3.91,-1.69,-0.41,0.09,0.97,2.0,2.41,1.5,0.28,-0.62,-2.44,-5.47,-7.56,-8.5,-7.88,-7.28,-5.69,-2.84,0.0,1.81,2.62,2.53,2.0,0.44,-1.75,-3.88,-4.41,-4.75,-6.25,-7.62,-8.09,-7.97,-8.22,-7.81,-5.94,-3.56,-2.19,-2.47,-3.34,-4.28,-6.09,-8.94,-10.62,-10.34,-9.19,-8.88,-8.62,-7.94,-7.59,-8.25,-9.34,-8.84,-6.47,-4.56,-2.91,-0.38,2.0,2.84,1.97,0.25,-0.44,-1.25,-2.72,-3.53,-3.03,-2.53,-3.03,-4.06,-5.03,-5.91,-7.31,-9.53,-11.09,-11.38,-10.69,-10.31,-9.16,-6.28,-3.66,-2.5,-2.22,-1.62,-0.81,-1.84,-3.28,-4.06,-3.81,-4.09,-4.59,-4.31,-3.06,-1.91,-2.03,-2.53,-2.44,-2.84,-5.16,-7.41,-8.5,-8.38,-7.91,-6.56,-4.25,-1.38,0.22,0.72,1.0,1.72,2.19,1.75,1.69,2.91,5.22,6.59,8.09,10.0,11.69,11.53,10.28,8.84,8.28,7.0,4.84,3.22,2.53,1.81,0.28,-0.84,-0.72,0.09,0.41,0.53,1.53,2.78,3.0,2.0,1.0,0.56,-0.47,-2.28,-3.56,-3.47,-3.22,-3.94,-4.84,-4.72,-4.53,-5.56,-6.62,-6.5,-5.75,-5.34,-4.59,-3.06,-0.62,0.97,1.47,1.16,0.62,-0.06,-1.69,-3.22,-3.41,-2.41,-2.16,-2.0,-1.28,-0.03,0.34,0.12,0.16,1.06,1.59,1.44,1.31,1.88,2.25,1.47,0.88,1.03,1.22,0.44,-0.31,-0.41,0.09,0.12,0.22,0.69,2.12,3.19,3.25,2.78,3.28,3.22,2.0,0.81,0.69,0.84,0.34,-0.47,-0.59,0.28,0.5,0.34,0.78,2.03,2.75,2.84,2.72,3.12,3.47,2.66,1.16,0.5,0.19,-0.75,-1.66,-1.97,-1.44,-0.88,-1.53,-1.59,-0.44,0.38,0.09,-0.03,0.53,1.44,1.72,2.0,3.06,4.12,4.0,2.72,1.47,0.81,-0.25,-1.78,-2.84,-1.97,-1.06,-0.44,0.41,2.06,4.03,4.72,5.0,5.75,6.66,6.69,6.0,5.81,6.44,6.78,6.62,6.31,6.97,7.16,5.66,3.56,1.81,0.28,-1.25,-2.53,-2.06,-0.78,0.09,0.09,-0.03,0.78,0.84,0.56,0.16,0.91,1.25,0.72,-0.31,-0.56,-0.5,-1.09,-2.06,-1.66,-0.78,-0.47,-0.66,-0.88,-0.5,-0.5,-0.81,-0.34,1.38,3.38,3.94,3.84,3.56,3.12,1.59,-0.59,-1.69,-1.44,-1.44,-1.81,-1.06,0.75,1.84,1.81,1.53,2.06,2.38,1.62,0.19,-0.41,-0.91,-2.34,-3.97,-4.03,-3.28,-3.0,-3.16,-3.31,-2.59,-2.28,-2.69,-3.44,-3.09,-3.22,-4.62,-6.19,-6.94,-6.69,-6.5,-6.09,-5.19,-3.53,-2.25,-1.94,-1.47,0.09,1.47,1.84,1.91,2.91,3.56,3.38,2.44,2.38,2.53,1.84,0.03,-0.94,-1.12,-1.47,-2.12,-1.56,0.31,2.16,3.44,4.5,6.78,8.69,10.03,10.91,12.81,15.19,16.56,17.19,17.66,17.81,16.41,13.84,11.28,9.53,8.12,6.53,5.31,5.25,5.81,5.88,5.81,6.28,7.16,6.72,5.31,2.75,0.5,-2.53,-6.69,-9.84,-11.44,-11.75,-11.59,-10.5,-7.44,-4.03,-1.0,0.88,2.66,3.91,3.88,2.5,1.19,0.94,0.41,-0.84,-1.22,-0.28,0.81,31.09,30.59,29.5,28.66,27.91,27.03,26.44,26.22,26.47,27.25,28.34,29.44,31.0,32.69,34.16,35.5,36.66,37.19,37.44,37.28,37.31:14.12,15.94,17.09,17.12,16.66,16.84,16.81,16.28,14.78,13.56,12.78,11.91,10.72,10.28,10.53,10.66,9.53,8.47,8.38,8.75,8.62,8.62,9.59,10.97,12.31,13.22,14.75,16.84,18.31,18.59,19.5,20.34,20.97,20.97,20.38,20.19,19.56,18.22,16.25,15.12,14.19,12.91,11.47,10.5,9.91,9.44,8.44,7.88,8.62,10.12,11.28,12.97,15.53,18.5,21.25,23.53,26.59,29.47,31.44,31.44,30.56,28.84,26.56,23.19,20.31,19.09,18.47,17.25,16.03,15.28,14.47,13.12,11.62,11.44,12.06,13.25,14.34,15.88,17.25,17.59,16.22,14.22,12.75,11.81,10.69,9.91,10.31,10.94,11.19,11.0,11.75,12.78,13.47,13.59,13.88,14.38,14.94,14.72,14.31,14.62,15.0,14.38,13.22,12.59,11.78,10.19,7.78,5.94,4.69,3.91,2.66,2.81,4.28,5.97,6.59,6.97,7.28,7.62,6.59,5.34,4.81,4.47,4.12,3.31,3.38,4.06,4.94,5.09,6.09,7.53,9.19,10.25,11.22,12.84,14.62,15.34,15.66,15.66,15.69,15.16,13.59,12.31,11.56,10.91,9.66,9.5,10.22,11.81,12.5,13.09,13.28,12.72,10.66,7.62,4.72,2.5,1.16,-0.03,-0.12,0.97,2.34,2.88,3.5,4.75,5.81,5.91,5.28,5.03,5.47,5.25,5.0,5.91,7.56,9.09,9.88,10.38,10.88,10.69,9.22,8.03,7.25,6.62,5.56,4.69,4.06,4.06,3.72,2.94,2.38,2.72,3.09,3.56,4.25,5.81,7.5,8.09,8.75,10.12,11.22,11.34,11.25,11.12,11.19,11.16,10.44,10.0,10.16,9.88,9.12,8.38,8.59,9.25,9.16,8.84,9.19,9.56,9.03,7.66,6.75,6.22,5.0,4.09,3.12,2.94,3.0,2.31,2.12,2.62,3.72,4.03,4.22,4.34,4.44,3.41,1.84,0.94,1.03,1.81,2.72,4.38,6.78,8.75,9.62,9.91,10.56,11.28,10.41,9.06,7.78,7.16,6.03,5.12,5.12,5.88,6.38,6.19,5.72,5.75,5.94,5.44,5.5,6.78,8.91,10.09,10.78,11.53,12.34,12.38,12.19,12.5,13.31,14.22,14.06,13.34,13.06,12.38,10.84,9.31,8.66,8.84,8.84,8.81,9.78,11.94,13.5,14.59,15.53,17.09,18.0,18.09,18.41,19.28,19.94,19.81,18.94,18.56,18.5,17.19,15.59,14.62,14.47,13.69,12.28,10.75,9.94,9.03,7.66,6.97,7.97,9.88,11.75,13.62,16.06,18.25,18.78,17.81,15.88,13.84,10.97,8.12,5.66,5.09,5.12,4.84,4.78,5.0,4.75,4.06,2.88,2.38,2.62,2.62,2.41,2.31,3.31,4.03,4.47,5.47,7.25,8.97,9.84,10.25,11.22,11.75,11.44,10.84,10.22,10.06,9.09,7.72,6.84,6.56,5.75,4.62,3.56,3.5,3.56,3.25,2.66,2.91,3.56,3.81,3.97,4.88,6.0,6.0,5.44,4.16,4.06,4.5,4.78,5.19,6.91,8.25,8.22,7.72,7.53,7.5,6.81,5.75,4.94,4.75,3.94,2.69,1.59,1.59,1.88,1.78,1.66,2.31,2.94,2.69,2.06,2.34,2.84,2.75,2.31,2.28,2.69,2.81,2.84,2.72,3.47,4.12,3.44,1.97,1.19,0.41,-1.0,-2.12,-2.44,-2.41,-2.66,-3.12,-2.75,-1.25,0.38,1.22,1.25,1.94,1.94,0.62,-0.44,-0.28,0.72,1.41,1.66,3.03,4.12,4.31,3.84,3.28,3.41,3.41,2.84,2.0,1.84,1.34,-0.28,-2.03,-2.75,-2.88,-2.66,-2.62,-1.72,-0.22,0.91,1.19,1.47,2.5,3.31,3.31,2.75,2.91,3.09,2.03,0.19,-1.25,-2.44,-5.03,-8.06,-10.41,-11.16,-11.25,-10.91,-8.81,-4.59,-0.06,3.12,5.56,7.31,7.84,6.59,4.72,4.0,4.41,4.75,5.06,5.88,6.78,6.62,4.69,2.34,0.09,-2.16,-4.69,-6.5,-6.66,-5.84,-4.78,-3.91,-2.12,-0.28,1.25,1.94,2.78,4.72,5.81,5.38,4.19,3.22,1.62,-0.81,-3.31,-4.12,-3.94,-3.31,-3.0,-1.53,0.56,1.72,2.12,2.56,3.75,4.34,3.56,2.94,2.72,1.94,0.91,-0.5,-0.53,-0.06,0.25,0.31,1.28,2.5,3.09,3.28,3.25,4.16,4.59,4.25,3.69,3.66,3.75,2.94,1.72,1.56,2.03,2.38,2.59,4.06,5.91,6.78,6.38,5.47,4.5,3.38,1.25,-0.06,-0.44,0.0,-0.22,-0.78,-0.81,-0.72,-1.47,-3.12,-3.84,-3.84,-3.44,-3.78,-3.94,-3.09,-2.34,-2.66,-2.62,-1.81,-0.53,-0.25,-0.81,-0.94,-1.19,-2.5,-4.91,-7.06,-8.66,-10.25,-12.09,-12.88,-11.66,-10.12,-9.12,-8.09,-5.81,-4.19,-2.81,-1.72,0.38,2.78,4.69,5.19,5.47,5.81,4.91,2.75,0.69,-0.53,-2.0,-4.25,-6.22,-6.62,-6.62,-6.56,-6.69,-5.69,-4.06,-2.62,-1.69,-0.44,0.88,1.16,-0.44,-2.25,-3.25,-3.84,-4.81,-5.38,-4.69,-3.44,-3.19,-3.16,-2.34,-1.28,-0.72,-1.22,-1.69,-2.03,-2.31,-3.88,-4.84,-4.38,-3.5,-3.97,-4.53,-4.59,-4.22,-4.72,-5.31,-4.66,-3.78,-2.66,-2.97,-2.66,-1.84,-1.09,-1.59,-2.25,-2.31,-2.91,-5.09,-7.56,-8.62,-9.12,-9.56,-10.09,-10.25,-9.91,-9.62,-9.72,-8.66,-6.38,-3.59,-2.0,-1.22,0.09,1.06,0.66,-0.28,-0.88,-1.47,-2.91,-5.31,-7.06,-8.03,-8.41,-9.31,-9.53,-8.31,-6.53,-5.97,-5.53,-4.31,-3.12,-3.75,-4.88,-5.16,-5.03,-5.75,-6.84,-7.22,-6.88,-6.5,-6.62,-5.81,-3.56,-1.03,0.0,0.72,1.25,1.03,-0.34,-2.62,-4.06,-4.41,-4.69,-5.28,-5.03,-4.0,-2.94,-3.84,-4.78,-5.03,-4.84,-5.5,-5.44,-3.91,-1.69,-0.41,0.09,0.97,2.0,2.41,1.5,0.28,-0.62,-2.44,-5.47,-7.56,-8.5,-7.88,-7.28,-5.69,-2.84,0.0,1.81,2.62,2.53,2.0,0.44,-1.75,-3.88,-4.41,-4.75,-6.25,-7.62,-8.09,-7.97,-8.22,-7.81,-5.94,-3.56,-2.19,-2.47,-3.34,-4.28,-6.09,-8.94,-10.62,-10.34,-9.19,-8.88,-8.62,-7.94,-7.59,-8.25,-9.34,-8.84,-6.47,-4.56,-2.91,-0.38,2.0,2.84,1.97,0.25,-0.44,-1.25,-2.72,-3.53,-3.03,-2.53,-3.03,-4.06,-5.03,-5.91,-7.31,-9.53,-11.09,-11.38,-10.69,-10.31,-9.16,-6.28,-3.66,-2.5,-2.22,-1.62,-0.81,-1.84,-3.28,-4.06,-3.81,-4.09,-4.59,-4.31,-3.06,-1.91,-2.03,-2.53,-2.44,-2.84,-5.16,-7.41,-8.5,-8.38,-7.91,-6.56,-4.25,-1.38,0.22,0.72,1.0,1.72,2.19,1.75,1.69,2.91,5.22,6.59,8.09,10.0,11.69,11.53,10.28,8.84,8.28,7.0,4.84,3.22,2.53,1.81,0.28,-0.84,-0.72,0.09,0.41,0.53,1.53,2.78,3.0,2.0,1.0,0.56,-0.47,-2.28,-3.56,-3.47,-3.22,-3.94,-4.84,-4.72,-4.53,-5.56,-6.62,-6.5,-5.75,-5.34,-4.59,-3.06,-0.62,0.97,1.47,1.16,0.62,-0.06,-1.69,-3.22,-3.41,-2.41,-2.16,-2.0,-1.28,-0.03,0.34,0.12,0.16,1.06,1.59,1.44,1.31,1.88,2.25,1.47,0.88,1.03,1.22,0.44,-0.31,-0.41,0.09,0.12,0.22,0.69,2.12,3.19,3.25,2.78,3.28,3.22,2.0,0.81,0.69,0.84,0.34,-0.47,-0.59,0.28,0.5,0.34,0.78,2.03,2.75,2.84,2.72,3.12,3.47,2.66,1.16,0.5,0.19,-0.75,-1.66,-1.97,-1.44,-0.88,-1.53,-1.59,-0.44,0.38,0.09,-0.03,0.53,1.44,1.72,2.0,3.06,4.12,4.0,2.72,1.47,0.81,-0.25,-1.78,-2.84,-1.97,-1.06,-0.44,0.41,2.06,4.03,4.72,5.0,5.75,6.66,6.69,6.0,5.81,6.44,6.78,6.62,6.31,6.97,7.16,5.66,3.56,1.81,0.28,-1.25,-2.53,-2.06,-0.78,0.09,0.09,-0.03,0.78,0.84,0.56,0.16,0.91,1.25,0.72,-0.31,-0.56,-0.5,-1.09,-2.06,-1.66,-0.78,-0.47,-0.66,-0.88,-0.5,-0.5,-0.81,-0.34,1.38,3.38,3.94,3.84,3.56,3.12,1.59,-0.59,-1.69,-1.44,-1.44,-1.81,-1.06,0.75,1.84,1.81,1.53,2.06,2.38,1.62,0.19,-0.41,-0.91,-2.34,-3.97,-4.03,-3.28,-3.0,-3.16,-3.31,-2.59,-2.28,-2.69,-3.44,-3.09,-3.22,-4.62,-6.19,-6.94,-6.69,-6.5,-6.09,-5.19,-3.53,-2.25,-1.94,-1.47,0.09,1.47,1.84,1.91,2.91,3.56,3.38,2.44,2.38,2.53,1.84,0.03,-0.94,-1.12,-1.47,-2.12,-1.56,0.31,2.16,3.44,4.5,6.78,8.69,10.03,10.91,12.81,15.19,16.56,17.19,17.66,17.81,16.41,13.84,11.28,9.53,8.12,6.53,5.31,5.25,5.81,5.88,5.81,6.28,7.16,6.72,5.31,2.75,0.5,-2.53,-6.69,-9.84,-11.44,-11.75,-11.59,-10.5,-7.44,-4.03,-1.0,0.88,2.66,3.91,3.88,2.5,1.19,0.94,0.41,-0.84,-1.22,-0.28,0.81,31.09,30.59,29.5,28.66,27.91,27.03,26.44,26.22,26.47,27.25,28.34,29.44,31.0,32.69,34.16,35.5,36.66,37.19,37.44,37.28,37.31,37.03,36.72,36.22,36.03,36.0,36.34,37.41:16.28,14.78,13.56,12.78,11.91,10.72,10.28,10.53,10.66,9.53,8.47,8.38,8.75,8.62,8.62,9.59,10.97,12.31,13.22,14.75,16.84,18.31,18.59,19.5,20.34,20.97,20.97,20.38,20.19,19.56,18.22,16.25,15.12,14.19,12.91,11.47,10.5,9.91,9.44,8.44,7.88,8.62,10.12,11.28,12.97,15.53,18.5,21.25,23.53,26.59,29.47,31.44,31.44,30.56,28.84,26.56,23.19,20.31,19.09,18.47,17.25,16.03,15.28,14.47,13.12,11.62,11.44,12.06,13.25,14.34,15.88,17.25,17.59,16.22,14.22,12.75,11.81,10.69,9.91,10.31,10.94,11.19,11.0,11.75,12.78,13.47,13.59,13.88,14.38,14.94,14.72,14.31,14.62,15.0,14.38,13.22,12.59,11.78,10.19,7.78,5.94,4.69,3.91,2.66,2.81,4.28,5.97,6.59,6.97,7.28,7.62,6.59,5.34,4.81,4.47,4.12,3.31,3.38,4.06,4.94,5.09,6.09,7.53,9.19,10.25,11.22,12.84,14.62,15.34,15.66,15.66,15.69,15.16,13.59,12.31,11.56,10.91,9.66,9.5,10.22,11.81,12.5,13.09,13.28,12.72,10.66,7.62,4.72,2.5,1.16,-0.03,-0.12,0.97,2.34,2.88,3.5,4.75,5.81,5.91,5.28,5.03,5.47,5.25,5.0,5.91,7.56,9.09,9.88,10.38,10.88,10.69,9.22,8.03,7.25,6.62,5.56,4.69,4.06,4.06,3.72,2.94,2.38,2.72,3.09,3.56,4.25,5.81,7.5,8.09,8.75,10.12,11.22,11.34,11.25,11.12,11.19,11.16,10.44,10.0,10.16,9.88,9.12,8.38,8.59,9.25,9.16,8.84,9.19,9.56,9.03,7.66,6.75,6.22,5.0,4.09,3.12,2.94,3.0,2.31,2.12,2.62,3.72,4.03,4.22,4.34,4.44,3.41,1.84,0.94,1.03,1.81,2.72,4.38,6.78,8.75,9.62,9.91,10.56,11.28,10.41,9.06,7.78,7.16,6.03,5.12,5.12,5.88,6.38,6.19,5.72,5.75,5.94,5.44,5.5,6.78,8.91,10.09,10.78,11.53,12.34,12.38,12.19,12.5,13.31,14.22,14.06,13.34,13.06,12.38,10.84,9.31,8.66,8.84,8.84,8.81,9.78,11.94,13.5,14.59,15.53,17.09,18.0,18.09,18.41,19.28,19.94,19.81,18.94,18.56,18.5,17.19,15.59,14.62,14.47,13.69,12.28,10.75,9.94,9.03,7.66,6.97,7.97,9.88,11.75,13.62,16.06,18.25,18.78,17.81,15.88,13.84,10.97,8.12,5.66,5.09,5.12,4.84,4.78,5.0,4.75,4.06,2.88,2.38,2.62,2.62,2.41,2.31,3.31,4.03,4.47,5.47,7.25,8.97,9.84,10.25,11.22,11.75,11.44,10.84,10.22,10.06,9.09,7.72,6.84,6.56,5.75,4.62,3.56,3.5,3.56,3.25,2.66,2.91,3.56,3.81,3.97,4.88,6.0,6.0,5.44,4.16,4.06,4.5,4.78,5.19,6.91,8.25,8.22,7.72,7.53,7.5,6.81,5.75,4.94,4.75,3.94,2.69,1.59,1.59,1.88,1.78,1.66,2.31,2.94,2.69,2.06,2.34,2.84,2.75,2.31,2.28,2.69,2.81,2.84,2.72,3.47,4.12,3.44,1.97,1.19,0.41,-1.0,-2.12,-2.44,-2.41,-2.66,-3.12,-2.75,-1.25,0.38,1.22,1.25,1.94,1.94,0.62,-0.44,-0.28,0.72,1.41,1.66,3.03,4.12,4.31,3.84,3.28,3.41,3.41,2.84,2.0,1.84,1.34,-0.28,-2.03,-2.75,-2.88,-2.66,-2.62,-1.72,-0.22,0.91,1.19,1.47,2.5,3.31,3.31,2.75,2.91,3.09,2.03,0.19,-1.25,-2.44,-5.03,-8.06,-10.41,-11.16,-11.25,-10.91,-8.81,-4.59,-0.06,3.12,5.56,7.31,7.84,6.59,4.72,4.0,4.41,4.75,5.06,5.88,6.78,6.62,4.69,2.34,0.09,-2.16,-4.69,-6.5,-6.66,-5.84,-4.78,-3.91,-2.12,-0.28,1.25,1.94,2.78,4.72,5.81,5.38,4.19,3.22,1.62,-0.81,-3.31,-4.12,-3.94,-3.31,-3.0,-1.53,0.56,1.72,2.12,2.56,3.75,4.34,3.56,2.94,2.72,1.94,0.91,-0.5,-0.53,-0.06,0.25,0.31,1.28,2.5,3.09,3.28,3.25,4.16,4.59,4.25,3.69,3.66,3.75,2.94,1.72,1.56,2.03,2.38,2.59,4.06,5.91,6.78,6.38,5.47,4.5,3.38,1.25,-0.06,-0.44,0.0,-0.22,-0.78,-0.81,-0.72,-1.47,-3.12,-3.84,-3.84,-3.44,-3.78,-3.94,-3.09,-2.34,-2.66,-2.62,-1.81,-0.53,-0.25,-0.81,-0.94,-1.19,-2.5,-4.91,-7.06,-8.66,-10.25,-12.09,-12.88,-11.66,-10.12,-9.12,-8.09,-5.81,-4.19,-2.81,-1.72,0.38,2.78,4.69,5.19,5.47,5.81,4.91,2.75,0.69,-0.53,-2.0,-4.25,-6.22,-6.62,-6.62,-6.56,-6.69,-5.69,-4.06,-2.62,-1.69,-0.44,0.88,1.16,-0.44,-2.25,-3.25,-3.84,-4.81,-5.38,-4.69,-3.44,-3.19,-3.16,-2.34,-1.28,-0.72,-1.22,-1.69,-2.03,-2.31,-3.88,-4.84,-4.38,-3.5,-3.97,-4.53,-4.59,-4.22,-4.72,-5.31,-4.66,-3.78,-2.66,-2.97,-2.66,-1.84,-1.09,-1.59,-2.25,-2.31,-2.91,-5.09,-7.56,-8.62,-9.12,-9.56,-10.09,-10.25,-9.91,-9.62,-9.72,-8.66,-6.38,-3.59,-2.0,-1.22,0.09,1.06,0.66,-0.28,-0.88,-1.47,-2.91,-5.31,-7.06,-8.03,-8.41,-9.31,-9.53,-8.31,-6.53,-5.97,-5.53,-4.31,-3.12,-3.75,-4.88,-5.16,-5.03,-5.75,-6.84,-7.22,-6.88,-6.5,-6.62,-5.81,-3.56,-1.03,0.0,0.72,1.25,1.03,-0.34,-2.62,-4.06,-4.41,-4.69,-5.28,-5.03,-4.0,-2.94,-3.84,-4.78,-5.03,-4.84,-5.5,-5.44,-3.91,-1.69,-0.41,0.09,0.97,2.0,2.41,1.5,0.28,-0.62,-2.44,-5.47,-7.56,-8.5,-7.88,-7.28,-5.69,-2.84,0.0,1.81,2.62,2.53,2.0,0.44,-1.75,-3.88,-4.41,-4.75,-6.25,-7.62,-8.09,-7.97,-8.22,-7.81,-5.94,-3.56,-2.19,-2.47,-3.34,-4.28,-6.09,-8.94,-10.62,-10.34,-9.19,-8.88,-8.62,-7.94,-7.59,-8.25,-9.34,-8.84,-6.47,-4.56,-2.91,-0.38,2.0,2.84,1.97,0.25,-0.44,-1.25,-2.72,-3.53,-3.03,-2.53,-3.03,-4.06,-5.03,-5.91,-7.31,-9.53,-11.09,-11.38,-10.69,-10.31,-9.16,-6.28,-3.66,-2.5,-2.22,-1.62,-0.81,-1.84,-3.28,-4.06,-3.81,-4.09,-4.59,-4.31,-3.06,-1.91,-2.03,-2.53,-2.44,-2.84,-5.16,-7.41,-8.5,-8.38,-7.91,-6.56,-4.25,-1.38,0.22,0.72,1.0,1.72,2.19,1.75,1.69,2.91,5.22,6.59,8.09,10.0,11.69,11.53,10.28,8.84,8.28,7.0,4.84,3.22,2.53,1.81,0.28,-0.84,-0.72,0.09,0.41,0.53,1.53,2.78,3.0,2.0,1.0,0.56,-0.47,-2.28,-3.56,-3.47,-3.22,-3.94,-4.84,-4.72,-4.53,-5.56,-6.62,-6.5,-5.75,-5.34,-4.59,-3.06,-0.62,0.97,1.47,1.16,0.62,-0.06,-1.69,-3.22,-3.41,-2.41,-2.16,-2.0,-1.28,-0.03,0.34,0.12,0.16,1.06,1.59,1.44,1.31,1.88,2.25,1.47,0.88,1.03,1.22,0.44,-0.31,-0.41,0.09,0.12,0.22,0.69,2.12,3.19,3.25,2.78,3.28,3.22,2.0,0.81,0.69,0.84,0.34,-0.47,-0.59,0.28,0.5,0.34,0.78,2.03,2.75,2.84,2.72,3.12,3.47,2.66,1.16,0.5,0.19,-0.75,-1.66,-1.97,-1.44,-0.88,-1.53,-1.59,-0.44,0.38,0.09,-0.03,0.53,1.44,1.72,2.0,3.06,4.12,4.0,2.72,1.47,0.81,-0.25,-1.78,-2.84,-1.97,-1.06,-0.44,0.41,2.06,4.03,4.72,5.0,5.75,6.66,6.69,6.0,5.81,6.44,6.78,6.62,6.31,6.97,7.16,5.66,3.56,1.81,0.28,-1.25,-2.53,-2.06,-0.78,0.09,0.09,-0.03,0.78,0.84,0.56,0.16,0.91,1.25,0.72,-0.31,-0.56,-0.5,-1.09,-2.06,-1.66,-0.78,-0.47,-0.66,-0.88,-0.5,-0.5,-0.81,-0.34,1.38,3.38,3.94,3.84,3.56,3.12,1.59,-0.59,-1.69,-1.44,-1.44,-1.81,-1.06,0.75,1.84,1.81,1.53,2.06,2.38,1.62,0.19,-0.41,-0.91,-2.34,-3.97,-4.03,-3.28,-3.0,-3.16,-3.31,-2.59,-2.28,-2.69,-3.44,-3.09,-3.22,-4.62,-6.19,-6.94,-6.69,-6.5,-6.09,-5.19,-3.53,-2.25,-1.94,-1.47,0.09,1.47,1.84,1.91,2.91,3.56,3.38,2.44,2.38,2.53,1.84,0.03,-0.94,-1.12,-1.47,-2.12,-1.56,0.31,2.16,3.44,4.5,6.78,8.69,10.03,10.91,12.81,15.19,16.56,17.19,17.66,17.81,16.41,13.84,11.28,9.53,8.12,6.53,5.31,5.25,5.81,5.88,5.81,6.28,7.16,6.72,5.31,2.75,0.5,-2.53,-6.69,-9.84,-11.44,-11.75,-11.59,-10.5,-7.44,-4.03,-1.0,0.88,2.66,3.91,3.88,2.5,1.19,0.94,0.41,-0.84,-1.22,-0.28,0.81,31.09,30.59,29.5,28.66,27.91,27.03,26.44,26.22,26.47,27.25,28.34,29.44,31.0,32.69,34.16,35.5,36.66,37.19,37.44,37.28,37.31,37.03,36.72,36.22,36.03,36.0,36.34,37.41,38.69,40.34,41.41,42.28,42.59,42.25,41.78:10.53,10.66,9.53,8.47,8.38,8.75,8.62,8.62,9.59,10.97,12.31,13.22,14.75,16.84,18.31,18.59,19.5,20.34,20.97,20.97,20.38,20.19,19.56,18.22,16.25,15.12,14.19,12.91,11.47,10.5,9.91,9.44,8.44,7.88,8.62,10.12,11.28,12.97,15.53,18.5,21.25,23.53,26.59,29.47,31.44,31.44,30.56,28.84,26.56,23.19,20.31,19.09,18.47,17.25,16.03,15.28,14.47,13.12,11.62,11.44,12.06,13.25,14.34,15.88,17.25,17.59,16.22,14.22,12.75,11.81,10.69,9.91,10.31,10.94,11.19,11.0,11.75,12.78,13.47,13.59,13.88,14.38,14.94,14.72,14.31,14.62,15.0,14.38,13.22,12.59,11.78,10.19,7.78,5.94,4.69,3.91,2.66,2.81,4.28,5.97,6.59,6.97,7.28,7.62,6.59,5.34,4.81,4.47,4.12,3.31,3.38,4.06,4.94,5.09,6.09,7.53,9.19,10.25,11.22,12.84,14.62,15.34,15.66,15.66,15.69,15.16,13.59,12.31,11.56,10.91,9.66,9.5,10.22,11.81,12.5,13.09,13.28,12.72,10.66,7.62,4.72,2.5,1.16,-0.03,-0.12,0.97,2.34,2.88,3.5,4.75,5.81,5.91,5.28,5.03,5.47,5.25,5.0,5.91,7.56,9.09,9.88,10.38,10.88,10.69,9.22,8.03,7.25,6.62,5.56,4.69,4.06,4.06,3.72,2.94,2.38,2.72,3.09,3.56,4.25,5.81,7.5,8.09,8.75,10.12,11.22,11.34,11.25,11.12,11.19,11.16,10.44,10.0,10.16,9.88,9.12,8.38,8.59,9.25,9.16,8.84,9.19,9.56,9.03,7.66,6.75,6.22,5.0,4.09,3.12,2.94,3.0,2.31,2.12,2.62,3.72,4.03,4.22,4.34,4.44,3.41,1.84,0.94,1.03,1.81,2.72,4.38,6.78,8.75,9.62,9.91,10.56,11.28,10.41,9.06,7.78,7.16,6.03,5.12,5.12,5.88,6.38,6.19,5.72,5.75,5.94,5.44,5.5,6.78,8.91,10.09,10.78,11.53,12.34,12.38,12.19,12.5,13.31,14.22,14.06,13.34,13.06,12.38,10.84,9.31,8.66,8.84,8.84,8.81,9.78,11.94,13.5,14.59,15.53,17.09,18.0,18.09,18.41,19.28,19.94,19.81,18.94,18.56,18.5,17.19,15.59,14.62,14.47,13.69,12.28,10.75,9.94,9.03,7.66,6.97,7.97,9.88,11.75,13.62,16.06,18.25,18.78,17.81,15.88,13.84,10.97,8.12,5.66,5.09,5.12,4.84,4.78,5.0,4.75,4.06,2.88,2.38,2.62,2.62,2.41,2.31,3.31,4.03,4.47,5.47,7.25,8.97,9.84,10.25,11.22,11.75,11.44,10.84,10.22,10.06,9.09,7.72,6.84,6.56,5.75,4.62,3.56,3.5,3.56,3.25,2.66,2.91,3.56,3.81,3.97,4.88,6.0,6.0,5.44,4.16,4.06,4.5,4.78,5.19,6.91,8.25,8.22,7.72,7.53,7.5,6.81,5.75,4.94,4.75,3.94,2.69,1.59,1.59,1.88,1.78,1.66,2.31,2.94,2.69,2.06,2.34,2.84,2.75,2.31,2.28,2.69,2.81,2.84,2.72,3.47,4.12,3.44,1.97,1.19,0.41,-1.0,-2.12,-2.44,-2.41,-2.66,-3.12,-2.75,-1.25,0.38,1.22,1.25,1.94,1.94,0.62,-0.44,-0.28,0.72,1.41,1.66,3.03,4.12,4.31,3.84,3.28,3.41,3.41,2.84,2.0,1.84,1.34,-0.28,-2.03,-2.75,-2.88,-2.66,-2.62,-1.72,-0.22,0.91,1.19,1.47,2.5,3.31,3.31,2.75,2.91,3.09,2.03,0.19,-1.25,-2.44,-5.03,-8.06,-10.41,-11.16,-11.25,-10.91,-8.81,-4.59,-0.06,3.12,5.56,7.31,7.84,6.59,4.72,4.0,4.41,4.75,5.06,5.88,6.78,6.62,4.69,2.34,0.09,-2.16,-4.69,-6.5,-6.66,-5.84,-4.78,-3.91,-2.12,-0.28,1.25,1.94,2.78,4.72,5.81,5.38,4.19,3.22,1.62,-0.81,-3.31,-4.12,-3.94,-3.31,-3.0,-1.53,0.56,1.72,2.12,2.56,3.75,4.34,3.56,2.94,2.72,1.94,0.91,-0.5,-0.53,-0.06,0.25,0.31,1.28,2.5,3.09,3.28,3.25,4.16,4.59,4.25,3.69,3.66,3.75,2.94,1.72,1.56,2.03,2.38,2.59,4.06,5.91,6.78,6.38,5.47,4.5,3.38,1.25,-0.06,-0.44,0.0,-0.22,-0.78,-0.81,-0.72,-1.47,-3.12,-3.84,-3.84,-3.44,-3.78,-3.94,-3.09,-2.34,-2.66,-2.62,-1.81,-0.53,-0.25,-0.81,-0.94,-1.19,-2.5,-4.91,-7.06,-8.66,-10.25,-12.09,-12.88,-11.66,-10.12,-9.12,-8.09,-5.81,-4.19,-2.81,-1.72,0.38,2.78,4.69,5.19,5.47,5.81,4.91,2.75,0.69,-0.53,-2.0,-4.25,-6.22,-6.62,-6.62,-6.56,-6.69,-5.69,-4.06,-2.62,-1.69,-0.44,0.88,1.16,-0.44,-2.25,-3.25,-3.84,-4.81,-5.38,-4.69,-3.44,-3.19,-3.16,-2.34,-1.28,-0.72,-1.22,-1.69,-2.03,-2.31,-3.88,-4.84,-4.38,-3.5,-3.97,-4.53,-4.59,-4.22,-4.72,-5.31,-4.66,-3.78,-2.66,-2.97,-2.66,-1.84,-1.09,-1.59,-2.25,-2.31,-2.91,-5.09,-7.56,-8.62,-9.12,-9.56,-10.09,-10.25,-9.91,-9.62,-9.72,-8.66,-6.38,-3.59,-2.0,-1.22,0.09,1.06,0.66,-0.28,-0.88,-1.47,-2.91,-5.31,-7.06,-8.03,-8.41,-9.31,-9.53,-8.31,-6.53,-5.97,-5.53,-4.31,-3.12,-3.75,-4.88,-5.16,-5.03,-5.75,-6.84,-7.22,-6.88,-6.5,-6.62,-5.81,-3.56,-1.03,0.0,0.72,1.25,1.03,-0.34,-2.62,-4.06,-4.41,-4.69,-5.28,-5.03,-4.0,-2.94,-3.84,-4.78,-5.03,-4.84,-5.5,-5.44,-3.91,-1.69,-0.41,0.09,0.97,2.0,2.41,1.5,0.28,-0.62,-2.44,-5.47,-7.56,-8.5,-7.88,-7.28,-5.69,-2.84,0.0,1.81,2.62,2.53,2.0,0.44,-1.75,-3.88,-4.41,-4.75,-6.25,-7.62,-8.09,-7.97,-8.22,-7.81,-5.94,-3.56,-2.19,-2.47,-3.34,-4.28,-6.09,-8.94,-10.62,-10.34,-9.19,-8.88,-8.62,-7.94,-7.59,-8.25,-9.34,-8.84,-6.47,-4.56,-2.91,-0.38,2.0,2.84,1.97,0.25,-0.44,-1.25,-2.72,-3.53,-3.03,-2.53,-3.03,-4.06,-5.03,-5.91,-7.31,-9.53,-11.09,-11.38,-10.69,-10.31,-9.16,-6.28,-3.66,-2.5,-2.22,-1.62,-0.81,-1.84,-3.28,-4.06,-3.81,-4.09,-4.59,-4.31,-3.06,-1.91,-2.03,-2.53,-2.44,-2.84,-5.16,-7.41,-8.5,-8.38,-7.91,-6.56,-4.25,-1.38,0.22,0.72,1.0,1.72,2.19,1.75,1.69,2.91,5.22,6.59,8.09,10.0,11.69,11.53,10.28,8.84,8.28,7.0,4.84,3.22,2.53,1.81,0.28,-0.84,-0.72,0.09,0.41,0.53,1.53,2.78,3.0,2.0,1.0,0.56,-0.47,-2.28,-3.56,-3.47,-3.22,-3.94,-4.84,-4.72,-4.53,-5.56,-6.62,-6.5,-5.75,-5.34,-4.59,-3.06,-0.62,0.97,1.47,1.16,0.62,-0.06,-1.69,-3.22,-3.41,-2.41,-2.16,-2.0,-1.28,-0.03,0.34,0.12,0.16,1.06,1.59,1.44,1.31,1.88,2.25,1.47,0.88,1.03,1.22,0.44,-0.31,-0.41,0.09,0.12,0.22,0.69,2.12,3.19,3.25,2.78,3.28,3.22,2.0,0.81,0.69,0.84,0.34,-0.47,-0.59,0.28,0.5,0.34,0.78,2.03,2.75,2.84,2.72,3.12,3.47,2.66,1.16,0.5,0.19,-0.75,-1.66,-1.97,-1.44,-0.88,-1.53,-1.59,-0.44,0.38,0.09,-0.03,0.53,1.44,1.72,2.0,3.06,4.12,4.0,2.72,1.47,0.81,-0.25,-1.78,-2.84,-1.97,-1.06,-0.44,0.41,2.06,4.03,4.72,5.0,5.75,6.66,6.69,6.0,5.81,6.44,6.78,6.62,6.31,6.97,7.16,5.66,3.56,1.81,0.28,-1.25,-2.53,-2.06,-0.78,0.09,0.09,-0.03,0.78,0.84,0.56,0.16,0.91,1.25,0.72,-0.31,-0.56,-0.5,-1.09,-2.06,-1.66,-0.78,-0.47,-0.66,-0.88,-0.5,-0.5,-0.81,-0.34,1.38,3.38,3.94,3.84,3.56,3.12,1.59,-0.59,-1.69,-1.44,-1.44,-1.81,-1.06,0.75,1.84,1.81,1.53,2.06,2.38,1.62,0.19,-0.41,-0.91,-2.34,-3.97,-4.03,-3.28,-3.0,-3.16,-3.31,-2.59,-2.28,-2.69,-3.44,-3.09,-3.22,-4.62,-6.19,-6.94,-6.69,-6.5,-6.09,-5.19,-3.53,-2.25,-1.94,-1.47,0.09,1.47,1.84,1.91,2.91,3.56,3.38,2.44,2.38,2.53,1.84,0.03,-0.94,-1.12,-1.47,-2.12,-1.56,0.31,2.16,3.44,4.5,6.78,8.69,10.03,10.91,12.81,15.19,16.56,17.19,17.66,17.81,16.41,13.84,11.28,9.53,8.12,6.53,5.31,5.25,5.81,5.88,5.81,6.28,7.16,6.72,5.31,2.75,0.5,-2.53,-6.69,-9.84,-11.44,-11.75,-11.59,-10.5,-7.44,-4.03,-1.0,0.88,2.66,3.91,3.88,2.5,1.19,0.94,0.41,-0.84,-1.22,-0.28,0.81,31.09,30.59,29.5,28.66,27.91,27.03,26.44,26.22,26.47,27.25,28.34,29.44,31.0,32.69,34.16,35.5,36.66,37.19,37.44,37.28,37.31,37.03,36.72,36.22,36.03,36.0,36.34,37.41,38.69,40.34,41.41,42.28,42.59,42.25,41.78,40.75,39.34,37.97,36.78,35.56,34.75,34.5:positivity
10.28,13.25,14.31,14.91,17.53,20.62,21.12,20.16,20.66,22.84,23.97,23.44,23.81,25.84,27.06,25.28,23.44,24.12,25.16,23.84,21.59,21.5,21.56,20.22,17.69,16.69,18.09,18.59,17.47,17.06,18.78,20.56,20.53,20.34,22.28,24.62,24.38,22.59,22.66,24.19,24.97,24.88,25.81,28.44,29.75,27.84,25.19,24.31,22.56,18.16,12.91,10.34,9.56,7.91,6.44,7.84,11.44,14.19,15.0,16.47,19.41,21.53,20.69,19.34,20.38,21.47,20.62,19.34,20.06,22.59,23.41,22.56,23.06,24.88,25.66,24.34,23.72,25.53,27.25,26.16,24.88,25.41,27.25,26.88,25.56,26.22,28.78,30.25,30.25,31.75,34.91,37.03,36.38,34.88,35.09,35.09,32.72,29.84,29.34,30.0,28.84,26.22,24.81,24.19,22.0,17.88,14.34,13.53,12.91,10.41,8.34,8.56,9.97,9.31,8.25,9.5,12.5,14.28,15.06,17.31,22.0,25.62,27.62,29.59,32.59,34.41,32.09,28.69,26.66,25.78,22.69,18.72,16.03,14.69,12.22,7.88,5.72,6.22,6.97,5.5,4.78,6.06,7.25,5.97,3.84,4.0,5.5,5.59,4.78,5.78,8.5,10.69,10.97,12.16,15.88,19.06,19.56,19.84,21.22,23.03,22.19,20.03,19.12,19.31,17.5,14.12,12.03,12.12,11.94,10.0,9.44,11.38,14.03,14.75,15.12,17.38,20.25,20.5,19.41,19.47,20.75,20.5,18.16,16.84,17.41,17.38,15.31,13.25,13.53,14.66,13.31,11.44,11.59,12.47,11.72,9.88,9.31,11.16,12.38,12.03,11.84,13.91,15.22,13.88,12.0,12.44,14.31,14.31,13.38,14.41,16.66,17.22,15.78,15.09,16.44,16.88,15.72,15.78,18.31,21.28,22.16,21.81,22.72,24.09,23.03,20.22,18.56,18.22,16.03,12.25,9.53,9.62,10.03,9.09,8.47,10.25,12.28,11.72,10.41,11.0,12.47,13.12,12.25,12.91,15.38,16.53,15.25,13.56,13.69,12.97,9.59,5.94,4.59,3.91,1.72,-1.53,-2.22,-1.31,-1.19,-2.09,-1.22,2.31,6.09,8.75,12.19,17.72,23.03,25.75,27.12,29.78,32.78,33.28,31.34,29.94,29.72,27.81,24.22,20.53,19.0,16.91,12.78,8.47,7.59,7.78,6.66,4.94,5.28,7.34,8.38,7.94,8.88,11.75,14.16,14.59,15.38,18.69,21.16,20.62,18.84,18.47,19.16,18.31,16.62,16.84,18.62,18.88,16.81,15.22,15.28,14.78,11.88,9.31,9.69,11.0,10.59,8.97,9.53,10.44,9.25,6.53,4.81,5.0,4.25,1.62,-0.03,1.16,2.22,1.22,0.53,3.06,6.47,8.28,9.25,11.81,15.12,16.69,15.81,15.66,16.94,17.56,15.5,13.38,13.97,14.41,13.03,10.88,11.25,13.03,13.38,12.91,14.66,17.78,19.62,19.0,18.97,20.75,21.97,20.91,19.59,20.41,21.66,19.91,17.88,17.62,18.5,18.12,16.0,15.28,16.75,17.25,15.84,14.94,16.47,17.81,16.72,15.28,16.44,18.62,19.03,18.28,19.84,23.12,24.78,25.12,26.03,28.56,30.12,28.94,28.34,30.16,32.28,31.62,30.19,30.44,31.66,30.5,28.16,27.41,28.28,28.03,25.91,25.0,26.5,28.09,27.34,26.22,27.88,29.88,29.56,28.66,29.91,32.5,33.41,32.5,32.56,33.84,34.06,31.44,28.91,28.41,27.66,24.16,20.59,19.72,20.53,19.44,17.44,17.12,18.38,18.22,16.53,16.78,20.06,23.25,24.31,25.41,28.5,31.78,31.69,31.03,32.31,34.62,34.75,33.19,32.88,33.75,33.16,30.25,28.28,29.09,30.06,28.56,27.59,28.75,30.25,29.78,28.31,28.66,30.62,30.88,29.31,29.38,31.53,33.03,32.44,32.16,33.72,34.78,32.84,30.47,30.25,31.25,30.22,28.56,28.56,30.16,30.34,28.44,27.19,28.06,28.72,27.06,25.78,27.03,28.62,28.22,26.84,27.16,28.94,28.5,26.69,26.31,28.56,30.25,29.69,29.97,31.91,33.44,32.12,30.56,31.66,33.69,33.22,31.88,32.09,33.53,32.88,30.28,29.19,30.31,31.0,30.0,29.81,32.34,35.16,35.06,34.59,35.97,38.19,38.19,36.72,36.75,38.66,38.59,36.5,34.94,35.69,36.12,34.16,32.47,33.28,35.25,34.66,33.19,33.34,34.59,33.38,31.22,30.31,31.75,32.59,31.41,30.41,32.44,34.59,33.69,32.72,34.06,36.16,36.12,35.44,36.91,39.75,40.34,38.91,38.25,39.53,40.06,38.34,37.06,38.81,40.78,40.19,39.22,40.16,41.66,40.59,38.22,37.41,38.34,37.66,35.41,34.06,35.16,35.81,34.34,32.81,34.34,36.84,37.12,36.78,37.66,38.81,37.56,34.03,31.72,32.41,32.81,31.94,32.16,35.16,37.81,37.5,36.03,36.53,37.69,36.44,34.5,34.19,36.16,36.38,34.78,33.88,34.97,35.41,33.28,31.44,32.66,34.28,34.16,33.66,35.59,38.34,38.91,36.94,35.81,36.31,35.59,33.31,32.59,34.25,34.97,32.88,30.09,29.84,30.09,28.97,27.34,28.34,31.0,32.38,32.16,33.41,36.62,38.72,38.12,37.53,39.34,40.25,38.38,35.91,35.72,36.56,36.19,35.25,36.53,39.97,41.38,40.44,39.97,40.44,39.56,36.31,33.16,32.91,33.38,31.97,30.62,31.94,34.62,35.81,35.31,36.41,38.66,39.84,38.44,37.88,39.75,41.28,40.5,39.38,40.41,41.16,39.38,35.91,34.66,34.94,34.41,33.06,33.44,35.97,37.72,36.91,36.28,38.62,40.62,40.19,38.91,40.19,40.91,39.91,37.94,38.16,40.22,41.56,41.38,41.94,44.66,46.62,45.56,44.75,46.25,47.88,47.09,45.19,45.62,46.84,45.91,43.5,42.56,42.75,41.59,38.19,35.38,35.03,34.81,32.72,30.94,32.16,34.38,35.0,34.38,35.66,37.94,39.03,38.12,38.41,40.28,41.41,39.69,37.94,38.44,38.88,37.25,34.88,34.88,35.47,33.97,31.25,30.59,31.62,32.12,31.25,31.06,32.84,34.41,33.12,31.97,33.09,34.5,33.38,32.41,33.25,35.44,36.53,36.0,36.53,38.84,39.81,38.28,37.47,38.62,40.19,39.62,39.41,41.53,44.72,45.69,45.03,45.28,45.81,44.84,41.75,40.09,40.69,41.78,40.62,39.78,41.12,42.69,41.81,40.5,40.44,41.38,40.12,37.28,36.56,38.09,39.06,38.56,39.0,41.31,42.94,41.62,40.41,42.09,44.44,44.72,44.72,46.06,48.12,48.59,47.38,46.78,48.25,49.0,47.5,47.12,48.47,49.97,48.72,46.56,46.19,46.72,45.53,43.34,43.09,44.12,43.78,42.0,41.75,43.59,45.97,45.91,45.84,47.16,48.38,46.47,43.31,41.69,41.44,39.97,38.16,38.06,39.97,40.94,39.41,38.22,38.81,39.19,37.22,35.16,34.81,35.59,34.25,32.25,32.66,34.78,35.91,35.91,37.5,41.22,43.94,44.19,43.75,44.69,45.62,43.59,41.38,41.56,42.56,41.84,40.12,39.44,40.06,39.72,37.5,36.5,38.06,39.72,39.47,39.31,40.41,41.5,39.78,37.25,36.22,37.16,36.84,35.78,36.28,38.66,40.28,39.47,38.75,39.97,40.97,39.53,37.91,38.53,39.69,38.59,36.25,35.19,35.47,34.53,32.12,30.62,32.31,33.47,32.78,32.25,33.84,35.75,35.28,34.44,34.88,36.19,35.66,33.41,32.41,34.09,35.25,35.06,35.5,38.72,41.62,42.25,42.69,45.66,48.88,49.38,48.78,48.88,49.19,47.88,44.81,42.38,42.56,41.94,39.06,36.34,36.06,35.97,34.31,32.38,33.53,35.81,36.44,36.03,36.94,39.81,41.16,40.66,40.47,42.34,43.34,42.09,41.47,43.12,45.12,44.78,43.41,43.66,45.0,44.66,43.25,42.72,43.75,43.22,40.47,37.56,37.56,37.53,36.06,34.66,35.84,38.0,38.19,37.03,37.59,39.97,40.94,40.38,40.72,43.16,44.5,43.59,42.44,43.44,44.12,42.75,40.25,39.75,39.75,38.31,35.66,35.06,36.56,37.19,35.81,35.09,36.41,37.38,36.0,34.69,35.88,37.62,37.56,36.16,36.81,38.5,38.56,37.03,37.34,39.72,41.38,40.88,40.41,42.03,43.44,42.69,41.0,41.69,42.66,40.91,37.84,36.34,36.44,35.94,34.41,34.34,36.81,39.31,39.16,39.03,41.0,43.06,42.44,40.66,40.34,39.94,37.91,33.94,31.84,32.03,32.09,30.91,31.38,34.09,36.78,36.88,35.94,36.75,38.06,37.31,35.91,37.53,40.16,41.78,41.66,41.88,43.62,44.41,42.19,40.5,41.59,42.69,41.69,40.38,40.75,42.12,41.69,39.53,39.25,40.16,39.75,37.44,36.34,36.88,37.28,35.16,32.78,32.31,32.88,31.31,29.59,30.72,33.66,35.44,35.56,36.78,38.91,39.59,37.12,35.81,36.84,38.38,37.78,37.0,38.19,39.41,38.12,35.44,33.94,34.28,33.81,32.12,32.75,35.84,39.25,39.53,39.97,42.09,43.38,42.09,39.69,39.12,40.25,40.19,39.22,40.28,42.94,43.66,41.97,40.5,40.38,40.06,37.44,35.34,36.28,38.31,38.19,37.16,37.59,38.81,37.75,35.16,33.72,34.62,35.47,34.5,34.72,37.31,40.12,39.44,38.41,39.03,40.59,39.81,37.75,37.41,38.16,37.78,35.66,34.78,36.56,37.78,36.31,34.88,36.0,36.75:20.16,20.66,22.84,23.97,23.44,23.81,25.84,27.06,25.28,23.44,24.12,25.16,23.84,21.59,21.5,21.56,20.22,17.69,16.69,18.09,18.59,17.47,17.06,18.78,20.56,20.53,20.34,22.28,24.62,24.38,22.59,22.66,24.19,24.97,24.88,25.81,28.44,29.75,27.84,25.19,24.31,22.56,18.16,12.91,10.34,9.56,7.91,6.44,7.84,11.44,14.19,15.0,16.47,19.41,21.53,20.69,19.34,20.38,21.47,20.62,19.34,20.06,22.59,23.41,22.56,23.06,24.88,25.66,24.34,23.72,25.53,27.25,26.16,24.88,25.41,27.25,26.88,25.56,26.22,28.78,30.25,30.25,31.75,34.91,37.03,36.38,34.88,35.09,35.09,32.72,29.84,29.34,30.0,28.84,26.22,24.81,24.19,22.0,17.88,14.34,13.53,12.91,10.41,8.34,8.56,9.97,9.31,8.25,9.5,12.5,14.28,15.06,17.31,22.0,25.62,27.62,29.59,32.59,34.41,32.09,28.69,26.66,25.78,22.69,18.72,16.03,14.69,12.22,7.88,5.72,6.22,6.97,5.5,4.78,6.06,7.25,5.97,3.84,4.0,5.5,5.59,4.78,5.78,8.5,10.69,10.97,12.16,15.88,19.06,19.56,19.84,21.22,23.03,22.19,20.03,19.12,19.31,17.5,14.12,12.03,12.12,11.94,10.0,9.44,11.38,14.03,14.75,15.12,17.38,20.25,20.5,19.41,19.47,20.75,20.5,18.16,16.84,17.41,17.38,15.31,13.25,13.53,14.66,13.31,11.44,11.59,12.47,11.72,9.88,9.31,11.16,12.38,12.03,11.84,13.91,15.22,13.88,12.0,12.44,14.31,14.31,13.38,14.41,16.66,17.22,15.78,15.09,16.44,16.88,15.72,15.78,18.31,21.28,22.16,21.81,22.72,24.09,23.03,20.22,18.56,18.22,16.03,12.25,9.53,9.62,10.03,9.09,8.47,10.25,12.28,11.72,10.41,11.0,12.47,13.12,12.25,12.91,15.38,16.53,15.25,13.56,13.69,12.97,9.59,5.94,4.59,3.91,1.72,-1.53,-2.22,-1.31,-1.19,-2.09,-1.22,2.31,6.09,8.75,12.19,17.72,23.03,25.75,27.12,29.78,32.78,33.28,31.34,29.94,29.72,27.81,24.22,20.53,19.0,16.91,12.78,8.47,7.59,7.78,6.66,4.94,5.28,7.34,8.38,7.94,8.88,11.75,14.16,14.59,15.38,18.69,21.16,20.62,18.84,18.47,19.16,18.31,16.62,16.84,18.62,18.88,16.81,15.22,15.28,14.78,11.88,9.31,9.69,11.0,10.59,8.97,9.53,10.44,9.25,6.53,4.81,5.0,4.25,1.62,-0.03,1.16,2.22,1.22,0.53,3.06,6.47,8.28,9.25,11.81,15.12,16.69,15.81,15.66,16.94,17.56,15.5,13.38,13.97,14.41,13.03,10.88,11.25,13.03,13.38,12.91,14.66,17.78,19.62,19.0,18.97,20.75,21.97,20.91,19.59,20.41,21.66,19.91,17.88,17.62,18.5,18.12,16.0,15.28,16.75,17.25,15.84,14.94,16.47,17.81,16.72,15.28,16.44,18.62,19.03,18.28,19.84,23.12,24.78,25.12,26.03,28.56,30.12,28.94,28.34,30.16,32.28,31.62,30.19,30.44,31.66,30.5,28.16,27.41,28.28,28.03,25.91,25.0,26.5,28.09,27.34,26.22,27.88,29.88,29.56,28.66,29.91,32.5,33.41,32.5,32.56,33.84,34.06,31.44,28.91,28.41,27.66,24.16,20.59,19.72,20.53,19.44,17.44,17.12,18.38,18.22,16.53,16.78,20.06,23.25,24.31,25.41,28.5,31.78,31.69,31.03,32.31,34.62,34.75,33.19,32.88,33.75,33.16,30.25,28.28,29.09,30.06,28.56,27.59,28.75,30.25,29.78,28.31,28.66,30.62,30.88,29.31,29.38,31.53,33.03,32.44,32.16,33.72,34.78,32.84,30.47,30.25,31.25,30.22,28.56,28.56,30.16,30.34,28.44,27.19,28.06,28.72,27.06,25.78,27.03,28.62,28.22,26.84,27.16,28.94,28.5,26.69,26.31,28.56,30.25,29.69,29.97,31.91,33.44,32.12,30.56,31.66,33.69,33.22,31.88,32.09,33.53,32.88,30.28,29.19,30.31,31.0,30.0,29.81,32.34,35.16,35.06,34.59,35.97,38.19,38.19,36.72,36.75,38.66,38.59,36.5,34.94,35.69,36.12,34.16,32.47,33.28,35.25,34.66,33.19,33.34,34.59,33.38,31.22,30.31,31.75,32.59,31.41,30.41,32.44,34.59,33.69,32.72,34.06,36.16,36.12,35.44,36.91,39.75,40.34,38.91,38.25,39.53,40.06,38.34,37.06,38.81,40.78,40.19,39.22,40.16,41.66,40.59,38.22,37.41,38.34,37.66,35.41,34.06,35.16,35.81,34.34,32.81,34.34,36.84,37.12,36.78,37.66,38.81,37.56,34.03,31.72,32.41,32.81,31.94,32.16,35.16,37.81,37.5,36.03,36.53,37.69,36.44,34.5,34.19,36.16,36.38,34.78,33.88,34.97,35.41,33.28,31.44,32.66,34.28,34.16,33.66,35.59,38.34,38.91,36.94,35.81,36.31,35.59,33.31,32.59,34.25,34.97,32.88,30.09,29.84,30.09,28.97,27.34,28.34,31.0,32.38,32.16,33.41,36.62,38.72,38.12,37.53,39.34,40.25,38.38,35.91,35.72,36.56,36.19,35.25,36.53,39.97,41.38,40.44,39.97,40.44,39.56,36.31,33.16,32.91,33.38,31.97,30.62,31.94,34.62,35.81,35.31,36.41,38.66,39.84,38.44,37.88,39.75,41.28,40.5,39.38,40.41,41.16,39.38,35.91,34.66,34.94,34.41,33.06,33.44,35.97,37.72,36.91,36.28,38.62,40.62,40.19,38.91,40.19,40.91,39.91,37.94,38.16,40.22,41.56,41.38,41.94,44.66,46.62,45.56,44.75,46.25,47.88,47.09,45.19,45.62,46.84,45.91,43.5,42.56,42.75,41.59,38.19,35.38,35.03,34.81,32.72,30.94,32.16,34.38,35.0,34.38,35.66,37.94,39.03,38.12,38.41,40.28,41.41,39.69,37.94,38.44,38.88,37.25,34.88,34.88,35.47,33.97,31.25,30.59,31.62,32.12,31.25,31.06,32.84,34.41,33.12,31.97,33.09,34.5,33.38,32.41,33.25,35.44,36.53,36.0,36.53,38.84,39.81,38.28,37.47,38.62,40.19,39.62,39.41,41.53,44.72,45.69,45.03,45.28,45.81,44.84,41.75,40.09,40.69,41.78,40.62,39.78,41.12,42.69,41.81,40.5,40.44,41.38,40.12,37.28,36.56,38.09,39.06,38.56,39.0,41.31,42.94,41.62,40.41,42.09,44.44,44.72,44.72,46.06,48.12,48.59,47.38,46.78,48.25,49.0,47.5,47.12,48.47,49.97,48.72,46.56,46.19,46.72,45.53,43.34,43.09,44.12,43.78,42.0,41.75,43.59,45.97,45.91,45.84,47.16,48.38,46.47,43.31,41.69,41.44,39.97,38.16,38.06,39.97,40.94,39.41,38.22,38.81,39.19,37.22,35.16,34.81,35.59,34.25,32.25,32.66,34.78,35.91,35.91,37.5,41.22,43.94,44.19,43.75,44.69,45.62,43.59,41.38,41.56,42.56,41.84,40.12,39.44,40.06,39.72,37.5,36.5,38.06,39.72,39.47,39.31,40.41,41.5,39.78,37.25,36.22,37.16,36.84,35.78,36.28,38.66,40.28,39.47,38.75,39.97,40.97,39.53,37.91,38.53,39.69,38.59,36.25,35.19,35.47,34.53,32.12,30.62,32.31,33.47,32.78,32.25,33.84,35.75,35.28,34.44,34.88,36.19,35.66,33.41,32.41,34.09,35.25,35.06,35.5,38.72,41.62,42.25,42.69,45.66,48.88,49.38,48.78,48.88,49.19,47.88,44.81,42.38,42.56,41.94,39.06,36.34,36.06,35.97,34.31,32.38,33.53,35.81,36.44,36.03,36.94,39.81,41.16,40.66,40.47,42.34,43.34,42.09,41.47,43.12,45.12,44.78,43.41,43.66,45.0,44.66,43.25,42.72,43.75,43.22,40.47,37.56,37.56,37.53,36.06,34.66,35.84,38.0,38.19,37.03,37.59,39.97,40.94,40.38,40.72,43.16,44.5,43.59,42.44,43.44,44.12,42.75,40.25,39.75,39.75,38.31,35.66,35.06,36.56,37.19,35.81,35.09,36.41,37.38,36.0,34.69,35.88,37.62,37.56,36.16,36.81,38.5,38.56,37.03,37.34,39.72,41.38,40.88,40.41,42.03,43.44,42.69,41.0,41.69,42.66,40.91,37.84,36.34,36.44,35.94,34.41,34.34,36.81,39.31,39.16,39.03,41.0,43.06,42.44,40.66,40.34,39.94,37.91,33.94,31.84,32.03,32.09,30.91,31.38,34.09,36.78,36.88,35.94,36.75,38.06,37.31,35.91,37.53,40.16,41.78,41.66,41.88,43.62,44.41,42.19,40.5,41.59,42.69,41.69,40.38,40.75,42.12,41.69,39.53,39.25,40.16,39.75,37.44,36.34,36.88,37.28,35.16,32.78,32.31,32.88,31.31,29.59,30.72,33.66,35.44,35.56,36.78,38.91,39.59,37.12,35.81,36.84,38.38,37.78,37.0,38.19,39.41,38.12,35.44,33.94,34.28,33.81,32.12,32.75,35.84,39.25,39.53,39.97,42.09,43.38,42.09,39.69,39.12,40.25,40.19,39.22,40.28,42.94,43.66,41.97,40.5,40.38,40.06,37.44,35.34,36.28,38.31,38.19,37.16,37.59,38.81,37.75,35.16,33.72,34.62,35.47,34.5,34.72,37.31,40.12,39.44,38.41,39.03,40.59,39.81,37.75,37.41,38.16,37.78,35.66,34.78,36.56,37.78,36.31,34.88,36.0,36.75,14.28,14.78,14.25,14.06,15.66,17.81,19.03:27.06,25.28,23.44,24.12,25.16,23.84,21.59,21.5,21.56,20.22,17.69,16.69,18.09,18.59,17.47,17.06,18.78,20.56,20.53,20.34,22.28,24.62,24.38,22.59,22.66,24.19,24.97,24.88,25.81,28.44,29.75,27.84,25.19,24.31,22.56,18.16,12.91,10.34,9.56,7.91,6.44,7.84,11.44,14.19,15.0,16.47,19.41,21.53,20.69,19.34,20.38,21.47,20.62,19.34,20.06,22.59,23.41,22.56,23.06,24.88,25.66,24.34,23.72,25.53,27.25,26.16,24.88,25.41,27.25,26.88,25.56,26.22,28.78,30.25,30.25,31.75,34.91,37.03,36.38,34.88,35.09,35.09,32.72,29.84,29.34,30.0,28.84,26.22,24.81,24.19,22.0,17.88,14.34,13.53,12.91,10.41,8.34,8.56,9.97,9.31,8.25,9.5,12.5,14.28,15.06,17.31,22.0,25.62,27.62,29.59,32.59,34.41,32.09,28.69,26.66,25.78,22.69,18.72,16.03,14.69,12.22,7.88,5.72,6.22,6.97,5.5,4.78,6.06,7.25,5.97,3.84,4.0,5.5,5.59,4.78,5.78,8.5,10.69,10.97,12.16,15.88,19.06,19.56,19.84,21.22,23.03,22.19,20.03,19.12,19.31,17.5,14.12,12.03,12.12,11.94,10.0,9.44,11.38,14.03,14.75,15.12,17.38,20.25,20.5,19.41,19.47,20.75,20.5,18.16,16.84,17.41,17.38,15.31,13.25,13.53,14.66,13.31,11.44,11.59,12.47,11.72,9.88,9.31,11.16,12.38,12.03,11.84,13.91,15.22,13.88,12.0,12.44,14.31,14.31,13.38,14.41,16.66,17.22,15.78,15.09,16.44,16.88,15.72,15.78,18.31,21.28,22.16,21.81,22.72,24.09,23.03,20.22,18.56,18.22,16.03,12.25,9.53,9.62,10.03,9.09,8.47,10.25,12.28,11.72,10.41,11.0,12.47,13.12,12.25,12.91,15.38,16.53,15.25,13.56,13.69,12.97,9.59,5.94,4.59,3.91,1.72,-1.53,-2.22,-1.31,-1.19,-2.09,-1.22,2.31,6.09,8.75,12.19,17.72,23.03,25.75,27.12,29.78,32.78,33.28,31.34,29.94,29.72,27.81,24.22,20.53,19.0,16.91,12.78,8.47,7.59,7.78,6.66,4.94,5.28,7.34,8.38,7.94,8.88,11.75,14.16,14.59,15.38,18.69,21.16,20.62,18.84,18.47,19.16,18.31,16.62,16.84,18.62,18.88,16.81,15.22,15.28,14.78,11.88,9.31,9.69,11.0,10.59,8.97,9.53,10.44,9.25,6.53,4.81,5.0,4.25,1.62,-0.03,1.16,2.22,1.22,0.53,3.06,6.47,8.28,9.25,11.81,15.12,16.69,15.81,15.66,16.94,17.56,15.5,13.38,13.97,14.41,13.03,10.88,11.25,13.03,13.38,12.91,14.66,17.78,19.62,19.0,18.97,20.75,21.97,20.91,19.59,20.41,21.66,19.91,17.88,17.62,18.5,18.12,16.0,15.28,16.75,17.25,15.84,14.94,16.47,17.81,16.72,15.28,16.44,18.62,19.03,18.28,19.84,23.12,24.78,25.12,26.03,28.56,30.12,28.94,28.34,30.16,32.28,31.62,30.19,30.44,31.66,30.5,28.16,27.41,28.28,28.03,25.91,25.0,26.5,28.09,27.34,26.22,27.88,29.88,29.56,28.66,29.91,32.5,33.41,32.5,32.56,33.84,34.06,31.44,28.91,28.41,27.66,24.16,20.59,19.72,20.53,19.44,17.44,17.12,18.38,18.22,16.53,16.78,20.06,23.25,24.31,25.41,28.5,31.78,31.69,31.03,32.31,34.62,34.75,33.19,32.88,33.75,33.16,30.25,28.28,29.09,30.06,28.56,27.59,28.75,30.25,29.78,28.31,28.66,30.62,30.88,29.31,29.38,31.53,33.03,32.44,32.16,33.72,34.78,32.84,30.47,30.25,31.25,30.22,28.56,28.56,30.16,30.34,28.44,27.19,28.06,28.72,27.06,25.78,27.03,28.62,28.22,26.84,27.16,28.94,28.5,26.69,26.31,28.56,30.25,29.69,29.97,31.91,33.44,32.12,30.56,31.66,33.69,33.22,31.88,32.09,33.53,32.88,30.28,29.19,30.31,31.0,30.0,29.81,32.34,35.16,35.06,34.59,35.97,38.19,38.19,36.72,36.75,38.66,38.59,36.5,34.94,35.69,36.12,34.16,32.47,33.28,35.25,34.66,33.19,33.34,34.59,33.38,31.22,30.31,31.75,32.59,31.41,30.41,32.44,34.59,33.69,32.72,34.06,36.16,36.12,35.44,36.91,39.75,40.34,38.91,38.25,39.53,40.06,38.34,37.06,38.81,40.78,40.19,39.22,40.16,41.66,40.59,38.22,37.41,38.34,37.66,35.41,34.06,35.16,35.81,34.34,32.81,34.34,36.84,37.12,36.78,37.66,38.81,37.56,34.03,31.72,32.41,32.81,31.94,32.16,35.16,37.81,37.5,36.03,36.53,37.69,36.44,34.5,34.19,36.16,36.38,34.78,33.88,34.97,35.41,33.28,31.44,32.66,34.28,34.16,33.66,35.59,38.34,38.91,36.94,35.81,36.31,35.59,33.31,32.59,34.25,34.97,32.88,30.09,29.84,30.09,28.97,27.34,28.34,31.0,32.38,32.16,33.41,36.62,38.72,38.12,37.53,39.34,40.25,38.38,35.91,35.72,36.56,36.19,35.25,36.53,39.97,41.38,40.44,39.97,40.44,39.56,36.31,33.16,32.91,33.38,31.97,30.62,31.94,34.62,35.81,35.31,36.41,38.66,39.84,38.44,37.88,39.75,41.28,40.5,39.38,40.41,41.16,39.38,35.91,34.66,34.94,34.41,33.06,33.44,35.97,37.72,36.91,36.28,38.62,40.62,40.19,38.91,40.19,40.91,39.91,37.94,38.16,40.22,41.56,41.38,41.94,44.66,46.62,45.56,44.75,46.25,47.88,47.09,45.19,45.62,46.84,45.91,43.5,42.56,42.75,41.59,38.19,35.38,35.03,34.81,32.72,30.94,32.16,34.38,35.0,34.38,35.66,37.94,39.03,38.12,38.41,40.28,41.41,39.69,37.94,38.44,38.88,37.25,34.88,34.88,35.47,33.97,31.25,30.59,31.62,32.12,31.25,31.06,32.84,34.41,33.12,31.97,33.09,34.5,33.38,32.41,33.25,35.44,36.53,36.0,36.53,38.84,39.81,38.28,37.47,38.62,40.19,39.62,39.41,41.53,44.72,45.69,45.03,45.28,45.81,44.84,41.75,40.09,40.69,41.78,40.62,39.78,41.12,42.69,41.81,40.5,40.44,41.38,40.12,37.28,36.56,38.09,39.06,38.56,39.0,41.31,42.94,41.62,40.41,42.09,44.44,44.72,44.72,46.06,48.12,48.59,47.38,46.78,48.25,49.0,47.5,47.12,48.47,49.97,48.72,46.56,46.19,46.72,45.53,43.34,43.09,44.12,43.78,42.0,41.75,43.59,45.97,45.91,45.84,47.16,48.38,46.47,43.31,41.69,41.44,39.97,38.16,38.06,39.97,40.94,39.41,38.22,38.81,39.19,37.22,35.16,34.81,35.59,34.25,32.25,32.66,34.78,35.91,35.91,37.5,41.22,43.94,44.19,43.75,44.69,45.62,43.59,41.38,41.56,42.56,41.84,40.12,39.44,40.06,39.72,37.5,36.5,38.06,39.72,39.47,39.31,40.41,41.5,39.78,37.25,36.22,37.16,36.84,35.78,36.28,38.66,40.28,39.47,38.75,39.97,40.97,39.53,37.91,38.53,39.69,38.59,36.25,35.19,35.47,34.53,32.12,30.62,32.31,33.47,32.78,32.25,33.84,35.75,35.28,34.44,34.88,36.19,35.66,33.41,32.41,34.09,35.25,35.06,35.5,38.72,41.62,42.25,42.69,45.66,48.88,49.38,48.78,48.88,49.19,47.88,44.81,42.38,42.56,41.94,39.06,36.34,36.06,35.97,34.31,32.38,33.53,35.81,36.44,36.03,36.94,39.81,41.16,40.66,40.47,42.34,43.34,42.09,41.47,43.12,45.12,44.78,43.41,43.66,45.0,44.66,43.25,42.72,43.75,43.22,40.47,37.56,37.56,37.53,36.06,34.66,35.84,38.0,38.19,37.03,37.59,39.97,40.94,40.38,40.72,43.16,44.5,43.59,42.44,43.44,44.12,42.75,40.25,39.75,39.75,38.31,35.66,35.06,36.56,37.19,35.81,35.09,36.41,37.38,36.0,34.69,35.88,37.62,37.56,36.16,36.81,38.5,38.56,37.03,37.34,39.72,41.38,40.88,40.41,42.03,43.44,42.69,41.0,41.69,42.66,40.91,37.84,36.34,36.44,35.94,34.41,34.34,36.81,39.31,39.16,39.03,41.0,43.06,42.44,40.66,40.34,39.94,37.91,33.94,31.84,32.03,32.09,30.91,31.38,34.09,36.78,36.88,35.94,36.75,38.06,37.31,35.91,37.53,40.16,41.78,41.66,41.88,43.62,44.41,42.19,40.5,41.59,42.69,41.69,40.38,40.75,42.12,41.69,39.53,39.25,40.16,39.75,37.44,36.34,36.88,37.28,35.16,32.78,32.31,32.88,31.31,29.59,30.72,33.66,35.44,35.56,36.78,38.91,39.59,37.12,35.81,36.84,38.38,37.78,37.0,38.19,39.41,38.12,35.44,33.94,34.28,33.81,32.12,32.75,35.84,39.25,39.53,39.97,42.09,43.38,42.09,39.69,39.12,40.25,40.19,39.22,40.28,42.94,43.66,41.97,40.5,40.38,40.06,37.44,35.34,36.28,38.31,38.19,37.16,37.59,38.81,37.75,35.16,33.72,34.62,35.47,34.5,34.72,37.31,40.12,39.44,38.41,39.03,40.59,39.81,37.75,37.41,38.16,37.78,35.66,34.78,36.56,37.78,36.31,34.88,36.0,36.75,14.28,14.78,14.25,14.06,15.66,17.81,19.03,18.84,20.0,21.94,22.53,21.88,21.84,22.72:21.5,21.56,20.22,17.69,16.69,18.09,18.59,17.47,17.06,18.78,20.56,20.53,20.34,22.28,24.62,24.38,22.59,22.66,24.19,24.97,24.88,25.81,28.44,29.75,27.84,25.19,24.31,22.56,18.16,12.91,10.34,9.56,7.91,6.44,7.84,11.44,14.19,15.0,16.47,19.41,21.53,20.69,19.34,20.38,21.47,20.62,19.34,20.06,22.59,23.41,22.56,23.06,24.88,25.66,24.34,23.72,25.53,27.25,26.16,24.88,25.41,27.25,26.88,25.56,26.22,28.78,30.25,30.25,31.75,34.91,37.03,36.38,34.88,35.09,35.09,32.72,29.84,29.34,30.0,28.84,26.22,24.81,24.19,22.0,17.88,14.34,13.53,12.91,10.41,8.34,8.56,9.97,9.31,8.25,9.5,12.5,14.28,15.06,17.31,22.0,25.62,27.62,29.59,32.59,34.41,32.09,28.69,26.66,25.78,22.69,18.72,16.03,14.69,12.22,7.88,5.72,6.22,6.97,5.5,4.78,6.06,7.25,5.97,3.84,4.0,5.5,5.59,4.78,5.78,8.5,10.69,10.97,12.16,15.88,19.06,19.56,19.84,21.22,23.03,22.19,20.03,19.12,19.31,17.5,14.12,12.03,12.12,11.94,10.0,9.44,11.38,14.03,14.75,15.12,17.38,20.25,20.5,19.41,19.47,20.75,20.5,18.16,16.84,17.41,17.38,15.31,13.25,13.53,14.66,13.31,11.44,11.59,12.47,11.72,9.88,9.31,11.16,12.38,12.03,11.84,13.91,15.22,13.88,12.0,12.44,14.31,14.31,13.38,14.41,16.66,17.22,15.78,15.09,16.44,16.88,15.72,15.78,18.31,21.28,22.16,21.81,22.72,24.09,23.03,20.22,18.56,18.22,16.03,12.25,9.53,9.62,10.03,9.09,8.47,10.25,12.28,11.72,10.41,11.0,12.47,13.12,12.25,12.91,15.38,16.53,15.25,13.56,13.69,12.97,9.59,5.94,4.59,3.91,1.72,-1.53,-2.22,-1.31,-1.19,-2.09,-1.22,2.31,6.09,8.75,12.19,17.72,23.03,25.75,27.12,29.78,32.78,33.28,31.34,29.94,29.72,27.81,24.22,20.53,19.0,16.91,12.78,8.47,7.59,7.78,6.66,4.94,5.28,7.34,8.38,7.94,8.88,11.75,14.16,14.59,15.38,18.69,21.16,20.62,18.84,18.47,19.16,18.31,16.62,16.84,18.62,18.88,16.81,15.22,15.28,14.78,11.88,9.31,9.69,11.0,10.59,8.97,9.53,10.44,9.25,6.53,4.81,5.0,4.25,1.62,-0.03,1.16,2.22,1.22,0.53,3.06,6.47,8.28,9.25,11.81,15.12,16.69,15.81,15.66,16.94,17.56,15.5,13.38,13.97,14.41,13.03,10.88,11.25,13.03,13.38,12.91,14.66,17.78,19.62,19.0,18.97,20.75,21.97,20.91,19.59,20.41,21.66,19.91,17.88,17.62,18.5,18.12,16.0,15.28,16.75,17.25,15.84,14.94,16.47,17.81,16.72,15.28,16.44,18.62,19.03,18.28,19.84,23.12,24.78,25.12,26.03,28.56,30.12,28.94,28.34,30.16,32.28,31.62,30.19,30.44,31.66,30.5,28.16,27.41,28.28,28.03,25.91,25.0,26.5,28.09,27.34,26.22,27.88,29.88,29.56,28.66,29.91,32.5,33.41,32.5,32.56,33.84,34.06,31.44,28.91,28.41,27.66,24.16,20.59,19.72,20.53,19.44,17.44,17.12,18.38,18.22,16.53,16.78,20.06,23.25,24.31,25.41,28.5,31.78,31.69,31.03,32.31,34.62,34.75,33.19,32.88,33.75,33.16,30.25,28.28,29.09,30.06,28.56,27.59,28.75,30.25,29.78,28.31,28.66,30.62,30.88,29.31,29.38,31.53,33.03,32.44,32.16,33.72,34.78,32.84,30.47,30.25,31.25,30.22,28.56,28.56,30.16,30.34,28.44,27.19,28.06,28.72,27.06,25.78,27.03,28.62,28.22,26.84,27.16,28.94,28.5,26.69,26.31,28.56,30.25,29.69,29.97,31.91,33.44,32.12,30.56,31.66,33.69,33.22,31.88,32.09,33.53,32.88,30.28,29.19,30.31,31.0,30.0,29.81,32.34,35.16,35.06,34.59,35.97,38.19,38.19,36.72,36.75,38.66,38.59,36.5,34.94,35.69,36.12,34.16,32.47,33.28,35.25,34.66,33.19,33.34,34.59,33.38,31.22,30.31,31.75,32.59,31.41,30.41,32.44,34.59,33.69,32.72,34.06,36.16,36.12,35.44,36.91,39.75,40.34,38.91,38.25,39.53,40.06,38.34,37.06,38.81,40.78,40.19,39.22,40.16,41.66,40.59,38.22,37.41,38.34,37.66,35.41,34.06,35.16,35.81,34.34,32.81,34.34,36.84,37.12,36.78,37.66,38.81,37.56,34.03,31.72,32.41,32.81,31.94,32.16,35.16,37.81,37.5,36.03,36.53,37.69,36.44,34.5,34.19,36.16,36.38,34.78,33.88,34.97,35.41,33.28,31.44,32.66,34.28,34.16,33.66,35.59,38.34,38.91,36.94,35.81,36.31,35.59,33.31,32.59,34.25,34.97,32.88,30.09,29.84,30.09,28.97,27.34,28.34,31.0,32.38,32.16,33.41,36.62,38.72,38.12,37.53,39.34,40.25,38.38,35.91,35.72,36.56,36.19,35.25,36.53,39.97,41.38,40.44,39.97,40.44,39.56,36.31,33.16,32.91,33.38,31.97,30.62,31.94,34.62,35.81,35.31,36.41,38.66,39.84,38.44,37.88,39.75,41.28,40.5,39.38,40.41,41.16,39.38,35.91,34.66,34.94,34.41,33.06,33.44,35.97,37.72,36.91,36.28,38.62,40.62,40.19,38.91,40.19,40.91,39.91,37.94,38.16,40.22,41.56,41.38,41.94,44.66,46.62,45.56,44.75,46.25,47.88,47.09,45.19,45.62,46.84,45.91,43.5,42.56,42.75,41.59,38.19,35.38,35.03,34.81,32.72,30.94,32.16,34.38,35.0,34.38,35.66,37.94,39.03,38.12,38.41,40.28,41.41,39.69,37.94,38.44,38.88,37.25,34.88,34.88,35.47,33.97,31.25,30.59,31.62,32.12,31.25,31.06,32.84,34.41,33.12,31.97,33.09,34.5,33.38,32.41,33.25,35.44,36.53,36.0,36.53,38.84,39.81,38.28,37.47,38.62,40.19,39.62,39.41,41.53,44.72,45.69,45.03,45.28,45.81,44.84,41.75,40.09,40.69,41.78,40.62,39.78,41.12,42.69,41.81,40.5,40.44,41.38,40.12,37.28,36.56,38.09,39.06,38.56,39.0,41.31,42.94,41.62,40.41,42.09,44.44,44.72,44.72,46.06,48.12,48.59,47.38,46.78,48.25,49.0,47.5,47.12,48.47,49.97,48.72,46.56,46.19,46.72,45.53,43.34,43.09,44.12,43.78,42.0,41.75,43.59,45.97,45.91,45.84,47.16,48.38,46.47,43.31,41.69,41.44,39.97,38.16,38.06,39.97,40.94,39.41,38.22,38.81,39.19,37.22,35.16,34.81,35.59,34.25,32.25,32.66,34.78,35.91,35.91,37.5,41.22,43.94,44.19,43.75,44.69,45.62,43.59,41.38,41.56,42.56,41.84,40.12,39.44,40.06,39.72,37.5,36.5,38.06,39.72,39.47,39.31,40.41,41.5,39.78,37.25,36.22,37.16,36.84,35.78,36.28,38.66,40.28,39.47,38.75,39.97,40.97,39.53,37.91,38.53,39.69,38.59,36.25,35.19,35.47,34.53,32.12,30.62,32.31,33.47,32.78,32.25,33.84,35.75,35.28,34.44,34.88,36.19,35.66,33.41,32.41,34.09,35.25,35.06,35.5,38.72,41.62,42.25,42.69,45.66,48.88,49.38,48.78,48.88,49.19,47.88,44.81,42.38,42.56,41.94,39.06,36.34,36.06,35.97,34.31,32.38,33.53,35.81,36.44,36.03,36.94,39.81,41.16,40.66,40.47,42.34,43.34,42.09,41.47,43.12,45.12,44.78,43.41,43.66,45.0,44.66,43.25,42.72,43.75,43.22,40.47,37.56,37.56,37.53,36.06,34.66,35.84,38.0,38.19,37.03,37.59,39.97,40.94,40.38,40.72,43.16,44.5,43.59,42.44,43.44,44.12,42.75,40.25,39.75,39.75,38.31,35.66,35.06,36.56,37.19,35.81,35.09,36.41,37.38,36.0,34.69,35.88,37.62,37.56,36.16,36.81,38.5,38.56,37.03,37.34,39.72,41.38,40.88,40.41,42.03,43.44,42.69,41.0,41.69,42.66,40.91,37.84,36.34,36.44,35.94,34.41,34.34,36.81,39.31,39.16,39.03,41.0,43.06,42.44,40.66,40.34,39.94,37.91,33.94,31.84,32.03,32.09,30.91,31.38,34.09,36.78,36.88,35.94,36.75,38.06,37.31,35.91,37.53,40.16,41.78,41.66,41.88,43.62,44.41,42.19,40.5,41.59,42.69,41.69,40.38,40.75,42.12,41.69,39.53,39.25,40.16,39.75,37.44,36.34,36.88,37.28,35.16,32.78,32.31,32.88,31.31,29.59,30.72,33.66,35.44,35.56,36.78,38.91,39.59,37.12,35.81,36.84,38.38,37.78,37.0,38.19,39.41,38.12,35.44,33.94,34.28,33.81,32.12,32.75,35.84,39.25,39.53,39.97,42.09,43.38,42.09,39.69,39.12,40.25,40.19,39.22,40.28,42.94,43.66,41.97,40.5,40.38,40.06,37.44,35.34,36.28,38.31,38.19,37.16,37.59,38.81,37.75,35.16,33.72,34.62,35.47,34.5,34.72,37.31,40.12,39.44,38.41,39.03,40.59,39.81,37.75,37.41,38.16,37.78,35.66,34.78,36.56,37.78,36.31,34.88,36.0,36.75,14.28,14.78,14.25,14.06,15.66,17.81,19.03,18.84,20.0,21.94,22.53,21.88,21.84,22.72,23.0,21.59,20.34,21.09,22.25,22.12,21.41:17.47,17.06,18.78,20.56,20.53,20.34,22.28,24.62,24.38,22.59,22.66,24.19,24.97,24.88,25.81,28.44,29.75,27.84,25.19,24.31,22.56,18.16,12.91,10.34,9.56,7.91,6.44,7.84,11.44,14.19,15.0,16.47,19.41,21.53,20.69,19.34,20.38,21.47,20.62,19.34,20.06,22.59,23.41,22.56,23.06,24.88,25.66,24.34,23.72,25.53,27.25,26.16,24.88,25.41,27.25,26.88,25.56,26.22,28.78,30.25,30.25,31.75,34.91,37.03,36.38,34.88,35.09,35.09,32.72,29.84,29.34,30.0,28.84,26.22,24.81,24.19,22.0,17.88,14.34,13.53,12.91,10.41,8.34,8.56,9.97,9.31,8.25,9.5,12.5,14.28,15.06,17.31,22.0,25.62,27.62,29.59,32.59,34.41,32.09,28.69,26.66,25.78,22.69,18.72,16.03,14.69,12.22,7.88,5.72,6.22,6.97,5.5,4.78,6.06,7.25,5.97,3.84,4.0,5.5,5.59,4.78,5.78,8.5,10.69,10.97,12.16,15.88,19.06,19.56,19.84,21.22,23.03,22.19,20.03,19.12,19.31,17.5,14.12,12.03,12.12,11.94,10.0,9.44,11.38,14.03,14.75,15.12,17.38,20.25,20.5,19.41,19.47,20.75,20.5,18.16,16.84,17.41,17.38,15.31,13.25,13.53,14.66,13.31,11.44,11.59,12.47,11.72,9.88,9.31,11.16,12.38,12.03,11.84,13.91,15.22,13.88,12.0,12.44,14.31,14.31,13.38,14.41,16.66,17.22,15.78,15.09,16.44,16.88,15.72,15.78,18.31,21.28,22.16,21.81,22.72,24.09,23.03,20.22,18.56,18.22,16.03,12.25,9.53,9.62,10.03,9.09,8.47,10.25,12.28,11.72,10.41,11.0,12.47,13.12,12.25,12.91,15.38,16.53,15.25,13.56,13.69,12.97,9.59,5.94,4.59,3.91,1.72,-1.53,-2.22,-1.31,-1.19,-2.09,-1.22,2.31,6.09,8.75,12.19,17.72,23.03,25.75,27.12,29.78,32.78,33.28,31.34,29.94,29.72,27.81,24.22,20.53,19.0,16.91,12.78,8.47,7.59,7.78,6.66,4.94,5.28,7.34,8.38,7.94,8.88,11.75,14.16,14.59,15.38,18.69,21.16,20.62,18.84,18.47,19.16,18.31,16.62,16.84,18.62,18.88,16.81,15.22,15.28,14.78,11.88,9.31,9.69,11.0,10.59,8.97,9.53,10.44,9.25,6.53,4.81,5.0,4.25,1.62,-0.03,1.16,2.22,1.22,0.53,3.06,6.47,8.28,9.25,11.81,15.12,16.69,15.81,15.66,16.94,17.56,15.5,13.38,13.97,14.41,13.03,10.88,11.25,13.03,13.38,12.91,14.66,17.78,19.62,19.0,18.97,20.75,21.97,20.91,19.59,20.41,21.66,19.91,17.88,17.62,18.5,18.12,16.0,15.28,16.75,17.25,15.84,14.94,16.47,17.81,16.72,15.28,16.44,18.62,19.03,18.28,19.84,23.12,24.78,25.12,26.03,28.56,30.12,28.94,28.34,30.16,32.28,31.62,30.19,30.44,31.66,30.5,28.16,27.41,28.28,28.03,25.91,25.0,26.5,28.09,27.34,26.22,27.88,29.88,29.56,28.66,29.91,32.5,33.41,32.5,32.56,33.84,34.06,31.44,28.91,28.41,27.66,24.16,20.59,19.72,20.53,19.44,17.44,17.12,18.38,18.22,16.53,16.78,20.06,23.25,24.31,25.41,28.5,31.78,31.69,31.03,32.31,34.62,34.75,33.19,32.88,33.75,33.16,30.25,28.28,29.09,30.06,28.56,27.59,28.75,30.25,29.78,28.31,28.66,30.62,30.88,29.31,29.38,31.53,33.03,32.44,32.16,33.72,34.78,32.84,30.47,30.25,31.25,30.22,28.56,28.56,30.16,30.34,28.44,27.19,28.06,28.72,27.06,25.78,27.03,28.62,28.22,26.84,27.16,28.94,28.5,26.69,26.31,28.56,30.25,29.69,29.97,31.91,33.44,32.12,30.56,31.66,33.69,33.22,31.88,32.09,33.53,32.88,30.28,29.19,30.31,31.0,30.0,29.81,32.34,35.16,35.06,34.59,35.97,38.19,38.19,36.72,36.75,38.66,38.59,36.5,34.94,35.69,36.12,34.16,32.47,33.28,35.25,34.66,33.19,33.34,34.59,33.38,31.22,30.31,31.75,32.59,31.41,30.41,32.44,34.59,33.69,32.72,34.06,36.16,36.12,35.44,36.91,39.75,40.34,38.91,38.25,39.53,40.06,38.34,37.06,38.81,40.78,40.19,39.22,40.16,41.66,40.59,38.22,37.41,38.34,37.66,35.41,34.06,35.16,35.81,34.34,32.81,34.34,36.84,37.12,36.78,37.66,38.81,37.56,34.03,31.72,32.41,32.81,31.94,32.16,35.16,37.81,37.5,36.03,36.53,37.69,36.44,34.5,34.19,36.16,36.38,34.78,33.88,34.97,35.41,33.28,31.44,32.66,34.28,34.16,33.66,35.59,38.34,38.91,36.94,35.81,36.31,35.59,33.31,32.59,34.25,34.97,32.88,30.09,29.84,30.09,28.97,27.34,28.34,31.0,32.38,32.16,33.41,36.62,38.72,38.12,37.53,39.34,40.25,38.38,35.91,35.72,36.56,36.19,35.25,36.53,39.97,41.38,40.44,39.97,40.44,39.56,36.31,33.16,32.91,33.38,31.97,30.62,31.94,34.62,35.81,35.31,36.41,38.66,39.84,38.44,37.88,39.75,41.28,40.5,39.38,40.41,41.16,39.38,35.91,34.66,34.94,34.41,33.06,33.44,35.97,37.72,36.91,36.28,38.62,40.62,40.19,38.91,40.19,40.91,39.91,37.94,38.16,40.22,41.56,41.38,41.94,44.66,46.62,45.56,44.75,46.25,47.88,47.09,45.19,45.62,46.84,45.91,43.5,42.56,42.75,41.59,38.19,35.38,35.03,34.81,32.72,30.94,32.16,34.38,35.0,34.38,35.66,37.94,39.03,38.12,38.41,40.28,41.41,39.69,37.94,38.44,38.88,37.25,34.88,34.88,35.47,33.97,31.25,30.59,31.62,32.12,31.25,31.06,32.84,34.41,33.12,31.97,33.09,34.5,33.38,32.41,33.25,35.44,36.53,36.0,36.53,38.84,39.81,38.28,37.47,38.62,40.19,39.62,39.41,41.53,44.72,45.69,45.03,45.28,45.81,44.84,41.75,40.09,40.69,41.78,40.62,39.78,41.12,42.69,41.81,40.5,40.44,41.38,40.12,37.28,36.56,38.09,39.06,38.56,39.0,41.31,42.94,41.62,40.41,42.09,44.44,44.72,44.72,46.06,48.12,48.59,47.38,46.78,48.25,49.0,47.5,47.12,48.47,49.97,48.72,46.56,46.19,46.72,45.53,43.34,43.09,44.12,43.78,42.0,41.75,43.59,45.97,45.91,45.84,47.16,48.38,46.47,43.31,41.69,41.44,39.97,38.16,38.06,39.97,40.94,39.41,38.22,38.81,39.19,37.22,35.16,34.81,35.59,34.25,32.25,32.66,34.78,35.91,35.91,37.5,41.22,43.94,44.19,43.75,44.69,45.62,43.59,41.38,41.56,42.56,41.84,40.12,39.44,40.06,39.72,37.5,36.5,38.06,39.72,39.47,39.31,40.41,41.5,39.78,37.25,36.22,37.16,36.84,35.78,36.28,38.66,40.28,39.47,38.75,39.97,40.97,39.53,37.91,38.53,39.69,38.59,36.25,35.19,35.47,34.53,32.12,30.62,32.31,33.47,32.78,32.25,33.84,35.75,35.28,34.44,34.88,36.19,35.66,33.41,32.41,34.09,35.25,35.06,35.5,38.72,41.62,42.25,42.69,45.66,48.88,49.38,48.78,48.88,49.19,47.88,44.81,42.38,42.56,41.94,39.06,36.34,36.06,35.97,34.31,32.38,33.53,35.81,36.44,36.03,36.94,39.81,41.16,40.66,40.47,42.34,43.34,42.09,41.47,43.12,45.12,44.78,43.41,43.66,45.0,44.66,43.25,42.72,43.75,43.22,40.47,37.56,37.56,37.53,36.06,34.66,35.84,38.0,38.19,37.03,37.59,39.97,40.94,40.38,40.72,43.16,44.5,43.59,42.44,43.44,44.12,42.75,40.25,39.75,39.75,38.31,35.66,35.06,36.56,37.19,35.81,35.09,36.41,37.38,36.0,34.69,35.88,37.62,37.56,36.16,36.81,38.5,38.56,37.03,37.34,39.72,41.38,40.88,40.41,42.03,43.44,42.69,41.0,41.69,42.66,40.91,37.84,36.34,36.44,35.94,34.41,34.34,36.81,39.31,39.16,39.03,41.0,43.06,42.44,40.66,40.34,39.94,37.91,33.94,31.84,32.03,32.09,30.91,31.38,34.09,36.78,36.88,35.94,36.75,38.06,37.31,35.91,37.53,40.16,41.78,41.66,41.88,43.62,44.41,42.19,40.5,41.59,42.69,41.69,40.38,40.75,42.12,41.69,39.53,39.25,40.16,39.75,37.44,36.34,36.88,37.28,35.16,32.78,32.31,32.88,31.31,29.59,30.72,33.66,35.44,35.56,36.78,38.91,39.59,37.12,35.81,36.84,38.38,37.78,37.0,38.19,39.41,38.12,35.44,33.94,34.28,33.81,32.12,32.75,35.84,39.25,39.53,39.97,42.09,43.38,42.09,39.69,39.12,40.25,40.19,39.22,40.28,42.94,43.66,41.97,40.5,40.38,40.06,37.44,35.34,36.28,38.31,38.19,37.16,37.59,38.81,37.75,35.16,33.72,34.62,35.47,34.5,34.72,37.31,40.12,39.44,38.41,39.03,40.59,39.81,37.75,37.41,38.16,37.78,35.66,34.78,36.56,37.78,36.31,34.88,36.0,36.75,14.28,14.78,14.25,14.06,15.66,17.81,19.03,18.84,20.0,21.94,22.53,21.88,21.84,22.72,23.0,21.59,20.34,21.09,22.25,22.12,21.41,21.84,22.31,21.44,19.41,18.53,18.97,19.03:24.62,24.38,22.59,22.66,24.19,24.97,24.88,25.81,28.44,29.75,27.84,25.19,24.31,22.56,18.16,12.91,10.34,9.56,7.91,6.44,7.84,11.44,14.19,15.0,16.47,19.41,21.53,20.69,19.34,20.38,21.47,20.62,19.34,20.06,22.59,23.41,22.56,23.06,24.88,25.66,24.34,23.72,25.53,27.25,26.16,24.88,25.41,27.25,26.88,25.56,26.22,28.78,30.25,30.25,31.75,34.91,37.03,36.38,34.88,35.09,35.09,32.72,29.84,29.34,30.0,28.84,26.22,24.81,24.19,22.0,17.88,14.34,13.53,12.91,10.41,8.34,8.56,9.97,9.31,8.25,9.5,12.5,14.28,15.06,17.31,22.0,25.62,27.62,29.59,32.59,34.41,32.09,28.69,26.66,25.78,22.69,18.72,16.03,14.69,12.22,7.88,5.72,6.22,6.97,5.5,4.78,6.06,7.25,5.97,3.84,4.0,5.5,5.59,4.78,5.78,8.5,10.69,10.97,12.16,15.88,19.06,19.56,19.84,21.22,23.03,22.19,20.03,19.12,19.31,17.5,14.12,12.03,12.12,11.94,10.0,9.44,11.38,14.03,14.75,15.12,17.38,20.25,20.5,19.41,19.47,20.75,20.5,18.16,16.84,17.41,17.38,15.31,13.25,13.53,14.66,13.31,11.44,11.59,12.47,11.72,9.88,9.31,11.16,12.38,12.03,11.84,13.91,15.22,13.88,12.0,12.44,14.31,14.31,13.38,14.41,16.66,17.22,15.78,15.09,16.44,16.88,15.72,15.78,18.31,21.28,22.16,21.81,22.72,24.09,23.03,20.22,18.56,18.22,16.03,12.25,9.53,9.62,10.03,9.09,8.47,10.25,12.28,11.72,10.41,11.0,12.47,13.12,12.25,12.91,15.38,16.53,15.25,13.56,13.69,12.97,9.59,5.94,4.59,3.91,1.72,-1.53,-2.22,-1.31,-1.19,-2.09,-1.22,2.31,6.09,8.75,12.19,17.72,23.03,25.75,27.12,29.78,32.78,33.28,31.34,29.94,29.72,27.81,24.22,20.53,19.0,16.91,12.78,8.47,7.59,7.78,6.66,4.94,5.28,7.34,8.38,7.94,8.88,11.75,14.16,14.59,15.38,18.69,21.16,20.62,18.84,18.47,19.16,18.31,16.62,16.84,18.62,18.88,16.81,15.22,15.28,14.78,11.88,9.31,9.69,11.0,10.59,8.97,9.53,10.44,9.25,6.53,4.81,5.0,4.25,1.62,-0.03,1.16,2.22,1.22,0.53,3.06,6.47,8.28,9.25,11.81,15.12,16.69,15.81,15.66,16.94,17.56,15.5,13.38,13.97,14.41,13.03,10.88,11.25,13.03,13.38,12.91,14.66,17.78,19.62,19.0,18.97,20.75,21.97,20.91,19.59,20.41,21.66,19.91,17.88,17.62,18.5,18.12,16.0,15.28,16.75,17.25,15.84,14.94,16.47,17.81,16.72,15.28,16.44,18.62,19.03,18.28,19.84,23.12,24.78,25.12,26.03,28.56,30.12,28.94,28.34,30.16,32.28,31.62,30.19,30.44,31.66,30.5,28.16,27.41,28.28,28.03,25.91,25.0,26.5,28.09,27.34,26.22,27.88,29.88,29.56,28.66,29.91,32.5,33.41,32.5,32.56,33.84,34.06,31.44,28.91,28.41,27.66,24.16,20.59,19.72,20.53,19.44,17.44,17.12,18.38,18.22,16.53,16.78,20.06,23.25,24.31,25.41,28.5,31.78,31.69,31.03,32.31,34.62,34.75,33.19,32.88,33.75,33.16,30.25,28.28,29.09,30.06,28.56,27.59,28.75,30.25,29.78,28.31,28.66,30.62,30.88,29.31,29.38,31.53,33.03,32.44,32.16,33.72,34.78,32.84,30.47,30.25,31.25,30.22,28.56,28.56,30.16,30.34,28.44,27.19,28.06,28.72,27.06,25.78,27.03,28.62,28.22,26.84,27.16,28.94,28.5,26.69,26.31,28.56,30.25,29.69,29.97,31.91,33.44,32.12,30.56,31.66,33.69,33.22,31.88,32.09,33.53,32.88,30.28,29.19,30.31,31.0,30.0,29.81,32.34,35.16,35.06,34.59,35.97,38.19,38.19,36.72,36.75,38.66,38.59,36.5,34.94,35.69,36.12,34.16,32.47,33.28,35.25,34.66,33.19,33.34,34.59,33.38,31.22,30.31,31.75,32.59,31.41,30.41,32.44,34.59,33.69,32.72,34.06,36.16,36.12,35.44,36.91,39.75,40.34,38.91,38.25,39.53,40.06,38.34,37.06,38.81,40.78,40.19,39.22,40.16,41.66,40.59,38.22,37.41,38.34,37.66,35.41,34.06,35.16,35.81,34.34,32.81,34.34,36.84,37.12,36.78,37.66,38.81,37.56,34.03,31.72,32.41,32.81,31.94,32.16,35.16,37.81,37.5,36.03,36.53,37.69,36.44,34.5,34.19,36.16,36.38,34.78,33.88,34.97,35.41,33.28,31.44,32.66,34.28,34.16,33.66,35.59,38.34,38.91,36.94,35.81,36.31,35.59,33.31,32.59,34.25,34.97,32.88,30.09,29.84,30.09,28.97,27.34,28.34,31.0,32.38,32.16,33.41,36.62,38.72,38.12,37.53,39.34,40.25,38.38,35.91,35.72,36.56,36.19,35.25,36.53,39.97,41.38,40.44,39.97,40.44,39.56,36.31,33.16,32.91,33.38,31.97,30.62,31.94,34.62,35.81,35.31,36.41,38.66,39.84,38.44,37.88,39.75,41.28,40.5,39.38,40.41,41.16,39.38,35.91,34.66,34.94,34.41,33.06,33.44,35.97,37.72,36.91,36.28,38.62,40.62,40.19,38.91,40.19,40.91,39.91,37.94,38.16,40.22,41.56,41.38,41.94,44.66,46.62,45.56,44.75,46.25,47.88,47.09,45.19,45.62,46.84,45.91,43.5,42.56,42.75,41.59,38.19,35.38,35.03,34.81,32.72,30.94,32.16,34.38,35.0,34.38,35.66,37.94,39.03,38.12,38.41,40.28,41.41,39.69,37.94,38.44,38.88,37.25,34.88,34.88,35.47,33.97,31.25,30.59,31.62,32.12,31.25,31.06,32.84,34.41,33.12,31.97,33.09,34.5,33.38,32.41,33.25,35.44,36.53,36.0,36.53,38.84,39.81,38.28,37.47,38.62,40.19,39.62,39.41,41.53,44.72,45.69,45.03,45.28,45.81,44.84,41.75,40.09,40.69,41.78,40.62,39.78,41.12,42.69,41.81,40.5,40.44,41.38,40.12,37.28,36.56,38.09,39.06,38.56,39.0,41.31,42.94,41.62,40.41,42.09,44.44,44.72,44.72,46.06,48.12,48.59,47.38,46.78,48.25,49.0,47.5,47.12,48.47,49.97,48.72,46.56,46.19,46.72,45.53,43.34,43.09,44.12,43.78,42.0,41.75,43.59,45.97,45.91,45.84,47.16,48.38,46.47,43.31,41.69,41.44,39.97,38.16,38.06,39.97,40.94,39.41,38.22,38.81,39.19,37.22,35.16,34.81,35.59,34.25,32.25,32.66,34.78,35.91,35.91,37.5,41.22,43.94,44.19,43.75,44.69,45.62,43.59,41.38,41.56,42.56,41.84,40.12,39.44,40.06,39.72,37.5,36.5,38.06,39.72,39.47,39.31,40.41,41.5,39.78,37.25,36.22,37.16,36.84,35.78,36.28,38.66,40.28,39.47,38.75,39.97,40.97,39.53,37.91,38.53,39.69,38.59,36.25,35.19,35.47,34.53,32.12,30.62,32.31,33.47,32.78,32.25,33.84,35.75,35.28,34.44,34.88,36.19,35.66,33.41,32.41,34.09,35.25,35.06,35.5,38.72,41.62,42.25,42.69,45.66,48.88,49.38,48.78,48.88,49.19,47.88,44.81,42.38,42.56,41.94,39.06,36.34,36.06,35.97,34.31,32.38,33.53,35.81,36.44,36.03,36.94,39.81,41.16,40.66,40.47,42.34,43.34,42.09,41.47,43.12,45.12,44.78,43.41,43.66,45.0,44.66,43.25,42.72,43.75,43.22,40.47,37.56,37.56,37.53,36.06,34.66,35.84,38.0,38.19,37.03,37.59,39.97,40.94,40.38,40.72,43.16,44.5,43.59,42.44,43.44,44.12,42.75,40.25,39.75,39.75,38.31,35.66,35.06,36.56,37.19,35.81,35.09,36.41,37.38,36.0,34.69,35.88,37.62,37.56,36.16,36.81,38.5,38.56,37.03,37.34,39.72,41.38,40.88,40.41,42.03,43.44,42.69,41.0,41.69,42.66,40.91,37.84,36.34,36.44,35.94,34.41,34.34,36.81,39.31,39.16,39.03,41.0,43.06,42.44,40.66,40.34,39.94,37.91,33.94,31.84,32.03,32.09,30.91,31.38,34.09,36.78,36.88,35.94,36.75,38.06,37.31,35.91,37.53,40.16,41.78,41.66,41.88,43.62,44.41,42.19,40.5,41.59,42.69,41.69,40.38,40.75,42.12,41.69,39.53,39.25,40.16,39.75,37.44,36.34,36.88,37.28,35.16,32.78,32.31,32.88,31.31,29.59,30.72,33.66,35.44,35.56,36.78,38.91,39.59,37.12,35.81,36.84,38.38,37.78,37.0,38.19,39.41,38.12,35.44,33.94,34.28,33.81,32.12,32.75,35.84,39.25,39.53,39.97,42.09,43.38,42.09,39.69,39.12,40.25,40.19,39.22,40.28,42.94,43.66,41.97,40.5,40.38,40.06,37.44,35.34,36.28,38.31,38.19,37.16,37.59,38.81,37.75,35.16,33.72,34.62,35.47,34.5,34.72,37.31,40.12,39.44,38.41,39.03,40.59,39.81,37.75,37.41,38.16,37.78,35.66,34.78,36.56,37.78,36.31,34.88,36.0,36.75,14.28,14.78,14.25,14.06,15.66,17.81,19.03,18.84,20.0,21.94,22.53,21.88,21.84,22.72,23.0,21.59,20.34,21.09,22.25,22.12,21.41,21.84,22.31,21.44,19.41,18.53,18.97,19.03,17.44,16.84,17.78,18.75,18.75,18.97,20.78:25.81,28.44,29.75,27.84,25.19,24.31,22.56,18.16,12.91,10.34,9.56,7.91,6.44,7.84,11.44,14.19,15.0,16.47,19.41,21.53,20.69,19.34,20.38,21.47,20.62,19.34,20.06,22.59,23.41,22.56,23.06,24.88,25.66,24.34,23.72,25.53,27.25,26.16,24.88,25.41,27.25,26.88,25.56,26.22,28.78,30.25,30.25,31.75,34.91,37.03,36.38,34.88,35.09,35.09,32.72,29.84,29.34,30.0,28.84,26.22,24.81,24.19,22.0,17.88,14.34,13.53,12.91,10.41,8.34,8.56,9.97,9.31,8.25,9.5,12.5,14.28,15.06,17.31,22.0,25.62,27.62,29.59,32.59,34.41,32.09,28.69,26.66,25.78,22.69,18.72,16.03,14.69,12.22,7.88,5.72,6.22,6.97,5.5,4.78,6.06,7.25,5.97,3.84,4.0,5.5,5.59,4.78,5.78,8.5,10.69,10.97,12.16,15.88,19.06,19.56,19.84,21.22,23.03,22.19,20.03,19.12,19.31,17.5,14.12,12.03,12.12,11.94,10.0,9.44,11.38,14.03,14.75,15.12,17.38,20.25,20.5,19.41,19.47,20.75,20.5,18.16,16.84,17.41,17.38,15.31,13.25,13.53,14.66,13.31,11.44,11.59,12.47,11.72,9.88,9.31,11.16,12.38,12.03,11.84,13.91,15.22,13.88,12.0,12.44,14.31,14.31,13.38,14.41,16.66,17.22,15.78,15.09,16.44,16.88,15.72,15.78,18.31,21.28,22.16,21.81,22.72,24.09,23.03,20.22,18.56,18.22,16.03,12.25,9.53,9.62,10.03,9.09,8.47,10.25,12.28,11.72,10.41,11.0,12.47,13.12,12.25,12.91,15.38,16.53,15.25,13.56,13.69,12.97,9.59,5.94,4.59,3.91,1.72,-1.53,-2.22,-1.31,-1.19,-2.09,-1.22,2.31,6.09,8.75,12.19,17.72,23.03,25.75,27.12,29.78,32.78,33.28,31.34,29.94,29.72,27.81,24.22,20.53,19.0,16.91,12.78,8.47,7.59,7.78,6.66,4.94,5.28,7.34,8.38,7.94,8.88,11.75,14.16,14.59,15.38,18.69,21.16,20.62,18.84,18.47,19.16,18.31,16.62,16.84,18.62,18.88,16.81,15.22,15.28,14.78,11.88,9.31,9.69,11.0,10.59,8.97,9.53,10.44,9.25,6.53,4.81,5.0,4.25,1.62,-0.03,1.16,2.22,1.22,0.53,3.06,6.47,8.28,9.25,11.81,15.12,16.69,15.81,15.66,16.94,17.56,15.5,13.38,13.97,14.41,13.03,10.88,11.25,13.03,13.38,12.91,14.66,17.78,19.62,19.0,18.97,20.75,21.97,20.91,19.59,20.41,21.66,19.91,17.88,17.62,18.5,18.12,16.0,15.28,16.75,17.25,15.84,14.94,16.47,17.81,16.72,15.28,16.44,18.62,19.03,18.28,19.84,23.12,24.78,25.12,26.03,28.56,30.12,28.94,28.34,30.16,32.28,31.62,30.19,30.44,31.66,30.5,28.16,27.41,28.28,28.03,25.91,25.0,26.5,28.09,27.34,26.22,27.88,29.88,29.56,28.66,29.91,32.5,33.41,32.5,32.56,33.84,34.06,31.44,28.91,28.41,27.66,24.16,20.59,19.72,20.53,19.44,17.44,17.12,18.38,18.22,16.53,16.78,20.06,23.25,24.31,25.41,28.5,31.78,31.69,31.03,32.31,34.62,34.75,33.19,32.88,33.75,33.16,30.25,28.28,29.09,30.06,28.56,27.59,28.75,30.25,29.78,28.31,28.66,30.62,30.88,29.31,29.38,31.53,33.03,32.44,32.16,33.72,34.78,32.84,30.47,30.25,31.25,30.22,28.56,28.56,30.16,30.34,28.44,27.19,28.06,28.72,27.06,25.78,27.03,28.62,28.22,26.84,27.16,28.94,28.5,26.69,26.31,28.56,30.25,29.69,29.97,31.91,33.44,32.12,30.56,31.66,33.69,33.22,31.88,32.09,33.53,32.88,30.28,29.19,30.31,31.0,30.0,29.81,32.34,35.16,35.06,34.59,35.97,38.19,38.19,36.72,36.75,38.66,38.59,36.5,34.94,35.69,36.12,34.16,32.47,33.28,35.25,34.66,33.19,33.34,34.59,33.38,31.22,30.31,31.75,32.59,31.41,30.41,32.44,34.59,33.69,32.72,34.06,36.16,36.12,35.44,36.91,39.75,40.34,38.91,38.25,39.53,40.06,38.34,37.06,38.81,40.78,40.19,39.22,40.16,41.66,40.59,38.22,37.41,38.34,37.66,35.41,34.06,35.16,35.81,34.34,32.81,34.34,36.84,37.12,36.78,37.66,38.81,37.56,34.03,31.72,32.41,32.81,31.94,32.16,35.16,37.81,37.5,36.03,36.53,37.69,36.44,34.5,34.19,36.16,36.38,34.78,33.88,34.97,35.41,33.28,31.44,32.66,34.28,34.16,33.66,35.59,38.34,38.91,36.94,35.81,36.31,35.59,33.31,32.59,34.25,34.97,32.88,30.09,29.84,30.09,28.97,27.34,28.34,31.0,32.38,32.16,33.41,36.62,38.72,38.12,37.53,39.34,40.25,38.38,35.91,35.72,36.56,36.19,35.25,36.53,39.97,41.38,40.44,39.97,40.44,39.56,36.31,33.16,32.91,33.38,31.97,30.62,31.94,34.62,35.81,35.31,36.41,38.66,39.84,38.44,37.88,39.75,41.28,40.5,39.38,40.41,41.16,39.38,35.91,34.66,34.94,34.41,33.06,33.44,35.97,37.72,36.91,36.28,38.62,40.62,40.19,38.91,40.19,40.91,39.91,37.94,38.16,40.22,41.56,41.38,41.94,44.66,46.62,45.56,44.75,46.25,47.88,47.09,45.19,45.62,46.84,45.91,43.5,42.56,42.75,41.59,38.19,35.38,35.03,34.81,32.72,30.94,32.16,34.38,35.0,34.38,35.66,37.94,39.03,38.12,38.41,40.28,41.41,39.69,37.94,38.44,38.88,37.25,34.88,34.88,35.47,33.97,31.25,30.59,31.62,32.12,31.25,31.06,32.84,34.41,33.12,31.97,33.09,34.5,33.38,32.41,33.25,35.44,36.53,36.0,36.53,38.84,39.81,38.28,37.47,38.62,40.19,39.62,39.41,41.53,44.72,45.69,45.03,45.28,45.81,44.84,41.75,40.09,40.69,41.78,40.62,39.78,41.12,42.69,41.81,40.5,40.44,41.38,40.12,37.28,36.56,38.09,39.06,38.56,39.0,41.31,42.94,41.62,40.41,42.09,44.44,44.72,44.72,46.06,48.12,48.59,47.38,46.78,48.25,49.0,47.5,47.12,48.47,49.97,48.72,46.56,46.19,46.72,45.53,43.34,43.09,44.12,43.78,42.0,41.75,43.59,45.97,45.91,45.84,47.16,48.38,46.47,43.31,41.69,41.44,39.97,38.16,38.06,39.97,40.94,39.41,38.22,38.81,39.19,37.22,35.16,34.81,35.59,34.25,32.25,32.66,34.78,35.91,35.91,37.5,41.22,43.94,44.19,43.75,44.69,45.62,43.59,41.38,41.56,42.56,41.84,40.12,39.44,40.06,39.72,37.5,36.5,38.06,39.72,39.47,39.31,40.41,41.5,39.78,37.25,36.22,37.16,36.84,35.78,36.28,38.66,40.28,39.47,38.75,39.97,40.97,39.53,37.91,38.53,39.69,38.59,36.25,35.19,35.47,34.53,32.12,30.62,32.31,33.47,32.78,32.25,33.84,35.75,35.28,34.44,34.88,36.19,35.66,33.41,32.41,34.09,35.25,35.06,35.5,38.72,41.62,42.25,42.69,45.66,48.88,49.38,48.78,48.88,49.19,47.88,44.81,42.38,42.56,41.94,39.06,36.34,36.06,35.97,34.31,32.38,33.53,35.81,36.44,36.03,36.94,39.81,41.16,40.66,40.47,42.34,43.34,42.09,41.47,43.12,45.12,44.78,43.41,43.66,45.0,44.66,43.25,42.72,43.75,43.22,40.47,37.56,37.56,37.53,36.06,34.66,35.84,38.0,38.19,37.03,37.59,39.97,40.94,40.38,40.72,43.16,44.5,43.59,42.44,43.44,44.12,42.75,40.25,39.75,39.75,38.31,35.66,35.06,36.56,37.19,35.81,35.09,36.41,37.38,36.0,34.69,35.88,37.62,37.56,36.16,36.81,38.5,38.56,37.03,37.34,39.72,41.38,40.88,40.41,42.03,43.44,42.69,41.0,41.69,42.66,40.91,37.84,36.34,36.44,35.94,34.41,34.34,36.81,39.31,39.16,39.03,41.0,43.06,42.44,40.66,40.34,39.94,37.91,33.94,31.84,32.03,32.09,30.91,31.38,34.09,36.78,36.88,35.94,36.75,38.06,37.31,35.91,37.53,40.16,41.78,41.66,41.88,43.62,44.41,42.19,40.5,41.59,42.69,41.69,40.38,40.75,42.12,41.69,39.53,39.25,40.16,39.75,37.44,36.34,36.88,37.28,35.16,32.78,32.31,32.88,31.31,29.59,30.72,33.66,35.44,35.56,36.78,38.91,39.59,37.12,35.81,36.84,38.38,37.78,37.0,38.19,39.41,38.12,35.44,33.94,34.28,33.81,32.12,32.75,35.84,39.25,39.53,39.97,42.09,43.38,42.09,39.69,39.12,40.25,40.19,39.22,40.28,42.94,43.66,41.97,40.5,40.38,40.06,37.44,35.34,36.28,38.31,38.19,37.16,37.59,38.81,37.75,35.16,33.72,34.62,35.47,34.5,34.72,37.31,40.12,39.44,38.41,39.03,40.59,39.81,37.75,37.41,38.16,37.78,35.66,34.78,36.56,37.78,36.31,34.88,36.0,36.75,14.28,14.78,14.25,14.06,15.66,17.81,19.03,18.84,20.0,21.94,22.53,21.88,21.84,22.72,23.0,21.59,20.34,21.09,22.25,22.12,21.41,21.84,22.31,21.44,19.41,18.53,18.97,19.03,17.44,16.84,17.78,18.75,18.75,18.97,20.78,22.62,22.5,21.28,21.34,22.12,22.44,22.34:positivity
24.88,25.53,26.34,25.94,25.75,27.03,28.12,27.25,25.16,24.31,23.69,21.78,19.16,17.88,18.0,17.66,16.06,15.22,15.78,16.16,15.41,14.38,14.88,16.25,15.97,15.72,17.25,19.59,21.38,21.62,22.78,24.84,26.34,25.75,25.69,26.62,26.97,25.41,23.12,21.62,20.31,17.81,14.81,13.78,14.09,13.84,12.22,11.91,12.66,13.62,13.59,14.16,16.19,17.72,17.09,15.75,15.66,15.94,15.34,13.84,14.09,15.38,16.16,15.78,16.25,17.97,19.19,18.62,18.03,18.75,19.03,17.47,15.03,13.88,13.44,12.41,11.03,11.47,13.62,15.5,15.94,17.31,19.75,21.91,22.47,22.97,24.81,27.25,28.0,27.44,28.03,28.34,27.0,24.53,23.19,23.34,23.78,23.0,23.0,24.41,25.16,24.41,23.38,24.31,25.84,26.09,25.78,26.28,27.25,26.25,23.5,21.41,20.94,20.44,19.06,18.91,20.34,21.94,21.94,22.25,23.81,25.66,26.34,25.91,26.84,28.53,29.41,29.44,30.38,33.06,35.09,35.0,34.94,35.94,36.81,35.94,35.22,35.94,38.0,38.16,37.09,36.59,36.19,34.31,30.72,27.69,26.66,25.72,23.56,21.78,21.69,22.69,22.44,22.22,24.19,27.19,29.03,29.84,31.06,32.75,33.31,31.53,29.94,29.25,28.34,25.25,22.62,21.09,20.38,18.44,16.44,16.06,16.84,17.03,16.03,15.84,17.0,17.81,17.25,17.62,19.75,22.28,23.41,24.53,26.69,29.34,29.62,29.28,29.41,30.25,29.97,28.72,27.75,27.38,26.19,23.12,19.91,18.09,16.88,14.88,13.41,14.16,16.72,17.88,18.66,20.62,22.91,23.94,24.22,25.41,28.12,30.69,31.22,31.66,32.97,33.66,32.28,30.62,30.38,31.0,30.12,28.41,26.56,25.53,23.03,19.25,16.78,16.28,16.62,16.0,15.66,17.62,20.72,22.06,23.59,26.31,29.56,31.12,31.38,32.5,34.09,35.09,34.06,33.31,33.44,33.34,31.12,28.94,28.06,28.41,27.03,25.5,25.5,26.69,26.94,26.59,27.5,29.94,31.69,31.72,31.81,32.91,34.25,33.56,32.19,32.12,32.44,30.84,28.59,27.06,26.44,24.56,22.09,20.72,21.81,23.28,24.25,26.25,29.97,33.91,35.75,36.69,37.75,38.78,37.75,35.12,33.0,32.0,30.41,28.25,27.25,28.31,29.69,29.06,28.31,28.47,28.88,27.22,25.22,24.69,24.75,23.75,22.09,21.31,21.62,20.94,19.47,18.25,18.81,19.53,18.59,17.88,18.78,20.44,21.31,22.38,25.34,29.5,32.47,34.0,35.56,37.78,38.28,36.72,35.47,35.62,35.56,34.09,32.84,32.94,33.88,33.75,33.22,33.94,35.41,35.44,34.41,33.91,35.28,36.31,36.47,36.88,38.59,39.94,39.28,37.78,37.91,38.44,37.72,36.06,35.81,36.66,36.66,35.81,35.31,36.0,35.34,33.03,30.38,29.66,28.91,26.81,24.44,23.5,23.16,21.72,19.69,18.38,18.62,18.22,16.56,15.75,17.16,18.5,18.16,17.59,18.69,20.34,20.44,20.66,22.69,25.38,27.16,27.53,28.12,29.66,30.28,29.62,29.31,30.5,31.66,30.75,29.22,29.09,29.03,27.69,26.0,25.06,26.0,25.72,25.0,25.16,26.94,28.16,27.53,26.97,27.72,28.34,27.72,26.53,26.81,27.31,25.91,23.97,23.47,24.84,26.28,27.38,28.94,31.91,33.94,33.66,32.56,33.06,32.91,31.25,29.38,29.25,29.5,28.84,27.44,27.75,29.25,30.47,30.47,30.75,32.31,33.38,32.5,32.31,33.72,35.0,35.19,34.78,35.53,36.88,36.81,35.03,34.03,33.78,32.44,30.62,29.22,29.91,31.0,30.31,29.97,31.25,32.34,32.25,31.59,31.72,32.72,32.59,31.06,30.59,31.75,32.56,32.5,32.62,34.03,34.72,33.81,31.81,31.12,30.66,29.38,27.25,26.69,27.0,26.84,25.59,25.19,26.03,26.16,24.91,23.38,23.44,23.53,21.91,20.59,21.47,23.5,24.97,26.09,28.22,31.0,32.31,31.72,31.25,32.16,32.59,31.88,31.56,33.25,35.38,36.09,35.84,36.66,37.47,36.44,33.81,32.12,31.34,30.09,27.69,25.94,25.88,25.25,23.72,22.22,22.78,23.78,23.47,22.97,23.66,25.31,26.56,26.62,28.06,30.0,31.28,30.53,30.03,30.81,31.16,29.94,28.41,28.28,28.44,26.81,24.5,23.16,22.12,20.47,17.62,16.19,16.56,17.5,17.78,19.12,22.5,25.47,26.75,26.81,27.66,28.06,27.16,25.91,26.28,27.78,28.88,28.69,29.38,30.94,31.97,31.62,30.75,30.97,30.75,28.75,26.22,25.0,24.16,21.97,19.19,18.03,18.47,19.16,19.25,20.34,22.81,25.22,25.81,26.72,28.94,31.22,31.62,30.72,29.94,29.06,26.5,23.03,20.5,19.56,19.03,17.81,17.41,18.88,20.53,20.53,20.59,21.72,23.34,24.0,23.97,24.94,26.59,27.28,26.75,26.84,27.84,28.03,26.91,25.22,24.44,23.81,21.41,18.81,17.59,16.84,15.12,12.94,12.16,12.81,13.34,13.41,14.47,16.84,19.03,20.25,21.47,23.75,26.06,26.06,25.09,24.47,23.91,21.91,19.5,18.31,18.62,18.72,18.44,18.88,20.66,21.94,21.19,20.31,20.09,20.06,18.53,16.88,17.03,18.38,18.84,18.81,19.53,21.09,21.72,20.88,20.38,21.31,22.59,22.19,21.91,23.12,24.41,23.91,22.75,22.31,22.34,21.19,19.22,18.09,18.0,17.59,16.03,14.38,14.31,14.75,13.81,13.12,14.34,16.41,16.72,16.44,17.31,18.81,19.88,19.38,19.47,19.94,19.81,17.75,15.78,15.5,15.66,14.34,13.31,13.69,15.25,16.06,16.59,18.03,20.38,21.59,21.72,22.19,23.53,24.81,24.47,23.97,24.28,25.06,24.22,23.19,23.22,24.75,25.53,25.84,26.72,28.34,29.16,28.22,27.59,28.25,28.78,27.53,25.88,24.78,24.22,22.94,21.84,22.94,25.94,28.56,30.28,31.84,33.94,34.56,33.28,32.25,32.91,34.03,34.56,35.0,36.47,38.09,38.19,36.78,36.25,36.75,36.16,34.81,33.78,33.56,32.59,29.75,26.81,25.25,24.25,22.19,20.25,19.97,20.78,20.69,20.12,20.34,21.22,21.62,20.78,20.5,21.97,23.16,23.25,22.91,23.97,24.91,24.16,22.91,22.53,22.81,21.81,20.25,19.88,20.84,20.84,19.94,19.25,19.56,19.84,18.59,17.41,17.72,18.38,17.38,16.38,16.22,17.44,18.25,17.97,18.62,20.56,21.59,21.09,20.66,21.72,22.62,22.25,22.19,23.56,25.59,25.81,24.78,24.06,23.56,21.41,18.53,16.84,17.06,17.69,17.56,18.25,20.28,22.19,22.38,21.62,21.56,21.41,19.47,16.66,14.72,14.28,14.0,13.38,13.91,16.22,18.41,19.34,20.25,23.44,26.78,28.56,29.94,31.47,33.03,32.34,30.47,28.53,27.91,26.66,23.81,21.28,20.25,19.06,17.75,17.38,19.5,22.5,24.88,26.0,27.75,30.03,30.81,30.44,30.31,31.0,30.62,29.0,27.66,28.38,29.53,29.56,29.47,30.22,31.16,30.19,28.53,27.56,27.44,26.41,24.94,24.12,24.28,23.56,21.69,19.75,19.59,20.19,20.12,19.91,21.62,23.44,23.97,23.91,24.78,26.31,26.69,25.5,24.66,24.91,24.41,23.06,21.78,22.31,23.41,22.91,22.06,22.22,22.84,21.81,20.0,19.0,18.5,17.16,14.38,12.06,11.66,11.88,11.47,11.69,13.72,16.03,17.0,17.62,19.56,22.25,23.5,24.12,25.38,27.59,28.72,27.88,26.84,27.44,27.09,25.78,24.38,24.62,25.06,24.31,22.94,22.59,22.88,21.84,20.0,18.47,18.75,18.62,17.53,16.88,17.81,18.56,18.09,17.28,17.81,18.41,17.75,16.59,16.88,18.59,20.03,21.16,22.75,25.22,27.22,27.34,26.81,27.78,28.72,28.38,27.03,27.22,27.75,26.62,24.66,23.81,24.12,23.88,22.78,22.09,22.69,22.69,21.19,19.41,19.75,20.5,20.44,20.5,21.91,24.31,25.28,24.72,24.94,25.91,26.09,25.0,24.81,25.97,26.5,25.12,23.84,24.03,24.31,23.94,23.22,23.75,24.34,23.41,21.09,19.62,19.22,18.47,16.69,15.19,15.25,15.53,14.41,13.44,13.72,14.66,14.44,13.53,15.0,17.16,18.81,19.47,20.5,22.38,24.09,24.19,24.66,26.53,28.06,27.47,25.22,24.56,23.34,20.44,16.66,14.06,12.66,10.97,8.59,7.62,8.53,9.25,9.0,9.25,11.03,13.38,13.88,13.75,14.88,15.72,15.69,14.41,14.5,15.78,16.66,16.56,17.66,20.28,22.41,22.44,21.81,21.88,21.59,19.84,17.47,16.88,16.59,15.94,13.75,13.16,13.81,13.5,12.16,11.47,12.19,13.44,13.28,13.28,15.34,17.44,18.97,19.69,21.91,24.56,26.72,27.47,28.94,30.84,31.78,29.94,27.41,25.38,23.22,19.62,16.12,14.47,13.81,12.22,10.34,9.81,10.41,10.72,9.78,9.38,10.44,11.25,10.56,10.5,12.22,14.53,15.06,15.5,16.78,18.09,18.12,16.91,16.84,17.12,16.47,13.91,11.47,10.25,9.44,7.38,6.56,8.16,10.53,11.88,12.59,14.28,15.72,15.5,13.62,12.47,12.25,11.75,9.66,8.44,8.94,9.34,8.53,7.81,9.12,10.44,10.06,8.69:27.25,25.16,24.31,23.69,21.78,19.16,17.88,18.0,17.66,16.06,15.22,15.78,16.16,15.41,14.38,14.88,16.25,15.97,15.72,17.25,19.59,21.38,21.62,22.78,24.84,26.34,25.75,25.69,26.62,26.97,25.41,23.12,21.62,20.31,17.81,14.81,13.78,14.09,13.84,12.22,11.91,12.66,13.62,13.59,14.16,16.19,17.72,17.09,15.75,15.66,15.94,15.34,13.84,14.09,15.38,16.16,15.78,16.25,17.97,19.19,18.62,18.03,18.75,19.03,17.47,15.03,13.88,13.44,12.41,11.03,11.47,13.62,15.5,15.94,17.31,19.75,21.91,22.47,22.97,24.81,27.25,28.0,27.44,28.03,28.34,27.0,24.53,23.19,23.34,23.78,23.0,23.0,24.41,25.16,24.41,23.38,24.31,25.84,26.09,25.78,26.28,27.25,26.25,23.5,21.41,20.94,20.44,19.06,18.91,20.34,21.94,21.94,22.25,23.81,25.66,26.34,25.91,26.84,28.53,29.41,29.44,30.38,33.06,35.09,35.0,34.94,35.94,36.81,35.94,35.22,35.94,38.0,38.16,37.09,36.59,36.19,34.31,30.72,27.69,26.66,25.72,23.56,21.78,21.69,22.69,22.44,22.22,24.19,27.19,29.03,29.84,31.06,32.75,33.31,31.53,29.94,29.25,28.34,25.25,22.62,21.09,20.38,18.44,16.44,16.06,16.84,17.03,16.03,15.84,17.0,17.81,17.25,17.62,19.75,22.28,23.41,24.53,26.69,29.34,29.62,29.28,29.41,30.25,29.97,28.72,27.75,27.38,26.19,23.12,19.91,18.09,16.88,14.88,13.41,14.16,16.72,17.88,18.66,20.62,22.91,23.94,24.22,25.41,28.12,30.69,31.22,31.66,32.97,33.66,32.28,30.62,30.38,31.0,30.12,28.41,26.56,25.53,23.03,19.25,16.78,16.28,16.62,16.0,15.66,17.62,20.72,22.06,23.59,26.31,29.56,31.12,31.38,32.5,34.09,35.09,34.06,33.31,33.44,33.34,31.12,28.94,28.06,28.41,27.03,25.5,25.5,26.69,26.94,26.59,27.5,29.94,31.69,31.72,31.81,32.91,34.25,33.56,32.19,32.12,32.44,30.84,28.59,27.06,26.44,24.56,22.09,20.72,21.81,23.28,24.25,26.25,29.97,33.91,35.75,36.69,37.75,38.78,37.75,35.12,33.0,32.0,30.41,28.25,27.25,28.31,29.69,29.06,28.31,28.47,28.88,27.22,25.22,24.69,24.75,23.75,22.09,21.31,21.62,20.94,19.47,18.25,18.81,19.53,18.59,17.88,18.78,20.44,21.31,22.38,25.34,29.5,32.47,34.0,35.56,37.78,38.28,36.72,35.47,35.62,35.56,34.09,32.84,32.94,33.88,33.75,33.22,33.94,35.41,35.44,34.41,33.91,35.28,36.31,36.47,36.88,38.59,39.94,39.28,37.78,37.91,38.44,37.72,36.06,35.81,36.66,36.66,35.81,35.31,36.0,35.34,33.03,30.38,29.66,28.91,26.81,24.44,23.5,23.16,21.72,19.69,18.38,18.62,18.22,16.56,15.75,17.16,18.5,18.16,17.59,18.69,20.34,20.44,20.66,22.69,25.38,27.16,27.53,28.12,29.66,30.28,29.62,29.31,30.5,31.66,30.75,29.22,29.09,29.03,27.69,26.0,25.06,26.0,25.72,25.0,25.16,26.94,28.16,27.53,26.97,27.72,28.34,27.72,26.53,26.81,27.31,25.91,23.97,23.47,24.84,26.28,27.38,28.94,31.91,33.94,33.66,32.56,33.06,32.91,31.25,29.38,29.25,29.5,28.84,27.44,27.75,29.25,30.47,30.47,30.75,32.31,33.38,32.5,32.31,33.72,35.0,35.19,34.78,35.53,36.88,36.81,35.03,34.03,33.78,32.44,30.62,29.22,29.91,31.0,30.31,29.97,31.25,32.34,32.25,31.59,31.72,32.72,32.59,31.06,30.59,31.75,32.56,32.5,32.62,34.03,34.72,33.81,31.81,31.12,30.66,29.38,27.25,26.69,27.0,26.84,25.59,25.19,26.03,26.16,24.91,23.38,23.44,23.53,21.91,20.59,21.47,23.5,24.97,26.09,28.22,31.0,32.31,31.72,31.25,32.16,32.59,31.88,31.56,33.25,35.38,36.09,35.84,36.66,37.47,36.44,33.81,32.12,31.34,30.09,27.69,25.94,25.88,25.25,23.72,22.22,22.78,23.78,23.47,22.97,23.66,25.31,26.56,26.62,28.06,30.0,31.28,30.53,30.03,30.81,31.16,29.94,28.41,28.28,28.44,26.81,24.5,23.16,22.12,20.47,17.62,16.19,16.56,17.5,17.78,19.12,22.5,25.47,26.75,26.81,27.66,28.06,27.16,25.91,26.28,27.78,28.88,28.69,29.38,30.94,31.97,31.62,30.75,30.97,30.75,28.75,26.22,25.0,24.16,21.97,19.19,18.03,18.47,19.16,19.25,20.34,22.81,25.22,25.81,26.72,28.94,31.22,31.62,30.72,29.94,29.06,26.5,23.03,20.5,19.56,19.03,17.81,17.41,18.88,20.53,20.53,20.59,21.72,23.34,24.0,23.97,24.94,26.59,27.28,26.75,26.84,27.84,28.03,26.91,25.22,24.44,23.81,21.41,18.81,17.59,16.84,15.12,12.94,12.16,12.81,13.34,13.41,14.47,16.84,19.03,20.25,21.47,23.75,26.06,26.06,25.09,24.47,23.91,21.91,19.5,18.31,18.62,18.72,18.44,18.88,20.66,21.94,21.19,20.31,20.09,20.06,18.53,16.88,17.03,18.38,18.84,18.81,19.53,21.09,21.72,20.88,20.38,21.31,22.59,22.19,21.91,23.12,24.41,23.91,22.75,22.31,22.34,21.19,19.22,18.09,18.0,17.59,16.03,14.38,14.31,14.75,13.81,13.12,14.34,16.41,16.72,16.44,17.31,18.81,19.88,19.38,19.47,19.94,19.81,17.75,15.78,15.5,15.66,14.34,13.31,13.69,15.25,16.06,16.59,18.03,20.38,21.59,21.72,22.19,23.53,24.81,24.47,23.97,24.28,25.06,24.22,23.19,23.22,24.75,25.53,25.84,26.72,28.34,29.16,28.22,27.59,28.25,28.78,27.53,25.88,24.78,24.22,22.94,21.84,22.94,25.94,28.56,30.28,31.84,33.94,34.56,33.28,32.25,32.91,34.03,34.56,35.0,36.47,38.09,38.19,36.78,36.25,36.75,36.16,34.81,33.78,33.56,32.59,29.75,26.81,25.25,24.25,22.19,20.25,19.97,20.78,20.69,20.12,20.34,21.22,21.62,20.78,20.5,21.97,23.16,23.25,22.91,23.97,24.91,24.16,22.91,22.53,22.81,21.81,20.25,19.88,20.84,20.84,19.94,19.25,19.56,19.84,18.59,17.41,17.72,18.38,17.38,16.38,16.22,17.44,18.25,17.97,18.62,20.56,21.59,21.09,20.66,21.72,22.62,22.25,22.19,23.56,25.59,25.81,24.78,24.06,23.56,21.41,18.53,16.84,17.06,17.69,17.56,18.25,20.28,22.19,22.38,21.62,21.56,21.41,19.47,16.66,14.72,14.28,14.0,13.38,13.91,16.22,18.41,19.34,20.25,23.44,26.78,28.56,29.94,31.47,33.03,32.34,30.47,28.53,27.91,26.66,23.81,21.28,20.25,19.06,17.75,17.38,19.5,22.5,24.88,26.0,27.75,30.03,30.81,30.44,30.31,31.0,30.62,29.0,27.66,28.38,29.53,29.56,29.47,30.22,31.16,30.19,28.53,27.56,27.44,26.41,24.94,24.12,24.28,23.56,21.69,19.75,19.59,20.19,20.12,19.91,21.62,23.44,23.97,23.91,24.78,26.31,26.69,25.5,24.66,24.91,24.41,23.06,21.78,22.31,23.41,22.91,22.06,22.22,22.84,21.81,20.0,19.0,18.5,17.16,14.38,12.06,11.66,11.88,11.47,11.69,13.72,16.03,17.0,17.62,19.56,22.25,23.5,24.12,25.38,27.59,28.72,27.88,26.84,27.44,27.09,25.78,24.38,24.62,25.06,24.31,22.94,22.59,22.88,21.84,20.0,18.47,18.75,18.62,17.53,16.88,17.81,18.56,18.09,17.28,17.81,18.41,17.75,16.59,16.88,18.59,20.03,21.16,22.75,25.22,27.22,27.34,26.81,27.78,28.72,28.38,27.03,27.22,27.75,26.62,24.66,23.81,24.12,23.88,22.78,22.09,22.69,22.69,21.19,19.41,19.75,20.5,20.44,20.5,21.91,24.31,25.28,24.72,24.94,25.91,26.09,25.0,24.81,25.97,26.5,25.12,23.84,24.03,24.31,23.94,23.22,23.75,24.34,23.41,21.09,19.62,19.22,18.47,16.69,15.19,15.25,15.53,14.41,13.44,13.72,14.66,14.44,13.53,15.0,17.16,18.81,19.47,20.5,22.38,24.09,24.19,24.66,26.53,28.06,27.47,25.22,24.56,23.34,20.44,16.66,14.06,12.66,10.97,8.59,7.62,8.53,9.25,9.0,9.25,11.03,13.38,13.88,13.75,14.88,15.72,15.69,14.41,14.5,15.78,16.66,16.56,17.66,20.28,22.41,22.44,21.81,21.88,21.59,19.84,17.47,16.88,16.59,15.94,13.75,13.16,13.81,13.5,12.16,11.47,12.19,13.44,13.28,13.28,15.34,17.44,18.97,19.69,21.91,24.56,26.72,27.47,28.94,30.84,31.78,29.94,27.41,25.38,23.22,19.62,16.12,14.47,13.81,12.22,10.34,9.81,10.41,10.72,9.78,9.38,10.44,11.25,10.56,10.5,12.22,14.53,15.06,15.5,16.78,18.09,18.12,16.91,16.84,17.12,16.47,13.91,11.47,10.25,9.44,7.38,6.56,8.16,10.53,11.88,12.59,14.28,15.72,15.5,13.62,12.47,12.25,11.75,9.66,8.44,8.94,9.34,8.53,7.81,9.12,10.44,10.06,8.69,76.34,75.5,75.22,75.22,75.12,74.44,74.09:18.0,17.66,16.06,15.22,15.78,16.16,15.41,14.38,14.88,16.25,15.97,15.72,17.25,19.59,21.38,21.62,22.78,24.84,26.34,25.75,25.69,26.62,26.97,25.41,23.12,21.62,20.31,17.81,14.81,13.78,14.09,13.84,12.22,11.91,12.66,13.62,13.59,14.16,16.19,17.72,17.09,15.75,15.66,15.94,15.34,13.84,14.09,15.38,16.16,15.78,16.25,17.97,19.19,18.62,18.03,18.75,19.03,17.47,15.03,13.88,13.44,12.41,11.03,11.47,13.62,15.5,15.94,17.31,19.75,21.91,22.47,22.97,24.81,27.25,28.0,27.44,28.03,28.34,27.0,24.53,23.19,23.34,23.78,23.0,23.0,24.41,25.16,24.41,23.38,24.31,25.84,26.09,25.78,26.28,27.25,26.25,23.5,21.41,20.94,20.44,19.06,18.91,20.34,21.94,21.94,22.25,23.81,25.66,26.34,25.91,26.84,28.53,29.41,29.44,30.38,33.06,35.09,35.0,34.94,35.94,36.81,35.94,35.22,35.94,38.0,38.16,37.09,36.59,36.19,34.31,30.72,27.69,26.66,25.72,23.56,21.78,21.69,22.69,22.44,22.22,24.19,27.19,29.03,29.84,31.06,32.75,33.31,31.53,29.94,29.25,28.34,25.25,22.62,21.09,20.38,18.44,16.44,16.06,16.84,17.03,16.03,15.84,17.0,17.81,17.25,17.62,19.75,22.28,23.41,24.53,26.69,29.34,29.62,29.28,29.41,30.25,29.97,28.72,27.75,27.38,26.19,23.12,19.91,18.09,16.88,14.88,13.41,14.16,16.72,17.88,18.66,20.62,22.91,23.94,24.22,25.41,28.12,30.69,31.22,31.66,32.97,33.66,32.28,30.62,30.38,31.0,30.12,28.41,26.56,25.53,23.03,19.25,16.78,16.28,16.62,16.0,15.66,17.62,20.72,22.06,23.59,26.31,29.56,31.12,31.38,32.5,34.09,35.09,34.06,33.31,33.44,33.34,31.12,28.94,28.06,28.41,27.03,25.5,25.5,26.69,26.94,26.59,27.5,29.94,31.69,31.72,31.81,32.91,34.25,33.56,32.19,32.12,32.44,30.84,28.59,27.06,26.44,24.56,22.09,20.72,21.81,23.28,24.25,26.25,29.97,33.91,35.75,36.69,37.75,38.78,37.75,35.12,33.0,32.0,30.41,28.25,27.25,28.31,29.69,29.06,28.31,28.47,28.88,27.22,25.22,24.69,24.75,23.75,22.09,21.31,21.62,20.94,19.47,18.25,18.81,19.53,18.59,17.88,18.78,20.44,21.31,22.38,25.34,29.5,32.47,34.0,35.56,37.78,38.28,36.72,35.47,35.62,35.56,34.09,32.84,32.94,33.88,33.75,33.22,33.94,35.41,35.44,34.41,33.91,35.28,36.31,36.47,36.88,38.59,39.94,39.28,37.78,37.91,38.44,37.72,36.06,35.81,36.66,36.66,35.81,35.31,36.0,35.34,33.03,30.38,29.66,28.91,26.81,24.44,23.5,23.16,21.72,19.69,18.38,18.62,18.22,16.56,15.75,17.16,18.5,18.16,17.59,18.69,20.34,20.44,20.66,22.69,25.38,27.16,27.53,28.12,29.66,30.28,29.62,29.31,30.5,31.66,30.75,29.22,29.09,29.03,27.69,26.0,25.06,26.0,25.72,25.0,25.16,26.94,28.16,27.53,26.97,27.72,28.34,27.72,26.53,26.81,27.31,25.91,23.97,23.47,24.84,26.28,27.38,28.94,31.91,33.94,33.66,32.56,33.06,32.91,31.25,29.38,29.25,29.5,28.84,27.44,27.75,29.25,30.47,30.47,30.75,32.31,33.38,32.5,32.31,33.72,35.0,35.19,34.78,35.53,36.88,36.81,35.03,34.03,33.78,32.44,30.62,29.22,29.91,31.0,30.31,29.97,31.25,32.34,32.25,31.59,31.72,32.72,32.59,31.06,30.59,31.75,32.56,32.5,32.62,34.03,34.72,33.81,31.81,31.12,30.66,29.38,27.25,26.69,27.0,26.84,25.59,25.19,26.03,26.16,24.91,23.38,23.44,23.53,21.91,20.59,21.47,23.5,24.97,26.09,28.22,31.0,32.31,31.72,31.25,32.16,32.59,31.88,31.56,33.25,35.38,36.09,35.84,36.66,37.47,36.44,33.81,32.12,31.34,30.09,27.69,25.94,25.88,25.25,23.72,22.22,22.78,23.78,23.47,22.97,23.66,25.31,26.56,26.62,28.06,30.0,31.28,30.53,30.03,30.81,31.16,29.94,28.41,28.28,28.44,26.81,24.5,23.16,22.12,20.47,17.62,16.19,16.56,17.5,17.78,19.12,22.5,25.47,26.75,26.81,27.66,28.06,27.16,25.91,26.28,27.78,28.88,28.69,29.38,30.94,31.97,31.62,30.75,30.97,30.75,28.75,26.22,25.0,24.16,21.97,19.19,18.03,18.47,19.16,19.25,20.34,22.81,25.22,25.81,26.72,28.94,31.22,31.62,30.72,29.94,29.06,26.5,23.03,20.5,19.56,19.03,17.81,17.41,18.88,20.53,20.53,20.59,21.72,23.34,24.0,23.97,24.94,26.59,27.28,26.75,26.84,27.84,28.03,26.91,25.22,24.44,23.81,21.41,18.81,17.59,16.84,15.12,12.94,12.16,12.81,13.34,13.41,14.47,16.84,19.03,20.25,21.47,23.75,26.06,26.06,25.09,24.47,23.91,21.91,19.5,18.31,18.62,18.72,18.44,18.88,20.66,21.94,21.19,20.31,20.09,20.06,18.53,16.88,17.03,18.38,18.84,18.81,19.53,21.09,21.72,20.88,20.38,21.31,22.59,22.19,21.91,23.12,24.41,23.91,22.75,22.31,22.34,21.19,19.22,18.09,18.0,17.59,16.03,14.38,14.31,14.75,13.81,13.12,14.34,16.41,16.72,16.44,17.31,18.81,19.88,19.38,19.47,19.94,19.81,17.75,15.78,15.5,15.66,14.34,13.31,13.69,15.25,16.06,16.59,18.03,20.38,21.59,21.72,22.19,23.53,24.81,24.47,23.97,24.28,25.06,24.22,23.19,23.22,24.75,25.53,25.84,26.72,28.34,29.16,28.22,27.59,28.25,28.78,27.53,25.88,24.78,24.22,22.94,21.84,22.94,25.94,28.56,30.28,31.84,33.94,34.56,33.28,32.25,32.91,34.03,34.56,35.0,36.47,38.09,38.19,36.78,36.25,36.75,36.16,34.81,33.78,33.56,32.59,29.75,26.81,25.25,24.25,22.19,20.25,19.97,20.78,20.69,20.12,20.34,21.22,21.62,20.78,20.5,21.97,23.16,23.25,22.91,23.97,24.91,24.16,22.91,22.53,22.81,21.81,20.25,19.88,20.84,20.84,19.94,19.25,19.56,19.84,18.59,17.41,17.72,18.38,17.38,16.38,16.22,17.44,18.25,17.97,18.62,20.56,21.59,21.09,20.66,21.72,22.62,22.25,22.19,23.56,25.59,25.81,24.78,24.06,23.56,21.41,18.53,16.84,17.06,17.69,17.56,18.25,20.28,22.19,22.38,21.62,21.56,21.41,19.47,16.66,14.72,14.28,14.0,13.38,13.91,16.22,18.41,19.34,20.25,23.44,26.78,28.56,29.94,31.47,33.03,32.34,30.47,28.53,27.91,26.66,23.81,21.28,20.25,19.06,17.75,17.38,19.5,22.5,24.88,26.0,27.75,30.03,30.81,30.44,30.31,31.0,30.62,29.0,27.66,28.38,29.53,29.56,29.47,30.22,31.16,30.19,28.53,27.56,27.44,26.41,24.94,24.12,24.28,23.56,21.69,19.75,19.59,20.19,20.12,19.91,21.62,23.44,23.97,23.91,24.78,26.31,26.69,25.5,24.66,24.91,24.41,23.06,21.78,22.31,23.41,22.91,22.06,22.22,22.84,21.81,20.0,19.0,18.5,17.16,14.38,12.06,11.66,11.88,11.47,11.69,13.72,16.03,17.0,17.62,19.56,22.25,23.5,24.12,25.38,27.59,28.72,27.88,26.84,27.44,27.09,25.78,24.38,24.62,25.06,24.31,22.94,22.59,22.88,21.84,20.0,18.47,18.75,18.62,17.53,16.88,17.81,18.56,18.09,17.28,17.81,18.41,17.75,16.59,16.88,18.59,20.03,21.16,22.75,25.22,27.22,27.34,26.81,27.78,28.72,28.38,27.03,27.22,27.75,26.62,24.66,23.81,24.12,23.88,22.78,22.09,22.69,22.69,21.19,19.41,19.75,20.5,20.44,20.5,21.91,24.31,25.28,24.72,24.94,25.91,26.09,25.0,24.81,25.97,26.5,25.12,23.84,24.03,24.31,23.94,23.22,23.75,24.34,23.41,21.09,19.62,19.22,18.47,16.69,15.19,15.25,15.53,14.41,13.44,13.72,14.66,14.44,13.53,15.0,17.16,18.81,19.47,20.5,22.38,24.09,24.19,24.66,26.53,28.06,27.47,25.22,24.56,23.34,20.44,16.66,14.06,12.66,10.97,8.59,7.62,8.53,9.25,9.0,9.25,11.03,13.38,13.88,13.75,14.88,15.72,15.69,14.41,14.5,15.78,16.66,16.56,17.66,20.28,22.41,22.44,21.81,21.88,21.59,19.84,17.47,16.88,16.59,15.94,13.75,13.16,13.81,13.5,12.16,11.47,12.19,13.44,13.28,13.28,15.34,17.44,18.97,19.69,21.91,24.56,26.72,27.47,28.94,30.84,31.78,29.94,27.41,25.38,23.22,19.62,16.12,14.47,13.81,12.22,10.34,9.81,10.41,10.72,9.78,9.38,10.44,11.25,10.56,10.5,12.22,14.53,15.06,15.5,16.78,18.09,18.12,16.91,16.84,17.12,16.47,13.91,11.47,10.25,9.44,7.38,6.56,8.16,10.53,11.88,12.59,14.28,15.72,15.5,13.62,12.47,12.25,11.75,9.66,8.44,8.94,9.34,8.53,7.81,9.12,10.44,10.06,8.69,76.34,75.5,75.22,75.22,75.12,74.44,74.09,73.75,72.56,70.91,69.19,68.66,68.03,67.47:14.38,14.88,16.25,15.97,15.72,17.25,19.59,21.38,21.62,22.78,24.84,26.34,25.75,25.69,26.62,26.97,25.41,23.12,21.62,20.31,17.81,14.81,13.78,14.09,13.84,12.22,11.91,12.66,13.62,13.59,14.16,16.19,17.72,17.09,15.75,15.66,15.94,15.34,13.84,14.09,15.38,16.16,15.78,16.25,17.97,19.19,18.62,18.03,18.75,19.03,17.47,15.03,13.88,13.44,12.41,11.03,11.47,13.62,15.5,15.94,17.31,19.75,21.91,22.47,22.97,24.81,27.25,28.0,27.44,28.03,28.34,27.0,24.53,23.19,23.34,23.78,23.0,23.0,24.41,25.16,24.41,23.38,24.31,25.84,26.09,25.78,26.28,27.25,26.25,23.5,21.41,20.94,20.44,19.06,18.91,20.34,21.94,21.94,22.25,23.81,25.66,26.34,25.91,26.84,28.53,29.41,29.44,30.38,33.06,35.09,35.0,34.94,35.94,36.81,35.94,35.22,35.94,38.0,38.16,37.09,36.59,36.19,34.31,30.72,27.69,26.66,25.72,23.56,21.78,21.69,22.69,22.44,22.22,24.19,27.19,29.03,29.84,31.06,32.75,33.31,31.53,29.94,29.25,28.34,25.25,22.62,21.09,20.38,18.44,16.44,16.06,16.84,17.03,16.03,15.84,17.0,17.81,17.25,17.62,19.75,22.28,23.41,24.53,26.69,29.34,29.62,29.28,29.41,30.25,29.97,28.72,27.75,27.38,26.19,23.12,19.91,18.09,16.88,14.88,13.41,14.16,16.72,17.88,18.66,20.62,22.91,23.94,24.22,25.41,28.12,30.69,31.22,31.66,32.97,33.66,32.28,30.62,30.38,31.0,30.12,28.41,26.56,25.53,23.03,19.25,16.78,16.28,16.62,16.0,15.66,17.62,20.72,22.06,23.59,26.31,29.56,31.12,31.38,32.5,34.09,35.09,34.06,33.31,33.44,33.34,31.12,28.94,28.06,28.41,27.03,25.5,25.5,26.69,26.94,26.59,27.5,29.94,31.69,31.72,31.81,32.91,34.25,33.56,32.19,32.12,32.44,30.84,28.59,27.06,26.44,24.56,22.09,20.72,21.81,23.28,24.25,26.25,29.97,33.91,35.75,36.69,37.75,38.78,37.75,35.12,33.0,32.0,30.41,28.25,27.25,28.31,29.69,29.06,28.31,28.47,28.88,27.22,25.22,24.69,24.75,23.75,22.09,21.31,21.62,20.94,19.47,18.25,18.81,19.53,18.59,17.88,18.78,20.44,21.31,22.38,25.34,29.5,32.47,34.0,35.56,37.78,38.28,36.72,35.47,35.62,35.56,34.09,32.84,32.94,33.88,33.75,33.22,33.94,35.41,35.44,34.41,33.91,35.28,36.31,36.47,36.88,38.59,39.94,39.28,37.78,37.91,38.44,37.72,36.06,35.81,36.66,36.66,35.81,35.31,36.0,35.34,33.03,30.38,29.66,28.91,26.81,24.44,23.5,23.16,21.72,19.69,18.38,18.62,18.22,16.56,15.75,17.16,18.5,18.16,17.59,18.69,20.34,20.44,20.66,22.69,25.38,27.16,27.53,28.12,29.66,30.28,29.62,29.31,30.5,31.66,30.75,29.22,29.09,29.03,27.69,26.0,25.06,26.0,25.72,25.0,25.16,26.94,28.16,27.53,26.97,27.72,28.34,27.72,26.53,26.81,27.31,25.91,23.97,23.47,24.84,26.28,27.38,28.94,31.91,33.94,33.66,32.56,33.06,32.91,31.25,29.38,29.25,29.5,28.84,27.44,27.75,29.25,30.47,30.47,30.75,32.31,33.38,32.5,32.31,33.72,35.0,35.19,34.78,35.53,36.88,36.81,35.03,34.03,33.78,32.44,30.62,29.22,29.91,31.0,30.31,29.97,31.25,32.34,32.25,31.59,31.72,32.72,32.59,31.06,30.59,31.75,32.56,32.5,32.62,34.03,34.72,33.81,31.81,31.12,30.66,29.38,27.25,26.69,27.0,26.84,25.59,25.19,26.03,26.16,24.91,23.38,23.44,23.53,21.91,20.59,21.47,23.5,24.97,26.09,28.22,31.0,32.31,31.72,31.25,32.16,32.59,31.88,31.56,33.25,35.38,36.09,35.84,36.66,37.47,36.44,33.81,32.12,31.34,30.09,27.69,25.94,25.88,25.25,23.72,22.22,22.78,23.78,23.47,22.97,23.66,25.31,26.56,26.62,28.06,30.0,31.28,30.53,30.03,30.81,31.16,29.94,28.41,28.28,28.44,26.81,24.5,23.16,22.12,20.47,17.62,16.19,16.56,17.5,17.78,19.12,22.5,25.47,26.75,26.81,27.66,28.06,27.16,25.91,26.28,27.78,28.88,28.69,29.38,30.94,31.97,31.62,30.75,30.97,30.75,28.75,26.22,25.0,24.16,21.97,19.19,18.03,18.47,19.16,19.25,20.34,22.81,25.22,25.81,26.72,28.94,31.22,31.62,30.72,29.94,29.06,26.5,23.03,20.5,19.56,19.03,17.81,17.41,18.88,20.53,20.53,20.59,21.72,23.34,24.0,23.97,24.94,26.59,27.28,26.75,26.84,27.84,28.03,26.91,25.22,24.44,23.81,21.41,18.81,17.59,16.84,15.12,12.94,12.16,12.81,13.34,13.41,14.47,16.84,19.03,20.25,21.47,23.75,26.06,26.06,25.09,24.47,23.91,21.91,19.5,18.31,18.62,18.72,18.44,18.88,20.66,21.94,21.19,20.31,20.09,20.06,18.53,16.88,17.03,18.38,18.84,18.81,19.53,21.09,21.72,20.88,20.38,21.31,22.59,22.19,21.91,23.12,24.41,23.91,22.75,22.31,22.34,21.19,19.22,18.09,18.0,17.59,16.03,14.38,14.31,14.75,13.81,13.12,14.34,16.41,16.72,16.44,17.31,18.81,19.88,19.38,19.47,19.94,19.81,17.75,15.78,15.5,15.66,14.34,13.31,13.69,15.25,16.06,16.59,18.03,20.38,21.59,21.72,22.19,23.53,24.81,24.47,23.97,24.28,25.06,24.22,23.19,23.22,24.75,25.53,25.84,26.72,28.34,29.16,28.22,27.59,28.25,28.78,27.53,25.88,24.78,24.22,22.94,21.84,22.94,25.94,28.56,30.28,31.84,33.94,34.56,33.28,32.25,32.91,34.03,34.56,35.0,36.47,38.09,38.19,36.78,36.25,36.75,36.16,34.81,33.78,33.56,32.59,29.75,26.81,25.25,24.25,22.19,20.25,19.97,20.78,20.69,20.12,20.34,21.22,21.62,20.78,20.5,21.97,23.16,23.25,22.91,23.97,24.91,24.16,22.91,22.53,22.81,21.81,20.25,19.88,20.84,20.84,19.94,19.25,19.56,19.84,18.59,17.41,17.72,18.38,17.38,16.38,16.22,17.44,18.25,17.97,18.62,20.56,21.59,21.09,20.66,21.72,22.62,22.25,22.19,23.56,25.59,25.81,24.78,24.06,23.56,21.41,18.53,16.84,17.06,17.69,17.56,18.25,20.28,22.19,22.38,21.62,21.56,21.41,19.47,16.66,14.72,14.28,14.0,13.38,13.91,16.22,18.41,19.34,20.25,23.44,26.78,28.56,29.94,31.47,33.03,32.34,30.47,28.53,27.91,26.66,23.81,21.28,20.25,19.06,17.75,17.38,19.5,22.5,24.88,26.0,27.75,30.03,30.81,30.44,30.31,31.0,30.62,29.0,27.66,28.38,29.53,29.56,29.47,30.22,31.16,30.19,28.53,27.56,27.44,26.41,24.94,24.12,24.28,23.56,21.69,19.75,19.59,20.19,20.12,19.91,21.62,23.44,23.97,23.91,24.78,26.31,26.69,25.5,24.66,24.91,24.41,23.06,21.78,22.31,23.41,22.91,22.06,22.22,22.84,21.81,20.0,19.0,18.5,17.16,14.38,12.06,11.66,11.88,11.47,11.69,13.72,16.03,17.0,17.62,19.56,22.25,23.5,24.12,25.38,27.59,28.72,27.88,26.84,27.44,27.09,25.78,24.38,24.62,25.06,24.31,22.94,22.59,22.88,21.84,20.0,18.47,18.75,18.62,17.53,16.88,17.81,18.56,18.09,17.28,17.81,18.41,17.75,16.59,16.88,18.59,20.03,21.16,22.75,25.22,27.22,27.34,26.81,27.78,28.72,28.38,27.03,27.22,27.75,26.62,24.66,23.81,24.12,23.88,22.78,22.09,22.69,22.69,21.19,19.41,19.75,20.5,20.44,20.5,21.91,24.31,25.28,24.72,24.94,25.91,26.09,25.0,24.81,25.97,26.5,25.12,23.84,24.03,24.31,23.94,23.22,23.75,24.34,23.41,21.09,19.62,19.22,18.47,16.69,15.19,15.25,15.53,14.41,13.44,13.72,14.66,14.44,13.53,15.0,17.16,18.81,19.47,20.5,22.38,24.09,24.19,24.66,26.53,28.06,27.47,25.22,24.56,23.34,20.44,16.66,14.06,12.66,10.97,8.59,7.62,8.53,9.25,9.0,9.25,11.03,13.38,13.88,13.75,14.88,15.72,15.69,14.41,14.5,15.78,16.66,16.56,17.66,20.28,22.41,22.44,21.81,21.88,21.59,19.84,17.47,16.88,16.59,15.94,13.75,13.16,13.81,13.5,12.16,11.47,12.19,13.44,13.28,13.28,15.34,17.44,18.97,19.69,21.91,24.56,26.72,27.47,28.94,30.84,31.78,29.94,27.41,25.38,23.22,19.62,16.12,14.47,13.81,12.22,10.34,9.81,10.41,10.72,9.78,9.38,10.44,11.25,10.56,10.5,12.22,14.53,15.06,15.5,16.78,18.09,18.12,16.91,16.84,17.12,16.47,13.91,11.47,10.25,9.44,7.38,6.56,8.16,10.53,11.88,12.59,14.28,15.72,15.5,13.62,12.47,12.25,11.75,9.66,8.44,8.94,9.34,8.53,7.81,9.12,10.44,10.06,8.69,76.34,75.5,75.22,75.22,75.12,74.44,74.09,73.75,72.56,70.91,69.19,68.66,68.03,67.47,67.28,67.41,67.25,66.81,65.59,64.78,63.91:21.38,21.62,22.78,24.84,26.34,25.75,25.69,26.62,26.97,25.41,23.12,21.62,20.31,17.81,14.81,13.78,14.09,13.84,12.22,11.91,12.66,13.62,13.59,14.16,16.19,17.72,17.09,15.75,15.66,15.94,15.34,13.84,14.09,15.38,16.16,15.78,16.25,17.97,19.19,18.62,18.03,18.75,19.03,17.47,15.03,13.88,13.44,12.41,11.03,11.47,13.62,15.5,15.94,17.31,19.75,21.91,22.47,22.97,24.81,27.25,28.0,27.44,28.03,28.34,27.0,24.53,23.19,23.34,23.78,23.0,23.0,24.41,25.16,24.41,23.38,24.31,25.84,26.09,25.78,26.28,27.25,26.25,23.5,21.41,20.94,20.44,19.06,18.91,20.34,21.94,21.94,22.25,23.81,25.66,26.34,25.91,26.84,28.53,29.41,29.44,30.38,33.06,35.09,35.0,34.94,35.94,36.81,35.94,35.22,35.94,38.0,38.16,37.09,36.59,36.19,34.31,30.72,27.69,26.66,25.72,23.56,21.78,21.69,22.69,22.44,22.22,24.19,27.19,29.03,29.84,31.06,32.75,33.31,31.53,29.94,29.25,28.34,25.25,22.62,21.09,20.38,18.44,16.44,16.06,16.84,17.03,16.03,15.84,17.0,17.81,17.25,17.62,19.75,22.28,23.41,24.53,26.69,29.34,29.62,29.28,29.41,30.25,29.97,28.72,27.75,27.38,26.19,23.12,19.91,18.09,16.88,14.88,13.41,14.16,16.72,17.88,18.66,20.62,22.91,23.94,24.22,25.41,28.12,30.69,31.22,31.66,32.97,33.66,32.28,30.62,30.38,31.0,30.12,28.41,26.56,25.53,23.03,19.25,16.78,16.28,16.62,16.0,15.66,17.62,20.72,22.06,23.59,26.31,29.56,31.12,31.38,32.5,34.09,35.09,34.06,33.31,33.44,33.34,31.12,28.94,28.06,28.41,27.03,25.5,25.5,26.69,26.94,26.59,27.5,29.94,31.69,31.72,31.81,32.91,34.25,33.56,32.19,32.12,32.44,30.84,28.59,27.06,26.44,24.56,22.09,20.72,21.81,23.28,24.25,26.25,29.97,33.91,35.75,36.69,37.75,38.78,37.75,35.12,33.0,32.0,30.41,28.25,27.25,28.31,29.69,29.06,28.31,28.47,28.88,27.22,25.22,24.69,24.75,23.75,22.09,21.31,21.62,20.94,19.47,18.25,18.81,19.53,18.59,17.88,18.78,20.44,21.31,22.38,25.34,29.5,32.47,34.0,35.56,37.78,38.28,36.72,35.47,35.62,35.56,34.09,32.84,32.94,33.88,33.75,33.22,33.94,35.41,35.44,34.41,33.91,35.28,36.31,36.47,36.88,38.59,39.94,39.28,37.78,37.91,38.44,37.72,36.06,35.81,36.66,36.66,35.81,35.31,36.0,35.34,33.03,30.38,29.66,28.91,26.81,24.44,23.5,23.16,21.72,19.69,18.38,18.62,18.22,16.56,15.75,17.16,18.5,18.16,17.59,18.69,20.34,20.44,20.66,22.69,25.38,27.16,27.53,28.12,29.66,30.28,29.62,29.31,30.5,31.66,30.75,29.22,29.09,29.03,27.69,26.0,25.06,26.0,25.72,25.0,25.16,26.94,28.16,27.53,26.97,27.72,28.34,27.72,26.53,26.81,27.31,25.91,23.97,23.47,24.84,26.28,27.38,28.94,31.91,33.94,33.66,32.56,33.06,32.91,31.25,29.38,29.25,29.5,28.84,27.44,27.75,29.25,30.47,30.47,30.75,32.31,33.38,32.5,32.31,33.72,35.0,35.19,34.78,35.53,36.88,36.81,35.03,34.03,33.78,32.44,30.62,29.22,29.91,31.0,30.31,29.97,31.25,32.34,32.25,31.59,31.72,32.72,32.59,31.06,30.59,31.75,32.56,32.5,32.62,34.03,34.72,33.81,31.81,31.12,30.66,29.38,27.25,26.69,27.0,26.84,25.59,25.19,26.03,26.16,24.91,23.38,23.44,23.53,21.91,20.59,21.47,23.5,24.97,26.09,28.22,31.0,32.31,31.72,31.25,32.16,32.59,31.88,31.56,33.25,35.38,36.09,35.84,36.66,37.47,36.44,33.81,32.12,31.34,30.09,27.69,25.94,25.88,25.25,23.72,22.22,22.78,23.78,23.47,22.97,23.66,25.31,26.56,26.62,28.06,30.0,31.28,30.53,30.03,30.81,31.16,29.94,28.41,28.28,28.44,26.81,24.5,23.16,22.12,20.47,17.62,16.19,16.56,17.5,17.78,19.12,22.5,25.47,26.75,26.81,27.66,28.06,27.16,25.91,26.28,27.78,28.88,28.69,29.38,30.94,31.97,31.62,30.75,30.97,30.75,28.75,26.22,25.0,24.16,21.97,19.19,18.03,18.47,19.16,19.25,20.34,22.81,25.22,25.81,26.72,28.94,31.22,31.62,30.72,29.94,29.06,26.5,23.03,20.5,19.56,19.03,17.81,17.41,18.88,20.53,20.53,20.59,21.72,23.34,24.0,23.97,24.94,26.59,27.28,26.75,26.84,27.84,28.03,26.91,25.22,24.44,23.81,21.41,18.81,17.59,16.84,15.12,12.94,12.16,12.81,13.34,13.41,14.47,16.84,19.03,20.25,21.47,23.75,26.06,26.06,25.09,24.47,23.91,21.91,19.5,18.31,18.62,18.72,18.44,18.88,20.66,21.94,21.19,20.31,20.09,20.06,18.53,16.88,17.03,18.38,18.84,18.81,19.53,21.09,21.72,20.88,20.38,21.31,22.59,22.19,21.91,23.12,24.41,23.91,22.75,22.31,22.34,21.19,19.22,18.09,18.0,17.59,16.03,14.38,14.31,14.75,13.81,13.12,14.34,16.41,16.72,16.44,17.31,18.81,19.88,19.38,19.47,19.94,19.81,17.75,15.78,15.5,15.66,14.34,13.31,13.69,15.25,16.06,16.59,18.03,20.38,21.59,21.72,22.19,23.53,24.81,24.47,23.97,24.28,25.06,24.22,23.19,23.22,24.75,25.53,25.84,26.72,28.34,29.16,28.22,27.59,28.25,28.78,27.53,25.88,24.78,24.22,22.94,21.84,22.94,25.94,28.56,30.28,31.84,33.94,34.56,33.28,32.25,32.91,34.03,34.56,35.0,36.47,38.09,38.19,36.78,36.25,36.75,36.16,34.81,33.78,33.56,32.59,29.75,26.81,25.25,24.25,22.19,20.25,19.97,20.78,20.69,20.12,20.34,21.22,21.62,20.78,20.5,21.97,23.16,23.25,22.91,23.97,24.91,24.16,22.91,22.53,22.81,21.81,20.25,19.88,20.84,20.84,19.94,19.25,19.56,19.84,18.59,17.41,17.72,18.38,17.38,16.38,16.22,17.44,18.25,17.97,18.62,20.56,21.59,21.09,20.66,21.72,22.62,22.25,22.19,23.56,25.59,25.81,24.78,24.06,23.56,21.41,18.53,16.84,17.06,17.69,17.56,18.25,20.28,22.19,22.38,21.62,21.56,21.41,19.47,16.66,14.72,14.28,14.0,13.38,13.91,16.22,18.41,19.34,20.25,23.44,26.78,28.56,29.94,31.47,33.03,32.34,30.47,28.53,27.91,26.66,23.81,21.28,20.25,19.06,17.75,17.38,19.5,22.5,24.88,26.0,27.75,30.03,30.81,30.44,30.31,31.0,30.62,29.0,27.66,28.38,29.53,29.56,29.47,30.22,31.16,30.19,28.53,27.56,27.44,26.41,24.94,24.12,24.28,23.56,21.69,19.75,19.59,20.19,20.12,19.91,21.62,23.44,23.97,23.91,24.78,26.31,26.69,25.5,24.66,24.91,24.41,23.06,21.78,22.31,23.41,22.91,22.06,22.22,22.84,21.81,20.0,19.0,18.5,17.16,14.38,12.06,11.66,11.88,11.47,11.69,13.72,16.03,17.0,17.62,19.56,22.25,23.5,24.12,25.38,27.59,28.72,27.88,26.84,27.44,27.09,25.78,24.38,24.62,25.06,24.31,22.94,22.59,22.88,21.84,20.0,18.47,18.75,18.62,17.53,16.88,17.81,18.56,18.09,17.28,17.81,18.41,17.75,16.59,16.88,18.59,20.03,21.16,22.75,25.22,27.22,27.34,26.81,27.78,28.72,28.38,27.03,27.22,27.75,26.62,24.66,23.81,24.12,23.88,22.78,22.09,22.69,22.69,21.19,19.41,19.75,20.5,20.44,20.5,21.91,24.31,25.28,24.72,24.94,25.91,26.09,25.0,24.81,25.97,26.5,25.12,23.84,24.03,24.31,23.94,23.22,23.75,24.34,23.41,21.09,19.62,19.22,18.47,16.69,15.19,15.25,15.53,14.41,13.44,13.72,14.66,14.44,13.53,15.0,17.16,18.81,19.47,20.5,22.38,24.09,24.19,24.66,26.53,28.06,27.47,25.22,24.56,23.34,20.44,16.66,14.06,12.66,10.97,8.59,7.62,8.53,9.25,9.0,9.25,11.03,13.38,13.88,13.75,14.88,15.72,15.69,14.41,14.5,15.78,16.66,16.56,17.66,20.28,22.41,22.44,21.81,21.88,21.59,19.84,17.47,16.88,16.59,15.94,13.75,13.16,13.81,13.5,12.16,11.47,12.19,13.44,13.28,13.28,15.34,17.44,18.97,19.69,21.91,24.56,26.72,27.47,28.94,30.84,31.78,29.94,27.41,25.38,23.22,19.62,16.12,14.47,13.81,12.22,10.34,9.81,10.41,10.72,9.78,9.38,10.44,11.25,10.56,10.5,12.22,14.53,15.06,15.5,16.78,18.09,18.12,16.91,16.84,17.12,16.47,13.91,11.47,10.25,9.44,7.38,6.56,8.16,10.53,11.88,12.59,14.28,15.72,15.5,13.62,12.47,12.25,11.75,9.66,8.44,8.94,9.34,8.53,7.81,9.12,10.44,10.06,8.69,76.34,75.5,75.22,75.22,75.12,74.44,74.09,73.75,72.56,70.91,69.19,68.66,68.03,67.47,67.28,67.41,67.25,66.81,65.59,64.78,63.91,62.81,61.62,61.47,62.12,63.06,64.09,65.47:26.62,26.97,25.41,23.12,21.62,20.31,17.81,14.81,13.78,14.09,13.84,12.22,11.91,12.66,13.62,13.59,14.16,16.19,17.72,17.09,15.75,15.66,15.94,15.34,13.84,14.09,15.38,16.16,15.78,16.25,17.97,19.19,18.62,18.03,18.75,19.03,17.47,15.03,13.88,13.44,12.41,11.03,11.47,13.62,15.5,15.94,17.31,19.75,21.91,22.47,22.97,24.81,27.25,28.0,27.44,28.03,28.34,27.0,24.53,23.19,23.34,23.78,23.0,23.0,24.41,25.16,24.41,23.38,24.31,25.84,26.09,25.78,26.28,27.25,26.25,23.5,21.41,20.94,20.44,19.06,18.91,20.34,21.94,21.94,22.25,23.81,25.66,26.34,25.91,26.84,28.53,29.41,29.44,30.38,33.06,35.09,35.0,34.94,35.94,36.81,35.94,35.22,35.94,38.0,38.16,37.09,36.59,36.19,34.31,30.72,27.69,26.66,25.72,23.56,21.78,21.69,22.69,22.44,22.22,24.19,27.19,29.03,29.84,31.06,32.75,33.31,31.53,29.94,29.25,28.34,25.25,22.62,21.09,20.38,18.44,16.44,16.06,16.84,17.03,16.03,15.84,17.0,17.81,17.25,17.62,19.75,22.28,23.41,24.53,26.69,29.34,29.62,29.28,29.41,30.25,29.97,28.72,27.75,27.38,26.19,23.12,19.91,18.09,16.88,14.88,13.41,14.16,16.72,17.88,18.66,20.62,22.91,23.94,24.22,25.41,28.12,30.69,31.22,31.66,32.97,33.66,32.28,30.62,30.38,31.0,30.12,28.41,26.56,25.53,23.03,19.25,16.78,16.28,16.62,16.0,15.66,17.62,20.72,22.06,23.59,26.31,29.56,31.12,31.38,32.5,34.09,35.09,34.06,33.31,33.44,33.34,31.12,28.94,28.06,28.41,27.03,25.5,25.5,26.69,26.94,26.59,27.5,29.94,31.69,31.72,31.81,32.91,34.25,33.56,32.19,32.12,32.44,30.84,28.59,27.06,26.44,24.56,22.09,20.72,21.81,23.28,24.25,26.25,29.97,33.91,35.75,36.69,37.75,38.78,37.75,35.12,33.0,32.0,30.41,28.25,27.25,28.31,29.69,29.06,28.31,28.47,28.88,27.22,25.22,24.69,24.75,23.75,22.09,21.31,21.62,20.94,19.47,18.25,18.81,19.53,18.59,17.88,18.78,20.44,21.31,22.38,25.34,29.5,32.47,34.0,35.56,37.78,38.28,36.72,35.47,35.62,35.56,34.09,32.84,32.94,33.88,33.75,33.22,33.94,35.41,35.44,34.41,33.91,35.28,36.31,36.47,36.88,38.59,39.94,39.28,37.78,37.91,38.44,37.72,36.06,35.81,36.66,36.66,35.81,35.31,36.0,35.34,33.03,30.38,29.66,28.91,26.81,24.44,23.5,23.16,21.72,19.69,18.38,18.62,18.22,16.56,15.75,17.16,18.5,18.16,17.59,18.69,20.34,20.44,20.66,22.69,25.38,27.16,27.53,28.12,29.66,30.28,29.62,29.31,30.5,31.66,30.75,29.22,29.09,29.03,27.69,26.0,25.06,26.0,25.72,25.0,25.16,26.94,28.16,27.53,26.97,27.72,28.34,27.72,26.53,26.81,27.31,25.91,23.97,23.47,24.84,26.28,27.38,28.94,31.91,33.94,33.66,32.56,33.06,32.91,31.25,29.38,29.25,29.5,28.84,27.44,27.75,29.25,30.47,30.47,30.75,32.31,33.38,32.5,32.31,33.72,35.0,35.19,34.78,35.53,36.88,36.81,35.03,34.03,33.78,32.44,30.62,29.22,29.91,31.0,30.31,29.97,31.25,32.34,32.25,31.59,31.72,32.72,32.59,31.06,30.59,31.75,32.56,32.5,32.62,34.03,34.72,33.81,31.81,31.12,30.66,29.38,27.25,26.69,27.0,26.84,25.59,25.19,26.03,26.16,24.91,23.38,23.44,23.53,21.91,20.59,21.47,23.5,24.97,26.09,28.22,31.0,32.31,31.72,31.25,32.16,32.59,31.88,31.56,33.25,35.38,36.09,35.84,36.66,37.47,36.44,33.81,32.12,31.34,30.09,27.69,25.94,25.88,25.25,23.72,22.22,22.78,23.78,23.47,22.97,23.66,25.31,26.56,26.62,28.06,30.0,31.28,30.53,30.03,30.81,31.16,29.94,28.41,28.28,28.44,26.81,24.5,23.16,22.12,20.47,17.62,16.19,16.56,17.5,17.78,19.12,22.5,25.47,26.75,26.81,27.66,28.06,27.16,25.91,26.28,27.78,28.88,28.69,29.38,30.94,31.97,31.62,30.75,30.97,30.75,28.75,26.22,25.0,24.16,21.97,19.19,18.03,18.47,19.16,19.25,20.34,22.81,25.22,25.81,26.72,28.94,31.22,31.62,30.72,29.94,29.06,26.5,23.03,20.5,19.56,19.03,17.81,17.41,18.88,20.53,20.53,20.59,21.72,23.34,24.0,23.97,24.94,26.59,27.28,26.75,26.84,27.84,28.03,26.91,25.22,24.44,23.81,21.41,18.81,17.59,16.84,15.12,12.94,12.16,12.81,13.34,13.41,14.47,16.84,19.03,20.25,21.47,23.75,26.06,26.06,25.09,24.47,23.91,21.91,19.5,18.31,18.62,18.72,18.44,18.88,20.66,21.94,21.19,20.31,20.09,20.06,18.53,16.88,17.03,18.38,18.84,18.81,19.53,21.09,21.72,20.88,20.38,21.31,22.59,22.19,21.91,23.12,24.41,23.91,22.75,22.31,22.34,21.19,19.22,18.09,18.0,17.59,16.03,14.38,14.31,14.75,13.81,13.12,14.34,16.41,16.72,16.44,17.31,18.81,19.88,19.38,19.47,19.94,19.81,17.75,15.78,15.5,15.66,14.34,13.31,13.69,15.25,16.06,16.59,18.03,20.38,21.59,21.72,22.19,23.53,24.81,24.47,23.97,24.28,25.06,24.22,23.19,23.22,24.75,25.53,25.84,26.72,28.34,29.16,28.22,27.59,28.25,28.78,27.53,25.88,24.78,24.22,22.94,21.84,22.94,25.94,28.56,30.28,31.84,33.94,34.56,33.28,32.25,32.91,34.03,34.56,35.0,36.47,38.09,38.19,36.78,36.25,36.75,36.16,34.81,33.78,33.56,32.59,29.75,26.81,25.25,24.25,22.19,20.25,19.97,20.78,20.69,20.12,20.34,21.22,21.62,20.78,20.5,21.97,23.16,23.25,22.91,23.97,24.91,24.16,22.91,22.53,22.81,21.81,20.25,19.88,20.84,20.84,19.94,19.25,19.56,19.84,18.59,17.41,17.72,18.38,17.38,16.38,16.22,17.44,18.25,17.97,18.62,20.56,21.59,21.09,20.66,21.72,22.62,22.25,22.19,23.56,25.59,25.81,24.78,24.06,23.56,21.41,18.53,16.84,17.06,17.69,17.56,18.25,20.28,22.19,22.38,21.62,21.56,21.41,19.47,16.66,14.72,14.28,14.0,13.38,13.91,16.22,18.41,19.34,20.25,23.44,26.78,28.56,29.94,31.47,33.03,32.34,30.47,28.53,27.91,26.66,23.81,21.28,20.25,19.06,17.75,17.38,19.5,22.5,24.88,26.0,27.75,30.03,30.81,30.44,30.31,31.0,30.62,29.0,27.66,28.38,29.53,29.56,29.47,30.22,31.16,30.19,28.53,27.56,27.44,26.41,24.94,24.12,24.28,23.56,21.69,19.75,19.59,20.19,20.12,19.91,21.62,23.44,23.97,23.91,24.78,26.31,26.69,25.5,24.66,24.91,24.41,23.06,21.78,22.31,23.41,22.91,22.06,22.22,22.84,21.81,20.0,19.0,18.5,17.16,14.38,12.06,11.66,11.88,11.47,11.69,13.72,16.03,17.0,17.62,19.56,22.25,23.5,24.12,25.38,27.59,28.72,27.88,26.84,27.44,27.09,25.78,24.38,24.62,25.06,24.31,22.94,22.59,22.88,21.84,20.0,18.47,18.75,18.62,17.53,16.88,17.81,18.56,18.09,17.28,17.81,18.41,17.75,16.59,16.88,18.59,20.03,21.16,22.75,25.22,27.22,27.34,26.81,27.78,28.72,28.38,27.03,27.22,27.75,26.62,24.66,23.81,24.12,23.88,22.78,22.09,22.69,22.69,21.19,19.41,19.75,20.5,20.44,20.5,21.91,24.31,25.28,24.72,24.94,25.91,26.09,25.0,24.81,25.97,26.5,25.12,23.84,24.03,24.31,23.94,23.22,23.75,24.34,23.41,21.09,19.62,19.22,18.47,16.69,15.19,15.25,15.53,14.41,13.44,13.72,14.66,14.44,13.53,15.0,17.16,18.81,19.47,20.5,22.38,24.09,24.19,24.66,26.53,28.06,27.47,25.22,24.56,23.34,20.44,16.66,14.06,12.66,10.97,8.59,7.62,8.53,9.25,9.0,9.25,11.03,13.38,13.88,13.75,14.88,15.72,15.69,14.41,14.5,15.78,16.66,16.56,17.66,20.28,22.41,22.44,21.81,21.88,21.59,19.84,17.47,16.88,16.59,15.94,13.75,13.16,13.81,13.5,12.16,11.47,12.19,13.44,13.28,13.28,15.34,17.44,18.97,19.69,21.91,24.56,26.72,27.47,28.94,30.84,31.78,29.94,27.41,25.38,23.22,19.62,16.12,14.47,13.81,12.22,10.34,9.81,10.41,10.72,9.78,9.38,10.44,11.25,10.56,10.5,12.22,14.53,15.06,15.5,16.78,18.09,18.12,16.91,16.84,17.12,16.47,13.91,11.47,10.25,9.44,7.38,6.56,8.16,10.53,11.88,12.59,14.28,15.72,15.5,13.62,12.47,12.25,11.75,9.66,8.44,8.94,9.34,8.53,7.81,9.12,10.44,10.06,8.69,76.34,75.5,75.22,75.22,75.12,74.44,74.09,73.75,72.56,70.91,69.19,68.66,68.03,67.47,67.28,67.41,67.25,66.81,65.59,64.78,63.91,62.81,61.62,61.47,62.12,63.06,64.09,65.47,67.5,69.16,70.41,71.78,73.31,74.91,75.78:14.81,13.78,14.09,13.84,12.22,11.91,12.66,13.62,13.59,14.16,16.19,17.72,17.09,15.75,15.66,15.94,15.34,13.84,14.09,15.38,16.16,15.78,16.25,17.97,19.19,18.62,18.03,18.75,19.03,17.47,15.03,13.88,13.44,12.41,11.03,11.47,13.62,15.5,15.94,17.31,19.75,21.91,22.47,22.97,24.81,27.25,28.0,27.44,28.03,28.34,27.0,24.53,23.19,23.34,23.78,23.0,23.0,24.41,25.16,24.41,23.38,24.31,25.84,26.09,25.78,26.28,27.25,26.25,23.5,21.41,20.94,20.44,19.06,18.91,20.34,21.94,21.94,22.25,23.81,25.66,26.34,25.91,26.84,28.53,29.41,29.44,30.38,33.06,35.09,35.0,34.94,35.94,36.81,35.94,35.22,35.94,38.0,38.16,37.09,36.59,36.19,34.31,30.72,27.69,26.66,25.72,23.56,21.78,21.69,22.69,22.44,22.22,24.19,27.19,29.03,29.84,31.06,32.75,33.31,31.53,29.94,29.25,28.34,25.25,22.62,21.09,20.38,18.44,16.44,16.06,16.84,17.03,16.03,15.84,17.0,17.81,17.25,17.62,19.75,22.28,23.41,24.53,26.69,29.34,29.62,29.28,29.41,30.25,29.97,28.72,27.75,27.38,26.19,23.12,19.91,18.09,16.88,14.88,13.41,14.16,16.72,17.88,18.66,20.62,22.91,23.94,24.22,25.41,28.12,30.69,31.22,31.66,32.97,33.66,32.28,30.62,30.38,31.0,30.12,28.41,26.56,25.53,23.03,19.25,16.78,16.28,16.62,16.0,15.66,17.62,20.72,22.06,23.59,26.31,29.56,31.12,31.38,32.5,34.09,35.09,34.06,33.31,33.44,33.34,31.12,28.94,28.06,28.41,27.03,25.5,25.5,26.69,26.94,26.59,27.5,29.94,31.69,31.72,31.81,32.91,34.25,33.56,32.19,32.12,32.44,30.84,28.59,27.06,26.44,24.56,22.09,20.72,21.81,23.28,24.25,26.25,29.97,33.91,35.75,36.69,37.75,38.78,37.75,35.12,33.0,32.0,30.41,28.25,27.25,28.31,29.69,29.06,28.31,28.47,28.88,27.22,25.22,24.69,24.75,23.75,22.09,21.31,21.62,20.94,19.47,18.25,18.81,19.53,18.59,17.88,18.78,20.44,21.31,22.38,25.34,29.5,32.47,34.0,35.56,37.78,38.28,36.72,35.47,35.62,35.56,34.09,32.84,32.94,33.88,33.75,33.22,33.94,35.41,35.44,34.41,33.91,35.28,36.31,36.47,36.88,38.59,39.94,39.28,37.78,37.91,38.44,37.72,36.06,35.81,36.66,36.66,35.81,35.31,36.0,35.34,33.03,30.38,29.66,28.91,26.81,24.44,23.5,23.16,21.72,19.69,18.38,18.62,18.22,16.56,15.75,17.16,18.5,18.16,17.59,18.69,20.34,20.44,20.66,22.69,25.38,27.16,27.53,28.12,29.66,30.28,29.62,29.31,30.5,31.66,30.75,29.22,29.09,29.03,27.69,26.0,25.06,26.0,25.72,25.0,25.16,26.94,28.16,27.53,26.97,27.72,28.34,27.72,26.53,26.81,27.31,25.91,23.97,23.47,24.84,26.28,27.38,28.94,31.91,33.94,33.66,32.56,33.06,32.91,31.25,29.38,29.25,29.5,28.84,27.44,27.75,29.25,30.47,30.47,30.75,32.31,33.38,32.5,32.31,33.72,35.0,35.19,34.78,35.53,36.88,36.81,35.03,34.03,33.78,32.44,30.62,29.22,29.91,31.0,30.31,29.97,31.25,32.34,32.25,31.59,31.72,32.72,32.59,31.06,30.59,31.75,32.56,32.5,32.62,34.03,34.72,33.81,31.81,31.12,30.66,29.38,27.25,26.69,27.0,26.84,25.59,25.19,26.03,26.16,24.91,23.38,23.44,23.53,21.91,20.59,21.47,23.5,24.97,26.09,28.22,31.0,32.31,31.72,31.25,32.16,32.59,31.88,31.56,33.25,35.38,36.09,35.84,36.66,37.47,36.44,33.81,32.12,31.34,30.09,27.69,25.94,25.88,25.25,23.72,22.22,22.78,23.78,23.47,22.97,23.66,25.31,26.56,26.62,28.06,30.0,31.28,30.53,30.03,30.81,31.16,29.94,28.41,28.28,28.44,26.81,24.5,23.16,22.12,20.47,17.62,16.19,16.56,17.5,17.78,19.12,22.5,25.47,26.75,26.81,27.66,28.06,27.16,25.91,26.28,27.78,28.88,28.69,29.38,30.94,31.97,31.62,30.75,30.97,30.75,28.75,26.22,25.0,24.16,21.97,19.19,18.03,18.47,19.16,19.25,20.34,22.81,25.22,25.81,26.72,28.94,31.22,31.62,30.72,29.94,29.06,26.5,23.03,20.5,19.56,19.03,17.81,17.41,18.88,20.53,20.53,20.59,21.72,23.34,24.0,23.97,24.94,26.59,27.28,26.75,26.84,27.84,28.03,26.91,25.22,24.44,23.81,21.41,18.81,17.59,16.84,15.12,12.94,12.16,12.81,13.34,13.41,14.47,16.84,19.03,20.25,21.47,23.75,26.06,26.06,25.09,24.47,23.91,21.91,19.5,18.31,18.62,18.72,18.44,18.88,20.66,21.94,21.19,20.31,20.09,20.06,18.53,16.88,17.03,18.38,18.84,18.81,19.53,21.09,21.72,20.88,20.38,21.31,22.59,22.19,21.91,23.12,24.41,23.91,22.75,22.31,22.34,21.19,19.22,18.09,18.0,17.59,16.03,14.38,14.31,14.75,13.81,13.12,14.34,16.41,16.72,16.44,17.31,18.81,19.88,19.38,19.47,19.94,19.81,17.75,15.78,15.5,15.66,14.34,13.31,13.69,15.25,16.06,16.59,18.03,20.38,21.59,21.72,22.19,23.53,24.81,24.47,23.97,24.28,25.06,24.22,23.19,23.22,24.75,25.53,25.84,26.72,28.34,29.16,28.22,27.59,28.25,28.78,27.53,25.88,24.78,24.22,22.94,21.84,22.94,25.94,28.56,30.28,31.84,33.94,34.56,33.28,32.25,32.91,34.03,34.56,35.0,36.47,38.09,38.19,36.78,36.25,36.75,36.16,34.81,33.78,33.56,32.59,29.75,26.81,25.25,24.25,22.19,20.25,19.97,20.78,20.69,20.12,20.34,21.22,21.62,20.78,20.5,21.97,23.16,23.25,22.91,23.97,24.91,24.16,22.91,22.53,22.81,21.81,20.25,19.88,20.84,20.84,19.94,19.25,19.56,19.84,18.59,17.41,17.72,18.38,17.38,16.38,16.22,17.44,18.25,17.97,18.62,20.56,21.59,21.09,20.66,21.72,22.62,22.25,22.19,23.56,25.59,25.81,24.78,24.06,23.56,21.41,18.53,16.84,17.06,17.69,17.56,18.25,20.28,22.19,22.38,21.62,21.56,21.41,19.47,16.66,14.72,14.28,14.0,13.38,13.91,16.22,18.41,19.34,20.25,23.44,26.78,28.56,29.94,31.47,33.03,32.34,30.47,28.53,27.91,26.66,23.81,21.28,20.25,19.06,17.75,17.38,19.5,22.5,24.88,26.0,27.75,30.03,30.81,30.44,30.31,31.0,30.62,29.0,27.66,28.38,29.53,29.56,29.47,30.22,31.16,30.19,28.53,27.56,27.44,26.41,24.94,24.12,24.28,23.56,21.69,19.75,19.59,20.19,20.12,19.91,21.62,23.44,23.97,23.91,24.78,26.31,26.69,25.5,24.66,24.91,24.41,23.06,21.78,22.31,23.41,22.91,22.06,22.22,22.84,21.81,20.0,19.0,18.5,17.16,14.38,12.06,11.66,11.88,11.47,11.69,13.72,16.03,17.0,17.62,19.56,22.25,23.5,24.12,25.38,27.59,28.72,27.88,26.84,27.44,27.09,25.78,24.38,24.62,25.06,24.31,22.94,22.59,22.88,21.84,20.0,18.47,18.75,18.62,17.53,16.88,17.81,18.56,18.09,17.28,17.81,18.41,17.75,16.59,16.88,18.59,20.03,21.16,22.75,25.22,27.22,27.34,26.81,27.78,28.72,28.38,27.03,27.22,27.75,26.62,24.66,23.81,24.12,23.88,22.78,22.09,22.69,22.69,21.19,19.41,19.75,20.5,20.44,20.5,21.91,24.31,25.28,24.72,24.94,25.91,26.09,25.0,24.81,25.97,26.5,25.12,23.84,24.03,24.31,23.94,23.22,23.75,24.34,23.41,21.09,19.62,19.22,18.47,16.69,15.19,15.25,15.53,14.41,13.44,13.72,14.66,14.44,13.53,15.0,17.16,18.81,19.47,20.5,22.38,24.09,24.19,24.66,26.53,28.06,27.47,25.22,24.56,23.34,20.44,16.66,14.06,12.66,10.97,8.59,7.62,8.53,9.25,9.0,9.25,11.03,13.38,13.88,13.75,14.88,15.72,15.69,14.41,14.5,15.78,16.66,16.56,17.66,20.28,22.41,22.44,21.81,21.88,21.59,19.84,17.47,16.88,16.59,15.94,13.75,13.16,13.81,13.5,12.16,11.47,12.19,13.44,13.28,13.28,15.34,17.44,18.97,19.69,21.91,24.56,26.72,27.47,28.94,30.84,31.78,29.94,27.41,25.38,23.22,19.62,16.12,14.47,13.81,12.22,10.34,9.81,10.41,10.72,9.78,9.38,10.44,11.25,10.56,10.5,12.22,14.53,15.06,15.5,16.78,18.09,18.12,16.91,16.84,17.12,16.47,13.91,11.47,10.25,9.44,7.38,6.56,8.16,10.53,11.88,12.59,14.28,15.72,15.5,13.62,12.47,12.25,11.75,9.66,8.44,8.94,9.34,8.53,7.81,9.12,10.44,10.06,8.69,76.34,75.5,75.22,75.22,75.12,74.44,74.09,73.75,72.56,70.91,69.19,68.66,68.03,67.47,67.28,67.41,67.25,66.81,65.59,64.78,63.91,62.81,61.62,61.47,62.12,63.06,64.09,65.47,67.5,69.16,70.41,71.78,73.31,74.91,75.78,76.06,76.06,75.66,74.66,72.72,71.06,69.62:positivity
18.66,19.84,20.34,21.69,23.88,25.66,25.88,26.19,27.91,29.66,29.69,29.28,29.66,30.31,29.31,27.06,25.56,25.41,24.56,23.03,22.59,23.38,24.34,23.97,24.31,25.88,28.03,28.78,28.91,30.03,32.22,33.06,32.41,32.16,32.03,30.5,26.88,23.56,21.44,19.5,16.53,14.62,14.59,15.81,16.47,16.62,18.28,20.41,21.06,20.25,19.47,19.5,19.47,18.69,19.34,22.56,26.59,29.12,31.41,34.0,36.75,37.25,36.66,36.69,36.91,35.47,32.34,29.19,26.97,25.0,21.84,20.03,20.53,21.28,21.0,20.31,20.44,21.41,21.16,20.28,20.38,21.19,21.06,19.88,19.0,19.62,20.44,19.62,18.94,19.94,21.25,21.56,21.78,23.56,25.91,27.12,27.34,27.91,29.5,30.22,29.47,28.84,28.94,27.88,24.91,21.25,19.38,17.94,15.69,13.38,12.06,11.59,10.25,7.81,6.25,6.69,7.0,6.5,6.78,9.28,11.72,12.97,14.0,15.41,16.78,15.69,13.47,11.75,11.59,10.31,8.59,7.91,8.75,9.25,8.69,8.44,9.97,11.06,11.44,11.62,13.06,16.0,17.38,18.59,20.84,24.16,26.31,27.0,27.56,28.5,28.09,25.56,21.81,19.12,16.38,12.78,9.97,9.25,10.09,10.59,10.53,10.91,12.22,12.62,11.03,9.16,7.56,5.28,1.28,-2.38,-3.59,-3.5,-3.53,-3.62,-2.0,0.56,2.75,4.41,6.88,10.62,13.47,15.12,16.09,18.03,19.97,20.03,19.44,19.59,20.12,19.31,17.81,18.28,20.25,22.19,23.12,23.78,24.94,24.72,22.22,18.75,16.44,13.84,9.53,5.06,2.41,0.56,-1.56,-3.47,-3.31,-1.38,0.84,2.56,4.56,7.75,9.91,9.78,9.19,9.62,10.41,10.19,10.16,11.88,14.47,15.5,14.78,13.75,12.72,10.19,6.84,4.19,4.0,4.28,3.53,1.94,1.38,0.09,-2.78,-6.34,-8.03,-8.19,-8.44,-8.62,-7.19,-3.97,-0.97,0.91,2.56,5.28,7.25,7.22,5.81,5.09,4.41,2.38,-0.19,-0.94,-0.5,0.06,-0.19,0.12,1.62,2.75,2.25,1.38,2.0,2.5,1.72,0.38,1.09,2.75,3.94,4.5,6.56,9.56,11.38,12.0,12.62,14.5,16.34,16.66,16.66,18.16,19.88,19.91,18.75,18.56,18.03,15.06,10.47,6.53,4.22,1.97,-0.97,-2.47,-1.75,-0.5,0.0,1.09,4.38,8.12,10.5,11.69,13.38,15.25,15.5,13.88,12.34,11.47,10.5,7.56,5.44,5.72,6.44,6.19,6.16,7.91,10.19,11.22,11.38,12.38,13.53,13.22,11.19,9.31,8.59,7.5,5.0,2.5,1.81,1.12,-0.53,-2.28,-1.84,-0.28,0.72,0.91,2.75,5.53,7.31,7.81,8.75,10.44,11.59,10.56,8.81,8.44,8.66,7.44,5.56,5.66,6.09,5.41,3.31,2.41,3.06,3.34,2.41,2.28,3.62,4.97,4.94,5.12,6.78,8.97,9.56,9.34,9.72,10.16,9.97,7.75,6.72,7.09,6.97,5.47,4.56,5.19,5.88,4.78,3.94,4.22,5.22,4.91,4.41,5.34,7.53,8.75,8.47,8.91,9.91,10.75,9.66,8.44,9.28,10.25,9.41,9.16,9.94,11.47,11.69,10.56,10.66,11.62,12.59,12.59,13.88,16.66,19.28,19.5,18.66,18.56,17.97,15.34,12.31,11.31,12.0,11.91,10.81,10.56,11.16,11.12,9.53,9.44,11.28,13.78,14.31,14.62,16.12,17.34,16.66,15.28,15.06,15.22,13.84,11.53,10.25,10.41,10.47,8.84,7.62,7.53,7.0,4.75,2.75,2.25,2.38,1.38,-0.12,-0.03,0.69,1.31,1.19,2.56,5.81,9.19,10.56,12.0,14.38,16.69,16.53,15.91,16.59,16.69,15.12,12.12,10.09,9.0,7.25,4.47,2.41,1.81,1.47,-0.41,-1.69,-0.28,1.75,2.84,3.53,5.72,8.47,9.62,9.22,9.28,10.0,9.56,6.91,5.06,5.16,5.62,4.66,4.59,6.09,8.53,9.25,9.03,9.88,10.47,9.69,7.44,6.0,6.22,5.97,4.53,3.91,5.09,6.78,6.62,6.88,8.0,9.59,8.69,7.38,6.94,7.56,7.38,6.22,5.94,7.34,7.66,6.34,4.81,4.97,5.12,3.59,2.84,4.25,7.41,9.19,10.66,13.06,15.56,16.31,15.16,14.06,13.91,13.06,10.31,8.34,8.59,9.88,10.03,10.12,11.28,13.34,13.47,12.78,13.03,14.41,14.88,13.59,13.12,14.28,15.78,15.59,15.84,17.53,19.28,18.06,15.94,14.34,13.47,11.53,9.66,9.53,11.06,12.19,11.66,11.03,11.12,10.88,8.75,6.56,6.59,7.88,7.72,7.34,7.56,8.41,7.34,4.91,3.66,4.5,5.59,5.66,6.38,8.78,10.72,9.97,8.91,9.03,10.12,9.19,8.0,7.91,8.97,8.81,7.78,7.69,9.0,9.91,9.16,7.94,8.22,8.22,6.56,4.62,4.81,6.31,6.75,6.88,7.91,10.22,10.97,9.81,8.34,8.03,6.88,3.59,0.72,0.0,-0.22,-1.38,-2.28,-1.38,0.88,2.62,3.69,5.81,9.06,11.31,11.72,12.16,13.62,14.12,11.66,8.66,6.53,4.97,2.25,-0.69,-2.22,-2.38,-4.09,-7.09,-8.88,-8.38,-7.72,-7.06,-4.81,0.19,6.31,10.62,14.38,18.81,22.28,22.0,19.44,16.84,14.72,11.22,6.12,2.34,1.19,0.03,-1.59,-1.78,0.81,4.25,5.56,6.19,7.47,8.69,7.44,5.12,3.78,4.09,3.75,2.59,2.16,4.0,5.12,4.88,4.88,6.69,8.59,8.88,8.38,9.25,10.56,10.56,9.81,10.0,11.56,12.03,10.81,9.25,9.41,8.91,7.16,5.69,6.72,8.66,9.84,10.44,12.56,15.06,15.66,14.31,13.41,13.62,12.78,10.5,8.75,9.28,9.97,9.5,8.91,9.88,11.69,11.97,11.31,12.12,13.09,12.75,10.75,9.16,8.91,8.41,6.88,5.44,6.0,6.72,6.06,5.12,6.22,8.16,9.0,9.03,9.88,11.66,12.0,11.25,11.09,12.47,13.44,13.19,12.97,13.91,15.16,14.75,13.47,13.84,15.28,16.03,16.22,17.78,20.97,23.03,23.22,23.38,24.28,24.34,22.62,20.5,20.31,19.94,18.06,15.41,14.16,14.03,13.41,12.28,12.88,15.22,17.16,17.75,17.88,18.72,18.56,15.91,12.72,11.47,11.19,10.25,8.66,8.06,7.66,5.38,1.72,-0.84,-0.94,0.34,1.47,3.97,8.81,13.69,16.0,16.78,18.0,18.47,16.66,13.06,10.5,8.56,5.75,1.72,-1.09,-1.75,-1.69,-2.03,-1.0,2.69,7.19,10.06,12.56,16.03,19.09,19.97,18.56,16.94,15.34,12.56,8.25,4.53,3.06,1.62,-0.94,-3.5,-3.97,-3.69,-4.34,-4.75,-3.38,-1.22,-0.47,-1.53,-2.19,-1.97,-2.31,-3.5,-4.0,-3.12,-2.38,-3.44,-5.0,-4.62,-3.38,-3.09,-2.59,-0.25,3.12,5.97,7.94,10.53,14.25,17.16,18.34,18.62,20.34,20.97,19.88,18.09,17.56,16.75,14.47,11.16,8.34,6.53,4.22,0.94,-1.03,-1.62,-1.78,-2.97,-3.25,-1.34,1.47,3.38,5.22,7.78,10.25,10.91,10.0,9.38,9.84,9.94,8.72,8.25,8.72,9.25,8.47,8.0,9.75,11.69,11.47,10.03,8.72,7.34,4.56,1.03,-1.12,-1.5,-1.66,-2.53,-2.5,-0.53,1.47,2.41,3.0,5.25,8.16,9.56,10.25,12.22,14.16,15.12,14.66,14.06,14.0,12.91,9.41,5.84,3.44,1.31,-2.12,-4.78,-5.66,-5.28,-5.5,-6.16,-4.91,-2.59,-0.97,-0.03,1.47,4.12,6.34,7.66,9.44,13.12,16.94,18.88,18.75,18.69,17.47,14.09,8.53,3.97,0.19,-3.53,-7.34,-9.12,-8.31,-6.31,-5.12,-2.97,0.84,5.28,8.22,10.5,13.34,15.66,16.69,15.81,15.28,15.31,14.88,12.88,11.31,11.22,11.03,9.47,7.75,7.38,7.31,6.28,4.91,5.03,5.53,5.31,4.16,4.19,6.09,8.31,9.97,11.88,14.88,17.25,17.22,15.91,15.5,15.28,13.22,11.56,11.47,12.94,14.38,15.0,15.62,16.41,16.06,13.78,11.53,11.25,11.69,10.78,9.81,9.5,9.97,8.91,7.78,8.41,11.25,14.31,16.62,20.03,23.91,26.28,26.38,25.47,25.19,25.12,23.59,21.47,20.28,19.62,17.09,13.47,10.47,8.91,7.25,4.19,1.94,0.88,-0.75,-3.25,-5.16,-4.75,-1.94,0.94,4.38,9.22,14.62,17.81,18.0,17.41,16.69,14.62,11.47,9.25,8.56,8.75,7.25,6.03,6.56,7.84,8.06,7.56,7.97,8.38,7.25,4.41,2.16,0.94,-0.19,-2.69,-4.31,-4.34,-3.31,-2.84,-1.5,2.03,7.03,10.84,13.59,16.53,19.53,20.94,20.75,21.12,22.97,25.03,26.09,27.25,29.22,30.72,29.88,27.81,26.19,24.38,21.25,16.91,13.78,12.69,11.72,11.19,11.94,15.25,18.5,20.62,22.19,24.31,26.56,26.75,26.22,26.66,27.88,27.91,26.81,25.94,25.44,23.75,20.25,16.41,13.66,10.66,6.5,2.69,0.53,-0.47,-1.91,-3.75,-4.16,-3.41,-3.06,-3.44,-2.38,0.81,4.06,6.38,8.56,11.5,13.38,12.91,11.03,9.84,9.34,7.97,6.81,7.41,9.94,11.69,12.31,12.69,14.53,15.44,14.53,13.53,13.72,14.25,13.0,12.09,12.47:26.19,27.91,29.66,29.69,29.28,29.66,30.31,29.31,27.06,25.56,25.41,24.56,23.03,22.59,23.38,24.34,23.97,24.31,25.88,28.03,28.78,28.91,30.03,32.22,33.06,32.41,32.16,32.03,30.5,26.88,23.56,21.44,19.5,16.53,14.62,14.59,15.81,16.47,16.62,18.28,20.41,21.06,20.25,19.47,19.5,19.47,18.69,19.34,22.56,26.59,29.12,31.41,34.0,36.75,37.25,36.66,36.69,36.91,35.47,32.34,29.19,26.97,25.0,21.84,20.03,20.53,21.28,21.0,20.31,20.44,21.41,21.16,20.28,20.38,21.19,21.06,19.88,19.0,19.62,20.44,19.62,18.94,19.94,21.25,21.56,21.78,23.56,25.91,27.12,27.34,27.91,29.5,30.22,29.47,28.84,28.94,27.88,24.91,21.25,19.38,17.94,15.69,13.38,12.06,11.59,10.25,7.81,6.25,6.69,7.0,6.5,6.78,9.28,11.72,12.97,14.0,15.41,16.78,15.69,13.47,11.75,11.59,10.31,8.59,7.91,8.75,9.25,8.69,8.44,9.97,11.06,11.44,11.62,13.06,16.0,17.38,18.59,20.84,24.16,26.31,27.0,27.56,28.5,28.09,25.56,21.81,19.12,16.38,12.78,9.97,9.25,10.09,10.59,10.53,10.91,12.22,12.62,11.03,9.16,7.56,5.28,1.28,-2.38,-3.59,-3.5,-3.53,-3.62,-2.0,0.56,2.75,4.41,6.88,10.62,13.47,15.12,16.09,18.03,19.97,20.03,19.44,19.59,20.12,19.31,17.81,18.28,20.25,22.19,23.12,23.78,24.94,24.72,22.22,18.75,16.44,13.84,9.53,5.06,2.41,0.56,-1.56,-3.47,-3.31,-1.38,0.84,2.56,4.56,7.75,9.91,9.78,9.19,9.62,10.41,10.19,10.16,11.88,14.47,15.5,14.78,13.75,12.72,10.19,6.84,4.19,4.0,4.28,3.53,1.94,1.38,0.09,-2.78,-6.34,-8.03,-8.19,-8.44,-8.62,-7.19,-3.97,-0.97,0.91,2.56,5.28,7.25,7.22,5.81,5.09,4.41,2.38,-0.19,-0.94,-0.5,0.06,-0.19,0.12,1.62,2.75,2.25,1.38,2.0,2.5,1.72,0.38,1.09,2.75,3.94,4.5,6.56,9.56,11.38,12.0,12.62,14.5,16.34,16.66,16.66,18.16,19.88,19.91,18.75,18.56,18.03,15.06,10.47,6.53,4.22,1.97,-0.97,-2.47,-1.75,-0.5,0.0,1.09,4.38,8.12,10.5,11.69,13.38,15.25,15.5,13.88,12.34,11.47,10.5,7.56,5.44,5.72,6.44,6.19,6.16,7.91,10.19,11.22,11.38,12.38,13.53,13.22,11.19,9.31,8.59,7.5,5.0,2.5,1.81,1.12,-0.53,-2.28,-1.84,-0.28,0.72,0.91,2.75,5.53,7.31,7.81,8.75,10.44,11.59,10.56,8.81,8.44,8.66,7.44,5.56,5.66,6.09,5.41,3.31,2.41,3.06,3.34,2.41,2.28,3.62,4.97,4.94,5.12,6.78,8.97,9.56,9.34,9.72,10.16,9.97,7.75,6.72,7.09,6.97,5.47,4.56,5.19,5.88,4.78,3.94,4.22,5.22,4.91,4.41,5.34,7.53,8.75,8.47,8.91,9.91,10.75,9.66,8.44,9.28,10.25,9.41,9.16,9.94,11.47,11.69,10.56,10.66,11.62,12.59,12.59,13.88,16.66,19.28,19.5,18.66,18.56,17.97,15.34,12.31,11.31,12.0,11.91,10.81,10.56,11.16,11.12,9.53,9.44,11.28,13.78,14.31,14.62,16.12,17.34,16.66,15.28,15.06,15.22,13.84,11.53,10.25,10.41,10.47,8.84,7.62,7.53,7.0,4.75,2.75,2.25,2.38,1.38,-0.12,-0.03,0.69,1.31,1.19,2.56,5.81,9.19,10.56,12.0,14.38,16.69,16.53,15.91,16.59,16.69,15.12,12.12,10.09,9.0,7.25,4.47,2.41,1.81,1.47,-0.41,-1.69,-0.28,1.75,2.84,3.53,5.72,8.47,9.62,9.22,9.28,10.0,9.56,6.91,5.06,5.16,5.62,4.66,4.59,6.09,8.53,9.25,9.03,9.88,10.47,9.69,7.44,6.0,6.22,5.97,4.53,3.91,5.09,6.78,6.62,6.88,8.0,9.59,8.69,7.38,6.94,7.56,7.38,6.22,5.94,7.34,7.66,6.34,4.81,4.97,5.12,3.59,2.84,4.25,7.41,9.19,10.66,13.06,15.56,16.31,15.16,14.06,13.91,13.06,10.31,8.34,8.59,9.88,10.03,10.12,11.28,13.34,13.47,12.78,13.03,14.41,14.88,13.59,13.12,14.28,15.78,15.59,15.84,17.53,19.28,18.06,15.94,14.34,13.47,11.53,9.66,9.53,11.06,12.19,11.66,11.03,11.12,10.88,8.75,6.56,6.59,7.88,7.72,7.34,7.56,8.41,7.34,4.91,3.66,4.5,5.59,5.66,6.38,8.78,10.72,9.97,8.91,9.03,10.12,9.19,8.0,7.91,8.97,8.81,7.78,7.69,9.0,9.91,9.16,7.94,8.22,8.22,6.56,4.62,4.81,6.31,6.75,6.88,7.91,10.22,10.97,9.81,8.34,8.03,6.88,3.59,0.72,0.0,-0.22,-1.38,-2.28,-1.38,0.88,2.62,3.69,5.81,9.06,11.31,11.72,12.16,13.62,14.12,11.66,8.66,6.53,4.97,2.25,-0.69,-2.22,-2.38,-4.09,-7.09,-8.88,-8.38,-7.72,-7.06,-4.81,0.19,6.31,10.62,14.38,18.81,22.28,22.0,19.44,16.84,14.72,11.22,6.12,2.34,1.19,0.03,-1.59,-1.78,0.81,4.25,5.56,6.19,7.47,8.69,7.44,5.12,3.78,4.09,3.75,2.59,2.16,4.0,5.12,4.88,4.88,6.69,8.59,8.88,8.38,9.25,10.56,10.56,9.81,10.0,11.56,12.03,10.81,9.25,9.41,8.91,7.16,5.69,6.72,8.66,9.84,10.44,12.56,15.06,15.66,14.31,13.41,13.62,12.78,10.5,8.75,9.28,9.97,9.5,8.91,9.88,11.69,11.97,11.31,12.12,13.09,12.75,10.75,9.16,8.91,8.41,6.88,5.44,6.0,6.72,6.06,5.12,6.22,8.16,9.0,9.03,9.88,11.66,12.0,11.25,11.09,12.47,13.44,13.19,12.97,13.91,15.16,14.75,13.47,13.84,15.28,16.03,16.22,17.78,20.97,23.03,23.22,23.38,24.28,24.34,22.62,20.5,20.31,19.94,18.06,15.41,14.16,14.03,13.41,12.28,12.88,15.22,17.16,17.75,17.88,18.72,18.56,15.91,12.72,11.47,11.19,10.25,8.66,8.06,7.66,5.38,1.72,-0.84,-0.94,0.34,1.47,3.97,8.81,13.69,16.0,16.78,18.0,18.47,16.66,13.06,10.5,8.56,5.75,1.72,-1.09,-1.75,-1.69,-2.03,-1.0,2.69,7.19,10.06,12.56,16.03,19.09,19.97,18.56,16.94,15.34,12.56,8.25,4.53,3.06,1.62,-0.94,-3.5,-3.97,-3.69,-4.34,-4.75,-3.38,-1.22,-0.47,-1.53,-2.19,-1.97,-2.31,-3.5,-4.0,-3.12,-2.38,-3.44,-5.0,-4.62,-3.38,-3.09,-2.59,-0.25,3.12,5.97,7.94,10.53,14.25,17.16,18.34,18.62,20.34,20.97,19.88,18.09,17.56,16.75,14.47,11.16,8.34,6.53,4.22,0.94,-1.03,-1.62,-1.78,-2.97,-3.25,-1.34,1.47,3.38,5.22,7.78,10.25,10.91,10.0,9.38,9.84,9.94,8.72,8.25,8.72,9.25,8.47,8.0,9.75,11.69,11.47,10.03,8.72,7.34,4.56,1.03,-1.12,-1.5,-1.66,-2.53,-2.5,-0.53,1.47,2.41,3.0,5.25,8.16,9.56,10.25,12.22,14.16,15.12,14.66,14.06,14.0,12.91,9.41,5.84,3.44,1.31,-2.12,-4.78,-5.66,-5.28,-5.5,-6.16,-4.91,-2.59,-0.97,-0.03,1.47,4.12,6.34,7.66,9.44,13.12,16.94,18.88,18.75,18.69,17.47,14.09,8.53,3.97,0.19,-3.53,-7.34,-9.12,-8.31,-6.31,-5.12,-2.97,0.84,5.28,8.22,10.5,13.34,15.66,16.69,15.81,15.28,15.31,14.88,12.88,11.31,11.22,11.03,9.47,7.75,7.38,7.31,6.28,4.91,5.03,5.53,5.31,4.16,4.19,6.09,8.31,9.97,11.88,14.88,17.25,17.22,15.91,15.5,15.28,13.22,11.56,11.47,12.94,14.38,15.0,15.62,16.41,16.06,13.78,11.53,11.25,11.69,10.78,9.81,9.5,9.97,8.91,7.78,8.41,11.25,14.31,16.62,20.03,23.91,26.28,26.38,25.47,25.19,25.12,23.59,21.47,20.28,19.62,17.09,13.47,10.47,8.91,7.25,4.19,1.94,0.88,-0.75,-3.25,-5.16,-4.75,-1.94,0.94,4.38,9.22,14.62,17.81,18.0,17.41,16.69,14.62,11.47,9.25,8.56,8.75,7.25,6.03,6.56,7.84,8.06,7.56,7.97,8.38,7.25,4.41,2.16,0.94,-0.19,-2.69,-4.31,-4.34,-3.31,-2.84,-1.5,2.03,7.03,10.84,13.59,16.53,19.53,20.94,20.75,21.12,22.97,25.03,26.09,27.25,29.22,30.72,29.88,27.81,26.19,24.38,21.25,16.91,13.78,12.69,11.72,11.19,11.94,15.25,18.5,20.62,22.19,24.31,26.56,26.75,26.22,26.66,27.88,27.91,26.81,25.94,25.44,23.75,20.25,16.41,13.66,10.66,6.5,2.69,0.53,-0.47,-1.91,-3.75,-4.16,-3.41,-3.06,-3.44,-2.38,0.81,4.06,6.38,8.56,11.5,13.38,12.91,11.03,9.84,9.34,7.97,6.81,7.41,9.94,11.69,12.31,12.69,14.53,15.44,14.53,13.53,13.72,14.25,13.0,12.09,12.47,46.5,46.41,46.53,46.53,46.47,46.69,48.06:29.31,27.06,25.56,25.41,24.56,23.03,22.59,23.38,24.34,23.97,24.31,25.88,28.03,28.78,28.91,30.03,32.22,33.06,32.41,32.16,32.03,30.5,26.88,23.56,21.44,19.5,16.53,14.62,14.59,15.81,16.47,16.62,18.28,20.41,21.06,20.25,19.47,19.5,19.47,18.69,19.34,22.56,26.59,29.12,31.41,34.0,36.75,37.25,36.66,36.69,36.91,35.47,32.34,29.19,26.97,25.0,21.84,20.03,20.53,21.28,21.0,20.31,20.44,21.41,21.16,20.28,20.38,21.19,21.06,19.88,19.0,19.62,20.44,19.62,18.94,19.94,21.25,21.56,21.78,23.56,25.91,27.12,27.34,27.91,29.5,30.22,29.47,28.84,28.94,27.88,24.91,21.25,19.38,17.94,15.69,13.38,12.06,11.59,10.25,7.81,6.25,6.69,7.0,6.5,6.78,9.28,11.72,12.97,14.0,15.41,16.78,15.69,13.47,11.75,11.59,10.31,8.59,7.91,8.75,9.25,8.69,8.44,9.97,11.06,11.44,11.62,13.06,16.0,17.38,18.59,20.84,24.16,26.31,27.0,27.56,28.5,28.09,25.56,21.81,19.12,16.38,12.78,9.97,9.25,10.09,10.59,10.53,10.91,12.22,12.62,11.03,9.16,7.56,5.28,1.28,-2.38,-3.59,-3.5,-3.53,-3.62,-2.0,0.56,2.75,4.41,6.88,10.62,13.47,15.12,16.09,18.03,19.97,20.03,19.44,19.59,20.12,19.31,17.81,18.28,20.25,22.19,23.12,23.78,24.94,24.72,22.22,18.75,16.44,13.84,9.53,5.06,2.41,0.56,-1.56,-3.47,-3.31,-1.38,0.84,2.56,4.56,7.75,9.91,9.78,9.19,9.62,10.41,10.19,10.16,11.88,14.47,15.5,14.78,13.75,12.72,10.19,6.84,4.19,4.0,4.28,3.53,1.94,1.38,0.09,-2.78,-6.34,-8.03,-8.19,-8.44,-8.62,-7.19,-3.97,-0.97,0.91,2.56,5.28,7.25,7.22,5.81,5.09,4.41,2.38,-0.19,-0.94,-0.5,0.06,-0.19,0.12,1.62,2.75,2.25,1.38,2.0,2.5,1.72,0.38,1.09,2.75,3.94,4.5,6.56,9.56,11.38,12.0,12.62,14.5,16.34,16.66,16.66,18.16,19.88,19.91,18.75,18.56,18.03,15.06,10.47,6.53,4.22,1.97,-0.97,-2.47,-1.75,-0.5,0.0,1.09,4.38,8.12,10.5,11.69,13.38,15.25,15.5,13.88,12.34,11.47,10.5,7.56,5.44,5.72,6.44,6.19,6.16,7.91,10.19,11.22,11.38,12.38,13.53,13.22,11.19,9.31,8.59,7.5,5.0,2.5,1.81,1.12,-0.53,-2.28,-1.84,-0.28,0.72,0.91,2.75,5.53,7.31,7.81,8.75,10.44,11.59,10.56,8.81,8.44,8.66,7.44,5.56,5.66,6.09,5.41,3.31,2.41,3.06,3.34,2.41,2.28,3.62,4.97,4.94,5.12,6.78,8.97,9.56,9.34,9.72,10.16,9.97,7.75,6.72,7.09,6.97,5.47,4.56,5.19,5.88,4.78,3.94,4.22,5.22,4.91,4.41,5.34,7.53,8.75,8.47,8.91,9.91,10.75,9.66,8.44,9.28,10.25,9.41,9.16,9.94,11.47,11.69,10.56,10.66,11.62,12.59,12.59,13.88,16.66,19.28,19.5,18.66,18.56,17.97,15.34,12.31,11.31,12.0,11.91,10.81,10.56,11.16,11.12,9.53,9.44,11.28,13.78,14.31,14.62,16.12,17.34,16.66,15.28,15.06,15.22,13.84,11.53,10.25,10.41,10.47,8.84,7.62,7.53,7.0,4.75,2.75,2.25,2.38,1.38,-0.12,-0.03,0.69,1.31,1.19,2.56,5.81,9.19,10.56,12.0,14.38,16.69,16.53,15.91,16.59,16.69,15.12,12.12,10.09,9.0,7.25,4.47,2.41,1.81,1.47,-0.41,-1.69,-0.28,1.75,2.84,3.53,5.72,8.47,9.62,9.22,9.28,10.0,9.56,6.91,5.06,5.16,5.62,4.66,4.59,6.09,8.53,9.25,9.03,9.88,10.47,9.69,7.44,6.0,6.22,5.97,4.53,3.91,5.09,6.78,6.62,6.88,8.0,9.59,8.69,7.38,6.94,7.56,7.38,6.22,5.94,7.34,7.66,6.34,4.81,4.97,5.12,3.59,2.84,4.25,7.41,9.19,10.66,13.06,15.56,16.31,15.16,14.06,13.91,13.06,10.31,8.34,8.59,9.88,10.03,10.12,11.28,13.34,13.47,12.78,13.03,14.41,14.88,13.59,13.12,14.28,15.78,15.59,15.84,17.53,19.28,18.06,15.94,14.34,13.47,11.53,9.66,9.53,11.06,12.19,11.66,11.03,11.12,10.88,8.75,6.56,6.59,7.88,7.72,7.34,7.56,8.41,7.34,4.91,3.66,4.5,5.59,5.66,6.38,8.78,10.72,9.97,8.91,9.03,10.12,9.19,8.0,7.91,8.97,8.81,7.78,7.69,9.0,9.91,9.16,7.94,8.22,8.22,6.56,4.62,4.81,6.31,6.75,6.88,7.91,10.22,10.97,9.81,8.34,8.03,6.88,3.59,0.72,0.0,-0.22,-1.38,-2.28,-1.38,0.88,2.62,3.69,5.81,9.06,11.31,11.72,12.16,13.62,14.12,11.66,8.66,6.53,4.97,2.25,-0.69,-2.22,-2.38,-4.09,-7.09,-8.88,-8.38,-7.72,-7.06,-4.81,0.19,6.31,10.62,14.38,18.81,22.28,22.0,19.44,16.84,14.72,11.22,6.12,2.34,1.19,0.03,-1.59,-1.78,0.81,4.25,5.56,6.19,7.47,8.69,7.44,5.12,3.78,4.09,3.75,2.59,2.16,4.0,5.12,4.88,4.88,6.69,8.59,8.88,8.38,9.25,10.56,10.56,9.81,10.0,11.56,12.03,10.81,9.25,9.41,8.91,7.16,5.69,6.72,8.66,9.84,10.44,12.56,15.06,15.66,14.31,13.41,13.62,12.78,10.5,8.75,9.28,9.97,9.5,8.91,9.88,11.69,11.97,11.31,12.12,13.09,12.75,10.75,9.16,8.91,8.41,6.88,5.44,6.0,6.72,6.06,5.12,6.22,8.16,9.0,9.03,9.88,11.66,12.0,11.25,11.09,12.47,13.44,13.19,12.97,13.91,15.16,14.75,13.47,13.84,15.28,16.03,16.22,17.78,20.97,23.03,23.22,23.38,24.28,24.34,22.62,20.5,20.31,19.94,18.06,15.41,14.16,14.03,13.41,12.28,12.88,15.22,17.16,17.75,17.88,18.72,18.56,15.91,12.72,11.47,11.19,10.25,8.66,8.06,7.66,5.38,1.72,-0.84,-0.94,0.34,1.47,3.97,8.81,13.69,16.0,16.78,18.0,18.47,16.66,13.06,10.5,8.56,5.75,1.72,-1.09,-1.75,-1.69,-2.03,-1.0,2.69,7.19,10.06,12.56,16.03,19.09,19.97,18.56,16.94,15.34,12.56,8.25,4.53,3.06,1.62,-0.94,-3.5,-3.97,-3.69,-4.34,-4.75,-3.38,-1.22,-0.47,-1.53,-2.19,-1.97,-2.31,-3.5,-4.0,-3.12,-2.38,-3.44,-5.0,-4.62,-3.38,-3.09,-2.59,-0.25,3.12,5.97,7.94,10.53,14.25,17.16,18.34,18.62,20.34,20.97,19.88,18.09,17.56,16.75,14.47,11.16,8.34,6.53,4.22,0.94,-1.03,-1.62,-1.78,-2.97,-3.25,-1.34,1.47,3.38,5.22,7.78,10.25,10.91,10.0,9.38,9.84,9.94,8.72,8.25,8.72,9.25,8.47,8.0,9.75,11.69,11.47,10.03,8.72,7.34,4.56,1.03,-1.12,-1.5,-1.66,-2.53,-2.5,-0.53,1.47,2.41,3.0,5.25,8.16,9.56,10.25,12.22,14.16,15.12,14.66,14.06,14.0,12.91,9.41,5.84,3.44,1.31,-2.12,-4.78,-5.66,-5.28,-5.5,-6.16,-4.91,-2.59,-0.97,-0.03,1.47,4.12,6.34,7.66,9.44,13.12,16.94,18.88,18.75,18.69,17.47,14.09,8.53,3.97,0.19,-3.53,-7.34,-9.12,-8.31,-6.31,-5.12,-2.97,0.84,5.28,8.22,10.5,13.34,15.66,16.69,15.81,15.28,15.31,14.88,12.88,11.31,11.22,11.03,9.47,7.75,7.38,7.31,6.28,4.91,5.03,5.53,5.31,4.16,4.19,6.09,8.31,9.97,11.88,14.88,17.25,17.22,15.91,15.5,15.28,13.22,11.56,11.47,12.94,14.38,15.0,15.62,16.41,16.06,13.78,11.53,11.25,11.69,10.78,9.81,9.5,9.97,8.91,7.78,8.41,11.25,14.31,16.62,20.03,23.91,26.28,26.38,25.47,25.19,25.12,23.59,21.47,20.28,19.62,17.09,13.47,10.47,8.91,7.25,4.19,1.94,0.88,-0.75,-3.25,-5.16,-4.75,-1.94,0.94,4.38,9.22,14.62,17.81,18.0,17.41,16.69,14.62,11.47,9.25,8.56,8.75,7.25,6.03,6.56,7.84,8.06,7.56,7.97,8.38,7.25,4.41,2.16,0.94,-0.19,-2.69,-4.31,-4.34,-3.31,-2.84,-1.5,2.03,7.03,10.84,13.59,16.53,19.53,20.94,20.75,21.12,22.97,25.03,26.09,27.25,29.22,30.72,29.88,27.81,26.19,24.38,21.25,16.91,13.78,12.69,11.72,11.19,11.94,15.25,18.5,20.62,22.19,24.31,26.56,26.75,26.22,26.66,27.88,27.91,26.81,25.94,25.44,23.75,20.25,16.41,13.66,10.66,6.5,2.69,0.53,-0.47,-1.91,-3.75,-4.16,-3.41,-3.06,-3.44,-2.38,0.81,4.06,6.38,8.56,11.5,13.38,12.91,11.03,9.84,9.34,7.97,6.81,7.41,9.94,11.69,12.31,12.69,14.53,15.44,14.53,13.53,13.72,14.25,13.0,12.09,12.47,46.5,46.41,46.53,46.53,46.47,46.69,48.06,49.22,50.22,51.78,53.81,55.62,56.12,56.5:23.38,24.34,23.97,24.31,25.88,28.03,28.78,28.91,30.03,32.22,33.06,32.41,32.16,32.03,30.5,26.88,23.56,21.44,19.5,16.53,14.62,14.59,15.81,16.47,16.62,18.28,20.41,21.06,20.25,19.47,19.5,19.47,18.69,19.34,22.56,26.59,29.12,31.41,34.0,36.75,37.25,36.66,36.69,36.91,35.47,32.34,29.19,26.97,25.0,21.84,20.03,20.53,21.28,21.0,20.31,20.44,21.41,21.16,20.28,20.38,21.19,21.06,19.88,19.0,19.62,20.44,19.62,18.94,19.94,21.25,21.56,21.78,23.56,25.91,27.12,27.34,27.91,29.5,30.22,29.47,28.84,28.94,27.88,24.91,21.25,19.38,17.94,15.69,13.38,12.06,11.59,10.25,7.81,6.25,6.69,7.0,6.5,6.78,9.28,11.72,12.97,14.0,15.41,16.78,15.69,13.47,11.75,11.59,10.31,8.59,7.91,8.75,9.25,8.69,8.44,9.97,11.06,11.44,11.62,13.06,16.0,17.38,18.59,20.84,24.16,26.31,27.0,27.56,28.5,28.09,25.56,21.81,19.12,16.38,12.78,9.97,9.25,10.09,10.59,10.53,10.91,12.22,12.62,11.03,9.16,7.56,5.28,1.28,-2.38,-3.59,-3.5,-3.53,-3.62,-2.0,0.56,2.75,4.41,6.88,10.62,13.47,15.12,16.09,18.03,19.97,20.03,19.44,19.59,20.12,19.31,17.81,18.28,20.25,22.19,23.12,23.78,24.94,24.72,22.22,18.75,16.44,13.84,9.53,5.06,2.41,0.56,-1.56,-3.47,-3.31,-1.38,0.84,2.56,4.56,7.75,9.91,9.78,9.19,9.62,10.41,10.19,10.16,11.88,14.47,15.5,14.78,13.75,12.72,10.19,6.84,4.19,4.0,4.28,3.53,1.94,1.38,0.09,-2.78,-6.34,-8.03,-8.19,-8.44,-8.62,-7.19,-3.97,-0.97,0.91,2.56,5.28,7.25,7.22,5.81,5.09,4.41,2.38,-0.19,-0.94,-0.5,0.06,-0.19,0.12,1.62,2.75,2.25,1.38,2.0,2.5,1.72,0.38,1.09,2.75,3.94,4.5,6.56,9.56,11.38,12.0,12.62,14.5,16.34,16.66,16.66,18.16,19.88,19.91,18.75,18.56,18.03,15.06,10.47,6.53,4.22,1.97,-0.97,-2.47,-1.75,-0.5,0.0,1.09,4.38,8.12,10.5,11.69,13.38,15.25,15.5,13.88,12.34,11.47,10.5,7.56,5.44,5.72,6.44,6.19,6.16,7.91,10.19,11.22,11.38,12.38,13.53,13.22,11.19,9.31,8.59,7.5,5.0,2.5,1.81,1.12,-0.53,-2.28,-1.84,-0.28,0.72,0.91,2.75,5.53,7.31,7.81,8.75,10.44,11.59,10.56,8.81,8.44,8.66,7.44,5.56,5.66,6.09,5.41,3.31,2.41,3.06,3.34,2.41,2.28,3.62,4.97,4.94,5.12,6.78,8.97,9.56,9.34,9.72,10.16,9.97,7.75,6.72,7.09,6.97,5.47,4.56,5.19,5.88,4.78,3.94,4.22,5.22,4.91,4.41,5.34,7.53,8.75,8.47,8.91,9.91,10.75,9.66,8.44,9.28,10.25,9.41,9.16,9.94,11.47,11.69,10.56,10.66,11.62,12.59,12.59,13.88,16.66,19.28,19.5,18.66,18.56,17.97,15.34,12.31,11.31,12.0,11.91,10.81,10.56,11.16,11.12,9.53,9.44,11.28,13.78,14.31,14.62,16.12,17.34,16.66,15.28,15.06,15.22,13.84,11.53,10.25,10.41,10.47,8.84,7.62,7.53,7.0,4.75,2.75,2.25,2.38,1.38,-0.12,-0.03,0.69,1.31,1.19,2.56,5.81,9.19,10.56,12.0,14.38,16.69,16.53,15.91,16.59,16.69,15.12,12.12,10.09,9.0,7.25,4.47,2.41,1.81,1.47,-0.41,-1.69,-0.28,1.75,2.84,3.53,5.72,8.47,9.62,9.22,9.28,10.0,9.56,6.91,5.06,5.16,5.62,4.66,4.59,6.09,8.53,9.25,9.03,9.88,10.47,9.69,7.44,6.0,6.22,5.97,4.53,3.91,5.09,6.78,6.62,6.88,8.0,9.59,8.69,7.38,6.94,7.56,7.38,6.22,5.94,7.34,7.66,6.34,4.81,4.97,5.12,3.59,2.84,4.25,7.41,9.19,10.66,13.06,15.56,16.31,15.16,14.06,13.91,13.06,10.31,8.34,8.59,9.88,10.03,10.12,11.28,13.34,13.47,12.78,13.03,14.41,14.88,13.59,13.12,14.28,15.78,15.59,15.84,17.53,19.28,18.06,15.94,14.34,13.47,11.53,9.66,9.53,11.06,12.19,11.66,11.03,11.12,10.88,8.75,6.56,6.59,7.88,7.72,7.34,7.56,8.41,7.34,4.91,3.66,4.5,5.59,5.66,6.38,8.78,10.72,9.97,8.91,9.03,10.12,9.19,8.0,7.91,8.97,8.81,7.78,7.69,9.0,9.91,9.16,7.94,8.22,8.22,6.56,4.62,4.81,6.31,6.75,6.88,7.91,10.22,10.97,9.81,8.34,8.03,6.88,3.59,0.72,0.0,-0.22,-1.38,-2.28,-1.38,0.88,2.62,3.69,5.81,9.06,11.31,11.72,12.16,13.62,14.12,11.66,8.66,6.53,4.97,2.25,-0.69,-2.22,-2.38,-4.09,-7.09,-8.88,-8.38,-7.72,-7.06,-4.81,0.19,6.31,10.62,14.38,18.81,22.28,22.0,19.44,16.84,14.72,11.22,6.12,2.34,1.19,0.03,-1.59,-1.78,0.81,4.25,5.56,6.19,7.47,8.69,7.44,5.12,3.78,4.09,3.75,2.59,2.16,4.0,5.12,4.88,4.88,6.69,8.59,8.88,8.38,9.25,10.56,10.56,9.81,10.0,11.56,12.03,10.81,9.25,9.41,8.91,7.16,5.69,6.72,8.66,9.84,10.44,12.56,15.06,15.66,14.31,13.41,13.62,12.78,10.5,8.75,9.28,9.97,9.5,8.91,9.88,11.69,11.97,11.31,12.12,13.09,12.75,10.75,9.16,8.91,8.41,6.88,5.44,6.0,6.72,6.06,5.12,6.22,8.16,9.0,9.03,9.88,11.66,12.0,11.25,11.09,12.47,13.44,13.19,12.97,13.91,15.16,14.75,13.47,13.84,15.28,16.03,16.22,17.78,20.97,23.03,23.22,23.38,24.28,24.34,22.62,20.5,20.31,19.94,18.06,15.41,14.16,14.03,13.41,12.28,12.88,15.22,17.16,17.75,17.88,18.72,18.56,15.91,12.72,11.47,11.19,10.25,8.66,8.06,7.66,5.38,1.72,-0.84,-0.94,0.34,1.47,3.97,8.81,13.69,16.0,16.78,18.0,18.47,16.66,13.06,10.5,8.56,5.75,1.72,-1.09,-1.75,-1.69,-2.03,-1.0,2.69,7.19,10.06,12.56,16.03,19.09,19.97,18.56,16.94,15.34,12.56,8.25,4.53,3.06,1.62,-0.94,-3.5,-3.97,-3.69,-4.34,-4.75,-3.38,-1.22,-0.47,-1.53,-2.19,-1.97,-2.31,-3.5,-4.0,-3.12,-2.38,-3.44,-5.0,-4.62,-3.38,-3.09,-2.59,-0.25,3.12,5.97,7.94,10.53,14.25,17.16,18.34,18.62,20.34,20.97,19.88,18.09,17.56,16.75,14.47,11.16,8.34,6.53,4.22,0.94,-1.03,-1.62,-1.78,-2.97,-3.25,-1.34,1.47,3.38,5.22,7.78,10.25,10.91,10.0,9.38,9.84,9.94,8.72,8.25,8.72,9.25,8.47,8.0,9.75,11.69,11.47,10.03,8.72,7.34,4.56,1.03,-1.12,-1.5,-1.66,-2.53,-2.5,-0.53,1.47,2.41,3.0,5.25,8.16,9.56,10.25,12.22,14.16,15.12,14.66,14.06,14.0,12.91,9.41,5.84,3.44,1.31,-2.12,-4.78,-5.66,-5.28,-5.5,-6.16,-4.91,-2.59,-0.97,-0.03,1.47,4.12,6.34,7.66,9.44,13.12,16.94,18.88,18.75,18.69,17.47,14.09,8.53,3.97,0.19,-3.53,-7.34,-9.12,-8.31,-6.31,-5.12,-2.97,0.84,5.28,8.22,10.5,13.34,15.66,16.69,15.81,15.28,15.31,14.88,12.88,11.31,11.22,11.03,9.47,7.75,7.38,7.31,6.28,4.91,5.03,5.53,5.31,4.16,4.19,6.09,8.31,9.97,11.88,14.88,17.25,17.22,15.91,15.5,15.28,13.22,11.56,11.47,12.94,14.38,15.0,15.62,16.41,16.06,13.78,11.53,11.25,11.69,10.78,9.81,9.5,9.97,8.91,7.78,8.41,11.25,14.31,16.62,20.03,23.91,26.28,26.38,25.47,25.19,25.12,23.59,21.47,20.28,19.62,17.09,13.47,10.47,8.91,7.25,4.19,1.94,0.88,-0.75,-3.25,-5.16,-4.75,-1.94,0.94,4.38,9.22,14.62,17.81,18.0,17.41,16.69,14.62,11.47,9.25,8.56,8.75,7.25,6.03,6.56,7.84,8.06,7.56,7.97,8.38,7.25,4.41,2.16,0.94,-0.19,-2.69,-4.31,-4.34,-3.31,-2.84,-1.5,2.03,7.03,10.84,13.59,16.53,19.53,20.94,20.75,21.12,22.97,25.03,26.09,27.25,29.22,30.72,29.88,27.81,26.19,24.38,21.25,16.91,13.78,12.69,11.72,11.19,11.94,15.25,18.5,20.62,22.19,24.31,26.56,26.75,26.22,26.66,27.88,27.91,26.81,25.94,25.44,23.75,20.25,16.41,13.66,10.66,6.5,2.69,0.53,-0.47,-1.91,-3.75,-4.16,-3.41,-3.06,-3.44,-2.38,0.81,4.06,6.38,8.56,11.5,13.38,12.91,11.03,9.84,9.34,7.97,6.81,7.41,9.94,11.69,12.31,12.69,14.53,15.44,14.53,13.53,13.72,14.25,13.0,12.09,12.47,46.5,46.41,46.53,46.53,46.47,46.69,48.06,49.22,50.22,51.78,53.81,55.62,56.12,56.5,56.34,55.75,54.5,53.06,52.03,51.22,50.72:28.91,30.03,32.22,33.06,32.41,32.16,32.03,30.5,26.88,23.56,21.44,19.5,16.53,14.62,14.59,15.81,16.47,16.62,18.28,20.41,21.06,20.25,19.47,19.5,19.47,18.69,19.34,22.56,26.59,29.12,31.41,34.0,36.75,37.25,36.66,36.69,36.91,35.47,32.34,29.19,26.97,25.0,21.84,20.03,20.53,21.28,21.0,20.31,20.44,21.41,21.16,20.28,20.38,21.19,21.06,19.88,19.0,19.62,20.44,19.62,18.94,19.94,21.25,21.56,21.78,23.56,25.91,27.12,27.34,27.91,29.5,30.22,29.47,28.84,28.94,27.88,24.91,21.25,19.38,17.94,15.69,13.38,12.06,11.59,10.25,7.81,6.25,6.69,7.0,6.5,6.78,9.28,11.72,12.97,14.0,15.41,16.78,15.69,13.47,11.75,11.59,10.31,8.59,7.91,8.75,9.25,8.69,8.44,9.97,11.06,11.44,11.62,13.06,16.0,17.38,18.59,20.84,24.16,26.31,27.0,27.56,28.5,28.09,25.56,21.81,19.12,16.38,12.78,9.97,9.25,10.09,10.59,10.53,10.91,12.22,12.62,11.03,9.16,7.56,5.28,1.28,-2.38,-3.59,-3.5,-3.53,-3.62,-2.0,0.56,2.75,4.41,6.88,10.62,13.47,15.12,16.09,18.03,19.97,20.03,19.44,19.59,20.12,19.31,17.81,18.28,20.25,22.19,23.12,23.78,24.94,24.72,22.22,18.75,16.44,13.84,9.53,5.06,2.41,0.56,-1.56,-3.47,-3.31,-1.38,0.84,2.56,4.56,7.75,9.91,9.78,9.19,9.62,10.41,10.19,10.16,11.88,14.47,15.5,14.78,13.75,12.72,10.19,6.84,4.19,4.0,4.28,3.53,1.94,1.38,0.09,-2.78,-6.34,-8.03,-8.19,-8.44,-8.62,-7.19,-3.97,-0.97,0.91,2.56,5.28,7.25,7.22,5.81,5.09,4.41,2.38,-0.19,-0.94,-0.5,0.06,-0.19,0.12,1.62,2.75,2.25,1.38,2.0,2.5,1.72,0.38,1.09,2.75,3.94,4.5,6.56,9.56,11.38,12.0,12.62,14.5,16.34,16.66,16.66,18.16,19.88,19.91,18.75,18.56,18.03,15.06,10.47,6.53,4.22,1.97,-0.97,-2.47,-1.75,-0.5,0.0,1.09,4.38,8.12,10.5,11.69,13.38,15.25,15.5,13.88,12.34,11.47,10.5,7.56,5.44,5.72,6.44,6.19,6.16,7.91,10.19,11.22,11.38,12.38,13.53,13.22,11.19,9.31,8.59,7.5,5.0,2.5,1.81,1.12,-0.53,-2.28,-1.84,-0.28,0.72,0.91,2.75,5.53,7.31,7.81,8.75,10.44,11.59,10.56,8.81,8.44,8.66,7.44,5.56,5.66,6.09,5.41,3.31,2.41,3.06,3.34,2.41,2.28,3.62,4.97,4.94,5.12,6.78,8.97,9.56,9.34,9.72,10.16,9.97,7.75,6.72,7.09,6.97,5.47,4.56,5.19,5.88,4.78,3.94,4.22,5.22,4.91,4.41,5.34,7.53,8.75,8.47,8.91,9.91,10.75,9.66,8.44,9.28,10.25,9.41,9.16,9.94,11.47,11.69,10.56,10.66,11.62,12.59,12.59,13.88,16.66,19.28,19.5,18.66,18.56,17.97,15.34,12.31,11.31,12.0,11.91,10.81,10.56,11.16,11.12,9.53,9.44,11.28,13.78,14.31,14.62,16.12,17.34,16.66,15.28,15.06,15.22,13.84,11.53,10.25,10.41,10.47,8.84,7.62,7.53,7.0,4.75,2.75,2.25,2.38,1.38,-0.12,-0.03,0.69,1.31,1.19,2.56,5.81,9.19,10.56,12.0,14.38,16.69,16.53,15.91,16.59,16.69,15.12,12.12,10.09,9.0,7.25,4.47,2.41,1.81,1.47,-0.41,-1.69,-0.28,1.75,2.84,3.53,5.72,8.47,9.62,9.22,9.28,10.0,9.56,6.91,5.06,5.16,5.62,4.66,4.59,6.09,8.53,9.25,9.03,9.88,10.47,9.69,7.44,6.0,6.22,5.97,4.53,3.91,5.09,6.78,6.62,6.88,8.0,9.59,8.69,7.38,6.94,7.56,7.38,6.22,5.94,7.34,7.66,6.34,4.81,4.97,5.12,3.59,2.84,4.25,7.41,9.19,10.66,13.06,15.56,16.31,15.16,14.06,13.91,13.06,10.31,8.34,8.59,9.88,10.03,10.12,11.28,13.34,13.47,12.78,13.03,14.41,14.88,13.59,13.12,14.28,15.78,15.59,15.84,17.53,19.28,18.06,15.94,14.34,13.47,11.53,9.66,9.53,11.06,12.19,11.66,11.03,11.12,10.88,8.75,6.56,6.59,7.88,7.72,7.34,7.56,8.41,7.34,4.91,3.66,4.5,5.59,5.66,6.38,8.78,10.72,9.97,8.91,9.03,10.12,9.19,8.0,7.91,8.97,8.81,7.78,7.69,9.0,9.91,9.16,7.94,8.22,8.22,6.56,4.62,4.81,6.31,6.75,6.88,7.91,10.22,10.97,9.81,8.34,8.03,6.88,3.59,0.72,0.0,-0.22,-1.38,-2.28,-1.38,0.88,2.62,3.69,5.81,9.06,11.31,11.72,12.16,13.62,14.12,11.66,8.66,6.53,4.97,2.25,-0.69,-2.22,-2.38,-4.09,-7.09,-8.88,-8.38,-7.72,-7.06,-4.81,0.19,6.31,10.62,14.38,18.81,22.28,22.0,19.44,16.84,14.72,11.22,6.12,2.34,1.19,0.03,-1.59,-1.78,0.81,4.25,5.56,6.19,7.47,8.69,7.44,5.12,3.78,4.09,3.75,2.59,2.16,4.0,5.12,4.88,4.88,6.69,8.59,8.88,8.38,9.25,10.56,10.56,9.81,10.0,11.56,12.03,10.81,9.25,9.41,8.91,7.16,5.69,6.72,8.66,9.84,10.44,12.56,15.06,15.66,14.31,13.41,13.62,12.78,10.5,8.75,9.28,9.97,9.5,8.91,9.88,11.69,11.97,11.31,12.12,13.09,12.75,10.75,9.16,8.91,8.41,6.88,5.44,6.0,6.72,6.06,5.12,6.22,8.16,9.0,9.03,9.88,11.66,12.0,11.25,11.09,12.47,13.44,13.19,12.97,13.91,15.16,14.75,13.47,13.84,15.28,16.03,16.22,17.78,20.97,23.03,23.22,23.38,24.28,24.34,22.62,20.5,20.31,19.94,18.06,15.41,14.16,14.03,13.41,12.28,12.88,15.22,17.16,17.75,17.88,18.72,18.56,15.91,12.72,11.47,11.19,10.25,8.66,8.06,7.66,5.38,1.72,-0.84,-0.94,0.34,1.47,3.97,8.81,13.69,16.0,16.78,18.0,18.47,16.66,13.06,10.5,8.56,5.75,1.72,-1.09,-1.75,-1.69,-2.03,-1.0,2.69,7.19,10.06,12.56,16.03,19.09,19.97,18.56,16.94,15.34,12.56,8.25,4.53,3.06,1.62,-0.94,-3.5,-3.97,-3.69,-4.34,-4.75,-3.38,-1.22,-0.47,-1.53,-2.19,-1.97,-2.31,-3.5,-4.0,-3.12,-2.38,-3.44,-5.0,-4.62,-3.38,-3.09,-2.59,-0.25,3.12,5.97,7.94,10.53,14.25,17.16,18.34,18.62,20.34,20.97,19.88,18.09,17.56,16.75,14.47,11.16,8.34,6.53,4.22,0.94,-1.03,-1.62,-1.78,-2.97,-3.25,-1.34,1.47,3.38,5.22,7.78,10.25,10.91,10.0,9.38,9.84,9.94,8.72,8.25,8.72,9.25,8.47,8.0,9.75,11.69,11.47,10.03,8.72,7.34,4.56,1.03,-1.12,-1.5,-1.66,-2.53,-2.5,-0.53,1.47,2.41,3.0,5.25,8.16,9.56,10.25,12.22,14.16,15.12,14.66,14.06,14.0,12.91,9.41,5.84,3.44,1.31,-2.12,-4.78,-5.66,-5.28,-5.5,-6.16,-4.91,-2.59,-0.97,-0.03,1.47,4.12,6.34,7.66,9.44,13.12,16.94,18.88,18.75,18.69,17.47,14.09,8.53,3.97,0.19,-3.53,-7.34,-9.12,-8.31,-6.31,-5.12,-2.97,0.84,5.28,8.22,10.5,13.34,15.66,16.69,15.81,15.28,15.31,14.88,12.88,11.31,11.22,11.03,9.47,7.75,7.38,7.31,6.28,4.91,5.03,5.53,5.31,4.16,4.19,6.09,8.31,9.97,11.88,14.88,17.25,17.22,15.91,15.5,15.28,13.22,11.56,11.47,12.94,14.38,15.0,15.62,16.41,16.06,13.78,11.53,11.25,11.69,10.78,9.81,9.5,9.97,8.91,7.78,8.41,11.25,14.31,16.62,20.03,23.91,26.28,26.38,25.47,25.19,25.12,23.59,21.47,20.28,19.62,17.09,13.47,10.47,8.91,7.25,4.19,1.94,0.88,-0.75,-3.25,-5.16,-4.75,-1.94,0.94,4.38,9.22,14.62,17.81,18.0,17.41,16.69,14.62,11.47,9.25,8.56,8.75,7.25,6.03,6.56,7.84,8.06,7.56,7.97,8.38,7.25,4.41,2.16,0.94,-0.19,-2.69,-4.31,-4.34,-3.31,-2.84,-1.5,2.03,7.03,10.84,13.59,16.53,19.53,20.94,20.75,21.12,22.97,25.03,26.09,27.25,29.22,30.72,29.88,27.81,26.19,24.38,21.25,16.91,13.78,12.69,11.72,11.19,11.94,15.25,18.5,20.62,22.19,24.31,26.56,26.75,26.22,26.66,27.88,27.91,26.81,25.94,25.44,23.75,20.25,16.41,13.66,10.66,6.5,2.69,0.53,-0.47,-1.91,-3.75,-4.16,-3.41,-3.06,-3.44,-2.38,0.81,4.06,6.38,8.56,11.5,13.38,12.91,11.03,9.84,9.34,7.97,6.81,7.41,9.94,11.69,12.31,12.69,14.53,15.44,14.53,13.53,13.72,14.25,13.0,12.09,12.47,46.5,46.41,46.53,46.53,46.47,46.69,48.06,49.22,50.22,51.78,53.81,55.62,56.12,56.5,56.34,55.75,54.5,53.06,52.03,51.22,50.72,50.22,50.5,51.34,52.59,52.59,52.91,53.66:30.5,26.88,23.56,21.44,19.5,16.53,14.62,14.59,15.81,16.47,16.62,18.28,20.41,21.06,20.25,19.47,19.5,19.47,18.69,19.34,22.56,26.59,29.12,31.41,34.0,36.75,37.25,36.66,36.69,36.91,35.47,32.34,29.19,26.97,25.0,21.84,20.03,20.53,21.28,21.0,20.31,20.44,21.41,21.16,20.28,20.38,21.19,21.06,19.88,19.0,19.62,20.44,19.62,18.94,19.94,21.25,21.56,21.78,23.56,25.91,27.12,27.34,27.91,29.5,30.22,29.47,28.84,28.94,27.88,24.91,21.25,19.38,17.94,15.69,13.38,12.06,11.59,10.25,7.81,6.25,6.69,7.0,6.5,6.78,9.28,11.72,12.97,14.0,15.41,16.78,15.69,13.47,11.75,11.59,10.31,8.59,7.91,8.75,9.25,8.69,8.44,9.97,11.06,11.44,11.62,13.06,16.0,17.38,18.59,20.84,24.16,26.31,27.0,27.56,28.5,28.09,25.56,21.81,19.12,16.38,12.78,9.97,9.25,10.09,10.59,10.53,10.91,12.22,12.62,11.03,9.16,7.56,5.28,1.28,-2.38,-3.59,-3.5,-3.53,-3.62,-2.0,0.56,2.75,4.41,6.88,10.62,13.47,15.12,16.09,18.03,19.97,20.03,19.44,19.59,20.12,19.31,17.81,18.28,20.25,22.19,23.12,23.78,24.94,24.72,22.22,18.75,16.44,13.84,9.53,5.06,2.41,0.56,-1.56,-3.47,-3.31,-1.38,0.84,2.56,4.56,7.75,9.91,9.78,9.19,9.62,10.41,10.19,10.16,11.88,14.47,15.5,14.78,13.75,12.72,10.19,6.84,4.19,4.0,4.28,3.53,1.94,1.38,0.09,-2.78,-6.34,-8.03,-8.19,-8.44,-8.62,-7.19,-3.97,-0.97,0.91,2.56,5.28,7.25,7.22,5.81,5.09,4.41,2.38,-0.19,-0.94,-0.5,0.06,-0.19,0.12,1.62,2.75,2.25,1.38,2.0,2.5,1.72,0.38,1.09,2.75,3.94,4.5,6.56,9.56,11.38,12.0,12.62,14.5,16.34,16.66,16.66,18.16,19.88,19.91,18.75,18.56,18.03,15.06,10.47,6.53,4.22,1.97,-0.97,-2.47,-1.75,-0.5,0.0,1.09,4.38,8.12,10.5,11.69,13.38,15.25,15.5,13.88,12.34,11.47,10.5,7.56,5.44,5.72,6.44,6.19,6.16,7.91,10.19,11.22,11.38,12.38,13.53,13.22,11.19,9.31,8.59,7.5,5.0,2.5,1.81,1.12,-0.53,-2.28,-1.84,-0.28,0.72,0.91,2.75,5.53,7.31,7.81,8.75,10.44,11.59,10.56,8.81,8.44,8.66,7.44,5.56,5.66,6.09,5.41,3.31,2.41,3.06,3.34,2.41,2.28,3.62,4.97,4.94,5.12,6.78,8.97,9.56,9.34,9.72,10.16,9.97,7.75,6.72,7.09,6.97,5.47,4.56,5.19,5.88,4.78,3.94,4.22,5.22,4.91,4.41,5.34,7.53,8.75,8.47,8.91,9.91,10.75,9.66,8.44,9.28,10.25,9.41,9.16,9.94,11.47,11.69,10.56,10.66,11.62,12.59,12.59,13.88,16.66,19.28,19.5,18.66,18.56,17.97,15.34,12.31,11.31,12.0,11.91,10.81,10.56,11.16,11.12,9.53,9.44,11.28,13.78,14.31,14.62,16.12,17.34,16.66,15.28,15.06,15.22,13.84,11.53,10.25,10.41,10.47,8.84,7.62,7.53,7.0,4.75,2.75,2.25,2.38,1.38,-0.12,-0.03,0.69,1.31,1.19,2.56,5.81,9.19,10.56,12.0,14.38,16.69,16.53,15.91,16.59,16.69,15.12,12.12,10.09,9.0,7.25,4.47,2.41,1.81,1.47,-0.41,-1.69,-0.28,1.75,2.84,3.53,5.72,8.47,9.62,9.22,9.28,10.0,9.56,6.91,5.06,5.16,5.62,4.66,4.59,6.09,8.53,9.25,9.03,9.88,10.47,9.69,7.44,6.0,6.22,5.97,4.53,3.91,5.09,6.78,6.62,6.88,8.0,9.59,8.69,7.38,6.94,7.56,7.38,6.22,5.94,7.34,7.66,6.34,4.81,4.97,5.12,3.59,2.84,4.25,7.41,9.19,10.66,13.06,15.56,16.31,15.16,14.06,13.91,13.06,10.31,8.34,8.59,9.88,10.03,10.12,11.28,13.34,13.47,12.78,13.03,14.41,14.88,13.59,13.12,14.28,15.78,15.59,15.84,17.53,19.28,18.06,15.94,14.34,13.47,11.53,9.66,9.53,11.06,12.19,11.66,11.03,11.12,10.88,8.75,6.56,6.59,7.88,7.72,7.34,7.56,8.41,7.34,4.91,3.66,4.5,5.59,5.66,6.38,8.78,10.72,9.97,8.91,9.03,10.12,9.19,8.0,7.91,8.97,8.81,7.78,7.69,9.0,9.91,9.16,7.94,8.22,8.22,6.56,4.62,4.81,6.31,6.75,6.88,7.91,10.22,10.97,9.81,8.34,8.03,6.88,3.59,0.72,0.0,-0.22,-1.38,-2.28,-1.38,0.88,2.62,3.69,5.81,9.06,11.31,11.72,12.16,13.62,14.12,11.66,8.66,6.53,4.97,2.25,-0.69,-2.22,-2.38,-4.09,-7.09,-8.88,-8.38,-7.72,-7.06,-4.81,0.19,6.31,10.62,14.38,18.81,22.28,22.0,19.44,16.84,14.72,11.22,6.12,2.34,1.19,0.03,-1.59,-1.78,0.81,4.25,5.56,6.19,7.47,8.69,7.44,5.12,3.78,4.09,3.75,2.59,2.16,4.0,5.12,4.88,4.88,6.69,8.59,8.88,8.38,9.25,10.56,10.56,9.81,10.0,11.56,12.03,10.81,9.25,9.41,8.91,7.16,5.69,6.72,8.66,9.84,10.44,12.56,15.06,15.66,14.31,13.41,13.62,12.78,10.5,8.75,9.28,9.97,9.5,8.91,9.88,11.69,11.97,11.31,12.12,13.09,12.75,10.75,9.16,8.91,8.41,6.88,5.44,6.0,6.72,6.06,5.12,6.22,8.16,9.0,9.03,9.88,11.66,12.0,11.25,11.09,12.47,13.44,13.19,12.97,13.91,15.16,14.75,13.47,13.84,15.28,16.03,16.22,17.78,20.97,23.03,23.22,23.38,24.28,24.34,22.62,20.5,20.31,19.94,18.06,15.41,14.16,14.03,13.41,12.28,12.88,15.22,17.16,17.75,17.88,18.72,18.56,15.91,12.72,11.47,11.19,10.25,8.66,8.06,7.66,5.38,1.72,-0.84,-0.94,0.34,1.47,3.97,8.81,13.69,16.0,16.78,18.0,18.47,16.66,13.06,10.5,8.56,5.75,1.72,-1.09,-1.75,-1.69,-2.03,-1.0,2.69,7.19,10.06,12.56,16.03,19.09,19.97,18.56,16.94,15.34,12.56,8.25,4.53,3.06,1.62,-0.94,-3.5,-3.97,-3.69,-4.34,-4.75,-3.38,-1.22,-0.47,-1.53,-2.19,-1.97,-2.31,-3.5,-4.0,-3.12,-2.38,-3.44,-5.0,-4.62,-3.38,-3.09,-2.59,-0.25,3.12,5.97,7.94,10.53,14.25,17.16,18.34,18.62,20.34,20.97,19.88,18.09,17.56,16.75,14.47,11.16,8.34,6.53,4.22,0.94,-1.03,-1.62,-1.78,-2.97,-3.25,-1.34,1.47,3.38,5.22,7.78,10.25,10.91,10.0,9.38,9.84,9.94,8.72,8.25,8.72,9.25,8.47,8.0,9.75,11.69,11.47,10.03,8.72,7.34,4.56,1.03,-1.12,-1.5,-1.66,-2.53,-2.5,-0.53,1.47,2.41,3.0,5.25,8.16,9.56,10.25,12.22,14.16,15.12,14.66,14.06,14.0,12.91,9.41,5.84,3.44,1.31,-2.12,-4.78,-5.66,-5.28,-5.5,-6.16,-4.91,-2.59,-0.97,-0.03,1.47,4.12,6.34,7.66,9.44,13.12,16.94,18.88,18.75,18.69,17.47,14.09,8.53,3.97,0.19,-3.53,-7.34,-9.12,-8.31,-6.31,-5.12,-2.97,0.84,5.28,8.22,10.5,13.34,15.66,16.69,15.81,15.28,15.31,14.88,12.88,11.31,11.22,11.03,9.47,7.75,7.38,7.31,6.28,4.91,5.03,5.53,5.31,4.16,4.19,6.09,8.31,9.97,11.88,14.88,17.25,17.22,15.91,15.5,15.28,13.22,11.56,11.47,12.94,14.38,15.0,15.62,16.41,16.06,13.78,11.53,11.25,11.69,10.78,9.81,9.5,9.97,8.91,7.78,8.41,11.25,14.31,16.62,20.03,23.91,26.28,26.38,25.47,25.19,25.12,23.59,21.47,20.28,19.62,17.09,13.47,10.47,8.91,7.25,4.19,1.94,0.88,-0.75,-3.25,-5.16,-4.75,-1.94,0.94,4.38,9.22,14.62,17.81,18.0,17.41,16.69,14.62,11.47,9.25,8.56,8.75,7.25,6.03,6.56,7.84,8.06,7.56,7.97,8.38,7.25,4.41,2.16,0.94,-0.19,-2.69,-4.31,-4.34,-3.31,-2.84,-1.5,2.03,7.03,10.84,13.59,16.53,19.53,20.94,20.75,21.12,22.97,25.03,26.09,27.25,29.22,30.72,29.88,27.81,26.19,24.38,21.25,16.91,13.78,12.69,11.72,11.19,11.94,15.25,18.5,20.62,22.19,24.31,26.56,26.75,26.22,26.66,27.88,27.91,26.81,25.94,25.44,23.75,20.25,16.41,13.66,10.66,6.5,2.69,0.53,-0.47,-1.91,-3.75,-4.16,-3.41,-3.06,-3.44,-2.38,0.81,4.06,6.38,8.56,11.5,13.38,12.91,11.03,9.84,9.34,7.97,6.81,7.41,9.94,11.69,12.31,12.69,14.53,15.44,14.53,13.53,13.72,14.25,13.0,12.09,12.47,46.5,46.41,46.53,46.53,46.47,46.69,48.06,49.22,50.22,51.78,53.81,55.62,56.12,56.5,56.34,55.75,54.5,53.06,52.03,51.22,50.72,50.22,50.5,51.34,52.59,52.59,52.91,53.66,54.62,55.0,56.25,57.94,59.25,59.47,58.59:14.59,15.81,16.47,16.62,18.28,20.41,21.06,20.25,19.47,19.5,19.47,18.69,19.34,22.56,26.59,29.12,31.41,34.0,36.75,37.25,36.66,36.69,36.91,35.47,32.34,29.19,26.97,25.0,21.84,20.03,20.53,21.28,21.0,20.31,20.44,21.41,21.16,20.28,20.38,21.19,21.06,19.88,19.0,19.62,20.44,19.62,18.94,19.94,21.25,21.56,21.78,23.56,25.91,27.12,27.34,27.91,29.5,30.22,29.47,28.84,28.94,27.88,24.91,21.25,19.38,17.94,15.69,13.38,12.06,11.59,10.25,7.81,6.25,6.69,7.0,6.5,6.78,9.28,11.72,12.97,14.0,15.41,16.78,15.69,13.47,11.75,11.59,10.31,8.59,7.91,8.75,9.25,8.69,8.44,9.97,11.06,11.44,11.62,13.06,16.0,17.38,18.59,20.84,24.16,26.31,27.0,27.56,28.5,28.09,25.56,21.81,19.12,16.38,12.78,9.97,9.25,10.09,10.59,10.53,10.91,12.22,12.62,11.03,9.16,7.56,5.28,1.28,-2.38,-3.59,-3.5,-3.53,-3.62,-2.0,0.56,2.75,4.41,6.88,10.62,13.47,15.12,16.09,18.03,19.97,20.03,19.44,19.59,20.12,19.31,17.81,18.28,20.25,22.19,23.12,23.78,24.94,24.72,22.22,18.75,16.44,13.84,9.53,5.06,2.41,0.56,-1.56,-3.47,-3.31,-1.38,0.84,2.56,4.56,7.75,9.91,9.78,9.19,9.62,10.41,10.19,10.16,11.88,14.47,15.5,14.78,13.75,12.72,10.19,6.84,4.19,4.0,4.28,3.53,1.94,1.38,0.09,-2.78,-6.34,-8.03,-8.19,-8.44,-8.62,-7.19,-3.97,-0.97,0.91,2.56,5.28,7.25,7.22,5.81,5.09,4.41,2.38,-0.19,-0.94,-0.5,0.06,-0.19,0.12,1.62,2.75,2.25,1.38,2.0,2.5,1.72,0.38,1.09,2.75,3.94,4.5,6.56,9.56,11.38,12.0,12.62,14.5,16.34,16.66,16.66,18.16,19.88,19.91,18.75,18.56,18.03,15.06,10.47,6.53,4.22,1.97,-0.97,-2.47,-1.75,-0.5,0.0,1.09,4.38,8.12,10.5,11.69,13.38,15.25,15.5,13.88,12.34,11.47,10.5,7.56,5.44,5.72,6.44,6.19,6.16,7.91,10.19,11.22,11.38,12.38,13.53,13.22,11.19,9.31,8.59,7.5,5.0,2.5,1.81,1.12,-0.53,-2.28,-1.84,-0.28,0.72,0.91,2.75,5.53,7.31,7.81,8.75,10.44,11.59,10.56,8.81,8.44,8.66,7.44,5.56,5.66,6.09,5.41,3.31,2.41,3.06,3.34,2.41,2.28,3.62,4.97,4.94,5.12,6.78,8.97,9.56,9.34,9.72,10.16,9.97,7.75,6.72,7.09,6.97,5.47,4.56,5.19,5.88,4.78,3.94,4.22,5.22,4.91,4.41,5.34,7.53,8.75,8.47,8.91,9.91,10.75,9.66,8.44,9.28,10.25,9.41,9.16,9.94,11.47,11.69,10.56,10.66,11.62,12.59,12.59,13.88,16.66,19.28,19.5,18.66,18.56,17.97,15.34,12.31,11.31,12.0,11.91,10.81,10.56,11.16,11.12,9.53,9.44,11.28,13.78,14.31,14.62,16.12,17.34,16.66,15.28,15.06,15.22,13.84,11.53,10.25,10.41,10.47,8.84,7.62,7.53,7.0,4.75,2.75,2.25,2.38,1.38,-0.12,-0.03,0.69,1.31,1.19,2.56,5.81,9.19,10.56,12.0,14.38,16.69,16.53,15.91,16.59,16.69,15.12,12.12,10.09,9.0,7.25,4.47,2.41,1.81,1.47,-0.41,-1.69,-0.28,1.75,2.84,3.53,5.72,8.47,9.62,9.22,9.28,10.0,9.56,6.91,5.06,5.16,5.62,4.66,4.59,6.09,8.53,9.25,9.03,9.88,10.47,9.69,7.44,6.0,6.22,5.97,4.53,3.91,5.09,6.78,6.62,6.88,8.0,9.59,8.69,7.38,6.94,7.56,7.38,6.22,5.94,7.34,7.66,6.34,4.81,4.97,5.12,3.59,2.84,4.25,7.41,9.19,10.66,13.06,15.56,16.31,15.16,14.06,13.91,13.06,10.31,8.34,8.59,9.88,10.03,10.12,11.28,13.34,13.47,12.78,13.03,14.41,14.88,13.59,13.12,14.28,15.78,15.59,15.84,17.53,19.28,18.06,15.94,14.34,13.47,11.53,9.66,9.53,11.06,12.19,11.66,11.03,11.12,10.88,8.75,6.56,6.59,7.88,7.72,7.34,7.56,8.41,7.34,4.91,3.66,4.5,5.59,5.66,6.38,8.78,10.72,9.97,8.91,9.03,10.12,9.19,8.0,7.91,8.97,8.81,7.78,7.69,9.0,9.91,9.16,7.94,8.22,8.22,6.56,4.62,4.81,6.31,6.75,6.88,7.91,10.22,10.97,9.81,8.34,8.03,6.88,3.59,0.72,0.0,-0.22,-1.38,-2.28,-1.38,0.88,2.62,3.69,5.81,9.06,11.31,11.72,12.16,13.62,14.12,11.66,8.66,6.53,4.97,2.25,-0.69,-2.22,-2.38,-4.09,-7.09,-8.88,-8.38,-7.72,-7.06,-4.81,0.19,6.31,10.62,14.38,18.81,22.28,22.0,19.44,16.84,14.72,11.22,6.12,2.34,1.19,0.03,-1.59,-1.78,0.81,4.25,5.56,6.19,7.47,8.69,7.44,5.12,3.78,4.09,3.75,2.59,2.16,4.0,5.12,4.88,4.88,6.69,8.59,8.88,8.38,9.25,10.56,10.56,9.81,10.0,11.56,12.03,10.81,9.25,9.41,8.91,7.16,5.69,6.72,8.66,9.84,10.44,12.56,15.06,15.66,14.31,13.41,13.62,12.78,10.5,8.75,9.28,9.97,9.5,8.91,9.88,11.69,11.97,11.31,12.12,13.09,12.75,10.75,9.16,8.91,8.41,6.88,5.44,6.0,6.72,6.06,5.12,6.22,8.16,9.0,9.03,9.88,11.66,12.0,11.25,11.09,12.47,13.44,13.19,12.97,13.91,15.16,14.75,13.47,13.84,15.28,16.03,16.22,17.78,20.97,23.03,23.22,23.38,24.28,24.34,22.62,20.5,20.31,19.94,18.06,15.41,14.16,14.03,13.41,12.28,12.88,15.22,17.16,17.75,17.88,18.72,18.56,15.91,12.72,11.47,11.19,10.25,8.66,8.06,7.66,5.38,1.72,-0.84,-0.94,0.34,1.47,3.97,8.81,13.69,16.0,16.78,18.0,18.47,16.66,13.06,10.5,8.56,5.75,1.72,-1.09,-1.75,-1.69,-2.03,-1.0,2.69,7.19,10.06,12.56,16.03,19.09,19.97,18.56,16.94,15.34,12.56,8.25,4.53,3.06,1.62,-0.94,-3.5,-3.97,-3.69,-4.34,-4.75,-3.38,-1.22,-0.47,-1.53,-2.19,-1.97,-2.31,-3.5,-4.0,-3.12,-2.38,-3.44,-5.0,-4.62,-3.38,-3.09,-2.59,-0.25,3.12,5.97,7.94,10.53,14.25,17.16,18.34,18.62,20.34,20.97,19.88,18.09,17.56,16.75,14.47,11.16,8.34,6.53,4.22,0.94,-1.03,-1.62,-1.78,-2.97,-3.25,-1.34,1.47,3.38,5.22,7.78,10.25,10.91,10.0,9.38,9.84,9.94,8.72,8.25,8.72,9.25,8.47,8.0,9.75,11.69,11.47,10.03,8.72,7.34,4.56,1.03,-1.12,-1.5,-1.66,-2.53,-2.5,-0.53,1.47,2.41,3.0,5.25,8.16,9.56,10.25,12.22,14.16,15.12,14.66,14.06,14.0,12.91,9.41,5.84,3.44,1.31,-2.12,-4.78,-5.66,-5.28,-5.5,-6.16,-4.91,-2.59,-0.97,-0.03,1.47,4.12,6.34,7.66,9.44,13.12,16.94,18.88,18.75,18.69,17.47,14.09,8.53,3.97,0.19,-3.53,-7.34,-9.12,-8.31,-6.31,-5.12,-2.97,0.84,5.28,8.22,10.5,13.34,15.66,16.69,15.81,15.28,15.31,14.88,12.88,11.31,11.22,11.03,9.47,7.75,7.38,7.31,6.28,4.91,5.03,5.53,5.31,4.16,4.19,6.09,8.31,9.97,11.88,14.88,17.25,17.22,15.91,15.5,15.28,13.22,11.56,11.47,12.94,14.38,15.0,15.62,16.41,16.06,13.78,11.53,11.25,11.69,10.78,9.81,9.5,9.97,8.91,7.78,8.41,11.25,14.31,16.62,20.03,23.91,26.28,26.38,25.47,25.19,25.12,23.59,21.47,20.28,19.62,17.09,13.47,10.47,8.91,7.25,4.19,1.94,0.88,-0.75,-3.25,-5.16,-4.75,-1.94,0.94,4.38,9.22,14.62,17.81,18.0,17.41,16.69,14.62,11.47,9.25,8.56,8.75,7.25,6.03,6.56,7.84,8.06,7.56,7.97,8.38,7.25,4.41,2.16,0.94,-0.19,-2.69,-4.31,-4.34,-3.31,-2.84,-1.5,2.03,7.03,10.84,13.59,16.53,19.53,20.94,20.75,21.12,22.97,25.03,26.09,27.25,29.22,30.72,29.88,27.81,26.19,24.38,21.25,16.91,13.78,12.69,11.72,11.19,11.94,15.25,18.5,20.62,22.19,24.31,26.56,26.75,26.22,26.66,27.88,27.91,26.81,25.94,25.44,23.75,20.25,16.41,13.66,10.66,6.5,2.69,0.53,-0.47,-1.91,-3.75,-4.16,-3.41,-3.06,-3.44,-2.38,0.81,4.06,6.38,8.56,11.5,13.38,12.91,11.03,9.84,9.34,7.97,6.81,7.41,9.94,11.69,12.31,12.69,14.53,15.44,14.53,13.53,13.72,14.25,13.0,12.09,12.47,46.5,46.41,46.53,46.53,46.47,46.69,48.06,49.22,50.22,51.78,53.81,55.62,56.12,56.5,56.34,55.75,54.5,53.06,52.03,51.22,50.72,50.22,50.5,51.34,52.59,52.59,52.91,53.66,54.62,55.0,56.25,57.94,59.25,59.47,58.59,56.97,54.97,52.38,49.12,46.53,45.22,44.53:positivity
17.16,17.28,18.06,21.12,23.38,22.91,21.91,23.47,25.25,24.75,24.0,24.94,27.75,28.66,27.62,27.34,28.56,28.44,25.84,23.91,24.88,25.94,24.62,23.34,24.31,26.56,26.38,25.16,25.19,26.28,25.41,22.25,20.5,21.34,22.09,20.84,20.34,22.53,24.59,24.0,22.81,23.78,25.97,26.62,25.97,27.0,29.97,31.09,30.31,30.41,32.75,33.72,31.56,29.06,28.69,28.69,26.94,24.81,25.84,28.5,29.69,29.84,31.97,35.53,37.0,36.09,34.59,35.03,34.88,32.31,30.09,30.47,31.56,30.56,28.72,28.56,29.69,29.22,27.12,26.34,27.5,27.5,24.97,23.44,23.94,24.81,23.88,23.41,25.09,28.12,29.41,29.12,30.19,32.19,32.34,30.22,28.78,29.41,28.66,25.28,21.78,20.94,19.84,17.09,14.19,14.12,15.44,15.62,14.69,15.25,17.12,18.0,16.59,15.84,18.12,19.56,18.75,17.41,18.16,19.03,17.59,15.5,15.31,16.28,15.62,13.34,12.0,12.41,12.31,10.44,9.97,12.31,15.28,15.66,15.59,17.09,18.84,17.84,15.5,14.75,15.28,14.91,12.91,12.69,14.62,15.94,14.75,13.78,14.88,16.5,16.16,15.38,17.31,20.31,21.69,21.38,22.41,24.66,25.47,23.78,22.78,23.97,24.75,22.84,20.59,20.56,20.44,18.38,15.25,14.69,15.94,15.88,14.25,14.25,16.03,16.75,15.94,15.41,17.75,20.66,21.19,22.16,26.03,30.66,33.12,34.09,36.16,38.12,37.38,33.5,29.91,27.44,24.53,20.0,17.03,17.5,19.12,18.59,17.62,19.12,21.25,21.34,20.53,22.84,26.41,29.16,30.38,31.84,34.5,35.72,33.31,30.56,29.53,28.66,25.66,22.62,22.47,24.0,24.66,24.72,26.5,29.75,31.12,29.25,27.09,26.97,26.53,24.31,22.81,24.44,26.88,26.88,25.72,25.72,26.03,24.41,21.31,20.0,21.22,22.22,21.75,22.28,25.03,27.69,28.0,27.94,29.66,31.84,31.69,30.06,29.97,30.75,29.81,26.59,24.25,24.16,23.91,21.38,19.91,21.06,22.72,21.88,20.97,21.91,24.0,24.38,23.5,24.12,25.88,26.47,24.62,23.16,24.38,25.31,24.25,23.75,25.62,27.88,27.5,25.81,25.75,26.41,25.0,22.28,21.31,22.56,23.41,23.22,24.06,26.44,28.5,27.5,26.06,26.78,28.78,28.91,28.34,29.12,31.03,30.97,28.94,28.22,28.53,27.81,24.78,22.78,23.31,24.38,23.53,22.75,23.56,24.84,24.19,22.41,22.44,24.12,24.69,23.88,23.81,25.5,26.19,24.38,22.22,22.34,23.0,21.84,20.88,21.75,23.91,23.81,22.09,21.28,22.09,21.81,19.72,18.25,19.53,20.47,18.97,18.19,19.56,21.94,22.0,21.56,22.69,24.84,25.16,23.47,23.53,25.5,26.31,25.16,24.25,25.19,25.62,23.59,21.31,21.5,22.62,21.78,20.25,20.16,21.72,21.72,19.75,18.69,19.47,19.03,16.44,14.03,14.22,14.66,13.62,12.84,14.84,19.03,21.5,23.38,26.88,31.66,34.38,34.75,35.19,36.84,37.16,34.66,31.28,29.81,28.66,25.22,21.62,20.53,21.12,20.56,18.69,18.06,19.16,19.31,17.5,16.53,18.06,19.78,19.66,19.62,21.75,24.91,26.06,26.12,27.94,30.69,32.09,31.84,32.0,34.28,35.0,33.22,30.41,29.34,27.62,23.47,19.22,17.91,17.88,17.03,15.84,16.62,19.5,20.91,20.75,21.25,23.78,25.19,24.19,22.81,23.5,23.72,22.12,20.31,20.69,22.41,22.88,22.22,22.69,25.12,26.44,25.25,24.22,25.09,25.38,23.22,21.19,21.38,22.12,20.72,18.59,18.88,20.0,20.16,18.56,18.56,20.78,22.59,22.97,24.0,27.66,30.81,31.59,31.16,32.47,33.72,32.25,29.47,28.34,28.25,26.5,23.22,20.62,20.06,18.94,15.94,13.12,13.22,14.09,13.22,12.47,13.94,16.59,17.59,16.88,17.72,20.03,20.84,20.16,19.78,21.81,23.53,23.25,22.31,23.94,25.72,24.91,23.0,22.53,22.38,20.5,17.16,15.47,16.06,16.19,14.75,13.56,15.06,15.94,14.41,12.5,13.44,14.88,14.91,14.41,16.31,19.47,21.16,20.62,20.47,21.69,21.12,17.69,14.03,12.31,10.84,7.53,4.62,5.16,7.69,9.25,10.5,13.66,17.44,19.28,18.5,18.0,19.34,20.66,20.03,19.81,22.12,24.22,23.97,22.16,22.41,23.28,22.31,19.41,17.91,17.59,15.94,12.5,10.16,11.0,12.75,13.28,14.69,18.5,22.88,24.53,23.97,24.28,25.19,24.16,21.53,21.22,23.12,24.41,22.91,21.69,22.28,22.53,20.22,17.94,18.5,19.97,19.25,17.19,17.28,18.72,19.31,18.53,19.66,22.94,25.47,25.38,24.91,25.78,26.22,23.91,20.66,19.81,20.56,20.34,19.53,21.28,24.84,27.03,26.59,26.38,27.59,28.0,25.38,22.97,22.62,22.44,19.69,16.44,14.78,14.25,12.12,8.62,7.0,7.81,8.75,7.84,8.22,11.31,13.72,13.28,12.25,12.78,13.97,13.25,12.44,13.88,16.91,18.69,18.44,18.75,19.97,19.72,15.53,11.03,8.34,5.47,0.84,-3.06,-3.56,-1.84,-0.84,-0.19,2.66,6.81,9.75,10.28,11.12,13.72,15.91,15.16,14.94,16.88,19.84,20.88,21.41,24.09,27.62,28.31,26.34,25.44,25.31,24.19,20.66,17.88,17.38,16.38,12.31,8.34,7.03,7.0,5.5,4.34,6.06,10.12,12.53,13.34,15.19,18.66,20.47,19.31,18.41,19.38,20.0,17.94,15.56,15.28,15.44,12.56,8.19,5.44,4.59,2.5,-0.56,-1.94,-0.56,1.22,0.44,0.72,3.44,6.41,6.31,5.34,6.34,8.06,7.72,5.62,5.62,7.12,7.47,5.84,6.0,8.84,11.44,11.66,11.78,13.81,15.53,14.12,11.75,11.47,12.0,10.78,8.69,8.03,9.56,10.34,9.03,8.5,10.31,11.75,10.94,9.78,10.84,12.31,10.88,8.75,8.62,10.41,11.06,10.81,12.12,15.03,17.19,16.56,15.28,15.97,16.09,13.47,10.03,9.38,10.16,9.0,7.22,7.69,9.28,9.19,7.25,6.47,8.12,9.69,9.25,9.41,12.06,15.22,15.62,15.5,17.41,19.81,19.56,17.44,16.09,16.69,16.16,14.41,14.0,16.56,18.88,18.78,18.53,20.19,22.0,20.91,19.0,18.97,20.22,19.38,17.44,17.12,18.75,19.62,18.59,18.25,20.38,22.22,21.28,19.66,20.62,22.19,21.84,20.97,21.94,24.0,23.75,21.06,18.97,18.41,17.09,13.81,11.25,11.28,11.88,10.22,8.41,9.25,11.66,12.53,12.38,14.06,17.22,18.25,17.16,16.38,18.0,19.16,18.06,17.22,19.16,21.28,20.44,18.41,18.28,18.53,16.03,11.84,8.91,8.22,6.97,4.88,4.28,7.09,9.41,9.22,8.72,10.53,12.94,13.25,12.97,14.69,17.69,18.69,18.09,18.72,21.44,23.25,23.12,23.19,25.47,27.31,26.19,24.38,24.81,25.75,24.34,21.62,20.88,21.59,20.59,18.59,17.53,19.38,20.03,18.97,18.16,19.97,21.53,20.5,18.25,17.81,18.09,16.75,14.91,15.25,18.09,19.78,19.44,19.91,22.16,23.75,22.94,22.22,23.78,25.66,25.09,23.03,22.53,22.75,20.59,16.78,14.38,14.22,13.28,10.28,8.19,8.69,9.41,8.44,8.0,10.56,13.94,15.0,14.91,16.53,18.97,19.56,18.69,18.75,20.84,22.47,21.62,21.03,23.16,24.56,23.47,22.09,23.0,24.22,23.19,20.31,18.97,19.12,17.91,15.28,13.66,14.59,14.88,13.12,11.88,14.09,16.5,16.94,16.47,18.44,21.06,21.44,20.31,20.22,21.47,21.12,18.44,16.53,16.53,16.38,13.75,11.22,11.47,12.88,12.25,10.88,11.75,13.41,13.59,12.19,12.03,14.06,15.28,14.06,13.47,15.16,16.69,15.84,14.56,15.44,16.81,16.59,15.47,16.19,18.0,18.66,17.06,16.38,18.03,18.88,18.03,17.41,19.19,20.81,19.94,18.53,19.03,19.47,17.88,14.69,13.0,12.97,11.94,9.25,8.97,11.44,14.22,15.06,16.41,20.09,23.84,24.84,25.0,26.62,28.5,28.22,26.09,25.19,25.5,24.69,21.09,18.28,17.75,17.03,13.62,10.75,10.59,11.66,11.69,11.62,14.38,18.84,21.78,23.31,25.66,28.94,30.47,28.75,26.84,27.16,27.78,26.53,25.06,26.03,27.28,26.19,23.66,22.34,22.06,21.12,18.5,17.44,19.16,21.12,20.81,20.69,22.84,24.81,24.12,22.19,22.25,22.97,21.56,18.44,16.75,16.69,16.03,14.25,13.97,16.56,19.62,20.19,20.38,22.66,25.16,24.88,23.0,22.66,22.94,21.31,18.12,16.66,17.19,17.88,16.97,17.22,20.38,23.56,24.03,24.03,24.97,25.84,24.41,21.38,20.38,21.94,22.62,21.72,22.0,23.97,24.81,23.25,22.31,24.09,26.34,26.28,25.91,27.12,29.19,29.47,28.31,28.5,29.53,28.31,24.25,20.56,18.88,17.34,13.78,11.0,11.09,11.94,11.16,10.5,12.41,15.38,16.75,16.22,16.22,17.22,17.22,14.62,13.28,14.97,16.94,17.0,17.38,20.25,23.78,24.88,24.88,26.28,28.62,28.78,27.19,26.41,26.91,26.38,23.12,20.19,20.06,20.47,19.41,18.47,20.09:23.47,25.25,24.75,24.0,24.94,27.75,28.66,27.62,27.34,28.56,28.44,25.84,23.91,24.88,25.94,24.62,23.34,24.31,26.56,26.38,25.16,25.19,26.28,25.41,22.25,20.5,21.34,22.09,20.84,20.34,22.53,24.59,24.0,22.81,23.78,25.97,26.62,25.97,27.0,29.97,31.09,30.31,30.41,32.75,33.72,31.56,29.06,28.69,28.69,26.94,24.81,25.84,28.5,29.69,29.84,31.97,35.53,37.0,36.09,34.59,35.03,34.88,32.31,30.09,30.47,31.56,30.56,28.72,28.56,29.69,29.22,27.12,26.34,27.5,27.5,24.97,23.44,23.94,24.81,23.88,23.41,25.09,28.12,29.41,29.12,30.19,32.19,32.34,30.22,28.78,29.41,28.66,25.28,21.78,20.94,19.84,17.09,14.19,14.12,15.44,15.62,14.69,15.25,17.12,18.0,16.59,15.84,18.12,19.56,18.75,17.41,18.16,19.03,17.59,15.5,15.31,16.28,15.62,13.34,12.0,12.41,12.31,10.44,9.97,12.31,15.28,15.66,15.59,17.09,18.84,17.84,15.5,14.75,15.28,14.91,12.91,12.69,14.62,15.94,14.75,13.78,14.88,16.5,16.16,15.38,17.31,20.31,21.69,21.38,22.41,24.66,25.47,23.78,22.78,23.97,24.75,22.84,20.59,20.56,20.44,18.38,15.25,14.69,15.94,15.88,14.25,14.25,16.03,16.75,15.94,15.41,17.75,20.66,21.19,22.16,26.03,30.66,33.12,34.09,36.16,38.12,37.38,33.5,29.91,27.44,24.53,20.0,17.03,17.5,19.12,18.59,17.62,19.12,21.25,21.34,20.53,22.84,26.41,29.16,30.38,31.84,34.5,35.72,33.31,30.56,29.53,28.66,25.66,22.62,22.47,24.0,24.66,24.72,26.5,29.75,31.12,29.25,27.09,26.97,26.53,24.31,22.81,24.44,26.88,26.88,25.72,25.72,26.03,24.41,21.31,20.0,21.22,22.22,21.75,22.28,25.03,27.69,28.0,27.94,29.66,31.84,31.69,30.06,29.97,30.75,29.81,26.59,24.25,24.16,23.91,21.38,19.91,21.06,22.72,21.88,20.97,21.91,24.0,24.38,23.5,24.12,25.88,26.47,24.62,23.16,24.38,25.31,24.25,23.75,25.62,27.88,27.5,25.81,25.75,26.41,25.0,22.28,21.31,22.56,23.41,23.22,24.06,26.44,28.5,27.5,26.06,26.78,28.78,28.91,28.34,29.12,31.03,30.97,28.94,28.22,28.53,27.81,24.78,22.78,23.31,24.38,23.53,22.75,23.56,24.84,24.19,22.41,22.44,24.12,24.69,23.88,23.81,25.5,26.19,24.38,22.22,22.34,23.0,21.84,20.88,21.75,23.91,23.81,22.09,21.28,22.09,21.81,19.72,18.25,19.53,20.47,18.97,18.19,19.56,21.94,22.0,21.56,22.69,24.84,25.16,23.47,23.53,25.5,26.31,25.16,24.25,25.19,25.62,23.59,21.31,21.5,22.62,21.78,20.25,20.16,21.72,21.72,19.75,18.69,19.47,19.03,16.44,14.03,14.22,14.66,13.62,12.84,14.84,19.03,21.5,23.38,26.88,31.66,34.38,34.75,35.19,36.84,37.16,34.66,31.28,29.81,28.66,25.22,21.62,20.53,21.12,20.56,18.69,18.06,19.16,19.31,17.5,16.53,18.06,19.78,19.66,19.62,21.75,24.91,26.06,26.12,27.94,30.69,32.09,31.84,32.0,34.28,35.0,33.22,30.41,29.34,27.62,23.47,19.22,17.91,17.88,17.03,15.84,16.62,19.5,20.91,20.75,21.25,23.78,25.19,24.19,22.81,23.5,23.72,22.12,20.31,20.69,22.41,22.88,22.22,22.69,25.12,26.44,25.25,24.22,25.09,25.38,23.22,21.19,21.38,22.12,20.72,18.59,18.88,20.0,20.16,18.56,18.56,20.78,22.59,22.97,24.0,27.66,30.81,31.59,31.16,32.47,33.72,32.25,29.47,28.34,28.25,26.5,23.22,20.62,20.06,18.94,15.94,13.12,13.22,14.09,13.22,12.47,13.94,16.59,17.59,16.88,17.72,20.03,20.84,20.16,19.78,21.81,23.53,23.25,22.31,23.94,25.72,24.91,23.0,22.53,22.38,20.5,17.16,15.47,16.06,16.19,14.75,13.56,15.06,15.94,14.41,12.5,13.44,14.88,14.91,14.41,16.31,19.47,21.16,20.62,20.47,21.69,21.12,17.69,14.03,12.31,10.84,7.53,4.62,5.16,7.69,9.25,10.5,13.66,17.44,19.28,18.5,18.0,19.34,20.66,20.03,19.81,22.12,24.22,23.97,22.16,22.41,23.28,22.31,19.41,17.91,17.59,15.94,12.5,10.16,11.0,12.75,13.28,14.69,18.5,22.88,24.53,23.97,24.28,25.19,24.16,21.53,21.22,23.12,24.41,22.91,21.69,22.28,22.53,20.22,17.94,18.5,19.97,19.25,17.19,17.28,18.72,19.31,18.53,19.66,22.94,25.47,25.38,24.91,25.78,26.22,23.91,20.66,19.81,20.56,20.34,19.53,21.28,24.84,27.03,26.59,26.38,27.59,28.0,25.38,22.97,22.62,22.44,19.69,16.44,14.78,14.25,12.12,8.62,7.0,7.81,8.75,7.84,8.22,11.31,13.72,13.28,12.25,12.78,13.97,13.25,12.44,13.88,16.91,18.69,18.44,18.75,19.97,19.72,15.53,11.03,8.34,5.47,0.84,-3.06,-3.56,-1.84,-0.84,-0.19,2.66,6.81,9.75,10.28,11.12,13.72,15.91,15.16,14.94,16.88,19.84,20.88,21.41,24.09,27.62,28.31,26.34,25.44,25.31,24.19,20.66,17.88,17.38,16.38,12.31,8.34,7.03,7.0,5.5,4.34,6.06,10.12,12.53,13.34,15.19,18.66,20.47,19.31,18.41,19.38,20.0,17.94,15.56,15.28,15.44,12.56,8.19,5.44,4.59,2.5,-0.56,-1.94,-0.56,1.22,0.44,0.72,3.44,6.41,6.31,5.34,6.34,8.06,7.72,5.62,5.62,7.12,7.47,5.84,6.0,8.84,11.44,11.66,11.78,13.81,15.53,14.12,11.75,11.47,12.0,10.78,8.69,8.03,9.56,10.34,9.03,8.5,10.31,11.75,10.94,9.78,10.84,12.31,10.88,8.75,8.62,10.41,11.06,10.81,12.12,15.03,17.19,16.56,15.28,15.97,16.09,13.47,10.03,9.38,10.16,9.0,7.22,7.69,9.28,9.19,7.25,6.47,8.12,9.69,9.25,9.41,12.06,15.22,15.62,15.5,17.41,19.81,19.56,17.44,16.09,16.69,16.16,14.41,14.0,16.56,18.88,18.78,18.53,20.19,22.0,20.91,19.0,18.97,20.22,19.38,17.44,17.12,18.75,19.62,18.59,18.25,20.38,22.22,21.28,19.66,20.62,22.19,21.84,20.97,21.94,24.0,23.75,21.06,18.97,18.41,17.09,13.81,11.25,11.28,11.88,10.22,8.41,9.25,11.66,12.53,12.38,14.06,17.22,18.25,17.16,16.38,18.0,19.16,18.06,17.22,19.16,21.28,20.44,18.41,18.28,18.53,16.03,11.84,8.91,8.22,6.97,4.88,4.28,7.09,9.41,9.22,8.72,10.53,12.94,13.25,12.97,14.69,17.69,18.69,18.09,18.72,21.44,23.25,23.12,23.19,25.47,27.31,26.19,24.38,24.81,25.75,24.34,21.62,20.88,21.59,20.59,18.59,17.53,19.38,20.03,18.97,18.16,19.97,21.53,20.5,18.25,17.81,18.09,16.75,14.91,15.25,18.09,19.78,19.44,19.91,22.16,23.75,22.94,22.22,23.78,25.66,25.09,23.03,22.53,22.75,20.59,16.78,14.38,14.22,13.28,10.28,8.19,8.69,9.41,8.44,8.0,10.56,13.94,15.0,14.91,16.53,18.97,19.56,18.69,18.75,20.84,22.47,21.62,21.03,23.16,24.56,23.47,22.09,23.0,24.22,23.19,20.31,18.97,19.12,17.91,15.28,13.66,14.59,14.88,13.12,11.88,14.09,16.5,16.94,16.47,18.44,21.06,21.44,20.31,20.22,21.47,21.12,18.44,16.53,16.53,16.38,13.75,11.22,11.47,12.88,12.25,10.88,11.75,13.41,13.59,12.19,12.03,14.06,15.28,14.06,13.47,15.16,16.69,15.84,14.56,15.44,16.81,16.59,15.47,16.19,18.0,18.66,17.06,16.38,18.03,18.88,18.03,17.41,19.19,20.81,19.94,18.53,19.03,19.47,17.88,14.69,13.0,12.97,11.94,9.25,8.97,11.44,14.22,15.06,16.41,20.09,23.84,24.84,25.0,26.62,28.5,28.22,26.09,25.19,25.5,24.69,21.09,18.28,17.75,17.03,13.62,10.75,10.59,11.66,11.69,11.62,14.38,18.84,21.78,23.31,25.66,28.94,30.47,28.75,26.84,27.16,27.78,26.53,25.06,26.03,27.28,26.19,23.66,22.34,22.06,21.12,18.5,17.44,19.16,21.12,20.81,20.69,22.84,24.81,24.12,22.19,22.25,22.97,21.56,18.44,16.75,16.69,16.03,14.25,13.97,16.56,19.62,20.19,20.38,22.66,25.16,24.88,23.0,22.66,22.94,21.31,18.12,16.66,17.19,17.88,16.97,17.22,20.38,23.56,24.03,24.03,24.97,25.84,24.41,21.38,20.38,21.94,22.62,21.72,22.0,23.97,24.81,23.25,22.31,24.09,26.34,26.28,25.91,27.12,29.19,29.47,28.31,28.5,29.53,28.31,24.25,20.56,18.88,17.34,13.78,11.0,11.09,11.94,11.16,10.5,12.41,15.38,16.75,16.22,16.22,17.22,17.22,14.62,13.28,14.97,16.94,17.0,17.38,20.25,23.78,24.88,24.88,26.28,28.62,28.78,27.19,26.41,26.91,26.38,23.12,20.19,20.06,20.47,19.41,18.47,20.09,12.47,12.88,13.66,16.06,18.06,18.25,18.0:27.62,27.34,28.56,28.44,25.84,23.91,24.88,25.94,24.62,23.34,24.31,26.56,26.38,25.16,25.19,26.28,25.41,22.25,20.5,21.34,22.09,20.84,20.34,22.53,24.59,24.0,22.81,23.78,25.97,26.62,25.97,27.0,29.97,31.09,30.31,30.41,32.75,33.72,31.56,29.06,28.69,28.69,26.94,24.81,25.84,28.5,29.69,29.84,31.97,35.53,37.0,36.09,34.59,35.03,34.88,32.31,30.09,30.47,31.56,30.56,28.72,28.56,29.69,29.22,27.12,26.34,27.5,27.5,24.97,23.44,23.94,24.81,23.88,23.41,25.09,28.12,29.41,29.12,30.19,32.19,32.34,30.22,28.78,29.41,28.66,25.28,21.78,20.94,19.84,17.09,14.19,14.12,15.44,15.62,14.69,15.25,17.12,18.0,16.59,15.84,18.12,19.56,18.75,17.41,18.16,19.03,17.59,15.5,15.31,16.28,15.62,13.34,12.0,12.41,12.31,10.44,9.97,12.31,15.28,15.66,15.59,17.09,18.84,17.84,15.5,14.75,15.28,14.91,12.91,12.69,14.62,15.94,14.75,13.78,14.88,16.5,16.16,15.38,17.31,20.31,21.69,21.38,22.41,24.66,25.47,23.78,22.78,23.97,24.75,22.84,20.59,20.56,20.44,18.38,15.25,14.69,15.94,15.88,14.25,14.25,16.03,16.75,15.94,15.41,17.75,20.66,21.19,22.16,26.03,30.66,33.12,34.09,36.16,38.12,37.38,33.5,29.91,27.44,24.53,20.0,17.03,17.5,19.12,18.59,17.62,19.12,21.25,21.34,20.53,22.84,26.41,29.16,30.38,31.84,34.5,35.72,33.31,30.56,29.53,28.66,25.66,22.62,22.47,24.0,24.66,24.72,26.5,29.75,31.12,29.25,27.09,26.97,26.53,24.31,22.81,24.44,26.88,26.88,25.72,25.72,26.03,24.41,21.31,20.0,21.22,22.22,21.75,22.28,25.03,27.69,28.0,27.94,29.66,31.84,31.69,30.06,29.97,30.75,29.81,26.59,24.25,24.16,23.91,21.38,19.91,21.06,22.72,21.88,20.97,21.91,24.0,24.38,23.5,24.12,25.88,26.47,24.62,23.16,24.38,25.31,24.25,23.75,25.62,27.88,27.5,25.81,25.75,26.41,25.0,22.28,21.31,22.56,23.41,23.22,24.06,26.44,28.5,27.5,26.06,26.78,28.78,28.91,28.34,29.12,31.03,30.97,28.94,28.22,28.53,27.81,24.78,22.78,23.31,24.38,23.53,22.75,23.56,24.84,24.19,22.41,22.44,24.12,24.69,23.88,23.81,25.5,26.19,24.38,22.22,22.34,23.0,21.84,20.88,21.75,23.91,23.81,22.09,21.28,22.09,21.81,19.72,18.25,19.53,20.47,18.97,18.19,19.56,21.94,22.0,21.56,22.69,24.84,25.16,23.47,23.53,25.5,26.31,25.16,24.25,25.19,25.62,23.59,21.31,21.5,22.62,21.78,20.25,20.16,21.72,21.72,19.75,18.69,19.47,19.03,16.44,14.03,14.22,14.66,13.62,12.84,14.84,19.03,21.5,23.38,26.88,31.66,34.38,34.75,35.19,36.84,37.16,34.66,31.28,29.81,28.66,25.22,21.62,20.53,21.12,20.56,18.69,18.06,19.16,19.31,17.5,16.53,18.06,19.78,19.66,19.62,21.75,24.91,26.06,26.12,27.94,30.69,32.09,31.84,32.0,34.28,35.0,33.22,30.41,29.34,27.62,23.47,19.22,17.91,17.88,17.03,15.84,16.62,19.5,20.91,20.75,21.25,23.78,25.19,24.19,22.81,23.5,23.72,22.12,20.31,20.69,22.41,22.88,22.22,22.69,25.12,26.44,25.25,24.22,25.09,25.38,23.22,21.19,21.38,22.12,20.72,18.59,18.88,20.0,20.16,18.56,18.56,20.78,22.59,22.97,24.0,27.66,30.81,31.59,31.16,32.47,33.72,32.25,29.47,28.34,28.25,26.5,23.22,20.62,20.06,18.94,15.94,13.12,13.22,14.09,13.22,12.47,13.94,16.59,17.59,16.88,17.72,20.03,20.84,20.16,19.78,21.81,23.53,23.25,22.31,23.94,25.72,24.91,23.0,22.53,22.38,20.5,17.16,15.47,16.06,16.19,14.75,13.56,15.06,15.94,14.41,12.5,13.44,14.88,14.91,14.41,16.31,19.47,21.16,20.62,20.47,21.69,21.12,17.69,14.03,12.31,10.84,7.53,4.62,5.16,7.69,9.25,10.5,13.66,17.44,19.28,18.5,18.0,19.34,20.66,20.03,19.81,22.12,24.22,23.97,22.16,22.41,23.28,22.31,19.41,17.91,17.59,15.94,12.5,10.16,11.0,12.75,13.28,14.69,18.5,22.88,24.53,23.97,24.28,25.19,24.16,21.53,21.22,23.12,24.41,22.91,21.69,22.28,22.53,20.22,17.94,18.5,19.97,19.25,17.19,17.28,18.72,19.31,18.53,19.66,22.94,25.47,25.38,24.91,25.78,26.22,23.91,20.66,19.81,20.56,20.34,19.53,21.28,24.84,27.03,26.59,26.38,27.59,28.0,25.38,22.97,22.62,22.44,19.69,16.44,14.78,14.25,12.12,8.62,7.0,7.81,8.75,7.84,8.22,11.31,13.72,13.28,12.25,12.78,13.97,13.25,12.44,13.88,16.91,18.69,18.44,18.75,19.97,19.72,15.53,11.03,8.34,5.47,0.84,-3.06,-3.56,-1.84,-0.84,-0.19,2.66,6.81,9.75,10.28,11.12,13.72,15.91,15.16,14.94,16.88,19.84,20.88,21.41,24.09,27.62,28.31,26.34,25.44,25.31,24.19,20.66,17.88,17.38,16.38,12.31,8.34,7.03,7.0,5.5,4.34,6.06,10.12,12.53,13.34,15.19,18.66,20.47,19.31,18.41,19.38,20.0,17.94,15.56,15.28,15.44,12.56,8.19,5.44,4.59,2.5,-0.56,-1.94,-0.56,1.22,0.44,0.72,3.44,6.41,6.31,5.34,6.34,8.06,7.72,5.62,5.62,7.12,7.47,5.84,6.0,8.84,11.44,11.66,11.78,13.81,15.53,14.12,11.75,11.47,12.0,10.78,8.69,8.03,9.56,10.34,9.03,8.5,10.31,11.75,10.94,9.78,10.84,12.31,10.88,8.75,8.62,10.41,11.06,10.81,12.12,15.03,17.19,16.56,15.28,15.97,16.09,13.47,10.03,9.38,10.16,9.0,7.22,7.69,9.28,9.19,7.25,6.47,8.12,9.69,9.25,9.41,12.06,15.22,15.62,15.5,17.41,19.81,19.56,17.44,16.09,16.69,16.16,14.41,14.0,16.56,18.88,18.78,18.53,20.19,22.0,20.91,19.0,18.97,20.22,19.38,17.44,17.12,18.75,19.62,18.59,18.25,20.38,22.22,21.28,19.66,20.62,22.19,21.84,20.97,21.94,24.0,23.75,21.06,18.97,18.41,17.09,13.81,11.25,11.28,11.88,10.22,8.41,9.25,11.66,12.53,12.38,14.06,17.22,18.25,17.16,16.38,18.0,19.16,18.06,17.22,19.16,21.28,20.44,18.41,18.28,18.53,16.03,11.84,8.91,8.22,6.97,4.88,4.28,7.09,9.41,9.22,8.72,10.53,12.94,13.25,12.97,14.69,17.69,18.69,18.09,18.72,21.44,23.25,23.12,23.19,25.47,27.31,26.19,24.38,24.81,25.75,24.34,21.62,20.88,21.59,20.59,18.59,17.53,19.38,20.03,18.97,18.16,19.97,21.53,20.5,18.25,17.81,18.09,16.75,14.91,15.25,18.09,19.78,19.44,19.91,22.16,23.75,22.94,22.22,23.78,25.66,25.09,23.03,22.53,22.75,20.59,16.78,14.38,14.22,13.28,10.28,8.19,8.69,9.41,8.44,8.0,10.56,13.94,15.0,14.91,16.53,18.97,19.56,18.69,18.75,20.84,22.47,21.62,21.03,23.16,24.56,23.47,22.09,23.0,24.22,23.19,20.31,18.97,19.12,17.91,15.28,13.66,14.59,14.88,13.12,11.88,14.09,16.5,16.94,16.47,18.44,21.06,21.44,20.31,20.22,21.47,21.12,18.44,16.53,16.53,16.38,13.75,11.22,11.47,12.88,12.25,10.88,11.75,13.41,13.59,12.19,12.03,14.06,15.28,14.06,13.47,15.16,16.69,15.84,14.56,15.44,16.81,16.59,15.47,16.19,18.0,18.66,17.06,16.38,18.03,18.88,18.03,17.41,19.19,20.81,19.94,18.53,19.03,19.47,17.88,14.69,13.0,12.97,11.94,9.25,8.97,11.44,14.22,15.06,16.41,20.09,23.84,24.84,25.0,26.62,28.5,28.22,26.09,25.19,25.5,24.69,21.09,18.28,17.75,17.03,13.62,10.75,10.59,11.66,11.69,11.62,14.38,18.84,21.78,23.31,25.66,28.94,30.47,28.75,26.84,27.16,27.78,26.53,25.06,26.03,27.28,26.19,23.66,22.34,22.06,21.12,18.5,17.44,19.16,21.12,20.81,20.69,22.84,24.81,24.12,22.19,22.25,22.97,21.56,18.44,16.75,16.69,16.03,14.25,13.97,16.56,19.62,20.19,20.38,22.66,25.16,24.88,23.0,22.66,22.94,21.31,18.12,16.66,17.19,17.88,16.97,17.22,20.38,23.56,24.03,24.03,24.97,25.84,24.41,21.38,20.38,21.94,22.62,21.72,22.0,23.97,24.81,23.25,22.31,24.09,26.34,26.28,25.91,27.12,29.19,29.47,28.31,28.5,29.53,28.31,24.25,20.56,18.88,17.34,13.78,11.0,11.09,11.94,11.16,10.5,12.41,15.38,16.75,16.22,16.22,17.22,17.22,14.62,13.28,14.97,16.94,17.0,17.38,20.25,23.78,24.88,24.88,26.28,28.62,28.78,27.19,26.41,26.91,26.38,23.12,20.19,20.06,20.47,19.41,18.47,20.09,12.47,12.88,13.66,16.06,18.06,18.25,18.0,19.62,21.62,21.88,22.44,23.88,26.38,27.59:25.94,24.62,23.34,24.31,26.56,26.38,25.16,25.19,26.28,25.41,22.25,20.5,21.34,22.09,20.84,20.34,22.53,24.59,24.0,22.81,23.78,25.97,26.62,25.97,27.0,29.97,31.09,30.31,30.41,32.75,33.72,31.56,29.06,28.69,28.69,26.94,24.81,25.84,28.5,29.69,29.84,31.97,35.53,37.0,36.09,34.59,35.03,34.88,32.31,30.09,30.47,31.56,30.56,28.72,28.56,29.69,29.22,27.12,26.34,27.5,27.5,24.97,23.44,23.94,24.81,23.88,23.41,25.09,28.12,29.41,29.12,30.19,32.19,32.34,30.22,28.78,29.41,28.66,25.28,21.78,20.94,19.84,17.09,14.19,14.12,15.44,15.62,14.69,15.25,17.12,18.0,16.59,15.84,18.12,19.56,18.75,17.41,18.16,19.03,17.59,15.5,15.31,16.28,15.62,13.34,12.0,12.41,12.31,10.44,9.97,12.31,15.28,15.66,15.59,17.09,18.84,17.84,15.5,14.75,15.28,14.91,12.91,12.69,14.62,15.94,14.75,13.78,14.88,16.5,16.16,15.38,17.31,20.31,21.69,21.38,22.41,24.66,25.47,23.78,22.78,23.97,24.75,22.84,20.59,20.56,20.44,18.38,15.25,14.69,15.94,15.88,14.25,14.25,16.03,16.75,15.94,15.41,17.75,20.66,21.19,22.16,26.03,30.66,33.12,34.09,36.16,38.12,37.38,33.5,29.91,27.44,24.53,20.0,17.03,17.5,19.12,18.59,17.62,19.12,21.25,21.34,20.53,22.84,26.41,29.16,30.38,31.84,34.5,35.72,33.31,30.56,29.53,28.66,25.66,22.62,22.47,24.0,24.66,24.72,26.5,29.75,31.12,29.25,27.09,26.97,26.53,24.31,22.81,24.44,26.88,26.88,25.72,25.72,26.03,24.41,21.31,20.0,21.22,22.22,21.75,22.28,25.03,27.69,28.0,27.94,29.66,31.84,31.69,30.06,29.97,30.75,29.81,26.59,24.25,24.16,23.91,21.38,19.91,21.06,22.72,21.88,20.97,21.91,24.0,24.38,23.5,24.12,25.88,26.47,24.62,23.16,24.38,25.31,24.25,23.75,25.62,27.88,27.5,25.81,25.75,26.41,25.0,22.28,21.31,22.56,23.41,23.22,24.06,26.44,28.5,27.5,26.06,26.78,28.78,28.91,28.34,29.12,31.03,30.97,28.94,28.22,28.53,27.81,24.78,22.78,23.31,24.38,23.53,22.75,23.56,24.84,24.19,22.41,22.44,24.12,24.69,23.88,23.81,25.5,26.19,24.38,22.22,22.34,23.0,21.84,20.88,21.75,23.91,23.81,22.09,21.28,22.09,21.81,19.72,18.25,19.53,20.47,18.97,18.19,19.56,21.94,22.0,21.56,22.69,24.84,25.16,23.47,23.53,25.5,26.31,25.16,24.25,25.19,25.62,23.59,21.31,21.5,22.62,21.78,20.25,20.16,21.72,21.72,19.75,18.69,19.47,19.03,16.44,14.03,14.22,14.66,13.62,12.84,14.84,19.03,21.5,23.38,26.88,31.66,34.38,34.75,35.19,36.84,37.16,34.66,31.28,29.81,28.66,25.22,21.62,20.53,21.12,20.56,18.69,18.06,19.16,19.31,17.5,16.53,18.06,19.78,19.66,19.62,21.75,24.91,26.06,26.12,27.94,30.69,32.09,31.84,32.0,34.28,35.0,33.22,30.41,29.34,27.62,23.47,19.22,17.91,17.88,17.03,15.84,16.62,19.5,20.91,20.75,21.25,23.78,25.19,24.19,22.81,23.5,23.72,22.12,20.31,20.69,22.41,22.88,22.22,22.69,25.12,26.44,25.25,24.22,25.09,25.38,23.22,21.19,21.38,22.12,20.72,18.59,18.88,20.0,20.16,18.56,18.56,20.78,22.59,22.97,24.0,27.66,30.81,31.59,31.16,32.47,33.72,32.25,29.47,28.34,28.25,26.5,23.22,20.62,20.06,18.94,15.94,13.12,13.22,14.09,13.22,12.47,13.94,16.59,17.59,16.88,17.72,20.03,20.84,20.16,19.78,21.81,23.53,23.25,22.31,23.94,25.72,24.91,23.0,22.53,22.38,20.5,17.16,15.47,16.06,16.19,14.75,13.56,15.06,15.94,14.41,12.5,13.44,14.88,14.91,14.41,16.31,19.47,21.16,20.62,20.47,21.69,21.12,17.69,14.03,12.31,10.84,7.53,4.62,5.16,7.69,9.25,10.5,13.66,17.44,19.28,18.5,18.0,19.34,20.66,20.03,19.81,22.12,24.22,23.97,22.16,22.41,23.28,22.31,19.41,17.91,17.59,15.94,12.5,10.16,11.0,12.75,13.28,14.69,18.5,22.88,24.53,23.97,24.28,25.19,24.16,21.53,21.22,23.12,24.41,22.91,21.69,22.28,22.53,20.22,17.94,18.5,19.97,19.25,17.19,17.28,18.72,19.31,18.53,19.66,22.94,25.47,25.38,24.91,25.78,26.22,23.91,20.66,19.81,20.56,20.34,19.53,21.28,24.84,27.03,26.59,26.38,27.59,28.0,25.38,22.97,22.62,22.44,19.69,16.44,14.78,14.25,12.12,8.62,7.0,7.81,8.75,7.84,8.22,11.31,13.72,13.28,12.25,12.78,13.97,13.25,12.44,13.88,16.91,18.69,18.44,18.75,19.97,19.72,15.53,11.03,8.34,5.47,0.84,-3.06,-3.56,-1.84,-0.84,-0.19,2.66,6.81,9.75,10.28,11.12,13.72,15.91,15.16,14.94,16.88,19.84,20.88,21.41,24.09,27.62,28.31,26.34,25.44,25.31,24.19,20.66,17.88,17.38,16.38,12.31,8.34,7.03,7.0,5.5,4.34,6.06,10.12,12.53,13.34,15.19,18.66,20.47,19.31,18.41,19.38,20.0,17.94,15.56,15.28,15.44,12.56,8.19,5.44,4.59,2.5,-0.56,-1.94,-0.56,1.22,0.44,0.72,3.44,6.41,6.31,5.34,6.34,8.06,7.72,5.62,5.62,7.12,7.47,5.84,6.0,8.84,11.44,11.66,11.78,13.81,15.53,14.12,11.75,11.47,12.0,10.78,8.69,8.03,9.56,10.34,9.03,8.5,10.31,11.75,10.94,9.78,10.84,12.31,10.88,8.75,8.62,10.41,11.06,10.81,12.12,15.03,17.19,16.56,15.28,15.97,16.09,13.47,10.03,9.38,10.16,9.0,7.22,7.69,9.28,9.19,7.25,6.47,8.12,9.69,9.25,9.41,12.06,15.22,15.62,15.5,17.41,19.81,19.56,17.44,16.09,16.69,16.16,14.41,14.0,16.56,18.88,18.78,18.53,20.19,22.0,20.91,19.0,18.97,20.22,19.38,17.44,17.12,18.75,19.62,18.59,18.25,20.38,22.22,21.28,19.66,20.62,22.19,21.84,20.97,21.94,24.0,23.75,21.06,18.97,18.41,17.09,13.81,11.25,11.28,11.88,10.22,8.41,9.25,11.66,12.53,12.38,14.06,17.22,18.25,17.16,16.38,18.0,19.16,18.06,17.22,19.16,21.28,20.44,18.41,18.28,18.53,16.03,11.84,8.91,8.22,6.97,4.88,4.28,7.09,9.41,9.22,8.72,10.53,12.94,13.25,12.97,14.69,17.69,18.69,18.09,18.72,21.44,23.25,23.12,23.19,25.47,27.31,26.19,24.38,24.81,25.75,24.34,21.62,20.88,21.59,20.59,18.59,17.53,19.38,20.03,18.97,18.16,19.97,21.53,20.5,18.25,17.81,18.09,16.75,14.91,15.25,18.09,19.78,19.44,19.91,22.16,23.75,22.94,22.22,23.78,25.66,25.09,23.03,22.53,22.75,20.59,16.78,14.38,14.22,13.28,10.28,8.19,8.69,9.41,8.44,8.0,10.56,13.94,15.0,14.91,16.53,18.97,19.56,18.69,18.75,20.84,22.47,21.62,21.03,23.16,24.56,23.47,22.09,23.0,24.22,23.19,20.31,18.97,19.12,17.91,15.28,13.66,14.59,14.88,13.12,11.88,14.09,16.5,16.94,16.47,18.44,21.06,21.44,20.31,20.22,21.47,21.12,18.44,16.53,16.53,16.38,13.75,11.22,11.47,12.88,12.25,10.88,11.75,13.41,13.59,12.19,12.03,14.06,15.28,14.06,13.47,15.16,16.69,15.84,14.56,15.44,16.81,16.59,15.47,16.19,18.0,18.66,17.06,16.38,18.03,18.88,18.03,17.41,19.19,20.81,19.94,18.53,19.03,19.47,17.88,14.69,13.0,12.97,11.94,9.25,8.97,11.44,14.22,15.06,16.41,20.09,23.84,24.84,25.0,26.62,28.5,28.22,26.09,25.19,25.5,24.69,21.09,18.28,17.75,17.03,13.62,10.75,10.59,11.66,11.69,11.62,14.38,18.84,21.78,23.31,25.66,28.94,30.47,28.75,26.84,27.16,27.78,26.53,25.06,26.03,27.28,26.19,23.66,22.34,22.06,21.12,18.5,17.44,19.16,21.12,20.81,20.69,22.84,24.81,24.12,22.19,22.25,22.97,21.56,18.44,16.75,16.69,16.03,14.25,13.97,16.56,19.62,20.19,20.38,22.66,25.16,24.88,23.0,22.66,22.94,21.31,18.12,16.66,17.19,17.88,16.97,17.22,20.38,23.56,24.03,24.03,24.97,25.84,24.41,21.38,20.38,21.94,22.62,21.72,22.0,23.97,24.81,23.25,22.31,24.09,26.34,26.28,25.91,27.12,29.19,29.47,28.31,28.5,29.53,28.31,24.25,20.56,18.88,17.34,13.78,11.0,11.09,11.94,11.16,10.5,12.41,15.38,16.75,16.22,16.22,17.22,17.22,14.62,13.28,14.97,16.94,17.0,17.38,20.25,23.78,24.88,24.88,26.28,28.62,28.78,27.19,26.41,26.91,26.38,23.12,20.19,20.06,20.47,19.41,18.47,20.09,12.47,12.88,13.66,16.06,18.06,18.25,18.0,19.62,21.62,21.88,22.44,23.88,26.38,27.59,27.28,27.59,28.5,28.22,26.31,24.47,24.81:25.19,26.28,25.41,22.25,20.5,21.34,22.09,20.84,20.34,22.53,24.59,24.0,22.81,23.78,25.97,26.62,25.97,27.0,29.97,31.09,30.31,30.41,32.75,33.72,31.56,29.06,28.69,28.69,26.94,24.81,25.84,28.5,29.69,29.84,31.97,35.53,37.0,36.09,34.59,35.03,34.88,32.31,30.09,30.47,31.56,30.56,28.72,28.56,29.69,29.22,27.12,26.34,27.5,27.5,24.97,23.44,23.94,24.81,23.88,23.41,25.09,28.12,29.41,29.12,30.19,32.19,32.34,30.22,28.78,29.41,28.66,25.28,21.78,20.94,19.84,17.09,14.19,14.12,15.44,15.62,14.69,15.25,17.12,18.0,16.59,15.84,18.12,19.56,18.75,17.41,18.16,19.03,17.59,15.5,15.31,16.28,15.62,13.34,12.0,12.41,12.31,10.44,9.97,12.31,15.28,15.66,15.59,17.09,18.84,17.84,15.5,14.75,15.28,14.91,12.91,12.69,14.62,15.94,14.75,13.78,14.88,16.5,16.16,15.38,17.31,20.31,21.69,21.38,22.41,24.66,25.47,23.78,22.78,23.97,24.75,22.84,20.59,20.56,20.44,18.38,15.25,14.69,15.94,15.88,14.25,14.25,16.03,16.75,15.94,15.41,17.75,20.66,21.19,22.16,26.03,30.66,33.12,34.09,36.16,38.12,37.38,33.5,29.91,27.44,24.53,20.0,17.03,17.5,19.12,18.59,17.62,19.12,21.25,21.34,20.53,22.84,26.41,29.16,30.38,31.84,34.5,35.72,33.31,30.56,29.53,28.66,25.66,22.62,22.47,24.0,24.66,24.72,26.5,29.75,31.12,29.25,27.09,26.97,26.53,24.31,22.81,24.44,26.88,26.88,25.72,25.72,26.03,24.41,21.31,20.0,21.22,22.22,21.75,22.28,25.03,27.69,28.0,27.94,29.66,31.84,31.69,30.06,29.97,30.75,29.81,26.59,24.25,24.16,23.91,21.38,19.91,21.06,22.72,21.88,20.97,21.91,24.0,24.38,23.5,24.12,25.88,26.47,24.62,23.16,24.38,25.31,24.25,23.75,25.62,27.88,27.5,25.81,25.75,26.41,25.0,22.28,21.31,22.56,23.41,23.22,24.06,26.44,28.5,27.5,26.06,26.78,28.78,28.91,28.34,29.12,31.03,30.97,28.94,28.22,28.53,27.81,24.78,22.78,23.31,24.38,23.53,22.75,23.56,24.84,24.19,22.41,22.44,24.12,24.69,23.88,23.81,25.5,26.19,24.38,22.22,22.34,23.0,21.84,20.88,21.75,23.91,23.81,22.09,21.28,22.09,21.81,19.72,18.25,19.53,20.47,18.97,18.19,19.56,21.94,22.0,21.56,22.69,24.84,25.16,23.47,23.53,25.5,26.31,25.16,24.25,25.19,25.62,23.59,21.31,21.5,22.62,21.78,20.25,20.16,21.72,21.72,19.75,18.69,19.47,19.03,16.44,14.03,14.22,14.66,13.62,12.84,14.84,19.03,21.5,23.38,26.88,31.66,34.38,34.75,35.19,36.84,37.16,34.66,31.28,29.81,28.66,25.22,21.62,20.53,21.12,20.56,18.69,18.06,19.16,19.31,17.5,16.53,18.06,19.78,19.66,19.62,21.75,24.91,26.06,26.12,27.94,30.69,32.09,31.84,32.0,34.28,35.0,33.22,30.41,29.34,27.62,23.47,19.22,17.91,17.88,17.03,15.84,16.62,19.5,20.91,20.75,21.25,23.78,25.19,24.19,22.81,23.5,23.72,22.12,20.31,20.69,22.41,22.88,22.22,22.69,25.12,26.44,25.25,24.22,25.09,25.38,23.22,21.19,21.38,22.12,20.72,18.59,18.88,20.0,20.16,18.56,18.56,20.78,22.59,22.97,24.0,27.66,30.81,31.59,31.16,32.47,33.72,32.25,29.47,28.34,28.25,26.5,23.22,20.62,20.06,18.94,15.94,13.12,13.22,14.09,13.22,12.47,13.94,16.59,17.59,16.88,17.72,20.03,20.84,20.16,19.78,21.81,23.53,23.25,22.31,23.94,25.72,24.91,23.0,22.53,22.38,20.5,17.16,15.47,16.06,16.19,14.75,13.56,15.06,15.94,14.41,12.5,13.44,14.88,14.91,14.41,16.31,19.47,21.16,20.62,20.47,21.69,21.12,17.69,14.03,12.31,10.84,7.53,4.62,5.16,7.69,9.25,10.5,13.66,17.44,19.28,18.5,18.0,19.34,20.66,20.03,19.81,22.12,24.22,23.97,22.16,22.41,23.28,22.31,19.41,17.91,17.59,15.94,12.5,10.16,11.0,12.75,13.28,14.69,18.5,22.88,24.53,23.97,24.28,25.19,24.16,21.53,21.22,23.12,24.41,22.91,21.69,22.28,22.53,20.22,17.94,18.5,19.97,19.25,17.19,17.28,18.72,19.31,18.53,19.66,22.94,25.47,25.38,24.91,25.78,26.22,23.91,20.66,19.81,20.56,20.34,19.53,21.28,24.84,27.03,26.59,26.38,27.59,28.0,25.38,22.97,22.62,22.44,19.69,16.44,14.78,14.25,12.12,8.62,7.0,7.81,8.75,7.84,8.22,11.31,13.72,13.28,12.25,12.78,13.97,13.25,12.44,13.88,16.91,18.69,18.44,18.75,19.97,19.72,15.53,11.03,8.34,5.47,0.84,-3.06,-3.56,-1.84,-0.84,-0.19,2.66,6.81,9.75,10.28,11.12,13.72,15.91,15.16,14.94,16.88,19.84,20.88,21.41,24.09,27.62,28.31,26.34,25.44,25.31,24.19,20.66,17.88,17.38,16.38,12.31,8.34,7.03,7.0,5.5,4.34,6.06,10.12,12.53,13.34,15.19,18.66,20.47,19.31,18.41,19.38,20.0,17.94,15.56,15.28,15.44,12.56,8.19,5.44,4.59,2.5,-0.56,-1.94,-0.56,1.22,0.44,0.72,3.44,6.41,6.31,5.34,6.34,8.06,7.72,5.62,5.62,7.12,7.47,5.84,6.0,8.84,11.44,11.66,11.78,13.81,15.53,14.12,11.75,11.47,12.0,10.78,8.69,8.03,9.56,10.34,9.03,8.5,10.31,11.75,10.94,9.78,10.84,12.31,10.88,8.75,8.62,10.41,11.06,10.81,12.12,15.03,17.19,16.56,15.28,15.97,16.09,13.47,10.03,9.38,10.16,9.0,7.22,7.69,9.28,9.19,7.25,6.47,8.12,9.69,9.25,9.41,12.06,15.22,15.62,15.5,17.41,19.81,19.56,17.44,16.09,16.69,16.16,14.41,14.0,16.56,18.88,18.78,18.53,20.19,22.0,20.91,19.0,18.97,20.22,19.38,17.44,17.12,18.75,19.62,18.59,18.25,20.38,22.22,21.28,19.66,20.62,22.19,21.84,20.97,21.94,24.0,23.75,21.06,18.97,18.41,17.09,13.81,11.25,11.28,11.88,10.22,8.41,9.25,11.66,12.53,12.38,14.06,17.22,18.25,17.16,16.38,18.0,19.16,18.06,17.22,19.16,21.28,20.44,18.41,18.28,18.53,16.03,11.84,8.91,8.22,6.97,4.88,4.28,7.09,9.41,9.22,8.72,10.53,12.94,13.25,12.97,14.69,17.69,18.69,18.09,18.72,21.44,23.25,23.12,23.19,25.47,27.31,26.19,24.38,24.81,25.75,24.34,21.62,20.88,21.59,20.59,18.59,17.53,19.38,20.03,18.97,18.16,19.97,21.53,20.5,18.25,17.81,18.09,16.75,14.91,15.25,18.09,19.78,19.44,19.91,22.16,23.75,22.94,22.22,23.78,25.66,25.09,23.03,22.53,22.75,20.59,16.78,14.38,14.22,13.28,10.28,8.19,8.69,9.41,8.44,8.0,10.56,13.94,15.0,14.91,16.53,18.97,19.56,18.69,18.75,20.84,22.47,21.62,21.03,23.16,24.56,23.47,22.09,23.0,24.22,23.19,20.31,18.97,19.12,17.91,15.28,13.66,14.59,14.88,13.12,11.88,14.09,16.5,16.94,16.47,18.44,21.06,21.44,20.31,20.22,21.47,21.12,18.44,16.53,16.53,16.38,13.75,11.22,11.47,12.88,12.25,10.88,11.75,13.41,13.59,12.19,12.03,14.06,15.28,14.06,13.47,15.16,16.69,15.84,14.56,15.44,16.81,16.59,15.47,16.19,18.0,18.66,17.06,16.38,18.03,18.88,18.03,17.41,19.19,20.81,19.94,18.53,19.03,19.47,17.88,14.69,13.0,12.97,11.94,9.25,8.97,11.44,14.22,15.06,16.41,20.09,23.84,24.84,25.0,26.62,28.5,28.22,26.09,25.19,25.5,24.69,21.09,18.28,17.75,17.03,13.62,10.75,10.59,11.66,11.69,11.62,14.38,18.84,21.78,23.31,25.66,28.94,30.47,28.75,26.84,27.16,27.78,26.53,25.06,26.03,27.28,26.19,23.66,22.34,22.06,21.12,18.5,17.44,19.16,21.12,20.81,20.69,22.84,24.81,24.12,22.19,22.25,22.97,21.56,18.44,16.75,16.69,16.03,14.25,13.97,16.56,19.62,20.19,20.38,22.66,25.16,24.88,23.0,22.66,22.94,21.31,18.12,16.66,17.19,17.88,16.97,17.22,20.38,23.56,24.03,24.03,24.97,25.84,24.41,21.38,20.38,21.94,22.62,21.72,22.0,23.97,24.81,23.25,22.31,24.09,26.34,26.28,25.91,27.12,29.19,29.47,28.31,28.5,29.53,28.31,24.25,20.56,18.88,17.34,13.78,11.0,11.09,11.94,11.16,10.5,12.41,15.38,16.75,16.22,16.22,17.22,17.22,14.62,13.28,14.97,16.94,17.0,17.38,20.25,23.78,24.88,24.88,26.28,28.62,28.78,27.19,26.41,26.91,26.38,23.12,20.19,20.06,20.47,19.41,18.47,20.09,12.47,12.88,13.66,16.06,18.06,18.25,18.0,19.62,21.62,21.88,22.44,23.88,26.38,27.59,27.28,27.59,28.5,28.22,26.31,24.47,24.81,24.88,23.59,22.31,22.66,23.88,23.41,22.22:20.84,20.34,22.53,24.59,24.0,22.81,23.78,25.97,26.62,25.97,27.0,29.97,31.09,30.31,30.41,32.75,33.72,31.56,29.06,28.69,28.69,26.94,24.81,25.84,28.5,29.69,29.84,31.97,35.53,37.0,36.09,34.59,35.03,34.88,32.31,30.09,30.47,31.56,30.56,28.72,28.56,29.69,29.22,27.12,26.34,27.5,27.5,24.97,23.44,23.94,24.81,23.88,23.41,25.09,28.12,29.41,29.12,30.19,32.19,32.34,30.22,28.78,29.41,28.66,25.28,21.78,20.94,19.84,17.09,14.19,14.12,15.44,15.62,14.69,15.25,17.12,18.0,16.59,15.84,18.12,19.56,18.75,17.41,18.16,19.03,17.59,15.5,15.31,16.28,15.62,13.34,12.0,12.41,12.31,10.44,9.97,12.31,15.28,15.66,15.59,17.09,18.84,17.84,15.5,14.75,15.28,14.91,12.91,12.69,14.62,15.94,14.75,13.78,14.88,16.5,16.16,15.38,17.31,20.31,21.69,21.38,22.41,24.66,25.47,23.78,22.78,23.97,24.75,22.84,20.59,20.56,20.44,18.38,15.25,14.69,15.94,15.88,14.25,14.25,16.03,16.75,15.94,15.41,17.75,20.66,21.19,22.16,26.03,30.66,33.12,34.09,36.16,38.12,37.38,33.5,29.91,27.44,24.53,20.0,17.03,17.5,19.12,18.59,17.62,19.12,21.25,21.34,20.53,22.84,26.41,29.16,30.38,31.84,34.5,35.72,33.31,30.56,29.53,28.66,25.66,22.62,22.47,24.0,24.66,24.72,26.5,29.75,31.12,29.25,27.09,26.97,26.53,24.31,22.81,24.44,26.88,26.88,25.72,25.72,26.03,24.41,21.31,20.0,21.22,22.22,21.75,22.28,25.03,27.69,28.0,27.94,29.66,31.84,31.69,30.06,29.97,30.75,29.81,26.59,24.25,24.16,23.91,21.38,19.91,21.06,22.72,21.88,20.97,21.91,24.0,24.38,23.5,24.12,25.88,26.47,24.62,23.16,24.38,25.31,24.25,23.75,25.62,27.88,27.5,25.81,25.75,26.41,25.0,22.28,21.31,22.56,23.41,23.22,24.06,26.44,28.5,27.5,26.06,26.78,28.78,28.91,28.34,29.12,31.03,30.97,28.94,28.22,28.53,27.81,24.78,22.78,23.31,24.38,23.53,22.75,23.56,24.84,24.19,22.41,22.44,24.12,24.69,23.88,23.81,25.5,26.19,24.38,22.22,22.34,23.0,21.84,20.88,21.75,23.91,23.81,22.09,21.28,22.09,21.81,19.72,18.25,19.53,20.47,18.97,18.19,19.56,21.94,22.0,21.56,22.69,24.84,25.16,23.47,23.53,25.5,26.31,25.16,24.25,25.19,25.62,23.59,21.31,21.5,22.62,21.78,20.25,20.16,21.72,21.72,19.75,18.69,19.47,19.03,16.44,14.03,14.22,14.66,13.62,12.84,14.84,19.03,21.5,23.38,26.88,31.66,34.38,34.75,35.19,36.84,37.16,34.66,31.28,29.81,28.66,25.22,21.62,20.53,21.12,20.56,18.69,18.06,19.16,19.31,17.5,16.53,18.06,19.78,19.66,19.62,21.75,24.91,26.06,26.12,27.94,30.69,32.09,31.84,32.0,34.28,35.0,33.22,30.41,29.34,27.62,23.47,19.22,17.91,17.88,17.03,15.84,16.62,19.5,20.91,20.75,21.25,23.78,25.19,24.19,22.81,23.5,23.72,22.12,20.31,20.69,22.41,22.88,22.22,22.69,25.12,26.44,25.25,24.22,25.09,25.38,23.22,21.19,21.38,22.12,20.72,18.59,18.88,20.0,20.16,18.56,18.56,20.78,22.59,22.97,24.0,27.66,30.81,31.59,31.16,32.47,33.72,32.25,29.47,28.34,28.25,26.5,23.22,20.62,20.06,18.94,15.94,13.12,13.22,14.09,13.22,12.47,13.94,16.59,17.59,16.88,17.72,20.03,20.84,20.16,19.78,21.81,23.53,23.25,22.31,23.94,25.72,24.91,23.0,22.53,22.38,20.5,17.16,15.47,16.06,16.19,14.75,13.56,15.06,15.94,14.41,12.5,13.44,14.88,14.91,14.41,16.31,19.47,21.16,20.62,20.47,21.69,21.12,17.69,14.03,12.31,10.84,7.53,4.62,5.16,7.69,9.25,10.5,13.66,17.44,19.28,18.5,18.0,19.34,20.66,20.03,19.81,22.12,24.22,23.97,22.16,22.41,23.28,22.31,19.41,17.91,17.59,15.94,12.5,10.16,11.0,12.75,13.28,14.69,18.5,22.88,24.53,23.97,24.28,25.19,24.16,21.53,21.22,23.12,24.41,22.91,21.69,22.28,22.53,20.22,17.94,18.5,19.97,19.25,17.19,17.28,18.72,19.31,18.53,19.66,22.94,25.47,25.38,24.91,25.78,26.22,23.91,20.66,19.81,20.56,20.34,19.53,21.28,24.84,27.03,26.59,26.38,27.59,28.0,25.38,22.97,22.62,22.44,19.69,16.44,14.78,14.25,12.12,8.62,7.0,7.81,8.75,7.84,8.22,11.31,13.72,13.28,12.25,12.78,13.97,13.25,12.44,13.88,16.91,18.69,18.44,18.75,19.97,19.72,15.53,11.03,8.34,5.47,0.84,-3.06,-3.56,-1.84,-0.84,-0.19,2.66,6.81,9.75,10.28,11.12,13.72,15.91,15.16,14.94,16.88,19.84,20.88,21.41,24.09,27.62,28.31,26.34,25.44,25.31,24.19,20.66,17.88,17.38,16.38,12.31,8.34,7.03,7.0,5.5,4.34,6.06,10.12,12.53,13.34,15.19,18.66,20.47,19.31,18.41,19.38,20.0,17.94,15.56,15.28,15.44,12.56,8.19,5.44,4.59,2.5,-0.56,-1.94,-0.56,1.22,0.44,0.72,3.44,6.41,6.31,5.34,6.34,8.06,7.72,5.62,5.62,7.12,7.47,5.84,6.0,8.84,11.44,11.66,11.78,13.81,15.53,14.12,11.75,11.47,12.0,10.78,8.69,8.03,9.56,10.34,9.03,8.5,10.31,11.75,10.94,9.78,10.84,12.31,10.88,8.75,8.62,10.41,11.06,10.81,12.12,15.03,17.19,16.56,15.28,15.97,16.09,13.47,10.03,9.38,10.16,9.0,7.22,7.69,9.28,9.19,7.25,6.47,8.12,9.69,9.25,9.41,12.06,15.22,15.62,15.5,17.41,19.81,19.56,17.44,16.09,16.69,16.16,14.41,14.0,16.56,18.88,18.78,18.53,20.19,22.0,20.91,19.0,18.97,20.22,19.38,17.44,17.12,18.75,19.62,18.59,18.25,20.38,22.22,21.28,19.66,20.62,22.19,21.84,20.97,21.94,24.0,23.75,21.06,18.97,18.41,17.09,13.81,11.25,11.28,11.88,10.22,8.41,9.25,11.66,12.53,12.38,14.06,17.22,18.25,17.16,16.38,18.0,19.16,18.06,17.22,19.16,21.28,20.44,18.41,18.28,18.53,16.03,11.84,8.91,8.22,6.97,4.88,4.28,7.09,9.41,9.22,8.72,10.53,12.94,13.25,12.97,14.69,17.69,18.69,18.09,18.72,21.44,23.25,23.12,23.19,25.47,27.31,26.19,24.38,24.81,25.75,24.34,21.62,20.88,21.59,20.59,18.59,17.53,19.38,20.03,18.97,18.16,19.97,21.53,20.5,18.25,17.81,18.09,16.75,14.91,15.25,18.09,19.78,19.44,19.91,22.16,23.75,22.94,22.22,23.78,25.66,25.09,23.03,22.53,22.75,20.59,16.78,14.38,14.22,13.28,10.28,8.19,8.69,9.41,8.44,8.0,10.56,13.94,15.0,14.91,16.53,18.97,19.56,18.69,18.75,20.84,22.47,21.62,21.03,23.16,24.56,23.47,22.09,23.0,24.22,23.19,20.31,18.97,19.12,17.91,15.28,13.66,14.59,14.88,13.12,11.88,14.09,16.5,16.94,16.47,18.44,21.06,21.44,20.31,20.22,21.47,21.12,18.44,16.53,16.53,16.38,13.75,11.22,11.47,12.88,12.25,10.88,11.75,13.41,13.59,12.19,12.03,14.06,15.28,14.06,13.47,15.16,16.69,15.84,14.56,15.44,16.81,16.59,15.47,16.19,18.0,18.66,17.06,16.38,18.03,18.88,18.03,17.41,19.19,20.81,19.94,18.53,19.03,19.47,17.88,14.69,13.0,12.97,11.94,9.25,8.97,11.44,14.22,15.06,16.41,20.09,23.84,24.84,25.0,26.62,28.5,28.22,26.09,25.19,25.5,24.69,21.09,18.28,17.75,17.03,13.62,10.75,10.59,11.66,11.69,11.62,14.38,18.84,21.78,23.31,25.66,28.94,30.47,28.75,26.84,27.16,27.78,26.53,25.06,26.03,27.28,26.19,23.66,22.34,22.06,21.12,18.5,17.44,19.16,21.12,20.81,20.69,22.84,24.81,24.12,22.19,22.25,22.97,21.56,18.44,16.75,16.69,16.03,14.25,13.97,16.56,19.62,20.19,20.38,22.66,25.16,24.88,23.0,22.66,22.94,21.31,18.12,16.66,17.19,17.88,16.97,17.22,20.38,23.56,24.03,24.03,24.97,25.84,24.41,21.38,20.38,21.94,22.62,21.72,22.0,23.97,24.81,23.25,22.31,24.09,26.34,26.28,25.91,27.12,29.19,29.47,28.31,28.5,29.53,28.31,24.25,20.56,18.88,17.34,13.78,11.0,11.09,11.94,11.16,10.5,12.41,15.38,16.75,16.22,16.22,17.22,17.22,14.62,13.28,14.97,16.94,17.0,17.38,20.25,23.78,24.88,24.88,26.28,28.62,28.78,27.19,26.41,26.91,26.38,23.12,20.19,20.06,20.47,19.41,18.47,20.09,12.47,12.88,13.66,16.06,18.06,18.25,18.0,19.62,21.62,21.88,22.44,23.88,26.38,27.59,27.28,27.59,28.5,28.22,26.31,24.47,24.81,24.88,23.59,22.31,22.66,23.88,23.41,22.22,21.88,22.09,20.94,18.31,16.94,17.75,18.59:25.97,26.62,25.97,27.0,29.97,31.09,30.31,30.41,32.75,33.72,31.56,29.06,28.69,28.69,26.94,24.81,25.84,28.5,29.69,29.84,31.97,35.53,37.0,36.09,34.59,35.03,34.88,32.31,30.09,30.47,31.56,30.56,28.72,28.56,29.69,29.22,27.12,26.34,27.5,27.5,24.97,23.44,23.94,24.81,23.88,23.41,25.09,28.12,29.41,29.12,30.19,32.19,32.34,30.22,28.78,29.41,28.66,25.28,21.78,20.94,19.84,17.09,14.19,14.12,15.44,15.62,14.69,15.25,17.12,18.0,16.59,15.84,18.12,19.56,18.75,17.41,18.16,19.03,17.59,15.5,15.31,16.28,15.62,13.34,12.0,12.41,12.31,10.44,9.97,12.31,15.28,15.66,15.59,17.09,18.84,17.84,15.5,14.75,15.28,14.91,12.91,12.69,14.62,15.94,14.75,13.78,14.88,16.5,16.16,15.38,17.31,20.31,21.69,21.38,22.41,24.66,25.47,23.78,22.78,23.97,24.75,22.84,20.59,20.56,20.44,18.38,15.25,14.69,15.94,15.88,14.25,14.25,16.03,16.75,15.94,15.41,17.75,20.66,21.19,22.16,26.03,30.66,33.12,34.09,36.16,38.12,37.38,33.5,29.91,27.44,24.53,20.0,17.03,17.5,19.12,18.59,17.62,19.12,21.25,21.34,20.53,22.84,26.41,29.16,30.38,31.84,34.5,35.72,33.31,30.56,29.53,28.66,25.66,22.62,22.47,24.0,24.66,24.72,26.5,29.75,31.12,29.25,27.09,26.97,26.53,24.31,22.81,24.44,26.88,26.88,25.72,25.72,26.03,24.41,21.31,20.0,21.22,22.22,21.75,22.28,25.03,27.69,28.0,27.94,29.66,31.84,31.69,30.06,29.97,30.75,29.81,26.59,24.25,24.16,23.91,21.38,19.91,21.06,22.72,21.88,20.97,21.91,24.0,24.38,23.5,24.12,25.88,26.47,24.62,23.16,24.38,25.31,24.25,23.75,25.62,27.88,27.5,25.81,25.75,26.41,25.0,22.28,21.31,22.56,23.41,23.22,24.06,26.44,28.5,27.5,26.06,26.78,28.78,28.91,28.34,29.12,31.03,30.97,28.94,28.22,28.53,27.81,24.78,22.78,23.31,24.38,23.53,22.75,23.56,24.84,24.19,22.41,22.44,24.12,24.69,23.88,23.81,25.5,26.19,24.38,22.22,22.34,23.0,21.84,20.88,21.75,23.91,23.81,22.09,21.28,22.09,21.81,19.72,18.25,19.53,20.47,18.97,18.19,19.56,21.94,22.0,21.56,22.69,24.84,25.16,23.47,23.53,25.5,26.31,25.16,24.25,25.19,25.62,23.59,21.31,21.5,22.62,21.78,20.25,20.16,21.72,21.72,19.75,18.69,19.47,19.03,16.44,14.03,14.22,14.66,13.62,12.84,14.84,19.03,21.5,23.38,26.88,31.66,34.38,34.75,35.19,36.84,37.16,34.66,31.28,29.81,28.66,25.22,21.62,20.53,21.12,20.56,18.69,18.06,19.16,19.31,17.5,16.53,18.06,19.78,19.66,19.62,21.75,24.91,26.06,26.12,27.94,30.69,32.09,31.84,32.0,34.28,35.0,33.22,30.41,29.34,27.62,23.47,19.22,17.91,17.88,17.03,15.84,16.62,19.5,20.91,20.75,21.25,23.78,25.19,24.19,22.81,23.5,23.72,22.12,20.31,20.69,22.41,22.88,22.22,22.69,25.12,26.44,25.25,24.22,25.09,25.38,23.22,21.19,21.38,22.12,20.72,18.59,18.88,20.0,20.16,18.56,18.56,20.78,22.59,22.97,24.0,27.66,30.81,31.59,31.16,32.47,33.72,32.25,29.47,28.34,28.25,26.5,23.22,20.62,20.06,18.94,15.94,13.12,13.22,14.09,13.22,12.47,13.94,16.59,17.59,16.88,17.72,20.03,20.84,20.16,19.78,21.81,23.53,23.25,22.31,23.94,25.72,24.91,23.0,22.53,22.38,20.5,17.16,15.47,16.06,16.19,14.75,13.56,15.06,15.94,14.41,12.5,13.44,14.88,14.91,14.41,16.31,19.47,21.16,20.62,20.47,21.69,21.12,17.69,14.03,12.31,10.84,7.53,4.62,5.16,7.69,9.25,10.5,13.66,17.44,19.28,18.5,18.0,19.34,20.66,20.03,19.81,22.12,24.22,23.97,22.16,22.41,23.28,22.31,19.41,17.91,17.59,15.94,12.5,10.16,11.0,12.75,13.28,14.69,18.5,22.88,24.53,23.97,24.28,25.19,24.16,21.53,21.22,23.12,24.41,22.91,21.69,22.28,22.53,20.22,17.94,18.5,19.97,19.25,17.19,17.28,18.72,19.31,18.53,19.66,22.94,25.47,25.38,24.91,25.78,26.22,23.91,20.66,19.81,20.56,20.34,19.53,21.28,24.84,27.03,26.59,26.38,27.59,28.0,25.38,22.97,22.62,22.44,19.69,16.44,14.78,14.25,12.12,8.62,7.0,7.81,8.75,7.84,8.22,11.31,13.72,13.28,12.25,12.78,13.97,13.25,12.44,13.88,16.91,18.69,18.44,18.75,19.97,19.72,15.53,11.03,8.34,5.47,0.84,-3.06,-3.56,-1.84,-0.84,-0.19,2.66,6.81,9.75,10.28,11.12,13.72,15.91,15.16,14.94,16.88,19.84,20.88,21.41,24.09,27.62,28.31,26.34,25.44,25.31,24.19,20.66,17.88,17.38,16.38,12.31,8.34,7.03,7.0,5.5,4.34,6.06,10.12,12.53,13.34,15.19,18.66,20.47,19.31,18.41,19.38,20.0,17.94,15.56,15.28,15.44,12.56,8.19,5.44,4.59,2.5,-0.56,-1.94,-0.56,1.22,0.44,0.72,3.44,6.41,6.31,5.34,6.34,8.06,7.72,5.62,5.62,7.12,7.47,5.84,6.0,8.84,11.44,11.66,11.78,13.81,15.53,14.12,11.75,11.47,12.0,10.78,8.69,8.03,9.56,10.34,9.03,8.5,10.31,11.75,10.94,9.78,10.84,12.31,10.88,8.75,8.62,10.41,11.06,10.81,12.12,15.03,17.19,16.56,15.28,15.97,16.09,13.47,10.03,9.38,10.16,9.0,7.22,7.69,9.28,9.19,7.25,6.47,8.12,9.69,9.25,9.41,12.06,15.22,15.62,15.5,17.41,19.81,19.56,17.44,16.09,16.69,16.16,14.41,14.0,16.56,18.88,18.78,18.53,20.19,22.0,20.91,19.0,18.97,20.22,19.38,17.44,17.12,18.75,19.62,18.59,18.25,20.38,22.22,21.28,19.66,20.62,22.19,21.84,20.97,21.94,24.0,23.75,21.06,18.97,18.41,17.09,13.81,11.25,11.28,11.88,10.22,8.41,9.25,11.66,12.53,12.38,14.06,17.22,18.25,17.16,16.38,18.0,19.16,18.06,17.22,19.16,21.28,20.44,18.41,18.28,18.53,16.03,11.84,8.91,8.22,6.97,4.88,4.28,7.09,9.41,9.22,8.72,10.53,12.94,13.25,12.97,14.69,17.69,18.69,18.09,18.72,21.44,23.25,23.12,23.19,25.47,27.31,26.19,24.38,24.81,25.75,24.34,21.62,20.88,21.59,20.59,18.59,17.53,19.38,20.03,18.97,18.16,19.97,21.53,20.5,18.25,17.81,18.09,16.75,14.91,15.25,18.09,19.78,19.44,19.91,22.16,23.75,22.94,22.22,23.78,25.66,25.09,23.03,22.53,22.75,20.59,16.78,14.38,14.22,13.28,10.28,8.19,8.69,9.41,8.44,8.0,10.56,13.94,15.0,14.91,16.53,18.97,19.56,18.69,18.75,20.84,22.47,21.62,21.03,23.16,24.56,23.47,22.09,23.0,24.22,23.19,20.31,18.97,19.12,17.91,15.28,13.66,14.59,14.88,13.12,11.88,14.09,16.5,16.94,16.47,18.44,21.06,21.44,20.31,20.22,21.47,21.12,18.44,16.53,16.53,16.38,13.75,11.22,11.47,12.88,12.25,10.88,11.75,13.41,13.59,12.19,12.03,14.06,15.28,14.06,13.47,15.16,16.69,15.84,14.56,15.44,16.81,16.59,15.47,16.19,18.0,18.66,17.06,16.38,18.03,18.88,18.03,17.41,19.19,20.81,19.94,18.53,19.03,19.47,17.88,14.69,13.0,12.97,11.94,9.25,8.97,11.44,14.22,15.06,16.41,20.09,23.84,24.84,25.0,26.62,28.5,28.22,26.09,25.19,25.5,24.69,21.09,18.28,17.75,17.03,13.62,10.75,10.59,11.66,11.69,11.62,14.38,18.84,21.78,23.31,25.66,28.94,30.47,28.75,26.84,27.16,27.78,26.53,25.06,26.03,27.28,26.19,23.66,22.34,22.06,21.12,18.5,17.44,19.16,21.12,20.81,20.69,22.84,24.81,24.12,22.19,22.25,22.97,21.56,18.44,16.75,16.69,16.03,14.25,13.97,16.56,19.62,20.19,20.38,22.66,25.16,24.88,23.0,22.66,22.94,21.31,18.12,16.66,17.19,17.88,16.97,17.22,20.38,23.56,24.03,24.03,24.97,25.84,24.41,21.38,20.38,21.94,22.62,21.72,22.0,23.97,24.81,23.25,22.31,24.09,26.34,26.28,25.91,27.12,29.19,29.47,28.31,28.5,29.53,28.31,24.25,20.56,18.88,17.34,13.78,11.0,11.09,11.94,11.16,10.5,12.41,15.38,16.75,16.22,16.22,17.22,17.22,14.62,13.28,14.97,16.94,17.0,17.38,20.25,23.78,24.88,24.88,26.28,28.62,28.78,27.19,26.41,26.91,26.38,23.12,20.19,20.06,20.47,19.41,18.47,20.09,12.47,12.88,13.66,16.06,18.06,18.25,18.0,19.62,21.62,21.88,22.44,23.88,26.38,27.59,27.28,27.59,28.5,28.22,26.31,24.47,24.81,24.88,23.59,22.31,22.66,23.88,23.41,22.22,21.88,22.09,20.94,18.31,16.94,17.75,18.59,18.69,19.56,22.41,24.78,25.53,25.5,26.62:positivity
21.09,18.25,16.03,15.56,16.22,16.16,15.97,16.91,17.94,17.03,15.0,13.84,13.56,12.97,12.22,12.06,13.22,13.88,12.41,10.94,10.12,10.09,9.47,9.16,10.47,12.62,13.88,13.88,14.0,14.56,14.09,11.91,10.34,9.66,9.28,8.09,7.19,7.62,8.84,8.47,7.72,7.5,7.75,7.53,6.25,6.25,7.62,9.19,9.72,11.12,13.91,16.09,16.53,16.5,17.34,17.91,16.62,14.34,12.28,10.5,7.66,3.75,1.53,0.72,0.69,-0.22,0.03,2.41,5.66,8.19,10.81,14.72,18.81,20.41,20.53,20.34,19.94,18.03,14.28,11.28,9.81,9.41,8.72,9.56,12.91,17.12,19.56,21.5,23.88,26.38,27.41,27.41,28.19,30.16,31.75,31.84,32.41,33.91,34.53,32.78,30.94,29.75,28.31,25.69,22.5,20.88,20.34,18.84,16.97,16.25,16.84,17.59,17.41,18.03,19.56,21.09,20.53,19.41,19.53,19.72,18.81,17.88,17.56,18.12,17.25,15.03,12.59,11.06,8.94,6.19,4.62,4.56,5.41,5.09,4.62,5.12,6.41,6.88,7.34,8.38,10.53,11.56,11.5,11.53,12.69,13.28,12.44,12.06,13.22,14.97,16.03,17.0,19.28,22.47,24.47,25.94,28.31,31.69,33.84,34.59,35.19,36.0,35.16,31.56,27.44,23.88,21.0,17.44,14.62,14.25,15.12,15.5,15.16,15.31,16.28,16.5,15.88,15.25,16.5,17.69,17.47,17.53,18.75,20.16,19.88,19.0,18.66,19.0,18.34,16.91,16.16,17.38,18.69,19.41,20.84,24.0,26.62,27.56,27.44,27.88,28.16,26.94,24.56,22.44,20.31,17.09,12.69,8.66,6.19,3.75,0.22,-2.38,-2.84,-2.31,-1.53,-0.38,2.5,6.09,8.31,9.94,11.5,13.69,14.47,14.0,13.94,15.12,16.31,15.44,14.22,13.38,11.78,8.22,4.22,1.62,0.72,-0.34,-1.28,-1.06,0.62,2.0,2.31,2.38,4.22,6.5,7.28,8.5,11.72,15.34,17.19,18.34,20.5,23.44,24.31,24.41,24.66,25.56,25.41,23.75,22.53,22.25,21.66,19.44,16.91,15.34,14.56,12.97,11.09,10.56,11.12,10.0,7.94,5.69,4.72,3.28,0.91,-0.72,-0.38,0.44,-0.06,-0.56,0.53,1.69,1.47,0.44,0.09,0.78,0.66,0.41,1.19,3.91,6.19,7.25,8.38,10.81,13.66,15.38,16.66,19.22,22.25,23.78,23.94,24.5,25.38,25.06,23.62,21.91,21.75,21.16,19.69,18.41,19.12,20.16,20.12,19.44,19.91,20.69,20.78,19.41,18.25,17.91,16.41,13.47,11.03,11.0,10.97,10.06,9.12,9.47,10.34,10.03,9.09,10.19,11.97,13.38,13.91,14.66,16.41,17.31,16.72,15.91,16.69,17.38,16.84,15.94,16.25,16.78,15.91,13.16,11.16,9.41,6.91,3.97,2.03,2.56,3.44,3.69,4.28,6.66,9.09,10.41,10.84,12.62,14.78,16.12,16.22,17.19,18.84,19.38,18.47,17.91,18.56,18.66,17.16,15.06,13.56,11.81,8.5,3.88,1.16,-0.62,-2.78,-4.88,-4.84,-2.69,-0.59,0.28,1.69,4.03,6.03,6.56,6.78,9.06,11.06,12.47,13.12,15.03,17.34,18.09,17.09,16.53,16.84,16.19,14.12,12.41,11.5,10.5,8.34,5.84,6.16,7.25,6.88,6.44,7.0,8.5,9.53,9.34,9.81,11.62,12.62,12.12,11.91,13.09,13.53,12.69,10.97,10.62,11.0,10.81,10.16,10.34,11.28,11.94,11.22,10.69,12.31,14.16,14.56,14.62,15.94,16.44,14.81,11.88,9.91,8.56,6.59,4.03,2.69,2.69,2.72,1.84,1.31,2.66,4.25,4.38,5.19,7.66,10.53,12.28,13.31,15.12,17.31,18.75,18.88,19.72,20.94,21.06,19.28,17.22,15.88,14.72,12.0,9.34,8.41,8.19,7.5,6.62,7.97,10.25,11.72,12.25,13.44,15.22,16.06,15.25,15.0,16.16,17.19,17.0,16.34,16.72,17.81,17.66,16.69,17.0,18.0,17.91,16.44,16.25,17.16,17.41,16.12,14.44,14.03,13.59,12.09,10.56,10.69,11.44,11.44,11.0,12.22,14.78,17.78,19.78,22.25,25.31,27.44,26.31,24.47,23.38,22.22,19.5,17.19,16.59,17.47,18.41,18.69,20.38,22.56,23.31,21.31,19.5,18.47,17.44,14.72,12.72,12.66,13.41,13.22,12.38,12.59,13.69,13.94,13.41,13.81,15.62,17.19,16.41,15.81,16.97,18.06,18.0,18.31,19.69,21.34,21.31,20.81,21.47,22.91,23.41,22.88,22.66,23.31,23.62,22.5,21.38,21.28,21.12,19.16,16.84,16.44,16.75,15.88,14.91,14.81,15.97,16.28,15.69,15.88,16.69,17.28,15.88,14.69,15.34,16.78,17.34,17.41,19.0,20.53,20.72,19.78,19.94,21.09,21.62,20.75,19.84,20.38,20.62,19.16,17.62,17.94,18.75,18.38,17.69,17.91,18.5,17.69,15.81,14.81,15.47,15.69,15.06,15.12,16.53,17.81,17.34,16.84,18.38,20.06,20.22,20.16,21.28,22.84,22.75,21.34,20.0,19.78,19.12,17.69,17.25,19.28,21.84,22.5,23.22,24.75,26.47,25.78,24.47,24.0,24.78,24.81,24.0,23.97,25.12,25.94,24.84,23.47,23.19,23.16,21.41,19.94,20.31,22.03,22.66,22.69,23.31,25.34,26.69,26.69,27.25,28.75,29.5,27.91,26.19,25.56,25.0,23.0,21.47,21.12,21.59,20.56,18.28,16.78,16.53,15.47,14.03,13.72,15.38,16.94,17.34,17.5,18.62,19.44,17.91,15.72,14.66,14.59,13.84,12.56,12.19,13.06,13.12,11.66,10.81,11.5,12.44,12.0,11.56,12.97,15.25,15.75,16.09,16.88,18.16,17.75,15.81,14.34,14.22,13.38,11.47,9.97,10.62,11.25,10.47,9.72,10.44,12.56,12.94,13.28,13.94,15.31,14.97,12.94,11.69,11.5,10.78,8.66,6.66,5.97,5.47,3.38,1.41,1.19,2.78,3.44,4.38,6.47,10.03,12.19,12.84,13.34,14.84,15.72,14.78,14.22,15.28,16.38,16.31,15.69,15.91,17.0,16.72,15.81,15.72,17.28,17.72,16.75,16.03,16.12,15.97,14.72,12.97,13.38,14.62,14.91,14.88,16.03,18.28,18.88,18.44,18.47,19.84,20.72,20.47,20.62,21.94,22.69,20.94,19.16,18.28,17.94,16.62,14.94,15.0,16.38,16.5,16.12,16.25,17.84,18.44,18.16,18.38,20.12,22.06,22.41,22.59,23.5,24.56,24.0,22.5,22.31,23.16,23.0,21.88,21.28,21.88,21.84,20.31,18.88,19.03,19.16,17.88,16.66,16.81,17.31,16.41,14.59,14.12,15.56,16.25,16.78,17.62,19.47,20.5,19.34,17.81,18.09,18.66,18.34,17.69,18.62,20.56,21.06,20.44,20.47,21.31,21.06,19.16,17.59,17.47,16.41,13.78,11.09,10.5,10.62,9.88,8.81,9.56,11.09,12.09,12.16,13.41,15.84,17.41,17.25,17.09,18.56,19.75,19.75,19.53,20.53,22.06,22.12,21.5,21.97,23.16,23.06,21.59,20.53,20.78,20.16,18.19,16.72,17.34,18.31,18.53,19.22,21.75,25.0,27.12,28.25,29.5,30.44,29.56,26.56,24.19,23.12,21.94,20.03,18.62,19.25,19.88,19.5,18.56,18.47,18.66,17.56,16.19,16.34,17.91,19.16,19.19,19.28,20.0,19.84,17.91,15.53,14.56,12.91,10.12,7.03,6.06,6.31,6.34,5.59,5.88,7.0,7.44,6.72,6.94,8.91,10.72,11.22,12.38,15.25,18.69,20.84,22.0,24.0,25.78,25.69,24.31,23.56,24.03,23.44,21.88,20.41,20.22,19.88,18.28,16.91,17.16,17.78,17.19,15.47,14.81,14.97,14.41,13.69,14.0,16.47,19.16,20.84,22.59,25.69,28.0,28.5,28.41,29.81,31.38,31.0,29.25,28.34,27.97,26.59,24.5,23.75,24.22,24.59,24.06,23.56,24.81,25.94,25.88,24.91,24.94,25.38,24.28,22.28,21.31,21.47,21.16,19.97,19.66,21.16,22.75,23.22,23.5,24.97,25.88,24.81,22.75,21.84,21.66,20.84,19.0,18.56,19.25,19.41,18.56,18.28,19.41,20.06,19.38,18.5,19.47,20.66,19.91,18.59,18.25,17.94,17.16,15.19,15.03,15.94,16.25,15.34,15.19,16.97,18.88,19.62,20.12,21.69,22.75,21.31,19.06,17.62,16.91,15.56,13.5,13.03,14.19,15.91,16.44,17.53,19.97,21.75,21.56,20.53,20.69,21.44,20.5,19.0,19.06,19.94,20.28,19.44,19.44,20.19,20.78,19.75,19.22,20.09,21.12,20.91,19.94,20.09,20.5,19.53,17.91,17.69,18.41,18.53,17.94,18.19,19.38,20.88,20.66,20.41,21.31,22.5,22.28,21.81,22.22,23.25,23.38,22.62,23.41,25.41,27.88,29.0,30.28,32.09,32.59,30.41,27.38,25.5,23.81,21.31,18.66,18.19,17.91,17.62,16.84,16.84,17.91,18.69,17.62,17.09,17.31,18.5,18.19,17.81,19.47,21.78,22.78,23.25,24.69,26.09,26.38,25.28,24.84,25.34,25.75,24.5,23.44,22.97,22.25,19.97,17.88,17.53,18.0,18.38,18.25,18.88,20.41,21.03,20.28,20.09,21.38,22.66,22.25,22.72,24.25,25.91,25.94,25.25,25.59,26.16,26.03,25.38,26.12,27.62,28.34,27.5,26.62,27.03,27.47,26.69,26.75,28.06,29.59:16.91,17.94,17.03,15.0,13.84,13.56,12.97,12.22,12.06,13.22,13.88,12.41,10.94,10.12,10.09,9.47,9.16,10.47,12.62,13.88,13.88,14.0,14.56,14.09,11.91,10.34,9.66,9.28,8.09,7.19,7.62,8.84,8.47,7.72,7.5,7.75,7.53,6.25,6.25,7.62,9.19,9.72,11.12,13.91,16.09,16.53,16.5,17.34,17.91,16.62,14.34,12.28,10.5,7.66,3.75,1.53,0.72,0.69,-0.22,0.03,2.41,5.66,8.19,10.81,14.72,18.81,20.41,20.53,20.34,19.94,18.03,14.28,11.28,9.81,9.41,8.72,9.56,12.91,17.12,19.56,21.5,23.88,26.38,27.41,27.41,28.19,30.16,31.75,31.84,32.41,33.91,34.53,32.78,30.94,29.75,28.31,25.69,22.5,20.88,20.34,18.84,16.97,16.25,16.84,17.59,17.41,18.03,19.56,21.09,20.53,19.41,19.53,19.72,18.81,17.88,17.56,18.12,17.25,15.03,12.59,11.06,8.94,6.19,4.62,4.56,5.41,5.09,4.62,5.12,6.41,6.88,7.34,8.38,10.53,11.56,11.5,11.53,12.69,13.28,12.44,12.06,13.22,14.97,16.03,17.0,19.28,22.47,24.47,25.94,28.31,31.69,33.84,34.59,35.19,36.0,35.16,31.56,27.44,23.88,21.0,17.44,14.62,14.25,15.12,15.5,15.16,15.31,16.28,16.5,15.88,15.25,16.5,17.69,17.47,17.53,18.75,20.16,19.88,19.0,18.66,19.0,18.34,16.91,16.16,17.38,18.69,19.41,20.84,24.0,26.62,27.56,27.44,27.88,28.16,26.94,24.56,22.44,20.31,17.09,12.69,8.66,6.19,3.75,0.22,-2.38,-2.84,-2.31,-1.53,-0.38,2.5,6.09,8.31,9.94,11.5,13.69,14.47,14.0,13.94,15.12,16.31,15.44,14.22,13.38,11.78,8.22,4.22,1.62,0.72,-0.34,-1.28,-1.06,0.62,2.0,2.31,2.38,4.22,6.5,7.28,8.5,11.72,15.34,17.19,18.34,20.5,23.44,24.31,24.41,24.66,25.56,25.41,23.75,22.53,22.25,21.66,19.44,16.91,15.34,14.56,12.97,11.09,10.56,11.12,10.0,7.94,5.69,4.72,3.28,0.91,-0.72,-0.38,0.44,-0.06,-0.56,0.53,1.69,1.47,0.44,0.09,0.78,0.66,0.41,1.19,3.91,6.19,7.25,8.38,10.81,13.66,15.38,16.66,19.22,22.25,23.78,23.94,24.5,25.38,25.06,23.62,21.91,21.75,21.16,19.69,18.41,19.12,20.16,20.12,19.44,19.91,20.69,20.78,19.41,18.25,17.91,16.41,13.47,11.03,11.0,10.97,10.06,9.12,9.47,10.34,10.03,9.09,10.19,11.97,13.38,13.91,14.66,16.41,17.31,16.72,15.91,16.69,17.38,16.84,15.94,16.25,16.78,15.91,13.16,11.16,9.41,6.91,3.97,2.03,2.56,3.44,3.69,4.28,6.66,9.09,10.41,10.84,12.62,14.78,16.12,16.22,17.19,18.84,19.38,18.47,17.91,18.56,18.66,17.16,15.06,13.56,11.81,8.5,3.88,1.16,-0.62,-2.78,-4.88,-4.84,-2.69,-0.59,0.28,1.69,4.03,6.03,6.56,6.78,9.06,11.06,12.47,13.12,15.03,17.34,18.09,17.09,16.53,16.84,16.19,14.12,12.41,11.5,10.5,8.34,5.84,6.16,7.25,6.88,6.44,7.0,8.5,9.53,9.34,9.81,11.62,12.62,12.12,11.91,13.09,13.53,12.69,10.97,10.62,11.0,10.81,10.16,10.34,11.28,11.94,11.22,10.69,12.31,14.16,14.56,14.62,15.94,16.44,14.81,11.88,9.91,8.56,6.59,4.03,2.69,2.69,2.72,1.84,1.31,2.66,4.25,4.38,5.19,7.66,10.53,12.28,13.31,15.12,17.31,18.75,18.88,19.72,20.94,21.06,19.28,17.22,15.88,14.72,12.0,9.34,8.41,8.19,7.5,6.62,7.97,10.25,11.72,12.25,13.44,15.22,16.06,15.25,15.0,16.16,17.19,17.0,16.34,16.72,17.81,17.66,16.69,17.0,18.0,17.91,16.44,16.25,17.16,17.41,16.12,14.44,14.03,13.59,12.09,10.56,10.69,11.44,11.44,11.0,12.22,14.78,17.78,19.78,22.25,25.31,27.44,26.31,24.47,23.38,22.22,19.5,17.19,16.59,17.47,18.41,18.69,20.38,22.56,23.31,21.31,19.5,18.47,17.44,14.72,12.72,12.66,13.41,13.22,12.38,12.59,13.69,13.94,13.41,13.81,15.62,17.19,16.41,15.81,16.97,18.06,18.0,18.31,19.69,21.34,21.31,20.81,21.47,22.91,23.41,22.88,22.66,23.31,23.62,22.5,21.38,21.28,21.12,19.16,16.84,16.44,16.75,15.88,14.91,14.81,15.97,16.28,15.69,15.88,16.69,17.28,15.88,14.69,15.34,16.78,17.34,17.41,19.0,20.53,20.72,19.78,19.94,21.09,21.62,20.75,19.84,20.38,20.62,19.16,17.62,17.94,18.75,18.38,17.69,17.91,18.5,17.69,15.81,14.81,15.47,15.69,15.06,15.12,16.53,17.81,17.34,16.84,18.38,20.06,20.22,20.16,21.28,22.84,22.75,21.34,20.0,19.78,19.12,17.69,17.25,19.28,21.84,22.5,23.22,24.75,26.47,25.78,24.47,24.0,24.78,24.81,24.0,23.97,25.12,25.94,24.84,23.47,23.19,23.16,21.41,19.94,20.31,22.03,22.66,22.69,23.31,25.34,26.69,26.69,27.25,28.75,29.5,27.91,26.19,25.56,25.0,23.0,21.47,21.12,21.59,20.56,18.28,16.78,16.53,15.47,14.03,13.72,15.38,16.94,17.34,17.5,18.62,19.44,17.91,15.72,14.66,14.59,13.84,12.56,12.19,13.06,13.12,11.66,10.81,11.5,12.44,12.0,11.56,12.97,15.25,15.75,16.09,16.88,18.16,17.75,15.81,14.34,14.22,13.38,11.47,9.97,10.62,11.25,10.47,9.72,10.44,12.56,12.94,13.28,13.94,15.31,14.97,12.94,11.69,11.5,10.78,8.66,6.66,5.97,5.47,3.38,1.41,1.19,2.78,3.44,4.38,6.47,10.03,12.19,12.84,13.34,14.84,15.72,14.78,14.22,15.28,16.38,16.31,15.69,15.91,17.0,16.72,15.81,15.72,17.28,17.72,16.75,16.03,16.12,15.97,14.72,12.97,13.38,14.62,14.91,14.88,16.03,18.28,18.88,18.44,18.47,19.84,20.72,20.47,20.62,21.94,22.69,20.94,19.16,18.28,17.94,16.62,14.94,15.0,16.38,16.5,16.12,16.25,17.84,18.44,18.16,18.38,20.12,22.06,22.41,22.59,23.5,24.56,24.0,22.5,22.31,23.16,23.0,21.88,21.28,21.88,21.84,20.31,18.88,19.03,19.16,17.88,16.66,16.81,17.31,16.41,14.59,14.12,15.56,16.25,16.78,17.62,19.47,20.5,19.34,17.81,18.09,18.66,18.34,17.69,18.62,20.56,21.06,20.44,20.47,21.31,21.06,19.16,17.59,17.47,16.41,13.78,11.09,10.5,10.62,9.88,8.81,9.56,11.09,12.09,12.16,13.41,15.84,17.41,17.25,17.09,18.56,19.75,19.75,19.53,20.53,22.06,22.12,21.5,21.97,23.16,23.06,21.59,20.53,20.78,20.16,18.19,16.72,17.34,18.31,18.53,19.22,21.75,25.0,27.12,28.25,29.5,30.44,29.56,26.56,24.19,23.12,21.94,20.03,18.62,19.25,19.88,19.5,18.56,18.47,18.66,17.56,16.19,16.34,17.91,19.16,19.19,19.28,20.0,19.84,17.91,15.53,14.56,12.91,10.12,7.03,6.06,6.31,6.34,5.59,5.88,7.0,7.44,6.72,6.94,8.91,10.72,11.22,12.38,15.25,18.69,20.84,22.0,24.0,25.78,25.69,24.31,23.56,24.03,23.44,21.88,20.41,20.22,19.88,18.28,16.91,17.16,17.78,17.19,15.47,14.81,14.97,14.41,13.69,14.0,16.47,19.16,20.84,22.59,25.69,28.0,28.5,28.41,29.81,31.38,31.0,29.25,28.34,27.97,26.59,24.5,23.75,24.22,24.59,24.06,23.56,24.81,25.94,25.88,24.91,24.94,25.38,24.28,22.28,21.31,21.47,21.16,19.97,19.66,21.16,22.75,23.22,23.5,24.97,25.88,24.81,22.75,21.84,21.66,20.84,19.0,18.56,19.25,19.41,18.56,18.28,19.41,20.06,19.38,18.5,19.47,20.66,19.91,18.59,18.25,17.94,17.16,15.19,15.03,15.94,16.25,15.34,15.19,16.97,18.88,19.62,20.12,21.69,22.75,21.31,19.06,17.62,16.91,15.56,13.5,13.03,14.19,15.91,16.44,17.53,19.97,21.75,21.56,20.53,20.69,21.44,20.5,19.0,19.06,19.94,20.28,19.44,19.44,20.19,20.78,19.75,19.22,20.09,21.12,20.91,19.94,20.09,20.5,19.53,17.91,17.69,18.41,18.53,17.94,18.19,19.38,20.88,20.66,20.41,21.31,22.5,22.28,21.81,22.22,23.25,23.38,22.62,23.41,25.41,27.88,29.0,30.28,32.09,32.59,30.41,27.38,25.5,23.81,21.31,18.66,18.19,17.91,17.62,16.84,16.84,17.91,18.69,17.62,17.09,17.31,18.5,18.19,17.81,19.47,21.78,22.78,23.25,24.69,26.09,26.38,25.28,24.84,25.34,25.75,24.5,23.44,22.97,22.25,19.97,17.88,17.53,18.0,18.38,18.25,18.88,20.41,21.03,20.28,20.09,21.38,22.66,22.25,22.72,24.25,25.91,25.94,25.25,25.59,26.16,26.03,25.38,26.12,27.62,28.34,27.5,26.62,27.03,27.47,26.69,26.75,28.06,29.59,27.53,25.81,24.38,23.31,23.09,24.25,25.53:12.22,12.06,13.22,13.88,12.41,10.94,10.12,10.09,9.47,9.16,10.47,12.62,13.88,13.88,14.0,14.56,14.09,11.91,10.34,9.66,9.28,8.09,7.19,7.62,8.84,8.47,7.72,7.5,7.75,7.53,6.25,6.25,7.62,9.19,9.72,11.12,13.91,16.09,16.53,16.5,17.34,17.91,16.62,14.34,12.28,10.5,7.66,3.75,1.53,0.72,0.69,-0.22,0.03,2.41,5.66,8.19,10.81,14.72,18.81,20.41,20.53,20.34,19.94,18.03,14.28,11.28,9.81,9.41,8.72,9.56,12.91,17.12,19.56,21.5,23.88,26.38,27.41,27.41,28.19,30.16,31.75,31.84,32.41,33.91,34.53,32.78,30.94,29.75,28.31,25.69,22.5,20.88,20.34,18.84,16.97,16.25,16.84,17.59,17.41,18.03,19.56,21.09,20.53,19.41,19.53,19.72,18.81,17.88,17.56,18.12,17.25,15.03,12.59,11.06,8.94,6.19,4.62,4.56,5.41,5.09,4.62,5.12,6.41,6.88,7.34,8.38,10.53,11.56,11.5,11.53,12.69,13.28,12.44,12.06,13.22,14.97,16.03,17.0,19.28,22.47,24.47,25.94,28.31,31.69,33.84,34.59,35.19,36.0,35.16,31.56,27.44,23.88,21.0,17.44,14.62,14.25,15.12,15.5,15.16,15.31,16.28,16.5,15.88,15.25,16.5,17.69,17.47,17.53,18.75,20.16,19.88,19.0,18.66,19.0,18.34,16.91,16.16,17.38,18.69,19.41,20.84,24.0,26.62,27.56,27.44,27.88,28.16,26.94,24.56,22.44,20.31,17.09,12.69,8.66,6.19,3.75,0.22,-2.38,-2.84,-2.31,-1.53,-0.38,2.5,6.09,8.31,9.94,11.5,13.69,14.47,14.0,13.94,15.12,16.31,15.44,14.22,13.38,11.78,8.22,4.22,1.62,0.72,-0.34,-1.28,-1.06,0.62,2.0,2.31,2.38,4.22,6.5,7.28,8.5,11.72,15.34,17.19,18.34,20.5,23.44,24.31,24.41,24.66,25.56,25.41,23.75,22.53,22.25,21.66,19.44,16.91,15.34,14.56,12.97,11.09,10.56,11.12,10.0,7.94,5.69,4.72,3.28,0.91,-0.72,-0.38,0.44,-0.06,-0.56,0.53,1.69,1.47,0.44,0.09,0.78,0.66,0.41,1.19,3.91,6.19,7.25,8.38,10.81,13.66,15.38,16.66,19.22,22.25,23.78,23.94,24.5,25.38,25.06,23.62,21.91,21.75,21.16,19.69,18.41,19.12,20.16,20.12,19.44,19.91,20.69,20.78,19.41,18.25,17.91,16.41,13.47,11.03,11.0,10.97,10.06,9.12,9.47,10.34,10.03,9.09,10.19,11.97,13.38,13.91,14.66,16.41,17.31,16.72,15.91,16.69,17.38,16.84,15.94,16.25,16.78,15.91,13.16,11.16,9.41,6.91,3.97,2.03,2.56,3.44,3.69,4.28,6.66,9.09,10.41,10.84,12.62,14.78,16.12,16.22,17.19,18.84,19.38,18.47,17.91,18.56,18.66,17.16,15.06,13.56,11.81,8.5,3.88,1.16,-0.62,-2.78,-4.88,-4.84,-2.69,-0.59,0.28,1.69,4.03,6.03,6.56,6.78,9.06,11.06,12.47,13.12,15.03,17.34,18.09,17.09,16.53,16.84,16.19,14.12,12.41,11.5,10.5,8.34,5.84,6.16,7.25,6.88,6.44,7.0,8.5,9.53,9.34,9.81,11.62,12.62,12.12,11.91,13.09,13.53,12.69,10.97,10.62,11.0,10.81,10.16,10.34,11.28,11.94,11.22,10.69,12.31,14.16,14.56,14.62,15.94,16.44,14.81,11.88,9.91,8.56,6.59,4.03,2.69,2.69,2.72,1.84,1.31,2.66,4.25,4.38,5.19,7.66,10.53,12.28,13.31,15.12,17.31,18.75,18.88,19.72,20.94,21.06,19.28,17.22,15.88,14.72,12.0,9.34,8.41,8.19,7.5,6.62,7.97,10.25,11.72,12.25,13.44,15.22,16.06,15.25,15.0,16.16,17.19,17.0,16.34,16.72,17.81,17.66,16.69,17.0,18.0,17.91,16.44,16.25,17.16,17.41,16.12,14.44,14.03,13.59,12.09,10.56,10.69,11.44,11.44,11.0,12.22,14.78,17.78,19.78,22.25,25.31,27.44,26.31,24.47,23.38,22.22,19.5,17.19,16.59,17.47,18.41,18.69,20.38,22.56,23.31,21.31,19.5,18.47,17.44,14.72,12.72,12.66,13.41,13.22,12.38,12.59,13.69,13.94,13.41,13.81,15.62,17.19,16.41,15.81,16.97,18.06,18.0,18.31,19.69,21.34,21.31,20.81,21.47,22.91,23.41,22.88,22.66,23.31,23.62,22.5,21.38,21.28,21.12,19.16,16.84,16.44,16.75,15.88,14.91,14.81,15.97,16.28,15.69,15.88,16.69,17.28,15.88,14.69,15.34,16.78,17.34,17.41,19.0,20.53,20.72,19.78,19.94,21.09,21.62,20.75,19.84,20.38,20.62,19.16,17.62,17.94,18.75,18.38,17.69,17.91,18.5,17.69,15.81,14.81,15.47,15.69,15.06,15.12,16.53,17.81,17.34,16.84,18.38,20.06,20.22,20.16,21.28,22.84,22.75,21.34,20.0,19.78,19.12,17.69,17.25,19.28,21.84,22.5,23.22,24.75,26.47,25.78,24.47,24.0,24.78,24.81,24.0,23.97,25.12,25.94,24.84,23.47,23.19,23.16,21.41,19.94,20.31,22.03,22.66,22.69,23.31,25.34,26.69,26.69,27.25,28.75,29.5,27.91,26.19,25.56,25.0,23.0,21.47,21.12,21.59,20.56,18.28,16.78,16.53,15.47,14.03,13.72,15.38,16.94,17.34,17.5,18.62,19.44,17.91,15.72,14.66,14.59,13.84,12.56,12.19,13.06,13.12,11.66,10.81,11.5,12.44,12.0,11.56,12.97,15.25,15.75,16.09,16.88,18.16,17.75,15.81,14.34,14.22,13.38,11.47,9.97,10.62,11.25,10.47,9.72,10.44,12.56,12.94,13.28,13.94,15.31,14.97,12.94,11.69,11.5,10.78,8.66,6.66,5.97,5.47,3.38,1.41,1.19,2.78,3.44,4.38,6.47,10.03,12.19,12.84,13.34,14.84,15.72,14.78,14.22,15.28,16.38,16.31,15.69,15.91,17.0,16.72,15.81,15.72,17.28,17.72,16.75,16.03,16.12,15.97,14.72,12.97,13.38,14.62,14.91,14.88,16.03,18.28,18.88,18.44,18.47,19.84,20.72,20.47,20.62,21.94,22.69,20.94,19.16,18.28,17.94,16.62,14.94,15.0,16.38,16.5,16.12,16.25,17.84,18.44,18.16,18.38,20.12,22.06,22.41,22.59,23.5,24.56,24.0,22.5,22.31,23.16,23.0,21.88,21.28,21.88,21.84,20.31,18.88,19.03,19.16,17.88,16.66,16.81,17.31,16.41,14.59,14.12,15.56,16.25,16.78,17.62,19.47,20.5,19.34,17.81,18.09,18.66,18.34,17.69,18.62,20.56,21.06,20.44,20.47,21.31,21.06,19.16,17.59,17.47,16.41,13.78,11.09,10.5,10.62,9.88,8.81,9.56,11.09,12.09,12.16,13.41,15.84,17.41,17.25,17.09,18.56,19.75,19.75,19.53,20.53,22.06,22.12,21.5,21.97,23.16,23.06,21.59,20.53,20.78,20.16,18.19,16.72,17.34,18.31,18.53,19.22,21.75,25.0,27.12,28.25,29.5,30.44,29.56,26.56,24.19,23.12,21.94,20.03,18.62,19.25,19.88,19.5,18.56,18.47,18.66,17.56,16.19,16.34,17.91,19.16,19.19,19.28,20.0,19.84,17.91,15.53,14.56,12.91,10.12,7.03,6.06,6.31,6.34,5.59,5.88,7.0,7.44,6.72,6.94,8.91,10.72,11.22,12.38,15.25,18.69,20.84,22.0,24.0,25.78,25.69,24.31,23.56,24.03,23.44,21.88,20.41,20.22,19.88,18.28,16.91,17.16,17.78,17.19,15.47,14.81,14.97,14.41,13.69,14.0,16.47,19.16,20.84,22.59,25.69,28.0,28.5,28.41,29.81,31.38,31.0,29.25,28.34,27.97,26.59,24.5,23.75,24.22,24.59,24.06,23.56,24.81,25.94,25.88,24.91,24.94,25.38,24.28,22.28,21.31,21.47,21.16,19.97,19.66,21.16,22.75,23.22,23.5,24.97,25.88,24.81,22.75,21.84,21.66,20.84,19.0,18.56,19.25,19.41,18.56,18.28,19.41,20.06,19.38,18.5,19.47,20.66,19.91,18.59,18.25,17.94,17.16,15.19,15.03,15.94,16.25,15.34,15.19,16.97,18.88,19.62,20.12,21.69,22.75,21.31,19.06,17.62,16.91,15.56,13.5,13.03,14.19,15.91,16.44,17.53,19.97,21.75,21.56,20.53,20.69,21.44,20.5,19.0,19.06,19.94,20.28,19.44,19.44,20.19,20.78,19.75,19.22,20.09,21.12,20.91,19.94,20.09,20.5,19.53,17.91,17.69,18.41,18.53,17.94,18.19,19.38,20.88,20.66,20.41,21.31,22.5,22.28,21.81,22.22,23.25,23.38,22.62,23.41,25.41,27.88,29.0,30.28,32.09,32.59,30.41,27.38,25.5,23.81,21.31,18.66,18.19,17.91,17.62,16.84,16.84,17.91,18.69,17.62,17.09,17.31,18.5,18.19,17.81,19.47,21.78,22.78,23.25,24.69,26.09,26.38,25.28,24.84,25.34,25.75,24.5,23.44,22.97,22.25,19.97,17.88,17.53,18.0,18.38,18.25,18.88,20.41,21.03,20.28,20.09,21.38,22.66,22.25,22.72,24.25,25.91,25.94,25.25,25.59,26.16,26.03,25.38,26.12,27.62,28.34,27.5,26.62,27.03,27.47,26.69,26.75,28.06,29.59,27.53,25.81,24.38,23.31,23.09,24.25,25.53,26.28,26.62,26.47,26.22,25.69,25.09,24.91:10.09,9.47,9.16,10.47,12.62,13.88,13.88,14.0,14.56,14.09,11.91,10.34,9.66,9.28,8.09,7.19,7.62,8.84,8.47,7.72,7.5,7.75,7.53,6.25,6.25,7.62,9.19,9.72,11.12,13.91,16.09,16.53,16.5,17.34,17.91,16.62,14.34,12.28,10.5,7.66,3.75,1.53,0.72,0.69,-0.22,0.03,2.41,5.66,8.19,10.81,14.72,18.81,20.41,20.53,20.34,19.94,18.03,14.28,11.28,9.81,9.41,8.72,9.56,12.91,17.12,19.56,21.5,23.88,26.38,27.41,27.41,28.19,30.16,31.75,31.84,32.41,33.91,34.53,32.78,30.94,29.75,28.31,25.69,22.5,20.88,20.34,18.84,16.97,16.25,16.84,17.59,17.41,18.03,19.56,21.09,20.53,19.41,19.53,19.72,18.81,17.88,17.56,18.12,17.25,15.03,12.59,11.06,8.94,6.19,4.62,4.56,5.41,5.09,4.62,5.12,6.41,6.88,7.34,8.38,10.53,11.56,11.5,11.53,12.69,13.28,12.44,12.06,13.22,14.97,16.03,17.0,19.28,22.47,24.47,25.94,28.31,31.69,33.84,34.59,35.19,36.0,35.16,31.56,27.44,23.88,21.0,17.44,14.62,14.25,15.12,15.5,15.16,15.31,16.28,16.5,15.88,15.25,16.5,17.69,17.47,17.53,18.75,20.16,19.88,19.0,18.66,19.0,18.34,16.91,16.16,17.38,18.69,19.41,20.84,24.0,26.62,27.56,27.44,27.88,28.16,26.94,24.56,22.44,20.31,17.09,12.69,8.66,6.19,3.75,0.22,-2.38,-2.84,-2.31,-1.53,-0.38,2.5,6.09,8.31,9.94,11.5,13.69,14.47,14.0,13.94,15.12,16.31,15.44,14.22,13.38,11.78,8.22,4.22,1.62,0.72,-0.34,-1.28,-1.06,0.62,2.0,2.31,2.38,4.22,6.5,7.28,8.5,11.72,15.34,17.19,18.34,20.5,23.44,24.31,24.41,24.66,25.56,25.41,23.75,22.53,22.25,21.66,19.44,16.91,15.34,14.56,12.97,11.09,10.56,11.12,10.0,7.94,5.69,4.72,3.28,0.91,-0.72,-0.38,0.44,-0.06,-0.56,0.53,1.69,1.47,0.44,0.09,0.78,0.66,0.41,1.19,3.91,6.19,7.25,8.38,10.81,13.66,15.38,16.66,19.22,22.25,23.78,23.94,24.5,25.38,25.06,23.62,21.91,21.75,21.16,19.69,18.41,19.12,20.16,20.12,19.44,19.91,20.69,20.78,19.41,18.25,17.91,16.41,13.47,11.03,11.0,10.97,10.06,9.12,9.47,10.34,10.03,9.09,10.19,11.97,13.38,13.91,14.66,16.41,17.31,16.72,15.91,16.69,17.38,16.84,15.94,16.25,16.78,15.91,13.16,11.16,9.41,6.91,3.97,2.03,2.56,3.44,3.69,4.28,6.66,9.09,10.41,10.84,12.62,14.78,16.12,16.22,17.19,18.84,19.38,18.47,17.91,18.56,18.66,17.16,15.06,13.56,11.81,8.5,3.88,1.16,-0.62,-2.78,-4.88,-4.84,-2.69,-0.59,0.28,1.69,4.03,6.03,6.56,6.78,9.06,11.06,12.47,13.12,15.03,17.34,18.09,17.09,16.53,16.84,16.19,14.12,12.41,11.5,10.5,8.34,5.84,6.16,7.25,6.88,6.44,7.0,8.5,9.53,9.34,9.81,11.62,12.62,12.12,11.91,13.09,13.53,12.69,10.97,10.62,11.0,10.81,10.16,10.34,11.28,11.94,11.22,10.69,12.31,14.16,14.56,14.62,15.94,16.44,14.81,11.88,9.91,8.56,6.59,4.03,2.69,2.69,2.72,1.84,1.31,2.66,4.25,4.38,5.19,7.66,10.53,12.28,13.31,15.12,17.31,18.75,18.88,19.72,20.94,21.06,19.28,17.22,15.88,14.72,12.0,9.34,8.41,8.19,7.5,6.62,7.97,10.25,11.72,12.25,13.44,15.22,16.06,15.25,15.0,16.16,17.19,17.0,16.34,16.72,17.81,17.66,16.69,17.0,18.0,17.91,16.44,16.25,17.16,17.41,16.12,14.44,14.03,13.59,12.09,10.56,10.69,11.44,11.44,11.0,12.22,14.78,17.78,19.78,22.25,25.31,27.44,26.31,24.47,23.38,22.22,19.5,17.19,16.59,17.47,18.41,18.69,20.38,22.56,23.31,21.31,19.5,18.47,17.44,14.72,12.72,12.66,13.41,13.22,12.38,12.59,13.69,13.94,13.41,13.81,15.62,17.19,16.41,15.81,16.97,18.06,18.0,18.31,19.69,21.34,21.31,20.81,21.47,22.91,23.41,22.88,22.66,23.31,23.62,22.5,21.38,21.28,21.12,19.16,16.84,16.44,16.75,15.88,14.91,14.81,15.97,16.28,15.69,15.88,16.69,17.28,15.88,14.69,15.34,16.78,17.34,17.41,19.0,20.53,20.72,19.78,19.94,21.09,21.62,20.75,19.84,20.38,20.62,19.16,17.62,17.94,18.75,18.38,17.69,17.91,18.5,17.69,15.81,14.81,15.47,15.69,15.06,15.12,16.53,17.81,17.34,16.84,18.38,20.06,20.22,20.16,21.28,22.84,22.75,21.34,20.0,19.78,19.12,17.69,17.25,19.28,21.84,22.5,23.22,24.75,26.47,25.78,24.47,24.0,24.78,24.81,24.0,23.97,25.12,25.94,24.84,23.47,23.19,23.16,21.41,19.94,20.31,22.03,22.66,22.69,23.31,25.34,26.69,26.69,27.25,28.75,29.5,27.91,26.19,25.56,25.0,23.0,21.47,21.12,21.59,20.56,18.28,16.78,16.53,15.47,14.03,13.72,15.38,16.94,17.34,17.5,18.62,19.44,17.91,15.72,14.66,14.59,13.84,12.56,12.19,13.06,13.12,11.66,10.81,11.5,12.44,12.0,11.56,12.97,15.25,15.75,16.09,16.88,18.16,17.75,15.81,14.34,14.22,13.38,11.47,9.97,10.62,11.25,10.47,9.72,10.44,12.56,12.94,13.28,13.94,15.31,14.97,12.94,11.69,11.5,10.78,8.66,6.66,5.97,5.47,3.38,1.41,1.19,2.78,3.44,4.38,6.47,10.03,12.19,12.84,13.34,14.84,15.72,14.78,14.22,15.28,16.38,16.31,15.69,15.91,17.0,16.72,15.81,15.72,17.28,17.72,16.75,16.03,16.12,15.97,14.72,12.97,13.38,14.62,14.91,14.88,16.03,18.28,18.88,18.44,18.47,19.84,20.72,20.47,20.62,21.94,22.69,20.94,19.16,18.28,17.94,16.62,14.94,15.0,16.38,16.5,16.12,16.25,17.84,18.44,18.16,18.38,20.12,22.06,22.41,22.59,23.5,24.56,24.0,22.5,22.31,23.16,23.0,21.88,21.28,21.88,21.84,20.31,18.88,19.03,19.16,17.88,16.66,16.81,17.31,16.41,14.59,14.12,15.56,16.25,16.78,17.62,19.47,20.5,19.34,17.81,18.09,18.66,18.34,17.69,18.62,20.56,21.06,20.44,20.47,21.31,21.06,19.16,17.59,17.47,16.41,13.78,11.09,10.5,10.62,9.88,8.81,9.56,11.09,12.09,12.16,13.41,15.84,17.41,17.25,17.09,18.56,19.75,19.75,19.53,20.53,22.06,22.12,21.5,21.97,23.16,23.06,21.59,20.53,20.78,20.16,18.19,16.72,17.34,18.31,18.53,19.22,21.75,25.0,27.12,28.25,29.5,30.44,29.56,26.56,24.19,23.12,21.94,20.03,18.62,19.25,19.88,19.5,18.56,18.47,18.66,17.56,16.19,16.34,17.91,19.16,19.19,19.28,20.0,19.84,17.91,15.53,14.56,12.91,10.12,7.03,6.06,6.31,6.34,5.59,5.88,7.0,7.44,6.72,6.94,8.91,10.72,11.22,12.38,15.25,18.69,20.84,22.0,24.0,25.78,25.69,24.31,23.56,24.03,23.44,21.88,20.41,20.22,19.88,18.28,16.91,17.16,17.78,17.19,15.47,14.81,14.97,14.41,13.69,14.0,16.47,19.16,20.84,22.59,25.69,28.0,28.5,28.41,29.81,31.38,31.0,29.25,28.34,27.97,26.59,24.5,23.75,24.22,24.59,24.06,23.56,24.81,25.94,25.88,24.91,24.94,25.38,24.28,22.28,21.31,21.47,21.16,19.97,19.66,21.16,22.75,23.22,23.5,24.97,25.88,24.81,22.75,21.84,21.66,20.84,19.0,18.56,19.25,19.41,18.56,18.28,19.41,20.06,19.38,18.5,19.47,20.66,19.91,18.59,18.25,17.94,17.16,15.19,15.03,15.94,16.25,15.34,15.19,16.97,18.88,19.62,20.12,21.69,22.75,21.31,19.06,17.62,16.91,15.56,13.5,13.03,14.19,15.91,16.44,17.53,19.97,21.75,21.56,20.53,20.69,21.44,20.5,19.0,19.06,19.94,20.28,19.44,19.44,20.19,20.78,19.75,19.22,20.09,21.12,20.91,19.94,20.09,20.5,19.53,17.91,17.69,18.41,18.53,17.94,18.19,19.38,20.88,20.66,20.41,21.31,22.5,22.28,21.81,22.22,23.25,23.38,22.62,23.41,25.41,27.88,29.0,30.28,32.09,32.59,30.41,27.38,25.5,23.81,21.31,18.66,18.19,17.91,17.62,16.84,16.84,17.91,18.69,17.62,17.09,17.31,18.5,18.19,17.81,19.47,21.78,22.78,23.25,24.69,26.09,26.38,25.28,24.84,25.34,25.75,24.5,23.44,22.97,22.25,19.97,17.88,17.53,18.0,18.38,18.25,18.88,20.41,21.03,20.28,20.09,21.38,22.66,22.25,22.72,24.25,25.91,25.94,25.25,25.59,26.16,26.03,25.38,26.12,27.62,28.34,27.5,26.62,27.03,27.47,26.69,26.75,28.06,29.59,27.53,25.81,24.38,23.31,23.09,24.25,25.53,26.28,26.62,26.47,26.22,25.69,25.09,24.91,25.56,26.06,25.91,25.28,24.22,22.84,20.5:14.0,14.56,14.09,11.91,10.34,9.66,9.28,8.09,7.19,7.62,8.84,8.47,7.72,7.5,7.75,7.53,6.25,6.25,7.62,9.19,9.72,11.12,13.91,16.09,16.53,16.5,17.34,17.91,16.62,14.34,12.28,10.5,7.66,3.75,1.53,0.72,0.69,-0.22,0.03,2.41,5.66,8.19,10.81,14.72,18.81,20.41,20.53,20.34,19.94,18.03,14.28,11.28,9.81,9.41,8.72,9.56,12.91,17.12,19.56,21.5,23.88,26.38,27.41,27.41,28.19,30.16,31.75,31.84,32.41,33.91,34.53,32.78,30.94,29.75,28.31,25.69,22.5,20.88,20.34,18.84,16.97,16.25,16.84,17.59,17.41,18.03,19.56,21.09,20.53,19.41,19.53,19.72,18.81,17.88,17.56,18.12,17.25,15.03,12.59,11.06,8.94,6.19,4.62,4.56,5.41,5.09,4.62,5.12,6.41,6.88,7.34,8.38,10.53,11.56,11.5,11.53,12.69,13.28,12.44,12.06,13.22,14.97,16.03,17.0,19.28,22.47,24.47,25.94,28.31,31.69,33.84,34.59,35.19,36.0,35.16,31.56,27.44,23.88,21.0,17.44,14.62,14.25,15.12,15.5,15.16,15.31,16.28,16.5,15.88,15.25,16.5,17.69,17.47,17.53,18.75,20.16,19.88,19.0,18.66,19.0,18.34,16.91,16.16,17.38,18.69,19.41,20.84,24.0,26.62,27.56,27.44,27.88,28.16,26.94,24.56,22.44,20.31,17.09,12.69,8.66,6.19,3.75,0.22,-2.38,-2.84,-2.31,-1.53,-0.38,2.5,6.09,8.31,9.94,11.5,13.69,14.47,14.0,13.94,15.12,16.31,15.44,14.22,13.38,11.78,8.22,4.22,1.62,0.72,-0.34,-1.28,-1.06,0.62,2.0,2.31,2.38,4.22,6.5,7.28,8.5,11.72,15.34,17.19,18.34,20.5,23.44,24.31,24.41,24.66,25.56,25.41,23.75,22.53,22.25,21.66,19.44,16.91,15.34,14.56,12.97,11.09,10.56,11.12,10.0,7.94,5.69,4.72,3.28,0.91,-0.72,-0.38,0.44,-0.06,-0.56,0.53,1.69,1.47,0.44,0.09,0.78,0.66,0.41,1.19,3.91,6.19,7.25,8.38,10.81,13.66,15.38,16.66,19.22,22.25,23.78,23.94,24.5,25.38,25.06,23.62,21.91,21.75,21.16,19.69,18.41,19.12,20.16,20.12,19.44,19.91,20.69,20.78,19.41,18.25,17.91,16.41,13.47,11.03,11.0,10.97,10.06,9.12,9.47,10.34,10.03,9.09,10.19,11.97,13.38,13.91,14.66,16.41,17.31,16.72,15.91,16.69,17.38,16.84,15.94,16.25,16.78,15.91,13.16,11.16,9.41,6.91,3.97,2.03,2.56,3.44,3.69,4.28,6.66,9.09,10.41,10.84,12.62,14.78,16.12,16.22,17.19,18.84,19.38,18.47,17.91,18.56,18.66,17.16,15.06,13.56,11.81,8.5,3.88,1.16,-0.62,-2.78,-4.88,-4.84,-2.69,-0.59,0.28,1.69,4.03,6.03,6.56,6.78,9.06,11.06,12.47,13.12,15.03,17.34,18.09,17.09,16.53,16.84,16.19,14.12,12.41,11.5,10.5,8.34,5.84,6.16,7.25,6.88,6.44,7.0,8.5,9.53,9.34,9.81,11.62,12.62,12.12,11.91,13.09,13.53,12.69,10.97,10.62,11.0,10.81,10.16,10.34,11.28,11.94,11.22,10.69,12.31,14.16,14.56,14.62,15.94,16.44,14.81,11.88,9.91,8.56,6.59,4.03,2.69,2.69,2.72,1.84,1.31,2.66,4.25,4.38,5.19,7.66,10.53,12.28,13.31,15.12,17.31,18.75,18.88,19.72,20.94,21.06,19.28,17.22,15.88,14.72,12.0,9.34,8.41,8.19,7.5,6.62,7.97,10.25,11.72,12.25,13.44,15.22,16.06,15.25,15.0,16.16,17.19,17.0,16.34,16.72,17.81,17.66,16.69,17.0,18.0,17.91,16.44,16.25,17.16,17.41,16.12,14.44,14.03,13.59,12.09,10.56,10.69,11.44,11.44,11.0,12.22,14.78,17.78,19.78,22.25,25.31,27.44,26.31,24.47,23.38,22.22,19.5,17.19,16.59,17.47,18.41,18.69,20.38,22.56,23.31,21.31,19.5,18.47,17.44,14.72,12.72,12.66,13.41,13.22,12.38,12.59,13.69,13.94,13.41,13.81,15.62,17.19,16.41,15.81,16.97,18.06,18.0,18.31,19.69,21.34,21.31,20.81,21.47,22.91,23.41,22.88,22.66,23.31,23.62,22.5,21.38,21.28,21.12,19.16,16.84,16.44,16.75,15.88,14.91,14.81,15.97,16.28,15.69,15.88,16.69,17.28,15.88,14.69,15.34,16.78,17.34,17.41,19.0,20.53,20.72,19.78,19.94,21.09,21.62,20.75,19.84,20.38,20.62,19.16,17.62,17.94,18.75,18.38,17.69,17.91,18.5,17.69,15.81,14.81,15.47,15.69,15.06,15.12,16.53,17.81,17.34,16.84,18.38,20.06,20.22,20.16,21.28,22.84,22.75,21.34,20.0,19.78,19.12,17.69,17.25,19.28,21.84,22.5,23.22,24.75,26.47,25.78,24.47,24.0,24.78,24.81,24.0,23.97,25.12,25.94,24.84,23.47,23.19,23.16,21.41,19.94,20.31,22.03,22.66,22.69,23.31,25.34,26.69,26.69,27.25,28.75,29.5,27.91,26.19,25.56,25.0,23.0,21.47,21.12,21.59,20.56,18.28,16.78,16.53,15.47,14.03,13.72,15.38,16.94,17.34,17.5,18.62,19.44,17.91,15.72,14.66,14.59,13.84,12.56,12.19,13.06,13.12,11.66,10.81,11.5,12.44,12.0,11.56,12.97,15.25,15.75,16.09,16.88,18.16,17.75,15.81,14.34,14.22,13.38,11.47,9.97,10.62,11.25,10.47,9.72,10.44,12.56,12.94,13.28,13.94,15.31,14.97,12.94,11.69,11.5,10.78,8.66,6.66,5.97,5.47,3.38,1.41,1.19,2.78,3.44,4.38,6.47,10.03,12.19,12.84,13.34,14.84,15.72,14.78,14.22,15.28,16.38,16.31,15.69,15.91,17.0,16.72,15.81,15.72,17.28,17.72,16.75,16.03,16.12,15.97,14.72,12.97,13.38,14.62,14.91,14.88,16.03,18.28,18.88,18.44,18.47,19.84,20.72,20.47,20.62,21.94,22.69,20.94,19.16,18.28,17.94,16.62,14.94,15.0,16.38,16.5,16.12,16.25,17.84,18.44,18.16,18.38,20.12,22.06,22.41,22.59,23.5,24.56,24.0,22.5,22.31,23.16,23.0,21.88,21.28,21.88,21.84,20.31,18.88,19.03,19.16,17.88,16.66,16.81,17.31,16.41,14.59,14.12,15.56,16.25,16.78,17.62,19.47,20.5,19.34,17.81,18.09,18.66,18.34,17.69,18.62,20.56,21.06,20.44,20.47,21.31,21.06,19.16,17.59,17.47,16.41,13.78,11.09,10.5,10.62,9.88,8.81,9.56,11.09,12.09,12.16,13.41,15.84,17.41,17.25,17.09,18.56,19.75,19.75,19.53,20.53,22.06,22.12,21.5,21.97,23.16,23.06,21.59,20.53,20.78,20.16,18.19,16.72,17.34,18.31,18.53,19.22,21.75,25.0,27.12,28.25,29.5,30.44,29.56,26.56,24.19,23.12,21.94,20.03,18.62,19.25,19.88,19.5,18.56,18.47,18.66,17.56,16.19,16.34,17.91,19.16,19.19,19.28,20.0,19.84,17.91,15.53,14.56,12.91,10.12,7.03,6.06,6.31,6.34,5.59,5.88,7.0,7.44,6.72,6.94,8.91,10.72,11.22,12.38,15.25,18.69,20.84,22.0,24.0,25.78,25.69,24.31,23.56,24.03,23.44,21.88,20.41,20.22,19.88,18.28,16.91,17.16,17.78,17.19,15.47,14.81,14.97,14.41,13.69,14.0,16.47,19.16,20.84,22.59,25.69,28.0,28.5,28.41,29.81,31.38,31.0,29.25,28.34,27.97,26.59,24.5,23.75,24.22,24.59,24.06,23.56,24.81,25.94,25.88,24.91,24.94,25.38,24.28,22.28,21.31,21.47,21.16,19.97,19.66,21.16,22.75,23.22,23.5,24.97,25.88,24.81,22.75,21.84,21.66,20.84,19.0,18.56,19.25,19.41,18.56,18.28,19.41,20.06,19.38,18.5,19.47,20.66,19.91,18.59,18.25,17.94,17.16,15.19,15.03,15.94,16.25,15.34,15.19,16.97,18.88,19.62,20.12,21.69,22.75,21.31,19.06,17.62,16.91,15.56,13.5,13.03,14.19,15.91,16.44,17.53,19.97,21.75,21.56,20.53,20.69,21.44,20.5,19.0,19.06,19.94,20.28,19.44,19.44,20.19,20.78,19.75,19.22,20.09,21.12,20.91,19.94,20.09,20.5,19.53,17.91,17.69,18.41,18.53,17.94,18.19,19.38,20.88,20.66,20.41,21.31,22.5,22.28,21.81,22.22,23.25,23.38,22.62,23.41,25.41,27.88,29.0,30.28,32.09,32.59,30.41,27.38,25.5,23.81,21.31,18.66,18.19,17.91,17.62,16.84,16.84,17.91,18.69,17.62,17.09,17.31,18.5,18.19,17.81,19.47,21.78,22.78,23.25,24.69,26.09,26.38,25.28,24.84,25.34,25.75,24.5,23.44,22.97,22.25,19.97,17.88,17.53,18.0,18.38,18.25,18.88,20.41,21.03,20.28,20.09,21.38,22.66,22.25,22.72,24.25,25.91,25.94,25.25,25.59,26.16,26.03,25.38,26.12,27.62,28.34,27.5,26.62,27.03,27.47,26.69,26.75,28.06,29.59,27.53,25.81,24.38,23.31,23.09,24.25,25.53,26.28,26.62,26.47,26.22,25.69,25.09,24.91,25.56,26.06,25.91,25.28,24.22,22.84,20.5,18.88,18.88,19.41,20.38,21.59,22.81,24.12:8.09,7.19,7.62,8.84,8.47,7.72,7.5,7.75,7.53,6.25,6.25,7.62,9.19,9.72,11.12,13.91,16.09,16.53,16.5,17.34,17.91,16.62,14.34,12.28,10.5,7.66,3.75,1.53,0.72,0.69,-0.22,0.03,2.41,5.66,8.19,10.81,14.72,18.81,20.41,20.53,20.34,19.94,18.03,14.28,11.28,9.81,9.41,8.72,9.56,12.91,17.12,19.56,21.5,23.88,26.38,27.41,27.41,28.19,30.16,31.75,31.84,32.41,33.91,34.53,32.78,30.94,29.75,28.31,25.69,22.5,20.88,20.34,18.84,16.97,16.25,16.84,17.59,17.41,18.03,19.56,21.09,20.53,19.41,19.53,19.72,18.81,17.88,17.56,18.12,17.25,15.03,12.59,11.06,8.94,6.19,4.62,4.56,5.41,5.09,4.62,5.12,6.41,6.88,7.34,8.38,10.53,11.56,11.5,11.53,12.69,13.28,12.44,12.06,13.22,14.97,16.03,17.0,19.28,22.47,24.47,25.94,28.31,31.69,33.84,34.59,35.19,36.0,35.16,31.56,27.44,23.88,21.0,17.44,14.62,14.25,15.12,15.5,15.16,15.31,16.28,16.5,15.88,15.25,16.5,17.69,17.47,17.53,18.75,20.16,19.88,19.0,18.66,19.0,18.34,16.91,16.16,17.38,18.69,19.41,20.84,24.0,26.62,27.56,27.44,27.88,28.16,26.94,24.56,22.44,20.31,17.09,12.69,8.66,6.19,3.75,0.22,-2.38,-2.84,-2.31,-1.53,-0.38,2.5,6.09,8.31,9.94,11.5,13.69,14.47,14.0,13.94,15.12,16.31,15.44,14.22,13.38,11.78,8.22,4.22,1.62,0.72,-0.34,-1.28,-1.06,0.62,2.0,2.31,2.38,4.22,6.5,7.28,8.5,11.72,15.34,17.19,18.34,20.5,23.44,24.31,24.41,24.66,25.56,25.41,23.75,22.53,22.25,21.66,19.44,16.91,15.34,14.56,12.97,11.09,10.56,11.12,10.0,7.94,5.69,4.72,3.28,0.91,-0.72,-0.38,0.44,-0.06,-0.56,0.53,1.69,1.47,0.44,0.09,0.78,0.66,0.41,1.19,3.91,6.19,7.25,8.38,10.81,13.66,15.38,16.66,19.22,22.25,23.78,23.94,24.5,25.38,25.06,23.62,21.91,21.75,21.16,19.69,18.41,19.12,20.16,20.12,19.44,19.91,20.69,20.78,19.41,18.25,17.91,16.41,13.47,11.03,11.0,10.97,10.06,9.12,9.47,10.34,10.03,9.09,10.19,11.97,13.38,13.91,14.66,16.41,17.31,16.72,15.91,16.69,17.38,16.84,15.94,16.25,16.78,15.91,13.16,11.16,9.41,6.91,3.97,2.03,2.56,3.44,3.69,4.28,6.66,9.09,10.41,10.84,12.62,14.78,16.12,16.22,17.19,18.84,19.38,18.47,17.91,18.56,18.66,17.16,15.06,13.56,11.81,8.5,3.88,1.16,-0.62,-2.78,-4.88,-4.84,-2.69,-0.59,0.28,1.69,4.03,6.03,6.56,6.78,9.06,11.06,12.47,13.12,15.03,17.34,18.09,17.09,16.53,16.84,16.19,14.12,12.41,11.5,10.5,8.34,5.84,6.16,7.25,6.88,6.44,7.0,8.5,9.53,9.34,9.81,11.62,12.62,12.12,11.91,13.09,13.53,12.69,10.97,10.62,11.0,10.81,10.16,10.34,11.28,11.94,11.22,10.69,12.31,14.16,14.56,14.62,15.94,16.44,14.81,11.88,9.91,8.56,6.59,4.03,2.69,2.69,2.72,1.84,1.31,2.66,4.25,4.38,5.19,7.66,10.53,12.28,13.31,15.12,17.31,18.75,18.88,19.72,20.94,21.06,19.28,17.22,15.88,14.72,12.0,9.34,8.41,8.19,7.5,6.62,7.97,10.25,11.72,12.25,13.44,15.22,16.06,15.25,15.0,16.16,17.19,17.0,16.34,16.72,17.81,17.66,16.69,17.0,18.0,17.91,16.44,16.25,17.16,17.41,16.12,14.44,14.03,13.59,12.09,10.56,10.69,11.44,11.44,11.0,12.22,14.78,17.78,19.78,22.25,25.31,27.44,26.31,24.47,23.38,22.22,19.5,17.19,16.59,17.47,18.41,18.69,20.38,22.56,23.31,21.31,19.5,18.47,17.44,14.72,12.72,12.66,13.41,13.22,12.38,12.59,13.69,13.94,13.41,13.81,15.62,17.19,16.41,15.81,16.97,18.06,18.0,18.31,19.69,21.34,21.31,20.81,21.47,22.91,23.41,22.88,22.66,23.31,23.62,22.5,21.38,21.28,21.12,19.16,16.84,16.44,16.75,15.88,14.91,14.81,15.97,16.28,15.69,15.88,16.69,17.28,15.88,14.69,15.34,16.78,17.34,17.41,19.0,20.53,20.72,19.78,19.94,21.09,21.62,20.75,19.84,20.38,20.62,19.16,17.62,17.94,18.75,18.38,17.69,17.91,18.5,17.69,15.81,14.81,15.47,15.69,15.06,15.12,16.53,17.81,17.34,16.84,18.38,20.06,20.22,20.16,21.28,22.84,22.75,21.34,20.0,19.78,19.12,17.69,17.25,19.28,21.84,22.5,23.22,24.75,26.47,25.78,24.47,24.0,24.78,24.81,24.0,23.97,25.12,25.94,24.84,23.47,23.19,23.16,21.41,19.94,20.31,22.03,22.66,22.69,23.31,25.34,26.69,26.69,27.25,28.75,29.5,27.91,26.19,25.56,25.0,23.0,21.47,21.12,21.59,20.56,18.28,16.78,16.53,15.47,14.03,13.72,15.38,16.94,17.34,17.5,18.62,19.44,17.91,15.72,14.66,14.59,13.84,12.56,12.19,13.06,13.12,11.66,10.81,11.5,12.44,12.0,11.56,12.97,15.25,15.75,16.09,16.88,18.16,17.75,15.81,14.34,14.22,13.38,11.47,9.97,10.62,11.25,10.47,9.72,10.44,12.56,12.94,13.28,13.94,15.31,14.97,12.94,11.69,11.5,10.78,8.66,6.66,5.97,5.47,3.38,1.41,1.19,2.78,3.44,4.38,6.47,10.03,12.19,12.84,13.34,14.84,15.72,14.78,14.22,15.28,16.38,16.31,15.69,15.91,17.0,16.72,15.81,15.72,17.28,17.72,16.75,16.03,16.12,15.97,14.72,12.97,13.38,14.62,14.91,14.88,16.03,18.28,18.88,18.44,18.47,19.84,20.72,20.47,20.62,21.94,22.69,20.94,19.16,18.28,17.94,16.62,14.94,15.0,16.38,16.5,16.12,16.25,17.84,18.44,18.16,18.38,20.12,22.06,22.41,22.59,23.5,24.56,24.0,22.5,22.31,23.16,23.0,21.88,21.28,21.88,21.84,20.31,18.88,19.03,19.16,17.88,16.66,16.81,17.31,16.41,14.59,14.12,15.56,16.25,16.78,17.62,19.47,20.5,19.34,17.81,18.09,18.66,18.34,17.69,18.62,20.56,21.06,20.44,20.47,21.31,21.06,19.16,17.59,17.47,16.41,13.78,11.09,10.5,10.62,9.88,8.81,9.56,11.09,12.09,12.16,13.41,15.84,17.41,17.25,17.09,18.56,19.75,19.75,19.53,20.53,22.06,22.12,21.5,21.97,23.16,23.06,21.59,20.53,20.78,20.16,18.19,16.72,17.34,18.31,18.53,19.22,21.75,25.0,27.12,28.25,29.5,30.44,29.56,26.56,24.19,23.12,21.94,20.03,18.62,19.25,19.88,19.5,18.56,18.47,18.66,17.56,16.19,16.34,17.91,19.16,19.19,19.28,20.0,19.84,17.91,15.53,14.56,12.91,10.12,7.03,6.06,6.31,6.34,5.59,5.88,7.0,7.44,6.72,6.94,8.91,10.72,11.22,12.38,15.25,18.69,20.84,22.0,24.0,25.78,25.69,24.31,23.56,24.03,23.44,21.88,20.41,20.22,19.88,18.28,16.91,17.16,17.78,17.19,15.47,14.81,14.97,14.41,13.69,14.0,16.47,19.16,20.84,22.59,25.69,28.0,28.5,28.41,29.81,31.38,31.0,29.25,28.34,27.97,26.59,24.5,23.75,24.22,24.59,24.06,23.56,24.81,25.94,25.88,24.91,24.94,25.38,24.28,22.28,21.31,21.47,21.16,19.97,19.66,21.16,22.75,23.22,23.5,24.97,25.88,24.81,22.75,21.84,21.66,20.84,19.0,18.56,19.25,19.41,18.56,18.28,19.41,20.06,19.38,18.5,19.47,20.66,19.91,18.59,18.25,17.94,17.16,15.19,15.03,15.94,16.25,15.34,15.19,16.97,18.88,19.62,20.12,21.69,22.75,21.31,19.06,17.62,16.91,15.56,13.5,13.03,14.19,15.91,16.44,17.53,19.97,21.75,21.56,20.53,20.69,21.44,20.5,19.0,19.06,19.94,20.28,19.44,19.44,20.19,20.78,19.75,19.22,20.09,21.12,20.91,19.94,20.09,20.5,19.53,17.91,17.69,18.41,18.53,17.94,18.19,19.38,20.88,20.66,20.41,21.31,22.5,22.28,21.81,22.22,23.25,23.38,22.62,23.41,25.41,27.88,29.0,30.28,32.09,32.59,30.41,27.38,25.5,23.81,21.31,18.66,18.19,17.91,17.62,16.84,16.84,17.91,18.69,17.62,17.09,17.31,18.5,18.19,17.81,19.47,21.78,22.78,23.25,24.69,26.09,26.38,25.28,24.84,25.34,25.75,24.5,23.44,22.97,22.25,19.97,17.88,17.53,18.0,18.38,18.25,18.88,20.41,21.03,20.28,20.09,21.38,22.66,22.25,22.72,24.25,25.91,25.94,25.25,25.59,26.16,26.03,25.38,26.12,27.62,28.34,27.5,26.62,27.03,27.47,26.69,26.75,28.06,29.59,27.53,25.81,24.38,23.31,23.09,24.25,25.53,26.28,26.62,26.47,26.22,25.69,25.09,24.91,25.56,26.06,25.91,25.28,24.22,22.84,20.5,18.88,18.88,19.41,20.38,21.59,22.81,24.12,24.5,24.38,24.09,23.59,22.69,21.22,20.12:7.75,7.53,6.25,6.25,7.62,9.19,9.72,11.12,13.91,16.09,16.53,16.5,17.34,17.91,16.62,14.34,12.28,10.5,7.66,3.75,1.53,0.72,0.69,-0.22,0.03,2.41,5.66,8.19,10.81,14.72,18.81,20.41,20.53,20.34,19.94,18.03,14.28,11.28,9.81,9.41,8.72,9.56,12.91,17.12,19.56,21.5,23.88,26.38,27.41,27.41,28.19,30.16,31.75,31.84,32.41,33.91,34.53,32.78,30.94,29.75,28.31,25.69,22.5,20.88,20.34,18.84,16.97,16.25,16.84,17.59,17.41,18.03,19.56,21.09,20.53,19.41,19.53,19.72,18.81,17.88,17.56,18.12,17.25,15.03,12.59,11.06,8.94,6.19,4.62,4.56,5.41,5.09,4.62,5.12,6.41,6.88,7.34,8.38,10.53,11.56,11.5,11.53,12.69,13.28,12.44,12.06,13.22,14.97,16.03,17.0,19.28,22.47,24.47,25.94,28.31,31.69,33.84,34.59,35.19,36.0,35.16,31.56,27.44,23.88,21.0,17.44,14.62,14.25,15.12,15.5,15.16,15.31,16.28,16.5,15.88,15.25,16.5,17.69,17.47,17.53,18.75,20.16,19.88,19.0,18.66,19.0,18.34,16.91,16.16,17.38,18.69,19.41,20.84,24.0,26.62,27.56,27.44,27.88,28.16,26.94,24.56,22.44,20.31,17.09,12.69,8.66,6.19,3.75,0.22,-2.38,-2.84,-2.31,-1.53,-0.38,2.5,6.09,8.31,9.94,11.5,13.69,14.47,14.0,13.94,15.12,16.31,15.44,14.22,13.38,11.78,8.22,4.22,1.62,0.72,-0.34,-1.28,-1.06,0.62,2.0,2.31,2.38,4.22,6.5,7.28,8.5,11.72,15.34,17.19,18.34,20.5,23.44,24.31,24.41,24.66,25.56,25.41,23.75,22.53,22.25,21.66,19.44,16.91,15.34,14.56,12.97,11.09,10.56,11.12,10.0,7.94,5.69,4.72,3.28,0.91,-0.72,-0.38,0.44,-0.06,-0.56,0.53,1.69,1.47,0.44,0.09,0.78,0.66,0.41,1.19,3.91,6.19,7.25,8.38,10.81,13.66,15.38,16.66,19.22,22.25,23.78,23.94,24.5,25.38,25.06,23.62,21.91,21.75,21.16,19.69,18.41,19.12,20.16,20.12,19.44,19.91,20.69,20.78,19.41,18.25,17.91,16.41,13.47,11.03,11.0,10.97,10.06,9.12,9.47,10.34,10.03,9.09,10.19,11.97,13.38,13.91,14.66,16.41,17.31,16.72,15.91,16.69,17.38,16.84,15.94,16.25,16.78,15.91,13.16,11.16,9.41,6.91,3.97,2.03,2.56,3.44,3.69,4.28,6.66,9.09,10.41,10.84,12.62,14.78,16.12,16.22,17.19,18.84,19.38,18.47,17.91,18.56,18.66,17.16,15.06,13.56,11.81,8.5,3.88,1.16,-0.62,-2.78,-4.88,-4.84,-2.69,-0.59,0.28,1.69,4.03,6.03,6.56,6.78,9.06,11.06,12.47,13.12,15.03,17.34,18.09,17.09,16.53,16.84,16.19,14.12,12.41,11.5,10.5,8.34,5.84,6.16,7.25,6.88,6.44,7.0,8.5,9.53,9.34,9.81,11.62,12.62,12.12,11.91,13.09,13.53,12.69,10.97,10.62,11.0,10.81,10.16,10.34,11.28,11.94,11.22,10.69,12.31,14.16,14.56,14.62,15.94,16.44,14.81,11.88,9.91,8.56,6.59,4.03,2.69,2.69,2.72,1.84,1.31,2.66,4.25,4.38,5.19,7.66,10.53,12.28,13.31,15.12,17.31,18.75,18.88,19.72,20.94,21.06,19.28,17.22,15.88,14.72,12.0,9.34,8.41,8.19,7.5,6.62,7.97,10.25,11.72,12.25,13.44,15.22,16.06,15.25,15.0,16.16,17.19,17.0,16.34,16.72,17.81,17.66,16.69,17.0,18.0,17.91,16.44,16.25,17.16,17.41,16.12,14.44,14.03,13.59,12.09,10.56,10.69,11.44,11.44,11.0,12.22,14.78,17.78,19.78,22.25,25.31,27.44,26.31,24.47,23.38,22.22,19.5,17.19,16.59,17.47,18.41,18.69,20.38,22.56,23.31,21.31,19.5,18.47,17.44,14.72,12.72,12.66,13.41,13.22,12.38,12.59,13.69,13.94,13.41,13.81,15.62,17.19,16.41,15.81,16.97,18.06,18.0,18.31,19.69,21.34,21.31,20.81,21.47,22.91,23.41,22.88,22.66,23.31,23.62,22.5,21.38,21.28,21.12,19.16,16.84,16.44,16.75,15.88,14.91,14.81,15.97,16.28,15.69,15.88,16.69,17.28,15.88,14.69,15.34,16.78,17.34,17.41,19.0,20.53,20.72,19.78,19.94,21.09,21.62,20.75,19.84,20.38,20.62,19.16,17.62,17.94,18.75,18.38,17.69,17.91,18.5,17.69,15.81,14.81,15.47,15.69,15.06,15.12,16.53,17.81,17.34,16.84,18.38,20.06,20.22,20.16,21.28,22.84,22.75,21.34,20.0,19.78,19.12,17.69,17.25,19.28,21.84,22.5,23.22,24.75,26.47,25.78,24.47,24.0,24.78,24.81,24.0,23.97,25.12,25.94,24.84,23.47,23.19,23.16,21.41,19.94,20.31,22.03,22.66,22.69,23.31,25.34,26.69,26.69,27.25,28.75,29.5,27.91,26.19,25.56,25.0,23.0,21.47,21.12,21.59,20.56,18.28,16.78,16.53,15.47,14.03,13.72,15.38,16.94,17.34,17.5,18.62,19.44,17.91,15.72,14.66,14.59,13.84,12.56,12.19,13.06,13.12,11.66,10.81,11.5,12.44,12.0,11.56,12.97,15.25,15.75,16.09,16.88,18.16,17.75,15.81,14.34,14.22,13.38,11.47,9.97,10.62,11.25,10.47,9.72,10.44,12.56,12.94,13.28,13.94,15.31,14.97,12.94,11.69,11.5,10.78,8.66,6.66,5.97,5.47,3.38,1.41,1.19,2.78,3.44,4.38,6.47,10.03,12.19,12.84,13.34,14.84,15.72,14.78,14.22,15.28,16.38,16.31,15.69,15.91,17.0,16.72,15.81,15.72,17.28,17.72,16.75,16.03,16.12,15.97,14.72,12.97,13.38,14.62,14.91,14.88,16.03,18.28,18.88,18.44,18.47,19.84,20.72,20.47,20.62,21.94,22.69,20.94,19.16,18.28,17.94,16.62,14.94,15.0,16.38,16.5,16.12,16.25,17.84,18.44,18.16,18.38,20.12,22.06,22.41,22.59,23.5,24.56,24.0,22.5,22.31,23.16,23.0,21.88,21.28,21.88,21.84,20.31,18.88,19.03,19.16,17.88,16.66,16.81,17.31,16.41,14.59,14.12,15.56,16.25,16.78,17.62,19.47,20.5,19.34,17.81,18.09,18.66,18.34,17.69,18.62,20.56,21.06,20.44,20.47,21.31,21.06,19.16,17.59,17.47,16.41,13.78,11.09,10.5,10.62,9.88,8.81,9.56,11.09,12.09,12.16,13.41,15.84,17.41,17.25,17.09,18.56,19.75,19.75,19.53,20.53,22.06,22.12,21.5,21.97,23.16,23.06,21.59,20.53,20.78,20.16,18.19,16.72,17.34,18.31,18.53,19.22,21.75,25.0,27.12,28.25,29.5,30.44,29.56,26.56,24.19,23.12,21.94,20.03,18.62,19.25,19.88,19.5,18.56,18.47,18.66,17.56,16.19,16.34,17.91,19.16,19.19,19.28,20.0,19.84,17.91,15.53,14.56,12.91,10.12,7.03,6.06,6.31,6.34,5.59,5.88,7.0,7.44,6.72,6.94,8.91,10.72,11.22,12.38,15.25,18.69,20.84,22.0,24.0,25.78,25.69,24.31,23.56,24.03,23.44,21.88,20.41,20.22,19.88,18.28,16.91,17.16,17.78,17.19,15.47,14.81,14.97,14.41,13.69,14.0,16.47,19.16,20.84,22.59,25.69,28.0,28.5,28.41,29.81,31.38,31.0,29.25,28.34,27.97,26.59,24.5,23.75,24.22,24.59,24.06,23.56,24.81,25.94,25.88,24.91,24.94,25.38,24.28,22.28,21.31,21.47,21.16,19.97,19.66,21.16,22.75,23.22,23.5,24.97,25.88,24.81,22.75,21.84,21.66,20.84,19.0,18.56,19.25,19.41,18.56,18.28,19.41,20.06,19.38,18.5,19.47,20.66,19.91,18.59,18.25,17.94,17.16,15.19,15.03,15.94,16.25,15.34,15.19,16.97,18.88,19.62,20.12,21.69,22.75,21.31,19.06,17.62,16.91,15.56,13.5,13.03,14.19,15.91,16.44,17.53,19.97,21.75,21.56,20.53,20.69,21.44,20.5,19.0,19.06,19.94,20.28,19.44,19.44,20.19,20.78,19.75,19.22,20.09,21.12,20.91,19.94,20.09,20.5,19.53,17.91,17.69,18.41,18.53,17.94,18.19,19.38,20.88,20.66,20.41,21.31,22.5,22.28,21.81,22.22,23.25,23.38,22.62,23.41,25.41,27.88,29.0,30.28,32.09,32.59,30.41,27.38,25.5,23.81,21.31,18.66,18.19,17.91,17.62,16.84,16.84,17.91,18.69,17.62,17.09,17.31,18.5,18.19,17.81,19.47,21.78,22.78,23.25,24.69,26.09,26.38,25.28,24.84,25.34,25.75,24.5,23.44,22.97,22.25,19.97,17.88,17.53,18.0,18.38,18.25,18.88,20.41,21.03,20.28,20.09,21.38,22.66,22.25,22.72,24.25,25.91,25.94,25.25,25.59,26.16,26.03,25.38,26.12,27.62,28.34,27.5,26.62,27.03,27.47,26.69,26.75,28.06,29.59,27.53,25.81,24.38,23.31,23.09,24.25,25.53,26.28,26.62,26.47,26.22,25.69,25.09,24.91,25.56,26.06,25.91,25.28,24.22,22.84,20.5,18.88,18.88,19.41,20.38,21.59,22.81,24.12,24.5,24.38,24.09,23.59,22.69,21.22,20.12,19.84,19.81,19.16,18.94,19.28,19.44,18.75:positivity
17.47,16.97,16.38,17.81,19.38,19.59,19.03,20.31,21.78,21.59,20.03,19.47,19.81,19.62,18.66,18.91,20.53,22.12,21.91,21.44,22.44,23.75,23.62,22.59,22.62,22.72,21.19,18.41,17.0,17.56,18.09,17.84,18.78,21.25,23.09,22.72,21.34,21.16,20.28,18.06,15.53,15.41,16.5,17.47,17.91,19.66,22.38,23.53,22.66,21.62,21.28,21.03,20.22,19.72,21.66,23.94,25.03,25.06,26.69,29.0,30.44,30.88,31.97,33.59,33.84,31.44,28.47,26.19,23.59,19.41,15.5,14.22,13.88,13.25,12.75,14.56,17.91,20.91,23.16,26.25,30.12,33.12,33.38,33.16,33.34,32.88,30.38,27.56,26.25,25.84,24.94,23.53,23.5,24.88,25.38,24.16,23.47,23.41,22.56,19.5,16.38,14.88,13.97,12.19,10.84,11.84,13.78,14.91,15.34,16.97,19.75,21.66,21.25,20.38,20.22,18.72,15.25,11.56,9.91,9.72,8.72,8.34,9.88,12.09,13.25,12.25,11.81,12.62,12.88,11.59,11.06,12.06,13.16,12.72,12.56,13.84,15.47,15.78,15.62,16.75,18.91,20.47,20.78,21.75,23.41,23.81,22.25,20.16,19.09,18.34,15.81,13.44,13.0,13.84,13.53,12.84,13.66,15.5,15.94,14.53,13.75,14.22,14.72,14.12,14.75,16.81,18.72,18.53,17.28,17.06,16.88,15.16,12.94,12.16,13.06,13.5,13.0,13.88,15.66,17.09,16.0,14.56,14.19,13.47,11.16,9.16,9.47,10.94,11.06,10.38,10.34,11.34,11.66,10.81,11.25,13.25,14.94,14.16,13.0,13.03,12.94,11.69,10.91,12.03,14.22,15.22,14.75,14.59,15.25,14.91,13.06,12.75,14.28,16.22,16.25,16.38,17.62,18.25,16.41,14.0,12.66,12.38,11.44,10.34,10.91,13.41,15.53,16.41,17.16,19.19,20.44,19.12,17.81,17.28,17.16,15.38,13.09,12.0,11.66,10.38,8.0,6.12,5.12,3.94,1.31,0.38,1.56,3.5,3.97,4.62,6.72,9.59,11.97,13.66,16.97,20.06,21.38,20.59,19.78,20.12,19.88,18.47,17.97,18.94,20.62,19.75,18.75,18.91,19.03,17.72,15.97,15.69,16.5,16.41,15.56,15.47,17.0,18.38,18.59,19.03,20.72,22.5,21.78,19.91,19.09,18.22,15.38,11.69,9.38,9.0,7.69,6.0,5.31,6.25,7.19,6.44,5.62,6.56,7.81,7.53,7.47,8.72,10.81,11.16,10.0,9.75,10.28,10.28,9.41,9.62,11.22,12.41,12.03,11.5,12.22,13.38,12.97,11.97,12.28,13.28,12.19,10.22,8.91,8.84,8.62,7.69,7.62,9.03,10.09,8.69,6.94,6.31,6.19,4.5,2.28,2.16,3.0,2.56,1.56,1.75,3.19,3.72,2.78,2.5,3.66,4.41,3.91,3.47,4.47,6.31,6.41,5.53,5.81,7.16,7.62,7.59,8.94,11.47,13.12,12.88,12.56,13.5,14.41,13.66,12.28,11.59,11.28,9.09,6.69,6.16,7.38,7.84,7.0,6.44,7.0,6.69,5.06,3.72,4.75,6.44,7.09,7.81,10.44,13.22,13.75,12.72,12.44,12.88,12.44,11.06,10.69,11.81,11.88,10.47,8.75,8.91,9.06,8.06,6.97,7.41,8.75,8.03,6.72,6.5,7.69,8.12,8.19,9.09,11.81,14.19,14.06,13.88,14.84,15.72,14.91,13.44,13.56,14.12,12.41,9.31,7.38,6.81,5.44,3.44,2.91,4.34,5.5,5.34,4.94,5.91,6.94,6.25,5.44,6.31,7.97,8.28,7.81,7.66,8.5,8.38,6.75,5.94,6.72,7.94,7.78,7.84,10.19,12.5,13.06,12.72,13.31,14.66,14.41,13.25,12.75,13.38,12.06,8.75,5.44,3.41,2.12,0.06,-0.47,2.22,6.22,8.88,10.5,12.78,14.31,13.47,11.06,8.84,8.0,6.62,3.94,1.34,0.06,-1.62,-4.94,-8.16,-8.44,-6.91,-4.97,-2.12,2.62,8.72,12.59,14.47,15.5,17.16,17.41,15.81,14.41,14.69,14.59,12.5,10.0,9.25,9.25,7.97,6.25,5.47,6.0,5.25,3.41,2.5,4.03,5.0,5.5,6.53,9.5,12.06,12.53,12.0,12.44,13.0,12.22,11.44,11.91,13.72,14.75,14.19,13.78,14.62,14.91,14.06,13.53,15.0,16.09,14.97,12.88,11.88,10.62,8.19,4.84,2.97,2.78,2.38,1.56,1.91,4.53,6.72,6.78,6.69,8.12,9.31,8.84,8.41,9.62,10.81,11.12,9.75,9.25,9.94,10.12,9.12,8.47,9.53,10.38,9.5,8.91,10.12,11.62,11.31,10.44,10.41,10.59,9.31,6.62,4.81,4.28,3.66,2.34,2.56,5.16,7.94,9.16,9.72,11.44,12.66,11.72,9.88,9.06,8.81,7.94,5.72,4.69,4.94,4.69,3.5,2.75,4.5,6.59,7.31,8.06,9.81,11.31,10.91,9.41,9.53,10.28,10.06,8.91,8.12,8.31,8.0,6.28,5.12,6.28,7.03,6.44,5.5,6.03,6.53,5.31,3.53,3.25,4.28,5.41,6.25,8.41,11.84,14.81,15.97,16.88,19.47,21.69,22.06,22.19,23.91,26.16,27.16,27.09,27.66,27.97,27.28,24.91,22.84,22.5,21.41,18.66,16.12,15.31,14.56,12.69,10.09,9.16,8.47,6.91,5.03,4.94,6.75,8.38,8.88,9.94,12.5,14.38,14.5,14.62,16.06,17.47,17.06,15.66,15.28,15.06,14.0,12.34,12.12,13.69,15.41,15.66,16.31,18.41,19.56,18.44,16.72,16.53,16.38,15.38,14.03,14.12,14.56,14.19,12.72,12.19,13.31,13.81,13.03,12.31,13.09,13.75,13.0,12.12,12.84,13.5,13.19,11.47,11.53,12.28,12.72,12.03,12.12,13.72,14.19,13.47,12.91,13.88,14.88,14.81,15.19,17.31,19.59,20.84,21.0,22.03,23.66,24.31,23.72,23.28,23.88,23.41,20.88,18.12,16.5,15.06,12.62,10.38,10.91,13.12,14.19,14.5,16.06,17.84,18.53,17.81,17.12,17.5,16.81,14.06,11.53,10.06,9.19,7.31,5.53,5.84,6.97,7.25,6.59,6.78,7.78,7.94,7.0,7.25,9.25,12.09,13.75,15.78,19.41,23.09,24.91,25.19,25.97,26.5,25.25,22.03,19.91,18.91,18.06,15.62,14.47,14.88,15.34,14.31,13.5,14.28,15.5,15.66,15.12,15.59,16.53,16.09,13.88,12.56,12.22,11.72,9.81,8.75,9.69,10.91,11.22,11.84,14.34,17.16,18.25,19.0,20.56,22.28,22.91,22.16,21.75,22.38,22.31,20.69,19.41,19.84,19.84,18.75,17.91,18.66,20.03,20.56,20.59,21.72,23.78,24.16,23.38,23.09,23.94,24.31,23.56,23.25,24.72,26.66,27.62,28.62,31.06,33.5,34.38,33.62,33.34,33.34,31.72,28.5,25.62,23.34,21.03,16.91,13.41,11.91,11.38,10.47,10.53,12.94,17.03,20.25,22.41,24.81,27.56,28.72,27.47,26.59,26.69,26.47,24.28,22.5,22.19,22.34,21.44,20.66,21.5,22.94,23.22,22.38,21.94,21.47,19.53,16.19,13.22,11.25,10.25,8.25,7.19,8.69,10.75,11.91,12.84,14.97,17.75,19.5,20.09,21.47,23.22,24.41,23.69,23.19,24.38,25.66,25.25,24.72,25.16,25.56,24.56,22.62,22.31,23.03,22.62,21.16,19.97,19.53,18.59,16.53,15.94,18.0,21.06,23.75,26.0,28.81,30.81,30.59,28.88,27.62,27.31,26.25,24.06,22.56,22.75,22.62,21.34,20.62,21.28,21.88,20.84,19.59,19.62,20.44,20.16,19.12,19.0,20.31,20.5,19.94,20.84,23.38,25.56,26.62,27.53,29.16,30.19,29.03,27.34,26.59,26.56,25.56,23.56,22.88,23.28,23.31,22.69,22.78,24.69,25.81,24.88,23.16,22.16,21.09,18.72,16.38,16.06,17.31,17.94,18.0,19.19,21.41,23.38,23.66,24.59,26.53,28.12,28.22,28.25,29.56,31.47,31.78,31.38,32.09,32.84,31.97,29.66,28.25,27.97,27.5,26.66,26.59,28.38,30.62,31.75,32.94,35.19,37.56,37.84,36.47,35.59,35.06,33.72,31.28,29.97,30.44,30.69,29.81,29.47,30.5,31.31,30.28,28.72,28.38,28.78,27.91,26.78,26.94,28.16,28.72,28.41,28.94,30.69,32.12,31.88,32.06,33.06,33.91,33.34,32.72,33.84,35.41,35.91,35.16,34.59,34.59,33.28,30.94,29.31,28.97,28.56,27.09,25.59,26.16,27.06,27.06,26.69,26.97,27.84,27.38,25.88,25.75,27.28,28.19,27.66,27.62,28.5,28.97,27.81,26.91,27.44,28.69,28.62,28.69,29.91,31.5,31.12,29.91,28.78,29.0,28.75,27.38,26.66,27.62,28.06,27.12,25.81,25.88,26.5,26.03,25.72,27.03,29.53,30.78,31.03,30.75,31.25,30.84,29.12,28.09,28.69,29.56,28.72,28.0,27.75,27.78,26.56,24.53,23.75,24.28,24.22,23.38,23.09,24.25,24.47,23.53,22.84,23.78,24.91,24.78,24.38,25.59,27.31,28.06,28.16,29.47,31.59,32.28,31.34,30.0,29.34,28.06,25.16,23.19,23.31,23.91,23.25,22.41,22.75,23.84,24.12,24.22,25.72,28.56,30.53,31.09,31.81,33.75,35.16,35.09,35.25,36.66,37.25,35.59,32.69,30.53,28.91,26.97,24.78,24.25,25.62,27.5,28.5,30.97,35.5,39.72,41.53,42.03,43.31,43.81,42.03:20.31,21.78,21.59,20.03,19.47,19.81,19.62,18.66,18.91,20.53,22.12,21.91,21.44,22.44,23.75,23.62,22.59,22.62,22.72,21.19,18.41,17.0,17.56,18.09,17.84,18.78,21.25,23.09,22.72,21.34,21.16,20.28,18.06,15.53,15.41,16.5,17.47,17.91,19.66,22.38,23.53,22.66,21.62,21.28,21.03,20.22,19.72,21.66,23.94,25.03,25.06,26.69,29.0,30.44,30.88,31.97,33.59,33.84,31.44,28.47,26.19,23.59,19.41,15.5,14.22,13.88,13.25,12.75,14.56,17.91,20.91,23.16,26.25,30.12,33.12,33.38,33.16,33.34,32.88,30.38,27.56,26.25,25.84,24.94,23.53,23.5,24.88,25.38,24.16,23.47,23.41,22.56,19.5,16.38,14.88,13.97,12.19,10.84,11.84,13.78,14.91,15.34,16.97,19.75,21.66,21.25,20.38,20.22,18.72,15.25,11.56,9.91,9.72,8.72,8.34,9.88,12.09,13.25,12.25,11.81,12.62,12.88,11.59,11.06,12.06,13.16,12.72,12.56,13.84,15.47,15.78,15.62,16.75,18.91,20.47,20.78,21.75,23.41,23.81,22.25,20.16,19.09,18.34,15.81,13.44,13.0,13.84,13.53,12.84,13.66,15.5,15.94,14.53,13.75,14.22,14.72,14.12,14.75,16.81,18.72,18.53,17.28,17.06,16.88,15.16,12.94,12.16,13.06,13.5,13.0,13.88,15.66,17.09,16.0,14.56,14.19,13.47,11.16,9.16,9.47,10.94,11.06,10.38,10.34,11.34,11.66,10.81,11.25,13.25,14.94,14.16,13.0,13.03,12.94,11.69,10.91,12.03,14.22,15.22,14.75,14.59,15.25,14.91,13.06,12.75,14.28,16.22,16.25,16.38,17.62,18.25,16.41,14.0,12.66,12.38,11.44,10.34,10.91,13.41,15.53,16.41,17.16,19.19,20.44,19.12,17.81,17.28,17.16,15.38,13.09,12.0,11.66,10.38,8.0,6.12,5.12,3.94,1.31,0.38,1.56,3.5,3.97,4.62,6.72,9.59,11.97,13.66,16.97,20.06,21.38,20.59,19.78,20.12,19.88,18.47,17.97,18.94,20.62,19.75,18.75,18.91,19.03,17.72,15.97,15.69,16.5,16.41,15.56,15.47,17.0,18.38,18.59,19.03,20.72,22.5,21.78,19.91,19.09,18.22,15.38,11.69,9.38,9.0,7.69,6.0,5.31,6.25,7.19,6.44,5.62,6.56,7.81,7.53,7.47,8.72,10.81,11.16,10.0,9.75,10.28,10.28,9.41,9.62,11.22,12.41,12.03,11.5,12.22,13.38,12.97,11.97,12.28,13.28,12.19,10.22,8.91,8.84,8.62,7.69,7.62,9.03,10.09,8.69,6.94,6.31,6.19,4.5,2.28,2.16,3.0,2.56,1.56,1.75,3.19,3.72,2.78,2.5,3.66,4.41,3.91,3.47,4.47,6.31,6.41,5.53,5.81,7.16,7.62,7.59,8.94,11.47,13.12,12.88,12.56,13.5,14.41,13.66,12.28,11.59,11.28,9.09,6.69,6.16,7.38,7.84,7.0,6.44,7.0,6.69,5.06,3.72,4.75,6.44,7.09,7.81,10.44,13.22,13.75,12.72,12.44,12.88,12.44,11.06,10.69,11.81,11.88,10.47,8.75,8.91,9.06,8.06,6.97,7.41,8.75,8.03,6.72,6.5,7.69,8.12,8.19,9.09,11.81,14.19,14.06,13.88,14.84,15.72,14.91,13.44,13.56,14.12,12.41,9.31,7.38,6.81,5.44,3.44,2.91,4.34,5.5,5.34,4.94,5.91,6.94,6.25,5.44,6.31,7.97,8.28,7.81,7.66,8.5,8.38,6.75,5.94,6.72,7.94,7.78,7.84,10.19,12.5,13.06,12.72,13.31,14.66,14.41,13.25,12.75,13.38,12.06,8.75,5.44,3.41,2.12,0.06,-0.47,2.22,6.22,8.88,10.5,12.78,14.31,13.47,11.06,8.84,8.0,6.62,3.94,1.34,0.06,-1.62,-4.94,-8.16,-8.44,-6.91,-4.97,-2.12,2.62,8.72,12.59,14.47,15.5,17.16,17.41,15.81,14.41,14.69,14.59,12.5,10.0,9.25,9.25,7.97,6.25,5.47,6.0,5.25,3.41,2.5,4.03,5.0,5.5,6.53,9.5,12.06,12.53,12.0,12.44,13.0,12.22,11.44,11.91,13.72,14.75,14.19,13.78,14.62,14.91,14.06,13.53,15.0,16.09,14.97,12.88,11.88,10.62,8.19,4.84,2.97,2.78,2.38,1.56,1.91,4.53,6.72,6.78,6.69,8.12,9.31,8.84,8.41,9.62,10.81,11.12,9.75,9.25,9.94,10.12,9.12,8.47,9.53,10.38,9.5,8.91,10.12,11.62,11.31,10.44,10.41,10.59,9.31,6.62,4.81,4.28,3.66,2.34,2.56,5.16,7.94,9.16,9.72,11.44,12.66,11.72,9.88,9.06,8.81,7.94,5.72,4.69,4.94,4.69,3.5,2.75,4.5,6.59,7.31,8.06,9.81,11.31,10.91,9.41,9.53,10.28,10.06,8.91,8.12,8.31,8.0,6.28,5.12,6.28,7.03,6.44,5.5,6.03,6.53,5.31,3.53,3.25,4.28,5.41,6.25,8.41,11.84,14.81,15.97,16.88,19.47,21.69,22.06,22.19,23.91,26.16,27.16,27.09,27.66,27.97,27.28,24.91,22.84,22.5,21.41,18.66,16.12,15.31,14.56,12.69,10.09,9.16,8.47,6.91,5.03,4.94,6.75,8.38,8.88,9.94,12.5,14.38,14.5,14.62,16.06,17.47,17.06,15.66,15.28,15.06,14.0,12.34,12.12,13.69,15.41,15.66,16.31,18.41,19.56,18.44,16.72,16.53,16.38,15.38,14.03,14.12,14.56,14.19,12.72,12.19,13.31,13.81,13.03,12.31,13.09,13.75,13.0,12.12,12.84,13.5,13.19,11.47,11.53,12.28,12.72,12.03,12.12,13.72,14.19,13.47,12.91,13.88,14.88,14.81,15.19,17.31,19.59,20.84,21.0,22.03,23.66,24.31,23.72,23.28,23.88,23.41,20.88,18.12,16.5,15.06,12.62,10.38,10.91,13.12,14.19,14.5,16.06,17.84,18.53,17.81,17.12,17.5,16.81,14.06,11.53,10.06,9.19,7.31,5.53,5.84,6.97,7.25,6.59,6.78,7.78,7.94,7.0,7.25,9.25,12.09,13.75,15.78,19.41,23.09,24.91,25.19,25.97,26.5,25.25,22.03,19.91,18.91,18.06,15.62,14.47,14.88,15.34,14.31,13.5,14.28,15.5,15.66,15.12,15.59,16.53,16.09,13.88,12.56,12.22,11.72,9.81,8.75,9.69,10.91,11.22,11.84,14.34,17.16,18.25,19.0,20.56,22.28,22.91,22.16,21.75,22.38,22.31,20.69,19.41,19.84,19.84,18.75,17.91,18.66,20.03,20.56,20.59,21.72,23.78,24.16,23.38,23.09,23.94,24.31,23.56,23.25,24.72,26.66,27.62,28.62,31.06,33.5,34.38,33.62,33.34,33.34,31.72,28.5,25.62,23.34,21.03,16.91,13.41,11.91,11.38,10.47,10.53,12.94,17.03,20.25,22.41,24.81,27.56,28.72,27.47,26.59,26.69,26.47,24.28,22.5,22.19,22.34,21.44,20.66,21.5,22.94,23.22,22.38,21.94,21.47,19.53,16.19,13.22,11.25,10.25,8.25,7.19,8.69,10.75,11.91,12.84,14.97,17.75,19.5,20.09,21.47,23.22,24.41,23.69,23.19,24.38,25.66,25.25,24.72,25.16,25.56,24.56,22.62,22.31,23.03,22.62,21.16,19.97,19.53,18.59,16.53,15.94,18.0,21.06,23.75,26.0,28.81,30.81,30.59,28.88,27.62,27.31,26.25,24.06,22.56,22.75,22.62,21.34,20.62,21.28,21.88,20.84,19.59,19.62,20.44,20.16,19.12,19.0,20.31,20.5,19.94,20.84,23.38,25.56,26.62,27.53,29.16,30.19,29.03,27.34,26.59,26.56,25.56,23.56,22.88,23.28,23.31,22.69,22.78,24.69,25.81,24.88,23.16,22.16,21.09,18.72,16.38,16.06,17.31,17.94,18.0,19.19,21.41,23.38,23.66,24.59,26.53,28.12,28.22,28.25,29.56,31.47,31.78,31.38,32.09,32.84,31.97,29.66,28.25,27.97,27.5,26.66,26.59,28.38,30.62,31.75,32.94,35.19,37.56,37.84,36.47,35.59,35.06,33.72,31.28,29.97,30.44,30.69,29.81,29.47,30.5,31.31,30.28,28.72,28.38,28.78,27.91,26.78,26.94,28.16,28.72,28.41,28.94,30.69,32.12,31.88,32.06,33.06,33.91,33.34,32.72,33.84,35.41,35.91,35.16,34.59,34.59,33.28,30.94,29.31,28.97,28.56,27.09,25.59,26.16,27.06,27.06,26.69,26.97,27.84,27.38,25.88,25.75,27.28,28.19,27.66,27.62,28.5,28.97,27.81,26.91,27.44,28.69,28.62,28.69,29.91,31.5,31.12,29.91,28.78,29.0,28.75,27.38,26.66,27.62,28.06,27.12,25.81,25.88,26.5,26.03,25.72,27.03,29.53,30.78,31.03,30.75,31.25,30.84,29.12,28.09,28.69,29.56,28.72,28.0,27.75,27.78,26.56,24.53,23.75,24.28,24.22,23.38,23.09,24.25,24.47,23.53,22.84,23.78,24.91,24.78,24.38,25.59,27.31,28.06,28.16,29.47,31.59,32.28,31.34,30.0,29.34,28.06,25.16,23.19,23.31,23.91,23.25,22.41,22.75,23.84,24.12,24.22,25.72,28.56,30.53,31.09,31.81,33.75,35.16,35.09,35.25,36.66,37.25,35.59,32.69,30.53,28.91,26.97,24.78,24.25,25.62,27.5,28.5,30.97,35.5,39.72,41.53,42.03,43.31,43.81,42.03,55.44,56.16,56.31,55.81,55.78,56.0,56.09:18.66,18.91,20.53,22.12,21.91,21.44,22.44,23.75,23.62,22.59,22.62,22.72,21.19,18.41,17.0,17.56,18.09,17.84,18.78,21.25,23.09,22.72,21.34,21.16,20.28,18.06,15.53,15.41,16.5,17.47,17.91,19.66,22.38,23.53,22.66,21.62,21.28,21.03,20.22,19.72,21.66,23.94,25.03,25.06,26.69,29.0,30.44,30.88,31.97,33.59,33.84,31.44,28.47,26.19,23.59,19.41,15.5,14.22,13.88,13.25,12.75,14.56,17.91,20.91,23.16,26.25,30.12,33.12,33.38,33.16,33.34,32.88,30.38,27.56,26.25,25.84,24.94,23.53,23.5,24.88,25.38,24.16,23.47,23.41,22.56,19.5,16.38,14.88,13.97,12.19,10.84,11.84,13.78,14.91,15.34,16.97,19.75,21.66,21.25,20.38,20.22,18.72,15.25,11.56,9.91,9.72,8.72,8.34,9.88,12.09,13.25,12.25,11.81,12.62,12.88,11.59,11.06,12.06,13.16,12.72,12.56,13.84,15.47,15.78,15.62,16.75,18.91,20.47,20.78,21.75,23.41,23.81,22.25,20.16,19.09,18.34,15.81,13.44,13.0,13.84,13.53,12.84,13.66,15.5,15.94,14.53,13.75,14.22,14.72,14.12,14.75,16.81,18.72,18.53,17.28,17.06,16.88,15.16,12.94,12.16,13.06,13.5,13.0,13.88,15.66,17.09,16.0,14.56,14.19,13.47,11.16,9.16,9.47,10.94,11.06,10.38,10.34,11.34,11.66,10.81,11.25,13.25,14.94,14.16,13.0,13.03,12.94,11.69,10.91,12.03,14.22,15.22,14.75,14.59,15.25,14.91,13.06,12.75,14.28,16.22,16.25,16.38,17.62,18.25,16.41,14.0,12.66,12.38,11.44,10.34,10.91,13.41,15.53,16.41,17.16,19.19,20.44,19.12,17.81,17.28,17.16,15.38,13.09,12.0,11.66,10.38,8.0,6.12,5.12,3.94,1.31,0.38,1.56,3.5,3.97,4.62,6.72,9.59,11.97,13.66,16.97,20.06,21.38,20.59,19.78,20.12,19.88,18.47,17.97,18.94,20.62,19.75,18.75,18.91,19.03,17.72,15.97,15.69,16.5,16.41,15.56,15.47,17.0,18.38,18.59,19.03,20.72,22.5,21.78,19.91,19.09,18.22,15.38,11.69,9.38,9.0,7.69,6.0,5.31,6.25,7.19,6.44,5.62,6.56,7.81,7.53,7.47,8.72,10.81,11.16,10.0,9.75,10.28,10.28,9.41,9.62,11.22,12.41,12.03,11.5,12.22,13.38,12.97,11.97,12.28,13.28,12.19,10.22,8.91,8.84,8.62,7.69,7.62,9.03,10.09,8.69,6.94,6.31,6.19,4.5,2.28,2.16,3.0,2.56,1.56,1.75,3.19,3.72,2.78,2.5,3.66,4.41,3.91,3.47,4.47,6.31,6.41,5.53,5.81,7.16,7.62,7.59,8.94,11.47,13.12,12.88,12.56,13.5,14.41,13.66,12.28,11.59,11.28,9.09,6.69,6.16,7.38,7.84,7.0,6.44,7.0,6.69,5.06,3.72,4.75,6.44,7.09,7.81,10.44,13.22,13.75,12.72,12.44,12.88,12.44,11.06,10.69,11.81,11.88,10.47,8.75,8.91,9.06,8.06,6.97,7.41,8.75,8.03,6.72,6.5,7.69,8.12,8.19,9.09,11.81,14.19,14.06,13.88,14.84,15.72,14.91,13.44,13.56,14.12,12.41,9.31,7.38,6.81,5.44,3.44,2.91,4.34,5.5,5.34,4.94,5.91,6.94,6.25,5.44,6.31,7.97,8.28,7.81,7.66,8.5,8.38,6.75,5.94,6.72,7.94,7.78,7.84,10.19,12.5,13.06,12.72,13.31,14.66,14.41,13.25,12.75,13.38,12.06,8.75,5.44,3.41,2.12,0.06,-0.47,2.22,6.22,8.88,10.5,12.78,14.31,13.47,11.06,8.84,8.0,6.62,3.94,1.34,0.06,-1.62,-4.94,-8.16,-8.44,-6.91,-4.97,-2.12,2.62,8.72,12.59,14.47,15.5,17.16,17.41,15.81,14.41,14.69,14.59,12.5,10.0,9.25,9.25,7.97,6.25,5.47,6.0,5.25,3.41,2.5,4.03,5.0,5.5,6.53,9.5,12.06,12.53,12.0,12.44,13.0,12.22,11.44,11.91,13.72,14.75,14.19,13.78,14.62,14.91,14.06,13.53,15.0,16.09,14.97,12.88,11.88,10.62,8.19,4.84,2.97,2.78,2.38,1.56,1.91,4.53,6.72,6.78,6.69,8.12,9.31,8.84,8.41,9.62,10.81,11.12,9.75,9.25,9.94,10.12,9.12,8.47,9.53,10.38,9.5,8.91,10.12,11.62,11.31,10.44,10.41,10.59,9.31,6.62,4.81,4.28,3.66,2.34,2.56,5.16,7.94,9.16,9.72,11.44,12.66,11.72,9.88,9.06,8.81,7.94,5.72,4.69,4.94,4.69,3.5,2.75,4.5,6.59,7.31,8.06,9.81,11.31,10.91,9.41,9.53,10.28,10.06,8.91,8.12,8.31,8.0,6.28,5.12,6.28,7.03,6.44,5.5,6.03,6.53,5.31,3.53,3.25,4.28,5.41,6.25,8.41,11.84,14.81,15.97,16.88,19.47,21.69,22.06,22.19,23.91,26.16,27.16,27.09,27.66,27.97,27.28,24.91,22.84,22.5,21.41,18.66,16.12,15.31,14.56,12.69,10.09,9.16,8.47,6.91,5.03,4.94,6.75,8.38,8.88,9.94,12.5,14.38,14.5,14.62,16.06,17.47,17.06,15.66,15.28,15.06,14.0,12.34,12.12,13.69,15.41,15.66,16.31,18.41,19.56,18.44,16.72,16.53,16.38,15.38,14.03,14.12,14.56,14.19,12.72,12.19,13.31,13.81,13.03,12.31,13.09,13.75,13.0,12.12,12.84,13.5,13.19,11.47,11.53,12.28,12.72,12.03,12.12,13.72,14.19,13.47,12.91,13.88,14.88,14.81,15.19,17.31,19.59,20.84,21.0,22.03,23.66,24.31,23.72,23.28,23.88,23.41,20.88,18.12,16.5,15.06,12.62,10.38,10.91,13.12,14.19,14.5,16.06,17.84,18.53,17.81,17.12,17.5,16.81,14.06,11.53,10.06,9.19,7.31,5.53,5.84,6.97,7.25,6.59,6.78,7.78,7.94,7.0,7.25,9.25,12.09,13.75,15.78,19.41,23.09,24.91,25.19,25.97,26.5,25.25,22.03,19.91,18.91,18.06,15.62,14.47,14.88,15.34,14.31,13.5,14.28,15.5,15.66,15.12,15.59,16.53,16.09,13.88,12.56,12.22,11.72,9.81,8.75,9.69,10.91,11.22,11.84,14.34,17.16,18.25,19.0,20.56,22.28,22.91,22.16,21.75,22.38,22.31,20.69,19.41,19.84,19.84,18.75,17.91,18.66,20.03,20.56,20.59,21.72,23.78,24.16,23.38,23.09,23.94,24.31,23.56,23.25,24.72,26.66,27.62,28.62,31.06,33.5,34.38,33.62,33.34,33.34,31.72,28.5,25.62,23.34,21.03,16.91,13.41,11.91,11.38,10.47,10.53,12.94,17.03,20.25,22.41,24.81,27.56,28.72,27.47,26.59,26.69,26.47,24.28,22.5,22.19,22.34,21.44,20.66,21.5,22.94,23.22,22.38,21.94,21.47,19.53,16.19,13.22,11.25,10.25,8.25,7.19,8.69,10.75,11.91,12.84,14.97,17.75,19.5,20.09,21.47,23.22,24.41,23.69,23.19,24.38,25.66,25.25,24.72,25.16,25.56,24.56,22.62,22.31,23.03,22.62,21.16,19.97,19.53,18.59,16.53,15.94,18.0,21.06,23.75,26.0,28.81,30.81,30.59,28.88,27.62,27.31,26.25,24.06,22.56,22.75,22.62,21.34,20.62,21.28,21.88,20.84,19.59,19.62,20.44,20.16,19.12,19.0,20.31,20.5,19.94,20.84,23.38,25.56,26.62,27.53,29.16,30.19,29.03,27.34,26.59,26.56,25.56,23.56,22.88,23.28,23.31,22.69,22.78,24.69,25.81,24.88,23.16,22.16,21.09,18.72,16.38,16.06,17.31,17.94,18.0,19.19,21.41,23.38,23.66,24.59,26.53,28.12,28.22,28.25,29.56,31.47,31.78,31.38,32.09,32.84,31.97,29.66,28.25,27.97,27.5,26.66,26.59,28.38,30.62,31.75,32.94,35.19,37.56,37.84,36.47,35.59,35.06,33.72,31.28,29.97,30.44,30.69,29.81,29.47,30.5,31.31,30.28,28.72,28.38,28.78,27.91,26.78,26.94,28.16,28.72,28.41,28.94,30.69,32.12,31.88,32.06,33.06,33.91,33.34,32.72,33.84,35.41,35.91,35.16,34.59,34.59,33.28,30.94,29.31,28.97,28.56,27.09,25.59,26.16,27.06,27.06,26.69,26.97,27.84,27.38,25.88,25.75,27.28,28.19,27.66,27.62,28.5,28.97,27.81,26.91,27.44,28.69,28.62,28.69,29.91,31.5,31.12,29.91,28.78,29.0,28.75,27.38,26.66,27.62,28.06,27.12,25.81,25.88,26.5,26.03,25.72,27.03,29.53,30.78,31.03,30.75,31.25,30.84,29.12,28.09,28.69,29.56,28.72,28.0,27.75,27.78,26.56,24.53,23.75,24.28,24.22,23.38,23.09,24.25,24.47,23.53,22.84,23.78,24.91,24.78,24.38,25.59,27.31,28.06,28.16,29.47,31.59,32.28,31.34,30.0,29.34,28.06,25.16,23.19,23.31,23.91,23.25,22.41,22.75,23.84,24.12,24.22,25.72,28.56,30.53,31.09,31.81,33.75,35.16,35.09,35.25,36.66,37.25,35.59,32.69,30.53,28.91,26.97,24.78,24.25,25.62,27.5,28.5,30.97,35.5,39.72,41.53,42.03,43.31,43.81,42.03,55.44,56.16,56.31,55.81,55.78,56.0,56.09,55.97,55.66,55.56,55.12,54.19,53.12,53.03:23.75,23.62,22.59,22.62,22.72,21.19,18.41,17.0,17.56,18.09,17.84,18.78,21.25,23.09,22.72,21.34,21.16,20.28,18.06,15.53,15.41,16.5,17.47,17.91,19.66,22.38,23.53,22.66,21.62,21.28,21.03,20.22,19.72,21.66,23.94,25.03,25.06,26.69,29.0,30.44,30.88,31.97,33.59,33.84,31.44,28.47,26.19,23.59,19.41,15.5,14.22,13.88,13.25,12.75,14.56,17.91,20.91,23.16,26.25,30.12,33.12,33.38,33.16,33.34,32.88,30.38,27.56,26.25,25.84,24.94,23.53,23.5,24.88,25.38,24.16,23.47,23.41,22.56,19.5,16.38,14.88,13.97,12.19,10.84,11.84,13.78,14.91,15.34,16.97,19.75,21.66,21.25,20.38,20.22,18.72,15.25,11.56,9.91,9.72,8.72,8.34,9.88,12.09,13.25,12.25,11.81,12.62,12.88,11.59,11.06,12.06,13.16,12.72,12.56,13.84,15.47,15.78,15.62,16.75,18.91,20.47,20.78,21.75,23.41,23.81,22.25,20.16,19.09,18.34,15.81,13.44,13.0,13.84,13.53,12.84,13.66,15.5,15.94,14.53,13.75,14.22,14.72,14.12,14.75,16.81,18.72,18.53,17.28,17.06,16.88,15.16,12.94,12.16,13.06,13.5,13.0,13.88,15.66,17.09,16.0,14.56,14.19,13.47,11.16,9.16,9.47,10.94,11.06,10.38,10.34,11.34,11.66,10.81,11.25,13.25,14.94,14.16,13.0,13.03,12.94,11.69,10.91,12.03,14.22,15.22,14.75,14.59,15.25,14.91,13.06,12.75,14.28,16.22,16.25,16.38,17.62,18.25,16.41,14.0,12.66,12.38,11.44,10.34,10.91,13.41,15.53,16.41,17.16,19.19,20.44,19.12,17.81,17.28,17.16,15.38,13.09,12.0,11.66,10.38,8.0,6.12,5.12,3.94,1.31,0.38,1.56,3.5,3.97,4.62,6.72,9.59,11.97,13.66,16.97,20.06,21.38,20.59,19.78,20.12,19.88,18.47,17.97,18.94,20.62,19.75,18.75,18.91,19.03,17.72,15.97,15.69,16.5,16.41,15.56,15.47,17.0,18.38,18.59,19.03,20.72,22.5,21.78,19.91,19.09,18.22,15.38,11.69,9.38,9.0,7.69,6.0,5.31,6.25,7.19,6.44,5.62,6.56,7.81,7.53,7.47,8.72,10.81,11.16,10.0,9.75,10.28,10.28,9.41,9.62,11.22,12.41,12.03,11.5,12.22,13.38,12.97,11.97,12.28,13.28,12.19,10.22,8.91,8.84,8.62,7.69,7.62,9.03,10.09,8.69,6.94,6.31,6.19,4.5,2.28,2.16,3.0,2.56,1.56,1.75,3.19,3.72,2.78,2.5,3.66,4.41,3.91,3.47,4.47,6.31,6.41,5.53,5.81,7.16,7.62,7.59,8.94,11.47,13.12,12.88,12.56,13.5,14.41,13.66,12.28,11.59,11.28,9.09,6.69,6.16,7.38,7.84,7.0,6.44,7.0,6.69,5.06,3.72,4.75,6.44,7.09,7.81,10.44,13.22,13.75,12.72,12.44,12.88,12.44,11.06,10.69,11.81,11.88,10.47,8.75,8.91,9.06,8.06,6.97,7.41,8.75,8.03,6.72,6.5,7.69,8.12,8.19,9.09,11.81,14.19,14.06,13.88,14.84,15.72,14.91,13.44,13.56,14.12,12.41,9.31,7.38,6.81,5.44,3.44,2.91,4.34,5.5,5.34,4.94,5.91,6.94,6.25,5.44,6.31,7.97,8.28,7.81,7.66,8.5,8.38,6.75,5.94,6.72,7.94,7.78,7.84,10.19,12.5,13.06,12.72,13.31,14.66,14.41,13.25,12.75,13.38,12.06,8.75,5.44,3.41,2.12,0.06,-0.47,2.22,6.22,8.88,10.5,12.78,14.31,13.47,11.06,8.84,8.0,6.62,3.94,1.34,0.06,-1.62,-4.94,-8.16,-8.44,-6.91,-4.97,-2.12,2.62,8.72,12.59,14.47,15.5,17.16,17.41,15.81,14.41,14.69,14.59,12.5,10.0,9.25,9.25,7.97,6.25,5.47,6.0,5.25,3.41,2.5,4.03,5.0,5.5,6.53,9.5,12.06,12.53,12.0,12.44,13.0,12.22,11.44,11.91,13.72,14.75,14.19,13.78,14.62,14.91,14.06,13.53,15.0,16.09,14.97,12.88,11.88,10.62,8.19,4.84,2.97,2.78,2.38,1.56,1.91,4.53,6.72,6.78,6.69,8.12,9.31,8.84,8.41,9.62,10.81,11.12,9.75,9.25,9.94,10.12,9.12,8.47,9.53,10.38,9.5,8.91,10.12,11.62,11.31,10.44,10.41,10.59,9.31,6.62,4.81,4.28,3.66,2.34,2.56,5.16,7.94,9.16,9.72,11.44,12.66,11.72,9.88,9.06,8.81,7.94,5.72,4.69,4.94,4.69,3.5,2.75,4.5,6.59,7.31,8.06,9.81,11.31,10.91,9.41,9.53,10.28,10.06,8.91,8.12,8.31,8.0,6.28,5.12,6.28,7.03,6.44,5.5,6.03,6.53,5.31,3.53,3.25,4.28,5.41,6.25,8.41,11.84,14.81,15.97,16.88,19.47,21.69,22.06,22.19,23.91,26.16,27.16,27.09,27.66,27.97,27.28,24.91,22.84,22.5,21.41,18.66,16.12,15.31,14.56,12.69,10.09,9.16,8.47,6.91,5.03,4.94,6.75,8.38,8.88,9.94,12.5,14.38,14.5,14.62,16.06,17.47,17.06,15.66,15.28,15.06,14.0,12.34,12.12,13.69,15.41,15.66,16.31,18.41,19.56,18.44,16.72,16.53,16.38,15.38,14.03,14.12,14.56,14.19,12.72,12.19,13.31,13.81,13.03,12.31,13.09,13.75,13.0,12.12,12.84,13.5,13.19,11.47,11.53,12.28,12.72,12.03,12.12,13.72,14.19,13.47,12.91,13.88,14.88,14.81,15.19,17.31,19.59,20.84,21.0,22.03,23.66,24.31,23.72,23.28,23.88,23.41,20.88,18.12,16.5,15.06,12.62,10.38,10.91,13.12,14.19,14.5,16.06,17.84,18.53,17.81,17.12,17.5,16.81,14.06,11.53,10.06,9.19,7.31,5.53,5.84,6.97,7.25,6.59,6.78,7.78,7.94,7.0,7.25,9.25,12.09,13.75,15.78,19.41,23.09,24.91,25.19,25.97,26.5,25.25,22.03,19.91,18.91,18.06,15.62,14.47,14.88,15.34,14.31,13.5,14.28,15.5,15.66,15.12,15.59,16.53,16.09,13.88,12.56,12.22,11.72,9.81,8.75,9.69,10.91,11.22,11.84,14.34,17.16,18.25,19.0,20.56,22.28,22.91,22.16,21.75,22.38,22.31,20.69,19.41,19.84,19.84,18.75,17.91,18.66,20.03,20.56,20.59,21.72,23.78,24.16,23.38,23.09,23.94,24.31,23.56,23.25,24.72,26.66,27.62,28.62,31.06,33.5,34.38,33.62,33.34,33.34,31.72,28.5,25.62,23.34,21.03,16.91,13.41,11.91,11.38,10.47,10.53,12.94,17.03,20.25,22.41,24.81,27.56,28.72,27.47,26.59,26.69,26.47,24.28,22.5,22.19,22.34,21.44,20.66,21.5,22.94,23.22,22.38,21.94,21.47,19.53,16.19,13.22,11.25,10.25,8.25,7.19,8.69,10.75,11.91,12.84,14.97,17.75,19.5,20.09,21.47,23.22,24.41,23.69,23.19,24.38,25.66,25.25,24.72,25.16,25.56,24.56,22.62,22.31,23.03,22.62,21.16,19.97,19.53,18.59,16.53,15.94,18.0,21.06,23.75,26.0,28.81,30.81,30.59,28.88,27.62,27.31,26.25,24.06,22.56,22.75,22.62,21.34,20.62,21.28,21.88,20.84,19.59,19.62,20.44,20.16,19.12,19.0,20.31,20.5,19.94,20.84,23.38,25.56,26.62,27.53,29.16,30.19,29.03,27.34,26.59,26.56,25.56,23.56,22.88,23.28,23.31,22.69,22.78,24.69,25.81,24.88,23.16,22.16,21.09,18.72,16.38,16.06,17.31,17.94,18.0,19.19,21.41,23.38,23.66,24.59,26.53,28.12,28.22,28.25,29.56,31.47,31.78,31.38,32.09,32.84,31.97,29.66,28.25,27.97,27.5,26.66,26.59,28.38,30.62,31.75,32.94,35.19,37.56,37.84,36.47,35.59,35.06,33.72,31.28,29.97,30.44,30.69,29.81,29.47,30.5,31.31,30.28,28.72,28.38,28.78,27.91,26.78,26.94,28.16,28.72,28.41,28.94,30.69,32.12,31.88,32.06,33.06,33.91,33.34,32.72,33.84,35.41,35.91,35.16,34.59,34.59,33.28,30.94,29.31,28.97,28.56,27.09,25.59,26.16,27.06,27.06,26.69,26.97,27.84,27.38,25.88,25.75,27.28,28.19,27.66,27.62,28.5,28.97,27.81,26.91,27.44,28.69,28.62,28.69,29.91,31.5,31.12,29.91,28.78,29.0,28.75,27.38,26.66,27.62,28.06,27.12,25.81,25.88,26.5,26.03,25.72,27.03,29.53,30.78,31.03,30.75,31.25,30.84,29.12,28.09,28.69,29.56,28.72,28.0,27.75,27.78,26.56,24.53,23.75,24.28,24.22,23.38,23.09,24.25,24.47,23.53,22.84,23.78,24.91,24.78,24.38,25.59,27.31,28.06,28.16,29.47,31.59,32.28,31.34,30.0,29.34,28.06,25.16,23.19,23.31,23.91,23.25,22.41,22.75,23.84,24.12,24.22,25.72,28.56,30.53,31.09,31.81,33.75,35.16,35.09,35.25,36.66,37.25,35.59,32.69,30.53,28.91,26.97,24.78,24.25,25.62,27.5,28.5,30.97,35.5,39.72,41.53,42.03,43.31,43.81,42.03,55.44,56.16,56.31,55.81,55.78,56.0,56.09,55.97,55.66,55.56,55.12,54.19,53.12,53.03,53.25,53.56,53.97,54.81,55.97,56.16,55.5:17.0,17.56,18.09,17.84,18.78,21.25,23.09,22.72,21.34,21.16,20.28,18.06,15.53,15.41,16.5,17.47,17.91,19.66,22.38,23.53,22.66,21.62,21.28,21.03,20.22,19.72,21.66,23.94,25.03,25.06,26.69,29.0,30.44,30.88,31.97,33.59,33.84,31.44,28.47,26.19,23.59,19.41,15.5,14.22,13.88,13.25,12.75,14.56,17.91,20.91,23.16,26.25,30.12,33.12,33.38,33.16,33.34,32.88,30.38,27.56,26.25,25.84,24.94,23.53,23.5,24.88,25.38,24.16,23.47,23.41,22.56,19.5,16.38,14.88,13.97,12.19,10.84,11.84,13.78,14.91,15.34,16.97,19.75,21.66,21.25,20.38,20.22,18.72,15.25,11.56,9.91,9.72,8.72,8.34,9.88,12.09,13.25,12.25,11.81,12.62,12.88,11.59,11.06,12.06,13.16,12.72,12.56,13.84,15.47,15.78,15.62,16.75,18.91,20.47,20.78,21.75,23.41,23.81,22.25,20.16,19.09,18.34,15.81,13.44,13.0,13.84,13.53,12.84,13.66,15.5,15.94,14.53,13.75,14.22,14.72,14.12,14.75,16.81,18.72,18.53,17.28,17.06,16.88,15.16,12.94,12.16,13.06,13.5,13.0,13.88,15.66,17.09,16.0,14.56,14.19,13.47,11.16,9.16,9.47,10.94,11.06,10.38,10.34,11.34,11.66,10.81,11.25,13.25,14.94,14.16,13.0,13.03,12.94,11.69,10.91,12.03,14.22,15.22,14.75,14.59,15.25,14.91,13.06,12.75,14.28,16.22,16.25,16.38,17.62,18.25,16.41,14.0,12.66,12.38,11.44,10.34,10.91,13.41,15.53,16.41,17.16,19.19,20.44,19.12,17.81,17.28,17.16,15.38,13.09,12.0,11.66,10.38,8.0,6.12,5.12,3.94,1.31,0.38,1.56,3.5,3.97,4.62,6.72,9.59,11.97,13.66,16.97,20.06,21.38,20.59,19.78,20.12,19.88,18.47,17.97,18.94,20.62,19.75,18.75,18.91,19.03,17.72,15.97,15.69,16.5,16.41,15.56,15.47,17.0,18.38,18.59,19.03,20.72,22.5,21.78,19.91,19.09,18.22,15.38,11.69,9.38,9.0,7.69,6.0,5.31,6.25,7.19,6.44,5.62,6.56,7.81,7.53,7.47,8.72,10.81,11.16,10.0,9.75,10.28,10.28,9.41,9.62,11.22,12.41,12.03,11.5,12.22,13.38,12.97,11.97,12.28,13.28,12.19,10.22,8.91,8.84,8.62,7.69,7.62,9.03,10.09,8.69,6.94,6.31,6.19,4.5,2.28,2.16,3.0,2.56,1.56,1.75,3.19,3.72,2.78,2.5,3.66,4.41,3.91,3.47,4.47,6.31,6.41,5.53,5.81,7.16,7.62,7.59,8.94,11.47,13.12,12.88,12.56,13.5,14.41,13.66,12.28,11.59,11.28,9.09,6.69,6.16,7.38,7.84,7.0,6.44,7.0,6.69,5.06,3.72,4.75,6.44,7.09,7.81,10.44,13.22,13.75,12.72,12.44,12.88,12.44,11.06,10.69,11.81,11.88,10.47,8.75,8.91,9.06,8.06,6.97,7.41,8.75,8.03,6.72,6.5,7.69,8.12,8.19,9.09,11.81,14.19,14.06,13.88,14.84,15.72,14.91,13.44,13.56,14.12,12.41,9.31,7.38,6.81,5.44,3.44,2.91,4.34,5.5,5.34,4.94,5.91,6.94,6.25,5.44,6.31,7.97,8.28,7.81,7.66,8.5,8.38,6.75,5.94,6.72,7.94,7.78,7.84,10.19,12.5,13.06,12.72,13.31,14.66,14.41,13.25,12.75,13.38,12.06,8.75,5.44,3.41,2.12,0.06,-0.47,2.22,6.22,8.88,10.5,12.78,14.31,13.47,11.06,8.84,8.0,6.62,3.94,1.34,0.06,-1.62,-4.94,-8.16,-8.44,-6.91,-4.97,-2.12,2.62,8.72,12.59,14.47,15.5,17.16,17.41,15.81,14.41,14.69,14.59,12.5,10.0,9.25,9.25,7.97,6.25,5.47,6.0,5.25,3.41,2.5,4.03,5.0,5.5,6.53,9.5,12.06,12.53,12.0,12.44,13.0,12.22,11.44,11.91,13.72,14.75,14.19,13.78,14.62,14.91,14.06,13.53,15.0,16.09,14.97,12.88,11.88,10.62,8.19,4.84,2.97,2.78,2.38,1.56,1.91,4.53,6.72,6.78,6.69,8.12,9.31,8.84,8.41,9.62,10.81,11.12,9.75,9.25,9.94,10.12,9.12,8.47,9.53,10.38,9.5,8.91,10.12,11.62,11.31,10.44,10.41,10.59,9.31,6.62,4.81,4.28,3.66,2.34,2.56,5.16,7.94,9.16,9.72,11.44,12.66,11.72,9.88,9.06,8.81,7.94,5.72,4.69,4.94,4.69,3.5,2.75,4.5,6.59,7.31,8.06,9.81,11.31,10.91,9.41,9.53,10.28,10.06,8.91,8.12,8.31,8.0,6.28,5.12,6.28,7.03,6.44,5.5,6.03,6.53,5.31,3.53,3.25,4.28,5.41,6.25,8.41,11.84,14.81,15.97,16.88,19.47,21.69,22.06,22.19,23.91,26.16,27.16,27.09,27.66,27.97,27.28,24.91,22.84,22.5,21.41,18.66,16.12,15.31,14.56,12.69,10.09,9.16,8.47,6.91,5.03,4.94,6.75,8.38,8.88,9.94,12.5,14.38,14.5,14.62,16.06,17.47,17.06,15.66,15.28,15.06,14.0,12.34,12.12,13.69,15.41,15.66,16.31,18.41,19.56,18.44,16.72,16.53,16.38,15.38,14.03,14.12,14.56,14.19,12.72,12.19,13.31,13.81,13.03,12.31,13.09,13.75,13.0,12.12,12.84,13.5,13.19,11.47,11.53,12.28,12.72,12.03,12.12,13.72,14.19,13.47,12.91,13.88,14.88,14.81,15.19,17.31,19.59,20.84,21.0,22.03,23.66,24.31,23.72,23.28,23.88,23.41,20.88,18.12,16.5,15.06,12.62,10.38,10.91,13.12,14.19,14.5,16.06,17.84,18.53,17.81,17.12,17.5,16.81,14.06,11.53,10.06,9.19,7.31,5.53,5.84,6.97,7.25,6.59,6.78,7.78,7.94,7.0,7.25,9.25,12.09,13.75,15.78,19.41,23.09,24.91,25.19,25.97,26.5,25.25,22.03,19.91,18.91,18.06,15.62,14.47,14.88,15.34,14.31,13.5,14.28,15.5,15.66,15.12,15.59,16.53,16.09,13.88,12.56,12.22,11.72,9.81,8.75,9.69,10.91,11.22,11.84,14.34,17.16,18.25,19.0,20.56,22.28,22.91,22.16,21.75,22.38,22.31,20.69,19.41,19.84,19.84,18.75,17.91,18.66,20.03,20.56,20.59,21.72,23.78,24.16,23.38,23.09,23.94,24.31,23.56,23.25,24.72,26.66,27.62,28.62,31.06,33.5,34.38,33.62,33.34,33.34,31.72,28.5,25.62,23.34,21.03,16.91,13.41,11.91,11.38,10.47,10.53,12.94,17.03,20.25,22.41,24.81,27.56,28.72,27.47,26.59,26.69,26.47,24.28,22.5,22.19,22.34,21.44,20.66,21.5,22.94,23.22,22.38,21.94,21.47,19.53,16.19,13.22,11.25,10.25,8.25,7.19,8.69,10.75,11.91,12.84,14.97,17.75,19.5,20.09,21.47,23.22,24.41,23.69,23.19,24.38,25.66,25.25,24.72,25.16,25.56,24.56,22.62,22.31,23.03,22.62,21.16,19.97,19.53,18.59,16.53,15.94,18.0,21.06,23.75,26.0,28.81,30.81,30.59,28.88,27.62,27.31,26.25,24.06,22.56,22.75,22.62,21.34,20.62,21.28,21.88,20.84,19.59,19.62,20.44,20.16,19.12,19.0,20.31,20.5,19.94,20.84,23.38,25.56,26.62,27.53,29.16,30.19,29.03,27.34,26.59,26.56,25.56,23.56,22.88,23.28,23.31,22.69,22.78,24.69,25.81,24.88,23.16,22.16,21.09,18.72,16.38,16.06,17.31,17.94,18.0,19.19,21.41,23.38,23.66,24.59,26.53,28.12,28.22,28.25,29.56,31.47,31.78,31.38,32.09,32.84,31.97,29.66,28.25,27.97,27.5,26.66,26.59,28.38,30.62,31.75,32.94,35.19,37.56,37.84,36.47,35.59,35.06,33.72,31.28,29.97,30.44,30.69,29.81,29.47,30.5,31.31,30.28,28.72,28.38,28.78,27.91,26.78,26.94,28.16,28.72,28.41,28.94,30.69,32.12,31.88,32.06,33.06,33.91,33.34,32.72,33.84,35.41,35.91,35.16,34.59,34.59,33.28,30.94,29.31,28.97,28.56,27.09,25.59,26.16,27.06,27.06,26.69,26.97,27.84,27.38,25.88,25.75,27.28,28.19,27.66,27.62,28.5,28.97,27.81,26.91,27.44,28.69,28.62,28.69,29.91,31.5,31.12,29.91,28.78,29.0,28.75,27.38,26.66,27.62,28.06,27.12,25.81,25.88,26.5,26.03,25.72,27.03,29.53,30.78,31.03,30.75,31.25,30.84,29.12,28.09,28.69,29.56,28.72,28.0,27.75,27.78,26.56,24.53,23.75,24.28,24.22,23.38,23.09,24.25,24.47,23.53,22.84,23.78,24.91,24.78,24.38,25.59,27.31,28.06,28.16,29.47,31.59,32.28,31.34,30.0,29.34,28.06,25.16,23.19,23.31,23.91,23.25,22.41,22.75,23.84,24.12,24.22,25.72,28.56,30.53,31.09,31.81,33.75,35.16,35.09,35.25,36.66,37.25,35.59,32.69,30.53,28.91,26.97,24.78,24.25,25.62,27.5,28.5,30.97,35.5,39.72,41.53,42.03,43.31,43.81,42.03,55.44,56.16,56.31,55.81,55.78,56.0,56.09,55.97,55.66,55.56,55.12,54.19,53.12,53.03,53.25,53.56,53.97,54.81,55.97,56.16,55.5,54.81,54.72,54.22,53.47,53.19,53.5,53.56:22.72,21.34,21.16,20.28,18.06,15.53,15.41,16.5,17.47,17.91,19.66,22.38,23.53,22.66,21.62,21.28,21.03,20.22,19.72,21.66,23.94,25.03,25.06,26.69,29.0,30.44,30.88,31.97,33.59,33.84,31.44,28.47,26.19,23.59,19.41,15.5,14.22,13.88,13.25,12.75,14.56,17.91,20.91,23.16,26.25,30.12,33.12,33.38,33.16,33.34,32.88,30.38,27.56,26.25,25.84,24.94,23.53,23.5,24.88,25.38,24.16,23.47,23.41,22.56,19.5,16.38,14.88,13.97,12.19,10.84,11.84,13.78,14.91,15.34,16.97,19.75,21.66,21.25,20.38,20.22,18.72,15.25,11.56,9.91,9.72,8.72,8.34,9.88,12.09,13.25,12.25,11.81,12.62,12.88,11.59,11.06,12.06,13.16,12.72,12.56,13.84,15.47,15.78,15.62,16.75,18.91,20.47,20.78,21.75,23.41,23.81,22.25,20.16,19.09,18.34,15.81,13.44,13.0,13.84,13.53,12.84,13.66,15.5,15.94,14.53,13.75,14.22,14.72,14.12,14.75,16.81,18.72,18.53,17.28,17.06,16.88,15.16,12.94,12.16,13.06,13.5,13.0,13.88,15.66,17.09,16.0,14.56,14.19,13.47,11.16,9.16,9.47,10.94,11.06,10.38,10.34,11.34,11.66,10.81,11.25,13.25,14.94,14.16,13.0,13.03,12.94,11.69,10.91,12.03,14.22,15.22,14.75,14.59,15.25,14.91,13.06,12.75,14.28,16.22,16.25,16.38,17.62,18.25,16.41,14.0,12.66,12.38,11.44,10.34,10.91,13.41,15.53,16.41,17.16,19.19,20.44,19.12,17.81,17.28,17.16,15.38,13.09,12.0,11.66,10.38,8.0,6.12,5.12,3.94,1.31,0.38,1.56,3.5,3.97,4.62,6.72,9.59,11.97,13.66,16.97,20.06,21.38,20.59,19.78,20.12,19.88,18.47,17.97,18.94,20.62,19.75,18.75,18.91,19.03,17.72,15.97,15.69,16.5,16.41,15.56,15.47,17.0,18.38,18.59,19.03,20.72,22.5,21.78,19.91,19.09,18.22,15.38,11.69,9.38,9.0,7.69,6.0,5.31,6.25,7.19,6.44,5.62,6.56,7.81,7.53,7.47,8.72,10.81,11.16,10.0,9.75,10.28,10.28,9.41,9.62,11.22,12.41,12.03,11.5,12.22,13.38,12.97,11.97,12.28,13.28,12.19,10.22,8.91,8.84,8.62,7.69,7.62,9.03,10.09,8.69,6.94,6.31,6.19,4.5,2.28,2.16,3.0,2.56,1.56,1.75,3.19,3.72,2.78,2.5,3.66,4.41,3.91,3.47,4.47,6.31,6.41,5.53,5.81,7.16,7.62,7.59,8.94,11.47,13.12,12.88,12.56,13.5,14.41,13.66,12.28,11.59,11.28,9.09,6.69,6.16,7.38,7.84,7.0,6.44,7.0,6.69,5.06,3.72,4.75,6.44,7.09,7.81,10.44,13.22,13.75,12.72,12.44,12.88,12.44,11.06,10.69,11.81,11.88,10.47,8.75,8.91,9.06,8.06,6.97,7.41,8.75,8.03,6.72,6.5,7.69,8.12,8.19,9.09,11.81,14.19,14.06,13.88,14.84,15.72,14.91,13.44,13.56,14.12,12.41,9.31,7.38,6.81,5.44,3.44,2.91,4.34,5.5,5.34,4.94,5.91,6.94,6.25,5.44,6.31,7.97,8.28,7.81,7.66,8.5,8.38,6.75,5.94,6.72,7.94,7.78,7.84,10.19,12.5,13.06,12.72,13.31,14.66,14.41,13.25,12.75,13.38,12.06,8.75,5.44,3.41,2.12,0.06,-0.47,2.22,6.22,8.88,10.5,12.78,14.31,13.47,11.06,8.84,8.0,6.62,3.94,1.34,0.06,-1.62,-4.94,-8.16,-8.44,-6.91,-4.97,-2.12,2.62,8.72,12.59,14.47,15.5,17.16,17.41,15.81,14.41,14.69,14.59,12.5,10.0,9.25,9.25,7.97,6.25,5.47,6.0,5.25,3.41,2.5,4.03,5.0,5.5,6.53,9.5,12.06,12.53,12.0,12.44,13.0,12.22,11.44,11.91,13.72,14.75,14.19,13.78,14.62,14.91,14.06,13.53,15.0,16.09,14.97,12.88,11.88,10.62,8.19,4.84,2.97,2.78,2.38,1.56,1.91,4.53,6.72,6.78,6.69,8.12,9.31,8.84,8.41,9.62,10.81,11.12,9.75,9.25,9.94,10.12,9.12,8.47,9.53,10.38,9.5,8.91,10.12,11.62,11.31,10.44,10.41,10.59,9.31,6.62,4.81,4.28,3.66,2.34,2.56,5.16,7.94,9.16,9.72,11.44,12.66,11.72,9.88,9.06,8.81,7.94,5.72,4.69,4.94,4.69,3.5,2.75,4.5,6.59,7.31,8.06,9.81,11.31,10.91,9.41,9.53,10.28,10.06,8.91,8.12,8.31,8.0,6.28,5.12,6.28,7.03,6.44,5.5,6.03,6.53,5.31,3.53,3.25,4.28,5.41,6.25,8.41,11.84,14.81,15.97,16.88,19.47,21.69,22.06,22.19,23.91,26.16,27.16,27.09,27.66,27.97,27.28,24.91,22.84,22.5,21.41,18.66,16.12,15.31,14.56,12.69,10.09,9.16,8.47,6.91,5.03,4.94,6.75,8.38,8.88,9.94,12.5,14.38,14.5,14.62,16.06,17.47,17.06,15.66,15.28,15.06,14.0,12.34,12.12,13.69,15.41,15.66,16.31,18.41,19.56,18.44,16.72,16.53,16.38,15.38,14.03,14.12,14.56,14.19,12.72,12.19,13.31,13.81,13.03,12.31,13.09,13.75,13.0,12.12,12.84,13.5,13.19,11.47,11.53,12.28,12.72,12.03,12.12,13.72,14.19,13.47,12.91,13.88,14.88,14.81,15.19,17.31,19.59,20.84,21.0,22.03,23.66,24.31,23.72,23.28,23.88,23.41,20.88,18.12,16.5,15.06,12.62,10.38,10.91,13.12,14.19,14.5,16.06,17.84,18.53,17.81,17.12,17.5,16.81,14.06,11.53,10.06,9.19,7.31,5.53,5.84,6.97,7.25,6.59,6.78,7.78,7.94,7.0,7.25,9.25,12.09,13.75,15.78,19.41,23.09,24.91,25.19,25.97,26.5,25.25,22.03,19.91,18.91,18.06,15.62,14.47,14.88,15.34,14.31,13.5,14.28,15.5,15.66,15.12,15.59,16.53,16.09,13.88,12.56,12.22,11.72,9.81,8.75,9.69,10.91,11.22,11.84,14.34,17.16,18.25,19.0,20.56,22.28,22.91,22.16,21.75,22.38,22.31,20.69,19.41,19.84,19.84,18.75,17.91,18.66,20.03,20.56,20.59,21.72,23.78,24.16,23.38,23.09,23.94,24.31,23.56,23.25,24.72,26.66,27.62,28.62,31.06,33.5,34.38,33.62,33.34,33.34,31.72,28.5,25.62,23.34,21.03,16.91,13.41,11.91,11.38,10.47,10.53,12.94,17.03,20.25,22.41,24.81,27.56,28.72,27.47,26.59,26.69,26.47,24.28,22.5,22.19,22.34,21.44,20.66,21.5,22.94,23.22,22.38,21.94,21.47,19.53,16.19,13.22,11.25,10.25,8.25,7.19,8.69,10.75,11.91,12.84,14.97,17.75,19.5,20.09,21.47,23.22,24.41,23.69,23.19,24.38,25.66,25.25,24.72,25.16,25.56,24.56,22.62,22.31,23.03,22.62,21.16,19.97,19.53,18.59,16.53,15.94,18.0,21.06,23.75,26.0,28.81,30.81,30.59,28.88,27.62,27.31,26.25,24.06,22.56,22.75,22.62,21.34,20.62,21.28,21.88,20.84,19.59,19.62,20.44,20.16,19.12,19.0,20.31,20.5,19.94,20.84,23.38,25.56,26.62,27.53,29.16,30.19,29.03,27.34,26.59,26.56,25.56,23.56,22.88,23.28,23.31,22.69,22.78,24.69,25.81,24.88,23.16,22.16,21.09,18.72,16.38,16.06,17.31,17.94,18.0,19.19,21.41,23.38,23.66,24.59,26.53,28.12,28.22,28.25,29.56,31.47,31.78,31.38,32.09,32.84,31.97,29.66,28.25,27.97,27.5,26.66,26.59,28.38,30.62,31.75,32.94,35.19,37.56,37.84,36.47,35.59,35.06,33.72,31.28,29.97,30.44,30.69,29.81,29.47,30.5,31.31,30.28,28.72,28.38,28.78,27.91,26.78,26.94,28.16,28.72,28.41,28.94,30.69,32.12,31.88,32.06,33.06,33.91,33.34,32.72,33.84,35.41,35.91,35.16,34.59,34.59,33.28,30.94,29.31,28.97,28.56,27.09,25.59,26.16,27.06,27.06,26.69,26.97,27.84,27.38,25.88,25.75,27.28,28.19,27.66,27.62,28.5,28.97,27.81,26.91,27.44,28.69,28.62,28.69,29.91,31.5,31.12,29.91,28.78,29.0,28.75,27.38,26.66,27.62,28.06,27.12,25.81,25.88,26.5,26.03,25.72,27.03,29.53,30.78,31.03,30.75,31.25,30.84,29.12,28.09,28.69,29.56,28.72,28.0,27.75,27.78,26.56,24.53,23.75,24.28,24.22,23.38,23.09,24.25,24.47,23.53,22.84,23.78,24.91,24.78,24.38,25.59,27.31,28.06,28.16,29.47,31.59,32.28,31.34,30.0,29.34,28.06,25.16,23.19,23.31,23.91,23.25,22.41,22.75,23.84,24.12,24.22,25.72,28.56,30.53,31.09,31.81,33.75,35.16,35.09,35.25,36.66,37.25,35.59,32.69,30.53,28.91,26.97,24.78,24.25,25.62,27.5,28.5,30.97,35.5,39.72,41.53,42.03,43.31,43.81,42.03,55.44,56.16,56.31,55.81,55.78,56.0,56.09,55.97,55.66,55.56,55.12,54.19,53.12,53.03,53.25,53.56,53.97,54.81,55.97,56.16,55.5,54.81,54.72,54.22,53.47,53.19,53.5,53.56,53.56,53.53,53.66,54.38,55.06,55.19,55.53:16.5,17.47,17.91,19.66,22.38,23.53,22.66,21.62,21.28,21.03,20.22,19.72,21.66,23.94,25.03,25.06,26.69,29.0,30.44,30.88,31.97,33.59,33.84,31.44,28.47,26.19,23.59,19.41,15.5,14.22,13.88,13.25,12.75,14.56,17.91,20.91,23.16,26.25,30.12,33.12,33.38,33.16,33.34,32.88,30.38,27.56,26.25,25.84,24.94,23.53,23.5,24.88,25.38,24.16,23.47,23.41,22.56,19.5,16.38,14.88,13.97,12.19,10.84,11.84,13.78,14.91,15.34,16.97,19.75,21.66,21.25,20.38,20.22,18.72,15.25,11.56,9.91,9.72,8.72,8.34,9.88,12.09,13.25,12.25,11.81,12.62,12.88,11.59,11.06,12.06,13.16,12.72,12.56,13.84,15.47,15.78,15.62,16.75,18.91,20.47,20.78,21.75,23.41,23.81,22.25,20.16,19.09,18.34,15.81,13.44,13.0,13.84,13.53,12.84,13.66,15.5,15.94,14.53,13.75,14.22,14.72,14.12,14.75,16.81,18.72,18.53,17.28,17.06,16.88,15.16,12.94,12.16,13.06,13.5,13.0,13.88,15.66,17.09,16.0,14.56,14.19,13.47,11.16,9.16,9.47,10.94,11.06,10.38,10.34,11.34,11.66,10.81,11.25,13.25,14.94,14.16,13.0,13.03,12.94,11.69,10.91,12.03,14.22,15.22,14.75,14.59,15.25,14.91,13.06,12.75,14.28,16.22,16.25,16.38,17.62,18.25,16.41,14.0,12.66,12.38,11.44,10.34,10.91,13.41,15.53,16.41,17.16,19.19,20.44,19.12,17.81,17.28,17.16,15.38,13.09,12.0,11.66,10.38,8.0,6.12,5.12,3.94,1.31,0.38,1.56,3.5,3.97,4.62,6.72,9.59,11.97,13.66,16.97,20.06,21.38,20.59,19.78,20.12,19.88,18.47,17.97,18.94,20.62,19.75,18.75,18.91,19.03,17.72,15.97,15.69,16.5,16.41,15.56,15.47,17.0,18.38,18.59,19.03,20.72,22.5,21.78,19.91,19.09,18.22,15.38,11.69,9.38,9.0,7.69,6.0,5.31,6.25,7.19,6.44,5.62,6.56,7.81,7.53,7.47,8.72,10.81,11.16,10.0,9.75,10.28,10.28,9.41,9.62,11.22,12.41,12.03,11.5,12.22,13.38,12.97,11.97,12.28,13.28,12.19,10.22,8.91,8.84,8.62,7.69,7.62,9.03,10.09,8.69,6.94,6.31,6.19,4.5,2.28,2.16,3.0,2.56,1.56,1.75,3.19,3.72,2.78,2.5,3.66,4.41,3.91,3.47,4.47,6.31,6.41,5.53,5.81,7.16,7.62,7.59,8.94,11.47,13.12,12.88,12.56,13.5,14.41,13.66,12.28,11.59,11.28,9.09,6.69,6.16,7.38,7.84,7.0,6.44,7.0,6.69,5.06,3.72,4.75,6.44,7.09,7.81,10.44,13.22,13.75,12.72,12.44,12.88,12.44,11.06,10.69,11.81,11.88,10.47,8.75,8.91,9.06,8.06,6.97,7.41,8.75,8.03,6.72,6.5,7.69,8.12,8.19,9.09,11.81,14.19,14.06,13.88,14.84,15.72,14.91,13.44,13.56,14.12,12.41,9.31,7.38,6.81,5.44,3.44,2.91,4.34,5.5,5.34,4.94,5.91,6.94,6.25,5.44,6.31,7.97,8.28,7.81,7.66,8.5,8.38,6.75,5.94,6.72,7.94,7.78,7.84,10.19,12.5,13.06,12.72,13.31,14.66,14.41,13.25,12.75,13.38,12.06,8.75,5.44,3.41,2.12,0.06,-0.47,2.22,6.22,8.88,10.5,12.78,14.31,13.47,11.06,8.84,8.0,6.62,3.94,1.34,0.06,-1.62,-4.94,-8.16,-8.44,-6.91,-4.97,-2.12,2.62,8.72,12.59,14.47,15.5,17.16,17.41,15.81,14.41,14.69,14.59,12.5,10.0,9.25,9.25,7.97,6.25,5.47,6.0,5.25,3.41,2.5,4.03,5.0,5.5,6.53,9.5,12.06,12.53,12.0,12.44,13.0,12.22,11.44,11.91,13.72,14.75,14.19,13.78,14.62,14.91,14.06,13.53,15.0,16.09,14.97,12.88,11.88,10.62,8.19,4.84,2.97,2.78,2.38,1.56,1.91,4.53,6.72,6.78,6.69,8.12,9.31,8.84,8.41,9.62,10.81,11.12,9.75,9.25,9.94,10.12,9.12,8.47,9.53,10.38,9.5,8.91,10.12,11.62,11.31,10.44,10.41,10.59,9.31,6.62,4.81,4.28,3.66,2.34,2.56,5.16,7.94,9.16,9.72,11.44,12.66,11.72,9.88,9.06,8.81,7.94,5.72,4.69,4.94,4.69,3.5,2.75,4.5,6.59,7.31,8.06,9.81,11.31,10.91,9.41,9.53,10.28,10.06,8.91,8.12,8.31,8.0,6.28,5.12,6.28,7.03,6.44,5.5,6.03,6.53,5.31,3.53,3.25,4.28,5.41,6.25,8.41,11.84,14.81,15.97,16.88,19.47,21.69,22.06,22.19,23.91,26.16,27.16,27.09,27.66,27.97,27.28,24.91,22.84,22.5,21.41,18.66,16.12,15.31,14.56,12.69,10.09,9.16,8.47,6.91,5.03,4.94,6.75,8.38,8.88,9.94,12.5,14.38,14.5,14.62,16.06,17.47,17.06,15.66,15.28,15.06,14.0,12.34,12.12,13.69,15.41,15.66,16.31,18.41,19.56,18.44,16.72,16.53,16.38,15.38,14.03,14.12,14.56,14.19,12.72,12.19,13.31,13.81,13.03,12.31,13.09,13.75,13.0,12.12,12.84,13.5,13.19,11.47,11.53,12.28,12.72,12.03,12.12,13.72,14.19,13.47,12.91,13.88,14.88,14.81,15.19,17.31,19.59,20.84,21.0,22.03,23.66,24.31,23.72,23.28,23.88,23.41,20.88,18.12,16.5,15.06,12.62,10.38,10.91,13.12,14.19,14.5,16.06,17.84,18.53,17.81,17.12,17.5,16.81,14.06,11.53,10.06,9.19,7.31,5.53,5.84,6.97,7.25,6.59,6.78,7.78,7.94,7.0,7.25,9.25,12.09,13.75,15.78,19.41,23.09,24.91,25.19,25.97,26.5,25.25,22.03,19.91,18.91,18.06,15.62,14.47,14.88,15.34,14.31,13.5,14.28,15.5,15.66,15.12,15.59,16.53,16.09,13.88,12.56,12.22,11.72,9.81,8.75,9.69,10.91,11.22,11.84,14.34,17.16,18.25,19.0,20.56,22.28,22.91,22.16,21.75,22.38,22.31,20.69,19.41,19.84,19.84,18.75,17.91,18.66,20.03,20.56,20.59,21.72,23.78,24.16,23.38,23.09,23.94,24.31,23.56,23.25,24.72,26.66,27.62,28.62,31.06,33.5,34.38,33.62,33.34,33.34,31.72,28.5,25.62,23.34,21.03,16.91,13.41,11.91,11.38,10.47,10.53,12.94,17.03,20.25,22.41,24.81,27.56,28.72,27.47,26.59,26.69,26.47,24.28,22.5,22.19,22.34,21.44,20.66,21.5,22.94,23.22,22.38,21.94,21.47,19.53,16.19,13.22,11.25,10.25,8.25,7.19,8.69,10.75,11.91,12.84,14.97,17.75,19.5,20.09,21.47,23.22,24.41,23.69,23.19,24.38,25.66,25.25,24.72,25.16,25.56,24.56,22.62,22.31,23.03,22.62,21.16,19.97,19.53,18.59,16.53,15.94,18.0,21.06,23.75,26.0,28.81,30.81,30.59,28.88,27.62,27.31,26.25,24.06,22.56,22.75,22.62,21.34,20.62,21.28,21.88,20.84,19.59,19.62,20.44,20.16,19.12,19.0,20.31,20.5,19.94,20.84,23.38,25.56,26.62,27.53,29.16,30.19,29.03,27.34,26.59,26.56,25.56,23.56,22.88,23.28,23.31,22.69,22.78,24.69,25.81,24.88,23.16,22.16,21.09,18.72,16.38,16.06,17.31,17.94,18.0,19.19,21.41,23.38,23.66,24.59,26.53,28.12,28.22,28.25,29.56,31.47,31.78,31.38,32.09,32.84,31.97,29.66,28.25,27.97,27.5,26.66,26.59,28.38,30.62,31.75,32.94,35.19,37.56,37.84,36.47,35.59,35.06,33.72,31.28,29.97,30.44,30.69,29.81,29.47,30.5,31.31,30.28,28.72,28.38,28.78,27.91,26.78,26.94,28.16,28.72,28.41,28.94,30.69,32.12,31.88,32.06,33.06,33.91,33.34,32.72,33.84,35.41,35.91,35.16,34.59,34.59,33.28,30.94,29.31,28.97,28.56,27.09,25.59,26.16,27.06,27.06,26.69,26.97,27.84,27.38,25.88,25.75,27.28,28.19,27.66,27.62,28.5,28.97,27.81,26.91,27.44,28.69,28.62,28.69,29.91,31.5,31.12,29.91,28.78,29.0,28.75,27.38,26.66,27.62,28.06,27.12,25.81,25.88,26.5,26.03,25.72,27.03,29.53,30.78,31.03,30.75,31.25,30.84,29.12,28.09,28.69,29.56,28.72,28.0,27.75,27.78,26.56,24.53,23.75,24.28,24.22,23.38,23.09,24.25,24.47,23.53,22.84,23.78,24.91,24.78,24.38,25.59,27.31,28.06,28.16,29.47,31.59,32.28,31.34,30.0,29.34,28.06,25.16,23.19,23.31,23.91,23.25,22.41,22.75,23.84,24.12,24.22,25.72,28.56,30.53,31.09,31.81,33.75,35.16,35.09,35.25,36.66,37.25,35.59,32.69,30.53,28.91,26.97,24.78,24.25,25.62,27.5,28.5,30.97,35.5,39.72,41.53,42.03,43.31,43.81,42.03,55.44,56.16,56.31,55.81,55.78,56.0,56.09,55.97,55.66,55.56,55.12,54.19,53.12,53.03,53.25,53.56,53.97,54.81,55.97,56.16,55.5,54.81,54.72,54.22,53.47,53.19,53.5,53.56,53.56,53.53,53.66,54.38,55.06,55.19,55.53,55.88,55.72,54.94,54.53,55.5,56.44,57.69:positivity
-0.03,1.0,1.28,3.38,5.62,5.19,2.53,1.31,1.75,1.56,-0.34,-0.59,1.12,2.25,0.91,-0.75,-0.28,-0.12,-2.44,-5.78,-6.62,-5.84,-6.19,-7.59,-7.47,-5.66,-4.75,-6.06,-6.81,-4.44,-2.41,-2.84,-4.03,-2.91,-1.56,-2.12,-3.16,-2.16,0.53,1.69,0.53,-0.25,0.72,0.56,-1.69,-3.12,-1.88,-0.56,-1.69,-3.25,-2.5,-0.97,-1.28,-2.66,-2.09,-0.12,0.47,-0.44,0.0,2.66,5.12,4.81,4.53,6.44,8.31,7.69,6.03,6.34,6.66,5.06,1.69,0.06,0.22,-0.25,-2.25,-2.62,-0.28,1.62,0.84,-0.78,-0.62,-0.75,-2.34,-4.53,-4.06,-1.5,0.72,1.69,4.16,7.84,9.41,7.59,5.16,4.41,3.31,-0.03,-3.41,-4.69,-4.66,-6.38,-8.78,-8.88,-7.34,-7.12,-9.0,-9.84,-8.78,-7.94,-9.38,-10.69,-9.22,-8.0,-9.38,-11.5,-10.94,-9.31,-9.31,-10.62,-9.41,-7.59,-6.97,-8.44,-8.97,-7.81,-7.06,-8.69,-10.38,-9.31,-7.66,-7.81,-8.41,-7.28,-5.06,-4.81,-6.03,-5.84,-4.06,-3.41,-5.09,-6.75,-6.41,-6.06,-7.84,-9.47,-8.12,-5.72,-5.31,-5.94,-4.97,-3.12,-2.66,-3.59,-3.44,-1.44,-0.31,-2.06,-3.31,-2.5,-1.38,-2.75,-4.28,-4.09,-3.0,-4.0,-5.81,-5.62,-3.84,-3.0,-4.16,-4.16,-2.0,0.38,0.94,2.56,6.62,10.72,11.91,11.38,11.72,11.81,9.53,5.72,3.5,3.25,3.03,0.97,-0.03,0.81,1.47,-0.44,-2.72,-2.12,-0.09,0.56,0.72,3.31,7.44,9.59,10.25,11.28,13.62,14.03,11.0,7.44,5.72,3.81,-0.09,-3.44,-3.78,-2.06,-1.72,-2.47,-1.34,0.91,1.31,-0.38,-0.59,0.91,2.78,2.38,2.44,4.84,7.56,7.44,6.41,6.56,7.38,5.97,2.47,0.16,-0.34,-1.47,-4.19,-5.34,-3.62,-2.19,-2.91,-3.59,-2.22,-0.12,-0.44,-1.59,-1.16,0.56,0.47,-0.53,-0.47,2.06,3.5,3.03,3.25,5.94,8.44,8.62,8.31,9.72,11.62,10.81,8.72,7.97,8.5,7.72,5.56,5.03,7.09,8.75,8.38,8.09,8.91,9.88,7.88,5.34,4.81,5.5,4.62,2.84,2.22,3.31,2.66,0.12,-1.22,-0.19,0.91,0.16,0.03,2.5,4.97,5.47,4.88,5.59,7.12,7.19,5.44,4.75,6.19,6.75,5.59,5.03,7.28,8.84,7.94,6.28,6.72,7.84,7.19,6.0,6.09,8.0,8.06,6.78,6.5,8.16,9.03,7.69,7.25,8.75,10.41,9.66,8.22,8.78,9.88,9.06,7.47,7.56,9.0,9.19,6.97,5.59,6.31,6.59,4.47,3.31,4.69,6.53,6.56,5.66,6.44,8.12,8.0,6.31,6.31,9.03,11.03,11.94,12.66,15.09,16.03,13.97,11.28,11.16,12.06,12.22,12.28,14.38,17.78,19.03,17.88,16.53,16.72,15.25,11.72,8.78,8.94,9.31,8.03,7.09,8.38,10.97,11.47,10.81,12.06,14.5,15.5,14.53,14.16,15.91,16.25,14.44,12.53,13.19,14.06,13.12,11.62,11.84,12.44,10.69,6.94,3.66,2.53,0.53,-2.88,-5.0,-4.38,-3.75,-5.0,-6.16,-4.06,-1.75,-0.94,-1.12,0.34,3.38,4.69,4.91,5.81,8.53,9.72,8.19,6.44,6.91,7.38,5.41,3.12,3.59,4.62,3.5,1.47,1.59,3.03,3.47,2.72,3.09,5.84,8.0,8.31,9.25,12.62,15.75,15.94,14.19,13.19,12.28,9.34,5.06,3.59,4.66,5.47,4.81,4.78,7.06,8.09,6.59,5.09,6.25,8.31,9.19,9.94,13.41,18.06,20.31,20.75,21.09,22.31,22.16,19.09,16.03,16.0,16.03,13.81,12.38,14.0,16.88,18.28,18.47,20.16,22.03,21.97,19.75,18.72,19.59,20.19,18.28,16.47,17.03,17.56,15.66,13.31,13.0,13.12,10.84,7.09,5.56,5.28,4.41,2.19,1.22,2.84,4.06,2.53,0.97,1.62,2.56,1.59,0.06,1.62,4.53,5.78,5.59,7.0,9.88,11.56,11.12,10.91,12.66,14.06,12.5,10.91,11.72,13.28,12.53,10.84,10.69,11.56,10.69,8.22,7.19,8.06,8.31,6.09,4.25,4.88,5.88,5.06,4.44,5.88,8.38,8.69,7.47,7.91,10.34,11.53,10.66,11.06,12.81,13.88,12.78,12.16,14.5,17.09,17.28,16.5,17.31,18.62,18.31,16.25,15.97,17.28,17.56,16.25,15.56,17.12,17.84,15.59,12.91,12.38,12.38,10.75,8.69,9.25,11.38,12.34,11.97,12.75,15.56,16.91,15.84,15.66,17.47,19.69,18.97,17.66,17.84,18.38,15.91,11.84,9.97,9.88,9.0,6.59,5.25,5.97,5.56,2.28,-0.09,0.41,1.88,1.59,1.78,4.69,8.62,10.81,11.06,13.31,16.44,18.25,17.69,18.03,20.5,22.28,21.81,21.75,23.5,25.22,23.5,20.34,18.75,17.88,15.19,11.62,10.44,11.81,12.66,11.72,12.31,15.22,17.69,17.53,17.28,18.91,20.81,19.97,18.41,18.69,20.12,19.94,17.72,16.44,16.91,16.09,12.72,10.0,9.84,9.72,7.75,5.94,6.78,9.16,9.31,8.88,9.62,11.59,12.16,10.69,10.22,12.31,14.03,13.62,14.16,17.56,20.97,21.91,22.0,23.91,26.12,26.12,24.31,23.56,24.31,23.66,20.94,19.03,19.38,19.47,16.91,14.75,15.44,16.84,16.34,15.59,16.84,19.88,21.03,20.53,21.16,23.16,23.28,20.28,17.75,17.16,16.66,13.88,11.22,11.19,12.19,11.0,9.0,9.09,10.62,10.53,8.53,7.44,8.5,8.59,6.34,4.5,5.25,6.44,5.28,3.75,4.62,6.41,5.97,4.84,5.31,7.59,8.12,6.97,6.78,9.16,11.16,10.81,10.16,11.69,13.53,12.47,11.47,12.56,14.91,15.0,13.56,13.53,15.06,15.22,13.44,12.5,14.16,15.41,14.0,12.03,11.94,12.06,9.72,6.47,6.25,8.16,9.16,9.16,10.72,13.91,15.62,14.78,13.66,15.06,16.16,15.34,14.19,15.34,17.53,16.53,14.47,13.59,14.56,14.09,13.28,13.66,16.97,19.66,20.12,20.22,22.59,24.91,24.56,23.12,24.16,26.03,25.0,22.56,21.62,21.78,20.56,17.69,16.75,18.34,19.88,18.84,17.53,18.16,18.84,16.81,13.84,13.12,13.75,12.25,9.06,7.41,7.97,8.09,5.91,5.12,7.12,9.19,9.06,8.47,10.84,13.66,14.47,13.53,14.22,15.72,15.66,13.97,13.53,15.88,16.78,15.59,14.62,16.72,18.72,19.06,18.75,20.22,22.06,21.28,18.84,17.69,18.38,17.06,14.03,11.62,11.81,11.16,8.28,5.94,6.12,7.03,6.25,4.66,5.41,7.22,6.78,4.78,4.78,6.81,7.66,6.56,6.22,7.94,8.97,7.69,6.31,8.0,10.16,10.56,10.0,11.06,12.47,12.03,9.5,8.34,9.47,9.44,8.0,6.94,8.5,10.0,9.16,8.19,9.59,11.88,12.47,11.94,13.56,16.78,18.62,18.78,19.56,22.28,23.94,22.41,21.12,21.94,22.59,21.06,18.97,19.03,20.53,20.66,19.56,20.0,21.91,22.75,21.5,21.38,23.78,25.97,25.5,24.34,25.25,26.0,24.31,21.28,20.66,21.25,20.66,18.94,18.62,20.09,20.25,17.75,15.38,15.22,14.59,12.0,9.03,8.78,9.62,8.88,7.25,7.59,9.84,10.62,9.53,9.97,11.94,13.03,11.41,9.72,10.31,11.03,9.75,8.47,9.59,11.91,11.88,10.44,10.19,10.81,10.5,8.5,7.91,9.84,12.0,12.34,12.44,15.19,18.09,18.94,18.78,20.69,23.28,23.88,22.41,22.25,22.94,22.12,18.5,15.88,15.38,15.03,12.56,10.41,10.56,11.22,9.91,8.12,8.94,10.81,11.88,11.25,12.19,14.88,16.28,15.19,14.38,14.81,15.12,12.94,10.44,10.47,11.84,11.5,10.59,11.31,13.38,13.78,11.94,11.16,12.47,13.62,12.5,11.75,13.38,15.44,15.12,14.06,15.94,18.53,19.19,17.47,16.69,16.56,15.38,11.91,10.12,11.25,13.03,12.97,13.44,15.53,18.12,17.94,16.12,16.19,17.5,17.31,15.72,15.56,17.03,17.66,15.88,14.75,15.84,17.09,16.44,15.81,17.19,19.0,18.31,15.69,14.72,14.81,14.16,12.16,11.62,13.5,14.88,13.75,13.25,14.19,15.12,14.0,12.28,12.91,15.03,15.97,15.91,17.12,19.12,19.12,16.31,14.0,13.38,12.97,11.09,9.88,11.56,14.5,15.34,15.78,18.59,21.94,23.28,22.72,23.31,25.06,25.91,24.5,23.28,23.94,23.97,21.31,18.81,18.44,19.41,18.66,17.78,18.75,21.09,21.59,20.44,20.16,21.78,22.81,21.97,21.31,22.5,23.72,22.06,20.03,19.88,20.59,19.44,16.91,15.84,16.12,15.25,12.69,11.5,13.16,14.69,13.91,13.66,15.16,16.81,16.09,14.66,15.59,17.44,17.72,16.69,16.62,18.03,18.25,16.38,14.91,15.78,16.41,14.88,12.56,12.0,12.03,10.09,8.22,8.53,11.34,12.84,12.62,13.69,15.56,16.16,14.78,13.47,14.25,15.28,13.91,11.78,11.59,12.47,11.88,11.0,11.94,14.66,15.56,14.19,13.12,13.97,14.03,11.72,9.53,10.19,11.38,10.66,9.66,10.72,12.06,11.5,9.47,9.0,10.16,10.28,8.56,7.34:1.31,1.75,1.56,-0.34,-0.59,1.12,2.25,0.91,-0.75,-0.28,-0.12,-2.44,-5.78,-6.62,-5.84,-6.19,-7.59,-7.47,-5.66,-4.75,-6.06,-6.81,-4.44,-2.41,-2.84,-4.03,-2.91,-1.56,-2.12,-3.16,-2.16,0.53,1.69,0.53,-0.25,0.72,0.56,-1.69,-3.12,-1.88,-0.56,-1.69,-3.25,-2.5,-0.97,-1.28,-2.66,-2.09,-0.12,0.47,-0.44,0.0,2.66,5.12,4.81,4.53,6.44,8.31,7.69,6.03,6.34,6.66,5.06,1.69,0.06,0.22,-0.25,-2.25,-2.62,-0.28,1.62,0.84,-0.78,-0.62,-0.75,-2.34,-4.53,-4.06,-1.5,0.72,1.69,4.16,7.84,9.41,7.59,5.16,4.41,3.31,-0.03,-3.41,-4.69,-4.66,-6.38,-8.78,-8.88,-7.34,-7.12,-9.0,-9.84,-8.78,-7.94,-9.38,-10.69,-9.22,-8.0,-9.38,-11.5,-10.94,-9.31,-9.31,-10.62,-9.41,-7.59,-6.97,-8.44,-8.97,-7.81,-7.06,-8.69,-10.38,-9.31,-7.66,-7.81,-8.41,-7.28,-5.06,-4.81,-6.03,-5.84,-4.06,-3.41,-5.09,-6.75,-6.41,-6.06,-7.84,-9.47,-8.12,-5.72,-5.31,-5.94,-4.97,-3.12,-2.66,-3.59,-3.44,-1.44,-0.31,-2.06,-3.31,-2.5,-1.38,-2.75,-4.28,-4.09,-3.0,-4.0,-5.81,-5.62,-3.84,-3.0,-4.16,-4.16,-2.0,0.38,0.94,2.56,6.62,10.72,11.91,11.38,11.72,11.81,9.53,5.72,3.5,3.25,3.03,0.97,-0.03,0.81,1.47,-0.44,-2.72,-2.12,-0.09,0.56,0.72,3.31,7.44,9.59,10.25,11.28,13.62,14.03,11.0,7.44,5.72,3.81,-0.09,-3.44,-3.78,-2.06,-1.72,-2.47,-1.34,0.91,1.31,-0.38,-0.59,0.91,2.78,2.38,2.44,4.84,7.56,7.44,6.41,6.56,7.38,5.97,2.47,0.16,-0.34,-1.47,-4.19,-5.34,-3.62,-2.19,-2.91,-3.59,-2.22,-0.12,-0.44,-1.59,-1.16,0.56,0.47,-0.53,-0.47,2.06,3.5,3.03,3.25,5.94,8.44,8.62,8.31,9.72,11.62,10.81,8.72,7.97,8.5,7.72,5.56,5.03,7.09,8.75,8.38,8.09,8.91,9.88,7.88,5.34,4.81,5.5,4.62,2.84,2.22,3.31,2.66,0.12,-1.22,-0.19,0.91,0.16,0.03,2.5,4.97,5.47,4.88,5.59,7.12,7.19,5.44,4.75,6.19,6.75,5.59,5.03,7.28,8.84,7.94,6.28,6.72,7.84,7.19,6.0,6.09,8.0,8.06,6.78,6.5,8.16,9.03,7.69,7.25,8.75,10.41,9.66,8.22,8.78,9.88,9.06,7.47,7.56,9.0,9.19,6.97,5.59,6.31,6.59,4.47,3.31,4.69,6.53,6.56,5.66,6.44,8.12,8.0,6.31,6.31,9.03,11.03,11.94,12.66,15.09,16.03,13.97,11.28,11.16,12.06,12.22,12.28,14.38,17.78,19.03,17.88,16.53,16.72,15.25,11.72,8.78,8.94,9.31,8.03,7.09,8.38,10.97,11.47,10.81,12.06,14.5,15.5,14.53,14.16,15.91,16.25,14.44,12.53,13.19,14.06,13.12,11.62,11.84,12.44,10.69,6.94,3.66,2.53,0.53,-2.88,-5.0,-4.38,-3.75,-5.0,-6.16,-4.06,-1.75,-0.94,-1.12,0.34,3.38,4.69,4.91,5.81,8.53,9.72,8.19,6.44,6.91,7.38,5.41,3.12,3.59,4.62,3.5,1.47,1.59,3.03,3.47,2.72,3.09,5.84,8.0,8.31,9.25,12.62,15.75,15.94,14.19,13.19,12.28,9.34,5.06,3.59,4.66,5.47,4.81,4.78,7.06,8.09,6.59,5.09,6.25,8.31,9.19,9.94,13.41,18.06,20.31,20.75,21.09,22.31,22.16,19.09,16.03,16.0,16.03,13.81,12.38,14.0,16.88,18.28,18.47,20.16,22.03,21.97,19.75,18.72,19.59,20.19,18.28,16.47,17.03,17.56,15.66,13.31,13.0,13.12,10.84,7.09,5.56,5.28,4.41,2.19,1.22,2.84,4.06,2.53,0.97,1.62,2.56,1.59,0.06,1.62,4.53,5.78,5.59,7.0,9.88,11.56,11.12,10.91,12.66,14.06,12.5,10.91,11.72,13.28,12.53,10.84,10.69,11.56,10.69,8.22,7.19,8.06,8.31,6.09,4.25,4.88,5.88,5.06,4.44,5.88,8.38,8.69,7.47,7.91,10.34,11.53,10.66,11.06,12.81,13.88,12.78,12.16,14.5,17.09,17.28,16.5,17.31,18.62,18.31,16.25,15.97,17.28,17.56,16.25,15.56,17.12,17.84,15.59,12.91,12.38,12.38,10.75,8.69,9.25,11.38,12.34,11.97,12.75,15.56,16.91,15.84,15.66,17.47,19.69,18.97,17.66,17.84,18.38,15.91,11.84,9.97,9.88,9.0,6.59,5.25,5.97,5.56,2.28,-0.09,0.41,1.88,1.59,1.78,4.69,8.62,10.81,11.06,13.31,16.44,18.25,17.69,18.03,20.5,22.28,21.81,21.75,23.5,25.22,23.5,20.34,18.75,17.88,15.19,11.62,10.44,11.81,12.66,11.72,12.31,15.22,17.69,17.53,17.28,18.91,20.81,19.97,18.41,18.69,20.12,19.94,17.72,16.44,16.91,16.09,12.72,10.0,9.84,9.72,7.75,5.94,6.78,9.16,9.31,8.88,9.62,11.59,12.16,10.69,10.22,12.31,14.03,13.62,14.16,17.56,20.97,21.91,22.0,23.91,26.12,26.12,24.31,23.56,24.31,23.66,20.94,19.03,19.38,19.47,16.91,14.75,15.44,16.84,16.34,15.59,16.84,19.88,21.03,20.53,21.16,23.16,23.28,20.28,17.75,17.16,16.66,13.88,11.22,11.19,12.19,11.0,9.0,9.09,10.62,10.53,8.53,7.44,8.5,8.59,6.34,4.5,5.25,6.44,5.28,3.75,4.62,6.41,5.97,4.84,5.31,7.59,8.12,6.97,6.78,9.16,11.16,10.81,10.16,11.69,13.53,12.47,11.47,12.56,14.91,15.0,13.56,13.53,15.06,15.22,13.44,12.5,14.16,15.41,14.0,12.03,11.94,12.06,9.72,6.47,6.25,8.16,9.16,9.16,10.72,13.91,15.62,14.78,13.66,15.06,16.16,15.34,14.19,15.34,17.53,16.53,14.47,13.59,14.56,14.09,13.28,13.66,16.97,19.66,20.12,20.22,22.59,24.91,24.56,23.12,24.16,26.03,25.0,22.56,21.62,21.78,20.56,17.69,16.75,18.34,19.88,18.84,17.53,18.16,18.84,16.81,13.84,13.12,13.75,12.25,9.06,7.41,7.97,8.09,5.91,5.12,7.12,9.19,9.06,8.47,10.84,13.66,14.47,13.53,14.22,15.72,15.66,13.97,13.53,15.88,16.78,15.59,14.62,16.72,18.72,19.06,18.75,20.22,22.06,21.28,18.84,17.69,18.38,17.06,14.03,11.62,11.81,11.16,8.28,5.94,6.12,7.03,6.25,4.66,5.41,7.22,6.78,4.78,4.78,6.81,7.66,6.56,6.22,7.94,8.97,7.69,6.31,8.0,10.16,10.56,10.0,11.06,12.47,12.03,9.5,8.34,9.47,9.44,8.0,6.94,8.5,10.0,9.16,8.19,9.59,11.88,12.47,11.94,13.56,16.78,18.62,18.78,19.56,22.28,23.94,22.41,21.12,21.94,22.59,21.06,18.97,19.03,20.53,20.66,19.56,20.0,21.91,22.75,21.5,21.38,23.78,25.97,25.5,24.34,25.25,26.0,24.31,21.28,20.66,21.25,20.66,18.94,18.62,20.09,20.25,17.75,15.38,15.22,14.59,12.0,9.03,8.78,9.62,8.88,7.25,7.59,9.84,10.62,9.53,9.97,11.94,13.03,11.41,9.72,10.31,11.03,9.75,8.47,9.59,11.91,11.88,10.44,10.19,10.81,10.5,8.5,7.91,9.84,12.0,12.34,12.44,15.19,18.09,18.94,18.78,20.69,23.28,23.88,22.41,22.25,22.94,22.12,18.5,15.88,15.38,15.03,12.56,10.41,10.56,11.22,9.91,8.12,8.94,10.81,11.88,11.25,12.19,14.88,16.28,15.19,14.38,14.81,15.12,12.94,10.44,10.47,11.84,11.5,10.59,11.31,13.38,13.78,11.94,11.16,12.47,13.62,12.5,11.75,13.38,15.44,15.12,14.06,15.94,18.53,19.19,17.47,16.69,16.56,15.38,11.91,10.12,11.25,13.03,12.97,13.44,15.53,18.12,17.94,16.12,16.19,17.5,17.31,15.72,15.56,17.03,17.66,15.88,14.75,15.84,17.09,16.44,15.81,17.19,19.0,18.31,15.69,14.72,14.81,14.16,12.16,11.62,13.5,14.88,13.75,13.25,14.19,15.12,14.0,12.28,12.91,15.03,15.97,15.91,17.12,19.12,19.12,16.31,14.0,13.38,12.97,11.09,9.88,11.56,14.5,15.34,15.78,18.59,21.94,23.28,22.72,23.31,25.06,25.91,24.5,23.28,23.94,23.97,21.31,18.81,18.44,19.41,18.66,17.78,18.75,21.09,21.59,20.44,20.16,21.78,22.81,21.97,21.31,22.5,23.72,22.06,20.03,19.88,20.59,19.44,16.91,15.84,16.12,15.25,12.69,11.5,13.16,14.69,13.91,13.66,15.16,16.81,16.09,14.66,15.59,17.44,17.72,16.69,16.62,18.03,18.25,16.38,14.91,15.78,16.41,14.88,12.56,12.0,12.03,10.09,8.22,8.53,11.34,12.84,12.62,13.69,15.56,16.16,14.78,13.47,14.25,15.28,13.91,11.78,11.59,12.47,11.88,11.0,11.94,14.66,15.56,14.19,13.12,13.97,14.03,11.72,9.53,10.19,11.38,10.66,9.66,10.72,12.06,11.5,9.47,9.0,10.16,10.28,8.56,7.34,37.28,38.19,38.62,39.91,40.78,40.22,38.06:0.91,-0.75,-0.28,-0.12,-2.44,-5.78,-6.62,-5.84,-6.19,-7.59,-7.47,-5.66,-4.75,-6.06,-6.81,-4.44,-2.41,-2.84,-4.03,-2.91,-1.56,-2.12,-3.16,-2.16,0.53,1.69,0.53,-0.25,0.72,0.56,-1.69,-3.12,-1.88,-0.56,-1.69,-3.25,-2.5,-0.97,-1.28,-2.66,-2.09,-0.12,0.47,-0.44,0.0,2.66,5.12,4.81,4.53,6.44,8.31,7.69,6.03,6.34,6.66,5.06,1.69,0.06,0.22,-0.25,-2.25,-2.62,-0.28,1.62,0.84,-0.78,-0.62,-0.75,-2.34,-4.53,-4.06,-1.5,0.72,1.69,4.16,7.84,9.41,7.59,5.16,4.41,3.31,-0.03,-3.41,-4.69,-4.66,-6.38,-8.78,-8.88,-7.34,-7.12,-9.0,-9.84,-8.78,-7.94,-9.38,-10.69,-9.22,-8.0,-9.38,-11.5,-10.94,-9.31,-9.31,-10.62,-9.41,-7.59,-6.97,-8.44,-8.97,-7.81,-7.06,-8.69,-10.38,-9.31,-7.66,-7.81,-8.41,-7.28,-5.06,-4.81,-6.03,-5.84,-4.06,-3.41,-5.09,-6.75,-6.41,-6.06,-7.84,-9.47,-8.12,-5.72,-5.31,-5.94,-4.97,-3.12,-2.66,-3.59,-3.44,-1.44,-0.31,-2.06,-3.31,-2.5,-1.38,-2.75,-4.28,-4.09,-3.0,-4.0,-5.81,-5.62,-3.84,-3.0,-4.16,-4.16,-2.0,0.38,0.94,2.56,6.62,10.72,11.91,11.38,11.72,11.81,9.53,5.72,3.5,3.25,3.03,0.97,-0.03,0.81,1.47,-0.44,-2.72,-2.12,-0.09,0.56,0.72,3.31,7.44,9.59,10.25,11.28,13.62,14.03,11.0,7.44,5.72,3.81,-0.09,-3.44,-3.78,-2.06,-1.72,-2.47,-1.34,0.91,1.31,-0.38,-0.59,0.91,2.78,2.38,2.44,4.84,7.56,7.44,6.41,6.56,7.38,5.97,2.47,0.16,-0.34,-1.47,-4.19,-5.34,-3.62,-2.19,-2.91,-3.59,-2.22,-0.12,-0.44,-1.59,-1.16,0.56,0.47,-0.53,-0.47,2.06,3.5,3.03,3.25,5.94,8.44,8.62,8.31,9.72,11.62,10.81,8.72,7.97,8.5,7.72,5.56,5.03,7.09,8.75,8.38,8.09,8.91,9.88,7.88,5.34,4.81,5.5,4.62,2.84,2.22,3.31,2.66,0.12,-1.22,-0.19,0.91,0.16,0.03,2.5,4.97,5.47,4.88,5.59,7.12,7.19,5.44,4.75,6.19,6.75,5.59,5.03,7.28,8.84,7.94,6.28,6.72,7.84,7.19,6.0,6.09,8.0,8.06,6.78,6.5,8.16,9.03,7.69,7.25,8.75,10.41,9.66,8.22,8.78,9.88,9.06,7.47,7.56,9.0,9.19,6.97,5.59,6.31,6.59,4.47,3.31,4.69,6.53,6.56,5.66,6.44,8.12,8.0,6.31,6.31,9.03,11.03,11.94,12.66,15.09,16.03,13.97,11.28,11.16,12.06,12.22,12.28,14.38,17.78,19.03,17.88,16.53,16.72,15.25,11.72,8.78,8.94,9.31,8.03,7.09,8.38,10.97,11.47,10.81,12.06,14.5,15.5,14.53,14.16,15.91,16.25,14.44,12.53,13.19,14.06,13.12,11.62,11.84,12.44,10.69,6.94,3.66,2.53,0.53,-2.88,-5.0,-4.38,-3.75,-5.0,-6.16,-4.06,-1.75,-0.94,-1.12,0.34,3.38,4.69,4.91,5.81,8.53,9.72,8.19,6.44,6.91,7.38,5.41,3.12,3.59,4.62,3.5,1.47,1.59,3.03,3.47,2.72,3.09,5.84,8.0,8.31,9.25,12.62,15.75,15.94,14.19,13.19,12.28,9.34,5.06,3.59,4.66,5.47,4.81,4.78,7.06,8.09,6.59,5.09,6.25,8.31,9.19,9.94,13.41,18.06,20.31,20.75,21.09,22.31,22.16,19.09,16.03,16.0,16.03,13.81,12.38,14.0,16.88,18.28,18.47,20.16,22.03,21.97,19.75,18.72,19.59,20.19,18.28,16.47,17.03,17.56,15.66,13.31,13.0,13.12,10.84,7.09,5.56,5.28,4.41,2.19,1.22,2.84,4.06,2.53,0.97,1.62,2.56,1.59,0.06,1.62,4.53,5.78,5.59,7.0,9.88,11.56,11.12,10.91,12.66,14.06,12.5,10.91,11.72,13.28,12.53,10.84,10.69,11.56,10.69,8.22,7.19,8.06,8.31,6.09,4.25,4.88,5.88,5.06,4.44,5.88,8.38,8.69,7.47,7.91,10.34,11.53,10.66,11.06,12.81,13.88,12.78,12.16,14.5,17.09,17.28,16.5,17.31,18.62,18.31,16.25,15.97,17.28,17.56,16.25,15.56,17.12,17.84,15.59,12.91,12.38,12.38,10.75,8.69,9.25,11.38,12.34,11.97,12.75,15.56,16.91,15.84,15.66,17.47,19.69,18.97,17.66,17.84,18.38,15.91,11.84,9.97,9.88,9.0,6.59,5.25,5.97,5.56,2.28,-0.09,0.41,1.88,1.59,1.78,4.69,8.62,10.81,11.06,13.31,16.44,18.25,17.69,18.03,20.5,22.28,21.81,21.75,23.5,25.22,23.5,20.34,18.75,17.88,15.19,11.62,10.44,11.81,12.66,11.72,12.31,15.22,17.69,17.53,17.28,18.91,20.81,19.97,18.41,18.69,20.12,19.94,17.72,16.44,16.91,16.09,12.72,10.0,9.84,9.72,7.75,5.94,6.78,9.16,9.31,8.88,9.62,11.59,12.16,10.69,10.22,12.31,14.03,13.62,14.16,17.56,20.97,21.91,22.0,23.91,26.12,26.12,24.31,23.56,24.31,23.66,20.94,19.03,19.38,19.47,16.91,14.75,15.44,16.84,16.34,15.59,16.84,19.88,21.03,20.53,21.16,23.16,23.28,20.28,17.75,17.16,16.66,13.88,11.22,11.19,12.19,11.0,9.0,9.09,10.62,10.53,8.53,7.44,8.5,8.59,6.34,4.5,5.25,6.44,5.28,3.75,4.62,6.41,5.97,4.84,5.31,7.59,8.12,6.97,6.78,9.16,11.16,10.81,10.16,11.69,13.53,12.47,11.47,12.56,14.91,15.0,13.56,13.53,15.06,15.22,13.44,12.5,14.16,15.41,14.0,12.03,11.94,12.06,9.72,6.47,6.25,8.16,9.16,9.16,10.72,13.91,15.62,14.78,13.66,15.06,16.16,15.34,14.19,15.34,17.53,16.53,14.47,13.59,14.56,14.09,13.28,13.66,16.97,19.66,20.12,20.22,22.59,24.91,24.56,23.12,24.16,26.03,25.0,22.56,21.62,21.78,20.56,17.69,16.75,18.34,19.88,18.84,17.53,18.16,18.84,16.81,13.84,13.12,13.75,12.25,9.06,7.41,7.97,8.09,5.91,5.12,7.12,9.19,9.06,8.47,10.84,13.66,14.47,13.53,14.22,15.72,15.66,13.97,13.53,15.88,16.78,15.59,14.62,16.72,18.72,19.06,18.75,20.22,22.06,21.28,18.84,17.69,18.38,17.06,14.03,11.62,11.81,11.16,8.28,5.94,6.12,7.03,6.25,4.66,5.41,7.22,6.78,4.78,4.78,6.81,7.66,6.56,6.22,7.94,8.97,7.69,6.31,8.0,10.16,10.56,10.0,11.06,12.47,12.03,9.5,8.34,9.47,9.44,8.0,6.94,8.5,10.0,9.16,8.19,9.59,11.88,12.47,11.94,13.56,16.78,18.62,18.78,19.56,22.28,23.94,22.41,21.12,21.94,22.59,21.06,18.97,19.03,20.53,20.66,19.56,20.0,21.91,22.75,21.5,21.38,23.78,25.97,25.5,24.34,25.25,26.0,24.31,21.28,20.66,21.25,20.66,18.94,18.62,20.09,20.25,17.75,15.38,15.22,14.59,12.0,9.03,8.78,9.62,8.88,7.25,7.59,9.84,10.62,9.53,9.97,11.94,13.03,11.41,9.72,10.31,11.03,9.75,8.47,9.59,11.91,11.88,10.44,10.19,10.81,10.5,8.5,7.91,9.84,12.0,12.34,12.44,15.19,18.09,18.94,18.78,20.69,23.28,23.88,22.41,22.25,22.94,22.12,18.5,15.88,15.38,15.03,12.56,10.41,10.56,11.22,9.91,8.12,8.94,10.81,11.88,11.25,12.19,14.88,16.28,15.19,14.38,14.81,15.12,12.94,10.44,10.47,11.84,11.5,10.59,11.31,13.38,13.78,11.94,11.16,12.47,13.62,12.5,11.75,13.38,15.44,15.12,14.06,15.94,18.53,19.19,17.47,16.69,16.56,15.38,11.91,10.12,11.25,13.03,12.97,13.44,15.53,18.12,17.94,16.12,16.19,17.5,17.31,15.72,15.56,17.03,17.66,15.88,14.75,15.84,17.09,16.44,15.81,17.19,19.0,18.31,15.69,14.72,14.81,14.16,12.16,11.62,13.5,14.88,13.75,13.25,14.19,15.12,14.0,12.28,12.91,15.03,15.97,15.91,17.12,19.12,19.12,16.31,14.0,13.38,12.97,11.09,9.88,11.56,14.5,15.34,15.78,18.59,21.94,23.28,22.72,23.31,25.06,25.91,24.5,23.28,23.94,23.97,21.31,18.81,18.44,19.41,18.66,17.78,18.75,21.09,21.59,20.44,20.16,21.78,22.81,21.97,21.31,22.5,23.72,22.06,20.03,19.88,20.59,19.44,16.91,15.84,16.12,15.25,12.69,11.5,13.16,14.69,13.91,13.66,15.16,16.81,16.09,14.66,15.59,17.44,17.72,16.69,16.62,18.03,18.25,16.38,14.91,15.78,16.41,14.88,12.56,12.0,12.03,10.09,8.22,8.53,11.34,12.84,12.62,13.69,15.56,16.16,14.78,13.47,14.25,15.28,13.91,11.78,11.59,12.47,11.88,11.0,11.94,14.66,15.56,14.19,13.12,13.97,14.03,11.72,9.53,10.19,11.38,10.66,9.66,10.72,12.06,11.5,9.47,9.0,10.16,10.28,8.56,7.34,37.28,38.19,38.62,39.91,40.78,40.22,38.06,36.88,37.12,36.88,35.72,35.59,36.84,37.56:-5.84,-6.19,-7.59,-7.47,-5.66,-4.75,-6.06,-6.81,-4.44,-2.41,-2.84,-4.03,-2.91,-1.56,-2.12,-3.16,-2.16,0.53,1.69,0.53,-0.25,0.72,0.56,-1.69,-3.12,-1.88,-0.56,-1.69,-3.25,-2.5,-0.97,-1.28,-2.66,-2.09,-0.12,0.47,-0.44,0.0,2.66,5.12,4.81,4.53,6.44,8.31,7.69,6.03,6.34,6.66,5.06,1.69,0.06,0.22,-0.25,-2.25,-2.62,-0.28,1.62,0.84,-0.78,-0.62,-0.75,-2.34,-4.53,-4.06,-1.5,0.72,1.69,4.16,7.84,9.41,7.59,5.16,4.41,3.31,-0.03,-3.41,-4.69,-4.66,-6.38,-8.78,-8.88,-7.34,-7.12,-9.0,-9.84,-8.78,-7.94,-9.38,-10.69,-9.22,-8.0,-9.38,-11.5,-10.94,-9.31,-9.31,-10.62,-9.41,-7.59,-6.97,-8.44,-8.97,-7.81,-7.06,-8.69,-10.38,-9.31,-7.66,-7.81,-8.41,-7.28,-5.06,-4.81,-6.03,-5.84,-4.06,-3.41,-5.09,-6.75,-6.41,-6.06,-7.84,-9.47,-8.12,-5.72,-5.31,-5.94,-4.97,-3.12,-2.66,-3.59,-3.44,-1.44,-0.31,-2.06,-3.31,-2.5,-1.38,-2.75,-4.28,-4.09,-3.0,-4.0,-5.81,-5.62,-3.84,-3.0,-4.16,-4.16,-2.0,0.38,0.94,2.56,6.62,10.72,11.91,11.38,11.72,11.81,9.53,5.72,3.5,3.25,3.03,0.97,-0.03,0.81,1.47,-0.44,-2.72,-2.12,-0.09,0.56,0.72,3.31,7.44,9.59,10.25,11.28,13.62,14.03,11.0,7.44,5.72,3.81,-0.09,-3.44,-3.78,-2.06,-1.72,-2.47,-1.34,0.91,1.31,-0.38,-0.59,0.91,2.78,2.38,2.44,4.84,7.56,7.44,6.41,6.56,7.38,5.97,2.47,0.16,-0.34,-1.47,-4.19,-5.34,-3.62,-2.19,-2.91,-3.59,-2.22,-0.12,-0.44,-1.59,-1.16,0.56,0.47,-0.53,-0.47,2.06,3.5,3.03,3.25,5.94,8.44,8.62,8.31,9.72,11.62,10.81,8.72,7.97,8.5,7.72,5.56,5.03,7.09,8.75,8.38,8.09,8.91,9.88,7.88,5.34,4.81,5.5,4.62,2.84,2.22,3.31,2.66,0.12,-1.22,-0.19,0.91,0.16,0.03,2.5,4.97,5.47,4.88,5.59,7.12,7.19,5.44,4.75,6.19,6.75,5.59,5.03,7.28,8.84,7.94,6.28,6.72,7.84,7.19,6.0,6.09,8.0,8.06,6.78,6.5,8.16,9.03,7.69,7.25,8.75,10.41,9.66,8.22,8.78,9.88,9.06,7.47,7.56,9.0,9.19,6.97,5.59,6.31,6.59,4.47,3.31,4.69,6.53,6.56,5.66,6.44,8.12,8.0,6.31,6.31,9.03,11.03,11.94,12.66,15.09,16.03,13.97,11.28,11.16,12.06,12.22,12.28,14.38,17.78,19.03,17.88,16.53,16.72,15.25,11.72,8.78,8.94,9.31,8.03,7.09,8.38,10.97,11.47,10.81,12.06,14.5,15.5,14.53,14.16,15.91,16.25,14.44,12.53,13.19,14.06,13.12,11.62,11.84,12.44,10.69,6.94,3.66,2.53,0.53,-2.88,-5.0,-4.38,-3.75,-5.0,-6.16,-4.06,-1.75,-0.94,-1.12,0.34,3.38,4.69,4.91,5.81,8.53,9.72,8.19,6.44,6.91,7.38,5.41,3.12,3.59,4.62,3.5,1.47,1.59,3.03,3.47,2.72,3.09,5.84,8.0,8.31,9.25,12.62,15.75,15.94,14.19,13.19,12.28,9.34,5.06,3.59,4.66,5.47,4.81,4.78,7.06,8.09,6.59,5.09,6.25,8.31,9.19,9.94,13.41,18.06,20.31,20.75,21.09,22.31,22.16,19.09,16.03,16.0,16.03,13.81,12.38,14.0,16.88,18.28,18.47,20.16,22.03,21.97,19.75,18.72,19.59,20.19,18.28,16.47,17.03,17.56,15.66,13.31,13.0,13.12,10.84,7.09,5.56,5.28,4.41,2.19,1.22,2.84,4.06,2.53,0.97,1.62,2.56,1.59,0.06,1.62,4.53,5.78,5.59,7.0,9.88,11.56,11.12,10.91,12.66,14.06,12.5,10.91,11.72,13.28,12.53,10.84,10.69,11.56,10.69,8.22,7.19,8.06,8.31,6.09,4.25,4.88,5.88,5.06,4.44,5.88,8.38,8.69,7.47,7.91,10.34,11.53,10.66,11.06,12.81,13.88,12.78,12.16,14.5,17.09,17.28,16.5,17.31,18.62,18.31,16.25,15.97,17.28,17.56,16.25,15.56,17.12,17.84,15.59,12.91,12.38,12.38,10.75,8.69,9.25,11.38,12.34,11.97,12.75,15.56,16.91,15.84,15.66,17.47,19.69,18.97,17.66,17.84,18.38,15.91,11.84,9.97,9.88,9.0,6.59,5.25,5.97,5.56,2.28,-0.09,0.41,1.88,1.59,1.78,4.69,8.62,10.81,11.06,13.31,16.44,18.25,17.69,18.03,20.5,22.28,21.81,21.75,23.5,25.22,23.5,20.34,18.75,17.88,15.19,11.62,10.44,11.81,12.66,11.72,12.31,15.22,17.69,17.53,17.28,18.91,20.81,19.97,18.41,18.69,20.12,19.94,17.72,16.44,16.91,16.09,12.72,10.0,9.84,9.72,7.75,5.94,6.78,9.16,9.31,8.88,9.62,11.59,12.16,10.69,10.22,12.31,14.03,13.62,14.16,17.56,20.97,21.91,22.0,23.91,26.12,26.12,24.31,23.56,24.31,23.66,20.94,19.03,19.38,19.47,16.91,14.75,15.44,16.84,16.34,15.59,16.84,19.88,21.03,20.53,21.16,23.16,23.28,20.28,17.75,17.16,16.66,13.88,11.22,11.19,12.19,11.0,9.0,9.09,10.62,10.53,8.53,7.44,8.5,8.59,6.34,4.5,5.25,6.44,5.28,3.75,4.62,6.41,5.97,4.84,5.31,7.59,8.12,6.97,6.78,9.16,11.16,10.81,10.16,11.69,13.53,12.47,11.47,12.56,14.91,15.0,13.56,13.53,15.06,15.22,13.44,12.5,14.16,15.41,14.0,12.03,11.94,12.06,9.72,6.47,6.25,8.16,9.16,9.16,10.72,13.91,15.62,14.78,13.66,15.06,16.16,15.34,14.19,15.34,17.53,16.53,14.47,13.59,14.56,14.09,13.28,13.66,16.97,19.66,20.12,20.22,22.59,24.91,24.56,23.12,24.16,26.03,25.0,22.56,21.62,21.78,20.56,17.69,16.75,18.34,19.88,18.84,17.53,18.16,18.84,16.81,13.84,13.12,13.75,12.25,9.06,7.41,7.97,8.09,5.91,5.12,7.12,9.19,9.06,8.47,10.84,13.66,14.47,13.53,14.22,15.72,15.66,13.97,13.53,15.88,16.78,15.59,14.62,16.72,18.72,19.06,18.75,20.22,22.06,21.28,18.84,17.69,18.38,17.06,14.03,11.62,11.81,11.16,8.28,5.94,6.12,7.03,6.25,4.66,5.41,7.22,6.78,4.78,4.78,6.81,7.66,6.56,6.22,7.94,8.97,7.69,6.31,8.0,10.16,10.56,10.0,11.06,12.47,12.03,9.5,8.34,9.47,9.44,8.0,6.94,8.5,10.0,9.16,8.19,9.59,11.88,12.47,11.94,13.56,16.78,18.62,18.78,19.56,22.28,23.94,22.41,21.12,21.94,22.59,21.06,18.97,19.03,20.53,20.66,19.56,20.0,21.91,22.75,21.5,21.38,23.78,25.97,25.5,24.34,25.25,26.0,24.31,21.28,20.66,21.25,20.66,18.94,18.62,20.09,20.25,17.75,15.38,15.22,14.59,12.0,9.03,8.78,9.62,8.88,7.25,7.59,9.84,10.62,9.53,9.97,11.94,13.03,11.41,9.72,10.31,11.03,9.75,8.47,9.59,11.91,11.88,10.44,10.19,10.81,10.5,8.5,7.91,9.84,12.0,12.34,12.44,15.19,18.09,18.94,18.78,20.69,23.28,23.88,22.41,22.25,22.94,22.12,18.5,15.88,15.38,15.03,12.56,10.41,10.56,11.22,9.91,8.12,8.94,10.81,11.88,11.25,12.19,14.88,16.28,15.19,14.38,14.81,15.12,12.94,10.44,10.47,11.84,11.5,10.59,11.31,13.38,13.78,11.94,11.16,12.47,13.62,12.5,11.75,13.38,15.44,15.12,14.06,15.94,18.53,19.19,17.47,16.69,16.56,15.38,11.91,10.12,11.25,13.03,12.97,13.44,15.53,18.12,17.94,16.12,16.19,17.5,17.31,15.72,15.56,17.03,17.66,15.88,14.75,15.84,17.09,16.44,15.81,17.19,19.0,18.31,15.69,14.72,14.81,14.16,12.16,11.62,13.5,14.88,13.75,13.25,14.19,15.12,14.0,12.28,12.91,15.03,15.97,15.91,17.12,19.12,19.12,16.31,14.0,13.38,12.97,11.09,9.88,11.56,14.5,15.34,15.78,18.59,21.94,23.28,22.72,23.31,25.06,25.91,24.5,23.28,23.94,23.97,21.31,18.81,18.44,19.41,18.66,17.78,18.75,21.09,21.59,20.44,20.16,21.78,22.81,21.97,21.31,22.5,23.72,22.06,20.03,19.88,20.59,19.44,16.91,15.84,16.12,15.25,12.69,11.5,13.16,14.69,13.91,13.66,15.16,16.81,16.09,14.66,15.59,17.44,17.72,16.69,16.62,18.03,18.25,16.38,14.91,15.78,16.41,14.88,12.56,12.0,12.03,10.09,8.22,8.53,11.34,12.84,12.62,13.69,15.56,16.16,14.78,13.47,14.25,15.28,13.91,11.78,11.59,12.47,11.88,11.0,11.94,14.66,15.56,14.19,13.12,13.97,14.03,11.72,9.53,10.19,11.38,10.66,9.66,10.72,12.06,11.5,9.47,9.0,10.16,10.28,8.56,7.34,37.28,38.19,38.62,39.91,40.78,40.22,38.06,36.88,37.12,36.88,35.72,35.59,36.84,37.56,36.78,35.78,36.22,36.47,35.25,32.88,32.41:-6.81,-4.44,-2.41,-2.84,-4.03,-2.91,-1.56,-2.12,-3.16,-2.16,0.53,1.69,0.53,-0.25,0.72,0.56,-1.69,-3.12,-1.88,-0.56,-1.69,-3.25,-2.5,-0.97,-1.28,-2.66,-2.09,-0.12,0.47,-0.44,0.0,2.66,5.12,4.81,4.53,6.44,8.31,7.69,6.03,6.34,6.66,5.06,1.69,0.06,0.22,-0.25,-2.25,-2.62,-0.28,1.62,0.84,-0.78,-0.62,-0.75,-2.34,-4.53,-4.06,-1.5,0.72,1.69,4.16,7.84,9.41,7.59,5.16,4.41,3.31,-0.03,-3.41,-4.69,-4.66,-6.38,-8.78,-8.88,-7.34,-7.12,-9.0,-9.84,-8.78,-7.94,-9.38,-10.69,-9.22,-8.0,-9.38,-11.5,-10.94,-9.31,-9.31,-10.62,-9.41,-7.59,-6.97,-8.44,-8.97,-7.81,-7.06,-8.69,-10.38,-9.31,-7.66,-7.81,-8.41,-7.28,-5.06,-4.81,-6.03,-5.84,-4.06,-3.41,-5.09,-6.75,-6.41,-6.06,-7.84,-9.47,-8.12,-5.72,-5.31,-5.94,-4.97,-3.12,-2.66,-3.59,-3.44,-1.44,-0.31,-2.06,-3.31,-2.5,-1.38,-2.75,-4.28,-4.09,-3.0,-4.0,-5.81,-5.62,-3.84,-3.0,-4.16,-4.16,-2.0,0.38,0.94,2.56,6.62,10.72,11.91,11.38,11.72,11.81,9.53,5.72,3.5,3.25,3.03,0.97,-0.03,0.81,1.47,-0.44,-2.72,-2.12,-0.09,0.56,0.72,3.31,7.44,9.59,10.25,11.28,13.62,14.03,11.0,7.44,5.72,3.81,-0.09,-3.44,-3.78,-2.06,-1.72,-2.47,-1.34,0.91,1.31,-0.38,-0.59,0.91,2.78,2.38,2.44,4.84,7.56,7.44,6.41,6.56,7.38,5.97,2.47,0.16,-0.34,-1.47,-4.19,-5.34,-3.62,-2.19,-2.91,-3.59,-2.22,-0.12,-0.44,-1.59,-1.16,0.56,0.47,-0.53,-0.47,2.06,3.5,3.03,3.25,5.94,8.44,8.62,8.31,9.72,11.62,10.81,8.72,7.97,8.5,7.72,5.56,5.03,7.09,8.75,8.38,8.09,8.91,9.88,7.88,5.34,4.81,5.5,4.62,2.84,2.22,3.31,2.66,0.12,-1.22,-0.19,0.91,0.16,0.03,2.5,4.97,5.47,4.88,5.59,7.12,7.19,5.44,4.75,6.19,6.75,5.59,5.03,7.28,8.84,7.94,6.28,6.72,7.84,7.19,6.0,6.09,8.0,8.06,6.78,6.5,8.16,9.03,7.69,7.25,8.75,10.41,9.66,8.22,8.78,9.88,9.06,7.47,7.56,9.0,9.19,6.97,5.59,6.31,6.59,4.47,3.31,4.69,6.53,6.56,5.66,6.44,8.12,8.0,6.31,6.31,9.03,11.03,11.94,12.66,15.09,16.03,13.97,11.28,11.16,12.06,12.22,12.28,14.38,17.78,19.03,17.88,16.53,16.72,15.25,11.72,8.78,8.94,9.31,8.03,7.09,8.38,10.97,11.47,10.81,12.06,14.5,15.5,14.53,14.16,15.91,16.25,14.44,12.53,13.19,14.06,13.12,11.62,11.84,12.44,10.69,6.94,3.66,2.53,0.53,-2.88,-5.0,-4.38,-3.75,-5.0,-6.16,-4.06,-1.75,-0.94,-1.12,0.34,3.38,4.69,4.91,5.81,8.53,9.72,8.19,6.44,6.91,7.38,5.41,3.12,3.59,4.62,3.5,1.47,1.59,3.03,3.47,2.72,3.09,5.84,8.0,8.31,9.25,12.62,15.75,15.94,14.19,13.19,12.28,9.34,5.06,3.59,4.66,5.47,4.81,4.78,7.06,8.09,6.59,5.09,6.25,8.31,9.19,9.94,13.41,18.06,20.31,20.75,21.09,22.31,22.16,19.09,16.03,16.0,16.03,13.81,12.38,14.0,16.88,18.28,18.47,20.16,22.03,21.97,19.75,18.72,19.59,20.19,18.28,16.47,17.03,17.56,15.66,13.31,13.0,13.12,10.84,7.09,5.56,5.28,4.41,2.19,1.22,2.84,4.06,2.53,0.97,1.62,2.56,1.59,0.06,1.62,4.53,5.78,5.59,7.0,9.88,11.56,11.12,10.91,12.66,14.06,12.5,10.91,11.72,13.28,12.53,10.84,10.69,11.56,10.69,8.22,7.19,8.06,8.31,6.09,4.25,4.88,5.88,5.06,4.44,5.88,8.38,8.69,7.47,7.91,10.34,11.53,10.66,11.06,12.81,13.88,12.78,12.16,14.5,17.09,17.28,16.5,17.31,18.62,18.31,16.25,15.97,17.28,17.56,16.25,15.56,17.12,17.84,15.59,12.91,12.38,12.38,10.75,8.69,9.25,11.38,12.34,11.97,12.75,15.56,16.91,15.84,15.66,17.47,19.69,18.97,17.66,17.84,18.38,15.91,11.84,9.97,9.88,9.0,6.59,5.25,5.97,5.56,2.28,-0.09,0.41,1.88,1.59,1.78,4.69,8.62,10.81,11.06,13.31,16.44,18.25,17.69,18.03,20.5,22.28,21.81,21.75,23.5,25.22,23.5,20.34,18.75,17.88,15.19,11.62,10.44,11.81,12.66,11.72,12.31,15.22,17.69,17.53,17.28,18.91,20.81,19.97,18.41,18.69,20.12,19.94,17.72,16.44,16.91,16.09,12.72,10.0,9.84,9.72,7.75,5.94,6.78,9.16,9.31,8.88,9.62,11.59,12.16,10.69,10.22,12.31,14.03,13.62,14.16,17.56,20.97,21.91,22.0,23.91,26.12,26.12,24.31,23.56,24.31,23.66,20.94,19.03,19.38,19.47,16.91,14.75,15.44,16.84,16.34,15.59,16.84,19.88,21.03,20.53,21.16,23.16,23.28,20.28,17.75,17.16,16.66,13.88,11.22,11.19,12.19,11.0,9.0,9.09,10.62,10.53,8.53,7.44,8.5,8.59,6.34,4.5,5.25,6.44,5.28,3.75,4.62,6.41,5.97,4.84,5.31,7.59,8.12,6.97,6.78,9.16,11.16,10.81,10.16,11.69,13.53,12.47,11.47,12.56,14.91,15.0,13.56,13.53,15.06,15.22,13.44,12.5,14.16,15.41,14.0,12.03,11.94,12.06,9.72,6.47,6.25,8.16,9.16,9.16,10.72,13.91,15.62,14.78,13.66,15.06,16.16,15.34,14.19,15.34,17.53,16.53,14.47,13.59,14.56,14.09,13.28,13.66,16.97,19.66,20.12,20.22,22.59,24.91,24.56,23.12,24.16,26.03,25.0,22.56,21.62,21.78,20.56,17.69,16.75,18.34,19.88,18.84,17.53,18.16,18.84,16.81,13.84,13.12,13.75,12.25,9.06,7.41,7.97,8.09,5.91,5.12,7.12,9.19,9.06,8.47,10.84,13.66,14.47,13.53,14.22,15.72,15.66,13.97,13.53,15.88,16.78,15.59,14.62,16.72,18.72,19.06,18.75,20.22,22.06,21.28,18.84,17.69,18.38,17.06,14.03,11.62,11.81,11.16,8.28,5.94,6.12,7.03,6.25,4.66,5.41,7.22,6.78,4.78,4.78,6.81,7.66,6.56,6.22,7.94,8.97,7.69,6.31,8.0,10.16,10.56,10.0,11.06,12.47,12.03,9.5,8.34,9.47,9.44,8.0,6.94,8.5,10.0,9.16,8.19,9.59,11.88,12.47,11.94,13.56,16.78,18.62,18.78,19.56,22.28,23.94,22.41,21.12,21.94,22.59,21.06,18.97,19.03,20.53,20.66,19.56,20.0,21.91,22.75,21.5,21.38,23.78,25.97,25.5,24.34,25.25,26.0,24.31,21.28,20.66,21.25,20.66,18.94,18.62,20.09,20.25,17.75,15.38,15.22,14.59,12.0,9.03,8.78,9.62,8.88,7.25,7.59,9.84,10.62,9.53,9.97,11.94,13.03,11.41,9.72,10.31,11.03,9.75,8.47,9.59,11.91,11.88,10.44,10.19,10.81,10.5,8.5,7.91,9.84,12.0,12.34,12.44,15.19,18.09,18.94,18.78,20.69,23.28,23.88,22.41,22.25,22.94,22.12,18.5,15.88,15.38,15.03,12.56,10.41,10.56,11.22,9.91,8.12,8.94,10.81,11.88,11.25,12.19,14.88,16.28,15.19,14.38,14.81,15.12,12.94,10.44,10.47,11.84,11.5,10.59,11.31,13.38,13.78,11.94,11.16,12.47,13.62,12.5,11.75,13.38,15.44,15.12,14.06,15.94,18.53,19.19,17.47,16.69,16.56,15.38,11.91,10.12,11.25,13.03,12.97,13.44,15.53,18.12,17.94,16.12,16.19,17.5,17.31,15.72,15.56,17.03,17.66,15.88,14.75,15.84,17.09,16.44,15.81,17.19,19.0,18.31,15.69,14.72,14.81,14.16,12.16,11.62,13.5,14.88,13.75,13.25,14.19,15.12,14.0,12.28,12.91,15.03,15.97,15.91,17.12,19.12,19.12,16.31,14.0,13.38,12.97,11.09,9.88,11.56,14.5,15.34,15.78,18.59,21.94,23.28,22.72,23.31,25.06,25.91,24.5,23.28,23.94,23.97,21.31,18.81,18.44,19.41,18.66,17.78,18.75,21.09,21.59,20.44,20.16,21.78,22.81,21.97,21.31,22.5,23.72,22.06,20.03,19.88,20.59,19.44,16.91,15.84,16.12,15.25,12.69,11.5,13.16,14.69,13.91,13.66,15.16,16.81,16.09,14.66,15.59,17.44,17.72,16.69,16.62,18.03,18.25,16.38,14.91,15.78,16.41,14.88,12.56,12.0,12.03,10.09,8.22,8.53,11.34,12.84,12.62,13.69,15.56,16.16,14.78,13.47,14.25,15.28,13.91,11.78,11.59,12.47,11.88,11.0,11.94,14.66,15.56,14.19,13.12,13.97,14.03,11.72,9.53,10.19,11.38,10.66,9.66,10.72,12.06,11.5,9.47,9.0,10.16,10.28,8.56,7.34,37.28,38.19,38.62,39.91,40.78,40.22,38.06,36.88,37.12,36.88,35.72,35.59,36.84,37.56,36.78,35.78,36.22,36.47,35.25,32.88,32.41,32.94,32.84,31.88,31.75,32.78,32.75,31.41:-2.12,-3.16,-2.16,0.53,1.69,0.53,-0.25,0.72,0.56,-1.69,-3.12,-1.88,-0.56,-1.69,-3.25,-2.5,-0.97,-1.28,-2.66,-2.09,-0.12,0.47,-0.44,0.0,2.66,5.12,4.81,4.53,6.44,8.31,7.69,6.03,6.34,6.66,5.06,1.69,0.06,0.22,-0.25,-2.25,-2.62,-0.28,1.62,0.84,-0.78,-0.62,-0.75,-2.34,-4.53,-4.06,-1.5,0.72,1.69,4.16,7.84,9.41,7.59,5.16,4.41,3.31,-0.03,-3.41,-4.69,-4.66,-6.38,-8.78,-8.88,-7.34,-7.12,-9.0,-9.84,-8.78,-7.94,-9.38,-10.69,-9.22,-8.0,-9.38,-11.5,-10.94,-9.31,-9.31,-10.62,-9.41,-7.59,-6.97,-8.44,-8.97,-7.81,-7.06,-8.69,-10.38,-9.31,-7.66,-7.81,-8.41,-7.28,-5.06,-4.81,-6.03,-5.84,-4.06,-3.41,-5.09,-6.75,-6.41,-6.06,-7.84,-9.47,-8.12,-5.72,-5.31,-5.94,-4.97,-3.12,-2.66,-3.59,-3.44,-1.44,-0.31,-2.06,-3.31,-2.5,-1.38,-2.75,-4.28,-4.09,-3.0,-4.0,-5.81,-5.62,-3.84,-3.0,-4.16,-4.16,-2.0,0.38,0.94,2.56,6.62,10.72,11.91,11.38,11.72,11.81,9.53,5.72,3.5,3.25,3.03,0.97,-0.03,0.81,1.47,-0.44,-2.72,-2.12,-0.09,0.56,0.72,3.31,7.44,9.59,10.25,11.28,13.62,14.03,11.0,7.44,5.72,3.81,-0.09,-3.44,-3.78,-2.06,-1.72,-2.47,-1.34,0.91,1.31,-0.38,-0.59,0.91,2.78,2.38,2.44,4.84,7.56,7.44,6.41,6.56,7.38,5.97,2.47,0.16,-0.34,-1.47,-4.19,-5.34,-3.62,-2.19,-2.91,-3.59,-2.22,-0.12,-0.44,-1.59,-1.16,0.56,0.47,-0.53,-0.47,2.06,3.5,3.03,3.25,5.94,8.44,8.62,8.31,9.72,11.62,10.81,8.72,7.97,8.5,7.72,5.56,5.03,7.09,8.75,8.38,8.09,8.91,9.88,7.88,5.34,4.81,5.5,4.62,2.84,2.22,3.31,2.66,0.12,-1.22,-0.19,0.91,0.16,0.03,2.5,4.97,5.47,4.88,5.59,7.12,7.19,5.44,4.75,6.19,6.75,5.59,5.03,7.28,8.84,7.94,6.28,6.72,7.84,7.19,6.0,6.09,8.0,8.06,6.78,6.5,8.16,9.03,7.69,7.25,8.75,10.41,9.66,8.22,8.78,9.88,9.06,7.47,7.56,9.0,9.19,6.97,5.59,6.31,6.59,4.47,3.31,4.69,6.53,6.56,5.66,6.44,8.12,8.0,6.31,6.31,9.03,11.03,11.94,12.66,15.09,16.03,13.97,11.28,11.16,12.06,12.22,12.28,14.38,17.78,19.03,17.88,16.53,16.72,15.25,11.72,8.78,8.94,9.31,8.03,7.09,8.38,10.97,11.47,10.81,12.06,14.5,15.5,14.53,14.16,15.91,16.25,14.44,12.53,13.19,14.06,13.12,11.62,11.84,12.44,10.69,6.94,3.66,2.53,0.53,-2.88,-5.0,-4.38,-3.75,-5.0,-6.16,-4.06,-1.75,-0.94,-1.12,0.34,3.38,4.69,4.91,5.81,8.53,9.72,8.19,6.44,6.91,7.38,5.41,3.12,3.59,4.62,3.5,1.47,1.59,3.03,3.47,2.72,3.09,5.84,8.0,8.31,9.25,12.62,15.75,15.94,14.19,13.19,12.28,9.34,5.06,3.59,4.66,5.47,4.81,4.78,7.06,8.09,6.59,5.09,6.25,8.31,9.19,9.94,13.41,18.06,20.31,20.75,21.09,22.31,22.16,19.09,16.03,16.0,16.03,13.81,12.38,14.0,16.88,18.28,18.47,20.16,22.03,21.97,19.75,18.72,19.59,20.19,18.28,16.47,17.03,17.56,15.66,13.31,13.0,13.12,10.84,7.09,5.56,5.28,4.41,2.19,1.22,2.84,4.06,2.53,0.97,1.62,2.56,1.59,0.06,1.62,4.53,5.78,5.59,7.0,9.88,11.56,11.12,10.91,12.66,14.06,12.5,10.91,11.72,13.28,12.53,10.84,10.69,11.56,10.69,8.22,7.19,8.06,8.31,6.09,4.25,4.88,5.88,5.06,4.44,5.88,8.38,8.69,7.47,7.91,10.34,11.53,10.66,11.06,12.81,13.88,12.78,12.16,14.5,17.09,17.28,16.5,17.31,18.62,18.31,16.25,15.97,17.28,17.56,16.25,15.56,17.12,17.84,15.59,12.91,12.38,12.38,10.75,8.69,9.25,11.38,12.34,11.97,12.75,15.56,16.91,15.84,15.66,17.47,19.69,18.97,17.66,17.84,18.38,15.91,11.84,9.97,9.88,9.0,6.59,5.25,5.97,5.56,2.28,-0.09,0.41,1.88,1.59,1.78,4.69,8.62,10.81,11.06,13.31,16.44,18.25,17.69,18.03,20.5,22.28,21.81,21.75,23.5,25.22,23.5,20.34,18.75,17.88,15.19,11.62,10.44,11.81,12.66,11.72,12.31,15.22,17.69,17.53,17.28,18.91,20.81,19.97,18.41,18.69,20.12,19.94,17.72,16.44,16.91,16.09,12.72,10.0,9.84,9.72,7.75,5.94,6.78,9.16,9.31,8.88,9.62,11.59,12.16,10.69,10.22,12.31,14.03,13.62,14.16,17.56,20.97,21.91,22.0,23.91,26.12,26.12,24.31,23.56,24.31,23.66,20.94,19.03,19.38,19.47,16.91,14.75,15.44,16.84,16.34,15.59,16.84,19.88,21.03,20.53,21.16,23.16,23.28,20.28,17.75,17.16,16.66,13.88,11.22,11.19,12.19,11.0,9.0,9.09,10.62,10.53,8.53,7.44,8.5,8.59,6.34,4.5,5.25,6.44,5.28,3.75,4.62,6.41,5.97,4.84,5.31,7.59,8.12,6.97,6.78,9.16,11.16,10.81,10.16,11.69,13.53,12.47,11.47,12.56,14.91,15.0,13.56,13.53,15.06,15.22,13.44,12.5,14.16,15.41,14.0,12.03,11.94,12.06,9.72,6.47,6.25,8.16,9.16,9.16,10.72,13.91,15.62,14.78,13.66,15.06,16.16,15.34,14.19,15.34,17.53,16.53,14.47,13.59,14.56,14.09,13.28,13.66,16.97,19.66,20.12,20.22,22.59,24.91,24.56,23.12,24.16,26.03,25.0,22.56,21.62,21.78,20.56,17.69,16.75,18.34,19.88,18.84,17.53,18.16,18.84,16.81,13.84,13.12,13.75,12.25,9.06,7.41,7.97,8.09,5.91,5.12,7.12,9.19,9.06,8.47,10.84,13.66,14.47,13.53,14.22,15.72,15.66,13.97,13.53,15.88,16.78,15.59,14.62,16.72,18.72,19.06,18.75,20.22,22.06,21.28,18.84,17.69,18.38,17.06,14.03,11.62,11.81,11.16,8.28,5.94,6.12,7.03,6.25,4.66,5.41,7.22,6.78,4.78,4.78,6.81,7.66,6.56,6.22,7.94,8.97,7.69,6.31,8.0,10.16,10.56,10.0,11.06,12.47,12.03,9.5,8.34,9.47,9.44,8.0,6.94,8.5,10.0,9.16,8.19,9.59,11.88,12.47,11.94,13.56,16.78,18.62,18.78,19.56,22.28,23.94,22.41,21.12,21.94,22.59,21.06,18.97,19.03,20.53,20.66,19.56,20.0,21.91,22.75,21.5,21.38,23.78,25.97,25.5,24.34,25.25,26.0,24.31,21.28,20.66,21.25,20.66,18.94,18.62,20.09,20.25,17.75,15.38,15.22,14.59,12.0,9.03,8.78,9.62,8.88,7.25,7.59,9.84,10.62,9.53,9.97,11.94,13.03,11.41,9.72,10.31,11.03,9.75,8.47,9.59,11.91,11.88,10.44,10.19,10.81,10.5,8.5,7.91,9.84,12.0,12.34,12.44,15.19,18.09,18.94,18.78,20.69,23.28,23.88,22.41,22.25,22.94,22.12,18.5,15.88,15.38,15.03,12.56,10.41,10.56,11.22,9.91,8.12,8.94,10.81,11.88,11.25,12.19,14.88,16.28,15.19,14.38,14.81,15.12,12.94,10.44,10.47,11.84,11.5,10.59,11.31,13.38,13.78,11.94,11.16,12.47,13.62,12.5,11.75,13.38,15.44,15.12,14.06,15.94,18.53,19.19,17.47,16.69,16.56,15.38,11.91,10.12,11.25,13.03,12.97,13.44,15.53,18.12,17.94,16.12,16.19,17.5,17.31,15.72,15.56,17.03,17.66,15.88,14.75,15.84,17.09,16.44,15.81,17.19,19.0,18.31,15.69,14.72,14.81,14.16,12.16,11.62,13.5,14.88,13.75,13.25,14.19,15.12,14.0,12.28,12.91,15.03,15.97,15.91,17.12,19.12,19.12,16.31,14.0,13.38,12.97,11.09,9.88,11.56,14.5,15.34,15.78,18.59,21.94,23.28,22.72,23.31,25.06,25.91,24.5,23.28,23.94,23.97,21.31,18.81,18.44,19.41,18.66,17.78,18.75,21.09,21.59,20.44,20.16,21.78,22.81,21.97,21.31,22.5,23.72,22.06,20.03,19.88,20.59,19.44,16.91,15.84,16.12,15.25,12.69,11.5,13.16,14.69,13.91,13.66,15.16,16.81,16.09,14.66,15.59,17.44,17.72,16.69,16.62,18.03,18.25,16.38,14.91,15.78,16.41,14.88,12.56,12.0,12.03,10.09,8.22,8.53,11.34,12.84,12.62,13.69,15.56,16.16,14.78,13.47,14.25,15.28,13.91,11.78,11.59,12.47,11.88,11.0,11.94,14.66,15.56,14.19,13.12,13.97,14.03,11.72,9.53,10.19,11.38,10.66,9.66,10.72,12.06,11.5,9.47,9.0,10.16,10.28,8.56,7.34,37.28,38.19,38.62,39.91,40.78,40.22,38.06,36.88,37.12,36.88,35.72,35.59,36.84,37.56,36.78,35.78,36.22,36.47,35.25,32.88,32.41,32.94,32.84,31.88,31.75,32.78,32.75,31.41,30.41,31.81,32.97,32.12,30.94,30.94,31.28:0.72,0.56,-1.69,-3.12,-1.88,-0.56,-1.69,-3.25,-2.5,-0.97,-1.28,-2.66,-2.09,-0.12,0.47,-0.44,0.0,2.66,5.12,4.81,4.53,6.44,8.31,7.69,6.03,6.34,6.66,5.06,1.69,0.06,0.22,-0.25,-2.25,-2.62,-0.28,1.62,0.84,-0.78,-0.62,-0.75,-2.34,-4.53,-4.06,-1.5,0.72,1.69,4.16,7.84,9.41,7.59,5.16,4.41,3.31,-0.03,-3.41,-4.69,-4.66,-6.38,-8.78,-8.88,-7.34,-7.12,-9.0,-9.84,-8.78,-7.94,-9.38,-10.69,-9.22,-8.0,-9.38,-11.5,-10.94,-9.31,-9.31,-10.62,-9.41,-7.59,-6.97,-8.44,-8.97,-7.81,-7.06,-8.69,-10.38,-9.31,-7.66,-7.81,-8.41,-7.28,-5.06,-4.81,-6.03,-5.84,-4.06,-3.41,-5.09,-6.75,-6.41,-6.06,-7.84,-9.47,-8.12,-5.72,-5.31,-5.94,-4.97,-3.12,-2.66,-3.59,-3.44,-1.44,-0.31,-2.06,-3.31,-2.5,-1.38,-2.75,-4.28,-4.09,-3.0,-4.0,-5.81,-5.62,-3.84,-3.0,-4.16,-4.16,-2.0,0.38,0.94,2.56,6.62,10.72,11.91,11.38,11.72,11.81,9.53,5.72,3.5,3.25,3.03,0.97,-0.03,0.81,1.47,-0.44,-2.72,-2.12,-0.09,0.56,0.72,3.31,7.44,9.59,10.25,11.28,13.62,14.03,11.0,7.44,5.72,3.81,-0.09,-3.44,-3.78,-2.06,-1.72,-2.47,-1.34,0.91,1.31,-0.38,-0.59,0.91,2.78,2.38,2.44,4.84,7.56,7.44,6.41,6.56,7.38,5.97,2.47,0.16,-0.34,-1.47,-4.19,-5.34,-3.62,-2.19,-2.91,-3.59,-2.22,-0.12,-0.44,-1.59,-1.16,0.56,0.47,-0.53,-0.47,2.06,3.5,3.03,3.25,5.94,8.44,8.62,8.31,9.72,11.62,10.81,8.72,7.97,8.5,7.72,5.56,5.03,7.09,8.75,8.38,8.09,8.91,9.88,7.88,5.34,4.81,5.5,4.62,2.84,2.22,3.31,2.66,0.12,-1.22,-0.19,0.91,0.16,0.03,2.5,4.97,5.47,4.88,5.59,7.12,7.19,5.44,4.75,6.19,6.75,5.59,5.03,7.28,8.84,7.94,6.28,6.72,7.84,7.19,6.0,6.09,8.0,8.06,6.78,6.5,8.16,9.03,7.69,7.25,8.75,10.41,9.66,8.22,8.78,9.88,9.06,7.47,7.56,9.0,9.19,6.97,5.59,6.31,6.59,4.47,3.31,4.69,6.53,6.56,5.66,6.44,8.12,8.0,6.31,6.31,9.03,11.03,11.94,12.66,15.09,16.03,13.97,11.28,11.16,12.06,12.22,12.28,14.38,17.78,19.03,17.88,16.53,16.72,15.25,11.72,8.78,8.94,9.31,8.03,7.09,8.38,10.97,11.47,10.81,12.06,14.5,15.5,14.53,14.16,15.91,16.25,14.44,12.53,13.19,14.06,13.12,11.62,11.84,12.44,10.69,6.94,3.66,2.53,0.53,-2.88,-5.0,-4.38,-3.75,-5.0,-6.16,-4.06,-1.75,-0.94,-1.12,0.34,3.38,4.69,4.91,5.81,8.53,9.72,8.19,6.44,6.91,7.38,5.41,3.12,3.59,4.62,3.5,1.47,1.59,3.03,3.47,2.72,3.09,5.84,8.0,8.31,9.25,12.62,15.75,15.94,14.19,13.19,12.28,9.34,5.06,3.59,4.66,5.47,4.81,4.78,7.06,8.09,6.59,5.09,6.25,8.31,9.19,9.94,13.41,18.06,20.31,20.75,21.09,22.31,22.16,19.09,16.03,16.0,16.03,13.81,12.38,14.0,16.88,18.28,18.47,20.16,22.03,21.97,19.75,18.72,19.59,20.19,18.28,16.47,17.03,17.56,15.66,13.31,13.0,13.12,10.84,7.09,5.56,5.28,4.41,2.19,1.22,2.84,4.06,2.53,0.97,1.62,2.56,1.59,0.06,1.62,4.53,5.78,5.59,7.0,9.88,11.56,11.12,10.91,12.66,14.06,12.5,10.91,11.72,13.28,12.53,10.84,10.69,11.56,10.69,8.22,7.19,8.06,8.31,6.09,4.25,4.88,5.88,5.06,4.44,5.88,8.38,8.69,7.47,7.91,10.34,11.53,10.66,11.06,12.81,13.88,12.78,12.16,14.5,17.09,17.28,16.5,17.31,18.62,18.31,16.25,15.97,17.28,17.56,16.25,15.56,17.12,17.84,15.59,12.91,12.38,12.38,10.75,8.69,9.25,11.38,12.34,11.97,12.75,15.56,16.91,15.84,15.66,17.47,19.69,18.97,17.66,17.84,18.38,15.91,11.84,9.97,9.88,9.0,6.59,5.25,5.97,5.56,2.28,-0.09,0.41,1.88,1.59,1.78,4.69,8.62,10.81,11.06,13.31,16.44,18.25,17.69,18.03,20.5,22.28,21.81,21.75,23.5,25.22,23.5,20.34,18.75,17.88,15.19,11.62,10.44,11.81,12.66,11.72,12.31,15.22,17.69,17.53,17.28,18.91,20.81,19.97,18.41,18.69,20.12,19.94,17.72,16.44,16.91,16.09,12.72,10.0,9.84,9.72,7.75,5.94,6.78,9.16,9.31,8.88,9.62,11.59,12.16,10.69,10.22,12.31,14.03,13.62,14.16,17.56,20.97,21.91,22.0,23.91,26.12,26.12,24.31,23.56,24.31,23.66,20.94,19.03,19.38,19.47,16.91,14.75,15.44,16.84,16.34,15.59,16.84,19.88,21.03,20.53,21.16,23.16,23.28,20.28,17.75,17.16,16.66,13.88,11.22,11.19,12.19,11.0,9.0,9.09,10.62,10.53,8.53,7.44,8.5,8.59,6.34,4.5,5.25,6.44,5.28,3.75,4.62,6.41,5.97,4.84,5.31,7.59,8.12,6.97,6.78,9.16,11.16,10.81,10.16,11.69,13.53,12.47,11.47,12.56,14.91,15.0,13.56,13.53,15.06,15.22,13.44,12.5,14.16,15.41,14.0,12.03,11.94,12.06,9.72,6.47,6.25,8.16,9.16,9.16,10.72,13.91,15.62,14.78,13.66,15.06,16.16,15.34,14.19,15.34,17.53,16.53,14.47,13.59,14.56,14.09,13.28,13.66,16.97,19.66,20.12,20.22,22.59,24.91,24.56,23.12,24.16,26.03,25.0,22.56,21.62,21.78,20.56,17.69,16.75,18.34,19.88,18.84,17.53,18.16,18.84,16.81,13.84,13.12,13.75,12.25,9.06,7.41,7.97,8.09,5.91,5.12,7.12,9.19,9.06,8.47,10.84,13.66,14.47,13.53,14.22,15.72,15.66,13.97,13.53,15.88,16.78,15.59,14.62,16.72,18.72,19.06,18.75,20.22,22.06,21.28,18.84,17.69,18.38,17.06,14.03,11.62,11.81,11.16,8.28,5.94,6.12,7.03,6.25,4.66,5.41,7.22,6.78,4.78,4.78,6.81,7.66,6.56,6.22,7.94,8.97,7.69,6.31,8.0,10.16,10.56,10.0,11.06,12.47,12.03,9.5,8.34,9.47,9.44,8.0,6.94,8.5,10.0,9.16,8.19,9.59,11.88,12.47,11.94,13.56,16.78,18.62,18.78,19.56,22.28,23.94,22.41,21.12,21.94,22.59,21.06,18.97,19.03,20.53,20.66,19.56,20.0,21.91,22.75,21.5,21.38,23.78,25.97,25.5,24.34,25.25,26.0,24.31,21.28,20.66,21.25,20.66,18.94,18.62,20.09,20.25,17.75,15.38,15.22,14.59,12.0,9.03,8.78,9.62,8.88,7.25,7.59,9.84,10.62,9.53,9.97,11.94,13.03,11.41,9.72,10.31,11.03,9.75,8.47,9.59,11.91,11.88,10.44,10.19,10.81,10.5,8.5,7.91,9.84,12.0,12.34,12.44,15.19,18.09,18.94,18.78,20.69,23.28,23.88,22.41,22.25,22.94,22.12,18.5,15.88,15.38,15.03,12.56,10.41,10.56,11.22,9.91,8.12,8.94,10.81,11.88,11.25,12.19,14.88,16.28,15.19,14.38,14.81,15.12,12.94,10.44,10.47,11.84,11.5,10.59,11.31,13.38,13.78,11.94,11.16,12.47,13.62,12.5,11.75,13.38,15.44,15.12,14.06,15.94,18.53,19.19,17.47,16.69,16.56,15.38,11.91,10.12,11.25,13.03,12.97,13.44,15.53,18.12,17.94,16.12,16.19,17.5,17.31,15.72,15.56,17.03,17.66,15.88,14.75,15.84,17.09,16.44,15.81,17.19,19.0,18.31,15.69,14.72,14.81,14.16,12.16,11.62,13.5,14.88,13.75,13.25,14.19,15.12,14.0,12.28,12.91,15.03,15.97,15.91,17.12,19.12,19.12,16.31,14.0,13.38,12.97,11.09,9.88,11.56,14.5,15.34,15.78,18.59,21.94,23.28,22.72,23.31,25.06,25.91,24.5,23.28,23.94,23.97,21.31,18.81,18.44,19.41,18.66,17.78,18.75,21.09,21.59,20.44,20.16,21.78,22.81,21.97,21.31,22.5,23.72,22.06,20.03,19.88,20.59,19.44,16.91,15.84,16.12,15.25,12.69,11.5,13.16,14.69,13.91,13.66,15.16,16.81,16.09,14.66,15.59,17.44,17.72,16.69,16.62,18.03,18.25,16.38,14.91,15.78,16.41,14.88,12.56,12.0,12.03,10.09,8.22,8.53,11.34,12.84,12.62,13.69,15.56,16.16,14.78,13.47,14.25,15.28,13.91,11.78,11.59,12.47,11.88,11.0,11.94,14.66,15.56,14.19,13.12,13.97,14.03,11.72,9.53,10.19,11.38,10.66,9.66,10.72,12.06,11.5,9.47,9.0,10.16,10.28,8.56,7.34,37.28,38.19,38.62,39.91,40.78,40.22,38.06,36.88,37.12,36.88,35.72,35.59,36.84,37.56,36.78,35.78,36.22,36.47,35.25,32.88,32.41,32.94,32.84,31.88,31.75,32.78,32.75,31.41,30.41,31.81,32.97,32.12,30.94,30.94,31.28,30.81,30.44,32.06,34.91,36.31,36.06,35.88:positivity
-9.5,-7.97,-6.78,-5.62,-5.59,-5.84,-5.78,-5.25,-5.53,-6.16,-6.75,-6.38,-6.12,-6.06,-6.03,-4.31,-2.78,-1.75,-0.72,0.91,2.59,2.97,2.06,1.34,0.59,-0.56,-1.59,-1.75,-1.12,-0.19,0.06,0.06,0.66,0.78,-0.09,-0.66,-0.66,-0.22,0.94,2.06,3.41,4.81,5.47,5.16,3.75,3.22,2.22,0.66,-1.31,-2.25,-2.84,-3.69,-4.78,-5.0,-3.91,-2.84,-1.25,1.38,5.44,9.38,12.5,14.62,16.47,17.56,16.56,14.34,12.38,9.53,5.84,1.34,-2.91,-5.78,-8.66,-10.94,-12.53,-12.66,-12.16,-11.56,-11.03,-8.75,-6.47,-4.34,-2.53,-0.31,1.97,2.91,2.75,2.25,1.53,0.28,-1.38,-2.47,-2.06,-0.62,1.06,2.72,5.53,8.03,9.78,10.59,11.56,12.94,14.0,14.22,14.91,16.06,16.47,15.09,12.59,10.28,7.66,4.84,2.06,1.62,1.5,1.09,-0.22,-1.44,-2.38,-4.03,-6.28,-7.72,-8.12,-7.91,-7.34,-6.34,-4.22,-1.47,0.34,1.69,4.12,6.41,7.91,7.75,7.62,7.19,6.47,5.09,3.84,3.66,3.75,3.19,2.47,2.72,3.22,2.72,1.84,1.16,0.06,-1.53,-4.12,-6.03,-7.06,-7.38,-8.25,-8.72,-8.0,-7.41,-7.56,-7.62,-6.81,-5.91,-5.22,-5.31,-5.0,-4.81,-4.81,-6.91,-8.34,-8.97,-9.53,-10.38,-11.41,-11.31,-10.88,-10.69,-10.5,-8.91,-6.34,-3.81,-2.09,0.47,3.31,6.12,7.62,9.12,10.59,11.03,9.19,6.84,4.78,3.12,1.38,-0.28,-0.47,-0.25,-0.34,-0.81,-0.97,0.22,2.0,3.19,4.88,7.41,10.28,11.91,13.31,15.66,18.34,20.0,20.28,20.53,20.38,19.47,17.31,15.53,14.44,13.78,12.53,11.75,11.66,12.59,12.16,11.5,10.97,10.34,9.53,7.88,6.41,6.41,6.25,5.44,5.09,6.03,7.03,7.16,6.91,7.0,6.78,5.88,5.09,5.19,6.03,6.25,5.22,3.84,2.88,1.75,-0.03,-1.12,-1.16,-0.19,-0.28,-0.59,-0.75,-0.75,-1.94,-3.34,-4.0,-3.56,-3.62,-4.22,-4.59,-4.59,-4.72,-6.34,-7.88,-8.31,-8.0,-8.19,-7.69,-6.09,-4.16,-3.03,-2.12,-1.0,1.06,2.91,3.81,4.41,5.28,5.94,5.41,5.12,5.62,6.81,6.78,6.5,5.75,5.94,5.38,4.66,4.88,6.34,8.19,9.25,9.94,10.78,11.31,9.78,7.75,6.44,5.66,4.5,3.31,2.97,3.69,3.97,3.62,3.06,2.81,2.28,0.31,-1.94,-3.72,-5.09,-7.12,-8.97,-9.75,-9.28,-9.25,-9.22,-8.94,-7.72,-6.47,-5.47,-4.09,-1.44,1.06,2.09,2.03,1.81,1.47,0.03,-1.34,-1.12,0.78,2.12,2.78,3.47,4.69,5.25,4.5,3.81,3.78,3.41,2.0,0.19,-0.97,-1.38,-2.69,-4.19,-5.22,-5.06,-5.0,-4.97,-4.5,-2.31,-0.66,-0.09,0.09,0.78,1.75,1.66,1.5,2.44,3.12,3.19,2.56,2.03,2.0,1.62,0.62,-0.34,-0.59,-1.22,-2.81,-4.62,-5.34,-5.25,-5.44,-5.31,-3.47,-0.75,1.41,2.66,3.81,4.75,5.0,4.0,2.97,3.12,3.16,2.75,1.81,2.0,2.22,1.53,0.47,-0.5,-1.34,-2.62,-4.34,-6.0,-6.47,-6.5,-7.5,-8.19,-7.41,-6.28,-5.06,-3.81,-1.47,0.91,2.22,2.47,2.28,2.81,2.66,1.72,1.06,1.19,0.56,-0.84,-3.03,-4.25,-5.81,-7.66,-9.66,-10.0,-9.41,-8.53,-7.31,-5.62,-3.31,-1.84,-1.78,-2.44,-2.75,-3.09,-3.94,-5.0,-5.19,-5.62,-7.38,-9.84,-12.19,-13.66,-14.41,-14.5,-13.31,-10.47,-7.94,-6.88,-6.31,-5.91,-5.78,-6.97,-8.19,-8.69,-9.38,-10.06,-10.69,-10.44,-9.66,-8.78,-8.72,-8.34,-7.03,-5.91,-5.31,-5.34,-5.34,-5.69,-6.62,-7.66,-7.44,-6.38,-4.84,-3.81,-2.97,-1.88,-1.88,-3.03,-4.69,-5.25,-5.88,-6.75,-7.44,-7.25,-6.31,-5.34,-4.38,-2.94,-1.5,-0.72,-1.25,-1.88,-1.88,-1.94,-2.97,-4.38,-4.47,-4.59,-5.09,-5.19,-4.44,-3.0,-2.34,-2.22,-2.06,-2.09,-2.31,-3.56,-4.62,-4.97,-5.44,-6.91,-8.75,-9.91,-10.31,-10.81,-10.88,-9.62,-7.88,-6.34,-5.47,-4.28,-2.81,-1.31,-0.69,0.12,1.47,2.62,2.72,2.53,2.72,2.97,2.94,2.47,2.38,2.66,2.5,1.44,0.25,-0.31,-0.94,-2.72,-3.97,-4.09,-3.47,-2.84,-2.09,-0.94,0.34,0.66,-0.41,-1.66,-2.06,-2.56,-4.16,-5.56,-6.59,-7.78,-10.19,-12.31,-13.19,-13.06,-12.59,-11.34,-8.91,-6.28,-3.75,-2.78,-2.31,-2.38,-2.66,-4.12,-5.31,-5.62,-5.69,-6.44,-6.94,-6.59,-6.12,-5.56,-5.84,-5.88,-5.81,-5.69,-5.81,-5.5,-4.38,-3.56,-4.12,-5.72,-7.38,-9.0,-11.22,-13.5,-14.44,-14.59,-14.12,-13.84,-12.88,-11.34,-10.19,-10.22,-10.19,-9.59,-8.59,-8.19,-7.38,-6.16,-4.88,-4.28,-4.28,-4.28,-4.09,-4.44,-5.72,-7.34,-8.34,-9.28,-10.84,-12.16,-12.78,-12.69,-13.0,-13.38,-12.62,-11.12,-9.97,-9.25,-8.84,-8.25,-8.44,-9.88,-11.12,-11.88,-12.09,-12.75,-12.5,-12.03,-11.09,-11.0,-11.88,-12.88,-13.25,-13.59,-13.59,-13.19,-11.44,-9.72,-8.81,-8.06,-7.19,-7.09,-8.0,-9.41,-10.78,-11.12,-11.66,-12.44,-13.03,-13.69,-14.62,-16.44,-18.31,-19.0,-18.97,-18.84,-18.34,-17.0,-15.22,-14.16,-13.53,-12.59,-10.88,-9.47,-8.94,-8.59,-7.75,-7.72,-8.44,-9.75,-10.16,-10.78,-11.78,-12.53,-12.56,-11.78,-11.38,-11.28,-11.16,-10.75,-11.34,-12.94,-14.84,-15.66,-16.44,-17.41,-18.12,-17.72,-17.16,-17.28,-17.19,-16.47,-15.0,-13.94,-13.34,-13.28,-12.88,-13.12,-14.25,-15.25,-15.38,-14.53,-14.12,-14.09,-13.59,-13.84,-15.41,-17.62,-19.19,-19.19,-18.44,-16.41,-13.22,-9.09,-4.59,-1.81,0.09,1.91,3.03,2.66,0.88,-1.19,-3.94,-8.06,-13.38,-17.81,-20.47,-21.84,-22.0,-20.81,-18.16,-15.16,-12.69,-10.62,-7.81,-4.62,-2.91,-2.53,-2.44,-3.09,-4.88,-7.0,-8.84,-9.59,-9.47,-8.91,-7.56,-5.09,-2.94,-2.47,-4.03,-6.16,-8.75,-12.16,-14.97,-16.19,-16.28,-15.72,-15.34,-14.47,-13.0,-11.84,-11.78,-11.88,-11.53,-11.47,-12.03,-13.16,-13.91,-14.28,-14.41,-14.94,-14.28,-12.56,-11.53,-11.12,-11.38,-11.19,-11.34,-11.69,-12.47,-12.53,-12.72,-14.34,-17.03,-19.69,-21.91,-23.97,-25.66,-26.12,-25.12,-23.25,-21.66,-20.44,-18.19,-15.78,-14.41,-13.66,-11.75,-9.72,-7.97,-7.19,-6.12,-5.03,-4.88,-5.69,-6.25,-6.75,-7.12,-8.56,-10.44,-11.81,-13.25,-14.94,-16.62,-16.69,-16.09,-15.47,-15.62,-15.41,-14.97,-14.91,-15.81,-16.38,-16.06,-15.03,-14.38,-13.59,-11.81,-9.75,-8.31,-8.16,-7.44,-6.5,-6.44,-7.59,-8.75,-9.5,-10.03,-11.22,-11.66,-10.38,-8.56,-7.25,-6.69,-5.72,-5.03,-5.22,-6.97,-8.28,-8.97,-9.34,-11.06,-12.28,-12.91,-13.06,-13.94,-14.09,-12.59,-9.66,-7.38,-5.59,-3.44,-1.59,-0.88,-1.59,-2.06,-2.06,-2.41,-3.97,-6.06,-7.91,-9.72,-12.75,-15.59,-17.47,-18.88,-20.69,-22.59,-23.59,-23.22,-22.22,-21.69,-20.22,-18.56,-16.84,-16.56,-15.97,-14.94,-13.44,-12.66,-12.31,-11.72,-10.72,-10.53,-10.56,-10.72,-10.53,-10.94,-13.03,-15.53,-17.97,-19.91,-22.53,-24.16,-24.06,-22.75,-22.22,-22.56,-22.31,-22.12,-22.88,-24.06,-24.59,-23.88,-22.84,-22.34,-21.62,-20.06,-18.41,-18.41,-18.62,-18.38,-17.72,-17.91,-18.31,-18.53,-18.38,-19.28,-21.09,-22.84,-23.88,-24.28,-25.75,-26.03,-25.03,-23.41,-22.34,-21.22,-19.53,-17.47,-16.34,-15.62,-14.5,-12.91,-11.53,-11.09,-10.5,-8.94,-7.22,-6.69,-6.25,-5.31,-4.66,-5.75,-7.62,-9.56,-11.47,-13.59,-16.0,-17.62,-17.62,-17.16,-17.66,-17.78,-16.72,-14.78,-13.38,-11.75,-8.88,-6.19,-4.78,-4.88,-5.56,-5.69,-6.44,-7.53,-7.81,-6.5,-5.06,-4.97,-5.62,-6.06,-7.31,-10.25,-13.81,-16.22,-18.12,-21.03,-23.97,-26.19,-27.81,-29.69,-31.28,-31.78,-30.91,-29.5,-28.84,-28.34,-27.31,-26.09,-25.97,-25.66,-24.88,-23.03,-21.53,-20.44,-19.25,-17.38,-16.09,-15.94,-16.41,-15.97,-15.41,-15.72,-16.31,-15.94,-15.28,-15.22,-15.78,-16.16,-16.28,-16.97,-18.72,-19.88,-19.56,-19.03,-19.22,-19.22,-18.72,-18.16,-18.34,-18.66,-18.12,-16.62,-15.66,-15.19,-14.31,-12.75,-11.97,-11.88,-12.44,-12.34,-13.16,-15.16,-17.78,-19.69,-20.84,-22.0,-22.28,-21.28,-18.81,-16.5,-14.78,-12.84,-10.59,-9.0,-8.47,-8.03,-6.59,-4.72,-3.72,-2.81,-1.69,-0.38,-0.03,-0.56,-1.12,-0.97,-1.34,-2.69,-4.09,-5.03,-6.59,-8.78,-11.34,-12.44,-13.47,-14.97,-16.62,-16.91,-16.22,-14.91,-13.53,-11.56,-9.25,-7.97,-8.47,-9.91,-11.22,-13.47,-15.62,-17.19,-16.41,-14.25,-11.75,-9.62,-7.12,-4.94,-4.03,-4.5,-5.59,-6.19,-7.5,-9.66,-11.31,-11.25,-10.88,-10.19,-9.56,-7.91,-6.5,-5.97,-6.22,-6.69,-7.12,-8.03,-9.47,-10.34,-9.91,-8.97,-8.81,-8.62,-8.12,-8.28,-9.09,-10.16,-10.44,-9.72,-8.62,-7.81,-6.78,-5.78,-5.34,-6.28,-7.22:-5.25,-5.53,-6.16,-6.75,-6.38,-6.12,-6.06,-6.03,-4.31,-2.78,-1.75,-0.72,0.91,2.59,2.97,2.06,1.34,0.59,-0.56,-1.59,-1.75,-1.12,-0.19,0.06,0.06,0.66,0.78,-0.09,-0.66,-0.66,-0.22,0.94,2.06,3.41,4.81,5.47,5.16,3.75,3.22,2.22,0.66,-1.31,-2.25,-2.84,-3.69,-4.78,-5.0,-3.91,-2.84,-1.25,1.38,5.44,9.38,12.5,14.62,16.47,17.56,16.56,14.34,12.38,9.53,5.84,1.34,-2.91,-5.78,-8.66,-10.94,-12.53,-12.66,-12.16,-11.56,-11.03,-8.75,-6.47,-4.34,-2.53,-0.31,1.97,2.91,2.75,2.25,1.53,0.28,-1.38,-2.47,-2.06,-0.62,1.06,2.72,5.53,8.03,9.78,10.59,11.56,12.94,14.0,14.22,14.91,16.06,16.47,15.09,12.59,10.28,7.66,4.84,2.06,1.62,1.5,1.09,-0.22,-1.44,-2.38,-4.03,-6.28,-7.72,-8.12,-7.91,-7.34,-6.34,-4.22,-1.47,0.34,1.69,4.12,6.41,7.91,7.75,7.62,7.19,6.47,5.09,3.84,3.66,3.75,3.19,2.47,2.72,3.22,2.72,1.84,1.16,0.06,-1.53,-4.12,-6.03,-7.06,-7.38,-8.25,-8.72,-8.0,-7.41,-7.56,-7.62,-6.81,-5.91,-5.22,-5.31,-5.0,-4.81,-4.81,-6.91,-8.34,-8.97,-9.53,-10.38,-11.41,-11.31,-10.88,-10.69,-10.5,-8.91,-6.34,-3.81,-2.09,0.47,3.31,6.12,7.62,9.12,10.59,11.03,9.19,6.84,4.78,3.12,1.38,-0.28,-0.47,-0.25,-0.34,-0.81,-0.97,0.22,2.0,3.19,4.88,7.41,10.28,11.91,13.31,15.66,18.34,20.0,20.28,20.53,20.38,19.47,17.31,15.53,14.44,13.78,12.53,11.75,11.66,12.59,12.16,11.5,10.97,10.34,9.53,7.88,6.41,6.41,6.25,5.44,5.09,6.03,7.03,7.16,6.91,7.0,6.78,5.88,5.09,5.19,6.03,6.25,5.22,3.84,2.88,1.75,-0.03,-1.12,-1.16,-0.19,-0.28,-0.59,-0.75,-0.75,-1.94,-3.34,-4.0,-3.56,-3.62,-4.22,-4.59,-4.59,-4.72,-6.34,-7.88,-8.31,-8.0,-8.19,-7.69,-6.09,-4.16,-3.03,-2.12,-1.0,1.06,2.91,3.81,4.41,5.28,5.94,5.41,5.12,5.62,6.81,6.78,6.5,5.75,5.94,5.38,4.66,4.88,6.34,8.19,9.25,9.94,10.78,11.31,9.78,7.75,6.44,5.66,4.5,3.31,2.97,3.69,3.97,3.62,3.06,2.81,2.28,0.31,-1.94,-3.72,-5.09,-7.12,-8.97,-9.75,-9.28,-9.25,-9.22,-8.94,-7.72,-6.47,-5.47,-4.09,-1.44,1.06,2.09,2.03,1.81,1.47,0.03,-1.34,-1.12,0.78,2.12,2.78,3.47,4.69,5.25,4.5,3.81,3.78,3.41,2.0,0.19,-0.97,-1.38,-2.69,-4.19,-5.22,-5.06,-5.0,-4.97,-4.5,-2.31,-0.66,-0.09,0.09,0.78,1.75,1.66,1.5,2.44,3.12,3.19,2.56,2.03,2.0,1.62,0.62,-0.34,-0.59,-1.22,-2.81,-4.62,-5.34,-5.25,-5.44,-5.31,-3.47,-0.75,1.41,2.66,3.81,4.75,5.0,4.0,2.97,3.12,3.16,2.75,1.81,2.0,2.22,1.53,0.47,-0.5,-1.34,-2.62,-4.34,-6.0,-6.47,-6.5,-7.5,-8.19,-7.41,-6.28,-5.06,-3.81,-1.47,0.91,2.22,2.47,2.28,2.81,2.66,1.72,1.06,1.19,0.56,-0.84,-3.03,-4.25,-5.81,-7.66,-9.66,-10.0,-9.41,-8.53,-7.31,-5.62,-3.31,-1.84,-1.78,-2.44,-2.75,-3.09,-3.94,-5.0,-5.19,-5.62,-7.38,-9.84,-12.19,-13.66,-14.41,-14.5,-13.31,-10.47,-7.94,-6.88,-6.31,-5.91,-5.78,-6.97,-8.19,-8.69,-9.38,-10.06,-10.69,-10.44,-9.66,-8.78,-8.72,-8.34,-7.03,-5.91,-5.31,-5.34,-5.34,-5.69,-6.62,-7.66,-7.44,-6.38,-4.84,-3.81,-2.97,-1.88,-1.88,-3.03,-4.69,-5.25,-5.88,-6.75,-7.44,-7.25,-6.31,-5.34,-4.38,-2.94,-1.5,-0.72,-1.25,-1.88,-1.88,-1.94,-2.97,-4.38,-4.47,-4.59,-5.09,-5.19,-4.44,-3.0,-2.34,-2.22,-2.06,-2.09,-2.31,-3.56,-4.62,-4.97,-5.44,-6.91,-8.75,-9.91,-10.31,-10.81,-10.88,-9.62,-7.88,-6.34,-5.47,-4.28,-2.81,-1.31,-0.69,0.12,1.47,2.62,2.72,2.53,2.72,2.97,2.94,2.47,2.38,2.66,2.5,1.44,0.25,-0.31,-0.94,-2.72,-3.97,-4.09,-3.47,-2.84,-2.09,-0.94,0.34,0.66,-0.41,-1.66,-2.06,-2.56,-4.16,-5.56,-6.59,-7.78,-10.19,-12.31,-13.19,-13.06,-12.59,-11.34,-8.91,-6.28,-3.75,-2.78,-2.31,-2.38,-2.66,-4.12,-5.31,-5.62,-5.69,-6.44,-6.94,-6.59,-6.12,-5.56,-5.84,-5.88,-5.81,-5.69,-5.81,-5.5,-4.38,-3.56,-4.12,-5.72,-7.38,-9.0,-11.22,-13.5,-14.44,-14.59,-14.12,-13.84,-12.88,-11.34,-10.19,-10.22,-10.19,-9.59,-8.59,-8.19,-7.38,-6.16,-4.88,-4.28,-4.28,-4.28,-4.09,-4.44,-5.72,-7.34,-8.34,-9.28,-10.84,-12.16,-12.78,-12.69,-13.0,-13.38,-12.62,-11.12,-9.97,-9.25,-8.84,-8.25,-8.44,-9.88,-11.12,-11.88,-12.09,-12.75,-12.5,-12.03,-11.09,-11.0,-11.88,-12.88,-13.25,-13.59,-13.59,-13.19,-11.44,-9.72,-8.81,-8.06,-7.19,-7.09,-8.0,-9.41,-10.78,-11.12,-11.66,-12.44,-13.03,-13.69,-14.62,-16.44,-18.31,-19.0,-18.97,-18.84,-18.34,-17.0,-15.22,-14.16,-13.53,-12.59,-10.88,-9.47,-8.94,-8.59,-7.75,-7.72,-8.44,-9.75,-10.16,-10.78,-11.78,-12.53,-12.56,-11.78,-11.38,-11.28,-11.16,-10.75,-11.34,-12.94,-14.84,-15.66,-16.44,-17.41,-18.12,-17.72,-17.16,-17.28,-17.19,-16.47,-15.0,-13.94,-13.34,-13.28,-12.88,-13.12,-14.25,-15.25,-15.38,-14.53,-14.12,-14.09,-13.59,-13.84,-15.41,-17.62,-19.19,-19.19,-18.44,-16.41,-13.22,-9.09,-4.59,-1.81,0.09,1.91,3.03,2.66,0.88,-1.19,-3.94,-8.06,-13.38,-17.81,-20.47,-21.84,-22.0,-20.81,-18.16,-15.16,-12.69,-10.62,-7.81,-4.62,-2.91,-2.53,-2.44,-3.09,-4.88,-7.0,-8.84,-9.59,-9.47,-8.91,-7.56,-5.09,-2.94,-2.47,-4.03,-6.16,-8.75,-12.16,-14.97,-16.19,-16.28,-15.72,-15.34,-14.47,-13.0,-11.84,-11.78,-11.88,-11.53,-11.47,-12.03,-13.16,-13.91,-14.28,-14.41,-14.94,-14.28,-12.56,-11.53,-11.12,-11.38,-11.19,-11.34,-11.69,-12.47,-12.53,-12.72,-14.34,-17.03,-19.69,-21.91,-23.97,-25.66,-26.12,-25.12,-23.25,-21.66,-20.44,-18.19,-15.78,-14.41,-13.66,-11.75,-9.72,-7.97,-7.19,-6.12,-5.03,-4.88,-5.69,-6.25,-6.75,-7.12,-8.56,-10.44,-11.81,-13.25,-14.94,-16.62,-16.69,-16.09,-15.47,-15.62,-15.41,-14.97,-14.91,-15.81,-16.38,-16.06,-15.03,-14.38,-13.59,-11.81,-9.75,-8.31,-8.16,-7.44,-6.5,-6.44,-7.59,-8.75,-9.5,-10.03,-11.22,-11.66,-10.38,-8.56,-7.25,-6.69,-5.72,-5.03,-5.22,-6.97,-8.28,-8.97,-9.34,-11.06,-12.28,-12.91,-13.06,-13.94,-14.09,-12.59,-9.66,-7.38,-5.59,-3.44,-1.59,-0.88,-1.59,-2.06,-2.06,-2.41,-3.97,-6.06,-7.91,-9.72,-12.75,-15.59,-17.47,-18.88,-20.69,-22.59,-23.59,-23.22,-22.22,-21.69,-20.22,-18.56,-16.84,-16.56,-15.97,-14.94,-13.44,-12.66,-12.31,-11.72,-10.72,-10.53,-10.56,-10.72,-10.53,-10.94,-13.03,-15.53,-17.97,-19.91,-22.53,-24.16,-24.06,-22.75,-22.22,-22.56,-22.31,-22.12,-22.88,-24.06,-24.59,-23.88,-22.84,-22.34,-21.62,-20.06,-18.41,-18.41,-18.62,-18.38,-17.72,-17.91,-18.31,-18.53,-18.38,-19.28,-21.09,-22.84,-23.88,-24.28,-25.75,-26.03,-25.03,-23.41,-22.34,-21.22,-19.53,-17.47,-16.34,-15.62,-14.5,-12.91,-11.53,-11.09,-10.5,-8.94,-7.22,-6.69,-6.25,-5.31,-4.66,-5.75,-7.62,-9.56,-11.47,-13.59,-16.0,-17.62,-17.62,-17.16,-17.66,-17.78,-16.72,-14.78,-13.38,-11.75,-8.88,-6.19,-4.78,-4.88,-5.56,-5.69,-6.44,-7.53,-7.81,-6.5,-5.06,-4.97,-5.62,-6.06,-7.31,-10.25,-13.81,-16.22,-18.12,-21.03,-23.97,-26.19,-27.81,-29.69,-31.28,-31.78,-30.91,-29.5,-28.84,-28.34,-27.31,-26.09,-25.97,-25.66,-24.88,-23.03,-21.53,-20.44,-19.25,-17.38,-16.09,-15.94,-16.41,-15.97,-15.41,-15.72,-16.31,-15.94,-15.28,-15.22,-15.78,-16.16,-16.28,-16.97,-18.72,-19.88,-19.56,-19.03,-19.22,-19.22,-18.72,-18.16,-18.34,-18.66,-18.12,-16.62,-15.66,-15.19,-14.31,-12.75,-11.97,-11.88,-12.44,-12.34,-13.16,-15.16,-17.78,-19.69,-20.84,-22.0,-22.28,-21.28,-18.81,-16.5,-14.78,-12.84,-10.59,-9.0,-8.47,-8.03,-6.59,-4.72,-3.72,-2.81,-1.69,-0.38,-0.03,-0.56,-1.12,-0.97,-1.34,-2.69,-4.09,-5.03,-6.59,-8.78,-11.34,-12.44,-13.47,-14.97,-16.62,-16.91,-16.22,-14.91,-13.53,-11.56,-9.25,-7.97,-8.47,-9.91,-11.22,-13.47,-15.62,-17.19,-16.41,-14.25,-11.75,-9.62,-7.12,-4.94,-4.03,-4.5,-5.59,-6.19,-7.5,-9.66,-11.31,-11.25,-10.88,-10.19,-9.56,-7.91,-6.5,-5.97,-6.22,-6.69,-7.12,-8.03,-9.47,-10.34,-9.91,-8.97,-8.81,-8.62,-8.12,-8.28,-9.09,-10.16,-10.44,-9.72,-8.62,-7.81,-6.78,-5.78,-5.34,-6.28,-7.22,32.38,33.56,33.84,33.44,33.53,33.59,34.06:-6.03,-4.31,-2.78,-1.75,-0.72,0.91,2.59,2.97,2.06,1.34,0.59,-0.56,-1.59,-1.75,-1.12,-0.19,0.06,0.06,0.66,0.78,-0.09,-0.66,-0.66,-0.22,0.94,2.06,3.41,4.81,5.47,5.16,3.75,3.22,2.22,0.66,-1.31,-2.25,-2.84,-3.69,-4.78,-5.0,-3.91,-2.84,-1.25,1.38,5.44,9.38,12.5,14.62,16.47,17.56,16.56,14.34,12.38,9.53,5.84,1.34,-2.91,-5.78,-8.66,-10.94,-12.53,-12.66,-12.16,-11.56,-11.03,-8.75,-6.47,-4.34,-2.53,-0.31,1.97,2.91,2.75,2.25,1.53,0.28,-1.38,-2.47,-2.06,-0.62,1.06,2.72,5.53,8.03,9.78,10.59,11.56,12.94,14.0,14.22,14.91,16.06,16.47,15.09,12.59,10.28,7.66,4.84,2.06,1.62,1.5,1.09,-0.22,-1.44,-2.38,-4.03,-6.28,-7.72,-8.12,-7.91,-7.34,-6.34,-4.22,-1.47,0.34,1.69,4.12,6.41,7.91,7.75,7.62,7.19,6.47,5.09,3.84,3.66,3.75,3.19,2.47,2.72,3.22,2.72,1.84,1.16,0.06,-1.53,-4.12,-6.03,-7.06,-7.38,-8.25,-8.72,-8.0,-7.41,-7.56,-7.62,-6.81,-5.91,-5.22,-5.31,-5.0,-4.81,-4.81,-6.91,-8.34,-8.97,-9.53,-10.38,-11.41,-11.31,-10.88,-10.69,-10.5,-8.91,-6.34,-3.81,-2.09,0.47,3.31,6.12,7.62,9.12,10.59,11.03,9.19,6.84,4.78,3.12,1.38,-0.28,-0.47,-0.25,-0.34,-0.81,-0.97,0.22,2.0,3.19,4.88,7.41,10.28,11.91,13.31,15.66,18.34,20.0,20.28,20.53,20.38,19.47,17.31,15.53,14.44,13.78,12.53,11.75,11.66,12.59,12.16,11.5,10.97,10.34,9.53,7.88,6.41,6.41,6.25,5.44,5.09,6.03,7.03,7.16,6.91,7.0,6.78,5.88,5.09,5.19,6.03,6.25,5.22,3.84,2.88,1.75,-0.03,-1.12,-1.16,-0.19,-0.28,-0.59,-0.75,-0.75,-1.94,-3.34,-4.0,-3.56,-3.62,-4.22,-4.59,-4.59,-4.72,-6.34,-7.88,-8.31,-8.0,-8.19,-7.69,-6.09,-4.16,-3.03,-2.12,-1.0,1.06,2.91,3.81,4.41,5.28,5.94,5.41,5.12,5.62,6.81,6.78,6.5,5.75,5.94,5.38,4.66,4.88,6.34,8.19,9.25,9.94,10.78,11.31,9.78,7.75,6.44,5.66,4.5,3.31,2.97,3.69,3.97,3.62,3.06,2.81,2.28,0.31,-1.94,-3.72,-5.09,-7.12,-8.97,-9.75,-9.28,-9.25,-9.22,-8.94,-7.72,-6.47,-5.47,-4.09,-1.44,1.06,2.09,2.03,1.81,1.47,0.03,-1.34,-1.12,0.78,2.12,2.78,3.47,4.69,5.25,4.5,3.81,3.78,3.41,2.0,0.19,-0.97,-1.38,-2.69,-4.19,-5.22,-5.06,-5.0,-4.97,-4.5,-2.31,-0.66,-0.09,0.09,0.78,1.75,1.66,1.5,2.44,3.12,3.19,2.56,2.03,2.0,1.62,0.62,-0.34,-0.59,-1.22,-2.81,-4.62,-5.34,-5.25,-5.44,-5.31,-3.47,-0.75,1.41,2.66,3.81,4.75,5.0,4.0,2.97,3.12,3.16,2.75,1.81,2.0,2.22,1.53,0.47,-0.5,-1.34,-2.62,-4.34,-6.0,-6.47,-6.5,-7.5,-8.19,-7.41,-6.28,-5.06,-3.81,-1.47,0.91,2.22,2.47,2.28,2.81,2.66,1.72,1.06,1.19,0.56,-0.84,-3.03,-4.25,-5.81,-7.66,-9.66,-10.0,-9.41,-8.53,-7.31,-5.62,-3.31,-1.84,-1.78,-2.44,-2.75,-3.09,-3.94,-5.0,-5.19,-5.62,-7.38,-9.84,-12.19,-13.66,-14.41,-14.5,-13.31,-10.47,-7.94,-6.88,-6.31,-5.91,-5.78,-6.97,-8.19,-8.69,-9.38,-10.06,-10.69,-10.44,-9.66,-8.78,-8.72,-8.34,-7.03,-5.91,-5.31,-5.34,-5.34,-5.69,-6.62,-7.66,-7.44,-6.38,-4.84,-3.81,-2.97,-1.88,-1.88,-3.03,-4.69,-5.25,-5.88,-6.75,-7.44,-7.25,-6.31,-5.34,-4.38,-2.94,-1.5,-0.72,-1.25,-1.88,-1.88,-1.94,-2.97,-4.38,-4.47,-4.59,-5.09,-5.19,-4.44,-3.0,-2.34,-2.22,-2.06,-2.09,-2.31,-3.56,-4.62,-4.97,-5.44,-6.91,-8.75,-9.91,-10.31,-10.81,-10.88,-9.62,-7.88,-6.34,-5.47,-4.28,-2.81,-1.31,-0.69,0.12,1.47,2.62,2.72,2.53,2.72,2.97,2.94,2.47,2.38,2.66,2.5,1.44,0.25,-0.31,-0.94,-2.72,-3.97,-4.09,-3.47,-2.84,-2.09,-0.94,0.34,0.66,-0.41,-1.66,-2.06,-2.56,-4.16,-5.56,-6.59,-7.78,-10.19,-12.31,-13.19,-13.06,-12.59,-11.34,-8.91,-6.28,-3.75,-2.78,-2.31,-2.38,-2.66,-4.12,-5.31,-5.62,-5.69,-6.44,-6.94,-6.59,-6.12,-5.56,-5.84,-5.88,-5.81,-5.69,-5.81,-5.5,-4.38,-3.56,-4.12,-5.72,-7.38,-9.0,-11.22,-13.5,-14.44,-14.59,-14.12,-13.84,-12.88,-11.34,-10.19,-10.22,-10.19,-9.59,-8.59,-8.19,-7.38,-6.16,-4.88,-4.28,-4.28,-4.28,-4.09,-4.44,-5.72,-7.34,-8.34,-9.28,-10.84,-12.16,-12.78,-12.69,-13.0,-13.38,-12.62,-11.12,-9.97,-9.25,-8.84,-8.25,-8.44,-9.88,-11.12,-11.88,-12.09,-12.75,-12.5,-12.03,-11.09,-11.0,-11.88,-12.88,-13.25,-13.59,-13.59,-13.19,-11.44,-9.72,-8.81,-8.06,-7.19,-7.09,-8.0,-9.41,-10.78,-11.12,-11.66,-12.44,-13.03,-13.69,-14.62,-16.44,-18.31,-19.0,-18.97,-18.84,-18.34,-17.0,-15.22,-14.16,-13.53,-12.59,-10.88,-9.47,-8.94,-8.59,-7.75,-7.72,-8.44,-9.75,-10.16,-10.78,-11.78,-12.53,-12.56,-11.78,-11.38,-11.28,-11.16,-10.75,-11.34,-12.94,-14.84,-15.66,-16.44,-17.41,-18.12,-17.72,-17.16,-17.28,-17.19,-16.47,-15.0,-13.94,-13.34,-13.28,-12.88,-13.12,-14.25,-15.25,-15.38,-14.53,-14.12,-14.09,-13.59,-13.84,-15.41,-17.62,-19.19,-19.19,-18.44,-16.41,-13.22,-9.09,-4.59,-1.81,0.09,1.91,3.03,2.66,0.88,-1.19,-3.94,-8.06,-13.38,-17.81,-20.47,-21.84,-22.0,-20.81,-18.16,-15.16,-12.69,-10.62,-7.81,-4.62,-2.91,-2.53,-2.44,-3.09,-4.88,-7.0,-8.84,-9.59,-9.47,-8.91,-7.56,-5.09,-2.94,-2.47,-4.03,-6.16,-8.75,-12.16,-14.97,-16.19,-16.28,-15.72,-15.34,-14.47,-13.0,-11.84,-11.78,-11.88,-11.53,-11.47,-12.03,-13.16,-13.91,-14.28,-14.41,-14.94,-14.28,-12.56,-11.53,-11.12,-11.38,-11.19,-11.34,-11.69,-12.47,-12.53,-12.72,-14.34,-17.03,-19.69,-21.91,-23.97,-25.66,-26.12,-25.12,-23.25,-21.66,-20.44,-18.19,-15.78,-14.41,-13.66,-11.75,-9.72,-7.97,-7.19,-6.12,-5.03,-4.88,-5.69,-6.25,-6.75,-7.12,-8.56,-10.44,-11.81,-13.25,-14.94,-16.62,-16.69,-16.09,-15.47,-15.62,-15.41,-14.97,-14.91,-15.81,-16.38,-16.06,-15.03,-14.38,-13.59,-11.81,-9.75,-8.31,-8.16,-7.44,-6.5,-6.44,-7.59,-8.75,-9.5,-10.03,-11.22,-11.66,-10.38,-8.56,-7.25,-6.69,-5.72,-5.03,-5.22,-6.97,-8.28,-8.97,-9.34,-11.06,-12.28,-12.91,-13.06,-13.94,-14.09,-12.59,-9.66,-7.38,-5.59,-3.44,-1.59,-0.88,-1.59,-2.06,-2.06,-2.41,-3.97,-6.06,-7.91,-9.72,-12.75,-15.59,-17.47,-18.88,-20.69,-22.59,-23.59,-23.22,-22.22,-21.69,-20.22,-18.56,-16.84,-16.56,-15.97,-14.94,-13.44,-12.66,-12.31,-11.72,-10.72,-10.53,-10.56,-10.72,-10.53,-10.94,-13.03,-15.53,-17.97,-19.91,-22.53,-24.16,-24.06,-22.75,-22.22,-22.56,-22.31,-22.12,-22.88,-24.06,-24.59,-23.88,-22.84,-22.34,-21.62,-20.06,-18.41,-18.41,-18.62,-18.38,-17.72,-17.91,-18.31,-18.53,-18.38,-19.28,-21.09,-22.84,-23.88,-24.28,-25.75,-26.03,-25.03,-23.41,-22.34,-21.22,-19.53,-17.47,-16.34,-15.62,-14.5,-12.91,-11.53,-11.09,-10.5,-8.94,-7.22,-6.69,-6.25,-5.31,-4.66,-5.75,-7.62,-9.56,-11.47,-13.59,-16.0,-17.62,-17.62,-17.16,-17.66,-17.78,-16.72,-14.78,-13.38,-11.75,-8.88,-6.19,-4.78,-4.88,-5.56,-5.69,-6.44,-7.53,-7.81,-6.5,-5.06,-4.97,-5.62,-6.06,-7.31,-10.25,-13.81,-16.22,-18.12,-21.03,-23.97,-26.19,-27.81,-29.69,-31.28,-31.78,-30.91,-29.5,-28.84,-28.34,-27.31,-26.09,-25.97,-25.66,-24.88,-23.03,-21.53,-20.44,-19.25,-17.38,-16.09,-15.94,-16.41,-15.97,-15.41,-15.72,-16.31,-15.94,-15.28,-15.22,-15.78,-16.16,-16.28,-16.97,-18.72,-19.88,-19.56,-19.03,-19.22,-19.22,-18.72,-18.16,-18.34,-18.66,-18.12,-16.62,-15.66,-15.19,-14.31,-12.75,-11.97,-11.88,-12.44,-12.34,-13.16,-15.16,-17.78,-19.69,-20.84,-22.0,-22.28,-21.28,-18.81,-16.5,-14.78,-12.84,-10.59,-9.0,-8.47,-8.03,-6.59,-4.72,-3.72,-2.81,-1.69,-0.38,-0.03,-0.56,-1.12,-0.97,-1.34,-2.69,-4.09,-5.03,-6.59,-8.78,-11.34,-12.44,-13.47,-14.97,-16.62,-16.91,-16.22,-14.91,-13.53,-11.56,-9.25,-7.97,-8.47,-9.91,-11.22,-13.47,-15.62,-17.19,-16.41,-14.25,-11.75,-9.62,-7.12,-4.94,-4.03,-4.5,-5.59,-6.19,-7.5,-9.66,-11.31,-11.25,-10.88,-10.19,-9.56,-7.91,-6.5,-5.97,-6.22,-6.69,-7.12,-8.03,-9.47,-10.34,-9.91,-8.97,-8.81,-8.62,-8.12,-8.28,-9.09,-10.16,-10.44,-9.72,-8.62,-7.81,-6.78,-5.78,-5.34,-6.28,-7.22,32.38,33.56,33.84,33.44,33.53,33.59,34.06,35.38,36.5,38.12,39.12,40.25,41.16,41.97:2.97,2.06,1.34,0.59,-0.56,-1.59,-1.75,-1.12,-0.19,0.06,0.06,0.66,0.78,-0.09,-0.66,-0.66,-0.22,0.94,2.06,3.41,4.81,5.47,5.16,3.75,3.22,2.22,0.66,-1.31,-2.25,-2.84,-3.69,-4.78,-5.0,-3.91,-2.84,-1.25,1.38,5.44,9.38,12.5,14.62,16.47,17.56,16.56,14.34,12.38,9.53,5.84,1.34,-2.91,-5.78,-8.66,-10.94,-12.53,-12.66,-12.16,-11.56,-11.03,-8.75,-6.47,-4.34,-2.53,-0.31,1.97,2.91,2.75,2.25,1.53,0.28,-1.38,-2.47,-2.06,-0.62,1.06,2.72,5.53,8.03,9.78,10.59,11.56,12.94,14.0,14.22,14.91,16.06,16.47,15.09,12.59,10.28,7.66,4.84,2.06,1.62,1.5,1.09,-0.22,-1.44,-2.38,-4.03,-6.28,-7.72,-8.12,-7.91,-7.34,-6.34,-4.22,-1.47,0.34,1.69,4.12,6.41,7.91,7.75,7.62,7.19,6.47,5.09,3.84,3.66,3.75,3.19,2.47,2.72,3.22,2.72,1.84,1.16,0.06,-1.53,-4.12,-6.03,-7.06,-7.38,-8.25,-8.72,-8.0,-7.41,-7.56,-7.62,-6.81,-5.91,-5.22,-5.31,-5.0,-4.81,-4.81,-6.91,-8.34,-8.97,-9.53,-10.38,-11.41,-11.31,-10.88,-10.69,-10.5,-8.91,-6.34,-3.81,-2.09,0.47,3.31,6.12,7.62,9.12,10.59,11.03,9.19,6.84,4.78,3.12,1.38,-0.28,-0.47,-0.25,-0.34,-0.81,-0.97,0.22,2.0,3.19,4.88,7.41,10.28,11.91,13.31,15.66,18.34,20.0,20.28,20.53,20.38,19.47,17.31,15.53,14.44,13.78,12.53,11.75,11.66,12.59,12.16,11.5,10.97,10.34,9.53,7.88,6.41,6.41,6.25,5.44,5.09,6.03,7.03,7.16,6.91,7.0,6.78,5.88,5.09,5.19,6.03,6.25,5.22,3.84,2.88,1.75,-0.03,-1.12,-1.16,-0.19,-0.28,-0.59,-0.75,-0.75,-1.94,-3.34,-4.0,-3.56,-3.62,-4.22,-4.59,-4.59,-4.72,-6.34,-7.88,-8.31,-8.0,-8.19,-7.69,-6.09,-4.16,-3.03,-2.12,-1.0,1.06,2.91,3.81,4.41,5.28,5.94,5.41,5.12,5.62,6.81,6.78,6.5,5.75,5.94,5.38,4.66,4.88,6.34,8.19,9.25,9.94,10.78,11.31,9.78,7.75,6.44,5.66,4.5,3.31,2.97,3.69,3.97,3.62,3.06,2.81,2.28,0.31,-1.94,-3.72,-5.09,-7.12,-8.97,-9.75,-9.28,-9.25,-9.22,-8.94,-7.72,-6.47,-5.47,-4.09,-1.44,1.06,2.09,2.03,1.81,1.47,0.03,-1.34,-1.12,0.78,2.12,2.78,3.47,4.69,5.25,4.5,3.81,3.78,3.41,2.0,0.19,-0.97,-1.38,-2.69,-4.19,-5.22,-5.06,-5.0,-4.97,-4.5,-2.31,-0.66,-0.09,0.09,0.78,1.75,1.66,1.5,2.44,3.12,3.19,2.56,2.03,2.0,1.62,0.62,-0.34,-0.59,-1.22,-2.81,-4.62,-5.34,-5.25,-5.44,-5.31,-3.47,-0.75,1.41,2.66,3.81,4.75,5.0,4.0,2.97,3.12,3.16,2.75,1.81,2.0,2.22,1.53,0.47,-0.5,-1.34,-2.62,-4.34,-6.0,-6.47,-6.5,-7.5,-8.19,-7.41,-6.28,-5.06,-3.81,-1.47,0.91,2.22,2.47,2.28,2.81,2.66,1.72,1.06,1.19,0.56,-0.84,-3.03,-4.25,-5.81,-7.66,-9.66,-10.0,-9.41,-8.53,-7.31,-5.62,-3.31,-1.84,-1.78,-2.44,-2.75,-3.09,-3.94,-5.0,-5.19,-5.62,-7.38,-9.84,-12.19,-13.66,-14.41,-14.5,-13.31,-10.47,-7.94,-6.88,-6.31,-5.91,-5.78,-6.97,-8.19,-8.69,-9.38,-10.06,-10.69,-10.44,-9.66,-8.78,-8.72,-8.34,-7.03,-5.91,-5.31,-5.34,-5.34,-5.69,-6.62,-7.66,-7.44,-6.38,-4.84,-3.81,-2.97,-1.88,-1.88,-3.03,-4.69,-5.25,-5.88,-6.75,-7.44,-7.25,-6.31,-5.34,-4.38,-2.94,-1.5,-0.72,-1.25,-1.88,-1.88,-1.94,-2.97,-4.38,-4.47,-4.59,-5.09,-5.19,-4.44,-3.0,-2.34,-2.22,-2.06,-2.09,-2.31,-3.56,-4.62,-4.97,-5.44,-6.91,-8.75,-9.91,-10.31,-10.81,-10.88,-9.62,-7.88,-6.34,-5.47,-4.28,-2.81,-1.31,-0.69,0.12,1.47,2.62,2.72,2.53,2.72,2.97,2.94,2.47,2.38,2.66,2.5,1.44,0.25,-0.31,-0.94,-2.72,-3.97,-4.09,-3.47,-2.84,-2.09,-0.94,0.34,0.66,-0.41,-1.66,-2.06,-2.56,-4.16,-5.56,-6.59,-7.78,-10.19,-12.31,-13.19,-13.06,-12.59,-11.34,-8.91,-6.28,-3.75,-2.78,-2.31,-2.38,-2.66,-4.12,-5.31,-5.62,-5.69,-6.44,-6.94,-6.59,-6.12,-5.56,-5.84,-5.88,-5.81,-5.69,-5.81,-5.5,-4.38,-3.56,-4.12,-5.72,-7.38,-9.0,-11.22,-13.5,-14.44,-14.59,-14.12,-13.84,-12.88,-11.34,-10.19,-10.22,-10.19,-9.59,-8.59,-8.19,-7.38,-6.16,-4.88,-4.28,-4.28,-4.28,-4.09,-4.44,-5.72,-7.34,-8.34,-9.28,-10.84,-12.16,-12.78,-12.69,-13.0,-13.38,-12.62,-11.12,-9.97,-9.25,-8.84,-8.25,-8.44,-9.88,-11.12,-11.88,-12.09,-12.75,-12.5,-12.03,-11.09,-11.0,-11.88,-12.88,-13.25,-13.59,-13.59,-13.19,-11.44,-9.72,-8.81,-8.06,-7.19,-7.09,-8.0,-9.41,-10.78,-11.12,-11.66,-12.44,-13.03,-13.69,-14.62,-16.44,-18.31,-19.0,-18.97,-18.84,-18.34,-17.0,-15.22,-14.16,-13.53,-12.59,-10.88,-9.47,-8.94,-8.59,-7.75,-7.72,-8.44,-9.75,-10.16,-10.78,-11.78,-12.53,-12.56,-11.78,-11.38,-11.28,-11.16,-10.75,-11.34,-12.94,-14.84,-15.66,-16.44,-17.41,-18.12,-17.72,-17.16,-17.28,-17.19,-16.47,-15.0,-13.94,-13.34,-13.28,-12.88,-13.12,-14.25,-15.25,-15.38,-14.53,-14.12,-14.09,-13.59,-13.84,-15.41,-17.62,-19.19,-19.19,-18.44,-16.41,-13.22,-9.09,-4.59,-1.81,0.09,1.91,3.03,2.66,0.88,-1.19,-3.94,-8.06,-13.38,-17.81,-20.47,-21.84,-22.0,-20.81,-18.16,-15.16,-12.69,-10.62,-7.81,-4.62,-2.91,-2.53,-2.44,-3.09,-4.88,-7.0,-8.84,-9.59,-9.47,-8.91,-7.56,-5.09,-2.94,-2.47,-4.03,-6.16,-8.75,-12.16,-14.97,-16.19,-16.28,-15.72,-15.34,-14.47,-13.0,-11.84,-11.78,-11.88,-11.53,-11.47,-12.03,-13.16,-13.91,-14.28,-14.41,-14.94,-14.28,-12.56,-11.53,-11.12,-11.38,-11.19,-11.34,-11.69,-12.47,-12.53,-12.72,-14.34,-17.03,-19.69,-21.91,-23.97,-25.66,-26.12,-25.12,-23.25,-21.66,-20.44,-18.19,-15.78,-14.41,-13.66,-11.75,-9.72,-7.97,-7.19,-6.12,-5.03,-4.88,-5.69,-6.25,-6.75,-7.12,-8.56,-10.44,-11.81,-13.25,-14.94,-16.62,-16.69,-16.09,-15.47,-15.62,-15.41,-14.97,-14.91,-15.81,-16.38,-16.06,-15.03,-14.38,-13.59,-11.81,-9.75,-8.31,-8.16,-7.44,-6.5,-6.44,-7.59,-8.75,-9.5,-10.03,-11.22,-11.66,-10.38,-8.56,-7.25,-6.69,-5.72,-5.03,-5.22,-6.97,-8.28,-8.97,-9.34,-11.06,-12.28,-12.91,-13.06,-13.94,-14.09,-12.59,-9.66,-7.38,-5.59,-3.44,-1.59,-0.88,-1.59,-2.06,-2.06,-2.41,-3.97,-6.06,-7.91,-9.72,-12.75,-15.59,-17.47,-18.88,-20.69,-22.59,-23.59,-23.22,-22.22,-21.69,-20.22,-18.56,-16.84,-16.56,-15.97,-14.94,-13.44,-12.66,-12.31,-11.72,-10.72,-10.53,-10.56,-10.72,-10.53,-10.94,-13.03,-15.53,-17.97,-19.91,-22.53,-24.16,-24.06,-22.75,-22.22,-22.56,-22.31,-22.12,-22.88,-24.06,-24.59,-23.88,-22.84,-22.34,-21.62,-20.06,-18.41,-18.41,-18.62,-18.38,-17.72,-17.91,-18.31,-18.53,-18.38,-19.28,-21.09,-22.84,-23.88,-24.28,-25.75,-26.03,-25.03,-23.41,-22.34,-21.22,-19.53,-17.47,-16.34,-15.62,-14.5,-12.91,-11.53,-11.09,-10.5,-8.94,-7.22,-6.69,-6.25,-5.31,-4.66,-5.75,-7.62,-9.56,-11.47,-13.59,-16.0,-17.62,-17.62,-17.16,-17.66,-17.78,-16.72,-14.78,-13.38,-11.75,-8.88,-6.19,-4.78,-4.88,-5.56,-5.69,-6.44,-7.53,-7.81,-6.5,-5.06,-4.97,-5.62,-6.06,-7.31,-10.25,-13.81,-16.22,-18.12,-21.03,-23.97,-26.19,-27.81,-29.69,-31.28,-31.78,-30.91,-29.5,-28.84,-28.34,-27.31,-26.09,-25.97,-25.66,-24.88,-23.03,-21.53,-20.44,-19.25,-17.38,-16.09,-15.94,-16.41,-15.97,-15.41,-15.72,-16.31,-15.94,-15.28,-15.22,-15.78,-16.16,-16.28,-16.97,-18.72,-19.88,-19.56,-19.03,-19.22,-19.22,-18.72,-18.16,-18.34,-18.66,-18.12,-16.62,-15.66,-15.19,-14.31,-12.75,-11.97,-11.88,-12.44,-12.34,-13.16,-15.16,-17.78,-19.69,-20.84,-22.0,-22.28,-21.28,-18.81,-16.5,-14.78,-12.84,-10.59,-9.0,-8.47,-8.03,-6.59,-4.72,-3.72,-2.81,-1.69,-0.38,-0.03,-0.56,-1.12,-0.97,-1.34,-2.69,-4.09,-5.03,-6.59,-8.78,-11.34,-12.44,-13.47,-14.97,-16.62,-16.91,-16.22,-14.91,-13.53,-11.56,-9.25,-7.97,-8.47,-9.91,-11.22,-13.47,-15.62,-17.19,-16.41,-14.25,-11.75,-9.62,-7.12,-4.94,-4.03,-4.5,-5.59,-6.19,-7.5,-9.66,-11.31,-11.25,-10.88,-10.19,-9.56,-7.91,-6.5,-5.97,-6.22,-6.69,-7.12,-8.03,-9.47,-10.34,-9.91,-8.97,-8.81,-8.62,-8.12,-8.28,-9.09,-10.16,-10.44,-9.72,-8.62,-7.81,-6.78,-5.78,-5.34,-6.28,-7.22,32.38,33.56,33.84,33.44,33.53,33.59,34.06,35.38,36.5,38.12,39.12,40.25,41.16,41.97,42.47,43.62,44.97,47.06,48.75,50.34,51.62:-1.12,-0.19,0.06,0.06,0.66,0.78,-0.09,-0.66,-0.66,-0.22,0.94,2.06,3.41,4.81,5.47,5.16,3.75,3.22,2.22,0.66,-1.31,-2.25,-2.84,-3.69,-4.78,-5.0,-3.91,-2.84,-1.25,1.38,5.44,9.38,12.5,14.62,16.47,17.56,16.56,14.34,12.38,9.53,5.84,1.34,-2.91,-5.78,-8.66,-10.94,-12.53,-12.66,-12.16,-11.56,-11.03,-8.75,-6.47,-4.34,-2.53,-0.31,1.97,2.91,2.75,2.25,1.53,0.28,-1.38,-2.47,-2.06,-0.62,1.06,2.72,5.53,8.03,9.78,10.59,11.56,12.94,14.0,14.22,14.91,16.06,16.47,15.09,12.59,10.28,7.66,4.84,2.06,1.62,1.5,1.09,-0.22,-1.44,-2.38,-4.03,-6.28,-7.72,-8.12,-7.91,-7.34,-6.34,-4.22,-1.47,0.34,1.69,4.12,6.41,7.91,7.75,7.62,7.19,6.47,5.09,3.84,3.66,3.75,3.19,2.47,2.72,3.22,2.72,1.84,1.16,0.06,-1.53,-4.12,-6.03,-7.06,-7.38,-8.25,-8.72,-8.0,-7.41,-7.56,-7.62,-6.81,-5.91,-5.22,-5.31,-5.0,-4.81,-4.81,-6.91,-8.34,-8.97,-9.53,-10.38,-11.41,-11.31,-10.88,-10.69,-10.5,-8.91,-6.34,-3.81,-2.09,0.47,3.31,6.12,7.62,9.12,10.59,11.03,9.19,6.84,4.78,3.12,1.38,-0.28,-0.47,-0.25,-0.34,-0.81,-0.97,0.22,2.0,3.19,4.88,7.41,10.28,11.91,13.31,15.66,18.34,20.0,20.28,20.53,20.38,19.47,17.31,15.53,14.44,13.78,12.53,11.75,11.66,12.59,12.16,11.5,10.97,10.34,9.53,7.88,6.41,6.41,6.25,5.44,5.09,6.03,7.03,7.16,6.91,7.0,6.78,5.88,5.09,5.19,6.03,6.25,5.22,3.84,2.88,1.75,-0.03,-1.12,-1.16,-0.19,-0.28,-0.59,-0.75,-0.75,-1.94,-3.34,-4.0,-3.56,-3.62,-4.22,-4.59,-4.59,-4.72,-6.34,-7.88,-8.31,-8.0,-8.19,-7.69,-6.09,-4.16,-3.03,-2.12,-1.0,1.06,2.91,3.81,4.41,5.28,5.94,5.41,5.12,5.62,6.81,6.78,6.5,5.75,5.94,5.38,4.66,4.88,6.34,8.19,9.25,9.94,10.78,11.31,9.78,7.75,6.44,5.66,4.5,3.31,2.97,3.69,3.97,3.62,3.06,2.81,2.28,0.31,-1.94,-3.72,-5.09,-7.12,-8.97,-9.75,-9.28,-9.25,-9.22,-8.94,-7.72,-6.47,-5.47,-4.09,-1.44,1.06,2.09,2.03,1.81,1.47,0.03,-1.34,-1.12,0.78,2.12,2.78,3.47,4.69,5.25,4.5,3.81,3.78,3.41,2.0,0.19,-0.97,-1.38,-2.69,-4.19,-5.22,-5.06,-5.0,-4.97,-4.5,-2.31,-0.66,-0.09,0.09,0.78,1.75,1.66,1.5,2.44,3.12,3.19,2.56,2.03,2.0,1.62,0.62,-0.34,-0.59,-1.22,-2.81,-4.62,-5.34,-5.25,-5.44,-5.31,-3.47,-0.75,1.41,2.66,3.81,4.75,5.0,4.0,2.97,3.12,3.16,2.75,1.81,2.0,2.22,1.53,0.47,-0.5,-1.34,-2.62,-4.34,-6.0,-6.47,-6.5,-7.5,-8.19,-7.41,-6.28,-5.06,-3.81,-1.47,0.91,2.22,2.47,2.28,2.81,2.66,1.72,1.06,1.19,0.56,-0.84,-3.03,-4.25,-5.81,-7.66,-9.66,-10.0,-9.41,-8.53,-7.31,-5.62,-3.31,-1.84,-1.78,-2.44,-2.75,-3.09,-3.94,-5.0,-5.19,-5.62,-7.38,-9.84,-12.19,-13.66,-14.41,-14.5,-13.31,-10.47,-7.94,-6.88,-6.31,-5.91,-5.78,-6.97,-8.19,-8.69,-9.38,-10.06,-10.69,-10.44,-9.66,-8.78,-8.72,-8.34,-7.03,-5.91,-5.31,-5.34,-5.34,-5.69,-6.62,-7.66,-7.44,-6.38,-4.84,-3.81,-2.97,-1.88,-1.88,-3.03,-4.69,-5.25,-5.88,-6.75,-7.44,-7.25,-6.31,-5.34,-4.38,-2.94,-1.5,-0.72,-1.25,-1.88,-1.88,-1.94,-2.97,-4.38,-4.47,-4.59,-5.09,-5.19,-4.44,-3.0,-2.34,-2.22,-2.06,-2.09,-2.31,-3.56,-4.62,-4.97,-5.44,-6.91,-8.75,-9.91,-10.31,-10.81,-10.88,-9.62,-7.88,-6.34,-5.47,-4.28,-2.81,-1.31,-0.69,0.12,1.47,2.62,2.72,2.53,2.72,2.97,2.94,2.47,2.38,2.66,2.5,1.44,0.25,-0.31,-0.94,-2.72,-3.97,-4.09,-3.47,-2.84,-2.09,-0.94,0.34,0.66,-0.41,-1.66,-2.06,-2.56,-4.16,-5.56,-6.59,-7.78,-10.19,-12.31,-13.19,-13.06,-12.59,-11.34,-8.91,-6.28,-3.75,-2.78,-2.31,-2.38,-2.66,-4.12,-5.31,-5.62,-5.69,-6.44,-6.94,-6.59,-6.12,-5.56,-5.84,-5.88,-5.81,-5.69,-5.81,-5.5,-4.38,-3.56,-4.12,-5.72,-7.38,-9.0,-11.22,-13.5,-14.44,-14.59,-14.12,-13.84,-12.88,-11.34,-10.19,-10.22,-10.19,-9.59,-8.59,-8.19,-7.38,-6.16,-4.88,-4.28,-4.28,-4.28,-4.09,-4.44,-5.72,-7.34,-8.34,-9.28,-10.84,-12.16,-12.78,-12.69,-13.0,-13.38,-12.62,-11.12,-9.97,-9.25,-8.84,-8.25,-8.44,-9.88,-11.12,-11.88,-12.09,-12.75,-12.5,-12.03,-11.09,-11.0,-11.88,-12.88,-13.25,-13.59,-13.59,-13.19,-11.44,-9.72,-8.81,-8.06,-7.19,-7.09,-8.0,-9.41,-10.78,-11.12,-11.66,-12.44,-13.03,-13.69,-14.62,-16.44,-18.31,-19.0,-18.97,-18.84,-18.34,-17.0,-15.22,-14.16,-13.53,-12.59,-10.88,-9.47,-8.94,-8.59,-7.75,-7.72,-8.44,-9.75,-10.16,-10.78,-11.78,-12.53,-12.56,-11.78,-11.38,-11.28,-11.16,-10.75,-11.34,-12.94,-14.84,-15.66,-16.44,-17.41,-18.12,-17.72,-17.16,-17.28,-17.19,-16.47,-15.0,-13.94,-13.34,-13.28,-12.88,-13.12,-14.25,-15.25,-15.38,-14.53,-14.12,-14.09,-13.59,-13.84,-15.41,-17.62,-19.19,-19.19,-18.44,-16.41,-13.22,-9.09,-4.59,-1.81,0.09,1.91,3.03,2.66,0.88,-1.19,-3.94,-8.06,-13.38,-17.81,-20.47,-21.84,-22.0,-20.81,-18.16,-15.16,-12.69,-10.62,-7.81,-4.62,-2.91,-2.53,-2.44,-3.09,-4.88,-7.0,-8.84,-9.59,-9.47,-8.91,-7.56,-5.09,-2.94,-2.47,-4.03,-6.16,-8.75,-12.16,-14.97,-16.19,-16.28,-15.72,-15.34,-14.47,-13.0,-11.84,-11.78,-11.88,-11.53,-11.47,-12.03,-13.16,-13.91,-14.28,-14.41,-14.94,-14.28,-12.56,-11.53,-11.12,-11.38,-11.19,-11.34,-11.69,-12.47,-12.53,-12.72,-14.34,-17.03,-19.69,-21.91,-23.97,-25.66,-26.12,-25.12,-23.25,-21.66,-20.44,-18.19,-15.78,-14.41,-13.66,-11.75,-9.72,-7.97,-7.19,-6.12,-5.03,-4.88,-5.69,-6.25,-6.75,-7.12,-8.56,-10.44,-11.81,-13.25,-14.94,-16.62,-16.69,-16.09,-15.47,-15.62,-15.41,-14.97,-14.91,-15.81,-16.38,-16.06,-15.03,-14.38,-13.59,-11.81,-9.75,-8.31,-8.16,-7.44,-6.5,-6.44,-7.59,-8.75,-9.5,-10.03,-11.22,-11.66,-10.38,-8.56,-7.25,-6.69,-5.72,-5.03,-5.22,-6.97,-8.28,-8.97,-9.34,-11.06,-12.28,-12.91,-13.06,-13.94,-14.09,-12.59,-9.66,-7.38,-5.59,-3.44,-1.59,-0.88,-1.59,-2.06,-2.06,-2.41,-3.97,-6.06,-7.91,-9.72,-12.75,-15.59,-17.47,-18.88,-20.69,-22.59,-23.59,-23.22,-22.22,-21.69,-20.22,-18.56,-16.84,-16.56,-15.97,-14.94,-13.44,-12.66,-12.31,-11.72,-10.72,-10.53,-10.56,-10.72,-10.53,-10.94,-13.03,-15.53,-17.97,-19.91,-22.53,-24.16,-24.06,-22.75,-22.22,-22.56,-22.31,-22.12,-22.88,-24.06,-24.59,-23.88,-22.84,-22.34,-21.62,-20.06,-18.41,-18.41,-18.62,-18.38,-17.72,-17.91,-18.31,-18.53,-18.38,-19.28,-21.09,-22.84,-23.88,-24.28,-25.75,-26.03,-25.03,-23.41,-22.34,-21.22,-19.53,-17.47,-16.34,-15.62,-14.5,-12.91,-11.53,-11.09,-10.5,-8.94,-7.22,-6.69,-6.25,-5.31,-4.66,-5.75,-7.62,-9.56,-11.47,-13.59,-16.0,-17.62,-17.62,-17.16,-17.66,-17.78,-16.72,-14.78,-13.38,-11.75,-8.88,-6.19,-4.78,-4.88,-5.56,-5.69,-6.44,-7.53,-7.81,-6.5,-5.06,-4.97,-5.62,-6.06,-7.31,-10.25,-13.81,-16.22,-18.12,-21.03,-23.97,-26.19,-27.81,-29.69,-31.28,-31.78,-30.91,-29.5,-28.84,-28.34,-27.31,-26.09,-25.97,-25.66,-24.88,-23.03,-21.53,-20.44,-19.25,-17.38,-16.09,-15.94,-16.41,-15.97,-15.41,-15.72,-16.31,-15.94,-15.28,-15.22,-15.78,-16.16,-16.28,-16.97,-18.72,-19.88,-19.56,-19.03,-19.22,-19.22,-18.72,-18.16,-18.34,-18.66,-18.12,-16.62,-15.66,-15.19,-14.31,-12.75,-11.97,-11.88,-12.44,-12.34,-13.16,-15.16,-17.78,-19.69,-20.84,-22.0,-22.28,-21.28,-18.81,-16.5,-14.78,-12.84,-10.59,-9.0,-8.47,-8.03,-6.59,-4.72,-3.72,-2.81,-1.69,-0.38,-0.03,-0.56,-1.12,-0.97,-1.34,-2.69,-4.09,-5.03,-6.59,-8.78,-11.34,-12.44,-13.47,-14.97,-16.62,-16.91,-16.22,-14.91,-13.53,-11.56,-9.25,-7.97,-8.47,-9.91,-11.22,-13.47,-15.62,-17.19,-16.41,-14.25,-11.75,-9.62,-7.12,-4.94,-4.03,-4.5,-5.59,-6.19,-7.5,-9.66,-11.31,-11.25,-10.88,-10.19,-9.56,-7.91,-6.5,-5.97,-6.22,-6.69,-7.12,-8.03,-9.47,-10.34,-9.91,-8.97,-8.81,-8.62,-8.12,-8.28,-9.09,-10.16,-10.44,-9.72,-8.62,-7.81,-6.78,-5.78,-5.34,-6.28,-7.22,32.38,33.56,33.84,33.44,33.53,33.59,34.06,35.38,36.5,38.12,39.12,40.25,41.16,41.97,42.47,43.62,44.97,47.06,48.75,50.34,51.62,52.38,51.91,50.81,49.41,46.88,44.59,42.53:-0.66,-0.66,-0.22,0.94,2.06,3.41,4.81,5.47,5.16,3.75,3.22,2.22,0.66,-1.31,-2.25,-2.84,-3.69,-4.78,-5.0,-3.91,-2.84,-1.25,1.38,5.44,9.38,12.5,14.62,16.47,17.56,16.56,14.34,12.38,9.53,5.84,1.34,-2.91,-5.78,-8.66,-10.94,-12.53,-12.66,-12.16,-11.56,-11.03,-8.75,-6.47,-4.34,-2.53,-0.31,1.97,2.91,2.75,2.25,1.53,0.28,-1.38,-2.47,-2.06,-0.62,1.06,2.72,5.53,8.03,9.78,10.59,11.56,12.94,14.0,14.22,14.91,16.06,16.47,15.09,12.59,10.28,7.66,4.84,2.06,1.62,1.5,1.09,-0.22,-1.44,-2.38,-4.03,-6.28,-7.72,-8.12,-7.91,-7.34,-6.34,-4.22,-1.47,0.34,1.69,4.12,6.41,7.91,7.75,7.62,7.19,6.47,5.09,3.84,3.66,3.75,3.19,2.47,2.72,3.22,2.72,1.84,1.16,0.06,-1.53,-4.12,-6.03,-7.06,-7.38,-8.25,-8.72,-8.0,-7.41,-7.56,-7.62,-6.81,-5.91,-5.22,-5.31,-5.0,-4.81,-4.81,-6.91,-8.34,-8.97,-9.53,-10.38,-11.41,-11.31,-10.88,-10.69,-10.5,-8.91,-6.34,-3.81,-2.09,0.47,3.31,6.12,7.62,9.12,10.59,11.03,9.19,6.84,4.78,3.12,1.38,-0.28,-0.47,-0.25,-0.34,-0.81,-0.97,0.22,2.0,3.19,4.88,7.41,10.28,11.91,13.31,15.66,18.34,20.0,20.28,20.53,20.38,19.47,17.31,15.53,14.44,13.78,12.53,11.75,11.66,12.59,12.16,11.5,10.97,10.34,9.53,7.88,6.41,6.41,6.25,5.44,5.09,6.03,7.03,7.16,6.91,7.0,6.78,5.88,5.09,5.19,6.03,6.25,5.22,3.84,2.88,1.75,-0.03,-1.12,-1.16,-0.19,-0.28,-0.59,-0.75,-0.75,-1.94,-3.34,-4.0,-3.56,-3.62,-4.22,-4.59,-4.59,-4.72,-6.34,-7.88,-8.31,-8.0,-8.19,-7.69,-6.09,-4.16,-3.03,-2.12,-1.0,1.06,2.91,3.81,4.41,5.28,5.94,5.41,5.12,5.62,6.81,6.78,6.5,5.75,5.94,5.38,4.66,4.88,6.34,8.19,9.25,9.94,10.78,11.31,9.78,7.75,6.44,5.66,4.5,3.31,2.97,3.69,3.97,3.62,3.06,2.81,2.28,0.31,-1.94,-3.72,-5.09,-7.12,-8.97,-9.75,-9.28,-9.25,-9.22,-8.94,-7.72,-6.47,-5.47,-4.09,-1.44,1.06,2.09,2.03,1.81,1.47,0.03,-1.34,-1.12,0.78,2.12,2.78,3.47,4.69,5.25,4.5,3.81,3.78,3.41,2.0,0.19,-0.97,-1.38,-2.69,-4.19,-5.22,-5.06,-5.0,-4.97,-4.5,-2.31,-0.66,-0.09,0.09,0.78,1.75,1.66,1.5,2.44,3.12,3.19,2.56,2.03,2.0,1.62,0.62,-0.34,-0.59,-1.22,-2.81,-4.62,-5.34,-5.25,-5.44,-5.31,-3.47,-0.75,1.41,2.66,3.81,4.75,5.0,4.0,2.97,3.12,3.16,2.75,1.81,2.0,2.22,1.53,0.47,-0.5,-1.34,-2.62,-4.34,-6.0,-6.47,-6.5,-7.5,-8.19,-7.41,-6.28,-5.06,-3.81,-1.47,0.91,2.22,2.47,2.28,2.81,2.66,1.72,1.06,1.19,0.56,-0.84,-3.03,-4.25,-5.81,-7.66,-9.66,-10.0,-9.41,-8.53,-7.31,-5.62,-3.31,-1.84,-1.78,-2.44,-2.75,-3.09,-3.94,-5.0,-5.19,-5.62,-7.38,-9.84,-12.19,-13.66,-14.41,-14.5,-13.31,-10.47,-7.94,-6.88,-6.31,-5.91,-5.78,-6.97,-8.19,-8.69,-9.38,-10.06,-10.69,-10.44,-9.66,-8.78,-8.72,-8.34,-7.03,-5.91,-5.31,-5.34,-5.34,-5.69,-6.62,-7.66,-7.44,-6.38,-4.84,-3.81,-2.97,-1.88,-1.88,-3.03,-4.69,-5.25,-5.88,-6.75,-7.44,-7.25,-6.31,-5.34,-4.38,-2.94,-1.5,-0.72,-1.25,-1.88,-1.88,-1.94,-2.97,-4.38,-4.47,-4.59,-5.09,-5.19,-4.44,-3.0,-2.34,-2.22,-2.06,-2.09,-2.31,-3.56,-4.62,-4.97,-5.44,-6.91,-8.75,-9.91,-10.31,-10.81,-10.88,-9.62,-7.88,-6.34,-5.47,-4.28,-2.81,-1.31,-0.69,0.12,1.47,2.62,2.72,2.53,2.72,2.97,2.94,2.47,2.38,2.66,2.5,1.44,0.25,-0.31,-0.94,-2.72,-3.97,-4.09,-3.47,-2.84,-2.09,-0.94,0.34,0.66,-0.41,-1.66,-2.06,-2.56,-4.16,-5.56,-6.59,-7.78,-10.19,-12.31,-13.19,-13.06,-12.59,-11.34,-8.91,-6.28,-3.75,-2.78,-2.31,-2.38,-2.66,-4.12,-5.31,-5.62,-5.69,-6.44,-6.94,-6.59,-6.12,-5.56,-5.84,-5.88,-5.81,-5.69,-5.81,-5.5,-4.38,-3.56,-4.12,-5.72,-7.38,-9.0,-11.22,-13.5,-14.44,-14.59,-14.12,-13.84,-12.88,-11.34,-10.19,-10.22,-10.19,-9.59,-8.59,-8.19,-7.38,-6.16,-4.88,-4.28,-4.28,-4.28,-4.09,-4.44,-5.72,-7.34,-8.34,-9.28,-10.84,-12.16,-12.78,-12.69,-13.0,-13.38,-12.62,-11.12,-9.97,-9.25,-8.84,-8.25,-8.44,-9.88,-11.12,-11.88,-12.09,-12.75,-12.5,-12.03,-11.09,-11.0,-11.88,-12.88,-13.25,-13.59,-13.59,-13.19,-11.44,-9.72,-8.81,-8.06,-7.19,-7.09,-8.0,-9.41,-10.78,-11.12,-11.66,-12.44,-13.03,-13.69,-14.62,-16.44,-18.31,-19.0,-18.97,-18.84,-18.34,-17.0,-15.22,-14.16,-13.53,-12.59,-10.88,-9.47,-8.94,-8.59,-7.75,-7.72,-8.44,-9.75,-10.16,-10.78,-11.78,-12.53,-12.56,-11.78,-11.38,-11.28,-11.16,-10.75,-11.34,-12.94,-14.84,-15.66,-16.44,-17.41,-18.12,-17.72,-17.16,-17.28,-17.19,-16.47,-15.0,-13.94,-13.34,-13.28,-12.88,-13.12,-14.25,-15.25,-15.38,-14.53,-14.12,-14.09,-13.59,-13.84,-15.41,-17.62,-19.19,-19.19,-18.44,-16.41,-13.22,-9.09,-4.59,-1.81,0.09,1.91,3.03,2.66,0.88,-1.19,-3.94,-8.06,-13.38,-17.81,-20.47,-21.84,-22.0,-20.81,-18.16,-15.16,-12.69,-10.62,-7.81,-4.62,-2.91,-2.53,-2.44,-3.09,-4.88,-7.0,-8.84,-9.59,-9.47,-8.91,-7.56,-5.09,-2.94,-2.47,-4.03,-6.16,-8.75,-12.16,-14.97,-16.19,-16.28,-15.72,-15.34,-14.47,-13.0,-11.84,-11.78,-11.88,-11.53,-11.47,-12.03,-13.16,-13.91,-14.28,-14.41,-14.94,-14.28,-12.56,-11.53,-11.12,-11.38,-11.19,-11.34,-11.69,-12.47,-12.53,-12.72,-14.34,-17.03,-19.69,-21.91,-23.97,-25.66,-26.12,-25.12,-23.25,-21.66,-20.44,-18.19,-15.78,-14.41,-13.66,-11.75,-9.72,-7.97,-7.19,-6.12,-5.03,-4.88,-5.69,-6.25,-6.75,-7.12,-8.56,-10.44,-11.81,-13.25,-14.94,-16.62,-16.69,-16.09,-15.47,-15.62,-15.41,-14.97,-14.91,-15.81,-16.38,-16.06,-15.03,-14.38,-13.59,-11.81,-9.75,-8.31,-8.16,-7.44,-6.5,-6.44,-7.59,-8.75,-9.5,-10.03,-11.22,-11.66,-10.38,-8.56,-7.25,-6.69,-5.72,-5.03,-5.22,-6.97,-8.28,-8.97,-9.34,-11.06,-12.28,-12.91,-13.06,-13.94,-14.09,-12.59,-9.66,-7.38,-5.59,-3.44,-1.59,-0.88,-1.59,-2.06,-2.06,-2.41,-3.97,-6.06,-7.91,-9.72,-12.75,-15.59,-17.47,-18.88,-20.69,-22.59,-23.59,-23.22,-22.22,-21.69,-20.22,-18.56,-16.84,-16.56,-15.97,-14.94,-13.44,-12.66,-12.31,-11.72,-10.72,-10.53,-10.56,-10.72,-10.53,-10.94,-13.03,-15.53,-17.97,-19.91,-22.53,-24.16,-24.06,-22.75,-22.22,-22.56,-22.31,-22.12,-22.88,-24.06,-24.59,-23.88,-22.84,-22.34,-21.62,-20.06,-18.41,-18.41,-18.62,-18.38,-17.72,-17.91,-18.31,-18.53,-18.38,-19.28,-21.09,-22.84,-23.88,-24.28,-25.75,-26.03,-25.03,-23.41,-22.34,-21.22,-19.53,-17.47,-16.34,-15.62,-14.5,-12.91,-11.53,-11.09,-10.5,-8.94,-7.22,-6.69,-6.25,-5.31,-4.66,-5.75,-7.62,-9.56,-11.47,-13.59,-16.0,-17.62,-17.62,-17.16,-17.66,-17.78,-16.72,-14.78,-13.38,-11.75,-8.88,-6.19,-4.78,-4.88,-5.56,-5.69,-6.44,-7.53,-7.81,-6.5,-5.06,-4.97,-5.62,-6.06,-7.31,-10.25,-13.81,-16.22,-18.12,-21.03,-23.97,-26.19,-27.81,-29.69,-31.28,-31.78,-30.91,-29.5,-28.84,-28.34,-27.31,-26.09,-25.97,-25.66,-24.88,-23.03,-21.53,-20.44,-19.25,-17.38,-16.09,-15.94,-16.41,-15.97,-15.41,-15.72,-16.31,-15.94,-15.28,-15.22,-15.78,-16.16,-16.28,-16.97,-18.72,-19.88,-19.56,-19.03,-19.22,-19.22,-18.72,-18.16,-18.34,-18.66,-18.12,-16.62,-15.66,-15.19,-14.31,-12.75,-11.97,-11.88,-12.44,-12.34,-13.16,-15.16,-17.78,-19.69,-20.84,-22.0,-22.28,-21.28,-18.81,-16.5,-14.78,-12.84,-10.59,-9.0,-8.47,-8.03,-6.59,-4.72,-3.72,-2.81,-1.69,-0.38,-0.03,-0.56,-1.12,-0.97,-1.34,-2.69,-4.09,-5.03,-6.59,-8.78,-11.34,-12.44,-13.47,-14.97,-16.62,-16.91,-16.22,-14.91,-13.53,-11.56,-9.25,-7.97,-8.47,-9.91,-11.22,-13.47,-15.62,-17.19,-16.41,-14.25,-11.75,-9.62,-7.12,-4.94,-4.03,-4.5,-5.59,-6.19,-7.5,-9.66,-11.31,-11.25,-10.88,-10.19,-9.56,-7.91,-6.5,-5.97,-6.22,-6.69,-7.12,-8.03,-9.47,-10.34,-9.91,-8.97,-8.81,-8.62,-8.12,-8.28,-9.09,-10.16,-10.44,-9.72,-8.62,-7.81,-6.78,-5.78,-5.34,-6.28,-7.22,32.38,33.56,33.84,33.44,33.53,33.59,34.06,35.38,36.5,38.12,39.12,40.25,41.16,41.97,42.47,43.62,44.97,47.06,48.75,50.34,51.62,52.38,51.91,50.81,49.41,46.88,44.59,42.53,40.84,39.88,39.84,40.03,40.06,40.38,40.94:5.47,5.16,3.75,3.22,2.22,0.66,-1.31,-2.25,-2.84,-3.69,-4.78,-5.0,-3.91,-2.84,-1.25,1.38,5.44,9.38,12.5,14.62,16.47,17.56,16.56,14.34,12.38,9.53,5.84,1.34,-2.91,-5.78,-8.66,-10.94,-12.53,-12.66,-12.16,-11.56,-11.03,-8.75,-6.47,-4.34,-2.53,-0.31,1.97,2.91,2.75,2.25,1.53,0.28,-1.38,-2.47,-2.06,-0.62,1.06,2.72,5.53,8.03,9.78,10.59,11.56,12.94,14.0,14.22,14.91,16.06,16.47,15.09,12.59,10.28,7.66,4.84,2.06,1.62,1.5,1.09,-0.22,-1.44,-2.38,-4.03,-6.28,-7.72,-8.12,-7.91,-7.34,-6.34,-4.22,-1.47,0.34,1.69,4.12,6.41,7.91,7.75,7.62,7.19,6.47,5.09,3.84,3.66,3.75,3.19,2.47,2.72,3.22,2.72,1.84,1.16,0.06,-1.53,-4.12,-6.03,-7.06,-7.38,-8.25,-8.72,-8.0,-7.41,-7.56,-7.62,-6.81,-5.91,-5.22,-5.31,-5.0,-4.81,-4.81,-6.91,-8.34,-8.97,-9.53,-10.38,-11.41,-11.31,-10.88,-10.69,-10.5,-8.91,-6.34,-3.81,-2.09,0.47,3.31,6.12,7.62,9.12,10.59,11.03,9.19,6.84,4.78,3.12,1.38,-0.28,-0.47,-0.25,-0.34,-0.81,-0.97,0.22,2.0,3.19,4.88,7.41,10.28,11.91,13.31,15.66,18.34,20.0,20.28,20.53,20.38,19.47,17.31,15.53,14.44,13.78,12.53,11.75,11.66,12.59,12.16,11.5,10.97,10.34,9.53,7.88,6.41,6.41,6.25,5.44,5.09,6.03,7.03,7.16,6.91,7.0,6.78,5.88,5.09,5.19,6.03,6.25,5.22,3.84,2.88,1.75,-0.03,-1.12,-1.16,-0.19,-0.28,-0.59,-0.75,-0.75,-1.94,-3.34,-4.0,-3.56,-3.62,-4.22,-4.59,-4.59,-4.72,-6.34,-7.88,-8.31,-8.0,-8.19,-7.69,-6.09,-4.16,-3.03,-2.12,-1.0,1.06,2.91,3.81,4.41,5.28,5.94,5.41,5.12,5.62,6.81,6.78,6.5,5.75,5.94,5.38,4.66,4.88,6.34,8.19,9.25,9.94,10.78,11.31,9.78,7.75,6.44,5.66,4.5,3.31,2.97,3.69,3.97,3.62,3.06,2.81,2.28,0.31,-1.94,-3.72,-5.09,-7.12,-8.97,-9.75,-9.28,-9.25,-9.22,-8.94,-7.72,-6.47,-5.47,-4.09,-1.44,1.06,2.09,2.03,1.81,1.47,0.03,-1.34,-1.12,0.78,2.12,2.78,3.47,4.69,5.25,4.5,3.81,3.78,3.41,2.0,0.19,-0.97,-1.38,-2.69,-4.19,-5.22,-5.06,-5.0,-4.97,-4.5,-2.31,-0.66,-0.09,0.09,0.78,1.75,1.66,1.5,2.44,3.12,3.19,2.56,2.03,2.0,1.62,0.62,-0.34,-0.59,-1.22,-2.81,-4.62,-5.34,-5.25,-5.44,-5.31,-3.47,-0.75,1.41,2.66,3.81,4.75,5.0,4.0,2.97,3.12,3.16,2.75,1.81,2.0,2.22,1.53,0.47,-0.5,-1.34,-2.62,-4.34,-6.0,-6.47,-6.5,-7.5,-8.19,-7.41,-6.28,-5.06,-3.81,-1.47,0.91,2.22,2.47,2.28,2.81,2.66,1.72,1.06,1.19,0.56,-0.84,-3.03,-4.25,-5.81,-7.66,-9.66,-10.0,-9.41,-8.53,-7.31,-5.62,-3.31,-1.84,-1.78,-2.44,-2.75,-3.09,-3.94,-5.0,-5.19,-5.62,-7.38,-9.84,-12.19,-13.66,-14.41,-14.5,-13.31,-10.47,-7.94,-6.88,-6.31,-5.91,-5.78,-6.97,-8.19,-8.69,-9.38,-10.06,-10.69,-10.44,-9.66,-8.78,-8.72,-8.34,-7.03,-5.91,-5.31,-5.34,-5.34,-5.69,-6.62,-7.66,-7.44,-6.38,-4.84,-3.81,-2.97,-1.88,-1.88,-3.03,-4.69,-5.25,-5.88,-6.75,-7.44,-7.25,-6.31,-5.34,-4.38,-2.94,-1.5,-0.72,-1.25,-1.88,-1.88,-1.94,-2.97,-4.38,-4.47,-4.59,-5.09,-5.19,-4.44,-3.0,-2.34,-2.22,-2.06,-2.09,-2.31,-3.56,-4.62,-4.97,-5.44,-6.91,-8.75,-9.91,-10.31,-10.81,-10.88,-9.62,-7.88,-6.34,-5.47,-4.28,-2.81,-1.31,-0.69,0.12,1.47,2.62,2.72,2.53,2.72,2.97,2.94,2.47,2.38,2.66,2.5,1.44,0.25,-0.31,-0.94,-2.72,-3.97,-4.09,-3.47,-2.84,-2.09,-0.94,0.34,0.66,-0.41,-1.66,-2.06,-2.56,-4.16,-5.56,-6.59,-7.78,-10.19,-12.31,-13.19,-13.06,-12.59,-11.34,-8.91,-6.28,-3.75,-2.78,-2.31,-2.38,-2.66,-4.12,-5.31,-5.62,-5.69,-6.44,-6.94,-6.59,-6.12,-5.56,-5.84,-5.88,-5.81,-5.69,-5.81,-5.5,-4.38,-3.56,-4.12,-5.72,-7.38,-9.0,-11.22,-13.5,-14.44,-14.59,-14.12,-13.84,-12.88,-11.34,-10.19,-10.22,-10.19,-9.59,-8.59,-8.19,-7.38,-6.16,-4.88,-4.28,-4.28,-4.28,-4.09,-4.44,-5.72,-7.34,-8.34,-9.28,-10.84,-12.16,-12.78,-12.69,-13.0,-13.38,-12.62,-11.12,-9.97,-9.25,-8.84,-8.25,-8.44,-9.88,-11.12,-11.88,-12.09,-12.75,-12.5,-12.03,-11.09,-11.0,-11.88,-12.88,-13.25,-13.59,-13.59,-13.19,-11.44,-9.72,-8.81,-8.06,-7.19,-7.09,-8.0,-9.41,-10.78,-11.12,-11.66,-12.44,-13.03,-13.69,-14.62,-16.44,-18.31,-19.0,-18.97,-18.84,-18.34,-17.0,-15.22,-14.16,-13.53,-12.59,-10.88,-9.47,-8.94,-8.59,-7.75,-7.72,-8.44,-9.75,-10.16,-10.78,-11.78,-12.53,-12.56,-11.78,-11.38,-11.28,-11.16,-10.75,-11.34,-12.94,-14.84,-15.66,-16.44,-17.41,-18.12,-17.72,-17.16,-17.28,-17.19,-16.47,-15.0,-13.94,-13.34,-13.28,-12.88,-13.12,-14.25,-15.25,-15.38,-14.53,-14.12,-14.09,-13.59,-13.84,-15.41,-17.62,-19.19,-19.19,-18.44,-16.41,-13.22,-9.09,-4.59,-1.81,0.09,1.91,3.03,2.66,0.88,-1.19,-3.94,-8.06,-13.38,-17.81,-20.47,-21.84,-22.0,-20.81,-18.16,-15.16,-12.69,-10.62,-7.81,-4.62,-2.91,-2.53,-2.44,-3.09,-4.88,-7.0,-8.84,-9.59,-9.47,-8.91,-7.56,-5.09,-2.94,-2.47,-4.03,-6.16,-8.75,-12.16,-14.97,-16.19,-16.28,-15.72,-15.34,-14.47,-13.0,-11.84,-11.78,-11.88,-11.53,-11.47,-12.03,-13.16,-13.91,-14.28,-14.41,-14.94,-14.28,-12.56,-11.53,-11.12,-11.38,-11.19,-11.34,-11.69,-12.47,-12.53,-12.72,-14.34,-17.03,-19.69,-21.91,-23.97,-25.66,-26.12,-25.12,-23.25,-21.66,-20.44,-18.19,-15.78,-14.41,-13.66,-11.75,-9.72,-7.97,-7.19,-6.12,-5.03,-4.88,-5.69,-6.25,-6.75,-7.12,-8.56,-10.44,-11.81,-13.25,-14.94,-16.62,-16.69,-16.09,-15.47,-15.62,-15.41,-14.97,-14.91,-15.81,-16.38,-16.06,-15.03,-14.38,-13.59,-11.81,-9.75,-8.31,-8.16,-7.44,-6.5,-6.44,-7.59,-8.75,-9.5,-10.03,-11.22,-11.66,-10.38,-8.56,-7.25,-6.69,-5.72,-5.03,-5.22,-6.97,-8.28,-8.97,-9.34,-11.06,-12.28,-12.91,-13.06,-13.94,-14.09,-12.59,-9.66,-7.38,-5.59,-3.44,-1.59,-0.88,-1.59,-2.06,-2.06,-2.41,-3.97,-6.06,-7.91,-9.72,-12.75,-15.59,-17.47,-18.88,-20.69,-22.59,-23.59,-23.22,-22.22,-21.69,-20.22,-18.56,-16.84,-16.56,-15.97,-14.94,-13.44,-12.66,-12.31,-11.72,-10.72,-10.53,-10.56,-10.72,-10.53,-10.94,-13.03,-15.53,-17.97,-19.91,-22.53,-24.16,-24.06,-22.75,-22.22,-22.56,-22.31,-22.12,-22.88,-24.06,-24.59,-23.88,-22.84,-22.34,-21.62,-20.06,-18.41,-18.41,-18.62,-18.38,-17.72,-17.91,-18.31,-18.53,-18.38,-19.28,-21.09,-22.84,-23.88,-24.28,-25.75,-26.03,-25.03,-23.41,-22.34,-21.22,-19.53,-17.47,-16.34,-15.62,-14.5,-12.91,-11.53,-11.09,-10.5,-8.94,-7.22,-6.69,-6.25,-5.31,-4.66,-5.75,-7.62,-9.56,-11.47,-13.59,-16.0,-17.62,-17.62,-17.16,-17.66,-17.78,-16.72,-14.78,-13.38,-11.75,-8.88,-6.19,-4.78,-4.88,-5.56,-5.69,-6.44,-7.53,-7.81,-6.5,-5.06,-4.97,-5.62,-6.06,-7.31,-10.25,-13.81,-16.22,-18.12,-21.03,-23.97,-26.19,-27.81,-29.69,-31.28,-31.78,-30.91,-29.5,-28.84,-28.34,-27.31,-26.09,-25.97,-25.66,-24.88,-23.03,-21.53,-20.44,-19.25,-17.38,-16.09,-15.94,-16.41,-15.97,-15.41,-15.72,-16.31,-15.94,-15.28,-15.22,-15.78,-16.16,-16.28,-16.97,-18.72,-19.88,-19.56,-19.03,-19.22,-19.22,-18.72,-18.16,-18.34,-18.66,-18.12,-16.62,-15.66,-15.19,-14.31,-12.75,-11.97,-11.88,-12.44,-12.34,-13.16,-15.16,-17.78,-19.69,-20.84,-22.0,-22.28,-21.28,-18.81,-16.5,-14.78,-12.84,-10.59,-9.0,-8.47,-8.03,-6.59,-4.72,-3.72,-2.81,-1.69,-0.38,-0.03,-0.56,-1.12,-0.97,-1.34,-2.69,-4.09,-5.03,-6.59,-8.78,-11.34,-12.44,-13.47,-14.97,-16.62,-16.91,-16.22,-14.91,-13.53,-11.56,-9.25,-7.97,-8.47,-9.91,-11.22,-13.47,-15.62,-17.19,-16.41,-14.25,-11.75,-9.62,-7.12,-4.94,-4.03,-4.5,-5.59,-6.19,-7.5,-9.66,-11.31,-11.25,-10.88,-10.19,-9.56,-7.91,-6.5,-5.97,-6.22,-6.69,-7.12,-8.03,-9.47,-10.34,-9.91,-8.97,-8.81,-8.62,-8.12,-8.28,-9.09,-10.16,-10.44,-9.72,-8.62,-7.81,-6.78,-5.78,-5.34,-6.28,-7.22,32.38,33.56,33.84,33.44,33.53,33.59,34.06,35.38,36.5,38.12,39.12,40.25,41.16,41.97,42.47,43.62,44.97,47.06,48.75,50.34,51.62,52.38,51.91,50.81,49.41,46.88,44.59,42.53,40.84,39.88,39.84,40.03,40.06,40.38,40.94,41.62,42.5,44.22,46.44,48.81,50.91,52.09:positivity
24.31,24.62,24.44,23.53,22.94,22.91,23.0,22.0,20.78,19.78,19.16,17.53,15.84,14.94,15.69,16.5,17.78,19.94,23.41,26.12,27.47,27.97,28.62,28.53,27.03,25.03,24.62,24.41,23.53,22.47,21.0,20.0,18.19,15.88,14.38,14.56,15.25,15.38,15.69,16.78,17.81,17.62,16.59,16.19,15.97,15.41,15.09,15.5,17.31,18.81,19.38,20.09,21.25,22.09,22.0,21.47,22.09,22.88,22.75,22.56,23.28,24.25,24.25,23.47,23.0,22.94,22.31,20.69,18.84,18.12,17.62,15.97,14.66,14.81,15.59,15.53,15.41,16.12,17.59,18.16,18.44,18.75,19.84,20.19,19.34,18.56,18.75,18.72,17.88,16.62,16.22,16.28,15.34,14.44,14.03,14.38,14.72,14.38,14.38,15.62,16.31,15.88,15.0,15.09,15.56,14.75,13.72,14.03,14.41,14.47,13.31,13.16,13.62,13.62,13.22,13.31,14.53,15.62,16.0,16.41,17.41,18.5,17.97,16.94,16.12,15.62,14.66,13.5,12.62,13.16,13.09,12.16,11.03,10.38,9.06,7.31,5.84,5.88,7.19,8.16,9.19,10.69,12.72,14.16,14.38,14.84,15.91,16.22,15.5,14.41,14.12,13.44,11.97,10.09,9.78,10.56,11.5,12.53,14.31,16.5,17.47,16.62,15.22,14.34,13.41,12.09,11.44,12.62,13.97,14.5,15.09,16.53,18.28,19.5,20.62,21.41,22.75,23.06,22.03,20.81,20.0,18.84,16.59,14.12,12.66,11.97,10.81,9.84,10.0,10.62,11.03,10.5,10.5,11.81,13.0,14.22,16.03,18.56,20.88,21.66,21.22,21.06,20.84,19.97,19.12,18.97,19.53,19.84,18.94,18.47,18.41,17.75,16.28,15.25,15.59,17.03,18.16,19.5,21.56,23.16,23.84,23.84,24.53,26.31,27.53,27.5,26.88,26.31,25.38,23.22,21.12,19.88,18.81,16.97,14.53,13.47,12.66,11.97,10.94,10.72,11.91,13.16,13.41,14.16,15.84,16.91,17.19,17.34,18.62,19.59,19.75,19.19,19.25,19.25,18.62,18.03,17.72,18.19,18.78,18.47,17.97,18.47,19.03,19.06,18.59,18.44,18.19,17.22,15.25,13.31,11.94,10.84,9.28,9.12,10.56,13.25,15.44,17.66,20.72,23.06,24.25,24.09,24.56,24.09,22.41,20.59,18.22,16.66,14.84,12.25,10.31,9.88,9.94,9.81,10.31,11.53,12.41,12.03,10.94,10.16,10.06,9.75,9.84,10.75,12.12,13.06,12.97,12.94,13.75,15.0,15.53,16.06,16.84,17.22,16.5,14.81,13.41,12.5,12.06,10.88,10.91,11.88,12.72,12.81,12.38,12.66,13.53,14.16,15.47,17.75,20.06,21.5,21.53,20.97,20.16,18.75,16.28,14.25,13.12,12.03,10.59,9.47,9.25,9.38,8.72,8.31,8.78,10.28,11.78,12.94,14.94,16.84,18.53,19.16,19.28,19.69,19.47,18.12,16.56,14.81,13.5,11.28,8.62,6.66,5.56,4.75,4.03,4.19,5.16,6.59,7.41,8.5,10.0,11.41,12.09,12.06,12.44,12.69,11.88,10.53,9.69,9.19,8.88,7.88,8.06,9.78,12.66,15.5,18.88,22.47,25.5,26.19,25.59,24.34,22.66,19.72,15.47,11.59,8.53,5.88,3.41,2.25,2.66,3.69,4.0,4.44,5.12,6.12,6.56,6.84,7.69,9.69,11.09,11.91,13.0,14.66,15.47,15.03,13.94,13.38,12.38,10.78,9.22,8.12,7.44,5.84,4.12,2.19,0.78,-0.88,-2.84,-4.44,-4.28,-3.09,-2.06,-0.41,1.72,4.09,5.69,6.47,7.41,8.53,8.97,8.88,8.78,9.44,9.72,9.44,9.03,9.53,10.38,10.34,10.22,10.75,10.78,10.16,9.69,9.38,9.81,10.69,11.12,11.5,12.5,12.94,12.03,10.91,10.38,9.91,9.06,8.62,9.41,11.75,14.03,16.53,18.75,20.91,21.81,21.81,21.53,22.06,22.53,22.22,21.16,20.75,20.06,18.22,16.47,16.0,16.25,16.22,16.06,16.28,16.97,17.22,16.91,16.44,16.41,15.66,13.97,11.88,10.53,9.66,8.59,8.59,9.94,12.84,16.06,19.22,22.12,24.81,26.5,26.62,26.09,26.06,25.81,24.84,23.59,22.81,22.0,19.94,17.78,15.66,14.88,14.12,13.75,13.53,14.0,14.41,13.72,12.72,12.56,12.44,11.75,11.41,12.0,13.47,14.38,14.88,15.09,15.69,15.78,15.59,15.41,16.28,17.09,17.25,16.78,16.97,17.12,15.94,13.5,11.5,9.59,7.84,6.59,6.47,8.66,10.91,13.38,16.06,19.44,22.62,24.78,25.78,26.25,26.03,24.59,22.12,20.0,17.94,15.53,12.03,8.41,5.69,2.78,-0.56,-3.66,-5.53,-6.94,-8.75,-10.09,-9.75,-8.22,-6.38,-4.59,-2.09,0.94,3.56,5.5,6.88,9.31,10.56,10.41,9.03,7.84,6.25,3.94,1.81,1.0,1.62,2.41,2.69,3.25,4.41,4.94,4.53,3.78,3.44,3.34,2.56,1.75,2.69,4.34,5.91,6.81,8.12,9.41,9.78,9.28,9.06,9.53,10.75,11.16,11.5,12.28,12.75,12.22,11.03,10.69,10.81,10.22,9.25,9.25,10.03,10.62,10.88,10.91,11.62,12.06,11.78,11.5,12.19,13.03,13.75,13.91,15.41,16.69,16.75,16.94,17.16,18.5,19.75,20.0,19.75,19.06,17.12,13.56,9.81,6.97,5.56,4.03,2.78,3.06,4.12,4.75,5.06,5.91,7.22,8.41,9.06,9.56,10.75,12.09,12.28,11.78,11.88,11.69,10.84,9.62,9.41,10.56,11.97,13.44,14.84,16.38,17.16,16.38,14.59,13.06,11.84,9.47,6.78,5.19,3.91,2.44,0.88,0.16,0.78,2.28,3.25,5.38,8.84,12.56,14.84,16.91,19.31,21.56,22.31,22.16,21.88,21.56,20.56,18.19,16.62,15.88,14.47,11.5,8.31,5.78,3.25,0.5,-1.72,-2.19,-1.12,0.19,2.0,5.0,8.47,11.5,13.53,15.12,17.47,19.47,20.44,20.88,22.34,23.75,23.97,24.25,24.97,25.94,25.62,24.41,23.53,23.09,22.0,20.0,18.69,18.25,17.44,15.72,13.69,12.34,11.25,9.28,7.16,6.19,6.16,5.56,5.0,5.75,7.69,9.5,9.75,9.88,9.66,8.44,6.25,4.75,5.03,6.62,7.94,9.41,11.28,13.31,13.97,13.56,13.28,13.28,12.78,11.19,9.78,9.41,9.31,8.34,7.88,8.91,10.97,11.72,12.16,12.38,12.5,11.34,9.62,8.69,8.62,8.97,8.44,8.41,9.53,10.72,10.47,10.38,10.47,10.62,10.31,9.28,9.12,9.09,8.53,6.81,5.03,4.28,3.91,2.72,2.81,3.91,5.5,5.31,4.66,4.59,4.88,4.12,3.34,3.25,4.19,4.75,4.69,5.28,6.94,8.09,8.22,7.97,8.12,8.62,8.0,7.34,7.75,8.88,9.44,9.09,8.88,8.81,8.72,7.59,6.88,7.59,8.59,8.66,7.75,7.22,6.59,4.69,2.81,2.34,2.75,3.19,3.12,3.25,4.09,4.81,4.53,3.91,4.5,4.88,3.91,3.19,3.78,5.34,6.25,7.47,8.94,10.75,11.88,11.53,11.28,11.88,12.09,10.91,9.94,9.62,9.47,8.0,6.28,4.75,3.53,1.59,-0.41,-0.97,-0.41,0.75,2.06,3.62,6.12,8.5,9.34,9.56,10.12,10.16,8.69,6.78,5.16,4.38,2.84,1.44,0.34,0.44,0.34,-0.16,-0.22,0.59,1.59,1.34,0.59,0.91,1.16,0.84,0.06,0.34,1.31,1.94,2.38,3.62,5.28,6.28,5.84,4.66,4.06,3.38,2.31,1.16,1.59,3.06,4.19,5.5,7.28,9.06,9.16,7.78,5.53,4.0,2.66,0.91,-0.34,-0.03,0.47,0.0,-0.66,0.0,1.41,2.66,4.16,6.5,9.97,12.5,13.88,14.75,15.66,15.5,14.03,12.56,12.03,12.0,11.16,10.5,10.47,10.88,10.44,9.91,9.53,10.56,11.16,11.12,11.66,13.16,14.72,15.16,14.75,14.78,14.47,12.69,10.22,9.19,9.03,8.41,7.38,6.75,6.88,6.59,5.88,5.81,7.03,8.28,8.28,8.06,8.12,8.47,7.97,7.09,6.88,7.97,8.28,7.47,6.97,7.22,6.84,6.12,5.75,6.62,7.28,7.19,6.28,5.66,5.44,4.34,2.25,0.78,-0.03,-0.94,-1.88,-1.97,-0.19,1.25,2.41,2.78,4.12,5.03,4.81,3.81,3.53,3.97,4.06,4.38,5.47,7.28,8.22,7.44,6.12,5.28,4.34,3.12,2.66,3.97,5.84,6.75,7.06,7.25,7.47,6.81,5.69,4.94,5.38,5.72,5.34,5.44,6.59,7.69,7.91,7.66,7.94,7.62,6.75,5.59,5.44,5.97,6.44,6.09,5.84,6.47,6.72,6.41,6.47,7.5,8.91,9.53,9.44,9.62,9.44,8.28,6.25,4.91,4.34,3.56,2.38,2.0,2.59,3.16,3.22,3.5,4.84,5.75,5.94,5.84,6.06,6.25,5.56,4.41,3.31,2.78,2.16,0.88,-0.03,-0.09,-0.03,-0.31,-0.44,0.94,2.81,4.19,4.97,6.22,7.22,7.31,6.19,5.31,5.56,5.94,5.5,5.25,5.69,5.84,4.91,3.91,3.91,4.28,4.16,3.72,4.31,5.06,5.84,5.5,5.12,5.22,4.88,3.47,2.88,3.12,4.06,4.5,4.47,5.31,6.03,6.03,5.44,5.03,4.75,3.69,1.59,-0.75,-2.62,-4.53,-6.47:22.0,20.78,19.78,19.16,17.53,15.84,14.94,15.69,16.5,17.78,19.94,23.41,26.12,27.47,27.97,28.62,28.53,27.03,25.03,24.62,24.41,23.53,22.47,21.0,20.0,18.19,15.88,14.38,14.56,15.25,15.38,15.69,16.78,17.81,17.62,16.59,16.19,15.97,15.41,15.09,15.5,17.31,18.81,19.38,20.09,21.25,22.09,22.0,21.47,22.09,22.88,22.75,22.56,23.28,24.25,24.25,23.47,23.0,22.94,22.31,20.69,18.84,18.12,17.62,15.97,14.66,14.81,15.59,15.53,15.41,16.12,17.59,18.16,18.44,18.75,19.84,20.19,19.34,18.56,18.75,18.72,17.88,16.62,16.22,16.28,15.34,14.44,14.03,14.38,14.72,14.38,14.38,15.62,16.31,15.88,15.0,15.09,15.56,14.75,13.72,14.03,14.41,14.47,13.31,13.16,13.62,13.62,13.22,13.31,14.53,15.62,16.0,16.41,17.41,18.5,17.97,16.94,16.12,15.62,14.66,13.5,12.62,13.16,13.09,12.16,11.03,10.38,9.06,7.31,5.84,5.88,7.19,8.16,9.19,10.69,12.72,14.16,14.38,14.84,15.91,16.22,15.5,14.41,14.12,13.44,11.97,10.09,9.78,10.56,11.5,12.53,14.31,16.5,17.47,16.62,15.22,14.34,13.41,12.09,11.44,12.62,13.97,14.5,15.09,16.53,18.28,19.5,20.62,21.41,22.75,23.06,22.03,20.81,20.0,18.84,16.59,14.12,12.66,11.97,10.81,9.84,10.0,10.62,11.03,10.5,10.5,11.81,13.0,14.22,16.03,18.56,20.88,21.66,21.22,21.06,20.84,19.97,19.12,18.97,19.53,19.84,18.94,18.47,18.41,17.75,16.28,15.25,15.59,17.03,18.16,19.5,21.56,23.16,23.84,23.84,24.53,26.31,27.53,27.5,26.88,26.31,25.38,23.22,21.12,19.88,18.81,16.97,14.53,13.47,12.66,11.97,10.94,10.72,11.91,13.16,13.41,14.16,15.84,16.91,17.19,17.34,18.62,19.59,19.75,19.19,19.25,19.25,18.62,18.03,17.72,18.19,18.78,18.47,17.97,18.47,19.03,19.06,18.59,18.44,18.19,17.22,15.25,13.31,11.94,10.84,9.28,9.12,10.56,13.25,15.44,17.66,20.72,23.06,24.25,24.09,24.56,24.09,22.41,20.59,18.22,16.66,14.84,12.25,10.31,9.88,9.94,9.81,10.31,11.53,12.41,12.03,10.94,10.16,10.06,9.75,9.84,10.75,12.12,13.06,12.97,12.94,13.75,15.0,15.53,16.06,16.84,17.22,16.5,14.81,13.41,12.5,12.06,10.88,10.91,11.88,12.72,12.81,12.38,12.66,13.53,14.16,15.47,17.75,20.06,21.5,21.53,20.97,20.16,18.75,16.28,14.25,13.12,12.03,10.59,9.47,9.25,9.38,8.72,8.31,8.78,10.28,11.78,12.94,14.94,16.84,18.53,19.16,19.28,19.69,19.47,18.12,16.56,14.81,13.5,11.28,8.62,6.66,5.56,4.75,4.03,4.19,5.16,6.59,7.41,8.5,10.0,11.41,12.09,12.06,12.44,12.69,11.88,10.53,9.69,9.19,8.88,7.88,8.06,9.78,12.66,15.5,18.88,22.47,25.5,26.19,25.59,24.34,22.66,19.72,15.47,11.59,8.53,5.88,3.41,2.25,2.66,3.69,4.0,4.44,5.12,6.12,6.56,6.84,7.69,9.69,11.09,11.91,13.0,14.66,15.47,15.03,13.94,13.38,12.38,10.78,9.22,8.12,7.44,5.84,4.12,2.19,0.78,-0.88,-2.84,-4.44,-4.28,-3.09,-2.06,-0.41,1.72,4.09,5.69,6.47,7.41,8.53,8.97,8.88,8.78,9.44,9.72,9.44,9.03,9.53,10.38,10.34,10.22,10.75,10.78,10.16,9.69,9.38,9.81,10.69,11.12,11.5,12.5,12.94,12.03,10.91,10.38,9.91,9.06,8.62,9.41,11.75,14.03,16.53,18.75,20.91,21.81,21.81,21.53,22.06,22.53,22.22,21.16,20.75,20.06,18.22,16.47,16.0,16.25,16.22,16.06,16.28,16.97,17.22,16.91,16.44,16.41,15.66,13.97,11.88,10.53,9.66,8.59,8.59,9.94,12.84,16.06,19.22,22.12,24.81,26.5,26.62,26.09,26.06,25.81,24.84,23.59,22.81,22.0,19.94,17.78,15.66,14.88,14.12,13.75,13.53,14.0,14.41,13.72,12.72,12.56,12.44,11.75,11.41,12.0,13.47,14.38,14.88,15.09,15.69,15.78,15.59,15.41,16.28,17.09,17.25,16.78,16.97,17.12,15.94,13.5,11.5,9.59,7.84,6.59,6.47,8.66,10.91,13.38,16.06,19.44,22.62,24.78,25.78,26.25,26.03,24.59,22.12,20.0,17.94,15.53,12.03,8.41,5.69,2.78,-0.56,-3.66,-5.53,-6.94,-8.75,-10.09,-9.75,-8.22,-6.38,-4.59,-2.09,0.94,3.56,5.5,6.88,9.31,10.56,10.41,9.03,7.84,6.25,3.94,1.81,1.0,1.62,2.41,2.69,3.25,4.41,4.94,4.53,3.78,3.44,3.34,2.56,1.75,2.69,4.34,5.91,6.81,8.12,9.41,9.78,9.28,9.06,9.53,10.75,11.16,11.5,12.28,12.75,12.22,11.03,10.69,10.81,10.22,9.25,9.25,10.03,10.62,10.88,10.91,11.62,12.06,11.78,11.5,12.19,13.03,13.75,13.91,15.41,16.69,16.75,16.94,17.16,18.5,19.75,20.0,19.75,19.06,17.12,13.56,9.81,6.97,5.56,4.03,2.78,3.06,4.12,4.75,5.06,5.91,7.22,8.41,9.06,9.56,10.75,12.09,12.28,11.78,11.88,11.69,10.84,9.62,9.41,10.56,11.97,13.44,14.84,16.38,17.16,16.38,14.59,13.06,11.84,9.47,6.78,5.19,3.91,2.44,0.88,0.16,0.78,2.28,3.25,5.38,8.84,12.56,14.84,16.91,19.31,21.56,22.31,22.16,21.88,21.56,20.56,18.19,16.62,15.88,14.47,11.5,8.31,5.78,3.25,0.5,-1.72,-2.19,-1.12,0.19,2.0,5.0,8.47,11.5,13.53,15.12,17.47,19.47,20.44,20.88,22.34,23.75,23.97,24.25,24.97,25.94,25.62,24.41,23.53,23.09,22.0,20.0,18.69,18.25,17.44,15.72,13.69,12.34,11.25,9.28,7.16,6.19,6.16,5.56,5.0,5.75,7.69,9.5,9.75,9.88,9.66,8.44,6.25,4.75,5.03,6.62,7.94,9.41,11.28,13.31,13.97,13.56,13.28,13.28,12.78,11.19,9.78,9.41,9.31,8.34,7.88,8.91,10.97,11.72,12.16,12.38,12.5,11.34,9.62,8.69,8.62,8.97,8.44,8.41,9.53,10.72,10.47,10.38,10.47,10.62,10.31,9.28,9.12,9.09,8.53,6.81,5.03,4.28,3.91,2.72,2.81,3.91,5.5,5.31,4.66,4.59,4.88,4.12,3.34,3.25,4.19,4.75,4.69,5.28,6.94,8.09,8.22,7.97,8.12,8.62,8.0,7.34,7.75,8.88,9.44,9.09,8.88,8.81,8.72,7.59,6.88,7.59,8.59,8.66,7.75,7.22,6.59,4.69,2.81,2.34,2.75,3.19,3.12,3.25,4.09,4.81,4.53,3.91,4.5,4.88,3.91,3.19,3.78,5.34,6.25,7.47,8.94,10.75,11.88,11.53,11.28,11.88,12.09,10.91,9.94,9.62,9.47,8.0,6.28,4.75,3.53,1.59,-0.41,-0.97,-0.41,0.75,2.06,3.62,6.12,8.5,9.34,9.56,10.12,10.16,8.69,6.78,5.16,4.38,2.84,1.44,0.34,0.44,0.34,-0.16,-0.22,0.59,1.59,1.34,0.59,0.91,1.16,0.84,0.06,0.34,1.31,1.94,2.38,3.62,5.28,6.28,5.84,4.66,4.06,3.38,2.31,1.16,1.59,3.06,4.19,5.5,7.28,9.06,9.16,7.78,5.53,4.0,2.66,0.91,-0.34,-0.03,0.47,0.0,-0.66,0.0,1.41,2.66,4.16,6.5,9.97,12.5,13.88,14.75,15.66,15.5,14.03,12.56,12.03,12.0,11.16,10.5,10.47,10.88,10.44,9.91,9.53,10.56,11.16,11.12,11.66,13.16,14.72,15.16,14.75,14.78,14.47,12.69,10.22,9.19,9.03,8.41,7.38,6.75,6.88,6.59,5.88,5.81,7.03,8.28,8.28,8.06,8.12,8.47,7.97,7.09,6.88,7.97,8.28,7.47,6.97,7.22,6.84,6.12,5.75,6.62,7.28,7.19,6.28,5.66,5.44,4.34,2.25,0.78,-0.03,-0.94,-1.88,-1.97,-0.19,1.25,2.41,2.78,4.12,5.03,4.81,3.81,3.53,3.97,4.06,4.38,5.47,7.28,8.22,7.44,6.12,5.28,4.34,3.12,2.66,3.97,5.84,6.75,7.06,7.25,7.47,6.81,5.69,4.94,5.38,5.72,5.34,5.44,6.59,7.69,7.91,7.66,7.94,7.62,6.75,5.59,5.44,5.97,6.44,6.09,5.84,6.47,6.72,6.41,6.47,7.5,8.91,9.53,9.44,9.62,9.44,8.28,6.25,4.91,4.34,3.56,2.38,2.0,2.59,3.16,3.22,3.5,4.84,5.75,5.94,5.84,6.06,6.25,5.56,4.41,3.31,2.78,2.16,0.88,-0.03,-0.09,-0.03,-0.31,-0.44,0.94,2.81,4.19,4.97,6.22,7.22,7.31,6.19,5.31,5.56,5.94,5.5,5.25,5.69,5.84,4.91,3.91,3.91,4.28,4.16,3.72,4.31,5.06,5.84,5.5,5.12,5.22,4.88,3.47,2.88,3.12,4.06,4.5,4.47,5.31,6.03,6.03,5.44,5.03,4.75,3.69,1.59,-0.75,-2.62,-4.53,-6.47,58.78,57.72,56.69,55.28,53.62,52.28,50.94:15.69,16.5,17.78,19.94,23.41,26.12,27.47,27.97,28.62,28.53,27.03,25.03,24.62,24.41,23.53,22.47,21.0,20.0,18.19,15.88,14.38,14.56,15.25,15.38,15.69,16.78,17.81,17.62,16.59,16.19,15.97,15.41,15.09,15.5,17.31,18.81,19.38,20.09,21.25,22.09,22.0,21.47,22.09,22.88,22.75,22.56,23.28,24.25,24.25,23.47,23.0,22.94,22.31,20.69,18.84,18.12,17.62,15.97,14.66,14.81,15.59,15.53,15.41,16.12,17.59,18.16,18.44,18.75,19.84,20.19,19.34,18.56,18.75,18.72,17.88,16.62,16.22,16.28,15.34,14.44,14.03,14.38,14.72,14.38,14.38,15.62,16.31,15.88,15.0,15.09,15.56,14.75,13.72,14.03,14.41,14.47,13.31,13.16,13.62,13.62,13.22,13.31,14.53,15.62,16.0,16.41,17.41,18.5,17.97,16.94,16.12,15.62,14.66,13.5,12.62,13.16,13.09,12.16,11.03,10.38,9.06,7.31,5.84,5.88,7.19,8.16,9.19,10.69,12.72,14.16,14.38,14.84,15.91,16.22,15.5,14.41,14.12,13.44,11.97,10.09,9.78,10.56,11.5,12.53,14.31,16.5,17.47,16.62,15.22,14.34,13.41,12.09,11.44,12.62,13.97,14.5,15.09,16.53,18.28,19.5,20.62,21.41,22.75,23.06,22.03,20.81,20.0,18.84,16.59,14.12,12.66,11.97,10.81,9.84,10.0,10.62,11.03,10.5,10.5,11.81,13.0,14.22,16.03,18.56,20.88,21.66,21.22,21.06,20.84,19.97,19.12,18.97,19.53,19.84,18.94,18.47,18.41,17.75,16.28,15.25,15.59,17.03,18.16,19.5,21.56,23.16,23.84,23.84,24.53,26.31,27.53,27.5,26.88,26.31,25.38,23.22,21.12,19.88,18.81,16.97,14.53,13.47,12.66,11.97,10.94,10.72,11.91,13.16,13.41,14.16,15.84,16.91,17.19,17.34,18.62,19.59,19.75,19.19,19.25,19.25,18.62,18.03,17.72,18.19,18.78,18.47,17.97,18.47,19.03,19.06,18.59,18.44,18.19,17.22,15.25,13.31,11.94,10.84,9.28,9.12,10.56,13.25,15.44,17.66,20.72,23.06,24.25,24.09,24.56,24.09,22.41,20.59,18.22,16.66,14.84,12.25,10.31,9.88,9.94,9.81,10.31,11.53,12.41,12.03,10.94,10.16,10.06,9.75,9.84,10.75,12.12,13.06,12.97,12.94,13.75,15.0,15.53,16.06,16.84,17.22,16.5,14.81,13.41,12.5,12.06,10.88,10.91,11.88,12.72,12.81,12.38,12.66,13.53,14.16,15.47,17.75,20.06,21.5,21.53,20.97,20.16,18.75,16.28,14.25,13.12,12.03,10.59,9.47,9.25,9.38,8.72,8.31,8.78,10.28,11.78,12.94,14.94,16.84,18.53,19.16,19.28,19.69,19.47,18.12,16.56,14.81,13.5,11.28,8.62,6.66,5.56,4.75,4.03,4.19,5.16,6.59,7.41,8.5,10.0,11.41,12.09,12.06,12.44,12.69,11.88,10.53,9.69,9.19,8.88,7.88,8.06,9.78,12.66,15.5,18.88,22.47,25.5,26.19,25.59,24.34,22.66,19.72,15.47,11.59,8.53,5.88,3.41,2.25,2.66,3.69,4.0,4.44,5.12,6.12,6.56,6.84,7.69,9.69,11.09,11.91,13.0,14.66,15.47,15.03,13.94,13.38,12.38,10.78,9.22,8.12,7.44,5.84,4.12,2.19,0.78,-0.88,-2.84,-4.44,-4.28,-3.09,-2.06,-0.41,1.72,4.09,5.69,6.47,7.41,8.53,8.97,8.88,8.78,9.44,9.72,9.44,9.03,9.53,10.38,10.34,10.22,10.75,10.78,10.16,9.69,9.38,9.81,10.69,11.12,11.5,12.5,12.94,12.03,10.91,10.38,9.91,9.06,8.62,9.41,11.75,14.03,16.53,18.75,20.91,21.81,21.81,21.53,22.06,22.53,22.22,21.16,20.75,20.06,18.22,16.47,16.0,16.25,16.22,16.06,16.28,16.97,17.22,16.91,16.44,16.41,15.66,13.97,11.88,10.53,9.66,8.59,8.59,9.94,12.84,16.06,19.22,22.12,24.81,26.5,26.62,26.09,26.06,25.81,24.84,23.59,22.81,22.0,19.94,17.78,15.66,14.88,14.12,13.75,13.53,14.0,14.41,13.72,12.72,12.56,12.44,11.75,11.41,12.0,13.47,14.38,14.88,15.09,15.69,15.78,15.59,15.41,16.28,17.09,17.25,16.78,16.97,17.12,15.94,13.5,11.5,9.59,7.84,6.59,6.47,8.66,10.91,13.38,16.06,19.44,22.62,24.78,25.78,26.25,26.03,24.59,22.12,20.0,17.94,15.53,12.03,8.41,5.69,2.78,-0.56,-3.66,-5.53,-6.94,-8.75,-10.09,-9.75,-8.22,-6.38,-4.59,-2.09,0.94,3.56,5.5,6.88,9.31,10.56,10.41,9.03,7.84,6.25,3.94,1.81,1.0,1.62,2.41,2.69,3.25,4.41,4.94,4.53,3.78,3.44,3.34,2.56,1.75,2.69,4.34,5.91,6.81,8.12,9.41,9.78,9.28,9.06,9.53,10.75,11.16,11.5,12.28,12.75,12.22,11.03,10.69,10.81,10.22,9.25,9.25,10.03,10.62,10.88,10.91,11.62,12.06,11.78,11.5,12.19,13.03,13.75,13.91,15.41,16.69,16.75,16.94,17.16,18.5,19.75,20.0,19.75,19.06,17.12,13.56,9.81,6.97,5.56,4.03,2.78,3.06,4.12,4.75,5.06,5.91,7.22,8.41,9.06,9.56,10.75,12.09,12.28,11.78,11.88,11.69,10.84,9.62,9.41,10.56,11.97,13.44,14.84,16.38,17.16,16.38,14.59,13.06,11.84,9.47,6.78,5.19,3.91,2.44,0.88,0.16,0.78,2.28,3.25,5.38,8.84,12.56,14.84,16.91,19.31,21.56,22.31,22.16,21.88,21.56,20.56,18.19,16.62,15.88,14.47,11.5,8.31,5.78,3.25,0.5,-1.72,-2.19,-1.12,0.19,2.0,5.0,8.47,11.5,13.53,15.12,17.47,19.47,20.44,20.88,22.34,23.75,23.97,24.25,24.97,25.94,25.62,24.41,23.53,23.09,22.0,20.0,18.69,18.25,17.44,15.72,13.69,12.34,11.25,9.28,7.16,6.19,6.16,5.56,5.0,5.75,7.69,9.5,9.75,9.88,9.66,8.44,6.25,4.75,5.03,6.62,7.94,9.41,11.28,13.31,13.97,13.56,13.28,13.28,12.78,11.19,9.78,9.41,9.31,8.34,7.88,8.91,10.97,11.72,12.16,12.38,12.5,11.34,9.62,8.69,8.62,8.97,8.44,8.41,9.53,10.72,10.47,10.38,10.47,10.62,10.31,9.28,9.12,9.09,8.53,6.81,5.03,4.28,3.91,2.72,2.81,3.91,5.5,5.31,4.66,4.59,4.88,4.12,3.34,3.25,4.19,4.75,4.69,5.28,6.94,8.09,8.22,7.97,8.12,8.62,8.0,7.34,7.75,8.88,9.44,9.09,8.88,8.81,8.72,7.59,6.88,7.59,8.59,8.66,7.75,7.22,6.59,4.69,2.81,2.34,2.75,3.19,3.12,3.25,4.09,4.81,4.53,3.91,4.5,4.88,3.91,3.19,3.78,5.34,6.25,7.47,8.94,10.75,11.88,11.53,11.28,11.88,12.09,10.91,9.94,9.62,9.47,8.0,6.28,4.75,3.53,1.59,-0.41,-0.97,-0.41,0.75,2.06,3.62,6.12,8.5,9.34,9.56,10.12,10.16,8.69,6.78,5.16,4.38,2.84,1.44,0.34,0.44,0.34,-0.16,-0.22,0.59,1.59,1.34,0.59,0.91,1.16,0.84,0.06,0.34,1.31,1.94,2.38,3.62,5.28,6.28,5.84,4.66,4.06,3.38,2.31,1.16,1.59,3.06,4.19,5.5,7.28,9.06,9.16,7.78,5.53,4.0,2.66,0.91,-0.34,-0.03,0.47,0.0,-0.66,0.0,1.41,2.66,4.16,6.5,9.97,12.5,13.88,14.75,15.66,15.5,14.03,12.56,12.03,12.0,11.16,10.5,10.47,10.88,10.44,9.91,9.53,10.56,11.16,11.12,11.66,13.16,14.72,15.16,14.75,14.78,14.47,12.69,10.22,9.19,9.03,8.41,7.38,6.75,6.88,6.59,5.88,5.81,7.03,8.28,8.28,8.06,8.12,8.47,7.97,7.09,6.88,7.97,8.28,7.47,6.97,7.22,6.84,6.12,5.75,6.62,7.28,7.19,6.28,5.66,5.44,4.34,2.25,0.78,-0.03,-0.94,-1.88,-1.97,-0.19,1.25,2.41,2.78,4.12,5.03,4.81,3.81,3.53,3.97,4.06,4.38,5.47,7.28,8.22,7.44,6.12,5.28,4.34,3.12,2.66,3.97,5.84,6.75,7.06,7.25,7.47,6.81,5.69,4.94,5.38,5.72,5.34,5.44,6.59,7.69,7.91,7.66,7.94,7.62,6.75,5.59,5.44,5.97,6.44,6.09,5.84,6.47,6.72,6.41,6.47,7.5,8.91,9.53,9.44,9.62,9.44,8.28,6.25,4.91,4.34,3.56,2.38,2.0,2.59,3.16,3.22,3.5,4.84,5.75,5.94,5.84,6.06,6.25,5.56,4.41,3.31,2.78,2.16,0.88,-0.03,-0.09,-0.03,-0.31,-0.44,0.94,2.81,4.19,4.97,6.22,7.22,7.31,6.19,5.31,5.56,5.94,5.5,5.25,5.69,5.84,4.91,3.91,3.91,4.28,4.16,3.72,4.31,5.06,5.84,5.5,5.12,5.22,4.88,3.47,2.88,3.12,4.06,4.5,4.47,5.31,6.03,6.03,5.44,5.03,4.75,3.69,1.59,-0.75,-2.62,-4.53,-6.47,58.78,57.72,56.69,55.28,53.62,52.28,50.94,49.22,47.66,45.72,44.72,43.97,43.62,43.59:27.97,28.62,28.53,27.03,25.03,24.62,24.41,23.53,22.47,21.0,20.0,18.19,15.88,14.38,14.56,15.25,15.38,15.69,16.78,17.81,17.62,16.59,16.19,15.97,15.41,15.09,15.5,17.31,18.81,19.38,20.09,21.25,22.09,22.0,21.47,22.09,22.88,22.75,22.56,23.28,24.25,24.25,23.47,23.0,22.94,22.31,20.69,18.84,18.12,17.62,15.97,14.66,14.81,15.59,15.53,15.41,16.12,17.59,18.16,18.44,18.75,19.84,20.19,19.34,18.56,18.75,18.72,17.88,16.62,16.22,16.28,15.34,14.44,14.03,14.38,14.72,14.38,14.38,15.62,16.31,15.88,15.0,15.09,15.56,14.75,13.72,14.03,14.41,14.47,13.31,13.16,13.62,13.62,13.22,13.31,14.53,15.62,16.0,16.41,17.41,18.5,17.97,16.94,16.12,15.62,14.66,13.5,12.62,13.16,13.09,12.16,11.03,10.38,9.06,7.31,5.84,5.88,7.19,8.16,9.19,10.69,12.72,14.16,14.38,14.84,15.91,16.22,15.5,14.41,14.12,13.44,11.97,10.09,9.78,10.56,11.5,12.53,14.31,16.5,17.47,16.62,15.22,14.34,13.41,12.09,11.44,12.62,13.97,14.5,15.09,16.53,18.28,19.5,20.62,21.41,22.75,23.06,22.03,20.81,20.0,18.84,16.59,14.12,12.66,11.97,10.81,9.84,10.0,10.62,11.03,10.5,10.5,11.81,13.0,14.22,16.03,18.56,20.88,21.66,21.22,21.06,20.84,19.97,19.12,18.97,19.53,19.84,18.94,18.47,18.41,17.75,16.28,15.25,15.59,17.03,18.16,19.5,21.56,23.16,23.84,23.84,24.53,26.31,27.53,27.5,26.88,26.31,25.38,23.22,21.12,19.88,18.81,16.97,14.53,13.47,12.66,11.97,10.94,10.72,11.91,13.16,13.41,14.16,15.84,16.91,17.19,17.34,18.62,19.59,19.75,19.19,19.25,19.25,18.62,18.03,17.72,18.19,18.78,18.47,17.97,18.47,19.03,19.06,18.59,18.44,18.19,17.22,15.25,13.31,11.94,10.84,9.28,9.12,10.56,13.25,15.44,17.66,20.72,23.06,24.25,24.09,24.56,24.09,22.41,20.59,18.22,16.66,14.84,12.25,10.31,9.88,9.94,9.81,10.31,11.53,12.41,12.03,10.94,10.16,10.06,9.75,9.84,10.75,12.12,13.06,12.97,12.94,13.75,15.0,15.53,16.06,16.84,17.22,16.5,14.81,13.41,12.5,12.06,10.88,10.91,11.88,12.72,12.81,12.38,12.66,13.53,14.16,15.47,17.75,20.06,21.5,21.53,20.97,20.16,18.75,16.28,14.25,13.12,12.03,10.59,9.47,9.25,9.38,8.72,8.31,8.78,10.28,11.78,12.94,14.94,16.84,18.53,19.16,19.28,19.69,19.47,18.12,16.56,14.81,13.5,11.28,8.62,6.66,5.56,4.75,4.03,4.19,5.16,6.59,7.41,8.5,10.0,11.41,12.09,12.06,12.44,12.69,11.88,10.53,9.69,9.19,8.88,7.88,8.06,9.78,12.66,15.5,18.88,22.47,25.5,26.19,25.59,24.34,22.66,19.72,15.47,11.59,8.53,5.88,3.41,2.25,2.66,3.69,4.0,4.44,5.12,6.12,6.56,6.84,7.69,9.69,11.09,11.91,13.0,14.66,15.47,15.03,13.94,13.38,12.38,10.78,9.22,8.12,7.44,5.84,4.12,2.19,0.78,-0.88,-2.84,-4.44,-4.28,-3.09,-2.06,-0.41,1.72,4.09,5.69,6.47,7.41,8.53,8.97,8.88,8.78,9.44,9.72,9.44,9.03,9.53,10.38,10.34,10.22,10.75,10.78,10.16,9.69,9.38,9.81,10.69,11.12,11.5,12.5,12.94,12.03,10.91,10.38,9.91,9.06,8.62,9.41,11.75,14.03,16.53,18.75,20.91,21.81,21.81,21.53,22.06,22.53,22.22,21.16,20.75,20.06,18.22,16.47,16.0,16.25,16.22,16.06,16.28,16.97,17.22,16.91,16.44,16.41,15.66,13.97,11.88,10.53,9.66,8.59,8.59,9.94,12.84,16.06,19.22,22.12,24.81,26.5,26.62,26.09,26.06,25.81,24.84,23.59,22.81,22.0,19.94,17.78,15.66,14.88,14.12,13.75,13.53,14.0,14.41,13.72,12.72,12.56,12.44,11.75,11.41,12.0,13.47,14.38,14.88,15.09,15.69,15.78,15.59,15.41,16.28,17.09,17.25,16.78,16.97,17.12,15.94,13.5,11.5,9.59,7.84,6.59,6.47,8.66,10.91,13.38,16.06,19.44,22.62,24.78,25.78,26.25,26.03,24.59,22.12,20.0,17.94,15.53,12.03,8.41,5.69,2.78,-0.56,-3.66,-5.53,-6.94,-8.75,-10.09,-9.75,-8.22,-6.38,-4.59,-2.09,0.94,3.56,5.5,6.88,9.31,10.56,10.41,9.03,7.84,6.25,3.94,1.81,1.0,1.62,2.41,2.69,3.25,4.41,4.94,4.53,3.78,3.44,3.34,2.56,1.75,2.69,4.34,5.91,6.81,8.12,9.41,9.78,9.28,9.06,9.53,10.75,11.16,11.5,12.28,12.75,12.22,11.03,10.69,10.81,10.22,9.25,9.25,10.03,10.62,10.88,10.91,11.62,12.06,11.78,11.5,12.19,13.03,13.75,13.91,15.41,16.69,16.75,16.94,17.16,18.5,19.75,20.0,19.75,19.06,17.12,13.56,9.81,6.97,5.56,4.03,2.78,3.06,4.12,4.75,5.06,5.91,7.22,8.41,9.06,9.56,10.75,12.09,12.28,11.78,11.88,11.69,10.84,9.62,9.41,10.56,11.97,13.44,14.84,16.38,17.16,16.38,14.59,13.06,11.84,9.47,6.78,5.19,3.91,2.44,0.88,0.16,0.78,2.28,3.25,5.38,8.84,12.56,14.84,16.91,19.31,21.56,22.31,22.16,21.88,21.56,20.56,18.19,16.62,15.88,14.47,11.5,8.31,5.78,3.25,0.5,-1.72,-2.19,-1.12,0.19,2.0,5.0,8.47,11.5,13.53,15.12,17.47,19.47,20.44,20.88,22.34,23.75,23.97,24.25,24.97,25.94,25.62,24.41,23.53,23.09,22.0,20.0,18.69,18.25,17.44,15.72,13.69,12.34,11.25,9.28,7.16,6.19,6.16,5.56,5.0,5.75,7.69,9.5,9.75,9.88,9.66,8.44,6.25,4.75,5.03,6.62,7.94,9.41,11.28,13.31,13.97,13.56,13.28,13.28,12.78,11.19,9.78,9.41,9.31,8.34,7.88,8.91,10.97,11.72,12.16,12.38,12.5,11.34,9.62,8.69,8.62,8.97,8.44,8.41,9.53,10.72,10.47,10.38,10.47,10.62,10.31,9.28,9.12,9.09,8.53,6.81,5.03,4.28,3.91,2.72,2.81,3.91,5.5,5.31,4.66,4.59,4.88,4.12,3.34,3.25,4.19,4.75,4.69,5.28,6.94,8.09,8.22,7.97,8.12,8.62,8.0,7.34,7.75,8.88,9.44,9.09,8.88,8.81,8.72,7.59,6.88,7.59,8.59,8.66,7.75,7.22,6.59,4.69,2.81,2.34,2.75,3.19,3.12,3.25,4.09,4.81,4.53,3.91,4.5,4.88,3.91,3.19,3.78,5.34,6.25,7.47,8.94,10.75,11.88,11.53,11.28,11.88,12.09,10.91,9.94,9.62,9.47,8.0,6.28,4.75,3.53,1.59,-0.41,-0.97,-0.41,0.75,2.06,3.62,6.12,8.5,9.34,9.56,10.12,10.16,8.69,6.78,5.16,4.38,2.84,1.44,0.34,0.44,0.34,-0.16,-0.22,0.59,1.59,1.34,0.59,0.91,1.16,0.84,0.06,0.34,1.31,1.94,2.38,3.62,5.28,6.28,5.84,4.66,4.06,3.38,2.31,1.16,1.59,3.06,4.19,5.5,7.28,9.06,9.16,7.78,5.53,4.0,2.66,0.91,-0.34,-0.03,0.47,0.0,-0.66,0.0,1.41,2.66,4.16,6.5,9.97,12.5,13.88,14.75,15.66,15.5,14.03,12.56,12.03,12.0,11.16,10.5,10.47,10.88,10.44,9.91,9.53,10.56,11.16,11.12,11.66,13.16,14.72,15.16,14.75,14.78,14.47,12.69,10.22,9.19,9.03,8.41,7.38,6.75,6.88,6.59,5.88,5.81,7.03,8.28,8.28,8.06,8.12,8.47,7.97,7.09,6.88,7.97,8.28,7.47,6.97,7.22,6.84,6.12,5.75,6.62,7.28,7.19,6.28,5.66,5.44,4.34,2.25,0.78,-0.03,-0.94,-1.88,-1.97,-0.19,1.25,2.41,2.78,4.12,5.03,4.81,3.81,3.53,3.97,4.06,4.38,5.47,7.28,8.22,7.44,6.12,5.28,4.34,3.12,2.66,3.97,5.84,6.75,7.06,7.25,7.47,6.81,5.69,4.94,5.38,5.72,5.34,5.44,6.59,7.69,7.91,7.66,7.94,7.62,6.75,5.59,5.44,5.97,6.44,6.09,5.84,6.47,6.72,6.41,6.47,7.5,8.91,9.53,9.44,9.62,9.44,8.28,6.25,4.91,4.34,3.56,2.38,2.0,2.59,3.16,3.22,3.5,4.84,5.75,5.94,5.84,6.06,6.25,5.56,4.41,3.31,2.78,2.16,0.88,-0.03,-0.09,-0.03,-0.31,-0.44,0.94,2.81,4.19,4.97,6.22,7.22,7.31,6.19,5.31,5.56,5.94,5.5,5.25,5.69,5.84,4.91,3.91,3.91,4.28,4.16,3.72,4.31,5.06,5.84,5.5,5.12,5.22,4.88,3.47,2.88,3.12,4.06,4.5,4.47,5.31,6.03,6.03,5.44,5.03,4.75,3.69,1.59,-0.75,-2.62,-4.53,-6.47,58.78,57.72,56.69,55.28,53.62,52.28,50.94,49.22,47.66,45.72,44.72,43.97,43.62,43.59,45.03,47.06,49.72,52.75,55.97,58.97,60.75:23.53,22.47,21.0,20.0,18.19,15.88,14.38,14.56,15.25,15.38,15.69,16.78,17.81,17.62,16.59,16.19,15.97,15.41,15.09,15.5,17.31,18.81,19.38,20.09,21.25,22.09,22.0,21.47,22.09,22.88,22.75,22.56,23.28,24.25,24.25,23.47,23.0,22.94,22.31,20.69,18.84,18.12,17.62,15.97,14.66,14.81,15.59,15.53,15.41,16.12,17.59,18.16,18.44,18.75,19.84,20.19,19.34,18.56,18.75,18.72,17.88,16.62,16.22,16.28,15.34,14.44,14.03,14.38,14.72,14.38,14.38,15.62,16.31,15.88,15.0,15.09,15.56,14.75,13.72,14.03,14.41,14.47,13.31,13.16,13.62,13.62,13.22,13.31,14.53,15.62,16.0,16.41,17.41,18.5,17.97,16.94,16.12,15.62,14.66,13.5,12.62,13.16,13.09,12.16,11.03,10.38,9.06,7.31,5.84,5.88,7.19,8.16,9.19,10.69,12.72,14.16,14.38,14.84,15.91,16.22,15.5,14.41,14.12,13.44,11.97,10.09,9.78,10.56,11.5,12.53,14.31,16.5,17.47,16.62,15.22,14.34,13.41,12.09,11.44,12.62,13.97,14.5,15.09,16.53,18.28,19.5,20.62,21.41,22.75,23.06,22.03,20.81,20.0,18.84,16.59,14.12,12.66,11.97,10.81,9.84,10.0,10.62,11.03,10.5,10.5,11.81,13.0,14.22,16.03,18.56,20.88,21.66,21.22,21.06,20.84,19.97,19.12,18.97,19.53,19.84,18.94,18.47,18.41,17.75,16.28,15.25,15.59,17.03,18.16,19.5,21.56,23.16,23.84,23.84,24.53,26.31,27.53,27.5,26.88,26.31,25.38,23.22,21.12,19.88,18.81,16.97,14.53,13.47,12.66,11.97,10.94,10.72,11.91,13.16,13.41,14.16,15.84,16.91,17.19,17.34,18.62,19.59,19.75,19.19,19.25,19.25,18.62,18.03,17.72,18.19,18.78,18.47,17.97,18.47,19.03,19.06,18.59,18.44,18.19,17.22,15.25,13.31,11.94,10.84,9.28,9.12,10.56,13.25,15.44,17.66,20.72,23.06,24.25,24.09,24.56,24.09,22.41,20.59,18.22,16.66,14.84,12.25,10.31,9.88,9.94,9.81,10.31,11.53,12.41,12.03,10.94,10.16,10.06,9.75,9.84,10.75,12.12,13.06,12.97,12.94,13.75,15.0,15.53,16.06,16.84,17.22,16.5,14.81,13.41,12.5,12.06,10.88,10.91,11.88,12.72,12.81,12.38,12.66,13.53,14.16,15.47,17.75,20.06,21.5,21.53,20.97,20.16,18.75,16.28,14.25,13.12,12.03,10.59,9.47,9.25,9.38,8.72,8.31,8.78,10.28,11.78,12.94,14.94,16.84,18.53,19.16,19.28,19.69,19.47,18.12,16.56,14.81,13.5,11.28,8.62,6.66,5.56,4.75,4.03,4.19,5.16,6.59,7.41,8.5,10.0,11.41,12.09,12.06,12.44,12.69,11.88,10.53,9.69,9.19,8.88,7.88,8.06,9.78,12.66,15.5,18.88,22.47,25.5,26.19,25.59,24.34,22.66,19.72,15.47,11.59,8.53,5.88,3.41,2.25,2.66,3.69,4.0,4.44,5.12,6.12,6.56,6.84,7.69,9.69,11.09,11.91,13.0,14.66,15.47,15.03,13.94,13.38,12.38,10.78,9.22,8.12,7.44,5.84,4.12,2.19,0.78,-0.88,-2.84,-4.44,-4.28,-3.09,-2.06,-0.41,1.72,4.09,5.69,6.47,7.41,8.53,8.97,8.88,8.78,9.44,9.72,9.44,9.03,9.53,10.38,10.34,10.22,10.75,10.78,10.16,9.69,9.38,9.81,10.69,11.12,11.5,12.5,12.94,12.03,10.91,10.38,9.91,9.06,8.62,9.41,11.75,14.03,16.53,18.75,20.91,21.81,21.81,21.53,22.06,22.53,22.22,21.16,20.75,20.06,18.22,16.47,16.0,16.25,16.22,16.06,16.28,16.97,17.22,16.91,16.44,16.41,15.66,13.97,11.88,10.53,9.66,8.59,8.59,9.94,12.84,16.06,19.22,22.12,24.81,26.5,26.62,26.09,26.06,25.81,24.84,23.59,22.81,22.0,19.94,17.78,15.66,14.88,14.12,13.75,13.53,14.0,14.41,13.72,12.72,12.56,12.44,11.75,11.41,12.0,13.47,14.38,14.88,15.09,15.69,15.78,15.59,15.41,16.28,17.09,17.25,16.78,16.97,17.12,15.94,13.5,11.5,9.59,7.84,6.59,6.47,8.66,10.91,13.38,16.06,19.44,22.62,24.78,25.78,26.25,26.03,24.59,22.12,20.0,17.94,15.53,12.03,8.41,5.69,2.78,-0.56,-3.66,-5.53,-6.94,-8.75,-10.09,-9.75,-8.22,-6.38,-4.59,-2.09,0.94,3.56,5.5,6.88,9.31,10.56,10.41,9.03,7.84,6.25,3.94,1.81,1.0,1.62,2.41,2.69,3.25,4.41,4.94,4.53,3.78,3.44,3.34,2.56,1.75,2.69,4.34,5.91,6.81,8.12,9.41,9.78,9.28,9.06,9.53,10.75,11.16,11.5,12.28,12.75,12.22,11.03,10.69,10.81,10.22,9.25,9.25,10.03,10.62,10.88,10.91,11.62,12.06,11.78,11.5,12.19,13.03,13.75,13.91,15.41,16.69,16.75,16.94,17.16,18.5,19.75,20.0,19.75,19.06,17.12,13.56,9.81,6.97,5.56,4.03,2.78,3.06,4.12,4.75,5.06,5.91,7.22,8.41,9.06,9.56,10.75,12.09,12.28,11.78,11.88,11.69,10.84,9.62,9.41,10.56,11.97,13.44,14.84,16.38,17.16,16.38,14.59,13.06,11.84,9.47,6.78,5.19,3.91,2.44,0.88,0.16,0.78,2.28,3.25,5.38,8.84,12.56,14.84,16.91,19.31,21.56,22.31,22.16,21.88,21.56,20.56,18.19,16.62,15.88,14.47,11.5,8.31,5.78,3.25,0.5,-1.72,-2.19,-1.12,0.19,2.0,5.0,8.47,11.5,13.53,15.12,17.47,19.47,20.44,20.88,22.34,23.75,23.97,24.25,24.97,25.94,25.62,24.41,23.53,23.09,22.0,20.0,18.69,18.25,17.44,15.72,13.69,12.34,11.25,9.28,7.16,6.19,6.16,5.56,5.0,5.75,7.69,9.5,9.75,9.88,9.66,8.44,6.25,4.75,5.03,6.62,7.94,9.41,11.28,13.31,13.97,13.56,13.28,13.28,12.78,11.19,9.78,9.41,9.31,8.34,7.88,8.91,10.97,11.72,12.16,12.38,12.5,11.34,9.62,8.69,8.62,8.97,8.44,8.41,9.53,10.72,10.47,10.38,10.47,10.62,10.31,9.28,9.12,9.09,8.53,6.81,5.03,4.28,3.91,2.72,2.81,3.91,5.5,5.31,4.66,4.59,4.88,4.12,3.34,3.25,4.19,4.75,4.69,5.28,6.94,8.09,8.22,7.97,8.12,8.62,8.0,7.34,7.75,8.88,9.44,9.09,8.88,8.81,8.72,7.59,6.88,7.59,8.59,8.66,7.75,7.22,6.59,4.69,2.81,2.34,2.75,3.19,3.12,3.25,4.09,4.81,4.53,3.91,4.5,4.88,3.91,3.19,3.78,5.34,6.25,7.47,8.94,10.75,11.88,11.53,11.28,11.88,12.09,10.91,9.94,9.62,9.47,8.0,6.28,4.75,3.53,1.59,-0.41,-0.97,-0.41,0.75,2.06,3.62,6.12,8.5,9.34,9.56,10.12,10.16,8.69,6.78,5.16,4.38,2.84,1.44,0.34,0.44,0.34,-0.16,-0.22,0.59,1.59,1.34,0.59,0.91,1.16,0.84,0.06,0.34,1.31,1.94,2.38,3.62,5.28,6.28,5.84,4.66,4.06,3.38,2.31,1.16,1.59,3.06,4.19,5.5,7.28,9.06,9.16,7.78,5.53,4.0,2.66,0.91,-0.34,-0.03,0.47,0.0,-0.66,0.0,1.41,2.66,4.16,6.5,9.97,12.5,13.88,14.75,15.66,15.5,14.03,12.56,12.03,12.0,11.16,10.5,10.47,10.88,10.44,9.91,9.53,10.56,11.16,11.12,11.66,13.16,14.72,15.16,14.75,14.78,14.47,12.69,10.22,9.19,9.03,8.41,7.38,6.75,6.88,6.59,5.88,5.81,7.03,8.28,8.28,8.06,8.12,8.47,7.97,7.09,6.88,7.97,8.28,7.47,6.97,7.22,6.84,6.12,5.75,6.62,7.28,7.19,6.28,5.66,5.44,4.34,2.25,0.78,-0.03,-0.94,-1.88,-1.97,-0.19,1.25,2.41,2.78,4.12,5.03,4.81,3.81,3.53,3.97,4.06,4.38,5.47,7.28,8.22,7.44,6.12,5.28,4.34,3.12,2.66,3.97,5.84,6.75,7.06,7.25,7.47,6.81,5.69,4.94,5.38,5.72,5.34,5.44,6.59,7.69,7.91,7.66,7.94,7.62,6.75,5.59,5.44,5.97,6.44,6.09,5.84,6.47,6.72,6.41,6.47,7.5,8.91,9.53,9.44,9.62,9.44,8.28,6.25,4.91,4.34,3.56,2.38,2.0,2.59,3.16,3.22,3.5,4.84,5.75,5.94,5.84,6.06,6.25,5.56,4.41,3.31,2.78,2.16,0.88,-0.03,-0.09,-0.03,-0.31,-0.44,0.94,2.81,4.19,4.97,6.22,7.22,7.31,6.19,5.31,5.56,5.94,5.5,5.25,5.69,5.84,4.91,3.91,3.91,4.28,4.16,3.72,4.31,5.06,5.84,5.5,5.12,5.22,4.88,3.47,2.88,3.12,4.06,4.5,4.47,5.31,6.03,6.03,5.44,5.03,4.75,3.69,1.59,-0.75,-2.62,-4.53,-6.47,58.78,57.72,56.69,55.28,53.62,52.28,50.94,49.22,47.66,45.72,44.72,43.97,43.62,43.59,45.03,47.06,49.72,52.75,55.97,58.97,60.75,61.41,61.5,61.44,60.78,59.94,59.31,59.5:14.56,15.25,15.38,15.69,16.78,17.81,17.62,16.59,16.19,15.97,15.41,15.09,15.5,17.31,18.81,19.38,20.09,21.25,22.09,22.0,21.47,22.09,22.88,22.75,22.56,23.28,24.25,24.25,23.47,23.0,22.94,22.31,20.69,18.84,18.12,17.62,15.97,14.66,14.81,15.59,15.53,15.41,16.12,17.59,18.16,18.44,18.75,19.84,20.19,19.34,18.56,18.75,18.72,17.88,16.62,16.22,16.28,15.34,14.44,14.03,14.38,14.72,14.38,14.38,15.62,16.31,15.88,15.0,15.09,15.56,14.75,13.72,14.03,14.41,14.47,13.31,13.16,13.62,13.62,13.22,13.31,14.53,15.62,16.0,16.41,17.41,18.5,17.97,16.94,16.12,15.62,14.66,13.5,12.62,13.16,13.09,12.16,11.03,10.38,9.06,7.31,5.84,5.88,7.19,8.16,9.19,10.69,12.72,14.16,14.38,14.84,15.91,16.22,15.5,14.41,14.12,13.44,11.97,10.09,9.78,10.56,11.5,12.53,14.31,16.5,17.47,16.62,15.22,14.34,13.41,12.09,11.44,12.62,13.97,14.5,15.09,16.53,18.28,19.5,20.62,21.41,22.75,23.06,22.03,20.81,20.0,18.84,16.59,14.12,12.66,11.97,10.81,9.84,10.0,10.62,11.03,10.5,10.5,11.81,13.0,14.22,16.03,18.56,20.88,21.66,21.22,21.06,20.84,19.97,19.12,18.97,19.53,19.84,18.94,18.47,18.41,17.75,16.28,15.25,15.59,17.03,18.16,19.5,21.56,23.16,23.84,23.84,24.53,26.31,27.53,27.5,26.88,26.31,25.38,23.22,21.12,19.88,18.81,16.97,14.53,13.47,12.66,11.97,10.94,10.72,11.91,13.16,13.41,14.16,15.84,16.91,17.19,17.34,18.62,19.59,19.75,19.19,19.25,19.25,18.62,18.03,17.72,18.19,18.78,18.47,17.97,18.47,19.03,19.06,18.59,18.44,18.19,17.22,15.25,13.31,11.94,10.84,9.28,9.12,10.56,13.25,15.44,17.66,20.72,23.06,24.25,24.09,24.56,24.09,22.41,20.59,18.22,16.66,14.84,12.25,10.31,9.88,9.94,9.81,10.31,11.53,12.41,12.03,10.94,10.16,10.06,9.75,9.84,10.75,12.12,13.06,12.97,12.94,13.75,15.0,15.53,16.06,16.84,17.22,16.5,14.81,13.41,12.5,12.06,10.88,10.91,11.88,12.72,12.81,12.38,12.66,13.53,14.16,15.47,17.75,20.06,21.5,21.53,20.97,20.16,18.75,16.28,14.25,13.12,12.03,10.59,9.47,9.25,9.38,8.72,8.31,8.78,10.28,11.78,12.94,14.94,16.84,18.53,19.16,19.28,19.69,19.47,18.12,16.56,14.81,13.5,11.28,8.62,6.66,5.56,4.75,4.03,4.19,5.16,6.59,7.41,8.5,10.0,11.41,12.09,12.06,12.44,12.69,11.88,10.53,9.69,9.19,8.88,7.88,8.06,9.78,12.66,15.5,18.88,22.47,25.5,26.19,25.59,24.34,22.66,19.72,15.47,11.59,8.53,5.88,3.41,2.25,2.66,3.69,4.0,4.44,5.12,6.12,6.56,6.84,7.69,9.69,11.09,11.91,13.0,14.66,15.47,15.03,13.94,13.38,12.38,10.78,9.22,8.12,7.44,5.84,4.12,2.19,0.78,-0.88,-2.84,-4.44,-4.28,-3.09,-2.06,-0.41,1.72,4.09,5.69,6.47,7.41,8.53,8.97,8.88,8.78,9.44,9.72,9.44,9.03,9.53,10.38,10.34,10.22,10.75,10.78,10.16,9.69,9.38,9.81,10.69,11.12,11.5,12.5,12.94,12.03,10.91,10.38,9.91,9.06,8.62,9.41,11.75,14.03,16.53,18.75,20.91,21.81,21.81,21.53,22.06,22.53,22.22,21.16,20.75,20.06,18.22,16.47,16.0,16.25,16.22,16.06,16.28,16.97,17.22,16.91,16.44,16.41,15.66,13.97,11.88,10.53,9.66,8.59,8.59,9.94,12.84,16.06,19.22,22.12,24.81,26.5,26.62,26.09,26.06,25.81,24.84,23.59,22.81,22.0,19.94,17.78,15.66,14.88,14.12,13.75,13.53,14.0,14.41,13.72,12.72,12.56,12.44,11.75,11.41,12.0,13.47,14.38,14.88,15.09,15.69,15.78,15.59,15.41,16.28,17.09,17.25,16.78,16.97,17.12,15.94,13.5,11.5,9.59,7.84,6.59,6.47,8.66,10.91,13.38,16.06,19.44,22.62,24.78,25.78,26.25,26.03,24.59,22.12,20.0,17.94,15.53,12.03,8.41,5.69,2.78,-0.56,-3.66,-5.53,-6.94,-8.75,-10.09,-9.75,-8.22,-6.38,-4.59,-2.09,0.94,3.56,5.5,6.88,9.31,10.56,10.41,9.03,7.84,6.25,3.94,1.81,1.0,1.62,2.41,2.69,3.25,4.41,4.94,4.53,3.78,3.44,3.34,2.56,1.75,2.69,4.34,5.91,6.81,8.12,9.41,9.78,9.28,9.06,9.53,10.75,11.16,11.5,12.28,12.75,12.22,11.03,10.69,10.81,10.22,9.25,9.25,10.03,10.62,10.88,10.91,11.62,12.06,11.78,11.5,12.19,13.03,13.75,13.91,15.41,16.69,16.75,16.94,17.16,18.5,19.75,20.0,19.75,19.06,17.12,13.56,9.81,6.97,5.56,4.03,2.78,3.06,4.12,4.75,5.06,5.91,7.22,8.41,9.06,9.56,10.75,12.09,12.28,11.78,11.88,11.69,10.84,9.62,9.41,10.56,11.97,13.44,14.84,16.38,17.16,16.38,14.59,13.06,11.84,9.47,6.78,5.19,3.91,2.44,0.88,0.16,0.78,2.28,3.25,5.38,8.84,12.56,14.84,16.91,19.31,21.56,22.31,22.16,21.88,21.56,20.56,18.19,16.62,15.88,14.47,11.5,8.31,5.78,3.25,0.5,-1.72,-2.19,-1.12,0.19,2.0,5.0,8.47,11.5,13.53,15.12,17.47,19.47,20.44,20.88,22.34,23.75,23.97,24.25,24.97,25.94,25.62,24.41,23.53,23.09,22.0,20.0,18.69,18.25,17.44,15.72,13.69,12.34,11.25,9.28,7.16,6.19,6.16,5.56,5.0,5.75,7.69,9.5,9.75,9.88,9.66,8.44,6.25,4.75,5.03,6.62,7.94,9.41,11.28,13.31,13.97,13.56,13.28,13.28,12.78,11.19,9.78,9.41,9.31,8.34,7.88,8.91,10.97,11.72,12.16,12.38,12.5,11.34,9.62,8.69,8.62,8.97,8.44,8.41,9.53,10.72,10.47,10.38,10.47,10.62,10.31,9.28,9.12,9.09,8.53,6.81,5.03,4.28,3.91,2.72,2.81,3.91,5.5,5.31,4.66,4.59,4.88,4.12,3.34,3.25,4.19,4.75,4.69,5.28,6.94,8.09,8.22,7.97,8.12,8.62,8.0,7.34,7.75,8.88,9.44,9.09,8.88,8.81,8.72,7.59,6.88,7.59,8.59,8.66,7.75,7.22,6.59,4.69,2.81,2.34,2.75,3.19,3.12,3.25,4.09,4.81,4.53,3.91,4.5,4.88,3.91,3.19,3.78,5.34,6.25,7.47,8.94,10.75,11.88,11.53,11.28,11.88,12.09,10.91,9.94,9.62,9.47,8.0,6.28,4.75,3.53,1.59,-0.41,-0.97,-0.41,0.75,2.06,3.62,6.12,8.5,9.34,9.56,10.12,10.16,8.69,6.78,5.16,4.38,2.84,1.44,0.34,0.44,0.34,-0.16,-0.22,0.59,1.59,1.34,0.59,0.91,1.16,0.84,0.06,0.34,1.31,1.94,2.38,3.62,5.28,6.28,5.84,4.66,4.06,3.38,2.31,1.16,1.59,3.06,4.19,5.5,7.28,9.06,9.16,7.78,5.53,4.0,2.66,0.91,-0.34,-0.03,0.47,0.0,-0.66,0.0,1.41,2.66,4.16,6.5,9.97,12.5,13.88,14.75,15.66,15.5,14.03,12.56,12.03,12.0,11.16,10.5,10.47,10.88,10.44,9.91,9.53,10.56,11.16,11.12,11.66,13.16,14.72,15.16,14.75,14.78,14.47,12.69,10.22,9.19,9.03,8.41,7.38,6.75,6.88,6.59,5.88,5.81,7.03,8.28,8.28,8.06,8.12,8.47,7.97,7.09,6.88,7.97,8.28,7.47,6.97,7.22,6.84,6.12,5.75,6.62,7.28,7.19,6.28,5.66,5.44,4.34,2.25,0.78,-0.03,-0.94,-1.88,-1.97,-0.19,1.25,2.41,2.78,4.12,5.03,4.81,3.81,3.53,3.97,4.06,4.38,5.47,7.28,8.22,7.44,6.12,5.28,4.34,3.12,2.66,3.97,5.84,6.75,7.06,7.25,7.47,6.81,5.69,4.94,5.38,5.72,5.34,5.44,6.59,7.69,7.91,7.66,7.94,7.62,6.75,5.59,5.44,5.97,6.44,6.09,5.84,6.47,6.72,6.41,6.47,7.5,8.91,9.53,9.44,9.62,9.44,8.28,6.25,4.91,4.34,3.56,2.38,2.0,2.59,3.16,3.22,3.5,4.84,5.75,5.94,5.84,6.06,6.25,5.56,4.41,3.31,2.78,2.16,0.88,-0.03,-0.09,-0.03,-0.31,-0.44,0.94,2.81,4.19,4.97,6.22,7.22,7.31,6.19,5.31,5.56,5.94,5.5,5.25,5.69,5.84,4.91,3.91,3.91,4.28,4.16,3.72,4.31,5.06,5.84,5.5,5.12,5.22,4.88,3.47,2.88,3.12,4.06,4.5,4.47,5.31,6.03,6.03,5.44,5.03,4.75,3.69,1.59,-0.75,-2.62,-4.53,-6.47,58.78,57.72,56.69,55.28,53.62,52.28,50.94,49.22,47.66,45.72,44.72,43.97,43.62,43.59,45.03,47.06,49.72,52.75,55.97,58.97,60.75,61.41,61.5,61.44,60.78,59.94,59.31,59.5,59.19,58.25,56.84,55.31,53.81,51.88,50.59:16.59,16.19,15.97,15.41,15.09,15.5,17.31,18.81,19.38,20.09,21.25,22.09,22.0,21.47,22.09,22.88,22.75,22.56,23.28,24.25,24.25,23.47,23.0,22.94,22.31,20.69,18.84,18.12,17.62,15.97,14.66,14.81,15.59,15.53,15.41,16.12,17.59,18.16,18.44,18.75,19.84,20.19,19.34,18.56,18.75,18.72,17.88,16.62,16.22,16.28,15.34,14.44,14.03,14.38,14.72,14.38,14.38,15.62,16.31,15.88,15.0,15.09,15.56,14.75,13.72,14.03,14.41,14.47,13.31,13.16,13.62,13.62,13.22,13.31,14.53,15.62,16.0,16.41,17.41,18.5,17.97,16.94,16.12,15.62,14.66,13.5,12.62,13.16,13.09,12.16,11.03,10.38,9.06,7.31,5.84,5.88,7.19,8.16,9.19,10.69,12.72,14.16,14.38,14.84,15.91,16.22,15.5,14.41,14.12,13.44,11.97,10.09,9.78,10.56,11.5,12.53,14.31,16.5,17.47,16.62,15.22,14.34,13.41,12.09,11.44,12.62,13.97,14.5,15.09,16.53,18.28,19.5,20.62,21.41,22.75,23.06,22.03,20.81,20.0,18.84,16.59,14.12,12.66,11.97,10.81,9.84,10.0,10.62,11.03,10.5,10.5,11.81,13.0,14.22,16.03,18.56,20.88,21.66,21.22,21.06,20.84,19.97,19.12,18.97,19.53,19.84,18.94,18.47,18.41,17.75,16.28,15.25,15.59,17.03,18.16,19.5,21.56,23.16,23.84,23.84,24.53,26.31,27.53,27.5,26.88,26.31,25.38,23.22,21.12,19.88,18.81,16.97,14.53,13.47,12.66,11.97,10.94,10.72,11.91,13.16,13.41,14.16,15.84,16.91,17.19,17.34,18.62,19.59,19.75,19.19,19.25,19.25,18.62,18.03,17.72,18.19,18.78,18.47,17.97,18.47,19.03,19.06,18.59,18.44,18.19,17.22,15.25,13.31,11.94,10.84,9.28,9.12,10.56,13.25,15.44,17.66,20.72,23.06,24.25,24.09,24.56,24.09,22.41,20.59,18.22,16.66,14.84,12.25,10.31,9.88,9.94,9.81,10.31,11.53,12.41,12.03,10.94,10.16,10.06,9.75,9.84,10.75,12.12,13.06,12.97,12.94,13.75,15.0,15.53,16.06,16.84,17.22,16.5,14.81,13.41,12.5,12.06,10.88,10.91,11.88,12.72,12.81,12.38,12.66,13.53,14.16,15.47,17.75,20.06,21.5,21.53,20.97,20.16,18.75,16.28,14.25,13.12,12.03,10.59,9.47,9.25,9.38,8.72,8.31,8.78,10.28,11.78,12.94,14.94,16.84,18.53,19.16,19.28,19.69,19.47,18.12,16.56,14.81,13.5,11.28,8.62,6.66,5.56,4.75,4.03,4.19,5.16,6.59,7.41,8.5,10.0,11.41,12.09,12.06,12.44,12.69,11.88,10.53,9.69,9.19,8.88,7.88,8.06,9.78,12.66,15.5,18.88,22.47,25.5,26.19,25.59,24.34,22.66,19.72,15.47,11.59,8.53,5.88,3.41,2.25,2.66,3.69,4.0,4.44,5.12,6.12,6.56,6.84,7.69,9.69,11.09,11.91,13.0,14.66,15.47,15.03,13.94,13.38,12.38,10.78,9.22,8.12,7.44,5.84,4.12,2.19,0.78,-0.88,-2.84,-4.44,-4.28,-3.09,-2.06,-0.41,1.72,4.09,5.69,6.47,7.41,8.53,8.97,8.88,8.78,9.44,9.72,9.44,9.03,9.53,10.38,10.34,10.22,10.75,10.78,10.16,9.69,9.38,9.81,10.69,11.12,11.5,12.5,12.94,12.03,10.91,10.38,9.91,9.06,8.62,9.41,11.75,14.03,16.53,18.75,20.91,21.81,21.81,21.53,22.06,22.53,22.22,21.16,20.75,20.06,18.22,16.47,16.0,16.25,16.22,16.06,16.28,16.97,17.22,16.91,16.44,16.41,15.66,13.97,11.88,10.53,9.66,8.59,8.59,9.94,12.84,16.06,19.22,22.12,24.81,26.5,26.62,26.09,26.06,25.81,24.84,23.59,22.81,22.0,19.94,17.78,15.66,14.88,14.12,13.75,13.53,14.0,14.41,13.72,12.72,12.56,12.44,11.75,11.41,12.0,13.47,14.38,14.88,15.09,15.69,15.78,15.59,15.41,16.28,17.09,17.25,16.78,16.97,17.12,15.94,13.5,11.5,9.59,7.84,6.59,6.47,8.66,10.91,13.38,16.06,19.44,22.62,24.78,25.78,26.25,26.03,24.59,22.12,20.0,17.94,15.53,12.03,8.41,5.69,2.78,-0.56,-3.66,-5.53,-6.94,-8.75,-10.09,-9.75,-8.22,-6.38,-4.59,-2.09,0.94,3.56,5.5,6.88,9.31,10.56,10.41,9.03,7.84,6.25,3.94,1.81,1.0,1.62,2.41,2.69,3.25,4.41,4.94,4.53,3.78,3.44,3.34,2.56,1.75,2.69,4.34,5.91,6.81,8.12,9.41,9.78,9.28,9.06,9.53,10.75,11.16,11.5,12.28,12.75,12.22,11.03,10.69,10.81,10.22,9.25,9.25,10.03,10.62,10.88,10.91,11.62,12.06,11.78,11.5,12.19,13.03,13.75,13.91,15.41,16.69,16.75,16.94,17.16,18.5,19.75,20.0,19.75,19.06,17.12,13.56,9.81,6.97,5.56,4.03,2.78,3.06,4.12,4.75,5.06,5.91,7.22,8.41,9.06,9.56,10.75,12.09,12.28,11.78,11.88,11.69,10.84,9.62,9.41,10.56,11.97,13.44,14.84,16.38,17.16,16.38,14.59,13.06,11.84,9.47,6.78,5.19,3.91,2.44,0.88,0.16,0.78,2.28,3.25,5.38,8.84,12.56,14.84,16.91,19.31,21.56,22.31,22.16,21.88,21.56,20.56,18.19,16.62,15.88,14.47,11.5,8.31,5.78,3.25,0.5,-1.72,-2.19,-1.12,0.19,2.0,5.0,8.47,11.5,13.53,15.12,17.47,19.47,20.44,20.88,22.34,23.75,23.97,24.25,24.97,25.94,25.62,24.41,23.53,23.09,22.0,20.0,18.69,18.25,17.44,15.72,13.69,12.34,11.25,9.28,7.16,6.19,6.16,5.56,5.0,5.75,7.69,9.5,9.75,9.88,9.66,8.44,6.25,4.75,5.03,6.62,7.94,9.41,11.28,13.31,13.97,13.56,13.28,13.28,12.78,11.19,9.78,9.41,9.31,8.34,7.88,8.91,10.97,11.72,12.16,12.38,12.5,11.34,9.62,8.69,8.62,8.97,8.44,8.41,9.53,10.72,10.47,10.38,10.47,10.62,10.31,9.28,9.12,9.09,8.53,6.81,5.03,4.28,3.91,2.72,2.81,3.91,5.5,5.31,4.66,4.59,4.88,4.12,3.34,3.25,4.19,4.75,4.69,5.28,6.94,8.09,8.22,7.97,8.12,8.62,8.0,7.34,7.75,8.88,9.44,9.09,8.88,8.81,8.72,7.59,6.88,7.59,8.59,8.66,7.75,7.22,6.59,4.69,2.81,2.34,2.75,3.19,3.12,3.25,4.09,4.81,4.53,3.91,4.5,4.88,3.91,3.19,3.78,5.34,6.25,7.47,8.94,10.75,11.88,11.53,11.28,11.88,12.09,10.91,9.94,9.62,9.47,8.0,6.28,4.75,3.53,1.59,-0.41,-0.97,-0.41,0.75,2.06,3.62,6.12,8.5,9.34,9.56,10.12,10.16,8.69,6.78,5.16,4.38,2.84,1.44,0.34,0.44,0.34,-0.16,-0.22,0.59,1.59,1.34,0.59,0.91,1.16,0.84,0.06,0.34,1.31,1.94,2.38,3.62,5.28,6.28,5.84,4.66,4.06,3.38,2.31,1.16,1.59,3.06,4.19,5.5,7.28,9.06,9.16,7.78,5.53,4.0,2.66,0.91,-0.34,-0.03,0.47,0.0,-0.66,0.0,1.41,2.66,4.16,6.5,9.97,12.5,13.88,14.75,15.66,15.5,14.03,12.56,12.03,12.0,11.16,10.5,10.47,10.88,10.44,9.91,9.53,10.56,11.16,11.12,11.66,13.16,14.72,15.16,14.75,14.78,14.47,12.69,10.22,9.19,9.03,8.41,7.38,6.75,6.88,6.59,5.88,5.81,7.03,8.28,8.28,8.06,8.12,8.47,7.97,7.09,6.88,7.97,8.28,7.47,6.97,7.22,6.84,6.12,5.75,6.62,7.28,7.19,6.28,5.66,5.44,4.34,2.25,0.78,-0.03,-0.94,-1.88,-1.97,-0.19,1.25,2.41,2.78,4.12,5.03,4.81,3.81,3.53,3.97,4.06,4.38,5.47,7.28,8.22,7.44,6.12,5.28,4.34,3.12,2.66,3.97,5.84,6.75,7.06,7.25,7.47,6.81,5.69,4.94,5.38,5.72,5.34,5.44,6.59,7.69,7.91,7.66,7.94,7.62,6.75,5.59,5.44,5.97,6.44,6.09,5.84,6.47,6.72,6.41,6.47,7.5,8.91,9.53,9.44,9.62,9.44,8.28,6.25,4.91,4.34,3.56,2.38,2.0,2.59,3.16,3.22,3.5,4.84,5.75,5.94,5.84,6.06,6.25,5.56,4.41,3.31,2.78,2.16,0.88,-0.03,-0.09,-0.03,-0.31,-0.44,0.94,2.81,4.19,4.97,6.22,7.22,7.31,6.19,5.31,5.56,5.94,5.5,5.25,5.69,5.84,4.91,3.91,3.91,4.28,4.16,3.72,4.31,5.06,5.84,5.5,5.12,5.22,4.88,3.47,2.88,3.12,4.06,4.5,4.47,5.31,6.03,6.03,5.44,5.03,4.75,3.69,1.59,-0.75,-2.62,-4.53,-6.47,58.78,57.72,56.69,55.28,53.62,52.28,50.94,49.22,47.66,45.72,44.72,43.97,43.62,43.59,45.03,47.06,49.72,52.75,55.97,58.97,60.75,61.41,61.5,61.44,60.78,59.94,59.31,59.5,59.19,58.25,56.84,55.31,53.81,51.88,50.59,50.56,51.0,51.84,53.09,54.53,56.22,57.62:positivity
38.69,40.31,41.69,41.09,39.75,39.16,38.25,35.62,32.5,31.28,31.53,31.91,31.62,32.38,34.41,35.44,35.19,34.25,35.12,36.16,36.19,36.0,37.66,39.72,40.5,40.19,40.97,42.28,42.53,41.31,40.91,41.22,41.06,39.91,38.5,38.69,38.75,37.41,34.94,33.56,32.47,29.78,26.12,24.22,23.91,23.88,23.38,24.31,27.66,30.94,32.16,33.28,35.0,36.75,36.22,34.91,34.62,35.41,34.72,33.66,34.12,36.34,38.09,38.19,38.44,39.38,39.66,38.72,37.34,37.84,38.66,37.72,35.16,33.44,32.06,29.81,26.91,25.66,26.41,27.69,28.09,29.19,32.19,34.94,36.56,37.41,39.81,42.53,43.75,44.34,46.19,48.28,49.09,47.84,46.69,46.78,46.56,44.94,43.88,44.69,45.31,44.03,41.47,40.31,38.53,34.94,30.03,26.56,25.25,24.53,23.28,23.75,25.78,27.59,27.28,27.28,29.19,31.78,33.34,34.47,37.06,39.81,40.62,39.53,38.81,38.97,38.25,36.62,35.53,36.16,36.81,35.5,33.56,32.62,31.41,28.91,25.31,23.81,23.78,23.75,23.09,23.94,26.09,28.0,28.28,28.66,30.5,32.22,32.0,31.22,31.38,31.59,30.69,28.97,28.72,30.09,31.06,31.19,32.84,35.22,37.53,37.94,38.66,40.72,42.69,43.06,42.97,43.78,44.88,43.81,41.47,40.16,39.5,38.41,36.56,35.66,36.0,35.66,33.72,31.66,30.75,30.03,27.91,25.72,25.22,25.62,25.19,24.0,23.97,24.78,25.44,24.62,24.53,26.12,27.62,27.91,28.25,30.5,33.25,34.94,36.03,39.25,42.94,45.84,46.88,48.16,48.69,47.56,43.78,41.0,39.97,40.22,39.97,39.66,41.0,41.75,40.5,38.25,37.09,36.62,35.44,33.09,32.03,32.75,33.09,32.28,32.03,33.28,34.59,34.12,33.31,34.09,36.19,35.44,34.16,34.72,34.97,34.69,33.62,33.66,35.38,37.09,37.09,38.0,40.19,42.12,42.38,42.31,43.06,44.25,43.91,42.72,42.81,43.91,44.31,43.47,42.91,43.28,43.5,41.81,40.97,42.34,44.84,46.28,47.69,50.0,52.06,52.22,50.91,49.81,49.59,48.06,44.59,41.38,38.75,35.78,30.97,27.06,25.41,25.06,24.41,24.03,26.31,29.88,32.88,35.69,39.72,44.84,48.19,49.47,51.09,53.12,54.66,54.12,52.91,52.53,52.03,49.47,46.34,44.25,42.69,40.25,37.12,35.69,36.75,37.81,37.88,38.44,40.59,42.25,41.69,41.0,41.59,42.62,42.28,41.62,42.44,43.88,44.16,42.72,41.62,42.19,42.31,41.09,41.0,42.12,43.22,42.09,40.72,40.62,41.56,41.5,41.06,41.75,43.28,43.66,42.41,42.12,43.09,43.5,42.0,40.31,39.66,39.03,36.59,34.84,34.75,36.16,36.84,36.88,38.31,40.84,42.44,42.44,42.91,45.0,45.97,44.91,43.88,44.19,44.75,43.91,43.03,43.69,45.12,45.0,43.88,44.09,45.41,45.78,44.78,44.09,45.0,45.47,44.53,43.72,44.75,46.03,46.06,45.5,46.5,48.75,49.38,48.78,49.41,50.59,50.91,49.69,48.72,49.47,49.75,48.56,47.44,47.75,48.53,47.72,46.72,47.16,49.19,50.28,50.5,51.47,53.41,54.28,52.97,51.53,51.53,51.62,50.5,49.69,50.75,52.75,53.0,52.31,52.34,53.19,52.22,50.06,48.31,48.38,47.28,45.12,42.91,42.41,41.91,40.12,38.66,39.03,40.72,41.22,41.38,42.06,43.88,44.12,43.19,42.5,43.81,44.47,43.38,42.53,43.47,44.78,44.53,44.19,44.78,45.88,44.5,41.75,39.56,38.66,37.09,35.22,34.44,35.97,37.25,36.47,36.03,37.47,39.62,40.5,41.53,43.47,45.75,46.28,45.12,44.47,44.75,43.78,41.16,39.28,39.16,39.34,38.31,38.09,39.31,41.38,42.16,42.25,43.5,45.31,45.84,45.25,45.12,46.16,45.84,43.91,42.22,42.25,42.19,41.0,39.84,39.72,40.44,39.84,38.84,39.41,40.88,41.53,40.78,40.31,41.09,41.03,39.78,39.19,40.53,41.62,40.66,39.31,39.38,39.91,39.03,37.94,38.34,39.91,40.38,39.69,39.72,40.75,40.31,37.62,34.5,32.91,31.56,29.28,27.53,28.03,29.12,29.06,28.22,28.75,30.47,31.28,30.81,30.62,31.88,32.44,31.84,31.44,32.47,33.56,33.31,32.44,32.72,33.84,33.62,32.16,31.78,32.66,32.66,31.38,30.28,30.97,31.09,30.19,29.56,31.5,33.62,34.59,34.44,34.72,34.47,32.22,28.91,26.84,27.19,27.69,27.84,28.88,31.62,33.69,34.0,33.69,34.5,35.56,35.12,34.25,34.59,35.5,34.97,32.84,30.75,29.66,28.28,25.5,23.31,23.28,23.22,21.59,19.94,19.69,20.0,18.88,17.34,16.88,17.41,16.84,15.5,14.69,15.91,17.0,17.44,18.88,22.62,26.16,28.03,29.38,31.28,33.25,33.56,32.34,31.97,32.69,32.12,30.16,28.31,27.62,26.12,22.91,19.97,18.94,18.69,17.16,15.66,16.44,18.47,20.25,21.62,24.03,28.0,30.75,31.31,31.81,32.66,32.22,29.69,27.19,26.53,26.41,25.28,23.59,23.91,24.72,24.53,23.47,23.41,24.06,23.91,22.5,21.41,22.16,23.25,22.88,22.84,24.31,25.53,25.38,23.59,22.94,22.88,22.12,20.5,20.22,21.88,22.78,22.5,22.59,23.91,24.72,23.84,22.78,23.34,24.19,24.22,23.88,24.38,25.38,25.22,23.56,22.53,22.94,23.19,22.69,22.78,25.12,27.34,28.22,28.5,30.0,31.16,30.31,28.28,27.09,26.69,25.88,23.72,22.62,22.34,21.25,18.84,16.59,16.72,17.59,17.97,18.16,20.12,22.19,22.97,22.62,22.25,22.53,21.72,19.78,18.25,18.38,18.66,17.59,17.0,18.12,19.91,21.09,22.31,24.62,27.59,29.09,28.69,28.44,28.38,27.69,25.44,23.09,22.44,21.41,19.06,17.06,17.03,18.44,19.59,20.91,24.16,28.41,31.47,33.16,34.88,36.97,37.91,36.66,35.56,35.66,35.0,33.28,30.97,30.41,30.19,28.94,26.69,25.81,25.22,24.09,21.94,21.31,22.59,24.28,25.28,27.0,29.88,32.34,32.72,31.62,31.03,30.0,27.31,23.81,21.72,20.78,19.97,18.5,17.88,18.47,19.38,18.81,18.56,20.19,22.16,23.41,24.41,27.09,30.03,31.31,30.94,30.78,30.28,28.5,25.31,22.28,20.72,19.41,17.19,16.0,17.06,19.38,20.84,21.81,24.09,26.41,27.41,27.0,27.12,28.12,28.19,27.28,27.12,28.94,30.81,31.12,31.25,32.0,32.38,31.09,28.88,27.91,27.75,26.44,24.31,23.16,22.59,21.56,19.66,18.25,18.5,18.81,18.22,17.72,19.0,20.81,21.41,20.91,21.12,21.66,21.53,21.22,21.94,24.31,25.84,26.03,25.69,25.97,26.41,25.25,24.53,25.28,26.22,25.84,23.97,22.78,22.25,21.62,20.88,21.31,23.53,25.5,25.88,26.09,27.09,28.0,27.31,26.09,26.16,26.75,26.81,26.75,28.41,31.78,35.59,38.41,41.25,44.41,45.91,44.38,41.88,39.75,37.53,33.75,29.84,27.69,26.78,25.25,22.84,21.84,21.44,20.94,19.09,18.28,18.91,19.91,19.16,19.19,20.91,23.41,25.34,27.22,29.97,33.38,35.12,35.12,35.22,35.5,34.62,31.81,28.78,26.84,25.31,22.38,20.0,19.28,19.06,17.62,15.66,14.53,14.41,13.5,11.34,10.53,10.66,10.62,10.19,10.25,12.19,14.66,15.88,17.56,20.78,24.12,25.97,26.72,27.66,29.56,30.06,29.25,28.81,29.38,29.0,27.44,25.69,24.88,23.97,21.66,19.22,18.47,18.91,18.38,17.81,18.0,19.44,19.88,19.31,19.09,19.38,19.44,17.78,16.19,15.91,16.41,15.84,15.41,16.56,18.72,19.53,20.03,21.12,23.44,25.16,25.53,26.12,27.44,28.31,27.03,25.41,24.53,24.22,22.56,20.88,20.25,21.28,22.06,22.19,23.81,27.12,30.12,31.91,33.38,35.41,37.03,36.03,34.66,33.94,34.0,32.34,29.88,28.44,27.34,25.47,23.03,21.28,20.88,21.09,20.44,21.19,23.88,27.16,28.69,29.19,30.16,31.22,30.53,29.28,29.44,30.28,30.47,29.28,28.5,28.78,28.53,26.94,25.22,25.31,25.88,25.03,24.34,24.84,25.94,25.84,24.75,24.69,25.66,26.06,25.59,25.78,26.84,27.47,26.0,24.66,24.31,24.56,24.22,23.97,24.88,26.25,25.72,23.53,21.59,20.62,19.28,17.0,15.62,16.56,17.81,18.16,18.94,21.16,24.25,26.09,27.28,29.31,31.66,32.22,31.0,29.91,30.38,30.28,29.22,28.19,28.78,28.91,27.06,25.06,23.66,22.91,21.0,19.09,18.78,20.0,20.5,20.28,20.31,21.75,22.41,21.59,20.81,21.69,22.56,22.06,21.38,21.47,22.03,21.09,20.19,20.66,22.81,25.28,26.97,29.22,32.59,34.91,34.97,33.22,31.69,29.75,25.75,22.28,20.88,21.28,21.44,22.06,22.97,24.62,25.25,24.0,22.81,23.41,24.16,24.0,24.5,26.09,27.94,27.38,25.75,24.66,23.88,21.84,19.25,17.16,16.28,14.59,12.12,10.06,9.97,10.72,10.66,10.94,12.72,15.41,16.44,16.62,17.31,18.19,17.53,15.69,14.28,14.12,14.16,13.25,12.5:35.62,32.5,31.28,31.53,31.91,31.62,32.38,34.41,35.44,35.19,34.25,35.12,36.16,36.19,36.0,37.66,39.72,40.5,40.19,40.97,42.28,42.53,41.31,40.91,41.22,41.06,39.91,38.5,38.69,38.75,37.41,34.94,33.56,32.47,29.78,26.12,24.22,23.91,23.88,23.38,24.31,27.66,30.94,32.16,33.28,35.0,36.75,36.22,34.91,34.62,35.41,34.72,33.66,34.12,36.34,38.09,38.19,38.44,39.38,39.66,38.72,37.34,37.84,38.66,37.72,35.16,33.44,32.06,29.81,26.91,25.66,26.41,27.69,28.09,29.19,32.19,34.94,36.56,37.41,39.81,42.53,43.75,44.34,46.19,48.28,49.09,47.84,46.69,46.78,46.56,44.94,43.88,44.69,45.31,44.03,41.47,40.31,38.53,34.94,30.03,26.56,25.25,24.53,23.28,23.75,25.78,27.59,27.28,27.28,29.19,31.78,33.34,34.47,37.06,39.81,40.62,39.53,38.81,38.97,38.25,36.62,35.53,36.16,36.81,35.5,33.56,32.62,31.41,28.91,25.31,23.81,23.78,23.75,23.09,23.94,26.09,28.0,28.28,28.66,30.5,32.22,32.0,31.22,31.38,31.59,30.69,28.97,28.72,30.09,31.06,31.19,32.84,35.22,37.53,37.94,38.66,40.72,42.69,43.06,42.97,43.78,44.88,43.81,41.47,40.16,39.5,38.41,36.56,35.66,36.0,35.66,33.72,31.66,30.75,30.03,27.91,25.72,25.22,25.62,25.19,24.0,23.97,24.78,25.44,24.62,24.53,26.12,27.62,27.91,28.25,30.5,33.25,34.94,36.03,39.25,42.94,45.84,46.88,48.16,48.69,47.56,43.78,41.0,39.97,40.22,39.97,39.66,41.0,41.75,40.5,38.25,37.09,36.62,35.44,33.09,32.03,32.75,33.09,32.28,32.03,33.28,34.59,34.12,33.31,34.09,36.19,35.44,34.16,34.72,34.97,34.69,33.62,33.66,35.38,37.09,37.09,38.0,40.19,42.12,42.38,42.31,43.06,44.25,43.91,42.72,42.81,43.91,44.31,43.47,42.91,43.28,43.5,41.81,40.97,42.34,44.84,46.28,47.69,50.0,52.06,52.22,50.91,49.81,49.59,48.06,44.59,41.38,38.75,35.78,30.97,27.06,25.41,25.06,24.41,24.03,26.31,29.88,32.88,35.69,39.72,44.84,48.19,49.47,51.09,53.12,54.66,54.12,52.91,52.53,52.03,49.47,46.34,44.25,42.69,40.25,37.12,35.69,36.75,37.81,37.88,38.44,40.59,42.25,41.69,41.0,41.59,42.62,42.28,41.62,42.44,43.88,44.16,42.72,41.62,42.19,42.31,41.09,41.0,42.12,43.22,42.09,40.72,40.62,41.56,41.5,41.06,41.75,43.28,43.66,42.41,42.12,43.09,43.5,42.0,40.31,39.66,39.03,36.59,34.84,34.75,36.16,36.84,36.88,38.31,40.84,42.44,42.44,42.91,45.0,45.97,44.91,43.88,44.19,44.75,43.91,43.03,43.69,45.12,45.0,43.88,44.09,45.41,45.78,44.78,44.09,45.0,45.47,44.53,43.72,44.75,46.03,46.06,45.5,46.5,48.75,49.38,48.78,49.41,50.59,50.91,49.69,48.72,49.47,49.75,48.56,47.44,47.75,48.53,47.72,46.72,47.16,49.19,50.28,50.5,51.47,53.41,54.28,52.97,51.53,51.53,51.62,50.5,49.69,50.75,52.75,53.0,52.31,52.34,53.19,52.22,50.06,48.31,48.38,47.28,45.12,42.91,42.41,41.91,40.12,38.66,39.03,40.72,41.22,41.38,42.06,43.88,44.12,43.19,42.5,43.81,44.47,43.38,42.53,43.47,44.78,44.53,44.19,44.78,45.88,44.5,41.75,39.56,38.66,37.09,35.22,34.44,35.97,37.25,36.47,36.03,37.47,39.62,40.5,41.53,43.47,45.75,46.28,45.12,44.47,44.75,43.78,41.16,39.28,39.16,39.34,38.31,38.09,39.31,41.38,42.16,42.25,43.5,45.31,45.84,45.25,45.12,46.16,45.84,43.91,42.22,42.25,42.19,41.0,39.84,39.72,40.44,39.84,38.84,39.41,40.88,41.53,40.78,40.31,41.09,41.03,39.78,39.19,40.53,41.62,40.66,39.31,39.38,39.91,39.03,37.94,38.34,39.91,40.38,39.69,39.72,40.75,40.31,37.62,34.5,32.91,31.56,29.28,27.53,28.03,29.12,29.06,28.22,28.75,30.47,31.28,30.81,30.62,31.88,32.44,31.84,31.44,32.47,33.56,33.31,32.44,32.72,33.84,33.62,32.16,31.78,32.66,32.66,31.38,30.28,30.97,31.09,30.19,29.56,31.5,33.62,34.59,34.44,34.72,34.47,32.22,28.91,26.84,27.19,27.69,27.84,28.88,31.62,33.69,34.0,33.69,34.5,35.56,35.12,34.25,34.59,35.5,34.97,32.84,30.75,29.66,28.28,25.5,23.31,23.28,23.22,21.59,19.94,19.69,20.0,18.88,17.34,16.88,17.41,16.84,15.5,14.69,15.91,17.0,17.44,18.88,22.62,26.16,28.03,29.38,31.28,33.25,33.56,32.34,31.97,32.69,32.12,30.16,28.31,27.62,26.12,22.91,19.97,18.94,18.69,17.16,15.66,16.44,18.47,20.25,21.62,24.03,28.0,30.75,31.31,31.81,32.66,32.22,29.69,27.19,26.53,26.41,25.28,23.59,23.91,24.72,24.53,23.47,23.41,24.06,23.91,22.5,21.41,22.16,23.25,22.88,22.84,24.31,25.53,25.38,23.59,22.94,22.88,22.12,20.5,20.22,21.88,22.78,22.5,22.59,23.91,24.72,23.84,22.78,23.34,24.19,24.22,23.88,24.38,25.38,25.22,23.56,22.53,22.94,23.19,22.69,22.78,25.12,27.34,28.22,28.5,30.0,31.16,30.31,28.28,27.09,26.69,25.88,23.72,22.62,22.34,21.25,18.84,16.59,16.72,17.59,17.97,18.16,20.12,22.19,22.97,22.62,22.25,22.53,21.72,19.78,18.25,18.38,18.66,17.59,17.0,18.12,19.91,21.09,22.31,24.62,27.59,29.09,28.69,28.44,28.38,27.69,25.44,23.09,22.44,21.41,19.06,17.06,17.03,18.44,19.59,20.91,24.16,28.41,31.47,33.16,34.88,36.97,37.91,36.66,35.56,35.66,35.0,33.28,30.97,30.41,30.19,28.94,26.69,25.81,25.22,24.09,21.94,21.31,22.59,24.28,25.28,27.0,29.88,32.34,32.72,31.62,31.03,30.0,27.31,23.81,21.72,20.78,19.97,18.5,17.88,18.47,19.38,18.81,18.56,20.19,22.16,23.41,24.41,27.09,30.03,31.31,30.94,30.78,30.28,28.5,25.31,22.28,20.72,19.41,17.19,16.0,17.06,19.38,20.84,21.81,24.09,26.41,27.41,27.0,27.12,28.12,28.19,27.28,27.12,28.94,30.81,31.12,31.25,32.0,32.38,31.09,28.88,27.91,27.75,26.44,24.31,23.16,22.59,21.56,19.66,18.25,18.5,18.81,18.22,17.72,19.0,20.81,21.41,20.91,21.12,21.66,21.53,21.22,21.94,24.31,25.84,26.03,25.69,25.97,26.41,25.25,24.53,25.28,26.22,25.84,23.97,22.78,22.25,21.62,20.88,21.31,23.53,25.5,25.88,26.09,27.09,28.0,27.31,26.09,26.16,26.75,26.81,26.75,28.41,31.78,35.59,38.41,41.25,44.41,45.91,44.38,41.88,39.75,37.53,33.75,29.84,27.69,26.78,25.25,22.84,21.84,21.44,20.94,19.09,18.28,18.91,19.91,19.16,19.19,20.91,23.41,25.34,27.22,29.97,33.38,35.12,35.12,35.22,35.5,34.62,31.81,28.78,26.84,25.31,22.38,20.0,19.28,19.06,17.62,15.66,14.53,14.41,13.5,11.34,10.53,10.66,10.62,10.19,10.25,12.19,14.66,15.88,17.56,20.78,24.12,25.97,26.72,27.66,29.56,30.06,29.25,28.81,29.38,29.0,27.44,25.69,24.88,23.97,21.66,19.22,18.47,18.91,18.38,17.81,18.0,19.44,19.88,19.31,19.09,19.38,19.44,17.78,16.19,15.91,16.41,15.84,15.41,16.56,18.72,19.53,20.03,21.12,23.44,25.16,25.53,26.12,27.44,28.31,27.03,25.41,24.53,24.22,22.56,20.88,20.25,21.28,22.06,22.19,23.81,27.12,30.12,31.91,33.38,35.41,37.03,36.03,34.66,33.94,34.0,32.34,29.88,28.44,27.34,25.47,23.03,21.28,20.88,21.09,20.44,21.19,23.88,27.16,28.69,29.19,30.16,31.22,30.53,29.28,29.44,30.28,30.47,29.28,28.5,28.78,28.53,26.94,25.22,25.31,25.88,25.03,24.34,24.84,25.94,25.84,24.75,24.69,25.66,26.06,25.59,25.78,26.84,27.47,26.0,24.66,24.31,24.56,24.22,23.97,24.88,26.25,25.72,23.53,21.59,20.62,19.28,17.0,15.62,16.56,17.81,18.16,18.94,21.16,24.25,26.09,27.28,29.31,31.66,32.22,31.0,29.91,30.38,30.28,29.22,28.19,28.78,28.91,27.06,25.06,23.66,22.91,21.0,19.09,18.78,20.0,20.5,20.28,20.31,21.75,22.41,21.59,20.81,21.69,22.56,22.06,21.38,21.47,22.03,21.09,20.19,20.66,22.81,25.28,26.97,29.22,32.59,34.91,34.97,33.22,31.69,29.75,25.75,22.28,20.88,21.28,21.44,22.06,22.97,24.62,25.25,24.0,22.81,23.41,24.16,24.0,24.5,26.09,27.94,27.38,25.75,24.66,23.88,21.84,19.25,17.16,16.28,14.59,12.12,10.06,9.97,10.72,10.66,10.94,12.72,15.41,16.44,16.62,17.31,18.19,17.53,15.69,14.28,14.12,14.16,13.25,12.5,55.97,56.56,57.53,58.5,58.75,57.66,56.03:34.41,35.44,35.19,34.25,35.12,36.16,36.19,36.0,37.66,39.72,40.5,40.19,40.97,42.28,42.53,41.31,40.91,41.22,41.06,39.91,38.5,38.69,38.75,37.41,34.94,33.56,32.47,29.78,26.12,24.22,23.91,23.88,23.38,24.31,27.66,30.94,32.16,33.28,35.0,36.75,36.22,34.91,34.62,35.41,34.72,33.66,34.12,36.34,38.09,38.19,38.44,39.38,39.66,38.72,37.34,37.84,38.66,37.72,35.16,33.44,32.06,29.81,26.91,25.66,26.41,27.69,28.09,29.19,32.19,34.94,36.56,37.41,39.81,42.53,43.75,44.34,46.19,48.28,49.09,47.84,46.69,46.78,46.56,44.94,43.88,44.69,45.31,44.03,41.47,40.31,38.53,34.94,30.03,26.56,25.25,24.53,23.28,23.75,25.78,27.59,27.28,27.28,29.19,31.78,33.34,34.47,37.06,39.81,40.62,39.53,38.81,38.97,38.25,36.62,35.53,36.16,36.81,35.5,33.56,32.62,31.41,28.91,25.31,23.81,23.78,23.75,23.09,23.94,26.09,28.0,28.28,28.66,30.5,32.22,32.0,31.22,31.38,31.59,30.69,28.97,28.72,30.09,31.06,31.19,32.84,35.22,37.53,37.94,38.66,40.72,42.69,43.06,42.97,43.78,44.88,43.81,41.47,40.16,39.5,38.41,36.56,35.66,36.0,35.66,33.72,31.66,30.75,30.03,27.91,25.72,25.22,25.62,25.19,24.0,23.97,24.78,25.44,24.62,24.53,26.12,27.62,27.91,28.25,30.5,33.25,34.94,36.03,39.25,42.94,45.84,46.88,48.16,48.69,47.56,43.78,41.0,39.97,40.22,39.97,39.66,41.0,41.75,40.5,38.25,37.09,36.62,35.44,33.09,32.03,32.75,33.09,32.28,32.03,33.28,34.59,34.12,33.31,34.09,36.19,35.44,34.16,34.72,34.97,34.69,33.62,33.66,35.38,37.09,37.09,38.0,40.19,42.12,42.38,42.31,43.06,44.25,43.91,42.72,42.81,43.91,44.31,43.47,42.91,43.28,43.5,41.81,40.97,42.34,44.84,46.28,47.69,50.0,52.06,52.22,50.91,49.81,49.59,48.06,44.59,41.38,38.75,35.78,30.97,27.06,25.41,25.06,24.41,24.03,26.31,29.88,32.88,35.69,39.72,44.84,48.19,49.47,51.09,53.12,54.66,54.12,52.91,52.53,52.03,49.47,46.34,44.25,42.69,40.25,37.12,35.69,36.75,37.81,37.88,38.44,40.59,42.25,41.69,41.0,41.59,42.62,42.28,41.62,42.44,43.88,44.16,42.72,41.62,42.19,42.31,41.09,41.0,42.12,43.22,42.09,40.72,40.62,41.56,41.5,41.06,41.75,43.28,43.66,42.41,42.12,43.09,43.5,42.0,40.31,39.66,39.03,36.59,34.84,34.75,36.16,36.84,36.88,38.31,40.84,42.44,42.44,42.91,45.0,45.97,44.91,43.88,44.19,44.75,43.91,43.03,43.69,45.12,45.0,43.88,44.09,45.41,45.78,44.78,44.09,45.0,45.47,44.53,43.72,44.75,46.03,46.06,45.5,46.5,48.75,49.38,48.78,49.41,50.59,50.91,49.69,48.72,49.47,49.75,48.56,47.44,47.75,48.53,47.72,46.72,47.16,49.19,50.28,50.5,51.47,53.41,54.28,52.97,51.53,51.53,51.62,50.5,49.69,50.75,52.75,53.0,52.31,52.34,53.19,52.22,50.06,48.31,48.38,47.28,45.12,42.91,42.41,41.91,40.12,38.66,39.03,40.72,41.22,41.38,42.06,43.88,44.12,43.19,42.5,43.81,44.47,43.38,42.53,43.47,44.78,44.53,44.19,44.78,45.88,44.5,41.75,39.56,38.66,37.09,35.22,34.44,35.97,37.25,36.47,36.03,37.47,39.62,40.5,41.53,43.47,45.75,46.28,45.12,44.47,44.75,43.78,41.16,39.28,39.16,39.34,38.31,38.09,39.31,41.38,42.16,42.25,43.5,45.31,45.84,45.25,45.12,46.16,45.84,43.91,42.22,42.25,42.19,41.0,39.84,39.72,40.44,39.84,38.84,39.41,40.88,41.53,40.78,40.31,41.09,41.03,39.78,39.19,40.53,41.62,40.66,39.31,39.38,39.91,39.03,37.94,38.34,39.91,40.38,39.69,39.72,40.75,40.31,37.62,34.5,32.91,31.56,29.28,27.53,28.03,29.12,29.06,28.22,28.75,30.47,31.28,30.81,30.62,31.88,32.44,31.84,31.44,32.47,33.56,33.31,32.44,32.72,33.84,33.62,32.16,31.78,32.66,32.66,31.38,30.28,30.97,31.09,30.19,29.56,31.5,33.62,34.59,34.44,34.72,34.47,32.22,28.91,26.84,27.19,27.69,27.84,28.88,31.62,33.69,34.0,33.69,34.5,35.56,35.12,34.25,34.59,35.5,34.97,32.84,30.75,29.66,28.28,25.5,23.31,23.28,23.22,21.59,19.94,19.69,20.0,18.88,17.34,16.88,17.41,16.84,15.5,14.69,15.91,17.0,17.44,18.88,22.62,26.16,28.03,29.38,31.28,33.25,33.56,32.34,31.97,32.69,32.12,30.16,28.31,27.62,26.12,22.91,19.97,18.94,18.69,17.16,15.66,16.44,18.47,20.25,21.62,24.03,28.0,30.75,31.31,31.81,32.66,32.22,29.69,27.19,26.53,26.41,25.28,23.59,23.91,24.72,24.53,23.47,23.41,24.06,23.91,22.5,21.41,22.16,23.25,22.88,22.84,24.31,25.53,25.38,23.59,22.94,22.88,22.12,20.5,20.22,21.88,22.78,22.5,22.59,23.91,24.72,23.84,22.78,23.34,24.19,24.22,23.88,24.38,25.38,25.22,23.56,22.53,22.94,23.19,22.69,22.78,25.12,27.34,28.22,28.5,30.0,31.16,30.31,28.28,27.09,26.69,25.88,23.72,22.62,22.34,21.25,18.84,16.59,16.72,17.59,17.97,18.16,20.12,22.19,22.97,22.62,22.25,22.53,21.72,19.78,18.25,18.38,18.66,17.59,17.0,18.12,19.91,21.09,22.31,24.62,27.59,29.09,28.69,28.44,28.38,27.69,25.44,23.09,22.44,21.41,19.06,17.06,17.03,18.44,19.59,20.91,24.16,28.41,31.47,33.16,34.88,36.97,37.91,36.66,35.56,35.66,35.0,33.28,30.97,30.41,30.19,28.94,26.69,25.81,25.22,24.09,21.94,21.31,22.59,24.28,25.28,27.0,29.88,32.34,32.72,31.62,31.03,30.0,27.31,23.81,21.72,20.78,19.97,18.5,17.88,18.47,19.38,18.81,18.56,20.19,22.16,23.41,24.41,27.09,30.03,31.31,30.94,30.78,30.28,28.5,25.31,22.28,20.72,19.41,17.19,16.0,17.06,19.38,20.84,21.81,24.09,26.41,27.41,27.0,27.12,28.12,28.19,27.28,27.12,28.94,30.81,31.12,31.25,32.0,32.38,31.09,28.88,27.91,27.75,26.44,24.31,23.16,22.59,21.56,19.66,18.25,18.5,18.81,18.22,17.72,19.0,20.81,21.41,20.91,21.12,21.66,21.53,21.22,21.94,24.31,25.84,26.03,25.69,25.97,26.41,25.25,24.53,25.28,26.22,25.84,23.97,22.78,22.25,21.62,20.88,21.31,23.53,25.5,25.88,26.09,27.09,28.0,27.31,26.09,26.16,26.75,26.81,26.75,28.41,31.78,35.59,38.41,41.25,44.41,45.91,44.38,41.88,39.75,37.53,33.75,29.84,27.69,26.78,25.25,22.84,21.84,21.44,20.94,19.09,18.28,18.91,19.91,19.16,19.19,20.91,23.41,25.34,27.22,29.97,33.38,35.12,35.12,35.22,35.5,34.62,31.81,28.78,26.84,25.31,22.38,20.0,19.28,19.06,17.62,15.66,14.53,14.41,13.5,11.34,10.53,10.66,10.62,10.19,10.25,12.19,14.66,15.88,17.56,20.78,24.12,25.97,26.72,27.66,29.56,30.06,29.25,28.81,29.38,29.0,27.44,25.69,24.88,23.97,21.66,19.22,18.47,18.91,18.38,17.81,18.0,19.44,19.88,19.31,19.09,19.38,19.44,17.78,16.19,15.91,16.41,15.84,15.41,16.56,18.72,19.53,20.03,21.12,23.44,25.16,25.53,26.12,27.44,28.31,27.03,25.41,24.53,24.22,22.56,20.88,20.25,21.28,22.06,22.19,23.81,27.12,30.12,31.91,33.38,35.41,37.03,36.03,34.66,33.94,34.0,32.34,29.88,28.44,27.34,25.47,23.03,21.28,20.88,21.09,20.44,21.19,23.88,27.16,28.69,29.19,30.16,31.22,30.53,29.28,29.44,30.28,30.47,29.28,28.5,28.78,28.53,26.94,25.22,25.31,25.88,25.03,24.34,24.84,25.94,25.84,24.75,24.69,25.66,26.06,25.59,25.78,26.84,27.47,26.0,24.66,24.31,24.56,24.22,23.97,24.88,26.25,25.72,23.53,21.59,20.62,19.28,17.0,15.62,16.56,17.81,18.16,18.94,21.16,24.25,26.09,27.28,29.31,31.66,32.22,31.0,29.91,30.38,30.28,29.22,28.19,28.78,28.91,27.06,25.06,23.66,22.91,21.0,19.09,18.78,20.0,20.5,20.28,20.31,21.75,22.41,21.59,20.81,21.69,22.56,22.06,21.38,21.47,22.03,21.09,20.19,20.66,22.81,25.28,26.97,29.22,32.59,34.91,34.97,33.22,31.69,29.75,25.75,22.28,20.88,21.28,21.44,22.06,22.97,24.62,25.25,24.0,22.81,23.41,24.16,24.0,24.5,26.09,27.94,27.38,25.75,24.66,23.88,21.84,19.25,17.16,16.28,14.59,12.12,10.06,9.97,10.72,10.66,10.94,12.72,15.41,16.44,16.62,17.31,18.19,17.53,15.69,14.28,14.12,14.16,13.25,12.5,55.97,56.56,57.53,58.5,58.75,57.66,56.03,54.69,53.28,52.41,52.56,54.03,56.09,57.78:36.0,37.66,39.72,40.5,40.19,40.97,42.28,42.53,41.31,40.91,41.22,41.06,39.91,38.5,38.69,38.75,37.41,34.94,33.56,32.47,29.78,26.12,24.22,23.91,23.88,23.38,24.31,27.66,30.94,32.16,33.28,35.0,36.75,36.22,34.91,34.62,35.41,34.72,33.66,34.12,36.34,38.09,38.19,38.44,39.38,39.66,38.72,37.34,37.84,38.66,37.72,35.16,33.44,32.06,29.81,26.91,25.66,26.41,27.69,28.09,29.19,32.19,34.94,36.56,37.41,39.81,42.53,43.75,44.34,46.19,48.28,49.09,47.84,46.69,46.78,46.56,44.94,43.88,44.69,45.31,44.03,41.47,40.31,38.53,34.94,30.03,26.56,25.25,24.53,23.28,23.75,25.78,27.59,27.28,27.28,29.19,31.78,33.34,34.47,37.06,39.81,40.62,39.53,38.81,38.97,38.25,36.62,35.53,36.16,36.81,35.5,33.56,32.62,31.41,28.91,25.31,23.81,23.78,23.75,23.09,23.94,26.09,28.0,28.28,28.66,30.5,32.22,32.0,31.22,31.38,31.59,30.69,28.97,28.72,30.09,31.06,31.19,32.84,35.22,37.53,37.94,38.66,40.72,42.69,43.06,42.97,43.78,44.88,43.81,41.47,40.16,39.5,38.41,36.56,35.66,36.0,35.66,33.72,31.66,30.75,30.03,27.91,25.72,25.22,25.62,25.19,24.0,23.97,24.78,25.44,24.62,24.53,26.12,27.62,27.91,28.25,30.5,33.25,34.94,36.03,39.25,42.94,45.84,46.88,48.16,48.69,47.56,43.78,41.0,39.97,40.22,39.97,39.66,41.0,41.75,40.5,38.25,37.09,36.62,35.44,33.09,32.03,32.75,33.09,32.28,32.03,33.28,34.59,34.12,33.31,34.09,36.19,35.44,34.16,34.72,34.97,34.69,33.62,33.66,35.38,37.09,37.09,38.0,40.19,42.12,42.38,42.31,43.06,44.25,43.91,42.72,42.81,43.91,44.31,43.47,42.91,43.28,43.5,41.81,40.97,42.34,44.84,46.28,47.69,50.0,52.06,52.22,50.91,49.81,49.59,48.06,44.59,41.38,38.75,35.78,30.97,27.06,25.41,25.06,24.41,24.03,26.31,29.88,32.88,35.69,39.72,44.84,48.19,49.47,51.09,53.12,54.66,54.12,52.91,52.53,52.03,49.47,46.34,44.25,42.69,40.25,37.12,35.69,36.75,37.81,37.88,38.44,40.59,42.25,41.69,41.0,41.59,42.62,42.28,41.62,42.44,43.88,44.16,42.72,41.62,42.19,42.31,41.09,41.0,42.12,43.22,42.09,40.72,40.62,41.56,41.5,41.06,41.75,43.28,43.66,42.41,42.12,43.09,43.5,42.0,40.31,39.66,39.03,36.59,34.84,34.75,36.16,36.84,36.88,38.31,40.84,42.44,42.44,42.91,45.0,45.97,44.91,43.88,44.19,44.75,43.91,43.03,43.69,45.12,45.0,43.88,44.09,45.41,45.78,44.78,44.09,45.0,45.47,44.53,43.72,44.75,46.03,46.06,45.5,46.5,48.75,49.38,48.78,49.41,50.59,50.91,49.69,48.72,49.47,49.75,48.56,47.44,47.75,48.53,47.72,46.72,47.16,49.19,50.28,50.5,51.47,53.41,54.28,52.97,51.53,51.53,51.62,50.5,49.69,50.75,52.75,53.0,52.31,52.34,53.19,52.22,50.06,48.31,48.38,47.28,45.12,42.91,42.41,41.91,40.12,38.66,39.03,40.72,41.22,41.38,42.06,43.88,44.12,43.19,42.5,43.81,44.47,43.38,42.53,43.47,44.78,44.53,44.19,44.78,45.88,44.5,41.75,39.56,38.66,37.09,35.22,34.44,35.97,37.25,36.47,36.03,37.47,39.62,40.5,41.53,43.47,45.75,46.28,45.12,44.47,44.75,43.78,41.16,39.28,39.16,39.34,38.31,38.09,39.31,41.38,42.16,42.25,43.5,45.31,45.84,45.25,45.12,46.16,45.84,43.91,42.22,42.25,42.19,41.0,39.84,39.72,40.44,39.84,38.84,39.41,40.88,41.53,40.78,40.31,41.09,41.03,39.78,39.19,40.53,41.62,40.66,39.31,39.38,39.91,39.03,37.94,38.34,39.91,40.38,39.69,39.72,40.75,40.31,37.62,34.5,32.91,31.56,29.28,27.53,28.03,29.12,29.06,28.22,28.75,30.47,31.28,30.81,30.62,31.88,32.44,31.84,31.44,32.47,33.56,33.31,32.44,32.72,33.84,33.62,32.16,31.78,32.66,32.66,31.38,30.28,30.97,31.09,30.19,29.56,31.5,33.62,34.59,34.44,34.72,34.47,32.22,28.91,26.84,27.19,27.69,27.84,28.88,31.62,33.69,34.0,33.69,34.5,35.56,35.12,34.25,34.59,35.5,34.97,32.84,30.75,29.66,28.28,25.5,23.31,23.28,23.22,21.59,19.94,19.69,20.0,18.88,17.34,16.88,17.41,16.84,15.5,14.69,15.91,17.0,17.44,18.88,22.62,26.16,28.03,29.38,31.28,33.25,33.56,32.34,31.97,32.69,32.12,30.16,28.31,27.62,26.12,22.91,19.97,18.94,18.69,17.16,15.66,16.44,18.47,20.25,21.62,24.03,28.0,30.75,31.31,31.81,32.66,32.22,29.69,27.19,26.53,26.41,25.28,23.59,23.91,24.72,24.53,23.47,23.41,24.06,23.91,22.5,21.41,22.16,23.25,22.88,22.84,24.31,25.53,25.38,23.59,22.94,22.88,22.12,20.5,20.22,21.88,22.78,22.5,22.59,23.91,24.72,23.84,22.78,23.34,24.19,24.22,23.88,24.38,25.38,25.22,23.56,22.53,22.94,23.19,22.69,22.78,25.12,27.34,28.22,28.5,30.0,31.16,30.31,28.28,27.09,26.69,25.88,23.72,22.62,22.34,21.25,18.84,16.59,16.72,17.59,17.97,18.16,20.12,22.19,22.97,22.62,22.25,22.53,21.72,19.78,18.25,18.38,18.66,17.59,17.0,18.12,19.91,21.09,22.31,24.62,27.59,29.09,28.69,28.44,28.38,27.69,25.44,23.09,22.44,21.41,19.06,17.06,17.03,18.44,19.59,20.91,24.16,28.41,31.47,33.16,34.88,36.97,37.91,36.66,35.56,35.66,35.0,33.28,30.97,30.41,30.19,28.94,26.69,25.81,25.22,24.09,21.94,21.31,22.59,24.28,25.28,27.0,29.88,32.34,32.72,31.62,31.03,30.0,27.31,23.81,21.72,20.78,19.97,18.5,17.88,18.47,19.38,18.81,18.56,20.19,22.16,23.41,24.41,27.09,30.03,31.31,30.94,30.78,30.28,28.5,25.31,22.28,20.72,19.41,17.19,16.0,17.06,19.38,20.84,21.81,24.09,26.41,27.41,27.0,27.12,28.12,28.19,27.28,27.12,28.94,30.81,31.12,31.25,32.0,32.38,31.09,28.88,27.91,27.75,26.44,24.31,23.16,22.59,21.56,19.66,18.25,18.5,18.81,18.22,17.72,19.0,20.81,21.41,20.91,21.12,21.66,21.53,21.22,21.94,24.31,25.84,26.03,25.69,25.97,26.41,25.25,24.53,25.28,26.22,25.84,23.97,22.78,22.25,21.62,20.88,21.31,23.53,25.5,25.88,26.09,27.09,28.0,27.31,26.09,26.16,26.75,26.81,26.75,28.41,31.78,35.59,38.41,41.25,44.41,45.91,44.38,41.88,39.75,37.53,33.75,29.84,27.69,26.78,25.25,22.84,21.84,21.44,20.94,19.09,18.28,18.91,19.91,19.16,19.19,20.91,23.41,25.34,27.22,29.97,33.38,35.12,35.12,35.22,35.5,34.62,31.81,28.78,26.84,25.31,22.38,20.0,19.28,19.06,17.62,15.66,14.53,14.41,13.5,11.34,10.53,10.66,10.62,10.19,10.25,12.19,14.66,15.88,17.56,20.78,24.12,25.97,26.72,27.66,29.56,30.06,29.25,28.81,29.38,29.0,27.44,25.69,24.88,23.97,21.66,19.22,18.47,18.91,18.38,17.81,18.0,19.44,19.88,19.31,19.09,19.38,19.44,17.78,16.19,15.91,16.41,15.84,15.41,16.56,18.72,19.53,20.03,21.12,23.44,25.16,25.53,26.12,27.44,28.31,27.03,25.41,24.53,24.22,22.56,20.88,20.25,21.28,22.06,22.19,23.81,27.12,30.12,31.91,33.38,35.41,37.03,36.03,34.66,33.94,34.0,32.34,29.88,28.44,27.34,25.47,23.03,21.28,20.88,21.09,20.44,21.19,23.88,27.16,28.69,29.19,30.16,31.22,30.53,29.28,29.44,30.28,30.47,29.28,28.5,28.78,28.53,26.94,25.22,25.31,25.88,25.03,24.34,24.84,25.94,25.84,24.75,24.69,25.66,26.06,25.59,25.78,26.84,27.47,26.0,24.66,24.31,24.56,24.22,23.97,24.88,26.25,25.72,23.53,21.59,20.62,19.28,17.0,15.62,16.56,17.81,18.16,18.94,21.16,24.25,26.09,27.28,29.31,31.66,32.22,31.0,29.91,30.38,30.28,29.22,28.19,28.78,28.91,27.06,25.06,23.66,22.91,21.0,19.09,18.78,20.0,20.5,20.28,20.31,21.75,22.41,21.59,20.81,21.69,22.56,22.06,21.38,21.47,22.03,21.09,20.19,20.66,22.81,25.28,26.97,29.22,32.59,34.91,34.97,33.22,31.69,29.75,25.75,22.28,20.88,21.28,21.44,22.06,22.97,24.62,25.25,24.0,22.81,23.41,24.16,24.0,24.5,26.09,27.94,27.38,25.75,24.66,23.88,21.84,19.25,17.16,16.28,14.59,12.12,10.06,9.97,10.72,10.66,10.94,12.72,15.41,16.44,16.62,17.31,18.19,17.53,15.69,14.28,14.12,14.16,13.25,12.5,55.97,56.56,57.53,58.5,58.75,57.66,56.03,54.69,53.28,52.41,52.56,54.03,56.09,57.78,59.22,60.0,60.56,59.84,58.28,57.41,57.31:42.53,41.31,40.91,41.22,41.06,39.91,38.5,38.69,38.75,37.41,34.94,33.56,32.47,29.78,26.12,24.22,23.91,23.88,23.38,24.31,27.66,30.94,32.16,33.28,35.0,36.75,36.22,34.91,34.62,35.41,34.72,33.66,34.12,36.34,38.09,38.19,38.44,39.38,39.66,38.72,37.34,37.84,38.66,37.72,35.16,33.44,32.06,29.81,26.91,25.66,26.41,27.69,28.09,29.19,32.19,34.94,36.56,37.41,39.81,42.53,43.75,44.34,46.19,48.28,49.09,47.84,46.69,46.78,46.56,44.94,43.88,44.69,45.31,44.03,41.47,40.31,38.53,34.94,30.03,26.56,25.25,24.53,23.28,23.75,25.78,27.59,27.28,27.28,29.19,31.78,33.34,34.47,37.06,39.81,40.62,39.53,38.81,38.97,38.25,36.62,35.53,36.16,36.81,35.5,33.56,32.62,31.41,28.91,25.31,23.81,23.78,23.75,23.09,23.94,26.09,28.0,28.28,28.66,30.5,32.22,32.0,31.22,31.38,31.59,30.69,28.97,28.72,30.09,31.06,31.19,32.84,35.22,37.53,37.94,38.66,40.72,42.69,43.06,42.97,43.78,44.88,43.81,41.47,40.16,39.5,38.41,36.56,35.66,36.0,35.66,33.72,31.66,30.75,30.03,27.91,25.72,25.22,25.62,25.19,24.0,23.97,24.78,25.44,24.62,24.53,26.12,27.62,27.91,28.25,30.5,33.25,34.94,36.03,39.25,42.94,45.84,46.88,48.16,48.69,47.56,43.78,41.0,39.97,40.22,39.97,39.66,41.0,41.75,40.5,38.25,37.09,36.62,35.44,33.09,32.03,32.75,33.09,32.28,32.03,33.28,34.59,34.12,33.31,34.09,36.19,35.44,34.16,34.72,34.97,34.69,33.62,33.66,35.38,37.09,37.09,38.0,40.19,42.12,42.38,42.31,43.06,44.25,43.91,42.72,42.81,43.91,44.31,43.47,42.91,43.28,43.5,41.81,40.97,42.34,44.84,46.28,47.69,50.0,52.06,52.22,50.91,49.81,49.59,48.06,44.59,41.38,38.75,35.78,30.97,27.06,25.41,25.06,24.41,24.03,26.31,29.88,32.88,35.69,39.72,44.84,48.19,49.47,51.09,53.12,54.66,54.12,52.91,52.53,52.03,49.47,46.34,44.25,42.69,40.25,37.12,35.69,36.75,37.81,37.88,38.44,40.59,42.25,41.69,41.0,41.59,42.62,42.28,41.62,42.44,43.88,44.16,42.72,41.62,42.19,42.31,41.09,41.0,42.12,43.22,42.09,40.72,40.62,41.56,41.5,41.06,41.75,43.28,43.66,42.41,42.12,43.09,43.5,42.0,40.31,39.66,39.03,36.59,34.84,34.75,36.16,36.84,36.88,38.31,40.84,42.44,42.44,42.91,45.0,45.97,44.91,43.88,44.19,44.75,43.91,43.03,43.69,45.12,45.0,43.88,44.09,45.41,45.78,44.78,44.09,45.0,45.47,44.53,43.72,44.75,46.03,46.06,45.5,46.5,48.75,49.38,48.78,49.41,50.59,50.91,49.69,48.72,49.47,49.75,48.56,47.44,47.75,48.53,47.72,46.72,47.16,49.19,50.28,50.5,51.47,53.41,54.28,52.97,51.53,51.53,51.62,50.5,49.69,50.75,52.75,53.0,52.31,52.34,53.19,52.22,50.06,48.31,48.38,47.28,45.12,42.91,42.41,41.91,40.12,38.66,39.03,40.72,41.22,41.38,42.06,43.88,44.12,43.19,42.5,43.81,44.47,43.38,42.53,43.47,44.78,44.53,44.19,44.78,45.88,44.5,41.75,39.56,38.66,37.09,35.22,34.44,35.97,37.25,36.47,36.03,37.47,39.62,40.5,41.53,43.47,45.75,46.28,45.12,44.47,44.75,43.78,41.16,39.28,39.16,39.34,38.31,38.09,39.31,41.38,42.16,42.25,43.5,45.31,45.84,45.25,45.12,46.16,45.84,43.91,42.22,42.25,42.19,41.0,39.84,39.72,40.44,39.84,38.84,39.41,40.88,41.53,40.78,40.31,41.09,41.03,39.78,39.19,40.53,41.62,40.66,39.31,39.38,39.91,39.03,37.94,38.34,39.91,40.38,39.69,39.72,40.75,40.31,37.62,34.5,32.91,31.56,29.28,27.53,28.03,29.12,29.06,28.22,28.75,30.47,31.28,30.81,30.62,31.88,32.44,31.84,31.44,32.47,33.56,33.31,32.44,32.72,33.84,33.62,32.16,31.78,32.66,32.66,31.38,30.28,30.97,31.09,30.19,29.56,31.5,33.62,34.59,34.44,34.72,34.47,32.22,28.91,26.84,27.19,27.69,27.84,28.88,31.62,33.69,34.0,33.69,34.5,35.56,35.12,34.25,34.59,35.5,34.97,32.84,30.75,29.66,28.28,25.5,23.31,23.28,23.22,21.59,19.94,19.69,20.0,18.88,17.34,16.88,17.41,16.84,15.5,14.69,15.91,17.0,17.44,18.88,22.62,26.16,28.03,29.38,31.28,33.25,33.56,32.34,31.97,32.69,32.12,30.16,28.31,27.62,26.12,22.91,19.97,18.94,18.69,17.16,15.66,16.44,18.47,20.25,21.62,24.03,28.0,30.75,31.31,31.81,32.66,32.22,29.69,27.19,26.53,26.41,25.28,23.59,23.91,24.72,24.53,23.47,23.41,24.06,23.91,22.5,21.41,22.16,23.25,22.88,22.84,24.31,25.53,25.38,23.59,22.94,22.88,22.12,20.5,20.22,21.88,22.78,22.5,22.59,23.91,24.72,23.84,22.78,23.34,24.19,24.22,23.88,24.38,25.38,25.22,23.56,22.53,22.94,23.19,22.69,22.78,25.12,27.34,28.22,28.5,30.0,31.16,30.31,28.28,27.09,26.69,25.88,23.72,22.62,22.34,21.25,18.84,16.59,16.72,17.59,17.97,18.16,20.12,22.19,22.97,22.62,22.25,22.53,21.72,19.78,18.25,18.38,18.66,17.59,17.0,18.12,19.91,21.09,22.31,24.62,27.59,29.09,28.69,28.44,28.38,27.69,25.44,23.09,22.44,21.41,19.06,17.06,17.03,18.44,19.59,20.91,24.16,28.41,31.47,33.16,34.88,36.97,37.91,36.66,35.56,35.66,35.0,33.28,30.97,30.41,30.19,28.94,26.69,25.81,25.22,24.09,21.94,21.31,22.59,24.28,25.28,27.0,29.88,32.34,32.72,31.62,31.03,30.0,27.31,23.81,21.72,20.78,19.97,18.5,17.88,18.47,19.38,18.81,18.56,20.19,22.16,23.41,24.41,27.09,30.03,31.31,30.94,30.78,30.28,28.5,25.31,22.28,20.72,19.41,17.19,16.0,17.06,19.38,20.84,21.81,24.09,26.41,27.41,27.0,27.12,28.12,28.19,27.28,27.12,28.94,30.81,31.12,31.25,32.0,32.38,31.09,28.88,27.91,27.75,26.44,24.31,23.16,22.59,21.56,19.66,18.25,18.5,18.81,18.22,17.72,19.0,20.81,21.41,20.91,21.12,21.66,21.53,21.22,21.94,24.31,25.84,26.03,25.69,25.97,26.41,25.25,24.53,25.28,26.22,25.84,23.97,22.78,22.25,21.62,20.88,21.31,23.53,25.5,25.88,26.09,27.09,28.0,27.31,26.09,26.16,26.75,26.81,26.75,28.41,31.78,35.59,38.41,41.25,44.41,45.91,44.38,41.88,39.75,37.53,33.75,29.84,27.69,26.78,25.25,22.84,21.84,21.44,20.94,19.09,18.28,18.91,19.91,19.16,19.19,20.91,23.41,25.34,27.22,29.97,33.38,35.12,35.12,35.22,35.5,34.62,31.81,28.78,26.84,25.31,22.38,20.0,19.28,19.06,17.62,15.66,14.53,14.41,13.5,11.34,10.53,10.66,10.62,10.19,10.25,12.19,14.66,15.88,17.56,20.78,24.12,25.97,26.72,27.66,29.56,30.06,29.25,28.81,29.38,29.0,27.44,25.69,24.88,23.97,21.66,19.22,18.47,18.91,18.38,17.81,18.0,19.44,19.88,19.31,19.09,19.38,19.44,17.78,16.19,15.91,16.41,15.84,15.41,16.56,18.72,19.53,20.03,21.12,23.44,25.16,25.53,26.12,27.44,28.31,27.03,25.41,24.53,24.22,22.56,20.88,20.25,21.28,22.06,22.19,23.81,27.12,30.12,31.91,33.38,35.41,37.03,36.03,34.66,33.94,34.0,32.34,29.88,28.44,27.34,25.47,23.03,21.28,20.88,21.09,20.44,21.19,23.88,27.16,28.69,29.19,30.16,31.22,30.53,29.28,29.44,30.28,30.47,29.28,28.5,28.78,28.53,26.94,25.22,25.31,25.88,25.03,24.34,24.84,25.94,25.84,24.75,24.69,25.66,26.06,25.59,25.78,26.84,27.47,26.0,24.66,24.31,24.56,24.22,23.97,24.88,26.25,25.72,23.53,21.59,20.62,19.28,17.0,15.62,16.56,17.81,18.16,18.94,21.16,24.25,26.09,27.28,29.31,31.66,32.22,31.0,29.91,30.38,30.28,29.22,28.19,28.78,28.91,27.06,25.06,23.66,22.91,21.0,19.09,18.78,20.0,20.5,20.28,20.31,21.75,22.41,21.59,20.81,21.69,22.56,22.06,21.38,21.47,22.03,21.09,20.19,20.66,22.81,25.28,26.97,29.22,32.59,34.91,34.97,33.22,31.69,29.75,25.75,22.28,20.88,21.28,21.44,22.06,22.97,24.62,25.25,24.0,22.81,23.41,24.16,24.0,24.5,26.09,27.94,27.38,25.75,24.66,23.88,21.84,19.25,17.16,16.28,14.59,12.12,10.06,9.97,10.72,10.66,10.94,12.72,15.41,16.44,16.62,17.31,18.19,17.53,15.69,14.28,14.12,14.16,13.25,12.5,55.97,56.56,57.53,58.5,58.75,57.66,56.03,54.69,53.28,52.41,52.56,54.03,56.09,57.78,59.22,60.0,60.56,59.84,58.28,57.41,57.31,57.12,56.91,57.19,58.22,58.91,59.09,59.44:38.69,38.75,37.41,34.94,33.56,32.47,29.78,26.12,24.22,23.91,23.88,23.38,24.31,27.66,30.94,32.16,33.28,35.0,36.75,36.22,34.91,34.62,35.41,34.72,33.66,34.12,36.34,38.09,38.19,38.44,39.38,39.66,38.72,37.34,37.84,38.66,37.72,35.16,33.44,32.06,29.81,26.91,25.66,26.41,27.69,28.09,29.19,32.19,34.94,36.56,37.41,39.81,42.53,43.75,44.34,46.19,48.28,49.09,47.84,46.69,46.78,46.56,44.94,43.88,44.69,45.31,44.03,41.47,40.31,38.53,34.94,30.03,26.56,25.25,24.53,23.28,23.75,25.78,27.59,27.28,27.28,29.19,31.78,33.34,34.47,37.06,39.81,40.62,39.53,38.81,38.97,38.25,36.62,35.53,36.16,36.81,35.5,33.56,32.62,31.41,28.91,25.31,23.81,23.78,23.75,23.09,23.94,26.09,28.0,28.28,28.66,30.5,32.22,32.0,31.22,31.38,31.59,30.69,28.97,28.72,30.09,31.06,31.19,32.84,35.22,37.53,37.94,38.66,40.72,42.69,43.06,42.97,43.78,44.88,43.81,41.47,40.16,39.5,38.41,36.56,35.66,36.0,35.66,33.72,31.66,30.75,30.03,27.91,25.72,25.22,25.62,25.19,24.0,23.97,24.78,25.44,24.62,24.53,26.12,27.62,27.91,28.25,30.5,33.25,34.94,36.03,39.25,42.94,45.84,46.88,48.16,48.69,47.56,43.78,41.0,39.97,40.22,39.97,39.66,41.0,41.75,40.5,38.25,37.09,36.62,35.44,33.09,32.03,32.75,33.09,32.28,32.03,33.28,34.59,34.12,33.31,34.09,36.19,35.44,34.16,34.72,34.97,34.69,33.62,33.66,35.38,37.09,37.09,38.0,40.19,42.12,42.38,42.31,43.06,44.25,43.91,42.72,42.81,43.91,44.31,43.47,42.91,43.28,43.5,41.81,40.97,42.34,44.84,46.28,47.69,50.0,52.06,52.22,50.91,49.81,49.59,48.06,44.59,41.38,38.75,35.78,30.97,27.06,25.41,25.06,24.41,24.03,26.31,29.88,32.88,35.69,39.72,44.84,48.19,49.47,51.09,53.12,54.66,54.12,52.91,52.53,52.03,49.47,46.34,44.25,42.69,40.25,37.12,35.69,36.75,37.81,37.88,38.44,40.59,42.25,41.69,41.0,41.59,42.62,42.28,41.62,42.44,43.88,44.16,42.72,41.62,42.19,42.31,41.09,41.0,42.12,43.22,42.09,40.72,40.62,41.56,41.5,41.06,41.75,43.28,43.66,42.41,42.12,43.09,43.5,42.0,40.31,39.66,39.03,36.59,34.84,34.75,36.16,36.84,36.88,38.31,40.84,42.44,42.44,42.91,45.0,45.97,44.91,43.88,44.19,44.75,43.91,43.03,43.69,45.12,45.0,43.88,44.09,45.41,45.78,44.78,44.09,45.0,45.47,44.53,43.72,44.75,46.03,46.06,45.5,46.5,48.75,49.38,48.78,49.41,50.59,50.91,49.69,48.72,49.47,49.75,48.56,47.44,47.75,48.53,47.72,46.72,47.16,49.19,50.28,50.5,51.47,53.41,54.28,52.97,51.53,51.53,51.62,50.5,49.69,50.75,52.75,53.0,52.31,52.34,53.19,52.22,50.06,48.31,48.38,47.28,45.12,42.91,42.41,41.91,40.12,38.66,39.03,40.72,41.22,41.38,42.06,43.88,44.12,43.19,42.5,43.81,44.47,43.38,42.53,43.47,44.78,44.53,44.19,44.78,45.88,44.5,41.75,39.56,38.66,37.09,35.22,34.44,35.97,37.25,36.47,36.03,37.47,39.62,40.5,41.53,43.47,45.75,46.28,45.12,44.47,44.75,43.78,41.16,39.28,39.16,39.34,38.31,38.09,39.31,41.38,42.16,42.25,43.5,45.31,45.84,45.25,45.12,46.16,45.84,43.91,42.22,42.25,42.19,41.0,39.84,39.72,40.44,39.84,38.84,39.41,40.88,41.53,40.78,40.31,41.09,41.03,39.78,39.19,40.53,41.62,40.66,39.31,39.38,39.91,39.03,37.94,38.34,39.91,40.38,39.69,39.72,40.75,40.31,37.62,34.5,32.91,31.56,29.28,27.53,28.03,29.12,29.06,28.22,28.75,30.47,31.28,30.81,30.62,31.88,32.44,31.84,31.44,32.47,33.56,33.31,32.44,32.72,33.84,33.62,32.16,31.78,32.66,32.66,31.38,30.28,30.97,31.09,30.19,29.56,31.5,33.62,34.59,34.44,34.72,34.47,32.22,28.91,26.84,27.19,27.69,27.84,28.88,31.62,33.69,34.0,33.69,34.5,35.56,35.12,34.25,34.59,35.5,34.97,32.84,30.75,29.66,28.28,25.5,23.31,23.28,23.22,21.59,19.94,19.69,20.0,18.88,17.34,16.88,17.41,16.84,15.5,14.69,15.91,17.0,17.44,18.88,22.62,26.16,28.03,29.38,31.28,33.25,33.56,32.34,31.97,32.69,32.12,30.16,28.31,27.62,26.12,22.91,19.97,18.94,18.69,17.16,15.66,16.44,18.47,20.25,21.62,24.03,28.0,30.75,31.31,31.81,32.66,32.22,29.69,27.19,26.53,26.41,25.28,23.59,23.91,24.72,24.53,23.47,23.41,24.06,23.91,22.5,21.41,22.16,23.25,22.88,22.84,24.31,25.53,25.38,23.59,22.94,22.88,22.12,20.5,20.22,21.88,22.78,22.5,22.59,23.91,24.72,23.84,22.78,23.34,24.19,24.22,23.88,24.38,25.38,25.22,23.56,22.53,22.94,23.19,22.69,22.78,25.12,27.34,28.22,28.5,30.0,31.16,30.31,28.28,27.09,26.69,25.88,23.72,22.62,22.34,21.25,18.84,16.59,16.72,17.59,17.97,18.16,20.12,22.19,22.97,22.62,22.25,22.53,21.72,19.78,18.25,18.38,18.66,17.59,17.0,18.12,19.91,21.09,22.31,24.62,27.59,29.09,28.69,28.44,28.38,27.69,25.44,23.09,22.44,21.41,19.06,17.06,17.03,18.44,19.59,20.91,24.16,28.41,31.47,33.16,34.88,36.97,37.91,36.66,35.56,35.66,35.0,33.28,30.97,30.41,30.19,28.94,26.69,25.81,25.22,24.09,21.94,21.31,22.59,24.28,25.28,27.0,29.88,32.34,32.72,31.62,31.03,30.0,27.31,23.81,21.72,20.78,19.97,18.5,17.88,18.47,19.38,18.81,18.56,20.19,22.16,23.41,24.41,27.09,30.03,31.31,30.94,30.78,30.28,28.5,25.31,22.28,20.72,19.41,17.19,16.0,17.06,19.38,20.84,21.81,24.09,26.41,27.41,27.0,27.12,28.12,28.19,27.28,27.12,28.94,30.81,31.12,31.25,32.0,32.38,31.09,28.88,27.91,27.75,26.44,24.31,23.16,22.59,21.56,19.66,18.25,18.5,18.81,18.22,17.72,19.0,20.81,21.41,20.91,21.12,21.66,21.53,21.22,21.94,24.31,25.84,26.03,25.69,25.97,26.41,25.25,24.53,25.28,26.22,25.84,23.97,22.78,22.25,21.62,20.88,21.31,23.53,25.5,25.88,26.09,27.09,28.0,27.31,26.09,26.16,26.75,26.81,26.75,28.41,31.78,35.59,38.41,41.25,44.41,45.91,44.38,41.88,39.75,37.53,33.75,29.84,27.69,26.78,25.25,22.84,21.84,21.44,20.94,19.09,18.28,18.91,19.91,19.16,19.19,20.91,23.41,25.34,27.22,29.97,33.38,35.12,35.12,35.22,35.5,34.62,31.81,28.78,26.84,25.31,22.38,20.0,19.28,19.06,17.62,15.66,14.53,14.41,13.5,11.34,10.53,10.66,10.62,10.19,10.25,12.19,14.66,15.88,17.56,20.78,24.12,25.97,26.72,27.66,29.56,30.06,29.25,28.81,29.38,29.0,27.44,25.69,24.88,23.97,21.66,19.22,18.47,18.91,18.38,17.81,18.0,19.44,19.88,19.31,19.09,19.38,19.44,17.78,16.19,15.91,16.41,15.84,15.41,16.56,18.72,19.53,20.03,21.12,23.44,25.16,25.53,26.12,27.44,28.31,27.03,25.41,24.53,24.22,22.56,20.88,20.25,21.28,22.06,22.19,23.81,27.12,30.12,31.91,33.38,35.41,37.03,36.03,34.66,33.94,34.0,32.34,29.88,28.44,27.34,25.47,23.03,21.28,20.88,21.09,20.44,21.19,23.88,27.16,28.69,29.19,30.16,31.22,30.53,29.28,29.44,30.28,30.47,29.28,28.5,28.78,28.53,26.94,25.22,25.31,25.88,25.03,24.34,24.84,25.94,25.84,24.75,24.69,25.66,26.06,25.59,25.78,26.84,27.47,26.0,24.66,24.31,24.56,24.22,23.97,24.88,26.25,25.72,23.53,21.59,20.62,19.28,17.0,15.62,16.56,17.81,18.16,18.94,21.16,24.25,26.09,27.28,29.31,31.66,32.22,31.0,29.91,30.38,30.28,29.22,28.19,28.78,28.91,27.06,25.06,23.66,22.91,21.0,19.09,18.78,20.0,20.5,20.28,20.31,21.75,22.41,21.59,20.81,21.69,22.56,22.06,21.38,21.47,22.03,21.09,20.19,20.66,22.81,25.28,26.97,29.22,32.59,34.91,34.97,33.22,31.69,29.75,25.75,22.28,20.88,21.28,21.44,22.06,22.97,24.62,25.25,24.0,22.81,23.41,24.16,24.0,24.5,26.09,27.94,27.38,25.75,24.66,23.88,21.84,19.25,17.16,16.28,14.59,12.12,10.06,9.97,10.72,10.66,10.94,12.72,15.41,16.44,16.62,17.31,18.19,17.53,15.69,14.28,14.12,14.16,13.25,12.5,55.97,56.56,57.53,58.5,58.75,57.66,56.03,54.69,53.28,52.41,52.56,54.03,56.09,57.78,59.22,60.0,60.56,59.84,58.28,57.41,57.31,57.12,56.91,57.19,58.22,58.91,59.09,59.44,59.66,60.25,60.53,60.47,60.97,62.47,63.44:26.12,24.22,23.91,23.88,23.38,24.31,27.66,30.94,32.16,33.28,35.0,36.75,36.22,34.91,34.62,35.41,34.72,33.66,34.12,36.34,38.09,38.19,38.44,39.38,39.66,38.72,37.34,37.84,38.66,37.72,35.16,33.44,32.06,29.81,26.91,25.66,26.41,27.69,28.09,29.19,32.19,34.94,36.56,37.41,39.81,42.53,43.75,44.34,46.19,48.28,49.09,47.84,46.69,46.78,46.56,44.94,43.88,44.69,45.31,44.03,41.47,40.31,38.53,34.94,30.03,26.56,25.25,24.53,23.28,23.75,25.78,27.59,27.28,27.28,29.19,31.78,33.34,34.47,37.06,39.81,40.62,39.53,38.81,38.97,38.25,36.62,35.53,36.16,36.81,35.5,33.56,32.62,31.41,28.91,25.31,23.81,23.78,23.75,23.09,23.94,26.09,28.0,28.28,28.66,30.5,32.22,32.0,31.22,31.38,31.59,30.69,28.97,28.72,30.09,31.06,31.19,32.84,35.22,37.53,37.94,38.66,40.72,42.69,43.06,42.97,43.78,44.88,43.81,41.47,40.16,39.5,38.41,36.56,35.66,36.0,35.66,33.72,31.66,30.75,30.03,27.91,25.72,25.22,25.62,25.19,24.0,23.97,24.78,25.44,24.62,24.53,26.12,27.62,27.91,28.25,30.5,33.25,34.94,36.03,39.25,42.94,45.84,46.88,48.16,48.69,47.56,43.78,41.0,39.97,40.22,39.97,39.66,41.0,41.75,40.5,38.25,37.09,36.62,35.44,33.09,32.03,32.75,33.09,32.28,32.03,33.28,34.59,34.12,33.31,34.09,36.19,35.44,34.16,34.72,34.97,34.69,33.62,33.66,35.38,37.09,37.09,38.0,40.19,42.12,42.38,42.31,43.06,44.25,43.91,42.72,42.81,43.91,44.31,43.47,42.91,43.28,43.5,41.81,40.97,42.34,44.84,46.28,47.69,50.0,52.06,52.22,50.91,49.81,49.59,48.06,44.59,41.38,38.75,35.78,30.97,27.06,25.41,25.06,24.41,24.03,26.31,29.88,32.88,35.69,39.72,44.84,48.19,49.47,51.09,53.12,54.66,54.12,52.91,52.53,52.03,49.47,46.34,44.25,42.69,40.25,37.12,35.69,36.75,37.81,37.88,38.44,40.59,42.25,41.69,41.0,41.59,42.62,42.28,41.62,42.44,43.88,44.16,42.72,41.62,42.19,42.31,41.09,41.0,42.12,43.22,42.09,40.72,40.62,41.56,41.5,41.06,41.75,43.28,43.66,42.41,42.12,43.09,43.5,42.0,40.31,39.66,39.03,36.59,34.84,34.75,36.16,36.84,36.88,38.31,40.84,42.44,42.44,42.91,45.0,45.97,44.91,43.88,44.19,44.75,43.91,43.03,43.69,45.12,45.0,43.88,44.09,45.41,45.78,44.78,44.09,45.0,45.47,44.53,43.72,44.75,46.03,46.06,45.5,46.5,48.75,49.38,48.78,49.41,50.59,50.91,49.69,48.72,49.47,49.75,48.56,47.44,47.75,48.53,47.72,46.72,47.16,49.19,50.28,50.5,51.47,53.41,54.28,52.97,51.53,51.53,51.62,50.5,49.69,50.75,52.75,53.0,52.31,52.34,53.19,52.22,50.06,48.31,48.38,47.28,45.12,42.91,42.41,41.91,40.12,38.66,39.03,40.72,41.22,41.38,42.06,43.88,44.12,43.19,42.5,43.81,44.47,43.38,42.53,43.47,44.78,44.53,44.19,44.78,45.88,44.5,41.75,39.56,38.66,37.09,35.22,34.44,35.97,37.25,36.47,36.03,37.47,39.62,40.5,41.53,43.47,45.75,46.28,45.12,44.47,44.75,43.78,41.16,39.28,39.16,39.34,38.31,38.09,39.31,41.38,42.16,42.25,43.5,45.31,45.84,45.25,45.12,46.16,45.84,43.91,42.22,42.25,42.19,41.0,39.84,39.72,40.44,39.84,38.84,39.41,40.88,41.53,40.78,40.31,41.09,41.03,39.78,39.19,40.53,41.62,40.66,39.31,39.38,39.91,39.03,37.94,38.34,39.91,40.38,39.69,39.72,40.75,40.31,37.62,34.5,32.91,31.56,29.28,27.53,28.03,29.12,29.06,28.22,28.75,30.47,31.28,30.81,30.62,31.88,32.44,31.84,31.44,32.47,33.56,33.31,32.44,32.72,33.84,33.62,32.16,31.78,32.66,32.66,31.38,30.28,30.97,31.09,30.19,29.56,31.5,33.62,34.59,34.44,34.72,34.47,32.22,28.91,26.84,27.19,27.69,27.84,28.88,31.62,33.69,34.0,33.69,34.5,35.56,35.12,34.25,34.59,35.5,34.97,32.84,30.75,29.66,28.28,25.5,23.31,23.28,23.22,21.59,19.94,19.69,20.0,18.88,17.34,16.88,17.41,16.84,15.5,14.69,15.91,17.0,17.44,18.88,22.62,26.16,28.03,29.38,31.28,33.25,33.56,32.34,31.97,32.69,32.12,30.16,28.31,27.62,26.12,22.91,19.97,18.94,18.69,17.16,15.66,16.44,18.47,20.25,21.62,24.03,28.0,30.75,31.31,31.81,32.66,32.22,29.69,27.19,26.53,26.41,25.28,23.59,23.91,24.72,24.53,23.47,23.41,24.06,23.91,22.5,21.41,22.16,23.25,22.88,22.84,24.31,25.53,25.38,23.59,22.94,22.88,22.12,20.5,20.22,21.88,22.78,22.5,22.59,23.91,24.72,23.84,22.78,23.34,24.19,24.22,23.88,24.38,25.38,25.22,23.56,22.53,22.94,23.19,22.69,22.78,25.12,27.34,28.22,28.5,30.0,31.16,30.31,28.28,27.09,26.69,25.88,23.72,22.62,22.34,21.25,18.84,16.59,16.72,17.59,17.97,18.16,20.12,22.19,22.97,22.62,22.25,22.53,21.72,19.78,18.25,18.38,18.66,17.59,17.0,18.12,19.91,21.09,22.31,24.62,27.59,29.09,28.69,28.44,28.38,27.69,25.44,23.09,22.44,21.41,19.06,17.06,17.03,18.44,19.59,20.91,24.16,28.41,31.47,33.16,34.88,36.97,37.91,36.66,35.56,35.66,35.0,33.28,30.97,30.41,30.19,28.94,26.69,25.81,25.22,24.09,21.94,21.31,22.59,24.28,25.28,27.0,29.88,32.34,32.72,31.62,31.03,30.0,27.31,23.81,21.72,20.78,19.97,18.5,17.88,18.47,19.38,18.81,18.56,20.19,22.16,23.41,24.41,27.09,30.03,31.31,30.94,30.78,30.28,28.5,25.31,22.28,20.72,19.41,17.19,16.0,17.06,19.38,20.84,21.81,24.09,26.41,27.41,27.0,27.12,28.12,28.19,27.28,27.12,28.94,30.81,31.12,31.25,32.0,32.38,31.09,28.88,27.91,27.75,26.44,24.31,23.16,22.59,21.56,19.66,18.25,18.5,18.81,18.22,17.72,19.0,20.81,21.41,20.91,21.12,21.66,21.53,21.22,21.94,24.31,25.84,26.03,25.69,25.97,26.41,25.25,24.53,25.28,26.22,25.84,23.97,22.78,22.25,21.62,20.88,21.31,23.53,25.5,25.88,26.09,27.09,28.0,27.31,26.09,26.16,26.75,26.81,26.75,28.41,31.78,35.59,38.41,41.25,44.41,45.91,44.38,41.88,39.75,37.53,33.75,29.84,27.69,26.78,25.25,22.84,21.84,21.44,20.94,19.09,18.28,18.91,19.91,19.16,19.19,20.91,23.41,25.34,27.22,29.97,33.38,35.12,35.12,35.22,35.5,34.62,31.81,28.78,26.84,25.31,22.38,20.0,19.28,19.06,17.62,15.66,14.53,14.41,13.5,11.34,10.53,10.66,10.62,10.19,10.25,12.19,14.66,15.88,17.56,20.78,24.12,25.97,26.72,27.66,29.56,30.06,29.25,28.81,29.38,29.0,27.44,25.69,24.88,23.97,21.66,19.22,18.47,18.91,18.38,17.81,18.0,19.44,19.88,19.31,19.09,19.38,19.44,17.78,16.19,15.91,16.41,15.84,15.41,16.56,18.72,19.53,20.03,21.12,23.44,25.16,25.53,26.12,27.44,28.31,27.03,25.41,24.53,24.22,22.56,20.88,20.25,21.28,22.06,22.19,23.81,27.12,30.12,31.91,33.38,35.41,37.03,36.03,34.66,33.94,34.0,32.34,29.88,28.44,27.34,25.47,23.03,21.28,20.88,21.09,20.44,21.19,23.88,27.16,28.69,29.19,30.16,31.22,30.53,29.28,29.44,30.28,30.47,29.28,28.5,28.78,28.53,26.94,25.22,25.31,25.88,25.03,24.34,24.84,25.94,25.84,24.75,24.69,25.66,26.06,25.59,25.78,26.84,27.47,26.0,24.66,24.31,24.56,24.22,23.97,24.88,26.25,25.72,23.53,21.59,20.62,19.28,17.0,15.62,16.56,17.81,18.16,18.94,21.16,24.25,26.09,27.28,29.31,31.66,32.22,31.0,29.91,30.38,30.28,29.22,28.19,28.78,28.91,27.06,25.06,23.66,22.91,21.0,19.09,18.78,20.0,20.5,20.28,20.31,21.75,22.41,21.59,20.81,21.69,22.56,22.06,21.38,21.47,22.03,21.09,20.19,20.66,22.81,25.28,26.97,29.22,32.59,34.91,34.97,33.22,31.69,29.75,25.75,22.28,20.88,21.28,21.44,22.06,22.97,24.62,25.25,24.0,22.81,23.41,24.16,24.0,24.5,26.09,27.94,27.38,25.75,24.66,23.88,21.84,19.25,17.16,16.28,14.59,12.12,10.06,9.97,10.72,10.66,10.94,12.72,15.41,16.44,16.62,17.31,18.19,17.53,15.69,14.28,14.12,14.16,13.25,12.5,55.97,56.56,57.53,58.5,58.75,57.66,56.03,54.69,53.28,52.41,52.56,54.03,56.09,57.78,59.22,60.0,60.56,59.84,58.28,57.41,57.31,57.12,56.91,57.19,58.22,58.91,59.09,59.44,59.66,60.25,60.53,60.47,60.97,62.47,63.44,63.41,63.53,63.72,62.62,60.19,57.03,54.22:positivity
17.0,15.25,14.62,15.69,16.81,16.78,16.94,18.25,19.62,18.78,17.22,17.41,18.75,19.41,19.5,21.19,23.16,23.97,22.5,21.22,21.28,21.31,19.75,18.12,18.5,18.75,17.41,15.69,16.19,17.16,17.09,16.06,15.81,16.69,17.06,16.12,16.34,18.5,20.84,21.97,23.0,25.47,27.03,26.78,25.03,24.12,23.84,22.69,20.25,18.88,19.19,19.0,17.38,16.47,17.28,17.84,16.56,15.22,15.53,16.44,16.41,15.84,16.62,17.88,17.94,16.66,16.38,17.22,17.94,17.28,16.91,18.31,20.16,20.62,20.84,22.38,24.03,23.62,22.0,20.66,20.34,19.16,16.72,15.28,14.94,14.0,11.44,9.28,9.25,10.28,10.66,11.41,13.69,16.59,18.25,18.41,20.06,22.28,24.06,24.22,24.75,26.25,26.72,24.78,22.44,21.69,21.41,19.97,18.31,18.19,18.34,16.88,13.78,11.41,10.12,8.44,5.94,4.34,5.28,6.66,6.62,6.81,8.28,9.56,9.34,8.53,9.28,11.19,12.41,12.53,13.97,16.66,18.44,18.66,19.06,20.72,22.28,22.09,21.44,21.78,22.62,21.59,19.62,18.66,18.25,16.16,12.31,9.03,7.03,5.28,2.97,2.0,3.41,6.16,7.72,9.34,12.62,16.19,17.66,18.5,19.59,21.09,21.31,19.84,18.88,19.19,19.34,17.72,16.72,17.06,17.31,15.75,13.69,12.38,11.78,9.78,7.25,6.25,7.38,8.34,8.88,10.75,14.34,17.56,18.69,19.12,20.38,21.09,19.75,18.28,18.56,20.44,21.56,21.97,22.97,24.62,25.22,23.81,22.56,22.69,22.81,20.97,19.34,19.62,20.62,20.25,19.09,19.94,21.66,22.03,21.38,21.06,21.47,20.41,17.91,15.78,15.59,16.0,15.34,15.56,17.72,20.38,21.25,21.06,21.44,23.09,23.62,23.5,24.59,27.0,28.09,26.66,24.47,23.19,21.16,17.41,14.03,12.94,13.12,12.81,12.5,13.66,15.62,16.72,16.0,15.59,16.31,16.03,14.53,12.5,12.09,11.88,9.78,8.38,8.53,10.0,10.34,10.38,11.5,13.78,15.69,16.09,17.19,19.34,20.59,20.0,19.41,20.28,21.5,21.12,20.5,21.03,22.38,22.44,21.59,21.72,22.94,23.28,21.97,21.09,21.78,22.25,21.44,21.09,22.25,23.84,23.31,21.41,20.69,20.53,19.34,17.69,16.81,17.38,17.62,16.16,15.44,16.03,16.88,16.0,15.28,15.91,17.22,17.28,17.06,18.16,20.44,22.16,23.16,24.47,27.16,29.12,28.56,28.03,29.09,30.03,29.75,29.75,31.66,33.97,34.25,33.66,33.19,33.69,32.88,30.91,29.62,29.47,28.97,26.94,25.0,25.66,26.91,26.84,26.94,28.41,30.06,29.72,28.22,27.22,27.66,27.5,26.84,27.12,29.41,31.09,30.97,30.16,30.5,30.53,28.88,26.59,26.0,26.38,25.25,23.47,22.72,23.5,23.12,21.75,20.88,21.44,21.75,20.44,19.66,20.75,22.28,22.66,22.41,23.31,24.5,24.41,22.69,21.88,22.56,22.78,22.0,22.16,24.38,26.62,26.81,26.53,26.34,26.75,25.0,22.03,20.59,19.88,18.56,16.25,14.91,15.59,15.94,15.25,15.19,16.75,18.69,19.25,19.16,20.22,21.16,20.0,17.59,16.22,16.34,16.22,15.44,15.75,17.75,19.12,18.69,18.41,19.88,21.69,22.0,21.88,22.78,24.81,25.38,24.88,25.28,27.06,27.78,27.12,26.75,27.78,28.12,26.75,24.78,24.59,24.94,24.03,22.72,22.38,22.41,21.12,18.75,17.56,18.47,19.06,18.56,19.12,21.25,22.66,22.84,22.66,23.69,25.06,24.88,23.94,23.62,24.0,23.19,21.25,19.78,19.44,18.69,16.62,15.31,16.5,18.19,18.81,19.19,20.28,21.38,20.69,19.62,19.78,22.09,23.53,24.12,25.47,28.06,29.72,29.12,28.5,29.44,30.03,29.12,27.44,26.88,26.62,25.09,23.12,22.84,24.03,24.66,23.91,23.66,24.41,24.88,23.41,22.56,23.53,24.53,24.66,24.16,25.03,25.88,25.12,23.72,23.12,23.5,23.75,22.81,22.25,23.56,24.38,23.41,22.62,23.38,24.0,23.5,22.12,22.12,22.22,21.19,19.03,17.94,17.97,17.47,15.66,14.03,13.41,12.69,10.75,8.84,9.44,11.16,11.97,12.91,15.31,19.06,21.69,23.28,24.88,27.53,28.38,27.0,25.34,24.81,23.72,21.41,18.47,17.25,16.59,14.72,12.34,11.41,11.97,12.25,11.91,12.38,14.81,16.75,16.91,17.12,19.12,20.81,20.94,20.91,22.03,23.34,23.31,21.88,21.91,22.81,23.12,22.88,23.0,24.75,25.94,25.44,24.19,24.25,24.16,22.28,20.25,19.88,20.0,19.59,18.53,19.0,20.75,22.28,22.81,23.69,25.94,27.44,27.12,26.41,26.84,28.22,28.47,28.56,30.0,31.47,31.62,29.41,27.88,26.88,25.31,22.75,21.03,21.47,22.47,21.78,21.22,21.66,22.12,21.09,19.38,18.78,19.19,19.22,18.44,18.88,20.72,21.94,21.44,20.72,21.0,21.03,19.78,18.91,19.44,20.59,20.69,19.75,20.28,21.25,21.69,21.19,21.44,22.31,22.94,21.25,19.88,19.88,20.25,19.78,19.28,20.12,21.88,22.28,21.94,22.28,23.28,23.03,21.34,19.72,19.5,19.84,19.0,18.22,19.06,20.16,19.72,19.0,19.31,20.41,20.78,20.25,20.62,21.94,23.19,23.38,23.78,25.91,27.56,27.47,27.03,27.47,28.19,27.56,26.0,25.75,26.0,25.12,22.88,21.22,20.84,20.41,19.12,19.28,21.16,23.19,23.69,23.56,24.25,25.09,24.88,24.38,25.22,26.84,27.16,26.44,25.88,25.78,25.53,23.81,23.12,23.69,25.0,24.5,23.72,23.72,23.78,22.59,20.78,20.53,21.38,22.25,22.03,22.59,24.09,25.38,24.72,24.0,24.41,25.12,24.5,23.59,23.5,24.12,23.34,21.22,19.91,19.44,18.91,17.53,16.72,17.38,17.84,16.78,15.81,16.56,17.88,17.94,17.91,19.16,20.53,20.53,18.94,17.94,18.5,18.88,18.5,18.94,20.94,22.69,22.75,22.31,22.56,23.34,22.59,21.16,20.97,22.38,22.88,22.09,22.12,22.97,23.22,22.09,21.41,22.12,23.34,23.31,23.06,23.59,24.38,23.41,21.66,20.38,20.31,19.75,18.44,18.16,19.66,21.44,21.97,22.44,24.22,25.5,25.09,23.97,23.91,24.97,24.78,23.91,24.38,25.78,25.84,24.66,23.69,23.81,23.41,21.66,20.34,20.34,21.06,20.38,19.19,19.19,19.97,19.69,19.06,19.06,20.34,20.62,19.31,17.97,17.88,18.31,17.5,17.47,19.22,21.66,22.69,23.44,24.5,26.5,27.28,26.62,26.41,26.94,26.38,24.22,22.25,21.12,20.91,20.19,19.75,20.88,22.78,23.75,23.84,24.69,26.78,28.31,28.72,29.84,32.5,34.25,34.12,33.41,33.91,34.06,32.94,31.47,31.22,31.34,30.22,28.56,27.81,28.12,28.12,26.88,26.25,27.22,28.28,27.44,26.72,26.94,27.16,25.56,23.69,23.19,23.97,24.06,23.69,23.97,25.31,25.84,24.75,23.34,23.03,22.31,20.12,18.25,17.81,18.19,17.47,16.59,17.34,19.22,20.41,21.44,22.44,24.28,25.12,24.5,23.28,24.03,24.72,24.34,23.75,23.75,24.16,22.53,20.22,18.94,19.19,19.25,19.19,20.44,23.41,25.88,26.66,26.69,27.12,27.12,25.28,23.34,22.88,23.72,23.59,23.16,23.31,24.22,24.41,23.53,22.16,21.84,21.91,20.84,19.59,20.16,21.31,20.91,19.81,20.09,20.97,21.38,21.0,21.72,23.28,23.97,23.25,22.38,22.94,23.06,22.34,21.22,21.56,21.91,20.78,18.88,17.59,17.44,16.5,15.47,15.94,18.72,21.56,22.62,23.47,25.0,26.03,25.03,23.88,24.47,25.75,25.97,25.56,25.75,26.62,26.34,24.44,22.72,22.56,22.0,20.38,19.19,19.97,21.25,21.16,20.69,21.56,22.94,23.03,22.53,23.0,24.47,25.19,24.59,23.5,23.75,23.66,22.12,20.84,21.69,23.12,23.28,23.25,24.0,25.5,25.94,25.25,24.97,26.28,26.78,26.09,25.69,26.38,26.78,25.81,24.72,25.44,26.75,27.0,26.09,27.12,28.81,29.38,28.69,28.56,29.25,29.0,27.5,26.78,27.47,27.97,27.12,25.91,26.16,27.19,27.56,27.19,27.69,28.91,28.72,26.75,25.41,25.38,24.75,22.5,20.5,20.81,21.25,20.66,19.88,20.56,21.22,20.59,18.72,18.09,19.06,20.06,20.78,22.72,26.03,28.94,30.06,30.12,31.09,31.5,29.91,27.88,26.69,25.88,24.12,21.22,19.47,19.06,18.72,17.62,17.22,18.19,18.94,18.28,17.22,18.28,19.84,20.47,20.47,21.12,22.56,22.62,21.06,20.78,21.94,22.97,23.19,24.34,26.66,28.56,28.75,27.69,27.41,27.0,25.16,22.19,20.38,20.03,19.28,17.5,16.91,18.06,19.44,19.59,20.34,22.66,25.28,26.31,26.44,27.84,29.41,29.16,27.59,27.25,28.03,28.12,27.0,26.5,26.66,26.25,24.16,22.25,22.28,23.5,24.09,24.78,27.03,29.34,30.22,29.75,30.0,30.94,32.16,31.84,31.97,33.28,34.25,33.0,31.81,32.25,33.53,33.97,33.84,35.09,36.84,37.25,36.09,35.72,36.19,36.75,36.03,36.06,37.56,38.75:18.25,19.62,18.78,17.22,17.41,18.75,19.41,19.5,21.19,23.16,23.97,22.5,21.22,21.28,21.31,19.75,18.12,18.5,18.75,17.41,15.69,16.19,17.16,17.09,16.06,15.81,16.69,17.06,16.12,16.34,18.5,20.84,21.97,23.0,25.47,27.03,26.78,25.03,24.12,23.84,22.69,20.25,18.88,19.19,19.0,17.38,16.47,17.28,17.84,16.56,15.22,15.53,16.44,16.41,15.84,16.62,17.88,17.94,16.66,16.38,17.22,17.94,17.28,16.91,18.31,20.16,20.62,20.84,22.38,24.03,23.62,22.0,20.66,20.34,19.16,16.72,15.28,14.94,14.0,11.44,9.28,9.25,10.28,10.66,11.41,13.69,16.59,18.25,18.41,20.06,22.28,24.06,24.22,24.75,26.25,26.72,24.78,22.44,21.69,21.41,19.97,18.31,18.19,18.34,16.88,13.78,11.41,10.12,8.44,5.94,4.34,5.28,6.66,6.62,6.81,8.28,9.56,9.34,8.53,9.28,11.19,12.41,12.53,13.97,16.66,18.44,18.66,19.06,20.72,22.28,22.09,21.44,21.78,22.62,21.59,19.62,18.66,18.25,16.16,12.31,9.03,7.03,5.28,2.97,2.0,3.41,6.16,7.72,9.34,12.62,16.19,17.66,18.5,19.59,21.09,21.31,19.84,18.88,19.19,19.34,17.72,16.72,17.06,17.31,15.75,13.69,12.38,11.78,9.78,7.25,6.25,7.38,8.34,8.88,10.75,14.34,17.56,18.69,19.12,20.38,21.09,19.75,18.28,18.56,20.44,21.56,21.97,22.97,24.62,25.22,23.81,22.56,22.69,22.81,20.97,19.34,19.62,20.62,20.25,19.09,19.94,21.66,22.03,21.38,21.06,21.47,20.41,17.91,15.78,15.59,16.0,15.34,15.56,17.72,20.38,21.25,21.06,21.44,23.09,23.62,23.5,24.59,27.0,28.09,26.66,24.47,23.19,21.16,17.41,14.03,12.94,13.12,12.81,12.5,13.66,15.62,16.72,16.0,15.59,16.31,16.03,14.53,12.5,12.09,11.88,9.78,8.38,8.53,10.0,10.34,10.38,11.5,13.78,15.69,16.09,17.19,19.34,20.59,20.0,19.41,20.28,21.5,21.12,20.5,21.03,22.38,22.44,21.59,21.72,22.94,23.28,21.97,21.09,21.78,22.25,21.44,21.09,22.25,23.84,23.31,21.41,20.69,20.53,19.34,17.69,16.81,17.38,17.62,16.16,15.44,16.03,16.88,16.0,15.28,15.91,17.22,17.28,17.06,18.16,20.44,22.16,23.16,24.47,27.16,29.12,28.56,28.03,29.09,30.03,29.75,29.75,31.66,33.97,34.25,33.66,33.19,33.69,32.88,30.91,29.62,29.47,28.97,26.94,25.0,25.66,26.91,26.84,26.94,28.41,30.06,29.72,28.22,27.22,27.66,27.5,26.84,27.12,29.41,31.09,30.97,30.16,30.5,30.53,28.88,26.59,26.0,26.38,25.25,23.47,22.72,23.5,23.12,21.75,20.88,21.44,21.75,20.44,19.66,20.75,22.28,22.66,22.41,23.31,24.5,24.41,22.69,21.88,22.56,22.78,22.0,22.16,24.38,26.62,26.81,26.53,26.34,26.75,25.0,22.03,20.59,19.88,18.56,16.25,14.91,15.59,15.94,15.25,15.19,16.75,18.69,19.25,19.16,20.22,21.16,20.0,17.59,16.22,16.34,16.22,15.44,15.75,17.75,19.12,18.69,18.41,19.88,21.69,22.0,21.88,22.78,24.81,25.38,24.88,25.28,27.06,27.78,27.12,26.75,27.78,28.12,26.75,24.78,24.59,24.94,24.03,22.72,22.38,22.41,21.12,18.75,17.56,18.47,19.06,18.56,19.12,21.25,22.66,22.84,22.66,23.69,25.06,24.88,23.94,23.62,24.0,23.19,21.25,19.78,19.44,18.69,16.62,15.31,16.5,18.19,18.81,19.19,20.28,21.38,20.69,19.62,19.78,22.09,23.53,24.12,25.47,28.06,29.72,29.12,28.5,29.44,30.03,29.12,27.44,26.88,26.62,25.09,23.12,22.84,24.03,24.66,23.91,23.66,24.41,24.88,23.41,22.56,23.53,24.53,24.66,24.16,25.03,25.88,25.12,23.72,23.12,23.5,23.75,22.81,22.25,23.56,24.38,23.41,22.62,23.38,24.0,23.5,22.12,22.12,22.22,21.19,19.03,17.94,17.97,17.47,15.66,14.03,13.41,12.69,10.75,8.84,9.44,11.16,11.97,12.91,15.31,19.06,21.69,23.28,24.88,27.53,28.38,27.0,25.34,24.81,23.72,21.41,18.47,17.25,16.59,14.72,12.34,11.41,11.97,12.25,11.91,12.38,14.81,16.75,16.91,17.12,19.12,20.81,20.94,20.91,22.03,23.34,23.31,21.88,21.91,22.81,23.12,22.88,23.0,24.75,25.94,25.44,24.19,24.25,24.16,22.28,20.25,19.88,20.0,19.59,18.53,19.0,20.75,22.28,22.81,23.69,25.94,27.44,27.12,26.41,26.84,28.22,28.47,28.56,30.0,31.47,31.62,29.41,27.88,26.88,25.31,22.75,21.03,21.47,22.47,21.78,21.22,21.66,22.12,21.09,19.38,18.78,19.19,19.22,18.44,18.88,20.72,21.94,21.44,20.72,21.0,21.03,19.78,18.91,19.44,20.59,20.69,19.75,20.28,21.25,21.69,21.19,21.44,22.31,22.94,21.25,19.88,19.88,20.25,19.78,19.28,20.12,21.88,22.28,21.94,22.28,23.28,23.03,21.34,19.72,19.5,19.84,19.0,18.22,19.06,20.16,19.72,19.0,19.31,20.41,20.78,20.25,20.62,21.94,23.19,23.38,23.78,25.91,27.56,27.47,27.03,27.47,28.19,27.56,26.0,25.75,26.0,25.12,22.88,21.22,20.84,20.41,19.12,19.28,21.16,23.19,23.69,23.56,24.25,25.09,24.88,24.38,25.22,26.84,27.16,26.44,25.88,25.78,25.53,23.81,23.12,23.69,25.0,24.5,23.72,23.72,23.78,22.59,20.78,20.53,21.38,22.25,22.03,22.59,24.09,25.38,24.72,24.0,24.41,25.12,24.5,23.59,23.5,24.12,23.34,21.22,19.91,19.44,18.91,17.53,16.72,17.38,17.84,16.78,15.81,16.56,17.88,17.94,17.91,19.16,20.53,20.53,18.94,17.94,18.5,18.88,18.5,18.94,20.94,22.69,22.75,22.31,22.56,23.34,22.59,21.16,20.97,22.38,22.88,22.09,22.12,22.97,23.22,22.09,21.41,22.12,23.34,23.31,23.06,23.59,24.38,23.41,21.66,20.38,20.31,19.75,18.44,18.16,19.66,21.44,21.97,22.44,24.22,25.5,25.09,23.97,23.91,24.97,24.78,23.91,24.38,25.78,25.84,24.66,23.69,23.81,23.41,21.66,20.34,20.34,21.06,20.38,19.19,19.19,19.97,19.69,19.06,19.06,20.34,20.62,19.31,17.97,17.88,18.31,17.5,17.47,19.22,21.66,22.69,23.44,24.5,26.5,27.28,26.62,26.41,26.94,26.38,24.22,22.25,21.12,20.91,20.19,19.75,20.88,22.78,23.75,23.84,24.69,26.78,28.31,28.72,29.84,32.5,34.25,34.12,33.41,33.91,34.06,32.94,31.47,31.22,31.34,30.22,28.56,27.81,28.12,28.12,26.88,26.25,27.22,28.28,27.44,26.72,26.94,27.16,25.56,23.69,23.19,23.97,24.06,23.69,23.97,25.31,25.84,24.75,23.34,23.03,22.31,20.12,18.25,17.81,18.19,17.47,16.59,17.34,19.22,20.41,21.44,22.44,24.28,25.12,24.5,23.28,24.03,24.72,24.34,23.75,23.75,24.16,22.53,20.22,18.94,19.19,19.25,19.19,20.44,23.41,25.88,26.66,26.69,27.12,27.12,25.28,23.34,22.88,23.72,23.59,23.16,23.31,24.22,24.41,23.53,22.16,21.84,21.91,20.84,19.59,20.16,21.31,20.91,19.81,20.09,20.97,21.38,21.0,21.72,23.28,23.97,23.25,22.38,22.94,23.06,22.34,21.22,21.56,21.91,20.78,18.88,17.59,17.44,16.5,15.47,15.94,18.72,21.56,22.62,23.47,25.0,26.03,25.03,23.88,24.47,25.75,25.97,25.56,25.75,26.62,26.34,24.44,22.72,22.56,22.0,20.38,19.19,19.97,21.25,21.16,20.69,21.56,22.94,23.03,22.53,23.0,24.47,25.19,24.59,23.5,23.75,23.66,22.12,20.84,21.69,23.12,23.28,23.25,24.0,25.5,25.94,25.25,24.97,26.28,26.78,26.09,25.69,26.38,26.78,25.81,24.72,25.44,26.75,27.0,26.09,27.12,28.81,29.38,28.69,28.56,29.25,29.0,27.5,26.78,27.47,27.97,27.12,25.91,26.16,27.19,27.56,27.19,27.69,28.91,28.72,26.75,25.41,25.38,24.75,22.5,20.5,20.81,21.25,20.66,19.88,20.56,21.22,20.59,18.72,18.09,19.06,20.06,20.78,22.72,26.03,28.94,30.06,30.12,31.09,31.5,29.91,27.88,26.69,25.88,24.12,21.22,19.47,19.06,18.72,17.62,17.22,18.19,18.94,18.28,17.22,18.28,19.84,20.47,20.47,21.12,22.56,22.62,21.06,20.78,21.94,22.97,23.19,24.34,26.66,28.56,28.75,27.69,27.41,27.0,25.16,22.19,20.38,20.03,19.28,17.5,16.91,18.06,19.44,19.59,20.34,22.66,25.28,26.31,26.44,27.84,29.41,29.16,27.59,27.25,28.03,28.12,27.0,26.5,26.66,26.25,24.16,22.25,22.28,23.5,24.09,24.78,27.03,29.34,30.22,29.75,30.0,30.94,32.16,31.84,31.97,33.28,34.25,33.0,31.81,32.25,33.53,33.97,33.84,35.09,36.84,37.25,36.09,35.72,36.19,36.75,36.03,36.06,37.56,38.75,25.25,24.62,24.12,23.62,23.38,23.62,22.53:19.5,21.19,23.16,23.97,22.5,21.22,21.28,21.31,19.75,18.12,18.5,18.75,17.41,15.69,16.19,17.16,17.09,16.06,15.81,16.69,17.06,16.12,16.34,18.5,20.84,21.97,23.0,25.47,27.03,26.78,25.03,24.12,23.84,22.69,20.25,18.88,19.19,19.0,17.38,16.47,17.28,17.84,16.56,15.22,15.53,16.44,16.41,15.84,16.62,17.88,17.94,16.66,16.38,17.22,17.94,17.28,16.91,18.31,20.16,20.62,20.84,22.38,24.03,23.62,22.0,20.66,20.34,19.16,16.72,15.28,14.94,14.0,11.44,9.28,9.25,10.28,10.66,11.41,13.69,16.59,18.25,18.41,20.06,22.28,24.06,24.22,24.75,26.25,26.72,24.78,22.44,21.69,21.41,19.97,18.31,18.19,18.34,16.88,13.78,11.41,10.12,8.44,5.94,4.34,5.28,6.66,6.62,6.81,8.28,9.56,9.34,8.53,9.28,11.19,12.41,12.53,13.97,16.66,18.44,18.66,19.06,20.72,22.28,22.09,21.44,21.78,22.62,21.59,19.62,18.66,18.25,16.16,12.31,9.03,7.03,5.28,2.97,2.0,3.41,6.16,7.72,9.34,12.62,16.19,17.66,18.5,19.59,21.09,21.31,19.84,18.88,19.19,19.34,17.72,16.72,17.06,17.31,15.75,13.69,12.38,11.78,9.78,7.25,6.25,7.38,8.34,8.88,10.75,14.34,17.56,18.69,19.12,20.38,21.09,19.75,18.28,18.56,20.44,21.56,21.97,22.97,24.62,25.22,23.81,22.56,22.69,22.81,20.97,19.34,19.62,20.62,20.25,19.09,19.94,21.66,22.03,21.38,21.06,21.47,20.41,17.91,15.78,15.59,16.0,15.34,15.56,17.72,20.38,21.25,21.06,21.44,23.09,23.62,23.5,24.59,27.0,28.09,26.66,24.47,23.19,21.16,17.41,14.03,12.94,13.12,12.81,12.5,13.66,15.62,16.72,16.0,15.59,16.31,16.03,14.53,12.5,12.09,11.88,9.78,8.38,8.53,10.0,10.34,10.38,11.5,13.78,15.69,16.09,17.19,19.34,20.59,20.0,19.41,20.28,21.5,21.12,20.5,21.03,22.38,22.44,21.59,21.72,22.94,23.28,21.97,21.09,21.78,22.25,21.44,21.09,22.25,23.84,23.31,21.41,20.69,20.53,19.34,17.69,16.81,17.38,17.62,16.16,15.44,16.03,16.88,16.0,15.28,15.91,17.22,17.28,17.06,18.16,20.44,22.16,23.16,24.47,27.16,29.12,28.56,28.03,29.09,30.03,29.75,29.75,31.66,33.97,34.25,33.66,33.19,33.69,32.88,30.91,29.62,29.47,28.97,26.94,25.0,25.66,26.91,26.84,26.94,28.41,30.06,29.72,28.22,27.22,27.66,27.5,26.84,27.12,29.41,31.09,30.97,30.16,30.5,30.53,28.88,26.59,26.0,26.38,25.25,23.47,22.72,23.5,23.12,21.75,20.88,21.44,21.75,20.44,19.66,20.75,22.28,22.66,22.41,23.31,24.5,24.41,22.69,21.88,22.56,22.78,22.0,22.16,24.38,26.62,26.81,26.53,26.34,26.75,25.0,22.03,20.59,19.88,18.56,16.25,14.91,15.59,15.94,15.25,15.19,16.75,18.69,19.25,19.16,20.22,21.16,20.0,17.59,16.22,16.34,16.22,15.44,15.75,17.75,19.12,18.69,18.41,19.88,21.69,22.0,21.88,22.78,24.81,25.38,24.88,25.28,27.06,27.78,27.12,26.75,27.78,28.12,26.75,24.78,24.59,24.94,24.03,22.72,22.38,22.41,21.12,18.75,17.56,18.47,19.06,18.56,19.12,21.25,22.66,22.84,22.66,23.69,25.06,24.88,23.94,23.62,24.0,23.19,21.25,19.78,19.44,18.69,16.62,15.31,16.5,18.19,18.81,19.19,20.28,21.38,20.69,19.62,19.78,22.09,23.53,24.12,25.47,28.06,29.72,29.12,28.5,29.44,30.03,29.12,27.44,26.88,26.62,25.09,23.12,22.84,24.03,24.66,23.91,23.66,24.41,24.88,23.41,22.56,23.53,24.53,24.66,24.16,25.03,25.88,25.12,23.72,23.12,23.5,23.75,22.81,22.25,23.56,24.38,23.41,22.62,23.38,24.0,23.5,22.12,22.12,22.22,21.19,19.03,17.94,17.97,17.47,15.66,14.03,13.41,12.69,10.75,8.84,9.44,11.16,11.97,12.91,15.31,19.06,21.69,23.28,24.88,27.53,28.38,27.0,25.34,24.81,23.72,21.41,18.47,17.25,16.59,14.72,12.34,11.41,11.97,12.25,11.91,12.38,14.81,16.75,16.91,17.12,19.12,20.81,20.94,20.91,22.03,23.34,23.31,21.88,21.91,22.81,23.12,22.88,23.0,24.75,25.94,25.44,24.19,24.25,24.16,22.28,20.25,19.88,20.0,19.59,18.53,19.0,20.75,22.28,22.81,23.69,25.94,27.44,27.12,26.41,26.84,28.22,28.47,28.56,30.0,31.47,31.62,29.41,27.88,26.88,25.31,22.75,21.03,21.47,22.47,21.78,21.22,21.66,22.12,21.09,19.38,18.78,19.19,19.22,18.44,18.88,20.72,21.94,21.44,20.72,21.0,21.03,19.78,18.91,19.44,20.59,20.69,19.75,20.28,21.25,21.69,21.19,21.44,22.31,22.94,21.25,19.88,19.88,20.25,19.78,19.28,20.12,21.88,22.28,21.94,22.28,23.28,23.03,21.34,19.72,19.5,19.84,19.0,18.22,19.06,20.16,19.72,19.0,19.31,20.41,20.78,20.25,20.62,21.94,23.19,23.38,23.78,25.91,27.56,27.47,27.03,27.47,28.19,27.56,26.0,25.75,26.0,25.12,22.88,21.22,20.84,20.41,19.12,19.28,21.16,23.19,23.69,23.56,24.25,25.09,24.88,24.38,25.22,26.84,27.16,26.44,25.88,25.78,25.53,23.81,23.12,23.69,25.0,24.5,23.72,23.72,23.78,22.59,20.78,20.53,21.38,22.25,22.03,22.59,24.09,25.38,24.72,24.0,24.41,25.12,24.5,23.59,23.5,24.12,23.34,21.22,19.91,19.44,18.91,17.53,16.72,17.38,17.84,16.78,15.81,16.56,17.88,17.94,17.91,19.16,20.53,20.53,18.94,17.94,18.5,18.88,18.5,18.94,20.94,22.69,22.75,22.31,22.56,23.34,22.59,21.16,20.97,22.38,22.88,22.09,22.12,22.97,23.22,22.09,21.41,22.12,23.34,23.31,23.06,23.59,24.38,23.41,21.66,20.38,20.31,19.75,18.44,18.16,19.66,21.44,21.97,22.44,24.22,25.5,25.09,23.97,23.91,24.97,24.78,23.91,24.38,25.78,25.84,24.66,23.69,23.81,23.41,21.66,20.34,20.34,21.06,20.38,19.19,19.19,19.97,19.69,19.06,19.06,20.34,20.62,19.31,17.97,17.88,18.31,17.5,17.47,19.22,21.66,22.69,23.44,24.5,26.5,27.28,26.62,26.41,26.94,26.38,24.22,22.25,21.12,20.91,20.19,19.75,20.88,22.78,23.75,23.84,24.69,26.78,28.31,28.72,29.84,32.5,34.25,34.12,33.41,33.91,34.06,32.94,31.47,31.22,31.34,30.22,28.56,27.81,28.12,28.12,26.88,26.25,27.22,28.28,27.44,26.72,26.94,27.16,25.56,23.69,23.19,23.97,24.06,23.69,23.97,25.31,25.84,24.75,23.34,23.03,22.31,20.12,18.25,17.81,18.19,17.47,16.59,17.34,19.22,20.41,21.44,22.44,24.28,25.12,24.5,23.28,24.03,24.72,24.34,23.75,23.75,24.16,22.53,20.22,18.94,19.19,19.25,19.19,20.44,23.41,25.88,26.66,26.69,27.12,27.12,25.28,23.34,22.88,23.72,23.59,23.16,23.31,24.22,24.41,23.53,22.16,21.84,21.91,20.84,19.59,20.16,21.31,20.91,19.81,20.09,20.97,21.38,21.0,21.72,23.28,23.97,23.25,22.38,22.94,23.06,22.34,21.22,21.56,21.91,20.78,18.88,17.59,17.44,16.5,15.47,15.94,18.72,21.56,22.62,23.47,25.0,26.03,25.03,23.88,24.47,25.75,25.97,25.56,25.75,26.62,26.34,24.44,22.72,22.56,22.0,20.38,19.19,19.97,21.25,21.16,20.69,21.56,22.94,23.03,22.53,23.0,24.47,25.19,24.59,23.5,23.75,23.66,22.12,20.84,21.69,23.12,23.28,23.25,24.0,25.5,25.94,25.25,24.97,26.28,26.78,26.09,25.69,26.38,26.78,25.81,24.72,25.44,26.75,27.0,26.09,27.12,28.81,29.38,28.69,28.56,29.25,29.0,27.5,26.78,27.47,27.97,27.12,25.91,26.16,27.19,27.56,27.19,27.69,28.91,28.72,26.75,25.41,25.38,24.75,22.5,20.5,20.81,21.25,20.66,19.88,20.56,21.22,20.59,18.72,18.09,19.06,20.06,20.78,22.72,26.03,28.94,30.06,30.12,31.09,31.5,29.91,27.88,26.69,25.88,24.12,21.22,19.47,19.06,18.72,17.62,17.22,18.19,18.94,18.28,17.22,18.28,19.84,20.47,20.47,21.12,22.56,22.62,21.06,20.78,21.94,22.97,23.19,24.34,26.66,28.56,28.75,27.69,27.41,27.0,25.16,22.19,20.38,20.03,19.28,17.5,16.91,18.06,19.44,19.59,20.34,22.66,25.28,26.31,26.44,27.84,29.41,29.16,27.59,27.25,28.03,28.12,27.0,26.5,26.66,26.25,24.16,22.25,22.28,23.5,24.09,24.78,27.03,29.34,30.22,29.75,30.0,30.94,32.16,31.84,31.97,33.28,34.25,33.0,31.81,32.25,33.53,33.97,33.84,35.09,36.84,37.25,36.09,35.72,36.19,36.75,36.03,36.06,37.56,38.75,25.25,24.62,24.12,23.62,23.38,23.62,22.53,20.66,19.06,17.94,17.38,17.62,19.22,22.0:21.31,19.75,18.12,18.5,18.75,17.41,15.69,16.19,17.16,17.09,16.06,15.81,16.69,17.06,16.12,16.34,18.5,20.84,21.97,23.0,25.47,27.03,26.78,25.03,24.12,23.84,22.69,20.25,18.88,19.19,19.0,17.38,16.47,17.28,17.84,16.56,15.22,15.53,16.44,16.41,15.84,16.62,17.88,17.94,16.66,16.38,17.22,17.94,17.28,16.91,18.31,20.16,20.62,20.84,22.38,24.03,23.62,22.0,20.66,20.34,19.16,16.72,15.28,14.94,14.0,11.44,9.28,9.25,10.28,10.66,11.41,13.69,16.59,18.25,18.41,20.06,22.28,24.06,24.22,24.75,26.25,26.72,24.78,22.44,21.69,21.41,19.97,18.31,18.19,18.34,16.88,13.78,11.41,10.12,8.44,5.94,4.34,5.28,6.66,6.62,6.81,8.28,9.56,9.34,8.53,9.28,11.19,12.41,12.53,13.97,16.66,18.44,18.66,19.06,20.72,22.28,22.09,21.44,21.78,22.62,21.59,19.62,18.66,18.25,16.16,12.31,9.03,7.03,5.28,2.97,2.0,3.41,6.16,7.72,9.34,12.62,16.19,17.66,18.5,19.59,21.09,21.31,19.84,18.88,19.19,19.34,17.72,16.72,17.06,17.31,15.75,13.69,12.38,11.78,9.78,7.25,6.25,7.38,8.34,8.88,10.75,14.34,17.56,18.69,19.12,20.38,21.09,19.75,18.28,18.56,20.44,21.56,21.97,22.97,24.62,25.22,23.81,22.56,22.69,22.81,20.97,19.34,19.62,20.62,20.25,19.09,19.94,21.66,22.03,21.38,21.06,21.47,20.41,17.91,15.78,15.59,16.0,15.34,15.56,17.72,20.38,21.25,21.06,21.44,23.09,23.62,23.5,24.59,27.0,28.09,26.66,24.47,23.19,21.16,17.41,14.03,12.94,13.12,12.81,12.5,13.66,15.62,16.72,16.0,15.59,16.31,16.03,14.53,12.5,12.09,11.88,9.78,8.38,8.53,10.0,10.34,10.38,11.5,13.78,15.69,16.09,17.19,19.34,20.59,20.0,19.41,20.28,21.5,21.12,20.5,21.03,22.38,22.44,21.59,21.72,22.94,23.28,21.97,21.09,21.78,22.25,21.44,21.09,22.25,23.84,23.31,21.41,20.69,20.53,19.34,17.69,16.81,17.38,17.62,16.16,15.44,16.03,16.88,16.0,15.28,15.91,17.22,17.28,17.06,18.16,20.44,22.16,23.16,24.47,27.16,29.12,28.56,28.03,29.09,30.03,29.75,29.75,31.66,33.97,34.25,33.66,33.19,33.69,32.88,30.91,29.62,29.47,28.97,26.94,25.0,25.66,26.91,26.84,26.94,28.41,30.06,29.72,28.22,27.22,27.66,27.5,26.84,27.12,29.41,31.09,30.97,30.16,30.5,30.53,28.88,26.59,26.0,26.38,25.25,23.47,22.72,23.5,23.12,21.75,20.88,21.44,21.75,20.44,19.66,20.75,22.28,22.66,22.41,23.31,24.5,24.41,22.69,21.88,22.56,22.78,22.0,22.16,24.38,26.62,26.81,26.53,26.34,26.75,25.0,22.03,20.59,19.88,18.56,16.25,14.91,15.59,15.94,15.25,15.19,16.75,18.69,19.25,19.16,20.22,21.16,20.0,17.59,16.22,16.34,16.22,15.44,15.75,17.75,19.12,18.69,18.41,19.88,21.69,22.0,21.88,22.78,24.81,25.38,24.88,25.28,27.06,27.78,27.12,26.75,27.78,28.12,26.75,24.78,24.59,24.94,24.03,22.72,22.38,22.41,21.12,18.75,17.56,18.47,19.06,18.56,19.12,21.25,22.66,22.84,22.66,23.69,25.06,24.88,23.94,23.62,24.0,23.19,21.25,19.78,19.44,18.69,16.62,15.31,16.5,18.19,18.81,19.19,20.28,21.38,20.69,19.62,19.78,22.09,23.53,24.12,25.47,28.06,29.72,29.12,28.5,29.44,30.03,29.12,27.44,26.88,26.62,25.09,23.12,22.84,24.03,24.66,23.91,23.66,24.41,24.88,23.41,22.56,23.53,24.53,24.66,24.16,25.03,25.88,25.12,23.72,23.12,23.5,23.75,22.81,22.25,23.56,24.38,23.41,22.62,23.38,24.0,23.5,22.12,22.12,22.22,21.19,19.03,17.94,17.97,17.47,15.66,14.03,13.41,12.69,10.75,8.84,9.44,11.16,11.97,12.91,15.31,19.06,21.69,23.28,24.88,27.53,28.38,27.0,25.34,24.81,23.72,21.41,18.47,17.25,16.59,14.72,12.34,11.41,11.97,12.25,11.91,12.38,14.81,16.75,16.91,17.12,19.12,20.81,20.94,20.91,22.03,23.34,23.31,21.88,21.91,22.81,23.12,22.88,23.0,24.75,25.94,25.44,24.19,24.25,24.16,22.28,20.25,19.88,20.0,19.59,18.53,19.0,20.75,22.28,22.81,23.69,25.94,27.44,27.12,26.41,26.84,28.22,28.47,28.56,30.0,31.47,31.62,29.41,27.88,26.88,25.31,22.75,21.03,21.47,22.47,21.78,21.22,21.66,22.12,21.09,19.38,18.78,19.19,19.22,18.44,18.88,20.72,21.94,21.44,20.72,21.0,21.03,19.78,18.91,19.44,20.59,20.69,19.75,20.28,21.25,21.69,21.19,21.44,22.31,22.94,21.25,19.88,19.88,20.25,19.78,19.28,20.12,21.88,22.28,21.94,22.28,23.28,23.03,21.34,19.72,19.5,19.84,19.0,18.22,19.06,20.16,19.72,19.0,19.31,20.41,20.78,20.25,20.62,21.94,23.19,23.38,23.78,25.91,27.56,27.47,27.03,27.47,28.19,27.56,26.0,25.75,26.0,25.12,22.88,21.22,20.84,20.41,19.12,19.28,21.16,23.19,23.69,23.56,24.25,25.09,24.88,24.38,25.22,26.84,27.16,26.44,25.88,25.78,25.53,23.81,23.12,23.69,25.0,24.5,23.72,23.72,23.78,22.59,20.78,20.53,21.38,22.25,22.03,22.59,24.09,25.38,24.72,24.0,24.41,25.12,24.5,23.59,23.5,24.12,23.34,21.22,19.91,19.44,18.91,17.53,16.72,17.38,17.84,16.78,15.81,16.56,17.88,17.94,17.91,19.16,20.53,20.53,18.94,17.94,18.5,18.88,18.5,18.94,20.94,22.69,22.75,22.31,22.56,23.34,22.59,21.16,20.97,22.38,22.88,22.09,22.12,22.97,23.22,22.09,21.41,22.12,23.34,23.31,23.06,23.59,24.38,23.41,21.66,20.38,20.31,19.75,18.44,18.16,19.66,21.44,21.97,22.44,24.22,25.5,25.09,23.97,23.91,24.97,24.78,23.91,24.38,25.78,25.84,24.66,23.69,23.81,23.41,21.66,20.34,20.34,21.06,20.38,19.19,19.19,19.97,19.69,19.06,19.06,20.34,20.62,19.31,17.97,17.88,18.31,17.5,17.47,19.22,21.66,22.69,23.44,24.5,26.5,27.28,26.62,26.41,26.94,26.38,24.22,22.25,21.12,20.91,20.19,19.75,20.88,22.78,23.75,23.84,24.69,26.78,28.31,28.72,29.84,32.5,34.25,34.12,33.41,33.91,34.06,32.94,31.47,31.22,31.34,30.22,28.56,27.81,28.12,28.12,26.88,26.25,27.22,28.28,27.44,26.72,26.94,27.16,25.56,23.69,23.19,23.97,24.06,23.69,23.97,25.31,25.84,24.75,23.34,23.03,22.31,20.12,18.25,17.81,18.19,17.47,16.59,17.34,19.22,20.41,21.44,22.44,24.28,25.12,24.5,23.28,24.03,24.72,24.34,23.75,23.75,24.16,22.53,20.22,18.94,19.19,19.25,19.19,20.44,23.41,25.88,26.66,26.69,27.12,27.12,25.28,23.34,22.88,23.72,23.59,23.16,23.31,24.22,24.41,23.53,22.16,21.84,21.91,20.84,19.59,20.16,21.31,20.91,19.81,20.09,20.97,21.38,21.0,21.72,23.28,23.97,23.25,22.38,22.94,23.06,22.34,21.22,21.56,21.91,20.78,18.88,17.59,17.44,16.5,15.47,15.94,18.72,21.56,22.62,23.47,25.0,26.03,25.03,23.88,24.47,25.75,25.97,25.56,25.75,26.62,26.34,24.44,22.72,22.56,22.0,20.38,19.19,19.97,21.25,21.16,20.69,21.56,22.94,23.03,22.53,23.0,24.47,25.19,24.59,23.5,23.75,23.66,22.12,20.84,21.69,23.12,23.28,23.25,24.0,25.5,25.94,25.25,24.97,26.28,26.78,26.09,25.69,26.38,26.78,25.81,24.72,25.44,26.75,27.0,26.09,27.12,28.81,29.38,28.69,28.56,29.25,29.0,27.5,26.78,27.47,27.97,27.12,25.91,26.16,27.19,27.56,27.19,27.69,28.91,28.72,26.75,25.41,25.38,24.75,22.5,20.5,20.81,21.25,20.66,19.88,20.56,21.22,20.59,18.72,18.09,19.06,20.06,20.78,22.72,26.03,28.94,30.06,30.12,31.09,31.5,29.91,27.88,26.69,25.88,24.12,21.22,19.47,19.06,18.72,17.62,17.22,18.19,18.94,18.28,17.22,18.28,19.84,20.47,20.47,21.12,22.56,22.62,21.06,20.78,21.94,22.97,23.19,24.34,26.66,28.56,28.75,27.69,27.41,27.0,25.16,22.19,20.38,20.03,19.28,17.5,16.91,18.06,19.44,19.59,20.34,22.66,25.28,26.31,26.44,27.84,29.41,29.16,27.59,27.25,28.03,28.12,27.0,26.5,26.66,26.25,24.16,22.25,22.28,23.5,24.09,24.78,27.03,29.34,30.22,29.75,30.0,30.94,32.16,31.84,31.97,33.28,34.25,33.0,31.81,32.25,33.53,33.97,33.84,35.09,36.84,37.25,36.09,35.72,36.19,36.75,36.03,36.06,37.56,38.75,25.25,24.62,24.12,23.62,23.38,23.62,22.53,20.66,19.06,17.94,17.38,17.62,19.22,22.0,24.72,26.84,28.19,29.19,29.34,28.44,27.0:16.19,17.16,17.09,16.06,15.81,16.69,17.06,16.12,16.34,18.5,20.84,21.97,23.0,25.47,27.03,26.78,25.03,24.12,23.84,22.69,20.25,18.88,19.19,19.0,17.38,16.47,17.28,17.84,16.56,15.22,15.53,16.44,16.41,15.84,16.62,17.88,17.94,16.66,16.38,17.22,17.94,17.28,16.91,18.31,20.16,20.62,20.84,22.38,24.03,23.62,22.0,20.66,20.34,19.16,16.72,15.28,14.94,14.0,11.44,9.28,9.25,10.28,10.66,11.41,13.69,16.59,18.25,18.41,20.06,22.28,24.06,24.22,24.75,26.25,26.72,24.78,22.44,21.69,21.41,19.97,18.31,18.19,18.34,16.88,13.78,11.41,10.12,8.44,5.94,4.34,5.28,6.66,6.62,6.81,8.28,9.56,9.34,8.53,9.28,11.19,12.41,12.53,13.97,16.66,18.44,18.66,19.06,20.72,22.28,22.09,21.44,21.78,22.62,21.59,19.62,18.66,18.25,16.16,12.31,9.03,7.03,5.28,2.97,2.0,3.41,6.16,7.72,9.34,12.62,16.19,17.66,18.5,19.59,21.09,21.31,19.84,18.88,19.19,19.34,17.72,16.72,17.06,17.31,15.75,13.69,12.38,11.78,9.78,7.25,6.25,7.38,8.34,8.88,10.75,14.34,17.56,18.69,19.12,20.38,21.09,19.75,18.28,18.56,20.44,21.56,21.97,22.97,24.62,25.22,23.81,22.56,22.69,22.81,20.97,19.34,19.62,20.62,20.25,19.09,19.94,21.66,22.03,21.38,21.06,21.47,20.41,17.91,15.78,15.59,16.0,15.34,15.56,17.72,20.38,21.25,21.06,21.44,23.09,23.62,23.5,24.59,27.0,28.09,26.66,24.47,23.19,21.16,17.41,14.03,12.94,13.12,12.81,12.5,13.66,15.62,16.72,16.0,15.59,16.31,16.03,14.53,12.5,12.09,11.88,9.78,8.38,8.53,10.0,10.34,10.38,11.5,13.78,15.69,16.09,17.19,19.34,20.59,20.0,19.41,20.28,21.5,21.12,20.5,21.03,22.38,22.44,21.59,21.72,22.94,23.28,21.97,21.09,21.78,22.25,21.44,21.09,22.25,23.84,23.31,21.41,20.69,20.53,19.34,17.69,16.81,17.38,17.62,16.16,15.44,16.03,16.88,16.0,15.28,15.91,17.22,17.28,17.06,18.16,20.44,22.16,23.16,24.47,27.16,29.12,28.56,28.03,29.09,30.03,29.75,29.75,31.66,33.97,34.25,33.66,33.19,33.69,32.88,30.91,29.62,29.47,28.97,26.94,25.0,25.66,26.91,26.84,26.94,28.41,30.06,29.72,28.22,27.22,27.66,27.5,26.84,27.12,29.41,31.09,30.97,30.16,30.5,30.53,28.88,26.59,26.0,26.38,25.25,23.47,22.72,23.5,23.12,21.75,20.88,21.44,21.75,20.44,19.66,20.75,22.28,22.66,22.41,23.31,24.5,24.41,22.69,21.88,22.56,22.78,22.0,22.16,24.38,26.62,26.81,26.53,26.34,26.75,25.0,22.03,20.59,19.88,18.56,16.25,14.91,15.59,15.94,15.25,15.19,16.75,18.69,19.25,19.16,20.22,21.16,20.0,17.59,16.22,16.34,16.22,15.44,15.75,17.75,19.12,18.69,18.41,19.88,21.69,22.0,21.88,22.78,24.81,25.38,24.88,25.28,27.06,27.78,27.12,26.75,27.78,28.12,26.75,24.78,24.59,24.94,24.03,22.72,22.38,22.41,21.12,18.75,17.56,18.47,19.06,18.56,19.12,21.25,22.66,22.84,22.66,23.69,25.06,24.88,23.94,23.62,24.0,23.19,21.25,19.78,19.44,18.69,16.62,15.31,16.5,18.19,18.81,19.19,20.28,21.38,20.69,19.62,19.78,22.09,23.53,24.12,25.47,28.06,29.72,29.12,28.5,29.44,30.03,29.12,27.44,26.88,26.62,25.09,23.12,22.84,24.03,24.66,23.91,23.66,24.41,24.88,23.41,22.56,23.53,24.53,24.66,24.16,25.03,25.88,25.12,23.72,23.12,23.5,23.75,22.81,22.25,23.56,24.38,23.41,22.62,23.38,24.0,23.5,22.12,22.12,22.22,21.19,19.03,17.94,17.97,17.47,15.66,14.03,13.41,12.69,10.75,8.84,9.44,11.16,11.97,12.91,15.31,19.06,21.69,23.28,24.88,27.53,28.38,27.0,25.34,24.81,23.72,21.41,18.47,17.25,16.59,14.72,12.34,11.41,11.97,12.25,11.91,12.38,14.81,16.75,16.91,17.12,19.12,20.81,20.94,20.91,22.03,23.34,23.31,21.88,21.91,22.81,23.12,22.88,23.0,24.75,25.94,25.44,24.19,24.25,24.16,22.28,20.25,19.88,20.0,19.59,18.53,19.0,20.75,22.28,22.81,23.69,25.94,27.44,27.12,26.41,26.84,28.22,28.47,28.56,30.0,31.47,31.62,29.41,27.88,26.88,25.31,22.75,21.03,21.47,22.47,21.78,21.22,21.66,22.12,21.09,19.38,18.78,19.19,19.22,18.44,18.88,20.72,21.94,21.44,20.72,21.0,21.03,19.78,18.91,19.44,20.59,20.69,19.75,20.28,21.25,21.69,21.19,21.44,22.31,22.94,21.25,19.88,19.88,20.25,19.78,19.28,20.12,21.88,22.28,21.94,22.28,23.28,23.03,21.34,19.72,19.5,19.84,19.0,18.22,19.06,20.16,19.72,19.0,19.31,20.41,20.78,20.25,20.62,21.94,23.19,23.38,23.78,25.91,27.56,27.47,27.03,27.47,28.19,27.56,26.0,25.75,26.0,25.12,22.88,21.22,20.84,20.41,19.12,19.28,21.16,23.19,23.69,23.56,24.25,25.09,24.88,24.38,25.22,26.84,27.16,26.44,25.88,25.78,25.53,23.81,23.12,23.69,25.0,24.5,23.72,23.72,23.78,22.59,20.78,20.53,21.38,22.25,22.03,22.59,24.09,25.38,24.72,24.0,24.41,25.12,24.5,23.59,23.5,24.12,23.34,21.22,19.91,19.44,18.91,17.53,16.72,17.38,17.84,16.78,15.81,16.56,17.88,17.94,17.91,19.16,20.53,20.53,18.94,17.94,18.5,18.88,18.5,18.94,20.94,22.69,22.75,22.31,22.56,23.34,22.59,21.16,20.97,22.38,22.88,22.09,22.12,22.97,23.22,22.09,21.41,22.12,23.34,23.31,23.06,23.59,24.38,23.41,21.66,20.38,20.31,19.75,18.44,18.16,19.66,21.44,21.97,22.44,24.22,25.5,25.09,23.97,23.91,24.97,24.78,23.91,24.38,25.78,25.84,24.66,23.69,23.81,23.41,21.66,20.34,20.34,21.06,20.38,19.19,19.19,19.97,19.69,19.06,19.06,20.34,20.62,19.31,17.97,17.88,18.31,17.5,17.47,19.22,21.66,22.69,23.44,24.5,26.5,27.28,26.62,26.41,26.94,26.38,24.22,22.25,21.12,20.91,20.19,19.75,20.88,22.78,23.75,23.84,24.69,26.78,28.31,28.72,29.84,32.5,34.25,34.12,33.41,33.91,34.06,32.94,31.47,31.22,31.34,30.22,28.56,27.81,28.12,28.12,26.88,26.25,27.22,28.28,27.44,26.72,26.94,27.16,25.56,23.69,23.19,23.97,24.06,23.69,23.97,25.31,25.84,24.75,23.34,23.03,22.31,20.12,18.25,17.81,18.19,17.47,16.59,17.34,19.22,20.41,21.44,22.44,24.28,25.12,24.5,23.28,24.03,24.72,24.34,23.75,23.75,24.16,22.53,20.22,18.94,19.19,19.25,19.19,20.44,23.41,25.88,26.66,26.69,27.12,27.12,25.28,23.34,22.88,23.72,23.59,23.16,23.31,24.22,24.41,23.53,22.16,21.84,21.91,20.84,19.59,20.16,21.31,20.91,19.81,20.09,20.97,21.38,21.0,21.72,23.28,23.97,23.25,22.38,22.94,23.06,22.34,21.22,21.56,21.91,20.78,18.88,17.59,17.44,16.5,15.47,15.94,18.72,21.56,22.62,23.47,25.0,26.03,25.03,23.88,24.47,25.75,25.97,25.56,25.75,26.62,26.34,24.44,22.72,22.56,22.0,20.38,19.19,19.97,21.25,21.16,20.69,21.56,22.94,23.03,22.53,23.0,24.47,25.19,24.59,23.5,23.75,23.66,22.12,20.84,21.69,23.12,23.28,23.25,24.0,25.5,25.94,25.25,24.97,26.28,26.78,26.09,25.69,26.38,26.78,25.81,24.72,25.44,26.75,27.0,26.09,27.12,28.81,29.38,28.69,28.56,29.25,29.0,27.5,26.78,27.47,27.97,27.12,25.91,26.16,27.19,27.56,27.19,27.69,28.91,28.72,26.75,25.41,25.38,24.75,22.5,20.5,20.81,21.25,20.66,19.88,20.56,21.22,20.59,18.72,18.09,19.06,20.06,20.78,22.72,26.03,28.94,30.06,30.12,31.09,31.5,29.91,27.88,26.69,25.88,24.12,21.22,19.47,19.06,18.72,17.62,17.22,18.19,18.94,18.28,17.22,18.28,19.84,20.47,20.47,21.12,22.56,22.62,21.06,20.78,21.94,22.97,23.19,24.34,26.66,28.56,28.75,27.69,27.41,27.0,25.16,22.19,20.38,20.03,19.28,17.5,16.91,18.06,19.44,19.59,20.34,22.66,25.28,26.31,26.44,27.84,29.41,29.16,27.59,27.25,28.03,28.12,27.0,26.5,26.66,26.25,24.16,22.25,22.28,23.5,24.09,24.78,27.03,29.34,30.22,29.75,30.0,30.94,32.16,31.84,31.97,33.28,34.25,33.0,31.81,32.25,33.53,33.97,33.84,35.09,36.84,37.25,36.09,35.72,36.19,36.75,36.03,36.06,37.56,38.75,25.25,24.62,24.12,23.62,23.38,23.62,22.53,20.66,19.06,17.94,17.38,17.62,19.22,22.0,24.72,26.84,28.19,29.19,29.34,28.44,27.0,26.25,25.62,24.88,23.75,22.88,22.88,22.62:16.12,16.34,18.5,20.84,21.97,23.0,25.47,27.03,26.78,25.03,24.12,23.84,22.69,20.25,18.88,19.19,19.0,17.38,16.47,17.28,17.84,16.56,15.22,15.53,16.44,16.41,15.84,16.62,17.88,17.94,16.66,16.38,17.22,17.94,17.28,16.91,18.31,20.16,20.62,20.84,22.38,24.03,23.62,22.0,20.66,20.34,19.16,16.72,15.28,14.94,14.0,11.44,9.28,9.25,10.28,10.66,11.41,13.69,16.59,18.25,18.41,20.06,22.28,24.06,24.22,24.75,26.25,26.72,24.78,22.44,21.69,21.41,19.97,18.31,18.19,18.34,16.88,13.78,11.41,10.12,8.44,5.94,4.34,5.28,6.66,6.62,6.81,8.28,9.56,9.34,8.53,9.28,11.19,12.41,12.53,13.97,16.66,18.44,18.66,19.06,20.72,22.28,22.09,21.44,21.78,22.62,21.59,19.62,18.66,18.25,16.16,12.31,9.03,7.03,5.28,2.97,2.0,3.41,6.16,7.72,9.34,12.62,16.19,17.66,18.5,19.59,21.09,21.31,19.84,18.88,19.19,19.34,17.72,16.72,17.06,17.31,15.75,13.69,12.38,11.78,9.78,7.25,6.25,7.38,8.34,8.88,10.75,14.34,17.56,18.69,19.12,20.38,21.09,19.75,18.28,18.56,20.44,21.56,21.97,22.97,24.62,25.22,23.81,22.56,22.69,22.81,20.97,19.34,19.62,20.62,20.25,19.09,19.94,21.66,22.03,21.38,21.06,21.47,20.41,17.91,15.78,15.59,16.0,15.34,15.56,17.72,20.38,21.25,21.06,21.44,23.09,23.62,23.5,24.59,27.0,28.09,26.66,24.47,23.19,21.16,17.41,14.03,12.94,13.12,12.81,12.5,13.66,15.62,16.72,16.0,15.59,16.31,16.03,14.53,12.5,12.09,11.88,9.78,8.38,8.53,10.0,10.34,10.38,11.5,13.78,15.69,16.09,17.19,19.34,20.59,20.0,19.41,20.28,21.5,21.12,20.5,21.03,22.38,22.44,21.59,21.72,22.94,23.28,21.97,21.09,21.78,22.25,21.44,21.09,22.25,23.84,23.31,21.41,20.69,20.53,19.34,17.69,16.81,17.38,17.62,16.16,15.44,16.03,16.88,16.0,15.28,15.91,17.22,17.28,17.06,18.16,20.44,22.16,23.16,24.47,27.16,29.12,28.56,28.03,29.09,30.03,29.75,29.75,31.66,33.97,34.25,33.66,33.19,33.69,32.88,30.91,29.62,29.47,28.97,26.94,25.0,25.66,26.91,26.84,26.94,28.41,30.06,29.72,28.22,27.22,27.66,27.5,26.84,27.12,29.41,31.09,30.97,30.16,30.5,30.53,28.88,26.59,26.0,26.38,25.25,23.47,22.72,23.5,23.12,21.75,20.88,21.44,21.75,20.44,19.66,20.75,22.28,22.66,22.41,23.31,24.5,24.41,22.69,21.88,22.56,22.78,22.0,22.16,24.38,26.62,26.81,26.53,26.34,26.75,25.0,22.03,20.59,19.88,18.56,16.25,14.91,15.59,15.94,15.25,15.19,16.75,18.69,19.25,19.16,20.22,21.16,20.0,17.59,16.22,16.34,16.22,15.44,15.75,17.75,19.12,18.69,18.41,19.88,21.69,22.0,21.88,22.78,24.81,25.38,24.88,25.28,27.06,27.78,27.12,26.75,27.78,28.12,26.75,24.78,24.59,24.94,24.03,22.72,22.38,22.41,21.12,18.75,17.56,18.47,19.06,18.56,19.12,21.25,22.66,22.84,22.66,23.69,25.06,24.88,23.94,23.62,24.0,23.19,21.25,19.78,19.44,18.69,16.62,15.31,16.5,18.19,18.81,19.19,20.28,21.38,20.69,19.62,19.78,22.09,23.53,24.12,25.47,28.06,29.72,29.12,28.5,29.44,30.03,29.12,27.44,26.88,26.62,25.09,23.12,22.84,24.03,24.66,23.91,23.66,24.41,24.88,23.41,22.56,23.53,24.53,24.66,24.16,25.03,25.88,25.12,23.72,23.12,23.5,23.75,22.81,22.25,23.56,24.38,23.41,22.62,23.38,24.0,23.5,22.12,22.12,22.22,21.19,19.03,17.94,17.97,17.47,15.66,14.03,13.41,12.69,10.75,8.84,9.44,11.16,11.97,12.91,15.31,19.06,21.69,23.28,24.88,27.53,28.38,27.0,25.34,24.81,23.72,21.41,18.47,17.25,16.59,14.72,12.34,11.41,11.97,12.25,11.91,12.38,14.81,16.75,16.91,17.12,19.12,20.81,20.94,20.91,22.03,23.34,23.31,21.88,21.91,22.81,23.12,22.88,23.0,24.75,25.94,25.44,24.19,24.25,24.16,22.28,20.25,19.88,20.0,19.59,18.53,19.0,20.75,22.28,22.81,23.69,25.94,27.44,27.12,26.41,26.84,28.22,28.47,28.56,30.0,31.47,31.62,29.41,27.88,26.88,25.31,22.75,21.03,21.47,22.47,21.78,21.22,21.66,22.12,21.09,19.38,18.78,19.19,19.22,18.44,18.88,20.72,21.94,21.44,20.72,21.0,21.03,19.78,18.91,19.44,20.59,20.69,19.75,20.28,21.25,21.69,21.19,21.44,22.31,22.94,21.25,19.88,19.88,20.25,19.78,19.28,20.12,21.88,22.28,21.94,22.28,23.28,23.03,21.34,19.72,19.5,19.84,19.0,18.22,19.06,20.16,19.72,19.0,19.31,20.41,20.78,20.25,20.62,21.94,23.19,23.38,23.78,25.91,27.56,27.47,27.03,27.47,28.19,27.56,26.0,25.75,26.0,25.12,22.88,21.22,20.84,20.41,19.12,19.28,21.16,23.19,23.69,23.56,24.25,25.09,24.88,24.38,25.22,26.84,27.16,26.44,25.88,25.78,25.53,23.81,23.12,23.69,25.0,24.5,23.72,23.72,23.78,22.59,20.78,20.53,21.38,22.25,22.03,22.59,24.09,25.38,24.72,24.0,24.41,25.12,24.5,23.59,23.5,24.12,23.34,21.22,19.91,19.44,18.91,17.53,16.72,17.38,17.84,16.78,15.81,16.56,17.88,17.94,17.91,19.16,20.53,20.53,18.94,17.94,18.5,18.88,18.5,18.94,20.94,22.69,22.75,22.31,22.56,23.34,22.59,21.16,20.97,22.38,22.88,22.09,22.12,22.97,23.22,22.09,21.41,22.12,23.34,23.31,23.06,23.59,24.38,23.41,21.66,20.38,20.31,19.75,18.44,18.16,19.66,21.44,21.97,22.44,24.22,25.5,25.09,23.97,23.91,24.97,24.78,23.91,24.38,25.78,25.84,24.66,23.69,23.81,23.41,21.66,20.34,20.34,21.06,20.38,19.19,19.19,19.97,19.69,19.06,19.06,20.34,20.62,19.31,17.97,17.88,18.31,17.5,17.47,19.22,21.66,22.69,23.44,24.5,26.5,27.28,26.62,26.41,26.94,26.38,24.22,22.25,21.12,20.91,20.19,19.75,20.88,22.78,23.75,23.84,24.69,26.78,28.31,28.72,29.84,32.5,34.25,34.12,33.41,33.91,34.06,32.94,31.47,31.22,31.34,30.22,28.56,27.81,28.12,28.12,26.88,26.25,27.22,28.28,27.44,26.72,26.94,27.16,25.56,23.69,23.19,23.97,24.06,23.69,23.97,25.31,25.84,24.75,23.34,23.03,22.31,20.12,18.25,17.81,18.19,17.47,16.59,17.34,19.22,20.41,21.44,22.44,24.28,25.12,24.5,23.28,24.03,24.72,24.34,23.75,23.75,24.16,22.53,20.22,18.94,19.19,19.25,19.19,20.44,23.41,25.88,26.66,26.69,27.12,27.12,25.28,23.34,22.88,23.72,23.59,23.16,23.31,24.22,24.41,23.53,22.16,21.84,21.91,20.84,19.59,20.16,21.31,20.91,19.81,20.09,20.97,21.38,21.0,21.72,23.28,23.97,23.25,22.38,22.94,23.06,22.34,21.22,21.56,21.91,20.78,18.88,17.59,17.44,16.5,15.47,15.94,18.72,21.56,22.62,23.47,25.0,26.03,25.03,23.88,24.47,25.75,25.97,25.56,25.75,26.62,26.34,24.44,22.72,22.56,22.0,20.38,19.19,19.97,21.25,21.16,20.69,21.56,22.94,23.03,22.53,23.0,24.47,25.19,24.59,23.5,23.75,23.66,22.12,20.84,21.69,23.12,23.28,23.25,24.0,25.5,25.94,25.25,24.97,26.28,26.78,26.09,25.69,26.38,26.78,25.81,24.72,25.44,26.75,27.0,26.09,27.12,28.81,29.38,28.69,28.56,29.25,29.0,27.5,26.78,27.47,27.97,27.12,25.91,26.16,27.19,27.56,27.19,27.69,28.91,28.72,26.75,25.41,25.38,24.75,22.5,20.5,20.81,21.25,20.66,19.88,20.56,21.22,20.59,18.72,18.09,19.06,20.06,20.78,22.72,26.03,28.94,30.06,30.12,31.09,31.5,29.91,27.88,26.69,25.88,24.12,21.22,19.47,19.06,18.72,17.62,17.22,18.19,18.94,18.28,17.22,18.28,19.84,20.47,20.47,21.12,22.56,22.62,21.06,20.78,21.94,22.97,23.19,24.34,26.66,28.56,28.75,27.69,27.41,27.0,25.16,22.19,20.38,20.03,19.28,17.5,16.91,18.06,19.44,19.59,20.34,22.66,25.28,26.31,26.44,27.84,29.41,29.16,27.59,27.25,28.03,28.12,27.0,26.5,26.66,26.25,24.16,22.25,22.28,23.5,24.09,24.78,27.03,29.34,30.22,29.75,30.0,30.94,32.16,31.84,31.97,33.28,34.25,33.0,31.81,32.25,33.53,33.97,33.84,35.09,36.84,37.25,36.09,35.72,36.19,36.75,36.03,36.06,37.56,38.75,25.25,24.62,24.12,23.62,23.38,23.62,22.53,20.66,19.06,17.94,17.38,17.62,19.22,22.0,24.72,26.84,28.19,29.19,29.34,28.44,27.0,26.25,25.62,24.88,23.75,22.88,22.88,22.62,22.5,22.41,23.0,23.31,22.91,22.22,22.25:27.03,26.78,25.03,24.12,23.84,22.69,20.25,18.88,19.19,19.0,17.38,16.47,17.28,17.84,16.56,15.22,15.53,16.44,16.41,15.84,16.62,17.88,17.94,16.66,16.38,17.22,17.94,17.28,16.91,18.31,20.16,20.62,20.84,22.38,24.03,23.62,22.0,20.66,20.34,19.16,16.72,15.28,14.94,14.0,11.44,9.28,9.25,10.28,10.66,11.41,13.69,16.59,18.25,18.41,20.06,22.28,24.06,24.22,24.75,26.25,26.72,24.78,22.44,21.69,21.41,19.97,18.31,18.19,18.34,16.88,13.78,11.41,10.12,8.44,5.94,4.34,5.28,6.66,6.62,6.81,8.28,9.56,9.34,8.53,9.28,11.19,12.41,12.53,13.97,16.66,18.44,18.66,19.06,20.72,22.28,22.09,21.44,21.78,22.62,21.59,19.62,18.66,18.25,16.16,12.31,9.03,7.03,5.28,2.97,2.0,3.41,6.16,7.72,9.34,12.62,16.19,17.66,18.5,19.59,21.09,21.31,19.84,18.88,19.19,19.34,17.72,16.72,17.06,17.31,15.75,13.69,12.38,11.78,9.78,7.25,6.25,7.38,8.34,8.88,10.75,14.34,17.56,18.69,19.12,20.38,21.09,19.75,18.28,18.56,20.44,21.56,21.97,22.97,24.62,25.22,23.81,22.56,22.69,22.81,20.97,19.34,19.62,20.62,20.25,19.09,19.94,21.66,22.03,21.38,21.06,21.47,20.41,17.91,15.78,15.59,16.0,15.34,15.56,17.72,20.38,21.25,21.06,21.44,23.09,23.62,23.5,24.59,27.0,28.09,26.66,24.47,23.19,21.16,17.41,14.03,12.94,13.12,12.81,12.5,13.66,15.62,16.72,16.0,15.59,16.31,16.03,14.53,12.5,12.09,11.88,9.78,8.38,8.53,10.0,10.34,10.38,11.5,13.78,15.69,16.09,17.19,19.34,20.59,20.0,19.41,20.28,21.5,21.12,20.5,21.03,22.38,22.44,21.59,21.72,22.94,23.28,21.97,21.09,21.78,22.25,21.44,21.09,22.25,23.84,23.31,21.41,20.69,20.53,19.34,17.69,16.81,17.38,17.62,16.16,15.44,16.03,16.88,16.0,15.28,15.91,17.22,17.28,17.06,18.16,20.44,22.16,23.16,24.47,27.16,29.12,28.56,28.03,29.09,30.03,29.75,29.75,31.66,33.97,34.25,33.66,33.19,33.69,32.88,30.91,29.62,29.47,28.97,26.94,25.0,25.66,26.91,26.84,26.94,28.41,30.06,29.72,28.22,27.22,27.66,27.5,26.84,27.12,29.41,31.09,30.97,30.16,30.5,30.53,28.88,26.59,26.0,26.38,25.25,23.47,22.72,23.5,23.12,21.75,20.88,21.44,21.75,20.44,19.66,20.75,22.28,22.66,22.41,23.31,24.5,24.41,22.69,21.88,22.56,22.78,22.0,22.16,24.38,26.62,26.81,26.53,26.34,26.75,25.0,22.03,20.59,19.88,18.56,16.25,14.91,15.59,15.94,15.25,15.19,16.75,18.69,19.25,19.16,20.22,21.16,20.0,17.59,16.22,16.34,16.22,15.44,15.75,17.75,19.12,18.69,18.41,19.88,21.69,22.0,21.88,22.78,24.81,25.38,24.88,25.28,27.06,27.78,27.12,26.75,27.78,28.12,26.75,24.78,24.59,24.94,24.03,22.72,22.38,22.41,21.12,18.75,17.56,18.47,19.06,18.56,19.12,21.25,22.66,22.84,22.66,23.69,25.06,24.88,23.94,23.62,24.0,23.19,21.25,19.78,19.44,18.69,16.62,15.31,16.5,18.19,18.81,19.19,20.28,21.38,20.69,19.62,19.78,22.09,23.53,24.12,25.47,28.06,29.72,29.12,28.5,29.44,30.03,29.12,27.44,26.88,26.62,25.09,23.12,22.84,24.03,24.66,23.91,23.66,24.41,24.88,23.41,22.56,23.53,24.53,24.66,24.16,25.03,25.88,25.12,23.72,23.12,23.5,23.75,22.81,22.25,23.56,24.38,23.41,22.62,23.38,24.0,23.5,22.12,22.12,22.22,21.19,19.03,17.94,17.97,17.47,15.66,14.03,13.41,12.69,10.75,8.84,9.44,11.16,11.97,12.91,15.31,19.06,21.69,23.28,24.88,27.53,28.38,27.0,25.34,24.81,23.72,21.41,18.47,17.25,16.59,14.72,12.34,11.41,11.97,12.25,11.91,12.38,14.81,16.75,16.91,17.12,19.12,20.81,20.94,20.91,22.03,23.34,23.31,21.88,21.91,22.81,23.12,22.88,23.0,24.75,25.94,25.44,24.19,24.25,24.16,22.28,20.25,19.88,20.0,19.59,18.53,19.0,20.75,22.28,22.81,23.69,25.94,27.44,27.12,26.41,26.84,28.22,28.47,28.56,30.0,31.47,31.62,29.41,27.88,26.88,25.31,22.75,21.03,21.47,22.47,21.78,21.22,21.66,22.12,21.09,19.38,18.78,19.19,19.22,18.44,18.88,20.72,21.94,21.44,20.72,21.0,21.03,19.78,18.91,19.44,20.59,20.69,19.75,20.28,21.25,21.69,21.19,21.44,22.31,22.94,21.25,19.88,19.88,20.25,19.78,19.28,20.12,21.88,22.28,21.94,22.28,23.28,23.03,21.34,19.72,19.5,19.84,19.0,18.22,19.06,20.16,19.72,19.0,19.31,20.41,20.78,20.25,20.62,21.94,23.19,23.38,23.78,25.91,27.56,27.47,27.03,27.47,28.19,27.56,26.0,25.75,26.0,25.12,22.88,21.22,20.84,20.41,19.12,19.28,21.16,23.19,23.69,23.56,24.25,25.09,24.88,24.38,25.22,26.84,27.16,26.44,25.88,25.78,25.53,23.81,23.12,23.69,25.0,24.5,23.72,23.72,23.78,22.59,20.78,20.53,21.38,22.25,22.03,22.59,24.09,25.38,24.72,24.0,24.41,25.12,24.5,23.59,23.5,24.12,23.34,21.22,19.91,19.44,18.91,17.53,16.72,17.38,17.84,16.78,15.81,16.56,17.88,17.94,17.91,19.16,20.53,20.53,18.94,17.94,18.5,18.88,18.5,18.94,20.94,22.69,22.75,22.31,22.56,23.34,22.59,21.16,20.97,22.38,22.88,22.09,22.12,22.97,23.22,22.09,21.41,22.12,23.34,23.31,23.06,23.59,24.38,23.41,21.66,20.38,20.31,19.75,18.44,18.16,19.66,21.44,21.97,22.44,24.22,25.5,25.09,23.97,23.91,24.97,24.78,23.91,24.38,25.78,25.84,24.66,23.69,23.81,23.41,21.66,20.34,20.34,21.06,20.38,19.19,19.19,19.97,19.69,19.06,19.06,20.34,20.62,19.31,17.97,17.88,18.31,17.5,17.47,19.22,21.66,22.69,23.44,24.5,26.5,27.28,26.62,26.41,26.94,26.38,24.22,22.25,21.12,20.91,20.19,19.75,20.88,22.78,23.75,23.84,24.69,26.78,28.31,28.72,29.84,32.5,34.25,34.12,33.41,33.91,34.06,32.94,31.47,31.22,31.34,30.22,28.56,27.81,28.12,28.12,26.88,26.25,27.22,28.28,27.44,26.72,26.94,27.16,25.56,23.69,23.19,23.97,24.06,23.69,23.97,25.31,25.84,24.75,23.34,23.03,22.31,20.12,18.25,17.81,18.19,17.47,16.59,17.34,19.22,20.41,21.44,22.44,24.28,25.12,24.5,23.28,24.03,24.72,24.34,23.75,23.75,24.16,22.53,20.22,18.94,19.19,19.25,19.19,20.44,23.41,25.88,26.66,26.69,27.12,27.12,25.28,23.34,22.88,23.72,23.59,23.16,23.31,24.22,24.41,23.53,22.16,21.84,21.91,20.84,19.59,20.16,21.31,20.91,19.81,20.09,20.97,21.38,21.0,21.72,23.28,23.97,23.25,22.38,22.94,23.06,22.34,21.22,21.56,21.91,20.78,18.88,17.59,17.44,16.5,15.47,15.94,18.72,21.56,22.62,23.47,25.0,26.03,25.03,23.88,24.47,25.75,25.97,25.56,25.75,26.62,26.34,24.44,22.72,22.56,22.0,20.38,19.19,19.97,21.25,21.16,20.69,21.56,22.94,23.03,22.53,23.0,24.47,25.19,24.59,23.5,23.75,23.66,22.12,20.84,21.69,23.12,23.28,23.25,24.0,25.5,25.94,25.25,24.97,26.28,26.78,26.09,25.69,26.38,26.78,25.81,24.72,25.44,26.75,27.0,26.09,27.12,28.81,29.38,28.69,28.56,29.25,29.0,27.5,26.78,27.47,27.97,27.12,25.91,26.16,27.19,27.56,27.19,27.69,28.91,28.72,26.75,25.41,25.38,24.75,22.5,20.5,20.81,21.25,20.66,19.88,20.56,21.22,20.59,18.72,18.09,19.06,20.06,20.78,22.72,26.03,28.94,30.06,30.12,31.09,31.5,29.91,27.88,26.69,25.88,24.12,21.22,19.47,19.06,18.72,17.62,17.22,18.19,18.94,18.28,17.22,18.28,19.84,20.47,20.47,21.12,22.56,22.62,21.06,20.78,21.94,22.97,23.19,24.34,26.66,28.56,28.75,27.69,27.41,27.0,25.16,22.19,20.38,20.03,19.28,17.5,16.91,18.06,19.44,19.59,20.34,22.66,25.28,26.31,26.44,27.84,29.41,29.16,27.59,27.25,28.03,28.12,27.0,26.5,26.66,26.25,24.16,22.25,22.28,23.5,24.09,24.78,27.03,29.34,30.22,29.75,30.0,30.94,32.16,31.84,31.97,33.28,34.25,33.0,31.81,32.25,33.53,33.97,33.84,35.09,36.84,37.25,36.09,35.72,36.19,36.75,36.03,36.06,37.56,38.75,25.25,24.62,24.12,23.62,23.38,23.62,22.53,20.66,19.06,17.94,17.38,17.62,19.22,22.0,24.72,26.84,28.19,29.19,29.34,28.44,27.0,26.25,25.62,24.88,23.75,22.88,22.88,22.62,22.5,22.41,23.0,23.31,22.91,22.22,22.25,22.44,22.88,23.72,25.31,27.44,29.22,30.12:positivity
25.34,27.53,29.5,32.38,34.94,36.25,36.28,35.69,34.59,33.41,31.06,28.84,27.12,25.78,23.25,20.88,18.88,17.34,15.75,14.12,14.03,15.03,17.0,18.59,20.81,23.47,25.59,26.66,27.44,28.81,30.84,32.16,33.53,35.38,37.0,37.41,36.31,34.72,33.03,31.97,30.78,30.94,32.22,33.47,33.12,31.19,29.0,26.78,23.75,21.19,20.16,20.78,22.56,24.97,28.88,33.75,39.06,42.47,44.5,45.44,44.84,42.03,38.72,36.16,34.44,32.88,31.88,31.25,31.75,32.31,32.16,32.75,33.81,35.53,35.78,35.66,35.94,35.81,34.62,32.94,31.88,31.38,30.56,30.0,30.56,32.06,33.81,34.75,35.31,36.53,37.59,37.66,37.72,38.38,39.12,39.03,38.03,36.78,35.97,34.19,31.75,29.38,27.81,26.28,24.41,22.91,22.5,22.09,21.0,19.47,18.66,18.88,19.31,20.16,21.75,24.06,26.16,27.31,27.88,29.22,30.12,29.69,29.0,28.31,27.84,26.22,24.72,23.81,23.94,23.97,24.19,25.03,26.78,28.97,30.22,31.06,32.38,33.19,32.5,31.62,30.25,29.47,28.0,26.59,25.59,25.72,25.94,25.22,24.44,24.47,24.47,23.41,22.09,21.81,21.44,19.88,18.06,16.62,15.25,13.69,12.31,11.47,12.09,12.59,12.69,12.38,13.03,13.16,12.78,12.5,13.06,13.97,15.12,16.22,18.03,21.0,23.62,25.34,26.72,28.31,29.22,28.75,27.94,27.22,25.88,23.16,20.16,17.88,16.75,16.38,16.25,16.97,18.88,20.31,20.66,20.47,21.09,21.53,21.19,21.19,21.94,23.0,22.84,21.97,21.28,20.94,20.69,20.62,21.12,22.81,24.5,24.84,24.5,24.19,22.91,20.75,19.0,18.22,18.84,20.16,21.91,24.41,27.59,30.34,32.09,33.31,34.75,35.53,35.25,34.28,34.31,33.75,32.53,31.06,29.94,29.09,27.59,25.12,23.06,21.38,19.31,17.12,15.03,13.97,13.09,12.12,11.38,12.12,13.25,14.03,14.38,15.19,16.66,17.78,18.38,19.75,21.78,23.53,24.12,24.41,24.69,24.62,23.28,21.84,21.31,21.16,21.16,20.28,19.47,18.47,16.59,14.19,12.66,12.56,13.53,13.88,13.81,14.53,14.5,13.97,13.59,14.78,17.41,20.62,23.59,27.72,31.81,34.97,36.09,35.56,34.12,31.41,26.91,22.34,19.19,17.38,16.06,15.31,16.09,17.66,19.5,20.28,21.53,22.81,23.69,23.78,24.34,25.81,27.44,28.16,27.72,27.47,26.94,25.81,24.16,23.66,23.88,24.44,23.97,23.66,23.94,23.75,22.69,22.53,23.72,25.41,26.62,26.94,26.75,26.47,25.12,22.78,21.78,21.91,22.56,23.0,24.44,26.47,28.41,28.69,27.78,26.88,26.34,25.5,25.12,26.59,29.09,31.25,31.81,31.84,31.66,30.22,26.88,23.66,21.62,20.62,19.53,19.44,21.19,23.78,25.72,26.66,28.0,29.53,29.91,29.38,28.62,28.47,28.06,26.78,25.62,25.66,26.16,25.16,23.94,22.75,21.59,19.59,17.38,15.78,14.97,14.47,12.78,11.97,12.16,12.97,13.09,13.94,15.47,17.19,18.22,18.72,19.69,21.0,21.69,21.5,21.75,22.69,23.75,23.81,23.66,23.81,23.47,21.12,17.97,15.28,13.44,11.09,8.91,8.06,8.53,8.53,8.06,8.44,9.94,12.03,12.84,13.81,15.16,16.22,15.84,15.22,15.34,15.97,15.81,15.28,14.59,14.53,13.81,11.81,10.38,9.75,9.44,8.28,7.88,8.94,11.0,12.38,13.53,15.47,17.78,19.5,20.09,21.19,22.62,22.94,21.91,20.88,20.53,20.34,19.03,18.25,18.12,18.66,18.47,17.69,17.47,17.47,16.69,15.34,14.56,14.69,14.97,14.25,13.88,14.09,14.69,14.19,13.5,13.69,14.56,15.31,16.03,17.62,20.25,21.84,22.12,22.47,23.66,24.44,24.41,24.28,24.88,25.59,25.09,24.47,24.38,25.09,24.91,24.41,24.56,25.28,25.75,25.56,25.47,26.34,26.94,26.59,26.41,26.78,26.56,25.53,24.12,23.0,22.91,22.66,21.94,21.62,21.97,21.97,20.66,19.69,19.91,20.78,21.16,21.62,23.25,25.19,26.41,27.09,28.19,29.62,29.22,27.34,24.59,22.25,19.69,16.34,13.91,13.19,13.22,12.72,12.38,13.16,14.0,14.16,13.78,13.94,15.44,16.59,17.19,18.31,19.88,20.97,20.81,20.06,19.78,19.81,18.94,17.62,17.41,17.88,17.78,17.28,17.41,18.88,20.09,20.88,21.19,22.44,23.31,23.38,23.16,23.91,24.53,24.41,23.91,24.25,24.91,24.94,24.5,24.12,25.25,26.06,26.41,26.97,28.16,28.81,27.97,26.69,25.94,25.53,24.78,24.59,25.38,27.19,28.62,29.06,29.16,30.03,30.59,30.69,30.12,31.06,31.78,31.88,31.91,32.28,33.47,33.41,32.44,31.72,31.66,31.19,30.41,30.06,31.25,31.72,31.47,31.09,31.16,31.09,30.19,28.41,27.62,27.31,26.88,26.69,26.91,28.38,29.72,29.78,30.16,31.38,32.31,32.47,31.84,31.91,31.59,30.75,29.19,28.47,28.5,28.78,28.44,28.53,29.25,29.69,29.25,28.56,29.19,29.69,29.59,29.25,29.03,28.88,28.25,26.84,26.03,25.75,25.31,23.97,22.97,23.19,23.88,24.41,24.66,25.78,26.75,26.53,25.38,24.81,24.5,23.78,22.47,22.25,22.88,23.22,23.38,23.47,24.16,24.06,23.16,21.84,21.31,21.12,20.66,19.84,20.06,20.69,21.44,21.34,21.41,22.47,23.09,22.62,22.22,22.53,22.84,22.28,22.16,23.03,23.91,24.25,23.16,22.16,21.06,19.62,17.5,16.28,16.09,16.38,16.34,16.47,17.25,18.09,18.0,17.88,18.44,19.72,21.12,21.91,23.19,25.09,26.56,27.0,26.91,27.25,27.06,26.03,24.62,24.12,24.0,23.81,23.22,23.53,24.44,25.31,25.25,25.47,26.44,26.97,26.53,26.34,26.31,26.91,26.41,26.03,26.53,27.03,27.09,26.25,25.44,24.69,23.47,21.19,19.25,17.66,17.34,17.0,17.78,20.16,22.78,24.5,25.06,25.94,27.06,27.56,27.88,28.47,29.0,29.5,28.62,27.62,27.25,27.12,26.06,25.34,25.28,25.44,24.88,23.38,22.75,22.38,21.38,20.0,19.25,18.53,17.75,16.28,15.53,15.75,16.88,17.56,18.28,19.66,20.81,21.47,21.62,22.12,23.0,24.09,24.75,25.97,27.19,27.81,26.5,24.31,21.66,19.88,18.19,16.66,16.66,17.44,17.91,17.59,17.22,17.34,17.28,16.5,16.59,17.78,19.66,21.28,23.03,25.22,27.62,29.06,29.78,31.12,32.34,33.06,32.56,32.41,32.22,31.72,30.25,28.69,27.66,26.47,24.81,23.91,23.81,23.91,23.66,22.72,21.84,20.91,19.69,18.0,16.81,16.62,16.72,16.28,16.31,17.22,18.44,19.47,20.47,21.75,23.22,23.72,23.62,23.53,23.88,23.66,23.0,21.94,21.03,19.75,17.0,14.06,12.0,10.12,8.28,6.66,5.5,4.91,4.34,3.44,2.91,3.5,4.31,5.03,6.56,8.94,12.06,14.78,17.03,19.69,22.25,23.81,23.88,23.69,23.88,23.09,21.62,20.47,20.16,19.59,17.62,15.16,13.09,10.78,8.16,6.0,5.47,6.25,6.75,7.81,9.34,11.78,14.12,15.56,17.22,19.59,21.69,22.69,23.88,25.44,26.88,27.22,26.66,26.19,25.59,24.41,22.34,19.94,18.66,16.59,14.38,12.69,12.31,12.28,11.5,10.31,9.53,9.31,8.91,9.09,10.47,12.56,14.28,15.03,15.0,14.94,14.69,13.31,12.09,12.53,13.56,13.72,13.81,14.38,14.78,14.16,12.88,11.75,11.44,10.72,9.69,9.38,10.25,10.81,10.66,10.47,10.41,10.31,9.19,8.12,7.25,7.22,7.31,6.94,6.97,7.66,8.41,8.47,8.47,9.91,11.91,13.78,14.66,15.78,16.44,15.5,13.34,11.84,11.34,10.62,9.97,9.5,10.06,10.5,9.94,9.62,10.22,11.09,11.88,13.19,15.56,17.59,18.38,17.97,17.38,17.19,17.09,17.25,17.84,19.34,19.97,18.97,17.25,16.03,15.25,14.28,13.53,13.75,14.62,14.66,14.44,14.25,14.78,15.47,15.97,16.09,16.69,17.38,16.75,16.16,16.91,18.06,18.72,18.5,18.5,18.09,16.97,15.28,13.81,13.5,13.88,14.12,14.75,16.69,18.66,20.28,21.41,23.44,25.53,26.84,26.97,27.16,27.84,28.06,28.06,28.19,29.0,29.84,29.59,28.84,29.0,29.44,28.88,27.56,27.28,27.25,26.62,25.12,23.44,22.0,20.06,17.5,15.69,15.66,17.12,18.28,19.72,22.34,24.12,24.28,22.78,21.5,20.0,18.06,15.66,13.94,12.88,11.47,9.19,7.0,5.69,4.97,3.97,3.41,4.62,6.75,8.69,10.34,12.66,15.62,18.06,19.38,20.75,22.06,23.19,23.16,22.91,24.34,26.41,27.25,27.22,27.19,26.28,23.16,18.69,14.19,10.09,6.59,2.88,0.34,0.03,0.62,1.69,3.5,6.44,9.47,11.34,12.44,13.53,14.62,15.19,14.53,14.22,14.25,13.88,12.62,11.5,11.69,12.06,11.47,10.34,10.0,10.03,9.06,8.25,8.44,9.38,10.0,9.34,9.06,9.19,9.22,8.72,9.28,11.12,13.41,14.75,15.78,17.31,18.66,19.59,19.44:35.69,34.59,33.41,31.06,28.84,27.12,25.78,23.25,20.88,18.88,17.34,15.75,14.12,14.03,15.03,17.0,18.59,20.81,23.47,25.59,26.66,27.44,28.81,30.84,32.16,33.53,35.38,37.0,37.41,36.31,34.72,33.03,31.97,30.78,30.94,32.22,33.47,33.12,31.19,29.0,26.78,23.75,21.19,20.16,20.78,22.56,24.97,28.88,33.75,39.06,42.47,44.5,45.44,44.84,42.03,38.72,36.16,34.44,32.88,31.88,31.25,31.75,32.31,32.16,32.75,33.81,35.53,35.78,35.66,35.94,35.81,34.62,32.94,31.88,31.38,30.56,30.0,30.56,32.06,33.81,34.75,35.31,36.53,37.59,37.66,37.72,38.38,39.12,39.03,38.03,36.78,35.97,34.19,31.75,29.38,27.81,26.28,24.41,22.91,22.5,22.09,21.0,19.47,18.66,18.88,19.31,20.16,21.75,24.06,26.16,27.31,27.88,29.22,30.12,29.69,29.0,28.31,27.84,26.22,24.72,23.81,23.94,23.97,24.19,25.03,26.78,28.97,30.22,31.06,32.38,33.19,32.5,31.62,30.25,29.47,28.0,26.59,25.59,25.72,25.94,25.22,24.44,24.47,24.47,23.41,22.09,21.81,21.44,19.88,18.06,16.62,15.25,13.69,12.31,11.47,12.09,12.59,12.69,12.38,13.03,13.16,12.78,12.5,13.06,13.97,15.12,16.22,18.03,21.0,23.62,25.34,26.72,28.31,29.22,28.75,27.94,27.22,25.88,23.16,20.16,17.88,16.75,16.38,16.25,16.97,18.88,20.31,20.66,20.47,21.09,21.53,21.19,21.19,21.94,23.0,22.84,21.97,21.28,20.94,20.69,20.62,21.12,22.81,24.5,24.84,24.5,24.19,22.91,20.75,19.0,18.22,18.84,20.16,21.91,24.41,27.59,30.34,32.09,33.31,34.75,35.53,35.25,34.28,34.31,33.75,32.53,31.06,29.94,29.09,27.59,25.12,23.06,21.38,19.31,17.12,15.03,13.97,13.09,12.12,11.38,12.12,13.25,14.03,14.38,15.19,16.66,17.78,18.38,19.75,21.78,23.53,24.12,24.41,24.69,24.62,23.28,21.84,21.31,21.16,21.16,20.28,19.47,18.47,16.59,14.19,12.66,12.56,13.53,13.88,13.81,14.53,14.5,13.97,13.59,14.78,17.41,20.62,23.59,27.72,31.81,34.97,36.09,35.56,34.12,31.41,26.91,22.34,19.19,17.38,16.06,15.31,16.09,17.66,19.5,20.28,21.53,22.81,23.69,23.78,24.34,25.81,27.44,28.16,27.72,27.47,26.94,25.81,24.16,23.66,23.88,24.44,23.97,23.66,23.94,23.75,22.69,22.53,23.72,25.41,26.62,26.94,26.75,26.47,25.12,22.78,21.78,21.91,22.56,23.0,24.44,26.47,28.41,28.69,27.78,26.88,26.34,25.5,25.12,26.59,29.09,31.25,31.81,31.84,31.66,30.22,26.88,23.66,21.62,20.62,19.53,19.44,21.19,23.78,25.72,26.66,28.0,29.53,29.91,29.38,28.62,28.47,28.06,26.78,25.62,25.66,26.16,25.16,23.94,22.75,21.59,19.59,17.38,15.78,14.97,14.47,12.78,11.97,12.16,12.97,13.09,13.94,15.47,17.19,18.22,18.72,19.69,21.0,21.69,21.5,21.75,22.69,23.75,23.81,23.66,23.81,23.47,21.12,17.97,15.28,13.44,11.09,8.91,8.06,8.53,8.53,8.06,8.44,9.94,12.03,12.84,13.81,15.16,16.22,15.84,15.22,15.34,15.97,15.81,15.28,14.59,14.53,13.81,11.81,10.38,9.75,9.44,8.28,7.88,8.94,11.0,12.38,13.53,15.47,17.78,19.5,20.09,21.19,22.62,22.94,21.91,20.88,20.53,20.34,19.03,18.25,18.12,18.66,18.47,17.69,17.47,17.47,16.69,15.34,14.56,14.69,14.97,14.25,13.88,14.09,14.69,14.19,13.5,13.69,14.56,15.31,16.03,17.62,20.25,21.84,22.12,22.47,23.66,24.44,24.41,24.28,24.88,25.59,25.09,24.47,24.38,25.09,24.91,24.41,24.56,25.28,25.75,25.56,25.47,26.34,26.94,26.59,26.41,26.78,26.56,25.53,24.12,23.0,22.91,22.66,21.94,21.62,21.97,21.97,20.66,19.69,19.91,20.78,21.16,21.62,23.25,25.19,26.41,27.09,28.19,29.62,29.22,27.34,24.59,22.25,19.69,16.34,13.91,13.19,13.22,12.72,12.38,13.16,14.0,14.16,13.78,13.94,15.44,16.59,17.19,18.31,19.88,20.97,20.81,20.06,19.78,19.81,18.94,17.62,17.41,17.88,17.78,17.28,17.41,18.88,20.09,20.88,21.19,22.44,23.31,23.38,23.16,23.91,24.53,24.41,23.91,24.25,24.91,24.94,24.5,24.12,25.25,26.06,26.41,26.97,28.16,28.81,27.97,26.69,25.94,25.53,24.78,24.59,25.38,27.19,28.62,29.06,29.16,30.03,30.59,30.69,30.12,31.06,31.78,31.88,31.91,32.28,33.47,33.41,32.44,31.72,31.66,31.19,30.41,30.06,31.25,31.72,31.47,31.09,31.16,31.09,30.19,28.41,27.62,27.31,26.88,26.69,26.91,28.38,29.72,29.78,30.16,31.38,32.31,32.47,31.84,31.91,31.59,30.75,29.19,28.47,28.5,28.78,28.44,28.53,29.25,29.69,29.25,28.56,29.19,29.69,29.59,29.25,29.03,28.88,28.25,26.84,26.03,25.75,25.31,23.97,22.97,23.19,23.88,24.41,24.66,25.78,26.75,26.53,25.38,24.81,24.5,23.78,22.47,22.25,22.88,23.22,23.38,23.47,24.16,24.06,23.16,21.84,21.31,21.12,20.66,19.84,20.06,20.69,21.44,21.34,21.41,22.47,23.09,22.62,22.22,22.53,22.84,22.28,22.16,23.03,23.91,24.25,23.16,22.16,21.06,19.62,17.5,16.28,16.09,16.38,16.34,16.47,17.25,18.09,18.0,17.88,18.44,19.72,21.12,21.91,23.19,25.09,26.56,27.0,26.91,27.25,27.06,26.03,24.62,24.12,24.0,23.81,23.22,23.53,24.44,25.31,25.25,25.47,26.44,26.97,26.53,26.34,26.31,26.91,26.41,26.03,26.53,27.03,27.09,26.25,25.44,24.69,23.47,21.19,19.25,17.66,17.34,17.0,17.78,20.16,22.78,24.5,25.06,25.94,27.06,27.56,27.88,28.47,29.0,29.5,28.62,27.62,27.25,27.12,26.06,25.34,25.28,25.44,24.88,23.38,22.75,22.38,21.38,20.0,19.25,18.53,17.75,16.28,15.53,15.75,16.88,17.56,18.28,19.66,20.81,21.47,21.62,22.12,23.0,24.09,24.75,25.97,27.19,27.81,26.5,24.31,21.66,19.88,18.19,16.66,16.66,17.44,17.91,17.59,17.22,17.34,17.28,16.5,16.59,17.78,19.66,21.28,23.03,25.22,27.62,29.06,29.78,31.12,32.34,33.06,32.56,32.41,32.22,31.72,30.25,28.69,27.66,26.47,24.81,23.91,23.81,23.91,23.66,22.72,21.84,20.91,19.69,18.0,16.81,16.62,16.72,16.28,16.31,17.22,18.44,19.47,20.47,21.75,23.22,23.72,23.62,23.53,23.88,23.66,23.0,21.94,21.03,19.75,17.0,14.06,12.0,10.12,8.28,6.66,5.5,4.91,4.34,3.44,2.91,3.5,4.31,5.03,6.56,8.94,12.06,14.78,17.03,19.69,22.25,23.81,23.88,23.69,23.88,23.09,21.62,20.47,20.16,19.59,17.62,15.16,13.09,10.78,8.16,6.0,5.47,6.25,6.75,7.81,9.34,11.78,14.12,15.56,17.22,19.59,21.69,22.69,23.88,25.44,26.88,27.22,26.66,26.19,25.59,24.41,22.34,19.94,18.66,16.59,14.38,12.69,12.31,12.28,11.5,10.31,9.53,9.31,8.91,9.09,10.47,12.56,14.28,15.03,15.0,14.94,14.69,13.31,12.09,12.53,13.56,13.72,13.81,14.38,14.78,14.16,12.88,11.75,11.44,10.72,9.69,9.38,10.25,10.81,10.66,10.47,10.41,10.31,9.19,8.12,7.25,7.22,7.31,6.94,6.97,7.66,8.41,8.47,8.47,9.91,11.91,13.78,14.66,15.78,16.44,15.5,13.34,11.84,11.34,10.62,9.97,9.5,10.06,10.5,9.94,9.62,10.22,11.09,11.88,13.19,15.56,17.59,18.38,17.97,17.38,17.19,17.09,17.25,17.84,19.34,19.97,18.97,17.25,16.03,15.25,14.28,13.53,13.75,14.62,14.66,14.44,14.25,14.78,15.47,15.97,16.09,16.69,17.38,16.75,16.16,16.91,18.06,18.72,18.5,18.5,18.09,16.97,15.28,13.81,13.5,13.88,14.12,14.75,16.69,18.66,20.28,21.41,23.44,25.53,26.84,26.97,27.16,27.84,28.06,28.06,28.19,29.0,29.84,29.59,28.84,29.0,29.44,28.88,27.56,27.28,27.25,26.62,25.12,23.44,22.0,20.06,17.5,15.69,15.66,17.12,18.28,19.72,22.34,24.12,24.28,22.78,21.5,20.0,18.06,15.66,13.94,12.88,11.47,9.19,7.0,5.69,4.97,3.97,3.41,4.62,6.75,8.69,10.34,12.66,15.62,18.06,19.38,20.75,22.06,23.19,23.16,22.91,24.34,26.41,27.25,27.22,27.19,26.28,23.16,18.69,14.19,10.09,6.59,2.88,0.34,0.03,0.62,1.69,3.5,6.44,9.47,11.34,12.44,13.53,14.62,15.19,14.53,14.22,14.25,13.88,12.62,11.5,11.69,12.06,11.47,10.34,10.0,10.03,9.06,8.25,8.44,9.38,10.0,9.34,9.06,9.19,9.22,8.72,9.28,11.12,13.41,14.75,15.78,17.31,18.66,19.59,19.44,56.34,57.53,58.91,60.78,62.47,63.56,63.62:23.25,20.88,18.88,17.34,15.75,14.12,14.03,15.03,17.0,18.59,20.81,23.47,25.59,26.66,27.44,28.81,30.84,32.16,33.53,35.38,37.0,37.41,36.31,34.72,33.03,31.97,30.78,30.94,32.22,33.47,33.12,31.19,29.0,26.78,23.75,21.19,20.16,20.78,22.56,24.97,28.88,33.75,39.06,42.47,44.5,45.44,44.84,42.03,38.72,36.16,34.44,32.88,31.88,31.25,31.75,32.31,32.16,32.75,33.81,35.53,35.78,35.66,35.94,35.81,34.62,32.94,31.88,31.38,30.56,30.0,30.56,32.06,33.81,34.75,35.31,36.53,37.59,37.66,37.72,38.38,39.12,39.03,38.03,36.78,35.97,34.19,31.75,29.38,27.81,26.28,24.41,22.91,22.5,22.09,21.0,19.47,18.66,18.88,19.31,20.16,21.75,24.06,26.16,27.31,27.88,29.22,30.12,29.69,29.0,28.31,27.84,26.22,24.72,23.81,23.94,23.97,24.19,25.03,26.78,28.97,30.22,31.06,32.38,33.19,32.5,31.62,30.25,29.47,28.0,26.59,25.59,25.72,25.94,25.22,24.44,24.47,24.47,23.41,22.09,21.81,21.44,19.88,18.06,16.62,15.25,13.69,12.31,11.47,12.09,12.59,12.69,12.38,13.03,13.16,12.78,12.5,13.06,13.97,15.12,16.22,18.03,21.0,23.62,25.34,26.72,28.31,29.22,28.75,27.94,27.22,25.88,23.16,20.16,17.88,16.75,16.38,16.25,16.97,18.88,20.31,20.66,20.47,21.09,21.53,21.19,21.19,21.94,23.0,22.84,21.97,21.28,20.94,20.69,20.62,21.12,22.81,24.5,24.84,24.5,24.19,22.91,20.75,19.0,18.22,18.84,20.16,21.91,24.41,27.59,30.34,32.09,33.31,34.75,35.53,35.25,34.28,34.31,33.75,32.53,31.06,29.94,29.09,27.59,25.12,23.06,21.38,19.31,17.12,15.03,13.97,13.09,12.12,11.38,12.12,13.25,14.03,14.38,15.19,16.66,17.78,18.38,19.75,21.78,23.53,24.12,24.41,24.69,24.62,23.28,21.84,21.31,21.16,21.16,20.28,19.47,18.47,16.59,14.19,12.66,12.56,13.53,13.88,13.81,14.53,14.5,13.97,13.59,14.78,17.41,20.62,23.59,27.72,31.81,34.97,36.09,35.56,34.12,31.41,26.91,22.34,19.19,17.38,16.06,15.31,16.09,17.66,19.5,20.28,21.53,22.81,23.69,23.78,24.34,25.81,27.44,28.16,27.72,27.47,26.94,25.81,24.16,23.66,23.88,24.44,23.97,23.66,23.94,23.75,22.69,22.53,23.72,25.41,26.62,26.94,26.75,26.47,25.12,22.78,21.78,21.91,22.56,23.0,24.44,26.47,28.41,28.69,27.78,26.88,26.34,25.5,25.12,26.59,29.09,31.25,31.81,31.84,31.66,30.22,26.88,23.66,21.62,20.62,19.53,19.44,21.19,23.78,25.72,26.66,28.0,29.53,29.91,29.38,28.62,28.47,28.06,26.78,25.62,25.66,26.16,25.16,23.94,22.75,21.59,19.59,17.38,15.78,14.97,14.47,12.78,11.97,12.16,12.97,13.09,13.94,15.47,17.19,18.22,18.72,19.69,21.0,21.69,21.5,21.75,22.69,23.75,23.81,23.66,23.81,23.47,21.12,17.97,15.28,13.44,11.09,8.91,8.06,8.53,8.53,8.06,8.44,9.94,12.03,12.84,13.81,15.16,16.22,15.84,15.22,15.34,15.97,15.81,15.28,14.59,14.53,13.81,11.81,10.38,9.75,9.44,8.28,7.88,8.94,11.0,12.38,13.53,15.47,17.78,19.5,20.09,21.19,22.62,22.94,21.91,20.88,20.53,20.34,19.03,18.25,18.12,18.66,18.47,17.69,17.47,17.47,16.69,15.34,14.56,14.69,14.97,14.25,13.88,14.09,14.69,14.19,13.5,13.69,14.56,15.31,16.03,17.62,20.25,21.84,22.12,22.47,23.66,24.44,24.41,24.28,24.88,25.59,25.09,24.47,24.38,25.09,24.91,24.41,24.56,25.28,25.75,25.56,25.47,26.34,26.94,26.59,26.41,26.78,26.56,25.53,24.12,23.0,22.91,22.66,21.94,21.62,21.97,21.97,20.66,19.69,19.91,20.78,21.16,21.62,23.25,25.19,26.41,27.09,28.19,29.62,29.22,27.34,24.59,22.25,19.69,16.34,13.91,13.19,13.22,12.72,12.38,13.16,14.0,14.16,13.78,13.94,15.44,16.59,17.19,18.31,19.88,20.97,20.81,20.06,19.78,19.81,18.94,17.62,17.41,17.88,17.78,17.28,17.41,18.88,20.09,20.88,21.19,22.44,23.31,23.38,23.16,23.91,24.53,24.41,23.91,24.25,24.91,24.94,24.5,24.12,25.25,26.06,26.41,26.97,28.16,28.81,27.97,26.69,25.94,25.53,24.78,24.59,25.38,27.19,28.62,29.06,29.16,30.03,30.59,30.69,30.12,31.06,31.78,31.88,31.91,32.28,33.47,33.41,32.44,31.72,31.66,31.19,30.41,30.06,31.25,31.72,31.47,31.09,31.16,31.09,30.19,28.41,27.62,27.31,26.88,26.69,26.91,28.38,29.72,29.78,30.16,31.38,32.31,32.47,31.84,31.91,31.59,30.75,29.19,28.47,28.5,28.78,28.44,28.53,29.25,29.69,29.25,28.56,29.19,29.69,29.59,29.25,29.03,28.88,28.25,26.84,26.03,25.75,25.31,23.97,22.97,23.19,23.88,24.41,24.66,25.78,26.75,26.53,25.38,24.81,24.5,23.78,22.47,22.25,22.88,23.22,23.38,23.47,24.16,24.06,23.16,21.84,21.31,21.12,20.66,19.84,20.06,20.69,21.44,21.34,21.41,22.47,23.09,22.62,22.22,22.53,22.84,22.28,22.16,23.03,23.91,24.25,23.16,22.16,21.06,19.62,17.5,16.28,16.09,16.38,16.34,16.47,17.25,18.09,18.0,17.88,18.44,19.72,21.12,21.91,23.19,25.09,26.56,27.0,26.91,27.25,27.06,26.03,24.62,24.12,24.0,23.81,23.22,23.53,24.44,25.31,25.25,25.47,26.44,26.97,26.53,26.34,26.31,26.91,26.41,26.03,26.53,27.03,27.09,26.25,25.44,24.69,23.47,21.19,19.25,17.66,17.34,17.0,17.78,20.16,22.78,24.5,25.06,25.94,27.06,27.56,27.88,28.47,29.0,29.5,28.62,27.62,27.25,27.12,26.06,25.34,25.28,25.44,24.88,23.38,22.75,22.38,21.38,20.0,19.25,18.53,17.75,16.28,15.53,15.75,16.88,17.56,18.28,19.66,20.81,21.47,21.62,22.12,23.0,24.09,24.75,25.97,27.19,27.81,26.5,24.31,21.66,19.88,18.19,16.66,16.66,17.44,17.91,17.59,17.22,17.34,17.28,16.5,16.59,17.78,19.66,21.28,23.03,25.22,27.62,29.06,29.78,31.12,32.34,33.06,32.56,32.41,32.22,31.72,30.25,28.69,27.66,26.47,24.81,23.91,23.81,23.91,23.66,22.72,21.84,20.91,19.69,18.0,16.81,16.62,16.72,16.28,16.31,17.22,18.44,19.47,20.47,21.75,23.22,23.72,23.62,23.53,23.88,23.66,23.0,21.94,21.03,19.75,17.0,14.06,12.0,10.12,8.28,6.66,5.5,4.91,4.34,3.44,2.91,3.5,4.31,5.03,6.56,8.94,12.06,14.78,17.03,19.69,22.25,23.81,23.88,23.69,23.88,23.09,21.62,20.47,20.16,19.59,17.62,15.16,13.09,10.78,8.16,6.0,5.47,6.25,6.75,7.81,9.34,11.78,14.12,15.56,17.22,19.59,21.69,22.69,23.88,25.44,26.88,27.22,26.66,26.19,25.59,24.41,22.34,19.94,18.66,16.59,14.38,12.69,12.31,12.28,11.5,10.31,9.53,9.31,8.91,9.09,10.47,12.56,14.28,15.03,15.0,14.94,14.69,13.31,12.09,12.53,13.56,13.72,13.81,14.38,14.78,14.16,12.88,11.75,11.44,10.72,9.69,9.38,10.25,10.81,10.66,10.47,10.41,10.31,9.19,8.12,7.25,7.22,7.31,6.94,6.97,7.66,8.41,8.47,8.47,9.91,11.91,13.78,14.66,15.78,16.44,15.5,13.34,11.84,11.34,10.62,9.97,9.5,10.06,10.5,9.94,9.62,10.22,11.09,11.88,13.19,15.56,17.59,18.38,17.97,17.38,17.19,17.09,17.25,17.84,19.34,19.97,18.97,17.25,16.03,15.25,14.28,13.53,13.75,14.62,14.66,14.44,14.25,14.78,15.47,15.97,16.09,16.69,17.38,16.75,16.16,16.91,18.06,18.72,18.5,18.5,18.09,16.97,15.28,13.81,13.5,13.88,14.12,14.75,16.69,18.66,20.28,21.41,23.44,25.53,26.84,26.97,27.16,27.84,28.06,28.06,28.19,29.0,29.84,29.59,28.84,29.0,29.44,28.88,27.56,27.28,27.25,26.62,25.12,23.44,22.0,20.06,17.5,15.69,15.66,17.12,18.28,19.72,22.34,24.12,24.28,22.78,21.5,20.0,18.06,15.66,13.94,12.88,11.47,9.19,7.0,5.69,4.97,3.97,3.41,4.62,6.75,8.69,10.34,12.66,15.62,18.06,19.38,20.75,22.06,23.19,23.16,22.91,24.34,26.41,27.25,27.22,27.19,26.28,23.16,18.69,14.19,10.09,6.59,2.88,0.34,0.03,0.62,1.69,3.5,6.44,9.47,11.34,12.44,13.53,14.62,15.19,14.53,14.22,14.25,13.88,12.62,11.5,11.69,12.06,11.47,10.34,10.0,10.03,9.06,8.25,8.44,9.38,10.0,9.34,9.06,9.19,9.22,8.72,9.28,11.12,13.41,14.75,15.78,17.31,18.66,19.59,19.44,56.34,57.53,58.91,60.78,62.47,63.56,63.62,62.62,60.75,58.78,56.25,53.94,51.62,50.41:15.03,17.0,18.59,20.81,23.47,25.59,26.66,27.44,28.81,30.84,32.16,33.53,35.38,37.0,37.41,36.31,34.72,33.03,31.97,30.78,30.94,32.22,33.47,33.12,31.19,29.0,26.78,23.75,21.19,20.16,20.78,22.56,24.97,28.88,33.75,39.06,42.47,44.5,45.44,44.84,42.03,38.72,36.16,34.44,32.88,31.88,31.25,31.75,32.31,32.16,32.75,33.81,35.53,35.78,35.66,35.94,35.81,34.62,32.94,31.88,31.38,30.56,30.0,30.56,32.06,33.81,34.75,35.31,36.53,37.59,37.66,37.72,38.38,39.12,39.03,38.03,36.78,35.97,34.19,31.75,29.38,27.81,26.28,24.41,22.91,22.5,22.09,21.0,19.47,18.66,18.88,19.31,20.16,21.75,24.06,26.16,27.31,27.88,29.22,30.12,29.69,29.0,28.31,27.84,26.22,24.72,23.81,23.94,23.97,24.19,25.03,26.78,28.97,30.22,31.06,32.38,33.19,32.5,31.62,30.25,29.47,28.0,26.59,25.59,25.72,25.94,25.22,24.44,24.47,24.47,23.41,22.09,21.81,21.44,19.88,18.06,16.62,15.25,13.69,12.31,11.47,12.09,12.59,12.69,12.38,13.03,13.16,12.78,12.5,13.06,13.97,15.12,16.22,18.03,21.0,23.62,25.34,26.72,28.31,29.22,28.75,27.94,27.22,25.88,23.16,20.16,17.88,16.75,16.38,16.25,16.97,18.88,20.31,20.66,20.47,21.09,21.53,21.19,21.19,21.94,23.0,22.84,21.97,21.28,20.94,20.69,20.62,21.12,22.81,24.5,24.84,24.5,24.19,22.91,20.75,19.0,18.22,18.84,20.16,21.91,24.41,27.59,30.34,32.09,33.31,34.75,35.53,35.25,34.28,34.31,33.75,32.53,31.06,29.94,29.09,27.59,25.12,23.06,21.38,19.31,17.12,15.03,13.97,13.09,12.12,11.38,12.12,13.25,14.03,14.38,15.19,16.66,17.78,18.38,19.75,21.78,23.53,24.12,24.41,24.69,24.62,23.28,21.84,21.31,21.16,21.16,20.28,19.47,18.47,16.59,14.19,12.66,12.56,13.53,13.88,13.81,14.53,14.5,13.97,13.59,14.78,17.41,20.62,23.59,27.72,31.81,34.97,36.09,35.56,34.12,31.41,26.91,22.34,19.19,17.38,16.06,15.31,16.09,17.66,19.5,20.28,21.53,22.81,23.69,23.78,24.34,25.81,27.44,28.16,27.72,27.47,26.94,25.81,24.16,23.66,23.88,24.44,23.97,23.66,23.94,23.75,22.69,22.53,23.72,25.41,26.62,26.94,26.75,26.47,25.12,22.78,21.78,21.91,22.56,23.0,24.44,26.47,28.41,28.69,27.78,26.88,26.34,25.5,25.12,26.59,29.09,31.25,31.81,31.84,31.66,30.22,26.88,23.66,21.62,20.62,19.53,19.44,21.19,23.78,25.72,26.66,28.0,29.53,29.91,29.38,28.62,28.47,28.06,26.78,25.62,25.66,26.16,25.16,23.94,22.75,21.59,19.59,17.38,15.78,14.97,14.47,12.78,11.97,12.16,12.97,13.09,13.94,15.47,17.19,18.22,18.72,19.69,21.0,21.69,21.5,21.75,22.69,23.75,23.81,23.66,23.81,23.47,21.12,17.97,15.28,13.44,11.09,8.91,8.06,8.53,8.53,8.06,8.44,9.94,12.03,12.84,13.81,15.16,16.22,15.84,15.22,15.34,15.97,15.81,15.28,14.59,14.53,13.81,11.81,10.38,9.75,9.44,8.28,7.88,8.94,11.0,12.38,13.53,15.47,17.78,19.5,20.09,21.19,22.62,22.94,21.91,20.88,20.53,20.34,19.03,18.25,18.12,18.66,18.47,17.69,17.47,17.47,16.69,15.34,14.56,14.69,14.97,14.25,13.88,14.09,14.69,14.19,13.5,13.69,14.56,15.31,16.03,17.62,20.25,21.84,22.12,22.47,23.66,24.44,24.41,24.28,24.88,25.59,25.09,24.47,24.38,25.09,24.91,24.41,24.56,25.28,25.75,25.56,25.47,26.34,26.94,26.59,26.41,26.78,26.56,25.53,24.12,23.0,22.91,22.66,21.94,21.62,21.97,21.97,20.66,19.69,19.91,20.78,21.16,21.62,23.25,25.19,26.41,27.09,28.19,29.62,29.22,27.34,24.59,22.25,19.69,16.34,13.91,13.19,13.22,12.72,12.38,13.16,14.0,14.16,13.78,13.94,15.44,16.59,17.19,18.31,19.88,20.97,20.81,20.06,19.78,19.81,18.94,17.62,17.41,17.88,17.78,17.28,17.41,18.88,20.09,20.88,21.19,22.44,23.31,23.38,23.16,23.91,24.53,24.41,23.91,24.25,24.91,24.94,24.5,24.12,25.25,26.06,26.41,26.97,28.16,28.81,27.97,26.69,25.94,25.53,24.78,24.59,25.38,27.19,28.62,29.06,29.16,30.03,30.59,30.69,30.12,31.06,31.78,31.88,31.91,32.28,33.47,33.41,32.44,31.72,31.66,31.19,30.41,30.06,31.25,31.72,31.47,31.09,31.16,31.09,30.19,28.41,27.62,27.31,26.88,26.69,26.91,28.38,29.72,29.78,30.16,31.38,32.31,32.47,31.84,31.91,31.59,30.75,29.19,28.47,28.5,28.78,28.44,28.53,29.25,29.69,29.25,28.56,29.19,29.69,29.59,29.25,29.03,28.88,28.25,26.84,26.03,25.75,25.31,23.97,22.97,23.19,23.88,24.41,24.66,25.78,26.75,26.53,25.38,24.81,24.5,23.78,22.47,22.25,22.88,23.22,23.38,23.47,24.16,24.06,23.16,21.84,21.31,21.12,20.66,19.84,20.06,20.69,21.44,21.34,21.41,22.47,23.09,22.62,22.22,22.53,22.84,22.28,22.16,23.03,23.91,24.25,23.16,22.16,21.06,19.62,17.5,16.28,16.09,16.38,16.34,16.47,17.25,18.09,18.0,17.88,18.44,19.72,21.12,21.91,23.19,25.09,26.56,27.0,26.91,27.25,27.06,26.03,24.62,24.12,24.0,23.81,23.22,23.53,24.44,25.31,25.25,25.47,26.44,26.97,26.53,26.34,26.31,26.91,26.41,26.03,26.53,27.03,27.09,26.25,25.44,24.69,23.47,21.19,19.25,17.66,17.34,17.0,17.78,20.16,22.78,24.5,25.06,25.94,27.06,27.56,27.88,28.47,29.0,29.5,28.62,27.62,27.25,27.12,26.06,25.34,25.28,25.44,24.88,23.38,22.75,22.38,21.38,20.0,19.25,18.53,17.75,16.28,15.53,15.75,16.88,17.56,18.28,19.66,20.81,21.47,21.62,22.12,23.0,24.09,24.75,25.97,27.19,27.81,26.5,24.31,21.66,19.88,18.19,16.66,16.66,17.44,17.91,17.59,17.22,17.34,17.28,16.5,16.59,17.78,19.66,21.28,23.03,25.22,27.62,29.06,29.78,31.12,32.34,33.06,32.56,32.41,32.22,31.72,30.25,28.69,27.66,26.47,24.81,23.91,23.81,23.91,23.66,22.72,21.84,20.91,19.69,18.0,16.81,16.62,16.72,16.28,16.31,17.22,18.44,19.47,20.47,21.75,23.22,23.72,23.62,23.53,23.88,23.66,23.0,21.94,21.03,19.75,17.0,14.06,12.0,10.12,8.28,6.66,5.5,4.91,4.34,3.44,2.91,3.5,4.31,5.03,6.56,8.94,12.06,14.78,17.03,19.69,22.25,23.81,23.88,23.69,23.88,23.09,21.62,20.47,20.16,19.59,17.62,15.16,13.09,10.78,8.16,6.0,5.47,6.25,6.75,7.81,9.34,11.78,14.12,15.56,17.22,19.59,21.69,22.69,23.88,25.44,26.88,27.22,26.66,26.19,25.59,24.41,22.34,19.94,18.66,16.59,14.38,12.69,12.31,12.28,11.5,10.31,9.53,9.31,8.91,9.09,10.47,12.56,14.28,15.03,15.0,14.94,14.69,13.31,12.09,12.53,13.56,13.72,13.81,14.38,14.78,14.16,12.88,11.75,11.44,10.72,9.69,9.38,10.25,10.81,10.66,10.47,10.41,10.31,9.19,8.12,7.25,7.22,7.31,6.94,6.97,7.66,8.41,8.47,8.47,9.91,11.91,13.78,14.66,15.78,16.44,15.5,13.34,11.84,11.34,10.62,9.97,9.5,10.06,10.5,9.94,9.62,10.22,11.09,11.88,13.19,15.56,17.59,18.38,17.97,17.38,17.19,17.09,17.25,17.84,19.34,19.97,18.97,17.25,16.03,15.25,14.28,13.53,13.75,14.62,14.66,14.44,14.25,14.78,15.47,15.97,16.09,16.69,17.38,16.75,16.16,16.91,18.06,18.72,18.5,18.5,18.09,16.97,15.28,13.81,13.5,13.88,14.12,14.75,16.69,18.66,20.28,21.41,23.44,25.53,26.84,26.97,27.16,27.84,28.06,28.06,28.19,29.0,29.84,29.59,28.84,29.0,29.44,28.88,27.56,27.28,27.25,26.62,25.12,23.44,22.0,20.06,17.5,15.69,15.66,17.12,18.28,19.72,22.34,24.12,24.28,22.78,21.5,20.0,18.06,15.66,13.94,12.88,11.47,9.19,7.0,5.69,4.97,3.97,3.41,4.62,6.75,8.69,10.34,12.66,15.62,18.06,19.38,20.75,22.06,23.19,23.16,22.91,24.34,26.41,27.25,27.22,27.19,26.28,23.16,18.69,14.19,10.09,6.59,2.88,0.34,0.03,0.62,1.69,3.5,6.44,9.47,11.34,12.44,13.53,14.62,15.19,14.53,14.22,14.25,13.88,12.62,11.5,11.69,12.06,11.47,10.34,10.0,10.03,9.06,8.25,8.44,9.38,10.0,9.34,9.06,9.19,9.22,8.72,9.28,11.12,13.41,14.75,15.78,17.31,18.66,19.59,19.44,56.34,57.53,58.91,60.78,62.47,63.56,63.62,62.62,60.75,58.78,56.25,53.94,51.62,50.41,49.0,48.25,47.59,46.81,46.19,45.53,45.25:27.44,28.81,30.84,32.16,33.53,35.38,37.0,37.41,36.31,34.72,33.03,31.97,30.78,30.94,32.22,33.47,33.12,31.19,29.0,26.78,23.75,21.19,20.16,20.78,22.56,24.97,28.88,33.75,39.06,42.47,44.5,45.44,44.84,42.03,38.72,36.16,34.44,32.88,31.88,31.25,31.75,32.31,32.16,32.75,33.81,35.53,35.78,35.66,35.94,35.81,34.62,32.94,31.88,31.38,30.56,30.0,30.56,32.06,33.81,34.75,35.31,36.53,37.59,37.66,37.72,38.38,39.12,39.03,38.03,36.78,35.97,34.19,31.75,29.38,27.81,26.28,24.41,22.91,22.5,22.09,21.0,19.47,18.66,18.88,19.31,20.16,21.75,24.06,26.16,27.31,27.88,29.22,30.12,29.69,29.0,28.31,27.84,26.22,24.72,23.81,23.94,23.97,24.19,25.03,26.78,28.97,30.22,31.06,32.38,33.19,32.5,31.62,30.25,29.47,28.0,26.59,25.59,25.72,25.94,25.22,24.44,24.47,24.47,23.41,22.09,21.81,21.44,19.88,18.06,16.62,15.25,13.69,12.31,11.47,12.09,12.59,12.69,12.38,13.03,13.16,12.78,12.5,13.06,13.97,15.12,16.22,18.03,21.0,23.62,25.34,26.72,28.31,29.22,28.75,27.94,27.22,25.88,23.16,20.16,17.88,16.75,16.38,16.25,16.97,18.88,20.31,20.66,20.47,21.09,21.53,21.19,21.19,21.94,23.0,22.84,21.97,21.28,20.94,20.69,20.62,21.12,22.81,24.5,24.84,24.5,24.19,22.91,20.75,19.0,18.22,18.84,20.16,21.91,24.41,27.59,30.34,32.09,33.31,34.75,35.53,35.25,34.28,34.31,33.75,32.53,31.06,29.94,29.09,27.59,25.12,23.06,21.38,19.31,17.12,15.03,13.97,13.09,12.12,11.38,12.12,13.25,14.03,14.38,15.19,16.66,17.78,18.38,19.75,21.78,23.53,24.12,24.41,24.69,24.62,23.28,21.84,21.31,21.16,21.16,20.28,19.47,18.47,16.59,14.19,12.66,12.56,13.53,13.88,13.81,14.53,14.5,13.97,13.59,14.78,17.41,20.62,23.59,27.72,31.81,34.97,36.09,35.56,34.12,31.41,26.91,22.34,19.19,17.38,16.06,15.31,16.09,17.66,19.5,20.28,21.53,22.81,23.69,23.78,24.34,25.81,27.44,28.16,27.72,27.47,26.94,25.81,24.16,23.66,23.88,24.44,23.97,23.66,23.94,23.75,22.69,22.53,23.72,25.41,26.62,26.94,26.75,26.47,25.12,22.78,21.78,21.91,22.56,23.0,24.44,26.47,28.41,28.69,27.78,26.88,26.34,25.5,25.12,26.59,29.09,31.25,31.81,31.84,31.66,30.22,26.88,23.66,21.62,20.62,19.53,19.44,21.19,23.78,25.72,26.66,28.0,29.53,29.91,29.38,28.62,28.47,28.06,26.78,25.62,25.66,26.16,25.16,23.94,22.75,21.59,19.59,17.38,15.78,14.97,14.47,12.78,11.97,12.16,12.97,13.09,13.94,15.47,17.19,18.22,18.72,19.69,21.0,21.69,21.5,21.75,22.69,23.75,23.81,23.66,23.81,23.47,21.12,17.97,15.28,13.44,11.09,8.91,8.06,8.53,8.53,8.06,8.44,9.94,12.03,12.84,13.81,15.16,16.22,15.84,15.22,15.34,15.97,15.81,15.28,14.59,14.53,13.81,11.81,10.38,9.75,9.44,8.28,7.88,8.94,11.0,12.38,13.53,15.47,17.78,19.5,20.09,21.19,22.62,22.94,21.91,20.88,20.53,20.34,19.03,18.25,18.12,18.66,18.47,17.69,17.47,17.47,16.69,15.34,14.56,14.69,14.97,14.25,13.88,14.09,14.69,14.19,13.5,13.69,14.56,15.31,16.03,17.62,20.25,21.84,22.12,22.47,23.66,24.44,24.41,24.28,24.88,25.59,25.09,24.47,24.38,25.09,24.91,24.41,24.56,25.28,25.75,25.56,25.47,26.34,26.94,26.59,26.41,26.78,26.56,25.53,24.12,23.0,22.91,22.66,21.94,21.62,21.97,21.97,20.66,19.69,19.91,20.78,21.16,21.62,23.25,25.19,26.41,27.09,28.19,29.62,29.22,27.34,24.59,22.25,19.69,16.34,13.91,13.19,13.22,12.72,12.38,13.16,14.0,14.16,13.78,13.94,15.44,16.59,17.19,18.31,19.88,20.97,20.81,20.06,19.78,19.81,18.94,17.62,17.41,17.88,17.78,17.28,17.41,18.88,20.09,20.88,21.19,22.44,23.31,23.38,23.16,23.91,24.53,24.41,23.91,24.25,24.91,24.94,24.5,24.12,25.25,26.06,26.41,26.97,28.16,28.81,27.97,26.69,25.94,25.53,24.78,24.59,25.38,27.19,28.62,29.06,29.16,30.03,30.59,30.69,30.12,31.06,31.78,31.88,31.91,32.28,33.47,33.41,32.44,31.72,31.66,31.19,30.41,30.06,31.25,31.72,31.47,31.09,31.16,31.09,30.19,28.41,27.62,27.31,26.88,26.69,26.91,28.38,29.72,29.78,30.16,31.38,32.31,32.47,31.84,31.91,31.59,30.75,29.19,28.47,28.5,28.78,28.44,28.53,29.25,29.69,29.25,28.56,29.19,29.69,29.59,29.25,29.03,28.88,28.25,26.84,26.03,25.75,25.31,23.97,22.97,23.19,23.88,24.41,24.66,25.78,26.75,26.53,25.38,24.81,24.5,23.78,22.47,22.25,22.88,23.22,23.38,23.47,24.16,24.06,23.16,21.84,21.31,21.12,20.66,19.84,20.06,20.69,21.44,21.34,21.41,22.47,23.09,22.62,22.22,22.53,22.84,22.28,22.16,23.03,23.91,24.25,23.16,22.16,21.06,19.62,17.5,16.28,16.09,16.38,16.34,16.47,17.25,18.09,18.0,17.88,18.44,19.72,21.12,21.91,23.19,25.09,26.56,27.0,26.91,27.25,27.06,26.03,24.62,24.12,24.0,23.81,23.22,23.53,24.44,25.31,25.25,25.47,26.44,26.97,26.53,26.34,26.31,26.91,26.41,26.03,26.53,27.03,27.09,26.25,25.44,24.69,23.47,21.19,19.25,17.66,17.34,17.0,17.78,20.16,22.78,24.5,25.06,25.94,27.06,27.56,27.88,28.47,29.0,29.5,28.62,27.62,27.25,27.12,26.06,25.34,25.28,25.44,24.88,23.38,22.75,22.38,21.38,20.0,19.25,18.53,17.75,16.28,15.53,15.75,16.88,17.56,18.28,19.66,20.81,21.47,21.62,22.12,23.0,24.09,24.75,25.97,27.19,27.81,26.5,24.31,21.66,19.88,18.19,16.66,16.66,17.44,17.91,17.59,17.22,17.34,17.28,16.5,16.59,17.78,19.66,21.28,23.03,25.22,27.62,29.06,29.78,31.12,32.34,33.06,32.56,32.41,32.22,31.72,30.25,28.69,27.66,26.47,24.81,23.91,23.81,23.91,23.66,22.72,21.84,20.91,19.69,18.0,16.81,16.62,16.72,16.28,16.31,17.22,18.44,19.47,20.47,21.75,23.22,23.72,23.62,23.53,23.88,23.66,23.0,21.94,21.03,19.75,17.0,14.06,12.0,10.12,8.28,6.66,5.5,4.91,4.34,3.44,2.91,3.5,4.31,5.03,6.56,8.94,12.06,14.78,17.03,19.69,22.25,23.81,23.88,23.69,23.88,23.09,21.62,20.47,20.16,19.59,17.62,15.16,13.09,10.78,8.16,6.0,5.47,6.25,6.75,7.81,9.34,11.78,14.12,15.56,17.22,19.59,21.69,22.69,23.88,25.44,26.88,27.22,26.66,26.19,25.59,24.41,22.34,19.94,18.66,16.59,14.38,12.69,12.31,12.28,11.5,10.31,9.53,9.31,8.91,9.09,10.47,12.56,14.28,15.03,15.0,14.94,14.69,13.31,12.09,12.53,13.56,13.72,13.81,14.38,14.78,14.16,12.88,11.75,11.44,10.72,9.69,9.38,10.25,10.81,10.66,10.47,10.41,10.31,9.19,8.12,7.25,7.22,7.31,6.94,6.97,7.66,8.41,8.47,8.47,9.91,11.91,13.78,14.66,15.78,16.44,15.5,13.34,11.84,11.34,10.62,9.97,9.5,10.06,10.5,9.94,9.62,10.22,11.09,11.88,13.19,15.56,17.59,18.38,17.97,17.38,17.19,17.09,17.25,17.84,19.34,19.97,18.97,17.25,16.03,15.25,14.28,13.53,13.75,14.62,14.66,14.44,14.25,14.78,15.47,15.97,16.09,16.69,17.38,16.75,16.16,16.91,18.06,18.72,18.5,18.5,18.09,16.97,15.28,13.81,13.5,13.88,14.12,14.75,16.69,18.66,20.28,21.41,23.44,25.53,26.84,26.97,27.16,27.84,28.06,28.06,28.19,29.0,29.84,29.59,28.84,29.0,29.44,28.88,27.56,27.28,27.25,26.62,25.12,23.44,22.0,20.06,17.5,15.69,15.66,17.12,18.28,19.72,22.34,24.12,24.28,22.78,21.5,20.0,18.06,15.66,13.94,12.88,11.47,9.19,7.0,5.69,4.97,3.97,3.41,4.62,6.75,8.69,10.34,12.66,15.62,18.06,19.38,20.75,22.06,23.19,23.16,22.91,24.34,26.41,27.25,27.22,27.19,26.28,23.16,18.69,14.19,10.09,6.59,2.88,0.34,0.03,0.62,1.69,3.5,6.44,9.47,11.34,12.44,13.53,14.62,15.19,14.53,14.22,14.25,13.88,12.62,11.5,11.69,12.06,11.47,10.34,10.0,10.03,9.06,8.25,8.44,9.38,10.0,9.34,9.06,9.19,9.22,8.72,9.28,11.12,13.41,14.75,15.78,17.31,18.66,19.59,19.44,56.34,57.53,58.91,60.78,62.47,63.56,63.62,62.62,60.75,58.78,56.25,53.94,51.62,50.41,49.0,48.25,47.59,46.81,46.19,45.53,45.25,45.38,46.72,48.28,50.34,52.25,54.09,55.59:37.41,36.31,34.72,33.03,31.97,30.78,30.94,32.22,33.47,33.12,31.19,29.0,26.78,23.75,21.19,20.16,20.78,22.56,24.97,28.88,33.75,39.06,42.47,44.5,45.44,44.84,42.03,38.72,36.16,34.44,32.88,31.88,31.25,31.75,32.31,32.16,32.75,33.81,35.53,35.78,35.66,35.94,35.81,34.62,32.94,31.88,31.38,30.56,30.0,30.56,32.06,33.81,34.75,35.31,36.53,37.59,37.66,37.72,38.38,39.12,39.03,38.03,36.78,35.97,34.19,31.75,29.38,27.81,26.28,24.41,22.91,22.5,22.09,21.0,19.47,18.66,18.88,19.31,20.16,21.75,24.06,26.16,27.31,27.88,29.22,30.12,29.69,29.0,28.31,27.84,26.22,24.72,23.81,23.94,23.97,24.19,25.03,26.78,28.97,30.22,31.06,32.38,33.19,32.5,31.62,30.25,29.47,28.0,26.59,25.59,25.72,25.94,25.22,24.44,24.47,24.47,23.41,22.09,21.81,21.44,19.88,18.06,16.62,15.25,13.69,12.31,11.47,12.09,12.59,12.69,12.38,13.03,13.16,12.78,12.5,13.06,13.97,15.12,16.22,18.03,21.0,23.62,25.34,26.72,28.31,29.22,28.75,27.94,27.22,25.88,23.16,20.16,17.88,16.75,16.38,16.25,16.97,18.88,20.31,20.66,20.47,21.09,21.53,21.19,21.19,21.94,23.0,22.84,21.97,21.28,20.94,20.69,20.62,21.12,22.81,24.5,24.84,24.5,24.19,22.91,20.75,19.0,18.22,18.84,20.16,21.91,24.41,27.59,30.34,32.09,33.31,34.75,35.53,35.25,34.28,34.31,33.75,32.53,31.06,29.94,29.09,27.59,25.12,23.06,21.38,19.31,17.12,15.03,13.97,13.09,12.12,11.38,12.12,13.25,14.03,14.38,15.19,16.66,17.78,18.38,19.75,21.78,23.53,24.12,24.41,24.69,24.62,23.28,21.84,21.31,21.16,21.16,20.28,19.47,18.47,16.59,14.19,12.66,12.56,13.53,13.88,13.81,14.53,14.5,13.97,13.59,14.78,17.41,20.62,23.59,27.72,31.81,34.97,36.09,35.56,34.12,31.41,26.91,22.34,19.19,17.38,16.06,15.31,16.09,17.66,19.5,20.28,21.53,22.81,23.69,23.78,24.34,25.81,27.44,28.16,27.72,27.47,26.94,25.81,24.16,23.66,23.88,24.44,23.97,23.66,23.94,23.75,22.69,22.53,23.72,25.41,26.62,26.94,26.75,26.47,25.12,22.78,21.78,21.91,22.56,23.0,24.44,26.47,28.41,28.69,27.78,26.88,26.34,25.5,25.12,26.59,29.09,31.25,31.81,31.84,31.66,30.22,26.88,23.66,21.62,20.62,19.53,19.44,21.19,23.78,25.72,26.66,28.0,29.53,29.91,29.38,28.62,28.47,28.06,26.78,25.62,25.66,26.16,25.16,23.94,22.75,21.59,19.59,17.38,15.78,14.97,14.47,12.78,11.97,12.16,12.97,13.09,13.94,15.47,17.19,18.22,18.72,19.69,21.0,21.69,21.5,21.75,22.69,23.75,23.81,23.66,23.81,23.47,21.12,17.97,15.28,13.44,11.09,8.91,8.06,8.53,8.53,8.06,8.44,9.94,12.03,12.84,13.81,15.16,16.22,15.84,15.22,15.34,15.97,15.81,15.28,14.59,14.53,13.81,11.81,10.38,9.75,9.44,8.28,7.88,8.94,11.0,12.38,13.53,15.47,17.78,19.5,20.09,21.19,22.62,22.94,21.91,20.88,20.53,20.34,19.03,18.25,18.12,18.66,18.47,17.69,17.47,17.47,16.69,15.34,14.56,14.69,14.97,14.25,13.88,14.09,14.69,14.19,13.5,13.69,14.56,15.31,16.03,17.62,20.25,21.84,22.12,22.47,23.66,24.44,24.41,24.28,24.88,25.59,25.09,24.47,24.38,25.09,24.91,24.41,24.56,25.28,25.75,25.56,25.47,26.34,26.94,26.59,26.41,26.78,26.56,25.53,24.12,23.0,22.91,22.66,21.94,21.62,21.97,21.97,20.66,19.69,19.91,20.78,21.16,21.62,23.25,25.19,26.41,27.09,28.19,29.62,29.22,27.34,24.59,22.25,19.69,16.34,13.91,13.19,13.22,12.72,12.38,13.16,14.0,14.16,13.78,13.94,15.44,16.59,17.19,18.31,19.88,20.97,20.81,20.06,19.78,19.81,18.94,17.62,17.41,17.88,17.78,17.28,17.41,18.88,20.09,20.88,21.19,22.44,23.31,23.38,23.16,23.91,24.53,24.41,23.91,24.25,24.91,24.94,24.5,24.12,25.25,26.06,26.41,26.97,28.16,28.81,27.97,26.69,25.94,25.53,24.78,24.59,25.38,27.19,28.62,29.06,29.16,30.03,30.59,30.69,30.12,31.06,31.78,31.88,31.91,32.28,33.47,33.41,32.44,31.72,31.66,31.19,30.41,30.06,31.25,31.72,31.47,31.09,31.16,31.09,30.19,28.41,27.62,27.31,26.88,26.69,26.91,28.38,29.72,29.78,30.16,31.38,32.31,32.47,31.84,31.91,31.59,30.75,29.19,28.47,28.5,28.78,28.44,28.53,29.25,29.69,29.25,28.56,29.19,29.69,29.59,29.25,29.03,28.88,28.25,26.84,26.03,25.75,25.31,23.97,22.97,23.19,23.88,24.41,24.66,25.78,26.75,26.53,25.38,24.81,24.5,23.78,22.47,22.25,22.88,23.22,23.38,23.47,24.16,24.06,23.16,21.84,21.31,21.12,20.66,19.84,20.06,20.69,21.44,21.34,21.41,22.47,23.09,22.62,22.22,22.53,22.84,22.28,22.16,23.03,23.91,24.25,23.16,22.16,21.06,19.62,17.5,16.28,16.09,16.38,16.34,16.47,17.25,18.09,18.0,17.88,18.44,19.72,21.12,21.91,23.19,25.09,26.56,27.0,26.91,27.25,27.06,26.03,24.62,24.12,24.0,23.81,23.22,23.53,24.44,25.31,25.25,25.47,26.44,26.97,26.53,26.34,26.31,26.91,26.41,26.03,26.53,27.03,27.09,26.25,25.44,24.69,23.47,21.19,19.25,17.66,17.34,17.0,17.78,20.16,22.78,24.5,25.06,25.94,27.06,27.56,27.88,28.47,29.0,29.5,28.62,27.62,27.25,27.12,26.06,25.34,25.28,25.44,24.88,23.38,22.75,22.38,21.38,20.0,19.25,18.53,17.75,16.28,15.53,15.75,16.88,17.56,18.28,19.66,20.81,21.47,21.62,22.12,23.0,24.09,24.75,25.97,27.19,27.81,26.5,24.31,21.66,19.88,18.19,16.66,16.66,17.44,17.91,17.59,17.22,17.34,17.28,16.5,16.59,17.78,19.66,21.28,23.03,25.22,27.62,29.06,29.78,31.12,32.34,33.06,32.56,32.41,32.22,31.72,30.25,28.69,27.66,26.47,24.81,23.91,23.81,23.91,23.66,22.72,21.84,20.91,19.69,18.0,16.81,16.62,16.72,16.28,16.31,17.22,18.44,19.47,20.47,21.75,23.22,23.72,23.62,23.53,23.88,23.66,23.0,21.94,21.03,19.75,17.0,14.06,12.0,10.12,8.28,6.66,5.5,4.91,4.34,3.44,2.91,3.5,4.31,5.03,6.56,8.94,12.06,14.78,17.03,19.69,22.25,23.81,23.88,23.69,23.88,23.09,21.62,20.47,20.16,19.59,17.62,15.16,13.09,10.78,8.16,6.0,5.47,6.25,6.75,7.81,9.34,11.78,14.12,15.56,17.22,19.59,21.69,22.69,23.88,25.44,26.88,27.22,26.66,26.19,25.59,24.41,22.34,19.94,18.66,16.59,14.38,12.69,12.31,12.28,11.5,10.31,9.53,9.31,8.91,9.09,10.47,12.56,14.28,15.03,15.0,14.94,14.69,13.31,12.09,12.53,13.56,13.72,13.81,14.38,14.78,14.16,12.88,11.75,11.44,10.72,9.69,9.38,10.25,10.81,10.66,10.47,10.41,10.31,9.19,8.12,7.25,7.22,7.31,6.94,6.97,7.66,8.41,8.47,8.47,9.91,11.91,13.78,14.66,15.78,16.44,15.5,13.34,11.84,11.34,10.62,9.97,9.5,10.06,10.5,9.94,9.62,10.22,11.09,11.88,13.19,15.56,17.59,18.38,17.97,17.38,17.19,17.09,17.25,17.84,19.34,19.97,18.97,17.25,16.03,15.25,14.28,13.53,13.75,14.62,14.66,14.44,14.25,14.78,15.47,15.97,16.09,16.69,17.38,16.75,16.16,16.91,18.06,18.72,18.5,18.5,18.09,16.97,15.28,13.81,13.5,13.88,14.12,14.75,16.69,18.66,20.28,21.41,23.44,25.53,26.84,26.97,27.16,27.84,28.06,28.06,28.19,29.0,29.84,29.59,28.84,29.0,29.44,28.88,27.56,27.28,27.25,26.62,25.12,23.44,22.0,20.06,17.5,15.69,15.66,17.12,18.28,19.72,22.34,24.12,24.28,22.78,21.5,20.0,18.06,15.66,13.94,12.88,11.47,9.19,7.0,5.69,4.97,3.97,3.41,4.62,6.75,8.69,10.34,12.66,15.62,18.06,19.38,20.75,22.06,23.19,23.16,22.91,24.34,26.41,27.25,27.22,27.19,26.28,23.16,18.69,14.19,10.09,6.59,2.88,0.34,0.03,0.62,1.69,3.5,6.44,9.47,11.34,12.44,13.53,14.62,15.19,14.53,14.22,14.25,13.88,12.62,11.5,11.69,12.06,11.47,10.34,10.0,10.03,9.06,8.25,8.44,9.38,10.0,9.34,9.06,9.19,9.22,8.72,9.28,11.12,13.41,14.75,15.78,17.31,18.66,19.59,19.44,56.34,57.53,58.91,60.78,62.47,63.56,63.62,62.62,60.75,58.78,56.25,53.94,51.62,50.41,49.0,48.25,47.59,46.81,46.19,45.53,45.25,45.38,46.72,48.28,50.34,52.25,54.09,55.59,56.69,57.69,59.12,60.62,61.91,62.66,62.66:32.22,33.47,33.12,31.19,29.0,26.78,23.75,21.19,20.16,20.78,22.56,24.97,28.88,33.75,39.06,42.47,44.5,45.44,44.84,42.03,38.72,36.16,34.44,32.88,31.88,31.25,31.75,32.31,32.16,32.75,33.81,35.53,35.78,35.66,35.94,35.81,34.62,32.94,31.88,31.38,30.56,30.0,30.56,32.06,33.81,34.75,35.31,36.53,37.59,37.66,37.72,38.38,39.12,39.03,38.03,36.78,35.97,34.19,31.75,29.38,27.81,26.28,24.41,22.91,22.5,22.09,21.0,19.47,18.66,18.88,19.31,20.16,21.75,24.06,26.16,27.31,27.88,29.22,30.12,29.69,29.0,28.31,27.84,26.22,24.72,23.81,23.94,23.97,24.19,25.03,26.78,28.97,30.22,31.06,32.38,33.19,32.5,31.62,30.25,29.47,28.0,26.59,25.59,25.72,25.94,25.22,24.44,24.47,24.47,23.41,22.09,21.81,21.44,19.88,18.06,16.62,15.25,13.69,12.31,11.47,12.09,12.59,12.69,12.38,13.03,13.16,12.78,12.5,13.06,13.97,15.12,16.22,18.03,21.0,23.62,25.34,26.72,28.31,29.22,28.75,27.94,27.22,25.88,23.16,20.16,17.88,16.75,16.38,16.25,16.97,18.88,20.31,20.66,20.47,21.09,21.53,21.19,21.19,21.94,23.0,22.84,21.97,21.28,20.94,20.69,20.62,21.12,22.81,24.5,24.84,24.5,24.19,22.91,20.75,19.0,18.22,18.84,20.16,21.91,24.41,27.59,30.34,32.09,33.31,34.75,35.53,35.25,34.28,34.31,33.75,32.53,31.06,29.94,29.09,27.59,25.12,23.06,21.38,19.31,17.12,15.03,13.97,13.09,12.12,11.38,12.12,13.25,14.03,14.38,15.19,16.66,17.78,18.38,19.75,21.78,23.53,24.12,24.41,24.69,24.62,23.28,21.84,21.31,21.16,21.16,20.28,19.47,18.47,16.59,14.19,12.66,12.56,13.53,13.88,13.81,14.53,14.5,13.97,13.59,14.78,17.41,20.62,23.59,27.72,31.81,34.97,36.09,35.56,34.12,31.41,26.91,22.34,19.19,17.38,16.06,15.31,16.09,17.66,19.5,20.28,21.53,22.81,23.69,23.78,24.34,25.81,27.44,28.16,27.72,27.47,26.94,25.81,24.16,23.66,23.88,24.44,23.97,23.66,23.94,23.75,22.69,22.53,23.72,25.41,26.62,26.94,26.75,26.47,25.12,22.78,21.78,21.91,22.56,23.0,24.44,26.47,28.41,28.69,27.78,26.88,26.34,25.5,25.12,26.59,29.09,31.25,31.81,31.84,31.66,30.22,26.88,23.66,21.62,20.62,19.53,19.44,21.19,23.78,25.72,26.66,28.0,29.53,29.91,29.38,28.62,28.47,28.06,26.78,25.62,25.66,26.16,25.16,23.94,22.75,21.59,19.59,17.38,15.78,14.97,14.47,12.78,11.97,12.16,12.97,13.09,13.94,15.47,17.19,18.22,18.72,19.69,21.0,21.69,21.5,21.75,22.69,23.75,23.81,23.66,23.81,23.47,21.12,17.97,15.28,13.44,11.09,8.91,8.06,8.53,8.53,8.06,8.44,9.94,12.03,12.84,13.81,15.16,16.22,15.84,15.22,15.34,15.97,15.81,15.28,14.59,14.53,13.81,11.81,10.38,9.75,9.44,8.28,7.88,8.94,11.0,12.38,13.53,15.47,17.78,19.5,20.09,21.19,22.62,22.94,21.91,20.88,20.53,20.34,19.03,18.25,18.12,18.66,18.47,17.69,17.47,17.47,16.69,15.34,14.56,14.69,14.97,14.25,13.88,14.09,14.69,14.19,13.5,13.69,14.56,15.31,16.03,17.62,20.25,21.84,22.12,22.47,23.66,24.44,24.41,24.28,24.88,25.59,25.09,24.47,24.38,25.09,24.91,24.41,24.56,25.28,25.75,25.56,25.47,26.34,26.94,26.59,26.41,26.78,26.56,25.53,24.12,23.0,22.91,22.66,21.94,21.62,21.97,21.97,20.66,19.69,19.91,20.78,21.16,21.62,23.25,25.19,26.41,27.09,28.19,29.62,29.22,27.34,24.59,22.25,19.69,16.34,13.91,13.19,13.22,12.72,12.38,13.16,14.0,14.16,13.78,13.94,15.44,16.59,17.19,18.31,19.88,20.97,20.81,20.06,19.78,19.81,18.94,17.62,17.41,17.88,17.78,17.28,17.41,18.88,20.09,20.88,21.19,22.44,23.31,23.38,23.16,23.91,24.53,24.41,23.91,24.25,24.91,24.94,24.5,24.12,25.25,26.06,26.41,26.97,28.16,28.81,27.97,26.69,25.94,25.53,24.78,24.59,25.38,27.19,28.62,29.06,29.16,30.03,30.59,30.69,30.12,31.06,31.78,31.88,31.91,32.28,33.47,33.41,32.44,31.72,31.66,31.19,30.41,30.06,31.25,31.72,31.47,31.09,31.16,31.09,30.19,28.41,27.62,27.31,26.88,26.69,26.91,28.38,29.72,29.78,30.16,31.38,32.31,32.47,31.84,31.91,31.59,30.75,29.19,28.47,28.5,28.78,28.44,28.53,29.25,29.69,29.25,28.56,29.19,29.69,29.59,29.25,29.03,28.88,28.25,26.84,26.03,25.75,25.31,23.97,22.97,23.19,23.88,24.41,24.66,25.78,26.75,26.53,25.38,24.81,24.5,23.78,22.47,22.25,22.88,23.22,23.38,23.47,24.16,24.06,23.16,21.84,21.31,21.12,20.66,19.84,20.06,20.69,21.44,21.34,21.41,22.47,23.09,22.62,22.22,22.53,22.84,22.28,22.16,23.03,23.91,24.25,23.16,22.16,21.06,19.62,17.5,16.28,16.09,16.38,16.34,16.47,17.25,18.09,18.0,17.88,18.44,19.72,21.12,21.91,23.19,25.09,26.56,27.0,26.91,27.25,27.06,26.03,24.62,24.12,24.0,23.81,23.22,23.53,24.44,25.31,25.25,25.47,26.44,26.97,26.53,26.34,26.31,26.91,26.41,26.03,26.53,27.03,27.09,26.25,25.44,24.69,23.47,21.19,19.25,17.66,17.34,17.0,17.78,20.16,22.78,24.5,25.06,25.94,27.06,27.56,27.88,28.47,29.0,29.5,28.62,27.62,27.25,27.12,26.06,25.34,25.28,25.44,24.88,23.38,22.75,22.38,21.38,20.0,19.25,18.53,17.75,16.28,15.53,15.75,16.88,17.56,18.28,19.66,20.81,21.47,21.62,22.12,23.0,24.09,24.75,25.97,27.19,27.81,26.5,24.31,21.66,19.88,18.19,16.66,16.66,17.44,17.91,17.59,17.22,17.34,17.28,16.5,16.59,17.78,19.66,21.28,23.03,25.22,27.62,29.06,29.78,31.12,32.34,33.06,32.56,32.41,32.22,31.72,30.25,28.69,27.66,26.47,24.81,23.91,23.81,23.91,23.66,22.72,21.84,20.91,19.69,18.0,16.81,16.62,16.72,16.28,16.31,17.22,18.44,19.47,20.47,21.75,23.22,23.72,23.62,23.53,23.88,23.66,23.0,21.94,21.03,19.75,17.0,14.06,12.0,10.12,8.28,6.66,5.5,4.91,4.34,3.44,2.91,3.5,4.31,5.03,6.56,8.94,12.06,14.78,17.03,19.69,22.25,23.81,23.88,23.69,23.88,23.09,21.62,20.47,20.16,19.59,17.62,15.16,13.09,10.78,8.16,6.0,5.47,6.25,6.75,7.81,9.34,11.78,14.12,15.56,17.22,19.59,21.69,22.69,23.88,25.44,26.88,27.22,26.66,26.19,25.59,24.41,22.34,19.94,18.66,16.59,14.38,12.69,12.31,12.28,11.5,10.31,9.53,9.31,8.91,9.09,10.47,12.56,14.28,15.03,15.0,14.94,14.69,13.31,12.09,12.53,13.56,13.72,13.81,14.38,14.78,14.16,12.88,11.75,11.44,10.72,9.69,9.38,10.25,10.81,10.66,10.47,10.41,10.31,9.19,8.12,7.25,7.22,7.31,6.94,6.97,7.66,8.41,8.47,8.47,9.91,11.91,13.78,14.66,15.78,16.44,15.5,13.34,11.84,11.34,10.62,9.97,9.5,10.06,10.5,9.94,9.62,10.22,11.09,11.88,13.19,15.56,17.59,18.38,17.97,17.38,17.19,17.09,17.25,17.84,19.34,19.97,18.97,17.25,16.03,15.25,14.28,13.53,13.75,14.62,14.66,14.44,14.25,14.78,15.47,15.97,16.09,16.69,17.38,16.75,16.16,16.91,18.06,18.72,18.5,18.5,18.09,16.97,15.28,13.81,13.5,13.88,14.12,14.75,16.69,18.66,20.28,21.41,23.44,25.53,26.84,26.97,27.16,27.84,28.06,28.06,28.19,29.0,29.84,29.59,28.84,29.0,29.44,28.88,27.56,27.28,27.25,26.62,25.12,23.44,22.0,20.06,17.5,15.69,15.66,17.12,18.28,19.72,22.34,24.12,24.28,22.78,21.5,20.0,18.06,15.66,13.94,12.88,11.47,9.19,7.0,5.69,4.97,3.97,3.41,4.62,6.75,8.69,10.34,12.66,15.62,18.06,19.38,20.75,22.06,23.19,23.16,22.91,24.34,26.41,27.25,27.22,27.19,26.28,23.16,18.69,14.19,10.09,6.59,2.88,0.34,0.03,0.62,1.69,3.5,6.44,9.47,11.34,12.44,13.53,14.62,15.19,14.53,14.22,14.25,13.88,12.62,11.5,11.69,12.06,11.47,10.34,10.0,10.03,9.06,8.25,8.44,9.38,10.0,9.34,9.06,9.19,9.22,8.72,9.28,11.12,13.41,14.75,15.78,17.31,18.66,19.59,19.44,56.34,57.53,58.91,60.78,62.47,63.56,63.62,62.62,60.75,58.78,56.25,53.94,51.62,50.41,49.0,48.25,47.59,46.81,46.19,45.53,45.25,45.38,46.72,48.28,50.34,52.25,54.09,55.59,56.69,57.69,59.12,60.62,61.91,62.66,62.66,61.28,59.03,55.72,52.44,49.88,48.5,48.47:positivity
-0.47,-2.69,-6.16,-12.69,-19.09,-23.22,-25.0,-26.62,-27.81,-27.03,-24.75,-23.84,-24.56,-24.75,-23.62,-22.25,-21.41,-19.59,-16.03,-11.84,-9.75,-8.5,-7.0,-5.47,-6.0,-8.16,-10.09,-10.72,-11.88,-13.88,-15.09,-14.62,-14.28,-16.09,-17.72,-17.84,-17.16,-17.91,-18.75,-18.06,-16.44,-15.94,-16.75,-17.19,-16.75,-17.25,-18.78,-19.16,-17.25,-14.09,-12.06,-9.47,-5.12,-0.69,1.66,2.59,3.12,3.53,2.28,-0.75,-2.62,-2.59,-2.31,-3.47,-4.16,-3.78,-3.78,-6.31,-8.72,-9.5,-8.94,-8.88,-8.56,-7.12,-4.69,-2.88,-2.72,-2.25,-0.75,0.19,-0.72,-1.81,-0.78,0.41,-0.12,-0.97,-0.97,0.0,-1.0,-2.97,-3.56,-2.81,-3.44,-5.88,-8.28,-9.75,-11.44,-14.53,-16.91,-16.22,-14.22,-13.28,-12.41,-10.0,-7.03,-5.81,-5.88,-4.56,-1.47,0.72,1.78,3.88,6.69,8.53,8.28,7.19,7.28,7.34,5.59,3.5,2.75,2.78,1.34,-1.41,-3.31,-4.22,-5.47,-8.5,-11.09,-12.16,-13.66,-17.0,-19.88,-20.22,-19.59,-18.88,-17.97,-15.19,-11.44,-9.19,-8.88,-8.56,-7.34,-7.31,-8.47,-9.44,-8.5,-7.62,-8.5,-9.44,-8.91,-7.81,-8.06,-8.84,-8.44,-6.72,-5.56,-5.12,-4.16,-1.19,0.38,-0.12,-1.59,-2.56,-3.78,-7.25,-11.22,-13.16,-13.69,-13.97,-14.34,-12.5,-8.72,-5.88,-4.53,-3.09,-1.0,0.16,-0.81,-1.69,-0.84,0.44,-0.03,-1.12,-1.53,-1.97,-3.75,-6.38,-7.69,-6.81,-6.31,-6.41,-5.97,-4.12,-2.81,-3.06,-3.47,-2.47,-1.03,-0.69,-1.09,-0.09,1.88,3.12,2.78,2.97,3.97,3.38,0.94,-1.91,-3.31,-4.47,-6.91,-9.41,-10.28,-10.5,-11.41,-12.62,-11.88,-9.75,-7.94,-6.88,-5.44,-2.31,-0.03,0.72,0.62,2.09,3.28,2.94,2.0,2.03,2.81,2.31,0.88,0.75,1.31,1.47,0.03,-1.41,-0.47,-0.41,-2.09,-4.44,-5.5,-6.38,-8.31,-9.94,-9.66,-7.12,-5.06,-3.5,-0.94,3.12,6.28,7.44,8.59,10.97,12.53,12.5,11.16,11.19,10.94,8.75,5.41,2.62,0.84,-1.53,-4.5,-5.72,-4.59,-3.41,-3.62,-4.12,-2.88,-1.69,-1.69,-2.25,-0.59,1.91,3.0,3.06,3.69,5.28,6.16,6.03,7.47,11.28,15.22,17.28,18.81,21.28,22.16,20.62,17.25,14.19,11.16,7.09,2.69,0.09,-0.53,-1.34,-2.97,-3.53,-2.38,-0.91,-1.44,-1.22,0.28,2.16,3.12,3.44,4.94,6.91,7.41,6.22,5.41,5.84,5.62,3.62,2.19,2.72,3.25,1.97,0.25,-0.03,-0.34,-1.56,-3.41,-3.41,-2.31,-1.97,-2.62,-2.81,-1.34,-0.34,-0.78,-0.75,0.59,2.22,2.22,2.56,4.88,8.0,10.38,12.03,14.03,16.41,17.66,17.12,16.84,17.44,17.25,14.94,12.56,11.75,11.88,9.94,7.06,5.19,3.19,0.47,-2.78,-3.62,-2.19,-0.47,-0.03,1.53,4.5,6.94,7.44,6.94,7.34,7.88,6.75,5.25,5.34,6.06,6.12,5.06,5.03,5.81,6.16,4.94,3.97,3.97,3.62,1.28,-1.5,-3.22,-4.78,-7.22,-10.19,-11.19,-10.66,-10.25,-10.28,-8.94,-6.47,-4.19,-3.78,-2.91,-0.47,2.09,3.31,4.22,6.38,8.34,8.78,7.81,7.34,7.47,6.66,4.94,3.78,3.59,3.03,0.84,-1.38,-1.88,-2.0,-3.16,-4.41,-4.41,-3.81,-3.59,-4.12,-3.47,-1.62,0.09,0.47,1.72,4.16,6.34,6.16,5.22,5.44,5.84,5.28,4.38,5.03,6.25,6.38,4.84,4.0,4.38,4.38,3.22,2.31,2.44,2.59,1.22,-0.84,-1.09,-0.09,0.12,0.19,1.53,3.28,3.72,2.44,1.66,2.38,3.25,3.06,4.06,6.41,8.91,9.72,10.0,10.88,11.78,11.56,10.09,9.62,9.78,9.19,6.97,5.47,5.69,6.78,6.81,7.09,8.31,9.38,7.56,4.88,2.75,1.78,0.16,-1.91,-2.22,-0.34,1.53,2.72,4.94,7.91,11.41,12.81,13.53,14.66,15.34,13.91,10.97,8.59,6.81,4.41,1.31,-0.97,-1.94,-2.91,-5.22,-6.75,-6.09,-4.66,-4.22,-3.59,-1.53,1.28,2.56,3.12,5.09,7.56,8.75,8.38,7.94,8.06,7.81,5.75,3.53,2.81,2.09,-0.03,-2.88,-4.47,-5.47,-7.31,-9.97,-11.38,-11.62,-11.78,-12.34,-12.16,-9.94,-8.0,-7.44,-7.56,-6.75,-5.72,-5.78,-5.66,-4.31,-1.28,0.53,1.38,2.78,4.72,5.78,4.91,4.44,4.88,5.47,4.25,2.56,1.97,2.0,0.62,-1.06,-1.38,-0.47,-0.22,-1.0,-1.47,-0.78,-0.44,-2.0,-3.62,-4.16,-4.19,-5.38,-6.75,-6.09,-4.5,-3.66,-3.56,-2.78,-1.22,-1.06,-2.06,-3.41,-3.25,-3.59,-5.19,-6.75,-6.28,-5.12,-5.0,-5.31,-4.44,-2.78,-2.59,-3.38,-3.47,-2.06,-1.41,-1.81,-1.94,-0.53,0.66,0.19,-0.44,0.03,1.19,0.88,-0.38,-0.59,-0.5,-1.62,-3.75,-5.53,-5.31,-5.16,-5.56,-5.66,-3.75,-1.78,-1.69,-2.28,-1.97,-1.22,-1.75,-2.38,-1.5,0.69,2.56,3.44,4.44,6.25,6.97,5.53,3.0,1.56,-0.03,-2.84,-5.69,-6.72,-5.94,-5.28,-5.19,-3.84,-1.59,-0.22,0.0,0.72,3.22,6.03,8.12,9.72,12.41,14.66,14.62,13.0,11.28,10.44,8.69,6.47,5.53,5.59,5.31,3.47,1.53,0.97,0.72,-0.47,-1.44,-0.66,0.97,1.19,0.47,0.19,0.38,-0.31,-2.25,-3.53,-2.94,-2.78,-3.78,-4.78,-3.75,-2.53,-2.09,-1.88,0.25,2.91,4.34,4.38,4.75,5.84,5.75,3.94,2.34,1.91,1.16,-1.44,-4.28,-4.91,-4.62,-4.66,-4.94,-3.66,-1.56,-0.72,-0.91,-0.31,1.56,2.66,2.53,2.59,4.59,6.91,7.81,8.34,9.66,10.56,9.53,7.12,5.75,5.59,4.81,3.34,3.06,4.25,4.75,4.22,3.47,4.0,4.31,3.44,1.5,1.25,1.5,0.88,-0.75,-0.72,0.44,1.31,1.06,1.94,4.0,5.59,5.5,5.47,7.03,8.47,8.69,7.34,6.41,5.38,2.59,-1.12,-2.94,-3.0,-2.0,-1.56,-0.09,2.97,5.88,7.38,8.19,10.47,12.38,12.59,11.47,11.19,11.47,10.75,8.88,8.12,9.0,9.25,8.28,7.56,8.25,8.25,6.47,3.97,3.31,2.97,1.69,0.06,0.5,2.31,3.31,3.41,4.16,5.59,6.25,4.59,3.0,2.88,2.72,1.38,-1.03,-2.0,-3.0,-5.06,-7.62,-8.5,-7.41,-5.94,-5.69,-4.62,-2.62,-1.12,-2.09,-3.78,-4.62,-5.72,-8.31,-11.5,-12.31,-11.91,-11.66,-11.53,-10.44,-7.84,-6.06,-5.88,-5.06,-2.81,-0.97,-0.72,-0.94,0.16,1.28,1.0,0.06,0.44,1.78,2.19,1.5,1.75,3.19,3.5,1.88,0.09,-0.66,-1.09,-3.0,-4.53,-3.69,-1.94,-0.97,-0.72,0.62,2.78,3.69,2.91,2.34,2.69,2.41,0.38,-1.69,-2.47,-2.88,-4.75,-6.91,-7.09,-6.25,-5.84,-6.28,-5.81,-3.62,-2.41,-2.5,-1.59,0.66,2.75,3.31,3.75,5.69,7.53,7.5,6.91,6.75,7.16,6.0,2.97,0.81,-0.44,-1.78,-4.41,-5.41,-4.56,-3.5,-4.78,-6.0,-5.97,-5.47,-5.88,-6.56,-6.12,-4.72,-3.75,-4.0,-3.31,-1.25,0.72,0.69,1.12,2.88,4.41,3.94,2.75,2.94,3.78,3.12,1.25,0.44,0.56,-0.38,-2.59,-3.56,-3.06,-2.38,-2.84,-3.06,-1.38,0.31,0.06,-0.44,0.12,1.44,1.41,0.0,-0.75,-0.56,-1.38,-3.22,-4.22,-2.41,0.06,1.09,2.38,4.44,6.0,5.44,4.16,3.91,4.66,4.38,2.69,1.31,0.94,-0.03,-2.44,-4.47,-4.81,-5.0,-7.34,-9.38,-9.44,-8.72,-8.53,-8.41,-6.78,-3.38,-0.62,1.22,4.16,8.25,11.5,11.88,12.09,12.81,13.19,10.78,8.25,6.81,5.5,2.66,-0.81,-3.16,-4.53,-6.47,-9.19,-11.06,-10.81,-10.78,-12.19,-13.62,-13.22,-12.47,-13.47,-14.31,-13.44,-12.03,-12.38,-13.69,-13.66,-12.31,-11.56,-10.94,-9.44,-5.97,-2.47,-1.47,-1.31,0.03,1.47,0.75,-0.28,0.44,1.66,1.12,-0.97,-2.84,-3.94,-5.94,-9.19,-12.25,-13.38,-14.25,-17.22,-20.56,-21.94,-22.38,-23.56,-24.75,-23.47,-20.22,-17.72,-16.12,-13.47,-9.44,-6.88,-6.28,-6.34,-5.47,-4.81,-5.81,-6.91,-5.94,-3.81,-2.84,-2.09,-0.44,1.97,2.88,1.44,-0.03,-0.41,-0.91,-2.75,-3.53,-2.19,-0.62,-0.59,-1.84,-1.97,-1.94,-3.59,-6.78,-9.06,-9.84,-11.09,-12.94,-13.31,-11.03,-7.91,-5.75,-4.06,-1.22,1.53,1.72,0.88,0.94,1.62,0.94,-0.97,-2.66,-3.41,-5.16,-8.59,-11.38,-12.06,-12.31,-13.41,-14.09,-13.0,-10.97,-10.31,-10.28,-8.72,-5.72,-3.62,-2.06,-0.22,2.25,2.97,1.03,-2.09,-4.19,-6.31,-9.62,-12.62,-13.72,-14.12,-15.59,-18.16,-19.5,-19.31,-20.0,-21.09,-21.25,-18.97,-16.94,-16.06,-15.22,-13.0,-10.94,-10.78,-11.47,-10.75,-9.44,-9.41,-10.22,-10.0,-7.97,-7.12,-7.75,-8.69,-8.88,-9.62,-11.94,-13.59,-12.25,-10.0,-8.91,-8.72,-8.47,-8.97,-11.31,-15.91,-19.25,-20.88,-22.81,-25.69,-27.5,-26.78,-25.56,-25.41:-26.62,-27.81,-27.03,-24.75,-23.84,-24.56,-24.75,-23.62,-22.25,-21.41,-19.59,-16.03,-11.84,-9.75,-8.5,-7.0,-5.47,-6.0,-8.16,-10.09,-10.72,-11.88,-13.88,-15.09,-14.62,-14.28,-16.09,-17.72,-17.84,-17.16,-17.91,-18.75,-18.06,-16.44,-15.94,-16.75,-17.19,-16.75,-17.25,-18.78,-19.16,-17.25,-14.09,-12.06,-9.47,-5.12,-0.69,1.66,2.59,3.12,3.53,2.28,-0.75,-2.62,-2.59,-2.31,-3.47,-4.16,-3.78,-3.78,-6.31,-8.72,-9.5,-8.94,-8.88,-8.56,-7.12,-4.69,-2.88,-2.72,-2.25,-0.75,0.19,-0.72,-1.81,-0.78,0.41,-0.12,-0.97,-0.97,0.0,-1.0,-2.97,-3.56,-2.81,-3.44,-5.88,-8.28,-9.75,-11.44,-14.53,-16.91,-16.22,-14.22,-13.28,-12.41,-10.0,-7.03,-5.81,-5.88,-4.56,-1.47,0.72,1.78,3.88,6.69,8.53,8.28,7.19,7.28,7.34,5.59,3.5,2.75,2.78,1.34,-1.41,-3.31,-4.22,-5.47,-8.5,-11.09,-12.16,-13.66,-17.0,-19.88,-20.22,-19.59,-18.88,-17.97,-15.19,-11.44,-9.19,-8.88,-8.56,-7.34,-7.31,-8.47,-9.44,-8.5,-7.62,-8.5,-9.44,-8.91,-7.81,-8.06,-8.84,-8.44,-6.72,-5.56,-5.12,-4.16,-1.19,0.38,-0.12,-1.59,-2.56,-3.78,-7.25,-11.22,-13.16,-13.69,-13.97,-14.34,-12.5,-8.72,-5.88,-4.53,-3.09,-1.0,0.16,-0.81,-1.69,-0.84,0.44,-0.03,-1.12,-1.53,-1.97,-3.75,-6.38,-7.69,-6.81,-6.31,-6.41,-5.97,-4.12,-2.81,-3.06,-3.47,-2.47,-1.03,-0.69,-1.09,-0.09,1.88,3.12,2.78,2.97,3.97,3.38,0.94,-1.91,-3.31,-4.47,-6.91,-9.41,-10.28,-10.5,-11.41,-12.62,-11.88,-9.75,-7.94,-6.88,-5.44,-2.31,-0.03,0.72,0.62,2.09,3.28,2.94,2.0,2.03,2.81,2.31,0.88,0.75,1.31,1.47,0.03,-1.41,-0.47,-0.41,-2.09,-4.44,-5.5,-6.38,-8.31,-9.94,-9.66,-7.12,-5.06,-3.5,-0.94,3.12,6.28,7.44,8.59,10.97,12.53,12.5,11.16,11.19,10.94,8.75,5.41,2.62,0.84,-1.53,-4.5,-5.72,-4.59,-3.41,-3.62,-4.12,-2.88,-1.69,-1.69,-2.25,-0.59,1.91,3.0,3.06,3.69,5.28,6.16,6.03,7.47,11.28,15.22,17.28,18.81,21.28,22.16,20.62,17.25,14.19,11.16,7.09,2.69,0.09,-0.53,-1.34,-2.97,-3.53,-2.38,-0.91,-1.44,-1.22,0.28,2.16,3.12,3.44,4.94,6.91,7.41,6.22,5.41,5.84,5.62,3.62,2.19,2.72,3.25,1.97,0.25,-0.03,-0.34,-1.56,-3.41,-3.41,-2.31,-1.97,-2.62,-2.81,-1.34,-0.34,-0.78,-0.75,0.59,2.22,2.22,2.56,4.88,8.0,10.38,12.03,14.03,16.41,17.66,17.12,16.84,17.44,17.25,14.94,12.56,11.75,11.88,9.94,7.06,5.19,3.19,0.47,-2.78,-3.62,-2.19,-0.47,-0.03,1.53,4.5,6.94,7.44,6.94,7.34,7.88,6.75,5.25,5.34,6.06,6.12,5.06,5.03,5.81,6.16,4.94,3.97,3.97,3.62,1.28,-1.5,-3.22,-4.78,-7.22,-10.19,-11.19,-10.66,-10.25,-10.28,-8.94,-6.47,-4.19,-3.78,-2.91,-0.47,2.09,3.31,4.22,6.38,8.34,8.78,7.81,7.34,7.47,6.66,4.94,3.78,3.59,3.03,0.84,-1.38,-1.88,-2.0,-3.16,-4.41,-4.41,-3.81,-3.59,-4.12,-3.47,-1.62,0.09,0.47,1.72,4.16,6.34,6.16,5.22,5.44,5.84,5.28,4.38,5.03,6.25,6.38,4.84,4.0,4.38,4.38,3.22,2.31,2.44,2.59,1.22,-0.84,-1.09,-0.09,0.12,0.19,1.53,3.28,3.72,2.44,1.66,2.38,3.25,3.06,4.06,6.41,8.91,9.72,10.0,10.88,11.78,11.56,10.09,9.62,9.78,9.19,6.97,5.47,5.69,6.78,6.81,7.09,8.31,9.38,7.56,4.88,2.75,1.78,0.16,-1.91,-2.22,-0.34,1.53,2.72,4.94,7.91,11.41,12.81,13.53,14.66,15.34,13.91,10.97,8.59,6.81,4.41,1.31,-0.97,-1.94,-2.91,-5.22,-6.75,-6.09,-4.66,-4.22,-3.59,-1.53,1.28,2.56,3.12,5.09,7.56,8.75,8.38,7.94,8.06,7.81,5.75,3.53,2.81,2.09,-0.03,-2.88,-4.47,-5.47,-7.31,-9.97,-11.38,-11.62,-11.78,-12.34,-12.16,-9.94,-8.0,-7.44,-7.56,-6.75,-5.72,-5.78,-5.66,-4.31,-1.28,0.53,1.38,2.78,4.72,5.78,4.91,4.44,4.88,5.47,4.25,2.56,1.97,2.0,0.62,-1.06,-1.38,-0.47,-0.22,-1.0,-1.47,-0.78,-0.44,-2.0,-3.62,-4.16,-4.19,-5.38,-6.75,-6.09,-4.5,-3.66,-3.56,-2.78,-1.22,-1.06,-2.06,-3.41,-3.25,-3.59,-5.19,-6.75,-6.28,-5.12,-5.0,-5.31,-4.44,-2.78,-2.59,-3.38,-3.47,-2.06,-1.41,-1.81,-1.94,-0.53,0.66,0.19,-0.44,0.03,1.19,0.88,-0.38,-0.59,-0.5,-1.62,-3.75,-5.53,-5.31,-5.16,-5.56,-5.66,-3.75,-1.78,-1.69,-2.28,-1.97,-1.22,-1.75,-2.38,-1.5,0.69,2.56,3.44,4.44,6.25,6.97,5.53,3.0,1.56,-0.03,-2.84,-5.69,-6.72,-5.94,-5.28,-5.19,-3.84,-1.59,-0.22,0.0,0.72,3.22,6.03,8.12,9.72,12.41,14.66,14.62,13.0,11.28,10.44,8.69,6.47,5.53,5.59,5.31,3.47,1.53,0.97,0.72,-0.47,-1.44,-0.66,0.97,1.19,0.47,0.19,0.38,-0.31,-2.25,-3.53,-2.94,-2.78,-3.78,-4.78,-3.75,-2.53,-2.09,-1.88,0.25,2.91,4.34,4.38,4.75,5.84,5.75,3.94,2.34,1.91,1.16,-1.44,-4.28,-4.91,-4.62,-4.66,-4.94,-3.66,-1.56,-0.72,-0.91,-0.31,1.56,2.66,2.53,2.59,4.59,6.91,7.81,8.34,9.66,10.56,9.53,7.12,5.75,5.59,4.81,3.34,3.06,4.25,4.75,4.22,3.47,4.0,4.31,3.44,1.5,1.25,1.5,0.88,-0.75,-0.72,0.44,1.31,1.06,1.94,4.0,5.59,5.5,5.47,7.03,8.47,8.69,7.34,6.41,5.38,2.59,-1.12,-2.94,-3.0,-2.0,-1.56,-0.09,2.97,5.88,7.38,8.19,10.47,12.38,12.59,11.47,11.19,11.47,10.75,8.88,8.12,9.0,9.25,8.28,7.56,8.25,8.25,6.47,3.97,3.31,2.97,1.69,0.06,0.5,2.31,3.31,3.41,4.16,5.59,6.25,4.59,3.0,2.88,2.72,1.38,-1.03,-2.0,-3.0,-5.06,-7.62,-8.5,-7.41,-5.94,-5.69,-4.62,-2.62,-1.12,-2.09,-3.78,-4.62,-5.72,-8.31,-11.5,-12.31,-11.91,-11.66,-11.53,-10.44,-7.84,-6.06,-5.88,-5.06,-2.81,-0.97,-0.72,-0.94,0.16,1.28,1.0,0.06,0.44,1.78,2.19,1.5,1.75,3.19,3.5,1.88,0.09,-0.66,-1.09,-3.0,-4.53,-3.69,-1.94,-0.97,-0.72,0.62,2.78,3.69,2.91,2.34,2.69,2.41,0.38,-1.69,-2.47,-2.88,-4.75,-6.91,-7.09,-6.25,-5.84,-6.28,-5.81,-3.62,-2.41,-2.5,-1.59,0.66,2.75,3.31,3.75,5.69,7.53,7.5,6.91,6.75,7.16,6.0,2.97,0.81,-0.44,-1.78,-4.41,-5.41,-4.56,-3.5,-4.78,-6.0,-5.97,-5.47,-5.88,-6.56,-6.12,-4.72,-3.75,-4.0,-3.31,-1.25,0.72,0.69,1.12,2.88,4.41,3.94,2.75,2.94,3.78,3.12,1.25,0.44,0.56,-0.38,-2.59,-3.56,-3.06,-2.38,-2.84,-3.06,-1.38,0.31,0.06,-0.44,0.12,1.44,1.41,0.0,-0.75,-0.56,-1.38,-3.22,-4.22,-2.41,0.06,1.09,2.38,4.44,6.0,5.44,4.16,3.91,4.66,4.38,2.69,1.31,0.94,-0.03,-2.44,-4.47,-4.81,-5.0,-7.34,-9.38,-9.44,-8.72,-8.53,-8.41,-6.78,-3.38,-0.62,1.22,4.16,8.25,11.5,11.88,12.09,12.81,13.19,10.78,8.25,6.81,5.5,2.66,-0.81,-3.16,-4.53,-6.47,-9.19,-11.06,-10.81,-10.78,-12.19,-13.62,-13.22,-12.47,-13.47,-14.31,-13.44,-12.03,-12.38,-13.69,-13.66,-12.31,-11.56,-10.94,-9.44,-5.97,-2.47,-1.47,-1.31,0.03,1.47,0.75,-0.28,0.44,1.66,1.12,-0.97,-2.84,-3.94,-5.94,-9.19,-12.25,-13.38,-14.25,-17.22,-20.56,-21.94,-22.38,-23.56,-24.75,-23.47,-20.22,-17.72,-16.12,-13.47,-9.44,-6.88,-6.28,-6.34,-5.47,-4.81,-5.81,-6.91,-5.94,-3.81,-2.84,-2.09,-0.44,1.97,2.88,1.44,-0.03,-0.41,-0.91,-2.75,-3.53,-2.19,-0.62,-0.59,-1.84,-1.97,-1.94,-3.59,-6.78,-9.06,-9.84,-11.09,-12.94,-13.31,-11.03,-7.91,-5.75,-4.06,-1.22,1.53,1.72,0.88,0.94,1.62,0.94,-0.97,-2.66,-3.41,-5.16,-8.59,-11.38,-12.06,-12.31,-13.41,-14.09,-13.0,-10.97,-10.31,-10.28,-8.72,-5.72,-3.62,-2.06,-0.22,2.25,2.97,1.03,-2.09,-4.19,-6.31,-9.62,-12.62,-13.72,-14.12,-15.59,-18.16,-19.5,-19.31,-20.0,-21.09,-21.25,-18.97,-16.94,-16.06,-15.22,-13.0,-10.94,-10.78,-11.47,-10.75,-9.44,-9.41,-10.22,-10.0,-7.97,-7.12,-7.75,-8.69,-8.88,-9.62,-11.94,-13.59,-12.25,-10.0,-8.91,-8.72,-8.47,-8.97,-11.31,-15.91,-19.25,-20.88,-22.81,-25.69,-27.5,-26.78,-25.56,-25.41,11.84,7.94,2.97,-2.69,-8.09,-12.5,-14.34:-23.62,-22.25,-21.41,-19.59,-16.03,-11.84,-9.75,-8.5,-7.0,-5.47,-6.0,-8.16,-10.09,-10.72,-11.88,-13.88,-15.09,-14.62,-14.28,-16.09,-17.72,-17.84,-17.16,-17.91,-18.75,-18.06,-16.44,-15.94,-16.75,-17.19,-16.75,-17.25,-18.78,-19.16,-17.25,-14.09,-12.06,-9.47,-5.12,-0.69,1.66,2.59,3.12,3.53,2.28,-0.75,-2.62,-2.59,-2.31,-3.47,-4.16,-3.78,-3.78,-6.31,-8.72,-9.5,-8.94,-8.88,-8.56,-7.12,-4.69,-2.88,-2.72,-2.25,-0.75,0.19,-0.72,-1.81,-0.78,0.41,-0.12,-0.97,-0.97,0.0,-1.0,-2.97,-3.56,-2.81,-3.44,-5.88,-8.28,-9.75,-11.44,-14.53,-16.91,-16.22,-14.22,-13.28,-12.41,-10.0,-7.03,-5.81,-5.88,-4.56,-1.47,0.72,1.78,3.88,6.69,8.53,8.28,7.19,7.28,7.34,5.59,3.5,2.75,2.78,1.34,-1.41,-3.31,-4.22,-5.47,-8.5,-11.09,-12.16,-13.66,-17.0,-19.88,-20.22,-19.59,-18.88,-17.97,-15.19,-11.44,-9.19,-8.88,-8.56,-7.34,-7.31,-8.47,-9.44,-8.5,-7.62,-8.5,-9.44,-8.91,-7.81,-8.06,-8.84,-8.44,-6.72,-5.56,-5.12,-4.16,-1.19,0.38,-0.12,-1.59,-2.56,-3.78,-7.25,-11.22,-13.16,-13.69,-13.97,-14.34,-12.5,-8.72,-5.88,-4.53,-3.09,-1.0,0.16,-0.81,-1.69,-0.84,0.44,-0.03,-1.12,-1.53,-1.97,-3.75,-6.38,-7.69,-6.81,-6.31,-6.41,-5.97,-4.12,-2.81,-3.06,-3.47,-2.47,-1.03,-0.69,-1.09,-0.09,1.88,3.12,2.78,2.97,3.97,3.38,0.94,-1.91,-3.31,-4.47,-6.91,-9.41,-10.28,-10.5,-11.41,-12.62,-11.88,-9.75,-7.94,-6.88,-5.44,-2.31,-0.03,0.72,0.62,2.09,3.28,2.94,2.0,2.03,2.81,2.31,0.88,0.75,1.31,1.47,0.03,-1.41,-0.47,-0.41,-2.09,-4.44,-5.5,-6.38,-8.31,-9.94,-9.66,-7.12,-5.06,-3.5,-0.94,3.12,6.28,7.44,8.59,10.97,12.53,12.5,11.16,11.19,10.94,8.75,5.41,2.62,0.84,-1.53,-4.5,-5.72,-4.59,-3.41,-3.62,-4.12,-2.88,-1.69,-1.69,-2.25,-0.59,1.91,3.0,3.06,3.69,5.28,6.16,6.03,7.47,11.28,15.22,17.28,18.81,21.28,22.16,20.62,17.25,14.19,11.16,7.09,2.69,0.09,-0.53,-1.34,-2.97,-3.53,-2.38,-0.91,-1.44,-1.22,0.28,2.16,3.12,3.44,4.94,6.91,7.41,6.22,5.41,5.84,5.62,3.62,2.19,2.72,3.25,1.97,0.25,-0.03,-0.34,-1.56,-3.41,-3.41,-2.31,-1.97,-2.62,-2.81,-1.34,-0.34,-0.78,-0.75,0.59,2.22,2.22,2.56,4.88,8.0,10.38,12.03,14.03,16.41,17.66,17.12,16.84,17.44,17.25,14.94,12.56,11.75,11.88,9.94,7.06,5.19,3.19,0.47,-2.78,-3.62,-2.19,-0.47,-0.03,1.53,4.5,6.94,7.44,6.94,7.34,7.88,6.75,5.25,5.34,6.06,6.12,5.06,5.03,5.81,6.16,4.94,3.97,3.97,3.62,1.28,-1.5,-3.22,-4.78,-7.22,-10.19,-11.19,-10.66,-10.25,-10.28,-8.94,-6.47,-4.19,-3.78,-2.91,-0.47,2.09,3.31,4.22,6.38,8.34,8.78,7.81,7.34,7.47,6.66,4.94,3.78,3.59,3.03,0.84,-1.38,-1.88,-2.0,-3.16,-4.41,-4.41,-3.81,-3.59,-4.12,-3.47,-1.62,0.09,0.47,1.72,4.16,6.34,6.16,5.22,5.44,5.84,5.28,4.38,5.03,6.25,6.38,4.84,4.0,4.38,4.38,3.22,2.31,2.44,2.59,1.22,-0.84,-1.09,-0.09,0.12,0.19,1.53,3.28,3.72,2.44,1.66,2.38,3.25,3.06,4.06,6.41,8.91,9.72,10.0,10.88,11.78,11.56,10.09,9.62,9.78,9.19,6.97,5.47,5.69,6.78,6.81,7.09,8.31,9.38,7.56,4.88,2.75,1.78,0.16,-1.91,-2.22,-0.34,1.53,2.72,4.94,7.91,11.41,12.81,13.53,14.66,15.34,13.91,10.97,8.59,6.81,4.41,1.31,-0.97,-1.94,-2.91,-5.22,-6.75,-6.09,-4.66,-4.22,-3.59,-1.53,1.28,2.56,3.12,5.09,7.56,8.75,8.38,7.94,8.06,7.81,5.75,3.53,2.81,2.09,-0.03,-2.88,-4.47,-5.47,-7.31,-9.97,-11.38,-11.62,-11.78,-12.34,-12.16,-9.94,-8.0,-7.44,-7.56,-6.75,-5.72,-5.78,-5.66,-4.31,-1.28,0.53,1.38,2.78,4.72,5.78,4.91,4.44,4.88,5.47,4.25,2.56,1.97,2.0,0.62,-1.06,-1.38,-0.47,-0.22,-1.0,-1.47,-0.78,-0.44,-2.0,-3.62,-4.16,-4.19,-5.38,-6.75,-6.09,-4.5,-3.66,-3.56,-2.78,-1.22,-1.06,-2.06,-3.41,-3.25,-3.59,-5.19,-6.75,-6.28,-5.12,-5.0,-5.31,-4.44,-2.78,-2.59,-3.38,-3.47,-2.06,-1.41,-1.81,-1.94,-0.53,0.66,0.19,-0.44,0.03,1.19,0.88,-0.38,-0.59,-0.5,-1.62,-3.75,-5.53,-5.31,-5.16,-5.56,-5.66,-3.75,-1.78,-1.69,-2.28,-1.97,-1.22,-1.75,-2.38,-1.5,0.69,2.56,3.44,4.44,6.25,6.97,5.53,3.0,1.56,-0.03,-2.84,-5.69,-6.72,-5.94,-5.28,-5.19,-3.84,-1.59,-0.22,0.0,0.72,3.22,6.03,8.12,9.72,12.41,14.66,14.62,13.0,11.28,10.44,8.69,6.47,5.53,5.59,5.31,3.47,1.53,0.97,0.72,-0.47,-1.44,-0.66,0.97,1.19,0.47,0.19,0.38,-0.31,-2.25,-3.53,-2.94,-2.78,-3.78,-4.78,-3.75,-2.53,-2.09,-1.88,0.25,2.91,4.34,4.38,4.75,5.84,5.75,3.94,2.34,1.91,1.16,-1.44,-4.28,-4.91,-4.62,-4.66,-4.94,-3.66,-1.56,-0.72,-0.91,-0.31,1.56,2.66,2.53,2.59,4.59,6.91,7.81,8.34,9.66,10.56,9.53,7.12,5.75,5.59,4.81,3.34,3.06,4.25,4.75,4.22,3.47,4.0,4.31,3.44,1.5,1.25,1.5,0.88,-0.75,-0.72,0.44,1.31,1.06,1.94,4.0,5.59,5.5,5.47,7.03,8.47,8.69,7.34,6.41,5.38,2.59,-1.12,-2.94,-3.0,-2.0,-1.56,-0.09,2.97,5.88,7.38,8.19,10.47,12.38,12.59,11.47,11.19,11.47,10.75,8.88,8.12,9.0,9.25,8.28,7.56,8.25,8.25,6.47,3.97,3.31,2.97,1.69,0.06,0.5,2.31,3.31,3.41,4.16,5.59,6.25,4.59,3.0,2.88,2.72,1.38,-1.03,-2.0,-3.0,-5.06,-7.62,-8.5,-7.41,-5.94,-5.69,-4.62,-2.62,-1.12,-2.09,-3.78,-4.62,-5.72,-8.31,-11.5,-12.31,-11.91,-11.66,-11.53,-10.44,-7.84,-6.06,-5.88,-5.06,-2.81,-0.97,-0.72,-0.94,0.16,1.28,1.0,0.06,0.44,1.78,2.19,1.5,1.75,3.19,3.5,1.88,0.09,-0.66,-1.09,-3.0,-4.53,-3.69,-1.94,-0.97,-0.72,0.62,2.78,3.69,2.91,2.34,2.69,2.41,0.38,-1.69,-2.47,-2.88,-4.75,-6.91,-7.09,-6.25,-5.84,-6.28,-5.81,-3.62,-2.41,-2.5,-1.59,0.66,2.75,3.31,3.75,5.69,7.53,7.5,6.91,6.75,7.16,6.0,2.97,0.81,-0.44,-1.78,-4.41,-5.41,-4.56,-3.5,-4.78,-6.0,-5.97,-5.47,-5.88,-6.56,-6.12,-4.72,-3.75,-4.0,-3.31,-1.25,0.72,0.69,1.12,2.88,4.41,3.94,2.75,2.94,3.78,3.12,1.25,0.44,0.56,-0.38,-2.59,-3.56,-3.06,-2.38,-2.84,-3.06,-1.38,0.31,0.06,-0.44,0.12,1.44,1.41,0.0,-0.75,-0.56,-1.38,-3.22,-4.22,-2.41,0.06,1.09,2.38,4.44,6.0,5.44,4.16,3.91,4.66,4.38,2.69,1.31,0.94,-0.03,-2.44,-4.47,-4.81,-5.0,-7.34,-9.38,-9.44,-8.72,-8.53,-8.41,-6.78,-3.38,-0.62,1.22,4.16,8.25,11.5,11.88,12.09,12.81,13.19,10.78,8.25,6.81,5.5,2.66,-0.81,-3.16,-4.53,-6.47,-9.19,-11.06,-10.81,-10.78,-12.19,-13.62,-13.22,-12.47,-13.47,-14.31,-13.44,-12.03,-12.38,-13.69,-13.66,-12.31,-11.56,-10.94,-9.44,-5.97,-2.47,-1.47,-1.31,0.03,1.47,0.75,-0.28,0.44,1.66,1.12,-0.97,-2.84,-3.94,-5.94,-9.19,-12.25,-13.38,-14.25,-17.22,-20.56,-21.94,-22.38,-23.56,-24.75,-23.47,-20.22,-17.72,-16.12,-13.47,-9.44,-6.88,-6.28,-6.34,-5.47,-4.81,-5.81,-6.91,-5.94,-3.81,-2.84,-2.09,-0.44,1.97,2.88,1.44,-0.03,-0.41,-0.91,-2.75,-3.53,-2.19,-0.62,-0.59,-1.84,-1.97,-1.94,-3.59,-6.78,-9.06,-9.84,-11.09,-12.94,-13.31,-11.03,-7.91,-5.75,-4.06,-1.22,1.53,1.72,0.88,0.94,1.62,0.94,-0.97,-2.66,-3.41,-5.16,-8.59,-11.38,-12.06,-12.31,-13.41,-14.09,-13.0,-10.97,-10.31,-10.28,-8.72,-5.72,-3.62,-2.06,-0.22,2.25,2.97,1.03,-2.09,-4.19,-6.31,-9.62,-12.62,-13.72,-14.12,-15.59,-18.16,-19.5,-19.31,-20.0,-21.09,-21.25,-18.97,-16.94,-16.06,-15.22,-13.0,-10.94,-10.78,-11.47,-10.75,-9.44,-9.41,-10.22,-10.0,-7.97,-7.12,-7.75,-8.69,-8.88,-9.62,-11.94,-13.59,-12.25,-10.0,-8.91,-8.72,-8.47,-8.97,-11.31,-15.91,-19.25,-20.88,-22.81,-25.69,-27.5,-26.78,-25.56,-25.41,11.84,7.94,2.97,-2.69,-8.09,-12.5,-14.34,-13.53,-11.31,-8.09,-4.59,-1.72,0.5,1.78:-8.5,-7.0,-5.47,-6.0,-8.16,-10.09,-10.72,-11.88,-13.88,-15.09,-14.62,-14.28,-16.09,-17.72,-17.84,-17.16,-17.91,-18.75,-18.06,-16.44,-15.94,-16.75,-17.19,-16.75,-17.25,-18.78,-19.16,-17.25,-14.09,-12.06,-9.47,-5.12,-0.69,1.66,2.59,3.12,3.53,2.28,-0.75,-2.62,-2.59,-2.31,-3.47,-4.16,-3.78,-3.78,-6.31,-8.72,-9.5,-8.94,-8.88,-8.56,-7.12,-4.69,-2.88,-2.72,-2.25,-0.75,0.19,-0.72,-1.81,-0.78,0.41,-0.12,-0.97,-0.97,0.0,-1.0,-2.97,-3.56,-2.81,-3.44,-5.88,-8.28,-9.75,-11.44,-14.53,-16.91,-16.22,-14.22,-13.28,-12.41,-10.0,-7.03,-5.81,-5.88,-4.56,-1.47,0.72,1.78,3.88,6.69,8.53,8.28,7.19,7.28,7.34,5.59,3.5,2.75,2.78,1.34,-1.41,-3.31,-4.22,-5.47,-8.5,-11.09,-12.16,-13.66,-17.0,-19.88,-20.22,-19.59,-18.88,-17.97,-15.19,-11.44,-9.19,-8.88,-8.56,-7.34,-7.31,-8.47,-9.44,-8.5,-7.62,-8.5,-9.44,-8.91,-7.81,-8.06,-8.84,-8.44,-6.72,-5.56,-5.12,-4.16,-1.19,0.38,-0.12,-1.59,-2.56,-3.78,-7.25,-11.22,-13.16,-13.69,-13.97,-14.34,-12.5,-8.72,-5.88,-4.53,-3.09,-1.0,0.16,-0.81,-1.69,-0.84,0.44,-0.03,-1.12,-1.53,-1.97,-3.75,-6.38,-7.69,-6.81,-6.31,-6.41,-5.97,-4.12,-2.81,-3.06,-3.47,-2.47,-1.03,-0.69,-1.09,-0.09,1.88,3.12,2.78,2.97,3.97,3.38,0.94,-1.91,-3.31,-4.47,-6.91,-9.41,-10.28,-10.5,-11.41,-12.62,-11.88,-9.75,-7.94,-6.88,-5.44,-2.31,-0.03,0.72,0.62,2.09,3.28,2.94,2.0,2.03,2.81,2.31,0.88,0.75,1.31,1.47,0.03,-1.41,-0.47,-0.41,-2.09,-4.44,-5.5,-6.38,-8.31,-9.94,-9.66,-7.12,-5.06,-3.5,-0.94,3.12,6.28,7.44,8.59,10.97,12.53,12.5,11.16,11.19,10.94,8.75,5.41,2.62,0.84,-1.53,-4.5,-5.72,-4.59,-3.41,-3.62,-4.12,-2.88,-1.69,-1.69,-2.25,-0.59,1.91,3.0,3.06,3.69,5.28,6.16,6.03,7.47,11.28,15.22,17.28,18.81,21.28,22.16,20.62,17.25,14.19,11.16,7.09,2.69,0.09,-0.53,-1.34,-2.97,-3.53,-2.38,-0.91,-1.44,-1.22,0.28,2.16,3.12,3.44,4.94,6.91,7.41,6.22,5.41,5.84,5.62,3.62,2.19,2.72,3.25,1.97,0.25,-0.03,-0.34,-1.56,-3.41,-3.41,-2.31,-1.97,-2.62,-2.81,-1.34,-0.34,-0.78,-0.75,0.59,2.22,2.22,2.56,4.88,8.0,10.38,12.03,14.03,16.41,17.66,17.12,16.84,17.44,17.25,14.94,12.56,11.75,11.88,9.94,7.06,5.19,3.19,0.47,-2.78,-3.62,-2.19,-0.47,-0.03,1.53,4.5,6.94,7.44,6.94,7.34,7.88,6.75,5.25,5.34,6.06,6.12,5.06,5.03,5.81,6.16,4.94,3.97,3.97,3.62,1.28,-1.5,-3.22,-4.78,-7.22,-10.19,-11.19,-10.66,-10.25,-10.28,-8.94,-6.47,-4.19,-3.78,-2.91,-0.47,2.09,3.31,4.22,6.38,8.34,8.78,7.81,7.34,7.47,6.66,4.94,3.78,3.59,3.03,0.84,-1.38,-1.88,-2.0,-3.16,-4.41,-4.41,-3.81,-3.59,-4.12,-3.47,-1.62,0.09,0.47,1.72,4.16,6.34,6.16,5.22,5.44,5.84,5.28,4.38,5.03,6.25,6.38,4.84,4.0,4.38,4.38,3.22,2.31,2.44,2.59,1.22,-0.84,-1.09,-0.09,0.12,0.19,1.53,3.28,3.72,2.44,1.66,2.38,3.25,3.06,4.06,6.41,8.91,9.72,10.0,10.88,11.78,11.56,10.09,9.62,9.78,9.19,6.97,5.47,5.69,6.78,6.81,7.09,8.31,9.38,7.56,4.88,2.75,1.78,0.16,-1.91,-2.22,-0.34,1.53,2.72,4.94,7.91,11.41,12.81,13.53,14.66,15.34,13.91,10.97,8.59,6.81,4.41,1.31,-0.97,-1.94,-2.91,-5.22,-6.75,-6.09,-4.66,-4.22,-3.59,-1.53,1.28,2.56,3.12,5.09,7.56,8.75,8.38,7.94,8.06,7.81,5.75,3.53,2.81,2.09,-0.03,-2.88,-4.47,-5.47,-7.31,-9.97,-11.38,-11.62,-11.78,-12.34,-12.16,-9.94,-8.0,-7.44,-7.56,-6.75,-5.72,-5.78,-5.66,-4.31,-1.28,0.53,1.38,2.78,4.72,5.78,4.91,4.44,4.88,5.47,4.25,2.56,1.97,2.0,0.62,-1.06,-1.38,-0.47,-0.22,-1.0,-1.47,-0.78,-0.44,-2.0,-3.62,-4.16,-4.19,-5.38,-6.75,-6.09,-4.5,-3.66,-3.56,-2.78,-1.22,-1.06,-2.06,-3.41,-3.25,-3.59,-5.19,-6.75,-6.28,-5.12,-5.0,-5.31,-4.44,-2.78,-2.59,-3.38,-3.47,-2.06,-1.41,-1.81,-1.94,-0.53,0.66,0.19,-0.44,0.03,1.19,0.88,-0.38,-0.59,-0.5,-1.62,-3.75,-5.53,-5.31,-5.16,-5.56,-5.66,-3.75,-1.78,-1.69,-2.28,-1.97,-1.22,-1.75,-2.38,-1.5,0.69,2.56,3.44,4.44,6.25,6.97,5.53,3.0,1.56,-0.03,-2.84,-5.69,-6.72,-5.94,-5.28,-5.19,-3.84,-1.59,-0.22,0.0,0.72,3.22,6.03,8.12,9.72,12.41,14.66,14.62,13.0,11.28,10.44,8.69,6.47,5.53,5.59,5.31,3.47,1.53,0.97,0.72,-0.47,-1.44,-0.66,0.97,1.19,0.47,0.19,0.38,-0.31,-2.25,-3.53,-2.94,-2.78,-3.78,-4.78,-3.75,-2.53,-2.09,-1.88,0.25,2.91,4.34,4.38,4.75,5.84,5.75,3.94,2.34,1.91,1.16,-1.44,-4.28,-4.91,-4.62,-4.66,-4.94,-3.66,-1.56,-0.72,-0.91,-0.31,1.56,2.66,2.53,2.59,4.59,6.91,7.81,8.34,9.66,10.56,9.53,7.12,5.75,5.59,4.81,3.34,3.06,4.25,4.75,4.22,3.47,4.0,4.31,3.44,1.5,1.25,1.5,0.88,-0.75,-0.72,0.44,1.31,1.06,1.94,4.0,5.59,5.5,5.47,7.03,8.47,8.69,7.34,6.41,5.38,2.59,-1.12,-2.94,-3.0,-2.0,-1.56,-0.09,2.97,5.88,7.38,8.19,10.47,12.38,12.59,11.47,11.19,11.47,10.75,8.88,8.12,9.0,9.25,8.28,7.56,8.25,8.25,6.47,3.97,3.31,2.97,1.69,0.06,0.5,2.31,3.31,3.41,4.16,5.59,6.25,4.59,3.0,2.88,2.72,1.38,-1.03,-2.0,-3.0,-5.06,-7.62,-8.5,-7.41,-5.94,-5.69,-4.62,-2.62,-1.12,-2.09,-3.78,-4.62,-5.72,-8.31,-11.5,-12.31,-11.91,-11.66,-11.53,-10.44,-7.84,-6.06,-5.88,-5.06,-2.81,-0.97,-0.72,-0.94,0.16,1.28,1.0,0.06,0.44,1.78,2.19,1.5,1.75,3.19,3.5,1.88,0.09,-0.66,-1.09,-3.0,-4.53,-3.69,-1.94,-0.97,-0.72,0.62,2.78,3.69,2.91,2.34,2.69,2.41,0.38,-1.69,-2.47,-2.88,-4.75,-6.91,-7.09,-6.25,-5.84,-6.28,-5.81,-3.62,-2.41,-2.5,-1.59,0.66,2.75,3.31,3.75,5.69,7.53,7.5,6.91,6.75,7.16,6.0,2.97,0.81,-0.44,-1.78,-4.41,-5.41,-4.56,-3.5,-4.78,-6.0,-5.97,-5.47,-5.88,-6.56,-6.12,-4.72,-3.75,-4.0,-3.31,-1.25,0.72,0.69,1.12,2.88,4.41,3.94,2.75,2.94,3.78,3.12,1.25,0.44,0.56,-0.38,-2.59,-3.56,-3.06,-2.38,-2.84,-3.06,-1.38,0.31,0.06,-0.44,0.12,1.44,1.41,0.0,-0.75,-0.56,-1.38,-3.22,-4.22,-2.41,0.06,1.09,2.38,4.44,6.0,5.44,4.16,3.91,4.66,4.38,2.69,1.31,0.94,-0.03,-2.44,-4.47,-4.81,-5.0,-7.34,-9.38,-9.44,-8.72,-8.53,-8.41,-6.78,-3.38,-0.62,1.22,4.16,8.25,11.5,11.88,12.09,12.81,13.19,10.78,8.25,6.81,5.5,2.66,-0.81,-3.16,-4.53,-6.47,-9.19,-11.06,-10.81,-10.78,-12.19,-13.62,-13.22,-12.47,-13.47,-14.31,-13.44,-12.03,-12.38,-13.69,-13.66,-12.31,-11.56,-10.94,-9.44,-5.97,-2.47,-1.47,-1.31,0.03,1.47,0.75,-0.28,0.44,1.66,1.12,-0.97,-2.84,-3.94,-5.94,-9.19,-12.25,-13.38,-14.25,-17.22,-20.56,-21.94,-22.38,-23.56,-24.75,-23.47,-20.22,-17.72,-16.12,-13.47,-9.44,-6.88,-6.28,-6.34,-5.47,-4.81,-5.81,-6.91,-5.94,-3.81,-2.84,-2.09,-0.44,1.97,2.88,1.44,-0.03,-0.41,-0.91,-2.75,-3.53,-2.19,-0.62,-0.59,-1.84,-1.97,-1.94,-3.59,-6.78,-9.06,-9.84,-11.09,-12.94,-13.31,-11.03,-7.91,-5.75,-4.06,-1.22,1.53,1.72,0.88,0.94,1.62,0.94,-0.97,-2.66,-3.41,-5.16,-8.59,-11.38,-12.06,-12.31,-13.41,-14.09,-13.0,-10.97,-10.31,-10.28,-8.72,-5.72,-3.62,-2.06,-0.22,2.25,2.97,1.03,-2.09,-4.19,-6.31,-9.62,-12.62,-13.72,-14.12,-15.59,-18.16,-19.5,-19.31,-20.0,-21.09,-21.25,-18.97,-16.94,-16.06,-15.22,-13.0,-10.94,-10.78,-11.47,-10.75,-9.44,-9.41,-10.22,-10.0,-7.97,-7.12,-7.75,-8.69,-8.88,-9.62,-11.94,-13.59,-12.25,-10.0,-8.91,-8.72,-8.47,-8.97,-11.31,-15.91,-19.25,-20.88,-22.81,-25.69,-27.5,-26.78,-25.56,-25.41,11.84,7.94,2.97,-2.69,-8.09,-12.5,-14.34,-13.53,-11.31,-8.09,-4.59,-1.72,0.5,1.78,2.25,3.19,5.0,7.06,8.66,10.75,13.12:-11.88,-13.88,-15.09,-14.62,-14.28,-16.09,-17.72,-17.84,-17.16,-17.91,-18.75,-18.06,-16.44,-15.94,-16.75,-17.19,-16.75,-17.25,-18.78,-19.16,-17.25,-14.09,-12.06,-9.47,-5.12,-0.69,1.66,2.59,3.12,3.53,2.28,-0.75,-2.62,-2.59,-2.31,-3.47,-4.16,-3.78,-3.78,-6.31,-8.72,-9.5,-8.94,-8.88,-8.56,-7.12,-4.69,-2.88,-2.72,-2.25,-0.75,0.19,-0.72,-1.81,-0.78,0.41,-0.12,-0.97,-0.97,0.0,-1.0,-2.97,-3.56,-2.81,-3.44,-5.88,-8.28,-9.75,-11.44,-14.53,-16.91,-16.22,-14.22,-13.28,-12.41,-10.0,-7.03,-5.81,-5.88,-4.56,-1.47,0.72,1.78,3.88,6.69,8.53,8.28,7.19,7.28,7.34,5.59,3.5,2.75,2.78,1.34,-1.41,-3.31,-4.22,-5.47,-8.5,-11.09,-12.16,-13.66,-17.0,-19.88,-20.22,-19.59,-18.88,-17.97,-15.19,-11.44,-9.19,-8.88,-8.56,-7.34,-7.31,-8.47,-9.44,-8.5,-7.62,-8.5,-9.44,-8.91,-7.81,-8.06,-8.84,-8.44,-6.72,-5.56,-5.12,-4.16,-1.19,0.38,-0.12,-1.59,-2.56,-3.78,-7.25,-11.22,-13.16,-13.69,-13.97,-14.34,-12.5,-8.72,-5.88,-4.53,-3.09,-1.0,0.16,-0.81,-1.69,-0.84,0.44,-0.03,-1.12,-1.53,-1.97,-3.75,-6.38,-7.69,-6.81,-6.31,-6.41,-5.97,-4.12,-2.81,-3.06,-3.47,-2.47,-1.03,-0.69,-1.09,-0.09,1.88,3.12,2.78,2.97,3.97,3.38,0.94,-1.91,-3.31,-4.47,-6.91,-9.41,-10.28,-10.5,-11.41,-12.62,-11.88,-9.75,-7.94,-6.88,-5.44,-2.31,-0.03,0.72,0.62,2.09,3.28,2.94,2.0,2.03,2.81,2.31,0.88,0.75,1.31,1.47,0.03,-1.41,-0.47,-0.41,-2.09,-4.44,-5.5,-6.38,-8.31,-9.94,-9.66,-7.12,-5.06,-3.5,-0.94,3.12,6.28,7.44,8.59,10.97,12.53,12.5,11.16,11.19,10.94,8.75,5.41,2.62,0.84,-1.53,-4.5,-5.72,-4.59,-3.41,-3.62,-4.12,-2.88,-1.69,-1.69,-2.25,-0.59,1.91,3.0,3.06,3.69,5.28,6.16,6.03,7.47,11.28,15.22,17.28,18.81,21.28,22.16,20.62,17.25,14.19,11.16,7.09,2.69,0.09,-0.53,-1.34,-2.97,-3.53,-2.38,-0.91,-1.44,-1.22,0.28,2.16,3.12,3.44,4.94,6.91,7.41,6.22,5.41,5.84,5.62,3.62,2.19,2.72,3.25,1.97,0.25,-0.03,-0.34,-1.56,-3.41,-3.41,-2.31,-1.97,-2.62,-2.81,-1.34,-0.34,-0.78,-0.75,0.59,2.22,2.22,2.56,4.88,8.0,10.38,12.03,14.03,16.41,17.66,17.12,16.84,17.44,17.25,14.94,12.56,11.75,11.88,9.94,7.06,5.19,3.19,0.47,-2.78,-3.62,-2.19,-0.47,-0.03,1.53,4.5,6.94,7.44,6.94,7.34,7.88,6.75,5.25,5.34,6.06,6.12,5.06,5.03,5.81,6.16,4.94,3.97,3.97,3.62,1.28,-1.5,-3.22,-4.78,-7.22,-10.19,-11.19,-10.66,-10.25,-10.28,-8.94,-6.47,-4.19,-3.78,-2.91,-0.47,2.09,3.31,4.22,6.38,8.34,8.78,7.81,7.34,7.47,6.66,4.94,3.78,3.59,3.03,0.84,-1.38,-1.88,-2.0,-3.16,-4.41,-4.41,-3.81,-3.59,-4.12,-3.47,-1.62,0.09,0.47,1.72,4.16,6.34,6.16,5.22,5.44,5.84,5.28,4.38,5.03,6.25,6.38,4.84,4.0,4.38,4.38,3.22,2.31,2.44,2.59,1.22,-0.84,-1.09,-0.09,0.12,0.19,1.53,3.28,3.72,2.44,1.66,2.38,3.25,3.06,4.06,6.41,8.91,9.72,10.0,10.88,11.78,11.56,10.09,9.62,9.78,9.19,6.97,5.47,5.69,6.78,6.81,7.09,8.31,9.38,7.56,4.88,2.75,1.78,0.16,-1.91,-2.22,-0.34,1.53,2.72,4.94,7.91,11.41,12.81,13.53,14.66,15.34,13.91,10.97,8.59,6.81,4.41,1.31,-0.97,-1.94,-2.91,-5.22,-6.75,-6.09,-4.66,-4.22,-3.59,-1.53,1.28,2.56,3.12,5.09,7.56,8.75,8.38,7.94,8.06,7.81,5.75,3.53,2.81,2.09,-0.03,-2.88,-4.47,-5.47,-7.31,-9.97,-11.38,-11.62,-11.78,-12.34,-12.16,-9.94,-8.0,-7.44,-7.56,-6.75,-5.72,-5.78,-5.66,-4.31,-1.28,0.53,1.38,2.78,4.72,5.78,4.91,4.44,4.88,5.47,4.25,2.56,1.97,2.0,0.62,-1.06,-1.38,-0.47,-0.22,-1.0,-1.47,-0.78,-0.44,-2.0,-3.62,-4.16,-4.19,-5.38,-6.75,-6.09,-4.5,-3.66,-3.56,-2.78,-1.22,-1.06,-2.06,-3.41,-3.25,-3.59,-5.19,-6.75,-6.28,-5.12,-5.0,-5.31,-4.44,-2.78,-2.59,-3.38,-3.47,-2.06,-1.41,-1.81,-1.94,-0.53,0.66,0.19,-0.44,0.03,1.19,0.88,-0.38,-0.59,-0.5,-1.62,-3.75,-5.53,-5.31,-5.16,-5.56,-5.66,-3.75,-1.78,-1.69,-2.28,-1.97,-1.22,-1.75,-2.38,-1.5,0.69,2.56,3.44,4.44,6.25,6.97,5.53,3.0,1.56,-0.03,-2.84,-5.69,-6.72,-5.94,-5.28,-5.19,-3.84,-1.59,-0.22,0.0,0.72,3.22,6.03,8.12,9.72,12.41,14.66,14.62,13.0,11.28,10.44,8.69,6.47,5.53,5.59,5.31,3.47,1.53,0.97,0.72,-0.47,-1.44,-0.66,0.97,1.19,0.47,0.19,0.38,-0.31,-2.25,-3.53,-2.94,-2.78,-3.78,-4.78,-3.75,-2.53,-2.09,-1.88,0.25,2.91,4.34,4.38,4.75,5.84,5.75,3.94,2.34,1.91,1.16,-1.44,-4.28,-4.91,-4.62,-4.66,-4.94,-3.66,-1.56,-0.72,-0.91,-0.31,1.56,2.66,2.53,2.59,4.59,6.91,7.81,8.34,9.66,10.56,9.53,7.12,5.75,5.59,4.81,3.34,3.06,4.25,4.75,4.22,3.47,4.0,4.31,3.44,1.5,1.25,1.5,0.88,-0.75,-0.72,0.44,1.31,1.06,1.94,4.0,5.59,5.5,5.47,7.03,8.47,8.69,7.34,6.41,5.38,2.59,-1.12,-2.94,-3.0,-2.0,-1.56,-0.09,2.97,5.88,7.38,8.19,10.47,12.38,12.59,11.47,11.19,11.47,10.75,8.88,8.12,9.0,9.25,8.28,7.56,8.25,8.25,6.47,3.97,3.31,2.97,1.69,0.06,0.5,2.31,3.31,3.41,4.16,5.59,6.25,4.59,3.0,2.88,2.72,1.38,-1.03,-2.0,-3.0,-5.06,-7.62,-8.5,-7.41,-5.94,-5.69,-4.62,-2.62,-1.12,-2.09,-3.78,-4.62,-5.72,-8.31,-11.5,-12.31,-11.91,-11.66,-11.53,-10.44,-7.84,-6.06,-5.88,-5.06,-2.81,-0.97,-0.72,-0.94,0.16,1.28,1.0,0.06,0.44,1.78,2.19,1.5,1.75,3.19,3.5,1.88,0.09,-0.66,-1.09,-3.0,-4.53,-3.69,-1.94,-0.97,-0.72,0.62,2.78,3.69,2.91,2.34,2.69,2.41,0.38,-1.69,-2.47,-2.88,-4.75,-6.91,-7.09,-6.25,-5.84,-6.28,-5.81,-3.62,-2.41,-2.5,-1.59,0.66,2.75,3.31,3.75,5.69,7.53,7.5,6.91,6.75,7.16,6.0,2.97,0.81,-0.44,-1.78,-4.41,-5.41,-4.56,-3.5,-4.78,-6.0,-5.97,-5.47,-5.88,-6.56,-6.12,-4.72,-3.75,-4.0,-3.31,-1.25,0.72,0.69,1.12,2.88,4.41,3.94,2.75,2.94,3.78,3.12,1.25,0.44,0.56,-0.38,-2.59,-3.56,-3.06,-2.38,-2.84,-3.06,-1.38,0.31,0.06,-0.44,0.12,1.44,1.41,0.0,-0.75,-0.56,-1.38,-3.22,-4.22,-2.41,0.06,1.09,2.38,4.44,6.0,5.44,4.16,3.91,4.66,4.38,2.69,1.31,0.94,-0.03,-2.44,-4.47,-4.81,-5.0,-7.34,-9.38,-9.44,-8.72,-8.53,-8.41,-6.78,-3.38,-0.62,1.22,4.16,8.25,11.5,11.88,12.09,12.81,13.19,10.78,8.25,6.81,5.5,2.66,-0.81,-3.16,-4.53,-6.47,-9.19,-11.06,-10.81,-10.78,-12.19,-13.62,-13.22,-12.47,-13.47,-14.31,-13.44,-12.03,-12.38,-13.69,-13.66,-12.31,-11.56,-10.94,-9.44,-5.97,-2.47,-1.47,-1.31,0.03,1.47,0.75,-0.28,0.44,1.66,1.12,-0.97,-2.84,-3.94,-5.94,-9.19,-12.25,-13.38,-14.25,-17.22,-20.56,-21.94,-22.38,-23.56,-24.75,-23.47,-20.22,-17.72,-16.12,-13.47,-9.44,-6.88,-6.28,-6.34,-5.47,-4.81,-5.81,-6.91,-5.94,-3.81,-2.84,-2.09,-0.44,1.97,2.88,1.44,-0.03,-0.41,-0.91,-2.75,-3.53,-2.19,-0.62,-0.59,-1.84,-1.97,-1.94,-3.59,-6.78,-9.06,-9.84,-11.09,-12.94,-13.31,-11.03,-7.91,-5.75,-4.06,-1.22,1.53,1.72,0.88,0.94,1.62,0.94,-0.97,-2.66,-3.41,-5.16,-8.59,-11.38,-12.06,-12.31,-13.41,-14.09,-13.0,-10.97,-10.31,-10.28,-8.72,-5.72,-3.62,-2.06,-0.22,2.25,2.97,1.03,-2.09,-4.19,-6.31,-9.62,-12.62,-13.72,-14.12,-15.59,-18.16,-19.5,-19.31,-20.0,-21.09,-21.25,-18.97,-16.94,-16.06,-15.22,-13.0,-10.94,-10.78,-11.47,-10.75,-9.44,-9.41,-10.22,-10.0,-7.97,-7.12,-7.75,-8.69,-8.88,-9.62,-11.94,-13.59,-12.25,-10.0,-8.91,-8.72,-8.47,-8.97,-11.31,-15.91,-19.25,-20.88,-22.81,-25.69,-27.5,-26.78,-25.56,-25.41,11.84,7.94,2.97,-2.69,-8.09,-12.5,-14.34,-13.53,-11.31,-8.09,-4.59,-1.72,0.5,1.78,2.25,3.19,5.0,7.06,8.66,10.75,13.12,14.56,14.59,14.41,13.84,12.66,10.12,7.28:-17.84,-17.16,-17.91,-18.75,-18.06,-16.44,-15.94,-16.75,-17.19,-16.75,-17.25,-18.78,-19.16,-17.25,-14.09,-12.06,-9.47,-5.12,-0.69,1.66,2.59,3.12,3.53,2.28,-0.75,-2.62,-2.59,-2.31,-3.47,-4.16,-3.78,-3.78,-6.31,-8.72,-9.5,-8.94,-8.88,-8.56,-7.12,-4.69,-2.88,-2.72,-2.25,-0.75,0.19,-0.72,-1.81,-0.78,0.41,-0.12,-0.97,-0.97,0.0,-1.0,-2.97,-3.56,-2.81,-3.44,-5.88,-8.28,-9.75,-11.44,-14.53,-16.91,-16.22,-14.22,-13.28,-12.41,-10.0,-7.03,-5.81,-5.88,-4.56,-1.47,0.72,1.78,3.88,6.69,8.53,8.28,7.19,7.28,7.34,5.59,3.5,2.75,2.78,1.34,-1.41,-3.31,-4.22,-5.47,-8.5,-11.09,-12.16,-13.66,-17.0,-19.88,-20.22,-19.59,-18.88,-17.97,-15.19,-11.44,-9.19,-8.88,-8.56,-7.34,-7.31,-8.47,-9.44,-8.5,-7.62,-8.5,-9.44,-8.91,-7.81,-8.06,-8.84,-8.44,-6.72,-5.56,-5.12,-4.16,-1.19,0.38,-0.12,-1.59,-2.56,-3.78,-7.25,-11.22,-13.16,-13.69,-13.97,-14.34,-12.5,-8.72,-5.88,-4.53,-3.09,-1.0,0.16,-0.81,-1.69,-0.84,0.44,-0.03,-1.12,-1.53,-1.97,-3.75,-6.38,-7.69,-6.81,-6.31,-6.41,-5.97,-4.12,-2.81,-3.06,-3.47,-2.47,-1.03,-0.69,-1.09,-0.09,1.88,3.12,2.78,2.97,3.97,3.38,0.94,-1.91,-3.31,-4.47,-6.91,-9.41,-10.28,-10.5,-11.41,-12.62,-11.88,-9.75,-7.94,-6.88,-5.44,-2.31,-0.03,0.72,0.62,2.09,3.28,2.94,2.0,2.03,2.81,2.31,0.88,0.75,1.31,1.47,0.03,-1.41,-0.47,-0.41,-2.09,-4.44,-5.5,-6.38,-8.31,-9.94,-9.66,-7.12,-5.06,-3.5,-0.94,3.12,6.28,7.44,8.59,10.97,12.53,12.5,11.16,11.19,10.94,8.75,5.41,2.62,0.84,-1.53,-4.5,-5.72,-4.59,-3.41,-3.62,-4.12,-2.88,-1.69,-1.69,-2.25,-0.59,1.91,3.0,3.06,3.69,5.28,6.16,6.03,7.47,11.28,15.22,17.28,18.81,21.28,22.16,20.62,17.25,14.19,11.16,7.09,2.69,0.09,-0.53,-1.34,-2.97,-3.53,-2.38,-0.91,-1.44,-1.22,0.28,2.16,3.12,3.44,4.94,6.91,7.41,6.22,5.41,5.84,5.62,3.62,2.19,2.72,3.25,1.97,0.25,-0.03,-0.34,-1.56,-3.41,-3.41,-2.31,-1.97,-2.62,-2.81,-1.34,-0.34,-0.78,-0.75,0.59,2.22,2.22,2.56,4.88,8.0,10.38,12.03,14.03,16.41,17.66,17.12,16.84,17.44,17.25,14.94,12.56,11.75,11.88,9.94,7.06,5.19,3.19,0.47,-2.78,-3.62,-2.19,-0.47,-0.03,1.53,4.5,6.94,7.44,6.94,7.34,7.88,6.75,5.25,5.34,6.06,6.12,5.06,5.03,5.81,6.16,4.94,3.97,3.97,3.62,1.28,-1.5,-3.22,-4.78,-7.22,-10.19,-11.19,-10.66,-10.25,-10.28,-8.94,-6.47,-4.19,-3.78,-2.91,-0.47,2.09,3.31,4.22,6.38,8.34,8.78,7.81,7.34,7.47,6.66,4.94,3.78,3.59,3.03,0.84,-1.38,-1.88,-2.0,-3.16,-4.41,-4.41,-3.81,-3.59,-4.12,-3.47,-1.62,0.09,0.47,1.72,4.16,6.34,6.16,5.22,5.44,5.84,5.28,4.38,5.03,6.25,6.38,4.84,4.0,4.38,4.38,3.22,2.31,2.44,2.59,1.22,-0.84,-1.09,-0.09,0.12,0.19,1.53,3.28,3.72,2.44,1.66,2.38,3.25,3.06,4.06,6.41,8.91,9.72,10.0,10.88,11.78,11.56,10.09,9.62,9.78,9.19,6.97,5.47,5.69,6.78,6.81,7.09,8.31,9.38,7.56,4.88,2.75,1.78,0.16,-1.91,-2.22,-0.34,1.53,2.72,4.94,7.91,11.41,12.81,13.53,14.66,15.34,13.91,10.97,8.59,6.81,4.41,1.31,-0.97,-1.94,-2.91,-5.22,-6.75,-6.09,-4.66,-4.22,-3.59,-1.53,1.28,2.56,3.12,5.09,7.56,8.75,8.38,7.94,8.06,7.81,5.75,3.53,2.81,2.09,-0.03,-2.88,-4.47,-5.47,-7.31,-9.97,-11.38,-11.62,-11.78,-12.34,-12.16,-9.94,-8.0,-7.44,-7.56,-6.75,-5.72,-5.78,-5.66,-4.31,-1.28,0.53,1.38,2.78,4.72,5.78,4.91,4.44,4.88,5.47,4.25,2.56,1.97,2.0,0.62,-1.06,-1.38,-0.47,-0.22,-1.0,-1.47,-0.78,-0.44,-2.0,-3.62,-4.16,-4.19,-5.38,-6.75,-6.09,-4.5,-3.66,-3.56,-2.78,-1.22,-1.06,-2.06,-3.41,-3.25,-3.59,-5.19,-6.75,-6.28,-5.12,-5.0,-5.31,-4.44,-2.78,-2.59,-3.38,-3.47,-2.06,-1.41,-1.81,-1.94,-0.53,0.66,0.19,-0.44,0.03,1.19,0.88,-0.38,-0.59,-0.5,-1.62,-3.75,-5.53,-5.31,-5.16,-5.56,-5.66,-3.75,-1.78,-1.69,-2.28,-1.97,-1.22,-1.75,-2.38,-1.5,0.69,2.56,3.44,4.44,6.25,6.97,5.53,3.0,1.56,-0.03,-2.84,-5.69,-6.72,-5.94,-5.28,-5.19,-3.84,-1.59,-0.22,0.0,0.72,3.22,6.03,8.12,9.72,12.41,14.66,14.62,13.0,11.28,10.44,8.69,6.47,5.53,5.59,5.31,3.47,1.53,0.97,0.72,-0.47,-1.44,-0.66,0.97,1.19,0.47,0.19,0.38,-0.31,-2.25,-3.53,-2.94,-2.78,-3.78,-4.78,-3.75,-2.53,-2.09,-1.88,0.25,2.91,4.34,4.38,4.75,5.84,5.75,3.94,2.34,1.91,1.16,-1.44,-4.28,-4.91,-4.62,-4.66,-4.94,-3.66,-1.56,-0.72,-0.91,-0.31,1.56,2.66,2.53,2.59,4.59,6.91,7.81,8.34,9.66,10.56,9.53,7.12,5.75,5.59,4.81,3.34,3.06,4.25,4.75,4.22,3.47,4.0,4.31,3.44,1.5,1.25,1.5,0.88,-0.75,-0.72,0.44,1.31,1.06,1.94,4.0,5.59,5.5,5.47,7.03,8.47,8.69,7.34,6.41,5.38,2.59,-1.12,-2.94,-3.0,-2.0,-1.56,-0.09,2.97,5.88,7.38,8.19,10.47,12.38,12.59,11.47,11.19,11.47,10.75,8.88,8.12,9.0,9.25,8.28,7.56,8.25,8.25,6.47,3.97,3.31,2.97,1.69,0.06,0.5,2.31,3.31,3.41,4.16,5.59,6.25,4.59,3.0,2.88,2.72,1.38,-1.03,-2.0,-3.0,-5.06,-7.62,-8.5,-7.41,-5.94,-5.69,-4.62,-2.62,-1.12,-2.09,-3.78,-4.62,-5.72,-8.31,-11.5,-12.31,-11.91,-11.66,-11.53,-10.44,-7.84,-6.06,-5.88,-5.06,-2.81,-0.97,-0.72,-0.94,0.16,1.28,1.0,0.06,0.44,1.78,2.19,1.5,1.75,3.19,3.5,1.88,0.09,-0.66,-1.09,-3.0,-4.53,-3.69,-1.94,-0.97,-0.72,0.62,2.78,3.69,2.91,2.34,2.69,2.41,0.38,-1.69,-2.47,-2.88,-4.75,-6.91,-7.09,-6.25,-5.84,-6.28,-5.81,-3.62,-2.41,-2.5,-1.59,0.66,2.75,3.31,3.75,5.69,7.53,7.5,6.91,6.75,7.16,6.0,2.97,0.81,-0.44,-1.78,-4.41,-5.41,-4.56,-3.5,-4.78,-6.0,-5.97,-5.47,-5.88,-6.56,-6.12,-4.72,-3.75,-4.0,-3.31,-1.25,0.72,0.69,1.12,2.88,4.41,3.94,2.75,2.94,3.78,3.12,1.25,0.44,0.56,-0.38,-2.59,-3.56,-3.06,-2.38,-2.84,-3.06,-1.38,0.31,0.06,-0.44,0.12,1.44,1.41,0.0,-0.75,-0.56,-1.38,-3.22,-4.22,-2.41,0.06,1.09,2.38,4.44,6.0,5.44,4.16,3.91,4.66,4.38,2.69,1.31,0.94,-0.03,-2.44,-4.47,-4.81,-5.0,-7.34,-9.38,-9.44,-8.72,-8.53,-8.41,-6.78,-3.38,-0.62,1.22,4.16,8.25,11.5,11.88,12.09,12.81,13.19,10.78,8.25,6.81,5.5,2.66,-0.81,-3.16,-4.53,-6.47,-9.19,-11.06,-10.81,-10.78,-12.19,-13.62,-13.22,-12.47,-13.47,-14.31,-13.44,-12.03,-12.38,-13.69,-13.66,-12.31,-11.56,-10.94,-9.44,-5.97,-2.47,-1.47,-1.31,0.03,1.47,0.75,-0.28,0.44,1.66,1.12,-0.97,-2.84,-3.94,-5.94,-9.19,-12.25,-13.38,-14.25,-17.22,-20.56,-21.94,-22.38,-23.56,-24.75,-23.47,-20.22,-17.72,-16.12,-13.47,-9.44,-6.88,-6.28,-6.34,-5.47,-4.81,-5.81,-6.91,-5.94,-3.81,-2.84,-2.09,-0.44,1.97,2.88,1.44,-0.03,-0.41,-0.91,-2.75,-3.53,-2.19,-0.62,-0.59,-1.84,-1.97,-1.94,-3.59,-6.78,-9.06,-9.84,-11.09,-12.94,-13.31,-11.03,-7.91,-5.75,-4.06,-1.22,1.53,1.72,0.88,0.94,1.62,0.94,-0.97,-2.66,-3.41,-5.16,-8.59,-11.38,-12.06,-12.31,-13.41,-14.09,-13.0,-10.97,-10.31,-10.28,-8.72,-5.72,-3.62,-2.06,-0.22,2.25,2.97,1.03,-2.09,-4.19,-6.31,-9.62,-12.62,-13.72,-14.12,-15.59,-18.16,-19.5,-19.31,-20.0,-21.09,-21.25,-18.97,-16.94,-16.06,-15.22,-13.0,-10.94,-10.78,-11.47,-10.75,-9.44,-9.41,-10.22,-10.0,-7.97,-7.12,-7.75,-8.69,-8.88,-9.62,-11.94,-13.59,-12.25,-10.0,-8.91,-8.72,-8.47,-8.97,-11.31,-15.91,-19.25,-20.88,-22.81,-25.69,-27.5,-26.78,-25.56,-25.41,11.84,7.94,2.97,-2.69,-8.09,-12.5,-14.34,-13.53,-11.31,-8.09,-4.59,-1.72,0.5,1.78,2.25,3.19,5.0,7.06,8.66,10.75,13.12,14.56,14.59,14.41,13.84,12.66,10.12,7.28,5.06,2.56,-0.16,-2.97,-4.84,-5.47,-5.41:-16.75,-17.19,-16.75,-17.25,-18.78,-19.16,-17.25,-14.09,-12.06,-9.47,-5.12,-0.69,1.66,2.59,3.12,3.53,2.28,-0.75,-2.62,-2.59,-2.31,-3.47,-4.16,-3.78,-3.78,-6.31,-8.72,-9.5,-8.94,-8.88,-8.56,-7.12,-4.69,-2.88,-2.72,-2.25,-0.75,0.19,-0.72,-1.81,-0.78,0.41,-0.12,-0.97,-0.97,0.0,-1.0,-2.97,-3.56,-2.81,-3.44,-5.88,-8.28,-9.75,-11.44,-14.53,-16.91,-16.22,-14.22,-13.28,-12.41,-10.0,-7.03,-5.81,-5.88,-4.56,-1.47,0.72,1.78,3.88,6.69,8.53,8.28,7.19,7.28,7.34,5.59,3.5,2.75,2.78,1.34,-1.41,-3.31,-4.22,-5.47,-8.5,-11.09,-12.16,-13.66,-17.0,-19.88,-20.22,-19.59,-18.88,-17.97,-15.19,-11.44,-9.19,-8.88,-8.56,-7.34,-7.31,-8.47,-9.44,-8.5,-7.62,-8.5,-9.44,-8.91,-7.81,-8.06,-8.84,-8.44,-6.72,-5.56,-5.12,-4.16,-1.19,0.38,-0.12,-1.59,-2.56,-3.78,-7.25,-11.22,-13.16,-13.69,-13.97,-14.34,-12.5,-8.72,-5.88,-4.53,-3.09,-1.0,0.16,-0.81,-1.69,-0.84,0.44,-0.03,-1.12,-1.53,-1.97,-3.75,-6.38,-7.69,-6.81,-6.31,-6.41,-5.97,-4.12,-2.81,-3.06,-3.47,-2.47,-1.03,-0.69,-1.09,-0.09,1.88,3.12,2.78,2.97,3.97,3.38,0.94,-1.91,-3.31,-4.47,-6.91,-9.41,-10.28,-10.5,-11.41,-12.62,-11.88,-9.75,-7.94,-6.88,-5.44,-2.31,-0.03,0.72,0.62,2.09,3.28,2.94,2.0,2.03,2.81,2.31,0.88,0.75,1.31,1.47,0.03,-1.41,-0.47,-0.41,-2.09,-4.44,-5.5,-6.38,-8.31,-9.94,-9.66,-7.12,-5.06,-3.5,-0.94,3.12,6.28,7.44,8.59,10.97,12.53,12.5,11.16,11.19,10.94,8.75,5.41,2.62,0.84,-1.53,-4.5,-5.72,-4.59,-3.41,-3.62,-4.12,-2.88,-1.69,-1.69,-2.25,-0.59,1.91,3.0,3.06,3.69,5.28,6.16,6.03,7.47,11.28,15.22,17.28,18.81,21.28,22.16,20.62,17.25,14.19,11.16,7.09,2.69,0.09,-0.53,-1.34,-2.97,-3.53,-2.38,-0.91,-1.44,-1.22,0.28,2.16,3.12,3.44,4.94,6.91,7.41,6.22,5.41,5.84,5.62,3.62,2.19,2.72,3.25,1.97,0.25,-0.03,-0.34,-1.56,-3.41,-3.41,-2.31,-1.97,-2.62,-2.81,-1.34,-0.34,-0.78,-0.75,0.59,2.22,2.22,2.56,4.88,8.0,10.38,12.03,14.03,16.41,17.66,17.12,16.84,17.44,17.25,14.94,12.56,11.75,11.88,9.94,7.06,5.19,3.19,0.47,-2.78,-3.62,-2.19,-0.47,-0.03,1.53,4.5,6.94,7.44,6.94,7.34,7.88,6.75,5.25,5.34,6.06,6.12,5.06,5.03,5.81,6.16,4.94,3.97,3.97,3.62,1.28,-1.5,-3.22,-4.78,-7.22,-10.19,-11.19,-10.66,-10.25,-10.28,-8.94,-6.47,-4.19,-3.78,-2.91,-0.47,2.09,3.31,4.22,6.38,8.34,8.78,7.81,7.34,7.47,6.66,4.94,3.78,3.59,3.03,0.84,-1.38,-1.88,-2.0,-3.16,-4.41,-4.41,-3.81,-3.59,-4.12,-3.47,-1.62,0.09,0.47,1.72,4.16,6.34,6.16,5.22,5.44,5.84,5.28,4.38,5.03,6.25,6.38,4.84,4.0,4.38,4.38,3.22,2.31,2.44,2.59,1.22,-0.84,-1.09,-0.09,0.12,0.19,1.53,3.28,3.72,2.44,1.66,2.38,3.25,3.06,4.06,6.41,8.91,9.72,10.0,10.88,11.78,11.56,10.09,9.62,9.78,9.19,6.97,5.47,5.69,6.78,6.81,7.09,8.31,9.38,7.56,4.88,2.75,1.78,0.16,-1.91,-2.22,-0.34,1.53,2.72,4.94,7.91,11.41,12.81,13.53,14.66,15.34,13.91,10.97,8.59,6.81,4.41,1.31,-0.97,-1.94,-2.91,-5.22,-6.75,-6.09,-4.66,-4.22,-3.59,-1.53,1.28,2.56,3.12,5.09,7.56,8.75,8.38,7.94,8.06,7.81,5.75,3.53,2.81,2.09,-0.03,-2.88,-4.47,-5.47,-7.31,-9.97,-11.38,-11.62,-11.78,-12.34,-12.16,-9.94,-8.0,-7.44,-7.56,-6.75,-5.72,-5.78,-5.66,-4.31,-1.28,0.53,1.38,2.78,4.72,5.78,4.91,4.44,4.88,5.47,4.25,2.56,1.97,2.0,0.62,-1.06,-1.38,-0.47,-0.22,-1.0,-1.47,-0.78,-0.44,-2.0,-3.62,-4.16,-4.19,-5.38,-6.75,-6.09,-4.5,-3.66,-3.56,-2.78,-1.22,-1.06,-2.06,-3.41,-3.25,-3.59,-5.19,-6.75,-6.28,-5.12,-5.0,-5.31,-4.44,-2.78,-2.59,-3.38,-3.47,-2.06,-1.41,-1.81,-1.94,-0.53,0.66,0.19,-0.44,0.03,1.19,0.88,-0.38,-0.59,-0.5,-1.62,-3.75,-5.53,-5.31,-5.16,-5.56,-5.66,-3.75,-1.78,-1.69,-2.28,-1.97,-1.22,-1.75,-2.38,-1.5,0.69,2.56,3.44,4.44,6.25,6.97,5.53,3.0,1.56,-0.03,-2.84,-5.69,-6.72,-5.94,-5.28,-5.19,-3.84,-1.59,-0.22,0.0,0.72,3.22,6.03,8.12,9.72,12.41,14.66,14.62,13.0,11.28,10.44,8.69,6.47,5.53,5.59,5.31,3.47,1.53,0.97,0.72,-0.47,-1.44,-0.66,0.97,1.19,0.47,0.19,0.38,-0.31,-2.25,-3.53,-2.94,-2.78,-3.78,-4.78,-3.75,-2.53,-2.09,-1.88,0.25,2.91,4.34,4.38,4.75,5.84,5.75,3.94,2.34,1.91,1.16,-1.44,-4.28,-4.91,-4.62,-4.66,-4.94,-3.66,-1.56,-0.72,-0.91,-0.31,1.56,2.66,2.53,2.59,4.59,6.91,7.81,8.34,9.66,10.56,9.53,7.12,5.75,5.59,4.81,3.34,3.06,4.25,4.75,4.22,3.47,4.0,4.31,3.44,1.5,1.25,1.5,0.88,-0.75,-0.72,0.44,1.31,1.06,1.94,4.0,5.59,5.5,5.47,7.03,8.47,8.69,7.34,6.41,5.38,2.59,-1.12,-2.94,-3.0,-2.0,-1.56,-0.09,2.97,5.88,7.38,8.19,10.47,12.38,12.59,11.47,11.19,11.47,10.75,8.88,8.12,9.0,9.25,8.28,7.56,8.25,8.25,6.47,3.97,3.31,2.97,1.69,0.06,0.5,2.31,3.31,3.41,4.16,5.59,6.25,4.59,3.0,2.88,2.72,1.38,-1.03,-2.0,-3.0,-5.06,-7.62,-8.5,-7.41,-5.94,-5.69,-4.62,-2.62,-1.12,-2.09,-3.78,-4.62,-5.72,-8.31,-11.5,-12.31,-11.91,-11.66,-11.53,-10.44,-7.84,-6.06,-5.88,-5.06,-2.81,-0.97,-0.72,-0.94,0.16,1.28,1.0,0.06,0.44,1.78,2.19,1.5,1.75,3.19,3.5,1.88,0.09,-0.66,-1.09,-3.0,-4.53,-3.69,-1.94,-0.97,-0.72,0.62,2.78,3.69,2.91,2.34,2.69,2.41,0.38,-1.69,-2.47,-2.88,-4.75,-6.91,-7.09,-6.25,-5.84,-6.28,-5.81,-3.62,-2.41,-2.5,-1.59,0.66,2.75,3.31,3.75,5.69,7.53,7.5,6.91,6.75,7.16,6.0,2.97,0.81,-0.44,-1.78,-4.41,-5.41,-4.56,-3.5,-4.78,-6.0,-5.97,-5.47,-5.88,-6.56,-6.12,-4.72,-3.75,-4.0,-3.31,-1.25,0.72,0.69,1.12,2.88,4.41,3.94,2.75,2.94,3.78,3.12,1.25,0.44,0.56,-0.38,-2.59,-3.56,-3.06,-2.38,-2.84,-3.06,-1.38,0.31,0.06,-0.44,0.12,1.44,1.41,0.0,-0.75,-0.56,-1.38,-3.22,-4.22,-2.41,0.06,1.09,2.38,4.44,6.0,5.44,4.16,3.91,4.66,4.38,2.69,1.31,0.94,-0.03,-2.44,-4.47,-4.81,-5.0,-7.34,-9.38,-9.44,-8.72,-8.53,-8.41,-6.78,-3.38,-0.62,1.22,4.16,8.25,11.5,11.88,12.09,12.81,13.19,10.78,8.25,6.81,5.5,2.66,-0.81,-3.16,-4.53,-6.47,-9.19,-11.06,-10.81,-10.78,-12.19,-13.62,-13.22,-12.47,-13.47,-14.31,-13.44,-12.03,-12.38,-13.69,-13.66,-12.31,-11.56,-10.94,-9.44,-5.97,-2.47,-1.47,-1.31,0.03,1.47,0.75,-0.28,0.44,1.66,1.12,-0.97,-2.84,-3.94,-5.94,-9.19,-12.25,-13.38,-14.25,-17.22,-20.56,-21.94,-22.38,-23.56,-24.75,-23.47,-20.22,-17.72,-16.12,-13.47,-9.44,-6.88,-6.28,-6.34,-5.47,-4.81,-5.81,-6.91,-5.94,-3.81,-2.84,-2.09,-0.44,1.97,2.88,1.44,-0.03,-0.41,-0.91,-2.75,-3.53,-2.19,-0.62,-0.59,-1.84,-1.97,-1.94,-3.59,-6.78,-9.06,-9.84,-11.09,-12.94,-13.31,-11.03,-7.91,-5.75,-4.06,-1.22,1.53,1.72,0.88,0.94,1.62,0.94,-0.97,-2.66,-3.41,-5.16,-8.59,-11.38,-12.06,-12.31,-13.41,-14.09,-13.0,-10.97,-10.31,-10.28,-8.72,-5.72,-3.62,-2.06,-0.22,2.25,2.97,1.03,-2.09,-4.19,-6.31,-9.62,-12.62,-13.72,-14.12,-15.59,-18.16,-19.5,-19.31,-20.0,-21.09,-21.25,-18.97,-16.94,-16.06,-15.22,-13.0,-10.94,-10.78,-11.47,-10.75,-9.44,-9.41,-10.22,-10.0,-7.97,-7.12,-7.75,-8.69,-8.88,-9.62,-11.94,-13.59,-12.25,-10.0,-8.91,-8.72,-8.47,-8.97,-11.31,-15.91,-19.25,-20.88,-22.81,-25.69,-27.5,-26.78,-25.56,-25.41,11.84,7.94,2.97,-2.69,-8.09,-12.5,-14.34,-13.53,-11.31,-8.09,-4.59,-1.72,0.5,1.78,2.25,3.19,5.0,7.06,8.66,10.75,13.12,14.56,14.59,14.41,13.84,12.66,10.12,7.28,5.06,2.56,-0.16,-2.97,-4.84,-5.47,-5.41,-4.84,-3.22,-1.06,0.69,1.31,1.69,2.12:positivity
17.28,16.53,15.12,16.28,19.72,22.53,23.19,23.66,25.53,26.06,24.12,22.03,22.19,23.19,22.78,21.25,20.97,21.69,20.84,18.12,16.94,17.44,18.03,16.19,15.03,16.19,17.31,16.75,15.94,17.88,20.72,21.44,21.03,21.81,23.81,24.56,23.16,22.97,24.53,25.34,23.59,21.25,20.66,19.97,17.41,14.72,15.0,16.62,17.41,17.34,18.88,21.59,23.72,22.91,22.12,22.88,23.09,20.72,18.22,18.12,18.59,16.75,14.06,13.09,13.41,12.53,11.31,11.84,15.44,18.5,18.88,19.69,21.78,23.53,22.91,21.91,22.94,24.56,24.09,22.38,21.78,22.22,21.09,18.19,15.72,15.25,14.97,13.19,13.03,15.78,19.28,20.88,21.09,22.16,23.69,23.12,21.03,20.5,21.91,22.5,21.44,20.69,21.62,21.84,19.25,16.88,16.66,17.69,16.69,15.47,16.06,17.59,17.38,15.66,14.78,16.03,16.06,13.97,12.28,12.62,12.47,10.19,8.69,9.72,12.84,14.56,15.75,18.03,20.88,21.28,18.78,17.06,17.25,17.31,15.47,13.66,13.78,14.06,12.06,9.56,9.69,11.28,11.53,11.0,11.66,13.34,13.88,12.06,11.12,12.66,14.38,14.31,14.34,16.38,18.16,17.28,15.06,14.75,15.56,14.62,12.5,11.88,12.56,12.25,9.84,8.28,9.12,10.22,9.75,9.38,11.22,13.38,13.72,12.78,12.69,14.03,13.31,10.88,9.97,11.16,12.56,12.5,13.31,16.22,18.91,18.97,17.62,17.66,17.69,15.88,12.69,11.5,12.19,11.97,10.25,8.88,9.38,9.16,7.16,5.19,6.81,9.16,9.75,9.84,11.0,12.81,12.38,10.0,8.25,8.5,7.81,5.84,4.53,6.22,7.34,6.19,4.97,5.12,5.62,3.88,1.09,0.53,1.47,0.84,-0.53,-0.97,0.25,1.03,-0.28,-1.56,-0.41,0.66,-0.09,-0.53,1.88,5.47,7.62,8.28,10.0,12.31,13.25,12.09,11.41,13.16,13.72,12.06,10.97,12.91,15.78,17.59,18.44,21.12,23.66,23.5,21.31,20.06,20.06,18.94,15.56,12.69,11.84,10.44,7.31,4.5,5.09,7.09,7.34,7.34,9.5,12.94,15.47,16.62,18.62,21.47,22.41,20.38,17.81,17.44,17.12,15.03,12.84,13.59,14.88,14.56,13.5,14.62,17.06,18.75,18.72,19.59,21.84,22.81,21.31,19.06,18.88,18.53,16.0,12.75,12.19,12.72,12.06,10.38,10.72,13.25,14.75,14.22,14.66,16.69,17.62,15.59,13.16,12.56,11.94,9.5,6.62,6.41,7.75,8.12,7.16,7.34,9.09,9.5,8.19,7.72,9.88,12.47,12.78,12.31,13.12,14.09,12.81,10.06,9.5,10.31,9.78,7.97,7.59,8.94,9.44,7.19,5.16,5.47,5.41,3.97,2.44,3.84,5.75,5.81,4.69,5.06,6.25,6.38,4.78,4.16,5.69,6.91,5.88,4.88,5.91,6.91,6.0,4.25,4.81,6.84,7.44,6.59,7.25,9.12,9.72,7.72,6.44,7.31,8.53,8.12,7.72,9.03,10.41,8.97,6.47,5.97,7.34,7.75,6.44,6.47,7.38,7.41,5.0,3.41,4.22,5.75,4.78,4.12,5.34,7.0,6.62,4.81,4.84,6.28,6.56,5.72,6.41,8.94,10.44,9.31,8.09,8.91,9.94,8.59,7.0,7.44,8.94,8.56,6.38,5.38,6.12,5.5,3.22,2.69,4.72,7.03,6.97,6.44,7.5,8.5,6.41,3.56,2.56,3.09,2.44,0.53,0.38,2.28,3.69,3.19,3.5,5.97,8.28,7.75,6.97,8.34,10.41,10.75,9.59,10.41,12.72,13.09,11.5,10.34,10.69,9.91,6.69,3.72,3.25,3.62,1.91,0.56,1.78,4.62,6.0,6.22,7.88,10.88,12.22,11.25,10.88,12.28,12.91,10.69,8.62,9.19,10.5,9.56,8.28,9.03,10.78,10.5,8.94,9.12,11.19,12.5,11.44,11.03,12.38,12.75,10.06,7.91,7.88,9.47,9.22,8.84,10.34,13.09,14.41,14.28,15.09,17.69,18.91,17.62,16.59,17.66,18.19,16.78,14.47,14.06,14.12,11.59,7.94,5.56,5.25,4.44,3.03,3.44,7.41,10.66,11.06,11.56,13.19,14.44,13.28,11.53,11.44,12.88,12.12,9.66,8.91,10.0,9.56,7.53,6.75,8.22,9.69,8.72,7.59,8.78,9.72,8.03,5.28,3.84,3.47,0.88,-3.34,-5.78,-5.84,-5.97,-7.78,-8.69,-6.69,-5.66,-7.0,-8.38,-6.88,-3.69,-2.09,-0.78,2.66,7.56,10.22,11.16,12.66,15.72,17.62,16.66,15.62,16.66,17.75,16.16,14.25,13.84,14.22,12.28,9.0,7.78,8.03,7.5,5.16,3.53,4.34,4.53,2.66,0.94,1.59,3.22,2.5,1.06,1.97,4.03,4.5,4.12,5.69,8.91,10.84,10.31,9.56,11.31,12.38,11.09,9.88,10.88,12.0,10.88,9.19,9.53,11.84,13.03,12.88,13.53,15.38,14.91,11.69,7.75,6.19,4.75,1.34,-1.22,-0.53,1.38,2.16,1.94,3.25,6.34,7.47,6.81,7.38,10.22,12.38,12.19,12.31,14.44,15.94,14.28,11.19,10.34,10.62,9.47,7.59,8.03,10.38,10.84,9.31,8.62,10.0,11.0,10.03,8.69,10.09,11.47,10.66,8.88,8.56,9.84,9.59,8.41,8.88,11.34,12.38,10.91,9.38,9.69,9.56,7.56,5.38,5.5,6.81,6.5,4.84,5.22,7.12,7.25,5.69,5.12,6.69,7.84,6.5,5.62,6.84,7.88,6.47,4.31,5.0,7.38,8.38,8.62,10.5,13.56,14.69,13.41,12.84,14.56,15.41,14.34,13.44,14.16,14.72,12.78,9.5,8.28,8.22,7.16,5.19,5.31,7.28,8.22,6.66,4.88,5.34,5.22,3.56,2.12,3.44,5.47,4.91,3.22,2.62,3.53,3.31,1.84,2.03,4.56,5.81,4.62,3.78,5.12,6.5,5.47,3.66,4.16,4.81,3.22,0.0,-1.69,-1.69,-2.38,-3.97,-3.75,-0.72,1.47,0.62,-0.53,0.44,1.28,0.44,-0.72,0.78,3.03,3.88,2.97,3.41,4.56,4.09,1.31,-1.12,-1.47,-1.72,-3.38,-5.47,-4.56,-2.75,-2.78,-3.5,-1.88,0.97,2.31,1.88,2.34,3.91,4.5,2.22,0.38,0.88,1.44,0.38,-0.53,1.12,3.88,4.84,4.28,5.22,6.66,6.19,3.41,1.44,1.66,1.88,0.16,0.0,2.12,4.31,4.19,2.75,3.25,4.5,4.06,2.59,2.62,4.56,5.03,3.41,2.12,2.66,2.41,-0.22,-2.78,-2.94,-2.12,-3.22,-4.66,-3.78,-1.5,-0.25,-0.5,1.06,4.31,6.62,6.69,7.03,8.84,9.59,7.5,4.84,4.16,4.94,4.53,4.0,5.72,9.03,10.91,10.75,11.09,12.28,12.22,10.12,8.12,8.47,8.97,7.44,5.22,4.88,5.75,5.62,4.62,5.53,7.91,9.62,8.84,9.0,10.91,12.06,10.84,9.59,10.75,12.47,12.0,10.56,10.06,10.5,9.12,6.09,5.19,6.47,7.91,8.09,9.19,12.38,14.72,14.25,13.06,13.06,13.81,12.06,9.81,9.28,10.34,10.0,8.53,7.97,8.81,8.69,5.84,2.94,2.0,1.5,-0.88,-3.66,-4.16,-3.31,-4.31,-5.84,-4.62,-1.62,0.91,2.28,4.72,8.38,11.03,10.56,9.28,9.47,9.41,7.41,4.88,4.75,6.12,6.06,5.03,4.72,5.5,4.03,0.62,-2.25,-2.5,-2.12,-3.25,-3.31,-1.19,1.62,2.25,1.72,2.28,4.09,4.31,2.84,2.5,4.19,5.25,4.09,3.25,5.0,6.31,5.16,3.84,4.38,5.88,5.44,3.81,3.56,4.44,4.25,2.34,1.5,3.06,4.5,3.69,3.25,4.81,6.5,6.0,4.91,5.34,7.16,6.78,4.69,3.66,3.97,3.0,0.56,-1.25,-0.28,0.66,-0.19,-0.84,0.28,2.44,2.56,1.84,2.53,4.16,3.78,1.94,0.81,1.75,2.5,1.19,0.41,2.19,3.78,3.34,2.78,3.84,5.56,5.12,3.88,3.69,4.44,4.06,1.59,-0.25,-0.03,-0.81,-3.44,-6.0,-6.09,-5.19,-5.59,-6.22,-4.72,-2.25,-1.78,-2.94,-3.06,-0.97,0.06,-0.25,0.44,3.16,4.91,3.81,1.47,0.75,0.47,-1.84,-4.38,-5.0,-3.62,-3.62,-4.72,-4.44,-1.94,-0.47,-0.72,-0.59,1.5,3.0,2.0,0.28,0.5,1.53,1.44,0.78,1.69,4.75,5.78,4.88,4.06,4.44,4.25,1.44,-1.0,-0.09,1.94,3.0,3.59,6.03,8.72,8.62,6.12,4.75,5.06,4.66,3.53,3.34,6.28,8.12,7.69,6.06,5.88,5.75,4.12,1.94,2.25,4.22,5.0,4.22,4.22,5.81,6.44,4.88,3.94,5.12,6.47,6.12,5.59,7.25,9.69,9.97,8.59,8.66,9.19,8.34,6.03,4.56,5.41,5.69,4.0,2.62,3.62,5.09,4.56,3.72,5.34,7.97,9.5,9.28,9.88,11.22,10.88,7.78,5.66,6.06,6.75,5.91,5.03,6.69,8.5,8.12,6.0,5.47,5.69,4.62,2.31,2.38,4.53,6.22,5.97,5.88,7.34,8.41,6.91,5.03,5.62,7.25,7.44,6.81,7.5,9.72,9.75,7.78,6.53,6.75,6.69,3.97,1.59,1.91,2.44,1.06,-0.72,-0.16,1.22,1.62,0.75,1.78,4.34,5.56,4.72,3.81,5.09,5.69,3.0,0.75,0.91,1.47,0.62,-0.69:23.66,25.53,26.06,24.12,22.03,22.19,23.19,22.78,21.25,20.97,21.69,20.84,18.12,16.94,17.44,18.03,16.19,15.03,16.19,17.31,16.75,15.94,17.88,20.72,21.44,21.03,21.81,23.81,24.56,23.16,22.97,24.53,25.34,23.59,21.25,20.66,19.97,17.41,14.72,15.0,16.62,17.41,17.34,18.88,21.59,23.72,22.91,22.12,22.88,23.09,20.72,18.22,18.12,18.59,16.75,14.06,13.09,13.41,12.53,11.31,11.84,15.44,18.5,18.88,19.69,21.78,23.53,22.91,21.91,22.94,24.56,24.09,22.38,21.78,22.22,21.09,18.19,15.72,15.25,14.97,13.19,13.03,15.78,19.28,20.88,21.09,22.16,23.69,23.12,21.03,20.5,21.91,22.5,21.44,20.69,21.62,21.84,19.25,16.88,16.66,17.69,16.69,15.47,16.06,17.59,17.38,15.66,14.78,16.03,16.06,13.97,12.28,12.62,12.47,10.19,8.69,9.72,12.84,14.56,15.75,18.03,20.88,21.28,18.78,17.06,17.25,17.31,15.47,13.66,13.78,14.06,12.06,9.56,9.69,11.28,11.53,11.0,11.66,13.34,13.88,12.06,11.12,12.66,14.38,14.31,14.34,16.38,18.16,17.28,15.06,14.75,15.56,14.62,12.5,11.88,12.56,12.25,9.84,8.28,9.12,10.22,9.75,9.38,11.22,13.38,13.72,12.78,12.69,14.03,13.31,10.88,9.97,11.16,12.56,12.5,13.31,16.22,18.91,18.97,17.62,17.66,17.69,15.88,12.69,11.5,12.19,11.97,10.25,8.88,9.38,9.16,7.16,5.19,6.81,9.16,9.75,9.84,11.0,12.81,12.38,10.0,8.25,8.5,7.81,5.84,4.53,6.22,7.34,6.19,4.97,5.12,5.62,3.88,1.09,0.53,1.47,0.84,-0.53,-0.97,0.25,1.03,-0.28,-1.56,-0.41,0.66,-0.09,-0.53,1.88,5.47,7.62,8.28,10.0,12.31,13.25,12.09,11.41,13.16,13.72,12.06,10.97,12.91,15.78,17.59,18.44,21.12,23.66,23.5,21.31,20.06,20.06,18.94,15.56,12.69,11.84,10.44,7.31,4.5,5.09,7.09,7.34,7.34,9.5,12.94,15.47,16.62,18.62,21.47,22.41,20.38,17.81,17.44,17.12,15.03,12.84,13.59,14.88,14.56,13.5,14.62,17.06,18.75,18.72,19.59,21.84,22.81,21.31,19.06,18.88,18.53,16.0,12.75,12.19,12.72,12.06,10.38,10.72,13.25,14.75,14.22,14.66,16.69,17.62,15.59,13.16,12.56,11.94,9.5,6.62,6.41,7.75,8.12,7.16,7.34,9.09,9.5,8.19,7.72,9.88,12.47,12.78,12.31,13.12,14.09,12.81,10.06,9.5,10.31,9.78,7.97,7.59,8.94,9.44,7.19,5.16,5.47,5.41,3.97,2.44,3.84,5.75,5.81,4.69,5.06,6.25,6.38,4.78,4.16,5.69,6.91,5.88,4.88,5.91,6.91,6.0,4.25,4.81,6.84,7.44,6.59,7.25,9.12,9.72,7.72,6.44,7.31,8.53,8.12,7.72,9.03,10.41,8.97,6.47,5.97,7.34,7.75,6.44,6.47,7.38,7.41,5.0,3.41,4.22,5.75,4.78,4.12,5.34,7.0,6.62,4.81,4.84,6.28,6.56,5.72,6.41,8.94,10.44,9.31,8.09,8.91,9.94,8.59,7.0,7.44,8.94,8.56,6.38,5.38,6.12,5.5,3.22,2.69,4.72,7.03,6.97,6.44,7.5,8.5,6.41,3.56,2.56,3.09,2.44,0.53,0.38,2.28,3.69,3.19,3.5,5.97,8.28,7.75,6.97,8.34,10.41,10.75,9.59,10.41,12.72,13.09,11.5,10.34,10.69,9.91,6.69,3.72,3.25,3.62,1.91,0.56,1.78,4.62,6.0,6.22,7.88,10.88,12.22,11.25,10.88,12.28,12.91,10.69,8.62,9.19,10.5,9.56,8.28,9.03,10.78,10.5,8.94,9.12,11.19,12.5,11.44,11.03,12.38,12.75,10.06,7.91,7.88,9.47,9.22,8.84,10.34,13.09,14.41,14.28,15.09,17.69,18.91,17.62,16.59,17.66,18.19,16.78,14.47,14.06,14.12,11.59,7.94,5.56,5.25,4.44,3.03,3.44,7.41,10.66,11.06,11.56,13.19,14.44,13.28,11.53,11.44,12.88,12.12,9.66,8.91,10.0,9.56,7.53,6.75,8.22,9.69,8.72,7.59,8.78,9.72,8.03,5.28,3.84,3.47,0.88,-3.34,-5.78,-5.84,-5.97,-7.78,-8.69,-6.69,-5.66,-7.0,-8.38,-6.88,-3.69,-2.09,-0.78,2.66,7.56,10.22,11.16,12.66,15.72,17.62,16.66,15.62,16.66,17.75,16.16,14.25,13.84,14.22,12.28,9.0,7.78,8.03,7.5,5.16,3.53,4.34,4.53,2.66,0.94,1.59,3.22,2.5,1.06,1.97,4.03,4.5,4.12,5.69,8.91,10.84,10.31,9.56,11.31,12.38,11.09,9.88,10.88,12.0,10.88,9.19,9.53,11.84,13.03,12.88,13.53,15.38,14.91,11.69,7.75,6.19,4.75,1.34,-1.22,-0.53,1.38,2.16,1.94,3.25,6.34,7.47,6.81,7.38,10.22,12.38,12.19,12.31,14.44,15.94,14.28,11.19,10.34,10.62,9.47,7.59,8.03,10.38,10.84,9.31,8.62,10.0,11.0,10.03,8.69,10.09,11.47,10.66,8.88,8.56,9.84,9.59,8.41,8.88,11.34,12.38,10.91,9.38,9.69,9.56,7.56,5.38,5.5,6.81,6.5,4.84,5.22,7.12,7.25,5.69,5.12,6.69,7.84,6.5,5.62,6.84,7.88,6.47,4.31,5.0,7.38,8.38,8.62,10.5,13.56,14.69,13.41,12.84,14.56,15.41,14.34,13.44,14.16,14.72,12.78,9.5,8.28,8.22,7.16,5.19,5.31,7.28,8.22,6.66,4.88,5.34,5.22,3.56,2.12,3.44,5.47,4.91,3.22,2.62,3.53,3.31,1.84,2.03,4.56,5.81,4.62,3.78,5.12,6.5,5.47,3.66,4.16,4.81,3.22,0.0,-1.69,-1.69,-2.38,-3.97,-3.75,-0.72,1.47,0.62,-0.53,0.44,1.28,0.44,-0.72,0.78,3.03,3.88,2.97,3.41,4.56,4.09,1.31,-1.12,-1.47,-1.72,-3.38,-5.47,-4.56,-2.75,-2.78,-3.5,-1.88,0.97,2.31,1.88,2.34,3.91,4.5,2.22,0.38,0.88,1.44,0.38,-0.53,1.12,3.88,4.84,4.28,5.22,6.66,6.19,3.41,1.44,1.66,1.88,0.16,0.0,2.12,4.31,4.19,2.75,3.25,4.5,4.06,2.59,2.62,4.56,5.03,3.41,2.12,2.66,2.41,-0.22,-2.78,-2.94,-2.12,-3.22,-4.66,-3.78,-1.5,-0.25,-0.5,1.06,4.31,6.62,6.69,7.03,8.84,9.59,7.5,4.84,4.16,4.94,4.53,4.0,5.72,9.03,10.91,10.75,11.09,12.28,12.22,10.12,8.12,8.47,8.97,7.44,5.22,4.88,5.75,5.62,4.62,5.53,7.91,9.62,8.84,9.0,10.91,12.06,10.84,9.59,10.75,12.47,12.0,10.56,10.06,10.5,9.12,6.09,5.19,6.47,7.91,8.09,9.19,12.38,14.72,14.25,13.06,13.06,13.81,12.06,9.81,9.28,10.34,10.0,8.53,7.97,8.81,8.69,5.84,2.94,2.0,1.5,-0.88,-3.66,-4.16,-3.31,-4.31,-5.84,-4.62,-1.62,0.91,2.28,4.72,8.38,11.03,10.56,9.28,9.47,9.41,7.41,4.88,4.75,6.12,6.06,5.03,4.72,5.5,4.03,0.62,-2.25,-2.5,-2.12,-3.25,-3.31,-1.19,1.62,2.25,1.72,2.28,4.09,4.31,2.84,2.5,4.19,5.25,4.09,3.25,5.0,6.31,5.16,3.84,4.38,5.88,5.44,3.81,3.56,4.44,4.25,2.34,1.5,3.06,4.5,3.69,3.25,4.81,6.5,6.0,4.91,5.34,7.16,6.78,4.69,3.66,3.97,3.0,0.56,-1.25,-0.28,0.66,-0.19,-0.84,0.28,2.44,2.56,1.84,2.53,4.16,3.78,1.94,0.81,1.75,2.5,1.19,0.41,2.19,3.78,3.34,2.78,3.84,5.56,5.12,3.88,3.69,4.44,4.06,1.59,-0.25,-0.03,-0.81,-3.44,-6.0,-6.09,-5.19,-5.59,-6.22,-4.72,-2.25,-1.78,-2.94,-3.06,-0.97,0.06,-0.25,0.44,3.16,4.91,3.81,1.47,0.75,0.47,-1.84,-4.38,-5.0,-3.62,-3.62,-4.72,-4.44,-1.94,-0.47,-0.72,-0.59,1.5,3.0,2.0,0.28,0.5,1.53,1.44,0.78,1.69,4.75,5.78,4.88,4.06,4.44,4.25,1.44,-1.0,-0.09,1.94,3.0,3.59,6.03,8.72,8.62,6.12,4.75,5.06,4.66,3.53,3.34,6.28,8.12,7.69,6.06,5.88,5.75,4.12,1.94,2.25,4.22,5.0,4.22,4.22,5.81,6.44,4.88,3.94,5.12,6.47,6.12,5.59,7.25,9.69,9.97,8.59,8.66,9.19,8.34,6.03,4.56,5.41,5.69,4.0,2.62,3.62,5.09,4.56,3.72,5.34,7.97,9.5,9.28,9.88,11.22,10.88,7.78,5.66,6.06,6.75,5.91,5.03,6.69,8.5,8.12,6.0,5.47,5.69,4.62,2.31,2.38,4.53,6.22,5.97,5.88,7.34,8.41,6.91,5.03,5.62,7.25,7.44,6.81,7.5,9.72,9.75,7.78,6.53,6.75,6.69,3.97,1.59,1.91,2.44,1.06,-0.72,-0.16,1.22,1.62,0.75,1.78,4.34,5.56,4.72,3.81,5.09,5.69,3.0,0.75,0.91,1.47,0.62,-0.69,40.25,39.03,37.84,38.34,40.59,42.88,43.56:22.78,21.25,20.97,21.69,20.84,18.12,16.94,17.44,18.03,16.19,15.03,16.19,17.31,16.75,15.94,17.88,20.72,21.44,21.03,21.81,23.81,24.56,23.16,22.97,24.53,25.34,23.59,21.25,20.66,19.97,17.41,14.72,15.0,16.62,17.41,17.34,18.88,21.59,23.72,22.91,22.12,22.88,23.09,20.72,18.22,18.12,18.59,16.75,14.06,13.09,13.41,12.53,11.31,11.84,15.44,18.5,18.88,19.69,21.78,23.53,22.91,21.91,22.94,24.56,24.09,22.38,21.78,22.22,21.09,18.19,15.72,15.25,14.97,13.19,13.03,15.78,19.28,20.88,21.09,22.16,23.69,23.12,21.03,20.5,21.91,22.5,21.44,20.69,21.62,21.84,19.25,16.88,16.66,17.69,16.69,15.47,16.06,17.59,17.38,15.66,14.78,16.03,16.06,13.97,12.28,12.62,12.47,10.19,8.69,9.72,12.84,14.56,15.75,18.03,20.88,21.28,18.78,17.06,17.25,17.31,15.47,13.66,13.78,14.06,12.06,9.56,9.69,11.28,11.53,11.0,11.66,13.34,13.88,12.06,11.12,12.66,14.38,14.31,14.34,16.38,18.16,17.28,15.06,14.75,15.56,14.62,12.5,11.88,12.56,12.25,9.84,8.28,9.12,10.22,9.75,9.38,11.22,13.38,13.72,12.78,12.69,14.03,13.31,10.88,9.97,11.16,12.56,12.5,13.31,16.22,18.91,18.97,17.62,17.66,17.69,15.88,12.69,11.5,12.19,11.97,10.25,8.88,9.38,9.16,7.16,5.19,6.81,9.16,9.75,9.84,11.0,12.81,12.38,10.0,8.25,8.5,7.81,5.84,4.53,6.22,7.34,6.19,4.97,5.12,5.62,3.88,1.09,0.53,1.47,0.84,-0.53,-0.97,0.25,1.03,-0.28,-1.56,-0.41,0.66,-0.09,-0.53,1.88,5.47,7.62,8.28,10.0,12.31,13.25,12.09,11.41,13.16,13.72,12.06,10.97,12.91,15.78,17.59,18.44,21.12,23.66,23.5,21.31,20.06,20.06,18.94,15.56,12.69,11.84,10.44,7.31,4.5,5.09,7.09,7.34,7.34,9.5,12.94,15.47,16.62,18.62,21.47,22.41,20.38,17.81,17.44,17.12,15.03,12.84,13.59,14.88,14.56,13.5,14.62,17.06,18.75,18.72,19.59,21.84,22.81,21.31,19.06,18.88,18.53,16.0,12.75,12.19,12.72,12.06,10.38,10.72,13.25,14.75,14.22,14.66,16.69,17.62,15.59,13.16,12.56,11.94,9.5,6.62,6.41,7.75,8.12,7.16,7.34,9.09,9.5,8.19,7.72,9.88,12.47,12.78,12.31,13.12,14.09,12.81,10.06,9.5,10.31,9.78,7.97,7.59,8.94,9.44,7.19,5.16,5.47,5.41,3.97,2.44,3.84,5.75,5.81,4.69,5.06,6.25,6.38,4.78,4.16,5.69,6.91,5.88,4.88,5.91,6.91,6.0,4.25,4.81,6.84,7.44,6.59,7.25,9.12,9.72,7.72,6.44,7.31,8.53,8.12,7.72,9.03,10.41,8.97,6.47,5.97,7.34,7.75,6.44,6.47,7.38,7.41,5.0,3.41,4.22,5.75,4.78,4.12,5.34,7.0,6.62,4.81,4.84,6.28,6.56,5.72,6.41,8.94,10.44,9.31,8.09,8.91,9.94,8.59,7.0,7.44,8.94,8.56,6.38,5.38,6.12,5.5,3.22,2.69,4.72,7.03,6.97,6.44,7.5,8.5,6.41,3.56,2.56,3.09,2.44,0.53,0.38,2.28,3.69,3.19,3.5,5.97,8.28,7.75,6.97,8.34,10.41,10.75,9.59,10.41,12.72,13.09,11.5,10.34,10.69,9.91,6.69,3.72,3.25,3.62,1.91,0.56,1.78,4.62,6.0,6.22,7.88,10.88,12.22,11.25,10.88,12.28,12.91,10.69,8.62,9.19,10.5,9.56,8.28,9.03,10.78,10.5,8.94,9.12,11.19,12.5,11.44,11.03,12.38,12.75,10.06,7.91,7.88,9.47,9.22,8.84,10.34,13.09,14.41,14.28,15.09,17.69,18.91,17.62,16.59,17.66,18.19,16.78,14.47,14.06,14.12,11.59,7.94,5.56,5.25,4.44,3.03,3.44,7.41,10.66,11.06,11.56,13.19,14.44,13.28,11.53,11.44,12.88,12.12,9.66,8.91,10.0,9.56,7.53,6.75,8.22,9.69,8.72,7.59,8.78,9.72,8.03,5.28,3.84,3.47,0.88,-3.34,-5.78,-5.84,-5.97,-7.78,-8.69,-6.69,-5.66,-7.0,-8.38,-6.88,-3.69,-2.09,-0.78,2.66,7.56,10.22,11.16,12.66,15.72,17.62,16.66,15.62,16.66,17.75,16.16,14.25,13.84,14.22,12.28,9.0,7.78,8.03,7.5,5.16,3.53,4.34,4.53,2.66,0.94,1.59,3.22,2.5,1.06,1.97,4.03,4.5,4.12,5.69,8.91,10.84,10.31,9.56,11.31,12.38,11.09,9.88,10.88,12.0,10.88,9.19,9.53,11.84,13.03,12.88,13.53,15.38,14.91,11.69,7.75,6.19,4.75,1.34,-1.22,-0.53,1.38,2.16,1.94,3.25,6.34,7.47,6.81,7.38,10.22,12.38,12.19,12.31,14.44,15.94,14.28,11.19,10.34,10.62,9.47,7.59,8.03,10.38,10.84,9.31,8.62,10.0,11.0,10.03,8.69,10.09,11.47,10.66,8.88,8.56,9.84,9.59,8.41,8.88,11.34,12.38,10.91,9.38,9.69,9.56,7.56,5.38,5.5,6.81,6.5,4.84,5.22,7.12,7.25,5.69,5.12,6.69,7.84,6.5,5.62,6.84,7.88,6.47,4.31,5.0,7.38,8.38,8.62,10.5,13.56,14.69,13.41,12.84,14.56,15.41,14.34,13.44,14.16,14.72,12.78,9.5,8.28,8.22,7.16,5.19,5.31,7.28,8.22,6.66,4.88,5.34,5.22,3.56,2.12,3.44,5.47,4.91,3.22,2.62,3.53,3.31,1.84,2.03,4.56,5.81,4.62,3.78,5.12,6.5,5.47,3.66,4.16,4.81,3.22,0.0,-1.69,-1.69,-2.38,-3.97,-3.75,-0.72,1.47,0.62,-0.53,0.44,1.28,0.44,-0.72,0.78,3.03,3.88,2.97,3.41,4.56,4.09,1.31,-1.12,-1.47,-1.72,-3.38,-5.47,-4.56,-2.75,-2.78,-3.5,-1.88,0.97,2.31,1.88,2.34,3.91,4.5,2.22,0.38,0.88,1.44,0.38,-0.53,1.12,3.88,4.84,4.28,5.22,6.66,6.19,3.41,1.44,1.66,1.88,0.16,0.0,2.12,4.31,4.19,2.75,3.25,4.5,4.06,2.59,2.62,4.56,5.03,3.41,2.12,2.66,2.41,-0.22,-2.78,-2.94,-2.12,-3.22,-4.66,-3.78,-1.5,-0.25,-0.5,1.06,4.31,6.62,6.69,7.03,8.84,9.59,7.5,4.84,4.16,4.94,4.53,4.0,5.72,9.03,10.91,10.75,11.09,12.28,12.22,10.12,8.12,8.47,8.97,7.44,5.22,4.88,5.75,5.62,4.62,5.53,7.91,9.62,8.84,9.0,10.91,12.06,10.84,9.59,10.75,12.47,12.0,10.56,10.06,10.5,9.12,6.09,5.19,6.47,7.91,8.09,9.19,12.38,14.72,14.25,13.06,13.06,13.81,12.06,9.81,9.28,10.34,10.0,8.53,7.97,8.81,8.69,5.84,2.94,2.0,1.5,-0.88,-3.66,-4.16,-3.31,-4.31,-5.84,-4.62,-1.62,0.91,2.28,4.72,8.38,11.03,10.56,9.28,9.47,9.41,7.41,4.88,4.75,6.12,6.06,5.03,4.72,5.5,4.03,0.62,-2.25,-2.5,-2.12,-3.25,-3.31,-1.19,1.62,2.25,1.72,2.28,4.09,4.31,2.84,2.5,4.19,5.25,4.09,3.25,5.0,6.31,5.16,3.84,4.38,5.88,5.44,3.81,3.56,4.44,4.25,2.34,1.5,3.06,4.5,3.69,3.25,4.81,6.5,6.0,4.91,5.34,7.16,6.78,4.69,3.66,3.97,3.0,0.56,-1.25,-0.28,0.66,-0.19,-0.84,0.28,2.44,2.56,1.84,2.53,4.16,3.78,1.94,0.81,1.75,2.5,1.19,0.41,2.19,3.78,3.34,2.78,3.84,5.56,5.12,3.88,3.69,4.44,4.06,1.59,-0.25,-0.03,-0.81,-3.44,-6.0,-6.09,-5.19,-5.59,-6.22,-4.72,-2.25,-1.78,-2.94,-3.06,-0.97,0.06,-0.25,0.44,3.16,4.91,3.81,1.47,0.75,0.47,-1.84,-4.38,-5.0,-3.62,-3.62,-4.72,-4.44,-1.94,-0.47,-0.72,-0.59,1.5,3.0,2.0,0.28,0.5,1.53,1.44,0.78,1.69,4.75,5.78,4.88,4.06,4.44,4.25,1.44,-1.0,-0.09,1.94,3.0,3.59,6.03,8.72,8.62,6.12,4.75,5.06,4.66,3.53,3.34,6.28,8.12,7.69,6.06,5.88,5.75,4.12,1.94,2.25,4.22,5.0,4.22,4.22,5.81,6.44,4.88,3.94,5.12,6.47,6.12,5.59,7.25,9.69,9.97,8.59,8.66,9.19,8.34,6.03,4.56,5.41,5.69,4.0,2.62,3.62,5.09,4.56,3.72,5.34,7.97,9.5,9.28,9.88,11.22,10.88,7.78,5.66,6.06,6.75,5.91,5.03,6.69,8.5,8.12,6.0,5.47,5.69,4.62,2.31,2.38,4.53,6.22,5.97,5.88,7.34,8.41,6.91,5.03,5.62,7.25,7.44,6.81,7.5,9.72,9.75,7.78,6.53,6.75,6.69,3.97,1.59,1.91,2.44,1.06,-0.72,-0.16,1.22,1.62,0.75,1.78,4.34,5.56,4.72,3.81,5.09,5.69,3.0,0.75,0.91,1.47,0.62,-0.69,40.25,39.03,37.84,38.34,40.59,42.88,43.56,44.38,45.59,45.72,44.38,43.28,43.66,44.78:17.44,18.03,16.19,15.03,16.19,17.31,16.75,15.94,17.88,20.72,21.44,21.03,21.81,23.81,24.56,23.16,22.97,24.53,25.34,23.59,21.25,20.66,19.97,17.41,14.72,15.0,16.62,17.41,17.34,18.88,21.59,23.72,22.91,22.12,22.88,23.09,20.72,18.22,18.12,18.59,16.75,14.06,13.09,13.41,12.53,11.31,11.84,15.44,18.5,18.88,19.69,21.78,23.53,22.91,21.91,22.94,24.56,24.09,22.38,21.78,22.22,21.09,18.19,15.72,15.25,14.97,13.19,13.03,15.78,19.28,20.88,21.09,22.16,23.69,23.12,21.03,20.5,21.91,22.5,21.44,20.69,21.62,21.84,19.25,16.88,16.66,17.69,16.69,15.47,16.06,17.59,17.38,15.66,14.78,16.03,16.06,13.97,12.28,12.62,12.47,10.19,8.69,9.72,12.84,14.56,15.75,18.03,20.88,21.28,18.78,17.06,17.25,17.31,15.47,13.66,13.78,14.06,12.06,9.56,9.69,11.28,11.53,11.0,11.66,13.34,13.88,12.06,11.12,12.66,14.38,14.31,14.34,16.38,18.16,17.28,15.06,14.75,15.56,14.62,12.5,11.88,12.56,12.25,9.84,8.28,9.12,10.22,9.75,9.38,11.22,13.38,13.72,12.78,12.69,14.03,13.31,10.88,9.97,11.16,12.56,12.5,13.31,16.22,18.91,18.97,17.62,17.66,17.69,15.88,12.69,11.5,12.19,11.97,10.25,8.88,9.38,9.16,7.16,5.19,6.81,9.16,9.75,9.84,11.0,12.81,12.38,10.0,8.25,8.5,7.81,5.84,4.53,6.22,7.34,6.19,4.97,5.12,5.62,3.88,1.09,0.53,1.47,0.84,-0.53,-0.97,0.25,1.03,-0.28,-1.56,-0.41,0.66,-0.09,-0.53,1.88,5.47,7.62,8.28,10.0,12.31,13.25,12.09,11.41,13.16,13.72,12.06,10.97,12.91,15.78,17.59,18.44,21.12,23.66,23.5,21.31,20.06,20.06,18.94,15.56,12.69,11.84,10.44,7.31,4.5,5.09,7.09,7.34,7.34,9.5,12.94,15.47,16.62,18.62,21.47,22.41,20.38,17.81,17.44,17.12,15.03,12.84,13.59,14.88,14.56,13.5,14.62,17.06,18.75,18.72,19.59,21.84,22.81,21.31,19.06,18.88,18.53,16.0,12.75,12.19,12.72,12.06,10.38,10.72,13.25,14.75,14.22,14.66,16.69,17.62,15.59,13.16,12.56,11.94,9.5,6.62,6.41,7.75,8.12,7.16,7.34,9.09,9.5,8.19,7.72,9.88,12.47,12.78,12.31,13.12,14.09,12.81,10.06,9.5,10.31,9.78,7.97,7.59,8.94,9.44,7.19,5.16,5.47,5.41,3.97,2.44,3.84,5.75,5.81,4.69,5.06,6.25,6.38,4.78,4.16,5.69,6.91,5.88,4.88,5.91,6.91,6.0,4.25,4.81,6.84,7.44,6.59,7.25,9.12,9.72,7.72,6.44,7.31,8.53,8.12,7.72,9.03,10.41,8.97,6.47,5.97,7.34,7.75,6.44,6.47,7.38,7.41,5.0,3.41,4.22,5.75,4.78,4.12,5.34,7.0,6.62,4.81,4.84,6.28,6.56,5.72,6.41,8.94,10.44,9.31,8.09,8.91,9.94,8.59,7.0,7.44,8.94,8.56,6.38,5.38,6.12,5.5,3.22,2.69,4.72,7.03,6.97,6.44,7.5,8.5,6.41,3.56,2.56,3.09,2.44,0.53,0.38,2.28,3.69,3.19,3.5,5.97,8.28,7.75,6.97,8.34,10.41,10.75,9.59,10.41,12.72,13.09,11.5,10.34,10.69,9.91,6.69,3.72,3.25,3.62,1.91,0.56,1.78,4.62,6.0,6.22,7.88,10.88,12.22,11.25,10.88,12.28,12.91,10.69,8.62,9.19,10.5,9.56,8.28,9.03,10.78,10.5,8.94,9.12,11.19,12.5,11.44,11.03,12.38,12.75,10.06,7.91,7.88,9.47,9.22,8.84,10.34,13.09,14.41,14.28,15.09,17.69,18.91,17.62,16.59,17.66,18.19,16.78,14.47,14.06,14.12,11.59,7.94,5.56,5.25,4.44,3.03,3.44,7.41,10.66,11.06,11.56,13.19,14.44,13.28,11.53,11.44,12.88,12.12,9.66,8.91,10.0,9.56,7.53,6.75,8.22,9.69,8.72,7.59,8.78,9.72,8.03,5.28,3.84,3.47,0.88,-3.34,-5.78,-5.84,-5.97,-7.78,-8.69,-6.69,-5.66,-7.0,-8.38,-6.88,-3.69,-2.09,-0.78,2.66,7.56,10.22,11.16,12.66,15.72,17.62,16.66,15.62,16.66,17.75,16.16,14.25,13.84,14.22,12.28,9.0,7.78,8.03,7.5,5.16,3.53,4.34,4.53,2.66,0.94,1.59,3.22,2.5,1.06,1.97,4.03,4.5,4.12,5.69,8.91,10.84,10.31,9.56,11.31,12.38,11.09,9.88,10.88,12.0,10.88,9.19,9.53,11.84,13.03,12.88,13.53,15.38,14.91,11.69,7.75,6.19,4.75,1.34,-1.22,-0.53,1.38,2.16,1.94,3.25,6.34,7.47,6.81,7.38,10.22,12.38,12.19,12.31,14.44,15.94,14.28,11.19,10.34,10.62,9.47,7.59,8.03,10.38,10.84,9.31,8.62,10.0,11.0,10.03,8.69,10.09,11.47,10.66,8.88,8.56,9.84,9.59,8.41,8.88,11.34,12.38,10.91,9.38,9.69,9.56,7.56,5.38,5.5,6.81,6.5,4.84,5.22,7.12,7.25,5.69,5.12,6.69,7.84,6.5,5.62,6.84,7.88,6.47,4.31,5.0,7.38,8.38,8.62,10.5,13.56,14.69,13.41,12.84,14.56,15.41,14.34,13.44,14.16,14.72,12.78,9.5,8.28,8.22,7.16,5.19,5.31,7.28,8.22,6.66,4.88,5.34,5.22,3.56,2.12,3.44,5.47,4.91,3.22,2.62,3.53,3.31,1.84,2.03,4.56,5.81,4.62,3.78,5.12,6.5,5.47,3.66,4.16,4.81,3.22,0.0,-1.69,-1.69,-2.38,-3.97,-3.75,-0.72,1.47,0.62,-0.53,0.44,1.28,0.44,-0.72,0.78,3.03,3.88,2.97,3.41,4.56,4.09,1.31,-1.12,-1.47,-1.72,-3.38,-5.47,-4.56,-2.75,-2.78,-3.5,-1.88,0.97,2.31,1.88,2.34,3.91,4.5,2.22,0.38,0.88,1.44,0.38,-0.53,1.12,3.88,4.84,4.28,5.22,6.66,6.19,3.41,1.44,1.66,1.88,0.16,0.0,2.12,4.31,4.19,2.75,3.25,4.5,4.06,2.59,2.62,4.56,5.03,3.41,2.12,2.66,2.41,-0.22,-2.78,-2.94,-2.12,-3.22,-4.66,-3.78,-1.5,-0.25,-0.5,1.06,4.31,6.62,6.69,7.03,8.84,9.59,7.5,4.84,4.16,4.94,4.53,4.0,5.72,9.03,10.91,10.75,11.09,12.28,12.22,10.12,8.12,8.47,8.97,7.44,5.22,4.88,5.75,5.62,4.62,5.53,7.91,9.62,8.84,9.0,10.91,12.06,10.84,9.59,10.75,12.47,12.0,10.56,10.06,10.5,9.12,6.09,5.19,6.47,7.91,8.09,9.19,12.38,14.72,14.25,13.06,13.06,13.81,12.06,9.81,9.28,10.34,10.0,8.53,7.97,8.81,8.69,5.84,2.94,2.0,1.5,-0.88,-3.66,-4.16,-3.31,-4.31,-5.84,-4.62,-1.62,0.91,2.28,4.72,8.38,11.03,10.56,9.28,9.47,9.41,7.41,4.88,4.75,6.12,6.06,5.03,4.72,5.5,4.03,0.62,-2.25,-2.5,-2.12,-3.25,-3.31,-1.19,1.62,2.25,1.72,2.28,4.09,4.31,2.84,2.5,4.19,5.25,4.09,3.25,5.0,6.31,5.16,3.84,4.38,5.88,5.44,3.81,3.56,4.44,4.25,2.34,1.5,3.06,4.5,3.69,3.25,4.81,6.5,6.0,4.91,5.34,7.16,6.78,4.69,3.66,3.97,3.0,0.56,-1.25,-0.28,0.66,-0.19,-0.84,0.28,2.44,2.56,1.84,2.53,4.16,3.78,1.94,0.81,1.75,2.5,1.19,0.41,2.19,3.78,3.34,2.78,3.84,5.56,5.12,3.88,3.69,4.44,4.06,1.59,-0.25,-0.03,-0.81,-3.44,-6.0,-6.09,-5.19,-5.59,-6.22,-4.72,-2.25,-1.78,-2.94,-3.06,-0.97,0.06,-0.25,0.44,3.16,4.91,3.81,1.47,0.75,0.47,-1.84,-4.38,-5.0,-3.62,-3.62,-4.72,-4.44,-1.94,-0.47,-0.72,-0.59,1.5,3.0,2.0,0.28,0.5,1.53,1.44,0.78,1.69,4.75,5.78,4.88,4.06,4.44,4.25,1.44,-1.0,-0.09,1.94,3.0,3.59,6.03,8.72,8.62,6.12,4.75,5.06,4.66,3.53,3.34,6.28,8.12,7.69,6.06,5.88,5.75,4.12,1.94,2.25,4.22,5.0,4.22,4.22,5.81,6.44,4.88,3.94,5.12,6.47,6.12,5.59,7.25,9.69,9.97,8.59,8.66,9.19,8.34,6.03,4.56,5.41,5.69,4.0,2.62,3.62,5.09,4.56,3.72,5.34,7.97,9.5,9.28,9.88,11.22,10.88,7.78,5.66,6.06,6.75,5.91,5.03,6.69,8.5,8.12,6.0,5.47,5.69,4.62,2.31,2.38,4.53,6.22,5.97,5.88,7.34,8.41,6.91,5.03,5.62,7.25,7.44,6.81,7.5,9.72,9.75,7.78,6.53,6.75,6.69,3.97,1.59,1.91,2.44,1.06,-0.72,-0.16,1.22,1.62,0.75,1.78,4.34,5.56,4.72,3.81,5.09,5.69,3.0,0.75,0.91,1.47,0.62,-0.69,40.25,39.03,37.84,38.34,40.59,42.88,43.56,44.38,45.59,45.72,44.38,43.28,43.66,44.78,44.78,43.88,44.0,44.16,43.0,40.53,39.34:15.94,17.88,20.72,21.44,21.03,21.81,23.81,24.56,23.16,22.97,24.53,25.34,23.59,21.25,20.66,19.97,17.41,14.72,15.0,16.62,17.41,17.34,18.88,21.59,23.72,22.91,22.12,22.88,23.09,20.72,18.22,18.12,18.59,16.75,14.06,13.09,13.41,12.53,11.31,11.84,15.44,18.5,18.88,19.69,21.78,23.53,22.91,21.91,22.94,24.56,24.09,22.38,21.78,22.22,21.09,18.19,15.72,15.25,14.97,13.19,13.03,15.78,19.28,20.88,21.09,22.16,23.69,23.12,21.03,20.5,21.91,22.5,21.44,20.69,21.62,21.84,19.25,16.88,16.66,17.69,16.69,15.47,16.06,17.59,17.38,15.66,14.78,16.03,16.06,13.97,12.28,12.62,12.47,10.19,8.69,9.72,12.84,14.56,15.75,18.03,20.88,21.28,18.78,17.06,17.25,17.31,15.47,13.66,13.78,14.06,12.06,9.56,9.69,11.28,11.53,11.0,11.66,13.34,13.88,12.06,11.12,12.66,14.38,14.31,14.34,16.38,18.16,17.28,15.06,14.75,15.56,14.62,12.5,11.88,12.56,12.25,9.84,8.28,9.12,10.22,9.75,9.38,11.22,13.38,13.72,12.78,12.69,14.03,13.31,10.88,9.97,11.16,12.56,12.5,13.31,16.22,18.91,18.97,17.62,17.66,17.69,15.88,12.69,11.5,12.19,11.97,10.25,8.88,9.38,9.16,7.16,5.19,6.81,9.16,9.75,9.84,11.0,12.81,12.38,10.0,8.25,8.5,7.81,5.84,4.53,6.22,7.34,6.19,4.97,5.12,5.62,3.88,1.09,0.53,1.47,0.84,-0.53,-0.97,0.25,1.03,-0.28,-1.56,-0.41,0.66,-0.09,-0.53,1.88,5.47,7.62,8.28,10.0,12.31,13.25,12.09,11.41,13.16,13.72,12.06,10.97,12.91,15.78,17.59,18.44,21.12,23.66,23.5,21.31,20.06,20.06,18.94,15.56,12.69,11.84,10.44,7.31,4.5,5.09,7.09,7.34,7.34,9.5,12.94,15.47,16.62,18.62,21.47,22.41,20.38,17.81,17.44,17.12,15.03,12.84,13.59,14.88,14.56,13.5,14.62,17.06,18.75,18.72,19.59,21.84,22.81,21.31,19.06,18.88,18.53,16.0,12.75,12.19,12.72,12.06,10.38,10.72,13.25,14.75,14.22,14.66,16.69,17.62,15.59,13.16,12.56,11.94,9.5,6.62,6.41,7.75,8.12,7.16,7.34,9.09,9.5,8.19,7.72,9.88,12.47,12.78,12.31,13.12,14.09,12.81,10.06,9.5,10.31,9.78,7.97,7.59,8.94,9.44,7.19,5.16,5.47,5.41,3.97,2.44,3.84,5.75,5.81,4.69,5.06,6.25,6.38,4.78,4.16,5.69,6.91,5.88,4.88,5.91,6.91,6.0,4.25,4.81,6.84,7.44,6.59,7.25,9.12,9.72,7.72,6.44,7.31,8.53,8.12,7.72,9.03,10.41,8.97,6.47,5.97,7.34,7.75,6.44,6.47,7.38,7.41,5.0,3.41,4.22,5.75,4.78,4.12,5.34,7.0,6.62,4.81,4.84,6.28,6.56,5.72,6.41,8.94,10.44,9.31,8.09,8.91,9.94,8.59,7.0,7.44,8.94,8.56,6.38,5.38,6.12,5.5,3.22,2.69,4.72,7.03,6.97,6.44,7.5,8.5,6.41,3.56,2.56,3.09,2.44,0.53,0.38,2.28,3.69,3.19,3.5,5.97,8.28,7.75,6.97,8.34,10.41,10.75,9.59,10.41,12.72,13.09,11.5,10.34,10.69,9.91,6.69,3.72,3.25,3.62,1.91,0.56,1.78,4.62,6.0,6.22,7.88,10.88,12.22,11.25,10.88,12.28,12.91,10.69,8.62,9.19,10.5,9.56,8.28,9.03,10.78,10.5,8.94,9.12,11.19,12.5,11.44,11.03,12.38,12.75,10.06,7.91,7.88,9.47,9.22,8.84,10.34,13.09,14.41,14.28,15.09,17.69,18.91,17.62,16.59,17.66,18.19,16.78,14.47,14.06,14.12,11.59,7.94,5.56,5.25,4.44,3.03,3.44,7.41,10.66,11.06,11.56,13.19,14.44,13.28,11.53,11.44,12.88,12.12,9.66,8.91,10.0,9.56,7.53,6.75,8.22,9.69,8.72,7.59,8.78,9.72,8.03,5.28,3.84,3.47,0.88,-3.34,-5.78,-5.84,-5.97,-7.78,-8.69,-6.69,-5.66,-7.0,-8.38,-6.88,-3.69,-2.09,-0.78,2.66,7.56,10.22,11.16,12.66,15.72,17.62,16.66,15.62,16.66,17.75,16.16,14.25,13.84,14.22,12.28,9.0,7.78,8.03,7.5,5.16,3.53,4.34,4.53,2.66,0.94,1.59,3.22,2.5,1.06,1.97,4.03,4.5,4.12,5.69,8.91,10.84,10.31,9.56,11.31,12.38,11.09,9.88,10.88,12.0,10.88,9.19,9.53,11.84,13.03,12.88,13.53,15.38,14.91,11.69,7.75,6.19,4.75,1.34,-1.22,-0.53,1.38,2.16,1.94,3.25,6.34,7.47,6.81,7.38,10.22,12.38,12.19,12.31,14.44,15.94,14.28,11.19,10.34,10.62,9.47,7.59,8.03,10.38,10.84,9.31,8.62,10.0,11.0,10.03,8.69,10.09,11.47,10.66,8.88,8.56,9.84,9.59,8.41,8.88,11.34,12.38,10.91,9.38,9.69,9.56,7.56,5.38,5.5,6.81,6.5,4.84,5.22,7.12,7.25,5.69,5.12,6.69,7.84,6.5,5.62,6.84,7.88,6.47,4.31,5.0,7.38,8.38,8.62,10.5,13.56,14.69,13.41,12.84,14.56,15.41,14.34,13.44,14.16,14.72,12.78,9.5,8.28,8.22,7.16,5.19,5.31,7.28,8.22,6.66,4.88,5.34,5.22,3.56,2.12,3.44,5.47,4.91,3.22,2.62,3.53,3.31,1.84,2.03,4.56,5.81,4.62,3.78,5.12,6.5,5.47,3.66,4.16,4.81,3.22,0.0,-1.69,-1.69,-2.38,-3.97,-3.75,-0.72,1.47,0.62,-0.53,0.44,1.28,0.44,-0.72,0.78,3.03,3.88,2.97,3.41,4.56,4.09,1.31,-1.12,-1.47,-1.72,-3.38,-5.47,-4.56,-2.75,-2.78,-3.5,-1.88,0.97,2.31,1.88,2.34,3.91,4.5,2.22,0.38,0.88,1.44,0.38,-0.53,1.12,3.88,4.84,4.28,5.22,6.66,6.19,3.41,1.44,1.66,1.88,0.16,0.0,2.12,4.31,4.19,2.75,3.25,4.5,4.06,2.59,2.62,4.56,5.03,3.41,2.12,2.66,2.41,-0.22,-2.78,-2.94,-2.12,-3.22,-4.66,-3.78,-1.5,-0.25,-0.5,1.06,4.31,6.62,6.69,7.03,8.84,9.59,7.5,4.84,4.16,4.94,4.53,4.0,5.72,9.03,10.91,10.75,11.09,12.28,12.22,10.12,8.12,8.47,8.97,7.44,5.22,4.88,5.75,5.62,4.62,5.53,7.91,9.62,8.84,9.0,10.91,12.06,10.84,9.59,10.75,12.47,12.0,10.56,10.06,10.5,9.12,6.09,5.19,6.47,7.91,8.09,9.19,12.38,14.72,14.25,13.06,13.06,13.81,12.06,9.81,9.28,10.34,10.0,8.53,7.97,8.81,8.69,5.84,2.94,2.0,1.5,-0.88,-3.66,-4.16,-3.31,-4.31,-5.84,-4.62,-1.62,0.91,2.28,4.72,8.38,11.03,10.56,9.28,9.47,9.41,7.41,4.88,4.75,6.12,6.06,5.03,4.72,5.5,4.03,0.62,-2.25,-2.5,-2.12,-3.25,-3.31,-1.19,1.62,2.25,1.72,2.28,4.09,4.31,2.84,2.5,4.19,5.25,4.09,3.25,5.0,6.31,5.16,3.84,4.38,5.88,5.44,3.81,3.56,4.44,4.25,2.34,1.5,3.06,4.5,3.69,3.25,4.81,6.5,6.0,4.91,5.34,7.16,6.78,4.69,3.66,3.97,3.0,0.56,-1.25,-0.28,0.66,-0.19,-0.84,0.28,2.44,2.56,1.84,2.53,4.16,3.78,1.94,0.81,1.75,2.5,1.19,0.41,2.19,3.78,3.34,2.78,3.84,5.56,5.12,3.88,3.69,4.44,4.06,1.59,-0.25,-0.03,-0.81,-3.44,-6.0,-6.09,-5.19,-5.59,-6.22,-4.72,-2.25,-1.78,-2.94,-3.06,-0.97,0.06,-0.25,0.44,3.16,4.91,3.81,1.47,0.75,0.47,-1.84,-4.38,-5.0,-3.62,-3.62,-4.72,-4.44,-1.94,-0.47,-0.72,-0.59,1.5,3.0,2.0,0.28,0.5,1.53,1.44,0.78,1.69,4.75,5.78,4.88,4.06,4.44,4.25,1.44,-1.0,-0.09,1.94,3.0,3.59,6.03,8.72,8.62,6.12,4.75,5.06,4.66,3.53,3.34,6.28,8.12,7.69,6.06,5.88,5.75,4.12,1.94,2.25,4.22,5.0,4.22,4.22,5.81,6.44,4.88,3.94,5.12,6.47,6.12,5.59,7.25,9.69,9.97,8.59,8.66,9.19,8.34,6.03,4.56,5.41,5.69,4.0,2.62,3.62,5.09,4.56,3.72,5.34,7.97,9.5,9.28,9.88,11.22,10.88,7.78,5.66,6.06,6.75,5.91,5.03,6.69,8.5,8.12,6.0,5.47,5.69,4.62,2.31,2.38,4.53,6.22,5.97,5.88,7.34,8.41,6.91,5.03,5.62,7.25,7.44,6.81,7.5,9.72,9.75,7.78,6.53,6.75,6.69,3.97,1.59,1.91,2.44,1.06,-0.72,-0.16,1.22,1.62,0.75,1.78,4.34,5.56,4.72,3.81,5.09,5.69,3.0,0.75,0.91,1.47,0.62,-0.69,40.25,39.03,37.84,38.34,40.59,42.88,43.56,44.38,45.59,45.72,44.38,43.28,43.66,44.78,44.78,43.88,44.0,44.16,43.0,40.53,39.34,39.25,38.88,37.44,36.44,37.19,38.03,37.62:24.56,23.16,22.97,24.53,25.34,23.59,21.25,20.66,19.97,17.41,14.72,15.0,16.62,17.41,17.34,18.88,21.59,23.72,22.91,22.12,22.88,23.09,20.72,18.22,18.12,18.59,16.75,14.06,13.09,13.41,12.53,11.31,11.84,15.44,18.5,18.88,19.69,21.78,23.53,22.91,21.91,22.94,24.56,24.09,22.38,21.78,22.22,21.09,18.19,15.72,15.25,14.97,13.19,13.03,15.78,19.28,20.88,21.09,22.16,23.69,23.12,21.03,20.5,21.91,22.5,21.44,20.69,21.62,21.84,19.25,16.88,16.66,17.69,16.69,15.47,16.06,17.59,17.38,15.66,14.78,16.03,16.06,13.97,12.28,12.62,12.47,10.19,8.69,9.72,12.84,14.56,15.75,18.03,20.88,21.28,18.78,17.06,17.25,17.31,15.47,13.66,13.78,14.06,12.06,9.56,9.69,11.28,11.53,11.0,11.66,13.34,13.88,12.06,11.12,12.66,14.38,14.31,14.34,16.38,18.16,17.28,15.06,14.75,15.56,14.62,12.5,11.88,12.56,12.25,9.84,8.28,9.12,10.22,9.75,9.38,11.22,13.38,13.72,12.78,12.69,14.03,13.31,10.88,9.97,11.16,12.56,12.5,13.31,16.22,18.91,18.97,17.62,17.66,17.69,15.88,12.69,11.5,12.19,11.97,10.25,8.88,9.38,9.16,7.16,5.19,6.81,9.16,9.75,9.84,11.0,12.81,12.38,10.0,8.25,8.5,7.81,5.84,4.53,6.22,7.34,6.19,4.97,5.12,5.62,3.88,1.09,0.53,1.47,0.84,-0.53,-0.97,0.25,1.03,-0.28,-1.56,-0.41,0.66,-0.09,-0.53,1.88,5.47,7.62,8.28,10.0,12.31,13.25,12.09,11.41,13.16,13.72,12.06,10.97,12.91,15.78,17.59,18.44,21.12,23.66,23.5,21.31,20.06,20.06,18.94,15.56,12.69,11.84,10.44,7.31,4.5,5.09,7.09,7.34,7.34,9.5,12.94,15.47,16.62,18.62,21.47,22.41,20.38,17.81,17.44,17.12,15.03,12.84,13.59,14.88,14.56,13.5,14.62,17.06,18.75,18.72,19.59,21.84,22.81,21.31,19.06,18.88,18.53,16.0,12.75,12.19,12.72,12.06,10.38,10.72,13.25,14.75,14.22,14.66,16.69,17.62,15.59,13.16,12.56,11.94,9.5,6.62,6.41,7.75,8.12,7.16,7.34,9.09,9.5,8.19,7.72,9.88,12.47,12.78,12.31,13.12,14.09,12.81,10.06,9.5,10.31,9.78,7.97,7.59,8.94,9.44,7.19,5.16,5.47,5.41,3.97,2.44,3.84,5.75,5.81,4.69,5.06,6.25,6.38,4.78,4.16,5.69,6.91,5.88,4.88,5.91,6.91,6.0,4.25,4.81,6.84,7.44,6.59,7.25,9.12,9.72,7.72,6.44,7.31,8.53,8.12,7.72,9.03,10.41,8.97,6.47,5.97,7.34,7.75,6.44,6.47,7.38,7.41,5.0,3.41,4.22,5.75,4.78,4.12,5.34,7.0,6.62,4.81,4.84,6.28,6.56,5.72,6.41,8.94,10.44,9.31,8.09,8.91,9.94,8.59,7.0,7.44,8.94,8.56,6.38,5.38,6.12,5.5,3.22,2.69,4.72,7.03,6.97,6.44,7.5,8.5,6.41,3.56,2.56,3.09,2.44,0.53,0.38,2.28,3.69,3.19,3.5,5.97,8.28,7.75,6.97,8.34,10.41,10.75,9.59,10.41,12.72,13.09,11.5,10.34,10.69,9.91,6.69,3.72,3.25,3.62,1.91,0.56,1.78,4.62,6.0,6.22,7.88,10.88,12.22,11.25,10.88,12.28,12.91,10.69,8.62,9.19,10.5,9.56,8.28,9.03,10.78,10.5,8.94,9.12,11.19,12.5,11.44,11.03,12.38,12.75,10.06,7.91,7.88,9.47,9.22,8.84,10.34,13.09,14.41,14.28,15.09,17.69,18.91,17.62,16.59,17.66,18.19,16.78,14.47,14.06,14.12,11.59,7.94,5.56,5.25,4.44,3.03,3.44,7.41,10.66,11.06,11.56,13.19,14.44,13.28,11.53,11.44,12.88,12.12,9.66,8.91,10.0,9.56,7.53,6.75,8.22,9.69,8.72,7.59,8.78,9.72,8.03,5.28,3.84,3.47,0.88,-3.34,-5.78,-5.84,-5.97,-7.78,-8.69,-6.69,-5.66,-7.0,-8.38,-6.88,-3.69,-2.09,-0.78,2.66,7.56,10.22,11.16,12.66,15.72,17.62,16.66,15.62,16.66,17.75,16.16,14.25,13.84,14.22,12.28,9.0,7.78,8.03,7.5,5.16,3.53,4.34,4.53,2.66,0.94,1.59,3.22,2.5,1.06,1.97,4.03,4.5,4.12,5.69,8.91,10.84,10.31,9.56,11.31,12.38,11.09,9.88,10.88,12.0,10.88,9.19,9.53,11.84,13.03,12.88,13.53,15.38,14.91,11.69,7.75,6.19,4.75,1.34,-1.22,-0.53,1.38,2.16,1.94,3.25,6.34,7.47,6.81,7.38,10.22,12.38,12.19,12.31,14.44,15.94,14.28,11.19,10.34,10.62,9.47,7.59,8.03,10.38,10.84,9.31,8.62,10.0,11.0,10.03,8.69,10.09,11.47,10.66,8.88,8.56,9.84,9.59,8.41,8.88,11.34,12.38,10.91,9.38,9.69,9.56,7.56,5.38,5.5,6.81,6.5,4.84,5.22,7.12,7.25,5.69,5.12,6.69,7.84,6.5,5.62,6.84,7.88,6.47,4.31,5.0,7.38,8.38,8.62,10.5,13.56,14.69,13.41,12.84,14.56,15.41,14.34,13.44,14.16,14.72,12.78,9.5,8.28,8.22,7.16,5.19,5.31,7.28,8.22,6.66,4.88,5.34,5.22,3.56,2.12,3.44,5.47,4.91,3.22,2.62,3.53,3.31,1.84,2.03,4.56,5.81,4.62,3.78,5.12,6.5,5.47,3.66,4.16,4.81,3.22,0.0,-1.69,-1.69,-2.38,-3.97,-3.75,-0.72,1.47,0.62,-0.53,0.44,1.28,0.44,-0.72,0.78,3.03,3.88,2.97,3.41,4.56,4.09,1.31,-1.12,-1.47,-1.72,-3.38,-5.47,-4.56,-2.75,-2.78,-3.5,-1.88,0.97,2.31,1.88,2.34,3.91,4.5,2.22,0.38,0.88,1.44,0.38,-0.53,1.12,3.88,4.84,4.28,5.22,6.66,6.19,3.41,1.44,1.66,1.88,0.16,0.0,2.12,4.31,4.19,2.75,3.25,4.5,4.06,2.59,2.62,4.56,5.03,3.41,2.12,2.66,2.41,-0.22,-2.78,-2.94,-2.12,-3.22,-4.66,-3.78,-1.5,-0.25,-0.5,1.06,4.31,6.62,6.69,7.03,8.84,9.59,7.5,4.84,4.16,4.94,4.53,4.0,5.72,9.03,10.91,10.75,11.09,12.28,12.22,10.12,8.12,8.47,8.97,7.44,5.22,4.88,5.75,5.62,4.62,5.53,7.91,9.62,8.84,9.0,10.91,12.06,10.84,9.59,10.75,12.47,12.0,10.56,10.06,10.5,9.12,6.09,5.19,6.47,7.91,8.09,9.19,12.38,14.72,14.25,13.06,13.06,13.81,12.06,9.81,9.28,10.34,10.0,8.53,7.97,8.81,8.69,5.84,2.94,2.0,1.5,-0.88,-3.66,-4.16,-3.31,-4.31,-5.84,-4.62,-1.62,0.91,2.28,4.72,8.38,11.03,10.56,9.28,9.47,9.41,7.41,4.88,4.75,6.12,6.06,5.03,4.72,5.5,4.03,0.62,-2.25,-2.5,-2.12,-3.25,-3.31,-1.19,1.62,2.25,1.72,2.28,4.09,4.31,2.84,2.5,4.19,5.25,4.09,3.25,5.0,6.31,5.16,3.84,4.38,5.88,5.44,3.81,3.56,4.44,4.25,2.34,1.5,3.06,4.5,3.69,3.25,4.81,6.5,6.0,4.91,5.34,7.16,6.78,4.69,3.66,3.97,3.0,0.56,-1.25,-0.28,0.66,-0.19,-0.84,0.28,2.44,2.56,1.84,2.53,4.16,3.78,1.94,0.81,1.75,2.5,1.19,0.41,2.19,3.78,3.34,2.78,3.84,5.56,5.12,3.88,3.69,4.44,4.06,1.59,-0.25,-0.03,-0.81,-3.44,-6.0,-6.09,-5.19,-5.59,-6.22,-4.72,-2.25,-1.78,-2.94,-3.06,-0.97,0.06,-0.25,0.44,3.16,4.91,3.81,1.47,0.75,0.47,-1.84,-4.38,-5.0,-3.62,-3.62,-4.72,-4.44,-1.94,-0.47,-0.72,-0.59,1.5,3.0,2.0,0.28,0.5,1.53,1.44,0.78,1.69,4.75,5.78,4.88,4.06,4.44,4.25,1.44,-1.0,-0.09,1.94,3.0,3.59,6.03,8.72,8.62,6.12,4.75,5.06,4.66,3.53,3.34,6.28,8.12,7.69,6.06,5.88,5.75,4.12,1.94,2.25,4.22,5.0,4.22,4.22,5.81,6.44,4.88,3.94,5.12,6.47,6.12,5.59,7.25,9.69,9.97,8.59,8.66,9.19,8.34,6.03,4.56,5.41,5.69,4.0,2.62,3.62,5.09,4.56,3.72,5.34,7.97,9.5,9.28,9.88,11.22,10.88,7.78,5.66,6.06,6.75,5.91,5.03,6.69,8.5,8.12,6.0,5.47,5.69,4.62,2.31,2.38,4.53,6.22,5.97,5.88,7.34,8.41,6.91,5.03,5.62,7.25,7.44,6.81,7.5,9.72,9.75,7.78,6.53,6.75,6.69,3.97,1.59,1.91,2.44,1.06,-0.72,-0.16,1.22,1.62,0.75,1.78,4.34,5.56,4.72,3.81,5.09,5.69,3.0,0.75,0.91,1.47,0.62,-0.69,40.25,39.03,37.84,38.34,40.59,42.88,43.56,44.38,45.59,45.72,44.38,43.28,43.66,44.78,44.78,43.88,44.0,44.16,43.0,40.53,39.34,39.25,38.88,37.44,36.44,37.19,38.03,37.62,37.56,39.12,41.0,41.56,41.53,42.19,43.31:20.66,19.97,17.41,14.72,15.0,16.62,17.41,17.34,18.88,21.59,23.72,22.91,22.12,22.88,23.09,20.72,18.22,18.12,18.59,16.75,14.06,13.09,13.41,12.53,11.31,11.84,15.44,18.5,18.88,19.69,21.78,23.53,22.91,21.91,22.94,24.56,24.09,22.38,21.78,22.22,21.09,18.19,15.72,15.25,14.97,13.19,13.03,15.78,19.28,20.88,21.09,22.16,23.69,23.12,21.03,20.5,21.91,22.5,21.44,20.69,21.62,21.84,19.25,16.88,16.66,17.69,16.69,15.47,16.06,17.59,17.38,15.66,14.78,16.03,16.06,13.97,12.28,12.62,12.47,10.19,8.69,9.72,12.84,14.56,15.75,18.03,20.88,21.28,18.78,17.06,17.25,17.31,15.47,13.66,13.78,14.06,12.06,9.56,9.69,11.28,11.53,11.0,11.66,13.34,13.88,12.06,11.12,12.66,14.38,14.31,14.34,16.38,18.16,17.28,15.06,14.75,15.56,14.62,12.5,11.88,12.56,12.25,9.84,8.28,9.12,10.22,9.75,9.38,11.22,13.38,13.72,12.78,12.69,14.03,13.31,10.88,9.97,11.16,12.56,12.5,13.31,16.22,18.91,18.97,17.62,17.66,17.69,15.88,12.69,11.5,12.19,11.97,10.25,8.88,9.38,9.16,7.16,5.19,6.81,9.16,9.75,9.84,11.0,12.81,12.38,10.0,8.25,8.5,7.81,5.84,4.53,6.22,7.34,6.19,4.97,5.12,5.62,3.88,1.09,0.53,1.47,0.84,-0.53,-0.97,0.25,1.03,-0.28,-1.56,-0.41,0.66,-0.09,-0.53,1.88,5.47,7.62,8.28,10.0,12.31,13.25,12.09,11.41,13.16,13.72,12.06,10.97,12.91,15.78,17.59,18.44,21.12,23.66,23.5,21.31,20.06,20.06,18.94,15.56,12.69,11.84,10.44,7.31,4.5,5.09,7.09,7.34,7.34,9.5,12.94,15.47,16.62,18.62,21.47,22.41,20.38,17.81,17.44,17.12,15.03,12.84,13.59,14.88,14.56,13.5,14.62,17.06,18.75,18.72,19.59,21.84,22.81,21.31,19.06,18.88,18.53,16.0,12.75,12.19,12.72,12.06,10.38,10.72,13.25,14.75,14.22,14.66,16.69,17.62,15.59,13.16,12.56,11.94,9.5,6.62,6.41,7.75,8.12,7.16,7.34,9.09,9.5,8.19,7.72,9.88,12.47,12.78,12.31,13.12,14.09,12.81,10.06,9.5,10.31,9.78,7.97,7.59,8.94,9.44,7.19,5.16,5.47,5.41,3.97,2.44,3.84,5.75,5.81,4.69,5.06,6.25,6.38,4.78,4.16,5.69,6.91,5.88,4.88,5.91,6.91,6.0,4.25,4.81,6.84,7.44,6.59,7.25,9.12,9.72,7.72,6.44,7.31,8.53,8.12,7.72,9.03,10.41,8.97,6.47,5.97,7.34,7.75,6.44,6.47,7.38,7.41,5.0,3.41,4.22,5.75,4.78,4.12,5.34,7.0,6.62,4.81,4.84,6.28,6.56,5.72,6.41,8.94,10.44,9.31,8.09,8.91,9.94,8.59,7.0,7.44,8.94,8.56,6.38,5.38,6.12,5.5,3.22,2.69,4.72,7.03,6.97,6.44,7.5,8.5,6.41,3.56,2.56,3.09,2.44,0.53,0.38,2.28,3.69,3.19,3.5,5.97,8.28,7.75,6.97,8.34,10.41,10.75,9.59,10.41,12.72,13.09,11.5,10.34,10.69,9.91,6.69,3.72,3.25,3.62,1.91,0.56,1.78,4.62,6.0,6.22,7.88,10.88,12.22,11.25,10.88,12.28,12.91,10.69,8.62,9.19,10.5,9.56,8.28,9.03,10.78,10.5,8.94,9.12,11.19,12.5,11.44,11.03,12.38,12.75,10.06,7.91,7.88,9.47,9.22,8.84,10.34,13.09,14.41,14.28,15.09,17.69,18.91,17.62,16.59,17.66,18.19,16.78,14.47,14.06,14.12,11.59,7.94,5.56,5.25,4.44,3.03,3.44,7.41,10.66,11.06,11.56,13.19,14.44,13.28,11.53,11.44,12.88,12.12,9.66,8.91,10.0,9.56,7.53,6.75,8.22,9.69,8.72,7.59,8.78,9.72,8.03,5.28,3.84,3.47,0.88,-3.34,-5.78,-5.84,-5.97,-7.78,-8.69,-6.69,-5.66,-7.0,-8.38,-6.88,-3.69,-2.09,-0.78,2.66,7.56,10.22,11.16,12.66,15.72,17.62,16.66,15.62,16.66,17.75,16.16,14.25,13.84,14.22,12.28,9.0,7.78,8.03,7.5,5.16,3.53,4.34,4.53,2.66,0.94,1.59,3.22,2.5,1.06,1.97,4.03,4.5,4.12,5.69,8.91,10.84,10.31,9.56,11.31,12.38,11.09,9.88,10.88,12.0,10.88,9.19,9.53,11.84,13.03,12.88,13.53,15.38,14.91,11.69,7.75,6.19,4.75,1.34,-1.22,-0.53,1.38,2.16,1.94,3.25,6.34,7.47,6.81,7.38,10.22,12.38,12.19,12.31,14.44,15.94,14.28,11.19,10.34,10.62,9.47,7.59,8.03,10.38,10.84,9.31,8.62,10.0,11.0,10.03,8.69,10.09,11.47,10.66,8.88,8.56,9.84,9.59,8.41,8.88,11.34,12.38,10.91,9.38,9.69,9.56,7.56,5.38,5.5,6.81,6.5,4.84,5.22,7.12,7.25,5.69,5.12,6.69,7.84,6.5,5.62,6.84,7.88,6.47,4.31,5.0,7.38,8.38,8.62,10.5,13.56,14.69,13.41,12.84,14.56,15.41,14.34,13.44,14.16,14.72,12.78,9.5,8.28,8.22,7.16,5.19,5.31,7.28,8.22,6.66,4.88,5.34,5.22,3.56,2.12,3.44,5.47,4.91,3.22,2.62,3.53,3.31,1.84,2.03,4.56,5.81,4.62,3.78,5.12,6.5,5.47,3.66,4.16,4.81,3.22,0.0,-1.69,-1.69,-2.38,-3.97,-3.75,-0.72,1.47,0.62,-0.53,0.44,1.28,0.44,-0.72,0.78,3.03,3.88,2.97,3.41,4.56,4.09,1.31,-1.12,-1.47,-1.72,-3.38,-5.47,-4.56,-2.75,-2.78,-3.5,-1.88,0.97,2.31,1.88,2.34,3.91,4.5,2.22,0.38,0.88,1.44,0.38,-0.53,1.12,3.88,4.84,4.28,5.22,6.66,6.19,3.41,1.44,1.66,1.88,0.16,0.0,2.12,4.31,4.19,2.75,3.25,4.5,4.06,2.59,2.62,4.56,5.03,3.41,2.12,2.66,2.41,-0.22,-2.78,-2.94,-2.12,-3.22,-4.66,-3.78,-1.5,-0.25,-0.5,1.06,4.31,6.62,6.69,7.03,8.84,9.59,7.5,4.84,4.16,4.94,4.53,4.0,5.72,9.03,10.91,10.75,11.09,12.28,12.22,10.12,8.12,8.47,8.97,7.44,5.22,4.88,5.75,5.62,4.62,5.53,7.91,9.62,8.84,9.0,10.91,12.06,10.84,9.59,10.75,12.47,12.0,10.56,10.06,10.5,9.12,6.09,5.19,6.47,7.91,8.09,9.19,12.38,14.72,14.25,13.06,13.06,13.81,12.06,9.81,9.28,10.34,10.0,8.53,7.97,8.81,8.69,5.84,2.94,2.0,1.5,-0.88,-3.66,-4.16,-3.31,-4.31,-5.84,-4.62,-1.62,0.91,2.28,4.72,8.38,11.03,10.56,9.28,9.47,9.41,7.41,4.88,4.75,6.12,6.06,5.03,4.72,5.5,4.03,0.62,-2.25,-2.5,-2.12,-3.25,-3.31,-1.19,1.62,2.25,1.72,2.28,4.09,4.31,2.84,2.5,4.19,5.25,4.09,3.25,5.0,6.31,5.16,3.84,4.38,5.88,5.44,3.81,3.56,4.44,4.25,2.34,1.5,3.06,4.5,3.69,3.25,4.81,6.5,6.0,4.91,5.34,7.16,6.78,4.69,3.66,3.97,3.0,0.56,-1.25,-0.28,0.66,-0.19,-0.84,0.28,2.44,2.56,1.84,2.53,4.16,3.78,1.94,0.81,1.75,2.5,1.19,0.41,2.19,3.78,3.34,2.78,3.84,5.56,5.12,3.88,3.69,4.44,4.06,1.59,-0.25,-0.03,-0.81,-3.44,-6.0,-6.09,-5.19,-5.59,-6.22,-4.72,-2.25,-1.78,-2.94,-3.06,-0.97,0.06,-0.25,0.44,3.16,4.91,3.81,1.47,0.75,0.47,-1.84,-4.38,-5.0,-3.62,-3.62,-4.72,-4.44,-1.94,-0.47,-0.72,-0.59,1.5,3.0,2.0,0.28,0.5,1.53,1.44,0.78,1.69,4.75,5.78,4.88,4.06,4.44,4.25,1.44,-1.0,-0.09,1.94,3.0,3.59,6.03,8.72,8.62,6.12,4.75,5.06,4.66,3.53,3.34,6.28,8.12,7.69,6.06,5.88,5.75,4.12,1.94,2.25,4.22,5.0,4.22,4.22,5.81,6.44,4.88,3.94,5.12,6.47,6.12,5.59,7.25,9.69,9.97,8.59,8.66,9.19,8.34,6.03,4.56,5.41,5.69,4.0,2.62,3.62,5.09,4.56,3.72,5.34,7.97,9.5,9.28,9.88,11.22,10.88,7.78,5.66,6.06,6.75,5.91,5.03,6.69,8.5,8.12,6.0,5.47,5.69,4.62,2.31,2.38,4.53,6.22,5.97,5.88,7.34,8.41,6.91,5.03,5.62,7.25,7.44,6.81,7.5,9.72,9.75,7.78,6.53,6.75,6.69,3.97,1.59,1.91,2.44,1.06,-0.72,-0.16,1.22,1.62,0.75,1.78,4.34,5.56,4.72,3.81,5.09,5.69,3.0,0.75,0.91,1.47,0.62,-0.69,40.25,39.03,37.84,38.34,40.59,42.88,43.56,44.38,45.59,45.72,44.38,43.28,43.66,44.78,44.78,43.88,44.0,44.16,43.0,40.53,39.34,39.25,38.88,37.44,36.44,37.19,38.03,37.62,37.56,39.12,41.0,41.56,41.53,42.19,43.31,43.72,42.78,42.56,43.62,44.25,43.16,41.62:positivity
21.81,23.84,23.31,21.53,21.25,21.91,20.44,17.38,15.81,15.91,14.47,11.09,8.22,7.44,5.97,2.41,-0.59,-0.53,1.16,2.0,3.0,6.84,11.94,15.59,17.22,19.34,22.66,24.31,23.19,22.12,23.06,23.22,20.59,17.28,16.03,14.97,11.44,5.66,1.38,-2.5,-8.25,-15.53,-20.34,-21.5,-21.47,-21.31,-19.12,-13.19,-6.62,-2.22,0.91,6.0,10.81,12.94,12.62,13.28,14.94,15.25,14.0,13.22,15.03,16.03,14.56,12.88,13.53,14.81,13.53,11.78,11.78,12.5,11.31,8.66,7.72,9.12,10.12,10.12,11.84,16.12,19.38,19.94,19.75,20.81,21.53,19.28,15.47,12.91,10.81,7.22,2.28,-0.78,-0.88,-0.31,-0.62,0.78,5.91,11.28,14.22,15.78,18.31,19.97,18.19,15.03,13.47,13.75,13.41,12.38,13.12,16.84,20.75,21.81,23.28,26.34,28.66,28.16,27.22,28.47,30.75,31.69,31.34,32.59,34.59,34.69,32.31,30.66,30.91,30.5,27.31,23.78,22.59,21.5,18.72,15.62,14.72,14.5,12.25,8.47,5.75,5.31,4.38,1.38,-0.19,0.28,0.69,-0.56,-1.91,-0.47,1.44,1.56,1.16,2.84,6.19,8.84,11.0,14.38,19.78,23.66,24.22,23.91,24.78,24.75,22.0,19.28,19.09,20.22,19.38,17.66,17.41,18.12,17.0,13.91,12.03,12.19,12.03,9.53,7.44,7.19,7.12,4.75,2.28,2.06,3.38,3.41,2.81,4.16,7.5,9.75,9.69,10.06,11.81,12.62,11.03,9.41,10.03,11.81,12.09,11.88,14.16,17.81,19.72,19.56,20.22,22.19,22.28,20.09,18.16,18.25,18.03,15.28,13.16,13.75,15.5,15.78,15.5,16.94,19.31,19.88,18.88,19.5,22.03,24.47,24.75,25.59,28.91,31.88,31.91,31.12,31.88,32.88,31.78,29.03,27.53,27.09,24.84,20.5,17.25,16.56,16.16,14.0,12.31,12.91,14.16,12.84,10.88,10.88,11.62,10.44,8.72,8.62,11.0,12.38,12.0,12.53,14.78,16.97,17.03,17.56,20.31,23.41,23.47,21.94,21.22,20.47,17.84,14.06,11.94,12.25,12.53,11.19,10.56,12.12,13.31,11.78,9.66,9.0,8.94,6.59,3.56,2.44,2.84,2.78,1.78,2.56,5.81,8.72,9.03,9.22,10.81,12.69,11.97,10.78,11.97,14.41,15.22,14.75,15.81,17.91,17.75,14.84,12.56,12.38,11.84,10.0,9.38,11.25,14.12,14.25,12.88,12.56,12.62,10.41,7.25,6.34,7.5,8.41,7.97,8.38,10.75,13.31,13.47,13.56,15.69,18.06,17.81,15.81,15.22,15.25,13.84,11.09,9.66,10.0,9.16,5.62,2.25,1.06,0.38,-1.59,-2.94,-1.22,1.84,2.94,2.94,4.59,7.44,9.31,10.31,13.16,18.62,23.53,25.91,27.5,29.78,30.75,28.41,25.0,23.03,22.41,20.0,16.59,14.72,14.22,12.56,9.16,6.84,7.34,7.56,5.47,3.62,4.19,4.78,3.84,2.47,2.72,3.97,3.44,1.19,0.41,1.62,2.81,2.19,2.56,5.38,7.53,7.62,7.06,9.0,11.59,12.38,12.19,13.34,15.41,15.28,13.25,11.94,13.06,13.56,12.22,11.0,12.25,13.41,12.31,11.0,12.22,14.28,14.44,13.56,14.31,16.62,17.44,16.5,16.56,18.38,19.59,18.41,16.97,17.84,18.22,16.38,13.84,13.56,14.38,14.0,12.28,12.19,14.09,14.97,14.22,14.16,16.66,18.62,17.75,16.81,18.31,19.66,19.38,18.53,20.12,23.19,25.06,25.88,27.78,31.03,32.84,32.28,31.88,33.56,34.75,33.59,31.25,30.66,30.59,28.03,24.03,21.97,21.28,19.53,17.12,16.0,17.19,18.19,16.97,16.09,17.62,19.97,20.06,19.88,21.09,23.03,21.75,18.53,16.22,15.31,13.44,10.5,9.0,10.66,12.78,12.31,12.0,13.5,14.62,13.16,11.03,11.03,12.41,12.16,10.28,9.31,9.56,8.94,6.31,4.09,4.88,5.16,3.56,1.97,3.28,5.81,7.16,8.12,11.5,16.16,18.53,18.56,18.84,20.03,20.09,18.56,17.66,19.78,21.94,21.66,20.72,21.81,23.34,23.28,21.97,22.38,23.78,23.31,20.06,16.88,15.19,12.66,8.5,5.88,6.78,9.22,10.03,10.09,12.19,14.88,15.22,14.03,14.59,16.12,16.81,15.53,15.28,17.34,18.81,17.94,17.0,18.28,19.75,18.75,16.53,16.06,16.25,14.81,11.81,9.81,9.56,8.53,5.28,2.59,2.84,3.69,2.66,1.91,4.19,7.81,8.97,9.25,11.22,14.38,15.69,14.91,15.38,17.22,18.59,17.41,17.0,19.31,21.28,21.0,19.59,19.53,19.81,17.66,14.12,12.66,12.88,11.97,9.47,7.69,8.31,8.62,6.81,6.28,8.78,12.28,14.19,15.53,18.44,21.91,22.94,21.19,20.09,20.47,19.78,17.34,16.03,17.34,18.75,18.19,17.62,19.59,21.88,22.03,21.28,23.16,26.5,28.19,28.16,28.66,29.84,29.56,26.56,24.69,25.19,26.03,24.34,22.25,21.84,21.78,19.25,16.22,15.19,15.91,16.0,14.69,15.09,17.81,20.0,19.38,18.44,19.28,19.22,16.62,13.69,13.56,14.91,15.12,14.56,15.88,18.59,19.47,17.56,16.0,15.91,14.62,10.81,7.66,7.25,7.97,6.91,5.94,7.5,10.47,11.88,11.81,13.34,16.91,19.38,19.47,20.41,22.38,23.31,20.66,16.88,15.16,14.56,12.0,9.34,8.84,10.31,9.91,7.56,6.78,7.81,7.94,6.16,5.16,6.25,7.0,5.22,2.53,2.38,3.44,3.06,2.31,3.91,6.91,8.09,7.66,7.88,9.78,11.06,10.12,9.53,11.25,13.03,12.19,10.78,10.94,11.44,10.19,7.84,7.19,8.56,9.12,7.0,5.66,6.12,6.12,3.19,1.34,2.22,4.5,4.81,4.72,6.62,9.62,10.44,9.56,10.03,11.88,12.28,10.97,10.16,12.19,14.44,14.72,15.06,17.53,20.66,20.66,19.25,19.34,20.5,19.69,16.91,15.16,14.88,13.09,8.97,5.25,4.31,4.03,2.12,0.53,1.91,5.09,6.44,7.38,10.03,14.38,16.28,15.91,15.62,17.06,17.5,15.47,14.0,14.56,15.22,13.06,10.53,9.84,10.62,9.72,8.56,9.38,12.97,16.03,17.62,19.56,23.0,25.0,22.88,20.19,19.62,19.75,17.53,15.0,14.75,15.19,13.5,10.47,8.53,8.59,7.75,5.22,3.94,5.25,6.69,6.16,5.56,7.62,10.47,10.56,9.41,9.84,11.44,11.03,9.5,9.16,11.06,12.09,10.34,9.12,10.09,11.03,9.25,6.66,6.16,6.62,5.28,3.06,3.62,6.62,8.88,10.19,12.75,17.81,21.94,22.62,22.28,23.09,22.72,19.75,15.97,14.59,14.69,13.53,11.09,9.31,9.25,7.0,2.81,-0.69,-1.34,-1.56,-2.94,-3.28,0.16,4.41,6.62,7.78,10.81,13.97,15.16,14.47,14.62,16.28,16.31,13.97,11.31,11.06,10.38,7.62,4.62,4.09,4.78,3.69,2.0,3.06,5.88,7.31,6.75,6.69,8.38,8.5,5.88,3.44,3.53,3.84,2.81,1.91,3.97,7.03,7.59,6.47,6.53,7.5,6.59,4.12,2.25,2.94,3.16,1.78,0.69,2.19,4.5,4.56,3.47,4.41,6.09,5.34,3.06,2.38,3.59,3.97,2.78,3.03,6.06,8.84,9.25,9.44,11.44,12.72,10.91,7.44,5.41,4.41,2.12,-1.28,-2.25,-1.06,-0.19,-0.25,0.72,4.0,6.53,5.81,3.53,3.03,3.12,1.75,0.75,3.03,7.66,11.38,13.25,15.44,19.16,20.5,18.31,15.72,14.56,12.5,8.34,3.88,2.25,2.34,1.47,0.16,0.59,3.06,4.03,3.28,3.38,6.16,8.44,8.03,7.44,8.5,9.06,7.06,4.0,2.97,3.38,2.28,0.25,0.16,2.5,4.0,3.5,3.34,4.41,4.38,0.91,-2.88,-3.88,-3.66,-4.5,-5.31,-3.38,-0.25,1.44,1.12,2.22,4.91,6.5,6.06,6.06,8.25,10.22,9.62,8.59,9.59,10.81,9.75,7.44,6.44,6.12,4.06,-0.03,-2.5,-2.62,-2.81,-4.12,-4.22,-1.44,1.66,2.69,2.94,4.94,7.47,8.03,7.56,8.78,11.69,13.44,12.97,13.06,14.41,15.19,12.91,10.72,11.03,11.78,10.19,8.0,8.22,8.62,7.16,4.06,2.88,2.91,2.31,0.56,-0.31,1.06,2.84,2.19,1.28,2.81,4.84,5.16,4.22,5.19,6.94,6.94,5.03,4.5,5.66,6.38,5.31,5.25,7.31,9.5,9.0,7.72,7.78,8.12,5.31,1.25,-1.12,-2.09,-3.94,-6.31,-6.19,-3.28,0.19,1.91,3.91,7.72,11.44,12.09,11.44,12.75,13.88,12.78,9.47,6.88,5.25,2.59,-1.72,-4.22,-3.62,-1.78,-1.44,-0.62,2.06,4.72,4.44,2.72,3.0,4.44,5.03,4.69,6.03,8.81,10.31,9.28,8.25,9.0,9.69,8.0,6.28,6.28,6.66,4.5,1.47,0.16,0.81,0.75,0.22,2.16,6.12,9.59,10.5,11.72,14.53,17.19,17.28,17.0,18.03,18.62,17.0,13.53,11.38,10.81,9.62,7.0,6.0,7.69,9.16,7.69,6.16,6.38,6.88,5.56,4.16,5.62,8.19,9.91,10.0,11.06,13.12,13.34,10.72,8.62,8.22,7.16,3.97,1.12,0.41,0.81,-0.16,-1.03:17.38,15.81,15.91,14.47,11.09,8.22,7.44,5.97,2.41,-0.59,-0.53,1.16,2.0,3.0,6.84,11.94,15.59,17.22,19.34,22.66,24.31,23.19,22.12,23.06,23.22,20.59,17.28,16.03,14.97,11.44,5.66,1.38,-2.5,-8.25,-15.53,-20.34,-21.5,-21.47,-21.31,-19.12,-13.19,-6.62,-2.22,0.91,6.0,10.81,12.94,12.62,13.28,14.94,15.25,14.0,13.22,15.03,16.03,14.56,12.88,13.53,14.81,13.53,11.78,11.78,12.5,11.31,8.66,7.72,9.12,10.12,10.12,11.84,16.12,19.38,19.94,19.75,20.81,21.53,19.28,15.47,12.91,10.81,7.22,2.28,-0.78,-0.88,-0.31,-0.62,0.78,5.91,11.28,14.22,15.78,18.31,19.97,18.19,15.03,13.47,13.75,13.41,12.38,13.12,16.84,20.75,21.81,23.28,26.34,28.66,28.16,27.22,28.47,30.75,31.69,31.34,32.59,34.59,34.69,32.31,30.66,30.91,30.5,27.31,23.78,22.59,21.5,18.72,15.62,14.72,14.5,12.25,8.47,5.75,5.31,4.38,1.38,-0.19,0.28,0.69,-0.56,-1.91,-0.47,1.44,1.56,1.16,2.84,6.19,8.84,11.0,14.38,19.78,23.66,24.22,23.91,24.78,24.75,22.0,19.28,19.09,20.22,19.38,17.66,17.41,18.12,17.0,13.91,12.03,12.19,12.03,9.53,7.44,7.19,7.12,4.75,2.28,2.06,3.38,3.41,2.81,4.16,7.5,9.75,9.69,10.06,11.81,12.62,11.03,9.41,10.03,11.81,12.09,11.88,14.16,17.81,19.72,19.56,20.22,22.19,22.28,20.09,18.16,18.25,18.03,15.28,13.16,13.75,15.5,15.78,15.5,16.94,19.31,19.88,18.88,19.5,22.03,24.47,24.75,25.59,28.91,31.88,31.91,31.12,31.88,32.88,31.78,29.03,27.53,27.09,24.84,20.5,17.25,16.56,16.16,14.0,12.31,12.91,14.16,12.84,10.88,10.88,11.62,10.44,8.72,8.62,11.0,12.38,12.0,12.53,14.78,16.97,17.03,17.56,20.31,23.41,23.47,21.94,21.22,20.47,17.84,14.06,11.94,12.25,12.53,11.19,10.56,12.12,13.31,11.78,9.66,9.0,8.94,6.59,3.56,2.44,2.84,2.78,1.78,2.56,5.81,8.72,9.03,9.22,10.81,12.69,11.97,10.78,11.97,14.41,15.22,14.75,15.81,17.91,17.75,14.84,12.56,12.38,11.84,10.0,9.38,11.25,14.12,14.25,12.88,12.56,12.62,10.41,7.25,6.34,7.5,8.41,7.97,8.38,10.75,13.31,13.47,13.56,15.69,18.06,17.81,15.81,15.22,15.25,13.84,11.09,9.66,10.0,9.16,5.62,2.25,1.06,0.38,-1.59,-2.94,-1.22,1.84,2.94,2.94,4.59,7.44,9.31,10.31,13.16,18.62,23.53,25.91,27.5,29.78,30.75,28.41,25.0,23.03,22.41,20.0,16.59,14.72,14.22,12.56,9.16,6.84,7.34,7.56,5.47,3.62,4.19,4.78,3.84,2.47,2.72,3.97,3.44,1.19,0.41,1.62,2.81,2.19,2.56,5.38,7.53,7.62,7.06,9.0,11.59,12.38,12.19,13.34,15.41,15.28,13.25,11.94,13.06,13.56,12.22,11.0,12.25,13.41,12.31,11.0,12.22,14.28,14.44,13.56,14.31,16.62,17.44,16.5,16.56,18.38,19.59,18.41,16.97,17.84,18.22,16.38,13.84,13.56,14.38,14.0,12.28,12.19,14.09,14.97,14.22,14.16,16.66,18.62,17.75,16.81,18.31,19.66,19.38,18.53,20.12,23.19,25.06,25.88,27.78,31.03,32.84,32.28,31.88,33.56,34.75,33.59,31.25,30.66,30.59,28.03,24.03,21.97,21.28,19.53,17.12,16.0,17.19,18.19,16.97,16.09,17.62,19.97,20.06,19.88,21.09,23.03,21.75,18.53,16.22,15.31,13.44,10.5,9.0,10.66,12.78,12.31,12.0,13.5,14.62,13.16,11.03,11.03,12.41,12.16,10.28,9.31,9.56,8.94,6.31,4.09,4.88,5.16,3.56,1.97,3.28,5.81,7.16,8.12,11.5,16.16,18.53,18.56,18.84,20.03,20.09,18.56,17.66,19.78,21.94,21.66,20.72,21.81,23.34,23.28,21.97,22.38,23.78,23.31,20.06,16.88,15.19,12.66,8.5,5.88,6.78,9.22,10.03,10.09,12.19,14.88,15.22,14.03,14.59,16.12,16.81,15.53,15.28,17.34,18.81,17.94,17.0,18.28,19.75,18.75,16.53,16.06,16.25,14.81,11.81,9.81,9.56,8.53,5.28,2.59,2.84,3.69,2.66,1.91,4.19,7.81,8.97,9.25,11.22,14.38,15.69,14.91,15.38,17.22,18.59,17.41,17.0,19.31,21.28,21.0,19.59,19.53,19.81,17.66,14.12,12.66,12.88,11.97,9.47,7.69,8.31,8.62,6.81,6.28,8.78,12.28,14.19,15.53,18.44,21.91,22.94,21.19,20.09,20.47,19.78,17.34,16.03,17.34,18.75,18.19,17.62,19.59,21.88,22.03,21.28,23.16,26.5,28.19,28.16,28.66,29.84,29.56,26.56,24.69,25.19,26.03,24.34,22.25,21.84,21.78,19.25,16.22,15.19,15.91,16.0,14.69,15.09,17.81,20.0,19.38,18.44,19.28,19.22,16.62,13.69,13.56,14.91,15.12,14.56,15.88,18.59,19.47,17.56,16.0,15.91,14.62,10.81,7.66,7.25,7.97,6.91,5.94,7.5,10.47,11.88,11.81,13.34,16.91,19.38,19.47,20.41,22.38,23.31,20.66,16.88,15.16,14.56,12.0,9.34,8.84,10.31,9.91,7.56,6.78,7.81,7.94,6.16,5.16,6.25,7.0,5.22,2.53,2.38,3.44,3.06,2.31,3.91,6.91,8.09,7.66,7.88,9.78,11.06,10.12,9.53,11.25,13.03,12.19,10.78,10.94,11.44,10.19,7.84,7.19,8.56,9.12,7.0,5.66,6.12,6.12,3.19,1.34,2.22,4.5,4.81,4.72,6.62,9.62,10.44,9.56,10.03,11.88,12.28,10.97,10.16,12.19,14.44,14.72,15.06,17.53,20.66,20.66,19.25,19.34,20.5,19.69,16.91,15.16,14.88,13.09,8.97,5.25,4.31,4.03,2.12,0.53,1.91,5.09,6.44,7.38,10.03,14.38,16.28,15.91,15.62,17.06,17.5,15.47,14.0,14.56,15.22,13.06,10.53,9.84,10.62,9.72,8.56,9.38,12.97,16.03,17.62,19.56,23.0,25.0,22.88,20.19,19.62,19.75,17.53,15.0,14.75,15.19,13.5,10.47,8.53,8.59,7.75,5.22,3.94,5.25,6.69,6.16,5.56,7.62,10.47,10.56,9.41,9.84,11.44,11.03,9.5,9.16,11.06,12.09,10.34,9.12,10.09,11.03,9.25,6.66,6.16,6.62,5.28,3.06,3.62,6.62,8.88,10.19,12.75,17.81,21.94,22.62,22.28,23.09,22.72,19.75,15.97,14.59,14.69,13.53,11.09,9.31,9.25,7.0,2.81,-0.69,-1.34,-1.56,-2.94,-3.28,0.16,4.41,6.62,7.78,10.81,13.97,15.16,14.47,14.62,16.28,16.31,13.97,11.31,11.06,10.38,7.62,4.62,4.09,4.78,3.69,2.0,3.06,5.88,7.31,6.75,6.69,8.38,8.5,5.88,3.44,3.53,3.84,2.81,1.91,3.97,7.03,7.59,6.47,6.53,7.5,6.59,4.12,2.25,2.94,3.16,1.78,0.69,2.19,4.5,4.56,3.47,4.41,6.09,5.34,3.06,2.38,3.59,3.97,2.78,3.03,6.06,8.84,9.25,9.44,11.44,12.72,10.91,7.44,5.41,4.41,2.12,-1.28,-2.25,-1.06,-0.19,-0.25,0.72,4.0,6.53,5.81,3.53,3.03,3.12,1.75,0.75,3.03,7.66,11.38,13.25,15.44,19.16,20.5,18.31,15.72,14.56,12.5,8.34,3.88,2.25,2.34,1.47,0.16,0.59,3.06,4.03,3.28,3.38,6.16,8.44,8.03,7.44,8.5,9.06,7.06,4.0,2.97,3.38,2.28,0.25,0.16,2.5,4.0,3.5,3.34,4.41,4.38,0.91,-2.88,-3.88,-3.66,-4.5,-5.31,-3.38,-0.25,1.44,1.12,2.22,4.91,6.5,6.06,6.06,8.25,10.22,9.62,8.59,9.59,10.81,9.75,7.44,6.44,6.12,4.06,-0.03,-2.5,-2.62,-2.81,-4.12,-4.22,-1.44,1.66,2.69,2.94,4.94,7.47,8.03,7.56,8.78,11.69,13.44,12.97,13.06,14.41,15.19,12.91,10.72,11.03,11.78,10.19,8.0,8.22,8.62,7.16,4.06,2.88,2.91,2.31,0.56,-0.31,1.06,2.84,2.19,1.28,2.81,4.84,5.16,4.22,5.19,6.94,6.94,5.03,4.5,5.66,6.38,5.31,5.25,7.31,9.5,9.0,7.72,7.78,8.12,5.31,1.25,-1.12,-2.09,-3.94,-6.31,-6.19,-3.28,0.19,1.91,3.91,7.72,11.44,12.09,11.44,12.75,13.88,12.78,9.47,6.88,5.25,2.59,-1.72,-4.22,-3.62,-1.78,-1.44,-0.62,2.06,4.72,4.44,2.72,3.0,4.44,5.03,4.69,6.03,8.81,10.31,9.28,8.25,9.0,9.69,8.0,6.28,6.28,6.66,4.5,1.47,0.16,0.81,0.75,0.22,2.16,6.12,9.59,10.5,11.72,14.53,17.19,17.28,17.0,18.03,18.62,17.0,13.53,11.38,10.81,9.62,7.0,6.0,7.69,9.16,7.69,6.16,6.38,6.88,5.56,4.16,5.62,8.19,9.91,10.0,11.06,13.12,13.34,10.72,8.62,8.22,7.16,3.97,1.12,0.41,0.81,-0.16,-1.03,33.47,34.81,34.81,34.22,34.59,35.88,35.56:5.97,2.41,-0.59,-0.53,1.16,2.0,3.0,6.84,11.94,15.59,17.22,19.34,22.66,24.31,23.19,22.12,23.06,23.22,20.59,17.28,16.03,14.97,11.44,5.66,1.38,-2.5,-8.25,-15.53,-20.34,-21.5,-21.47,-21.31,-19.12,-13.19,-6.62,-2.22,0.91,6.0,10.81,12.94,12.62,13.28,14.94,15.25,14.0,13.22,15.03,16.03,14.56,12.88,13.53,14.81,13.53,11.78,11.78,12.5,11.31,8.66,7.72,9.12,10.12,10.12,11.84,16.12,19.38,19.94,19.75,20.81,21.53,19.28,15.47,12.91,10.81,7.22,2.28,-0.78,-0.88,-0.31,-0.62,0.78,5.91,11.28,14.22,15.78,18.31,19.97,18.19,15.03,13.47,13.75,13.41,12.38,13.12,16.84,20.75,21.81,23.28,26.34,28.66,28.16,27.22,28.47,30.75,31.69,31.34,32.59,34.59,34.69,32.31,30.66,30.91,30.5,27.31,23.78,22.59,21.5,18.72,15.62,14.72,14.5,12.25,8.47,5.75,5.31,4.38,1.38,-0.19,0.28,0.69,-0.56,-1.91,-0.47,1.44,1.56,1.16,2.84,6.19,8.84,11.0,14.38,19.78,23.66,24.22,23.91,24.78,24.75,22.0,19.28,19.09,20.22,19.38,17.66,17.41,18.12,17.0,13.91,12.03,12.19,12.03,9.53,7.44,7.19,7.12,4.75,2.28,2.06,3.38,3.41,2.81,4.16,7.5,9.75,9.69,10.06,11.81,12.62,11.03,9.41,10.03,11.81,12.09,11.88,14.16,17.81,19.72,19.56,20.22,22.19,22.28,20.09,18.16,18.25,18.03,15.28,13.16,13.75,15.5,15.78,15.5,16.94,19.31,19.88,18.88,19.5,22.03,24.47,24.75,25.59,28.91,31.88,31.91,31.12,31.88,32.88,31.78,29.03,27.53,27.09,24.84,20.5,17.25,16.56,16.16,14.0,12.31,12.91,14.16,12.84,10.88,10.88,11.62,10.44,8.72,8.62,11.0,12.38,12.0,12.53,14.78,16.97,17.03,17.56,20.31,23.41,23.47,21.94,21.22,20.47,17.84,14.06,11.94,12.25,12.53,11.19,10.56,12.12,13.31,11.78,9.66,9.0,8.94,6.59,3.56,2.44,2.84,2.78,1.78,2.56,5.81,8.72,9.03,9.22,10.81,12.69,11.97,10.78,11.97,14.41,15.22,14.75,15.81,17.91,17.75,14.84,12.56,12.38,11.84,10.0,9.38,11.25,14.12,14.25,12.88,12.56,12.62,10.41,7.25,6.34,7.5,8.41,7.97,8.38,10.75,13.31,13.47,13.56,15.69,18.06,17.81,15.81,15.22,15.25,13.84,11.09,9.66,10.0,9.16,5.62,2.25,1.06,0.38,-1.59,-2.94,-1.22,1.84,2.94,2.94,4.59,7.44,9.31,10.31,13.16,18.62,23.53,25.91,27.5,29.78,30.75,28.41,25.0,23.03,22.41,20.0,16.59,14.72,14.22,12.56,9.16,6.84,7.34,7.56,5.47,3.62,4.19,4.78,3.84,2.47,2.72,3.97,3.44,1.19,0.41,1.62,2.81,2.19,2.56,5.38,7.53,7.62,7.06,9.0,11.59,12.38,12.19,13.34,15.41,15.28,13.25,11.94,13.06,13.56,12.22,11.0,12.25,13.41,12.31,11.0,12.22,14.28,14.44,13.56,14.31,16.62,17.44,16.5,16.56,18.38,19.59,18.41,16.97,17.84,18.22,16.38,13.84,13.56,14.38,14.0,12.28,12.19,14.09,14.97,14.22,14.16,16.66,18.62,17.75,16.81,18.31,19.66,19.38,18.53,20.12,23.19,25.06,25.88,27.78,31.03,32.84,32.28,31.88,33.56,34.75,33.59,31.25,30.66,30.59,28.03,24.03,21.97,21.28,19.53,17.12,16.0,17.19,18.19,16.97,16.09,17.62,19.97,20.06,19.88,21.09,23.03,21.75,18.53,16.22,15.31,13.44,10.5,9.0,10.66,12.78,12.31,12.0,13.5,14.62,13.16,11.03,11.03,12.41,12.16,10.28,9.31,9.56,8.94,6.31,4.09,4.88,5.16,3.56,1.97,3.28,5.81,7.16,8.12,11.5,16.16,18.53,18.56,18.84,20.03,20.09,18.56,17.66,19.78,21.94,21.66,20.72,21.81,23.34,23.28,21.97,22.38,23.78,23.31,20.06,16.88,15.19,12.66,8.5,5.88,6.78,9.22,10.03,10.09,12.19,14.88,15.22,14.03,14.59,16.12,16.81,15.53,15.28,17.34,18.81,17.94,17.0,18.28,19.75,18.75,16.53,16.06,16.25,14.81,11.81,9.81,9.56,8.53,5.28,2.59,2.84,3.69,2.66,1.91,4.19,7.81,8.97,9.25,11.22,14.38,15.69,14.91,15.38,17.22,18.59,17.41,17.0,19.31,21.28,21.0,19.59,19.53,19.81,17.66,14.12,12.66,12.88,11.97,9.47,7.69,8.31,8.62,6.81,6.28,8.78,12.28,14.19,15.53,18.44,21.91,22.94,21.19,20.09,20.47,19.78,17.34,16.03,17.34,18.75,18.19,17.62,19.59,21.88,22.03,21.28,23.16,26.5,28.19,28.16,28.66,29.84,29.56,26.56,24.69,25.19,26.03,24.34,22.25,21.84,21.78,19.25,16.22,15.19,15.91,16.0,14.69,15.09,17.81,20.0,19.38,18.44,19.28,19.22,16.62,13.69,13.56,14.91,15.12,14.56,15.88,18.59,19.47,17.56,16.0,15.91,14.62,10.81,7.66,7.25,7.97,6.91,5.94,7.5,10.47,11.88,11.81,13.34,16.91,19.38,19.47,20.41,22.38,23.31,20.66,16.88,15.16,14.56,12.0,9.34,8.84,10.31,9.91,7.56,6.78,7.81,7.94,6.16,5.16,6.25,7.0,5.22,2.53,2.38,3.44,3.06,2.31,3.91,6.91,8.09,7.66,7.88,9.78,11.06,10.12,9.53,11.25,13.03,12.19,10.78,10.94,11.44,10.19,7.84,7.19,8.56,9.12,7.0,5.66,6.12,6.12,3.19,1.34,2.22,4.5,4.81,4.72,6.62,9.62,10.44,9.56,10.03,11.88,12.28,10.97,10.16,12.19,14.44,14.72,15.06,17.53,20.66,20.66,19.25,19.34,20.5,19.69,16.91,15.16,14.88,13.09,8.97,5.25,4.31,4.03,2.12,0.53,1.91,5.09,6.44,7.38,10.03,14.38,16.28,15.91,15.62,17.06,17.5,15.47,14.0,14.56,15.22,13.06,10.53,9.84,10.62,9.72,8.56,9.38,12.97,16.03,17.62,19.56,23.0,25.0,22.88,20.19,19.62,19.75,17.53,15.0,14.75,15.19,13.5,10.47,8.53,8.59,7.75,5.22,3.94,5.25,6.69,6.16,5.56,7.62,10.47,10.56,9.41,9.84,11.44,11.03,9.5,9.16,11.06,12.09,10.34,9.12,10.09,11.03,9.25,6.66,6.16,6.62,5.28,3.06,3.62,6.62,8.88,10.19,12.75,17.81,21.94,22.62,22.28,23.09,22.72,19.75,15.97,14.59,14.69,13.53,11.09,9.31,9.25,7.0,2.81,-0.69,-1.34,-1.56,-2.94,-3.28,0.16,4.41,6.62,7.78,10.81,13.97,15.16,14.47,14.62,16.28,16.31,13.97,11.31,11.06,10.38,7.62,4.62,4.09,4.78,3.69,2.0,3.06,5.88,7.31,6.75,6.69,8.38,8.5,5.88,3.44,3.53,3.84,2.81,1.91,3.97,7.03,7.59,6.47,6.53,7.5,6.59,4.12,2.25,2.94,3.16,1.78,0.69,2.19,4.5,4.56,3.47,4.41,6.09,5.34,3.06,2.38,3.59,3.97,2.78,3.03,6.06,8.84,9.25,9.44,11.44,12.72,10.91,7.44,5.41,4.41,2.12,-1.28,-2.25,-1.06,-0.19,-0.25,0.72,4.0,6.53,5.81,3.53,3.03,3.12,1.75,0.75,3.03,7.66,11.38,13.25,15.44,19.16,20.5,18.31,15.72,14.56,12.5,8.34,3.88,2.25,2.34,1.47,0.16,0.59,3.06,4.03,3.28,3.38,6.16,8.44,8.03,7.44,8.5,9.06,7.06,4.0,2.97,3.38,2.28,0.25,0.16,2.5,4.0,3.5,3.34,4.41,4.38,0.91,-2.88,-3.88,-3.66,-4.5,-5.31,-3.38,-0.25,1.44,1.12,2.22,4.91,6.5,6.06,6.06,8.25,10.22,9.62,8.59,9.59,10.81,9.75,7.44,6.44,6.12,4.06,-0.03,-2.5,-2.62,-2.81,-4.12,-4.22,-1.44,1.66,2.69,2.94,4.94,7.47,8.03,7.56,8.78,11.69,13.44,12.97,13.06,14.41,15.19,12.91,10.72,11.03,11.78,10.19,8.0,8.22,8.62,7.16,4.06,2.88,2.91,2.31,0.56,-0.31,1.06,2.84,2.19,1.28,2.81,4.84,5.16,4.22,5.19,6.94,6.94,5.03,4.5,5.66,6.38,5.31,5.25,7.31,9.5,9.0,7.72,7.78,8.12,5.31,1.25,-1.12,-2.09,-3.94,-6.31,-6.19,-3.28,0.19,1.91,3.91,7.72,11.44,12.09,11.44,12.75,13.88,12.78,9.47,6.88,5.25,2.59,-1.72,-4.22,-3.62,-1.78,-1.44,-0.62,2.06,4.72,4.44,2.72,3.0,4.44,5.03,4.69,6.03,8.81,10.31,9.28,8.25,9.0,9.69,8.0,6.28,6.28,6.66,4.5,1.47,0.16,0.81,0.75,0.22,2.16,6.12,9.59,10.5,11.72,14.53,17.19,17.28,17.0,18.03,18.62,17.0,13.53,11.38,10.81,9.62,7.0,6.0,7.69,9.16,7.69,6.16,6.38,6.88,5.56,4.16,5.62,8.19,9.91,10.0,11.06,13.12,13.34,10.72,8.62,8.22,7.16,3.97,1.12,0.41,0.81,-0.16,-1.03,33.47,34.81,34.81,34.22,34.59,35.88,35.56,33.97,33.41,33.66,32.75,30.69,28.94,28.31:6.84,11.94,15.59,17.22,19.34,22.66,24.31,23.19,22.12,23.06,23.22,20.59,17.28,16.03,14.97,11.44,5.66,1.38,-2.5,-8.25,-15.53,-20.34,-21.5,-21.47,-21.31,-19.12,-13.19,-6.62,-2.22,0.91,6.0,10.81,12.94,12.62,13.28,14.94,15.25,14.0,13.22,15.03,16.03,14.56,12.88,13.53,14.81,13.53,11.78,11.78,12.5,11.31,8.66,7.72,9.12,10.12,10.12,11.84,16.12,19.38,19.94,19.75,20.81,21.53,19.28,15.47,12.91,10.81,7.22,2.28,-0.78,-0.88,-0.31,-0.62,0.78,5.91,11.28,14.22,15.78,18.31,19.97,18.19,15.03,13.47,13.75,13.41,12.38,13.12,16.84,20.75,21.81,23.28,26.34,28.66,28.16,27.22,28.47,30.75,31.69,31.34,32.59,34.59,34.69,32.31,30.66,30.91,30.5,27.31,23.78,22.59,21.5,18.72,15.62,14.72,14.5,12.25,8.47,5.75,5.31,4.38,1.38,-0.19,0.28,0.69,-0.56,-1.91,-0.47,1.44,1.56,1.16,2.84,6.19,8.84,11.0,14.38,19.78,23.66,24.22,23.91,24.78,24.75,22.0,19.28,19.09,20.22,19.38,17.66,17.41,18.12,17.0,13.91,12.03,12.19,12.03,9.53,7.44,7.19,7.12,4.75,2.28,2.06,3.38,3.41,2.81,4.16,7.5,9.75,9.69,10.06,11.81,12.62,11.03,9.41,10.03,11.81,12.09,11.88,14.16,17.81,19.72,19.56,20.22,22.19,22.28,20.09,18.16,18.25,18.03,15.28,13.16,13.75,15.5,15.78,15.5,16.94,19.31,19.88,18.88,19.5,22.03,24.47,24.75,25.59,28.91,31.88,31.91,31.12,31.88,32.88,31.78,29.03,27.53,27.09,24.84,20.5,17.25,16.56,16.16,14.0,12.31,12.91,14.16,12.84,10.88,10.88,11.62,10.44,8.72,8.62,11.0,12.38,12.0,12.53,14.78,16.97,17.03,17.56,20.31,23.41,23.47,21.94,21.22,20.47,17.84,14.06,11.94,12.25,12.53,11.19,10.56,12.12,13.31,11.78,9.66,9.0,8.94,6.59,3.56,2.44,2.84,2.78,1.78,2.56,5.81,8.72,9.03,9.22,10.81,12.69,11.97,10.78,11.97,14.41,15.22,14.75,15.81,17.91,17.75,14.84,12.56,12.38,11.84,10.0,9.38,11.25,14.12,14.25,12.88,12.56,12.62,10.41,7.25,6.34,7.5,8.41,7.97,8.38,10.75,13.31,13.47,13.56,15.69,18.06,17.81,15.81,15.22,15.25,13.84,11.09,9.66,10.0,9.16,5.62,2.25,1.06,0.38,-1.59,-2.94,-1.22,1.84,2.94,2.94,4.59,7.44,9.31,10.31,13.16,18.62,23.53,25.91,27.5,29.78,30.75,28.41,25.0,23.03,22.41,20.0,16.59,14.72,14.22,12.56,9.16,6.84,7.34,7.56,5.47,3.62,4.19,4.78,3.84,2.47,2.72,3.97,3.44,1.19,0.41,1.62,2.81,2.19,2.56,5.38,7.53,7.62,7.06,9.0,11.59,12.38,12.19,13.34,15.41,15.28,13.25,11.94,13.06,13.56,12.22,11.0,12.25,13.41,12.31,11.0,12.22,14.28,14.44,13.56,14.31,16.62,17.44,16.5,16.56,18.38,19.59,18.41,16.97,17.84,18.22,16.38,13.84,13.56,14.38,14.0,12.28,12.19,14.09,14.97,14.22,14.16,16.66,18.62,17.75,16.81,18.31,19.66,19.38,18.53,20.12,23.19,25.06,25.88,27.78,31.03,32.84,32.28,31.88,33.56,34.75,33.59,31.25,30.66,30.59,28.03,24.03,21.97,21.28,19.53,17.12,16.0,17.19,18.19,16.97,16.09,17.62,19.97,20.06,19.88,21.09,23.03,21.75,18.53,16.22,15.31,13.44,10.5,9.0,10.66,12.78,12.31,12.0,13.5,14.62,13.16,11.03,11.03,12.41,12.16,10.28,9.31,9.56,8.94,6.31,4.09,4.88,5.16,3.56,1.97,3.28,5.81,7.16,8.12,11.5,16.16,18.53,18.56,18.84,20.03,20.09,18.56,17.66,19.78,21.94,21.66,20.72,21.81,23.34,23.28,21.97,22.38,23.78,23.31,20.06,16.88,15.19,12.66,8.5,5.88,6.78,9.22,10.03,10.09,12.19,14.88,15.22,14.03,14.59,16.12,16.81,15.53,15.28,17.34,18.81,17.94,17.0,18.28,19.75,18.75,16.53,16.06,16.25,14.81,11.81,9.81,9.56,8.53,5.28,2.59,2.84,3.69,2.66,1.91,4.19,7.81,8.97,9.25,11.22,14.38,15.69,14.91,15.38,17.22,18.59,17.41,17.0,19.31,21.28,21.0,19.59,19.53,19.81,17.66,14.12,12.66,12.88,11.97,9.47,7.69,8.31,8.62,6.81,6.28,8.78,12.28,14.19,15.53,18.44,21.91,22.94,21.19,20.09,20.47,19.78,17.34,16.03,17.34,18.75,18.19,17.62,19.59,21.88,22.03,21.28,23.16,26.5,28.19,28.16,28.66,29.84,29.56,26.56,24.69,25.19,26.03,24.34,22.25,21.84,21.78,19.25,16.22,15.19,15.91,16.0,14.69,15.09,17.81,20.0,19.38,18.44,19.28,19.22,16.62,13.69,13.56,14.91,15.12,14.56,15.88,18.59,19.47,17.56,16.0,15.91,14.62,10.81,7.66,7.25,7.97,6.91,5.94,7.5,10.47,11.88,11.81,13.34,16.91,19.38,19.47,20.41,22.38,23.31,20.66,16.88,15.16,14.56,12.0,9.34,8.84,10.31,9.91,7.56,6.78,7.81,7.94,6.16,5.16,6.25,7.0,5.22,2.53,2.38,3.44,3.06,2.31,3.91,6.91,8.09,7.66,7.88,9.78,11.06,10.12,9.53,11.25,13.03,12.19,10.78,10.94,11.44,10.19,7.84,7.19,8.56,9.12,7.0,5.66,6.12,6.12,3.19,1.34,2.22,4.5,4.81,4.72,6.62,9.62,10.44,9.56,10.03,11.88,12.28,10.97,10.16,12.19,14.44,14.72,15.06,17.53,20.66,20.66,19.25,19.34,20.5,19.69,16.91,15.16,14.88,13.09,8.97,5.25,4.31,4.03,2.12,0.53,1.91,5.09,6.44,7.38,10.03,14.38,16.28,15.91,15.62,17.06,17.5,15.47,14.0,14.56,15.22,13.06,10.53,9.84,10.62,9.72,8.56,9.38,12.97,16.03,17.62,19.56,23.0,25.0,22.88,20.19,19.62,19.75,17.53,15.0,14.75,15.19,13.5,10.47,8.53,8.59,7.75,5.22,3.94,5.25,6.69,6.16,5.56,7.62,10.47,10.56,9.41,9.84,11.44,11.03,9.5,9.16,11.06,12.09,10.34,9.12,10.09,11.03,9.25,6.66,6.16,6.62,5.28,3.06,3.62,6.62,8.88,10.19,12.75,17.81,21.94,22.62,22.28,23.09,22.72,19.75,15.97,14.59,14.69,13.53,11.09,9.31,9.25,7.0,2.81,-0.69,-1.34,-1.56,-2.94,-3.28,0.16,4.41,6.62,7.78,10.81,13.97,15.16,14.47,14.62,16.28,16.31,13.97,11.31,11.06,10.38,7.62,4.62,4.09,4.78,3.69,2.0,3.06,5.88,7.31,6.75,6.69,8.38,8.5,5.88,3.44,3.53,3.84,2.81,1.91,3.97,7.03,7.59,6.47,6.53,7.5,6.59,4.12,2.25,2.94,3.16,1.78,0.69,2.19,4.5,4.56,3.47,4.41,6.09,5.34,3.06,2.38,3.59,3.97,2.78,3.03,6.06,8.84,9.25,9.44,11.44,12.72,10.91,7.44,5.41,4.41,2.12,-1.28,-2.25,-1.06,-0.19,-0.25,0.72,4.0,6.53,5.81,3.53,3.03,3.12,1.75,0.75,3.03,7.66,11.38,13.25,15.44,19.16,20.5,18.31,15.72,14.56,12.5,8.34,3.88,2.25,2.34,1.47,0.16,0.59,3.06,4.03,3.28,3.38,6.16,8.44,8.03,7.44,8.5,9.06,7.06,4.0,2.97,3.38,2.28,0.25,0.16,2.5,4.0,3.5,3.34,4.41,4.38,0.91,-2.88,-3.88,-3.66,-4.5,-5.31,-3.38,-0.25,1.44,1.12,2.22,4.91,6.5,6.06,6.06,8.25,10.22,9.62,8.59,9.59,10.81,9.75,7.44,6.44,6.12,4.06,-0.03,-2.5,-2.62,-2.81,-4.12,-4.22,-1.44,1.66,2.69,2.94,4.94,7.47,8.03,7.56,8.78,11.69,13.44,12.97,13.06,14.41,15.19,12.91,10.72,11.03,11.78,10.19,8.0,8.22,8.62,7.16,4.06,2.88,2.91,2.31,0.56,-0.31,1.06,2.84,2.19,1.28,2.81,4.84,5.16,4.22,5.19,6.94,6.94,5.03,4.5,5.66,6.38,5.31,5.25,7.31,9.5,9.0,7.72,7.78,8.12,5.31,1.25,-1.12,-2.09,-3.94,-6.31,-6.19,-3.28,0.19,1.91,3.91,7.72,11.44,12.09,11.44,12.75,13.88,12.78,9.47,6.88,5.25,2.59,-1.72,-4.22,-3.62,-1.78,-1.44,-0.62,2.06,4.72,4.44,2.72,3.0,4.44,5.03,4.69,6.03,8.81,10.31,9.28,8.25,9.0,9.69,8.0,6.28,6.28,6.66,4.5,1.47,0.16,0.81,0.75,0.22,2.16,6.12,9.59,10.5,11.72,14.53,17.19,17.28,17.0,18.03,18.62,17.0,13.53,11.38,10.81,9.62,7.0,6.0,7.69,9.16,7.69,6.16,6.38,6.88,5.56,4.16,5.62,8.19,9.91,10.0,11.06,13.12,13.34,10.72,8.62,8.22,7.16,3.97,1.12,0.41,0.81,-0.16,-1.03,33.47,34.81,34.81,34.22,34.59,35.88,35.56,33.97,33.41,33.66,32.75,30.69,28.94,28.31,27.16,24.41,21.91,21.91,22.75,23.12,23.88:23.19,22.12,23.06,23.22,20.59,17.28,16.03,14.97,11.44,5.66,1.38,-2.5,-8.25,-15.53,-20.34,-21.5,-21.47,-21.31,-19.12,-13.19,-6.62,-2.22,0.91,6.0,10.81,12.94,12.62,13.28,14.94,15.25,14.0,13.22,15.03,16.03,14.56,12.88,13.53,14.81,13.53,11.78,11.78,12.5,11.31,8.66,7.72,9.12,10.12,10.12,11.84,16.12,19.38,19.94,19.75,20.81,21.53,19.28,15.47,12.91,10.81,7.22,2.28,-0.78,-0.88,-0.31,-0.62,0.78,5.91,11.28,14.22,15.78,18.31,19.97,18.19,15.03,13.47,13.75,13.41,12.38,13.12,16.84,20.75,21.81,23.28,26.34,28.66,28.16,27.22,28.47,30.75,31.69,31.34,32.59,34.59,34.69,32.31,30.66,30.91,30.5,27.31,23.78,22.59,21.5,18.72,15.62,14.72,14.5,12.25,8.47,5.75,5.31,4.38,1.38,-0.19,0.28,0.69,-0.56,-1.91,-0.47,1.44,1.56,1.16,2.84,6.19,8.84,11.0,14.38,19.78,23.66,24.22,23.91,24.78,24.75,22.0,19.28,19.09,20.22,19.38,17.66,17.41,18.12,17.0,13.91,12.03,12.19,12.03,9.53,7.44,7.19,7.12,4.75,2.28,2.06,3.38,3.41,2.81,4.16,7.5,9.75,9.69,10.06,11.81,12.62,11.03,9.41,10.03,11.81,12.09,11.88,14.16,17.81,19.72,19.56,20.22,22.19,22.28,20.09,18.16,18.25,18.03,15.28,13.16,13.75,15.5,15.78,15.5,16.94,19.31,19.88,18.88,19.5,22.03,24.47,24.75,25.59,28.91,31.88,31.91,31.12,31.88,32.88,31.78,29.03,27.53,27.09,24.84,20.5,17.25,16.56,16.16,14.0,12.31,12.91,14.16,12.84,10.88,10.88,11.62,10.44,8.72,8.62,11.0,12.38,12.0,12.53,14.78,16.97,17.03,17.56,20.31,23.41,23.47,21.94,21.22,20.47,17.84,14.06,11.94,12.25,12.53,11.19,10.56,12.12,13.31,11.78,9.66,9.0,8.94,6.59,3.56,2.44,2.84,2.78,1.78,2.56,5.81,8.72,9.03,9.22,10.81,12.69,11.97,10.78,11.97,14.41,15.22,14.75,15.81,17.91,17.75,14.84,12.56,12.38,11.84,10.0,9.38,11.25,14.12,14.25,12.88,12.56,12.62,10.41,7.25,6.34,7.5,8.41,7.97,8.38,10.75,13.31,13.47,13.56,15.69,18.06,17.81,15.81,15.22,15.25,13.84,11.09,9.66,10.0,9.16,5.62,2.25,1.06,0.38,-1.59,-2.94,-1.22,1.84,2.94,2.94,4.59,7.44,9.31,10.31,13.16,18.62,23.53,25.91,27.5,29.78,30.75,28.41,25.0,23.03,22.41,20.0,16.59,14.72,14.22,12.56,9.16,6.84,7.34,7.56,5.47,3.62,4.19,4.78,3.84,2.47,2.72,3.97,3.44,1.19,0.41,1.62,2.81,2.19,2.56,5.38,7.53,7.62,7.06,9.0,11.59,12.38,12.19,13.34,15.41,15.28,13.25,11.94,13.06,13.56,12.22,11.0,12.25,13.41,12.31,11.0,12.22,14.28,14.44,13.56,14.31,16.62,17.44,16.5,16.56,18.38,19.59,18.41,16.97,17.84,18.22,16.38,13.84,13.56,14.38,14.0,12.28,12.19,14.09,14.97,14.22,14.16,16.66,18.62,17.75,16.81,18.31,19.66,19.38,18.53,20.12,23.19,25.06,25.88,27.78,31.03,32.84,32.28,31.88,33.56,34.75,33.59,31.25,30.66,30.59,28.03,24.03,21.97,21.28,19.53,17.12,16.0,17.19,18.19,16.97,16.09,17.62,19.97,20.06,19.88,21.09,23.03,21.75,18.53,16.22,15.31,13.44,10.5,9.0,10.66,12.78,12.31,12.0,13.5,14.62,13.16,11.03,11.03,12.41,12.16,10.28,9.31,9.56,8.94,6.31,4.09,4.88,5.16,3.56,1.97,3.28,5.81,7.16,8.12,11.5,16.16,18.53,18.56,18.84,20.03,20.09,18.56,17.66,19.78,21.94,21.66,20.72,21.81,23.34,23.28,21.97,22.38,23.78,23.31,20.06,16.88,15.19,12.66,8.5,5.88,6.78,9.22,10.03,10.09,12.19,14.88,15.22,14.03,14.59,16.12,16.81,15.53,15.28,17.34,18.81,17.94,17.0,18.28,19.75,18.75,16.53,16.06,16.25,14.81,11.81,9.81,9.56,8.53,5.28,2.59,2.84,3.69,2.66,1.91,4.19,7.81,8.97,9.25,11.22,14.38,15.69,14.91,15.38,17.22,18.59,17.41,17.0,19.31,21.28,21.0,19.59,19.53,19.81,17.66,14.12,12.66,12.88,11.97,9.47,7.69,8.31,8.62,6.81,6.28,8.78,12.28,14.19,15.53,18.44,21.91,22.94,21.19,20.09,20.47,19.78,17.34,16.03,17.34,18.75,18.19,17.62,19.59,21.88,22.03,21.28,23.16,26.5,28.19,28.16,28.66,29.84,29.56,26.56,24.69,25.19,26.03,24.34,22.25,21.84,21.78,19.25,16.22,15.19,15.91,16.0,14.69,15.09,17.81,20.0,19.38,18.44,19.28,19.22,16.62,13.69,13.56,14.91,15.12,14.56,15.88,18.59,19.47,17.56,16.0,15.91,14.62,10.81,7.66,7.25,7.97,6.91,5.94,7.5,10.47,11.88,11.81,13.34,16.91,19.38,19.47,20.41,22.38,23.31,20.66,16.88,15.16,14.56,12.0,9.34,8.84,10.31,9.91,7.56,6.78,7.81,7.94,6.16,5.16,6.25,7.0,5.22,2.53,2.38,3.44,3.06,2.31,3.91,6.91,8.09,7.66,7.88,9.78,11.06,10.12,9.53,11.25,13.03,12.19,10.78,10.94,11.44,10.19,7.84,7.19,8.56,9.12,7.0,5.66,6.12,6.12,3.19,1.34,2.22,4.5,4.81,4.72,6.62,9.62,10.44,9.56,10.03,11.88,12.28,10.97,10.16,12.19,14.44,14.72,15.06,17.53,20.66,20.66,19.25,19.34,20.5,19.69,16.91,15.16,14.88,13.09,8.97,5.25,4.31,4.03,2.12,0.53,1.91,5.09,6.44,7.38,10.03,14.38,16.28,15.91,15.62,17.06,17.5,15.47,14.0,14.56,15.22,13.06,10.53,9.84,10.62,9.72,8.56,9.38,12.97,16.03,17.62,19.56,23.0,25.0,22.88,20.19,19.62,19.75,17.53,15.0,14.75,15.19,13.5,10.47,8.53,8.59,7.75,5.22,3.94,5.25,6.69,6.16,5.56,7.62,10.47,10.56,9.41,9.84,11.44,11.03,9.5,9.16,11.06,12.09,10.34,9.12,10.09,11.03,9.25,6.66,6.16,6.62,5.28,3.06,3.62,6.62,8.88,10.19,12.75,17.81,21.94,22.62,22.28,23.09,22.72,19.75,15.97,14.59,14.69,13.53,11.09,9.31,9.25,7.0,2.81,-0.69,-1.34,-1.56,-2.94,-3.28,0.16,4.41,6.62,7.78,10.81,13.97,15.16,14.47,14.62,16.28,16.31,13.97,11.31,11.06,10.38,7.62,4.62,4.09,4.78,3.69,2.0,3.06,5.88,7.31,6.75,6.69,8.38,8.5,5.88,3.44,3.53,3.84,2.81,1.91,3.97,7.03,7.59,6.47,6.53,7.5,6.59,4.12,2.25,2.94,3.16,1.78,0.69,2.19,4.5,4.56,3.47,4.41,6.09,5.34,3.06,2.38,3.59,3.97,2.78,3.03,6.06,8.84,9.25,9.44,11.44,12.72,10.91,7.44,5.41,4.41,2.12,-1.28,-2.25,-1.06,-0.19,-0.25,0.72,4.0,6.53,5.81,3.53,3.03,3.12,1.75,0.75,3.03,7.66,11.38,13.25,15.44,19.16,20.5,18.31,15.72,14.56,12.5,8.34,3.88,2.25,2.34,1.47,0.16,0.59,3.06,4.03,3.28,3.38,6.16,8.44,8.03,7.44,8.5,9.06,7.06,4.0,2.97,3.38,2.28,0.25,0.16,2.5,4.0,3.5,3.34,4.41,4.38,0.91,-2.88,-3.88,-3.66,-4.5,-5.31,-3.38,-0.25,1.44,1.12,2.22,4.91,6.5,6.06,6.06,8.25,10.22,9.62,8.59,9.59,10.81,9.75,7.44,6.44,6.12,4.06,-0.03,-2.5,-2.62,-2.81,-4.12,-4.22,-1.44,1.66,2.69,2.94,4.94,7.47,8.03,7.56,8.78,11.69,13.44,12.97,13.06,14.41,15.19,12.91,10.72,11.03,11.78,10.19,8.0,8.22,8.62,7.16,4.06,2.88,2.91,2.31,0.56,-0.31,1.06,2.84,2.19,1.28,2.81,4.84,5.16,4.22,5.19,6.94,6.94,5.03,4.5,5.66,6.38,5.31,5.25,7.31,9.5,9.0,7.72,7.78,8.12,5.31,1.25,-1.12,-2.09,-3.94,-6.31,-6.19,-3.28,0.19,1.91,3.91,7.72,11.44,12.09,11.44,12.75,13.88,12.78,9.47,6.88,5.25,2.59,-1.72,-4.22,-3.62,-1.78,-1.44,-0.62,2.06,4.72,4.44,2.72,3.0,4.44,5.03,4.69,6.03,8.81,10.31,9.28,8.25,9.0,9.69,8.0,6.28,6.28,6.66,4.5,1.47,0.16,0.81,0.75,0.22,2.16,6.12,9.59,10.5,11.72,14.53,17.19,17.28,17.0,18.03,18.62,17.0,13.53,11.38,10.81,9.62,7.0,6.0,7.69,9.16,7.69,6.16,6.38,6.88,5.56,4.16,5.62,8.19,9.91,10.0,11.06,13.12,13.34,10.72,8.62,8.22,7.16,3.97,1.12,0.41,0.81,-0.16,-1.03,33.47,34.81,34.81,34.22,34.59,35.88,35.56,33.97,33.41,33.66,32.75,30.69,28.94,28.31,27.16,24.41,21.91,21.91,22.75,23.12,23.88,26.72,30.47,33.03,34.66,36.25,38.69,39.59:14.97,11.44,5.66,1.38,-2.5,-8.25,-15.53,-20.34,-21.5,-21.47,-21.31,-19.12,-13.19,-6.62,-2.22,0.91,6.0,10.81,12.94,12.62,13.28,14.94,15.25,14.0,13.22,15.03,16.03,14.56,12.88,13.53,14.81,13.53,11.78,11.78,12.5,11.31,8.66,7.72,9.12,10.12,10.12,11.84,16.12,19.38,19.94,19.75,20.81,21.53,19.28,15.47,12.91,10.81,7.22,2.28,-0.78,-0.88,-0.31,-0.62,0.78,5.91,11.28,14.22,15.78,18.31,19.97,18.19,15.03,13.47,13.75,13.41,12.38,13.12,16.84,20.75,21.81,23.28,26.34,28.66,28.16,27.22,28.47,30.75,31.69,31.34,32.59,34.59,34.69,32.31,30.66,30.91,30.5,27.31,23.78,22.59,21.5,18.72,15.62,14.72,14.5,12.25,8.47,5.75,5.31,4.38,1.38,-0.19,0.28,0.69,-0.56,-1.91,-0.47,1.44,1.56,1.16,2.84,6.19,8.84,11.0,14.38,19.78,23.66,24.22,23.91,24.78,24.75,22.0,19.28,19.09,20.22,19.38,17.66,17.41,18.12,17.0,13.91,12.03,12.19,12.03,9.53,7.44,7.19,7.12,4.75,2.28,2.06,3.38,3.41,2.81,4.16,7.5,9.75,9.69,10.06,11.81,12.62,11.03,9.41,10.03,11.81,12.09,11.88,14.16,17.81,19.72,19.56,20.22,22.19,22.28,20.09,18.16,18.25,18.03,15.28,13.16,13.75,15.5,15.78,15.5,16.94,19.31,19.88,18.88,19.5,22.03,24.47,24.75,25.59,28.91,31.88,31.91,31.12,31.88,32.88,31.78,29.03,27.53,27.09,24.84,20.5,17.25,16.56,16.16,14.0,12.31,12.91,14.16,12.84,10.88,10.88,11.62,10.44,8.72,8.62,11.0,12.38,12.0,12.53,14.78,16.97,17.03,17.56,20.31,23.41,23.47,21.94,21.22,20.47,17.84,14.06,11.94,12.25,12.53,11.19,10.56,12.12,13.31,11.78,9.66,9.0,8.94,6.59,3.56,2.44,2.84,2.78,1.78,2.56,5.81,8.72,9.03,9.22,10.81,12.69,11.97,10.78,11.97,14.41,15.22,14.75,15.81,17.91,17.75,14.84,12.56,12.38,11.84,10.0,9.38,11.25,14.12,14.25,12.88,12.56,12.62,10.41,7.25,6.34,7.5,8.41,7.97,8.38,10.75,13.31,13.47,13.56,15.69,18.06,17.81,15.81,15.22,15.25,13.84,11.09,9.66,10.0,9.16,5.62,2.25,1.06,0.38,-1.59,-2.94,-1.22,1.84,2.94,2.94,4.59,7.44,9.31,10.31,13.16,18.62,23.53,25.91,27.5,29.78,30.75,28.41,25.0,23.03,22.41,20.0,16.59,14.72,14.22,12.56,9.16,6.84,7.34,7.56,5.47,3.62,4.19,4.78,3.84,2.47,2.72,3.97,3.44,1.19,0.41,1.62,2.81,2.19,2.56,5.38,7.53,7.62,7.06,9.0,11.59,12.38,12.19,13.34,15.41,15.28,13.25,11.94,13.06,13.56,12.22,11.0,12.25,13.41,12.31,11.0,12.22,14.28,14.44,13.56,14.31,16.62,17.44,16.5,16.56,18.38,19.59,18.41,16.97,17.84,18.22,16.38,13.84,13.56,14.38,14.0,12.28,12.19,14.09,14.97,14.22,14.16,16.66,18.62,17.75,16.81,18.31,19.66,19.38,18.53,20.12,23.19,25.06,25.88,27.78,31.03,32.84,32.28,31.88,33.56,34.75,33.59,31.25,30.66,30.59,28.03,24.03,21.97,21.28,19.53,17.12,16.0,17.19,18.19,16.97,16.09,17.62,19.97,20.06,19.88,21.09,23.03,21.75,18.53,16.22,15.31,13.44,10.5,9.0,10.66,12.78,12.31,12.0,13.5,14.62,13.16,11.03,11.03,12.41,12.16,10.28,9.31,9.56,8.94,6.31,4.09,4.88,5.16,3.56,1.97,3.28,5.81,7.16,8.12,11.5,16.16,18.53,18.56,18.84,20.03,20.09,18.56,17.66,19.78,21.94,21.66,20.72,21.81,23.34,23.28,21.97,22.38,23.78,23.31,20.06,16.88,15.19,12.66,8.5,5.88,6.78,9.22,10.03,10.09,12.19,14.88,15.22,14.03,14.59,16.12,16.81,15.53,15.28,17.34,18.81,17.94,17.0,18.28,19.75,18.75,16.53,16.06,16.25,14.81,11.81,9.81,9.56,8.53,5.28,2.59,2.84,3.69,2.66,1.91,4.19,7.81,8.97,9.25,11.22,14.38,15.69,14.91,15.38,17.22,18.59,17.41,17.0,19.31,21.28,21.0,19.59,19.53,19.81,17.66,14.12,12.66,12.88,11.97,9.47,7.69,8.31,8.62,6.81,6.28,8.78,12.28,14.19,15.53,18.44,21.91,22.94,21.19,20.09,20.47,19.78,17.34,16.03,17.34,18.75,18.19,17.62,19.59,21.88,22.03,21.28,23.16,26.5,28.19,28.16,28.66,29.84,29.56,26.56,24.69,25.19,26.03,24.34,22.25,21.84,21.78,19.25,16.22,15.19,15.91,16.0,14.69,15.09,17.81,20.0,19.38,18.44,19.28,19.22,16.62,13.69,13.56,14.91,15.12,14.56,15.88,18.59,19.47,17.56,16.0,15.91,14.62,10.81,7.66,7.25,7.97,6.91,5.94,7.5,10.47,11.88,11.81,13.34,16.91,19.38,19.47,20.41,22.38,23.31,20.66,16.88,15.16,14.56,12.0,9.34,8.84,10.31,9.91,7.56,6.78,7.81,7.94,6.16,5.16,6.25,7.0,5.22,2.53,2.38,3.44,3.06,2.31,3.91,6.91,8.09,7.66,7.88,9.78,11.06,10.12,9.53,11.25,13.03,12.19,10.78,10.94,11.44,10.19,7.84,7.19,8.56,9.12,7.0,5.66,6.12,6.12,3.19,1.34,2.22,4.5,4.81,4.72,6.62,9.62,10.44,9.56,10.03,11.88,12.28,10.97,10.16,12.19,14.44,14.72,15.06,17.53,20.66,20.66,19.25,19.34,20.5,19.69,16.91,15.16,14.88,13.09,8.97,5.25,4.31,4.03,2.12,0.53,1.91,5.09,6.44,7.38,10.03,14.38,16.28,15.91,15.62,17.06,17.5,15.47,14.0,14.56,15.22,13.06,10.53,9.84,10.62,9.72,8.56,9.38,12.97,16.03,17.62,19.56,23.0,25.0,22.88,20.19,19.62,19.75,17.53,15.0,14.75,15.19,13.5,10.47,8.53,8.59,7.75,5.22,3.94,5.25,6.69,6.16,5.56,7.62,10.47,10.56,9.41,9.84,11.44,11.03,9.5,9.16,11.06,12.09,10.34,9.12,10.09,11.03,9.25,6.66,6.16,6.62,5.28,3.06,3.62,6.62,8.88,10.19,12.75,17.81,21.94,22.62,22.28,23.09,22.72,19.75,15.97,14.59,14.69,13.53,11.09,9.31,9.25,7.0,2.81,-0.69,-1.34,-1.56,-2.94,-3.28,0.16,4.41,6.62,7.78,10.81,13.97,15.16,14.47,14.62,16.28,16.31,13.97,11.31,11.06,10.38,7.62,4.62,4.09,4.78,3.69,2.0,3.06,5.88,7.31,6.75,6.69,8.38,8.5,5.88,3.44,3.53,3.84,2.81,1.91,3.97,7.03,7.59,6.47,6.53,7.5,6.59,4.12,2.25,2.94,3.16,1.78,0.69,2.19,4.5,4.56,3.47,4.41,6.09,5.34,3.06,2.38,3.59,3.97,2.78,3.03,6.06,8.84,9.25,9.44,11.44,12.72,10.91,7.44,5.41,4.41,2.12,-1.28,-2.25,-1.06,-0.19,-0.25,0.72,4.0,6.53,5.81,3.53,3.03,3.12,1.75,0.75,3.03,7.66,11.38,13.25,15.44,19.16,20.5,18.31,15.72,14.56,12.5,8.34,3.88,2.25,2.34,1.47,0.16,0.59,3.06,4.03,3.28,3.38,6.16,8.44,8.03,7.44,8.5,9.06,7.06,4.0,2.97,3.38,2.28,0.25,0.16,2.5,4.0,3.5,3.34,4.41,4.38,0.91,-2.88,-3.88,-3.66,-4.5,-5.31,-3.38,-0.25,1.44,1.12,2.22,4.91,6.5,6.06,6.06,8.25,10.22,9.62,8.59,9.59,10.81,9.75,7.44,6.44,6.12,4.06,-0.03,-2.5,-2.62,-2.81,-4.12,-4.22,-1.44,1.66,2.69,2.94,4.94,7.47,8.03,7.56,8.78,11.69,13.44,12.97,13.06,14.41,15.19,12.91,10.72,11.03,11.78,10.19,8.0,8.22,8.62,7.16,4.06,2.88,2.91,2.31,0.56,-0.31,1.06,2.84,2.19,1.28,2.81,4.84,5.16,4.22,5.19,6.94,6.94,5.03,4.5,5.66,6.38,5.31,5.25,7.31,9.5,9.0,7.72,7.78,8.12,5.31,1.25,-1.12,-2.09,-3.94,-6.31,-6.19,-3.28,0.19,1.91,3.91,7.72,11.44,12.09,11.44,12.75,13.88,12.78,9.47,6.88,5.25,2.59,-1.72,-4.22,-3.62,-1.78,-1.44,-0.62,2.06,4.72,4.44,2.72,3.0,4.44,5.03,4.69,6.03,8.81,10.31,9.28,8.25,9.0,9.69,8.0,6.28,6.28,6.66,4.5,1.47,0.16,0.81,0.75,0.22,2.16,6.12,9.59,10.5,11.72,14.53,17.19,17.28,17.0,18.03,18.62,17.0,13.53,11.38,10.81,9.62,7.0,6.0,7.69,9.16,7.69,6.16,6.38,6.88,5.56,4.16,5.62,8.19,9.91,10.0,11.06,13.12,13.34,10.72,8.62,8.22,7.16,3.97,1.12,0.41,0.81,-0.16,-1.03,33.47,34.81,34.81,34.22,34.59,35.88,35.56,33.97,33.41,33.66,32.75,30.69,28.94,28.31,27.16,24.41,21.91,21.91,22.75,23.12,23.88,26.72,30.47,33.03,34.66,36.25,38.69,39.59,38.38,36.56,35.91,34.12,30.81,27.06,25.25:-20.34,-21.5,-21.47,-21.31,-19.12,-13.19,-6.62,-2.22,0.91,6.0,10.81,12.94,12.62,13.28,14.94,15.25,14.0,13.22,15.03,16.03,14.56,12.88,13.53,14.81,13.53,11.78,11.78,12.5,11.31,8.66,7.72,9.12,10.12,10.12,11.84,16.12,19.38,19.94,19.75,20.81,21.53,19.28,15.47,12.91,10.81,7.22,2.28,-0.78,-0.88,-0.31,-0.62,0.78,5.91,11.28,14.22,15.78,18.31,19.97,18.19,15.03,13.47,13.75,13.41,12.38,13.12,16.84,20.75,21.81,23.28,26.34,28.66,28.16,27.22,28.47,30.75,31.69,31.34,32.59,34.59,34.69,32.31,30.66,30.91,30.5,27.31,23.78,22.59,21.5,18.72,15.62,14.72,14.5,12.25,8.47,5.75,5.31,4.38,1.38,-0.19,0.28,0.69,-0.56,-1.91,-0.47,1.44,1.56,1.16,2.84,6.19,8.84,11.0,14.38,19.78,23.66,24.22,23.91,24.78,24.75,22.0,19.28,19.09,20.22,19.38,17.66,17.41,18.12,17.0,13.91,12.03,12.19,12.03,9.53,7.44,7.19,7.12,4.75,2.28,2.06,3.38,3.41,2.81,4.16,7.5,9.75,9.69,10.06,11.81,12.62,11.03,9.41,10.03,11.81,12.09,11.88,14.16,17.81,19.72,19.56,20.22,22.19,22.28,20.09,18.16,18.25,18.03,15.28,13.16,13.75,15.5,15.78,15.5,16.94,19.31,19.88,18.88,19.5,22.03,24.47,24.75,25.59,28.91,31.88,31.91,31.12,31.88,32.88,31.78,29.03,27.53,27.09,24.84,20.5,17.25,16.56,16.16,14.0,12.31,12.91,14.16,12.84,10.88,10.88,11.62,10.44,8.72,8.62,11.0,12.38,12.0,12.53,14.78,16.97,17.03,17.56,20.31,23.41,23.47,21.94,21.22,20.47,17.84,14.06,11.94,12.25,12.53,11.19,10.56,12.12,13.31,11.78,9.66,9.0,8.94,6.59,3.56,2.44,2.84,2.78,1.78,2.56,5.81,8.72,9.03,9.22,10.81,12.69,11.97,10.78,11.97,14.41,15.22,14.75,15.81,17.91,17.75,14.84,12.56,12.38,11.84,10.0,9.38,11.25,14.12,14.25,12.88,12.56,12.62,10.41,7.25,6.34,7.5,8.41,7.97,8.38,10.75,13.31,13.47,13.56,15.69,18.06,17.81,15.81,15.22,15.25,13.84,11.09,9.66,10.0,9.16,5.62,2.25,1.06,0.38,-1.59,-2.94,-1.22,1.84,2.94,2.94,4.59,7.44,9.31,10.31,13.16,18.62,23.53,25.91,27.5,29.78,30.75,28.41,25.0,23.03,22.41,20.0,16.59,14.72,14.22,12.56,9.16,6.84,7.34,7.56,5.47,3.62,4.19,4.78,3.84,2.47,2.72,3.97,3.44,1.19,0.41,1.62,2.81,2.19,2.56,5.38,7.53,7.62,7.06,9.0,11.59,12.38,12.19,13.34,15.41,15.28,13.25,11.94,13.06,13.56,12.22,11.0,12.25,13.41,12.31,11.0,12.22,14.28,14.44,13.56,14.31,16.62,17.44,16.5,16.56,18.38,19.59,18.41,16.97,17.84,18.22,16.38,13.84,13.56,14.38,14.0,12.28,12.19,14.09,14.97,14.22,14.16,16.66,18.62,17.75,16.81,18.31,19.66,19.38,18.53,20.12,23.19,25.06,25.88,27.78,31.03,32.84,32.28,31.88,33.56,34.75,33.59,31.25,30.66,30.59,28.03,24.03,21.97,21.28,19.53,17.12,16.0,17.19,18.19,16.97,16.09,17.62,19.97,20.06,19.88,21.09,23.03,21.75,18.53,16.22,15.31,13.44,10.5,9.0,10.66,12.78,12.31,12.0,13.5,14.62,13.16,11.03,11.03,12.41,12.16,10.28,9.31,9.56,8.94,6.31,4.09,4.88,5.16,3.56,1.97,3.28,5.81,7.16,8.12,11.5,16.16,18.53,18.56,18.84,20.03,20.09,18.56,17.66,19.78,21.94,21.66,20.72,21.81,23.34,23.28,21.97,22.38,23.78,23.31,20.06,16.88,15.19,12.66,8.5,5.88,6.78,9.22,10.03,10.09,12.19,14.88,15.22,14.03,14.59,16.12,16.81,15.53,15.28,17.34,18.81,17.94,17.0,18.28,19.75,18.75,16.53,16.06,16.25,14.81,11.81,9.81,9.56,8.53,5.28,2.59,2.84,3.69,2.66,1.91,4.19,7.81,8.97,9.25,11.22,14.38,15.69,14.91,15.38,17.22,18.59,17.41,17.0,19.31,21.28,21.0,19.59,19.53,19.81,17.66,14.12,12.66,12.88,11.97,9.47,7.69,8.31,8.62,6.81,6.28,8.78,12.28,14.19,15.53,18.44,21.91,22.94,21.19,20.09,20.47,19.78,17.34,16.03,17.34,18.75,18.19,17.62,19.59,21.88,22.03,21.28,23.16,26.5,28.19,28.16,28.66,29.84,29.56,26.56,24.69,25.19,26.03,24.34,22.25,21.84,21.78,19.25,16.22,15.19,15.91,16.0,14.69,15.09,17.81,20.0,19.38,18.44,19.28,19.22,16.62,13.69,13.56,14.91,15.12,14.56,15.88,18.59,19.47,17.56,16.0,15.91,14.62,10.81,7.66,7.25,7.97,6.91,5.94,7.5,10.47,11.88,11.81,13.34,16.91,19.38,19.47,20.41,22.38,23.31,20.66,16.88,15.16,14.56,12.0,9.34,8.84,10.31,9.91,7.56,6.78,7.81,7.94,6.16,5.16,6.25,7.0,5.22,2.53,2.38,3.44,3.06,2.31,3.91,6.91,8.09,7.66,7.88,9.78,11.06,10.12,9.53,11.25,13.03,12.19,10.78,10.94,11.44,10.19,7.84,7.19,8.56,9.12,7.0,5.66,6.12,6.12,3.19,1.34,2.22,4.5,4.81,4.72,6.62,9.62,10.44,9.56,10.03,11.88,12.28,10.97,10.16,12.19,14.44,14.72,15.06,17.53,20.66,20.66,19.25,19.34,20.5,19.69,16.91,15.16,14.88,13.09,8.97,5.25,4.31,4.03,2.12,0.53,1.91,5.09,6.44,7.38,10.03,14.38,16.28,15.91,15.62,17.06,17.5,15.47,14.0,14.56,15.22,13.06,10.53,9.84,10.62,9.72,8.56,9.38,12.97,16.03,17.62,19.56,23.0,25.0,22.88,20.19,19.62,19.75,17.53,15.0,14.75,15.19,13.5,10.47,8.53,8.59,7.75,5.22,3.94,5.25,6.69,6.16,5.56,7.62,10.47,10.56,9.41,9.84,11.44,11.03,9.5,9.16,11.06,12.09,10.34,9.12,10.09,11.03,9.25,6.66,6.16,6.62,5.28,3.06,3.62,6.62,8.88,10.19,12.75,17.81,21.94,22.62,22.28,23.09,22.72,19.75,15.97,14.59,14.69,13.53,11.09,9.31,9.25,7.0,2.81,-0.69,-1.34,-1.56,-2.94,-3.28,0.16,4.41,6.62,7.78,10.81,13.97,15.16,14.47,14.62,16.28,16.31,13.97,11.31,11.06,10.38,7.62,4.62,4.09,4.78,3.69,2.0,3.06,5.88,7.31,6.75,6.69,8.38,8.5,5.88,3.44,3.53,3.84,2.81,1.91,3.97,7.03,7.59,6.47,6.53,7.5,6.59,4.12,2.25,2.94,3.16,1.78,0.69,2.19,4.5,4.56,3.47,4.41,6.09,5.34,3.06,2.38,3.59,3.97,2.78,3.03,6.06,8.84,9.25,9.44,11.44,12.72,10.91,7.44,5.41,4.41,2.12,-1.28,-2.25,-1.06,-0.19,-0.25,0.72,4.0,6.53,5.81,3.53,3.03,3.12,1.75,0.75,3.03,7.66,11.38,13.25,15.44,19.16,20.5,18.31,15.72,14.56,12.5,8.34,3.88,2.25,2.34,1.47,0.16,0.59,3.06,4.03,3.28,3.38,6.16,8.44,8.03,7.44,8.5,9.06,7.06,4.0,2.97,3.38,2.28,0.25,0.16,2.5,4.0,3.5,3.34,4.41,4.38,0.91,-2.88,-3.88,-3.66,-4.5,-5.31,-3.38,-0.25,1.44,1.12,2.22,4.91,6.5,6.06,6.06,8.25,10.22,9.62,8.59,9.59,10.81,9.75,7.44,6.44,6.12,4.06,-0.03,-2.5,-2.62,-2.81,-4.12,-4.22,-1.44,1.66,2.69,2.94,4.94,7.47,8.03,7.56,8.78,11.69,13.44,12.97,13.06,14.41,15.19,12.91,10.72,11.03,11.78,10.19,8.0,8.22,8.62,7.16,4.06,2.88,2.91,2.31,0.56,-0.31,1.06,2.84,2.19,1.28,2.81,4.84,5.16,4.22,5.19,6.94,6.94,5.03,4.5,5.66,6.38,5.31,5.25,7.31,9.5,9.0,7.72,7.78,8.12,5.31,1.25,-1.12,-2.09,-3.94,-6.31,-6.19,-3.28,0.19,1.91,3.91,7.72,11.44,12.09,11.44,12.75,13.88,12.78,9.47,6.88,5.25,2.59,-1.72,-4.22,-3.62,-1.78,-1.44,-0.62,2.06,4.72,4.44,2.72,3.0,4.44,5.03,4.69,6.03,8.81,10.31,9.28,8.25,9.0,9.69,8.0,6.28,6.28,6.66,4.5,1.47,0.16,0.81,0.75,0.22,2.16,6.12,9.59,10.5,11.72,14.53,17.19,17.28,17.0,18.03,18.62,17.0,13.53,11.38,10.81,9.62,7.0,6.0,7.69,9.16,7.69,6.16,6.38,6.88,5.56,4.16,5.62,8.19,9.91,10.0,11.06,13.12,13.34,10.72,8.62,8.22,7.16,3.97,1.12,0.41,0.81,-0.16,-1.03,33.47,34.81,34.81,34.22,34.59,35.88,35.56,33.97,33.41,33.66,32.75,30.69,28.94,28.31,27.16,24.41,21.91,21.91,22.75,23.12,23.88,26.72,30.47,33.03,34.66,36.25,38.69,39.59,38.38,36.56,35.91,34.12,30.81,27.06,25.25,23.56,20.34,15.97,12.56,10.09,6.62,2.62:positivity
10.97,11.28,12.47,12.38,11.09,10.12,9.22,7.59,4.53,1.88,1.5,1.56,0.91,0.66,3.03,6.0,7.72,9.12,11.41,13.59,14.03,12.59,11.44,10.75,9.19,6.25,4.16,3.88,4.28,4.0,3.78,5.34,7.12,7.25,6.19,6.72,8.03,8.84,8.44,9.22,11.16,12.28,12.34,12.41,13.94,15.03,14.44,13.12,13.44,13.59,12.84,11.22,10.88,11.66,11.41,10.31,10.0,10.75,11.53,10.81,10.34,11.81,13.0,12.66,11.75,12.0,12.88,12.88,11.75,12.03,13.47,13.5,11.75,10.03,9.22,7.78,4.66,2.31,1.69,2.03,1.28,0.53,1.75,4.0,5.47,6.0,7.69,10.09,11.56,11.53,12.06,13.69,15.03,14.72,14.16,14.84,15.75,15.25,13.78,13.88,14.41,14.0,12.72,12.91,13.97,14.38,13.03,11.91,11.41,10.09,7.31,4.72,3.69,3.34,2.34,0.53,0.41,1.16,0.97,-0.22,-0.88,-0.97,-1.53,-3.78,-4.97,-4.06,-2.38,-1.75,-1.41,0.22,1.66,1.5,-0.16,-0.16,0.88,1.31,0.78,1.06,2.69,3.25,1.88,0.47,0.84,1.59,1.28,1.09,2.44,4.19,4.56,4.0,4.62,6.38,7.28,6.97,6.88,8.19,9.09,8.34,7.44,7.88,8.19,7.0,5.53,6.12,7.78,8.91,8.88,9.84,11.69,12.41,11.47,11.31,12.81,13.75,12.88,12.12,12.59,13.31,12.22,10.03,9.25,9.09,7.47,4.62,3.25,3.16,2.69,1.59,2.22,5.12,8.84,10.69,12.38,14.72,16.69,15.5,12.66,10.38,8.53,6.19,2.84,1.28,1.78,1.84,0.41,-0.03,1.03,2.22,1.16,0.28,0.84,1.91,1.25,-0.22,0.09,1.5,1.97,1.75,2.78,4.78,6.16,5.53,5.19,6.19,7.12,6.41,6.09,7.41,9.62,10.62,10.59,11.66,12.94,12.62,10.5,9.0,9.25,9.88,8.66,8.22,9.09,9.34,6.81,3.12,0.66,-1.16,-4.22,-7.47,-8.78,-8.16,-7.66,-7.12,-5.31,-1.34,2.25,3.88,5.12,7.78,10.12,10.31,9.66,10.22,10.88,9.88,7.84,6.62,6.62,5.31,2.03,-0.38,-1.12,-1.66,-3.78,-5.12,-4.66,-3.94,-4.69,-6.0,-5.31,-3.09,-1.62,-0.72,1.75,5.25,7.81,8.09,8.59,9.94,11.12,10.38,10.12,11.19,12.5,11.81,10.59,10.22,10.62,10.09,8.62,8.41,9.97,11.56,11.59,12.19,13.72,14.53,12.84,10.62,9.38,9.56,8.44,6.88,6.78,7.78,7.69,6.56,6.53,8.25,9.53,9.03,8.22,8.06,8.0,5.69,3.16,2.28,2.09,0.81,-0.75,-1.09,0.22,0.97,0.84,1.66,3.94,5.62,5.69,6.22,8.0,10.0,10.38,10.0,10.84,12.03,11.69,10.69,10.31,10.88,10.81,9.34,9.06,10.56,11.81,10.75,9.72,9.38,8.97,6.44,3.41,1.28,0.16,-2.19,-4.62,-5.22,-3.88,-2.91,-2.47,-1.56,0.81,2.62,2.53,2.5,4.16,6.56,7.81,8.81,11.16,13.81,14.38,12.91,11.44,10.47,8.78,5.41,2.88,2.03,1.47,-0.5,-1.88,-1.47,0.09,0.22,0.62,2.47,5.72,7.69,8.06,8.44,9.59,9.62,7.88,6.25,6.75,7.28,5.84,4.62,4.22,4.31,2.62,0.12,-0.97,-0.88,-2.03,-4.22,-5.91,-6.25,-6.31,-7.22,-7.31,-4.84,-1.5,0.44,1.72,4.25,7.31,7.84,6.97,6.16,6.19,5.06,2.91,2.03,3.25,4.44,4.03,3.78,5.25,6.69,6.28,5.69,6.84,9.53,10.78,11.25,12.16,12.94,11.75,8.16,4.56,2.44,0.44,-2.34,-4.25,-3.59,-1.25,0.06,1.28,3.97,7.28,8.41,7.97,7.59,8.03,7.22,4.72,2.25,0.97,-0.22,-2.88,-4.75,-4.0,-1.84,-0.59,0.34,2.28,4.59,4.84,3.34,2.34,2.97,3.38,2.59,2.53,4.19,5.94,5.41,4.88,5.97,7.09,6.44,4.69,3.72,4.12,4.0,3.78,5.09,8.75,11.75,12.88,13.53,14.41,14.19,11.47,7.69,5.56,4.5,2.34,-0.03,-1.25,-1.34,-1.97,-3.66,-3.66,-1.22,1.28,3.41,5.91,9.78,13.56,14.66,15.16,16.56,18.44,18.53,17.34,16.22,15.69,13.38,10.09,7.69,7.88,8.47,8.06,7.62,8.97,9.81,8.5,5.97,4.0,2.44,-0.5,-4.25,-6.12,-6.06,-5.97,-6.84,-6.69,-4.69,-2.91,-2.56,-2.31,-0.66,1.0,1.25,0.78,1.72,3.84,5.06,5.66,7.44,11.19,14.28,15.0,15.22,16.59,16.62,15.0,13.78,14.94,17.09,17.66,17.06,17.19,17.62,16.16,13.47,11.56,10.38,8.19,4.06,-0.12,-2.06,-3.72,-5.88,-7.12,-6.41,-4.44,-3.88,-3.28,-1.5,1.78,3.91,4.44,5.62,7.88,8.94,8.31,7.34,7.34,6.66,4.19,1.09,-0.41,-0.56,-1.69,-3.22,-3.84,-3.44,-4.5,-7.28,-9.0,-9.03,-8.31,-8.03,-6.88,-2.78,1.28,3.75,5.5,7.78,9.81,10.06,8.94,8.19,8.66,8.28,6.78,6.0,6.97,8.06,7.97,7.94,10.0,12.0,12.31,11.31,10.47,9.59,6.75,2.91,0.22,-0.19,-0.22,-1.19,-1.0,0.84,2.72,2.56,2.16,2.75,3.28,2.75,1.12,1.19,2.66,3.41,3.0,3.47,4.88,5.69,4.12,2.56,2.28,1.41,-0.91,-3.25,-2.97,-2.16,-1.56,-2.09,-1.31,0.0,0.75,-0.16,-0.12,0.94,1.12,-0.59,-2.47,-2.56,-2.5,-3.44,-4.25,-2.88,-1.44,-0.59,-0.62,0.19,2.03,3.28,2.47,1.91,2.19,1.19,-1.25,-3.41,-3.5,-2.81,-3.06,-3.94,-3.22,-2.22,-2.34,-3.56,-3.44,-2.5,-2.44,-3.66,-4.41,-3.03,-1.53,-1.62,-2.03,-1.25,-0.41,-1.06,-1.97,-1.19,0.91,2.16,1.97,2.16,3.12,3.41,2.34,1.72,3.28,4.94,4.81,4.34,4.97,5.66,4.66,3.31,3.62,5.09,6.72,7.41,8.75,10.78,11.44,9.84,8.34,8.16,8.62,8.16,7.44,8.06,8.97,8.44,6.88,6.34,6.69,5.88,3.06,0.56,-0.66,-1.5,-2.97,-3.72,-1.75,0.91,2.66,3.84,5.91,8.19,8.5,6.72,4.97,3.31,0.47,-3.75,-7.03,-7.91,-7.38,-6.72,-4.69,-0.09,4.91,8.53,10.69,13.53,16.19,17.12,16.19,15.44,15.06,13.66,10.44,7.56,6.28,4.84,2.16,-0.12,0.09,1.75,2.59,3.25,5.09,7.12,7.62,6.53,5.94,6.25,6.56,5.56,5.75,7.88,10.03,10.88,10.66,11.38,11.53,9.81,6.72,4.38,2.84,0.56,-3.0,-5.38,-6.22,-6.91,-9.31,-11.38,-11.09,-9.59,-8.25,-6.09,-1.53,3.34,6.31,7.5,8.66,10.12,10.09,8.62,8.03,8.81,9.84,9.25,9.06,10.03,10.81,9.91,8.5,8.53,8.81,8.03,6.28,5.16,4.44,3.06,0.34,-1.62,-1.38,-0.16,0.38,2.09,5.69,9.88,12.0,13.0,15.03,16.84,17.66,17.41,17.84,19.0,19.03,16.25,13.25,10.47,7.72,3.06,-0.34,-1.81,-1.56,-2.06,-3.0,-2.72,-1.75,-1.72,-3.0,-3.28,-1.5,0.56,1.81,3.81,7.38,10.81,12.19,13.16,15.16,17.34,17.91,17.38,17.38,17.84,17.22,15.41,14.34,14.5,14.53,13.03,12.12,13.12,14.75,15.06,15.53,16.75,18.97,19.62,18.78,18.84,19.62,19.84,18.44,18.16,18.78,19.62,18.31,16.19,14.75,13.38,10.16,7.16,5.88,6.19,6.25,5.84,6.22,7.81,8.78,8.25,8.5,9.94,11.0,10.84,10.5,11.66,13.47,13.94,13.88,15.12,17.41,19.16,20.09,21.44,23.28,23.78,22.12,20.06,19.03,18.53,16.69,14.56,13.81,13.94,12.62,10.88,10.38,11.53,11.88,11.38,11.0,11.88,12.78,12.16,11.69,12.72,13.72,12.78,11.16,11.06,11.84,11.69,11.12,11.59,12.72,13.59,13.38,13.72,15.06,15.88,14.75,13.28,13.06,13.59,12.81,12.41,12.91,14.28,14.44,13.84,13.75,14.84,15.25,14.59,14.38,15.34,16.53,16.53,16.62,17.59,19.88,20.12,19.62,19.53,19.88,18.81,16.91,16.25,17.53,18.53,18.25,18.16,19.0,19.19,17.78,16.44,16.56,18.0,18.25,18.38,19.41,21.06,21.31,19.84,18.19,17.47,16.41,13.88,11.59,11.53,11.88,10.91,9.84,9.91,11.16,11.41,11.0,11.81,13.88,15.34,15.56,16.0,17.97,19.22,19.09,18.47,19.34,20.88,21.16,21.0,21.81,23.41,23.47,22.41,21.78,22.41,21.88,20.03,17.62,16.47,14.69,11.94,9.41,9.47,10.88,11.94,12.78,14.69,17.34,18.66,18.78,19.66,21.59,22.78,22.28,21.25,21.53,21.56,20.47,19.53,20.19,21.56,21.78,21.47,21.53,22.09,21.53,19.62,17.47,17.16,16.22,14.09,12.28,12.44,13.25,13.31,13.25,14.81,16.78,17.38,17.28,17.78,19.94,21.47,21.91,22.34,23.88,24.66,23.53,21.75,21.16,20.75,19.25,17.38,17.34,18.81,19.34,18.88,19.41,20.44,20.88,19.66,18.41,18.69,18.94,17.78,16.75,17.34,18.06,17.34,15.41,15.12,15.88,16.31,16.5,18.41,21.69,24.06,24.56,24.22,24.5,24.84,23.38,21.69,21.72,22.56,22.12,20.75:7.59,4.53,1.88,1.5,1.56,0.91,0.66,3.03,6.0,7.72,9.12,11.41,13.59,14.03,12.59,11.44,10.75,9.19,6.25,4.16,3.88,4.28,4.0,3.78,5.34,7.12,7.25,6.19,6.72,8.03,8.84,8.44,9.22,11.16,12.28,12.34,12.41,13.94,15.03,14.44,13.12,13.44,13.59,12.84,11.22,10.88,11.66,11.41,10.31,10.0,10.75,11.53,10.81,10.34,11.81,13.0,12.66,11.75,12.0,12.88,12.88,11.75,12.03,13.47,13.5,11.75,10.03,9.22,7.78,4.66,2.31,1.69,2.03,1.28,0.53,1.75,4.0,5.47,6.0,7.69,10.09,11.56,11.53,12.06,13.69,15.03,14.72,14.16,14.84,15.75,15.25,13.78,13.88,14.41,14.0,12.72,12.91,13.97,14.38,13.03,11.91,11.41,10.09,7.31,4.72,3.69,3.34,2.34,0.53,0.41,1.16,0.97,-0.22,-0.88,-0.97,-1.53,-3.78,-4.97,-4.06,-2.38,-1.75,-1.41,0.22,1.66,1.5,-0.16,-0.16,0.88,1.31,0.78,1.06,2.69,3.25,1.88,0.47,0.84,1.59,1.28,1.09,2.44,4.19,4.56,4.0,4.62,6.38,7.28,6.97,6.88,8.19,9.09,8.34,7.44,7.88,8.19,7.0,5.53,6.12,7.78,8.91,8.88,9.84,11.69,12.41,11.47,11.31,12.81,13.75,12.88,12.12,12.59,13.31,12.22,10.03,9.25,9.09,7.47,4.62,3.25,3.16,2.69,1.59,2.22,5.12,8.84,10.69,12.38,14.72,16.69,15.5,12.66,10.38,8.53,6.19,2.84,1.28,1.78,1.84,0.41,-0.03,1.03,2.22,1.16,0.28,0.84,1.91,1.25,-0.22,0.09,1.5,1.97,1.75,2.78,4.78,6.16,5.53,5.19,6.19,7.12,6.41,6.09,7.41,9.62,10.62,10.59,11.66,12.94,12.62,10.5,9.0,9.25,9.88,8.66,8.22,9.09,9.34,6.81,3.12,0.66,-1.16,-4.22,-7.47,-8.78,-8.16,-7.66,-7.12,-5.31,-1.34,2.25,3.88,5.12,7.78,10.12,10.31,9.66,10.22,10.88,9.88,7.84,6.62,6.62,5.31,2.03,-0.38,-1.12,-1.66,-3.78,-5.12,-4.66,-3.94,-4.69,-6.0,-5.31,-3.09,-1.62,-0.72,1.75,5.25,7.81,8.09,8.59,9.94,11.12,10.38,10.12,11.19,12.5,11.81,10.59,10.22,10.62,10.09,8.62,8.41,9.97,11.56,11.59,12.19,13.72,14.53,12.84,10.62,9.38,9.56,8.44,6.88,6.78,7.78,7.69,6.56,6.53,8.25,9.53,9.03,8.22,8.06,8.0,5.69,3.16,2.28,2.09,0.81,-0.75,-1.09,0.22,0.97,0.84,1.66,3.94,5.62,5.69,6.22,8.0,10.0,10.38,10.0,10.84,12.03,11.69,10.69,10.31,10.88,10.81,9.34,9.06,10.56,11.81,10.75,9.72,9.38,8.97,6.44,3.41,1.28,0.16,-2.19,-4.62,-5.22,-3.88,-2.91,-2.47,-1.56,0.81,2.62,2.53,2.5,4.16,6.56,7.81,8.81,11.16,13.81,14.38,12.91,11.44,10.47,8.78,5.41,2.88,2.03,1.47,-0.5,-1.88,-1.47,0.09,0.22,0.62,2.47,5.72,7.69,8.06,8.44,9.59,9.62,7.88,6.25,6.75,7.28,5.84,4.62,4.22,4.31,2.62,0.12,-0.97,-0.88,-2.03,-4.22,-5.91,-6.25,-6.31,-7.22,-7.31,-4.84,-1.5,0.44,1.72,4.25,7.31,7.84,6.97,6.16,6.19,5.06,2.91,2.03,3.25,4.44,4.03,3.78,5.25,6.69,6.28,5.69,6.84,9.53,10.78,11.25,12.16,12.94,11.75,8.16,4.56,2.44,0.44,-2.34,-4.25,-3.59,-1.25,0.06,1.28,3.97,7.28,8.41,7.97,7.59,8.03,7.22,4.72,2.25,0.97,-0.22,-2.88,-4.75,-4.0,-1.84,-0.59,0.34,2.28,4.59,4.84,3.34,2.34,2.97,3.38,2.59,2.53,4.19,5.94,5.41,4.88,5.97,7.09,6.44,4.69,3.72,4.12,4.0,3.78,5.09,8.75,11.75,12.88,13.53,14.41,14.19,11.47,7.69,5.56,4.5,2.34,-0.03,-1.25,-1.34,-1.97,-3.66,-3.66,-1.22,1.28,3.41,5.91,9.78,13.56,14.66,15.16,16.56,18.44,18.53,17.34,16.22,15.69,13.38,10.09,7.69,7.88,8.47,8.06,7.62,8.97,9.81,8.5,5.97,4.0,2.44,-0.5,-4.25,-6.12,-6.06,-5.97,-6.84,-6.69,-4.69,-2.91,-2.56,-2.31,-0.66,1.0,1.25,0.78,1.72,3.84,5.06,5.66,7.44,11.19,14.28,15.0,15.22,16.59,16.62,15.0,13.78,14.94,17.09,17.66,17.06,17.19,17.62,16.16,13.47,11.56,10.38,8.19,4.06,-0.12,-2.06,-3.72,-5.88,-7.12,-6.41,-4.44,-3.88,-3.28,-1.5,1.78,3.91,4.44,5.62,7.88,8.94,8.31,7.34,7.34,6.66,4.19,1.09,-0.41,-0.56,-1.69,-3.22,-3.84,-3.44,-4.5,-7.28,-9.0,-9.03,-8.31,-8.03,-6.88,-2.78,1.28,3.75,5.5,7.78,9.81,10.06,8.94,8.19,8.66,8.28,6.78,6.0,6.97,8.06,7.97,7.94,10.0,12.0,12.31,11.31,10.47,9.59,6.75,2.91,0.22,-0.19,-0.22,-1.19,-1.0,0.84,2.72,2.56,2.16,2.75,3.28,2.75,1.12,1.19,2.66,3.41,3.0,3.47,4.88,5.69,4.12,2.56,2.28,1.41,-0.91,-3.25,-2.97,-2.16,-1.56,-2.09,-1.31,0.0,0.75,-0.16,-0.12,0.94,1.12,-0.59,-2.47,-2.56,-2.5,-3.44,-4.25,-2.88,-1.44,-0.59,-0.62,0.19,2.03,3.28,2.47,1.91,2.19,1.19,-1.25,-3.41,-3.5,-2.81,-3.06,-3.94,-3.22,-2.22,-2.34,-3.56,-3.44,-2.5,-2.44,-3.66,-4.41,-3.03,-1.53,-1.62,-2.03,-1.25,-0.41,-1.06,-1.97,-1.19,0.91,2.16,1.97,2.16,3.12,3.41,2.34,1.72,3.28,4.94,4.81,4.34,4.97,5.66,4.66,3.31,3.62,5.09,6.72,7.41,8.75,10.78,11.44,9.84,8.34,8.16,8.62,8.16,7.44,8.06,8.97,8.44,6.88,6.34,6.69,5.88,3.06,0.56,-0.66,-1.5,-2.97,-3.72,-1.75,0.91,2.66,3.84,5.91,8.19,8.5,6.72,4.97,3.31,0.47,-3.75,-7.03,-7.91,-7.38,-6.72,-4.69,-0.09,4.91,8.53,10.69,13.53,16.19,17.12,16.19,15.44,15.06,13.66,10.44,7.56,6.28,4.84,2.16,-0.12,0.09,1.75,2.59,3.25,5.09,7.12,7.62,6.53,5.94,6.25,6.56,5.56,5.75,7.88,10.03,10.88,10.66,11.38,11.53,9.81,6.72,4.38,2.84,0.56,-3.0,-5.38,-6.22,-6.91,-9.31,-11.38,-11.09,-9.59,-8.25,-6.09,-1.53,3.34,6.31,7.5,8.66,10.12,10.09,8.62,8.03,8.81,9.84,9.25,9.06,10.03,10.81,9.91,8.5,8.53,8.81,8.03,6.28,5.16,4.44,3.06,0.34,-1.62,-1.38,-0.16,0.38,2.09,5.69,9.88,12.0,13.0,15.03,16.84,17.66,17.41,17.84,19.0,19.03,16.25,13.25,10.47,7.72,3.06,-0.34,-1.81,-1.56,-2.06,-3.0,-2.72,-1.75,-1.72,-3.0,-3.28,-1.5,0.56,1.81,3.81,7.38,10.81,12.19,13.16,15.16,17.34,17.91,17.38,17.38,17.84,17.22,15.41,14.34,14.5,14.53,13.03,12.12,13.12,14.75,15.06,15.53,16.75,18.97,19.62,18.78,18.84,19.62,19.84,18.44,18.16,18.78,19.62,18.31,16.19,14.75,13.38,10.16,7.16,5.88,6.19,6.25,5.84,6.22,7.81,8.78,8.25,8.5,9.94,11.0,10.84,10.5,11.66,13.47,13.94,13.88,15.12,17.41,19.16,20.09,21.44,23.28,23.78,22.12,20.06,19.03,18.53,16.69,14.56,13.81,13.94,12.62,10.88,10.38,11.53,11.88,11.38,11.0,11.88,12.78,12.16,11.69,12.72,13.72,12.78,11.16,11.06,11.84,11.69,11.12,11.59,12.72,13.59,13.38,13.72,15.06,15.88,14.75,13.28,13.06,13.59,12.81,12.41,12.91,14.28,14.44,13.84,13.75,14.84,15.25,14.59,14.38,15.34,16.53,16.53,16.62,17.59,19.88,20.12,19.62,19.53,19.88,18.81,16.91,16.25,17.53,18.53,18.25,18.16,19.0,19.19,17.78,16.44,16.56,18.0,18.25,18.38,19.41,21.06,21.31,19.84,18.19,17.47,16.41,13.88,11.59,11.53,11.88,10.91,9.84,9.91,11.16,11.41,11.0,11.81,13.88,15.34,15.56,16.0,17.97,19.22,19.09,18.47,19.34,20.88,21.16,21.0,21.81,23.41,23.47,22.41,21.78,22.41,21.88,20.03,17.62,16.47,14.69,11.94,9.41,9.47,10.88,11.94,12.78,14.69,17.34,18.66,18.78,19.66,21.59,22.78,22.28,21.25,21.53,21.56,20.47,19.53,20.19,21.56,21.78,21.47,21.53,22.09,21.53,19.62,17.47,17.16,16.22,14.09,12.28,12.44,13.25,13.31,13.25,14.81,16.78,17.38,17.28,17.78,19.94,21.47,21.91,22.34,23.88,24.66,23.53,21.75,21.16,20.75,19.25,17.38,17.34,18.81,19.34,18.88,19.41,20.44,20.88,19.66,18.41,18.69,18.94,17.78,16.75,17.34,18.06,17.34,15.41,15.12,15.88,16.31,16.5,18.41,21.69,24.06,24.56,24.22,24.5,24.84,23.38,21.69,21.72,22.56,22.12,20.75,31.94,31.59,31.25,31.22,30.56,29.06,27.06:3.03,6.0,7.72,9.12,11.41,13.59,14.03,12.59,11.44,10.75,9.19,6.25,4.16,3.88,4.28,4.0,3.78,5.34,7.12,7.25,6.19,6.72,8.03,8.84,8.44,9.22,11.16,12.28,12.34,12.41,13.94,15.03,14.44,13.12,13.44,13.59,12.84,11.22,10.88,11.66,11.41,10.31,10.0,10.75,11.53,10.81,10.34,11.81,13.0,12.66,11.75,12.0,12.88,12.88,11.75,12.03,13.47,13.5,11.75,10.03,9.22,7.78,4.66,2.31,1.69,2.03,1.28,0.53,1.75,4.0,5.47,6.0,7.69,10.09,11.56,11.53,12.06,13.69,15.03,14.72,14.16,14.84,15.75,15.25,13.78,13.88,14.41,14.0,12.72,12.91,13.97,14.38,13.03,11.91,11.41,10.09,7.31,4.72,3.69,3.34,2.34,0.53,0.41,1.16,0.97,-0.22,-0.88,-0.97,-1.53,-3.78,-4.97,-4.06,-2.38,-1.75,-1.41,0.22,1.66,1.5,-0.16,-0.16,0.88,1.31,0.78,1.06,2.69,3.25,1.88,0.47,0.84,1.59,1.28,1.09,2.44,4.19,4.56,4.0,4.62,6.38,7.28,6.97,6.88,8.19,9.09,8.34,7.44,7.88,8.19,7.0,5.53,6.12,7.78,8.91,8.88,9.84,11.69,12.41,11.47,11.31,12.81,13.75,12.88,12.12,12.59,13.31,12.22,10.03,9.25,9.09,7.47,4.62,3.25,3.16,2.69,1.59,2.22,5.12,8.84,10.69,12.38,14.72,16.69,15.5,12.66,10.38,8.53,6.19,2.84,1.28,1.78,1.84,0.41,-0.03,1.03,2.22,1.16,0.28,0.84,1.91,1.25,-0.22,0.09,1.5,1.97,1.75,2.78,4.78,6.16,5.53,5.19,6.19,7.12,6.41,6.09,7.41,9.62,10.62,10.59,11.66,12.94,12.62,10.5,9.0,9.25,9.88,8.66,8.22,9.09,9.34,6.81,3.12,0.66,-1.16,-4.22,-7.47,-8.78,-8.16,-7.66,-7.12,-5.31,-1.34,2.25,3.88,5.12,7.78,10.12,10.31,9.66,10.22,10.88,9.88,7.84,6.62,6.62,5.31,2.03,-0.38,-1.12,-1.66,-3.78,-5.12,-4.66,-3.94,-4.69,-6.0,-5.31,-3.09,-1.62,-0.72,1.75,5.25,7.81,8.09,8.59,9.94,11.12,10.38,10.12,11.19,12.5,11.81,10.59,10.22,10.62,10.09,8.62,8.41,9.97,11.56,11.59,12.19,13.72,14.53,12.84,10.62,9.38,9.56,8.44,6.88,6.78,7.78,7.69,6.56,6.53,8.25,9.53,9.03,8.22,8.06,8.0,5.69,3.16,2.28,2.09,0.81,-0.75,-1.09,0.22,0.97,0.84,1.66,3.94,5.62,5.69,6.22,8.0,10.0,10.38,10.0,10.84,12.03,11.69,10.69,10.31,10.88,10.81,9.34,9.06,10.56,11.81,10.75,9.72,9.38,8.97,6.44,3.41,1.28,0.16,-2.19,-4.62,-5.22,-3.88,-2.91,-2.47,-1.56,0.81,2.62,2.53,2.5,4.16,6.56,7.81,8.81,11.16,13.81,14.38,12.91,11.44,10.47,8.78,5.41,2.88,2.03,1.47,-0.5,-1.88,-1.47,0.09,0.22,0.62,2.47,5.72,7.69,8.06,8.44,9.59,9.62,7.88,6.25,6.75,7.28,5.84,4.62,4.22,4.31,2.62,0.12,-0.97,-0.88,-2.03,-4.22,-5.91,-6.25,-6.31,-7.22,-7.31,-4.84,-1.5,0.44,1.72,4.25,7.31,7.84,6.97,6.16,6.19,5.06,2.91,2.03,3.25,4.44,4.03,3.78,5.25,6.69,6.28,5.69,6.84,9.53,10.78,11.25,12.16,12.94,11.75,8.16,4.56,2.44,0.44,-2.34,-4.25,-3.59,-1.25,0.06,1.28,3.97,7.28,8.41,7.97,7.59,8.03,7.22,4.72,2.25,0.97,-0.22,-2.88,-4.75,-4.0,-1.84,-0.59,0.34,2.28,4.59,4.84,3.34,2.34,2.97,3.38,2.59,2.53,4.19,5.94,5.41,4.88,5.97,7.09,6.44,4.69,3.72,4.12,4.0,3.78,5.09,8.75,11.75,12.88,13.53,14.41,14.19,11.47,7.69,5.56,4.5,2.34,-0.03,-1.25,-1.34,-1.97,-3.66,-3.66,-1.22,1.28,3.41,5.91,9.78,13.56,14.66,15.16,16.56,18.44,18.53,17.34,16.22,15.69,13.38,10.09,7.69,7.88,8.47,8.06,7.62,8.97,9.81,8.5,5.97,4.0,2.44,-0.5,-4.25,-6.12,-6.06,-5.97,-6.84,-6.69,-4.69,-2.91,-2.56,-2.31,-0.66,1.0,1.25,0.78,1.72,3.84,5.06,5.66,7.44,11.19,14.28,15.0,15.22,16.59,16.62,15.0,13.78,14.94,17.09,17.66,17.06,17.19,17.62,16.16,13.47,11.56,10.38,8.19,4.06,-0.12,-2.06,-3.72,-5.88,-7.12,-6.41,-4.44,-3.88,-3.28,-1.5,1.78,3.91,4.44,5.62,7.88,8.94,8.31,7.34,7.34,6.66,4.19,1.09,-0.41,-0.56,-1.69,-3.22,-3.84,-3.44,-4.5,-7.28,-9.0,-9.03,-8.31,-8.03,-6.88,-2.78,1.28,3.75,5.5,7.78,9.81,10.06,8.94,8.19,8.66,8.28,6.78,6.0,6.97,8.06,7.97,7.94,10.0,12.0,12.31,11.31,10.47,9.59,6.75,2.91,0.22,-0.19,-0.22,-1.19,-1.0,0.84,2.72,2.56,2.16,2.75,3.28,2.75,1.12,1.19,2.66,3.41,3.0,3.47,4.88,5.69,4.12,2.56,2.28,1.41,-0.91,-3.25,-2.97,-2.16,-1.56,-2.09,-1.31,0.0,0.75,-0.16,-0.12,0.94,1.12,-0.59,-2.47,-2.56,-2.5,-3.44,-4.25,-2.88,-1.44,-0.59,-0.62,0.19,2.03,3.28,2.47,1.91,2.19,1.19,-1.25,-3.41,-3.5,-2.81,-3.06,-3.94,-3.22,-2.22,-2.34,-3.56,-3.44,-2.5,-2.44,-3.66,-4.41,-3.03,-1.53,-1.62,-2.03,-1.25,-0.41,-1.06,-1.97,-1.19,0.91,2.16,1.97,2.16,3.12,3.41,2.34,1.72,3.28,4.94,4.81,4.34,4.97,5.66,4.66,3.31,3.62,5.09,6.72,7.41,8.75,10.78,11.44,9.84,8.34,8.16,8.62,8.16,7.44,8.06,8.97,8.44,6.88,6.34,6.69,5.88,3.06,0.56,-0.66,-1.5,-2.97,-3.72,-1.75,0.91,2.66,3.84,5.91,8.19,8.5,6.72,4.97,3.31,0.47,-3.75,-7.03,-7.91,-7.38,-6.72,-4.69,-0.09,4.91,8.53,10.69,13.53,16.19,17.12,16.19,15.44,15.06,13.66,10.44,7.56,6.28,4.84,2.16,-0.12,0.09,1.75,2.59,3.25,5.09,7.12,7.62,6.53,5.94,6.25,6.56,5.56,5.75,7.88,10.03,10.88,10.66,11.38,11.53,9.81,6.72,4.38,2.84,0.56,-3.0,-5.38,-6.22,-6.91,-9.31,-11.38,-11.09,-9.59,-8.25,-6.09,-1.53,3.34,6.31,7.5,8.66,10.12,10.09,8.62,8.03,8.81,9.84,9.25,9.06,10.03,10.81,9.91,8.5,8.53,8.81,8.03,6.28,5.16,4.44,3.06,0.34,-1.62,-1.38,-0.16,0.38,2.09,5.69,9.88,12.0,13.0,15.03,16.84,17.66,17.41,17.84,19.0,19.03,16.25,13.25,10.47,7.72,3.06,-0.34,-1.81,-1.56,-2.06,-3.0,-2.72,-1.75,-1.72,-3.0,-3.28,-1.5,0.56,1.81,3.81,7.38,10.81,12.19,13.16,15.16,17.34,17.91,17.38,17.38,17.84,17.22,15.41,14.34,14.5,14.53,13.03,12.12,13.12,14.75,15.06,15.53,16.75,18.97,19.62,18.78,18.84,19.62,19.84,18.44,18.16,18.78,19.62,18.31,16.19,14.75,13.38,10.16,7.16,5.88,6.19,6.25,5.84,6.22,7.81,8.78,8.25,8.5,9.94,11.0,10.84,10.5,11.66,13.47,13.94,13.88,15.12,17.41,19.16,20.09,21.44,23.28,23.78,22.12,20.06,19.03,18.53,16.69,14.56,13.81,13.94,12.62,10.88,10.38,11.53,11.88,11.38,11.0,11.88,12.78,12.16,11.69,12.72,13.72,12.78,11.16,11.06,11.84,11.69,11.12,11.59,12.72,13.59,13.38,13.72,15.06,15.88,14.75,13.28,13.06,13.59,12.81,12.41,12.91,14.28,14.44,13.84,13.75,14.84,15.25,14.59,14.38,15.34,16.53,16.53,16.62,17.59,19.88,20.12,19.62,19.53,19.88,18.81,16.91,16.25,17.53,18.53,18.25,18.16,19.0,19.19,17.78,16.44,16.56,18.0,18.25,18.38,19.41,21.06,21.31,19.84,18.19,17.47,16.41,13.88,11.59,11.53,11.88,10.91,9.84,9.91,11.16,11.41,11.0,11.81,13.88,15.34,15.56,16.0,17.97,19.22,19.09,18.47,19.34,20.88,21.16,21.0,21.81,23.41,23.47,22.41,21.78,22.41,21.88,20.03,17.62,16.47,14.69,11.94,9.41,9.47,10.88,11.94,12.78,14.69,17.34,18.66,18.78,19.66,21.59,22.78,22.28,21.25,21.53,21.56,20.47,19.53,20.19,21.56,21.78,21.47,21.53,22.09,21.53,19.62,17.47,17.16,16.22,14.09,12.28,12.44,13.25,13.31,13.25,14.81,16.78,17.38,17.28,17.78,19.94,21.47,21.91,22.34,23.88,24.66,23.53,21.75,21.16,20.75,19.25,17.38,17.34,18.81,19.34,18.88,19.41,20.44,20.88,19.66,18.41,18.69,18.94,17.78,16.75,17.34,18.06,17.34,15.41,15.12,15.88,16.31,16.5,18.41,21.69,24.06,24.56,24.22,24.5,24.84,23.38,21.69,21.72,22.56,22.12,20.75,31.94,31.59,31.25,31.22,30.56,29.06,27.06,25.31,23.5,21.19,18.91,17.72,17.56,17.62:12.59,11.44,10.75,9.19,6.25,4.16,3.88,4.28,4.0,3.78,5.34,7.12,7.25,6.19,6.72,8.03,8.84,8.44,9.22,11.16,12.28,12.34,12.41,13.94,15.03,14.44,13.12,13.44,13.59,12.84,11.22,10.88,11.66,11.41,10.31,10.0,10.75,11.53,10.81,10.34,11.81,13.0,12.66,11.75,12.0,12.88,12.88,11.75,12.03,13.47,13.5,11.75,10.03,9.22,7.78,4.66,2.31,1.69,2.03,1.28,0.53,1.75,4.0,5.47,6.0,7.69,10.09,11.56,11.53,12.06,13.69,15.03,14.72,14.16,14.84,15.75,15.25,13.78,13.88,14.41,14.0,12.72,12.91,13.97,14.38,13.03,11.91,11.41,10.09,7.31,4.72,3.69,3.34,2.34,0.53,0.41,1.16,0.97,-0.22,-0.88,-0.97,-1.53,-3.78,-4.97,-4.06,-2.38,-1.75,-1.41,0.22,1.66,1.5,-0.16,-0.16,0.88,1.31,0.78,1.06,2.69,3.25,1.88,0.47,0.84,1.59,1.28,1.09,2.44,4.19,4.56,4.0,4.62,6.38,7.28,6.97,6.88,8.19,9.09,8.34,7.44,7.88,8.19,7.0,5.53,6.12,7.78,8.91,8.88,9.84,11.69,12.41,11.47,11.31,12.81,13.75,12.88,12.12,12.59,13.31,12.22,10.03,9.25,9.09,7.47,4.62,3.25,3.16,2.69,1.59,2.22,5.12,8.84,10.69,12.38,14.72,16.69,15.5,12.66,10.38,8.53,6.19,2.84,1.28,1.78,1.84,0.41,-0.03,1.03,2.22,1.16,0.28,0.84,1.91,1.25,-0.22,0.09,1.5,1.97,1.75,2.78,4.78,6.16,5.53,5.19,6.19,7.12,6.41,6.09,7.41,9.62,10.62,10.59,11.66,12.94,12.62,10.5,9.0,9.25,9.88,8.66,8.22,9.09,9.34,6.81,3.12,0.66,-1.16,-4.22,-7.47,-8.78,-8.16,-7.66,-7.12,-5.31,-1.34,2.25,3.88,5.12,7.78,10.12,10.31,9.66,10.22,10.88,9.88,7.84,6.62,6.62,5.31,2.03,-0.38,-1.12,-1.66,-3.78,-5.12,-4.66,-3.94,-4.69,-6.0,-5.31,-3.09,-1.62,-0.72,1.75,5.25,7.81,8.09,8.59,9.94,11.12,10.38,10.12,11.19,12.5,11.81,10.59,10.22,10.62,10.09,8.62,8.41,9.97,11.56,11.59,12.19,13.72,14.53,12.84,10.62,9.38,9.56,8.44,6.88,6.78,7.78,7.69,6.56,6.53,8.25,9.53,9.03,8.22,8.06,8.0,5.69,3.16,2.28,2.09,0.81,-0.75,-1.09,0.22,0.97,0.84,1.66,3.94,5.62,5.69,6.22,8.0,10.0,10.38,10.0,10.84,12.03,11.69,10.69,10.31,10.88,10.81,9.34,9.06,10.56,11.81,10.75,9.72,9.38,8.97,6.44,3.41,1.28,0.16,-2.19,-4.62,-5.22,-3.88,-2.91,-2.47,-1.56,0.81,2.62,2.53,2.5,4.16,6.56,7.81,8.81,11.16,13.81,14.38,12.91,11.44,10.47,8.78,5.41,2.88,2.03,1.47,-0.5,-1.88,-1.47,0.09,0.22,0.62,2.47,5.72,7.69,8.06,8.44,9.59,9.62,7.88,6.25,6.75,7.28,5.84,4.62,4.22,4.31,2.62,0.12,-0.97,-0.88,-2.03,-4.22,-5.91,-6.25,-6.31,-7.22,-7.31,-4.84,-1.5,0.44,1.72,4.25,7.31,7.84,6.97,6.16,6.19,5.06,2.91,2.03,3.25,4.44,4.03,3.78,5.25,6.69,6.28,5.69,6.84,9.53,10.78,11.25,12.16,12.94,11.75,8.16,4.56,2.44,0.44,-2.34,-4.25,-3.59,-1.25,0.06,1.28,3.97,7.28,8.41,7.97,7.59,8.03,7.22,4.72,2.25,0.97,-0.22,-2.88,-4.75,-4.0,-1.84,-0.59,0.34,2.28,4.59,4.84,3.34,2.34,2.97,3.38,2.59,2.53,4.19,5.94,5.41,4.88,5.97,7.09,6.44,4.69,3.72,4.12,4.0,3.78,5.09,8.75,11.75,12.88,13.53,14.41,14.19,11.47,7.69,5.56,4.5,2.34,-0.03,-1.25,-1.34,-1.97,-3.66,-3.66,-1.22,1.28,3.41,5.91,9.78,13.56,14.66,15.16,16.56,18.44,18.53,17.34,16.22,15.69,13.38,10.09,7.69,7.88,8.47,8.06,7.62,8.97,9.81,8.5,5.97,4.0,2.44,-0.5,-4.25,-6.12,-6.06,-5.97,-6.84,-6.69,-4.69,-2.91,-2.56,-2.31,-0.66,1.0,1.25,0.78,1.72,3.84,5.06,5.66,7.44,11.19,14.28,15.0,15.22,16.59,16.62,15.0,13.78,14.94,17.09,17.66,17.06,17.19,17.62,16.16,13.47,11.56,10.38,8.19,4.06,-0.12,-2.06,-3.72,-5.88,-7.12,-6.41,-4.44,-3.88,-3.28,-1.5,1.78,3.91,4.44,5.62,7.88,8.94,8.31,7.34,7.34,6.66,4.19,1.09,-0.41,-0.56,-1.69,-3.22,-3.84,-3.44,-4.5,-7.28,-9.0,-9.03,-8.31,-8.03,-6.88,-2.78,1.28,3.75,5.5,7.78,9.81,10.06,8.94,8.19,8.66,8.28,6.78,6.0,6.97,8.06,7.97,7.94,10.0,12.0,12.31,11.31,10.47,9.59,6.75,2.91,0.22,-0.19,-0.22,-1.19,-1.0,0.84,2.72,2.56,2.16,2.75,3.28,2.75,1.12,1.19,2.66,3.41,3.0,3.47,4.88,5.69,4.12,2.56,2.28,1.41,-0.91,-3.25,-2.97,-2.16,-1.56,-2.09,-1.31,0.0,0.75,-0.16,-0.12,0.94,1.12,-0.59,-2.47,-2.56,-2.5,-3.44,-4.25,-2.88,-1.44,-0.59,-0.62,0.19,2.03,3.28,2.47,1.91,2.19,1.19,-1.25,-3.41,-3.5,-2.81,-3.06,-3.94,-3.22,-2.22,-2.34,-3.56,-3.44,-2.5,-2.44,-3.66,-4.41,-3.03,-1.53,-1.62,-2.03,-1.25,-0.41,-1.06,-1.97,-1.19,0.91,2.16,1.97,2.16,3.12,3.41,2.34,1.72,3.28,4.94,4.81,4.34,4.97,5.66,4.66,3.31,3.62,5.09,6.72,7.41,8.75,10.78,11.44,9.84,8.34,8.16,8.62,8.16,7.44,8.06,8.97,8.44,6.88,6.34,6.69,5.88,3.06,0.56,-0.66,-1.5,-2.97,-3.72,-1.75,0.91,2.66,3.84,5.91,8.19,8.5,6.72,4.97,3.31,0.47,-3.75,-7.03,-7.91,-7.38,-6.72,-4.69,-0.09,4.91,8.53,10.69,13.53,16.19,17.12,16.19,15.44,15.06,13.66,10.44,7.56,6.28,4.84,2.16,-0.12,0.09,1.75,2.59,3.25,5.09,7.12,7.62,6.53,5.94,6.25,6.56,5.56,5.75,7.88,10.03,10.88,10.66,11.38,11.53,9.81,6.72,4.38,2.84,0.56,-3.0,-5.38,-6.22,-6.91,-9.31,-11.38,-11.09,-9.59,-8.25,-6.09,-1.53,3.34,6.31,7.5,8.66,10.12,10.09,8.62,8.03,8.81,9.84,9.25,9.06,10.03,10.81,9.91,8.5,8.53,8.81,8.03,6.28,5.16,4.44,3.06,0.34,-1.62,-1.38,-0.16,0.38,2.09,5.69,9.88,12.0,13.0,15.03,16.84,17.66,17.41,17.84,19.0,19.03,16.25,13.25,10.47,7.72,3.06,-0.34,-1.81,-1.56,-2.06,-3.0,-2.72,-1.75,-1.72,-3.0,-3.28,-1.5,0.56,1.81,3.81,7.38,10.81,12.19,13.16,15.16,17.34,17.91,17.38,17.38,17.84,17.22,15.41,14.34,14.5,14.53,13.03,12.12,13.12,14.75,15.06,15.53,16.75,18.97,19.62,18.78,18.84,19.62,19.84,18.44,18.16,18.78,19.62,18.31,16.19,14.75,13.38,10.16,7.16,5.88,6.19,6.25,5.84,6.22,7.81,8.78,8.25,8.5,9.94,11.0,10.84,10.5,11.66,13.47,13.94,13.88,15.12,17.41,19.16,20.09,21.44,23.28,23.78,22.12,20.06,19.03,18.53,16.69,14.56,13.81,13.94,12.62,10.88,10.38,11.53,11.88,11.38,11.0,11.88,12.78,12.16,11.69,12.72,13.72,12.78,11.16,11.06,11.84,11.69,11.12,11.59,12.72,13.59,13.38,13.72,15.06,15.88,14.75,13.28,13.06,13.59,12.81,12.41,12.91,14.28,14.44,13.84,13.75,14.84,15.25,14.59,14.38,15.34,16.53,16.53,16.62,17.59,19.88,20.12,19.62,19.53,19.88,18.81,16.91,16.25,17.53,18.53,18.25,18.16,19.0,19.19,17.78,16.44,16.56,18.0,18.25,18.38,19.41,21.06,21.31,19.84,18.19,17.47,16.41,13.88,11.59,11.53,11.88,10.91,9.84,9.91,11.16,11.41,11.0,11.81,13.88,15.34,15.56,16.0,17.97,19.22,19.09,18.47,19.34,20.88,21.16,21.0,21.81,23.41,23.47,22.41,21.78,22.41,21.88,20.03,17.62,16.47,14.69,11.94,9.41,9.47,10.88,11.94,12.78,14.69,17.34,18.66,18.78,19.66,21.59,22.78,22.28,21.25,21.53,21.56,20.47,19.53,20.19,21.56,21.78,21.47,21.53,22.09,21.53,19.62,17.47,17.16,16.22,14.09,12.28,12.44,13.25,13.31,13.25,14.81,16.78,17.38,17.28,17.78,19.94,21.47,21.91,22.34,23.88,24.66,23.53,21.75,21.16,20.75,19.25,17.38,17.34,18.81,19.34,18.88,19.41,20.44,20.88,19.66,18.41,18.69,18.94,17.78,16.75,17.34,18.06,17.34,15.41,15.12,15.88,16.31,16.5,18.41,21.69,24.06,24.56,24.22,24.5,24.84,23.38,21.69,21.72,22.56,22.12,20.75,31.94,31.59,31.25,31.22,30.56,29.06,27.06,25.31,23.5,21.19,18.91,17.72,17.56,17.62,18.53,20.41,23.28,25.75,27.25,28.06,28.81:4.28,4.0,3.78,5.34,7.12,7.25,6.19,6.72,8.03,8.84,8.44,9.22,11.16,12.28,12.34,12.41,13.94,15.03,14.44,13.12,13.44,13.59,12.84,11.22,10.88,11.66,11.41,10.31,10.0,10.75,11.53,10.81,10.34,11.81,13.0,12.66,11.75,12.0,12.88,12.88,11.75,12.03,13.47,13.5,11.75,10.03,9.22,7.78,4.66,2.31,1.69,2.03,1.28,0.53,1.75,4.0,5.47,6.0,7.69,10.09,11.56,11.53,12.06,13.69,15.03,14.72,14.16,14.84,15.75,15.25,13.78,13.88,14.41,14.0,12.72,12.91,13.97,14.38,13.03,11.91,11.41,10.09,7.31,4.72,3.69,3.34,2.34,0.53,0.41,1.16,0.97,-0.22,-0.88,-0.97,-1.53,-3.78,-4.97,-4.06,-2.38,-1.75,-1.41,0.22,1.66,1.5,-0.16,-0.16,0.88,1.31,0.78,1.06,2.69,3.25,1.88,0.47,0.84,1.59,1.28,1.09,2.44,4.19,4.56,4.0,4.62,6.38,7.28,6.97,6.88,8.19,9.09,8.34,7.44,7.88,8.19,7.0,5.53,6.12,7.78,8.91,8.88,9.84,11.69,12.41,11.47,11.31,12.81,13.75,12.88,12.12,12.59,13.31,12.22,10.03,9.25,9.09,7.47,4.62,3.25,3.16,2.69,1.59,2.22,5.12,8.84,10.69,12.38,14.72,16.69,15.5,12.66,10.38,8.53,6.19,2.84,1.28,1.78,1.84,0.41,-0.03,1.03,2.22,1.16,0.28,0.84,1.91,1.25,-0.22,0.09,1.5,1.97,1.75,2.78,4.78,6.16,5.53,5.19,6.19,7.12,6.41,6.09,7.41,9.62,10.62,10.59,11.66,12.94,12.62,10.5,9.0,9.25,9.88,8.66,8.22,9.09,9.34,6.81,3.12,0.66,-1.16,-4.22,-7.47,-8.78,-8.16,-7.66,-7.12,-5.31,-1.34,2.25,3.88,5.12,7.78,10.12,10.31,9.66,10.22,10.88,9.88,7.84,6.62,6.62,5.31,2.03,-0.38,-1.12,-1.66,-3.78,-5.12,-4.66,-3.94,-4.69,-6.0,-5.31,-3.09,-1.62,-0.72,1.75,5.25,7.81,8.09,8.59,9.94,11.12,10.38,10.12,11.19,12.5,11.81,10.59,10.22,10.62,10.09,8.62,8.41,9.97,11.56,11.59,12.19,13.72,14.53,12.84,10.62,9.38,9.56,8.44,6.88,6.78,7.78,7.69,6.56,6.53,8.25,9.53,9.03,8.22,8.06,8.0,5.69,3.16,2.28,2.09,0.81,-0.75,-1.09,0.22,0.97,0.84,1.66,3.94,5.62,5.69,6.22,8.0,10.0,10.38,10.0,10.84,12.03,11.69,10.69,10.31,10.88,10.81,9.34,9.06,10.56,11.81,10.75,9.72,9.38,8.97,6.44,3.41,1.28,0.16,-2.19,-4.62,-5.22,-3.88,-2.91,-2.47,-1.56,0.81,2.62,2.53,2.5,4.16,6.56,7.81,8.81,11.16,13.81,14.38,12.91,11.44,10.47,8.78,5.41,2.88,2.03,1.47,-0.5,-1.88,-1.47,0.09,0.22,0.62,2.47,5.72,7.69,8.06,8.44,9.59,9.62,7.88,6.25,6.75,7.28,5.84,4.62,4.22,4.31,2.62,0.12,-0.97,-0.88,-2.03,-4.22,-5.91,-6.25,-6.31,-7.22,-7.31,-4.84,-1.5,0.44,1.72,4.25,7.31,7.84,6.97,6.16,6.19,5.06,2.91,2.03,3.25,4.44,4.03,3.78,5.25,6.69,6.28,5.69,6.84,9.53,10.78,11.25,12.16,12.94,11.75,8.16,4.56,2.44,0.44,-2.34,-4.25,-3.59,-1.25,0.06,1.28,3.97,7.28,8.41,7.97,7.59,8.03,7.22,4.72,2.25,0.97,-0.22,-2.88,-4.75,-4.0,-1.84,-0.59,0.34,2.28,4.59,4.84,3.34,2.34,2.97,3.38,2.59,2.53,4.19,5.94,5.41,4.88,5.97,7.09,6.44,4.69,3.72,4.12,4.0,3.78,5.09,8.75,11.75,12.88,13.53,14.41,14.19,11.47,7.69,5.56,4.5,2.34,-0.03,-1.25,-1.34,-1.97,-3.66,-3.66,-1.22,1.28,3.41,5.91,9.78,13.56,14.66,15.16,16.56,18.44,18.53,17.34,16.22,15.69,13.38,10.09,7.69,7.88,8.47,8.06,7.62,8.97,9.81,8.5,5.97,4.0,2.44,-0.5,-4.25,-6.12,-6.06,-5.97,-6.84,-6.69,-4.69,-2.91,-2.56,-2.31,-0.66,1.0,1.25,0.78,1.72,3.84,5.06,5.66,7.44,11.19,14.28,15.0,15.22,16.59,16.62,15.0,13.78,14.94,17.09,17.66,17.06,17.19,17.62,16.16,13.47,11.56,10.38,8.19,4.06,-0.12,-2.06,-3.72,-5.88,-7.12,-6.41,-4.44,-3.88,-3.28,-1.5,1.78,3.91,4.44,5.62,7.88,8.94,8.31,7.34,7.34,6.66,4.19,1.09,-0.41,-0.56,-1.69,-3.22,-3.84,-3.44,-4.5,-7.28,-9.0,-9.03,-8.31,-8.03,-6.88,-2.78,1.28,3.75,5.5,7.78,9.81,10.06,8.94,8.19,8.66,8.28,6.78,6.0,6.97,8.06,7.97,7.94,10.0,12.0,12.31,11.31,10.47,9.59,6.75,2.91,0.22,-0.19,-0.22,-1.19,-1.0,0.84,2.72,2.56,2.16,2.75,3.28,2.75,1.12,1.19,2.66,3.41,3.0,3.47,4.88,5.69,4.12,2.56,2.28,1.41,-0.91,-3.25,-2.97,-2.16,-1.56,-2.09,-1.31,0.0,0.75,-0.16,-0.12,0.94,1.12,-0.59,-2.47,-2.56,-2.5,-3.44,-4.25,-2.88,-1.44,-0.59,-0.62,0.19,2.03,3.28,2.47,1.91,2.19,1.19,-1.25,-3.41,-3.5,-2.81,-3.06,-3.94,-3.22,-2.22,-2.34,-3.56,-3.44,-2.5,-2.44,-3.66,-4.41,-3.03,-1.53,-1.62,-2.03,-1.25,-0.41,-1.06,-1.97,-1.19,0.91,2.16,1.97,2.16,3.12,3.41,2.34,1.72,3.28,4.94,4.81,4.34,4.97,5.66,4.66,3.31,3.62,5.09,6.72,7.41,8.75,10.78,11.44,9.84,8.34,8.16,8.62,8.16,7.44,8.06,8.97,8.44,6.88,6.34,6.69,5.88,3.06,0.56,-0.66,-1.5,-2.97,-3.72,-1.75,0.91,2.66,3.84,5.91,8.19,8.5,6.72,4.97,3.31,0.47,-3.75,-7.03,-7.91,-7.38,-6.72,-4.69,-0.09,4.91,8.53,10.69,13.53,16.19,17.12,16.19,15.44,15.06,13.66,10.44,7.56,6.28,4.84,2.16,-0.12,0.09,1.75,2.59,3.25,5.09,7.12,7.62,6.53,5.94,6.25,6.56,5.56,5.75,7.88,10.03,10.88,10.66,11.38,11.53,9.81,6.72,4.38,2.84,0.56,-3.0,-5.38,-6.22,-6.91,-9.31,-11.38,-11.09,-9.59,-8.25,-6.09,-1.53,3.34,6.31,7.5,8.66,10.12,10.09,8.62,8.03,8.81,9.84,9.25,9.06,10.03,10.81,9.91,8.5,8.53,8.81,8.03,6.28,5.16,4.44,3.06,0.34,-1.62,-1.38,-0.16,0.38,2.09,5.69,9.88,12.0,13.0,15.03,16.84,17.66,17.41,17.84,19.0,19.03,16.25,13.25,10.47,7.72,3.06,-0.34,-1.81,-1.56,-2.06,-3.0,-2.72,-1.75,-1.72,-3.0,-3.28,-1.5,0.56,1.81,3.81,7.38,10.81,12.19,13.16,15.16,17.34,17.91,17.38,17.38,17.84,17.22,15.41,14.34,14.5,14.53,13.03,12.12,13.12,14.75,15.06,15.53,16.75,18.97,19.62,18.78,18.84,19.62,19.84,18.44,18.16,18.78,19.62,18.31,16.19,14.75,13.38,10.16,7.16,5.88,6.19,6.25,5.84,6.22,7.81,8.78,8.25,8.5,9.94,11.0,10.84,10.5,11.66,13.47,13.94,13.88,15.12,17.41,19.16,20.09,21.44,23.28,23.78,22.12,20.06,19.03,18.53,16.69,14.56,13.81,13.94,12.62,10.88,10.38,11.53,11.88,11.38,11.0,11.88,12.78,12.16,11.69,12.72,13.72,12.78,11.16,11.06,11.84,11.69,11.12,11.59,12.72,13.59,13.38,13.72,15.06,15.88,14.75,13.28,13.06,13.59,12.81,12.41,12.91,14.28,14.44,13.84,13.75,14.84,15.25,14.59,14.38,15.34,16.53,16.53,16.62,17.59,19.88,20.12,19.62,19.53,19.88,18.81,16.91,16.25,17.53,18.53,18.25,18.16,19.0,19.19,17.78,16.44,16.56,18.0,18.25,18.38,19.41,21.06,21.31,19.84,18.19,17.47,16.41,13.88,11.59,11.53,11.88,10.91,9.84,9.91,11.16,11.41,11.0,11.81,13.88,15.34,15.56,16.0,17.97,19.22,19.09,18.47,19.34,20.88,21.16,21.0,21.81,23.41,23.47,22.41,21.78,22.41,21.88,20.03,17.62,16.47,14.69,11.94,9.41,9.47,10.88,11.94,12.78,14.69,17.34,18.66,18.78,19.66,21.59,22.78,22.28,21.25,21.53,21.56,20.47,19.53,20.19,21.56,21.78,21.47,21.53,22.09,21.53,19.62,17.47,17.16,16.22,14.09,12.28,12.44,13.25,13.31,13.25,14.81,16.78,17.38,17.28,17.78,19.94,21.47,21.91,22.34,23.88,24.66,23.53,21.75,21.16,20.75,19.25,17.38,17.34,18.81,19.34,18.88,19.41,20.44,20.88,19.66,18.41,18.69,18.94,17.78,16.75,17.34,18.06,17.34,15.41,15.12,15.88,16.31,16.5,18.41,21.69,24.06,24.56,24.22,24.5,24.84,23.38,21.69,21.72,22.56,22.12,20.75,31.94,31.59,31.25,31.22,30.56,29.06,27.06,25.31,23.5,21.19,18.91,17.72,17.56,17.62,18.53,20.41,23.28,25.75,27.25,28.06,28.81,28.81,28.09,26.81,26.0,25.5,24.53,23.34:6.72,8.03,8.84,8.44,9.22,11.16,12.28,12.34,12.41,13.94,15.03,14.44,13.12,13.44,13.59,12.84,11.22,10.88,11.66,11.41,10.31,10.0,10.75,11.53,10.81,10.34,11.81,13.0,12.66,11.75,12.0,12.88,12.88,11.75,12.03,13.47,13.5,11.75,10.03,9.22,7.78,4.66,2.31,1.69,2.03,1.28,0.53,1.75,4.0,5.47,6.0,7.69,10.09,11.56,11.53,12.06,13.69,15.03,14.72,14.16,14.84,15.75,15.25,13.78,13.88,14.41,14.0,12.72,12.91,13.97,14.38,13.03,11.91,11.41,10.09,7.31,4.72,3.69,3.34,2.34,0.53,0.41,1.16,0.97,-0.22,-0.88,-0.97,-1.53,-3.78,-4.97,-4.06,-2.38,-1.75,-1.41,0.22,1.66,1.5,-0.16,-0.16,0.88,1.31,0.78,1.06,2.69,3.25,1.88,0.47,0.84,1.59,1.28,1.09,2.44,4.19,4.56,4.0,4.62,6.38,7.28,6.97,6.88,8.19,9.09,8.34,7.44,7.88,8.19,7.0,5.53,6.12,7.78,8.91,8.88,9.84,11.69,12.41,11.47,11.31,12.81,13.75,12.88,12.12,12.59,13.31,12.22,10.03,9.25,9.09,7.47,4.62,3.25,3.16,2.69,1.59,2.22,5.12,8.84,10.69,12.38,14.72,16.69,15.5,12.66,10.38,8.53,6.19,2.84,1.28,1.78,1.84,0.41,-0.03,1.03,2.22,1.16,0.28,0.84,1.91,1.25,-0.22,0.09,1.5,1.97,1.75,2.78,4.78,6.16,5.53,5.19,6.19,7.12,6.41,6.09,7.41,9.62,10.62,10.59,11.66,12.94,12.62,10.5,9.0,9.25,9.88,8.66,8.22,9.09,9.34,6.81,3.12,0.66,-1.16,-4.22,-7.47,-8.78,-8.16,-7.66,-7.12,-5.31,-1.34,2.25,3.88,5.12,7.78,10.12,10.31,9.66,10.22,10.88,9.88,7.84,6.62,6.62,5.31,2.03,-0.38,-1.12,-1.66,-3.78,-5.12,-4.66,-3.94,-4.69,-6.0,-5.31,-3.09,-1.62,-0.72,1.75,5.25,7.81,8.09,8.59,9.94,11.12,10.38,10.12,11.19,12.5,11.81,10.59,10.22,10.62,10.09,8.62,8.41,9.97,11.56,11.59,12.19,13.72,14.53,12.84,10.62,9.38,9.56,8.44,6.88,6.78,7.78,7.69,6.56,6.53,8.25,9.53,9.03,8.22,8.06,8.0,5.69,3.16,2.28,2.09,0.81,-0.75,-1.09,0.22,0.97,0.84,1.66,3.94,5.62,5.69,6.22,8.0,10.0,10.38,10.0,10.84,12.03,11.69,10.69,10.31,10.88,10.81,9.34,9.06,10.56,11.81,10.75,9.72,9.38,8.97,6.44,3.41,1.28,0.16,-2.19,-4.62,-5.22,-3.88,-2.91,-2.47,-1.56,0.81,2.62,2.53,2.5,4.16,6.56,7.81,8.81,11.16,13.81,14.38,12.91,11.44,10.47,8.78,5.41,2.88,2.03,1.47,-0.5,-1.88,-1.47,0.09,0.22,0.62,2.47,5.72,7.69,8.06,8.44,9.59,9.62,7.88,6.25,6.75,7.28,5.84,4.62,4.22,4.31,2.62,0.12,-0.97,-0.88,-2.03,-4.22,-5.91,-6.25,-6.31,-7.22,-7.31,-4.84,-1.5,0.44,1.72,4.25,7.31,7.84,6.97,6.16,6.19,5.06,2.91,2.03,3.25,4.44,4.03,3.78,5.25,6.69,6.28,5.69,6.84,9.53,10.78,11.25,12.16,12.94,11.75,8.16,4.56,2.44,0.44,-2.34,-4.25,-3.59,-1.25,0.06,1.28,3.97,7.28,8.41,7.97,7.59,8.03,7.22,4.72,2.25,0.97,-0.22,-2.88,-4.75,-4.0,-1.84,-0.59,0.34,2.28,4.59,4.84,3.34,2.34,2.97,3.38,2.59,2.53,4.19,5.94,5.41,4.88,5.97,7.09,6.44,4.69,3.72,4.12,4.0,3.78,5.09,8.75,11.75,12.88,13.53,14.41,14.19,11.47,7.69,5.56,4.5,2.34,-0.03,-1.25,-1.34,-1.97,-3.66,-3.66,-1.22,1.28,3.41,5.91,9.78,13.56,14.66,15.16,16.56,18.44,18.53,17.34,16.22,15.69,13.38,10.09,7.69,7.88,8.47,8.06,7.62,8.97,9.81,8.5,5.97,4.0,2.44,-0.5,-4.25,-6.12,-6.06,-5.97,-6.84,-6.69,-4.69,-2.91,-2.56,-2.31,-0.66,1.0,1.25,0.78,1.72,3.84,5.06,5.66,7.44,11.19,14.28,15.0,15.22,16.59,16.62,15.0,13.78,14.94,17.09,17.66,17.06,17.19,17.62,16.16,13.47,11.56,10.38,8.19,4.06,-0.12,-2.06,-3.72,-5.88,-7.12,-6.41,-4.44,-3.88,-3.28,-1.5,1.78,3.91,4.44,5.62,7.88,8.94,8.31,7.34,7.34,6.66,4.19,1.09,-0.41,-0.56,-1.69,-3.22,-3.84,-3.44,-4.5,-7.28,-9.0,-9.03,-8.31,-8.03,-6.88,-2.78,1.28,3.75,5.5,7.78,9.81,10.06,8.94,8.19,8.66,8.28,6.78,6.0,6.97,8.06,7.97,7.94,10.0,12.0,12.31,11.31,10.47,9.59,6.75,2.91,0.22,-0.19,-0.22,-1.19,-1.0,0.84,2.72,2.56,2.16,2.75,3.28,2.75,1.12,1.19,2.66,3.41,3.0,3.47,4.88,5.69,4.12,2.56,2.28,1.41,-0.91,-3.25,-2.97,-2.16,-1.56,-2.09,-1.31,0.0,0.75,-0.16,-0.12,0.94,1.12,-0.59,-2.47,-2.56,-2.5,-3.44,-4.25,-2.88,-1.44,-0.59,-0.62,0.19,2.03,3.28,2.47,1.91,2.19,1.19,-1.25,-3.41,-3.5,-2.81,-3.06,-3.94,-3.22,-2.22,-2.34,-3.56,-3.44,-2.5,-2.44,-3.66,-4.41,-3.03,-1.53,-1.62,-2.03,-1.25,-0.41,-1.06,-1.97,-1.19,0.91,2.16,1.97,2.16,3.12,3.41,2.34,1.72,3.28,4.94,4.81,4.34,4.97,5.66,4.66,3.31,3.62,5.09,6.72,7.41,8.75,10.78,11.44,9.84,8.34,8.16,8.62,8.16,7.44,8.06,8.97,8.44,6.88,6.34,6.69,5.88,3.06,0.56,-0.66,-1.5,-2.97,-3.72,-1.75,0.91,2.66,3.84,5.91,8.19,8.5,6.72,4.97,3.31,0.47,-3.75,-7.03,-7.91,-7.38,-6.72,-4.69,-0.09,4.91,8.53,10.69,13.53,16.19,17.12,16.19,15.44,15.06,13.66,10.44,7.56,6.28,4.84,2.16,-0.12,0.09,1.75,2.59,3.25,5.09,7.12,7.62,6.53,5.94,6.25,6.56,5.56,5.75,7.88,10.03,10.88,10.66,11.38,11.53,9.81,6.72,4.38,2.84,0.56,-3.0,-5.38,-6.22,-6.91,-9.31,-11.38,-11.09,-9.59,-8.25,-6.09,-1.53,3.34,6.31,7.5,8.66,10.12,10.09,8.62,8.03,8.81,9.84,9.25,9.06,10.03,10.81,9.91,8.5,8.53,8.81,8.03,6.28,5.16,4.44,3.06,0.34,-1.62,-1.38,-0.16,0.38,2.09,5.69,9.88,12.0,13.0,15.03,16.84,17.66,17.41,17.84,19.0,19.03,16.25,13.25,10.47,7.72,3.06,-0.34,-1.81,-1.56,-2.06,-3.0,-2.72,-1.75,-1.72,-3.0,-3.28,-1.5,0.56,1.81,3.81,7.38,10.81,12.19,13.16,15.16,17.34,17.91,17.38,17.38,17.84,17.22,15.41,14.34,14.5,14.53,13.03,12.12,13.12,14.75,15.06,15.53,16.75,18.97,19.62,18.78,18.84,19.62,19.84,18.44,18.16,18.78,19.62,18.31,16.19,14.75,13.38,10.16,7.16,5.88,6.19,6.25,5.84,6.22,7.81,8.78,8.25,8.5,9.94,11.0,10.84,10.5,11.66,13.47,13.94,13.88,15.12,17.41,19.16,20.09,21.44,23.28,23.78,22.12,20.06,19.03,18.53,16.69,14.56,13.81,13.94,12.62,10.88,10.38,11.53,11.88,11.38,11.0,11.88,12.78,12.16,11.69,12.72,13.72,12.78,11.16,11.06,11.84,11.69,11.12,11.59,12.72,13.59,13.38,13.72,15.06,15.88,14.75,13.28,13.06,13.59,12.81,12.41,12.91,14.28,14.44,13.84,13.75,14.84,15.25,14.59,14.38,15.34,16.53,16.53,16.62,17.59,19.88,20.12,19.62,19.53,19.88,18.81,16.91,16.25,17.53,18.53,18.25,18.16,19.0,19.19,17.78,16.44,16.56,18.0,18.25,18.38,19.41,21.06,21.31,19.84,18.19,17.47,16.41,13.88,11.59,11.53,11.88,10.91,9.84,9.91,11.16,11.41,11.0,11.81,13.88,15.34,15.56,16.0,17.97,19.22,19.09,18.47,19.34,20.88,21.16,21.0,21.81,23.41,23.47,22.41,21.78,22.41,21.88,20.03,17.62,16.47,14.69,11.94,9.41,9.47,10.88,11.94,12.78,14.69,17.34,18.66,18.78,19.66,21.59,22.78,22.28,21.25,21.53,21.56,20.47,19.53,20.19,21.56,21.78,21.47,21.53,22.09,21.53,19.62,17.47,17.16,16.22,14.09,12.28,12.44,13.25,13.31,13.25,14.81,16.78,17.38,17.28,17.78,19.94,21.47,21.91,22.34,23.88,24.66,23.53,21.75,21.16,20.75,19.25,17.38,17.34,18.81,19.34,18.88,19.41,20.44,20.88,19.66,18.41,18.69,18.94,17.78,16.75,17.34,18.06,17.34,15.41,15.12,15.88,16.31,16.5,18.41,21.69,24.06,24.56,24.22,24.5,24.84,23.38,21.69,21.72,22.56,22.12,20.75,31.94,31.59,31.25,31.22,30.56,29.06,27.06,25.31,23.5,21.19,18.91,17.72,17.56,17.62,18.53,20.41,23.28,25.75,27.25,28.06,28.81,28.81,28.09,26.81,26.0,25.5,24.53,23.34,23.19,23.69,24.16,24.09,24.59,25.41,25.47:12.34,12.41,13.94,15.03,14.44,13.12,13.44,13.59,12.84,11.22,10.88,11.66,11.41,10.31,10.0,10.75,11.53,10.81,10.34,11.81,13.0,12.66,11.75,12.0,12.88,12.88,11.75,12.03,13.47,13.5,11.75,10.03,9.22,7.78,4.66,2.31,1.69,2.03,1.28,0.53,1.75,4.0,5.47,6.0,7.69,10.09,11.56,11.53,12.06,13.69,15.03,14.72,14.16,14.84,15.75,15.25,13.78,13.88,14.41,14.0,12.72,12.91,13.97,14.38,13.03,11.91,11.41,10.09,7.31,4.72,3.69,3.34,2.34,0.53,0.41,1.16,0.97,-0.22,-0.88,-0.97,-1.53,-3.78,-4.97,-4.06,-2.38,-1.75,-1.41,0.22,1.66,1.5,-0.16,-0.16,0.88,1.31,0.78,1.06,2.69,3.25,1.88,0.47,0.84,1.59,1.28,1.09,2.44,4.19,4.56,4.0,4.62,6.38,7.28,6.97,6.88,8.19,9.09,8.34,7.44,7.88,8.19,7.0,5.53,6.12,7.78,8.91,8.88,9.84,11.69,12.41,11.47,11.31,12.81,13.75,12.88,12.12,12.59,13.31,12.22,10.03,9.25,9.09,7.47,4.62,3.25,3.16,2.69,1.59,2.22,5.12,8.84,10.69,12.38,14.72,16.69,15.5,12.66,10.38,8.53,6.19,2.84,1.28,1.78,1.84,0.41,-0.03,1.03,2.22,1.16,0.28,0.84,1.91,1.25,-0.22,0.09,1.5,1.97,1.75,2.78,4.78,6.16,5.53,5.19,6.19,7.12,6.41,6.09,7.41,9.62,10.62,10.59,11.66,12.94,12.62,10.5,9.0,9.25,9.88,8.66,8.22,9.09,9.34,6.81,3.12,0.66,-1.16,-4.22,-7.47,-8.78,-8.16,-7.66,-7.12,-5.31,-1.34,2.25,3.88,5.12,7.78,10.12,10.31,9.66,10.22,10.88,9.88,7.84,6.62,6.62,5.31,2.03,-0.38,-1.12,-1.66,-3.78,-5.12,-4.66,-3.94,-4.69,-6.0,-5.31,-3.09,-1.62,-0.72,1.75,5.25,7.81,8.09,8.59,9.94,11.12,10.38,10.12,11.19,12.5,11.81,10.59,10.22,10.62,10.09,8.62,8.41,9.97,11.56,11.59,12.19,13.72,14.53,12.84,10.62,9.38,9.56,8.44,6.88,6.78,7.78,7.69,6.56,6.53,8.25,9.53,9.03,8.22,8.06,8.0,5.69,3.16,2.28,2.09,0.81,-0.75,-1.09,0.22,0.97,0.84,1.66,3.94,5.62,5.69,6.22,8.0,10.0,10.38,10.0,10.84,12.03,11.69,10.69,10.31,10.88,10.81,9.34,9.06,10.56,11.81,10.75,9.72,9.38,8.97,6.44,3.41,1.28,0.16,-2.19,-4.62,-5.22,-3.88,-2.91,-2.47,-1.56,0.81,2.62,2.53,2.5,4.16,6.56,7.81,8.81,11.16,13.81,14.38,12.91,11.44,10.47,8.78,5.41,2.88,2.03,1.47,-0.5,-1.88,-1.47,0.09,0.22,0.62,2.47,5.72,7.69,8.06,8.44,9.59,9.62,7.88,6.25,6.75,7.28,5.84,4.62,4.22,4.31,2.62,0.12,-0.97,-0.88,-2.03,-4.22,-5.91,-6.25,-6.31,-7.22,-7.31,-4.84,-1.5,0.44,1.72,4.25,7.31,7.84,6.97,6.16,6.19,5.06,2.91,2.03,3.25,4.44,4.03,3.78,5.25,6.69,6.28,5.69,6.84,9.53,10.78,11.25,12.16,12.94,11.75,8.16,4.56,2.44,0.44,-2.34,-4.25,-3.59,-1.25,0.06,1.28,3.97,7.28,8.41,7.97,7.59,8.03,7.22,4.72,2.25,0.97,-0.22,-2.88,-4.75,-4.0,-1.84,-0.59,0.34,2.28,4.59,4.84,3.34,2.34,2.97,3.38,2.59,2.53,4.19,5.94,5.41,4.88,5.97,7.09,6.44,4.69,3.72,4.12,4.0,3.78,5.09,8.75,11.75,12.88,13.53,14.41,14.19,11.47,7.69,5.56,4.5,2.34,-0.03,-1.25,-1.34,-1.97,-3.66,-3.66,-1.22,1.28,3.41,5.91,9.78,13.56,14.66,15.16,16.56,18.44,18.53,17.34,16.22,15.69,13.38,10.09,7.69,7.88,8.47,8.06,7.62,8.97,9.81,8.5,5.97,4.0,2.44,-0.5,-4.25,-6.12,-6.06,-5.97,-6.84,-6.69,-4.69,-2.91,-2.56,-2.31,-0.66,1.0,1.25,0.78,1.72,3.84,5.06,5.66,7.44,11.19,14.28,15.0,15.22,16.59,16.62,15.0,13.78,14.94,17.09,17.66,17.06,17.19,17.62,16.16,13.47,11.56,10.38,8.19,4.06,-0.12,-2.06,-3.72,-5.88,-7.12,-6.41,-4.44,-3.88,-3.28,-1.5,1.78,3.91,4.44,5.62,7.88,8.94,8.31,7.34,7.34,6.66,4.19,1.09,-0.41,-0.56,-1.69,-3.22,-3.84,-3.44,-4.5,-7.28,-9.0,-9.03,-8.31,-8.03,-6.88,-2.78,1.28,3.75,5.5,7.78,9.81,10.06,8.94,8.19,8.66,8.28,6.78,6.0,6.97,8.06,7.97,7.94,10.0,12.0,12.31,11.31,10.47,9.59,6.75,2.91,0.22,-0.19,-0.22,-1.19,-1.0,0.84,2.72,2.56,2.16,2.75,3.28,2.75,1.12,1.19,2.66,3.41,3.0,3.47,4.88,5.69,4.12,2.56,2.28,1.41,-0.91,-3.25,-2.97,-2.16,-1.56,-2.09,-1.31,0.0,0.75,-0.16,-0.12,0.94,1.12,-0.59,-2.47,-2.56,-2.5,-3.44,-4.25,-2.88,-1.44,-0.59,-0.62,0.19,2.03,3.28,2.47,1.91,2.19,1.19,-1.25,-3.41,-3.5,-2.81,-3.06,-3.94,-3.22,-2.22,-2.34,-3.56,-3.44,-2.5,-2.44,-3.66,-4.41,-3.03,-1.53,-1.62,-2.03,-1.25,-0.41,-1.06,-1.97,-1.19,0.91,2.16,1.97,2.16,3.12,3.41,2.34,1.72,3.28,4.94,4.81,4.34,4.97,5.66,4.66,3.31,3.62,5.09,6.72,7.41,8.75,10.78,11.44,9.84,8.34,8.16,8.62,8.16,7.44,8.06,8.97,8.44,6.88,6.34,6.69,5.88,3.06,0.56,-0.66,-1.5,-2.97,-3.72,-1.75,0.91,2.66,3.84,5.91,8.19,8.5,6.72,4.97,3.31,0.47,-3.75,-7.03,-7.91,-7.38,-6.72,-4.69,-0.09,4.91,8.53,10.69,13.53,16.19,17.12,16.19,15.44,15.06,13.66,10.44,7.56,6.28,4.84,2.16,-0.12,0.09,1.75,2.59,3.25,5.09,7.12,7.62,6.53,5.94,6.25,6.56,5.56,5.75,7.88,10.03,10.88,10.66,11.38,11.53,9.81,6.72,4.38,2.84,0.56,-3.0,-5.38,-6.22,-6.91,-9.31,-11.38,-11.09,-9.59,-8.25,-6.09,-1.53,3.34,6.31,7.5,8.66,10.12,10.09,8.62,8.03,8.81,9.84,9.25,9.06,10.03,10.81,9.91,8.5,8.53,8.81,8.03,6.28,5.16,4.44,3.06,0.34,-1.62,-1.38,-0.16,0.38,2.09,5.69,9.88,12.0,13.0,15.03,16.84,17.66,17.41,17.84,19.0,19.03,16.25,13.25,10.47,7.72,3.06,-0.34,-1.81,-1.56,-2.06,-3.0,-2.72,-1.75,-1.72,-3.0,-3.28,-1.5,0.56,1.81,3.81,7.38,10.81,12.19,13.16,15.16,17.34,17.91,17.38,17.38,17.84,17.22,15.41,14.34,14.5,14.53,13.03,12.12,13.12,14.75,15.06,15.53,16.75,18.97,19.62,18.78,18.84,19.62,19.84,18.44,18.16,18.78,19.62,18.31,16.19,14.75,13.38,10.16,7.16,5.88,6.19,6.25,5.84,6.22,7.81,8.78,8.25,8.5,9.94,11.0,10.84,10.5,11.66,13.47,13.94,13.88,15.12,17.41,19.16,20.09,21.44,23.28,23.78,22.12,20.06,19.03,18.53,16.69,14.56,13.81,13.94,12.62,10.88,10.38,11.53,11.88,11.38,11.0,11.88,12.78,12.16,11.69,12.72,13.72,12.78,11.16,11.06,11.84,11.69,11.12,11.59,12.72,13.59,13.38,13.72,15.06,15.88,14.75,13.28,13.06,13.59,12.81,12.41,12.91,14.28,14.44,13.84,13.75,14.84,15.25,14.59,14.38,15.34,16.53,16.53,16.62,17.59,19.88,20.12,19.62,19.53,19.88,18.81,16.91,16.25,17.53,18.53,18.25,18.16,19.0,19.19,17.78,16.44,16.56,18.0,18.25,18.38,19.41,21.06,21.31,19.84,18.19,17.47,16.41,13.88,11.59,11.53,11.88,10.91,9.84,9.91,11.16,11.41,11.0,11.81,13.88,15.34,15.56,16.0,17.97,19.22,19.09,18.47,19.34,20.88,21.16,21.0,21.81,23.41,23.47,22.41,21.78,22.41,21.88,20.03,17.62,16.47,14.69,11.94,9.41,9.47,10.88,11.94,12.78,14.69,17.34,18.66,18.78,19.66,21.59,22.78,22.28,21.25,21.53,21.56,20.47,19.53,20.19,21.56,21.78,21.47,21.53,22.09,21.53,19.62,17.47,17.16,16.22,14.09,12.28,12.44,13.25,13.31,13.25,14.81,16.78,17.38,17.28,17.78,19.94,21.47,21.91,22.34,23.88,24.66,23.53,21.75,21.16,20.75,19.25,17.38,17.34,18.81,19.34,18.88,19.41,20.44,20.88,19.66,18.41,18.69,18.94,17.78,16.75,17.34,18.06,17.34,15.41,15.12,15.88,16.31,16.5,18.41,21.69,24.06,24.56,24.22,24.5,24.84,23.38,21.69,21.72,22.56,22.12,20.75,31.94,31.59,31.25,31.22,30.56,29.06,27.06,25.31,23.5,21.19,18.91,17.72,17.56,17.62,18.53,20.41,23.28,25.75,27.25,28.06,28.81,28.81,28.09,26.81,26.0,25.5,24.53,23.34,23.19,23.69,24.16,24.09,24.59,25.41,25.47,25.38,24.84,25.34,25.88,26.59,27.34,28.41:positivity
17.5,17.19,19.22,21.34,21.56,21.19,23.16,25.0,24.78,22.53,21.12,20.69,18.72,14.75,12.34,11.75,10.97,7.44,4.66,4.31,4.53,3.66,3.19,5.47,9.31,11.59,12.44,14.22,16.38,17.06,15.19,14.03,15.5,17.72,18.31,19.59,23.28,27.34,28.81,29.09,30.62,32.44,32.94,31.66,31.53,32.91,33.25,30.72,28.56,28.0,27.38,24.44,21.53,21.25,21.75,20.69,18.72,18.88,20.38,20.69,19.31,19.62,21.22,22.0,20.5,19.0,19.5,19.81,17.69,14.78,14.31,15.53,15.72,15.34,16.41,18.84,19.62,18.19,17.72,19.53,21.81,22.09,22.12,24.34,26.81,26.5,25.25,25.69,27.03,26.97,25.22,24.97,26.25,26.69,25.22,24.5,25.97,27.5,26.22,25.22,26.09,27.44,26.34,24.34,23.81,24.06,22.84,19.72,17.53,17.03,16.03,12.94,9.91,9.66,10.12,9.06,9.06,11.75,16.16,18.81,20.03,22.44,26.06,27.44,26.19,25.41,26.25,26.5,24.62,23.62,24.72,26.03,24.59,22.72,22.12,22.22,20.62,18.09,17.03,18.44,20.06,19.69,20.5,22.94,25.03,24.28,23.19,24.06,25.5,24.53,23.06,23.22,24.81,25.06,23.97,23.66,25.06,25.47,23.22,21.38,21.75,21.53,18.44,14.72,13.41,13.44,13.06,12.78,15.06,19.31,22.19,22.97,24.06,26.41,28.03,27.12,26.59,29.03,31.84,32.09,31.47,31.69,32.09,30.12,27.09,25.59,25.97,24.97,22.34,20.5,21.22,21.41,19.47,17.56,17.47,17.78,16.03,13.81,13.66,14.91,14.88,13.94,14.75,17.75,19.69,19.06,17.97,18.03,17.72,14.81,11.84,11.41,12.16,11.28,9.97,10.84,14.16,16.44,17.66,19.66,23.38,25.56,25.22,25.19,27.34,29.78,29.91,29.44,30.41,31.91,30.53,28.38,27.06,27.44,26.22,23.03,20.38,20.16,19.5,17.16,15.44,16.0,17.47,16.03,13.88,13.75,14.62,13.69,11.78,11.47,13.03,13.81,13.12,13.59,17.09,20.5,21.84,22.53,24.97,27.06,25.78,23.16,22.16,22.31,21.19,19.06,18.78,21.06,22.72,22.34,22.31,24.59,26.59,26.19,25.66,27.81,30.78,31.84,31.41,31.72,32.31,30.59,26.59,23.44,22.72,22.19,19.78,17.88,18.0,17.91,15.5,12.25,11.19,11.78,10.69,8.69,8.41,9.22,8.5,6.06,4.34,5.47,7.0,7.38,8.44,12.44,16.69,18.91,19.56,21.88,24.62,25.03,23.34,21.69,21.25,19.34,15.56,12.53,12.25,11.88,10.25,8.59,9.31,11.38,11.66,10.81,11.06,12.59,12.38,10.78,10.41,12.19,13.66,13.19,12.94,15.09,17.59,18.0,17.62,19.03,21.03,20.44,18.47,18.0,18.91,18.44,16.0,14.16,14.38,13.91,11.31,8.91,9.09,9.88,8.97,7.16,7.81,9.0,8.44,6.56,5.78,7.19,7.72,6.97,7.19,10.19,13.34,14.91,15.94,19.03,22.16,22.34,20.88,20.62,21.34,20.41,17.53,16.06,16.34,16.31,13.84,12.31,13.31,14.28,13.28,11.44,11.91,13.19,12.66,10.88,10.62,12.0,12.38,10.69,10.41,12.91,15.56,15.97,16.28,18.31,19.19,16.78,12.5,10.56,9.97,8.44,6.62,7.59,10.78,13.81,15.28,17.16,21.16,23.91,23.38,21.28,20.88,20.56,18.5,15.28,14.28,15.03,14.12,11.69,10.59,11.53,11.81,10.41,9.66,11.97,14.81,15.34,15.69,18.0,20.81,21.56,19.56,18.78,18.19,15.22,9.34,4.72,2.66,1.16,-1.66,-2.81,-0.5,2.91,4.59,5.78,9.06,12.78,14.94,14.97,16.62,19.47,20.97,19.19,17.84,18.31,18.19,15.28,12.25,11.69,11.25,8.69,5.72,5.31,6.44,6.66,5.69,7.28,10.75,13.91,14.91,16.31,20.12,23.56,23.84,23.59,24.78,26.5,25.53,23.66,23.31,24.16,22.88,18.5,15.16,13.31,10.81,6.56,3.47,3.41,4.66,4.03,3.47,5.31,8.19,9.22,9.0,10.34,13.16,14.91,14.0,14.06,15.69,16.44,14.0,11.25,10.97,10.94,8.5,5.75,5.38,6.16,4.88,2.06,0.62,0.53,-0.91,-4.59,-7.44,-7.62,-7.31,-8.44,-8.72,-5.97,-1.72,-0.06,0.59,3.03,6.5,7.97,7.53,7.5,9.03,9.53,7.38,5.94,7.25,9.0,8.34,7.19,7.16,7.5,5.06,1.28,-0.41,0.22,0.16,-1.5,-2.28,-0.84,-0.09,-1.75,-2.19,0.72,5.28,7.38,8.66,11.06,13.38,12.22,9.0,6.84,6.31,5.03,2.44,1.31,2.94,5.03,4.5,3.56,4.78,6.66,5.88,4.44,5.12,7.41,7.94,7.19,7.19,9.16,10.22,9.38,9.34,11.88,15.19,16.09,17.06,20.47,24.62,25.56,24.53,24.34,24.69,23.75,21.47,20.78,22.97,24.75,23.94,22.62,23.25,23.12,19.38,14.53,12.09,10.69,7.97,4.38,3.31,4.44,4.62,3.53,3.88,6.56,8.56,7.72,6.34,7.31,8.28,6.66,4.09,3.16,3.47,1.41,-1.75,-3.53,-2.81,-2.81,-4.62,-5.5,-3.78,-1.97,-2.69,-3.06,-1.19,1.44,1.41,0.16,0.69,2.81,2.59,1.22,1.47,3.25,4.78,3.84,3.31,5.44,7.34,7.22,6.78,8.91,11.84,12.03,10.03,8.75,7.75,4.62,-0.22,-4.03,-4.88,-5.78,-8.09,-9.41,-7.0,-2.97,-0.38,2.22,7.38,12.75,14.94,14.88,14.31,14.84,13.59,10.22,7.78,8.22,8.47,6.53,4.44,4.78,5.62,4.06,1.47,1.03,1.97,1.19,-0.84,-2.0,-1.16,-1.25,-2.94,-4.09,-1.94,0.69,1.38,1.44,3.78,6.03,5.62,3.28,2.34,2.78,1.88,0.06,-0.09,2.75,4.72,4.53,3.69,4.28,4.38,2.41,-0.53,-0.66,0.12,-0.62,-3.22,-4.69,-4.5,-5.88,-8.94,-10.91,-10.47,-9.59,-10.53,-10.94,-8.66,-5.75,-4.78,-4.84,-2.72,1.16,3.34,4.06,6.0,9.16,10.44,8.78,6.88,6.81,6.0,2.47,-1.31,-2.66,-3.34,-5.34,-8.16,-8.66,-7.69,-8.28,-10.78,-11.94,-11.28,-10.62,-11.53,-11.5,-8.09,-4.25,-1.91,0.41,4.62,9.28,11.19,10.31,9.38,8.53,5.31,-0.66,-6.0,-8.72,-11.38,-15.25,-18.03,-17.25,-14.62,-13.19,-11.88,-8.25,-3.94,-2.0,-2.28,-1.81,0.19,1.31,0.72,1.5,5.22,9.38,11.69,13.81,17.75,20.62,19.66,14.84,9.75,4.0,-3.34,-11.75,-17.44,-18.59,-18.19,-17.91,-16.03,-11.12,-6.28,-4.47,-4.19,-2.56,-1.12,-1.88,-3.94,-3.75,-1.81,-1.09,-2.19,-2.78,-1.88,-1.66,-3.41,-5.41,-4.72,-4.25,-5.81,-8.72,-9.72,-10.03,-10.28,-10.84,-8.56,-2.78,2.59,5.78,9.0,13.25,15.81,14.66,12.72,12.06,11.88,8.88,3.81,-0.44,-5.25,-11.84,-19.97,-26.16,-29.06,-30.75,-32.62,-32.59,-28.94,-23.44,-20.09,-16.81,-11.31,-5.56,-1.72,-0.06,2.38,5.0,5.78,3.41,1.5,1.69,1.47,-0.88,-3.12,-3.16,-2.75,-4.91,-7.56,-7.72,-6.5,-7.25,-9.62,-11.25,-11.94,-13.47,-16.62,-18.19,-17.28,-15.84,-16.66,-17.47,-16.31,-14.44,-14.81,-16.5,-16.53,-15.56,-15.0,-15.44,-13.66,-9.75,-5.75,-4.06,-2.03,1.75,5.06,5.09,3.0,1.53,-0.31,-4.69,-10.5,-14.44,-16.31,-18.62,-22.09,-23.16,-22.0,-20.38,-21.34,-21.56,-19.47,-16.62,-15.34,-14.5,-11.53,-7.44,-5.0,-3.88,-2.25,0.41,0.81,-1.94,-5.47,-7.44,-9.62,-13.91,-17.59,-19.28,-19.81,-22.06,-24.25,-23.94,-20.72,-17.28,-14.44,-10.06,-3.97,0.59,1.91,3.12,5.41,7.41,6.66,5.34,5.75,7.16,6.75,4.5,3.12,2.38,-0.5,-5.03,-8.19,-8.56,-8.09,-9.25,-10.38,-8.97,-7.38,-8.31,-9.53,-8.84,-6.12,-5.38,-4.81,-2.53,1.09,3.88,4.12,4.59,6.16,6.56,3.97,0.75,-1.0,-1.72,-4.28,-6.5,-6.88,-5.62,-5.72,-7.28,-8.62,-8.25,-8.59,-11.34,-13.53,-13.0,-11.28,-11.34,-11.22,-9.19,-6.59,-6.25,-7.06,-6.31,-4.22,-2.91,-3.69,-3.66,-1.88,-0.56,-1.5,-2.31,-0.44,1.88,2.12,1.75,2.84,4.25,3.59,1.59,0.62,1.66,1.94,0.31,-1.56,-1.12,-1.25,-3.69,-6.09,-6.28,-5.28,-5.72,-7.06,-6.44,-3.78,-2.41,-2.88,-2.53,0.34,2.19,2.0,2.41,5.19,8.22,8.81,8.88,10.41,12.5,12.16,10.12,8.81,8.78,6.78,3.03,-0.25,-1.56,-3.25,-6.38,-9.16,-8.38,-5.97,-5.22,-4.97,-3.22,-1.0,-1.12,-2.84,-3.56,-2.25,-1.91,-3.44,-5.19,-4.41,-3.97,-5.47,-7.31,-6.91,-6.06,-7.28,-9.28,-9.88,-8.53,-8.03,-8.62,-8.62,-6.56,-5.44,-6.56,-7.69,-6.16,-4.91,-6.22,-8.34,-9.28,-9.91,-12.38,-15.84,-17.03,-15.59,-14.88,-15.09,-14.44,-11.34,-9.06,-9.16,-10.19,-9.81,-9.22,-10.53,-13.03,-13.09,-11.47,-10.81,-11.31,-9.94,-5.97,-2.09,0.12,2.97,7.84,11.31,11.81,10.56,10.94,10.91,8.75,4.91,2.0,0.0,-2.97,-7.44,-10.44,-10.28,-10.38,-12.09,-13.62,-12.31,-10.81,-11.41,-11.53,-9.19,-4.84,-2.22,-0.69,1.81,5.72,7.25,5.69,3.66,3.12:25.0,24.78,22.53,21.12,20.69,18.72,14.75,12.34,11.75,10.97,7.44,4.66,4.31,4.53,3.66,3.19,5.47,9.31,11.59,12.44,14.22,16.38,17.06,15.19,14.03,15.5,17.72,18.31,19.59,23.28,27.34,28.81,29.09,30.62,32.44,32.94,31.66,31.53,32.91,33.25,30.72,28.56,28.0,27.38,24.44,21.53,21.25,21.75,20.69,18.72,18.88,20.38,20.69,19.31,19.62,21.22,22.0,20.5,19.0,19.5,19.81,17.69,14.78,14.31,15.53,15.72,15.34,16.41,18.84,19.62,18.19,17.72,19.53,21.81,22.09,22.12,24.34,26.81,26.5,25.25,25.69,27.03,26.97,25.22,24.97,26.25,26.69,25.22,24.5,25.97,27.5,26.22,25.22,26.09,27.44,26.34,24.34,23.81,24.06,22.84,19.72,17.53,17.03,16.03,12.94,9.91,9.66,10.12,9.06,9.06,11.75,16.16,18.81,20.03,22.44,26.06,27.44,26.19,25.41,26.25,26.5,24.62,23.62,24.72,26.03,24.59,22.72,22.12,22.22,20.62,18.09,17.03,18.44,20.06,19.69,20.5,22.94,25.03,24.28,23.19,24.06,25.5,24.53,23.06,23.22,24.81,25.06,23.97,23.66,25.06,25.47,23.22,21.38,21.75,21.53,18.44,14.72,13.41,13.44,13.06,12.78,15.06,19.31,22.19,22.97,24.06,26.41,28.03,27.12,26.59,29.03,31.84,32.09,31.47,31.69,32.09,30.12,27.09,25.59,25.97,24.97,22.34,20.5,21.22,21.41,19.47,17.56,17.47,17.78,16.03,13.81,13.66,14.91,14.88,13.94,14.75,17.75,19.69,19.06,17.97,18.03,17.72,14.81,11.84,11.41,12.16,11.28,9.97,10.84,14.16,16.44,17.66,19.66,23.38,25.56,25.22,25.19,27.34,29.78,29.91,29.44,30.41,31.91,30.53,28.38,27.06,27.44,26.22,23.03,20.38,20.16,19.5,17.16,15.44,16.0,17.47,16.03,13.88,13.75,14.62,13.69,11.78,11.47,13.03,13.81,13.12,13.59,17.09,20.5,21.84,22.53,24.97,27.06,25.78,23.16,22.16,22.31,21.19,19.06,18.78,21.06,22.72,22.34,22.31,24.59,26.59,26.19,25.66,27.81,30.78,31.84,31.41,31.72,32.31,30.59,26.59,23.44,22.72,22.19,19.78,17.88,18.0,17.91,15.5,12.25,11.19,11.78,10.69,8.69,8.41,9.22,8.5,6.06,4.34,5.47,7.0,7.38,8.44,12.44,16.69,18.91,19.56,21.88,24.62,25.03,23.34,21.69,21.25,19.34,15.56,12.53,12.25,11.88,10.25,8.59,9.31,11.38,11.66,10.81,11.06,12.59,12.38,10.78,10.41,12.19,13.66,13.19,12.94,15.09,17.59,18.0,17.62,19.03,21.03,20.44,18.47,18.0,18.91,18.44,16.0,14.16,14.38,13.91,11.31,8.91,9.09,9.88,8.97,7.16,7.81,9.0,8.44,6.56,5.78,7.19,7.72,6.97,7.19,10.19,13.34,14.91,15.94,19.03,22.16,22.34,20.88,20.62,21.34,20.41,17.53,16.06,16.34,16.31,13.84,12.31,13.31,14.28,13.28,11.44,11.91,13.19,12.66,10.88,10.62,12.0,12.38,10.69,10.41,12.91,15.56,15.97,16.28,18.31,19.19,16.78,12.5,10.56,9.97,8.44,6.62,7.59,10.78,13.81,15.28,17.16,21.16,23.91,23.38,21.28,20.88,20.56,18.5,15.28,14.28,15.03,14.12,11.69,10.59,11.53,11.81,10.41,9.66,11.97,14.81,15.34,15.69,18.0,20.81,21.56,19.56,18.78,18.19,15.22,9.34,4.72,2.66,1.16,-1.66,-2.81,-0.5,2.91,4.59,5.78,9.06,12.78,14.94,14.97,16.62,19.47,20.97,19.19,17.84,18.31,18.19,15.28,12.25,11.69,11.25,8.69,5.72,5.31,6.44,6.66,5.69,7.28,10.75,13.91,14.91,16.31,20.12,23.56,23.84,23.59,24.78,26.5,25.53,23.66,23.31,24.16,22.88,18.5,15.16,13.31,10.81,6.56,3.47,3.41,4.66,4.03,3.47,5.31,8.19,9.22,9.0,10.34,13.16,14.91,14.0,14.06,15.69,16.44,14.0,11.25,10.97,10.94,8.5,5.75,5.38,6.16,4.88,2.06,0.62,0.53,-0.91,-4.59,-7.44,-7.62,-7.31,-8.44,-8.72,-5.97,-1.72,-0.06,0.59,3.03,6.5,7.97,7.53,7.5,9.03,9.53,7.38,5.94,7.25,9.0,8.34,7.19,7.16,7.5,5.06,1.28,-0.41,0.22,0.16,-1.5,-2.28,-0.84,-0.09,-1.75,-2.19,0.72,5.28,7.38,8.66,11.06,13.38,12.22,9.0,6.84,6.31,5.03,2.44,1.31,2.94,5.03,4.5,3.56,4.78,6.66,5.88,4.44,5.12,7.41,7.94,7.19,7.19,9.16,10.22,9.38,9.34,11.88,15.19,16.09,17.06,20.47,24.62,25.56,24.53,24.34,24.69,23.75,21.47,20.78,22.97,24.75,23.94,22.62,23.25,23.12,19.38,14.53,12.09,10.69,7.97,4.38,3.31,4.44,4.62,3.53,3.88,6.56,8.56,7.72,6.34,7.31,8.28,6.66,4.09,3.16,3.47,1.41,-1.75,-3.53,-2.81,-2.81,-4.62,-5.5,-3.78,-1.97,-2.69,-3.06,-1.19,1.44,1.41,0.16,0.69,2.81,2.59,1.22,1.47,3.25,4.78,3.84,3.31,5.44,7.34,7.22,6.78,8.91,11.84,12.03,10.03,8.75,7.75,4.62,-0.22,-4.03,-4.88,-5.78,-8.09,-9.41,-7.0,-2.97,-0.38,2.22,7.38,12.75,14.94,14.88,14.31,14.84,13.59,10.22,7.78,8.22,8.47,6.53,4.44,4.78,5.62,4.06,1.47,1.03,1.97,1.19,-0.84,-2.0,-1.16,-1.25,-2.94,-4.09,-1.94,0.69,1.38,1.44,3.78,6.03,5.62,3.28,2.34,2.78,1.88,0.06,-0.09,2.75,4.72,4.53,3.69,4.28,4.38,2.41,-0.53,-0.66,0.12,-0.62,-3.22,-4.69,-4.5,-5.88,-8.94,-10.91,-10.47,-9.59,-10.53,-10.94,-8.66,-5.75,-4.78,-4.84,-2.72,1.16,3.34,4.06,6.0,9.16,10.44,8.78,6.88,6.81,6.0,2.47,-1.31,-2.66,-3.34,-5.34,-8.16,-8.66,-7.69,-8.28,-10.78,-11.94,-11.28,-10.62,-11.53,-11.5,-8.09,-4.25,-1.91,0.41,4.62,9.28,11.19,10.31,9.38,8.53,5.31,-0.66,-6.0,-8.72,-11.38,-15.25,-18.03,-17.25,-14.62,-13.19,-11.88,-8.25,-3.94,-2.0,-2.28,-1.81,0.19,1.31,0.72,1.5,5.22,9.38,11.69,13.81,17.75,20.62,19.66,14.84,9.75,4.0,-3.34,-11.75,-17.44,-18.59,-18.19,-17.91,-16.03,-11.12,-6.28,-4.47,-4.19,-2.56,-1.12,-1.88,-3.94,-3.75,-1.81,-1.09,-2.19,-2.78,-1.88,-1.66,-3.41,-5.41,-4.72,-4.25,-5.81,-8.72,-9.72,-10.03,-10.28,-10.84,-8.56,-2.78,2.59,5.78,9.0,13.25,15.81,14.66,12.72,12.06,11.88,8.88,3.81,-0.44,-5.25,-11.84,-19.97,-26.16,-29.06,-30.75,-32.62,-32.59,-28.94,-23.44,-20.09,-16.81,-11.31,-5.56,-1.72,-0.06,2.38,5.0,5.78,3.41,1.5,1.69,1.47,-0.88,-3.12,-3.16,-2.75,-4.91,-7.56,-7.72,-6.5,-7.25,-9.62,-11.25,-11.94,-13.47,-16.62,-18.19,-17.28,-15.84,-16.66,-17.47,-16.31,-14.44,-14.81,-16.5,-16.53,-15.56,-15.0,-15.44,-13.66,-9.75,-5.75,-4.06,-2.03,1.75,5.06,5.09,3.0,1.53,-0.31,-4.69,-10.5,-14.44,-16.31,-18.62,-22.09,-23.16,-22.0,-20.38,-21.34,-21.56,-19.47,-16.62,-15.34,-14.5,-11.53,-7.44,-5.0,-3.88,-2.25,0.41,0.81,-1.94,-5.47,-7.44,-9.62,-13.91,-17.59,-19.28,-19.81,-22.06,-24.25,-23.94,-20.72,-17.28,-14.44,-10.06,-3.97,0.59,1.91,3.12,5.41,7.41,6.66,5.34,5.75,7.16,6.75,4.5,3.12,2.38,-0.5,-5.03,-8.19,-8.56,-8.09,-9.25,-10.38,-8.97,-7.38,-8.31,-9.53,-8.84,-6.12,-5.38,-4.81,-2.53,1.09,3.88,4.12,4.59,6.16,6.56,3.97,0.75,-1.0,-1.72,-4.28,-6.5,-6.88,-5.62,-5.72,-7.28,-8.62,-8.25,-8.59,-11.34,-13.53,-13.0,-11.28,-11.34,-11.22,-9.19,-6.59,-6.25,-7.06,-6.31,-4.22,-2.91,-3.69,-3.66,-1.88,-0.56,-1.5,-2.31,-0.44,1.88,2.12,1.75,2.84,4.25,3.59,1.59,0.62,1.66,1.94,0.31,-1.56,-1.12,-1.25,-3.69,-6.09,-6.28,-5.28,-5.72,-7.06,-6.44,-3.78,-2.41,-2.88,-2.53,0.34,2.19,2.0,2.41,5.19,8.22,8.81,8.88,10.41,12.5,12.16,10.12,8.81,8.78,6.78,3.03,-0.25,-1.56,-3.25,-6.38,-9.16,-8.38,-5.97,-5.22,-4.97,-3.22,-1.0,-1.12,-2.84,-3.56,-2.25,-1.91,-3.44,-5.19,-4.41,-3.97,-5.47,-7.31,-6.91,-6.06,-7.28,-9.28,-9.88,-8.53,-8.03,-8.62,-8.62,-6.56,-5.44,-6.56,-7.69,-6.16,-4.91,-6.22,-8.34,-9.28,-9.91,-12.38,-15.84,-17.03,-15.59,-14.88,-15.09,-14.44,-11.34,-9.06,-9.16,-10.19,-9.81,-9.22,-10.53,-13.03,-13.09,-11.47,-10.81,-11.31,-9.94,-5.97,-2.09,0.12,2.97,7.84,11.31,11.81,10.56,10.94,10.91,8.75,4.91,2.0,0.0,-2.97,-7.44,-10.44,-10.28,-10.38,-12.09,-13.62,-12.31,-10.81,-11.41,-11.53,-9.19,-4.84,-2.22,-0.69,1.81,5.72,7.25,5.69,3.66,3.12,14.69,14.81,16.38,17.84,18.22,18.44,20.66:12.34,11.75,10.97,7.44,4.66,4.31,4.53,3.66,3.19,5.47,9.31,11.59,12.44,14.22,16.38,17.06,15.19,14.03,15.5,17.72,18.31,19.59,23.28,27.34,28.81,29.09,30.62,32.44,32.94,31.66,31.53,32.91,33.25,30.72,28.56,28.0,27.38,24.44,21.53,21.25,21.75,20.69,18.72,18.88,20.38,20.69,19.31,19.62,21.22,22.0,20.5,19.0,19.5,19.81,17.69,14.78,14.31,15.53,15.72,15.34,16.41,18.84,19.62,18.19,17.72,19.53,21.81,22.09,22.12,24.34,26.81,26.5,25.25,25.69,27.03,26.97,25.22,24.97,26.25,26.69,25.22,24.5,25.97,27.5,26.22,25.22,26.09,27.44,26.34,24.34,23.81,24.06,22.84,19.72,17.53,17.03,16.03,12.94,9.91,9.66,10.12,9.06,9.06,11.75,16.16,18.81,20.03,22.44,26.06,27.44,26.19,25.41,26.25,26.5,24.62,23.62,24.72,26.03,24.59,22.72,22.12,22.22,20.62,18.09,17.03,18.44,20.06,19.69,20.5,22.94,25.03,24.28,23.19,24.06,25.5,24.53,23.06,23.22,24.81,25.06,23.97,23.66,25.06,25.47,23.22,21.38,21.75,21.53,18.44,14.72,13.41,13.44,13.06,12.78,15.06,19.31,22.19,22.97,24.06,26.41,28.03,27.12,26.59,29.03,31.84,32.09,31.47,31.69,32.09,30.12,27.09,25.59,25.97,24.97,22.34,20.5,21.22,21.41,19.47,17.56,17.47,17.78,16.03,13.81,13.66,14.91,14.88,13.94,14.75,17.75,19.69,19.06,17.97,18.03,17.72,14.81,11.84,11.41,12.16,11.28,9.97,10.84,14.16,16.44,17.66,19.66,23.38,25.56,25.22,25.19,27.34,29.78,29.91,29.44,30.41,31.91,30.53,28.38,27.06,27.44,26.22,23.03,20.38,20.16,19.5,17.16,15.44,16.0,17.47,16.03,13.88,13.75,14.62,13.69,11.78,11.47,13.03,13.81,13.12,13.59,17.09,20.5,21.84,22.53,24.97,27.06,25.78,23.16,22.16,22.31,21.19,19.06,18.78,21.06,22.72,22.34,22.31,24.59,26.59,26.19,25.66,27.81,30.78,31.84,31.41,31.72,32.31,30.59,26.59,23.44,22.72,22.19,19.78,17.88,18.0,17.91,15.5,12.25,11.19,11.78,10.69,8.69,8.41,9.22,8.5,6.06,4.34,5.47,7.0,7.38,8.44,12.44,16.69,18.91,19.56,21.88,24.62,25.03,23.34,21.69,21.25,19.34,15.56,12.53,12.25,11.88,10.25,8.59,9.31,11.38,11.66,10.81,11.06,12.59,12.38,10.78,10.41,12.19,13.66,13.19,12.94,15.09,17.59,18.0,17.62,19.03,21.03,20.44,18.47,18.0,18.91,18.44,16.0,14.16,14.38,13.91,11.31,8.91,9.09,9.88,8.97,7.16,7.81,9.0,8.44,6.56,5.78,7.19,7.72,6.97,7.19,10.19,13.34,14.91,15.94,19.03,22.16,22.34,20.88,20.62,21.34,20.41,17.53,16.06,16.34,16.31,13.84,12.31,13.31,14.28,13.28,11.44,11.91,13.19,12.66,10.88,10.62,12.0,12.38,10.69,10.41,12.91,15.56,15.97,16.28,18.31,19.19,16.78,12.5,10.56,9.97,8.44,6.62,7.59,10.78,13.81,15.28,17.16,21.16,23.91,23.38,21.28,20.88,20.56,18.5,15.28,14.28,15.03,14.12,11.69,10.59,11.53,11.81,10.41,9.66,11.97,14.81,15.34,15.69,18.0,20.81,21.56,19.56,18.78,18.19,15.22,9.34,4.72,2.66,1.16,-1.66,-2.81,-0.5,2.91,4.59,5.78,9.06,12.78,14.94,14.97,16.62,19.47,20.97,19.19,17.84,18.31,18.19,15.28,12.25,11.69,11.25,8.69,5.72,5.31,6.44,6.66,5.69,7.28,10.75,13.91,14.91,16.31,20.12,23.56,23.84,23.59,24.78,26.5,25.53,23.66,23.31,24.16,22.88,18.5,15.16,13.31,10.81,6.56,3.47,3.41,4.66,4.03,3.47,5.31,8.19,9.22,9.0,10.34,13.16,14.91,14.0,14.06,15.69,16.44,14.0,11.25,10.97,10.94,8.5,5.75,5.38,6.16,4.88,2.06,0.62,0.53,-0.91,-4.59,-7.44,-7.62,-7.31,-8.44,-8.72,-5.97,-1.72,-0.06,0.59,3.03,6.5,7.97,7.53,7.5,9.03,9.53,7.38,5.94,7.25,9.0,8.34,7.19,7.16,7.5,5.06,1.28,-0.41,0.22,0.16,-1.5,-2.28,-0.84,-0.09,-1.75,-2.19,0.72,5.28,7.38,8.66,11.06,13.38,12.22,9.0,6.84,6.31,5.03,2.44,1.31,2.94,5.03,4.5,3.56,4.78,6.66,5.88,4.44,5.12,7.41,7.94,7.19,7.19,9.16,10.22,9.38,9.34,11.88,15.19,16.09,17.06,20.47,24.62,25.56,24.53,24.34,24.69,23.75,21.47,20.78,22.97,24.75,23.94,22.62,23.25,23.12,19.38,14.53,12.09,10.69,7.97,4.38,3.31,4.44,4.62,3.53,3.88,6.56,8.56,7.72,6.34,7.31,8.28,6.66,4.09,3.16,3.47,1.41,-1.75,-3.53,-2.81,-2.81,-4.62,-5.5,-3.78,-1.97,-2.69,-3.06,-1.19,1.44,1.41,0.16,0.69,2.81,2.59,1.22,1.47,3.25,4.78,3.84,3.31,5.44,7.34,7.22,6.78,8.91,11.84,12.03,10.03,8.75,7.75,4.62,-0.22,-4.03,-4.88,-5.78,-8.09,-9.41,-7.0,-2.97,-0.38,2.22,7.38,12.75,14.94,14.88,14.31,14.84,13.59,10.22,7.78,8.22,8.47,6.53,4.44,4.78,5.62,4.06,1.47,1.03,1.97,1.19,-0.84,-2.0,-1.16,-1.25,-2.94,-4.09,-1.94,0.69,1.38,1.44,3.78,6.03,5.62,3.28,2.34,2.78,1.88,0.06,-0.09,2.75,4.72,4.53,3.69,4.28,4.38,2.41,-0.53,-0.66,0.12,-0.62,-3.22,-4.69,-4.5,-5.88,-8.94,-10.91,-10.47,-9.59,-10.53,-10.94,-8.66,-5.75,-4.78,-4.84,-2.72,1.16,3.34,4.06,6.0,9.16,10.44,8.78,6.88,6.81,6.0,2.47,-1.31,-2.66,-3.34,-5.34,-8.16,-8.66,-7.69,-8.28,-10.78,-11.94,-11.28,-10.62,-11.53,-11.5,-8.09,-4.25,-1.91,0.41,4.62,9.28,11.19,10.31,9.38,8.53,5.31,-0.66,-6.0,-8.72,-11.38,-15.25,-18.03,-17.25,-14.62,-13.19,-11.88,-8.25,-3.94,-2.0,-2.28,-1.81,0.19,1.31,0.72,1.5,5.22,9.38,11.69,13.81,17.75,20.62,19.66,14.84,9.75,4.0,-3.34,-11.75,-17.44,-18.59,-18.19,-17.91,-16.03,-11.12,-6.28,-4.47,-4.19,-2.56,-1.12,-1.88,-3.94,-3.75,-1.81,-1.09,-2.19,-2.78,-1.88,-1.66,-3.41,-5.41,-4.72,-4.25,-5.81,-8.72,-9.72,-10.03,-10.28,-10.84,-8.56,-2.78,2.59,5.78,9.0,13.25,15.81,14.66,12.72,12.06,11.88,8.88,3.81,-0.44,-5.25,-11.84,-19.97,-26.16,-29.06,-30.75,-32.62,-32.59,-28.94,-23.44,-20.09,-16.81,-11.31,-5.56,-1.72,-0.06,2.38,5.0,5.78,3.41,1.5,1.69,1.47,-0.88,-3.12,-3.16,-2.75,-4.91,-7.56,-7.72,-6.5,-7.25,-9.62,-11.25,-11.94,-13.47,-16.62,-18.19,-17.28,-15.84,-16.66,-17.47,-16.31,-14.44,-14.81,-16.5,-16.53,-15.56,-15.0,-15.44,-13.66,-9.75,-5.75,-4.06,-2.03,1.75,5.06,5.09,3.0,1.53,-0.31,-4.69,-10.5,-14.44,-16.31,-18.62,-22.09,-23.16,-22.0,-20.38,-21.34,-21.56,-19.47,-16.62,-15.34,-14.5,-11.53,-7.44,-5.0,-3.88,-2.25,0.41,0.81,-1.94,-5.47,-7.44,-9.62,-13.91,-17.59,-19.28,-19.81,-22.06,-24.25,-23.94,-20.72,-17.28,-14.44,-10.06,-3.97,0.59,1.91,3.12,5.41,7.41,6.66,5.34,5.75,7.16,6.75,4.5,3.12,2.38,-0.5,-5.03,-8.19,-8.56,-8.09,-9.25,-10.38,-8.97,-7.38,-8.31,-9.53,-8.84,-6.12,-5.38,-4.81,-2.53,1.09,3.88,4.12,4.59,6.16,6.56,3.97,0.75,-1.0,-1.72,-4.28,-6.5,-6.88,-5.62,-5.72,-7.28,-8.62,-8.25,-8.59,-11.34,-13.53,-13.0,-11.28,-11.34,-11.22,-9.19,-6.59,-6.25,-7.06,-6.31,-4.22,-2.91,-3.69,-3.66,-1.88,-0.56,-1.5,-2.31,-0.44,1.88,2.12,1.75,2.84,4.25,3.59,1.59,0.62,1.66,1.94,0.31,-1.56,-1.12,-1.25,-3.69,-6.09,-6.28,-5.28,-5.72,-7.06,-6.44,-3.78,-2.41,-2.88,-2.53,0.34,2.19,2.0,2.41,5.19,8.22,8.81,8.88,10.41,12.5,12.16,10.12,8.81,8.78,6.78,3.03,-0.25,-1.56,-3.25,-6.38,-9.16,-8.38,-5.97,-5.22,-4.97,-3.22,-1.0,-1.12,-2.84,-3.56,-2.25,-1.91,-3.44,-5.19,-4.41,-3.97,-5.47,-7.31,-6.91,-6.06,-7.28,-9.28,-9.88,-8.53,-8.03,-8.62,-8.62,-6.56,-5.44,-6.56,-7.69,-6.16,-4.91,-6.22,-8.34,-9.28,-9.91,-12.38,-15.84,-17.03,-15.59,-14.88,-15.09,-14.44,-11.34,-9.06,-9.16,-10.19,-9.81,-9.22,-10.53,-13.03,-13.09,-11.47,-10.81,-11.31,-9.94,-5.97,-2.09,0.12,2.97,7.84,11.31,11.81,10.56,10.94,10.91,8.75,4.91,2.0,0.0,-2.97,-7.44,-10.44,-10.28,-10.38,-12.09,-13.62,-12.31,-10.81,-11.41,-11.53,-9.19,-4.84,-2.22,-0.69,1.81,5.72,7.25,5.69,3.66,3.12,14.69,14.81,16.38,17.84,18.22,18.44,20.66,22.88,24.03,23.81,24.12,24.75,23.72,21.34:3.66,3.19,5.47,9.31,11.59,12.44,14.22,16.38,17.06,15.19,14.03,15.5,17.72,18.31,19.59,23.28,27.34,28.81,29.09,30.62,32.44,32.94,31.66,31.53,32.91,33.25,30.72,28.56,28.0,27.38,24.44,21.53,21.25,21.75,20.69,18.72,18.88,20.38,20.69,19.31,19.62,21.22,22.0,20.5,19.0,19.5,19.81,17.69,14.78,14.31,15.53,15.72,15.34,16.41,18.84,19.62,18.19,17.72,19.53,21.81,22.09,22.12,24.34,26.81,26.5,25.25,25.69,27.03,26.97,25.22,24.97,26.25,26.69,25.22,24.5,25.97,27.5,26.22,25.22,26.09,27.44,26.34,24.34,23.81,24.06,22.84,19.72,17.53,17.03,16.03,12.94,9.91,9.66,10.12,9.06,9.06,11.75,16.16,18.81,20.03,22.44,26.06,27.44,26.19,25.41,26.25,26.5,24.62,23.62,24.72,26.03,24.59,22.72,22.12,22.22,20.62,18.09,17.03,18.44,20.06,19.69,20.5,22.94,25.03,24.28,23.19,24.06,25.5,24.53,23.06,23.22,24.81,25.06,23.97,23.66,25.06,25.47,23.22,21.38,21.75,21.53,18.44,14.72,13.41,13.44,13.06,12.78,15.06,19.31,22.19,22.97,24.06,26.41,28.03,27.12,26.59,29.03,31.84,32.09,31.47,31.69,32.09,30.12,27.09,25.59,25.97,24.97,22.34,20.5,21.22,21.41,19.47,17.56,17.47,17.78,16.03,13.81,13.66,14.91,14.88,13.94,14.75,17.75,19.69,19.06,17.97,18.03,17.72,14.81,11.84,11.41,12.16,11.28,9.97,10.84,14.16,16.44,17.66,19.66,23.38,25.56,25.22,25.19,27.34,29.78,29.91,29.44,30.41,31.91,30.53,28.38,27.06,27.44,26.22,23.03,20.38,20.16,19.5,17.16,15.44,16.0,17.47,16.03,13.88,13.75,14.62,13.69,11.78,11.47,13.03,13.81,13.12,13.59,17.09,20.5,21.84,22.53,24.97,27.06,25.78,23.16,22.16,22.31,21.19,19.06,18.78,21.06,22.72,22.34,22.31,24.59,26.59,26.19,25.66,27.81,30.78,31.84,31.41,31.72,32.31,30.59,26.59,23.44,22.72,22.19,19.78,17.88,18.0,17.91,15.5,12.25,11.19,11.78,10.69,8.69,8.41,9.22,8.5,6.06,4.34,5.47,7.0,7.38,8.44,12.44,16.69,18.91,19.56,21.88,24.62,25.03,23.34,21.69,21.25,19.34,15.56,12.53,12.25,11.88,10.25,8.59,9.31,11.38,11.66,10.81,11.06,12.59,12.38,10.78,10.41,12.19,13.66,13.19,12.94,15.09,17.59,18.0,17.62,19.03,21.03,20.44,18.47,18.0,18.91,18.44,16.0,14.16,14.38,13.91,11.31,8.91,9.09,9.88,8.97,7.16,7.81,9.0,8.44,6.56,5.78,7.19,7.72,6.97,7.19,10.19,13.34,14.91,15.94,19.03,22.16,22.34,20.88,20.62,21.34,20.41,17.53,16.06,16.34,16.31,13.84,12.31,13.31,14.28,13.28,11.44,11.91,13.19,12.66,10.88,10.62,12.0,12.38,10.69,10.41,12.91,15.56,15.97,16.28,18.31,19.19,16.78,12.5,10.56,9.97,8.44,6.62,7.59,10.78,13.81,15.28,17.16,21.16,23.91,23.38,21.28,20.88,20.56,18.5,15.28,14.28,15.03,14.12,11.69,10.59,11.53,11.81,10.41,9.66,11.97,14.81,15.34,15.69,18.0,20.81,21.56,19.56,18.78,18.19,15.22,9.34,4.72,2.66,1.16,-1.66,-2.81,-0.5,2.91,4.59,5.78,9.06,12.78,14.94,14.97,16.62,19.47,20.97,19.19,17.84,18.31,18.19,15.28,12.25,11.69,11.25,8.69,5.72,5.31,6.44,6.66,5.69,7.28,10.75,13.91,14.91,16.31,20.12,23.56,23.84,23.59,24.78,26.5,25.53,23.66,23.31,24.16,22.88,18.5,15.16,13.31,10.81,6.56,3.47,3.41,4.66,4.03,3.47,5.31,8.19,9.22,9.0,10.34,13.16,14.91,14.0,14.06,15.69,16.44,14.0,11.25,10.97,10.94,8.5,5.75,5.38,6.16,4.88,2.06,0.62,0.53,-0.91,-4.59,-7.44,-7.62,-7.31,-8.44,-8.72,-5.97,-1.72,-0.06,0.59,3.03,6.5,7.97,7.53,7.5,9.03,9.53,7.38,5.94,7.25,9.0,8.34,7.19,7.16,7.5,5.06,1.28,-0.41,0.22,0.16,-1.5,-2.28,-0.84,-0.09,-1.75,-2.19,0.72,5.28,7.38,8.66,11.06,13.38,12.22,9.0,6.84,6.31,5.03,2.44,1.31,2.94,5.03,4.5,3.56,4.78,6.66,5.88,4.44,5.12,7.41,7.94,7.19,7.19,9.16,10.22,9.38,9.34,11.88,15.19,16.09,17.06,20.47,24.62,25.56,24.53,24.34,24.69,23.75,21.47,20.78,22.97,24.75,23.94,22.62,23.25,23.12,19.38,14.53,12.09,10.69,7.97,4.38,3.31,4.44,4.62,3.53,3.88,6.56,8.56,7.72,6.34,7.31,8.28,6.66,4.09,3.16,3.47,1.41,-1.75,-3.53,-2.81,-2.81,-4.62,-5.5,-3.78,-1.97,-2.69,-3.06,-1.19,1.44,1.41,0.16,0.69,2.81,2.59,1.22,1.47,3.25,4.78,3.84,3.31,5.44,7.34,7.22,6.78,8.91,11.84,12.03,10.03,8.75,7.75,4.62,-0.22,-4.03,-4.88,-5.78,-8.09,-9.41,-7.0,-2.97,-0.38,2.22,7.38,12.75,14.94,14.88,14.31,14.84,13.59,10.22,7.78,8.22,8.47,6.53,4.44,4.78,5.62,4.06,1.47,1.03,1.97,1.19,-0.84,-2.0,-1.16,-1.25,-2.94,-4.09,-1.94,0.69,1.38,1.44,3.78,6.03,5.62,3.28,2.34,2.78,1.88,0.06,-0.09,2.75,4.72,4.53,3.69,4.28,4.38,2.41,-0.53,-0.66,0.12,-0.62,-3.22,-4.69,-4.5,-5.88,-8.94,-10.91,-10.47,-9.59,-10.53,-10.94,-8.66,-5.75,-4.78,-4.84,-2.72,1.16,3.34,4.06,6.0,9.16,10.44,8.78,6.88,6.81,6.0,2.47,-1.31,-2.66,-3.34,-5.34,-8.16,-8.66,-7.69,-8.28,-10.78,-11.94,-11.28,-10.62,-11.53,-11.5,-8.09,-4.25,-1.91,0.41,4.62,9.28,11.19,10.31,9.38,8.53,5.31,-0.66,-6.0,-8.72,-11.38,-15.25,-18.03,-17.25,-14.62,-13.19,-11.88,-8.25,-3.94,-2.0,-2.28,-1.81,0.19,1.31,0.72,1.5,5.22,9.38,11.69,13.81,17.75,20.62,19.66,14.84,9.75,4.0,-3.34,-11.75,-17.44,-18.59,-18.19,-17.91,-16.03,-11.12,-6.28,-4.47,-4.19,-2.56,-1.12,-1.88,-3.94,-3.75,-1.81,-1.09,-2.19,-2.78,-1.88,-1.66,-3.41,-5.41,-4.72,-4.25,-5.81,-8.72,-9.72,-10.03,-10.28,-10.84,-8.56,-2.78,2.59,5.78,9.0,13.25,15.81,14.66,12.72,12.06,11.88,8.88,3.81,-0.44,-5.25,-11.84,-19.97,-26.16,-29.06,-30.75,-32.62,-32.59,-28.94,-23.44,-20.09,-16.81,-11.31,-5.56,-1.72,-0.06,2.38,5.0,5.78,3.41,1.5,1.69,1.47,-0.88,-3.12,-3.16,-2.75,-4.91,-7.56,-7.72,-6.5,-7.25,-9.62,-11.25,-11.94,-13.47,-16.62,-18.19,-17.28,-15.84,-16.66,-17.47,-16.31,-14.44,-14.81,-16.5,-16.53,-15.56,-15.0,-15.44,-13.66,-9.75,-5.75,-4.06,-2.03,1.75,5.06,5.09,3.0,1.53,-0.31,-4.69,-10.5,-14.44,-16.31,-18.62,-22.09,-23.16,-22.0,-20.38,-21.34,-21.56,-19.47,-16.62,-15.34,-14.5,-11.53,-7.44,-5.0,-3.88,-2.25,0.41,0.81,-1.94,-5.47,-7.44,-9.62,-13.91,-17.59,-19.28,-19.81,-22.06,-24.25,-23.94,-20.72,-17.28,-14.44,-10.06,-3.97,0.59,1.91,3.12,5.41,7.41,6.66,5.34,5.75,7.16,6.75,4.5,3.12,2.38,-0.5,-5.03,-8.19,-8.56,-8.09,-9.25,-10.38,-8.97,-7.38,-8.31,-9.53,-8.84,-6.12,-5.38,-4.81,-2.53,1.09,3.88,4.12,4.59,6.16,6.56,3.97,0.75,-1.0,-1.72,-4.28,-6.5,-6.88,-5.62,-5.72,-7.28,-8.62,-8.25,-8.59,-11.34,-13.53,-13.0,-11.28,-11.34,-11.22,-9.19,-6.59,-6.25,-7.06,-6.31,-4.22,-2.91,-3.69,-3.66,-1.88,-0.56,-1.5,-2.31,-0.44,1.88,2.12,1.75,2.84,4.25,3.59,1.59,0.62,1.66,1.94,0.31,-1.56,-1.12,-1.25,-3.69,-6.09,-6.28,-5.28,-5.72,-7.06,-6.44,-3.78,-2.41,-2.88,-2.53,0.34,2.19,2.0,2.41,5.19,8.22,8.81,8.88,10.41,12.5,12.16,10.12,8.81,8.78,6.78,3.03,-0.25,-1.56,-3.25,-6.38,-9.16,-8.38,-5.97,-5.22,-4.97,-3.22,-1.0,-1.12,-2.84,-3.56,-2.25,-1.91,-3.44,-5.19,-4.41,-3.97,-5.47,-7.31,-6.91,-6.06,-7.28,-9.28,-9.88,-8.53,-8.03,-8.62,-8.62,-6.56,-5.44,-6.56,-7.69,-6.16,-4.91,-6.22,-8.34,-9.28,-9.91,-12.38,-15.84,-17.03,-15.59,-14.88,-15.09,-14.44,-11.34,-9.06,-9.16,-10.19,-9.81,-9.22,-10.53,-13.03,-13.09,-11.47,-10.81,-11.31,-9.94,-5.97,-2.09,0.12,2.97,7.84,11.31,11.81,10.56,10.94,10.91,8.75,4.91,2.0,0.0,-2.97,-7.44,-10.44,-10.28,-10.38,-12.09,-13.62,-12.31,-10.81,-11.41,-11.53,-9.19,-4.84,-2.22,-0.69,1.81,5.72,7.25,5.69,3.66,3.12,14.69,14.81,16.38,17.84,18.22,18.44,20.66,22.88,24.03,23.81,24.12,24.75,23.72,21.34,19.72,19.16,18.03,15.66,13.41,12.78,12.94:16.38,17.06,15.19,14.03,15.5,17.72,18.31,19.59,23.28,27.34,28.81,29.09,30.62,32.44,32.94,31.66,31.53,32.91,33.25,30.72,28.56,28.0,27.38,24.44,21.53,21.25,21.75,20.69,18.72,18.88,20.38,20.69,19.31,19.62,21.22,22.0,20.5,19.0,19.5,19.81,17.69,14.78,14.31,15.53,15.72,15.34,16.41,18.84,19.62,18.19,17.72,19.53,21.81,22.09,22.12,24.34,26.81,26.5,25.25,25.69,27.03,26.97,25.22,24.97,26.25,26.69,25.22,24.5,25.97,27.5,26.22,25.22,26.09,27.44,26.34,24.34,23.81,24.06,22.84,19.72,17.53,17.03,16.03,12.94,9.91,9.66,10.12,9.06,9.06,11.75,16.16,18.81,20.03,22.44,26.06,27.44,26.19,25.41,26.25,26.5,24.62,23.62,24.72,26.03,24.59,22.72,22.12,22.22,20.62,18.09,17.03,18.44,20.06,19.69,20.5,22.94,25.03,24.28,23.19,24.06,25.5,24.53,23.06,23.22,24.81,25.06,23.97,23.66,25.06,25.47,23.22,21.38,21.75,21.53,18.44,14.72,13.41,13.44,13.06,12.78,15.06,19.31,22.19,22.97,24.06,26.41,28.03,27.12,26.59,29.03,31.84,32.09,31.47,31.69,32.09,30.12,27.09,25.59,25.97,24.97,22.34,20.5,21.22,21.41,19.47,17.56,17.47,17.78,16.03,13.81,13.66,14.91,14.88,13.94,14.75,17.75,19.69,19.06,17.97,18.03,17.72,14.81,11.84,11.41,12.16,11.28,9.97,10.84,14.16,16.44,17.66,19.66,23.38,25.56,25.22,25.19,27.34,29.78,29.91,29.44,30.41,31.91,30.53,28.38,27.06,27.44,26.22,23.03,20.38,20.16,19.5,17.16,15.44,16.0,17.47,16.03,13.88,13.75,14.62,13.69,11.78,11.47,13.03,13.81,13.12,13.59,17.09,20.5,21.84,22.53,24.97,27.06,25.78,23.16,22.16,22.31,21.19,19.06,18.78,21.06,22.72,22.34,22.31,24.59,26.59,26.19,25.66,27.81,30.78,31.84,31.41,31.72,32.31,30.59,26.59,23.44,22.72,22.19,19.78,17.88,18.0,17.91,15.5,12.25,11.19,11.78,10.69,8.69,8.41,9.22,8.5,6.06,4.34,5.47,7.0,7.38,8.44,12.44,16.69,18.91,19.56,21.88,24.62,25.03,23.34,21.69,21.25,19.34,15.56,12.53,12.25,11.88,10.25,8.59,9.31,11.38,11.66,10.81,11.06,12.59,12.38,10.78,10.41,12.19,13.66,13.19,12.94,15.09,17.59,18.0,17.62,19.03,21.03,20.44,18.47,18.0,18.91,18.44,16.0,14.16,14.38,13.91,11.31,8.91,9.09,9.88,8.97,7.16,7.81,9.0,8.44,6.56,5.78,7.19,7.72,6.97,7.19,10.19,13.34,14.91,15.94,19.03,22.16,22.34,20.88,20.62,21.34,20.41,17.53,16.06,16.34,16.31,13.84,12.31,13.31,14.28,13.28,11.44,11.91,13.19,12.66,10.88,10.62,12.0,12.38,10.69,10.41,12.91,15.56,15.97,16.28,18.31,19.19,16.78,12.5,10.56,9.97,8.44,6.62,7.59,10.78,13.81,15.28,17.16,21.16,23.91,23.38,21.28,20.88,20.56,18.5,15.28,14.28,15.03,14.12,11.69,10.59,11.53,11.81,10.41,9.66,11.97,14.81,15.34,15.69,18.0,20.81,21.56,19.56,18.78,18.19,15.22,9.34,4.72,2.66,1.16,-1.66,-2.81,-0.5,2.91,4.59,5.78,9.06,12.78,14.94,14.97,16.62,19.47,20.97,19.19,17.84,18.31,18.19,15.28,12.25,11.69,11.25,8.69,5.72,5.31,6.44,6.66,5.69,7.28,10.75,13.91,14.91,16.31,20.12,23.56,23.84,23.59,24.78,26.5,25.53,23.66,23.31,24.16,22.88,18.5,15.16,13.31,10.81,6.56,3.47,3.41,4.66,4.03,3.47,5.31,8.19,9.22,9.0,10.34,13.16,14.91,14.0,14.06,15.69,16.44,14.0,11.25,10.97,10.94,8.5,5.75,5.38,6.16,4.88,2.06,0.62,0.53,-0.91,-4.59,-7.44,-7.62,-7.31,-8.44,-8.72,-5.97,-1.72,-0.06,0.59,3.03,6.5,7.97,7.53,7.5,9.03,9.53,7.38,5.94,7.25,9.0,8.34,7.19,7.16,7.5,5.06,1.28,-0.41,0.22,0.16,-1.5,-2.28,-0.84,-0.09,-1.75,-2.19,0.72,5.28,7.38,8.66,11.06,13.38,12.22,9.0,6.84,6.31,5.03,2.44,1.31,2.94,5.03,4.5,3.56,4.78,6.66,5.88,4.44,5.12,7.41,7.94,7.19,7.19,9.16,10.22,9.38,9.34,11.88,15.19,16.09,17.06,20.47,24.62,25.56,24.53,24.34,24.69,23.75,21.47,20.78,22.97,24.75,23.94,22.62,23.25,23.12,19.38,14.53,12.09,10.69,7.97,4.38,3.31,4.44,4.62,3.53,3.88,6.56,8.56,7.72,6.34,7.31,8.28,6.66,4.09,3.16,3.47,1.41,-1.75,-3.53,-2.81,-2.81,-4.62,-5.5,-3.78,-1.97,-2.69,-3.06,-1.19,1.44,1.41,0.16,0.69,2.81,2.59,1.22,1.47,3.25,4.78,3.84,3.31,5.44,7.34,7.22,6.78,8.91,11.84,12.03,10.03,8.75,7.75,4.62,-0.22,-4.03,-4.88,-5.78,-8.09,-9.41,-7.0,-2.97,-0.38,2.22,7.38,12.75,14.94,14.88,14.31,14.84,13.59,10.22,7.78,8.22,8.47,6.53,4.44,4.78,5.62,4.06,1.47,1.03,1.97,1.19,-0.84,-2.0,-1.16,-1.25,-2.94,-4.09,-1.94,0.69,1.38,1.44,3.78,6.03,5.62,3.28,2.34,2.78,1.88,0.06,-0.09,2.75,4.72,4.53,3.69,4.28,4.38,2.41,-0.53,-0.66,0.12,-0.62,-3.22,-4.69,-4.5,-5.88,-8.94,-10.91,-10.47,-9.59,-10.53,-10.94,-8.66,-5.75,-4.78,-4.84,-2.72,1.16,3.34,4.06,6.0,9.16,10.44,8.78,6.88,6.81,6.0,2.47,-1.31,-2.66,-3.34,-5.34,-8.16,-8.66,-7.69,-8.28,-10.78,-11.94,-11.28,-10.62,-11.53,-11.5,-8.09,-4.25,-1.91,0.41,4.62,9.28,11.19,10.31,9.38,8.53,5.31,-0.66,-6.0,-8.72,-11.38,-15.25,-18.03,-17.25,-14.62,-13.19,-11.88,-8.25,-3.94,-2.0,-2.28,-1.81,0.19,1.31,0.72,1.5,5.22,9.38,11.69,13.81,17.75,20.62,19.66,14.84,9.75,4.0,-3.34,-11.75,-17.44,-18.59,-18.19,-17.91,-16.03,-11.12,-6.28,-4.47,-4.19,-2.56,-1.12,-1.88,-3.94,-3.75,-1.81,-1.09,-2.19,-2.78,-1.88,-1.66,-3.41,-5.41,-4.72,-4.25,-5.81,-8.72,-9.72,-10.03,-10.28,-10.84,-8.56,-2.78,2.59,5.78,9.0,13.25,15.81,14.66,12.72,12.06,11.88,8.88,3.81,-0.44,-5.25,-11.84,-19.97,-26.16,-29.06,-30.75,-32.62,-32.59,-28.94,-23.44,-20.09,-16.81,-11.31,-5.56,-1.72,-0.06,2.38,5.0,5.78,3.41,1.5,1.69,1.47,-0.88,-3.12,-3.16,-2.75,-4.91,-7.56,-7.72,-6.5,-7.25,-9.62,-11.25,-11.94,-13.47,-16.62,-18.19,-17.28,-15.84,-16.66,-17.47,-16.31,-14.44,-14.81,-16.5,-16.53,-15.56,-15.0,-15.44,-13.66,-9.75,-5.75,-4.06,-2.03,1.75,5.06,5.09,3.0,1.53,-0.31,-4.69,-10.5,-14.44,-16.31,-18.62,-22.09,-23.16,-22.0,-20.38,-21.34,-21.56,-19.47,-16.62,-15.34,-14.5,-11.53,-7.44,-5.0,-3.88,-2.25,0.41,0.81,-1.94,-5.47,-7.44,-9.62,-13.91,-17.59,-19.28,-19.81,-22.06,-24.25,-23.94,-20.72,-17.28,-14.44,-10.06,-3.97,0.59,1.91,3.12,5.41,7.41,6.66,5.34,5.75,7.16,6.75,4.5,3.12,2.38,-0.5,-5.03,-8.19,-8.56,-8.09,-9.25,-10.38,-8.97,-7.38,-8.31,-9.53,-8.84,-6.12,-5.38,-4.81,-2.53,1.09,3.88,4.12,4.59,6.16,6.56,3.97,0.75,-1.0,-1.72,-4.28,-6.5,-6.88,-5.62,-5.72,-7.28,-8.62,-8.25,-8.59,-11.34,-13.53,-13.0,-11.28,-11.34,-11.22,-9.19,-6.59,-6.25,-7.06,-6.31,-4.22,-2.91,-3.69,-3.66,-1.88,-0.56,-1.5,-2.31,-0.44,1.88,2.12,1.75,2.84,4.25,3.59,1.59,0.62,1.66,1.94,0.31,-1.56,-1.12,-1.25,-3.69,-6.09,-6.28,-5.28,-5.72,-7.06,-6.44,-3.78,-2.41,-2.88,-2.53,0.34,2.19,2.0,2.41,5.19,8.22,8.81,8.88,10.41,12.5,12.16,10.12,8.81,8.78,6.78,3.03,-0.25,-1.56,-3.25,-6.38,-9.16,-8.38,-5.97,-5.22,-4.97,-3.22,-1.0,-1.12,-2.84,-3.56,-2.25,-1.91,-3.44,-5.19,-4.41,-3.97,-5.47,-7.31,-6.91,-6.06,-7.28,-9.28,-9.88,-8.53,-8.03,-8.62,-8.62,-6.56,-5.44,-6.56,-7.69,-6.16,-4.91,-6.22,-8.34,-9.28,-9.91,-12.38,-15.84,-17.03,-15.59,-14.88,-15.09,-14.44,-11.34,-9.06,-9.16,-10.19,-9.81,-9.22,-10.53,-13.03,-13.09,-11.47,-10.81,-11.31,-9.94,-5.97,-2.09,0.12,2.97,7.84,11.31,11.81,10.56,10.94,10.91,8.75,4.91,2.0,0.0,-2.97,-7.44,-10.44,-10.28,-10.38,-12.09,-13.62,-12.31,-10.81,-11.41,-11.53,-9.19,-4.84,-2.22,-0.69,1.81,5.72,7.25,5.69,3.66,3.12,14.69,14.81,16.38,17.84,18.22,18.44,20.66,22.88,24.03,23.81,24.12,24.75,23.72,21.34,19.72,19.16,18.03,15.66,13.41,12.78,12.94,12.16,12.0,13.47,15.72,16.72,16.56,16.69:19.59,23.28,27.34,28.81,29.09,30.62,32.44,32.94,31.66,31.53,32.91,33.25,30.72,28.56,28.0,27.38,24.44,21.53,21.25,21.75,20.69,18.72,18.88,20.38,20.69,19.31,19.62,21.22,22.0,20.5,19.0,19.5,19.81,17.69,14.78,14.31,15.53,15.72,15.34,16.41,18.84,19.62,18.19,17.72,19.53,21.81,22.09,22.12,24.34,26.81,26.5,25.25,25.69,27.03,26.97,25.22,24.97,26.25,26.69,25.22,24.5,25.97,27.5,26.22,25.22,26.09,27.44,26.34,24.34,23.81,24.06,22.84,19.72,17.53,17.03,16.03,12.94,9.91,9.66,10.12,9.06,9.06,11.75,16.16,18.81,20.03,22.44,26.06,27.44,26.19,25.41,26.25,26.5,24.62,23.62,24.72,26.03,24.59,22.72,22.12,22.22,20.62,18.09,17.03,18.44,20.06,19.69,20.5,22.94,25.03,24.28,23.19,24.06,25.5,24.53,23.06,23.22,24.81,25.06,23.97,23.66,25.06,25.47,23.22,21.38,21.75,21.53,18.44,14.72,13.41,13.44,13.06,12.78,15.06,19.31,22.19,22.97,24.06,26.41,28.03,27.12,26.59,29.03,31.84,32.09,31.47,31.69,32.09,30.12,27.09,25.59,25.97,24.97,22.34,20.5,21.22,21.41,19.47,17.56,17.47,17.78,16.03,13.81,13.66,14.91,14.88,13.94,14.75,17.75,19.69,19.06,17.97,18.03,17.72,14.81,11.84,11.41,12.16,11.28,9.97,10.84,14.16,16.44,17.66,19.66,23.38,25.56,25.22,25.19,27.34,29.78,29.91,29.44,30.41,31.91,30.53,28.38,27.06,27.44,26.22,23.03,20.38,20.16,19.5,17.16,15.44,16.0,17.47,16.03,13.88,13.75,14.62,13.69,11.78,11.47,13.03,13.81,13.12,13.59,17.09,20.5,21.84,22.53,24.97,27.06,25.78,23.16,22.16,22.31,21.19,19.06,18.78,21.06,22.72,22.34,22.31,24.59,26.59,26.19,25.66,27.81,30.78,31.84,31.41,31.72,32.31,30.59,26.59,23.44,22.72,22.19,19.78,17.88,18.0,17.91,15.5,12.25,11.19,11.78,10.69,8.69,8.41,9.22,8.5,6.06,4.34,5.47,7.0,7.38,8.44,12.44,16.69,18.91,19.56,21.88,24.62,25.03,23.34,21.69,21.25,19.34,15.56,12.53,12.25,11.88,10.25,8.59,9.31,11.38,11.66,10.81,11.06,12.59,12.38,10.78,10.41,12.19,13.66,13.19,12.94,15.09,17.59,18.0,17.62,19.03,21.03,20.44,18.47,18.0,18.91,18.44,16.0,14.16,14.38,13.91,11.31,8.91,9.09,9.88,8.97,7.16,7.81,9.0,8.44,6.56,5.78,7.19,7.72,6.97,7.19,10.19,13.34,14.91,15.94,19.03,22.16,22.34,20.88,20.62,21.34,20.41,17.53,16.06,16.34,16.31,13.84,12.31,13.31,14.28,13.28,11.44,11.91,13.19,12.66,10.88,10.62,12.0,12.38,10.69,10.41,12.91,15.56,15.97,16.28,18.31,19.19,16.78,12.5,10.56,9.97,8.44,6.62,7.59,10.78,13.81,15.28,17.16,21.16,23.91,23.38,21.28,20.88,20.56,18.5,15.28,14.28,15.03,14.12,11.69,10.59,11.53,11.81,10.41,9.66,11.97,14.81,15.34,15.69,18.0,20.81,21.56,19.56,18.78,18.19,15.22,9.34,4.72,2.66,1.16,-1.66,-2.81,-0.5,2.91,4.59,5.78,9.06,12.78,14.94,14.97,16.62,19.47,20.97,19.19,17.84,18.31,18.19,15.28,12.25,11.69,11.25,8.69,5.72,5.31,6.44,6.66,5.69,7.28,10.75,13.91,14.91,16.31,20.12,23.56,23.84,23.59,24.78,26.5,25.53,23.66,23.31,24.16,22.88,18.5,15.16,13.31,10.81,6.56,3.47,3.41,4.66,4.03,3.47,5.31,8.19,9.22,9.0,10.34,13.16,14.91,14.0,14.06,15.69,16.44,14.0,11.25,10.97,10.94,8.5,5.75,5.38,6.16,4.88,2.06,0.62,0.53,-0.91,-4.59,-7.44,-7.62,-7.31,-8.44,-8.72,-5.97,-1.72,-0.06,0.59,3.03,6.5,7.97,7.53,7.5,9.03,9.53,7.38,5.94,7.25,9.0,8.34,7.19,7.16,7.5,5.06,1.28,-0.41,0.22,0.16,-1.5,-2.28,-0.84,-0.09,-1.75,-2.19,0.72,5.28,7.38,8.66,11.06,13.38,12.22,9.0,6.84,6.31,5.03,2.44,1.31,2.94,5.03,4.5,3.56,4.78,6.66,5.88,4.44,5.12,7.41,7.94,7.19,7.19,9.16,10.22,9.38,9.34,11.88,15.19,16.09,17.06,20.47,24.62,25.56,24.53,24.34,24.69,23.75,21.47,20.78,22.97,24.75,23.94,22.62,23.25,23.12,19.38,14.53,12.09,10.69,7.97,4.38,3.31,4.44,4.62,3.53,3.88,6.56,8.56,7.72,6.34,7.31,8.28,6.66,4.09,3.16,3.47,1.41,-1.75,-3.53,-2.81,-2.81,-4.62,-5.5,-3.78,-1.97,-2.69,-3.06,-1.19,1.44,1.41,0.16,0.69,2.81,2.59,1.22,1.47,3.25,4.78,3.84,3.31,5.44,7.34,7.22,6.78,8.91,11.84,12.03,10.03,8.75,7.75,4.62,-0.22,-4.03,-4.88,-5.78,-8.09,-9.41,-7.0,-2.97,-0.38,2.22,7.38,12.75,14.94,14.88,14.31,14.84,13.59,10.22,7.78,8.22,8.47,6.53,4.44,4.78,5.62,4.06,1.47,1.03,1.97,1.19,-0.84,-2.0,-1.16,-1.25,-2.94,-4.09,-1.94,0.69,1.38,1.44,3.78,6.03,5.62,3.28,2.34,2.78,1.88,0.06,-0.09,2.75,4.72,4.53,3.69,4.28,4.38,2.41,-0.53,-0.66,0.12,-0.62,-3.22,-4.69,-4.5,-5.88,-8.94,-10.91,-10.47,-9.59,-10.53,-10.94,-8.66,-5.75,-4.78,-4.84,-2.72,1.16,3.34,4.06,6.0,9.16,10.44,8.78,6.88,6.81,6.0,2.47,-1.31,-2.66,-3.34,-5.34,-8.16,-8.66,-7.69,-8.28,-10.78,-11.94,-11.28,-10.62,-11.53,-11.5,-8.09,-4.25,-1.91,0.41,4.62,9.28,11.19,10.31,9.38,8.53,5.31,-0.66,-6.0,-8.72,-11.38,-15.25,-18.03,-17.25,-14.62,-13.19,-11.88,-8.25,-3.94,-2.0,-2.28,-1.81,0.19,1.31,0.72,1.5,5.22,9.38,11.69,13.81,17.75,20.62,19.66,14.84,9.75,4.0,-3.34,-11.75,-17.44,-18.59,-18.19,-17.91,-16.03,-11.12,-6.28,-4.47,-4.19,-2.56,-1.12,-1.88,-3.94,-3.75,-1.81,-1.09,-2.19,-2.78,-1.88,-1.66,-3.41,-5.41,-4.72,-4.25,-5.81,-8.72,-9.72,-10.03,-10.28,-10.84,-8.56,-2.78,2.59,5.78,9.0,13.25,15.81,14.66,12.72,12.06,11.88,8.88,3.81,-0.44,-5.25,-11.84,-19.97,-26.16,-29.06,-30.75,-32.62,-32.59,-28.94,-23.44,-20.09,-16.81,-11.31,-5.56,-1.72,-0.06,2.38,5.0,5.78,3.41,1.5,1.69,1.47,-0.88,-3.12,-3.16,-2.75,-4.91,-7.56,-7.72,-6.5,-7.25,-9.62,-11.25,-11.94,-13.47,-16.62,-18.19,-17.28,-15.84,-16.66,-17.47,-16.31,-14.44,-14.81,-16.5,-16.53,-15.56,-15.0,-15.44,-13.66,-9.75,-5.75,-4.06,-2.03,1.75,5.06,5.09,3.0,1.53,-0.31,-4.69,-10.5,-14.44,-16.31,-18.62,-22.09,-23.16,-22.0,-20.38,-21.34,-21.56,-19.47,-16.62,-15.34,-14.5,-11.53,-7.44,-5.0,-3.88,-2.25,0.41,0.81,-1.94,-5.47,-7.44,-9.62,-13.91,-17.59,-19.28,-19.81,-22.06,-24.25,-23.94,-20.72,-17.28,-14.44,-10.06,-3.97,0.59,1.91,3.12,5.41,7.41,6.66,5.34,5.75,7.16,6.75,4.5,3.12,2.38,-0.5,-5.03,-8.19,-8.56,-8.09,-9.25,-10.38,-8.97,-7.38,-8.31,-9.53,-8.84,-6.12,-5.38,-4.81,-2.53,1.09,3.88,4.12,4.59,6.16,6.56,3.97,0.75,-1.0,-1.72,-4.28,-6.5,-6.88,-5.62,-5.72,-7.28,-8.62,-8.25,-8.59,-11.34,-13.53,-13.0,-11.28,-11.34,-11.22,-9.19,-6.59,-6.25,-7.06,-6.31,-4.22,-2.91,-3.69,-3.66,-1.88,-0.56,-1.5,-2.31,-0.44,1.88,2.12,1.75,2.84,4.25,3.59,1.59,0.62,1.66,1.94,0.31,-1.56,-1.12,-1.25,-3.69,-6.09,-6.28,-5.28,-5.72,-7.06,-6.44,-3.78,-2.41,-2.88,-2.53,0.34,2.19,2.0,2.41,5.19,8.22,8.81,8.88,10.41,12.5,12.16,10.12,8.81,8.78,6.78,3.03,-0.25,-1.56,-3.25,-6.38,-9.16,-8.38,-5.97,-5.22,-4.97,-3.22,-1.0,-1.12,-2.84,-3.56,-2.25,-1.91,-3.44,-5.19,-4.41,-3.97,-5.47,-7.31,-6.91,-6.06,-7.28,-9.28,-9.88,-8.53,-8.03,-8.62,-8.62,-6.56,-5.44,-6.56,-7.69,-6.16,-4.91,-6.22,-8.34,-9.28,-9.91,-12.38,-15.84,-17.03,-15.59,-14.88,-15.09,-14.44,-11.34,-9.06,-9.16,-10.19,-9.81,-9.22,-10.53,-13.03,-13.09,-11.47,-10.81,-11.31,-9.94,-5.97,-2.09,0.12,2.97,7.84,11.31,11.81,10.56,10.94,10.91,8.75,4.91,2.0,0.0,-2.97,-7.44,-10.44,-10.28,-10.38,-12.09,-13.62,-12.31,-10.81,-11.41,-11.53,-9.19,-4.84,-2.22,-0.69,1.81,5.72,7.25,5.69,3.66,3.12,14.69,14.81,16.38,17.84,18.22,18.44,20.66,22.88,24.03,23.81,24.12,24.75,23.72,21.34,19.72,19.16,18.03,15.66,13.41,12.78,12.94,12.16,12.0,13.47,15.72,16.72,16.56,16.69,16.91,16.16,13.44,11.53,11.28,11.44,10.78:32.94,31.66,31.53,32.91,33.25,30.72,28.56,28.0,27.38,24.44,21.53,21.25,21.75,20.69,18.72,18.88,20.38,20.69,19.31,19.62,21.22,22.0,20.5,19.0,19.5,19.81,17.69,14.78,14.31,15.53,15.72,15.34,16.41,18.84,19.62,18.19,17.72,19.53,21.81,22.09,22.12,24.34,26.81,26.5,25.25,25.69,27.03,26.97,25.22,24.97,26.25,26.69,25.22,24.5,25.97,27.5,26.22,25.22,26.09,27.44,26.34,24.34,23.81,24.06,22.84,19.72,17.53,17.03,16.03,12.94,9.91,9.66,10.12,9.06,9.06,11.75,16.16,18.81,20.03,22.44,26.06,27.44,26.19,25.41,26.25,26.5,24.62,23.62,24.72,26.03,24.59,22.72,22.12,22.22,20.62,18.09,17.03,18.44,20.06,19.69,20.5,22.94,25.03,24.28,23.19,24.06,25.5,24.53,23.06,23.22,24.81,25.06,23.97,23.66,25.06,25.47,23.22,21.38,21.75,21.53,18.44,14.72,13.41,13.44,13.06,12.78,15.06,19.31,22.19,22.97,24.06,26.41,28.03,27.12,26.59,29.03,31.84,32.09,31.47,31.69,32.09,30.12,27.09,25.59,25.97,24.97,22.34,20.5,21.22,21.41,19.47,17.56,17.47,17.78,16.03,13.81,13.66,14.91,14.88,13.94,14.75,17.75,19.69,19.06,17.97,18.03,17.72,14.81,11.84,11.41,12.16,11.28,9.97,10.84,14.16,16.44,17.66,19.66,23.38,25.56,25.22,25.19,27.34,29.78,29.91,29.44,30.41,31.91,30.53,28.38,27.06,27.44,26.22,23.03,20.38,20.16,19.5,17.16,15.44,16.0,17.47,16.03,13.88,13.75,14.62,13.69,11.78,11.47,13.03,13.81,13.12,13.59,17.09,20.5,21.84,22.53,24.97,27.06,25.78,23.16,22.16,22.31,21.19,19.06,18.78,21.06,22.72,22.34,22.31,24.59,26.59,26.19,25.66,27.81,30.78,31.84,31.41,31.72,32.31,30.59,26.59,23.44,22.72,22.19,19.78,17.88,18.0,17.91,15.5,12.25,11.19,11.78,10.69,8.69,8.41,9.22,8.5,6.06,4.34,5.47,7.0,7.38,8.44,12.44,16.69,18.91,19.56,21.88,24.62,25.03,23.34,21.69,21.25,19.34,15.56,12.53,12.25,11.88,10.25,8.59,9.31,11.38,11.66,10.81,11.06,12.59,12.38,10.78,10.41,12.19,13.66,13.19,12.94,15.09,17.59,18.0,17.62,19.03,21.03,20.44,18.47,18.0,18.91,18.44,16.0,14.16,14.38,13.91,11.31,8.91,9.09,9.88,8.97,7.16,7.81,9.0,8.44,6.56,5.78,7.19,7.72,6.97,7.19,10.19,13.34,14.91,15.94,19.03,22.16,22.34,20.88,20.62,21.34,20.41,17.53,16.06,16.34,16.31,13.84,12.31,13.31,14.28,13.28,11.44,11.91,13.19,12.66,10.88,10.62,12.0,12.38,10.69,10.41,12.91,15.56,15.97,16.28,18.31,19.19,16.78,12.5,10.56,9.97,8.44,6.62,7.59,10.78,13.81,15.28,17.16,21.16,23.91,23.38,21.28,20.88,20.56,18.5,15.28,14.28,15.03,14.12,11.69,10.59,11.53,11.81,10.41,9.66,11.97,14.81,15.34,15.69,18.0,20.81,21.56,19.56,18.78,18.19,15.22,9.34,4.72,2.66,1.16,-1.66,-2.81,-0.5,2.91,4.59,5.78,9.06,12.78,14.94,14.97,16.62,19.47,20.97,19.19,17.84,18.31,18.19,15.28,12.25,11.69,11.25,8.69,5.72,5.31,6.44,6.66,5.69,7.28,10.75,13.91,14.91,16.31,20.12,23.56,23.84,23.59,24.78,26.5,25.53,23.66,23.31,24.16,22.88,18.5,15.16,13.31,10.81,6.56,3.47,3.41,4.66,4.03,3.47,5.31,8.19,9.22,9.0,10.34,13.16,14.91,14.0,14.06,15.69,16.44,14.0,11.25,10.97,10.94,8.5,5.75,5.38,6.16,4.88,2.06,0.62,0.53,-0.91,-4.59,-7.44,-7.62,-7.31,-8.44,-8.72,-5.97,-1.72,-0.06,0.59,3.03,6.5,7.97,7.53,7.5,9.03,9.53,7.38,5.94,7.25,9.0,8.34,7.19,7.16,7.5,5.06,1.28,-0.41,0.22,0.16,-1.5,-2.28,-0.84,-0.09,-1.75,-2.19,0.72,5.28,7.38,8.66,11.06,13.38,12.22,9.0,6.84,6.31,5.03,2.44,1.31,2.94,5.03,4.5,3.56,4.78,6.66,5.88,4.44,5.12,7.41,7.94,7.19,7.19,9.16,10.22,9.38,9.34,11.88,15.19,16.09,17.06,20.47,24.62,25.56,24.53,24.34,24.69,23.75,21.47,20.78,22.97,24.75,23.94,22.62,23.25,23.12,19.38,14.53,12.09,10.69,7.97,4.38,3.31,4.44,4.62,3.53,3.88,6.56,8.56,7.72,6.34,7.31,8.28,6.66,4.09,3.16,3.47,1.41,-1.75,-3.53,-2.81,-2.81,-4.62,-5.5,-3.78,-1.97,-2.69,-3.06,-1.19,1.44,1.41,0.16,0.69,2.81,2.59,1.22,1.47,3.25,4.78,3.84,3.31,5.44,7.34,7.22,6.78,8.91,11.84,12.03,10.03,8.75,7.75,4.62,-0.22,-4.03,-4.88,-5.78,-8.09,-9.41,-7.0,-2.97,-0.38,2.22,7.38,12.75,14.94,14.88,14.31,14.84,13.59,10.22,7.78,8.22,8.47,6.53,4.44,4.78,5.62,4.06,1.47,1.03,1.97,1.19,-0.84,-2.0,-1.16,-1.25,-2.94,-4.09,-1.94,0.69,1.38,1.44,3.78,6.03,5.62,3.28,2.34,2.78,1.88,0.06,-0.09,2.75,4.72,4.53,3.69,4.28,4.38,2.41,-0.53,-0.66,0.12,-0.62,-3.22,-4.69,-4.5,-5.88,-8.94,-10.91,-10.47,-9.59,-10.53,-10.94,-8.66,-5.75,-4.78,-4.84,-2.72,1.16,3.34,4.06,6.0,9.16,10.44,8.78,6.88,6.81,6.0,2.47,-1.31,-2.66,-3.34,-5.34,-8.16,-8.66,-7.69,-8.28,-10.78,-11.94,-11.28,-10.62,-11.53,-11.5,-8.09,-4.25,-1.91,0.41,4.62,9.28,11.19,10.31,9.38,8.53,5.31,-0.66,-6.0,-8.72,-11.38,-15.25,-18.03,-17.25,-14.62,-13.19,-11.88,-8.25,-3.94,-2.0,-2.28,-1.81,0.19,1.31,0.72,1.5,5.22,9.38,11.69,13.81,17.75,20.62,19.66,14.84,9.75,4.0,-3.34,-11.75,-17.44,-18.59,-18.19,-17.91,-16.03,-11.12,-6.28,-4.47,-4.19,-2.56,-1.12,-1.88,-3.94,-3.75,-1.81,-1.09,-2.19,-2.78,-1.88,-1.66,-3.41,-5.41,-4.72,-4.25,-5.81,-8.72,-9.72,-10.03,-10.28,-10.84,-8.56,-2.78,2.59,5.78,9.0,13.25,15.81,14.66,12.72,12.06,11.88,8.88,3.81,-0.44,-5.25,-11.84,-19.97,-26.16,-29.06,-30.75,-32.62,-32.59,-28.94,-23.44,-20.09,-16.81,-11.31,-5.56,-1.72,-0.06,2.38,5.0,5.78,3.41,1.5,1.69,1.47,-0.88,-3.12,-3.16,-2.75,-4.91,-7.56,-7.72,-6.5,-7.25,-9.62,-11.25,-11.94,-13.47,-16.62,-18.19,-17.28,-15.84,-16.66,-17.47,-16.31,-14.44,-14.81,-16.5,-16.53,-15.56,-15.0,-15.44,-13.66,-9.75,-5.75,-4.06,-2.03,1.75,5.06,5.09,3.0,1.53,-0.31,-4.69,-10.5,-14.44,-16.31,-18.62,-22.09,-23.16,-22.0,-20.38,-21.34,-21.56,-19.47,-16.62,-15.34,-14.5,-11.53,-7.44,-5.0,-3.88,-2.25,0.41,0.81,-1.94,-5.47,-7.44,-9.62,-13.91,-17.59,-19.28,-19.81,-22.06,-24.25,-23.94,-20.72,-17.28,-14.44,-10.06,-3.97,0.59,1.91,3.12,5.41,7.41,6.66,5.34,5.75,7.16,6.75,4.5,3.12,2.38,-0.5,-5.03,-8.19,-8.56,-8.09,-9.25,-10.38,-8.97,-7.38,-8.31,-9.53,-8.84,-6.12,-5.38,-4.81,-2.53,1.09,3.88,4.12,4.59,6.16,6.56,3.97,0.75,-1.0,-1.72,-4.28,-6.5,-6.88,-5.62,-5.72,-7.28,-8.62,-8.25,-8.59,-11.34,-13.53,-13.0,-11.28,-11.34,-11.22,-9.19,-6.59,-6.25,-7.06,-6.31,-4.22,-2.91,-3.69,-3.66,-1.88,-0.56,-1.5,-2.31,-0.44,1.88,2.12,1.75,2.84,4.25,3.59,1.59,0.62,1.66,1.94,0.31,-1.56,-1.12,-1.25,-3.69,-6.09,-6.28,-5.28,-5.72,-7.06,-6.44,-3.78,-2.41,-2.88,-2.53,0.34,2.19,2.0,2.41,5.19,8.22,8.81,8.88,10.41,12.5,12.16,10.12,8.81,8.78,6.78,3.03,-0.25,-1.56,-3.25,-6.38,-9.16,-8.38,-5.97,-5.22,-4.97,-3.22,-1.0,-1.12,-2.84,-3.56,-2.25,-1.91,-3.44,-5.19,-4.41,-3.97,-5.47,-7.31,-6.91,-6.06,-7.28,-9.28,-9.88,-8.53,-8.03,-8.62,-8.62,-6.56,-5.44,-6.56,-7.69,-6.16,-4.91,-6.22,-8.34,-9.28,-9.91,-12.38,-15.84,-17.03,-15.59,-14.88,-15.09,-14.44,-11.34,-9.06,-9.16,-10.19,-9.81,-9.22,-10.53,-13.03,-13.09,-11.47,-10.81,-11.31,-9.94,-5.97,-2.09,0.12,2.97,7.84,11.31,11.81,10.56,10.94,10.91,8.75,4.91,2.0,0.0,-2.97,-7.44,-10.44,-10.28,-10.38,-12.09,-13.62,-12.31,-10.81,-11.41,-11.53,-9.19,-4.84,-2.22,-0.69,1.81,5.72,7.25,5.69,3.66,3.12,14.69,14.81,16.38,17.84,18.22,18.44,20.66,22.88,24.03,23.81,24.12,24.75,23.72,21.34,19.72,19.16,18.03,15.66,13.41,12.78,12.94,12.16,12.0,13.47,15.72,16.72,16.56,16.69,16.91,16.16,13.44,11.53,11.28,11.44,10.78,10.84,13.0,15.97,17.44,18.62,20.97,24.03:positivity
16.31,16.12,17.16,20.12,21.53,20.94,20.66,22.25,23.06,20.72,17.97,17.34,16.94,14.34,11.25,10.56,11.62,11.91,11.22,12.5,16.12,18.38,18.06,17.44,18.16,17.97,15.41,12.09,11.69,13.16,13.53,13.41,15.38,18.91,20.12,18.44,16.72,16.69,15.72,12.47,9.47,10.19,11.47,10.84,9.5,10.44,12.62,12.94,11.78,12.59,15.28,16.56,15.62,15.62,18.38,20.91,20.81,20.22,21.38,22.06,20.84,18.03,17.53,18.84,19.0,17.5,17.41,18.81,18.94,15.91,12.75,11.78,11.0,8.16,5.59,5.94,7.62,7.69,6.53,6.88,8.62,9.44,8.09,8.09,11.03,13.22,13.19,12.56,14.12,15.59,14.19,11.44,11.44,12.69,13.03,12.25,13.56,16.97,19.53,19.0,19.34,22.0,24.0,23.09,21.78,22.47,23.19,20.94,17.53,16.06,15.72,13.59,10.16,7.72,7.59,7.38,5.34,4.5,6.72,9.44,10.19,10.72,13.72,17.06,18.44,17.59,17.5,18.34,17.78,15.06,13.66,14.59,15.38,13.69,12.38,13.06,14.59,14.0,12.62,13.69,15.84,17.0,16.44,17.22,19.91,21.66,21.03,20.69,22.0,23.47,22.22,20.28,20.53,21.47,19.94,17.47,17.25,18.78,19.34,18.22,18.34,19.81,20.34,18.09,16.25,16.75,17.81,16.28,14.25,14.25,15.62,15.0,13.19,13.41,14.75,14.34,11.22,8.78,8.72,7.94,5.06,2.66,2.66,3.66,2.94,1.81,2.62,4.59,4.38,1.88,0.47,0.72,0.19,-2.03,-2.28,0.09,3.38,4.12,5.03,7.59,10.78,11.38,10.62,11.22,12.84,12.34,9.62,7.72,7.97,7.84,5.69,4.03,4.62,5.09,3.03,0.5,0.19,1.16,0.88,-0.53,-0.25,1.81,3.25,2.22,1.75,3.5,5.41,4.81,4.66,7.25,10.84,11.88,12.03,13.69,16.44,16.69,15.47,15.03,16.41,16.88,14.53,12.66,12.66,12.62,9.97,7.09,6.72,6.88,5.72,3.94,4.34,6.72,8.06,8.12,8.91,12.0,14.41,14.03,13.5,14.59,16.16,14.91,13.19,13.31,13.97,12.88,9.97,7.97,8.12,7.56,5.53,4.31,6.19,8.31,8.47,8.91,11.03,14.22,14.69,13.78,14.47,16.5,17.06,15.94,15.5,16.69,17.5,16.53,16.69,20.28,24.53,26.19,26.41,27.06,27.06,23.31,17.75,13.62,11.62,9.88,7.66,7.12,9.66,11.75,10.81,8.91,8.81,8.72,6.38,4.03,3.88,5.53,5.62,4.44,4.06,5.69,6.34,5.16,4.91,7.84,10.94,12.12,12.75,14.66,16.56,15.41,12.81,11.84,12.84,12.28,10.0,8.78,9.09,8.84,6.59,4.59,5.53,6.78,5.81,4.31,4.56,5.59,5.0,3.19,3.03,5.03,5.69,4.25,3.44,4.91,6.69,6.34,5.97,8.59,11.41,11.81,10.72,11.5,12.69,12.16,9.94,8.72,9.62,9.97,8.59,8.34,11.22,14.25,14.91,15.09,16.5,17.62,15.62,11.25,8.22,6.72,4.0,0.5,-0.97,0.5,2.16,1.81,1.88,4.75,7.44,7.41,6.66,7.91,10.41,10.62,9.75,10.56,12.78,13.12,11.03,9.06,8.59,7.47,3.31,-0.97,-2.22,-2.56,-4.19,-6.09,-5.75,-4.19,-4.28,-6.44,-7.16,-5.53,-4.31,-4.69,-3.91,-0.41,2.81,3.88,4.09,6.88,10.53,12.59,13.59,16.19,20.0,21.62,20.31,18.72,17.59,14.78,8.62,1.88,-2.41,-6.12,-11.09,-15.38,-16.06,-14.16,-13.12,-13.31,-11.97,-9.31,-7.88,-8.56,-8.47,-5.41,-2.12,-1.25,-0.12,3.03,6.22,6.53,4.72,4.41,4.81,3.0,-1.0,-3.47,-3.84,-5.28,-8.31,-10.72,-9.91,-8.88,-10.41,-12.47,-12.09,-11.34,-11.84,-13.47,-12.44,-8.88,-5.44,-3.44,-0.31,4.72,8.53,8.75,8.19,9.53,10.69,9.28,7.0,7.22,8.34,7.62,4.75,2.78,1.72,-0.09,-4.34,-7.22,-6.38,-4.34,-3.5,-1.44,4.03,9.97,12.84,13.12,13.5,13.81,12.0,8.25,6.06,6.44,6.81,5.03,3.84,5.75,7.94,7.81,7.12,8.88,11.62,12.31,11.38,12.16,14.25,14.75,12.34,10.16,9.69,8.78,5.03,1.69,1.56,1.62,-0.09,-2.5,-2.53,-0.56,-0.09,-0.75,-0.34,1.69,2.38,0.16,-0.53,1.84,5.25,6.91,8.81,12.19,15.84,15.84,13.25,12.16,11.78,9.12,4.12,0.06,-2.09,-4.62,-9.06,-11.59,-10.06,-6.84,-4.78,-2.16,2.69,8.91,12.5,14.59,18.56,23.28,25.69,24.59,23.22,22.97,21.72,17.41,13.22,11.5,10.5,7.38,4.0,3.31,4.19,3.19,0.81,-0.03,1.28,1.56,-0.22,-2.16,-1.62,-1.78,-4.56,-7.19,-6.44,-3.75,-2.91,-2.28,0.28,4.25,6.12,5.44,5.09,6.28,6.41,4.22,2.53,3.84,6.12,5.97,5.12,6.59,8.62,8.75,7.59,8.22,11.22,13.22,12.94,13.78,16.47,18.41,17.44,15.78,16.16,16.88,14.78,11.41,10.47,10.56,9.03,6.5,5.28,6.88,7.94,7.28,7.28,10.09,12.5,11.81,10.41,11.47,13.16,12.53,11.03,11.28,13.75,15.0,14.66,15.78,19.09,21.09,20.31,19.12,19.66,19.81,17.28,14.38,14.12,15.28,14.22,11.78,10.66,11.0,10.22,8.56,8.19,11.09,14.0,13.88,13.31,14.44,15.81,14.59,12.56,13.28,15.31,15.72,14.41,14.16,15.62,15.97,14.0,12.66,14.5,16.84,16.66,15.88,17.31,19.06,18.06,15.41,14.41,15.25,15.03,13.72,14.47,18.53,22.0,22.94,23.38,25.81,27.66,26.28,23.81,23.22,23.75,22.44,19.69,18.81,19.91,19.78,17.5,15.84,16.41,16.75,14.28,11.44,11.91,13.34,13.09,12.81,14.56,17.34,18.03,16.31,15.38,16.41,15.94,12.91,10.66,11.31,12.19,11.34,10.06,11.88,14.03,14.03,12.62,13.47,15.62,16.25,14.62,13.72,14.72,14.34,11.5,9.16,9.81,10.81,10.0,8.56,9.88,12.09,12.38,11.88,12.47,14.28,14.69,13.09,11.72,12.91,13.88,12.22,10.41,10.69,11.75,11.09,9.81,11.28,14.38,16.31,16.69,17.75,20.0,20.16,17.25,14.66,14.94,15.94,15.72,15.44,18.0,21.06,21.81,20.81,21.41,23.53,23.72,21.81,20.59,21.75,21.91,19.66,17.62,18.31,19.34,18.0,15.88,15.94,16.91,15.94,13.66,12.78,14.12,14.81,13.16,12.41,14.12,15.34,14.12,12.22,12.66,13.66,12.31,9.69,9.84,11.31,11.16,9.03,7.97,8.16,7.78,5.62,4.69,6.88,9.41,9.62,8.97,10.56,12.38,12.16,11.09,11.69,13.88,14.97,13.97,14.16,16.38,17.53,16.25,14.78,15.56,16.34,14.97,13.28,14.31,16.38,17.16,16.41,17.03,18.88,19.12,17.62,16.78,17.75,18.94,17.44,15.81,16.41,17.22,15.47,12.5,10.84,10.41,8.81,6.41,6.16,8.81,11.81,12.84,14.75,18.59,21.97,21.5,19.81,19.56,19.91,18.31,15.62,14.47,14.97,14.09,11.28,9.31,9.72,10.06,8.0,6.56,7.94,10.06,10.09,9.38,10.97,14.19,15.66,15.78,17.22,19.5,20.22,17.94,15.84,16.16,16.78,15.31,14.0,15.62,17.72,17.84,17.47,19.31,22.94,24.91,24.84,25.31,26.53,26.22,22.47,19.0,17.72,17.0,14.62,13.03,14.22,16.59,16.72,15.22,14.69,15.38,14.56,12.28,11.28,12.97,14.69,14.62,15.28,18.56,22.06,21.97,20.56,19.69,19.62,18.25,16.31,16.78,20.34,23.69,24.31,25.59,28.28,29.75,28.19,25.78,25.09,25.47,23.81,21.62,21.41,22.53,21.84,19.97,18.97,20.41,21.22,20.38,19.97,21.81,23.75,23.59,22.53,23.69,26.09,25.94,24.72,24.31,25.16,24.62,22.62,22.0,24.0,26.09,26.19,26.16,27.88,29.78,28.44,25.88,24.72,24.91,23.97,23.0,24.34,28.19,31.19,31.12,30.84,31.88,32.41,30.34,28.28,28.88,30.84,31.12,30.81,31.75,33.44,32.59,29.69,27.44,27.72,27.84,26.31,25.12,26.56,28.16,27.59,26.22,26.69,27.66,26.09,23.22,21.69,22.28,22.25,21.25,21.22,23.72,25.75,24.94,23.94,24.91,26.31,25.59,24.25,24.91,27.31,27.59,26.5,26.47,27.41,27.16,24.31,21.75,21.88,22.47,21.44,20.72,22.75,25.72,26.12,24.91,24.53,25.28,24.12,21.28,19.53,20.41,20.88,19.12,17.47,18.12,18.41,16.5,14.16,14.81,17.25,18.97,19.97,22.12,25.59,27.66,27.12,26.69,28.53,29.66,28.22,26.5,27.47,28.81,28.03,26.25,26.25,27.22,26.22,23.5,22.0,22.66,23.31,22.12,21.62,23.62,25.44,24.47,22.75,23.25,24.66,24.41,22.59,23.09,25.06,25.56,23.97,23.38,24.69,25.19,23.12,21.19,21.75,22.12,20.0,17.53,17.47,18.62,18.56,17.25,17.41,19.09,19.88,18.91,19.03,22.12,24.62,25.0,24.5,26.41,28.0,27.06,25.25,25.38,27.16,26.88,25.22,24.88,26.53,27.31,26.19,25.84,27.62,29.28,28.5,26.91,27.53,28.88,28.0,25.91,26.16,28.44,29.28,27.97,28.06,30.31,32.03,30.94,30.31,31.5,31.94,29.56,26.41:22.25,23.06,20.72,17.97,17.34,16.94,14.34,11.25,10.56,11.62,11.91,11.22,12.5,16.12,18.38,18.06,17.44,18.16,17.97,15.41,12.09,11.69,13.16,13.53,13.41,15.38,18.91,20.12,18.44,16.72,16.69,15.72,12.47,9.47,10.19,11.47,10.84,9.5,10.44,12.62,12.94,11.78,12.59,15.28,16.56,15.62,15.62,18.38,20.91,20.81,20.22,21.38,22.06,20.84,18.03,17.53,18.84,19.0,17.5,17.41,18.81,18.94,15.91,12.75,11.78,11.0,8.16,5.59,5.94,7.62,7.69,6.53,6.88,8.62,9.44,8.09,8.09,11.03,13.22,13.19,12.56,14.12,15.59,14.19,11.44,11.44,12.69,13.03,12.25,13.56,16.97,19.53,19.0,19.34,22.0,24.0,23.09,21.78,22.47,23.19,20.94,17.53,16.06,15.72,13.59,10.16,7.72,7.59,7.38,5.34,4.5,6.72,9.44,10.19,10.72,13.72,17.06,18.44,17.59,17.5,18.34,17.78,15.06,13.66,14.59,15.38,13.69,12.38,13.06,14.59,14.0,12.62,13.69,15.84,17.0,16.44,17.22,19.91,21.66,21.03,20.69,22.0,23.47,22.22,20.28,20.53,21.47,19.94,17.47,17.25,18.78,19.34,18.22,18.34,19.81,20.34,18.09,16.25,16.75,17.81,16.28,14.25,14.25,15.62,15.0,13.19,13.41,14.75,14.34,11.22,8.78,8.72,7.94,5.06,2.66,2.66,3.66,2.94,1.81,2.62,4.59,4.38,1.88,0.47,0.72,0.19,-2.03,-2.28,0.09,3.38,4.12,5.03,7.59,10.78,11.38,10.62,11.22,12.84,12.34,9.62,7.72,7.97,7.84,5.69,4.03,4.62,5.09,3.03,0.5,0.19,1.16,0.88,-0.53,-0.25,1.81,3.25,2.22,1.75,3.5,5.41,4.81,4.66,7.25,10.84,11.88,12.03,13.69,16.44,16.69,15.47,15.03,16.41,16.88,14.53,12.66,12.66,12.62,9.97,7.09,6.72,6.88,5.72,3.94,4.34,6.72,8.06,8.12,8.91,12.0,14.41,14.03,13.5,14.59,16.16,14.91,13.19,13.31,13.97,12.88,9.97,7.97,8.12,7.56,5.53,4.31,6.19,8.31,8.47,8.91,11.03,14.22,14.69,13.78,14.47,16.5,17.06,15.94,15.5,16.69,17.5,16.53,16.69,20.28,24.53,26.19,26.41,27.06,27.06,23.31,17.75,13.62,11.62,9.88,7.66,7.12,9.66,11.75,10.81,8.91,8.81,8.72,6.38,4.03,3.88,5.53,5.62,4.44,4.06,5.69,6.34,5.16,4.91,7.84,10.94,12.12,12.75,14.66,16.56,15.41,12.81,11.84,12.84,12.28,10.0,8.78,9.09,8.84,6.59,4.59,5.53,6.78,5.81,4.31,4.56,5.59,5.0,3.19,3.03,5.03,5.69,4.25,3.44,4.91,6.69,6.34,5.97,8.59,11.41,11.81,10.72,11.5,12.69,12.16,9.94,8.72,9.62,9.97,8.59,8.34,11.22,14.25,14.91,15.09,16.5,17.62,15.62,11.25,8.22,6.72,4.0,0.5,-0.97,0.5,2.16,1.81,1.88,4.75,7.44,7.41,6.66,7.91,10.41,10.62,9.75,10.56,12.78,13.12,11.03,9.06,8.59,7.47,3.31,-0.97,-2.22,-2.56,-4.19,-6.09,-5.75,-4.19,-4.28,-6.44,-7.16,-5.53,-4.31,-4.69,-3.91,-0.41,2.81,3.88,4.09,6.88,10.53,12.59,13.59,16.19,20.0,21.62,20.31,18.72,17.59,14.78,8.62,1.88,-2.41,-6.12,-11.09,-15.38,-16.06,-14.16,-13.12,-13.31,-11.97,-9.31,-7.88,-8.56,-8.47,-5.41,-2.12,-1.25,-0.12,3.03,6.22,6.53,4.72,4.41,4.81,3.0,-1.0,-3.47,-3.84,-5.28,-8.31,-10.72,-9.91,-8.88,-10.41,-12.47,-12.09,-11.34,-11.84,-13.47,-12.44,-8.88,-5.44,-3.44,-0.31,4.72,8.53,8.75,8.19,9.53,10.69,9.28,7.0,7.22,8.34,7.62,4.75,2.78,1.72,-0.09,-4.34,-7.22,-6.38,-4.34,-3.5,-1.44,4.03,9.97,12.84,13.12,13.5,13.81,12.0,8.25,6.06,6.44,6.81,5.03,3.84,5.75,7.94,7.81,7.12,8.88,11.62,12.31,11.38,12.16,14.25,14.75,12.34,10.16,9.69,8.78,5.03,1.69,1.56,1.62,-0.09,-2.5,-2.53,-0.56,-0.09,-0.75,-0.34,1.69,2.38,0.16,-0.53,1.84,5.25,6.91,8.81,12.19,15.84,15.84,13.25,12.16,11.78,9.12,4.12,0.06,-2.09,-4.62,-9.06,-11.59,-10.06,-6.84,-4.78,-2.16,2.69,8.91,12.5,14.59,18.56,23.28,25.69,24.59,23.22,22.97,21.72,17.41,13.22,11.5,10.5,7.38,4.0,3.31,4.19,3.19,0.81,-0.03,1.28,1.56,-0.22,-2.16,-1.62,-1.78,-4.56,-7.19,-6.44,-3.75,-2.91,-2.28,0.28,4.25,6.12,5.44,5.09,6.28,6.41,4.22,2.53,3.84,6.12,5.97,5.12,6.59,8.62,8.75,7.59,8.22,11.22,13.22,12.94,13.78,16.47,18.41,17.44,15.78,16.16,16.88,14.78,11.41,10.47,10.56,9.03,6.5,5.28,6.88,7.94,7.28,7.28,10.09,12.5,11.81,10.41,11.47,13.16,12.53,11.03,11.28,13.75,15.0,14.66,15.78,19.09,21.09,20.31,19.12,19.66,19.81,17.28,14.38,14.12,15.28,14.22,11.78,10.66,11.0,10.22,8.56,8.19,11.09,14.0,13.88,13.31,14.44,15.81,14.59,12.56,13.28,15.31,15.72,14.41,14.16,15.62,15.97,14.0,12.66,14.5,16.84,16.66,15.88,17.31,19.06,18.06,15.41,14.41,15.25,15.03,13.72,14.47,18.53,22.0,22.94,23.38,25.81,27.66,26.28,23.81,23.22,23.75,22.44,19.69,18.81,19.91,19.78,17.5,15.84,16.41,16.75,14.28,11.44,11.91,13.34,13.09,12.81,14.56,17.34,18.03,16.31,15.38,16.41,15.94,12.91,10.66,11.31,12.19,11.34,10.06,11.88,14.03,14.03,12.62,13.47,15.62,16.25,14.62,13.72,14.72,14.34,11.5,9.16,9.81,10.81,10.0,8.56,9.88,12.09,12.38,11.88,12.47,14.28,14.69,13.09,11.72,12.91,13.88,12.22,10.41,10.69,11.75,11.09,9.81,11.28,14.38,16.31,16.69,17.75,20.0,20.16,17.25,14.66,14.94,15.94,15.72,15.44,18.0,21.06,21.81,20.81,21.41,23.53,23.72,21.81,20.59,21.75,21.91,19.66,17.62,18.31,19.34,18.0,15.88,15.94,16.91,15.94,13.66,12.78,14.12,14.81,13.16,12.41,14.12,15.34,14.12,12.22,12.66,13.66,12.31,9.69,9.84,11.31,11.16,9.03,7.97,8.16,7.78,5.62,4.69,6.88,9.41,9.62,8.97,10.56,12.38,12.16,11.09,11.69,13.88,14.97,13.97,14.16,16.38,17.53,16.25,14.78,15.56,16.34,14.97,13.28,14.31,16.38,17.16,16.41,17.03,18.88,19.12,17.62,16.78,17.75,18.94,17.44,15.81,16.41,17.22,15.47,12.5,10.84,10.41,8.81,6.41,6.16,8.81,11.81,12.84,14.75,18.59,21.97,21.5,19.81,19.56,19.91,18.31,15.62,14.47,14.97,14.09,11.28,9.31,9.72,10.06,8.0,6.56,7.94,10.06,10.09,9.38,10.97,14.19,15.66,15.78,17.22,19.5,20.22,17.94,15.84,16.16,16.78,15.31,14.0,15.62,17.72,17.84,17.47,19.31,22.94,24.91,24.84,25.31,26.53,26.22,22.47,19.0,17.72,17.0,14.62,13.03,14.22,16.59,16.72,15.22,14.69,15.38,14.56,12.28,11.28,12.97,14.69,14.62,15.28,18.56,22.06,21.97,20.56,19.69,19.62,18.25,16.31,16.78,20.34,23.69,24.31,25.59,28.28,29.75,28.19,25.78,25.09,25.47,23.81,21.62,21.41,22.53,21.84,19.97,18.97,20.41,21.22,20.38,19.97,21.81,23.75,23.59,22.53,23.69,26.09,25.94,24.72,24.31,25.16,24.62,22.62,22.0,24.0,26.09,26.19,26.16,27.88,29.78,28.44,25.88,24.72,24.91,23.97,23.0,24.34,28.19,31.19,31.12,30.84,31.88,32.41,30.34,28.28,28.88,30.84,31.12,30.81,31.75,33.44,32.59,29.69,27.44,27.72,27.84,26.31,25.12,26.56,28.16,27.59,26.22,26.69,27.66,26.09,23.22,21.69,22.28,22.25,21.25,21.22,23.72,25.75,24.94,23.94,24.91,26.31,25.59,24.25,24.91,27.31,27.59,26.5,26.47,27.41,27.16,24.31,21.75,21.88,22.47,21.44,20.72,22.75,25.72,26.12,24.91,24.53,25.28,24.12,21.28,19.53,20.41,20.88,19.12,17.47,18.12,18.41,16.5,14.16,14.81,17.25,18.97,19.97,22.12,25.59,27.66,27.12,26.69,28.53,29.66,28.22,26.5,27.47,28.81,28.03,26.25,26.25,27.22,26.22,23.5,22.0,22.66,23.31,22.12,21.62,23.62,25.44,24.47,22.75,23.25,24.66,24.41,22.59,23.09,25.06,25.56,23.97,23.38,24.69,25.19,23.12,21.19,21.75,22.12,20.0,17.53,17.47,18.62,18.56,17.25,17.41,19.09,19.88,18.91,19.03,22.12,24.62,25.0,24.5,26.41,28.0,27.06,25.25,25.38,27.16,26.88,25.22,24.88,26.53,27.31,26.19,25.84,27.62,29.28,28.5,26.91,27.53,28.88,28.0,25.91,26.16,28.44,29.28,27.97,28.06,30.31,32.03,30.94,30.31,31.5,31.94,29.56,26.41,38.5,38.56,39.12,41.06,41.91,41.34,41.06:11.25,10.56,11.62,11.91,11.22,12.5,16.12,18.38,18.06,17.44,18.16,17.97,15.41,12.09,11.69,13.16,13.53,13.41,15.38,18.91,20.12,18.44,16.72,16.69,15.72,12.47,9.47,10.19,11.47,10.84,9.5,10.44,12.62,12.94,11.78,12.59,15.28,16.56,15.62,15.62,18.38,20.91,20.81,20.22,21.38,22.06,20.84,18.03,17.53,18.84,19.0,17.5,17.41,18.81,18.94,15.91,12.75,11.78,11.0,8.16,5.59,5.94,7.62,7.69,6.53,6.88,8.62,9.44,8.09,8.09,11.03,13.22,13.19,12.56,14.12,15.59,14.19,11.44,11.44,12.69,13.03,12.25,13.56,16.97,19.53,19.0,19.34,22.0,24.0,23.09,21.78,22.47,23.19,20.94,17.53,16.06,15.72,13.59,10.16,7.72,7.59,7.38,5.34,4.5,6.72,9.44,10.19,10.72,13.72,17.06,18.44,17.59,17.5,18.34,17.78,15.06,13.66,14.59,15.38,13.69,12.38,13.06,14.59,14.0,12.62,13.69,15.84,17.0,16.44,17.22,19.91,21.66,21.03,20.69,22.0,23.47,22.22,20.28,20.53,21.47,19.94,17.47,17.25,18.78,19.34,18.22,18.34,19.81,20.34,18.09,16.25,16.75,17.81,16.28,14.25,14.25,15.62,15.0,13.19,13.41,14.75,14.34,11.22,8.78,8.72,7.94,5.06,2.66,2.66,3.66,2.94,1.81,2.62,4.59,4.38,1.88,0.47,0.72,0.19,-2.03,-2.28,0.09,3.38,4.12,5.03,7.59,10.78,11.38,10.62,11.22,12.84,12.34,9.62,7.72,7.97,7.84,5.69,4.03,4.62,5.09,3.03,0.5,0.19,1.16,0.88,-0.53,-0.25,1.81,3.25,2.22,1.75,3.5,5.41,4.81,4.66,7.25,10.84,11.88,12.03,13.69,16.44,16.69,15.47,15.03,16.41,16.88,14.53,12.66,12.66,12.62,9.97,7.09,6.72,6.88,5.72,3.94,4.34,6.72,8.06,8.12,8.91,12.0,14.41,14.03,13.5,14.59,16.16,14.91,13.19,13.31,13.97,12.88,9.97,7.97,8.12,7.56,5.53,4.31,6.19,8.31,8.47,8.91,11.03,14.22,14.69,13.78,14.47,16.5,17.06,15.94,15.5,16.69,17.5,16.53,16.69,20.28,24.53,26.19,26.41,27.06,27.06,23.31,17.75,13.62,11.62,9.88,7.66,7.12,9.66,11.75,10.81,8.91,8.81,8.72,6.38,4.03,3.88,5.53,5.62,4.44,4.06,5.69,6.34,5.16,4.91,7.84,10.94,12.12,12.75,14.66,16.56,15.41,12.81,11.84,12.84,12.28,10.0,8.78,9.09,8.84,6.59,4.59,5.53,6.78,5.81,4.31,4.56,5.59,5.0,3.19,3.03,5.03,5.69,4.25,3.44,4.91,6.69,6.34,5.97,8.59,11.41,11.81,10.72,11.5,12.69,12.16,9.94,8.72,9.62,9.97,8.59,8.34,11.22,14.25,14.91,15.09,16.5,17.62,15.62,11.25,8.22,6.72,4.0,0.5,-0.97,0.5,2.16,1.81,1.88,4.75,7.44,7.41,6.66,7.91,10.41,10.62,9.75,10.56,12.78,13.12,11.03,9.06,8.59,7.47,3.31,-0.97,-2.22,-2.56,-4.19,-6.09,-5.75,-4.19,-4.28,-6.44,-7.16,-5.53,-4.31,-4.69,-3.91,-0.41,2.81,3.88,4.09,6.88,10.53,12.59,13.59,16.19,20.0,21.62,20.31,18.72,17.59,14.78,8.62,1.88,-2.41,-6.12,-11.09,-15.38,-16.06,-14.16,-13.12,-13.31,-11.97,-9.31,-7.88,-8.56,-8.47,-5.41,-2.12,-1.25,-0.12,3.03,6.22,6.53,4.72,4.41,4.81,3.0,-1.0,-3.47,-3.84,-5.28,-8.31,-10.72,-9.91,-8.88,-10.41,-12.47,-12.09,-11.34,-11.84,-13.47,-12.44,-8.88,-5.44,-3.44,-0.31,4.72,8.53,8.75,8.19,9.53,10.69,9.28,7.0,7.22,8.34,7.62,4.75,2.78,1.72,-0.09,-4.34,-7.22,-6.38,-4.34,-3.5,-1.44,4.03,9.97,12.84,13.12,13.5,13.81,12.0,8.25,6.06,6.44,6.81,5.03,3.84,5.75,7.94,7.81,7.12,8.88,11.62,12.31,11.38,12.16,14.25,14.75,12.34,10.16,9.69,8.78,5.03,1.69,1.56,1.62,-0.09,-2.5,-2.53,-0.56,-0.09,-0.75,-0.34,1.69,2.38,0.16,-0.53,1.84,5.25,6.91,8.81,12.19,15.84,15.84,13.25,12.16,11.78,9.12,4.12,0.06,-2.09,-4.62,-9.06,-11.59,-10.06,-6.84,-4.78,-2.16,2.69,8.91,12.5,14.59,18.56,23.28,25.69,24.59,23.22,22.97,21.72,17.41,13.22,11.5,10.5,7.38,4.0,3.31,4.19,3.19,0.81,-0.03,1.28,1.56,-0.22,-2.16,-1.62,-1.78,-4.56,-7.19,-6.44,-3.75,-2.91,-2.28,0.28,4.25,6.12,5.44,5.09,6.28,6.41,4.22,2.53,3.84,6.12,5.97,5.12,6.59,8.62,8.75,7.59,8.22,11.22,13.22,12.94,13.78,16.47,18.41,17.44,15.78,16.16,16.88,14.78,11.41,10.47,10.56,9.03,6.5,5.28,6.88,7.94,7.28,7.28,10.09,12.5,11.81,10.41,11.47,13.16,12.53,11.03,11.28,13.75,15.0,14.66,15.78,19.09,21.09,20.31,19.12,19.66,19.81,17.28,14.38,14.12,15.28,14.22,11.78,10.66,11.0,10.22,8.56,8.19,11.09,14.0,13.88,13.31,14.44,15.81,14.59,12.56,13.28,15.31,15.72,14.41,14.16,15.62,15.97,14.0,12.66,14.5,16.84,16.66,15.88,17.31,19.06,18.06,15.41,14.41,15.25,15.03,13.72,14.47,18.53,22.0,22.94,23.38,25.81,27.66,26.28,23.81,23.22,23.75,22.44,19.69,18.81,19.91,19.78,17.5,15.84,16.41,16.75,14.28,11.44,11.91,13.34,13.09,12.81,14.56,17.34,18.03,16.31,15.38,16.41,15.94,12.91,10.66,11.31,12.19,11.34,10.06,11.88,14.03,14.03,12.62,13.47,15.62,16.25,14.62,13.72,14.72,14.34,11.5,9.16,9.81,10.81,10.0,8.56,9.88,12.09,12.38,11.88,12.47,14.28,14.69,13.09,11.72,12.91,13.88,12.22,10.41,10.69,11.75,11.09,9.81,11.28,14.38,16.31,16.69,17.75,20.0,20.16,17.25,14.66,14.94,15.94,15.72,15.44,18.0,21.06,21.81,20.81,21.41,23.53,23.72,21.81,20.59,21.75,21.91,19.66,17.62,18.31,19.34,18.0,15.88,15.94,16.91,15.94,13.66,12.78,14.12,14.81,13.16,12.41,14.12,15.34,14.12,12.22,12.66,13.66,12.31,9.69,9.84,11.31,11.16,9.03,7.97,8.16,7.78,5.62,4.69,6.88,9.41,9.62,8.97,10.56,12.38,12.16,11.09,11.69,13.88,14.97,13.97,14.16,16.38,17.53,16.25,14.78,15.56,16.34,14.97,13.28,14.31,16.38,17.16,16.41,17.03,18.88,19.12,17.62,16.78,17.75,18.94,17.44,15.81,16.41,17.22,15.47,12.5,10.84,10.41,8.81,6.41,6.16,8.81,11.81,12.84,14.75,18.59,21.97,21.5,19.81,19.56,19.91,18.31,15.62,14.47,14.97,14.09,11.28,9.31,9.72,10.06,8.0,6.56,7.94,10.06,10.09,9.38,10.97,14.19,15.66,15.78,17.22,19.5,20.22,17.94,15.84,16.16,16.78,15.31,14.0,15.62,17.72,17.84,17.47,19.31,22.94,24.91,24.84,25.31,26.53,26.22,22.47,19.0,17.72,17.0,14.62,13.03,14.22,16.59,16.72,15.22,14.69,15.38,14.56,12.28,11.28,12.97,14.69,14.62,15.28,18.56,22.06,21.97,20.56,19.69,19.62,18.25,16.31,16.78,20.34,23.69,24.31,25.59,28.28,29.75,28.19,25.78,25.09,25.47,23.81,21.62,21.41,22.53,21.84,19.97,18.97,20.41,21.22,20.38,19.97,21.81,23.75,23.59,22.53,23.69,26.09,25.94,24.72,24.31,25.16,24.62,22.62,22.0,24.0,26.09,26.19,26.16,27.88,29.78,28.44,25.88,24.72,24.91,23.97,23.0,24.34,28.19,31.19,31.12,30.84,31.88,32.41,30.34,28.28,28.88,30.84,31.12,30.81,31.75,33.44,32.59,29.69,27.44,27.72,27.84,26.31,25.12,26.56,28.16,27.59,26.22,26.69,27.66,26.09,23.22,21.69,22.28,22.25,21.25,21.22,23.72,25.75,24.94,23.94,24.91,26.31,25.59,24.25,24.91,27.31,27.59,26.5,26.47,27.41,27.16,24.31,21.75,21.88,22.47,21.44,20.72,22.75,25.72,26.12,24.91,24.53,25.28,24.12,21.28,19.53,20.41,20.88,19.12,17.47,18.12,18.41,16.5,14.16,14.81,17.25,18.97,19.97,22.12,25.59,27.66,27.12,26.69,28.53,29.66,28.22,26.5,27.47,28.81,28.03,26.25,26.25,27.22,26.22,23.5,22.0,22.66,23.31,22.12,21.62,23.62,25.44,24.47,22.75,23.25,24.66,24.41,22.59,23.09,25.06,25.56,23.97,23.38,24.69,25.19,23.12,21.19,21.75,22.12,20.0,17.53,17.47,18.62,18.56,17.25,17.41,19.09,19.88,18.91,19.03,22.12,24.62,25.0,24.5,26.41,28.0,27.06,25.25,25.38,27.16,26.88,25.22,24.88,26.53,27.31,26.19,25.84,27.62,29.28,28.5,26.91,27.53,28.88,28.0,25.91,26.16,28.44,29.28,27.97,28.06,30.31,32.03,30.94,30.31,31.5,31.94,29.56,26.41,38.5,38.56,39.12,41.06,41.91,41.34,41.06,42.12,42.25,40.16,37.75,37.22,36.72,34.88:18.38,18.06,17.44,18.16,17.97,15.41,12.09,11.69,13.16,13.53,13.41,15.38,18.91,20.12,18.44,16.72,16.69,15.72,12.47,9.47,10.19,11.47,10.84,9.5,10.44,12.62,12.94,11.78,12.59,15.28,16.56,15.62,15.62,18.38,20.91,20.81,20.22,21.38,22.06,20.84,18.03,17.53,18.84,19.0,17.5,17.41,18.81,18.94,15.91,12.75,11.78,11.0,8.16,5.59,5.94,7.62,7.69,6.53,6.88,8.62,9.44,8.09,8.09,11.03,13.22,13.19,12.56,14.12,15.59,14.19,11.44,11.44,12.69,13.03,12.25,13.56,16.97,19.53,19.0,19.34,22.0,24.0,23.09,21.78,22.47,23.19,20.94,17.53,16.06,15.72,13.59,10.16,7.72,7.59,7.38,5.34,4.5,6.72,9.44,10.19,10.72,13.72,17.06,18.44,17.59,17.5,18.34,17.78,15.06,13.66,14.59,15.38,13.69,12.38,13.06,14.59,14.0,12.62,13.69,15.84,17.0,16.44,17.22,19.91,21.66,21.03,20.69,22.0,23.47,22.22,20.28,20.53,21.47,19.94,17.47,17.25,18.78,19.34,18.22,18.34,19.81,20.34,18.09,16.25,16.75,17.81,16.28,14.25,14.25,15.62,15.0,13.19,13.41,14.75,14.34,11.22,8.78,8.72,7.94,5.06,2.66,2.66,3.66,2.94,1.81,2.62,4.59,4.38,1.88,0.47,0.72,0.19,-2.03,-2.28,0.09,3.38,4.12,5.03,7.59,10.78,11.38,10.62,11.22,12.84,12.34,9.62,7.72,7.97,7.84,5.69,4.03,4.62,5.09,3.03,0.5,0.19,1.16,0.88,-0.53,-0.25,1.81,3.25,2.22,1.75,3.5,5.41,4.81,4.66,7.25,10.84,11.88,12.03,13.69,16.44,16.69,15.47,15.03,16.41,16.88,14.53,12.66,12.66,12.62,9.97,7.09,6.72,6.88,5.72,3.94,4.34,6.72,8.06,8.12,8.91,12.0,14.41,14.03,13.5,14.59,16.16,14.91,13.19,13.31,13.97,12.88,9.97,7.97,8.12,7.56,5.53,4.31,6.19,8.31,8.47,8.91,11.03,14.22,14.69,13.78,14.47,16.5,17.06,15.94,15.5,16.69,17.5,16.53,16.69,20.28,24.53,26.19,26.41,27.06,27.06,23.31,17.75,13.62,11.62,9.88,7.66,7.12,9.66,11.75,10.81,8.91,8.81,8.72,6.38,4.03,3.88,5.53,5.62,4.44,4.06,5.69,6.34,5.16,4.91,7.84,10.94,12.12,12.75,14.66,16.56,15.41,12.81,11.84,12.84,12.28,10.0,8.78,9.09,8.84,6.59,4.59,5.53,6.78,5.81,4.31,4.56,5.59,5.0,3.19,3.03,5.03,5.69,4.25,3.44,4.91,6.69,6.34,5.97,8.59,11.41,11.81,10.72,11.5,12.69,12.16,9.94,8.72,9.62,9.97,8.59,8.34,11.22,14.25,14.91,15.09,16.5,17.62,15.62,11.25,8.22,6.72,4.0,0.5,-0.97,0.5,2.16,1.81,1.88,4.75,7.44,7.41,6.66,7.91,10.41,10.62,9.75,10.56,12.78,13.12,11.03,9.06,8.59,7.47,3.31,-0.97,-2.22,-2.56,-4.19,-6.09,-5.75,-4.19,-4.28,-6.44,-7.16,-5.53,-4.31,-4.69,-3.91,-0.41,2.81,3.88,4.09,6.88,10.53,12.59,13.59,16.19,20.0,21.62,20.31,18.72,17.59,14.78,8.62,1.88,-2.41,-6.12,-11.09,-15.38,-16.06,-14.16,-13.12,-13.31,-11.97,-9.31,-7.88,-8.56,-8.47,-5.41,-2.12,-1.25,-0.12,3.03,6.22,6.53,4.72,4.41,4.81,3.0,-1.0,-3.47,-3.84,-5.28,-8.31,-10.72,-9.91,-8.88,-10.41,-12.47,-12.09,-11.34,-11.84,-13.47,-12.44,-8.88,-5.44,-3.44,-0.31,4.72,8.53,8.75,8.19,9.53,10.69,9.28,7.0,7.22,8.34,7.62,4.75,2.78,1.72,-0.09,-4.34,-7.22,-6.38,-4.34,-3.5,-1.44,4.03,9.97,12.84,13.12,13.5,13.81,12.0,8.25,6.06,6.44,6.81,5.03,3.84,5.75,7.94,7.81,7.12,8.88,11.62,12.31,11.38,12.16,14.25,14.75,12.34,10.16,9.69,8.78,5.03,1.69,1.56,1.62,-0.09,-2.5,-2.53,-0.56,-0.09,-0.75,-0.34,1.69,2.38,0.16,-0.53,1.84,5.25,6.91,8.81,12.19,15.84,15.84,13.25,12.16,11.78,9.12,4.12,0.06,-2.09,-4.62,-9.06,-11.59,-10.06,-6.84,-4.78,-2.16,2.69,8.91,12.5,14.59,18.56,23.28,25.69,24.59,23.22,22.97,21.72,17.41,13.22,11.5,10.5,7.38,4.0,3.31,4.19,3.19,0.81,-0.03,1.28,1.56,-0.22,-2.16,-1.62,-1.78,-4.56,-7.19,-6.44,-3.75,-2.91,-2.28,0.28,4.25,6.12,5.44,5.09,6.28,6.41,4.22,2.53,3.84,6.12,5.97,5.12,6.59,8.62,8.75,7.59,8.22,11.22,13.22,12.94,13.78,16.47,18.41,17.44,15.78,16.16,16.88,14.78,11.41,10.47,10.56,9.03,6.5,5.28,6.88,7.94,7.28,7.28,10.09,12.5,11.81,10.41,11.47,13.16,12.53,11.03,11.28,13.75,15.0,14.66,15.78,19.09,21.09,20.31,19.12,19.66,19.81,17.28,14.38,14.12,15.28,14.22,11.78,10.66,11.0,10.22,8.56,8.19,11.09,14.0,13.88,13.31,14.44,15.81,14.59,12.56,13.28,15.31,15.72,14.41,14.16,15.62,15.97,14.0,12.66,14.5,16.84,16.66,15.88,17.31,19.06,18.06,15.41,14.41,15.25,15.03,13.72,14.47,18.53,22.0,22.94,23.38,25.81,27.66,26.28,23.81,23.22,23.75,22.44,19.69,18.81,19.91,19.78,17.5,15.84,16.41,16.75,14.28,11.44,11.91,13.34,13.09,12.81,14.56,17.34,18.03,16.31,15.38,16.41,15.94,12.91,10.66,11.31,12.19,11.34,10.06,11.88,14.03,14.03,12.62,13.47,15.62,16.25,14.62,13.72,14.72,14.34,11.5,9.16,9.81,10.81,10.0,8.56,9.88,12.09,12.38,11.88,12.47,14.28,14.69,13.09,11.72,12.91,13.88,12.22,10.41,10.69,11.75,11.09,9.81,11.28,14.38,16.31,16.69,17.75,20.0,20.16,17.25,14.66,14.94,15.94,15.72,15.44,18.0,21.06,21.81,20.81,21.41,23.53,23.72,21.81,20.59,21.75,21.91,19.66,17.62,18.31,19.34,18.0,15.88,15.94,16.91,15.94,13.66,12.78,14.12,14.81,13.16,12.41,14.12,15.34,14.12,12.22,12.66,13.66,12.31,9.69,9.84,11.31,11.16,9.03,7.97,8.16,7.78,5.62,4.69,6.88,9.41,9.62,8.97,10.56,12.38,12.16,11.09,11.69,13.88,14.97,13.97,14.16,16.38,17.53,16.25,14.78,15.56,16.34,14.97,13.28,14.31,16.38,17.16,16.41,17.03,18.88,19.12,17.62,16.78,17.75,18.94,17.44,15.81,16.41,17.22,15.47,12.5,10.84,10.41,8.81,6.41,6.16,8.81,11.81,12.84,14.75,18.59,21.97,21.5,19.81,19.56,19.91,18.31,15.62,14.47,14.97,14.09,11.28,9.31,9.72,10.06,8.0,6.56,7.94,10.06,10.09,9.38,10.97,14.19,15.66,15.78,17.22,19.5,20.22,17.94,15.84,16.16,16.78,15.31,14.0,15.62,17.72,17.84,17.47,19.31,22.94,24.91,24.84,25.31,26.53,26.22,22.47,19.0,17.72,17.0,14.62,13.03,14.22,16.59,16.72,15.22,14.69,15.38,14.56,12.28,11.28,12.97,14.69,14.62,15.28,18.56,22.06,21.97,20.56,19.69,19.62,18.25,16.31,16.78,20.34,23.69,24.31,25.59,28.28,29.75,28.19,25.78,25.09,25.47,23.81,21.62,21.41,22.53,21.84,19.97,18.97,20.41,21.22,20.38,19.97,21.81,23.75,23.59,22.53,23.69,26.09,25.94,24.72,24.31,25.16,24.62,22.62,22.0,24.0,26.09,26.19,26.16,27.88,29.78,28.44,25.88,24.72,24.91,23.97,23.0,24.34,28.19,31.19,31.12,30.84,31.88,32.41,30.34,28.28,28.88,30.84,31.12,30.81,31.75,33.44,32.59,29.69,27.44,27.72,27.84,26.31,25.12,26.56,28.16,27.59,26.22,26.69,27.66,26.09,23.22,21.69,22.28,22.25,21.25,21.22,23.72,25.75,24.94,23.94,24.91,26.31,25.59,24.25,24.91,27.31,27.59,26.5,26.47,27.41,27.16,24.31,21.75,21.88,22.47,21.44,20.72,22.75,25.72,26.12,24.91,24.53,25.28,24.12,21.28,19.53,20.41,20.88,19.12,17.47,18.12,18.41,16.5,14.16,14.81,17.25,18.97,19.97,22.12,25.59,27.66,27.12,26.69,28.53,29.66,28.22,26.5,27.47,28.81,28.03,26.25,26.25,27.22,26.22,23.5,22.0,22.66,23.31,22.12,21.62,23.62,25.44,24.47,22.75,23.25,24.66,24.41,22.59,23.09,25.06,25.56,23.97,23.38,24.69,25.19,23.12,21.19,21.75,22.12,20.0,17.53,17.47,18.62,18.56,17.25,17.41,19.09,19.88,18.91,19.03,22.12,24.62,25.0,24.5,26.41,28.0,27.06,25.25,25.38,27.16,26.88,25.22,24.88,26.53,27.31,26.19,25.84,27.62,29.28,28.5,26.91,27.53,28.88,28.0,25.91,26.16,28.44,29.28,27.97,28.06,30.31,32.03,30.94,30.31,31.5,31.94,29.56,26.41,38.5,38.56,39.12,41.06,41.91,41.34,41.06,42.12,42.25,40.16,37.75,37.22,36.72,34.88,32.91,32.75,33.91,34.56,34.28,35.59,38.25:11.69,13.16,13.53,13.41,15.38,18.91,20.12,18.44,16.72,16.69,15.72,12.47,9.47,10.19,11.47,10.84,9.5,10.44,12.62,12.94,11.78,12.59,15.28,16.56,15.62,15.62,18.38,20.91,20.81,20.22,21.38,22.06,20.84,18.03,17.53,18.84,19.0,17.5,17.41,18.81,18.94,15.91,12.75,11.78,11.0,8.16,5.59,5.94,7.62,7.69,6.53,6.88,8.62,9.44,8.09,8.09,11.03,13.22,13.19,12.56,14.12,15.59,14.19,11.44,11.44,12.69,13.03,12.25,13.56,16.97,19.53,19.0,19.34,22.0,24.0,23.09,21.78,22.47,23.19,20.94,17.53,16.06,15.72,13.59,10.16,7.72,7.59,7.38,5.34,4.5,6.72,9.44,10.19,10.72,13.72,17.06,18.44,17.59,17.5,18.34,17.78,15.06,13.66,14.59,15.38,13.69,12.38,13.06,14.59,14.0,12.62,13.69,15.84,17.0,16.44,17.22,19.91,21.66,21.03,20.69,22.0,23.47,22.22,20.28,20.53,21.47,19.94,17.47,17.25,18.78,19.34,18.22,18.34,19.81,20.34,18.09,16.25,16.75,17.81,16.28,14.25,14.25,15.62,15.0,13.19,13.41,14.75,14.34,11.22,8.78,8.72,7.94,5.06,2.66,2.66,3.66,2.94,1.81,2.62,4.59,4.38,1.88,0.47,0.72,0.19,-2.03,-2.28,0.09,3.38,4.12,5.03,7.59,10.78,11.38,10.62,11.22,12.84,12.34,9.62,7.72,7.97,7.84,5.69,4.03,4.62,5.09,3.03,0.5,0.19,1.16,0.88,-0.53,-0.25,1.81,3.25,2.22,1.75,3.5,5.41,4.81,4.66,7.25,10.84,11.88,12.03,13.69,16.44,16.69,15.47,15.03,16.41,16.88,14.53,12.66,12.66,12.62,9.97,7.09,6.72,6.88,5.72,3.94,4.34,6.72,8.06,8.12,8.91,12.0,14.41,14.03,13.5,14.59,16.16,14.91,13.19,13.31,13.97,12.88,9.97,7.97,8.12,7.56,5.53,4.31,6.19,8.31,8.47,8.91,11.03,14.22,14.69,13.78,14.47,16.5,17.06,15.94,15.5,16.69,17.5,16.53,16.69,20.28,24.53,26.19,26.41,27.06,27.06,23.31,17.75,13.62,11.62,9.88,7.66,7.12,9.66,11.75,10.81,8.91,8.81,8.72,6.38,4.03,3.88,5.53,5.62,4.44,4.06,5.69,6.34,5.16,4.91,7.84,10.94,12.12,12.75,14.66,16.56,15.41,12.81,11.84,12.84,12.28,10.0,8.78,9.09,8.84,6.59,4.59,5.53,6.78,5.81,4.31,4.56,5.59,5.0,3.19,3.03,5.03,5.69,4.25,3.44,4.91,6.69,6.34,5.97,8.59,11.41,11.81,10.72,11.5,12.69,12.16,9.94,8.72,9.62,9.97,8.59,8.34,11.22,14.25,14.91,15.09,16.5,17.62,15.62,11.25,8.22,6.72,4.0,0.5,-0.97,0.5,2.16,1.81,1.88,4.75,7.44,7.41,6.66,7.91,10.41,10.62,9.75,10.56,12.78,13.12,11.03,9.06,8.59,7.47,3.31,-0.97,-2.22,-2.56,-4.19,-6.09,-5.75,-4.19,-4.28,-6.44,-7.16,-5.53,-4.31,-4.69,-3.91,-0.41,2.81,3.88,4.09,6.88,10.53,12.59,13.59,16.19,20.0,21.62,20.31,18.72,17.59,14.78,8.62,1.88,-2.41,-6.12,-11.09,-15.38,-16.06,-14.16,-13.12,-13.31,-11.97,-9.31,-7.88,-8.56,-8.47,-5.41,-2.12,-1.25,-0.12,3.03,6.22,6.53,4.72,4.41,4.81,3.0,-1.0,-3.47,-3.84,-5.28,-8.31,-10.72,-9.91,-8.88,-10.41,-12.47,-12.09,-11.34,-11.84,-13.47,-12.44,-8.88,-5.44,-3.44,-0.31,4.72,8.53,8.75,8.19,9.53,10.69,9.28,7.0,7.22,8.34,7.62,4.75,2.78,1.72,-0.09,-4.34,-7.22,-6.38,-4.34,-3.5,-1.44,4.03,9.97,12.84,13.12,13.5,13.81,12.0,8.25,6.06,6.44,6.81,5.03,3.84,5.75,7.94,7.81,7.12,8.88,11.62,12.31,11.38,12.16,14.25,14.75,12.34,10.16,9.69,8.78,5.03,1.69,1.56,1.62,-0.09,-2.5,-2.53,-0.56,-0.09,-0.75,-0.34,1.69,2.38,0.16,-0.53,1.84,5.25,6.91,8.81,12.19,15.84,15.84,13.25,12.16,11.78,9.12,4.12,0.06,-2.09,-4.62,-9.06,-11.59,-10.06,-6.84,-4.78,-2.16,2.69,8.91,12.5,14.59,18.56,23.28,25.69,24.59,23.22,22.97,21.72,17.41,13.22,11.5,10.5,7.38,4.0,3.31,4.19,3.19,0.81,-0.03,1.28,1.56,-0.22,-2.16,-1.62,-1.78,-4.56,-7.19,-6.44,-3.75,-2.91,-2.28,0.28,4.25,6.12,5.44,5.09,6.28,6.41,4.22,2.53,3.84,6.12,5.97,5.12,6.59,8.62,8.75,7.59,8.22,11.22,13.22,12.94,13.78,16.47,18.41,17.44,15.78,16.16,16.88,14.78,11.41,10.47,10.56,9.03,6.5,5.28,6.88,7.94,7.28,7.28,10.09,12.5,11.81,10.41,11.47,13.16,12.53,11.03,11.28,13.75,15.0,14.66,15.78,19.09,21.09,20.31,19.12,19.66,19.81,17.28,14.38,14.12,15.28,14.22,11.78,10.66,11.0,10.22,8.56,8.19,11.09,14.0,13.88,13.31,14.44,15.81,14.59,12.56,13.28,15.31,15.72,14.41,14.16,15.62,15.97,14.0,12.66,14.5,16.84,16.66,15.88,17.31,19.06,18.06,15.41,14.41,15.25,15.03,13.72,14.47,18.53,22.0,22.94,23.38,25.81,27.66,26.28,23.81,23.22,23.75,22.44,19.69,18.81,19.91,19.78,17.5,15.84,16.41,16.75,14.28,11.44,11.91,13.34,13.09,12.81,14.56,17.34,18.03,16.31,15.38,16.41,15.94,12.91,10.66,11.31,12.19,11.34,10.06,11.88,14.03,14.03,12.62,13.47,15.62,16.25,14.62,13.72,14.72,14.34,11.5,9.16,9.81,10.81,10.0,8.56,9.88,12.09,12.38,11.88,12.47,14.28,14.69,13.09,11.72,12.91,13.88,12.22,10.41,10.69,11.75,11.09,9.81,11.28,14.38,16.31,16.69,17.75,20.0,20.16,17.25,14.66,14.94,15.94,15.72,15.44,18.0,21.06,21.81,20.81,21.41,23.53,23.72,21.81,20.59,21.75,21.91,19.66,17.62,18.31,19.34,18.0,15.88,15.94,16.91,15.94,13.66,12.78,14.12,14.81,13.16,12.41,14.12,15.34,14.12,12.22,12.66,13.66,12.31,9.69,9.84,11.31,11.16,9.03,7.97,8.16,7.78,5.62,4.69,6.88,9.41,9.62,8.97,10.56,12.38,12.16,11.09,11.69,13.88,14.97,13.97,14.16,16.38,17.53,16.25,14.78,15.56,16.34,14.97,13.28,14.31,16.38,17.16,16.41,17.03,18.88,19.12,17.62,16.78,17.75,18.94,17.44,15.81,16.41,17.22,15.47,12.5,10.84,10.41,8.81,6.41,6.16,8.81,11.81,12.84,14.75,18.59,21.97,21.5,19.81,19.56,19.91,18.31,15.62,14.47,14.97,14.09,11.28,9.31,9.72,10.06,8.0,6.56,7.94,10.06,10.09,9.38,10.97,14.19,15.66,15.78,17.22,19.5,20.22,17.94,15.84,16.16,16.78,15.31,14.0,15.62,17.72,17.84,17.47,19.31,22.94,24.91,24.84,25.31,26.53,26.22,22.47,19.0,17.72,17.0,14.62,13.03,14.22,16.59,16.72,15.22,14.69,15.38,14.56,12.28,11.28,12.97,14.69,14.62,15.28,18.56,22.06,21.97,20.56,19.69,19.62,18.25,16.31,16.78,20.34,23.69,24.31,25.59,28.28,29.75,28.19,25.78,25.09,25.47,23.81,21.62,21.41,22.53,21.84,19.97,18.97,20.41,21.22,20.38,19.97,21.81,23.75,23.59,22.53,23.69,26.09,25.94,24.72,24.31,25.16,24.62,22.62,22.0,24.0,26.09,26.19,26.16,27.88,29.78,28.44,25.88,24.72,24.91,23.97,23.0,24.34,28.19,31.19,31.12,30.84,31.88,32.41,30.34,28.28,28.88,30.84,31.12,30.81,31.75,33.44,32.59,29.69,27.44,27.72,27.84,26.31,25.12,26.56,28.16,27.59,26.22,26.69,27.66,26.09,23.22,21.69,22.28,22.25,21.25,21.22,23.72,25.75,24.94,23.94,24.91,26.31,25.59,24.25,24.91,27.31,27.59,26.5,26.47,27.41,27.16,24.31,21.75,21.88,22.47,21.44,20.72,22.75,25.72,26.12,24.91,24.53,25.28,24.12,21.28,19.53,20.41,20.88,19.12,17.47,18.12,18.41,16.5,14.16,14.81,17.25,18.97,19.97,22.12,25.59,27.66,27.12,26.69,28.53,29.66,28.22,26.5,27.47,28.81,28.03,26.25,26.25,27.22,26.22,23.5,22.0,22.66,23.31,22.12,21.62,23.62,25.44,24.47,22.75,23.25,24.66,24.41,22.59,23.09,25.06,25.56,23.97,23.38,24.69,25.19,23.12,21.19,21.75,22.12,20.0,17.53,17.47,18.62,18.56,17.25,17.41,19.09,19.88,18.91,19.03,22.12,24.62,25.0,24.5,26.41,28.0,27.06,25.25,25.38,27.16,26.88,25.22,24.88,26.53,27.31,26.19,25.84,27.62,29.28,28.5,26.91,27.53,28.88,28.0,25.91,26.16,28.44,29.28,27.97,28.06,30.31,32.03,30.94,30.31,31.5,31.94,29.56,26.41,38.5,38.56,39.12,41.06,41.91,41.34,41.06,42.12,42.25,40.16,37.75,37.22,36.72,34.88,32.91,32.75,33.91,34.56,34.28,35.59,38.25,39.62,39.09,38.44,39.06,38.53,37.12,35.19:18.44,16.72,16.69,15.72,12.47,9.47,10.19,11.47,10.84,9.5,10.44,12.62,12.94,11.78,12.59,15.28,16.56,15.62,15.62,18.38,20.91,20.81,20.22,21.38,22.06,20.84,18.03,17.53,18.84,19.0,17.5,17.41,18.81,18.94,15.91,12.75,11.78,11.0,8.16,5.59,5.94,7.62,7.69,6.53,6.88,8.62,9.44,8.09,8.09,11.03,13.22,13.19,12.56,14.12,15.59,14.19,11.44,11.44,12.69,13.03,12.25,13.56,16.97,19.53,19.0,19.34,22.0,24.0,23.09,21.78,22.47,23.19,20.94,17.53,16.06,15.72,13.59,10.16,7.72,7.59,7.38,5.34,4.5,6.72,9.44,10.19,10.72,13.72,17.06,18.44,17.59,17.5,18.34,17.78,15.06,13.66,14.59,15.38,13.69,12.38,13.06,14.59,14.0,12.62,13.69,15.84,17.0,16.44,17.22,19.91,21.66,21.03,20.69,22.0,23.47,22.22,20.28,20.53,21.47,19.94,17.47,17.25,18.78,19.34,18.22,18.34,19.81,20.34,18.09,16.25,16.75,17.81,16.28,14.25,14.25,15.62,15.0,13.19,13.41,14.75,14.34,11.22,8.78,8.72,7.94,5.06,2.66,2.66,3.66,2.94,1.81,2.62,4.59,4.38,1.88,0.47,0.72,0.19,-2.03,-2.28,0.09,3.38,4.12,5.03,7.59,10.78,11.38,10.62,11.22,12.84,12.34,9.62,7.72,7.97,7.84,5.69,4.03,4.62,5.09,3.03,0.5,0.19,1.16,0.88,-0.53,-0.25,1.81,3.25,2.22,1.75,3.5,5.41,4.81,4.66,7.25,10.84,11.88,12.03,13.69,16.44,16.69,15.47,15.03,16.41,16.88,14.53,12.66,12.66,12.62,9.97,7.09,6.72,6.88,5.72,3.94,4.34,6.72,8.06,8.12,8.91,12.0,14.41,14.03,13.5,14.59,16.16,14.91,13.19,13.31,13.97,12.88,9.97,7.97,8.12,7.56,5.53,4.31,6.19,8.31,8.47,8.91,11.03,14.22,14.69,13.78,14.47,16.5,17.06,15.94,15.5,16.69,17.5,16.53,16.69,20.28,24.53,26.19,26.41,27.06,27.06,23.31,17.75,13.62,11.62,9.88,7.66,7.12,9.66,11.75,10.81,8.91,8.81,8.72,6.38,4.03,3.88,5.53,5.62,4.44,4.06,5.69,6.34,5.16,4.91,7.84,10.94,12.12,12.75,14.66,16.56,15.41,12.81,11.84,12.84,12.28,10.0,8.78,9.09,8.84,6.59,4.59,5.53,6.78,5.81,4.31,4.56,5.59,5.0,3.19,3.03,5.03,5.69,4.25,3.44,4.91,6.69,6.34,5.97,8.59,11.41,11.81,10.72,11.5,12.69,12.16,9.94,8.72,9.62,9.97,8.59,8.34,11.22,14.25,14.91,15.09,16.5,17.62,15.62,11.25,8.22,6.72,4.0,0.5,-0.97,0.5,2.16,1.81,1.88,4.75,7.44,7.41,6.66,7.91,10.41,10.62,9.75,10.56,12.78,13.12,11.03,9.06,8.59,7.47,3.31,-0.97,-2.22,-2.56,-4.19,-6.09,-5.75,-4.19,-4.28,-6.44,-7.16,-5.53,-4.31,-4.69,-3.91,-0.41,2.81,3.88,4.09,6.88,10.53,12.59,13.59,16.19,20.0,21.62,20.31,18.72,17.59,14.78,8.62,1.88,-2.41,-6.12,-11.09,-15.38,-16.06,-14.16,-13.12,-13.31,-11.97,-9.31,-7.88,-8.56,-8.47,-5.41,-2.12,-1.25,-0.12,3.03,6.22,6.53,4.72,4.41,4.81,3.0,-1.0,-3.47,-3.84,-5.28,-8.31,-10.72,-9.91,-8.88,-10.41,-12.47,-12.09,-11.34,-11.84,-13.47,-12.44,-8.88,-5.44,-3.44,-0.31,4.72,8.53,8.75,8.19,9.53,10.69,9.28,7.0,7.22,8.34,7.62,4.75,2.78,1.72,-0.09,-4.34,-7.22,-6.38,-4.34,-3.5,-1.44,4.03,9.97,12.84,13.12,13.5,13.81,12.0,8.25,6.06,6.44,6.81,5.03,3.84,5.75,7.94,7.81,7.12,8.88,11.62,12.31,11.38,12.16,14.25,14.75,12.34,10.16,9.69,8.78,5.03,1.69,1.56,1.62,-0.09,-2.5,-2.53,-0.56,-0.09,-0.75,-0.34,1.69,2.38,0.16,-0.53,1.84,5.25,6.91,8.81,12.19,15.84,15.84,13.25,12.16,11.78,9.12,4.12,0.06,-2.09,-4.62,-9.06,-11.59,-10.06,-6.84,-4.78,-2.16,2.69,8.91,12.5,14.59,18.56,23.28,25.69,24.59,23.22,22.97,21.72,17.41,13.22,11.5,10.5,7.38,4.0,3.31,4.19,3.19,0.81,-0.03,1.28,1.56,-0.22,-2.16,-1.62,-1.78,-4.56,-7.19,-6.44,-3.75,-2.91,-2.28,0.28,4.25,6.12,5.44,5.09,6.28,6.41,4.22,2.53,3.84,6.12,5.97,5.12,6.59,8.62,8.75,7.59,8.22,11.22,13.22,12.94,13.78,16.47,18.41,17.44,15.78,16.16,16.88,14.78,11.41,10.47,10.56,9.03,6.5,5.28,6.88,7.94,7.28,7.28,10.09,12.5,11.81,10.41,11.47,13.16,12.53,11.03,11.28,13.75,15.0,14.66,15.78,19.09,21.09,20.31,19.12,19.66,19.81,17.28,14.38,14.12,15.28,14.22,11.78,10.66,11.0,10.22,8.56,8.19,11.09,14.0,13.88,13.31,14.44,15.81,14.59,12.56,13.28,15.31,15.72,14.41,14.16,15.62,15.97,14.0,12.66,14.5,16.84,16.66,15.88,17.31,19.06,18.06,15.41,14.41,15.25,15.03,13.72,14.47,18.53,22.0,22.94,23.38,25.81,27.66,26.28,23.81,23.22,23.75,22.44,19.69,18.81,19.91,19.78,17.5,15.84,16.41,16.75,14.28,11.44,11.91,13.34,13.09,12.81,14.56,17.34,18.03,16.31,15.38,16.41,15.94,12.91,10.66,11.31,12.19,11.34,10.06,11.88,14.03,14.03,12.62,13.47,15.62,16.25,14.62,13.72,14.72,14.34,11.5,9.16,9.81,10.81,10.0,8.56,9.88,12.09,12.38,11.88,12.47,14.28,14.69,13.09,11.72,12.91,13.88,12.22,10.41,10.69,11.75,11.09,9.81,11.28,14.38,16.31,16.69,17.75,20.0,20.16,17.25,14.66,14.94,15.94,15.72,15.44,18.0,21.06,21.81,20.81,21.41,23.53,23.72,21.81,20.59,21.75,21.91,19.66,17.62,18.31,19.34,18.0,15.88,15.94,16.91,15.94,13.66,12.78,14.12,14.81,13.16,12.41,14.12,15.34,14.12,12.22,12.66,13.66,12.31,9.69,9.84,11.31,11.16,9.03,7.97,8.16,7.78,5.62,4.69,6.88,9.41,9.62,8.97,10.56,12.38,12.16,11.09,11.69,13.88,14.97,13.97,14.16,16.38,17.53,16.25,14.78,15.56,16.34,14.97,13.28,14.31,16.38,17.16,16.41,17.03,18.88,19.12,17.62,16.78,17.75,18.94,17.44,15.81,16.41,17.22,15.47,12.5,10.84,10.41,8.81,6.41,6.16,8.81,11.81,12.84,14.75,18.59,21.97,21.5,19.81,19.56,19.91,18.31,15.62,14.47,14.97,14.09,11.28,9.31,9.72,10.06,8.0,6.56,7.94,10.06,10.09,9.38,10.97,14.19,15.66,15.78,17.22,19.5,20.22,17.94,15.84,16.16,16.78,15.31,14.0,15.62,17.72,17.84,17.47,19.31,22.94,24.91,24.84,25.31,26.53,26.22,22.47,19.0,17.72,17.0,14.62,13.03,14.22,16.59,16.72,15.22,14.69,15.38,14.56,12.28,11.28,12.97,14.69,14.62,15.28,18.56,22.06,21.97,20.56,19.69,19.62,18.25,16.31,16.78,20.34,23.69,24.31,25.59,28.28,29.75,28.19,25.78,25.09,25.47,23.81,21.62,21.41,22.53,21.84,19.97,18.97,20.41,21.22,20.38,19.97,21.81,23.75,23.59,22.53,23.69,26.09,25.94,24.72,24.31,25.16,24.62,22.62,22.0,24.0,26.09,26.19,26.16,27.88,29.78,28.44,25.88,24.72,24.91,23.97,23.0,24.34,28.19,31.19,31.12,30.84,31.88,32.41,30.34,28.28,28.88,30.84,31.12,30.81,31.75,33.44,32.59,29.69,27.44,27.72,27.84,26.31,25.12,26.56,28.16,27.59,26.22,26.69,27.66,26.09,23.22,21.69,22.28,22.25,21.25,21.22,23.72,25.75,24.94,23.94,24.91,26.31,25.59,24.25,24.91,27.31,27.59,26.5,26.47,27.41,27.16,24.31,21.75,21.88,22.47,21.44,20.72,22.75,25.72,26.12,24.91,24.53,25.28,24.12,21.28,19.53,20.41,20.88,19.12,17.47,18.12,18.41,16.5,14.16,14.81,17.25,18.97,19.97,22.12,25.59,27.66,27.12,26.69,28.53,29.66,28.22,26.5,27.47,28.81,28.03,26.25,26.25,27.22,26.22,23.5,22.0,22.66,23.31,22.12,21.62,23.62,25.44,24.47,22.75,23.25,24.66,24.41,22.59,23.09,25.06,25.56,23.97,23.38,24.69,25.19,23.12,21.19,21.75,22.12,20.0,17.53,17.47,18.62,18.56,17.25,17.41,19.09,19.88,18.91,19.03,22.12,24.62,25.0,24.5,26.41,28.0,27.06,25.25,25.38,27.16,26.88,25.22,24.88,26.53,27.31,26.19,25.84,27.62,29.28,28.5,26.91,27.53,28.88,28.0,25.91,26.16,28.44,29.28,27.97,28.06,30.31,32.03,30.94,30.31,31.5,31.94,29.56,26.41,38.5,38.56,39.12,41.06,41.91,41.34,41.06,42.12,42.25,40.16,37.75,37.22,36.72,34.88,32.91,32.75,33.91,34.56,34.28,35.59,38.25,39.62,39.09,38.44,39.06,38.53,37.12,35.19,35.38,36.75,37.34,37.44,38.84,40.97,41.59:11.47,10.84,9.5,10.44,12.62,12.94,11.78,12.59,15.28,16.56,15.62,15.62,18.38,20.91,20.81,20.22,21.38,22.06,20.84,18.03,17.53,18.84,19.0,17.5,17.41,18.81,18.94,15.91,12.75,11.78,11.0,8.16,5.59,5.94,7.62,7.69,6.53,6.88,8.62,9.44,8.09,8.09,11.03,13.22,13.19,12.56,14.12,15.59,14.19,11.44,11.44,12.69,13.03,12.25,13.56,16.97,19.53,19.0,19.34,22.0,24.0,23.09,21.78,22.47,23.19,20.94,17.53,16.06,15.72,13.59,10.16,7.72,7.59,7.38,5.34,4.5,6.72,9.44,10.19,10.72,13.72,17.06,18.44,17.59,17.5,18.34,17.78,15.06,13.66,14.59,15.38,13.69,12.38,13.06,14.59,14.0,12.62,13.69,15.84,17.0,16.44,17.22,19.91,21.66,21.03,20.69,22.0,23.47,22.22,20.28,20.53,21.47,19.94,17.47,17.25,18.78,19.34,18.22,18.34,19.81,20.34,18.09,16.25,16.75,17.81,16.28,14.25,14.25,15.62,15.0,13.19,13.41,14.75,14.34,11.22,8.78,8.72,7.94,5.06,2.66,2.66,3.66,2.94,1.81,2.62,4.59,4.38,1.88,0.47,0.72,0.19,-2.03,-2.28,0.09,3.38,4.12,5.03,7.59,10.78,11.38,10.62,11.22,12.84,12.34,9.62,7.72,7.97,7.84,5.69,4.03,4.62,5.09,3.03,0.5,0.19,1.16,0.88,-0.53,-0.25,1.81,3.25,2.22,1.75,3.5,5.41,4.81,4.66,7.25,10.84,11.88,12.03,13.69,16.44,16.69,15.47,15.03,16.41,16.88,14.53,12.66,12.66,12.62,9.97,7.09,6.72,6.88,5.72,3.94,4.34,6.72,8.06,8.12,8.91,12.0,14.41,14.03,13.5,14.59,16.16,14.91,13.19,13.31,13.97,12.88,9.97,7.97,8.12,7.56,5.53,4.31,6.19,8.31,8.47,8.91,11.03,14.22,14.69,13.78,14.47,16.5,17.06,15.94,15.5,16.69,17.5,16.53,16.69,20.28,24.53,26.19,26.41,27.06,27.06,23.31,17.75,13.62,11.62,9.88,7.66,7.12,9.66,11.75,10.81,8.91,8.81,8.72,6.38,4.03,3.88,5.53,5.62,4.44,4.06,5.69,6.34,5.16,4.91,7.84,10.94,12.12,12.75,14.66,16.56,15.41,12.81,11.84,12.84,12.28,10.0,8.78,9.09,8.84,6.59,4.59,5.53,6.78,5.81,4.31,4.56,5.59,5.0,3.19,3.03,5.03,5.69,4.25,3.44,4.91,6.69,6.34,5.97,8.59,11.41,11.81,10.72,11.5,12.69,12.16,9.94,8.72,9.62,9.97,8.59,8.34,11.22,14.25,14.91,15.09,16.5,17.62,15.62,11.25,8.22,6.72,4.0,0.5,-0.97,0.5,2.16,1.81,1.88,4.75,7.44,7.41,6.66,7.91,10.41,10.62,9.75,10.56,12.78,13.12,11.03,9.06,8.59,7.47,3.31,-0.97,-2.22,-2.56,-4.19,-6.09,-5.75,-4.19,-4.28,-6.44,-7.16,-5.53,-4.31,-4.69,-3.91,-0.41,2.81,3.88,4.09,6.88,10.53,12.59,13.59,16.19,20.0,21.62,20.31,18.72,17.59,14.78,8.62,1.88,-2.41,-6.12,-11.09,-15.38,-16.06,-14.16,-13.12,-13.31,-11.97,-9.31,-7.88,-8.56,-8.47,-5.41,-2.12,-1.25,-0.12,3.03,6.22,6.53,4.72,4.41,4.81,3.0,-1.0,-3.47,-3.84,-5.28,-8.31,-10.72,-9.91,-8.88,-10.41,-12.47,-12.09,-11.34,-11.84,-13.47,-12.44,-8.88,-5.44,-3.44,-0.31,4.72,8.53,8.75,8.19,9.53,10.69,9.28,7.0,7.22,8.34,7.62,4.75,2.78,1.72,-0.09,-4.34,-7.22,-6.38,-4.34,-3.5,-1.44,4.03,9.97,12.84,13.12,13.5,13.81,12.0,8.25,6.06,6.44,6.81,5.03,3.84,5.75,7.94,7.81,7.12,8.88,11.62,12.31,11.38,12.16,14.25,14.75,12.34,10.16,9.69,8.78,5.03,1.69,1.56,1.62,-0.09,-2.5,-2.53,-0.56,-0.09,-0.75,-0.34,1.69,2.38,0.16,-0.53,1.84,5.25,6.91,8.81,12.19,15.84,15.84,13.25,12.16,11.78,9.12,4.12,0.06,-2.09,-4.62,-9.06,-11.59,-10.06,-6.84,-4.78,-2.16,2.69,8.91,12.5,14.59,18.56,23.28,25.69,24.59,23.22,22.97,21.72,17.41,13.22,11.5,10.5,7.38,4.0,3.31,4.19,3.19,0.81,-0.03,1.28,1.56,-0.22,-2.16,-1.62,-1.78,-4.56,-7.19,-6.44,-3.75,-2.91,-2.28,0.28,4.25,6.12,5.44,5.09,6.28,6.41,4.22,2.53,3.84,6.12,5.97,5.12,6.59,8.62,8.75,7.59,8.22,11.22,13.22,12.94,13.78,16.47,18.41,17.44,15.78,16.16,16.88,14.78,11.41,10.47,10.56,9.03,6.5,5.28,6.88,7.94,7.28,7.28,10.09,12.5,11.81,10.41,11.47,13.16,12.53,11.03,11.28,13.75,15.0,14.66,15.78,19.09,21.09,20.31,19.12,19.66,19.81,17.28,14.38,14.12,15.28,14.22,11.78,10.66,11.0,10.22,8.56,8.19,11.09,14.0,13.88,13.31,14.44,15.81,14.59,12.56,13.28,15.31,15.72,14.41,14.16,15.62,15.97,14.0,12.66,14.5,16.84,16.66,15.88,17.31,19.06,18.06,15.41,14.41,15.25,15.03,13.72,14.47,18.53,22.0,22.94,23.38,25.81,27.66,26.28,23.81,23.22,23.75,22.44,19.69,18.81,19.91,19.78,17.5,15.84,16.41,16.75,14.28,11.44,11.91,13.34,13.09,12.81,14.56,17.34,18.03,16.31,15.38,16.41,15.94,12.91,10.66,11.31,12.19,11.34,10.06,11.88,14.03,14.03,12.62,13.47,15.62,16.25,14.62,13.72,14.72,14.34,11.5,9.16,9.81,10.81,10.0,8.56,9.88,12.09,12.38,11.88,12.47,14.28,14.69,13.09,11.72,12.91,13.88,12.22,10.41,10.69,11.75,11.09,9.81,11.28,14.38,16.31,16.69,17.75,20.0,20.16,17.25,14.66,14.94,15.94,15.72,15.44,18.0,21.06,21.81,20.81,21.41,23.53,23.72,21.81,20.59,21.75,21.91,19.66,17.62,18.31,19.34,18.0,15.88,15.94,16.91,15.94,13.66,12.78,14.12,14.81,13.16,12.41,14.12,15.34,14.12,12.22,12.66,13.66,12.31,9.69,9.84,11.31,11.16,9.03,7.97,8.16,7.78,5.62,4.69,6.88,9.41,9.62,8.97,10.56,12.38,12.16,11.09,11.69,13.88,14.97,13.97,14.16,16.38,17.53,16.25,14.78,15.56,16.34,14.97,13.28,14.31,16.38,17.16,16.41,17.03,18.88,19.12,17.62,16.78,17.75,18.94,17.44,15.81,16.41,17.22,15.47,12.5,10.84,10.41,8.81,6.41,6.16,8.81,11.81,12.84,14.75,18.59,21.97,21.5,19.81,19.56,19.91,18.31,15.62,14.47,14.97,14.09,11.28,9.31,9.72,10.06,8.0,6.56,7.94,10.06,10.09,9.38,10.97,14.19,15.66,15.78,17.22,19.5,20.22,17.94,15.84,16.16,16.78,15.31,14.0,15.62,17.72,17.84,17.47,19.31,22.94,24.91,24.84,25.31,26.53,26.22,22.47,19.0,17.72,17.0,14.62,13.03,14.22,16.59,16.72,15.22,14.69,15.38,14.56,12.28,11.28,12.97,14.69,14.62,15.28,18.56,22.06,21.97,20.56,19.69,19.62,18.25,16.31,16.78,20.34,23.69,24.31,25.59,28.28,29.75,28.19,25.78,25.09,25.47,23.81,21.62,21.41,22.53,21.84,19.97,18.97,20.41,21.22,20.38,19.97,21.81,23.75,23.59,22.53,23.69,26.09,25.94,24.72,24.31,25.16,24.62,22.62,22.0,24.0,26.09,26.19,26.16,27.88,29.78,28.44,25.88,24.72,24.91,23.97,23.0,24.34,28.19,31.19,31.12,30.84,31.88,32.41,30.34,28.28,28.88,30.84,31.12,30.81,31.75,33.44,32.59,29.69,27.44,27.72,27.84,26.31,25.12,26.56,28.16,27.59,26.22,26.69,27.66,26.09,23.22,21.69,22.28,22.25,21.25,21.22,23.72,25.75,24.94,23.94,24.91,26.31,25.59,24.25,24.91,27.31,27.59,26.5,26.47,27.41,27.16,24.31,21.75,21.88,22.47,21.44,20.72,22.75,25.72,26.12,24.91,24.53,25.28,24.12,21.28,19.53,20.41,20.88,19.12,17.47,18.12,18.41,16.5,14.16,14.81,17.25,18.97,19.97,22.12,25.59,27.66,27.12,26.69,28.53,29.66,28.22,26.5,27.47,28.81,28.03,26.25,26.25,27.22,26.22,23.5,22.0,22.66,23.31,22.12,21.62,23.62,25.44,24.47,22.75,23.25,24.66,24.41,22.59,23.09,25.06,25.56,23.97,23.38,24.69,25.19,23.12,21.19,21.75,22.12,20.0,17.53,17.47,18.62,18.56,17.25,17.41,19.09,19.88,18.91,19.03,22.12,24.62,25.0,24.5,26.41,28.0,27.06,25.25,25.38,27.16,26.88,25.22,24.88,26.53,27.31,26.19,25.84,27.62,29.28,28.5,26.91,27.53,28.88,28.0,25.91,26.16,28.44,29.28,27.97,28.06,30.31,32.03,30.94,30.31,31.5,31.94,29.56,26.41,38.5,38.56,39.12,41.06,41.91,41.34,41.06,42.12,42.25,40.16,37.75,37.22,36.72,34.88,32.91,32.75,33.91,34.56,34.28,35.59,38.25,39.62,39.09,38.44,39.06,38.53,37.12,35.19,35.38,36.75,37.34,37.44,38.84,40.97,41.59,39.97,38.69,38.19,36.94,34.22,31.88,32.09:positivity
24.5,23.97,24.28,23.5,22.25,21.84,22.78,23.47,22.88,22.78,23.88,25.12,25.22,24.84,26.25,27.97,28.31,27.69,27.62,27.97,26.88,24.53,22.31,21.62,20.5,18.44,16.94,17.19,17.72,17.12,16.25,17.03,18.12,18.34,18.03,19.09,21.06,21.94,21.81,21.25,21.91,21.62,19.69,17.62,17.06,17.0,16.03,15.0,16.25,18.97,20.75,21.97,23.59,25.81,26.44,25.28,23.41,23.19,22.78,20.91,18.47,17.78,17.25,15.28,13.03,12.53,13.03,13.28,12.44,12.31,13.34,13.94,13.75,13.47,14.84,15.75,14.88,13.56,13.81,14.47,14.0,13.16,13.28,14.53,14.91,14.75,15.38,17.19,18.28,18.34,17.5,18.19,19.06,19.09,18.75,20.59,23.69,25.31,25.59,26.38,27.47,27.19,25.38,24.47,25.06,25.59,24.56,23.16,23.19,23.16,21.53,18.66,16.69,14.97,12.0,8.72,7.12,7.28,7.66,7.16,7.25,8.44,9.34,9.12,8.59,9.75,11.38,12.16,12.09,13.62,15.06,15.03,13.78,12.91,12.78,12.53,11.09,10.53,11.75,13.22,12.81,12.22,12.69,13.22,12.12,10.31,9.91,10.16,10.0,9.59,10.47,13.12,15.44,16.41,17.31,19.38,20.81,19.81,17.69,16.5,14.56,11.47,7.5,5.81,5.81,5.44,4.97,5.78,7.53,8.78,8.0,7.78,8.59,9.47,8.59,6.84,6.56,6.69,6.19,5.69,7.06,10.0,11.91,12.53,13.25,15.22,16.97,18.0,19.44,22.53,25.75,26.94,26.28,26.47,26.22,24.31,20.91,18.56,16.88,14.78,11.22,8.62,7.81,7.31,6.12,6.09,8.25,11.53,14.62,17.25,21.62,26.72,29.75,30.28,30.34,29.81,28.5,25.28,22.41,21.53,20.78,18.34,16.0,15.12,14.88,14.5,13.53,14.75,17.31,19.34,19.56,20.19,21.16,21.38,19.66,18.06,18.25,18.28,17.12,16.38,17.78,20.5,22.62,23.97,26.31,28.59,29.53,28.88,28.78,30.12,31.09,30.16,29.0,28.81,28.56,26.19,23.75,22.91,22.91,22.03,20.22,19.5,19.47,18.88,16.28,15.03,15.12,15.09,13.66,11.97,12.19,12.41,11.56,10.72,11.5,13.5,14.34,14.06,14.41,15.16,15.06,13.56,12.69,13.88,15.12,15.0,14.34,14.69,14.94,13.84,12.41,12.88,14.97,15.5,15.03,15.25,15.97,15.78,14.47,13.88,15.0,16.72,17.09,18.0,20.28,22.72,23.19,22.78,22.78,23.31,22.62,20.84,19.81,20.5,20.66,19.06,17.75,18.16,18.56,17.47,16.91,17.88,18.97,18.84,18.09,18.34,19.97,20.81,20.38,20.19,20.56,19.94,17.06,14.78,14.31,15.31,15.78,16.59,19.59,23.0,24.25,23.69,23.0,23.0,22.03,19.75,18.78,20.03,21.31,20.97,21.28,22.38,22.69,20.12,16.41,13.12,10.44,7.38,4.88,4.94,7.62,10.75,13.03,15.22,18.53,21.09,21.12,21.12,22.69,24.78,25.28,25.62,27.28,29.12,29.53,28.59,27.94,27.62,26.34,23.22,19.62,17.62,15.66,12.19,9.59,8.84,9.56,9.31,9.12,10.84,14.25,16.91,18.16,20.38,23.5,25.66,25.31,24.69,24.25,23.31,19.91,16.97,15.62,15.66,14.91,13.72,13.72,13.97,12.84,10.53,8.88,9.0,9.44,8.59,9.0,10.66,11.97,12.09,11.25,10.84,10.16,7.25,3.31,0.28,-0.88,-1.31,-1.56,0.12,4.06,8.25,10.97,13.5,17.19,20.38,21.19,20.91,21.38,22.53,22.12,21.34,21.66,23.03,23.47,21.81,20.66,20.62,20.59,19.44,18.19,18.94,19.53,17.97,15.72,14.41,13.44,11.09,8.69,7.88,8.91,10.12,10.34,10.72,12.38,13.31,12.41,10.88,11.69,13.31,12.84,11.91,11.91,12.0,10.22,6.53,3.41,0.94,-2.38,-7.25,-10.81,-12.03,-12.0,-12.62,-12.78,-10.19,-6.72,-4.06,-1.75,2.28,7.59,11.12,13.69,16.53,20.62,23.88,25.62,26.97,29.31,30.62,28.94,25.06,21.72,17.81,11.84,5.72,1.47,-0.16,-1.44,-2.44,-1.47,1.53,4.62,6.31,8.0,10.84,13.81,14.41,14.56,15.66,17.09,16.53,14.97,14.38,15.03,15.0,13.94,13.62,14.78,14.84,13.31,11.62,11.66,12.5,12.38,11.81,12.94,14.75,14.97,14.19,15.0,17.34,19.16,20.16,21.78,24.38,26.03,25.62,24.03,23.34,22.66,20.06,17.19,15.31,14.44,12.47,10.16,9.03,9.81,10.44,9.84,9.88,11.56,12.91,12.53,12.69,14.06,15.72,15.72,15.28,15.28,16.38,16.41,15.66,15.84,17.25,17.72,16.0,14.12,13.0,11.81,9.41,7.84,8.31,9.81,9.78,8.72,8.22,8.44,6.91,4.66,3.62,4.62,5.41,5.62,6.12,8.69,10.72,10.94,10.59,11.53,12.97,12.5,10.84,10.5,10.38,8.91,5.84,3.09,1.94,0.5,-1.44,-2.03,-0.06,3.56,6.03,8.19,11.97,15.38,16.84,16.81,17.94,19.62,19.97,19.16,18.56,19.16,19.41,18.19,16.94,17.41,17.81,16.91,15.03,14.72,15.28,14.84,13.12,12.44,12.75,12.5,10.53,9.28,10.16,10.81,10.12,8.94,9.28,9.47,8.19,6.44,6.38,7.25,7.09,6.31,6.22,7.12,7.53,6.78,6.31,7.59,8.97,9.31,9.5,11.44,13.56,13.84,12.5,12.41,13.22,13.25,12.78,13.97,16.66,18.47,18.12,17.81,19.12,19.62,18.91,18.34,19.0,19.78,19.62,18.53,18.25,18.91,18.41,17.09,16.78,18.06,18.53,17.72,16.53,16.19,15.81,13.91,11.84,11.34,11.62,10.66,9.31,9.72,11.0,12.44,12.94,13.88,16.47,17.78,17.66,17.09,17.81,18.62,18.0,17.06,18.25,19.69,19.97,19.34,19.72,20.56,20.34,18.62,17.56,18.25,18.53,17.38,16.16,16.12,15.78,14.41,12.28,11.97,12.19,11.62,10.59,10.78,12.66,14.12,14.62,15.53,18.28,20.12,20.19,19.75,20.75,21.44,20.78,19.41,19.59,20.19,19.69,18.25,17.66,17.97,17.56,15.69,13.88,13.47,13.03,10.91,9.31,9.53,10.31,9.38,7.91,7.22,7.06,6.06,4.25,3.62,4.06,4.38,3.06,1.97,2.81,4.12,5.03,6.78,10.22,14.16,16.56,16.81,17.16,17.0,15.31,12.0,9.69,8.91,8.38,6.59,5.5,5.62,5.84,4.41,3.09,3.59,4.78,5.47,5.56,7.0,9.31,11.0,11.06,11.53,12.81,13.12,11.47,9.53,9.28,9.31,8.81,8.06,9.59,11.41,12.47,11.97,12.12,12.81,12.69,11.06,10.31,10.59,10.97,9.91,8.53,8.97,9.44,9.03,8.22,8.84,10.44,10.81,10.38,11.22,12.91,14.06,14.06,14.38,15.94,16.75,16.19,14.94,15.12,15.66,15.25,14.88,15.75,17.59,18.0,16.84,16.25,16.72,16.75,15.5,14.97,15.84,16.06,14.5,12.72,12.88,13.16,12.47,11.53,11.72,12.91,13.66,13.59,14.34,16.53,18.03,17.72,17.84,19.56,21.78,22.66,23.16,25.03,26.19,24.62,21.47,18.66,16.25,13.84,10.56,8.38,8.06,7.31,4.16,1.22,-0.5,-1.62,-3.56,-4.94,-3.84,-2.06,-1.22,-0.84,0.62,3.47,6.19,8.19,10.72,13.97,16.66,17.09,16.66,17.03,17.06,15.16,12.59,11.28,10.81,9.62,8.41,8.41,9.62,9.81,8.12,6.53,6.38,6.06,5.0,4.31,5.97,8.09,8.69,8.81,10.38,11.91,12.53,12.28,13.09,15.16,16.56,16.12,15.47,15.47,14.91,12.66,10.91,11.41,13.03,13.59,13.72,14.25,14.09,12.03,7.88,4.38,2.66,1.41,-0.25,-0.44,1.5,4.03,5.25,6.91,9.69,12.56,13.66,13.78,14.56,15.91,16.56,16.25,16.72,18.41,20.31,20.12,20.03,20.81,20.75,18.69,16.16,15.12,15.0,14.16,13.28,13.44,14.62,15.25,14.47,14.44,15.38,15.91,14.66,13.91,14.22,14.91,13.97,12.72,12.12,12.38,11.0,8.75,7.38,6.59,5.16,1.97,-0.53,-1.66,-2.59,-4.16,-4.56,-2.94,-0.56,0.56,1.38,2.78,4.59,4.88,4.12,3.72,3.69,2.44,-0.66,-3.12,-4.53,-5.47,-6.62,-7.31,-5.41,-1.97,0.56,2.62,5.34,8.41,10.28,11.28,13.47,16.97,19.66,20.0,20.28,20.94,21.06,19.5,17.94,17.66,17.75,16.53,14.31,13.16,12.69,11.69,9.84,9.34,10.19,10.94,10.25,10.03,10.88,11.97,11.78,11.69,13.53,16.31,18.34,19.06,20.19,21.41,20.56,18.25,16.28,15.56,14.97,13.44,12.62,13.47,14.78,14.56,13.78,14.28,15.12,15.31,15.16,15.72,17.44,18.44,17.5,17.16,18.03,18.66,17.69,16.97,17.5,18.19,16.94,15.5,14.88,15.22,14.25,13.06,12.53,13.28,13.06,11.66,10.62,10.5,10.38,9.03,7.72,8.22,9.59,10.41,11.31,13.25,15.84,17.44,17.25,17.75,19.19,20.09,19.75,19.97,21.09,22.16,21.19,20.28,20.75,21.59,20.5,18.62,16.81,15.59,13.47,11.0,9.97,11.25,12.47,12.94,13.53,15.19,16.59,15.78,14.5,13.97,14.16,13.41,12.53,12.25,13.19,13.62,12.84,12.69,14.53,16.66,17.44,18.06,20.66,22.94,23.06,22.31:23.47,22.88,22.78,23.88,25.12,25.22,24.84,26.25,27.97,28.31,27.69,27.62,27.97,26.88,24.53,22.31,21.62,20.5,18.44,16.94,17.19,17.72,17.12,16.25,17.03,18.12,18.34,18.03,19.09,21.06,21.94,21.81,21.25,21.91,21.62,19.69,17.62,17.06,17.0,16.03,15.0,16.25,18.97,20.75,21.97,23.59,25.81,26.44,25.28,23.41,23.19,22.78,20.91,18.47,17.78,17.25,15.28,13.03,12.53,13.03,13.28,12.44,12.31,13.34,13.94,13.75,13.47,14.84,15.75,14.88,13.56,13.81,14.47,14.0,13.16,13.28,14.53,14.91,14.75,15.38,17.19,18.28,18.34,17.5,18.19,19.06,19.09,18.75,20.59,23.69,25.31,25.59,26.38,27.47,27.19,25.38,24.47,25.06,25.59,24.56,23.16,23.19,23.16,21.53,18.66,16.69,14.97,12.0,8.72,7.12,7.28,7.66,7.16,7.25,8.44,9.34,9.12,8.59,9.75,11.38,12.16,12.09,13.62,15.06,15.03,13.78,12.91,12.78,12.53,11.09,10.53,11.75,13.22,12.81,12.22,12.69,13.22,12.12,10.31,9.91,10.16,10.0,9.59,10.47,13.12,15.44,16.41,17.31,19.38,20.81,19.81,17.69,16.5,14.56,11.47,7.5,5.81,5.81,5.44,4.97,5.78,7.53,8.78,8.0,7.78,8.59,9.47,8.59,6.84,6.56,6.69,6.19,5.69,7.06,10.0,11.91,12.53,13.25,15.22,16.97,18.0,19.44,22.53,25.75,26.94,26.28,26.47,26.22,24.31,20.91,18.56,16.88,14.78,11.22,8.62,7.81,7.31,6.12,6.09,8.25,11.53,14.62,17.25,21.62,26.72,29.75,30.28,30.34,29.81,28.5,25.28,22.41,21.53,20.78,18.34,16.0,15.12,14.88,14.5,13.53,14.75,17.31,19.34,19.56,20.19,21.16,21.38,19.66,18.06,18.25,18.28,17.12,16.38,17.78,20.5,22.62,23.97,26.31,28.59,29.53,28.88,28.78,30.12,31.09,30.16,29.0,28.81,28.56,26.19,23.75,22.91,22.91,22.03,20.22,19.5,19.47,18.88,16.28,15.03,15.12,15.09,13.66,11.97,12.19,12.41,11.56,10.72,11.5,13.5,14.34,14.06,14.41,15.16,15.06,13.56,12.69,13.88,15.12,15.0,14.34,14.69,14.94,13.84,12.41,12.88,14.97,15.5,15.03,15.25,15.97,15.78,14.47,13.88,15.0,16.72,17.09,18.0,20.28,22.72,23.19,22.78,22.78,23.31,22.62,20.84,19.81,20.5,20.66,19.06,17.75,18.16,18.56,17.47,16.91,17.88,18.97,18.84,18.09,18.34,19.97,20.81,20.38,20.19,20.56,19.94,17.06,14.78,14.31,15.31,15.78,16.59,19.59,23.0,24.25,23.69,23.0,23.0,22.03,19.75,18.78,20.03,21.31,20.97,21.28,22.38,22.69,20.12,16.41,13.12,10.44,7.38,4.88,4.94,7.62,10.75,13.03,15.22,18.53,21.09,21.12,21.12,22.69,24.78,25.28,25.62,27.28,29.12,29.53,28.59,27.94,27.62,26.34,23.22,19.62,17.62,15.66,12.19,9.59,8.84,9.56,9.31,9.12,10.84,14.25,16.91,18.16,20.38,23.5,25.66,25.31,24.69,24.25,23.31,19.91,16.97,15.62,15.66,14.91,13.72,13.72,13.97,12.84,10.53,8.88,9.0,9.44,8.59,9.0,10.66,11.97,12.09,11.25,10.84,10.16,7.25,3.31,0.28,-0.88,-1.31,-1.56,0.12,4.06,8.25,10.97,13.5,17.19,20.38,21.19,20.91,21.38,22.53,22.12,21.34,21.66,23.03,23.47,21.81,20.66,20.62,20.59,19.44,18.19,18.94,19.53,17.97,15.72,14.41,13.44,11.09,8.69,7.88,8.91,10.12,10.34,10.72,12.38,13.31,12.41,10.88,11.69,13.31,12.84,11.91,11.91,12.0,10.22,6.53,3.41,0.94,-2.38,-7.25,-10.81,-12.03,-12.0,-12.62,-12.78,-10.19,-6.72,-4.06,-1.75,2.28,7.59,11.12,13.69,16.53,20.62,23.88,25.62,26.97,29.31,30.62,28.94,25.06,21.72,17.81,11.84,5.72,1.47,-0.16,-1.44,-2.44,-1.47,1.53,4.62,6.31,8.0,10.84,13.81,14.41,14.56,15.66,17.09,16.53,14.97,14.38,15.03,15.0,13.94,13.62,14.78,14.84,13.31,11.62,11.66,12.5,12.38,11.81,12.94,14.75,14.97,14.19,15.0,17.34,19.16,20.16,21.78,24.38,26.03,25.62,24.03,23.34,22.66,20.06,17.19,15.31,14.44,12.47,10.16,9.03,9.81,10.44,9.84,9.88,11.56,12.91,12.53,12.69,14.06,15.72,15.72,15.28,15.28,16.38,16.41,15.66,15.84,17.25,17.72,16.0,14.12,13.0,11.81,9.41,7.84,8.31,9.81,9.78,8.72,8.22,8.44,6.91,4.66,3.62,4.62,5.41,5.62,6.12,8.69,10.72,10.94,10.59,11.53,12.97,12.5,10.84,10.5,10.38,8.91,5.84,3.09,1.94,0.5,-1.44,-2.03,-0.06,3.56,6.03,8.19,11.97,15.38,16.84,16.81,17.94,19.62,19.97,19.16,18.56,19.16,19.41,18.19,16.94,17.41,17.81,16.91,15.03,14.72,15.28,14.84,13.12,12.44,12.75,12.5,10.53,9.28,10.16,10.81,10.12,8.94,9.28,9.47,8.19,6.44,6.38,7.25,7.09,6.31,6.22,7.12,7.53,6.78,6.31,7.59,8.97,9.31,9.5,11.44,13.56,13.84,12.5,12.41,13.22,13.25,12.78,13.97,16.66,18.47,18.12,17.81,19.12,19.62,18.91,18.34,19.0,19.78,19.62,18.53,18.25,18.91,18.41,17.09,16.78,18.06,18.53,17.72,16.53,16.19,15.81,13.91,11.84,11.34,11.62,10.66,9.31,9.72,11.0,12.44,12.94,13.88,16.47,17.78,17.66,17.09,17.81,18.62,18.0,17.06,18.25,19.69,19.97,19.34,19.72,20.56,20.34,18.62,17.56,18.25,18.53,17.38,16.16,16.12,15.78,14.41,12.28,11.97,12.19,11.62,10.59,10.78,12.66,14.12,14.62,15.53,18.28,20.12,20.19,19.75,20.75,21.44,20.78,19.41,19.59,20.19,19.69,18.25,17.66,17.97,17.56,15.69,13.88,13.47,13.03,10.91,9.31,9.53,10.31,9.38,7.91,7.22,7.06,6.06,4.25,3.62,4.06,4.38,3.06,1.97,2.81,4.12,5.03,6.78,10.22,14.16,16.56,16.81,17.16,17.0,15.31,12.0,9.69,8.91,8.38,6.59,5.5,5.62,5.84,4.41,3.09,3.59,4.78,5.47,5.56,7.0,9.31,11.0,11.06,11.53,12.81,13.12,11.47,9.53,9.28,9.31,8.81,8.06,9.59,11.41,12.47,11.97,12.12,12.81,12.69,11.06,10.31,10.59,10.97,9.91,8.53,8.97,9.44,9.03,8.22,8.84,10.44,10.81,10.38,11.22,12.91,14.06,14.06,14.38,15.94,16.75,16.19,14.94,15.12,15.66,15.25,14.88,15.75,17.59,18.0,16.84,16.25,16.72,16.75,15.5,14.97,15.84,16.06,14.5,12.72,12.88,13.16,12.47,11.53,11.72,12.91,13.66,13.59,14.34,16.53,18.03,17.72,17.84,19.56,21.78,22.66,23.16,25.03,26.19,24.62,21.47,18.66,16.25,13.84,10.56,8.38,8.06,7.31,4.16,1.22,-0.5,-1.62,-3.56,-4.94,-3.84,-2.06,-1.22,-0.84,0.62,3.47,6.19,8.19,10.72,13.97,16.66,17.09,16.66,17.03,17.06,15.16,12.59,11.28,10.81,9.62,8.41,8.41,9.62,9.81,8.12,6.53,6.38,6.06,5.0,4.31,5.97,8.09,8.69,8.81,10.38,11.91,12.53,12.28,13.09,15.16,16.56,16.12,15.47,15.47,14.91,12.66,10.91,11.41,13.03,13.59,13.72,14.25,14.09,12.03,7.88,4.38,2.66,1.41,-0.25,-0.44,1.5,4.03,5.25,6.91,9.69,12.56,13.66,13.78,14.56,15.91,16.56,16.25,16.72,18.41,20.31,20.12,20.03,20.81,20.75,18.69,16.16,15.12,15.0,14.16,13.28,13.44,14.62,15.25,14.47,14.44,15.38,15.91,14.66,13.91,14.22,14.91,13.97,12.72,12.12,12.38,11.0,8.75,7.38,6.59,5.16,1.97,-0.53,-1.66,-2.59,-4.16,-4.56,-2.94,-0.56,0.56,1.38,2.78,4.59,4.88,4.12,3.72,3.69,2.44,-0.66,-3.12,-4.53,-5.47,-6.62,-7.31,-5.41,-1.97,0.56,2.62,5.34,8.41,10.28,11.28,13.47,16.97,19.66,20.0,20.28,20.94,21.06,19.5,17.94,17.66,17.75,16.53,14.31,13.16,12.69,11.69,9.84,9.34,10.19,10.94,10.25,10.03,10.88,11.97,11.78,11.69,13.53,16.31,18.34,19.06,20.19,21.41,20.56,18.25,16.28,15.56,14.97,13.44,12.62,13.47,14.78,14.56,13.78,14.28,15.12,15.31,15.16,15.72,17.44,18.44,17.5,17.16,18.03,18.66,17.69,16.97,17.5,18.19,16.94,15.5,14.88,15.22,14.25,13.06,12.53,13.28,13.06,11.66,10.62,10.5,10.38,9.03,7.72,8.22,9.59,10.41,11.31,13.25,15.84,17.44,17.25,17.75,19.19,20.09,19.75,19.97,21.09,22.16,21.19,20.28,20.75,21.59,20.5,18.62,16.81,15.59,13.47,11.0,9.97,11.25,12.47,12.94,13.53,15.19,16.59,15.78,14.5,13.97,14.16,13.41,12.53,12.25,13.19,13.62,12.84,12.69,14.53,16.66,17.44,18.06,20.66,22.94,23.06,22.31,55.12,55.59,56.28,57.03,57.81,58.47,58.66:26.25,27.97,28.31,27.69,27.62,27.97,26.88,24.53,22.31,21.62,20.5,18.44,16.94,17.19,17.72,17.12,16.25,17.03,18.12,18.34,18.03,19.09,21.06,21.94,21.81,21.25,21.91,21.62,19.69,17.62,17.06,17.0,16.03,15.0,16.25,18.97,20.75,21.97,23.59,25.81,26.44,25.28,23.41,23.19,22.78,20.91,18.47,17.78,17.25,15.28,13.03,12.53,13.03,13.28,12.44,12.31,13.34,13.94,13.75,13.47,14.84,15.75,14.88,13.56,13.81,14.47,14.0,13.16,13.28,14.53,14.91,14.75,15.38,17.19,18.28,18.34,17.5,18.19,19.06,19.09,18.75,20.59,23.69,25.31,25.59,26.38,27.47,27.19,25.38,24.47,25.06,25.59,24.56,23.16,23.19,23.16,21.53,18.66,16.69,14.97,12.0,8.72,7.12,7.28,7.66,7.16,7.25,8.44,9.34,9.12,8.59,9.75,11.38,12.16,12.09,13.62,15.06,15.03,13.78,12.91,12.78,12.53,11.09,10.53,11.75,13.22,12.81,12.22,12.69,13.22,12.12,10.31,9.91,10.16,10.0,9.59,10.47,13.12,15.44,16.41,17.31,19.38,20.81,19.81,17.69,16.5,14.56,11.47,7.5,5.81,5.81,5.44,4.97,5.78,7.53,8.78,8.0,7.78,8.59,9.47,8.59,6.84,6.56,6.69,6.19,5.69,7.06,10.0,11.91,12.53,13.25,15.22,16.97,18.0,19.44,22.53,25.75,26.94,26.28,26.47,26.22,24.31,20.91,18.56,16.88,14.78,11.22,8.62,7.81,7.31,6.12,6.09,8.25,11.53,14.62,17.25,21.62,26.72,29.75,30.28,30.34,29.81,28.5,25.28,22.41,21.53,20.78,18.34,16.0,15.12,14.88,14.5,13.53,14.75,17.31,19.34,19.56,20.19,21.16,21.38,19.66,18.06,18.25,18.28,17.12,16.38,17.78,20.5,22.62,23.97,26.31,28.59,29.53,28.88,28.78,30.12,31.09,30.16,29.0,28.81,28.56,26.19,23.75,22.91,22.91,22.03,20.22,19.5,19.47,18.88,16.28,15.03,15.12,15.09,13.66,11.97,12.19,12.41,11.56,10.72,11.5,13.5,14.34,14.06,14.41,15.16,15.06,13.56,12.69,13.88,15.12,15.0,14.34,14.69,14.94,13.84,12.41,12.88,14.97,15.5,15.03,15.25,15.97,15.78,14.47,13.88,15.0,16.72,17.09,18.0,20.28,22.72,23.19,22.78,22.78,23.31,22.62,20.84,19.81,20.5,20.66,19.06,17.75,18.16,18.56,17.47,16.91,17.88,18.97,18.84,18.09,18.34,19.97,20.81,20.38,20.19,20.56,19.94,17.06,14.78,14.31,15.31,15.78,16.59,19.59,23.0,24.25,23.69,23.0,23.0,22.03,19.75,18.78,20.03,21.31,20.97,21.28,22.38,22.69,20.12,16.41,13.12,10.44,7.38,4.88,4.94,7.62,10.75,13.03,15.22,18.53,21.09,21.12,21.12,22.69,24.78,25.28,25.62,27.28,29.12,29.53,28.59,27.94,27.62,26.34,23.22,19.62,17.62,15.66,12.19,9.59,8.84,9.56,9.31,9.12,10.84,14.25,16.91,18.16,20.38,23.5,25.66,25.31,24.69,24.25,23.31,19.91,16.97,15.62,15.66,14.91,13.72,13.72,13.97,12.84,10.53,8.88,9.0,9.44,8.59,9.0,10.66,11.97,12.09,11.25,10.84,10.16,7.25,3.31,0.28,-0.88,-1.31,-1.56,0.12,4.06,8.25,10.97,13.5,17.19,20.38,21.19,20.91,21.38,22.53,22.12,21.34,21.66,23.03,23.47,21.81,20.66,20.62,20.59,19.44,18.19,18.94,19.53,17.97,15.72,14.41,13.44,11.09,8.69,7.88,8.91,10.12,10.34,10.72,12.38,13.31,12.41,10.88,11.69,13.31,12.84,11.91,11.91,12.0,10.22,6.53,3.41,0.94,-2.38,-7.25,-10.81,-12.03,-12.0,-12.62,-12.78,-10.19,-6.72,-4.06,-1.75,2.28,7.59,11.12,13.69,16.53,20.62,23.88,25.62,26.97,29.31,30.62,28.94,25.06,21.72,17.81,11.84,5.72,1.47,-0.16,-1.44,-2.44,-1.47,1.53,4.62,6.31,8.0,10.84,13.81,14.41,14.56,15.66,17.09,16.53,14.97,14.38,15.03,15.0,13.94,13.62,14.78,14.84,13.31,11.62,11.66,12.5,12.38,11.81,12.94,14.75,14.97,14.19,15.0,17.34,19.16,20.16,21.78,24.38,26.03,25.62,24.03,23.34,22.66,20.06,17.19,15.31,14.44,12.47,10.16,9.03,9.81,10.44,9.84,9.88,11.56,12.91,12.53,12.69,14.06,15.72,15.72,15.28,15.28,16.38,16.41,15.66,15.84,17.25,17.72,16.0,14.12,13.0,11.81,9.41,7.84,8.31,9.81,9.78,8.72,8.22,8.44,6.91,4.66,3.62,4.62,5.41,5.62,6.12,8.69,10.72,10.94,10.59,11.53,12.97,12.5,10.84,10.5,10.38,8.91,5.84,3.09,1.94,0.5,-1.44,-2.03,-0.06,3.56,6.03,8.19,11.97,15.38,16.84,16.81,17.94,19.62,19.97,19.16,18.56,19.16,19.41,18.19,16.94,17.41,17.81,16.91,15.03,14.72,15.28,14.84,13.12,12.44,12.75,12.5,10.53,9.28,10.16,10.81,10.12,8.94,9.28,9.47,8.19,6.44,6.38,7.25,7.09,6.31,6.22,7.12,7.53,6.78,6.31,7.59,8.97,9.31,9.5,11.44,13.56,13.84,12.5,12.41,13.22,13.25,12.78,13.97,16.66,18.47,18.12,17.81,19.12,19.62,18.91,18.34,19.0,19.78,19.62,18.53,18.25,18.91,18.41,17.09,16.78,18.06,18.53,17.72,16.53,16.19,15.81,13.91,11.84,11.34,11.62,10.66,9.31,9.72,11.0,12.44,12.94,13.88,16.47,17.78,17.66,17.09,17.81,18.62,18.0,17.06,18.25,19.69,19.97,19.34,19.72,20.56,20.34,18.62,17.56,18.25,18.53,17.38,16.16,16.12,15.78,14.41,12.28,11.97,12.19,11.62,10.59,10.78,12.66,14.12,14.62,15.53,18.28,20.12,20.19,19.75,20.75,21.44,20.78,19.41,19.59,20.19,19.69,18.25,17.66,17.97,17.56,15.69,13.88,13.47,13.03,10.91,9.31,9.53,10.31,9.38,7.91,7.22,7.06,6.06,4.25,3.62,4.06,4.38,3.06,1.97,2.81,4.12,5.03,6.78,10.22,14.16,16.56,16.81,17.16,17.0,15.31,12.0,9.69,8.91,8.38,6.59,5.5,5.62,5.84,4.41,3.09,3.59,4.78,5.47,5.56,7.0,9.31,11.0,11.06,11.53,12.81,13.12,11.47,9.53,9.28,9.31,8.81,8.06,9.59,11.41,12.47,11.97,12.12,12.81,12.69,11.06,10.31,10.59,10.97,9.91,8.53,8.97,9.44,9.03,8.22,8.84,10.44,10.81,10.38,11.22,12.91,14.06,14.06,14.38,15.94,16.75,16.19,14.94,15.12,15.66,15.25,14.88,15.75,17.59,18.0,16.84,16.25,16.72,16.75,15.5,14.97,15.84,16.06,14.5,12.72,12.88,13.16,12.47,11.53,11.72,12.91,13.66,13.59,14.34,16.53,18.03,17.72,17.84,19.56,21.78,22.66,23.16,25.03,26.19,24.62,21.47,18.66,16.25,13.84,10.56,8.38,8.06,7.31,4.16,1.22,-0.5,-1.62,-3.56,-4.94,-3.84,-2.06,-1.22,-0.84,0.62,3.47,6.19,8.19,10.72,13.97,16.66,17.09,16.66,17.03,17.06,15.16,12.59,11.28,10.81,9.62,8.41,8.41,9.62,9.81,8.12,6.53,6.38,6.06,5.0,4.31,5.97,8.09,8.69,8.81,10.38,11.91,12.53,12.28,13.09,15.16,16.56,16.12,15.47,15.47,14.91,12.66,10.91,11.41,13.03,13.59,13.72,14.25,14.09,12.03,7.88,4.38,2.66,1.41,-0.25,-0.44,1.5,4.03,5.25,6.91,9.69,12.56,13.66,13.78,14.56,15.91,16.56,16.25,16.72,18.41,20.31,20.12,20.03,20.81,20.75,18.69,16.16,15.12,15.0,14.16,13.28,13.44,14.62,15.25,14.47,14.44,15.38,15.91,14.66,13.91,14.22,14.91,13.97,12.72,12.12,12.38,11.0,8.75,7.38,6.59,5.16,1.97,-0.53,-1.66,-2.59,-4.16,-4.56,-2.94,-0.56,0.56,1.38,2.78,4.59,4.88,4.12,3.72,3.69,2.44,-0.66,-3.12,-4.53,-5.47,-6.62,-7.31,-5.41,-1.97,0.56,2.62,5.34,8.41,10.28,11.28,13.47,16.97,19.66,20.0,20.28,20.94,21.06,19.5,17.94,17.66,17.75,16.53,14.31,13.16,12.69,11.69,9.84,9.34,10.19,10.94,10.25,10.03,10.88,11.97,11.78,11.69,13.53,16.31,18.34,19.06,20.19,21.41,20.56,18.25,16.28,15.56,14.97,13.44,12.62,13.47,14.78,14.56,13.78,14.28,15.12,15.31,15.16,15.72,17.44,18.44,17.5,17.16,18.03,18.66,17.69,16.97,17.5,18.19,16.94,15.5,14.88,15.22,14.25,13.06,12.53,13.28,13.06,11.66,10.62,10.5,10.38,9.03,7.72,8.22,9.59,10.41,11.31,13.25,15.84,17.44,17.25,17.75,19.19,20.09,19.75,19.97,21.09,22.16,21.19,20.28,20.75,21.59,20.5,18.62,16.81,15.59,13.47,11.0,9.97,11.25,12.47,12.94,13.53,15.19,16.59,15.78,14.5,13.97,14.16,13.41,12.53,12.25,13.19,13.62,12.84,12.69,14.53,16.66,17.44,18.06,20.66,22.94,23.06,22.31,55.12,55.59,56.28,57.03,57.81,58.47,58.66,59.03,59.31,59.12,58.5,58.12,58.5,58.84:24.53,22.31,21.62,20.5,18.44,16.94,17.19,17.72,17.12,16.25,17.03,18.12,18.34,18.03,19.09,21.06,21.94,21.81,21.25,21.91,21.62,19.69,17.62,17.06,17.0,16.03,15.0,16.25,18.97,20.75,21.97,23.59,25.81,26.44,25.28,23.41,23.19,22.78,20.91,18.47,17.78,17.25,15.28,13.03,12.53,13.03,13.28,12.44,12.31,13.34,13.94,13.75,13.47,14.84,15.75,14.88,13.56,13.81,14.47,14.0,13.16,13.28,14.53,14.91,14.75,15.38,17.19,18.28,18.34,17.5,18.19,19.06,19.09,18.75,20.59,23.69,25.31,25.59,26.38,27.47,27.19,25.38,24.47,25.06,25.59,24.56,23.16,23.19,23.16,21.53,18.66,16.69,14.97,12.0,8.72,7.12,7.28,7.66,7.16,7.25,8.44,9.34,9.12,8.59,9.75,11.38,12.16,12.09,13.62,15.06,15.03,13.78,12.91,12.78,12.53,11.09,10.53,11.75,13.22,12.81,12.22,12.69,13.22,12.12,10.31,9.91,10.16,10.0,9.59,10.47,13.12,15.44,16.41,17.31,19.38,20.81,19.81,17.69,16.5,14.56,11.47,7.5,5.81,5.81,5.44,4.97,5.78,7.53,8.78,8.0,7.78,8.59,9.47,8.59,6.84,6.56,6.69,6.19,5.69,7.06,10.0,11.91,12.53,13.25,15.22,16.97,18.0,19.44,22.53,25.75,26.94,26.28,26.47,26.22,24.31,20.91,18.56,16.88,14.78,11.22,8.62,7.81,7.31,6.12,6.09,8.25,11.53,14.62,17.25,21.62,26.72,29.75,30.28,30.34,29.81,28.5,25.28,22.41,21.53,20.78,18.34,16.0,15.12,14.88,14.5,13.53,14.75,17.31,19.34,19.56,20.19,21.16,21.38,19.66,18.06,18.25,18.28,17.12,16.38,17.78,20.5,22.62,23.97,26.31,28.59,29.53,28.88,28.78,30.12,31.09,30.16,29.0,28.81,28.56,26.19,23.75,22.91,22.91,22.03,20.22,19.5,19.47,18.88,16.28,15.03,15.12,15.09,13.66,11.97,12.19,12.41,11.56,10.72,11.5,13.5,14.34,14.06,14.41,15.16,15.06,13.56,12.69,13.88,15.12,15.0,14.34,14.69,14.94,13.84,12.41,12.88,14.97,15.5,15.03,15.25,15.97,15.78,14.47,13.88,15.0,16.72,17.09,18.0,20.28,22.72,23.19,22.78,22.78,23.31,22.62,20.84,19.81,20.5,20.66,19.06,17.75,18.16,18.56,17.47,16.91,17.88,18.97,18.84,18.09,18.34,19.97,20.81,20.38,20.19,20.56,19.94,17.06,14.78,14.31,15.31,15.78,16.59,19.59,23.0,24.25,23.69,23.0,23.0,22.03,19.75,18.78,20.03,21.31,20.97,21.28,22.38,22.69,20.12,16.41,13.12,10.44,7.38,4.88,4.94,7.62,10.75,13.03,15.22,18.53,21.09,21.12,21.12,22.69,24.78,25.28,25.62,27.28,29.12,29.53,28.59,27.94,27.62,26.34,23.22,19.62,17.62,15.66,12.19,9.59,8.84,9.56,9.31,9.12,10.84,14.25,16.91,18.16,20.38,23.5,25.66,25.31,24.69,24.25,23.31,19.91,16.97,15.62,15.66,14.91,13.72,13.72,13.97,12.84,10.53,8.88,9.0,9.44,8.59,9.0,10.66,11.97,12.09,11.25,10.84,10.16,7.25,3.31,0.28,-0.88,-1.31,-1.56,0.12,4.06,8.25,10.97,13.5,17.19,20.38,21.19,20.91,21.38,22.53,22.12,21.34,21.66,23.03,23.47,21.81,20.66,20.62,20.59,19.44,18.19,18.94,19.53,17.97,15.72,14.41,13.44,11.09,8.69,7.88,8.91,10.12,10.34,10.72,12.38,13.31,12.41,10.88,11.69,13.31,12.84,11.91,11.91,12.0,10.22,6.53,3.41,0.94,-2.38,-7.25,-10.81,-12.03,-12.0,-12.62,-12.78,-10.19,-6.72,-4.06,-1.75,2.28,7.59,11.12,13.69,16.53,20.62,23.88,25.62,26.97,29.31,30.62,28.94,25.06,21.72,17.81,11.84,5.72,1.47,-0.16,-1.44,-2.44,-1.47,1.53,4.62,6.31,8.0,10.84,13.81,14.41,14.56,15.66,17.09,16.53,14.97,14.38,15.03,15.0,13.94,13.62,14.78,14.84,13.31,11.62,11.66,12.5,12.38,11.81,12.94,14.75,14.97,14.19,15.0,17.34,19.16,20.16,21.78,24.38,26.03,25.62,24.03,23.34,22.66,20.06,17.19,15.31,14.44,12.47,10.16,9.03,9.81,10.44,9.84,9.88,11.56,12.91,12.53,12.69,14.06,15.72,15.72,15.28,15.28,16.38,16.41,15.66,15.84,17.25,17.72,16.0,14.12,13.0,11.81,9.41,7.84,8.31,9.81,9.78,8.72,8.22,8.44,6.91,4.66,3.62,4.62,5.41,5.62,6.12,8.69,10.72,10.94,10.59,11.53,12.97,12.5,10.84,10.5,10.38,8.91,5.84,3.09,1.94,0.5,-1.44,-2.03,-0.06,3.56,6.03,8.19,11.97,15.38,16.84,16.81,17.94,19.62,19.97,19.16,18.56,19.16,19.41,18.19,16.94,17.41,17.81,16.91,15.03,14.72,15.28,14.84,13.12,12.44,12.75,12.5,10.53,9.28,10.16,10.81,10.12,8.94,9.28,9.47,8.19,6.44,6.38,7.25,7.09,6.31,6.22,7.12,7.53,6.78,6.31,7.59,8.97,9.31,9.5,11.44,13.56,13.84,12.5,12.41,13.22,13.25,12.78,13.97,16.66,18.47,18.12,17.81,19.12,19.62,18.91,18.34,19.0,19.78,19.62,18.53,18.25,18.91,18.41,17.09,16.78,18.06,18.53,17.72,16.53,16.19,15.81,13.91,11.84,11.34,11.62,10.66,9.31,9.72,11.0,12.44,12.94,13.88,16.47,17.78,17.66,17.09,17.81,18.62,18.0,17.06,18.25,19.69,19.97,19.34,19.72,20.56,20.34,18.62,17.56,18.25,18.53,17.38,16.16,16.12,15.78,14.41,12.28,11.97,12.19,11.62,10.59,10.78,12.66,14.12,14.62,15.53,18.28,20.12,20.19,19.75,20.75,21.44,20.78,19.41,19.59,20.19,19.69,18.25,17.66,17.97,17.56,15.69,13.88,13.47,13.03,10.91,9.31,9.53,10.31,9.38,7.91,7.22,7.06,6.06,4.25,3.62,4.06,4.38,3.06,1.97,2.81,4.12,5.03,6.78,10.22,14.16,16.56,16.81,17.16,17.0,15.31,12.0,9.69,8.91,8.38,6.59,5.5,5.62,5.84,4.41,3.09,3.59,4.78,5.47,5.56,7.0,9.31,11.0,11.06,11.53,12.81,13.12,11.47,9.53,9.28,9.31,8.81,8.06,9.59,11.41,12.47,11.97,12.12,12.81,12.69,11.06,10.31,10.59,10.97,9.91,8.53,8.97,9.44,9.03,8.22,8.84,10.44,10.81,10.38,11.22,12.91,14.06,14.06,14.38,15.94,16.75,16.19,14.94,15.12,15.66,15.25,14.88,15.75,17.59,18.0,16.84,16.25,16.72,16.75,15.5,14.97,15.84,16.06,14.5,12.72,12.88,13.16,12.47,11.53,11.72,12.91,13.66,13.59,14.34,16.53,18.03,17.72,17.84,19.56,21.78,22.66,23.16,25.03,26.19,24.62,21.47,18.66,16.25,13.84,10.56,8.38,8.06,7.31,4.16,1.22,-0.5,-1.62,-3.56,-4.94,-3.84,-2.06,-1.22,-0.84,0.62,3.47,6.19,8.19,10.72,13.97,16.66,17.09,16.66,17.03,17.06,15.16,12.59,11.28,10.81,9.62,8.41,8.41,9.62,9.81,8.12,6.53,6.38,6.06,5.0,4.31,5.97,8.09,8.69,8.81,10.38,11.91,12.53,12.28,13.09,15.16,16.56,16.12,15.47,15.47,14.91,12.66,10.91,11.41,13.03,13.59,13.72,14.25,14.09,12.03,7.88,4.38,2.66,1.41,-0.25,-0.44,1.5,4.03,5.25,6.91,9.69,12.56,13.66,13.78,14.56,15.91,16.56,16.25,16.72,18.41,20.31,20.12,20.03,20.81,20.75,18.69,16.16,15.12,15.0,14.16,13.28,13.44,14.62,15.25,14.47,14.44,15.38,15.91,14.66,13.91,14.22,14.91,13.97,12.72,12.12,12.38,11.0,8.75,7.38,6.59,5.16,1.97,-0.53,-1.66,-2.59,-4.16,-4.56,-2.94,-0.56,0.56,1.38,2.78,4.59,4.88,4.12,3.72,3.69,2.44,-0.66,-3.12,-4.53,-5.47,-6.62,-7.31,-5.41,-1.97,0.56,2.62,5.34,8.41,10.28,11.28,13.47,16.97,19.66,20.0,20.28,20.94,21.06,19.5,17.94,17.66,17.75,16.53,14.31,13.16,12.69,11.69,9.84,9.34,10.19,10.94,10.25,10.03,10.88,11.97,11.78,11.69,13.53,16.31,18.34,19.06,20.19,21.41,20.56,18.25,16.28,15.56,14.97,13.44,12.62,13.47,14.78,14.56,13.78,14.28,15.12,15.31,15.16,15.72,17.44,18.44,17.5,17.16,18.03,18.66,17.69,16.97,17.5,18.19,16.94,15.5,14.88,15.22,14.25,13.06,12.53,13.28,13.06,11.66,10.62,10.5,10.38,9.03,7.72,8.22,9.59,10.41,11.31,13.25,15.84,17.44,17.25,17.75,19.19,20.09,19.75,19.97,21.09,22.16,21.19,20.28,20.75,21.59,20.5,18.62,16.81,15.59,13.47,11.0,9.97,11.25,12.47,12.94,13.53,15.19,16.59,15.78,14.5,13.97,14.16,13.41,12.53,12.25,13.19,13.62,12.84,12.69,14.53,16.66,17.44,18.06,20.66,22.94,23.06,22.31,55.12,55.59,56.28,57.03,57.81,58.47,58.66,59.03,59.31,59.12,58.5,58.12,58.5,58.84,59.34,60.06,61.25,61.91,61.62,60.81,59.59:17.72,17.12,16.25,17.03,18.12,18.34,18.03,19.09,21.06,21.94,21.81,21.25,21.91,21.62,19.69,17.62,17.06,17.0,16.03,15.0,16.25,18.97,20.75,21.97,23.59,25.81,26.44,25.28,23.41,23.19,22.78,20.91,18.47,17.78,17.25,15.28,13.03,12.53,13.03,13.28,12.44,12.31,13.34,13.94,13.75,13.47,14.84,15.75,14.88,13.56,13.81,14.47,14.0,13.16,13.28,14.53,14.91,14.75,15.38,17.19,18.28,18.34,17.5,18.19,19.06,19.09,18.75,20.59,23.69,25.31,25.59,26.38,27.47,27.19,25.38,24.47,25.06,25.59,24.56,23.16,23.19,23.16,21.53,18.66,16.69,14.97,12.0,8.72,7.12,7.28,7.66,7.16,7.25,8.44,9.34,9.12,8.59,9.75,11.38,12.16,12.09,13.62,15.06,15.03,13.78,12.91,12.78,12.53,11.09,10.53,11.75,13.22,12.81,12.22,12.69,13.22,12.12,10.31,9.91,10.16,10.0,9.59,10.47,13.12,15.44,16.41,17.31,19.38,20.81,19.81,17.69,16.5,14.56,11.47,7.5,5.81,5.81,5.44,4.97,5.78,7.53,8.78,8.0,7.78,8.59,9.47,8.59,6.84,6.56,6.69,6.19,5.69,7.06,10.0,11.91,12.53,13.25,15.22,16.97,18.0,19.44,22.53,25.75,26.94,26.28,26.47,26.22,24.31,20.91,18.56,16.88,14.78,11.22,8.62,7.81,7.31,6.12,6.09,8.25,11.53,14.62,17.25,21.62,26.72,29.75,30.28,30.34,29.81,28.5,25.28,22.41,21.53,20.78,18.34,16.0,15.12,14.88,14.5,13.53,14.75,17.31,19.34,19.56,20.19,21.16,21.38,19.66,18.06,18.25,18.28,17.12,16.38,17.78,20.5,22.62,23.97,26.31,28.59,29.53,28.88,28.78,30.12,31.09,30.16,29.0,28.81,28.56,26.19,23.75,22.91,22.91,22.03,20.22,19.5,19.47,18.88,16.28,15.03,15.12,15.09,13.66,11.97,12.19,12.41,11.56,10.72,11.5,13.5,14.34,14.06,14.41,15.16,15.06,13.56,12.69,13.88,15.12,15.0,14.34,14.69,14.94,13.84,12.41,12.88,14.97,15.5,15.03,15.25,15.97,15.78,14.47,13.88,15.0,16.72,17.09,18.0,20.28,22.72,23.19,22.78,22.78,23.31,22.62,20.84,19.81,20.5,20.66,19.06,17.75,18.16,18.56,17.47,16.91,17.88,18.97,18.84,18.09,18.34,19.97,20.81,20.38,20.19,20.56,19.94,17.06,14.78,14.31,15.31,15.78,16.59,19.59,23.0,24.25,23.69,23.0,23.0,22.03,19.75,18.78,20.03,21.31,20.97,21.28,22.38,22.69,20.12,16.41,13.12,10.44,7.38,4.88,4.94,7.62,10.75,13.03,15.22,18.53,21.09,21.12,21.12,22.69,24.78,25.28,25.62,27.28,29.12,29.53,28.59,27.94,27.62,26.34,23.22,19.62,17.62,15.66,12.19,9.59,8.84,9.56,9.31,9.12,10.84,14.25,16.91,18.16,20.38,23.5,25.66,25.31,24.69,24.25,23.31,19.91,16.97,15.62,15.66,14.91,13.72,13.72,13.97,12.84,10.53,8.88,9.0,9.44,8.59,9.0,10.66,11.97,12.09,11.25,10.84,10.16,7.25,3.31,0.28,-0.88,-1.31,-1.56,0.12,4.06,8.25,10.97,13.5,17.19,20.38,21.19,20.91,21.38,22.53,22.12,21.34,21.66,23.03,23.47,21.81,20.66,20.62,20.59,19.44,18.19,18.94,19.53,17.97,15.72,14.41,13.44,11.09,8.69,7.88,8.91,10.12,10.34,10.72,12.38,13.31,12.41,10.88,11.69,13.31,12.84,11.91,11.91,12.0,10.22,6.53,3.41,0.94,-2.38,-7.25,-10.81,-12.03,-12.0,-12.62,-12.78,-10.19,-6.72,-4.06,-1.75,2.28,7.59,11.12,13.69,16.53,20.62,23.88,25.62,26.97,29.31,30.62,28.94,25.06,21.72,17.81,11.84,5.72,1.47,-0.16,-1.44,-2.44,-1.47,1.53,4.62,6.31,8.0,10.84,13.81,14.41,14.56,15.66,17.09,16.53,14.97,14.38,15.03,15.0,13.94,13.62,14.78,14.84,13.31,11.62,11.66,12.5,12.38,11.81,12.94,14.75,14.97,14.19,15.0,17.34,19.16,20.16,21.78,24.38,26.03,25.62,24.03,23.34,22.66,20.06,17.19,15.31,14.44,12.47,10.16,9.03,9.81,10.44,9.84,9.88,11.56,12.91,12.53,12.69,14.06,15.72,15.72,15.28,15.28,16.38,16.41,15.66,15.84,17.25,17.72,16.0,14.12,13.0,11.81,9.41,7.84,8.31,9.81,9.78,8.72,8.22,8.44,6.91,4.66,3.62,4.62,5.41,5.62,6.12,8.69,10.72,10.94,10.59,11.53,12.97,12.5,10.84,10.5,10.38,8.91,5.84,3.09,1.94,0.5,-1.44,-2.03,-0.06,3.56,6.03,8.19,11.97,15.38,16.84,16.81,17.94,19.62,19.97,19.16,18.56,19.16,19.41,18.19,16.94,17.41,17.81,16.91,15.03,14.72,15.28,14.84,13.12,12.44,12.75,12.5,10.53,9.28,10.16,10.81,10.12,8.94,9.28,9.47,8.19,6.44,6.38,7.25,7.09,6.31,6.22,7.12,7.53,6.78,6.31,7.59,8.97,9.31,9.5,11.44,13.56,13.84,12.5,12.41,13.22,13.25,12.78,13.97,16.66,18.47,18.12,17.81,19.12,19.62,18.91,18.34,19.0,19.78,19.62,18.53,18.25,18.91,18.41,17.09,16.78,18.06,18.53,17.72,16.53,16.19,15.81,13.91,11.84,11.34,11.62,10.66,9.31,9.72,11.0,12.44,12.94,13.88,16.47,17.78,17.66,17.09,17.81,18.62,18.0,17.06,18.25,19.69,19.97,19.34,19.72,20.56,20.34,18.62,17.56,18.25,18.53,17.38,16.16,16.12,15.78,14.41,12.28,11.97,12.19,11.62,10.59,10.78,12.66,14.12,14.62,15.53,18.28,20.12,20.19,19.75,20.75,21.44,20.78,19.41,19.59,20.19,19.69,18.25,17.66,17.97,17.56,15.69,13.88,13.47,13.03,10.91,9.31,9.53,10.31,9.38,7.91,7.22,7.06,6.06,4.25,3.62,4.06,4.38,3.06,1.97,2.81,4.12,5.03,6.78,10.22,14.16,16.56,16.81,17.16,17.0,15.31,12.0,9.69,8.91,8.38,6.59,5.5,5.62,5.84,4.41,3.09,3.59,4.78,5.47,5.56,7.0,9.31,11.0,11.06,11.53,12.81,13.12,11.47,9.53,9.28,9.31,8.81,8.06,9.59,11.41,12.47,11.97,12.12,12.81,12.69,11.06,10.31,10.59,10.97,9.91,8.53,8.97,9.44,9.03,8.22,8.84,10.44,10.81,10.38,11.22,12.91,14.06,14.06,14.38,15.94,16.75,16.19,14.94,15.12,15.66,15.25,14.88,15.75,17.59,18.0,16.84,16.25,16.72,16.75,15.5,14.97,15.84,16.06,14.5,12.72,12.88,13.16,12.47,11.53,11.72,12.91,13.66,13.59,14.34,16.53,18.03,17.72,17.84,19.56,21.78,22.66,23.16,25.03,26.19,24.62,21.47,18.66,16.25,13.84,10.56,8.38,8.06,7.31,4.16,1.22,-0.5,-1.62,-3.56,-4.94,-3.84,-2.06,-1.22,-0.84,0.62,3.47,6.19,8.19,10.72,13.97,16.66,17.09,16.66,17.03,17.06,15.16,12.59,11.28,10.81,9.62,8.41,8.41,9.62,9.81,8.12,6.53,6.38,6.06,5.0,4.31,5.97,8.09,8.69,8.81,10.38,11.91,12.53,12.28,13.09,15.16,16.56,16.12,15.47,15.47,14.91,12.66,10.91,11.41,13.03,13.59,13.72,14.25,14.09,12.03,7.88,4.38,2.66,1.41,-0.25,-0.44,1.5,4.03,5.25,6.91,9.69,12.56,13.66,13.78,14.56,15.91,16.56,16.25,16.72,18.41,20.31,20.12,20.03,20.81,20.75,18.69,16.16,15.12,15.0,14.16,13.28,13.44,14.62,15.25,14.47,14.44,15.38,15.91,14.66,13.91,14.22,14.91,13.97,12.72,12.12,12.38,11.0,8.75,7.38,6.59,5.16,1.97,-0.53,-1.66,-2.59,-4.16,-4.56,-2.94,-0.56,0.56,1.38,2.78,4.59,4.88,4.12,3.72,3.69,2.44,-0.66,-3.12,-4.53,-5.47,-6.62,-7.31,-5.41,-1.97,0.56,2.62,5.34,8.41,10.28,11.28,13.47,16.97,19.66,20.0,20.28,20.94,21.06,19.5,17.94,17.66,17.75,16.53,14.31,13.16,12.69,11.69,9.84,9.34,10.19,10.94,10.25,10.03,10.88,11.97,11.78,11.69,13.53,16.31,18.34,19.06,20.19,21.41,20.56,18.25,16.28,15.56,14.97,13.44,12.62,13.47,14.78,14.56,13.78,14.28,15.12,15.31,15.16,15.72,17.44,18.44,17.5,17.16,18.03,18.66,17.69,16.97,17.5,18.19,16.94,15.5,14.88,15.22,14.25,13.06,12.53,13.28,13.06,11.66,10.62,10.5,10.38,9.03,7.72,8.22,9.59,10.41,11.31,13.25,15.84,17.44,17.25,17.75,19.19,20.09,19.75,19.97,21.09,22.16,21.19,20.28,20.75,21.59,20.5,18.62,16.81,15.59,13.47,11.0,9.97,11.25,12.47,12.94,13.53,15.19,16.59,15.78,14.5,13.97,14.16,13.41,12.53,12.25,13.19,13.62,12.84,12.69,14.53,16.66,17.44,18.06,20.66,22.94,23.06,22.31,55.12,55.59,56.28,57.03,57.81,58.47,58.66,59.03,59.31,59.12,58.5,58.12,58.5,58.84,59.34,60.06,61.25,61.91,61.62,60.81,59.59,57.94,55.78,53.62,51.94,51.03,50.62,50.28:19.09,21.06,21.94,21.81,21.25,21.91,21.62,19.69,17.62,17.06,17.0,16.03,15.0,16.25,18.97,20.75,21.97,23.59,25.81,26.44,25.28,23.41,23.19,22.78,20.91,18.47,17.78,17.25,15.28,13.03,12.53,13.03,13.28,12.44,12.31,13.34,13.94,13.75,13.47,14.84,15.75,14.88,13.56,13.81,14.47,14.0,13.16,13.28,14.53,14.91,14.75,15.38,17.19,18.28,18.34,17.5,18.19,19.06,19.09,18.75,20.59,23.69,25.31,25.59,26.38,27.47,27.19,25.38,24.47,25.06,25.59,24.56,23.16,23.19,23.16,21.53,18.66,16.69,14.97,12.0,8.72,7.12,7.28,7.66,7.16,7.25,8.44,9.34,9.12,8.59,9.75,11.38,12.16,12.09,13.62,15.06,15.03,13.78,12.91,12.78,12.53,11.09,10.53,11.75,13.22,12.81,12.22,12.69,13.22,12.12,10.31,9.91,10.16,10.0,9.59,10.47,13.12,15.44,16.41,17.31,19.38,20.81,19.81,17.69,16.5,14.56,11.47,7.5,5.81,5.81,5.44,4.97,5.78,7.53,8.78,8.0,7.78,8.59,9.47,8.59,6.84,6.56,6.69,6.19,5.69,7.06,10.0,11.91,12.53,13.25,15.22,16.97,18.0,19.44,22.53,25.75,26.94,26.28,26.47,26.22,24.31,20.91,18.56,16.88,14.78,11.22,8.62,7.81,7.31,6.12,6.09,8.25,11.53,14.62,17.25,21.62,26.72,29.75,30.28,30.34,29.81,28.5,25.28,22.41,21.53,20.78,18.34,16.0,15.12,14.88,14.5,13.53,14.75,17.31,19.34,19.56,20.19,21.16,21.38,19.66,18.06,18.25,18.28,17.12,16.38,17.78,20.5,22.62,23.97,26.31,28.59,29.53,28.88,28.78,30.12,31.09,30.16,29.0,28.81,28.56,26.19,23.75,22.91,22.91,22.03,20.22,19.5,19.47,18.88,16.28,15.03,15.12,15.09,13.66,11.97,12.19,12.41,11.56,10.72,11.5,13.5,14.34,14.06,14.41,15.16,15.06,13.56,12.69,13.88,15.12,15.0,14.34,14.69,14.94,13.84,12.41,12.88,14.97,15.5,15.03,15.25,15.97,15.78,14.47,13.88,15.0,16.72,17.09,18.0,20.28,22.72,23.19,22.78,22.78,23.31,22.62,20.84,19.81,20.5,20.66,19.06,17.75,18.16,18.56,17.47,16.91,17.88,18.97,18.84,18.09,18.34,19.97,20.81,20.38,20.19,20.56,19.94,17.06,14.78,14.31,15.31,15.78,16.59,19.59,23.0,24.25,23.69,23.0,23.0,22.03,19.75,18.78,20.03,21.31,20.97,21.28,22.38,22.69,20.12,16.41,13.12,10.44,7.38,4.88,4.94,7.62,10.75,13.03,15.22,18.53,21.09,21.12,21.12,22.69,24.78,25.28,25.62,27.28,29.12,29.53,28.59,27.94,27.62,26.34,23.22,19.62,17.62,15.66,12.19,9.59,8.84,9.56,9.31,9.12,10.84,14.25,16.91,18.16,20.38,23.5,25.66,25.31,24.69,24.25,23.31,19.91,16.97,15.62,15.66,14.91,13.72,13.72,13.97,12.84,10.53,8.88,9.0,9.44,8.59,9.0,10.66,11.97,12.09,11.25,10.84,10.16,7.25,3.31,0.28,-0.88,-1.31,-1.56,0.12,4.06,8.25,10.97,13.5,17.19,20.38,21.19,20.91,21.38,22.53,22.12,21.34,21.66,23.03,23.47,21.81,20.66,20.62,20.59,19.44,18.19,18.94,19.53,17.97,15.72,14.41,13.44,11.09,8.69,7.88,8.91,10.12,10.34,10.72,12.38,13.31,12.41,10.88,11.69,13.31,12.84,11.91,11.91,12.0,10.22,6.53,3.41,0.94,-2.38,-7.25,-10.81,-12.03,-12.0,-12.62,-12.78,-10.19,-6.72,-4.06,-1.75,2.28,7.59,11.12,13.69,16.53,20.62,23.88,25.62,26.97,29.31,30.62,28.94,25.06,21.72,17.81,11.84,5.72,1.47,-0.16,-1.44,-2.44,-1.47,1.53,4.62,6.31,8.0,10.84,13.81,14.41,14.56,15.66,17.09,16.53,14.97,14.38,15.03,15.0,13.94,13.62,14.78,14.84,13.31,11.62,11.66,12.5,12.38,11.81,12.94,14.75,14.97,14.19,15.0,17.34,19.16,20.16,21.78,24.38,26.03,25.62,24.03,23.34,22.66,20.06,17.19,15.31,14.44,12.47,10.16,9.03,9.81,10.44,9.84,9.88,11.56,12.91,12.53,12.69,14.06,15.72,15.72,15.28,15.28,16.38,16.41,15.66,15.84,17.25,17.72,16.0,14.12,13.0,11.81,9.41,7.84,8.31,9.81,9.78,8.72,8.22,8.44,6.91,4.66,3.62,4.62,5.41,5.62,6.12,8.69,10.72,10.94,10.59,11.53,12.97,12.5,10.84,10.5,10.38,8.91,5.84,3.09,1.94,0.5,-1.44,-2.03,-0.06,3.56,6.03,8.19,11.97,15.38,16.84,16.81,17.94,19.62,19.97,19.16,18.56,19.16,19.41,18.19,16.94,17.41,17.81,16.91,15.03,14.72,15.28,14.84,13.12,12.44,12.75,12.5,10.53,9.28,10.16,10.81,10.12,8.94,9.28,9.47,8.19,6.44,6.38,7.25,7.09,6.31,6.22,7.12,7.53,6.78,6.31,7.59,8.97,9.31,9.5,11.44,13.56,13.84,12.5,12.41,13.22,13.25,12.78,13.97,16.66,18.47,18.12,17.81,19.12,19.62,18.91,18.34,19.0,19.78,19.62,18.53,18.25,18.91,18.41,17.09,16.78,18.06,18.53,17.72,16.53,16.19,15.81,13.91,11.84,11.34,11.62,10.66,9.31,9.72,11.0,12.44,12.94,13.88,16.47,17.78,17.66,17.09,17.81,18.62,18.0,17.06,18.25,19.69,19.97,19.34,19.72,20.56,20.34,18.62,17.56,18.25,18.53,17.38,16.16,16.12,15.78,14.41,12.28,11.97,12.19,11.62,10.59,10.78,12.66,14.12,14.62,15.53,18.28,20.12,20.19,19.75,20.75,21.44,20.78,19.41,19.59,20.19,19.69,18.25,17.66,17.97,17.56,15.69,13.88,13.47,13.03,10.91,9.31,9.53,10.31,9.38,7.91,7.22,7.06,6.06,4.25,3.62,4.06,4.38,3.06,1.97,2.81,4.12,5.03,6.78,10.22,14.16,16.56,16.81,17.16,17.0,15.31,12.0,9.69,8.91,8.38,6.59,5.5,5.62,5.84,4.41,3.09,3.59,4.78,5.47,5.56,7.0,9.31,11.0,11.06,11.53,12.81,13.12,11.47,9.53,9.28,9.31,8.81,8.06,9.59,11.41,12.47,11.97,12.12,12.81,12.69,11.06,10.31,10.59,10.97,9.91,8.53,8.97,9.44,9.03,8.22,8.84,10.44,10.81,10.38,11.22,12.91,14.06,14.06,14.38,15.94,16.75,16.19,14.94,15.12,15.66,15.25,14.88,15.75,17.59,18.0,16.84,16.25,16.72,16.75,15.5,14.97,15.84,16.06,14.5,12.72,12.88,13.16,12.47,11.53,11.72,12.91,13.66,13.59,14.34,16.53,18.03,17.72,17.84,19.56,21.78,22.66,23.16,25.03,26.19,24.62,21.47,18.66,16.25,13.84,10.56,8.38,8.06,7.31,4.16,1.22,-0.5,-1.62,-3.56,-4.94,-3.84,-2.06,-1.22,-0.84,0.62,3.47,6.19,8.19,10.72,13.97,16.66,17.09,16.66,17.03,17.06,15.16,12.59,11.28,10.81,9.62,8.41,8.41,9.62,9.81,8.12,6.53,6.38,6.06,5.0,4.31,5.97,8.09,8.69,8.81,10.38,11.91,12.53,12.28,13.09,15.16,16.56,16.12,15.47,15.47,14.91,12.66,10.91,11.41,13.03,13.59,13.72,14.25,14.09,12.03,7.88,4.38,2.66,1.41,-0.25,-0.44,1.5,4.03,5.25,6.91,9.69,12.56,13.66,13.78,14.56,15.91,16.56,16.25,16.72,18.41,20.31,20.12,20.03,20.81,20.75,18.69,16.16,15.12,15.0,14.16,13.28,13.44,14.62,15.25,14.47,14.44,15.38,15.91,14.66,13.91,14.22,14.91,13.97,12.72,12.12,12.38,11.0,8.75,7.38,6.59,5.16,1.97,-0.53,-1.66,-2.59,-4.16,-4.56,-2.94,-0.56,0.56,1.38,2.78,4.59,4.88,4.12,3.72,3.69,2.44,-0.66,-3.12,-4.53,-5.47,-6.62,-7.31,-5.41,-1.97,0.56,2.62,5.34,8.41,10.28,11.28,13.47,16.97,19.66,20.0,20.28,20.94,21.06,19.5,17.94,17.66,17.75,16.53,14.31,13.16,12.69,11.69,9.84,9.34,10.19,10.94,10.25,10.03,10.88,11.97,11.78,11.69,13.53,16.31,18.34,19.06,20.19,21.41,20.56,18.25,16.28,15.56,14.97,13.44,12.62,13.47,14.78,14.56,13.78,14.28,15.12,15.31,15.16,15.72,17.44,18.44,17.5,17.16,18.03,18.66,17.69,16.97,17.5,18.19,16.94,15.5,14.88,15.22,14.25,13.06,12.53,13.28,13.06,11.66,10.62,10.5,10.38,9.03,7.72,8.22,9.59,10.41,11.31,13.25,15.84,17.44,17.25,17.75,19.19,20.09,19.75,19.97,21.09,22.16,21.19,20.28,20.75,21.59,20.5,18.62,16.81,15.59,13.47,11.0,9.97,11.25,12.47,12.94,13.53,15.19,16.59,15.78,14.5,13.97,14.16,13.41,12.53,12.25,13.19,13.62,12.84,12.69,14.53,16.66,17.44,18.06,20.66,22.94,23.06,22.31,55.12,55.59,56.28,57.03,57.81,58.47,58.66,59.03,59.31,59.12,58.5,58.12,58.5,58.84,59.34,60.06,61.25,61.91,61.62,60.81,59.59,57.94,55.78,53.62,51.94,51.03,50.62,50.28,50.22,50.69,51.09,50.78,50.62,51.25,52.19:19.69,17.62,17.06,17.0,16.03,15.0,16.25,18.97,20.75,21.97,23.59,25.81,26.44,25.28,23.41,23.19,22.78,20.91,18.47,17.78,17.25,15.28,13.03,12.53,13.03,13.28,12.44,12.31,13.34,13.94,13.75,13.47,14.84,15.75,14.88,13.56,13.81,14.47,14.0,13.16,13.28,14.53,14.91,14.75,15.38,17.19,18.28,18.34,17.5,18.19,19.06,19.09,18.75,20.59,23.69,25.31,25.59,26.38,27.47,27.19,25.38,24.47,25.06,25.59,24.56,23.16,23.19,23.16,21.53,18.66,16.69,14.97,12.0,8.72,7.12,7.28,7.66,7.16,7.25,8.44,9.34,9.12,8.59,9.75,11.38,12.16,12.09,13.62,15.06,15.03,13.78,12.91,12.78,12.53,11.09,10.53,11.75,13.22,12.81,12.22,12.69,13.22,12.12,10.31,9.91,10.16,10.0,9.59,10.47,13.12,15.44,16.41,17.31,19.38,20.81,19.81,17.69,16.5,14.56,11.47,7.5,5.81,5.81,5.44,4.97,5.78,7.53,8.78,8.0,7.78,8.59,9.47,8.59,6.84,6.56,6.69,6.19,5.69,7.06,10.0,11.91,12.53,13.25,15.22,16.97,18.0,19.44,22.53,25.75,26.94,26.28,26.47,26.22,24.31,20.91,18.56,16.88,14.78,11.22,8.62,7.81,7.31,6.12,6.09,8.25,11.53,14.62,17.25,21.62,26.72,29.75,30.28,30.34,29.81,28.5,25.28,22.41,21.53,20.78,18.34,16.0,15.12,14.88,14.5,13.53,14.75,17.31,19.34,19.56,20.19,21.16,21.38,19.66,18.06,18.25,18.28,17.12,16.38,17.78,20.5,22.62,23.97,26.31,28.59,29.53,28.88,28.78,30.12,31.09,30.16,29.0,28.81,28.56,26.19,23.75,22.91,22.91,22.03,20.22,19.5,19.47,18.88,16.28,15.03,15.12,15.09,13.66,11.97,12.19,12.41,11.56,10.72,11.5,13.5,14.34,14.06,14.41,15.16,15.06,13.56,12.69,13.88,15.12,15.0,14.34,14.69,14.94,13.84,12.41,12.88,14.97,15.5,15.03,15.25,15.97,15.78,14.47,13.88,15.0,16.72,17.09,18.0,20.28,22.72,23.19,22.78,22.78,23.31,22.62,20.84,19.81,20.5,20.66,19.06,17.75,18.16,18.56,17.47,16.91,17.88,18.97,18.84,18.09,18.34,19.97,20.81,20.38,20.19,20.56,19.94,17.06,14.78,14.31,15.31,15.78,16.59,19.59,23.0,24.25,23.69,23.0,23.0,22.03,19.75,18.78,20.03,21.31,20.97,21.28,22.38,22.69,20.12,16.41,13.12,10.44,7.38,4.88,4.94,7.62,10.75,13.03,15.22,18.53,21.09,21.12,21.12,22.69,24.78,25.28,25.62,27.28,29.12,29.53,28.59,27.94,27.62,26.34,23.22,19.62,17.62,15.66,12.19,9.59,8.84,9.56,9.31,9.12,10.84,14.25,16.91,18.16,20.38,23.5,25.66,25.31,24.69,24.25,23.31,19.91,16.97,15.62,15.66,14.91,13.72,13.72,13.97,12.84,10.53,8.88,9.0,9.44,8.59,9.0,10.66,11.97,12.09,11.25,10.84,10.16,7.25,3.31,0.28,-0.88,-1.31,-1.56,0.12,4.06,8.25,10.97,13.5,17.19,20.38,21.19,20.91,21.38,22.53,22.12,21.34,21.66,23.03,23.47,21.81,20.66,20.62,20.59,19.44,18.19,18.94,19.53,17.97,15.72,14.41,13.44,11.09,8.69,7.88,8.91,10.12,10.34,10.72,12.38,13.31,12.41,10.88,11.69,13.31,12.84,11.91,11.91,12.0,10.22,6.53,3.41,0.94,-2.38,-7.25,-10.81,-12.03,-12.0,-12.62,-12.78,-10.19,-6.72,-4.06,-1.75,2.28,7.59,11.12,13.69,16.53,20.62,23.88,25.62,26.97,29.31,30.62,28.94,25.06,21.72,17.81,11.84,5.72,1.47,-0.16,-1.44,-2.44,-1.47,1.53,4.62,6.31,8.0,10.84,13.81,14.41,14.56,15.66,17.09,16.53,14.97,14.38,15.03,15.0,13.94,13.62,14.78,14.84,13.31,11.62,11.66,12.5,12.38,11.81,12.94,14.75,14.97,14.19,15.0,17.34,19.16,20.16,21.78,24.38,26.03,25.62,24.03,23.34,22.66,20.06,17.19,15.31,14.44,12.47,10.16,9.03,9.81,10.44,9.84,9.88,11.56,12.91,12.53,12.69,14.06,15.72,15.72,15.28,15.28,16.38,16.41,15.66,15.84,17.25,17.72,16.0,14.12,13.0,11.81,9.41,7.84,8.31,9.81,9.78,8.72,8.22,8.44,6.91,4.66,3.62,4.62,5.41,5.62,6.12,8.69,10.72,10.94,10.59,11.53,12.97,12.5,10.84,10.5,10.38,8.91,5.84,3.09,1.94,0.5,-1.44,-2.03,-0.06,3.56,6.03,8.19,11.97,15.38,16.84,16.81,17.94,19.62,19.97,19.16,18.56,19.16,19.41,18.19,16.94,17.41,17.81,16.91,15.03,14.72,15.28,14.84,13.12,12.44,12.75,12.5,10.53,9.28,10.16,10.81,10.12,8.94,9.28,9.47,8.19,6.44,6.38,7.25,7.09,6.31,6.22,7.12,7.53,6.78,6.31,7.59,8.97,9.31,9.5,11.44,13.56,13.84,12.5,12.41,13.22,13.25,12.78,13.97,16.66,18.47,18.12,17.81,19.12,19.62,18.91,18.34,19.0,19.78,19.62,18.53,18.25,18.91,18.41,17.09,16.78,18.06,18.53,17.72,16.53,16.19,15.81,13.91,11.84,11.34,11.62,10.66,9.31,9.72,11.0,12.44,12.94,13.88,16.47,17.78,17.66,17.09,17.81,18.62,18.0,17.06,18.25,19.69,19.97,19.34,19.72,20.56,20.34,18.62,17.56,18.25,18.53,17.38,16.16,16.12,15.78,14.41,12.28,11.97,12.19,11.62,10.59,10.78,12.66,14.12,14.62,15.53,18.28,20.12,20.19,19.75,20.75,21.44,20.78,19.41,19.59,20.19,19.69,18.25,17.66,17.97,17.56,15.69,13.88,13.47,13.03,10.91,9.31,9.53,10.31,9.38,7.91,7.22,7.06,6.06,4.25,3.62,4.06,4.38,3.06,1.97,2.81,4.12,5.03,6.78,10.22,14.16,16.56,16.81,17.16,17.0,15.31,12.0,9.69,8.91,8.38,6.59,5.5,5.62,5.84,4.41,3.09,3.59,4.78,5.47,5.56,7.0,9.31,11.0,11.06,11.53,12.81,13.12,11.47,9.53,9.28,9.31,8.81,8.06,9.59,11.41,12.47,11.97,12.12,12.81,12.69,11.06,10.31,10.59,10.97,9.91,8.53,8.97,9.44,9.03,8.22,8.84,10.44,10.81,10.38,11.22,12.91,14.06,14.06,14.38,15.94,16.75,16.19,14.94,15.12,15.66,15.25,14.88,15.75,17.59,18.0,16.84,16.25,16.72,16.75,15.5,14.97,15.84,16.06,14.5,12.72,12.88,13.16,12.47,11.53,11.72,12.91,13.66,13.59,14.34,16.53,18.03,17.72,17.84,19.56,21.78,22.66,23.16,25.03,26.19,24.62,21.47,18.66,16.25,13.84,10.56,8.38,8.06,7.31,4.16,1.22,-0.5,-1.62,-3.56,-4.94,-3.84,-2.06,-1.22,-0.84,0.62,3.47,6.19,8.19,10.72,13.97,16.66,17.09,16.66,17.03,17.06,15.16,12.59,11.28,10.81,9.62,8.41,8.41,9.62,9.81,8.12,6.53,6.38,6.06,5.0,4.31,5.97,8.09,8.69,8.81,10.38,11.91,12.53,12.28,13.09,15.16,16.56,16.12,15.47,15.47,14.91,12.66,10.91,11.41,13.03,13.59,13.72,14.25,14.09,12.03,7.88,4.38,2.66,1.41,-0.25,-0.44,1.5,4.03,5.25,6.91,9.69,12.56,13.66,13.78,14.56,15.91,16.56,16.25,16.72,18.41,20.31,20.12,20.03,20.81,20.75,18.69,16.16,15.12,15.0,14.16,13.28,13.44,14.62,15.25,14.47,14.44,15.38,15.91,14.66,13.91,14.22,14.91,13.97,12.72,12.12,12.38,11.0,8.75,7.38,6.59,5.16,1.97,-0.53,-1.66,-2.59,-4.16,-4.56,-2.94,-0.56,0.56,1.38,2.78,4.59,4.88,4.12,3.72,3.69,2.44,-0.66,-3.12,-4.53,-5.47,-6.62,-7.31,-5.41,-1.97,0.56,2.62,5.34,8.41,10.28,11.28,13.47,16.97,19.66,20.0,20.28,20.94,21.06,19.5,17.94,17.66,17.75,16.53,14.31,13.16,12.69,11.69,9.84,9.34,10.19,10.94,10.25,10.03,10.88,11.97,11.78,11.69,13.53,16.31,18.34,19.06,20.19,21.41,20.56,18.25,16.28,15.56,14.97,13.44,12.62,13.47,14.78,14.56,13.78,14.28,15.12,15.31,15.16,15.72,17.44,18.44,17.5,17.16,18.03,18.66,17.69,16.97,17.5,18.19,16.94,15.5,14.88,15.22,14.25,13.06,12.53,13.28,13.06,11.66,10.62,10.5,10.38,9.03,7.72,8.22,9.59,10.41,11.31,13.25,15.84,17.44,17.25,17.75,19.19,20.09,19.75,19.97,21.09,22.16,21.19,20.28,20.75,21.59,20.5,18.62,16.81,15.59,13.47,11.0,9.97,11.25,12.47,12.94,13.53,15.19,16.59,15.78,14.5,13.97,14.16,13.41,12.53,12.25,13.19,13.62,12.84,12.69,14.53,16.66,17.44,18.06,20.66,22.94,23.06,22.31,55.12,55.59,56.28,57.03,57.81,58.47,58.66,59.03,59.31,59.12,58.5,58.12,58.5,58.84,59.34,60.06,61.25,61.91,61.62,60.81,59.59,57.94,55.78,53.62,51.94,51.03,50.62,50.28,50.22,50.69,51.09,50.78,50.62,51.25,52.19,53.25,54.34,55.34,55.94,56.03,55.25,54.47:positivity
12.91,13.34,12.22,12.03,13.69,14.72,14.06,13.38,15.31,17.22,16.94,15.88,16.75,18.53,18.41,16.94,17.06,18.19,18.03,15.81,14.5,15.12,15.75,14.22,13.19,14.94,16.94,16.91,16.16,17.22,19.0,18.69,16.75,16.06,16.66,16.19,13.53,11.62,12.03,12.56,11.16,9.91,11.03,12.84,12.56,11.06,11.84,13.69,14.12,13.09,13.59,16.38,18.53,18.5,18.72,21.31,23.41,22.88,21.34,22.06,23.53,23.34,21.78,22.62,25.38,26.78,25.94,25.31,26.25,26.03,22.5,18.75,17.38,16.66,14.19,11.25,11.5,13.0,12.72,10.88,10.16,11.19,11.53,10.56,11.34,15.12,18.97,20.19,20.75,23.03,24.81,23.84,21.72,21.72,23.09,23.78,23.34,24.53,27.69,30.12,30.0,29.66,31.25,32.25,30.78,28.56,28.09,28.66,27.28,24.25,23.09,23.28,22.44,19.53,17.53,17.81,17.69,15.34,13.16,13.41,13.91,12.16,9.69,9.31,10.25,9.5,7.44,6.53,7.38,7.06,4.28,2.0,2.12,1.94,-0.41,-2.44,-1.56,1.16,2.22,3.41,6.41,10.25,11.84,10.97,10.5,11.44,11.84,10.12,9.16,10.75,11.81,10.22,7.69,6.66,6.75,5.06,2.44,2.19,3.56,4.25,2.94,2.91,4.97,6.72,6.62,6.56,8.81,11.16,10.69,8.75,8.59,9.12,8.25,6.28,6.0,8.16,9.81,8.81,8.56,10.44,11.75,10.06,8.81,9.81,12.38,12.72,12.53,13.75,16.16,16.41,14.5,13.69,14.62,14.94,12.97,11.25,12.25,12.88,11.09,8.84,8.81,10.06,9.19,7.06,6.62,7.12,6.47,3.5,2.0,3.12,4.19,3.34,3.09,5.75,8.97,9.88,9.81,11.62,14.62,15.69,15.19,16.16,18.88,19.84,18.44,17.75,19.06,20.25,19.5,18.41,19.97,22.25,22.44,21.72,22.53,24.09,23.56,21.16,19.78,20.5,20.91,18.94,17.31,17.59,17.28,13.88,10.41,8.84,8.75,7.06,4.66,4.25,5.59,5.72,4.09,3.72,6.03,8.16,8.19,8.5,11.25,13.88,13.41,11.91,12.41,14.25,14.66,14.53,16.22,19.69,21.31,20.25,18.38,18.38,17.53,14.59,12.12,12.41,13.5,12.72,11.06,11.34,12.84,12.62,10.84,10.31,11.94,12.59,11.03,9.84,11.0,12.22,11.19,9.94,10.84,13.38,13.81,13.12,14.28,16.75,17.47,15.72,14.75,15.62,15.59,13.03,10.22,9.97,10.44,9.06,7.94,9.16,12.09,13.12,11.66,10.81,11.28,10.28,7.31,5.56,7.53,9.41,9.31,9.41,11.81,14.97,15.78,15.69,17.44,20.41,21.19,19.88,19.12,20.12,19.62,16.53,13.75,14.0,14.59,13.16,12.16,13.41,15.22,14.38,11.88,10.62,11.12,10.41,8.31,7.66,9.16,9.75,7.81,5.97,6.47,7.56,6.78,5.75,7.03,9.66,10.69,9.94,10.53,12.59,13.03,10.78,9.5,10.38,10.72,9.09,7.25,7.97,9.22,8.84,7.28,7.94,9.69,9.16,6.81,4.94,5.06,4.47,2.47,1.53,3.84,6.5,6.41,5.28,5.91,6.12,4.22,1.12,-0.03,1.34,1.94,1.5,1.91,4.62,6.81,6.19,5.66,6.81,7.97,6.38,4.0,3.94,5.12,4.62,3.06,2.62,3.25,2.81,0.5,-0.97,0.62,2.28,2.09,2.31,5.0,8.75,11.19,12.84,16.66,21.12,23.47,23.12,23.16,24.0,23.38,20.25,17.19,16.16,14.88,11.5,8.34,7.97,9.66,10.97,12.0,15.34,20.19,23.53,24.59,25.84,27.97,28.91,26.28,23.0,21.72,20.78,17.66,14.53,13.56,14.12,12.91,10.56,9.69,10.5,11.34,10.59,11.5,15.41,19.28,20.53,20.94,22.91,24.66,23.44,20.66,19.25,17.94,15.0,10.12,6.78,6.22,5.69,4.0,3.78,6.16,8.88,9.44,9.56,11.91,14.91,15.28,14.44,14.44,15.31,14.91,12.84,12.69,15.09,18.06,19.0,21.0,24.81,28.22,29.19,28.59,28.78,29.44,27.94,24.69,22.41,21.88,20.19,16.75,14.22,13.66,13.97,12.16,10.69,12.0,14.25,15.03,14.5,15.28,16.5,15.97,13.44,12.62,14.44,16.31,16.5,17.34,19.78,22.03,21.12,19.69,20.34,21.78,21.31,19.78,19.28,19.81,18.84,16.47,15.06,16.59,18.06,18.03,18.41,20.5,22.84,22.12,20.25,19.84,20.47,19.75,17.81,17.38,18.16,17.72,14.5,11.88,11.81,11.91,10.22,8.41,8.66,9.72,8.19,5.62,4.81,5.81,5.84,4.72,5.22,8.5,11.66,13.19,14.88,18.75,22.5,23.38,23.25,24.59,26.53,26.16,24.47,24.41,26.0,26.25,24.38,22.91,23.12,22.47,19.94,17.59,18.09,19.19,18.69,17.38,17.78,18.69,17.44,15.03,13.56,14.03,13.88,11.31,9.38,9.66,10.09,7.78,5.94,6.09,7.09,6.41,5.28,5.97,8.5,10.0,10.34,12.16,15.97,19.0,19.69,19.31,19.69,19.84,17.09,12.75,10.84,11.06,10.0,8.66,10.03,13.09,14.88,14.97,15.56,18.5,20.56,20.19,19.41,19.75,20.22,18.22,15.69,14.94,15.72,15.06,13.28,12.94,14.09,13.69,11.25,8.44,7.75,7.22,4.66,2.16,2.41,4.0,3.81,3.03,4.0,6.16,6.59,5.38,4.94,6.12,6.59,4.59,1.91,1.75,1.91,0.5,-0.75,0.97,4.22,6.22,6.94,8.94,12.53,14.91,14.78,15.19,17.19,17.94,15.88,13.03,12.41,12.0,10.12,7.72,7.38,8.66,8.88,7.38,6.88,7.97,8.0,5.91,4.66,6.25,8.06,8.34,8.31,10.62,14.06,15.19,14.53,14.91,16.09,15.41,12.53,10.94,11.62,12.19,11.25,11.22,14.31,18.78,21.16,22.69,25.41,27.44,25.88,21.0,16.0,11.94,7.22,1.03,-2.94,-3.16,-2.28,-2.81,-2.97,-0.19,2.91,4.31,4.59,6.53,8.62,8.38,5.31,2.53,1.53,-0.38,-3.62,-5.75,-4.34,-2.59,-2.78,-3.81,-3.16,-2.94,-5.41,-9.53,-12.12,-13.25,-15.06,-18.47,-19.72,-18.0,-15.94,-14.38,-11.31,-4.78,2.59,7.41,10.72,14.75,18.12,18.62,16.91,16.72,18.0,18.69,17.12,16.38,17.16,16.59,13.12,8.94,6.97,5.88,3.12,0.22,0.22,2.31,4.25,5.03,7.66,11.78,14.59,13.91,12.72,13.0,12.0,8.12,3.38,1.19,-0.03,-2.16,-5.09,-5.84,-4.47,-3.69,-4.22,-3.44,-0.81,0.62,-1.66,-5.06,-7.16,-9.38,-13.19,-17.25,-17.94,-16.34,-16.22,-16.88,-15.72,-12.41,-9.53,-8.53,-6.03,-0.94,4.06,6.19,7.75,10.34,12.75,12.0,9.38,7.78,7.19,4.03,-1.66,-6.34,-9.34,-11.69,-15.5,-16.94,-14.69,-11.44,-10.25,-10.06,-8.28,-6.22,-6.53,-8.12,-7.19,-4.19,-2.38,-2.22,-1.03,1.69,4.06,3.72,3.66,5.28,7.44,6.09,3.59,2.75,2.34,0.03,-3.84,-5.75,-5.81,-6.59,-8.72,-9.34,-6.81,-4.16,-3.66,-2.59,0.06,3.47,4.31,3.56,3.97,4.88,3.56,-0.47,-3.47,-4.19,-5.0,-7.59,-8.69,-6.91,-4.53,-5.59,-7.12,-6.81,-5.62,-6.31,-7.78,-6.22,-2.22,0.88,2.66,4.75,8.44,10.5,9.06,6.81,6.06,5.0,1.41,-3.28,-5.69,-6.31,-8.28,-10.81,-11.34,-9.19,-7.75,-7.53,-6.38,-2.88,0.19,0.72,0.75,3.25,6.06,6.41,5.62,6.0,6.78,4.81,0.34,-2.78,-4.22,-6.09,-9.81,-11.72,-9.91,-7.44,-6.78,-5.59,-2.31,1.91,4.16,5.81,9.25,14.38,17.31,17.22,16.56,16.56,14.78,9.5,5.12,3.34,2.5,-0.31,-2.91,-2.91,-1.62,-1.91,-3.16,-2.94,-0.75,0.19,-0.62,-0.5,2.06,4.44,3.53,2.66,3.84,5.5,4.44,2.53,2.59,3.66,2.31,-0.16,-1.53,-0.59,-0.47,-1.88,-2.5,-0.47,1.25,0.03,-2.0,-2.22,-1.69,-3.06,-5.22,-4.78,-2.66,-1.78,-2.5,-2.72,-0.94,-0.66,-2.72,-5.0,-4.66,-3.94,-5.25,-6.56,-5.38,-2.62,-1.94,-2.22,-0.81,2.06,2.88,1.75,1.06,2.28,2.97,1.25,-0.31,0.91,2.34,1.09,-0.78,-0.84,0.0,-0.88,-3.03,-3.75,-2.62,-2.38,-4.0,-4.84,-2.81,-0.84,-0.91,-1.38,0.5,2.5,2.53,1.06,1.47,3.16,2.59,-0.88,-3.75,-5.34,-7.94,-12.19,-15.22,-14.78,-13.03,-12.84,-12.91,-10.62,-7.22,-6.03,-6.28,-4.91,-2.03,-1.16,-2.75,-3.84,-2.5,-1.47,-2.25,-2.38,-0.34,2.41,2.75,2.41,4.28,7.19,7.81,6.84,6.75,8.06,7.59,4.62,1.03,-0.62,-2.97,-7.66,-12.19,-13.38,-13.19,-14.19,-15.59,-14.25,-10.62,-8.22,-6.94,-4.0,1.5,5.41,6.41,6.75,8.41,8.44,5.5,1.47,-0.84,-2.53,-6.75,-12.44,-16.56,-19.38,-23.44,-28.5,-31.97,-32.12,-32.03,-33.47,-34.12,-31.12,-26.56,-23.19,-19.62,-13.69,-6.75,-1.97,1.09,4.94,10.31,13.91,14.09,13.31,13.03,10.94,5.06,-1.56,-5.41,-8.22,-11.88,-15.56,-16.09,-14.47,-13.69,-14.06,-12.31,-8.88,-6.41,-6.25,-6.5,-5.03,-3.94,-5.72,-8.5,-9.12,-9.69,-12.31,-15.5,-16.78,-15.97,-15.5,-16.22,-15.41,-12.41,-9.69,-9.31:13.38,15.31,17.22,16.94,15.88,16.75,18.53,18.41,16.94,17.06,18.19,18.03,15.81,14.5,15.12,15.75,14.22,13.19,14.94,16.94,16.91,16.16,17.22,19.0,18.69,16.75,16.06,16.66,16.19,13.53,11.62,12.03,12.56,11.16,9.91,11.03,12.84,12.56,11.06,11.84,13.69,14.12,13.09,13.59,16.38,18.53,18.5,18.72,21.31,23.41,22.88,21.34,22.06,23.53,23.34,21.78,22.62,25.38,26.78,25.94,25.31,26.25,26.03,22.5,18.75,17.38,16.66,14.19,11.25,11.5,13.0,12.72,10.88,10.16,11.19,11.53,10.56,11.34,15.12,18.97,20.19,20.75,23.03,24.81,23.84,21.72,21.72,23.09,23.78,23.34,24.53,27.69,30.12,30.0,29.66,31.25,32.25,30.78,28.56,28.09,28.66,27.28,24.25,23.09,23.28,22.44,19.53,17.53,17.81,17.69,15.34,13.16,13.41,13.91,12.16,9.69,9.31,10.25,9.5,7.44,6.53,7.38,7.06,4.28,2.0,2.12,1.94,-0.41,-2.44,-1.56,1.16,2.22,3.41,6.41,10.25,11.84,10.97,10.5,11.44,11.84,10.12,9.16,10.75,11.81,10.22,7.69,6.66,6.75,5.06,2.44,2.19,3.56,4.25,2.94,2.91,4.97,6.72,6.62,6.56,8.81,11.16,10.69,8.75,8.59,9.12,8.25,6.28,6.0,8.16,9.81,8.81,8.56,10.44,11.75,10.06,8.81,9.81,12.38,12.72,12.53,13.75,16.16,16.41,14.5,13.69,14.62,14.94,12.97,11.25,12.25,12.88,11.09,8.84,8.81,10.06,9.19,7.06,6.62,7.12,6.47,3.5,2.0,3.12,4.19,3.34,3.09,5.75,8.97,9.88,9.81,11.62,14.62,15.69,15.19,16.16,18.88,19.84,18.44,17.75,19.06,20.25,19.5,18.41,19.97,22.25,22.44,21.72,22.53,24.09,23.56,21.16,19.78,20.5,20.91,18.94,17.31,17.59,17.28,13.88,10.41,8.84,8.75,7.06,4.66,4.25,5.59,5.72,4.09,3.72,6.03,8.16,8.19,8.5,11.25,13.88,13.41,11.91,12.41,14.25,14.66,14.53,16.22,19.69,21.31,20.25,18.38,18.38,17.53,14.59,12.12,12.41,13.5,12.72,11.06,11.34,12.84,12.62,10.84,10.31,11.94,12.59,11.03,9.84,11.0,12.22,11.19,9.94,10.84,13.38,13.81,13.12,14.28,16.75,17.47,15.72,14.75,15.62,15.59,13.03,10.22,9.97,10.44,9.06,7.94,9.16,12.09,13.12,11.66,10.81,11.28,10.28,7.31,5.56,7.53,9.41,9.31,9.41,11.81,14.97,15.78,15.69,17.44,20.41,21.19,19.88,19.12,20.12,19.62,16.53,13.75,14.0,14.59,13.16,12.16,13.41,15.22,14.38,11.88,10.62,11.12,10.41,8.31,7.66,9.16,9.75,7.81,5.97,6.47,7.56,6.78,5.75,7.03,9.66,10.69,9.94,10.53,12.59,13.03,10.78,9.5,10.38,10.72,9.09,7.25,7.97,9.22,8.84,7.28,7.94,9.69,9.16,6.81,4.94,5.06,4.47,2.47,1.53,3.84,6.5,6.41,5.28,5.91,6.12,4.22,1.12,-0.03,1.34,1.94,1.5,1.91,4.62,6.81,6.19,5.66,6.81,7.97,6.38,4.0,3.94,5.12,4.62,3.06,2.62,3.25,2.81,0.5,-0.97,0.62,2.28,2.09,2.31,5.0,8.75,11.19,12.84,16.66,21.12,23.47,23.12,23.16,24.0,23.38,20.25,17.19,16.16,14.88,11.5,8.34,7.97,9.66,10.97,12.0,15.34,20.19,23.53,24.59,25.84,27.97,28.91,26.28,23.0,21.72,20.78,17.66,14.53,13.56,14.12,12.91,10.56,9.69,10.5,11.34,10.59,11.5,15.41,19.28,20.53,20.94,22.91,24.66,23.44,20.66,19.25,17.94,15.0,10.12,6.78,6.22,5.69,4.0,3.78,6.16,8.88,9.44,9.56,11.91,14.91,15.28,14.44,14.44,15.31,14.91,12.84,12.69,15.09,18.06,19.0,21.0,24.81,28.22,29.19,28.59,28.78,29.44,27.94,24.69,22.41,21.88,20.19,16.75,14.22,13.66,13.97,12.16,10.69,12.0,14.25,15.03,14.5,15.28,16.5,15.97,13.44,12.62,14.44,16.31,16.5,17.34,19.78,22.03,21.12,19.69,20.34,21.78,21.31,19.78,19.28,19.81,18.84,16.47,15.06,16.59,18.06,18.03,18.41,20.5,22.84,22.12,20.25,19.84,20.47,19.75,17.81,17.38,18.16,17.72,14.5,11.88,11.81,11.91,10.22,8.41,8.66,9.72,8.19,5.62,4.81,5.81,5.84,4.72,5.22,8.5,11.66,13.19,14.88,18.75,22.5,23.38,23.25,24.59,26.53,26.16,24.47,24.41,26.0,26.25,24.38,22.91,23.12,22.47,19.94,17.59,18.09,19.19,18.69,17.38,17.78,18.69,17.44,15.03,13.56,14.03,13.88,11.31,9.38,9.66,10.09,7.78,5.94,6.09,7.09,6.41,5.28,5.97,8.5,10.0,10.34,12.16,15.97,19.0,19.69,19.31,19.69,19.84,17.09,12.75,10.84,11.06,10.0,8.66,10.03,13.09,14.88,14.97,15.56,18.5,20.56,20.19,19.41,19.75,20.22,18.22,15.69,14.94,15.72,15.06,13.28,12.94,14.09,13.69,11.25,8.44,7.75,7.22,4.66,2.16,2.41,4.0,3.81,3.03,4.0,6.16,6.59,5.38,4.94,6.12,6.59,4.59,1.91,1.75,1.91,0.5,-0.75,0.97,4.22,6.22,6.94,8.94,12.53,14.91,14.78,15.19,17.19,17.94,15.88,13.03,12.41,12.0,10.12,7.72,7.38,8.66,8.88,7.38,6.88,7.97,8.0,5.91,4.66,6.25,8.06,8.34,8.31,10.62,14.06,15.19,14.53,14.91,16.09,15.41,12.53,10.94,11.62,12.19,11.25,11.22,14.31,18.78,21.16,22.69,25.41,27.44,25.88,21.0,16.0,11.94,7.22,1.03,-2.94,-3.16,-2.28,-2.81,-2.97,-0.19,2.91,4.31,4.59,6.53,8.62,8.38,5.31,2.53,1.53,-0.38,-3.62,-5.75,-4.34,-2.59,-2.78,-3.81,-3.16,-2.94,-5.41,-9.53,-12.12,-13.25,-15.06,-18.47,-19.72,-18.0,-15.94,-14.38,-11.31,-4.78,2.59,7.41,10.72,14.75,18.12,18.62,16.91,16.72,18.0,18.69,17.12,16.38,17.16,16.59,13.12,8.94,6.97,5.88,3.12,0.22,0.22,2.31,4.25,5.03,7.66,11.78,14.59,13.91,12.72,13.0,12.0,8.12,3.38,1.19,-0.03,-2.16,-5.09,-5.84,-4.47,-3.69,-4.22,-3.44,-0.81,0.62,-1.66,-5.06,-7.16,-9.38,-13.19,-17.25,-17.94,-16.34,-16.22,-16.88,-15.72,-12.41,-9.53,-8.53,-6.03,-0.94,4.06,6.19,7.75,10.34,12.75,12.0,9.38,7.78,7.19,4.03,-1.66,-6.34,-9.34,-11.69,-15.5,-16.94,-14.69,-11.44,-10.25,-10.06,-8.28,-6.22,-6.53,-8.12,-7.19,-4.19,-2.38,-2.22,-1.03,1.69,4.06,3.72,3.66,5.28,7.44,6.09,3.59,2.75,2.34,0.03,-3.84,-5.75,-5.81,-6.59,-8.72,-9.34,-6.81,-4.16,-3.66,-2.59,0.06,3.47,4.31,3.56,3.97,4.88,3.56,-0.47,-3.47,-4.19,-5.0,-7.59,-8.69,-6.91,-4.53,-5.59,-7.12,-6.81,-5.62,-6.31,-7.78,-6.22,-2.22,0.88,2.66,4.75,8.44,10.5,9.06,6.81,6.06,5.0,1.41,-3.28,-5.69,-6.31,-8.28,-10.81,-11.34,-9.19,-7.75,-7.53,-6.38,-2.88,0.19,0.72,0.75,3.25,6.06,6.41,5.62,6.0,6.78,4.81,0.34,-2.78,-4.22,-6.09,-9.81,-11.72,-9.91,-7.44,-6.78,-5.59,-2.31,1.91,4.16,5.81,9.25,14.38,17.31,17.22,16.56,16.56,14.78,9.5,5.12,3.34,2.5,-0.31,-2.91,-2.91,-1.62,-1.91,-3.16,-2.94,-0.75,0.19,-0.62,-0.5,2.06,4.44,3.53,2.66,3.84,5.5,4.44,2.53,2.59,3.66,2.31,-0.16,-1.53,-0.59,-0.47,-1.88,-2.5,-0.47,1.25,0.03,-2.0,-2.22,-1.69,-3.06,-5.22,-4.78,-2.66,-1.78,-2.5,-2.72,-0.94,-0.66,-2.72,-5.0,-4.66,-3.94,-5.25,-6.56,-5.38,-2.62,-1.94,-2.22,-0.81,2.06,2.88,1.75,1.06,2.28,2.97,1.25,-0.31,0.91,2.34,1.09,-0.78,-0.84,0.0,-0.88,-3.03,-3.75,-2.62,-2.38,-4.0,-4.84,-2.81,-0.84,-0.91,-1.38,0.5,2.5,2.53,1.06,1.47,3.16,2.59,-0.88,-3.75,-5.34,-7.94,-12.19,-15.22,-14.78,-13.03,-12.84,-12.91,-10.62,-7.22,-6.03,-6.28,-4.91,-2.03,-1.16,-2.75,-3.84,-2.5,-1.47,-2.25,-2.38,-0.34,2.41,2.75,2.41,4.28,7.19,7.81,6.84,6.75,8.06,7.59,4.62,1.03,-0.62,-2.97,-7.66,-12.19,-13.38,-13.19,-14.19,-15.59,-14.25,-10.62,-8.22,-6.94,-4.0,1.5,5.41,6.41,6.75,8.41,8.44,5.5,1.47,-0.84,-2.53,-6.75,-12.44,-16.56,-19.38,-23.44,-28.5,-31.97,-32.12,-32.03,-33.47,-34.12,-31.12,-26.56,-23.19,-19.62,-13.69,-6.75,-1.97,1.09,4.94,10.31,13.91,14.09,13.31,13.03,10.94,5.06,-1.56,-5.41,-8.22,-11.88,-15.56,-16.09,-14.47,-13.69,-14.06,-12.31,-8.88,-6.41,-6.25,-6.5,-5.03,-3.94,-5.72,-8.5,-9.12,-9.69,-12.31,-15.5,-16.78,-15.97,-15.5,-16.22,-15.41,-12.41,-9.69,-9.31,14.28,14.0,12.88,12.25,12.56,12.38,11.22:18.41,16.94,17.06,18.19,18.03,15.81,14.5,15.12,15.75,14.22,13.19,14.94,16.94,16.91,16.16,17.22,19.0,18.69,16.75,16.06,16.66,16.19,13.53,11.62,12.03,12.56,11.16,9.91,11.03,12.84,12.56,11.06,11.84,13.69,14.12,13.09,13.59,16.38,18.53,18.5,18.72,21.31,23.41,22.88,21.34,22.06,23.53,23.34,21.78,22.62,25.38,26.78,25.94,25.31,26.25,26.03,22.5,18.75,17.38,16.66,14.19,11.25,11.5,13.0,12.72,10.88,10.16,11.19,11.53,10.56,11.34,15.12,18.97,20.19,20.75,23.03,24.81,23.84,21.72,21.72,23.09,23.78,23.34,24.53,27.69,30.12,30.0,29.66,31.25,32.25,30.78,28.56,28.09,28.66,27.28,24.25,23.09,23.28,22.44,19.53,17.53,17.81,17.69,15.34,13.16,13.41,13.91,12.16,9.69,9.31,10.25,9.5,7.44,6.53,7.38,7.06,4.28,2.0,2.12,1.94,-0.41,-2.44,-1.56,1.16,2.22,3.41,6.41,10.25,11.84,10.97,10.5,11.44,11.84,10.12,9.16,10.75,11.81,10.22,7.69,6.66,6.75,5.06,2.44,2.19,3.56,4.25,2.94,2.91,4.97,6.72,6.62,6.56,8.81,11.16,10.69,8.75,8.59,9.12,8.25,6.28,6.0,8.16,9.81,8.81,8.56,10.44,11.75,10.06,8.81,9.81,12.38,12.72,12.53,13.75,16.16,16.41,14.5,13.69,14.62,14.94,12.97,11.25,12.25,12.88,11.09,8.84,8.81,10.06,9.19,7.06,6.62,7.12,6.47,3.5,2.0,3.12,4.19,3.34,3.09,5.75,8.97,9.88,9.81,11.62,14.62,15.69,15.19,16.16,18.88,19.84,18.44,17.75,19.06,20.25,19.5,18.41,19.97,22.25,22.44,21.72,22.53,24.09,23.56,21.16,19.78,20.5,20.91,18.94,17.31,17.59,17.28,13.88,10.41,8.84,8.75,7.06,4.66,4.25,5.59,5.72,4.09,3.72,6.03,8.16,8.19,8.5,11.25,13.88,13.41,11.91,12.41,14.25,14.66,14.53,16.22,19.69,21.31,20.25,18.38,18.38,17.53,14.59,12.12,12.41,13.5,12.72,11.06,11.34,12.84,12.62,10.84,10.31,11.94,12.59,11.03,9.84,11.0,12.22,11.19,9.94,10.84,13.38,13.81,13.12,14.28,16.75,17.47,15.72,14.75,15.62,15.59,13.03,10.22,9.97,10.44,9.06,7.94,9.16,12.09,13.12,11.66,10.81,11.28,10.28,7.31,5.56,7.53,9.41,9.31,9.41,11.81,14.97,15.78,15.69,17.44,20.41,21.19,19.88,19.12,20.12,19.62,16.53,13.75,14.0,14.59,13.16,12.16,13.41,15.22,14.38,11.88,10.62,11.12,10.41,8.31,7.66,9.16,9.75,7.81,5.97,6.47,7.56,6.78,5.75,7.03,9.66,10.69,9.94,10.53,12.59,13.03,10.78,9.5,10.38,10.72,9.09,7.25,7.97,9.22,8.84,7.28,7.94,9.69,9.16,6.81,4.94,5.06,4.47,2.47,1.53,3.84,6.5,6.41,5.28,5.91,6.12,4.22,1.12,-0.03,1.34,1.94,1.5,1.91,4.62,6.81,6.19,5.66,6.81,7.97,6.38,4.0,3.94,5.12,4.62,3.06,2.62,3.25,2.81,0.5,-0.97,0.62,2.28,2.09,2.31,5.0,8.75,11.19,12.84,16.66,21.12,23.47,23.12,23.16,24.0,23.38,20.25,17.19,16.16,14.88,11.5,8.34,7.97,9.66,10.97,12.0,15.34,20.19,23.53,24.59,25.84,27.97,28.91,26.28,23.0,21.72,20.78,17.66,14.53,13.56,14.12,12.91,10.56,9.69,10.5,11.34,10.59,11.5,15.41,19.28,20.53,20.94,22.91,24.66,23.44,20.66,19.25,17.94,15.0,10.12,6.78,6.22,5.69,4.0,3.78,6.16,8.88,9.44,9.56,11.91,14.91,15.28,14.44,14.44,15.31,14.91,12.84,12.69,15.09,18.06,19.0,21.0,24.81,28.22,29.19,28.59,28.78,29.44,27.94,24.69,22.41,21.88,20.19,16.75,14.22,13.66,13.97,12.16,10.69,12.0,14.25,15.03,14.5,15.28,16.5,15.97,13.44,12.62,14.44,16.31,16.5,17.34,19.78,22.03,21.12,19.69,20.34,21.78,21.31,19.78,19.28,19.81,18.84,16.47,15.06,16.59,18.06,18.03,18.41,20.5,22.84,22.12,20.25,19.84,20.47,19.75,17.81,17.38,18.16,17.72,14.5,11.88,11.81,11.91,10.22,8.41,8.66,9.72,8.19,5.62,4.81,5.81,5.84,4.72,5.22,8.5,11.66,13.19,14.88,18.75,22.5,23.38,23.25,24.59,26.53,26.16,24.47,24.41,26.0,26.25,24.38,22.91,23.12,22.47,19.94,17.59,18.09,19.19,18.69,17.38,17.78,18.69,17.44,15.03,13.56,14.03,13.88,11.31,9.38,9.66,10.09,7.78,5.94,6.09,7.09,6.41,5.28,5.97,8.5,10.0,10.34,12.16,15.97,19.0,19.69,19.31,19.69,19.84,17.09,12.75,10.84,11.06,10.0,8.66,10.03,13.09,14.88,14.97,15.56,18.5,20.56,20.19,19.41,19.75,20.22,18.22,15.69,14.94,15.72,15.06,13.28,12.94,14.09,13.69,11.25,8.44,7.75,7.22,4.66,2.16,2.41,4.0,3.81,3.03,4.0,6.16,6.59,5.38,4.94,6.12,6.59,4.59,1.91,1.75,1.91,0.5,-0.75,0.97,4.22,6.22,6.94,8.94,12.53,14.91,14.78,15.19,17.19,17.94,15.88,13.03,12.41,12.0,10.12,7.72,7.38,8.66,8.88,7.38,6.88,7.97,8.0,5.91,4.66,6.25,8.06,8.34,8.31,10.62,14.06,15.19,14.53,14.91,16.09,15.41,12.53,10.94,11.62,12.19,11.25,11.22,14.31,18.78,21.16,22.69,25.41,27.44,25.88,21.0,16.0,11.94,7.22,1.03,-2.94,-3.16,-2.28,-2.81,-2.97,-0.19,2.91,4.31,4.59,6.53,8.62,8.38,5.31,2.53,1.53,-0.38,-3.62,-5.75,-4.34,-2.59,-2.78,-3.81,-3.16,-2.94,-5.41,-9.53,-12.12,-13.25,-15.06,-18.47,-19.72,-18.0,-15.94,-14.38,-11.31,-4.78,2.59,7.41,10.72,14.75,18.12,18.62,16.91,16.72,18.0,18.69,17.12,16.38,17.16,16.59,13.12,8.94,6.97,5.88,3.12,0.22,0.22,2.31,4.25,5.03,7.66,11.78,14.59,13.91,12.72,13.0,12.0,8.12,3.38,1.19,-0.03,-2.16,-5.09,-5.84,-4.47,-3.69,-4.22,-3.44,-0.81,0.62,-1.66,-5.06,-7.16,-9.38,-13.19,-17.25,-17.94,-16.34,-16.22,-16.88,-15.72,-12.41,-9.53,-8.53,-6.03,-0.94,4.06,6.19,7.75,10.34,12.75,12.0,9.38,7.78,7.19,4.03,-1.66,-6.34,-9.34,-11.69,-15.5,-16.94,-14.69,-11.44,-10.25,-10.06,-8.28,-6.22,-6.53,-8.12,-7.19,-4.19,-2.38,-2.22,-1.03,1.69,4.06,3.72,3.66,5.28,7.44,6.09,3.59,2.75,2.34,0.03,-3.84,-5.75,-5.81,-6.59,-8.72,-9.34,-6.81,-4.16,-3.66,-2.59,0.06,3.47,4.31,3.56,3.97,4.88,3.56,-0.47,-3.47,-4.19,-5.0,-7.59,-8.69,-6.91,-4.53,-5.59,-7.12,-6.81,-5.62,-6.31,-7.78,-6.22,-2.22,0.88,2.66,4.75,8.44,10.5,9.06,6.81,6.06,5.0,1.41,-3.28,-5.69,-6.31,-8.28,-10.81,-11.34,-9.19,-7.75,-7.53,-6.38,-2.88,0.19,0.72,0.75,3.25,6.06,6.41,5.62,6.0,6.78,4.81,0.34,-2.78,-4.22,-6.09,-9.81,-11.72,-9.91,-7.44,-6.78,-5.59,-2.31,1.91,4.16,5.81,9.25,14.38,17.31,17.22,16.56,16.56,14.78,9.5,5.12,3.34,2.5,-0.31,-2.91,-2.91,-1.62,-1.91,-3.16,-2.94,-0.75,0.19,-0.62,-0.5,2.06,4.44,3.53,2.66,3.84,5.5,4.44,2.53,2.59,3.66,2.31,-0.16,-1.53,-0.59,-0.47,-1.88,-2.5,-0.47,1.25,0.03,-2.0,-2.22,-1.69,-3.06,-5.22,-4.78,-2.66,-1.78,-2.5,-2.72,-0.94,-0.66,-2.72,-5.0,-4.66,-3.94,-5.25,-6.56,-5.38,-2.62,-1.94,-2.22,-0.81,2.06,2.88,1.75,1.06,2.28,2.97,1.25,-0.31,0.91,2.34,1.09,-0.78,-0.84,0.0,-0.88,-3.03,-3.75,-2.62,-2.38,-4.0,-4.84,-2.81,-0.84,-0.91,-1.38,0.5,2.5,2.53,1.06,1.47,3.16,2.59,-0.88,-3.75,-5.34,-7.94,-12.19,-15.22,-14.78,-13.03,-12.84,-12.91,-10.62,-7.22,-6.03,-6.28,-4.91,-2.03,-1.16,-2.75,-3.84,-2.5,-1.47,-2.25,-2.38,-0.34,2.41,2.75,2.41,4.28,7.19,7.81,6.84,6.75,8.06,7.59,4.62,1.03,-0.62,-2.97,-7.66,-12.19,-13.38,-13.19,-14.19,-15.59,-14.25,-10.62,-8.22,-6.94,-4.0,1.5,5.41,6.41,6.75,8.41,8.44,5.5,1.47,-0.84,-2.53,-6.75,-12.44,-16.56,-19.38,-23.44,-28.5,-31.97,-32.12,-32.03,-33.47,-34.12,-31.12,-26.56,-23.19,-19.62,-13.69,-6.75,-1.97,1.09,4.94,10.31,13.91,14.09,13.31,13.03,10.94,5.06,-1.56,-5.41,-8.22,-11.88,-15.56,-16.09,-14.47,-13.69,-14.06,-12.31,-8.88,-6.41,-6.25,-6.5,-5.03,-3.94,-5.72,-8.5,-9.12,-9.69,-12.31,-15.5,-16.78,-15.97,-15.5,-16.22,-15.41,-12.41,-9.69,-9.31,14.28,14.0,12.88,12.25,12.56,12.38,11.22,10.16,10.97,12.22,12.47,12.09,12.94,14.28:15.12,15.75,14.22,13.19,14.94,16.94,16.91,16.16,17.22,19.0,18.69,16.75,16.06,16.66,16.19,13.53,11.62,12.03,12.56,11.16,9.91,11.03,12.84,12.56,11.06,11.84,13.69,14.12,13.09,13.59,16.38,18.53,18.5,18.72,21.31,23.41,22.88,21.34,22.06,23.53,23.34,21.78,22.62,25.38,26.78,25.94,25.31,26.25,26.03,22.5,18.75,17.38,16.66,14.19,11.25,11.5,13.0,12.72,10.88,10.16,11.19,11.53,10.56,11.34,15.12,18.97,20.19,20.75,23.03,24.81,23.84,21.72,21.72,23.09,23.78,23.34,24.53,27.69,30.12,30.0,29.66,31.25,32.25,30.78,28.56,28.09,28.66,27.28,24.25,23.09,23.28,22.44,19.53,17.53,17.81,17.69,15.34,13.16,13.41,13.91,12.16,9.69,9.31,10.25,9.5,7.44,6.53,7.38,7.06,4.28,2.0,2.12,1.94,-0.41,-2.44,-1.56,1.16,2.22,3.41,6.41,10.25,11.84,10.97,10.5,11.44,11.84,10.12,9.16,10.75,11.81,10.22,7.69,6.66,6.75,5.06,2.44,2.19,3.56,4.25,2.94,2.91,4.97,6.72,6.62,6.56,8.81,11.16,10.69,8.75,8.59,9.12,8.25,6.28,6.0,8.16,9.81,8.81,8.56,10.44,11.75,10.06,8.81,9.81,12.38,12.72,12.53,13.75,16.16,16.41,14.5,13.69,14.62,14.94,12.97,11.25,12.25,12.88,11.09,8.84,8.81,10.06,9.19,7.06,6.62,7.12,6.47,3.5,2.0,3.12,4.19,3.34,3.09,5.75,8.97,9.88,9.81,11.62,14.62,15.69,15.19,16.16,18.88,19.84,18.44,17.75,19.06,20.25,19.5,18.41,19.97,22.25,22.44,21.72,22.53,24.09,23.56,21.16,19.78,20.5,20.91,18.94,17.31,17.59,17.28,13.88,10.41,8.84,8.75,7.06,4.66,4.25,5.59,5.72,4.09,3.72,6.03,8.16,8.19,8.5,11.25,13.88,13.41,11.91,12.41,14.25,14.66,14.53,16.22,19.69,21.31,20.25,18.38,18.38,17.53,14.59,12.12,12.41,13.5,12.72,11.06,11.34,12.84,12.62,10.84,10.31,11.94,12.59,11.03,9.84,11.0,12.22,11.19,9.94,10.84,13.38,13.81,13.12,14.28,16.75,17.47,15.72,14.75,15.62,15.59,13.03,10.22,9.97,10.44,9.06,7.94,9.16,12.09,13.12,11.66,10.81,11.28,10.28,7.31,5.56,7.53,9.41,9.31,9.41,11.81,14.97,15.78,15.69,17.44,20.41,21.19,19.88,19.12,20.12,19.62,16.53,13.75,14.0,14.59,13.16,12.16,13.41,15.22,14.38,11.88,10.62,11.12,10.41,8.31,7.66,9.16,9.75,7.81,5.97,6.47,7.56,6.78,5.75,7.03,9.66,10.69,9.94,10.53,12.59,13.03,10.78,9.5,10.38,10.72,9.09,7.25,7.97,9.22,8.84,7.28,7.94,9.69,9.16,6.81,4.94,5.06,4.47,2.47,1.53,3.84,6.5,6.41,5.28,5.91,6.12,4.22,1.12,-0.03,1.34,1.94,1.5,1.91,4.62,6.81,6.19,5.66,6.81,7.97,6.38,4.0,3.94,5.12,4.62,3.06,2.62,3.25,2.81,0.5,-0.97,0.62,2.28,2.09,2.31,5.0,8.75,11.19,12.84,16.66,21.12,23.47,23.12,23.16,24.0,23.38,20.25,17.19,16.16,14.88,11.5,8.34,7.97,9.66,10.97,12.0,15.34,20.19,23.53,24.59,25.84,27.97,28.91,26.28,23.0,21.72,20.78,17.66,14.53,13.56,14.12,12.91,10.56,9.69,10.5,11.34,10.59,11.5,15.41,19.28,20.53,20.94,22.91,24.66,23.44,20.66,19.25,17.94,15.0,10.12,6.78,6.22,5.69,4.0,3.78,6.16,8.88,9.44,9.56,11.91,14.91,15.28,14.44,14.44,15.31,14.91,12.84,12.69,15.09,18.06,19.0,21.0,24.81,28.22,29.19,28.59,28.78,29.44,27.94,24.69,22.41,21.88,20.19,16.75,14.22,13.66,13.97,12.16,10.69,12.0,14.25,15.03,14.5,15.28,16.5,15.97,13.44,12.62,14.44,16.31,16.5,17.34,19.78,22.03,21.12,19.69,20.34,21.78,21.31,19.78,19.28,19.81,18.84,16.47,15.06,16.59,18.06,18.03,18.41,20.5,22.84,22.12,20.25,19.84,20.47,19.75,17.81,17.38,18.16,17.72,14.5,11.88,11.81,11.91,10.22,8.41,8.66,9.72,8.19,5.62,4.81,5.81,5.84,4.72,5.22,8.5,11.66,13.19,14.88,18.75,22.5,23.38,23.25,24.59,26.53,26.16,24.47,24.41,26.0,26.25,24.38,22.91,23.12,22.47,19.94,17.59,18.09,19.19,18.69,17.38,17.78,18.69,17.44,15.03,13.56,14.03,13.88,11.31,9.38,9.66,10.09,7.78,5.94,6.09,7.09,6.41,5.28,5.97,8.5,10.0,10.34,12.16,15.97,19.0,19.69,19.31,19.69,19.84,17.09,12.75,10.84,11.06,10.0,8.66,10.03,13.09,14.88,14.97,15.56,18.5,20.56,20.19,19.41,19.75,20.22,18.22,15.69,14.94,15.72,15.06,13.28,12.94,14.09,13.69,11.25,8.44,7.75,7.22,4.66,2.16,2.41,4.0,3.81,3.03,4.0,6.16,6.59,5.38,4.94,6.12,6.59,4.59,1.91,1.75,1.91,0.5,-0.75,0.97,4.22,6.22,6.94,8.94,12.53,14.91,14.78,15.19,17.19,17.94,15.88,13.03,12.41,12.0,10.12,7.72,7.38,8.66,8.88,7.38,6.88,7.97,8.0,5.91,4.66,6.25,8.06,8.34,8.31,10.62,14.06,15.19,14.53,14.91,16.09,15.41,12.53,10.94,11.62,12.19,11.25,11.22,14.31,18.78,21.16,22.69,25.41,27.44,25.88,21.0,16.0,11.94,7.22,1.03,-2.94,-3.16,-2.28,-2.81,-2.97,-0.19,2.91,4.31,4.59,6.53,8.62,8.38,5.31,2.53,1.53,-0.38,-3.62,-5.75,-4.34,-2.59,-2.78,-3.81,-3.16,-2.94,-5.41,-9.53,-12.12,-13.25,-15.06,-18.47,-19.72,-18.0,-15.94,-14.38,-11.31,-4.78,2.59,7.41,10.72,14.75,18.12,18.62,16.91,16.72,18.0,18.69,17.12,16.38,17.16,16.59,13.12,8.94,6.97,5.88,3.12,0.22,0.22,2.31,4.25,5.03,7.66,11.78,14.59,13.91,12.72,13.0,12.0,8.12,3.38,1.19,-0.03,-2.16,-5.09,-5.84,-4.47,-3.69,-4.22,-3.44,-0.81,0.62,-1.66,-5.06,-7.16,-9.38,-13.19,-17.25,-17.94,-16.34,-16.22,-16.88,-15.72,-12.41,-9.53,-8.53,-6.03,-0.94,4.06,6.19,7.75,10.34,12.75,12.0,9.38,7.78,7.19,4.03,-1.66,-6.34,-9.34,-11.69,-15.5,-16.94,-14.69,-11.44,-10.25,-10.06,-8.28,-6.22,-6.53,-8.12,-7.19,-4.19,-2.38,-2.22,-1.03,1.69,4.06,3.72,3.66,5.28,7.44,6.09,3.59,2.75,2.34,0.03,-3.84,-5.75,-5.81,-6.59,-8.72,-9.34,-6.81,-4.16,-3.66,-2.59,0.06,3.47,4.31,3.56,3.97,4.88,3.56,-0.47,-3.47,-4.19,-5.0,-7.59,-8.69,-6.91,-4.53,-5.59,-7.12,-6.81,-5.62,-6.31,-7.78,-6.22,-2.22,0.88,2.66,4.75,8.44,10.5,9.06,6.81,6.06,5.0,1.41,-3.28,-5.69,-6.31,-8.28,-10.81,-11.34,-9.19,-7.75,-7.53,-6.38,-2.88,0.19,0.72,0.75,3.25,6.06,6.41,5.62,6.0,6.78,4.81,0.34,-2.78,-4.22,-6.09,-9.81,-11.72,-9.91,-7.44,-6.78,-5.59,-2.31,1.91,4.16,5.81,9.25,14.38,17.31,17.22,16.56,16.56,14.78,9.5,5.12,3.34,2.5,-0.31,-2.91,-2.91,-1.62,-1.91,-3.16,-2.94,-0.75,0.19,-0.62,-0.5,2.06,4.44,3.53,2.66,3.84,5.5,4.44,2.53,2.59,3.66,2.31,-0.16,-1.53,-0.59,-0.47,-1.88,-2.5,-0.47,1.25,0.03,-2.0,-2.22,-1.69,-3.06,-5.22,-4.78,-2.66,-1.78,-2.5,-2.72,-0.94,-0.66,-2.72,-5.0,-4.66,-3.94,-5.25,-6.56,-5.38,-2.62,-1.94,-2.22,-0.81,2.06,2.88,1.75,1.06,2.28,2.97,1.25,-0.31,0.91,2.34,1.09,-0.78,-0.84,0.0,-0.88,-3.03,-3.75,-2.62,-2.38,-4.0,-4.84,-2.81,-0.84,-0.91,-1.38,0.5,2.5,2.53,1.06,1.47,3.16,2.59,-0.88,-3.75,-5.34,-7.94,-12.19,-15.22,-14.78,-13.03,-12.84,-12.91,-10.62,-7.22,-6.03,-6.28,-4.91,-2.03,-1.16,-2.75,-3.84,-2.5,-1.47,-2.25,-2.38,-0.34,2.41,2.75,2.41,4.28,7.19,7.81,6.84,6.75,8.06,7.59,4.62,1.03,-0.62,-2.97,-7.66,-12.19,-13.38,-13.19,-14.19,-15.59,-14.25,-10.62,-8.22,-6.94,-4.0,1.5,5.41,6.41,6.75,8.41,8.44,5.5,1.47,-0.84,-2.53,-6.75,-12.44,-16.56,-19.38,-23.44,-28.5,-31.97,-32.12,-32.03,-33.47,-34.12,-31.12,-26.56,-23.19,-19.62,-13.69,-6.75,-1.97,1.09,4.94,10.31,13.91,14.09,13.31,13.03,10.94,5.06,-1.56,-5.41,-8.22,-11.88,-15.56,-16.09,-14.47,-13.69,-14.06,-12.31,-8.88,-6.41,-6.25,-6.5,-5.03,-3.94,-5.72,-8.5,-9.12,-9.69,-12.31,-15.5,-16.78,-15.97,-15.5,-16.22,-15.41,-12.41,-9.69,-9.31,14.28,14.0,12.88,12.25,12.56,12.38,11.22,10.16,10.97,12.22,12.47,12.09,12.94,14.28,14.69,13.94,14.44,15.56,16.0,15.03,14.53:16.16,17.22,19.0,18.69,16.75,16.06,16.66,16.19,13.53,11.62,12.03,12.56,11.16,9.91,11.03,12.84,12.56,11.06,11.84,13.69,14.12,13.09,13.59,16.38,18.53,18.5,18.72,21.31,23.41,22.88,21.34,22.06,23.53,23.34,21.78,22.62,25.38,26.78,25.94,25.31,26.25,26.03,22.5,18.75,17.38,16.66,14.19,11.25,11.5,13.0,12.72,10.88,10.16,11.19,11.53,10.56,11.34,15.12,18.97,20.19,20.75,23.03,24.81,23.84,21.72,21.72,23.09,23.78,23.34,24.53,27.69,30.12,30.0,29.66,31.25,32.25,30.78,28.56,28.09,28.66,27.28,24.25,23.09,23.28,22.44,19.53,17.53,17.81,17.69,15.34,13.16,13.41,13.91,12.16,9.69,9.31,10.25,9.5,7.44,6.53,7.38,7.06,4.28,2.0,2.12,1.94,-0.41,-2.44,-1.56,1.16,2.22,3.41,6.41,10.25,11.84,10.97,10.5,11.44,11.84,10.12,9.16,10.75,11.81,10.22,7.69,6.66,6.75,5.06,2.44,2.19,3.56,4.25,2.94,2.91,4.97,6.72,6.62,6.56,8.81,11.16,10.69,8.75,8.59,9.12,8.25,6.28,6.0,8.16,9.81,8.81,8.56,10.44,11.75,10.06,8.81,9.81,12.38,12.72,12.53,13.75,16.16,16.41,14.5,13.69,14.62,14.94,12.97,11.25,12.25,12.88,11.09,8.84,8.81,10.06,9.19,7.06,6.62,7.12,6.47,3.5,2.0,3.12,4.19,3.34,3.09,5.75,8.97,9.88,9.81,11.62,14.62,15.69,15.19,16.16,18.88,19.84,18.44,17.75,19.06,20.25,19.5,18.41,19.97,22.25,22.44,21.72,22.53,24.09,23.56,21.16,19.78,20.5,20.91,18.94,17.31,17.59,17.28,13.88,10.41,8.84,8.75,7.06,4.66,4.25,5.59,5.72,4.09,3.72,6.03,8.16,8.19,8.5,11.25,13.88,13.41,11.91,12.41,14.25,14.66,14.53,16.22,19.69,21.31,20.25,18.38,18.38,17.53,14.59,12.12,12.41,13.5,12.72,11.06,11.34,12.84,12.62,10.84,10.31,11.94,12.59,11.03,9.84,11.0,12.22,11.19,9.94,10.84,13.38,13.81,13.12,14.28,16.75,17.47,15.72,14.75,15.62,15.59,13.03,10.22,9.97,10.44,9.06,7.94,9.16,12.09,13.12,11.66,10.81,11.28,10.28,7.31,5.56,7.53,9.41,9.31,9.41,11.81,14.97,15.78,15.69,17.44,20.41,21.19,19.88,19.12,20.12,19.62,16.53,13.75,14.0,14.59,13.16,12.16,13.41,15.22,14.38,11.88,10.62,11.12,10.41,8.31,7.66,9.16,9.75,7.81,5.97,6.47,7.56,6.78,5.75,7.03,9.66,10.69,9.94,10.53,12.59,13.03,10.78,9.5,10.38,10.72,9.09,7.25,7.97,9.22,8.84,7.28,7.94,9.69,9.16,6.81,4.94,5.06,4.47,2.47,1.53,3.84,6.5,6.41,5.28,5.91,6.12,4.22,1.12,-0.03,1.34,1.94,1.5,1.91,4.62,6.81,6.19,5.66,6.81,7.97,6.38,4.0,3.94,5.12,4.62,3.06,2.62,3.25,2.81,0.5,-0.97,0.62,2.28,2.09,2.31,5.0,8.75,11.19,12.84,16.66,21.12,23.47,23.12,23.16,24.0,23.38,20.25,17.19,16.16,14.88,11.5,8.34,7.97,9.66,10.97,12.0,15.34,20.19,23.53,24.59,25.84,27.97,28.91,26.28,23.0,21.72,20.78,17.66,14.53,13.56,14.12,12.91,10.56,9.69,10.5,11.34,10.59,11.5,15.41,19.28,20.53,20.94,22.91,24.66,23.44,20.66,19.25,17.94,15.0,10.12,6.78,6.22,5.69,4.0,3.78,6.16,8.88,9.44,9.56,11.91,14.91,15.28,14.44,14.44,15.31,14.91,12.84,12.69,15.09,18.06,19.0,21.0,24.81,28.22,29.19,28.59,28.78,29.44,27.94,24.69,22.41,21.88,20.19,16.75,14.22,13.66,13.97,12.16,10.69,12.0,14.25,15.03,14.5,15.28,16.5,15.97,13.44,12.62,14.44,16.31,16.5,17.34,19.78,22.03,21.12,19.69,20.34,21.78,21.31,19.78,19.28,19.81,18.84,16.47,15.06,16.59,18.06,18.03,18.41,20.5,22.84,22.12,20.25,19.84,20.47,19.75,17.81,17.38,18.16,17.72,14.5,11.88,11.81,11.91,10.22,8.41,8.66,9.72,8.19,5.62,4.81,5.81,5.84,4.72,5.22,8.5,11.66,13.19,14.88,18.75,22.5,23.38,23.25,24.59,26.53,26.16,24.47,24.41,26.0,26.25,24.38,22.91,23.12,22.47,19.94,17.59,18.09,19.19,18.69,17.38,17.78,18.69,17.44,15.03,13.56,14.03,13.88,11.31,9.38,9.66,10.09,7.78,5.94,6.09,7.09,6.41,5.28,5.97,8.5,10.0,10.34,12.16,15.97,19.0,19.69,19.31,19.69,19.84,17.09,12.75,10.84,11.06,10.0,8.66,10.03,13.09,14.88,14.97,15.56,18.5,20.56,20.19,19.41,19.75,20.22,18.22,15.69,14.94,15.72,15.06,13.28,12.94,14.09,13.69,11.25,8.44,7.75,7.22,4.66,2.16,2.41,4.0,3.81,3.03,4.0,6.16,6.59,5.38,4.94,6.12,6.59,4.59,1.91,1.75,1.91,0.5,-0.75,0.97,4.22,6.22,6.94,8.94,12.53,14.91,14.78,15.19,17.19,17.94,15.88,13.03,12.41,12.0,10.12,7.72,7.38,8.66,8.88,7.38,6.88,7.97,8.0,5.91,4.66,6.25,8.06,8.34,8.31,10.62,14.06,15.19,14.53,14.91,16.09,15.41,12.53,10.94,11.62,12.19,11.25,11.22,14.31,18.78,21.16,22.69,25.41,27.44,25.88,21.0,16.0,11.94,7.22,1.03,-2.94,-3.16,-2.28,-2.81,-2.97,-0.19,2.91,4.31,4.59,6.53,8.62,8.38,5.31,2.53,1.53,-0.38,-3.62,-5.75,-4.34,-2.59,-2.78,-3.81,-3.16,-2.94,-5.41,-9.53,-12.12,-13.25,-15.06,-18.47,-19.72,-18.0,-15.94,-14.38,-11.31,-4.78,2.59,7.41,10.72,14.75,18.12,18.62,16.91,16.72,18.0,18.69,17.12,16.38,17.16,16.59,13.12,8.94,6.97,5.88,3.12,0.22,0.22,2.31,4.25,5.03,7.66,11.78,14.59,13.91,12.72,13.0,12.0,8.12,3.38,1.19,-0.03,-2.16,-5.09,-5.84,-4.47,-3.69,-4.22,-3.44,-0.81,0.62,-1.66,-5.06,-7.16,-9.38,-13.19,-17.25,-17.94,-16.34,-16.22,-16.88,-15.72,-12.41,-9.53,-8.53,-6.03,-0.94,4.06,6.19,7.75,10.34,12.75,12.0,9.38,7.78,7.19,4.03,-1.66,-6.34,-9.34,-11.69,-15.5,-16.94,-14.69,-11.44,-10.25,-10.06,-8.28,-6.22,-6.53,-8.12,-7.19,-4.19,-2.38,-2.22,-1.03,1.69,4.06,3.72,3.66,5.28,7.44,6.09,3.59,2.75,2.34,0.03,-3.84,-5.75,-5.81,-6.59,-8.72,-9.34,-6.81,-4.16,-3.66,-2.59,0.06,3.47,4.31,3.56,3.97,4.88,3.56,-0.47,-3.47,-4.19,-5.0,-7.59,-8.69,-6.91,-4.53,-5.59,-7.12,-6.81,-5.62,-6.31,-7.78,-6.22,-2.22,0.88,2.66,4.75,8.44,10.5,9.06,6.81,6.06,5.0,1.41,-3.28,-5.69,-6.31,-8.28,-10.81,-11.34,-9.19,-7.75,-7.53,-6.38,-2.88,0.19,0.72,0.75,3.25,6.06,6.41,5.62,6.0,6.78,4.81,0.34,-2.78,-4.22,-6.09,-9.81,-11.72,-9.91,-7.44,-6.78,-5.59,-2.31,1.91,4.16,5.81,9.25,14.38,17.31,17.22,16.56,16.56,14.78,9.5,5.12,3.34,2.5,-0.31,-2.91,-2.91,-1.62,-1.91,-3.16,-2.94,-0.75,0.19,-0.62,-0.5,2.06,4.44,3.53,2.66,3.84,5.5,4.44,2.53,2.59,3.66,2.31,-0.16,-1.53,-0.59,-0.47,-1.88,-2.5,-0.47,1.25,0.03,-2.0,-2.22,-1.69,-3.06,-5.22,-4.78,-2.66,-1.78,-2.5,-2.72,-0.94,-0.66,-2.72,-5.0,-4.66,-3.94,-5.25,-6.56,-5.38,-2.62,-1.94,-2.22,-0.81,2.06,2.88,1.75,1.06,2.28,2.97,1.25,-0.31,0.91,2.34,1.09,-0.78,-0.84,0.0,-0.88,-3.03,-3.75,-2.62,-2.38,-4.0,-4.84,-2.81,-0.84,-0.91,-1.38,0.5,2.5,2.53,1.06,1.47,3.16,2.59,-0.88,-3.75,-5.34,-7.94,-12.19,-15.22,-14.78,-13.03,-12.84,-12.91,-10.62,-7.22,-6.03,-6.28,-4.91,-2.03,-1.16,-2.75,-3.84,-2.5,-1.47,-2.25,-2.38,-0.34,2.41,2.75,2.41,4.28,7.19,7.81,6.84,6.75,8.06,7.59,4.62,1.03,-0.62,-2.97,-7.66,-12.19,-13.38,-13.19,-14.19,-15.59,-14.25,-10.62,-8.22,-6.94,-4.0,1.5,5.41,6.41,6.75,8.41,8.44,5.5,1.47,-0.84,-2.53,-6.75,-12.44,-16.56,-19.38,-23.44,-28.5,-31.97,-32.12,-32.03,-33.47,-34.12,-31.12,-26.56,-23.19,-19.62,-13.69,-6.75,-1.97,1.09,4.94,10.31,13.91,14.09,13.31,13.03,10.94,5.06,-1.56,-5.41,-8.22,-11.88,-15.56,-16.09,-14.47,-13.69,-14.06,-12.31,-8.88,-6.41,-6.25,-6.5,-5.03,-3.94,-5.72,-8.5,-9.12,-9.69,-12.31,-15.5,-16.78,-15.97,-15.5,-16.22,-15.41,-12.41,-9.69,-9.31,14.28,14.0,12.88,12.25,12.56,12.38,11.22,10.16,10.97,12.22,12.47,12.09,12.94,14.28,14.69,13.94,14.44,15.56,16.0,15.03,14.53,15.41,16.25,15.66,15.12,16.09,17.19,16.56:16.19,13.53,11.62,12.03,12.56,11.16,9.91,11.03,12.84,12.56,11.06,11.84,13.69,14.12,13.09,13.59,16.38,18.53,18.5,18.72,21.31,23.41,22.88,21.34,22.06,23.53,23.34,21.78,22.62,25.38,26.78,25.94,25.31,26.25,26.03,22.5,18.75,17.38,16.66,14.19,11.25,11.5,13.0,12.72,10.88,10.16,11.19,11.53,10.56,11.34,15.12,18.97,20.19,20.75,23.03,24.81,23.84,21.72,21.72,23.09,23.78,23.34,24.53,27.69,30.12,30.0,29.66,31.25,32.25,30.78,28.56,28.09,28.66,27.28,24.25,23.09,23.28,22.44,19.53,17.53,17.81,17.69,15.34,13.16,13.41,13.91,12.16,9.69,9.31,10.25,9.5,7.44,6.53,7.38,7.06,4.28,2.0,2.12,1.94,-0.41,-2.44,-1.56,1.16,2.22,3.41,6.41,10.25,11.84,10.97,10.5,11.44,11.84,10.12,9.16,10.75,11.81,10.22,7.69,6.66,6.75,5.06,2.44,2.19,3.56,4.25,2.94,2.91,4.97,6.72,6.62,6.56,8.81,11.16,10.69,8.75,8.59,9.12,8.25,6.28,6.0,8.16,9.81,8.81,8.56,10.44,11.75,10.06,8.81,9.81,12.38,12.72,12.53,13.75,16.16,16.41,14.5,13.69,14.62,14.94,12.97,11.25,12.25,12.88,11.09,8.84,8.81,10.06,9.19,7.06,6.62,7.12,6.47,3.5,2.0,3.12,4.19,3.34,3.09,5.75,8.97,9.88,9.81,11.62,14.62,15.69,15.19,16.16,18.88,19.84,18.44,17.75,19.06,20.25,19.5,18.41,19.97,22.25,22.44,21.72,22.53,24.09,23.56,21.16,19.78,20.5,20.91,18.94,17.31,17.59,17.28,13.88,10.41,8.84,8.75,7.06,4.66,4.25,5.59,5.72,4.09,3.72,6.03,8.16,8.19,8.5,11.25,13.88,13.41,11.91,12.41,14.25,14.66,14.53,16.22,19.69,21.31,20.25,18.38,18.38,17.53,14.59,12.12,12.41,13.5,12.72,11.06,11.34,12.84,12.62,10.84,10.31,11.94,12.59,11.03,9.84,11.0,12.22,11.19,9.94,10.84,13.38,13.81,13.12,14.28,16.75,17.47,15.72,14.75,15.62,15.59,13.03,10.22,9.97,10.44,9.06,7.94,9.16,12.09,13.12,11.66,10.81,11.28,10.28,7.31,5.56,7.53,9.41,9.31,9.41,11.81,14.97,15.78,15.69,17.44,20.41,21.19,19.88,19.12,20.12,19.62,16.53,13.75,14.0,14.59,13.16,12.16,13.41,15.22,14.38,11.88,10.62,11.12,10.41,8.31,7.66,9.16,9.75,7.81,5.97,6.47,7.56,6.78,5.75,7.03,9.66,10.69,9.94,10.53,12.59,13.03,10.78,9.5,10.38,10.72,9.09,7.25,7.97,9.22,8.84,7.28,7.94,9.69,9.16,6.81,4.94,5.06,4.47,2.47,1.53,3.84,6.5,6.41,5.28,5.91,6.12,4.22,1.12,-0.03,1.34,1.94,1.5,1.91,4.62,6.81,6.19,5.66,6.81,7.97,6.38,4.0,3.94,5.12,4.62,3.06,2.62,3.25,2.81,0.5,-0.97,0.62,2.28,2.09,2.31,5.0,8.75,11.19,12.84,16.66,21.12,23.47,23.12,23.16,24.0,23.38,20.25,17.19,16.16,14.88,11.5,8.34,7.97,9.66,10.97,12.0,15.34,20.19,23.53,24.59,25.84,27.97,28.91,26.28,23.0,21.72,20.78,17.66,14.53,13.56,14.12,12.91,10.56,9.69,10.5,11.34,10.59,11.5,15.41,19.28,20.53,20.94,22.91,24.66,23.44,20.66,19.25,17.94,15.0,10.12,6.78,6.22,5.69,4.0,3.78,6.16,8.88,9.44,9.56,11.91,14.91,15.28,14.44,14.44,15.31,14.91,12.84,12.69,15.09,18.06,19.0,21.0,24.81,28.22,29.19,28.59,28.78,29.44,27.94,24.69,22.41,21.88,20.19,16.75,14.22,13.66,13.97,12.16,10.69,12.0,14.25,15.03,14.5,15.28,16.5,15.97,13.44,12.62,14.44,16.31,16.5,17.34,19.78,22.03,21.12,19.69,20.34,21.78,21.31,19.78,19.28,19.81,18.84,16.47,15.06,16.59,18.06,18.03,18.41,20.5,22.84,22.12,20.25,19.84,20.47,19.75,17.81,17.38,18.16,17.72,14.5,11.88,11.81,11.91,10.22,8.41,8.66,9.72,8.19,5.62,4.81,5.81,5.84,4.72,5.22,8.5,11.66,13.19,14.88,18.75,22.5,23.38,23.25,24.59,26.53,26.16,24.47,24.41,26.0,26.25,24.38,22.91,23.12,22.47,19.94,17.59,18.09,19.19,18.69,17.38,17.78,18.69,17.44,15.03,13.56,14.03,13.88,11.31,9.38,9.66,10.09,7.78,5.94,6.09,7.09,6.41,5.28,5.97,8.5,10.0,10.34,12.16,15.97,19.0,19.69,19.31,19.69,19.84,17.09,12.75,10.84,11.06,10.0,8.66,10.03,13.09,14.88,14.97,15.56,18.5,20.56,20.19,19.41,19.75,20.22,18.22,15.69,14.94,15.72,15.06,13.28,12.94,14.09,13.69,11.25,8.44,7.75,7.22,4.66,2.16,2.41,4.0,3.81,3.03,4.0,6.16,6.59,5.38,4.94,6.12,6.59,4.59,1.91,1.75,1.91,0.5,-0.75,0.97,4.22,6.22,6.94,8.94,12.53,14.91,14.78,15.19,17.19,17.94,15.88,13.03,12.41,12.0,10.12,7.72,7.38,8.66,8.88,7.38,6.88,7.97,8.0,5.91,4.66,6.25,8.06,8.34,8.31,10.62,14.06,15.19,14.53,14.91,16.09,15.41,12.53,10.94,11.62,12.19,11.25,11.22,14.31,18.78,21.16,22.69,25.41,27.44,25.88,21.0,16.0,11.94,7.22,1.03,-2.94,-3.16,-2.28,-2.81,-2.97,-0.19,2.91,4.31,4.59,6.53,8.62,8.38,5.31,2.53,1.53,-0.38,-3.62,-5.75,-4.34,-2.59,-2.78,-3.81,-3.16,-2.94,-5.41,-9.53,-12.12,-13.25,-15.06,-18.47,-19.72,-18.0,-15.94,-14.38,-11.31,-4.78,2.59,7.41,10.72,14.75,18.12,18.62,16.91,16.72,18.0,18.69,17.12,16.38,17.16,16.59,13.12,8.94,6.97,5.88,3.12,0.22,0.22,2.31,4.25,5.03,7.66,11.78,14.59,13.91,12.72,13.0,12.0,8.12,3.38,1.19,-0.03,-2.16,-5.09,-5.84,-4.47,-3.69,-4.22,-3.44,-0.81,0.62,-1.66,-5.06,-7.16,-9.38,-13.19,-17.25,-17.94,-16.34,-16.22,-16.88,-15.72,-12.41,-9.53,-8.53,-6.03,-0.94,4.06,6.19,7.75,10.34,12.75,12.0,9.38,7.78,7.19,4.03,-1.66,-6.34,-9.34,-11.69,-15.5,-16.94,-14.69,-11.44,-10.25,-10.06,-8.28,-6.22,-6.53,-8.12,-7.19,-4.19,-2.38,-2.22,-1.03,1.69,4.06,3.72,3.66,5.28,7.44,6.09,3.59,2.75,2.34,0.03,-3.84,-5.75,-5.81,-6.59,-8.72,-9.34,-6.81,-4.16,-3.66,-2.59,0.06,3.47,4.31,3.56,3.97,4.88,3.56,-0.47,-3.47,-4.19,-5.0,-7.59,-8.69,-6.91,-4.53,-5.59,-7.12,-6.81,-5.62,-6.31,-7.78,-6.22,-2.22,0.88,2.66,4.75,8.44,10.5,9.06,6.81,6.06,5.0,1.41,-3.28,-5.69,-6.31,-8.28,-10.81,-11.34,-9.19,-7.75,-7.53,-6.38,-2.88,0.19,0.72,0.75,3.25,6.06,6.41,5.62,6.0,6.78,4.81,0.34,-2.78,-4.22,-6.09,-9.81,-11.72,-9.91,-7.44,-6.78,-5.59,-2.31,1.91,4.16,5.81,9.25,14.38,17.31,17.22,16.56,16.56,14.78,9.5,5.12,3.34,2.5,-0.31,-2.91,-2.91,-1.62,-1.91,-3.16,-2.94,-0.75,0.19,-0.62,-0.5,2.06,4.44,3.53,2.66,3.84,5.5,4.44,2.53,2.59,3.66,2.31,-0.16,-1.53,-0.59,-0.47,-1.88,-2.5,-0.47,1.25,0.03,-2.0,-2.22,-1.69,-3.06,-5.22,-4.78,-2.66,-1.78,-2.5,-2.72,-0.94,-0.66,-2.72,-5.0,-4.66,-3.94,-5.25,-6.56,-5.38,-2.62,-1.94,-2.22,-0.81,2.06,2.88,1.75,1.06,2.28,2.97,1.25,-0.31,0.91,2.34,1.09,-0.78,-0.84,0.0,-0.88,-3.03,-3.75,-2.62,-2.38,-4.0,-4.84,-2.81,-0.84,-0.91,-1.38,0.5,2.5,2.53,1.06,1.47,3.16,2.59,-0.88,-3.75,-5.34,-7.94,-12.19,-15.22,-14.78,-13.03,-12.84,-12.91,-10.62,-7.22,-6.03,-6.28,-4.91,-2.03,-1.16,-2.75,-3.84,-2.5,-1.47,-2.25,-2.38,-0.34,2.41,2.75,2.41,4.28,7.19,7.81,6.84,6.75,8.06,7.59,4.62,1.03,-0.62,-2.97,-7.66,-12.19,-13.38,-13.19,-14.19,-15.59,-14.25,-10.62,-8.22,-6.94,-4.0,1.5,5.41,6.41,6.75,8.41,8.44,5.5,1.47,-0.84,-2.53,-6.75,-12.44,-16.56,-19.38,-23.44,-28.5,-31.97,-32.12,-32.03,-33.47,-34.12,-31.12,-26.56,-23.19,-19.62,-13.69,-6.75,-1.97,1.09,4.94,10.31,13.91,14.09,13.31,13.03,10.94,5.06,-1.56,-5.41,-8.22,-11.88,-15.56,-16.09,-14.47,-13.69,-14.06,-12.31,-8.88,-6.41,-6.25,-6.5,-5.03,-3.94,-5.72,-8.5,-9.12,-9.69,-12.31,-15.5,-16.78,-15.97,-15.5,-16.22,-15.41,-12.41,-9.69,-9.31,14.28,14.0,12.88,12.25,12.56,12.38,11.22,10.16,10.97,12.22,12.47,12.09,12.94,14.28,14.69,13.94,14.44,15.56,16.0,15.03,14.53,15.41,16.25,15.66,15.12,16.09,17.19,16.56,15.22,15.03,15.34,14.12,11.94,10.88,10.66:11.03,12.84,12.56,11.06,11.84,13.69,14.12,13.09,13.59,16.38,18.53,18.5,18.72,21.31,23.41,22.88,21.34,22.06,23.53,23.34,21.78,22.62,25.38,26.78,25.94,25.31,26.25,26.03,22.5,18.75,17.38,16.66,14.19,11.25,11.5,13.0,12.72,10.88,10.16,11.19,11.53,10.56,11.34,15.12,18.97,20.19,20.75,23.03,24.81,23.84,21.72,21.72,23.09,23.78,23.34,24.53,27.69,30.12,30.0,29.66,31.25,32.25,30.78,28.56,28.09,28.66,27.28,24.25,23.09,23.28,22.44,19.53,17.53,17.81,17.69,15.34,13.16,13.41,13.91,12.16,9.69,9.31,10.25,9.5,7.44,6.53,7.38,7.06,4.28,2.0,2.12,1.94,-0.41,-2.44,-1.56,1.16,2.22,3.41,6.41,10.25,11.84,10.97,10.5,11.44,11.84,10.12,9.16,10.75,11.81,10.22,7.69,6.66,6.75,5.06,2.44,2.19,3.56,4.25,2.94,2.91,4.97,6.72,6.62,6.56,8.81,11.16,10.69,8.75,8.59,9.12,8.25,6.28,6.0,8.16,9.81,8.81,8.56,10.44,11.75,10.06,8.81,9.81,12.38,12.72,12.53,13.75,16.16,16.41,14.5,13.69,14.62,14.94,12.97,11.25,12.25,12.88,11.09,8.84,8.81,10.06,9.19,7.06,6.62,7.12,6.47,3.5,2.0,3.12,4.19,3.34,3.09,5.75,8.97,9.88,9.81,11.62,14.62,15.69,15.19,16.16,18.88,19.84,18.44,17.75,19.06,20.25,19.5,18.41,19.97,22.25,22.44,21.72,22.53,24.09,23.56,21.16,19.78,20.5,20.91,18.94,17.31,17.59,17.28,13.88,10.41,8.84,8.75,7.06,4.66,4.25,5.59,5.72,4.09,3.72,6.03,8.16,8.19,8.5,11.25,13.88,13.41,11.91,12.41,14.25,14.66,14.53,16.22,19.69,21.31,20.25,18.38,18.38,17.53,14.59,12.12,12.41,13.5,12.72,11.06,11.34,12.84,12.62,10.84,10.31,11.94,12.59,11.03,9.84,11.0,12.22,11.19,9.94,10.84,13.38,13.81,13.12,14.28,16.75,17.47,15.72,14.75,15.62,15.59,13.03,10.22,9.97,10.44,9.06,7.94,9.16,12.09,13.12,11.66,10.81,11.28,10.28,7.31,5.56,7.53,9.41,9.31,9.41,11.81,14.97,15.78,15.69,17.44,20.41,21.19,19.88,19.12,20.12,19.62,16.53,13.75,14.0,14.59,13.16,12.16,13.41,15.22,14.38,11.88,10.62,11.12,10.41,8.31,7.66,9.16,9.75,7.81,5.97,6.47,7.56,6.78,5.75,7.03,9.66,10.69,9.94,10.53,12.59,13.03,10.78,9.5,10.38,10.72,9.09,7.25,7.97,9.22,8.84,7.28,7.94,9.69,9.16,6.81,4.94,5.06,4.47,2.47,1.53,3.84,6.5,6.41,5.28,5.91,6.12,4.22,1.12,-0.03,1.34,1.94,1.5,1.91,4.62,6.81,6.19,5.66,6.81,7.97,6.38,4.0,3.94,5.12,4.62,3.06,2.62,3.25,2.81,0.5,-0.97,0.62,2.28,2.09,2.31,5.0,8.75,11.19,12.84,16.66,21.12,23.47,23.12,23.16,24.0,23.38,20.25,17.19,16.16,14.88,11.5,8.34,7.97,9.66,10.97,12.0,15.34,20.19,23.53,24.59,25.84,27.97,28.91,26.28,23.0,21.72,20.78,17.66,14.53,13.56,14.12,12.91,10.56,9.69,10.5,11.34,10.59,11.5,15.41,19.28,20.53,20.94,22.91,24.66,23.44,20.66,19.25,17.94,15.0,10.12,6.78,6.22,5.69,4.0,3.78,6.16,8.88,9.44,9.56,11.91,14.91,15.28,14.44,14.44,15.31,14.91,12.84,12.69,15.09,18.06,19.0,21.0,24.81,28.22,29.19,28.59,28.78,29.44,27.94,24.69,22.41,21.88,20.19,16.75,14.22,13.66,13.97,12.16,10.69,12.0,14.25,15.03,14.5,15.28,16.5,15.97,13.44,12.62,14.44,16.31,16.5,17.34,19.78,22.03,21.12,19.69,20.34,21.78,21.31,19.78,19.28,19.81,18.84,16.47,15.06,16.59,18.06,18.03,18.41,20.5,22.84,22.12,20.25,19.84,20.47,19.75,17.81,17.38,18.16,17.72,14.5,11.88,11.81,11.91,10.22,8.41,8.66,9.72,8.19,5.62,4.81,5.81,5.84,4.72,5.22,8.5,11.66,13.19,14.88,18.75,22.5,23.38,23.25,24.59,26.53,26.16,24.47,24.41,26.0,26.25,24.38,22.91,23.12,22.47,19.94,17.59,18.09,19.19,18.69,17.38,17.78,18.69,17.44,15.03,13.56,14.03,13.88,11.31,9.38,9.66,10.09,7.78,5.94,6.09,7.09,6.41,5.28,5.97,8.5,10.0,10.34,12.16,15.97,19.0,19.69,19.31,19.69,19.84,17.09,12.75,10.84,11.06,10.0,8.66,10.03,13.09,14.88,14.97,15.56,18.5,20.56,20.19,19.41,19.75,20.22,18.22,15.69,14.94,15.72,15.06,13.28,12.94,14.09,13.69,11.25,8.44,7.75,7.22,4.66,2.16,2.41,4.0,3.81,3.03,4.0,6.16,6.59,5.38,4.94,6.12,6.59,4.59,1.91,1.75,1.91,0.5,-0.75,0.97,4.22,6.22,6.94,8.94,12.53,14.91,14.78,15.19,17.19,17.94,15.88,13.03,12.41,12.0,10.12,7.72,7.38,8.66,8.88,7.38,6.88,7.97,8.0,5.91,4.66,6.25,8.06,8.34,8.31,10.62,14.06,15.19,14.53,14.91,16.09,15.41,12.53,10.94,11.62,12.19,11.25,11.22,14.31,18.78,21.16,22.69,25.41,27.44,25.88,21.0,16.0,11.94,7.22,1.03,-2.94,-3.16,-2.28,-2.81,-2.97,-0.19,2.91,4.31,4.59,6.53,8.62,8.38,5.31,2.53,1.53,-0.38,-3.62,-5.75,-4.34,-2.59,-2.78,-3.81,-3.16,-2.94,-5.41,-9.53,-12.12,-13.25,-15.06,-18.47,-19.72,-18.0,-15.94,-14.38,-11.31,-4.78,2.59,7.41,10.72,14.75,18.12,18.62,16.91,16.72,18.0,18.69,17.12,16.38,17.16,16.59,13.12,8.94,6.97,5.88,3.12,0.22,0.22,2.31,4.25,5.03,7.66,11.78,14.59,13.91,12.72,13.0,12.0,8.12,3.38,1.19,-0.03,-2.16,-5.09,-5.84,-4.47,-3.69,-4.22,-3.44,-0.81,0.62,-1.66,-5.06,-7.16,-9.38,-13.19,-17.25,-17.94,-16.34,-16.22,-16.88,-15.72,-12.41,-9.53,-8.53,-6.03,-0.94,4.06,6.19,7.75,10.34,12.75,12.0,9.38,7.78,7.19,4.03,-1.66,-6.34,-9.34,-11.69,-15.5,-16.94,-14.69,-11.44,-10.25,-10.06,-8.28,-6.22,-6.53,-8.12,-7.19,-4.19,-2.38,-2.22,-1.03,1.69,4.06,3.72,3.66,5.28,7.44,6.09,3.59,2.75,2.34,0.03,-3.84,-5.75,-5.81,-6.59,-8.72,-9.34,-6.81,-4.16,-3.66,-2.59,0.06,3.47,4.31,3.56,3.97,4.88,3.56,-0.47,-3.47,-4.19,-5.0,-7.59,-8.69,-6.91,-4.53,-5.59,-7.12,-6.81,-5.62,-6.31,-7.78,-6.22,-2.22,0.88,2.66,4.75,8.44,10.5,9.06,6.81,6.06,5.0,1.41,-3.28,-5.69,-6.31,-8.28,-10.81,-11.34,-9.19,-7.75,-7.53,-6.38,-2.88,0.19,0.72,0.75,3.25,6.06,6.41,5.62,6.0,6.78,4.81,0.34,-2.78,-4.22,-6.09,-9.81,-11.72,-9.91,-7.44,-6.78,-5.59,-2.31,1.91,4.16,5.81,9.25,14.38,17.31,17.22,16.56,16.56,14.78,9.5,5.12,3.34,2.5,-0.31,-2.91,-2.91,-1.62,-1.91,-3.16,-2.94,-0.75,0.19,-0.62,-0.5,2.06,4.44,3.53,2.66,3.84,5.5,4.44,2.53,2.59,3.66,2.31,-0.16,-1.53,-0.59,-0.47,-1.88,-2.5,-0.47,1.25,0.03,-2.0,-2.22,-1.69,-3.06,-5.22,-4.78,-2.66,-1.78,-2.5,-2.72,-0.94,-0.66,-2.72,-5.0,-4.66,-3.94,-5.25,-6.56,-5.38,-2.62,-1.94,-2.22,-0.81,2.06,2.88,1.75,1.06,2.28,2.97,1.25,-0.31,0.91,2.34,1.09,-0.78,-0.84,0.0,-0.88,-3.03,-3.75,-2.62,-2.38,-4.0,-4.84,-2.81,-0.84,-0.91,-1.38,0.5,2.5,2.53,1.06,1.47,3.16,2.59,-0.88,-3.75,-5.34,-7.94,-12.19,-15.22,-14.78,-13.03,-12.84,-12.91,-10.62,-7.22,-6.03,-6.28,-4.91,-2.03,-1.16,-2.75,-3.84,-2.5,-1.47,-2.25,-2.38,-0.34,2.41,2.75,2.41,4.28,7.19,7.81,6.84,6.75,8.06,7.59,4.62,1.03,-0.62,-2.97,-7.66,-12.19,-13.38,-13.19,-14.19,-15.59,-14.25,-10.62,-8.22,-6.94,-4.0,1.5,5.41,6.41,6.75,8.41,8.44,5.5,1.47,-0.84,-2.53,-6.75,-12.44,-16.56,-19.38,-23.44,-28.5,-31.97,-32.12,-32.03,-33.47,-34.12,-31.12,-26.56,-23.19,-19.62,-13.69,-6.75,-1.97,1.09,4.94,10.31,13.91,14.09,13.31,13.03,10.94,5.06,-1.56,-5.41,-8.22,-11.88,-15.56,-16.09,-14.47,-13.69,-14.06,-12.31,-8.88,-6.41,-6.25,-6.5,-5.03,-3.94,-5.72,-8.5,-9.12,-9.69,-12.31,-15.5,-16.78,-15.97,-15.5,-16.22,-15.41,-12.41,-9.69,-9.31,14.28,14.0,12.88,12.25,12.56,12.38,11.22,10.16,10.97,12.22,12.47,12.09,12.94,14.28,14.69,13.94,14.44,15.56,16.0,15.03,14.53,15.41,16.25,15.66,15.12,16.09,17.19,16.56,15.22,15.03,15.34,14.12,11.94,10.88,10.66,9.94,8.09,6.62,6.84,6.81,5.94,4.78:positivity
20.97,19.5,20.41,21.78,21.31,20.16,21.22,23.34,24.0,23.38,24.34,26.41,28.0,27.41,27.09,28.84,29.84,28.25,26.5,27.0,28.0,27.03,25.22,25.38,26.62,26.75,25.38,25.22,26.44,26.72,24.53,23.28,23.97,25.06,24.25,23.34,24.47,26.38,26.28,25.28,26.06,27.94,28.38,27.0,26.84,28.31,29.38,27.97,26.78,27.44,28.06,26.41,24.22,24.12,25.12,24.34,22.5,21.81,22.84,22.47,20.44,19.62,21.12,22.91,22.56,22.16,23.69,25.09,24.44,23.09,23.53,25.12,25.56,24.66,25.06,27.69,29.03,27.69,26.47,26.28,25.56,22.5,19.53,19.66,20.69,19.62,18.31,18.5,19.34,18.94,17.09,16.69,18.53,19.88,19.16,19.28,21.53,24.0,24.09,24.25,26.12,27.94,27.31,25.03,23.91,24.0,22.69,19.56,17.56,17.72,17.56,15.69,15.09,17.56,20.12,20.44,19.91,20.81,22.12,21.16,19.88,20.69,23.16,25.5,26.0,27.38,30.03,31.38,29.69,28.16,28.28,29.03,27.12,24.03,22.12,20.5,17.12,13.03,11.34,11.81,12.22,10.97,10.91,12.56,13.84,12.62,11.66,12.09,13.47,12.81,11.28,11.47,13.12,13.16,12.16,12.31,14.22,14.66,13.16,12.38,13.19,14.22,13.12,12.12,13.41,15.41,15.25,14.5,15.06,17.16,17.59,16.69,17.06,19.09,20.34,19.34,18.62,19.88,21.34,20.09,18.31,18.0,18.75,17.41,15.66,15.88,17.72,18.5,17.78,18.0,19.94,21.59,21.62,22.41,25.53,29.06,30.69,32.09,35.28,39.19,40.72,40.41,40.84,42.16,41.53,38.69,35.84,34.94,32.81,28.38,23.91,21.19,19.28,15.97,13.06,13.34,16.03,17.47,17.81,19.28,22.78,24.97,25.5,27.12,31.06,34.22,34.69,34.22,34.41,33.53,29.62,24.5,21.44,19.97,17.91,15.22,13.81,14.41,14.41,12.25,11.44,13.12,15.75,17.0,18.69,22.56,26.88,28.34,27.97,27.91,28.78,27.88,25.34,24.06,24.84,25.28,24.28,23.5,24.91,26.19,25.0,23.53,23.62,24.56,23.38,20.53,18.22,17.09,14.34,10.03,7.59,8.0,9.0,9.41,11.0,15.44,20.34,22.19,22.84,23.69,24.69,23.5,21.22,20.66,22.25,23.34,22.53,22.06,23.66,23.91,21.97,19.66,19.38,19.38,17.28,14.78,14.16,15.38,15.59,14.94,15.41,17.84,18.53,17.56,17.03,19.31,21.69,22.44,23.28,26.22,29.81,30.53,30.03,29.84,30.0,27.81,24.03,21.72,22.16,22.53,21.44,20.81,22.69,23.97,22.97,21.31,21.78,22.59,21.84,20.09,20.16,21.56,22.12,21.66,22.16,24.72,26.81,26.69,26.0,27.28,28.5,27.75,26.53,27.31,28.78,28.22,25.53,23.97,23.81,22.97,20.94,20.5,22.84,25.38,25.5,25.16,26.72,27.97,27.12,25.97,26.75,28.47,28.75,27.75,28.03,29.66,30.53,28.84,27.44,27.59,27.16,24.91,22.94,23.56,25.19,24.94,23.59,23.97,25.19,25.12,23.47,23.66,25.28,25.91,23.91,22.38,22.66,22.88,21.22,20.06,21.53,24.03,25.0,25.47,27.16,29.41,29.5,27.84,26.59,27.69,28.16,27.06,26.47,28.09,29.44,28.09,26.53,26.91,28.22,27.88,26.66,27.22,29.38,29.62,28.38,27.75,28.53,28.5,26.5,24.81,25.69,27.22,26.94,25.88,27.31,29.25,29.28,27.97,28.03,29.47,29.59,27.81,26.16,26.09,24.59,20.88,16.97,16.5,17.0,17.22,17.44,20.22,23.94,25.69,25.16,25.53,26.47,25.97,23.72,22.16,23.09,24.12,22.88,21.38,21.66,22.12,20.38,17.59,17.31,18.16,18.09,16.78,17.03,18.88,19.78,18.75,18.44,21.12,23.5,23.78,23.81,25.31,26.84,26.19,24.31,24.81,26.75,28.06,27.66,28.22,30.38,31.25,29.5,28.19,29.22,30.28,29.25,27.75,28.31,29.25,28.12,25.88,25.12,25.38,24.5,21.69,19.94,20.03,19.59,17.59,15.91,16.94,18.44,17.97,16.81,18.0,19.88,19.66,18.34,18.53,19.72,19.78,17.94,17.12,18.53,19.44,18.44,17.94,20.09,22.28,22.47,21.12,21.62,22.47,21.16,17.62,15.25,14.56,12.44,9.62,8.41,10.47,12.66,13.28,14.03,17.62,21.53,23.69,24.41,26.44,28.91,29.0,27.03,26.0,26.47,26.12,23.59,22.16,23.25,24.5,23.5,22.31,22.94,23.84,22.5,19.62,18.38,18.0,16.81,13.75,12.75,14.38,15.94,15.28,15.59,17.94,19.84,19.59,19.25,20.91,23.41,24.44,23.91,25.12,26.75,26.75,24.31,22.66,22.25,21.59,18.69,16.84,17.66,18.97,18.56,17.81,18.81,20.53,20.28,18.75,19.0,21.5,23.44,24.22,26.75,31.53,35.09,35.28,34.88,34.78,34.47,30.88,26.91,24.72,23.75,21.53,17.94,16.34,16.16,15.09,12.0,10.03,10.56,11.44,10.25,10.16,12.25,14.59,14.16,12.41,12.28,13.59,13.66,12.91,13.84,16.53,18.53,17.75,17.5,19.75,21.25,20.25,18.66,18.66,19.25,17.56,14.84,14.19,14.66,13.94,11.47,10.5,11.69,12.25,10.75,9.69,10.66,11.28,9.5,7.5,7.69,8.84,8.12,7.25,8.09,10.31,11.25,10.41,10.72,13.03,14.62,14.62,15.59,19.28,23.16,24.41,24.5,25.34,25.88,23.09,18.97,16.5,15.53,14.16,11.62,11.16,13.22,14.44,13.72,13.31,15.16,17.56,17.47,17.38,18.84,21.03,21.0,20.03,20.34,22.0,22.25,20.44,19.56,20.38,20.69,18.16,15.53,14.97,14.97,12.22,9.31,8.56,9.12,8.5,7.28,8.22,10.97,12.94,12.09,12.09,14.28,16.34,16.0,16.09,18.03,20.06,19.84,18.62,19.31,21.5,21.81,20.56,20.84,22.41,23.19,21.91,21.78,23.94,25.47,24.53,22.59,22.16,22.22,19.78,16.72,15.94,16.88,15.97,13.72,12.0,11.97,10.88,7.69,5.81,6.91,8.72,9.06,9.56,12.28,16.12,17.12,16.69,17.22,18.56,17.59,14.81,13.25,13.91,14.56,13.47,13.06,15.53,17.75,17.19,16.0,16.84,18.16,17.91,16.41,16.72,18.59,18.62,16.97,15.94,17.06,17.19,15.16,13.72,14.69,16.09,15.22,14.16,14.81,16.06,15.25,13.38,13.19,14.56,14.5,12.66,11.75,12.69,13.41,11.78,10.81,12.25,14.38,14.5,14.75,17.25,20.75,21.66,21.0,21.03,22.25,21.97,19.31,17.22,17.66,17.41,14.91,13.06,13.84,15.34,14.34,13.12,13.38,14.81,13.97,13.06,13.66,16.62,18.0,17.28,16.19,16.88,16.81,14.66,12.84,13.78,15.53,15.12,14.22,14.91,17.0,17.38,16.09,16.41,18.62,19.5,18.34,17.69,19.19,21.03,20.44,20.19,21.94,24.41,24.38,23.22,24.12,26.5,27.19,26.59,27.09,29.25,30.03,28.41,26.59,27.44,28.25,26.56,25.25,25.88,26.66,25.22,22.84,21.75,22.66,22.03,20.38,19.75,21.12,21.62,19.72,18.28,18.78,19.28,17.19,15.09,14.81,16.06,15.38,14.09,14.72,16.91,17.62,16.81,17.53,20.81,23.53,23.72,24.0,26.03,27.88,26.69,25.03,25.03,26.16,24.94,22.03,20.5,20.28,18.56,14.38,11.12,10.0,8.44,5.19,2.69,3.44,5.47,5.97,6.62,9.34,13.72,15.59,15.81,16.47,17.62,16.59,13.69,11.69,12.84,15.09,16.28,18.22,22.53,26.41,26.22,24.44,23.28,22.84,19.62,14.59,10.38,7.75,4.12,-0.81,-3.78,-2.78,-0.75,-0.09,1.59,5.72,10.69,13.59,15.44,19.22,23.38,25.69,26.22,27.12,29.81,30.66,29.44,28.75,30.62,32.16,31.34,29.69,29.53,29.38,25.94,21.12,18.66,17.78,16.06,14.06,14.19,17.0,19.12,18.97,19.41,21.88,23.59,22.69,21.03,21.53,22.69,21.72,19.84,20.5,22.94,24.0,23.56,24.12,26.06,25.62,22.03,17.31,14.38,11.16,6.38,2.16,1.56,2.91,3.38,3.19,4.97,8.28,9.91,9.34,9.81,12.31,14.41,14.34,15.09,18.41,22.09,23.03,23.41,25.62,28.0,28.25,27.16,26.88,27.69,26.59,23.62,21.12,21.16,20.81,18.62,16.19,16.41,17.12,15.88,14.41,15.72,18.78,20.03,20.12,20.88,22.62,22.41,19.88,17.84,18.62,18.97,17.62,16.5,17.66,19.0,18.53,17.0,17.56,19.28,19.12,18.19,18.47,20.56,21.09,19.75,19.0,20.94,22.69,22.56,22.25,24.09,26.16,25.97,25.03,26.06,28.44,29.34,28.19,28.44,30.31,30.16,27.69,25.75,26.25,26.59,25.16,23.34,24.31,25.44,24.66,23.19,23.91,25.66,25.25,23.09,21.78,22.41,21.97,19.94,18.78,20.59,22.38,22.09,21.59,23.19,25.25,25.31,24.06,24.28,26.25,26.12,24.47,24.03,26.22,27.94,27.28,27.09,28.62,29.44,27.47,25.34,25.69,27.44,27.59,27.53,29.25,32.38,33.81,33.12,32.78,34.0,33.97,32.0,30.31,31.38,32.78,31.94,29.97,29.81,29.97,27.56,24.31,22.97,23.0,22.03,19.47,17.44,17.5,16.69,13.84,10.88,10.81,10.94,9.22,7.69,8.91,12.06,14.34,16.0,19.09,23.62,26.44,26.75:23.34,24.0,23.38,24.34,26.41,28.0,27.41,27.09,28.84,29.84,28.25,26.5,27.0,28.0,27.03,25.22,25.38,26.62,26.75,25.38,25.22,26.44,26.72,24.53,23.28,23.97,25.06,24.25,23.34,24.47,26.38,26.28,25.28,26.06,27.94,28.38,27.0,26.84,28.31,29.38,27.97,26.78,27.44,28.06,26.41,24.22,24.12,25.12,24.34,22.5,21.81,22.84,22.47,20.44,19.62,21.12,22.91,22.56,22.16,23.69,25.09,24.44,23.09,23.53,25.12,25.56,24.66,25.06,27.69,29.03,27.69,26.47,26.28,25.56,22.5,19.53,19.66,20.69,19.62,18.31,18.5,19.34,18.94,17.09,16.69,18.53,19.88,19.16,19.28,21.53,24.0,24.09,24.25,26.12,27.94,27.31,25.03,23.91,24.0,22.69,19.56,17.56,17.72,17.56,15.69,15.09,17.56,20.12,20.44,19.91,20.81,22.12,21.16,19.88,20.69,23.16,25.5,26.0,27.38,30.03,31.38,29.69,28.16,28.28,29.03,27.12,24.03,22.12,20.5,17.12,13.03,11.34,11.81,12.22,10.97,10.91,12.56,13.84,12.62,11.66,12.09,13.47,12.81,11.28,11.47,13.12,13.16,12.16,12.31,14.22,14.66,13.16,12.38,13.19,14.22,13.12,12.12,13.41,15.41,15.25,14.5,15.06,17.16,17.59,16.69,17.06,19.09,20.34,19.34,18.62,19.88,21.34,20.09,18.31,18.0,18.75,17.41,15.66,15.88,17.72,18.5,17.78,18.0,19.94,21.59,21.62,22.41,25.53,29.06,30.69,32.09,35.28,39.19,40.72,40.41,40.84,42.16,41.53,38.69,35.84,34.94,32.81,28.38,23.91,21.19,19.28,15.97,13.06,13.34,16.03,17.47,17.81,19.28,22.78,24.97,25.5,27.12,31.06,34.22,34.69,34.22,34.41,33.53,29.62,24.5,21.44,19.97,17.91,15.22,13.81,14.41,14.41,12.25,11.44,13.12,15.75,17.0,18.69,22.56,26.88,28.34,27.97,27.91,28.78,27.88,25.34,24.06,24.84,25.28,24.28,23.5,24.91,26.19,25.0,23.53,23.62,24.56,23.38,20.53,18.22,17.09,14.34,10.03,7.59,8.0,9.0,9.41,11.0,15.44,20.34,22.19,22.84,23.69,24.69,23.5,21.22,20.66,22.25,23.34,22.53,22.06,23.66,23.91,21.97,19.66,19.38,19.38,17.28,14.78,14.16,15.38,15.59,14.94,15.41,17.84,18.53,17.56,17.03,19.31,21.69,22.44,23.28,26.22,29.81,30.53,30.03,29.84,30.0,27.81,24.03,21.72,22.16,22.53,21.44,20.81,22.69,23.97,22.97,21.31,21.78,22.59,21.84,20.09,20.16,21.56,22.12,21.66,22.16,24.72,26.81,26.69,26.0,27.28,28.5,27.75,26.53,27.31,28.78,28.22,25.53,23.97,23.81,22.97,20.94,20.5,22.84,25.38,25.5,25.16,26.72,27.97,27.12,25.97,26.75,28.47,28.75,27.75,28.03,29.66,30.53,28.84,27.44,27.59,27.16,24.91,22.94,23.56,25.19,24.94,23.59,23.97,25.19,25.12,23.47,23.66,25.28,25.91,23.91,22.38,22.66,22.88,21.22,20.06,21.53,24.03,25.0,25.47,27.16,29.41,29.5,27.84,26.59,27.69,28.16,27.06,26.47,28.09,29.44,28.09,26.53,26.91,28.22,27.88,26.66,27.22,29.38,29.62,28.38,27.75,28.53,28.5,26.5,24.81,25.69,27.22,26.94,25.88,27.31,29.25,29.28,27.97,28.03,29.47,29.59,27.81,26.16,26.09,24.59,20.88,16.97,16.5,17.0,17.22,17.44,20.22,23.94,25.69,25.16,25.53,26.47,25.97,23.72,22.16,23.09,24.12,22.88,21.38,21.66,22.12,20.38,17.59,17.31,18.16,18.09,16.78,17.03,18.88,19.78,18.75,18.44,21.12,23.5,23.78,23.81,25.31,26.84,26.19,24.31,24.81,26.75,28.06,27.66,28.22,30.38,31.25,29.5,28.19,29.22,30.28,29.25,27.75,28.31,29.25,28.12,25.88,25.12,25.38,24.5,21.69,19.94,20.03,19.59,17.59,15.91,16.94,18.44,17.97,16.81,18.0,19.88,19.66,18.34,18.53,19.72,19.78,17.94,17.12,18.53,19.44,18.44,17.94,20.09,22.28,22.47,21.12,21.62,22.47,21.16,17.62,15.25,14.56,12.44,9.62,8.41,10.47,12.66,13.28,14.03,17.62,21.53,23.69,24.41,26.44,28.91,29.0,27.03,26.0,26.47,26.12,23.59,22.16,23.25,24.5,23.5,22.31,22.94,23.84,22.5,19.62,18.38,18.0,16.81,13.75,12.75,14.38,15.94,15.28,15.59,17.94,19.84,19.59,19.25,20.91,23.41,24.44,23.91,25.12,26.75,26.75,24.31,22.66,22.25,21.59,18.69,16.84,17.66,18.97,18.56,17.81,18.81,20.53,20.28,18.75,19.0,21.5,23.44,24.22,26.75,31.53,35.09,35.28,34.88,34.78,34.47,30.88,26.91,24.72,23.75,21.53,17.94,16.34,16.16,15.09,12.0,10.03,10.56,11.44,10.25,10.16,12.25,14.59,14.16,12.41,12.28,13.59,13.66,12.91,13.84,16.53,18.53,17.75,17.5,19.75,21.25,20.25,18.66,18.66,19.25,17.56,14.84,14.19,14.66,13.94,11.47,10.5,11.69,12.25,10.75,9.69,10.66,11.28,9.5,7.5,7.69,8.84,8.12,7.25,8.09,10.31,11.25,10.41,10.72,13.03,14.62,14.62,15.59,19.28,23.16,24.41,24.5,25.34,25.88,23.09,18.97,16.5,15.53,14.16,11.62,11.16,13.22,14.44,13.72,13.31,15.16,17.56,17.47,17.38,18.84,21.03,21.0,20.03,20.34,22.0,22.25,20.44,19.56,20.38,20.69,18.16,15.53,14.97,14.97,12.22,9.31,8.56,9.12,8.5,7.28,8.22,10.97,12.94,12.09,12.09,14.28,16.34,16.0,16.09,18.03,20.06,19.84,18.62,19.31,21.5,21.81,20.56,20.84,22.41,23.19,21.91,21.78,23.94,25.47,24.53,22.59,22.16,22.22,19.78,16.72,15.94,16.88,15.97,13.72,12.0,11.97,10.88,7.69,5.81,6.91,8.72,9.06,9.56,12.28,16.12,17.12,16.69,17.22,18.56,17.59,14.81,13.25,13.91,14.56,13.47,13.06,15.53,17.75,17.19,16.0,16.84,18.16,17.91,16.41,16.72,18.59,18.62,16.97,15.94,17.06,17.19,15.16,13.72,14.69,16.09,15.22,14.16,14.81,16.06,15.25,13.38,13.19,14.56,14.5,12.66,11.75,12.69,13.41,11.78,10.81,12.25,14.38,14.5,14.75,17.25,20.75,21.66,21.0,21.03,22.25,21.97,19.31,17.22,17.66,17.41,14.91,13.06,13.84,15.34,14.34,13.12,13.38,14.81,13.97,13.06,13.66,16.62,18.0,17.28,16.19,16.88,16.81,14.66,12.84,13.78,15.53,15.12,14.22,14.91,17.0,17.38,16.09,16.41,18.62,19.5,18.34,17.69,19.19,21.03,20.44,20.19,21.94,24.41,24.38,23.22,24.12,26.5,27.19,26.59,27.09,29.25,30.03,28.41,26.59,27.44,28.25,26.56,25.25,25.88,26.66,25.22,22.84,21.75,22.66,22.03,20.38,19.75,21.12,21.62,19.72,18.28,18.78,19.28,17.19,15.09,14.81,16.06,15.38,14.09,14.72,16.91,17.62,16.81,17.53,20.81,23.53,23.72,24.0,26.03,27.88,26.69,25.03,25.03,26.16,24.94,22.03,20.5,20.28,18.56,14.38,11.12,10.0,8.44,5.19,2.69,3.44,5.47,5.97,6.62,9.34,13.72,15.59,15.81,16.47,17.62,16.59,13.69,11.69,12.84,15.09,16.28,18.22,22.53,26.41,26.22,24.44,23.28,22.84,19.62,14.59,10.38,7.75,4.12,-0.81,-3.78,-2.78,-0.75,-0.09,1.59,5.72,10.69,13.59,15.44,19.22,23.38,25.69,26.22,27.12,29.81,30.66,29.44,28.75,30.62,32.16,31.34,29.69,29.53,29.38,25.94,21.12,18.66,17.78,16.06,14.06,14.19,17.0,19.12,18.97,19.41,21.88,23.59,22.69,21.03,21.53,22.69,21.72,19.84,20.5,22.94,24.0,23.56,24.12,26.06,25.62,22.03,17.31,14.38,11.16,6.38,2.16,1.56,2.91,3.38,3.19,4.97,8.28,9.91,9.34,9.81,12.31,14.41,14.34,15.09,18.41,22.09,23.03,23.41,25.62,28.0,28.25,27.16,26.88,27.69,26.59,23.62,21.12,21.16,20.81,18.62,16.19,16.41,17.12,15.88,14.41,15.72,18.78,20.03,20.12,20.88,22.62,22.41,19.88,17.84,18.62,18.97,17.62,16.5,17.66,19.0,18.53,17.0,17.56,19.28,19.12,18.19,18.47,20.56,21.09,19.75,19.0,20.94,22.69,22.56,22.25,24.09,26.16,25.97,25.03,26.06,28.44,29.34,28.19,28.44,30.31,30.16,27.69,25.75,26.25,26.59,25.16,23.34,24.31,25.44,24.66,23.19,23.91,25.66,25.25,23.09,21.78,22.41,21.97,19.94,18.78,20.59,22.38,22.09,21.59,23.19,25.25,25.31,24.06,24.28,26.25,26.12,24.47,24.03,26.22,27.94,27.28,27.09,28.62,29.44,27.47,25.34,25.69,27.44,27.59,27.53,29.25,32.38,33.81,33.12,32.78,34.0,33.97,32.0,30.31,31.38,32.78,31.94,29.97,29.81,29.97,27.56,24.31,22.97,23.0,22.03,19.47,17.44,17.5,16.69,13.84,10.88,10.81,10.94,9.22,7.69,8.91,12.06,14.34,16.0,19.09,23.62,26.44,26.75,8.28,6.97,7.31,8.0,7.12,6.0,6.59:27.09,28.84,29.84,28.25,26.5,27.0,28.0,27.03,25.22,25.38,26.62,26.75,25.38,25.22,26.44,26.72,24.53,23.28,23.97,25.06,24.25,23.34,24.47,26.38,26.28,25.28,26.06,27.94,28.38,27.0,26.84,28.31,29.38,27.97,26.78,27.44,28.06,26.41,24.22,24.12,25.12,24.34,22.5,21.81,22.84,22.47,20.44,19.62,21.12,22.91,22.56,22.16,23.69,25.09,24.44,23.09,23.53,25.12,25.56,24.66,25.06,27.69,29.03,27.69,26.47,26.28,25.56,22.5,19.53,19.66,20.69,19.62,18.31,18.5,19.34,18.94,17.09,16.69,18.53,19.88,19.16,19.28,21.53,24.0,24.09,24.25,26.12,27.94,27.31,25.03,23.91,24.0,22.69,19.56,17.56,17.72,17.56,15.69,15.09,17.56,20.12,20.44,19.91,20.81,22.12,21.16,19.88,20.69,23.16,25.5,26.0,27.38,30.03,31.38,29.69,28.16,28.28,29.03,27.12,24.03,22.12,20.5,17.12,13.03,11.34,11.81,12.22,10.97,10.91,12.56,13.84,12.62,11.66,12.09,13.47,12.81,11.28,11.47,13.12,13.16,12.16,12.31,14.22,14.66,13.16,12.38,13.19,14.22,13.12,12.12,13.41,15.41,15.25,14.5,15.06,17.16,17.59,16.69,17.06,19.09,20.34,19.34,18.62,19.88,21.34,20.09,18.31,18.0,18.75,17.41,15.66,15.88,17.72,18.5,17.78,18.0,19.94,21.59,21.62,22.41,25.53,29.06,30.69,32.09,35.28,39.19,40.72,40.41,40.84,42.16,41.53,38.69,35.84,34.94,32.81,28.38,23.91,21.19,19.28,15.97,13.06,13.34,16.03,17.47,17.81,19.28,22.78,24.97,25.5,27.12,31.06,34.22,34.69,34.22,34.41,33.53,29.62,24.5,21.44,19.97,17.91,15.22,13.81,14.41,14.41,12.25,11.44,13.12,15.75,17.0,18.69,22.56,26.88,28.34,27.97,27.91,28.78,27.88,25.34,24.06,24.84,25.28,24.28,23.5,24.91,26.19,25.0,23.53,23.62,24.56,23.38,20.53,18.22,17.09,14.34,10.03,7.59,8.0,9.0,9.41,11.0,15.44,20.34,22.19,22.84,23.69,24.69,23.5,21.22,20.66,22.25,23.34,22.53,22.06,23.66,23.91,21.97,19.66,19.38,19.38,17.28,14.78,14.16,15.38,15.59,14.94,15.41,17.84,18.53,17.56,17.03,19.31,21.69,22.44,23.28,26.22,29.81,30.53,30.03,29.84,30.0,27.81,24.03,21.72,22.16,22.53,21.44,20.81,22.69,23.97,22.97,21.31,21.78,22.59,21.84,20.09,20.16,21.56,22.12,21.66,22.16,24.72,26.81,26.69,26.0,27.28,28.5,27.75,26.53,27.31,28.78,28.22,25.53,23.97,23.81,22.97,20.94,20.5,22.84,25.38,25.5,25.16,26.72,27.97,27.12,25.97,26.75,28.47,28.75,27.75,28.03,29.66,30.53,28.84,27.44,27.59,27.16,24.91,22.94,23.56,25.19,24.94,23.59,23.97,25.19,25.12,23.47,23.66,25.28,25.91,23.91,22.38,22.66,22.88,21.22,20.06,21.53,24.03,25.0,25.47,27.16,29.41,29.5,27.84,26.59,27.69,28.16,27.06,26.47,28.09,29.44,28.09,26.53,26.91,28.22,27.88,26.66,27.22,29.38,29.62,28.38,27.75,28.53,28.5,26.5,24.81,25.69,27.22,26.94,25.88,27.31,29.25,29.28,27.97,28.03,29.47,29.59,27.81,26.16,26.09,24.59,20.88,16.97,16.5,17.0,17.22,17.44,20.22,23.94,25.69,25.16,25.53,26.47,25.97,23.72,22.16,23.09,24.12,22.88,21.38,21.66,22.12,20.38,17.59,17.31,18.16,18.09,16.78,17.03,18.88,19.78,18.75,18.44,21.12,23.5,23.78,23.81,25.31,26.84,26.19,24.31,24.81,26.75,28.06,27.66,28.22,30.38,31.25,29.5,28.19,29.22,30.28,29.25,27.75,28.31,29.25,28.12,25.88,25.12,25.38,24.5,21.69,19.94,20.03,19.59,17.59,15.91,16.94,18.44,17.97,16.81,18.0,19.88,19.66,18.34,18.53,19.72,19.78,17.94,17.12,18.53,19.44,18.44,17.94,20.09,22.28,22.47,21.12,21.62,22.47,21.16,17.62,15.25,14.56,12.44,9.62,8.41,10.47,12.66,13.28,14.03,17.62,21.53,23.69,24.41,26.44,28.91,29.0,27.03,26.0,26.47,26.12,23.59,22.16,23.25,24.5,23.5,22.31,22.94,23.84,22.5,19.62,18.38,18.0,16.81,13.75,12.75,14.38,15.94,15.28,15.59,17.94,19.84,19.59,19.25,20.91,23.41,24.44,23.91,25.12,26.75,26.75,24.31,22.66,22.25,21.59,18.69,16.84,17.66,18.97,18.56,17.81,18.81,20.53,20.28,18.75,19.0,21.5,23.44,24.22,26.75,31.53,35.09,35.28,34.88,34.78,34.47,30.88,26.91,24.72,23.75,21.53,17.94,16.34,16.16,15.09,12.0,10.03,10.56,11.44,10.25,10.16,12.25,14.59,14.16,12.41,12.28,13.59,13.66,12.91,13.84,16.53,18.53,17.75,17.5,19.75,21.25,20.25,18.66,18.66,19.25,17.56,14.84,14.19,14.66,13.94,11.47,10.5,11.69,12.25,10.75,9.69,10.66,11.28,9.5,7.5,7.69,8.84,8.12,7.25,8.09,10.31,11.25,10.41,10.72,13.03,14.62,14.62,15.59,19.28,23.16,24.41,24.5,25.34,25.88,23.09,18.97,16.5,15.53,14.16,11.62,11.16,13.22,14.44,13.72,13.31,15.16,17.56,17.47,17.38,18.84,21.03,21.0,20.03,20.34,22.0,22.25,20.44,19.56,20.38,20.69,18.16,15.53,14.97,14.97,12.22,9.31,8.56,9.12,8.5,7.28,8.22,10.97,12.94,12.09,12.09,14.28,16.34,16.0,16.09,18.03,20.06,19.84,18.62,19.31,21.5,21.81,20.56,20.84,22.41,23.19,21.91,21.78,23.94,25.47,24.53,22.59,22.16,22.22,19.78,16.72,15.94,16.88,15.97,13.72,12.0,11.97,10.88,7.69,5.81,6.91,8.72,9.06,9.56,12.28,16.12,17.12,16.69,17.22,18.56,17.59,14.81,13.25,13.91,14.56,13.47,13.06,15.53,17.75,17.19,16.0,16.84,18.16,17.91,16.41,16.72,18.59,18.62,16.97,15.94,17.06,17.19,15.16,13.72,14.69,16.09,15.22,14.16,14.81,16.06,15.25,13.38,13.19,14.56,14.5,12.66,11.75,12.69,13.41,11.78,10.81,12.25,14.38,14.5,14.75,17.25,20.75,21.66,21.0,21.03,22.25,21.97,19.31,17.22,17.66,17.41,14.91,13.06,13.84,15.34,14.34,13.12,13.38,14.81,13.97,13.06,13.66,16.62,18.0,17.28,16.19,16.88,16.81,14.66,12.84,13.78,15.53,15.12,14.22,14.91,17.0,17.38,16.09,16.41,18.62,19.5,18.34,17.69,19.19,21.03,20.44,20.19,21.94,24.41,24.38,23.22,24.12,26.5,27.19,26.59,27.09,29.25,30.03,28.41,26.59,27.44,28.25,26.56,25.25,25.88,26.66,25.22,22.84,21.75,22.66,22.03,20.38,19.75,21.12,21.62,19.72,18.28,18.78,19.28,17.19,15.09,14.81,16.06,15.38,14.09,14.72,16.91,17.62,16.81,17.53,20.81,23.53,23.72,24.0,26.03,27.88,26.69,25.03,25.03,26.16,24.94,22.03,20.5,20.28,18.56,14.38,11.12,10.0,8.44,5.19,2.69,3.44,5.47,5.97,6.62,9.34,13.72,15.59,15.81,16.47,17.62,16.59,13.69,11.69,12.84,15.09,16.28,18.22,22.53,26.41,26.22,24.44,23.28,22.84,19.62,14.59,10.38,7.75,4.12,-0.81,-3.78,-2.78,-0.75,-0.09,1.59,5.72,10.69,13.59,15.44,19.22,23.38,25.69,26.22,27.12,29.81,30.66,29.44,28.75,30.62,32.16,31.34,29.69,29.53,29.38,25.94,21.12,18.66,17.78,16.06,14.06,14.19,17.0,19.12,18.97,19.41,21.88,23.59,22.69,21.03,21.53,22.69,21.72,19.84,20.5,22.94,24.0,23.56,24.12,26.06,25.62,22.03,17.31,14.38,11.16,6.38,2.16,1.56,2.91,3.38,3.19,4.97,8.28,9.91,9.34,9.81,12.31,14.41,14.34,15.09,18.41,22.09,23.03,23.41,25.62,28.0,28.25,27.16,26.88,27.69,26.59,23.62,21.12,21.16,20.81,18.62,16.19,16.41,17.12,15.88,14.41,15.72,18.78,20.03,20.12,20.88,22.62,22.41,19.88,17.84,18.62,18.97,17.62,16.5,17.66,19.0,18.53,17.0,17.56,19.28,19.12,18.19,18.47,20.56,21.09,19.75,19.0,20.94,22.69,22.56,22.25,24.09,26.16,25.97,25.03,26.06,28.44,29.34,28.19,28.44,30.31,30.16,27.69,25.75,26.25,26.59,25.16,23.34,24.31,25.44,24.66,23.19,23.91,25.66,25.25,23.09,21.78,22.41,21.97,19.94,18.78,20.59,22.38,22.09,21.59,23.19,25.25,25.31,24.06,24.28,26.25,26.12,24.47,24.03,26.22,27.94,27.28,27.09,28.62,29.44,27.47,25.34,25.69,27.44,27.59,27.53,29.25,32.38,33.81,33.12,32.78,34.0,33.97,32.0,30.31,31.38,32.78,31.94,29.97,29.81,29.97,27.56,24.31,22.97,23.0,22.03,19.47,17.44,17.5,16.69,13.84,10.88,10.81,10.94,9.22,7.69,8.91,12.06,14.34,16.0,19.09,23.62,26.44,26.75,8.28,6.97,7.31,8.0,7.12,6.0,6.59,7.81,8.56,8.66,10.31,12.94,14.62,15.12:27.03,25.22,25.38,26.62,26.75,25.38,25.22,26.44,26.72,24.53,23.28,23.97,25.06,24.25,23.34,24.47,26.38,26.28,25.28,26.06,27.94,28.38,27.0,26.84,28.31,29.38,27.97,26.78,27.44,28.06,26.41,24.22,24.12,25.12,24.34,22.5,21.81,22.84,22.47,20.44,19.62,21.12,22.91,22.56,22.16,23.69,25.09,24.44,23.09,23.53,25.12,25.56,24.66,25.06,27.69,29.03,27.69,26.47,26.28,25.56,22.5,19.53,19.66,20.69,19.62,18.31,18.5,19.34,18.94,17.09,16.69,18.53,19.88,19.16,19.28,21.53,24.0,24.09,24.25,26.12,27.94,27.31,25.03,23.91,24.0,22.69,19.56,17.56,17.72,17.56,15.69,15.09,17.56,20.12,20.44,19.91,20.81,22.12,21.16,19.88,20.69,23.16,25.5,26.0,27.38,30.03,31.38,29.69,28.16,28.28,29.03,27.12,24.03,22.12,20.5,17.12,13.03,11.34,11.81,12.22,10.97,10.91,12.56,13.84,12.62,11.66,12.09,13.47,12.81,11.28,11.47,13.12,13.16,12.16,12.31,14.22,14.66,13.16,12.38,13.19,14.22,13.12,12.12,13.41,15.41,15.25,14.5,15.06,17.16,17.59,16.69,17.06,19.09,20.34,19.34,18.62,19.88,21.34,20.09,18.31,18.0,18.75,17.41,15.66,15.88,17.72,18.5,17.78,18.0,19.94,21.59,21.62,22.41,25.53,29.06,30.69,32.09,35.28,39.19,40.72,40.41,40.84,42.16,41.53,38.69,35.84,34.94,32.81,28.38,23.91,21.19,19.28,15.97,13.06,13.34,16.03,17.47,17.81,19.28,22.78,24.97,25.5,27.12,31.06,34.22,34.69,34.22,34.41,33.53,29.62,24.5,21.44,19.97,17.91,15.22,13.81,14.41,14.41,12.25,11.44,13.12,15.75,17.0,18.69,22.56,26.88,28.34,27.97,27.91,28.78,27.88,25.34,24.06,24.84,25.28,24.28,23.5,24.91,26.19,25.0,23.53,23.62,24.56,23.38,20.53,18.22,17.09,14.34,10.03,7.59,8.0,9.0,9.41,11.0,15.44,20.34,22.19,22.84,23.69,24.69,23.5,21.22,20.66,22.25,23.34,22.53,22.06,23.66,23.91,21.97,19.66,19.38,19.38,17.28,14.78,14.16,15.38,15.59,14.94,15.41,17.84,18.53,17.56,17.03,19.31,21.69,22.44,23.28,26.22,29.81,30.53,30.03,29.84,30.0,27.81,24.03,21.72,22.16,22.53,21.44,20.81,22.69,23.97,22.97,21.31,21.78,22.59,21.84,20.09,20.16,21.56,22.12,21.66,22.16,24.72,26.81,26.69,26.0,27.28,28.5,27.75,26.53,27.31,28.78,28.22,25.53,23.97,23.81,22.97,20.94,20.5,22.84,25.38,25.5,25.16,26.72,27.97,27.12,25.97,26.75,28.47,28.75,27.75,28.03,29.66,30.53,28.84,27.44,27.59,27.16,24.91,22.94,23.56,25.19,24.94,23.59,23.97,25.19,25.12,23.47,23.66,25.28,25.91,23.91,22.38,22.66,22.88,21.22,20.06,21.53,24.03,25.0,25.47,27.16,29.41,29.5,27.84,26.59,27.69,28.16,27.06,26.47,28.09,29.44,28.09,26.53,26.91,28.22,27.88,26.66,27.22,29.38,29.62,28.38,27.75,28.53,28.5,26.5,24.81,25.69,27.22,26.94,25.88,27.31,29.25,29.28,27.97,28.03,29.47,29.59,27.81,26.16,26.09,24.59,20.88,16.97,16.5,17.0,17.22,17.44,20.22,23.94,25.69,25.16,25.53,26.47,25.97,23.72,22.16,23.09,24.12,22.88,21.38,21.66,22.12,20.38,17.59,17.31,18.16,18.09,16.78,17.03,18.88,19.78,18.75,18.44,21.12,23.5,23.78,23.81,25.31,26.84,26.19,24.31,24.81,26.75,28.06,27.66,28.22,30.38,31.25,29.5,28.19,29.22,30.28,29.25,27.75,28.31,29.25,28.12,25.88,25.12,25.38,24.5,21.69,19.94,20.03,19.59,17.59,15.91,16.94,18.44,17.97,16.81,18.0,19.88,19.66,18.34,18.53,19.72,19.78,17.94,17.12,18.53,19.44,18.44,17.94,20.09,22.28,22.47,21.12,21.62,22.47,21.16,17.62,15.25,14.56,12.44,9.62,8.41,10.47,12.66,13.28,14.03,17.62,21.53,23.69,24.41,26.44,28.91,29.0,27.03,26.0,26.47,26.12,23.59,22.16,23.25,24.5,23.5,22.31,22.94,23.84,22.5,19.62,18.38,18.0,16.81,13.75,12.75,14.38,15.94,15.28,15.59,17.94,19.84,19.59,19.25,20.91,23.41,24.44,23.91,25.12,26.75,26.75,24.31,22.66,22.25,21.59,18.69,16.84,17.66,18.97,18.56,17.81,18.81,20.53,20.28,18.75,19.0,21.5,23.44,24.22,26.75,31.53,35.09,35.28,34.88,34.78,34.47,30.88,26.91,24.72,23.75,21.53,17.94,16.34,16.16,15.09,12.0,10.03,10.56,11.44,10.25,10.16,12.25,14.59,14.16,12.41,12.28,13.59,13.66,12.91,13.84,16.53,18.53,17.75,17.5,19.75,21.25,20.25,18.66,18.66,19.25,17.56,14.84,14.19,14.66,13.94,11.47,10.5,11.69,12.25,10.75,9.69,10.66,11.28,9.5,7.5,7.69,8.84,8.12,7.25,8.09,10.31,11.25,10.41,10.72,13.03,14.62,14.62,15.59,19.28,23.16,24.41,24.5,25.34,25.88,23.09,18.97,16.5,15.53,14.16,11.62,11.16,13.22,14.44,13.72,13.31,15.16,17.56,17.47,17.38,18.84,21.03,21.0,20.03,20.34,22.0,22.25,20.44,19.56,20.38,20.69,18.16,15.53,14.97,14.97,12.22,9.31,8.56,9.12,8.5,7.28,8.22,10.97,12.94,12.09,12.09,14.28,16.34,16.0,16.09,18.03,20.06,19.84,18.62,19.31,21.5,21.81,20.56,20.84,22.41,23.19,21.91,21.78,23.94,25.47,24.53,22.59,22.16,22.22,19.78,16.72,15.94,16.88,15.97,13.72,12.0,11.97,10.88,7.69,5.81,6.91,8.72,9.06,9.56,12.28,16.12,17.12,16.69,17.22,18.56,17.59,14.81,13.25,13.91,14.56,13.47,13.06,15.53,17.75,17.19,16.0,16.84,18.16,17.91,16.41,16.72,18.59,18.62,16.97,15.94,17.06,17.19,15.16,13.72,14.69,16.09,15.22,14.16,14.81,16.06,15.25,13.38,13.19,14.56,14.5,12.66,11.75,12.69,13.41,11.78,10.81,12.25,14.38,14.5,14.75,17.25,20.75,21.66,21.0,21.03,22.25,21.97,19.31,17.22,17.66,17.41,14.91,13.06,13.84,15.34,14.34,13.12,13.38,14.81,13.97,13.06,13.66,16.62,18.0,17.28,16.19,16.88,16.81,14.66,12.84,13.78,15.53,15.12,14.22,14.91,17.0,17.38,16.09,16.41,18.62,19.5,18.34,17.69,19.19,21.03,20.44,20.19,21.94,24.41,24.38,23.22,24.12,26.5,27.19,26.59,27.09,29.25,30.03,28.41,26.59,27.44,28.25,26.56,25.25,25.88,26.66,25.22,22.84,21.75,22.66,22.03,20.38,19.75,21.12,21.62,19.72,18.28,18.78,19.28,17.19,15.09,14.81,16.06,15.38,14.09,14.72,16.91,17.62,16.81,17.53,20.81,23.53,23.72,24.0,26.03,27.88,26.69,25.03,25.03,26.16,24.94,22.03,20.5,20.28,18.56,14.38,11.12,10.0,8.44,5.19,2.69,3.44,5.47,5.97,6.62,9.34,13.72,15.59,15.81,16.47,17.62,16.59,13.69,11.69,12.84,15.09,16.28,18.22,22.53,26.41,26.22,24.44,23.28,22.84,19.62,14.59,10.38,7.75,4.12,-0.81,-3.78,-2.78,-0.75,-0.09,1.59,5.72,10.69,13.59,15.44,19.22,23.38,25.69,26.22,27.12,29.81,30.66,29.44,28.75,30.62,32.16,31.34,29.69,29.53,29.38,25.94,21.12,18.66,17.78,16.06,14.06,14.19,17.0,19.12,18.97,19.41,21.88,23.59,22.69,21.03,21.53,22.69,21.72,19.84,20.5,22.94,24.0,23.56,24.12,26.06,25.62,22.03,17.31,14.38,11.16,6.38,2.16,1.56,2.91,3.38,3.19,4.97,8.28,9.91,9.34,9.81,12.31,14.41,14.34,15.09,18.41,22.09,23.03,23.41,25.62,28.0,28.25,27.16,26.88,27.69,26.59,23.62,21.12,21.16,20.81,18.62,16.19,16.41,17.12,15.88,14.41,15.72,18.78,20.03,20.12,20.88,22.62,22.41,19.88,17.84,18.62,18.97,17.62,16.5,17.66,19.0,18.53,17.0,17.56,19.28,19.12,18.19,18.47,20.56,21.09,19.75,19.0,20.94,22.69,22.56,22.25,24.09,26.16,25.97,25.03,26.06,28.44,29.34,28.19,28.44,30.31,30.16,27.69,25.75,26.25,26.59,25.16,23.34,24.31,25.44,24.66,23.19,23.91,25.66,25.25,23.09,21.78,22.41,21.97,19.94,18.78,20.59,22.38,22.09,21.59,23.19,25.25,25.31,24.06,24.28,26.25,26.12,24.47,24.03,26.22,27.94,27.28,27.09,28.62,29.44,27.47,25.34,25.69,27.44,27.59,27.53,29.25,32.38,33.81,33.12,32.78,34.0,33.97,32.0,30.31,31.38,32.78,31.94,29.97,29.81,29.97,27.56,24.31,22.97,23.0,22.03,19.47,17.44,17.5,16.69,13.84,10.88,10.81,10.94,9.22,7.69,8.91,12.06,14.34,16.0,19.09,23.62,26.44,26.75,8.28,6.97,7.31,8.0,7.12,6.0,6.59,7.81,8.56,8.66,10.31,12.94,14.62,15.12,15.59,17.12,18.38,17.56,16.84,17.62,18.34:26.44,26.72,24.53,23.28,23.97,25.06,24.25,23.34,24.47,26.38,26.28,25.28,26.06,27.94,28.38,27.0,26.84,28.31,29.38,27.97,26.78,27.44,28.06,26.41,24.22,24.12,25.12,24.34,22.5,21.81,22.84,22.47,20.44,19.62,21.12,22.91,22.56,22.16,23.69,25.09,24.44,23.09,23.53,25.12,25.56,24.66,25.06,27.69,29.03,27.69,26.47,26.28,25.56,22.5,19.53,19.66,20.69,19.62,18.31,18.5,19.34,18.94,17.09,16.69,18.53,19.88,19.16,19.28,21.53,24.0,24.09,24.25,26.12,27.94,27.31,25.03,23.91,24.0,22.69,19.56,17.56,17.72,17.56,15.69,15.09,17.56,20.12,20.44,19.91,20.81,22.12,21.16,19.88,20.69,23.16,25.5,26.0,27.38,30.03,31.38,29.69,28.16,28.28,29.03,27.12,24.03,22.12,20.5,17.12,13.03,11.34,11.81,12.22,10.97,10.91,12.56,13.84,12.62,11.66,12.09,13.47,12.81,11.28,11.47,13.12,13.16,12.16,12.31,14.22,14.66,13.16,12.38,13.19,14.22,13.12,12.12,13.41,15.41,15.25,14.5,15.06,17.16,17.59,16.69,17.06,19.09,20.34,19.34,18.62,19.88,21.34,20.09,18.31,18.0,18.75,17.41,15.66,15.88,17.72,18.5,17.78,18.0,19.94,21.59,21.62,22.41,25.53,29.06,30.69,32.09,35.28,39.19,40.72,40.41,40.84,42.16,41.53,38.69,35.84,34.94,32.81,28.38,23.91,21.19,19.28,15.97,13.06,13.34,16.03,17.47,17.81,19.28,22.78,24.97,25.5,27.12,31.06,34.22,34.69,34.22,34.41,33.53,29.62,24.5,21.44,19.97,17.91,15.22,13.81,14.41,14.41,12.25,11.44,13.12,15.75,17.0,18.69,22.56,26.88,28.34,27.97,27.91,28.78,27.88,25.34,24.06,24.84,25.28,24.28,23.5,24.91,26.19,25.0,23.53,23.62,24.56,23.38,20.53,18.22,17.09,14.34,10.03,7.59,8.0,9.0,9.41,11.0,15.44,20.34,22.19,22.84,23.69,24.69,23.5,21.22,20.66,22.25,23.34,22.53,22.06,23.66,23.91,21.97,19.66,19.38,19.38,17.28,14.78,14.16,15.38,15.59,14.94,15.41,17.84,18.53,17.56,17.03,19.31,21.69,22.44,23.28,26.22,29.81,30.53,30.03,29.84,30.0,27.81,24.03,21.72,22.16,22.53,21.44,20.81,22.69,23.97,22.97,21.31,21.78,22.59,21.84,20.09,20.16,21.56,22.12,21.66,22.16,24.72,26.81,26.69,26.0,27.28,28.5,27.75,26.53,27.31,28.78,28.22,25.53,23.97,23.81,22.97,20.94,20.5,22.84,25.38,25.5,25.16,26.72,27.97,27.12,25.97,26.75,28.47,28.75,27.75,28.03,29.66,30.53,28.84,27.44,27.59,27.16,24.91,22.94,23.56,25.19,24.94,23.59,23.97,25.19,25.12,23.47,23.66,25.28,25.91,23.91,22.38,22.66,22.88,21.22,20.06,21.53,24.03,25.0,25.47,27.16,29.41,29.5,27.84,26.59,27.69,28.16,27.06,26.47,28.09,29.44,28.09,26.53,26.91,28.22,27.88,26.66,27.22,29.38,29.62,28.38,27.75,28.53,28.5,26.5,24.81,25.69,27.22,26.94,25.88,27.31,29.25,29.28,27.97,28.03,29.47,29.59,27.81,26.16,26.09,24.59,20.88,16.97,16.5,17.0,17.22,17.44,20.22,23.94,25.69,25.16,25.53,26.47,25.97,23.72,22.16,23.09,24.12,22.88,21.38,21.66,22.12,20.38,17.59,17.31,18.16,18.09,16.78,17.03,18.88,19.78,18.75,18.44,21.12,23.5,23.78,23.81,25.31,26.84,26.19,24.31,24.81,26.75,28.06,27.66,28.22,30.38,31.25,29.5,28.19,29.22,30.28,29.25,27.75,28.31,29.25,28.12,25.88,25.12,25.38,24.5,21.69,19.94,20.03,19.59,17.59,15.91,16.94,18.44,17.97,16.81,18.0,19.88,19.66,18.34,18.53,19.72,19.78,17.94,17.12,18.53,19.44,18.44,17.94,20.09,22.28,22.47,21.12,21.62,22.47,21.16,17.62,15.25,14.56,12.44,9.62,8.41,10.47,12.66,13.28,14.03,17.62,21.53,23.69,24.41,26.44,28.91,29.0,27.03,26.0,26.47,26.12,23.59,22.16,23.25,24.5,23.5,22.31,22.94,23.84,22.5,19.62,18.38,18.0,16.81,13.75,12.75,14.38,15.94,15.28,15.59,17.94,19.84,19.59,19.25,20.91,23.41,24.44,23.91,25.12,26.75,26.75,24.31,22.66,22.25,21.59,18.69,16.84,17.66,18.97,18.56,17.81,18.81,20.53,20.28,18.75,19.0,21.5,23.44,24.22,26.75,31.53,35.09,35.28,34.88,34.78,34.47,30.88,26.91,24.72,23.75,21.53,17.94,16.34,16.16,15.09,12.0,10.03,10.56,11.44,10.25,10.16,12.25,14.59,14.16,12.41,12.28,13.59,13.66,12.91,13.84,16.53,18.53,17.75,17.5,19.75,21.25,20.25,18.66,18.66,19.25,17.56,14.84,14.19,14.66,13.94,11.47,10.5,11.69,12.25,10.75,9.69,10.66,11.28,9.5,7.5,7.69,8.84,8.12,7.25,8.09,10.31,11.25,10.41,10.72,13.03,14.62,14.62,15.59,19.28,23.16,24.41,24.5,25.34,25.88,23.09,18.97,16.5,15.53,14.16,11.62,11.16,13.22,14.44,13.72,13.31,15.16,17.56,17.47,17.38,18.84,21.03,21.0,20.03,20.34,22.0,22.25,20.44,19.56,20.38,20.69,18.16,15.53,14.97,14.97,12.22,9.31,8.56,9.12,8.5,7.28,8.22,10.97,12.94,12.09,12.09,14.28,16.34,16.0,16.09,18.03,20.06,19.84,18.62,19.31,21.5,21.81,20.56,20.84,22.41,23.19,21.91,21.78,23.94,25.47,24.53,22.59,22.16,22.22,19.78,16.72,15.94,16.88,15.97,13.72,12.0,11.97,10.88,7.69,5.81,6.91,8.72,9.06,9.56,12.28,16.12,17.12,16.69,17.22,18.56,17.59,14.81,13.25,13.91,14.56,13.47,13.06,15.53,17.75,17.19,16.0,16.84,18.16,17.91,16.41,16.72,18.59,18.62,16.97,15.94,17.06,17.19,15.16,13.72,14.69,16.09,15.22,14.16,14.81,16.06,15.25,13.38,13.19,14.56,14.5,12.66,11.75,12.69,13.41,11.78,10.81,12.25,14.38,14.5,14.75,17.25,20.75,21.66,21.0,21.03,22.25,21.97,19.31,17.22,17.66,17.41,14.91,13.06,13.84,15.34,14.34,13.12,13.38,14.81,13.97,13.06,13.66,16.62,18.0,17.28,16.19,16.88,16.81,14.66,12.84,13.78,15.53,15.12,14.22,14.91,17.0,17.38,16.09,16.41,18.62,19.5,18.34,17.69,19.19,21.03,20.44,20.19,21.94,24.41,24.38,23.22,24.12,26.5,27.19,26.59,27.09,29.25,30.03,28.41,26.59,27.44,28.25,26.56,25.25,25.88,26.66,25.22,22.84,21.75,22.66,22.03,20.38,19.75,21.12,21.62,19.72,18.28,18.78,19.28,17.19,15.09,14.81,16.06,15.38,14.09,14.72,16.91,17.62,16.81,17.53,20.81,23.53,23.72,24.0,26.03,27.88,26.69,25.03,25.03,26.16,24.94,22.03,20.5,20.28,18.56,14.38,11.12,10.0,8.44,5.19,2.69,3.44,5.47,5.97,6.62,9.34,13.72,15.59,15.81,16.47,17.62,16.59,13.69,11.69,12.84,15.09,16.28,18.22,22.53,26.41,26.22,24.44,23.28,22.84,19.62,14.59,10.38,7.75,4.12,-0.81,-3.78,-2.78,-0.75,-0.09,1.59,5.72,10.69,13.59,15.44,19.22,23.38,25.69,26.22,27.12,29.81,30.66,29.44,28.75,30.62,32.16,31.34,29.69,29.53,29.38,25.94,21.12,18.66,17.78,16.06,14.06,14.19,17.0,19.12,18.97,19.41,21.88,23.59,22.69,21.03,21.53,22.69,21.72,19.84,20.5,22.94,24.0,23.56,24.12,26.06,25.62,22.03,17.31,14.38,11.16,6.38,2.16,1.56,2.91,3.38,3.19,4.97,8.28,9.91,9.34,9.81,12.31,14.41,14.34,15.09,18.41,22.09,23.03,23.41,25.62,28.0,28.25,27.16,26.88,27.69,26.59,23.62,21.12,21.16,20.81,18.62,16.19,16.41,17.12,15.88,14.41,15.72,18.78,20.03,20.12,20.88,22.62,22.41,19.88,17.84,18.62,18.97,17.62,16.5,17.66,19.0,18.53,17.0,17.56,19.28,19.12,18.19,18.47,20.56,21.09,19.75,19.0,20.94,22.69,22.56,22.25,24.09,26.16,25.97,25.03,26.06,28.44,29.34,28.19,28.44,30.31,30.16,27.69,25.75,26.25,26.59,25.16,23.34,24.31,25.44,24.66,23.19,23.91,25.66,25.25,23.09,21.78,22.41,21.97,19.94,18.78,20.59,22.38,22.09,21.59,23.19,25.25,25.31,24.06,24.28,26.25,26.12,24.47,24.03,26.22,27.94,27.28,27.09,28.62,29.44,27.47,25.34,25.69,27.44,27.59,27.53,29.25,32.38,33.81,33.12,32.78,34.0,33.97,32.0,30.31,31.38,32.78,31.94,29.97,29.81,29.97,27.56,24.31,22.97,23.0,22.03,19.47,17.44,17.5,16.69,13.84,10.88,10.81,10.94,9.22,7.69,8.91,12.06,14.34,16.0,19.09,23.62,26.44,26.75,8.28,6.97,7.31,8.0,7.12,6.0,6.59,7.81,8.56,8.66,10.31,12.94,14.62,15.12,15.59,17.12,18.38,17.56,16.84,17.62,18.34,17.62,16.16,16.09,16.06,15.66,14.19,13.66:23.34,24.47,26.38,26.28,25.28,26.06,27.94,28.38,27.0,26.84,28.31,29.38,27.97,26.78,27.44,28.06,26.41,24.22,24.12,25.12,24.34,22.5,21.81,22.84,22.47,20.44,19.62,21.12,22.91,22.56,22.16,23.69,25.09,24.44,23.09,23.53,25.12,25.56,24.66,25.06,27.69,29.03,27.69,26.47,26.28,25.56,22.5,19.53,19.66,20.69,19.62,18.31,18.5,19.34,18.94,17.09,16.69,18.53,19.88,19.16,19.28,21.53,24.0,24.09,24.25,26.12,27.94,27.31,25.03,23.91,24.0,22.69,19.56,17.56,17.72,17.56,15.69,15.09,17.56,20.12,20.44,19.91,20.81,22.12,21.16,19.88,20.69,23.16,25.5,26.0,27.38,30.03,31.38,29.69,28.16,28.28,29.03,27.12,24.03,22.12,20.5,17.12,13.03,11.34,11.81,12.22,10.97,10.91,12.56,13.84,12.62,11.66,12.09,13.47,12.81,11.28,11.47,13.12,13.16,12.16,12.31,14.22,14.66,13.16,12.38,13.19,14.22,13.12,12.12,13.41,15.41,15.25,14.5,15.06,17.16,17.59,16.69,17.06,19.09,20.34,19.34,18.62,19.88,21.34,20.09,18.31,18.0,18.75,17.41,15.66,15.88,17.72,18.5,17.78,18.0,19.94,21.59,21.62,22.41,25.53,29.06,30.69,32.09,35.28,39.19,40.72,40.41,40.84,42.16,41.53,38.69,35.84,34.94,32.81,28.38,23.91,21.19,19.28,15.97,13.06,13.34,16.03,17.47,17.81,19.28,22.78,24.97,25.5,27.12,31.06,34.22,34.69,34.22,34.41,33.53,29.62,24.5,21.44,19.97,17.91,15.22,13.81,14.41,14.41,12.25,11.44,13.12,15.75,17.0,18.69,22.56,26.88,28.34,27.97,27.91,28.78,27.88,25.34,24.06,24.84,25.28,24.28,23.5,24.91,26.19,25.0,23.53,23.62,24.56,23.38,20.53,18.22,17.09,14.34,10.03,7.59,8.0,9.0,9.41,11.0,15.44,20.34,22.19,22.84,23.69,24.69,23.5,21.22,20.66,22.25,23.34,22.53,22.06,23.66,23.91,21.97,19.66,19.38,19.38,17.28,14.78,14.16,15.38,15.59,14.94,15.41,17.84,18.53,17.56,17.03,19.31,21.69,22.44,23.28,26.22,29.81,30.53,30.03,29.84,30.0,27.81,24.03,21.72,22.16,22.53,21.44,20.81,22.69,23.97,22.97,21.31,21.78,22.59,21.84,20.09,20.16,21.56,22.12,21.66,22.16,24.72,26.81,26.69,26.0,27.28,28.5,27.75,26.53,27.31,28.78,28.22,25.53,23.97,23.81,22.97,20.94,20.5,22.84,25.38,25.5,25.16,26.72,27.97,27.12,25.97,26.75,28.47,28.75,27.75,28.03,29.66,30.53,28.84,27.44,27.59,27.16,24.91,22.94,23.56,25.19,24.94,23.59,23.97,25.19,25.12,23.47,23.66,25.28,25.91,23.91,22.38,22.66,22.88,21.22,20.06,21.53,24.03,25.0,25.47,27.16,29.41,29.5,27.84,26.59,27.69,28.16,27.06,26.47,28.09,29.44,28.09,26.53,26.91,28.22,27.88,26.66,27.22,29.38,29.62,28.38,27.75,28.53,28.5,26.5,24.81,25.69,27.22,26.94,25.88,27.31,29.25,29.28,27.97,28.03,29.47,29.59,27.81,26.16,26.09,24.59,20.88,16.97,16.5,17.0,17.22,17.44,20.22,23.94,25.69,25.16,25.53,26.47,25.97,23.72,22.16,23.09,24.12,22.88,21.38,21.66,22.12,20.38,17.59,17.31,18.16,18.09,16.78,17.03,18.88,19.78,18.75,18.44,21.12,23.5,23.78,23.81,25.31,26.84,26.19,24.31,24.81,26.75,28.06,27.66,28.22,30.38,31.25,29.5,28.19,29.22,30.28,29.25,27.75,28.31,29.25,28.12,25.88,25.12,25.38,24.5,21.69,19.94,20.03,19.59,17.59,15.91,16.94,18.44,17.97,16.81,18.0,19.88,19.66,18.34,18.53,19.72,19.78,17.94,17.12,18.53,19.44,18.44,17.94,20.09,22.28,22.47,21.12,21.62,22.47,21.16,17.62,15.25,14.56,12.44,9.62,8.41,10.47,12.66,13.28,14.03,17.62,21.53,23.69,24.41,26.44,28.91,29.0,27.03,26.0,26.47,26.12,23.59,22.16,23.25,24.5,23.5,22.31,22.94,23.84,22.5,19.62,18.38,18.0,16.81,13.75,12.75,14.38,15.94,15.28,15.59,17.94,19.84,19.59,19.25,20.91,23.41,24.44,23.91,25.12,26.75,26.75,24.31,22.66,22.25,21.59,18.69,16.84,17.66,18.97,18.56,17.81,18.81,20.53,20.28,18.75,19.0,21.5,23.44,24.22,26.75,31.53,35.09,35.28,34.88,34.78,34.47,30.88,26.91,24.72,23.75,21.53,17.94,16.34,16.16,15.09,12.0,10.03,10.56,11.44,10.25,10.16,12.25,14.59,14.16,12.41,12.28,13.59,13.66,12.91,13.84,16.53,18.53,17.75,17.5,19.75,21.25,20.25,18.66,18.66,19.25,17.56,14.84,14.19,14.66,13.94,11.47,10.5,11.69,12.25,10.75,9.69,10.66,11.28,9.5,7.5,7.69,8.84,8.12,7.25,8.09,10.31,11.25,10.41,10.72,13.03,14.62,14.62,15.59,19.28,23.16,24.41,24.5,25.34,25.88,23.09,18.97,16.5,15.53,14.16,11.62,11.16,13.22,14.44,13.72,13.31,15.16,17.56,17.47,17.38,18.84,21.03,21.0,20.03,20.34,22.0,22.25,20.44,19.56,20.38,20.69,18.16,15.53,14.97,14.97,12.22,9.31,8.56,9.12,8.5,7.28,8.22,10.97,12.94,12.09,12.09,14.28,16.34,16.0,16.09,18.03,20.06,19.84,18.62,19.31,21.5,21.81,20.56,20.84,22.41,23.19,21.91,21.78,23.94,25.47,24.53,22.59,22.16,22.22,19.78,16.72,15.94,16.88,15.97,13.72,12.0,11.97,10.88,7.69,5.81,6.91,8.72,9.06,9.56,12.28,16.12,17.12,16.69,17.22,18.56,17.59,14.81,13.25,13.91,14.56,13.47,13.06,15.53,17.75,17.19,16.0,16.84,18.16,17.91,16.41,16.72,18.59,18.62,16.97,15.94,17.06,17.19,15.16,13.72,14.69,16.09,15.22,14.16,14.81,16.06,15.25,13.38,13.19,14.56,14.5,12.66,11.75,12.69,13.41,11.78,10.81,12.25,14.38,14.5,14.75,17.25,20.75,21.66,21.0,21.03,22.25,21.97,19.31,17.22,17.66,17.41,14.91,13.06,13.84,15.34,14.34,13.12,13.38,14.81,13.97,13.06,13.66,16.62,18.0,17.28,16.19,16.88,16.81,14.66,12.84,13.78,15.53,15.12,14.22,14.91,17.0,17.38,16.09,16.41,18.62,19.5,18.34,17.69,19.19,21.03,20.44,20.19,21.94,24.41,24.38,23.22,24.12,26.5,27.19,26.59,27.09,29.25,30.03,28.41,26.59,27.44,28.25,26.56,25.25,25.88,26.66,25.22,22.84,21.75,22.66,22.03,20.38,19.75,21.12,21.62,19.72,18.28,18.78,19.28,17.19,15.09,14.81,16.06,15.38,14.09,14.72,16.91,17.62,16.81,17.53,20.81,23.53,23.72,24.0,26.03,27.88,26.69,25.03,25.03,26.16,24.94,22.03,20.5,20.28,18.56,14.38,11.12,10.0,8.44,5.19,2.69,3.44,5.47,5.97,6.62,9.34,13.72,15.59,15.81,16.47,17.62,16.59,13.69,11.69,12.84,15.09,16.28,18.22,22.53,26.41,26.22,24.44,23.28,22.84,19.62,14.59,10.38,7.75,4.12,-0.81,-3.78,-2.78,-0.75,-0.09,1.59,5.72,10.69,13.59,15.44,19.22,23.38,25.69,26.22,27.12,29.81,30.66,29.44,28.75,30.62,32.16,31.34,29.69,29.53,29.38,25.94,21.12,18.66,17.78,16.06,14.06,14.19,17.0,19.12,18.97,19.41,21.88,23.59,22.69,21.03,21.53,22.69,21.72,19.84,20.5,22.94,24.0,23.56,24.12,26.06,25.62,22.03,17.31,14.38,11.16,6.38,2.16,1.56,2.91,3.38,3.19,4.97,8.28,9.91,9.34,9.81,12.31,14.41,14.34,15.09,18.41,22.09,23.03,23.41,25.62,28.0,28.25,27.16,26.88,27.69,26.59,23.62,21.12,21.16,20.81,18.62,16.19,16.41,17.12,15.88,14.41,15.72,18.78,20.03,20.12,20.88,22.62,22.41,19.88,17.84,18.62,18.97,17.62,16.5,17.66,19.0,18.53,17.0,17.56,19.28,19.12,18.19,18.47,20.56,21.09,19.75,19.0,20.94,22.69,22.56,22.25,24.09,26.16,25.97,25.03,26.06,28.44,29.34,28.19,28.44,30.31,30.16,27.69,25.75,26.25,26.59,25.16,23.34,24.31,25.44,24.66,23.19,23.91,25.66,25.25,23.09,21.78,22.41,21.97,19.94,18.78,20.59,22.38,22.09,21.59,23.19,25.25,25.31,24.06,24.28,26.25,26.12,24.47,24.03,26.22,27.94,27.28,27.09,28.62,29.44,27.47,25.34,25.69,27.44,27.59,27.53,29.25,32.38,33.81,33.12,32.78,34.0,33.97,32.0,30.31,31.38,32.78,31.94,29.97,29.81,29.97,27.56,24.31,22.97,23.0,22.03,19.47,17.44,17.5,16.69,13.84,10.88,10.81,10.94,9.22,7.69,8.91,12.06,14.34,16.0,19.09,23.62,26.44,26.75,8.28,6.97,7.31,8.0,7.12,6.0,6.59,7.81,8.56,8.66,10.31,12.94,14.62,15.12,15.59,17.12,18.38,17.56,16.84,17.62,18.34,17.62,16.16,16.09,16.06,15.66,14.19,13.66,14.34,14.19,12.47,11.59,12.25,13.06,12.44:28.38,27.0,26.84,28.31,29.38,27.97,26.78,27.44,28.06,26.41,24.22,24.12,25.12,24.34,22.5,21.81,22.84,22.47,20.44,19.62,21.12,22.91,22.56,22.16,23.69,25.09,24.44,23.09,23.53,25.12,25.56,24.66,25.06,27.69,29.03,27.69,26.47,26.28,25.56,22.5,19.53,19.66,20.69,19.62,18.31,18.5,19.34,18.94,17.09,16.69,18.53,19.88,19.16,19.28,21.53,24.0,24.09,24.25,26.12,27.94,27.31,25.03,23.91,24.0,22.69,19.56,17.56,17.72,17.56,15.69,15.09,17.56,20.12,20.44,19.91,20.81,22.12,21.16,19.88,20.69,23.16,25.5,26.0,27.38,30.03,31.38,29.69,28.16,28.28,29.03,27.12,24.03,22.12,20.5,17.12,13.03,11.34,11.81,12.22,10.97,10.91,12.56,13.84,12.62,11.66,12.09,13.47,12.81,11.28,11.47,13.12,13.16,12.16,12.31,14.22,14.66,13.16,12.38,13.19,14.22,13.12,12.12,13.41,15.41,15.25,14.5,15.06,17.16,17.59,16.69,17.06,19.09,20.34,19.34,18.62,19.88,21.34,20.09,18.31,18.0,18.75,17.41,15.66,15.88,17.72,18.5,17.78,18.0,19.94,21.59,21.62,22.41,25.53,29.06,30.69,32.09,35.28,39.19,40.72,40.41,40.84,42.16,41.53,38.69,35.84,34.94,32.81,28.38,23.91,21.19,19.28,15.97,13.06,13.34,16.03,17.47,17.81,19.28,22.78,24.97,25.5,27.12,31.06,34.22,34.69,34.22,34.41,33.53,29.62,24.5,21.44,19.97,17.91,15.22,13.81,14.41,14.41,12.25,11.44,13.12,15.75,17.0,18.69,22.56,26.88,28.34,27.97,27.91,28.78,27.88,25.34,24.06,24.84,25.28,24.28,23.5,24.91,26.19,25.0,23.53,23.62,24.56,23.38,20.53,18.22,17.09,14.34,10.03,7.59,8.0,9.0,9.41,11.0,15.44,20.34,22.19,22.84,23.69,24.69,23.5,21.22,20.66,22.25,23.34,22.53,22.06,23.66,23.91,21.97,19.66,19.38,19.38,17.28,14.78,14.16,15.38,15.59,14.94,15.41,17.84,18.53,17.56,17.03,19.31,21.69,22.44,23.28,26.22,29.81,30.53,30.03,29.84,30.0,27.81,24.03,21.72,22.16,22.53,21.44,20.81,22.69,23.97,22.97,21.31,21.78,22.59,21.84,20.09,20.16,21.56,22.12,21.66,22.16,24.72,26.81,26.69,26.0,27.28,28.5,27.75,26.53,27.31,28.78,28.22,25.53,23.97,23.81,22.97,20.94,20.5,22.84,25.38,25.5,25.16,26.72,27.97,27.12,25.97,26.75,28.47,28.75,27.75,28.03,29.66,30.53,28.84,27.44,27.59,27.16,24.91,22.94,23.56,25.19,24.94,23.59,23.97,25.19,25.12,23.47,23.66,25.28,25.91,23.91,22.38,22.66,22.88,21.22,20.06,21.53,24.03,25.0,25.47,27.16,29.41,29.5,27.84,26.59,27.69,28.16,27.06,26.47,28.09,29.44,28.09,26.53,26.91,28.22,27.88,26.66,27.22,29.38,29.62,28.38,27.75,28.53,28.5,26.5,24.81,25.69,27.22,26.94,25.88,27.31,29.25,29.28,27.97,28.03,29.47,29.59,27.81,26.16,26.09,24.59,20.88,16.97,16.5,17.0,17.22,17.44,20.22,23.94,25.69,25.16,25.53,26.47,25.97,23.72,22.16,23.09,24.12,22.88,21.38,21.66,22.12,20.38,17.59,17.31,18.16,18.09,16.78,17.03,18.88,19.78,18.75,18.44,21.12,23.5,23.78,23.81,25.31,26.84,26.19,24.31,24.81,26.75,28.06,27.66,28.22,30.38,31.25,29.5,28.19,29.22,30.28,29.25,27.75,28.31,29.25,28.12,25.88,25.12,25.38,24.5,21.69,19.94,20.03,19.59,17.59,15.91,16.94,18.44,17.97,16.81,18.0,19.88,19.66,18.34,18.53,19.72,19.78,17.94,17.12,18.53,19.44,18.44,17.94,20.09,22.28,22.47,21.12,21.62,22.47,21.16,17.62,15.25,14.56,12.44,9.62,8.41,10.47,12.66,13.28,14.03,17.62,21.53,23.69,24.41,26.44,28.91,29.0,27.03,26.0,26.47,26.12,23.59,22.16,23.25,24.5,23.5,22.31,22.94,23.84,22.5,19.62,18.38,18.0,16.81,13.75,12.75,14.38,15.94,15.28,15.59,17.94,19.84,19.59,19.25,20.91,23.41,24.44,23.91,25.12,26.75,26.75,24.31,22.66,22.25,21.59,18.69,16.84,17.66,18.97,18.56,17.81,18.81,20.53,20.28,18.75,19.0,21.5,23.44,24.22,26.75,31.53,35.09,35.28,34.88,34.78,34.47,30.88,26.91,24.72,23.75,21.53,17.94,16.34,16.16,15.09,12.0,10.03,10.56,11.44,10.25,10.16,12.25,14.59,14.16,12.41,12.28,13.59,13.66,12.91,13.84,16.53,18.53,17.75,17.5,19.75,21.25,20.25,18.66,18.66,19.25,17.56,14.84,14.19,14.66,13.94,11.47,10.5,11.69,12.25,10.75,9.69,10.66,11.28,9.5,7.5,7.69,8.84,8.12,7.25,8.09,10.31,11.25,10.41,10.72,13.03,14.62,14.62,15.59,19.28,23.16,24.41,24.5,25.34,25.88,23.09,18.97,16.5,15.53,14.16,11.62,11.16,13.22,14.44,13.72,13.31,15.16,17.56,17.47,17.38,18.84,21.03,21.0,20.03,20.34,22.0,22.25,20.44,19.56,20.38,20.69,18.16,15.53,14.97,14.97,12.22,9.31,8.56,9.12,8.5,7.28,8.22,10.97,12.94,12.09,12.09,14.28,16.34,16.0,16.09,18.03,20.06,19.84,18.62,19.31,21.5,21.81,20.56,20.84,22.41,23.19,21.91,21.78,23.94,25.47,24.53,22.59,22.16,22.22,19.78,16.72,15.94,16.88,15.97,13.72,12.0,11.97,10.88,7.69,5.81,6.91,8.72,9.06,9.56,12.28,16.12,17.12,16.69,17.22,18.56,17.59,14.81,13.25,13.91,14.56,13.47,13.06,15.53,17.75,17.19,16.0,16.84,18.16,17.91,16.41,16.72,18.59,18.62,16.97,15.94,17.06,17.19,15.16,13.72,14.69,16.09,15.22,14.16,14.81,16.06,15.25,13.38,13.19,14.56,14.5,12.66,11.75,12.69,13.41,11.78,10.81,12.25,14.38,14.5,14.75,17.25,20.75,21.66,21.0,21.03,22.25,21.97,19.31,17.22,17.66,17.41,14.91,13.06,13.84,15.34,14.34,13.12,13.38,14.81,13.97,13.06,13.66,16.62,18.0,17.28,16.19,16.88,16.81,14.66,12.84,13.78,15.53,15.12,14.22,14.91,17.0,17.38,16.09,16.41,18.62,19.5,18.34,17.69,19.19,21.03,20.44,20.19,21.94,24.41,24.38,23.22,24.12,26.5,27.19,26.59,27.09,29.25,30.03,28.41,26.59,27.44,28.25,26.56,25.25,25.88,26.66,25.22,22.84,21.75,22.66,22.03,20.38,19.75,21.12,21.62,19.72,18.28,18.78,19.28,17.19,15.09,14.81,16.06,15.38,14.09,14.72,16.91,17.62,16.81,17.53,20.81,23.53,23.72,24.0,26.03,27.88,26.69,25.03,25.03,26.16,24.94,22.03,20.5,20.28,18.56,14.38,11.12,10.0,8.44,5.19,2.69,3.44,5.47,5.97,6.62,9.34,13.72,15.59,15.81,16.47,17.62,16.59,13.69,11.69,12.84,15.09,16.28,18.22,22.53,26.41,26.22,24.44,23.28,22.84,19.62,14.59,10.38,7.75,4.12,-0.81,-3.78,-2.78,-0.75,-0.09,1.59,5.72,10.69,13.59,15.44,19.22,23.38,25.69,26.22,27.12,29.81,30.66,29.44,28.75,30.62,32.16,31.34,29.69,29.53,29.38,25.94,21.12,18.66,17.78,16.06,14.06,14.19,17.0,19.12,18.97,19.41,21.88,23.59,22.69,21.03,21.53,22.69,21.72,19.84,20.5,22.94,24.0,23.56,24.12,26.06,25.62,22.03,17.31,14.38,11.16,6.38,2.16,1.56,2.91,3.38,3.19,4.97,8.28,9.91,9.34,9.81,12.31,14.41,14.34,15.09,18.41,22.09,23.03,23.41,25.62,28.0,28.25,27.16,26.88,27.69,26.59,23.62,21.12,21.16,20.81,18.62,16.19,16.41,17.12,15.88,14.41,15.72,18.78,20.03,20.12,20.88,22.62,22.41,19.88,17.84,18.62,18.97,17.62,16.5,17.66,19.0,18.53,17.0,17.56,19.28,19.12,18.19,18.47,20.56,21.09,19.75,19.0,20.94,22.69,22.56,22.25,24.09,26.16,25.97,25.03,26.06,28.44,29.34,28.19,28.44,30.31,30.16,27.69,25.75,26.25,26.59,25.16,23.34,24.31,25.44,24.66,23.19,23.91,25.66,25.25,23.09,21.78,22.41,21.97,19.94,18.78,20.59,22.38,22.09,21.59,23.19,25.25,25.31,24.06,24.28,26.25,26.12,24.47,24.03,26.22,27.94,27.28,27.09,28.62,29.44,27.47,25.34,25.69,27.44,27.59,27.53,29.25,32.38,33.81,33.12,32.78,34.0,33.97,32.0,30.31,31.38,32.78,31.94,29.97,29.81,29.97,27.56,24.31,22.97,23.0,22.03,19.47,17.44,17.5,16.69,13.84,10.88,10.81,10.94,9.22,7.69,8.91,12.06,14.34,16.0,19.09,23.62,26.44,26.75,8.28,6.97,7.31,8.0,7.12,6.0,6.59,7.81,8.56,8.66,10.31,12.94,14.62,15.12,15.59,17.12,18.38,17.56,16.84,17.62,18.34,17.62,16.16,16.09,16.06,15.66,14.19,13.66,14.34,14.19,12.47,11.59,12.25,13.06,12.44,11.72,12.31,13.06,13.0,12.53,13.72,15.44:positivity
31.16,31.91,31.94,30.0,28.97,31.25,33.34,33.12,32.28,33.41,35.41,34.12,31.91,31.41,32.22,31.16,27.66,25.28,25.44,25.19,22.94,21.72,23.72,26.25,26.25,25.94,27.31,29.31,29.06,27.19,27.41,30.09,32.38,32.81,34.34,37.38,39.44,37.72,35.78,36.06,36.78,35.34,33.16,33.0,34.75,34.53,32.91,33.09,35.22,36.19,34.91,34.12,36.0,37.66,36.25,34.22,34.34,34.75,32.28,28.84,27.88,28.56,28.69,27.38,27.59,30.84,33.72,34.06,34.78,37.78,40.66,40.44,39.25,40.62,43.06,42.53,40.88,40.5,41.88,42.03,40.47,39.81,41.59,42.81,40.88,39.09,39.69,40.66,39.22,36.75,36.62,37.59,36.16,33.41,32.22,33.25,33.91,32.56,31.78,33.66,35.09,34.03,33.19,34.75,36.84,36.72,34.44,33.25,33.38,31.62,28.47,26.5,27.06,26.47,23.16,20.22,20.0,19.84,17.66,14.84,15.06,16.25,15.34,13.72,14.41,17.16,18.69,18.19,18.88,21.66,23.47,22.22,21.16,22.16,23.5,22.47,20.53,20.66,22.25,22.22,20.81,21.38,24.19,25.91,25.66,26.31,28.94,30.91,30.09,28.91,29.94,31.41,31.31,29.97,30.78,33.41,34.25,33.38,33.0,34.84,35.38,33.84,32.06,32.84,33.31,31.0,28.12,28.62,30.53,31.56,32.0,34.69,39.38,41.97,42.28,43.16,46.06,47.66,46.31,44.81,45.25,45.22,42.25,37.97,35.78,34.72,32.09,28.66,27.59,28.97,29.31,27.44,26.03,26.44,26.31,23.66,21.19,21.78,23.03,22.47,20.66,20.94,22.66,23.5,22.75,23.41,26.16,27.84,27.03,26.28,28.66,30.59,29.62,27.81,27.44,27.09,24.72,21.19,19.75,20.44,20.22,18.03,16.62,17.94,18.53,17.44,17.09,20.31,24.5,26.94,28.59,31.66,35.22,35.5,33.12,31.38,31.0,29.31,24.97,22.0,21.66,21.78,20.09,18.91,21.0,24.16,25.5,25.06,26.88,29.41,30.38,29.72,31.03,34.34,36.97,36.06,34.75,35.12,35.31,33.0,30.53,31.16,32.47,31.69,29.5,28.5,29.16,28.44,25.75,24.91,27.12,29.53,29.81,30.5,33.5,36.25,35.66,34.12,34.69,36.06,35.47,33.47,32.94,34.47,35.16,33.62,33.22,35.5,37.03,35.66,34.38,35.16,36.28,34.81,32.44,32.12,32.78,32.16,30.16,29.34,30.22,30.28,27.41,25.0,25.09,25.31,23.91,22.72,24.66,27.81,29.69,30.19,32.75,36.19,38.34,38.0,38.31,40.72,41.94,40.03,37.78,37.5,37.09,34.22,30.91,30.12,30.66,29.41,27.0,26.81,28.78,30.22,29.59,29.94,31.72,32.41,30.16,28.25,28.72,30.78,30.5,29.25,29.81,30.72,29.16,25.72,23.38,23.31,23.19,21.38,20.62,22.38,24.06,23.31,22.0,23.47,25.19,24.62,22.53,21.69,22.22,22.19,20.97,22.19,26.28,30.41,31.88,32.81,34.75,35.72,33.44,30.03,28.78,29.06,27.91,25.56,24.25,24.62,23.09,19.34,16.75,17.0,17.94,16.59,16.22,18.25,21.0,21.28,21.12,22.72,25.97,27.25,27.38,28.44,31.44,32.91,31.81,30.94,31.47,32.09,30.25,28.09,28.06,29.09,28.16,26.0,25.59,26.75,26.03,23.59,21.66,22.12,22.22,20.16,18.38,18.75,19.84,18.31,16.56,17.0,19.09,19.97,19.88,21.53,25.75,28.78,29.69,30.81,33.53,35.12,33.88,31.97,32.38,33.38,32.66,31.28,31.59,33.16,32.81,30.44,28.94,28.84,27.69,23.38,19.78,18.53,17.66,15.69,14.44,15.88,19.28,20.69,20.62,22.12,24.5,24.59,22.0,19.75,19.62,19.56,17.62,17.0,19.75,23.22,24.75,25.41,27.12,28.81,27.5,24.06,21.06,19.75,17.69,13.44,10.31,10.38,11.06,10.69,10.84,14.44,19.06,21.41,22.84,26.0,30.72,32.72,32.06,32.03,33.09,32.72,29.66,27.34,27.53,27.5,24.5,20.81,19.09,17.81,15.28,11.72,10.06,10.78,10.94,9.78,9.97,13.0,15.16,14.28,12.78,13.44,14.5,12.97,11.0,11.41,12.56,12.19,10.41,10.81,14.0,15.78,16.34,17.41,20.44,22.88,22.38,21.0,22.06,23.75,23.56,22.94,24.97,28.28,30.03,30.41,31.16,34.0,36.09,35.47,32.56,31.38,28.69,22.91,16.44,13.31,12.25,9.38,5.12,2.78,2.81,2.59,1.69,2.94,7.34,11.25,11.91,12.47,15.06,17.53,17.62,17.41,19.84,23.44,25.28,25.34,25.94,27.22,26.28,22.28,18.59,17.44,16.09,13.22,10.5,10.88,12.75,12.88,12.69,15.34,20.47,23.94,24.28,25.0,26.78,26.12,23.09,21.09,22.38,24.19,23.38,21.94,23.16,24.78,23.69,20.91,19.28,18.97,17.12,14.09,12.75,14.28,15.75,15.12,14.62,16.44,18.5,17.78,16.0,16.66,18.34,18.34,16.91,17.12,19.62,20.62,19.47,19.88,22.69,25.59,25.81,25.81,28.03,29.25,25.66,20.84,18.41,17.34,16.44,15.47,16.47,19.03,20.12,18.06,16.31,17.41,18.88,18.59,18.53,21.09,24.62,26.22,26.47,28.88,32.25,34.06,33.09,32.38,32.47,30.84,25.62,19.84,17.19,14.88,10.88,6.97,5.94,6.41,5.69,3.97,5.47,10.06,14.75,18.0,23.03,29.91,35.84,37.09,36.34,36.19,36.34,33.38,30.19,29.81,30.66,29.62,25.88,23.41,22.84,21.91,19.09,17.31,18.38,19.44,18.09,15.78,15.81,16.22,14.62,11.53,11.06,13.16,14.5,14.28,15.44,19.19,21.69,21.12,20.38,21.56,22.66,21.44,19.72,20.16,21.84,21.03,18.0,16.34,16.84,16.72,15.06,15.84,19.88,24.06,25.88,27.25,30.06,32.44,31.19,28.38,27.12,27.31,25.5,22.09,20.78,21.81,22.25,21.41,21.38,23.62,25.78,24.31,22.38,22.06,22.75,21.69,19.88,19.81,21.5,21.91,19.81,19.25,20.28,20.62,18.16,16.09,17.25,19.56,19.81,20.16,22.47,25.31,25.31,23.03,21.66,21.69,20.28,17.31,15.59,17.12,18.88,18.19,17.84,20.19,23.34,24.38,24.91,27.28,30.84,31.75,29.91,28.94,29.34,28.62,25.56,23.25,24.03,25.5,24.34,23.03,23.81,24.59,22.56,19.38,18.28,19.56,19.56,17.66,17.0,18.31,18.94,17.28,16.03,17.28,18.19,16.38,13.72,13.28,14.75,14.16,12.94,13.56,15.84,17.22,16.12,15.38,17.53,19.22,18.56,18.44,21.12,24.97,25.59,25.25,26.31,28.66,28.41,26.75,26.16,27.72,27.78,25.03,22.62,22.66,22.62,20.19,18.22,19.03,21.22,21.19,19.81,20.59,22.94,23.25,21.62,21.16,23.0,24.5,23.94,23.94,26.53,28.72,27.88,25.81,26.22,27.59,26.62,24.69,24.0,25.12,24.78,22.94,22.19,24.56,26.53,25.97,25.34,27.44,29.31,28.62,27.16,27.66,29.75,29.84,29.03,29.72,32.56,33.78,32.91,32.38,33.59,33.88,30.53,25.69,23.12,21.31,17.44,13.59,12.94,14.16,14.19,13.16,13.69,16.81,19.53,20.41,21.53,25.06,28.41,28.69,27.41,28.56,30.62,30.16,28.44,28.62,30.22,30.19,27.72,26.0,26.69,26.81,24.66,22.84,23.25,23.72,21.75,18.78,18.59,20.41,20.78,20.03,21.12,24.09,25.62,24.62,23.84,25.28,25.84,23.62,21.03,21.09,21.78,20.28,18.19,18.44,20.25,20.81,19.88,20.53,22.72,24.03,22.62,21.78,23.22,24.19,23.0,21.28,22.09,23.78,23.69,21.97,22.03,23.56,23.69,21.75,20.91,22.44,23.25,21.28,19.88,21.53,23.56,23.5,23.38,26.0,29.84,32.47,33.81,36.72,41.41,44.03,42.84,40.91,40.19,37.94,33.31,29.19,28.34,29.0,28.25,26.28,26.72,28.03,27.41,25.0,24.25,25.88,27.31,26.66,26.59,29.06,30.84,29.34,27.28,27.22,27.97,26.59,23.94,23.41,23.97,23.22,20.16,18.22,18.03,17.12,14.12,11.62,12.84,15.25,16.0,16.59,19.25,22.0,23.16,22.16,23.0,26.16,28.41,28.59,29.38,32.34,34.59,34.22,33.22,34.41,35.88,35.0,32.97,32.78,33.56,33.03,30.56,29.31,30.22,30.34,27.78,26.19,26.94,27.97,26.31,24.91,25.69,27.38,26.97,25.5,26.09,28.06,28.94,27.84,27.84,29.59,30.47,28.16,26.16,26.47,27.41,26.31,25.03,26.81,29.72,30.81,29.38,29.06,29.72,28.69,25.75,24.19,25.47,27.16,26.0,24.59,25.09,25.69,24.25,21.88,22.0,23.47,23.41,21.31,19.97,20.28,19.62,16.78,15.25,16.25,18.12,17.22,16.62,18.19,20.44,20.94,20.62,21.75,24.31,25.38,24.0,24.03,26.47,28.28,27.88,27.59,29.09,30.38,29.16,27.06,26.91,28.06,27.62,25.66,25.31,26.81,27.59,26.03,24.94,25.81,26.38,23.78,21.34,21.31,22.59,22.19,21.53,22.78,25.12,25.16,22.78,21.72,22.62,23.16,21.81,21.38,22.81,23.75,21.31,18.38,17.25,17.72,16.88,16.06,17.75,21.56,24.09,23.91,24.75,26.81,28.06,26.66,25.69,27.0,28.75,27.56,25.28,24.25,23.84,21.47,17.28,15.12,14.81,14.16,11.91,10.88,13.09,15.94:33.12,32.28,33.41,35.41,34.12,31.91,31.41,32.22,31.16,27.66,25.28,25.44,25.19,22.94,21.72,23.72,26.25,26.25,25.94,27.31,29.31,29.06,27.19,27.41,30.09,32.38,32.81,34.34,37.38,39.44,37.72,35.78,36.06,36.78,35.34,33.16,33.0,34.75,34.53,32.91,33.09,35.22,36.19,34.91,34.12,36.0,37.66,36.25,34.22,34.34,34.75,32.28,28.84,27.88,28.56,28.69,27.38,27.59,30.84,33.72,34.06,34.78,37.78,40.66,40.44,39.25,40.62,43.06,42.53,40.88,40.5,41.88,42.03,40.47,39.81,41.59,42.81,40.88,39.09,39.69,40.66,39.22,36.75,36.62,37.59,36.16,33.41,32.22,33.25,33.91,32.56,31.78,33.66,35.09,34.03,33.19,34.75,36.84,36.72,34.44,33.25,33.38,31.62,28.47,26.5,27.06,26.47,23.16,20.22,20.0,19.84,17.66,14.84,15.06,16.25,15.34,13.72,14.41,17.16,18.69,18.19,18.88,21.66,23.47,22.22,21.16,22.16,23.5,22.47,20.53,20.66,22.25,22.22,20.81,21.38,24.19,25.91,25.66,26.31,28.94,30.91,30.09,28.91,29.94,31.41,31.31,29.97,30.78,33.41,34.25,33.38,33.0,34.84,35.38,33.84,32.06,32.84,33.31,31.0,28.12,28.62,30.53,31.56,32.0,34.69,39.38,41.97,42.28,43.16,46.06,47.66,46.31,44.81,45.25,45.22,42.25,37.97,35.78,34.72,32.09,28.66,27.59,28.97,29.31,27.44,26.03,26.44,26.31,23.66,21.19,21.78,23.03,22.47,20.66,20.94,22.66,23.5,22.75,23.41,26.16,27.84,27.03,26.28,28.66,30.59,29.62,27.81,27.44,27.09,24.72,21.19,19.75,20.44,20.22,18.03,16.62,17.94,18.53,17.44,17.09,20.31,24.5,26.94,28.59,31.66,35.22,35.5,33.12,31.38,31.0,29.31,24.97,22.0,21.66,21.78,20.09,18.91,21.0,24.16,25.5,25.06,26.88,29.41,30.38,29.72,31.03,34.34,36.97,36.06,34.75,35.12,35.31,33.0,30.53,31.16,32.47,31.69,29.5,28.5,29.16,28.44,25.75,24.91,27.12,29.53,29.81,30.5,33.5,36.25,35.66,34.12,34.69,36.06,35.47,33.47,32.94,34.47,35.16,33.62,33.22,35.5,37.03,35.66,34.38,35.16,36.28,34.81,32.44,32.12,32.78,32.16,30.16,29.34,30.22,30.28,27.41,25.0,25.09,25.31,23.91,22.72,24.66,27.81,29.69,30.19,32.75,36.19,38.34,38.0,38.31,40.72,41.94,40.03,37.78,37.5,37.09,34.22,30.91,30.12,30.66,29.41,27.0,26.81,28.78,30.22,29.59,29.94,31.72,32.41,30.16,28.25,28.72,30.78,30.5,29.25,29.81,30.72,29.16,25.72,23.38,23.31,23.19,21.38,20.62,22.38,24.06,23.31,22.0,23.47,25.19,24.62,22.53,21.69,22.22,22.19,20.97,22.19,26.28,30.41,31.88,32.81,34.75,35.72,33.44,30.03,28.78,29.06,27.91,25.56,24.25,24.62,23.09,19.34,16.75,17.0,17.94,16.59,16.22,18.25,21.0,21.28,21.12,22.72,25.97,27.25,27.38,28.44,31.44,32.91,31.81,30.94,31.47,32.09,30.25,28.09,28.06,29.09,28.16,26.0,25.59,26.75,26.03,23.59,21.66,22.12,22.22,20.16,18.38,18.75,19.84,18.31,16.56,17.0,19.09,19.97,19.88,21.53,25.75,28.78,29.69,30.81,33.53,35.12,33.88,31.97,32.38,33.38,32.66,31.28,31.59,33.16,32.81,30.44,28.94,28.84,27.69,23.38,19.78,18.53,17.66,15.69,14.44,15.88,19.28,20.69,20.62,22.12,24.5,24.59,22.0,19.75,19.62,19.56,17.62,17.0,19.75,23.22,24.75,25.41,27.12,28.81,27.5,24.06,21.06,19.75,17.69,13.44,10.31,10.38,11.06,10.69,10.84,14.44,19.06,21.41,22.84,26.0,30.72,32.72,32.06,32.03,33.09,32.72,29.66,27.34,27.53,27.5,24.5,20.81,19.09,17.81,15.28,11.72,10.06,10.78,10.94,9.78,9.97,13.0,15.16,14.28,12.78,13.44,14.5,12.97,11.0,11.41,12.56,12.19,10.41,10.81,14.0,15.78,16.34,17.41,20.44,22.88,22.38,21.0,22.06,23.75,23.56,22.94,24.97,28.28,30.03,30.41,31.16,34.0,36.09,35.47,32.56,31.38,28.69,22.91,16.44,13.31,12.25,9.38,5.12,2.78,2.81,2.59,1.69,2.94,7.34,11.25,11.91,12.47,15.06,17.53,17.62,17.41,19.84,23.44,25.28,25.34,25.94,27.22,26.28,22.28,18.59,17.44,16.09,13.22,10.5,10.88,12.75,12.88,12.69,15.34,20.47,23.94,24.28,25.0,26.78,26.12,23.09,21.09,22.38,24.19,23.38,21.94,23.16,24.78,23.69,20.91,19.28,18.97,17.12,14.09,12.75,14.28,15.75,15.12,14.62,16.44,18.5,17.78,16.0,16.66,18.34,18.34,16.91,17.12,19.62,20.62,19.47,19.88,22.69,25.59,25.81,25.81,28.03,29.25,25.66,20.84,18.41,17.34,16.44,15.47,16.47,19.03,20.12,18.06,16.31,17.41,18.88,18.59,18.53,21.09,24.62,26.22,26.47,28.88,32.25,34.06,33.09,32.38,32.47,30.84,25.62,19.84,17.19,14.88,10.88,6.97,5.94,6.41,5.69,3.97,5.47,10.06,14.75,18.0,23.03,29.91,35.84,37.09,36.34,36.19,36.34,33.38,30.19,29.81,30.66,29.62,25.88,23.41,22.84,21.91,19.09,17.31,18.38,19.44,18.09,15.78,15.81,16.22,14.62,11.53,11.06,13.16,14.5,14.28,15.44,19.19,21.69,21.12,20.38,21.56,22.66,21.44,19.72,20.16,21.84,21.03,18.0,16.34,16.84,16.72,15.06,15.84,19.88,24.06,25.88,27.25,30.06,32.44,31.19,28.38,27.12,27.31,25.5,22.09,20.78,21.81,22.25,21.41,21.38,23.62,25.78,24.31,22.38,22.06,22.75,21.69,19.88,19.81,21.5,21.91,19.81,19.25,20.28,20.62,18.16,16.09,17.25,19.56,19.81,20.16,22.47,25.31,25.31,23.03,21.66,21.69,20.28,17.31,15.59,17.12,18.88,18.19,17.84,20.19,23.34,24.38,24.91,27.28,30.84,31.75,29.91,28.94,29.34,28.62,25.56,23.25,24.03,25.5,24.34,23.03,23.81,24.59,22.56,19.38,18.28,19.56,19.56,17.66,17.0,18.31,18.94,17.28,16.03,17.28,18.19,16.38,13.72,13.28,14.75,14.16,12.94,13.56,15.84,17.22,16.12,15.38,17.53,19.22,18.56,18.44,21.12,24.97,25.59,25.25,26.31,28.66,28.41,26.75,26.16,27.72,27.78,25.03,22.62,22.66,22.62,20.19,18.22,19.03,21.22,21.19,19.81,20.59,22.94,23.25,21.62,21.16,23.0,24.5,23.94,23.94,26.53,28.72,27.88,25.81,26.22,27.59,26.62,24.69,24.0,25.12,24.78,22.94,22.19,24.56,26.53,25.97,25.34,27.44,29.31,28.62,27.16,27.66,29.75,29.84,29.03,29.72,32.56,33.78,32.91,32.38,33.59,33.88,30.53,25.69,23.12,21.31,17.44,13.59,12.94,14.16,14.19,13.16,13.69,16.81,19.53,20.41,21.53,25.06,28.41,28.69,27.41,28.56,30.62,30.16,28.44,28.62,30.22,30.19,27.72,26.0,26.69,26.81,24.66,22.84,23.25,23.72,21.75,18.78,18.59,20.41,20.78,20.03,21.12,24.09,25.62,24.62,23.84,25.28,25.84,23.62,21.03,21.09,21.78,20.28,18.19,18.44,20.25,20.81,19.88,20.53,22.72,24.03,22.62,21.78,23.22,24.19,23.0,21.28,22.09,23.78,23.69,21.97,22.03,23.56,23.69,21.75,20.91,22.44,23.25,21.28,19.88,21.53,23.56,23.5,23.38,26.0,29.84,32.47,33.81,36.72,41.41,44.03,42.84,40.91,40.19,37.94,33.31,29.19,28.34,29.0,28.25,26.28,26.72,28.03,27.41,25.0,24.25,25.88,27.31,26.66,26.59,29.06,30.84,29.34,27.28,27.22,27.97,26.59,23.94,23.41,23.97,23.22,20.16,18.22,18.03,17.12,14.12,11.62,12.84,15.25,16.0,16.59,19.25,22.0,23.16,22.16,23.0,26.16,28.41,28.59,29.38,32.34,34.59,34.22,33.22,34.41,35.88,35.0,32.97,32.78,33.56,33.03,30.56,29.31,30.22,30.34,27.78,26.19,26.94,27.97,26.31,24.91,25.69,27.38,26.97,25.5,26.09,28.06,28.94,27.84,27.84,29.59,30.47,28.16,26.16,26.47,27.41,26.31,25.03,26.81,29.72,30.81,29.38,29.06,29.72,28.69,25.75,24.19,25.47,27.16,26.0,24.59,25.09,25.69,24.25,21.88,22.0,23.47,23.41,21.31,19.97,20.28,19.62,16.78,15.25,16.25,18.12,17.22,16.62,18.19,20.44,20.94,20.62,21.75,24.31,25.38,24.0,24.03,26.47,28.28,27.88,27.59,29.09,30.38,29.16,27.06,26.91,28.06,27.62,25.66,25.31,26.81,27.59,26.03,24.94,25.81,26.38,23.78,21.34,21.31,22.59,22.19,21.53,22.78,25.12,25.16,22.78,21.72,22.62,23.16,21.81,21.38,22.81,23.75,21.31,18.38,17.25,17.72,16.88,16.06,17.75,21.56,24.09,23.91,24.75,26.81,28.06,26.66,25.69,27.0,28.75,27.56,25.28,24.25,23.84,21.47,17.28,15.12,14.81,14.16,11.91,10.88,13.09,15.94,18.91,19.16,19.38,17.91,17.09,18.62,20.19:32.22,31.16,27.66,25.28,25.44,25.19,22.94,21.72,23.72,26.25,26.25,25.94,27.31,29.31,29.06,27.19,27.41,30.09,32.38,32.81,34.34,37.38,39.44,37.72,35.78,36.06,36.78,35.34,33.16,33.0,34.75,34.53,32.91,33.09,35.22,36.19,34.91,34.12,36.0,37.66,36.25,34.22,34.34,34.75,32.28,28.84,27.88,28.56,28.69,27.38,27.59,30.84,33.72,34.06,34.78,37.78,40.66,40.44,39.25,40.62,43.06,42.53,40.88,40.5,41.88,42.03,40.47,39.81,41.59,42.81,40.88,39.09,39.69,40.66,39.22,36.75,36.62,37.59,36.16,33.41,32.22,33.25,33.91,32.56,31.78,33.66,35.09,34.03,33.19,34.75,36.84,36.72,34.44,33.25,33.38,31.62,28.47,26.5,27.06,26.47,23.16,20.22,20.0,19.84,17.66,14.84,15.06,16.25,15.34,13.72,14.41,17.16,18.69,18.19,18.88,21.66,23.47,22.22,21.16,22.16,23.5,22.47,20.53,20.66,22.25,22.22,20.81,21.38,24.19,25.91,25.66,26.31,28.94,30.91,30.09,28.91,29.94,31.41,31.31,29.97,30.78,33.41,34.25,33.38,33.0,34.84,35.38,33.84,32.06,32.84,33.31,31.0,28.12,28.62,30.53,31.56,32.0,34.69,39.38,41.97,42.28,43.16,46.06,47.66,46.31,44.81,45.25,45.22,42.25,37.97,35.78,34.72,32.09,28.66,27.59,28.97,29.31,27.44,26.03,26.44,26.31,23.66,21.19,21.78,23.03,22.47,20.66,20.94,22.66,23.5,22.75,23.41,26.16,27.84,27.03,26.28,28.66,30.59,29.62,27.81,27.44,27.09,24.72,21.19,19.75,20.44,20.22,18.03,16.62,17.94,18.53,17.44,17.09,20.31,24.5,26.94,28.59,31.66,35.22,35.5,33.12,31.38,31.0,29.31,24.97,22.0,21.66,21.78,20.09,18.91,21.0,24.16,25.5,25.06,26.88,29.41,30.38,29.72,31.03,34.34,36.97,36.06,34.75,35.12,35.31,33.0,30.53,31.16,32.47,31.69,29.5,28.5,29.16,28.44,25.75,24.91,27.12,29.53,29.81,30.5,33.5,36.25,35.66,34.12,34.69,36.06,35.47,33.47,32.94,34.47,35.16,33.62,33.22,35.5,37.03,35.66,34.38,35.16,36.28,34.81,32.44,32.12,32.78,32.16,30.16,29.34,30.22,30.28,27.41,25.0,25.09,25.31,23.91,22.72,24.66,27.81,29.69,30.19,32.75,36.19,38.34,38.0,38.31,40.72,41.94,40.03,37.78,37.5,37.09,34.22,30.91,30.12,30.66,29.41,27.0,26.81,28.78,30.22,29.59,29.94,31.72,32.41,30.16,28.25,28.72,30.78,30.5,29.25,29.81,30.72,29.16,25.72,23.38,23.31,23.19,21.38,20.62,22.38,24.06,23.31,22.0,23.47,25.19,24.62,22.53,21.69,22.22,22.19,20.97,22.19,26.28,30.41,31.88,32.81,34.75,35.72,33.44,30.03,28.78,29.06,27.91,25.56,24.25,24.62,23.09,19.34,16.75,17.0,17.94,16.59,16.22,18.25,21.0,21.28,21.12,22.72,25.97,27.25,27.38,28.44,31.44,32.91,31.81,30.94,31.47,32.09,30.25,28.09,28.06,29.09,28.16,26.0,25.59,26.75,26.03,23.59,21.66,22.12,22.22,20.16,18.38,18.75,19.84,18.31,16.56,17.0,19.09,19.97,19.88,21.53,25.75,28.78,29.69,30.81,33.53,35.12,33.88,31.97,32.38,33.38,32.66,31.28,31.59,33.16,32.81,30.44,28.94,28.84,27.69,23.38,19.78,18.53,17.66,15.69,14.44,15.88,19.28,20.69,20.62,22.12,24.5,24.59,22.0,19.75,19.62,19.56,17.62,17.0,19.75,23.22,24.75,25.41,27.12,28.81,27.5,24.06,21.06,19.75,17.69,13.44,10.31,10.38,11.06,10.69,10.84,14.44,19.06,21.41,22.84,26.0,30.72,32.72,32.06,32.03,33.09,32.72,29.66,27.34,27.53,27.5,24.5,20.81,19.09,17.81,15.28,11.72,10.06,10.78,10.94,9.78,9.97,13.0,15.16,14.28,12.78,13.44,14.5,12.97,11.0,11.41,12.56,12.19,10.41,10.81,14.0,15.78,16.34,17.41,20.44,22.88,22.38,21.0,22.06,23.75,23.56,22.94,24.97,28.28,30.03,30.41,31.16,34.0,36.09,35.47,32.56,31.38,28.69,22.91,16.44,13.31,12.25,9.38,5.12,2.78,2.81,2.59,1.69,2.94,7.34,11.25,11.91,12.47,15.06,17.53,17.62,17.41,19.84,23.44,25.28,25.34,25.94,27.22,26.28,22.28,18.59,17.44,16.09,13.22,10.5,10.88,12.75,12.88,12.69,15.34,20.47,23.94,24.28,25.0,26.78,26.12,23.09,21.09,22.38,24.19,23.38,21.94,23.16,24.78,23.69,20.91,19.28,18.97,17.12,14.09,12.75,14.28,15.75,15.12,14.62,16.44,18.5,17.78,16.0,16.66,18.34,18.34,16.91,17.12,19.62,20.62,19.47,19.88,22.69,25.59,25.81,25.81,28.03,29.25,25.66,20.84,18.41,17.34,16.44,15.47,16.47,19.03,20.12,18.06,16.31,17.41,18.88,18.59,18.53,21.09,24.62,26.22,26.47,28.88,32.25,34.06,33.09,32.38,32.47,30.84,25.62,19.84,17.19,14.88,10.88,6.97,5.94,6.41,5.69,3.97,5.47,10.06,14.75,18.0,23.03,29.91,35.84,37.09,36.34,36.19,36.34,33.38,30.19,29.81,30.66,29.62,25.88,23.41,22.84,21.91,19.09,17.31,18.38,19.44,18.09,15.78,15.81,16.22,14.62,11.53,11.06,13.16,14.5,14.28,15.44,19.19,21.69,21.12,20.38,21.56,22.66,21.44,19.72,20.16,21.84,21.03,18.0,16.34,16.84,16.72,15.06,15.84,19.88,24.06,25.88,27.25,30.06,32.44,31.19,28.38,27.12,27.31,25.5,22.09,20.78,21.81,22.25,21.41,21.38,23.62,25.78,24.31,22.38,22.06,22.75,21.69,19.88,19.81,21.5,21.91,19.81,19.25,20.28,20.62,18.16,16.09,17.25,19.56,19.81,20.16,22.47,25.31,25.31,23.03,21.66,21.69,20.28,17.31,15.59,17.12,18.88,18.19,17.84,20.19,23.34,24.38,24.91,27.28,30.84,31.75,29.91,28.94,29.34,28.62,25.56,23.25,24.03,25.5,24.34,23.03,23.81,24.59,22.56,19.38,18.28,19.56,19.56,17.66,17.0,18.31,18.94,17.28,16.03,17.28,18.19,16.38,13.72,13.28,14.75,14.16,12.94,13.56,15.84,17.22,16.12,15.38,17.53,19.22,18.56,18.44,21.12,24.97,25.59,25.25,26.31,28.66,28.41,26.75,26.16,27.72,27.78,25.03,22.62,22.66,22.62,20.19,18.22,19.03,21.22,21.19,19.81,20.59,22.94,23.25,21.62,21.16,23.0,24.5,23.94,23.94,26.53,28.72,27.88,25.81,26.22,27.59,26.62,24.69,24.0,25.12,24.78,22.94,22.19,24.56,26.53,25.97,25.34,27.44,29.31,28.62,27.16,27.66,29.75,29.84,29.03,29.72,32.56,33.78,32.91,32.38,33.59,33.88,30.53,25.69,23.12,21.31,17.44,13.59,12.94,14.16,14.19,13.16,13.69,16.81,19.53,20.41,21.53,25.06,28.41,28.69,27.41,28.56,30.62,30.16,28.44,28.62,30.22,30.19,27.72,26.0,26.69,26.81,24.66,22.84,23.25,23.72,21.75,18.78,18.59,20.41,20.78,20.03,21.12,24.09,25.62,24.62,23.84,25.28,25.84,23.62,21.03,21.09,21.78,20.28,18.19,18.44,20.25,20.81,19.88,20.53,22.72,24.03,22.62,21.78,23.22,24.19,23.0,21.28,22.09,23.78,23.69,21.97,22.03,23.56,23.69,21.75,20.91,22.44,23.25,21.28,19.88,21.53,23.56,23.5,23.38,26.0,29.84,32.47,33.81,36.72,41.41,44.03,42.84,40.91,40.19,37.94,33.31,29.19,28.34,29.0,28.25,26.28,26.72,28.03,27.41,25.0,24.25,25.88,27.31,26.66,26.59,29.06,30.84,29.34,27.28,27.22,27.97,26.59,23.94,23.41,23.97,23.22,20.16,18.22,18.03,17.12,14.12,11.62,12.84,15.25,16.0,16.59,19.25,22.0,23.16,22.16,23.0,26.16,28.41,28.59,29.38,32.34,34.59,34.22,33.22,34.41,35.88,35.0,32.97,32.78,33.56,33.03,30.56,29.31,30.22,30.34,27.78,26.19,26.94,27.97,26.31,24.91,25.69,27.38,26.97,25.5,26.09,28.06,28.94,27.84,27.84,29.59,30.47,28.16,26.16,26.47,27.41,26.31,25.03,26.81,29.72,30.81,29.38,29.06,29.72,28.69,25.75,24.19,25.47,27.16,26.0,24.59,25.09,25.69,24.25,21.88,22.0,23.47,23.41,21.31,19.97,20.28,19.62,16.78,15.25,16.25,18.12,17.22,16.62,18.19,20.44,20.94,20.62,21.75,24.31,25.38,24.0,24.03,26.47,28.28,27.88,27.59,29.09,30.38,29.16,27.06,26.91,28.06,27.62,25.66,25.31,26.81,27.59,26.03,24.94,25.81,26.38,23.78,21.34,21.31,22.59,22.19,21.53,22.78,25.12,25.16,22.78,21.72,22.62,23.16,21.81,21.38,22.81,23.75,21.31,18.38,17.25,17.72,16.88,16.06,17.75,21.56,24.09,23.91,24.75,26.81,28.06,26.66,25.69,27.0,28.75,27.56,25.28,24.25,23.84,21.47,17.28,15.12,14.81,14.16,11.91,10.88,13.09,15.94,18.91,19.16,19.38,17.91,17.09,18.62,20.19,20.16,19.81,20.5,21.47,20.06,17.69,16.81:21.72,23.72,26.25,26.25,25.94,27.31,29.31,29.06,27.19,27.41,30.09,32.38,32.81,34.34,37.38,39.44,37.72,35.78,36.06,36.78,35.34,33.16,33.0,34.75,34.53,32.91,33.09,35.22,36.19,34.91,34.12,36.0,37.66,36.25,34.22,34.34,34.75,32.28,28.84,27.88,28.56,28.69,27.38,27.59,30.84,33.72,34.06,34.78,37.78,40.66,40.44,39.25,40.62,43.06,42.53,40.88,40.5,41.88,42.03,40.47,39.81,41.59,42.81,40.88,39.09,39.69,40.66,39.22,36.75,36.62,37.59,36.16,33.41,32.22,33.25,33.91,32.56,31.78,33.66,35.09,34.03,33.19,34.75,36.84,36.72,34.44,33.25,33.38,31.62,28.47,26.5,27.06,26.47,23.16,20.22,20.0,19.84,17.66,14.84,15.06,16.25,15.34,13.72,14.41,17.16,18.69,18.19,18.88,21.66,23.47,22.22,21.16,22.16,23.5,22.47,20.53,20.66,22.25,22.22,20.81,21.38,24.19,25.91,25.66,26.31,28.94,30.91,30.09,28.91,29.94,31.41,31.31,29.97,30.78,33.41,34.25,33.38,33.0,34.84,35.38,33.84,32.06,32.84,33.31,31.0,28.12,28.62,30.53,31.56,32.0,34.69,39.38,41.97,42.28,43.16,46.06,47.66,46.31,44.81,45.25,45.22,42.25,37.97,35.78,34.72,32.09,28.66,27.59,28.97,29.31,27.44,26.03,26.44,26.31,23.66,21.19,21.78,23.03,22.47,20.66,20.94,22.66,23.5,22.75,23.41,26.16,27.84,27.03,26.28,28.66,30.59,29.62,27.81,27.44,27.09,24.72,21.19,19.75,20.44,20.22,18.03,16.62,17.94,18.53,17.44,17.09,20.31,24.5,26.94,28.59,31.66,35.22,35.5,33.12,31.38,31.0,29.31,24.97,22.0,21.66,21.78,20.09,18.91,21.0,24.16,25.5,25.06,26.88,29.41,30.38,29.72,31.03,34.34,36.97,36.06,34.75,35.12,35.31,33.0,30.53,31.16,32.47,31.69,29.5,28.5,29.16,28.44,25.75,24.91,27.12,29.53,29.81,30.5,33.5,36.25,35.66,34.12,34.69,36.06,35.47,33.47,32.94,34.47,35.16,33.62,33.22,35.5,37.03,35.66,34.38,35.16,36.28,34.81,32.44,32.12,32.78,32.16,30.16,29.34,30.22,30.28,27.41,25.0,25.09,25.31,23.91,22.72,24.66,27.81,29.69,30.19,32.75,36.19,38.34,38.0,38.31,40.72,41.94,40.03,37.78,37.5,37.09,34.22,30.91,30.12,30.66,29.41,27.0,26.81,28.78,30.22,29.59,29.94,31.72,32.41,30.16,28.25,28.72,30.78,30.5,29.25,29.81,30.72,29.16,25.72,23.38,23.31,23.19,21.38,20.62,22.38,24.06,23.31,22.0,23.47,25.19,24.62,22.53,21.69,22.22,22.19,20.97,22.19,26.28,30.41,31.88,32.81,34.75,35.72,33.44,30.03,28.78,29.06,27.91,25.56,24.25,24.62,23.09,19.34,16.75,17.0,17.94,16.59,16.22,18.25,21.0,21.28,21.12,22.72,25.97,27.25,27.38,28.44,31.44,32.91,31.81,30.94,31.47,32.09,30.25,28.09,28.06,29.09,28.16,26.0,25.59,26.75,26.03,23.59,21.66,22.12,22.22,20.16,18.38,18.75,19.84,18.31,16.56,17.0,19.09,19.97,19.88,21.53,25.75,28.78,29.69,30.81,33.53,35.12,33.88,31.97,32.38,33.38,32.66,31.28,31.59,33.16,32.81,30.44,28.94,28.84,27.69,23.38,19.78,18.53,17.66,15.69,14.44,15.88,19.28,20.69,20.62,22.12,24.5,24.59,22.0,19.75,19.62,19.56,17.62,17.0,19.75,23.22,24.75,25.41,27.12,28.81,27.5,24.06,21.06,19.75,17.69,13.44,10.31,10.38,11.06,10.69,10.84,14.44,19.06,21.41,22.84,26.0,30.72,32.72,32.06,32.03,33.09,32.72,29.66,27.34,27.53,27.5,24.5,20.81,19.09,17.81,15.28,11.72,10.06,10.78,10.94,9.78,9.97,13.0,15.16,14.28,12.78,13.44,14.5,12.97,11.0,11.41,12.56,12.19,10.41,10.81,14.0,15.78,16.34,17.41,20.44,22.88,22.38,21.0,22.06,23.75,23.56,22.94,24.97,28.28,30.03,30.41,31.16,34.0,36.09,35.47,32.56,31.38,28.69,22.91,16.44,13.31,12.25,9.38,5.12,2.78,2.81,2.59,1.69,2.94,7.34,11.25,11.91,12.47,15.06,17.53,17.62,17.41,19.84,23.44,25.28,25.34,25.94,27.22,26.28,22.28,18.59,17.44,16.09,13.22,10.5,10.88,12.75,12.88,12.69,15.34,20.47,23.94,24.28,25.0,26.78,26.12,23.09,21.09,22.38,24.19,23.38,21.94,23.16,24.78,23.69,20.91,19.28,18.97,17.12,14.09,12.75,14.28,15.75,15.12,14.62,16.44,18.5,17.78,16.0,16.66,18.34,18.34,16.91,17.12,19.62,20.62,19.47,19.88,22.69,25.59,25.81,25.81,28.03,29.25,25.66,20.84,18.41,17.34,16.44,15.47,16.47,19.03,20.12,18.06,16.31,17.41,18.88,18.59,18.53,21.09,24.62,26.22,26.47,28.88,32.25,34.06,33.09,32.38,32.47,30.84,25.62,19.84,17.19,14.88,10.88,6.97,5.94,6.41,5.69,3.97,5.47,10.06,14.75,18.0,23.03,29.91,35.84,37.09,36.34,36.19,36.34,33.38,30.19,29.81,30.66,29.62,25.88,23.41,22.84,21.91,19.09,17.31,18.38,19.44,18.09,15.78,15.81,16.22,14.62,11.53,11.06,13.16,14.5,14.28,15.44,19.19,21.69,21.12,20.38,21.56,22.66,21.44,19.72,20.16,21.84,21.03,18.0,16.34,16.84,16.72,15.06,15.84,19.88,24.06,25.88,27.25,30.06,32.44,31.19,28.38,27.12,27.31,25.5,22.09,20.78,21.81,22.25,21.41,21.38,23.62,25.78,24.31,22.38,22.06,22.75,21.69,19.88,19.81,21.5,21.91,19.81,19.25,20.28,20.62,18.16,16.09,17.25,19.56,19.81,20.16,22.47,25.31,25.31,23.03,21.66,21.69,20.28,17.31,15.59,17.12,18.88,18.19,17.84,20.19,23.34,24.38,24.91,27.28,30.84,31.75,29.91,28.94,29.34,28.62,25.56,23.25,24.03,25.5,24.34,23.03,23.81,24.59,22.56,19.38,18.28,19.56,19.56,17.66,17.0,18.31,18.94,17.28,16.03,17.28,18.19,16.38,13.72,13.28,14.75,14.16,12.94,13.56,15.84,17.22,16.12,15.38,17.53,19.22,18.56,18.44,21.12,24.97,25.59,25.25,26.31,28.66,28.41,26.75,26.16,27.72,27.78,25.03,22.62,22.66,22.62,20.19,18.22,19.03,21.22,21.19,19.81,20.59,22.94,23.25,21.62,21.16,23.0,24.5,23.94,23.94,26.53,28.72,27.88,25.81,26.22,27.59,26.62,24.69,24.0,25.12,24.78,22.94,22.19,24.56,26.53,25.97,25.34,27.44,29.31,28.62,27.16,27.66,29.75,29.84,29.03,29.72,32.56,33.78,32.91,32.38,33.59,33.88,30.53,25.69,23.12,21.31,17.44,13.59,12.94,14.16,14.19,13.16,13.69,16.81,19.53,20.41,21.53,25.06,28.41,28.69,27.41,28.56,30.62,30.16,28.44,28.62,30.22,30.19,27.72,26.0,26.69,26.81,24.66,22.84,23.25,23.72,21.75,18.78,18.59,20.41,20.78,20.03,21.12,24.09,25.62,24.62,23.84,25.28,25.84,23.62,21.03,21.09,21.78,20.28,18.19,18.44,20.25,20.81,19.88,20.53,22.72,24.03,22.62,21.78,23.22,24.19,23.0,21.28,22.09,23.78,23.69,21.97,22.03,23.56,23.69,21.75,20.91,22.44,23.25,21.28,19.88,21.53,23.56,23.5,23.38,26.0,29.84,32.47,33.81,36.72,41.41,44.03,42.84,40.91,40.19,37.94,33.31,29.19,28.34,29.0,28.25,26.28,26.72,28.03,27.41,25.0,24.25,25.88,27.31,26.66,26.59,29.06,30.84,29.34,27.28,27.22,27.97,26.59,23.94,23.41,23.97,23.22,20.16,18.22,18.03,17.12,14.12,11.62,12.84,15.25,16.0,16.59,19.25,22.0,23.16,22.16,23.0,26.16,28.41,28.59,29.38,32.34,34.59,34.22,33.22,34.41,35.88,35.0,32.97,32.78,33.56,33.03,30.56,29.31,30.22,30.34,27.78,26.19,26.94,27.97,26.31,24.91,25.69,27.38,26.97,25.5,26.09,28.06,28.94,27.84,27.84,29.59,30.47,28.16,26.16,26.47,27.41,26.31,25.03,26.81,29.72,30.81,29.38,29.06,29.72,28.69,25.75,24.19,25.47,27.16,26.0,24.59,25.09,25.69,24.25,21.88,22.0,23.47,23.41,21.31,19.97,20.28,19.62,16.78,15.25,16.25,18.12,17.22,16.62,18.19,20.44,20.94,20.62,21.75,24.31,25.38,24.0,24.03,26.47,28.28,27.88,27.59,29.09,30.38,29.16,27.06,26.91,28.06,27.62,25.66,25.31,26.81,27.59,26.03,24.94,25.81,26.38,23.78,21.34,21.31,22.59,22.19,21.53,22.78,25.12,25.16,22.78,21.72,22.62,23.16,21.81,21.38,22.81,23.75,21.31,18.38,17.25,17.72,16.88,16.06,17.75,21.56,24.09,23.91,24.75,26.81,28.06,26.66,25.69,27.0,28.75,27.56,25.28,24.25,23.84,21.47,17.28,15.12,14.81,14.16,11.91,10.88,13.09,15.94,18.91,19.16,19.38,17.91,17.09,18.62,20.19,20.16,19.81,20.5,21.47,20.06,17.69,16.81,17.19,16.62,14.44,13.5,14.06,14.38,13.16:29.06,27.19,27.41,30.09,32.38,32.81,34.34,37.38,39.44,37.72,35.78,36.06,36.78,35.34,33.16,33.0,34.75,34.53,32.91,33.09,35.22,36.19,34.91,34.12,36.0,37.66,36.25,34.22,34.34,34.75,32.28,28.84,27.88,28.56,28.69,27.38,27.59,30.84,33.72,34.06,34.78,37.78,40.66,40.44,39.25,40.62,43.06,42.53,40.88,40.5,41.88,42.03,40.47,39.81,41.59,42.81,40.88,39.09,39.69,40.66,39.22,36.75,36.62,37.59,36.16,33.41,32.22,33.25,33.91,32.56,31.78,33.66,35.09,34.03,33.19,34.75,36.84,36.72,34.44,33.25,33.38,31.62,28.47,26.5,27.06,26.47,23.16,20.22,20.0,19.84,17.66,14.84,15.06,16.25,15.34,13.72,14.41,17.16,18.69,18.19,18.88,21.66,23.47,22.22,21.16,22.16,23.5,22.47,20.53,20.66,22.25,22.22,20.81,21.38,24.19,25.91,25.66,26.31,28.94,30.91,30.09,28.91,29.94,31.41,31.31,29.97,30.78,33.41,34.25,33.38,33.0,34.84,35.38,33.84,32.06,32.84,33.31,31.0,28.12,28.62,30.53,31.56,32.0,34.69,39.38,41.97,42.28,43.16,46.06,47.66,46.31,44.81,45.25,45.22,42.25,37.97,35.78,34.72,32.09,28.66,27.59,28.97,29.31,27.44,26.03,26.44,26.31,23.66,21.19,21.78,23.03,22.47,20.66,20.94,22.66,23.5,22.75,23.41,26.16,27.84,27.03,26.28,28.66,30.59,29.62,27.81,27.44,27.09,24.72,21.19,19.75,20.44,20.22,18.03,16.62,17.94,18.53,17.44,17.09,20.31,24.5,26.94,28.59,31.66,35.22,35.5,33.12,31.38,31.0,29.31,24.97,22.0,21.66,21.78,20.09,18.91,21.0,24.16,25.5,25.06,26.88,29.41,30.38,29.72,31.03,34.34,36.97,36.06,34.75,35.12,35.31,33.0,30.53,31.16,32.47,31.69,29.5,28.5,29.16,28.44,25.75,24.91,27.12,29.53,29.81,30.5,33.5,36.25,35.66,34.12,34.69,36.06,35.47,33.47,32.94,34.47,35.16,33.62,33.22,35.5,37.03,35.66,34.38,35.16,36.28,34.81,32.44,32.12,32.78,32.16,30.16,29.34,30.22,30.28,27.41,25.0,25.09,25.31,23.91,22.72,24.66,27.81,29.69,30.19,32.75,36.19,38.34,38.0,38.31,40.72,41.94,40.03,37.78,37.5,37.09,34.22,30.91,30.12,30.66,29.41,27.0,26.81,28.78,30.22,29.59,29.94,31.72,32.41,30.16,28.25,28.72,30.78,30.5,29.25,29.81,30.72,29.16,25.72,23.38,23.31,23.19,21.38,20.62,22.38,24.06,23.31,22.0,23.47,25.19,24.62,22.53,21.69,22.22,22.19,20.97,22.19,26.28,30.41,31.88,32.81,34.75,35.72,33.44,30.03,28.78,29.06,27.91,25.56,24.25,24.62,23.09,19.34,16.75,17.0,17.94,16.59,16.22,18.25,21.0,21.28,21.12,22.72,25.97,27.25,27.38,28.44,31.44,32.91,31.81,30.94,31.47,32.09,30.25,28.09,28.06,29.09,28.16,26.0,25.59,26.75,26.03,23.59,21.66,22.12,22.22,20.16,18.38,18.75,19.84,18.31,16.56,17.0,19.09,19.97,19.88,21.53,25.75,28.78,29.69,30.81,33.53,35.12,33.88,31.97,32.38,33.38,32.66,31.28,31.59,33.16,32.81,30.44,28.94,28.84,27.69,23.38,19.78,18.53,17.66,15.69,14.44,15.88,19.28,20.69,20.62,22.12,24.5,24.59,22.0,19.75,19.62,19.56,17.62,17.0,19.75,23.22,24.75,25.41,27.12,28.81,27.5,24.06,21.06,19.75,17.69,13.44,10.31,10.38,11.06,10.69,10.84,14.44,19.06,21.41,22.84,26.0,30.72,32.72,32.06,32.03,33.09,32.72,29.66,27.34,27.53,27.5,24.5,20.81,19.09,17.81,15.28,11.72,10.06,10.78,10.94,9.78,9.97,13.0,15.16,14.28,12.78,13.44,14.5,12.97,11.0,11.41,12.56,12.19,10.41,10.81,14.0,15.78,16.34,17.41,20.44,22.88,22.38,21.0,22.06,23.75,23.56,22.94,24.97,28.28,30.03,30.41,31.16,34.0,36.09,35.47,32.56,31.38,28.69,22.91,16.44,13.31,12.25,9.38,5.12,2.78,2.81,2.59,1.69,2.94,7.34,11.25,11.91,12.47,15.06,17.53,17.62,17.41,19.84,23.44,25.28,25.34,25.94,27.22,26.28,22.28,18.59,17.44,16.09,13.22,10.5,10.88,12.75,12.88,12.69,15.34,20.47,23.94,24.28,25.0,26.78,26.12,23.09,21.09,22.38,24.19,23.38,21.94,23.16,24.78,23.69,20.91,19.28,18.97,17.12,14.09,12.75,14.28,15.75,15.12,14.62,16.44,18.5,17.78,16.0,16.66,18.34,18.34,16.91,17.12,19.62,20.62,19.47,19.88,22.69,25.59,25.81,25.81,28.03,29.25,25.66,20.84,18.41,17.34,16.44,15.47,16.47,19.03,20.12,18.06,16.31,17.41,18.88,18.59,18.53,21.09,24.62,26.22,26.47,28.88,32.25,34.06,33.09,32.38,32.47,30.84,25.62,19.84,17.19,14.88,10.88,6.97,5.94,6.41,5.69,3.97,5.47,10.06,14.75,18.0,23.03,29.91,35.84,37.09,36.34,36.19,36.34,33.38,30.19,29.81,30.66,29.62,25.88,23.41,22.84,21.91,19.09,17.31,18.38,19.44,18.09,15.78,15.81,16.22,14.62,11.53,11.06,13.16,14.5,14.28,15.44,19.19,21.69,21.12,20.38,21.56,22.66,21.44,19.72,20.16,21.84,21.03,18.0,16.34,16.84,16.72,15.06,15.84,19.88,24.06,25.88,27.25,30.06,32.44,31.19,28.38,27.12,27.31,25.5,22.09,20.78,21.81,22.25,21.41,21.38,23.62,25.78,24.31,22.38,22.06,22.75,21.69,19.88,19.81,21.5,21.91,19.81,19.25,20.28,20.62,18.16,16.09,17.25,19.56,19.81,20.16,22.47,25.31,25.31,23.03,21.66,21.69,20.28,17.31,15.59,17.12,18.88,18.19,17.84,20.19,23.34,24.38,24.91,27.28,30.84,31.75,29.91,28.94,29.34,28.62,25.56,23.25,24.03,25.5,24.34,23.03,23.81,24.59,22.56,19.38,18.28,19.56,19.56,17.66,17.0,18.31,18.94,17.28,16.03,17.28,18.19,16.38,13.72,13.28,14.75,14.16,12.94,13.56,15.84,17.22,16.12,15.38,17.53,19.22,18.56,18.44,21.12,24.97,25.59,25.25,26.31,28.66,28.41,26.75,26.16,27.72,27.78,25.03,22.62,22.66,22.62,20.19,18.22,19.03,21.22,21.19,19.81,20.59,22.94,23.25,21.62,21.16,23.0,24.5,23.94,23.94,26.53,28.72,27.88,25.81,26.22,27.59,26.62,24.69,24.0,25.12,24.78,22.94,22.19,24.56,26.53,25.97,25.34,27.44,29.31,28.62,27.16,27.66,29.75,29.84,29.03,29.72,32.56,33.78,32.91,32.38,33.59,33.88,30.53,25.69,23.12,21.31,17.44,13.59,12.94,14.16,14.19,13.16,13.69,16.81,19.53,20.41,21.53,25.06,28.41,28.69,27.41,28.56,30.62,30.16,28.44,28.62,30.22,30.19,27.72,26.0,26.69,26.81,24.66,22.84,23.25,23.72,21.75,18.78,18.59,20.41,20.78,20.03,21.12,24.09,25.62,24.62,23.84,25.28,25.84,23.62,21.03,21.09,21.78,20.28,18.19,18.44,20.25,20.81,19.88,20.53,22.72,24.03,22.62,21.78,23.22,24.19,23.0,21.28,22.09,23.78,23.69,21.97,22.03,23.56,23.69,21.75,20.91,22.44,23.25,21.28,19.88,21.53,23.56,23.5,23.38,26.0,29.84,32.47,33.81,36.72,41.41,44.03,42.84,40.91,40.19,37.94,33.31,29.19,28.34,29.0,28.25,26.28,26.72,28.03,27.41,25.0,24.25,25.88,27.31,26.66,26.59,29.06,30.84,29.34,27.28,27.22,27.97,26.59,23.94,23.41,23.97,23.22,20.16,18.22,18.03,17.12,14.12,11.62,12.84,15.25,16.0,16.59,19.25,22.0,23.16,22.16,23.0,26.16,28.41,28.59,29.38,32.34,34.59,34.22,33.22,34.41,35.88,35.0,32.97,32.78,33.56,33.03,30.56,29.31,30.22,30.34,27.78,26.19,26.94,27.97,26.31,24.91,25.69,27.38,26.97,25.5,26.09,28.06,28.94,27.84,27.84,29.59,30.47,28.16,26.16,26.47,27.41,26.31,25.03,26.81,29.72,30.81,29.38,29.06,29.72,28.69,25.75,24.19,25.47,27.16,26.0,24.59,25.09,25.69,24.25,21.88,22.0,23.47,23.41,21.31,19.97,20.28,19.62,16.78,15.25,16.25,18.12,17.22,16.62,18.19,20.44,20.94,20.62,21.75,24.31,25.38,24.0,24.03,26.47,28.28,27.88,27.59,29.09,30.38,29.16,27.06,26.91,28.06,27.62,25.66,25.31,26.81,27.59,26.03,24.94,25.81,26.38,23.78,21.34,21.31,22.59,22.19,21.53,22.78,25.12,25.16,22.78,21.72,22.62,23.16,21.81,21.38,22.81,23.75,21.31,18.38,17.25,17.72,16.88,16.06,17.75,21.56,24.09,23.91,24.75,26.81,28.06,26.66,25.69,27.0,28.75,27.56,25.28,24.25,23.84,21.47,17.28,15.12,14.81,14.16,11.91,10.88,13.09,15.94,18.91,19.16,19.38,17.91,17.09,18.62,20.19,20.16,19.81,20.5,21.47,20.06,17.69,16.81,17.19,16.62,14.44,13.5,14.06,14.38,13.16,12.75,14.16,15.88,15.69,15.5,16.25,17.56:37.38,39.44,37.72,35.78,36.06,36.78,35.34,33.16,33.0,34.75,34.53,32.91,33.09,35.22,36.19,34.91,34.12,36.0,37.66,36.25,34.22,34.34,34.75,32.28,28.84,27.88,28.56,28.69,27.38,27.59,30.84,33.72,34.06,34.78,37.78,40.66,40.44,39.25,40.62,43.06,42.53,40.88,40.5,41.88,42.03,40.47,39.81,41.59,42.81,40.88,39.09,39.69,40.66,39.22,36.75,36.62,37.59,36.16,33.41,32.22,33.25,33.91,32.56,31.78,33.66,35.09,34.03,33.19,34.75,36.84,36.72,34.44,33.25,33.38,31.62,28.47,26.5,27.06,26.47,23.16,20.22,20.0,19.84,17.66,14.84,15.06,16.25,15.34,13.72,14.41,17.16,18.69,18.19,18.88,21.66,23.47,22.22,21.16,22.16,23.5,22.47,20.53,20.66,22.25,22.22,20.81,21.38,24.19,25.91,25.66,26.31,28.94,30.91,30.09,28.91,29.94,31.41,31.31,29.97,30.78,33.41,34.25,33.38,33.0,34.84,35.38,33.84,32.06,32.84,33.31,31.0,28.12,28.62,30.53,31.56,32.0,34.69,39.38,41.97,42.28,43.16,46.06,47.66,46.31,44.81,45.25,45.22,42.25,37.97,35.78,34.72,32.09,28.66,27.59,28.97,29.31,27.44,26.03,26.44,26.31,23.66,21.19,21.78,23.03,22.47,20.66,20.94,22.66,23.5,22.75,23.41,26.16,27.84,27.03,26.28,28.66,30.59,29.62,27.81,27.44,27.09,24.72,21.19,19.75,20.44,20.22,18.03,16.62,17.94,18.53,17.44,17.09,20.31,24.5,26.94,28.59,31.66,35.22,35.5,33.12,31.38,31.0,29.31,24.97,22.0,21.66,21.78,20.09,18.91,21.0,24.16,25.5,25.06,26.88,29.41,30.38,29.72,31.03,34.34,36.97,36.06,34.75,35.12,35.31,33.0,30.53,31.16,32.47,31.69,29.5,28.5,29.16,28.44,25.75,24.91,27.12,29.53,29.81,30.5,33.5,36.25,35.66,34.12,34.69,36.06,35.47,33.47,32.94,34.47,35.16,33.62,33.22,35.5,37.03,35.66,34.38,35.16,36.28,34.81,32.44,32.12,32.78,32.16,30.16,29.34,30.22,30.28,27.41,25.0,25.09,25.31,23.91,22.72,24.66,27.81,29.69,30.19,32.75,36.19,38.34,38.0,38.31,40.72,41.94,40.03,37.78,37.5,37.09,34.22,30.91,30.12,30.66,29.41,27.0,26.81,28.78,30.22,29.59,29.94,31.72,32.41,30.16,28.25,28.72,30.78,30.5,29.25,29.81,30.72,29.16,25.72,23.38,23.31,23.19,21.38,20.62,22.38,24.06,23.31,22.0,23.47,25.19,24.62,22.53,21.69,22.22,22.19,20.97,22.19,26.28,30.41,31.88,32.81,34.75,35.72,33.44,30.03,28.78,29.06,27.91,25.56,24.25,24.62,23.09,19.34,16.75,17.0,17.94,16.59,16.22,18.25,21.0,21.28,21.12,22.72,25.97,27.25,27.38,28.44,31.44,32.91,31.81,30.94,31.47,32.09,30.25,28.09,28.06,29.09,28.16,26.0,25.59,26.75,26.03,23.59,21.66,22.12,22.22,20.16,18.38,18.75,19.84,18.31,16.56,17.0,19.09,19.97,19.88,21.53,25.75,28.78,29.69,30.81,33.53,35.12,33.88,31.97,32.38,33.38,32.66,31.28,31.59,33.16,32.81,30.44,28.94,28.84,27.69,23.38,19.78,18.53,17.66,15.69,14.44,15.88,19.28,20.69,20.62,22.12,24.5,24.59,22.0,19.75,19.62,19.56,17.62,17.0,19.75,23.22,24.75,25.41,27.12,28.81,27.5,24.06,21.06,19.75,17.69,13.44,10.31,10.38,11.06,10.69,10.84,14.44,19.06,21.41,22.84,26.0,30.72,32.72,32.06,32.03,33.09,32.72,29.66,27.34,27.53,27.5,24.5,20.81,19.09,17.81,15.28,11.72,10.06,10.78,10.94,9.78,9.97,13.0,15.16,14.28,12.78,13.44,14.5,12.97,11.0,11.41,12.56,12.19,10.41,10.81,14.0,15.78,16.34,17.41,20.44,22.88,22.38,21.0,22.06,23.75,23.56,22.94,24.97,28.28,30.03,30.41,31.16,34.0,36.09,35.47,32.56,31.38,28.69,22.91,16.44,13.31,12.25,9.38,5.12,2.78,2.81,2.59,1.69,2.94,7.34,11.25,11.91,12.47,15.06,17.53,17.62,17.41,19.84,23.44,25.28,25.34,25.94,27.22,26.28,22.28,18.59,17.44,16.09,13.22,10.5,10.88,12.75,12.88,12.69,15.34,20.47,23.94,24.28,25.0,26.78,26.12,23.09,21.09,22.38,24.19,23.38,21.94,23.16,24.78,23.69,20.91,19.28,18.97,17.12,14.09,12.75,14.28,15.75,15.12,14.62,16.44,18.5,17.78,16.0,16.66,18.34,18.34,16.91,17.12,19.62,20.62,19.47,19.88,22.69,25.59,25.81,25.81,28.03,29.25,25.66,20.84,18.41,17.34,16.44,15.47,16.47,19.03,20.12,18.06,16.31,17.41,18.88,18.59,18.53,21.09,24.62,26.22,26.47,28.88,32.25,34.06,33.09,32.38,32.47,30.84,25.62,19.84,17.19,14.88,10.88,6.97,5.94,6.41,5.69,3.97,5.47,10.06,14.75,18.0,23.03,29.91,35.84,37.09,36.34,36.19,36.34,33.38,30.19,29.81,30.66,29.62,25.88,23.41,22.84,21.91,19.09,17.31,18.38,19.44,18.09,15.78,15.81,16.22,14.62,11.53,11.06,13.16,14.5,14.28,15.44,19.19,21.69,21.12,20.38,21.56,22.66,21.44,19.72,20.16,21.84,21.03,18.0,16.34,16.84,16.72,15.06,15.84,19.88,24.06,25.88,27.25,30.06,32.44,31.19,28.38,27.12,27.31,25.5,22.09,20.78,21.81,22.25,21.41,21.38,23.62,25.78,24.31,22.38,22.06,22.75,21.69,19.88,19.81,21.5,21.91,19.81,19.25,20.28,20.62,18.16,16.09,17.25,19.56,19.81,20.16,22.47,25.31,25.31,23.03,21.66,21.69,20.28,17.31,15.59,17.12,18.88,18.19,17.84,20.19,23.34,24.38,24.91,27.28,30.84,31.75,29.91,28.94,29.34,28.62,25.56,23.25,24.03,25.5,24.34,23.03,23.81,24.59,22.56,19.38,18.28,19.56,19.56,17.66,17.0,18.31,18.94,17.28,16.03,17.28,18.19,16.38,13.72,13.28,14.75,14.16,12.94,13.56,15.84,17.22,16.12,15.38,17.53,19.22,18.56,18.44,21.12,24.97,25.59,25.25,26.31,28.66,28.41,26.75,26.16,27.72,27.78,25.03,22.62,22.66,22.62,20.19,18.22,19.03,21.22,21.19,19.81,20.59,22.94,23.25,21.62,21.16,23.0,24.5,23.94,23.94,26.53,28.72,27.88,25.81,26.22,27.59,26.62,24.69,24.0,25.12,24.78,22.94,22.19,24.56,26.53,25.97,25.34,27.44,29.31,28.62,27.16,27.66,29.75,29.84,29.03,29.72,32.56,33.78,32.91,32.38,33.59,33.88,30.53,25.69,23.12,21.31,17.44,13.59,12.94,14.16,14.19,13.16,13.69,16.81,19.53,20.41,21.53,25.06,28.41,28.69,27.41,28.56,30.62,30.16,28.44,28.62,30.22,30.19,27.72,26.0,26.69,26.81,24.66,22.84,23.25,23.72,21.75,18.78,18.59,20.41,20.78,20.03,21.12,24.09,25.62,24.62,23.84,25.28,25.84,23.62,21.03,21.09,21.78,20.28,18.19,18.44,20.25,20.81,19.88,20.53,22.72,24.03,22.62,21.78,23.22,24.19,23.0,21.28,22.09,23.78,23.69,21.97,22.03,23.56,23.69,21.75,20.91,22.44,23.25,21.28,19.88,21.53,23.56,23.5,23.38,26.0,29.84,32.47,33.81,36.72,41.41,44.03,42.84,40.91,40.19,37.94,33.31,29.19,28.34,29.0,28.25,26.28,26.72,28.03,27.41,25.0,24.25,25.88,27.31,26.66,26.59,29.06,30.84,29.34,27.28,27.22,27.97,26.59,23.94,23.41,23.97,23.22,20.16,18.22,18.03,17.12,14.12,11.62,12.84,15.25,16.0,16.59,19.25,22.0,23.16,22.16,23.0,26.16,28.41,28.59,29.38,32.34,34.59,34.22,33.22,34.41,35.88,35.0,32.97,32.78,33.56,33.03,30.56,29.31,30.22,30.34,27.78,26.19,26.94,27.97,26.31,24.91,25.69,27.38,26.97,25.5,26.09,28.06,28.94,27.84,27.84,29.59,30.47,28.16,26.16,26.47,27.41,26.31,25.03,26.81,29.72,30.81,29.38,29.06,29.72,28.69,25.75,24.19,25.47,27.16,26.0,24.59,25.09,25.69,24.25,21.88,22.0,23.47,23.41,21.31,19.97,20.28,19.62,16.78,15.25,16.25,18.12,17.22,16.62,18.19,20.44,20.94,20.62,21.75,24.31,25.38,24.0,24.03,26.47,28.28,27.88,27.59,29.09,30.38,29.16,27.06,26.91,28.06,27.62,25.66,25.31,26.81,27.59,26.03,24.94,25.81,26.38,23.78,21.34,21.31,22.59,22.19,21.53,22.78,25.12,25.16,22.78,21.72,22.62,23.16,21.81,21.38,22.81,23.75,21.31,18.38,17.25,17.72,16.88,16.06,17.75,21.56,24.09,23.91,24.75,26.81,28.06,26.66,25.69,27.0,28.75,27.56,25.28,24.25,23.84,21.47,17.28,15.12,14.81,14.16,11.91,10.88,13.09,15.94,18.91,19.16,19.38,17.91,17.09,18.62,20.19,20.16,19.81,20.5,21.47,20.06,17.69,16.81,17.19,16.62,14.44,13.5,14.06,14.38,13.16,12.75,14.16,15.88,15.69,15.5,16.25,17.56,17.12,15.91,16.12,18.16,20.03,20.28,21.19:33.16,33.0,34.75,34.53,32.91,33.09,35.22,36.19,34.91,34.12,36.0,37.66,36.25,34.22,34.34,34.75,32.28,28.84,27.88,28.56,28.69,27.38,27.59,30.84,33.72,34.06,34.78,37.78,40.66,40.44,39.25,40.62,43.06,42.53,40.88,40.5,41.88,42.03,40.47,39.81,41.59,42.81,40.88,39.09,39.69,40.66,39.22,36.75,36.62,37.59,36.16,33.41,32.22,33.25,33.91,32.56,31.78,33.66,35.09,34.03,33.19,34.75,36.84,36.72,34.44,33.25,33.38,31.62,28.47,26.5,27.06,26.47,23.16,20.22,20.0,19.84,17.66,14.84,15.06,16.25,15.34,13.72,14.41,17.16,18.69,18.19,18.88,21.66,23.47,22.22,21.16,22.16,23.5,22.47,20.53,20.66,22.25,22.22,20.81,21.38,24.19,25.91,25.66,26.31,28.94,30.91,30.09,28.91,29.94,31.41,31.31,29.97,30.78,33.41,34.25,33.38,33.0,34.84,35.38,33.84,32.06,32.84,33.31,31.0,28.12,28.62,30.53,31.56,32.0,34.69,39.38,41.97,42.28,43.16,46.06,47.66,46.31,44.81,45.25,45.22,42.25,37.97,35.78,34.72,32.09,28.66,27.59,28.97,29.31,27.44,26.03,26.44,26.31,23.66,21.19,21.78,23.03,22.47,20.66,20.94,22.66,23.5,22.75,23.41,26.16,27.84,27.03,26.28,28.66,30.59,29.62,27.81,27.44,27.09,24.72,21.19,19.75,20.44,20.22,18.03,16.62,17.94,18.53,17.44,17.09,20.31,24.5,26.94,28.59,31.66,35.22,35.5,33.12,31.38,31.0,29.31,24.97,22.0,21.66,21.78,20.09,18.91,21.0,24.16,25.5,25.06,26.88,29.41,30.38,29.72,31.03,34.34,36.97,36.06,34.75,35.12,35.31,33.0,30.53,31.16,32.47,31.69,29.5,28.5,29.16,28.44,25.75,24.91,27.12,29.53,29.81,30.5,33.5,36.25,35.66,34.12,34.69,36.06,35.47,33.47,32.94,34.47,35.16,33.62,33.22,35.5,37.03,35.66,34.38,35.16,36.28,34.81,32.44,32.12,32.78,32.16,30.16,29.34,30.22,30.28,27.41,25.0,25.09,25.31,23.91,22.72,24.66,27.81,29.69,30.19,32.75,36.19,38.34,38.0,38.31,40.72,41.94,40.03,37.78,37.5,37.09,34.22,30.91,30.12,30.66,29.41,27.0,26.81,28.78,30.22,29.59,29.94,31.72,32.41,30.16,28.25,28.72,30.78,30.5,29.25,29.81,30.72,29.16,25.72,23.38,23.31,23.19,21.38,20.62,22.38,24.06,23.31,22.0,23.47,25.19,24.62,22.53,21.69,22.22,22.19,20.97,22.19,26.28,30.41,31.88,32.81,34.75,35.72,33.44,30.03,28.78,29.06,27.91,25.56,24.25,24.62,23.09,19.34,16.75,17.0,17.94,16.59,16.22,18.25,21.0,21.28,21.12,22.72,25.97,27.25,27.38,28.44,31.44,32.91,31.81,30.94,31.47,32.09,30.25,28.09,28.06,29.09,28.16,26.0,25.59,26.75,26.03,23.59,21.66,22.12,22.22,20.16,18.38,18.75,19.84,18.31,16.56,17.0,19.09,19.97,19.88,21.53,25.75,28.78,29.69,30.81,33.53,35.12,33.88,31.97,32.38,33.38,32.66,31.28,31.59,33.16,32.81,30.44,28.94,28.84,27.69,23.38,19.78,18.53,17.66,15.69,14.44,15.88,19.28,20.69,20.62,22.12,24.5,24.59,22.0,19.75,19.62,19.56,17.62,17.0,19.75,23.22,24.75,25.41,27.12,28.81,27.5,24.06,21.06,19.75,17.69,13.44,10.31,10.38,11.06,10.69,10.84,14.44,19.06,21.41,22.84,26.0,30.72,32.72,32.06,32.03,33.09,32.72,29.66,27.34,27.53,27.5,24.5,20.81,19.09,17.81,15.28,11.72,10.06,10.78,10.94,9.78,9.97,13.0,15.16,14.28,12.78,13.44,14.5,12.97,11.0,11.41,12.56,12.19,10.41,10.81,14.0,15.78,16.34,17.41,20.44,22.88,22.38,21.0,22.06,23.75,23.56,22.94,24.97,28.28,30.03,30.41,31.16,34.0,36.09,35.47,32.56,31.38,28.69,22.91,16.44,13.31,12.25,9.38,5.12,2.78,2.81,2.59,1.69,2.94,7.34,11.25,11.91,12.47,15.06,17.53,17.62,17.41,19.84,23.44,25.28,25.34,25.94,27.22,26.28,22.28,18.59,17.44,16.09,13.22,10.5,10.88,12.75,12.88,12.69,15.34,20.47,23.94,24.28,25.0,26.78,26.12,23.09,21.09,22.38,24.19,23.38,21.94,23.16,24.78,23.69,20.91,19.28,18.97,17.12,14.09,12.75,14.28,15.75,15.12,14.62,16.44,18.5,17.78,16.0,16.66,18.34,18.34,16.91,17.12,19.62,20.62,19.47,19.88,22.69,25.59,25.81,25.81,28.03,29.25,25.66,20.84,18.41,17.34,16.44,15.47,16.47,19.03,20.12,18.06,16.31,17.41,18.88,18.59,18.53,21.09,24.62,26.22,26.47,28.88,32.25,34.06,33.09,32.38,32.47,30.84,25.62,19.84,17.19,14.88,10.88,6.97,5.94,6.41,5.69,3.97,5.47,10.06,14.75,18.0,23.03,29.91,35.84,37.09,36.34,36.19,36.34,33.38,30.19,29.81,30.66,29.62,25.88,23.41,22.84,21.91,19.09,17.31,18.38,19.44,18.09,15.78,15.81,16.22,14.62,11.53,11.06,13.16,14.5,14.28,15.44,19.19,21.69,21.12,20.38,21.56,22.66,21.44,19.72,20.16,21.84,21.03,18.0,16.34,16.84,16.72,15.06,15.84,19.88,24.06,25.88,27.25,30.06,32.44,31.19,28.38,27.12,27.31,25.5,22.09,20.78,21.81,22.25,21.41,21.38,23.62,25.78,24.31,22.38,22.06,22.75,21.69,19.88,19.81,21.5,21.91,19.81,19.25,20.28,20.62,18.16,16.09,17.25,19.56,19.81,20.16,22.47,25.31,25.31,23.03,21.66,21.69,20.28,17.31,15.59,17.12,18.88,18.19,17.84,20.19,23.34,24.38,24.91,27.28,30.84,31.75,29.91,28.94,29.34,28.62,25.56,23.25,24.03,25.5,24.34,23.03,23.81,24.59,22.56,19.38,18.28,19.56,19.56,17.66,17.0,18.31,18.94,17.28,16.03,17.28,18.19,16.38,13.72,13.28,14.75,14.16,12.94,13.56,15.84,17.22,16.12,15.38,17.53,19.22,18.56,18.44,21.12,24.97,25.59,25.25,26.31,28.66,28.41,26.75,26.16,27.72,27.78,25.03,22.62,22.66,22.62,20.19,18.22,19.03,21.22,21.19,19.81,20.59,22.94,23.25,21.62,21.16,23.0,24.5,23.94,23.94,26.53,28.72,27.88,25.81,26.22,27.59,26.62,24.69,24.0,25.12,24.78,22.94,22.19,24.56,26.53,25.97,25.34,27.44,29.31,28.62,27.16,27.66,29.75,29.84,29.03,29.72,32.56,33.78,32.91,32.38,33.59,33.88,30.53,25.69,23.12,21.31,17.44,13.59,12.94,14.16,14.19,13.16,13.69,16.81,19.53,20.41,21.53,25.06,28.41,28.69,27.41,28.56,30.62,30.16,28.44,28.62,30.22,30.19,27.72,26.0,26.69,26.81,24.66,22.84,23.25,23.72,21.75,18.78,18.59,20.41,20.78,20.03,21.12,24.09,25.62,24.62,23.84,25.28,25.84,23.62,21.03,21.09,21.78,20.28,18.19,18.44,20.25,20.81,19.88,20.53,22.72,24.03,22.62,21.78,23.22,24.19,23.0,21.28,22.09,23.78,23.69,21.97,22.03,23.56,23.69,21.75,20.91,22.44,23.25,21.28,19.88,21.53,23.56,23.5,23.38,26.0,29.84,32.47,33.81,36.72,41.41,44.03,42.84,40.91,40.19,37.94,33.31,29.19,28.34,29.0,28.25,26.28,26.72,28.03,27.41,25.0,24.25,25.88,27.31,26.66,26.59,29.06,30.84,29.34,27.28,27.22,27.97,26.59,23.94,23.41,23.97,23.22,20.16,18.22,18.03,17.12,14.12,11.62,12.84,15.25,16.0,16.59,19.25,22.0,23.16,22.16,23.0,26.16,28.41,28.59,29.38,32.34,34.59,34.22,33.22,34.41,35.88,35.0,32.97,32.78,33.56,33.03,30.56,29.31,30.22,30.34,27.78,26.19,26.94,27.97,26.31,24.91,25.69,27.38,26.97,25.5,26.09,28.06,28.94,27.84,27.84,29.59,30.47,28.16,26.16,26.47,27.41,26.31,25.03,26.81,29.72,30.81,29.38,29.06,29.72,28.69,25.75,24.19,25.47,27.16,26.0,24.59,25.09,25.69,24.25,21.88,22.0,23.47,23.41,21.31,19.97,20.28,19.62,16.78,15.25,16.25,18.12,17.22,16.62,18.19,20.44,20.94,20.62,21.75,24.31,25.38,24.0,24.03,26.47,28.28,27.88,27.59,29.09,30.38,29.16,27.06,26.91,28.06,27.62,25.66,25.31,26.81,27.59,26.03,24.94,25.81,26.38,23.78,21.34,21.31,22.59,22.19,21.53,22.78,25.12,25.16,22.78,21.72,22.62,23.16,21.81,21.38,22.81,23.75,21.31,18.38,17.25,17.72,16.88,16.06,17.75,21.56,24.09,23.91,24.75,26.81,28.06,26.66,25.69,27.0,28.75,27.56,25.28,24.25,23.84,21.47,17.28,15.12,14.81,14.16,11.91,10.88,13.09,15.94,18.91,19.16,19.38,17.91,17.09,18.62,20.19,20.16,19.81,20.5,21.47,20.06,17.69,16.81,17.19,16.62,14.44,13.5,14.06,14.38,13.16,12.75,14.16,15.88,15.69,15.5,16.25,17.56,17.12,15.91,16.12,18.16,20.03,20.28,21.19,23.28,24.0,22.44,20.66,20.56,21.0,19.88:positivity
5.25,5.31,5.59,5.5,5.62,6.62,8.19,8.66,8.78,9.0,9.41,9.22,8.56,8.56,9.56,10.47,10.53,10.19,10.31,9.75,8.44,6.75,6.25,6.38,5.91,5.0,4.47,4.59,4.22,2.94,1.66,1.88,1.47,0.88,1.0,2.5,4.94,7.22,9.25,11.78,14.25,16.03,16.88,17.94,19.38,19.66,18.28,16.12,14.66,12.91,11.16,9.97,10.38,10.75,10.38,9.44,8.91,9.19,9.34,9.69,10.44,12.31,13.59,13.5,12.47,12.22,11.41,10.12,8.94,8.94,9.75,10.53,10.62,11.19,11.97,11.56,10.38,9.03,8.88,8.84,8.53,8.78,10.47,12.5,13.5,13.72,14.53,15.31,15.34,15.44,16.31,17.25,17.81,17.34,16.38,16.25,15.88,14.84,13.56,13.38,13.44,13.41,12.34,11.88,11.44,10.25,8.56,7.59,7.88,8.56,8.59,8.53,9.75,11.31,11.97,12.41,13.62,15.06,15.47,15.34,15.94,15.84,14.94,12.41,9.22,6.16,3.22,0.22,-2.41,-2.84,-2.09,-0.56,1.19,4.56,8.38,11.88,14.88,18.16,21.91,24.5,25.31,25.03,24.16,22.0,18.69,14.62,11.62,8.72,5.53,2.84,1.5,1.53,1.88,3.0,5.03,8.16,11.16,12.53,13.62,14.0,13.31,11.41,9.03,7.56,6.66,5.81,4.75,4.12,3.56,2.75,0.94,-0.44,-0.69,-0.22,-0.69,-0.56,0.59,2.22,3.91,5.84,8.59,12.16,15.12,17.47,19.62,21.97,24.0,24.88,25.28,26.03,26.44,24.94,22.94,20.94,19.03,15.94,12.66,9.69,6.91,3.69,0.59,-1.31,-2.06,-1.5,-0.47,1.66,4.69,8.12,10.31,12.06,13.53,15.28,16.5,17.09,17.94,18.41,18.66,17.69,16.66,16.06,15.38,13.59,11.31,9.38,7.53,4.78,1.75,-0.44,-1.62,-2.78,-3.66,-3.09,-1.47,0.84,2.94,5.09,7.47,8.94,8.97,8.03,7.41,6.91,6.22,5.69,6.09,7.41,7.84,8.06,8.69,9.69,10.56,10.53,10.38,10.59,11.19,10.84,10.75,10.78,11.62,11.88,11.81,12.22,13.0,13.16,12.03,10.16,8.19,6.12,3.12,0.53,-1.09,-1.84,-2.53,-2.59,-1.41,1.34,4.12,6.59,9.31,12.5,14.47,14.91,15.06,14.94,14.12,12.28,11.22,10.34,10.44,10.09,9.97,9.88,10.62,11.59,11.72,11.72,12.62,12.94,12.12,11.12,10.31,9.56,7.59,5.78,4.38,4.31,4.09,3.94,5.03,7.0,8.53,9.16,9.78,11.12,12.16,12.59,12.72,13.16,12.91,11.62,10.16,9.16,8.44,7.69,6.81,6.31,6.53,6.62,6.25,5.66,5.66,6.0,6.09,6.28,7.28,9.06,10.34,11.0,12.0,12.94,12.91,12.0,11.25,11.19,11.47,11.12,11.09,12.25,13.84,14.91,15.94,17.56,19.03,19.5,19.34,19.06,19.19,18.38,16.44,14.16,12.47,10.94,9.41,8.41,9.19,10.28,10.94,10.69,10.62,11.44,11.75,12.31,13.31,15.03,16.53,16.34,14.75,13.88,12.31,9.94,7.34,6.78,6.94,7.78,7.94,9.28,11.0,11.81,11.91,12.0,12.25,11.94,10.62,8.81,7.75,7.22,6.22,4.88,4.34,4.56,4.12,3.47,3.38,4.75,5.78,6.97,8.5,10.84,12.69,13.25,12.59,12.16,11.69,10.44,9.31,9.28,9.62,9.88,9.75,9.59,10.53,11.31,11.06,10.75,11.25,12.09,12.12,12.16,13.22,14.19,14.56,14.06,13.56,13.16,12.06,9.81,7.66,6.72,5.56,4.62,3.97,4.38,5.5,5.75,6.12,7.28,8.31,8.88,8.5,8.44,8.75,9.03,8.72,8.56,9.06,9.72,9.88,9.44,10.34,11.38,11.88,11.69,12.22,13.12,13.78,13.25,12.88,12.41,11.56,9.75,8.53,8.75,9.66,11.0,11.94,13.62,15.16,15.28,15.03,15.12,15.69,16.31,16.31,16.25,16.56,16.31,14.91,13.22,12.09,10.62,8.47,6.0,4.44,3.59,3.34,2.84,3.22,4.09,5.34,5.78,6.69,8.78,11.59,13.81,15.72,18.12,20.16,20.53,19.25,18.09,16.78,15.16,13.34,12.41,12.81,13.5,13.78,14.62,16.41,18.03,18.47,18.22,17.91,18.03,17.34,16.59,17.19,18.47,19.66,19.84,19.81,20.28,20.53,19.5,19.03,19.03,19.31,18.62,17.38,16.59,16.09,15.28,13.81,13.66,14.31,15.25,15.09,15.75,17.06,18.25,18.38,17.91,18.25,18.81,18.5,18.34,18.72,19.53,19.81,19.09,18.66,18.47,18.03,16.69,15.28,14.81,14.72,13.56,12.31,12.28,13.41,13.78,14.62,16.03,17.84,18.81,18.38,17.88,17.72,17.28,15.34,13.72,13.12,13.03,12.5,12.38,13.75,15.47,16.56,16.44,16.66,17.34,17.09,16.0,15.28,15.62,15.88,15.09,14.66,15.03,15.09,13.75,11.62,10.38,10.28,9.94,9.97,10.41,12.25,13.88,14.44,15.22,16.91,18.62,19.25,19.91,22.0,24.25,25.09,24.91,24.59,24.12,22.62,20.47,18.53,17.22,15.88,12.91,9.81,7.69,6.06,3.97,2.5,3.19,4.66,5.53,6.31,8.28,10.44,11.81,12.31,12.28,12.38,12.81,12.38,12.53,13.53,14.28,13.28,11.25,9.28,7.59,5.47,2.97,1.12,0.5,-0.44,-1.75,-2.69,-2.16,-0.78,-0.38,0.31,1.53,3.09,3.38,3.84,5.19,7.41,8.97,9.62,9.97,10.41,9.78,8.09,6.56,6.28,6.66,6.66,6.91,8.09,8.81,8.19,6.84,6.0,6.28,7.03,7.88,9.25,11.56,12.41,11.62,9.47,8.09,6.62,4.62,3.97,5.03,7.44,9.47,11.28,13.38,16.16,18.28,19.69,21.16,23.72,26.0,26.44,25.94,25.16,23.19,19.56,15.38,12.31,10.53,8.06,5.62,4.38,4.41,5.19,5.78,7.19,10.03,12.41,13.38,14.44,15.97,17.56,18.59,19.09,20.38,22.28,23.38,23.5,22.91,22.0,19.88,16.03,12.0,9.06,6.84,4.41,1.97,0.88,0.84,0.12,-0.22,0.78,2.78,4.41,5.56,6.69,8.75,10.09,10.44,10.19,10.97,11.12,10.31,9.53,10.03,11.62,13.0,13.91,15.09,16.81,16.78,15.81,14.09,13.12,11.91,10.16,8.78,8.78,9.78,10.38,10.69,12.0,13.25,13.44,12.38,11.66,11.41,10.47,8.84,7.59,7.25,6.91,5.91,5.22,5.66,6.31,6.91,6.88,7.69,8.91,9.44,9.41,9.75,11.16,12.47,13.81,15.09,17.41,18.78,18.91,18.09,16.84,15.06,12.66,9.66,7.88,7.44,6.59,5.41,4.25,3.31,1.5,-0.38,-1.5,-0.34,2.03,4.88,7.78,11.09,14.0,15.03,14.53,13.59,12.97,11.91,10.28,8.94,8.88,8.09,6.47,4.41,3.59,2.91,2.31,1.78,2.16,2.75,2.56,1.72,1.25,1.59,2.53,3.47,5.19,8.41,11.59,13.22,13.78,14.38,13.88,12.59,10.5,9.41,9.47,10.28,11.16,12.84,15.44,17.28,17.03,16.03,15.5,14.5,12.81,11.34,11.28,11.72,12.16,12.34,13.41,15.0,15.81,15.91,15.41,15.16,14.62,13.41,12.28,12.59,13.0,13.38,12.91,13.09,13.41,12.88,11.53,10.84,10.66,10.22,9.25,8.72,9.12,9.47,8.84,8.53,8.81,9.78,10.5,11.38,12.88,14.44,15.19,15.12,15.25,16.09,16.5,15.81,14.5,13.38,11.62,9.06,6.62,5.09,4.53,4.06,3.44,4.09,5.16,6.38,7.06,7.56,8.59,9.06,8.06,6.75,6.44,6.41,6.47,6.91,8.44,10.38,11.66,11.88,12.22,12.72,13.09,12.91,13.19,14.34,15.25,15.28,15.31,15.75,17.31,17.88,17.81,18.09,17.88,16.19,13.19,11.16,9.88,9.88,9.81,10.59,12.03,13.41,13.97,14.41,15.47,16.78,17.44,16.88,16.53,16.19,15.25,13.97,13.06,13.16,13.69,13.66,13.72,14.53,15.16,13.78,11.47,9.0,6.19,2.91,-0.47,-2.12,-2.19,-1.47,-0.91,0.97,3.81,7.62,10.47,13.34,16.25,18.34,19.28,19.72,20.19,21.06,21.31,20.34,18.88,17.03,14.25,10.28,6.72,4.25,3.25,2.31,2.16,2.75,3.72,3.47,2.66,2.0,1.91,1.69,0.69,0.41,0.81,1.41,1.34,1.72,2.66,4.0,4.09,3.78,3.72,3.59,2.72,1.0,-0.16,-0.91,-1.44,-2.84,-4.0,-5.12,-6.47,-8.59,-10.22,-10.38,-9.59,-9.38,-9.06,-8.41,-7.34,-6.66,-6.19,-5.28,-3.59,-2.22,-1.34,-0.5,0.94,2.25,2.16,1.75,1.62,1.56,1.03,0.56,0.56,0.72,0.09,-1.62,-3.59,-5.16,-6.47,-8.22,-8.81,-8.25,-6.75,-5.72,-4.22,-2.56,-0.75,0.97,2.53,4.59,7.19,9.0,9.66,9.5,9.28,8.31,6.22,3.84,1.88,-0.09,-2.69,-4.94,-6.03,-5.12,-3.88,-2.09,0.25,2.91,4.31,4.06,3.28,3.53,3.91,3.94,4.31,5.22,6.09,5.47,4.84,4.28,4.03,3.06,1.66,-0.34,-1.66,-3.19,-5.06,-6.88,-7.72,-8.66,-10.12,-11.44,-11.5,-10.88,-9.38,-7.56,-5.41,-2.69,-0.19,0.81,1.44,2.5,2.44,1.56,0.06,-1.16,-2.44,-4.38,-6.09,-7.06,-7.22,-7.72,-8.34,-8.94,-8.62,-8.56,-9.22,-9.69,-9.0,-7.91:8.66,8.78,9.0,9.41,9.22,8.56,8.56,9.56,10.47,10.53,10.19,10.31,9.75,8.44,6.75,6.25,6.38,5.91,5.0,4.47,4.59,4.22,2.94,1.66,1.88,1.47,0.88,1.0,2.5,4.94,7.22,9.25,11.78,14.25,16.03,16.88,17.94,19.38,19.66,18.28,16.12,14.66,12.91,11.16,9.97,10.38,10.75,10.38,9.44,8.91,9.19,9.34,9.69,10.44,12.31,13.59,13.5,12.47,12.22,11.41,10.12,8.94,8.94,9.75,10.53,10.62,11.19,11.97,11.56,10.38,9.03,8.88,8.84,8.53,8.78,10.47,12.5,13.5,13.72,14.53,15.31,15.34,15.44,16.31,17.25,17.81,17.34,16.38,16.25,15.88,14.84,13.56,13.38,13.44,13.41,12.34,11.88,11.44,10.25,8.56,7.59,7.88,8.56,8.59,8.53,9.75,11.31,11.97,12.41,13.62,15.06,15.47,15.34,15.94,15.84,14.94,12.41,9.22,6.16,3.22,0.22,-2.41,-2.84,-2.09,-0.56,1.19,4.56,8.38,11.88,14.88,18.16,21.91,24.5,25.31,25.03,24.16,22.0,18.69,14.62,11.62,8.72,5.53,2.84,1.5,1.53,1.88,3.0,5.03,8.16,11.16,12.53,13.62,14.0,13.31,11.41,9.03,7.56,6.66,5.81,4.75,4.12,3.56,2.75,0.94,-0.44,-0.69,-0.22,-0.69,-0.56,0.59,2.22,3.91,5.84,8.59,12.16,15.12,17.47,19.62,21.97,24.0,24.88,25.28,26.03,26.44,24.94,22.94,20.94,19.03,15.94,12.66,9.69,6.91,3.69,0.59,-1.31,-2.06,-1.5,-0.47,1.66,4.69,8.12,10.31,12.06,13.53,15.28,16.5,17.09,17.94,18.41,18.66,17.69,16.66,16.06,15.38,13.59,11.31,9.38,7.53,4.78,1.75,-0.44,-1.62,-2.78,-3.66,-3.09,-1.47,0.84,2.94,5.09,7.47,8.94,8.97,8.03,7.41,6.91,6.22,5.69,6.09,7.41,7.84,8.06,8.69,9.69,10.56,10.53,10.38,10.59,11.19,10.84,10.75,10.78,11.62,11.88,11.81,12.22,13.0,13.16,12.03,10.16,8.19,6.12,3.12,0.53,-1.09,-1.84,-2.53,-2.59,-1.41,1.34,4.12,6.59,9.31,12.5,14.47,14.91,15.06,14.94,14.12,12.28,11.22,10.34,10.44,10.09,9.97,9.88,10.62,11.59,11.72,11.72,12.62,12.94,12.12,11.12,10.31,9.56,7.59,5.78,4.38,4.31,4.09,3.94,5.03,7.0,8.53,9.16,9.78,11.12,12.16,12.59,12.72,13.16,12.91,11.62,10.16,9.16,8.44,7.69,6.81,6.31,6.53,6.62,6.25,5.66,5.66,6.0,6.09,6.28,7.28,9.06,10.34,11.0,12.0,12.94,12.91,12.0,11.25,11.19,11.47,11.12,11.09,12.25,13.84,14.91,15.94,17.56,19.03,19.5,19.34,19.06,19.19,18.38,16.44,14.16,12.47,10.94,9.41,8.41,9.19,10.28,10.94,10.69,10.62,11.44,11.75,12.31,13.31,15.03,16.53,16.34,14.75,13.88,12.31,9.94,7.34,6.78,6.94,7.78,7.94,9.28,11.0,11.81,11.91,12.0,12.25,11.94,10.62,8.81,7.75,7.22,6.22,4.88,4.34,4.56,4.12,3.47,3.38,4.75,5.78,6.97,8.5,10.84,12.69,13.25,12.59,12.16,11.69,10.44,9.31,9.28,9.62,9.88,9.75,9.59,10.53,11.31,11.06,10.75,11.25,12.09,12.12,12.16,13.22,14.19,14.56,14.06,13.56,13.16,12.06,9.81,7.66,6.72,5.56,4.62,3.97,4.38,5.5,5.75,6.12,7.28,8.31,8.88,8.5,8.44,8.75,9.03,8.72,8.56,9.06,9.72,9.88,9.44,10.34,11.38,11.88,11.69,12.22,13.12,13.78,13.25,12.88,12.41,11.56,9.75,8.53,8.75,9.66,11.0,11.94,13.62,15.16,15.28,15.03,15.12,15.69,16.31,16.31,16.25,16.56,16.31,14.91,13.22,12.09,10.62,8.47,6.0,4.44,3.59,3.34,2.84,3.22,4.09,5.34,5.78,6.69,8.78,11.59,13.81,15.72,18.12,20.16,20.53,19.25,18.09,16.78,15.16,13.34,12.41,12.81,13.5,13.78,14.62,16.41,18.03,18.47,18.22,17.91,18.03,17.34,16.59,17.19,18.47,19.66,19.84,19.81,20.28,20.53,19.5,19.03,19.03,19.31,18.62,17.38,16.59,16.09,15.28,13.81,13.66,14.31,15.25,15.09,15.75,17.06,18.25,18.38,17.91,18.25,18.81,18.5,18.34,18.72,19.53,19.81,19.09,18.66,18.47,18.03,16.69,15.28,14.81,14.72,13.56,12.31,12.28,13.41,13.78,14.62,16.03,17.84,18.81,18.38,17.88,17.72,17.28,15.34,13.72,13.12,13.03,12.5,12.38,13.75,15.47,16.56,16.44,16.66,17.34,17.09,16.0,15.28,15.62,15.88,15.09,14.66,15.03,15.09,13.75,11.62,10.38,10.28,9.94,9.97,10.41,12.25,13.88,14.44,15.22,16.91,18.62,19.25,19.91,22.0,24.25,25.09,24.91,24.59,24.12,22.62,20.47,18.53,17.22,15.88,12.91,9.81,7.69,6.06,3.97,2.5,3.19,4.66,5.53,6.31,8.28,10.44,11.81,12.31,12.28,12.38,12.81,12.38,12.53,13.53,14.28,13.28,11.25,9.28,7.59,5.47,2.97,1.12,0.5,-0.44,-1.75,-2.69,-2.16,-0.78,-0.38,0.31,1.53,3.09,3.38,3.84,5.19,7.41,8.97,9.62,9.97,10.41,9.78,8.09,6.56,6.28,6.66,6.66,6.91,8.09,8.81,8.19,6.84,6.0,6.28,7.03,7.88,9.25,11.56,12.41,11.62,9.47,8.09,6.62,4.62,3.97,5.03,7.44,9.47,11.28,13.38,16.16,18.28,19.69,21.16,23.72,26.0,26.44,25.94,25.16,23.19,19.56,15.38,12.31,10.53,8.06,5.62,4.38,4.41,5.19,5.78,7.19,10.03,12.41,13.38,14.44,15.97,17.56,18.59,19.09,20.38,22.28,23.38,23.5,22.91,22.0,19.88,16.03,12.0,9.06,6.84,4.41,1.97,0.88,0.84,0.12,-0.22,0.78,2.78,4.41,5.56,6.69,8.75,10.09,10.44,10.19,10.97,11.12,10.31,9.53,10.03,11.62,13.0,13.91,15.09,16.81,16.78,15.81,14.09,13.12,11.91,10.16,8.78,8.78,9.78,10.38,10.69,12.0,13.25,13.44,12.38,11.66,11.41,10.47,8.84,7.59,7.25,6.91,5.91,5.22,5.66,6.31,6.91,6.88,7.69,8.91,9.44,9.41,9.75,11.16,12.47,13.81,15.09,17.41,18.78,18.91,18.09,16.84,15.06,12.66,9.66,7.88,7.44,6.59,5.41,4.25,3.31,1.5,-0.38,-1.5,-0.34,2.03,4.88,7.78,11.09,14.0,15.03,14.53,13.59,12.97,11.91,10.28,8.94,8.88,8.09,6.47,4.41,3.59,2.91,2.31,1.78,2.16,2.75,2.56,1.72,1.25,1.59,2.53,3.47,5.19,8.41,11.59,13.22,13.78,14.38,13.88,12.59,10.5,9.41,9.47,10.28,11.16,12.84,15.44,17.28,17.03,16.03,15.5,14.5,12.81,11.34,11.28,11.72,12.16,12.34,13.41,15.0,15.81,15.91,15.41,15.16,14.62,13.41,12.28,12.59,13.0,13.38,12.91,13.09,13.41,12.88,11.53,10.84,10.66,10.22,9.25,8.72,9.12,9.47,8.84,8.53,8.81,9.78,10.5,11.38,12.88,14.44,15.19,15.12,15.25,16.09,16.5,15.81,14.5,13.38,11.62,9.06,6.62,5.09,4.53,4.06,3.44,4.09,5.16,6.38,7.06,7.56,8.59,9.06,8.06,6.75,6.44,6.41,6.47,6.91,8.44,10.38,11.66,11.88,12.22,12.72,13.09,12.91,13.19,14.34,15.25,15.28,15.31,15.75,17.31,17.88,17.81,18.09,17.88,16.19,13.19,11.16,9.88,9.88,9.81,10.59,12.03,13.41,13.97,14.41,15.47,16.78,17.44,16.88,16.53,16.19,15.25,13.97,13.06,13.16,13.69,13.66,13.72,14.53,15.16,13.78,11.47,9.0,6.19,2.91,-0.47,-2.12,-2.19,-1.47,-0.91,0.97,3.81,7.62,10.47,13.34,16.25,18.34,19.28,19.72,20.19,21.06,21.31,20.34,18.88,17.03,14.25,10.28,6.72,4.25,3.25,2.31,2.16,2.75,3.72,3.47,2.66,2.0,1.91,1.69,0.69,0.41,0.81,1.41,1.34,1.72,2.66,4.0,4.09,3.78,3.72,3.59,2.72,1.0,-0.16,-0.91,-1.44,-2.84,-4.0,-5.12,-6.47,-8.59,-10.22,-10.38,-9.59,-9.38,-9.06,-8.41,-7.34,-6.66,-6.19,-5.28,-3.59,-2.22,-1.34,-0.5,0.94,2.25,2.16,1.75,1.62,1.56,1.03,0.56,0.56,0.72,0.09,-1.62,-3.59,-5.16,-6.47,-8.22,-8.81,-8.25,-6.75,-5.72,-4.22,-2.56,-0.75,0.97,2.53,4.59,7.19,9.0,9.66,9.5,9.28,8.31,6.22,3.84,1.88,-0.09,-2.69,-4.94,-6.03,-5.12,-3.88,-2.09,0.25,2.91,4.31,4.06,3.28,3.53,3.91,3.94,4.31,5.22,6.09,5.47,4.84,4.28,4.03,3.06,1.66,-0.34,-1.66,-3.19,-5.06,-6.88,-7.72,-8.66,-10.12,-11.44,-11.5,-10.88,-9.38,-7.56,-5.41,-2.69,-0.19,0.81,1.44,2.5,2.44,1.56,0.06,-1.16,-2.44,-4.38,-6.09,-7.06,-7.22,-7.72,-8.34,-8.94,-8.62,-8.56,-9.22,-9.69,-9.0,-7.91,34.59,34.53,34.91,35.28,35.78,36.28,37.09:9.56,10.47,10.53,10.19,10.31,9.75,8.44,6.75,6.25,6.38,5.91,5.0,4.47,4.59,4.22,2.94,1.66,1.88,1.47,0.88,1.0,2.5,4.94,7.22,9.25,11.78,14.25,16.03,16.88,17.94,19.38,19.66,18.28,16.12,14.66,12.91,11.16,9.97,10.38,10.75,10.38,9.44,8.91,9.19,9.34,9.69,10.44,12.31,13.59,13.5,12.47,12.22,11.41,10.12,8.94,8.94,9.75,10.53,10.62,11.19,11.97,11.56,10.38,9.03,8.88,8.84,8.53,8.78,10.47,12.5,13.5,13.72,14.53,15.31,15.34,15.44,16.31,17.25,17.81,17.34,16.38,16.25,15.88,14.84,13.56,13.38,13.44,13.41,12.34,11.88,11.44,10.25,8.56,7.59,7.88,8.56,8.59,8.53,9.75,11.31,11.97,12.41,13.62,15.06,15.47,15.34,15.94,15.84,14.94,12.41,9.22,6.16,3.22,0.22,-2.41,-2.84,-2.09,-0.56,1.19,4.56,8.38,11.88,14.88,18.16,21.91,24.5,25.31,25.03,24.16,22.0,18.69,14.62,11.62,8.72,5.53,2.84,1.5,1.53,1.88,3.0,5.03,8.16,11.16,12.53,13.62,14.0,13.31,11.41,9.03,7.56,6.66,5.81,4.75,4.12,3.56,2.75,0.94,-0.44,-0.69,-0.22,-0.69,-0.56,0.59,2.22,3.91,5.84,8.59,12.16,15.12,17.47,19.62,21.97,24.0,24.88,25.28,26.03,26.44,24.94,22.94,20.94,19.03,15.94,12.66,9.69,6.91,3.69,0.59,-1.31,-2.06,-1.5,-0.47,1.66,4.69,8.12,10.31,12.06,13.53,15.28,16.5,17.09,17.94,18.41,18.66,17.69,16.66,16.06,15.38,13.59,11.31,9.38,7.53,4.78,1.75,-0.44,-1.62,-2.78,-3.66,-3.09,-1.47,0.84,2.94,5.09,7.47,8.94,8.97,8.03,7.41,6.91,6.22,5.69,6.09,7.41,7.84,8.06,8.69,9.69,10.56,10.53,10.38,10.59,11.19,10.84,10.75,10.78,11.62,11.88,11.81,12.22,13.0,13.16,12.03,10.16,8.19,6.12,3.12,0.53,-1.09,-1.84,-2.53,-2.59,-1.41,1.34,4.12,6.59,9.31,12.5,14.47,14.91,15.06,14.94,14.12,12.28,11.22,10.34,10.44,10.09,9.97,9.88,10.62,11.59,11.72,11.72,12.62,12.94,12.12,11.12,10.31,9.56,7.59,5.78,4.38,4.31,4.09,3.94,5.03,7.0,8.53,9.16,9.78,11.12,12.16,12.59,12.72,13.16,12.91,11.62,10.16,9.16,8.44,7.69,6.81,6.31,6.53,6.62,6.25,5.66,5.66,6.0,6.09,6.28,7.28,9.06,10.34,11.0,12.0,12.94,12.91,12.0,11.25,11.19,11.47,11.12,11.09,12.25,13.84,14.91,15.94,17.56,19.03,19.5,19.34,19.06,19.19,18.38,16.44,14.16,12.47,10.94,9.41,8.41,9.19,10.28,10.94,10.69,10.62,11.44,11.75,12.31,13.31,15.03,16.53,16.34,14.75,13.88,12.31,9.94,7.34,6.78,6.94,7.78,7.94,9.28,11.0,11.81,11.91,12.0,12.25,11.94,10.62,8.81,7.75,7.22,6.22,4.88,4.34,4.56,4.12,3.47,3.38,4.75,5.78,6.97,8.5,10.84,12.69,13.25,12.59,12.16,11.69,10.44,9.31,9.28,9.62,9.88,9.75,9.59,10.53,11.31,11.06,10.75,11.25,12.09,12.12,12.16,13.22,14.19,14.56,14.06,13.56,13.16,12.06,9.81,7.66,6.72,5.56,4.62,3.97,4.38,5.5,5.75,6.12,7.28,8.31,8.88,8.5,8.44,8.75,9.03,8.72,8.56,9.06,9.72,9.88,9.44,10.34,11.38,11.88,11.69,12.22,13.12,13.78,13.25,12.88,12.41,11.56,9.75,8.53,8.75,9.66,11.0,11.94,13.62,15.16,15.28,15.03,15.12,15.69,16.31,16.31,16.25,16.56,16.31,14.91,13.22,12.09,10.62,8.47,6.0,4.44,3.59,3.34,2.84,3.22,4.09,5.34,5.78,6.69,8.78,11.59,13.81,15.72,18.12,20.16,20.53,19.25,18.09,16.78,15.16,13.34,12.41,12.81,13.5,13.78,14.62,16.41,18.03,18.47,18.22,17.91,18.03,17.34,16.59,17.19,18.47,19.66,19.84,19.81,20.28,20.53,19.5,19.03,19.03,19.31,18.62,17.38,16.59,16.09,15.28,13.81,13.66,14.31,15.25,15.09,15.75,17.06,18.25,18.38,17.91,18.25,18.81,18.5,18.34,18.72,19.53,19.81,19.09,18.66,18.47,18.03,16.69,15.28,14.81,14.72,13.56,12.31,12.28,13.41,13.78,14.62,16.03,17.84,18.81,18.38,17.88,17.72,17.28,15.34,13.72,13.12,13.03,12.5,12.38,13.75,15.47,16.56,16.44,16.66,17.34,17.09,16.0,15.28,15.62,15.88,15.09,14.66,15.03,15.09,13.75,11.62,10.38,10.28,9.94,9.97,10.41,12.25,13.88,14.44,15.22,16.91,18.62,19.25,19.91,22.0,24.25,25.09,24.91,24.59,24.12,22.62,20.47,18.53,17.22,15.88,12.91,9.81,7.69,6.06,3.97,2.5,3.19,4.66,5.53,6.31,8.28,10.44,11.81,12.31,12.28,12.38,12.81,12.38,12.53,13.53,14.28,13.28,11.25,9.28,7.59,5.47,2.97,1.12,0.5,-0.44,-1.75,-2.69,-2.16,-0.78,-0.38,0.31,1.53,3.09,3.38,3.84,5.19,7.41,8.97,9.62,9.97,10.41,9.78,8.09,6.56,6.28,6.66,6.66,6.91,8.09,8.81,8.19,6.84,6.0,6.28,7.03,7.88,9.25,11.56,12.41,11.62,9.47,8.09,6.62,4.62,3.97,5.03,7.44,9.47,11.28,13.38,16.16,18.28,19.69,21.16,23.72,26.0,26.44,25.94,25.16,23.19,19.56,15.38,12.31,10.53,8.06,5.62,4.38,4.41,5.19,5.78,7.19,10.03,12.41,13.38,14.44,15.97,17.56,18.59,19.09,20.38,22.28,23.38,23.5,22.91,22.0,19.88,16.03,12.0,9.06,6.84,4.41,1.97,0.88,0.84,0.12,-0.22,0.78,2.78,4.41,5.56,6.69,8.75,10.09,10.44,10.19,10.97,11.12,10.31,9.53,10.03,11.62,13.0,13.91,15.09,16.81,16.78,15.81,14.09,13.12,11.91,10.16,8.78,8.78,9.78,10.38,10.69,12.0,13.25,13.44,12.38,11.66,11.41,10.47,8.84,7.59,7.25,6.91,5.91,5.22,5.66,6.31,6.91,6.88,7.69,8.91,9.44,9.41,9.75,11.16,12.47,13.81,15.09,17.41,18.78,18.91,18.09,16.84,15.06,12.66,9.66,7.88,7.44,6.59,5.41,4.25,3.31,1.5,-0.38,-1.5,-0.34,2.03,4.88,7.78,11.09,14.0,15.03,14.53,13.59,12.97,11.91,10.28,8.94,8.88,8.09,6.47,4.41,3.59,2.91,2.31,1.78,2.16,2.75,2.56,1.72,1.25,1.59,2.53,3.47,5.19,8.41,11.59,13.22,13.78,14.38,13.88,12.59,10.5,9.41,9.47,10.28,11.16,12.84,15.44,17.28,17.03,16.03,15.5,14.5,12.81,11.34,11.28,11.72,12.16,12.34,13.41,15.0,15.81,15.91,15.41,15.16,14.62,13.41,12.28,12.59,13.0,13.38,12.91,13.09,13.41,12.88,11.53,10.84,10.66,10.22,9.25,8.72,9.12,9.47,8.84,8.53,8.81,9.78,10.5,11.38,12.88,14.44,15.19,15.12,15.25,16.09,16.5,15.81,14.5,13.38,11.62,9.06,6.62,5.09,4.53,4.06,3.44,4.09,5.16,6.38,7.06,7.56,8.59,9.06,8.06,6.75,6.44,6.41,6.47,6.91,8.44,10.38,11.66,11.88,12.22,12.72,13.09,12.91,13.19,14.34,15.25,15.28,15.31,15.75,17.31,17.88,17.81,18.09,17.88,16.19,13.19,11.16,9.88,9.88,9.81,10.59,12.03,13.41,13.97,14.41,15.47,16.78,17.44,16.88,16.53,16.19,15.25,13.97,13.06,13.16,13.69,13.66,13.72,14.53,15.16,13.78,11.47,9.0,6.19,2.91,-0.47,-2.12,-2.19,-1.47,-0.91,0.97,3.81,7.62,10.47,13.34,16.25,18.34,19.28,19.72,20.19,21.06,21.31,20.34,18.88,17.03,14.25,10.28,6.72,4.25,3.25,2.31,2.16,2.75,3.72,3.47,2.66,2.0,1.91,1.69,0.69,0.41,0.81,1.41,1.34,1.72,2.66,4.0,4.09,3.78,3.72,3.59,2.72,1.0,-0.16,-0.91,-1.44,-2.84,-4.0,-5.12,-6.47,-8.59,-10.22,-10.38,-9.59,-9.38,-9.06,-8.41,-7.34,-6.66,-6.19,-5.28,-3.59,-2.22,-1.34,-0.5,0.94,2.25,2.16,1.75,1.62,1.56,1.03,0.56,0.56,0.72,0.09,-1.62,-3.59,-5.16,-6.47,-8.22,-8.81,-8.25,-6.75,-5.72,-4.22,-2.56,-0.75,0.97,2.53,4.59,7.19,9.0,9.66,9.5,9.28,8.31,6.22,3.84,1.88,-0.09,-2.69,-4.94,-6.03,-5.12,-3.88,-2.09,0.25,2.91,4.31,4.06,3.28,3.53,3.91,3.94,4.31,5.22,6.09,5.47,4.84,4.28,4.03,3.06,1.66,-0.34,-1.66,-3.19,-5.06,-6.88,-7.72,-8.66,-10.12,-11.44,-11.5,-10.88,-9.38,-7.56,-5.41,-2.69,-0.19,0.81,1.44,2.5,2.44,1.56,0.06,-1.16,-2.44,-4.38,-6.09,-7.06,-7.22,-7.72,-8.34,-8.94,-8.62,-8.56,-9.22,-9.69,-9.0,-7.91,34.59,34.53,34.91,35.28,35.78,36.28,37.09,37.59,37.66,37.78,37.88,37.94,38.09,38.72:6.75,6.25,6.38,5.91,5.0,4.47,4.59,4.22,2.94,1.66,1.88,1.47,0.88,1.0,2.5,4.94,7.22,9.25,11.78,14.25,16.03,16.88,17.94,19.38,19.66,18.28,16.12,14.66,12.91,11.16,9.97,10.38,10.75,10.38,9.44,8.91,9.19,9.34,9.69,10.44,12.31,13.59,13.5,12.47,12.22,11.41,10.12,8.94,8.94,9.75,10.53,10.62,11.19,11.97,11.56,10.38,9.03,8.88,8.84,8.53,8.78,10.47,12.5,13.5,13.72,14.53,15.31,15.34,15.44,16.31,17.25,17.81,17.34,16.38,16.25,15.88,14.84,13.56,13.38,13.44,13.41,12.34,11.88,11.44,10.25,8.56,7.59,7.88,8.56,8.59,8.53,9.75,11.31,11.97,12.41,13.62,15.06,15.47,15.34,15.94,15.84,14.94,12.41,9.22,6.16,3.22,0.22,-2.41,-2.84,-2.09,-0.56,1.19,4.56,8.38,11.88,14.88,18.16,21.91,24.5,25.31,25.03,24.16,22.0,18.69,14.62,11.62,8.72,5.53,2.84,1.5,1.53,1.88,3.0,5.03,8.16,11.16,12.53,13.62,14.0,13.31,11.41,9.03,7.56,6.66,5.81,4.75,4.12,3.56,2.75,0.94,-0.44,-0.69,-0.22,-0.69,-0.56,0.59,2.22,3.91,5.84,8.59,12.16,15.12,17.47,19.62,21.97,24.0,24.88,25.28,26.03,26.44,24.94,22.94,20.94,19.03,15.94,12.66,9.69,6.91,3.69,0.59,-1.31,-2.06,-1.5,-0.47,1.66,4.69,8.12,10.31,12.06,13.53,15.28,16.5,17.09,17.94,18.41,18.66,17.69,16.66,16.06,15.38,13.59,11.31,9.38,7.53,4.78,1.75,-0.44,-1.62,-2.78,-3.66,-3.09,-1.47,0.84,2.94,5.09,7.47,8.94,8.97,8.03,7.41,6.91,6.22,5.69,6.09,7.41,7.84,8.06,8.69,9.69,10.56,10.53,10.38,10.59,11.19,10.84,10.75,10.78,11.62,11.88,11.81,12.22,13.0,13.16,12.03,10.16,8.19,6.12,3.12,0.53,-1.09,-1.84,-2.53,-2.59,-1.41,1.34,4.12,6.59,9.31,12.5,14.47,14.91,15.06,14.94,14.12,12.28,11.22,10.34,10.44,10.09,9.97,9.88,10.62,11.59,11.72,11.72,12.62,12.94,12.12,11.12,10.31,9.56,7.59,5.78,4.38,4.31,4.09,3.94,5.03,7.0,8.53,9.16,9.78,11.12,12.16,12.59,12.72,13.16,12.91,11.62,10.16,9.16,8.44,7.69,6.81,6.31,6.53,6.62,6.25,5.66,5.66,6.0,6.09,6.28,7.28,9.06,10.34,11.0,12.0,12.94,12.91,12.0,11.25,11.19,11.47,11.12,11.09,12.25,13.84,14.91,15.94,17.56,19.03,19.5,19.34,19.06,19.19,18.38,16.44,14.16,12.47,10.94,9.41,8.41,9.19,10.28,10.94,10.69,10.62,11.44,11.75,12.31,13.31,15.03,16.53,16.34,14.75,13.88,12.31,9.94,7.34,6.78,6.94,7.78,7.94,9.28,11.0,11.81,11.91,12.0,12.25,11.94,10.62,8.81,7.75,7.22,6.22,4.88,4.34,4.56,4.12,3.47,3.38,4.75,5.78,6.97,8.5,10.84,12.69,13.25,12.59,12.16,11.69,10.44,9.31,9.28,9.62,9.88,9.75,9.59,10.53,11.31,11.06,10.75,11.25,12.09,12.12,12.16,13.22,14.19,14.56,14.06,13.56,13.16,12.06,9.81,7.66,6.72,5.56,4.62,3.97,4.38,5.5,5.75,6.12,7.28,8.31,8.88,8.5,8.44,8.75,9.03,8.72,8.56,9.06,9.72,9.88,9.44,10.34,11.38,11.88,11.69,12.22,13.12,13.78,13.25,12.88,12.41,11.56,9.75,8.53,8.75,9.66,11.0,11.94,13.62,15.16,15.28,15.03,15.12,15.69,16.31,16.31,16.25,16.56,16.31,14.91,13.22,12.09,10.62,8.47,6.0,4.44,3.59,3.34,2.84,3.22,4.09,5.34,5.78,6.69,8.78,11.59,13.81,15.72,18.12,20.16,20.53,19.25,18.09,16.78,15.16,13.34,12.41,12.81,13.5,13.78,14.62,16.41,18.03,18.47,18.22,17.91,18.03,17.34,16.59,17.19,18.47,19.66,19.84,19.81,20.28,20.53,19.5,19.03,19.03,19.31,18.62,17.38,16.59,16.09,15.28,13.81,13.66,14.31,15.25,15.09,15.75,17.06,18.25,18.38,17.91,18.25,18.81,18.5,18.34,18.72,19.53,19.81,19.09,18.66,18.47,18.03,16.69,15.28,14.81,14.72,13.56,12.31,12.28,13.41,13.78,14.62,16.03,17.84,18.81,18.38,17.88,17.72,17.28,15.34,13.72,13.12,13.03,12.5,12.38,13.75,15.47,16.56,16.44,16.66,17.34,17.09,16.0,15.28,15.62,15.88,15.09,14.66,15.03,15.09,13.75,11.62,10.38,10.28,9.94,9.97,10.41,12.25,13.88,14.44,15.22,16.91,18.62,19.25,19.91,22.0,24.25,25.09,24.91,24.59,24.12,22.62,20.47,18.53,17.22,15.88,12.91,9.81,7.69,6.06,3.97,2.5,3.19,4.66,5.53,6.31,8.28,10.44,11.81,12.31,12.28,12.38,12.81,12.38,12.53,13.53,14.28,13.28,11.25,9.28,7.59,5.47,2.97,1.12,0.5,-0.44,-1.75,-2.69,-2.16,-0.78,-0.38,0.31,1.53,3.09,3.38,3.84,5.19,7.41,8.97,9.62,9.97,10.41,9.78,8.09,6.56,6.28,6.66,6.66,6.91,8.09,8.81,8.19,6.84,6.0,6.28,7.03,7.88,9.25,11.56,12.41,11.62,9.47,8.09,6.62,4.62,3.97,5.03,7.44,9.47,11.28,13.38,16.16,18.28,19.69,21.16,23.72,26.0,26.44,25.94,25.16,23.19,19.56,15.38,12.31,10.53,8.06,5.62,4.38,4.41,5.19,5.78,7.19,10.03,12.41,13.38,14.44,15.97,17.56,18.59,19.09,20.38,22.28,23.38,23.5,22.91,22.0,19.88,16.03,12.0,9.06,6.84,4.41,1.97,0.88,0.84,0.12,-0.22,0.78,2.78,4.41,5.56,6.69,8.75,10.09,10.44,10.19,10.97,11.12,10.31,9.53,10.03,11.62,13.0,13.91,15.09,16.81,16.78,15.81,14.09,13.12,11.91,10.16,8.78,8.78,9.78,10.38,10.69,12.0,13.25,13.44,12.38,11.66,11.41,10.47,8.84,7.59,7.25,6.91,5.91,5.22,5.66,6.31,6.91,6.88,7.69,8.91,9.44,9.41,9.75,11.16,12.47,13.81,15.09,17.41,18.78,18.91,18.09,16.84,15.06,12.66,9.66,7.88,7.44,6.59,5.41,4.25,3.31,1.5,-0.38,-1.5,-0.34,2.03,4.88,7.78,11.09,14.0,15.03,14.53,13.59,12.97,11.91,10.28,8.94,8.88,8.09,6.47,4.41,3.59,2.91,2.31,1.78,2.16,2.75,2.56,1.72,1.25,1.59,2.53,3.47,5.19,8.41,11.59,13.22,13.78,14.38,13.88,12.59,10.5,9.41,9.47,10.28,11.16,12.84,15.44,17.28,17.03,16.03,15.5,14.5,12.81,11.34,11.28,11.72,12.16,12.34,13.41,15.0,15.81,15.91,15.41,15.16,14.62,13.41,12.28,12.59,13.0,13.38,12.91,13.09,13.41,12.88,11.53,10.84,10.66,10.22,9.25,8.72,9.12,9.47,8.84,8.53,8.81,9.78,10.5,11.38,12.88,14.44,15.19,15.12,15.25,16.09,16.5,15.81,14.5,13.38,11.62,9.06,6.62,5.09,4.53,4.06,3.44,4.09,5.16,6.38,7.06,7.56,8.59,9.06,8.06,6.75,6.44,6.41,6.47,6.91,8.44,10.38,11.66,11.88,12.22,12.72,13.09,12.91,13.19,14.34,15.25,15.28,15.31,15.75,17.31,17.88,17.81,18.09,17.88,16.19,13.19,11.16,9.88,9.88,9.81,10.59,12.03,13.41,13.97,14.41,15.47,16.78,17.44,16.88,16.53,16.19,15.25,13.97,13.06,13.16,13.69,13.66,13.72,14.53,15.16,13.78,11.47,9.0,6.19,2.91,-0.47,-2.12,-2.19,-1.47,-0.91,0.97,3.81,7.62,10.47,13.34,16.25,18.34,19.28,19.72,20.19,21.06,21.31,20.34,18.88,17.03,14.25,10.28,6.72,4.25,3.25,2.31,2.16,2.75,3.72,3.47,2.66,2.0,1.91,1.69,0.69,0.41,0.81,1.41,1.34,1.72,2.66,4.0,4.09,3.78,3.72,3.59,2.72,1.0,-0.16,-0.91,-1.44,-2.84,-4.0,-5.12,-6.47,-8.59,-10.22,-10.38,-9.59,-9.38,-9.06,-8.41,-7.34,-6.66,-6.19,-5.28,-3.59,-2.22,-1.34,-0.5,0.94,2.25,2.16,1.75,1.62,1.56,1.03,0.56,0.56,0.72,0.09,-1.62,-3.59,-5.16,-6.47,-8.22,-8.81,-8.25,-6.75,-5.72,-4.22,-2.56,-0.75,0.97,2.53,4.59,7.19,9.0,9.66,9.5,9.28,8.31,6.22,3.84,1.88,-0.09,-2.69,-4.94,-6.03,-5.12,-3.88,-2.09,0.25,2.91,4.31,4.06,3.28,3.53,3.91,3.94,4.31,5.22,6.09,5.47,4.84,4.28,4.03,3.06,1.66,-0.34,-1.66,-3.19,-5.06,-6.88,-7.72,-8.66,-10.12,-11.44,-11.5,-10.88,-9.38,-7.56,-5.41,-2.69,-0.19,0.81,1.44,2.5,2.44,1.56,0.06,-1.16,-2.44,-4.38,-6.09,-7.06,-7.22,-7.72,-8.34,-8.94,-8.62,-8.56,-9.22,-9.69,-9.0,-7.91,34.59,34.53,34.91,35.28,35.78,36.28,37.09,37.59,37.66,37.78,37.88,37.94,38.09,38.72,39.66,40.81,42.0,42.66,42.81,42.66,41.94:4.22,2.94,1.66,1.88,1.47,0.88,1.0,2.5,4.94,7.22,9.25,11.78,14.25,16.03,16.88,17.94,19.38,19.66,18.28,16.12,14.66,12.91,11.16,9.97,10.38,10.75,10.38,9.44,8.91,9.19,9.34,9.69,10.44,12.31,13.59,13.5,12.47,12.22,11.41,10.12,8.94,8.94,9.75,10.53,10.62,11.19,11.97,11.56,10.38,9.03,8.88,8.84,8.53,8.78,10.47,12.5,13.5,13.72,14.53,15.31,15.34,15.44,16.31,17.25,17.81,17.34,16.38,16.25,15.88,14.84,13.56,13.38,13.44,13.41,12.34,11.88,11.44,10.25,8.56,7.59,7.88,8.56,8.59,8.53,9.75,11.31,11.97,12.41,13.62,15.06,15.47,15.34,15.94,15.84,14.94,12.41,9.22,6.16,3.22,0.22,-2.41,-2.84,-2.09,-0.56,1.19,4.56,8.38,11.88,14.88,18.16,21.91,24.5,25.31,25.03,24.16,22.0,18.69,14.62,11.62,8.72,5.53,2.84,1.5,1.53,1.88,3.0,5.03,8.16,11.16,12.53,13.62,14.0,13.31,11.41,9.03,7.56,6.66,5.81,4.75,4.12,3.56,2.75,0.94,-0.44,-0.69,-0.22,-0.69,-0.56,0.59,2.22,3.91,5.84,8.59,12.16,15.12,17.47,19.62,21.97,24.0,24.88,25.28,26.03,26.44,24.94,22.94,20.94,19.03,15.94,12.66,9.69,6.91,3.69,0.59,-1.31,-2.06,-1.5,-0.47,1.66,4.69,8.12,10.31,12.06,13.53,15.28,16.5,17.09,17.94,18.41,18.66,17.69,16.66,16.06,15.38,13.59,11.31,9.38,7.53,4.78,1.75,-0.44,-1.62,-2.78,-3.66,-3.09,-1.47,0.84,2.94,5.09,7.47,8.94,8.97,8.03,7.41,6.91,6.22,5.69,6.09,7.41,7.84,8.06,8.69,9.69,10.56,10.53,10.38,10.59,11.19,10.84,10.75,10.78,11.62,11.88,11.81,12.22,13.0,13.16,12.03,10.16,8.19,6.12,3.12,0.53,-1.09,-1.84,-2.53,-2.59,-1.41,1.34,4.12,6.59,9.31,12.5,14.47,14.91,15.06,14.94,14.12,12.28,11.22,10.34,10.44,10.09,9.97,9.88,10.62,11.59,11.72,11.72,12.62,12.94,12.12,11.12,10.31,9.56,7.59,5.78,4.38,4.31,4.09,3.94,5.03,7.0,8.53,9.16,9.78,11.12,12.16,12.59,12.72,13.16,12.91,11.62,10.16,9.16,8.44,7.69,6.81,6.31,6.53,6.62,6.25,5.66,5.66,6.0,6.09,6.28,7.28,9.06,10.34,11.0,12.0,12.94,12.91,12.0,11.25,11.19,11.47,11.12,11.09,12.25,13.84,14.91,15.94,17.56,19.03,19.5,19.34,19.06,19.19,18.38,16.44,14.16,12.47,10.94,9.41,8.41,9.19,10.28,10.94,10.69,10.62,11.44,11.75,12.31,13.31,15.03,16.53,16.34,14.75,13.88,12.31,9.94,7.34,6.78,6.94,7.78,7.94,9.28,11.0,11.81,11.91,12.0,12.25,11.94,10.62,8.81,7.75,7.22,6.22,4.88,4.34,4.56,4.12,3.47,3.38,4.75,5.78,6.97,8.5,10.84,12.69,13.25,12.59,12.16,11.69,10.44,9.31,9.28,9.62,9.88,9.75,9.59,10.53,11.31,11.06,10.75,11.25,12.09,12.12,12.16,13.22,14.19,14.56,14.06,13.56,13.16,12.06,9.81,7.66,6.72,5.56,4.62,3.97,4.38,5.5,5.75,6.12,7.28,8.31,8.88,8.5,8.44,8.75,9.03,8.72,8.56,9.06,9.72,9.88,9.44,10.34,11.38,11.88,11.69,12.22,13.12,13.78,13.25,12.88,12.41,11.56,9.75,8.53,8.75,9.66,11.0,11.94,13.62,15.16,15.28,15.03,15.12,15.69,16.31,16.31,16.25,16.56,16.31,14.91,13.22,12.09,10.62,8.47,6.0,4.44,3.59,3.34,2.84,3.22,4.09,5.34,5.78,6.69,8.78,11.59,13.81,15.72,18.12,20.16,20.53,19.25,18.09,16.78,15.16,13.34,12.41,12.81,13.5,13.78,14.62,16.41,18.03,18.47,18.22,17.91,18.03,17.34,16.59,17.19,18.47,19.66,19.84,19.81,20.28,20.53,19.5,19.03,19.03,19.31,18.62,17.38,16.59,16.09,15.28,13.81,13.66,14.31,15.25,15.09,15.75,17.06,18.25,18.38,17.91,18.25,18.81,18.5,18.34,18.72,19.53,19.81,19.09,18.66,18.47,18.03,16.69,15.28,14.81,14.72,13.56,12.31,12.28,13.41,13.78,14.62,16.03,17.84,18.81,18.38,17.88,17.72,17.28,15.34,13.72,13.12,13.03,12.5,12.38,13.75,15.47,16.56,16.44,16.66,17.34,17.09,16.0,15.28,15.62,15.88,15.09,14.66,15.03,15.09,13.75,11.62,10.38,10.28,9.94,9.97,10.41,12.25,13.88,14.44,15.22,16.91,18.62,19.25,19.91,22.0,24.25,25.09,24.91,24.59,24.12,22.62,20.47,18.53,17.22,15.88,12.91,9.81,7.69,6.06,3.97,2.5,3.19,4.66,5.53,6.31,8.28,10.44,11.81,12.31,12.28,12.38,12.81,12.38,12.53,13.53,14.28,13.28,11.25,9.28,7.59,5.47,2.97,1.12,0.5,-0.44,-1.75,-2.69,-2.16,-0.78,-0.38,0.31,1.53,3.09,3.38,3.84,5.19,7.41,8.97,9.62,9.97,10.41,9.78,8.09,6.56,6.28,6.66,6.66,6.91,8.09,8.81,8.19,6.84,6.0,6.28,7.03,7.88,9.25,11.56,12.41,11.62,9.47,8.09,6.62,4.62,3.97,5.03,7.44,9.47,11.28,13.38,16.16,18.28,19.69,21.16,23.72,26.0,26.44,25.94,25.16,23.19,19.56,15.38,12.31,10.53,8.06,5.62,4.38,4.41,5.19,5.78,7.19,10.03,12.41,13.38,14.44,15.97,17.56,18.59,19.09,20.38,22.28,23.38,23.5,22.91,22.0,19.88,16.03,12.0,9.06,6.84,4.41,1.97,0.88,0.84,0.12,-0.22,0.78,2.78,4.41,5.56,6.69,8.75,10.09,10.44,10.19,10.97,11.12,10.31,9.53,10.03,11.62,13.0,13.91,15.09,16.81,16.78,15.81,14.09,13.12,11.91,10.16,8.78,8.78,9.78,10.38,10.69,12.0,13.25,13.44,12.38,11.66,11.41,10.47,8.84,7.59,7.25,6.91,5.91,5.22,5.66,6.31,6.91,6.88,7.69,8.91,9.44,9.41,9.75,11.16,12.47,13.81,15.09,17.41,18.78,18.91,18.09,16.84,15.06,12.66,9.66,7.88,7.44,6.59,5.41,4.25,3.31,1.5,-0.38,-1.5,-0.34,2.03,4.88,7.78,11.09,14.0,15.03,14.53,13.59,12.97,11.91,10.28,8.94,8.88,8.09,6.47,4.41,3.59,2.91,2.31,1.78,2.16,2.75,2.56,1.72,1.25,1.59,2.53,3.47,5.19,8.41,11.59,13.22,13.78,14.38,13.88,12.59,10.5,9.41,9.47,10.28,11.16,12.84,15.44,17.28,17.03,16.03,15.5,14.5,12.81,11.34,11.28,11.72,12.16,12.34,13.41,15.0,15.81,15.91,15.41,15.16,14.62,13.41,12.28,12.59,13.0,13.38,12.91,13.09,13.41,12.88,11.53,10.84,10.66,10.22,9.25,8.72,9.12,9.47,8.84,8.53,8.81,9.78,10.5,11.38,12.88,14.44,15.19,15.12,15.25,16.09,16.5,15.81,14.5,13.38,11.62,9.06,6.62,5.09,4.53,4.06,3.44,4.09,5.16,6.38,7.06,7.56,8.59,9.06,8.06,6.75,6.44,6.41,6.47,6.91,8.44,10.38,11.66,11.88,12.22,12.72,13.09,12.91,13.19,14.34,15.25,15.28,15.31,15.75,17.31,17.88,17.81,18.09,17.88,16.19,13.19,11.16,9.88,9.88,9.81,10.59,12.03,13.41,13.97,14.41,15.47,16.78,17.44,16.88,16.53,16.19,15.25,13.97,13.06,13.16,13.69,13.66,13.72,14.53,15.16,13.78,11.47,9.0,6.19,2.91,-0.47,-2.12,-2.19,-1.47,-0.91,0.97,3.81,7.62,10.47,13.34,16.25,18.34,19.28,19.72,20.19,21.06,21.31,20.34,18.88,17.03,14.25,10.28,6.72,4.25,3.25,2.31,2.16,2.75,3.72,3.47,2.66,2.0,1.91,1.69,0.69,0.41,0.81,1.41,1.34,1.72,2.66,4.0,4.09,3.78,3.72,3.59,2.72,1.0,-0.16,-0.91,-1.44,-2.84,-4.0,-5.12,-6.47,-8.59,-10.22,-10.38,-9.59,-9.38,-9.06,-8.41,-7.34,-6.66,-6.19,-5.28,-3.59,-2.22,-1.34,-0.5,0.94,2.25,2.16,1.75,1.62,1.56,1.03,0.56,0.56,0.72,0.09,-1.62,-3.59,-5.16,-6.47,-8.22,-8.81,-8.25,-6.75,-5.72,-4.22,-2.56,-0.75,0.97,2.53,4.59,7.19,9.0,9.66,9.5,9.28,8.31,6.22,3.84,1.88,-0.09,-2.69,-4.94,-6.03,-5.12,-3.88,-2.09,0.25,2.91,4.31,4.06,3.28,3.53,3.91,3.94,4.31,5.22,6.09,5.47,4.84,4.28,4.03,3.06,1.66,-0.34,-1.66,-3.19,-5.06,-6.88,-7.72,-8.66,-10.12,-11.44,-11.5,-10.88,-9.38,-7.56,-5.41,-2.69,-0.19,0.81,1.44,2.5,2.44,1.56,0.06,-1.16,-2.44,-4.38,-6.09,-7.06,-7.22,-7.72,-8.34,-8.94,-8.62,-8.56,-9.22,-9.69,-9.0,-7.91,34.59,34.53,34.91,35.28,35.78,36.28,37.09,37.59,37.66,37.78,37.88,37.94,38.09,38.72,39.66,40.81,42.0,42.66,42.81,42.66,41.94,40.88,39.69,38.59,37.44,35.75,34.28,33.19:2.5,4.94,7.22,9.25,11.78,14.25,16.03,16.88,17.94,19.38,19.66,18.28,16.12,14.66,12.91,11.16,9.97,10.38,10.75,10.38,9.44,8.91,9.19,9.34,9.69,10.44,12.31,13.59,13.5,12.47,12.22,11.41,10.12,8.94,8.94,9.75,10.53,10.62,11.19,11.97,11.56,10.38,9.03,8.88,8.84,8.53,8.78,10.47,12.5,13.5,13.72,14.53,15.31,15.34,15.44,16.31,17.25,17.81,17.34,16.38,16.25,15.88,14.84,13.56,13.38,13.44,13.41,12.34,11.88,11.44,10.25,8.56,7.59,7.88,8.56,8.59,8.53,9.75,11.31,11.97,12.41,13.62,15.06,15.47,15.34,15.94,15.84,14.94,12.41,9.22,6.16,3.22,0.22,-2.41,-2.84,-2.09,-0.56,1.19,4.56,8.38,11.88,14.88,18.16,21.91,24.5,25.31,25.03,24.16,22.0,18.69,14.62,11.62,8.72,5.53,2.84,1.5,1.53,1.88,3.0,5.03,8.16,11.16,12.53,13.62,14.0,13.31,11.41,9.03,7.56,6.66,5.81,4.75,4.12,3.56,2.75,0.94,-0.44,-0.69,-0.22,-0.69,-0.56,0.59,2.22,3.91,5.84,8.59,12.16,15.12,17.47,19.62,21.97,24.0,24.88,25.28,26.03,26.44,24.94,22.94,20.94,19.03,15.94,12.66,9.69,6.91,3.69,0.59,-1.31,-2.06,-1.5,-0.47,1.66,4.69,8.12,10.31,12.06,13.53,15.28,16.5,17.09,17.94,18.41,18.66,17.69,16.66,16.06,15.38,13.59,11.31,9.38,7.53,4.78,1.75,-0.44,-1.62,-2.78,-3.66,-3.09,-1.47,0.84,2.94,5.09,7.47,8.94,8.97,8.03,7.41,6.91,6.22,5.69,6.09,7.41,7.84,8.06,8.69,9.69,10.56,10.53,10.38,10.59,11.19,10.84,10.75,10.78,11.62,11.88,11.81,12.22,13.0,13.16,12.03,10.16,8.19,6.12,3.12,0.53,-1.09,-1.84,-2.53,-2.59,-1.41,1.34,4.12,6.59,9.31,12.5,14.47,14.91,15.06,14.94,14.12,12.28,11.22,10.34,10.44,10.09,9.97,9.88,10.62,11.59,11.72,11.72,12.62,12.94,12.12,11.12,10.31,9.56,7.59,5.78,4.38,4.31,4.09,3.94,5.03,7.0,8.53,9.16,9.78,11.12,12.16,12.59,12.72,13.16,12.91,11.62,10.16,9.16,8.44,7.69,6.81,6.31,6.53,6.62,6.25,5.66,5.66,6.0,6.09,6.28,7.28,9.06,10.34,11.0,12.0,12.94,12.91,12.0,11.25,11.19,11.47,11.12,11.09,12.25,13.84,14.91,15.94,17.56,19.03,19.5,19.34,19.06,19.19,18.38,16.44,14.16,12.47,10.94,9.41,8.41,9.19,10.28,10.94,10.69,10.62,11.44,11.75,12.31,13.31,15.03,16.53,16.34,14.75,13.88,12.31,9.94,7.34,6.78,6.94,7.78,7.94,9.28,11.0,11.81,11.91,12.0,12.25,11.94,10.62,8.81,7.75,7.22,6.22,4.88,4.34,4.56,4.12,3.47,3.38,4.75,5.78,6.97,8.5,10.84,12.69,13.25,12.59,12.16,11.69,10.44,9.31,9.28,9.62,9.88,9.75,9.59,10.53,11.31,11.06,10.75,11.25,12.09,12.12,12.16,13.22,14.19,14.56,14.06,13.56,13.16,12.06,9.81,7.66,6.72,5.56,4.62,3.97,4.38,5.5,5.75,6.12,7.28,8.31,8.88,8.5,8.44,8.75,9.03,8.72,8.56,9.06,9.72,9.88,9.44,10.34,11.38,11.88,11.69,12.22,13.12,13.78,13.25,12.88,12.41,11.56,9.75,8.53,8.75,9.66,11.0,11.94,13.62,15.16,15.28,15.03,15.12,15.69,16.31,16.31,16.25,16.56,16.31,14.91,13.22,12.09,10.62,8.47,6.0,4.44,3.59,3.34,2.84,3.22,4.09,5.34,5.78,6.69,8.78,11.59,13.81,15.72,18.12,20.16,20.53,19.25,18.09,16.78,15.16,13.34,12.41,12.81,13.5,13.78,14.62,16.41,18.03,18.47,18.22,17.91,18.03,17.34,16.59,17.19,18.47,19.66,19.84,19.81,20.28,20.53,19.5,19.03,19.03,19.31,18.62,17.38,16.59,16.09,15.28,13.81,13.66,14.31,15.25,15.09,15.75,17.06,18.25,18.38,17.91,18.25,18.81,18.5,18.34,18.72,19.53,19.81,19.09,18.66,18.47,18.03,16.69,15.28,14.81,14.72,13.56,12.31,12.28,13.41,13.78,14.62,16.03,17.84,18.81,18.38,17.88,17.72,17.28,15.34,13.72,13.12,13.03,12.5,12.38,13.75,15.47,16.56,16.44,16.66,17.34,17.09,16.0,15.28,15.62,15.88,15.09,14.66,15.03,15.09,13.75,11.62,10.38,10.28,9.94,9.97,10.41,12.25,13.88,14.44,15.22,16.91,18.62,19.25,19.91,22.0,24.25,25.09,24.91,24.59,24.12,22.62,20.47,18.53,17.22,15.88,12.91,9.81,7.69,6.06,3.97,2.5,3.19,4.66,5.53,6.31,8.28,10.44,11.81,12.31,12.28,12.38,12.81,12.38,12.53,13.53,14.28,13.28,11.25,9.28,7.59,5.47,2.97,1.12,0.5,-0.44,-1.75,-2.69,-2.16,-0.78,-0.38,0.31,1.53,3.09,3.38,3.84,5.19,7.41,8.97,9.62,9.97,10.41,9.78,8.09,6.56,6.28,6.66,6.66,6.91,8.09,8.81,8.19,6.84,6.0,6.28,7.03,7.88,9.25,11.56,12.41,11.62,9.47,8.09,6.62,4.62,3.97,5.03,7.44,9.47,11.28,13.38,16.16,18.28,19.69,21.16,23.72,26.0,26.44,25.94,25.16,23.19,19.56,15.38,12.31,10.53,8.06,5.62,4.38,4.41,5.19,5.78,7.19,10.03,12.41,13.38,14.44,15.97,17.56,18.59,19.09,20.38,22.28,23.38,23.5,22.91,22.0,19.88,16.03,12.0,9.06,6.84,4.41,1.97,0.88,0.84,0.12,-0.22,0.78,2.78,4.41,5.56,6.69,8.75,10.09,10.44,10.19,10.97,11.12,10.31,9.53,10.03,11.62,13.0,13.91,15.09,16.81,16.78,15.81,14.09,13.12,11.91,10.16,8.78,8.78,9.78,10.38,10.69,12.0,13.25,13.44,12.38,11.66,11.41,10.47,8.84,7.59,7.25,6.91,5.91,5.22,5.66,6.31,6.91,6.88,7.69,8.91,9.44,9.41,9.75,11.16,12.47,13.81,15.09,17.41,18.78,18.91,18.09,16.84,15.06,12.66,9.66,7.88,7.44,6.59,5.41,4.25,3.31,1.5,-0.38,-1.5,-0.34,2.03,4.88,7.78,11.09,14.0,15.03,14.53,13.59,12.97,11.91,10.28,8.94,8.88,8.09,6.47,4.41,3.59,2.91,2.31,1.78,2.16,2.75,2.56,1.72,1.25,1.59,2.53,3.47,5.19,8.41,11.59,13.22,13.78,14.38,13.88,12.59,10.5,9.41,9.47,10.28,11.16,12.84,15.44,17.28,17.03,16.03,15.5,14.5,12.81,11.34,11.28,11.72,12.16,12.34,13.41,15.0,15.81,15.91,15.41,15.16,14.62,13.41,12.28,12.59,13.0,13.38,12.91,13.09,13.41,12.88,11.53,10.84,10.66,10.22,9.25,8.72,9.12,9.47,8.84,8.53,8.81,9.78,10.5,11.38,12.88,14.44,15.19,15.12,15.25,16.09,16.5,15.81,14.5,13.38,11.62,9.06,6.62,5.09,4.53,4.06,3.44,4.09,5.16,6.38,7.06,7.56,8.59,9.06,8.06,6.75,6.44,6.41,6.47,6.91,8.44,10.38,11.66,11.88,12.22,12.72,13.09,12.91,13.19,14.34,15.25,15.28,15.31,15.75,17.31,17.88,17.81,18.09,17.88,16.19,13.19,11.16,9.88,9.88,9.81,10.59,12.03,13.41,13.97,14.41,15.47,16.78,17.44,16.88,16.53,16.19,15.25,13.97,13.06,13.16,13.69,13.66,13.72,14.53,15.16,13.78,11.47,9.0,6.19,2.91,-0.47,-2.12,-2.19,-1.47,-0.91,0.97,3.81,7.62,10.47,13.34,16.25,18.34,19.28,19.72,20.19,21.06,21.31,20.34,18.88,17.03,14.25,10.28,6.72,4.25,3.25,2.31,2.16,2.75,3.72,3.47,2.66,2.0,1.91,1.69,0.69,0.41,0.81,1.41,1.34,1.72,2.66,4.0,4.09,3.78,3.72,3.59,2.72,1.0,-0.16,-0.91,-1.44,-2.84,-4.0,-5.12,-6.47,-8.59,-10.22,-10.38,-9.59,-9.38,-9.06,-8.41,-7.34,-6.66,-6.19,-5.28,-3.59,-2.22,-1.34,-0.5,0.94,2.25,2.16,1.75,1.62,1.56,1.03,0.56,0.56,0.72,0.09,-1.62,-3.59,-5.16,-6.47,-8.22,-8.81,-8.25,-6.75,-5.72,-4.22,-2.56,-0.75,0.97,2.53,4.59,7.19,9.0,9.66,9.5,9.28,8.31,6.22,3.84,1.88,-0.09,-2.69,-4.94,-6.03,-5.12,-3.88,-2.09,0.25,2.91,4.31,4.06,3.28,3.53,3.91,3.94,4.31,5.22,6.09,5.47,4.84,4.28,4.03,3.06,1.66,-0.34,-1.66,-3.19,-5.06,-6.88,-7.72,-8.66,-10.12,-11.44,-11.5,-10.88,-9.38,-7.56,-5.41,-2.69,-0.19,0.81,1.44,2.5,2.44,1.56,0.06,-1.16,-2.44,-4.38,-6.09,-7.06,-7.22,-7.72,-8.34,-8.94,-8.62,-8.56,-9.22,-9.69,-9.0,-7.91,34.59,34.53,34.91,35.28,35.78,36.28,37.09,37.59,37.66,37.78,37.88,37.94,38.09,38.72,39.66,40.81,42.0,42.66,42.81,42.66,41.94,40.88,39.69,38.59,37.44,35.75,34.28,33.19,31.91,31.06,30.09,29.84,29.34,29.66,30.31:16.88,17.94,19.38,19.66,18.28,16.12,14.66,12.91,11.16,9.97,10.38,10.75,10.38,9.44,8.91,9.19,9.34,9.69,10.44,12.31,13.59,13.5,12.47,12.22,11.41,10.12,8.94,8.94,9.75,10.53,10.62,11.19,11.97,11.56,10.38,9.03,8.88,8.84,8.53,8.78,10.47,12.5,13.5,13.72,14.53,15.31,15.34,15.44,16.31,17.25,17.81,17.34,16.38,16.25,15.88,14.84,13.56,13.38,13.44,13.41,12.34,11.88,11.44,10.25,8.56,7.59,7.88,8.56,8.59,8.53,9.75,11.31,11.97,12.41,13.62,15.06,15.47,15.34,15.94,15.84,14.94,12.41,9.22,6.16,3.22,0.22,-2.41,-2.84,-2.09,-0.56,1.19,4.56,8.38,11.88,14.88,18.16,21.91,24.5,25.31,25.03,24.16,22.0,18.69,14.62,11.62,8.72,5.53,2.84,1.5,1.53,1.88,3.0,5.03,8.16,11.16,12.53,13.62,14.0,13.31,11.41,9.03,7.56,6.66,5.81,4.75,4.12,3.56,2.75,0.94,-0.44,-0.69,-0.22,-0.69,-0.56,0.59,2.22,3.91,5.84,8.59,12.16,15.12,17.47,19.62,21.97,24.0,24.88,25.28,26.03,26.44,24.94,22.94,20.94,19.03,15.94,12.66,9.69,6.91,3.69,0.59,-1.31,-2.06,-1.5,-0.47,1.66,4.69,8.12,10.31,12.06,13.53,15.28,16.5,17.09,17.94,18.41,18.66,17.69,16.66,16.06,15.38,13.59,11.31,9.38,7.53,4.78,1.75,-0.44,-1.62,-2.78,-3.66,-3.09,-1.47,0.84,2.94,5.09,7.47,8.94,8.97,8.03,7.41,6.91,6.22,5.69,6.09,7.41,7.84,8.06,8.69,9.69,10.56,10.53,10.38,10.59,11.19,10.84,10.75,10.78,11.62,11.88,11.81,12.22,13.0,13.16,12.03,10.16,8.19,6.12,3.12,0.53,-1.09,-1.84,-2.53,-2.59,-1.41,1.34,4.12,6.59,9.31,12.5,14.47,14.91,15.06,14.94,14.12,12.28,11.22,10.34,10.44,10.09,9.97,9.88,10.62,11.59,11.72,11.72,12.62,12.94,12.12,11.12,10.31,9.56,7.59,5.78,4.38,4.31,4.09,3.94,5.03,7.0,8.53,9.16,9.78,11.12,12.16,12.59,12.72,13.16,12.91,11.62,10.16,9.16,8.44,7.69,6.81,6.31,6.53,6.62,6.25,5.66,5.66,6.0,6.09,6.28,7.28,9.06,10.34,11.0,12.0,12.94,12.91,12.0,11.25,11.19,11.47,11.12,11.09,12.25,13.84,14.91,15.94,17.56,19.03,19.5,19.34,19.06,19.19,18.38,16.44,14.16,12.47,10.94,9.41,8.41,9.19,10.28,10.94,10.69,10.62,11.44,11.75,12.31,13.31,15.03,16.53,16.34,14.75,13.88,12.31,9.94,7.34,6.78,6.94,7.78,7.94,9.28,11.0,11.81,11.91,12.0,12.25,11.94,10.62,8.81,7.75,7.22,6.22,4.88,4.34,4.56,4.12,3.47,3.38,4.75,5.78,6.97,8.5,10.84,12.69,13.25,12.59,12.16,11.69,10.44,9.31,9.28,9.62,9.88,9.75,9.59,10.53,11.31,11.06,10.75,11.25,12.09,12.12,12.16,13.22,14.19,14.56,14.06,13.56,13.16,12.06,9.81,7.66,6.72,5.56,4.62,3.97,4.38,5.5,5.75,6.12,7.28,8.31,8.88,8.5,8.44,8.75,9.03,8.72,8.56,9.06,9.72,9.88,9.44,10.34,11.38,11.88,11.69,12.22,13.12,13.78,13.25,12.88,12.41,11.56,9.75,8.53,8.75,9.66,11.0,11.94,13.62,15.16,15.28,15.03,15.12,15.69,16.31,16.31,16.25,16.56,16.31,14.91,13.22,12.09,10.62,8.47,6.0,4.44,3.59,3.34,2.84,3.22,4.09,5.34,5.78,6.69,8.78,11.59,13.81,15.72,18.12,20.16,20.53,19.25,18.09,16.78,15.16,13.34,12.41,12.81,13.5,13.78,14.62,16.41,18.03,18.47,18.22,17.91,18.03,17.34,16.59,17.19,18.47,19.66,19.84,19.81,20.28,20.53,19.5,19.03,19.03,19.31,18.62,17.38,16.59,16.09,15.28,13.81,13.66,14.31,15.25,15.09,15.75,17.06,18.25,18.38,17.91,18.25,18.81,18.5,18.34,18.72,19.53,19.81,19.09,18.66,18.47,18.03,16.69,15.28,14.81,14.72,13.56,12.31,12.28,13.41,13.78,14.62,16.03,17.84,18.81,18.38,17.88,17.72,17.28,15.34,13.72,13.12,13.03,12.5,12.38,13.75,15.47,16.56,16.44,16.66,17.34,17.09,16.0,15.28,15.62,15.88,15.09,14.66,15.03,15.09,13.75,11.62,10.38,10.28,9.94,9.97,10.41,12.25,13.88,14.44,15.22,16.91,18.62,19.25,19.91,22.0,24.25,25.09,24.91,24.59,24.12,22.62,20.47,18.53,17.22,15.88,12.91,9.81,7.69,6.06,3.97,2.5,3.19,4.66,5.53,6.31,8.28,10.44,11.81,12.31,12.28,12.38,12.81,12.38,12.53,13.53,14.28,13.28,11.25,9.28,7.59,5.47,2.97,1.12,0.5,-0.44,-1.75,-2.69,-2.16,-0.78,-0.38,0.31,1.53,3.09,3.38,3.84,5.19,7.41,8.97,9.62,9.97,10.41,9.78,8.09,6.56,6.28,6.66,6.66,6.91,8.09,8.81,8.19,6.84,6.0,6.28,7.03,7.88,9.25,11.56,12.41,11.62,9.47,8.09,6.62,4.62,3.97,5.03,7.44,9.47,11.28,13.38,16.16,18.28,19.69,21.16,23.72,26.0,26.44,25.94,25.16,23.19,19.56,15.38,12.31,10.53,8.06,5.62,4.38,4.41,5.19,5.78,7.19,10.03,12.41,13.38,14.44,15.97,17.56,18.59,19.09,20.38,22.28,23.38,23.5,22.91,22.0,19.88,16.03,12.0,9.06,6.84,4.41,1.97,0.88,0.84,0.12,-0.22,0.78,2.78,4.41,5.56,6.69,8.75,10.09,10.44,10.19,10.97,11.12,10.31,9.53,10.03,11.62,13.0,13.91,15.09,16.81,16.78,15.81,14.09,13.12,11.91,10.16,8.78,8.78,9.78,10.38,10.69,12.0,13.25,13.44,12.38,11.66,11.41,10.47,8.84,7.59,7.25,6.91,5.91,5.22,5.66,6.31,6.91,6.88,7.69,8.91,9.44,9.41,9.75,11.16,12.47,13.81,15.09,17.41,18.78,18.91,18.09,16.84,15.06,12.66,9.66,7.88,7.44,6.59,5.41,4.25,3.31,1.5,-0.38,-1.5,-0.34,2.03,4.88,7.78,11.09,14.0,15.03,14.53,13.59,12.97,11.91,10.28,8.94,8.88,8.09,6.47,4.41,3.59,2.91,2.31,1.78,2.16,2.75,2.56,1.72,1.25,1.59,2.53,3.47,5.19,8.41,11.59,13.22,13.78,14.38,13.88,12.59,10.5,9.41,9.47,10.28,11.16,12.84,15.44,17.28,17.03,16.03,15.5,14.5,12.81,11.34,11.28,11.72,12.16,12.34,13.41,15.0,15.81,15.91,15.41,15.16,14.62,13.41,12.28,12.59,13.0,13.38,12.91,13.09,13.41,12.88,11.53,10.84,10.66,10.22,9.25,8.72,9.12,9.47,8.84,8.53,8.81,9.78,10.5,11.38,12.88,14.44,15.19,15.12,15.25,16.09,16.5,15.81,14.5,13.38,11.62,9.06,6.62,5.09,4.53,4.06,3.44,4.09,5.16,6.38,7.06,7.56,8.59,9.06,8.06,6.75,6.44,6.41,6.47,6.91,8.44,10.38,11.66,11.88,12.22,12.72,13.09,12.91,13.19,14.34,15.25,15.28,15.31,15.75,17.31,17.88,17.81,18.09,17.88,16.19,13.19,11.16,9.88,9.88,9.81,10.59,12.03,13.41,13.97,14.41,15.47,16.78,17.44,16.88,16.53,16.19,15.25,13.97,13.06,13.16,13.69,13.66,13.72,14.53,15.16,13.78,11.47,9.0,6.19,2.91,-0.47,-2.12,-2.19,-1.47,-0.91,0.97,3.81,7.62,10.47,13.34,16.25,18.34,19.28,19.72,20.19,21.06,21.31,20.34,18.88,17.03,14.25,10.28,6.72,4.25,3.25,2.31,2.16,2.75,3.72,3.47,2.66,2.0,1.91,1.69,0.69,0.41,0.81,1.41,1.34,1.72,2.66,4.0,4.09,3.78,3.72,3.59,2.72,1.0,-0.16,-0.91,-1.44,-2.84,-4.0,-5.12,-6.47,-8.59,-10.22,-10.38,-9.59,-9.38,-9.06,-8.41,-7.34,-6.66,-6.19,-5.28,-3.59,-2.22,-1.34,-0.5,0.94,2.25,2.16,1.75,1.62,1.56,1.03,0.56,0.56,0.72,0.09,-1.62,-3.59,-5.16,-6.47,-8.22,-8.81,-8.25,-6.75,-5.72,-4.22,-2.56,-0.75,0.97,2.53,4.59,7.19,9.0,9.66,9.5,9.28,8.31,6.22,3.84,1.88,-0.09,-2.69,-4.94,-6.03,-5.12,-3.88,-2.09,0.25,2.91,4.31,4.06,3.28,3.53,3.91,3.94,4.31,5.22,6.09,5.47,4.84,4.28,4.03,3.06,1.66,-0.34,-1.66,-3.19,-5.06,-6.88,-7.72,-8.66,-10.12,-11.44,-11.5,-10.88,-9.38,-7.56,-5.41,-2.69,-0.19,0.81,1.44,2.5,2.44,1.56,0.06,-1.16,-2.44,-4.38,-6.09,-7.06,-7.22,-7.72,-8.34,-8.94,-8.62,-8.56,-9.22,-9.69,-9.0,-7.91,34.59,34.53,34.91,35.28,35.78,36.28,37.09,37.59,37.66,37.78,37.88,37.94,38.09,38.72,39.66,40.81,42.0,42.66,42.81,42.66,41.94,40.88,39.69,38.59,37.44,35.75,34.28,33.19,31.91,31.06,30.09,29.84,29.34,29.66,30.31,32.0,35.0,38.5,41.66,44.25,46.03,46.69:positivity
14.5,15.38,18.72,21.06,21.19,21.84,24.19,25.41,23.34,20.88,20.62,20.78,18.44,15.62,15.12,16.22,15.78,14.09,13.94,16.03,17.25,15.81,14.81,15.94,16.94,14.97,13.22,14.0,15.72,15.66,14.53,15.75,17.91,18.16,16.5,15.69,17.06,18.25,17.25,16.75,18.44,19.84,18.06,15.72,15.59,16.66,15.75,14.03,14.12,15.78,15.56,12.97,10.84,11.31,11.03,9.31,7.94,9.59,12.09,12.22,11.75,13.53,16.62,17.34,16.0,16.19,17.25,16.91,14.94,13.75,15.22,16.66,15.41,13.84,14.59,15.09,12.66,9.5,8.75,9.59,8.88,7.38,8.34,11.38,13.56,14.28,14.88,17.84,20.0,19.16,17.75,18.69,20.56,20.28,19.12,20.25,22.28,22.38,20.38,19.38,20.19,19.97,18.12,16.59,17.75,18.81,17.12,14.88,14.12,14.19,11.94,9.34,9.03,11.41,12.59,11.88,12.12,14.03,14.78,12.97,11.38,13.0,14.72,13.88,12.31,12.59,13.22,11.28,8.41,7.5,8.56,8.47,6.75,5.88,7.5,8.5,7.53,6.53,8.28,10.88,10.94,10.56,12.22,15.34,16.19,15.91,16.78,19.31,20.75,19.94,20.0,22.38,24.41,23.12,20.56,19.72,19.28,17.03,14.75,15.38,18.22,19.41,18.66,18.22,19.09,18.12,14.66,12.09,12.81,14.19,14.22,14.44,17.5,21.06,21.56,20.19,19.78,19.66,17.75,13.62,11.03,11.0,10.53,8.62,7.34,8.78,9.91,8.94,7.44,8.56,10.44,10.53,9.56,10.12,12.53,13.28,12.62,12.91,15.53,17.25,16.25,15.25,16.06,16.75,14.91,12.53,12.38,13.59,13.34,12.19,12.94,15.75,17.66,17.47,17.59,19.84,21.22,20.12,18.53,19.56,20.5,19.0,16.72,16.47,17.62,17.75,16.44,16.5,18.09,18.0,15.72,13.5,13.88,14.03,12.25,10.84,12.66,15.5,16.78,17.5,20.06,23.41,24.53,23.31,22.38,22.88,22.44,19.66,17.81,18.84,19.66,18.34,16.62,17.16,18.81,18.41,16.94,17.44,18.97,19.03,17.34,17.06,19.28,21.03,20.28,19.16,20.31,21.22,20.09,18.91,20.34,23.16,24.19,24.19,25.94,28.91,30.41,28.88,27.84,28.06,27.25,24.06,20.56,19.81,19.0,16.09,12.5,11.44,11.66,11.03,9.69,10.62,13.56,15.91,15.84,16.16,18.38,20.16,19.25,17.94,19.34,20.5,19.75,18.31,18.5,20.0,20.0,18.34,17.56,18.53,18.94,16.56,15.44,17.19,19.06,19.12,19.09,21.72,24.91,26.22,26.19,27.94,30.44,30.78,29.34,28.84,29.78,29.62,26.66,23.94,23.78,23.5,21.25,18.94,18.91,19.69,18.62,16.56,16.41,18.19,18.84,17.94,17.97,19.78,21.22,20.28,19.84,22.03,24.78,24.84,24.69,26.75,29.38,30.25,29.56,29.91,31.38,31.25,29.28,28.81,30.94,33.0,32.97,32.75,34.09,35.06,33.22,30.53,29.94,30.84,31.09,30.5,31.69,34.81,36.5,35.53,34.69,35.69,35.66,32.78,29.78,28.56,28.19,25.97,23.09,22.88,23.75,23.94,23.12,23.81,26.72,28.41,28.0,28.0,30.03,32.84,33.5,34.22,36.62,39.72,40.19,38.56,38.5,39.19,37.94,34.53,32.16,31.47,29.66,25.56,21.84,20.56,19.91,17.12,14.84,15.53,17.38,18.12,18.5,20.75,24.5,27.16,27.69,28.88,31.28,32.62,30.72,27.75,26.97,26.5,24.41,22.16,22.44,24.22,23.97,21.81,20.97,21.12,20.34,17.94,16.59,18.12,20.12,20.28,20.69,23.78,28.0,29.94,31.38,34.03,37.34,37.94,35.5,33.22,31.53,28.84,24.34,21.31,21.62,23.28,23.62,24.16,26.81,29.97,30.38,29.25,29.28,30.03,29.56,27.28,26.38,27.53,28.38,27.28,26.72,28.66,30.62,30.5,29.88,31.44,34.62,35.16,34.78,35.5,37.72,38.53,37.19,36.44,37.16,36.72,33.88,31.47,31.97,33.5,33.03,32.59,33.81,36.03,36.06,34.28,33.72,34.5,34.41,32.66,32.09,33.78,35.5,34.5,33.38,33.94,35.12,33.69,31.97,31.84,32.59,32.03,29.62,28.97,30.19,31.16,30.44,30.78,33.44,36.12,36.53,36.34,38.22,40.31,39.56,37.0,36.0,36.22,35.47,33.66,33.66,36.16,37.91,37.75,37.66,40.41,43.03,43.88,44.75,47.28,50.72,51.53,50.81,50.78,51.66,51.06,48.94,47.62,48.5,48.94,47.12,45.19,45.0,45.12,42.94,40.41,39.31,39.34,37.53,34.53,33.16,33.72,34.22,33.66,34.34,38.16,41.28,42.41,43.5,46.12,48.69,48.47,47.12,47.12,48.06,47.12,44.56,43.19,43.78,43.09,41.12,39.38,40.09,40.28,38.47,36.66,37.25,39.22,38.94,37.94,38.72,40.75,40.66,38.88,38.19,38.97,38.69,36.75,35.69,37.28,39.09,38.75,38.34,39.72,42.16,42.62,42.28,43.47,46.09,46.97,46.06,45.38,46.59,46.81,44.91,42.97,43.34,43.75,41.75,38.72,37.56,37.69,36.25,33.91,33.56,35.59,37.03,37.47,39.28,43.41,47.38,48.16,48.03,49.16,49.91,47.69,44.12,42.16,41.5,39.31,36.66,35.66,36.91,37.09,35.16,33.5,34.22,34.22,32.41,30.34,30.75,31.5,29.97,27.88,28.09,29.91,30.94,31.0,32.69,36.47,39.12,39.94,40.75,43.5,45.66,44.78,42.94,43.19,43.78,42.31,40.06,39.47,40.31,39.56,37.84,37.34,39.62,40.97,40.12,39.47,40.25,40.41,37.78,34.38,33.16,33.56,33.03,32.19,33.19,36.31,37.44,36.66,36.28,38.09,39.06,38.34,38.03,41.06,44.28,44.59,44.06,44.09,44.56,42.84,39.84,38.5,39.5,39.81,38.59,38.66,41.22,43.0,42.38,41.03,42.12,42.91,41.38,38.69,37.84,37.91,36.34,34.25,33.94,36.16,37.81,37.72,37.72,39.75,41.34,40.5,39.31,40.62,43.22,43.59,42.91,44.16,46.41,46.66,45.5,45.03,46.25,46.88,45.41,44.09,45.22,45.97,44.25,42.12,42.25,43.28,42.06,39.91,39.28,39.38,38.34,36.19,35.56,38.09,40.47,41.44,42.78,47.12,51.5,53.53,54.28,56.69,58.72,58.28,56.12,54.91,55.38,54.44,51.69,49.69,50.09,50.19,48.28,46.19,46.44,46.84,45.12,42.22,41.56,42.19,41.81,40.38,40.91,43.66,45.97,45.97,47.0,49.59,51.66,50.53,49.06,49.91,51.5,51.41,50.12,51.22,52.84,52.47,50.72,49.94,51.25,51.84,50.31,49.69,50.75,51.41,49.91,48.03,48.59,50.03,49.56,47.5,47.41,48.28,48.19,46.59,46.41,48.56,50.0,49.0,48.0,49.28,50.25,49.19,47.69,49.03,51.28,52.22,51.84,52.94,55.34,56.03,54.34,53.06,53.31,52.72,49.94,47.97,49.12,51.0,50.94,50.03,50.81,52.12,51.47,49.38,49.06,50.44,51.41,49.81,49.22,50.78,52.25,51.19,50.53,52.28,54.56,54.5,53.41,53.56,54.62,54.12,51.69,50.38,50.59,50.12,47.59,45.97,47.25,48.5,47.75,46.38,47.62,49.59,49.75,49.31,51.19,54.34,55.66,55.28,55.34,57.19,58.12,56.16,54.5,54.81,54.97,52.53,49.66,49.22,50.06,49.28,48.0,48.69,50.97,52.28,51.78,52.03,53.75,54.84,53.25,51.72,52.38,53.41,52.03,49.91,50.06,51.0,50.03,47.69,46.97,48.0,48.22,46.53,46.22,47.88,49.41,48.53,47.31,49.03,51.25,51.28,50.56,51.81,53.88,53.66,51.69,50.81,51.81,51.94,49.97,48.59,49.59,50.91,49.5,48.47,49.84,52.09,51.78,50.69,51.56,53.09,52.53,49.94,48.53,48.88,49.12,47.44,46.84,48.97,51.69,51.53,51.25,53.25,55.44,54.97,52.94,52.81,54.44,54.91,53.88,54.03,55.66,56.25,54.34,53.22,55.0,57.5,57.59,57.03,57.78,58.78,57.44,54.62,53.69,55.47,56.47,56.0,56.19,58.59,59.56,57.25,54.97,55.0,56.03,55.62,55.0,56.97,59.81,60.44,58.78,58.53,59.75,59.88,57.44,55.41,56.09,56.88,55.47,55.03,57.59,60.81,61.56,61.34,63.22,66.31,67.91,67.56,68.22,70.12,70.06,66.91,64.34,64.16,64.03,61.59,59.25,59.34,60.25,58.97,57.38,58.16,60.94,62.28,61.41,61.72,63.62,64.38,63.09,62.56,64.81,67.47,67.56,67.5,69.09,71.03,69.97,67.34,65.72,66.0,65.5,62.97,62.16,63.41,64.09,62.22,60.69,62.16,63.97,63.78,63.44,65.62,68.81,69.38,67.88,67.53,68.31,67.44,64.66,62.69,63.56,63.97,62.0,60.25,61.19,62.38,61.25,59.66,60.28,62.09,61.5,59.47,58.28,59.16,59.25,57.19,56.0,57.56,58.94,57.88,56.75,58.16,60.59,60.78,59.97,60.59,62.22,61.62,59.28,57.81,59.03,59.28,57.22,56.03,56.66,57.12,55.12,52.78,52.84,54.0,53.06,51.28,51.22,52.94,52.69,50.97,50.44,52.5,53.97,53.25,52.62,54.47,56.0,55.28,54.28,55.84,58.44,58.84,58.03,58.31,60.25,60.22,57.88,56.12,56.59,56.62,54.62,53.25,54.81,56.88,56.5,55.12,55.44,56.59,55.59,52.97,52.09,53.28,53.62,52.59,52.53,55.12,57.5,57.41:25.41,23.34,20.88,20.62,20.78,18.44,15.62,15.12,16.22,15.78,14.09,13.94,16.03,17.25,15.81,14.81,15.94,16.94,14.97,13.22,14.0,15.72,15.66,14.53,15.75,17.91,18.16,16.5,15.69,17.06,18.25,17.25,16.75,18.44,19.84,18.06,15.72,15.59,16.66,15.75,14.03,14.12,15.78,15.56,12.97,10.84,11.31,11.03,9.31,7.94,9.59,12.09,12.22,11.75,13.53,16.62,17.34,16.0,16.19,17.25,16.91,14.94,13.75,15.22,16.66,15.41,13.84,14.59,15.09,12.66,9.5,8.75,9.59,8.88,7.38,8.34,11.38,13.56,14.28,14.88,17.84,20.0,19.16,17.75,18.69,20.56,20.28,19.12,20.25,22.28,22.38,20.38,19.38,20.19,19.97,18.12,16.59,17.75,18.81,17.12,14.88,14.12,14.19,11.94,9.34,9.03,11.41,12.59,11.88,12.12,14.03,14.78,12.97,11.38,13.0,14.72,13.88,12.31,12.59,13.22,11.28,8.41,7.5,8.56,8.47,6.75,5.88,7.5,8.5,7.53,6.53,8.28,10.88,10.94,10.56,12.22,15.34,16.19,15.91,16.78,19.31,20.75,19.94,20.0,22.38,24.41,23.12,20.56,19.72,19.28,17.03,14.75,15.38,18.22,19.41,18.66,18.22,19.09,18.12,14.66,12.09,12.81,14.19,14.22,14.44,17.5,21.06,21.56,20.19,19.78,19.66,17.75,13.62,11.03,11.0,10.53,8.62,7.34,8.78,9.91,8.94,7.44,8.56,10.44,10.53,9.56,10.12,12.53,13.28,12.62,12.91,15.53,17.25,16.25,15.25,16.06,16.75,14.91,12.53,12.38,13.59,13.34,12.19,12.94,15.75,17.66,17.47,17.59,19.84,21.22,20.12,18.53,19.56,20.5,19.0,16.72,16.47,17.62,17.75,16.44,16.5,18.09,18.0,15.72,13.5,13.88,14.03,12.25,10.84,12.66,15.5,16.78,17.5,20.06,23.41,24.53,23.31,22.38,22.88,22.44,19.66,17.81,18.84,19.66,18.34,16.62,17.16,18.81,18.41,16.94,17.44,18.97,19.03,17.34,17.06,19.28,21.03,20.28,19.16,20.31,21.22,20.09,18.91,20.34,23.16,24.19,24.19,25.94,28.91,30.41,28.88,27.84,28.06,27.25,24.06,20.56,19.81,19.0,16.09,12.5,11.44,11.66,11.03,9.69,10.62,13.56,15.91,15.84,16.16,18.38,20.16,19.25,17.94,19.34,20.5,19.75,18.31,18.5,20.0,20.0,18.34,17.56,18.53,18.94,16.56,15.44,17.19,19.06,19.12,19.09,21.72,24.91,26.22,26.19,27.94,30.44,30.78,29.34,28.84,29.78,29.62,26.66,23.94,23.78,23.5,21.25,18.94,18.91,19.69,18.62,16.56,16.41,18.19,18.84,17.94,17.97,19.78,21.22,20.28,19.84,22.03,24.78,24.84,24.69,26.75,29.38,30.25,29.56,29.91,31.38,31.25,29.28,28.81,30.94,33.0,32.97,32.75,34.09,35.06,33.22,30.53,29.94,30.84,31.09,30.5,31.69,34.81,36.5,35.53,34.69,35.69,35.66,32.78,29.78,28.56,28.19,25.97,23.09,22.88,23.75,23.94,23.12,23.81,26.72,28.41,28.0,28.0,30.03,32.84,33.5,34.22,36.62,39.72,40.19,38.56,38.5,39.19,37.94,34.53,32.16,31.47,29.66,25.56,21.84,20.56,19.91,17.12,14.84,15.53,17.38,18.12,18.5,20.75,24.5,27.16,27.69,28.88,31.28,32.62,30.72,27.75,26.97,26.5,24.41,22.16,22.44,24.22,23.97,21.81,20.97,21.12,20.34,17.94,16.59,18.12,20.12,20.28,20.69,23.78,28.0,29.94,31.38,34.03,37.34,37.94,35.5,33.22,31.53,28.84,24.34,21.31,21.62,23.28,23.62,24.16,26.81,29.97,30.38,29.25,29.28,30.03,29.56,27.28,26.38,27.53,28.38,27.28,26.72,28.66,30.62,30.5,29.88,31.44,34.62,35.16,34.78,35.5,37.72,38.53,37.19,36.44,37.16,36.72,33.88,31.47,31.97,33.5,33.03,32.59,33.81,36.03,36.06,34.28,33.72,34.5,34.41,32.66,32.09,33.78,35.5,34.5,33.38,33.94,35.12,33.69,31.97,31.84,32.59,32.03,29.62,28.97,30.19,31.16,30.44,30.78,33.44,36.12,36.53,36.34,38.22,40.31,39.56,37.0,36.0,36.22,35.47,33.66,33.66,36.16,37.91,37.75,37.66,40.41,43.03,43.88,44.75,47.28,50.72,51.53,50.81,50.78,51.66,51.06,48.94,47.62,48.5,48.94,47.12,45.19,45.0,45.12,42.94,40.41,39.31,39.34,37.53,34.53,33.16,33.72,34.22,33.66,34.34,38.16,41.28,42.41,43.5,46.12,48.69,48.47,47.12,47.12,48.06,47.12,44.56,43.19,43.78,43.09,41.12,39.38,40.09,40.28,38.47,36.66,37.25,39.22,38.94,37.94,38.72,40.75,40.66,38.88,38.19,38.97,38.69,36.75,35.69,37.28,39.09,38.75,38.34,39.72,42.16,42.62,42.28,43.47,46.09,46.97,46.06,45.38,46.59,46.81,44.91,42.97,43.34,43.75,41.75,38.72,37.56,37.69,36.25,33.91,33.56,35.59,37.03,37.47,39.28,43.41,47.38,48.16,48.03,49.16,49.91,47.69,44.12,42.16,41.5,39.31,36.66,35.66,36.91,37.09,35.16,33.5,34.22,34.22,32.41,30.34,30.75,31.5,29.97,27.88,28.09,29.91,30.94,31.0,32.69,36.47,39.12,39.94,40.75,43.5,45.66,44.78,42.94,43.19,43.78,42.31,40.06,39.47,40.31,39.56,37.84,37.34,39.62,40.97,40.12,39.47,40.25,40.41,37.78,34.38,33.16,33.56,33.03,32.19,33.19,36.31,37.44,36.66,36.28,38.09,39.06,38.34,38.03,41.06,44.28,44.59,44.06,44.09,44.56,42.84,39.84,38.5,39.5,39.81,38.59,38.66,41.22,43.0,42.38,41.03,42.12,42.91,41.38,38.69,37.84,37.91,36.34,34.25,33.94,36.16,37.81,37.72,37.72,39.75,41.34,40.5,39.31,40.62,43.22,43.59,42.91,44.16,46.41,46.66,45.5,45.03,46.25,46.88,45.41,44.09,45.22,45.97,44.25,42.12,42.25,43.28,42.06,39.91,39.28,39.38,38.34,36.19,35.56,38.09,40.47,41.44,42.78,47.12,51.5,53.53,54.28,56.69,58.72,58.28,56.12,54.91,55.38,54.44,51.69,49.69,50.09,50.19,48.28,46.19,46.44,46.84,45.12,42.22,41.56,42.19,41.81,40.38,40.91,43.66,45.97,45.97,47.0,49.59,51.66,50.53,49.06,49.91,51.5,51.41,50.12,51.22,52.84,52.47,50.72,49.94,51.25,51.84,50.31,49.69,50.75,51.41,49.91,48.03,48.59,50.03,49.56,47.5,47.41,48.28,48.19,46.59,46.41,48.56,50.0,49.0,48.0,49.28,50.25,49.19,47.69,49.03,51.28,52.22,51.84,52.94,55.34,56.03,54.34,53.06,53.31,52.72,49.94,47.97,49.12,51.0,50.94,50.03,50.81,52.12,51.47,49.38,49.06,50.44,51.41,49.81,49.22,50.78,52.25,51.19,50.53,52.28,54.56,54.5,53.41,53.56,54.62,54.12,51.69,50.38,50.59,50.12,47.59,45.97,47.25,48.5,47.75,46.38,47.62,49.59,49.75,49.31,51.19,54.34,55.66,55.28,55.34,57.19,58.12,56.16,54.5,54.81,54.97,52.53,49.66,49.22,50.06,49.28,48.0,48.69,50.97,52.28,51.78,52.03,53.75,54.84,53.25,51.72,52.38,53.41,52.03,49.91,50.06,51.0,50.03,47.69,46.97,48.0,48.22,46.53,46.22,47.88,49.41,48.53,47.31,49.03,51.25,51.28,50.56,51.81,53.88,53.66,51.69,50.81,51.81,51.94,49.97,48.59,49.59,50.91,49.5,48.47,49.84,52.09,51.78,50.69,51.56,53.09,52.53,49.94,48.53,48.88,49.12,47.44,46.84,48.97,51.69,51.53,51.25,53.25,55.44,54.97,52.94,52.81,54.44,54.91,53.88,54.03,55.66,56.25,54.34,53.22,55.0,57.5,57.59,57.03,57.78,58.78,57.44,54.62,53.69,55.47,56.47,56.0,56.19,58.59,59.56,57.25,54.97,55.0,56.03,55.62,55.0,56.97,59.81,60.44,58.78,58.53,59.75,59.88,57.44,55.41,56.09,56.88,55.47,55.03,57.59,60.81,61.56,61.34,63.22,66.31,67.91,67.56,68.22,70.12,70.06,66.91,64.34,64.16,64.03,61.59,59.25,59.34,60.25,58.97,57.38,58.16,60.94,62.28,61.41,61.72,63.62,64.38,63.09,62.56,64.81,67.47,67.56,67.5,69.09,71.03,69.97,67.34,65.72,66.0,65.5,62.97,62.16,63.41,64.09,62.22,60.69,62.16,63.97,63.78,63.44,65.62,68.81,69.38,67.88,67.53,68.31,67.44,64.66,62.69,63.56,63.97,62.0,60.25,61.19,62.38,61.25,59.66,60.28,62.09,61.5,59.47,58.28,59.16,59.25,57.19,56.0,57.56,58.94,57.88,56.75,58.16,60.59,60.78,59.97,60.59,62.22,61.62,59.28,57.81,59.03,59.28,57.22,56.03,56.66,57.12,55.12,52.78,52.84,54.0,53.06,51.28,51.22,52.94,52.69,50.97,50.44,52.5,53.97,53.25,52.62,54.47,56.0,55.28,54.28,55.84,58.44,58.84,58.03,58.31,60.25,60.22,57.88,56.12,56.59,56.62,54.62,53.25,54.81,56.88,56.5,55.12,55.44,56.59,55.59,52.97,52.09,53.28,53.62,52.59,52.53,55.12,57.5,57.41,30.06,30.16,31.88,33.06,33.03,33.56,35.59:15.12,16.22,15.78,14.09,13.94,16.03,17.25,15.81,14.81,15.94,16.94,14.97,13.22,14.0,15.72,15.66,14.53,15.75,17.91,18.16,16.5,15.69,17.06,18.25,17.25,16.75,18.44,19.84,18.06,15.72,15.59,16.66,15.75,14.03,14.12,15.78,15.56,12.97,10.84,11.31,11.03,9.31,7.94,9.59,12.09,12.22,11.75,13.53,16.62,17.34,16.0,16.19,17.25,16.91,14.94,13.75,15.22,16.66,15.41,13.84,14.59,15.09,12.66,9.5,8.75,9.59,8.88,7.38,8.34,11.38,13.56,14.28,14.88,17.84,20.0,19.16,17.75,18.69,20.56,20.28,19.12,20.25,22.28,22.38,20.38,19.38,20.19,19.97,18.12,16.59,17.75,18.81,17.12,14.88,14.12,14.19,11.94,9.34,9.03,11.41,12.59,11.88,12.12,14.03,14.78,12.97,11.38,13.0,14.72,13.88,12.31,12.59,13.22,11.28,8.41,7.5,8.56,8.47,6.75,5.88,7.5,8.5,7.53,6.53,8.28,10.88,10.94,10.56,12.22,15.34,16.19,15.91,16.78,19.31,20.75,19.94,20.0,22.38,24.41,23.12,20.56,19.72,19.28,17.03,14.75,15.38,18.22,19.41,18.66,18.22,19.09,18.12,14.66,12.09,12.81,14.19,14.22,14.44,17.5,21.06,21.56,20.19,19.78,19.66,17.75,13.62,11.03,11.0,10.53,8.62,7.34,8.78,9.91,8.94,7.44,8.56,10.44,10.53,9.56,10.12,12.53,13.28,12.62,12.91,15.53,17.25,16.25,15.25,16.06,16.75,14.91,12.53,12.38,13.59,13.34,12.19,12.94,15.75,17.66,17.47,17.59,19.84,21.22,20.12,18.53,19.56,20.5,19.0,16.72,16.47,17.62,17.75,16.44,16.5,18.09,18.0,15.72,13.5,13.88,14.03,12.25,10.84,12.66,15.5,16.78,17.5,20.06,23.41,24.53,23.31,22.38,22.88,22.44,19.66,17.81,18.84,19.66,18.34,16.62,17.16,18.81,18.41,16.94,17.44,18.97,19.03,17.34,17.06,19.28,21.03,20.28,19.16,20.31,21.22,20.09,18.91,20.34,23.16,24.19,24.19,25.94,28.91,30.41,28.88,27.84,28.06,27.25,24.06,20.56,19.81,19.0,16.09,12.5,11.44,11.66,11.03,9.69,10.62,13.56,15.91,15.84,16.16,18.38,20.16,19.25,17.94,19.34,20.5,19.75,18.31,18.5,20.0,20.0,18.34,17.56,18.53,18.94,16.56,15.44,17.19,19.06,19.12,19.09,21.72,24.91,26.22,26.19,27.94,30.44,30.78,29.34,28.84,29.78,29.62,26.66,23.94,23.78,23.5,21.25,18.94,18.91,19.69,18.62,16.56,16.41,18.19,18.84,17.94,17.97,19.78,21.22,20.28,19.84,22.03,24.78,24.84,24.69,26.75,29.38,30.25,29.56,29.91,31.38,31.25,29.28,28.81,30.94,33.0,32.97,32.75,34.09,35.06,33.22,30.53,29.94,30.84,31.09,30.5,31.69,34.81,36.5,35.53,34.69,35.69,35.66,32.78,29.78,28.56,28.19,25.97,23.09,22.88,23.75,23.94,23.12,23.81,26.72,28.41,28.0,28.0,30.03,32.84,33.5,34.22,36.62,39.72,40.19,38.56,38.5,39.19,37.94,34.53,32.16,31.47,29.66,25.56,21.84,20.56,19.91,17.12,14.84,15.53,17.38,18.12,18.5,20.75,24.5,27.16,27.69,28.88,31.28,32.62,30.72,27.75,26.97,26.5,24.41,22.16,22.44,24.22,23.97,21.81,20.97,21.12,20.34,17.94,16.59,18.12,20.12,20.28,20.69,23.78,28.0,29.94,31.38,34.03,37.34,37.94,35.5,33.22,31.53,28.84,24.34,21.31,21.62,23.28,23.62,24.16,26.81,29.97,30.38,29.25,29.28,30.03,29.56,27.28,26.38,27.53,28.38,27.28,26.72,28.66,30.62,30.5,29.88,31.44,34.62,35.16,34.78,35.5,37.72,38.53,37.19,36.44,37.16,36.72,33.88,31.47,31.97,33.5,33.03,32.59,33.81,36.03,36.06,34.28,33.72,34.5,34.41,32.66,32.09,33.78,35.5,34.5,33.38,33.94,35.12,33.69,31.97,31.84,32.59,32.03,29.62,28.97,30.19,31.16,30.44,30.78,33.44,36.12,36.53,36.34,38.22,40.31,39.56,37.0,36.0,36.22,35.47,33.66,33.66,36.16,37.91,37.75,37.66,40.41,43.03,43.88,44.75,47.28,50.72,51.53,50.81,50.78,51.66,51.06,48.94,47.62,48.5,48.94,47.12,45.19,45.0,45.12,42.94,40.41,39.31,39.34,37.53,34.53,33.16,33.72,34.22,33.66,34.34,38.16,41.28,42.41,43.5,46.12,48.69,48.47,47.12,47.12,48.06,47.12,44.56,43.19,43.78,43.09,41.12,39.38,40.09,40.28,38.47,36.66,37.25,39.22,38.94,37.94,38.72,40.75,40.66,38.88,38.19,38.97,38.69,36.75,35.69,37.28,39.09,38.75,38.34,39.72,42.16,42.62,42.28,43.47,46.09,46.97,46.06,45.38,46.59,46.81,44.91,42.97,43.34,43.75,41.75,38.72,37.56,37.69,36.25,33.91,33.56,35.59,37.03,37.47,39.28,43.41,47.38,48.16,48.03,49.16,49.91,47.69,44.12,42.16,41.5,39.31,36.66,35.66,36.91,37.09,35.16,33.5,34.22,34.22,32.41,30.34,30.75,31.5,29.97,27.88,28.09,29.91,30.94,31.0,32.69,36.47,39.12,39.94,40.75,43.5,45.66,44.78,42.94,43.19,43.78,42.31,40.06,39.47,40.31,39.56,37.84,37.34,39.62,40.97,40.12,39.47,40.25,40.41,37.78,34.38,33.16,33.56,33.03,32.19,33.19,36.31,37.44,36.66,36.28,38.09,39.06,38.34,38.03,41.06,44.28,44.59,44.06,44.09,44.56,42.84,39.84,38.5,39.5,39.81,38.59,38.66,41.22,43.0,42.38,41.03,42.12,42.91,41.38,38.69,37.84,37.91,36.34,34.25,33.94,36.16,37.81,37.72,37.72,39.75,41.34,40.5,39.31,40.62,43.22,43.59,42.91,44.16,46.41,46.66,45.5,45.03,46.25,46.88,45.41,44.09,45.22,45.97,44.25,42.12,42.25,43.28,42.06,39.91,39.28,39.38,38.34,36.19,35.56,38.09,40.47,41.44,42.78,47.12,51.5,53.53,54.28,56.69,58.72,58.28,56.12,54.91,55.38,54.44,51.69,49.69,50.09,50.19,48.28,46.19,46.44,46.84,45.12,42.22,41.56,42.19,41.81,40.38,40.91,43.66,45.97,45.97,47.0,49.59,51.66,50.53,49.06,49.91,51.5,51.41,50.12,51.22,52.84,52.47,50.72,49.94,51.25,51.84,50.31,49.69,50.75,51.41,49.91,48.03,48.59,50.03,49.56,47.5,47.41,48.28,48.19,46.59,46.41,48.56,50.0,49.0,48.0,49.28,50.25,49.19,47.69,49.03,51.28,52.22,51.84,52.94,55.34,56.03,54.34,53.06,53.31,52.72,49.94,47.97,49.12,51.0,50.94,50.03,50.81,52.12,51.47,49.38,49.06,50.44,51.41,49.81,49.22,50.78,52.25,51.19,50.53,52.28,54.56,54.5,53.41,53.56,54.62,54.12,51.69,50.38,50.59,50.12,47.59,45.97,47.25,48.5,47.75,46.38,47.62,49.59,49.75,49.31,51.19,54.34,55.66,55.28,55.34,57.19,58.12,56.16,54.5,54.81,54.97,52.53,49.66,49.22,50.06,49.28,48.0,48.69,50.97,52.28,51.78,52.03,53.75,54.84,53.25,51.72,52.38,53.41,52.03,49.91,50.06,51.0,50.03,47.69,46.97,48.0,48.22,46.53,46.22,47.88,49.41,48.53,47.31,49.03,51.25,51.28,50.56,51.81,53.88,53.66,51.69,50.81,51.81,51.94,49.97,48.59,49.59,50.91,49.5,48.47,49.84,52.09,51.78,50.69,51.56,53.09,52.53,49.94,48.53,48.88,49.12,47.44,46.84,48.97,51.69,51.53,51.25,53.25,55.44,54.97,52.94,52.81,54.44,54.91,53.88,54.03,55.66,56.25,54.34,53.22,55.0,57.5,57.59,57.03,57.78,58.78,57.44,54.62,53.69,55.47,56.47,56.0,56.19,58.59,59.56,57.25,54.97,55.0,56.03,55.62,55.0,56.97,59.81,60.44,58.78,58.53,59.75,59.88,57.44,55.41,56.09,56.88,55.47,55.03,57.59,60.81,61.56,61.34,63.22,66.31,67.91,67.56,68.22,70.12,70.06,66.91,64.34,64.16,64.03,61.59,59.25,59.34,60.25,58.97,57.38,58.16,60.94,62.28,61.41,61.72,63.62,64.38,63.09,62.56,64.81,67.47,67.56,67.5,69.09,71.03,69.97,67.34,65.72,66.0,65.5,62.97,62.16,63.41,64.09,62.22,60.69,62.16,63.97,63.78,63.44,65.62,68.81,69.38,67.88,67.53,68.31,67.44,64.66,62.69,63.56,63.97,62.0,60.25,61.19,62.38,61.25,59.66,60.28,62.09,61.5,59.47,58.28,59.16,59.25,57.19,56.0,57.56,58.94,57.88,56.75,58.16,60.59,60.78,59.97,60.59,62.22,61.62,59.28,57.81,59.03,59.28,57.22,56.03,56.66,57.12,55.12,52.78,52.84,54.0,53.06,51.28,51.22,52.94,52.69,50.97,50.44,52.5,53.97,53.25,52.62,54.47,56.0,55.28,54.28,55.84,58.44,58.84,58.03,58.31,60.25,60.22,57.88,56.12,56.59,56.62,54.62,53.25,54.81,56.88,56.5,55.12,55.44,56.59,55.59,52.97,52.09,53.28,53.62,52.59,52.53,55.12,57.5,57.41,30.06,30.16,31.88,33.06,33.03,33.56,35.59,36.75,36.09,35.22,35.84,36.84,36.0,34.69:15.81,14.81,15.94,16.94,14.97,13.22,14.0,15.72,15.66,14.53,15.75,17.91,18.16,16.5,15.69,17.06,18.25,17.25,16.75,18.44,19.84,18.06,15.72,15.59,16.66,15.75,14.03,14.12,15.78,15.56,12.97,10.84,11.31,11.03,9.31,7.94,9.59,12.09,12.22,11.75,13.53,16.62,17.34,16.0,16.19,17.25,16.91,14.94,13.75,15.22,16.66,15.41,13.84,14.59,15.09,12.66,9.5,8.75,9.59,8.88,7.38,8.34,11.38,13.56,14.28,14.88,17.84,20.0,19.16,17.75,18.69,20.56,20.28,19.12,20.25,22.28,22.38,20.38,19.38,20.19,19.97,18.12,16.59,17.75,18.81,17.12,14.88,14.12,14.19,11.94,9.34,9.03,11.41,12.59,11.88,12.12,14.03,14.78,12.97,11.38,13.0,14.72,13.88,12.31,12.59,13.22,11.28,8.41,7.5,8.56,8.47,6.75,5.88,7.5,8.5,7.53,6.53,8.28,10.88,10.94,10.56,12.22,15.34,16.19,15.91,16.78,19.31,20.75,19.94,20.0,22.38,24.41,23.12,20.56,19.72,19.28,17.03,14.75,15.38,18.22,19.41,18.66,18.22,19.09,18.12,14.66,12.09,12.81,14.19,14.22,14.44,17.5,21.06,21.56,20.19,19.78,19.66,17.75,13.62,11.03,11.0,10.53,8.62,7.34,8.78,9.91,8.94,7.44,8.56,10.44,10.53,9.56,10.12,12.53,13.28,12.62,12.91,15.53,17.25,16.25,15.25,16.06,16.75,14.91,12.53,12.38,13.59,13.34,12.19,12.94,15.75,17.66,17.47,17.59,19.84,21.22,20.12,18.53,19.56,20.5,19.0,16.72,16.47,17.62,17.75,16.44,16.5,18.09,18.0,15.72,13.5,13.88,14.03,12.25,10.84,12.66,15.5,16.78,17.5,20.06,23.41,24.53,23.31,22.38,22.88,22.44,19.66,17.81,18.84,19.66,18.34,16.62,17.16,18.81,18.41,16.94,17.44,18.97,19.03,17.34,17.06,19.28,21.03,20.28,19.16,20.31,21.22,20.09,18.91,20.34,23.16,24.19,24.19,25.94,28.91,30.41,28.88,27.84,28.06,27.25,24.06,20.56,19.81,19.0,16.09,12.5,11.44,11.66,11.03,9.69,10.62,13.56,15.91,15.84,16.16,18.38,20.16,19.25,17.94,19.34,20.5,19.75,18.31,18.5,20.0,20.0,18.34,17.56,18.53,18.94,16.56,15.44,17.19,19.06,19.12,19.09,21.72,24.91,26.22,26.19,27.94,30.44,30.78,29.34,28.84,29.78,29.62,26.66,23.94,23.78,23.5,21.25,18.94,18.91,19.69,18.62,16.56,16.41,18.19,18.84,17.94,17.97,19.78,21.22,20.28,19.84,22.03,24.78,24.84,24.69,26.75,29.38,30.25,29.56,29.91,31.38,31.25,29.28,28.81,30.94,33.0,32.97,32.75,34.09,35.06,33.22,30.53,29.94,30.84,31.09,30.5,31.69,34.81,36.5,35.53,34.69,35.69,35.66,32.78,29.78,28.56,28.19,25.97,23.09,22.88,23.75,23.94,23.12,23.81,26.72,28.41,28.0,28.0,30.03,32.84,33.5,34.22,36.62,39.72,40.19,38.56,38.5,39.19,37.94,34.53,32.16,31.47,29.66,25.56,21.84,20.56,19.91,17.12,14.84,15.53,17.38,18.12,18.5,20.75,24.5,27.16,27.69,28.88,31.28,32.62,30.72,27.75,26.97,26.5,24.41,22.16,22.44,24.22,23.97,21.81,20.97,21.12,20.34,17.94,16.59,18.12,20.12,20.28,20.69,23.78,28.0,29.94,31.38,34.03,37.34,37.94,35.5,33.22,31.53,28.84,24.34,21.31,21.62,23.28,23.62,24.16,26.81,29.97,30.38,29.25,29.28,30.03,29.56,27.28,26.38,27.53,28.38,27.28,26.72,28.66,30.62,30.5,29.88,31.44,34.62,35.16,34.78,35.5,37.72,38.53,37.19,36.44,37.16,36.72,33.88,31.47,31.97,33.5,33.03,32.59,33.81,36.03,36.06,34.28,33.72,34.5,34.41,32.66,32.09,33.78,35.5,34.5,33.38,33.94,35.12,33.69,31.97,31.84,32.59,32.03,29.62,28.97,30.19,31.16,30.44,30.78,33.44,36.12,36.53,36.34,38.22,40.31,39.56,37.0,36.0,36.22,35.47,33.66,33.66,36.16,37.91,37.75,37.66,40.41,43.03,43.88,44.75,47.28,50.72,51.53,50.81,50.78,51.66,51.06,48.94,47.62,48.5,48.94,47.12,45.19,45.0,45.12,42.94,40.41,39.31,39.34,37.53,34.53,33.16,33.72,34.22,33.66,34.34,38.16,41.28,42.41,43.5,46.12,48.69,48.47,47.12,47.12,48.06,47.12,44.56,43.19,43.78,43.09,41.12,39.38,40.09,40.28,38.47,36.66,37.25,39.22,38.94,37.94,38.72,40.75,40.66,38.88,38.19,38.97,38.69,36.75,35.69,37.28,39.09,38.75,38.34,39.72,42.16,42.62,42.28,43.47,46.09,46.97,46.06,45.38,46.59,46.81,44.91,42.97,43.34,43.75,41.75,38.72,37.56,37.69,36.25,33.91,33.56,35.59,37.03,37.47,39.28,43.41,47.38,48.16,48.03,49.16,49.91,47.69,44.12,42.16,41.5,39.31,36.66,35.66,36.91,37.09,35.16,33.5,34.22,34.22,32.41,30.34,30.75,31.5,29.97,27.88,28.09,29.91,30.94,31.0,32.69,36.47,39.12,39.94,40.75,43.5,45.66,44.78,42.94,43.19,43.78,42.31,40.06,39.47,40.31,39.56,37.84,37.34,39.62,40.97,40.12,39.47,40.25,40.41,37.78,34.38,33.16,33.56,33.03,32.19,33.19,36.31,37.44,36.66,36.28,38.09,39.06,38.34,38.03,41.06,44.28,44.59,44.06,44.09,44.56,42.84,39.84,38.5,39.5,39.81,38.59,38.66,41.22,43.0,42.38,41.03,42.12,42.91,41.38,38.69,37.84,37.91,36.34,34.25,33.94,36.16,37.81,37.72,37.72,39.75,41.34,40.5,39.31,40.62,43.22,43.59,42.91,44.16,46.41,46.66,45.5,45.03,46.25,46.88,45.41,44.09,45.22,45.97,44.25,42.12,42.25,43.28,42.06,39.91,39.28,39.38,38.34,36.19,35.56,38.09,40.47,41.44,42.78,47.12,51.5,53.53,54.28,56.69,58.72,58.28,56.12,54.91,55.38,54.44,51.69,49.69,50.09,50.19,48.28,46.19,46.44,46.84,45.12,42.22,41.56,42.19,41.81,40.38,40.91,43.66,45.97,45.97,47.0,49.59,51.66,50.53,49.06,49.91,51.5,51.41,50.12,51.22,52.84,52.47,50.72,49.94,51.25,51.84,50.31,49.69,50.75,51.41,49.91,48.03,48.59,50.03,49.56,47.5,47.41,48.28,48.19,46.59,46.41,48.56,50.0,49.0,48.0,49.28,50.25,49.19,47.69,49.03,51.28,52.22,51.84,52.94,55.34,56.03,54.34,53.06,53.31,52.72,49.94,47.97,49.12,51.0,50.94,50.03,50.81,52.12,51.47,49.38,49.06,50.44,51.41,49.81,49.22,50.78,52.25,51.19,50.53,52.28,54.56,54.5,53.41,53.56,54.62,54.12,51.69,50.38,50.59,50.12,47.59,45.97,47.25,48.5,47.75,46.38,47.62,49.59,49.75,49.31,51.19,54.34,55.66,55.28,55.34,57.19,58.12,56.16,54.5,54.81,54.97,52.53,49.66,49.22,50.06,49.28,48.0,48.69,50.97,52.28,51.78,52.03,53.75,54.84,53.25,51.72,52.38,53.41,52.03,49.91,50.06,51.0,50.03,47.69,46.97,48.0,48.22,46.53,46.22,47.88,49.41,48.53,47.31,49.03,51.25,51.28,50.56,51.81,53.88,53.66,51.69,50.81,51.81,51.94,49.97,48.59,49.59,50.91,49.5,48.47,49.84,52.09,51.78,50.69,51.56,53.09,52.53,49.94,48.53,48.88,49.12,47.44,46.84,48.97,51.69,51.53,51.25,53.25,55.44,54.97,52.94,52.81,54.44,54.91,53.88,54.03,55.66,56.25,54.34,53.22,55.0,57.5,57.59,57.03,57.78,58.78,57.44,54.62,53.69,55.47,56.47,56.0,56.19,58.59,59.56,57.25,54.97,55.0,56.03,55.62,55.0,56.97,59.81,60.44,58.78,58.53,59.75,59.88,57.44,55.41,56.09,56.88,55.47,55.03,57.59,60.81,61.56,61.34,63.22,66.31,67.91,67.56,68.22,70.12,70.06,66.91,64.34,64.16,64.03,61.59,59.25,59.34,60.25,58.97,57.38,58.16,60.94,62.28,61.41,61.72,63.62,64.38,63.09,62.56,64.81,67.47,67.56,67.5,69.09,71.03,69.97,67.34,65.72,66.0,65.5,62.97,62.16,63.41,64.09,62.22,60.69,62.16,63.97,63.78,63.44,65.62,68.81,69.38,67.88,67.53,68.31,67.44,64.66,62.69,63.56,63.97,62.0,60.25,61.19,62.38,61.25,59.66,60.28,62.09,61.5,59.47,58.28,59.16,59.25,57.19,56.0,57.56,58.94,57.88,56.75,58.16,60.59,60.78,59.97,60.59,62.22,61.62,59.28,57.81,59.03,59.28,57.22,56.03,56.66,57.12,55.12,52.78,52.84,54.0,53.06,51.28,51.22,52.94,52.69,50.97,50.44,52.5,53.97,53.25,52.62,54.47,56.0,55.28,54.28,55.84,58.44,58.84,58.03,58.31,60.25,60.22,57.88,56.12,56.59,56.62,54.62,53.25,54.81,56.88,56.5,55.12,55.44,56.59,55.59,52.97,52.09,53.28,53.62,52.59,52.53,55.12,57.5,57.41,30.06,30.16,31.88,33.06,33.03,33.56,35.59,36.75,36.09,35.22,35.84,36.84,36.0,34.69,34.41,35.06,34.25,32.78,32.41,33.03,33.22:15.72,15.66,14.53,15.75,17.91,18.16,16.5,15.69,17.06,18.25,17.25,16.75,18.44,19.84,18.06,15.72,15.59,16.66,15.75,14.03,14.12,15.78,15.56,12.97,10.84,11.31,11.03,9.31,7.94,9.59,12.09,12.22,11.75,13.53,16.62,17.34,16.0,16.19,17.25,16.91,14.94,13.75,15.22,16.66,15.41,13.84,14.59,15.09,12.66,9.5,8.75,9.59,8.88,7.38,8.34,11.38,13.56,14.28,14.88,17.84,20.0,19.16,17.75,18.69,20.56,20.28,19.12,20.25,22.28,22.38,20.38,19.38,20.19,19.97,18.12,16.59,17.75,18.81,17.12,14.88,14.12,14.19,11.94,9.34,9.03,11.41,12.59,11.88,12.12,14.03,14.78,12.97,11.38,13.0,14.72,13.88,12.31,12.59,13.22,11.28,8.41,7.5,8.56,8.47,6.75,5.88,7.5,8.5,7.53,6.53,8.28,10.88,10.94,10.56,12.22,15.34,16.19,15.91,16.78,19.31,20.75,19.94,20.0,22.38,24.41,23.12,20.56,19.72,19.28,17.03,14.75,15.38,18.22,19.41,18.66,18.22,19.09,18.12,14.66,12.09,12.81,14.19,14.22,14.44,17.5,21.06,21.56,20.19,19.78,19.66,17.75,13.62,11.03,11.0,10.53,8.62,7.34,8.78,9.91,8.94,7.44,8.56,10.44,10.53,9.56,10.12,12.53,13.28,12.62,12.91,15.53,17.25,16.25,15.25,16.06,16.75,14.91,12.53,12.38,13.59,13.34,12.19,12.94,15.75,17.66,17.47,17.59,19.84,21.22,20.12,18.53,19.56,20.5,19.0,16.72,16.47,17.62,17.75,16.44,16.5,18.09,18.0,15.72,13.5,13.88,14.03,12.25,10.84,12.66,15.5,16.78,17.5,20.06,23.41,24.53,23.31,22.38,22.88,22.44,19.66,17.81,18.84,19.66,18.34,16.62,17.16,18.81,18.41,16.94,17.44,18.97,19.03,17.34,17.06,19.28,21.03,20.28,19.16,20.31,21.22,20.09,18.91,20.34,23.16,24.19,24.19,25.94,28.91,30.41,28.88,27.84,28.06,27.25,24.06,20.56,19.81,19.0,16.09,12.5,11.44,11.66,11.03,9.69,10.62,13.56,15.91,15.84,16.16,18.38,20.16,19.25,17.94,19.34,20.5,19.75,18.31,18.5,20.0,20.0,18.34,17.56,18.53,18.94,16.56,15.44,17.19,19.06,19.12,19.09,21.72,24.91,26.22,26.19,27.94,30.44,30.78,29.34,28.84,29.78,29.62,26.66,23.94,23.78,23.5,21.25,18.94,18.91,19.69,18.62,16.56,16.41,18.19,18.84,17.94,17.97,19.78,21.22,20.28,19.84,22.03,24.78,24.84,24.69,26.75,29.38,30.25,29.56,29.91,31.38,31.25,29.28,28.81,30.94,33.0,32.97,32.75,34.09,35.06,33.22,30.53,29.94,30.84,31.09,30.5,31.69,34.81,36.5,35.53,34.69,35.69,35.66,32.78,29.78,28.56,28.19,25.97,23.09,22.88,23.75,23.94,23.12,23.81,26.72,28.41,28.0,28.0,30.03,32.84,33.5,34.22,36.62,39.72,40.19,38.56,38.5,39.19,37.94,34.53,32.16,31.47,29.66,25.56,21.84,20.56,19.91,17.12,14.84,15.53,17.38,18.12,18.5,20.75,24.5,27.16,27.69,28.88,31.28,32.62,30.72,27.75,26.97,26.5,24.41,22.16,22.44,24.22,23.97,21.81,20.97,21.12,20.34,17.94,16.59,18.12,20.12,20.28,20.69,23.78,28.0,29.94,31.38,34.03,37.34,37.94,35.5,33.22,31.53,28.84,24.34,21.31,21.62,23.28,23.62,24.16,26.81,29.97,30.38,29.25,29.28,30.03,29.56,27.28,26.38,27.53,28.38,27.28,26.72,28.66,30.62,30.5,29.88,31.44,34.62,35.16,34.78,35.5,37.72,38.53,37.19,36.44,37.16,36.72,33.88,31.47,31.97,33.5,33.03,32.59,33.81,36.03,36.06,34.28,33.72,34.5,34.41,32.66,32.09,33.78,35.5,34.5,33.38,33.94,35.12,33.69,31.97,31.84,32.59,32.03,29.62,28.97,30.19,31.16,30.44,30.78,33.44,36.12,36.53,36.34,38.22,40.31,39.56,37.0,36.0,36.22,35.47,33.66,33.66,36.16,37.91,37.75,37.66,40.41,43.03,43.88,44.75,47.28,50.72,51.53,50.81,50.78,51.66,51.06,48.94,47.62,48.5,48.94,47.12,45.19,45.0,45.12,42.94,40.41,39.31,39.34,37.53,34.53,33.16,33.72,34.22,33.66,34.34,38.16,41.28,42.41,43.5,46.12,48.69,48.47,47.12,47.12,48.06,47.12,44.56,43.19,43.78,43.09,41.12,39.38,40.09,40.28,38.47,36.66,37.25,39.22,38.94,37.94,38.72,40.75,40.66,38.88,38.19,38.97,38.69,36.75,35.69,37.28,39.09,38.75,38.34,39.72,42.16,42.62,42.28,43.47,46.09,46.97,46.06,45.38,46.59,46.81,44.91,42.97,43.34,43.75,41.75,38.72,37.56,37.69,36.25,33.91,33.56,35.59,37.03,37.47,39.28,43.41,47.38,48.16,48.03,49.16,49.91,47.69,44.12,42.16,41.5,39.31,36.66,35.66,36.91,37.09,35.16,33.5,34.22,34.22,32.41,30.34,30.75,31.5,29.97,27.88,28.09,29.91,30.94,31.0,32.69,36.47,39.12,39.94,40.75,43.5,45.66,44.78,42.94,43.19,43.78,42.31,40.06,39.47,40.31,39.56,37.84,37.34,39.62,40.97,40.12,39.47,40.25,40.41,37.78,34.38,33.16,33.56,33.03,32.19,33.19,36.31,37.44,36.66,36.28,38.09,39.06,38.34,38.03,41.06,44.28,44.59,44.06,44.09,44.56,42.84,39.84,38.5,39.5,39.81,38.59,38.66,41.22,43.0,42.38,41.03,42.12,42.91,41.38,38.69,37.84,37.91,36.34,34.25,33.94,36.16,37.81,37.72,37.72,39.75,41.34,40.5,39.31,40.62,43.22,43.59,42.91,44.16,46.41,46.66,45.5,45.03,46.25,46.88,45.41,44.09,45.22,45.97,44.25,42.12,42.25,43.28,42.06,39.91,39.28,39.38,38.34,36.19,35.56,38.09,40.47,41.44,42.78,47.12,51.5,53.53,54.28,56.69,58.72,58.28,56.12,54.91,55.38,54.44,51.69,49.69,50.09,50.19,48.28,46.19,46.44,46.84,45.12,42.22,41.56,42.19,41.81,40.38,40.91,43.66,45.97,45.97,47.0,49.59,51.66,50.53,49.06,49.91,51.5,51.41,50.12,51.22,52.84,52.47,50.72,49.94,51.25,51.84,50.31,49.69,50.75,51.41,49.91,48.03,48.59,50.03,49.56,47.5,47.41,48.28,48.19,46.59,46.41,48.56,50.0,49.0,48.0,49.28,50.25,49.19,47.69,49.03,51.28,52.22,51.84,52.94,55.34,56.03,54.34,53.06,53.31,52.72,49.94,47.97,49.12,51.0,50.94,50.03,50.81,52.12,51.47,49.38,49.06,50.44,51.41,49.81,49.22,50.78,52.25,51.19,50.53,52.28,54.56,54.5,53.41,53.56,54.62,54.12,51.69,50.38,50.59,50.12,47.59,45.97,47.25,48.5,47.75,46.38,47.62,49.59,49.75,49.31,51.19,54.34,55.66,55.28,55.34,57.19,58.12,56.16,54.5,54.81,54.97,52.53,49.66,49.22,50.06,49.28,48.0,48.69,50.97,52.28,51.78,52.03,53.75,54.84,53.25,51.72,52.38,53.41,52.03,49.91,50.06,51.0,50.03,47.69,46.97,48.0,48.22,46.53,46.22,47.88,49.41,48.53,47.31,49.03,51.25,51.28,50.56,51.81,53.88,53.66,51.69,50.81,51.81,51.94,49.97,48.59,49.59,50.91,49.5,48.47,49.84,52.09,51.78,50.69,51.56,53.09,52.53,49.94,48.53,48.88,49.12,47.44,46.84,48.97,51.69,51.53,51.25,53.25,55.44,54.97,52.94,52.81,54.44,54.91,53.88,54.03,55.66,56.25,54.34,53.22,55.0,57.5,57.59,57.03,57.78,58.78,57.44,54.62,53.69,55.47,56.47,56.0,56.19,58.59,59.56,57.25,54.97,55.0,56.03,55.62,55.0,56.97,59.81,60.44,58.78,58.53,59.75,59.88,57.44,55.41,56.09,56.88,55.47,55.03,57.59,60.81,61.56,61.34,63.22,66.31,67.91,67.56,68.22,70.12,70.06,66.91,64.34,64.16,64.03,61.59,59.25,59.34,60.25,58.97,57.38,58.16,60.94,62.28,61.41,61.72,63.62,64.38,63.09,62.56,64.81,67.47,67.56,67.5,69.09,71.03,69.97,67.34,65.72,66.0,65.5,62.97,62.16,63.41,64.09,62.22,60.69,62.16,63.97,63.78,63.44,65.62,68.81,69.38,67.88,67.53,68.31,67.44,64.66,62.69,63.56,63.97,62.0,60.25,61.19,62.38,61.25,59.66,60.28,62.09,61.5,59.47,58.28,59.16,59.25,57.19,56.0,57.56,58.94,57.88,56.75,58.16,60.59,60.78,59.97,60.59,62.22,61.62,59.28,57.81,59.03,59.28,57.22,56.03,56.66,57.12,55.12,52.78,52.84,54.0,53.06,51.28,51.22,52.94,52.69,50.97,50.44,52.5,53.97,53.25,52.62,54.47,56.0,55.28,54.28,55.84,58.44,58.84,58.03,58.31,60.25,60.22,57.88,56.12,56.59,56.62,54.62,53.25,54.81,56.88,56.5,55.12,55.44,56.59,55.59,52.97,52.09,53.28,53.62,52.59,52.53,55.12,57.5,57.41,30.06,30.16,31.88,33.06,33.03,33.56,35.59,36.75,36.09,35.22,35.84,36.84,36.0,34.69,34.41,35.06,34.25,32.78,32.41,33.03,33.22,31.41,29.88,29.84,29.81,28.03,26.81,27.28:15.69,17.06,18.25,17.25,16.75,18.44,19.84,18.06,15.72,15.59,16.66,15.75,14.03,14.12,15.78,15.56,12.97,10.84,11.31,11.03,9.31,7.94,9.59,12.09,12.22,11.75,13.53,16.62,17.34,16.0,16.19,17.25,16.91,14.94,13.75,15.22,16.66,15.41,13.84,14.59,15.09,12.66,9.5,8.75,9.59,8.88,7.38,8.34,11.38,13.56,14.28,14.88,17.84,20.0,19.16,17.75,18.69,20.56,20.28,19.12,20.25,22.28,22.38,20.38,19.38,20.19,19.97,18.12,16.59,17.75,18.81,17.12,14.88,14.12,14.19,11.94,9.34,9.03,11.41,12.59,11.88,12.12,14.03,14.78,12.97,11.38,13.0,14.72,13.88,12.31,12.59,13.22,11.28,8.41,7.5,8.56,8.47,6.75,5.88,7.5,8.5,7.53,6.53,8.28,10.88,10.94,10.56,12.22,15.34,16.19,15.91,16.78,19.31,20.75,19.94,20.0,22.38,24.41,23.12,20.56,19.72,19.28,17.03,14.75,15.38,18.22,19.41,18.66,18.22,19.09,18.12,14.66,12.09,12.81,14.19,14.22,14.44,17.5,21.06,21.56,20.19,19.78,19.66,17.75,13.62,11.03,11.0,10.53,8.62,7.34,8.78,9.91,8.94,7.44,8.56,10.44,10.53,9.56,10.12,12.53,13.28,12.62,12.91,15.53,17.25,16.25,15.25,16.06,16.75,14.91,12.53,12.38,13.59,13.34,12.19,12.94,15.75,17.66,17.47,17.59,19.84,21.22,20.12,18.53,19.56,20.5,19.0,16.72,16.47,17.62,17.75,16.44,16.5,18.09,18.0,15.72,13.5,13.88,14.03,12.25,10.84,12.66,15.5,16.78,17.5,20.06,23.41,24.53,23.31,22.38,22.88,22.44,19.66,17.81,18.84,19.66,18.34,16.62,17.16,18.81,18.41,16.94,17.44,18.97,19.03,17.34,17.06,19.28,21.03,20.28,19.16,20.31,21.22,20.09,18.91,20.34,23.16,24.19,24.19,25.94,28.91,30.41,28.88,27.84,28.06,27.25,24.06,20.56,19.81,19.0,16.09,12.5,11.44,11.66,11.03,9.69,10.62,13.56,15.91,15.84,16.16,18.38,20.16,19.25,17.94,19.34,20.5,19.75,18.31,18.5,20.0,20.0,18.34,17.56,18.53,18.94,16.56,15.44,17.19,19.06,19.12,19.09,21.72,24.91,26.22,26.19,27.94,30.44,30.78,29.34,28.84,29.78,29.62,26.66,23.94,23.78,23.5,21.25,18.94,18.91,19.69,18.62,16.56,16.41,18.19,18.84,17.94,17.97,19.78,21.22,20.28,19.84,22.03,24.78,24.84,24.69,26.75,29.38,30.25,29.56,29.91,31.38,31.25,29.28,28.81,30.94,33.0,32.97,32.75,34.09,35.06,33.22,30.53,29.94,30.84,31.09,30.5,31.69,34.81,36.5,35.53,34.69,35.69,35.66,32.78,29.78,28.56,28.19,25.97,23.09,22.88,23.75,23.94,23.12,23.81,26.72,28.41,28.0,28.0,30.03,32.84,33.5,34.22,36.62,39.72,40.19,38.56,38.5,39.19,37.94,34.53,32.16,31.47,29.66,25.56,21.84,20.56,19.91,17.12,14.84,15.53,17.38,18.12,18.5,20.75,24.5,27.16,27.69,28.88,31.28,32.62,30.72,27.75,26.97,26.5,24.41,22.16,22.44,24.22,23.97,21.81,20.97,21.12,20.34,17.94,16.59,18.12,20.12,20.28,20.69,23.78,28.0,29.94,31.38,34.03,37.34,37.94,35.5,33.22,31.53,28.84,24.34,21.31,21.62,23.28,23.62,24.16,26.81,29.97,30.38,29.25,29.28,30.03,29.56,27.28,26.38,27.53,28.38,27.28,26.72,28.66,30.62,30.5,29.88,31.44,34.62,35.16,34.78,35.5,37.72,38.53,37.19,36.44,37.16,36.72,33.88,31.47,31.97,33.5,33.03,32.59,33.81,36.03,36.06,34.28,33.72,34.5,34.41,32.66,32.09,33.78,35.5,34.5,33.38,33.94,35.12,33.69,31.97,31.84,32.59,32.03,29.62,28.97,30.19,31.16,30.44,30.78,33.44,36.12,36.53,36.34,38.22,40.31,39.56,37.0,36.0,36.22,35.47,33.66,33.66,36.16,37.91,37.75,37.66,40.41,43.03,43.88,44.75,47.28,50.72,51.53,50.81,50.78,51.66,51.06,48.94,47.62,48.5,48.94,47.12,45.19,45.0,45.12,42.94,40.41,39.31,39.34,37.53,34.53,33.16,33.72,34.22,33.66,34.34,38.16,41.28,42.41,43.5,46.12,48.69,48.47,47.12,47.12,48.06,47.12,44.56,43.19,43.78,43.09,41.12,39.38,40.09,40.28,38.47,36.66,37.25,39.22,38.94,37.94,38.72,40.75,40.66,38.88,38.19,38.97,38.69,36.75,35.69,37.28,39.09,38.75,38.34,39.72,42.16,42.62,42.28,43.47,46.09,46.97,46.06,45.38,46.59,46.81,44.91,42.97,43.34,43.75,41.75,38.72,37.56,37.69,36.25,33.91,33.56,35.59,37.03,37.47,39.28,43.41,47.38,48.16,48.03,49.16,49.91,47.69,44.12,42.16,41.5,39.31,36.66,35.66,36.91,37.09,35.16,33.5,34.22,34.22,32.41,30.34,30.75,31.5,29.97,27.88,28.09,29.91,30.94,31.0,32.69,36.47,39.12,39.94,40.75,43.5,45.66,44.78,42.94,43.19,43.78,42.31,40.06,39.47,40.31,39.56,37.84,37.34,39.62,40.97,40.12,39.47,40.25,40.41,37.78,34.38,33.16,33.56,33.03,32.19,33.19,36.31,37.44,36.66,36.28,38.09,39.06,38.34,38.03,41.06,44.28,44.59,44.06,44.09,44.56,42.84,39.84,38.5,39.5,39.81,38.59,38.66,41.22,43.0,42.38,41.03,42.12,42.91,41.38,38.69,37.84,37.91,36.34,34.25,33.94,36.16,37.81,37.72,37.72,39.75,41.34,40.5,39.31,40.62,43.22,43.59,42.91,44.16,46.41,46.66,45.5,45.03,46.25,46.88,45.41,44.09,45.22,45.97,44.25,42.12,42.25,43.28,42.06,39.91,39.28,39.38,38.34,36.19,35.56,38.09,40.47,41.44,42.78,47.12,51.5,53.53,54.28,56.69,58.72,58.28,56.12,54.91,55.38,54.44,51.69,49.69,50.09,50.19,48.28,46.19,46.44,46.84,45.12,42.22,41.56,42.19,41.81,40.38,40.91,43.66,45.97,45.97,47.0,49.59,51.66,50.53,49.06,49.91,51.5,51.41,50.12,51.22,52.84,52.47,50.72,49.94,51.25,51.84,50.31,49.69,50.75,51.41,49.91,48.03,48.59,50.03,49.56,47.5,47.41,48.28,48.19,46.59,46.41,48.56,50.0,49.0,48.0,49.28,50.25,49.19,47.69,49.03,51.28,52.22,51.84,52.94,55.34,56.03,54.34,53.06,53.31,52.72,49.94,47.97,49.12,51.0,50.94,50.03,50.81,52.12,51.47,49.38,49.06,50.44,51.41,49.81,49.22,50.78,52.25,51.19,50.53,52.28,54.56,54.5,53.41,53.56,54.62,54.12,51.69,50.38,50.59,50.12,47.59,45.97,47.25,48.5,47.75,46.38,47.62,49.59,49.75,49.31,51.19,54.34,55.66,55.28,55.34,57.19,58.12,56.16,54.5,54.81,54.97,52.53,49.66,49.22,50.06,49.28,48.0,48.69,50.97,52.28,51.78,52.03,53.75,54.84,53.25,51.72,52.38,53.41,52.03,49.91,50.06,51.0,50.03,47.69,46.97,48.0,48.22,46.53,46.22,47.88,49.41,48.53,47.31,49.03,51.25,51.28,50.56,51.81,53.88,53.66,51.69,50.81,51.81,51.94,49.97,48.59,49.59,50.91,49.5,48.47,49.84,52.09,51.78,50.69,51.56,53.09,52.53,49.94,48.53,48.88,49.12,47.44,46.84,48.97,51.69,51.53,51.25,53.25,55.44,54.97,52.94,52.81,54.44,54.91,53.88,54.03,55.66,56.25,54.34,53.22,55.0,57.5,57.59,57.03,57.78,58.78,57.44,54.62,53.69,55.47,56.47,56.0,56.19,58.59,59.56,57.25,54.97,55.0,56.03,55.62,55.0,56.97,59.81,60.44,58.78,58.53,59.75,59.88,57.44,55.41,56.09,56.88,55.47,55.03,57.59,60.81,61.56,61.34,63.22,66.31,67.91,67.56,68.22,70.12,70.06,66.91,64.34,64.16,64.03,61.59,59.25,59.34,60.25,58.97,57.38,58.16,60.94,62.28,61.41,61.72,63.62,64.38,63.09,62.56,64.81,67.47,67.56,67.5,69.09,71.03,69.97,67.34,65.72,66.0,65.5,62.97,62.16,63.41,64.09,62.22,60.69,62.16,63.97,63.78,63.44,65.62,68.81,69.38,67.88,67.53,68.31,67.44,64.66,62.69,63.56,63.97,62.0,60.25,61.19,62.38,61.25,59.66,60.28,62.09,61.5,59.47,58.28,59.16,59.25,57.19,56.0,57.56,58.94,57.88,56.75,58.16,60.59,60.78,59.97,60.59,62.22,61.62,59.28,57.81,59.03,59.28,57.22,56.03,56.66,57.12,55.12,52.78,52.84,54.0,53.06,51.28,51.22,52.94,52.69,50.97,50.44,52.5,53.97,53.25,52.62,54.47,56.0,55.28,54.28,55.84,58.44,58.84,58.03,58.31,60.25,60.22,57.88,56.12,56.59,56.62,54.62,53.25,54.81,56.88,56.5,55.12,55.44,56.59,55.59,52.97,52.09,53.28,53.62,52.59,52.53,55.12,57.5,57.41,30.06,30.16,31.88,33.06,33.03,33.56,35.59,36.75,36.09,35.22,35.84,36.84,36.0,34.69,34.41,35.06,34.25,32.78,32.41,33.03,33.22,31.41,29.88,29.84,29.81,28.03,26.81,27.28,28.66,28.97,29.03,30.38,32.66,33.03,32.03:18.06,15.72,15.59,16.66,15.75,14.03,14.12,15.78,15.56,12.97,10.84,11.31,11.03,9.31,7.94,9.59,12.09,12.22,11.75,13.53,16.62,17.34,16.0,16.19,17.25,16.91,14.94,13.75,15.22,16.66,15.41,13.84,14.59,15.09,12.66,9.5,8.75,9.59,8.88,7.38,8.34,11.38,13.56,14.28,14.88,17.84,20.0,19.16,17.75,18.69,20.56,20.28,19.12,20.25,22.28,22.38,20.38,19.38,20.19,19.97,18.12,16.59,17.75,18.81,17.12,14.88,14.12,14.19,11.94,9.34,9.03,11.41,12.59,11.88,12.12,14.03,14.78,12.97,11.38,13.0,14.72,13.88,12.31,12.59,13.22,11.28,8.41,7.5,8.56,8.47,6.75,5.88,7.5,8.5,7.53,6.53,8.28,10.88,10.94,10.56,12.22,15.34,16.19,15.91,16.78,19.31,20.75,19.94,20.0,22.38,24.41,23.12,20.56,19.72,19.28,17.03,14.75,15.38,18.22,19.41,18.66,18.22,19.09,18.12,14.66,12.09,12.81,14.19,14.22,14.44,17.5,21.06,21.56,20.19,19.78,19.66,17.75,13.62,11.03,11.0,10.53,8.62,7.34,8.78,9.91,8.94,7.44,8.56,10.44,10.53,9.56,10.12,12.53,13.28,12.62,12.91,15.53,17.25,16.25,15.25,16.06,16.75,14.91,12.53,12.38,13.59,13.34,12.19,12.94,15.75,17.66,17.47,17.59,19.84,21.22,20.12,18.53,19.56,20.5,19.0,16.72,16.47,17.62,17.75,16.44,16.5,18.09,18.0,15.72,13.5,13.88,14.03,12.25,10.84,12.66,15.5,16.78,17.5,20.06,23.41,24.53,23.31,22.38,22.88,22.44,19.66,17.81,18.84,19.66,18.34,16.62,17.16,18.81,18.41,16.94,17.44,18.97,19.03,17.34,17.06,19.28,21.03,20.28,19.16,20.31,21.22,20.09,18.91,20.34,23.16,24.19,24.19,25.94,28.91,30.41,28.88,27.84,28.06,27.25,24.06,20.56,19.81,19.0,16.09,12.5,11.44,11.66,11.03,9.69,10.62,13.56,15.91,15.84,16.16,18.38,20.16,19.25,17.94,19.34,20.5,19.75,18.31,18.5,20.0,20.0,18.34,17.56,18.53,18.94,16.56,15.44,17.19,19.06,19.12,19.09,21.72,24.91,26.22,26.19,27.94,30.44,30.78,29.34,28.84,29.78,29.62,26.66,23.94,23.78,23.5,21.25,18.94,18.91,19.69,18.62,16.56,16.41,18.19,18.84,17.94,17.97,19.78,21.22,20.28,19.84,22.03,24.78,24.84,24.69,26.75,29.38,30.25,29.56,29.91,31.38,31.25,29.28,28.81,30.94,33.0,32.97,32.75,34.09,35.06,33.22,30.53,29.94,30.84,31.09,30.5,31.69,34.81,36.5,35.53,34.69,35.69,35.66,32.78,29.78,28.56,28.19,25.97,23.09,22.88,23.75,23.94,23.12,23.81,26.72,28.41,28.0,28.0,30.03,32.84,33.5,34.22,36.62,39.72,40.19,38.56,38.5,39.19,37.94,34.53,32.16,31.47,29.66,25.56,21.84,20.56,19.91,17.12,14.84,15.53,17.38,18.12,18.5,20.75,24.5,27.16,27.69,28.88,31.28,32.62,30.72,27.75,26.97,26.5,24.41,22.16,22.44,24.22,23.97,21.81,20.97,21.12,20.34,17.94,16.59,18.12,20.12,20.28,20.69,23.78,28.0,29.94,31.38,34.03,37.34,37.94,35.5,33.22,31.53,28.84,24.34,21.31,21.62,23.28,23.62,24.16,26.81,29.97,30.38,29.25,29.28,30.03,29.56,27.28,26.38,27.53,28.38,27.28,26.72,28.66,30.62,30.5,29.88,31.44,34.62,35.16,34.78,35.5,37.72,38.53,37.19,36.44,37.16,36.72,33.88,31.47,31.97,33.5,33.03,32.59,33.81,36.03,36.06,34.28,33.72,34.5,34.41,32.66,32.09,33.78,35.5,34.5,33.38,33.94,35.12,33.69,31.97,31.84,32.59,32.03,29.62,28.97,30.19,31.16,30.44,30.78,33.44,36.12,36.53,36.34,38.22,40.31,39.56,37.0,36.0,36.22,35.47,33.66,33.66,36.16,37.91,37.75,37.66,40.41,43.03,43.88,44.75,47.28,50.72,51.53,50.81,50.78,51.66,51.06,48.94,47.62,48.5,48.94,47.12,45.19,45.0,45.12,42.94,40.41,39.31,39.34,37.53,34.53,33.16,33.72,34.22,33.66,34.34,38.16,41.28,42.41,43.5,46.12,48.69,48.47,47.12,47.12,48.06,47.12,44.56,43.19,43.78,43.09,41.12,39.38,40.09,40.28,38.47,36.66,37.25,39.22,38.94,37.94,38.72,40.75,40.66,38.88,38.19,38.97,38.69,36.75,35.69,37.28,39.09,38.75,38.34,39.72,42.16,42.62,42.28,43.47,46.09,46.97,46.06,45.38,46.59,46.81,44.91,42.97,43.34,43.75,41.75,38.72,37.56,37.69,36.25,33.91,33.56,35.59,37.03,37.47,39.28,43.41,47.38,48.16,48.03,49.16,49.91,47.69,44.12,42.16,41.5,39.31,36.66,35.66,36.91,37.09,35.16,33.5,34.22,34.22,32.41,30.34,30.75,31.5,29.97,27.88,28.09,29.91,30.94,31.0,32.69,36.47,39.12,39.94,40.75,43.5,45.66,44.78,42.94,43.19,43.78,42.31,40.06,39.47,40.31,39.56,37.84,37.34,39.62,40.97,40.12,39.47,40.25,40.41,37.78,34.38,33.16,33.56,33.03,32.19,33.19,36.31,37.44,36.66,36.28,38.09,39.06,38.34,38.03,41.06,44.28,44.59,44.06,44.09,44.56,42.84,39.84,38.5,39.5,39.81,38.59,38.66,41.22,43.0,42.38,41.03,42.12,42.91,41.38,38.69,37.84,37.91,36.34,34.25,33.94,36.16,37.81,37.72,37.72,39.75,41.34,40.5,39.31,40.62,43.22,43.59,42.91,44.16,46.41,46.66,45.5,45.03,46.25,46.88,45.41,44.09,45.22,45.97,44.25,42.12,42.25,43.28,42.06,39.91,39.28,39.38,38.34,36.19,35.56,38.09,40.47,41.44,42.78,47.12,51.5,53.53,54.28,56.69,58.72,58.28,56.12,54.91,55.38,54.44,51.69,49.69,50.09,50.19,48.28,46.19,46.44,46.84,45.12,42.22,41.56,42.19,41.81,40.38,40.91,43.66,45.97,45.97,47.0,49.59,51.66,50.53,49.06,49.91,51.5,51.41,50.12,51.22,52.84,52.47,50.72,49.94,51.25,51.84,50.31,49.69,50.75,51.41,49.91,48.03,48.59,50.03,49.56,47.5,47.41,48.28,48.19,46.59,46.41,48.56,50.0,49.0,48.0,49.28,50.25,49.19,47.69,49.03,51.28,52.22,51.84,52.94,55.34,56.03,54.34,53.06,53.31,52.72,49.94,47.97,49.12,51.0,50.94,50.03,50.81,52.12,51.47,49.38,49.06,50.44,51.41,49.81,49.22,50.78,52.25,51.19,50.53,52.28,54.56,54.5,53.41,53.56,54.62,54.12,51.69,50.38,50.59,50.12,47.59,45.97,47.25,48.5,47.75,46.38,47.62,49.59,49.75,49.31,51.19,54.34,55.66,55.28,55.34,57.19,58.12,56.16,54.5,54.81,54.97,52.53,49.66,49.22,50.06,49.28,48.0,48.69,50.97,52.28,51.78,52.03,53.75,54.84,53.25,51.72,52.38,53.41,52.03,49.91,50.06,51.0,50.03,47.69,46.97,48.0,48.22,46.53,46.22,47.88,49.41,48.53,47.31,49.03,51.25,51.28,50.56,51.81,53.88,53.66,51.69,50.81,51.81,51.94,49.97,48.59,49.59,50.91,49.5,48.47,49.84,52.09,51.78,50.69,51.56,53.09,52.53,49.94,48.53,48.88,49.12,47.44,46.84,48.97,51.69,51.53,51.25,53.25,55.44,54.97,52.94,52.81,54.44,54.91,53.88,54.03,55.66,56.25,54.34,53.22,55.0,57.5,57.59,57.03,57.78,58.78,57.44,54.62,53.69,55.47,56.47,56.0,56.19,58.59,59.56,57.25,54.97,55.0,56.03,55.62,55.0,56.97,59.81,60.44,58.78,58.53,59.75,59.88,57.44,55.41,56.09,56.88,55.47,55.03,57.59,60.81,61.56,61.34,63.22,66.31,67.91,67.56,68.22,70.12,70.06,66.91,64.34,64.16,64.03,61.59,59.25,59.34,60.25,58.97,57.38,58.16,60.94,62.28,61.41,61.72,63.62,64.38,63.09,62.56,64.81,67.47,67.56,67.5,69.09,71.03,69.97,67.34,65.72,66.0,65.5,62.97,62.16,63.41,64.09,62.22,60.69,62.16,63.97,63.78,63.44,65.62,68.81,69.38,67.88,67.53,68.31,67.44,64.66,62.69,63.56,63.97,62.0,60.25,61.19,62.38,61.25,59.66,60.28,62.09,61.5,59.47,58.28,59.16,59.25,57.19,56.0,57.56,58.94,57.88,56.75,58.16,60.59,60.78,59.97,60.59,62.22,61.62,59.28,57.81,59.03,59.28,57.22,56.03,56.66,57.12,55.12,52.78,52.84,54.0,53.06,51.28,51.22,52.94,52.69,50.97,50.44,52.5,53.97,53.25,52.62,54.47,56.0,55.28,54.28,55.84,58.44,58.84,58.03,58.31,60.25,60.22,57.88,56.12,56.59,56.62,54.62,53.25,54.81,56.88,56.5,55.12,55.44,56.59,55.59,52.97,52.09,53.28,53.62,52.59,52.53,55.12,57.5,57.41,30.06,30.16,31.88,33.06,33.03,33.56,35.59,36.75,36.09,35.22,35.84,36.84,36.0,34.69,34.41,35.06,34.25,32.78,32.41,33.03,33.22,31.41,29.88,29.84,29.81,28.03,26.81,27.28,28.66,28.97,29.03,30.38,32.66,33.03,32.03,31.12,31.31,31.41,30.09,29.19,29.97,30.53:positivity
28.25,30.28,29.81,28.69,28.94,29.28,28.19,26.47,25.78,25.69,24.47,22.75,22.09,22.91,23.69,23.22,22.66,23.59,24.16,22.91,20.81,20.12,19.91,18.31,16.75,16.69,18.09,18.62,17.91,18.53,20.19,20.97,20.25,19.09,19.62,19.84,19.09,18.78,20.22,22.0,21.31,19.72,18.81,19.25,19.28,20.0,22.09,25.88,29.03,30.25,30.94,32.34,33.0,31.94,30.19,30.19,30.66,30.38,29.5,30.03,31.91,32.09,30.41,29.16,28.75,27.47,25.16,23.59,24.06,25.62,26.25,26.59,28.66,31.34,32.16,32.0,32.0,32.62,31.66,29.34,27.62,27.47,27.19,25.62,24.03,24.22,23.88,22.03,20.5,20.41,21.41,21.78,21.97,23.56,26.09,27.91,28.06,28.12,29.06,30.25,30.09,30.72,32.69,34.59,34.44,32.88,32.09,31.53,29.94,27.59,26.59,27.84,28.75,28.56,28.84,29.84,29.81,27.78,25.19,24.41,24.28,23.09,21.78,21.91,22.72,22.12,20.19,18.47,18.19,17.28,15.12,13.94,14.62,15.59,15.56,16.38,19.41,23.25,26.19,28.03,30.66,33.09,33.84,32.91,32.41,33.28,33.59,33.19,33.22,34.69,35.47,34.47,32.56,31.62,31.25,29.75,28.16,28.28,29.97,30.78,31.0,31.91,34.0,35.41,35.75,35.59,37.38,39.03,38.81,38.25,39.03,39.81,38.84,36.88,35.53,34.53,32.5,29.34,27.28,27.22,27.47,26.84,27.03,29.03,30.62,30.56,30.28,31.03,32.0,31.5,29.81,28.75,28.38,27.09,25.09,23.97,24.62,25.38,24.78,24.06,24.91,25.22,24.19,22.69,22.5,22.94,21.75,19.56,18.38,18.81,18.88,18.19,18.62,21.12,22.97,23.06,22.66,23.53,23.81,22.53,20.16,19.5,19.88,19.41,18.47,19.09,21.25,22.41,22.12,21.84,22.59,22.38,21.06,19.91,20.88,22.09,22.75,22.47,23.09,24.0,23.34,21.66,20.38,20.03,19.06,17.91,17.62,19.81,22.16,23.53,24.0,25.5,26.28,25.62,24.47,24.97,26.41,27.12,27.25,27.88,29.16,29.66,28.44,26.56,26.09,24.78,21.94,19.12,18.47,18.94,19.06,19.19,21.06,24.44,26.81,27.88,28.94,30.22,30.06,27.53,24.91,24.06,23.84,22.88,22.19,23.09,24.84,25.56,25.44,26.78,29.09,30.88,31.62,32.75,34.66,34.97,32.66,29.44,27.19,24.75,21.47,18.84,18.59,19.78,20.56,20.91,21.81,23.56,24.38,23.66,23.28,23.94,23.88,22.22,20.62,20.91,21.66,21.25,20.41,20.84,21.38,20.75,19.56,19.59,20.94,21.75,21.12,20.78,21.81,22.59,22.09,22.72,24.97,27.09,27.41,26.53,26.06,25.47,23.72,21.19,20.44,20.69,20.81,20.03,19.47,19.91,19.94,18.41,16.94,17.53,18.5,18.94,19.16,21.03,23.75,25.44,26.31,28.16,30.62,32.53,32.5,32.47,33.78,34.19,33.12,32.28,33.12,34.38,34.53,33.62,33.84,33.5,31.91,28.56,25.62,23.91,22.84,21.12,20.22,20.97,21.72,20.28,18.44,18.0,18.22,17.88,17.22,18.09,20.0,21.0,21.03,20.97,21.56,21.41,19.56,17.69,17.69,18.19,17.69,17.66,19.09,20.66,21.34,20.91,21.78,23.84,25.5,25.75,26.75,28.81,30.56,30.59,30.53,31.91,33.25,32.12,30.75,30.81,31.5,31.06,29.94,29.53,29.94,29.06,26.56,24.5,23.91,23.5,22.5,22.06,23.56,25.12,25.12,24.22,24.19,25.19,25.34,24.81,25.62,27.38,28.62,28.0,27.97,29.16,30.44,30.53,30.62,32.03,32.84,31.88,29.75,28.06,27.28,25.75,23.31,22.47,22.53,22.19,20.69,19.56,20.09,20.53,20.28,20.16,21.53,23.28,23.41,23.06,23.78,25.38,25.5,24.66,24.41,23.94,22.91,20.69,19.22,19.81,20.81,21.28,21.41,23.06,25.0,25.44,25.47,26.25,27.56,27.53,25.62,24.41,23.97,23.16,20.69,18.94,18.75,19.41,18.97,18.78,20.53,23.16,24.31,25.25,27.16,29.5,30.62,29.97,29.5,29.94,30.25,29.19,27.88,27.88,27.84,26.31,24.28,23.38,23.53,22.62,21.34,21.38,22.53,23.25,22.66,23.19,24.88,27.03,27.81,28.62,29.91,31.22,30.66,28.62,28.0,27.72,26.44,24.78,24.56,25.41,26.22,25.97,26.34,27.53,28.62,27.84,26.91,26.81,26.78,25.31,23.41,22.5,22.28,21.78,20.47,19.56,19.84,19.16,17.16,15.53,15.66,16.06,15.78,15.94,17.69,20.16,21.53,22.31,24.31,26.94,28.84,29.84,31.31,33.38,34.28,33.97,33.78,34.28,35.09,33.62,31.38,29.25,27.44,24.72,21.59,20.91,22.03,23.28,24.06,25.34,27.84,29.62,29.91,30.41,32.0,33.5,32.94,31.31,29.88,28.78,26.69,23.94,22.34,22.28,21.38,19.31,18.0,18.12,18.25,17.47,17.03,17.69,18.84,18.78,18.59,19.06,20.19,20.66,20.31,20.88,22.62,24.06,24.12,24.59,26.25,27.69,27.91,27.84,28.12,28.56,27.09,24.81,23.72,23.53,22.56,20.59,19.5,19.62,19.5,18.25,18.25,19.97,21.66,21.53,21.06,20.56,20.03,17.75,15.41,14.94,16.25,18.06,19.75,22.62,26.94,30.34,31.91,33.03,34.97,35.88,34.97,32.84,31.59,30.62,29.09,27.09,25.97,25.66,24.12,20.91,17.75,15.81,13.81,11.25,9.41,9.91,11.72,13.5,16.0,20.25,25.5,29.22,32.06,34.94,37.94,39.41,38.72,37.97,37.53,36.44,33.41,30.06,27.47,25.12,21.5,17.56,14.56,12.66,10.28,8.0,7.22,8.12,8.62,7.78,7.25,7.66,8.53,9.09,10.44,14.0,18.16,21.28,24.12,27.41,31.09,33.41,34.12,34.53,34.91,34.75,32.97,31.34,30.78,30.84,29.22,27.25,26.41,26.44,24.44,21.59,19.47,17.94,15.47,12.47,10.38,10.12,9.94,9.22,9.31,11.0,14.03,16.53,19.38,24.09,29.34,33.16,35.47,37.12,39.0,39.28,37.5,35.53,34.44,32.66,29.56,26.69,25.53,25.12,24.12,23.5,24.62,26.62,27.75,27.88,28.06,29.0,28.69,26.81,24.88,23.53,21.53,17.78,13.78,11.91,10.44,8.41,7.06,7.47,9.22,10.66,11.75,13.81,16.97,19.19,19.91,20.34,21.22,21.41,20.28,18.06,16.88,16.41,14.09,11.94,11.28,11.69,11.31,9.84,8.34,7.41,6.06,3.38,0.78,0.06,-0.56,-2.31,-3.5,-3.0,-1.44,-0.69,0.5,2.28,5.22,7.97,9.97,12.53,16.56,20.12,22.28,24.47,27.19,29.38,29.09,27.41,25.69,24.0,21.09,17.94,15.88,15.38,14.62,12.69,10.94,10.0,9.09,7.38,5.59,5.66,6.0,5.22,4.31,4.69,6.06,7.06,7.88,9.56,11.47,12.41,11.62,10.28,10.19,10.97,11.0,11.94,15.06,18.78,21.38,23.44,26.56,29.59,30.5,29.78,28.69,27.69,25.44,21.28,16.38,12.0,6.72,0.56,-4.78,-7.19,-7.56,-7.34,-6.94,-4.81,-1.31,1.59,3.81,6.47,10.34,13.34,14.41,14.44,15.66,16.94,16.69,16.12,16.91,17.44,16.28,12.78,9.78,7.31,3.91,-0.03,-2.94,-3.97,-5.0,-6.59,-7.59,-6.22,-3.81,-1.5,1.31,5.66,10.56,13.78,15.56,17.03,18.72,19.56,19.03,18.44,19.28,19.56,18.19,16.31,15.72,14.69,12.94,10.41,9.56,9.44,8.66,7.16,6.44,6.69,6.5,5.5,4.84,5.88,7.66,8.78,10.0,13.34,16.88,19.0,19.34,20.44,21.19,20.47,18.25,16.41,15.38,14.0,11.53,9.28,9.0,8.81,7.41,5.75,6.09,7.16,8.0,8.0,9.19,10.5,10.88,9.44,8.09,8.34,8.56,8.47,8.91,11.31,13.75,15.09,16.22,18.03,20.25,20.75,19.97,19.41,19.06,17.72,15.44,13.81,13.72,13.81,12.91,12.5,14.0,15.97,17.22,17.91,19.19,20.56,20.47,19.0,18.28,18.22,17.94,15.81,14.06,13.84,13.75,12.81,12.25,13.66,15.25,16.0,16.56,18.81,21.62,23.56,24.44,25.75,27.34,27.88,26.09,23.88,22.09,19.94,16.53,13.91,13.91,15.19,16.03,16.28,17.5,18.75,19.0,17.31,16.28,16.12,15.78,14.06,12.66,13.28,14.69,14.94,15.41,17.69,20.41,22.0,22.62,23.72,25.38,25.75,24.31,22.81,21.94,20.78,17.97,15.5,14.84,14.59,13.25,11.41,10.81,10.62,9.44,7.69,7.16,7.47,7.5,6.25,5.81,6.75,8.12,8.47,9.47,11.88,14.5,15.66,15.84,16.94,18.22,18.69,18.09,18.72,19.94,20.22,19.03,17.66,16.72,15.75,13.44,11.59,11.94,13.59,14.47,14.84,16.19,17.97,18.03,16.41,15.38,14.91,13.81,11.12,8.88,8.47,8.84,8.22,8.41,10.66,13.84,15.47,16.28,17.62,18.62,18.62,17.0,15.94,16.12,16.16,14.72,14.0,15.12,17.0,17.72,18.06,19.69,21.31,21.75,20.78,20.53,20.78,19.62,16.44,13.56,11.56,9.84,7.19,5.97,7.19,9.69,11.25,11.84,12.91,13.69,13.44,12.31,12.16,13.66,14.81,14.5,13.84,14.12,13.84,11.16,7.91,6.5,6.09,4.97,4.34,5.5,7.78,9.0,8.59,8.5,9.09:26.47,25.78,25.69,24.47,22.75,22.09,22.91,23.69,23.22,22.66,23.59,24.16,22.91,20.81,20.12,19.91,18.31,16.75,16.69,18.09,18.62,17.91,18.53,20.19,20.97,20.25,19.09,19.62,19.84,19.09,18.78,20.22,22.0,21.31,19.72,18.81,19.25,19.28,20.0,22.09,25.88,29.03,30.25,30.94,32.34,33.0,31.94,30.19,30.19,30.66,30.38,29.5,30.03,31.91,32.09,30.41,29.16,28.75,27.47,25.16,23.59,24.06,25.62,26.25,26.59,28.66,31.34,32.16,32.0,32.0,32.62,31.66,29.34,27.62,27.47,27.19,25.62,24.03,24.22,23.88,22.03,20.5,20.41,21.41,21.78,21.97,23.56,26.09,27.91,28.06,28.12,29.06,30.25,30.09,30.72,32.69,34.59,34.44,32.88,32.09,31.53,29.94,27.59,26.59,27.84,28.75,28.56,28.84,29.84,29.81,27.78,25.19,24.41,24.28,23.09,21.78,21.91,22.72,22.12,20.19,18.47,18.19,17.28,15.12,13.94,14.62,15.59,15.56,16.38,19.41,23.25,26.19,28.03,30.66,33.09,33.84,32.91,32.41,33.28,33.59,33.19,33.22,34.69,35.47,34.47,32.56,31.62,31.25,29.75,28.16,28.28,29.97,30.78,31.0,31.91,34.0,35.41,35.75,35.59,37.38,39.03,38.81,38.25,39.03,39.81,38.84,36.88,35.53,34.53,32.5,29.34,27.28,27.22,27.47,26.84,27.03,29.03,30.62,30.56,30.28,31.03,32.0,31.5,29.81,28.75,28.38,27.09,25.09,23.97,24.62,25.38,24.78,24.06,24.91,25.22,24.19,22.69,22.5,22.94,21.75,19.56,18.38,18.81,18.88,18.19,18.62,21.12,22.97,23.06,22.66,23.53,23.81,22.53,20.16,19.5,19.88,19.41,18.47,19.09,21.25,22.41,22.12,21.84,22.59,22.38,21.06,19.91,20.88,22.09,22.75,22.47,23.09,24.0,23.34,21.66,20.38,20.03,19.06,17.91,17.62,19.81,22.16,23.53,24.0,25.5,26.28,25.62,24.47,24.97,26.41,27.12,27.25,27.88,29.16,29.66,28.44,26.56,26.09,24.78,21.94,19.12,18.47,18.94,19.06,19.19,21.06,24.44,26.81,27.88,28.94,30.22,30.06,27.53,24.91,24.06,23.84,22.88,22.19,23.09,24.84,25.56,25.44,26.78,29.09,30.88,31.62,32.75,34.66,34.97,32.66,29.44,27.19,24.75,21.47,18.84,18.59,19.78,20.56,20.91,21.81,23.56,24.38,23.66,23.28,23.94,23.88,22.22,20.62,20.91,21.66,21.25,20.41,20.84,21.38,20.75,19.56,19.59,20.94,21.75,21.12,20.78,21.81,22.59,22.09,22.72,24.97,27.09,27.41,26.53,26.06,25.47,23.72,21.19,20.44,20.69,20.81,20.03,19.47,19.91,19.94,18.41,16.94,17.53,18.5,18.94,19.16,21.03,23.75,25.44,26.31,28.16,30.62,32.53,32.5,32.47,33.78,34.19,33.12,32.28,33.12,34.38,34.53,33.62,33.84,33.5,31.91,28.56,25.62,23.91,22.84,21.12,20.22,20.97,21.72,20.28,18.44,18.0,18.22,17.88,17.22,18.09,20.0,21.0,21.03,20.97,21.56,21.41,19.56,17.69,17.69,18.19,17.69,17.66,19.09,20.66,21.34,20.91,21.78,23.84,25.5,25.75,26.75,28.81,30.56,30.59,30.53,31.91,33.25,32.12,30.75,30.81,31.5,31.06,29.94,29.53,29.94,29.06,26.56,24.5,23.91,23.5,22.5,22.06,23.56,25.12,25.12,24.22,24.19,25.19,25.34,24.81,25.62,27.38,28.62,28.0,27.97,29.16,30.44,30.53,30.62,32.03,32.84,31.88,29.75,28.06,27.28,25.75,23.31,22.47,22.53,22.19,20.69,19.56,20.09,20.53,20.28,20.16,21.53,23.28,23.41,23.06,23.78,25.38,25.5,24.66,24.41,23.94,22.91,20.69,19.22,19.81,20.81,21.28,21.41,23.06,25.0,25.44,25.47,26.25,27.56,27.53,25.62,24.41,23.97,23.16,20.69,18.94,18.75,19.41,18.97,18.78,20.53,23.16,24.31,25.25,27.16,29.5,30.62,29.97,29.5,29.94,30.25,29.19,27.88,27.88,27.84,26.31,24.28,23.38,23.53,22.62,21.34,21.38,22.53,23.25,22.66,23.19,24.88,27.03,27.81,28.62,29.91,31.22,30.66,28.62,28.0,27.72,26.44,24.78,24.56,25.41,26.22,25.97,26.34,27.53,28.62,27.84,26.91,26.81,26.78,25.31,23.41,22.5,22.28,21.78,20.47,19.56,19.84,19.16,17.16,15.53,15.66,16.06,15.78,15.94,17.69,20.16,21.53,22.31,24.31,26.94,28.84,29.84,31.31,33.38,34.28,33.97,33.78,34.28,35.09,33.62,31.38,29.25,27.44,24.72,21.59,20.91,22.03,23.28,24.06,25.34,27.84,29.62,29.91,30.41,32.0,33.5,32.94,31.31,29.88,28.78,26.69,23.94,22.34,22.28,21.38,19.31,18.0,18.12,18.25,17.47,17.03,17.69,18.84,18.78,18.59,19.06,20.19,20.66,20.31,20.88,22.62,24.06,24.12,24.59,26.25,27.69,27.91,27.84,28.12,28.56,27.09,24.81,23.72,23.53,22.56,20.59,19.5,19.62,19.5,18.25,18.25,19.97,21.66,21.53,21.06,20.56,20.03,17.75,15.41,14.94,16.25,18.06,19.75,22.62,26.94,30.34,31.91,33.03,34.97,35.88,34.97,32.84,31.59,30.62,29.09,27.09,25.97,25.66,24.12,20.91,17.75,15.81,13.81,11.25,9.41,9.91,11.72,13.5,16.0,20.25,25.5,29.22,32.06,34.94,37.94,39.41,38.72,37.97,37.53,36.44,33.41,30.06,27.47,25.12,21.5,17.56,14.56,12.66,10.28,8.0,7.22,8.12,8.62,7.78,7.25,7.66,8.53,9.09,10.44,14.0,18.16,21.28,24.12,27.41,31.09,33.41,34.12,34.53,34.91,34.75,32.97,31.34,30.78,30.84,29.22,27.25,26.41,26.44,24.44,21.59,19.47,17.94,15.47,12.47,10.38,10.12,9.94,9.22,9.31,11.0,14.03,16.53,19.38,24.09,29.34,33.16,35.47,37.12,39.0,39.28,37.5,35.53,34.44,32.66,29.56,26.69,25.53,25.12,24.12,23.5,24.62,26.62,27.75,27.88,28.06,29.0,28.69,26.81,24.88,23.53,21.53,17.78,13.78,11.91,10.44,8.41,7.06,7.47,9.22,10.66,11.75,13.81,16.97,19.19,19.91,20.34,21.22,21.41,20.28,18.06,16.88,16.41,14.09,11.94,11.28,11.69,11.31,9.84,8.34,7.41,6.06,3.38,0.78,0.06,-0.56,-2.31,-3.5,-3.0,-1.44,-0.69,0.5,2.28,5.22,7.97,9.97,12.53,16.56,20.12,22.28,24.47,27.19,29.38,29.09,27.41,25.69,24.0,21.09,17.94,15.88,15.38,14.62,12.69,10.94,10.0,9.09,7.38,5.59,5.66,6.0,5.22,4.31,4.69,6.06,7.06,7.88,9.56,11.47,12.41,11.62,10.28,10.19,10.97,11.0,11.94,15.06,18.78,21.38,23.44,26.56,29.59,30.5,29.78,28.69,27.69,25.44,21.28,16.38,12.0,6.72,0.56,-4.78,-7.19,-7.56,-7.34,-6.94,-4.81,-1.31,1.59,3.81,6.47,10.34,13.34,14.41,14.44,15.66,16.94,16.69,16.12,16.91,17.44,16.28,12.78,9.78,7.31,3.91,-0.03,-2.94,-3.97,-5.0,-6.59,-7.59,-6.22,-3.81,-1.5,1.31,5.66,10.56,13.78,15.56,17.03,18.72,19.56,19.03,18.44,19.28,19.56,18.19,16.31,15.72,14.69,12.94,10.41,9.56,9.44,8.66,7.16,6.44,6.69,6.5,5.5,4.84,5.88,7.66,8.78,10.0,13.34,16.88,19.0,19.34,20.44,21.19,20.47,18.25,16.41,15.38,14.0,11.53,9.28,9.0,8.81,7.41,5.75,6.09,7.16,8.0,8.0,9.19,10.5,10.88,9.44,8.09,8.34,8.56,8.47,8.91,11.31,13.75,15.09,16.22,18.03,20.25,20.75,19.97,19.41,19.06,17.72,15.44,13.81,13.72,13.81,12.91,12.5,14.0,15.97,17.22,17.91,19.19,20.56,20.47,19.0,18.28,18.22,17.94,15.81,14.06,13.84,13.75,12.81,12.25,13.66,15.25,16.0,16.56,18.81,21.62,23.56,24.44,25.75,27.34,27.88,26.09,23.88,22.09,19.94,16.53,13.91,13.91,15.19,16.03,16.28,17.5,18.75,19.0,17.31,16.28,16.12,15.78,14.06,12.66,13.28,14.69,14.94,15.41,17.69,20.41,22.0,22.62,23.72,25.38,25.75,24.31,22.81,21.94,20.78,17.97,15.5,14.84,14.59,13.25,11.41,10.81,10.62,9.44,7.69,7.16,7.47,7.5,6.25,5.81,6.75,8.12,8.47,9.47,11.88,14.5,15.66,15.84,16.94,18.22,18.69,18.09,18.72,19.94,20.22,19.03,17.66,16.72,15.75,13.44,11.59,11.94,13.59,14.47,14.84,16.19,17.97,18.03,16.41,15.38,14.91,13.81,11.12,8.88,8.47,8.84,8.22,8.41,10.66,13.84,15.47,16.28,17.62,18.62,18.62,17.0,15.94,16.12,16.16,14.72,14.0,15.12,17.0,17.72,18.06,19.69,21.31,21.75,20.78,20.53,20.78,19.62,16.44,13.56,11.56,9.84,7.19,5.97,7.19,9.69,11.25,11.84,12.91,13.69,13.44,12.31,12.16,13.66,14.81,14.5,13.84,14.12,13.84,11.16,7.91,6.5,6.09,4.97,4.34,5.5,7.78,9.0,8.59,8.5,9.09,42.03,42.28,42.09,41.44,40.25,39.28,38.84:23.69,23.22,22.66,23.59,24.16,22.91,20.81,20.12,19.91,18.31,16.75,16.69,18.09,18.62,17.91,18.53,20.19,20.97,20.25,19.09,19.62,19.84,19.09,18.78,20.22,22.0,21.31,19.72,18.81,19.25,19.28,20.0,22.09,25.88,29.03,30.25,30.94,32.34,33.0,31.94,30.19,30.19,30.66,30.38,29.5,30.03,31.91,32.09,30.41,29.16,28.75,27.47,25.16,23.59,24.06,25.62,26.25,26.59,28.66,31.34,32.16,32.0,32.0,32.62,31.66,29.34,27.62,27.47,27.19,25.62,24.03,24.22,23.88,22.03,20.5,20.41,21.41,21.78,21.97,23.56,26.09,27.91,28.06,28.12,29.06,30.25,30.09,30.72,32.69,34.59,34.44,32.88,32.09,31.53,29.94,27.59,26.59,27.84,28.75,28.56,28.84,29.84,29.81,27.78,25.19,24.41,24.28,23.09,21.78,21.91,22.72,22.12,20.19,18.47,18.19,17.28,15.12,13.94,14.62,15.59,15.56,16.38,19.41,23.25,26.19,28.03,30.66,33.09,33.84,32.91,32.41,33.28,33.59,33.19,33.22,34.69,35.47,34.47,32.56,31.62,31.25,29.75,28.16,28.28,29.97,30.78,31.0,31.91,34.0,35.41,35.75,35.59,37.38,39.03,38.81,38.25,39.03,39.81,38.84,36.88,35.53,34.53,32.5,29.34,27.28,27.22,27.47,26.84,27.03,29.03,30.62,30.56,30.28,31.03,32.0,31.5,29.81,28.75,28.38,27.09,25.09,23.97,24.62,25.38,24.78,24.06,24.91,25.22,24.19,22.69,22.5,22.94,21.75,19.56,18.38,18.81,18.88,18.19,18.62,21.12,22.97,23.06,22.66,23.53,23.81,22.53,20.16,19.5,19.88,19.41,18.47,19.09,21.25,22.41,22.12,21.84,22.59,22.38,21.06,19.91,20.88,22.09,22.75,22.47,23.09,24.0,23.34,21.66,20.38,20.03,19.06,17.91,17.62,19.81,22.16,23.53,24.0,25.5,26.28,25.62,24.47,24.97,26.41,27.12,27.25,27.88,29.16,29.66,28.44,26.56,26.09,24.78,21.94,19.12,18.47,18.94,19.06,19.19,21.06,24.44,26.81,27.88,28.94,30.22,30.06,27.53,24.91,24.06,23.84,22.88,22.19,23.09,24.84,25.56,25.44,26.78,29.09,30.88,31.62,32.75,34.66,34.97,32.66,29.44,27.19,24.75,21.47,18.84,18.59,19.78,20.56,20.91,21.81,23.56,24.38,23.66,23.28,23.94,23.88,22.22,20.62,20.91,21.66,21.25,20.41,20.84,21.38,20.75,19.56,19.59,20.94,21.75,21.12,20.78,21.81,22.59,22.09,22.72,24.97,27.09,27.41,26.53,26.06,25.47,23.72,21.19,20.44,20.69,20.81,20.03,19.47,19.91,19.94,18.41,16.94,17.53,18.5,18.94,19.16,21.03,23.75,25.44,26.31,28.16,30.62,32.53,32.5,32.47,33.78,34.19,33.12,32.28,33.12,34.38,34.53,33.62,33.84,33.5,31.91,28.56,25.62,23.91,22.84,21.12,20.22,20.97,21.72,20.28,18.44,18.0,18.22,17.88,17.22,18.09,20.0,21.0,21.03,20.97,21.56,21.41,19.56,17.69,17.69,18.19,17.69,17.66,19.09,20.66,21.34,20.91,21.78,23.84,25.5,25.75,26.75,28.81,30.56,30.59,30.53,31.91,33.25,32.12,30.75,30.81,31.5,31.06,29.94,29.53,29.94,29.06,26.56,24.5,23.91,23.5,22.5,22.06,23.56,25.12,25.12,24.22,24.19,25.19,25.34,24.81,25.62,27.38,28.62,28.0,27.97,29.16,30.44,30.53,30.62,32.03,32.84,31.88,29.75,28.06,27.28,25.75,23.31,22.47,22.53,22.19,20.69,19.56,20.09,20.53,20.28,20.16,21.53,23.28,23.41,23.06,23.78,25.38,25.5,24.66,24.41,23.94,22.91,20.69,19.22,19.81,20.81,21.28,21.41,23.06,25.0,25.44,25.47,26.25,27.56,27.53,25.62,24.41,23.97,23.16,20.69,18.94,18.75,19.41,18.97,18.78,20.53,23.16,24.31,25.25,27.16,29.5,30.62,29.97,29.5,29.94,30.25,29.19,27.88,27.88,27.84,26.31,24.28,23.38,23.53,22.62,21.34,21.38,22.53,23.25,22.66,23.19,24.88,27.03,27.81,28.62,29.91,31.22,30.66,28.62,28.0,27.72,26.44,24.78,24.56,25.41,26.22,25.97,26.34,27.53,28.62,27.84,26.91,26.81,26.78,25.31,23.41,22.5,22.28,21.78,20.47,19.56,19.84,19.16,17.16,15.53,15.66,16.06,15.78,15.94,17.69,20.16,21.53,22.31,24.31,26.94,28.84,29.84,31.31,33.38,34.28,33.97,33.78,34.28,35.09,33.62,31.38,29.25,27.44,24.72,21.59,20.91,22.03,23.28,24.06,25.34,27.84,29.62,29.91,30.41,32.0,33.5,32.94,31.31,29.88,28.78,26.69,23.94,22.34,22.28,21.38,19.31,18.0,18.12,18.25,17.47,17.03,17.69,18.84,18.78,18.59,19.06,20.19,20.66,20.31,20.88,22.62,24.06,24.12,24.59,26.25,27.69,27.91,27.84,28.12,28.56,27.09,24.81,23.72,23.53,22.56,20.59,19.5,19.62,19.5,18.25,18.25,19.97,21.66,21.53,21.06,20.56,20.03,17.75,15.41,14.94,16.25,18.06,19.75,22.62,26.94,30.34,31.91,33.03,34.97,35.88,34.97,32.84,31.59,30.62,29.09,27.09,25.97,25.66,24.12,20.91,17.75,15.81,13.81,11.25,9.41,9.91,11.72,13.5,16.0,20.25,25.5,29.22,32.06,34.94,37.94,39.41,38.72,37.97,37.53,36.44,33.41,30.06,27.47,25.12,21.5,17.56,14.56,12.66,10.28,8.0,7.22,8.12,8.62,7.78,7.25,7.66,8.53,9.09,10.44,14.0,18.16,21.28,24.12,27.41,31.09,33.41,34.12,34.53,34.91,34.75,32.97,31.34,30.78,30.84,29.22,27.25,26.41,26.44,24.44,21.59,19.47,17.94,15.47,12.47,10.38,10.12,9.94,9.22,9.31,11.0,14.03,16.53,19.38,24.09,29.34,33.16,35.47,37.12,39.0,39.28,37.5,35.53,34.44,32.66,29.56,26.69,25.53,25.12,24.12,23.5,24.62,26.62,27.75,27.88,28.06,29.0,28.69,26.81,24.88,23.53,21.53,17.78,13.78,11.91,10.44,8.41,7.06,7.47,9.22,10.66,11.75,13.81,16.97,19.19,19.91,20.34,21.22,21.41,20.28,18.06,16.88,16.41,14.09,11.94,11.28,11.69,11.31,9.84,8.34,7.41,6.06,3.38,0.78,0.06,-0.56,-2.31,-3.5,-3.0,-1.44,-0.69,0.5,2.28,5.22,7.97,9.97,12.53,16.56,20.12,22.28,24.47,27.19,29.38,29.09,27.41,25.69,24.0,21.09,17.94,15.88,15.38,14.62,12.69,10.94,10.0,9.09,7.38,5.59,5.66,6.0,5.22,4.31,4.69,6.06,7.06,7.88,9.56,11.47,12.41,11.62,10.28,10.19,10.97,11.0,11.94,15.06,18.78,21.38,23.44,26.56,29.59,30.5,29.78,28.69,27.69,25.44,21.28,16.38,12.0,6.72,0.56,-4.78,-7.19,-7.56,-7.34,-6.94,-4.81,-1.31,1.59,3.81,6.47,10.34,13.34,14.41,14.44,15.66,16.94,16.69,16.12,16.91,17.44,16.28,12.78,9.78,7.31,3.91,-0.03,-2.94,-3.97,-5.0,-6.59,-7.59,-6.22,-3.81,-1.5,1.31,5.66,10.56,13.78,15.56,17.03,18.72,19.56,19.03,18.44,19.28,19.56,18.19,16.31,15.72,14.69,12.94,10.41,9.56,9.44,8.66,7.16,6.44,6.69,6.5,5.5,4.84,5.88,7.66,8.78,10.0,13.34,16.88,19.0,19.34,20.44,21.19,20.47,18.25,16.41,15.38,14.0,11.53,9.28,9.0,8.81,7.41,5.75,6.09,7.16,8.0,8.0,9.19,10.5,10.88,9.44,8.09,8.34,8.56,8.47,8.91,11.31,13.75,15.09,16.22,18.03,20.25,20.75,19.97,19.41,19.06,17.72,15.44,13.81,13.72,13.81,12.91,12.5,14.0,15.97,17.22,17.91,19.19,20.56,20.47,19.0,18.28,18.22,17.94,15.81,14.06,13.84,13.75,12.81,12.25,13.66,15.25,16.0,16.56,18.81,21.62,23.56,24.44,25.75,27.34,27.88,26.09,23.88,22.09,19.94,16.53,13.91,13.91,15.19,16.03,16.28,17.5,18.75,19.0,17.31,16.28,16.12,15.78,14.06,12.66,13.28,14.69,14.94,15.41,17.69,20.41,22.0,22.62,23.72,25.38,25.75,24.31,22.81,21.94,20.78,17.97,15.5,14.84,14.59,13.25,11.41,10.81,10.62,9.44,7.69,7.16,7.47,7.5,6.25,5.81,6.75,8.12,8.47,9.47,11.88,14.5,15.66,15.84,16.94,18.22,18.69,18.09,18.72,19.94,20.22,19.03,17.66,16.72,15.75,13.44,11.59,11.94,13.59,14.47,14.84,16.19,17.97,18.03,16.41,15.38,14.91,13.81,11.12,8.88,8.47,8.84,8.22,8.41,10.66,13.84,15.47,16.28,17.62,18.62,18.62,17.0,15.94,16.12,16.16,14.72,14.0,15.12,17.0,17.72,18.06,19.69,21.31,21.75,20.78,20.53,20.78,19.62,16.44,13.56,11.56,9.84,7.19,5.97,7.19,9.69,11.25,11.84,12.91,13.69,13.44,12.31,12.16,13.66,14.81,14.5,13.84,14.12,13.84,11.16,7.91,6.5,6.09,4.97,4.34,5.5,7.78,9.0,8.59,8.5,9.09,42.03,42.28,42.09,41.44,40.25,39.28,38.84,38.12,36.56,35.41,34.62,34.69,34.84,35.59:20.12,19.91,18.31,16.75,16.69,18.09,18.62,17.91,18.53,20.19,20.97,20.25,19.09,19.62,19.84,19.09,18.78,20.22,22.0,21.31,19.72,18.81,19.25,19.28,20.0,22.09,25.88,29.03,30.25,30.94,32.34,33.0,31.94,30.19,30.19,30.66,30.38,29.5,30.03,31.91,32.09,30.41,29.16,28.75,27.47,25.16,23.59,24.06,25.62,26.25,26.59,28.66,31.34,32.16,32.0,32.0,32.62,31.66,29.34,27.62,27.47,27.19,25.62,24.03,24.22,23.88,22.03,20.5,20.41,21.41,21.78,21.97,23.56,26.09,27.91,28.06,28.12,29.06,30.25,30.09,30.72,32.69,34.59,34.44,32.88,32.09,31.53,29.94,27.59,26.59,27.84,28.75,28.56,28.84,29.84,29.81,27.78,25.19,24.41,24.28,23.09,21.78,21.91,22.72,22.12,20.19,18.47,18.19,17.28,15.12,13.94,14.62,15.59,15.56,16.38,19.41,23.25,26.19,28.03,30.66,33.09,33.84,32.91,32.41,33.28,33.59,33.19,33.22,34.69,35.47,34.47,32.56,31.62,31.25,29.75,28.16,28.28,29.97,30.78,31.0,31.91,34.0,35.41,35.75,35.59,37.38,39.03,38.81,38.25,39.03,39.81,38.84,36.88,35.53,34.53,32.5,29.34,27.28,27.22,27.47,26.84,27.03,29.03,30.62,30.56,30.28,31.03,32.0,31.5,29.81,28.75,28.38,27.09,25.09,23.97,24.62,25.38,24.78,24.06,24.91,25.22,24.19,22.69,22.5,22.94,21.75,19.56,18.38,18.81,18.88,18.19,18.62,21.12,22.97,23.06,22.66,23.53,23.81,22.53,20.16,19.5,19.88,19.41,18.47,19.09,21.25,22.41,22.12,21.84,22.59,22.38,21.06,19.91,20.88,22.09,22.75,22.47,23.09,24.0,23.34,21.66,20.38,20.03,19.06,17.91,17.62,19.81,22.16,23.53,24.0,25.5,26.28,25.62,24.47,24.97,26.41,27.12,27.25,27.88,29.16,29.66,28.44,26.56,26.09,24.78,21.94,19.12,18.47,18.94,19.06,19.19,21.06,24.44,26.81,27.88,28.94,30.22,30.06,27.53,24.91,24.06,23.84,22.88,22.19,23.09,24.84,25.56,25.44,26.78,29.09,30.88,31.62,32.75,34.66,34.97,32.66,29.44,27.19,24.75,21.47,18.84,18.59,19.78,20.56,20.91,21.81,23.56,24.38,23.66,23.28,23.94,23.88,22.22,20.62,20.91,21.66,21.25,20.41,20.84,21.38,20.75,19.56,19.59,20.94,21.75,21.12,20.78,21.81,22.59,22.09,22.72,24.97,27.09,27.41,26.53,26.06,25.47,23.72,21.19,20.44,20.69,20.81,20.03,19.47,19.91,19.94,18.41,16.94,17.53,18.5,18.94,19.16,21.03,23.75,25.44,26.31,28.16,30.62,32.53,32.5,32.47,33.78,34.19,33.12,32.28,33.12,34.38,34.53,33.62,33.84,33.5,31.91,28.56,25.62,23.91,22.84,21.12,20.22,20.97,21.72,20.28,18.44,18.0,18.22,17.88,17.22,18.09,20.0,21.0,21.03,20.97,21.56,21.41,19.56,17.69,17.69,18.19,17.69,17.66,19.09,20.66,21.34,20.91,21.78,23.84,25.5,25.75,26.75,28.81,30.56,30.59,30.53,31.91,33.25,32.12,30.75,30.81,31.5,31.06,29.94,29.53,29.94,29.06,26.56,24.5,23.91,23.5,22.5,22.06,23.56,25.12,25.12,24.22,24.19,25.19,25.34,24.81,25.62,27.38,28.62,28.0,27.97,29.16,30.44,30.53,30.62,32.03,32.84,31.88,29.75,28.06,27.28,25.75,23.31,22.47,22.53,22.19,20.69,19.56,20.09,20.53,20.28,20.16,21.53,23.28,23.41,23.06,23.78,25.38,25.5,24.66,24.41,23.94,22.91,20.69,19.22,19.81,20.81,21.28,21.41,23.06,25.0,25.44,25.47,26.25,27.56,27.53,25.62,24.41,23.97,23.16,20.69,18.94,18.75,19.41,18.97,18.78,20.53,23.16,24.31,25.25,27.16,29.5,30.62,29.97,29.5,29.94,30.25,29.19,27.88,27.88,27.84,26.31,24.28,23.38,23.53,22.62,21.34,21.38,22.53,23.25,22.66,23.19,24.88,27.03,27.81,28.62,29.91,31.22,30.66,28.62,28.0,27.72,26.44,24.78,24.56,25.41,26.22,25.97,26.34,27.53,28.62,27.84,26.91,26.81,26.78,25.31,23.41,22.5,22.28,21.78,20.47,19.56,19.84,19.16,17.16,15.53,15.66,16.06,15.78,15.94,17.69,20.16,21.53,22.31,24.31,26.94,28.84,29.84,31.31,33.38,34.28,33.97,33.78,34.28,35.09,33.62,31.38,29.25,27.44,24.72,21.59,20.91,22.03,23.28,24.06,25.34,27.84,29.62,29.91,30.41,32.0,33.5,32.94,31.31,29.88,28.78,26.69,23.94,22.34,22.28,21.38,19.31,18.0,18.12,18.25,17.47,17.03,17.69,18.84,18.78,18.59,19.06,20.19,20.66,20.31,20.88,22.62,24.06,24.12,24.59,26.25,27.69,27.91,27.84,28.12,28.56,27.09,24.81,23.72,23.53,22.56,20.59,19.5,19.62,19.5,18.25,18.25,19.97,21.66,21.53,21.06,20.56,20.03,17.75,15.41,14.94,16.25,18.06,19.75,22.62,26.94,30.34,31.91,33.03,34.97,35.88,34.97,32.84,31.59,30.62,29.09,27.09,25.97,25.66,24.12,20.91,17.75,15.81,13.81,11.25,9.41,9.91,11.72,13.5,16.0,20.25,25.5,29.22,32.06,34.94,37.94,39.41,38.72,37.97,37.53,36.44,33.41,30.06,27.47,25.12,21.5,17.56,14.56,12.66,10.28,8.0,7.22,8.12,8.62,7.78,7.25,7.66,8.53,9.09,10.44,14.0,18.16,21.28,24.12,27.41,31.09,33.41,34.12,34.53,34.91,34.75,32.97,31.34,30.78,30.84,29.22,27.25,26.41,26.44,24.44,21.59,19.47,17.94,15.47,12.47,10.38,10.12,9.94,9.22,9.31,11.0,14.03,16.53,19.38,24.09,29.34,33.16,35.47,37.12,39.0,39.28,37.5,35.53,34.44,32.66,29.56,26.69,25.53,25.12,24.12,23.5,24.62,26.62,27.75,27.88,28.06,29.0,28.69,26.81,24.88,23.53,21.53,17.78,13.78,11.91,10.44,8.41,7.06,7.47,9.22,10.66,11.75,13.81,16.97,19.19,19.91,20.34,21.22,21.41,20.28,18.06,16.88,16.41,14.09,11.94,11.28,11.69,11.31,9.84,8.34,7.41,6.06,3.38,0.78,0.06,-0.56,-2.31,-3.5,-3.0,-1.44,-0.69,0.5,2.28,5.22,7.97,9.97,12.53,16.56,20.12,22.28,24.47,27.19,29.38,29.09,27.41,25.69,24.0,21.09,17.94,15.88,15.38,14.62,12.69,10.94,10.0,9.09,7.38,5.59,5.66,6.0,5.22,4.31,4.69,6.06,7.06,7.88,9.56,11.47,12.41,11.62,10.28,10.19,10.97,11.0,11.94,15.06,18.78,21.38,23.44,26.56,29.59,30.5,29.78,28.69,27.69,25.44,21.28,16.38,12.0,6.72,0.56,-4.78,-7.19,-7.56,-7.34,-6.94,-4.81,-1.31,1.59,3.81,6.47,10.34,13.34,14.41,14.44,15.66,16.94,16.69,16.12,16.91,17.44,16.28,12.78,9.78,7.31,3.91,-0.03,-2.94,-3.97,-5.0,-6.59,-7.59,-6.22,-3.81,-1.5,1.31,5.66,10.56,13.78,15.56,17.03,18.72,19.56,19.03,18.44,19.28,19.56,18.19,16.31,15.72,14.69,12.94,10.41,9.56,9.44,8.66,7.16,6.44,6.69,6.5,5.5,4.84,5.88,7.66,8.78,10.0,13.34,16.88,19.0,19.34,20.44,21.19,20.47,18.25,16.41,15.38,14.0,11.53,9.28,9.0,8.81,7.41,5.75,6.09,7.16,8.0,8.0,9.19,10.5,10.88,9.44,8.09,8.34,8.56,8.47,8.91,11.31,13.75,15.09,16.22,18.03,20.25,20.75,19.97,19.41,19.06,17.72,15.44,13.81,13.72,13.81,12.91,12.5,14.0,15.97,17.22,17.91,19.19,20.56,20.47,19.0,18.28,18.22,17.94,15.81,14.06,13.84,13.75,12.81,12.25,13.66,15.25,16.0,16.56,18.81,21.62,23.56,24.44,25.75,27.34,27.88,26.09,23.88,22.09,19.94,16.53,13.91,13.91,15.19,16.03,16.28,17.5,18.75,19.0,17.31,16.28,16.12,15.78,14.06,12.66,13.28,14.69,14.94,15.41,17.69,20.41,22.0,22.62,23.72,25.38,25.75,24.31,22.81,21.94,20.78,17.97,15.5,14.84,14.59,13.25,11.41,10.81,10.62,9.44,7.69,7.16,7.47,7.5,6.25,5.81,6.75,8.12,8.47,9.47,11.88,14.5,15.66,15.84,16.94,18.22,18.69,18.09,18.72,19.94,20.22,19.03,17.66,16.72,15.75,13.44,11.59,11.94,13.59,14.47,14.84,16.19,17.97,18.03,16.41,15.38,14.91,13.81,11.12,8.88,8.47,8.84,8.22,8.41,10.66,13.84,15.47,16.28,17.62,18.62,18.62,17.0,15.94,16.12,16.16,14.72,14.0,15.12,17.0,17.72,18.06,19.69,21.31,21.75,20.78,20.53,20.78,19.62,16.44,13.56,11.56,9.84,7.19,5.97,7.19,9.69,11.25,11.84,12.91,13.69,13.44,12.31,12.16,13.66,14.81,14.5,13.84,14.12,13.84,11.16,7.91,6.5,6.09,4.97,4.34,5.5,7.78,9.0,8.59,8.5,9.09,42.03,42.28,42.09,41.44,40.25,39.28,38.84,38.12,36.56,35.41,34.62,34.69,34.84,35.59,37.09,38.47,39.09,38.94,38.41,37.69,36.38:17.91,18.53,20.19,20.97,20.25,19.09,19.62,19.84,19.09,18.78,20.22,22.0,21.31,19.72,18.81,19.25,19.28,20.0,22.09,25.88,29.03,30.25,30.94,32.34,33.0,31.94,30.19,30.19,30.66,30.38,29.5,30.03,31.91,32.09,30.41,29.16,28.75,27.47,25.16,23.59,24.06,25.62,26.25,26.59,28.66,31.34,32.16,32.0,32.0,32.62,31.66,29.34,27.62,27.47,27.19,25.62,24.03,24.22,23.88,22.03,20.5,20.41,21.41,21.78,21.97,23.56,26.09,27.91,28.06,28.12,29.06,30.25,30.09,30.72,32.69,34.59,34.44,32.88,32.09,31.53,29.94,27.59,26.59,27.84,28.75,28.56,28.84,29.84,29.81,27.78,25.19,24.41,24.28,23.09,21.78,21.91,22.72,22.12,20.19,18.47,18.19,17.28,15.12,13.94,14.62,15.59,15.56,16.38,19.41,23.25,26.19,28.03,30.66,33.09,33.84,32.91,32.41,33.28,33.59,33.19,33.22,34.69,35.47,34.47,32.56,31.62,31.25,29.75,28.16,28.28,29.97,30.78,31.0,31.91,34.0,35.41,35.75,35.59,37.38,39.03,38.81,38.25,39.03,39.81,38.84,36.88,35.53,34.53,32.5,29.34,27.28,27.22,27.47,26.84,27.03,29.03,30.62,30.56,30.28,31.03,32.0,31.5,29.81,28.75,28.38,27.09,25.09,23.97,24.62,25.38,24.78,24.06,24.91,25.22,24.19,22.69,22.5,22.94,21.75,19.56,18.38,18.81,18.88,18.19,18.62,21.12,22.97,23.06,22.66,23.53,23.81,22.53,20.16,19.5,19.88,19.41,18.47,19.09,21.25,22.41,22.12,21.84,22.59,22.38,21.06,19.91,20.88,22.09,22.75,22.47,23.09,24.0,23.34,21.66,20.38,20.03,19.06,17.91,17.62,19.81,22.16,23.53,24.0,25.5,26.28,25.62,24.47,24.97,26.41,27.12,27.25,27.88,29.16,29.66,28.44,26.56,26.09,24.78,21.94,19.12,18.47,18.94,19.06,19.19,21.06,24.44,26.81,27.88,28.94,30.22,30.06,27.53,24.91,24.06,23.84,22.88,22.19,23.09,24.84,25.56,25.44,26.78,29.09,30.88,31.62,32.75,34.66,34.97,32.66,29.44,27.19,24.75,21.47,18.84,18.59,19.78,20.56,20.91,21.81,23.56,24.38,23.66,23.28,23.94,23.88,22.22,20.62,20.91,21.66,21.25,20.41,20.84,21.38,20.75,19.56,19.59,20.94,21.75,21.12,20.78,21.81,22.59,22.09,22.72,24.97,27.09,27.41,26.53,26.06,25.47,23.72,21.19,20.44,20.69,20.81,20.03,19.47,19.91,19.94,18.41,16.94,17.53,18.5,18.94,19.16,21.03,23.75,25.44,26.31,28.16,30.62,32.53,32.5,32.47,33.78,34.19,33.12,32.28,33.12,34.38,34.53,33.62,33.84,33.5,31.91,28.56,25.62,23.91,22.84,21.12,20.22,20.97,21.72,20.28,18.44,18.0,18.22,17.88,17.22,18.09,20.0,21.0,21.03,20.97,21.56,21.41,19.56,17.69,17.69,18.19,17.69,17.66,19.09,20.66,21.34,20.91,21.78,23.84,25.5,25.75,26.75,28.81,30.56,30.59,30.53,31.91,33.25,32.12,30.75,30.81,31.5,31.06,29.94,29.53,29.94,29.06,26.56,24.5,23.91,23.5,22.5,22.06,23.56,25.12,25.12,24.22,24.19,25.19,25.34,24.81,25.62,27.38,28.62,28.0,27.97,29.16,30.44,30.53,30.62,32.03,32.84,31.88,29.75,28.06,27.28,25.75,23.31,22.47,22.53,22.19,20.69,19.56,20.09,20.53,20.28,20.16,21.53,23.28,23.41,23.06,23.78,25.38,25.5,24.66,24.41,23.94,22.91,20.69,19.22,19.81,20.81,21.28,21.41,23.06,25.0,25.44,25.47,26.25,27.56,27.53,25.62,24.41,23.97,23.16,20.69,18.94,18.75,19.41,18.97,18.78,20.53,23.16,24.31,25.25,27.16,29.5,30.62,29.97,29.5,29.94,30.25,29.19,27.88,27.88,27.84,26.31,24.28,23.38,23.53,22.62,21.34,21.38,22.53,23.25,22.66,23.19,24.88,27.03,27.81,28.62,29.91,31.22,30.66,28.62,28.0,27.72,26.44,24.78,24.56,25.41,26.22,25.97,26.34,27.53,28.62,27.84,26.91,26.81,26.78,25.31,23.41,22.5,22.28,21.78,20.47,19.56,19.84,19.16,17.16,15.53,15.66,16.06,15.78,15.94,17.69,20.16,21.53,22.31,24.31,26.94,28.84,29.84,31.31,33.38,34.28,33.97,33.78,34.28,35.09,33.62,31.38,29.25,27.44,24.72,21.59,20.91,22.03,23.28,24.06,25.34,27.84,29.62,29.91,30.41,32.0,33.5,32.94,31.31,29.88,28.78,26.69,23.94,22.34,22.28,21.38,19.31,18.0,18.12,18.25,17.47,17.03,17.69,18.84,18.78,18.59,19.06,20.19,20.66,20.31,20.88,22.62,24.06,24.12,24.59,26.25,27.69,27.91,27.84,28.12,28.56,27.09,24.81,23.72,23.53,22.56,20.59,19.5,19.62,19.5,18.25,18.25,19.97,21.66,21.53,21.06,20.56,20.03,17.75,15.41,14.94,16.25,18.06,19.75,22.62,26.94,30.34,31.91,33.03,34.97,35.88,34.97,32.84,31.59,30.62,29.09,27.09,25.97,25.66,24.12,20.91,17.75,15.81,13.81,11.25,9.41,9.91,11.72,13.5,16.0,20.25,25.5,29.22,32.06,34.94,37.94,39.41,38.72,37.97,37.53,36.44,33.41,30.06,27.47,25.12,21.5,17.56,14.56,12.66,10.28,8.0,7.22,8.12,8.62,7.78,7.25,7.66,8.53,9.09,10.44,14.0,18.16,21.28,24.12,27.41,31.09,33.41,34.12,34.53,34.91,34.75,32.97,31.34,30.78,30.84,29.22,27.25,26.41,26.44,24.44,21.59,19.47,17.94,15.47,12.47,10.38,10.12,9.94,9.22,9.31,11.0,14.03,16.53,19.38,24.09,29.34,33.16,35.47,37.12,39.0,39.28,37.5,35.53,34.44,32.66,29.56,26.69,25.53,25.12,24.12,23.5,24.62,26.62,27.75,27.88,28.06,29.0,28.69,26.81,24.88,23.53,21.53,17.78,13.78,11.91,10.44,8.41,7.06,7.47,9.22,10.66,11.75,13.81,16.97,19.19,19.91,20.34,21.22,21.41,20.28,18.06,16.88,16.41,14.09,11.94,11.28,11.69,11.31,9.84,8.34,7.41,6.06,3.38,0.78,0.06,-0.56,-2.31,-3.5,-3.0,-1.44,-0.69,0.5,2.28,5.22,7.97,9.97,12.53,16.56,20.12,22.28,24.47,27.19,29.38,29.09,27.41,25.69,24.0,21.09,17.94,15.88,15.38,14.62,12.69,10.94,10.0,9.09,7.38,5.59,5.66,6.0,5.22,4.31,4.69,6.06,7.06,7.88,9.56,11.47,12.41,11.62,10.28,10.19,10.97,11.0,11.94,15.06,18.78,21.38,23.44,26.56,29.59,30.5,29.78,28.69,27.69,25.44,21.28,16.38,12.0,6.72,0.56,-4.78,-7.19,-7.56,-7.34,-6.94,-4.81,-1.31,1.59,3.81,6.47,10.34,13.34,14.41,14.44,15.66,16.94,16.69,16.12,16.91,17.44,16.28,12.78,9.78,7.31,3.91,-0.03,-2.94,-3.97,-5.0,-6.59,-7.59,-6.22,-3.81,-1.5,1.31,5.66,10.56,13.78,15.56,17.03,18.72,19.56,19.03,18.44,19.28,19.56,18.19,16.31,15.72,14.69,12.94,10.41,9.56,9.44,8.66,7.16,6.44,6.69,6.5,5.5,4.84,5.88,7.66,8.78,10.0,13.34,16.88,19.0,19.34,20.44,21.19,20.47,18.25,16.41,15.38,14.0,11.53,9.28,9.0,8.81,7.41,5.75,6.09,7.16,8.0,8.0,9.19,10.5,10.88,9.44,8.09,8.34,8.56,8.47,8.91,11.31,13.75,15.09,16.22,18.03,20.25,20.75,19.97,19.41,19.06,17.72,15.44,13.81,13.72,13.81,12.91,12.5,14.0,15.97,17.22,17.91,19.19,20.56,20.47,19.0,18.28,18.22,17.94,15.81,14.06,13.84,13.75,12.81,12.25,13.66,15.25,16.0,16.56,18.81,21.62,23.56,24.44,25.75,27.34,27.88,26.09,23.88,22.09,19.94,16.53,13.91,13.91,15.19,16.03,16.28,17.5,18.75,19.0,17.31,16.28,16.12,15.78,14.06,12.66,13.28,14.69,14.94,15.41,17.69,20.41,22.0,22.62,23.72,25.38,25.75,24.31,22.81,21.94,20.78,17.97,15.5,14.84,14.59,13.25,11.41,10.81,10.62,9.44,7.69,7.16,7.47,7.5,6.25,5.81,6.75,8.12,8.47,9.47,11.88,14.5,15.66,15.84,16.94,18.22,18.69,18.09,18.72,19.94,20.22,19.03,17.66,16.72,15.75,13.44,11.59,11.94,13.59,14.47,14.84,16.19,17.97,18.03,16.41,15.38,14.91,13.81,11.12,8.88,8.47,8.84,8.22,8.41,10.66,13.84,15.47,16.28,17.62,18.62,18.62,17.0,15.94,16.12,16.16,14.72,14.0,15.12,17.0,17.72,18.06,19.69,21.31,21.75,20.78,20.53,20.78,19.62,16.44,13.56,11.56,9.84,7.19,5.97,7.19,9.69,11.25,11.84,12.91,13.69,13.44,12.31,12.16,13.66,14.81,14.5,13.84,14.12,13.84,11.16,7.91,6.5,6.09,4.97,4.34,5.5,7.78,9.0,8.59,8.5,9.09,42.03,42.28,42.09,41.44,40.25,39.28,38.84,38.12,36.56,35.41,34.62,34.69,34.84,35.59,37.09,38.47,39.09,38.94,38.41,37.69,36.38,34.44,33.44,32.97,32.78,32.78,33.22,33.72:19.84,19.09,18.78,20.22,22.0,21.31,19.72,18.81,19.25,19.28,20.0,22.09,25.88,29.03,30.25,30.94,32.34,33.0,31.94,30.19,30.19,30.66,30.38,29.5,30.03,31.91,32.09,30.41,29.16,28.75,27.47,25.16,23.59,24.06,25.62,26.25,26.59,28.66,31.34,32.16,32.0,32.0,32.62,31.66,29.34,27.62,27.47,27.19,25.62,24.03,24.22,23.88,22.03,20.5,20.41,21.41,21.78,21.97,23.56,26.09,27.91,28.06,28.12,29.06,30.25,30.09,30.72,32.69,34.59,34.44,32.88,32.09,31.53,29.94,27.59,26.59,27.84,28.75,28.56,28.84,29.84,29.81,27.78,25.19,24.41,24.28,23.09,21.78,21.91,22.72,22.12,20.19,18.47,18.19,17.28,15.12,13.94,14.62,15.59,15.56,16.38,19.41,23.25,26.19,28.03,30.66,33.09,33.84,32.91,32.41,33.28,33.59,33.19,33.22,34.69,35.47,34.47,32.56,31.62,31.25,29.75,28.16,28.28,29.97,30.78,31.0,31.91,34.0,35.41,35.75,35.59,37.38,39.03,38.81,38.25,39.03,39.81,38.84,36.88,35.53,34.53,32.5,29.34,27.28,27.22,27.47,26.84,27.03,29.03,30.62,30.56,30.28,31.03,32.0,31.5,29.81,28.75,28.38,27.09,25.09,23.97,24.62,25.38,24.78,24.06,24.91,25.22,24.19,22.69,22.5,22.94,21.75,19.56,18.38,18.81,18.88,18.19,18.62,21.12,22.97,23.06,22.66,23.53,23.81,22.53,20.16,19.5,19.88,19.41,18.47,19.09,21.25,22.41,22.12,21.84,22.59,22.38,21.06,19.91,20.88,22.09,22.75,22.47,23.09,24.0,23.34,21.66,20.38,20.03,19.06,17.91,17.62,19.81,22.16,23.53,24.0,25.5,26.28,25.62,24.47,24.97,26.41,27.12,27.25,27.88,29.16,29.66,28.44,26.56,26.09,24.78,21.94,19.12,18.47,18.94,19.06,19.19,21.06,24.44,26.81,27.88,28.94,30.22,30.06,27.53,24.91,24.06,23.84,22.88,22.19,23.09,24.84,25.56,25.44,26.78,29.09,30.88,31.62,32.75,34.66,34.97,32.66,29.44,27.19,24.75,21.47,18.84,18.59,19.78,20.56,20.91,21.81,23.56,24.38,23.66,23.28,23.94,23.88,22.22,20.62,20.91,21.66,21.25,20.41,20.84,21.38,20.75,19.56,19.59,20.94,21.75,21.12,20.78,21.81,22.59,22.09,22.72,24.97,27.09,27.41,26.53,26.06,25.47,23.72,21.19,20.44,20.69,20.81,20.03,19.47,19.91,19.94,18.41,16.94,17.53,18.5,18.94,19.16,21.03,23.75,25.44,26.31,28.16,30.62,32.53,32.5,32.47,33.78,34.19,33.12,32.28,33.12,34.38,34.53,33.62,33.84,33.5,31.91,28.56,25.62,23.91,22.84,21.12,20.22,20.97,21.72,20.28,18.44,18.0,18.22,17.88,17.22,18.09,20.0,21.0,21.03,20.97,21.56,21.41,19.56,17.69,17.69,18.19,17.69,17.66,19.09,20.66,21.34,20.91,21.78,23.84,25.5,25.75,26.75,28.81,30.56,30.59,30.53,31.91,33.25,32.12,30.75,30.81,31.5,31.06,29.94,29.53,29.94,29.06,26.56,24.5,23.91,23.5,22.5,22.06,23.56,25.12,25.12,24.22,24.19,25.19,25.34,24.81,25.62,27.38,28.62,28.0,27.97,29.16,30.44,30.53,30.62,32.03,32.84,31.88,29.75,28.06,27.28,25.75,23.31,22.47,22.53,22.19,20.69,19.56,20.09,20.53,20.28,20.16,21.53,23.28,23.41,23.06,23.78,25.38,25.5,24.66,24.41,23.94,22.91,20.69,19.22,19.81,20.81,21.28,21.41,23.06,25.0,25.44,25.47,26.25,27.56,27.53,25.62,24.41,23.97,23.16,20.69,18.94,18.75,19.41,18.97,18.78,20.53,23.16,24.31,25.25,27.16,29.5,30.62,29.97,29.5,29.94,30.25,29.19,27.88,27.88,27.84,26.31,24.28,23.38,23.53,22.62,21.34,21.38,22.53,23.25,22.66,23.19,24.88,27.03,27.81,28.62,29.91,31.22,30.66,28.62,28.0,27.72,26.44,24.78,24.56,25.41,26.22,25.97,26.34,27.53,28.62,27.84,26.91,26.81,26.78,25.31,23.41,22.5,22.28,21.78,20.47,19.56,19.84,19.16,17.16,15.53,15.66,16.06,15.78,15.94,17.69,20.16,21.53,22.31,24.31,26.94,28.84,29.84,31.31,33.38,34.28,33.97,33.78,34.28,35.09,33.62,31.38,29.25,27.44,24.72,21.59,20.91,22.03,23.28,24.06,25.34,27.84,29.62,29.91,30.41,32.0,33.5,32.94,31.31,29.88,28.78,26.69,23.94,22.34,22.28,21.38,19.31,18.0,18.12,18.25,17.47,17.03,17.69,18.84,18.78,18.59,19.06,20.19,20.66,20.31,20.88,22.62,24.06,24.12,24.59,26.25,27.69,27.91,27.84,28.12,28.56,27.09,24.81,23.72,23.53,22.56,20.59,19.5,19.62,19.5,18.25,18.25,19.97,21.66,21.53,21.06,20.56,20.03,17.75,15.41,14.94,16.25,18.06,19.75,22.62,26.94,30.34,31.91,33.03,34.97,35.88,34.97,32.84,31.59,30.62,29.09,27.09,25.97,25.66,24.12,20.91,17.75,15.81,13.81,11.25,9.41,9.91,11.72,13.5,16.0,20.25,25.5,29.22,32.06,34.94,37.94,39.41,38.72,37.97,37.53,36.44,33.41,30.06,27.47,25.12,21.5,17.56,14.56,12.66,10.28,8.0,7.22,8.12,8.62,7.78,7.25,7.66,8.53,9.09,10.44,14.0,18.16,21.28,24.12,27.41,31.09,33.41,34.12,34.53,34.91,34.75,32.97,31.34,30.78,30.84,29.22,27.25,26.41,26.44,24.44,21.59,19.47,17.94,15.47,12.47,10.38,10.12,9.94,9.22,9.31,11.0,14.03,16.53,19.38,24.09,29.34,33.16,35.47,37.12,39.0,39.28,37.5,35.53,34.44,32.66,29.56,26.69,25.53,25.12,24.12,23.5,24.62,26.62,27.75,27.88,28.06,29.0,28.69,26.81,24.88,23.53,21.53,17.78,13.78,11.91,10.44,8.41,7.06,7.47,9.22,10.66,11.75,13.81,16.97,19.19,19.91,20.34,21.22,21.41,20.28,18.06,16.88,16.41,14.09,11.94,11.28,11.69,11.31,9.84,8.34,7.41,6.06,3.38,0.78,0.06,-0.56,-2.31,-3.5,-3.0,-1.44,-0.69,0.5,2.28,5.22,7.97,9.97,12.53,16.56,20.12,22.28,24.47,27.19,29.38,29.09,27.41,25.69,24.0,21.09,17.94,15.88,15.38,14.62,12.69,10.94,10.0,9.09,7.38,5.59,5.66,6.0,5.22,4.31,4.69,6.06,7.06,7.88,9.56,11.47,12.41,11.62,10.28,10.19,10.97,11.0,11.94,15.06,18.78,21.38,23.44,26.56,29.59,30.5,29.78,28.69,27.69,25.44,21.28,16.38,12.0,6.72,0.56,-4.78,-7.19,-7.56,-7.34,-6.94,-4.81,-1.31,1.59,3.81,6.47,10.34,13.34,14.41,14.44,15.66,16.94,16.69,16.12,16.91,17.44,16.28,12.78,9.78,7.31,3.91,-0.03,-2.94,-3.97,-5.0,-6.59,-7.59,-6.22,-3.81,-1.5,1.31,5.66,10.56,13.78,15.56,17.03,18.72,19.56,19.03,18.44,19.28,19.56,18.19,16.31,15.72,14.69,12.94,10.41,9.56,9.44,8.66,7.16,6.44,6.69,6.5,5.5,4.84,5.88,7.66,8.78,10.0,13.34,16.88,19.0,19.34,20.44,21.19,20.47,18.25,16.41,15.38,14.0,11.53,9.28,9.0,8.81,7.41,5.75,6.09,7.16,8.0,8.0,9.19,10.5,10.88,9.44,8.09,8.34,8.56,8.47,8.91,11.31,13.75,15.09,16.22,18.03,20.25,20.75,19.97,19.41,19.06,17.72,15.44,13.81,13.72,13.81,12.91,12.5,14.0,15.97,17.22,17.91,19.19,20.56,20.47,19.0,18.28,18.22,17.94,15.81,14.06,13.84,13.75,12.81,12.25,13.66,15.25,16.0,16.56,18.81,21.62,23.56,24.44,25.75,27.34,27.88,26.09,23.88,22.09,19.94,16.53,13.91,13.91,15.19,16.03,16.28,17.5,18.75,19.0,17.31,16.28,16.12,15.78,14.06,12.66,13.28,14.69,14.94,15.41,17.69,20.41,22.0,22.62,23.72,25.38,25.75,24.31,22.81,21.94,20.78,17.97,15.5,14.84,14.59,13.25,11.41,10.81,10.62,9.44,7.69,7.16,7.47,7.5,6.25,5.81,6.75,8.12,8.47,9.47,11.88,14.5,15.66,15.84,16.94,18.22,18.69,18.09,18.72,19.94,20.22,19.03,17.66,16.72,15.75,13.44,11.59,11.94,13.59,14.47,14.84,16.19,17.97,18.03,16.41,15.38,14.91,13.81,11.12,8.88,8.47,8.84,8.22,8.41,10.66,13.84,15.47,16.28,17.62,18.62,18.62,17.0,15.94,16.12,16.16,14.72,14.0,15.12,17.0,17.72,18.06,19.69,21.31,21.75,20.78,20.53,20.78,19.62,16.44,13.56,11.56,9.84,7.19,5.97,7.19,9.69,11.25,11.84,12.91,13.69,13.44,12.31,12.16,13.66,14.81,14.5,13.84,14.12,13.84,11.16,7.91,6.5,6.09,4.97,4.34,5.5,7.78,9.0,8.59,8.5,9.09,42.03,42.28,42.09,41.44,40.25,39.28,38.84,38.12,36.56,35.41,34.62,34.69,34.84,35.59,37.09,38.47,39.09,38.94,38.41,37.69,36.38,34.44,33.44,32.97,32.78,32.78,33.22,33.72,34.06,34.12,34.09,33.81,33.59,32.62,31.31:18.81,19.25,19.28,20.0,22.09,25.88,29.03,30.25,30.94,32.34,33.0,31.94,30.19,30.19,30.66,30.38,29.5,30.03,31.91,32.09,30.41,29.16,28.75,27.47,25.16,23.59,24.06,25.62,26.25,26.59,28.66,31.34,32.16,32.0,32.0,32.62,31.66,29.34,27.62,27.47,27.19,25.62,24.03,24.22,23.88,22.03,20.5,20.41,21.41,21.78,21.97,23.56,26.09,27.91,28.06,28.12,29.06,30.25,30.09,30.72,32.69,34.59,34.44,32.88,32.09,31.53,29.94,27.59,26.59,27.84,28.75,28.56,28.84,29.84,29.81,27.78,25.19,24.41,24.28,23.09,21.78,21.91,22.72,22.12,20.19,18.47,18.19,17.28,15.12,13.94,14.62,15.59,15.56,16.38,19.41,23.25,26.19,28.03,30.66,33.09,33.84,32.91,32.41,33.28,33.59,33.19,33.22,34.69,35.47,34.47,32.56,31.62,31.25,29.75,28.16,28.28,29.97,30.78,31.0,31.91,34.0,35.41,35.75,35.59,37.38,39.03,38.81,38.25,39.03,39.81,38.84,36.88,35.53,34.53,32.5,29.34,27.28,27.22,27.47,26.84,27.03,29.03,30.62,30.56,30.28,31.03,32.0,31.5,29.81,28.75,28.38,27.09,25.09,23.97,24.62,25.38,24.78,24.06,24.91,25.22,24.19,22.69,22.5,22.94,21.75,19.56,18.38,18.81,18.88,18.19,18.62,21.12,22.97,23.06,22.66,23.53,23.81,22.53,20.16,19.5,19.88,19.41,18.47,19.09,21.25,22.41,22.12,21.84,22.59,22.38,21.06,19.91,20.88,22.09,22.75,22.47,23.09,24.0,23.34,21.66,20.38,20.03,19.06,17.91,17.62,19.81,22.16,23.53,24.0,25.5,26.28,25.62,24.47,24.97,26.41,27.12,27.25,27.88,29.16,29.66,28.44,26.56,26.09,24.78,21.94,19.12,18.47,18.94,19.06,19.19,21.06,24.44,26.81,27.88,28.94,30.22,30.06,27.53,24.91,24.06,23.84,22.88,22.19,23.09,24.84,25.56,25.44,26.78,29.09,30.88,31.62,32.75,34.66,34.97,32.66,29.44,27.19,24.75,21.47,18.84,18.59,19.78,20.56,20.91,21.81,23.56,24.38,23.66,23.28,23.94,23.88,22.22,20.62,20.91,21.66,21.25,20.41,20.84,21.38,20.75,19.56,19.59,20.94,21.75,21.12,20.78,21.81,22.59,22.09,22.72,24.97,27.09,27.41,26.53,26.06,25.47,23.72,21.19,20.44,20.69,20.81,20.03,19.47,19.91,19.94,18.41,16.94,17.53,18.5,18.94,19.16,21.03,23.75,25.44,26.31,28.16,30.62,32.53,32.5,32.47,33.78,34.19,33.12,32.28,33.12,34.38,34.53,33.62,33.84,33.5,31.91,28.56,25.62,23.91,22.84,21.12,20.22,20.97,21.72,20.28,18.44,18.0,18.22,17.88,17.22,18.09,20.0,21.0,21.03,20.97,21.56,21.41,19.56,17.69,17.69,18.19,17.69,17.66,19.09,20.66,21.34,20.91,21.78,23.84,25.5,25.75,26.75,28.81,30.56,30.59,30.53,31.91,33.25,32.12,30.75,30.81,31.5,31.06,29.94,29.53,29.94,29.06,26.56,24.5,23.91,23.5,22.5,22.06,23.56,25.12,25.12,24.22,24.19,25.19,25.34,24.81,25.62,27.38,28.62,28.0,27.97,29.16,30.44,30.53,30.62,32.03,32.84,31.88,29.75,28.06,27.28,25.75,23.31,22.47,22.53,22.19,20.69,19.56,20.09,20.53,20.28,20.16,21.53,23.28,23.41,23.06,23.78,25.38,25.5,24.66,24.41,23.94,22.91,20.69,19.22,19.81,20.81,21.28,21.41,23.06,25.0,25.44,25.47,26.25,27.56,27.53,25.62,24.41,23.97,23.16,20.69,18.94,18.75,19.41,18.97,18.78,20.53,23.16,24.31,25.25,27.16,29.5,30.62,29.97,29.5,29.94,30.25,29.19,27.88,27.88,27.84,26.31,24.28,23.38,23.53,22.62,21.34,21.38,22.53,23.25,22.66,23.19,24.88,27.03,27.81,28.62,29.91,31.22,30.66,28.62,28.0,27.72,26.44,24.78,24.56,25.41,26.22,25.97,26.34,27.53,28.62,27.84,26.91,26.81,26.78,25.31,23.41,22.5,22.28,21.78,20.47,19.56,19.84,19.16,17.16,15.53,15.66,16.06,15.78,15.94,17.69,20.16,21.53,22.31,24.31,26.94,28.84,29.84,31.31,33.38,34.28,33.97,33.78,34.28,35.09,33.62,31.38,29.25,27.44,24.72,21.59,20.91,22.03,23.28,24.06,25.34,27.84,29.62,29.91,30.41,32.0,33.5,32.94,31.31,29.88,28.78,26.69,23.94,22.34,22.28,21.38,19.31,18.0,18.12,18.25,17.47,17.03,17.69,18.84,18.78,18.59,19.06,20.19,20.66,20.31,20.88,22.62,24.06,24.12,24.59,26.25,27.69,27.91,27.84,28.12,28.56,27.09,24.81,23.72,23.53,22.56,20.59,19.5,19.62,19.5,18.25,18.25,19.97,21.66,21.53,21.06,20.56,20.03,17.75,15.41,14.94,16.25,18.06,19.75,22.62,26.94,30.34,31.91,33.03,34.97,35.88,34.97,32.84,31.59,30.62,29.09,27.09,25.97,25.66,24.12,20.91,17.75,15.81,13.81,11.25,9.41,9.91,11.72,13.5,16.0,20.25,25.5,29.22,32.06,34.94,37.94,39.41,38.72,37.97,37.53,36.44,33.41,30.06,27.47,25.12,21.5,17.56,14.56,12.66,10.28,8.0,7.22,8.12,8.62,7.78,7.25,7.66,8.53,9.09,10.44,14.0,18.16,21.28,24.12,27.41,31.09,33.41,34.12,34.53,34.91,34.75,32.97,31.34,30.78,30.84,29.22,27.25,26.41,26.44,24.44,21.59,19.47,17.94,15.47,12.47,10.38,10.12,9.94,9.22,9.31,11.0,14.03,16.53,19.38,24.09,29.34,33.16,35.47,37.12,39.0,39.28,37.5,35.53,34.44,32.66,29.56,26.69,25.53,25.12,24.12,23.5,24.62,26.62,27.75,27.88,28.06,29.0,28.69,26.81,24.88,23.53,21.53,17.78,13.78,11.91,10.44,8.41,7.06,7.47,9.22,10.66,11.75,13.81,16.97,19.19,19.91,20.34,21.22,21.41,20.28,18.06,16.88,16.41,14.09,11.94,11.28,11.69,11.31,9.84,8.34,7.41,6.06,3.38,0.78,0.06,-0.56,-2.31,-3.5,-3.0,-1.44,-0.69,0.5,2.28,5.22,7.97,9.97,12.53,16.56,20.12,22.28,24.47,27.19,29.38,29.09,27.41,25.69,24.0,21.09,17.94,15.88,15.38,14.62,12.69,10.94,10.0,9.09,7.38,5.59,5.66,6.0,5.22,4.31,4.69,6.06,7.06,7.88,9.56,11.47,12.41,11.62,10.28,10.19,10.97,11.0,11.94,15.06,18.78,21.38,23.44,26.56,29.59,30.5,29.78,28.69,27.69,25.44,21.28,16.38,12.0,6.72,0.56,-4.78,-7.19,-7.56,-7.34,-6.94,-4.81,-1.31,1.59,3.81,6.47,10.34,13.34,14.41,14.44,15.66,16.94,16.69,16.12,16.91,17.44,16.28,12.78,9.78,7.31,3.91,-0.03,-2.94,-3.97,-5.0,-6.59,-7.59,-6.22,-3.81,-1.5,1.31,5.66,10.56,13.78,15.56,17.03,18.72,19.56,19.03,18.44,19.28,19.56,18.19,16.31,15.72,14.69,12.94,10.41,9.56,9.44,8.66,7.16,6.44,6.69,6.5,5.5,4.84,5.88,7.66,8.78,10.0,13.34,16.88,19.0,19.34,20.44,21.19,20.47,18.25,16.41,15.38,14.0,11.53,9.28,9.0,8.81,7.41,5.75,6.09,7.16,8.0,8.0,9.19,10.5,10.88,9.44,8.09,8.34,8.56,8.47,8.91,11.31,13.75,15.09,16.22,18.03,20.25,20.75,19.97,19.41,19.06,17.72,15.44,13.81,13.72,13.81,12.91,12.5,14.0,15.97,17.22,17.91,19.19,20.56,20.47,19.0,18.28,18.22,17.94,15.81,14.06,13.84,13.75,12.81,12.25,13.66,15.25,16.0,16.56,18.81,21.62,23.56,24.44,25.75,27.34,27.88,26.09,23.88,22.09,19.94,16.53,13.91,13.91,15.19,16.03,16.28,17.5,18.75,19.0,17.31,16.28,16.12,15.78,14.06,12.66,13.28,14.69,14.94,15.41,17.69,20.41,22.0,22.62,23.72,25.38,25.75,24.31,22.81,21.94,20.78,17.97,15.5,14.84,14.59,13.25,11.41,10.81,10.62,9.44,7.69,7.16,7.47,7.5,6.25,5.81,6.75,8.12,8.47,9.47,11.88,14.5,15.66,15.84,16.94,18.22,18.69,18.09,18.72,19.94,20.22,19.03,17.66,16.72,15.75,13.44,11.59,11.94,13.59,14.47,14.84,16.19,17.97,18.03,16.41,15.38,14.91,13.81,11.12,8.88,8.47,8.84,8.22,8.41,10.66,13.84,15.47,16.28,17.62,18.62,18.62,17.0,15.94,16.12,16.16,14.72,14.0,15.12,17.0,17.72,18.06,19.69,21.31,21.75,20.78,20.53,20.78,19.62,16.44,13.56,11.56,9.84,7.19,5.97,7.19,9.69,11.25,11.84,12.91,13.69,13.44,12.31,12.16,13.66,14.81,14.5,13.84,14.12,13.84,11.16,7.91,6.5,6.09,4.97,4.34,5.5,7.78,9.0,8.59,8.5,9.09,42.03,42.28,42.09,41.44,40.25,39.28,38.84,38.12,36.56,35.41,34.62,34.69,34.84,35.59,37.09,38.47,39.09,38.94,38.41,37.69,36.38,34.44,33.44,32.97,32.78,32.78,33.22,33.72,34.06,34.12,34.09,33.81,33.59,32.62,31.31,30.19,29.97,30.0,29.91,30.03,29.88,29.22:positivity
10.5,8.88,6.59,5.25,5.84,7.06,7.22,7.69,10.09,12.66,13.91,14.28,15.09,17.28,19.0,19.28,20.84,23.25,25.09,24.38,22.88,22.16,20.88,17.25,13.25,10.69,9.53,7.97,6.97,7.84,11.0,13.59,14.78,16.16,18.59,20.97,21.03,20.72,21.81,22.47,21.62,20.31,20.5,21.66,22.03,21.25,21.69,23.34,24.5,23.66,22.69,22.53,21.72,18.88,16.16,15.31,15.38,14.94,14.44,15.53,17.94,19.62,20.25,21.16,22.84,23.34,21.66,20.0,19.28,18.62,15.47,11.44,8.5,6.06,3.16,0.44,-0.31,0.59,1.81,2.69,5.41,10.25,15.5,19.31,23.16,27.88,32.09,33.75,34.38,35.44,35.91,34.84,32.34,30.59,29.75,28.06,25.06,22.09,20.88,19.59,17.47,15.94,16.91,19.03,19.97,21.06,23.84,27.81,30.31,31.03,31.59,32.31,31.19,27.94,24.91,23.78,23.0,20.5,17.91,16.56,15.19,12.16,8.53,6.56,6.22,5.5,4.0,3.22,3.75,3.28,1.19,-0.5,-0.28,0.31,-0.06,-0.28,1.19,3.72,5.34,6.41,8.56,11.47,12.97,13.06,13.56,15.0,15.97,15.06,14.03,14.19,14.38,13.53,12.41,13.0,14.78,15.44,15.5,16.53,18.59,19.69,19.41,18.78,19.03,18.97,16.56,15.19,15.66,17.22,18.09,18.97,21.03,23.88,25.19,25.16,25.38,27.09,27.94,27.47,27.03,28.12,28.59,27.19,25.41,24.22,23.5,20.72,17.25,15.62,15.62,15.94,16.41,17.78,20.66,22.59,22.75,22.53,24.12,25.62,25.38,24.75,25.25,26.12,25.47,24.06,24.03,25.34,25.5,24.78,24.41,25.28,25.56,24.66,24.22,25.53,27.53,27.81,27.53,27.91,28.31,26.56,23.03,20.22,18.75,16.94,14.25,13.28,14.44,16.0,16.53,17.0,18.91,21.12,21.56,21.38,22.78,25.22,27.03,28.34,29.91,31.28,31.19,29.06,26.03,24.94,24.41,22.56,20.66,20.22,20.53,19.53,18.12,18.44,19.75,20.25,19.59,20.03,22.03,23.62,24.0,24.66,26.31,27.28,26.44,24.44,23.78,24.06,23.09,21.81,21.91,23.41,23.59,22.0,20.44,20.03,18.62,16.06,13.84,13.66,14.25,14.09,13.44,13.34,14.25,13.81,12.62,12.94,15.62,18.5,19.88,21.38,23.75,25.03,24.34,23.34,24.12,24.97,24.66,23.44,23.34,23.25,21.88,19.06,17.12,16.41,15.81,14.56,14.53,16.69,19.09,20.0,20.5,22.53,24.31,24.78,24.38,24.47,25.47,24.81,23.09,21.75,21.91,21.5,19.84,18.72,20.0,21.91,23.31,24.84,28.12,31.53,33.56,34.62,36.34,38.78,39.97,39.41,39.22,40.06,39.97,38.28,36.28,35.22,34.38,32.12,29.25,28.12,27.53,25.66,22.59,20.72,20.44,20.5,19.81,20.5,22.62,24.5,24.62,24.31,25.41,27.28,27.91,27.94,29.75,32.31,33.41,32.81,32.59,33.0,32.06,29.59,27.25,27.22,27.06,26.31,25.88,27.22,28.84,29.34,28.72,29.72,31.59,33.0,33.72,34.94,37.44,38.94,38.28,37.0,37.34,37.47,36.03,34.22,33.75,33.22,31.91,29.12,27.72,27.16,26.09,23.59,21.81,21.22,20.12,17.75,15.56,15.03,15.69,15.25,14.62,16.44,19.56,22.25,23.84,26.12,28.5,29.28,27.75,26.5,26.34,26.47,25.94,25.5,26.72,27.94,27.91,27.0,26.66,27.5,27.19,25.84,25.81,27.28,29.09,29.66,31.28,34.41,37.28,37.75,37.25,37.38,37.62,35.84,33.09,31.88,31.31,29.59,26.94,24.88,24.62,24.31,22.94,22.0,22.75,23.56,22.84,21.62,21.38,21.19,20.12,17.88,17.25,17.88,18.34,17.25,16.78,17.59,18.38,18.41,19.09,21.75,24.78,25.94,26.06,26.88,27.62,27.22,25.12,23.5,22.66,21.72,19.69,18.12,18.22,18.59,17.38,15.97,15.78,16.31,15.69,14.69,14.94,15.97,16.22,15.12,14.12,14.12,13.69,11.88,11.38,13.16,16.47,18.91,21.62,25.12,28.03,28.41,27.31,26.62,27.03,27.5,26.47,26.62,27.66,28.22,27.41,26.72,27.38,27.75,27.03,25.94,26.38,27.94,28.69,28.62,29.06,29.16,28.22,25.03,22.53,21.31,20.41,18.5,17.66,18.47,19.78,19.91,20.06,21.5,24.06,25.94,26.44,27.56,28.75,28.91,27.03,25.84,25.78,25.84,24.84,23.88,24.0,25.28,25.19,24.75,25.28,26.12,25.88,23.09,20.5,18.88,16.81,13.75,11.59,11.28,11.56,10.03,8.38,8.06,8.69,8.78,8.75,10.53,13.44,15.56,16.19,16.84,18.75,20.19,20.31,20.91,22.88,24.94,25.12,24.25,24.12,24.47,23.41,21.34,19.91,19.34,18.22,15.84,14.44,14.66,15.84,16.53,17.53,20.25,23.97,26.44,27.66,29.66,31.81,32.38,31.22,30.62,31.38,32.06,31.69,31.78,32.88,33.47,31.62,28.97,27.34,26.41,25.16,24.22,24.66,26.84,28.41,29.28,30.41,32.41,33.56,32.84,31.78,31.47,31.47,30.0,27.91,26.78,26.16,24.25,21.62,20.47,20.84,21.12,21.47,22.72,25.62,27.94,28.38,28.03,28.25,28.44,26.88,25.53,25.16,25.12,23.66,20.84,18.56,16.94,15.12,12.41,10.25,10.75,11.31,11.66,12.44,14.94,18.09,20.16,21.34,23.09,25.34,26.28,26.09,26.09,27.25,28.09,27.06,26.03,26.34,26.5,25.72,24.41,24.5,25.03,24.31,22.78,21.34,21.06,19.5,16.5,13.62,12.22,10.97,9.44,9.03,11.69,15.28,18.03,20.34,23.16,26.09,27.25,27.53,28.03,29.44,29.91,29.06,27.72,27.0,25.5,22.16,18.56,16.31,14.75,13.12,11.75,12.03,13.34,13.84,13.44,13.72,15.44,16.88,17.81,18.69,21.16,23.56,24.22,24.69,26.25,28.0,28.56,28.91,29.88,31.72,32.53,32.06,31.34,31.19,30.28,28.03,25.47,24.22,23.25,20.56,16.84,14.31,12.25,9.0,5.5,3.69,3.91,3.72,3.53,4.09,6.22,8.34,10.03,12.19,15.88,19.56,21.56,22.38,23.94,25.81,26.38,25.12,24.31,23.34,21.28,17.41,14.41,13.66,13.56,13.41,13.97,16.5,19.31,20.53,21.19,22.78,25.25,26.97,27.59,29.12,31.03,32.16,31.56,30.66,31.16,31.59,30.5,28.94,28.62,28.59,26.97,24.25,22.25,21.59,20.06,17.84,17.19,17.94,19.0,18.69,18.53,20.0,21.16,20.81,19.75,20.41,22.12,22.66,22.5,23.75,26.19,28.03,28.38,28.91,30.78,31.69,30.91,29.03,28.47,27.88,25.84,23.22,22.06,22.47,22.0,21.0,20.84,21.81,22.03,20.88,19.78,20.31,20.69,19.59,18.56,19.5,21.31,22.03,22.84,24.66,27.41,29.0,29.09,29.19,29.25,28.44,25.78,23.09,22.22,21.62,19.91,18.28,18.12,18.81,19.12,18.56,19.31,20.69,21.16,20.34,20.25,21.81,23.25,23.09,23.06,23.44,23.44,21.59,19.06,18.19,18.25,18.06,17.25,18.28,20.62,22.72,23.81,25.31,28.09,30.69,31.31,31.75,32.88,33.91,33.09,30.75,29.59,28.78,26.81,23.62,21.72,20.56,19.5,16.88,15.12,15.53,16.56,16.66,16.84,18.44,20.25,20.12,19.22,19.75,21.81,23.53,24.22,25.81,28.22,29.22,27.88,26.03,24.91,23.59,20.5,17.38,15.91,15.66,14.91,14.53,15.94,19.28,22.03,22.97,23.72,24.5,24.03,21.0,17.59,16.06,15.19,13.47,12.16,12.81,14.62,15.97,15.78,16.53,18.12,18.47,17.53,17.66,19.19,21.16,21.56,21.88,23.44,24.72,24.41,23.22,22.34,21.75,19.66,15.75,12.75,11.47,10.72,9.78,10.34,13.25,16.31,17.53,19.0,21.5,23.59,23.62,21.41,19.59,17.78,15.44,12.47,12.03,13.72,16.12,17.31,18.97,22.03,24.0,23.41,21.59,20.31,19.44,17.75,16.56,17.25,20.28,23.0,24.41,26.41,29.19,31.47,31.38,31.06,31.44,31.19,28.81,25.53,23.28,22.38,20.62,18.66,18.28,19.16,19.41,18.56,18.19,19.53,21.19,21.12,21.34,22.78,24.62,24.22,22.91,22.75,23.12,22.97,22.22,22.66,24.75,26.03,25.03,23.97,23.41,22.62,20.81,19.34,20.28,22.28,22.97,22.88,23.28,24.28,24.38,23.66,24.19,26.66,29.16,30.16,31.19,32.94,34.06,33.19,31.5,30.78,30.66,28.81,26.22,24.75,24.12,23.03,20.88,19.66,19.59,19.12,17.25,15.5,15.31,16.06,15.5,15.34,16.88,19.25,20.34,20.47,21.62,23.38,24.38,24.19,24.28,26.03,26.78,25.75,24.62,25.06,25.28,23.5,21.78,21.28,21.19,19.44,17.19,15.91,16.12,16.25,15.88,16.44,18.59,20.12,19.69,18.53,18.38,18.16,16.38,14.69,15.0,16.72,18.34,19.72,22.16,25.91,28.69,29.38,29.31,29.84,29.47,27.12,24.16,22.59,22.25,20.53,18.56,17.97,18.62,18.28,17.38,17.25,18.69,20.19,20.16,20.28,21.94,23.38,22.94,21.25,20.78,20.31,18.25,15.91,15.0,16.16,16.41,16.38,16.88,18.94,20.28,19.94,19.12,19.62,19.81,18.34,16.0,14.81,14.59,13.78,12.81,13.5,15.75,17.03,17.22,17.06:7.69,10.09,12.66,13.91,14.28,15.09,17.28,19.0,19.28,20.84,23.25,25.09,24.38,22.88,22.16,20.88,17.25,13.25,10.69,9.53,7.97,6.97,7.84,11.0,13.59,14.78,16.16,18.59,20.97,21.03,20.72,21.81,22.47,21.62,20.31,20.5,21.66,22.03,21.25,21.69,23.34,24.5,23.66,22.69,22.53,21.72,18.88,16.16,15.31,15.38,14.94,14.44,15.53,17.94,19.62,20.25,21.16,22.84,23.34,21.66,20.0,19.28,18.62,15.47,11.44,8.5,6.06,3.16,0.44,-0.31,0.59,1.81,2.69,5.41,10.25,15.5,19.31,23.16,27.88,32.09,33.75,34.38,35.44,35.91,34.84,32.34,30.59,29.75,28.06,25.06,22.09,20.88,19.59,17.47,15.94,16.91,19.03,19.97,21.06,23.84,27.81,30.31,31.03,31.59,32.31,31.19,27.94,24.91,23.78,23.0,20.5,17.91,16.56,15.19,12.16,8.53,6.56,6.22,5.5,4.0,3.22,3.75,3.28,1.19,-0.5,-0.28,0.31,-0.06,-0.28,1.19,3.72,5.34,6.41,8.56,11.47,12.97,13.06,13.56,15.0,15.97,15.06,14.03,14.19,14.38,13.53,12.41,13.0,14.78,15.44,15.5,16.53,18.59,19.69,19.41,18.78,19.03,18.97,16.56,15.19,15.66,17.22,18.09,18.97,21.03,23.88,25.19,25.16,25.38,27.09,27.94,27.47,27.03,28.12,28.59,27.19,25.41,24.22,23.5,20.72,17.25,15.62,15.62,15.94,16.41,17.78,20.66,22.59,22.75,22.53,24.12,25.62,25.38,24.75,25.25,26.12,25.47,24.06,24.03,25.34,25.5,24.78,24.41,25.28,25.56,24.66,24.22,25.53,27.53,27.81,27.53,27.91,28.31,26.56,23.03,20.22,18.75,16.94,14.25,13.28,14.44,16.0,16.53,17.0,18.91,21.12,21.56,21.38,22.78,25.22,27.03,28.34,29.91,31.28,31.19,29.06,26.03,24.94,24.41,22.56,20.66,20.22,20.53,19.53,18.12,18.44,19.75,20.25,19.59,20.03,22.03,23.62,24.0,24.66,26.31,27.28,26.44,24.44,23.78,24.06,23.09,21.81,21.91,23.41,23.59,22.0,20.44,20.03,18.62,16.06,13.84,13.66,14.25,14.09,13.44,13.34,14.25,13.81,12.62,12.94,15.62,18.5,19.88,21.38,23.75,25.03,24.34,23.34,24.12,24.97,24.66,23.44,23.34,23.25,21.88,19.06,17.12,16.41,15.81,14.56,14.53,16.69,19.09,20.0,20.5,22.53,24.31,24.78,24.38,24.47,25.47,24.81,23.09,21.75,21.91,21.5,19.84,18.72,20.0,21.91,23.31,24.84,28.12,31.53,33.56,34.62,36.34,38.78,39.97,39.41,39.22,40.06,39.97,38.28,36.28,35.22,34.38,32.12,29.25,28.12,27.53,25.66,22.59,20.72,20.44,20.5,19.81,20.5,22.62,24.5,24.62,24.31,25.41,27.28,27.91,27.94,29.75,32.31,33.41,32.81,32.59,33.0,32.06,29.59,27.25,27.22,27.06,26.31,25.88,27.22,28.84,29.34,28.72,29.72,31.59,33.0,33.72,34.94,37.44,38.94,38.28,37.0,37.34,37.47,36.03,34.22,33.75,33.22,31.91,29.12,27.72,27.16,26.09,23.59,21.81,21.22,20.12,17.75,15.56,15.03,15.69,15.25,14.62,16.44,19.56,22.25,23.84,26.12,28.5,29.28,27.75,26.5,26.34,26.47,25.94,25.5,26.72,27.94,27.91,27.0,26.66,27.5,27.19,25.84,25.81,27.28,29.09,29.66,31.28,34.41,37.28,37.75,37.25,37.38,37.62,35.84,33.09,31.88,31.31,29.59,26.94,24.88,24.62,24.31,22.94,22.0,22.75,23.56,22.84,21.62,21.38,21.19,20.12,17.88,17.25,17.88,18.34,17.25,16.78,17.59,18.38,18.41,19.09,21.75,24.78,25.94,26.06,26.88,27.62,27.22,25.12,23.5,22.66,21.72,19.69,18.12,18.22,18.59,17.38,15.97,15.78,16.31,15.69,14.69,14.94,15.97,16.22,15.12,14.12,14.12,13.69,11.88,11.38,13.16,16.47,18.91,21.62,25.12,28.03,28.41,27.31,26.62,27.03,27.5,26.47,26.62,27.66,28.22,27.41,26.72,27.38,27.75,27.03,25.94,26.38,27.94,28.69,28.62,29.06,29.16,28.22,25.03,22.53,21.31,20.41,18.5,17.66,18.47,19.78,19.91,20.06,21.5,24.06,25.94,26.44,27.56,28.75,28.91,27.03,25.84,25.78,25.84,24.84,23.88,24.0,25.28,25.19,24.75,25.28,26.12,25.88,23.09,20.5,18.88,16.81,13.75,11.59,11.28,11.56,10.03,8.38,8.06,8.69,8.78,8.75,10.53,13.44,15.56,16.19,16.84,18.75,20.19,20.31,20.91,22.88,24.94,25.12,24.25,24.12,24.47,23.41,21.34,19.91,19.34,18.22,15.84,14.44,14.66,15.84,16.53,17.53,20.25,23.97,26.44,27.66,29.66,31.81,32.38,31.22,30.62,31.38,32.06,31.69,31.78,32.88,33.47,31.62,28.97,27.34,26.41,25.16,24.22,24.66,26.84,28.41,29.28,30.41,32.41,33.56,32.84,31.78,31.47,31.47,30.0,27.91,26.78,26.16,24.25,21.62,20.47,20.84,21.12,21.47,22.72,25.62,27.94,28.38,28.03,28.25,28.44,26.88,25.53,25.16,25.12,23.66,20.84,18.56,16.94,15.12,12.41,10.25,10.75,11.31,11.66,12.44,14.94,18.09,20.16,21.34,23.09,25.34,26.28,26.09,26.09,27.25,28.09,27.06,26.03,26.34,26.5,25.72,24.41,24.5,25.03,24.31,22.78,21.34,21.06,19.5,16.5,13.62,12.22,10.97,9.44,9.03,11.69,15.28,18.03,20.34,23.16,26.09,27.25,27.53,28.03,29.44,29.91,29.06,27.72,27.0,25.5,22.16,18.56,16.31,14.75,13.12,11.75,12.03,13.34,13.84,13.44,13.72,15.44,16.88,17.81,18.69,21.16,23.56,24.22,24.69,26.25,28.0,28.56,28.91,29.88,31.72,32.53,32.06,31.34,31.19,30.28,28.03,25.47,24.22,23.25,20.56,16.84,14.31,12.25,9.0,5.5,3.69,3.91,3.72,3.53,4.09,6.22,8.34,10.03,12.19,15.88,19.56,21.56,22.38,23.94,25.81,26.38,25.12,24.31,23.34,21.28,17.41,14.41,13.66,13.56,13.41,13.97,16.5,19.31,20.53,21.19,22.78,25.25,26.97,27.59,29.12,31.03,32.16,31.56,30.66,31.16,31.59,30.5,28.94,28.62,28.59,26.97,24.25,22.25,21.59,20.06,17.84,17.19,17.94,19.0,18.69,18.53,20.0,21.16,20.81,19.75,20.41,22.12,22.66,22.5,23.75,26.19,28.03,28.38,28.91,30.78,31.69,30.91,29.03,28.47,27.88,25.84,23.22,22.06,22.47,22.0,21.0,20.84,21.81,22.03,20.88,19.78,20.31,20.69,19.59,18.56,19.5,21.31,22.03,22.84,24.66,27.41,29.0,29.09,29.19,29.25,28.44,25.78,23.09,22.22,21.62,19.91,18.28,18.12,18.81,19.12,18.56,19.31,20.69,21.16,20.34,20.25,21.81,23.25,23.09,23.06,23.44,23.44,21.59,19.06,18.19,18.25,18.06,17.25,18.28,20.62,22.72,23.81,25.31,28.09,30.69,31.31,31.75,32.88,33.91,33.09,30.75,29.59,28.78,26.81,23.62,21.72,20.56,19.5,16.88,15.12,15.53,16.56,16.66,16.84,18.44,20.25,20.12,19.22,19.75,21.81,23.53,24.22,25.81,28.22,29.22,27.88,26.03,24.91,23.59,20.5,17.38,15.91,15.66,14.91,14.53,15.94,19.28,22.03,22.97,23.72,24.5,24.03,21.0,17.59,16.06,15.19,13.47,12.16,12.81,14.62,15.97,15.78,16.53,18.12,18.47,17.53,17.66,19.19,21.16,21.56,21.88,23.44,24.72,24.41,23.22,22.34,21.75,19.66,15.75,12.75,11.47,10.72,9.78,10.34,13.25,16.31,17.53,19.0,21.5,23.59,23.62,21.41,19.59,17.78,15.44,12.47,12.03,13.72,16.12,17.31,18.97,22.03,24.0,23.41,21.59,20.31,19.44,17.75,16.56,17.25,20.28,23.0,24.41,26.41,29.19,31.47,31.38,31.06,31.44,31.19,28.81,25.53,23.28,22.38,20.62,18.66,18.28,19.16,19.41,18.56,18.19,19.53,21.19,21.12,21.34,22.78,24.62,24.22,22.91,22.75,23.12,22.97,22.22,22.66,24.75,26.03,25.03,23.97,23.41,22.62,20.81,19.34,20.28,22.28,22.97,22.88,23.28,24.28,24.38,23.66,24.19,26.66,29.16,30.16,31.19,32.94,34.06,33.19,31.5,30.78,30.66,28.81,26.22,24.75,24.12,23.03,20.88,19.66,19.59,19.12,17.25,15.5,15.31,16.06,15.5,15.34,16.88,19.25,20.34,20.47,21.62,23.38,24.38,24.19,24.28,26.03,26.78,25.75,24.62,25.06,25.28,23.5,21.78,21.28,21.19,19.44,17.19,15.91,16.12,16.25,15.88,16.44,18.59,20.12,19.69,18.53,18.38,18.16,16.38,14.69,15.0,16.72,18.34,19.72,22.16,25.91,28.69,29.38,29.31,29.84,29.47,27.12,24.16,22.59,22.25,20.53,18.56,17.97,18.62,18.28,17.38,17.25,18.69,20.19,20.16,20.28,21.94,23.38,22.94,21.25,20.78,20.31,18.25,15.91,15.0,16.16,16.41,16.38,16.88,18.94,20.28,19.94,19.12,19.62,19.81,18.34,16.0,14.81,14.59,13.78,12.81,13.5,15.75,17.03,17.22,17.06,48.56,47.78,47.72,47.38,47.34,47.84,48.66:19.0,19.28,20.84,23.25,25.09,24.38,22.88,22.16,20.88,17.25,13.25,10.69,9.53,7.97,6.97,7.84,11.0,13.59,14.78,16.16,18.59,20.97,21.03,20.72,21.81,22.47,21.62,20.31,20.5,21.66,22.03,21.25,21.69,23.34,24.5,23.66,22.69,22.53,21.72,18.88,16.16,15.31,15.38,14.94,14.44,15.53,17.94,19.62,20.25,21.16,22.84,23.34,21.66,20.0,19.28,18.62,15.47,11.44,8.5,6.06,3.16,0.44,-0.31,0.59,1.81,2.69,5.41,10.25,15.5,19.31,23.16,27.88,32.09,33.75,34.38,35.44,35.91,34.84,32.34,30.59,29.75,28.06,25.06,22.09,20.88,19.59,17.47,15.94,16.91,19.03,19.97,21.06,23.84,27.81,30.31,31.03,31.59,32.31,31.19,27.94,24.91,23.78,23.0,20.5,17.91,16.56,15.19,12.16,8.53,6.56,6.22,5.5,4.0,3.22,3.75,3.28,1.19,-0.5,-0.28,0.31,-0.06,-0.28,1.19,3.72,5.34,6.41,8.56,11.47,12.97,13.06,13.56,15.0,15.97,15.06,14.03,14.19,14.38,13.53,12.41,13.0,14.78,15.44,15.5,16.53,18.59,19.69,19.41,18.78,19.03,18.97,16.56,15.19,15.66,17.22,18.09,18.97,21.03,23.88,25.19,25.16,25.38,27.09,27.94,27.47,27.03,28.12,28.59,27.19,25.41,24.22,23.5,20.72,17.25,15.62,15.62,15.94,16.41,17.78,20.66,22.59,22.75,22.53,24.12,25.62,25.38,24.75,25.25,26.12,25.47,24.06,24.03,25.34,25.5,24.78,24.41,25.28,25.56,24.66,24.22,25.53,27.53,27.81,27.53,27.91,28.31,26.56,23.03,20.22,18.75,16.94,14.25,13.28,14.44,16.0,16.53,17.0,18.91,21.12,21.56,21.38,22.78,25.22,27.03,28.34,29.91,31.28,31.19,29.06,26.03,24.94,24.41,22.56,20.66,20.22,20.53,19.53,18.12,18.44,19.75,20.25,19.59,20.03,22.03,23.62,24.0,24.66,26.31,27.28,26.44,24.44,23.78,24.06,23.09,21.81,21.91,23.41,23.59,22.0,20.44,20.03,18.62,16.06,13.84,13.66,14.25,14.09,13.44,13.34,14.25,13.81,12.62,12.94,15.62,18.5,19.88,21.38,23.75,25.03,24.34,23.34,24.12,24.97,24.66,23.44,23.34,23.25,21.88,19.06,17.12,16.41,15.81,14.56,14.53,16.69,19.09,20.0,20.5,22.53,24.31,24.78,24.38,24.47,25.47,24.81,23.09,21.75,21.91,21.5,19.84,18.72,20.0,21.91,23.31,24.84,28.12,31.53,33.56,34.62,36.34,38.78,39.97,39.41,39.22,40.06,39.97,38.28,36.28,35.22,34.38,32.12,29.25,28.12,27.53,25.66,22.59,20.72,20.44,20.5,19.81,20.5,22.62,24.5,24.62,24.31,25.41,27.28,27.91,27.94,29.75,32.31,33.41,32.81,32.59,33.0,32.06,29.59,27.25,27.22,27.06,26.31,25.88,27.22,28.84,29.34,28.72,29.72,31.59,33.0,33.72,34.94,37.44,38.94,38.28,37.0,37.34,37.47,36.03,34.22,33.75,33.22,31.91,29.12,27.72,27.16,26.09,23.59,21.81,21.22,20.12,17.75,15.56,15.03,15.69,15.25,14.62,16.44,19.56,22.25,23.84,26.12,28.5,29.28,27.75,26.5,26.34,26.47,25.94,25.5,26.72,27.94,27.91,27.0,26.66,27.5,27.19,25.84,25.81,27.28,29.09,29.66,31.28,34.41,37.28,37.75,37.25,37.38,37.62,35.84,33.09,31.88,31.31,29.59,26.94,24.88,24.62,24.31,22.94,22.0,22.75,23.56,22.84,21.62,21.38,21.19,20.12,17.88,17.25,17.88,18.34,17.25,16.78,17.59,18.38,18.41,19.09,21.75,24.78,25.94,26.06,26.88,27.62,27.22,25.12,23.5,22.66,21.72,19.69,18.12,18.22,18.59,17.38,15.97,15.78,16.31,15.69,14.69,14.94,15.97,16.22,15.12,14.12,14.12,13.69,11.88,11.38,13.16,16.47,18.91,21.62,25.12,28.03,28.41,27.31,26.62,27.03,27.5,26.47,26.62,27.66,28.22,27.41,26.72,27.38,27.75,27.03,25.94,26.38,27.94,28.69,28.62,29.06,29.16,28.22,25.03,22.53,21.31,20.41,18.5,17.66,18.47,19.78,19.91,20.06,21.5,24.06,25.94,26.44,27.56,28.75,28.91,27.03,25.84,25.78,25.84,24.84,23.88,24.0,25.28,25.19,24.75,25.28,26.12,25.88,23.09,20.5,18.88,16.81,13.75,11.59,11.28,11.56,10.03,8.38,8.06,8.69,8.78,8.75,10.53,13.44,15.56,16.19,16.84,18.75,20.19,20.31,20.91,22.88,24.94,25.12,24.25,24.12,24.47,23.41,21.34,19.91,19.34,18.22,15.84,14.44,14.66,15.84,16.53,17.53,20.25,23.97,26.44,27.66,29.66,31.81,32.38,31.22,30.62,31.38,32.06,31.69,31.78,32.88,33.47,31.62,28.97,27.34,26.41,25.16,24.22,24.66,26.84,28.41,29.28,30.41,32.41,33.56,32.84,31.78,31.47,31.47,30.0,27.91,26.78,26.16,24.25,21.62,20.47,20.84,21.12,21.47,22.72,25.62,27.94,28.38,28.03,28.25,28.44,26.88,25.53,25.16,25.12,23.66,20.84,18.56,16.94,15.12,12.41,10.25,10.75,11.31,11.66,12.44,14.94,18.09,20.16,21.34,23.09,25.34,26.28,26.09,26.09,27.25,28.09,27.06,26.03,26.34,26.5,25.72,24.41,24.5,25.03,24.31,22.78,21.34,21.06,19.5,16.5,13.62,12.22,10.97,9.44,9.03,11.69,15.28,18.03,20.34,23.16,26.09,27.25,27.53,28.03,29.44,29.91,29.06,27.72,27.0,25.5,22.16,18.56,16.31,14.75,13.12,11.75,12.03,13.34,13.84,13.44,13.72,15.44,16.88,17.81,18.69,21.16,23.56,24.22,24.69,26.25,28.0,28.56,28.91,29.88,31.72,32.53,32.06,31.34,31.19,30.28,28.03,25.47,24.22,23.25,20.56,16.84,14.31,12.25,9.0,5.5,3.69,3.91,3.72,3.53,4.09,6.22,8.34,10.03,12.19,15.88,19.56,21.56,22.38,23.94,25.81,26.38,25.12,24.31,23.34,21.28,17.41,14.41,13.66,13.56,13.41,13.97,16.5,19.31,20.53,21.19,22.78,25.25,26.97,27.59,29.12,31.03,32.16,31.56,30.66,31.16,31.59,30.5,28.94,28.62,28.59,26.97,24.25,22.25,21.59,20.06,17.84,17.19,17.94,19.0,18.69,18.53,20.0,21.16,20.81,19.75,20.41,22.12,22.66,22.5,23.75,26.19,28.03,28.38,28.91,30.78,31.69,30.91,29.03,28.47,27.88,25.84,23.22,22.06,22.47,22.0,21.0,20.84,21.81,22.03,20.88,19.78,20.31,20.69,19.59,18.56,19.5,21.31,22.03,22.84,24.66,27.41,29.0,29.09,29.19,29.25,28.44,25.78,23.09,22.22,21.62,19.91,18.28,18.12,18.81,19.12,18.56,19.31,20.69,21.16,20.34,20.25,21.81,23.25,23.09,23.06,23.44,23.44,21.59,19.06,18.19,18.25,18.06,17.25,18.28,20.62,22.72,23.81,25.31,28.09,30.69,31.31,31.75,32.88,33.91,33.09,30.75,29.59,28.78,26.81,23.62,21.72,20.56,19.5,16.88,15.12,15.53,16.56,16.66,16.84,18.44,20.25,20.12,19.22,19.75,21.81,23.53,24.22,25.81,28.22,29.22,27.88,26.03,24.91,23.59,20.5,17.38,15.91,15.66,14.91,14.53,15.94,19.28,22.03,22.97,23.72,24.5,24.03,21.0,17.59,16.06,15.19,13.47,12.16,12.81,14.62,15.97,15.78,16.53,18.12,18.47,17.53,17.66,19.19,21.16,21.56,21.88,23.44,24.72,24.41,23.22,22.34,21.75,19.66,15.75,12.75,11.47,10.72,9.78,10.34,13.25,16.31,17.53,19.0,21.5,23.59,23.62,21.41,19.59,17.78,15.44,12.47,12.03,13.72,16.12,17.31,18.97,22.03,24.0,23.41,21.59,20.31,19.44,17.75,16.56,17.25,20.28,23.0,24.41,26.41,29.19,31.47,31.38,31.06,31.44,31.19,28.81,25.53,23.28,22.38,20.62,18.66,18.28,19.16,19.41,18.56,18.19,19.53,21.19,21.12,21.34,22.78,24.62,24.22,22.91,22.75,23.12,22.97,22.22,22.66,24.75,26.03,25.03,23.97,23.41,22.62,20.81,19.34,20.28,22.28,22.97,22.88,23.28,24.28,24.38,23.66,24.19,26.66,29.16,30.16,31.19,32.94,34.06,33.19,31.5,30.78,30.66,28.81,26.22,24.75,24.12,23.03,20.88,19.66,19.59,19.12,17.25,15.5,15.31,16.06,15.5,15.34,16.88,19.25,20.34,20.47,21.62,23.38,24.38,24.19,24.28,26.03,26.78,25.75,24.62,25.06,25.28,23.5,21.78,21.28,21.19,19.44,17.19,15.91,16.12,16.25,15.88,16.44,18.59,20.12,19.69,18.53,18.38,18.16,16.38,14.69,15.0,16.72,18.34,19.72,22.16,25.91,28.69,29.38,29.31,29.84,29.47,27.12,24.16,22.59,22.25,20.53,18.56,17.97,18.62,18.28,17.38,17.25,18.69,20.19,20.16,20.28,21.94,23.38,22.94,21.25,20.78,20.31,18.25,15.91,15.0,16.16,16.41,16.38,16.88,18.94,20.28,19.94,19.12,19.62,19.81,18.34,16.0,14.81,14.59,13.78,12.81,13.5,15.75,17.03,17.22,17.06,48.56,47.78,47.72,47.38,47.34,47.84,48.66,50.0,50.84,52.03,53.25,54.0,54.0,54.5:22.16,20.88,17.25,13.25,10.69,9.53,7.97,6.97,7.84,11.0,13.59,14.78,16.16,18.59,20.97,21.03,20.72,21.81,22.47,21.62,20.31,20.5,21.66,22.03,21.25,21.69,23.34,24.5,23.66,22.69,22.53,21.72,18.88,16.16,15.31,15.38,14.94,14.44,15.53,17.94,19.62,20.25,21.16,22.84,23.34,21.66,20.0,19.28,18.62,15.47,11.44,8.5,6.06,3.16,0.44,-0.31,0.59,1.81,2.69,5.41,10.25,15.5,19.31,23.16,27.88,32.09,33.75,34.38,35.44,35.91,34.84,32.34,30.59,29.75,28.06,25.06,22.09,20.88,19.59,17.47,15.94,16.91,19.03,19.97,21.06,23.84,27.81,30.31,31.03,31.59,32.31,31.19,27.94,24.91,23.78,23.0,20.5,17.91,16.56,15.19,12.16,8.53,6.56,6.22,5.5,4.0,3.22,3.75,3.28,1.19,-0.5,-0.28,0.31,-0.06,-0.28,1.19,3.72,5.34,6.41,8.56,11.47,12.97,13.06,13.56,15.0,15.97,15.06,14.03,14.19,14.38,13.53,12.41,13.0,14.78,15.44,15.5,16.53,18.59,19.69,19.41,18.78,19.03,18.97,16.56,15.19,15.66,17.22,18.09,18.97,21.03,23.88,25.19,25.16,25.38,27.09,27.94,27.47,27.03,28.12,28.59,27.19,25.41,24.22,23.5,20.72,17.25,15.62,15.62,15.94,16.41,17.78,20.66,22.59,22.75,22.53,24.12,25.62,25.38,24.75,25.25,26.12,25.47,24.06,24.03,25.34,25.5,24.78,24.41,25.28,25.56,24.66,24.22,25.53,27.53,27.81,27.53,27.91,28.31,26.56,23.03,20.22,18.75,16.94,14.25,13.28,14.44,16.0,16.53,17.0,18.91,21.12,21.56,21.38,22.78,25.22,27.03,28.34,29.91,31.28,31.19,29.06,26.03,24.94,24.41,22.56,20.66,20.22,20.53,19.53,18.12,18.44,19.75,20.25,19.59,20.03,22.03,23.62,24.0,24.66,26.31,27.28,26.44,24.44,23.78,24.06,23.09,21.81,21.91,23.41,23.59,22.0,20.44,20.03,18.62,16.06,13.84,13.66,14.25,14.09,13.44,13.34,14.25,13.81,12.62,12.94,15.62,18.5,19.88,21.38,23.75,25.03,24.34,23.34,24.12,24.97,24.66,23.44,23.34,23.25,21.88,19.06,17.12,16.41,15.81,14.56,14.53,16.69,19.09,20.0,20.5,22.53,24.31,24.78,24.38,24.47,25.47,24.81,23.09,21.75,21.91,21.5,19.84,18.72,20.0,21.91,23.31,24.84,28.12,31.53,33.56,34.62,36.34,38.78,39.97,39.41,39.22,40.06,39.97,38.28,36.28,35.22,34.38,32.12,29.25,28.12,27.53,25.66,22.59,20.72,20.44,20.5,19.81,20.5,22.62,24.5,24.62,24.31,25.41,27.28,27.91,27.94,29.75,32.31,33.41,32.81,32.59,33.0,32.06,29.59,27.25,27.22,27.06,26.31,25.88,27.22,28.84,29.34,28.72,29.72,31.59,33.0,33.72,34.94,37.44,38.94,38.28,37.0,37.34,37.47,36.03,34.22,33.75,33.22,31.91,29.12,27.72,27.16,26.09,23.59,21.81,21.22,20.12,17.75,15.56,15.03,15.69,15.25,14.62,16.44,19.56,22.25,23.84,26.12,28.5,29.28,27.75,26.5,26.34,26.47,25.94,25.5,26.72,27.94,27.91,27.0,26.66,27.5,27.19,25.84,25.81,27.28,29.09,29.66,31.28,34.41,37.28,37.75,37.25,37.38,37.62,35.84,33.09,31.88,31.31,29.59,26.94,24.88,24.62,24.31,22.94,22.0,22.75,23.56,22.84,21.62,21.38,21.19,20.12,17.88,17.25,17.88,18.34,17.25,16.78,17.59,18.38,18.41,19.09,21.75,24.78,25.94,26.06,26.88,27.62,27.22,25.12,23.5,22.66,21.72,19.69,18.12,18.22,18.59,17.38,15.97,15.78,16.31,15.69,14.69,14.94,15.97,16.22,15.12,14.12,14.12,13.69,11.88,11.38,13.16,16.47,18.91,21.62,25.12,28.03,28.41,27.31,26.62,27.03,27.5,26.47,26.62,27.66,28.22,27.41,26.72,27.38,27.75,27.03,25.94,26.38,27.94,28.69,28.62,29.06,29.16,28.22,25.03,22.53,21.31,20.41,18.5,17.66,18.47,19.78,19.91,20.06,21.5,24.06,25.94,26.44,27.56,28.75,28.91,27.03,25.84,25.78,25.84,24.84,23.88,24.0,25.28,25.19,24.75,25.28,26.12,25.88,23.09,20.5,18.88,16.81,13.75,11.59,11.28,11.56,10.03,8.38,8.06,8.69,8.78,8.75,10.53,13.44,15.56,16.19,16.84,18.75,20.19,20.31,20.91,22.88,24.94,25.12,24.25,24.12,24.47,23.41,21.34,19.91,19.34,18.22,15.84,14.44,14.66,15.84,16.53,17.53,20.25,23.97,26.44,27.66,29.66,31.81,32.38,31.22,30.62,31.38,32.06,31.69,31.78,32.88,33.47,31.62,28.97,27.34,26.41,25.16,24.22,24.66,26.84,28.41,29.28,30.41,32.41,33.56,32.84,31.78,31.47,31.47,30.0,27.91,26.78,26.16,24.25,21.62,20.47,20.84,21.12,21.47,22.72,25.62,27.94,28.38,28.03,28.25,28.44,26.88,25.53,25.16,25.12,23.66,20.84,18.56,16.94,15.12,12.41,10.25,10.75,11.31,11.66,12.44,14.94,18.09,20.16,21.34,23.09,25.34,26.28,26.09,26.09,27.25,28.09,27.06,26.03,26.34,26.5,25.72,24.41,24.5,25.03,24.31,22.78,21.34,21.06,19.5,16.5,13.62,12.22,10.97,9.44,9.03,11.69,15.28,18.03,20.34,23.16,26.09,27.25,27.53,28.03,29.44,29.91,29.06,27.72,27.0,25.5,22.16,18.56,16.31,14.75,13.12,11.75,12.03,13.34,13.84,13.44,13.72,15.44,16.88,17.81,18.69,21.16,23.56,24.22,24.69,26.25,28.0,28.56,28.91,29.88,31.72,32.53,32.06,31.34,31.19,30.28,28.03,25.47,24.22,23.25,20.56,16.84,14.31,12.25,9.0,5.5,3.69,3.91,3.72,3.53,4.09,6.22,8.34,10.03,12.19,15.88,19.56,21.56,22.38,23.94,25.81,26.38,25.12,24.31,23.34,21.28,17.41,14.41,13.66,13.56,13.41,13.97,16.5,19.31,20.53,21.19,22.78,25.25,26.97,27.59,29.12,31.03,32.16,31.56,30.66,31.16,31.59,30.5,28.94,28.62,28.59,26.97,24.25,22.25,21.59,20.06,17.84,17.19,17.94,19.0,18.69,18.53,20.0,21.16,20.81,19.75,20.41,22.12,22.66,22.5,23.75,26.19,28.03,28.38,28.91,30.78,31.69,30.91,29.03,28.47,27.88,25.84,23.22,22.06,22.47,22.0,21.0,20.84,21.81,22.03,20.88,19.78,20.31,20.69,19.59,18.56,19.5,21.31,22.03,22.84,24.66,27.41,29.0,29.09,29.19,29.25,28.44,25.78,23.09,22.22,21.62,19.91,18.28,18.12,18.81,19.12,18.56,19.31,20.69,21.16,20.34,20.25,21.81,23.25,23.09,23.06,23.44,23.44,21.59,19.06,18.19,18.25,18.06,17.25,18.28,20.62,22.72,23.81,25.31,28.09,30.69,31.31,31.75,32.88,33.91,33.09,30.75,29.59,28.78,26.81,23.62,21.72,20.56,19.5,16.88,15.12,15.53,16.56,16.66,16.84,18.44,20.25,20.12,19.22,19.75,21.81,23.53,24.22,25.81,28.22,29.22,27.88,26.03,24.91,23.59,20.5,17.38,15.91,15.66,14.91,14.53,15.94,19.28,22.03,22.97,23.72,24.5,24.03,21.0,17.59,16.06,15.19,13.47,12.16,12.81,14.62,15.97,15.78,16.53,18.12,18.47,17.53,17.66,19.19,21.16,21.56,21.88,23.44,24.72,24.41,23.22,22.34,21.75,19.66,15.75,12.75,11.47,10.72,9.78,10.34,13.25,16.31,17.53,19.0,21.5,23.59,23.62,21.41,19.59,17.78,15.44,12.47,12.03,13.72,16.12,17.31,18.97,22.03,24.0,23.41,21.59,20.31,19.44,17.75,16.56,17.25,20.28,23.0,24.41,26.41,29.19,31.47,31.38,31.06,31.44,31.19,28.81,25.53,23.28,22.38,20.62,18.66,18.28,19.16,19.41,18.56,18.19,19.53,21.19,21.12,21.34,22.78,24.62,24.22,22.91,22.75,23.12,22.97,22.22,22.66,24.75,26.03,25.03,23.97,23.41,22.62,20.81,19.34,20.28,22.28,22.97,22.88,23.28,24.28,24.38,23.66,24.19,26.66,29.16,30.16,31.19,32.94,34.06,33.19,31.5,30.78,30.66,28.81,26.22,24.75,24.12,23.03,20.88,19.66,19.59,19.12,17.25,15.5,15.31,16.06,15.5,15.34,16.88,19.25,20.34,20.47,21.62,23.38,24.38,24.19,24.28,26.03,26.78,25.75,24.62,25.06,25.28,23.5,21.78,21.28,21.19,19.44,17.19,15.91,16.12,16.25,15.88,16.44,18.59,20.12,19.69,18.53,18.38,18.16,16.38,14.69,15.0,16.72,18.34,19.72,22.16,25.91,28.69,29.38,29.31,29.84,29.47,27.12,24.16,22.59,22.25,20.53,18.56,17.97,18.62,18.28,17.38,17.25,18.69,20.19,20.16,20.28,21.94,23.38,22.94,21.25,20.78,20.31,18.25,15.91,15.0,16.16,16.41,16.38,16.88,18.94,20.28,19.94,19.12,19.62,19.81,18.34,16.0,14.81,14.59,13.78,12.81,13.5,15.75,17.03,17.22,17.06,48.56,47.78,47.72,47.38,47.34,47.84,48.66,50.0,50.84,52.03,53.25,54.0,54.0,54.5,55.41,55.94,56.66,56.66,56.38,55.75,53.88:6.97,7.84,11.0,13.59,14.78,16.16,18.59,20.97,21.03,20.72,21.81,22.47,21.62,20.31,20.5,21.66,22.03,21.25,21.69,23.34,24.5,23.66,22.69,22.53,21.72,18.88,16.16,15.31,15.38,14.94,14.44,15.53,17.94,19.62,20.25,21.16,22.84,23.34,21.66,20.0,19.28,18.62,15.47,11.44,8.5,6.06,3.16,0.44,-0.31,0.59,1.81,2.69,5.41,10.25,15.5,19.31,23.16,27.88,32.09,33.75,34.38,35.44,35.91,34.84,32.34,30.59,29.75,28.06,25.06,22.09,20.88,19.59,17.47,15.94,16.91,19.03,19.97,21.06,23.84,27.81,30.31,31.03,31.59,32.31,31.19,27.94,24.91,23.78,23.0,20.5,17.91,16.56,15.19,12.16,8.53,6.56,6.22,5.5,4.0,3.22,3.75,3.28,1.19,-0.5,-0.28,0.31,-0.06,-0.28,1.19,3.72,5.34,6.41,8.56,11.47,12.97,13.06,13.56,15.0,15.97,15.06,14.03,14.19,14.38,13.53,12.41,13.0,14.78,15.44,15.5,16.53,18.59,19.69,19.41,18.78,19.03,18.97,16.56,15.19,15.66,17.22,18.09,18.97,21.03,23.88,25.19,25.16,25.38,27.09,27.94,27.47,27.03,28.12,28.59,27.19,25.41,24.22,23.5,20.72,17.25,15.62,15.62,15.94,16.41,17.78,20.66,22.59,22.75,22.53,24.12,25.62,25.38,24.75,25.25,26.12,25.47,24.06,24.03,25.34,25.5,24.78,24.41,25.28,25.56,24.66,24.22,25.53,27.53,27.81,27.53,27.91,28.31,26.56,23.03,20.22,18.75,16.94,14.25,13.28,14.44,16.0,16.53,17.0,18.91,21.12,21.56,21.38,22.78,25.22,27.03,28.34,29.91,31.28,31.19,29.06,26.03,24.94,24.41,22.56,20.66,20.22,20.53,19.53,18.12,18.44,19.75,20.25,19.59,20.03,22.03,23.62,24.0,24.66,26.31,27.28,26.44,24.44,23.78,24.06,23.09,21.81,21.91,23.41,23.59,22.0,20.44,20.03,18.62,16.06,13.84,13.66,14.25,14.09,13.44,13.34,14.25,13.81,12.62,12.94,15.62,18.5,19.88,21.38,23.75,25.03,24.34,23.34,24.12,24.97,24.66,23.44,23.34,23.25,21.88,19.06,17.12,16.41,15.81,14.56,14.53,16.69,19.09,20.0,20.5,22.53,24.31,24.78,24.38,24.47,25.47,24.81,23.09,21.75,21.91,21.5,19.84,18.72,20.0,21.91,23.31,24.84,28.12,31.53,33.56,34.62,36.34,38.78,39.97,39.41,39.22,40.06,39.97,38.28,36.28,35.22,34.38,32.12,29.25,28.12,27.53,25.66,22.59,20.72,20.44,20.5,19.81,20.5,22.62,24.5,24.62,24.31,25.41,27.28,27.91,27.94,29.75,32.31,33.41,32.81,32.59,33.0,32.06,29.59,27.25,27.22,27.06,26.31,25.88,27.22,28.84,29.34,28.72,29.72,31.59,33.0,33.72,34.94,37.44,38.94,38.28,37.0,37.34,37.47,36.03,34.22,33.75,33.22,31.91,29.12,27.72,27.16,26.09,23.59,21.81,21.22,20.12,17.75,15.56,15.03,15.69,15.25,14.62,16.44,19.56,22.25,23.84,26.12,28.5,29.28,27.75,26.5,26.34,26.47,25.94,25.5,26.72,27.94,27.91,27.0,26.66,27.5,27.19,25.84,25.81,27.28,29.09,29.66,31.28,34.41,37.28,37.75,37.25,37.38,37.62,35.84,33.09,31.88,31.31,29.59,26.94,24.88,24.62,24.31,22.94,22.0,22.75,23.56,22.84,21.62,21.38,21.19,20.12,17.88,17.25,17.88,18.34,17.25,16.78,17.59,18.38,18.41,19.09,21.75,24.78,25.94,26.06,26.88,27.62,27.22,25.12,23.5,22.66,21.72,19.69,18.12,18.22,18.59,17.38,15.97,15.78,16.31,15.69,14.69,14.94,15.97,16.22,15.12,14.12,14.12,13.69,11.88,11.38,13.16,16.47,18.91,21.62,25.12,28.03,28.41,27.31,26.62,27.03,27.5,26.47,26.62,27.66,28.22,27.41,26.72,27.38,27.75,27.03,25.94,26.38,27.94,28.69,28.62,29.06,29.16,28.22,25.03,22.53,21.31,20.41,18.5,17.66,18.47,19.78,19.91,20.06,21.5,24.06,25.94,26.44,27.56,28.75,28.91,27.03,25.84,25.78,25.84,24.84,23.88,24.0,25.28,25.19,24.75,25.28,26.12,25.88,23.09,20.5,18.88,16.81,13.75,11.59,11.28,11.56,10.03,8.38,8.06,8.69,8.78,8.75,10.53,13.44,15.56,16.19,16.84,18.75,20.19,20.31,20.91,22.88,24.94,25.12,24.25,24.12,24.47,23.41,21.34,19.91,19.34,18.22,15.84,14.44,14.66,15.84,16.53,17.53,20.25,23.97,26.44,27.66,29.66,31.81,32.38,31.22,30.62,31.38,32.06,31.69,31.78,32.88,33.47,31.62,28.97,27.34,26.41,25.16,24.22,24.66,26.84,28.41,29.28,30.41,32.41,33.56,32.84,31.78,31.47,31.47,30.0,27.91,26.78,26.16,24.25,21.62,20.47,20.84,21.12,21.47,22.72,25.62,27.94,28.38,28.03,28.25,28.44,26.88,25.53,25.16,25.12,23.66,20.84,18.56,16.94,15.12,12.41,10.25,10.75,11.31,11.66,12.44,14.94,18.09,20.16,21.34,23.09,25.34,26.28,26.09,26.09,27.25,28.09,27.06,26.03,26.34,26.5,25.72,24.41,24.5,25.03,24.31,22.78,21.34,21.06,19.5,16.5,13.62,12.22,10.97,9.44,9.03,11.69,15.28,18.03,20.34,23.16,26.09,27.25,27.53,28.03,29.44,29.91,29.06,27.72,27.0,25.5,22.16,18.56,16.31,14.75,13.12,11.75,12.03,13.34,13.84,13.44,13.72,15.44,16.88,17.81,18.69,21.16,23.56,24.22,24.69,26.25,28.0,28.56,28.91,29.88,31.72,32.53,32.06,31.34,31.19,30.28,28.03,25.47,24.22,23.25,20.56,16.84,14.31,12.25,9.0,5.5,3.69,3.91,3.72,3.53,4.09,6.22,8.34,10.03,12.19,15.88,19.56,21.56,22.38,23.94,25.81,26.38,25.12,24.31,23.34,21.28,17.41,14.41,13.66,13.56,13.41,13.97,16.5,19.31,20.53,21.19,22.78,25.25,26.97,27.59,29.12,31.03,32.16,31.56,30.66,31.16,31.59,30.5,28.94,28.62,28.59,26.97,24.25,22.25,21.59,20.06,17.84,17.19,17.94,19.0,18.69,18.53,20.0,21.16,20.81,19.75,20.41,22.12,22.66,22.5,23.75,26.19,28.03,28.38,28.91,30.78,31.69,30.91,29.03,28.47,27.88,25.84,23.22,22.06,22.47,22.0,21.0,20.84,21.81,22.03,20.88,19.78,20.31,20.69,19.59,18.56,19.5,21.31,22.03,22.84,24.66,27.41,29.0,29.09,29.19,29.25,28.44,25.78,23.09,22.22,21.62,19.91,18.28,18.12,18.81,19.12,18.56,19.31,20.69,21.16,20.34,20.25,21.81,23.25,23.09,23.06,23.44,23.44,21.59,19.06,18.19,18.25,18.06,17.25,18.28,20.62,22.72,23.81,25.31,28.09,30.69,31.31,31.75,32.88,33.91,33.09,30.75,29.59,28.78,26.81,23.62,21.72,20.56,19.5,16.88,15.12,15.53,16.56,16.66,16.84,18.44,20.25,20.12,19.22,19.75,21.81,23.53,24.22,25.81,28.22,29.22,27.88,26.03,24.91,23.59,20.5,17.38,15.91,15.66,14.91,14.53,15.94,19.28,22.03,22.97,23.72,24.5,24.03,21.0,17.59,16.06,15.19,13.47,12.16,12.81,14.62,15.97,15.78,16.53,18.12,18.47,17.53,17.66,19.19,21.16,21.56,21.88,23.44,24.72,24.41,23.22,22.34,21.75,19.66,15.75,12.75,11.47,10.72,9.78,10.34,13.25,16.31,17.53,19.0,21.5,23.59,23.62,21.41,19.59,17.78,15.44,12.47,12.03,13.72,16.12,17.31,18.97,22.03,24.0,23.41,21.59,20.31,19.44,17.75,16.56,17.25,20.28,23.0,24.41,26.41,29.19,31.47,31.38,31.06,31.44,31.19,28.81,25.53,23.28,22.38,20.62,18.66,18.28,19.16,19.41,18.56,18.19,19.53,21.19,21.12,21.34,22.78,24.62,24.22,22.91,22.75,23.12,22.97,22.22,22.66,24.75,26.03,25.03,23.97,23.41,22.62,20.81,19.34,20.28,22.28,22.97,22.88,23.28,24.28,24.38,23.66,24.19,26.66,29.16,30.16,31.19,32.94,34.06,33.19,31.5,30.78,30.66,28.81,26.22,24.75,24.12,23.03,20.88,19.66,19.59,19.12,17.25,15.5,15.31,16.06,15.5,15.34,16.88,19.25,20.34,20.47,21.62,23.38,24.38,24.19,24.28,26.03,26.78,25.75,24.62,25.06,25.28,23.5,21.78,21.28,21.19,19.44,17.19,15.91,16.12,16.25,15.88,16.44,18.59,20.12,19.69,18.53,18.38,18.16,16.38,14.69,15.0,16.72,18.34,19.72,22.16,25.91,28.69,29.38,29.31,29.84,29.47,27.12,24.16,22.59,22.25,20.53,18.56,17.97,18.62,18.28,17.38,17.25,18.69,20.19,20.16,20.28,21.94,23.38,22.94,21.25,20.78,20.31,18.25,15.91,15.0,16.16,16.41,16.38,16.88,18.94,20.28,19.94,19.12,19.62,19.81,18.34,16.0,14.81,14.59,13.78,12.81,13.5,15.75,17.03,17.22,17.06,48.56,47.78,47.72,47.38,47.34,47.84,48.66,50.0,50.84,52.03,53.25,54.0,54.0,54.5,55.41,55.94,56.66,56.66,56.38,55.75,53.88,51.09,48.0,45.22,42.5,39.72,38.22,37.91:20.97,21.03,20.72,21.81,22.47,21.62,20.31,20.5,21.66,22.03,21.25,21.69,23.34,24.5,23.66,22.69,22.53,21.72,18.88,16.16,15.31,15.38,14.94,14.44,15.53,17.94,19.62,20.25,21.16,22.84,23.34,21.66,20.0,19.28,18.62,15.47,11.44,8.5,6.06,3.16,0.44,-0.31,0.59,1.81,2.69,5.41,10.25,15.5,19.31,23.16,27.88,32.09,33.75,34.38,35.44,35.91,34.84,32.34,30.59,29.75,28.06,25.06,22.09,20.88,19.59,17.47,15.94,16.91,19.03,19.97,21.06,23.84,27.81,30.31,31.03,31.59,32.31,31.19,27.94,24.91,23.78,23.0,20.5,17.91,16.56,15.19,12.16,8.53,6.56,6.22,5.5,4.0,3.22,3.75,3.28,1.19,-0.5,-0.28,0.31,-0.06,-0.28,1.19,3.72,5.34,6.41,8.56,11.47,12.97,13.06,13.56,15.0,15.97,15.06,14.03,14.19,14.38,13.53,12.41,13.0,14.78,15.44,15.5,16.53,18.59,19.69,19.41,18.78,19.03,18.97,16.56,15.19,15.66,17.22,18.09,18.97,21.03,23.88,25.19,25.16,25.38,27.09,27.94,27.47,27.03,28.12,28.59,27.19,25.41,24.22,23.5,20.72,17.25,15.62,15.62,15.94,16.41,17.78,20.66,22.59,22.75,22.53,24.12,25.62,25.38,24.75,25.25,26.12,25.47,24.06,24.03,25.34,25.5,24.78,24.41,25.28,25.56,24.66,24.22,25.53,27.53,27.81,27.53,27.91,28.31,26.56,23.03,20.22,18.75,16.94,14.25,13.28,14.44,16.0,16.53,17.0,18.91,21.12,21.56,21.38,22.78,25.22,27.03,28.34,29.91,31.28,31.19,29.06,26.03,24.94,24.41,22.56,20.66,20.22,20.53,19.53,18.12,18.44,19.75,20.25,19.59,20.03,22.03,23.62,24.0,24.66,26.31,27.28,26.44,24.44,23.78,24.06,23.09,21.81,21.91,23.41,23.59,22.0,20.44,20.03,18.62,16.06,13.84,13.66,14.25,14.09,13.44,13.34,14.25,13.81,12.62,12.94,15.62,18.5,19.88,21.38,23.75,25.03,24.34,23.34,24.12,24.97,24.66,23.44,23.34,23.25,21.88,19.06,17.12,16.41,15.81,14.56,14.53,16.69,19.09,20.0,20.5,22.53,24.31,24.78,24.38,24.47,25.47,24.81,23.09,21.75,21.91,21.5,19.84,18.72,20.0,21.91,23.31,24.84,28.12,31.53,33.56,34.62,36.34,38.78,39.97,39.41,39.22,40.06,39.97,38.28,36.28,35.22,34.38,32.12,29.25,28.12,27.53,25.66,22.59,20.72,20.44,20.5,19.81,20.5,22.62,24.5,24.62,24.31,25.41,27.28,27.91,27.94,29.75,32.31,33.41,32.81,32.59,33.0,32.06,29.59,27.25,27.22,27.06,26.31,25.88,27.22,28.84,29.34,28.72,29.72,31.59,33.0,33.72,34.94,37.44,38.94,38.28,37.0,37.34,37.47,36.03,34.22,33.75,33.22,31.91,29.12,27.72,27.16,26.09,23.59,21.81,21.22,20.12,17.75,15.56,15.03,15.69,15.25,14.62,16.44,19.56,22.25,23.84,26.12,28.5,29.28,27.75,26.5,26.34,26.47,25.94,25.5,26.72,27.94,27.91,27.0,26.66,27.5,27.19,25.84,25.81,27.28,29.09,29.66,31.28,34.41,37.28,37.75,37.25,37.38,37.62,35.84,33.09,31.88,31.31,29.59,26.94,24.88,24.62,24.31,22.94,22.0,22.75,23.56,22.84,21.62,21.38,21.19,20.12,17.88,17.25,17.88,18.34,17.25,16.78,17.59,18.38,18.41,19.09,21.75,24.78,25.94,26.06,26.88,27.62,27.22,25.12,23.5,22.66,21.72,19.69,18.12,18.22,18.59,17.38,15.97,15.78,16.31,15.69,14.69,14.94,15.97,16.22,15.12,14.12,14.12,13.69,11.88,11.38,13.16,16.47,18.91,21.62,25.12,28.03,28.41,27.31,26.62,27.03,27.5,26.47,26.62,27.66,28.22,27.41,26.72,27.38,27.75,27.03,25.94,26.38,27.94,28.69,28.62,29.06,29.16,28.22,25.03,22.53,21.31,20.41,18.5,17.66,18.47,19.78,19.91,20.06,21.5,24.06,25.94,26.44,27.56,28.75,28.91,27.03,25.84,25.78,25.84,24.84,23.88,24.0,25.28,25.19,24.75,25.28,26.12,25.88,23.09,20.5,18.88,16.81,13.75,11.59,11.28,11.56,10.03,8.38,8.06,8.69,8.78,8.75,10.53,13.44,15.56,16.19,16.84,18.75,20.19,20.31,20.91,22.88,24.94,25.12,24.25,24.12,24.47,23.41,21.34,19.91,19.34,18.22,15.84,14.44,14.66,15.84,16.53,17.53,20.25,23.97,26.44,27.66,29.66,31.81,32.38,31.22,30.62,31.38,32.06,31.69,31.78,32.88,33.47,31.62,28.97,27.34,26.41,25.16,24.22,24.66,26.84,28.41,29.28,30.41,32.41,33.56,32.84,31.78,31.47,31.47,30.0,27.91,26.78,26.16,24.25,21.62,20.47,20.84,21.12,21.47,22.72,25.62,27.94,28.38,28.03,28.25,28.44,26.88,25.53,25.16,25.12,23.66,20.84,18.56,16.94,15.12,12.41,10.25,10.75,11.31,11.66,12.44,14.94,18.09,20.16,21.34,23.09,25.34,26.28,26.09,26.09,27.25,28.09,27.06,26.03,26.34,26.5,25.72,24.41,24.5,25.03,24.31,22.78,21.34,21.06,19.5,16.5,13.62,12.22,10.97,9.44,9.03,11.69,15.28,18.03,20.34,23.16,26.09,27.25,27.53,28.03,29.44,29.91,29.06,27.72,27.0,25.5,22.16,18.56,16.31,14.75,13.12,11.75,12.03,13.34,13.84,13.44,13.72,15.44,16.88,17.81,18.69,21.16,23.56,24.22,24.69,26.25,28.0,28.56,28.91,29.88,31.72,32.53,32.06,31.34,31.19,30.28,28.03,25.47,24.22,23.25,20.56,16.84,14.31,12.25,9.0,5.5,3.69,3.91,3.72,3.53,4.09,6.22,8.34,10.03,12.19,15.88,19.56,21.56,22.38,23.94,25.81,26.38,25.12,24.31,23.34,21.28,17.41,14.41,13.66,13.56,13.41,13.97,16.5,19.31,20.53,21.19,22.78,25.25,26.97,27.59,29.12,31.03,32.16,31.56,30.66,31.16,31.59,30.5,28.94,28.62,28.59,26.97,24.25,22.25,21.59,20.06,17.84,17.19,17.94,19.0,18.69,18.53,20.0,21.16,20.81,19.75,20.41,22.12,22.66,22.5,23.75,26.19,28.03,28.38,28.91,30.78,31.69,30.91,29.03,28.47,27.88,25.84,23.22,22.06,22.47,22.0,21.0,20.84,21.81,22.03,20.88,19.78,20.31,20.69,19.59,18.56,19.5,21.31,22.03,22.84,24.66,27.41,29.0,29.09,29.19,29.25,28.44,25.78,23.09,22.22,21.62,19.91,18.28,18.12,18.81,19.12,18.56,19.31,20.69,21.16,20.34,20.25,21.81,23.25,23.09,23.06,23.44,23.44,21.59,19.06,18.19,18.25,18.06,17.25,18.28,20.62,22.72,23.81,25.31,28.09,30.69,31.31,31.75,32.88,33.91,33.09,30.75,29.59,28.78,26.81,23.62,21.72,20.56,19.5,16.88,15.12,15.53,16.56,16.66,16.84,18.44,20.25,20.12,19.22,19.75,21.81,23.53,24.22,25.81,28.22,29.22,27.88,26.03,24.91,23.59,20.5,17.38,15.91,15.66,14.91,14.53,15.94,19.28,22.03,22.97,23.72,24.5,24.03,21.0,17.59,16.06,15.19,13.47,12.16,12.81,14.62,15.97,15.78,16.53,18.12,18.47,17.53,17.66,19.19,21.16,21.56,21.88,23.44,24.72,24.41,23.22,22.34,21.75,19.66,15.75,12.75,11.47,10.72,9.78,10.34,13.25,16.31,17.53,19.0,21.5,23.59,23.62,21.41,19.59,17.78,15.44,12.47,12.03,13.72,16.12,17.31,18.97,22.03,24.0,23.41,21.59,20.31,19.44,17.75,16.56,17.25,20.28,23.0,24.41,26.41,29.19,31.47,31.38,31.06,31.44,31.19,28.81,25.53,23.28,22.38,20.62,18.66,18.28,19.16,19.41,18.56,18.19,19.53,21.19,21.12,21.34,22.78,24.62,24.22,22.91,22.75,23.12,22.97,22.22,22.66,24.75,26.03,25.03,23.97,23.41,22.62,20.81,19.34,20.28,22.28,22.97,22.88,23.28,24.28,24.38,23.66,24.19,26.66,29.16,30.16,31.19,32.94,34.06,33.19,31.5,30.78,30.66,28.81,26.22,24.75,24.12,23.03,20.88,19.66,19.59,19.12,17.25,15.5,15.31,16.06,15.5,15.34,16.88,19.25,20.34,20.47,21.62,23.38,24.38,24.19,24.28,26.03,26.78,25.75,24.62,25.06,25.28,23.5,21.78,21.28,21.19,19.44,17.19,15.91,16.12,16.25,15.88,16.44,18.59,20.12,19.69,18.53,18.38,18.16,16.38,14.69,15.0,16.72,18.34,19.72,22.16,25.91,28.69,29.38,29.31,29.84,29.47,27.12,24.16,22.59,22.25,20.53,18.56,17.97,18.62,18.28,17.38,17.25,18.69,20.19,20.16,20.28,21.94,23.38,22.94,21.25,20.78,20.31,18.25,15.91,15.0,16.16,16.41,16.38,16.88,18.94,20.28,19.94,19.12,19.62,19.81,18.34,16.0,14.81,14.59,13.78,12.81,13.5,15.75,17.03,17.22,17.06,48.56,47.78,47.72,47.38,47.34,47.84,48.66,50.0,50.84,52.03,53.25,54.0,54.0,54.5,55.41,55.94,56.66,56.66,56.38,55.75,53.88,51.09,48.0,45.22,42.5,39.72,38.22,37.91,39.0,40.78,43.16,46.38,49.09,51.19,52.22:20.5,21.66,22.03,21.25,21.69,23.34,24.5,23.66,22.69,22.53,21.72,18.88,16.16,15.31,15.38,14.94,14.44,15.53,17.94,19.62,20.25,21.16,22.84,23.34,21.66,20.0,19.28,18.62,15.47,11.44,8.5,6.06,3.16,0.44,-0.31,0.59,1.81,2.69,5.41,10.25,15.5,19.31,23.16,27.88,32.09,33.75,34.38,35.44,35.91,34.84,32.34,30.59,29.75,28.06,25.06,22.09,20.88,19.59,17.47,15.94,16.91,19.03,19.97,21.06,23.84,27.81,30.31,31.03,31.59,32.31,31.19,27.94,24.91,23.78,23.0,20.5,17.91,16.56,15.19,12.16,8.53,6.56,6.22,5.5,4.0,3.22,3.75,3.28,1.19,-0.5,-0.28,0.31,-0.06,-0.28,1.19,3.72,5.34,6.41,8.56,11.47,12.97,13.06,13.56,15.0,15.97,15.06,14.03,14.19,14.38,13.53,12.41,13.0,14.78,15.44,15.5,16.53,18.59,19.69,19.41,18.78,19.03,18.97,16.56,15.19,15.66,17.22,18.09,18.97,21.03,23.88,25.19,25.16,25.38,27.09,27.94,27.47,27.03,28.12,28.59,27.19,25.41,24.22,23.5,20.72,17.25,15.62,15.62,15.94,16.41,17.78,20.66,22.59,22.75,22.53,24.12,25.62,25.38,24.75,25.25,26.12,25.47,24.06,24.03,25.34,25.5,24.78,24.41,25.28,25.56,24.66,24.22,25.53,27.53,27.81,27.53,27.91,28.31,26.56,23.03,20.22,18.75,16.94,14.25,13.28,14.44,16.0,16.53,17.0,18.91,21.12,21.56,21.38,22.78,25.22,27.03,28.34,29.91,31.28,31.19,29.06,26.03,24.94,24.41,22.56,20.66,20.22,20.53,19.53,18.12,18.44,19.75,20.25,19.59,20.03,22.03,23.62,24.0,24.66,26.31,27.28,26.44,24.44,23.78,24.06,23.09,21.81,21.91,23.41,23.59,22.0,20.44,20.03,18.62,16.06,13.84,13.66,14.25,14.09,13.44,13.34,14.25,13.81,12.62,12.94,15.62,18.5,19.88,21.38,23.75,25.03,24.34,23.34,24.12,24.97,24.66,23.44,23.34,23.25,21.88,19.06,17.12,16.41,15.81,14.56,14.53,16.69,19.09,20.0,20.5,22.53,24.31,24.78,24.38,24.47,25.47,24.81,23.09,21.75,21.91,21.5,19.84,18.72,20.0,21.91,23.31,24.84,28.12,31.53,33.56,34.62,36.34,38.78,39.97,39.41,39.22,40.06,39.97,38.28,36.28,35.22,34.38,32.12,29.25,28.12,27.53,25.66,22.59,20.72,20.44,20.5,19.81,20.5,22.62,24.5,24.62,24.31,25.41,27.28,27.91,27.94,29.75,32.31,33.41,32.81,32.59,33.0,32.06,29.59,27.25,27.22,27.06,26.31,25.88,27.22,28.84,29.34,28.72,29.72,31.59,33.0,33.72,34.94,37.44,38.94,38.28,37.0,37.34,37.47,36.03,34.22,33.75,33.22,31.91,29.12,27.72,27.16,26.09,23.59,21.81,21.22,20.12,17.75,15.56,15.03,15.69,15.25,14.62,16.44,19.56,22.25,23.84,26.12,28.5,29.28,27.75,26.5,26.34,26.47,25.94,25.5,26.72,27.94,27.91,27.0,26.66,27.5,27.19,25.84,25.81,27.28,29.09,29.66,31.28,34.41,37.28,37.75,37.25,37.38,37.62,35.84,33.09,31.88,31.31,29.59,26.94,24.88,24.62,24.31,22.94,22.0,22.75,23.56,22.84,21.62,21.38,21.19,20.12,17.88,17.25,17.88,18.34,17.25,16.78,17.59,18.38,18.41,19.09,21.75,24.78,25.94,26.06,26.88,27.62,27.22,25.12,23.5,22.66,21.72,19.69,18.12,18.22,18.59,17.38,15.97,15.78,16.31,15.69,14.69,14.94,15.97,16.22,15.12,14.12,14.12,13.69,11.88,11.38,13.16,16.47,18.91,21.62,25.12,28.03,28.41,27.31,26.62,27.03,27.5,26.47,26.62,27.66,28.22,27.41,26.72,27.38,27.75,27.03,25.94,26.38,27.94,28.69,28.62,29.06,29.16,28.22,25.03,22.53,21.31,20.41,18.5,17.66,18.47,19.78,19.91,20.06,21.5,24.06,25.94,26.44,27.56,28.75,28.91,27.03,25.84,25.78,25.84,24.84,23.88,24.0,25.28,25.19,24.75,25.28,26.12,25.88,23.09,20.5,18.88,16.81,13.75,11.59,11.28,11.56,10.03,8.38,8.06,8.69,8.78,8.75,10.53,13.44,15.56,16.19,16.84,18.75,20.19,20.31,20.91,22.88,24.94,25.12,24.25,24.12,24.47,23.41,21.34,19.91,19.34,18.22,15.84,14.44,14.66,15.84,16.53,17.53,20.25,23.97,26.44,27.66,29.66,31.81,32.38,31.22,30.62,31.38,32.06,31.69,31.78,32.88,33.47,31.62,28.97,27.34,26.41,25.16,24.22,24.66,26.84,28.41,29.28,30.41,32.41,33.56,32.84,31.78,31.47,31.47,30.0,27.91,26.78,26.16,24.25,21.62,20.47,20.84,21.12,21.47,22.72,25.62,27.94,28.38,28.03,28.25,28.44,26.88,25.53,25.16,25.12,23.66,20.84,18.56,16.94,15.12,12.41,10.25,10.75,11.31,11.66,12.44,14.94,18.09,20.16,21.34,23.09,25.34,26.28,26.09,26.09,27.25,28.09,27.06,26.03,26.34,26.5,25.72,24.41,24.5,25.03,24.31,22.78,21.34,21.06,19.5,16.5,13.62,12.22,10.97,9.44,9.03,11.69,15.28,18.03,20.34,23.16,26.09,27.25,27.53,28.03,29.44,29.91,29.06,27.72,27.0,25.5,22.16,18.56,16.31,14.75,13.12,11.75,12.03,13.34,13.84,13.44,13.72,15.44,16.88,17.81,18.69,21.16,23.56,24.22,24.69,26.25,28.0,28.56,28.91,29.88,31.72,32.53,32.06,31.34,31.19,30.28,28.03,25.47,24.22,23.25,20.56,16.84,14.31,12.25,9.0,5.5,3.69,3.91,3.72,3.53,4.09,6.22,8.34,10.03,12.19,15.88,19.56,21.56,22.38,23.94,25.81,26.38,25.12,24.31,23.34,21.28,17.41,14.41,13.66,13.56,13.41,13.97,16.5,19.31,20.53,21.19,22.78,25.25,26.97,27.59,29.12,31.03,32.16,31.56,30.66,31.16,31.59,30.5,28.94,28.62,28.59,26.97,24.25,22.25,21.59,20.06,17.84,17.19,17.94,19.0,18.69,18.53,20.0,21.16,20.81,19.75,20.41,22.12,22.66,22.5,23.75,26.19,28.03,28.38,28.91,30.78,31.69,30.91,29.03,28.47,27.88,25.84,23.22,22.06,22.47,22.0,21.0,20.84,21.81,22.03,20.88,19.78,20.31,20.69,19.59,18.56,19.5,21.31,22.03,22.84,24.66,27.41,29.0,29.09,29.19,29.25,28.44,25.78,23.09,22.22,21.62,19.91,18.28,18.12,18.81,19.12,18.56,19.31,20.69,21.16,20.34,20.25,21.81,23.25,23.09,23.06,23.44,23.44,21.59,19.06,18.19,18.25,18.06,17.25,18.28,20.62,22.72,23.81,25.31,28.09,30.69,31.31,31.75,32.88,33.91,33.09,30.75,29.59,28.78,26.81,23.62,21.72,20.56,19.5,16.88,15.12,15.53,16.56,16.66,16.84,18.44,20.25,20.12,19.22,19.75,21.81,23.53,24.22,25.81,28.22,29.22,27.88,26.03,24.91,23.59,20.5,17.38,15.91,15.66,14.91,14.53,15.94,19.28,22.03,22.97,23.72,24.5,24.03,21.0,17.59,16.06,15.19,13.47,12.16,12.81,14.62,15.97,15.78,16.53,18.12,18.47,17.53,17.66,19.19,21.16,21.56,21.88,23.44,24.72,24.41,23.22,22.34,21.75,19.66,15.75,12.75,11.47,10.72,9.78,10.34,13.25,16.31,17.53,19.0,21.5,23.59,23.62,21.41,19.59,17.78,15.44,12.47,12.03,13.72,16.12,17.31,18.97,22.03,24.0,23.41,21.59,20.31,19.44,17.75,16.56,17.25,20.28,23.0,24.41,26.41,29.19,31.47,31.38,31.06,31.44,31.19,28.81,25.53,23.28,22.38,20.62,18.66,18.28,19.16,19.41,18.56,18.19,19.53,21.19,21.12,21.34,22.78,24.62,24.22,22.91,22.75,23.12,22.97,22.22,22.66,24.75,26.03,25.03,23.97,23.41,22.62,20.81,19.34,20.28,22.28,22.97,22.88,23.28,24.28,24.38,23.66,24.19,26.66,29.16,30.16,31.19,32.94,34.06,33.19,31.5,30.78,30.66,28.81,26.22,24.75,24.12,23.03,20.88,19.66,19.59,19.12,17.25,15.5,15.31,16.06,15.5,15.34,16.88,19.25,20.34,20.47,21.62,23.38,24.38,24.19,24.28,26.03,26.78,25.75,24.62,25.06,25.28,23.5,21.78,21.28,21.19,19.44,17.19,15.91,16.12,16.25,15.88,16.44,18.59,20.12,19.69,18.53,18.38,18.16,16.38,14.69,15.0,16.72,18.34,19.72,22.16,25.91,28.69,29.38,29.31,29.84,29.47,27.12,24.16,22.59,22.25,20.53,18.56,17.97,18.62,18.28,17.38,17.25,18.69,20.19,20.16,20.28,21.94,23.38,22.94,21.25,20.78,20.31,18.25,15.91,15.0,16.16,16.41,16.38,16.88,18.94,20.28,19.94,19.12,19.62,19.81,18.34,16.0,14.81,14.59,13.78,12.81,13.5,15.75,17.03,17.22,17.06,48.56,47.78,47.72,47.38,47.34,47.84,48.66,50.0,50.84,52.03,53.25,54.0,54.0,54.5,55.41,55.94,56.66,56.66,56.38,55.75,53.88,51.09,48.0,45.22,42.5,39.72,38.22,37.91,39.0,40.78,43.16,46.38,49.09,51.19,52.22,53.62,54.44,54.5,53.97,53.62,53.12,53.06:positivity
15.91,19.09,20.5,20.31,20.97,23.19,23.78,21.66,19.5,19.59,18.97,15.5,12.09,11.38,11.97,10.81,9.66,11.25,14.47,16.19,15.94,16.75,19.22,20.47,18.78,16.97,17.28,17.16,14.19,11.09,10.94,12.19,11.44,10.25,11.16,14.06,15.56,15.75,16.91,20.06,22.09,21.16,19.94,20.81,21.88,20.03,17.09,15.69,15.38,12.72,9.03,7.12,8.19,8.38,7.47,7.66,10.47,12.88,13.03,13.44,16.56,20.44,21.44,21.06,22.06,23.56,22.69,20.62,20.47,22.78,23.88,22.97,21.72,22.19,21.78,18.62,15.09,14.59,15.12,14.0,11.91,12.38,15.19,16.5,16.03,16.91,19.59,20.5,18.62,17.31,18.5,20.22,19.38,17.81,18.25,18.91,17.41,14.75,14.44,16.31,16.69,15.94,15.84,17.81,18.5,15.97,13.53,13.12,13.0,11.84,10.59,12.38,15.56,17.28,16.91,17.41,19.44,19.38,17.06,15.75,17.12,17.94,17.06,15.81,17.53,19.47,19.09,17.81,17.84,18.69,17.66,14.75,13.25,14.44,14.81,13.25,11.59,12.44,12.47,9.72,7.25,8.06,10.88,12.22,13.06,16.12,20.31,22.75,22.59,23.25,25.31,25.94,23.47,20.5,20.12,19.53,16.75,13.91,14.25,15.75,16.0,15.28,16.16,18.62,19.56,18.16,17.47,19.19,20.22,19.19,17.56,18.84,20.38,19.78,17.88,18.31,19.09,17.94,15.47,14.38,15.44,15.5,13.19,11.44,12.41,13.06,11.69,10.75,12.19,14.62,15.09,14.28,14.94,17.03,17.19,16.06,16.12,18.38,20.09,19.09,17.84,19.16,20.22,18.81,17.53,18.34,19.59,19.03,16.88,16.22,16.81,16.34,13.88,12.62,13.38,14.0,12.44,11.62,13.28,15.22,15.25,14.09,15.22,16.34,15.94,13.72,13.53,15.78,17.5,17.69,18.94,22.62,25.41,25.31,24.47,25.19,25.56,23.47,20.41,19.53,19.84,18.91,16.62,15.84,16.88,17.06,15.16,13.31,13.97,14.69,13.12,11.09,11.5,12.53,11.81,10.31,11.53,14.16,15.88,15.31,15.47,16.69,16.47,13.72,11.56,11.97,13.16,12.75,12.19,14.56,17.66,18.62,18.25,19.34,21.56,23.06,22.59,23.22,25.66,27.0,24.78,22.12,21.56,21.34,19.69,18.34,20.03,23.0,24.28,24.06,24.78,26.72,27.78,26.91,26.94,28.94,30.75,29.66,28.38,29.06,30.34,29.09,27.22,27.5,28.78,28.75,27.34,27.25,28.34,28.16,24.97,22.03,21.03,20.25,17.28,14.56,14.44,15.66,15.28,14.31,15.72,18.66,20.75,21.06,21.84,24.41,26.12,25.28,24.59,25.97,27.75,26.84,25.19,25.94,27.69,27.25,25.0,23.41,22.94,21.22,18.06,16.0,17.09,18.78,18.5,19.09,22.22,25.84,26.84,26.56,27.25,28.28,26.72,23.19,20.91,20.38,20.03,18.06,17.91,20.56,23.34,23.38,22.88,23.84,24.78,22.97,20.09,18.81,18.88,18.12,16.44,16.41,19.09,21.34,21.69,21.72,23.47,25.12,22.91,19.53,17.47,16.5,14.0,10.78,10.03,11.5,12.62,12.06,12.56,15.34,17.5,16.56,15.25,16.12,17.56,16.75,15.78,16.78,19.41,20.19,19.56,19.97,21.81,22.31,20.31,19.0,20.19,21.44,20.78,20.22,21.72,23.53,22.34,19.31,17.09,15.31,11.84,7.34,5.09,5.69,6.34,5.88,6.44,9.31,12.59,13.5,14.09,16.25,19.12,19.59,18.38,18.41,19.88,19.41,17.06,15.91,17.12,18.25,17.41,16.97,18.53,19.94,18.56,15.88,14.97,15.22,13.34,10.41,8.84,9.19,8.34,6.0,4.53,5.47,6.34,5.16,4.34,6.12,9.12,9.94,10.16,11.94,15.16,16.94,17.34,19.12,22.59,24.28,22.97,21.22,20.81,20.12,17.25,14.34,14.06,15.06,14.34,12.69,12.75,14.0,14.47,13.0,12.69,15.0,16.62,15.94,15.44,17.28,19.06,18.16,16.94,17.19,17.78,16.47,14.0,12.88,14.31,15.25,15.06,15.31,18.09,19.94,18.31,15.94,14.78,13.28,8.66,3.59,0.81,0.41,-0.56,-1.91,-1.12,1.84,4.31,5.0,6.47,10.53,14.53,16.47,17.59,20.84,23.97,24.59,23.62,23.75,24.88,24.41,22.12,20.66,20.75,20.19,17.0,14.22,13.91,14.38,13.38,12.41,14.62,18.22,19.31,18.62,18.38,18.31,15.88,11.56,8.16,7.75,7.5,5.53,4.38,5.81,7.84,8.19,7.91,9.5,12.28,13.38,12.84,13.0,15.0,15.12,12.81,10.31,10.72,10.81,8.94,7.75,9.09,10.88,10.78,9.12,8.97,10.53,10.75,9.19,9.06,10.56,11.22,9.88,8.78,10.62,13.19,13.78,14.06,16.91,19.72,19.94,17.91,17.25,18.09,17.66,15.78,15.12,16.69,16.94,14.47,11.75,11.59,12.47,11.84,11.12,13.06,16.0,17.28,17.19,17.75,20.19,20.38,17.66,14.78,14.12,12.94,10.06,7.72,8.12,9.31,8.5,6.31,6.22,7.44,7.56,6.34,7.19,9.78,11.53,10.88,10.47,12.34,14.5,14.44,14.25,16.81,19.75,20.09,18.28,17.84,17.84,16.38,13.28,11.53,12.12,12.22,10.5,8.81,9.53,11.19,10.72,9.97,11.97,15.5,17.22,17.72,19.28,22.03,22.69,21.06,19.97,20.75,20.81,18.47,15.88,15.69,15.81,13.44,10.12,8.66,9.28,8.66,6.91,7.69,10.84,13.03,13.19,14.12,17.06,19.44,19.03,17.41,17.59,18.44,17.34,14.72,14.47,15.88,16.09,14.69,14.12,15.62,16.12,13.56,11.5,11.91,12.53,11.41,9.91,10.72,12.62,12.75,10.81,10.38,11.62,11.47,9.59,9.16,10.81,12.06,10.31,8.19,8.22,8.94,7.59,6.38,7.41,10.28,11.75,11.16,12.22,14.94,16.41,15.06,14.38,15.44,16.25,14.12,11.97,12.16,13.44,13.19,11.59,12.19,14.12,14.5,12.59,11.97,13.72,14.56,12.97,11.81,12.12,12.56,10.06,7.56,7.56,8.81,8.38,6.47,6.09,7.03,6.59,4.34,3.94,6.16,8.28,7.75,7.88,10.25,12.47,12.22,10.88,11.53,12.91,12.28,10.41,10.25,12.03,12.75,11.31,10.28,11.59,12.53,10.88,9.69,11.12,13.56,13.78,13.0,13.47,14.38,13.44,10.19,8.5,9.25,9.66,8.06,7.44,9.41,10.91,10.12,9.0,10.09,12.66,13.44,13.09,13.97,15.75,15.28,12.28,10.22,10.47,10.62,8.0,5.81,6.12,6.72,4.41,1.78,1.59,2.88,2.56,1.34,2.19,4.88,6.84,6.56,7.19,10.12,12.47,11.53,10.84,12.47,15.31,15.91,15.81,17.28,19.59,18.47,15.47,13.31,13.34,12.66,10.09,8.53,9.69,10.56,8.22,5.41,5.44,6.38,5.59,4.41,5.5,8.22,9.12,8.5,9.0,11.78,13.84,13.38,13.12,14.19,14.97,12.0,8.47,7.56,7.72,6.0,4.06,3.91,6.0,6.94,6.28,6.47,8.91,11.34,11.09,11.09,13.56,16.5,16.38,15.81,17.47,20.41,21.25,20.59,20.25,20.62,19.0,14.81,11.25,10.72,10.56,8.81,7.88,9.81,12.91,14.34,14.84,17.03,19.97,20.16,17.5,15.0,13.69,10.62,5.09,0.47,-0.56,-0.44,-1.62,-2.09,0.41,4.69,7.09,8.34,11.62,16.44,19.12,19.06,19.25,21.06,21.16,18.59,15.78,15.66,16.06,13.84,11.47,11.09,12.03,10.97,9.06,9.0,11.25,12.69,12.38,12.78,15.91,18.5,18.5,18.53,21.19,24.28,25.25,25.19,27.25,30.41,31.5,30.88,30.81,32.28,31.72,28.47,25.28,24.75,24.19,21.78,19.44,19.12,18.69,15.75,11.34,8.91,9.0,8.56,7.28,7.84,11.16,13.69,14.22,15.69,19.81,24.03,25.5,25.84,27.78,30.12,30.03,28.16,27.41,28.03,26.16,22.06,18.44,17.47,15.75,12.06,8.78,8.56,8.97,7.91,6.25,7.38,10.09,11.72,12.41,15.31,20.25,23.94,25.19,26.44,29.88,32.12,31.12,29.25,29.06,28.81,26.38,22.84,22.19,22.75,22.66,21.19,21.19,23.25,24.19,22.97,21.97,23.5,24.84,23.81,21.91,21.59,22.06,20.28,17.53,16.5,17.59,17.47,15.78,15.44,17.84,19.38,18.44,17.91,20.06,22.41,23.09,23.28,25.69,28.62,28.81,27.0,26.0,26.22,24.91,21.78,19.88,20.56,21.53,20.28,18.62,19.28,20.25,18.97,17.0,17.5,18.84,18.81,17.0,16.53,17.84,18.16,16.59,15.75,17.88,20.53,22.09,23.84,28.5,33.44,35.22,34.41,33.53,32.44,28.69,22.78,18.0,16.22,14.5,11.06,8.28,8.38,8.34,6.19,3.5,4.12,6.19,7.78,8.91,12.75,18.56,23.25,25.09,27.5,31.28,34.34,34.34,33.94,35.0,35.34,32.25,27.16,24.03,22.19,19.34,15.94,15.19,16.91,18.53,18.25,18.66,21.25,23.06,21.91,20.31,21.06,22.53,21.97,20.38,20.88,22.62,22.84,21.41,20.94,22.12,22.28,20.0,18.56,19.81,21.94,22.0,21.66,23.06,24.84,24.31,22.12,21.81,23.34,23.69,22.38,21.66,23.28,24.0,22.41,21.97,23.78,26.16,26.41,25.34,25.97,27.47,27.59,26.12,25.97,26.72,25.88,21.66,17.59,15.47,13.44,9.62:21.66,19.5,19.59,18.97,15.5,12.09,11.38,11.97,10.81,9.66,11.25,14.47,16.19,15.94,16.75,19.22,20.47,18.78,16.97,17.28,17.16,14.19,11.09,10.94,12.19,11.44,10.25,11.16,14.06,15.56,15.75,16.91,20.06,22.09,21.16,19.94,20.81,21.88,20.03,17.09,15.69,15.38,12.72,9.03,7.12,8.19,8.38,7.47,7.66,10.47,12.88,13.03,13.44,16.56,20.44,21.44,21.06,22.06,23.56,22.69,20.62,20.47,22.78,23.88,22.97,21.72,22.19,21.78,18.62,15.09,14.59,15.12,14.0,11.91,12.38,15.19,16.5,16.03,16.91,19.59,20.5,18.62,17.31,18.5,20.22,19.38,17.81,18.25,18.91,17.41,14.75,14.44,16.31,16.69,15.94,15.84,17.81,18.5,15.97,13.53,13.12,13.0,11.84,10.59,12.38,15.56,17.28,16.91,17.41,19.44,19.38,17.06,15.75,17.12,17.94,17.06,15.81,17.53,19.47,19.09,17.81,17.84,18.69,17.66,14.75,13.25,14.44,14.81,13.25,11.59,12.44,12.47,9.72,7.25,8.06,10.88,12.22,13.06,16.12,20.31,22.75,22.59,23.25,25.31,25.94,23.47,20.5,20.12,19.53,16.75,13.91,14.25,15.75,16.0,15.28,16.16,18.62,19.56,18.16,17.47,19.19,20.22,19.19,17.56,18.84,20.38,19.78,17.88,18.31,19.09,17.94,15.47,14.38,15.44,15.5,13.19,11.44,12.41,13.06,11.69,10.75,12.19,14.62,15.09,14.28,14.94,17.03,17.19,16.06,16.12,18.38,20.09,19.09,17.84,19.16,20.22,18.81,17.53,18.34,19.59,19.03,16.88,16.22,16.81,16.34,13.88,12.62,13.38,14.0,12.44,11.62,13.28,15.22,15.25,14.09,15.22,16.34,15.94,13.72,13.53,15.78,17.5,17.69,18.94,22.62,25.41,25.31,24.47,25.19,25.56,23.47,20.41,19.53,19.84,18.91,16.62,15.84,16.88,17.06,15.16,13.31,13.97,14.69,13.12,11.09,11.5,12.53,11.81,10.31,11.53,14.16,15.88,15.31,15.47,16.69,16.47,13.72,11.56,11.97,13.16,12.75,12.19,14.56,17.66,18.62,18.25,19.34,21.56,23.06,22.59,23.22,25.66,27.0,24.78,22.12,21.56,21.34,19.69,18.34,20.03,23.0,24.28,24.06,24.78,26.72,27.78,26.91,26.94,28.94,30.75,29.66,28.38,29.06,30.34,29.09,27.22,27.5,28.78,28.75,27.34,27.25,28.34,28.16,24.97,22.03,21.03,20.25,17.28,14.56,14.44,15.66,15.28,14.31,15.72,18.66,20.75,21.06,21.84,24.41,26.12,25.28,24.59,25.97,27.75,26.84,25.19,25.94,27.69,27.25,25.0,23.41,22.94,21.22,18.06,16.0,17.09,18.78,18.5,19.09,22.22,25.84,26.84,26.56,27.25,28.28,26.72,23.19,20.91,20.38,20.03,18.06,17.91,20.56,23.34,23.38,22.88,23.84,24.78,22.97,20.09,18.81,18.88,18.12,16.44,16.41,19.09,21.34,21.69,21.72,23.47,25.12,22.91,19.53,17.47,16.5,14.0,10.78,10.03,11.5,12.62,12.06,12.56,15.34,17.5,16.56,15.25,16.12,17.56,16.75,15.78,16.78,19.41,20.19,19.56,19.97,21.81,22.31,20.31,19.0,20.19,21.44,20.78,20.22,21.72,23.53,22.34,19.31,17.09,15.31,11.84,7.34,5.09,5.69,6.34,5.88,6.44,9.31,12.59,13.5,14.09,16.25,19.12,19.59,18.38,18.41,19.88,19.41,17.06,15.91,17.12,18.25,17.41,16.97,18.53,19.94,18.56,15.88,14.97,15.22,13.34,10.41,8.84,9.19,8.34,6.0,4.53,5.47,6.34,5.16,4.34,6.12,9.12,9.94,10.16,11.94,15.16,16.94,17.34,19.12,22.59,24.28,22.97,21.22,20.81,20.12,17.25,14.34,14.06,15.06,14.34,12.69,12.75,14.0,14.47,13.0,12.69,15.0,16.62,15.94,15.44,17.28,19.06,18.16,16.94,17.19,17.78,16.47,14.0,12.88,14.31,15.25,15.06,15.31,18.09,19.94,18.31,15.94,14.78,13.28,8.66,3.59,0.81,0.41,-0.56,-1.91,-1.12,1.84,4.31,5.0,6.47,10.53,14.53,16.47,17.59,20.84,23.97,24.59,23.62,23.75,24.88,24.41,22.12,20.66,20.75,20.19,17.0,14.22,13.91,14.38,13.38,12.41,14.62,18.22,19.31,18.62,18.38,18.31,15.88,11.56,8.16,7.75,7.5,5.53,4.38,5.81,7.84,8.19,7.91,9.5,12.28,13.38,12.84,13.0,15.0,15.12,12.81,10.31,10.72,10.81,8.94,7.75,9.09,10.88,10.78,9.12,8.97,10.53,10.75,9.19,9.06,10.56,11.22,9.88,8.78,10.62,13.19,13.78,14.06,16.91,19.72,19.94,17.91,17.25,18.09,17.66,15.78,15.12,16.69,16.94,14.47,11.75,11.59,12.47,11.84,11.12,13.06,16.0,17.28,17.19,17.75,20.19,20.38,17.66,14.78,14.12,12.94,10.06,7.72,8.12,9.31,8.5,6.31,6.22,7.44,7.56,6.34,7.19,9.78,11.53,10.88,10.47,12.34,14.5,14.44,14.25,16.81,19.75,20.09,18.28,17.84,17.84,16.38,13.28,11.53,12.12,12.22,10.5,8.81,9.53,11.19,10.72,9.97,11.97,15.5,17.22,17.72,19.28,22.03,22.69,21.06,19.97,20.75,20.81,18.47,15.88,15.69,15.81,13.44,10.12,8.66,9.28,8.66,6.91,7.69,10.84,13.03,13.19,14.12,17.06,19.44,19.03,17.41,17.59,18.44,17.34,14.72,14.47,15.88,16.09,14.69,14.12,15.62,16.12,13.56,11.5,11.91,12.53,11.41,9.91,10.72,12.62,12.75,10.81,10.38,11.62,11.47,9.59,9.16,10.81,12.06,10.31,8.19,8.22,8.94,7.59,6.38,7.41,10.28,11.75,11.16,12.22,14.94,16.41,15.06,14.38,15.44,16.25,14.12,11.97,12.16,13.44,13.19,11.59,12.19,14.12,14.5,12.59,11.97,13.72,14.56,12.97,11.81,12.12,12.56,10.06,7.56,7.56,8.81,8.38,6.47,6.09,7.03,6.59,4.34,3.94,6.16,8.28,7.75,7.88,10.25,12.47,12.22,10.88,11.53,12.91,12.28,10.41,10.25,12.03,12.75,11.31,10.28,11.59,12.53,10.88,9.69,11.12,13.56,13.78,13.0,13.47,14.38,13.44,10.19,8.5,9.25,9.66,8.06,7.44,9.41,10.91,10.12,9.0,10.09,12.66,13.44,13.09,13.97,15.75,15.28,12.28,10.22,10.47,10.62,8.0,5.81,6.12,6.72,4.41,1.78,1.59,2.88,2.56,1.34,2.19,4.88,6.84,6.56,7.19,10.12,12.47,11.53,10.84,12.47,15.31,15.91,15.81,17.28,19.59,18.47,15.47,13.31,13.34,12.66,10.09,8.53,9.69,10.56,8.22,5.41,5.44,6.38,5.59,4.41,5.5,8.22,9.12,8.5,9.0,11.78,13.84,13.38,13.12,14.19,14.97,12.0,8.47,7.56,7.72,6.0,4.06,3.91,6.0,6.94,6.28,6.47,8.91,11.34,11.09,11.09,13.56,16.5,16.38,15.81,17.47,20.41,21.25,20.59,20.25,20.62,19.0,14.81,11.25,10.72,10.56,8.81,7.88,9.81,12.91,14.34,14.84,17.03,19.97,20.16,17.5,15.0,13.69,10.62,5.09,0.47,-0.56,-0.44,-1.62,-2.09,0.41,4.69,7.09,8.34,11.62,16.44,19.12,19.06,19.25,21.06,21.16,18.59,15.78,15.66,16.06,13.84,11.47,11.09,12.03,10.97,9.06,9.0,11.25,12.69,12.38,12.78,15.91,18.5,18.5,18.53,21.19,24.28,25.25,25.19,27.25,30.41,31.5,30.88,30.81,32.28,31.72,28.47,25.28,24.75,24.19,21.78,19.44,19.12,18.69,15.75,11.34,8.91,9.0,8.56,7.28,7.84,11.16,13.69,14.22,15.69,19.81,24.03,25.5,25.84,27.78,30.12,30.03,28.16,27.41,28.03,26.16,22.06,18.44,17.47,15.75,12.06,8.78,8.56,8.97,7.91,6.25,7.38,10.09,11.72,12.41,15.31,20.25,23.94,25.19,26.44,29.88,32.12,31.12,29.25,29.06,28.81,26.38,22.84,22.19,22.75,22.66,21.19,21.19,23.25,24.19,22.97,21.97,23.5,24.84,23.81,21.91,21.59,22.06,20.28,17.53,16.5,17.59,17.47,15.78,15.44,17.84,19.38,18.44,17.91,20.06,22.41,23.09,23.28,25.69,28.62,28.81,27.0,26.0,26.22,24.91,21.78,19.88,20.56,21.53,20.28,18.62,19.28,20.25,18.97,17.0,17.5,18.84,18.81,17.0,16.53,17.84,18.16,16.59,15.75,17.88,20.53,22.09,23.84,28.5,33.44,35.22,34.41,33.53,32.44,28.69,22.78,18.0,16.22,14.5,11.06,8.28,8.38,8.34,6.19,3.5,4.12,6.19,7.78,8.91,12.75,18.56,23.25,25.09,27.5,31.28,34.34,34.34,33.94,35.0,35.34,32.25,27.16,24.03,22.19,19.34,15.94,15.19,16.91,18.53,18.25,18.66,21.25,23.06,21.91,20.31,21.06,22.53,21.97,20.38,20.88,22.62,22.84,21.41,20.94,22.12,22.28,20.0,18.56,19.81,21.94,22.0,21.66,23.06,24.84,24.31,22.12,21.81,23.34,23.69,22.38,21.66,23.28,24.0,22.41,21.97,23.78,26.16,26.41,25.34,25.97,27.47,27.59,26.12,25.97,26.72,25.88,21.66,17.59,15.47,13.44,9.62,51.28,53.06,53.16,52.41,52.25,53.19,53.31:11.97,10.81,9.66,11.25,14.47,16.19,15.94,16.75,19.22,20.47,18.78,16.97,17.28,17.16,14.19,11.09,10.94,12.19,11.44,10.25,11.16,14.06,15.56,15.75,16.91,20.06,22.09,21.16,19.94,20.81,21.88,20.03,17.09,15.69,15.38,12.72,9.03,7.12,8.19,8.38,7.47,7.66,10.47,12.88,13.03,13.44,16.56,20.44,21.44,21.06,22.06,23.56,22.69,20.62,20.47,22.78,23.88,22.97,21.72,22.19,21.78,18.62,15.09,14.59,15.12,14.0,11.91,12.38,15.19,16.5,16.03,16.91,19.59,20.5,18.62,17.31,18.5,20.22,19.38,17.81,18.25,18.91,17.41,14.75,14.44,16.31,16.69,15.94,15.84,17.81,18.5,15.97,13.53,13.12,13.0,11.84,10.59,12.38,15.56,17.28,16.91,17.41,19.44,19.38,17.06,15.75,17.12,17.94,17.06,15.81,17.53,19.47,19.09,17.81,17.84,18.69,17.66,14.75,13.25,14.44,14.81,13.25,11.59,12.44,12.47,9.72,7.25,8.06,10.88,12.22,13.06,16.12,20.31,22.75,22.59,23.25,25.31,25.94,23.47,20.5,20.12,19.53,16.75,13.91,14.25,15.75,16.0,15.28,16.16,18.62,19.56,18.16,17.47,19.19,20.22,19.19,17.56,18.84,20.38,19.78,17.88,18.31,19.09,17.94,15.47,14.38,15.44,15.5,13.19,11.44,12.41,13.06,11.69,10.75,12.19,14.62,15.09,14.28,14.94,17.03,17.19,16.06,16.12,18.38,20.09,19.09,17.84,19.16,20.22,18.81,17.53,18.34,19.59,19.03,16.88,16.22,16.81,16.34,13.88,12.62,13.38,14.0,12.44,11.62,13.28,15.22,15.25,14.09,15.22,16.34,15.94,13.72,13.53,15.78,17.5,17.69,18.94,22.62,25.41,25.31,24.47,25.19,25.56,23.47,20.41,19.53,19.84,18.91,16.62,15.84,16.88,17.06,15.16,13.31,13.97,14.69,13.12,11.09,11.5,12.53,11.81,10.31,11.53,14.16,15.88,15.31,15.47,16.69,16.47,13.72,11.56,11.97,13.16,12.75,12.19,14.56,17.66,18.62,18.25,19.34,21.56,23.06,22.59,23.22,25.66,27.0,24.78,22.12,21.56,21.34,19.69,18.34,20.03,23.0,24.28,24.06,24.78,26.72,27.78,26.91,26.94,28.94,30.75,29.66,28.38,29.06,30.34,29.09,27.22,27.5,28.78,28.75,27.34,27.25,28.34,28.16,24.97,22.03,21.03,20.25,17.28,14.56,14.44,15.66,15.28,14.31,15.72,18.66,20.75,21.06,21.84,24.41,26.12,25.28,24.59,25.97,27.75,26.84,25.19,25.94,27.69,27.25,25.0,23.41,22.94,21.22,18.06,16.0,17.09,18.78,18.5,19.09,22.22,25.84,26.84,26.56,27.25,28.28,26.72,23.19,20.91,20.38,20.03,18.06,17.91,20.56,23.34,23.38,22.88,23.84,24.78,22.97,20.09,18.81,18.88,18.12,16.44,16.41,19.09,21.34,21.69,21.72,23.47,25.12,22.91,19.53,17.47,16.5,14.0,10.78,10.03,11.5,12.62,12.06,12.56,15.34,17.5,16.56,15.25,16.12,17.56,16.75,15.78,16.78,19.41,20.19,19.56,19.97,21.81,22.31,20.31,19.0,20.19,21.44,20.78,20.22,21.72,23.53,22.34,19.31,17.09,15.31,11.84,7.34,5.09,5.69,6.34,5.88,6.44,9.31,12.59,13.5,14.09,16.25,19.12,19.59,18.38,18.41,19.88,19.41,17.06,15.91,17.12,18.25,17.41,16.97,18.53,19.94,18.56,15.88,14.97,15.22,13.34,10.41,8.84,9.19,8.34,6.0,4.53,5.47,6.34,5.16,4.34,6.12,9.12,9.94,10.16,11.94,15.16,16.94,17.34,19.12,22.59,24.28,22.97,21.22,20.81,20.12,17.25,14.34,14.06,15.06,14.34,12.69,12.75,14.0,14.47,13.0,12.69,15.0,16.62,15.94,15.44,17.28,19.06,18.16,16.94,17.19,17.78,16.47,14.0,12.88,14.31,15.25,15.06,15.31,18.09,19.94,18.31,15.94,14.78,13.28,8.66,3.59,0.81,0.41,-0.56,-1.91,-1.12,1.84,4.31,5.0,6.47,10.53,14.53,16.47,17.59,20.84,23.97,24.59,23.62,23.75,24.88,24.41,22.12,20.66,20.75,20.19,17.0,14.22,13.91,14.38,13.38,12.41,14.62,18.22,19.31,18.62,18.38,18.31,15.88,11.56,8.16,7.75,7.5,5.53,4.38,5.81,7.84,8.19,7.91,9.5,12.28,13.38,12.84,13.0,15.0,15.12,12.81,10.31,10.72,10.81,8.94,7.75,9.09,10.88,10.78,9.12,8.97,10.53,10.75,9.19,9.06,10.56,11.22,9.88,8.78,10.62,13.19,13.78,14.06,16.91,19.72,19.94,17.91,17.25,18.09,17.66,15.78,15.12,16.69,16.94,14.47,11.75,11.59,12.47,11.84,11.12,13.06,16.0,17.28,17.19,17.75,20.19,20.38,17.66,14.78,14.12,12.94,10.06,7.72,8.12,9.31,8.5,6.31,6.22,7.44,7.56,6.34,7.19,9.78,11.53,10.88,10.47,12.34,14.5,14.44,14.25,16.81,19.75,20.09,18.28,17.84,17.84,16.38,13.28,11.53,12.12,12.22,10.5,8.81,9.53,11.19,10.72,9.97,11.97,15.5,17.22,17.72,19.28,22.03,22.69,21.06,19.97,20.75,20.81,18.47,15.88,15.69,15.81,13.44,10.12,8.66,9.28,8.66,6.91,7.69,10.84,13.03,13.19,14.12,17.06,19.44,19.03,17.41,17.59,18.44,17.34,14.72,14.47,15.88,16.09,14.69,14.12,15.62,16.12,13.56,11.5,11.91,12.53,11.41,9.91,10.72,12.62,12.75,10.81,10.38,11.62,11.47,9.59,9.16,10.81,12.06,10.31,8.19,8.22,8.94,7.59,6.38,7.41,10.28,11.75,11.16,12.22,14.94,16.41,15.06,14.38,15.44,16.25,14.12,11.97,12.16,13.44,13.19,11.59,12.19,14.12,14.5,12.59,11.97,13.72,14.56,12.97,11.81,12.12,12.56,10.06,7.56,7.56,8.81,8.38,6.47,6.09,7.03,6.59,4.34,3.94,6.16,8.28,7.75,7.88,10.25,12.47,12.22,10.88,11.53,12.91,12.28,10.41,10.25,12.03,12.75,11.31,10.28,11.59,12.53,10.88,9.69,11.12,13.56,13.78,13.0,13.47,14.38,13.44,10.19,8.5,9.25,9.66,8.06,7.44,9.41,10.91,10.12,9.0,10.09,12.66,13.44,13.09,13.97,15.75,15.28,12.28,10.22,10.47,10.62,8.0,5.81,6.12,6.72,4.41,1.78,1.59,2.88,2.56,1.34,2.19,4.88,6.84,6.56,7.19,10.12,12.47,11.53,10.84,12.47,15.31,15.91,15.81,17.28,19.59,18.47,15.47,13.31,13.34,12.66,10.09,8.53,9.69,10.56,8.22,5.41,5.44,6.38,5.59,4.41,5.5,8.22,9.12,8.5,9.0,11.78,13.84,13.38,13.12,14.19,14.97,12.0,8.47,7.56,7.72,6.0,4.06,3.91,6.0,6.94,6.28,6.47,8.91,11.34,11.09,11.09,13.56,16.5,16.38,15.81,17.47,20.41,21.25,20.59,20.25,20.62,19.0,14.81,11.25,10.72,10.56,8.81,7.88,9.81,12.91,14.34,14.84,17.03,19.97,20.16,17.5,15.0,13.69,10.62,5.09,0.47,-0.56,-0.44,-1.62,-2.09,0.41,4.69,7.09,8.34,11.62,16.44,19.12,19.06,19.25,21.06,21.16,18.59,15.78,15.66,16.06,13.84,11.47,11.09,12.03,10.97,9.06,9.0,11.25,12.69,12.38,12.78,15.91,18.5,18.5,18.53,21.19,24.28,25.25,25.19,27.25,30.41,31.5,30.88,30.81,32.28,31.72,28.47,25.28,24.75,24.19,21.78,19.44,19.12,18.69,15.75,11.34,8.91,9.0,8.56,7.28,7.84,11.16,13.69,14.22,15.69,19.81,24.03,25.5,25.84,27.78,30.12,30.03,28.16,27.41,28.03,26.16,22.06,18.44,17.47,15.75,12.06,8.78,8.56,8.97,7.91,6.25,7.38,10.09,11.72,12.41,15.31,20.25,23.94,25.19,26.44,29.88,32.12,31.12,29.25,29.06,28.81,26.38,22.84,22.19,22.75,22.66,21.19,21.19,23.25,24.19,22.97,21.97,23.5,24.84,23.81,21.91,21.59,22.06,20.28,17.53,16.5,17.59,17.47,15.78,15.44,17.84,19.38,18.44,17.91,20.06,22.41,23.09,23.28,25.69,28.62,28.81,27.0,26.0,26.22,24.91,21.78,19.88,20.56,21.53,20.28,18.62,19.28,20.25,18.97,17.0,17.5,18.84,18.81,17.0,16.53,17.84,18.16,16.59,15.75,17.88,20.53,22.09,23.84,28.5,33.44,35.22,34.41,33.53,32.44,28.69,22.78,18.0,16.22,14.5,11.06,8.28,8.38,8.34,6.19,3.5,4.12,6.19,7.78,8.91,12.75,18.56,23.25,25.09,27.5,31.28,34.34,34.34,33.94,35.0,35.34,32.25,27.16,24.03,22.19,19.34,15.94,15.19,16.91,18.53,18.25,18.66,21.25,23.06,21.91,20.31,21.06,22.53,21.97,20.38,20.88,22.62,22.84,21.41,20.94,22.12,22.28,20.0,18.56,19.81,21.94,22.0,21.66,23.06,24.84,24.31,22.12,21.81,23.34,23.69,22.38,21.66,23.28,24.0,22.41,21.97,23.78,26.16,26.41,25.34,25.97,27.47,27.59,26.12,25.97,26.72,25.88,21.66,17.59,15.47,13.44,9.62,51.28,53.06,53.16,52.41,52.25,53.19,53.31,51.62,50.78,51.22,51.22,49.38,47.38,47.0:16.75,19.22,20.47,18.78,16.97,17.28,17.16,14.19,11.09,10.94,12.19,11.44,10.25,11.16,14.06,15.56,15.75,16.91,20.06,22.09,21.16,19.94,20.81,21.88,20.03,17.09,15.69,15.38,12.72,9.03,7.12,8.19,8.38,7.47,7.66,10.47,12.88,13.03,13.44,16.56,20.44,21.44,21.06,22.06,23.56,22.69,20.62,20.47,22.78,23.88,22.97,21.72,22.19,21.78,18.62,15.09,14.59,15.12,14.0,11.91,12.38,15.19,16.5,16.03,16.91,19.59,20.5,18.62,17.31,18.5,20.22,19.38,17.81,18.25,18.91,17.41,14.75,14.44,16.31,16.69,15.94,15.84,17.81,18.5,15.97,13.53,13.12,13.0,11.84,10.59,12.38,15.56,17.28,16.91,17.41,19.44,19.38,17.06,15.75,17.12,17.94,17.06,15.81,17.53,19.47,19.09,17.81,17.84,18.69,17.66,14.75,13.25,14.44,14.81,13.25,11.59,12.44,12.47,9.72,7.25,8.06,10.88,12.22,13.06,16.12,20.31,22.75,22.59,23.25,25.31,25.94,23.47,20.5,20.12,19.53,16.75,13.91,14.25,15.75,16.0,15.28,16.16,18.62,19.56,18.16,17.47,19.19,20.22,19.19,17.56,18.84,20.38,19.78,17.88,18.31,19.09,17.94,15.47,14.38,15.44,15.5,13.19,11.44,12.41,13.06,11.69,10.75,12.19,14.62,15.09,14.28,14.94,17.03,17.19,16.06,16.12,18.38,20.09,19.09,17.84,19.16,20.22,18.81,17.53,18.34,19.59,19.03,16.88,16.22,16.81,16.34,13.88,12.62,13.38,14.0,12.44,11.62,13.28,15.22,15.25,14.09,15.22,16.34,15.94,13.72,13.53,15.78,17.5,17.69,18.94,22.62,25.41,25.31,24.47,25.19,25.56,23.47,20.41,19.53,19.84,18.91,16.62,15.84,16.88,17.06,15.16,13.31,13.97,14.69,13.12,11.09,11.5,12.53,11.81,10.31,11.53,14.16,15.88,15.31,15.47,16.69,16.47,13.72,11.56,11.97,13.16,12.75,12.19,14.56,17.66,18.62,18.25,19.34,21.56,23.06,22.59,23.22,25.66,27.0,24.78,22.12,21.56,21.34,19.69,18.34,20.03,23.0,24.28,24.06,24.78,26.72,27.78,26.91,26.94,28.94,30.75,29.66,28.38,29.06,30.34,29.09,27.22,27.5,28.78,28.75,27.34,27.25,28.34,28.16,24.97,22.03,21.03,20.25,17.28,14.56,14.44,15.66,15.28,14.31,15.72,18.66,20.75,21.06,21.84,24.41,26.12,25.28,24.59,25.97,27.75,26.84,25.19,25.94,27.69,27.25,25.0,23.41,22.94,21.22,18.06,16.0,17.09,18.78,18.5,19.09,22.22,25.84,26.84,26.56,27.25,28.28,26.72,23.19,20.91,20.38,20.03,18.06,17.91,20.56,23.34,23.38,22.88,23.84,24.78,22.97,20.09,18.81,18.88,18.12,16.44,16.41,19.09,21.34,21.69,21.72,23.47,25.12,22.91,19.53,17.47,16.5,14.0,10.78,10.03,11.5,12.62,12.06,12.56,15.34,17.5,16.56,15.25,16.12,17.56,16.75,15.78,16.78,19.41,20.19,19.56,19.97,21.81,22.31,20.31,19.0,20.19,21.44,20.78,20.22,21.72,23.53,22.34,19.31,17.09,15.31,11.84,7.34,5.09,5.69,6.34,5.88,6.44,9.31,12.59,13.5,14.09,16.25,19.12,19.59,18.38,18.41,19.88,19.41,17.06,15.91,17.12,18.25,17.41,16.97,18.53,19.94,18.56,15.88,14.97,15.22,13.34,10.41,8.84,9.19,8.34,6.0,4.53,5.47,6.34,5.16,4.34,6.12,9.12,9.94,10.16,11.94,15.16,16.94,17.34,19.12,22.59,24.28,22.97,21.22,20.81,20.12,17.25,14.34,14.06,15.06,14.34,12.69,12.75,14.0,14.47,13.0,12.69,15.0,16.62,15.94,15.44,17.28,19.06,18.16,16.94,17.19,17.78,16.47,14.0,12.88,14.31,15.25,15.06,15.31,18.09,19.94,18.31,15.94,14.78,13.28,8.66,3.59,0.81,0.41,-0.56,-1.91,-1.12,1.84,4.31,5.0,6.47,10.53,14.53,16.47,17.59,20.84,23.97,24.59,23.62,23.75,24.88,24.41,22.12,20.66,20.75,20.19,17.0,14.22,13.91,14.38,13.38,12.41,14.62,18.22,19.31,18.62,18.38,18.31,15.88,11.56,8.16,7.75,7.5,5.53,4.38,5.81,7.84,8.19,7.91,9.5,12.28,13.38,12.84,13.0,15.0,15.12,12.81,10.31,10.72,10.81,8.94,7.75,9.09,10.88,10.78,9.12,8.97,10.53,10.75,9.19,9.06,10.56,11.22,9.88,8.78,10.62,13.19,13.78,14.06,16.91,19.72,19.94,17.91,17.25,18.09,17.66,15.78,15.12,16.69,16.94,14.47,11.75,11.59,12.47,11.84,11.12,13.06,16.0,17.28,17.19,17.75,20.19,20.38,17.66,14.78,14.12,12.94,10.06,7.72,8.12,9.31,8.5,6.31,6.22,7.44,7.56,6.34,7.19,9.78,11.53,10.88,10.47,12.34,14.5,14.44,14.25,16.81,19.75,20.09,18.28,17.84,17.84,16.38,13.28,11.53,12.12,12.22,10.5,8.81,9.53,11.19,10.72,9.97,11.97,15.5,17.22,17.72,19.28,22.03,22.69,21.06,19.97,20.75,20.81,18.47,15.88,15.69,15.81,13.44,10.12,8.66,9.28,8.66,6.91,7.69,10.84,13.03,13.19,14.12,17.06,19.44,19.03,17.41,17.59,18.44,17.34,14.72,14.47,15.88,16.09,14.69,14.12,15.62,16.12,13.56,11.5,11.91,12.53,11.41,9.91,10.72,12.62,12.75,10.81,10.38,11.62,11.47,9.59,9.16,10.81,12.06,10.31,8.19,8.22,8.94,7.59,6.38,7.41,10.28,11.75,11.16,12.22,14.94,16.41,15.06,14.38,15.44,16.25,14.12,11.97,12.16,13.44,13.19,11.59,12.19,14.12,14.5,12.59,11.97,13.72,14.56,12.97,11.81,12.12,12.56,10.06,7.56,7.56,8.81,8.38,6.47,6.09,7.03,6.59,4.34,3.94,6.16,8.28,7.75,7.88,10.25,12.47,12.22,10.88,11.53,12.91,12.28,10.41,10.25,12.03,12.75,11.31,10.28,11.59,12.53,10.88,9.69,11.12,13.56,13.78,13.0,13.47,14.38,13.44,10.19,8.5,9.25,9.66,8.06,7.44,9.41,10.91,10.12,9.0,10.09,12.66,13.44,13.09,13.97,15.75,15.28,12.28,10.22,10.47,10.62,8.0,5.81,6.12,6.72,4.41,1.78,1.59,2.88,2.56,1.34,2.19,4.88,6.84,6.56,7.19,10.12,12.47,11.53,10.84,12.47,15.31,15.91,15.81,17.28,19.59,18.47,15.47,13.31,13.34,12.66,10.09,8.53,9.69,10.56,8.22,5.41,5.44,6.38,5.59,4.41,5.5,8.22,9.12,8.5,9.0,11.78,13.84,13.38,13.12,14.19,14.97,12.0,8.47,7.56,7.72,6.0,4.06,3.91,6.0,6.94,6.28,6.47,8.91,11.34,11.09,11.09,13.56,16.5,16.38,15.81,17.47,20.41,21.25,20.59,20.25,20.62,19.0,14.81,11.25,10.72,10.56,8.81,7.88,9.81,12.91,14.34,14.84,17.03,19.97,20.16,17.5,15.0,13.69,10.62,5.09,0.47,-0.56,-0.44,-1.62,-2.09,0.41,4.69,7.09,8.34,11.62,16.44,19.12,19.06,19.25,21.06,21.16,18.59,15.78,15.66,16.06,13.84,11.47,11.09,12.03,10.97,9.06,9.0,11.25,12.69,12.38,12.78,15.91,18.5,18.5,18.53,21.19,24.28,25.25,25.19,27.25,30.41,31.5,30.88,30.81,32.28,31.72,28.47,25.28,24.75,24.19,21.78,19.44,19.12,18.69,15.75,11.34,8.91,9.0,8.56,7.28,7.84,11.16,13.69,14.22,15.69,19.81,24.03,25.5,25.84,27.78,30.12,30.03,28.16,27.41,28.03,26.16,22.06,18.44,17.47,15.75,12.06,8.78,8.56,8.97,7.91,6.25,7.38,10.09,11.72,12.41,15.31,20.25,23.94,25.19,26.44,29.88,32.12,31.12,29.25,29.06,28.81,26.38,22.84,22.19,22.75,22.66,21.19,21.19,23.25,24.19,22.97,21.97,23.5,24.84,23.81,21.91,21.59,22.06,20.28,17.53,16.5,17.59,17.47,15.78,15.44,17.84,19.38,18.44,17.91,20.06,22.41,23.09,23.28,25.69,28.62,28.81,27.0,26.0,26.22,24.91,21.78,19.88,20.56,21.53,20.28,18.62,19.28,20.25,18.97,17.0,17.5,18.84,18.81,17.0,16.53,17.84,18.16,16.59,15.75,17.88,20.53,22.09,23.84,28.5,33.44,35.22,34.41,33.53,32.44,28.69,22.78,18.0,16.22,14.5,11.06,8.28,8.38,8.34,6.19,3.5,4.12,6.19,7.78,8.91,12.75,18.56,23.25,25.09,27.5,31.28,34.34,34.34,33.94,35.0,35.34,32.25,27.16,24.03,22.19,19.34,15.94,15.19,16.91,18.53,18.25,18.66,21.25,23.06,21.91,20.31,21.06,22.53,21.97,20.38,20.88,22.62,22.84,21.41,20.94,22.12,22.28,20.0,18.56,19.81,21.94,22.0,21.66,23.06,24.84,24.31,22.12,21.81,23.34,23.69,22.38,21.66,23.28,24.0,22.41,21.97,23.78,26.16,26.41,25.34,25.97,27.47,27.59,26.12,25.97,26.72,25.88,21.66,17.59,15.47,13.44,9.62,51.28,53.06,53.16,52.41,52.25,53.19,53.31,51.62,50.78,51.22,51.22,49.38,47.38,47.0,47.31,46.38,45.38,46.03,48.06,49.12,49.0:14.19,11.09,10.94,12.19,11.44,10.25,11.16,14.06,15.56,15.75,16.91,20.06,22.09,21.16,19.94,20.81,21.88,20.03,17.09,15.69,15.38,12.72,9.03,7.12,8.19,8.38,7.47,7.66,10.47,12.88,13.03,13.44,16.56,20.44,21.44,21.06,22.06,23.56,22.69,20.62,20.47,22.78,23.88,22.97,21.72,22.19,21.78,18.62,15.09,14.59,15.12,14.0,11.91,12.38,15.19,16.5,16.03,16.91,19.59,20.5,18.62,17.31,18.5,20.22,19.38,17.81,18.25,18.91,17.41,14.75,14.44,16.31,16.69,15.94,15.84,17.81,18.5,15.97,13.53,13.12,13.0,11.84,10.59,12.38,15.56,17.28,16.91,17.41,19.44,19.38,17.06,15.75,17.12,17.94,17.06,15.81,17.53,19.47,19.09,17.81,17.84,18.69,17.66,14.75,13.25,14.44,14.81,13.25,11.59,12.44,12.47,9.72,7.25,8.06,10.88,12.22,13.06,16.12,20.31,22.75,22.59,23.25,25.31,25.94,23.47,20.5,20.12,19.53,16.75,13.91,14.25,15.75,16.0,15.28,16.16,18.62,19.56,18.16,17.47,19.19,20.22,19.19,17.56,18.84,20.38,19.78,17.88,18.31,19.09,17.94,15.47,14.38,15.44,15.5,13.19,11.44,12.41,13.06,11.69,10.75,12.19,14.62,15.09,14.28,14.94,17.03,17.19,16.06,16.12,18.38,20.09,19.09,17.84,19.16,20.22,18.81,17.53,18.34,19.59,19.03,16.88,16.22,16.81,16.34,13.88,12.62,13.38,14.0,12.44,11.62,13.28,15.22,15.25,14.09,15.22,16.34,15.94,13.72,13.53,15.78,17.5,17.69,18.94,22.62,25.41,25.31,24.47,25.19,25.56,23.47,20.41,19.53,19.84,18.91,16.62,15.84,16.88,17.06,15.16,13.31,13.97,14.69,13.12,11.09,11.5,12.53,11.81,10.31,11.53,14.16,15.88,15.31,15.47,16.69,16.47,13.72,11.56,11.97,13.16,12.75,12.19,14.56,17.66,18.62,18.25,19.34,21.56,23.06,22.59,23.22,25.66,27.0,24.78,22.12,21.56,21.34,19.69,18.34,20.03,23.0,24.28,24.06,24.78,26.72,27.78,26.91,26.94,28.94,30.75,29.66,28.38,29.06,30.34,29.09,27.22,27.5,28.78,28.75,27.34,27.25,28.34,28.16,24.97,22.03,21.03,20.25,17.28,14.56,14.44,15.66,15.28,14.31,15.72,18.66,20.75,21.06,21.84,24.41,26.12,25.28,24.59,25.97,27.75,26.84,25.19,25.94,27.69,27.25,25.0,23.41,22.94,21.22,18.06,16.0,17.09,18.78,18.5,19.09,22.22,25.84,26.84,26.56,27.25,28.28,26.72,23.19,20.91,20.38,20.03,18.06,17.91,20.56,23.34,23.38,22.88,23.84,24.78,22.97,20.09,18.81,18.88,18.12,16.44,16.41,19.09,21.34,21.69,21.72,23.47,25.12,22.91,19.53,17.47,16.5,14.0,10.78,10.03,11.5,12.62,12.06,12.56,15.34,17.5,16.56,15.25,16.12,17.56,16.75,15.78,16.78,19.41,20.19,19.56,19.97,21.81,22.31,20.31,19.0,20.19,21.44,20.78,20.22,21.72,23.53,22.34,19.31,17.09,15.31,11.84,7.34,5.09,5.69,6.34,5.88,6.44,9.31,12.59,13.5,14.09,16.25,19.12,19.59,18.38,18.41,19.88,19.41,17.06,15.91,17.12,18.25,17.41,16.97,18.53,19.94,18.56,15.88,14.97,15.22,13.34,10.41,8.84,9.19,8.34,6.0,4.53,5.47,6.34,5.16,4.34,6.12,9.12,9.94,10.16,11.94,15.16,16.94,17.34,19.12,22.59,24.28,22.97,21.22,20.81,20.12,17.25,14.34,14.06,15.06,14.34,12.69,12.75,14.0,14.47,13.0,12.69,15.0,16.62,15.94,15.44,17.28,19.06,18.16,16.94,17.19,17.78,16.47,14.0,12.88,14.31,15.25,15.06,15.31,18.09,19.94,18.31,15.94,14.78,13.28,8.66,3.59,0.81,0.41,-0.56,-1.91,-1.12,1.84,4.31,5.0,6.47,10.53,14.53,16.47,17.59,20.84,23.97,24.59,23.62,23.75,24.88,24.41,22.12,20.66,20.75,20.19,17.0,14.22,13.91,14.38,13.38,12.41,14.62,18.22,19.31,18.62,18.38,18.31,15.88,11.56,8.16,7.75,7.5,5.53,4.38,5.81,7.84,8.19,7.91,9.5,12.28,13.38,12.84,13.0,15.0,15.12,12.81,10.31,10.72,10.81,8.94,7.75,9.09,10.88,10.78,9.12,8.97,10.53,10.75,9.19,9.06,10.56,11.22,9.88,8.78,10.62,13.19,13.78,14.06,16.91,19.72,19.94,17.91,17.25,18.09,17.66,15.78,15.12,16.69,16.94,14.47,11.75,11.59,12.47,11.84,11.12,13.06,16.0,17.28,17.19,17.75,20.19,20.38,17.66,14.78,14.12,12.94,10.06,7.72,8.12,9.31,8.5,6.31,6.22,7.44,7.56,6.34,7.19,9.78,11.53,10.88,10.47,12.34,14.5,14.44,14.25,16.81,19.75,20.09,18.28,17.84,17.84,16.38,13.28,11.53,12.12,12.22,10.5,8.81,9.53,11.19,10.72,9.97,11.97,15.5,17.22,17.72,19.28,22.03,22.69,21.06,19.97,20.75,20.81,18.47,15.88,15.69,15.81,13.44,10.12,8.66,9.28,8.66,6.91,7.69,10.84,13.03,13.19,14.12,17.06,19.44,19.03,17.41,17.59,18.44,17.34,14.72,14.47,15.88,16.09,14.69,14.12,15.62,16.12,13.56,11.5,11.91,12.53,11.41,9.91,10.72,12.62,12.75,10.81,10.38,11.62,11.47,9.59,9.16,10.81,12.06,10.31,8.19,8.22,8.94,7.59,6.38,7.41,10.28,11.75,11.16,12.22,14.94,16.41,15.06,14.38,15.44,16.25,14.12,11.97,12.16,13.44,13.19,11.59,12.19,14.12,14.5,12.59,11.97,13.72,14.56,12.97,11.81,12.12,12.56,10.06,7.56,7.56,8.81,8.38,6.47,6.09,7.03,6.59,4.34,3.94,6.16,8.28,7.75,7.88,10.25,12.47,12.22,10.88,11.53,12.91,12.28,10.41,10.25,12.03,12.75,11.31,10.28,11.59,12.53,10.88,9.69,11.12,13.56,13.78,13.0,13.47,14.38,13.44,10.19,8.5,9.25,9.66,8.06,7.44,9.41,10.91,10.12,9.0,10.09,12.66,13.44,13.09,13.97,15.75,15.28,12.28,10.22,10.47,10.62,8.0,5.81,6.12,6.72,4.41,1.78,1.59,2.88,2.56,1.34,2.19,4.88,6.84,6.56,7.19,10.12,12.47,11.53,10.84,12.47,15.31,15.91,15.81,17.28,19.59,18.47,15.47,13.31,13.34,12.66,10.09,8.53,9.69,10.56,8.22,5.41,5.44,6.38,5.59,4.41,5.5,8.22,9.12,8.5,9.0,11.78,13.84,13.38,13.12,14.19,14.97,12.0,8.47,7.56,7.72,6.0,4.06,3.91,6.0,6.94,6.28,6.47,8.91,11.34,11.09,11.09,13.56,16.5,16.38,15.81,17.47,20.41,21.25,20.59,20.25,20.62,19.0,14.81,11.25,10.72,10.56,8.81,7.88,9.81,12.91,14.34,14.84,17.03,19.97,20.16,17.5,15.0,13.69,10.62,5.09,0.47,-0.56,-0.44,-1.62,-2.09,0.41,4.69,7.09,8.34,11.62,16.44,19.12,19.06,19.25,21.06,21.16,18.59,15.78,15.66,16.06,13.84,11.47,11.09,12.03,10.97,9.06,9.0,11.25,12.69,12.38,12.78,15.91,18.5,18.5,18.53,21.19,24.28,25.25,25.19,27.25,30.41,31.5,30.88,30.81,32.28,31.72,28.47,25.28,24.75,24.19,21.78,19.44,19.12,18.69,15.75,11.34,8.91,9.0,8.56,7.28,7.84,11.16,13.69,14.22,15.69,19.81,24.03,25.5,25.84,27.78,30.12,30.03,28.16,27.41,28.03,26.16,22.06,18.44,17.47,15.75,12.06,8.78,8.56,8.97,7.91,6.25,7.38,10.09,11.72,12.41,15.31,20.25,23.94,25.19,26.44,29.88,32.12,31.12,29.25,29.06,28.81,26.38,22.84,22.19,22.75,22.66,21.19,21.19,23.25,24.19,22.97,21.97,23.5,24.84,23.81,21.91,21.59,22.06,20.28,17.53,16.5,17.59,17.47,15.78,15.44,17.84,19.38,18.44,17.91,20.06,22.41,23.09,23.28,25.69,28.62,28.81,27.0,26.0,26.22,24.91,21.78,19.88,20.56,21.53,20.28,18.62,19.28,20.25,18.97,17.0,17.5,18.84,18.81,17.0,16.53,17.84,18.16,16.59,15.75,17.88,20.53,22.09,23.84,28.5,33.44,35.22,34.41,33.53,32.44,28.69,22.78,18.0,16.22,14.5,11.06,8.28,8.38,8.34,6.19,3.5,4.12,6.19,7.78,8.91,12.75,18.56,23.25,25.09,27.5,31.28,34.34,34.34,33.94,35.0,35.34,32.25,27.16,24.03,22.19,19.34,15.94,15.19,16.91,18.53,18.25,18.66,21.25,23.06,21.91,20.31,21.06,22.53,21.97,20.38,20.88,22.62,22.84,21.41,20.94,22.12,22.28,20.0,18.56,19.81,21.94,22.0,21.66,23.06,24.84,24.31,22.12,21.81,23.34,23.69,22.38,21.66,23.28,24.0,22.41,21.97,23.78,26.16,26.41,25.34,25.97,27.47,27.59,26.12,25.97,26.72,25.88,21.66,17.59,15.47,13.44,9.62,51.28,53.06,53.16,52.41,52.25,53.19,53.31,51.62,50.78,51.22,51.22,49.38,47.38,47.0,47.31,46.38,45.38,46.03,48.06,49.12,49.0,49.78,51.53,52.47,51.5,50.81,51.59,52.25:14.06,15.56,15.75,16.91,20.06,22.09,21.16,19.94,20.81,21.88,20.03,17.09,15.69,15.38,12.72,9.03,7.12,8.19,8.38,7.47,7.66,10.47,12.88,13.03,13.44,16.56,20.44,21.44,21.06,22.06,23.56,22.69,20.62,20.47,22.78,23.88,22.97,21.72,22.19,21.78,18.62,15.09,14.59,15.12,14.0,11.91,12.38,15.19,16.5,16.03,16.91,19.59,20.5,18.62,17.31,18.5,20.22,19.38,17.81,18.25,18.91,17.41,14.75,14.44,16.31,16.69,15.94,15.84,17.81,18.5,15.97,13.53,13.12,13.0,11.84,10.59,12.38,15.56,17.28,16.91,17.41,19.44,19.38,17.06,15.75,17.12,17.94,17.06,15.81,17.53,19.47,19.09,17.81,17.84,18.69,17.66,14.75,13.25,14.44,14.81,13.25,11.59,12.44,12.47,9.72,7.25,8.06,10.88,12.22,13.06,16.12,20.31,22.75,22.59,23.25,25.31,25.94,23.47,20.5,20.12,19.53,16.75,13.91,14.25,15.75,16.0,15.28,16.16,18.62,19.56,18.16,17.47,19.19,20.22,19.19,17.56,18.84,20.38,19.78,17.88,18.31,19.09,17.94,15.47,14.38,15.44,15.5,13.19,11.44,12.41,13.06,11.69,10.75,12.19,14.62,15.09,14.28,14.94,17.03,17.19,16.06,16.12,18.38,20.09,19.09,17.84,19.16,20.22,18.81,17.53,18.34,19.59,19.03,16.88,16.22,16.81,16.34,13.88,12.62,13.38,14.0,12.44,11.62,13.28,15.22,15.25,14.09,15.22,16.34,15.94,13.72,13.53,15.78,17.5,17.69,18.94,22.62,25.41,25.31,24.47,25.19,25.56,23.47,20.41,19.53,19.84,18.91,16.62,15.84,16.88,17.06,15.16,13.31,13.97,14.69,13.12,11.09,11.5,12.53,11.81,10.31,11.53,14.16,15.88,15.31,15.47,16.69,16.47,13.72,11.56,11.97,13.16,12.75,12.19,14.56,17.66,18.62,18.25,19.34,21.56,23.06,22.59,23.22,25.66,27.0,24.78,22.12,21.56,21.34,19.69,18.34,20.03,23.0,24.28,24.06,24.78,26.72,27.78,26.91,26.94,28.94,30.75,29.66,28.38,29.06,30.34,29.09,27.22,27.5,28.78,28.75,27.34,27.25,28.34,28.16,24.97,22.03,21.03,20.25,17.28,14.56,14.44,15.66,15.28,14.31,15.72,18.66,20.75,21.06,21.84,24.41,26.12,25.28,24.59,25.97,27.75,26.84,25.19,25.94,27.69,27.25,25.0,23.41,22.94,21.22,18.06,16.0,17.09,18.78,18.5,19.09,22.22,25.84,26.84,26.56,27.25,28.28,26.72,23.19,20.91,20.38,20.03,18.06,17.91,20.56,23.34,23.38,22.88,23.84,24.78,22.97,20.09,18.81,18.88,18.12,16.44,16.41,19.09,21.34,21.69,21.72,23.47,25.12,22.91,19.53,17.47,16.5,14.0,10.78,10.03,11.5,12.62,12.06,12.56,15.34,17.5,16.56,15.25,16.12,17.56,16.75,15.78,16.78,19.41,20.19,19.56,19.97,21.81,22.31,20.31,19.0,20.19,21.44,20.78,20.22,21.72,23.53,22.34,19.31,17.09,15.31,11.84,7.34,5.09,5.69,6.34,5.88,6.44,9.31,12.59,13.5,14.09,16.25,19.12,19.59,18.38,18.41,19.88,19.41,17.06,15.91,17.12,18.25,17.41,16.97,18.53,19.94,18.56,15.88,14.97,15.22,13.34,10.41,8.84,9.19,8.34,6.0,4.53,5.47,6.34,5.16,4.34,6.12,9.12,9.94,10.16,11.94,15.16,16.94,17.34,19.12,22.59,24.28,22.97,21.22,20.81,20.12,17.25,14.34,14.06,15.06,14.34,12.69,12.75,14.0,14.47,13.0,12.69,15.0,16.62,15.94,15.44,17.28,19.06,18.16,16.94,17.19,17.78,16.47,14.0,12.88,14.31,15.25,15.06,15.31,18.09,19.94,18.31,15.94,14.78,13.28,8.66,3.59,0.81,0.41,-0.56,-1.91,-1.12,1.84,4.31,5.0,6.47,10.53,14.53,16.47,17.59,20.84,23.97,24.59,23.62,23.75,24.88,24.41,22.12,20.66,20.75,20.19,17.0,14.22,13.91,14.38,13.38,12.41,14.62,18.22,19.31,18.62,18.38,18.31,15.88,11.56,8.16,7.75,7.5,5.53,4.38,5.81,7.84,8.19,7.91,9.5,12.28,13.38,12.84,13.0,15.0,15.12,12.81,10.31,10.72,10.81,8.94,7.75,9.09,10.88,10.78,9.12,8.97,10.53,10.75,9.19,9.06,10.56,11.22,9.88,8.78,10.62,13.19,13.78,14.06,16.91,19.72,19.94,17.91,17.25,18.09,17.66,15.78,15.12,16.69,16.94,14.47,11.75,11.59,12.47,11.84,11.12,13.06,16.0,17.28,17.19,17.75,20.19,20.38,17.66,14.78,14.12,12.94,10.06,7.72,8.12,9.31,8.5,6.31,6.22,7.44,7.56,6.34,7.19,9.78,11.53,10.88,10.47,12.34,14.5,14.44,14.25,16.81,19.75,20.09,18.28,17.84,17.84,16.38,13.28,11.53,12.12,12.22,10.5,8.81,9.53,11.19,10.72,9.97,11.97,15.5,17.22,17.72,19.28,22.03,22.69,21.06,19.97,20.75,20.81,18.47,15.88,15.69,15.81,13.44,10.12,8.66,9.28,8.66,6.91,7.69,10.84,13.03,13.19,14.12,17.06,19.44,19.03,17.41,17.59,18.44,17.34,14.72,14.47,15.88,16.09,14.69,14.12,15.62,16.12,13.56,11.5,11.91,12.53,11.41,9.91,10.72,12.62,12.75,10.81,10.38,11.62,11.47,9.59,9.16,10.81,12.06,10.31,8.19,8.22,8.94,7.59,6.38,7.41,10.28,11.75,11.16,12.22,14.94,16.41,15.06,14.38,15.44,16.25,14.12,11.97,12.16,13.44,13.19,11.59,12.19,14.12,14.5,12.59,11.97,13.72,14.56,12.97,11.81,12.12,12.56,10.06,7.56,7.56,8.81,8.38,6.47,6.09,7.03,6.59,4.34,3.94,6.16,8.28,7.75,7.88,10.25,12.47,12.22,10.88,11.53,12.91,12.28,10.41,10.25,12.03,12.75,11.31,10.28,11.59,12.53,10.88,9.69,11.12,13.56,13.78,13.0,13.47,14.38,13.44,10.19,8.5,9.25,9.66,8.06,7.44,9.41,10.91,10.12,9.0,10.09,12.66,13.44,13.09,13.97,15.75,15.28,12.28,10.22,10.47,10.62,8.0,5.81,6.12,6.72,4.41,1.78,1.59,2.88,2.56,1.34,2.19,4.88,6.84,6.56,7.19,10.12,12.47,11.53,10.84,12.47,15.31,15.91,15.81,17.28,19.59,18.47,15.47,13.31,13.34,12.66,10.09,8.53,9.69,10.56,8.22,5.41,5.44,6.38,5.59,4.41,5.5,8.22,9.12,8.5,9.0,11.78,13.84,13.38,13.12,14.19,14.97,12.0,8.47,7.56,7.72,6.0,4.06,3.91,6.0,6.94,6.28,6.47,8.91,11.34,11.09,11.09,13.56,16.5,16.38,15.81,17.47,20.41,21.25,20.59,20.25,20.62,19.0,14.81,11.25,10.72,10.56,8.81,7.88,9.81,12.91,14.34,14.84,17.03,19.97,20.16,17.5,15.0,13.69,10.62,5.09,0.47,-0.56,-0.44,-1.62,-2.09,0.41,4.69,7.09,8.34,11.62,16.44,19.12,19.06,19.25,21.06,21.16,18.59,15.78,15.66,16.06,13.84,11.47,11.09,12.03,10.97,9.06,9.0,11.25,12.69,12.38,12.78,15.91,18.5,18.5,18.53,21.19,24.28,25.25,25.19,27.25,30.41,31.5,30.88,30.81,32.28,31.72,28.47,25.28,24.75,24.19,21.78,19.44,19.12,18.69,15.75,11.34,8.91,9.0,8.56,7.28,7.84,11.16,13.69,14.22,15.69,19.81,24.03,25.5,25.84,27.78,30.12,30.03,28.16,27.41,28.03,26.16,22.06,18.44,17.47,15.75,12.06,8.78,8.56,8.97,7.91,6.25,7.38,10.09,11.72,12.41,15.31,20.25,23.94,25.19,26.44,29.88,32.12,31.12,29.25,29.06,28.81,26.38,22.84,22.19,22.75,22.66,21.19,21.19,23.25,24.19,22.97,21.97,23.5,24.84,23.81,21.91,21.59,22.06,20.28,17.53,16.5,17.59,17.47,15.78,15.44,17.84,19.38,18.44,17.91,20.06,22.41,23.09,23.28,25.69,28.62,28.81,27.0,26.0,26.22,24.91,21.78,19.88,20.56,21.53,20.28,18.62,19.28,20.25,18.97,17.0,17.5,18.84,18.81,17.0,16.53,17.84,18.16,16.59,15.75,17.88,20.53,22.09,23.84,28.5,33.44,35.22,34.41,33.53,32.44,28.69,22.78,18.0,16.22,14.5,11.06,8.28,8.38,8.34,6.19,3.5,4.12,6.19,7.78,8.91,12.75,18.56,23.25,25.09,27.5,31.28,34.34,34.34,33.94,35.0,35.34,32.25,27.16,24.03,22.19,19.34,15.94,15.19,16.91,18.53,18.25,18.66,21.25,23.06,21.91,20.31,21.06,22.53,21.97,20.38,20.88,22.62,22.84,21.41,20.94,22.12,22.28,20.0,18.56,19.81,21.94,22.0,21.66,23.06,24.84,24.31,22.12,21.81,23.34,23.69,22.38,21.66,23.28,24.0,22.41,21.97,23.78,26.16,26.41,25.34,25.97,27.47,27.59,26.12,25.97,26.72,25.88,21.66,17.59,15.47,13.44,9.62,51.28,53.06,53.16,52.41,52.25,53.19,53.31,51.62,50.78,51.22,51.22,49.38,47.38,47.0,47.31,46.38,45.38,46.03,48.06,49.12,49.0,49.78,51.53,52.47,51.5,50.81,51.59,52.25,50.97,49.44,49.28,49.72,48.31,46.47,46.09:19.94,20.81,21.88,20.03,17.09,15.69,15.38,12.72,9.03,7.12,8.19,8.38,7.47,7.66,10.47,12.88,13.03,13.44,16.56,20.44,21.44,21.06,22.06,23.56,22.69,20.62,20.47,22.78,23.88,22.97,21.72,22.19,21.78,18.62,15.09,14.59,15.12,14.0,11.91,12.38,15.19,16.5,16.03,16.91,19.59,20.5,18.62,17.31,18.5,20.22,19.38,17.81,18.25,18.91,17.41,14.75,14.44,16.31,16.69,15.94,15.84,17.81,18.5,15.97,13.53,13.12,13.0,11.84,10.59,12.38,15.56,17.28,16.91,17.41,19.44,19.38,17.06,15.75,17.12,17.94,17.06,15.81,17.53,19.47,19.09,17.81,17.84,18.69,17.66,14.75,13.25,14.44,14.81,13.25,11.59,12.44,12.47,9.72,7.25,8.06,10.88,12.22,13.06,16.12,20.31,22.75,22.59,23.25,25.31,25.94,23.47,20.5,20.12,19.53,16.75,13.91,14.25,15.75,16.0,15.28,16.16,18.62,19.56,18.16,17.47,19.19,20.22,19.19,17.56,18.84,20.38,19.78,17.88,18.31,19.09,17.94,15.47,14.38,15.44,15.5,13.19,11.44,12.41,13.06,11.69,10.75,12.19,14.62,15.09,14.28,14.94,17.03,17.19,16.06,16.12,18.38,20.09,19.09,17.84,19.16,20.22,18.81,17.53,18.34,19.59,19.03,16.88,16.22,16.81,16.34,13.88,12.62,13.38,14.0,12.44,11.62,13.28,15.22,15.25,14.09,15.22,16.34,15.94,13.72,13.53,15.78,17.5,17.69,18.94,22.62,25.41,25.31,24.47,25.19,25.56,23.47,20.41,19.53,19.84,18.91,16.62,15.84,16.88,17.06,15.16,13.31,13.97,14.69,13.12,11.09,11.5,12.53,11.81,10.31,11.53,14.16,15.88,15.31,15.47,16.69,16.47,13.72,11.56,11.97,13.16,12.75,12.19,14.56,17.66,18.62,18.25,19.34,21.56,23.06,22.59,23.22,25.66,27.0,24.78,22.12,21.56,21.34,19.69,18.34,20.03,23.0,24.28,24.06,24.78,26.72,27.78,26.91,26.94,28.94,30.75,29.66,28.38,29.06,30.34,29.09,27.22,27.5,28.78,28.75,27.34,27.25,28.34,28.16,24.97,22.03,21.03,20.25,17.28,14.56,14.44,15.66,15.28,14.31,15.72,18.66,20.75,21.06,21.84,24.41,26.12,25.28,24.59,25.97,27.75,26.84,25.19,25.94,27.69,27.25,25.0,23.41,22.94,21.22,18.06,16.0,17.09,18.78,18.5,19.09,22.22,25.84,26.84,26.56,27.25,28.28,26.72,23.19,20.91,20.38,20.03,18.06,17.91,20.56,23.34,23.38,22.88,23.84,24.78,22.97,20.09,18.81,18.88,18.12,16.44,16.41,19.09,21.34,21.69,21.72,23.47,25.12,22.91,19.53,17.47,16.5,14.0,10.78,10.03,11.5,12.62,12.06,12.56,15.34,17.5,16.56,15.25,16.12,17.56,16.75,15.78,16.78,19.41,20.19,19.56,19.97,21.81,22.31,20.31,19.0,20.19,21.44,20.78,20.22,21.72,23.53,22.34,19.31,17.09,15.31,11.84,7.34,5.09,5.69,6.34,5.88,6.44,9.31,12.59,13.5,14.09,16.25,19.12,19.59,18.38,18.41,19.88,19.41,17.06,15.91,17.12,18.25,17.41,16.97,18.53,19.94,18.56,15.88,14.97,15.22,13.34,10.41,8.84,9.19,8.34,6.0,4.53,5.47,6.34,5.16,4.34,6.12,9.12,9.94,10.16,11.94,15.16,16.94,17.34,19.12,22.59,24.28,22.97,21.22,20.81,20.12,17.25,14.34,14.06,15.06,14.34,12.69,12.75,14.0,14.47,13.0,12.69,15.0,16.62,15.94,15.44,17.28,19.06,18.16,16.94,17.19,17.78,16.47,14.0,12.88,14.31,15.25,15.06,15.31,18.09,19.94,18.31,15.94,14.78,13.28,8.66,3.59,0.81,0.41,-0.56,-1.91,-1.12,1.84,4.31,5.0,6.47,10.53,14.53,16.47,17.59,20.84,23.97,24.59,23.62,23.75,24.88,24.41,22.12,20.66,20.75,20.19,17.0,14.22,13.91,14.38,13.38,12.41,14.62,18.22,19.31,18.62,18.38,18.31,15.88,11.56,8.16,7.75,7.5,5.53,4.38,5.81,7.84,8.19,7.91,9.5,12.28,13.38,12.84,13.0,15.0,15.12,12.81,10.31,10.72,10.81,8.94,7.75,9.09,10.88,10.78,9.12,8.97,10.53,10.75,9.19,9.06,10.56,11.22,9.88,8.78,10.62,13.19,13.78,14.06,16.91,19.72,19.94,17.91,17.25,18.09,17.66,15.78,15.12,16.69,16.94,14.47,11.75,11.59,12.47,11.84,11.12,13.06,16.0,17.28,17.19,17.75,20.19,20.38,17.66,14.78,14.12,12.94,10.06,7.72,8.12,9.31,8.5,6.31,6.22,7.44,7.56,6.34,7.19,9.78,11.53,10.88,10.47,12.34,14.5,14.44,14.25,16.81,19.75,20.09,18.28,17.84,17.84,16.38,13.28,11.53,12.12,12.22,10.5,8.81,9.53,11.19,10.72,9.97,11.97,15.5,17.22,17.72,19.28,22.03,22.69,21.06,19.97,20.75,20.81,18.47,15.88,15.69,15.81,13.44,10.12,8.66,9.28,8.66,6.91,7.69,10.84,13.03,13.19,14.12,17.06,19.44,19.03,17.41,17.59,18.44,17.34,14.72,14.47,15.88,16.09,14.69,14.12,15.62,16.12,13.56,11.5,11.91,12.53,11.41,9.91,10.72,12.62,12.75,10.81,10.38,11.62,11.47,9.59,9.16,10.81,12.06,10.31,8.19,8.22,8.94,7.59,6.38,7.41,10.28,11.75,11.16,12.22,14.94,16.41,15.06,14.38,15.44,16.25,14.12,11.97,12.16,13.44,13.19,11.59,12.19,14.12,14.5,12.59,11.97,13.72,14.56,12.97,11.81,12.12,12.56,10.06,7.56,7.56,8.81,8.38,6.47,6.09,7.03,6.59,4.34,3.94,6.16,8.28,7.75,7.88,10.25,12.47,12.22,10.88,11.53,12.91,12.28,10.41,10.25,12.03,12.75,11.31,10.28,11.59,12.53,10.88,9.69,11.12,13.56,13.78,13.0,13.47,14.38,13.44,10.19,8.5,9.25,9.66,8.06,7.44,9.41,10.91,10.12,9.0,10.09,12.66,13.44,13.09,13.97,15.75,15.28,12.28,10.22,10.47,10.62,8.0,5.81,6.12,6.72,4.41,1.78,1.59,2.88,2.56,1.34,2.19,4.88,6.84,6.56,7.19,10.12,12.47,11.53,10.84,12.47,15.31,15.91,15.81,17.28,19.59,18.47,15.47,13.31,13.34,12.66,10.09,8.53,9.69,10.56,8.22,5.41,5.44,6.38,5.59,4.41,5.5,8.22,9.12,8.5,9.0,11.78,13.84,13.38,13.12,14.19,14.97,12.0,8.47,7.56,7.72,6.0,4.06,3.91,6.0,6.94,6.28,6.47,8.91,11.34,11.09,11.09,13.56,16.5,16.38,15.81,17.47,20.41,21.25,20.59,20.25,20.62,19.0,14.81,11.25,10.72,10.56,8.81,7.88,9.81,12.91,14.34,14.84,17.03,19.97,20.16,17.5,15.0,13.69,10.62,5.09,0.47,-0.56,-0.44,-1.62,-2.09,0.41,4.69,7.09,8.34,11.62,16.44,19.12,19.06,19.25,21.06,21.16,18.59,15.78,15.66,16.06,13.84,11.47,11.09,12.03,10.97,9.06,9.0,11.25,12.69,12.38,12.78,15.91,18.5,18.5,18.53,21.19,24.28,25.25,25.19,27.25,30.41,31.5,30.88,30.81,32.28,31.72,28.47,25.28,24.75,24.19,21.78,19.44,19.12,18.69,15.75,11.34,8.91,9.0,8.56,7.28,7.84,11.16,13.69,14.22,15.69,19.81,24.03,25.5,25.84,27.78,30.12,30.03,28.16,27.41,28.03,26.16,22.06,18.44,17.47,15.75,12.06,8.78,8.56,8.97,7.91,6.25,7.38,10.09,11.72,12.41,15.31,20.25,23.94,25.19,26.44,29.88,32.12,31.12,29.25,29.06,28.81,26.38,22.84,22.19,22.75,22.66,21.19,21.19,23.25,24.19,22.97,21.97,23.5,24.84,23.81,21.91,21.59,22.06,20.28,17.53,16.5,17.59,17.47,15.78,15.44,17.84,19.38,18.44,17.91,20.06,22.41,23.09,23.28,25.69,28.62,28.81,27.0,26.0,26.22,24.91,21.78,19.88,20.56,21.53,20.28,18.62,19.28,20.25,18.97,17.0,17.5,18.84,18.81,17.0,16.53,17.84,18.16,16.59,15.75,17.88,20.53,22.09,23.84,28.5,33.44,35.22,34.41,33.53,32.44,28.69,22.78,18.0,16.22,14.5,11.06,8.28,8.38,8.34,6.19,3.5,4.12,6.19,7.78,8.91,12.75,18.56,23.25,25.09,27.5,31.28,34.34,34.34,33.94,35.0,35.34,32.25,27.16,24.03,22.19,19.34,15.94,15.19,16.91,18.53,18.25,18.66,21.25,23.06,21.91,20.31,21.06,22.53,21.97,20.38,20.88,22.62,22.84,21.41,20.94,22.12,22.28,20.0,18.56,19.81,21.94,22.0,21.66,23.06,24.84,24.31,22.12,21.81,23.34,23.69,22.38,21.66,23.28,24.0,22.41,21.97,23.78,26.16,26.41,25.34,25.97,27.47,27.59,26.12,25.97,26.72,25.88,21.66,17.59,15.47,13.44,9.62,51.28,53.06,53.16,52.41,52.25,53.19,53.31,51.62,50.78,51.22,51.22,49.38,47.38,47.0,47.31,46.38,45.38,46.03,48.06,49.12,49.0,49.78,51.53,52.47,51.5,50.81,51.59,52.25,50.97,49.44,49.28,49.72,48.31,46.47,46.09,47.25,47.81,47.91,48.88,51.0,52.5,51.81:positivity
17.38,23.66,30.22,33.94,36.56,40.78,44.16,43.62,39.78,35.47,31.47,25.25,17.25,11.75,10.34,10.38,10.06,11.22,15.69,20.5,23.22,24.78,28.91,33.5,35.38,35.16,35.47,36.56,35.84,32.59,30.34,30.69,30.09,26.62,22.59,20.59,18.69,14.84,10.38,8.75,8.47,6.69,4.0,3.31,5.88,8.44,9.12,11.03,14.94,19.03,20.38,21.94,25.81,30.06,31.88,31.28,32.34,34.5,34.91,33.5,33.59,35.84,37.22,35.56,34.12,34.91,35.66,34.09,32.84,34.34,37.22,38.06,37.09,37.25,37.69,36.25,32.34,29.03,28.53,27.97,25.94,25.12,27.59,31.0,32.34,32.59,34.94,37.59,38.34,37.28,37.41,38.91,39.38,36.75,34.69,34.34,33.5,29.5,25.78,24.56,24.22,21.97,19.72,19.94,21.94,23.0,22.25,23.41,26.0,27.81,26.81,26.53,28.47,30.56,30.03,29.19,30.41,32.03,31.25,29.19,28.88,30.03,29.62,27.19,25.59,26.03,25.72,23.75,22.56,24.44,26.88,26.75,25.66,26.28,27.78,27.31,25.75,25.75,27.41,28.09,26.72,26.41,28.41,30.31,29.53,29.0,30.81,32.72,32.19,30.72,31.16,32.84,33.12,31.81,32.16,34.22,35.25,33.25,32.25,33.22,33.56,31.31,29.25,29.03,29.41,27.25,24.09,22.94,23.34,22.91,21.91,23.03,26.69,30.09,31.16,32.31,35.41,38.25,37.81,36.59,37.62,38.78,37.69,35.53,35.06,36.12,36.22,34.72,33.91,35.59,36.72,35.16,33.66,34.16,34.72,32.62,29.75,29.28,30.0,29.34,27.72,27.69,29.41,29.66,27.84,27.22,29.09,30.91,30.62,31.0,33.47,37.22,38.75,39.41,41.53,44.59,44.69,42.72,42.03,42.88,42.81,40.69,39.22,39.69,40.47,38.81,36.62,36.41,36.94,35.78,34.09,34.84,37.78,39.84,40.94,43.0,46.88,49.59,49.12,47.94,48.38,48.5,45.44,41.75,40.25,39.81,37.53,34.53,33.19,33.81,33.62,31.75,31.62,33.78,36.03,35.88,36.12,38.31,40.28,39.72,37.88,38.12,40.16,40.22,38.88,39.03,40.56,40.81,38.81,37.47,38.44,39.19,37.47,35.62,36.38,38.0,38.16,37.97,39.59,42.81,43.75,42.66,42.59,44.31,45.0,43.28,41.91,42.91,44.0,42.62,40.59,40.66,40.72,38.66,35.56,34.53,36.19,37.47,37.81,39.69,43.59,46.31,46.25,45.56,46.56,48.06,47.03,45.25,45.38,46.28,44.97,42.19,40.75,40.97,40.0,37.25,34.88,35.47,36.09,34.72,33.78,35.88,38.62,38.88,38.47,40.0,42.09,42.62,41.44,41.28,42.53,43.12,41.44,40.34,42.28,44.12,43.78,43.5,45.38,48.0,48.62,47.56,48.28,50.47,50.81,49.34,48.53,49.47,49.03,45.78,42.19,41.09,39.88,36.88,33.69,33.34,34.69,34.81,34.38,35.25,38.03,39.06,37.91,37.25,39.16,40.84,40.75,41.0,43.75,46.66,46.91,45.75,46.31,47.41,46.84,44.84,44.03,45.34,45.47,43.72,42.69,44.03,45.12,44.03,42.47,43.84,45.97,46.19,45.06,45.69,47.0,46.25,44.19,43.38,45.06,46.31,45.06,44.25,45.88,46.91,45.38,44.0,45.16,47.78,48.59,48.12,48.75,51.09,51.47,50.0,49.44,51.12,51.78,49.47,46.84,46.56,46.56,44.06,41.69,42.56,44.66,45.28,44.25,44.62,46.06,45.88,44.34,43.34,44.97,46.19,44.75,42.97,43.38,44.22,43.25,41.38,41.84,43.09,42.97,41.03,40.53,42.25,43.22,42.12,41.56,43.5,44.56,42.88,40.19,39.88,40.03,38.31,35.16,34.16,34.56,33.53,31.28,30.94,33.25,35.25,35.22,35.28,37.62,39.88,39.03,37.19,37.56,39.16,38.75,37.0,37.34,39.47,40.38,39.0,38.69,40.75,42.0,40.53,39.0,39.62,40.62,39.59,37.66,38.47,40.78,41.91,41.44,42.38,44.97,46.12,44.5,43.5,44.66,45.12,43.28,41.66,42.47,43.31,42.12,39.59,38.44,39.22,39.12,37.47,37.69,40.09,42.22,41.56,40.81,42.09,42.88,41.09,39.03,39.84,42.22,41.88,40.62,41.25,43.19,43.53,41.84,41.22,42.47,43.56,42.25,41.91,43.78,46.0,45.59,43.66,43.75,44.72,44.03,40.81,39.72,40.38,39.62,37.03,36.03,37.88,39.31,38.22,37.22,38.66,40.06,39.41,37.5,37.66,39.03,38.81,37.09,36.94,39.03,40.28,38.66,37.69,39.38,40.75,40.0,39.16,40.28,41.97,40.75,37.97,36.88,37.31,36.16,33.09,32.22,33.69,35.25,35.06,35.38,38.47,41.72,41.94,41.56,43.22,45.19,45.03,42.72,41.62,41.12,39.19,35.31,32.72,33.34,34.19,32.88,32.97,35.44,38.62,39.16,39.22,41.34,45.06,46.31,45.88,46.44,48.06,47.66,44.47,41.91,41.78,41.47,38.81,36.59,36.66,37.97,36.62,34.28,34.06,35.53,35.19,33.78,34.09,36.06,37.16,35.41,34.31,35.88,37.66,36.97,36.5,38.25,40.72,40.5,38.88,38.69,39.72,39.0,36.56,35.38,36.38,37.12,34.78,32.91,34.0,34.91,33.38,31.47,31.97,33.97,34.03,33.03,34.31,37.03,38.28,36.97,36.25,37.75,38.62,36.62,35.09,35.94,37.22,35.66,33.16,32.91,34.38,34.03,33.0,33.91,36.81,38.09,36.69,36.12,37.56,39.16,37.59,35.03,34.94,35.06,32.28,29.25,28.38,29.03,27.53,24.53,23.12,24.53,25.66,24.81,24.69,27.06,29.19,27.69,26.03,26.84,28.34,28.0,27.0,28.41,31.75,33.5,32.91,33.53,36.53,38.28,37.34,36.56,37.66,38.0,35.25,31.69,30.66,31.41,30.66,29.19,29.44,31.44,31.53,30.16,30.0,33.0,35.72,36.12,36.41,38.28,40.0,38.62,36.59,36.91,38.97,39.41,38.06,38.25,40.03,40.5,38.38,37.28,38.81,40.09,38.66,36.78,36.72,37.0,34.62,31.28,29.78,30.06,28.88,26.62,25.94,28.19,29.69,29.12,29.47,32.09,34.28,33.53,31.97,32.34,33.06,31.44,28.81,28.47,31.12,32.66,33.47,34.88,38.59,40.34,38.69,36.62,37.09,38.19,37.16,35.59,36.81,39.03,38.38,36.06,35.28,35.97,35.25,32.44,30.56,31.31,31.69,30.44,29.78,32.28,35.38,35.94,35.12,35.72,37.72,37.34,35.09,34.66,36.0,36.84,35.31,34.66,37.12,39.0,38.38,37.09,38.72,40.94,40.78,39.28,38.94,39.72,38.81,36.22,35.12,37.22,38.53,36.91,35.75,37.03,38.66,38.0,37.5,39.25,41.91,42.75,41.72,42.62,45.41,46.06,44.38,43.25,44.38,44.28,41.91,40.25,41.59,43.25,42.34,40.25,40.38,41.31,40.47,38.22,38.53,40.91,42.22,40.81,40.06,41.28,41.41,39.19,36.78,37.78,38.81,37.59,35.38,35.59,37.06,37.22,35.97,36.47,39.31,41.16,41.03,40.94,43.84,46.0,44.88,43.03,43.34,43.69,42.03,39.25,39.06,40.59,40.66,38.72,37.34,37.91,37.38,34.44,32.41,33.62,35.22,34.56,33.59,35.34,37.62,38.09,36.62,37.06,39.28,40.47,39.84,40.97,44.19,46.38,44.91,42.75,42.38,42.69,41.12,38.88,39.84,41.88,41.62,39.31,38.38,38.78,38.22,35.38,34.16,35.81,37.88,38.06,37.66,39.72,41.66,40.62,38.34,38.22,39.31,39.59,38.78,39.44,42.38,44.12,42.97,41.94,43.41,44.78,44.06,43.09,44.41,46.22,45.81,43.72,42.78,43.19,42.31,38.88,37.34,38.28,39.38,38.53,38.41,40.75,43.62,43.59,42.44,43.62,44.72,43.94,41.44,41.0,42.22,42.31,40.25,38.69,39.25,39.38,36.78,34.69,35.81,37.84,38.22,38.34,40.91,44.25,45.03,43.34,43.06,43.56,43.09,40.41,38.69,39.25,39.88,37.81,35.81,35.94,36.47,35.0,32.59,32.59,34.0,34.16,32.53,31.31,31.38,30.81,27.69,26.03,27.94,31.22,32.94,34.53,38.25,42.16,42.91,41.53,41.72,43.41,44.22,43.59,44.72,47.44,48.84,46.66,44.0,43.0,42.47,39.81,36.56,35.44,34.59,32.31,28.34,27.0,28.38,29.66,29.16,30.06,33.16,36.22,36.69,37.28,39.97,43.0,42.69,40.94,40.34,40.75,39.69,37.03,36.0,37.09,37.62,36.16,35.47,37.34,39.12,38.28,37.22,38.31,40.22,40.0,39.5,41.09,44.22,46.25,46.03,47.03,49.59,51.06,49.53,48.41,49.28,50.06,48.75,46.47,46.34,46.62,44.47,40.22,37.03,35.88,33.94,30.28,28.22,28.84,29.69,28.5,27.81,30.06,33.38,34.0,33.81,35.5,38.47,38.81,37.34,37.16,37.56,36.34,32.78,29.5,28.72,28.0,25.56,23.66,24.44,26.19,25.78,24.75,25.06,27.31,28.5,28.75,30.53,34.5,38.03,38.28,38.59,40.75,42.59,41.31,39.56,39.12,39.06,36.56,32.94,31.31,32.0,32.25,30.91,30.47,32.62,34.25,33.5,33.12,35.44,38.22,38.34,37.88,39.06,41.28,41.22,39.38,38.5,39.28,38.81,36.75,35.47,37.06,38.22,37.06,35.81,36.72,38.59,38.25,37.5,38.31,40.03,39.47,36.34,33.66,32.88,30.97,26.94,24.12,24.44,25.38,24.88,24.59,27.0,30.22,31.25:43.62,39.78,35.47,31.47,25.25,17.25,11.75,10.34,10.38,10.06,11.22,15.69,20.5,23.22,24.78,28.91,33.5,35.38,35.16,35.47,36.56,35.84,32.59,30.34,30.69,30.09,26.62,22.59,20.59,18.69,14.84,10.38,8.75,8.47,6.69,4.0,3.31,5.88,8.44,9.12,11.03,14.94,19.03,20.38,21.94,25.81,30.06,31.88,31.28,32.34,34.5,34.91,33.5,33.59,35.84,37.22,35.56,34.12,34.91,35.66,34.09,32.84,34.34,37.22,38.06,37.09,37.25,37.69,36.25,32.34,29.03,28.53,27.97,25.94,25.12,27.59,31.0,32.34,32.59,34.94,37.59,38.34,37.28,37.41,38.91,39.38,36.75,34.69,34.34,33.5,29.5,25.78,24.56,24.22,21.97,19.72,19.94,21.94,23.0,22.25,23.41,26.0,27.81,26.81,26.53,28.47,30.56,30.03,29.19,30.41,32.03,31.25,29.19,28.88,30.03,29.62,27.19,25.59,26.03,25.72,23.75,22.56,24.44,26.88,26.75,25.66,26.28,27.78,27.31,25.75,25.75,27.41,28.09,26.72,26.41,28.41,30.31,29.53,29.0,30.81,32.72,32.19,30.72,31.16,32.84,33.12,31.81,32.16,34.22,35.25,33.25,32.25,33.22,33.56,31.31,29.25,29.03,29.41,27.25,24.09,22.94,23.34,22.91,21.91,23.03,26.69,30.09,31.16,32.31,35.41,38.25,37.81,36.59,37.62,38.78,37.69,35.53,35.06,36.12,36.22,34.72,33.91,35.59,36.72,35.16,33.66,34.16,34.72,32.62,29.75,29.28,30.0,29.34,27.72,27.69,29.41,29.66,27.84,27.22,29.09,30.91,30.62,31.0,33.47,37.22,38.75,39.41,41.53,44.59,44.69,42.72,42.03,42.88,42.81,40.69,39.22,39.69,40.47,38.81,36.62,36.41,36.94,35.78,34.09,34.84,37.78,39.84,40.94,43.0,46.88,49.59,49.12,47.94,48.38,48.5,45.44,41.75,40.25,39.81,37.53,34.53,33.19,33.81,33.62,31.75,31.62,33.78,36.03,35.88,36.12,38.31,40.28,39.72,37.88,38.12,40.16,40.22,38.88,39.03,40.56,40.81,38.81,37.47,38.44,39.19,37.47,35.62,36.38,38.0,38.16,37.97,39.59,42.81,43.75,42.66,42.59,44.31,45.0,43.28,41.91,42.91,44.0,42.62,40.59,40.66,40.72,38.66,35.56,34.53,36.19,37.47,37.81,39.69,43.59,46.31,46.25,45.56,46.56,48.06,47.03,45.25,45.38,46.28,44.97,42.19,40.75,40.97,40.0,37.25,34.88,35.47,36.09,34.72,33.78,35.88,38.62,38.88,38.47,40.0,42.09,42.62,41.44,41.28,42.53,43.12,41.44,40.34,42.28,44.12,43.78,43.5,45.38,48.0,48.62,47.56,48.28,50.47,50.81,49.34,48.53,49.47,49.03,45.78,42.19,41.09,39.88,36.88,33.69,33.34,34.69,34.81,34.38,35.25,38.03,39.06,37.91,37.25,39.16,40.84,40.75,41.0,43.75,46.66,46.91,45.75,46.31,47.41,46.84,44.84,44.03,45.34,45.47,43.72,42.69,44.03,45.12,44.03,42.47,43.84,45.97,46.19,45.06,45.69,47.0,46.25,44.19,43.38,45.06,46.31,45.06,44.25,45.88,46.91,45.38,44.0,45.16,47.78,48.59,48.12,48.75,51.09,51.47,50.0,49.44,51.12,51.78,49.47,46.84,46.56,46.56,44.06,41.69,42.56,44.66,45.28,44.25,44.62,46.06,45.88,44.34,43.34,44.97,46.19,44.75,42.97,43.38,44.22,43.25,41.38,41.84,43.09,42.97,41.03,40.53,42.25,43.22,42.12,41.56,43.5,44.56,42.88,40.19,39.88,40.03,38.31,35.16,34.16,34.56,33.53,31.28,30.94,33.25,35.25,35.22,35.28,37.62,39.88,39.03,37.19,37.56,39.16,38.75,37.0,37.34,39.47,40.38,39.0,38.69,40.75,42.0,40.53,39.0,39.62,40.62,39.59,37.66,38.47,40.78,41.91,41.44,42.38,44.97,46.12,44.5,43.5,44.66,45.12,43.28,41.66,42.47,43.31,42.12,39.59,38.44,39.22,39.12,37.47,37.69,40.09,42.22,41.56,40.81,42.09,42.88,41.09,39.03,39.84,42.22,41.88,40.62,41.25,43.19,43.53,41.84,41.22,42.47,43.56,42.25,41.91,43.78,46.0,45.59,43.66,43.75,44.72,44.03,40.81,39.72,40.38,39.62,37.03,36.03,37.88,39.31,38.22,37.22,38.66,40.06,39.41,37.5,37.66,39.03,38.81,37.09,36.94,39.03,40.28,38.66,37.69,39.38,40.75,40.0,39.16,40.28,41.97,40.75,37.97,36.88,37.31,36.16,33.09,32.22,33.69,35.25,35.06,35.38,38.47,41.72,41.94,41.56,43.22,45.19,45.03,42.72,41.62,41.12,39.19,35.31,32.72,33.34,34.19,32.88,32.97,35.44,38.62,39.16,39.22,41.34,45.06,46.31,45.88,46.44,48.06,47.66,44.47,41.91,41.78,41.47,38.81,36.59,36.66,37.97,36.62,34.28,34.06,35.53,35.19,33.78,34.09,36.06,37.16,35.41,34.31,35.88,37.66,36.97,36.5,38.25,40.72,40.5,38.88,38.69,39.72,39.0,36.56,35.38,36.38,37.12,34.78,32.91,34.0,34.91,33.38,31.47,31.97,33.97,34.03,33.03,34.31,37.03,38.28,36.97,36.25,37.75,38.62,36.62,35.09,35.94,37.22,35.66,33.16,32.91,34.38,34.03,33.0,33.91,36.81,38.09,36.69,36.12,37.56,39.16,37.59,35.03,34.94,35.06,32.28,29.25,28.38,29.03,27.53,24.53,23.12,24.53,25.66,24.81,24.69,27.06,29.19,27.69,26.03,26.84,28.34,28.0,27.0,28.41,31.75,33.5,32.91,33.53,36.53,38.28,37.34,36.56,37.66,38.0,35.25,31.69,30.66,31.41,30.66,29.19,29.44,31.44,31.53,30.16,30.0,33.0,35.72,36.12,36.41,38.28,40.0,38.62,36.59,36.91,38.97,39.41,38.06,38.25,40.03,40.5,38.38,37.28,38.81,40.09,38.66,36.78,36.72,37.0,34.62,31.28,29.78,30.06,28.88,26.62,25.94,28.19,29.69,29.12,29.47,32.09,34.28,33.53,31.97,32.34,33.06,31.44,28.81,28.47,31.12,32.66,33.47,34.88,38.59,40.34,38.69,36.62,37.09,38.19,37.16,35.59,36.81,39.03,38.38,36.06,35.28,35.97,35.25,32.44,30.56,31.31,31.69,30.44,29.78,32.28,35.38,35.94,35.12,35.72,37.72,37.34,35.09,34.66,36.0,36.84,35.31,34.66,37.12,39.0,38.38,37.09,38.72,40.94,40.78,39.28,38.94,39.72,38.81,36.22,35.12,37.22,38.53,36.91,35.75,37.03,38.66,38.0,37.5,39.25,41.91,42.75,41.72,42.62,45.41,46.06,44.38,43.25,44.38,44.28,41.91,40.25,41.59,43.25,42.34,40.25,40.38,41.31,40.47,38.22,38.53,40.91,42.22,40.81,40.06,41.28,41.41,39.19,36.78,37.78,38.81,37.59,35.38,35.59,37.06,37.22,35.97,36.47,39.31,41.16,41.03,40.94,43.84,46.0,44.88,43.03,43.34,43.69,42.03,39.25,39.06,40.59,40.66,38.72,37.34,37.91,37.38,34.44,32.41,33.62,35.22,34.56,33.59,35.34,37.62,38.09,36.62,37.06,39.28,40.47,39.84,40.97,44.19,46.38,44.91,42.75,42.38,42.69,41.12,38.88,39.84,41.88,41.62,39.31,38.38,38.78,38.22,35.38,34.16,35.81,37.88,38.06,37.66,39.72,41.66,40.62,38.34,38.22,39.31,39.59,38.78,39.44,42.38,44.12,42.97,41.94,43.41,44.78,44.06,43.09,44.41,46.22,45.81,43.72,42.78,43.19,42.31,38.88,37.34,38.28,39.38,38.53,38.41,40.75,43.62,43.59,42.44,43.62,44.72,43.94,41.44,41.0,42.22,42.31,40.25,38.69,39.25,39.38,36.78,34.69,35.81,37.84,38.22,38.34,40.91,44.25,45.03,43.34,43.06,43.56,43.09,40.41,38.69,39.25,39.88,37.81,35.81,35.94,36.47,35.0,32.59,32.59,34.0,34.16,32.53,31.31,31.38,30.81,27.69,26.03,27.94,31.22,32.94,34.53,38.25,42.16,42.91,41.53,41.72,43.41,44.22,43.59,44.72,47.44,48.84,46.66,44.0,43.0,42.47,39.81,36.56,35.44,34.59,32.31,28.34,27.0,28.38,29.66,29.16,30.06,33.16,36.22,36.69,37.28,39.97,43.0,42.69,40.94,40.34,40.75,39.69,37.03,36.0,37.09,37.62,36.16,35.47,37.34,39.12,38.28,37.22,38.31,40.22,40.0,39.5,41.09,44.22,46.25,46.03,47.03,49.59,51.06,49.53,48.41,49.28,50.06,48.75,46.47,46.34,46.62,44.47,40.22,37.03,35.88,33.94,30.28,28.22,28.84,29.69,28.5,27.81,30.06,33.38,34.0,33.81,35.5,38.47,38.81,37.34,37.16,37.56,36.34,32.78,29.5,28.72,28.0,25.56,23.66,24.44,26.19,25.78,24.75,25.06,27.31,28.5,28.75,30.53,34.5,38.03,38.28,38.59,40.75,42.59,41.31,39.56,39.12,39.06,36.56,32.94,31.31,32.0,32.25,30.91,30.47,32.62,34.25,33.5,33.12,35.44,38.22,38.34,37.88,39.06,41.28,41.22,39.38,38.5,39.28,38.81,36.75,35.47,37.06,38.22,37.06,35.81,36.72,38.59,38.25,37.5,38.31,40.03,39.47,36.34,33.66,32.88,30.97,26.94,24.12,24.44,25.38,24.88,24.59,27.0,30.22,31.25,12.41,17.38,22.56,25.84,28.38,31.44,33.62:10.34,10.38,10.06,11.22,15.69,20.5,23.22,24.78,28.91,33.5,35.38,35.16,35.47,36.56,35.84,32.59,30.34,30.69,30.09,26.62,22.59,20.59,18.69,14.84,10.38,8.75,8.47,6.69,4.0,3.31,5.88,8.44,9.12,11.03,14.94,19.03,20.38,21.94,25.81,30.06,31.88,31.28,32.34,34.5,34.91,33.5,33.59,35.84,37.22,35.56,34.12,34.91,35.66,34.09,32.84,34.34,37.22,38.06,37.09,37.25,37.69,36.25,32.34,29.03,28.53,27.97,25.94,25.12,27.59,31.0,32.34,32.59,34.94,37.59,38.34,37.28,37.41,38.91,39.38,36.75,34.69,34.34,33.5,29.5,25.78,24.56,24.22,21.97,19.72,19.94,21.94,23.0,22.25,23.41,26.0,27.81,26.81,26.53,28.47,30.56,30.03,29.19,30.41,32.03,31.25,29.19,28.88,30.03,29.62,27.19,25.59,26.03,25.72,23.75,22.56,24.44,26.88,26.75,25.66,26.28,27.78,27.31,25.75,25.75,27.41,28.09,26.72,26.41,28.41,30.31,29.53,29.0,30.81,32.72,32.19,30.72,31.16,32.84,33.12,31.81,32.16,34.22,35.25,33.25,32.25,33.22,33.56,31.31,29.25,29.03,29.41,27.25,24.09,22.94,23.34,22.91,21.91,23.03,26.69,30.09,31.16,32.31,35.41,38.25,37.81,36.59,37.62,38.78,37.69,35.53,35.06,36.12,36.22,34.72,33.91,35.59,36.72,35.16,33.66,34.16,34.72,32.62,29.75,29.28,30.0,29.34,27.72,27.69,29.41,29.66,27.84,27.22,29.09,30.91,30.62,31.0,33.47,37.22,38.75,39.41,41.53,44.59,44.69,42.72,42.03,42.88,42.81,40.69,39.22,39.69,40.47,38.81,36.62,36.41,36.94,35.78,34.09,34.84,37.78,39.84,40.94,43.0,46.88,49.59,49.12,47.94,48.38,48.5,45.44,41.75,40.25,39.81,37.53,34.53,33.19,33.81,33.62,31.75,31.62,33.78,36.03,35.88,36.12,38.31,40.28,39.72,37.88,38.12,40.16,40.22,38.88,39.03,40.56,40.81,38.81,37.47,38.44,39.19,37.47,35.62,36.38,38.0,38.16,37.97,39.59,42.81,43.75,42.66,42.59,44.31,45.0,43.28,41.91,42.91,44.0,42.62,40.59,40.66,40.72,38.66,35.56,34.53,36.19,37.47,37.81,39.69,43.59,46.31,46.25,45.56,46.56,48.06,47.03,45.25,45.38,46.28,44.97,42.19,40.75,40.97,40.0,37.25,34.88,35.47,36.09,34.72,33.78,35.88,38.62,38.88,38.47,40.0,42.09,42.62,41.44,41.28,42.53,43.12,41.44,40.34,42.28,44.12,43.78,43.5,45.38,48.0,48.62,47.56,48.28,50.47,50.81,49.34,48.53,49.47,49.03,45.78,42.19,41.09,39.88,36.88,33.69,33.34,34.69,34.81,34.38,35.25,38.03,39.06,37.91,37.25,39.16,40.84,40.75,41.0,43.75,46.66,46.91,45.75,46.31,47.41,46.84,44.84,44.03,45.34,45.47,43.72,42.69,44.03,45.12,44.03,42.47,43.84,45.97,46.19,45.06,45.69,47.0,46.25,44.19,43.38,45.06,46.31,45.06,44.25,45.88,46.91,45.38,44.0,45.16,47.78,48.59,48.12,48.75,51.09,51.47,50.0,49.44,51.12,51.78,49.47,46.84,46.56,46.56,44.06,41.69,42.56,44.66,45.28,44.25,44.62,46.06,45.88,44.34,43.34,44.97,46.19,44.75,42.97,43.38,44.22,43.25,41.38,41.84,43.09,42.97,41.03,40.53,42.25,43.22,42.12,41.56,43.5,44.56,42.88,40.19,39.88,40.03,38.31,35.16,34.16,34.56,33.53,31.28,30.94,33.25,35.25,35.22,35.28,37.62,39.88,39.03,37.19,37.56,39.16,38.75,37.0,37.34,39.47,40.38,39.0,38.69,40.75,42.0,40.53,39.0,39.62,40.62,39.59,37.66,38.47,40.78,41.91,41.44,42.38,44.97,46.12,44.5,43.5,44.66,45.12,43.28,41.66,42.47,43.31,42.12,39.59,38.44,39.22,39.12,37.47,37.69,40.09,42.22,41.56,40.81,42.09,42.88,41.09,39.03,39.84,42.22,41.88,40.62,41.25,43.19,43.53,41.84,41.22,42.47,43.56,42.25,41.91,43.78,46.0,45.59,43.66,43.75,44.72,44.03,40.81,39.72,40.38,39.62,37.03,36.03,37.88,39.31,38.22,37.22,38.66,40.06,39.41,37.5,37.66,39.03,38.81,37.09,36.94,39.03,40.28,38.66,37.69,39.38,40.75,40.0,39.16,40.28,41.97,40.75,37.97,36.88,37.31,36.16,33.09,32.22,33.69,35.25,35.06,35.38,38.47,41.72,41.94,41.56,43.22,45.19,45.03,42.72,41.62,41.12,39.19,35.31,32.72,33.34,34.19,32.88,32.97,35.44,38.62,39.16,39.22,41.34,45.06,46.31,45.88,46.44,48.06,47.66,44.47,41.91,41.78,41.47,38.81,36.59,36.66,37.97,36.62,34.28,34.06,35.53,35.19,33.78,34.09,36.06,37.16,35.41,34.31,35.88,37.66,36.97,36.5,38.25,40.72,40.5,38.88,38.69,39.72,39.0,36.56,35.38,36.38,37.12,34.78,32.91,34.0,34.91,33.38,31.47,31.97,33.97,34.03,33.03,34.31,37.03,38.28,36.97,36.25,37.75,38.62,36.62,35.09,35.94,37.22,35.66,33.16,32.91,34.38,34.03,33.0,33.91,36.81,38.09,36.69,36.12,37.56,39.16,37.59,35.03,34.94,35.06,32.28,29.25,28.38,29.03,27.53,24.53,23.12,24.53,25.66,24.81,24.69,27.06,29.19,27.69,26.03,26.84,28.34,28.0,27.0,28.41,31.75,33.5,32.91,33.53,36.53,38.28,37.34,36.56,37.66,38.0,35.25,31.69,30.66,31.41,30.66,29.19,29.44,31.44,31.53,30.16,30.0,33.0,35.72,36.12,36.41,38.28,40.0,38.62,36.59,36.91,38.97,39.41,38.06,38.25,40.03,40.5,38.38,37.28,38.81,40.09,38.66,36.78,36.72,37.0,34.62,31.28,29.78,30.06,28.88,26.62,25.94,28.19,29.69,29.12,29.47,32.09,34.28,33.53,31.97,32.34,33.06,31.44,28.81,28.47,31.12,32.66,33.47,34.88,38.59,40.34,38.69,36.62,37.09,38.19,37.16,35.59,36.81,39.03,38.38,36.06,35.28,35.97,35.25,32.44,30.56,31.31,31.69,30.44,29.78,32.28,35.38,35.94,35.12,35.72,37.72,37.34,35.09,34.66,36.0,36.84,35.31,34.66,37.12,39.0,38.38,37.09,38.72,40.94,40.78,39.28,38.94,39.72,38.81,36.22,35.12,37.22,38.53,36.91,35.75,37.03,38.66,38.0,37.5,39.25,41.91,42.75,41.72,42.62,45.41,46.06,44.38,43.25,44.38,44.28,41.91,40.25,41.59,43.25,42.34,40.25,40.38,41.31,40.47,38.22,38.53,40.91,42.22,40.81,40.06,41.28,41.41,39.19,36.78,37.78,38.81,37.59,35.38,35.59,37.06,37.22,35.97,36.47,39.31,41.16,41.03,40.94,43.84,46.0,44.88,43.03,43.34,43.69,42.03,39.25,39.06,40.59,40.66,38.72,37.34,37.91,37.38,34.44,32.41,33.62,35.22,34.56,33.59,35.34,37.62,38.09,36.62,37.06,39.28,40.47,39.84,40.97,44.19,46.38,44.91,42.75,42.38,42.69,41.12,38.88,39.84,41.88,41.62,39.31,38.38,38.78,38.22,35.38,34.16,35.81,37.88,38.06,37.66,39.72,41.66,40.62,38.34,38.22,39.31,39.59,38.78,39.44,42.38,44.12,42.97,41.94,43.41,44.78,44.06,43.09,44.41,46.22,45.81,43.72,42.78,43.19,42.31,38.88,37.34,38.28,39.38,38.53,38.41,40.75,43.62,43.59,42.44,43.62,44.72,43.94,41.44,41.0,42.22,42.31,40.25,38.69,39.25,39.38,36.78,34.69,35.81,37.84,38.22,38.34,40.91,44.25,45.03,43.34,43.06,43.56,43.09,40.41,38.69,39.25,39.88,37.81,35.81,35.94,36.47,35.0,32.59,32.59,34.0,34.16,32.53,31.31,31.38,30.81,27.69,26.03,27.94,31.22,32.94,34.53,38.25,42.16,42.91,41.53,41.72,43.41,44.22,43.59,44.72,47.44,48.84,46.66,44.0,43.0,42.47,39.81,36.56,35.44,34.59,32.31,28.34,27.0,28.38,29.66,29.16,30.06,33.16,36.22,36.69,37.28,39.97,43.0,42.69,40.94,40.34,40.75,39.69,37.03,36.0,37.09,37.62,36.16,35.47,37.34,39.12,38.28,37.22,38.31,40.22,40.0,39.5,41.09,44.22,46.25,46.03,47.03,49.59,51.06,49.53,48.41,49.28,50.06,48.75,46.47,46.34,46.62,44.47,40.22,37.03,35.88,33.94,30.28,28.22,28.84,29.69,28.5,27.81,30.06,33.38,34.0,33.81,35.5,38.47,38.81,37.34,37.16,37.56,36.34,32.78,29.5,28.72,28.0,25.56,23.66,24.44,26.19,25.78,24.75,25.06,27.31,28.5,28.75,30.53,34.5,38.03,38.28,38.59,40.75,42.59,41.31,39.56,39.12,39.06,36.56,32.94,31.31,32.0,32.25,30.91,30.47,32.62,34.25,33.5,33.12,35.44,38.22,38.34,37.88,39.06,41.28,41.22,39.38,38.5,39.28,38.81,36.75,35.47,37.06,38.22,37.06,35.81,36.72,38.59,38.25,37.5,38.31,40.03,39.47,36.34,33.66,32.88,30.97,26.94,24.12,24.44,25.38,24.88,24.59,27.0,30.22,31.25,12.41,17.38,22.56,25.84,28.38,31.44,33.62,32.72,29.34,25.81,22.47,17.88,12.19,8.72:24.78,28.91,33.5,35.38,35.16,35.47,36.56,35.84,32.59,30.34,30.69,30.09,26.62,22.59,20.59,18.69,14.84,10.38,8.75,8.47,6.69,4.0,3.31,5.88,8.44,9.12,11.03,14.94,19.03,20.38,21.94,25.81,30.06,31.88,31.28,32.34,34.5,34.91,33.5,33.59,35.84,37.22,35.56,34.12,34.91,35.66,34.09,32.84,34.34,37.22,38.06,37.09,37.25,37.69,36.25,32.34,29.03,28.53,27.97,25.94,25.12,27.59,31.0,32.34,32.59,34.94,37.59,38.34,37.28,37.41,38.91,39.38,36.75,34.69,34.34,33.5,29.5,25.78,24.56,24.22,21.97,19.72,19.94,21.94,23.0,22.25,23.41,26.0,27.81,26.81,26.53,28.47,30.56,30.03,29.19,30.41,32.03,31.25,29.19,28.88,30.03,29.62,27.19,25.59,26.03,25.72,23.75,22.56,24.44,26.88,26.75,25.66,26.28,27.78,27.31,25.75,25.75,27.41,28.09,26.72,26.41,28.41,30.31,29.53,29.0,30.81,32.72,32.19,30.72,31.16,32.84,33.12,31.81,32.16,34.22,35.25,33.25,32.25,33.22,33.56,31.31,29.25,29.03,29.41,27.25,24.09,22.94,23.34,22.91,21.91,23.03,26.69,30.09,31.16,32.31,35.41,38.25,37.81,36.59,37.62,38.78,37.69,35.53,35.06,36.12,36.22,34.72,33.91,35.59,36.72,35.16,33.66,34.16,34.72,32.62,29.75,29.28,30.0,29.34,27.72,27.69,29.41,29.66,27.84,27.22,29.09,30.91,30.62,31.0,33.47,37.22,38.75,39.41,41.53,44.59,44.69,42.72,42.03,42.88,42.81,40.69,39.22,39.69,40.47,38.81,36.62,36.41,36.94,35.78,34.09,34.84,37.78,39.84,40.94,43.0,46.88,49.59,49.12,47.94,48.38,48.5,45.44,41.75,40.25,39.81,37.53,34.53,33.19,33.81,33.62,31.75,31.62,33.78,36.03,35.88,36.12,38.31,40.28,39.72,37.88,38.12,40.16,40.22,38.88,39.03,40.56,40.81,38.81,37.47,38.44,39.19,37.47,35.62,36.38,38.0,38.16,37.97,39.59,42.81,43.75,42.66,42.59,44.31,45.0,43.28,41.91,42.91,44.0,42.62,40.59,40.66,40.72,38.66,35.56,34.53,36.19,37.47,37.81,39.69,43.59,46.31,46.25,45.56,46.56,48.06,47.03,45.25,45.38,46.28,44.97,42.19,40.75,40.97,40.0,37.25,34.88,35.47,36.09,34.72,33.78,35.88,38.62,38.88,38.47,40.0,42.09,42.62,41.44,41.28,42.53,43.12,41.44,40.34,42.28,44.12,43.78,43.5,45.38,48.0,48.62,47.56,48.28,50.47,50.81,49.34,48.53,49.47,49.03,45.78,42.19,41.09,39.88,36.88,33.69,33.34,34.69,34.81,34.38,35.25,38.03,39.06,37.91,37.25,39.16,40.84,40.75,41.0,43.75,46.66,46.91,45.75,46.31,47.41,46.84,44.84,44.03,45.34,45.47,43.72,42.69,44.03,45.12,44.03,42.47,43.84,45.97,46.19,45.06,45.69,47.0,46.25,44.19,43.38,45.06,46.31,45.06,44.25,45.88,46.91,45.38,44.0,45.16,47.78,48.59,48.12,48.75,51.09,51.47,50.0,49.44,51.12,51.78,49.47,46.84,46.56,46.56,44.06,41.69,42.56,44.66,45.28,44.25,44.62,46.06,45.88,44.34,43.34,44.97,46.19,44.75,42.97,43.38,44.22,43.25,41.38,41.84,43.09,42.97,41.03,40.53,42.25,43.22,42.12,41.56,43.5,44.56,42.88,40.19,39.88,40.03,38.31,35.16,34.16,34.56,33.53,31.28,30.94,33.25,35.25,35.22,35.28,37.62,39.88,39.03,37.19,37.56,39.16,38.75,37.0,37.34,39.47,40.38,39.0,38.69,40.75,42.0,40.53,39.0,39.62,40.62,39.59,37.66,38.47,40.78,41.91,41.44,42.38,44.97,46.12,44.5,43.5,44.66,45.12,43.28,41.66,42.47,43.31,42.12,39.59,38.44,39.22,39.12,37.47,37.69,40.09,42.22,41.56,40.81,42.09,42.88,41.09,39.03,39.84,42.22,41.88,40.62,41.25,43.19,43.53,41.84,41.22,42.47,43.56,42.25,41.91,43.78,46.0,45.59,43.66,43.75,44.72,44.03,40.81,39.72,40.38,39.62,37.03,36.03,37.88,39.31,38.22,37.22,38.66,40.06,39.41,37.5,37.66,39.03,38.81,37.09,36.94,39.03,40.28,38.66,37.69,39.38,40.75,40.0,39.16,40.28,41.97,40.75,37.97,36.88,37.31,36.16,33.09,32.22,33.69,35.25,35.06,35.38,38.47,41.72,41.94,41.56,43.22,45.19,45.03,42.72,41.62,41.12,39.19,35.31,32.72,33.34,34.19,32.88,32.97,35.44,38.62,39.16,39.22,41.34,45.06,46.31,45.88,46.44,48.06,47.66,44.47,41.91,41.78,41.47,38.81,36.59,36.66,37.97,36.62,34.28,34.06,35.53,35.19,33.78,34.09,36.06,37.16,35.41,34.31,35.88,37.66,36.97,36.5,38.25,40.72,40.5,38.88,38.69,39.72,39.0,36.56,35.38,36.38,37.12,34.78,32.91,34.0,34.91,33.38,31.47,31.97,33.97,34.03,33.03,34.31,37.03,38.28,36.97,36.25,37.75,38.62,36.62,35.09,35.94,37.22,35.66,33.16,32.91,34.38,34.03,33.0,33.91,36.81,38.09,36.69,36.12,37.56,39.16,37.59,35.03,34.94,35.06,32.28,29.25,28.38,29.03,27.53,24.53,23.12,24.53,25.66,24.81,24.69,27.06,29.19,27.69,26.03,26.84,28.34,28.0,27.0,28.41,31.75,33.5,32.91,33.53,36.53,38.28,37.34,36.56,37.66,38.0,35.25,31.69,30.66,31.41,30.66,29.19,29.44,31.44,31.53,30.16,30.0,33.0,35.72,36.12,36.41,38.28,40.0,38.62,36.59,36.91,38.97,39.41,38.06,38.25,40.03,40.5,38.38,37.28,38.81,40.09,38.66,36.78,36.72,37.0,34.62,31.28,29.78,30.06,28.88,26.62,25.94,28.19,29.69,29.12,29.47,32.09,34.28,33.53,31.97,32.34,33.06,31.44,28.81,28.47,31.12,32.66,33.47,34.88,38.59,40.34,38.69,36.62,37.09,38.19,37.16,35.59,36.81,39.03,38.38,36.06,35.28,35.97,35.25,32.44,30.56,31.31,31.69,30.44,29.78,32.28,35.38,35.94,35.12,35.72,37.72,37.34,35.09,34.66,36.0,36.84,35.31,34.66,37.12,39.0,38.38,37.09,38.72,40.94,40.78,39.28,38.94,39.72,38.81,36.22,35.12,37.22,38.53,36.91,35.75,37.03,38.66,38.0,37.5,39.25,41.91,42.75,41.72,42.62,45.41,46.06,44.38,43.25,44.38,44.28,41.91,40.25,41.59,43.25,42.34,40.25,40.38,41.31,40.47,38.22,38.53,40.91,42.22,40.81,40.06,41.28,41.41,39.19,36.78,37.78,38.81,37.59,35.38,35.59,37.06,37.22,35.97,36.47,39.31,41.16,41.03,40.94,43.84,46.0,44.88,43.03,43.34,43.69,42.03,39.25,39.06,40.59,40.66,38.72,37.34,37.91,37.38,34.44,32.41,33.62,35.22,34.56,33.59,35.34,37.62,38.09,36.62,37.06,39.28,40.47,39.84,40.97,44.19,46.38,44.91,42.75,42.38,42.69,41.12,38.88,39.84,41.88,41.62,39.31,38.38,38.78,38.22,35.38,34.16,35.81,37.88,38.06,37.66,39.72,41.66,40.62,38.34,38.22,39.31,39.59,38.78,39.44,42.38,44.12,42.97,41.94,43.41,44.78,44.06,43.09,44.41,46.22,45.81,43.72,42.78,43.19,42.31,38.88,37.34,38.28,39.38,38.53,38.41,40.75,43.62,43.59,42.44,43.62,44.72,43.94,41.44,41.0,42.22,42.31,40.25,38.69,39.25,39.38,36.78,34.69,35.81,37.84,38.22,38.34,40.91,44.25,45.03,43.34,43.06,43.56,43.09,40.41,38.69,39.25,39.88,37.81,35.81,35.94,36.47,35.0,32.59,32.59,34.0,34.16,32.53,31.31,31.38,30.81,27.69,26.03,27.94,31.22,32.94,34.53,38.25,42.16,42.91,41.53,41.72,43.41,44.22,43.59,44.72,47.44,48.84,46.66,44.0,43.0,42.47,39.81,36.56,35.44,34.59,32.31,28.34,27.0,28.38,29.66,29.16,30.06,33.16,36.22,36.69,37.28,39.97,43.0,42.69,40.94,40.34,40.75,39.69,37.03,36.0,37.09,37.62,36.16,35.47,37.34,39.12,38.28,37.22,38.31,40.22,40.0,39.5,41.09,44.22,46.25,46.03,47.03,49.59,51.06,49.53,48.41,49.28,50.06,48.75,46.47,46.34,46.62,44.47,40.22,37.03,35.88,33.94,30.28,28.22,28.84,29.69,28.5,27.81,30.06,33.38,34.0,33.81,35.5,38.47,38.81,37.34,37.16,37.56,36.34,32.78,29.5,28.72,28.0,25.56,23.66,24.44,26.19,25.78,24.75,25.06,27.31,28.5,28.75,30.53,34.5,38.03,38.28,38.59,40.75,42.59,41.31,39.56,39.12,39.06,36.56,32.94,31.31,32.0,32.25,30.91,30.47,32.62,34.25,33.5,33.12,35.44,38.22,38.34,37.88,39.06,41.28,41.22,39.38,38.5,39.28,38.81,36.75,35.47,37.06,38.22,37.06,35.81,36.72,38.59,38.25,37.5,38.31,40.03,39.47,36.34,33.66,32.88,30.97,26.94,24.12,24.44,25.38,24.88,24.59,27.0,30.22,31.25,12.41,17.38,22.56,25.84,28.38,31.44,33.62,32.72,29.34,25.81,22.47,17.88,12.19,8.72,7.78,7.72,7.25,7.34,9.34,11.69,12.16:35.84,32.59,30.34,30.69,30.09,26.62,22.59,20.59,18.69,14.84,10.38,8.75,8.47,6.69,4.0,3.31,5.88,8.44,9.12,11.03,14.94,19.03,20.38,21.94,25.81,30.06,31.88,31.28,32.34,34.5,34.91,33.5,33.59,35.84,37.22,35.56,34.12,34.91,35.66,34.09,32.84,34.34,37.22,38.06,37.09,37.25,37.69,36.25,32.34,29.03,28.53,27.97,25.94,25.12,27.59,31.0,32.34,32.59,34.94,37.59,38.34,37.28,37.41,38.91,39.38,36.75,34.69,34.34,33.5,29.5,25.78,24.56,24.22,21.97,19.72,19.94,21.94,23.0,22.25,23.41,26.0,27.81,26.81,26.53,28.47,30.56,30.03,29.19,30.41,32.03,31.25,29.19,28.88,30.03,29.62,27.19,25.59,26.03,25.72,23.75,22.56,24.44,26.88,26.75,25.66,26.28,27.78,27.31,25.75,25.75,27.41,28.09,26.72,26.41,28.41,30.31,29.53,29.0,30.81,32.72,32.19,30.72,31.16,32.84,33.12,31.81,32.16,34.22,35.25,33.25,32.25,33.22,33.56,31.31,29.25,29.03,29.41,27.25,24.09,22.94,23.34,22.91,21.91,23.03,26.69,30.09,31.16,32.31,35.41,38.25,37.81,36.59,37.62,38.78,37.69,35.53,35.06,36.12,36.22,34.72,33.91,35.59,36.72,35.16,33.66,34.16,34.72,32.62,29.75,29.28,30.0,29.34,27.72,27.69,29.41,29.66,27.84,27.22,29.09,30.91,30.62,31.0,33.47,37.22,38.75,39.41,41.53,44.59,44.69,42.72,42.03,42.88,42.81,40.69,39.22,39.69,40.47,38.81,36.62,36.41,36.94,35.78,34.09,34.84,37.78,39.84,40.94,43.0,46.88,49.59,49.12,47.94,48.38,48.5,45.44,41.75,40.25,39.81,37.53,34.53,33.19,33.81,33.62,31.75,31.62,33.78,36.03,35.88,36.12,38.31,40.28,39.72,37.88,38.12,40.16,40.22,38.88,39.03,40.56,40.81,38.81,37.47,38.44,39.19,37.47,35.62,36.38,38.0,38.16,37.97,39.59,42.81,43.75,42.66,42.59,44.31,45.0,43.28,41.91,42.91,44.0,42.62,40.59,40.66,40.72,38.66,35.56,34.53,36.19,37.47,37.81,39.69,43.59,46.31,46.25,45.56,46.56,48.06,47.03,45.25,45.38,46.28,44.97,42.19,40.75,40.97,40.0,37.25,34.88,35.47,36.09,34.72,33.78,35.88,38.62,38.88,38.47,40.0,42.09,42.62,41.44,41.28,42.53,43.12,41.44,40.34,42.28,44.12,43.78,43.5,45.38,48.0,48.62,47.56,48.28,50.47,50.81,49.34,48.53,49.47,49.03,45.78,42.19,41.09,39.88,36.88,33.69,33.34,34.69,34.81,34.38,35.25,38.03,39.06,37.91,37.25,39.16,40.84,40.75,41.0,43.75,46.66,46.91,45.75,46.31,47.41,46.84,44.84,44.03,45.34,45.47,43.72,42.69,44.03,45.12,44.03,42.47,43.84,45.97,46.19,45.06,45.69,47.0,46.25,44.19,43.38,45.06,46.31,45.06,44.25,45.88,46.91,45.38,44.0,45.16,47.78,48.59,48.12,48.75,51.09,51.47,50.0,49.44,51.12,51.78,49.47,46.84,46.56,46.56,44.06,41.69,42.56,44.66,45.28,44.25,44.62,46.06,45.88,44.34,43.34,44.97,46.19,44.75,42.97,43.38,44.22,43.25,41.38,41.84,43.09,42.97,41.03,40.53,42.25,43.22,42.12,41.56,43.5,44.56,42.88,40.19,39.88,40.03,38.31,35.16,34.16,34.56,33.53,31.28,30.94,33.25,35.25,35.22,35.28,37.62,39.88,39.03,37.19,37.56,39.16,38.75,37.0,37.34,39.47,40.38,39.0,38.69,40.75,42.0,40.53,39.0,39.62,40.62,39.59,37.66,38.47,40.78,41.91,41.44,42.38,44.97,46.12,44.5,43.5,44.66,45.12,43.28,41.66,42.47,43.31,42.12,39.59,38.44,39.22,39.12,37.47,37.69,40.09,42.22,41.56,40.81,42.09,42.88,41.09,39.03,39.84,42.22,41.88,40.62,41.25,43.19,43.53,41.84,41.22,42.47,43.56,42.25,41.91,43.78,46.0,45.59,43.66,43.75,44.72,44.03,40.81,39.72,40.38,39.62,37.03,36.03,37.88,39.31,38.22,37.22,38.66,40.06,39.41,37.5,37.66,39.03,38.81,37.09,36.94,39.03,40.28,38.66,37.69,39.38,40.75,40.0,39.16,40.28,41.97,40.75,37.97,36.88,37.31,36.16,33.09,32.22,33.69,35.25,35.06,35.38,38.47,41.72,41.94,41.56,43.22,45.19,45.03,42.72,41.62,41.12,39.19,35.31,32.72,33.34,34.19,32.88,32.97,35.44,38.62,39.16,39.22,41.34,45.06,46.31,45.88,46.44,48.06,47.66,44.47,41.91,41.78,41.47,38.81,36.59,36.66,37.97,36.62,34.28,34.06,35.53,35.19,33.78,34.09,36.06,37.16,35.41,34.31,35.88,37.66,36.97,36.5,38.25,40.72,40.5,38.88,38.69,39.72,39.0,36.56,35.38,36.38,37.12,34.78,32.91,34.0,34.91,33.38,31.47,31.97,33.97,34.03,33.03,34.31,37.03,38.28,36.97,36.25,37.75,38.62,36.62,35.09,35.94,37.22,35.66,33.16,32.91,34.38,34.03,33.0,33.91,36.81,38.09,36.69,36.12,37.56,39.16,37.59,35.03,34.94,35.06,32.28,29.25,28.38,29.03,27.53,24.53,23.12,24.53,25.66,24.81,24.69,27.06,29.19,27.69,26.03,26.84,28.34,28.0,27.0,28.41,31.75,33.5,32.91,33.53,36.53,38.28,37.34,36.56,37.66,38.0,35.25,31.69,30.66,31.41,30.66,29.19,29.44,31.44,31.53,30.16,30.0,33.0,35.72,36.12,36.41,38.28,40.0,38.62,36.59,36.91,38.97,39.41,38.06,38.25,40.03,40.5,38.38,37.28,38.81,40.09,38.66,36.78,36.72,37.0,34.62,31.28,29.78,30.06,28.88,26.62,25.94,28.19,29.69,29.12,29.47,32.09,34.28,33.53,31.97,32.34,33.06,31.44,28.81,28.47,31.12,32.66,33.47,34.88,38.59,40.34,38.69,36.62,37.09,38.19,37.16,35.59,36.81,39.03,38.38,36.06,35.28,35.97,35.25,32.44,30.56,31.31,31.69,30.44,29.78,32.28,35.38,35.94,35.12,35.72,37.72,37.34,35.09,34.66,36.0,36.84,35.31,34.66,37.12,39.0,38.38,37.09,38.72,40.94,40.78,39.28,38.94,39.72,38.81,36.22,35.12,37.22,38.53,36.91,35.75,37.03,38.66,38.0,37.5,39.25,41.91,42.75,41.72,42.62,45.41,46.06,44.38,43.25,44.38,44.28,41.91,40.25,41.59,43.25,42.34,40.25,40.38,41.31,40.47,38.22,38.53,40.91,42.22,40.81,40.06,41.28,41.41,39.19,36.78,37.78,38.81,37.59,35.38,35.59,37.06,37.22,35.97,36.47,39.31,41.16,41.03,40.94,43.84,46.0,44.88,43.03,43.34,43.69,42.03,39.25,39.06,40.59,40.66,38.72,37.34,37.91,37.38,34.44,32.41,33.62,35.22,34.56,33.59,35.34,37.62,38.09,36.62,37.06,39.28,40.47,39.84,40.97,44.19,46.38,44.91,42.75,42.38,42.69,41.12,38.88,39.84,41.88,41.62,39.31,38.38,38.78,38.22,35.38,34.16,35.81,37.88,38.06,37.66,39.72,41.66,40.62,38.34,38.22,39.31,39.59,38.78,39.44,42.38,44.12,42.97,41.94,43.41,44.78,44.06,43.09,44.41,46.22,45.81,43.72,42.78,43.19,42.31,38.88,37.34,38.28,39.38,38.53,38.41,40.75,43.62,43.59,42.44,43.62,44.72,43.94,41.44,41.0,42.22,42.31,40.25,38.69,39.25,39.38,36.78,34.69,35.81,37.84,38.22,38.34,40.91,44.25,45.03,43.34,43.06,43.56,43.09,40.41,38.69,39.25,39.88,37.81,35.81,35.94,36.47,35.0,32.59,32.59,34.0,34.16,32.53,31.31,31.38,30.81,27.69,26.03,27.94,31.22,32.94,34.53,38.25,42.16,42.91,41.53,41.72,43.41,44.22,43.59,44.72,47.44,48.84,46.66,44.0,43.0,42.47,39.81,36.56,35.44,34.59,32.31,28.34,27.0,28.38,29.66,29.16,30.06,33.16,36.22,36.69,37.28,39.97,43.0,42.69,40.94,40.34,40.75,39.69,37.03,36.0,37.09,37.62,36.16,35.47,37.34,39.12,38.28,37.22,38.31,40.22,40.0,39.5,41.09,44.22,46.25,46.03,47.03,49.59,51.06,49.53,48.41,49.28,50.06,48.75,46.47,46.34,46.62,44.47,40.22,37.03,35.88,33.94,30.28,28.22,28.84,29.69,28.5,27.81,30.06,33.38,34.0,33.81,35.5,38.47,38.81,37.34,37.16,37.56,36.34,32.78,29.5,28.72,28.0,25.56,23.66,24.44,26.19,25.78,24.75,25.06,27.31,28.5,28.75,30.53,34.5,38.03,38.28,38.59,40.75,42.59,41.31,39.56,39.12,39.06,36.56,32.94,31.31,32.0,32.25,30.91,30.47,32.62,34.25,33.5,33.12,35.44,38.22,38.34,37.88,39.06,41.28,41.22,39.38,38.5,39.28,38.81,36.75,35.47,37.06,38.22,37.06,35.81,36.72,38.59,38.25,37.5,38.31,40.03,39.47,36.34,33.66,32.88,30.97,26.94,24.12,24.44,25.38,24.88,24.59,27.0,30.22,31.25,12.41,17.38,22.56,25.84,28.38,31.44,33.62,32.72,29.34,25.81,22.47,17.88,12.19,8.72,7.78,7.72,7.25,7.34,9.34,11.69,12.16,12.88,15.75,19.41,21.56,22.16,22.97,23.75:20.59,18.69,14.84,10.38,8.75,8.47,6.69,4.0,3.31,5.88,8.44,9.12,11.03,14.94,19.03,20.38,21.94,25.81,30.06,31.88,31.28,32.34,34.5,34.91,33.5,33.59,35.84,37.22,35.56,34.12,34.91,35.66,34.09,32.84,34.34,37.22,38.06,37.09,37.25,37.69,36.25,32.34,29.03,28.53,27.97,25.94,25.12,27.59,31.0,32.34,32.59,34.94,37.59,38.34,37.28,37.41,38.91,39.38,36.75,34.69,34.34,33.5,29.5,25.78,24.56,24.22,21.97,19.72,19.94,21.94,23.0,22.25,23.41,26.0,27.81,26.81,26.53,28.47,30.56,30.03,29.19,30.41,32.03,31.25,29.19,28.88,30.03,29.62,27.19,25.59,26.03,25.72,23.75,22.56,24.44,26.88,26.75,25.66,26.28,27.78,27.31,25.75,25.75,27.41,28.09,26.72,26.41,28.41,30.31,29.53,29.0,30.81,32.72,32.19,30.72,31.16,32.84,33.12,31.81,32.16,34.22,35.25,33.25,32.25,33.22,33.56,31.31,29.25,29.03,29.41,27.25,24.09,22.94,23.34,22.91,21.91,23.03,26.69,30.09,31.16,32.31,35.41,38.25,37.81,36.59,37.62,38.78,37.69,35.53,35.06,36.12,36.22,34.72,33.91,35.59,36.72,35.16,33.66,34.16,34.72,32.62,29.75,29.28,30.0,29.34,27.72,27.69,29.41,29.66,27.84,27.22,29.09,30.91,30.62,31.0,33.47,37.22,38.75,39.41,41.53,44.59,44.69,42.72,42.03,42.88,42.81,40.69,39.22,39.69,40.47,38.81,36.62,36.41,36.94,35.78,34.09,34.84,37.78,39.84,40.94,43.0,46.88,49.59,49.12,47.94,48.38,48.5,45.44,41.75,40.25,39.81,37.53,34.53,33.19,33.81,33.62,31.75,31.62,33.78,36.03,35.88,36.12,38.31,40.28,39.72,37.88,38.12,40.16,40.22,38.88,39.03,40.56,40.81,38.81,37.47,38.44,39.19,37.47,35.62,36.38,38.0,38.16,37.97,39.59,42.81,43.75,42.66,42.59,44.31,45.0,43.28,41.91,42.91,44.0,42.62,40.59,40.66,40.72,38.66,35.56,34.53,36.19,37.47,37.81,39.69,43.59,46.31,46.25,45.56,46.56,48.06,47.03,45.25,45.38,46.28,44.97,42.19,40.75,40.97,40.0,37.25,34.88,35.47,36.09,34.72,33.78,35.88,38.62,38.88,38.47,40.0,42.09,42.62,41.44,41.28,42.53,43.12,41.44,40.34,42.28,44.12,43.78,43.5,45.38,48.0,48.62,47.56,48.28,50.47,50.81,49.34,48.53,49.47,49.03,45.78,42.19,41.09,39.88,36.88,33.69,33.34,34.69,34.81,34.38,35.25,38.03,39.06,37.91,37.25,39.16,40.84,40.75,41.0,43.75,46.66,46.91,45.75,46.31,47.41,46.84,44.84,44.03,45.34,45.47,43.72,42.69,44.03,45.12,44.03,42.47,43.84,45.97,46.19,45.06,45.69,47.0,46.25,44.19,43.38,45.06,46.31,45.06,44.25,45.88,46.91,45.38,44.0,45.16,47.78,48.59,48.12,48.75,51.09,51.47,50.0,49.44,51.12,51.78,49.47,46.84,46.56,46.56,44.06,41.69,42.56,44.66,45.28,44.25,44.62,46.06,45.88,44.34,43.34,44.97,46.19,44.75,42.97,43.38,44.22,43.25,41.38,41.84,43.09,42.97,41.03,40.53,42.25,43.22,42.12,41.56,43.5,44.56,42.88,40.19,39.88,40.03,38.31,35.16,34.16,34.56,33.53,31.28,30.94,33.25,35.25,35.22,35.28,37.62,39.88,39.03,37.19,37.56,39.16,38.75,37.0,37.34,39.47,40.38,39.0,38.69,40.75,42.0,40.53,39.0,39.62,40.62,39.59,37.66,38.47,40.78,41.91,41.44,42.38,44.97,46.12,44.5,43.5,44.66,45.12,43.28,41.66,42.47,43.31,42.12,39.59,38.44,39.22,39.12,37.47,37.69,40.09,42.22,41.56,40.81,42.09,42.88,41.09,39.03,39.84,42.22,41.88,40.62,41.25,43.19,43.53,41.84,41.22,42.47,43.56,42.25,41.91,43.78,46.0,45.59,43.66,43.75,44.72,44.03,40.81,39.72,40.38,39.62,37.03,36.03,37.88,39.31,38.22,37.22,38.66,40.06,39.41,37.5,37.66,39.03,38.81,37.09,36.94,39.03,40.28,38.66,37.69,39.38,40.75,40.0,39.16,40.28,41.97,40.75,37.97,36.88,37.31,36.16,33.09,32.22,33.69,35.25,35.06,35.38,38.47,41.72,41.94,41.56,43.22,45.19,45.03,42.72,41.62,41.12,39.19,35.31,32.72,33.34,34.19,32.88,32.97,35.44,38.62,39.16,39.22,41.34,45.06,46.31,45.88,46.44,48.06,47.66,44.47,41.91,41.78,41.47,38.81,36.59,36.66,37.97,36.62,34.28,34.06,35.53,35.19,33.78,34.09,36.06,37.16,35.41,34.31,35.88,37.66,36.97,36.5,38.25,40.72,40.5,38.88,38.69,39.72,39.0,36.56,35.38,36.38,37.12,34.78,32.91,34.0,34.91,33.38,31.47,31.97,33.97,34.03,33.03,34.31,37.03,38.28,36.97,36.25,37.75,38.62,36.62,35.09,35.94,37.22,35.66,33.16,32.91,34.38,34.03,33.0,33.91,36.81,38.09,36.69,36.12,37.56,39.16,37.59,35.03,34.94,35.06,32.28,29.25,28.38,29.03,27.53,24.53,23.12,24.53,25.66,24.81,24.69,27.06,29.19,27.69,26.03,26.84,28.34,28.0,27.0,28.41,31.75,33.5,32.91,33.53,36.53,38.28,37.34,36.56,37.66,38.0,35.25,31.69,30.66,31.41,30.66,29.19,29.44,31.44,31.53,30.16,30.0,33.0,35.72,36.12,36.41,38.28,40.0,38.62,36.59,36.91,38.97,39.41,38.06,38.25,40.03,40.5,38.38,37.28,38.81,40.09,38.66,36.78,36.72,37.0,34.62,31.28,29.78,30.06,28.88,26.62,25.94,28.19,29.69,29.12,29.47,32.09,34.28,33.53,31.97,32.34,33.06,31.44,28.81,28.47,31.12,32.66,33.47,34.88,38.59,40.34,38.69,36.62,37.09,38.19,37.16,35.59,36.81,39.03,38.38,36.06,35.28,35.97,35.25,32.44,30.56,31.31,31.69,30.44,29.78,32.28,35.38,35.94,35.12,35.72,37.72,37.34,35.09,34.66,36.0,36.84,35.31,34.66,37.12,39.0,38.38,37.09,38.72,40.94,40.78,39.28,38.94,39.72,38.81,36.22,35.12,37.22,38.53,36.91,35.75,37.03,38.66,38.0,37.5,39.25,41.91,42.75,41.72,42.62,45.41,46.06,44.38,43.25,44.38,44.28,41.91,40.25,41.59,43.25,42.34,40.25,40.38,41.31,40.47,38.22,38.53,40.91,42.22,40.81,40.06,41.28,41.41,39.19,36.78,37.78,38.81,37.59,35.38,35.59,37.06,37.22,35.97,36.47,39.31,41.16,41.03,40.94,43.84,46.0,44.88,43.03,43.34,43.69,42.03,39.25,39.06,40.59,40.66,38.72,37.34,37.91,37.38,34.44,32.41,33.62,35.22,34.56,33.59,35.34,37.62,38.09,36.62,37.06,39.28,40.47,39.84,40.97,44.19,46.38,44.91,42.75,42.38,42.69,41.12,38.88,39.84,41.88,41.62,39.31,38.38,38.78,38.22,35.38,34.16,35.81,37.88,38.06,37.66,39.72,41.66,40.62,38.34,38.22,39.31,39.59,38.78,39.44,42.38,44.12,42.97,41.94,43.41,44.78,44.06,43.09,44.41,46.22,45.81,43.72,42.78,43.19,42.31,38.88,37.34,38.28,39.38,38.53,38.41,40.75,43.62,43.59,42.44,43.62,44.72,43.94,41.44,41.0,42.22,42.31,40.25,38.69,39.25,39.38,36.78,34.69,35.81,37.84,38.22,38.34,40.91,44.25,45.03,43.34,43.06,43.56,43.09,40.41,38.69,39.25,39.88,37.81,35.81,35.94,36.47,35.0,32.59,32.59,34.0,34.16,32.53,31.31,31.38,30.81,27.69,26.03,27.94,31.22,32.94,34.53,38.25,42.16,42.91,41.53,41.72,43.41,44.22,43.59,44.72,47.44,48.84,46.66,44.0,43.0,42.47,39.81,36.56,35.44,34.59,32.31,28.34,27.0,28.38,29.66,29.16,30.06,33.16,36.22,36.69,37.28,39.97,43.0,42.69,40.94,40.34,40.75,39.69,37.03,36.0,37.09,37.62,36.16,35.47,37.34,39.12,38.28,37.22,38.31,40.22,40.0,39.5,41.09,44.22,46.25,46.03,47.03,49.59,51.06,49.53,48.41,49.28,50.06,48.75,46.47,46.34,46.62,44.47,40.22,37.03,35.88,33.94,30.28,28.22,28.84,29.69,28.5,27.81,30.06,33.38,34.0,33.81,35.5,38.47,38.81,37.34,37.16,37.56,36.34,32.78,29.5,28.72,28.0,25.56,23.66,24.44,26.19,25.78,24.75,25.06,27.31,28.5,28.75,30.53,34.5,38.03,38.28,38.59,40.75,42.59,41.31,39.56,39.12,39.06,36.56,32.94,31.31,32.0,32.25,30.91,30.47,32.62,34.25,33.5,33.12,35.44,38.22,38.34,37.88,39.06,41.28,41.22,39.38,38.5,39.28,38.81,36.75,35.47,37.06,38.22,37.06,35.81,36.72,38.59,38.25,37.5,38.31,40.03,39.47,36.34,33.66,32.88,30.97,26.94,24.12,24.44,25.38,24.88,24.59,27.0,30.22,31.25,12.41,17.38,22.56,25.84,28.38,31.44,33.62,32.72,29.34,25.81,22.47,17.88,12.19,8.72,7.78,7.72,7.25,7.34,9.34,11.69,12.16,12.88,15.75,19.41,21.56,22.16,22.97,23.75,22.22,18.88,15.59,13.75,11.47,7.88,4.59:4.0,3.31,5.88,8.44,9.12,11.03,14.94,19.03,20.38,21.94,25.81,30.06,31.88,31.28,32.34,34.5,34.91,33.5,33.59,35.84,37.22,35.56,34.12,34.91,35.66,34.09,32.84,34.34,37.22,38.06,37.09,37.25,37.69,36.25,32.34,29.03,28.53,27.97,25.94,25.12,27.59,31.0,32.34,32.59,34.94,37.59,38.34,37.28,37.41,38.91,39.38,36.75,34.69,34.34,33.5,29.5,25.78,24.56,24.22,21.97,19.72,19.94,21.94,23.0,22.25,23.41,26.0,27.81,26.81,26.53,28.47,30.56,30.03,29.19,30.41,32.03,31.25,29.19,28.88,30.03,29.62,27.19,25.59,26.03,25.72,23.75,22.56,24.44,26.88,26.75,25.66,26.28,27.78,27.31,25.75,25.75,27.41,28.09,26.72,26.41,28.41,30.31,29.53,29.0,30.81,32.72,32.19,30.72,31.16,32.84,33.12,31.81,32.16,34.22,35.25,33.25,32.25,33.22,33.56,31.31,29.25,29.03,29.41,27.25,24.09,22.94,23.34,22.91,21.91,23.03,26.69,30.09,31.16,32.31,35.41,38.25,37.81,36.59,37.62,38.78,37.69,35.53,35.06,36.12,36.22,34.72,33.91,35.59,36.72,35.16,33.66,34.16,34.72,32.62,29.75,29.28,30.0,29.34,27.72,27.69,29.41,29.66,27.84,27.22,29.09,30.91,30.62,31.0,33.47,37.22,38.75,39.41,41.53,44.59,44.69,42.72,42.03,42.88,42.81,40.69,39.22,39.69,40.47,38.81,36.62,36.41,36.94,35.78,34.09,34.84,37.78,39.84,40.94,43.0,46.88,49.59,49.12,47.94,48.38,48.5,45.44,41.75,40.25,39.81,37.53,34.53,33.19,33.81,33.62,31.75,31.62,33.78,36.03,35.88,36.12,38.31,40.28,39.72,37.88,38.12,40.16,40.22,38.88,39.03,40.56,40.81,38.81,37.47,38.44,39.19,37.47,35.62,36.38,38.0,38.16,37.97,39.59,42.81,43.75,42.66,42.59,44.31,45.0,43.28,41.91,42.91,44.0,42.62,40.59,40.66,40.72,38.66,35.56,34.53,36.19,37.47,37.81,39.69,43.59,46.31,46.25,45.56,46.56,48.06,47.03,45.25,45.38,46.28,44.97,42.19,40.75,40.97,40.0,37.25,34.88,35.47,36.09,34.72,33.78,35.88,38.62,38.88,38.47,40.0,42.09,42.62,41.44,41.28,42.53,43.12,41.44,40.34,42.28,44.12,43.78,43.5,45.38,48.0,48.62,47.56,48.28,50.47,50.81,49.34,48.53,49.47,49.03,45.78,42.19,41.09,39.88,36.88,33.69,33.34,34.69,34.81,34.38,35.25,38.03,39.06,37.91,37.25,39.16,40.84,40.75,41.0,43.75,46.66,46.91,45.75,46.31,47.41,46.84,44.84,44.03,45.34,45.47,43.72,42.69,44.03,45.12,44.03,42.47,43.84,45.97,46.19,45.06,45.69,47.0,46.25,44.19,43.38,45.06,46.31,45.06,44.25,45.88,46.91,45.38,44.0,45.16,47.78,48.59,48.12,48.75,51.09,51.47,50.0,49.44,51.12,51.78,49.47,46.84,46.56,46.56,44.06,41.69,42.56,44.66,45.28,44.25,44.62,46.06,45.88,44.34,43.34,44.97,46.19,44.75,42.97,43.38,44.22,43.25,41.38,41.84,43.09,42.97,41.03,40.53,42.25,43.22,42.12,41.56,43.5,44.56,42.88,40.19,39.88,40.03,38.31,35.16,34.16,34.56,33.53,31.28,30.94,33.25,35.25,35.22,35.28,37.62,39.88,39.03,37.19,37.56,39.16,38.75,37.0,37.34,39.47,40.38,39.0,38.69,40.75,42.0,40.53,39.0,39.62,40.62,39.59,37.66,38.47,40.78,41.91,41.44,42.38,44.97,46.12,44.5,43.5,44.66,45.12,43.28,41.66,42.47,43.31,42.12,39.59,38.44,39.22,39.12,37.47,37.69,40.09,42.22,41.56,40.81,42.09,42.88,41.09,39.03,39.84,42.22,41.88,40.62,41.25,43.19,43.53,41.84,41.22,42.47,43.56,42.25,41.91,43.78,46.0,45.59,43.66,43.75,44.72,44.03,40.81,39.72,40.38,39.62,37.03,36.03,37.88,39.31,38.22,37.22,38.66,40.06,39.41,37.5,37.66,39.03,38.81,37.09,36.94,39.03,40.28,38.66,37.69,39.38,40.75,40.0,39.16,40.28,41.97,40.75,37.97,36.88,37.31,36.16,33.09,32.22,33.69,35.25,35.06,35.38,38.47,41.72,41.94,41.56,43.22,45.19,45.03,42.72,41.62,41.12,39.19,35.31,32.72,33.34,34.19,32.88,32.97,35.44,38.62,39.16,39.22,41.34,45.06,46.31,45.88,46.44,48.06,47.66,44.47,41.91,41.78,41.47,38.81,36.59,36.66,37.97,36.62,34.28,34.06,35.53,35.19,33.78,34.09,36.06,37.16,35.41,34.31,35.88,37.66,36.97,36.5,38.25,40.72,40.5,38.88,38.69,39.72,39.0,36.56,35.38,36.38,37.12,34.78,32.91,34.0,34.91,33.38,31.47,31.97,33.97,34.03,33.03,34.31,37.03,38.28,36.97,36.25,37.75,38.62,36.62,35.09,35.94,37.22,35.66,33.16,32.91,34.38,34.03,33.0,33.91,36.81,38.09,36.69,36.12,37.56,39.16,37.59,35.03,34.94,35.06,32.28,29.25,28.38,29.03,27.53,24.53,23.12,24.53,25.66,24.81,24.69,27.06,29.19,27.69,26.03,26.84,28.34,28.0,27.0,28.41,31.75,33.5,32.91,33.53,36.53,38.28,37.34,36.56,37.66,38.0,35.25,31.69,30.66,31.41,30.66,29.19,29.44,31.44,31.53,30.16,30.0,33.0,35.72,36.12,36.41,38.28,40.0,38.62,36.59,36.91,38.97,39.41,38.06,38.25,40.03,40.5,38.38,37.28,38.81,40.09,38.66,36.78,36.72,37.0,34.62,31.28,29.78,30.06,28.88,26.62,25.94,28.19,29.69,29.12,29.47,32.09,34.28,33.53,31.97,32.34,33.06,31.44,28.81,28.47,31.12,32.66,33.47,34.88,38.59,40.34,38.69,36.62,37.09,38.19,37.16,35.59,36.81,39.03,38.38,36.06,35.28,35.97,35.25,32.44,30.56,31.31,31.69,30.44,29.78,32.28,35.38,35.94,35.12,35.72,37.72,37.34,35.09,34.66,36.0,36.84,35.31,34.66,37.12,39.0,38.38,37.09,38.72,40.94,40.78,39.28,38.94,39.72,38.81,36.22,35.12,37.22,38.53,36.91,35.75,37.03,38.66,38.0,37.5,39.25,41.91,42.75,41.72,42.62,45.41,46.06,44.38,43.25,44.38,44.28,41.91,40.25,41.59,43.25,42.34,40.25,40.38,41.31,40.47,38.22,38.53,40.91,42.22,40.81,40.06,41.28,41.41,39.19,36.78,37.78,38.81,37.59,35.38,35.59,37.06,37.22,35.97,36.47,39.31,41.16,41.03,40.94,43.84,46.0,44.88,43.03,43.34,43.69,42.03,39.25,39.06,40.59,40.66,38.72,37.34,37.91,37.38,34.44,32.41,33.62,35.22,34.56,33.59,35.34,37.62,38.09,36.62,37.06,39.28,40.47,39.84,40.97,44.19,46.38,44.91,42.75,42.38,42.69,41.12,38.88,39.84,41.88,41.62,39.31,38.38,38.78,38.22,35.38,34.16,35.81,37.88,38.06,37.66,39.72,41.66,40.62,38.34,38.22,39.31,39.59,38.78,39.44,42.38,44.12,42.97,41.94,43.41,44.78,44.06,43.09,44.41,46.22,45.81,43.72,42.78,43.19,42.31,38.88,37.34,38.28,39.38,38.53,38.41,40.75,43.62,43.59,42.44,43.62,44.72,43.94,41.44,41.0,42.22,42.31,40.25,38.69,39.25,39.38,36.78,34.69,35.81,37.84,38.22,38.34,40.91,44.25,45.03,43.34,43.06,43.56,43.09,40.41,38.69,39.25,39.88,37.81,35.81,35.94,36.47,35.0,32.59,32.59,34.0,34.16,32.53,31.31,31.38,30.81,27.69,26.03,27.94,31.22,32.94,34.53,38.25,42.16,42.91,41.53,41.72,43.41,44.22,43.59,44.72,47.44,48.84,46.66,44.0,43.0,42.47,39.81,36.56,35.44,34.59,32.31,28.34,27.0,28.38,29.66,29.16,30.06,33.16,36.22,36.69,37.28,39.97,43.0,42.69,40.94,40.34,40.75,39.69,37.03,36.0,37.09,37.62,36.16,35.47,37.34,39.12,38.28,37.22,38.31,40.22,40.0,39.5,41.09,44.22,46.25,46.03,47.03,49.59,51.06,49.53,48.41,49.28,50.06,48.75,46.47,46.34,46.62,44.47,40.22,37.03,35.88,33.94,30.28,28.22,28.84,29.69,28.5,27.81,30.06,33.38,34.0,33.81,35.5,38.47,38.81,37.34,37.16,37.56,36.34,32.78,29.5,28.72,28.0,25.56,23.66,24.44,26.19,25.78,24.75,25.06,27.31,28.5,28.75,30.53,34.5,38.03,38.28,38.59,40.75,42.59,41.31,39.56,39.12,39.06,36.56,32.94,31.31,32.0,32.25,30.91,30.47,32.62,34.25,33.5,33.12,35.44,38.22,38.34,37.88,39.06,41.28,41.22,39.38,38.5,39.28,38.81,36.75,35.47,37.06,38.22,37.06,35.81,36.72,38.59,38.25,37.5,38.31,40.03,39.47,36.34,33.66,32.88,30.97,26.94,24.12,24.44,25.38,24.88,24.59,27.0,30.22,31.25,12.41,17.38,22.56,25.84,28.38,31.44,33.62,32.72,29.34,25.81,22.47,17.88,12.19,8.72,7.78,7.72,7.25,7.34,9.34,11.69,12.16,12.88,15.75,19.41,21.56,22.16,22.97,23.75,22.22,18.88,15.59,13.75,11.47,7.88,4.59,4.0,4.22,4.06,4.25,5.91,8.25,9.22:positivity
28.06,26.97,25.56,23.91,22.72,21.0,19.38,18.25,17.75,17.81,17.84,18.03,19.31,20.88,21.44,22.19,23.16,24.56,24.59,24.34,24.19,24.25,23.69,22.81,22.56,23.19,24.19,24.66,25.34,26.72,28.12,28.59,28.91,29.97,31.03,31.78,31.97,32.0,32.28,31.44,29.34,27.09,24.97,22.62,19.91,18.12,18.38,20.03,22.0,24.03,25.84,27.38,27.38,26.12,24.53,23.38,22.28,20.97,20.66,22.03,24.34,25.53,26.09,26.38,26.06,24.25,22.25,20.53,20.03,19.75,19.66,19.75,20.12,20.12,19.12,17.88,17.81,18.03,17.84,17.66,17.69,17.69,16.75,15.12,14.22,14.34,14.72,15.12,15.53,16.94,18.19,18.59,19.16,20.03,20.75,20.38,19.12,17.56,16.91,16.03,15.0,14.91,15.97,17.06,17.78,18.84,20.66,22.72,23.59,23.5,22.84,21.62,19.38,16.38,13.84,12.56,11.09,9.56,8.41,7.97,7.69,6.91,5.97,6.28,7.0,7.47,7.81,9.5,11.31,12.38,12.66,12.53,12.66,12.62,11.72,11.31,12.41,13.28,14.34,15.25,17.28,19.72,21.03,21.59,21.47,20.5,18.78,16.5,14.53,13.84,14.03,14.59,15.25,16.72,18.62,19.06,18.31,17.94,17.38,16.38,14.81,13.75,13.19,11.97,10.34,8.62,8.03,7.91,7.12,7.12,8.59,10.34,11.47,12.69,14.19,15.97,17.97,19.53,20.78,22.25,22.53,21.38,19.84,18.31,17.16,16.0,14.56,14.38,14.66,14.62,13.72,13.34,13.06,13.0,12.66,12.44,13.44,14.41,14.44,14.06,14.12,14.53,14.62,14.38,14.97,15.94,15.97,14.62,13.53,13.59,13.59,13.5,14.25,16.06,17.66,17.53,16.72,16.16,15.62,14.34,13.0,12.69,13.16,13.91,14.0,14.47,15.16,15.53,14.03,12.19,11.0,9.75,8.06,6.5,6.16,6.16,5.91,5.53,6.22,8.0,10.31,12.5,14.88,17.78,20.06,19.81,18.53,17.22,15.69,13.72,12.28,12.0,12.22,11.88,10.5,9.25,8.78,8.47,7.75,7.62,8.88,10.69,11.28,11.88,13.06,14.25,14.25,13.75,13.75,14.25,14.69,14.12,13.59,13.84,14.19,12.94,11.06,10.16,8.94,6.5,3.97,2.41,1.31,0.59,-0.19,0.03,1.62,3.44,4.5,5.59,7.44,9.25,9.81,10.34,11.53,12.94,13.22,12.53,12.19,11.75,11.06,9.41,8.53,9.0,10.03,10.41,11.38,13.47,15.94,17.03,17.59,18.5,19.75,19.94,19.22,19.09,19.06,18.19,16.12,13.94,12.59,11.28,9.19,7.72,7.72,8.59,8.75,9.34,10.34,11.41,11.47,10.94,10.97,11.66,12.34,12.12,12.28,13.0,13.94,14.16,14.5,15.47,16.78,16.81,15.94,15.12,14.78,13.78,12.53,12.12,13.06,14.69,15.41,16.16,17.75,19.38,19.53,19.16,19.25,19.62,19.19,18.41,18.12,18.53,17.88,16.31,15.16,14.56,14.0,12.56,11.59,11.34,11.81,11.06,10.28,10.62,11.53,11.69,11.5,11.5,11.97,11.75,10.62,9.91,10.19,10.97,11.16,11.16,11.78,12.22,11.53,10.22,9.78,10.0,10.31,9.84,10.12,10.66,10.62,9.84,8.69,8.88,9.62,10.0,10.81,12.72,15.03,15.78,15.84,16.09,16.75,16.28,15.62,15.25,15.84,16.75,16.47,15.62,15.22,14.47,12.22,10.38,9.62,10.25,11.22,12.5,14.41,16.94,18.56,18.12,17.34,17.41,16.97,16.12,15.0,14.28,13.88,12.69,11.38,11.12,12.28,12.91,12.88,13.16,14.41,15.0,15.12,14.88,16.06,16.81,16.44,16.53,17.16,17.72,18.44,18.28,18.41,19.22,18.97,17.53,16.09,15.16,13.84,12.25,11.31,12.0,13.38,14.19,14.69,15.53,16.19,15.97,14.88,14.22,14.59,14.84,15.12,15.97,17.91,20.0,21.03,21.28,21.0,20.72,19.19,17.75,17.53,18.25,19.25,19.28,18.75,18.78,17.62,15.91,14.25,14.22,14.88,15.12,14.69,14.84,14.94,14.03,12.47,12.06,12.28,12.75,12.91,13.72,16.5,18.72,20.25,21.59,23.16,23.97,23.44,22.25,21.16,20.5,19.5,18.09,17.75,18.41,18.78,18.38,17.31,17.25,16.44,15.34,14.19,14.41,15.0,15.62,15.84,16.44,17.41,18.03,17.47,17.03,17.5,17.81,17.38,16.66,17.06,17.41,17.16,16.69,17.03,17.31,17.25,16.56,16.12,16.47,16.53,15.84,15.5,16.53,17.78,18.12,18.53,19.44,20.22,19.94,19.03,18.75,18.69,18.06,16.41,15.12,14.66,14.0,12.94,12.81,13.5,14.72,15.31,15.03,15.09,14.5,13.5,12.09,11.31,11.34,11.81,11.66,11.41,11.5,11.97,11.22,10.5,10.69,11.44,11.88,12.12,13.28,14.28,14.25,13.31,12.28,11.56,11.28,10.47,9.81,10.03,10.41,10.06,9.22,9.44,9.88,9.88,10.06,10.88,11.62,12.19,11.97,11.62,11.78,12.19,12.28,12.84,14.62,16.56,18.0,18.69,18.91,18.69,17.59,15.91,15.09,15.25,16.25,16.84,17.53,18.69,19.72,19.34,18.72,18.94,19.34,19.06,18.88,19.16,19.34,19.0,17.25,15.38,13.88,12.59,10.88,10.38,10.97,12.22,13.41,14.53,15.72,16.53,16.31,15.53,15.47,16.72,17.94,19.0,20.03,20.88,20.88,19.78,18.0,16.78,16.16,15.12,14.09,13.53,13.69,13.16,12.22,12.03,13.28,15.31,17.12,19.31,21.91,23.88,23.97,23.34,22.25,21.59,20.12,19.03,18.09,17.59,16.78,15.16,13.53,13.06,13.31,13.47,14.16,15.41,16.75,17.12,17.16,16.94,17.19,17.22,16.88,17.31,18.59,19.34,19.44,19.06,19.5,20.06,20.38,20.69,21.81,23.25,23.66,23.22,22.62,21.94,20.53,18.44,16.78,16.69,17.28,17.94,18.28,19.25,19.88,19.03,17.62,16.75,16.66,16.38,16.47,16.31,17.06,17.06,15.78,14.0,12.75,11.41,9.69,8.69,8.91,10.03,11.19,11.75,12.62,13.38,13.47,12.66,12.22,12.69,13.25,13.53,14.25,15.59,16.84,17.31,16.97,17.44,18.12,18.16,18.16,18.38,19.0,19.12,18.53,17.5,16.97,15.78,13.81,11.25,9.88,9.38,9.25,9.53,11.34,14.03,16.03,17.88,19.28,21.19,22.53,23.47,23.91,24.66,25.44,24.97,23.59,22.5,21.91,20.97,20.25,20.72,22.09,23.69,24.53,25.12,25.91,26.0,25.06,23.59,22.94,22.94,22.44,22.19,23.25,25.41,27.41,29.22,31.38,33.62,34.75,34.41,32.38,30.94,28.84,25.5,22.16,19.62,17.5,15.53,13.78,13.19,13.25,13.19,11.88,10.53,9.78,8.78,7.38,6.66,7.72,9.44,11.44,13.66,16.28,19.53,21.78,23.28,24.78,26.59,27.88,28.16,28.19,28.66,29.34,29.25,28.91,29.31,29.66,29.25,27.41,26.06,24.25,21.84,17.66,13.69,11.03,8.75,7.38,7.47,9.22,12.16,14.41,16.16,18.34,20.59,22.31,23.0,24.5,26.19,27.72,28.16,28.5,29.53,30.12,29.28,28.06,27.41,26.72,25.72,24.16,23.41,23.16,22.06,19.75,18.16,17.84,18.06,18.34,19.88,22.12,24.06,24.47,24.09,23.53,23.25,22.19,20.78,19.75,19.25,18.62,17.38,17.03,18.41,21.03,23.0,25.06,27.75,29.91,29.91,29.44,29.62,30.06,29.59,27.88,26.34,25.16,23.5,20.94,19.81,20.22,20.78,20.97,21.38,22.88,24.25,24.81,25.0,25.38,26.09,26.09,25.44,25.12,25.44,25.72,24.69,24.12,24.25,24.72,23.94,23.12,23.06,23.16,22.69,21.97,22.12,22.88,23.47,22.56,21.53,20.38,19.09,16.25,13.69,12.41,12.38,11.69,11.88,13.5,16.0,18.62,20.72,23.0,25.84,28.09,29.12,30.0,31.38,32.78,32.53,31.53,30.81,29.72,26.91,23.59,20.72,18.62,16.34,14.0,12.81,12.53,12.25,11.41,10.78,11.09,12.41,13.53,15.41,18.53,21.84,23.94,25.03,26.0,27.47,28.25,28.12,27.78,27.69,27.25,25.06,22.44,21.44,21.22,20.62,21.03,22.69,24.78,25.59,24.97,24.22,23.75,23.28,22.03,21.75,22.34,23.38,23.22,23.0,23.62,24.03,23.38,22.38,21.81,21.53,20.34,18.25,15.97,14.31,12.0,9.5,7.84,8.78,10.69,12.41,14.03,15.84,17.19,17.12,16.09,15.12,15.5,15.41,14.66,14.06,14.75,15.03,14.66,14.41,15.66,17.41,18.5,19.5,21.16,23.38,24.47,25.0,25.0,25.25,24.25,22.44,20.19,19.06,18.31,16.47,14.59,13.94,13.62,12.44,11.72,11.94,12.97,13.66,13.97,14.66,16.0,16.53,15.97,14.59,13.78,12.59,10.94,9.34,9.41,10.62,11.91,12.41,12.81,13.25,12.69,11.12,10.19,10.91,12.19,12.53,12.62,12.94,12.66,11.12,9.19,7.62,6.62,5.38,3.38,2.06,2.12,2.81,3.38,4.72,8.03,11.0,13.0,14.38,16.34,18.0,18.62,18.19,18.19,18.31,17.75,16.75,15.75,15.59,15.03,13.34,11.75,11.53,11.03,10.22,9.78,10.28,11.12,11.56,10.97,11.03,11.06,10.81,10.12,9.5,10.06,10.25,9.53,8.75,9.0,9.34,9.75,10.22,11.47,13.44,14.97:18.25,17.75,17.81,17.84,18.03,19.31,20.88,21.44,22.19,23.16,24.56,24.59,24.34,24.19,24.25,23.69,22.81,22.56,23.19,24.19,24.66,25.34,26.72,28.12,28.59,28.91,29.97,31.03,31.78,31.97,32.0,32.28,31.44,29.34,27.09,24.97,22.62,19.91,18.12,18.38,20.03,22.0,24.03,25.84,27.38,27.38,26.12,24.53,23.38,22.28,20.97,20.66,22.03,24.34,25.53,26.09,26.38,26.06,24.25,22.25,20.53,20.03,19.75,19.66,19.75,20.12,20.12,19.12,17.88,17.81,18.03,17.84,17.66,17.69,17.69,16.75,15.12,14.22,14.34,14.72,15.12,15.53,16.94,18.19,18.59,19.16,20.03,20.75,20.38,19.12,17.56,16.91,16.03,15.0,14.91,15.97,17.06,17.78,18.84,20.66,22.72,23.59,23.5,22.84,21.62,19.38,16.38,13.84,12.56,11.09,9.56,8.41,7.97,7.69,6.91,5.97,6.28,7.0,7.47,7.81,9.5,11.31,12.38,12.66,12.53,12.66,12.62,11.72,11.31,12.41,13.28,14.34,15.25,17.28,19.72,21.03,21.59,21.47,20.5,18.78,16.5,14.53,13.84,14.03,14.59,15.25,16.72,18.62,19.06,18.31,17.94,17.38,16.38,14.81,13.75,13.19,11.97,10.34,8.62,8.03,7.91,7.12,7.12,8.59,10.34,11.47,12.69,14.19,15.97,17.97,19.53,20.78,22.25,22.53,21.38,19.84,18.31,17.16,16.0,14.56,14.38,14.66,14.62,13.72,13.34,13.06,13.0,12.66,12.44,13.44,14.41,14.44,14.06,14.12,14.53,14.62,14.38,14.97,15.94,15.97,14.62,13.53,13.59,13.59,13.5,14.25,16.06,17.66,17.53,16.72,16.16,15.62,14.34,13.0,12.69,13.16,13.91,14.0,14.47,15.16,15.53,14.03,12.19,11.0,9.75,8.06,6.5,6.16,6.16,5.91,5.53,6.22,8.0,10.31,12.5,14.88,17.78,20.06,19.81,18.53,17.22,15.69,13.72,12.28,12.0,12.22,11.88,10.5,9.25,8.78,8.47,7.75,7.62,8.88,10.69,11.28,11.88,13.06,14.25,14.25,13.75,13.75,14.25,14.69,14.12,13.59,13.84,14.19,12.94,11.06,10.16,8.94,6.5,3.97,2.41,1.31,0.59,-0.19,0.03,1.62,3.44,4.5,5.59,7.44,9.25,9.81,10.34,11.53,12.94,13.22,12.53,12.19,11.75,11.06,9.41,8.53,9.0,10.03,10.41,11.38,13.47,15.94,17.03,17.59,18.5,19.75,19.94,19.22,19.09,19.06,18.19,16.12,13.94,12.59,11.28,9.19,7.72,7.72,8.59,8.75,9.34,10.34,11.41,11.47,10.94,10.97,11.66,12.34,12.12,12.28,13.0,13.94,14.16,14.5,15.47,16.78,16.81,15.94,15.12,14.78,13.78,12.53,12.12,13.06,14.69,15.41,16.16,17.75,19.38,19.53,19.16,19.25,19.62,19.19,18.41,18.12,18.53,17.88,16.31,15.16,14.56,14.0,12.56,11.59,11.34,11.81,11.06,10.28,10.62,11.53,11.69,11.5,11.5,11.97,11.75,10.62,9.91,10.19,10.97,11.16,11.16,11.78,12.22,11.53,10.22,9.78,10.0,10.31,9.84,10.12,10.66,10.62,9.84,8.69,8.88,9.62,10.0,10.81,12.72,15.03,15.78,15.84,16.09,16.75,16.28,15.62,15.25,15.84,16.75,16.47,15.62,15.22,14.47,12.22,10.38,9.62,10.25,11.22,12.5,14.41,16.94,18.56,18.12,17.34,17.41,16.97,16.12,15.0,14.28,13.88,12.69,11.38,11.12,12.28,12.91,12.88,13.16,14.41,15.0,15.12,14.88,16.06,16.81,16.44,16.53,17.16,17.72,18.44,18.28,18.41,19.22,18.97,17.53,16.09,15.16,13.84,12.25,11.31,12.0,13.38,14.19,14.69,15.53,16.19,15.97,14.88,14.22,14.59,14.84,15.12,15.97,17.91,20.0,21.03,21.28,21.0,20.72,19.19,17.75,17.53,18.25,19.25,19.28,18.75,18.78,17.62,15.91,14.25,14.22,14.88,15.12,14.69,14.84,14.94,14.03,12.47,12.06,12.28,12.75,12.91,13.72,16.5,18.72,20.25,21.59,23.16,23.97,23.44,22.25,21.16,20.5,19.5,18.09,17.75,18.41,18.78,18.38,17.31,17.25,16.44,15.34,14.19,14.41,15.0,15.62,15.84,16.44,17.41,18.03,17.47,17.03,17.5,17.81,17.38,16.66,17.06,17.41,17.16,16.69,17.03,17.31,17.25,16.56,16.12,16.47,16.53,15.84,15.5,16.53,17.78,18.12,18.53,19.44,20.22,19.94,19.03,18.75,18.69,18.06,16.41,15.12,14.66,14.0,12.94,12.81,13.5,14.72,15.31,15.03,15.09,14.5,13.5,12.09,11.31,11.34,11.81,11.66,11.41,11.5,11.97,11.22,10.5,10.69,11.44,11.88,12.12,13.28,14.28,14.25,13.31,12.28,11.56,11.28,10.47,9.81,10.03,10.41,10.06,9.22,9.44,9.88,9.88,10.06,10.88,11.62,12.19,11.97,11.62,11.78,12.19,12.28,12.84,14.62,16.56,18.0,18.69,18.91,18.69,17.59,15.91,15.09,15.25,16.25,16.84,17.53,18.69,19.72,19.34,18.72,18.94,19.34,19.06,18.88,19.16,19.34,19.0,17.25,15.38,13.88,12.59,10.88,10.38,10.97,12.22,13.41,14.53,15.72,16.53,16.31,15.53,15.47,16.72,17.94,19.0,20.03,20.88,20.88,19.78,18.0,16.78,16.16,15.12,14.09,13.53,13.69,13.16,12.22,12.03,13.28,15.31,17.12,19.31,21.91,23.88,23.97,23.34,22.25,21.59,20.12,19.03,18.09,17.59,16.78,15.16,13.53,13.06,13.31,13.47,14.16,15.41,16.75,17.12,17.16,16.94,17.19,17.22,16.88,17.31,18.59,19.34,19.44,19.06,19.5,20.06,20.38,20.69,21.81,23.25,23.66,23.22,22.62,21.94,20.53,18.44,16.78,16.69,17.28,17.94,18.28,19.25,19.88,19.03,17.62,16.75,16.66,16.38,16.47,16.31,17.06,17.06,15.78,14.0,12.75,11.41,9.69,8.69,8.91,10.03,11.19,11.75,12.62,13.38,13.47,12.66,12.22,12.69,13.25,13.53,14.25,15.59,16.84,17.31,16.97,17.44,18.12,18.16,18.16,18.38,19.0,19.12,18.53,17.5,16.97,15.78,13.81,11.25,9.88,9.38,9.25,9.53,11.34,14.03,16.03,17.88,19.28,21.19,22.53,23.47,23.91,24.66,25.44,24.97,23.59,22.5,21.91,20.97,20.25,20.72,22.09,23.69,24.53,25.12,25.91,26.0,25.06,23.59,22.94,22.94,22.44,22.19,23.25,25.41,27.41,29.22,31.38,33.62,34.75,34.41,32.38,30.94,28.84,25.5,22.16,19.62,17.5,15.53,13.78,13.19,13.25,13.19,11.88,10.53,9.78,8.78,7.38,6.66,7.72,9.44,11.44,13.66,16.28,19.53,21.78,23.28,24.78,26.59,27.88,28.16,28.19,28.66,29.34,29.25,28.91,29.31,29.66,29.25,27.41,26.06,24.25,21.84,17.66,13.69,11.03,8.75,7.38,7.47,9.22,12.16,14.41,16.16,18.34,20.59,22.31,23.0,24.5,26.19,27.72,28.16,28.5,29.53,30.12,29.28,28.06,27.41,26.72,25.72,24.16,23.41,23.16,22.06,19.75,18.16,17.84,18.06,18.34,19.88,22.12,24.06,24.47,24.09,23.53,23.25,22.19,20.78,19.75,19.25,18.62,17.38,17.03,18.41,21.03,23.0,25.06,27.75,29.91,29.91,29.44,29.62,30.06,29.59,27.88,26.34,25.16,23.5,20.94,19.81,20.22,20.78,20.97,21.38,22.88,24.25,24.81,25.0,25.38,26.09,26.09,25.44,25.12,25.44,25.72,24.69,24.12,24.25,24.72,23.94,23.12,23.06,23.16,22.69,21.97,22.12,22.88,23.47,22.56,21.53,20.38,19.09,16.25,13.69,12.41,12.38,11.69,11.88,13.5,16.0,18.62,20.72,23.0,25.84,28.09,29.12,30.0,31.38,32.78,32.53,31.53,30.81,29.72,26.91,23.59,20.72,18.62,16.34,14.0,12.81,12.53,12.25,11.41,10.78,11.09,12.41,13.53,15.41,18.53,21.84,23.94,25.03,26.0,27.47,28.25,28.12,27.78,27.69,27.25,25.06,22.44,21.44,21.22,20.62,21.03,22.69,24.78,25.59,24.97,24.22,23.75,23.28,22.03,21.75,22.34,23.38,23.22,23.0,23.62,24.03,23.38,22.38,21.81,21.53,20.34,18.25,15.97,14.31,12.0,9.5,7.84,8.78,10.69,12.41,14.03,15.84,17.19,17.12,16.09,15.12,15.5,15.41,14.66,14.06,14.75,15.03,14.66,14.41,15.66,17.41,18.5,19.5,21.16,23.38,24.47,25.0,25.0,25.25,24.25,22.44,20.19,19.06,18.31,16.47,14.59,13.94,13.62,12.44,11.72,11.94,12.97,13.66,13.97,14.66,16.0,16.53,15.97,14.59,13.78,12.59,10.94,9.34,9.41,10.62,11.91,12.41,12.81,13.25,12.69,11.12,10.19,10.91,12.19,12.53,12.62,12.94,12.66,11.12,9.19,7.62,6.62,5.38,3.38,2.06,2.12,2.81,3.38,4.72,8.03,11.0,13.0,14.38,16.34,18.0,18.62,18.19,18.19,18.31,17.75,16.75,15.75,15.59,15.03,13.34,11.75,11.53,11.03,10.22,9.78,10.28,11.12,11.56,10.97,11.03,11.06,10.81,10.12,9.5,10.06,10.25,9.53,8.75,9.0,9.34,9.75,10.22,11.47,13.44,14.97,48.03,47.28,45.97,44.5,43.59,42.5,42.06:21.44,22.19,23.16,24.56,24.59,24.34,24.19,24.25,23.69,22.81,22.56,23.19,24.19,24.66,25.34,26.72,28.12,28.59,28.91,29.97,31.03,31.78,31.97,32.0,32.28,31.44,29.34,27.09,24.97,22.62,19.91,18.12,18.38,20.03,22.0,24.03,25.84,27.38,27.38,26.12,24.53,23.38,22.28,20.97,20.66,22.03,24.34,25.53,26.09,26.38,26.06,24.25,22.25,20.53,20.03,19.75,19.66,19.75,20.12,20.12,19.12,17.88,17.81,18.03,17.84,17.66,17.69,17.69,16.75,15.12,14.22,14.34,14.72,15.12,15.53,16.94,18.19,18.59,19.16,20.03,20.75,20.38,19.12,17.56,16.91,16.03,15.0,14.91,15.97,17.06,17.78,18.84,20.66,22.72,23.59,23.5,22.84,21.62,19.38,16.38,13.84,12.56,11.09,9.56,8.41,7.97,7.69,6.91,5.97,6.28,7.0,7.47,7.81,9.5,11.31,12.38,12.66,12.53,12.66,12.62,11.72,11.31,12.41,13.28,14.34,15.25,17.28,19.72,21.03,21.59,21.47,20.5,18.78,16.5,14.53,13.84,14.03,14.59,15.25,16.72,18.62,19.06,18.31,17.94,17.38,16.38,14.81,13.75,13.19,11.97,10.34,8.62,8.03,7.91,7.12,7.12,8.59,10.34,11.47,12.69,14.19,15.97,17.97,19.53,20.78,22.25,22.53,21.38,19.84,18.31,17.16,16.0,14.56,14.38,14.66,14.62,13.72,13.34,13.06,13.0,12.66,12.44,13.44,14.41,14.44,14.06,14.12,14.53,14.62,14.38,14.97,15.94,15.97,14.62,13.53,13.59,13.59,13.5,14.25,16.06,17.66,17.53,16.72,16.16,15.62,14.34,13.0,12.69,13.16,13.91,14.0,14.47,15.16,15.53,14.03,12.19,11.0,9.75,8.06,6.5,6.16,6.16,5.91,5.53,6.22,8.0,10.31,12.5,14.88,17.78,20.06,19.81,18.53,17.22,15.69,13.72,12.28,12.0,12.22,11.88,10.5,9.25,8.78,8.47,7.75,7.62,8.88,10.69,11.28,11.88,13.06,14.25,14.25,13.75,13.75,14.25,14.69,14.12,13.59,13.84,14.19,12.94,11.06,10.16,8.94,6.5,3.97,2.41,1.31,0.59,-0.19,0.03,1.62,3.44,4.5,5.59,7.44,9.25,9.81,10.34,11.53,12.94,13.22,12.53,12.19,11.75,11.06,9.41,8.53,9.0,10.03,10.41,11.38,13.47,15.94,17.03,17.59,18.5,19.75,19.94,19.22,19.09,19.06,18.19,16.12,13.94,12.59,11.28,9.19,7.72,7.72,8.59,8.75,9.34,10.34,11.41,11.47,10.94,10.97,11.66,12.34,12.12,12.28,13.0,13.94,14.16,14.5,15.47,16.78,16.81,15.94,15.12,14.78,13.78,12.53,12.12,13.06,14.69,15.41,16.16,17.75,19.38,19.53,19.16,19.25,19.62,19.19,18.41,18.12,18.53,17.88,16.31,15.16,14.56,14.0,12.56,11.59,11.34,11.81,11.06,10.28,10.62,11.53,11.69,11.5,11.5,11.97,11.75,10.62,9.91,10.19,10.97,11.16,11.16,11.78,12.22,11.53,10.22,9.78,10.0,10.31,9.84,10.12,10.66,10.62,9.84,8.69,8.88,9.62,10.0,10.81,12.72,15.03,15.78,15.84,16.09,16.75,16.28,15.62,15.25,15.84,16.75,16.47,15.62,15.22,14.47,12.22,10.38,9.62,10.25,11.22,12.5,14.41,16.94,18.56,18.12,17.34,17.41,16.97,16.12,15.0,14.28,13.88,12.69,11.38,11.12,12.28,12.91,12.88,13.16,14.41,15.0,15.12,14.88,16.06,16.81,16.44,16.53,17.16,17.72,18.44,18.28,18.41,19.22,18.97,17.53,16.09,15.16,13.84,12.25,11.31,12.0,13.38,14.19,14.69,15.53,16.19,15.97,14.88,14.22,14.59,14.84,15.12,15.97,17.91,20.0,21.03,21.28,21.0,20.72,19.19,17.75,17.53,18.25,19.25,19.28,18.75,18.78,17.62,15.91,14.25,14.22,14.88,15.12,14.69,14.84,14.94,14.03,12.47,12.06,12.28,12.75,12.91,13.72,16.5,18.72,20.25,21.59,23.16,23.97,23.44,22.25,21.16,20.5,19.5,18.09,17.75,18.41,18.78,18.38,17.31,17.25,16.44,15.34,14.19,14.41,15.0,15.62,15.84,16.44,17.41,18.03,17.47,17.03,17.5,17.81,17.38,16.66,17.06,17.41,17.16,16.69,17.03,17.31,17.25,16.56,16.12,16.47,16.53,15.84,15.5,16.53,17.78,18.12,18.53,19.44,20.22,19.94,19.03,18.75,18.69,18.06,16.41,15.12,14.66,14.0,12.94,12.81,13.5,14.72,15.31,15.03,15.09,14.5,13.5,12.09,11.31,11.34,11.81,11.66,11.41,11.5,11.97,11.22,10.5,10.69,11.44,11.88,12.12,13.28,14.28,14.25,13.31,12.28,11.56,11.28,10.47,9.81,10.03,10.41,10.06,9.22,9.44,9.88,9.88,10.06,10.88,11.62,12.19,11.97,11.62,11.78,12.19,12.28,12.84,14.62,16.56,18.0,18.69,18.91,18.69,17.59,15.91,15.09,15.25,16.25,16.84,17.53,18.69,19.72,19.34,18.72,18.94,19.34,19.06,18.88,19.16,19.34,19.0,17.25,15.38,13.88,12.59,10.88,10.38,10.97,12.22,13.41,14.53,15.72,16.53,16.31,15.53,15.47,16.72,17.94,19.0,20.03,20.88,20.88,19.78,18.0,16.78,16.16,15.12,14.09,13.53,13.69,13.16,12.22,12.03,13.28,15.31,17.12,19.31,21.91,23.88,23.97,23.34,22.25,21.59,20.12,19.03,18.09,17.59,16.78,15.16,13.53,13.06,13.31,13.47,14.16,15.41,16.75,17.12,17.16,16.94,17.19,17.22,16.88,17.31,18.59,19.34,19.44,19.06,19.5,20.06,20.38,20.69,21.81,23.25,23.66,23.22,22.62,21.94,20.53,18.44,16.78,16.69,17.28,17.94,18.28,19.25,19.88,19.03,17.62,16.75,16.66,16.38,16.47,16.31,17.06,17.06,15.78,14.0,12.75,11.41,9.69,8.69,8.91,10.03,11.19,11.75,12.62,13.38,13.47,12.66,12.22,12.69,13.25,13.53,14.25,15.59,16.84,17.31,16.97,17.44,18.12,18.16,18.16,18.38,19.0,19.12,18.53,17.5,16.97,15.78,13.81,11.25,9.88,9.38,9.25,9.53,11.34,14.03,16.03,17.88,19.28,21.19,22.53,23.47,23.91,24.66,25.44,24.97,23.59,22.5,21.91,20.97,20.25,20.72,22.09,23.69,24.53,25.12,25.91,26.0,25.06,23.59,22.94,22.94,22.44,22.19,23.25,25.41,27.41,29.22,31.38,33.62,34.75,34.41,32.38,30.94,28.84,25.5,22.16,19.62,17.5,15.53,13.78,13.19,13.25,13.19,11.88,10.53,9.78,8.78,7.38,6.66,7.72,9.44,11.44,13.66,16.28,19.53,21.78,23.28,24.78,26.59,27.88,28.16,28.19,28.66,29.34,29.25,28.91,29.31,29.66,29.25,27.41,26.06,24.25,21.84,17.66,13.69,11.03,8.75,7.38,7.47,9.22,12.16,14.41,16.16,18.34,20.59,22.31,23.0,24.5,26.19,27.72,28.16,28.5,29.53,30.12,29.28,28.06,27.41,26.72,25.72,24.16,23.41,23.16,22.06,19.75,18.16,17.84,18.06,18.34,19.88,22.12,24.06,24.47,24.09,23.53,23.25,22.19,20.78,19.75,19.25,18.62,17.38,17.03,18.41,21.03,23.0,25.06,27.75,29.91,29.91,29.44,29.62,30.06,29.59,27.88,26.34,25.16,23.5,20.94,19.81,20.22,20.78,20.97,21.38,22.88,24.25,24.81,25.0,25.38,26.09,26.09,25.44,25.12,25.44,25.72,24.69,24.12,24.25,24.72,23.94,23.12,23.06,23.16,22.69,21.97,22.12,22.88,23.47,22.56,21.53,20.38,19.09,16.25,13.69,12.41,12.38,11.69,11.88,13.5,16.0,18.62,20.72,23.0,25.84,28.09,29.12,30.0,31.38,32.78,32.53,31.53,30.81,29.72,26.91,23.59,20.72,18.62,16.34,14.0,12.81,12.53,12.25,11.41,10.78,11.09,12.41,13.53,15.41,18.53,21.84,23.94,25.03,26.0,27.47,28.25,28.12,27.78,27.69,27.25,25.06,22.44,21.44,21.22,20.62,21.03,22.69,24.78,25.59,24.97,24.22,23.75,23.28,22.03,21.75,22.34,23.38,23.22,23.0,23.62,24.03,23.38,22.38,21.81,21.53,20.34,18.25,15.97,14.31,12.0,9.5,7.84,8.78,10.69,12.41,14.03,15.84,17.19,17.12,16.09,15.12,15.5,15.41,14.66,14.06,14.75,15.03,14.66,14.41,15.66,17.41,18.5,19.5,21.16,23.38,24.47,25.0,25.0,25.25,24.25,22.44,20.19,19.06,18.31,16.47,14.59,13.94,13.62,12.44,11.72,11.94,12.97,13.66,13.97,14.66,16.0,16.53,15.97,14.59,13.78,12.59,10.94,9.34,9.41,10.62,11.91,12.41,12.81,13.25,12.69,11.12,10.19,10.91,12.19,12.53,12.62,12.94,12.66,11.12,9.19,7.62,6.62,5.38,3.38,2.06,2.12,2.81,3.38,4.72,8.03,11.0,13.0,14.38,16.34,18.0,18.62,18.19,18.19,18.31,17.75,16.75,15.75,15.59,15.03,13.34,11.75,11.53,11.03,10.22,9.78,10.28,11.12,11.56,10.97,11.03,11.06,10.81,10.12,9.5,10.06,10.25,9.53,8.75,9.0,9.34,9.75,10.22,11.47,13.44,14.97,48.03,47.28,45.97,44.5,43.59,42.5,42.06,41.94,41.75,42.12,42.62,43.16,43.66,44.78:24.25,23.69,22.81,22.56,23.19,24.19,24.66,25.34,26.72,28.12,28.59,28.91,29.97,31.03,31.78,31.97,32.0,32.28,31.44,29.34,27.09,24.97,22.62,19.91,18.12,18.38,20.03,22.0,24.03,25.84,27.38,27.38,26.12,24.53,23.38,22.28,20.97,20.66,22.03,24.34,25.53,26.09,26.38,26.06,24.25,22.25,20.53,20.03,19.75,19.66,19.75,20.12,20.12,19.12,17.88,17.81,18.03,17.84,17.66,17.69,17.69,16.75,15.12,14.22,14.34,14.72,15.12,15.53,16.94,18.19,18.59,19.16,20.03,20.75,20.38,19.12,17.56,16.91,16.03,15.0,14.91,15.97,17.06,17.78,18.84,20.66,22.72,23.59,23.5,22.84,21.62,19.38,16.38,13.84,12.56,11.09,9.56,8.41,7.97,7.69,6.91,5.97,6.28,7.0,7.47,7.81,9.5,11.31,12.38,12.66,12.53,12.66,12.62,11.72,11.31,12.41,13.28,14.34,15.25,17.28,19.72,21.03,21.59,21.47,20.5,18.78,16.5,14.53,13.84,14.03,14.59,15.25,16.72,18.62,19.06,18.31,17.94,17.38,16.38,14.81,13.75,13.19,11.97,10.34,8.62,8.03,7.91,7.12,7.12,8.59,10.34,11.47,12.69,14.19,15.97,17.97,19.53,20.78,22.25,22.53,21.38,19.84,18.31,17.16,16.0,14.56,14.38,14.66,14.62,13.72,13.34,13.06,13.0,12.66,12.44,13.44,14.41,14.44,14.06,14.12,14.53,14.62,14.38,14.97,15.94,15.97,14.62,13.53,13.59,13.59,13.5,14.25,16.06,17.66,17.53,16.72,16.16,15.62,14.34,13.0,12.69,13.16,13.91,14.0,14.47,15.16,15.53,14.03,12.19,11.0,9.75,8.06,6.5,6.16,6.16,5.91,5.53,6.22,8.0,10.31,12.5,14.88,17.78,20.06,19.81,18.53,17.22,15.69,13.72,12.28,12.0,12.22,11.88,10.5,9.25,8.78,8.47,7.75,7.62,8.88,10.69,11.28,11.88,13.06,14.25,14.25,13.75,13.75,14.25,14.69,14.12,13.59,13.84,14.19,12.94,11.06,10.16,8.94,6.5,3.97,2.41,1.31,0.59,-0.19,0.03,1.62,3.44,4.5,5.59,7.44,9.25,9.81,10.34,11.53,12.94,13.22,12.53,12.19,11.75,11.06,9.41,8.53,9.0,10.03,10.41,11.38,13.47,15.94,17.03,17.59,18.5,19.75,19.94,19.22,19.09,19.06,18.19,16.12,13.94,12.59,11.28,9.19,7.72,7.72,8.59,8.75,9.34,10.34,11.41,11.47,10.94,10.97,11.66,12.34,12.12,12.28,13.0,13.94,14.16,14.5,15.47,16.78,16.81,15.94,15.12,14.78,13.78,12.53,12.12,13.06,14.69,15.41,16.16,17.75,19.38,19.53,19.16,19.25,19.62,19.19,18.41,18.12,18.53,17.88,16.31,15.16,14.56,14.0,12.56,11.59,11.34,11.81,11.06,10.28,10.62,11.53,11.69,11.5,11.5,11.97,11.75,10.62,9.91,10.19,10.97,11.16,11.16,11.78,12.22,11.53,10.22,9.78,10.0,10.31,9.84,10.12,10.66,10.62,9.84,8.69,8.88,9.62,10.0,10.81,12.72,15.03,15.78,15.84,16.09,16.75,16.28,15.62,15.25,15.84,16.75,16.47,15.62,15.22,14.47,12.22,10.38,9.62,10.25,11.22,12.5,14.41,16.94,18.56,18.12,17.34,17.41,16.97,16.12,15.0,14.28,13.88,12.69,11.38,11.12,12.28,12.91,12.88,13.16,14.41,15.0,15.12,14.88,16.06,16.81,16.44,16.53,17.16,17.72,18.44,18.28,18.41,19.22,18.97,17.53,16.09,15.16,13.84,12.25,11.31,12.0,13.38,14.19,14.69,15.53,16.19,15.97,14.88,14.22,14.59,14.84,15.12,15.97,17.91,20.0,21.03,21.28,21.0,20.72,19.19,17.75,17.53,18.25,19.25,19.28,18.75,18.78,17.62,15.91,14.25,14.22,14.88,15.12,14.69,14.84,14.94,14.03,12.47,12.06,12.28,12.75,12.91,13.72,16.5,18.72,20.25,21.59,23.16,23.97,23.44,22.25,21.16,20.5,19.5,18.09,17.75,18.41,18.78,18.38,17.31,17.25,16.44,15.34,14.19,14.41,15.0,15.62,15.84,16.44,17.41,18.03,17.47,17.03,17.5,17.81,17.38,16.66,17.06,17.41,17.16,16.69,17.03,17.31,17.25,16.56,16.12,16.47,16.53,15.84,15.5,16.53,17.78,18.12,18.53,19.44,20.22,19.94,19.03,18.75,18.69,18.06,16.41,15.12,14.66,14.0,12.94,12.81,13.5,14.72,15.31,15.03,15.09,14.5,13.5,12.09,11.31,11.34,11.81,11.66,11.41,11.5,11.97,11.22,10.5,10.69,11.44,11.88,12.12,13.28,14.28,14.25,13.31,12.28,11.56,11.28,10.47,9.81,10.03,10.41,10.06,9.22,9.44,9.88,9.88,10.06,10.88,11.62,12.19,11.97,11.62,11.78,12.19,12.28,12.84,14.62,16.56,18.0,18.69,18.91,18.69,17.59,15.91,15.09,15.25,16.25,16.84,17.53,18.69,19.72,19.34,18.72,18.94,19.34,19.06,18.88,19.16,19.34,19.0,17.25,15.38,13.88,12.59,10.88,10.38,10.97,12.22,13.41,14.53,15.72,16.53,16.31,15.53,15.47,16.72,17.94,19.0,20.03,20.88,20.88,19.78,18.0,16.78,16.16,15.12,14.09,13.53,13.69,13.16,12.22,12.03,13.28,15.31,17.12,19.31,21.91,23.88,23.97,23.34,22.25,21.59,20.12,19.03,18.09,17.59,16.78,15.16,13.53,13.06,13.31,13.47,14.16,15.41,16.75,17.12,17.16,16.94,17.19,17.22,16.88,17.31,18.59,19.34,19.44,19.06,19.5,20.06,20.38,20.69,21.81,23.25,23.66,23.22,22.62,21.94,20.53,18.44,16.78,16.69,17.28,17.94,18.28,19.25,19.88,19.03,17.62,16.75,16.66,16.38,16.47,16.31,17.06,17.06,15.78,14.0,12.75,11.41,9.69,8.69,8.91,10.03,11.19,11.75,12.62,13.38,13.47,12.66,12.22,12.69,13.25,13.53,14.25,15.59,16.84,17.31,16.97,17.44,18.12,18.16,18.16,18.38,19.0,19.12,18.53,17.5,16.97,15.78,13.81,11.25,9.88,9.38,9.25,9.53,11.34,14.03,16.03,17.88,19.28,21.19,22.53,23.47,23.91,24.66,25.44,24.97,23.59,22.5,21.91,20.97,20.25,20.72,22.09,23.69,24.53,25.12,25.91,26.0,25.06,23.59,22.94,22.94,22.44,22.19,23.25,25.41,27.41,29.22,31.38,33.62,34.75,34.41,32.38,30.94,28.84,25.5,22.16,19.62,17.5,15.53,13.78,13.19,13.25,13.19,11.88,10.53,9.78,8.78,7.38,6.66,7.72,9.44,11.44,13.66,16.28,19.53,21.78,23.28,24.78,26.59,27.88,28.16,28.19,28.66,29.34,29.25,28.91,29.31,29.66,29.25,27.41,26.06,24.25,21.84,17.66,13.69,11.03,8.75,7.38,7.47,9.22,12.16,14.41,16.16,18.34,20.59,22.31,23.0,24.5,26.19,27.72,28.16,28.5,29.53,30.12,29.28,28.06,27.41,26.72,25.72,24.16,23.41,23.16,22.06,19.75,18.16,17.84,18.06,18.34,19.88,22.12,24.06,24.47,24.09,23.53,23.25,22.19,20.78,19.75,19.25,18.62,17.38,17.03,18.41,21.03,23.0,25.06,27.75,29.91,29.91,29.44,29.62,30.06,29.59,27.88,26.34,25.16,23.5,20.94,19.81,20.22,20.78,20.97,21.38,22.88,24.25,24.81,25.0,25.38,26.09,26.09,25.44,25.12,25.44,25.72,24.69,24.12,24.25,24.72,23.94,23.12,23.06,23.16,22.69,21.97,22.12,22.88,23.47,22.56,21.53,20.38,19.09,16.25,13.69,12.41,12.38,11.69,11.88,13.5,16.0,18.62,20.72,23.0,25.84,28.09,29.12,30.0,31.38,32.78,32.53,31.53,30.81,29.72,26.91,23.59,20.72,18.62,16.34,14.0,12.81,12.53,12.25,11.41,10.78,11.09,12.41,13.53,15.41,18.53,21.84,23.94,25.03,26.0,27.47,28.25,28.12,27.78,27.69,27.25,25.06,22.44,21.44,21.22,20.62,21.03,22.69,24.78,25.59,24.97,24.22,23.75,23.28,22.03,21.75,22.34,23.38,23.22,23.0,23.62,24.03,23.38,22.38,21.81,21.53,20.34,18.25,15.97,14.31,12.0,9.5,7.84,8.78,10.69,12.41,14.03,15.84,17.19,17.12,16.09,15.12,15.5,15.41,14.66,14.06,14.75,15.03,14.66,14.41,15.66,17.41,18.5,19.5,21.16,23.38,24.47,25.0,25.0,25.25,24.25,22.44,20.19,19.06,18.31,16.47,14.59,13.94,13.62,12.44,11.72,11.94,12.97,13.66,13.97,14.66,16.0,16.53,15.97,14.59,13.78,12.59,10.94,9.34,9.41,10.62,11.91,12.41,12.81,13.25,12.69,11.12,10.19,10.91,12.19,12.53,12.62,12.94,12.66,11.12,9.19,7.62,6.62,5.38,3.38,2.06,2.12,2.81,3.38,4.72,8.03,11.0,13.0,14.38,16.34,18.0,18.62,18.19,18.19,18.31,17.75,16.75,15.75,15.59,15.03,13.34,11.75,11.53,11.03,10.22,9.78,10.28,11.12,11.56,10.97,11.03,11.06,10.81,10.12,9.5,10.06,10.25,9.53,8.75,9.0,9.34,9.75,10.22,11.47,13.44,14.97,48.03,47.28,45.97,44.5,43.59,42.5,42.06,41.94,41.75,42.12,42.62,43.16,43.66,44.78,45.94,47.03,47.69,48.28,48.22,47.94,47.38:25.34,26.72,28.12,28.59,28.91,29.97,31.03,31.78,31.97,32.0,32.28,31.44,29.34,27.09,24.97,22.62,19.91,18.12,18.38,20.03,22.0,24.03,25.84,27.38,27.38,26.12,24.53,23.38,22.28,20.97,20.66,22.03,24.34,25.53,26.09,26.38,26.06,24.25,22.25,20.53,20.03,19.75,19.66,19.75,20.12,20.12,19.12,17.88,17.81,18.03,17.84,17.66,17.69,17.69,16.75,15.12,14.22,14.34,14.72,15.12,15.53,16.94,18.19,18.59,19.16,20.03,20.75,20.38,19.12,17.56,16.91,16.03,15.0,14.91,15.97,17.06,17.78,18.84,20.66,22.72,23.59,23.5,22.84,21.62,19.38,16.38,13.84,12.56,11.09,9.56,8.41,7.97,7.69,6.91,5.97,6.28,7.0,7.47,7.81,9.5,11.31,12.38,12.66,12.53,12.66,12.62,11.72,11.31,12.41,13.28,14.34,15.25,17.28,19.72,21.03,21.59,21.47,20.5,18.78,16.5,14.53,13.84,14.03,14.59,15.25,16.72,18.62,19.06,18.31,17.94,17.38,16.38,14.81,13.75,13.19,11.97,10.34,8.62,8.03,7.91,7.12,7.12,8.59,10.34,11.47,12.69,14.19,15.97,17.97,19.53,20.78,22.25,22.53,21.38,19.84,18.31,17.16,16.0,14.56,14.38,14.66,14.62,13.72,13.34,13.06,13.0,12.66,12.44,13.44,14.41,14.44,14.06,14.12,14.53,14.62,14.38,14.97,15.94,15.97,14.62,13.53,13.59,13.59,13.5,14.25,16.06,17.66,17.53,16.72,16.16,15.62,14.34,13.0,12.69,13.16,13.91,14.0,14.47,15.16,15.53,14.03,12.19,11.0,9.75,8.06,6.5,6.16,6.16,5.91,5.53,6.22,8.0,10.31,12.5,14.88,17.78,20.06,19.81,18.53,17.22,15.69,13.72,12.28,12.0,12.22,11.88,10.5,9.25,8.78,8.47,7.75,7.62,8.88,10.69,11.28,11.88,13.06,14.25,14.25,13.75,13.75,14.25,14.69,14.12,13.59,13.84,14.19,12.94,11.06,10.16,8.94,6.5,3.97,2.41,1.31,0.59,-0.19,0.03,1.62,3.44,4.5,5.59,7.44,9.25,9.81,10.34,11.53,12.94,13.22,12.53,12.19,11.75,11.06,9.41,8.53,9.0,10.03,10.41,11.38,13.47,15.94,17.03,17.59,18.5,19.75,19.94,19.22,19.09,19.06,18.19,16.12,13.94,12.59,11.28,9.19,7.72,7.72,8.59,8.75,9.34,10.34,11.41,11.47,10.94,10.97,11.66,12.34,12.12,12.28,13.0,13.94,14.16,14.5,15.47,16.78,16.81,15.94,15.12,14.78,13.78,12.53,12.12,13.06,14.69,15.41,16.16,17.75,19.38,19.53,19.16,19.25,19.62,19.19,18.41,18.12,18.53,17.88,16.31,15.16,14.56,14.0,12.56,11.59,11.34,11.81,11.06,10.28,10.62,11.53,11.69,11.5,11.5,11.97,11.75,10.62,9.91,10.19,10.97,11.16,11.16,11.78,12.22,11.53,10.22,9.78,10.0,10.31,9.84,10.12,10.66,10.62,9.84,8.69,8.88,9.62,10.0,10.81,12.72,15.03,15.78,15.84,16.09,16.75,16.28,15.62,15.25,15.84,16.75,16.47,15.62,15.22,14.47,12.22,10.38,9.62,10.25,11.22,12.5,14.41,16.94,18.56,18.12,17.34,17.41,16.97,16.12,15.0,14.28,13.88,12.69,11.38,11.12,12.28,12.91,12.88,13.16,14.41,15.0,15.12,14.88,16.06,16.81,16.44,16.53,17.16,17.72,18.44,18.28,18.41,19.22,18.97,17.53,16.09,15.16,13.84,12.25,11.31,12.0,13.38,14.19,14.69,15.53,16.19,15.97,14.88,14.22,14.59,14.84,15.12,15.97,17.91,20.0,21.03,21.28,21.0,20.72,19.19,17.75,17.53,18.25,19.25,19.28,18.75,18.78,17.62,15.91,14.25,14.22,14.88,15.12,14.69,14.84,14.94,14.03,12.47,12.06,12.28,12.75,12.91,13.72,16.5,18.72,20.25,21.59,23.16,23.97,23.44,22.25,21.16,20.5,19.5,18.09,17.75,18.41,18.78,18.38,17.31,17.25,16.44,15.34,14.19,14.41,15.0,15.62,15.84,16.44,17.41,18.03,17.47,17.03,17.5,17.81,17.38,16.66,17.06,17.41,17.16,16.69,17.03,17.31,17.25,16.56,16.12,16.47,16.53,15.84,15.5,16.53,17.78,18.12,18.53,19.44,20.22,19.94,19.03,18.75,18.69,18.06,16.41,15.12,14.66,14.0,12.94,12.81,13.5,14.72,15.31,15.03,15.09,14.5,13.5,12.09,11.31,11.34,11.81,11.66,11.41,11.5,11.97,11.22,10.5,10.69,11.44,11.88,12.12,13.28,14.28,14.25,13.31,12.28,11.56,11.28,10.47,9.81,10.03,10.41,10.06,9.22,9.44,9.88,9.88,10.06,10.88,11.62,12.19,11.97,11.62,11.78,12.19,12.28,12.84,14.62,16.56,18.0,18.69,18.91,18.69,17.59,15.91,15.09,15.25,16.25,16.84,17.53,18.69,19.72,19.34,18.72,18.94,19.34,19.06,18.88,19.16,19.34,19.0,17.25,15.38,13.88,12.59,10.88,10.38,10.97,12.22,13.41,14.53,15.72,16.53,16.31,15.53,15.47,16.72,17.94,19.0,20.03,20.88,20.88,19.78,18.0,16.78,16.16,15.12,14.09,13.53,13.69,13.16,12.22,12.03,13.28,15.31,17.12,19.31,21.91,23.88,23.97,23.34,22.25,21.59,20.12,19.03,18.09,17.59,16.78,15.16,13.53,13.06,13.31,13.47,14.16,15.41,16.75,17.12,17.16,16.94,17.19,17.22,16.88,17.31,18.59,19.34,19.44,19.06,19.5,20.06,20.38,20.69,21.81,23.25,23.66,23.22,22.62,21.94,20.53,18.44,16.78,16.69,17.28,17.94,18.28,19.25,19.88,19.03,17.62,16.75,16.66,16.38,16.47,16.31,17.06,17.06,15.78,14.0,12.75,11.41,9.69,8.69,8.91,10.03,11.19,11.75,12.62,13.38,13.47,12.66,12.22,12.69,13.25,13.53,14.25,15.59,16.84,17.31,16.97,17.44,18.12,18.16,18.16,18.38,19.0,19.12,18.53,17.5,16.97,15.78,13.81,11.25,9.88,9.38,9.25,9.53,11.34,14.03,16.03,17.88,19.28,21.19,22.53,23.47,23.91,24.66,25.44,24.97,23.59,22.5,21.91,20.97,20.25,20.72,22.09,23.69,24.53,25.12,25.91,26.0,25.06,23.59,22.94,22.94,22.44,22.19,23.25,25.41,27.41,29.22,31.38,33.62,34.75,34.41,32.38,30.94,28.84,25.5,22.16,19.62,17.5,15.53,13.78,13.19,13.25,13.19,11.88,10.53,9.78,8.78,7.38,6.66,7.72,9.44,11.44,13.66,16.28,19.53,21.78,23.28,24.78,26.59,27.88,28.16,28.19,28.66,29.34,29.25,28.91,29.31,29.66,29.25,27.41,26.06,24.25,21.84,17.66,13.69,11.03,8.75,7.38,7.47,9.22,12.16,14.41,16.16,18.34,20.59,22.31,23.0,24.5,26.19,27.72,28.16,28.5,29.53,30.12,29.28,28.06,27.41,26.72,25.72,24.16,23.41,23.16,22.06,19.75,18.16,17.84,18.06,18.34,19.88,22.12,24.06,24.47,24.09,23.53,23.25,22.19,20.78,19.75,19.25,18.62,17.38,17.03,18.41,21.03,23.0,25.06,27.75,29.91,29.91,29.44,29.62,30.06,29.59,27.88,26.34,25.16,23.5,20.94,19.81,20.22,20.78,20.97,21.38,22.88,24.25,24.81,25.0,25.38,26.09,26.09,25.44,25.12,25.44,25.72,24.69,24.12,24.25,24.72,23.94,23.12,23.06,23.16,22.69,21.97,22.12,22.88,23.47,22.56,21.53,20.38,19.09,16.25,13.69,12.41,12.38,11.69,11.88,13.5,16.0,18.62,20.72,23.0,25.84,28.09,29.12,30.0,31.38,32.78,32.53,31.53,30.81,29.72,26.91,23.59,20.72,18.62,16.34,14.0,12.81,12.53,12.25,11.41,10.78,11.09,12.41,13.53,15.41,18.53,21.84,23.94,25.03,26.0,27.47,28.25,28.12,27.78,27.69,27.25,25.06,22.44,21.44,21.22,20.62,21.03,22.69,24.78,25.59,24.97,24.22,23.75,23.28,22.03,21.75,22.34,23.38,23.22,23.0,23.62,24.03,23.38,22.38,21.81,21.53,20.34,18.25,15.97,14.31,12.0,9.5,7.84,8.78,10.69,12.41,14.03,15.84,17.19,17.12,16.09,15.12,15.5,15.41,14.66,14.06,14.75,15.03,14.66,14.41,15.66,17.41,18.5,19.5,21.16,23.38,24.47,25.0,25.0,25.25,24.25,22.44,20.19,19.06,18.31,16.47,14.59,13.94,13.62,12.44,11.72,11.94,12.97,13.66,13.97,14.66,16.0,16.53,15.97,14.59,13.78,12.59,10.94,9.34,9.41,10.62,11.91,12.41,12.81,13.25,12.69,11.12,10.19,10.91,12.19,12.53,12.62,12.94,12.66,11.12,9.19,7.62,6.62,5.38,3.38,2.06,2.12,2.81,3.38,4.72,8.03,11.0,13.0,14.38,16.34,18.0,18.62,18.19,18.19,18.31,17.75,16.75,15.75,15.59,15.03,13.34,11.75,11.53,11.03,10.22,9.78,10.28,11.12,11.56,10.97,11.03,11.06,10.81,10.12,9.5,10.06,10.25,9.53,8.75,9.0,9.34,9.75,10.22,11.47,13.44,14.97,48.03,47.28,45.97,44.5,43.59,42.5,42.06,41.94,41.75,42.12,42.62,43.16,43.66,44.78,45.94,47.03,47.69,48.28,48.22,47.94,47.38,46.84,46.38,46.12,46.31,46.62,47.12,48.0:31.78,31.97,32.0,32.28,31.44,29.34,27.09,24.97,22.62,19.91,18.12,18.38,20.03,22.0,24.03,25.84,27.38,27.38,26.12,24.53,23.38,22.28,20.97,20.66,22.03,24.34,25.53,26.09,26.38,26.06,24.25,22.25,20.53,20.03,19.75,19.66,19.75,20.12,20.12,19.12,17.88,17.81,18.03,17.84,17.66,17.69,17.69,16.75,15.12,14.22,14.34,14.72,15.12,15.53,16.94,18.19,18.59,19.16,20.03,20.75,20.38,19.12,17.56,16.91,16.03,15.0,14.91,15.97,17.06,17.78,18.84,20.66,22.72,23.59,23.5,22.84,21.62,19.38,16.38,13.84,12.56,11.09,9.56,8.41,7.97,7.69,6.91,5.97,6.28,7.0,7.47,7.81,9.5,11.31,12.38,12.66,12.53,12.66,12.62,11.72,11.31,12.41,13.28,14.34,15.25,17.28,19.72,21.03,21.59,21.47,20.5,18.78,16.5,14.53,13.84,14.03,14.59,15.25,16.72,18.62,19.06,18.31,17.94,17.38,16.38,14.81,13.75,13.19,11.97,10.34,8.62,8.03,7.91,7.12,7.12,8.59,10.34,11.47,12.69,14.19,15.97,17.97,19.53,20.78,22.25,22.53,21.38,19.84,18.31,17.16,16.0,14.56,14.38,14.66,14.62,13.72,13.34,13.06,13.0,12.66,12.44,13.44,14.41,14.44,14.06,14.12,14.53,14.62,14.38,14.97,15.94,15.97,14.62,13.53,13.59,13.59,13.5,14.25,16.06,17.66,17.53,16.72,16.16,15.62,14.34,13.0,12.69,13.16,13.91,14.0,14.47,15.16,15.53,14.03,12.19,11.0,9.75,8.06,6.5,6.16,6.16,5.91,5.53,6.22,8.0,10.31,12.5,14.88,17.78,20.06,19.81,18.53,17.22,15.69,13.72,12.28,12.0,12.22,11.88,10.5,9.25,8.78,8.47,7.75,7.62,8.88,10.69,11.28,11.88,13.06,14.25,14.25,13.75,13.75,14.25,14.69,14.12,13.59,13.84,14.19,12.94,11.06,10.16,8.94,6.5,3.97,2.41,1.31,0.59,-0.19,0.03,1.62,3.44,4.5,5.59,7.44,9.25,9.81,10.34,11.53,12.94,13.22,12.53,12.19,11.75,11.06,9.41,8.53,9.0,10.03,10.41,11.38,13.47,15.94,17.03,17.59,18.5,19.75,19.94,19.22,19.09,19.06,18.19,16.12,13.94,12.59,11.28,9.19,7.72,7.72,8.59,8.75,9.34,10.34,11.41,11.47,10.94,10.97,11.66,12.34,12.12,12.28,13.0,13.94,14.16,14.5,15.47,16.78,16.81,15.94,15.12,14.78,13.78,12.53,12.12,13.06,14.69,15.41,16.16,17.75,19.38,19.53,19.16,19.25,19.62,19.19,18.41,18.12,18.53,17.88,16.31,15.16,14.56,14.0,12.56,11.59,11.34,11.81,11.06,10.28,10.62,11.53,11.69,11.5,11.5,11.97,11.75,10.62,9.91,10.19,10.97,11.16,11.16,11.78,12.22,11.53,10.22,9.78,10.0,10.31,9.84,10.12,10.66,10.62,9.84,8.69,8.88,9.62,10.0,10.81,12.72,15.03,15.78,15.84,16.09,16.75,16.28,15.62,15.25,15.84,16.75,16.47,15.62,15.22,14.47,12.22,10.38,9.62,10.25,11.22,12.5,14.41,16.94,18.56,18.12,17.34,17.41,16.97,16.12,15.0,14.28,13.88,12.69,11.38,11.12,12.28,12.91,12.88,13.16,14.41,15.0,15.12,14.88,16.06,16.81,16.44,16.53,17.16,17.72,18.44,18.28,18.41,19.22,18.97,17.53,16.09,15.16,13.84,12.25,11.31,12.0,13.38,14.19,14.69,15.53,16.19,15.97,14.88,14.22,14.59,14.84,15.12,15.97,17.91,20.0,21.03,21.28,21.0,20.72,19.19,17.75,17.53,18.25,19.25,19.28,18.75,18.78,17.62,15.91,14.25,14.22,14.88,15.12,14.69,14.84,14.94,14.03,12.47,12.06,12.28,12.75,12.91,13.72,16.5,18.72,20.25,21.59,23.16,23.97,23.44,22.25,21.16,20.5,19.5,18.09,17.75,18.41,18.78,18.38,17.31,17.25,16.44,15.34,14.19,14.41,15.0,15.62,15.84,16.44,17.41,18.03,17.47,17.03,17.5,17.81,17.38,16.66,17.06,17.41,17.16,16.69,17.03,17.31,17.25,16.56,16.12,16.47,16.53,15.84,15.5,16.53,17.78,18.12,18.53,19.44,20.22,19.94,19.03,18.75,18.69,18.06,16.41,15.12,14.66,14.0,12.94,12.81,13.5,14.72,15.31,15.03,15.09,14.5,13.5,12.09,11.31,11.34,11.81,11.66,11.41,11.5,11.97,11.22,10.5,10.69,11.44,11.88,12.12,13.28,14.28,14.25,13.31,12.28,11.56,11.28,10.47,9.81,10.03,10.41,10.06,9.22,9.44,9.88,9.88,10.06,10.88,11.62,12.19,11.97,11.62,11.78,12.19,12.28,12.84,14.62,16.56,18.0,18.69,18.91,18.69,17.59,15.91,15.09,15.25,16.25,16.84,17.53,18.69,19.72,19.34,18.72,18.94,19.34,19.06,18.88,19.16,19.34,19.0,17.25,15.38,13.88,12.59,10.88,10.38,10.97,12.22,13.41,14.53,15.72,16.53,16.31,15.53,15.47,16.72,17.94,19.0,20.03,20.88,20.88,19.78,18.0,16.78,16.16,15.12,14.09,13.53,13.69,13.16,12.22,12.03,13.28,15.31,17.12,19.31,21.91,23.88,23.97,23.34,22.25,21.59,20.12,19.03,18.09,17.59,16.78,15.16,13.53,13.06,13.31,13.47,14.16,15.41,16.75,17.12,17.16,16.94,17.19,17.22,16.88,17.31,18.59,19.34,19.44,19.06,19.5,20.06,20.38,20.69,21.81,23.25,23.66,23.22,22.62,21.94,20.53,18.44,16.78,16.69,17.28,17.94,18.28,19.25,19.88,19.03,17.62,16.75,16.66,16.38,16.47,16.31,17.06,17.06,15.78,14.0,12.75,11.41,9.69,8.69,8.91,10.03,11.19,11.75,12.62,13.38,13.47,12.66,12.22,12.69,13.25,13.53,14.25,15.59,16.84,17.31,16.97,17.44,18.12,18.16,18.16,18.38,19.0,19.12,18.53,17.5,16.97,15.78,13.81,11.25,9.88,9.38,9.25,9.53,11.34,14.03,16.03,17.88,19.28,21.19,22.53,23.47,23.91,24.66,25.44,24.97,23.59,22.5,21.91,20.97,20.25,20.72,22.09,23.69,24.53,25.12,25.91,26.0,25.06,23.59,22.94,22.94,22.44,22.19,23.25,25.41,27.41,29.22,31.38,33.62,34.75,34.41,32.38,30.94,28.84,25.5,22.16,19.62,17.5,15.53,13.78,13.19,13.25,13.19,11.88,10.53,9.78,8.78,7.38,6.66,7.72,9.44,11.44,13.66,16.28,19.53,21.78,23.28,24.78,26.59,27.88,28.16,28.19,28.66,29.34,29.25,28.91,29.31,29.66,29.25,27.41,26.06,24.25,21.84,17.66,13.69,11.03,8.75,7.38,7.47,9.22,12.16,14.41,16.16,18.34,20.59,22.31,23.0,24.5,26.19,27.72,28.16,28.5,29.53,30.12,29.28,28.06,27.41,26.72,25.72,24.16,23.41,23.16,22.06,19.75,18.16,17.84,18.06,18.34,19.88,22.12,24.06,24.47,24.09,23.53,23.25,22.19,20.78,19.75,19.25,18.62,17.38,17.03,18.41,21.03,23.0,25.06,27.75,29.91,29.91,29.44,29.62,30.06,29.59,27.88,26.34,25.16,23.5,20.94,19.81,20.22,20.78,20.97,21.38,22.88,24.25,24.81,25.0,25.38,26.09,26.09,25.44,25.12,25.44,25.72,24.69,24.12,24.25,24.72,23.94,23.12,23.06,23.16,22.69,21.97,22.12,22.88,23.47,22.56,21.53,20.38,19.09,16.25,13.69,12.41,12.38,11.69,11.88,13.5,16.0,18.62,20.72,23.0,25.84,28.09,29.12,30.0,31.38,32.78,32.53,31.53,30.81,29.72,26.91,23.59,20.72,18.62,16.34,14.0,12.81,12.53,12.25,11.41,10.78,11.09,12.41,13.53,15.41,18.53,21.84,23.94,25.03,26.0,27.47,28.25,28.12,27.78,27.69,27.25,25.06,22.44,21.44,21.22,20.62,21.03,22.69,24.78,25.59,24.97,24.22,23.75,23.28,22.03,21.75,22.34,23.38,23.22,23.0,23.62,24.03,23.38,22.38,21.81,21.53,20.34,18.25,15.97,14.31,12.0,9.5,7.84,8.78,10.69,12.41,14.03,15.84,17.19,17.12,16.09,15.12,15.5,15.41,14.66,14.06,14.75,15.03,14.66,14.41,15.66,17.41,18.5,19.5,21.16,23.38,24.47,25.0,25.0,25.25,24.25,22.44,20.19,19.06,18.31,16.47,14.59,13.94,13.62,12.44,11.72,11.94,12.97,13.66,13.97,14.66,16.0,16.53,15.97,14.59,13.78,12.59,10.94,9.34,9.41,10.62,11.91,12.41,12.81,13.25,12.69,11.12,10.19,10.91,12.19,12.53,12.62,12.94,12.66,11.12,9.19,7.62,6.62,5.38,3.38,2.06,2.12,2.81,3.38,4.72,8.03,11.0,13.0,14.38,16.34,18.0,18.62,18.19,18.19,18.31,17.75,16.75,15.75,15.59,15.03,13.34,11.75,11.53,11.03,10.22,9.78,10.28,11.12,11.56,10.97,11.03,11.06,10.81,10.12,9.5,10.06,10.25,9.53,8.75,9.0,9.34,9.75,10.22,11.47,13.44,14.97,48.03,47.28,45.97,44.5,43.59,42.5,42.06,41.94,41.75,42.12,42.62,43.16,43.66,44.78,45.94,47.03,47.69,48.28,48.22,47.94,47.38,46.84,46.38,46.12,46.31,46.62,47.12,48.0,48.75,49.0,49.28,49.56,49.53,49.66,50.19:24.97,22.62,19.91,18.12,18.38,20.03,22.0,24.03,25.84,27.38,27.38,26.12,24.53,23.38,22.28,20.97,20.66,22.03,24.34,25.53,26.09,26.38,26.06,24.25,22.25,20.53,20.03,19.75,19.66,19.75,20.12,20.12,19.12,17.88,17.81,18.03,17.84,17.66,17.69,17.69,16.75,15.12,14.22,14.34,14.72,15.12,15.53,16.94,18.19,18.59,19.16,20.03,20.75,20.38,19.12,17.56,16.91,16.03,15.0,14.91,15.97,17.06,17.78,18.84,20.66,22.72,23.59,23.5,22.84,21.62,19.38,16.38,13.84,12.56,11.09,9.56,8.41,7.97,7.69,6.91,5.97,6.28,7.0,7.47,7.81,9.5,11.31,12.38,12.66,12.53,12.66,12.62,11.72,11.31,12.41,13.28,14.34,15.25,17.28,19.72,21.03,21.59,21.47,20.5,18.78,16.5,14.53,13.84,14.03,14.59,15.25,16.72,18.62,19.06,18.31,17.94,17.38,16.38,14.81,13.75,13.19,11.97,10.34,8.62,8.03,7.91,7.12,7.12,8.59,10.34,11.47,12.69,14.19,15.97,17.97,19.53,20.78,22.25,22.53,21.38,19.84,18.31,17.16,16.0,14.56,14.38,14.66,14.62,13.72,13.34,13.06,13.0,12.66,12.44,13.44,14.41,14.44,14.06,14.12,14.53,14.62,14.38,14.97,15.94,15.97,14.62,13.53,13.59,13.59,13.5,14.25,16.06,17.66,17.53,16.72,16.16,15.62,14.34,13.0,12.69,13.16,13.91,14.0,14.47,15.16,15.53,14.03,12.19,11.0,9.75,8.06,6.5,6.16,6.16,5.91,5.53,6.22,8.0,10.31,12.5,14.88,17.78,20.06,19.81,18.53,17.22,15.69,13.72,12.28,12.0,12.22,11.88,10.5,9.25,8.78,8.47,7.75,7.62,8.88,10.69,11.28,11.88,13.06,14.25,14.25,13.75,13.75,14.25,14.69,14.12,13.59,13.84,14.19,12.94,11.06,10.16,8.94,6.5,3.97,2.41,1.31,0.59,-0.19,0.03,1.62,3.44,4.5,5.59,7.44,9.25,9.81,10.34,11.53,12.94,13.22,12.53,12.19,11.75,11.06,9.41,8.53,9.0,10.03,10.41,11.38,13.47,15.94,17.03,17.59,18.5,19.75,19.94,19.22,19.09,19.06,18.19,16.12,13.94,12.59,11.28,9.19,7.72,7.72,8.59,8.75,9.34,10.34,11.41,11.47,10.94,10.97,11.66,12.34,12.12,12.28,13.0,13.94,14.16,14.5,15.47,16.78,16.81,15.94,15.12,14.78,13.78,12.53,12.12,13.06,14.69,15.41,16.16,17.75,19.38,19.53,19.16,19.25,19.62,19.19,18.41,18.12,18.53,17.88,16.31,15.16,14.56,14.0,12.56,11.59,11.34,11.81,11.06,10.28,10.62,11.53,11.69,11.5,11.5,11.97,11.75,10.62,9.91,10.19,10.97,11.16,11.16,11.78,12.22,11.53,10.22,9.78,10.0,10.31,9.84,10.12,10.66,10.62,9.84,8.69,8.88,9.62,10.0,10.81,12.72,15.03,15.78,15.84,16.09,16.75,16.28,15.62,15.25,15.84,16.75,16.47,15.62,15.22,14.47,12.22,10.38,9.62,10.25,11.22,12.5,14.41,16.94,18.56,18.12,17.34,17.41,16.97,16.12,15.0,14.28,13.88,12.69,11.38,11.12,12.28,12.91,12.88,13.16,14.41,15.0,15.12,14.88,16.06,16.81,16.44,16.53,17.16,17.72,18.44,18.28,18.41,19.22,18.97,17.53,16.09,15.16,13.84,12.25,11.31,12.0,13.38,14.19,14.69,15.53,16.19,15.97,14.88,14.22,14.59,14.84,15.12,15.97,17.91,20.0,21.03,21.28,21.0,20.72,19.19,17.75,17.53,18.25,19.25,19.28,18.75,18.78,17.62,15.91,14.25,14.22,14.88,15.12,14.69,14.84,14.94,14.03,12.47,12.06,12.28,12.75,12.91,13.72,16.5,18.72,20.25,21.59,23.16,23.97,23.44,22.25,21.16,20.5,19.5,18.09,17.75,18.41,18.78,18.38,17.31,17.25,16.44,15.34,14.19,14.41,15.0,15.62,15.84,16.44,17.41,18.03,17.47,17.03,17.5,17.81,17.38,16.66,17.06,17.41,17.16,16.69,17.03,17.31,17.25,16.56,16.12,16.47,16.53,15.84,15.5,16.53,17.78,18.12,18.53,19.44,20.22,19.94,19.03,18.75,18.69,18.06,16.41,15.12,14.66,14.0,12.94,12.81,13.5,14.72,15.31,15.03,15.09,14.5,13.5,12.09,11.31,11.34,11.81,11.66,11.41,11.5,11.97,11.22,10.5,10.69,11.44,11.88,12.12,13.28,14.28,14.25,13.31,12.28,11.56,11.28,10.47,9.81,10.03,10.41,10.06,9.22,9.44,9.88,9.88,10.06,10.88,11.62,12.19,11.97,11.62,11.78,12.19,12.28,12.84,14.62,16.56,18.0,18.69,18.91,18.69,17.59,15.91,15.09,15.25,16.25,16.84,17.53,18.69,19.72,19.34,18.72,18.94,19.34,19.06,18.88,19.16,19.34,19.0,17.25,15.38,13.88,12.59,10.88,10.38,10.97,12.22,13.41,14.53,15.72,16.53,16.31,15.53,15.47,16.72,17.94,19.0,20.03,20.88,20.88,19.78,18.0,16.78,16.16,15.12,14.09,13.53,13.69,13.16,12.22,12.03,13.28,15.31,17.12,19.31,21.91,23.88,23.97,23.34,22.25,21.59,20.12,19.03,18.09,17.59,16.78,15.16,13.53,13.06,13.31,13.47,14.16,15.41,16.75,17.12,17.16,16.94,17.19,17.22,16.88,17.31,18.59,19.34,19.44,19.06,19.5,20.06,20.38,20.69,21.81,23.25,23.66,23.22,22.62,21.94,20.53,18.44,16.78,16.69,17.28,17.94,18.28,19.25,19.88,19.03,17.62,16.75,16.66,16.38,16.47,16.31,17.06,17.06,15.78,14.0,12.75,11.41,9.69,8.69,8.91,10.03,11.19,11.75,12.62,13.38,13.47,12.66,12.22,12.69,13.25,13.53,14.25,15.59,16.84,17.31,16.97,17.44,18.12,18.16,18.16,18.38,19.0,19.12,18.53,17.5,16.97,15.78,13.81,11.25,9.88,9.38,9.25,9.53,11.34,14.03,16.03,17.88,19.28,21.19,22.53,23.47,23.91,24.66,25.44,24.97,23.59,22.5,21.91,20.97,20.25,20.72,22.09,23.69,24.53,25.12,25.91,26.0,25.06,23.59,22.94,22.94,22.44,22.19,23.25,25.41,27.41,29.22,31.38,33.62,34.75,34.41,32.38,30.94,28.84,25.5,22.16,19.62,17.5,15.53,13.78,13.19,13.25,13.19,11.88,10.53,9.78,8.78,7.38,6.66,7.72,9.44,11.44,13.66,16.28,19.53,21.78,23.28,24.78,26.59,27.88,28.16,28.19,28.66,29.34,29.25,28.91,29.31,29.66,29.25,27.41,26.06,24.25,21.84,17.66,13.69,11.03,8.75,7.38,7.47,9.22,12.16,14.41,16.16,18.34,20.59,22.31,23.0,24.5,26.19,27.72,28.16,28.5,29.53,30.12,29.28,28.06,27.41,26.72,25.72,24.16,23.41,23.16,22.06,19.75,18.16,17.84,18.06,18.34,19.88,22.12,24.06,24.47,24.09,23.53,23.25,22.19,20.78,19.75,19.25,18.62,17.38,17.03,18.41,21.03,23.0,25.06,27.75,29.91,29.91,29.44,29.62,30.06,29.59,27.88,26.34,25.16,23.5,20.94,19.81,20.22,20.78,20.97,21.38,22.88,24.25,24.81,25.0,25.38,26.09,26.09,25.44,25.12,25.44,25.72,24.69,24.12,24.25,24.72,23.94,23.12,23.06,23.16,22.69,21.97,22.12,22.88,23.47,22.56,21.53,20.38,19.09,16.25,13.69,12.41,12.38,11.69,11.88,13.5,16.0,18.62,20.72,23.0,25.84,28.09,29.12,30.0,31.38,32.78,32.53,31.53,30.81,29.72,26.91,23.59,20.72,18.62,16.34,14.0,12.81,12.53,12.25,11.41,10.78,11.09,12.41,13.53,15.41,18.53,21.84,23.94,25.03,26.0,27.47,28.25,28.12,27.78,27.69,27.25,25.06,22.44,21.44,21.22,20.62,21.03,22.69,24.78,25.59,24.97,24.22,23.75,23.28,22.03,21.75,22.34,23.38,23.22,23.0,23.62,24.03,23.38,22.38,21.81,21.53,20.34,18.25,15.97,14.31,12.0,9.5,7.84,8.78,10.69,12.41,14.03,15.84,17.19,17.12,16.09,15.12,15.5,15.41,14.66,14.06,14.75,15.03,14.66,14.41,15.66,17.41,18.5,19.5,21.16,23.38,24.47,25.0,25.0,25.25,24.25,22.44,20.19,19.06,18.31,16.47,14.59,13.94,13.62,12.44,11.72,11.94,12.97,13.66,13.97,14.66,16.0,16.53,15.97,14.59,13.78,12.59,10.94,9.34,9.41,10.62,11.91,12.41,12.81,13.25,12.69,11.12,10.19,10.91,12.19,12.53,12.62,12.94,12.66,11.12,9.19,7.62,6.62,5.38,3.38,2.06,2.12,2.81,3.38,4.72,8.03,11.0,13.0,14.38,16.34,18.0,18.62,18.19,18.19,18.31,17.75,16.75,15.75,15.59,15.03,13.34,11.75,11.53,11.03,10.22,9.78,10.28,11.12,11.56,10.97,11.03,11.06,10.81,10.12,9.5,10.06,10.25,9.53,8.75,9.0,9.34,9.75,10.22,11.47,13.44,14.97,48.03,47.28,45.97,44.5,43.59,42.5,42.06,41.94,41.75,42.12,42.62,43.16,43.66,44.78,45.94,47.03,47.69,48.28,48.22,47.94,47.38,46.84,46.38,46.12,46.31,46.62,47.12,48.0,48.75,49.0,49.28,49.56,49.53,49.66,50.19,50.91,51.16,51.31,50.88,49.94,48.25,46.25:positivity
18.12,17.66,18.81,19.91,20.09,19.94,21.66,24.41,26.47,27.47,29.47,31.81,32.62,31.41,29.88,29.25,27.88,25.0,21.88,20.47,19.06,16.84,14.91,15.19,17.03,18.62,19.5,21.12,23.69,25.16,25.38,26.34,28.47,30.19,30.16,29.47,29.41,29.06,26.75,23.72,22.22,21.91,21.16,20.19,20.53,22.88,25.22,26.34,28.34,31.91,34.25,34.53,34.16,34.59,34.78,34.06,32.69,33.06,33.91,33.78,31.97,30.09,28.91,26.81,24.0,22.12,23.12,25.06,26.25,27.84,30.44,32.53,32.78,31.81,31.44,31.12,30.41,28.28,26.97,27.06,27.5,26.88,26.88,28.62,30.38,30.59,30.16,30.81,31.47,30.81,29.59,29.72,31.19,32.94,33.28,34.31,36.0,37.0,35.31,33.06,31.97,31.06,28.88,26.69,26.56,27.06,26.5,24.84,23.53,23.16,22.41,20.97,21.03,23.34,26.12,27.25,28.0,29.75,31.53,31.88,31.69,32.5,34.0,34.44,33.38,32.91,33.28,32.66,30.38,28.28,27.75,28.19,27.97,28.22,30.53,32.88,33.69,33.25,33.34,34.16,33.91,33.03,32.94,34.0,34.62,33.28,31.97,31.88,32.25,31.56,30.97,31.88,33.03,32.5,30.59,29.25,28.75,27.75,26.0,25.28,25.81,26.5,25.0,23.94,24.56,26.16,26.41,27.03,29.19,31.31,32.28,31.69,31.78,32.34,31.97,29.38,27.28,25.78,24.31,21.19,18.62,18.47,19.38,19.91,21.19,24.0,27.53,29.38,29.81,30.47,31.81,32.25,31.03,29.88,29.75,29.47,27.72,26.19,25.59,25.5,23.41,20.44,19.12,19.53,19.91,20.56,23.03,27.28,30.84,32.47,33.44,34.62,35.03,32.97,31.06,30.53,30.41,29.25,26.94,25.47,24.75,23.06,20.25,19.38,20.19,21.47,22.0,23.28,25.91,28.31,28.38,27.25,26.56,26.19,24.53,22.81,23.34,25.25,27.34,28.19,28.94,30.34,31.12,29.69,28.47,28.97,29.88,29.25,28.66,29.09,30.44,30.91,30.81,31.94,33.62,33.81,32.09,29.44,27.62,24.91,20.41,15.81,13.41,12.56,12.12,13.5,17.53,23.0,27.22,29.5,31.41,32.94,33.06,30.81,28.97,28.56,28.56,28.38,28.66,30.59,33.19,34.34,34.62,34.97,35.75,34.97,32.59,30.59,29.22,27.31,23.56,20.19,18.19,17.03,15.5,14.75,16.12,18.72,19.72,20.16,20.94,22.97,24.53,25.22,26.56,28.78,30.34,29.38,28.41,28.75,29.66,29.34,29.09,30.09,31.59,31.53,30.78,30.75,32.19,33.09,33.44,34.62,37.09,39.53,39.66,39.19,39.41,39.22,37.38,34.31,32.03,30.22,27.06,23.28,21.16,20.81,20.5,20.31,21.41,24.62,28.31,30.53,32.81,34.81,36.34,35.12,32.38,29.94,27.91,24.94,21.09,18.28,17.16,15.75,13.56,12.72,13.62,14.94,15.22,15.72,17.31,18.84,18.75,17.5,16.5,16.16,14.81,12.41,10.38,10.12,9.41,8.19,7.34,8.34,10.03,10.69,11.84,14.41,17.81,20.47,22.97,26.5,30.91,34.5,36.41,37.72,39.28,38.91,36.19,32.59,29.72,26.56,22.53,18.84,17.53,17.66,17.25,16.94,17.75,19.75,21.16,21.75,22.06,23.69,24.47,24.09,23.84,25.31,27.38,27.72,27.03,26.97,26.44,24.16,21.28,19.12,18.59,18.06,16.88,16.94,18.81,20.66,21.34,21.81,23.41,24.78,24.12,23.09,22.25,21.91,19.62,16.25,13.88,13.16,12.97,12.47,12.97,15.53,18.38,19.62,20.62,22.94,25.38,26.12,26.38,27.47,29.78,31.03,31.25,32.12,33.66,33.75,32.16,29.97,29.25,28.56,26.5,24.31,23.91,23.81,22.44,20.97,20.28,20.91,20.84,19.94,19.62,20.62,20.84,19.56,18.34,18.69,18.84,17.44,15.47,15.0,14.81,13.62,12.19,11.5,12.12,12.28,11.47,11.81,13.59,15.75,16.59,17.31,19.56,21.38,20.97,19.38,18.38,17.28,14.97,12.34,11.56,12.53,14.03,15.16,16.84,19.91,22.44,22.59,22.12,22.69,23.16,22.88,22.38,23.5,24.75,24.62,23.16,21.78,20.84,19.81,17.69,16.19,17.31,19.25,20.38,21.5,24.12,26.0,25.78,24.22,23.12,22.47,20.62,17.72,15.84,15.62,15.09,13.75,12.5,12.53,12.47,11.09,9.88,10.84,12.28,12.53,12.22,12.59,13.47,13.44,12.5,12.72,14.56,16.31,17.09,18.12,20.25,21.81,21.66,20.62,20.94,21.41,20.97,19.94,19.97,20.91,21.25,20.91,20.59,21.41,21.69,20.44,18.75,18.66,18.88,17.59,15.78,15.38,15.34,14.41,13.03,12.53,12.84,12.41,10.5,9.28,9.78,9.78,9.06,8.47,9.72,11.16,11.56,11.78,12.75,14.09,13.97,12.75,12.59,13.44,13.62,12.56,12.22,13.03,13.66,13.41,12.91,14.0,15.06,14.31,12.44,11.25,10.25,8.44,5.5,4.44,5.44,6.47,7.06,7.84,10.66,12.78,13.38,13.53,14.84,15.81,14.5,11.75,9.56,7.75,5.28,1.75,0.06,0.03,-0.16,-1.0,-0.97,0.88,3.62,5.47,7.0,9.62,12.75,14.5,15.56,18.12,21.19,22.56,21.81,20.53,19.75,17.97,14.28,11.25,10.25,9.75,8.22,6.91,7.44,7.91,7.5,6.44,6.88,8.62,9.78,9.97,10.88,12.91,14.19,13.91,13.22,13.38,13.81,12.84,11.41,12.06,13.94,14.94,15.25,16.25,17.91,18.12,15.97,13.91,12.91,11.62,8.84,6.75,6.56,7.16,7.03,6.38,7.56,9.75,10.94,11.0,11.66,13.06,13.34,11.53,10.12,10.03,9.94,8.62,7.66,9.16,11.31,12.81,13.06,14.0,14.59,13.62,10.5,8.0,6.84,5.28,2.84,1.62,2.75,4.91,5.91,7.19,9.72,12.22,12.53,11.03,10.41,10.28,8.88,6.31,5.31,5.91,6.62,6.56,7.09,8.97,10.59,10.62,10.19,10.94,12.22,12.06,10.94,10.56,11.16,10.66,8.72,7.88,7.97,7.91,6.53,5.72,7.19,9.47,10.62,11.5,13.47,15.22,15.22,13.72,12.84,12.94,12.53,11.72,12.38,15.25,18.41,19.75,21.31,23.09,24.06,23.0,20.97,20.56,21.5,21.88,21.56,22.19,23.03,23.16,20.84,19.03,18.44,17.94,16.69,15.56,16.38,17.66,17.03,15.47,14.56,14.25,12.94,11.16,11.0,12.41,13.91,13.78,14.0,15.38,16.03,14.66,13.31,13.38,14.22,13.44,12.38,12.44,13.09,13.09,12.66,13.56,15.91,17.47,17.5,17.12,17.66,17.69,15.97,14.53,14.03,13.53,11.88,9.19,8.16,8.91,9.62,10.34,12.75,16.19,19.31,19.94,20.31,21.62,21.75,19.09,15.91,13.72,11.69,8.94,6.41,6.03,7.59,8.75,9.25,10.75,13.41,15.28,15.12,15.19,16.25,17.06,16.16,14.94,15.34,16.47,16.66,16.22,17.06,18.31,18.31,16.44,14.81,14.34,13.44,11.31,9.44,9.25,9.62,8.34,6.75,6.62,7.06,6.16,4.53,4.22,5.56,7.06,7.81,9.28,12.25,14.47,13.91,12.88,12.75,12.81,11.09,9.25,9.22,10.56,10.47,9.56,9.47,10.19,10.09,8.22,7.12,7.38,7.75,6.12,4.56,4.53,5.53,5.34,5.34,6.62,8.91,10.28,10.25,10.88,12.47,13.16,12.28,12.34,13.88,15.91,16.25,16.56,18.16,19.53,18.69,16.66,15.38,15.31,14.56,13.19,13.0,14.41,15.0,13.75,12.84,13.38,13.72,12.06,9.75,9.28,9.62,8.72,7.53,8.12,9.53,9.91,9.19,9.41,11.34,12.84,12.62,12.16,12.88,13.69,12.56,11.41,12.12,14.25,14.88,14.41,14.97,16.38,16.19,14.91,14.22,14.5,14.44,12.5,11.12,11.91,14.0,15.38,17.12,20.44,24.38,26.22,26.62,27.25,28.72,29.09,28.12,27.25,27.44,26.81,23.88,20.34,18.03,16.16,13.06,10.16,9.62,10.91,11.69,11.88,13.47,16.34,18.91,19.91,21.78,24.84,26.94,26.94,26.38,26.94,27.28,25.81,23.81,22.62,22.53,21.22,19.53,19.06,19.94,20.28,19.38,18.53,19.28,19.88,18.5,16.56,15.91,15.88,14.53,13.72,15.0,17.78,19.38,19.66,20.62,22.56,24.0,24.66,26.12,28.88,31.25,30.81,29.5,29.25,29.38,28.03,26.81,27.28,28.69,28.75,27.16,25.81,25.5,24.44,22.53,21.12,21.75,22.88,22.31,21.47,22.19,23.5,23.69,23.88,25.03,27.62,29.09,29.09,29.38,30.75,31.41,30.16,28.81,28.81,29.41,28.44,27.59,28.62,30.56,30.59,29.66,29.47,30.59,30.53,29.41,28.59,28.94,28.47,26.0,23.84,23.16,23.34,22.06,20.47,20.88,22.0,21.66,20.62,20.69,22.59,24.06,25.03,26.97,30.5,33.09,33.59,33.47,34.53,35.44,34.34,32.66,32.25,32.47,31.25,29.5,28.53,29.09,28.88,26.94,25.62,26.06,26.72,26.12,25.72,27.22,29.22,29.94,30.22,31.88,34.19,35.09,34.09,33.28,32.97,31.16,27.91,25.44,25.28,25.91,26.03,25.91,27.28,28.78,28.0,26.44,26.22,27.22,27.25,26.66,26.88,29.09,30.75,30.84,30.84,32.41,33.81,33.59,32.97,33.78,34.56,33.75,31.56,30.28,30.19,29.47,27.75:24.41,26.47,27.47,29.47,31.81,32.62,31.41,29.88,29.25,27.88,25.0,21.88,20.47,19.06,16.84,14.91,15.19,17.03,18.62,19.5,21.12,23.69,25.16,25.38,26.34,28.47,30.19,30.16,29.47,29.41,29.06,26.75,23.72,22.22,21.91,21.16,20.19,20.53,22.88,25.22,26.34,28.34,31.91,34.25,34.53,34.16,34.59,34.78,34.06,32.69,33.06,33.91,33.78,31.97,30.09,28.91,26.81,24.0,22.12,23.12,25.06,26.25,27.84,30.44,32.53,32.78,31.81,31.44,31.12,30.41,28.28,26.97,27.06,27.5,26.88,26.88,28.62,30.38,30.59,30.16,30.81,31.47,30.81,29.59,29.72,31.19,32.94,33.28,34.31,36.0,37.0,35.31,33.06,31.97,31.06,28.88,26.69,26.56,27.06,26.5,24.84,23.53,23.16,22.41,20.97,21.03,23.34,26.12,27.25,28.0,29.75,31.53,31.88,31.69,32.5,34.0,34.44,33.38,32.91,33.28,32.66,30.38,28.28,27.75,28.19,27.97,28.22,30.53,32.88,33.69,33.25,33.34,34.16,33.91,33.03,32.94,34.0,34.62,33.28,31.97,31.88,32.25,31.56,30.97,31.88,33.03,32.5,30.59,29.25,28.75,27.75,26.0,25.28,25.81,26.5,25.0,23.94,24.56,26.16,26.41,27.03,29.19,31.31,32.28,31.69,31.78,32.34,31.97,29.38,27.28,25.78,24.31,21.19,18.62,18.47,19.38,19.91,21.19,24.0,27.53,29.38,29.81,30.47,31.81,32.25,31.03,29.88,29.75,29.47,27.72,26.19,25.59,25.5,23.41,20.44,19.12,19.53,19.91,20.56,23.03,27.28,30.84,32.47,33.44,34.62,35.03,32.97,31.06,30.53,30.41,29.25,26.94,25.47,24.75,23.06,20.25,19.38,20.19,21.47,22.0,23.28,25.91,28.31,28.38,27.25,26.56,26.19,24.53,22.81,23.34,25.25,27.34,28.19,28.94,30.34,31.12,29.69,28.47,28.97,29.88,29.25,28.66,29.09,30.44,30.91,30.81,31.94,33.62,33.81,32.09,29.44,27.62,24.91,20.41,15.81,13.41,12.56,12.12,13.5,17.53,23.0,27.22,29.5,31.41,32.94,33.06,30.81,28.97,28.56,28.56,28.38,28.66,30.59,33.19,34.34,34.62,34.97,35.75,34.97,32.59,30.59,29.22,27.31,23.56,20.19,18.19,17.03,15.5,14.75,16.12,18.72,19.72,20.16,20.94,22.97,24.53,25.22,26.56,28.78,30.34,29.38,28.41,28.75,29.66,29.34,29.09,30.09,31.59,31.53,30.78,30.75,32.19,33.09,33.44,34.62,37.09,39.53,39.66,39.19,39.41,39.22,37.38,34.31,32.03,30.22,27.06,23.28,21.16,20.81,20.5,20.31,21.41,24.62,28.31,30.53,32.81,34.81,36.34,35.12,32.38,29.94,27.91,24.94,21.09,18.28,17.16,15.75,13.56,12.72,13.62,14.94,15.22,15.72,17.31,18.84,18.75,17.5,16.5,16.16,14.81,12.41,10.38,10.12,9.41,8.19,7.34,8.34,10.03,10.69,11.84,14.41,17.81,20.47,22.97,26.5,30.91,34.5,36.41,37.72,39.28,38.91,36.19,32.59,29.72,26.56,22.53,18.84,17.53,17.66,17.25,16.94,17.75,19.75,21.16,21.75,22.06,23.69,24.47,24.09,23.84,25.31,27.38,27.72,27.03,26.97,26.44,24.16,21.28,19.12,18.59,18.06,16.88,16.94,18.81,20.66,21.34,21.81,23.41,24.78,24.12,23.09,22.25,21.91,19.62,16.25,13.88,13.16,12.97,12.47,12.97,15.53,18.38,19.62,20.62,22.94,25.38,26.12,26.38,27.47,29.78,31.03,31.25,32.12,33.66,33.75,32.16,29.97,29.25,28.56,26.5,24.31,23.91,23.81,22.44,20.97,20.28,20.91,20.84,19.94,19.62,20.62,20.84,19.56,18.34,18.69,18.84,17.44,15.47,15.0,14.81,13.62,12.19,11.5,12.12,12.28,11.47,11.81,13.59,15.75,16.59,17.31,19.56,21.38,20.97,19.38,18.38,17.28,14.97,12.34,11.56,12.53,14.03,15.16,16.84,19.91,22.44,22.59,22.12,22.69,23.16,22.88,22.38,23.5,24.75,24.62,23.16,21.78,20.84,19.81,17.69,16.19,17.31,19.25,20.38,21.5,24.12,26.0,25.78,24.22,23.12,22.47,20.62,17.72,15.84,15.62,15.09,13.75,12.5,12.53,12.47,11.09,9.88,10.84,12.28,12.53,12.22,12.59,13.47,13.44,12.5,12.72,14.56,16.31,17.09,18.12,20.25,21.81,21.66,20.62,20.94,21.41,20.97,19.94,19.97,20.91,21.25,20.91,20.59,21.41,21.69,20.44,18.75,18.66,18.88,17.59,15.78,15.38,15.34,14.41,13.03,12.53,12.84,12.41,10.5,9.28,9.78,9.78,9.06,8.47,9.72,11.16,11.56,11.78,12.75,14.09,13.97,12.75,12.59,13.44,13.62,12.56,12.22,13.03,13.66,13.41,12.91,14.0,15.06,14.31,12.44,11.25,10.25,8.44,5.5,4.44,5.44,6.47,7.06,7.84,10.66,12.78,13.38,13.53,14.84,15.81,14.5,11.75,9.56,7.75,5.28,1.75,0.06,0.03,-0.16,-1.0,-0.97,0.88,3.62,5.47,7.0,9.62,12.75,14.5,15.56,18.12,21.19,22.56,21.81,20.53,19.75,17.97,14.28,11.25,10.25,9.75,8.22,6.91,7.44,7.91,7.5,6.44,6.88,8.62,9.78,9.97,10.88,12.91,14.19,13.91,13.22,13.38,13.81,12.84,11.41,12.06,13.94,14.94,15.25,16.25,17.91,18.12,15.97,13.91,12.91,11.62,8.84,6.75,6.56,7.16,7.03,6.38,7.56,9.75,10.94,11.0,11.66,13.06,13.34,11.53,10.12,10.03,9.94,8.62,7.66,9.16,11.31,12.81,13.06,14.0,14.59,13.62,10.5,8.0,6.84,5.28,2.84,1.62,2.75,4.91,5.91,7.19,9.72,12.22,12.53,11.03,10.41,10.28,8.88,6.31,5.31,5.91,6.62,6.56,7.09,8.97,10.59,10.62,10.19,10.94,12.22,12.06,10.94,10.56,11.16,10.66,8.72,7.88,7.97,7.91,6.53,5.72,7.19,9.47,10.62,11.5,13.47,15.22,15.22,13.72,12.84,12.94,12.53,11.72,12.38,15.25,18.41,19.75,21.31,23.09,24.06,23.0,20.97,20.56,21.5,21.88,21.56,22.19,23.03,23.16,20.84,19.03,18.44,17.94,16.69,15.56,16.38,17.66,17.03,15.47,14.56,14.25,12.94,11.16,11.0,12.41,13.91,13.78,14.0,15.38,16.03,14.66,13.31,13.38,14.22,13.44,12.38,12.44,13.09,13.09,12.66,13.56,15.91,17.47,17.5,17.12,17.66,17.69,15.97,14.53,14.03,13.53,11.88,9.19,8.16,8.91,9.62,10.34,12.75,16.19,19.31,19.94,20.31,21.62,21.75,19.09,15.91,13.72,11.69,8.94,6.41,6.03,7.59,8.75,9.25,10.75,13.41,15.28,15.12,15.19,16.25,17.06,16.16,14.94,15.34,16.47,16.66,16.22,17.06,18.31,18.31,16.44,14.81,14.34,13.44,11.31,9.44,9.25,9.62,8.34,6.75,6.62,7.06,6.16,4.53,4.22,5.56,7.06,7.81,9.28,12.25,14.47,13.91,12.88,12.75,12.81,11.09,9.25,9.22,10.56,10.47,9.56,9.47,10.19,10.09,8.22,7.12,7.38,7.75,6.12,4.56,4.53,5.53,5.34,5.34,6.62,8.91,10.28,10.25,10.88,12.47,13.16,12.28,12.34,13.88,15.91,16.25,16.56,18.16,19.53,18.69,16.66,15.38,15.31,14.56,13.19,13.0,14.41,15.0,13.75,12.84,13.38,13.72,12.06,9.75,9.28,9.62,8.72,7.53,8.12,9.53,9.91,9.19,9.41,11.34,12.84,12.62,12.16,12.88,13.69,12.56,11.41,12.12,14.25,14.88,14.41,14.97,16.38,16.19,14.91,14.22,14.5,14.44,12.5,11.12,11.91,14.0,15.38,17.12,20.44,24.38,26.22,26.62,27.25,28.72,29.09,28.12,27.25,27.44,26.81,23.88,20.34,18.03,16.16,13.06,10.16,9.62,10.91,11.69,11.88,13.47,16.34,18.91,19.91,21.78,24.84,26.94,26.94,26.38,26.94,27.28,25.81,23.81,22.62,22.53,21.22,19.53,19.06,19.94,20.28,19.38,18.53,19.28,19.88,18.5,16.56,15.91,15.88,14.53,13.72,15.0,17.78,19.38,19.66,20.62,22.56,24.0,24.66,26.12,28.88,31.25,30.81,29.5,29.25,29.38,28.03,26.81,27.28,28.69,28.75,27.16,25.81,25.5,24.44,22.53,21.12,21.75,22.88,22.31,21.47,22.19,23.5,23.69,23.88,25.03,27.62,29.09,29.09,29.38,30.75,31.41,30.16,28.81,28.81,29.41,28.44,27.59,28.62,30.56,30.59,29.66,29.47,30.59,30.53,29.41,28.59,28.94,28.47,26.0,23.84,23.16,23.34,22.06,20.47,20.88,22.0,21.66,20.62,20.69,22.59,24.06,25.03,26.97,30.5,33.09,33.59,33.47,34.53,35.44,34.34,32.66,32.25,32.47,31.25,29.5,28.53,29.09,28.88,26.94,25.62,26.06,26.72,26.12,25.72,27.22,29.22,29.94,30.22,31.88,34.19,35.09,34.09,33.28,32.97,31.16,27.91,25.44,25.28,25.91,26.03,25.91,27.28,28.78,28.0,26.44,26.22,27.22,27.25,26.66,26.88,29.09,30.75,30.84,30.84,32.41,33.81,33.59,32.97,33.78,34.56,33.75,31.56,30.28,30.19,29.47,27.75,21.06,22.47,23.16,23.44,24.19,24.47,24.97:29.88,29.25,27.88,25.0,21.88,20.47,19.06,16.84,14.91,15.19,17.03,18.62,19.5,21.12,23.69,25.16,25.38,26.34,28.47,30.19,30.16,29.47,29.41,29.06,26.75,23.72,22.22,21.91,21.16,20.19,20.53,22.88,25.22,26.34,28.34,31.91,34.25,34.53,34.16,34.59,34.78,34.06,32.69,33.06,33.91,33.78,31.97,30.09,28.91,26.81,24.0,22.12,23.12,25.06,26.25,27.84,30.44,32.53,32.78,31.81,31.44,31.12,30.41,28.28,26.97,27.06,27.5,26.88,26.88,28.62,30.38,30.59,30.16,30.81,31.47,30.81,29.59,29.72,31.19,32.94,33.28,34.31,36.0,37.0,35.31,33.06,31.97,31.06,28.88,26.69,26.56,27.06,26.5,24.84,23.53,23.16,22.41,20.97,21.03,23.34,26.12,27.25,28.0,29.75,31.53,31.88,31.69,32.5,34.0,34.44,33.38,32.91,33.28,32.66,30.38,28.28,27.75,28.19,27.97,28.22,30.53,32.88,33.69,33.25,33.34,34.16,33.91,33.03,32.94,34.0,34.62,33.28,31.97,31.88,32.25,31.56,30.97,31.88,33.03,32.5,30.59,29.25,28.75,27.75,26.0,25.28,25.81,26.5,25.0,23.94,24.56,26.16,26.41,27.03,29.19,31.31,32.28,31.69,31.78,32.34,31.97,29.38,27.28,25.78,24.31,21.19,18.62,18.47,19.38,19.91,21.19,24.0,27.53,29.38,29.81,30.47,31.81,32.25,31.03,29.88,29.75,29.47,27.72,26.19,25.59,25.5,23.41,20.44,19.12,19.53,19.91,20.56,23.03,27.28,30.84,32.47,33.44,34.62,35.03,32.97,31.06,30.53,30.41,29.25,26.94,25.47,24.75,23.06,20.25,19.38,20.19,21.47,22.0,23.28,25.91,28.31,28.38,27.25,26.56,26.19,24.53,22.81,23.34,25.25,27.34,28.19,28.94,30.34,31.12,29.69,28.47,28.97,29.88,29.25,28.66,29.09,30.44,30.91,30.81,31.94,33.62,33.81,32.09,29.44,27.62,24.91,20.41,15.81,13.41,12.56,12.12,13.5,17.53,23.0,27.22,29.5,31.41,32.94,33.06,30.81,28.97,28.56,28.56,28.38,28.66,30.59,33.19,34.34,34.62,34.97,35.75,34.97,32.59,30.59,29.22,27.31,23.56,20.19,18.19,17.03,15.5,14.75,16.12,18.72,19.72,20.16,20.94,22.97,24.53,25.22,26.56,28.78,30.34,29.38,28.41,28.75,29.66,29.34,29.09,30.09,31.59,31.53,30.78,30.75,32.19,33.09,33.44,34.62,37.09,39.53,39.66,39.19,39.41,39.22,37.38,34.31,32.03,30.22,27.06,23.28,21.16,20.81,20.5,20.31,21.41,24.62,28.31,30.53,32.81,34.81,36.34,35.12,32.38,29.94,27.91,24.94,21.09,18.28,17.16,15.75,13.56,12.72,13.62,14.94,15.22,15.72,17.31,18.84,18.75,17.5,16.5,16.16,14.81,12.41,10.38,10.12,9.41,8.19,7.34,8.34,10.03,10.69,11.84,14.41,17.81,20.47,22.97,26.5,30.91,34.5,36.41,37.72,39.28,38.91,36.19,32.59,29.72,26.56,22.53,18.84,17.53,17.66,17.25,16.94,17.75,19.75,21.16,21.75,22.06,23.69,24.47,24.09,23.84,25.31,27.38,27.72,27.03,26.97,26.44,24.16,21.28,19.12,18.59,18.06,16.88,16.94,18.81,20.66,21.34,21.81,23.41,24.78,24.12,23.09,22.25,21.91,19.62,16.25,13.88,13.16,12.97,12.47,12.97,15.53,18.38,19.62,20.62,22.94,25.38,26.12,26.38,27.47,29.78,31.03,31.25,32.12,33.66,33.75,32.16,29.97,29.25,28.56,26.5,24.31,23.91,23.81,22.44,20.97,20.28,20.91,20.84,19.94,19.62,20.62,20.84,19.56,18.34,18.69,18.84,17.44,15.47,15.0,14.81,13.62,12.19,11.5,12.12,12.28,11.47,11.81,13.59,15.75,16.59,17.31,19.56,21.38,20.97,19.38,18.38,17.28,14.97,12.34,11.56,12.53,14.03,15.16,16.84,19.91,22.44,22.59,22.12,22.69,23.16,22.88,22.38,23.5,24.75,24.62,23.16,21.78,20.84,19.81,17.69,16.19,17.31,19.25,20.38,21.5,24.12,26.0,25.78,24.22,23.12,22.47,20.62,17.72,15.84,15.62,15.09,13.75,12.5,12.53,12.47,11.09,9.88,10.84,12.28,12.53,12.22,12.59,13.47,13.44,12.5,12.72,14.56,16.31,17.09,18.12,20.25,21.81,21.66,20.62,20.94,21.41,20.97,19.94,19.97,20.91,21.25,20.91,20.59,21.41,21.69,20.44,18.75,18.66,18.88,17.59,15.78,15.38,15.34,14.41,13.03,12.53,12.84,12.41,10.5,9.28,9.78,9.78,9.06,8.47,9.72,11.16,11.56,11.78,12.75,14.09,13.97,12.75,12.59,13.44,13.62,12.56,12.22,13.03,13.66,13.41,12.91,14.0,15.06,14.31,12.44,11.25,10.25,8.44,5.5,4.44,5.44,6.47,7.06,7.84,10.66,12.78,13.38,13.53,14.84,15.81,14.5,11.75,9.56,7.75,5.28,1.75,0.06,0.03,-0.16,-1.0,-0.97,0.88,3.62,5.47,7.0,9.62,12.75,14.5,15.56,18.12,21.19,22.56,21.81,20.53,19.75,17.97,14.28,11.25,10.25,9.75,8.22,6.91,7.44,7.91,7.5,6.44,6.88,8.62,9.78,9.97,10.88,12.91,14.19,13.91,13.22,13.38,13.81,12.84,11.41,12.06,13.94,14.94,15.25,16.25,17.91,18.12,15.97,13.91,12.91,11.62,8.84,6.75,6.56,7.16,7.03,6.38,7.56,9.75,10.94,11.0,11.66,13.06,13.34,11.53,10.12,10.03,9.94,8.62,7.66,9.16,11.31,12.81,13.06,14.0,14.59,13.62,10.5,8.0,6.84,5.28,2.84,1.62,2.75,4.91,5.91,7.19,9.72,12.22,12.53,11.03,10.41,10.28,8.88,6.31,5.31,5.91,6.62,6.56,7.09,8.97,10.59,10.62,10.19,10.94,12.22,12.06,10.94,10.56,11.16,10.66,8.72,7.88,7.97,7.91,6.53,5.72,7.19,9.47,10.62,11.5,13.47,15.22,15.22,13.72,12.84,12.94,12.53,11.72,12.38,15.25,18.41,19.75,21.31,23.09,24.06,23.0,20.97,20.56,21.5,21.88,21.56,22.19,23.03,23.16,20.84,19.03,18.44,17.94,16.69,15.56,16.38,17.66,17.03,15.47,14.56,14.25,12.94,11.16,11.0,12.41,13.91,13.78,14.0,15.38,16.03,14.66,13.31,13.38,14.22,13.44,12.38,12.44,13.09,13.09,12.66,13.56,15.91,17.47,17.5,17.12,17.66,17.69,15.97,14.53,14.03,13.53,11.88,9.19,8.16,8.91,9.62,10.34,12.75,16.19,19.31,19.94,20.31,21.62,21.75,19.09,15.91,13.72,11.69,8.94,6.41,6.03,7.59,8.75,9.25,10.75,13.41,15.28,15.12,15.19,16.25,17.06,16.16,14.94,15.34,16.47,16.66,16.22,17.06,18.31,18.31,16.44,14.81,14.34,13.44,11.31,9.44,9.25,9.62,8.34,6.75,6.62,7.06,6.16,4.53,4.22,5.56,7.06,7.81,9.28,12.25,14.47,13.91,12.88,12.75,12.81,11.09,9.25,9.22,10.56,10.47,9.56,9.47,10.19,10.09,8.22,7.12,7.38,7.75,6.12,4.56,4.53,5.53,5.34,5.34,6.62,8.91,10.28,10.25,10.88,12.47,13.16,12.28,12.34,13.88,15.91,16.25,16.56,18.16,19.53,18.69,16.66,15.38,15.31,14.56,13.19,13.0,14.41,15.0,13.75,12.84,13.38,13.72,12.06,9.75,9.28,9.62,8.72,7.53,8.12,9.53,9.91,9.19,9.41,11.34,12.84,12.62,12.16,12.88,13.69,12.56,11.41,12.12,14.25,14.88,14.41,14.97,16.38,16.19,14.91,14.22,14.5,14.44,12.5,11.12,11.91,14.0,15.38,17.12,20.44,24.38,26.22,26.62,27.25,28.72,29.09,28.12,27.25,27.44,26.81,23.88,20.34,18.03,16.16,13.06,10.16,9.62,10.91,11.69,11.88,13.47,16.34,18.91,19.91,21.78,24.84,26.94,26.94,26.38,26.94,27.28,25.81,23.81,22.62,22.53,21.22,19.53,19.06,19.94,20.28,19.38,18.53,19.28,19.88,18.5,16.56,15.91,15.88,14.53,13.72,15.0,17.78,19.38,19.66,20.62,22.56,24.0,24.66,26.12,28.88,31.25,30.81,29.5,29.25,29.38,28.03,26.81,27.28,28.69,28.75,27.16,25.81,25.5,24.44,22.53,21.12,21.75,22.88,22.31,21.47,22.19,23.5,23.69,23.88,25.03,27.62,29.09,29.09,29.38,30.75,31.41,30.16,28.81,28.81,29.41,28.44,27.59,28.62,30.56,30.59,29.66,29.47,30.59,30.53,29.41,28.59,28.94,28.47,26.0,23.84,23.16,23.34,22.06,20.47,20.88,22.0,21.66,20.62,20.69,22.59,24.06,25.03,26.97,30.5,33.09,33.59,33.47,34.53,35.44,34.34,32.66,32.25,32.47,31.25,29.5,28.53,29.09,28.88,26.94,25.62,26.06,26.72,26.12,25.72,27.22,29.22,29.94,30.22,31.88,34.19,35.09,34.09,33.28,32.97,31.16,27.91,25.44,25.28,25.91,26.03,25.91,27.28,28.78,28.0,26.44,26.22,27.22,27.25,26.66,26.88,29.09,30.75,30.84,30.84,32.41,33.81,33.59,32.97,33.78,34.56,33.75,31.56,30.28,30.19,29.47,27.75,21.06,22.47,23.16,23.44,24.19,24.47,24.97,25.69,27.12,28.38,29.44,30.03,30.34,30.47:16.84,14.91,15.19,17.03,18.62,19.5,21.12,23.69,25.16,25.38,26.34,28.47,30.19,30.16,29.47,29.41,29.06,26.75,23.72,22.22,21.91,21.16,20.19,20.53,22.88,25.22,26.34,28.34,31.91,34.25,34.53,34.16,34.59,34.78,34.06,32.69,33.06,33.91,33.78,31.97,30.09,28.91,26.81,24.0,22.12,23.12,25.06,26.25,27.84,30.44,32.53,32.78,31.81,31.44,31.12,30.41,28.28,26.97,27.06,27.5,26.88,26.88,28.62,30.38,30.59,30.16,30.81,31.47,30.81,29.59,29.72,31.19,32.94,33.28,34.31,36.0,37.0,35.31,33.06,31.97,31.06,28.88,26.69,26.56,27.06,26.5,24.84,23.53,23.16,22.41,20.97,21.03,23.34,26.12,27.25,28.0,29.75,31.53,31.88,31.69,32.5,34.0,34.44,33.38,32.91,33.28,32.66,30.38,28.28,27.75,28.19,27.97,28.22,30.53,32.88,33.69,33.25,33.34,34.16,33.91,33.03,32.94,34.0,34.62,33.28,31.97,31.88,32.25,31.56,30.97,31.88,33.03,32.5,30.59,29.25,28.75,27.75,26.0,25.28,25.81,26.5,25.0,23.94,24.56,26.16,26.41,27.03,29.19,31.31,32.28,31.69,31.78,32.34,31.97,29.38,27.28,25.78,24.31,21.19,18.62,18.47,19.38,19.91,21.19,24.0,27.53,29.38,29.81,30.47,31.81,32.25,31.03,29.88,29.75,29.47,27.72,26.19,25.59,25.5,23.41,20.44,19.12,19.53,19.91,20.56,23.03,27.28,30.84,32.47,33.44,34.62,35.03,32.97,31.06,30.53,30.41,29.25,26.94,25.47,24.75,23.06,20.25,19.38,20.19,21.47,22.0,23.28,25.91,28.31,28.38,27.25,26.56,26.19,24.53,22.81,23.34,25.25,27.34,28.19,28.94,30.34,31.12,29.69,28.47,28.97,29.88,29.25,28.66,29.09,30.44,30.91,30.81,31.94,33.62,33.81,32.09,29.44,27.62,24.91,20.41,15.81,13.41,12.56,12.12,13.5,17.53,23.0,27.22,29.5,31.41,32.94,33.06,30.81,28.97,28.56,28.56,28.38,28.66,30.59,33.19,34.34,34.62,34.97,35.75,34.97,32.59,30.59,29.22,27.31,23.56,20.19,18.19,17.03,15.5,14.75,16.12,18.72,19.72,20.16,20.94,22.97,24.53,25.22,26.56,28.78,30.34,29.38,28.41,28.75,29.66,29.34,29.09,30.09,31.59,31.53,30.78,30.75,32.19,33.09,33.44,34.62,37.09,39.53,39.66,39.19,39.41,39.22,37.38,34.31,32.03,30.22,27.06,23.28,21.16,20.81,20.5,20.31,21.41,24.62,28.31,30.53,32.81,34.81,36.34,35.12,32.38,29.94,27.91,24.94,21.09,18.28,17.16,15.75,13.56,12.72,13.62,14.94,15.22,15.72,17.31,18.84,18.75,17.5,16.5,16.16,14.81,12.41,10.38,10.12,9.41,8.19,7.34,8.34,10.03,10.69,11.84,14.41,17.81,20.47,22.97,26.5,30.91,34.5,36.41,37.72,39.28,38.91,36.19,32.59,29.72,26.56,22.53,18.84,17.53,17.66,17.25,16.94,17.75,19.75,21.16,21.75,22.06,23.69,24.47,24.09,23.84,25.31,27.38,27.72,27.03,26.97,26.44,24.16,21.28,19.12,18.59,18.06,16.88,16.94,18.81,20.66,21.34,21.81,23.41,24.78,24.12,23.09,22.25,21.91,19.62,16.25,13.88,13.16,12.97,12.47,12.97,15.53,18.38,19.62,20.62,22.94,25.38,26.12,26.38,27.47,29.78,31.03,31.25,32.12,33.66,33.75,32.16,29.97,29.25,28.56,26.5,24.31,23.91,23.81,22.44,20.97,20.28,20.91,20.84,19.94,19.62,20.62,20.84,19.56,18.34,18.69,18.84,17.44,15.47,15.0,14.81,13.62,12.19,11.5,12.12,12.28,11.47,11.81,13.59,15.75,16.59,17.31,19.56,21.38,20.97,19.38,18.38,17.28,14.97,12.34,11.56,12.53,14.03,15.16,16.84,19.91,22.44,22.59,22.12,22.69,23.16,22.88,22.38,23.5,24.75,24.62,23.16,21.78,20.84,19.81,17.69,16.19,17.31,19.25,20.38,21.5,24.12,26.0,25.78,24.22,23.12,22.47,20.62,17.72,15.84,15.62,15.09,13.75,12.5,12.53,12.47,11.09,9.88,10.84,12.28,12.53,12.22,12.59,13.47,13.44,12.5,12.72,14.56,16.31,17.09,18.12,20.25,21.81,21.66,20.62,20.94,21.41,20.97,19.94,19.97,20.91,21.25,20.91,20.59,21.41,21.69,20.44,18.75,18.66,18.88,17.59,15.78,15.38,15.34,14.41,13.03,12.53,12.84,12.41,10.5,9.28,9.78,9.78,9.06,8.47,9.72,11.16,11.56,11.78,12.75,14.09,13.97,12.75,12.59,13.44,13.62,12.56,12.22,13.03,13.66,13.41,12.91,14.0,15.06,14.31,12.44,11.25,10.25,8.44,5.5,4.44,5.44,6.47,7.06,7.84,10.66,12.78,13.38,13.53,14.84,15.81,14.5,11.75,9.56,7.75,5.28,1.75,0.06,0.03,-0.16,-1.0,-0.97,0.88,3.62,5.47,7.0,9.62,12.75,14.5,15.56,18.12,21.19,22.56,21.81,20.53,19.75,17.97,14.28,11.25,10.25,9.75,8.22,6.91,7.44,7.91,7.5,6.44,6.88,8.62,9.78,9.97,10.88,12.91,14.19,13.91,13.22,13.38,13.81,12.84,11.41,12.06,13.94,14.94,15.25,16.25,17.91,18.12,15.97,13.91,12.91,11.62,8.84,6.75,6.56,7.16,7.03,6.38,7.56,9.75,10.94,11.0,11.66,13.06,13.34,11.53,10.12,10.03,9.94,8.62,7.66,9.16,11.31,12.81,13.06,14.0,14.59,13.62,10.5,8.0,6.84,5.28,2.84,1.62,2.75,4.91,5.91,7.19,9.72,12.22,12.53,11.03,10.41,10.28,8.88,6.31,5.31,5.91,6.62,6.56,7.09,8.97,10.59,10.62,10.19,10.94,12.22,12.06,10.94,10.56,11.16,10.66,8.72,7.88,7.97,7.91,6.53,5.72,7.19,9.47,10.62,11.5,13.47,15.22,15.22,13.72,12.84,12.94,12.53,11.72,12.38,15.25,18.41,19.75,21.31,23.09,24.06,23.0,20.97,20.56,21.5,21.88,21.56,22.19,23.03,23.16,20.84,19.03,18.44,17.94,16.69,15.56,16.38,17.66,17.03,15.47,14.56,14.25,12.94,11.16,11.0,12.41,13.91,13.78,14.0,15.38,16.03,14.66,13.31,13.38,14.22,13.44,12.38,12.44,13.09,13.09,12.66,13.56,15.91,17.47,17.5,17.12,17.66,17.69,15.97,14.53,14.03,13.53,11.88,9.19,8.16,8.91,9.62,10.34,12.75,16.19,19.31,19.94,20.31,21.62,21.75,19.09,15.91,13.72,11.69,8.94,6.41,6.03,7.59,8.75,9.25,10.75,13.41,15.28,15.12,15.19,16.25,17.06,16.16,14.94,15.34,16.47,16.66,16.22,17.06,18.31,18.31,16.44,14.81,14.34,13.44,11.31,9.44,9.25,9.62,8.34,6.75,6.62,7.06,6.16,4.53,4.22,5.56,7.06,7.81,9.28,12.25,14.47,13.91,12.88,12.75,12.81,11.09,9.25,9.22,10.56,10.47,9.56,9.47,10.19,10.09,8.22,7.12,7.38,7.75,6.12,4.56,4.53,5.53,5.34,5.34,6.62,8.91,10.28,10.25,10.88,12.47,13.16,12.28,12.34,13.88,15.91,16.25,16.56,18.16,19.53,18.69,16.66,15.38,15.31,14.56,13.19,13.0,14.41,15.0,13.75,12.84,13.38,13.72,12.06,9.75,9.28,9.62,8.72,7.53,8.12,9.53,9.91,9.19,9.41,11.34,12.84,12.62,12.16,12.88,13.69,12.56,11.41,12.12,14.25,14.88,14.41,14.97,16.38,16.19,14.91,14.22,14.5,14.44,12.5,11.12,11.91,14.0,15.38,17.12,20.44,24.38,26.22,26.62,27.25,28.72,29.09,28.12,27.25,27.44,26.81,23.88,20.34,18.03,16.16,13.06,10.16,9.62,10.91,11.69,11.88,13.47,16.34,18.91,19.91,21.78,24.84,26.94,26.94,26.38,26.94,27.28,25.81,23.81,22.62,22.53,21.22,19.53,19.06,19.94,20.28,19.38,18.53,19.28,19.88,18.5,16.56,15.91,15.88,14.53,13.72,15.0,17.78,19.38,19.66,20.62,22.56,24.0,24.66,26.12,28.88,31.25,30.81,29.5,29.25,29.38,28.03,26.81,27.28,28.69,28.75,27.16,25.81,25.5,24.44,22.53,21.12,21.75,22.88,22.31,21.47,22.19,23.5,23.69,23.88,25.03,27.62,29.09,29.09,29.38,30.75,31.41,30.16,28.81,28.81,29.41,28.44,27.59,28.62,30.56,30.59,29.66,29.47,30.59,30.53,29.41,28.59,28.94,28.47,26.0,23.84,23.16,23.34,22.06,20.47,20.88,22.0,21.66,20.62,20.69,22.59,24.06,25.03,26.97,30.5,33.09,33.59,33.47,34.53,35.44,34.34,32.66,32.25,32.47,31.25,29.5,28.53,29.09,28.88,26.94,25.62,26.06,26.72,26.12,25.72,27.22,29.22,29.94,30.22,31.88,34.19,35.09,34.09,33.28,32.97,31.16,27.91,25.44,25.28,25.91,26.03,25.91,27.28,28.78,28.0,26.44,26.22,27.22,27.25,26.66,26.88,29.09,30.75,30.84,30.84,32.41,33.81,33.59,32.97,33.78,34.56,33.75,31.56,30.28,30.19,29.47,27.75,21.06,22.47,23.16,23.44,24.19,24.47,24.97,25.69,27.12,28.38,29.44,30.03,30.34,30.47,30.41,29.91,29.84,29.84,29.69,28.94,27.88:23.69,25.16,25.38,26.34,28.47,30.19,30.16,29.47,29.41,29.06,26.75,23.72,22.22,21.91,21.16,20.19,20.53,22.88,25.22,26.34,28.34,31.91,34.25,34.53,34.16,34.59,34.78,34.06,32.69,33.06,33.91,33.78,31.97,30.09,28.91,26.81,24.0,22.12,23.12,25.06,26.25,27.84,30.44,32.53,32.78,31.81,31.44,31.12,30.41,28.28,26.97,27.06,27.5,26.88,26.88,28.62,30.38,30.59,30.16,30.81,31.47,30.81,29.59,29.72,31.19,32.94,33.28,34.31,36.0,37.0,35.31,33.06,31.97,31.06,28.88,26.69,26.56,27.06,26.5,24.84,23.53,23.16,22.41,20.97,21.03,23.34,26.12,27.25,28.0,29.75,31.53,31.88,31.69,32.5,34.0,34.44,33.38,32.91,33.28,32.66,30.38,28.28,27.75,28.19,27.97,28.22,30.53,32.88,33.69,33.25,33.34,34.16,33.91,33.03,32.94,34.0,34.62,33.28,31.97,31.88,32.25,31.56,30.97,31.88,33.03,32.5,30.59,29.25,28.75,27.75,26.0,25.28,25.81,26.5,25.0,23.94,24.56,26.16,26.41,27.03,29.19,31.31,32.28,31.69,31.78,32.34,31.97,29.38,27.28,25.78,24.31,21.19,18.62,18.47,19.38,19.91,21.19,24.0,27.53,29.38,29.81,30.47,31.81,32.25,31.03,29.88,29.75,29.47,27.72,26.19,25.59,25.5,23.41,20.44,19.12,19.53,19.91,20.56,23.03,27.28,30.84,32.47,33.44,34.62,35.03,32.97,31.06,30.53,30.41,29.25,26.94,25.47,24.75,23.06,20.25,19.38,20.19,21.47,22.0,23.28,25.91,28.31,28.38,27.25,26.56,26.19,24.53,22.81,23.34,25.25,27.34,28.19,28.94,30.34,31.12,29.69,28.47,28.97,29.88,29.25,28.66,29.09,30.44,30.91,30.81,31.94,33.62,33.81,32.09,29.44,27.62,24.91,20.41,15.81,13.41,12.56,12.12,13.5,17.53,23.0,27.22,29.5,31.41,32.94,33.06,30.81,28.97,28.56,28.56,28.38,28.66,30.59,33.19,34.34,34.62,34.97,35.75,34.97,32.59,30.59,29.22,27.31,23.56,20.19,18.19,17.03,15.5,14.75,16.12,18.72,19.72,20.16,20.94,22.97,24.53,25.22,26.56,28.78,30.34,29.38,28.41,28.75,29.66,29.34,29.09,30.09,31.59,31.53,30.78,30.75,32.19,33.09,33.44,34.62,37.09,39.53,39.66,39.19,39.41,39.22,37.38,34.31,32.03,30.22,27.06,23.28,21.16,20.81,20.5,20.31,21.41,24.62,28.31,30.53,32.81,34.81,36.34,35.12,32.38,29.94,27.91,24.94,21.09,18.28,17.16,15.75,13.56,12.72,13.62,14.94,15.22,15.72,17.31,18.84,18.75,17.5,16.5,16.16,14.81,12.41,10.38,10.12,9.41,8.19,7.34,8.34,10.03,10.69,11.84,14.41,17.81,20.47,22.97,26.5,30.91,34.5,36.41,37.72,39.28,38.91,36.19,32.59,29.72,26.56,22.53,18.84,17.53,17.66,17.25,16.94,17.75,19.75,21.16,21.75,22.06,23.69,24.47,24.09,23.84,25.31,27.38,27.72,27.03,26.97,26.44,24.16,21.28,19.12,18.59,18.06,16.88,16.94,18.81,20.66,21.34,21.81,23.41,24.78,24.12,23.09,22.25,21.91,19.62,16.25,13.88,13.16,12.97,12.47,12.97,15.53,18.38,19.62,20.62,22.94,25.38,26.12,26.38,27.47,29.78,31.03,31.25,32.12,33.66,33.75,32.16,29.97,29.25,28.56,26.5,24.31,23.91,23.81,22.44,20.97,20.28,20.91,20.84,19.94,19.62,20.62,20.84,19.56,18.34,18.69,18.84,17.44,15.47,15.0,14.81,13.62,12.19,11.5,12.12,12.28,11.47,11.81,13.59,15.75,16.59,17.31,19.56,21.38,20.97,19.38,18.38,17.28,14.97,12.34,11.56,12.53,14.03,15.16,16.84,19.91,22.44,22.59,22.12,22.69,23.16,22.88,22.38,23.5,24.75,24.62,23.16,21.78,20.84,19.81,17.69,16.19,17.31,19.25,20.38,21.5,24.12,26.0,25.78,24.22,23.12,22.47,20.62,17.72,15.84,15.62,15.09,13.75,12.5,12.53,12.47,11.09,9.88,10.84,12.28,12.53,12.22,12.59,13.47,13.44,12.5,12.72,14.56,16.31,17.09,18.12,20.25,21.81,21.66,20.62,20.94,21.41,20.97,19.94,19.97,20.91,21.25,20.91,20.59,21.41,21.69,20.44,18.75,18.66,18.88,17.59,15.78,15.38,15.34,14.41,13.03,12.53,12.84,12.41,10.5,9.28,9.78,9.78,9.06,8.47,9.72,11.16,11.56,11.78,12.75,14.09,13.97,12.75,12.59,13.44,13.62,12.56,12.22,13.03,13.66,13.41,12.91,14.0,15.06,14.31,12.44,11.25,10.25,8.44,5.5,4.44,5.44,6.47,7.06,7.84,10.66,12.78,13.38,13.53,14.84,15.81,14.5,11.75,9.56,7.75,5.28,1.75,0.06,0.03,-0.16,-1.0,-0.97,0.88,3.62,5.47,7.0,9.62,12.75,14.5,15.56,18.12,21.19,22.56,21.81,20.53,19.75,17.97,14.28,11.25,10.25,9.75,8.22,6.91,7.44,7.91,7.5,6.44,6.88,8.62,9.78,9.97,10.88,12.91,14.19,13.91,13.22,13.38,13.81,12.84,11.41,12.06,13.94,14.94,15.25,16.25,17.91,18.12,15.97,13.91,12.91,11.62,8.84,6.75,6.56,7.16,7.03,6.38,7.56,9.75,10.94,11.0,11.66,13.06,13.34,11.53,10.12,10.03,9.94,8.62,7.66,9.16,11.31,12.81,13.06,14.0,14.59,13.62,10.5,8.0,6.84,5.28,2.84,1.62,2.75,4.91,5.91,7.19,9.72,12.22,12.53,11.03,10.41,10.28,8.88,6.31,5.31,5.91,6.62,6.56,7.09,8.97,10.59,10.62,10.19,10.94,12.22,12.06,10.94,10.56,11.16,10.66,8.72,7.88,7.97,7.91,6.53,5.72,7.19,9.47,10.62,11.5,13.47,15.22,15.22,13.72,12.84,12.94,12.53,11.72,12.38,15.25,18.41,19.75,21.31,23.09,24.06,23.0,20.97,20.56,21.5,21.88,21.56,22.19,23.03,23.16,20.84,19.03,18.44,17.94,16.69,15.56,16.38,17.66,17.03,15.47,14.56,14.25,12.94,11.16,11.0,12.41,13.91,13.78,14.0,15.38,16.03,14.66,13.31,13.38,14.22,13.44,12.38,12.44,13.09,13.09,12.66,13.56,15.91,17.47,17.5,17.12,17.66,17.69,15.97,14.53,14.03,13.53,11.88,9.19,8.16,8.91,9.62,10.34,12.75,16.19,19.31,19.94,20.31,21.62,21.75,19.09,15.91,13.72,11.69,8.94,6.41,6.03,7.59,8.75,9.25,10.75,13.41,15.28,15.12,15.19,16.25,17.06,16.16,14.94,15.34,16.47,16.66,16.22,17.06,18.31,18.31,16.44,14.81,14.34,13.44,11.31,9.44,9.25,9.62,8.34,6.75,6.62,7.06,6.16,4.53,4.22,5.56,7.06,7.81,9.28,12.25,14.47,13.91,12.88,12.75,12.81,11.09,9.25,9.22,10.56,10.47,9.56,9.47,10.19,10.09,8.22,7.12,7.38,7.75,6.12,4.56,4.53,5.53,5.34,5.34,6.62,8.91,10.28,10.25,10.88,12.47,13.16,12.28,12.34,13.88,15.91,16.25,16.56,18.16,19.53,18.69,16.66,15.38,15.31,14.56,13.19,13.0,14.41,15.0,13.75,12.84,13.38,13.72,12.06,9.75,9.28,9.62,8.72,7.53,8.12,9.53,9.91,9.19,9.41,11.34,12.84,12.62,12.16,12.88,13.69,12.56,11.41,12.12,14.25,14.88,14.41,14.97,16.38,16.19,14.91,14.22,14.5,14.44,12.5,11.12,11.91,14.0,15.38,17.12,20.44,24.38,26.22,26.62,27.25,28.72,29.09,28.12,27.25,27.44,26.81,23.88,20.34,18.03,16.16,13.06,10.16,9.62,10.91,11.69,11.88,13.47,16.34,18.91,19.91,21.78,24.84,26.94,26.94,26.38,26.94,27.28,25.81,23.81,22.62,22.53,21.22,19.53,19.06,19.94,20.28,19.38,18.53,19.28,19.88,18.5,16.56,15.91,15.88,14.53,13.72,15.0,17.78,19.38,19.66,20.62,22.56,24.0,24.66,26.12,28.88,31.25,30.81,29.5,29.25,29.38,28.03,26.81,27.28,28.69,28.75,27.16,25.81,25.5,24.44,22.53,21.12,21.75,22.88,22.31,21.47,22.19,23.5,23.69,23.88,25.03,27.62,29.09,29.09,29.38,30.75,31.41,30.16,28.81,28.81,29.41,28.44,27.59,28.62,30.56,30.59,29.66,29.47,30.59,30.53,29.41,28.59,28.94,28.47,26.0,23.84,23.16,23.34,22.06,20.47,20.88,22.0,21.66,20.62,20.69,22.59,24.06,25.03,26.97,30.5,33.09,33.59,33.47,34.53,35.44,34.34,32.66,32.25,32.47,31.25,29.5,28.53,29.09,28.88,26.94,25.62,26.06,26.72,26.12,25.72,27.22,29.22,29.94,30.22,31.88,34.19,35.09,34.09,33.28,32.97,31.16,27.91,25.44,25.28,25.91,26.03,25.91,27.28,28.78,28.0,26.44,26.22,27.22,27.25,26.66,26.88,29.09,30.75,30.84,30.84,32.41,33.81,33.59,32.97,33.78,34.56,33.75,31.56,30.28,30.19,29.47,27.75,21.06,22.47,23.16,23.44,24.19,24.47,24.97,25.69,27.12,28.38,29.44,30.03,30.34,30.47,30.41,29.91,29.84,29.84,29.69,28.94,27.88,27.19,26.66,26.41,26.88,27.44,28.28,28.03:29.47,29.41,29.06,26.75,23.72,22.22,21.91,21.16,20.19,20.53,22.88,25.22,26.34,28.34,31.91,34.25,34.53,34.16,34.59,34.78,34.06,32.69,33.06,33.91,33.78,31.97,30.09,28.91,26.81,24.0,22.12,23.12,25.06,26.25,27.84,30.44,32.53,32.78,31.81,31.44,31.12,30.41,28.28,26.97,27.06,27.5,26.88,26.88,28.62,30.38,30.59,30.16,30.81,31.47,30.81,29.59,29.72,31.19,32.94,33.28,34.31,36.0,37.0,35.31,33.06,31.97,31.06,28.88,26.69,26.56,27.06,26.5,24.84,23.53,23.16,22.41,20.97,21.03,23.34,26.12,27.25,28.0,29.75,31.53,31.88,31.69,32.5,34.0,34.44,33.38,32.91,33.28,32.66,30.38,28.28,27.75,28.19,27.97,28.22,30.53,32.88,33.69,33.25,33.34,34.16,33.91,33.03,32.94,34.0,34.62,33.28,31.97,31.88,32.25,31.56,30.97,31.88,33.03,32.5,30.59,29.25,28.75,27.75,26.0,25.28,25.81,26.5,25.0,23.94,24.56,26.16,26.41,27.03,29.19,31.31,32.28,31.69,31.78,32.34,31.97,29.38,27.28,25.78,24.31,21.19,18.62,18.47,19.38,19.91,21.19,24.0,27.53,29.38,29.81,30.47,31.81,32.25,31.03,29.88,29.75,29.47,27.72,26.19,25.59,25.5,23.41,20.44,19.12,19.53,19.91,20.56,23.03,27.28,30.84,32.47,33.44,34.62,35.03,32.97,31.06,30.53,30.41,29.25,26.94,25.47,24.75,23.06,20.25,19.38,20.19,21.47,22.0,23.28,25.91,28.31,28.38,27.25,26.56,26.19,24.53,22.81,23.34,25.25,27.34,28.19,28.94,30.34,31.12,29.69,28.47,28.97,29.88,29.25,28.66,29.09,30.44,30.91,30.81,31.94,33.62,33.81,32.09,29.44,27.62,24.91,20.41,15.81,13.41,12.56,12.12,13.5,17.53,23.0,27.22,29.5,31.41,32.94,33.06,30.81,28.97,28.56,28.56,28.38,28.66,30.59,33.19,34.34,34.62,34.97,35.75,34.97,32.59,30.59,29.22,27.31,23.56,20.19,18.19,17.03,15.5,14.75,16.12,18.72,19.72,20.16,20.94,22.97,24.53,25.22,26.56,28.78,30.34,29.38,28.41,28.75,29.66,29.34,29.09,30.09,31.59,31.53,30.78,30.75,32.19,33.09,33.44,34.62,37.09,39.53,39.66,39.19,39.41,39.22,37.38,34.31,32.03,30.22,27.06,23.28,21.16,20.81,20.5,20.31,21.41,24.62,28.31,30.53,32.81,34.81,36.34,35.12,32.38,29.94,27.91,24.94,21.09,18.28,17.16,15.75,13.56,12.72,13.62,14.94,15.22,15.72,17.31,18.84,18.75,17.5,16.5,16.16,14.81,12.41,10.38,10.12,9.41,8.19,7.34,8.34,10.03,10.69,11.84,14.41,17.81,20.47,22.97,26.5,30.91,34.5,36.41,37.72,39.28,38.91,36.19,32.59,29.72,26.56,22.53,18.84,17.53,17.66,17.25,16.94,17.75,19.75,21.16,21.75,22.06,23.69,24.47,24.09,23.84,25.31,27.38,27.72,27.03,26.97,26.44,24.16,21.28,19.12,18.59,18.06,16.88,16.94,18.81,20.66,21.34,21.81,23.41,24.78,24.12,23.09,22.25,21.91,19.62,16.25,13.88,13.16,12.97,12.47,12.97,15.53,18.38,19.62,20.62,22.94,25.38,26.12,26.38,27.47,29.78,31.03,31.25,32.12,33.66,33.75,32.16,29.97,29.25,28.56,26.5,24.31,23.91,23.81,22.44,20.97,20.28,20.91,20.84,19.94,19.62,20.62,20.84,19.56,18.34,18.69,18.84,17.44,15.47,15.0,14.81,13.62,12.19,11.5,12.12,12.28,11.47,11.81,13.59,15.75,16.59,17.31,19.56,21.38,20.97,19.38,18.38,17.28,14.97,12.34,11.56,12.53,14.03,15.16,16.84,19.91,22.44,22.59,22.12,22.69,23.16,22.88,22.38,23.5,24.75,24.62,23.16,21.78,20.84,19.81,17.69,16.19,17.31,19.25,20.38,21.5,24.12,26.0,25.78,24.22,23.12,22.47,20.62,17.72,15.84,15.62,15.09,13.75,12.5,12.53,12.47,11.09,9.88,10.84,12.28,12.53,12.22,12.59,13.47,13.44,12.5,12.72,14.56,16.31,17.09,18.12,20.25,21.81,21.66,20.62,20.94,21.41,20.97,19.94,19.97,20.91,21.25,20.91,20.59,21.41,21.69,20.44,18.75,18.66,18.88,17.59,15.78,15.38,15.34,14.41,13.03,12.53,12.84,12.41,10.5,9.28,9.78,9.78,9.06,8.47,9.72,11.16,11.56,11.78,12.75,14.09,13.97,12.75,12.59,13.44,13.62,12.56,12.22,13.03,13.66,13.41,12.91,14.0,15.06,14.31,12.44,11.25,10.25,8.44,5.5,4.44,5.44,6.47,7.06,7.84,10.66,12.78,13.38,13.53,14.84,15.81,14.5,11.75,9.56,7.75,5.28,1.75,0.06,0.03,-0.16,-1.0,-0.97,0.88,3.62,5.47,7.0,9.62,12.75,14.5,15.56,18.12,21.19,22.56,21.81,20.53,19.75,17.97,14.28,11.25,10.25,9.75,8.22,6.91,7.44,7.91,7.5,6.44,6.88,8.62,9.78,9.97,10.88,12.91,14.19,13.91,13.22,13.38,13.81,12.84,11.41,12.06,13.94,14.94,15.25,16.25,17.91,18.12,15.97,13.91,12.91,11.62,8.84,6.75,6.56,7.16,7.03,6.38,7.56,9.75,10.94,11.0,11.66,13.06,13.34,11.53,10.12,10.03,9.94,8.62,7.66,9.16,11.31,12.81,13.06,14.0,14.59,13.62,10.5,8.0,6.84,5.28,2.84,1.62,2.75,4.91,5.91,7.19,9.72,12.22,12.53,11.03,10.41,10.28,8.88,6.31,5.31,5.91,6.62,6.56,7.09,8.97,10.59,10.62,10.19,10.94,12.22,12.06,10.94,10.56,11.16,10.66,8.72,7.88,7.97,7.91,6.53,5.72,7.19,9.47,10.62,11.5,13.47,15.22,15.22,13.72,12.84,12.94,12.53,11.72,12.38,15.25,18.41,19.75,21.31,23.09,24.06,23.0,20.97,20.56,21.5,21.88,21.56,22.19,23.03,23.16,20.84,19.03,18.44,17.94,16.69,15.56,16.38,17.66,17.03,15.47,14.56,14.25,12.94,11.16,11.0,12.41,13.91,13.78,14.0,15.38,16.03,14.66,13.31,13.38,14.22,13.44,12.38,12.44,13.09,13.09,12.66,13.56,15.91,17.47,17.5,17.12,17.66,17.69,15.97,14.53,14.03,13.53,11.88,9.19,8.16,8.91,9.62,10.34,12.75,16.19,19.31,19.94,20.31,21.62,21.75,19.09,15.91,13.72,11.69,8.94,6.41,6.03,7.59,8.75,9.25,10.75,13.41,15.28,15.12,15.19,16.25,17.06,16.16,14.94,15.34,16.47,16.66,16.22,17.06,18.31,18.31,16.44,14.81,14.34,13.44,11.31,9.44,9.25,9.62,8.34,6.75,6.62,7.06,6.16,4.53,4.22,5.56,7.06,7.81,9.28,12.25,14.47,13.91,12.88,12.75,12.81,11.09,9.25,9.22,10.56,10.47,9.56,9.47,10.19,10.09,8.22,7.12,7.38,7.75,6.12,4.56,4.53,5.53,5.34,5.34,6.62,8.91,10.28,10.25,10.88,12.47,13.16,12.28,12.34,13.88,15.91,16.25,16.56,18.16,19.53,18.69,16.66,15.38,15.31,14.56,13.19,13.0,14.41,15.0,13.75,12.84,13.38,13.72,12.06,9.75,9.28,9.62,8.72,7.53,8.12,9.53,9.91,9.19,9.41,11.34,12.84,12.62,12.16,12.88,13.69,12.56,11.41,12.12,14.25,14.88,14.41,14.97,16.38,16.19,14.91,14.22,14.5,14.44,12.5,11.12,11.91,14.0,15.38,17.12,20.44,24.38,26.22,26.62,27.25,28.72,29.09,28.12,27.25,27.44,26.81,23.88,20.34,18.03,16.16,13.06,10.16,9.62,10.91,11.69,11.88,13.47,16.34,18.91,19.91,21.78,24.84,26.94,26.94,26.38,26.94,27.28,25.81,23.81,22.62,22.53,21.22,19.53,19.06,19.94,20.28,19.38,18.53,19.28,19.88,18.5,16.56,15.91,15.88,14.53,13.72,15.0,17.78,19.38,19.66,20.62,22.56,24.0,24.66,26.12,28.88,31.25,30.81,29.5,29.25,29.38,28.03,26.81,27.28,28.69,28.75,27.16,25.81,25.5,24.44,22.53,21.12,21.75,22.88,22.31,21.47,22.19,23.5,23.69,23.88,25.03,27.62,29.09,29.09,29.38,30.75,31.41,30.16,28.81,28.81,29.41,28.44,27.59,28.62,30.56,30.59,29.66,29.47,30.59,30.53,29.41,28.59,28.94,28.47,26.0,23.84,23.16,23.34,22.06,20.47,20.88,22.0,21.66,20.62,20.69,22.59,24.06,25.03,26.97,30.5,33.09,33.59,33.47,34.53,35.44,34.34,32.66,32.25,32.47,31.25,29.5,28.53,29.09,28.88,26.94,25.62,26.06,26.72,26.12,25.72,27.22,29.22,29.94,30.22,31.88,34.19,35.09,34.09,33.28,32.97,31.16,27.91,25.44,25.28,25.91,26.03,25.91,27.28,28.78,28.0,26.44,26.22,27.22,27.25,26.66,26.88,29.09,30.75,30.84,30.84,32.41,33.81,33.59,32.97,33.78,34.56,33.75,31.56,30.28,30.19,29.47,27.75,21.06,22.47,23.16,23.44,24.19,24.47,24.97,25.69,27.12,28.38,29.44,30.03,30.34,30.47,30.41,29.91,29.84,29.84,29.69,28.94,27.88,27.19,26.66,26.41,26.88,27.44,28.28,28.03,27.38,26.5,26.31,26.12,25.91,26.44,27.25:21.16,20.19,20.53,22.88,25.22,26.34,28.34,31.91,34.25,34.53,34.16,34.59,34.78,34.06,32.69,33.06,33.91,33.78,31.97,30.09,28.91,26.81,24.0,22.12,23.12,25.06,26.25,27.84,30.44,32.53,32.78,31.81,31.44,31.12,30.41,28.28,26.97,27.06,27.5,26.88,26.88,28.62,30.38,30.59,30.16,30.81,31.47,30.81,29.59,29.72,31.19,32.94,33.28,34.31,36.0,37.0,35.31,33.06,31.97,31.06,28.88,26.69,26.56,27.06,26.5,24.84,23.53,23.16,22.41,20.97,21.03,23.34,26.12,27.25,28.0,29.75,31.53,31.88,31.69,32.5,34.0,34.44,33.38,32.91,33.28,32.66,30.38,28.28,27.75,28.19,27.97,28.22,30.53,32.88,33.69,33.25,33.34,34.16,33.91,33.03,32.94,34.0,34.62,33.28,31.97,31.88,32.25,31.56,30.97,31.88,33.03,32.5,30.59,29.25,28.75,27.75,26.0,25.28,25.81,26.5,25.0,23.94,24.56,26.16,26.41,27.03,29.19,31.31,32.28,31.69,31.78,32.34,31.97,29.38,27.28,25.78,24.31,21.19,18.62,18.47,19.38,19.91,21.19,24.0,27.53,29.38,29.81,30.47,31.81,32.25,31.03,29.88,29.75,29.47,27.72,26.19,25.59,25.5,23.41,20.44,19.12,19.53,19.91,20.56,23.03,27.28,30.84,32.47,33.44,34.62,35.03,32.97,31.06,30.53,30.41,29.25,26.94,25.47,24.75,23.06,20.25,19.38,20.19,21.47,22.0,23.28,25.91,28.31,28.38,27.25,26.56,26.19,24.53,22.81,23.34,25.25,27.34,28.19,28.94,30.34,31.12,29.69,28.47,28.97,29.88,29.25,28.66,29.09,30.44,30.91,30.81,31.94,33.62,33.81,32.09,29.44,27.62,24.91,20.41,15.81,13.41,12.56,12.12,13.5,17.53,23.0,27.22,29.5,31.41,32.94,33.06,30.81,28.97,28.56,28.56,28.38,28.66,30.59,33.19,34.34,34.62,34.97,35.75,34.97,32.59,30.59,29.22,27.31,23.56,20.19,18.19,17.03,15.5,14.75,16.12,18.72,19.72,20.16,20.94,22.97,24.53,25.22,26.56,28.78,30.34,29.38,28.41,28.75,29.66,29.34,29.09,30.09,31.59,31.53,30.78,30.75,32.19,33.09,33.44,34.62,37.09,39.53,39.66,39.19,39.41,39.22,37.38,34.31,32.03,30.22,27.06,23.28,21.16,20.81,20.5,20.31,21.41,24.62,28.31,30.53,32.81,34.81,36.34,35.12,32.38,29.94,27.91,24.94,21.09,18.28,17.16,15.75,13.56,12.72,13.62,14.94,15.22,15.72,17.31,18.84,18.75,17.5,16.5,16.16,14.81,12.41,10.38,10.12,9.41,8.19,7.34,8.34,10.03,10.69,11.84,14.41,17.81,20.47,22.97,26.5,30.91,34.5,36.41,37.72,39.28,38.91,36.19,32.59,29.72,26.56,22.53,18.84,17.53,17.66,17.25,16.94,17.75,19.75,21.16,21.75,22.06,23.69,24.47,24.09,23.84,25.31,27.38,27.72,27.03,26.97,26.44,24.16,21.28,19.12,18.59,18.06,16.88,16.94,18.81,20.66,21.34,21.81,23.41,24.78,24.12,23.09,22.25,21.91,19.62,16.25,13.88,13.16,12.97,12.47,12.97,15.53,18.38,19.62,20.62,22.94,25.38,26.12,26.38,27.47,29.78,31.03,31.25,32.12,33.66,33.75,32.16,29.97,29.25,28.56,26.5,24.31,23.91,23.81,22.44,20.97,20.28,20.91,20.84,19.94,19.62,20.62,20.84,19.56,18.34,18.69,18.84,17.44,15.47,15.0,14.81,13.62,12.19,11.5,12.12,12.28,11.47,11.81,13.59,15.75,16.59,17.31,19.56,21.38,20.97,19.38,18.38,17.28,14.97,12.34,11.56,12.53,14.03,15.16,16.84,19.91,22.44,22.59,22.12,22.69,23.16,22.88,22.38,23.5,24.75,24.62,23.16,21.78,20.84,19.81,17.69,16.19,17.31,19.25,20.38,21.5,24.12,26.0,25.78,24.22,23.12,22.47,20.62,17.72,15.84,15.62,15.09,13.75,12.5,12.53,12.47,11.09,9.88,10.84,12.28,12.53,12.22,12.59,13.47,13.44,12.5,12.72,14.56,16.31,17.09,18.12,20.25,21.81,21.66,20.62,20.94,21.41,20.97,19.94,19.97,20.91,21.25,20.91,20.59,21.41,21.69,20.44,18.75,18.66,18.88,17.59,15.78,15.38,15.34,14.41,13.03,12.53,12.84,12.41,10.5,9.28,9.78,9.78,9.06,8.47,9.72,11.16,11.56,11.78,12.75,14.09,13.97,12.75,12.59,13.44,13.62,12.56,12.22,13.03,13.66,13.41,12.91,14.0,15.06,14.31,12.44,11.25,10.25,8.44,5.5,4.44,5.44,6.47,7.06,7.84,10.66,12.78,13.38,13.53,14.84,15.81,14.5,11.75,9.56,7.75,5.28,1.75,0.06,0.03,-0.16,-1.0,-0.97,0.88,3.62,5.47,7.0,9.62,12.75,14.5,15.56,18.12,21.19,22.56,21.81,20.53,19.75,17.97,14.28,11.25,10.25,9.75,8.22,6.91,7.44,7.91,7.5,6.44,6.88,8.62,9.78,9.97,10.88,12.91,14.19,13.91,13.22,13.38,13.81,12.84,11.41,12.06,13.94,14.94,15.25,16.25,17.91,18.12,15.97,13.91,12.91,11.62,8.84,6.75,6.56,7.16,7.03,6.38,7.56,9.75,10.94,11.0,11.66,13.06,13.34,11.53,10.12,10.03,9.94,8.62,7.66,9.16,11.31,12.81,13.06,14.0,14.59,13.62,10.5,8.0,6.84,5.28,2.84,1.62,2.75,4.91,5.91,7.19,9.72,12.22,12.53,11.03,10.41,10.28,8.88,6.31,5.31,5.91,6.62,6.56,7.09,8.97,10.59,10.62,10.19,10.94,12.22,12.06,10.94,10.56,11.16,10.66,8.72,7.88,7.97,7.91,6.53,5.72,7.19,9.47,10.62,11.5,13.47,15.22,15.22,13.72,12.84,12.94,12.53,11.72,12.38,15.25,18.41,19.75,21.31,23.09,24.06,23.0,20.97,20.56,21.5,21.88,21.56,22.19,23.03,23.16,20.84,19.03,18.44,17.94,16.69,15.56,16.38,17.66,17.03,15.47,14.56,14.25,12.94,11.16,11.0,12.41,13.91,13.78,14.0,15.38,16.03,14.66,13.31,13.38,14.22,13.44,12.38,12.44,13.09,13.09,12.66,13.56,15.91,17.47,17.5,17.12,17.66,17.69,15.97,14.53,14.03,13.53,11.88,9.19,8.16,8.91,9.62,10.34,12.75,16.19,19.31,19.94,20.31,21.62,21.75,19.09,15.91,13.72,11.69,8.94,6.41,6.03,7.59,8.75,9.25,10.75,13.41,15.28,15.12,15.19,16.25,17.06,16.16,14.94,15.34,16.47,16.66,16.22,17.06,18.31,18.31,16.44,14.81,14.34,13.44,11.31,9.44,9.25,9.62,8.34,6.75,6.62,7.06,6.16,4.53,4.22,5.56,7.06,7.81,9.28,12.25,14.47,13.91,12.88,12.75,12.81,11.09,9.25,9.22,10.56,10.47,9.56,9.47,10.19,10.09,8.22,7.12,7.38,7.75,6.12,4.56,4.53,5.53,5.34,5.34,6.62,8.91,10.28,10.25,10.88,12.47,13.16,12.28,12.34,13.88,15.91,16.25,16.56,18.16,19.53,18.69,16.66,15.38,15.31,14.56,13.19,13.0,14.41,15.0,13.75,12.84,13.38,13.72,12.06,9.75,9.28,9.62,8.72,7.53,8.12,9.53,9.91,9.19,9.41,11.34,12.84,12.62,12.16,12.88,13.69,12.56,11.41,12.12,14.25,14.88,14.41,14.97,16.38,16.19,14.91,14.22,14.5,14.44,12.5,11.12,11.91,14.0,15.38,17.12,20.44,24.38,26.22,26.62,27.25,28.72,29.09,28.12,27.25,27.44,26.81,23.88,20.34,18.03,16.16,13.06,10.16,9.62,10.91,11.69,11.88,13.47,16.34,18.91,19.91,21.78,24.84,26.94,26.94,26.38,26.94,27.28,25.81,23.81,22.62,22.53,21.22,19.53,19.06,19.94,20.28,19.38,18.53,19.28,19.88,18.5,16.56,15.91,15.88,14.53,13.72,15.0,17.78,19.38,19.66,20.62,22.56,24.0,24.66,26.12,28.88,31.25,30.81,29.5,29.25,29.38,28.03,26.81,27.28,28.69,28.75,27.16,25.81,25.5,24.44,22.53,21.12,21.75,22.88,22.31,21.47,22.19,23.5,23.69,23.88,25.03,27.62,29.09,29.09,29.38,30.75,31.41,30.16,28.81,28.81,29.41,28.44,27.59,28.62,30.56,30.59,29.66,29.47,30.59,30.53,29.41,28.59,28.94,28.47,26.0,23.84,23.16,23.34,22.06,20.47,20.88,22.0,21.66,20.62,20.69,22.59,24.06,25.03,26.97,30.5,33.09,33.59,33.47,34.53,35.44,34.34,32.66,32.25,32.47,31.25,29.5,28.53,29.09,28.88,26.94,25.62,26.06,26.72,26.12,25.72,27.22,29.22,29.94,30.22,31.88,34.19,35.09,34.09,33.28,32.97,31.16,27.91,25.44,25.28,25.91,26.03,25.91,27.28,28.78,28.0,26.44,26.22,27.22,27.25,26.66,26.88,29.09,30.75,30.84,30.84,32.41,33.81,33.59,32.97,33.78,34.56,33.75,31.56,30.28,30.19,29.47,27.75,21.06,22.47,23.16,23.44,24.19,24.47,24.97,25.69,27.12,28.38,29.44,30.03,30.34,30.47,30.41,29.91,29.84,29.84,29.69,28.94,27.88,27.19,26.66,26.41,26.88,27.44,28.28,28.03,27.38,26.5,26.31,26.12,25.91,26.44,27.25,27.5,27.19,26.28,25.38,24.09,22.81,22.06:positivity
21.25,20.06,17.81,17.34,19.44,20.94,20.09,19.62,21.25,23.0,22.44,21.69,22.75,24.69,24.38,22.56,22.38,23.69,23.88,22.66,22.91,25.62,27.75,27.16,26.56,26.94,27.88,26.16,24.22,25.06,27.16,28.19,28.16,29.72,32.56,34.38,33.97,33.66,34.88,35.25,32.34,29.38,29.12,30.31,30.06,29.88,31.84,34.81,36.25,36.03,36.78,38.94,39.72,37.66,35.94,36.28,36.81,35.62,34.0,34.56,35.53,33.94,31.0,29.41,29.66,28.34,26.0,25.0,26.69,27.84,27.16,27.31,29.72,32.78,33.38,33.75,35.53,37.69,37.38,34.78,32.75,31.62,29.12,24.72,21.66,21.34,21.81,20.44,20.19,22.69,26.0,27.47,28.09,30.69,33.84,34.91,34.34,34.41,36.44,37.38,36.81,36.81,38.75,39.28,36.47,32.16,28.91,26.16,21.5,16.88,14.59,14.59,13.94,12.72,13.03,16.16,18.41,18.84,19.66,22.28,25.12,25.56,25.66,27.47,29.66,29.19,26.78,24.97,24.84,23.12,19.59,17.09,16.69,15.97,13.19,10.94,11.47,12.81,11.88,10.66,12.31,14.94,16.12,16.53,18.41,21.75,24.16,24.72,26.56,31.06,34.38,35.44,35.34,36.03,36.12,32.78,28.09,24.59,22.56,18.78,14.34,11.53,11.62,11.16,9.0,7.59,8.59,9.78,8.94,8.19,9.78,13.12,14.09,14.47,16.19,18.94,19.81,19.16,19.12,21.72,24.09,24.62,25.28,27.88,29.62,28.41,25.53,25.16,25.09,23.31,21.12,20.5,21.84,22.03,20.75,20.0,21.16,21.75,19.88,17.91,18.59,19.19,18.12,16.09,16.16,17.19,16.53,14.75,14.47,16.94,19.16,20.12,22.53,27.91,32.81,35.41,37.09,40.44,42.56,41.44,38.53,37.28,36.94,35.34,32.78,31.66,32.44,31.84,29.09,25.97,25.22,24.31,21.72,19.34,20.69,23.16,24.22,24.25,25.56,27.66,27.78,25.94,24.94,26.41,27.41,26.75,26.69,29.72,32.44,32.75,31.94,32.31,33.34,32.0,29.09,27.22,26.94,25.47,22.31,20.41,21.97,23.75,23.62,23.66,25.97,28.47,28.28,27.59,29.25,32.09,33.41,32.97,33.72,35.47,35.91,33.94,32.53,33.19,33.19,30.38,26.94,25.69,25.5,23.09,20.12,20.34,22.5,23.5,23.56,25.09,28.06,29.78,28.75,27.66,28.53,28.84,26.38,22.94,21.66,21.16,19.16,16.56,16.0,17.41,18.06,16.78,16.81,19.34,21.31,20.97,20.5,22.69,24.78,24.5,23.28,23.81,25.31,24.88,22.88,22.66,24.03,24.59,22.94,22.56,24.25,25.72,24.5,22.91,23.69,24.44,23.09,20.72,20.53,21.47,20.91,19.16,19.53,22.06,24.19,24.28,25.16,28.41,31.22,31.38,30.59,32.0,33.31,32.06,29.06,27.75,27.81,26.19,23.34,22.59,24.88,27.22,27.41,27.62,29.75,30.75,28.75,26.03,25.62,26.34,25.56,23.97,24.47,26.47,27.16,25.38,24.66,25.53,26.53,24.75,23.41,24.19,25.38,23.97,22.0,22.75,25.12,26.47,26.66,28.69,32.53,35.19,34.72,34.72,36.53,37.94,36.16,34.34,34.53,35.06,33.34,30.06,29.44,30.38,29.88,27.94,27.62,28.47,28.19,25.28,22.66,22.38,22.81,21.12,19.5,20.78,22.75,22.69,21.19,21.31,22.66,22.56,20.62,19.66,20.81,21.72,20.41,19.59,21.41,22.91,21.47,19.28,18.94,19.78,18.81,16.72,16.69,18.47,19.5,18.53,18.56,20.56,22.53,21.53,20.88,23.03,25.12,24.72,23.69,24.09,26.19,26.81,25.91,26.38,28.03,28.78,26.5,24.09,23.44,22.75,19.12,15.97,16.0,17.88,18.06,17.62,18.97,21.44,21.62,20.25,19.84,22.0,23.34,22.91,23.03,24.94,26.53,25.03,22.69,22.88,23.88,23.34,22.66,23.84,26.78,27.84,26.66,26.19,27.47,28.06,25.78,24.38,25.25,26.88,26.62,25.47,26.53,29.03,29.25,28.12,28.38,30.66,31.44,29.81,28.78,29.72,30.28,28.0,25.38,25.34,25.69,23.66,21.19,21.81,23.91,24.72,24.28,24.31,26.38,26.59,24.59,23.03,23.94,24.41,22.5,20.94,21.75,23.84,23.41,21.94,21.69,23.0,22.47,20.53,19.75,21.19,22.09,20.97,20.09,21.31,22.62,20.5,17.84,17.25,18.12,17.38,15.66,16.06,18.47,19.28,18.16,18.25,20.44,22.56,22.41,22.53,25.31,28.28,28.06,26.97,27.22,28.28,26.78,23.66,21.69,21.94,21.47,19.16,18.09,19.91,21.22,20.44,19.97,22.56,26.12,27.03,27.22,29.09,32.25,33.12,32.28,31.75,32.22,30.62,26.31,22.12,21.12,20.84,18.91,18.03,20.12,23.72,25.09,25.47,27.0,29.75,30.03,27.97,27.03,27.81,28.12,26.19,24.75,25.66,26.28,24.06,20.75,20.28,21.34,21.22,21.12,23.06,26.75,28.12,26.69,25.25,25.75,25.56,22.94,20.72,21.12,21.97,20.72,18.88,18.94,20.56,20.31,18.84,19.31,22.5,24.44,23.66,23.12,24.31,24.72,22.78,20.81,22.03,23.78,23.03,20.81,20.25,21.03,19.88,17.97,17.88,20.06,21.28,19.81,18.44,18.94,18.75,16.44,14.03,14.09,15.28,14.88,13.16,13.41,15.0,15.5,14.75,14.94,17.62,19.59,18.47,16.81,17.56,18.28,17.19,15.81,17.31,19.84,20.53,19.69,19.97,22.16,22.62,21.16,20.19,21.56,22.16,19.97,17.78,18.12,19.03,17.88,16.31,17.03,18.62,18.53,16.62,15.97,17.12,17.38,15.78,15.19,17.03,19.09,18.72,17.84,19.56,22.09,22.72,22.47,23.91,26.5,26.97,25.16,23.84,24.62,24.66,22.69,21.47,23.28,25.03,24.09,22.31,23.19,24.84,24.62,23.56,24.19,25.91,26.38,25.0,25.19,27.69,29.44,28.5,27.12,27.97,28.34,26.53,24.28,24.12,25.47,25.31,24.19,24.59,26.69,27.53,26.16,25.44,27.25,28.69,27.91,27.16,28.91,30.88,30.75,29.34,29.75,30.5,29.34,25.94,23.91,23.12,22.0,19.03,17.12,17.94,19.16,18.09,16.81,18.41,19.94,19.72,17.97,17.88,18.81,18.53,16.91,16.88,19.22,20.78,20.16,19.69,21.69,23.31,22.12,19.94,19.59,19.56,18.41,16.0,15.66,17.44,17.78,16.19,15.56,17.44,18.75,17.69,16.41,16.81,17.5,15.91,13.81,14.12,15.94,17.0,16.66,17.91,20.59,21.88,19.91,18.12,18.62,18.66,16.84,15.72,17.81,20.53,21.59,21.88,23.53,25.97,26.59,25.0,24.06,24.5,24.12,21.59,19.38,19.91,20.81,19.56,18.31,19.53,22.41,24.0,24.91,27.44,31.28,32.84,31.25,29.91,29.38,28.16,24.25,21.19,20.88,21.41,20.28,19.53,21.91,25.72,27.94,28.41,29.88,31.75,31.81,29.44,27.62,27.97,28.16,26.03,24.19,25.09,26.84,26.62,25.34,25.94,27.03,25.91,23.41,21.88,22.88,23.97,23.31,23.81,26.38,28.31,27.22,25.59,25.59,25.81,24.09,21.47,20.62,21.22,20.5,18.38,17.38,18.06,17.78,15.28,14.0,15.19,16.91,16.88,16.47,17.47,19.34,19.25,17.88,18.06,20.25,21.19,20.31,20.53,22.53,24.06,22.72,21.44,22.22,23.31,22.44,20.91,21.72,23.41,23.22,21.84,21.97,24.09,25.19,24.25,23.56,24.72,25.28,23.06,21.0,21.03,21.97,20.91,19.41,20.0,21.88,22.59,21.56,21.5,23.12,23.34,21.16,19.62,20.62,22.19,21.94,21.47,23.19,25.5,25.25,23.91,24.28,26.34,27.16,26.06,25.41,26.12,25.81,22.66,20.06,20.16,21.78,22.03,22.56,25.34,29.44,31.28,31.16,32.06,33.88,33.91,31.41,29.84,29.94,29.34,26.38,23.41,23.47,24.72,24.62,24.69,26.78,30.06,30.88,28.88,27.25,26.31,23.97,19.69,17.0,17.69,19.22,18.72,18.16,19.16,20.19,18.81,16.56,16.03,17.81,18.41,17.69,18.03,20.38,21.91,20.94,20.62,22.38,24.69,24.56,23.97,24.91,26.62,25.97,23.66,22.53,22.38,21.09,17.53,14.84,14.53,13.88,11.25,9.06,9.78,10.72,10.06,8.84,9.78,11.41,11.47,9.62,8.44,8.5,7.16,3.75,1.53,3.22,5.72,6.91,8.97,13.03,17.31,18.59,18.41,18.69,19.81,18.84,16.28,14.84,16.12,17.31,16.31,15.91,17.34,18.62,17.66,16.31,17.34,19.28,19.44,18.56,19.03,20.97,22.06,21.09,21.31,23.34,24.03,22.34,20.5,20.62,20.88,18.75,15.47,14.12,13.72,11.28,7.84,6.59,7.56,7.81,6.66,6.25,8.72,10.91,11.06,11.38,14.12,17.19,17.75,17.38,19.38,22.59,23.91,23.69,24.16,25.41,24.91,22.03,19.34,19.22,19.16,17.31,15.62,16.06,17.59,17.12,15.56,15.5,17.19,17.47,15.91,15.22,16.66,17.75,16.31,15.19,16.78,18.25,17.34,15.56,15.91,16.81,16.03,13.72,12.81,13.53,13.38,11.25,10.44,12.41,14.06,13.5,12.34,14.31,16.41,16.75,16.22,17.78,19.69,19.72,18.09,17.75,19.34,20.03,18.78,18.0,19.84,21.66,21.09,20.09,20.91,21.75,20.5,18.31,18.16,19.41,19.25,17.34,16.38,16.75,16.09,12.91,10.09:19.62,21.25,23.0,22.44,21.69,22.75,24.69,24.38,22.56,22.38,23.69,23.88,22.66,22.91,25.62,27.75,27.16,26.56,26.94,27.88,26.16,24.22,25.06,27.16,28.19,28.16,29.72,32.56,34.38,33.97,33.66,34.88,35.25,32.34,29.38,29.12,30.31,30.06,29.88,31.84,34.81,36.25,36.03,36.78,38.94,39.72,37.66,35.94,36.28,36.81,35.62,34.0,34.56,35.53,33.94,31.0,29.41,29.66,28.34,26.0,25.0,26.69,27.84,27.16,27.31,29.72,32.78,33.38,33.75,35.53,37.69,37.38,34.78,32.75,31.62,29.12,24.72,21.66,21.34,21.81,20.44,20.19,22.69,26.0,27.47,28.09,30.69,33.84,34.91,34.34,34.41,36.44,37.38,36.81,36.81,38.75,39.28,36.47,32.16,28.91,26.16,21.5,16.88,14.59,14.59,13.94,12.72,13.03,16.16,18.41,18.84,19.66,22.28,25.12,25.56,25.66,27.47,29.66,29.19,26.78,24.97,24.84,23.12,19.59,17.09,16.69,15.97,13.19,10.94,11.47,12.81,11.88,10.66,12.31,14.94,16.12,16.53,18.41,21.75,24.16,24.72,26.56,31.06,34.38,35.44,35.34,36.03,36.12,32.78,28.09,24.59,22.56,18.78,14.34,11.53,11.62,11.16,9.0,7.59,8.59,9.78,8.94,8.19,9.78,13.12,14.09,14.47,16.19,18.94,19.81,19.16,19.12,21.72,24.09,24.62,25.28,27.88,29.62,28.41,25.53,25.16,25.09,23.31,21.12,20.5,21.84,22.03,20.75,20.0,21.16,21.75,19.88,17.91,18.59,19.19,18.12,16.09,16.16,17.19,16.53,14.75,14.47,16.94,19.16,20.12,22.53,27.91,32.81,35.41,37.09,40.44,42.56,41.44,38.53,37.28,36.94,35.34,32.78,31.66,32.44,31.84,29.09,25.97,25.22,24.31,21.72,19.34,20.69,23.16,24.22,24.25,25.56,27.66,27.78,25.94,24.94,26.41,27.41,26.75,26.69,29.72,32.44,32.75,31.94,32.31,33.34,32.0,29.09,27.22,26.94,25.47,22.31,20.41,21.97,23.75,23.62,23.66,25.97,28.47,28.28,27.59,29.25,32.09,33.41,32.97,33.72,35.47,35.91,33.94,32.53,33.19,33.19,30.38,26.94,25.69,25.5,23.09,20.12,20.34,22.5,23.5,23.56,25.09,28.06,29.78,28.75,27.66,28.53,28.84,26.38,22.94,21.66,21.16,19.16,16.56,16.0,17.41,18.06,16.78,16.81,19.34,21.31,20.97,20.5,22.69,24.78,24.5,23.28,23.81,25.31,24.88,22.88,22.66,24.03,24.59,22.94,22.56,24.25,25.72,24.5,22.91,23.69,24.44,23.09,20.72,20.53,21.47,20.91,19.16,19.53,22.06,24.19,24.28,25.16,28.41,31.22,31.38,30.59,32.0,33.31,32.06,29.06,27.75,27.81,26.19,23.34,22.59,24.88,27.22,27.41,27.62,29.75,30.75,28.75,26.03,25.62,26.34,25.56,23.97,24.47,26.47,27.16,25.38,24.66,25.53,26.53,24.75,23.41,24.19,25.38,23.97,22.0,22.75,25.12,26.47,26.66,28.69,32.53,35.19,34.72,34.72,36.53,37.94,36.16,34.34,34.53,35.06,33.34,30.06,29.44,30.38,29.88,27.94,27.62,28.47,28.19,25.28,22.66,22.38,22.81,21.12,19.5,20.78,22.75,22.69,21.19,21.31,22.66,22.56,20.62,19.66,20.81,21.72,20.41,19.59,21.41,22.91,21.47,19.28,18.94,19.78,18.81,16.72,16.69,18.47,19.5,18.53,18.56,20.56,22.53,21.53,20.88,23.03,25.12,24.72,23.69,24.09,26.19,26.81,25.91,26.38,28.03,28.78,26.5,24.09,23.44,22.75,19.12,15.97,16.0,17.88,18.06,17.62,18.97,21.44,21.62,20.25,19.84,22.0,23.34,22.91,23.03,24.94,26.53,25.03,22.69,22.88,23.88,23.34,22.66,23.84,26.78,27.84,26.66,26.19,27.47,28.06,25.78,24.38,25.25,26.88,26.62,25.47,26.53,29.03,29.25,28.12,28.38,30.66,31.44,29.81,28.78,29.72,30.28,28.0,25.38,25.34,25.69,23.66,21.19,21.81,23.91,24.72,24.28,24.31,26.38,26.59,24.59,23.03,23.94,24.41,22.5,20.94,21.75,23.84,23.41,21.94,21.69,23.0,22.47,20.53,19.75,21.19,22.09,20.97,20.09,21.31,22.62,20.5,17.84,17.25,18.12,17.38,15.66,16.06,18.47,19.28,18.16,18.25,20.44,22.56,22.41,22.53,25.31,28.28,28.06,26.97,27.22,28.28,26.78,23.66,21.69,21.94,21.47,19.16,18.09,19.91,21.22,20.44,19.97,22.56,26.12,27.03,27.22,29.09,32.25,33.12,32.28,31.75,32.22,30.62,26.31,22.12,21.12,20.84,18.91,18.03,20.12,23.72,25.09,25.47,27.0,29.75,30.03,27.97,27.03,27.81,28.12,26.19,24.75,25.66,26.28,24.06,20.75,20.28,21.34,21.22,21.12,23.06,26.75,28.12,26.69,25.25,25.75,25.56,22.94,20.72,21.12,21.97,20.72,18.88,18.94,20.56,20.31,18.84,19.31,22.5,24.44,23.66,23.12,24.31,24.72,22.78,20.81,22.03,23.78,23.03,20.81,20.25,21.03,19.88,17.97,17.88,20.06,21.28,19.81,18.44,18.94,18.75,16.44,14.03,14.09,15.28,14.88,13.16,13.41,15.0,15.5,14.75,14.94,17.62,19.59,18.47,16.81,17.56,18.28,17.19,15.81,17.31,19.84,20.53,19.69,19.97,22.16,22.62,21.16,20.19,21.56,22.16,19.97,17.78,18.12,19.03,17.88,16.31,17.03,18.62,18.53,16.62,15.97,17.12,17.38,15.78,15.19,17.03,19.09,18.72,17.84,19.56,22.09,22.72,22.47,23.91,26.5,26.97,25.16,23.84,24.62,24.66,22.69,21.47,23.28,25.03,24.09,22.31,23.19,24.84,24.62,23.56,24.19,25.91,26.38,25.0,25.19,27.69,29.44,28.5,27.12,27.97,28.34,26.53,24.28,24.12,25.47,25.31,24.19,24.59,26.69,27.53,26.16,25.44,27.25,28.69,27.91,27.16,28.91,30.88,30.75,29.34,29.75,30.5,29.34,25.94,23.91,23.12,22.0,19.03,17.12,17.94,19.16,18.09,16.81,18.41,19.94,19.72,17.97,17.88,18.81,18.53,16.91,16.88,19.22,20.78,20.16,19.69,21.69,23.31,22.12,19.94,19.59,19.56,18.41,16.0,15.66,17.44,17.78,16.19,15.56,17.44,18.75,17.69,16.41,16.81,17.5,15.91,13.81,14.12,15.94,17.0,16.66,17.91,20.59,21.88,19.91,18.12,18.62,18.66,16.84,15.72,17.81,20.53,21.59,21.88,23.53,25.97,26.59,25.0,24.06,24.5,24.12,21.59,19.38,19.91,20.81,19.56,18.31,19.53,22.41,24.0,24.91,27.44,31.28,32.84,31.25,29.91,29.38,28.16,24.25,21.19,20.88,21.41,20.28,19.53,21.91,25.72,27.94,28.41,29.88,31.75,31.81,29.44,27.62,27.97,28.16,26.03,24.19,25.09,26.84,26.62,25.34,25.94,27.03,25.91,23.41,21.88,22.88,23.97,23.31,23.81,26.38,28.31,27.22,25.59,25.59,25.81,24.09,21.47,20.62,21.22,20.5,18.38,17.38,18.06,17.78,15.28,14.0,15.19,16.91,16.88,16.47,17.47,19.34,19.25,17.88,18.06,20.25,21.19,20.31,20.53,22.53,24.06,22.72,21.44,22.22,23.31,22.44,20.91,21.72,23.41,23.22,21.84,21.97,24.09,25.19,24.25,23.56,24.72,25.28,23.06,21.0,21.03,21.97,20.91,19.41,20.0,21.88,22.59,21.56,21.5,23.12,23.34,21.16,19.62,20.62,22.19,21.94,21.47,23.19,25.5,25.25,23.91,24.28,26.34,27.16,26.06,25.41,26.12,25.81,22.66,20.06,20.16,21.78,22.03,22.56,25.34,29.44,31.28,31.16,32.06,33.88,33.91,31.41,29.84,29.94,29.34,26.38,23.41,23.47,24.72,24.62,24.69,26.78,30.06,30.88,28.88,27.25,26.31,23.97,19.69,17.0,17.69,19.22,18.72,18.16,19.16,20.19,18.81,16.56,16.03,17.81,18.41,17.69,18.03,20.38,21.91,20.94,20.62,22.38,24.69,24.56,23.97,24.91,26.62,25.97,23.66,22.53,22.38,21.09,17.53,14.84,14.53,13.88,11.25,9.06,9.78,10.72,10.06,8.84,9.78,11.41,11.47,9.62,8.44,8.5,7.16,3.75,1.53,3.22,5.72,6.91,8.97,13.03,17.31,18.59,18.41,18.69,19.81,18.84,16.28,14.84,16.12,17.31,16.31,15.91,17.34,18.62,17.66,16.31,17.34,19.28,19.44,18.56,19.03,20.97,22.06,21.09,21.31,23.34,24.03,22.34,20.5,20.62,20.88,18.75,15.47,14.12,13.72,11.28,7.84,6.59,7.56,7.81,6.66,6.25,8.72,10.91,11.06,11.38,14.12,17.19,17.75,17.38,19.38,22.59,23.91,23.69,24.16,25.41,24.91,22.03,19.34,19.22,19.16,17.31,15.62,16.06,17.59,17.12,15.56,15.5,17.19,17.47,15.91,15.22,16.66,17.75,16.31,15.19,16.78,18.25,17.34,15.56,15.91,16.81,16.03,13.72,12.81,13.53,13.38,11.25,10.44,12.41,14.06,13.5,12.34,14.31,16.41,16.75,16.22,17.78,19.69,19.72,18.09,17.75,19.34,20.03,18.78,18.0,19.84,21.66,21.09,20.09,20.91,21.75,20.5,18.31,18.16,19.41,19.25,17.34,16.38,16.75,16.09,12.91,10.09,14.28,13.38,12.09,12.41,14.62,16.44,16.78:24.38,22.56,22.38,23.69,23.88,22.66,22.91,25.62,27.75,27.16,26.56,26.94,27.88,26.16,24.22,25.06,27.16,28.19,28.16,29.72,32.56,34.38,33.97,33.66,34.88,35.25,32.34,29.38,29.12,30.31,30.06,29.88,31.84,34.81,36.25,36.03,36.78,38.94,39.72,37.66,35.94,36.28,36.81,35.62,34.0,34.56,35.53,33.94,31.0,29.41,29.66,28.34,26.0,25.0,26.69,27.84,27.16,27.31,29.72,32.78,33.38,33.75,35.53,37.69,37.38,34.78,32.75,31.62,29.12,24.72,21.66,21.34,21.81,20.44,20.19,22.69,26.0,27.47,28.09,30.69,33.84,34.91,34.34,34.41,36.44,37.38,36.81,36.81,38.75,39.28,36.47,32.16,28.91,26.16,21.5,16.88,14.59,14.59,13.94,12.72,13.03,16.16,18.41,18.84,19.66,22.28,25.12,25.56,25.66,27.47,29.66,29.19,26.78,24.97,24.84,23.12,19.59,17.09,16.69,15.97,13.19,10.94,11.47,12.81,11.88,10.66,12.31,14.94,16.12,16.53,18.41,21.75,24.16,24.72,26.56,31.06,34.38,35.44,35.34,36.03,36.12,32.78,28.09,24.59,22.56,18.78,14.34,11.53,11.62,11.16,9.0,7.59,8.59,9.78,8.94,8.19,9.78,13.12,14.09,14.47,16.19,18.94,19.81,19.16,19.12,21.72,24.09,24.62,25.28,27.88,29.62,28.41,25.53,25.16,25.09,23.31,21.12,20.5,21.84,22.03,20.75,20.0,21.16,21.75,19.88,17.91,18.59,19.19,18.12,16.09,16.16,17.19,16.53,14.75,14.47,16.94,19.16,20.12,22.53,27.91,32.81,35.41,37.09,40.44,42.56,41.44,38.53,37.28,36.94,35.34,32.78,31.66,32.44,31.84,29.09,25.97,25.22,24.31,21.72,19.34,20.69,23.16,24.22,24.25,25.56,27.66,27.78,25.94,24.94,26.41,27.41,26.75,26.69,29.72,32.44,32.75,31.94,32.31,33.34,32.0,29.09,27.22,26.94,25.47,22.31,20.41,21.97,23.75,23.62,23.66,25.97,28.47,28.28,27.59,29.25,32.09,33.41,32.97,33.72,35.47,35.91,33.94,32.53,33.19,33.19,30.38,26.94,25.69,25.5,23.09,20.12,20.34,22.5,23.5,23.56,25.09,28.06,29.78,28.75,27.66,28.53,28.84,26.38,22.94,21.66,21.16,19.16,16.56,16.0,17.41,18.06,16.78,16.81,19.34,21.31,20.97,20.5,22.69,24.78,24.5,23.28,23.81,25.31,24.88,22.88,22.66,24.03,24.59,22.94,22.56,24.25,25.72,24.5,22.91,23.69,24.44,23.09,20.72,20.53,21.47,20.91,19.16,19.53,22.06,24.19,24.28,25.16,28.41,31.22,31.38,30.59,32.0,33.31,32.06,29.06,27.75,27.81,26.19,23.34,22.59,24.88,27.22,27.41,27.62,29.75,30.75,28.75,26.03,25.62,26.34,25.56,23.97,24.47,26.47,27.16,25.38,24.66,25.53,26.53,24.75,23.41,24.19,25.38,23.97,22.0,22.75,25.12,26.47,26.66,28.69,32.53,35.19,34.72,34.72,36.53,37.94,36.16,34.34,34.53,35.06,33.34,30.06,29.44,30.38,29.88,27.94,27.62,28.47,28.19,25.28,22.66,22.38,22.81,21.12,19.5,20.78,22.75,22.69,21.19,21.31,22.66,22.56,20.62,19.66,20.81,21.72,20.41,19.59,21.41,22.91,21.47,19.28,18.94,19.78,18.81,16.72,16.69,18.47,19.5,18.53,18.56,20.56,22.53,21.53,20.88,23.03,25.12,24.72,23.69,24.09,26.19,26.81,25.91,26.38,28.03,28.78,26.5,24.09,23.44,22.75,19.12,15.97,16.0,17.88,18.06,17.62,18.97,21.44,21.62,20.25,19.84,22.0,23.34,22.91,23.03,24.94,26.53,25.03,22.69,22.88,23.88,23.34,22.66,23.84,26.78,27.84,26.66,26.19,27.47,28.06,25.78,24.38,25.25,26.88,26.62,25.47,26.53,29.03,29.25,28.12,28.38,30.66,31.44,29.81,28.78,29.72,30.28,28.0,25.38,25.34,25.69,23.66,21.19,21.81,23.91,24.72,24.28,24.31,26.38,26.59,24.59,23.03,23.94,24.41,22.5,20.94,21.75,23.84,23.41,21.94,21.69,23.0,22.47,20.53,19.75,21.19,22.09,20.97,20.09,21.31,22.62,20.5,17.84,17.25,18.12,17.38,15.66,16.06,18.47,19.28,18.16,18.25,20.44,22.56,22.41,22.53,25.31,28.28,28.06,26.97,27.22,28.28,26.78,23.66,21.69,21.94,21.47,19.16,18.09,19.91,21.22,20.44,19.97,22.56,26.12,27.03,27.22,29.09,32.25,33.12,32.28,31.75,32.22,30.62,26.31,22.12,21.12,20.84,18.91,18.03,20.12,23.72,25.09,25.47,27.0,29.75,30.03,27.97,27.03,27.81,28.12,26.19,24.75,25.66,26.28,24.06,20.75,20.28,21.34,21.22,21.12,23.06,26.75,28.12,26.69,25.25,25.75,25.56,22.94,20.72,21.12,21.97,20.72,18.88,18.94,20.56,20.31,18.84,19.31,22.5,24.44,23.66,23.12,24.31,24.72,22.78,20.81,22.03,23.78,23.03,20.81,20.25,21.03,19.88,17.97,17.88,20.06,21.28,19.81,18.44,18.94,18.75,16.44,14.03,14.09,15.28,14.88,13.16,13.41,15.0,15.5,14.75,14.94,17.62,19.59,18.47,16.81,17.56,18.28,17.19,15.81,17.31,19.84,20.53,19.69,19.97,22.16,22.62,21.16,20.19,21.56,22.16,19.97,17.78,18.12,19.03,17.88,16.31,17.03,18.62,18.53,16.62,15.97,17.12,17.38,15.78,15.19,17.03,19.09,18.72,17.84,19.56,22.09,22.72,22.47,23.91,26.5,26.97,25.16,23.84,24.62,24.66,22.69,21.47,23.28,25.03,24.09,22.31,23.19,24.84,24.62,23.56,24.19,25.91,26.38,25.0,25.19,27.69,29.44,28.5,27.12,27.97,28.34,26.53,24.28,24.12,25.47,25.31,24.19,24.59,26.69,27.53,26.16,25.44,27.25,28.69,27.91,27.16,28.91,30.88,30.75,29.34,29.75,30.5,29.34,25.94,23.91,23.12,22.0,19.03,17.12,17.94,19.16,18.09,16.81,18.41,19.94,19.72,17.97,17.88,18.81,18.53,16.91,16.88,19.22,20.78,20.16,19.69,21.69,23.31,22.12,19.94,19.59,19.56,18.41,16.0,15.66,17.44,17.78,16.19,15.56,17.44,18.75,17.69,16.41,16.81,17.5,15.91,13.81,14.12,15.94,17.0,16.66,17.91,20.59,21.88,19.91,18.12,18.62,18.66,16.84,15.72,17.81,20.53,21.59,21.88,23.53,25.97,26.59,25.0,24.06,24.5,24.12,21.59,19.38,19.91,20.81,19.56,18.31,19.53,22.41,24.0,24.91,27.44,31.28,32.84,31.25,29.91,29.38,28.16,24.25,21.19,20.88,21.41,20.28,19.53,21.91,25.72,27.94,28.41,29.88,31.75,31.81,29.44,27.62,27.97,28.16,26.03,24.19,25.09,26.84,26.62,25.34,25.94,27.03,25.91,23.41,21.88,22.88,23.97,23.31,23.81,26.38,28.31,27.22,25.59,25.59,25.81,24.09,21.47,20.62,21.22,20.5,18.38,17.38,18.06,17.78,15.28,14.0,15.19,16.91,16.88,16.47,17.47,19.34,19.25,17.88,18.06,20.25,21.19,20.31,20.53,22.53,24.06,22.72,21.44,22.22,23.31,22.44,20.91,21.72,23.41,23.22,21.84,21.97,24.09,25.19,24.25,23.56,24.72,25.28,23.06,21.0,21.03,21.97,20.91,19.41,20.0,21.88,22.59,21.56,21.5,23.12,23.34,21.16,19.62,20.62,22.19,21.94,21.47,23.19,25.5,25.25,23.91,24.28,26.34,27.16,26.06,25.41,26.12,25.81,22.66,20.06,20.16,21.78,22.03,22.56,25.34,29.44,31.28,31.16,32.06,33.88,33.91,31.41,29.84,29.94,29.34,26.38,23.41,23.47,24.72,24.62,24.69,26.78,30.06,30.88,28.88,27.25,26.31,23.97,19.69,17.0,17.69,19.22,18.72,18.16,19.16,20.19,18.81,16.56,16.03,17.81,18.41,17.69,18.03,20.38,21.91,20.94,20.62,22.38,24.69,24.56,23.97,24.91,26.62,25.97,23.66,22.53,22.38,21.09,17.53,14.84,14.53,13.88,11.25,9.06,9.78,10.72,10.06,8.84,9.78,11.41,11.47,9.62,8.44,8.5,7.16,3.75,1.53,3.22,5.72,6.91,8.97,13.03,17.31,18.59,18.41,18.69,19.81,18.84,16.28,14.84,16.12,17.31,16.31,15.91,17.34,18.62,17.66,16.31,17.34,19.28,19.44,18.56,19.03,20.97,22.06,21.09,21.31,23.34,24.03,22.34,20.5,20.62,20.88,18.75,15.47,14.12,13.72,11.28,7.84,6.59,7.56,7.81,6.66,6.25,8.72,10.91,11.06,11.38,14.12,17.19,17.75,17.38,19.38,22.59,23.91,23.69,24.16,25.41,24.91,22.03,19.34,19.22,19.16,17.31,15.62,16.06,17.59,17.12,15.56,15.5,17.19,17.47,15.91,15.22,16.66,17.75,16.31,15.19,16.78,18.25,17.34,15.56,15.91,16.81,16.03,13.72,12.81,13.53,13.38,11.25,10.44,12.41,14.06,13.5,12.34,14.31,16.41,16.75,16.22,17.78,19.69,19.72,18.09,17.75,19.34,20.03,18.78,18.0,19.84,21.66,21.09,20.09,20.91,21.75,20.5,18.31,18.16,19.41,19.25,17.34,16.38,16.75,16.09,12.91,10.09,14.28,13.38,12.09,12.41,14.62,16.44,16.78,17.41,19.25,21.12,21.62,21.88,22.94,23.91:25.62,27.75,27.16,26.56,26.94,27.88,26.16,24.22,25.06,27.16,28.19,28.16,29.72,32.56,34.38,33.97,33.66,34.88,35.25,32.34,29.38,29.12,30.31,30.06,29.88,31.84,34.81,36.25,36.03,36.78,38.94,39.72,37.66,35.94,36.28,36.81,35.62,34.0,34.56,35.53,33.94,31.0,29.41,29.66,28.34,26.0,25.0,26.69,27.84,27.16,27.31,29.72,32.78,33.38,33.75,35.53,37.69,37.38,34.78,32.75,31.62,29.12,24.72,21.66,21.34,21.81,20.44,20.19,22.69,26.0,27.47,28.09,30.69,33.84,34.91,34.34,34.41,36.44,37.38,36.81,36.81,38.75,39.28,36.47,32.16,28.91,26.16,21.5,16.88,14.59,14.59,13.94,12.72,13.03,16.16,18.41,18.84,19.66,22.28,25.12,25.56,25.66,27.47,29.66,29.19,26.78,24.97,24.84,23.12,19.59,17.09,16.69,15.97,13.19,10.94,11.47,12.81,11.88,10.66,12.31,14.94,16.12,16.53,18.41,21.75,24.16,24.72,26.56,31.06,34.38,35.44,35.34,36.03,36.12,32.78,28.09,24.59,22.56,18.78,14.34,11.53,11.62,11.16,9.0,7.59,8.59,9.78,8.94,8.19,9.78,13.12,14.09,14.47,16.19,18.94,19.81,19.16,19.12,21.72,24.09,24.62,25.28,27.88,29.62,28.41,25.53,25.16,25.09,23.31,21.12,20.5,21.84,22.03,20.75,20.0,21.16,21.75,19.88,17.91,18.59,19.19,18.12,16.09,16.16,17.19,16.53,14.75,14.47,16.94,19.16,20.12,22.53,27.91,32.81,35.41,37.09,40.44,42.56,41.44,38.53,37.28,36.94,35.34,32.78,31.66,32.44,31.84,29.09,25.97,25.22,24.31,21.72,19.34,20.69,23.16,24.22,24.25,25.56,27.66,27.78,25.94,24.94,26.41,27.41,26.75,26.69,29.72,32.44,32.75,31.94,32.31,33.34,32.0,29.09,27.22,26.94,25.47,22.31,20.41,21.97,23.75,23.62,23.66,25.97,28.47,28.28,27.59,29.25,32.09,33.41,32.97,33.72,35.47,35.91,33.94,32.53,33.19,33.19,30.38,26.94,25.69,25.5,23.09,20.12,20.34,22.5,23.5,23.56,25.09,28.06,29.78,28.75,27.66,28.53,28.84,26.38,22.94,21.66,21.16,19.16,16.56,16.0,17.41,18.06,16.78,16.81,19.34,21.31,20.97,20.5,22.69,24.78,24.5,23.28,23.81,25.31,24.88,22.88,22.66,24.03,24.59,22.94,22.56,24.25,25.72,24.5,22.91,23.69,24.44,23.09,20.72,20.53,21.47,20.91,19.16,19.53,22.06,24.19,24.28,25.16,28.41,31.22,31.38,30.59,32.0,33.31,32.06,29.06,27.75,27.81,26.19,23.34,22.59,24.88,27.22,27.41,27.62,29.75,30.75,28.75,26.03,25.62,26.34,25.56,23.97,24.47,26.47,27.16,25.38,24.66,25.53,26.53,24.75,23.41,24.19,25.38,23.97,22.0,22.75,25.12,26.47,26.66,28.69,32.53,35.19,34.72,34.72,36.53,37.94,36.16,34.34,34.53,35.06,33.34,30.06,29.44,30.38,29.88,27.94,27.62,28.47,28.19,25.28,22.66,22.38,22.81,21.12,19.5,20.78,22.75,22.69,21.19,21.31,22.66,22.56,20.62,19.66,20.81,21.72,20.41,19.59,21.41,22.91,21.47,19.28,18.94,19.78,18.81,16.72,16.69,18.47,19.5,18.53,18.56,20.56,22.53,21.53,20.88,23.03,25.12,24.72,23.69,24.09,26.19,26.81,25.91,26.38,28.03,28.78,26.5,24.09,23.44,22.75,19.12,15.97,16.0,17.88,18.06,17.62,18.97,21.44,21.62,20.25,19.84,22.0,23.34,22.91,23.03,24.94,26.53,25.03,22.69,22.88,23.88,23.34,22.66,23.84,26.78,27.84,26.66,26.19,27.47,28.06,25.78,24.38,25.25,26.88,26.62,25.47,26.53,29.03,29.25,28.12,28.38,30.66,31.44,29.81,28.78,29.72,30.28,28.0,25.38,25.34,25.69,23.66,21.19,21.81,23.91,24.72,24.28,24.31,26.38,26.59,24.59,23.03,23.94,24.41,22.5,20.94,21.75,23.84,23.41,21.94,21.69,23.0,22.47,20.53,19.75,21.19,22.09,20.97,20.09,21.31,22.62,20.5,17.84,17.25,18.12,17.38,15.66,16.06,18.47,19.28,18.16,18.25,20.44,22.56,22.41,22.53,25.31,28.28,28.06,26.97,27.22,28.28,26.78,23.66,21.69,21.94,21.47,19.16,18.09,19.91,21.22,20.44,19.97,22.56,26.12,27.03,27.22,29.09,32.25,33.12,32.28,31.75,32.22,30.62,26.31,22.12,21.12,20.84,18.91,18.03,20.12,23.72,25.09,25.47,27.0,29.75,30.03,27.97,27.03,27.81,28.12,26.19,24.75,25.66,26.28,24.06,20.75,20.28,21.34,21.22,21.12,23.06,26.75,28.12,26.69,25.25,25.75,25.56,22.94,20.72,21.12,21.97,20.72,18.88,18.94,20.56,20.31,18.84,19.31,22.5,24.44,23.66,23.12,24.31,24.72,22.78,20.81,22.03,23.78,23.03,20.81,20.25,21.03,19.88,17.97,17.88,20.06,21.28,19.81,18.44,18.94,18.75,16.44,14.03,14.09,15.28,14.88,13.16,13.41,15.0,15.5,14.75,14.94,17.62,19.59,18.47,16.81,17.56,18.28,17.19,15.81,17.31,19.84,20.53,19.69,19.97,22.16,22.62,21.16,20.19,21.56,22.16,19.97,17.78,18.12,19.03,17.88,16.31,17.03,18.62,18.53,16.62,15.97,17.12,17.38,15.78,15.19,17.03,19.09,18.72,17.84,19.56,22.09,22.72,22.47,23.91,26.5,26.97,25.16,23.84,24.62,24.66,22.69,21.47,23.28,25.03,24.09,22.31,23.19,24.84,24.62,23.56,24.19,25.91,26.38,25.0,25.19,27.69,29.44,28.5,27.12,27.97,28.34,26.53,24.28,24.12,25.47,25.31,24.19,24.59,26.69,27.53,26.16,25.44,27.25,28.69,27.91,27.16,28.91,30.88,30.75,29.34,29.75,30.5,29.34,25.94,23.91,23.12,22.0,19.03,17.12,17.94,19.16,18.09,16.81,18.41,19.94,19.72,17.97,17.88,18.81,18.53,16.91,16.88,19.22,20.78,20.16,19.69,21.69,23.31,22.12,19.94,19.59,19.56,18.41,16.0,15.66,17.44,17.78,16.19,15.56,17.44,18.75,17.69,16.41,16.81,17.5,15.91,13.81,14.12,15.94,17.0,16.66,17.91,20.59,21.88,19.91,18.12,18.62,18.66,16.84,15.72,17.81,20.53,21.59,21.88,23.53,25.97,26.59,25.0,24.06,24.5,24.12,21.59,19.38,19.91,20.81,19.56,18.31,19.53,22.41,24.0,24.91,27.44,31.28,32.84,31.25,29.91,29.38,28.16,24.25,21.19,20.88,21.41,20.28,19.53,21.91,25.72,27.94,28.41,29.88,31.75,31.81,29.44,27.62,27.97,28.16,26.03,24.19,25.09,26.84,26.62,25.34,25.94,27.03,25.91,23.41,21.88,22.88,23.97,23.31,23.81,26.38,28.31,27.22,25.59,25.59,25.81,24.09,21.47,20.62,21.22,20.5,18.38,17.38,18.06,17.78,15.28,14.0,15.19,16.91,16.88,16.47,17.47,19.34,19.25,17.88,18.06,20.25,21.19,20.31,20.53,22.53,24.06,22.72,21.44,22.22,23.31,22.44,20.91,21.72,23.41,23.22,21.84,21.97,24.09,25.19,24.25,23.56,24.72,25.28,23.06,21.0,21.03,21.97,20.91,19.41,20.0,21.88,22.59,21.56,21.5,23.12,23.34,21.16,19.62,20.62,22.19,21.94,21.47,23.19,25.5,25.25,23.91,24.28,26.34,27.16,26.06,25.41,26.12,25.81,22.66,20.06,20.16,21.78,22.03,22.56,25.34,29.44,31.28,31.16,32.06,33.88,33.91,31.41,29.84,29.94,29.34,26.38,23.41,23.47,24.72,24.62,24.69,26.78,30.06,30.88,28.88,27.25,26.31,23.97,19.69,17.0,17.69,19.22,18.72,18.16,19.16,20.19,18.81,16.56,16.03,17.81,18.41,17.69,18.03,20.38,21.91,20.94,20.62,22.38,24.69,24.56,23.97,24.91,26.62,25.97,23.66,22.53,22.38,21.09,17.53,14.84,14.53,13.88,11.25,9.06,9.78,10.72,10.06,8.84,9.78,11.41,11.47,9.62,8.44,8.5,7.16,3.75,1.53,3.22,5.72,6.91,8.97,13.03,17.31,18.59,18.41,18.69,19.81,18.84,16.28,14.84,16.12,17.31,16.31,15.91,17.34,18.62,17.66,16.31,17.34,19.28,19.44,18.56,19.03,20.97,22.06,21.09,21.31,23.34,24.03,22.34,20.5,20.62,20.88,18.75,15.47,14.12,13.72,11.28,7.84,6.59,7.56,7.81,6.66,6.25,8.72,10.91,11.06,11.38,14.12,17.19,17.75,17.38,19.38,22.59,23.91,23.69,24.16,25.41,24.91,22.03,19.34,19.22,19.16,17.31,15.62,16.06,17.59,17.12,15.56,15.5,17.19,17.47,15.91,15.22,16.66,17.75,16.31,15.19,16.78,18.25,17.34,15.56,15.91,16.81,16.03,13.72,12.81,13.53,13.38,11.25,10.44,12.41,14.06,13.5,12.34,14.31,16.41,16.75,16.22,17.78,19.69,19.72,18.09,17.75,19.34,20.03,18.78,18.0,19.84,21.66,21.09,20.09,20.91,21.75,20.5,18.31,18.16,19.41,19.25,17.34,16.38,16.75,16.09,12.91,10.09,14.28,13.38,12.09,12.41,14.62,16.44,16.78,17.41,19.25,21.12,21.62,21.88,22.94,23.91,23.22,21.16,19.94,19.5,18.56,16.94,16.62:24.22,25.06,27.16,28.19,28.16,29.72,32.56,34.38,33.97,33.66,34.88,35.25,32.34,29.38,29.12,30.31,30.06,29.88,31.84,34.81,36.25,36.03,36.78,38.94,39.72,37.66,35.94,36.28,36.81,35.62,34.0,34.56,35.53,33.94,31.0,29.41,29.66,28.34,26.0,25.0,26.69,27.84,27.16,27.31,29.72,32.78,33.38,33.75,35.53,37.69,37.38,34.78,32.75,31.62,29.12,24.72,21.66,21.34,21.81,20.44,20.19,22.69,26.0,27.47,28.09,30.69,33.84,34.91,34.34,34.41,36.44,37.38,36.81,36.81,38.75,39.28,36.47,32.16,28.91,26.16,21.5,16.88,14.59,14.59,13.94,12.72,13.03,16.16,18.41,18.84,19.66,22.28,25.12,25.56,25.66,27.47,29.66,29.19,26.78,24.97,24.84,23.12,19.59,17.09,16.69,15.97,13.19,10.94,11.47,12.81,11.88,10.66,12.31,14.94,16.12,16.53,18.41,21.75,24.16,24.72,26.56,31.06,34.38,35.44,35.34,36.03,36.12,32.78,28.09,24.59,22.56,18.78,14.34,11.53,11.62,11.16,9.0,7.59,8.59,9.78,8.94,8.19,9.78,13.12,14.09,14.47,16.19,18.94,19.81,19.16,19.12,21.72,24.09,24.62,25.28,27.88,29.62,28.41,25.53,25.16,25.09,23.31,21.12,20.5,21.84,22.03,20.75,20.0,21.16,21.75,19.88,17.91,18.59,19.19,18.12,16.09,16.16,17.19,16.53,14.75,14.47,16.94,19.16,20.12,22.53,27.91,32.81,35.41,37.09,40.44,42.56,41.44,38.53,37.28,36.94,35.34,32.78,31.66,32.44,31.84,29.09,25.97,25.22,24.31,21.72,19.34,20.69,23.16,24.22,24.25,25.56,27.66,27.78,25.94,24.94,26.41,27.41,26.75,26.69,29.72,32.44,32.75,31.94,32.31,33.34,32.0,29.09,27.22,26.94,25.47,22.31,20.41,21.97,23.75,23.62,23.66,25.97,28.47,28.28,27.59,29.25,32.09,33.41,32.97,33.72,35.47,35.91,33.94,32.53,33.19,33.19,30.38,26.94,25.69,25.5,23.09,20.12,20.34,22.5,23.5,23.56,25.09,28.06,29.78,28.75,27.66,28.53,28.84,26.38,22.94,21.66,21.16,19.16,16.56,16.0,17.41,18.06,16.78,16.81,19.34,21.31,20.97,20.5,22.69,24.78,24.5,23.28,23.81,25.31,24.88,22.88,22.66,24.03,24.59,22.94,22.56,24.25,25.72,24.5,22.91,23.69,24.44,23.09,20.72,20.53,21.47,20.91,19.16,19.53,22.06,24.19,24.28,25.16,28.41,31.22,31.38,30.59,32.0,33.31,32.06,29.06,27.75,27.81,26.19,23.34,22.59,24.88,27.22,27.41,27.62,29.75,30.75,28.75,26.03,25.62,26.34,25.56,23.97,24.47,26.47,27.16,25.38,24.66,25.53,26.53,24.75,23.41,24.19,25.38,23.97,22.0,22.75,25.12,26.47,26.66,28.69,32.53,35.19,34.72,34.72,36.53,37.94,36.16,34.34,34.53,35.06,33.34,30.06,29.44,30.38,29.88,27.94,27.62,28.47,28.19,25.28,22.66,22.38,22.81,21.12,19.5,20.78,22.75,22.69,21.19,21.31,22.66,22.56,20.62,19.66,20.81,21.72,20.41,19.59,21.41,22.91,21.47,19.28,18.94,19.78,18.81,16.72,16.69,18.47,19.5,18.53,18.56,20.56,22.53,21.53,20.88,23.03,25.12,24.72,23.69,24.09,26.19,26.81,25.91,26.38,28.03,28.78,26.5,24.09,23.44,22.75,19.12,15.97,16.0,17.88,18.06,17.62,18.97,21.44,21.62,20.25,19.84,22.0,23.34,22.91,23.03,24.94,26.53,25.03,22.69,22.88,23.88,23.34,22.66,23.84,26.78,27.84,26.66,26.19,27.47,28.06,25.78,24.38,25.25,26.88,26.62,25.47,26.53,29.03,29.25,28.12,28.38,30.66,31.44,29.81,28.78,29.72,30.28,28.0,25.38,25.34,25.69,23.66,21.19,21.81,23.91,24.72,24.28,24.31,26.38,26.59,24.59,23.03,23.94,24.41,22.5,20.94,21.75,23.84,23.41,21.94,21.69,23.0,22.47,20.53,19.75,21.19,22.09,20.97,20.09,21.31,22.62,20.5,17.84,17.25,18.12,17.38,15.66,16.06,18.47,19.28,18.16,18.25,20.44,22.56,22.41,22.53,25.31,28.28,28.06,26.97,27.22,28.28,26.78,23.66,21.69,21.94,21.47,19.16,18.09,19.91,21.22,20.44,19.97,22.56,26.12,27.03,27.22,29.09,32.25,33.12,32.28,31.75,32.22,30.62,26.31,22.12,21.12,20.84,18.91,18.03,20.12,23.72,25.09,25.47,27.0,29.75,30.03,27.97,27.03,27.81,28.12,26.19,24.75,25.66,26.28,24.06,20.75,20.28,21.34,21.22,21.12,23.06,26.75,28.12,26.69,25.25,25.75,25.56,22.94,20.72,21.12,21.97,20.72,18.88,18.94,20.56,20.31,18.84,19.31,22.5,24.44,23.66,23.12,24.31,24.72,22.78,20.81,22.03,23.78,23.03,20.81,20.25,21.03,19.88,17.97,17.88,20.06,21.28,19.81,18.44,18.94,18.75,16.44,14.03,14.09,15.28,14.88,13.16,13.41,15.0,15.5,14.75,14.94,17.62,19.59,18.47,16.81,17.56,18.28,17.19,15.81,17.31,19.84,20.53,19.69,19.97,22.16,22.62,21.16,20.19,21.56,22.16,19.97,17.78,18.12,19.03,17.88,16.31,17.03,18.62,18.53,16.62,15.97,17.12,17.38,15.78,15.19,17.03,19.09,18.72,17.84,19.56,22.09,22.72,22.47,23.91,26.5,26.97,25.16,23.84,24.62,24.66,22.69,21.47,23.28,25.03,24.09,22.31,23.19,24.84,24.62,23.56,24.19,25.91,26.38,25.0,25.19,27.69,29.44,28.5,27.12,27.97,28.34,26.53,24.28,24.12,25.47,25.31,24.19,24.59,26.69,27.53,26.16,25.44,27.25,28.69,27.91,27.16,28.91,30.88,30.75,29.34,29.75,30.5,29.34,25.94,23.91,23.12,22.0,19.03,17.12,17.94,19.16,18.09,16.81,18.41,19.94,19.72,17.97,17.88,18.81,18.53,16.91,16.88,19.22,20.78,20.16,19.69,21.69,23.31,22.12,19.94,19.59,19.56,18.41,16.0,15.66,17.44,17.78,16.19,15.56,17.44,18.75,17.69,16.41,16.81,17.5,15.91,13.81,14.12,15.94,17.0,16.66,17.91,20.59,21.88,19.91,18.12,18.62,18.66,16.84,15.72,17.81,20.53,21.59,21.88,23.53,25.97,26.59,25.0,24.06,24.5,24.12,21.59,19.38,19.91,20.81,19.56,18.31,19.53,22.41,24.0,24.91,27.44,31.28,32.84,31.25,29.91,29.38,28.16,24.25,21.19,20.88,21.41,20.28,19.53,21.91,25.72,27.94,28.41,29.88,31.75,31.81,29.44,27.62,27.97,28.16,26.03,24.19,25.09,26.84,26.62,25.34,25.94,27.03,25.91,23.41,21.88,22.88,23.97,23.31,23.81,26.38,28.31,27.22,25.59,25.59,25.81,24.09,21.47,20.62,21.22,20.5,18.38,17.38,18.06,17.78,15.28,14.0,15.19,16.91,16.88,16.47,17.47,19.34,19.25,17.88,18.06,20.25,21.19,20.31,20.53,22.53,24.06,22.72,21.44,22.22,23.31,22.44,20.91,21.72,23.41,23.22,21.84,21.97,24.09,25.19,24.25,23.56,24.72,25.28,23.06,21.0,21.03,21.97,20.91,19.41,20.0,21.88,22.59,21.56,21.5,23.12,23.34,21.16,19.62,20.62,22.19,21.94,21.47,23.19,25.5,25.25,23.91,24.28,26.34,27.16,26.06,25.41,26.12,25.81,22.66,20.06,20.16,21.78,22.03,22.56,25.34,29.44,31.28,31.16,32.06,33.88,33.91,31.41,29.84,29.94,29.34,26.38,23.41,23.47,24.72,24.62,24.69,26.78,30.06,30.88,28.88,27.25,26.31,23.97,19.69,17.0,17.69,19.22,18.72,18.16,19.16,20.19,18.81,16.56,16.03,17.81,18.41,17.69,18.03,20.38,21.91,20.94,20.62,22.38,24.69,24.56,23.97,24.91,26.62,25.97,23.66,22.53,22.38,21.09,17.53,14.84,14.53,13.88,11.25,9.06,9.78,10.72,10.06,8.84,9.78,11.41,11.47,9.62,8.44,8.5,7.16,3.75,1.53,3.22,5.72,6.91,8.97,13.03,17.31,18.59,18.41,18.69,19.81,18.84,16.28,14.84,16.12,17.31,16.31,15.91,17.34,18.62,17.66,16.31,17.34,19.28,19.44,18.56,19.03,20.97,22.06,21.09,21.31,23.34,24.03,22.34,20.5,20.62,20.88,18.75,15.47,14.12,13.72,11.28,7.84,6.59,7.56,7.81,6.66,6.25,8.72,10.91,11.06,11.38,14.12,17.19,17.75,17.38,19.38,22.59,23.91,23.69,24.16,25.41,24.91,22.03,19.34,19.22,19.16,17.31,15.62,16.06,17.59,17.12,15.56,15.5,17.19,17.47,15.91,15.22,16.66,17.75,16.31,15.19,16.78,18.25,17.34,15.56,15.91,16.81,16.03,13.72,12.81,13.53,13.38,11.25,10.44,12.41,14.06,13.5,12.34,14.31,16.41,16.75,16.22,17.78,19.69,19.72,18.09,17.75,19.34,20.03,18.78,18.0,19.84,21.66,21.09,20.09,20.91,21.75,20.5,18.31,18.16,19.41,19.25,17.34,16.38,16.75,16.09,12.91,10.09,14.28,13.38,12.09,12.41,14.62,16.44,16.78,17.41,19.25,21.12,21.62,21.88,22.94,23.91,23.22,21.16,19.94,19.5,18.56,16.94,16.62,18.19,19.56,19.31,19.22,19.84,20.75,19.75:34.38,33.97,33.66,34.88,35.25,32.34,29.38,29.12,30.31,30.06,29.88,31.84,34.81,36.25,36.03,36.78,38.94,39.72,37.66,35.94,36.28,36.81,35.62,34.0,34.56,35.53,33.94,31.0,29.41,29.66,28.34,26.0,25.0,26.69,27.84,27.16,27.31,29.72,32.78,33.38,33.75,35.53,37.69,37.38,34.78,32.75,31.62,29.12,24.72,21.66,21.34,21.81,20.44,20.19,22.69,26.0,27.47,28.09,30.69,33.84,34.91,34.34,34.41,36.44,37.38,36.81,36.81,38.75,39.28,36.47,32.16,28.91,26.16,21.5,16.88,14.59,14.59,13.94,12.72,13.03,16.16,18.41,18.84,19.66,22.28,25.12,25.56,25.66,27.47,29.66,29.19,26.78,24.97,24.84,23.12,19.59,17.09,16.69,15.97,13.19,10.94,11.47,12.81,11.88,10.66,12.31,14.94,16.12,16.53,18.41,21.75,24.16,24.72,26.56,31.06,34.38,35.44,35.34,36.03,36.12,32.78,28.09,24.59,22.56,18.78,14.34,11.53,11.62,11.16,9.0,7.59,8.59,9.78,8.94,8.19,9.78,13.12,14.09,14.47,16.19,18.94,19.81,19.16,19.12,21.72,24.09,24.62,25.28,27.88,29.62,28.41,25.53,25.16,25.09,23.31,21.12,20.5,21.84,22.03,20.75,20.0,21.16,21.75,19.88,17.91,18.59,19.19,18.12,16.09,16.16,17.19,16.53,14.75,14.47,16.94,19.16,20.12,22.53,27.91,32.81,35.41,37.09,40.44,42.56,41.44,38.53,37.28,36.94,35.34,32.78,31.66,32.44,31.84,29.09,25.97,25.22,24.31,21.72,19.34,20.69,23.16,24.22,24.25,25.56,27.66,27.78,25.94,24.94,26.41,27.41,26.75,26.69,29.72,32.44,32.75,31.94,32.31,33.34,32.0,29.09,27.22,26.94,25.47,22.31,20.41,21.97,23.75,23.62,23.66,25.97,28.47,28.28,27.59,29.25,32.09,33.41,32.97,33.72,35.47,35.91,33.94,32.53,33.19,33.19,30.38,26.94,25.69,25.5,23.09,20.12,20.34,22.5,23.5,23.56,25.09,28.06,29.78,28.75,27.66,28.53,28.84,26.38,22.94,21.66,21.16,19.16,16.56,16.0,17.41,18.06,16.78,16.81,19.34,21.31,20.97,20.5,22.69,24.78,24.5,23.28,23.81,25.31,24.88,22.88,22.66,24.03,24.59,22.94,22.56,24.25,25.72,24.5,22.91,23.69,24.44,23.09,20.72,20.53,21.47,20.91,19.16,19.53,22.06,24.19,24.28,25.16,28.41,31.22,31.38,30.59,32.0,33.31,32.06,29.06,27.75,27.81,26.19,23.34,22.59,24.88,27.22,27.41,27.62,29.75,30.75,28.75,26.03,25.62,26.34,25.56,23.97,24.47,26.47,27.16,25.38,24.66,25.53,26.53,24.75,23.41,24.19,25.38,23.97,22.0,22.75,25.12,26.47,26.66,28.69,32.53,35.19,34.72,34.72,36.53,37.94,36.16,34.34,34.53,35.06,33.34,30.06,29.44,30.38,29.88,27.94,27.62,28.47,28.19,25.28,22.66,22.38,22.81,21.12,19.5,20.78,22.75,22.69,21.19,21.31,22.66,22.56,20.62,19.66,20.81,21.72,20.41,19.59,21.41,22.91,21.47,19.28,18.94,19.78,18.81,16.72,16.69,18.47,19.5,18.53,18.56,20.56,22.53,21.53,20.88,23.03,25.12,24.72,23.69,24.09,26.19,26.81,25.91,26.38,28.03,28.78,26.5,24.09,23.44,22.75,19.12,15.97,16.0,17.88,18.06,17.62,18.97,21.44,21.62,20.25,19.84,22.0,23.34,22.91,23.03,24.94,26.53,25.03,22.69,22.88,23.88,23.34,22.66,23.84,26.78,27.84,26.66,26.19,27.47,28.06,25.78,24.38,25.25,26.88,26.62,25.47,26.53,29.03,29.25,28.12,28.38,30.66,31.44,29.81,28.78,29.72,30.28,28.0,25.38,25.34,25.69,23.66,21.19,21.81,23.91,24.72,24.28,24.31,26.38,26.59,24.59,23.03,23.94,24.41,22.5,20.94,21.75,23.84,23.41,21.94,21.69,23.0,22.47,20.53,19.75,21.19,22.09,20.97,20.09,21.31,22.62,20.5,17.84,17.25,18.12,17.38,15.66,16.06,18.47,19.28,18.16,18.25,20.44,22.56,22.41,22.53,25.31,28.28,28.06,26.97,27.22,28.28,26.78,23.66,21.69,21.94,21.47,19.16,18.09,19.91,21.22,20.44,19.97,22.56,26.12,27.03,27.22,29.09,32.25,33.12,32.28,31.75,32.22,30.62,26.31,22.12,21.12,20.84,18.91,18.03,20.12,23.72,25.09,25.47,27.0,29.75,30.03,27.97,27.03,27.81,28.12,26.19,24.75,25.66,26.28,24.06,20.75,20.28,21.34,21.22,21.12,23.06,26.75,28.12,26.69,25.25,25.75,25.56,22.94,20.72,21.12,21.97,20.72,18.88,18.94,20.56,20.31,18.84,19.31,22.5,24.44,23.66,23.12,24.31,24.72,22.78,20.81,22.03,23.78,23.03,20.81,20.25,21.03,19.88,17.97,17.88,20.06,21.28,19.81,18.44,18.94,18.75,16.44,14.03,14.09,15.28,14.88,13.16,13.41,15.0,15.5,14.75,14.94,17.62,19.59,18.47,16.81,17.56,18.28,17.19,15.81,17.31,19.84,20.53,19.69,19.97,22.16,22.62,21.16,20.19,21.56,22.16,19.97,17.78,18.12,19.03,17.88,16.31,17.03,18.62,18.53,16.62,15.97,17.12,17.38,15.78,15.19,17.03,19.09,18.72,17.84,19.56,22.09,22.72,22.47,23.91,26.5,26.97,25.16,23.84,24.62,24.66,22.69,21.47,23.28,25.03,24.09,22.31,23.19,24.84,24.62,23.56,24.19,25.91,26.38,25.0,25.19,27.69,29.44,28.5,27.12,27.97,28.34,26.53,24.28,24.12,25.47,25.31,24.19,24.59,26.69,27.53,26.16,25.44,27.25,28.69,27.91,27.16,28.91,30.88,30.75,29.34,29.75,30.5,29.34,25.94,23.91,23.12,22.0,19.03,17.12,17.94,19.16,18.09,16.81,18.41,19.94,19.72,17.97,17.88,18.81,18.53,16.91,16.88,19.22,20.78,20.16,19.69,21.69,23.31,22.12,19.94,19.59,19.56,18.41,16.0,15.66,17.44,17.78,16.19,15.56,17.44,18.75,17.69,16.41,16.81,17.5,15.91,13.81,14.12,15.94,17.0,16.66,17.91,20.59,21.88,19.91,18.12,18.62,18.66,16.84,15.72,17.81,20.53,21.59,21.88,23.53,25.97,26.59,25.0,24.06,24.5,24.12,21.59,19.38,19.91,20.81,19.56,18.31,19.53,22.41,24.0,24.91,27.44,31.28,32.84,31.25,29.91,29.38,28.16,24.25,21.19,20.88,21.41,20.28,19.53,21.91,25.72,27.94,28.41,29.88,31.75,31.81,29.44,27.62,27.97,28.16,26.03,24.19,25.09,26.84,26.62,25.34,25.94,27.03,25.91,23.41,21.88,22.88,23.97,23.31,23.81,26.38,28.31,27.22,25.59,25.59,25.81,24.09,21.47,20.62,21.22,20.5,18.38,17.38,18.06,17.78,15.28,14.0,15.19,16.91,16.88,16.47,17.47,19.34,19.25,17.88,18.06,20.25,21.19,20.31,20.53,22.53,24.06,22.72,21.44,22.22,23.31,22.44,20.91,21.72,23.41,23.22,21.84,21.97,24.09,25.19,24.25,23.56,24.72,25.28,23.06,21.0,21.03,21.97,20.91,19.41,20.0,21.88,22.59,21.56,21.5,23.12,23.34,21.16,19.62,20.62,22.19,21.94,21.47,23.19,25.5,25.25,23.91,24.28,26.34,27.16,26.06,25.41,26.12,25.81,22.66,20.06,20.16,21.78,22.03,22.56,25.34,29.44,31.28,31.16,32.06,33.88,33.91,31.41,29.84,29.94,29.34,26.38,23.41,23.47,24.72,24.62,24.69,26.78,30.06,30.88,28.88,27.25,26.31,23.97,19.69,17.0,17.69,19.22,18.72,18.16,19.16,20.19,18.81,16.56,16.03,17.81,18.41,17.69,18.03,20.38,21.91,20.94,20.62,22.38,24.69,24.56,23.97,24.91,26.62,25.97,23.66,22.53,22.38,21.09,17.53,14.84,14.53,13.88,11.25,9.06,9.78,10.72,10.06,8.84,9.78,11.41,11.47,9.62,8.44,8.5,7.16,3.75,1.53,3.22,5.72,6.91,8.97,13.03,17.31,18.59,18.41,18.69,19.81,18.84,16.28,14.84,16.12,17.31,16.31,15.91,17.34,18.62,17.66,16.31,17.34,19.28,19.44,18.56,19.03,20.97,22.06,21.09,21.31,23.34,24.03,22.34,20.5,20.62,20.88,18.75,15.47,14.12,13.72,11.28,7.84,6.59,7.56,7.81,6.66,6.25,8.72,10.91,11.06,11.38,14.12,17.19,17.75,17.38,19.38,22.59,23.91,23.69,24.16,25.41,24.91,22.03,19.34,19.22,19.16,17.31,15.62,16.06,17.59,17.12,15.56,15.5,17.19,17.47,15.91,15.22,16.66,17.75,16.31,15.19,16.78,18.25,17.34,15.56,15.91,16.81,16.03,13.72,12.81,13.53,13.38,11.25,10.44,12.41,14.06,13.5,12.34,14.31,16.41,16.75,16.22,17.78,19.69,19.72,18.09,17.75,19.34,20.03,18.78,18.0,19.84,21.66,21.09,20.09,20.91,21.75,20.5,18.31,18.16,19.41,19.25,17.34,16.38,16.75,16.09,12.91,10.09,14.28,13.38,12.09,12.41,14.62,16.44,16.78,17.41,19.25,21.12,21.62,21.88,22.94,23.91,23.22,21.16,19.94,19.5,18.56,16.94,16.62,18.19,19.56,19.31,19.22,19.84,20.75,19.75,18.81,19.41,20.94,21.69,21.88,23.09,24.97:29.12,30.31,30.06,29.88,31.84,34.81,36.25,36.03,36.78,38.94,39.72,37.66,35.94,36.28,36.81,35.62,34.0,34.56,35.53,33.94,31.0,29.41,29.66,28.34,26.0,25.0,26.69,27.84,27.16,27.31,29.72,32.78,33.38,33.75,35.53,37.69,37.38,34.78,32.75,31.62,29.12,24.72,21.66,21.34,21.81,20.44,20.19,22.69,26.0,27.47,28.09,30.69,33.84,34.91,34.34,34.41,36.44,37.38,36.81,36.81,38.75,39.28,36.47,32.16,28.91,26.16,21.5,16.88,14.59,14.59,13.94,12.72,13.03,16.16,18.41,18.84,19.66,22.28,25.12,25.56,25.66,27.47,29.66,29.19,26.78,24.97,24.84,23.12,19.59,17.09,16.69,15.97,13.19,10.94,11.47,12.81,11.88,10.66,12.31,14.94,16.12,16.53,18.41,21.75,24.16,24.72,26.56,31.06,34.38,35.44,35.34,36.03,36.12,32.78,28.09,24.59,22.56,18.78,14.34,11.53,11.62,11.16,9.0,7.59,8.59,9.78,8.94,8.19,9.78,13.12,14.09,14.47,16.19,18.94,19.81,19.16,19.12,21.72,24.09,24.62,25.28,27.88,29.62,28.41,25.53,25.16,25.09,23.31,21.12,20.5,21.84,22.03,20.75,20.0,21.16,21.75,19.88,17.91,18.59,19.19,18.12,16.09,16.16,17.19,16.53,14.75,14.47,16.94,19.16,20.12,22.53,27.91,32.81,35.41,37.09,40.44,42.56,41.44,38.53,37.28,36.94,35.34,32.78,31.66,32.44,31.84,29.09,25.97,25.22,24.31,21.72,19.34,20.69,23.16,24.22,24.25,25.56,27.66,27.78,25.94,24.94,26.41,27.41,26.75,26.69,29.72,32.44,32.75,31.94,32.31,33.34,32.0,29.09,27.22,26.94,25.47,22.31,20.41,21.97,23.75,23.62,23.66,25.97,28.47,28.28,27.59,29.25,32.09,33.41,32.97,33.72,35.47,35.91,33.94,32.53,33.19,33.19,30.38,26.94,25.69,25.5,23.09,20.12,20.34,22.5,23.5,23.56,25.09,28.06,29.78,28.75,27.66,28.53,28.84,26.38,22.94,21.66,21.16,19.16,16.56,16.0,17.41,18.06,16.78,16.81,19.34,21.31,20.97,20.5,22.69,24.78,24.5,23.28,23.81,25.31,24.88,22.88,22.66,24.03,24.59,22.94,22.56,24.25,25.72,24.5,22.91,23.69,24.44,23.09,20.72,20.53,21.47,20.91,19.16,19.53,22.06,24.19,24.28,25.16,28.41,31.22,31.38,30.59,32.0,33.31,32.06,29.06,27.75,27.81,26.19,23.34,22.59,24.88,27.22,27.41,27.62,29.75,30.75,28.75,26.03,25.62,26.34,25.56,23.97,24.47,26.47,27.16,25.38,24.66,25.53,26.53,24.75,23.41,24.19,25.38,23.97,22.0,22.75,25.12,26.47,26.66,28.69,32.53,35.19,34.72,34.72,36.53,37.94,36.16,34.34,34.53,35.06,33.34,30.06,29.44,30.38,29.88,27.94,27.62,28.47,28.19,25.28,22.66,22.38,22.81,21.12,19.5,20.78,22.75,22.69,21.19,21.31,22.66,22.56,20.62,19.66,20.81,21.72,20.41,19.59,21.41,22.91,21.47,19.28,18.94,19.78,18.81,16.72,16.69,18.47,19.5,18.53,18.56,20.56,22.53,21.53,20.88,23.03,25.12,24.72,23.69,24.09,26.19,26.81,25.91,26.38,28.03,28.78,26.5,24.09,23.44,22.75,19.12,15.97,16.0,17.88,18.06,17.62,18.97,21.44,21.62,20.25,19.84,22.0,23.34,22.91,23.03,24.94,26.53,25.03,22.69,22.88,23.88,23.34,22.66,23.84,26.78,27.84,26.66,26.19,27.47,28.06,25.78,24.38,25.25,26.88,26.62,25.47,26.53,29.03,29.25,28.12,28.38,30.66,31.44,29.81,28.78,29.72,30.28,28.0,25.38,25.34,25.69,23.66,21.19,21.81,23.91,24.72,24.28,24.31,26.38,26.59,24.59,23.03,23.94,24.41,22.5,20.94,21.75,23.84,23.41,21.94,21.69,23.0,22.47,20.53,19.75,21.19,22.09,20.97,20.09,21.31,22.62,20.5,17.84,17.25,18.12,17.38,15.66,16.06,18.47,19.28,18.16,18.25,20.44,22.56,22.41,22.53,25.31,28.28,28.06,26.97,27.22,28.28,26.78,23.66,21.69,21.94,21.47,19.16,18.09,19.91,21.22,20.44,19.97,22.56,26.12,27.03,27.22,29.09,32.25,33.12,32.28,31.75,32.22,30.62,26.31,22.12,21.12,20.84,18.91,18.03,20.12,23.72,25.09,25.47,27.0,29.75,30.03,27.97,27.03,27.81,28.12,26.19,24.75,25.66,26.28,24.06,20.75,20.28,21.34,21.22,21.12,23.06,26.75,28.12,26.69,25.25,25.75,25.56,22.94,20.72,21.12,21.97,20.72,18.88,18.94,20.56,20.31,18.84,19.31,22.5,24.44,23.66,23.12,24.31,24.72,22.78,20.81,22.03,23.78,23.03,20.81,20.25,21.03,19.88,17.97,17.88,20.06,21.28,19.81,18.44,18.94,18.75,16.44,14.03,14.09,15.28,14.88,13.16,13.41,15.0,15.5,14.75,14.94,17.62,19.59,18.47,16.81,17.56,18.28,17.19,15.81,17.31,19.84,20.53,19.69,19.97,22.16,22.62,21.16,20.19,21.56,22.16,19.97,17.78,18.12,19.03,17.88,16.31,17.03,18.62,18.53,16.62,15.97,17.12,17.38,15.78,15.19,17.03,19.09,18.72,17.84,19.56,22.09,22.72,22.47,23.91,26.5,26.97,25.16,23.84,24.62,24.66,22.69,21.47,23.28,25.03,24.09,22.31,23.19,24.84,24.62,23.56,24.19,25.91,26.38,25.0,25.19,27.69,29.44,28.5,27.12,27.97,28.34,26.53,24.28,24.12,25.47,25.31,24.19,24.59,26.69,27.53,26.16,25.44,27.25,28.69,27.91,27.16,28.91,30.88,30.75,29.34,29.75,30.5,29.34,25.94,23.91,23.12,22.0,19.03,17.12,17.94,19.16,18.09,16.81,18.41,19.94,19.72,17.97,17.88,18.81,18.53,16.91,16.88,19.22,20.78,20.16,19.69,21.69,23.31,22.12,19.94,19.59,19.56,18.41,16.0,15.66,17.44,17.78,16.19,15.56,17.44,18.75,17.69,16.41,16.81,17.5,15.91,13.81,14.12,15.94,17.0,16.66,17.91,20.59,21.88,19.91,18.12,18.62,18.66,16.84,15.72,17.81,20.53,21.59,21.88,23.53,25.97,26.59,25.0,24.06,24.5,24.12,21.59,19.38,19.91,20.81,19.56,18.31,19.53,22.41,24.0,24.91,27.44,31.28,32.84,31.25,29.91,29.38,28.16,24.25,21.19,20.88,21.41,20.28,19.53,21.91,25.72,27.94,28.41,29.88,31.75,31.81,29.44,27.62,27.97,28.16,26.03,24.19,25.09,26.84,26.62,25.34,25.94,27.03,25.91,23.41,21.88,22.88,23.97,23.31,23.81,26.38,28.31,27.22,25.59,25.59,25.81,24.09,21.47,20.62,21.22,20.5,18.38,17.38,18.06,17.78,15.28,14.0,15.19,16.91,16.88,16.47,17.47,19.34,19.25,17.88,18.06,20.25,21.19,20.31,20.53,22.53,24.06,22.72,21.44,22.22,23.31,22.44,20.91,21.72,23.41,23.22,21.84,21.97,24.09,25.19,24.25,23.56,24.72,25.28,23.06,21.0,21.03,21.97,20.91,19.41,20.0,21.88,22.59,21.56,21.5,23.12,23.34,21.16,19.62,20.62,22.19,21.94,21.47,23.19,25.5,25.25,23.91,24.28,26.34,27.16,26.06,25.41,26.12,25.81,22.66,20.06,20.16,21.78,22.03,22.56,25.34,29.44,31.28,31.16,32.06,33.88,33.91,31.41,29.84,29.94,29.34,26.38,23.41,23.47,24.72,24.62,24.69,26.78,30.06,30.88,28.88,27.25,26.31,23.97,19.69,17.0,17.69,19.22,18.72,18.16,19.16,20.19,18.81,16.56,16.03,17.81,18.41,17.69,18.03,20.38,21.91,20.94,20.62,22.38,24.69,24.56,23.97,24.91,26.62,25.97,23.66,22.53,22.38,21.09,17.53,14.84,14.53,13.88,11.25,9.06,9.78,10.72,10.06,8.84,9.78,11.41,11.47,9.62,8.44,8.5,7.16,3.75,1.53,3.22,5.72,6.91,8.97,13.03,17.31,18.59,18.41,18.69,19.81,18.84,16.28,14.84,16.12,17.31,16.31,15.91,17.34,18.62,17.66,16.31,17.34,19.28,19.44,18.56,19.03,20.97,22.06,21.09,21.31,23.34,24.03,22.34,20.5,20.62,20.88,18.75,15.47,14.12,13.72,11.28,7.84,6.59,7.56,7.81,6.66,6.25,8.72,10.91,11.06,11.38,14.12,17.19,17.75,17.38,19.38,22.59,23.91,23.69,24.16,25.41,24.91,22.03,19.34,19.22,19.16,17.31,15.62,16.06,17.59,17.12,15.56,15.5,17.19,17.47,15.91,15.22,16.66,17.75,16.31,15.19,16.78,18.25,17.34,15.56,15.91,16.81,16.03,13.72,12.81,13.53,13.38,11.25,10.44,12.41,14.06,13.5,12.34,14.31,16.41,16.75,16.22,17.78,19.69,19.72,18.09,17.75,19.34,20.03,18.78,18.0,19.84,21.66,21.09,20.09,20.91,21.75,20.5,18.31,18.16,19.41,19.25,17.34,16.38,16.75,16.09,12.91,10.09,14.28,13.38,12.09,12.41,14.62,16.44,16.78,17.41,19.25,21.12,21.62,21.88,22.94,23.91,23.22,21.16,19.94,19.5,18.56,16.94,16.62,18.19,19.56,19.31,19.22,19.84,20.75,19.75,18.81,19.41,20.94,21.69,21.88,23.09,24.97,25.94,25.47,25.16,25.66,25.59,23.5,21.66:positivity
16.75,15.62,17.59,19.5,18.88,18.12,19.56,21.41,20.91,20.5,22.47,25.75,27.09,27.19,28.59,32.03,34.88,35.47,36.44,39.03,41.25,40.88,39.88,40.69,41.16,38.53,33.69,30.53,28.59,25.97,22.34,20.16,20.5,20.38,18.88,17.75,19.62,22.38,23.34,23.59,26.5,29.75,30.66,30.03,30.56,32.25,32.75,31.5,30.69,32.31,32.91,31.38,29.38,29.38,29.78,27.69,25.03,25.09,26.5,26.88,25.62,25.25,26.75,26.62,24.25,22.56,23.34,23.94,22.41,20.16,20.34,21.72,21.75,21.53,23.91,28.03,30.62,30.88,31.97,34.41,35.75,34.34,33.16,34.38,35.59,34.44,31.84,31.25,30.88,27.78,23.62,21.81,22.12,22.41,21.03,20.69,22.44,22.84,20.75,18.41,19.09,20.81,21.38,21.16,23.72,26.62,27.25,25.44,24.72,24.97,24.31,21.69,19.47,20.19,21.0,19.5,17.97,19.06,20.38,19.47,17.34,17.03,17.81,17.5,15.41,14.72,16.31,17.66,16.75,16.72,19.44,22.28,22.69,22.5,24.41,27.22,28.19,28.03,29.28,31.56,31.94,29.66,27.81,27.91,27.78,25.12,23.09,23.22,23.72,22.0,19.25,18.84,19.94,19.59,18.22,18.72,20.97,22.06,21.12,20.41,22.31,24.19,23.75,23.0,24.66,26.59,26.38,24.31,23.59,23.97,22.12,18.44,16.25,16.41,16.31,14.25,13.28,15.38,17.56,17.62,16.88,17.91,19.66,19.5,17.97,18.38,20.62,21.78,20.88,21.34,23.78,26.16,25.78,24.56,25.38,25.38,22.47,18.06,16.12,16.34,15.81,14.78,16.69,20.94,24.28,24.91,25.81,27.91,29.0,26.75,23.62,22.56,22.72,20.94,18.22,17.88,19.28,19.03,17.16,17.25,19.62,21.81,21.53,21.66,23.69,25.81,24.84,23.06,23.03,23.5,21.75,18.47,17.5,18.53,18.72,16.91,16.19,17.19,17.69,15.47,13.88,15.25,17.44,17.47,17.03,18.16,20.22,20.16,18.62,19.22,22.0,23.88,23.44,23.28,25.16,26.03,24.31,22.66,23.66,25.53,25.09,23.59,24.0,25.75,25.75,23.84,23.06,24.59,25.12,23.47,22.62,24.56,26.78,26.25,25.12,25.56,26.28,24.19,20.78,18.97,18.66,17.31,14.38,13.03,14.47,16.94,17.53,18.59,21.97,24.81,24.41,22.5,22.59,24.38,25.0,24.72,26.0,29.44,31.66,32.12,33.09,36.47,38.78,37.47,35.03,33.78,32.72,29.53,26.25,25.75,28.0,29.5,30.06,32.0,36.38,39.31,39.03,37.94,37.94,36.5,31.66,25.75,22.81,21.91,19.84,18.38,19.41,23.0,25.25,25.44,26.94,30.53,32.84,32.75,32.09,33.34,34.41,32.47,30.03,29.94,31.56,31.59,30.03,29.59,30.5,29.47,25.84,22.91,22.97,23.25,21.16,18.78,19.28,20.69,19.94,18.28,19.03,21.59,22.66,22.44,24.16,28.59,31.78,32.41,32.44,34.47,35.31,33.09,30.0,28.41,27.47,24.16,20.19,18.25,19.03,19.06,17.75,17.69,19.75,20.94,19.91,19.19,21.06,23.34,22.72,21.81,22.75,25.16,26.34,26.25,28.0,31.25,32.19,30.16,28.25,28.34,28.31,26.16,24.25,25.62,27.78,27.81,26.72,27.06,28.22,27.97,26.25,26.25,29.44,31.88,31.62,30.81,31.66,31.53,28.62,25.06,23.97,24.66,23.03,20.94,20.81,22.44,22.94,21.75,21.59,23.94,25.94,25.53,25.25,27.72,29.97,29.72,28.56,29.47,31.53,31.78,30.62,30.84,32.66,33.12,31.12,29.56,30.34,30.59,28.03,25.19,24.72,24.75,22.56,19.06,17.97,18.59,18.0,16.22,16.88,20.41,23.53,24.78,26.62,30.84,34.56,34.88,33.84,34.62,35.56,34.56,32.38,32.97,35.16,36.31,35.5,35.19,36.88,37.09,34.06,30.56,29.09,27.56,23.62,18.72,16.84,16.41,15.16,13.53,14.47,17.72,20.31,20.53,21.66,24.56,26.62,25.88,24.44,25.22,26.5,25.28,22.66,21.69,21.25,19.31,15.94,14.75,16.19,17.78,17.62,18.12,21.53,25.12,26.38,27.34,30.62,33.97,35.22,34.59,35.69,37.97,38.88,37.78,37.25,38.06,38.16,36.12,33.78,34.69,36.03,34.81,32.88,32.66,33.56,32.75,30.38,29.31,29.69,29.03,26.44,24.88,26.06,27.53,26.47,25.44,26.47,27.97,27.28,25.88,26.66,28.66,28.94,27.81,27.72,29.31,30.81,29.84,29.53,32.06,34.47,34.09,33.12,33.88,34.84,33.12,30.12,29.0,29.75,29.72,28.59,28.69,30.84,32.12,30.66,29.06,29.38,30.06,28.53,26.38,26.22,27.06,25.94,23.06,21.59,22.09,21.44,19.06,17.78,18.91,19.66,18.22,16.91,17.38,18.72,17.72,16.09,16.5,18.47,19.53,19.38,20.91,24.06,25.97,25.09,24.34,24.94,25.5,23.66,21.31,21.53,23.12,23.38,22.94,24.44,27.28,28.69,27.75,27.03,28.41,29.34,28.0,26.97,28.44,29.72,28.81,27.12,26.59,27.06,26.22,23.78,23.47,25.28,26.56,26.25,26.88,29.41,31.31,30.75,29.31,29.66,30.56,29.78,28.5,28.88,30.94,31.03,29.38,28.44,29.47,29.78,27.75,26.25,27.12,28.03,26.75,24.94,24.91,25.59,24.56,22.12,21.34,22.69,22.94,21.5,20.59,21.81,22.94,21.5,20.31,21.75,23.88,24.06,23.62,24.66,27.31,28.03,26.91,26.81,28.38,28.84,26.94,25.31,25.47,25.62,23.28,20.62,20.44,21.25,20.19,18.56,18.69,20.53,21.0,19.84,19.78,22.12,24.34,24.88,25.88,29.25,32.56,32.81,31.84,31.81,32.16,30.0,26.81,25.22,25.91,25.59,23.28,21.66,22.44,23.16,21.81,20.78,21.97,23.59,22.84,21.09,20.88,21.56,20.88,18.28,16.97,17.66,17.94,16.66,16.25,18.91,21.75,21.84,21.62,23.09,24.69,23.91,21.75,20.84,21.16,19.88,17.0,15.19,15.97,16.03,14.44,12.97,14.44,16.44,16.91,17.5,20.03,23.88,25.16,24.97,26.0,28.0,28.84,26.75,24.5,24.0,22.84,19.5,16.62,16.31,16.91,15.22,13.41,13.59,16.22,17.59,17.66,18.94,22.0,23.91,23.28,22.72,24.78,26.75,26.16,25.03,26.06,26.97,25.81,23.09,21.53,21.28,18.84,14.78,11.47,10.94,11.12,10.44,10.88,14.59,19.0,21.41,22.41,25.16,27.97,28.25,26.69,25.78,26.22,25.12,21.97,18.91,18.44,17.75,14.91,12.16,11.84,12.47,11.59,9.66,9.88,12.38,13.53,13.25,14.34,17.56,19.0,17.66,15.97,16.09,16.16,14.25,11.88,12.69,14.66,15.03,14.56,16.03,18.25,19.31,17.97,17.22,18.31,19.44,18.34,17.56,19.78,22.31,22.34,20.78,20.84,21.25,19.22,15.5,13.88,14.31,14.66,13.78,13.81,16.41,18.62,18.03,16.59,17.38,18.75,18.06,16.78,17.53,19.94,21.16,20.41,20.75,22.62,23.91,22.03,20.66,21.88,23.41,22.66,21.97,23.91,26.66,27.31,25.75,25.09,24.69,22.31,17.69,14.09,13.0,12.25,10.69,10.0,12.94,17.19,19.16,19.34,21.53,23.97,24.56,22.97,22.44,23.56,23.62,21.84,21.56,24.19,27.38,28.34,28.94,31.31,33.81,33.47,31.28,30.25,30.0,27.59,23.06,19.72,19.0,17.91,15.0,12.97,13.66,15.16,14.31,13.88,16.66,20.94,23.28,24.44,26.44,29.16,29.47,26.53,23.88,23.19,22.84,20.22,18.38,19.5,21.09,20.44,19.0,19.72,21.97,22.69,22.12,22.91,25.25,26.06,23.94,21.94,22.28,22.22,19.5,17.06,17.06,18.69,18.5,18.0,19.75,22.91,24.12,23.25,23.5,26.16,28.69,29.31,31.03,34.41,37.69,37.62,36.22,36.38,36.81,35.25,31.88,29.53,28.91,27.12,23.44,21.09,21.5,22.16,20.0,18.09,18.19,18.66,16.78,14.44,15.06,17.12,17.53,16.47,17.19,20.5,23.5,24.59,26.75,31.03,34.34,34.25,32.69,32.66,32.84,30.38,26.81,25.31,25.28,24.25,21.66,20.31,22.09,23.53,22.62,22.75,24.94,27.94,28.38,28.81,31.59,35.78,37.72,37.91,39.12,41.22,41.38,38.91,36.66,36.69,35.91,32.41,28.84,27.41,27.12,24.78,22.38,23.03,25.28,26.22,26.22,27.41,30.88,33.03,32.94,33.06,35.16,36.91,35.41,32.78,31.91,31.09,27.94,23.81,22.12,22.97,22.94,21.47,21.34,23.38,24.59,23.19,21.97,23.25,24.09,22.59,20.06,19.25,19.81,18.72,16.59,16.41,18.62,19.91,19.75,20.75,24.84,28.72,30.41,31.62,34.75,37.84,37.5,35.31,34.12,33.5,30.47,25.47,22.25,21.0,19.59,16.22,14.28,15.31,16.75,15.72,14.19,14.72,15.94,14.75,12.59,12.75,15.0,16.28,16.12,16.97,20.56,22.94,22.72,22.59,25.03,27.22,26.78,25.22,25.91,27.16,26.09,23.53,22.41,23.25,22.72,20.88,20.22,22.53,24.34,23.47,22.53,23.78,24.97,23.62,21.78,21.88,23.41,23.16,21.34,20.62,21.75,21.47,19.12,17.09,17.69,17.56,15.44,12.62,12.91,14.47,14.22,13.38,14.75,17.44,18.66,17.94,17.75,20.06,21.19,19.56,18.34,19.78,20.91,19.31,16.88,16.56:21.41,20.91,20.5,22.47,25.75,27.09,27.19,28.59,32.03,34.88,35.47,36.44,39.03,41.25,40.88,39.88,40.69,41.16,38.53,33.69,30.53,28.59,25.97,22.34,20.16,20.5,20.38,18.88,17.75,19.62,22.38,23.34,23.59,26.5,29.75,30.66,30.03,30.56,32.25,32.75,31.5,30.69,32.31,32.91,31.38,29.38,29.38,29.78,27.69,25.03,25.09,26.5,26.88,25.62,25.25,26.75,26.62,24.25,22.56,23.34,23.94,22.41,20.16,20.34,21.72,21.75,21.53,23.91,28.03,30.62,30.88,31.97,34.41,35.75,34.34,33.16,34.38,35.59,34.44,31.84,31.25,30.88,27.78,23.62,21.81,22.12,22.41,21.03,20.69,22.44,22.84,20.75,18.41,19.09,20.81,21.38,21.16,23.72,26.62,27.25,25.44,24.72,24.97,24.31,21.69,19.47,20.19,21.0,19.5,17.97,19.06,20.38,19.47,17.34,17.03,17.81,17.5,15.41,14.72,16.31,17.66,16.75,16.72,19.44,22.28,22.69,22.5,24.41,27.22,28.19,28.03,29.28,31.56,31.94,29.66,27.81,27.91,27.78,25.12,23.09,23.22,23.72,22.0,19.25,18.84,19.94,19.59,18.22,18.72,20.97,22.06,21.12,20.41,22.31,24.19,23.75,23.0,24.66,26.59,26.38,24.31,23.59,23.97,22.12,18.44,16.25,16.41,16.31,14.25,13.28,15.38,17.56,17.62,16.88,17.91,19.66,19.5,17.97,18.38,20.62,21.78,20.88,21.34,23.78,26.16,25.78,24.56,25.38,25.38,22.47,18.06,16.12,16.34,15.81,14.78,16.69,20.94,24.28,24.91,25.81,27.91,29.0,26.75,23.62,22.56,22.72,20.94,18.22,17.88,19.28,19.03,17.16,17.25,19.62,21.81,21.53,21.66,23.69,25.81,24.84,23.06,23.03,23.5,21.75,18.47,17.5,18.53,18.72,16.91,16.19,17.19,17.69,15.47,13.88,15.25,17.44,17.47,17.03,18.16,20.22,20.16,18.62,19.22,22.0,23.88,23.44,23.28,25.16,26.03,24.31,22.66,23.66,25.53,25.09,23.59,24.0,25.75,25.75,23.84,23.06,24.59,25.12,23.47,22.62,24.56,26.78,26.25,25.12,25.56,26.28,24.19,20.78,18.97,18.66,17.31,14.38,13.03,14.47,16.94,17.53,18.59,21.97,24.81,24.41,22.5,22.59,24.38,25.0,24.72,26.0,29.44,31.66,32.12,33.09,36.47,38.78,37.47,35.03,33.78,32.72,29.53,26.25,25.75,28.0,29.5,30.06,32.0,36.38,39.31,39.03,37.94,37.94,36.5,31.66,25.75,22.81,21.91,19.84,18.38,19.41,23.0,25.25,25.44,26.94,30.53,32.84,32.75,32.09,33.34,34.41,32.47,30.03,29.94,31.56,31.59,30.03,29.59,30.5,29.47,25.84,22.91,22.97,23.25,21.16,18.78,19.28,20.69,19.94,18.28,19.03,21.59,22.66,22.44,24.16,28.59,31.78,32.41,32.44,34.47,35.31,33.09,30.0,28.41,27.47,24.16,20.19,18.25,19.03,19.06,17.75,17.69,19.75,20.94,19.91,19.19,21.06,23.34,22.72,21.81,22.75,25.16,26.34,26.25,28.0,31.25,32.19,30.16,28.25,28.34,28.31,26.16,24.25,25.62,27.78,27.81,26.72,27.06,28.22,27.97,26.25,26.25,29.44,31.88,31.62,30.81,31.66,31.53,28.62,25.06,23.97,24.66,23.03,20.94,20.81,22.44,22.94,21.75,21.59,23.94,25.94,25.53,25.25,27.72,29.97,29.72,28.56,29.47,31.53,31.78,30.62,30.84,32.66,33.12,31.12,29.56,30.34,30.59,28.03,25.19,24.72,24.75,22.56,19.06,17.97,18.59,18.0,16.22,16.88,20.41,23.53,24.78,26.62,30.84,34.56,34.88,33.84,34.62,35.56,34.56,32.38,32.97,35.16,36.31,35.5,35.19,36.88,37.09,34.06,30.56,29.09,27.56,23.62,18.72,16.84,16.41,15.16,13.53,14.47,17.72,20.31,20.53,21.66,24.56,26.62,25.88,24.44,25.22,26.5,25.28,22.66,21.69,21.25,19.31,15.94,14.75,16.19,17.78,17.62,18.12,21.53,25.12,26.38,27.34,30.62,33.97,35.22,34.59,35.69,37.97,38.88,37.78,37.25,38.06,38.16,36.12,33.78,34.69,36.03,34.81,32.88,32.66,33.56,32.75,30.38,29.31,29.69,29.03,26.44,24.88,26.06,27.53,26.47,25.44,26.47,27.97,27.28,25.88,26.66,28.66,28.94,27.81,27.72,29.31,30.81,29.84,29.53,32.06,34.47,34.09,33.12,33.88,34.84,33.12,30.12,29.0,29.75,29.72,28.59,28.69,30.84,32.12,30.66,29.06,29.38,30.06,28.53,26.38,26.22,27.06,25.94,23.06,21.59,22.09,21.44,19.06,17.78,18.91,19.66,18.22,16.91,17.38,18.72,17.72,16.09,16.5,18.47,19.53,19.38,20.91,24.06,25.97,25.09,24.34,24.94,25.5,23.66,21.31,21.53,23.12,23.38,22.94,24.44,27.28,28.69,27.75,27.03,28.41,29.34,28.0,26.97,28.44,29.72,28.81,27.12,26.59,27.06,26.22,23.78,23.47,25.28,26.56,26.25,26.88,29.41,31.31,30.75,29.31,29.66,30.56,29.78,28.5,28.88,30.94,31.03,29.38,28.44,29.47,29.78,27.75,26.25,27.12,28.03,26.75,24.94,24.91,25.59,24.56,22.12,21.34,22.69,22.94,21.5,20.59,21.81,22.94,21.5,20.31,21.75,23.88,24.06,23.62,24.66,27.31,28.03,26.91,26.81,28.38,28.84,26.94,25.31,25.47,25.62,23.28,20.62,20.44,21.25,20.19,18.56,18.69,20.53,21.0,19.84,19.78,22.12,24.34,24.88,25.88,29.25,32.56,32.81,31.84,31.81,32.16,30.0,26.81,25.22,25.91,25.59,23.28,21.66,22.44,23.16,21.81,20.78,21.97,23.59,22.84,21.09,20.88,21.56,20.88,18.28,16.97,17.66,17.94,16.66,16.25,18.91,21.75,21.84,21.62,23.09,24.69,23.91,21.75,20.84,21.16,19.88,17.0,15.19,15.97,16.03,14.44,12.97,14.44,16.44,16.91,17.5,20.03,23.88,25.16,24.97,26.0,28.0,28.84,26.75,24.5,24.0,22.84,19.5,16.62,16.31,16.91,15.22,13.41,13.59,16.22,17.59,17.66,18.94,22.0,23.91,23.28,22.72,24.78,26.75,26.16,25.03,26.06,26.97,25.81,23.09,21.53,21.28,18.84,14.78,11.47,10.94,11.12,10.44,10.88,14.59,19.0,21.41,22.41,25.16,27.97,28.25,26.69,25.78,26.22,25.12,21.97,18.91,18.44,17.75,14.91,12.16,11.84,12.47,11.59,9.66,9.88,12.38,13.53,13.25,14.34,17.56,19.0,17.66,15.97,16.09,16.16,14.25,11.88,12.69,14.66,15.03,14.56,16.03,18.25,19.31,17.97,17.22,18.31,19.44,18.34,17.56,19.78,22.31,22.34,20.78,20.84,21.25,19.22,15.5,13.88,14.31,14.66,13.78,13.81,16.41,18.62,18.03,16.59,17.38,18.75,18.06,16.78,17.53,19.94,21.16,20.41,20.75,22.62,23.91,22.03,20.66,21.88,23.41,22.66,21.97,23.91,26.66,27.31,25.75,25.09,24.69,22.31,17.69,14.09,13.0,12.25,10.69,10.0,12.94,17.19,19.16,19.34,21.53,23.97,24.56,22.97,22.44,23.56,23.62,21.84,21.56,24.19,27.38,28.34,28.94,31.31,33.81,33.47,31.28,30.25,30.0,27.59,23.06,19.72,19.0,17.91,15.0,12.97,13.66,15.16,14.31,13.88,16.66,20.94,23.28,24.44,26.44,29.16,29.47,26.53,23.88,23.19,22.84,20.22,18.38,19.5,21.09,20.44,19.0,19.72,21.97,22.69,22.12,22.91,25.25,26.06,23.94,21.94,22.28,22.22,19.5,17.06,17.06,18.69,18.5,18.0,19.75,22.91,24.12,23.25,23.5,26.16,28.69,29.31,31.03,34.41,37.69,37.62,36.22,36.38,36.81,35.25,31.88,29.53,28.91,27.12,23.44,21.09,21.5,22.16,20.0,18.09,18.19,18.66,16.78,14.44,15.06,17.12,17.53,16.47,17.19,20.5,23.5,24.59,26.75,31.03,34.34,34.25,32.69,32.66,32.84,30.38,26.81,25.31,25.28,24.25,21.66,20.31,22.09,23.53,22.62,22.75,24.94,27.94,28.38,28.81,31.59,35.78,37.72,37.91,39.12,41.22,41.38,38.91,36.66,36.69,35.91,32.41,28.84,27.41,27.12,24.78,22.38,23.03,25.28,26.22,26.22,27.41,30.88,33.03,32.94,33.06,35.16,36.91,35.41,32.78,31.91,31.09,27.94,23.81,22.12,22.97,22.94,21.47,21.34,23.38,24.59,23.19,21.97,23.25,24.09,22.59,20.06,19.25,19.81,18.72,16.59,16.41,18.62,19.91,19.75,20.75,24.84,28.72,30.41,31.62,34.75,37.84,37.5,35.31,34.12,33.5,30.47,25.47,22.25,21.0,19.59,16.22,14.28,15.31,16.75,15.72,14.19,14.72,15.94,14.75,12.59,12.75,15.0,16.28,16.12,16.97,20.56,22.94,22.72,22.59,25.03,27.22,26.78,25.22,25.91,27.16,26.09,23.53,22.41,23.25,22.72,20.88,20.22,22.53,24.34,23.47,22.53,23.78,24.97,23.62,21.78,21.88,23.41,23.16,21.34,20.62,21.75,21.47,19.12,17.09,17.69,17.56,15.44,12.62,12.91,14.47,14.22,13.38,14.75,17.44,18.66,17.94,17.75,20.06,21.19,19.56,18.34,19.78,20.91,19.31,16.88,16.56,26.75,26.0,27.44,28.62,28.66,28.25,28.97:28.59,32.03,34.88,35.47,36.44,39.03,41.25,40.88,39.88,40.69,41.16,38.53,33.69,30.53,28.59,25.97,22.34,20.16,20.5,20.38,18.88,17.75,19.62,22.38,23.34,23.59,26.5,29.75,30.66,30.03,30.56,32.25,32.75,31.5,30.69,32.31,32.91,31.38,29.38,29.38,29.78,27.69,25.03,25.09,26.5,26.88,25.62,25.25,26.75,26.62,24.25,22.56,23.34,23.94,22.41,20.16,20.34,21.72,21.75,21.53,23.91,28.03,30.62,30.88,31.97,34.41,35.75,34.34,33.16,34.38,35.59,34.44,31.84,31.25,30.88,27.78,23.62,21.81,22.12,22.41,21.03,20.69,22.44,22.84,20.75,18.41,19.09,20.81,21.38,21.16,23.72,26.62,27.25,25.44,24.72,24.97,24.31,21.69,19.47,20.19,21.0,19.5,17.97,19.06,20.38,19.47,17.34,17.03,17.81,17.5,15.41,14.72,16.31,17.66,16.75,16.72,19.44,22.28,22.69,22.5,24.41,27.22,28.19,28.03,29.28,31.56,31.94,29.66,27.81,27.91,27.78,25.12,23.09,23.22,23.72,22.0,19.25,18.84,19.94,19.59,18.22,18.72,20.97,22.06,21.12,20.41,22.31,24.19,23.75,23.0,24.66,26.59,26.38,24.31,23.59,23.97,22.12,18.44,16.25,16.41,16.31,14.25,13.28,15.38,17.56,17.62,16.88,17.91,19.66,19.5,17.97,18.38,20.62,21.78,20.88,21.34,23.78,26.16,25.78,24.56,25.38,25.38,22.47,18.06,16.12,16.34,15.81,14.78,16.69,20.94,24.28,24.91,25.81,27.91,29.0,26.75,23.62,22.56,22.72,20.94,18.22,17.88,19.28,19.03,17.16,17.25,19.62,21.81,21.53,21.66,23.69,25.81,24.84,23.06,23.03,23.5,21.75,18.47,17.5,18.53,18.72,16.91,16.19,17.19,17.69,15.47,13.88,15.25,17.44,17.47,17.03,18.16,20.22,20.16,18.62,19.22,22.0,23.88,23.44,23.28,25.16,26.03,24.31,22.66,23.66,25.53,25.09,23.59,24.0,25.75,25.75,23.84,23.06,24.59,25.12,23.47,22.62,24.56,26.78,26.25,25.12,25.56,26.28,24.19,20.78,18.97,18.66,17.31,14.38,13.03,14.47,16.94,17.53,18.59,21.97,24.81,24.41,22.5,22.59,24.38,25.0,24.72,26.0,29.44,31.66,32.12,33.09,36.47,38.78,37.47,35.03,33.78,32.72,29.53,26.25,25.75,28.0,29.5,30.06,32.0,36.38,39.31,39.03,37.94,37.94,36.5,31.66,25.75,22.81,21.91,19.84,18.38,19.41,23.0,25.25,25.44,26.94,30.53,32.84,32.75,32.09,33.34,34.41,32.47,30.03,29.94,31.56,31.59,30.03,29.59,30.5,29.47,25.84,22.91,22.97,23.25,21.16,18.78,19.28,20.69,19.94,18.28,19.03,21.59,22.66,22.44,24.16,28.59,31.78,32.41,32.44,34.47,35.31,33.09,30.0,28.41,27.47,24.16,20.19,18.25,19.03,19.06,17.75,17.69,19.75,20.94,19.91,19.19,21.06,23.34,22.72,21.81,22.75,25.16,26.34,26.25,28.0,31.25,32.19,30.16,28.25,28.34,28.31,26.16,24.25,25.62,27.78,27.81,26.72,27.06,28.22,27.97,26.25,26.25,29.44,31.88,31.62,30.81,31.66,31.53,28.62,25.06,23.97,24.66,23.03,20.94,20.81,22.44,22.94,21.75,21.59,23.94,25.94,25.53,25.25,27.72,29.97,29.72,28.56,29.47,31.53,31.78,30.62,30.84,32.66,33.12,31.12,29.56,30.34,30.59,28.03,25.19,24.72,24.75,22.56,19.06,17.97,18.59,18.0,16.22,16.88,20.41,23.53,24.78,26.62,30.84,34.56,34.88,33.84,34.62,35.56,34.56,32.38,32.97,35.16,36.31,35.5,35.19,36.88,37.09,34.06,30.56,29.09,27.56,23.62,18.72,16.84,16.41,15.16,13.53,14.47,17.72,20.31,20.53,21.66,24.56,26.62,25.88,24.44,25.22,26.5,25.28,22.66,21.69,21.25,19.31,15.94,14.75,16.19,17.78,17.62,18.12,21.53,25.12,26.38,27.34,30.62,33.97,35.22,34.59,35.69,37.97,38.88,37.78,37.25,38.06,38.16,36.12,33.78,34.69,36.03,34.81,32.88,32.66,33.56,32.75,30.38,29.31,29.69,29.03,26.44,24.88,26.06,27.53,26.47,25.44,26.47,27.97,27.28,25.88,26.66,28.66,28.94,27.81,27.72,29.31,30.81,29.84,29.53,32.06,34.47,34.09,33.12,33.88,34.84,33.12,30.12,29.0,29.75,29.72,28.59,28.69,30.84,32.12,30.66,29.06,29.38,30.06,28.53,26.38,26.22,27.06,25.94,23.06,21.59,22.09,21.44,19.06,17.78,18.91,19.66,18.22,16.91,17.38,18.72,17.72,16.09,16.5,18.47,19.53,19.38,20.91,24.06,25.97,25.09,24.34,24.94,25.5,23.66,21.31,21.53,23.12,23.38,22.94,24.44,27.28,28.69,27.75,27.03,28.41,29.34,28.0,26.97,28.44,29.72,28.81,27.12,26.59,27.06,26.22,23.78,23.47,25.28,26.56,26.25,26.88,29.41,31.31,30.75,29.31,29.66,30.56,29.78,28.5,28.88,30.94,31.03,29.38,28.44,29.47,29.78,27.75,26.25,27.12,28.03,26.75,24.94,24.91,25.59,24.56,22.12,21.34,22.69,22.94,21.5,20.59,21.81,22.94,21.5,20.31,21.75,23.88,24.06,23.62,24.66,27.31,28.03,26.91,26.81,28.38,28.84,26.94,25.31,25.47,25.62,23.28,20.62,20.44,21.25,20.19,18.56,18.69,20.53,21.0,19.84,19.78,22.12,24.34,24.88,25.88,29.25,32.56,32.81,31.84,31.81,32.16,30.0,26.81,25.22,25.91,25.59,23.28,21.66,22.44,23.16,21.81,20.78,21.97,23.59,22.84,21.09,20.88,21.56,20.88,18.28,16.97,17.66,17.94,16.66,16.25,18.91,21.75,21.84,21.62,23.09,24.69,23.91,21.75,20.84,21.16,19.88,17.0,15.19,15.97,16.03,14.44,12.97,14.44,16.44,16.91,17.5,20.03,23.88,25.16,24.97,26.0,28.0,28.84,26.75,24.5,24.0,22.84,19.5,16.62,16.31,16.91,15.22,13.41,13.59,16.22,17.59,17.66,18.94,22.0,23.91,23.28,22.72,24.78,26.75,26.16,25.03,26.06,26.97,25.81,23.09,21.53,21.28,18.84,14.78,11.47,10.94,11.12,10.44,10.88,14.59,19.0,21.41,22.41,25.16,27.97,28.25,26.69,25.78,26.22,25.12,21.97,18.91,18.44,17.75,14.91,12.16,11.84,12.47,11.59,9.66,9.88,12.38,13.53,13.25,14.34,17.56,19.0,17.66,15.97,16.09,16.16,14.25,11.88,12.69,14.66,15.03,14.56,16.03,18.25,19.31,17.97,17.22,18.31,19.44,18.34,17.56,19.78,22.31,22.34,20.78,20.84,21.25,19.22,15.5,13.88,14.31,14.66,13.78,13.81,16.41,18.62,18.03,16.59,17.38,18.75,18.06,16.78,17.53,19.94,21.16,20.41,20.75,22.62,23.91,22.03,20.66,21.88,23.41,22.66,21.97,23.91,26.66,27.31,25.75,25.09,24.69,22.31,17.69,14.09,13.0,12.25,10.69,10.0,12.94,17.19,19.16,19.34,21.53,23.97,24.56,22.97,22.44,23.56,23.62,21.84,21.56,24.19,27.38,28.34,28.94,31.31,33.81,33.47,31.28,30.25,30.0,27.59,23.06,19.72,19.0,17.91,15.0,12.97,13.66,15.16,14.31,13.88,16.66,20.94,23.28,24.44,26.44,29.16,29.47,26.53,23.88,23.19,22.84,20.22,18.38,19.5,21.09,20.44,19.0,19.72,21.97,22.69,22.12,22.91,25.25,26.06,23.94,21.94,22.28,22.22,19.5,17.06,17.06,18.69,18.5,18.0,19.75,22.91,24.12,23.25,23.5,26.16,28.69,29.31,31.03,34.41,37.69,37.62,36.22,36.38,36.81,35.25,31.88,29.53,28.91,27.12,23.44,21.09,21.5,22.16,20.0,18.09,18.19,18.66,16.78,14.44,15.06,17.12,17.53,16.47,17.19,20.5,23.5,24.59,26.75,31.03,34.34,34.25,32.69,32.66,32.84,30.38,26.81,25.31,25.28,24.25,21.66,20.31,22.09,23.53,22.62,22.75,24.94,27.94,28.38,28.81,31.59,35.78,37.72,37.91,39.12,41.22,41.38,38.91,36.66,36.69,35.91,32.41,28.84,27.41,27.12,24.78,22.38,23.03,25.28,26.22,26.22,27.41,30.88,33.03,32.94,33.06,35.16,36.91,35.41,32.78,31.91,31.09,27.94,23.81,22.12,22.97,22.94,21.47,21.34,23.38,24.59,23.19,21.97,23.25,24.09,22.59,20.06,19.25,19.81,18.72,16.59,16.41,18.62,19.91,19.75,20.75,24.84,28.72,30.41,31.62,34.75,37.84,37.5,35.31,34.12,33.5,30.47,25.47,22.25,21.0,19.59,16.22,14.28,15.31,16.75,15.72,14.19,14.72,15.94,14.75,12.59,12.75,15.0,16.28,16.12,16.97,20.56,22.94,22.72,22.59,25.03,27.22,26.78,25.22,25.91,27.16,26.09,23.53,22.41,23.25,22.72,20.88,20.22,22.53,24.34,23.47,22.53,23.78,24.97,23.62,21.78,21.88,23.41,23.16,21.34,20.62,21.75,21.47,19.12,17.09,17.69,17.56,15.44,12.62,12.91,14.47,14.22,13.38,14.75,17.44,18.66,17.94,17.75,20.06,21.19,19.56,18.34,19.78,20.91,19.31,16.88,16.56,26.75,26.0,27.44,28.62,28.66,28.25,28.97,30.09,29.97,29.91,31.56,34.25,35.75,36.09:40.88,39.88,40.69,41.16,38.53,33.69,30.53,28.59,25.97,22.34,20.16,20.5,20.38,18.88,17.75,19.62,22.38,23.34,23.59,26.5,29.75,30.66,30.03,30.56,32.25,32.75,31.5,30.69,32.31,32.91,31.38,29.38,29.38,29.78,27.69,25.03,25.09,26.5,26.88,25.62,25.25,26.75,26.62,24.25,22.56,23.34,23.94,22.41,20.16,20.34,21.72,21.75,21.53,23.91,28.03,30.62,30.88,31.97,34.41,35.75,34.34,33.16,34.38,35.59,34.44,31.84,31.25,30.88,27.78,23.62,21.81,22.12,22.41,21.03,20.69,22.44,22.84,20.75,18.41,19.09,20.81,21.38,21.16,23.72,26.62,27.25,25.44,24.72,24.97,24.31,21.69,19.47,20.19,21.0,19.5,17.97,19.06,20.38,19.47,17.34,17.03,17.81,17.5,15.41,14.72,16.31,17.66,16.75,16.72,19.44,22.28,22.69,22.5,24.41,27.22,28.19,28.03,29.28,31.56,31.94,29.66,27.81,27.91,27.78,25.12,23.09,23.22,23.72,22.0,19.25,18.84,19.94,19.59,18.22,18.72,20.97,22.06,21.12,20.41,22.31,24.19,23.75,23.0,24.66,26.59,26.38,24.31,23.59,23.97,22.12,18.44,16.25,16.41,16.31,14.25,13.28,15.38,17.56,17.62,16.88,17.91,19.66,19.5,17.97,18.38,20.62,21.78,20.88,21.34,23.78,26.16,25.78,24.56,25.38,25.38,22.47,18.06,16.12,16.34,15.81,14.78,16.69,20.94,24.28,24.91,25.81,27.91,29.0,26.75,23.62,22.56,22.72,20.94,18.22,17.88,19.28,19.03,17.16,17.25,19.62,21.81,21.53,21.66,23.69,25.81,24.84,23.06,23.03,23.5,21.75,18.47,17.5,18.53,18.72,16.91,16.19,17.19,17.69,15.47,13.88,15.25,17.44,17.47,17.03,18.16,20.22,20.16,18.62,19.22,22.0,23.88,23.44,23.28,25.16,26.03,24.31,22.66,23.66,25.53,25.09,23.59,24.0,25.75,25.75,23.84,23.06,24.59,25.12,23.47,22.62,24.56,26.78,26.25,25.12,25.56,26.28,24.19,20.78,18.97,18.66,17.31,14.38,13.03,14.47,16.94,17.53,18.59,21.97,24.81,24.41,22.5,22.59,24.38,25.0,24.72,26.0,29.44,31.66,32.12,33.09,36.47,38.78,37.47,35.03,33.78,32.72,29.53,26.25,25.75,28.0,29.5,30.06,32.0,36.38,39.31,39.03,37.94,37.94,36.5,31.66,25.75,22.81,21.91,19.84,18.38,19.41,23.0,25.25,25.44,26.94,30.53,32.84,32.75,32.09,33.34,34.41,32.47,30.03,29.94,31.56,31.59,30.03,29.59,30.5,29.47,25.84,22.91,22.97,23.25,21.16,18.78,19.28,20.69,19.94,18.28,19.03,21.59,22.66,22.44,24.16,28.59,31.78,32.41,32.44,34.47,35.31,33.09,30.0,28.41,27.47,24.16,20.19,18.25,19.03,19.06,17.75,17.69,19.75,20.94,19.91,19.19,21.06,23.34,22.72,21.81,22.75,25.16,26.34,26.25,28.0,31.25,32.19,30.16,28.25,28.34,28.31,26.16,24.25,25.62,27.78,27.81,26.72,27.06,28.22,27.97,26.25,26.25,29.44,31.88,31.62,30.81,31.66,31.53,28.62,25.06,23.97,24.66,23.03,20.94,20.81,22.44,22.94,21.75,21.59,23.94,25.94,25.53,25.25,27.72,29.97,29.72,28.56,29.47,31.53,31.78,30.62,30.84,32.66,33.12,31.12,29.56,30.34,30.59,28.03,25.19,24.72,24.75,22.56,19.06,17.97,18.59,18.0,16.22,16.88,20.41,23.53,24.78,26.62,30.84,34.56,34.88,33.84,34.62,35.56,34.56,32.38,32.97,35.16,36.31,35.5,35.19,36.88,37.09,34.06,30.56,29.09,27.56,23.62,18.72,16.84,16.41,15.16,13.53,14.47,17.72,20.31,20.53,21.66,24.56,26.62,25.88,24.44,25.22,26.5,25.28,22.66,21.69,21.25,19.31,15.94,14.75,16.19,17.78,17.62,18.12,21.53,25.12,26.38,27.34,30.62,33.97,35.22,34.59,35.69,37.97,38.88,37.78,37.25,38.06,38.16,36.12,33.78,34.69,36.03,34.81,32.88,32.66,33.56,32.75,30.38,29.31,29.69,29.03,26.44,24.88,26.06,27.53,26.47,25.44,26.47,27.97,27.28,25.88,26.66,28.66,28.94,27.81,27.72,29.31,30.81,29.84,29.53,32.06,34.47,34.09,33.12,33.88,34.84,33.12,30.12,29.0,29.75,29.72,28.59,28.69,30.84,32.12,30.66,29.06,29.38,30.06,28.53,26.38,26.22,27.06,25.94,23.06,21.59,22.09,21.44,19.06,17.78,18.91,19.66,18.22,16.91,17.38,18.72,17.72,16.09,16.5,18.47,19.53,19.38,20.91,24.06,25.97,25.09,24.34,24.94,25.5,23.66,21.31,21.53,23.12,23.38,22.94,24.44,27.28,28.69,27.75,27.03,28.41,29.34,28.0,26.97,28.44,29.72,28.81,27.12,26.59,27.06,26.22,23.78,23.47,25.28,26.56,26.25,26.88,29.41,31.31,30.75,29.31,29.66,30.56,29.78,28.5,28.88,30.94,31.03,29.38,28.44,29.47,29.78,27.75,26.25,27.12,28.03,26.75,24.94,24.91,25.59,24.56,22.12,21.34,22.69,22.94,21.5,20.59,21.81,22.94,21.5,20.31,21.75,23.88,24.06,23.62,24.66,27.31,28.03,26.91,26.81,28.38,28.84,26.94,25.31,25.47,25.62,23.28,20.62,20.44,21.25,20.19,18.56,18.69,20.53,21.0,19.84,19.78,22.12,24.34,24.88,25.88,29.25,32.56,32.81,31.84,31.81,32.16,30.0,26.81,25.22,25.91,25.59,23.28,21.66,22.44,23.16,21.81,20.78,21.97,23.59,22.84,21.09,20.88,21.56,20.88,18.28,16.97,17.66,17.94,16.66,16.25,18.91,21.75,21.84,21.62,23.09,24.69,23.91,21.75,20.84,21.16,19.88,17.0,15.19,15.97,16.03,14.44,12.97,14.44,16.44,16.91,17.5,20.03,23.88,25.16,24.97,26.0,28.0,28.84,26.75,24.5,24.0,22.84,19.5,16.62,16.31,16.91,15.22,13.41,13.59,16.22,17.59,17.66,18.94,22.0,23.91,23.28,22.72,24.78,26.75,26.16,25.03,26.06,26.97,25.81,23.09,21.53,21.28,18.84,14.78,11.47,10.94,11.12,10.44,10.88,14.59,19.0,21.41,22.41,25.16,27.97,28.25,26.69,25.78,26.22,25.12,21.97,18.91,18.44,17.75,14.91,12.16,11.84,12.47,11.59,9.66,9.88,12.38,13.53,13.25,14.34,17.56,19.0,17.66,15.97,16.09,16.16,14.25,11.88,12.69,14.66,15.03,14.56,16.03,18.25,19.31,17.97,17.22,18.31,19.44,18.34,17.56,19.78,22.31,22.34,20.78,20.84,21.25,19.22,15.5,13.88,14.31,14.66,13.78,13.81,16.41,18.62,18.03,16.59,17.38,18.75,18.06,16.78,17.53,19.94,21.16,20.41,20.75,22.62,23.91,22.03,20.66,21.88,23.41,22.66,21.97,23.91,26.66,27.31,25.75,25.09,24.69,22.31,17.69,14.09,13.0,12.25,10.69,10.0,12.94,17.19,19.16,19.34,21.53,23.97,24.56,22.97,22.44,23.56,23.62,21.84,21.56,24.19,27.38,28.34,28.94,31.31,33.81,33.47,31.28,30.25,30.0,27.59,23.06,19.72,19.0,17.91,15.0,12.97,13.66,15.16,14.31,13.88,16.66,20.94,23.28,24.44,26.44,29.16,29.47,26.53,23.88,23.19,22.84,20.22,18.38,19.5,21.09,20.44,19.0,19.72,21.97,22.69,22.12,22.91,25.25,26.06,23.94,21.94,22.28,22.22,19.5,17.06,17.06,18.69,18.5,18.0,19.75,22.91,24.12,23.25,23.5,26.16,28.69,29.31,31.03,34.41,37.69,37.62,36.22,36.38,36.81,35.25,31.88,29.53,28.91,27.12,23.44,21.09,21.5,22.16,20.0,18.09,18.19,18.66,16.78,14.44,15.06,17.12,17.53,16.47,17.19,20.5,23.5,24.59,26.75,31.03,34.34,34.25,32.69,32.66,32.84,30.38,26.81,25.31,25.28,24.25,21.66,20.31,22.09,23.53,22.62,22.75,24.94,27.94,28.38,28.81,31.59,35.78,37.72,37.91,39.12,41.22,41.38,38.91,36.66,36.69,35.91,32.41,28.84,27.41,27.12,24.78,22.38,23.03,25.28,26.22,26.22,27.41,30.88,33.03,32.94,33.06,35.16,36.91,35.41,32.78,31.91,31.09,27.94,23.81,22.12,22.97,22.94,21.47,21.34,23.38,24.59,23.19,21.97,23.25,24.09,22.59,20.06,19.25,19.81,18.72,16.59,16.41,18.62,19.91,19.75,20.75,24.84,28.72,30.41,31.62,34.75,37.84,37.5,35.31,34.12,33.5,30.47,25.47,22.25,21.0,19.59,16.22,14.28,15.31,16.75,15.72,14.19,14.72,15.94,14.75,12.59,12.75,15.0,16.28,16.12,16.97,20.56,22.94,22.72,22.59,25.03,27.22,26.78,25.22,25.91,27.16,26.09,23.53,22.41,23.25,22.72,20.88,20.22,22.53,24.34,23.47,22.53,23.78,24.97,23.62,21.78,21.88,23.41,23.16,21.34,20.62,21.75,21.47,19.12,17.09,17.69,17.56,15.44,12.62,12.91,14.47,14.22,13.38,14.75,17.44,18.66,17.94,17.75,20.06,21.19,19.56,18.34,19.78,20.91,19.31,16.88,16.56,26.75,26.0,27.44,28.62,28.66,28.25,28.97,30.09,29.97,29.91,31.56,34.25,35.75,36.09,36.81,38.34,39.09,38.38,37.69,38.38,38.81:28.59,25.97,22.34,20.16,20.5,20.38,18.88,17.75,19.62,22.38,23.34,23.59,26.5,29.75,30.66,30.03,30.56,32.25,32.75,31.5,30.69,32.31,32.91,31.38,29.38,29.38,29.78,27.69,25.03,25.09,26.5,26.88,25.62,25.25,26.75,26.62,24.25,22.56,23.34,23.94,22.41,20.16,20.34,21.72,21.75,21.53,23.91,28.03,30.62,30.88,31.97,34.41,35.75,34.34,33.16,34.38,35.59,34.44,31.84,31.25,30.88,27.78,23.62,21.81,22.12,22.41,21.03,20.69,22.44,22.84,20.75,18.41,19.09,20.81,21.38,21.16,23.72,26.62,27.25,25.44,24.72,24.97,24.31,21.69,19.47,20.19,21.0,19.5,17.97,19.06,20.38,19.47,17.34,17.03,17.81,17.5,15.41,14.72,16.31,17.66,16.75,16.72,19.44,22.28,22.69,22.5,24.41,27.22,28.19,28.03,29.28,31.56,31.94,29.66,27.81,27.91,27.78,25.12,23.09,23.22,23.72,22.0,19.25,18.84,19.94,19.59,18.22,18.72,20.97,22.06,21.12,20.41,22.31,24.19,23.75,23.0,24.66,26.59,26.38,24.31,23.59,23.97,22.12,18.44,16.25,16.41,16.31,14.25,13.28,15.38,17.56,17.62,16.88,17.91,19.66,19.5,17.97,18.38,20.62,21.78,20.88,21.34,23.78,26.16,25.78,24.56,25.38,25.38,22.47,18.06,16.12,16.34,15.81,14.78,16.69,20.94,24.28,24.91,25.81,27.91,29.0,26.75,23.62,22.56,22.72,20.94,18.22,17.88,19.28,19.03,17.16,17.25,19.62,21.81,21.53,21.66,23.69,25.81,24.84,23.06,23.03,23.5,21.75,18.47,17.5,18.53,18.72,16.91,16.19,17.19,17.69,15.47,13.88,15.25,17.44,17.47,17.03,18.16,20.22,20.16,18.62,19.22,22.0,23.88,23.44,23.28,25.16,26.03,24.31,22.66,23.66,25.53,25.09,23.59,24.0,25.75,25.75,23.84,23.06,24.59,25.12,23.47,22.62,24.56,26.78,26.25,25.12,25.56,26.28,24.19,20.78,18.97,18.66,17.31,14.38,13.03,14.47,16.94,17.53,18.59,21.97,24.81,24.41,22.5,22.59,24.38,25.0,24.72,26.0,29.44,31.66,32.12,33.09,36.47,38.78,37.47,35.03,33.78,32.72,29.53,26.25,25.75,28.0,29.5,30.06,32.0,36.38,39.31,39.03,37.94,37.94,36.5,31.66,25.75,22.81,21.91,19.84,18.38,19.41,23.0,25.25,25.44,26.94,30.53,32.84,32.75,32.09,33.34,34.41,32.47,30.03,29.94,31.56,31.59,30.03,29.59,30.5,29.47,25.84,22.91,22.97,23.25,21.16,18.78,19.28,20.69,19.94,18.28,19.03,21.59,22.66,22.44,24.16,28.59,31.78,32.41,32.44,34.47,35.31,33.09,30.0,28.41,27.47,24.16,20.19,18.25,19.03,19.06,17.75,17.69,19.75,20.94,19.91,19.19,21.06,23.34,22.72,21.81,22.75,25.16,26.34,26.25,28.0,31.25,32.19,30.16,28.25,28.34,28.31,26.16,24.25,25.62,27.78,27.81,26.72,27.06,28.22,27.97,26.25,26.25,29.44,31.88,31.62,30.81,31.66,31.53,28.62,25.06,23.97,24.66,23.03,20.94,20.81,22.44,22.94,21.75,21.59,23.94,25.94,25.53,25.25,27.72,29.97,29.72,28.56,29.47,31.53,31.78,30.62,30.84,32.66,33.12,31.12,29.56,30.34,30.59,28.03,25.19,24.72,24.75,22.56,19.06,17.97,18.59,18.0,16.22,16.88,20.41,23.53,24.78,26.62,30.84,34.56,34.88,33.84,34.62,35.56,34.56,32.38,32.97,35.16,36.31,35.5,35.19,36.88,37.09,34.06,30.56,29.09,27.56,23.62,18.72,16.84,16.41,15.16,13.53,14.47,17.72,20.31,20.53,21.66,24.56,26.62,25.88,24.44,25.22,26.5,25.28,22.66,21.69,21.25,19.31,15.94,14.75,16.19,17.78,17.62,18.12,21.53,25.12,26.38,27.34,30.62,33.97,35.22,34.59,35.69,37.97,38.88,37.78,37.25,38.06,38.16,36.12,33.78,34.69,36.03,34.81,32.88,32.66,33.56,32.75,30.38,29.31,29.69,29.03,26.44,24.88,26.06,27.53,26.47,25.44,26.47,27.97,27.28,25.88,26.66,28.66,28.94,27.81,27.72,29.31,30.81,29.84,29.53,32.06,34.47,34.09,33.12,33.88,34.84,33.12,30.12,29.0,29.75,29.72,28.59,28.69,30.84,32.12,30.66,29.06,29.38,30.06,28.53,26.38,26.22,27.06,25.94,23.06,21.59,22.09,21.44,19.06,17.78,18.91,19.66,18.22,16.91,17.38,18.72,17.72,16.09,16.5,18.47,19.53,19.38,20.91,24.06,25.97,25.09,24.34,24.94,25.5,23.66,21.31,21.53,23.12,23.38,22.94,24.44,27.28,28.69,27.75,27.03,28.41,29.34,28.0,26.97,28.44,29.72,28.81,27.12,26.59,27.06,26.22,23.78,23.47,25.28,26.56,26.25,26.88,29.41,31.31,30.75,29.31,29.66,30.56,29.78,28.5,28.88,30.94,31.03,29.38,28.44,29.47,29.78,27.75,26.25,27.12,28.03,26.75,24.94,24.91,25.59,24.56,22.12,21.34,22.69,22.94,21.5,20.59,21.81,22.94,21.5,20.31,21.75,23.88,24.06,23.62,24.66,27.31,28.03,26.91,26.81,28.38,28.84,26.94,25.31,25.47,25.62,23.28,20.62,20.44,21.25,20.19,18.56,18.69,20.53,21.0,19.84,19.78,22.12,24.34,24.88,25.88,29.25,32.56,32.81,31.84,31.81,32.16,30.0,26.81,25.22,25.91,25.59,23.28,21.66,22.44,23.16,21.81,20.78,21.97,23.59,22.84,21.09,20.88,21.56,20.88,18.28,16.97,17.66,17.94,16.66,16.25,18.91,21.75,21.84,21.62,23.09,24.69,23.91,21.75,20.84,21.16,19.88,17.0,15.19,15.97,16.03,14.44,12.97,14.44,16.44,16.91,17.5,20.03,23.88,25.16,24.97,26.0,28.0,28.84,26.75,24.5,24.0,22.84,19.5,16.62,16.31,16.91,15.22,13.41,13.59,16.22,17.59,17.66,18.94,22.0,23.91,23.28,22.72,24.78,26.75,26.16,25.03,26.06,26.97,25.81,23.09,21.53,21.28,18.84,14.78,11.47,10.94,11.12,10.44,10.88,14.59,19.0,21.41,22.41,25.16,27.97,28.25,26.69,25.78,26.22,25.12,21.97,18.91,18.44,17.75,14.91,12.16,11.84,12.47,11.59,9.66,9.88,12.38,13.53,13.25,14.34,17.56,19.0,17.66,15.97,16.09,16.16,14.25,11.88,12.69,14.66,15.03,14.56,16.03,18.25,19.31,17.97,17.22,18.31,19.44,18.34,17.56,19.78,22.31,22.34,20.78,20.84,21.25,19.22,15.5,13.88,14.31,14.66,13.78,13.81,16.41,18.62,18.03,16.59,17.38,18.75,18.06,16.78,17.53,19.94,21.16,20.41,20.75,22.62,23.91,22.03,20.66,21.88,23.41,22.66,21.97,23.91,26.66,27.31,25.75,25.09,24.69,22.31,17.69,14.09,13.0,12.25,10.69,10.0,12.94,17.19,19.16,19.34,21.53,23.97,24.56,22.97,22.44,23.56,23.62,21.84,21.56,24.19,27.38,28.34,28.94,31.31,33.81,33.47,31.28,30.25,30.0,27.59,23.06,19.72,19.0,17.91,15.0,12.97,13.66,15.16,14.31,13.88,16.66,20.94,23.28,24.44,26.44,29.16,29.47,26.53,23.88,23.19,22.84,20.22,18.38,19.5,21.09,20.44,19.0,19.72,21.97,22.69,22.12,22.91,25.25,26.06,23.94,21.94,22.28,22.22,19.5,17.06,17.06,18.69,18.5,18.0,19.75,22.91,24.12,23.25,23.5,26.16,28.69,29.31,31.03,34.41,37.69,37.62,36.22,36.38,36.81,35.25,31.88,29.53,28.91,27.12,23.44,21.09,21.5,22.16,20.0,18.09,18.19,18.66,16.78,14.44,15.06,17.12,17.53,16.47,17.19,20.5,23.5,24.59,26.75,31.03,34.34,34.25,32.69,32.66,32.84,30.38,26.81,25.31,25.28,24.25,21.66,20.31,22.09,23.53,22.62,22.75,24.94,27.94,28.38,28.81,31.59,35.78,37.72,37.91,39.12,41.22,41.38,38.91,36.66,36.69,35.91,32.41,28.84,27.41,27.12,24.78,22.38,23.03,25.28,26.22,26.22,27.41,30.88,33.03,32.94,33.06,35.16,36.91,35.41,32.78,31.91,31.09,27.94,23.81,22.12,22.97,22.94,21.47,21.34,23.38,24.59,23.19,21.97,23.25,24.09,22.59,20.06,19.25,19.81,18.72,16.59,16.41,18.62,19.91,19.75,20.75,24.84,28.72,30.41,31.62,34.75,37.84,37.5,35.31,34.12,33.5,30.47,25.47,22.25,21.0,19.59,16.22,14.28,15.31,16.75,15.72,14.19,14.72,15.94,14.75,12.59,12.75,15.0,16.28,16.12,16.97,20.56,22.94,22.72,22.59,25.03,27.22,26.78,25.22,25.91,27.16,26.09,23.53,22.41,23.25,22.72,20.88,20.22,22.53,24.34,23.47,22.53,23.78,24.97,23.62,21.78,21.88,23.41,23.16,21.34,20.62,21.75,21.47,19.12,17.09,17.69,17.56,15.44,12.62,12.91,14.47,14.22,13.38,14.75,17.44,18.66,17.94,17.75,20.06,21.19,19.56,18.34,19.78,20.91,19.31,16.88,16.56,26.75,26.0,27.44,28.62,28.66,28.25,28.97,30.09,29.97,29.91,31.56,34.25,35.75,36.09,36.81,38.34,39.09,38.38,37.69,38.38,38.81,37.84,36.34,36.53,36.41,34.34,31.16,28.84:17.75,19.62,22.38,23.34,23.59,26.5,29.75,30.66,30.03,30.56,32.25,32.75,31.5,30.69,32.31,32.91,31.38,29.38,29.38,29.78,27.69,25.03,25.09,26.5,26.88,25.62,25.25,26.75,26.62,24.25,22.56,23.34,23.94,22.41,20.16,20.34,21.72,21.75,21.53,23.91,28.03,30.62,30.88,31.97,34.41,35.75,34.34,33.16,34.38,35.59,34.44,31.84,31.25,30.88,27.78,23.62,21.81,22.12,22.41,21.03,20.69,22.44,22.84,20.75,18.41,19.09,20.81,21.38,21.16,23.72,26.62,27.25,25.44,24.72,24.97,24.31,21.69,19.47,20.19,21.0,19.5,17.97,19.06,20.38,19.47,17.34,17.03,17.81,17.5,15.41,14.72,16.31,17.66,16.75,16.72,19.44,22.28,22.69,22.5,24.41,27.22,28.19,28.03,29.28,31.56,31.94,29.66,27.81,27.91,27.78,25.12,23.09,23.22,23.72,22.0,19.25,18.84,19.94,19.59,18.22,18.72,20.97,22.06,21.12,20.41,22.31,24.19,23.75,23.0,24.66,26.59,26.38,24.31,23.59,23.97,22.12,18.44,16.25,16.41,16.31,14.25,13.28,15.38,17.56,17.62,16.88,17.91,19.66,19.5,17.97,18.38,20.62,21.78,20.88,21.34,23.78,26.16,25.78,24.56,25.38,25.38,22.47,18.06,16.12,16.34,15.81,14.78,16.69,20.94,24.28,24.91,25.81,27.91,29.0,26.75,23.62,22.56,22.72,20.94,18.22,17.88,19.28,19.03,17.16,17.25,19.62,21.81,21.53,21.66,23.69,25.81,24.84,23.06,23.03,23.5,21.75,18.47,17.5,18.53,18.72,16.91,16.19,17.19,17.69,15.47,13.88,15.25,17.44,17.47,17.03,18.16,20.22,20.16,18.62,19.22,22.0,23.88,23.44,23.28,25.16,26.03,24.31,22.66,23.66,25.53,25.09,23.59,24.0,25.75,25.75,23.84,23.06,24.59,25.12,23.47,22.62,24.56,26.78,26.25,25.12,25.56,26.28,24.19,20.78,18.97,18.66,17.31,14.38,13.03,14.47,16.94,17.53,18.59,21.97,24.81,24.41,22.5,22.59,24.38,25.0,24.72,26.0,29.44,31.66,32.12,33.09,36.47,38.78,37.47,35.03,33.78,32.72,29.53,26.25,25.75,28.0,29.5,30.06,32.0,36.38,39.31,39.03,37.94,37.94,36.5,31.66,25.75,22.81,21.91,19.84,18.38,19.41,23.0,25.25,25.44,26.94,30.53,32.84,32.75,32.09,33.34,34.41,32.47,30.03,29.94,31.56,31.59,30.03,29.59,30.5,29.47,25.84,22.91,22.97,23.25,21.16,18.78,19.28,20.69,19.94,18.28,19.03,21.59,22.66,22.44,24.16,28.59,31.78,32.41,32.44,34.47,35.31,33.09,30.0,28.41,27.47,24.16,20.19,18.25,19.03,19.06,17.75,17.69,19.75,20.94,19.91,19.19,21.06,23.34,22.72,21.81,22.75,25.16,26.34,26.25,28.0,31.25,32.19,30.16,28.25,28.34,28.31,26.16,24.25,25.62,27.78,27.81,26.72,27.06,28.22,27.97,26.25,26.25,29.44,31.88,31.62,30.81,31.66,31.53,28.62,25.06,23.97,24.66,23.03,20.94,20.81,22.44,22.94,21.75,21.59,23.94,25.94,25.53,25.25,27.72,29.97,29.72,28.56,29.47,31.53,31.78,30.62,30.84,32.66,33.12,31.12,29.56,30.34,30.59,28.03,25.19,24.72,24.75,22.56,19.06,17.97,18.59,18.0,16.22,16.88,20.41,23.53,24.78,26.62,30.84,34.56,34.88,33.84,34.62,35.56,34.56,32.38,32.97,35.16,36.31,35.5,35.19,36.88,37.09,34.06,30.56,29.09,27.56,23.62,18.72,16.84,16.41,15.16,13.53,14.47,17.72,20.31,20.53,21.66,24.56,26.62,25.88,24.44,25.22,26.5,25.28,22.66,21.69,21.25,19.31,15.94,14.75,16.19,17.78,17.62,18.12,21.53,25.12,26.38,27.34,30.62,33.97,35.22,34.59,35.69,37.97,38.88,37.78,37.25,38.06,38.16,36.12,33.78,34.69,36.03,34.81,32.88,32.66,33.56,32.75,30.38,29.31,29.69,29.03,26.44,24.88,26.06,27.53,26.47,25.44,26.47,27.97,27.28,25.88,26.66,28.66,28.94,27.81,27.72,29.31,30.81,29.84,29.53,32.06,34.47,34.09,33.12,33.88,34.84,33.12,30.12,29.0,29.75,29.72,28.59,28.69,30.84,32.12,30.66,29.06,29.38,30.06,28.53,26.38,26.22,27.06,25.94,23.06,21.59,22.09,21.44,19.06,17.78,18.91,19.66,18.22,16.91,17.38,18.72,17.72,16.09,16.5,18.47,19.53,19.38,20.91,24.06,25.97,25.09,24.34,24.94,25.5,23.66,21.31,21.53,23.12,23.38,22.94,24.44,27.28,28.69,27.75,27.03,28.41,29.34,28.0,26.97,28.44,29.72,28.81,27.12,26.59,27.06,26.22,23.78,23.47,25.28,26.56,26.25,26.88,29.41,31.31,30.75,29.31,29.66,30.56,29.78,28.5,28.88,30.94,31.03,29.38,28.44,29.47,29.78,27.75,26.25,27.12,28.03,26.75,24.94,24.91,25.59,24.56,22.12,21.34,22.69,22.94,21.5,20.59,21.81,22.94,21.5,20.31,21.75,23.88,24.06,23.62,24.66,27.31,28.03,26.91,26.81,28.38,28.84,26.94,25.31,25.47,25.62,23.28,20.62,20.44,21.25,20.19,18.56,18.69,20.53,21.0,19.84,19.78,22.12,24.34,24.88,25.88,29.25,32.56,32.81,31.84,31.81,32.16,30.0,26.81,25.22,25.91,25.59,23.28,21.66,22.44,23.16,21.81,20.78,21.97,23.59,22.84,21.09,20.88,21.56,20.88,18.28,16.97,17.66,17.94,16.66,16.25,18.91,21.75,21.84,21.62,23.09,24.69,23.91,21.75,20.84,21.16,19.88,17.0,15.19,15.97,16.03,14.44,12.97,14.44,16.44,16.91,17.5,20.03,23.88,25.16,24.97,26.0,28.0,28.84,26.75,24.5,24.0,22.84,19.5,16.62,16.31,16.91,15.22,13.41,13.59,16.22,17.59,17.66,18.94,22.0,23.91,23.28,22.72,24.78,26.75,26.16,25.03,26.06,26.97,25.81,23.09,21.53,21.28,18.84,14.78,11.47,10.94,11.12,10.44,10.88,14.59,19.0,21.41,22.41,25.16,27.97,28.25,26.69,25.78,26.22,25.12,21.97,18.91,18.44,17.75,14.91,12.16,11.84,12.47,11.59,9.66,9.88,12.38,13.53,13.25,14.34,17.56,19.0,17.66,15.97,16.09,16.16,14.25,11.88,12.69,14.66,15.03,14.56,16.03,18.25,19.31,17.97,17.22,18.31,19.44,18.34,17.56,19.78,22.31,22.34,20.78,20.84,21.25,19.22,15.5,13.88,14.31,14.66,13.78,13.81,16.41,18.62,18.03,16.59,17.38,18.75,18.06,16.78,17.53,19.94,21.16,20.41,20.75,22.62,23.91,22.03,20.66,21.88,23.41,22.66,21.97,23.91,26.66,27.31,25.75,25.09,24.69,22.31,17.69,14.09,13.0,12.25,10.69,10.0,12.94,17.19,19.16,19.34,21.53,23.97,24.56,22.97,22.44,23.56,23.62,21.84,21.56,24.19,27.38,28.34,28.94,31.31,33.81,33.47,31.28,30.25,30.0,27.59,23.06,19.72,19.0,17.91,15.0,12.97,13.66,15.16,14.31,13.88,16.66,20.94,23.28,24.44,26.44,29.16,29.47,26.53,23.88,23.19,22.84,20.22,18.38,19.5,21.09,20.44,19.0,19.72,21.97,22.69,22.12,22.91,25.25,26.06,23.94,21.94,22.28,22.22,19.5,17.06,17.06,18.69,18.5,18.0,19.75,22.91,24.12,23.25,23.5,26.16,28.69,29.31,31.03,34.41,37.69,37.62,36.22,36.38,36.81,35.25,31.88,29.53,28.91,27.12,23.44,21.09,21.5,22.16,20.0,18.09,18.19,18.66,16.78,14.44,15.06,17.12,17.53,16.47,17.19,20.5,23.5,24.59,26.75,31.03,34.34,34.25,32.69,32.66,32.84,30.38,26.81,25.31,25.28,24.25,21.66,20.31,22.09,23.53,22.62,22.75,24.94,27.94,28.38,28.81,31.59,35.78,37.72,37.91,39.12,41.22,41.38,38.91,36.66,36.69,35.91,32.41,28.84,27.41,27.12,24.78,22.38,23.03,25.28,26.22,26.22,27.41,30.88,33.03,32.94,33.06,35.16,36.91,35.41,32.78,31.91,31.09,27.94,23.81,22.12,22.97,22.94,21.47,21.34,23.38,24.59,23.19,21.97,23.25,24.09,22.59,20.06,19.25,19.81,18.72,16.59,16.41,18.62,19.91,19.75,20.75,24.84,28.72,30.41,31.62,34.75,37.84,37.5,35.31,34.12,33.5,30.47,25.47,22.25,21.0,19.59,16.22,14.28,15.31,16.75,15.72,14.19,14.72,15.94,14.75,12.59,12.75,15.0,16.28,16.12,16.97,20.56,22.94,22.72,22.59,25.03,27.22,26.78,25.22,25.91,27.16,26.09,23.53,22.41,23.25,22.72,20.88,20.22,22.53,24.34,23.47,22.53,23.78,24.97,23.62,21.78,21.88,23.41,23.16,21.34,20.62,21.75,21.47,19.12,17.09,17.69,17.56,15.44,12.62,12.91,14.47,14.22,13.38,14.75,17.44,18.66,17.94,17.75,20.06,21.19,19.56,18.34,19.78,20.91,19.31,16.88,16.56,26.75,26.0,27.44,28.62,28.66,28.25,28.97,30.09,29.97,29.91,31.56,34.25,35.75,36.09,36.81,38.34,39.09,38.38,37.69,38.38,38.81,37.84,36.34,36.53,36.41,34.34,31.16,28.84,27.81,26.59,25.5,25.53,27.62,29.38,30.09:30.66,30.03,30.56,32.25,32.75,31.5,30.69,32.31,32.91,31.38,29.38,29.38,29.78,27.69,25.03,25.09,26.5,26.88,25.62,25.25,26.75,26.62,24.25,22.56,23.34,23.94,22.41,20.16,20.34,21.72,21.75,21.53,23.91,28.03,30.62,30.88,31.97,34.41,35.75,34.34,33.16,34.38,35.59,34.44,31.84,31.25,30.88,27.78,23.62,21.81,22.12,22.41,21.03,20.69,22.44,22.84,20.75,18.41,19.09,20.81,21.38,21.16,23.72,26.62,27.25,25.44,24.72,24.97,24.31,21.69,19.47,20.19,21.0,19.5,17.97,19.06,20.38,19.47,17.34,17.03,17.81,17.5,15.41,14.72,16.31,17.66,16.75,16.72,19.44,22.28,22.69,22.5,24.41,27.22,28.19,28.03,29.28,31.56,31.94,29.66,27.81,27.91,27.78,25.12,23.09,23.22,23.72,22.0,19.25,18.84,19.94,19.59,18.22,18.72,20.97,22.06,21.12,20.41,22.31,24.19,23.75,23.0,24.66,26.59,26.38,24.31,23.59,23.97,22.12,18.44,16.25,16.41,16.31,14.25,13.28,15.38,17.56,17.62,16.88,17.91,19.66,19.5,17.97,18.38,20.62,21.78,20.88,21.34,23.78,26.16,25.78,24.56,25.38,25.38,22.47,18.06,16.12,16.34,15.81,14.78,16.69,20.94,24.28,24.91,25.81,27.91,29.0,26.75,23.62,22.56,22.72,20.94,18.22,17.88,19.28,19.03,17.16,17.25,19.62,21.81,21.53,21.66,23.69,25.81,24.84,23.06,23.03,23.5,21.75,18.47,17.5,18.53,18.72,16.91,16.19,17.19,17.69,15.47,13.88,15.25,17.44,17.47,17.03,18.16,20.22,20.16,18.62,19.22,22.0,23.88,23.44,23.28,25.16,26.03,24.31,22.66,23.66,25.53,25.09,23.59,24.0,25.75,25.75,23.84,23.06,24.59,25.12,23.47,22.62,24.56,26.78,26.25,25.12,25.56,26.28,24.19,20.78,18.97,18.66,17.31,14.38,13.03,14.47,16.94,17.53,18.59,21.97,24.81,24.41,22.5,22.59,24.38,25.0,24.72,26.0,29.44,31.66,32.12,33.09,36.47,38.78,37.47,35.03,33.78,32.72,29.53,26.25,25.75,28.0,29.5,30.06,32.0,36.38,39.31,39.03,37.94,37.94,36.5,31.66,25.75,22.81,21.91,19.84,18.38,19.41,23.0,25.25,25.44,26.94,30.53,32.84,32.75,32.09,33.34,34.41,32.47,30.03,29.94,31.56,31.59,30.03,29.59,30.5,29.47,25.84,22.91,22.97,23.25,21.16,18.78,19.28,20.69,19.94,18.28,19.03,21.59,22.66,22.44,24.16,28.59,31.78,32.41,32.44,34.47,35.31,33.09,30.0,28.41,27.47,24.16,20.19,18.25,19.03,19.06,17.75,17.69,19.75,20.94,19.91,19.19,21.06,23.34,22.72,21.81,22.75,25.16,26.34,26.25,28.0,31.25,32.19,30.16,28.25,28.34,28.31,26.16,24.25,25.62,27.78,27.81,26.72,27.06,28.22,27.97,26.25,26.25,29.44,31.88,31.62,30.81,31.66,31.53,28.62,25.06,23.97,24.66,23.03,20.94,20.81,22.44,22.94,21.75,21.59,23.94,25.94,25.53,25.25,27.72,29.97,29.72,28.56,29.47,31.53,31.78,30.62,30.84,32.66,33.12,31.12,29.56,30.34,30.59,28.03,25.19,24.72,24.75,22.56,19.06,17.97,18.59,18.0,16.22,16.88,20.41,23.53,24.78,26.62,30.84,34.56,34.88,33.84,34.62,35.56,34.56,32.38,32.97,35.16,36.31,35.5,35.19,36.88,37.09,34.06,30.56,29.09,27.56,23.62,18.72,16.84,16.41,15.16,13.53,14.47,17.72,20.31,20.53,21.66,24.56,26.62,25.88,24.44,25.22,26.5,25.28,22.66,21.69,21.25,19.31,15.94,14.75,16.19,17.78,17.62,18.12,21.53,25.12,26.38,27.34,30.62,33.97,35.22,34.59,35.69,37.97,38.88,37.78,37.25,38.06,38.16,36.12,33.78,34.69,36.03,34.81,32.88,32.66,33.56,32.75,30.38,29.31,29.69,29.03,26.44,24.88,26.06,27.53,26.47,25.44,26.47,27.97,27.28,25.88,26.66,28.66,28.94,27.81,27.72,29.31,30.81,29.84,29.53,32.06,34.47,34.09,33.12,33.88,34.84,33.12,30.12,29.0,29.75,29.72,28.59,28.69,30.84,32.12,30.66,29.06,29.38,30.06,28.53,26.38,26.22,27.06,25.94,23.06,21.59,22.09,21.44,19.06,17.78,18.91,19.66,18.22,16.91,17.38,18.72,17.72,16.09,16.5,18.47,19.53,19.38,20.91,24.06,25.97,25.09,24.34,24.94,25.5,23.66,21.31,21.53,23.12,23.38,22.94,24.44,27.28,28.69,27.75,27.03,28.41,29.34,28.0,26.97,28.44,29.72,28.81,27.12,26.59,27.06,26.22,23.78,23.47,25.28,26.56,26.25,26.88,29.41,31.31,30.75,29.31,29.66,30.56,29.78,28.5,28.88,30.94,31.03,29.38,28.44,29.47,29.78,27.75,26.25,27.12,28.03,26.75,24.94,24.91,25.59,24.56,22.12,21.34,22.69,22.94,21.5,20.59,21.81,22.94,21.5,20.31,21.75,23.88,24.06,23.62,24.66,27.31,28.03,26.91,26.81,28.38,28.84,26.94,25.31,25.47,25.62,23.28,20.62,20.44,21.25,20.19,18.56,18.69,20.53,21.0,19.84,19.78,22.12,24.34,24.88,25.88,29.25,32.56,32.81,31.84,31.81,32.16,30.0,26.81,25.22,25.91,25.59,23.28,21.66,22.44,23.16,21.81,20.78,21.97,23.59,22.84,21.09,20.88,21.56,20.88,18.28,16.97,17.66,17.94,16.66,16.25,18.91,21.75,21.84,21.62,23.09,24.69,23.91,21.75,20.84,21.16,19.88,17.0,15.19,15.97,16.03,14.44,12.97,14.44,16.44,16.91,17.5,20.03,23.88,25.16,24.97,26.0,28.0,28.84,26.75,24.5,24.0,22.84,19.5,16.62,16.31,16.91,15.22,13.41,13.59,16.22,17.59,17.66,18.94,22.0,23.91,23.28,22.72,24.78,26.75,26.16,25.03,26.06,26.97,25.81,23.09,21.53,21.28,18.84,14.78,11.47,10.94,11.12,10.44,10.88,14.59,19.0,21.41,22.41,25.16,27.97,28.25,26.69,25.78,26.22,25.12,21.97,18.91,18.44,17.75,14.91,12.16,11.84,12.47,11.59,9.66,9.88,12.38,13.53,13.25,14.34,17.56,19.0,17.66,15.97,16.09,16.16,14.25,11.88,12.69,14.66,15.03,14.56,16.03,18.25,19.31,17.97,17.22,18.31,19.44,18.34,17.56,19.78,22.31,22.34,20.78,20.84,21.25,19.22,15.5,13.88,14.31,14.66,13.78,13.81,16.41,18.62,18.03,16.59,17.38,18.75,18.06,16.78,17.53,19.94,21.16,20.41,20.75,22.62,23.91,22.03,20.66,21.88,23.41,22.66,21.97,23.91,26.66,27.31,25.75,25.09,24.69,22.31,17.69,14.09,13.0,12.25,10.69,10.0,12.94,17.19,19.16,19.34,21.53,23.97,24.56,22.97,22.44,23.56,23.62,21.84,21.56,24.19,27.38,28.34,28.94,31.31,33.81,33.47,31.28,30.25,30.0,27.59,23.06,19.72,19.0,17.91,15.0,12.97,13.66,15.16,14.31,13.88,16.66,20.94,23.28,24.44,26.44,29.16,29.47,26.53,23.88,23.19,22.84,20.22,18.38,19.5,21.09,20.44,19.0,19.72,21.97,22.69,22.12,22.91,25.25,26.06,23.94,21.94,22.28,22.22,19.5,17.06,17.06,18.69,18.5,18.0,19.75,22.91,24.12,23.25,23.5,26.16,28.69,29.31,31.03,34.41,37.69,37.62,36.22,36.38,36.81,35.25,31.88,29.53,28.91,27.12,23.44,21.09,21.5,22.16,20.0,18.09,18.19,18.66,16.78,14.44,15.06,17.12,17.53,16.47,17.19,20.5,23.5,24.59,26.75,31.03,34.34,34.25,32.69,32.66,32.84,30.38,26.81,25.31,25.28,24.25,21.66,20.31,22.09,23.53,22.62,22.75,24.94,27.94,28.38,28.81,31.59,35.78,37.72,37.91,39.12,41.22,41.38,38.91,36.66,36.69,35.91,32.41,28.84,27.41,27.12,24.78,22.38,23.03,25.28,26.22,26.22,27.41,30.88,33.03,32.94,33.06,35.16,36.91,35.41,32.78,31.91,31.09,27.94,23.81,22.12,22.97,22.94,21.47,21.34,23.38,24.59,23.19,21.97,23.25,24.09,22.59,20.06,19.25,19.81,18.72,16.59,16.41,18.62,19.91,19.75,20.75,24.84,28.72,30.41,31.62,34.75,37.84,37.5,35.31,34.12,33.5,30.47,25.47,22.25,21.0,19.59,16.22,14.28,15.31,16.75,15.72,14.19,14.72,15.94,14.75,12.59,12.75,15.0,16.28,16.12,16.97,20.56,22.94,22.72,22.59,25.03,27.22,26.78,25.22,25.91,27.16,26.09,23.53,22.41,23.25,22.72,20.88,20.22,22.53,24.34,23.47,22.53,23.78,24.97,23.62,21.78,21.88,23.41,23.16,21.34,20.62,21.75,21.47,19.12,17.09,17.69,17.56,15.44,12.62,12.91,14.47,14.22,13.38,14.75,17.44,18.66,17.94,17.75,20.06,21.19,19.56,18.34,19.78,20.91,19.31,16.88,16.56,26.75,26.0,27.44,28.62,28.66,28.25,28.97,30.09,29.97,29.91,31.56,34.25,35.75,36.09,36.81,38.34,39.09,38.38,37.69,38.38,38.81,37.84,36.34,36.53,36.41,34.34,31.16,28.84,27.81,26.59,25.5,25.53,27.62,29.38,30.09,30.81,33.22,36.03,37.47,38.41,40.72,43.47:positivity
5.72,3.91,5.16,8.81,11.91,13.75,16.22,20.81,23.84,24.06,23.59,24.62,25.56,23.91,22.06,22.38,24.31,24.44,23.47,24.12,26.16,26.78,25.31,24.38,25.94,27.38,26.41,25.56,27.0,28.59,27.91,26.62,26.91,28.56,28.78,27.72,27.97,30.09,31.25,30.0,29.5,31.12,32.94,32.88,32.88,34.84,36.41,34.88,31.19,29.22,28.56,27.03,25.03,24.09,24.81,24.47,21.56,19.09,19.12,20.03,19.38,18.5,20.38,23.44,24.5,24.69,26.09,28.81,29.84,29.44,29.25,31.56,33.28,32.66,31.19,31.5,31.06,27.81,24.12,22.66,22.81,22.19,21.5,21.84,24.0,24.69,23.47,21.91,22.69,23.0,20.97,19.03,19.41,20.81,20.16,18.66,19.38,21.38,21.19,19.59,19.25,21.38,22.38,22.03,21.91,23.75,25.19,23.91,22.28,22.38,23.84,23.28,21.75,21.53,22.97,22.53,20.25,18.69,18.59,17.88,15.25,12.53,13.25,14.22,13.59,12.62,13.88,16.31,17.06,16.25,16.81,19.03,19.62,18.28,17.88,20.41,21.88,21.78,21.38,23.66,25.84,25.78,24.84,25.31,26.72,26.06,23.25,21.12,20.56,18.41,14.59,11.28,11.44,11.94,10.94,10.34,12.56,15.44,16.38,16.47,18.34,21.06,22.16,21.28,21.81,23.84,24.41,22.69,21.53,22.41,22.94,21.53,19.34,19.53,20.09,19.28,17.31,17.25,18.97,19.28,18.03,17.72,19.31,20.16,18.5,16.69,17.66,18.62,18.0,16.38,16.94,18.22,17.88,16.66,17.06,19.12,19.78,18.38,17.38,18.19,18.91,17.69,16.75,18.81,21.72,22.62,22.78,24.38,26.38,26.31,24.5,23.94,25.16,25.75,24.19,23.5,24.97,25.97,25.06,23.69,24.59,26.69,27.31,26.81,28.28,30.47,31.09,28.97,27.91,28.22,27.84,25.44,23.19,23.72,24.12,23.03,20.84,20.94,22.25,21.91,20.03,20.25,21.44,21.44,19.44,18.16,20.09,21.28,20.59,20.25,22.16,24.25,23.97,22.75,23.56,25.19,24.88,23.47,23.03,24.25,24.72,23.06,22.25,23.84,25.03,23.81,22.31,23.22,24.59,24.38,23.53,24.12,25.44,25.09,22.5,21.16,21.44,21.41,19.28,18.25,19.28,20.59,19.91,18.25,18.59,19.88,19.88,19.16,20.47,23.38,25.34,25.44,26.5,29.22,30.66,29.03,26.97,26.72,26.38,23.84,21.03,20.34,20.84,20.03,18.25,18.09,19.62,19.78,18.03,17.5,18.31,19.38,18.06,16.56,16.94,18.16,17.69,17.0,18.66,21.72,23.5,23.41,24.47,26.34,27.47,25.91,24.69,25.16,25.56,23.62,21.31,21.34,22.59,22.19,21.09,22.5,24.84,25.38,24.19,23.75,24.38,24.75,23.03,22.38,24.41,27.56,29.0,30.16,32.91,35.84,36.12,34.25,33.41,33.38,31.88,28.62,26.41,26.31,25.81,23.56,21.38,21.59,22.66,21.81,20.94,21.56,23.44,23.69,22.25,21.81,23.28,24.25,23.75,23.75,25.69,27.16,26.28,24.81,25.06,26.31,25.06,23.47,23.25,24.44,23.97,22.41,22.09,23.81,25.12,24.94,24.97,27.22,29.25,28.28,26.94,26.91,27.62,26.28,23.97,22.62,22.69,21.72,19.62,19.34,21.34,23.47,22.66,21.81,22.59,23.72,23.06,22.44,24.06,27.16,28.75,28.97,30.25,32.44,33.0,30.91,29.12,29.34,29.56,28.03,26.59,27.44,28.91,28.5,27.28,27.47,28.41,27.03,24.31,22.0,21.75,20.97,19.0,18.25,20.12,22.44,22.72,23.19,25.16,27.81,27.81,26.44,25.66,26.34,26.0,24.56,24.62,26.59,27.81,26.06,24.56,24.78,25.28,23.38,21.19,20.12,19.75,17.91,15.31,14.31,15.03,14.94,13.56,13.0,15.47,18.5,20.41,22.0,25.44,28.78,28.19,26.03,25.22,25.19,23.91,21.88,21.38,23.06,23.97,23.53,23.56,26.09,28.03,27.5,26.62,26.81,27.31,25.75,23.38,22.47,23.84,24.16,24.59,26.5,31.53,35.31,36.75,37.97,40.31,41.84,40.59,38.38,36.25,33.69,28.25,21.53,16.59,14.62,12.94,11.31,11.22,13.59,16.22,16.66,18.09,22.06,26.78,29.41,31.47,34.53,37.84,39.0,38.72,39.34,41.66,42.25,40.38,38.19,37.0,34.47,30.0,25.31,23.5,22.19,19.59,16.5,15.53,16.06,15.59,14.44,14.94,17.47,19.69,20.12,21.09,24.59,27.78,28.62,28.72,30.28,32.03,31.34,29.41,28.53,28.5,27.22,23.94,21.47,20.69,19.69,16.91,15.12,16.41,18.62,19.59,20.06,22.94,26.38,27.53,27.19,27.47,28.44,27.72,24.88,22.53,21.94,20.97,17.84,15.53,16.06,17.44,17.66,17.62,19.56,22.09,23.0,22.06,22.03,23.34,23.38,21.47,20.28,22.09,24.41,25.34,26.66,30.81,35.12,36.94,37.41,38.75,40.38,39.75,37.16,34.84,34.0,32.03,28.62,25.53,25.41,26.06,25.69,25.09,27.28,30.56,31.94,31.84,32.84,34.47,34.56,32.25,30.94,31.69,31.5,29.59,27.81,28.09,29.28,28.5,27.53,29.06,31.66,32.19,30.84,30.09,29.88,28.09,24.78,22.38,22.62,23.25,21.88,20.16,20.69,21.12,19.31,16.75,16.91,18.41,19.28,19.5,21.75,25.31,28.34,28.66,29.44,32.0,34.31,34.88,34.84,36.81,38.69,38.59,36.62,35.84,36.16,35.5,33.03,32.16,33.25,34.12,32.75,31.72,32.72,33.31,31.97,29.28,28.38,28.19,26.16,23.19,21.78,22.25,21.75,20.19,20.59,23.34,26.19,26.94,27.62,29.78,31.97,31.38,29.78,30.47,31.91,31.03,28.03,26.16,24.72,21.97,17.38,14.75,15.34,16.59,16.72,16.94,19.53,22.72,23.97,24.31,27.41,31.31,33.97,34.75,36.03,38.34,39.69,38.38,37.41,38.62,40.12,38.78,36.75,36.31,35.81,33.25,29.5,27.09,26.97,25.31,22.28,20.91,21.47,21.62,19.75,18.47,20.19,22.12,22.0,21.75,22.84,24.75,24.31,22.16,21.31,22.03,21.66,19.16,18.22,19.38,20.25,18.56,17.28,17.69,18.06,16.12,12.97,12.03,12.06,11.12,9.22,9.31,11.25,12.88,12.25,12.69,15.59,18.38,19.09,19.53,22.0,24.38,24.38,22.78,23.44,25.31,26.12,25.69,26.47,28.88,30.25,28.78,28.22,29.62,30.59,28.78,26.44,25.78,25.81,23.75,21.56,21.19,22.81,23.47,23.0,23.84,26.44,27.69,25.75,23.31,23.03,22.78,21.22,20.06,22.12,25.47,27.12,27.69,29.62,32.56,33.75,32.97,32.69,34.31,35.34,33.62,32.16,32.47,32.19,29.12,25.28,23.28,22.22,19.34,15.5,14.12,14.94,16.09,16.38,18.56,22.62,26.66,27.72,28.81,31.69,34.91,35.72,35.09,35.19,35.81,33.84,30.34,28.22,27.94,27.12,24.31,22.72,23.47,24.53,23.81,23.16,24.5,26.28,25.69,24.09,23.84,24.66,23.97,21.94,21.22,22.5,23.16,20.94,19.19,19.31,19.38,17.62,16.12,17.44,20.41,21.22,21.28,22.75,25.59,27.0,26.41,25.75,27.22,27.16,24.16,21.72,21.72,22.56,21.25,19.44,19.38,20.16,18.62,15.59,14.53,15.31,16.06,15.16,15.5,17.97,19.69,19.22,18.47,20.22,22.84,23.03,23.19,24.84,27.66,28.34,27.28,27.69,29.34,29.47,27.72,26.06,26.84,27.0,25.25,23.94,25.06,26.91,26.06,24.19,23.47,24.22,23.0,20.19,18.47,18.91,18.41,16.78,16.31,19.06,23.19,25.31,27.12,30.22,33.38,33.59,32.12,32.12,33.47,32.91,30.12,28.06,27.75,27.25,24.84,23.94,25.44,27.44,26.94,25.81,26.31,26.97,25.38,22.72,21.91,22.69,23.06,21.69,21.34,23.28,24.94,24.62,24.25,26.78,29.78,30.62,30.28,32.06,34.53,34.06,31.91,30.81,31.06,29.66,26.53,23.94,24.25,23.88,21.81,20.16,21.34,23.28,22.62,21.56,21.94,22.88,21.94,19.56,18.22,18.94,18.59,16.5,15.62,17.44,19.28,19.38,18.75,19.75,21.34,20.09,17.72,17.12,18.53,18.44,16.97,16.28,17.78,17.72,15.38,13.31,13.94,15.19,14.72,14.03,15.59,17.78,17.91,16.81,17.12,19.16,19.66,18.62,18.34,20.34,21.66,20.91,20.09,21.34,23.03,22.41,21.12,21.66,23.75,24.22,23.56,24.53,27.06,28.0,26.62,25.47,26.34,26.16,23.94,21.0,20.62,21.19,19.88,18.25,19.12,21.31,22.25,22.12,23.16,26.03,27.69,27.66,27.62,30.06,32.19,32.16,31.06,31.62,32.34,30.5,27.47,26.59,27.78,27.81,26.16,26.03,27.59,27.53,25.22,23.34,23.47,24.12,22.75,21.69,23.19,25.69,25.31,23.47,22.84,23.62,23.44,21.66,21.25,22.84,23.75,22.31,21.12,22.38,23.97,22.97,21.0,20.97,21.5,20.19,17.44,16.66,17.59,17.88,16.09,15.34,16.88,17.91,17.12,16.16,17.91,19.53,19.34,18.47,19.56,22.06,22.81,22.16,22.53,24.72,25.59,24.06,22.94,23.75,23.94,21.62,19.16,19.44,20.0,18.91,17.09,17.41,19.41,20.0,19.19,19.47,20.91,21.69,19.69,18.25,19.22,20.75,20.06,19.41,20.81,22.78,22.34,19.91,19.03,18.84:20.81,23.84,24.06,23.59,24.62,25.56,23.91,22.06,22.38,24.31,24.44,23.47,24.12,26.16,26.78,25.31,24.38,25.94,27.38,26.41,25.56,27.0,28.59,27.91,26.62,26.91,28.56,28.78,27.72,27.97,30.09,31.25,30.0,29.5,31.12,32.94,32.88,32.88,34.84,36.41,34.88,31.19,29.22,28.56,27.03,25.03,24.09,24.81,24.47,21.56,19.09,19.12,20.03,19.38,18.5,20.38,23.44,24.5,24.69,26.09,28.81,29.84,29.44,29.25,31.56,33.28,32.66,31.19,31.5,31.06,27.81,24.12,22.66,22.81,22.19,21.5,21.84,24.0,24.69,23.47,21.91,22.69,23.0,20.97,19.03,19.41,20.81,20.16,18.66,19.38,21.38,21.19,19.59,19.25,21.38,22.38,22.03,21.91,23.75,25.19,23.91,22.28,22.38,23.84,23.28,21.75,21.53,22.97,22.53,20.25,18.69,18.59,17.88,15.25,12.53,13.25,14.22,13.59,12.62,13.88,16.31,17.06,16.25,16.81,19.03,19.62,18.28,17.88,20.41,21.88,21.78,21.38,23.66,25.84,25.78,24.84,25.31,26.72,26.06,23.25,21.12,20.56,18.41,14.59,11.28,11.44,11.94,10.94,10.34,12.56,15.44,16.38,16.47,18.34,21.06,22.16,21.28,21.81,23.84,24.41,22.69,21.53,22.41,22.94,21.53,19.34,19.53,20.09,19.28,17.31,17.25,18.97,19.28,18.03,17.72,19.31,20.16,18.5,16.69,17.66,18.62,18.0,16.38,16.94,18.22,17.88,16.66,17.06,19.12,19.78,18.38,17.38,18.19,18.91,17.69,16.75,18.81,21.72,22.62,22.78,24.38,26.38,26.31,24.5,23.94,25.16,25.75,24.19,23.5,24.97,25.97,25.06,23.69,24.59,26.69,27.31,26.81,28.28,30.47,31.09,28.97,27.91,28.22,27.84,25.44,23.19,23.72,24.12,23.03,20.84,20.94,22.25,21.91,20.03,20.25,21.44,21.44,19.44,18.16,20.09,21.28,20.59,20.25,22.16,24.25,23.97,22.75,23.56,25.19,24.88,23.47,23.03,24.25,24.72,23.06,22.25,23.84,25.03,23.81,22.31,23.22,24.59,24.38,23.53,24.12,25.44,25.09,22.5,21.16,21.44,21.41,19.28,18.25,19.28,20.59,19.91,18.25,18.59,19.88,19.88,19.16,20.47,23.38,25.34,25.44,26.5,29.22,30.66,29.03,26.97,26.72,26.38,23.84,21.03,20.34,20.84,20.03,18.25,18.09,19.62,19.78,18.03,17.5,18.31,19.38,18.06,16.56,16.94,18.16,17.69,17.0,18.66,21.72,23.5,23.41,24.47,26.34,27.47,25.91,24.69,25.16,25.56,23.62,21.31,21.34,22.59,22.19,21.09,22.5,24.84,25.38,24.19,23.75,24.38,24.75,23.03,22.38,24.41,27.56,29.0,30.16,32.91,35.84,36.12,34.25,33.41,33.38,31.88,28.62,26.41,26.31,25.81,23.56,21.38,21.59,22.66,21.81,20.94,21.56,23.44,23.69,22.25,21.81,23.28,24.25,23.75,23.75,25.69,27.16,26.28,24.81,25.06,26.31,25.06,23.47,23.25,24.44,23.97,22.41,22.09,23.81,25.12,24.94,24.97,27.22,29.25,28.28,26.94,26.91,27.62,26.28,23.97,22.62,22.69,21.72,19.62,19.34,21.34,23.47,22.66,21.81,22.59,23.72,23.06,22.44,24.06,27.16,28.75,28.97,30.25,32.44,33.0,30.91,29.12,29.34,29.56,28.03,26.59,27.44,28.91,28.5,27.28,27.47,28.41,27.03,24.31,22.0,21.75,20.97,19.0,18.25,20.12,22.44,22.72,23.19,25.16,27.81,27.81,26.44,25.66,26.34,26.0,24.56,24.62,26.59,27.81,26.06,24.56,24.78,25.28,23.38,21.19,20.12,19.75,17.91,15.31,14.31,15.03,14.94,13.56,13.0,15.47,18.5,20.41,22.0,25.44,28.78,28.19,26.03,25.22,25.19,23.91,21.88,21.38,23.06,23.97,23.53,23.56,26.09,28.03,27.5,26.62,26.81,27.31,25.75,23.38,22.47,23.84,24.16,24.59,26.5,31.53,35.31,36.75,37.97,40.31,41.84,40.59,38.38,36.25,33.69,28.25,21.53,16.59,14.62,12.94,11.31,11.22,13.59,16.22,16.66,18.09,22.06,26.78,29.41,31.47,34.53,37.84,39.0,38.72,39.34,41.66,42.25,40.38,38.19,37.0,34.47,30.0,25.31,23.5,22.19,19.59,16.5,15.53,16.06,15.59,14.44,14.94,17.47,19.69,20.12,21.09,24.59,27.78,28.62,28.72,30.28,32.03,31.34,29.41,28.53,28.5,27.22,23.94,21.47,20.69,19.69,16.91,15.12,16.41,18.62,19.59,20.06,22.94,26.38,27.53,27.19,27.47,28.44,27.72,24.88,22.53,21.94,20.97,17.84,15.53,16.06,17.44,17.66,17.62,19.56,22.09,23.0,22.06,22.03,23.34,23.38,21.47,20.28,22.09,24.41,25.34,26.66,30.81,35.12,36.94,37.41,38.75,40.38,39.75,37.16,34.84,34.0,32.03,28.62,25.53,25.41,26.06,25.69,25.09,27.28,30.56,31.94,31.84,32.84,34.47,34.56,32.25,30.94,31.69,31.5,29.59,27.81,28.09,29.28,28.5,27.53,29.06,31.66,32.19,30.84,30.09,29.88,28.09,24.78,22.38,22.62,23.25,21.88,20.16,20.69,21.12,19.31,16.75,16.91,18.41,19.28,19.5,21.75,25.31,28.34,28.66,29.44,32.0,34.31,34.88,34.84,36.81,38.69,38.59,36.62,35.84,36.16,35.5,33.03,32.16,33.25,34.12,32.75,31.72,32.72,33.31,31.97,29.28,28.38,28.19,26.16,23.19,21.78,22.25,21.75,20.19,20.59,23.34,26.19,26.94,27.62,29.78,31.97,31.38,29.78,30.47,31.91,31.03,28.03,26.16,24.72,21.97,17.38,14.75,15.34,16.59,16.72,16.94,19.53,22.72,23.97,24.31,27.41,31.31,33.97,34.75,36.03,38.34,39.69,38.38,37.41,38.62,40.12,38.78,36.75,36.31,35.81,33.25,29.5,27.09,26.97,25.31,22.28,20.91,21.47,21.62,19.75,18.47,20.19,22.12,22.0,21.75,22.84,24.75,24.31,22.16,21.31,22.03,21.66,19.16,18.22,19.38,20.25,18.56,17.28,17.69,18.06,16.12,12.97,12.03,12.06,11.12,9.22,9.31,11.25,12.88,12.25,12.69,15.59,18.38,19.09,19.53,22.0,24.38,24.38,22.78,23.44,25.31,26.12,25.69,26.47,28.88,30.25,28.78,28.22,29.62,30.59,28.78,26.44,25.78,25.81,23.75,21.56,21.19,22.81,23.47,23.0,23.84,26.44,27.69,25.75,23.31,23.03,22.78,21.22,20.06,22.12,25.47,27.12,27.69,29.62,32.56,33.75,32.97,32.69,34.31,35.34,33.62,32.16,32.47,32.19,29.12,25.28,23.28,22.22,19.34,15.5,14.12,14.94,16.09,16.38,18.56,22.62,26.66,27.72,28.81,31.69,34.91,35.72,35.09,35.19,35.81,33.84,30.34,28.22,27.94,27.12,24.31,22.72,23.47,24.53,23.81,23.16,24.5,26.28,25.69,24.09,23.84,24.66,23.97,21.94,21.22,22.5,23.16,20.94,19.19,19.31,19.38,17.62,16.12,17.44,20.41,21.22,21.28,22.75,25.59,27.0,26.41,25.75,27.22,27.16,24.16,21.72,21.72,22.56,21.25,19.44,19.38,20.16,18.62,15.59,14.53,15.31,16.06,15.16,15.5,17.97,19.69,19.22,18.47,20.22,22.84,23.03,23.19,24.84,27.66,28.34,27.28,27.69,29.34,29.47,27.72,26.06,26.84,27.0,25.25,23.94,25.06,26.91,26.06,24.19,23.47,24.22,23.0,20.19,18.47,18.91,18.41,16.78,16.31,19.06,23.19,25.31,27.12,30.22,33.38,33.59,32.12,32.12,33.47,32.91,30.12,28.06,27.75,27.25,24.84,23.94,25.44,27.44,26.94,25.81,26.31,26.97,25.38,22.72,21.91,22.69,23.06,21.69,21.34,23.28,24.94,24.62,24.25,26.78,29.78,30.62,30.28,32.06,34.53,34.06,31.91,30.81,31.06,29.66,26.53,23.94,24.25,23.88,21.81,20.16,21.34,23.28,22.62,21.56,21.94,22.88,21.94,19.56,18.22,18.94,18.59,16.5,15.62,17.44,19.28,19.38,18.75,19.75,21.34,20.09,17.72,17.12,18.53,18.44,16.97,16.28,17.78,17.72,15.38,13.31,13.94,15.19,14.72,14.03,15.59,17.78,17.91,16.81,17.12,19.16,19.66,18.62,18.34,20.34,21.66,20.91,20.09,21.34,23.03,22.41,21.12,21.66,23.75,24.22,23.56,24.53,27.06,28.0,26.62,25.47,26.34,26.16,23.94,21.0,20.62,21.19,19.88,18.25,19.12,21.31,22.25,22.12,23.16,26.03,27.69,27.66,27.62,30.06,32.19,32.16,31.06,31.62,32.34,30.5,27.47,26.59,27.78,27.81,26.16,26.03,27.59,27.53,25.22,23.34,23.47,24.12,22.75,21.69,23.19,25.69,25.31,23.47,22.84,23.62,23.44,21.66,21.25,22.84,23.75,22.31,21.12,22.38,23.97,22.97,21.0,20.97,21.5,20.19,17.44,16.66,17.59,17.88,16.09,15.34,16.88,17.91,17.12,16.16,17.91,19.53,19.34,18.47,19.56,22.06,22.81,22.16,22.53,24.72,25.59,24.06,22.94,23.75,23.94,21.62,19.16,19.44,20.0,18.91,17.09,17.41,19.41,20.0,19.19,19.47,20.91,21.69,19.69,18.25,19.22,20.75,20.06,19.41,20.81,22.78,22.34,19.91,19.03,18.84,11.25,10.59,11.88,14.84,17.22,18.56,20.41:22.06,22.38,24.31,24.44,23.47,24.12,26.16,26.78,25.31,24.38,25.94,27.38,26.41,25.56,27.0,28.59,27.91,26.62,26.91,28.56,28.78,27.72,27.97,30.09,31.25,30.0,29.5,31.12,32.94,32.88,32.88,34.84,36.41,34.88,31.19,29.22,28.56,27.03,25.03,24.09,24.81,24.47,21.56,19.09,19.12,20.03,19.38,18.5,20.38,23.44,24.5,24.69,26.09,28.81,29.84,29.44,29.25,31.56,33.28,32.66,31.19,31.5,31.06,27.81,24.12,22.66,22.81,22.19,21.5,21.84,24.0,24.69,23.47,21.91,22.69,23.0,20.97,19.03,19.41,20.81,20.16,18.66,19.38,21.38,21.19,19.59,19.25,21.38,22.38,22.03,21.91,23.75,25.19,23.91,22.28,22.38,23.84,23.28,21.75,21.53,22.97,22.53,20.25,18.69,18.59,17.88,15.25,12.53,13.25,14.22,13.59,12.62,13.88,16.31,17.06,16.25,16.81,19.03,19.62,18.28,17.88,20.41,21.88,21.78,21.38,23.66,25.84,25.78,24.84,25.31,26.72,26.06,23.25,21.12,20.56,18.41,14.59,11.28,11.44,11.94,10.94,10.34,12.56,15.44,16.38,16.47,18.34,21.06,22.16,21.28,21.81,23.84,24.41,22.69,21.53,22.41,22.94,21.53,19.34,19.53,20.09,19.28,17.31,17.25,18.97,19.28,18.03,17.72,19.31,20.16,18.5,16.69,17.66,18.62,18.0,16.38,16.94,18.22,17.88,16.66,17.06,19.12,19.78,18.38,17.38,18.19,18.91,17.69,16.75,18.81,21.72,22.62,22.78,24.38,26.38,26.31,24.5,23.94,25.16,25.75,24.19,23.5,24.97,25.97,25.06,23.69,24.59,26.69,27.31,26.81,28.28,30.47,31.09,28.97,27.91,28.22,27.84,25.44,23.19,23.72,24.12,23.03,20.84,20.94,22.25,21.91,20.03,20.25,21.44,21.44,19.44,18.16,20.09,21.28,20.59,20.25,22.16,24.25,23.97,22.75,23.56,25.19,24.88,23.47,23.03,24.25,24.72,23.06,22.25,23.84,25.03,23.81,22.31,23.22,24.59,24.38,23.53,24.12,25.44,25.09,22.5,21.16,21.44,21.41,19.28,18.25,19.28,20.59,19.91,18.25,18.59,19.88,19.88,19.16,20.47,23.38,25.34,25.44,26.5,29.22,30.66,29.03,26.97,26.72,26.38,23.84,21.03,20.34,20.84,20.03,18.25,18.09,19.62,19.78,18.03,17.5,18.31,19.38,18.06,16.56,16.94,18.16,17.69,17.0,18.66,21.72,23.5,23.41,24.47,26.34,27.47,25.91,24.69,25.16,25.56,23.62,21.31,21.34,22.59,22.19,21.09,22.5,24.84,25.38,24.19,23.75,24.38,24.75,23.03,22.38,24.41,27.56,29.0,30.16,32.91,35.84,36.12,34.25,33.41,33.38,31.88,28.62,26.41,26.31,25.81,23.56,21.38,21.59,22.66,21.81,20.94,21.56,23.44,23.69,22.25,21.81,23.28,24.25,23.75,23.75,25.69,27.16,26.28,24.81,25.06,26.31,25.06,23.47,23.25,24.44,23.97,22.41,22.09,23.81,25.12,24.94,24.97,27.22,29.25,28.28,26.94,26.91,27.62,26.28,23.97,22.62,22.69,21.72,19.62,19.34,21.34,23.47,22.66,21.81,22.59,23.72,23.06,22.44,24.06,27.16,28.75,28.97,30.25,32.44,33.0,30.91,29.12,29.34,29.56,28.03,26.59,27.44,28.91,28.5,27.28,27.47,28.41,27.03,24.31,22.0,21.75,20.97,19.0,18.25,20.12,22.44,22.72,23.19,25.16,27.81,27.81,26.44,25.66,26.34,26.0,24.56,24.62,26.59,27.81,26.06,24.56,24.78,25.28,23.38,21.19,20.12,19.75,17.91,15.31,14.31,15.03,14.94,13.56,13.0,15.47,18.5,20.41,22.0,25.44,28.78,28.19,26.03,25.22,25.19,23.91,21.88,21.38,23.06,23.97,23.53,23.56,26.09,28.03,27.5,26.62,26.81,27.31,25.75,23.38,22.47,23.84,24.16,24.59,26.5,31.53,35.31,36.75,37.97,40.31,41.84,40.59,38.38,36.25,33.69,28.25,21.53,16.59,14.62,12.94,11.31,11.22,13.59,16.22,16.66,18.09,22.06,26.78,29.41,31.47,34.53,37.84,39.0,38.72,39.34,41.66,42.25,40.38,38.19,37.0,34.47,30.0,25.31,23.5,22.19,19.59,16.5,15.53,16.06,15.59,14.44,14.94,17.47,19.69,20.12,21.09,24.59,27.78,28.62,28.72,30.28,32.03,31.34,29.41,28.53,28.5,27.22,23.94,21.47,20.69,19.69,16.91,15.12,16.41,18.62,19.59,20.06,22.94,26.38,27.53,27.19,27.47,28.44,27.72,24.88,22.53,21.94,20.97,17.84,15.53,16.06,17.44,17.66,17.62,19.56,22.09,23.0,22.06,22.03,23.34,23.38,21.47,20.28,22.09,24.41,25.34,26.66,30.81,35.12,36.94,37.41,38.75,40.38,39.75,37.16,34.84,34.0,32.03,28.62,25.53,25.41,26.06,25.69,25.09,27.28,30.56,31.94,31.84,32.84,34.47,34.56,32.25,30.94,31.69,31.5,29.59,27.81,28.09,29.28,28.5,27.53,29.06,31.66,32.19,30.84,30.09,29.88,28.09,24.78,22.38,22.62,23.25,21.88,20.16,20.69,21.12,19.31,16.75,16.91,18.41,19.28,19.5,21.75,25.31,28.34,28.66,29.44,32.0,34.31,34.88,34.84,36.81,38.69,38.59,36.62,35.84,36.16,35.5,33.03,32.16,33.25,34.12,32.75,31.72,32.72,33.31,31.97,29.28,28.38,28.19,26.16,23.19,21.78,22.25,21.75,20.19,20.59,23.34,26.19,26.94,27.62,29.78,31.97,31.38,29.78,30.47,31.91,31.03,28.03,26.16,24.72,21.97,17.38,14.75,15.34,16.59,16.72,16.94,19.53,22.72,23.97,24.31,27.41,31.31,33.97,34.75,36.03,38.34,39.69,38.38,37.41,38.62,40.12,38.78,36.75,36.31,35.81,33.25,29.5,27.09,26.97,25.31,22.28,20.91,21.47,21.62,19.75,18.47,20.19,22.12,22.0,21.75,22.84,24.75,24.31,22.16,21.31,22.03,21.66,19.16,18.22,19.38,20.25,18.56,17.28,17.69,18.06,16.12,12.97,12.03,12.06,11.12,9.22,9.31,11.25,12.88,12.25,12.69,15.59,18.38,19.09,19.53,22.0,24.38,24.38,22.78,23.44,25.31,26.12,25.69,26.47,28.88,30.25,28.78,28.22,29.62,30.59,28.78,26.44,25.78,25.81,23.75,21.56,21.19,22.81,23.47,23.0,23.84,26.44,27.69,25.75,23.31,23.03,22.78,21.22,20.06,22.12,25.47,27.12,27.69,29.62,32.56,33.75,32.97,32.69,34.31,35.34,33.62,32.16,32.47,32.19,29.12,25.28,23.28,22.22,19.34,15.5,14.12,14.94,16.09,16.38,18.56,22.62,26.66,27.72,28.81,31.69,34.91,35.72,35.09,35.19,35.81,33.84,30.34,28.22,27.94,27.12,24.31,22.72,23.47,24.53,23.81,23.16,24.5,26.28,25.69,24.09,23.84,24.66,23.97,21.94,21.22,22.5,23.16,20.94,19.19,19.31,19.38,17.62,16.12,17.44,20.41,21.22,21.28,22.75,25.59,27.0,26.41,25.75,27.22,27.16,24.16,21.72,21.72,22.56,21.25,19.44,19.38,20.16,18.62,15.59,14.53,15.31,16.06,15.16,15.5,17.97,19.69,19.22,18.47,20.22,22.84,23.03,23.19,24.84,27.66,28.34,27.28,27.69,29.34,29.47,27.72,26.06,26.84,27.0,25.25,23.94,25.06,26.91,26.06,24.19,23.47,24.22,23.0,20.19,18.47,18.91,18.41,16.78,16.31,19.06,23.19,25.31,27.12,30.22,33.38,33.59,32.12,32.12,33.47,32.91,30.12,28.06,27.75,27.25,24.84,23.94,25.44,27.44,26.94,25.81,26.31,26.97,25.38,22.72,21.91,22.69,23.06,21.69,21.34,23.28,24.94,24.62,24.25,26.78,29.78,30.62,30.28,32.06,34.53,34.06,31.91,30.81,31.06,29.66,26.53,23.94,24.25,23.88,21.81,20.16,21.34,23.28,22.62,21.56,21.94,22.88,21.94,19.56,18.22,18.94,18.59,16.5,15.62,17.44,19.28,19.38,18.75,19.75,21.34,20.09,17.72,17.12,18.53,18.44,16.97,16.28,17.78,17.72,15.38,13.31,13.94,15.19,14.72,14.03,15.59,17.78,17.91,16.81,17.12,19.16,19.66,18.62,18.34,20.34,21.66,20.91,20.09,21.34,23.03,22.41,21.12,21.66,23.75,24.22,23.56,24.53,27.06,28.0,26.62,25.47,26.34,26.16,23.94,21.0,20.62,21.19,19.88,18.25,19.12,21.31,22.25,22.12,23.16,26.03,27.69,27.66,27.62,30.06,32.19,32.16,31.06,31.62,32.34,30.5,27.47,26.59,27.78,27.81,26.16,26.03,27.59,27.53,25.22,23.34,23.47,24.12,22.75,21.69,23.19,25.69,25.31,23.47,22.84,23.62,23.44,21.66,21.25,22.84,23.75,22.31,21.12,22.38,23.97,22.97,21.0,20.97,21.5,20.19,17.44,16.66,17.59,17.88,16.09,15.34,16.88,17.91,17.12,16.16,17.91,19.53,19.34,18.47,19.56,22.06,22.81,22.16,22.53,24.72,25.59,24.06,22.94,23.75,23.94,21.62,19.16,19.44,20.0,18.91,17.09,17.41,19.41,20.0,19.19,19.47,20.91,21.69,19.69,18.25,19.22,20.75,20.06,19.41,20.81,22.78,22.34,19.91,19.03,18.84,11.25,10.59,11.88,14.84,17.22,18.56,20.41,23.25,24.88,24.28,23.22,23.09,23.34,21.66:26.78,25.31,24.38,25.94,27.38,26.41,25.56,27.0,28.59,27.91,26.62,26.91,28.56,28.78,27.72,27.97,30.09,31.25,30.0,29.5,31.12,32.94,32.88,32.88,34.84,36.41,34.88,31.19,29.22,28.56,27.03,25.03,24.09,24.81,24.47,21.56,19.09,19.12,20.03,19.38,18.5,20.38,23.44,24.5,24.69,26.09,28.81,29.84,29.44,29.25,31.56,33.28,32.66,31.19,31.5,31.06,27.81,24.12,22.66,22.81,22.19,21.5,21.84,24.0,24.69,23.47,21.91,22.69,23.0,20.97,19.03,19.41,20.81,20.16,18.66,19.38,21.38,21.19,19.59,19.25,21.38,22.38,22.03,21.91,23.75,25.19,23.91,22.28,22.38,23.84,23.28,21.75,21.53,22.97,22.53,20.25,18.69,18.59,17.88,15.25,12.53,13.25,14.22,13.59,12.62,13.88,16.31,17.06,16.25,16.81,19.03,19.62,18.28,17.88,20.41,21.88,21.78,21.38,23.66,25.84,25.78,24.84,25.31,26.72,26.06,23.25,21.12,20.56,18.41,14.59,11.28,11.44,11.94,10.94,10.34,12.56,15.44,16.38,16.47,18.34,21.06,22.16,21.28,21.81,23.84,24.41,22.69,21.53,22.41,22.94,21.53,19.34,19.53,20.09,19.28,17.31,17.25,18.97,19.28,18.03,17.72,19.31,20.16,18.5,16.69,17.66,18.62,18.0,16.38,16.94,18.22,17.88,16.66,17.06,19.12,19.78,18.38,17.38,18.19,18.91,17.69,16.75,18.81,21.72,22.62,22.78,24.38,26.38,26.31,24.5,23.94,25.16,25.75,24.19,23.5,24.97,25.97,25.06,23.69,24.59,26.69,27.31,26.81,28.28,30.47,31.09,28.97,27.91,28.22,27.84,25.44,23.19,23.72,24.12,23.03,20.84,20.94,22.25,21.91,20.03,20.25,21.44,21.44,19.44,18.16,20.09,21.28,20.59,20.25,22.16,24.25,23.97,22.75,23.56,25.19,24.88,23.47,23.03,24.25,24.72,23.06,22.25,23.84,25.03,23.81,22.31,23.22,24.59,24.38,23.53,24.12,25.44,25.09,22.5,21.16,21.44,21.41,19.28,18.25,19.28,20.59,19.91,18.25,18.59,19.88,19.88,19.16,20.47,23.38,25.34,25.44,26.5,29.22,30.66,29.03,26.97,26.72,26.38,23.84,21.03,20.34,20.84,20.03,18.25,18.09,19.62,19.78,18.03,17.5,18.31,19.38,18.06,16.56,16.94,18.16,17.69,17.0,18.66,21.72,23.5,23.41,24.47,26.34,27.47,25.91,24.69,25.16,25.56,23.62,21.31,21.34,22.59,22.19,21.09,22.5,24.84,25.38,24.19,23.75,24.38,24.75,23.03,22.38,24.41,27.56,29.0,30.16,32.91,35.84,36.12,34.25,33.41,33.38,31.88,28.62,26.41,26.31,25.81,23.56,21.38,21.59,22.66,21.81,20.94,21.56,23.44,23.69,22.25,21.81,23.28,24.25,23.75,23.75,25.69,27.16,26.28,24.81,25.06,26.31,25.06,23.47,23.25,24.44,23.97,22.41,22.09,23.81,25.12,24.94,24.97,27.22,29.25,28.28,26.94,26.91,27.62,26.28,23.97,22.62,22.69,21.72,19.62,19.34,21.34,23.47,22.66,21.81,22.59,23.72,23.06,22.44,24.06,27.16,28.75,28.97,30.25,32.44,33.0,30.91,29.12,29.34,29.56,28.03,26.59,27.44,28.91,28.5,27.28,27.47,28.41,27.03,24.31,22.0,21.75,20.97,19.0,18.25,20.12,22.44,22.72,23.19,25.16,27.81,27.81,26.44,25.66,26.34,26.0,24.56,24.62,26.59,27.81,26.06,24.56,24.78,25.28,23.38,21.19,20.12,19.75,17.91,15.31,14.31,15.03,14.94,13.56,13.0,15.47,18.5,20.41,22.0,25.44,28.78,28.19,26.03,25.22,25.19,23.91,21.88,21.38,23.06,23.97,23.53,23.56,26.09,28.03,27.5,26.62,26.81,27.31,25.75,23.38,22.47,23.84,24.16,24.59,26.5,31.53,35.31,36.75,37.97,40.31,41.84,40.59,38.38,36.25,33.69,28.25,21.53,16.59,14.62,12.94,11.31,11.22,13.59,16.22,16.66,18.09,22.06,26.78,29.41,31.47,34.53,37.84,39.0,38.72,39.34,41.66,42.25,40.38,38.19,37.0,34.47,30.0,25.31,23.5,22.19,19.59,16.5,15.53,16.06,15.59,14.44,14.94,17.47,19.69,20.12,21.09,24.59,27.78,28.62,28.72,30.28,32.03,31.34,29.41,28.53,28.5,27.22,23.94,21.47,20.69,19.69,16.91,15.12,16.41,18.62,19.59,20.06,22.94,26.38,27.53,27.19,27.47,28.44,27.72,24.88,22.53,21.94,20.97,17.84,15.53,16.06,17.44,17.66,17.62,19.56,22.09,23.0,22.06,22.03,23.34,23.38,21.47,20.28,22.09,24.41,25.34,26.66,30.81,35.12,36.94,37.41,38.75,40.38,39.75,37.16,34.84,34.0,32.03,28.62,25.53,25.41,26.06,25.69,25.09,27.28,30.56,31.94,31.84,32.84,34.47,34.56,32.25,30.94,31.69,31.5,29.59,27.81,28.09,29.28,28.5,27.53,29.06,31.66,32.19,30.84,30.09,29.88,28.09,24.78,22.38,22.62,23.25,21.88,20.16,20.69,21.12,19.31,16.75,16.91,18.41,19.28,19.5,21.75,25.31,28.34,28.66,29.44,32.0,34.31,34.88,34.84,36.81,38.69,38.59,36.62,35.84,36.16,35.5,33.03,32.16,33.25,34.12,32.75,31.72,32.72,33.31,31.97,29.28,28.38,28.19,26.16,23.19,21.78,22.25,21.75,20.19,20.59,23.34,26.19,26.94,27.62,29.78,31.97,31.38,29.78,30.47,31.91,31.03,28.03,26.16,24.72,21.97,17.38,14.75,15.34,16.59,16.72,16.94,19.53,22.72,23.97,24.31,27.41,31.31,33.97,34.75,36.03,38.34,39.69,38.38,37.41,38.62,40.12,38.78,36.75,36.31,35.81,33.25,29.5,27.09,26.97,25.31,22.28,20.91,21.47,21.62,19.75,18.47,20.19,22.12,22.0,21.75,22.84,24.75,24.31,22.16,21.31,22.03,21.66,19.16,18.22,19.38,20.25,18.56,17.28,17.69,18.06,16.12,12.97,12.03,12.06,11.12,9.22,9.31,11.25,12.88,12.25,12.69,15.59,18.38,19.09,19.53,22.0,24.38,24.38,22.78,23.44,25.31,26.12,25.69,26.47,28.88,30.25,28.78,28.22,29.62,30.59,28.78,26.44,25.78,25.81,23.75,21.56,21.19,22.81,23.47,23.0,23.84,26.44,27.69,25.75,23.31,23.03,22.78,21.22,20.06,22.12,25.47,27.12,27.69,29.62,32.56,33.75,32.97,32.69,34.31,35.34,33.62,32.16,32.47,32.19,29.12,25.28,23.28,22.22,19.34,15.5,14.12,14.94,16.09,16.38,18.56,22.62,26.66,27.72,28.81,31.69,34.91,35.72,35.09,35.19,35.81,33.84,30.34,28.22,27.94,27.12,24.31,22.72,23.47,24.53,23.81,23.16,24.5,26.28,25.69,24.09,23.84,24.66,23.97,21.94,21.22,22.5,23.16,20.94,19.19,19.31,19.38,17.62,16.12,17.44,20.41,21.22,21.28,22.75,25.59,27.0,26.41,25.75,27.22,27.16,24.16,21.72,21.72,22.56,21.25,19.44,19.38,20.16,18.62,15.59,14.53,15.31,16.06,15.16,15.5,17.97,19.69,19.22,18.47,20.22,22.84,23.03,23.19,24.84,27.66,28.34,27.28,27.69,29.34,29.47,27.72,26.06,26.84,27.0,25.25,23.94,25.06,26.91,26.06,24.19,23.47,24.22,23.0,20.19,18.47,18.91,18.41,16.78,16.31,19.06,23.19,25.31,27.12,30.22,33.38,33.59,32.12,32.12,33.47,32.91,30.12,28.06,27.75,27.25,24.84,23.94,25.44,27.44,26.94,25.81,26.31,26.97,25.38,22.72,21.91,22.69,23.06,21.69,21.34,23.28,24.94,24.62,24.25,26.78,29.78,30.62,30.28,32.06,34.53,34.06,31.91,30.81,31.06,29.66,26.53,23.94,24.25,23.88,21.81,20.16,21.34,23.28,22.62,21.56,21.94,22.88,21.94,19.56,18.22,18.94,18.59,16.5,15.62,17.44,19.28,19.38,18.75,19.75,21.34,20.09,17.72,17.12,18.53,18.44,16.97,16.28,17.78,17.72,15.38,13.31,13.94,15.19,14.72,14.03,15.59,17.78,17.91,16.81,17.12,19.16,19.66,18.62,18.34,20.34,21.66,20.91,20.09,21.34,23.03,22.41,21.12,21.66,23.75,24.22,23.56,24.53,27.06,28.0,26.62,25.47,26.34,26.16,23.94,21.0,20.62,21.19,19.88,18.25,19.12,21.31,22.25,22.12,23.16,26.03,27.69,27.66,27.62,30.06,32.19,32.16,31.06,31.62,32.34,30.5,27.47,26.59,27.78,27.81,26.16,26.03,27.59,27.53,25.22,23.34,23.47,24.12,22.75,21.69,23.19,25.69,25.31,23.47,22.84,23.62,23.44,21.66,21.25,22.84,23.75,22.31,21.12,22.38,23.97,22.97,21.0,20.97,21.5,20.19,17.44,16.66,17.59,17.88,16.09,15.34,16.88,17.91,17.12,16.16,17.91,19.53,19.34,18.47,19.56,22.06,22.81,22.16,22.53,24.72,25.59,24.06,22.94,23.75,23.94,21.62,19.16,19.44,20.0,18.91,17.09,17.41,19.41,20.0,19.19,19.47,20.91,21.69,19.69,18.25,19.22,20.75,20.06,19.41,20.81,22.78,22.34,19.91,19.03,18.84,11.25,10.59,11.88,14.84,17.22,18.56,20.41,23.25,24.88,24.28,23.22,23.09,23.34,21.66,20.19,20.69,22.06,22.31,21.75,22.56,24.31:27.0,28.59,27.91,26.62,26.91,28.56,28.78,27.72,27.97,30.09,31.25,30.0,29.5,31.12,32.94,32.88,32.88,34.84,36.41,34.88,31.19,29.22,28.56,27.03,25.03,24.09,24.81,24.47,21.56,19.09,19.12,20.03,19.38,18.5,20.38,23.44,24.5,24.69,26.09,28.81,29.84,29.44,29.25,31.56,33.28,32.66,31.19,31.5,31.06,27.81,24.12,22.66,22.81,22.19,21.5,21.84,24.0,24.69,23.47,21.91,22.69,23.0,20.97,19.03,19.41,20.81,20.16,18.66,19.38,21.38,21.19,19.59,19.25,21.38,22.38,22.03,21.91,23.75,25.19,23.91,22.28,22.38,23.84,23.28,21.75,21.53,22.97,22.53,20.25,18.69,18.59,17.88,15.25,12.53,13.25,14.22,13.59,12.62,13.88,16.31,17.06,16.25,16.81,19.03,19.62,18.28,17.88,20.41,21.88,21.78,21.38,23.66,25.84,25.78,24.84,25.31,26.72,26.06,23.25,21.12,20.56,18.41,14.59,11.28,11.44,11.94,10.94,10.34,12.56,15.44,16.38,16.47,18.34,21.06,22.16,21.28,21.81,23.84,24.41,22.69,21.53,22.41,22.94,21.53,19.34,19.53,20.09,19.28,17.31,17.25,18.97,19.28,18.03,17.72,19.31,20.16,18.5,16.69,17.66,18.62,18.0,16.38,16.94,18.22,17.88,16.66,17.06,19.12,19.78,18.38,17.38,18.19,18.91,17.69,16.75,18.81,21.72,22.62,22.78,24.38,26.38,26.31,24.5,23.94,25.16,25.75,24.19,23.5,24.97,25.97,25.06,23.69,24.59,26.69,27.31,26.81,28.28,30.47,31.09,28.97,27.91,28.22,27.84,25.44,23.19,23.72,24.12,23.03,20.84,20.94,22.25,21.91,20.03,20.25,21.44,21.44,19.44,18.16,20.09,21.28,20.59,20.25,22.16,24.25,23.97,22.75,23.56,25.19,24.88,23.47,23.03,24.25,24.72,23.06,22.25,23.84,25.03,23.81,22.31,23.22,24.59,24.38,23.53,24.12,25.44,25.09,22.5,21.16,21.44,21.41,19.28,18.25,19.28,20.59,19.91,18.25,18.59,19.88,19.88,19.16,20.47,23.38,25.34,25.44,26.5,29.22,30.66,29.03,26.97,26.72,26.38,23.84,21.03,20.34,20.84,20.03,18.25,18.09,19.62,19.78,18.03,17.5,18.31,19.38,18.06,16.56,16.94,18.16,17.69,17.0,18.66,21.72,23.5,23.41,24.47,26.34,27.47,25.91,24.69,25.16,25.56,23.62,21.31,21.34,22.59,22.19,21.09,22.5,24.84,25.38,24.19,23.75,24.38,24.75,23.03,22.38,24.41,27.56,29.0,30.16,32.91,35.84,36.12,34.25,33.41,33.38,31.88,28.62,26.41,26.31,25.81,23.56,21.38,21.59,22.66,21.81,20.94,21.56,23.44,23.69,22.25,21.81,23.28,24.25,23.75,23.75,25.69,27.16,26.28,24.81,25.06,26.31,25.06,23.47,23.25,24.44,23.97,22.41,22.09,23.81,25.12,24.94,24.97,27.22,29.25,28.28,26.94,26.91,27.62,26.28,23.97,22.62,22.69,21.72,19.62,19.34,21.34,23.47,22.66,21.81,22.59,23.72,23.06,22.44,24.06,27.16,28.75,28.97,30.25,32.44,33.0,30.91,29.12,29.34,29.56,28.03,26.59,27.44,28.91,28.5,27.28,27.47,28.41,27.03,24.31,22.0,21.75,20.97,19.0,18.25,20.12,22.44,22.72,23.19,25.16,27.81,27.81,26.44,25.66,26.34,26.0,24.56,24.62,26.59,27.81,26.06,24.56,24.78,25.28,23.38,21.19,20.12,19.75,17.91,15.31,14.31,15.03,14.94,13.56,13.0,15.47,18.5,20.41,22.0,25.44,28.78,28.19,26.03,25.22,25.19,23.91,21.88,21.38,23.06,23.97,23.53,23.56,26.09,28.03,27.5,26.62,26.81,27.31,25.75,23.38,22.47,23.84,24.16,24.59,26.5,31.53,35.31,36.75,37.97,40.31,41.84,40.59,38.38,36.25,33.69,28.25,21.53,16.59,14.62,12.94,11.31,11.22,13.59,16.22,16.66,18.09,22.06,26.78,29.41,31.47,34.53,37.84,39.0,38.72,39.34,41.66,42.25,40.38,38.19,37.0,34.47,30.0,25.31,23.5,22.19,19.59,16.5,15.53,16.06,15.59,14.44,14.94,17.47,19.69,20.12,21.09,24.59,27.78,28.62,28.72,30.28,32.03,31.34,29.41,28.53,28.5,27.22,23.94,21.47,20.69,19.69,16.91,15.12,16.41,18.62,19.59,20.06,22.94,26.38,27.53,27.19,27.47,28.44,27.72,24.88,22.53,21.94,20.97,17.84,15.53,16.06,17.44,17.66,17.62,19.56,22.09,23.0,22.06,22.03,23.34,23.38,21.47,20.28,22.09,24.41,25.34,26.66,30.81,35.12,36.94,37.41,38.75,40.38,39.75,37.16,34.84,34.0,32.03,28.62,25.53,25.41,26.06,25.69,25.09,27.28,30.56,31.94,31.84,32.84,34.47,34.56,32.25,30.94,31.69,31.5,29.59,27.81,28.09,29.28,28.5,27.53,29.06,31.66,32.19,30.84,30.09,29.88,28.09,24.78,22.38,22.62,23.25,21.88,20.16,20.69,21.12,19.31,16.75,16.91,18.41,19.28,19.5,21.75,25.31,28.34,28.66,29.44,32.0,34.31,34.88,34.84,36.81,38.69,38.59,36.62,35.84,36.16,35.5,33.03,32.16,33.25,34.12,32.75,31.72,32.72,33.31,31.97,29.28,28.38,28.19,26.16,23.19,21.78,22.25,21.75,20.19,20.59,23.34,26.19,26.94,27.62,29.78,31.97,31.38,29.78,30.47,31.91,31.03,28.03,26.16,24.72,21.97,17.38,14.75,15.34,16.59,16.72,16.94,19.53,22.72,23.97,24.31,27.41,31.31,33.97,34.75,36.03,38.34,39.69,38.38,37.41,38.62,40.12,38.78,36.75,36.31,35.81,33.25,29.5,27.09,26.97,25.31,22.28,20.91,21.47,21.62,19.75,18.47,20.19,22.12,22.0,21.75,22.84,24.75,24.31,22.16,21.31,22.03,21.66,19.16,18.22,19.38,20.25,18.56,17.28,17.69,18.06,16.12,12.97,12.03,12.06,11.12,9.22,9.31,11.25,12.88,12.25,12.69,15.59,18.38,19.09,19.53,22.0,24.38,24.38,22.78,23.44,25.31,26.12,25.69,26.47,28.88,30.25,28.78,28.22,29.62,30.59,28.78,26.44,25.78,25.81,23.75,21.56,21.19,22.81,23.47,23.0,23.84,26.44,27.69,25.75,23.31,23.03,22.78,21.22,20.06,22.12,25.47,27.12,27.69,29.62,32.56,33.75,32.97,32.69,34.31,35.34,33.62,32.16,32.47,32.19,29.12,25.28,23.28,22.22,19.34,15.5,14.12,14.94,16.09,16.38,18.56,22.62,26.66,27.72,28.81,31.69,34.91,35.72,35.09,35.19,35.81,33.84,30.34,28.22,27.94,27.12,24.31,22.72,23.47,24.53,23.81,23.16,24.5,26.28,25.69,24.09,23.84,24.66,23.97,21.94,21.22,22.5,23.16,20.94,19.19,19.31,19.38,17.62,16.12,17.44,20.41,21.22,21.28,22.75,25.59,27.0,26.41,25.75,27.22,27.16,24.16,21.72,21.72,22.56,21.25,19.44,19.38,20.16,18.62,15.59,14.53,15.31,16.06,15.16,15.5,17.97,19.69,19.22,18.47,20.22,22.84,23.03,23.19,24.84,27.66,28.34,27.28,27.69,29.34,29.47,27.72,26.06,26.84,27.0,25.25,23.94,25.06,26.91,26.06,24.19,23.47,24.22,23.0,20.19,18.47,18.91,18.41,16.78,16.31,19.06,23.19,25.31,27.12,30.22,33.38,33.59,32.12,32.12,33.47,32.91,30.12,28.06,27.75,27.25,24.84,23.94,25.44,27.44,26.94,25.81,26.31,26.97,25.38,22.72,21.91,22.69,23.06,21.69,21.34,23.28,24.94,24.62,24.25,26.78,29.78,30.62,30.28,32.06,34.53,34.06,31.91,30.81,31.06,29.66,26.53,23.94,24.25,23.88,21.81,20.16,21.34,23.28,22.62,21.56,21.94,22.88,21.94,19.56,18.22,18.94,18.59,16.5,15.62,17.44,19.28,19.38,18.75,19.75,21.34,20.09,17.72,17.12,18.53,18.44,16.97,16.28,17.78,17.72,15.38,13.31,13.94,15.19,14.72,14.03,15.59,17.78,17.91,16.81,17.12,19.16,19.66,18.62,18.34,20.34,21.66,20.91,20.09,21.34,23.03,22.41,21.12,21.66,23.75,24.22,23.56,24.53,27.06,28.0,26.62,25.47,26.34,26.16,23.94,21.0,20.62,21.19,19.88,18.25,19.12,21.31,22.25,22.12,23.16,26.03,27.69,27.66,27.62,30.06,32.19,32.16,31.06,31.62,32.34,30.5,27.47,26.59,27.78,27.81,26.16,26.03,27.59,27.53,25.22,23.34,23.47,24.12,22.75,21.69,23.19,25.69,25.31,23.47,22.84,23.62,23.44,21.66,21.25,22.84,23.75,22.31,21.12,22.38,23.97,22.97,21.0,20.97,21.5,20.19,17.44,16.66,17.59,17.88,16.09,15.34,16.88,17.91,17.12,16.16,17.91,19.53,19.34,18.47,19.56,22.06,22.81,22.16,22.53,24.72,25.59,24.06,22.94,23.75,23.94,21.62,19.16,19.44,20.0,18.91,17.09,17.41,19.41,20.0,19.19,19.47,20.91,21.69,19.69,18.25,19.22,20.75,20.06,19.41,20.81,22.78,22.34,19.91,19.03,18.84,11.25,10.59,11.88,14.84,17.22,18.56,20.41,23.25,24.88,24.28,23.22,23.09,23.34,21.66,20.19,20.69,22.06,22.31,21.75,22.56,24.31,25.34,24.94,25.12,26.97,28.62,28.5,28.06:27.72,27.97,30.09,31.25,30.0,29.5,31.12,32.94,32.88,32.88,34.84,36.41,34.88,31.19,29.22,28.56,27.03,25.03,24.09,24.81,24.47,21.56,19.09,19.12,20.03,19.38,18.5,20.38,23.44,24.5,24.69,26.09,28.81,29.84,29.44,29.25,31.56,33.28,32.66,31.19,31.5,31.06,27.81,24.12,22.66,22.81,22.19,21.5,21.84,24.0,24.69,23.47,21.91,22.69,23.0,20.97,19.03,19.41,20.81,20.16,18.66,19.38,21.38,21.19,19.59,19.25,21.38,22.38,22.03,21.91,23.75,25.19,23.91,22.28,22.38,23.84,23.28,21.75,21.53,22.97,22.53,20.25,18.69,18.59,17.88,15.25,12.53,13.25,14.22,13.59,12.62,13.88,16.31,17.06,16.25,16.81,19.03,19.62,18.28,17.88,20.41,21.88,21.78,21.38,23.66,25.84,25.78,24.84,25.31,26.72,26.06,23.25,21.12,20.56,18.41,14.59,11.28,11.44,11.94,10.94,10.34,12.56,15.44,16.38,16.47,18.34,21.06,22.16,21.28,21.81,23.84,24.41,22.69,21.53,22.41,22.94,21.53,19.34,19.53,20.09,19.28,17.31,17.25,18.97,19.28,18.03,17.72,19.31,20.16,18.5,16.69,17.66,18.62,18.0,16.38,16.94,18.22,17.88,16.66,17.06,19.12,19.78,18.38,17.38,18.19,18.91,17.69,16.75,18.81,21.72,22.62,22.78,24.38,26.38,26.31,24.5,23.94,25.16,25.75,24.19,23.5,24.97,25.97,25.06,23.69,24.59,26.69,27.31,26.81,28.28,30.47,31.09,28.97,27.91,28.22,27.84,25.44,23.19,23.72,24.12,23.03,20.84,20.94,22.25,21.91,20.03,20.25,21.44,21.44,19.44,18.16,20.09,21.28,20.59,20.25,22.16,24.25,23.97,22.75,23.56,25.19,24.88,23.47,23.03,24.25,24.72,23.06,22.25,23.84,25.03,23.81,22.31,23.22,24.59,24.38,23.53,24.12,25.44,25.09,22.5,21.16,21.44,21.41,19.28,18.25,19.28,20.59,19.91,18.25,18.59,19.88,19.88,19.16,20.47,23.38,25.34,25.44,26.5,29.22,30.66,29.03,26.97,26.72,26.38,23.84,21.03,20.34,20.84,20.03,18.25,18.09,19.62,19.78,18.03,17.5,18.31,19.38,18.06,16.56,16.94,18.16,17.69,17.0,18.66,21.72,23.5,23.41,24.47,26.34,27.47,25.91,24.69,25.16,25.56,23.62,21.31,21.34,22.59,22.19,21.09,22.5,24.84,25.38,24.19,23.75,24.38,24.75,23.03,22.38,24.41,27.56,29.0,30.16,32.91,35.84,36.12,34.25,33.41,33.38,31.88,28.62,26.41,26.31,25.81,23.56,21.38,21.59,22.66,21.81,20.94,21.56,23.44,23.69,22.25,21.81,23.28,24.25,23.75,23.75,25.69,27.16,26.28,24.81,25.06,26.31,25.06,23.47,23.25,24.44,23.97,22.41,22.09,23.81,25.12,24.94,24.97,27.22,29.25,28.28,26.94,26.91,27.62,26.28,23.97,22.62,22.69,21.72,19.62,19.34,21.34,23.47,22.66,21.81,22.59,23.72,23.06,22.44,24.06,27.16,28.75,28.97,30.25,32.44,33.0,30.91,29.12,29.34,29.56,28.03,26.59,27.44,28.91,28.5,27.28,27.47,28.41,27.03,24.31,22.0,21.75,20.97,19.0,18.25,20.12,22.44,22.72,23.19,25.16,27.81,27.81,26.44,25.66,26.34,26.0,24.56,24.62,26.59,27.81,26.06,24.56,24.78,25.28,23.38,21.19,20.12,19.75,17.91,15.31,14.31,15.03,14.94,13.56,13.0,15.47,18.5,20.41,22.0,25.44,28.78,28.19,26.03,25.22,25.19,23.91,21.88,21.38,23.06,23.97,23.53,23.56,26.09,28.03,27.5,26.62,26.81,27.31,25.75,23.38,22.47,23.84,24.16,24.59,26.5,31.53,35.31,36.75,37.97,40.31,41.84,40.59,38.38,36.25,33.69,28.25,21.53,16.59,14.62,12.94,11.31,11.22,13.59,16.22,16.66,18.09,22.06,26.78,29.41,31.47,34.53,37.84,39.0,38.72,39.34,41.66,42.25,40.38,38.19,37.0,34.47,30.0,25.31,23.5,22.19,19.59,16.5,15.53,16.06,15.59,14.44,14.94,17.47,19.69,20.12,21.09,24.59,27.78,28.62,28.72,30.28,32.03,31.34,29.41,28.53,28.5,27.22,23.94,21.47,20.69,19.69,16.91,15.12,16.41,18.62,19.59,20.06,22.94,26.38,27.53,27.19,27.47,28.44,27.72,24.88,22.53,21.94,20.97,17.84,15.53,16.06,17.44,17.66,17.62,19.56,22.09,23.0,22.06,22.03,23.34,23.38,21.47,20.28,22.09,24.41,25.34,26.66,30.81,35.12,36.94,37.41,38.75,40.38,39.75,37.16,34.84,34.0,32.03,28.62,25.53,25.41,26.06,25.69,25.09,27.28,30.56,31.94,31.84,32.84,34.47,34.56,32.25,30.94,31.69,31.5,29.59,27.81,28.09,29.28,28.5,27.53,29.06,31.66,32.19,30.84,30.09,29.88,28.09,24.78,22.38,22.62,23.25,21.88,20.16,20.69,21.12,19.31,16.75,16.91,18.41,19.28,19.5,21.75,25.31,28.34,28.66,29.44,32.0,34.31,34.88,34.84,36.81,38.69,38.59,36.62,35.84,36.16,35.5,33.03,32.16,33.25,34.12,32.75,31.72,32.72,33.31,31.97,29.28,28.38,28.19,26.16,23.19,21.78,22.25,21.75,20.19,20.59,23.34,26.19,26.94,27.62,29.78,31.97,31.38,29.78,30.47,31.91,31.03,28.03,26.16,24.72,21.97,17.38,14.75,15.34,16.59,16.72,16.94,19.53,22.72,23.97,24.31,27.41,31.31,33.97,34.75,36.03,38.34,39.69,38.38,37.41,38.62,40.12,38.78,36.75,36.31,35.81,33.25,29.5,27.09,26.97,25.31,22.28,20.91,21.47,21.62,19.75,18.47,20.19,22.12,22.0,21.75,22.84,24.75,24.31,22.16,21.31,22.03,21.66,19.16,18.22,19.38,20.25,18.56,17.28,17.69,18.06,16.12,12.97,12.03,12.06,11.12,9.22,9.31,11.25,12.88,12.25,12.69,15.59,18.38,19.09,19.53,22.0,24.38,24.38,22.78,23.44,25.31,26.12,25.69,26.47,28.88,30.25,28.78,28.22,29.62,30.59,28.78,26.44,25.78,25.81,23.75,21.56,21.19,22.81,23.47,23.0,23.84,26.44,27.69,25.75,23.31,23.03,22.78,21.22,20.06,22.12,25.47,27.12,27.69,29.62,32.56,33.75,32.97,32.69,34.31,35.34,33.62,32.16,32.47,32.19,29.12,25.28,23.28,22.22,19.34,15.5,14.12,14.94,16.09,16.38,18.56,22.62,26.66,27.72,28.81,31.69,34.91,35.72,35.09,35.19,35.81,33.84,30.34,28.22,27.94,27.12,24.31,22.72,23.47,24.53,23.81,23.16,24.5,26.28,25.69,24.09,23.84,24.66,23.97,21.94,21.22,22.5,23.16,20.94,19.19,19.31,19.38,17.62,16.12,17.44,20.41,21.22,21.28,22.75,25.59,27.0,26.41,25.75,27.22,27.16,24.16,21.72,21.72,22.56,21.25,19.44,19.38,20.16,18.62,15.59,14.53,15.31,16.06,15.16,15.5,17.97,19.69,19.22,18.47,20.22,22.84,23.03,23.19,24.84,27.66,28.34,27.28,27.69,29.34,29.47,27.72,26.06,26.84,27.0,25.25,23.94,25.06,26.91,26.06,24.19,23.47,24.22,23.0,20.19,18.47,18.91,18.41,16.78,16.31,19.06,23.19,25.31,27.12,30.22,33.38,33.59,32.12,32.12,33.47,32.91,30.12,28.06,27.75,27.25,24.84,23.94,25.44,27.44,26.94,25.81,26.31,26.97,25.38,22.72,21.91,22.69,23.06,21.69,21.34,23.28,24.94,24.62,24.25,26.78,29.78,30.62,30.28,32.06,34.53,34.06,31.91,30.81,31.06,29.66,26.53,23.94,24.25,23.88,21.81,20.16,21.34,23.28,22.62,21.56,21.94,22.88,21.94,19.56,18.22,18.94,18.59,16.5,15.62,17.44,19.28,19.38,18.75,19.75,21.34,20.09,17.72,17.12,18.53,18.44,16.97,16.28,17.78,17.72,15.38,13.31,13.94,15.19,14.72,14.03,15.59,17.78,17.91,16.81,17.12,19.16,19.66,18.62,18.34,20.34,21.66,20.91,20.09,21.34,23.03,22.41,21.12,21.66,23.75,24.22,23.56,24.53,27.06,28.0,26.62,25.47,26.34,26.16,23.94,21.0,20.62,21.19,19.88,18.25,19.12,21.31,22.25,22.12,23.16,26.03,27.69,27.66,27.62,30.06,32.19,32.16,31.06,31.62,32.34,30.5,27.47,26.59,27.78,27.81,26.16,26.03,27.59,27.53,25.22,23.34,23.47,24.12,22.75,21.69,23.19,25.69,25.31,23.47,22.84,23.62,23.44,21.66,21.25,22.84,23.75,22.31,21.12,22.38,23.97,22.97,21.0,20.97,21.5,20.19,17.44,16.66,17.59,17.88,16.09,15.34,16.88,17.91,17.12,16.16,17.91,19.53,19.34,18.47,19.56,22.06,22.81,22.16,22.53,24.72,25.59,24.06,22.94,23.75,23.94,21.62,19.16,19.44,20.0,18.91,17.09,17.41,19.41,20.0,19.19,19.47,20.91,21.69,19.69,18.25,19.22,20.75,20.06,19.41,20.81,22.78,22.34,19.91,19.03,18.84,11.25,10.59,11.88,14.84,17.22,18.56,20.41,23.25,24.88,24.28,23.22,23.09,23.34,21.66,20.19,20.69,22.06,22.31,21.75,22.56,24.31,25.34,24.94,25.12,26.97,28.62,28.5,28.06,29.66,31.19,30.91,30.12,30.38,30.72,29.62:32.94,32.88,32.88,34.84,36.41,34.88,31.19,29.22,28.56,27.03,25.03,24.09,24.81,24.47,21.56,19.09,19.12,20.03,19.38,18.5,20.38,23.44,24.5,24.69,26.09,28.81,29.84,29.44,29.25,31.56,33.28,32.66,31.19,31.5,31.06,27.81,24.12,22.66,22.81,22.19,21.5,21.84,24.0,24.69,23.47,21.91,22.69,23.0,20.97,19.03,19.41,20.81,20.16,18.66,19.38,21.38,21.19,19.59,19.25,21.38,22.38,22.03,21.91,23.75,25.19,23.91,22.28,22.38,23.84,23.28,21.75,21.53,22.97,22.53,20.25,18.69,18.59,17.88,15.25,12.53,13.25,14.22,13.59,12.62,13.88,16.31,17.06,16.25,16.81,19.03,19.62,18.28,17.88,20.41,21.88,21.78,21.38,23.66,25.84,25.78,24.84,25.31,26.72,26.06,23.25,21.12,20.56,18.41,14.59,11.28,11.44,11.94,10.94,10.34,12.56,15.44,16.38,16.47,18.34,21.06,22.16,21.28,21.81,23.84,24.41,22.69,21.53,22.41,22.94,21.53,19.34,19.53,20.09,19.28,17.31,17.25,18.97,19.28,18.03,17.72,19.31,20.16,18.5,16.69,17.66,18.62,18.0,16.38,16.94,18.22,17.88,16.66,17.06,19.12,19.78,18.38,17.38,18.19,18.91,17.69,16.75,18.81,21.72,22.62,22.78,24.38,26.38,26.31,24.5,23.94,25.16,25.75,24.19,23.5,24.97,25.97,25.06,23.69,24.59,26.69,27.31,26.81,28.28,30.47,31.09,28.97,27.91,28.22,27.84,25.44,23.19,23.72,24.12,23.03,20.84,20.94,22.25,21.91,20.03,20.25,21.44,21.44,19.44,18.16,20.09,21.28,20.59,20.25,22.16,24.25,23.97,22.75,23.56,25.19,24.88,23.47,23.03,24.25,24.72,23.06,22.25,23.84,25.03,23.81,22.31,23.22,24.59,24.38,23.53,24.12,25.44,25.09,22.5,21.16,21.44,21.41,19.28,18.25,19.28,20.59,19.91,18.25,18.59,19.88,19.88,19.16,20.47,23.38,25.34,25.44,26.5,29.22,30.66,29.03,26.97,26.72,26.38,23.84,21.03,20.34,20.84,20.03,18.25,18.09,19.62,19.78,18.03,17.5,18.31,19.38,18.06,16.56,16.94,18.16,17.69,17.0,18.66,21.72,23.5,23.41,24.47,26.34,27.47,25.91,24.69,25.16,25.56,23.62,21.31,21.34,22.59,22.19,21.09,22.5,24.84,25.38,24.19,23.75,24.38,24.75,23.03,22.38,24.41,27.56,29.0,30.16,32.91,35.84,36.12,34.25,33.41,33.38,31.88,28.62,26.41,26.31,25.81,23.56,21.38,21.59,22.66,21.81,20.94,21.56,23.44,23.69,22.25,21.81,23.28,24.25,23.75,23.75,25.69,27.16,26.28,24.81,25.06,26.31,25.06,23.47,23.25,24.44,23.97,22.41,22.09,23.81,25.12,24.94,24.97,27.22,29.25,28.28,26.94,26.91,27.62,26.28,23.97,22.62,22.69,21.72,19.62,19.34,21.34,23.47,22.66,21.81,22.59,23.72,23.06,22.44,24.06,27.16,28.75,28.97,30.25,32.44,33.0,30.91,29.12,29.34,29.56,28.03,26.59,27.44,28.91,28.5,27.28,27.47,28.41,27.03,24.31,22.0,21.75,20.97,19.0,18.25,20.12,22.44,22.72,23.19,25.16,27.81,27.81,26.44,25.66,26.34,26.0,24.56,24.62,26.59,27.81,26.06,24.56,24.78,25.28,23.38,21.19,20.12,19.75,17.91,15.31,14.31,15.03,14.94,13.56,13.0,15.47,18.5,20.41,22.0,25.44,28.78,28.19,26.03,25.22,25.19,23.91,21.88,21.38,23.06,23.97,23.53,23.56,26.09,28.03,27.5,26.62,26.81,27.31,25.75,23.38,22.47,23.84,24.16,24.59,26.5,31.53,35.31,36.75,37.97,40.31,41.84,40.59,38.38,36.25,33.69,28.25,21.53,16.59,14.62,12.94,11.31,11.22,13.59,16.22,16.66,18.09,22.06,26.78,29.41,31.47,34.53,37.84,39.0,38.72,39.34,41.66,42.25,40.38,38.19,37.0,34.47,30.0,25.31,23.5,22.19,19.59,16.5,15.53,16.06,15.59,14.44,14.94,17.47,19.69,20.12,21.09,24.59,27.78,28.62,28.72,30.28,32.03,31.34,29.41,28.53,28.5,27.22,23.94,21.47,20.69,19.69,16.91,15.12,16.41,18.62,19.59,20.06,22.94,26.38,27.53,27.19,27.47,28.44,27.72,24.88,22.53,21.94,20.97,17.84,15.53,16.06,17.44,17.66,17.62,19.56,22.09,23.0,22.06,22.03,23.34,23.38,21.47,20.28,22.09,24.41,25.34,26.66,30.81,35.12,36.94,37.41,38.75,40.38,39.75,37.16,34.84,34.0,32.03,28.62,25.53,25.41,26.06,25.69,25.09,27.28,30.56,31.94,31.84,32.84,34.47,34.56,32.25,30.94,31.69,31.5,29.59,27.81,28.09,29.28,28.5,27.53,29.06,31.66,32.19,30.84,30.09,29.88,28.09,24.78,22.38,22.62,23.25,21.88,20.16,20.69,21.12,19.31,16.75,16.91,18.41,19.28,19.5,21.75,25.31,28.34,28.66,29.44,32.0,34.31,34.88,34.84,36.81,38.69,38.59,36.62,35.84,36.16,35.5,33.03,32.16,33.25,34.12,32.75,31.72,32.72,33.31,31.97,29.28,28.38,28.19,26.16,23.19,21.78,22.25,21.75,20.19,20.59,23.34,26.19,26.94,27.62,29.78,31.97,31.38,29.78,30.47,31.91,31.03,28.03,26.16,24.72,21.97,17.38,14.75,15.34,16.59,16.72,16.94,19.53,22.72,23.97,24.31,27.41,31.31,33.97,34.75,36.03,38.34,39.69,38.38,37.41,38.62,40.12,38.78,36.75,36.31,35.81,33.25,29.5,27.09,26.97,25.31,22.28,20.91,21.47,21.62,19.75,18.47,20.19,22.12,22.0,21.75,22.84,24.75,24.31,22.16,21.31,22.03,21.66,19.16,18.22,19.38,20.25,18.56,17.28,17.69,18.06,16.12,12.97,12.03,12.06,11.12,9.22,9.31,11.25,12.88,12.25,12.69,15.59,18.38,19.09,19.53,22.0,24.38,24.38,22.78,23.44,25.31,26.12,25.69,26.47,28.88,30.25,28.78,28.22,29.62,30.59,28.78,26.44,25.78,25.81,23.75,21.56,21.19,22.81,23.47,23.0,23.84,26.44,27.69,25.75,23.31,23.03,22.78,21.22,20.06,22.12,25.47,27.12,27.69,29.62,32.56,33.75,32.97,32.69,34.31,35.34,33.62,32.16,32.47,32.19,29.12,25.28,23.28,22.22,19.34,15.5,14.12,14.94,16.09,16.38,18.56,22.62,26.66,27.72,28.81,31.69,34.91,35.72,35.09,35.19,35.81,33.84,30.34,28.22,27.94,27.12,24.31,22.72,23.47,24.53,23.81,23.16,24.5,26.28,25.69,24.09,23.84,24.66,23.97,21.94,21.22,22.5,23.16,20.94,19.19,19.31,19.38,17.62,16.12,17.44,20.41,21.22,21.28,22.75,25.59,27.0,26.41,25.75,27.22,27.16,24.16,21.72,21.72,22.56,21.25,19.44,19.38,20.16,18.62,15.59,14.53,15.31,16.06,15.16,15.5,17.97,19.69,19.22,18.47,20.22,22.84,23.03,23.19,24.84,27.66,28.34,27.28,27.69,29.34,29.47,27.72,26.06,26.84,27.0,25.25,23.94,25.06,26.91,26.06,24.19,23.47,24.22,23.0,20.19,18.47,18.91,18.41,16.78,16.31,19.06,23.19,25.31,27.12,30.22,33.38,33.59,32.12,32.12,33.47,32.91,30.12,28.06,27.75,27.25,24.84,23.94,25.44,27.44,26.94,25.81,26.31,26.97,25.38,22.72,21.91,22.69,23.06,21.69,21.34,23.28,24.94,24.62,24.25,26.78,29.78,30.62,30.28,32.06,34.53,34.06,31.91,30.81,31.06,29.66,26.53,23.94,24.25,23.88,21.81,20.16,21.34,23.28,22.62,21.56,21.94,22.88,21.94,19.56,18.22,18.94,18.59,16.5,15.62,17.44,19.28,19.38,18.75,19.75,21.34,20.09,17.72,17.12,18.53,18.44,16.97,16.28,17.78,17.72,15.38,13.31,13.94,15.19,14.72,14.03,15.59,17.78,17.91,16.81,17.12,19.16,19.66,18.62,18.34,20.34,21.66,20.91,20.09,21.34,23.03,22.41,21.12,21.66,23.75,24.22,23.56,24.53,27.06,28.0,26.62,25.47,26.34,26.16,23.94,21.0,20.62,21.19,19.88,18.25,19.12,21.31,22.25,22.12,23.16,26.03,27.69,27.66,27.62,30.06,32.19,32.16,31.06,31.62,32.34,30.5,27.47,26.59,27.78,27.81,26.16,26.03,27.59,27.53,25.22,23.34,23.47,24.12,22.75,21.69,23.19,25.69,25.31,23.47,22.84,23.62,23.44,21.66,21.25,22.84,23.75,22.31,21.12,22.38,23.97,22.97,21.0,20.97,21.5,20.19,17.44,16.66,17.59,17.88,16.09,15.34,16.88,17.91,17.12,16.16,17.91,19.53,19.34,18.47,19.56,22.06,22.81,22.16,22.53,24.72,25.59,24.06,22.94,23.75,23.94,21.62,19.16,19.44,20.0,18.91,17.09,17.41,19.41,20.0,19.19,19.47,20.91,21.69,19.69,18.25,19.22,20.75,20.06,19.41,20.81,22.78,22.34,19.91,19.03,18.84,11.25,10.59,11.88,14.84,17.22,18.56,20.41,23.25,24.88,24.28,23.22,23.09,23.34,21.66,20.19,20.69,22.06,22.31,21.75,22.56,24.31,25.34,24.94,25.12,26.97,28.62,28.5,28.06,29.66,31.19,30.91,30.12,30.38,30.72,29.62,27.59,26.75,27.09,26.84,25.31,24.03,24.75:positivity
22.72,21.28,20.56,21.31,23.88,27.84,30.62,31.91,32.31,32.66,31.59,29.88,28.59,29.34,30.78,32.06,33.72,36.03,38.28,39.06,38.34,37.91,37.34,35.53,32.72,30.03,28.47,26.88,25.5,24.72,25.94,27.34,27.84,28.5,29.5,30.25,30.06,28.47,26.97,25.81,24.38,22.22,20.59,20.34,19.88,19.22,18.47,19.25,20.06,20.03,20.22,20.84,22.44,23.59,24.41,25.69,27.56,28.78,28.69,28.41,28.84,29.28,28.62,28.16,28.53,28.59,28.06,27.25,26.97,27.0,26.91,26.47,27.09,28.78,30.66,32.44,34.5,37.41,40.06,41.81,42.31,42.88,43.03,42.25,40.41,39.0,38.44,37.44,36.62,37.12,38.56,40.41,41.34,41.88,42.62,43.25,42.94,42.03,41.84,41.75,41.44,40.59,40.38,40.66,40.53,39.34,38.06,37.5,37.44,36.59,36.25,36.84,37.25,36.69,34.75,33.06,31.22,28.81,25.56,23.12,22.0,21.66,21.16,21.62,23.34,24.78,25.19,25.16,25.28,25.22,24.41,23.25,22.97,23.66,24.44,24.88,25.19,26.44,27.19,27.09,27.19,28.25,30.28,31.5,31.97,33.38,34.62,35.31,34.97,34.78,34.97,34.78,33.5,32.38,32.69,33.25,33.06,33.25,33.84,34.75,34.22,33.41,32.88,32.66,31.72,29.81,28.59,27.88,27.72,27.06,27.59,29.78,32.69,35.22,37.84,41.19,44.19,46.25,46.88,47.47,47.59,46.56,44.34,42.12,40.28,38.81,36.59,34.5,33.31,32.06,30.59,29.56,29.69,30.25,30.91,31.03,30.97,31.09,31.41,30.97,31.03,31.94,32.81,32.5,31.66,31.19,30.56,29.31,28.0,27.28,27.62,28.0,27.88,28.62,30.06,31.38,31.47,31.47,31.78,32.16,31.44,30.72,30.56,31.0,31.09,30.31,29.69,29.16,28.34,27.03,26.5,27.06,28.56,28.94,29.44,30.66,31.88,32.28,32.94,34.09,35.31,36.22,36.03,35.5,34.81,33.69,31.94,30.34,29.75,29.41,28.47,27.31,26.59,26.38,26.38,26.03,26.31,26.62,26.75,25.72,24.66,24.06,23.66,22.06,20.84,20.28,20.06,19.03,18.25,17.84,18.81,19.34,19.72,20.34,21.25,21.97,21.41,20.97,20.75,20.25,19.34,19.09,20.34,22.41,24.16,25.84,27.47,29.12,30.28,30.69,31.53,32.72,33.28,33.19,33.09,33.81,34.75,35.28,35.38,35.5,35.56,34.81,33.62,32.25,31.66,31.03,29.88,28.59,28.41,27.84,26.41,24.84,23.5,22.88,21.94,21.25,21.44,22.84,23.88,24.75,26.12,28.12,30.12,30.75,31.06,31.16,30.75,29.06,27.16,26.53,27.25,27.91,28.72,30.53,32.75,33.94,33.84,33.12,32.91,31.78,30.22,28.81,28.38,28.59,27.91,27.06,26.84,26.62,26.16,25.47,24.84,25.34,26.22,26.56,26.97,28.16,28.91,28.91,28.62,28.88,29.34,29.41,29.19,29.84,31.56,32.97,33.84,34.09,34.34,33.28,30.88,28.44,26.78,25.19,23.69,22.41,22.81,24.28,25.38,26.72,28.72,30.97,33.0,33.94,34.16,34.47,33.69,31.66,29.81,28.75,28.0,26.62,25.19,24.38,24.09,24.38,24.38,25.12,26.59,27.72,28.34,28.75,29.97,30.88,30.38,28.78,27.78,26.59,25.19,23.94,23.53,24.19,25.06,25.0,25.16,25.97,25.94,25.34,24.56,24.81,24.97,24.31,23.09,22.31,21.69,20.53,19.19,18.03,17.78,17.78,17.31,17.34,19.12,21.0,22.25,22.91,23.84,24.47,24.28,23.5,23.5,24.34,24.81,24.66,24.66,25.62,26.78,27.25,27.5,29.06,30.31,31.09,31.0,31.72,32.41,31.94,30.38,29.12,27.81,26.56,24.09,22.25,21.75,21.66,21.28,21.53,23.0,25.28,26.53,27.0,28.12,28.88,29.0,27.88,27.12,27.19,27.0,25.94,25.47,26.5,28.09,29.09,30.38,32.12,34.12,34.47,34.47,34.0,33.16,32.0,29.56,27.62,26.97,26.62,25.53,25.0,25.25,26.28,26.75,27.5,28.84,30.31,30.59,29.91,29.59,29.94,30.56,30.62,31.41,33.03,34.41,34.31,33.66,33.47,33.72,33.34,33.03,33.81,35.12,35.78,34.88,33.53,32.62,31.59,30.34,29.88,31.44,33.72,35.03,36.06,37.69,39.41,40.19,40.34,41.5,43.22,43.69,43.25,42.62,41.88,40.34,37.72,34.78,32.56,30.38,27.25,23.94,21.69,20.19,18.75,17.09,16.62,16.94,17.38,16.97,17.06,18.22,19.38,19.12,19.03,19.53,20.72,21.06,21.88,23.72,26.69,29.16,30.69,32.34,33.59,33.88,31.94,29.59,27.84,25.75,22.59,19.91,18.25,16.94,15.28,13.53,12.5,12.75,13.06,13.53,14.66,16.56,18.03,18.0,18.09,19.16,20.75,21.44,22.59,24.0,25.66,26.03,25.38,24.75,24.94,24.97,24.03,23.34,23.25,23.34,21.75,20.28,19.75,19.5,18.06,16.66,16.16,16.62,17.28,18.12,19.94,22.97,25.06,25.59,25.66,26.19,26.5,25.88,25.59,26.41,27.88,28.06,27.81,28.0,28.19,27.66,26.12,24.75,24.31,23.34,21.12,18.62,17.12,16.03,14.38,13.5,14.28,16.19,17.44,18.88,20.38,22.16,22.75,21.78,20.53,19.88,19.75,19.22,19.47,20.53,22.47,23.22,24.16,26.0,28.06,28.66,27.69,25.78,24.62,22.94,20.62,19.53,20.25,21.09,21.38,21.41,21.81,22.09,20.78,19.06,18.0,18.25,18.34,17.94,17.78,18.19,18.22,16.94,15.41,15.38,14.94,14.28,14.0,14.5,16.25,17.31,17.91,18.12,18.66,18.34,16.84,15.44,15.12,15.06,14.72,14.84,16.25,18.06,19.38,19.97,20.22,20.72,19.72,18.12,16.59,16.81,16.66,16.59,16.44,17.78,19.06,19.5,20.03,21.31,22.81,23.41,24.12,25.38,27.34,28.62,28.72,28.5,28.38,27.34,25.78,24.53,24.06,23.53,22.34,20.59,20.06,19.84,19.62,19.97,20.75,22.56,23.09,22.44,20.84,19.56,17.69,15.31,13.22,12.62,12.53,12.12,11.41,10.94,10.84,10.0,7.75,6.0,5.06,3.75,2.12,0.97,2.0,4.28,6.56,9.56,13.66,17.41,19.88,21.06,22.38,23.62,24.59,24.84,25.56,26.69,27.31,26.53,24.84,24.09,22.84,21.06,19.22,18.12,17.19,16.09,14.62,14.28,14.75,15.44,16.0,16.59,18.16,19.78,20.69,20.88,22.34,23.38,23.97,24.16,24.34,24.84,24.53,23.56,22.56,22.12,21.34,19.59,17.66,16.88,16.22,15.22,14.41,14.91,15.53,15.72,15.12,14.88,15.12,15.12,14.59,14.94,15.94,16.53,15.78,14.75,14.03,13.72,13.47,13.88,16.12,18.69,20.88,21.91,22.84,23.28,23.19,22.31,21.59,21.88,22.41,21.81,21.12,20.84,20.38,19.22,17.59,16.69,16.44,15.94,14.78,14.12,13.84,13.38,11.78,10.25,9.78,9.81,9.47,9.41,10.84,12.25,13.0,12.88,12.88,13.34,13.22,12.25,11.81,11.84,11.75,11.0,10.78,11.84,14.0,16.22,19.0,22.19,25.53,26.97,26.09,24.09,21.94,19.78,17.66,17.06,18.31,20.06,21.09,21.31,21.28,20.91,19.5,17.34,15.91,15.41,15.53,15.53,16.34,17.59,18.62,18.25,17.41,16.88,16.78,17.03,17.5,19.56,22.44,24.5,25.59,26.28,26.94,26.22,24.94,23.88,23.62,24.09,24.06,24.31,24.84,25.5,25.19,24.16,23.53,23.22,22.84,22.06,22.22,22.88,23.44,23.28,23.09,23.12,23.34,22.72,22.06,21.66,21.47,20.91,20.03,19.62,19.59,19.41,18.53,17.56,17.03,16.84,16.28,16.66,18.16,20.62,22.53,24.31,26.03,27.62,28.81,28.81,28.72,28.75,28.75,27.84,26.5,26.06,25.31,23.5,21.5,20.44,20.44,20.25,20.72,21.88,23.91,25.69,26.47,27.28,28.31,29.06,28.69,28.19,28.25,28.19,27.75,27.59,27.28,27.72,27.09,25.91,24.91,24.31,23.88,22.75,22.12,22.44,22.62,22.41,22.53,23.12,23.88,24.03,23.75,23.28,23.31,22.53,21.22,19.97,20.0,19.88,19.84,20.03,21.53,23.31,23.88,23.94,23.56,23.06,21.41,19.12,17.31,16.09,14.84,13.38,12.41,12.59,14.03,15.22,16.72,18.88,21.16,22.47,22.59,23.09,23.62,23.25,22.44,21.03,20.25,18.94,16.78,14.78,14.0,13.97,13.66,13.62,14.91,17.09,18.47,19.41,20.16,21.09,21.5,21.0,20.25,20.5,20.31,19.28,17.91,16.91,16.53,15.5,14.72,15.31,16.81,18.12,18.41,18.91,19.09,18.5,16.94,15.41,14.91,15.0,15.19,15.69,17.31,19.34,21.0,22.19,24.0,26.09,27.59,28.25,28.38,28.59,28.72,28.09,27.19,27.66,27.22,25.72,23.31,20.88,18.22,15.5,12.47,10.47,9.91,10.34,11.12,12.78,15.25,17.78,18.5,17.94,17.75,17.56,17.5,17.41,18.56,20.66,22.03,22.0,21.69,21.41,20.12,18.09,15.91,14.56,14.31,13.81,13.75,15.06,16.59,17.69,18.38,19.53,21.72,23.78,25.22,26.81,28.09,28.56,27.16,24.97,22.81,21.25,19.56,18.41,18.88,20.84,23.0,24.12,25.5,27.28,28.25,27.94,27.28,26.81,25.97,24.34,22.41,21.75,22.38:31.91,32.31,32.66,31.59,29.88,28.59,29.34,30.78,32.06,33.72,36.03,38.28,39.06,38.34,37.91,37.34,35.53,32.72,30.03,28.47,26.88,25.5,24.72,25.94,27.34,27.84,28.5,29.5,30.25,30.06,28.47,26.97,25.81,24.38,22.22,20.59,20.34,19.88,19.22,18.47,19.25,20.06,20.03,20.22,20.84,22.44,23.59,24.41,25.69,27.56,28.78,28.69,28.41,28.84,29.28,28.62,28.16,28.53,28.59,28.06,27.25,26.97,27.0,26.91,26.47,27.09,28.78,30.66,32.44,34.5,37.41,40.06,41.81,42.31,42.88,43.03,42.25,40.41,39.0,38.44,37.44,36.62,37.12,38.56,40.41,41.34,41.88,42.62,43.25,42.94,42.03,41.84,41.75,41.44,40.59,40.38,40.66,40.53,39.34,38.06,37.5,37.44,36.59,36.25,36.84,37.25,36.69,34.75,33.06,31.22,28.81,25.56,23.12,22.0,21.66,21.16,21.62,23.34,24.78,25.19,25.16,25.28,25.22,24.41,23.25,22.97,23.66,24.44,24.88,25.19,26.44,27.19,27.09,27.19,28.25,30.28,31.5,31.97,33.38,34.62,35.31,34.97,34.78,34.97,34.78,33.5,32.38,32.69,33.25,33.06,33.25,33.84,34.75,34.22,33.41,32.88,32.66,31.72,29.81,28.59,27.88,27.72,27.06,27.59,29.78,32.69,35.22,37.84,41.19,44.19,46.25,46.88,47.47,47.59,46.56,44.34,42.12,40.28,38.81,36.59,34.5,33.31,32.06,30.59,29.56,29.69,30.25,30.91,31.03,30.97,31.09,31.41,30.97,31.03,31.94,32.81,32.5,31.66,31.19,30.56,29.31,28.0,27.28,27.62,28.0,27.88,28.62,30.06,31.38,31.47,31.47,31.78,32.16,31.44,30.72,30.56,31.0,31.09,30.31,29.69,29.16,28.34,27.03,26.5,27.06,28.56,28.94,29.44,30.66,31.88,32.28,32.94,34.09,35.31,36.22,36.03,35.5,34.81,33.69,31.94,30.34,29.75,29.41,28.47,27.31,26.59,26.38,26.38,26.03,26.31,26.62,26.75,25.72,24.66,24.06,23.66,22.06,20.84,20.28,20.06,19.03,18.25,17.84,18.81,19.34,19.72,20.34,21.25,21.97,21.41,20.97,20.75,20.25,19.34,19.09,20.34,22.41,24.16,25.84,27.47,29.12,30.28,30.69,31.53,32.72,33.28,33.19,33.09,33.81,34.75,35.28,35.38,35.5,35.56,34.81,33.62,32.25,31.66,31.03,29.88,28.59,28.41,27.84,26.41,24.84,23.5,22.88,21.94,21.25,21.44,22.84,23.88,24.75,26.12,28.12,30.12,30.75,31.06,31.16,30.75,29.06,27.16,26.53,27.25,27.91,28.72,30.53,32.75,33.94,33.84,33.12,32.91,31.78,30.22,28.81,28.38,28.59,27.91,27.06,26.84,26.62,26.16,25.47,24.84,25.34,26.22,26.56,26.97,28.16,28.91,28.91,28.62,28.88,29.34,29.41,29.19,29.84,31.56,32.97,33.84,34.09,34.34,33.28,30.88,28.44,26.78,25.19,23.69,22.41,22.81,24.28,25.38,26.72,28.72,30.97,33.0,33.94,34.16,34.47,33.69,31.66,29.81,28.75,28.0,26.62,25.19,24.38,24.09,24.38,24.38,25.12,26.59,27.72,28.34,28.75,29.97,30.88,30.38,28.78,27.78,26.59,25.19,23.94,23.53,24.19,25.06,25.0,25.16,25.97,25.94,25.34,24.56,24.81,24.97,24.31,23.09,22.31,21.69,20.53,19.19,18.03,17.78,17.78,17.31,17.34,19.12,21.0,22.25,22.91,23.84,24.47,24.28,23.5,23.5,24.34,24.81,24.66,24.66,25.62,26.78,27.25,27.5,29.06,30.31,31.09,31.0,31.72,32.41,31.94,30.38,29.12,27.81,26.56,24.09,22.25,21.75,21.66,21.28,21.53,23.0,25.28,26.53,27.0,28.12,28.88,29.0,27.88,27.12,27.19,27.0,25.94,25.47,26.5,28.09,29.09,30.38,32.12,34.12,34.47,34.47,34.0,33.16,32.0,29.56,27.62,26.97,26.62,25.53,25.0,25.25,26.28,26.75,27.5,28.84,30.31,30.59,29.91,29.59,29.94,30.56,30.62,31.41,33.03,34.41,34.31,33.66,33.47,33.72,33.34,33.03,33.81,35.12,35.78,34.88,33.53,32.62,31.59,30.34,29.88,31.44,33.72,35.03,36.06,37.69,39.41,40.19,40.34,41.5,43.22,43.69,43.25,42.62,41.88,40.34,37.72,34.78,32.56,30.38,27.25,23.94,21.69,20.19,18.75,17.09,16.62,16.94,17.38,16.97,17.06,18.22,19.38,19.12,19.03,19.53,20.72,21.06,21.88,23.72,26.69,29.16,30.69,32.34,33.59,33.88,31.94,29.59,27.84,25.75,22.59,19.91,18.25,16.94,15.28,13.53,12.5,12.75,13.06,13.53,14.66,16.56,18.03,18.0,18.09,19.16,20.75,21.44,22.59,24.0,25.66,26.03,25.38,24.75,24.94,24.97,24.03,23.34,23.25,23.34,21.75,20.28,19.75,19.5,18.06,16.66,16.16,16.62,17.28,18.12,19.94,22.97,25.06,25.59,25.66,26.19,26.5,25.88,25.59,26.41,27.88,28.06,27.81,28.0,28.19,27.66,26.12,24.75,24.31,23.34,21.12,18.62,17.12,16.03,14.38,13.5,14.28,16.19,17.44,18.88,20.38,22.16,22.75,21.78,20.53,19.88,19.75,19.22,19.47,20.53,22.47,23.22,24.16,26.0,28.06,28.66,27.69,25.78,24.62,22.94,20.62,19.53,20.25,21.09,21.38,21.41,21.81,22.09,20.78,19.06,18.0,18.25,18.34,17.94,17.78,18.19,18.22,16.94,15.41,15.38,14.94,14.28,14.0,14.5,16.25,17.31,17.91,18.12,18.66,18.34,16.84,15.44,15.12,15.06,14.72,14.84,16.25,18.06,19.38,19.97,20.22,20.72,19.72,18.12,16.59,16.81,16.66,16.59,16.44,17.78,19.06,19.5,20.03,21.31,22.81,23.41,24.12,25.38,27.34,28.62,28.72,28.5,28.38,27.34,25.78,24.53,24.06,23.53,22.34,20.59,20.06,19.84,19.62,19.97,20.75,22.56,23.09,22.44,20.84,19.56,17.69,15.31,13.22,12.62,12.53,12.12,11.41,10.94,10.84,10.0,7.75,6.0,5.06,3.75,2.12,0.97,2.0,4.28,6.56,9.56,13.66,17.41,19.88,21.06,22.38,23.62,24.59,24.84,25.56,26.69,27.31,26.53,24.84,24.09,22.84,21.06,19.22,18.12,17.19,16.09,14.62,14.28,14.75,15.44,16.0,16.59,18.16,19.78,20.69,20.88,22.34,23.38,23.97,24.16,24.34,24.84,24.53,23.56,22.56,22.12,21.34,19.59,17.66,16.88,16.22,15.22,14.41,14.91,15.53,15.72,15.12,14.88,15.12,15.12,14.59,14.94,15.94,16.53,15.78,14.75,14.03,13.72,13.47,13.88,16.12,18.69,20.88,21.91,22.84,23.28,23.19,22.31,21.59,21.88,22.41,21.81,21.12,20.84,20.38,19.22,17.59,16.69,16.44,15.94,14.78,14.12,13.84,13.38,11.78,10.25,9.78,9.81,9.47,9.41,10.84,12.25,13.0,12.88,12.88,13.34,13.22,12.25,11.81,11.84,11.75,11.0,10.78,11.84,14.0,16.22,19.0,22.19,25.53,26.97,26.09,24.09,21.94,19.78,17.66,17.06,18.31,20.06,21.09,21.31,21.28,20.91,19.5,17.34,15.91,15.41,15.53,15.53,16.34,17.59,18.62,18.25,17.41,16.88,16.78,17.03,17.5,19.56,22.44,24.5,25.59,26.28,26.94,26.22,24.94,23.88,23.62,24.09,24.06,24.31,24.84,25.5,25.19,24.16,23.53,23.22,22.84,22.06,22.22,22.88,23.44,23.28,23.09,23.12,23.34,22.72,22.06,21.66,21.47,20.91,20.03,19.62,19.59,19.41,18.53,17.56,17.03,16.84,16.28,16.66,18.16,20.62,22.53,24.31,26.03,27.62,28.81,28.81,28.72,28.75,28.75,27.84,26.5,26.06,25.31,23.5,21.5,20.44,20.44,20.25,20.72,21.88,23.91,25.69,26.47,27.28,28.31,29.06,28.69,28.19,28.25,28.19,27.75,27.59,27.28,27.72,27.09,25.91,24.91,24.31,23.88,22.75,22.12,22.44,22.62,22.41,22.53,23.12,23.88,24.03,23.75,23.28,23.31,22.53,21.22,19.97,20.0,19.88,19.84,20.03,21.53,23.31,23.88,23.94,23.56,23.06,21.41,19.12,17.31,16.09,14.84,13.38,12.41,12.59,14.03,15.22,16.72,18.88,21.16,22.47,22.59,23.09,23.62,23.25,22.44,21.03,20.25,18.94,16.78,14.78,14.0,13.97,13.66,13.62,14.91,17.09,18.47,19.41,20.16,21.09,21.5,21.0,20.25,20.5,20.31,19.28,17.91,16.91,16.53,15.5,14.72,15.31,16.81,18.12,18.41,18.91,19.09,18.5,16.94,15.41,14.91,15.0,15.19,15.69,17.31,19.34,21.0,22.19,24.0,26.09,27.59,28.25,28.38,28.59,28.72,28.09,27.19,27.66,27.22,25.72,23.31,20.88,18.22,15.5,12.47,10.47,9.91,10.34,11.12,12.78,15.25,17.78,18.5,17.94,17.75,17.56,17.5,17.41,18.56,20.66,22.03,22.0,21.69,21.41,20.12,18.09,15.91,14.56,14.31,13.81,13.75,15.06,16.59,17.69,18.38,19.53,21.72,23.78,25.22,26.81,28.09,28.56,27.16,24.97,22.81,21.25,19.56,18.41,18.88,20.84,23.0,24.12,25.5,27.28,28.25,27.94,27.28,26.81,25.97,24.34,22.41,21.75,22.38,30.31,28.44,27.31,27.25,28.0,29.59,30.59:30.78,32.06,33.72,36.03,38.28,39.06,38.34,37.91,37.34,35.53,32.72,30.03,28.47,26.88,25.5,24.72,25.94,27.34,27.84,28.5,29.5,30.25,30.06,28.47,26.97,25.81,24.38,22.22,20.59,20.34,19.88,19.22,18.47,19.25,20.06,20.03,20.22,20.84,22.44,23.59,24.41,25.69,27.56,28.78,28.69,28.41,28.84,29.28,28.62,28.16,28.53,28.59,28.06,27.25,26.97,27.0,26.91,26.47,27.09,28.78,30.66,32.44,34.5,37.41,40.06,41.81,42.31,42.88,43.03,42.25,40.41,39.0,38.44,37.44,36.62,37.12,38.56,40.41,41.34,41.88,42.62,43.25,42.94,42.03,41.84,41.75,41.44,40.59,40.38,40.66,40.53,39.34,38.06,37.5,37.44,36.59,36.25,36.84,37.25,36.69,34.75,33.06,31.22,28.81,25.56,23.12,22.0,21.66,21.16,21.62,23.34,24.78,25.19,25.16,25.28,25.22,24.41,23.25,22.97,23.66,24.44,24.88,25.19,26.44,27.19,27.09,27.19,28.25,30.28,31.5,31.97,33.38,34.62,35.31,34.97,34.78,34.97,34.78,33.5,32.38,32.69,33.25,33.06,33.25,33.84,34.75,34.22,33.41,32.88,32.66,31.72,29.81,28.59,27.88,27.72,27.06,27.59,29.78,32.69,35.22,37.84,41.19,44.19,46.25,46.88,47.47,47.59,46.56,44.34,42.12,40.28,38.81,36.59,34.5,33.31,32.06,30.59,29.56,29.69,30.25,30.91,31.03,30.97,31.09,31.41,30.97,31.03,31.94,32.81,32.5,31.66,31.19,30.56,29.31,28.0,27.28,27.62,28.0,27.88,28.62,30.06,31.38,31.47,31.47,31.78,32.16,31.44,30.72,30.56,31.0,31.09,30.31,29.69,29.16,28.34,27.03,26.5,27.06,28.56,28.94,29.44,30.66,31.88,32.28,32.94,34.09,35.31,36.22,36.03,35.5,34.81,33.69,31.94,30.34,29.75,29.41,28.47,27.31,26.59,26.38,26.38,26.03,26.31,26.62,26.75,25.72,24.66,24.06,23.66,22.06,20.84,20.28,20.06,19.03,18.25,17.84,18.81,19.34,19.72,20.34,21.25,21.97,21.41,20.97,20.75,20.25,19.34,19.09,20.34,22.41,24.16,25.84,27.47,29.12,30.28,30.69,31.53,32.72,33.28,33.19,33.09,33.81,34.75,35.28,35.38,35.5,35.56,34.81,33.62,32.25,31.66,31.03,29.88,28.59,28.41,27.84,26.41,24.84,23.5,22.88,21.94,21.25,21.44,22.84,23.88,24.75,26.12,28.12,30.12,30.75,31.06,31.16,30.75,29.06,27.16,26.53,27.25,27.91,28.72,30.53,32.75,33.94,33.84,33.12,32.91,31.78,30.22,28.81,28.38,28.59,27.91,27.06,26.84,26.62,26.16,25.47,24.84,25.34,26.22,26.56,26.97,28.16,28.91,28.91,28.62,28.88,29.34,29.41,29.19,29.84,31.56,32.97,33.84,34.09,34.34,33.28,30.88,28.44,26.78,25.19,23.69,22.41,22.81,24.28,25.38,26.72,28.72,30.97,33.0,33.94,34.16,34.47,33.69,31.66,29.81,28.75,28.0,26.62,25.19,24.38,24.09,24.38,24.38,25.12,26.59,27.72,28.34,28.75,29.97,30.88,30.38,28.78,27.78,26.59,25.19,23.94,23.53,24.19,25.06,25.0,25.16,25.97,25.94,25.34,24.56,24.81,24.97,24.31,23.09,22.31,21.69,20.53,19.19,18.03,17.78,17.78,17.31,17.34,19.12,21.0,22.25,22.91,23.84,24.47,24.28,23.5,23.5,24.34,24.81,24.66,24.66,25.62,26.78,27.25,27.5,29.06,30.31,31.09,31.0,31.72,32.41,31.94,30.38,29.12,27.81,26.56,24.09,22.25,21.75,21.66,21.28,21.53,23.0,25.28,26.53,27.0,28.12,28.88,29.0,27.88,27.12,27.19,27.0,25.94,25.47,26.5,28.09,29.09,30.38,32.12,34.12,34.47,34.47,34.0,33.16,32.0,29.56,27.62,26.97,26.62,25.53,25.0,25.25,26.28,26.75,27.5,28.84,30.31,30.59,29.91,29.59,29.94,30.56,30.62,31.41,33.03,34.41,34.31,33.66,33.47,33.72,33.34,33.03,33.81,35.12,35.78,34.88,33.53,32.62,31.59,30.34,29.88,31.44,33.72,35.03,36.06,37.69,39.41,40.19,40.34,41.5,43.22,43.69,43.25,42.62,41.88,40.34,37.72,34.78,32.56,30.38,27.25,23.94,21.69,20.19,18.75,17.09,16.62,16.94,17.38,16.97,17.06,18.22,19.38,19.12,19.03,19.53,20.72,21.06,21.88,23.72,26.69,29.16,30.69,32.34,33.59,33.88,31.94,29.59,27.84,25.75,22.59,19.91,18.25,16.94,15.28,13.53,12.5,12.75,13.06,13.53,14.66,16.56,18.03,18.0,18.09,19.16,20.75,21.44,22.59,24.0,25.66,26.03,25.38,24.75,24.94,24.97,24.03,23.34,23.25,23.34,21.75,20.28,19.75,19.5,18.06,16.66,16.16,16.62,17.28,18.12,19.94,22.97,25.06,25.59,25.66,26.19,26.5,25.88,25.59,26.41,27.88,28.06,27.81,28.0,28.19,27.66,26.12,24.75,24.31,23.34,21.12,18.62,17.12,16.03,14.38,13.5,14.28,16.19,17.44,18.88,20.38,22.16,22.75,21.78,20.53,19.88,19.75,19.22,19.47,20.53,22.47,23.22,24.16,26.0,28.06,28.66,27.69,25.78,24.62,22.94,20.62,19.53,20.25,21.09,21.38,21.41,21.81,22.09,20.78,19.06,18.0,18.25,18.34,17.94,17.78,18.19,18.22,16.94,15.41,15.38,14.94,14.28,14.0,14.5,16.25,17.31,17.91,18.12,18.66,18.34,16.84,15.44,15.12,15.06,14.72,14.84,16.25,18.06,19.38,19.97,20.22,20.72,19.72,18.12,16.59,16.81,16.66,16.59,16.44,17.78,19.06,19.5,20.03,21.31,22.81,23.41,24.12,25.38,27.34,28.62,28.72,28.5,28.38,27.34,25.78,24.53,24.06,23.53,22.34,20.59,20.06,19.84,19.62,19.97,20.75,22.56,23.09,22.44,20.84,19.56,17.69,15.31,13.22,12.62,12.53,12.12,11.41,10.94,10.84,10.0,7.75,6.0,5.06,3.75,2.12,0.97,2.0,4.28,6.56,9.56,13.66,17.41,19.88,21.06,22.38,23.62,24.59,24.84,25.56,26.69,27.31,26.53,24.84,24.09,22.84,21.06,19.22,18.12,17.19,16.09,14.62,14.28,14.75,15.44,16.0,16.59,18.16,19.78,20.69,20.88,22.34,23.38,23.97,24.16,24.34,24.84,24.53,23.56,22.56,22.12,21.34,19.59,17.66,16.88,16.22,15.22,14.41,14.91,15.53,15.72,15.12,14.88,15.12,15.12,14.59,14.94,15.94,16.53,15.78,14.75,14.03,13.72,13.47,13.88,16.12,18.69,20.88,21.91,22.84,23.28,23.19,22.31,21.59,21.88,22.41,21.81,21.12,20.84,20.38,19.22,17.59,16.69,16.44,15.94,14.78,14.12,13.84,13.38,11.78,10.25,9.78,9.81,9.47,9.41,10.84,12.25,13.0,12.88,12.88,13.34,13.22,12.25,11.81,11.84,11.75,11.0,10.78,11.84,14.0,16.22,19.0,22.19,25.53,26.97,26.09,24.09,21.94,19.78,17.66,17.06,18.31,20.06,21.09,21.31,21.28,20.91,19.5,17.34,15.91,15.41,15.53,15.53,16.34,17.59,18.62,18.25,17.41,16.88,16.78,17.03,17.5,19.56,22.44,24.5,25.59,26.28,26.94,26.22,24.94,23.88,23.62,24.09,24.06,24.31,24.84,25.5,25.19,24.16,23.53,23.22,22.84,22.06,22.22,22.88,23.44,23.28,23.09,23.12,23.34,22.72,22.06,21.66,21.47,20.91,20.03,19.62,19.59,19.41,18.53,17.56,17.03,16.84,16.28,16.66,18.16,20.62,22.53,24.31,26.03,27.62,28.81,28.81,28.72,28.75,28.75,27.84,26.5,26.06,25.31,23.5,21.5,20.44,20.44,20.25,20.72,21.88,23.91,25.69,26.47,27.28,28.31,29.06,28.69,28.19,28.25,28.19,27.75,27.59,27.28,27.72,27.09,25.91,24.91,24.31,23.88,22.75,22.12,22.44,22.62,22.41,22.53,23.12,23.88,24.03,23.75,23.28,23.31,22.53,21.22,19.97,20.0,19.88,19.84,20.03,21.53,23.31,23.88,23.94,23.56,23.06,21.41,19.12,17.31,16.09,14.84,13.38,12.41,12.59,14.03,15.22,16.72,18.88,21.16,22.47,22.59,23.09,23.62,23.25,22.44,21.03,20.25,18.94,16.78,14.78,14.0,13.97,13.66,13.62,14.91,17.09,18.47,19.41,20.16,21.09,21.5,21.0,20.25,20.5,20.31,19.28,17.91,16.91,16.53,15.5,14.72,15.31,16.81,18.12,18.41,18.91,19.09,18.5,16.94,15.41,14.91,15.0,15.19,15.69,17.31,19.34,21.0,22.19,24.0,26.09,27.59,28.25,28.38,28.59,28.72,28.09,27.19,27.66,27.22,25.72,23.31,20.88,18.22,15.5,12.47,10.47,9.91,10.34,11.12,12.78,15.25,17.78,18.5,17.94,17.75,17.56,17.5,17.41,18.56,20.66,22.03,22.0,21.69,21.41,20.12,18.09,15.91,14.56,14.31,13.81,13.75,15.06,16.59,17.69,18.38,19.53,21.72,23.78,25.22,26.81,28.09,28.56,27.16,24.97,22.81,21.25,19.56,18.41,18.88,20.84,23.0,24.12,25.5,27.28,28.25,27.94,27.28,26.81,25.97,24.34,22.41,21.75,22.38,30.31,28.44,27.31,27.25,28.0,29.59,30.59,30.88,30.25,29.47,28.22,26.88,25.84,25.88:37.91,37.34,35.53,32.72,30.03,28.47,26.88,25.5,24.72,25.94,27.34,27.84,28.5,29.5,30.25,30.06,28.47,26.97,25.81,24.38,22.22,20.59,20.34,19.88,19.22,18.47,19.25,20.06,20.03,20.22,20.84,22.44,23.59,24.41,25.69,27.56,28.78,28.69,28.41,28.84,29.28,28.62,28.16,28.53,28.59,28.06,27.25,26.97,27.0,26.91,26.47,27.09,28.78,30.66,32.44,34.5,37.41,40.06,41.81,42.31,42.88,43.03,42.25,40.41,39.0,38.44,37.44,36.62,37.12,38.56,40.41,41.34,41.88,42.62,43.25,42.94,42.03,41.84,41.75,41.44,40.59,40.38,40.66,40.53,39.34,38.06,37.5,37.44,36.59,36.25,36.84,37.25,36.69,34.75,33.06,31.22,28.81,25.56,23.12,22.0,21.66,21.16,21.62,23.34,24.78,25.19,25.16,25.28,25.22,24.41,23.25,22.97,23.66,24.44,24.88,25.19,26.44,27.19,27.09,27.19,28.25,30.28,31.5,31.97,33.38,34.62,35.31,34.97,34.78,34.97,34.78,33.5,32.38,32.69,33.25,33.06,33.25,33.84,34.75,34.22,33.41,32.88,32.66,31.72,29.81,28.59,27.88,27.72,27.06,27.59,29.78,32.69,35.22,37.84,41.19,44.19,46.25,46.88,47.47,47.59,46.56,44.34,42.12,40.28,38.81,36.59,34.5,33.31,32.06,30.59,29.56,29.69,30.25,30.91,31.03,30.97,31.09,31.41,30.97,31.03,31.94,32.81,32.5,31.66,31.19,30.56,29.31,28.0,27.28,27.62,28.0,27.88,28.62,30.06,31.38,31.47,31.47,31.78,32.16,31.44,30.72,30.56,31.0,31.09,30.31,29.69,29.16,28.34,27.03,26.5,27.06,28.56,28.94,29.44,30.66,31.88,32.28,32.94,34.09,35.31,36.22,36.03,35.5,34.81,33.69,31.94,30.34,29.75,29.41,28.47,27.31,26.59,26.38,26.38,26.03,26.31,26.62,26.75,25.72,24.66,24.06,23.66,22.06,20.84,20.28,20.06,19.03,18.25,17.84,18.81,19.34,19.72,20.34,21.25,21.97,21.41,20.97,20.75,20.25,19.34,19.09,20.34,22.41,24.16,25.84,27.47,29.12,30.28,30.69,31.53,32.72,33.28,33.19,33.09,33.81,34.75,35.28,35.38,35.5,35.56,34.81,33.62,32.25,31.66,31.03,29.88,28.59,28.41,27.84,26.41,24.84,23.5,22.88,21.94,21.25,21.44,22.84,23.88,24.75,26.12,28.12,30.12,30.75,31.06,31.16,30.75,29.06,27.16,26.53,27.25,27.91,28.72,30.53,32.75,33.94,33.84,33.12,32.91,31.78,30.22,28.81,28.38,28.59,27.91,27.06,26.84,26.62,26.16,25.47,24.84,25.34,26.22,26.56,26.97,28.16,28.91,28.91,28.62,28.88,29.34,29.41,29.19,29.84,31.56,32.97,33.84,34.09,34.34,33.28,30.88,28.44,26.78,25.19,23.69,22.41,22.81,24.28,25.38,26.72,28.72,30.97,33.0,33.94,34.16,34.47,33.69,31.66,29.81,28.75,28.0,26.62,25.19,24.38,24.09,24.38,24.38,25.12,26.59,27.72,28.34,28.75,29.97,30.88,30.38,28.78,27.78,26.59,25.19,23.94,23.53,24.19,25.06,25.0,25.16,25.97,25.94,25.34,24.56,24.81,24.97,24.31,23.09,22.31,21.69,20.53,19.19,18.03,17.78,17.78,17.31,17.34,19.12,21.0,22.25,22.91,23.84,24.47,24.28,23.5,23.5,24.34,24.81,24.66,24.66,25.62,26.78,27.25,27.5,29.06,30.31,31.09,31.0,31.72,32.41,31.94,30.38,29.12,27.81,26.56,24.09,22.25,21.75,21.66,21.28,21.53,23.0,25.28,26.53,27.0,28.12,28.88,29.0,27.88,27.12,27.19,27.0,25.94,25.47,26.5,28.09,29.09,30.38,32.12,34.12,34.47,34.47,34.0,33.16,32.0,29.56,27.62,26.97,26.62,25.53,25.0,25.25,26.28,26.75,27.5,28.84,30.31,30.59,29.91,29.59,29.94,30.56,30.62,31.41,33.03,34.41,34.31,33.66,33.47,33.72,33.34,33.03,33.81,35.12,35.78,34.88,33.53,32.62,31.59,30.34,29.88,31.44,33.72,35.03,36.06,37.69,39.41,40.19,40.34,41.5,43.22,43.69,43.25,42.62,41.88,40.34,37.72,34.78,32.56,30.38,27.25,23.94,21.69,20.19,18.75,17.09,16.62,16.94,17.38,16.97,17.06,18.22,19.38,19.12,19.03,19.53,20.72,21.06,21.88,23.72,26.69,29.16,30.69,32.34,33.59,33.88,31.94,29.59,27.84,25.75,22.59,19.91,18.25,16.94,15.28,13.53,12.5,12.75,13.06,13.53,14.66,16.56,18.03,18.0,18.09,19.16,20.75,21.44,22.59,24.0,25.66,26.03,25.38,24.75,24.94,24.97,24.03,23.34,23.25,23.34,21.75,20.28,19.75,19.5,18.06,16.66,16.16,16.62,17.28,18.12,19.94,22.97,25.06,25.59,25.66,26.19,26.5,25.88,25.59,26.41,27.88,28.06,27.81,28.0,28.19,27.66,26.12,24.75,24.31,23.34,21.12,18.62,17.12,16.03,14.38,13.5,14.28,16.19,17.44,18.88,20.38,22.16,22.75,21.78,20.53,19.88,19.75,19.22,19.47,20.53,22.47,23.22,24.16,26.0,28.06,28.66,27.69,25.78,24.62,22.94,20.62,19.53,20.25,21.09,21.38,21.41,21.81,22.09,20.78,19.06,18.0,18.25,18.34,17.94,17.78,18.19,18.22,16.94,15.41,15.38,14.94,14.28,14.0,14.5,16.25,17.31,17.91,18.12,18.66,18.34,16.84,15.44,15.12,15.06,14.72,14.84,16.25,18.06,19.38,19.97,20.22,20.72,19.72,18.12,16.59,16.81,16.66,16.59,16.44,17.78,19.06,19.5,20.03,21.31,22.81,23.41,24.12,25.38,27.34,28.62,28.72,28.5,28.38,27.34,25.78,24.53,24.06,23.53,22.34,20.59,20.06,19.84,19.62,19.97,20.75,22.56,23.09,22.44,20.84,19.56,17.69,15.31,13.22,12.62,12.53,12.12,11.41,10.94,10.84,10.0,7.75,6.0,5.06,3.75,2.12,0.97,2.0,4.28,6.56,9.56,13.66,17.41,19.88,21.06,22.38,23.62,24.59,24.84,25.56,26.69,27.31,26.53,24.84,24.09,22.84,21.06,19.22,18.12,17.19,16.09,14.62,14.28,14.75,15.44,16.0,16.59,18.16,19.78,20.69,20.88,22.34,23.38,23.97,24.16,24.34,24.84,24.53,23.56,22.56,22.12,21.34,19.59,17.66,16.88,16.22,15.22,14.41,14.91,15.53,15.72,15.12,14.88,15.12,15.12,14.59,14.94,15.94,16.53,15.78,14.75,14.03,13.72,13.47,13.88,16.12,18.69,20.88,21.91,22.84,23.28,23.19,22.31,21.59,21.88,22.41,21.81,21.12,20.84,20.38,19.22,17.59,16.69,16.44,15.94,14.78,14.12,13.84,13.38,11.78,10.25,9.78,9.81,9.47,9.41,10.84,12.25,13.0,12.88,12.88,13.34,13.22,12.25,11.81,11.84,11.75,11.0,10.78,11.84,14.0,16.22,19.0,22.19,25.53,26.97,26.09,24.09,21.94,19.78,17.66,17.06,18.31,20.06,21.09,21.31,21.28,20.91,19.5,17.34,15.91,15.41,15.53,15.53,16.34,17.59,18.62,18.25,17.41,16.88,16.78,17.03,17.5,19.56,22.44,24.5,25.59,26.28,26.94,26.22,24.94,23.88,23.62,24.09,24.06,24.31,24.84,25.5,25.19,24.16,23.53,23.22,22.84,22.06,22.22,22.88,23.44,23.28,23.09,23.12,23.34,22.72,22.06,21.66,21.47,20.91,20.03,19.62,19.59,19.41,18.53,17.56,17.03,16.84,16.28,16.66,18.16,20.62,22.53,24.31,26.03,27.62,28.81,28.81,28.72,28.75,28.75,27.84,26.5,26.06,25.31,23.5,21.5,20.44,20.44,20.25,20.72,21.88,23.91,25.69,26.47,27.28,28.31,29.06,28.69,28.19,28.25,28.19,27.75,27.59,27.28,27.72,27.09,25.91,24.91,24.31,23.88,22.75,22.12,22.44,22.62,22.41,22.53,23.12,23.88,24.03,23.75,23.28,23.31,22.53,21.22,19.97,20.0,19.88,19.84,20.03,21.53,23.31,23.88,23.94,23.56,23.06,21.41,19.12,17.31,16.09,14.84,13.38,12.41,12.59,14.03,15.22,16.72,18.88,21.16,22.47,22.59,23.09,23.62,23.25,22.44,21.03,20.25,18.94,16.78,14.78,14.0,13.97,13.66,13.62,14.91,17.09,18.47,19.41,20.16,21.09,21.5,21.0,20.25,20.5,20.31,19.28,17.91,16.91,16.53,15.5,14.72,15.31,16.81,18.12,18.41,18.91,19.09,18.5,16.94,15.41,14.91,15.0,15.19,15.69,17.31,19.34,21.0,22.19,24.0,26.09,27.59,28.25,28.38,28.59,28.72,28.09,27.19,27.66,27.22,25.72,23.31,20.88,18.22,15.5,12.47,10.47,9.91,10.34,11.12,12.78,15.25,17.78,18.5,17.94,17.75,17.56,17.5,17.41,18.56,20.66,22.03,22.0,21.69,21.41,20.12,18.09,15.91,14.56,14.31,13.81,13.75,15.06,16.59,17.69,18.38,19.53,21.72,23.78,25.22,26.81,28.09,28.56,27.16,24.97,22.81,21.25,19.56,18.41,18.88,20.84,23.0,24.12,25.5,27.28,28.25,27.94,27.28,26.81,25.97,24.34,22.41,21.75,22.38,30.31,28.44,27.31,27.25,28.0,29.59,30.59,30.88,30.25,29.47,28.22,26.88,25.84,25.88,26.59,28.12,29.75,31.47,33.53,34.84,35.25:25.5,24.72,25.94,27.34,27.84,28.5,29.5,30.25,30.06,28.47,26.97,25.81,24.38,22.22,20.59,20.34,19.88,19.22,18.47,19.25,20.06,20.03,20.22,20.84,22.44,23.59,24.41,25.69,27.56,28.78,28.69,28.41,28.84,29.28,28.62,28.16,28.53,28.59,28.06,27.25,26.97,27.0,26.91,26.47,27.09,28.78,30.66,32.44,34.5,37.41,40.06,41.81,42.31,42.88,43.03,42.25,40.41,39.0,38.44,37.44,36.62,37.12,38.56,40.41,41.34,41.88,42.62,43.25,42.94,42.03,41.84,41.75,41.44,40.59,40.38,40.66,40.53,39.34,38.06,37.5,37.44,36.59,36.25,36.84,37.25,36.69,34.75,33.06,31.22,28.81,25.56,23.12,22.0,21.66,21.16,21.62,23.34,24.78,25.19,25.16,25.28,25.22,24.41,23.25,22.97,23.66,24.44,24.88,25.19,26.44,27.19,27.09,27.19,28.25,30.28,31.5,31.97,33.38,34.62,35.31,34.97,34.78,34.97,34.78,33.5,32.38,32.69,33.25,33.06,33.25,33.84,34.75,34.22,33.41,32.88,32.66,31.72,29.81,28.59,27.88,27.72,27.06,27.59,29.78,32.69,35.22,37.84,41.19,44.19,46.25,46.88,47.47,47.59,46.56,44.34,42.12,40.28,38.81,36.59,34.5,33.31,32.06,30.59,29.56,29.69,30.25,30.91,31.03,30.97,31.09,31.41,30.97,31.03,31.94,32.81,32.5,31.66,31.19,30.56,29.31,28.0,27.28,27.62,28.0,27.88,28.62,30.06,31.38,31.47,31.47,31.78,32.16,31.44,30.72,30.56,31.0,31.09,30.31,29.69,29.16,28.34,27.03,26.5,27.06,28.56,28.94,29.44,30.66,31.88,32.28,32.94,34.09,35.31,36.22,36.03,35.5,34.81,33.69,31.94,30.34,29.75,29.41,28.47,27.31,26.59,26.38,26.38,26.03,26.31,26.62,26.75,25.72,24.66,24.06,23.66,22.06,20.84,20.28,20.06,19.03,18.25,17.84,18.81,19.34,19.72,20.34,21.25,21.97,21.41,20.97,20.75,20.25,19.34,19.09,20.34,22.41,24.16,25.84,27.47,29.12,30.28,30.69,31.53,32.72,33.28,33.19,33.09,33.81,34.75,35.28,35.38,35.5,35.56,34.81,33.62,32.25,31.66,31.03,29.88,28.59,28.41,27.84,26.41,24.84,23.5,22.88,21.94,21.25,21.44,22.84,23.88,24.75,26.12,28.12,30.12,30.75,31.06,31.16,30.75,29.06,27.16,26.53,27.25,27.91,28.72,30.53,32.75,33.94,33.84,33.12,32.91,31.78,30.22,28.81,28.38,28.59,27.91,27.06,26.84,26.62,26.16,25.47,24.84,25.34,26.22,26.56,26.97,28.16,28.91,28.91,28.62,28.88,29.34,29.41,29.19,29.84,31.56,32.97,33.84,34.09,34.34,33.28,30.88,28.44,26.78,25.19,23.69,22.41,22.81,24.28,25.38,26.72,28.72,30.97,33.0,33.94,34.16,34.47,33.69,31.66,29.81,28.75,28.0,26.62,25.19,24.38,24.09,24.38,24.38,25.12,26.59,27.72,28.34,28.75,29.97,30.88,30.38,28.78,27.78,26.59,25.19,23.94,23.53,24.19,25.06,25.0,25.16,25.97,25.94,25.34,24.56,24.81,24.97,24.31,23.09,22.31,21.69,20.53,19.19,18.03,17.78,17.78,17.31,17.34,19.12,21.0,22.25,22.91,23.84,24.47,24.28,23.5,23.5,24.34,24.81,24.66,24.66,25.62,26.78,27.25,27.5,29.06,30.31,31.09,31.0,31.72,32.41,31.94,30.38,29.12,27.81,26.56,24.09,22.25,21.75,21.66,21.28,21.53,23.0,25.28,26.53,27.0,28.12,28.88,29.0,27.88,27.12,27.19,27.0,25.94,25.47,26.5,28.09,29.09,30.38,32.12,34.12,34.47,34.47,34.0,33.16,32.0,29.56,27.62,26.97,26.62,25.53,25.0,25.25,26.28,26.75,27.5,28.84,30.31,30.59,29.91,29.59,29.94,30.56,30.62,31.41,33.03,34.41,34.31,33.66,33.47,33.72,33.34,33.03,33.81,35.12,35.78,34.88,33.53,32.62,31.59,30.34,29.88,31.44,33.72,35.03,36.06,37.69,39.41,40.19,40.34,41.5,43.22,43.69,43.25,42.62,41.88,40.34,37.72,34.78,32.56,30.38,27.25,23.94,21.69,20.19,18.75,17.09,16.62,16.94,17.38,16.97,17.06,18.22,19.38,19.12,19.03,19.53,20.72,21.06,21.88,23.72,26.69,29.16,30.69,32.34,33.59,33.88,31.94,29.59,27.84,25.75,22.59,19.91,18.25,16.94,15.28,13.53,12.5,12.75,13.06,13.53,14.66,16.56,18.03,18.0,18.09,19.16,20.75,21.44,22.59,24.0,25.66,26.03,25.38,24.75,24.94,24.97,24.03,23.34,23.25,23.34,21.75,20.28,19.75,19.5,18.06,16.66,16.16,16.62,17.28,18.12,19.94,22.97,25.06,25.59,25.66,26.19,26.5,25.88,25.59,26.41,27.88,28.06,27.81,28.0,28.19,27.66,26.12,24.75,24.31,23.34,21.12,18.62,17.12,16.03,14.38,13.5,14.28,16.19,17.44,18.88,20.38,22.16,22.75,21.78,20.53,19.88,19.75,19.22,19.47,20.53,22.47,23.22,24.16,26.0,28.06,28.66,27.69,25.78,24.62,22.94,20.62,19.53,20.25,21.09,21.38,21.41,21.81,22.09,20.78,19.06,18.0,18.25,18.34,17.94,17.78,18.19,18.22,16.94,15.41,15.38,14.94,14.28,14.0,14.5,16.25,17.31,17.91,18.12,18.66,18.34,16.84,15.44,15.12,15.06,14.72,14.84,16.25,18.06,19.38,19.97,20.22,20.72,19.72,18.12,16.59,16.81,16.66,16.59,16.44,17.78,19.06,19.5,20.03,21.31,22.81,23.41,24.12,25.38,27.34,28.62,28.72,28.5,28.38,27.34,25.78,24.53,24.06,23.53,22.34,20.59,20.06,19.84,19.62,19.97,20.75,22.56,23.09,22.44,20.84,19.56,17.69,15.31,13.22,12.62,12.53,12.12,11.41,10.94,10.84,10.0,7.75,6.0,5.06,3.75,2.12,0.97,2.0,4.28,6.56,9.56,13.66,17.41,19.88,21.06,22.38,23.62,24.59,24.84,25.56,26.69,27.31,26.53,24.84,24.09,22.84,21.06,19.22,18.12,17.19,16.09,14.62,14.28,14.75,15.44,16.0,16.59,18.16,19.78,20.69,20.88,22.34,23.38,23.97,24.16,24.34,24.84,24.53,23.56,22.56,22.12,21.34,19.59,17.66,16.88,16.22,15.22,14.41,14.91,15.53,15.72,15.12,14.88,15.12,15.12,14.59,14.94,15.94,16.53,15.78,14.75,14.03,13.72,13.47,13.88,16.12,18.69,20.88,21.91,22.84,23.28,23.19,22.31,21.59,21.88,22.41,21.81,21.12,20.84,20.38,19.22,17.59,16.69,16.44,15.94,14.78,14.12,13.84,13.38,11.78,10.25,9.78,9.81,9.47,9.41,10.84,12.25,13.0,12.88,12.88,13.34,13.22,12.25,11.81,11.84,11.75,11.0,10.78,11.84,14.0,16.22,19.0,22.19,25.53,26.97,26.09,24.09,21.94,19.78,17.66,17.06,18.31,20.06,21.09,21.31,21.28,20.91,19.5,17.34,15.91,15.41,15.53,15.53,16.34,17.59,18.62,18.25,17.41,16.88,16.78,17.03,17.5,19.56,22.44,24.5,25.59,26.28,26.94,26.22,24.94,23.88,23.62,24.09,24.06,24.31,24.84,25.5,25.19,24.16,23.53,23.22,22.84,22.06,22.22,22.88,23.44,23.28,23.09,23.12,23.34,22.72,22.06,21.66,21.47,20.91,20.03,19.62,19.59,19.41,18.53,17.56,17.03,16.84,16.28,16.66,18.16,20.62,22.53,24.31,26.03,27.62,28.81,28.81,28.72,28.75,28.75,27.84,26.5,26.06,25.31,23.5,21.5,20.44,20.44,20.25,20.72,21.88,23.91,25.69,26.47,27.28,28.31,29.06,28.69,28.19,28.25,28.19,27.75,27.59,27.28,27.72,27.09,25.91,24.91,24.31,23.88,22.75,22.12,22.44,22.62,22.41,22.53,23.12,23.88,24.03,23.75,23.28,23.31,22.53,21.22,19.97,20.0,19.88,19.84,20.03,21.53,23.31,23.88,23.94,23.56,23.06,21.41,19.12,17.31,16.09,14.84,13.38,12.41,12.59,14.03,15.22,16.72,18.88,21.16,22.47,22.59,23.09,23.62,23.25,22.44,21.03,20.25,18.94,16.78,14.78,14.0,13.97,13.66,13.62,14.91,17.09,18.47,19.41,20.16,21.09,21.5,21.0,20.25,20.5,20.31,19.28,17.91,16.91,16.53,15.5,14.72,15.31,16.81,18.12,18.41,18.91,19.09,18.5,16.94,15.41,14.91,15.0,15.19,15.69,17.31,19.34,21.0,22.19,24.0,26.09,27.59,28.25,28.38,28.59,28.72,28.09,27.19,27.66,27.22,25.72,23.31,20.88,18.22,15.5,12.47,10.47,9.91,10.34,11.12,12.78,15.25,17.78,18.5,17.94,17.75,17.56,17.5,17.41,18.56,20.66,22.03,22.0,21.69,21.41,20.12,18.09,15.91,14.56,14.31,13.81,13.75,15.06,16.59,17.69,18.38,19.53,21.72,23.78,25.22,26.81,28.09,28.56,27.16,24.97,22.81,21.25,19.56,18.41,18.88,20.84,23.0,24.12,25.5,27.28,28.25,27.94,27.28,26.81,25.97,24.34,22.41,21.75,22.38,30.31,28.44,27.31,27.25,28.0,29.59,30.59,30.88,30.25,29.47,28.22,26.88,25.84,25.88,26.59,28.12,29.75,31.47,33.53,34.84,35.25,35.72,36.0,35.75,34.94,33.88,32.5,30.78:30.25,30.06,28.47,26.97,25.81,24.38,22.22,20.59,20.34,19.88,19.22,18.47,19.25,20.06,20.03,20.22,20.84,22.44,23.59,24.41,25.69,27.56,28.78,28.69,28.41,28.84,29.28,28.62,28.16,28.53,28.59,28.06,27.25,26.97,27.0,26.91,26.47,27.09,28.78,30.66,32.44,34.5,37.41,40.06,41.81,42.31,42.88,43.03,42.25,40.41,39.0,38.44,37.44,36.62,37.12,38.56,40.41,41.34,41.88,42.62,43.25,42.94,42.03,41.84,41.75,41.44,40.59,40.38,40.66,40.53,39.34,38.06,37.5,37.44,36.59,36.25,36.84,37.25,36.69,34.75,33.06,31.22,28.81,25.56,23.12,22.0,21.66,21.16,21.62,23.34,24.78,25.19,25.16,25.28,25.22,24.41,23.25,22.97,23.66,24.44,24.88,25.19,26.44,27.19,27.09,27.19,28.25,30.28,31.5,31.97,33.38,34.62,35.31,34.97,34.78,34.97,34.78,33.5,32.38,32.69,33.25,33.06,33.25,33.84,34.75,34.22,33.41,32.88,32.66,31.72,29.81,28.59,27.88,27.72,27.06,27.59,29.78,32.69,35.22,37.84,41.19,44.19,46.25,46.88,47.47,47.59,46.56,44.34,42.12,40.28,38.81,36.59,34.5,33.31,32.06,30.59,29.56,29.69,30.25,30.91,31.03,30.97,31.09,31.41,30.97,31.03,31.94,32.81,32.5,31.66,31.19,30.56,29.31,28.0,27.28,27.62,28.0,27.88,28.62,30.06,31.38,31.47,31.47,31.78,32.16,31.44,30.72,30.56,31.0,31.09,30.31,29.69,29.16,28.34,27.03,26.5,27.06,28.56,28.94,29.44,30.66,31.88,32.28,32.94,34.09,35.31,36.22,36.03,35.5,34.81,33.69,31.94,30.34,29.75,29.41,28.47,27.31,26.59,26.38,26.38,26.03,26.31,26.62,26.75,25.72,24.66,24.06,23.66,22.06,20.84,20.28,20.06,19.03,18.25,17.84,18.81,19.34,19.72,20.34,21.25,21.97,21.41,20.97,20.75,20.25,19.34,19.09,20.34,22.41,24.16,25.84,27.47,29.12,30.28,30.69,31.53,32.72,33.28,33.19,33.09,33.81,34.75,35.28,35.38,35.5,35.56,34.81,33.62,32.25,31.66,31.03,29.88,28.59,28.41,27.84,26.41,24.84,23.5,22.88,21.94,21.25,21.44,22.84,23.88,24.75,26.12,28.12,30.12,30.75,31.06,31.16,30.75,29.06,27.16,26.53,27.25,27.91,28.72,30.53,32.75,33.94,33.84,33.12,32.91,31.78,30.22,28.81,28.38,28.59,27.91,27.06,26.84,26.62,26.16,25.47,24.84,25.34,26.22,26.56,26.97,28.16,28.91,28.91,28.62,28.88,29.34,29.41,29.19,29.84,31.56,32.97,33.84,34.09,34.34,33.28,30.88,28.44,26.78,25.19,23.69,22.41,22.81,24.28,25.38,26.72,28.72,30.97,33.0,33.94,34.16,34.47,33.69,31.66,29.81,28.75,28.0,26.62,25.19,24.38,24.09,24.38,24.38,25.12,26.59,27.72,28.34,28.75,29.97,30.88,30.38,28.78,27.78,26.59,25.19,23.94,23.53,24.19,25.06,25.0,25.16,25.97,25.94,25.34,24.56,24.81,24.97,24.31,23.09,22.31,21.69,20.53,19.19,18.03,17.78,17.78,17.31,17.34,19.12,21.0,22.25,22.91,23.84,24.47,24.28,23.5,23.5,24.34,24.81,24.66,24.66,25.62,26.78,27.25,27.5,29.06,30.31,31.09,31.0,31.72,32.41,31.94,30.38,29.12,27.81,26.56,24.09,22.25,21.75,21.66,21.28,21.53,23.0,25.28,26.53,27.0,28.12,28.88,29.0,27.88,27.12,27.19,27.0,25.94,25.47,26.5,28.09,29.09,30.38,32.12,34.12,34.47,34.47,34.0,33.16,32.0,29.56,27.62,26.97,26.62,25.53,25.0,25.25,26.28,26.75,27.5,28.84,30.31,30.59,29.91,29.59,29.94,30.56,30.62,31.41,33.03,34.41,34.31,33.66,33.47,33.72,33.34,33.03,33.81,35.12,35.78,34.88,33.53,32.62,31.59,30.34,29.88,31.44,33.72,35.03,36.06,37.69,39.41,40.19,40.34,41.5,43.22,43.69,43.25,42.62,41.88,40.34,37.72,34.78,32.56,30.38,27.25,23.94,21.69,20.19,18.75,17.09,16.62,16.94,17.38,16.97,17.06,18.22,19.38,19.12,19.03,19.53,20.72,21.06,21.88,23.72,26.69,29.16,30.69,32.34,33.59,33.88,31.94,29.59,27.84,25.75,22.59,19.91,18.25,16.94,15.28,13.53,12.5,12.75,13.06,13.53,14.66,16.56,18.03,18.0,18.09,19.16,20.75,21.44,22.59,24.0,25.66,26.03,25.38,24.75,24.94,24.97,24.03,23.34,23.25,23.34,21.75,20.28,19.75,19.5,18.06,16.66,16.16,16.62,17.28,18.12,19.94,22.97,25.06,25.59,25.66,26.19,26.5,25.88,25.59,26.41,27.88,28.06,27.81,28.0,28.19,27.66,26.12,24.75,24.31,23.34,21.12,18.62,17.12,16.03,14.38,13.5,14.28,16.19,17.44,18.88,20.38,22.16,22.75,21.78,20.53,19.88,19.75,19.22,19.47,20.53,22.47,23.22,24.16,26.0,28.06,28.66,27.69,25.78,24.62,22.94,20.62,19.53,20.25,21.09,21.38,21.41,21.81,22.09,20.78,19.06,18.0,18.25,18.34,17.94,17.78,18.19,18.22,16.94,15.41,15.38,14.94,14.28,14.0,14.5,16.25,17.31,17.91,18.12,18.66,18.34,16.84,15.44,15.12,15.06,14.72,14.84,16.25,18.06,19.38,19.97,20.22,20.72,19.72,18.12,16.59,16.81,16.66,16.59,16.44,17.78,19.06,19.5,20.03,21.31,22.81,23.41,24.12,25.38,27.34,28.62,28.72,28.5,28.38,27.34,25.78,24.53,24.06,23.53,22.34,20.59,20.06,19.84,19.62,19.97,20.75,22.56,23.09,22.44,20.84,19.56,17.69,15.31,13.22,12.62,12.53,12.12,11.41,10.94,10.84,10.0,7.75,6.0,5.06,3.75,2.12,0.97,2.0,4.28,6.56,9.56,13.66,17.41,19.88,21.06,22.38,23.62,24.59,24.84,25.56,26.69,27.31,26.53,24.84,24.09,22.84,21.06,19.22,18.12,17.19,16.09,14.62,14.28,14.75,15.44,16.0,16.59,18.16,19.78,20.69,20.88,22.34,23.38,23.97,24.16,24.34,24.84,24.53,23.56,22.56,22.12,21.34,19.59,17.66,16.88,16.22,15.22,14.41,14.91,15.53,15.72,15.12,14.88,15.12,15.12,14.59,14.94,15.94,16.53,15.78,14.75,14.03,13.72,13.47,13.88,16.12,18.69,20.88,21.91,22.84,23.28,23.19,22.31,21.59,21.88,22.41,21.81,21.12,20.84,20.38,19.22,17.59,16.69,16.44,15.94,14.78,14.12,13.84,13.38,11.78,10.25,9.78,9.81,9.47,9.41,10.84,12.25,13.0,12.88,12.88,13.34,13.22,12.25,11.81,11.84,11.75,11.0,10.78,11.84,14.0,16.22,19.0,22.19,25.53,26.97,26.09,24.09,21.94,19.78,17.66,17.06,18.31,20.06,21.09,21.31,21.28,20.91,19.5,17.34,15.91,15.41,15.53,15.53,16.34,17.59,18.62,18.25,17.41,16.88,16.78,17.03,17.5,19.56,22.44,24.5,25.59,26.28,26.94,26.22,24.94,23.88,23.62,24.09,24.06,24.31,24.84,25.5,25.19,24.16,23.53,23.22,22.84,22.06,22.22,22.88,23.44,23.28,23.09,23.12,23.34,22.72,22.06,21.66,21.47,20.91,20.03,19.62,19.59,19.41,18.53,17.56,17.03,16.84,16.28,16.66,18.16,20.62,22.53,24.31,26.03,27.62,28.81,28.81,28.72,28.75,28.75,27.84,26.5,26.06,25.31,23.5,21.5,20.44,20.44,20.25,20.72,21.88,23.91,25.69,26.47,27.28,28.31,29.06,28.69,28.19,28.25,28.19,27.75,27.59,27.28,27.72,27.09,25.91,24.91,24.31,23.88,22.75,22.12,22.44,22.62,22.41,22.53,23.12,23.88,24.03,23.75,23.28,23.31,22.53,21.22,19.97,20.0,19.88,19.84,20.03,21.53,23.31,23.88,23.94,23.56,23.06,21.41,19.12,17.31,16.09,14.84,13.38,12.41,12.59,14.03,15.22,16.72,18.88,21.16,22.47,22.59,23.09,23.62,23.25,22.44,21.03,20.25,18.94,16.78,14.78,14.0,13.97,13.66,13.62,14.91,17.09,18.47,19.41,20.16,21.09,21.5,21.0,20.25,20.5,20.31,19.28,17.91,16.91,16.53,15.5,14.72,15.31,16.81,18.12,18.41,18.91,19.09,18.5,16.94,15.41,14.91,15.0,15.19,15.69,17.31,19.34,21.0,22.19,24.0,26.09,27.59,28.25,28.38,28.59,28.72,28.09,27.19,27.66,27.22,25.72,23.31,20.88,18.22,15.5,12.47,10.47,9.91,10.34,11.12,12.78,15.25,17.78,18.5,17.94,17.75,17.56,17.5,17.41,18.56,20.66,22.03,22.0,21.69,21.41,20.12,18.09,15.91,14.56,14.31,13.81,13.75,15.06,16.59,17.69,18.38,19.53,21.72,23.78,25.22,26.81,28.09,28.56,27.16,24.97,22.81,21.25,19.56,18.41,18.88,20.84,23.0,24.12,25.5,27.28,28.25,27.94,27.28,26.81,25.97,24.34,22.41,21.75,22.38,30.31,28.44,27.31,27.25,28.0,29.59,30.59,30.88,30.25,29.47,28.22,26.88,25.84,25.88,26.59,28.12,29.75,31.47,33.53,34.84,35.25,35.72,36.0,35.75,34.94,33.88,32.5,30.78,29.12,27.41,25.88,24.91,23.81,22.75,22.09:20.59,20.34,19.88,19.22,18.47,19.25,20.06,20.03,20.22,20.84,22.44,23.59,24.41,25.69,27.56,28.78,28.69,28.41,28.84,29.28,28.62,28.16,28.53,28.59,28.06,27.25,26.97,27.0,26.91,26.47,27.09,28.78,30.66,32.44,34.5,37.41,40.06,41.81,42.31,42.88,43.03,42.25,40.41,39.0,38.44,37.44,36.62,37.12,38.56,40.41,41.34,41.88,42.62,43.25,42.94,42.03,41.84,41.75,41.44,40.59,40.38,40.66,40.53,39.34,38.06,37.5,37.44,36.59,36.25,36.84,37.25,36.69,34.75,33.06,31.22,28.81,25.56,23.12,22.0,21.66,21.16,21.62,23.34,24.78,25.19,25.16,25.28,25.22,24.41,23.25,22.97,23.66,24.44,24.88,25.19,26.44,27.19,27.09,27.19,28.25,30.28,31.5,31.97,33.38,34.62,35.31,34.97,34.78,34.97,34.78,33.5,32.38,32.69,33.25,33.06,33.25,33.84,34.75,34.22,33.41,32.88,32.66,31.72,29.81,28.59,27.88,27.72,27.06,27.59,29.78,32.69,35.22,37.84,41.19,44.19,46.25,46.88,47.47,47.59,46.56,44.34,42.12,40.28,38.81,36.59,34.5,33.31,32.06,30.59,29.56,29.69,30.25,30.91,31.03,30.97,31.09,31.41,30.97,31.03,31.94,32.81,32.5,31.66,31.19,30.56,29.31,28.0,27.28,27.62,28.0,27.88,28.62,30.06,31.38,31.47,31.47,31.78,32.16,31.44,30.72,30.56,31.0,31.09,30.31,29.69,29.16,28.34,27.03,26.5,27.06,28.56,28.94,29.44,30.66,31.88,32.28,32.94,34.09,35.31,36.22,36.03,35.5,34.81,33.69,31.94,30.34,29.75,29.41,28.47,27.31,26.59,26.38,26.38,26.03,26.31,26.62,26.75,25.72,24.66,24.06,23.66,22.06,20.84,20.28,20.06,19.03,18.25,17.84,18.81,19.34,19.72,20.34,21.25,21.97,21.41,20.97,20.75,20.25,19.34,19.09,20.34,22.41,24.16,25.84,27.47,29.12,30.28,30.69,31.53,32.72,33.28,33.19,33.09,33.81,34.75,35.28,35.38,35.5,35.56,34.81,33.62,32.25,31.66,31.03,29.88,28.59,28.41,27.84,26.41,24.84,23.5,22.88,21.94,21.25,21.44,22.84,23.88,24.75,26.12,28.12,30.12,30.75,31.06,31.16,30.75,29.06,27.16,26.53,27.25,27.91,28.72,30.53,32.75,33.94,33.84,33.12,32.91,31.78,30.22,28.81,28.38,28.59,27.91,27.06,26.84,26.62,26.16,25.47,24.84,25.34,26.22,26.56,26.97,28.16,28.91,28.91,28.62,28.88,29.34,29.41,29.19,29.84,31.56,32.97,33.84,34.09,34.34,33.28,30.88,28.44,26.78,25.19,23.69,22.41,22.81,24.28,25.38,26.72,28.72,30.97,33.0,33.94,34.16,34.47,33.69,31.66,29.81,28.75,28.0,26.62,25.19,24.38,24.09,24.38,24.38,25.12,26.59,27.72,28.34,28.75,29.97,30.88,30.38,28.78,27.78,26.59,25.19,23.94,23.53,24.19,25.06,25.0,25.16,25.97,25.94,25.34,24.56,24.81,24.97,24.31,23.09,22.31,21.69,20.53,19.19,18.03,17.78,17.78,17.31,17.34,19.12,21.0,22.25,22.91,23.84,24.47,24.28,23.5,23.5,24.34,24.81,24.66,24.66,25.62,26.78,27.25,27.5,29.06,30.31,31.09,31.0,31.72,32.41,31.94,30.38,29.12,27.81,26.56,24.09,22.25,21.75,21.66,21.28,21.53,23.0,25.28,26.53,27.0,28.12,28.88,29.0,27.88,27.12,27.19,27.0,25.94,25.47,26.5,28.09,29.09,30.38,32.12,34.12,34.47,34.47,34.0,33.16,32.0,29.56,27.62,26.97,26.62,25.53,25.0,25.25,26.28,26.75,27.5,28.84,30.31,30.59,29.91,29.59,29.94,30.56,30.62,31.41,33.03,34.41,34.31,33.66,33.47,33.72,33.34,33.03,33.81,35.12,35.78,34.88,33.53,32.62,31.59,30.34,29.88,31.44,33.72,35.03,36.06,37.69,39.41,40.19,40.34,41.5,43.22,43.69,43.25,42.62,41.88,40.34,37.72,34.78,32.56,30.38,27.25,23.94,21.69,20.19,18.75,17.09,16.62,16.94,17.38,16.97,17.06,18.22,19.38,19.12,19.03,19.53,20.72,21.06,21.88,23.72,26.69,29.16,30.69,32.34,33.59,33.88,31.94,29.59,27.84,25.75,22.59,19.91,18.25,16.94,15.28,13.53,12.5,12.75,13.06,13.53,14.66,16.56,18.03,18.0,18.09,19.16,20.75,21.44,22.59,24.0,25.66,26.03,25.38,24.75,24.94,24.97,24.03,23.34,23.25,23.34,21.75,20.28,19.75,19.5,18.06,16.66,16.16,16.62,17.28,18.12,19.94,22.97,25.06,25.59,25.66,26.19,26.5,25.88,25.59,26.41,27.88,28.06,27.81,28.0,28.19,27.66,26.12,24.75,24.31,23.34,21.12,18.62,17.12,16.03,14.38,13.5,14.28,16.19,17.44,18.88,20.38,22.16,22.75,21.78,20.53,19.88,19.75,19.22,19.47,20.53,22.47,23.22,24.16,26.0,28.06,28.66,27.69,25.78,24.62,22.94,20.62,19.53,20.25,21.09,21.38,21.41,21.81,22.09,20.78,19.06,18.0,18.25,18.34,17.94,17.78,18.19,18.22,16.94,15.41,15.38,14.94,14.28,14.0,14.5,16.25,17.31,17.91,18.12,18.66,18.34,16.84,15.44,15.12,15.06,14.72,14.84,16.25,18.06,19.38,19.97,20.22,20.72,19.72,18.12,16.59,16.81,16.66,16.59,16.44,17.78,19.06,19.5,20.03,21.31,22.81,23.41,24.12,25.38,27.34,28.62,28.72,28.5,28.38,27.34,25.78,24.53,24.06,23.53,22.34,20.59,20.06,19.84,19.62,19.97,20.75,22.56,23.09,22.44,20.84,19.56,17.69,15.31,13.22,12.62,12.53,12.12,11.41,10.94,10.84,10.0,7.75,6.0,5.06,3.75,2.12,0.97,2.0,4.28,6.56,9.56,13.66,17.41,19.88,21.06,22.38,23.62,24.59,24.84,25.56,26.69,27.31,26.53,24.84,24.09,22.84,21.06,19.22,18.12,17.19,16.09,14.62,14.28,14.75,15.44,16.0,16.59,18.16,19.78,20.69,20.88,22.34,23.38,23.97,24.16,24.34,24.84,24.53,23.56,22.56,22.12,21.34,19.59,17.66,16.88,16.22,15.22,14.41,14.91,15.53,15.72,15.12,14.88,15.12,15.12,14.59,14.94,15.94,16.53,15.78,14.75,14.03,13.72,13.47,13.88,16.12,18.69,20.88,21.91,22.84,23.28,23.19,22.31,21.59,21.88,22.41,21.81,21.12,20.84,20.38,19.22,17.59,16.69,16.44,15.94,14.78,14.12,13.84,13.38,11.78,10.25,9.78,9.81,9.47,9.41,10.84,12.25,13.0,12.88,12.88,13.34,13.22,12.25,11.81,11.84,11.75,11.0,10.78,11.84,14.0,16.22,19.0,22.19,25.53,26.97,26.09,24.09,21.94,19.78,17.66,17.06,18.31,20.06,21.09,21.31,21.28,20.91,19.5,17.34,15.91,15.41,15.53,15.53,16.34,17.59,18.62,18.25,17.41,16.88,16.78,17.03,17.5,19.56,22.44,24.5,25.59,26.28,26.94,26.22,24.94,23.88,23.62,24.09,24.06,24.31,24.84,25.5,25.19,24.16,23.53,23.22,22.84,22.06,22.22,22.88,23.44,23.28,23.09,23.12,23.34,22.72,22.06,21.66,21.47,20.91,20.03,19.62,19.59,19.41,18.53,17.56,17.03,16.84,16.28,16.66,18.16,20.62,22.53,24.31,26.03,27.62,28.81,28.81,28.72,28.75,28.75,27.84,26.5,26.06,25.31,23.5,21.5,20.44,20.44,20.25,20.72,21.88,23.91,25.69,26.47,27.28,28.31,29.06,28.69,28.19,28.25,28.19,27.75,27.59,27.28,27.72,27.09,25.91,24.91,24.31,23.88,22.75,22.12,22.44,22.62,22.41,22.53,23.12,23.88,24.03,23.75,23.28,23.31,22.53,21.22,19.97,20.0,19.88,19.84,20.03,21.53,23.31,23.88,23.94,23.56,23.06,21.41,19.12,17.31,16.09,14.84,13.38,12.41,12.59,14.03,15.22,16.72,18.88,21.16,22.47,22.59,23.09,23.62,23.25,22.44,21.03,20.25,18.94,16.78,14.78,14.0,13.97,13.66,13.62,14.91,17.09,18.47,19.41,20.16,21.09,21.5,21.0,20.25,20.5,20.31,19.28,17.91,16.91,16.53,15.5,14.72,15.31,16.81,18.12,18.41,18.91,19.09,18.5,16.94,15.41,14.91,15.0,15.19,15.69,17.31,19.34,21.0,22.19,24.0,26.09,27.59,28.25,28.38,28.59,28.72,28.09,27.19,27.66,27.22,25.72,23.31,20.88,18.22,15.5,12.47,10.47,9.91,10.34,11.12,12.78,15.25,17.78,18.5,17.94,17.75,17.56,17.5,17.41,18.56,20.66,22.03,22.0,21.69,21.41,20.12,18.09,15.91,14.56,14.31,13.81,13.75,15.06,16.59,17.69,18.38,19.53,21.72,23.78,25.22,26.81,28.09,28.56,27.16,24.97,22.81,21.25,19.56,18.41,18.88,20.84,23.0,24.12,25.5,27.28,28.25,27.94,27.28,26.81,25.97,24.34,22.41,21.75,22.38,30.31,28.44,27.31,27.25,28.0,29.59,30.59,30.88,30.25,29.47,28.22,26.88,25.84,25.88,26.59,28.12,29.75,31.47,33.53,34.84,35.25,35.72,36.0,35.75,34.94,33.88,32.5,30.78,29.12,27.41,25.88,24.91,23.81,22.75,22.09,21.56,21.06,20.06,19.56,19.19,19.0,18.78:positivity
29.94,31.28,31.38,29.38,28.12,28.75,28.78,26.25,23.06,22.03,21.56,20.47,19.94,22.72,27.0,29.47,29.91,29.69,29.75,27.97,23.66,20.41,20.12,21.0,20.53,20.72,23.31,26.22,27.34,26.91,27.84,29.97,30.53,29.22,28.5,28.97,28.25,24.38,20.09,18.06,17.09,14.88,13.62,15.47,18.69,20.28,20.53,21.94,24.62,25.5,24.53,24.5,26.72,28.69,29.0,29.28,31.41,33.28,32.12,29.53,28.69,28.25,26.09,23.03,22.12,23.25,23.56,22.53,21.81,23.25,23.97,22.84,21.12,21.66,22.25,20.59,17.72,17.09,18.19,18.03,17.0,17.47,19.12,19.94,18.47,17.47,18.88,20.47,20.0,19.09,19.62,20.66,19.06,15.97,13.91,13.0,11.09,7.53,5.97,7.62,9.81,10.22,11.94,15.5,19.59,20.84,20.88,22.16,23.75,23.06,21.16,21.0,22.19,22.38,20.78,19.53,20.31,20.66,18.97,17.5,18.69,20.41,20.38,19.44,19.88,21.0,20.22,18.28,17.72,19.62,20.84,20.38,20.19,21.88,23.41,21.84,19.41,18.84,18.75,16.44,13.91,13.59,14.84,15.0,13.47,13.34,14.88,15.81,14.0,13.0,14.0,14.84,13.81,12.41,13.53,15.0,14.91,13.44,13.5,15.12,15.59,14.34,14.06,15.97,17.06,15.75,14.12,14.88,15.72,14.78,13.22,13.72,15.44,15.31,14.06,14.31,16.19,17.41,16.09,15.53,16.81,17.88,16.09,14.5,14.53,15.34,13.66,11.56,11.66,13.16,13.16,11.91,11.38,12.28,12.34,10.12,8.75,9.97,11.84,11.69,11.75,13.91,17.47,18.62,19.38,21.78,25.28,26.88,25.41,23.72,23.19,20.44,15.72,11.62,10.09,9.62,7.97,6.69,8.59,12.16,14.38,16.16,19.5,23.81,26.47,26.44,26.59,28.41,29.66,28.5,27.31,28.0,28.88,26.69,23.56,21.81,20.69,17.84,13.81,11.19,10.81,10.66,9.06,8.66,11.53,14.59,15.25,16.22,19.94,24.25,26.09,26.81,28.72,31.03,31.19,29.34,28.38,29.06,28.47,24.91,21.47,20.09,19.06,15.97,13.44,13.91,15.94,15.91,15.41,16.22,18.19,18.59,17.53,17.47,19.81,21.97,22.25,22.56,25.16,27.44,26.59,24.69,24.12,25.06,24.22,22.91,23.62,26.28,27.66,27.09,27.38,29.94,31.81,31.25,29.59,29.66,28.94,25.22,20.06,17.31,16.41,14.22,11.53,10.78,12.31,13.09,12.28,12.78,16.09,19.22,20.06,20.59,22.97,25.81,26.81,26.75,28.62,31.53,31.88,30.44,28.81,28.41,27.09,23.09,20.25,20.12,19.88,17.81,15.41,14.97,15.53,14.78,13.03,13.41,15.78,16.44,15.53,15.81,17.88,19.09,18.34,17.81,19.81,22.16,21.91,20.88,21.56,22.94,22.38,19.97,18.59,19.12,17.44,13.94,11.25,11.25,11.44,10.25,9.22,10.97,13.22,12.94,11.69,12.62,15.12,16.06,16.06,17.22,19.97,20.62,18.72,16.38,16.69,16.25,14.34,12.91,14.38,16.38,16.66,15.53,15.5,16.53,15.22,11.97,9.5,8.5,7.44,5.03,3.47,5.56,8.44,9.88,11.0,13.97,17.88,19.47,19.59,21.0,24.0,25.22,24.47,23.88,25.03,24.91,22.19,19.47,19.22,19.0,17.5,15.38,15.91,18.06,18.78,18.31,19.12,20.94,21.09,17.84,14.78,13.62,12.75,10.06,8.41,9.62,11.69,11.84,11.16,12.47,15.44,16.88,17.22,18.97,22.41,24.03,22.5,20.81,20.62,19.81,17.44,15.28,15.62,17.28,16.91,15.91,16.75,19.38,20.81,20.34,20.75,22.56,22.81,20.44,17.66,17.38,17.06,14.94,12.72,13.22,14.94,15.56,15.06,16.44,19.09,19.88,17.97,16.5,17.22,17.66,15.88,13.97,14.66,14.84,13.34,11.0,11.25,12.84,13.19,11.88,11.94,13.66,14.91,13.69,13.06,14.19,14.53,12.69,11.34,12.94,15.62,16.53,16.34,17.41,18.75,18.28,15.53,13.91,14.09,13.78,11.91,10.94,12.66,14.38,13.81,12.34,12.59,13.0,11.72,9.81,9.91,12.0,13.44,12.88,13.16,14.94,16.16,14.62,13.03,13.78,14.38,12.78,11.31,12.38,15.16,16.84,17.97,20.44,23.72,24.84,22.44,19.72,18.28,16.22,12.56,10.06,10.53,12.47,12.78,12.38,13.41,15.09,14.62,12.62,12.25,13.09,13.47,11.34,9.62,9.59,9.62,7.41,5.0,5.25,6.22,5.34,4.28,5.34,7.88,9.31,9.28,10.22,12.59,13.91,12.41,11.19,12.19,13.22,12.0,10.16,10.44,11.16,9.91,7.75,6.91,7.16,6.59,4.53,3.62,4.72,6.41,5.47,4.56,5.69,7.19,6.19,4.56,4.81,6.12,6.12,4.69,4.97,6.75,8.12,7.0,6.88,7.81,8.06,5.56,3.06,2.56,3.41,2.72,2.03,3.66,6.5,7.66,7.72,7.91,9.44,10.34,9.06,8.56,10.34,12.5,11.91,10.91,11.16,11.91,10.19,7.91,6.84,7.25,6.09,3.75,2.22,2.34,1.91,-0.72,-3.19,-3.19,-2.53,-2.47,-1.69,1.44,6.16,8.69,9.47,11.0,13.03,13.34,11.81,11.12,12.38,13.12,11.38,9.72,9.53,9.25,7.0,4.03,3.03,3.66,3.12,1.88,1.84,3.12,2.66,-0.25,-2.06,-1.56,-0.03,0.16,0.38,3.12,6.09,6.81,6.31,7.12,8.84,8.72,6.56,5.16,5.25,4.53,2.25,0.44,0.5,0.91,-1.09,-3.94,-5.28,-5.41,-6.56,-7.84,-6.66,-2.59,1.62,4.0,7.41,12.0,15.06,14.91,14.28,14.69,15.19,13.34,10.53,8.59,7.62,4.34,-0.47,-3.78,-4.62,-5.5,-7.22,-6.72,-3.41,0.0,1.91,3.69,6.81,10.12,10.69,9.97,9.91,10.72,9.56,7.31,6.41,7.53,8.53,7.16,6.41,6.84,6.94,4.28,1.53,0.91,1.56,1.09,0.09,0.66,3.12,4.25,4.03,4.62,7.47,8.88,8.31,7.5,9.03,10.72,10.34,9.22,9.53,11.03,10.34,8.5,7.75,8.66,8.25,6.84,5.91,7.31,8.38,7.47,5.41,5.53,5.53,3.19,0.0,-1.69,-1.56,-2.22,-3.5,-3.06,-0.84,0.81,0.38,0.38,2.53,4.41,3.62,2.03,1.97,2.22,0.53,-1.5,-1.69,-0.06,0.69,-0.03,0.19,1.81,3.03,2.09,1.0,1.91,2.53,0.78,-1.75,-2.06,-0.94,-0.88,-1.69,-0.88,1.44,2.09,1.12,0.5,1.81,2.69,1.53,0.19,1.34,2.84,2.25,1.44,2.09,4.03,4.16,2.38,1.41,1.78,1.16,-0.94,-1.91,-0.56,0.84,-0.22,-1.69,-1.5,-0.78,-1.69,-3.44,-3.34,-2.12,-2.34,-3.84,-4.47,-3.12,-2.16,-2.97,-3.5,-1.34,1.38,1.66,1.72,3.47,5.5,5.31,3.62,3.31,4.28,4.06,2.12,0.91,1.66,2.06,0.62,-0.59,0.78,2.06,1.09,-0.56,-0.38,0.69,0.16,-1.47,-2.44,-1.78,-2.59,-4.41,-4.78,-1.88,1.19,2.12,2.59,3.62,4.09,2.19,-0.81,-1.22,-0.75,-1.22,-2.97,-3.5,-2.41,-1.5,-2.22,-2.38,-0.38,1.06,0.38,-0.91,0.06,2.19,2.88,2.56,4.19,6.69,7.91,6.91,6.28,6.28,4.88,0.81,-3.38,-4.84,-4.56,-4.88,-4.44,-1.0,4.03,7.12,8.88,11.09,13.75,15.19,13.84,12.75,13.28,12.91,9.44,5.66,4.06,2.88,0.06,-2.91,-3.91,-3.09,-2.97,-3.59,-1.81,2.47,6.41,7.78,9.34,12.25,14.34,13.62,12.16,12.53,12.78,10.75,6.84,4.38,2.88,0.12,-3.75,-6.34,-6.66,-7.34,-9.34,-9.69,-6.81,-2.31,0.69,4.06,8.62,12.69,14.06,13.03,13.16,14.47,15.09,14.06,14.28,16.06,16.5,14.19,11.16,9.66,8.53,5.34,2.16,1.91,3.22,3.38,2.0,1.78,2.78,2.38,-0.03,-0.97,0.62,2.53,2.28,2.59,5.34,9.19,11.25,12.28,14.44,16.59,16.34,13.41,11.56,10.94,10.03,7.03,5.41,6.16,7.44,6.59,5.84,7.06,9.16,9.44,8.12,8.62,10.06,10.38,9.19,9.28,11.97,14.31,14.5,14.69,16.72,18.53,17.06,14.72,13.91,14.28,13.34,11.62,11.72,13.31,13.5,10.81,9.09,8.59,8.28,6.0,4.22,5.31,7.16,7.06,6.56,8.19,11.28,12.81,13.16,14.5,16.53,17.16,14.72,12.56,11.88,10.81,7.44,4.38,3.59,3.78,2.56,1.03,1.34,3.94,5.28,5.09,6.19,8.81,10.28,8.81,7.38,7.78,7.66,5.0,1.75,0.31,0.25,-1.56,-4.0,-4.25,-2.16,-1.75,-2.69,-2.94,-1.25,-0.25,-1.91,-3.25,-2.19,-0.09,0.19,0.34,2.97,6.25,7.19,6.19,6.25,7.62,7.91,6.38,5.75,7.28,8.59,7.28,6.22,7.31,8.53,7.56,4.97,3.91,4.16,3.34,1.56,1.03,2.88,3.53,1.56,0.22,1.31,3.22,3.09,3.44,5.53,8.28,8.5,7.09,7.16,8.19,8.25,6.69,6.41,8.19,8.94,7.12,5.41,5.88,6.56,4.69,2.84,2.56,3.31,2.25,0.44,0.5,2.5,3.06,2.03,1.81,3.53,4.75,3.81,2.69,4.06,6.03,5.62,4.91,6.0,8.0,7.97,6.62,6.53,7.81,8.47,7.12,6.56,8.16,9.12,7.5:26.25,23.06,22.03,21.56,20.47,19.94,22.72,27.0,29.47,29.91,29.69,29.75,27.97,23.66,20.41,20.12,21.0,20.53,20.72,23.31,26.22,27.34,26.91,27.84,29.97,30.53,29.22,28.5,28.97,28.25,24.38,20.09,18.06,17.09,14.88,13.62,15.47,18.69,20.28,20.53,21.94,24.62,25.5,24.53,24.5,26.72,28.69,29.0,29.28,31.41,33.28,32.12,29.53,28.69,28.25,26.09,23.03,22.12,23.25,23.56,22.53,21.81,23.25,23.97,22.84,21.12,21.66,22.25,20.59,17.72,17.09,18.19,18.03,17.0,17.47,19.12,19.94,18.47,17.47,18.88,20.47,20.0,19.09,19.62,20.66,19.06,15.97,13.91,13.0,11.09,7.53,5.97,7.62,9.81,10.22,11.94,15.5,19.59,20.84,20.88,22.16,23.75,23.06,21.16,21.0,22.19,22.38,20.78,19.53,20.31,20.66,18.97,17.5,18.69,20.41,20.38,19.44,19.88,21.0,20.22,18.28,17.72,19.62,20.84,20.38,20.19,21.88,23.41,21.84,19.41,18.84,18.75,16.44,13.91,13.59,14.84,15.0,13.47,13.34,14.88,15.81,14.0,13.0,14.0,14.84,13.81,12.41,13.53,15.0,14.91,13.44,13.5,15.12,15.59,14.34,14.06,15.97,17.06,15.75,14.12,14.88,15.72,14.78,13.22,13.72,15.44,15.31,14.06,14.31,16.19,17.41,16.09,15.53,16.81,17.88,16.09,14.5,14.53,15.34,13.66,11.56,11.66,13.16,13.16,11.91,11.38,12.28,12.34,10.12,8.75,9.97,11.84,11.69,11.75,13.91,17.47,18.62,19.38,21.78,25.28,26.88,25.41,23.72,23.19,20.44,15.72,11.62,10.09,9.62,7.97,6.69,8.59,12.16,14.38,16.16,19.5,23.81,26.47,26.44,26.59,28.41,29.66,28.5,27.31,28.0,28.88,26.69,23.56,21.81,20.69,17.84,13.81,11.19,10.81,10.66,9.06,8.66,11.53,14.59,15.25,16.22,19.94,24.25,26.09,26.81,28.72,31.03,31.19,29.34,28.38,29.06,28.47,24.91,21.47,20.09,19.06,15.97,13.44,13.91,15.94,15.91,15.41,16.22,18.19,18.59,17.53,17.47,19.81,21.97,22.25,22.56,25.16,27.44,26.59,24.69,24.12,25.06,24.22,22.91,23.62,26.28,27.66,27.09,27.38,29.94,31.81,31.25,29.59,29.66,28.94,25.22,20.06,17.31,16.41,14.22,11.53,10.78,12.31,13.09,12.28,12.78,16.09,19.22,20.06,20.59,22.97,25.81,26.81,26.75,28.62,31.53,31.88,30.44,28.81,28.41,27.09,23.09,20.25,20.12,19.88,17.81,15.41,14.97,15.53,14.78,13.03,13.41,15.78,16.44,15.53,15.81,17.88,19.09,18.34,17.81,19.81,22.16,21.91,20.88,21.56,22.94,22.38,19.97,18.59,19.12,17.44,13.94,11.25,11.25,11.44,10.25,9.22,10.97,13.22,12.94,11.69,12.62,15.12,16.06,16.06,17.22,19.97,20.62,18.72,16.38,16.69,16.25,14.34,12.91,14.38,16.38,16.66,15.53,15.5,16.53,15.22,11.97,9.5,8.5,7.44,5.03,3.47,5.56,8.44,9.88,11.0,13.97,17.88,19.47,19.59,21.0,24.0,25.22,24.47,23.88,25.03,24.91,22.19,19.47,19.22,19.0,17.5,15.38,15.91,18.06,18.78,18.31,19.12,20.94,21.09,17.84,14.78,13.62,12.75,10.06,8.41,9.62,11.69,11.84,11.16,12.47,15.44,16.88,17.22,18.97,22.41,24.03,22.5,20.81,20.62,19.81,17.44,15.28,15.62,17.28,16.91,15.91,16.75,19.38,20.81,20.34,20.75,22.56,22.81,20.44,17.66,17.38,17.06,14.94,12.72,13.22,14.94,15.56,15.06,16.44,19.09,19.88,17.97,16.5,17.22,17.66,15.88,13.97,14.66,14.84,13.34,11.0,11.25,12.84,13.19,11.88,11.94,13.66,14.91,13.69,13.06,14.19,14.53,12.69,11.34,12.94,15.62,16.53,16.34,17.41,18.75,18.28,15.53,13.91,14.09,13.78,11.91,10.94,12.66,14.38,13.81,12.34,12.59,13.0,11.72,9.81,9.91,12.0,13.44,12.88,13.16,14.94,16.16,14.62,13.03,13.78,14.38,12.78,11.31,12.38,15.16,16.84,17.97,20.44,23.72,24.84,22.44,19.72,18.28,16.22,12.56,10.06,10.53,12.47,12.78,12.38,13.41,15.09,14.62,12.62,12.25,13.09,13.47,11.34,9.62,9.59,9.62,7.41,5.0,5.25,6.22,5.34,4.28,5.34,7.88,9.31,9.28,10.22,12.59,13.91,12.41,11.19,12.19,13.22,12.0,10.16,10.44,11.16,9.91,7.75,6.91,7.16,6.59,4.53,3.62,4.72,6.41,5.47,4.56,5.69,7.19,6.19,4.56,4.81,6.12,6.12,4.69,4.97,6.75,8.12,7.0,6.88,7.81,8.06,5.56,3.06,2.56,3.41,2.72,2.03,3.66,6.5,7.66,7.72,7.91,9.44,10.34,9.06,8.56,10.34,12.5,11.91,10.91,11.16,11.91,10.19,7.91,6.84,7.25,6.09,3.75,2.22,2.34,1.91,-0.72,-3.19,-3.19,-2.53,-2.47,-1.69,1.44,6.16,8.69,9.47,11.0,13.03,13.34,11.81,11.12,12.38,13.12,11.38,9.72,9.53,9.25,7.0,4.03,3.03,3.66,3.12,1.88,1.84,3.12,2.66,-0.25,-2.06,-1.56,-0.03,0.16,0.38,3.12,6.09,6.81,6.31,7.12,8.84,8.72,6.56,5.16,5.25,4.53,2.25,0.44,0.5,0.91,-1.09,-3.94,-5.28,-5.41,-6.56,-7.84,-6.66,-2.59,1.62,4.0,7.41,12.0,15.06,14.91,14.28,14.69,15.19,13.34,10.53,8.59,7.62,4.34,-0.47,-3.78,-4.62,-5.5,-7.22,-6.72,-3.41,0.0,1.91,3.69,6.81,10.12,10.69,9.97,9.91,10.72,9.56,7.31,6.41,7.53,8.53,7.16,6.41,6.84,6.94,4.28,1.53,0.91,1.56,1.09,0.09,0.66,3.12,4.25,4.03,4.62,7.47,8.88,8.31,7.5,9.03,10.72,10.34,9.22,9.53,11.03,10.34,8.5,7.75,8.66,8.25,6.84,5.91,7.31,8.38,7.47,5.41,5.53,5.53,3.19,0.0,-1.69,-1.56,-2.22,-3.5,-3.06,-0.84,0.81,0.38,0.38,2.53,4.41,3.62,2.03,1.97,2.22,0.53,-1.5,-1.69,-0.06,0.69,-0.03,0.19,1.81,3.03,2.09,1.0,1.91,2.53,0.78,-1.75,-2.06,-0.94,-0.88,-1.69,-0.88,1.44,2.09,1.12,0.5,1.81,2.69,1.53,0.19,1.34,2.84,2.25,1.44,2.09,4.03,4.16,2.38,1.41,1.78,1.16,-0.94,-1.91,-0.56,0.84,-0.22,-1.69,-1.5,-0.78,-1.69,-3.44,-3.34,-2.12,-2.34,-3.84,-4.47,-3.12,-2.16,-2.97,-3.5,-1.34,1.38,1.66,1.72,3.47,5.5,5.31,3.62,3.31,4.28,4.06,2.12,0.91,1.66,2.06,0.62,-0.59,0.78,2.06,1.09,-0.56,-0.38,0.69,0.16,-1.47,-2.44,-1.78,-2.59,-4.41,-4.78,-1.88,1.19,2.12,2.59,3.62,4.09,2.19,-0.81,-1.22,-0.75,-1.22,-2.97,-3.5,-2.41,-1.5,-2.22,-2.38,-0.38,1.06,0.38,-0.91,0.06,2.19,2.88,2.56,4.19,6.69,7.91,6.91,6.28,6.28,4.88,0.81,-3.38,-4.84,-4.56,-4.88,-4.44,-1.0,4.03,7.12,8.88,11.09,13.75,15.19,13.84,12.75,13.28,12.91,9.44,5.66,4.06,2.88,0.06,-2.91,-3.91,-3.09,-2.97,-3.59,-1.81,2.47,6.41,7.78,9.34,12.25,14.34,13.62,12.16,12.53,12.78,10.75,6.84,4.38,2.88,0.12,-3.75,-6.34,-6.66,-7.34,-9.34,-9.69,-6.81,-2.31,0.69,4.06,8.62,12.69,14.06,13.03,13.16,14.47,15.09,14.06,14.28,16.06,16.5,14.19,11.16,9.66,8.53,5.34,2.16,1.91,3.22,3.38,2.0,1.78,2.78,2.38,-0.03,-0.97,0.62,2.53,2.28,2.59,5.34,9.19,11.25,12.28,14.44,16.59,16.34,13.41,11.56,10.94,10.03,7.03,5.41,6.16,7.44,6.59,5.84,7.06,9.16,9.44,8.12,8.62,10.06,10.38,9.19,9.28,11.97,14.31,14.5,14.69,16.72,18.53,17.06,14.72,13.91,14.28,13.34,11.62,11.72,13.31,13.5,10.81,9.09,8.59,8.28,6.0,4.22,5.31,7.16,7.06,6.56,8.19,11.28,12.81,13.16,14.5,16.53,17.16,14.72,12.56,11.88,10.81,7.44,4.38,3.59,3.78,2.56,1.03,1.34,3.94,5.28,5.09,6.19,8.81,10.28,8.81,7.38,7.78,7.66,5.0,1.75,0.31,0.25,-1.56,-4.0,-4.25,-2.16,-1.75,-2.69,-2.94,-1.25,-0.25,-1.91,-3.25,-2.19,-0.09,0.19,0.34,2.97,6.25,7.19,6.19,6.25,7.62,7.91,6.38,5.75,7.28,8.59,7.28,6.22,7.31,8.53,7.56,4.97,3.91,4.16,3.34,1.56,1.03,2.88,3.53,1.56,0.22,1.31,3.22,3.09,3.44,5.53,8.28,8.5,7.09,7.16,8.19,8.25,6.69,6.41,8.19,8.94,7.12,5.41,5.88,6.56,4.69,2.84,2.56,3.31,2.25,0.44,0.5,2.5,3.06,2.03,1.81,3.53,4.75,3.81,2.69,4.06,6.03,5.62,4.91,6.0,8.0,7.97,6.62,6.53,7.81,8.47,7.12,6.56,8.16,9.12,7.5,8.12,8.31,8.44,8.09,8.81,11.19,13.06:27.0,29.47,29.91,29.69,29.75,27.97,23.66,20.41,20.12,21.0,20.53,20.72,23.31,26.22,27.34,26.91,27.84,29.97,30.53,29.22,28.5,28.97,28.25,24.38,20.09,18.06,17.09,14.88,13.62,15.47,18.69,20.28,20.53,21.94,24.62,25.5,24.53,24.5,26.72,28.69,29.0,29.28,31.41,33.28,32.12,29.53,28.69,28.25,26.09,23.03,22.12,23.25,23.56,22.53,21.81,23.25,23.97,22.84,21.12,21.66,22.25,20.59,17.72,17.09,18.19,18.03,17.0,17.47,19.12,19.94,18.47,17.47,18.88,20.47,20.0,19.09,19.62,20.66,19.06,15.97,13.91,13.0,11.09,7.53,5.97,7.62,9.81,10.22,11.94,15.5,19.59,20.84,20.88,22.16,23.75,23.06,21.16,21.0,22.19,22.38,20.78,19.53,20.31,20.66,18.97,17.5,18.69,20.41,20.38,19.44,19.88,21.0,20.22,18.28,17.72,19.62,20.84,20.38,20.19,21.88,23.41,21.84,19.41,18.84,18.75,16.44,13.91,13.59,14.84,15.0,13.47,13.34,14.88,15.81,14.0,13.0,14.0,14.84,13.81,12.41,13.53,15.0,14.91,13.44,13.5,15.12,15.59,14.34,14.06,15.97,17.06,15.75,14.12,14.88,15.72,14.78,13.22,13.72,15.44,15.31,14.06,14.31,16.19,17.41,16.09,15.53,16.81,17.88,16.09,14.5,14.53,15.34,13.66,11.56,11.66,13.16,13.16,11.91,11.38,12.28,12.34,10.12,8.75,9.97,11.84,11.69,11.75,13.91,17.47,18.62,19.38,21.78,25.28,26.88,25.41,23.72,23.19,20.44,15.72,11.62,10.09,9.62,7.97,6.69,8.59,12.16,14.38,16.16,19.5,23.81,26.47,26.44,26.59,28.41,29.66,28.5,27.31,28.0,28.88,26.69,23.56,21.81,20.69,17.84,13.81,11.19,10.81,10.66,9.06,8.66,11.53,14.59,15.25,16.22,19.94,24.25,26.09,26.81,28.72,31.03,31.19,29.34,28.38,29.06,28.47,24.91,21.47,20.09,19.06,15.97,13.44,13.91,15.94,15.91,15.41,16.22,18.19,18.59,17.53,17.47,19.81,21.97,22.25,22.56,25.16,27.44,26.59,24.69,24.12,25.06,24.22,22.91,23.62,26.28,27.66,27.09,27.38,29.94,31.81,31.25,29.59,29.66,28.94,25.22,20.06,17.31,16.41,14.22,11.53,10.78,12.31,13.09,12.28,12.78,16.09,19.22,20.06,20.59,22.97,25.81,26.81,26.75,28.62,31.53,31.88,30.44,28.81,28.41,27.09,23.09,20.25,20.12,19.88,17.81,15.41,14.97,15.53,14.78,13.03,13.41,15.78,16.44,15.53,15.81,17.88,19.09,18.34,17.81,19.81,22.16,21.91,20.88,21.56,22.94,22.38,19.97,18.59,19.12,17.44,13.94,11.25,11.25,11.44,10.25,9.22,10.97,13.22,12.94,11.69,12.62,15.12,16.06,16.06,17.22,19.97,20.62,18.72,16.38,16.69,16.25,14.34,12.91,14.38,16.38,16.66,15.53,15.5,16.53,15.22,11.97,9.5,8.5,7.44,5.03,3.47,5.56,8.44,9.88,11.0,13.97,17.88,19.47,19.59,21.0,24.0,25.22,24.47,23.88,25.03,24.91,22.19,19.47,19.22,19.0,17.5,15.38,15.91,18.06,18.78,18.31,19.12,20.94,21.09,17.84,14.78,13.62,12.75,10.06,8.41,9.62,11.69,11.84,11.16,12.47,15.44,16.88,17.22,18.97,22.41,24.03,22.5,20.81,20.62,19.81,17.44,15.28,15.62,17.28,16.91,15.91,16.75,19.38,20.81,20.34,20.75,22.56,22.81,20.44,17.66,17.38,17.06,14.94,12.72,13.22,14.94,15.56,15.06,16.44,19.09,19.88,17.97,16.5,17.22,17.66,15.88,13.97,14.66,14.84,13.34,11.0,11.25,12.84,13.19,11.88,11.94,13.66,14.91,13.69,13.06,14.19,14.53,12.69,11.34,12.94,15.62,16.53,16.34,17.41,18.75,18.28,15.53,13.91,14.09,13.78,11.91,10.94,12.66,14.38,13.81,12.34,12.59,13.0,11.72,9.81,9.91,12.0,13.44,12.88,13.16,14.94,16.16,14.62,13.03,13.78,14.38,12.78,11.31,12.38,15.16,16.84,17.97,20.44,23.72,24.84,22.44,19.72,18.28,16.22,12.56,10.06,10.53,12.47,12.78,12.38,13.41,15.09,14.62,12.62,12.25,13.09,13.47,11.34,9.62,9.59,9.62,7.41,5.0,5.25,6.22,5.34,4.28,5.34,7.88,9.31,9.28,10.22,12.59,13.91,12.41,11.19,12.19,13.22,12.0,10.16,10.44,11.16,9.91,7.75,6.91,7.16,6.59,4.53,3.62,4.72,6.41,5.47,4.56,5.69,7.19,6.19,4.56,4.81,6.12,6.12,4.69,4.97,6.75,8.12,7.0,6.88,7.81,8.06,5.56,3.06,2.56,3.41,2.72,2.03,3.66,6.5,7.66,7.72,7.91,9.44,10.34,9.06,8.56,10.34,12.5,11.91,10.91,11.16,11.91,10.19,7.91,6.84,7.25,6.09,3.75,2.22,2.34,1.91,-0.72,-3.19,-3.19,-2.53,-2.47,-1.69,1.44,6.16,8.69,9.47,11.0,13.03,13.34,11.81,11.12,12.38,13.12,11.38,9.72,9.53,9.25,7.0,4.03,3.03,3.66,3.12,1.88,1.84,3.12,2.66,-0.25,-2.06,-1.56,-0.03,0.16,0.38,3.12,6.09,6.81,6.31,7.12,8.84,8.72,6.56,5.16,5.25,4.53,2.25,0.44,0.5,0.91,-1.09,-3.94,-5.28,-5.41,-6.56,-7.84,-6.66,-2.59,1.62,4.0,7.41,12.0,15.06,14.91,14.28,14.69,15.19,13.34,10.53,8.59,7.62,4.34,-0.47,-3.78,-4.62,-5.5,-7.22,-6.72,-3.41,0.0,1.91,3.69,6.81,10.12,10.69,9.97,9.91,10.72,9.56,7.31,6.41,7.53,8.53,7.16,6.41,6.84,6.94,4.28,1.53,0.91,1.56,1.09,0.09,0.66,3.12,4.25,4.03,4.62,7.47,8.88,8.31,7.5,9.03,10.72,10.34,9.22,9.53,11.03,10.34,8.5,7.75,8.66,8.25,6.84,5.91,7.31,8.38,7.47,5.41,5.53,5.53,3.19,0.0,-1.69,-1.56,-2.22,-3.5,-3.06,-0.84,0.81,0.38,0.38,2.53,4.41,3.62,2.03,1.97,2.22,0.53,-1.5,-1.69,-0.06,0.69,-0.03,0.19,1.81,3.03,2.09,1.0,1.91,2.53,0.78,-1.75,-2.06,-0.94,-0.88,-1.69,-0.88,1.44,2.09,1.12,0.5,1.81,2.69,1.53,0.19,1.34,2.84,2.25,1.44,2.09,4.03,4.16,2.38,1.41,1.78,1.16,-0.94,-1.91,-0.56,0.84,-0.22,-1.69,-1.5,-0.78,-1.69,-3.44,-3.34,-2.12,-2.34,-3.84,-4.47,-3.12,-2.16,-2.97,-3.5,-1.34,1.38,1.66,1.72,3.47,5.5,5.31,3.62,3.31,4.28,4.06,2.12,0.91,1.66,2.06,0.62,-0.59,0.78,2.06,1.09,-0.56,-0.38,0.69,0.16,-1.47,-2.44,-1.78,-2.59,-4.41,-4.78,-1.88,1.19,2.12,2.59,3.62,4.09,2.19,-0.81,-1.22,-0.75,-1.22,-2.97,-3.5,-2.41,-1.5,-2.22,-2.38,-0.38,1.06,0.38,-0.91,0.06,2.19,2.88,2.56,4.19,6.69,7.91,6.91,6.28,6.28,4.88,0.81,-3.38,-4.84,-4.56,-4.88,-4.44,-1.0,4.03,7.12,8.88,11.09,13.75,15.19,13.84,12.75,13.28,12.91,9.44,5.66,4.06,2.88,0.06,-2.91,-3.91,-3.09,-2.97,-3.59,-1.81,2.47,6.41,7.78,9.34,12.25,14.34,13.62,12.16,12.53,12.78,10.75,6.84,4.38,2.88,0.12,-3.75,-6.34,-6.66,-7.34,-9.34,-9.69,-6.81,-2.31,0.69,4.06,8.62,12.69,14.06,13.03,13.16,14.47,15.09,14.06,14.28,16.06,16.5,14.19,11.16,9.66,8.53,5.34,2.16,1.91,3.22,3.38,2.0,1.78,2.78,2.38,-0.03,-0.97,0.62,2.53,2.28,2.59,5.34,9.19,11.25,12.28,14.44,16.59,16.34,13.41,11.56,10.94,10.03,7.03,5.41,6.16,7.44,6.59,5.84,7.06,9.16,9.44,8.12,8.62,10.06,10.38,9.19,9.28,11.97,14.31,14.5,14.69,16.72,18.53,17.06,14.72,13.91,14.28,13.34,11.62,11.72,13.31,13.5,10.81,9.09,8.59,8.28,6.0,4.22,5.31,7.16,7.06,6.56,8.19,11.28,12.81,13.16,14.5,16.53,17.16,14.72,12.56,11.88,10.81,7.44,4.38,3.59,3.78,2.56,1.03,1.34,3.94,5.28,5.09,6.19,8.81,10.28,8.81,7.38,7.78,7.66,5.0,1.75,0.31,0.25,-1.56,-4.0,-4.25,-2.16,-1.75,-2.69,-2.94,-1.25,-0.25,-1.91,-3.25,-2.19,-0.09,0.19,0.34,2.97,6.25,7.19,6.19,6.25,7.62,7.91,6.38,5.75,7.28,8.59,7.28,6.22,7.31,8.53,7.56,4.97,3.91,4.16,3.34,1.56,1.03,2.88,3.53,1.56,0.22,1.31,3.22,3.09,3.44,5.53,8.28,8.5,7.09,7.16,8.19,8.25,6.69,6.41,8.19,8.94,7.12,5.41,5.88,6.56,4.69,2.84,2.56,3.31,2.25,0.44,0.5,2.5,3.06,2.03,1.81,3.53,4.75,3.81,2.69,4.06,6.03,5.62,4.91,6.0,8.0,7.97,6.62,6.53,7.81,8.47,7.12,6.56,8.16,9.12,7.5,8.12,8.31,8.44,8.09,8.81,11.19,13.06,12.91,12.06,12.19,12.56,12.28,12.38,14.47:20.41,20.12,21.0,20.53,20.72,23.31,26.22,27.34,26.91,27.84,29.97,30.53,29.22,28.5,28.97,28.25,24.38,20.09,18.06,17.09,14.88,13.62,15.47,18.69,20.28,20.53,21.94,24.62,25.5,24.53,24.5,26.72,28.69,29.0,29.28,31.41,33.28,32.12,29.53,28.69,28.25,26.09,23.03,22.12,23.25,23.56,22.53,21.81,23.25,23.97,22.84,21.12,21.66,22.25,20.59,17.72,17.09,18.19,18.03,17.0,17.47,19.12,19.94,18.47,17.47,18.88,20.47,20.0,19.09,19.62,20.66,19.06,15.97,13.91,13.0,11.09,7.53,5.97,7.62,9.81,10.22,11.94,15.5,19.59,20.84,20.88,22.16,23.75,23.06,21.16,21.0,22.19,22.38,20.78,19.53,20.31,20.66,18.97,17.5,18.69,20.41,20.38,19.44,19.88,21.0,20.22,18.28,17.72,19.62,20.84,20.38,20.19,21.88,23.41,21.84,19.41,18.84,18.75,16.44,13.91,13.59,14.84,15.0,13.47,13.34,14.88,15.81,14.0,13.0,14.0,14.84,13.81,12.41,13.53,15.0,14.91,13.44,13.5,15.12,15.59,14.34,14.06,15.97,17.06,15.75,14.12,14.88,15.72,14.78,13.22,13.72,15.44,15.31,14.06,14.31,16.19,17.41,16.09,15.53,16.81,17.88,16.09,14.5,14.53,15.34,13.66,11.56,11.66,13.16,13.16,11.91,11.38,12.28,12.34,10.12,8.75,9.97,11.84,11.69,11.75,13.91,17.47,18.62,19.38,21.78,25.28,26.88,25.41,23.72,23.19,20.44,15.72,11.62,10.09,9.62,7.97,6.69,8.59,12.16,14.38,16.16,19.5,23.81,26.47,26.44,26.59,28.41,29.66,28.5,27.31,28.0,28.88,26.69,23.56,21.81,20.69,17.84,13.81,11.19,10.81,10.66,9.06,8.66,11.53,14.59,15.25,16.22,19.94,24.25,26.09,26.81,28.72,31.03,31.19,29.34,28.38,29.06,28.47,24.91,21.47,20.09,19.06,15.97,13.44,13.91,15.94,15.91,15.41,16.22,18.19,18.59,17.53,17.47,19.81,21.97,22.25,22.56,25.16,27.44,26.59,24.69,24.12,25.06,24.22,22.91,23.62,26.28,27.66,27.09,27.38,29.94,31.81,31.25,29.59,29.66,28.94,25.22,20.06,17.31,16.41,14.22,11.53,10.78,12.31,13.09,12.28,12.78,16.09,19.22,20.06,20.59,22.97,25.81,26.81,26.75,28.62,31.53,31.88,30.44,28.81,28.41,27.09,23.09,20.25,20.12,19.88,17.81,15.41,14.97,15.53,14.78,13.03,13.41,15.78,16.44,15.53,15.81,17.88,19.09,18.34,17.81,19.81,22.16,21.91,20.88,21.56,22.94,22.38,19.97,18.59,19.12,17.44,13.94,11.25,11.25,11.44,10.25,9.22,10.97,13.22,12.94,11.69,12.62,15.12,16.06,16.06,17.22,19.97,20.62,18.72,16.38,16.69,16.25,14.34,12.91,14.38,16.38,16.66,15.53,15.5,16.53,15.22,11.97,9.5,8.5,7.44,5.03,3.47,5.56,8.44,9.88,11.0,13.97,17.88,19.47,19.59,21.0,24.0,25.22,24.47,23.88,25.03,24.91,22.19,19.47,19.22,19.0,17.5,15.38,15.91,18.06,18.78,18.31,19.12,20.94,21.09,17.84,14.78,13.62,12.75,10.06,8.41,9.62,11.69,11.84,11.16,12.47,15.44,16.88,17.22,18.97,22.41,24.03,22.5,20.81,20.62,19.81,17.44,15.28,15.62,17.28,16.91,15.91,16.75,19.38,20.81,20.34,20.75,22.56,22.81,20.44,17.66,17.38,17.06,14.94,12.72,13.22,14.94,15.56,15.06,16.44,19.09,19.88,17.97,16.5,17.22,17.66,15.88,13.97,14.66,14.84,13.34,11.0,11.25,12.84,13.19,11.88,11.94,13.66,14.91,13.69,13.06,14.19,14.53,12.69,11.34,12.94,15.62,16.53,16.34,17.41,18.75,18.28,15.53,13.91,14.09,13.78,11.91,10.94,12.66,14.38,13.81,12.34,12.59,13.0,11.72,9.81,9.91,12.0,13.44,12.88,13.16,14.94,16.16,14.62,13.03,13.78,14.38,12.78,11.31,12.38,15.16,16.84,17.97,20.44,23.72,24.84,22.44,19.72,18.28,16.22,12.56,10.06,10.53,12.47,12.78,12.38,13.41,15.09,14.62,12.62,12.25,13.09,13.47,11.34,9.62,9.59,9.62,7.41,5.0,5.25,6.22,5.34,4.28,5.34,7.88,9.31,9.28,10.22,12.59,13.91,12.41,11.19,12.19,13.22,12.0,10.16,10.44,11.16,9.91,7.75,6.91,7.16,6.59,4.53,3.62,4.72,6.41,5.47,4.56,5.69,7.19,6.19,4.56,4.81,6.12,6.12,4.69,4.97,6.75,8.12,7.0,6.88,7.81,8.06,5.56,3.06,2.56,3.41,2.72,2.03,3.66,6.5,7.66,7.72,7.91,9.44,10.34,9.06,8.56,10.34,12.5,11.91,10.91,11.16,11.91,10.19,7.91,6.84,7.25,6.09,3.75,2.22,2.34,1.91,-0.72,-3.19,-3.19,-2.53,-2.47,-1.69,1.44,6.16,8.69,9.47,11.0,13.03,13.34,11.81,11.12,12.38,13.12,11.38,9.72,9.53,9.25,7.0,4.03,3.03,3.66,3.12,1.88,1.84,3.12,2.66,-0.25,-2.06,-1.56,-0.03,0.16,0.38,3.12,6.09,6.81,6.31,7.12,8.84,8.72,6.56,5.16,5.25,4.53,2.25,0.44,0.5,0.91,-1.09,-3.94,-5.28,-5.41,-6.56,-7.84,-6.66,-2.59,1.62,4.0,7.41,12.0,15.06,14.91,14.28,14.69,15.19,13.34,10.53,8.59,7.62,4.34,-0.47,-3.78,-4.62,-5.5,-7.22,-6.72,-3.41,0.0,1.91,3.69,6.81,10.12,10.69,9.97,9.91,10.72,9.56,7.31,6.41,7.53,8.53,7.16,6.41,6.84,6.94,4.28,1.53,0.91,1.56,1.09,0.09,0.66,3.12,4.25,4.03,4.62,7.47,8.88,8.31,7.5,9.03,10.72,10.34,9.22,9.53,11.03,10.34,8.5,7.75,8.66,8.25,6.84,5.91,7.31,8.38,7.47,5.41,5.53,5.53,3.19,0.0,-1.69,-1.56,-2.22,-3.5,-3.06,-0.84,0.81,0.38,0.38,2.53,4.41,3.62,2.03,1.97,2.22,0.53,-1.5,-1.69,-0.06,0.69,-0.03,0.19,1.81,3.03,2.09,1.0,1.91,2.53,0.78,-1.75,-2.06,-0.94,-0.88,-1.69,-0.88,1.44,2.09,1.12,0.5,1.81,2.69,1.53,0.19,1.34,2.84,2.25,1.44,2.09,4.03,4.16,2.38,1.41,1.78,1.16,-0.94,-1.91,-0.56,0.84,-0.22,-1.69,-1.5,-0.78,-1.69,-3.44,-3.34,-2.12,-2.34,-3.84,-4.47,-3.12,-2.16,-2.97,-3.5,-1.34,1.38,1.66,1.72,3.47,5.5,5.31,3.62,3.31,4.28,4.06,2.12,0.91,1.66,2.06,0.62,-0.59,0.78,2.06,1.09,-0.56,-0.38,0.69,0.16,-1.47,-2.44,-1.78,-2.59,-4.41,-4.78,-1.88,1.19,2.12,2.59,3.62,4.09,2.19,-0.81,-1.22,-0.75,-1.22,-2.97,-3.5,-2.41,-1.5,-2.22,-2.38,-0.38,1.06,0.38,-0.91,0.06,2.19,2.88,2.56,4.19,6.69,7.91,6.91,6.28,6.28,4.88,0.81,-3.38,-4.84,-4.56,-4.88,-4.44,-1.0,4.03,7.12,8.88,11.09,13.75,15.19,13.84,12.75,13.28,12.91,9.44,5.66,4.06,2.88,0.06,-2.91,-3.91,-3.09,-2.97,-3.59,-1.81,2.47,6.41,7.78,9.34,12.25,14.34,13.62,12.16,12.53,12.78,10.75,6.84,4.38,2.88,0.12,-3.75,-6.34,-6.66,-7.34,-9.34,-9.69,-6.81,-2.31,0.69,4.06,8.62,12.69,14.06,13.03,13.16,14.47,15.09,14.06,14.28,16.06,16.5,14.19,11.16,9.66,8.53,5.34,2.16,1.91,3.22,3.38,2.0,1.78,2.78,2.38,-0.03,-0.97,0.62,2.53,2.28,2.59,5.34,9.19,11.25,12.28,14.44,16.59,16.34,13.41,11.56,10.94,10.03,7.03,5.41,6.16,7.44,6.59,5.84,7.06,9.16,9.44,8.12,8.62,10.06,10.38,9.19,9.28,11.97,14.31,14.5,14.69,16.72,18.53,17.06,14.72,13.91,14.28,13.34,11.62,11.72,13.31,13.5,10.81,9.09,8.59,8.28,6.0,4.22,5.31,7.16,7.06,6.56,8.19,11.28,12.81,13.16,14.5,16.53,17.16,14.72,12.56,11.88,10.81,7.44,4.38,3.59,3.78,2.56,1.03,1.34,3.94,5.28,5.09,6.19,8.81,10.28,8.81,7.38,7.78,7.66,5.0,1.75,0.31,0.25,-1.56,-4.0,-4.25,-2.16,-1.75,-2.69,-2.94,-1.25,-0.25,-1.91,-3.25,-2.19,-0.09,0.19,0.34,2.97,6.25,7.19,6.19,6.25,7.62,7.91,6.38,5.75,7.28,8.59,7.28,6.22,7.31,8.53,7.56,4.97,3.91,4.16,3.34,1.56,1.03,2.88,3.53,1.56,0.22,1.31,3.22,3.09,3.44,5.53,8.28,8.5,7.09,7.16,8.19,8.25,6.69,6.41,8.19,8.94,7.12,5.41,5.88,6.56,4.69,2.84,2.56,3.31,2.25,0.44,0.5,2.5,3.06,2.03,1.81,3.53,4.75,3.81,2.69,4.06,6.03,5.62,4.91,6.0,8.0,7.97,6.62,6.53,7.81,8.47,7.12,6.56,8.16,9.12,7.5,8.12,8.31,8.44,8.09,8.81,11.19,13.06,12.91,12.06,12.19,12.56,12.28,12.38,14.47,17.59,19.5,19.59,19.06,18.03,15.34,10.66:27.34,26.91,27.84,29.97,30.53,29.22,28.5,28.97,28.25,24.38,20.09,18.06,17.09,14.88,13.62,15.47,18.69,20.28,20.53,21.94,24.62,25.5,24.53,24.5,26.72,28.69,29.0,29.28,31.41,33.28,32.12,29.53,28.69,28.25,26.09,23.03,22.12,23.25,23.56,22.53,21.81,23.25,23.97,22.84,21.12,21.66,22.25,20.59,17.72,17.09,18.19,18.03,17.0,17.47,19.12,19.94,18.47,17.47,18.88,20.47,20.0,19.09,19.62,20.66,19.06,15.97,13.91,13.0,11.09,7.53,5.97,7.62,9.81,10.22,11.94,15.5,19.59,20.84,20.88,22.16,23.75,23.06,21.16,21.0,22.19,22.38,20.78,19.53,20.31,20.66,18.97,17.5,18.69,20.41,20.38,19.44,19.88,21.0,20.22,18.28,17.72,19.62,20.84,20.38,20.19,21.88,23.41,21.84,19.41,18.84,18.75,16.44,13.91,13.59,14.84,15.0,13.47,13.34,14.88,15.81,14.0,13.0,14.0,14.84,13.81,12.41,13.53,15.0,14.91,13.44,13.5,15.12,15.59,14.34,14.06,15.97,17.06,15.75,14.12,14.88,15.72,14.78,13.22,13.72,15.44,15.31,14.06,14.31,16.19,17.41,16.09,15.53,16.81,17.88,16.09,14.5,14.53,15.34,13.66,11.56,11.66,13.16,13.16,11.91,11.38,12.28,12.34,10.12,8.75,9.97,11.84,11.69,11.75,13.91,17.47,18.62,19.38,21.78,25.28,26.88,25.41,23.72,23.19,20.44,15.72,11.62,10.09,9.62,7.97,6.69,8.59,12.16,14.38,16.16,19.5,23.81,26.47,26.44,26.59,28.41,29.66,28.5,27.31,28.0,28.88,26.69,23.56,21.81,20.69,17.84,13.81,11.19,10.81,10.66,9.06,8.66,11.53,14.59,15.25,16.22,19.94,24.25,26.09,26.81,28.72,31.03,31.19,29.34,28.38,29.06,28.47,24.91,21.47,20.09,19.06,15.97,13.44,13.91,15.94,15.91,15.41,16.22,18.19,18.59,17.53,17.47,19.81,21.97,22.25,22.56,25.16,27.44,26.59,24.69,24.12,25.06,24.22,22.91,23.62,26.28,27.66,27.09,27.38,29.94,31.81,31.25,29.59,29.66,28.94,25.22,20.06,17.31,16.41,14.22,11.53,10.78,12.31,13.09,12.28,12.78,16.09,19.22,20.06,20.59,22.97,25.81,26.81,26.75,28.62,31.53,31.88,30.44,28.81,28.41,27.09,23.09,20.25,20.12,19.88,17.81,15.41,14.97,15.53,14.78,13.03,13.41,15.78,16.44,15.53,15.81,17.88,19.09,18.34,17.81,19.81,22.16,21.91,20.88,21.56,22.94,22.38,19.97,18.59,19.12,17.44,13.94,11.25,11.25,11.44,10.25,9.22,10.97,13.22,12.94,11.69,12.62,15.12,16.06,16.06,17.22,19.97,20.62,18.72,16.38,16.69,16.25,14.34,12.91,14.38,16.38,16.66,15.53,15.5,16.53,15.22,11.97,9.5,8.5,7.44,5.03,3.47,5.56,8.44,9.88,11.0,13.97,17.88,19.47,19.59,21.0,24.0,25.22,24.47,23.88,25.03,24.91,22.19,19.47,19.22,19.0,17.5,15.38,15.91,18.06,18.78,18.31,19.12,20.94,21.09,17.84,14.78,13.62,12.75,10.06,8.41,9.62,11.69,11.84,11.16,12.47,15.44,16.88,17.22,18.97,22.41,24.03,22.5,20.81,20.62,19.81,17.44,15.28,15.62,17.28,16.91,15.91,16.75,19.38,20.81,20.34,20.75,22.56,22.81,20.44,17.66,17.38,17.06,14.94,12.72,13.22,14.94,15.56,15.06,16.44,19.09,19.88,17.97,16.5,17.22,17.66,15.88,13.97,14.66,14.84,13.34,11.0,11.25,12.84,13.19,11.88,11.94,13.66,14.91,13.69,13.06,14.19,14.53,12.69,11.34,12.94,15.62,16.53,16.34,17.41,18.75,18.28,15.53,13.91,14.09,13.78,11.91,10.94,12.66,14.38,13.81,12.34,12.59,13.0,11.72,9.81,9.91,12.0,13.44,12.88,13.16,14.94,16.16,14.62,13.03,13.78,14.38,12.78,11.31,12.38,15.16,16.84,17.97,20.44,23.72,24.84,22.44,19.72,18.28,16.22,12.56,10.06,10.53,12.47,12.78,12.38,13.41,15.09,14.62,12.62,12.25,13.09,13.47,11.34,9.62,9.59,9.62,7.41,5.0,5.25,6.22,5.34,4.28,5.34,7.88,9.31,9.28,10.22,12.59,13.91,12.41,11.19,12.19,13.22,12.0,10.16,10.44,11.16,9.91,7.75,6.91,7.16,6.59,4.53,3.62,4.72,6.41,5.47,4.56,5.69,7.19,6.19,4.56,4.81,6.12,6.12,4.69,4.97,6.75,8.12,7.0,6.88,7.81,8.06,5.56,3.06,2.56,3.41,2.72,2.03,3.66,6.5,7.66,7.72,7.91,9.44,10.34,9.06,8.56,10.34,12.5,11.91,10.91,11.16,11.91,10.19,7.91,6.84,7.25,6.09,3.75,2.22,2.34,1.91,-0.72,-3.19,-3.19,-2.53,-2.47,-1.69,1.44,6.16,8.69,9.47,11.0,13.03,13.34,11.81,11.12,12.38,13.12,11.38,9.72,9.53,9.25,7.0,4.03,3.03,3.66,3.12,1.88,1.84,3.12,2.66,-0.25,-2.06,-1.56,-0.03,0.16,0.38,3.12,6.09,6.81,6.31,7.12,8.84,8.72,6.56,5.16,5.25,4.53,2.25,0.44,0.5,0.91,-1.09,-3.94,-5.28,-5.41,-6.56,-7.84,-6.66,-2.59,1.62,4.0,7.41,12.0,15.06,14.91,14.28,14.69,15.19,13.34,10.53,8.59,7.62,4.34,-0.47,-3.78,-4.62,-5.5,-7.22,-6.72,-3.41,0.0,1.91,3.69,6.81,10.12,10.69,9.97,9.91,10.72,9.56,7.31,6.41,7.53,8.53,7.16,6.41,6.84,6.94,4.28,1.53,0.91,1.56,1.09,0.09,0.66,3.12,4.25,4.03,4.62,7.47,8.88,8.31,7.5,9.03,10.72,10.34,9.22,9.53,11.03,10.34,8.5,7.75,8.66,8.25,6.84,5.91,7.31,8.38,7.47,5.41,5.53,5.53,3.19,0.0,-1.69,-1.56,-2.22,-3.5,-3.06,-0.84,0.81,0.38,0.38,2.53,4.41,3.62,2.03,1.97,2.22,0.53,-1.5,-1.69,-0.06,0.69,-0.03,0.19,1.81,3.03,2.09,1.0,1.91,2.53,0.78,-1.75,-2.06,-0.94,-0.88,-1.69,-0.88,1.44,2.09,1.12,0.5,1.81,2.69,1.53,0.19,1.34,2.84,2.25,1.44,2.09,4.03,4.16,2.38,1.41,1.78,1.16,-0.94,-1.91,-0.56,0.84,-0.22,-1.69,-1.5,-0.78,-1.69,-3.44,-3.34,-2.12,-2.34,-3.84,-4.47,-3.12,-2.16,-2.97,-3.5,-1.34,1.38,1.66,1.72,3.47,5.5,5.31,3.62,3.31,4.28,4.06,2.12,0.91,1.66,2.06,0.62,-0.59,0.78,2.06,1.09,-0.56,-0.38,0.69,0.16,-1.47,-2.44,-1.78,-2.59,-4.41,-4.78,-1.88,1.19,2.12,2.59,3.62,4.09,2.19,-0.81,-1.22,-0.75,-1.22,-2.97,-3.5,-2.41,-1.5,-2.22,-2.38,-0.38,1.06,0.38,-0.91,0.06,2.19,2.88,2.56,4.19,6.69,7.91,6.91,6.28,6.28,4.88,0.81,-3.38,-4.84,-4.56,-4.88,-4.44,-1.0,4.03,7.12,8.88,11.09,13.75,15.19,13.84,12.75,13.28,12.91,9.44,5.66,4.06,2.88,0.06,-2.91,-3.91,-3.09,-2.97,-3.59,-1.81,2.47,6.41,7.78,9.34,12.25,14.34,13.62,12.16,12.53,12.78,10.75,6.84,4.38,2.88,0.12,-3.75,-6.34,-6.66,-7.34,-9.34,-9.69,-6.81,-2.31,0.69,4.06,8.62,12.69,14.06,13.03,13.16,14.47,15.09,14.06,14.28,16.06,16.5,14.19,11.16,9.66,8.53,5.34,2.16,1.91,3.22,3.38,2.0,1.78,2.78,2.38,-0.03,-0.97,0.62,2.53,2.28,2.59,5.34,9.19,11.25,12.28,14.44,16.59,16.34,13.41,11.56,10.94,10.03,7.03,5.41,6.16,7.44,6.59,5.84,7.06,9.16,9.44,8.12,8.62,10.06,10.38,9.19,9.28,11.97,14.31,14.5,14.69,16.72,18.53,17.06,14.72,13.91,14.28,13.34,11.62,11.72,13.31,13.5,10.81,9.09,8.59,8.28,6.0,4.22,5.31,7.16,7.06,6.56,8.19,11.28,12.81,13.16,14.5,16.53,17.16,14.72,12.56,11.88,10.81,7.44,4.38,3.59,3.78,2.56,1.03,1.34,3.94,5.28,5.09,6.19,8.81,10.28,8.81,7.38,7.78,7.66,5.0,1.75,0.31,0.25,-1.56,-4.0,-4.25,-2.16,-1.75,-2.69,-2.94,-1.25,-0.25,-1.91,-3.25,-2.19,-0.09,0.19,0.34,2.97,6.25,7.19,6.19,6.25,7.62,7.91,6.38,5.75,7.28,8.59,7.28,6.22,7.31,8.53,7.56,4.97,3.91,4.16,3.34,1.56,1.03,2.88,3.53,1.56,0.22,1.31,3.22,3.09,3.44,5.53,8.28,8.5,7.09,7.16,8.19,8.25,6.69,6.41,8.19,8.94,7.12,5.41,5.88,6.56,4.69,2.84,2.56,3.31,2.25,0.44,0.5,2.5,3.06,2.03,1.81,3.53,4.75,3.81,2.69,4.06,6.03,5.62,4.91,6.0,8.0,7.97,6.62,6.53,7.81,8.47,7.12,6.56,8.16,9.12,7.5,8.12,8.31,8.44,8.09,8.81,11.19,13.06,12.91,12.06,12.19,12.56,12.28,12.38,14.47,17.59,19.5,19.59,19.06,18.03,15.34,10.66,6.44,4.84,4.31,3.62,3.97,6.56,9.41:28.97,28.25,24.38,20.09,18.06,17.09,14.88,13.62,15.47,18.69,20.28,20.53,21.94,24.62,25.5,24.53,24.5,26.72,28.69,29.0,29.28,31.41,33.28,32.12,29.53,28.69,28.25,26.09,23.03,22.12,23.25,23.56,22.53,21.81,23.25,23.97,22.84,21.12,21.66,22.25,20.59,17.72,17.09,18.19,18.03,17.0,17.47,19.12,19.94,18.47,17.47,18.88,20.47,20.0,19.09,19.62,20.66,19.06,15.97,13.91,13.0,11.09,7.53,5.97,7.62,9.81,10.22,11.94,15.5,19.59,20.84,20.88,22.16,23.75,23.06,21.16,21.0,22.19,22.38,20.78,19.53,20.31,20.66,18.97,17.5,18.69,20.41,20.38,19.44,19.88,21.0,20.22,18.28,17.72,19.62,20.84,20.38,20.19,21.88,23.41,21.84,19.41,18.84,18.75,16.44,13.91,13.59,14.84,15.0,13.47,13.34,14.88,15.81,14.0,13.0,14.0,14.84,13.81,12.41,13.53,15.0,14.91,13.44,13.5,15.12,15.59,14.34,14.06,15.97,17.06,15.75,14.12,14.88,15.72,14.78,13.22,13.72,15.44,15.31,14.06,14.31,16.19,17.41,16.09,15.53,16.81,17.88,16.09,14.5,14.53,15.34,13.66,11.56,11.66,13.16,13.16,11.91,11.38,12.28,12.34,10.12,8.75,9.97,11.84,11.69,11.75,13.91,17.47,18.62,19.38,21.78,25.28,26.88,25.41,23.72,23.19,20.44,15.72,11.62,10.09,9.62,7.97,6.69,8.59,12.16,14.38,16.16,19.5,23.81,26.47,26.44,26.59,28.41,29.66,28.5,27.31,28.0,28.88,26.69,23.56,21.81,20.69,17.84,13.81,11.19,10.81,10.66,9.06,8.66,11.53,14.59,15.25,16.22,19.94,24.25,26.09,26.81,28.72,31.03,31.19,29.34,28.38,29.06,28.47,24.91,21.47,20.09,19.06,15.97,13.44,13.91,15.94,15.91,15.41,16.22,18.19,18.59,17.53,17.47,19.81,21.97,22.25,22.56,25.16,27.44,26.59,24.69,24.12,25.06,24.22,22.91,23.62,26.28,27.66,27.09,27.38,29.94,31.81,31.25,29.59,29.66,28.94,25.22,20.06,17.31,16.41,14.22,11.53,10.78,12.31,13.09,12.28,12.78,16.09,19.22,20.06,20.59,22.97,25.81,26.81,26.75,28.62,31.53,31.88,30.44,28.81,28.41,27.09,23.09,20.25,20.12,19.88,17.81,15.41,14.97,15.53,14.78,13.03,13.41,15.78,16.44,15.53,15.81,17.88,19.09,18.34,17.81,19.81,22.16,21.91,20.88,21.56,22.94,22.38,19.97,18.59,19.12,17.44,13.94,11.25,11.25,11.44,10.25,9.22,10.97,13.22,12.94,11.69,12.62,15.12,16.06,16.06,17.22,19.97,20.62,18.72,16.38,16.69,16.25,14.34,12.91,14.38,16.38,16.66,15.53,15.5,16.53,15.22,11.97,9.5,8.5,7.44,5.03,3.47,5.56,8.44,9.88,11.0,13.97,17.88,19.47,19.59,21.0,24.0,25.22,24.47,23.88,25.03,24.91,22.19,19.47,19.22,19.0,17.5,15.38,15.91,18.06,18.78,18.31,19.12,20.94,21.09,17.84,14.78,13.62,12.75,10.06,8.41,9.62,11.69,11.84,11.16,12.47,15.44,16.88,17.22,18.97,22.41,24.03,22.5,20.81,20.62,19.81,17.44,15.28,15.62,17.28,16.91,15.91,16.75,19.38,20.81,20.34,20.75,22.56,22.81,20.44,17.66,17.38,17.06,14.94,12.72,13.22,14.94,15.56,15.06,16.44,19.09,19.88,17.97,16.5,17.22,17.66,15.88,13.97,14.66,14.84,13.34,11.0,11.25,12.84,13.19,11.88,11.94,13.66,14.91,13.69,13.06,14.19,14.53,12.69,11.34,12.94,15.62,16.53,16.34,17.41,18.75,18.28,15.53,13.91,14.09,13.78,11.91,10.94,12.66,14.38,13.81,12.34,12.59,13.0,11.72,9.81,9.91,12.0,13.44,12.88,13.16,14.94,16.16,14.62,13.03,13.78,14.38,12.78,11.31,12.38,15.16,16.84,17.97,20.44,23.72,24.84,22.44,19.72,18.28,16.22,12.56,10.06,10.53,12.47,12.78,12.38,13.41,15.09,14.62,12.62,12.25,13.09,13.47,11.34,9.62,9.59,9.62,7.41,5.0,5.25,6.22,5.34,4.28,5.34,7.88,9.31,9.28,10.22,12.59,13.91,12.41,11.19,12.19,13.22,12.0,10.16,10.44,11.16,9.91,7.75,6.91,7.16,6.59,4.53,3.62,4.72,6.41,5.47,4.56,5.69,7.19,6.19,4.56,4.81,6.12,6.12,4.69,4.97,6.75,8.12,7.0,6.88,7.81,8.06,5.56,3.06,2.56,3.41,2.72,2.03,3.66,6.5,7.66,7.72,7.91,9.44,10.34,9.06,8.56,10.34,12.5,11.91,10.91,11.16,11.91,10.19,7.91,6.84,7.25,6.09,3.75,2.22,2.34,1.91,-0.72,-3.19,-3.19,-2.53,-2.47,-1.69,1.44,6.16,8.69,9.47,11.0,13.03,13.34,11.81,11.12,12.38,13.12,11.38,9.72,9.53,9.25,7.0,4.03,3.03,3.66,3.12,1.88,1.84,3.12,2.66,-0.25,-2.06,-1.56,-0.03,0.16,0.38,3.12,6.09,6.81,6.31,7.12,8.84,8.72,6.56,5.16,5.25,4.53,2.25,0.44,0.5,0.91,-1.09,-3.94,-5.28,-5.41,-6.56,-7.84,-6.66,-2.59,1.62,4.0,7.41,12.0,15.06,14.91,14.28,14.69,15.19,13.34,10.53,8.59,7.62,4.34,-0.47,-3.78,-4.62,-5.5,-7.22,-6.72,-3.41,0.0,1.91,3.69,6.81,10.12,10.69,9.97,9.91,10.72,9.56,7.31,6.41,7.53,8.53,7.16,6.41,6.84,6.94,4.28,1.53,0.91,1.56,1.09,0.09,0.66,3.12,4.25,4.03,4.62,7.47,8.88,8.31,7.5,9.03,10.72,10.34,9.22,9.53,11.03,10.34,8.5,7.75,8.66,8.25,6.84,5.91,7.31,8.38,7.47,5.41,5.53,5.53,3.19,0.0,-1.69,-1.56,-2.22,-3.5,-3.06,-0.84,0.81,0.38,0.38,2.53,4.41,3.62,2.03,1.97,2.22,0.53,-1.5,-1.69,-0.06,0.69,-0.03,0.19,1.81,3.03,2.09,1.0,1.91,2.53,0.78,-1.75,-2.06,-0.94,-0.88,-1.69,-0.88,1.44,2.09,1.12,0.5,1.81,2.69,1.53,0.19,1.34,2.84,2.25,1.44,2.09,4.03,4.16,2.38,1.41,1.78,1.16,-0.94,-1.91,-0.56,0.84,-0.22,-1.69,-1.5,-0.78,-1.69,-3.44,-3.34,-2.12,-2.34,-3.84,-4.47,-3.12,-2.16,-2.97,-3.5,-1.34,1.38,1.66,1.72,3.47,5.5,5.31,3.62,3.31,4.28,4.06,2.12,0.91,1.66,2.06,0.62,-0.59,0.78,2.06,1.09,-0.56,-0.38,0.69,0.16,-1.47,-2.44,-1.78,-2.59,-4.41,-4.78,-1.88,1.19,2.12,2.59,3.62,4.09,2.19,-0.81,-1.22,-0.75,-1.22,-2.97,-3.5,-2.41,-1.5,-2.22,-2.38,-0.38,1.06,0.38,-0.91,0.06,2.19,2.88,2.56,4.19,6.69,7.91,6.91,6.28,6.28,4.88,0.81,-3.38,-4.84,-4.56,-4.88,-4.44,-1.0,4.03,7.12,8.88,11.09,13.75,15.19,13.84,12.75,13.28,12.91,9.44,5.66,4.06,2.88,0.06,-2.91,-3.91,-3.09,-2.97,-3.59,-1.81,2.47,6.41,7.78,9.34,12.25,14.34,13.62,12.16,12.53,12.78,10.75,6.84,4.38,2.88,0.12,-3.75,-6.34,-6.66,-7.34,-9.34,-9.69,-6.81,-2.31,0.69,4.06,8.62,12.69,14.06,13.03,13.16,14.47,15.09,14.06,14.28,16.06,16.5,14.19,11.16,9.66,8.53,5.34,2.16,1.91,3.22,3.38,2.0,1.78,2.78,2.38,-0.03,-0.97,0.62,2.53,2.28,2.59,5.34,9.19,11.25,12.28,14.44,16.59,16.34,13.41,11.56,10.94,10.03,7.03,5.41,6.16,7.44,6.59,5.84,7.06,9.16,9.44,8.12,8.62,10.06,10.38,9.19,9.28,11.97,14.31,14.5,14.69,16.72,18.53,17.06,14.72,13.91,14.28,13.34,11.62,11.72,13.31,13.5,10.81,9.09,8.59,8.28,6.0,4.22,5.31,7.16,7.06,6.56,8.19,11.28,12.81,13.16,14.5,16.53,17.16,14.72,12.56,11.88,10.81,7.44,4.38,3.59,3.78,2.56,1.03,1.34,3.94,5.28,5.09,6.19,8.81,10.28,8.81,7.38,7.78,7.66,5.0,1.75,0.31,0.25,-1.56,-4.0,-4.25,-2.16,-1.75,-2.69,-2.94,-1.25,-0.25,-1.91,-3.25,-2.19,-0.09,0.19,0.34,2.97,6.25,7.19,6.19,6.25,7.62,7.91,6.38,5.75,7.28,8.59,7.28,6.22,7.31,8.53,7.56,4.97,3.91,4.16,3.34,1.56,1.03,2.88,3.53,1.56,0.22,1.31,3.22,3.09,3.44,5.53,8.28,8.5,7.09,7.16,8.19,8.25,6.69,6.41,8.19,8.94,7.12,5.41,5.88,6.56,4.69,2.84,2.56,3.31,2.25,0.44,0.5,2.5,3.06,2.03,1.81,3.53,4.75,3.81,2.69,4.06,6.03,5.62,4.91,6.0,8.0,7.97,6.62,6.53,7.81,8.47,7.12,6.56,8.16,9.12,7.5,8.12,8.31,8.44,8.09,8.81,11.19,13.06,12.91,12.06,12.19,12.56,12.28,12.38,14.47,17.59,19.5,19.59,19.06,18.03,15.34,10.66,6.44,4.84,4.31,3.62,3.97,6.56,9.41,11.09,12.03,13.69,15.97,17.03,16.84,16.88:13.62,15.47,18.69,20.28,20.53,21.94,24.62,25.5,24.53,24.5,26.72,28.69,29.0,29.28,31.41,33.28,32.12,29.53,28.69,28.25,26.09,23.03,22.12,23.25,23.56,22.53,21.81,23.25,23.97,22.84,21.12,21.66,22.25,20.59,17.72,17.09,18.19,18.03,17.0,17.47,19.12,19.94,18.47,17.47,18.88,20.47,20.0,19.09,19.62,20.66,19.06,15.97,13.91,13.0,11.09,7.53,5.97,7.62,9.81,10.22,11.94,15.5,19.59,20.84,20.88,22.16,23.75,23.06,21.16,21.0,22.19,22.38,20.78,19.53,20.31,20.66,18.97,17.5,18.69,20.41,20.38,19.44,19.88,21.0,20.22,18.28,17.72,19.62,20.84,20.38,20.19,21.88,23.41,21.84,19.41,18.84,18.75,16.44,13.91,13.59,14.84,15.0,13.47,13.34,14.88,15.81,14.0,13.0,14.0,14.84,13.81,12.41,13.53,15.0,14.91,13.44,13.5,15.12,15.59,14.34,14.06,15.97,17.06,15.75,14.12,14.88,15.72,14.78,13.22,13.72,15.44,15.31,14.06,14.31,16.19,17.41,16.09,15.53,16.81,17.88,16.09,14.5,14.53,15.34,13.66,11.56,11.66,13.16,13.16,11.91,11.38,12.28,12.34,10.12,8.75,9.97,11.84,11.69,11.75,13.91,17.47,18.62,19.38,21.78,25.28,26.88,25.41,23.72,23.19,20.44,15.72,11.62,10.09,9.62,7.97,6.69,8.59,12.16,14.38,16.16,19.5,23.81,26.47,26.44,26.59,28.41,29.66,28.5,27.31,28.0,28.88,26.69,23.56,21.81,20.69,17.84,13.81,11.19,10.81,10.66,9.06,8.66,11.53,14.59,15.25,16.22,19.94,24.25,26.09,26.81,28.72,31.03,31.19,29.34,28.38,29.06,28.47,24.91,21.47,20.09,19.06,15.97,13.44,13.91,15.94,15.91,15.41,16.22,18.19,18.59,17.53,17.47,19.81,21.97,22.25,22.56,25.16,27.44,26.59,24.69,24.12,25.06,24.22,22.91,23.62,26.28,27.66,27.09,27.38,29.94,31.81,31.25,29.59,29.66,28.94,25.22,20.06,17.31,16.41,14.22,11.53,10.78,12.31,13.09,12.28,12.78,16.09,19.22,20.06,20.59,22.97,25.81,26.81,26.75,28.62,31.53,31.88,30.44,28.81,28.41,27.09,23.09,20.25,20.12,19.88,17.81,15.41,14.97,15.53,14.78,13.03,13.41,15.78,16.44,15.53,15.81,17.88,19.09,18.34,17.81,19.81,22.16,21.91,20.88,21.56,22.94,22.38,19.97,18.59,19.12,17.44,13.94,11.25,11.25,11.44,10.25,9.22,10.97,13.22,12.94,11.69,12.62,15.12,16.06,16.06,17.22,19.97,20.62,18.72,16.38,16.69,16.25,14.34,12.91,14.38,16.38,16.66,15.53,15.5,16.53,15.22,11.97,9.5,8.5,7.44,5.03,3.47,5.56,8.44,9.88,11.0,13.97,17.88,19.47,19.59,21.0,24.0,25.22,24.47,23.88,25.03,24.91,22.19,19.47,19.22,19.0,17.5,15.38,15.91,18.06,18.78,18.31,19.12,20.94,21.09,17.84,14.78,13.62,12.75,10.06,8.41,9.62,11.69,11.84,11.16,12.47,15.44,16.88,17.22,18.97,22.41,24.03,22.5,20.81,20.62,19.81,17.44,15.28,15.62,17.28,16.91,15.91,16.75,19.38,20.81,20.34,20.75,22.56,22.81,20.44,17.66,17.38,17.06,14.94,12.72,13.22,14.94,15.56,15.06,16.44,19.09,19.88,17.97,16.5,17.22,17.66,15.88,13.97,14.66,14.84,13.34,11.0,11.25,12.84,13.19,11.88,11.94,13.66,14.91,13.69,13.06,14.19,14.53,12.69,11.34,12.94,15.62,16.53,16.34,17.41,18.75,18.28,15.53,13.91,14.09,13.78,11.91,10.94,12.66,14.38,13.81,12.34,12.59,13.0,11.72,9.81,9.91,12.0,13.44,12.88,13.16,14.94,16.16,14.62,13.03,13.78,14.38,12.78,11.31,12.38,15.16,16.84,17.97,20.44,23.72,24.84,22.44,19.72,18.28,16.22,12.56,10.06,10.53,12.47,12.78,12.38,13.41,15.09,14.62,12.62,12.25,13.09,13.47,11.34,9.62,9.59,9.62,7.41,5.0,5.25,6.22,5.34,4.28,5.34,7.88,9.31,9.28,10.22,12.59,13.91,12.41,11.19,12.19,13.22,12.0,10.16,10.44,11.16,9.91,7.75,6.91,7.16,6.59,4.53,3.62,4.72,6.41,5.47,4.56,5.69,7.19,6.19,4.56,4.81,6.12,6.12,4.69,4.97,6.75,8.12,7.0,6.88,7.81,8.06,5.56,3.06,2.56,3.41,2.72,2.03,3.66,6.5,7.66,7.72,7.91,9.44,10.34,9.06,8.56,10.34,12.5,11.91,10.91,11.16,11.91,10.19,7.91,6.84,7.25,6.09,3.75,2.22,2.34,1.91,-0.72,-3.19,-3.19,-2.53,-2.47,-1.69,1.44,6.16,8.69,9.47,11.0,13.03,13.34,11.81,11.12,12.38,13.12,11.38,9.72,9.53,9.25,7.0,4.03,3.03,3.66,3.12,1.88,1.84,3.12,2.66,-0.25,-2.06,-1.56,-0.03,0.16,0.38,3.12,6.09,6.81,6.31,7.12,8.84,8.72,6.56,5.16,5.25,4.53,2.25,0.44,0.5,0.91,-1.09,-3.94,-5.28,-5.41,-6.56,-7.84,-6.66,-2.59,1.62,4.0,7.41,12.0,15.06,14.91,14.28,14.69,15.19,13.34,10.53,8.59,7.62,4.34,-0.47,-3.78,-4.62,-5.5,-7.22,-6.72,-3.41,0.0,1.91,3.69,6.81,10.12,10.69,9.97,9.91,10.72,9.56,7.31,6.41,7.53,8.53,7.16,6.41,6.84,6.94,4.28,1.53,0.91,1.56,1.09,0.09,0.66,3.12,4.25,4.03,4.62,7.47,8.88,8.31,7.5,9.03,10.72,10.34,9.22,9.53,11.03,10.34,8.5,7.75,8.66,8.25,6.84,5.91,7.31,8.38,7.47,5.41,5.53,5.53,3.19,0.0,-1.69,-1.56,-2.22,-3.5,-3.06,-0.84,0.81,0.38,0.38,2.53,4.41,3.62,2.03,1.97,2.22,0.53,-1.5,-1.69,-0.06,0.69,-0.03,0.19,1.81,3.03,2.09,1.0,1.91,2.53,0.78,-1.75,-2.06,-0.94,-0.88,-1.69,-0.88,1.44,2.09,1.12,0.5,1.81,2.69,1.53,0.19,1.34,2.84,2.25,1.44,2.09,4.03,4.16,2.38,1.41,1.78,1.16,-0.94,-1.91,-0.56,0.84,-0.22,-1.69,-1.5,-0.78,-1.69,-3.44,-3.34,-2.12,-2.34,-3.84,-4.47,-3.12,-2.16,-2.97,-3.5,-1.34,1.38,1.66,1.72,3.47,5.5,5.31,3.62,3.31,4.28,4.06,2.12,0.91,1.66,2.06,0.62,-0.59,0.78,2.06,1.09,-0.56,-0.38,0.69,0.16,-1.47,-2.44,-1.78,-2.59,-4.41,-4.78,-1.88,1.19,2.12,2.59,3.62,4.09,2.19,-0.81,-1.22,-0.75,-1.22,-2.97,-3.5,-2.41,-1.5,-2.22,-2.38,-0.38,1.06,0.38,-0.91,0.06,2.19,2.88,2.56,4.19,6.69,7.91,6.91,6.28,6.28,4.88,0.81,-3.38,-4.84,-4.56,-4.88,-4.44,-1.0,4.03,7.12,8.88,11.09,13.75,15.19,13.84,12.75,13.28,12.91,9.44,5.66,4.06,2.88,0.06,-2.91,-3.91,-3.09,-2.97,-3.59,-1.81,2.47,6.41,7.78,9.34,12.25,14.34,13.62,12.16,12.53,12.78,10.75,6.84,4.38,2.88,0.12,-3.75,-6.34,-6.66,-7.34,-9.34,-9.69,-6.81,-2.31,0.69,4.06,8.62,12.69,14.06,13.03,13.16,14.47,15.09,14.06,14.28,16.06,16.5,14.19,11.16,9.66,8.53,5.34,2.16,1.91,3.22,3.38,2.0,1.78,2.78,2.38,-0.03,-0.97,0.62,2.53,2.28,2.59,5.34,9.19,11.25,12.28,14.44,16.59,16.34,13.41,11.56,10.94,10.03,7.03,5.41,6.16,7.44,6.59,5.84,7.06,9.16,9.44,8.12,8.62,10.06,10.38,9.19,9.28,11.97,14.31,14.5,14.69,16.72,18.53,17.06,14.72,13.91,14.28,13.34,11.62,11.72,13.31,13.5,10.81,9.09,8.59,8.28,6.0,4.22,5.31,7.16,7.06,6.56,8.19,11.28,12.81,13.16,14.5,16.53,17.16,14.72,12.56,11.88,10.81,7.44,4.38,3.59,3.78,2.56,1.03,1.34,3.94,5.28,5.09,6.19,8.81,10.28,8.81,7.38,7.78,7.66,5.0,1.75,0.31,0.25,-1.56,-4.0,-4.25,-2.16,-1.75,-2.69,-2.94,-1.25,-0.25,-1.91,-3.25,-2.19,-0.09,0.19,0.34,2.97,6.25,7.19,6.19,6.25,7.62,7.91,6.38,5.75,7.28,8.59,7.28,6.22,7.31,8.53,7.56,4.97,3.91,4.16,3.34,1.56,1.03,2.88,3.53,1.56,0.22,1.31,3.22,3.09,3.44,5.53,8.28,8.5,7.09,7.16,8.19,8.25,6.69,6.41,8.19,8.94,7.12,5.41,5.88,6.56,4.69,2.84,2.56,3.31,2.25,0.44,0.5,2.5,3.06,2.03,1.81,3.53,4.75,3.81,2.69,4.06,6.03,5.62,4.91,6.0,8.0,7.97,6.62,6.53,7.81,8.47,7.12,6.56,8.16,9.12,7.5,8.12,8.31,8.44,8.09,8.81,11.19,13.06,12.91,12.06,12.19,12.56,12.28,12.38,14.47,17.59,19.5,19.59,19.06,18.03,15.34,10.66,6.44,4.84,4.31,3.62,3.97,6.56,9.41,11.09,12.03,13.69,15.97,17.03,16.84,16.88,17.34,16.66,13.78,10.22,7.97,6.16,3.84:positivity
2.31,1.41,0.25,-0.28,0.78,2.59,3.78,4.34,5.16,6.06,6.5,5.66,4.75,4.72,4.75,4.03,3.91,5.41,7.97,9.5,10.56,11.72,12.22,11.22,8.78,6.78,5.72,4.75,3.19,2.44,2.97,2.97,2.09,1.09,0.47,-0.56,-2.47,-4.72,-6.0,-6.12,-5.62,-4.59,-2.44,0.91,4.19,6.22,8.19,10.06,11.84,12.28,12.16,13.03,13.81,13.62,12.47,11.16,9.66,6.91,2.56,-1.5,-4.12,-5.75,-6.88,-6.59,-4.38,-1.41,0.91,2.56,4.62,6.47,6.56,5.53,4.25,3.81,3.16,2.47,2.09,3.0,3.56,2.72,1.78,1.44,1.81,1.62,1.59,2.72,3.88,4.12,3.34,2.44,2.12,1.84,0.97,0.56,1.41,3.28,4.34,5.75,8.16,10.84,12.12,12.28,12.28,12.69,11.66,9.94,8.53,8.22,8.09,7.03,5.94,5.78,5.22,3.06,0.44,-1.47,-3.25,-5.97,-8.88,-10.94,-11.84,-12.59,-13.5,-13.31,-12.0,-10.06,-8.62,-7.16,-4.62,-1.94,-0.62,0.81,2.12,3.97,4.97,4.97,5.31,6.34,7.16,6.75,6.28,5.75,4.16,1.12,-2.12,-4.38,-5.0,-5.47,-5.12,-3.91,-1.53,0.19,1.44,3.16,5.28,6.75,7.34,7.56,8.12,9.16,8.81,7.75,7.88,8.34,7.44,6.56,6.16,6.66,6.12,5.0,3.97,3.59,3.12,2.09,0.84,1.06,1.5,0.88,0.12,0.41,1.91,2.53,3.09,4.5,6.28,6.75,5.91,5.38,5.44,6.0,6.06,6.34,7.09,7.38,6.31,4.0,2.41,1.03,-0.88,-2.75,-3.78,-3.41,-3.0,-3.41,-4.06,-4.09,-4.22,-5.34,-6.28,-6.0,-5.0,-4.38,-3.94,-2.41,-0.09,1.5,2.34,2.47,2.72,2.16,0.19,-2.41,-4.06,-5.31,-7.06,-8.25,-8.22,-6.88,-5.88,-5.34,-4.75,-3.84,-4.12,-5.47,-6.78,-6.78,-7.16,-8.0,-9.0,-8.81,-7.66,-7.38,-6.53,-4.91,-2.53,-1.16,-0.56,0.12,1.69,2.19,1.75,1.03,0.78,0.69,-0.31,-1.16,-1.34,-0.94,-1.5,-2.25,-2.56,-2.03,-1.97,-2.47,-2.91,-2.66,-2.75,-4.31,-5.78,-6.03,-6.72,-7.56,-7.81,-6.62,-4.5,-2.5,-0.5,2.09,4.59,5.78,5.44,4.66,4.44,3.44,2.06,0.53,0.44,0.16,-0.53,-1.41,-1.25,-0.72,-0.38,0.09,0.94,2.16,2.12,0.34,-2.31,-4.53,-6.78,-8.84,-9.97,-9.28,-8.12,-7.22,-7.28,-7.16,-6.81,-7.16,-8.09,-8.47,-7.53,-6.44,-5.5,-4.12,-1.41,0.81,2.19,3.0,4.06,5.28,6.16,6.66,7.94,9.38,10.12,9.38,7.88,6.78,5.22,2.59,0.41,-0.47,-0.88,-1.09,-1.44,-0.34,1.0,1.75,1.34,1.41,1.88,1.91,1.12,0.53,1.31,2.09,2.03,1.66,1.91,1.06,-0.81,-3.69,-6.12,-8.12,-10.03,-11.69,-11.97,-10.97,-9.03,-7.34,-5.22,-2.53,-0.28,1.06,2.34,3.91,5.06,5.12,4.44,3.44,2.44,1.06,-0.66,-2.12,-3.19,-3.75,-4.41,-5.28,-5.28,-5.25,-5.84,-6.97,-7.38,-7.75,-7.91,-8.62,-9.0,-8.41,-7.25,-6.88,-5.91,-4.97,-4.19,-4.59,-5.47,-5.81,-5.69,-5.44,-5.72,-5.47,-5.06,-5.44,-6.62,-7.03,-6.66,-5.91,-5.84,-5.31,-4.19,-3.62,-4.31,-5.62,-6.72,-8.09,-9.94,-11.44,-11.94,-10.91,-10.25,-9.75,-8.88,-7.75,-7.19,-8.03,-8.91,-9.44,-9.62,-10.22,-10.62,-9.84,-8.62,-8.06,-8.03,-8.09,-7.41,-7.0,-6.88,-6.59,-5.41,-4.06,-3.91,-3.47,-2.59,-2.0,-2.25,-2.97,-3.69,-4.19,-4.53,-5.81,-6.69,-6.78,-6.78,-6.91,-6.97,-6.09,-4.97,-5.0,-4.97,-4.81,-4.28,-4.25,-4.78,-4.47,-3.72,-3.03,-3.09,-3.47,-3.75,-4.28,-5.56,-6.88,-7.31,-6.72,-7.09,-7.41,-6.72,-5.53,-4.97,-4.72,-4.69,-4.62,-5.72,-7.81,-10.09,-11.38,-11.88,-12.09,-11.19,-9.72,-7.31,-6.06,-5.41,-4.94,-4.28,-4.5,-4.5,-3.81,-2.31,-0.88,-0.81,-1.59,-2.91,-4.22,-6.47,-7.81,-7.75,-6.75,-6.06,-5.41,-4.53,-3.53,-2.84,-2.94,-2.78,-2.75,-3.06,-3.94,-5.47,-6.69,-7.09,-8.09,-8.84,-8.56,-7.47,-6.69,-6.34,-5.75,-4.44,-3.44,-3.09,-2.84,-2.28,-2.03,-2.94,-4.03,-4.12,-3.34,-2.91,-2.28,-1.28,-0.28,0.56,0.94,0.84,1.5,1.81,1.12,0.03,-0.66,-1.25,-2.88,-4.91,-6.03,-6.22,-6.91,-6.66,-5.44,-2.88,-1.25,-0.19,0.09,0.03,-0.56,-2.28,-3.84,-4.41,-4.31,-5.34,-6.53,-7.44,-8.06,-9.25,-10.41,-10.78,-9.84,-8.66,-7.34,-6.22,-3.69,-1.34,-0.44,-0.25,-0.5,-1.09,-3.19,-5.09,-6.66,-6.81,-6.66,-6.25,-5.31,-2.91,-0.78,0.31,0.88,1.03,0.25,-2.06,-5.03,-7.0,-8.72,-10.72,-12.5,-13.75,-14.59,-14.94,-15.25,-15.34,-14.09,-12.88,-12.53,-12.25,-11.34,-11.16,-11.59,-13.22,-14.38,-15.25,-16.06,-16.69,-16.31,-14.88,-13.56,-13.25,-13.25,-12.66,-11.94,-12.12,-12.69,-13.0,-13.25,-14.59,-16.34,-17.44,-17.88,-18.72,-19.38,-19.56,-17.75,-15.41,-13.91,-12.31,-11.0,-11.0,-12.25,-14.81,-16.66,-18.41,-20.56,-22.72,-23.28,-22.16,-20.56,-18.72,-16.72,-14.47,-12.94,-12.28,-12.41,-12.19,-11.72,-11.97,-11.97,-11.06,-10.06,-9.44,-9.31,-9.5,-10.0,-10.62,-12.59,-14.56,-15.03,-15.12,-15.62,-16.06,-15.97,-15.81,-16.34,-17.09,-16.09,-14.0,-11.59,-9.75,-7.81,-5.72,-4.47,-4.19,-4.5,-4.03,-3.78,-4.44,-6.03,-7.19,-8.12,-8.91,-9.91,-10.12,-9.31,-8.84,-9.03,-8.97,-7.72,-6.41,-5.91,-6.25,-6.34,-7.03,-8.97,-11.25,-12.72,-13.88,-15.06,-16.59,-17.03,-16.44,-15.5,-14.91,-13.78,-12.06,-10.97,-11.53,-13.47,-15.41,-17.78,-20.84,-23.22,-24.09,-23.59,-22.12,-21.03,-19.44,-17.53,-15.75,-15.22,-14.81,-13.72,-13.09,-13.28,-14.06,-14.72,-15.34,-16.84,-18.91,-20.09,-20.16,-19.53,-19.12,-17.88,-15.94,-14.22,-14.12,-14.91,-15.38,-16.12,-17.72,-19.38,-19.75,-19.38,-19.16,-19.09,-18.34,-16.88,-15.44,-14.25,-13.12,-11.06,-8.84,-7.84,-7.09,-5.84,-5.03,-4.94,-5.47,-5.09,-4.06,-2.97,-2.41,-1.91,-1.38,-1.72,-3.72,-6.38,-8.66,-10.53,-12.94,-14.12,-13.56,-11.22,-9.16,-7.56,-5.34,-3.66,-2.53,-2.62,-2.88,-2.69,-3.25,-5.19,-7.44,-8.66,-9.06,-9.03,-8.12,-6.03,-3.16,-1.59,-1.25,-1.19,-1.12,-1.81,-3.38,-4.78,-5.72,-6.44,-8.28,-10.03,-10.62,-10.5,-10.28,-10.12,-8.94,-7.12,-5.97,-5.56,-4.69,-3.38,-2.44,-2.91,-3.69,-4.22,-4.88,-6.69,-8.03,-8.25,-8.03,-7.78,-7.53,-7.5,-7.53,-8.22,-10.31,-12.22,-12.94,-13.03,-13.41,-12.72,-10.72,-8.25,-6.84,-6.0,-5.69,-5.78,-7.38,-10.19,-12.44,-13.53,-14.78,-16.44,-17.0,-16.47,-15.53,-15.09,-14.69,-13.47,-11.84,-10.78,-9.59,-7.06,-3.88,-1.84,-1.0,-0.69,-0.72,-1.56,-3.81,-6.19,-7.72,-9.22,-11.28,-12.5,-12.38,-11.0,-10.53,-10.19,-9.53,-8.62,-8.56,-8.88,-8.41,-7.53,-6.78,-7.12,-8.12,-8.47,-8.97,-10.62,-11.5,-11.03,-9.34,-7.91,-6.41,-4.88,-3.38,-3.59,-5.38,-7.84,-9.69,-11.5,-13.25,-13.81,-12.56,-10.66,-9.09,-7.81,-6.09,-3.72,-2.44,-2.09,-1.62,-1.03,-1.31,-3.0,-4.94,-6.03,-6.91,-8.81,-10.38,-11.22,-11.31,-12.38,-13.41,-13.28,-12.09,-11.5,-11.44,-10.94,-10.0,-9.62,-9.97,-10.53,-9.94,-8.59,-7.91,-7.28,-5.75,-3.66,-3.12,-2.88,-1.91,-0.38,0.03,-0.53,-1.5,-1.97,-3.94,-6.72,-9.34,-10.25,-10.03,-10.16,-9.69,-8.41,-6.38,-5.53,-5.25,-4.59,-3.5,-3.25,-3.81,-4.16,-3.78,-3.25,-3.72,-4.44,-4.34,-4.22,-4.97,-5.5,-5.41,-4.97,-5.66,-7.12,-8.81,-9.94,-11.16,-12.16,-12.25,-11.06,-9.69,-9.31,-9.78,-9.81,-9.62,-10.25,-10.72,-10.47,-9.78,-9.72,-10.03,-10.16,-8.72,-7.09,-5.66,-4.16,-2.0,-0.25,0.12,0.12,0.31,0.53,-0.09,-1.22,-1.25,-0.28,0.25,0.47,0.56,1.47,1.56,0.66,-0.47,-0.62,-1.03,-2.78,-4.97,-6.75,-8.12,-9.69,-10.78,-10.66,-9.06,-8.16,-7.62,-7.91,-7.41,-7.47,-8.38,-9.34,-9.28,-8.62,-8.12,-7.47,-5.56,-3.72,-2.97,-3.72,-5.22,-6.78,-9.22,-11.94,-14.44,-15.34,-15.88,-16.16,-15.78,-14.16,-11.94,-10.28,-9.09,-8.47,-7.81,-8.44,-9.78,-10.59,-10.16,-9.41,-9.22,-8.97,-7.91,-7.16,-7.59,-8.06,-8.09,-8.19,-8.34,-8.88,-8.59,-6.69,-4.88,-3.97,-2.38,0.09,2.41,3.97,5.41,7.19,8.19,8.62,8.16,8.09,7.75,6.84,4.56,2.19,0.28,-1.81,-4.72,-6.47,-6.28,-6.16,-5.84,-5.41,-3.47,-1.59,-0.03,1.0,2.47,3.31,3.22,2.03,1.0,0.66,0.28,-0.66,-1.44,-2.0,-2.34,-4.22,-5.91,-6.41,-6.12,-5.97,-6.0,-5.0,-3.66,-3.0,-2.94,-2.75,-1.78,-1.06,-1.25,-1.78,-1.56,-1.16,-1.31,-1.16,0.22,1.97,3.47,4.25,4.56,4.97,4.88,3.88,2.88,3.12,4.0,4.12:4.34,5.16,6.06,6.5,5.66,4.75,4.72,4.75,4.03,3.91,5.41,7.97,9.5,10.56,11.72,12.22,11.22,8.78,6.78,5.72,4.75,3.19,2.44,2.97,2.97,2.09,1.09,0.47,-0.56,-2.47,-4.72,-6.0,-6.12,-5.62,-4.59,-2.44,0.91,4.19,6.22,8.19,10.06,11.84,12.28,12.16,13.03,13.81,13.62,12.47,11.16,9.66,6.91,2.56,-1.5,-4.12,-5.75,-6.88,-6.59,-4.38,-1.41,0.91,2.56,4.62,6.47,6.56,5.53,4.25,3.81,3.16,2.47,2.09,3.0,3.56,2.72,1.78,1.44,1.81,1.62,1.59,2.72,3.88,4.12,3.34,2.44,2.12,1.84,0.97,0.56,1.41,3.28,4.34,5.75,8.16,10.84,12.12,12.28,12.28,12.69,11.66,9.94,8.53,8.22,8.09,7.03,5.94,5.78,5.22,3.06,0.44,-1.47,-3.25,-5.97,-8.88,-10.94,-11.84,-12.59,-13.5,-13.31,-12.0,-10.06,-8.62,-7.16,-4.62,-1.94,-0.62,0.81,2.12,3.97,4.97,4.97,5.31,6.34,7.16,6.75,6.28,5.75,4.16,1.12,-2.12,-4.38,-5.0,-5.47,-5.12,-3.91,-1.53,0.19,1.44,3.16,5.28,6.75,7.34,7.56,8.12,9.16,8.81,7.75,7.88,8.34,7.44,6.56,6.16,6.66,6.12,5.0,3.97,3.59,3.12,2.09,0.84,1.06,1.5,0.88,0.12,0.41,1.91,2.53,3.09,4.5,6.28,6.75,5.91,5.38,5.44,6.0,6.06,6.34,7.09,7.38,6.31,4.0,2.41,1.03,-0.88,-2.75,-3.78,-3.41,-3.0,-3.41,-4.06,-4.09,-4.22,-5.34,-6.28,-6.0,-5.0,-4.38,-3.94,-2.41,-0.09,1.5,2.34,2.47,2.72,2.16,0.19,-2.41,-4.06,-5.31,-7.06,-8.25,-8.22,-6.88,-5.88,-5.34,-4.75,-3.84,-4.12,-5.47,-6.78,-6.78,-7.16,-8.0,-9.0,-8.81,-7.66,-7.38,-6.53,-4.91,-2.53,-1.16,-0.56,0.12,1.69,2.19,1.75,1.03,0.78,0.69,-0.31,-1.16,-1.34,-0.94,-1.5,-2.25,-2.56,-2.03,-1.97,-2.47,-2.91,-2.66,-2.75,-4.31,-5.78,-6.03,-6.72,-7.56,-7.81,-6.62,-4.5,-2.5,-0.5,2.09,4.59,5.78,5.44,4.66,4.44,3.44,2.06,0.53,0.44,0.16,-0.53,-1.41,-1.25,-0.72,-0.38,0.09,0.94,2.16,2.12,0.34,-2.31,-4.53,-6.78,-8.84,-9.97,-9.28,-8.12,-7.22,-7.28,-7.16,-6.81,-7.16,-8.09,-8.47,-7.53,-6.44,-5.5,-4.12,-1.41,0.81,2.19,3.0,4.06,5.28,6.16,6.66,7.94,9.38,10.12,9.38,7.88,6.78,5.22,2.59,0.41,-0.47,-0.88,-1.09,-1.44,-0.34,1.0,1.75,1.34,1.41,1.88,1.91,1.12,0.53,1.31,2.09,2.03,1.66,1.91,1.06,-0.81,-3.69,-6.12,-8.12,-10.03,-11.69,-11.97,-10.97,-9.03,-7.34,-5.22,-2.53,-0.28,1.06,2.34,3.91,5.06,5.12,4.44,3.44,2.44,1.06,-0.66,-2.12,-3.19,-3.75,-4.41,-5.28,-5.28,-5.25,-5.84,-6.97,-7.38,-7.75,-7.91,-8.62,-9.0,-8.41,-7.25,-6.88,-5.91,-4.97,-4.19,-4.59,-5.47,-5.81,-5.69,-5.44,-5.72,-5.47,-5.06,-5.44,-6.62,-7.03,-6.66,-5.91,-5.84,-5.31,-4.19,-3.62,-4.31,-5.62,-6.72,-8.09,-9.94,-11.44,-11.94,-10.91,-10.25,-9.75,-8.88,-7.75,-7.19,-8.03,-8.91,-9.44,-9.62,-10.22,-10.62,-9.84,-8.62,-8.06,-8.03,-8.09,-7.41,-7.0,-6.88,-6.59,-5.41,-4.06,-3.91,-3.47,-2.59,-2.0,-2.25,-2.97,-3.69,-4.19,-4.53,-5.81,-6.69,-6.78,-6.78,-6.91,-6.97,-6.09,-4.97,-5.0,-4.97,-4.81,-4.28,-4.25,-4.78,-4.47,-3.72,-3.03,-3.09,-3.47,-3.75,-4.28,-5.56,-6.88,-7.31,-6.72,-7.09,-7.41,-6.72,-5.53,-4.97,-4.72,-4.69,-4.62,-5.72,-7.81,-10.09,-11.38,-11.88,-12.09,-11.19,-9.72,-7.31,-6.06,-5.41,-4.94,-4.28,-4.5,-4.5,-3.81,-2.31,-0.88,-0.81,-1.59,-2.91,-4.22,-6.47,-7.81,-7.75,-6.75,-6.06,-5.41,-4.53,-3.53,-2.84,-2.94,-2.78,-2.75,-3.06,-3.94,-5.47,-6.69,-7.09,-8.09,-8.84,-8.56,-7.47,-6.69,-6.34,-5.75,-4.44,-3.44,-3.09,-2.84,-2.28,-2.03,-2.94,-4.03,-4.12,-3.34,-2.91,-2.28,-1.28,-0.28,0.56,0.94,0.84,1.5,1.81,1.12,0.03,-0.66,-1.25,-2.88,-4.91,-6.03,-6.22,-6.91,-6.66,-5.44,-2.88,-1.25,-0.19,0.09,0.03,-0.56,-2.28,-3.84,-4.41,-4.31,-5.34,-6.53,-7.44,-8.06,-9.25,-10.41,-10.78,-9.84,-8.66,-7.34,-6.22,-3.69,-1.34,-0.44,-0.25,-0.5,-1.09,-3.19,-5.09,-6.66,-6.81,-6.66,-6.25,-5.31,-2.91,-0.78,0.31,0.88,1.03,0.25,-2.06,-5.03,-7.0,-8.72,-10.72,-12.5,-13.75,-14.59,-14.94,-15.25,-15.34,-14.09,-12.88,-12.53,-12.25,-11.34,-11.16,-11.59,-13.22,-14.38,-15.25,-16.06,-16.69,-16.31,-14.88,-13.56,-13.25,-13.25,-12.66,-11.94,-12.12,-12.69,-13.0,-13.25,-14.59,-16.34,-17.44,-17.88,-18.72,-19.38,-19.56,-17.75,-15.41,-13.91,-12.31,-11.0,-11.0,-12.25,-14.81,-16.66,-18.41,-20.56,-22.72,-23.28,-22.16,-20.56,-18.72,-16.72,-14.47,-12.94,-12.28,-12.41,-12.19,-11.72,-11.97,-11.97,-11.06,-10.06,-9.44,-9.31,-9.5,-10.0,-10.62,-12.59,-14.56,-15.03,-15.12,-15.62,-16.06,-15.97,-15.81,-16.34,-17.09,-16.09,-14.0,-11.59,-9.75,-7.81,-5.72,-4.47,-4.19,-4.5,-4.03,-3.78,-4.44,-6.03,-7.19,-8.12,-8.91,-9.91,-10.12,-9.31,-8.84,-9.03,-8.97,-7.72,-6.41,-5.91,-6.25,-6.34,-7.03,-8.97,-11.25,-12.72,-13.88,-15.06,-16.59,-17.03,-16.44,-15.5,-14.91,-13.78,-12.06,-10.97,-11.53,-13.47,-15.41,-17.78,-20.84,-23.22,-24.09,-23.59,-22.12,-21.03,-19.44,-17.53,-15.75,-15.22,-14.81,-13.72,-13.09,-13.28,-14.06,-14.72,-15.34,-16.84,-18.91,-20.09,-20.16,-19.53,-19.12,-17.88,-15.94,-14.22,-14.12,-14.91,-15.38,-16.12,-17.72,-19.38,-19.75,-19.38,-19.16,-19.09,-18.34,-16.88,-15.44,-14.25,-13.12,-11.06,-8.84,-7.84,-7.09,-5.84,-5.03,-4.94,-5.47,-5.09,-4.06,-2.97,-2.41,-1.91,-1.38,-1.72,-3.72,-6.38,-8.66,-10.53,-12.94,-14.12,-13.56,-11.22,-9.16,-7.56,-5.34,-3.66,-2.53,-2.62,-2.88,-2.69,-3.25,-5.19,-7.44,-8.66,-9.06,-9.03,-8.12,-6.03,-3.16,-1.59,-1.25,-1.19,-1.12,-1.81,-3.38,-4.78,-5.72,-6.44,-8.28,-10.03,-10.62,-10.5,-10.28,-10.12,-8.94,-7.12,-5.97,-5.56,-4.69,-3.38,-2.44,-2.91,-3.69,-4.22,-4.88,-6.69,-8.03,-8.25,-8.03,-7.78,-7.53,-7.5,-7.53,-8.22,-10.31,-12.22,-12.94,-13.03,-13.41,-12.72,-10.72,-8.25,-6.84,-6.0,-5.69,-5.78,-7.38,-10.19,-12.44,-13.53,-14.78,-16.44,-17.0,-16.47,-15.53,-15.09,-14.69,-13.47,-11.84,-10.78,-9.59,-7.06,-3.88,-1.84,-1.0,-0.69,-0.72,-1.56,-3.81,-6.19,-7.72,-9.22,-11.28,-12.5,-12.38,-11.0,-10.53,-10.19,-9.53,-8.62,-8.56,-8.88,-8.41,-7.53,-6.78,-7.12,-8.12,-8.47,-8.97,-10.62,-11.5,-11.03,-9.34,-7.91,-6.41,-4.88,-3.38,-3.59,-5.38,-7.84,-9.69,-11.5,-13.25,-13.81,-12.56,-10.66,-9.09,-7.81,-6.09,-3.72,-2.44,-2.09,-1.62,-1.03,-1.31,-3.0,-4.94,-6.03,-6.91,-8.81,-10.38,-11.22,-11.31,-12.38,-13.41,-13.28,-12.09,-11.5,-11.44,-10.94,-10.0,-9.62,-9.97,-10.53,-9.94,-8.59,-7.91,-7.28,-5.75,-3.66,-3.12,-2.88,-1.91,-0.38,0.03,-0.53,-1.5,-1.97,-3.94,-6.72,-9.34,-10.25,-10.03,-10.16,-9.69,-8.41,-6.38,-5.53,-5.25,-4.59,-3.5,-3.25,-3.81,-4.16,-3.78,-3.25,-3.72,-4.44,-4.34,-4.22,-4.97,-5.5,-5.41,-4.97,-5.66,-7.12,-8.81,-9.94,-11.16,-12.16,-12.25,-11.06,-9.69,-9.31,-9.78,-9.81,-9.62,-10.25,-10.72,-10.47,-9.78,-9.72,-10.03,-10.16,-8.72,-7.09,-5.66,-4.16,-2.0,-0.25,0.12,0.12,0.31,0.53,-0.09,-1.22,-1.25,-0.28,0.25,0.47,0.56,1.47,1.56,0.66,-0.47,-0.62,-1.03,-2.78,-4.97,-6.75,-8.12,-9.69,-10.78,-10.66,-9.06,-8.16,-7.62,-7.91,-7.41,-7.47,-8.38,-9.34,-9.28,-8.62,-8.12,-7.47,-5.56,-3.72,-2.97,-3.72,-5.22,-6.78,-9.22,-11.94,-14.44,-15.34,-15.88,-16.16,-15.78,-14.16,-11.94,-10.28,-9.09,-8.47,-7.81,-8.44,-9.78,-10.59,-10.16,-9.41,-9.22,-8.97,-7.91,-7.16,-7.59,-8.06,-8.09,-8.19,-8.34,-8.88,-8.59,-6.69,-4.88,-3.97,-2.38,0.09,2.41,3.97,5.41,7.19,8.19,8.62,8.16,8.09,7.75,6.84,4.56,2.19,0.28,-1.81,-4.72,-6.47,-6.28,-6.16,-5.84,-5.41,-3.47,-1.59,-0.03,1.0,2.47,3.31,3.22,2.03,1.0,0.66,0.28,-0.66,-1.44,-2.0,-2.34,-4.22,-5.91,-6.41,-6.12,-5.97,-6.0,-5.0,-3.66,-3.0,-2.94,-2.75,-1.78,-1.06,-1.25,-1.78,-1.56,-1.16,-1.31,-1.16,0.22,1.97,3.47,4.25,4.56,4.97,4.88,3.88,2.88,3.12,4.0,4.12,54.06,53.66,53.06,52.62,52.72,53.03,53.78:4.75,4.03,3.91,5.41,7.97,9.5,10.56,11.72,12.22,11.22,8.78,6.78,5.72,4.75,3.19,2.44,2.97,2.97,2.09,1.09,0.47,-0.56,-2.47,-4.72,-6.0,-6.12,-5.62,-4.59,-2.44,0.91,4.19,6.22,8.19,10.06,11.84,12.28,12.16,13.03,13.81,13.62,12.47,11.16,9.66,6.91,2.56,-1.5,-4.12,-5.75,-6.88,-6.59,-4.38,-1.41,0.91,2.56,4.62,6.47,6.56,5.53,4.25,3.81,3.16,2.47,2.09,3.0,3.56,2.72,1.78,1.44,1.81,1.62,1.59,2.72,3.88,4.12,3.34,2.44,2.12,1.84,0.97,0.56,1.41,3.28,4.34,5.75,8.16,10.84,12.12,12.28,12.28,12.69,11.66,9.94,8.53,8.22,8.09,7.03,5.94,5.78,5.22,3.06,0.44,-1.47,-3.25,-5.97,-8.88,-10.94,-11.84,-12.59,-13.5,-13.31,-12.0,-10.06,-8.62,-7.16,-4.62,-1.94,-0.62,0.81,2.12,3.97,4.97,4.97,5.31,6.34,7.16,6.75,6.28,5.75,4.16,1.12,-2.12,-4.38,-5.0,-5.47,-5.12,-3.91,-1.53,0.19,1.44,3.16,5.28,6.75,7.34,7.56,8.12,9.16,8.81,7.75,7.88,8.34,7.44,6.56,6.16,6.66,6.12,5.0,3.97,3.59,3.12,2.09,0.84,1.06,1.5,0.88,0.12,0.41,1.91,2.53,3.09,4.5,6.28,6.75,5.91,5.38,5.44,6.0,6.06,6.34,7.09,7.38,6.31,4.0,2.41,1.03,-0.88,-2.75,-3.78,-3.41,-3.0,-3.41,-4.06,-4.09,-4.22,-5.34,-6.28,-6.0,-5.0,-4.38,-3.94,-2.41,-0.09,1.5,2.34,2.47,2.72,2.16,0.19,-2.41,-4.06,-5.31,-7.06,-8.25,-8.22,-6.88,-5.88,-5.34,-4.75,-3.84,-4.12,-5.47,-6.78,-6.78,-7.16,-8.0,-9.0,-8.81,-7.66,-7.38,-6.53,-4.91,-2.53,-1.16,-0.56,0.12,1.69,2.19,1.75,1.03,0.78,0.69,-0.31,-1.16,-1.34,-0.94,-1.5,-2.25,-2.56,-2.03,-1.97,-2.47,-2.91,-2.66,-2.75,-4.31,-5.78,-6.03,-6.72,-7.56,-7.81,-6.62,-4.5,-2.5,-0.5,2.09,4.59,5.78,5.44,4.66,4.44,3.44,2.06,0.53,0.44,0.16,-0.53,-1.41,-1.25,-0.72,-0.38,0.09,0.94,2.16,2.12,0.34,-2.31,-4.53,-6.78,-8.84,-9.97,-9.28,-8.12,-7.22,-7.28,-7.16,-6.81,-7.16,-8.09,-8.47,-7.53,-6.44,-5.5,-4.12,-1.41,0.81,2.19,3.0,4.06,5.28,6.16,6.66,7.94,9.38,10.12,9.38,7.88,6.78,5.22,2.59,0.41,-0.47,-0.88,-1.09,-1.44,-0.34,1.0,1.75,1.34,1.41,1.88,1.91,1.12,0.53,1.31,2.09,2.03,1.66,1.91,1.06,-0.81,-3.69,-6.12,-8.12,-10.03,-11.69,-11.97,-10.97,-9.03,-7.34,-5.22,-2.53,-0.28,1.06,2.34,3.91,5.06,5.12,4.44,3.44,2.44,1.06,-0.66,-2.12,-3.19,-3.75,-4.41,-5.28,-5.28,-5.25,-5.84,-6.97,-7.38,-7.75,-7.91,-8.62,-9.0,-8.41,-7.25,-6.88,-5.91,-4.97,-4.19,-4.59,-5.47,-5.81,-5.69,-5.44,-5.72,-5.47,-5.06,-5.44,-6.62,-7.03,-6.66,-5.91,-5.84,-5.31,-4.19,-3.62,-4.31,-5.62,-6.72,-8.09,-9.94,-11.44,-11.94,-10.91,-10.25,-9.75,-8.88,-7.75,-7.19,-8.03,-8.91,-9.44,-9.62,-10.22,-10.62,-9.84,-8.62,-8.06,-8.03,-8.09,-7.41,-7.0,-6.88,-6.59,-5.41,-4.06,-3.91,-3.47,-2.59,-2.0,-2.25,-2.97,-3.69,-4.19,-4.53,-5.81,-6.69,-6.78,-6.78,-6.91,-6.97,-6.09,-4.97,-5.0,-4.97,-4.81,-4.28,-4.25,-4.78,-4.47,-3.72,-3.03,-3.09,-3.47,-3.75,-4.28,-5.56,-6.88,-7.31,-6.72,-7.09,-7.41,-6.72,-5.53,-4.97,-4.72,-4.69,-4.62,-5.72,-7.81,-10.09,-11.38,-11.88,-12.09,-11.19,-9.72,-7.31,-6.06,-5.41,-4.94,-4.28,-4.5,-4.5,-3.81,-2.31,-0.88,-0.81,-1.59,-2.91,-4.22,-6.47,-7.81,-7.75,-6.75,-6.06,-5.41,-4.53,-3.53,-2.84,-2.94,-2.78,-2.75,-3.06,-3.94,-5.47,-6.69,-7.09,-8.09,-8.84,-8.56,-7.47,-6.69,-6.34,-5.75,-4.44,-3.44,-3.09,-2.84,-2.28,-2.03,-2.94,-4.03,-4.12,-3.34,-2.91,-2.28,-1.28,-0.28,0.56,0.94,0.84,1.5,1.81,1.12,0.03,-0.66,-1.25,-2.88,-4.91,-6.03,-6.22,-6.91,-6.66,-5.44,-2.88,-1.25,-0.19,0.09,0.03,-0.56,-2.28,-3.84,-4.41,-4.31,-5.34,-6.53,-7.44,-8.06,-9.25,-10.41,-10.78,-9.84,-8.66,-7.34,-6.22,-3.69,-1.34,-0.44,-0.25,-0.5,-1.09,-3.19,-5.09,-6.66,-6.81,-6.66,-6.25,-5.31,-2.91,-0.78,0.31,0.88,1.03,0.25,-2.06,-5.03,-7.0,-8.72,-10.72,-12.5,-13.75,-14.59,-14.94,-15.25,-15.34,-14.09,-12.88,-12.53,-12.25,-11.34,-11.16,-11.59,-13.22,-14.38,-15.25,-16.06,-16.69,-16.31,-14.88,-13.56,-13.25,-13.25,-12.66,-11.94,-12.12,-12.69,-13.0,-13.25,-14.59,-16.34,-17.44,-17.88,-18.72,-19.38,-19.56,-17.75,-15.41,-13.91,-12.31,-11.0,-11.0,-12.25,-14.81,-16.66,-18.41,-20.56,-22.72,-23.28,-22.16,-20.56,-18.72,-16.72,-14.47,-12.94,-12.28,-12.41,-12.19,-11.72,-11.97,-11.97,-11.06,-10.06,-9.44,-9.31,-9.5,-10.0,-10.62,-12.59,-14.56,-15.03,-15.12,-15.62,-16.06,-15.97,-15.81,-16.34,-17.09,-16.09,-14.0,-11.59,-9.75,-7.81,-5.72,-4.47,-4.19,-4.5,-4.03,-3.78,-4.44,-6.03,-7.19,-8.12,-8.91,-9.91,-10.12,-9.31,-8.84,-9.03,-8.97,-7.72,-6.41,-5.91,-6.25,-6.34,-7.03,-8.97,-11.25,-12.72,-13.88,-15.06,-16.59,-17.03,-16.44,-15.5,-14.91,-13.78,-12.06,-10.97,-11.53,-13.47,-15.41,-17.78,-20.84,-23.22,-24.09,-23.59,-22.12,-21.03,-19.44,-17.53,-15.75,-15.22,-14.81,-13.72,-13.09,-13.28,-14.06,-14.72,-15.34,-16.84,-18.91,-20.09,-20.16,-19.53,-19.12,-17.88,-15.94,-14.22,-14.12,-14.91,-15.38,-16.12,-17.72,-19.38,-19.75,-19.38,-19.16,-19.09,-18.34,-16.88,-15.44,-14.25,-13.12,-11.06,-8.84,-7.84,-7.09,-5.84,-5.03,-4.94,-5.47,-5.09,-4.06,-2.97,-2.41,-1.91,-1.38,-1.72,-3.72,-6.38,-8.66,-10.53,-12.94,-14.12,-13.56,-11.22,-9.16,-7.56,-5.34,-3.66,-2.53,-2.62,-2.88,-2.69,-3.25,-5.19,-7.44,-8.66,-9.06,-9.03,-8.12,-6.03,-3.16,-1.59,-1.25,-1.19,-1.12,-1.81,-3.38,-4.78,-5.72,-6.44,-8.28,-10.03,-10.62,-10.5,-10.28,-10.12,-8.94,-7.12,-5.97,-5.56,-4.69,-3.38,-2.44,-2.91,-3.69,-4.22,-4.88,-6.69,-8.03,-8.25,-8.03,-7.78,-7.53,-7.5,-7.53,-8.22,-10.31,-12.22,-12.94,-13.03,-13.41,-12.72,-10.72,-8.25,-6.84,-6.0,-5.69,-5.78,-7.38,-10.19,-12.44,-13.53,-14.78,-16.44,-17.0,-16.47,-15.53,-15.09,-14.69,-13.47,-11.84,-10.78,-9.59,-7.06,-3.88,-1.84,-1.0,-0.69,-0.72,-1.56,-3.81,-6.19,-7.72,-9.22,-11.28,-12.5,-12.38,-11.0,-10.53,-10.19,-9.53,-8.62,-8.56,-8.88,-8.41,-7.53,-6.78,-7.12,-8.12,-8.47,-8.97,-10.62,-11.5,-11.03,-9.34,-7.91,-6.41,-4.88,-3.38,-3.59,-5.38,-7.84,-9.69,-11.5,-13.25,-13.81,-12.56,-10.66,-9.09,-7.81,-6.09,-3.72,-2.44,-2.09,-1.62,-1.03,-1.31,-3.0,-4.94,-6.03,-6.91,-8.81,-10.38,-11.22,-11.31,-12.38,-13.41,-13.28,-12.09,-11.5,-11.44,-10.94,-10.0,-9.62,-9.97,-10.53,-9.94,-8.59,-7.91,-7.28,-5.75,-3.66,-3.12,-2.88,-1.91,-0.38,0.03,-0.53,-1.5,-1.97,-3.94,-6.72,-9.34,-10.25,-10.03,-10.16,-9.69,-8.41,-6.38,-5.53,-5.25,-4.59,-3.5,-3.25,-3.81,-4.16,-3.78,-3.25,-3.72,-4.44,-4.34,-4.22,-4.97,-5.5,-5.41,-4.97,-5.66,-7.12,-8.81,-9.94,-11.16,-12.16,-12.25,-11.06,-9.69,-9.31,-9.78,-9.81,-9.62,-10.25,-10.72,-10.47,-9.78,-9.72,-10.03,-10.16,-8.72,-7.09,-5.66,-4.16,-2.0,-0.25,0.12,0.12,0.31,0.53,-0.09,-1.22,-1.25,-0.28,0.25,0.47,0.56,1.47,1.56,0.66,-0.47,-0.62,-1.03,-2.78,-4.97,-6.75,-8.12,-9.69,-10.78,-10.66,-9.06,-8.16,-7.62,-7.91,-7.41,-7.47,-8.38,-9.34,-9.28,-8.62,-8.12,-7.47,-5.56,-3.72,-2.97,-3.72,-5.22,-6.78,-9.22,-11.94,-14.44,-15.34,-15.88,-16.16,-15.78,-14.16,-11.94,-10.28,-9.09,-8.47,-7.81,-8.44,-9.78,-10.59,-10.16,-9.41,-9.22,-8.97,-7.91,-7.16,-7.59,-8.06,-8.09,-8.19,-8.34,-8.88,-8.59,-6.69,-4.88,-3.97,-2.38,0.09,2.41,3.97,5.41,7.19,8.19,8.62,8.16,8.09,7.75,6.84,4.56,2.19,0.28,-1.81,-4.72,-6.47,-6.28,-6.16,-5.84,-5.41,-3.47,-1.59,-0.03,1.0,2.47,3.31,3.22,2.03,1.0,0.66,0.28,-0.66,-1.44,-2.0,-2.34,-4.22,-5.91,-6.41,-6.12,-5.97,-6.0,-5.0,-3.66,-3.0,-2.94,-2.75,-1.78,-1.06,-1.25,-1.78,-1.56,-1.16,-1.31,-1.16,0.22,1.97,3.47,4.25,4.56,4.97,4.88,3.88,2.88,3.12,4.0,4.12,54.06,53.66,53.06,52.62,52.72,53.03,53.78,54.28,54.62,54.81,54.81,54.12,53.0,52.09:11.72,12.22,11.22,8.78,6.78,5.72,4.75,3.19,2.44,2.97,2.97,2.09,1.09,0.47,-0.56,-2.47,-4.72,-6.0,-6.12,-5.62,-4.59,-2.44,0.91,4.19,6.22,8.19,10.06,11.84,12.28,12.16,13.03,13.81,13.62,12.47,11.16,9.66,6.91,2.56,-1.5,-4.12,-5.75,-6.88,-6.59,-4.38,-1.41,0.91,2.56,4.62,6.47,6.56,5.53,4.25,3.81,3.16,2.47,2.09,3.0,3.56,2.72,1.78,1.44,1.81,1.62,1.59,2.72,3.88,4.12,3.34,2.44,2.12,1.84,0.97,0.56,1.41,3.28,4.34,5.75,8.16,10.84,12.12,12.28,12.28,12.69,11.66,9.94,8.53,8.22,8.09,7.03,5.94,5.78,5.22,3.06,0.44,-1.47,-3.25,-5.97,-8.88,-10.94,-11.84,-12.59,-13.5,-13.31,-12.0,-10.06,-8.62,-7.16,-4.62,-1.94,-0.62,0.81,2.12,3.97,4.97,4.97,5.31,6.34,7.16,6.75,6.28,5.75,4.16,1.12,-2.12,-4.38,-5.0,-5.47,-5.12,-3.91,-1.53,0.19,1.44,3.16,5.28,6.75,7.34,7.56,8.12,9.16,8.81,7.75,7.88,8.34,7.44,6.56,6.16,6.66,6.12,5.0,3.97,3.59,3.12,2.09,0.84,1.06,1.5,0.88,0.12,0.41,1.91,2.53,3.09,4.5,6.28,6.75,5.91,5.38,5.44,6.0,6.06,6.34,7.09,7.38,6.31,4.0,2.41,1.03,-0.88,-2.75,-3.78,-3.41,-3.0,-3.41,-4.06,-4.09,-4.22,-5.34,-6.28,-6.0,-5.0,-4.38,-3.94,-2.41,-0.09,1.5,2.34,2.47,2.72,2.16,0.19,-2.41,-4.06,-5.31,-7.06,-8.25,-8.22,-6.88,-5.88,-5.34,-4.75,-3.84,-4.12,-5.47,-6.78,-6.78,-7.16,-8.0,-9.0,-8.81,-7.66,-7.38,-6.53,-4.91,-2.53,-1.16,-0.56,0.12,1.69,2.19,1.75,1.03,0.78,0.69,-0.31,-1.16,-1.34,-0.94,-1.5,-2.25,-2.56,-2.03,-1.97,-2.47,-2.91,-2.66,-2.75,-4.31,-5.78,-6.03,-6.72,-7.56,-7.81,-6.62,-4.5,-2.5,-0.5,2.09,4.59,5.78,5.44,4.66,4.44,3.44,2.06,0.53,0.44,0.16,-0.53,-1.41,-1.25,-0.72,-0.38,0.09,0.94,2.16,2.12,0.34,-2.31,-4.53,-6.78,-8.84,-9.97,-9.28,-8.12,-7.22,-7.28,-7.16,-6.81,-7.16,-8.09,-8.47,-7.53,-6.44,-5.5,-4.12,-1.41,0.81,2.19,3.0,4.06,5.28,6.16,6.66,7.94,9.38,10.12,9.38,7.88,6.78,5.22,2.59,0.41,-0.47,-0.88,-1.09,-1.44,-0.34,1.0,1.75,1.34,1.41,1.88,1.91,1.12,0.53,1.31,2.09,2.03,1.66,1.91,1.06,-0.81,-3.69,-6.12,-8.12,-10.03,-11.69,-11.97,-10.97,-9.03,-7.34,-5.22,-2.53,-0.28,1.06,2.34,3.91,5.06,5.12,4.44,3.44,2.44,1.06,-0.66,-2.12,-3.19,-3.75,-4.41,-5.28,-5.28,-5.25,-5.84,-6.97,-7.38,-7.75,-7.91,-8.62,-9.0,-8.41,-7.25,-6.88,-5.91,-4.97,-4.19,-4.59,-5.47,-5.81,-5.69,-5.44,-5.72,-5.47,-5.06,-5.44,-6.62,-7.03,-6.66,-5.91,-5.84,-5.31,-4.19,-3.62,-4.31,-5.62,-6.72,-8.09,-9.94,-11.44,-11.94,-10.91,-10.25,-9.75,-8.88,-7.75,-7.19,-8.03,-8.91,-9.44,-9.62,-10.22,-10.62,-9.84,-8.62,-8.06,-8.03,-8.09,-7.41,-7.0,-6.88,-6.59,-5.41,-4.06,-3.91,-3.47,-2.59,-2.0,-2.25,-2.97,-3.69,-4.19,-4.53,-5.81,-6.69,-6.78,-6.78,-6.91,-6.97,-6.09,-4.97,-5.0,-4.97,-4.81,-4.28,-4.25,-4.78,-4.47,-3.72,-3.03,-3.09,-3.47,-3.75,-4.28,-5.56,-6.88,-7.31,-6.72,-7.09,-7.41,-6.72,-5.53,-4.97,-4.72,-4.69,-4.62,-5.72,-7.81,-10.09,-11.38,-11.88,-12.09,-11.19,-9.72,-7.31,-6.06,-5.41,-4.94,-4.28,-4.5,-4.5,-3.81,-2.31,-0.88,-0.81,-1.59,-2.91,-4.22,-6.47,-7.81,-7.75,-6.75,-6.06,-5.41,-4.53,-3.53,-2.84,-2.94,-2.78,-2.75,-3.06,-3.94,-5.47,-6.69,-7.09,-8.09,-8.84,-8.56,-7.47,-6.69,-6.34,-5.75,-4.44,-3.44,-3.09,-2.84,-2.28,-2.03,-2.94,-4.03,-4.12,-3.34,-2.91,-2.28,-1.28,-0.28,0.56,0.94,0.84,1.5,1.81,1.12,0.03,-0.66,-1.25,-2.88,-4.91,-6.03,-6.22,-6.91,-6.66,-5.44,-2.88,-1.25,-0.19,0.09,0.03,-0.56,-2.28,-3.84,-4.41,-4.31,-5.34,-6.53,-7.44,-8.06,-9.25,-10.41,-10.78,-9.84,-8.66,-7.34,-6.22,-3.69,-1.34,-0.44,-0.25,-0.5,-1.09,-3.19,-5.09,-6.66,-6.81,-6.66,-6.25,-5.31,-2.91,-0.78,0.31,0.88,1.03,0.25,-2.06,-5.03,-7.0,-8.72,-10.72,-12.5,-13.75,-14.59,-14.94,-15.25,-15.34,-14.09,-12.88,-12.53,-12.25,-11.34,-11.16,-11.59,-13.22,-14.38,-15.25,-16.06,-16.69,-16.31,-14.88,-13.56,-13.25,-13.25,-12.66,-11.94,-12.12,-12.69,-13.0,-13.25,-14.59,-16.34,-17.44,-17.88,-18.72,-19.38,-19.56,-17.75,-15.41,-13.91,-12.31,-11.0,-11.0,-12.25,-14.81,-16.66,-18.41,-20.56,-22.72,-23.28,-22.16,-20.56,-18.72,-16.72,-14.47,-12.94,-12.28,-12.41,-12.19,-11.72,-11.97,-11.97,-11.06,-10.06,-9.44,-9.31,-9.5,-10.0,-10.62,-12.59,-14.56,-15.03,-15.12,-15.62,-16.06,-15.97,-15.81,-16.34,-17.09,-16.09,-14.0,-11.59,-9.75,-7.81,-5.72,-4.47,-4.19,-4.5,-4.03,-3.78,-4.44,-6.03,-7.19,-8.12,-8.91,-9.91,-10.12,-9.31,-8.84,-9.03,-8.97,-7.72,-6.41,-5.91,-6.25,-6.34,-7.03,-8.97,-11.25,-12.72,-13.88,-15.06,-16.59,-17.03,-16.44,-15.5,-14.91,-13.78,-12.06,-10.97,-11.53,-13.47,-15.41,-17.78,-20.84,-23.22,-24.09,-23.59,-22.12,-21.03,-19.44,-17.53,-15.75,-15.22,-14.81,-13.72,-13.09,-13.28,-14.06,-14.72,-15.34,-16.84,-18.91,-20.09,-20.16,-19.53,-19.12,-17.88,-15.94,-14.22,-14.12,-14.91,-15.38,-16.12,-17.72,-19.38,-19.75,-19.38,-19.16,-19.09,-18.34,-16.88,-15.44,-14.25,-13.12,-11.06,-8.84,-7.84,-7.09,-5.84,-5.03,-4.94,-5.47,-5.09,-4.06,-2.97,-2.41,-1.91,-1.38,-1.72,-3.72,-6.38,-8.66,-10.53,-12.94,-14.12,-13.56,-11.22,-9.16,-7.56,-5.34,-3.66,-2.53,-2.62,-2.88,-2.69,-3.25,-5.19,-7.44,-8.66,-9.06,-9.03,-8.12,-6.03,-3.16,-1.59,-1.25,-1.19,-1.12,-1.81,-3.38,-4.78,-5.72,-6.44,-8.28,-10.03,-10.62,-10.5,-10.28,-10.12,-8.94,-7.12,-5.97,-5.56,-4.69,-3.38,-2.44,-2.91,-3.69,-4.22,-4.88,-6.69,-8.03,-8.25,-8.03,-7.78,-7.53,-7.5,-7.53,-8.22,-10.31,-12.22,-12.94,-13.03,-13.41,-12.72,-10.72,-8.25,-6.84,-6.0,-5.69,-5.78,-7.38,-10.19,-12.44,-13.53,-14.78,-16.44,-17.0,-16.47,-15.53,-15.09,-14.69,-13.47,-11.84,-10.78,-9.59,-7.06,-3.88,-1.84,-1.0,-0.69,-0.72,-1.56,-3.81,-6.19,-7.72,-9.22,-11.28,-12.5,-12.38,-11.0,-10.53,-10.19,-9.53,-8.62,-8.56,-8.88,-8.41,-7.53,-6.78,-7.12,-8.12,-8.47,-8.97,-10.62,-11.5,-11.03,-9.34,-7.91,-6.41,-4.88,-3.38,-3.59,-5.38,-7.84,-9.69,-11.5,-13.25,-13.81,-12.56,-10.66,-9.09,-7.81,-6.09,-3.72,-2.44,-2.09,-1.62,-1.03,-1.31,-3.0,-4.94,-6.03,-6.91,-8.81,-10.38,-11.22,-11.31,-12.38,-13.41,-13.28,-12.09,-11.5,-11.44,-10.94,-10.0,-9.62,-9.97,-10.53,-9.94,-8.59,-7.91,-7.28,-5.75,-3.66,-3.12,-2.88,-1.91,-0.38,0.03,-0.53,-1.5,-1.97,-3.94,-6.72,-9.34,-10.25,-10.03,-10.16,-9.69,-8.41,-6.38,-5.53,-5.25,-4.59,-3.5,-3.25,-3.81,-4.16,-3.78,-3.25,-3.72,-4.44,-4.34,-4.22,-4.97,-5.5,-5.41,-4.97,-5.66,-7.12,-8.81,-9.94,-11.16,-12.16,-12.25,-11.06,-9.69,-9.31,-9.78,-9.81,-9.62,-10.25,-10.72,-10.47,-9.78,-9.72,-10.03,-10.16,-8.72,-7.09,-5.66,-4.16,-2.0,-0.25,0.12,0.12,0.31,0.53,-0.09,-1.22,-1.25,-0.28,0.25,0.47,0.56,1.47,1.56,0.66,-0.47,-0.62,-1.03,-2.78,-4.97,-6.75,-8.12,-9.69,-10.78,-10.66,-9.06,-8.16,-7.62,-7.91,-7.41,-7.47,-8.38,-9.34,-9.28,-8.62,-8.12,-7.47,-5.56,-3.72,-2.97,-3.72,-5.22,-6.78,-9.22,-11.94,-14.44,-15.34,-15.88,-16.16,-15.78,-14.16,-11.94,-10.28,-9.09,-8.47,-7.81,-8.44,-9.78,-10.59,-10.16,-9.41,-9.22,-8.97,-7.91,-7.16,-7.59,-8.06,-8.09,-8.19,-8.34,-8.88,-8.59,-6.69,-4.88,-3.97,-2.38,0.09,2.41,3.97,5.41,7.19,8.19,8.62,8.16,8.09,7.75,6.84,4.56,2.19,0.28,-1.81,-4.72,-6.47,-6.28,-6.16,-5.84,-5.41,-3.47,-1.59,-0.03,1.0,2.47,3.31,3.22,2.03,1.0,0.66,0.28,-0.66,-1.44,-2.0,-2.34,-4.22,-5.91,-6.41,-6.12,-5.97,-6.0,-5.0,-3.66,-3.0,-2.94,-2.75,-1.78,-1.06,-1.25,-1.78,-1.56,-1.16,-1.31,-1.16,0.22,1.97,3.47,4.25,4.56,4.97,4.88,3.88,2.88,3.12,4.0,4.12,54.06,53.66,53.06,52.62,52.72,53.03,53.78,54.28,54.62,54.81,54.81,54.12,53.0,52.09,51.03,50.5,50.34,50.69,52.56,54.38,55.25:3.19,2.44,2.97,2.97,2.09,1.09,0.47,-0.56,-2.47,-4.72,-6.0,-6.12,-5.62,-4.59,-2.44,0.91,4.19,6.22,8.19,10.06,11.84,12.28,12.16,13.03,13.81,13.62,12.47,11.16,9.66,6.91,2.56,-1.5,-4.12,-5.75,-6.88,-6.59,-4.38,-1.41,0.91,2.56,4.62,6.47,6.56,5.53,4.25,3.81,3.16,2.47,2.09,3.0,3.56,2.72,1.78,1.44,1.81,1.62,1.59,2.72,3.88,4.12,3.34,2.44,2.12,1.84,0.97,0.56,1.41,3.28,4.34,5.75,8.16,10.84,12.12,12.28,12.28,12.69,11.66,9.94,8.53,8.22,8.09,7.03,5.94,5.78,5.22,3.06,0.44,-1.47,-3.25,-5.97,-8.88,-10.94,-11.84,-12.59,-13.5,-13.31,-12.0,-10.06,-8.62,-7.16,-4.62,-1.94,-0.62,0.81,2.12,3.97,4.97,4.97,5.31,6.34,7.16,6.75,6.28,5.75,4.16,1.12,-2.12,-4.38,-5.0,-5.47,-5.12,-3.91,-1.53,0.19,1.44,3.16,5.28,6.75,7.34,7.56,8.12,9.16,8.81,7.75,7.88,8.34,7.44,6.56,6.16,6.66,6.12,5.0,3.97,3.59,3.12,2.09,0.84,1.06,1.5,0.88,0.12,0.41,1.91,2.53,3.09,4.5,6.28,6.75,5.91,5.38,5.44,6.0,6.06,6.34,7.09,7.38,6.31,4.0,2.41,1.03,-0.88,-2.75,-3.78,-3.41,-3.0,-3.41,-4.06,-4.09,-4.22,-5.34,-6.28,-6.0,-5.0,-4.38,-3.94,-2.41,-0.09,1.5,2.34,2.47,2.72,2.16,0.19,-2.41,-4.06,-5.31,-7.06,-8.25,-8.22,-6.88,-5.88,-5.34,-4.75,-3.84,-4.12,-5.47,-6.78,-6.78,-7.16,-8.0,-9.0,-8.81,-7.66,-7.38,-6.53,-4.91,-2.53,-1.16,-0.56,0.12,1.69,2.19,1.75,1.03,0.78,0.69,-0.31,-1.16,-1.34,-0.94,-1.5,-2.25,-2.56,-2.03,-1.97,-2.47,-2.91,-2.66,-2.75,-4.31,-5.78,-6.03,-6.72,-7.56,-7.81,-6.62,-4.5,-2.5,-0.5,2.09,4.59,5.78,5.44,4.66,4.44,3.44,2.06,0.53,0.44,0.16,-0.53,-1.41,-1.25,-0.72,-0.38,0.09,0.94,2.16,2.12,0.34,-2.31,-4.53,-6.78,-8.84,-9.97,-9.28,-8.12,-7.22,-7.28,-7.16,-6.81,-7.16,-8.09,-8.47,-7.53,-6.44,-5.5,-4.12,-1.41,0.81,2.19,3.0,4.06,5.28,6.16,6.66,7.94,9.38,10.12,9.38,7.88,6.78,5.22,2.59,0.41,-0.47,-0.88,-1.09,-1.44,-0.34,1.0,1.75,1.34,1.41,1.88,1.91,1.12,0.53,1.31,2.09,2.03,1.66,1.91,1.06,-0.81,-3.69,-6.12,-8.12,-10.03,-11.69,-11.97,-10.97,-9.03,-7.34,-5.22,-2.53,-0.28,1.06,2.34,3.91,5.06,5.12,4.44,3.44,2.44,1.06,-0.66,-2.12,-3.19,-3.75,-4.41,-5.28,-5.28,-5.25,-5.84,-6.97,-7.38,-7.75,-7.91,-8.62,-9.0,-8.41,-7.25,-6.88,-5.91,-4.97,-4.19,-4.59,-5.47,-5.81,-5.69,-5.44,-5.72,-5.47,-5.06,-5.44,-6.62,-7.03,-6.66,-5.91,-5.84,-5.31,-4.19,-3.62,-4.31,-5.62,-6.72,-8.09,-9.94,-11.44,-11.94,-10.91,-10.25,-9.75,-8.88,-7.75,-7.19,-8.03,-8.91,-9.44,-9.62,-10.22,-10.62,-9.84,-8.62,-8.06,-8.03,-8.09,-7.41,-7.0,-6.88,-6.59,-5.41,-4.06,-3.91,-3.47,-2.59,-2.0,-2.25,-2.97,-3.69,-4.19,-4.53,-5.81,-6.69,-6.78,-6.78,-6.91,-6.97,-6.09,-4.97,-5.0,-4.97,-4.81,-4.28,-4.25,-4.78,-4.47,-3.72,-3.03,-3.09,-3.47,-3.75,-4.28,-5.56,-6.88,-7.31,-6.72,-7.09,-7.41,-6.72,-5.53,-4.97,-4.72,-4.69,-4.62,-5.72,-7.81,-10.09,-11.38,-11.88,-12.09,-11.19,-9.72,-7.31,-6.06,-5.41,-4.94,-4.28,-4.5,-4.5,-3.81,-2.31,-0.88,-0.81,-1.59,-2.91,-4.22,-6.47,-7.81,-7.75,-6.75,-6.06,-5.41,-4.53,-3.53,-2.84,-2.94,-2.78,-2.75,-3.06,-3.94,-5.47,-6.69,-7.09,-8.09,-8.84,-8.56,-7.47,-6.69,-6.34,-5.75,-4.44,-3.44,-3.09,-2.84,-2.28,-2.03,-2.94,-4.03,-4.12,-3.34,-2.91,-2.28,-1.28,-0.28,0.56,0.94,0.84,1.5,1.81,1.12,0.03,-0.66,-1.25,-2.88,-4.91,-6.03,-6.22,-6.91,-6.66,-5.44,-2.88,-1.25,-0.19,0.09,0.03,-0.56,-2.28,-3.84,-4.41,-4.31,-5.34,-6.53,-7.44,-8.06,-9.25,-10.41,-10.78,-9.84,-8.66,-7.34,-6.22,-3.69,-1.34,-0.44,-0.25,-0.5,-1.09,-3.19,-5.09,-6.66,-6.81,-6.66,-6.25,-5.31,-2.91,-0.78,0.31,0.88,1.03,0.25,-2.06,-5.03,-7.0,-8.72,-10.72,-12.5,-13.75,-14.59,-14.94,-15.25,-15.34,-14.09,-12.88,-12.53,-12.25,-11.34,-11.16,-11.59,-13.22,-14.38,-15.25,-16.06,-16.69,-16.31,-14.88,-13.56,-13.25,-13.25,-12.66,-11.94,-12.12,-12.69,-13.0,-13.25,-14.59,-16.34,-17.44,-17.88,-18.72,-19.38,-19.56,-17.75,-15.41,-13.91,-12.31,-11.0,-11.0,-12.25,-14.81,-16.66,-18.41,-20.56,-22.72,-23.28,-22.16,-20.56,-18.72,-16.72,-14.47,-12.94,-12.28,-12.41,-12.19,-11.72,-11.97,-11.97,-11.06,-10.06,-9.44,-9.31,-9.5,-10.0,-10.62,-12.59,-14.56,-15.03,-15.12,-15.62,-16.06,-15.97,-15.81,-16.34,-17.09,-16.09,-14.0,-11.59,-9.75,-7.81,-5.72,-4.47,-4.19,-4.5,-4.03,-3.78,-4.44,-6.03,-7.19,-8.12,-8.91,-9.91,-10.12,-9.31,-8.84,-9.03,-8.97,-7.72,-6.41,-5.91,-6.25,-6.34,-7.03,-8.97,-11.25,-12.72,-13.88,-15.06,-16.59,-17.03,-16.44,-15.5,-14.91,-13.78,-12.06,-10.97,-11.53,-13.47,-15.41,-17.78,-20.84,-23.22,-24.09,-23.59,-22.12,-21.03,-19.44,-17.53,-15.75,-15.22,-14.81,-13.72,-13.09,-13.28,-14.06,-14.72,-15.34,-16.84,-18.91,-20.09,-20.16,-19.53,-19.12,-17.88,-15.94,-14.22,-14.12,-14.91,-15.38,-16.12,-17.72,-19.38,-19.75,-19.38,-19.16,-19.09,-18.34,-16.88,-15.44,-14.25,-13.12,-11.06,-8.84,-7.84,-7.09,-5.84,-5.03,-4.94,-5.47,-5.09,-4.06,-2.97,-2.41,-1.91,-1.38,-1.72,-3.72,-6.38,-8.66,-10.53,-12.94,-14.12,-13.56,-11.22,-9.16,-7.56,-5.34,-3.66,-2.53,-2.62,-2.88,-2.69,-3.25,-5.19,-7.44,-8.66,-9.06,-9.03,-8.12,-6.03,-3.16,-1.59,-1.25,-1.19,-1.12,-1.81,-3.38,-4.78,-5.72,-6.44,-8.28,-10.03,-10.62,-10.5,-10.28,-10.12,-8.94,-7.12,-5.97,-5.56,-4.69,-3.38,-2.44,-2.91,-3.69,-4.22,-4.88,-6.69,-8.03,-8.25,-8.03,-7.78,-7.53,-7.5,-7.53,-8.22,-10.31,-12.22,-12.94,-13.03,-13.41,-12.72,-10.72,-8.25,-6.84,-6.0,-5.69,-5.78,-7.38,-10.19,-12.44,-13.53,-14.78,-16.44,-17.0,-16.47,-15.53,-15.09,-14.69,-13.47,-11.84,-10.78,-9.59,-7.06,-3.88,-1.84,-1.0,-0.69,-0.72,-1.56,-3.81,-6.19,-7.72,-9.22,-11.28,-12.5,-12.38,-11.0,-10.53,-10.19,-9.53,-8.62,-8.56,-8.88,-8.41,-7.53,-6.78,-7.12,-8.12,-8.47,-8.97,-10.62,-11.5,-11.03,-9.34,-7.91,-6.41,-4.88,-3.38,-3.59,-5.38,-7.84,-9.69,-11.5,-13.25,-13.81,-12.56,-10.66,-9.09,-7.81,-6.09,-3.72,-2.44,-2.09,-1.62,-1.03,-1.31,-3.0,-4.94,-6.03,-6.91,-8.81,-10.38,-11.22,-11.31,-12.38,-13.41,-13.28,-12.09,-11.5,-11.44,-10.94,-10.0,-9.62,-9.97,-10.53,-9.94,-8.59,-7.91,-7.28,-5.75,-3.66,-3.12,-2.88,-1.91,-0.38,0.03,-0.53,-1.5,-1.97,-3.94,-6.72,-9.34,-10.25,-10.03,-10.16,-9.69,-8.41,-6.38,-5.53,-5.25,-4.59,-3.5,-3.25,-3.81,-4.16,-3.78,-3.25,-3.72,-4.44,-4.34,-4.22,-4.97,-5.5,-5.41,-4.97,-5.66,-7.12,-8.81,-9.94,-11.16,-12.16,-12.25,-11.06,-9.69,-9.31,-9.78,-9.81,-9.62,-10.25,-10.72,-10.47,-9.78,-9.72,-10.03,-10.16,-8.72,-7.09,-5.66,-4.16,-2.0,-0.25,0.12,0.12,0.31,0.53,-0.09,-1.22,-1.25,-0.28,0.25,0.47,0.56,1.47,1.56,0.66,-0.47,-0.62,-1.03,-2.78,-4.97,-6.75,-8.12,-9.69,-10.78,-10.66,-9.06,-8.16,-7.62,-7.91,-7.41,-7.47,-8.38,-9.34,-9.28,-8.62,-8.12,-7.47,-5.56,-3.72,-2.97,-3.72,-5.22,-6.78,-9.22,-11.94,-14.44,-15.34,-15.88,-16.16,-15.78,-14.16,-11.94,-10.28,-9.09,-8.47,-7.81,-8.44,-9.78,-10.59,-10.16,-9.41,-9.22,-8.97,-7.91,-7.16,-7.59,-8.06,-8.09,-8.19,-8.34,-8.88,-8.59,-6.69,-4.88,-3.97,-2.38,0.09,2.41,3.97,5.41,7.19,8.19,8.62,8.16,8.09,7.75,6.84,4.56,2.19,0.28,-1.81,-4.72,-6.47,-6.28,-6.16,-5.84,-5.41,-3.47,-1.59,-0.03,1.0,2.47,3.31,3.22,2.03,1.0,0.66,0.28,-0.66,-1.44,-2.0,-2.34,-4.22,-5.91,-6.41,-6.12,-5.97,-6.0,-5.0,-3.66,-3.0,-2.94,-2.75,-1.78,-1.06,-1.25,-1.78,-1.56,-1.16,-1.31,-1.16,0.22,1.97,3.47,4.25,4.56,4.97,4.88,3.88,2.88,3.12,4.0,4.12,54.06,53.66,53.06,52.62,52.72,53.03,53.78,54.28,54.62,54.81,54.81,54.12,53.0,52.09,51.03,50.5,50.34,50.69,52.56,54.38,55.25,55.53,55.06,53.78,51.19,48.81,46.88,45.5:-0.56,-2.47,-4.72,-6.0,-6.12,-5.62,-4.59,-2.44,0.91,4.19,6.22,8.19,10.06,11.84,12.28,12.16,13.03,13.81,13.62,12.47,11.16,9.66,6.91,2.56,-1.5,-4.12,-5.75,-6.88,-6.59,-4.38,-1.41,0.91,2.56,4.62,6.47,6.56,5.53,4.25,3.81,3.16,2.47,2.09,3.0,3.56,2.72,1.78,1.44,1.81,1.62,1.59,2.72,3.88,4.12,3.34,2.44,2.12,1.84,0.97,0.56,1.41,3.28,4.34,5.75,8.16,10.84,12.12,12.28,12.28,12.69,11.66,9.94,8.53,8.22,8.09,7.03,5.94,5.78,5.22,3.06,0.44,-1.47,-3.25,-5.97,-8.88,-10.94,-11.84,-12.59,-13.5,-13.31,-12.0,-10.06,-8.62,-7.16,-4.62,-1.94,-0.62,0.81,2.12,3.97,4.97,4.97,5.31,6.34,7.16,6.75,6.28,5.75,4.16,1.12,-2.12,-4.38,-5.0,-5.47,-5.12,-3.91,-1.53,0.19,1.44,3.16,5.28,6.75,7.34,7.56,8.12,9.16,8.81,7.75,7.88,8.34,7.44,6.56,6.16,6.66,6.12,5.0,3.97,3.59,3.12,2.09,0.84,1.06,1.5,0.88,0.12,0.41,1.91,2.53,3.09,4.5,6.28,6.75,5.91,5.38,5.44,6.0,6.06,6.34,7.09,7.38,6.31,4.0,2.41,1.03,-0.88,-2.75,-3.78,-3.41,-3.0,-3.41,-4.06,-4.09,-4.22,-5.34,-6.28,-6.0,-5.0,-4.38,-3.94,-2.41,-0.09,1.5,2.34,2.47,2.72,2.16,0.19,-2.41,-4.06,-5.31,-7.06,-8.25,-8.22,-6.88,-5.88,-5.34,-4.75,-3.84,-4.12,-5.47,-6.78,-6.78,-7.16,-8.0,-9.0,-8.81,-7.66,-7.38,-6.53,-4.91,-2.53,-1.16,-0.56,0.12,1.69,2.19,1.75,1.03,0.78,0.69,-0.31,-1.16,-1.34,-0.94,-1.5,-2.25,-2.56,-2.03,-1.97,-2.47,-2.91,-2.66,-2.75,-4.31,-5.78,-6.03,-6.72,-7.56,-7.81,-6.62,-4.5,-2.5,-0.5,2.09,4.59,5.78,5.44,4.66,4.44,3.44,2.06,0.53,0.44,0.16,-0.53,-1.41,-1.25,-0.72,-0.38,0.09,0.94,2.16,2.12,0.34,-2.31,-4.53,-6.78,-8.84,-9.97,-9.28,-8.12,-7.22,-7.28,-7.16,-6.81,-7.16,-8.09,-8.47,-7.53,-6.44,-5.5,-4.12,-1.41,0.81,2.19,3.0,4.06,5.28,6.16,6.66,7.94,9.38,10.12,9.38,7.88,6.78,5.22,2.59,0.41,-0.47,-0.88,-1.09,-1.44,-0.34,1.0,1.75,1.34,1.41,1.88,1.91,1.12,0.53,1.31,2.09,2.03,1.66,1.91,1.06,-0.81,-3.69,-6.12,-8.12,-10.03,-11.69,-11.97,-10.97,-9.03,-7.34,-5.22,-2.53,-0.28,1.06,2.34,3.91,5.06,5.12,4.44,3.44,2.44,1.06,-0.66,-2.12,-3.19,-3.75,-4.41,-5.28,-5.28,-5.25,-5.84,-6.97,-7.38,-7.75,-7.91,-8.62,-9.0,-8.41,-7.25,-6.88,-5.91,-4.97,-4.19,-4.59,-5.47,-5.81,-5.69,-5.44,-5.72,-5.47,-5.06,-5.44,-6.62,-7.03,-6.66,-5.91,-5.84,-5.31,-4.19,-3.62,-4.31,-5.62,-6.72,-8.09,-9.94,-11.44,-11.94,-10.91,-10.25,-9.75,-8.88,-7.75,-7.19,-8.03,-8.91,-9.44,-9.62,-10.22,-10.62,-9.84,-8.62,-8.06,-8.03,-8.09,-7.41,-7.0,-6.88,-6.59,-5.41,-4.06,-3.91,-3.47,-2.59,-2.0,-2.25,-2.97,-3.69,-4.19,-4.53,-5.81,-6.69,-6.78,-6.78,-6.91,-6.97,-6.09,-4.97,-5.0,-4.97,-4.81,-4.28,-4.25,-4.78,-4.47,-3.72,-3.03,-3.09,-3.47,-3.75,-4.28,-5.56,-6.88,-7.31,-6.72,-7.09,-7.41,-6.72,-5.53,-4.97,-4.72,-4.69,-4.62,-5.72,-7.81,-10.09,-11.38,-11.88,-12.09,-11.19,-9.72,-7.31,-6.06,-5.41,-4.94,-4.28,-4.5,-4.5,-3.81,-2.31,-0.88,-0.81,-1.59,-2.91,-4.22,-6.47,-7.81,-7.75,-6.75,-6.06,-5.41,-4.53,-3.53,-2.84,-2.94,-2.78,-2.75,-3.06,-3.94,-5.47,-6.69,-7.09,-8.09,-8.84,-8.56,-7.47,-6.69,-6.34,-5.75,-4.44,-3.44,-3.09,-2.84,-2.28,-2.03,-2.94,-4.03,-4.12,-3.34,-2.91,-2.28,-1.28,-0.28,0.56,0.94,0.84,1.5,1.81,1.12,0.03,-0.66,-1.25,-2.88,-4.91,-6.03,-6.22,-6.91,-6.66,-5.44,-2.88,-1.25,-0.19,0.09,0.03,-0.56,-2.28,-3.84,-4.41,-4.31,-5.34,-6.53,-7.44,-8.06,-9.25,-10.41,-10.78,-9.84,-8.66,-7.34,-6.22,-3.69,-1.34,-0.44,-0.25,-0.5,-1.09,-3.19,-5.09,-6.66,-6.81,-6.66,-6.25,-5.31,-2.91,-0.78,0.31,0.88,1.03,0.25,-2.06,-5.03,-7.0,-8.72,-10.72,-12.5,-13.75,-14.59,-14.94,-15.25,-15.34,-14.09,-12.88,-12.53,-12.25,-11.34,-11.16,-11.59,-13.22,-14.38,-15.25,-16.06,-16.69,-16.31,-14.88,-13.56,-13.25,-13.25,-12.66,-11.94,-12.12,-12.69,-13.0,-13.25,-14.59,-16.34,-17.44,-17.88,-18.72,-19.38,-19.56,-17.75,-15.41,-13.91,-12.31,-11.0,-11.0,-12.25,-14.81,-16.66,-18.41,-20.56,-22.72,-23.28,-22.16,-20.56,-18.72,-16.72,-14.47,-12.94,-12.28,-12.41,-12.19,-11.72,-11.97,-11.97,-11.06,-10.06,-9.44,-9.31,-9.5,-10.0,-10.62,-12.59,-14.56,-15.03,-15.12,-15.62,-16.06,-15.97,-15.81,-16.34,-17.09,-16.09,-14.0,-11.59,-9.75,-7.81,-5.72,-4.47,-4.19,-4.5,-4.03,-3.78,-4.44,-6.03,-7.19,-8.12,-8.91,-9.91,-10.12,-9.31,-8.84,-9.03,-8.97,-7.72,-6.41,-5.91,-6.25,-6.34,-7.03,-8.97,-11.25,-12.72,-13.88,-15.06,-16.59,-17.03,-16.44,-15.5,-14.91,-13.78,-12.06,-10.97,-11.53,-13.47,-15.41,-17.78,-20.84,-23.22,-24.09,-23.59,-22.12,-21.03,-19.44,-17.53,-15.75,-15.22,-14.81,-13.72,-13.09,-13.28,-14.06,-14.72,-15.34,-16.84,-18.91,-20.09,-20.16,-19.53,-19.12,-17.88,-15.94,-14.22,-14.12,-14.91,-15.38,-16.12,-17.72,-19.38,-19.75,-19.38,-19.16,-19.09,-18.34,-16.88,-15.44,-14.25,-13.12,-11.06,-8.84,-7.84,-7.09,-5.84,-5.03,-4.94,-5.47,-5.09,-4.06,-2.97,-2.41,-1.91,-1.38,-1.72,-3.72,-6.38,-8.66,-10.53,-12.94,-14.12,-13.56,-11.22,-9.16,-7.56,-5.34,-3.66,-2.53,-2.62,-2.88,-2.69,-3.25,-5.19,-7.44,-8.66,-9.06,-9.03,-8.12,-6.03,-3.16,-1.59,-1.25,-1.19,-1.12,-1.81,-3.38,-4.78,-5.72,-6.44,-8.28,-10.03,-10.62,-10.5,-10.28,-10.12,-8.94,-7.12,-5.97,-5.56,-4.69,-3.38,-2.44,-2.91,-3.69,-4.22,-4.88,-6.69,-8.03,-8.25,-8.03,-7.78,-7.53,-7.5,-7.53,-8.22,-10.31,-12.22,-12.94,-13.03,-13.41,-12.72,-10.72,-8.25,-6.84,-6.0,-5.69,-5.78,-7.38,-10.19,-12.44,-13.53,-14.78,-16.44,-17.0,-16.47,-15.53,-15.09,-14.69,-13.47,-11.84,-10.78,-9.59,-7.06,-3.88,-1.84,-1.0,-0.69,-0.72,-1.56,-3.81,-6.19,-7.72,-9.22,-11.28,-12.5,-12.38,-11.0,-10.53,-10.19,-9.53,-8.62,-8.56,-8.88,-8.41,-7.53,-6.78,-7.12,-8.12,-8.47,-8.97,-10.62,-11.5,-11.03,-9.34,-7.91,-6.41,-4.88,-3.38,-3.59,-5.38,-7.84,-9.69,-11.5,-13.25,-13.81,-12.56,-10.66,-9.09,-7.81,-6.09,-3.72,-2.44,-2.09,-1.62,-1.03,-1.31,-3.0,-4.94,-6.03,-6.91,-8.81,-10.38,-11.22,-11.31,-12.38,-13.41,-13.28,-12.09,-11.5,-11.44,-10.94,-10.0,-9.62,-9.97,-10.53,-9.94,-8.59,-7.91,-7.28,-5.75,-3.66,-3.12,-2.88,-1.91,-0.38,0.03,-0.53,-1.5,-1.97,-3.94,-6.72,-9.34,-10.25,-10.03,-10.16,-9.69,-8.41,-6.38,-5.53,-5.25,-4.59,-3.5,-3.25,-3.81,-4.16,-3.78,-3.25,-3.72,-4.44,-4.34,-4.22,-4.97,-5.5,-5.41,-4.97,-5.66,-7.12,-8.81,-9.94,-11.16,-12.16,-12.25,-11.06,-9.69,-9.31,-9.78,-9.81,-9.62,-10.25,-10.72,-10.47,-9.78,-9.72,-10.03,-10.16,-8.72,-7.09,-5.66,-4.16,-2.0,-0.25,0.12,0.12,0.31,0.53,-0.09,-1.22,-1.25,-0.28,0.25,0.47,0.56,1.47,1.56,0.66,-0.47,-0.62,-1.03,-2.78,-4.97,-6.75,-8.12,-9.69,-10.78,-10.66,-9.06,-8.16,-7.62,-7.91,-7.41,-7.47,-8.38,-9.34,-9.28,-8.62,-8.12,-7.47,-5.56,-3.72,-2.97,-3.72,-5.22,-6.78,-9.22,-11.94,-14.44,-15.34,-15.88,-16.16,-15.78,-14.16,-11.94,-10.28,-9.09,-8.47,-7.81,-8.44,-9.78,-10.59,-10.16,-9.41,-9.22,-8.97,-7.91,-7.16,-7.59,-8.06,-8.09,-8.19,-8.34,-8.88,-8.59,-6.69,-4.88,-3.97,-2.38,0.09,2.41,3.97,5.41,7.19,8.19,8.62,8.16,8.09,7.75,6.84,4.56,2.19,0.28,-1.81,-4.72,-6.47,-6.28,-6.16,-5.84,-5.41,-3.47,-1.59,-0.03,1.0,2.47,3.31,3.22,2.03,1.0,0.66,0.28,-0.66,-1.44,-2.0,-2.34,-4.22,-5.91,-6.41,-6.12,-5.97,-6.0,-5.0,-3.66,-3.0,-2.94,-2.75,-1.78,-1.06,-1.25,-1.78,-1.56,-1.16,-1.31,-1.16,0.22,1.97,3.47,4.25,4.56,4.97,4.88,3.88,2.88,3.12,4.0,4.12,54.06,53.66,53.06,52.62,52.72,53.03,53.78,54.28,54.62,54.81,54.81,54.12,53.0,52.09,51.03,50.5,50.34,50.69,52.56,54.38,55.25,55.53,55.06,53.78,51.19,48.81,46.88,45.5,44.38,43.91,44.44,45.41,46.16,46.5,46.19:-2.44,0.91,4.19,6.22,8.19,10.06,11.84,12.28,12.16,13.03,13.81,13.62,12.47,11.16,9.66,6.91,2.56,-1.5,-4.12,-5.75,-6.88,-6.59,-4.38,-1.41,0.91,2.56,4.62,6.47,6.56,5.53,4.25,3.81,3.16,2.47,2.09,3.0,3.56,2.72,1.78,1.44,1.81,1.62,1.59,2.72,3.88,4.12,3.34,2.44,2.12,1.84,0.97,0.56,1.41,3.28,4.34,5.75,8.16,10.84,12.12,12.28,12.28,12.69,11.66,9.94,8.53,8.22,8.09,7.03,5.94,5.78,5.22,3.06,0.44,-1.47,-3.25,-5.97,-8.88,-10.94,-11.84,-12.59,-13.5,-13.31,-12.0,-10.06,-8.62,-7.16,-4.62,-1.94,-0.62,0.81,2.12,3.97,4.97,4.97,5.31,6.34,7.16,6.75,6.28,5.75,4.16,1.12,-2.12,-4.38,-5.0,-5.47,-5.12,-3.91,-1.53,0.19,1.44,3.16,5.28,6.75,7.34,7.56,8.12,9.16,8.81,7.75,7.88,8.34,7.44,6.56,6.16,6.66,6.12,5.0,3.97,3.59,3.12,2.09,0.84,1.06,1.5,0.88,0.12,0.41,1.91,2.53,3.09,4.5,6.28,6.75,5.91,5.38,5.44,6.0,6.06,6.34,7.09,7.38,6.31,4.0,2.41,1.03,-0.88,-2.75,-3.78,-3.41,-3.0,-3.41,-4.06,-4.09,-4.22,-5.34,-6.28,-6.0,-5.0,-4.38,-3.94,-2.41,-0.09,1.5,2.34,2.47,2.72,2.16,0.19,-2.41,-4.06,-5.31,-7.06,-8.25,-8.22,-6.88,-5.88,-5.34,-4.75,-3.84,-4.12,-5.47,-6.78,-6.78,-7.16,-8.0,-9.0,-8.81,-7.66,-7.38,-6.53,-4.91,-2.53,-1.16,-0.56,0.12,1.69,2.19,1.75,1.03,0.78,0.69,-0.31,-1.16,-1.34,-0.94,-1.5,-2.25,-2.56,-2.03,-1.97,-2.47,-2.91,-2.66,-2.75,-4.31,-5.78,-6.03,-6.72,-7.56,-7.81,-6.62,-4.5,-2.5,-0.5,2.09,4.59,5.78,5.44,4.66,4.44,3.44,2.06,0.53,0.44,0.16,-0.53,-1.41,-1.25,-0.72,-0.38,0.09,0.94,2.16,2.12,0.34,-2.31,-4.53,-6.78,-8.84,-9.97,-9.28,-8.12,-7.22,-7.28,-7.16,-6.81,-7.16,-8.09,-8.47,-7.53,-6.44,-5.5,-4.12,-1.41,0.81,2.19,3.0,4.06,5.28,6.16,6.66,7.94,9.38,10.12,9.38,7.88,6.78,5.22,2.59,0.41,-0.47,-0.88,-1.09,-1.44,-0.34,1.0,1.75,1.34,1.41,1.88,1.91,1.12,0.53,1.31,2.09,2.03,1.66,1.91,1.06,-0.81,-3.69,-6.12,-8.12,-10.03,-11.69,-11.97,-10.97,-9.03,-7.34,-5.22,-2.53,-0.28,1.06,2.34,3.91,5.06,5.12,4.44,3.44,2.44,1.06,-0.66,-2.12,-3.19,-3.75,-4.41,-5.28,-5.28,-5.25,-5.84,-6.97,-7.38,-7.75,-7.91,-8.62,-9.0,-8.41,-7.25,-6.88,-5.91,-4.97,-4.19,-4.59,-5.47,-5.81,-5.69,-5.44,-5.72,-5.47,-5.06,-5.44,-6.62,-7.03,-6.66,-5.91,-5.84,-5.31,-4.19,-3.62,-4.31,-5.62,-6.72,-8.09,-9.94,-11.44,-11.94,-10.91,-10.25,-9.75,-8.88,-7.75,-7.19,-8.03,-8.91,-9.44,-9.62,-10.22,-10.62,-9.84,-8.62,-8.06,-8.03,-8.09,-7.41,-7.0,-6.88,-6.59,-5.41,-4.06,-3.91,-3.47,-2.59,-2.0,-2.25,-2.97,-3.69,-4.19,-4.53,-5.81,-6.69,-6.78,-6.78,-6.91,-6.97,-6.09,-4.97,-5.0,-4.97,-4.81,-4.28,-4.25,-4.78,-4.47,-3.72,-3.03,-3.09,-3.47,-3.75,-4.28,-5.56,-6.88,-7.31,-6.72,-7.09,-7.41,-6.72,-5.53,-4.97,-4.72,-4.69,-4.62,-5.72,-7.81,-10.09,-11.38,-11.88,-12.09,-11.19,-9.72,-7.31,-6.06,-5.41,-4.94,-4.28,-4.5,-4.5,-3.81,-2.31,-0.88,-0.81,-1.59,-2.91,-4.22,-6.47,-7.81,-7.75,-6.75,-6.06,-5.41,-4.53,-3.53,-2.84,-2.94,-2.78,-2.75,-3.06,-3.94,-5.47,-6.69,-7.09,-8.09,-8.84,-8.56,-7.47,-6.69,-6.34,-5.75,-4.44,-3.44,-3.09,-2.84,-2.28,-2.03,-2.94,-4.03,-4.12,-3.34,-2.91,-2.28,-1.28,-0.28,0.56,0.94,0.84,1.5,1.81,1.12,0.03,-0.66,-1.25,-2.88,-4.91,-6.03,-6.22,-6.91,-6.66,-5.44,-2.88,-1.25,-0.19,0.09,0.03,-0.56,-2.28,-3.84,-4.41,-4.31,-5.34,-6.53,-7.44,-8.06,-9.25,-10.41,-10.78,-9.84,-8.66,-7.34,-6.22,-3.69,-1.34,-0.44,-0.25,-0.5,-1.09,-3.19,-5.09,-6.66,-6.81,-6.66,-6.25,-5.31,-2.91,-0.78,0.31,0.88,1.03,0.25,-2.06,-5.03,-7.0,-8.72,-10.72,-12.5,-13.75,-14.59,-14.94,-15.25,-15.34,-14.09,-12.88,-12.53,-12.25,-11.34,-11.16,-11.59,-13.22,-14.38,-15.25,-16.06,-16.69,-16.31,-14.88,-13.56,-13.25,-13.25,-12.66,-11.94,-12.12,-12.69,-13.0,-13.25,-14.59,-16.34,-17.44,-17.88,-18.72,-19.38,-19.56,-17.75,-15.41,-13.91,-12.31,-11.0,-11.0,-12.25,-14.81,-16.66,-18.41,-20.56,-22.72,-23.28,-22.16,-20.56,-18.72,-16.72,-14.47,-12.94,-12.28,-12.41,-12.19,-11.72,-11.97,-11.97,-11.06,-10.06,-9.44,-9.31,-9.5,-10.0,-10.62,-12.59,-14.56,-15.03,-15.12,-15.62,-16.06,-15.97,-15.81,-16.34,-17.09,-16.09,-14.0,-11.59,-9.75,-7.81,-5.72,-4.47,-4.19,-4.5,-4.03,-3.78,-4.44,-6.03,-7.19,-8.12,-8.91,-9.91,-10.12,-9.31,-8.84,-9.03,-8.97,-7.72,-6.41,-5.91,-6.25,-6.34,-7.03,-8.97,-11.25,-12.72,-13.88,-15.06,-16.59,-17.03,-16.44,-15.5,-14.91,-13.78,-12.06,-10.97,-11.53,-13.47,-15.41,-17.78,-20.84,-23.22,-24.09,-23.59,-22.12,-21.03,-19.44,-17.53,-15.75,-15.22,-14.81,-13.72,-13.09,-13.28,-14.06,-14.72,-15.34,-16.84,-18.91,-20.09,-20.16,-19.53,-19.12,-17.88,-15.94,-14.22,-14.12,-14.91,-15.38,-16.12,-17.72,-19.38,-19.75,-19.38,-19.16,-19.09,-18.34,-16.88,-15.44,-14.25,-13.12,-11.06,-8.84,-7.84,-7.09,-5.84,-5.03,-4.94,-5.47,-5.09,-4.06,-2.97,-2.41,-1.91,-1.38,-1.72,-3.72,-6.38,-8.66,-10.53,-12.94,-14.12,-13.56,-11.22,-9.16,-7.56,-5.34,-3.66,-2.53,-2.62,-2.88,-2.69,-3.25,-5.19,-7.44,-8.66,-9.06,-9.03,-8.12,-6.03,-3.16,-1.59,-1.25,-1.19,-1.12,-1.81,-3.38,-4.78,-5.72,-6.44,-8.28,-10.03,-10.62,-10.5,-10.28,-10.12,-8.94,-7.12,-5.97,-5.56,-4.69,-3.38,-2.44,-2.91,-3.69,-4.22,-4.88,-6.69,-8.03,-8.25,-8.03,-7.78,-7.53,-7.5,-7.53,-8.22,-10.31,-12.22,-12.94,-13.03,-13.41,-12.72,-10.72,-8.25,-6.84,-6.0,-5.69,-5.78,-7.38,-10.19,-12.44,-13.53,-14.78,-16.44,-17.0,-16.47,-15.53,-15.09,-14.69,-13.47,-11.84,-10.78,-9.59,-7.06,-3.88,-1.84,-1.0,-0.69,-0.72,-1.56,-3.81,-6.19,-7.72,-9.22,-11.28,-12.5,-12.38,-11.0,-10.53,-10.19,-9.53,-8.62,-8.56,-8.88,-8.41,-7.53,-6.78,-7.12,-8.12,-8.47,-8.97,-10.62,-11.5,-11.03,-9.34,-7.91,-6.41,-4.88,-3.38,-3.59,-5.38,-7.84,-9.69,-11.5,-13.25,-13.81,-12.56,-10.66,-9.09,-7.81,-6.09,-3.72,-2.44,-2.09,-1.62,-1.03,-1.31,-3.0,-4.94,-6.03,-6.91,-8.81,-10.38,-11.22,-11.31,-12.38,-13.41,-13.28,-12.09,-11.5,-11.44,-10.94,-10.0,-9.62,-9.97,-10.53,-9.94,-8.59,-7.91,-7.28,-5.75,-3.66,-3.12,-2.88,-1.91,-0.38,0.03,-0.53,-1.5,-1.97,-3.94,-6.72,-9.34,-10.25,-10.03,-10.16,-9.69,-8.41,-6.38,-5.53,-5.25,-4.59,-3.5,-3.25,-3.81,-4.16,-3.78,-3.25,-3.72,-4.44,-4.34,-4.22,-4.97,-5.5,-5.41,-4.97,-5.66,-7.12,-8.81,-9.94,-11.16,-12.16,-12.25,-11.06,-9.69,-9.31,-9.78,-9.81,-9.62,-10.25,-10.72,-10.47,-9.78,-9.72,-10.03,-10.16,-8.72,-7.09,-5.66,-4.16,-2.0,-0.25,0.12,0.12,0.31,0.53,-0.09,-1.22,-1.25,-0.28,0.25,0.47,0.56,1.47,1.56,0.66,-0.47,-0.62,-1.03,-2.78,-4.97,-6.75,-8.12,-9.69,-10.78,-10.66,-9.06,-8.16,-7.62,-7.91,-7.41,-7.47,-8.38,-9.34,-9.28,-8.62,-8.12,-7.47,-5.56,-3.72,-2.97,-3.72,-5.22,-6.78,-9.22,-11.94,-14.44,-15.34,-15.88,-16.16,-15.78,-14.16,-11.94,-10.28,-9.09,-8.47,-7.81,-8.44,-9.78,-10.59,-10.16,-9.41,-9.22,-8.97,-7.91,-7.16,-7.59,-8.06,-8.09,-8.19,-8.34,-8.88,-8.59,-6.69,-4.88,-3.97,-2.38,0.09,2.41,3.97,5.41,7.19,8.19,8.62,8.16,8.09,7.75,6.84,4.56,2.19,0.28,-1.81,-4.72,-6.47,-6.28,-6.16,-5.84,-5.41,-3.47,-1.59,-0.03,1.0,2.47,3.31,3.22,2.03,1.0,0.66,0.28,-0.66,-1.44,-2.0,-2.34,-4.22,-5.91,-6.41,-6.12,-5.97,-6.0,-5.0,-3.66,-3.0,-2.94,-2.75,-1.78,-1.06,-1.25,-1.78,-1.56,-1.16,-1.31,-1.16,0.22,1.97,3.47,4.25,4.56,4.97,4.88,3.88,2.88,3.12,4.0,4.12,54.06,53.66,53.06,52.62,52.72,53.03,53.78,54.28,54.62,54.81,54.81,54.12,53.0,52.09,51.03,50.5,50.34,50.69,52.56,54.38,55.25,55.53,55.06,53.78,51.19,48.81,46.88,45.5,44.38,43.91,44.44,45.41,46.16,46.5,46.19,46.16,45.22,44.06,43.09,42.62,42.31,42.47:positivity
13.03,13.31,14.56,16.84,17.88,18.12,18.78,20.94,22.38,21.72,20.28,19.31,17.97,15.41,12.59,12.44,13.75,14.91,15.44,16.69,18.78,19.16,17.91,17.03,17.66,18.72,18.69,19.03,21.03,23.0,22.94,21.34,20.56,20.56,19.28,17.31,16.41,17.41,18.28,18.59,19.66,22.62,25.31,25.69,25.25,25.56,25.62,23.5,20.56,18.81,18.09,16.53,14.34,13.38,14.56,15.97,16.31,17.06,19.41,21.19,20.78,19.41,19.06,18.94,17.47,15.16,14.31,14.59,14.34,12.88,12.72,14.5,15.84,15.75,15.75,16.75,17.34,15.56,13.28,11.97,11.62,10.72,9.53,10.38,12.81,14.78,15.09,16.0,17.78,18.66,18.25,17.53,19.06,20.88,21.22,21.0,21.41,21.97,21.0,19.03,18.09,18.59,18.5,17.09,16.25,16.62,17.0,16.12,14.84,15.19,15.59,14.84,12.53,11.19,10.03,8.19,5.81,4.94,6.41,7.97,7.97,8.5,10.12,11.47,11.03,10.31,11.16,12.22,11.75,11.12,11.41,12.62,13.31,12.88,12.91,14.5,15.53,14.06,12.38,11.59,10.66,8.38,5.97,5.91,6.94,7.22,7.16,8.31,10.5,12.09,12.34,13.38,15.66,17.38,17.16,17.09,18.16,19.59,19.25,18.06,17.97,17.69,16.0,13.41,11.97,12.03,11.81,10.97,10.91,12.56,14.0,13.5,12.66,12.62,12.12,9.94,6.72,5.06,5.03,4.94,5.22,6.84,9.84,11.72,11.22,10.25,10.34,10.47,9.22,8.09,8.81,9.81,9.75,9.22,10.12,12.12,13.75,14.12,14.66,15.94,16.38,14.62,12.94,13.12,13.5,12.91,12.53,13.38,14.75,14.5,12.91,12.31,12.09,11.22,9.0,7.81,8.34,8.88,8.38,8.16,8.56,9.44,8.75,7.78,8.94,10.84,12.09,11.88,11.88,12.28,11.78,10.06,8.88,9.09,9.62,8.41,6.75,6.28,5.62,3.22,0.41,-0.84,-1.56,-2.03,-2.91,-2.0,-0.22,1.28,1.31,2.28,4.47,6.66,7.59,8.25,9.84,11.62,11.94,11.81,12.88,15.06,16.75,17.34,19.09,21.56,22.97,22.59,22.16,22.59,23.25,22.19,20.66,20.25,19.69,18.06,15.44,13.81,13.78,13.0,11.78,11.75,12.94,13.72,12.62,11.31,10.88,10.34,8.16,5.81,4.78,4.66,3.53,1.72,1.47,2.19,2.06,1.03,0.78,2.19,3.72,3.56,3.94,5.44,7.19,7.81,8.0,9.88,12.69,14.34,15.09,16.12,17.59,18.44,17.0,15.97,15.91,15.72,13.41,11.03,9.78,9.34,8.31,7.38,8.09,10.03,11.0,10.97,10.84,10.94,9.91,6.5,2.97,1.09,0.06,-1.5,-2.88,-2.31,-1.16,-1.34,-2.12,-1.94,-0.62,0.19,0.25,1.53,4.28,6.97,8.0,9.0,10.94,13.31,13.97,14.78,16.72,19.16,20.56,20.38,20.19,20.53,19.09,16.03,13.41,12.16,10.94,8.66,6.84,6.72,7.38,6.72,6.31,7.44,9.12,10.12,9.88,10.75,12.03,12.09,10.12,8.12,7.28,5.94,3.22,1.19,0.97,1.06,0.5,-0.38,0.06,1.5,2.5,2.84,3.97,6.41,8.31,8.69,8.88,10.41,11.69,12.0,11.91,12.91,14.16,13.72,12.75,12.75,14.12,14.94,15.19,16.0,17.5,18.09,17.41,16.28,16.19,16.16,14.66,12.72,12.19,12.38,11.53,9.91,9.34,10.12,9.69,8.38,7.03,6.78,5.91,3.84,1.91,1.66,2.12,1.16,0.22,0.59,1.72,2.16,1.66,1.91,3.25,3.59,3.03,3.5,5.91,8.03,8.81,8.94,9.75,10.09,8.81,6.69,5.97,6.19,6.0,5.47,6.38,9.41,11.78,12.84,13.91,15.62,16.28,14.94,12.66,11.44,10.88,9.12,7.25,6.81,7.69,7.97,7.75,8.44,10.72,12.47,12.5,12.25,12.69,12.53,10.59,7.91,6.62,6.69,6.0,5.44,6.41,7.78,8.03,6.53,4.84,4.56,3.97,2.75,2.97,5.12,7.88,9.41,10.38,11.84,13.91,14.66,14.38,15.28,17.16,18.09,17.75,17.5,18.75,19.06,17.72,15.41,14.31,13.31,10.44,7.84,6.25,5.88,5.09,3.22,2.22,2.66,2.97,2.25,2.03,3.97,6.22,7.5,8.56,11.0,14.16,15.78,16.84,18.44,20.53,21.03,19.81,18.19,17.91,16.97,14.75,12.44,12.19,12.0,10.53,8.69,8.25,8.03,6.44,3.94,2.34,2.28,1.72,0.66,0.25,1.66,3.19,2.97,2.88,4.62,6.72,7.41,7.75,8.88,10.53,10.59,10.06,10.53,12.12,12.75,12.03,11.12,11.03,10.28,7.97,5.66,5.25,5.81,5.81,5.62,7.28,9.56,10.44,9.88,9.31,9.69,9.41,7.72,6.72,7.59,9.06,9.06,9.16,11.12,13.28,13.97,13.56,14.31,15.34,15.28,14.25,13.66,14.28,14.59,13.34,12.19,12.75,13.41,12.41,11.28,11.59,12.41,11.84,10.25,10.03,10.44,10.03,8.44,7.88,8.72,10.0,10.34,11.09,13.53,16.0,16.5,16.16,17.06,18.19,18.41,17.41,17.0,17.38,16.44,14.03,12.06,12.25,12.5,12.56,13.03,15.88,19.12,21.03,21.75,23.03,24.44,23.97,22.19,21.31,21.75,22.66,22.22,22.12,23.12,23.88,22.69,20.78,20.59,20.81,19.34,17.12,16.22,16.38,15.81,14.06,13.34,13.91,14.0,12.56,11.44,12.59,13.84,14.16,14.0,15.59,17.41,17.44,17.09,17.62,19.5,20.91,20.81,21.25,22.78,23.38,22.31,21.53,22.25,23.25,22.84,21.69,22.16,23.09,23.0,22.53,23.19,24.62,25.69,24.91,24.56,25.16,25.09,22.75,20.06,18.91,18.28,16.5,14.56,15.06,16.69,17.78,18.31,20.47,23.31,25.31,24.31,23.44,22.66,21.56,19.38,17.97,18.91,20.62,21.44,21.75,22.94,25.12,26.25,25.91,26.56,28.16,29.22,28.56,28.25,29.19,29.66,28.03,25.62,24.62,23.91,21.53,18.72,17.28,16.69,15.88,14.12,13.62,14.94,16.22,16.34,16.66,18.62,20.97,21.34,21.25,22.56,23.5,22.97,21.19,20.06,19.72,18.12,15.03,13.0,12.66,13.09,12.41,12.91,15.12,17.22,17.62,17.25,17.62,18.69,18.78,18.38,19.12,20.78,21.78,21.25,21.22,22.66,24.0,23.41,22.91,23.19,23.62,22.28,20.53,20.31,20.78,20.53,19.66,19.59,20.19,20.16,18.25,16.44,16.19,15.78,13.66,12.5,12.5,13.53,13.34,12.91,14.34,17.0,18.44,18.59,19.25,21.12,21.72,20.72,20.16,20.66,21.0,19.34,17.44,17.16,17.97,17.62,16.66,16.72,17.53,17.41,16.12,15.56,17.12,18.81,19.41,20.41,22.84,25.25,25.31,24.25,23.84,23.75,21.91,19.69,18.88,19.31,19.03,17.31,16.31,16.62,17.31,17.0,17.25,19.44,22.03,22.91,23.09,23.81,24.62,23.59,21.44,20.16,19.94,19.88,18.12,16.94,16.94,16.69,14.72,12.75,12.53,12.69,11.53,10.53,11.25,13.53,14.88,15.5,16.69,18.62,19.75,19.22,19.56,21.31,23.28,23.16,23.66,25.78,28.34,29.66,29.69,29.78,29.91,28.31,25.5,23.75,23.81,24.12,23.12,22.44,23.5,24.06,22.62,20.75,20.0,20.47,19.56,18.06,17.53,17.62,15.88,12.91,10.78,10.69,11.47,11.0,11.53,13.41,15.12,14.97,13.91,14.44,15.97,16.25,16.16,16.88,18.16,18.25,16.41,14.41,14.0,13.78,12.5,11.75,13.25,15.47,15.69,14.91,14.78,14.75,13.28,10.91,10.06,11.16,11.81,11.72,12.34,15.22,17.84,18.44,18.66,19.97,20.97,19.69,17.81,17.5,17.97,17.38,15.72,14.78,15.38,15.06,13.38,11.72,12.34,13.31,12.78,12.16,13.34,14.91,14.41,13.19,13.28,14.66,15.31,15.22,16.5,19.5,21.88,22.0,21.88,22.16,22.03,20.0,17.62,17.12,17.81,17.56,17.12,17.81,19.38,20.16,18.94,18.28,19.03,19.28,17.47,16.03,15.91,16.16,15.25,14.19,14.69,16.72,17.19,17.31,18.84,21.25,22.97,22.78,22.47,23.03,22.66,21.16,19.62,20.56,21.72,21.38,20.25,20.03,19.81,17.94,15.16,12.94,12.53,12.19,10.81,10.22,11.66,12.62,11.84,11.19,11.84,12.75,12.44,12.31,13.56,16.34,18.06,18.5,18.91,20.22,20.59,19.72,19.28,20.84,22.5,22.75,22.5,23.81,25.31,25.16,24.0,23.5,23.72,22.75,20.97,20.19,21.19,21.75,21.19,20.84,22.56,24.28,24.34,23.25,22.72,21.84,19.41,16.59,15.47,16.16,16.81,17.25,18.16,20.72,21.91,21.03,19.31,19.44,19.53,18.69,17.81,18.41,19.44,19.34,18.25,18.16,19.78,20.91,21.34,22.66,25.66,27.81,28.0,27.16,26.81,25.88,23.38,20.28,18.69,18.75,17.84,16.53,16.94,18.78,19.94,19.91,20.0,21.31,21.62,19.66,17.09,16.06,15.56,14.66,13.94,15.56,18.56,20.97,21.81,23.62,26.12,27.31,27.12,27.16,28.97,30.62,30.62,29.91,29.69,29.03,26.75,23.78,22.12,21.62,20.62,18.69,17.5,18.09,18.88,18.03,17.94,19.38,20.97,20.94,20.78,21.56,23.19,23.59,23.34,24.66,27.12,28.56,28.25,27.91,28.66,28.66:20.94,22.38,21.72,20.28,19.31,17.97,15.41,12.59,12.44,13.75,14.91,15.44,16.69,18.78,19.16,17.91,17.03,17.66,18.72,18.69,19.03,21.03,23.0,22.94,21.34,20.56,20.56,19.28,17.31,16.41,17.41,18.28,18.59,19.66,22.62,25.31,25.69,25.25,25.56,25.62,23.5,20.56,18.81,18.09,16.53,14.34,13.38,14.56,15.97,16.31,17.06,19.41,21.19,20.78,19.41,19.06,18.94,17.47,15.16,14.31,14.59,14.34,12.88,12.72,14.5,15.84,15.75,15.75,16.75,17.34,15.56,13.28,11.97,11.62,10.72,9.53,10.38,12.81,14.78,15.09,16.0,17.78,18.66,18.25,17.53,19.06,20.88,21.22,21.0,21.41,21.97,21.0,19.03,18.09,18.59,18.5,17.09,16.25,16.62,17.0,16.12,14.84,15.19,15.59,14.84,12.53,11.19,10.03,8.19,5.81,4.94,6.41,7.97,7.97,8.5,10.12,11.47,11.03,10.31,11.16,12.22,11.75,11.12,11.41,12.62,13.31,12.88,12.91,14.5,15.53,14.06,12.38,11.59,10.66,8.38,5.97,5.91,6.94,7.22,7.16,8.31,10.5,12.09,12.34,13.38,15.66,17.38,17.16,17.09,18.16,19.59,19.25,18.06,17.97,17.69,16.0,13.41,11.97,12.03,11.81,10.97,10.91,12.56,14.0,13.5,12.66,12.62,12.12,9.94,6.72,5.06,5.03,4.94,5.22,6.84,9.84,11.72,11.22,10.25,10.34,10.47,9.22,8.09,8.81,9.81,9.75,9.22,10.12,12.12,13.75,14.12,14.66,15.94,16.38,14.62,12.94,13.12,13.5,12.91,12.53,13.38,14.75,14.5,12.91,12.31,12.09,11.22,9.0,7.81,8.34,8.88,8.38,8.16,8.56,9.44,8.75,7.78,8.94,10.84,12.09,11.88,11.88,12.28,11.78,10.06,8.88,9.09,9.62,8.41,6.75,6.28,5.62,3.22,0.41,-0.84,-1.56,-2.03,-2.91,-2.0,-0.22,1.28,1.31,2.28,4.47,6.66,7.59,8.25,9.84,11.62,11.94,11.81,12.88,15.06,16.75,17.34,19.09,21.56,22.97,22.59,22.16,22.59,23.25,22.19,20.66,20.25,19.69,18.06,15.44,13.81,13.78,13.0,11.78,11.75,12.94,13.72,12.62,11.31,10.88,10.34,8.16,5.81,4.78,4.66,3.53,1.72,1.47,2.19,2.06,1.03,0.78,2.19,3.72,3.56,3.94,5.44,7.19,7.81,8.0,9.88,12.69,14.34,15.09,16.12,17.59,18.44,17.0,15.97,15.91,15.72,13.41,11.03,9.78,9.34,8.31,7.38,8.09,10.03,11.0,10.97,10.84,10.94,9.91,6.5,2.97,1.09,0.06,-1.5,-2.88,-2.31,-1.16,-1.34,-2.12,-1.94,-0.62,0.19,0.25,1.53,4.28,6.97,8.0,9.0,10.94,13.31,13.97,14.78,16.72,19.16,20.56,20.38,20.19,20.53,19.09,16.03,13.41,12.16,10.94,8.66,6.84,6.72,7.38,6.72,6.31,7.44,9.12,10.12,9.88,10.75,12.03,12.09,10.12,8.12,7.28,5.94,3.22,1.19,0.97,1.06,0.5,-0.38,0.06,1.5,2.5,2.84,3.97,6.41,8.31,8.69,8.88,10.41,11.69,12.0,11.91,12.91,14.16,13.72,12.75,12.75,14.12,14.94,15.19,16.0,17.5,18.09,17.41,16.28,16.19,16.16,14.66,12.72,12.19,12.38,11.53,9.91,9.34,10.12,9.69,8.38,7.03,6.78,5.91,3.84,1.91,1.66,2.12,1.16,0.22,0.59,1.72,2.16,1.66,1.91,3.25,3.59,3.03,3.5,5.91,8.03,8.81,8.94,9.75,10.09,8.81,6.69,5.97,6.19,6.0,5.47,6.38,9.41,11.78,12.84,13.91,15.62,16.28,14.94,12.66,11.44,10.88,9.12,7.25,6.81,7.69,7.97,7.75,8.44,10.72,12.47,12.5,12.25,12.69,12.53,10.59,7.91,6.62,6.69,6.0,5.44,6.41,7.78,8.03,6.53,4.84,4.56,3.97,2.75,2.97,5.12,7.88,9.41,10.38,11.84,13.91,14.66,14.38,15.28,17.16,18.09,17.75,17.5,18.75,19.06,17.72,15.41,14.31,13.31,10.44,7.84,6.25,5.88,5.09,3.22,2.22,2.66,2.97,2.25,2.03,3.97,6.22,7.5,8.56,11.0,14.16,15.78,16.84,18.44,20.53,21.03,19.81,18.19,17.91,16.97,14.75,12.44,12.19,12.0,10.53,8.69,8.25,8.03,6.44,3.94,2.34,2.28,1.72,0.66,0.25,1.66,3.19,2.97,2.88,4.62,6.72,7.41,7.75,8.88,10.53,10.59,10.06,10.53,12.12,12.75,12.03,11.12,11.03,10.28,7.97,5.66,5.25,5.81,5.81,5.62,7.28,9.56,10.44,9.88,9.31,9.69,9.41,7.72,6.72,7.59,9.06,9.06,9.16,11.12,13.28,13.97,13.56,14.31,15.34,15.28,14.25,13.66,14.28,14.59,13.34,12.19,12.75,13.41,12.41,11.28,11.59,12.41,11.84,10.25,10.03,10.44,10.03,8.44,7.88,8.72,10.0,10.34,11.09,13.53,16.0,16.5,16.16,17.06,18.19,18.41,17.41,17.0,17.38,16.44,14.03,12.06,12.25,12.5,12.56,13.03,15.88,19.12,21.03,21.75,23.03,24.44,23.97,22.19,21.31,21.75,22.66,22.22,22.12,23.12,23.88,22.69,20.78,20.59,20.81,19.34,17.12,16.22,16.38,15.81,14.06,13.34,13.91,14.0,12.56,11.44,12.59,13.84,14.16,14.0,15.59,17.41,17.44,17.09,17.62,19.5,20.91,20.81,21.25,22.78,23.38,22.31,21.53,22.25,23.25,22.84,21.69,22.16,23.09,23.0,22.53,23.19,24.62,25.69,24.91,24.56,25.16,25.09,22.75,20.06,18.91,18.28,16.5,14.56,15.06,16.69,17.78,18.31,20.47,23.31,25.31,24.31,23.44,22.66,21.56,19.38,17.97,18.91,20.62,21.44,21.75,22.94,25.12,26.25,25.91,26.56,28.16,29.22,28.56,28.25,29.19,29.66,28.03,25.62,24.62,23.91,21.53,18.72,17.28,16.69,15.88,14.12,13.62,14.94,16.22,16.34,16.66,18.62,20.97,21.34,21.25,22.56,23.5,22.97,21.19,20.06,19.72,18.12,15.03,13.0,12.66,13.09,12.41,12.91,15.12,17.22,17.62,17.25,17.62,18.69,18.78,18.38,19.12,20.78,21.78,21.25,21.22,22.66,24.0,23.41,22.91,23.19,23.62,22.28,20.53,20.31,20.78,20.53,19.66,19.59,20.19,20.16,18.25,16.44,16.19,15.78,13.66,12.5,12.5,13.53,13.34,12.91,14.34,17.0,18.44,18.59,19.25,21.12,21.72,20.72,20.16,20.66,21.0,19.34,17.44,17.16,17.97,17.62,16.66,16.72,17.53,17.41,16.12,15.56,17.12,18.81,19.41,20.41,22.84,25.25,25.31,24.25,23.84,23.75,21.91,19.69,18.88,19.31,19.03,17.31,16.31,16.62,17.31,17.0,17.25,19.44,22.03,22.91,23.09,23.81,24.62,23.59,21.44,20.16,19.94,19.88,18.12,16.94,16.94,16.69,14.72,12.75,12.53,12.69,11.53,10.53,11.25,13.53,14.88,15.5,16.69,18.62,19.75,19.22,19.56,21.31,23.28,23.16,23.66,25.78,28.34,29.66,29.69,29.78,29.91,28.31,25.5,23.75,23.81,24.12,23.12,22.44,23.5,24.06,22.62,20.75,20.0,20.47,19.56,18.06,17.53,17.62,15.88,12.91,10.78,10.69,11.47,11.0,11.53,13.41,15.12,14.97,13.91,14.44,15.97,16.25,16.16,16.88,18.16,18.25,16.41,14.41,14.0,13.78,12.5,11.75,13.25,15.47,15.69,14.91,14.78,14.75,13.28,10.91,10.06,11.16,11.81,11.72,12.34,15.22,17.84,18.44,18.66,19.97,20.97,19.69,17.81,17.5,17.97,17.38,15.72,14.78,15.38,15.06,13.38,11.72,12.34,13.31,12.78,12.16,13.34,14.91,14.41,13.19,13.28,14.66,15.31,15.22,16.5,19.5,21.88,22.0,21.88,22.16,22.03,20.0,17.62,17.12,17.81,17.56,17.12,17.81,19.38,20.16,18.94,18.28,19.03,19.28,17.47,16.03,15.91,16.16,15.25,14.19,14.69,16.72,17.19,17.31,18.84,21.25,22.97,22.78,22.47,23.03,22.66,21.16,19.62,20.56,21.72,21.38,20.25,20.03,19.81,17.94,15.16,12.94,12.53,12.19,10.81,10.22,11.66,12.62,11.84,11.19,11.84,12.75,12.44,12.31,13.56,16.34,18.06,18.5,18.91,20.22,20.59,19.72,19.28,20.84,22.5,22.75,22.5,23.81,25.31,25.16,24.0,23.5,23.72,22.75,20.97,20.19,21.19,21.75,21.19,20.84,22.56,24.28,24.34,23.25,22.72,21.84,19.41,16.59,15.47,16.16,16.81,17.25,18.16,20.72,21.91,21.03,19.31,19.44,19.53,18.69,17.81,18.41,19.44,19.34,18.25,18.16,19.78,20.91,21.34,22.66,25.66,27.81,28.0,27.16,26.81,25.88,23.38,20.28,18.69,18.75,17.84,16.53,16.94,18.78,19.94,19.91,20.0,21.31,21.62,19.66,17.09,16.06,15.56,14.66,13.94,15.56,18.56,20.97,21.81,23.62,26.12,27.31,27.12,27.16,28.97,30.62,30.62,29.91,29.69,29.03,26.75,23.78,22.12,21.62,20.62,18.69,17.5,18.09,18.88,18.03,17.94,19.38,20.97,20.94,20.78,21.56,23.19,23.59,23.34,24.66,27.12,28.56,28.25,27.91,28.66,28.66,29.44,29.22,28.59,28.28,27.69,27.72,28.0:12.59,12.44,13.75,14.91,15.44,16.69,18.78,19.16,17.91,17.03,17.66,18.72,18.69,19.03,21.03,23.0,22.94,21.34,20.56,20.56,19.28,17.31,16.41,17.41,18.28,18.59,19.66,22.62,25.31,25.69,25.25,25.56,25.62,23.5,20.56,18.81,18.09,16.53,14.34,13.38,14.56,15.97,16.31,17.06,19.41,21.19,20.78,19.41,19.06,18.94,17.47,15.16,14.31,14.59,14.34,12.88,12.72,14.5,15.84,15.75,15.75,16.75,17.34,15.56,13.28,11.97,11.62,10.72,9.53,10.38,12.81,14.78,15.09,16.0,17.78,18.66,18.25,17.53,19.06,20.88,21.22,21.0,21.41,21.97,21.0,19.03,18.09,18.59,18.5,17.09,16.25,16.62,17.0,16.12,14.84,15.19,15.59,14.84,12.53,11.19,10.03,8.19,5.81,4.94,6.41,7.97,7.97,8.5,10.12,11.47,11.03,10.31,11.16,12.22,11.75,11.12,11.41,12.62,13.31,12.88,12.91,14.5,15.53,14.06,12.38,11.59,10.66,8.38,5.97,5.91,6.94,7.22,7.16,8.31,10.5,12.09,12.34,13.38,15.66,17.38,17.16,17.09,18.16,19.59,19.25,18.06,17.97,17.69,16.0,13.41,11.97,12.03,11.81,10.97,10.91,12.56,14.0,13.5,12.66,12.62,12.12,9.94,6.72,5.06,5.03,4.94,5.22,6.84,9.84,11.72,11.22,10.25,10.34,10.47,9.22,8.09,8.81,9.81,9.75,9.22,10.12,12.12,13.75,14.12,14.66,15.94,16.38,14.62,12.94,13.12,13.5,12.91,12.53,13.38,14.75,14.5,12.91,12.31,12.09,11.22,9.0,7.81,8.34,8.88,8.38,8.16,8.56,9.44,8.75,7.78,8.94,10.84,12.09,11.88,11.88,12.28,11.78,10.06,8.88,9.09,9.62,8.41,6.75,6.28,5.62,3.22,0.41,-0.84,-1.56,-2.03,-2.91,-2.0,-0.22,1.28,1.31,2.28,4.47,6.66,7.59,8.25,9.84,11.62,11.94,11.81,12.88,15.06,16.75,17.34,19.09,21.56,22.97,22.59,22.16,22.59,23.25,22.19,20.66,20.25,19.69,18.06,15.44,13.81,13.78,13.0,11.78,11.75,12.94,13.72,12.62,11.31,10.88,10.34,8.16,5.81,4.78,4.66,3.53,1.72,1.47,2.19,2.06,1.03,0.78,2.19,3.72,3.56,3.94,5.44,7.19,7.81,8.0,9.88,12.69,14.34,15.09,16.12,17.59,18.44,17.0,15.97,15.91,15.72,13.41,11.03,9.78,9.34,8.31,7.38,8.09,10.03,11.0,10.97,10.84,10.94,9.91,6.5,2.97,1.09,0.06,-1.5,-2.88,-2.31,-1.16,-1.34,-2.12,-1.94,-0.62,0.19,0.25,1.53,4.28,6.97,8.0,9.0,10.94,13.31,13.97,14.78,16.72,19.16,20.56,20.38,20.19,20.53,19.09,16.03,13.41,12.16,10.94,8.66,6.84,6.72,7.38,6.72,6.31,7.44,9.12,10.12,9.88,10.75,12.03,12.09,10.12,8.12,7.28,5.94,3.22,1.19,0.97,1.06,0.5,-0.38,0.06,1.5,2.5,2.84,3.97,6.41,8.31,8.69,8.88,10.41,11.69,12.0,11.91,12.91,14.16,13.72,12.75,12.75,14.12,14.94,15.19,16.0,17.5,18.09,17.41,16.28,16.19,16.16,14.66,12.72,12.19,12.38,11.53,9.91,9.34,10.12,9.69,8.38,7.03,6.78,5.91,3.84,1.91,1.66,2.12,1.16,0.22,0.59,1.72,2.16,1.66,1.91,3.25,3.59,3.03,3.5,5.91,8.03,8.81,8.94,9.75,10.09,8.81,6.69,5.97,6.19,6.0,5.47,6.38,9.41,11.78,12.84,13.91,15.62,16.28,14.94,12.66,11.44,10.88,9.12,7.25,6.81,7.69,7.97,7.75,8.44,10.72,12.47,12.5,12.25,12.69,12.53,10.59,7.91,6.62,6.69,6.0,5.44,6.41,7.78,8.03,6.53,4.84,4.56,3.97,2.75,2.97,5.12,7.88,9.41,10.38,11.84,13.91,14.66,14.38,15.28,17.16,18.09,17.75,17.5,18.75,19.06,17.72,15.41,14.31,13.31,10.44,7.84,6.25,5.88,5.09,3.22,2.22,2.66,2.97,2.25,2.03,3.97,6.22,7.5,8.56,11.0,14.16,15.78,16.84,18.44,20.53,21.03,19.81,18.19,17.91,16.97,14.75,12.44,12.19,12.0,10.53,8.69,8.25,8.03,6.44,3.94,2.34,2.28,1.72,0.66,0.25,1.66,3.19,2.97,2.88,4.62,6.72,7.41,7.75,8.88,10.53,10.59,10.06,10.53,12.12,12.75,12.03,11.12,11.03,10.28,7.97,5.66,5.25,5.81,5.81,5.62,7.28,9.56,10.44,9.88,9.31,9.69,9.41,7.72,6.72,7.59,9.06,9.06,9.16,11.12,13.28,13.97,13.56,14.31,15.34,15.28,14.25,13.66,14.28,14.59,13.34,12.19,12.75,13.41,12.41,11.28,11.59,12.41,11.84,10.25,10.03,10.44,10.03,8.44,7.88,8.72,10.0,10.34,11.09,13.53,16.0,16.5,16.16,17.06,18.19,18.41,17.41,17.0,17.38,16.44,14.03,12.06,12.25,12.5,12.56,13.03,15.88,19.12,21.03,21.75,23.03,24.44,23.97,22.19,21.31,21.75,22.66,22.22,22.12,23.12,23.88,22.69,20.78,20.59,20.81,19.34,17.12,16.22,16.38,15.81,14.06,13.34,13.91,14.0,12.56,11.44,12.59,13.84,14.16,14.0,15.59,17.41,17.44,17.09,17.62,19.5,20.91,20.81,21.25,22.78,23.38,22.31,21.53,22.25,23.25,22.84,21.69,22.16,23.09,23.0,22.53,23.19,24.62,25.69,24.91,24.56,25.16,25.09,22.75,20.06,18.91,18.28,16.5,14.56,15.06,16.69,17.78,18.31,20.47,23.31,25.31,24.31,23.44,22.66,21.56,19.38,17.97,18.91,20.62,21.44,21.75,22.94,25.12,26.25,25.91,26.56,28.16,29.22,28.56,28.25,29.19,29.66,28.03,25.62,24.62,23.91,21.53,18.72,17.28,16.69,15.88,14.12,13.62,14.94,16.22,16.34,16.66,18.62,20.97,21.34,21.25,22.56,23.5,22.97,21.19,20.06,19.72,18.12,15.03,13.0,12.66,13.09,12.41,12.91,15.12,17.22,17.62,17.25,17.62,18.69,18.78,18.38,19.12,20.78,21.78,21.25,21.22,22.66,24.0,23.41,22.91,23.19,23.62,22.28,20.53,20.31,20.78,20.53,19.66,19.59,20.19,20.16,18.25,16.44,16.19,15.78,13.66,12.5,12.5,13.53,13.34,12.91,14.34,17.0,18.44,18.59,19.25,21.12,21.72,20.72,20.16,20.66,21.0,19.34,17.44,17.16,17.97,17.62,16.66,16.72,17.53,17.41,16.12,15.56,17.12,18.81,19.41,20.41,22.84,25.25,25.31,24.25,23.84,23.75,21.91,19.69,18.88,19.31,19.03,17.31,16.31,16.62,17.31,17.0,17.25,19.44,22.03,22.91,23.09,23.81,24.62,23.59,21.44,20.16,19.94,19.88,18.12,16.94,16.94,16.69,14.72,12.75,12.53,12.69,11.53,10.53,11.25,13.53,14.88,15.5,16.69,18.62,19.75,19.22,19.56,21.31,23.28,23.16,23.66,25.78,28.34,29.66,29.69,29.78,29.91,28.31,25.5,23.75,23.81,24.12,23.12,22.44,23.5,24.06,22.62,20.75,20.0,20.47,19.56,18.06,17.53,17.62,15.88,12.91,10.78,10.69,11.47,11.0,11.53,13.41,15.12,14.97,13.91,14.44,15.97,16.25,16.16,16.88,18.16,18.25,16.41,14.41,14.0,13.78,12.5,11.75,13.25,15.47,15.69,14.91,14.78,14.75,13.28,10.91,10.06,11.16,11.81,11.72,12.34,15.22,17.84,18.44,18.66,19.97,20.97,19.69,17.81,17.5,17.97,17.38,15.72,14.78,15.38,15.06,13.38,11.72,12.34,13.31,12.78,12.16,13.34,14.91,14.41,13.19,13.28,14.66,15.31,15.22,16.5,19.5,21.88,22.0,21.88,22.16,22.03,20.0,17.62,17.12,17.81,17.56,17.12,17.81,19.38,20.16,18.94,18.28,19.03,19.28,17.47,16.03,15.91,16.16,15.25,14.19,14.69,16.72,17.19,17.31,18.84,21.25,22.97,22.78,22.47,23.03,22.66,21.16,19.62,20.56,21.72,21.38,20.25,20.03,19.81,17.94,15.16,12.94,12.53,12.19,10.81,10.22,11.66,12.62,11.84,11.19,11.84,12.75,12.44,12.31,13.56,16.34,18.06,18.5,18.91,20.22,20.59,19.72,19.28,20.84,22.5,22.75,22.5,23.81,25.31,25.16,24.0,23.5,23.72,22.75,20.97,20.19,21.19,21.75,21.19,20.84,22.56,24.28,24.34,23.25,22.72,21.84,19.41,16.59,15.47,16.16,16.81,17.25,18.16,20.72,21.91,21.03,19.31,19.44,19.53,18.69,17.81,18.41,19.44,19.34,18.25,18.16,19.78,20.91,21.34,22.66,25.66,27.81,28.0,27.16,26.81,25.88,23.38,20.28,18.69,18.75,17.84,16.53,16.94,18.78,19.94,19.91,20.0,21.31,21.62,19.66,17.09,16.06,15.56,14.66,13.94,15.56,18.56,20.97,21.81,23.62,26.12,27.31,27.12,27.16,28.97,30.62,30.62,29.91,29.69,29.03,26.75,23.78,22.12,21.62,20.62,18.69,17.5,18.09,18.88,18.03,17.94,19.38,20.97,20.94,20.78,21.56,23.19,23.59,23.34,24.66,27.12,28.56,28.25,27.91,28.66,28.66,29.44,29.22,28.59,28.28,27.69,27.72,28.0,27.81,28.16,28.47,28.06,27.12,25.53,24.53:19.16,17.91,17.03,17.66,18.72,18.69,19.03,21.03,23.0,22.94,21.34,20.56,20.56,19.28,17.31,16.41,17.41,18.28,18.59,19.66,22.62,25.31,25.69,25.25,25.56,25.62,23.5,20.56,18.81,18.09,16.53,14.34,13.38,14.56,15.97,16.31,17.06,19.41,21.19,20.78,19.41,19.06,18.94,17.47,15.16,14.31,14.59,14.34,12.88,12.72,14.5,15.84,15.75,15.75,16.75,17.34,15.56,13.28,11.97,11.62,10.72,9.53,10.38,12.81,14.78,15.09,16.0,17.78,18.66,18.25,17.53,19.06,20.88,21.22,21.0,21.41,21.97,21.0,19.03,18.09,18.59,18.5,17.09,16.25,16.62,17.0,16.12,14.84,15.19,15.59,14.84,12.53,11.19,10.03,8.19,5.81,4.94,6.41,7.97,7.97,8.5,10.12,11.47,11.03,10.31,11.16,12.22,11.75,11.12,11.41,12.62,13.31,12.88,12.91,14.5,15.53,14.06,12.38,11.59,10.66,8.38,5.97,5.91,6.94,7.22,7.16,8.31,10.5,12.09,12.34,13.38,15.66,17.38,17.16,17.09,18.16,19.59,19.25,18.06,17.97,17.69,16.0,13.41,11.97,12.03,11.81,10.97,10.91,12.56,14.0,13.5,12.66,12.62,12.12,9.94,6.72,5.06,5.03,4.94,5.22,6.84,9.84,11.72,11.22,10.25,10.34,10.47,9.22,8.09,8.81,9.81,9.75,9.22,10.12,12.12,13.75,14.12,14.66,15.94,16.38,14.62,12.94,13.12,13.5,12.91,12.53,13.38,14.75,14.5,12.91,12.31,12.09,11.22,9.0,7.81,8.34,8.88,8.38,8.16,8.56,9.44,8.75,7.78,8.94,10.84,12.09,11.88,11.88,12.28,11.78,10.06,8.88,9.09,9.62,8.41,6.75,6.28,5.62,3.22,0.41,-0.84,-1.56,-2.03,-2.91,-2.0,-0.22,1.28,1.31,2.28,4.47,6.66,7.59,8.25,9.84,11.62,11.94,11.81,12.88,15.06,16.75,17.34,19.09,21.56,22.97,22.59,22.16,22.59,23.25,22.19,20.66,20.25,19.69,18.06,15.44,13.81,13.78,13.0,11.78,11.75,12.94,13.72,12.62,11.31,10.88,10.34,8.16,5.81,4.78,4.66,3.53,1.72,1.47,2.19,2.06,1.03,0.78,2.19,3.72,3.56,3.94,5.44,7.19,7.81,8.0,9.88,12.69,14.34,15.09,16.12,17.59,18.44,17.0,15.97,15.91,15.72,13.41,11.03,9.78,9.34,8.31,7.38,8.09,10.03,11.0,10.97,10.84,10.94,9.91,6.5,2.97,1.09,0.06,-1.5,-2.88,-2.31,-1.16,-1.34,-2.12,-1.94,-0.62,0.19,0.25,1.53,4.28,6.97,8.0,9.0,10.94,13.31,13.97,14.78,16.72,19.16,20.56,20.38,20.19,20.53,19.09,16.03,13.41,12.16,10.94,8.66,6.84,6.72,7.38,6.72,6.31,7.44,9.12,10.12,9.88,10.75,12.03,12.09,10.12,8.12,7.28,5.94,3.22,1.19,0.97,1.06,0.5,-0.38,0.06,1.5,2.5,2.84,3.97,6.41,8.31,8.69,8.88,10.41,11.69,12.0,11.91,12.91,14.16,13.72,12.75,12.75,14.12,14.94,15.19,16.0,17.5,18.09,17.41,16.28,16.19,16.16,14.66,12.72,12.19,12.38,11.53,9.91,9.34,10.12,9.69,8.38,7.03,6.78,5.91,3.84,1.91,1.66,2.12,1.16,0.22,0.59,1.72,2.16,1.66,1.91,3.25,3.59,3.03,3.5,5.91,8.03,8.81,8.94,9.75,10.09,8.81,6.69,5.97,6.19,6.0,5.47,6.38,9.41,11.78,12.84,13.91,15.62,16.28,14.94,12.66,11.44,10.88,9.12,7.25,6.81,7.69,7.97,7.75,8.44,10.72,12.47,12.5,12.25,12.69,12.53,10.59,7.91,6.62,6.69,6.0,5.44,6.41,7.78,8.03,6.53,4.84,4.56,3.97,2.75,2.97,5.12,7.88,9.41,10.38,11.84,13.91,14.66,14.38,15.28,17.16,18.09,17.75,17.5,18.75,19.06,17.72,15.41,14.31,13.31,10.44,7.84,6.25,5.88,5.09,3.22,2.22,2.66,2.97,2.25,2.03,3.97,6.22,7.5,8.56,11.0,14.16,15.78,16.84,18.44,20.53,21.03,19.81,18.19,17.91,16.97,14.75,12.44,12.19,12.0,10.53,8.69,8.25,8.03,6.44,3.94,2.34,2.28,1.72,0.66,0.25,1.66,3.19,2.97,2.88,4.62,6.72,7.41,7.75,8.88,10.53,10.59,10.06,10.53,12.12,12.75,12.03,11.12,11.03,10.28,7.97,5.66,5.25,5.81,5.81,5.62,7.28,9.56,10.44,9.88,9.31,9.69,9.41,7.72,6.72,7.59,9.06,9.06,9.16,11.12,13.28,13.97,13.56,14.31,15.34,15.28,14.25,13.66,14.28,14.59,13.34,12.19,12.75,13.41,12.41,11.28,11.59,12.41,11.84,10.25,10.03,10.44,10.03,8.44,7.88,8.72,10.0,10.34,11.09,13.53,16.0,16.5,16.16,17.06,18.19,18.41,17.41,17.0,17.38,16.44,14.03,12.06,12.25,12.5,12.56,13.03,15.88,19.12,21.03,21.75,23.03,24.44,23.97,22.19,21.31,21.75,22.66,22.22,22.12,23.12,23.88,22.69,20.78,20.59,20.81,19.34,17.12,16.22,16.38,15.81,14.06,13.34,13.91,14.0,12.56,11.44,12.59,13.84,14.16,14.0,15.59,17.41,17.44,17.09,17.62,19.5,20.91,20.81,21.25,22.78,23.38,22.31,21.53,22.25,23.25,22.84,21.69,22.16,23.09,23.0,22.53,23.19,24.62,25.69,24.91,24.56,25.16,25.09,22.75,20.06,18.91,18.28,16.5,14.56,15.06,16.69,17.78,18.31,20.47,23.31,25.31,24.31,23.44,22.66,21.56,19.38,17.97,18.91,20.62,21.44,21.75,22.94,25.12,26.25,25.91,26.56,28.16,29.22,28.56,28.25,29.19,29.66,28.03,25.62,24.62,23.91,21.53,18.72,17.28,16.69,15.88,14.12,13.62,14.94,16.22,16.34,16.66,18.62,20.97,21.34,21.25,22.56,23.5,22.97,21.19,20.06,19.72,18.12,15.03,13.0,12.66,13.09,12.41,12.91,15.12,17.22,17.62,17.25,17.62,18.69,18.78,18.38,19.12,20.78,21.78,21.25,21.22,22.66,24.0,23.41,22.91,23.19,23.62,22.28,20.53,20.31,20.78,20.53,19.66,19.59,20.19,20.16,18.25,16.44,16.19,15.78,13.66,12.5,12.5,13.53,13.34,12.91,14.34,17.0,18.44,18.59,19.25,21.12,21.72,20.72,20.16,20.66,21.0,19.34,17.44,17.16,17.97,17.62,16.66,16.72,17.53,17.41,16.12,15.56,17.12,18.81,19.41,20.41,22.84,25.25,25.31,24.25,23.84,23.75,21.91,19.69,18.88,19.31,19.03,17.31,16.31,16.62,17.31,17.0,17.25,19.44,22.03,22.91,23.09,23.81,24.62,23.59,21.44,20.16,19.94,19.88,18.12,16.94,16.94,16.69,14.72,12.75,12.53,12.69,11.53,10.53,11.25,13.53,14.88,15.5,16.69,18.62,19.75,19.22,19.56,21.31,23.28,23.16,23.66,25.78,28.34,29.66,29.69,29.78,29.91,28.31,25.5,23.75,23.81,24.12,23.12,22.44,23.5,24.06,22.62,20.75,20.0,20.47,19.56,18.06,17.53,17.62,15.88,12.91,10.78,10.69,11.47,11.0,11.53,13.41,15.12,14.97,13.91,14.44,15.97,16.25,16.16,16.88,18.16,18.25,16.41,14.41,14.0,13.78,12.5,11.75,13.25,15.47,15.69,14.91,14.78,14.75,13.28,10.91,10.06,11.16,11.81,11.72,12.34,15.22,17.84,18.44,18.66,19.97,20.97,19.69,17.81,17.5,17.97,17.38,15.72,14.78,15.38,15.06,13.38,11.72,12.34,13.31,12.78,12.16,13.34,14.91,14.41,13.19,13.28,14.66,15.31,15.22,16.5,19.5,21.88,22.0,21.88,22.16,22.03,20.0,17.62,17.12,17.81,17.56,17.12,17.81,19.38,20.16,18.94,18.28,19.03,19.28,17.47,16.03,15.91,16.16,15.25,14.19,14.69,16.72,17.19,17.31,18.84,21.25,22.97,22.78,22.47,23.03,22.66,21.16,19.62,20.56,21.72,21.38,20.25,20.03,19.81,17.94,15.16,12.94,12.53,12.19,10.81,10.22,11.66,12.62,11.84,11.19,11.84,12.75,12.44,12.31,13.56,16.34,18.06,18.5,18.91,20.22,20.59,19.72,19.28,20.84,22.5,22.75,22.5,23.81,25.31,25.16,24.0,23.5,23.72,22.75,20.97,20.19,21.19,21.75,21.19,20.84,22.56,24.28,24.34,23.25,22.72,21.84,19.41,16.59,15.47,16.16,16.81,17.25,18.16,20.72,21.91,21.03,19.31,19.44,19.53,18.69,17.81,18.41,19.44,19.34,18.25,18.16,19.78,20.91,21.34,22.66,25.66,27.81,28.0,27.16,26.81,25.88,23.38,20.28,18.69,18.75,17.84,16.53,16.94,18.78,19.94,19.91,20.0,21.31,21.62,19.66,17.09,16.06,15.56,14.66,13.94,15.56,18.56,20.97,21.81,23.62,26.12,27.31,27.12,27.16,28.97,30.62,30.62,29.91,29.69,29.03,26.75,23.78,22.12,21.62,20.62,18.69,17.5,18.09,18.88,18.03,17.94,19.38,20.97,20.94,20.78,21.56,23.19,23.59,23.34,24.66,27.12,28.56,28.25,27.91,28.66,28.66,29.44,29.22,28.59,28.28,27.69,27.72,28.0,27.81,28.16,28.47,28.06,27.12,25.53,24.53,23.47,23.12,23.97,25.91,27.75,29.59,30.81:21.03,23.0,22.94,21.34,20.56,20.56,19.28,17.31,16.41,17.41,18.28,18.59,19.66,22.62,25.31,25.69,25.25,25.56,25.62,23.5,20.56,18.81,18.09,16.53,14.34,13.38,14.56,15.97,16.31,17.06,19.41,21.19,20.78,19.41,19.06,18.94,17.47,15.16,14.31,14.59,14.34,12.88,12.72,14.5,15.84,15.75,15.75,16.75,17.34,15.56,13.28,11.97,11.62,10.72,9.53,10.38,12.81,14.78,15.09,16.0,17.78,18.66,18.25,17.53,19.06,20.88,21.22,21.0,21.41,21.97,21.0,19.03,18.09,18.59,18.5,17.09,16.25,16.62,17.0,16.12,14.84,15.19,15.59,14.84,12.53,11.19,10.03,8.19,5.81,4.94,6.41,7.97,7.97,8.5,10.12,11.47,11.03,10.31,11.16,12.22,11.75,11.12,11.41,12.62,13.31,12.88,12.91,14.5,15.53,14.06,12.38,11.59,10.66,8.38,5.97,5.91,6.94,7.22,7.16,8.31,10.5,12.09,12.34,13.38,15.66,17.38,17.16,17.09,18.16,19.59,19.25,18.06,17.97,17.69,16.0,13.41,11.97,12.03,11.81,10.97,10.91,12.56,14.0,13.5,12.66,12.62,12.12,9.94,6.72,5.06,5.03,4.94,5.22,6.84,9.84,11.72,11.22,10.25,10.34,10.47,9.22,8.09,8.81,9.81,9.75,9.22,10.12,12.12,13.75,14.12,14.66,15.94,16.38,14.62,12.94,13.12,13.5,12.91,12.53,13.38,14.75,14.5,12.91,12.31,12.09,11.22,9.0,7.81,8.34,8.88,8.38,8.16,8.56,9.44,8.75,7.78,8.94,10.84,12.09,11.88,11.88,12.28,11.78,10.06,8.88,9.09,9.62,8.41,6.75,6.28,5.62,3.22,0.41,-0.84,-1.56,-2.03,-2.91,-2.0,-0.22,1.28,1.31,2.28,4.47,6.66,7.59,8.25,9.84,11.62,11.94,11.81,12.88,15.06,16.75,17.34,19.09,21.56,22.97,22.59,22.16,22.59,23.25,22.19,20.66,20.25,19.69,18.06,15.44,13.81,13.78,13.0,11.78,11.75,12.94,13.72,12.62,11.31,10.88,10.34,8.16,5.81,4.78,4.66,3.53,1.72,1.47,2.19,2.06,1.03,0.78,2.19,3.72,3.56,3.94,5.44,7.19,7.81,8.0,9.88,12.69,14.34,15.09,16.12,17.59,18.44,17.0,15.97,15.91,15.72,13.41,11.03,9.78,9.34,8.31,7.38,8.09,10.03,11.0,10.97,10.84,10.94,9.91,6.5,2.97,1.09,0.06,-1.5,-2.88,-2.31,-1.16,-1.34,-2.12,-1.94,-0.62,0.19,0.25,1.53,4.28,6.97,8.0,9.0,10.94,13.31,13.97,14.78,16.72,19.16,20.56,20.38,20.19,20.53,19.09,16.03,13.41,12.16,10.94,8.66,6.84,6.72,7.38,6.72,6.31,7.44,9.12,10.12,9.88,10.75,12.03,12.09,10.12,8.12,7.28,5.94,3.22,1.19,0.97,1.06,0.5,-0.38,0.06,1.5,2.5,2.84,3.97,6.41,8.31,8.69,8.88,10.41,11.69,12.0,11.91,12.91,14.16,13.72,12.75,12.75,14.12,14.94,15.19,16.0,17.5,18.09,17.41,16.28,16.19,16.16,14.66,12.72,12.19,12.38,11.53,9.91,9.34,10.12,9.69,8.38,7.03,6.78,5.91,3.84,1.91,1.66,2.12,1.16,0.22,0.59,1.72,2.16,1.66,1.91,3.25,3.59,3.03,3.5,5.91,8.03,8.81,8.94,9.75,10.09,8.81,6.69,5.97,6.19,6.0,5.47,6.38,9.41,11.78,12.84,13.91,15.62,16.28,14.94,12.66,11.44,10.88,9.12,7.25,6.81,7.69,7.97,7.75,8.44,10.72,12.47,12.5,12.25,12.69,12.53,10.59,7.91,6.62,6.69,6.0,5.44,6.41,7.78,8.03,6.53,4.84,4.56,3.97,2.75,2.97,5.12,7.88,9.41,10.38,11.84,13.91,14.66,14.38,15.28,17.16,18.09,17.75,17.5,18.75,19.06,17.72,15.41,14.31,13.31,10.44,7.84,6.25,5.88,5.09,3.22,2.22,2.66,2.97,2.25,2.03,3.97,6.22,7.5,8.56,11.0,14.16,15.78,16.84,18.44,20.53,21.03,19.81,18.19,17.91,16.97,14.75,12.44,12.19,12.0,10.53,8.69,8.25,8.03,6.44,3.94,2.34,2.28,1.72,0.66,0.25,1.66,3.19,2.97,2.88,4.62,6.72,7.41,7.75,8.88,10.53,10.59,10.06,10.53,12.12,12.75,12.03,11.12,11.03,10.28,7.97,5.66,5.25,5.81,5.81,5.62,7.28,9.56,10.44,9.88,9.31,9.69,9.41,7.72,6.72,7.59,9.06,9.06,9.16,11.12,13.28,13.97,13.56,14.31,15.34,15.28,14.25,13.66,14.28,14.59,13.34,12.19,12.75,13.41,12.41,11.28,11.59,12.41,11.84,10.25,10.03,10.44,10.03,8.44,7.88,8.72,10.0,10.34,11.09,13.53,16.0,16.5,16.16,17.06,18.19,18.41,17.41,17.0,17.38,16.44,14.03,12.06,12.25,12.5,12.56,13.03,15.88,19.12,21.03,21.75,23.03,24.44,23.97,22.19,21.31,21.75,22.66,22.22,22.12,23.12,23.88,22.69,20.78,20.59,20.81,19.34,17.12,16.22,16.38,15.81,14.06,13.34,13.91,14.0,12.56,11.44,12.59,13.84,14.16,14.0,15.59,17.41,17.44,17.09,17.62,19.5,20.91,20.81,21.25,22.78,23.38,22.31,21.53,22.25,23.25,22.84,21.69,22.16,23.09,23.0,22.53,23.19,24.62,25.69,24.91,24.56,25.16,25.09,22.75,20.06,18.91,18.28,16.5,14.56,15.06,16.69,17.78,18.31,20.47,23.31,25.31,24.31,23.44,22.66,21.56,19.38,17.97,18.91,20.62,21.44,21.75,22.94,25.12,26.25,25.91,26.56,28.16,29.22,28.56,28.25,29.19,29.66,28.03,25.62,24.62,23.91,21.53,18.72,17.28,16.69,15.88,14.12,13.62,14.94,16.22,16.34,16.66,18.62,20.97,21.34,21.25,22.56,23.5,22.97,21.19,20.06,19.72,18.12,15.03,13.0,12.66,13.09,12.41,12.91,15.12,17.22,17.62,17.25,17.62,18.69,18.78,18.38,19.12,20.78,21.78,21.25,21.22,22.66,24.0,23.41,22.91,23.19,23.62,22.28,20.53,20.31,20.78,20.53,19.66,19.59,20.19,20.16,18.25,16.44,16.19,15.78,13.66,12.5,12.5,13.53,13.34,12.91,14.34,17.0,18.44,18.59,19.25,21.12,21.72,20.72,20.16,20.66,21.0,19.34,17.44,17.16,17.97,17.62,16.66,16.72,17.53,17.41,16.12,15.56,17.12,18.81,19.41,20.41,22.84,25.25,25.31,24.25,23.84,23.75,21.91,19.69,18.88,19.31,19.03,17.31,16.31,16.62,17.31,17.0,17.25,19.44,22.03,22.91,23.09,23.81,24.62,23.59,21.44,20.16,19.94,19.88,18.12,16.94,16.94,16.69,14.72,12.75,12.53,12.69,11.53,10.53,11.25,13.53,14.88,15.5,16.69,18.62,19.75,19.22,19.56,21.31,23.28,23.16,23.66,25.78,28.34,29.66,29.69,29.78,29.91,28.31,25.5,23.75,23.81,24.12,23.12,22.44,23.5,24.06,22.62,20.75,20.0,20.47,19.56,18.06,17.53,17.62,15.88,12.91,10.78,10.69,11.47,11.0,11.53,13.41,15.12,14.97,13.91,14.44,15.97,16.25,16.16,16.88,18.16,18.25,16.41,14.41,14.0,13.78,12.5,11.75,13.25,15.47,15.69,14.91,14.78,14.75,13.28,10.91,10.06,11.16,11.81,11.72,12.34,15.22,17.84,18.44,18.66,19.97,20.97,19.69,17.81,17.5,17.97,17.38,15.72,14.78,15.38,15.06,13.38,11.72,12.34,13.31,12.78,12.16,13.34,14.91,14.41,13.19,13.28,14.66,15.31,15.22,16.5,19.5,21.88,22.0,21.88,22.16,22.03,20.0,17.62,17.12,17.81,17.56,17.12,17.81,19.38,20.16,18.94,18.28,19.03,19.28,17.47,16.03,15.91,16.16,15.25,14.19,14.69,16.72,17.19,17.31,18.84,21.25,22.97,22.78,22.47,23.03,22.66,21.16,19.62,20.56,21.72,21.38,20.25,20.03,19.81,17.94,15.16,12.94,12.53,12.19,10.81,10.22,11.66,12.62,11.84,11.19,11.84,12.75,12.44,12.31,13.56,16.34,18.06,18.5,18.91,20.22,20.59,19.72,19.28,20.84,22.5,22.75,22.5,23.81,25.31,25.16,24.0,23.5,23.72,22.75,20.97,20.19,21.19,21.75,21.19,20.84,22.56,24.28,24.34,23.25,22.72,21.84,19.41,16.59,15.47,16.16,16.81,17.25,18.16,20.72,21.91,21.03,19.31,19.44,19.53,18.69,17.81,18.41,19.44,19.34,18.25,18.16,19.78,20.91,21.34,22.66,25.66,27.81,28.0,27.16,26.81,25.88,23.38,20.28,18.69,18.75,17.84,16.53,16.94,18.78,19.94,19.91,20.0,21.31,21.62,19.66,17.09,16.06,15.56,14.66,13.94,15.56,18.56,20.97,21.81,23.62,26.12,27.31,27.12,27.16,28.97,30.62,30.62,29.91,29.69,29.03,26.75,23.78,22.12,21.62,20.62,18.69,17.5,18.09,18.88,18.03,17.94,19.38,20.97,20.94,20.78,21.56,23.19,23.59,23.34,24.66,27.12,28.56,28.25,27.91,28.66,28.66,29.44,29.22,28.59,28.28,27.69,27.72,28.0,27.81,28.16,28.47,28.06,27.12,25.53,24.53,23.47,23.12,23.97,25.91,27.75,29.59,30.81,31.44,31.59,31.44,31.06,31.38,32.56,33.66:17.31,16.41,17.41,18.28,18.59,19.66,22.62,25.31,25.69,25.25,25.56,25.62,23.5,20.56,18.81,18.09,16.53,14.34,13.38,14.56,15.97,16.31,17.06,19.41,21.19,20.78,19.41,19.06,18.94,17.47,15.16,14.31,14.59,14.34,12.88,12.72,14.5,15.84,15.75,15.75,16.75,17.34,15.56,13.28,11.97,11.62,10.72,9.53,10.38,12.81,14.78,15.09,16.0,17.78,18.66,18.25,17.53,19.06,20.88,21.22,21.0,21.41,21.97,21.0,19.03,18.09,18.59,18.5,17.09,16.25,16.62,17.0,16.12,14.84,15.19,15.59,14.84,12.53,11.19,10.03,8.19,5.81,4.94,6.41,7.97,7.97,8.5,10.12,11.47,11.03,10.31,11.16,12.22,11.75,11.12,11.41,12.62,13.31,12.88,12.91,14.5,15.53,14.06,12.38,11.59,10.66,8.38,5.97,5.91,6.94,7.22,7.16,8.31,10.5,12.09,12.34,13.38,15.66,17.38,17.16,17.09,18.16,19.59,19.25,18.06,17.97,17.69,16.0,13.41,11.97,12.03,11.81,10.97,10.91,12.56,14.0,13.5,12.66,12.62,12.12,9.94,6.72,5.06,5.03,4.94,5.22,6.84,9.84,11.72,11.22,10.25,10.34,10.47,9.22,8.09,8.81,9.81,9.75,9.22,10.12,12.12,13.75,14.12,14.66,15.94,16.38,14.62,12.94,13.12,13.5,12.91,12.53,13.38,14.75,14.5,12.91,12.31,12.09,11.22,9.0,7.81,8.34,8.88,8.38,8.16,8.56,9.44,8.75,7.78,8.94,10.84,12.09,11.88,11.88,12.28,11.78,10.06,8.88,9.09,9.62,8.41,6.75,6.28,5.62,3.22,0.41,-0.84,-1.56,-2.03,-2.91,-2.0,-0.22,1.28,1.31,2.28,4.47,6.66,7.59,8.25,9.84,11.62,11.94,11.81,12.88,15.06,16.75,17.34,19.09,21.56,22.97,22.59,22.16,22.59,23.25,22.19,20.66,20.25,19.69,18.06,15.44,13.81,13.78,13.0,11.78,11.75,12.94,13.72,12.62,11.31,10.88,10.34,8.16,5.81,4.78,4.66,3.53,1.72,1.47,2.19,2.06,1.03,0.78,2.19,3.72,3.56,3.94,5.44,7.19,7.81,8.0,9.88,12.69,14.34,15.09,16.12,17.59,18.44,17.0,15.97,15.91,15.72,13.41,11.03,9.78,9.34,8.31,7.38,8.09,10.03,11.0,10.97,10.84,10.94,9.91,6.5,2.97,1.09,0.06,-1.5,-2.88,-2.31,-1.16,-1.34,-2.12,-1.94,-0.62,0.19,0.25,1.53,4.28,6.97,8.0,9.0,10.94,13.31,13.97,14.78,16.72,19.16,20.56,20.38,20.19,20.53,19.09,16.03,13.41,12.16,10.94,8.66,6.84,6.72,7.38,6.72,6.31,7.44,9.12,10.12,9.88,10.75,12.03,12.09,10.12,8.12,7.28,5.94,3.22,1.19,0.97,1.06,0.5,-0.38,0.06,1.5,2.5,2.84,3.97,6.41,8.31,8.69,8.88,10.41,11.69,12.0,11.91,12.91,14.16,13.72,12.75,12.75,14.12,14.94,15.19,16.0,17.5,18.09,17.41,16.28,16.19,16.16,14.66,12.72,12.19,12.38,11.53,9.91,9.34,10.12,9.69,8.38,7.03,6.78,5.91,3.84,1.91,1.66,2.12,1.16,0.22,0.59,1.72,2.16,1.66,1.91,3.25,3.59,3.03,3.5,5.91,8.03,8.81,8.94,9.75,10.09,8.81,6.69,5.97,6.19,6.0,5.47,6.38,9.41,11.78,12.84,13.91,15.62,16.28,14.94,12.66,11.44,10.88,9.12,7.25,6.81,7.69,7.97,7.75,8.44,10.72,12.47,12.5,12.25,12.69,12.53,10.59,7.91,6.62,6.69,6.0,5.44,6.41,7.78,8.03,6.53,4.84,4.56,3.97,2.75,2.97,5.12,7.88,9.41,10.38,11.84,13.91,14.66,14.38,15.28,17.16,18.09,17.75,17.5,18.75,19.06,17.72,15.41,14.31,13.31,10.44,7.84,6.25,5.88,5.09,3.22,2.22,2.66,2.97,2.25,2.03,3.97,6.22,7.5,8.56,11.0,14.16,15.78,16.84,18.44,20.53,21.03,19.81,18.19,17.91,16.97,14.75,12.44,12.19,12.0,10.53,8.69,8.25,8.03,6.44,3.94,2.34,2.28,1.72,0.66,0.25,1.66,3.19,2.97,2.88,4.62,6.72,7.41,7.75,8.88,10.53,10.59,10.06,10.53,12.12,12.75,12.03,11.12,11.03,10.28,7.97,5.66,5.25,5.81,5.81,5.62,7.28,9.56,10.44,9.88,9.31,9.69,9.41,7.72,6.72,7.59,9.06,9.06,9.16,11.12,13.28,13.97,13.56,14.31,15.34,15.28,14.25,13.66,14.28,14.59,13.34,12.19,12.75,13.41,12.41,11.28,11.59,12.41,11.84,10.25,10.03,10.44,10.03,8.44,7.88,8.72,10.0,10.34,11.09,13.53,16.0,16.5,16.16,17.06,18.19,18.41,17.41,17.0,17.38,16.44,14.03,12.06,12.25,12.5,12.56,13.03,15.88,19.12,21.03,21.75,23.03,24.44,23.97,22.19,21.31,21.75,22.66,22.22,22.12,23.12,23.88,22.69,20.78,20.59,20.81,19.34,17.12,16.22,16.38,15.81,14.06,13.34,13.91,14.0,12.56,11.44,12.59,13.84,14.16,14.0,15.59,17.41,17.44,17.09,17.62,19.5,20.91,20.81,21.25,22.78,23.38,22.31,21.53,22.25,23.25,22.84,21.69,22.16,23.09,23.0,22.53,23.19,24.62,25.69,24.91,24.56,25.16,25.09,22.75,20.06,18.91,18.28,16.5,14.56,15.06,16.69,17.78,18.31,20.47,23.31,25.31,24.31,23.44,22.66,21.56,19.38,17.97,18.91,20.62,21.44,21.75,22.94,25.12,26.25,25.91,26.56,28.16,29.22,28.56,28.25,29.19,29.66,28.03,25.62,24.62,23.91,21.53,18.72,17.28,16.69,15.88,14.12,13.62,14.94,16.22,16.34,16.66,18.62,20.97,21.34,21.25,22.56,23.5,22.97,21.19,20.06,19.72,18.12,15.03,13.0,12.66,13.09,12.41,12.91,15.12,17.22,17.62,17.25,17.62,18.69,18.78,18.38,19.12,20.78,21.78,21.25,21.22,22.66,24.0,23.41,22.91,23.19,23.62,22.28,20.53,20.31,20.78,20.53,19.66,19.59,20.19,20.16,18.25,16.44,16.19,15.78,13.66,12.5,12.5,13.53,13.34,12.91,14.34,17.0,18.44,18.59,19.25,21.12,21.72,20.72,20.16,20.66,21.0,19.34,17.44,17.16,17.97,17.62,16.66,16.72,17.53,17.41,16.12,15.56,17.12,18.81,19.41,20.41,22.84,25.25,25.31,24.25,23.84,23.75,21.91,19.69,18.88,19.31,19.03,17.31,16.31,16.62,17.31,17.0,17.25,19.44,22.03,22.91,23.09,23.81,24.62,23.59,21.44,20.16,19.94,19.88,18.12,16.94,16.94,16.69,14.72,12.75,12.53,12.69,11.53,10.53,11.25,13.53,14.88,15.5,16.69,18.62,19.75,19.22,19.56,21.31,23.28,23.16,23.66,25.78,28.34,29.66,29.69,29.78,29.91,28.31,25.5,23.75,23.81,24.12,23.12,22.44,23.5,24.06,22.62,20.75,20.0,20.47,19.56,18.06,17.53,17.62,15.88,12.91,10.78,10.69,11.47,11.0,11.53,13.41,15.12,14.97,13.91,14.44,15.97,16.25,16.16,16.88,18.16,18.25,16.41,14.41,14.0,13.78,12.5,11.75,13.25,15.47,15.69,14.91,14.78,14.75,13.28,10.91,10.06,11.16,11.81,11.72,12.34,15.22,17.84,18.44,18.66,19.97,20.97,19.69,17.81,17.5,17.97,17.38,15.72,14.78,15.38,15.06,13.38,11.72,12.34,13.31,12.78,12.16,13.34,14.91,14.41,13.19,13.28,14.66,15.31,15.22,16.5,19.5,21.88,22.0,21.88,22.16,22.03,20.0,17.62,17.12,17.81,17.56,17.12,17.81,19.38,20.16,18.94,18.28,19.03,19.28,17.47,16.03,15.91,16.16,15.25,14.19,14.69,16.72,17.19,17.31,18.84,21.25,22.97,22.78,22.47,23.03,22.66,21.16,19.62,20.56,21.72,21.38,20.25,20.03,19.81,17.94,15.16,12.94,12.53,12.19,10.81,10.22,11.66,12.62,11.84,11.19,11.84,12.75,12.44,12.31,13.56,16.34,18.06,18.5,18.91,20.22,20.59,19.72,19.28,20.84,22.5,22.75,22.5,23.81,25.31,25.16,24.0,23.5,23.72,22.75,20.97,20.19,21.19,21.75,21.19,20.84,22.56,24.28,24.34,23.25,22.72,21.84,19.41,16.59,15.47,16.16,16.81,17.25,18.16,20.72,21.91,21.03,19.31,19.44,19.53,18.69,17.81,18.41,19.44,19.34,18.25,18.16,19.78,20.91,21.34,22.66,25.66,27.81,28.0,27.16,26.81,25.88,23.38,20.28,18.69,18.75,17.84,16.53,16.94,18.78,19.94,19.91,20.0,21.31,21.62,19.66,17.09,16.06,15.56,14.66,13.94,15.56,18.56,20.97,21.81,23.62,26.12,27.31,27.12,27.16,28.97,30.62,30.62,29.91,29.69,29.03,26.75,23.78,22.12,21.62,20.62,18.69,17.5,18.09,18.88,18.03,17.94,19.38,20.97,20.94,20.78,21.56,23.19,23.59,23.34,24.66,27.12,28.56,28.25,27.91,28.66,28.66,29.44,29.22,28.59,28.28,27.69,27.72,28.0,27.81,28.16,28.47,28.06,27.12,25.53,24.53,23.47,23.12,23.97,25.91,27.75,29.59,30.81,31.44,31.59,31.44,31.06,31.38,32.56,33.66,34.94,35.81,36.38,36.06,34.91,33.75,32.84:25.31,25.69,25.25,25.56,25.62,23.5,20.56,18.81,18.09,16.53,14.34,13.38,14.56,15.97,16.31,17.06,19.41,21.19,20.78,19.41,19.06,18.94,17.47,15.16,14.31,14.59,14.34,12.88,12.72,14.5,15.84,15.75,15.75,16.75,17.34,15.56,13.28,11.97,11.62,10.72,9.53,10.38,12.81,14.78,15.09,16.0,17.78,18.66,18.25,17.53,19.06,20.88,21.22,21.0,21.41,21.97,21.0,19.03,18.09,18.59,18.5,17.09,16.25,16.62,17.0,16.12,14.84,15.19,15.59,14.84,12.53,11.19,10.03,8.19,5.81,4.94,6.41,7.97,7.97,8.5,10.12,11.47,11.03,10.31,11.16,12.22,11.75,11.12,11.41,12.62,13.31,12.88,12.91,14.5,15.53,14.06,12.38,11.59,10.66,8.38,5.97,5.91,6.94,7.22,7.16,8.31,10.5,12.09,12.34,13.38,15.66,17.38,17.16,17.09,18.16,19.59,19.25,18.06,17.97,17.69,16.0,13.41,11.97,12.03,11.81,10.97,10.91,12.56,14.0,13.5,12.66,12.62,12.12,9.94,6.72,5.06,5.03,4.94,5.22,6.84,9.84,11.72,11.22,10.25,10.34,10.47,9.22,8.09,8.81,9.81,9.75,9.22,10.12,12.12,13.75,14.12,14.66,15.94,16.38,14.62,12.94,13.12,13.5,12.91,12.53,13.38,14.75,14.5,12.91,12.31,12.09,11.22,9.0,7.81,8.34,8.88,8.38,8.16,8.56,9.44,8.75,7.78,8.94,10.84,12.09,11.88,11.88,12.28,11.78,10.06,8.88,9.09,9.62,8.41,6.75,6.28,5.62,3.22,0.41,-0.84,-1.56,-2.03,-2.91,-2.0,-0.22,1.28,1.31,2.28,4.47,6.66,7.59,8.25,9.84,11.62,11.94,11.81,12.88,15.06,16.75,17.34,19.09,21.56,22.97,22.59,22.16,22.59,23.25,22.19,20.66,20.25,19.69,18.06,15.44,13.81,13.78,13.0,11.78,11.75,12.94,13.72,12.62,11.31,10.88,10.34,8.16,5.81,4.78,4.66,3.53,1.72,1.47,2.19,2.06,1.03,0.78,2.19,3.72,3.56,3.94,5.44,7.19,7.81,8.0,9.88,12.69,14.34,15.09,16.12,17.59,18.44,17.0,15.97,15.91,15.72,13.41,11.03,9.78,9.34,8.31,7.38,8.09,10.03,11.0,10.97,10.84,10.94,9.91,6.5,2.97,1.09,0.06,-1.5,-2.88,-2.31,-1.16,-1.34,-2.12,-1.94,-0.62,0.19,0.25,1.53,4.28,6.97,8.0,9.0,10.94,13.31,13.97,14.78,16.72,19.16,20.56,20.38,20.19,20.53,19.09,16.03,13.41,12.16,10.94,8.66,6.84,6.72,7.38,6.72,6.31,7.44,9.12,10.12,9.88,10.75,12.03,12.09,10.12,8.12,7.28,5.94,3.22,1.19,0.97,1.06,0.5,-0.38,0.06,1.5,2.5,2.84,3.97,6.41,8.31,8.69,8.88,10.41,11.69,12.0,11.91,12.91,14.16,13.72,12.75,12.75,14.12,14.94,15.19,16.0,17.5,18.09,17.41,16.28,16.19,16.16,14.66,12.72,12.19,12.38,11.53,9.91,9.34,10.12,9.69,8.38,7.03,6.78,5.91,3.84,1.91,1.66,2.12,1.16,0.22,0.59,1.72,2.16,1.66,1.91,3.25,3.59,3.03,3.5,5.91,8.03,8.81,8.94,9.75,10.09,8.81,6.69,5.97,6.19,6.0,5.47,6.38,9.41,11.78,12.84,13.91,15.62,16.28,14.94,12.66,11.44,10.88,9.12,7.25,6.81,7.69,7.97,7.75,8.44,10.72,12.47,12.5,12.25,12.69,12.53,10.59,7.91,6.62,6.69,6.0,5.44,6.41,7.78,8.03,6.53,4.84,4.56,3.97,2.75,2.97,5.12,7.88,9.41,10.38,11.84,13.91,14.66,14.38,15.28,17.16,18.09,17.75,17.5,18.75,19.06,17.72,15.41,14.31,13.31,10.44,7.84,6.25,5.88,5.09,3.22,2.22,2.66,2.97,2.25,2.03,3.97,6.22,7.5,8.56,11.0,14.16,15.78,16.84,18.44,20.53,21.03,19.81,18.19,17.91,16.97,14.75,12.44,12.19,12.0,10.53,8.69,8.25,8.03,6.44,3.94,2.34,2.28,1.72,0.66,0.25,1.66,3.19,2.97,2.88,4.62,6.72,7.41,7.75,8.88,10.53,10.59,10.06,10.53,12.12,12.75,12.03,11.12,11.03,10.28,7.97,5.66,5.25,5.81,5.81,5.62,7.28,9.56,10.44,9.88,9.31,9.69,9.41,7.72,6.72,7.59,9.06,9.06,9.16,11.12,13.28,13.97,13.56,14.31,15.34,15.28,14.25,13.66,14.28,14.59,13.34,12.19,12.75,13.41,12.41,11.28,11.59,12.41,11.84,10.25,10.03,10.44,10.03,8.44,7.88,8.72,10.0,10.34,11.09,13.53,16.0,16.5,16.16,17.06,18.19,18.41,17.41,17.0,17.38,16.44,14.03,12.06,12.25,12.5,12.56,13.03,15.88,19.12,21.03,21.75,23.03,24.44,23.97,22.19,21.31,21.75,22.66,22.22,22.12,23.12,23.88,22.69,20.78,20.59,20.81,19.34,17.12,16.22,16.38,15.81,14.06,13.34,13.91,14.0,12.56,11.44,12.59,13.84,14.16,14.0,15.59,17.41,17.44,17.09,17.62,19.5,20.91,20.81,21.25,22.78,23.38,22.31,21.53,22.25,23.25,22.84,21.69,22.16,23.09,23.0,22.53,23.19,24.62,25.69,24.91,24.56,25.16,25.09,22.75,20.06,18.91,18.28,16.5,14.56,15.06,16.69,17.78,18.31,20.47,23.31,25.31,24.31,23.44,22.66,21.56,19.38,17.97,18.91,20.62,21.44,21.75,22.94,25.12,26.25,25.91,26.56,28.16,29.22,28.56,28.25,29.19,29.66,28.03,25.62,24.62,23.91,21.53,18.72,17.28,16.69,15.88,14.12,13.62,14.94,16.22,16.34,16.66,18.62,20.97,21.34,21.25,22.56,23.5,22.97,21.19,20.06,19.72,18.12,15.03,13.0,12.66,13.09,12.41,12.91,15.12,17.22,17.62,17.25,17.62,18.69,18.78,18.38,19.12,20.78,21.78,21.25,21.22,22.66,24.0,23.41,22.91,23.19,23.62,22.28,20.53,20.31,20.78,20.53,19.66,19.59,20.19,20.16,18.25,16.44,16.19,15.78,13.66,12.5,12.5,13.53,13.34,12.91,14.34,17.0,18.44,18.59,19.25,21.12,21.72,20.72,20.16,20.66,21.0,19.34,17.44,17.16,17.97,17.62,16.66,16.72,17.53,17.41,16.12,15.56,17.12,18.81,19.41,20.41,22.84,25.25,25.31,24.25,23.84,23.75,21.91,19.69,18.88,19.31,19.03,17.31,16.31,16.62,17.31,17.0,17.25,19.44,22.03,22.91,23.09,23.81,24.62,23.59,21.44,20.16,19.94,19.88,18.12,16.94,16.94,16.69,14.72,12.75,12.53,12.69,11.53,10.53,11.25,13.53,14.88,15.5,16.69,18.62,19.75,19.22,19.56,21.31,23.28,23.16,23.66,25.78,28.34,29.66,29.69,29.78,29.91,28.31,25.5,23.75,23.81,24.12,23.12,22.44,23.5,24.06,22.62,20.75,20.0,20.47,19.56,18.06,17.53,17.62,15.88,12.91,10.78,10.69,11.47,11.0,11.53,13.41,15.12,14.97,13.91,14.44,15.97,16.25,16.16,16.88,18.16,18.25,16.41,14.41,14.0,13.78,12.5,11.75,13.25,15.47,15.69,14.91,14.78,14.75,13.28,10.91,10.06,11.16,11.81,11.72,12.34,15.22,17.84,18.44,18.66,19.97,20.97,19.69,17.81,17.5,17.97,17.38,15.72,14.78,15.38,15.06,13.38,11.72,12.34,13.31,12.78,12.16,13.34,14.91,14.41,13.19,13.28,14.66,15.31,15.22,16.5,19.5,21.88,22.0,21.88,22.16,22.03,20.0,17.62,17.12,17.81,17.56,17.12,17.81,19.38,20.16,18.94,18.28,19.03,19.28,17.47,16.03,15.91,16.16,15.25,14.19,14.69,16.72,17.19,17.31,18.84,21.25,22.97,22.78,22.47,23.03,22.66,21.16,19.62,20.56,21.72,21.38,20.25,20.03,19.81,17.94,15.16,12.94,12.53,12.19,10.81,10.22,11.66,12.62,11.84,11.19,11.84,12.75,12.44,12.31,13.56,16.34,18.06,18.5,18.91,20.22,20.59,19.72,19.28,20.84,22.5,22.75,22.5,23.81,25.31,25.16,24.0,23.5,23.72,22.75,20.97,20.19,21.19,21.75,21.19,20.84,22.56,24.28,24.34,23.25,22.72,21.84,19.41,16.59,15.47,16.16,16.81,17.25,18.16,20.72,21.91,21.03,19.31,19.44,19.53,18.69,17.81,18.41,19.44,19.34,18.25,18.16,19.78,20.91,21.34,22.66,25.66,27.81,28.0,27.16,26.81,25.88,23.38,20.28,18.69,18.75,17.84,16.53,16.94,18.78,19.94,19.91,20.0,21.31,21.62,19.66,17.09,16.06,15.56,14.66,13.94,15.56,18.56,20.97,21.81,23.62,26.12,27.31,27.12,27.16,28.97,30.62,30.62,29.91,29.69,29.03,26.75,23.78,22.12,21.62,20.62,18.69,17.5,18.09,18.88,18.03,17.94,19.38,20.97,20.94,20.78,21.56,23.19,23.59,23.34,24.66,27.12,28.56,28.25,27.91,28.66,28.66,29.44,29.22,28.59,28.28,27.69,27.72,28.0,27.81,28.16,28.47,28.06,27.12,25.53,24.53,23.47,23.12,23.97,25.91,27.75,29.59,30.81,31.44,31.59,31.44,31.06,31.38,32.56,33.66,34.94,35.81,36.38,36.06,34.91,33.75,32.84,31.91,30.97,30.69,30.81,31.66,32.69,33.84:positivity
1.53,3.84,8.44,12.12,14.88,18.5,22.53,24.03,22.34,19.91,19.75,19.62,17.5,15.53,15.88,17.12,15.56,13.5,12.72,13.66,12.81,11.12,11.03,12.84,14.12,13.47,13.38,15.84,18.69,19.0,18.94,20.31,21.59,19.56,15.91,13.5,12.81,11.62,9.38,8.88,11.0,13.38,13.22,13.72,16.41,19.41,20.12,19.62,20.88,22.56,21.31,18.12,15.69,15.06,13.34,10.41,8.72,9.88,11.25,11.25,11.75,15.41,19.88,22.53,24.09,26.56,30.5,32.31,32.44,33.0,35.41,35.59,32.19,28.34,26.25,24.41,20.31,17.03,16.56,17.66,17.16,16.12,16.69,18.88,20.06,19.44,19.88,22.53,24.62,24.47,24.28,25.88,26.62,24.34,20.22,16.81,14.41,10.62,6.38,4.22,4.81,5.28,4.31,4.0,6.03,7.31,6.44,4.84,5.91,7.38,6.56,4.5,4.16,5.12,4.47,2.72,2.62,4.91,7.12,7.25,7.91,10.84,13.25,12.06,10.38,10.41,11.12,8.94,6.19,4.97,5.19,4.06,1.62,0.38,1.09,1.38,0.09,-0.25,2.28,5.97,7.72,8.88,11.84,15.62,17.03,16.66,17.16,18.66,18.09,15.22,12.66,12.59,12.47,10.75,9.38,10.38,12.25,11.44,9.31,8.72,8.84,6.91,3.91,2.34,3.12,3.81,3.5,4.22,7.78,11.12,12.12,12.25,13.72,14.91,13.25,9.81,7.41,6.84,5.44,3.12,2.88,5.34,7.22,6.59,5.16,5.78,6.09,3.91,1.56,2.22,4.22,5.12,5.19,7.0,10.84,13.22,13.53,14.41,17.19,19.22,18.47,16.94,17.34,17.44,15.25,12.16,11.53,12.12,11.5,9.28,8.47,9.28,9.53,7.47,5.72,6.44,6.88,5.5,4.16,6.06,9.0,9.72,8.97,9.59,10.94,10.84,9.03,8.81,10.97,12.53,12.22,12.22,14.91,17.81,18.12,17.53,18.47,19.69,18.84,15.81,14.81,15.25,14.75,12.34,10.69,11.78,12.38,10.72,9.03,9.81,11.06,10.41,8.62,9.0,10.25,9.47,6.75,5.34,5.84,6.03,4.38,3.78,6.31,8.84,8.91,8.28,9.66,10.94,9.91,7.62,7.47,9.03,9.56,8.59,9.0,11.19,12.75,11.72,10.38,10.72,10.88,8.34,5.72,6.03,8.16,9.78,9.62,11.44,13.88,13.94,11.06,8.75,8.31,8.22,6.16,5.03,6.84,9.88,11.03,11.31,13.78,16.91,18.44,17.72,18.56,21.16,22.78,22.03,20.91,21.69,21.56,17.72,13.25,11.41,10.53,8.28,5.59,5.0,6.12,6.06,4.03,3.41,5.56,7.38,7.25,7.81,11.03,14.12,14.59,14.66,17.09,20.5,21.66,21.31,22.22,24.12,24.28,21.97,20.72,21.16,20.88,17.5,14.31,13.59,13.88,12.16,10.47,11.16,12.62,11.94,9.44,7.78,7.91,7.09,3.97,1.78,2.16,3.31,2.47,2.41,5.62,9.88,11.41,11.25,12.09,13.34,12.81,10.41,9.94,11.5,13.0,11.97,11.28,13.06,14.81,14.06,13.03,14.41,16.47,16.0,14.09,13.25,13.94,13.16,10.84,10.06,11.38,12.94,11.78,10.69,11.97,13.75,12.69,11.72,13.03,16.06,16.94,16.38,16.25,17.78,17.88,15.41,13.75,14.5,15.25,12.72,9.5,7.91,6.44,2.34,-2.97,-6.03,-7.34,-9.66,-12.56,-13.44,-11.12,-8.72,-7.97,-5.94,-1.53,3.38,5.41,6.56,9.81,13.81,15.75,16.31,18.41,21.62,22.5,20.97,19.78,20.53,21.03,18.56,16.31,16.56,17.06,14.66,11.66,10.66,10.78,8.81,5.84,4.88,6.47,7.66,7.09,7.0,8.91,9.47,6.62,2.91,1.34,0.84,-1.28,-2.81,-1.44,2.0,3.97,3.81,4.5,6.72,7.62,6.25,5.16,6.44,8.03,7.06,5.84,6.75,8.12,6.88,4.53,4.22,6.06,6.97,6.97,7.62,10.12,10.78,8.56,6.34,7.03,9.22,10.09,10.94,13.5,17.16,17.47,15.66,14.88,16.0,15.81,13.94,13.03,14.59,15.72,13.97,11.94,12.03,12.12,9.47,5.66,3.5,3.16,1.28,-1.31,-2.19,-0.16,1.16,0.59,1.06,4.41,8.03,9.38,10.28,13.28,16.59,17.25,16.69,18.03,20.75,21.66,20.44,19.44,20.38,19.62,16.62,14.12,14.03,14.53,12.06,8.5,6.06,3.75,-1.22,-7.62,-12.0,-14.0,-16.56,-20.22,-22.66,-21.56,-20.31,-20.44,-19.88,-16.44,-12.25,-10.19,-9.47,-7.44,-4.59,-4.22,-5.56,-5.72,-3.88,-2.94,-3.81,-4.53,-2.44,-0.84,-1.38,-2.59,-1.59,-0.31,-0.91,-2.56,-1.75,1.44,3.78,4.88,7.03,10.78,12.5,11.72,10.5,11.62,13.22,13.47,13.56,16.06,19.78,21.09,20.53,20.44,20.78,18.88,14.28,10.31,9.41,8.84,6.69,5.0,6.53,8.69,8.94,8.59,10.34,12.94,13.78,12.72,13.19,15.5,16.97,16.81,17.56,20.28,22.94,23.16,22.81,25.03,27.25,27.62,26.88,27.75,29.75,30.19,28.88,28.5,29.81,30.31,28.0,25.75,25.72,25.78,23.53,20.41,20.16,20.53,19.25,17.09,16.84,18.53,18.84,17.22,16.59,17.94,19.16,18.06,16.97,18.34,19.91,18.72,16.72,16.78,18.31,18.31,17.25,17.19,18.97,20.09,18.72,18.09,19.88,21.62,20.34,18.25,17.69,17.28,15.19,12.19,11.5,12.94,13.81,12.5,12.5,14.06,14.97,13.81,12.66,14.31,15.94,15.25,13.72,14.19,15.69,15.62,14.53,15.53,18.25,19.44,17.94,16.91,17.59,17.28,14.84,12.66,12.66,14.28,13.84,12.94,14.03,15.75,15.53,13.12,11.72,11.88,11.41,9.09,8.12,10.06,12.88,13.62,14.47,16.91,20.28,20.88,19.88,20.59,22.56,23.16,21.66,21.19,22.09,21.97,19.03,16.16,15.72,15.62,13.53,11.06,11.25,12.28,11.44,9.25,8.47,8.62,7.72,5.44,4.44,6.25,8.78,9.09,9.62,12.38,15.72,16.72,16.88,18.88,21.41,21.94,20.81,20.62,22.44,23.28,22.03,21.56,22.97,24.94,24.28,23.69,25.72,28.12,27.97,26.5,25.97,26.88,26.25,23.62,22.03,22.19,21.78,19.22,17.62,18.28,19.41,17.84,15.91,16.09,17.56,17.97,17.38,18.12,19.84,19.66,17.19,15.16,15.03,15.12,13.31,11.66,12.56,14.28,13.88,12.81,13.75,15.72,16.16,15.19,14.97,17.09,18.09,17.0,16.53,17.88,18.97,17.25,15.53,15.69,16.75,16.0,13.84,13.0,13.78,12.59,9.5,7.66,7.81,7.47,5.06,3.41,4.16,5.84,5.28,5.0,6.88,10.62,12.34,12.75,13.84,15.66,15.28,12.16,9.66,9.38,9.09,7.25,5.66,7.0,8.66,8.28,6.94,6.94,8.34,7.88,6.28,6.19,8.56,10.75,10.84,11.78,14.84,17.44,17.22,16.22,16.75,18.0,17.03,14.81,14.19,14.81,13.47,10.66,8.72,9.12,9.66,8.41,8.28,10.22,12.56,11.81,9.66,9.09,9.25,8.22,6.53,6.78,8.91,10.09,9.53,9.5,12.16,14.66,14.84,15.12,17.66,20.25,20.38,18.94,18.69,19.44,18.66,17.03,17.06,19.84,21.88,21.59,20.59,21.44,21.53,19.03,16.22,16.25,17.72,17.97,17.75,18.72,20.84,21.09,18.84,16.97,17.31,16.84,14.25,11.97,12.25,13.34,12.28,10.94,11.31,12.94,12.91,11.56,12.09,14.28,15.03,13.81,12.88,13.88,14.91,14.0,13.25,14.91,17.31,17.56,16.47,17.12,19.19,19.75,18.72,18.84,20.88,22.19,21.47,21.19,23.44,25.0,23.97,21.44,20.44,19.75,17.25,13.62,12.75,13.94,14.81,14.31,15.0,17.69,19.75,19.0,18.0,18.91,19.72,18.06,15.59,15.28,16.38,15.75,14.44,14.28,16.38,17.53,16.19,15.31,16.62,18.31,17.5,17.16,19.66,23.0,23.84,22.91,23.44,24.34,23.34,20.62,19.31,20.56,21.81,20.75,20.47,22.56,24.31,23.69,22.25,23.0,23.97,22.72,19.53,18.5,18.44,17.12,14.12,11.91,12.38,12.34,10.66,9.69,12.03,15.16,16.25,16.66,18.78,21.06,20.94,18.5,17.41,17.84,17.38,14.94,13.28,14.19,15.16,13.84,12.75,14.22,16.53,16.81,16.09,17.97,20.91,22.31,21.62,22.09,23.75,24.31,22.34,20.75,21.41,22.22,21.09,19.28,19.69,20.25,18.88,15.47,13.66,13.91,13.41,11.66,11.69,13.88,15.78,15.31,15.12,17.44,20.47,21.12,20.88,22.31,24.22,23.78,21.94,21.5,23.09,23.53,21.84,20.59,21.16,20.66,17.75,14.28,13.0,12.94,11.25,9.31,9.94,12.31,13.41,12.38,12.62,14.12,14.97,13.41,13.0,14.88,17.44,17.31,16.5,17.97,19.69,19.19,17.0,16.47,17.84,18.44,17.34,18.03,20.91,22.53,21.75,20.28,20.5,20.88,18.25,14.66,13.19,13.06,11.12,8.56,7.81,9.5,10.66,10.28,10.44,13.22,15.19,14.5,13.62,14.81,16.59,16.06,14.84,15.34,17.0,16.88,14.56,13.06,12.88,11.84,7.94,5.06,4.88,5.59,4.31,2.88,3.72,4.97,4.03,1.44,0.59,1.28,0.88,-1.22,-2.09,-0.72,0.78,0.09,0.0,3.09,6.94,8.53,9.97,13.41,17.88,20.12,20.22,20.88,22.91:24.03,22.34,19.91,19.75,19.62,17.5,15.53,15.88,17.12,15.56,13.5,12.72,13.66,12.81,11.12,11.03,12.84,14.12,13.47,13.38,15.84,18.69,19.0,18.94,20.31,21.59,19.56,15.91,13.5,12.81,11.62,9.38,8.88,11.0,13.38,13.22,13.72,16.41,19.41,20.12,19.62,20.88,22.56,21.31,18.12,15.69,15.06,13.34,10.41,8.72,9.88,11.25,11.25,11.75,15.41,19.88,22.53,24.09,26.56,30.5,32.31,32.44,33.0,35.41,35.59,32.19,28.34,26.25,24.41,20.31,17.03,16.56,17.66,17.16,16.12,16.69,18.88,20.06,19.44,19.88,22.53,24.62,24.47,24.28,25.88,26.62,24.34,20.22,16.81,14.41,10.62,6.38,4.22,4.81,5.28,4.31,4.0,6.03,7.31,6.44,4.84,5.91,7.38,6.56,4.5,4.16,5.12,4.47,2.72,2.62,4.91,7.12,7.25,7.91,10.84,13.25,12.06,10.38,10.41,11.12,8.94,6.19,4.97,5.19,4.06,1.62,0.38,1.09,1.38,0.09,-0.25,2.28,5.97,7.72,8.88,11.84,15.62,17.03,16.66,17.16,18.66,18.09,15.22,12.66,12.59,12.47,10.75,9.38,10.38,12.25,11.44,9.31,8.72,8.84,6.91,3.91,2.34,3.12,3.81,3.5,4.22,7.78,11.12,12.12,12.25,13.72,14.91,13.25,9.81,7.41,6.84,5.44,3.12,2.88,5.34,7.22,6.59,5.16,5.78,6.09,3.91,1.56,2.22,4.22,5.12,5.19,7.0,10.84,13.22,13.53,14.41,17.19,19.22,18.47,16.94,17.34,17.44,15.25,12.16,11.53,12.12,11.5,9.28,8.47,9.28,9.53,7.47,5.72,6.44,6.88,5.5,4.16,6.06,9.0,9.72,8.97,9.59,10.94,10.84,9.03,8.81,10.97,12.53,12.22,12.22,14.91,17.81,18.12,17.53,18.47,19.69,18.84,15.81,14.81,15.25,14.75,12.34,10.69,11.78,12.38,10.72,9.03,9.81,11.06,10.41,8.62,9.0,10.25,9.47,6.75,5.34,5.84,6.03,4.38,3.78,6.31,8.84,8.91,8.28,9.66,10.94,9.91,7.62,7.47,9.03,9.56,8.59,9.0,11.19,12.75,11.72,10.38,10.72,10.88,8.34,5.72,6.03,8.16,9.78,9.62,11.44,13.88,13.94,11.06,8.75,8.31,8.22,6.16,5.03,6.84,9.88,11.03,11.31,13.78,16.91,18.44,17.72,18.56,21.16,22.78,22.03,20.91,21.69,21.56,17.72,13.25,11.41,10.53,8.28,5.59,5.0,6.12,6.06,4.03,3.41,5.56,7.38,7.25,7.81,11.03,14.12,14.59,14.66,17.09,20.5,21.66,21.31,22.22,24.12,24.28,21.97,20.72,21.16,20.88,17.5,14.31,13.59,13.88,12.16,10.47,11.16,12.62,11.94,9.44,7.78,7.91,7.09,3.97,1.78,2.16,3.31,2.47,2.41,5.62,9.88,11.41,11.25,12.09,13.34,12.81,10.41,9.94,11.5,13.0,11.97,11.28,13.06,14.81,14.06,13.03,14.41,16.47,16.0,14.09,13.25,13.94,13.16,10.84,10.06,11.38,12.94,11.78,10.69,11.97,13.75,12.69,11.72,13.03,16.06,16.94,16.38,16.25,17.78,17.88,15.41,13.75,14.5,15.25,12.72,9.5,7.91,6.44,2.34,-2.97,-6.03,-7.34,-9.66,-12.56,-13.44,-11.12,-8.72,-7.97,-5.94,-1.53,3.38,5.41,6.56,9.81,13.81,15.75,16.31,18.41,21.62,22.5,20.97,19.78,20.53,21.03,18.56,16.31,16.56,17.06,14.66,11.66,10.66,10.78,8.81,5.84,4.88,6.47,7.66,7.09,7.0,8.91,9.47,6.62,2.91,1.34,0.84,-1.28,-2.81,-1.44,2.0,3.97,3.81,4.5,6.72,7.62,6.25,5.16,6.44,8.03,7.06,5.84,6.75,8.12,6.88,4.53,4.22,6.06,6.97,6.97,7.62,10.12,10.78,8.56,6.34,7.03,9.22,10.09,10.94,13.5,17.16,17.47,15.66,14.88,16.0,15.81,13.94,13.03,14.59,15.72,13.97,11.94,12.03,12.12,9.47,5.66,3.5,3.16,1.28,-1.31,-2.19,-0.16,1.16,0.59,1.06,4.41,8.03,9.38,10.28,13.28,16.59,17.25,16.69,18.03,20.75,21.66,20.44,19.44,20.38,19.62,16.62,14.12,14.03,14.53,12.06,8.5,6.06,3.75,-1.22,-7.62,-12.0,-14.0,-16.56,-20.22,-22.66,-21.56,-20.31,-20.44,-19.88,-16.44,-12.25,-10.19,-9.47,-7.44,-4.59,-4.22,-5.56,-5.72,-3.88,-2.94,-3.81,-4.53,-2.44,-0.84,-1.38,-2.59,-1.59,-0.31,-0.91,-2.56,-1.75,1.44,3.78,4.88,7.03,10.78,12.5,11.72,10.5,11.62,13.22,13.47,13.56,16.06,19.78,21.09,20.53,20.44,20.78,18.88,14.28,10.31,9.41,8.84,6.69,5.0,6.53,8.69,8.94,8.59,10.34,12.94,13.78,12.72,13.19,15.5,16.97,16.81,17.56,20.28,22.94,23.16,22.81,25.03,27.25,27.62,26.88,27.75,29.75,30.19,28.88,28.5,29.81,30.31,28.0,25.75,25.72,25.78,23.53,20.41,20.16,20.53,19.25,17.09,16.84,18.53,18.84,17.22,16.59,17.94,19.16,18.06,16.97,18.34,19.91,18.72,16.72,16.78,18.31,18.31,17.25,17.19,18.97,20.09,18.72,18.09,19.88,21.62,20.34,18.25,17.69,17.28,15.19,12.19,11.5,12.94,13.81,12.5,12.5,14.06,14.97,13.81,12.66,14.31,15.94,15.25,13.72,14.19,15.69,15.62,14.53,15.53,18.25,19.44,17.94,16.91,17.59,17.28,14.84,12.66,12.66,14.28,13.84,12.94,14.03,15.75,15.53,13.12,11.72,11.88,11.41,9.09,8.12,10.06,12.88,13.62,14.47,16.91,20.28,20.88,19.88,20.59,22.56,23.16,21.66,21.19,22.09,21.97,19.03,16.16,15.72,15.62,13.53,11.06,11.25,12.28,11.44,9.25,8.47,8.62,7.72,5.44,4.44,6.25,8.78,9.09,9.62,12.38,15.72,16.72,16.88,18.88,21.41,21.94,20.81,20.62,22.44,23.28,22.03,21.56,22.97,24.94,24.28,23.69,25.72,28.12,27.97,26.5,25.97,26.88,26.25,23.62,22.03,22.19,21.78,19.22,17.62,18.28,19.41,17.84,15.91,16.09,17.56,17.97,17.38,18.12,19.84,19.66,17.19,15.16,15.03,15.12,13.31,11.66,12.56,14.28,13.88,12.81,13.75,15.72,16.16,15.19,14.97,17.09,18.09,17.0,16.53,17.88,18.97,17.25,15.53,15.69,16.75,16.0,13.84,13.0,13.78,12.59,9.5,7.66,7.81,7.47,5.06,3.41,4.16,5.84,5.28,5.0,6.88,10.62,12.34,12.75,13.84,15.66,15.28,12.16,9.66,9.38,9.09,7.25,5.66,7.0,8.66,8.28,6.94,6.94,8.34,7.88,6.28,6.19,8.56,10.75,10.84,11.78,14.84,17.44,17.22,16.22,16.75,18.0,17.03,14.81,14.19,14.81,13.47,10.66,8.72,9.12,9.66,8.41,8.28,10.22,12.56,11.81,9.66,9.09,9.25,8.22,6.53,6.78,8.91,10.09,9.53,9.5,12.16,14.66,14.84,15.12,17.66,20.25,20.38,18.94,18.69,19.44,18.66,17.03,17.06,19.84,21.88,21.59,20.59,21.44,21.53,19.03,16.22,16.25,17.72,17.97,17.75,18.72,20.84,21.09,18.84,16.97,17.31,16.84,14.25,11.97,12.25,13.34,12.28,10.94,11.31,12.94,12.91,11.56,12.09,14.28,15.03,13.81,12.88,13.88,14.91,14.0,13.25,14.91,17.31,17.56,16.47,17.12,19.19,19.75,18.72,18.84,20.88,22.19,21.47,21.19,23.44,25.0,23.97,21.44,20.44,19.75,17.25,13.62,12.75,13.94,14.81,14.31,15.0,17.69,19.75,19.0,18.0,18.91,19.72,18.06,15.59,15.28,16.38,15.75,14.44,14.28,16.38,17.53,16.19,15.31,16.62,18.31,17.5,17.16,19.66,23.0,23.84,22.91,23.44,24.34,23.34,20.62,19.31,20.56,21.81,20.75,20.47,22.56,24.31,23.69,22.25,23.0,23.97,22.72,19.53,18.5,18.44,17.12,14.12,11.91,12.38,12.34,10.66,9.69,12.03,15.16,16.25,16.66,18.78,21.06,20.94,18.5,17.41,17.84,17.38,14.94,13.28,14.19,15.16,13.84,12.75,14.22,16.53,16.81,16.09,17.97,20.91,22.31,21.62,22.09,23.75,24.31,22.34,20.75,21.41,22.22,21.09,19.28,19.69,20.25,18.88,15.47,13.66,13.91,13.41,11.66,11.69,13.88,15.78,15.31,15.12,17.44,20.47,21.12,20.88,22.31,24.22,23.78,21.94,21.5,23.09,23.53,21.84,20.59,21.16,20.66,17.75,14.28,13.0,12.94,11.25,9.31,9.94,12.31,13.41,12.38,12.62,14.12,14.97,13.41,13.0,14.88,17.44,17.31,16.5,17.97,19.69,19.19,17.0,16.47,17.84,18.44,17.34,18.03,20.91,22.53,21.75,20.28,20.5,20.88,18.25,14.66,13.19,13.06,11.12,8.56,7.81,9.5,10.66,10.28,10.44,13.22,15.19,14.5,13.62,14.81,16.59,16.06,14.84,15.34,17.0,16.88,14.56,13.06,12.88,11.84,7.94,5.06,4.88,5.59,4.31,2.88,3.72,4.97,4.03,1.44,0.59,1.28,0.88,-1.22,-2.09,-0.72,0.78,0.09,0.0,3.09,6.94,8.53,9.97,13.41,17.88,20.12,20.22,20.88,22.91,11.31,12.19,14.88,17.59,19.94,22.88,25.97:15.88,17.12,15.56,13.5,12.72,13.66,12.81,11.12,11.03,12.84,14.12,13.47,13.38,15.84,18.69,19.0,18.94,20.31,21.59,19.56,15.91,13.5,12.81,11.62,9.38,8.88,11.0,13.38,13.22,13.72,16.41,19.41,20.12,19.62,20.88,22.56,21.31,18.12,15.69,15.06,13.34,10.41,8.72,9.88,11.25,11.25,11.75,15.41,19.88,22.53,24.09,26.56,30.5,32.31,32.44,33.0,35.41,35.59,32.19,28.34,26.25,24.41,20.31,17.03,16.56,17.66,17.16,16.12,16.69,18.88,20.06,19.44,19.88,22.53,24.62,24.47,24.28,25.88,26.62,24.34,20.22,16.81,14.41,10.62,6.38,4.22,4.81,5.28,4.31,4.0,6.03,7.31,6.44,4.84,5.91,7.38,6.56,4.5,4.16,5.12,4.47,2.72,2.62,4.91,7.12,7.25,7.91,10.84,13.25,12.06,10.38,10.41,11.12,8.94,6.19,4.97,5.19,4.06,1.62,0.38,1.09,1.38,0.09,-0.25,2.28,5.97,7.72,8.88,11.84,15.62,17.03,16.66,17.16,18.66,18.09,15.22,12.66,12.59,12.47,10.75,9.38,10.38,12.25,11.44,9.31,8.72,8.84,6.91,3.91,2.34,3.12,3.81,3.5,4.22,7.78,11.12,12.12,12.25,13.72,14.91,13.25,9.81,7.41,6.84,5.44,3.12,2.88,5.34,7.22,6.59,5.16,5.78,6.09,3.91,1.56,2.22,4.22,5.12,5.19,7.0,10.84,13.22,13.53,14.41,17.19,19.22,18.47,16.94,17.34,17.44,15.25,12.16,11.53,12.12,11.5,9.28,8.47,9.28,9.53,7.47,5.72,6.44,6.88,5.5,4.16,6.06,9.0,9.72,8.97,9.59,10.94,10.84,9.03,8.81,10.97,12.53,12.22,12.22,14.91,17.81,18.12,17.53,18.47,19.69,18.84,15.81,14.81,15.25,14.75,12.34,10.69,11.78,12.38,10.72,9.03,9.81,11.06,10.41,8.62,9.0,10.25,9.47,6.75,5.34,5.84,6.03,4.38,3.78,6.31,8.84,8.91,8.28,9.66,10.94,9.91,7.62,7.47,9.03,9.56,8.59,9.0,11.19,12.75,11.72,10.38,10.72,10.88,8.34,5.72,6.03,8.16,9.78,9.62,11.44,13.88,13.94,11.06,8.75,8.31,8.22,6.16,5.03,6.84,9.88,11.03,11.31,13.78,16.91,18.44,17.72,18.56,21.16,22.78,22.03,20.91,21.69,21.56,17.72,13.25,11.41,10.53,8.28,5.59,5.0,6.12,6.06,4.03,3.41,5.56,7.38,7.25,7.81,11.03,14.12,14.59,14.66,17.09,20.5,21.66,21.31,22.22,24.12,24.28,21.97,20.72,21.16,20.88,17.5,14.31,13.59,13.88,12.16,10.47,11.16,12.62,11.94,9.44,7.78,7.91,7.09,3.97,1.78,2.16,3.31,2.47,2.41,5.62,9.88,11.41,11.25,12.09,13.34,12.81,10.41,9.94,11.5,13.0,11.97,11.28,13.06,14.81,14.06,13.03,14.41,16.47,16.0,14.09,13.25,13.94,13.16,10.84,10.06,11.38,12.94,11.78,10.69,11.97,13.75,12.69,11.72,13.03,16.06,16.94,16.38,16.25,17.78,17.88,15.41,13.75,14.5,15.25,12.72,9.5,7.91,6.44,2.34,-2.97,-6.03,-7.34,-9.66,-12.56,-13.44,-11.12,-8.72,-7.97,-5.94,-1.53,3.38,5.41,6.56,9.81,13.81,15.75,16.31,18.41,21.62,22.5,20.97,19.78,20.53,21.03,18.56,16.31,16.56,17.06,14.66,11.66,10.66,10.78,8.81,5.84,4.88,6.47,7.66,7.09,7.0,8.91,9.47,6.62,2.91,1.34,0.84,-1.28,-2.81,-1.44,2.0,3.97,3.81,4.5,6.72,7.62,6.25,5.16,6.44,8.03,7.06,5.84,6.75,8.12,6.88,4.53,4.22,6.06,6.97,6.97,7.62,10.12,10.78,8.56,6.34,7.03,9.22,10.09,10.94,13.5,17.16,17.47,15.66,14.88,16.0,15.81,13.94,13.03,14.59,15.72,13.97,11.94,12.03,12.12,9.47,5.66,3.5,3.16,1.28,-1.31,-2.19,-0.16,1.16,0.59,1.06,4.41,8.03,9.38,10.28,13.28,16.59,17.25,16.69,18.03,20.75,21.66,20.44,19.44,20.38,19.62,16.62,14.12,14.03,14.53,12.06,8.5,6.06,3.75,-1.22,-7.62,-12.0,-14.0,-16.56,-20.22,-22.66,-21.56,-20.31,-20.44,-19.88,-16.44,-12.25,-10.19,-9.47,-7.44,-4.59,-4.22,-5.56,-5.72,-3.88,-2.94,-3.81,-4.53,-2.44,-0.84,-1.38,-2.59,-1.59,-0.31,-0.91,-2.56,-1.75,1.44,3.78,4.88,7.03,10.78,12.5,11.72,10.5,11.62,13.22,13.47,13.56,16.06,19.78,21.09,20.53,20.44,20.78,18.88,14.28,10.31,9.41,8.84,6.69,5.0,6.53,8.69,8.94,8.59,10.34,12.94,13.78,12.72,13.19,15.5,16.97,16.81,17.56,20.28,22.94,23.16,22.81,25.03,27.25,27.62,26.88,27.75,29.75,30.19,28.88,28.5,29.81,30.31,28.0,25.75,25.72,25.78,23.53,20.41,20.16,20.53,19.25,17.09,16.84,18.53,18.84,17.22,16.59,17.94,19.16,18.06,16.97,18.34,19.91,18.72,16.72,16.78,18.31,18.31,17.25,17.19,18.97,20.09,18.72,18.09,19.88,21.62,20.34,18.25,17.69,17.28,15.19,12.19,11.5,12.94,13.81,12.5,12.5,14.06,14.97,13.81,12.66,14.31,15.94,15.25,13.72,14.19,15.69,15.62,14.53,15.53,18.25,19.44,17.94,16.91,17.59,17.28,14.84,12.66,12.66,14.28,13.84,12.94,14.03,15.75,15.53,13.12,11.72,11.88,11.41,9.09,8.12,10.06,12.88,13.62,14.47,16.91,20.28,20.88,19.88,20.59,22.56,23.16,21.66,21.19,22.09,21.97,19.03,16.16,15.72,15.62,13.53,11.06,11.25,12.28,11.44,9.25,8.47,8.62,7.72,5.44,4.44,6.25,8.78,9.09,9.62,12.38,15.72,16.72,16.88,18.88,21.41,21.94,20.81,20.62,22.44,23.28,22.03,21.56,22.97,24.94,24.28,23.69,25.72,28.12,27.97,26.5,25.97,26.88,26.25,23.62,22.03,22.19,21.78,19.22,17.62,18.28,19.41,17.84,15.91,16.09,17.56,17.97,17.38,18.12,19.84,19.66,17.19,15.16,15.03,15.12,13.31,11.66,12.56,14.28,13.88,12.81,13.75,15.72,16.16,15.19,14.97,17.09,18.09,17.0,16.53,17.88,18.97,17.25,15.53,15.69,16.75,16.0,13.84,13.0,13.78,12.59,9.5,7.66,7.81,7.47,5.06,3.41,4.16,5.84,5.28,5.0,6.88,10.62,12.34,12.75,13.84,15.66,15.28,12.16,9.66,9.38,9.09,7.25,5.66,7.0,8.66,8.28,6.94,6.94,8.34,7.88,6.28,6.19,8.56,10.75,10.84,11.78,14.84,17.44,17.22,16.22,16.75,18.0,17.03,14.81,14.19,14.81,13.47,10.66,8.72,9.12,9.66,8.41,8.28,10.22,12.56,11.81,9.66,9.09,9.25,8.22,6.53,6.78,8.91,10.09,9.53,9.5,12.16,14.66,14.84,15.12,17.66,20.25,20.38,18.94,18.69,19.44,18.66,17.03,17.06,19.84,21.88,21.59,20.59,21.44,21.53,19.03,16.22,16.25,17.72,17.97,17.75,18.72,20.84,21.09,18.84,16.97,17.31,16.84,14.25,11.97,12.25,13.34,12.28,10.94,11.31,12.94,12.91,11.56,12.09,14.28,15.03,13.81,12.88,13.88,14.91,14.0,13.25,14.91,17.31,17.56,16.47,17.12,19.19,19.75,18.72,18.84,20.88,22.19,21.47,21.19,23.44,25.0,23.97,21.44,20.44,19.75,17.25,13.62,12.75,13.94,14.81,14.31,15.0,17.69,19.75,19.0,18.0,18.91,19.72,18.06,15.59,15.28,16.38,15.75,14.44,14.28,16.38,17.53,16.19,15.31,16.62,18.31,17.5,17.16,19.66,23.0,23.84,22.91,23.44,24.34,23.34,20.62,19.31,20.56,21.81,20.75,20.47,22.56,24.31,23.69,22.25,23.0,23.97,22.72,19.53,18.5,18.44,17.12,14.12,11.91,12.38,12.34,10.66,9.69,12.03,15.16,16.25,16.66,18.78,21.06,20.94,18.5,17.41,17.84,17.38,14.94,13.28,14.19,15.16,13.84,12.75,14.22,16.53,16.81,16.09,17.97,20.91,22.31,21.62,22.09,23.75,24.31,22.34,20.75,21.41,22.22,21.09,19.28,19.69,20.25,18.88,15.47,13.66,13.91,13.41,11.66,11.69,13.88,15.78,15.31,15.12,17.44,20.47,21.12,20.88,22.31,24.22,23.78,21.94,21.5,23.09,23.53,21.84,20.59,21.16,20.66,17.75,14.28,13.0,12.94,11.25,9.31,9.94,12.31,13.41,12.38,12.62,14.12,14.97,13.41,13.0,14.88,17.44,17.31,16.5,17.97,19.69,19.19,17.0,16.47,17.84,18.44,17.34,18.03,20.91,22.53,21.75,20.28,20.5,20.88,18.25,14.66,13.19,13.06,11.12,8.56,7.81,9.5,10.66,10.28,10.44,13.22,15.19,14.5,13.62,14.81,16.59,16.06,14.84,15.34,17.0,16.88,14.56,13.06,12.88,11.84,7.94,5.06,4.88,5.59,4.31,2.88,3.72,4.97,4.03,1.44,0.59,1.28,0.88,-1.22,-2.09,-0.72,0.78,0.09,0.0,3.09,6.94,8.53,9.97,13.41,17.88,20.12,20.22,20.88,22.91,11.31,12.19,14.88,17.59,19.94,22.88,25.97,27.03,25.5,23.44,22.78,22.31,20.78,19.88:11.12,11.03,12.84,14.12,13.47,13.38,15.84,18.69,19.0,18.94,20.31,21.59,19.56,15.91,13.5,12.81,11.62,9.38,8.88,11.0,13.38,13.22,13.72,16.41,19.41,20.12,19.62,20.88,22.56,21.31,18.12,15.69,15.06,13.34,10.41,8.72,9.88,11.25,11.25,11.75,15.41,19.88,22.53,24.09,26.56,30.5,32.31,32.44,33.0,35.41,35.59,32.19,28.34,26.25,24.41,20.31,17.03,16.56,17.66,17.16,16.12,16.69,18.88,20.06,19.44,19.88,22.53,24.62,24.47,24.28,25.88,26.62,24.34,20.22,16.81,14.41,10.62,6.38,4.22,4.81,5.28,4.31,4.0,6.03,7.31,6.44,4.84,5.91,7.38,6.56,4.5,4.16,5.12,4.47,2.72,2.62,4.91,7.12,7.25,7.91,10.84,13.25,12.06,10.38,10.41,11.12,8.94,6.19,4.97,5.19,4.06,1.62,0.38,1.09,1.38,0.09,-0.25,2.28,5.97,7.72,8.88,11.84,15.62,17.03,16.66,17.16,18.66,18.09,15.22,12.66,12.59,12.47,10.75,9.38,10.38,12.25,11.44,9.31,8.72,8.84,6.91,3.91,2.34,3.12,3.81,3.5,4.22,7.78,11.12,12.12,12.25,13.72,14.91,13.25,9.81,7.41,6.84,5.44,3.12,2.88,5.34,7.22,6.59,5.16,5.78,6.09,3.91,1.56,2.22,4.22,5.12,5.19,7.0,10.84,13.22,13.53,14.41,17.19,19.22,18.47,16.94,17.34,17.44,15.25,12.16,11.53,12.12,11.5,9.28,8.47,9.28,9.53,7.47,5.72,6.44,6.88,5.5,4.16,6.06,9.0,9.72,8.97,9.59,10.94,10.84,9.03,8.81,10.97,12.53,12.22,12.22,14.91,17.81,18.12,17.53,18.47,19.69,18.84,15.81,14.81,15.25,14.75,12.34,10.69,11.78,12.38,10.72,9.03,9.81,11.06,10.41,8.62,9.0,10.25,9.47,6.75,5.34,5.84,6.03,4.38,3.78,6.31,8.84,8.91,8.28,9.66,10.94,9.91,7.62,7.47,9.03,9.56,8.59,9.0,11.19,12.75,11.72,10.38,10.72,10.88,8.34,5.72,6.03,8.16,9.78,9.62,11.44,13.88,13.94,11.06,8.75,8.31,8.22,6.16,5.03,6.84,9.88,11.03,11.31,13.78,16.91,18.44,17.72,18.56,21.16,22.78,22.03,20.91,21.69,21.56,17.72,13.25,11.41,10.53,8.28,5.59,5.0,6.12,6.06,4.03,3.41,5.56,7.38,7.25,7.81,11.03,14.12,14.59,14.66,17.09,20.5,21.66,21.31,22.22,24.12,24.28,21.97,20.72,21.16,20.88,17.5,14.31,13.59,13.88,12.16,10.47,11.16,12.62,11.94,9.44,7.78,7.91,7.09,3.97,1.78,2.16,3.31,2.47,2.41,5.62,9.88,11.41,11.25,12.09,13.34,12.81,10.41,9.94,11.5,13.0,11.97,11.28,13.06,14.81,14.06,13.03,14.41,16.47,16.0,14.09,13.25,13.94,13.16,10.84,10.06,11.38,12.94,11.78,10.69,11.97,13.75,12.69,11.72,13.03,16.06,16.94,16.38,16.25,17.78,17.88,15.41,13.75,14.5,15.25,12.72,9.5,7.91,6.44,2.34,-2.97,-6.03,-7.34,-9.66,-12.56,-13.44,-11.12,-8.72,-7.97,-5.94,-1.53,3.38,5.41,6.56,9.81,13.81,15.75,16.31,18.41,21.62,22.5,20.97,19.78,20.53,21.03,18.56,16.31,16.56,17.06,14.66,11.66,10.66,10.78,8.81,5.84,4.88,6.47,7.66,7.09,7.0,8.91,9.47,6.62,2.91,1.34,0.84,-1.28,-2.81,-1.44,2.0,3.97,3.81,4.5,6.72,7.62,6.25,5.16,6.44,8.03,7.06,5.84,6.75,8.12,6.88,4.53,4.22,6.06,6.97,6.97,7.62,10.12,10.78,8.56,6.34,7.03,9.22,10.09,10.94,13.5,17.16,17.47,15.66,14.88,16.0,15.81,13.94,13.03,14.59,15.72,13.97,11.94,12.03,12.12,9.47,5.66,3.5,3.16,1.28,-1.31,-2.19,-0.16,1.16,0.59,1.06,4.41,8.03,9.38,10.28,13.28,16.59,17.25,16.69,18.03,20.75,21.66,20.44,19.44,20.38,19.62,16.62,14.12,14.03,14.53,12.06,8.5,6.06,3.75,-1.22,-7.62,-12.0,-14.0,-16.56,-20.22,-22.66,-21.56,-20.31,-20.44,-19.88,-16.44,-12.25,-10.19,-9.47,-7.44,-4.59,-4.22,-5.56,-5.72,-3.88,-2.94,-3.81,-4.53,-2.44,-0.84,-1.38,-2.59,-1.59,-0.31,-0.91,-2.56,-1.75,1.44,3.78,4.88,7.03,10.78,12.5,11.72,10.5,11.62,13.22,13.47,13.56,16.06,19.78,21.09,20.53,20.44,20.78,18.88,14.28,10.31,9.41,8.84,6.69,5.0,6.53,8.69,8.94,8.59,10.34,12.94,13.78,12.72,13.19,15.5,16.97,16.81,17.56,20.28,22.94,23.16,22.81,25.03,27.25,27.62,26.88,27.75,29.75,30.19,28.88,28.5,29.81,30.31,28.0,25.75,25.72,25.78,23.53,20.41,20.16,20.53,19.25,17.09,16.84,18.53,18.84,17.22,16.59,17.94,19.16,18.06,16.97,18.34,19.91,18.72,16.72,16.78,18.31,18.31,17.25,17.19,18.97,20.09,18.72,18.09,19.88,21.62,20.34,18.25,17.69,17.28,15.19,12.19,11.5,12.94,13.81,12.5,12.5,14.06,14.97,13.81,12.66,14.31,15.94,15.25,13.72,14.19,15.69,15.62,14.53,15.53,18.25,19.44,17.94,16.91,17.59,17.28,14.84,12.66,12.66,14.28,13.84,12.94,14.03,15.75,15.53,13.12,11.72,11.88,11.41,9.09,8.12,10.06,12.88,13.62,14.47,16.91,20.28,20.88,19.88,20.59,22.56,23.16,21.66,21.19,22.09,21.97,19.03,16.16,15.72,15.62,13.53,11.06,11.25,12.28,11.44,9.25,8.47,8.62,7.72,5.44,4.44,6.25,8.78,9.09,9.62,12.38,15.72,16.72,16.88,18.88,21.41,21.94,20.81,20.62,22.44,23.28,22.03,21.56,22.97,24.94,24.28,23.69,25.72,28.12,27.97,26.5,25.97,26.88,26.25,23.62,22.03,22.19,21.78,19.22,17.62,18.28,19.41,17.84,15.91,16.09,17.56,17.97,17.38,18.12,19.84,19.66,17.19,15.16,15.03,15.12,13.31,11.66,12.56,14.28,13.88,12.81,13.75,15.72,16.16,15.19,14.97,17.09,18.09,17.0,16.53,17.88,18.97,17.25,15.53,15.69,16.75,16.0,13.84,13.0,13.78,12.59,9.5,7.66,7.81,7.47,5.06,3.41,4.16,5.84,5.28,5.0,6.88,10.62,12.34,12.75,13.84,15.66,15.28,12.16,9.66,9.38,9.09,7.25,5.66,7.0,8.66,8.28,6.94,6.94,8.34,7.88,6.28,6.19,8.56,10.75,10.84,11.78,14.84,17.44,17.22,16.22,16.75,18.0,17.03,14.81,14.19,14.81,13.47,10.66,8.72,9.12,9.66,8.41,8.28,10.22,12.56,11.81,9.66,9.09,9.25,8.22,6.53,6.78,8.91,10.09,9.53,9.5,12.16,14.66,14.84,15.12,17.66,20.25,20.38,18.94,18.69,19.44,18.66,17.03,17.06,19.84,21.88,21.59,20.59,21.44,21.53,19.03,16.22,16.25,17.72,17.97,17.75,18.72,20.84,21.09,18.84,16.97,17.31,16.84,14.25,11.97,12.25,13.34,12.28,10.94,11.31,12.94,12.91,11.56,12.09,14.28,15.03,13.81,12.88,13.88,14.91,14.0,13.25,14.91,17.31,17.56,16.47,17.12,19.19,19.75,18.72,18.84,20.88,22.19,21.47,21.19,23.44,25.0,23.97,21.44,20.44,19.75,17.25,13.62,12.75,13.94,14.81,14.31,15.0,17.69,19.75,19.0,18.0,18.91,19.72,18.06,15.59,15.28,16.38,15.75,14.44,14.28,16.38,17.53,16.19,15.31,16.62,18.31,17.5,17.16,19.66,23.0,23.84,22.91,23.44,24.34,23.34,20.62,19.31,20.56,21.81,20.75,20.47,22.56,24.31,23.69,22.25,23.0,23.97,22.72,19.53,18.5,18.44,17.12,14.12,11.91,12.38,12.34,10.66,9.69,12.03,15.16,16.25,16.66,18.78,21.06,20.94,18.5,17.41,17.84,17.38,14.94,13.28,14.19,15.16,13.84,12.75,14.22,16.53,16.81,16.09,17.97,20.91,22.31,21.62,22.09,23.75,24.31,22.34,20.75,21.41,22.22,21.09,19.28,19.69,20.25,18.88,15.47,13.66,13.91,13.41,11.66,11.69,13.88,15.78,15.31,15.12,17.44,20.47,21.12,20.88,22.31,24.22,23.78,21.94,21.5,23.09,23.53,21.84,20.59,21.16,20.66,17.75,14.28,13.0,12.94,11.25,9.31,9.94,12.31,13.41,12.38,12.62,14.12,14.97,13.41,13.0,14.88,17.44,17.31,16.5,17.97,19.69,19.19,17.0,16.47,17.84,18.44,17.34,18.03,20.91,22.53,21.75,20.28,20.5,20.88,18.25,14.66,13.19,13.06,11.12,8.56,7.81,9.5,10.66,10.28,10.44,13.22,15.19,14.5,13.62,14.81,16.59,16.06,14.84,15.34,17.0,16.88,14.56,13.06,12.88,11.84,7.94,5.06,4.88,5.59,4.31,2.88,3.72,4.97,4.03,1.44,0.59,1.28,0.88,-1.22,-2.09,-0.72,0.78,0.09,0.0,3.09,6.94,8.53,9.97,13.41,17.88,20.12,20.22,20.88,22.91,11.31,12.19,14.88,17.59,19.94,22.88,25.97,27.03,25.5,23.44,22.78,22.31,20.78,19.88,20.38,21.66,21.16,20.09,20.22,21.28,21.19:18.69,19.0,18.94,20.31,21.59,19.56,15.91,13.5,12.81,11.62,9.38,8.88,11.0,13.38,13.22,13.72,16.41,19.41,20.12,19.62,20.88,22.56,21.31,18.12,15.69,15.06,13.34,10.41,8.72,9.88,11.25,11.25,11.75,15.41,19.88,22.53,24.09,26.56,30.5,32.31,32.44,33.0,35.41,35.59,32.19,28.34,26.25,24.41,20.31,17.03,16.56,17.66,17.16,16.12,16.69,18.88,20.06,19.44,19.88,22.53,24.62,24.47,24.28,25.88,26.62,24.34,20.22,16.81,14.41,10.62,6.38,4.22,4.81,5.28,4.31,4.0,6.03,7.31,6.44,4.84,5.91,7.38,6.56,4.5,4.16,5.12,4.47,2.72,2.62,4.91,7.12,7.25,7.91,10.84,13.25,12.06,10.38,10.41,11.12,8.94,6.19,4.97,5.19,4.06,1.62,0.38,1.09,1.38,0.09,-0.25,2.28,5.97,7.72,8.88,11.84,15.62,17.03,16.66,17.16,18.66,18.09,15.22,12.66,12.59,12.47,10.75,9.38,10.38,12.25,11.44,9.31,8.72,8.84,6.91,3.91,2.34,3.12,3.81,3.5,4.22,7.78,11.12,12.12,12.25,13.72,14.91,13.25,9.81,7.41,6.84,5.44,3.12,2.88,5.34,7.22,6.59,5.16,5.78,6.09,3.91,1.56,2.22,4.22,5.12,5.19,7.0,10.84,13.22,13.53,14.41,17.19,19.22,18.47,16.94,17.34,17.44,15.25,12.16,11.53,12.12,11.5,9.28,8.47,9.28,9.53,7.47,5.72,6.44,6.88,5.5,4.16,6.06,9.0,9.72,8.97,9.59,10.94,10.84,9.03,8.81,10.97,12.53,12.22,12.22,14.91,17.81,18.12,17.53,18.47,19.69,18.84,15.81,14.81,15.25,14.75,12.34,10.69,11.78,12.38,10.72,9.03,9.81,11.06,10.41,8.62,9.0,10.25,9.47,6.75,5.34,5.84,6.03,4.38,3.78,6.31,8.84,8.91,8.28,9.66,10.94,9.91,7.62,7.47,9.03,9.56,8.59,9.0,11.19,12.75,11.72,10.38,10.72,10.88,8.34,5.72,6.03,8.16,9.78,9.62,11.44,13.88,13.94,11.06,8.75,8.31,8.22,6.16,5.03,6.84,9.88,11.03,11.31,13.78,16.91,18.44,17.72,18.56,21.16,22.78,22.03,20.91,21.69,21.56,17.72,13.25,11.41,10.53,8.28,5.59,5.0,6.12,6.06,4.03,3.41,5.56,7.38,7.25,7.81,11.03,14.12,14.59,14.66,17.09,20.5,21.66,21.31,22.22,24.12,24.28,21.97,20.72,21.16,20.88,17.5,14.31,13.59,13.88,12.16,10.47,11.16,12.62,11.94,9.44,7.78,7.91,7.09,3.97,1.78,2.16,3.31,2.47,2.41,5.62,9.88,11.41,11.25,12.09,13.34,12.81,10.41,9.94,11.5,13.0,11.97,11.28,13.06,14.81,14.06,13.03,14.41,16.47,16.0,14.09,13.25,13.94,13.16,10.84,10.06,11.38,12.94,11.78,10.69,11.97,13.75,12.69,11.72,13.03,16.06,16.94,16.38,16.25,17.78,17.88,15.41,13.75,14.5,15.25,12.72,9.5,7.91,6.44,2.34,-2.97,-6.03,-7.34,-9.66,-12.56,-13.44,-11.12,-8.72,-7.97,-5.94,-1.53,3.38,5.41,6.56,9.81,13.81,15.75,16.31,18.41,21.62,22.5,20.97,19.78,20.53,21.03,18.56,16.31,16.56,17.06,14.66,11.66,10.66,10.78,8.81,5.84,4.88,6.47,7.66,7.09,7.0,8.91,9.47,6.62,2.91,1.34,0.84,-1.28,-2.81,-1.44,2.0,3.97,3.81,4.5,6.72,7.62,6.25,5.16,6.44,8.03,7.06,5.84,6.75,8.12,6.88,4.53,4.22,6.06,6.97,6.97,7.62,10.12,10.78,8.56,6.34,7.03,9.22,10.09,10.94,13.5,17.16,17.47,15.66,14.88,16.0,15.81,13.94,13.03,14.59,15.72,13.97,11.94,12.03,12.12,9.47,5.66,3.5,3.16,1.28,-1.31,-2.19,-0.16,1.16,0.59,1.06,4.41,8.03,9.38,10.28,13.28,16.59,17.25,16.69,18.03,20.75,21.66,20.44,19.44,20.38,19.62,16.62,14.12,14.03,14.53,12.06,8.5,6.06,3.75,-1.22,-7.62,-12.0,-14.0,-16.56,-20.22,-22.66,-21.56,-20.31,-20.44,-19.88,-16.44,-12.25,-10.19,-9.47,-7.44,-4.59,-4.22,-5.56,-5.72,-3.88,-2.94,-3.81,-4.53,-2.44,-0.84,-1.38,-2.59,-1.59,-0.31,-0.91,-2.56,-1.75,1.44,3.78,4.88,7.03,10.78,12.5,11.72,10.5,11.62,13.22,13.47,13.56,16.06,19.78,21.09,20.53,20.44,20.78,18.88,14.28,10.31,9.41,8.84,6.69,5.0,6.53,8.69,8.94,8.59,10.34,12.94,13.78,12.72,13.19,15.5,16.97,16.81,17.56,20.28,22.94,23.16,22.81,25.03,27.25,27.62,26.88,27.75,29.75,30.19,28.88,28.5,29.81,30.31,28.0,25.75,25.72,25.78,23.53,20.41,20.16,20.53,19.25,17.09,16.84,18.53,18.84,17.22,16.59,17.94,19.16,18.06,16.97,18.34,19.91,18.72,16.72,16.78,18.31,18.31,17.25,17.19,18.97,20.09,18.72,18.09,19.88,21.62,20.34,18.25,17.69,17.28,15.19,12.19,11.5,12.94,13.81,12.5,12.5,14.06,14.97,13.81,12.66,14.31,15.94,15.25,13.72,14.19,15.69,15.62,14.53,15.53,18.25,19.44,17.94,16.91,17.59,17.28,14.84,12.66,12.66,14.28,13.84,12.94,14.03,15.75,15.53,13.12,11.72,11.88,11.41,9.09,8.12,10.06,12.88,13.62,14.47,16.91,20.28,20.88,19.88,20.59,22.56,23.16,21.66,21.19,22.09,21.97,19.03,16.16,15.72,15.62,13.53,11.06,11.25,12.28,11.44,9.25,8.47,8.62,7.72,5.44,4.44,6.25,8.78,9.09,9.62,12.38,15.72,16.72,16.88,18.88,21.41,21.94,20.81,20.62,22.44,23.28,22.03,21.56,22.97,24.94,24.28,23.69,25.72,28.12,27.97,26.5,25.97,26.88,26.25,23.62,22.03,22.19,21.78,19.22,17.62,18.28,19.41,17.84,15.91,16.09,17.56,17.97,17.38,18.12,19.84,19.66,17.19,15.16,15.03,15.12,13.31,11.66,12.56,14.28,13.88,12.81,13.75,15.72,16.16,15.19,14.97,17.09,18.09,17.0,16.53,17.88,18.97,17.25,15.53,15.69,16.75,16.0,13.84,13.0,13.78,12.59,9.5,7.66,7.81,7.47,5.06,3.41,4.16,5.84,5.28,5.0,6.88,10.62,12.34,12.75,13.84,15.66,15.28,12.16,9.66,9.38,9.09,7.25,5.66,7.0,8.66,8.28,6.94,6.94,8.34,7.88,6.28,6.19,8.56,10.75,10.84,11.78,14.84,17.44,17.22,16.22,16.75,18.0,17.03,14.81,14.19,14.81,13.47,10.66,8.72,9.12,9.66,8.41,8.28,10.22,12.56,11.81,9.66,9.09,9.25,8.22,6.53,6.78,8.91,10.09,9.53,9.5,12.16,14.66,14.84,15.12,17.66,20.25,20.38,18.94,18.69,19.44,18.66,17.03,17.06,19.84,21.88,21.59,20.59,21.44,21.53,19.03,16.22,16.25,17.72,17.97,17.75,18.72,20.84,21.09,18.84,16.97,17.31,16.84,14.25,11.97,12.25,13.34,12.28,10.94,11.31,12.94,12.91,11.56,12.09,14.28,15.03,13.81,12.88,13.88,14.91,14.0,13.25,14.91,17.31,17.56,16.47,17.12,19.19,19.75,18.72,18.84,20.88,22.19,21.47,21.19,23.44,25.0,23.97,21.44,20.44,19.75,17.25,13.62,12.75,13.94,14.81,14.31,15.0,17.69,19.75,19.0,18.0,18.91,19.72,18.06,15.59,15.28,16.38,15.75,14.44,14.28,16.38,17.53,16.19,15.31,16.62,18.31,17.5,17.16,19.66,23.0,23.84,22.91,23.44,24.34,23.34,20.62,19.31,20.56,21.81,20.75,20.47,22.56,24.31,23.69,22.25,23.0,23.97,22.72,19.53,18.5,18.44,17.12,14.12,11.91,12.38,12.34,10.66,9.69,12.03,15.16,16.25,16.66,18.78,21.06,20.94,18.5,17.41,17.84,17.38,14.94,13.28,14.19,15.16,13.84,12.75,14.22,16.53,16.81,16.09,17.97,20.91,22.31,21.62,22.09,23.75,24.31,22.34,20.75,21.41,22.22,21.09,19.28,19.69,20.25,18.88,15.47,13.66,13.91,13.41,11.66,11.69,13.88,15.78,15.31,15.12,17.44,20.47,21.12,20.88,22.31,24.22,23.78,21.94,21.5,23.09,23.53,21.84,20.59,21.16,20.66,17.75,14.28,13.0,12.94,11.25,9.31,9.94,12.31,13.41,12.38,12.62,14.12,14.97,13.41,13.0,14.88,17.44,17.31,16.5,17.97,19.69,19.19,17.0,16.47,17.84,18.44,17.34,18.03,20.91,22.53,21.75,20.28,20.5,20.88,18.25,14.66,13.19,13.06,11.12,8.56,7.81,9.5,10.66,10.28,10.44,13.22,15.19,14.5,13.62,14.81,16.59,16.06,14.84,15.34,17.0,16.88,14.56,13.06,12.88,11.84,7.94,5.06,4.88,5.59,4.31,2.88,3.72,4.97,4.03,1.44,0.59,1.28,0.88,-1.22,-2.09,-0.72,0.78,0.09,0.0,3.09,6.94,8.53,9.97,13.41,17.88,20.12,20.22,20.88,22.91,11.31,12.19,14.88,17.59,19.94,22.88,25.97,27.03,25.5,23.44,22.78,22.31,20.78,19.88,20.38,21.66,21.16,20.09,20.22,21.28,21.19,20.69,21.31,23.03,24.34,24.16,24.06,25.25:13.5,12.81,11.62,9.38,8.88,11.0,13.38,13.22,13.72,16.41,19.41,20.12,19.62,20.88,22.56,21.31,18.12,15.69,15.06,13.34,10.41,8.72,9.88,11.25,11.25,11.75,15.41,19.88,22.53,24.09,26.56,30.5,32.31,32.44,33.0,35.41,35.59,32.19,28.34,26.25,24.41,20.31,17.03,16.56,17.66,17.16,16.12,16.69,18.88,20.06,19.44,19.88,22.53,24.62,24.47,24.28,25.88,26.62,24.34,20.22,16.81,14.41,10.62,6.38,4.22,4.81,5.28,4.31,4.0,6.03,7.31,6.44,4.84,5.91,7.38,6.56,4.5,4.16,5.12,4.47,2.72,2.62,4.91,7.12,7.25,7.91,10.84,13.25,12.06,10.38,10.41,11.12,8.94,6.19,4.97,5.19,4.06,1.62,0.38,1.09,1.38,0.09,-0.25,2.28,5.97,7.72,8.88,11.84,15.62,17.03,16.66,17.16,18.66,18.09,15.22,12.66,12.59,12.47,10.75,9.38,10.38,12.25,11.44,9.31,8.72,8.84,6.91,3.91,2.34,3.12,3.81,3.5,4.22,7.78,11.12,12.12,12.25,13.72,14.91,13.25,9.81,7.41,6.84,5.44,3.12,2.88,5.34,7.22,6.59,5.16,5.78,6.09,3.91,1.56,2.22,4.22,5.12,5.19,7.0,10.84,13.22,13.53,14.41,17.19,19.22,18.47,16.94,17.34,17.44,15.25,12.16,11.53,12.12,11.5,9.28,8.47,9.28,9.53,7.47,5.72,6.44,6.88,5.5,4.16,6.06,9.0,9.72,8.97,9.59,10.94,10.84,9.03,8.81,10.97,12.53,12.22,12.22,14.91,17.81,18.12,17.53,18.47,19.69,18.84,15.81,14.81,15.25,14.75,12.34,10.69,11.78,12.38,10.72,9.03,9.81,11.06,10.41,8.62,9.0,10.25,9.47,6.75,5.34,5.84,6.03,4.38,3.78,6.31,8.84,8.91,8.28,9.66,10.94,9.91,7.62,7.47,9.03,9.56,8.59,9.0,11.19,12.75,11.72,10.38,10.72,10.88,8.34,5.72,6.03,8.16,9.78,9.62,11.44,13.88,13.94,11.06,8.75,8.31,8.22,6.16,5.03,6.84,9.88,11.03,11.31,13.78,16.91,18.44,17.72,18.56,21.16,22.78,22.03,20.91,21.69,21.56,17.72,13.25,11.41,10.53,8.28,5.59,5.0,6.12,6.06,4.03,3.41,5.56,7.38,7.25,7.81,11.03,14.12,14.59,14.66,17.09,20.5,21.66,21.31,22.22,24.12,24.28,21.97,20.72,21.16,20.88,17.5,14.31,13.59,13.88,12.16,10.47,11.16,12.62,11.94,9.44,7.78,7.91,7.09,3.97,1.78,2.16,3.31,2.47,2.41,5.62,9.88,11.41,11.25,12.09,13.34,12.81,10.41,9.94,11.5,13.0,11.97,11.28,13.06,14.81,14.06,13.03,14.41,16.47,16.0,14.09,13.25,13.94,13.16,10.84,10.06,11.38,12.94,11.78,10.69,11.97,13.75,12.69,11.72,13.03,16.06,16.94,16.38,16.25,17.78,17.88,15.41,13.75,14.5,15.25,12.72,9.5,7.91,6.44,2.34,-2.97,-6.03,-7.34,-9.66,-12.56,-13.44,-11.12,-8.72,-7.97,-5.94,-1.53,3.38,5.41,6.56,9.81,13.81,15.75,16.31,18.41,21.62,22.5,20.97,19.78,20.53,21.03,18.56,16.31,16.56,17.06,14.66,11.66,10.66,10.78,8.81,5.84,4.88,6.47,7.66,7.09,7.0,8.91,9.47,6.62,2.91,1.34,0.84,-1.28,-2.81,-1.44,2.0,3.97,3.81,4.5,6.72,7.62,6.25,5.16,6.44,8.03,7.06,5.84,6.75,8.12,6.88,4.53,4.22,6.06,6.97,6.97,7.62,10.12,10.78,8.56,6.34,7.03,9.22,10.09,10.94,13.5,17.16,17.47,15.66,14.88,16.0,15.81,13.94,13.03,14.59,15.72,13.97,11.94,12.03,12.12,9.47,5.66,3.5,3.16,1.28,-1.31,-2.19,-0.16,1.16,0.59,1.06,4.41,8.03,9.38,10.28,13.28,16.59,17.25,16.69,18.03,20.75,21.66,20.44,19.44,20.38,19.62,16.62,14.12,14.03,14.53,12.06,8.5,6.06,3.75,-1.22,-7.62,-12.0,-14.0,-16.56,-20.22,-22.66,-21.56,-20.31,-20.44,-19.88,-16.44,-12.25,-10.19,-9.47,-7.44,-4.59,-4.22,-5.56,-5.72,-3.88,-2.94,-3.81,-4.53,-2.44,-0.84,-1.38,-2.59,-1.59,-0.31,-0.91,-2.56,-1.75,1.44,3.78,4.88,7.03,10.78,12.5,11.72,10.5,11.62,13.22,13.47,13.56,16.06,19.78,21.09,20.53,20.44,20.78,18.88,14.28,10.31,9.41,8.84,6.69,5.0,6.53,8.69,8.94,8.59,10.34,12.94,13.78,12.72,13.19,15.5,16.97,16.81,17.56,20.28,22.94,23.16,22.81,25.03,27.25,27.62,26.88,27.75,29.75,30.19,28.88,28.5,29.81,30.31,28.0,25.75,25.72,25.78,23.53,20.41,20.16,20.53,19.25,17.09,16.84,18.53,18.84,17.22,16.59,17.94,19.16,18.06,16.97,18.34,19.91,18.72,16.72,16.78,18.31,18.31,17.25,17.19,18.97,20.09,18.72,18.09,19.88,21.62,20.34,18.25,17.69,17.28,15.19,12.19,11.5,12.94,13.81,12.5,12.5,14.06,14.97,13.81,12.66,14.31,15.94,15.25,13.72,14.19,15.69,15.62,14.53,15.53,18.25,19.44,17.94,16.91,17.59,17.28,14.84,12.66,12.66,14.28,13.84,12.94,14.03,15.75,15.53,13.12,11.72,11.88,11.41,9.09,8.12,10.06,12.88,13.62,14.47,16.91,20.28,20.88,19.88,20.59,22.56,23.16,21.66,21.19,22.09,21.97,19.03,16.16,15.72,15.62,13.53,11.06,11.25,12.28,11.44,9.25,8.47,8.62,7.72,5.44,4.44,6.25,8.78,9.09,9.62,12.38,15.72,16.72,16.88,18.88,21.41,21.94,20.81,20.62,22.44,23.28,22.03,21.56,22.97,24.94,24.28,23.69,25.72,28.12,27.97,26.5,25.97,26.88,26.25,23.62,22.03,22.19,21.78,19.22,17.62,18.28,19.41,17.84,15.91,16.09,17.56,17.97,17.38,18.12,19.84,19.66,17.19,15.16,15.03,15.12,13.31,11.66,12.56,14.28,13.88,12.81,13.75,15.72,16.16,15.19,14.97,17.09,18.09,17.0,16.53,17.88,18.97,17.25,15.53,15.69,16.75,16.0,13.84,13.0,13.78,12.59,9.5,7.66,7.81,7.47,5.06,3.41,4.16,5.84,5.28,5.0,6.88,10.62,12.34,12.75,13.84,15.66,15.28,12.16,9.66,9.38,9.09,7.25,5.66,7.0,8.66,8.28,6.94,6.94,8.34,7.88,6.28,6.19,8.56,10.75,10.84,11.78,14.84,17.44,17.22,16.22,16.75,18.0,17.03,14.81,14.19,14.81,13.47,10.66,8.72,9.12,9.66,8.41,8.28,10.22,12.56,11.81,9.66,9.09,9.25,8.22,6.53,6.78,8.91,10.09,9.53,9.5,12.16,14.66,14.84,15.12,17.66,20.25,20.38,18.94,18.69,19.44,18.66,17.03,17.06,19.84,21.88,21.59,20.59,21.44,21.53,19.03,16.22,16.25,17.72,17.97,17.75,18.72,20.84,21.09,18.84,16.97,17.31,16.84,14.25,11.97,12.25,13.34,12.28,10.94,11.31,12.94,12.91,11.56,12.09,14.28,15.03,13.81,12.88,13.88,14.91,14.0,13.25,14.91,17.31,17.56,16.47,17.12,19.19,19.75,18.72,18.84,20.88,22.19,21.47,21.19,23.44,25.0,23.97,21.44,20.44,19.75,17.25,13.62,12.75,13.94,14.81,14.31,15.0,17.69,19.75,19.0,18.0,18.91,19.72,18.06,15.59,15.28,16.38,15.75,14.44,14.28,16.38,17.53,16.19,15.31,16.62,18.31,17.5,17.16,19.66,23.0,23.84,22.91,23.44,24.34,23.34,20.62,19.31,20.56,21.81,20.75,20.47,22.56,24.31,23.69,22.25,23.0,23.97,22.72,19.53,18.5,18.44,17.12,14.12,11.91,12.38,12.34,10.66,9.69,12.03,15.16,16.25,16.66,18.78,21.06,20.94,18.5,17.41,17.84,17.38,14.94,13.28,14.19,15.16,13.84,12.75,14.22,16.53,16.81,16.09,17.97,20.91,22.31,21.62,22.09,23.75,24.31,22.34,20.75,21.41,22.22,21.09,19.28,19.69,20.25,18.88,15.47,13.66,13.91,13.41,11.66,11.69,13.88,15.78,15.31,15.12,17.44,20.47,21.12,20.88,22.31,24.22,23.78,21.94,21.5,23.09,23.53,21.84,20.59,21.16,20.66,17.75,14.28,13.0,12.94,11.25,9.31,9.94,12.31,13.41,12.38,12.62,14.12,14.97,13.41,13.0,14.88,17.44,17.31,16.5,17.97,19.69,19.19,17.0,16.47,17.84,18.44,17.34,18.03,20.91,22.53,21.75,20.28,20.5,20.88,18.25,14.66,13.19,13.06,11.12,8.56,7.81,9.5,10.66,10.28,10.44,13.22,15.19,14.5,13.62,14.81,16.59,16.06,14.84,15.34,17.0,16.88,14.56,13.06,12.88,11.84,7.94,5.06,4.88,5.59,4.31,2.88,3.72,4.97,4.03,1.44,0.59,1.28,0.88,-1.22,-2.09,-0.72,0.78,0.09,0.0,3.09,6.94,8.53,9.97,13.41,17.88,20.12,20.22,20.88,22.91,11.31,12.19,14.88,17.59,19.94,22.88,25.97,27.03,25.5,23.44,22.78,22.31,20.78,19.88,20.38,21.66,21.16,20.09,20.22,21.28,21.19,20.69,21.31,23.03,24.34,24.16,24.06,25.25,26.44,25.72,25.16,25.25,25.62,23.94,21.06:13.22,13.72,16.41,19.41,20.12,19.62,20.88,22.56,21.31,18.12,15.69,15.06,13.34,10.41,8.72,9.88,11.25,11.25,11.75,15.41,19.88,22.53,24.09,26.56,30.5,32.31,32.44,33.0,35.41,35.59,32.19,28.34,26.25,24.41,20.31,17.03,16.56,17.66,17.16,16.12,16.69,18.88,20.06,19.44,19.88,22.53,24.62,24.47,24.28,25.88,26.62,24.34,20.22,16.81,14.41,10.62,6.38,4.22,4.81,5.28,4.31,4.0,6.03,7.31,6.44,4.84,5.91,7.38,6.56,4.5,4.16,5.12,4.47,2.72,2.62,4.91,7.12,7.25,7.91,10.84,13.25,12.06,10.38,10.41,11.12,8.94,6.19,4.97,5.19,4.06,1.62,0.38,1.09,1.38,0.09,-0.25,2.28,5.97,7.72,8.88,11.84,15.62,17.03,16.66,17.16,18.66,18.09,15.22,12.66,12.59,12.47,10.75,9.38,10.38,12.25,11.44,9.31,8.72,8.84,6.91,3.91,2.34,3.12,3.81,3.5,4.22,7.78,11.12,12.12,12.25,13.72,14.91,13.25,9.81,7.41,6.84,5.44,3.12,2.88,5.34,7.22,6.59,5.16,5.78,6.09,3.91,1.56,2.22,4.22,5.12,5.19,7.0,10.84,13.22,13.53,14.41,17.19,19.22,18.47,16.94,17.34,17.44,15.25,12.16,11.53,12.12,11.5,9.28,8.47,9.28,9.53,7.47,5.72,6.44,6.88,5.5,4.16,6.06,9.0,9.72,8.97,9.59,10.94,10.84,9.03,8.81,10.97,12.53,12.22,12.22,14.91,17.81,18.12,17.53,18.47,19.69,18.84,15.81,14.81,15.25,14.75,12.34,10.69,11.78,12.38,10.72,9.03,9.81,11.06,10.41,8.62,9.0,10.25,9.47,6.75,5.34,5.84,6.03,4.38,3.78,6.31,8.84,8.91,8.28,9.66,10.94,9.91,7.62,7.47,9.03,9.56,8.59,9.0,11.19,12.75,11.72,10.38,10.72,10.88,8.34,5.72,6.03,8.16,9.78,9.62,11.44,13.88,13.94,11.06,8.75,8.31,8.22,6.16,5.03,6.84,9.88,11.03,11.31,13.78,16.91,18.44,17.72,18.56,21.16,22.78,22.03,20.91,21.69,21.56,17.72,13.25,11.41,10.53,8.28,5.59,5.0,6.12,6.06,4.03,3.41,5.56,7.38,7.25,7.81,11.03,14.12,14.59,14.66,17.09,20.5,21.66,21.31,22.22,24.12,24.28,21.97,20.72,21.16,20.88,17.5,14.31,13.59,13.88,12.16,10.47,11.16,12.62,11.94,9.44,7.78,7.91,7.09,3.97,1.78,2.16,3.31,2.47,2.41,5.62,9.88,11.41,11.25,12.09,13.34,12.81,10.41,9.94,11.5,13.0,11.97,11.28,13.06,14.81,14.06,13.03,14.41,16.47,16.0,14.09,13.25,13.94,13.16,10.84,10.06,11.38,12.94,11.78,10.69,11.97,13.75,12.69,11.72,13.03,16.06,16.94,16.38,16.25,17.78,17.88,15.41,13.75,14.5,15.25,12.72,9.5,7.91,6.44,2.34,-2.97,-6.03,-7.34,-9.66,-12.56,-13.44,-11.12,-8.72,-7.97,-5.94,-1.53,3.38,5.41,6.56,9.81,13.81,15.75,16.31,18.41,21.62,22.5,20.97,19.78,20.53,21.03,18.56,16.31,16.56,17.06,14.66,11.66,10.66,10.78,8.81,5.84,4.88,6.47,7.66,7.09,7.0,8.91,9.47,6.62,2.91,1.34,0.84,-1.28,-2.81,-1.44,2.0,3.97,3.81,4.5,6.72,7.62,6.25,5.16,6.44,8.03,7.06,5.84,6.75,8.12,6.88,4.53,4.22,6.06,6.97,6.97,7.62,10.12,10.78,8.56,6.34,7.03,9.22,10.09,10.94,13.5,17.16,17.47,15.66,14.88,16.0,15.81,13.94,13.03,14.59,15.72,13.97,11.94,12.03,12.12,9.47,5.66,3.5,3.16,1.28,-1.31,-2.19,-0.16,1.16,0.59,1.06,4.41,8.03,9.38,10.28,13.28,16.59,17.25,16.69,18.03,20.75,21.66,20.44,19.44,20.38,19.62,16.62,14.12,14.03,14.53,12.06,8.5,6.06,3.75,-1.22,-7.62,-12.0,-14.0,-16.56,-20.22,-22.66,-21.56,-20.31,-20.44,-19.88,-16.44,-12.25,-10.19,-9.47,-7.44,-4.59,-4.22,-5.56,-5.72,-3.88,-2.94,-3.81,-4.53,-2.44,-0.84,-1.38,-2.59,-1.59,-0.31,-0.91,-2.56,-1.75,1.44,3.78,4.88,7.03,10.78,12.5,11.72,10.5,11.62,13.22,13.47,13.56,16.06,19.78,21.09,20.53,20.44,20.78,18.88,14.28,10.31,9.41,8.84,6.69,5.0,6.53,8.69,8.94,8.59,10.34,12.94,13.78,12.72,13.19,15.5,16.97,16.81,17.56,20.28,22.94,23.16,22.81,25.03,27.25,27.62,26.88,27.75,29.75,30.19,28.88,28.5,29.81,30.31,28.0,25.75,25.72,25.78,23.53,20.41,20.16,20.53,19.25,17.09,16.84,18.53,18.84,17.22,16.59,17.94,19.16,18.06,16.97,18.34,19.91,18.72,16.72,16.78,18.31,18.31,17.25,17.19,18.97,20.09,18.72,18.09,19.88,21.62,20.34,18.25,17.69,17.28,15.19,12.19,11.5,12.94,13.81,12.5,12.5,14.06,14.97,13.81,12.66,14.31,15.94,15.25,13.72,14.19,15.69,15.62,14.53,15.53,18.25,19.44,17.94,16.91,17.59,17.28,14.84,12.66,12.66,14.28,13.84,12.94,14.03,15.75,15.53,13.12,11.72,11.88,11.41,9.09,8.12,10.06,12.88,13.62,14.47,16.91,20.28,20.88,19.88,20.59,22.56,23.16,21.66,21.19,22.09,21.97,19.03,16.16,15.72,15.62,13.53,11.06,11.25,12.28,11.44,9.25,8.47,8.62,7.72,5.44,4.44,6.25,8.78,9.09,9.62,12.38,15.72,16.72,16.88,18.88,21.41,21.94,20.81,20.62,22.44,23.28,22.03,21.56,22.97,24.94,24.28,23.69,25.72,28.12,27.97,26.5,25.97,26.88,26.25,23.62,22.03,22.19,21.78,19.22,17.62,18.28,19.41,17.84,15.91,16.09,17.56,17.97,17.38,18.12,19.84,19.66,17.19,15.16,15.03,15.12,13.31,11.66,12.56,14.28,13.88,12.81,13.75,15.72,16.16,15.19,14.97,17.09,18.09,17.0,16.53,17.88,18.97,17.25,15.53,15.69,16.75,16.0,13.84,13.0,13.78,12.59,9.5,7.66,7.81,7.47,5.06,3.41,4.16,5.84,5.28,5.0,6.88,10.62,12.34,12.75,13.84,15.66,15.28,12.16,9.66,9.38,9.09,7.25,5.66,7.0,8.66,8.28,6.94,6.94,8.34,7.88,6.28,6.19,8.56,10.75,10.84,11.78,14.84,17.44,17.22,16.22,16.75,18.0,17.03,14.81,14.19,14.81,13.47,10.66,8.72,9.12,9.66,8.41,8.28,10.22,12.56,11.81,9.66,9.09,9.25,8.22,6.53,6.78,8.91,10.09,9.53,9.5,12.16,14.66,14.84,15.12,17.66,20.25,20.38,18.94,18.69,19.44,18.66,17.03,17.06,19.84,21.88,21.59,20.59,21.44,21.53,19.03,16.22,16.25,17.72,17.97,17.75,18.72,20.84,21.09,18.84,16.97,17.31,16.84,14.25,11.97,12.25,13.34,12.28,10.94,11.31,12.94,12.91,11.56,12.09,14.28,15.03,13.81,12.88,13.88,14.91,14.0,13.25,14.91,17.31,17.56,16.47,17.12,19.19,19.75,18.72,18.84,20.88,22.19,21.47,21.19,23.44,25.0,23.97,21.44,20.44,19.75,17.25,13.62,12.75,13.94,14.81,14.31,15.0,17.69,19.75,19.0,18.0,18.91,19.72,18.06,15.59,15.28,16.38,15.75,14.44,14.28,16.38,17.53,16.19,15.31,16.62,18.31,17.5,17.16,19.66,23.0,23.84,22.91,23.44,24.34,23.34,20.62,19.31,20.56,21.81,20.75,20.47,22.56,24.31,23.69,22.25,23.0,23.97,22.72,19.53,18.5,18.44,17.12,14.12,11.91,12.38,12.34,10.66,9.69,12.03,15.16,16.25,16.66,18.78,21.06,20.94,18.5,17.41,17.84,17.38,14.94,13.28,14.19,15.16,13.84,12.75,14.22,16.53,16.81,16.09,17.97,20.91,22.31,21.62,22.09,23.75,24.31,22.34,20.75,21.41,22.22,21.09,19.28,19.69,20.25,18.88,15.47,13.66,13.91,13.41,11.66,11.69,13.88,15.78,15.31,15.12,17.44,20.47,21.12,20.88,22.31,24.22,23.78,21.94,21.5,23.09,23.53,21.84,20.59,21.16,20.66,17.75,14.28,13.0,12.94,11.25,9.31,9.94,12.31,13.41,12.38,12.62,14.12,14.97,13.41,13.0,14.88,17.44,17.31,16.5,17.97,19.69,19.19,17.0,16.47,17.84,18.44,17.34,18.03,20.91,22.53,21.75,20.28,20.5,20.88,18.25,14.66,13.19,13.06,11.12,8.56,7.81,9.5,10.66,10.28,10.44,13.22,15.19,14.5,13.62,14.81,16.59,16.06,14.84,15.34,17.0,16.88,14.56,13.06,12.88,11.84,7.94,5.06,4.88,5.59,4.31,2.88,3.72,4.97,4.03,1.44,0.59,1.28,0.88,-1.22,-2.09,-0.72,0.78,0.09,0.0,3.09,6.94,8.53,9.97,13.41,17.88,20.12,20.22,20.88,22.91,11.31,12.19,14.88,17.59,19.94,22.88,25.97,27.03,25.5,23.44,22.78,22.31,20.78,19.88,20.38,21.66,21.16,20.09,20.22,21.28,21.19,20.69,21.31,23.03,24.34,24.16,24.06,25.25,26.44,25.72,25.16,25.25,25.62,23.94,21.06,19.19,18.31,17.22,15.88,15.41,17.06,18.94:positivity
21.69,21.94,23.81,24.38,25.09,27.66,31.66,33.78,34.38,36.41,39.91,42.12,41.5,40.47,40.84,40.59,37.31,34.22,33.81,34.62,33.56,32.75,34.22,37.25,38.75,38.41,38.47,39.72,39.34,36.31,33.38,33.22,33.59,32.19,31.12,32.69,35.38,35.91,35.06,35.75,37.56,38.09,36.84,36.56,38.84,40.47,39.38,38.25,39.25,40.41,38.59,36.88,37.09,38.59,38.25,36.62,36.88,39.09,40.38,39.59,39.66,41.78,43.0,40.88,38.38,37.88,37.44,34.12,30.72,29.56,29.75,28.56,26.81,26.75,29.22,30.78,30.69,30.94,33.38,35.25,34.53,33.72,35.5,37.78,37.91,36.81,36.94,38.41,37.78,35.97,35.41,37.22,38.16,36.66,35.28,35.94,36.25,33.81,31.16,30.72,31.62,30.66,28.84,28.44,29.69,29.78,28.09,27.97,30.56,32.56,32.47,32.41,34.06,35.72,35.03,33.41,33.81,35.75,35.69,34.81,34.41,35.44,34.69,31.69,29.34,29.88,30.59,29.59,29.12,31.28,34.22,34.44,33.47,34.38,36.34,36.41,34.72,34.5,36.38,36.44,34.56,33.03,33.97,34.66,33.0,30.72,30.5,30.84,28.94,26.94,26.91,28.66,28.81,27.34,26.12,27.03,27.34,26.28,26.12,28.84,32.19,32.38,31.84,33.09,34.34,33.59,31.5,31.38,33.0,33.22,32.5,32.94,35.94,37.84,36.88,35.44,35.97,35.75,33.25,30.25,29.31,29.75,28.56,26.5,26.22,27.75,28.31,26.44,25.41,26.66,27.22,26.03,25.12,26.84,29.19,29.47,28.72,29.72,31.53,30.75,28.62,28.28,30.22,31.56,31.38,32.19,34.94,36.41,35.0,33.03,32.81,33.41,32.78,31.34,32.19,34.44,34.81,33.09,31.94,32.41,31.66,29.28,27.5,29.44,31.62,32.16,31.75,33.0,34.16,32.88,30.03,28.88,30.03,29.81,28.62,28.22,30.31,31.62,30.44,29.5,30.91,32.66,32.44,31.78,33.38,35.81,36.25,34.94,34.72,35.91,35.78,34.03,33.41,35.03,36.19,35.16,33.31,33.5,33.91,32.09,30.28,31.22,34.0,36.03,36.59,37.91,40.16,41.03,39.03,37.59,38.34,39.0,37.38,34.91,34.22,33.66,31.28,27.38,25.81,26.31,25.53,24.12,23.91,26.19,27.94,27.56,27.5,29.78,31.88,31.25,30.19,31.34,33.03,32.97,31.5,31.78,33.06,33.31,31.78,30.97,32.81,34.16,33.19,32.38,34.03,35.84,35.34,33.75,33.78,34.47,33.53,31.19,30.84,32.16,32.72,31.16,30.56,32.25,33.5,32.78,31.69,32.41,32.47,29.53,25.25,22.28,20.38,18.19,15.16,14.72,17.44,20.25,21.09,22.69,26.09,28.62,28.38,27.03,27.88,28.66,27.56,25.47,24.94,26.28,26.81,25.72,26.34,29.44,31.91,31.94,32.0,33.97,35.62,35.16,34.12,35.41,37.66,38.25,36.75,36.19,36.12,34.56,31.06,28.38,28.66,29.97,29.88,30.75,34.19,37.56,38.44,37.62,38.22,39.47,38.72,36.56,36.03,37.38,37.91,36.53,35.25,35.53,35.69,32.59,29.09,27.94,26.91,24.12,20.75,19.56,19.78,19.34,17.75,17.81,19.78,21.44,21.16,21.09,23.53,26.44,27.25,27.81,31.0,34.91,36.75,36.88,38.25,40.06,40.41,38.47,37.22,37.62,37.28,34.16,31.38,30.94,31.72,30.94,30.47,32.84,36.69,39.12,39.97,42.03,44.91,46.19,44.91,44.16,45.38,45.72,43.72,41.22,40.38,39.97,37.41,34.5,33.47,34.53,34.91,34.03,34.66,37.06,38.38,37.38,36.41,37.09,37.12,34.81,32.16,31.06,31.22,29.62,27.0,25.97,26.72,26.66,25.06,25.06,27.0,28.72,28.84,29.06,31.62,34.5,35.06,34.53,35.16,36.78,36.25,34.22,34.06,35.47,35.75,34.06,33.09,33.78,34.25,32.84,31.69,32.88,34.97,35.22,34.78,35.69,37.38,36.5,33.47,31.03,30.28,28.75,25.81,23.91,24.59,25.75,24.91,24.16,25.28,26.97,26.25,24.5,23.44,23.84,22.53,20.0,18.88,19.81,20.94,19.75,19.09,20.34,22.22,21.66,20.91,22.38,25.22,26.62,27.06,29.06,32.31,34.03,33.78,34.38,36.84,39.19,38.81,38.22,39.53,40.75,39.59,38.16,38.12,39.78,39.81,38.72,38.22,39.47,39.03,36.5,34.28,34.09,33.97,31.66,29.22,28.59,29.19,27.41,25.31,25.41,27.31,28.53,28.12,28.53,30.56,31.41,29.25,27.62,28.22,29.12,28.03,27.06,28.16,30.06,30.38,29.34,29.94,32.53,34.16,34.03,34.91,37.31,38.72,37.47,36.06,36.5,36.75,34.84,32.19,31.69,32.66,32.41,31.12,31.22,32.44,32.28,30.19,28.19,29.16,30.0,28.81,27.91,29.38,31.53,31.31,30.09,30.16,31.31,30.19,27.69,26.88,27.75,28.19,26.88,25.84,26.84,27.91,26.25,24.69,25.81,28.25,29.12,29.03,30.5,32.94,33.38,32.59,31.78,33.25,34.12,33.03,32.09,33.59,34.75,33.53,31.34,31.06,31.5,30.25,28.28,27.5,28.25,27.94,25.59,24.28,25.47,26.88,27.03,27.69,31.25,35.06,36.25,35.81,35.84,36.72,35.5,33.09,32.28,34.22,35.66,35.81,36.31,39.0,40.47,38.88,36.47,35.91,36.09,35.09,33.38,34.0,35.78,36.53,36.16,37.12,40.28,42.47,42.16,41.12,41.38,41.19,38.34,34.56,33.41,33.47,32.75,31.38,32.44,35.41,36.91,36.59,37.09,39.72,40.88,39.34,36.66,35.28,34.16,31.34,28.97,30.22,33.53,35.84,36.66,38.44,40.88,41.84,40.03,38.25,38.66,38.62,36.5,34.34,34.88,36.22,35.66,34.03,34.41,35.84,36.0,34.84,35.31,37.84,39.84,39.72,39.97,42.41,44.56,44.0,41.81,41.38,40.88,38.44,35.25,33.97,34.72,34.25,32.09,30.97,32.47,34.19,34.12,34.16,36.78,39.06,39.25,38.59,39.91,41.94,42.03,40.66,40.59,42.16,42.28,40.06,37.78,36.84,35.03,30.72,26.34,25.44,26.16,25.44,24.47,25.97,28.38,29.06,28.12,28.56,30.88,32.69,32.62,33.53,36.47,39.59,40.69,41.12,43.06,44.66,43.78,40.38,38.44,38.06,36.5,33.88,32.44,33.28,33.34,30.34,27.53,26.69,26.28,24.19,21.78,22.59,25.06,26.19,26.34,28.38,31.88,33.97,34.31,35.19,38.53,41.25,41.47,40.97,42.03,43.03,41.31,37.81,36.06,35.41,33.22,29.66,28.19,28.62,28.75,26.91,26.31,28.06,29.94,29.0,27.53,28.97,30.34,29.62,28.0,28.12,29.34,30.0,29.31,30.22,33.53,36.34,36.66,36.69,39.12,41.59,41.47,40.81,42.03,44.0,43.75,42.5,43.09,45.44,46.34,44.91,43.94,44.56,44.53,42.22,39.78,39.53,39.72,37.84,35.47,35.38,36.62,35.78,33.12,32.16,32.81,32.44,29.72,27.88,27.88,27.44,24.25,21.5,21.16,21.94,21.94,21.28,22.66,25.69,26.88,26.19,26.97,29.62,31.38,30.41,29.19,30.12,31.16,29.59,27.81,29.41,31.78,32.19,31.91,33.12,36.34,37.94,37.69,38.56,41.25,43.16,42.06,40.56,40.59,40.41,37.06,33.0,31.66,31.91,30.59,28.41,27.84,29.19,29.12,27.25,26.78,29.0,31.44,31.31,31.47,33.56,35.75,35.62,34.72,35.94,38.75,40.16,40.09,41.38,44.06,45.38,43.66,41.56,41.44,40.81,37.72,35.31,35.56,37.12,36.41,34.56,34.0,34.56,32.75,30.22,28.38,29.28,29.62,28.12,27.44,29.75,31.97,31.56,30.66,31.53,33.5,33.53,32.34,33.16,35.62,36.34,34.94,34.69,36.31,37.38,36.25,35.62,37.25,39.16,38.12,36.12,35.62,36.41,35.72,33.78,34.44,36.94,38.28,36.78,35.5,35.84,35.09,32.09,29.56,29.88,31.56,30.91,29.62,29.78,31.06,30.44,28.5,27.66,28.72,28.88,26.78,25.06,25.94,27.12,26.41,25.72,27.59,30.59,31.38,31.03,32.25,34.97,36.0,35.34,35.75,38.53,40.66,40.41,40.12,41.97,42.81,41.0,37.66,36.16,35.5,33.16,29.53,27.31,27.0,25.97,23.22,22.06,24.0,25.69,24.81,23.81,24.75,25.66,24.66,22.94,23.62,25.53,25.81,24.31,24.22,25.94,26.12,24.41,23.0,23.75,24.16,22.28,20.28,20.94,22.5,22.12,20.78,21.0,22.28,21.84,19.75,19.19,20.97,22.03,21.0,20.03,21.66,23.38,23.0,22.22,23.56,25.12,23.97,21.5,20.69,21.25,21.75,21.06,21.56,24.97,27.69,27.5,26.69,27.53,27.94,25.38,22.22,21.59,22.62,22.72,22.41,23.47,26.59,28.03,26.69,25.34,26.0,26.69,25.28,24.56,26.75,29.75,30.59,30.12,30.94,32.56,32.28,30.31,29.91,32.06,33.38,32.78,32.25,33.78,34.25,32.06,29.0,27.94,27.16,24.78,21.38,20.34,21.34,21.88,21.12,21.88,24.88,26.94,26.78,26.44,28.34,30.09,30.03,28.78,29.84,31.03,30.38,28.16,27.47,28.66,29.12,28.31,29.06,32.84,36.25,37.59,38.16,40.5,42.28,41.28,38.66,37.62,37.25,34.56,30.66,28.19,27.09,25.44,21.88,18.78,18.5,18.91,18.03,17.69,20.53,24.19,25.38,25.5,27.03,29.28,30.25:33.78,34.38,36.41,39.91,42.12,41.5,40.47,40.84,40.59,37.31,34.22,33.81,34.62,33.56,32.75,34.22,37.25,38.75,38.41,38.47,39.72,39.34,36.31,33.38,33.22,33.59,32.19,31.12,32.69,35.38,35.91,35.06,35.75,37.56,38.09,36.84,36.56,38.84,40.47,39.38,38.25,39.25,40.41,38.59,36.88,37.09,38.59,38.25,36.62,36.88,39.09,40.38,39.59,39.66,41.78,43.0,40.88,38.38,37.88,37.44,34.12,30.72,29.56,29.75,28.56,26.81,26.75,29.22,30.78,30.69,30.94,33.38,35.25,34.53,33.72,35.5,37.78,37.91,36.81,36.94,38.41,37.78,35.97,35.41,37.22,38.16,36.66,35.28,35.94,36.25,33.81,31.16,30.72,31.62,30.66,28.84,28.44,29.69,29.78,28.09,27.97,30.56,32.56,32.47,32.41,34.06,35.72,35.03,33.41,33.81,35.75,35.69,34.81,34.41,35.44,34.69,31.69,29.34,29.88,30.59,29.59,29.12,31.28,34.22,34.44,33.47,34.38,36.34,36.41,34.72,34.5,36.38,36.44,34.56,33.03,33.97,34.66,33.0,30.72,30.5,30.84,28.94,26.94,26.91,28.66,28.81,27.34,26.12,27.03,27.34,26.28,26.12,28.84,32.19,32.38,31.84,33.09,34.34,33.59,31.5,31.38,33.0,33.22,32.5,32.94,35.94,37.84,36.88,35.44,35.97,35.75,33.25,30.25,29.31,29.75,28.56,26.5,26.22,27.75,28.31,26.44,25.41,26.66,27.22,26.03,25.12,26.84,29.19,29.47,28.72,29.72,31.53,30.75,28.62,28.28,30.22,31.56,31.38,32.19,34.94,36.41,35.0,33.03,32.81,33.41,32.78,31.34,32.19,34.44,34.81,33.09,31.94,32.41,31.66,29.28,27.5,29.44,31.62,32.16,31.75,33.0,34.16,32.88,30.03,28.88,30.03,29.81,28.62,28.22,30.31,31.62,30.44,29.5,30.91,32.66,32.44,31.78,33.38,35.81,36.25,34.94,34.72,35.91,35.78,34.03,33.41,35.03,36.19,35.16,33.31,33.5,33.91,32.09,30.28,31.22,34.0,36.03,36.59,37.91,40.16,41.03,39.03,37.59,38.34,39.0,37.38,34.91,34.22,33.66,31.28,27.38,25.81,26.31,25.53,24.12,23.91,26.19,27.94,27.56,27.5,29.78,31.88,31.25,30.19,31.34,33.03,32.97,31.5,31.78,33.06,33.31,31.78,30.97,32.81,34.16,33.19,32.38,34.03,35.84,35.34,33.75,33.78,34.47,33.53,31.19,30.84,32.16,32.72,31.16,30.56,32.25,33.5,32.78,31.69,32.41,32.47,29.53,25.25,22.28,20.38,18.19,15.16,14.72,17.44,20.25,21.09,22.69,26.09,28.62,28.38,27.03,27.88,28.66,27.56,25.47,24.94,26.28,26.81,25.72,26.34,29.44,31.91,31.94,32.0,33.97,35.62,35.16,34.12,35.41,37.66,38.25,36.75,36.19,36.12,34.56,31.06,28.38,28.66,29.97,29.88,30.75,34.19,37.56,38.44,37.62,38.22,39.47,38.72,36.56,36.03,37.38,37.91,36.53,35.25,35.53,35.69,32.59,29.09,27.94,26.91,24.12,20.75,19.56,19.78,19.34,17.75,17.81,19.78,21.44,21.16,21.09,23.53,26.44,27.25,27.81,31.0,34.91,36.75,36.88,38.25,40.06,40.41,38.47,37.22,37.62,37.28,34.16,31.38,30.94,31.72,30.94,30.47,32.84,36.69,39.12,39.97,42.03,44.91,46.19,44.91,44.16,45.38,45.72,43.72,41.22,40.38,39.97,37.41,34.5,33.47,34.53,34.91,34.03,34.66,37.06,38.38,37.38,36.41,37.09,37.12,34.81,32.16,31.06,31.22,29.62,27.0,25.97,26.72,26.66,25.06,25.06,27.0,28.72,28.84,29.06,31.62,34.5,35.06,34.53,35.16,36.78,36.25,34.22,34.06,35.47,35.75,34.06,33.09,33.78,34.25,32.84,31.69,32.88,34.97,35.22,34.78,35.69,37.38,36.5,33.47,31.03,30.28,28.75,25.81,23.91,24.59,25.75,24.91,24.16,25.28,26.97,26.25,24.5,23.44,23.84,22.53,20.0,18.88,19.81,20.94,19.75,19.09,20.34,22.22,21.66,20.91,22.38,25.22,26.62,27.06,29.06,32.31,34.03,33.78,34.38,36.84,39.19,38.81,38.22,39.53,40.75,39.59,38.16,38.12,39.78,39.81,38.72,38.22,39.47,39.03,36.5,34.28,34.09,33.97,31.66,29.22,28.59,29.19,27.41,25.31,25.41,27.31,28.53,28.12,28.53,30.56,31.41,29.25,27.62,28.22,29.12,28.03,27.06,28.16,30.06,30.38,29.34,29.94,32.53,34.16,34.03,34.91,37.31,38.72,37.47,36.06,36.5,36.75,34.84,32.19,31.69,32.66,32.41,31.12,31.22,32.44,32.28,30.19,28.19,29.16,30.0,28.81,27.91,29.38,31.53,31.31,30.09,30.16,31.31,30.19,27.69,26.88,27.75,28.19,26.88,25.84,26.84,27.91,26.25,24.69,25.81,28.25,29.12,29.03,30.5,32.94,33.38,32.59,31.78,33.25,34.12,33.03,32.09,33.59,34.75,33.53,31.34,31.06,31.5,30.25,28.28,27.5,28.25,27.94,25.59,24.28,25.47,26.88,27.03,27.69,31.25,35.06,36.25,35.81,35.84,36.72,35.5,33.09,32.28,34.22,35.66,35.81,36.31,39.0,40.47,38.88,36.47,35.91,36.09,35.09,33.38,34.0,35.78,36.53,36.16,37.12,40.28,42.47,42.16,41.12,41.38,41.19,38.34,34.56,33.41,33.47,32.75,31.38,32.44,35.41,36.91,36.59,37.09,39.72,40.88,39.34,36.66,35.28,34.16,31.34,28.97,30.22,33.53,35.84,36.66,38.44,40.88,41.84,40.03,38.25,38.66,38.62,36.5,34.34,34.88,36.22,35.66,34.03,34.41,35.84,36.0,34.84,35.31,37.84,39.84,39.72,39.97,42.41,44.56,44.0,41.81,41.38,40.88,38.44,35.25,33.97,34.72,34.25,32.09,30.97,32.47,34.19,34.12,34.16,36.78,39.06,39.25,38.59,39.91,41.94,42.03,40.66,40.59,42.16,42.28,40.06,37.78,36.84,35.03,30.72,26.34,25.44,26.16,25.44,24.47,25.97,28.38,29.06,28.12,28.56,30.88,32.69,32.62,33.53,36.47,39.59,40.69,41.12,43.06,44.66,43.78,40.38,38.44,38.06,36.5,33.88,32.44,33.28,33.34,30.34,27.53,26.69,26.28,24.19,21.78,22.59,25.06,26.19,26.34,28.38,31.88,33.97,34.31,35.19,38.53,41.25,41.47,40.97,42.03,43.03,41.31,37.81,36.06,35.41,33.22,29.66,28.19,28.62,28.75,26.91,26.31,28.06,29.94,29.0,27.53,28.97,30.34,29.62,28.0,28.12,29.34,30.0,29.31,30.22,33.53,36.34,36.66,36.69,39.12,41.59,41.47,40.81,42.03,44.0,43.75,42.5,43.09,45.44,46.34,44.91,43.94,44.56,44.53,42.22,39.78,39.53,39.72,37.84,35.47,35.38,36.62,35.78,33.12,32.16,32.81,32.44,29.72,27.88,27.88,27.44,24.25,21.5,21.16,21.94,21.94,21.28,22.66,25.69,26.88,26.19,26.97,29.62,31.38,30.41,29.19,30.12,31.16,29.59,27.81,29.41,31.78,32.19,31.91,33.12,36.34,37.94,37.69,38.56,41.25,43.16,42.06,40.56,40.59,40.41,37.06,33.0,31.66,31.91,30.59,28.41,27.84,29.19,29.12,27.25,26.78,29.0,31.44,31.31,31.47,33.56,35.75,35.62,34.72,35.94,38.75,40.16,40.09,41.38,44.06,45.38,43.66,41.56,41.44,40.81,37.72,35.31,35.56,37.12,36.41,34.56,34.0,34.56,32.75,30.22,28.38,29.28,29.62,28.12,27.44,29.75,31.97,31.56,30.66,31.53,33.5,33.53,32.34,33.16,35.62,36.34,34.94,34.69,36.31,37.38,36.25,35.62,37.25,39.16,38.12,36.12,35.62,36.41,35.72,33.78,34.44,36.94,38.28,36.78,35.5,35.84,35.09,32.09,29.56,29.88,31.56,30.91,29.62,29.78,31.06,30.44,28.5,27.66,28.72,28.88,26.78,25.06,25.94,27.12,26.41,25.72,27.59,30.59,31.38,31.03,32.25,34.97,36.0,35.34,35.75,38.53,40.66,40.41,40.12,41.97,42.81,41.0,37.66,36.16,35.5,33.16,29.53,27.31,27.0,25.97,23.22,22.06,24.0,25.69,24.81,23.81,24.75,25.66,24.66,22.94,23.62,25.53,25.81,24.31,24.22,25.94,26.12,24.41,23.0,23.75,24.16,22.28,20.28,20.94,22.5,22.12,20.78,21.0,22.28,21.84,19.75,19.19,20.97,22.03,21.0,20.03,21.66,23.38,23.0,22.22,23.56,25.12,23.97,21.5,20.69,21.25,21.75,21.06,21.56,24.97,27.69,27.5,26.69,27.53,27.94,25.38,22.22,21.59,22.62,22.72,22.41,23.47,26.59,28.03,26.69,25.34,26.0,26.69,25.28,24.56,26.75,29.75,30.59,30.12,30.94,32.56,32.28,30.31,29.91,32.06,33.38,32.78,32.25,33.78,34.25,32.06,29.0,27.94,27.16,24.78,21.38,20.34,21.34,21.88,21.12,21.88,24.88,26.94,26.78,26.44,28.34,30.09,30.03,28.78,29.84,31.03,30.38,28.16,27.47,28.66,29.12,28.31,29.06,32.84,36.25,37.59,38.16,40.5,42.28,41.28,38.66,37.62,37.25,34.56,30.66,28.19,27.09,25.44,21.88,18.78,18.5,18.91,18.03,17.69,20.53,24.19,25.38,25.5,27.03,29.28,30.25,26.66,27.56,29.53,31.25,33.38,36.78,41.03:40.84,40.59,37.31,34.22,33.81,34.62,33.56,32.75,34.22,37.25,38.75,38.41,38.47,39.72,39.34,36.31,33.38,33.22,33.59,32.19,31.12,32.69,35.38,35.91,35.06,35.75,37.56,38.09,36.84,36.56,38.84,40.47,39.38,38.25,39.25,40.41,38.59,36.88,37.09,38.59,38.25,36.62,36.88,39.09,40.38,39.59,39.66,41.78,43.0,40.88,38.38,37.88,37.44,34.12,30.72,29.56,29.75,28.56,26.81,26.75,29.22,30.78,30.69,30.94,33.38,35.25,34.53,33.72,35.5,37.78,37.91,36.81,36.94,38.41,37.78,35.97,35.41,37.22,38.16,36.66,35.28,35.94,36.25,33.81,31.16,30.72,31.62,30.66,28.84,28.44,29.69,29.78,28.09,27.97,30.56,32.56,32.47,32.41,34.06,35.72,35.03,33.41,33.81,35.75,35.69,34.81,34.41,35.44,34.69,31.69,29.34,29.88,30.59,29.59,29.12,31.28,34.22,34.44,33.47,34.38,36.34,36.41,34.72,34.5,36.38,36.44,34.56,33.03,33.97,34.66,33.0,30.72,30.5,30.84,28.94,26.94,26.91,28.66,28.81,27.34,26.12,27.03,27.34,26.28,26.12,28.84,32.19,32.38,31.84,33.09,34.34,33.59,31.5,31.38,33.0,33.22,32.5,32.94,35.94,37.84,36.88,35.44,35.97,35.75,33.25,30.25,29.31,29.75,28.56,26.5,26.22,27.75,28.31,26.44,25.41,26.66,27.22,26.03,25.12,26.84,29.19,29.47,28.72,29.72,31.53,30.75,28.62,28.28,30.22,31.56,31.38,32.19,34.94,36.41,35.0,33.03,32.81,33.41,32.78,31.34,32.19,34.44,34.81,33.09,31.94,32.41,31.66,29.28,27.5,29.44,31.62,32.16,31.75,33.0,34.16,32.88,30.03,28.88,30.03,29.81,28.62,28.22,30.31,31.62,30.44,29.5,30.91,32.66,32.44,31.78,33.38,35.81,36.25,34.94,34.72,35.91,35.78,34.03,33.41,35.03,36.19,35.16,33.31,33.5,33.91,32.09,30.28,31.22,34.0,36.03,36.59,37.91,40.16,41.03,39.03,37.59,38.34,39.0,37.38,34.91,34.22,33.66,31.28,27.38,25.81,26.31,25.53,24.12,23.91,26.19,27.94,27.56,27.5,29.78,31.88,31.25,30.19,31.34,33.03,32.97,31.5,31.78,33.06,33.31,31.78,30.97,32.81,34.16,33.19,32.38,34.03,35.84,35.34,33.75,33.78,34.47,33.53,31.19,30.84,32.16,32.72,31.16,30.56,32.25,33.5,32.78,31.69,32.41,32.47,29.53,25.25,22.28,20.38,18.19,15.16,14.72,17.44,20.25,21.09,22.69,26.09,28.62,28.38,27.03,27.88,28.66,27.56,25.47,24.94,26.28,26.81,25.72,26.34,29.44,31.91,31.94,32.0,33.97,35.62,35.16,34.12,35.41,37.66,38.25,36.75,36.19,36.12,34.56,31.06,28.38,28.66,29.97,29.88,30.75,34.19,37.56,38.44,37.62,38.22,39.47,38.72,36.56,36.03,37.38,37.91,36.53,35.25,35.53,35.69,32.59,29.09,27.94,26.91,24.12,20.75,19.56,19.78,19.34,17.75,17.81,19.78,21.44,21.16,21.09,23.53,26.44,27.25,27.81,31.0,34.91,36.75,36.88,38.25,40.06,40.41,38.47,37.22,37.62,37.28,34.16,31.38,30.94,31.72,30.94,30.47,32.84,36.69,39.12,39.97,42.03,44.91,46.19,44.91,44.16,45.38,45.72,43.72,41.22,40.38,39.97,37.41,34.5,33.47,34.53,34.91,34.03,34.66,37.06,38.38,37.38,36.41,37.09,37.12,34.81,32.16,31.06,31.22,29.62,27.0,25.97,26.72,26.66,25.06,25.06,27.0,28.72,28.84,29.06,31.62,34.5,35.06,34.53,35.16,36.78,36.25,34.22,34.06,35.47,35.75,34.06,33.09,33.78,34.25,32.84,31.69,32.88,34.97,35.22,34.78,35.69,37.38,36.5,33.47,31.03,30.28,28.75,25.81,23.91,24.59,25.75,24.91,24.16,25.28,26.97,26.25,24.5,23.44,23.84,22.53,20.0,18.88,19.81,20.94,19.75,19.09,20.34,22.22,21.66,20.91,22.38,25.22,26.62,27.06,29.06,32.31,34.03,33.78,34.38,36.84,39.19,38.81,38.22,39.53,40.75,39.59,38.16,38.12,39.78,39.81,38.72,38.22,39.47,39.03,36.5,34.28,34.09,33.97,31.66,29.22,28.59,29.19,27.41,25.31,25.41,27.31,28.53,28.12,28.53,30.56,31.41,29.25,27.62,28.22,29.12,28.03,27.06,28.16,30.06,30.38,29.34,29.94,32.53,34.16,34.03,34.91,37.31,38.72,37.47,36.06,36.5,36.75,34.84,32.19,31.69,32.66,32.41,31.12,31.22,32.44,32.28,30.19,28.19,29.16,30.0,28.81,27.91,29.38,31.53,31.31,30.09,30.16,31.31,30.19,27.69,26.88,27.75,28.19,26.88,25.84,26.84,27.91,26.25,24.69,25.81,28.25,29.12,29.03,30.5,32.94,33.38,32.59,31.78,33.25,34.12,33.03,32.09,33.59,34.75,33.53,31.34,31.06,31.5,30.25,28.28,27.5,28.25,27.94,25.59,24.28,25.47,26.88,27.03,27.69,31.25,35.06,36.25,35.81,35.84,36.72,35.5,33.09,32.28,34.22,35.66,35.81,36.31,39.0,40.47,38.88,36.47,35.91,36.09,35.09,33.38,34.0,35.78,36.53,36.16,37.12,40.28,42.47,42.16,41.12,41.38,41.19,38.34,34.56,33.41,33.47,32.75,31.38,32.44,35.41,36.91,36.59,37.09,39.72,40.88,39.34,36.66,35.28,34.16,31.34,28.97,30.22,33.53,35.84,36.66,38.44,40.88,41.84,40.03,38.25,38.66,38.62,36.5,34.34,34.88,36.22,35.66,34.03,34.41,35.84,36.0,34.84,35.31,37.84,39.84,39.72,39.97,42.41,44.56,44.0,41.81,41.38,40.88,38.44,35.25,33.97,34.72,34.25,32.09,30.97,32.47,34.19,34.12,34.16,36.78,39.06,39.25,38.59,39.91,41.94,42.03,40.66,40.59,42.16,42.28,40.06,37.78,36.84,35.03,30.72,26.34,25.44,26.16,25.44,24.47,25.97,28.38,29.06,28.12,28.56,30.88,32.69,32.62,33.53,36.47,39.59,40.69,41.12,43.06,44.66,43.78,40.38,38.44,38.06,36.5,33.88,32.44,33.28,33.34,30.34,27.53,26.69,26.28,24.19,21.78,22.59,25.06,26.19,26.34,28.38,31.88,33.97,34.31,35.19,38.53,41.25,41.47,40.97,42.03,43.03,41.31,37.81,36.06,35.41,33.22,29.66,28.19,28.62,28.75,26.91,26.31,28.06,29.94,29.0,27.53,28.97,30.34,29.62,28.0,28.12,29.34,30.0,29.31,30.22,33.53,36.34,36.66,36.69,39.12,41.59,41.47,40.81,42.03,44.0,43.75,42.5,43.09,45.44,46.34,44.91,43.94,44.56,44.53,42.22,39.78,39.53,39.72,37.84,35.47,35.38,36.62,35.78,33.12,32.16,32.81,32.44,29.72,27.88,27.88,27.44,24.25,21.5,21.16,21.94,21.94,21.28,22.66,25.69,26.88,26.19,26.97,29.62,31.38,30.41,29.19,30.12,31.16,29.59,27.81,29.41,31.78,32.19,31.91,33.12,36.34,37.94,37.69,38.56,41.25,43.16,42.06,40.56,40.59,40.41,37.06,33.0,31.66,31.91,30.59,28.41,27.84,29.19,29.12,27.25,26.78,29.0,31.44,31.31,31.47,33.56,35.75,35.62,34.72,35.94,38.75,40.16,40.09,41.38,44.06,45.38,43.66,41.56,41.44,40.81,37.72,35.31,35.56,37.12,36.41,34.56,34.0,34.56,32.75,30.22,28.38,29.28,29.62,28.12,27.44,29.75,31.97,31.56,30.66,31.53,33.5,33.53,32.34,33.16,35.62,36.34,34.94,34.69,36.31,37.38,36.25,35.62,37.25,39.16,38.12,36.12,35.62,36.41,35.72,33.78,34.44,36.94,38.28,36.78,35.5,35.84,35.09,32.09,29.56,29.88,31.56,30.91,29.62,29.78,31.06,30.44,28.5,27.66,28.72,28.88,26.78,25.06,25.94,27.12,26.41,25.72,27.59,30.59,31.38,31.03,32.25,34.97,36.0,35.34,35.75,38.53,40.66,40.41,40.12,41.97,42.81,41.0,37.66,36.16,35.5,33.16,29.53,27.31,27.0,25.97,23.22,22.06,24.0,25.69,24.81,23.81,24.75,25.66,24.66,22.94,23.62,25.53,25.81,24.31,24.22,25.94,26.12,24.41,23.0,23.75,24.16,22.28,20.28,20.94,22.5,22.12,20.78,21.0,22.28,21.84,19.75,19.19,20.97,22.03,21.0,20.03,21.66,23.38,23.0,22.22,23.56,25.12,23.97,21.5,20.69,21.25,21.75,21.06,21.56,24.97,27.69,27.5,26.69,27.53,27.94,25.38,22.22,21.59,22.62,22.72,22.41,23.47,26.59,28.03,26.69,25.34,26.0,26.69,25.28,24.56,26.75,29.75,30.59,30.12,30.94,32.56,32.28,30.31,29.91,32.06,33.38,32.78,32.25,33.78,34.25,32.06,29.0,27.94,27.16,24.78,21.38,20.34,21.34,21.88,21.12,21.88,24.88,26.94,26.78,26.44,28.34,30.09,30.03,28.78,29.84,31.03,30.38,28.16,27.47,28.66,29.12,28.31,29.06,32.84,36.25,37.59,38.16,40.5,42.28,41.28,38.66,37.62,37.25,34.56,30.66,28.19,27.09,25.44,21.88,18.78,18.5,18.91,18.03,17.69,20.53,24.19,25.38,25.5,27.03,29.28,30.25,26.66,27.56,29.53,31.25,33.38,36.78,41.03,44.22,46.28,48.75,51.75,53.41,52.44,50.75:32.75,34.22,37.25,38.75,38.41,38.47,39.72,39.34,36.31,33.38,33.22,33.59,32.19,31.12,32.69,35.38,35.91,35.06,35.75,37.56,38.09,36.84,36.56,38.84,40.47,39.38,38.25,39.25,40.41,38.59,36.88,37.09,38.59,38.25,36.62,36.88,39.09,40.38,39.59,39.66,41.78,43.0,40.88,38.38,37.88,37.44,34.12,30.72,29.56,29.75,28.56,26.81,26.75,29.22,30.78,30.69,30.94,33.38,35.25,34.53,33.72,35.5,37.78,37.91,36.81,36.94,38.41,37.78,35.97,35.41,37.22,38.16,36.66,35.28,35.94,36.25,33.81,31.16,30.72,31.62,30.66,28.84,28.44,29.69,29.78,28.09,27.97,30.56,32.56,32.47,32.41,34.06,35.72,35.03,33.41,33.81,35.75,35.69,34.81,34.41,35.44,34.69,31.69,29.34,29.88,30.59,29.59,29.12,31.28,34.22,34.44,33.47,34.38,36.34,36.41,34.72,34.5,36.38,36.44,34.56,33.03,33.97,34.66,33.0,30.72,30.5,30.84,28.94,26.94,26.91,28.66,28.81,27.34,26.12,27.03,27.34,26.28,26.12,28.84,32.19,32.38,31.84,33.09,34.34,33.59,31.5,31.38,33.0,33.22,32.5,32.94,35.94,37.84,36.88,35.44,35.97,35.75,33.25,30.25,29.31,29.75,28.56,26.5,26.22,27.75,28.31,26.44,25.41,26.66,27.22,26.03,25.12,26.84,29.19,29.47,28.72,29.72,31.53,30.75,28.62,28.28,30.22,31.56,31.38,32.19,34.94,36.41,35.0,33.03,32.81,33.41,32.78,31.34,32.19,34.44,34.81,33.09,31.94,32.41,31.66,29.28,27.5,29.44,31.62,32.16,31.75,33.0,34.16,32.88,30.03,28.88,30.03,29.81,28.62,28.22,30.31,31.62,30.44,29.5,30.91,32.66,32.44,31.78,33.38,35.81,36.25,34.94,34.72,35.91,35.78,34.03,33.41,35.03,36.19,35.16,33.31,33.5,33.91,32.09,30.28,31.22,34.0,36.03,36.59,37.91,40.16,41.03,39.03,37.59,38.34,39.0,37.38,34.91,34.22,33.66,31.28,27.38,25.81,26.31,25.53,24.12,23.91,26.19,27.94,27.56,27.5,29.78,31.88,31.25,30.19,31.34,33.03,32.97,31.5,31.78,33.06,33.31,31.78,30.97,32.81,34.16,33.19,32.38,34.03,35.84,35.34,33.75,33.78,34.47,33.53,31.19,30.84,32.16,32.72,31.16,30.56,32.25,33.5,32.78,31.69,32.41,32.47,29.53,25.25,22.28,20.38,18.19,15.16,14.72,17.44,20.25,21.09,22.69,26.09,28.62,28.38,27.03,27.88,28.66,27.56,25.47,24.94,26.28,26.81,25.72,26.34,29.44,31.91,31.94,32.0,33.97,35.62,35.16,34.12,35.41,37.66,38.25,36.75,36.19,36.12,34.56,31.06,28.38,28.66,29.97,29.88,30.75,34.19,37.56,38.44,37.62,38.22,39.47,38.72,36.56,36.03,37.38,37.91,36.53,35.25,35.53,35.69,32.59,29.09,27.94,26.91,24.12,20.75,19.56,19.78,19.34,17.75,17.81,19.78,21.44,21.16,21.09,23.53,26.44,27.25,27.81,31.0,34.91,36.75,36.88,38.25,40.06,40.41,38.47,37.22,37.62,37.28,34.16,31.38,30.94,31.72,30.94,30.47,32.84,36.69,39.12,39.97,42.03,44.91,46.19,44.91,44.16,45.38,45.72,43.72,41.22,40.38,39.97,37.41,34.5,33.47,34.53,34.91,34.03,34.66,37.06,38.38,37.38,36.41,37.09,37.12,34.81,32.16,31.06,31.22,29.62,27.0,25.97,26.72,26.66,25.06,25.06,27.0,28.72,28.84,29.06,31.62,34.5,35.06,34.53,35.16,36.78,36.25,34.22,34.06,35.47,35.75,34.06,33.09,33.78,34.25,32.84,31.69,32.88,34.97,35.22,34.78,35.69,37.38,36.5,33.47,31.03,30.28,28.75,25.81,23.91,24.59,25.75,24.91,24.16,25.28,26.97,26.25,24.5,23.44,23.84,22.53,20.0,18.88,19.81,20.94,19.75,19.09,20.34,22.22,21.66,20.91,22.38,25.22,26.62,27.06,29.06,32.31,34.03,33.78,34.38,36.84,39.19,38.81,38.22,39.53,40.75,39.59,38.16,38.12,39.78,39.81,38.72,38.22,39.47,39.03,36.5,34.28,34.09,33.97,31.66,29.22,28.59,29.19,27.41,25.31,25.41,27.31,28.53,28.12,28.53,30.56,31.41,29.25,27.62,28.22,29.12,28.03,27.06,28.16,30.06,30.38,29.34,29.94,32.53,34.16,34.03,34.91,37.31,38.72,37.47,36.06,36.5,36.75,34.84,32.19,31.69,32.66,32.41,31.12,31.22,32.44,32.28,30.19,28.19,29.16,30.0,28.81,27.91,29.38,31.53,31.31,30.09,30.16,31.31,30.19,27.69,26.88,27.75,28.19,26.88,25.84,26.84,27.91,26.25,24.69,25.81,28.25,29.12,29.03,30.5,32.94,33.38,32.59,31.78,33.25,34.12,33.03,32.09,33.59,34.75,33.53,31.34,31.06,31.5,30.25,28.28,27.5,28.25,27.94,25.59,24.28,25.47,26.88,27.03,27.69,31.25,35.06,36.25,35.81,35.84,36.72,35.5,33.09,32.28,34.22,35.66,35.81,36.31,39.0,40.47,38.88,36.47,35.91,36.09,35.09,33.38,34.0,35.78,36.53,36.16,37.12,40.28,42.47,42.16,41.12,41.38,41.19,38.34,34.56,33.41,33.47,32.75,31.38,32.44,35.41,36.91,36.59,37.09,39.72,40.88,39.34,36.66,35.28,34.16,31.34,28.97,30.22,33.53,35.84,36.66,38.44,40.88,41.84,40.03,38.25,38.66,38.62,36.5,34.34,34.88,36.22,35.66,34.03,34.41,35.84,36.0,34.84,35.31,37.84,39.84,39.72,39.97,42.41,44.56,44.0,41.81,41.38,40.88,38.44,35.25,33.97,34.72,34.25,32.09,30.97,32.47,34.19,34.12,34.16,36.78,39.06,39.25,38.59,39.91,41.94,42.03,40.66,40.59,42.16,42.28,40.06,37.78,36.84,35.03,30.72,26.34,25.44,26.16,25.44,24.47,25.97,28.38,29.06,28.12,28.56,30.88,32.69,32.62,33.53,36.47,39.59,40.69,41.12,43.06,44.66,43.78,40.38,38.44,38.06,36.5,33.88,32.44,33.28,33.34,30.34,27.53,26.69,26.28,24.19,21.78,22.59,25.06,26.19,26.34,28.38,31.88,33.97,34.31,35.19,38.53,41.25,41.47,40.97,42.03,43.03,41.31,37.81,36.06,35.41,33.22,29.66,28.19,28.62,28.75,26.91,26.31,28.06,29.94,29.0,27.53,28.97,30.34,29.62,28.0,28.12,29.34,30.0,29.31,30.22,33.53,36.34,36.66,36.69,39.12,41.59,41.47,40.81,42.03,44.0,43.75,42.5,43.09,45.44,46.34,44.91,43.94,44.56,44.53,42.22,39.78,39.53,39.72,37.84,35.47,35.38,36.62,35.78,33.12,32.16,32.81,32.44,29.72,27.88,27.88,27.44,24.25,21.5,21.16,21.94,21.94,21.28,22.66,25.69,26.88,26.19,26.97,29.62,31.38,30.41,29.19,30.12,31.16,29.59,27.81,29.41,31.78,32.19,31.91,33.12,36.34,37.94,37.69,38.56,41.25,43.16,42.06,40.56,40.59,40.41,37.06,33.0,31.66,31.91,30.59,28.41,27.84,29.19,29.12,27.25,26.78,29.0,31.44,31.31,31.47,33.56,35.75,35.62,34.72,35.94,38.75,40.16,40.09,41.38,44.06,45.38,43.66,41.56,41.44,40.81,37.72,35.31,35.56,37.12,36.41,34.56,34.0,34.56,32.75,30.22,28.38,29.28,29.62,28.12,27.44,29.75,31.97,31.56,30.66,31.53,33.5,33.53,32.34,33.16,35.62,36.34,34.94,34.69,36.31,37.38,36.25,35.62,37.25,39.16,38.12,36.12,35.62,36.41,35.72,33.78,34.44,36.94,38.28,36.78,35.5,35.84,35.09,32.09,29.56,29.88,31.56,30.91,29.62,29.78,31.06,30.44,28.5,27.66,28.72,28.88,26.78,25.06,25.94,27.12,26.41,25.72,27.59,30.59,31.38,31.03,32.25,34.97,36.0,35.34,35.75,38.53,40.66,40.41,40.12,41.97,42.81,41.0,37.66,36.16,35.5,33.16,29.53,27.31,27.0,25.97,23.22,22.06,24.0,25.69,24.81,23.81,24.75,25.66,24.66,22.94,23.62,25.53,25.81,24.31,24.22,25.94,26.12,24.41,23.0,23.75,24.16,22.28,20.28,20.94,22.5,22.12,20.78,21.0,22.28,21.84,19.75,19.19,20.97,22.03,21.0,20.03,21.66,23.38,23.0,22.22,23.56,25.12,23.97,21.5,20.69,21.25,21.75,21.06,21.56,24.97,27.69,27.5,26.69,27.53,27.94,25.38,22.22,21.59,22.62,22.72,22.41,23.47,26.59,28.03,26.69,25.34,26.0,26.69,25.28,24.56,26.75,29.75,30.59,30.12,30.94,32.56,32.28,30.31,29.91,32.06,33.38,32.78,32.25,33.78,34.25,32.06,29.0,27.94,27.16,24.78,21.38,20.34,21.34,21.88,21.12,21.88,24.88,26.94,26.78,26.44,28.34,30.09,30.03,28.78,29.84,31.03,30.38,28.16,27.47,28.66,29.12,28.31,29.06,32.84,36.25,37.59,38.16,40.5,42.28,41.28,38.66,37.62,37.25,34.56,30.66,28.19,27.09,25.44,21.88,18.78,18.5,18.91,18.03,17.69,20.53,24.19,25.38,25.5,27.03,29.28,30.25,26.66,27.56,29.53,31.25,33.38,36.78,41.03,44.22,46.28,48.75,51.75,53.41,52.44,50.75,49.72,48.06,44.31,40.78,39.34,38.75,37.62:39.34,36.31,33.38,33.22,33.59,32.19,31.12,32.69,35.38,35.91,35.06,35.75,37.56,38.09,36.84,36.56,38.84,40.47,39.38,38.25,39.25,40.41,38.59,36.88,37.09,38.59,38.25,36.62,36.88,39.09,40.38,39.59,39.66,41.78,43.0,40.88,38.38,37.88,37.44,34.12,30.72,29.56,29.75,28.56,26.81,26.75,29.22,30.78,30.69,30.94,33.38,35.25,34.53,33.72,35.5,37.78,37.91,36.81,36.94,38.41,37.78,35.97,35.41,37.22,38.16,36.66,35.28,35.94,36.25,33.81,31.16,30.72,31.62,30.66,28.84,28.44,29.69,29.78,28.09,27.97,30.56,32.56,32.47,32.41,34.06,35.72,35.03,33.41,33.81,35.75,35.69,34.81,34.41,35.44,34.69,31.69,29.34,29.88,30.59,29.59,29.12,31.28,34.22,34.44,33.47,34.38,36.34,36.41,34.72,34.5,36.38,36.44,34.56,33.03,33.97,34.66,33.0,30.72,30.5,30.84,28.94,26.94,26.91,28.66,28.81,27.34,26.12,27.03,27.34,26.28,26.12,28.84,32.19,32.38,31.84,33.09,34.34,33.59,31.5,31.38,33.0,33.22,32.5,32.94,35.94,37.84,36.88,35.44,35.97,35.75,33.25,30.25,29.31,29.75,28.56,26.5,26.22,27.75,28.31,26.44,25.41,26.66,27.22,26.03,25.12,26.84,29.19,29.47,28.72,29.72,31.53,30.75,28.62,28.28,30.22,31.56,31.38,32.19,34.94,36.41,35.0,33.03,32.81,33.41,32.78,31.34,32.19,34.44,34.81,33.09,31.94,32.41,31.66,29.28,27.5,29.44,31.62,32.16,31.75,33.0,34.16,32.88,30.03,28.88,30.03,29.81,28.62,28.22,30.31,31.62,30.44,29.5,30.91,32.66,32.44,31.78,33.38,35.81,36.25,34.94,34.72,35.91,35.78,34.03,33.41,35.03,36.19,35.16,33.31,33.5,33.91,32.09,30.28,31.22,34.0,36.03,36.59,37.91,40.16,41.03,39.03,37.59,38.34,39.0,37.38,34.91,34.22,33.66,31.28,27.38,25.81,26.31,25.53,24.12,23.91,26.19,27.94,27.56,27.5,29.78,31.88,31.25,30.19,31.34,33.03,32.97,31.5,31.78,33.06,33.31,31.78,30.97,32.81,34.16,33.19,32.38,34.03,35.84,35.34,33.75,33.78,34.47,33.53,31.19,30.84,32.16,32.72,31.16,30.56,32.25,33.5,32.78,31.69,32.41,32.47,29.53,25.25,22.28,20.38,18.19,15.16,14.72,17.44,20.25,21.09,22.69,26.09,28.62,28.38,27.03,27.88,28.66,27.56,25.47,24.94,26.28,26.81,25.72,26.34,29.44,31.91,31.94,32.0,33.97,35.62,35.16,34.12,35.41,37.66,38.25,36.75,36.19,36.12,34.56,31.06,28.38,28.66,29.97,29.88,30.75,34.19,37.56,38.44,37.62,38.22,39.47,38.72,36.56,36.03,37.38,37.91,36.53,35.25,35.53,35.69,32.59,29.09,27.94,26.91,24.12,20.75,19.56,19.78,19.34,17.75,17.81,19.78,21.44,21.16,21.09,23.53,26.44,27.25,27.81,31.0,34.91,36.75,36.88,38.25,40.06,40.41,38.47,37.22,37.62,37.28,34.16,31.38,30.94,31.72,30.94,30.47,32.84,36.69,39.12,39.97,42.03,44.91,46.19,44.91,44.16,45.38,45.72,43.72,41.22,40.38,39.97,37.41,34.5,33.47,34.53,34.91,34.03,34.66,37.06,38.38,37.38,36.41,37.09,37.12,34.81,32.16,31.06,31.22,29.62,27.0,25.97,26.72,26.66,25.06,25.06,27.0,28.72,28.84,29.06,31.62,34.5,35.06,34.53,35.16,36.78,36.25,34.22,34.06,35.47,35.75,34.06,33.09,33.78,34.25,32.84,31.69,32.88,34.97,35.22,34.78,35.69,37.38,36.5,33.47,31.03,30.28,28.75,25.81,23.91,24.59,25.75,24.91,24.16,25.28,26.97,26.25,24.5,23.44,23.84,22.53,20.0,18.88,19.81,20.94,19.75,19.09,20.34,22.22,21.66,20.91,22.38,25.22,26.62,27.06,29.06,32.31,34.03,33.78,34.38,36.84,39.19,38.81,38.22,39.53,40.75,39.59,38.16,38.12,39.78,39.81,38.72,38.22,39.47,39.03,36.5,34.28,34.09,33.97,31.66,29.22,28.59,29.19,27.41,25.31,25.41,27.31,28.53,28.12,28.53,30.56,31.41,29.25,27.62,28.22,29.12,28.03,27.06,28.16,30.06,30.38,29.34,29.94,32.53,34.16,34.03,34.91,37.31,38.72,37.47,36.06,36.5,36.75,34.84,32.19,31.69,32.66,32.41,31.12,31.22,32.44,32.28,30.19,28.19,29.16,30.0,28.81,27.91,29.38,31.53,31.31,30.09,30.16,31.31,30.19,27.69,26.88,27.75,28.19,26.88,25.84,26.84,27.91,26.25,24.69,25.81,28.25,29.12,29.03,30.5,32.94,33.38,32.59,31.78,33.25,34.12,33.03,32.09,33.59,34.75,33.53,31.34,31.06,31.5,30.25,28.28,27.5,28.25,27.94,25.59,24.28,25.47,26.88,27.03,27.69,31.25,35.06,36.25,35.81,35.84,36.72,35.5,33.09,32.28,34.22,35.66,35.81,36.31,39.0,40.47,38.88,36.47,35.91,36.09,35.09,33.38,34.0,35.78,36.53,36.16,37.12,40.28,42.47,42.16,41.12,41.38,41.19,38.34,34.56,33.41,33.47,32.75,31.38,32.44,35.41,36.91,36.59,37.09,39.72,40.88,39.34,36.66,35.28,34.16,31.34,28.97,30.22,33.53,35.84,36.66,38.44,40.88,41.84,40.03,38.25,38.66,38.62,36.5,34.34,34.88,36.22,35.66,34.03,34.41,35.84,36.0,34.84,35.31,37.84,39.84,39.72,39.97,42.41,44.56,44.0,41.81,41.38,40.88,38.44,35.25,33.97,34.72,34.25,32.09,30.97,32.47,34.19,34.12,34.16,36.78,39.06,39.25,38.59,39.91,41.94,42.03,40.66,40.59,42.16,42.28,40.06,37.78,36.84,35.03,30.72,26.34,25.44,26.16,25.44,24.47,25.97,28.38,29.06,28.12,28.56,30.88,32.69,32.62,33.53,36.47,39.59,40.69,41.12,43.06,44.66,43.78,40.38,38.44,38.06,36.5,33.88,32.44,33.28,33.34,30.34,27.53,26.69,26.28,24.19,21.78,22.59,25.06,26.19,26.34,28.38,31.88,33.97,34.31,35.19,38.53,41.25,41.47,40.97,42.03,43.03,41.31,37.81,36.06,35.41,33.22,29.66,28.19,28.62,28.75,26.91,26.31,28.06,29.94,29.0,27.53,28.97,30.34,29.62,28.0,28.12,29.34,30.0,29.31,30.22,33.53,36.34,36.66,36.69,39.12,41.59,41.47,40.81,42.03,44.0,43.75,42.5,43.09,45.44,46.34,44.91,43.94,44.56,44.53,42.22,39.78,39.53,39.72,37.84,35.47,35.38,36.62,35.78,33.12,32.16,32.81,32.44,29.72,27.88,27.88,27.44,24.25,21.5,21.16,21.94,21.94,21.28,22.66,25.69,26.88,26.19,26.97,29.62,31.38,30.41,29.19,30.12,31.16,29.59,27.81,29.41,31.78,32.19,31.91,33.12,36.34,37.94,37.69,38.56,41.25,43.16,42.06,40.56,40.59,40.41,37.06,33.0,31.66,31.91,30.59,28.41,27.84,29.19,29.12,27.25,26.78,29.0,31.44,31.31,31.47,33.56,35.75,35.62,34.72,35.94,38.75,40.16,40.09,41.38,44.06,45.38,43.66,41.56,41.44,40.81,37.72,35.31,35.56,37.12,36.41,34.56,34.0,34.56,32.75,30.22,28.38,29.28,29.62,28.12,27.44,29.75,31.97,31.56,30.66,31.53,33.5,33.53,32.34,33.16,35.62,36.34,34.94,34.69,36.31,37.38,36.25,35.62,37.25,39.16,38.12,36.12,35.62,36.41,35.72,33.78,34.44,36.94,38.28,36.78,35.5,35.84,35.09,32.09,29.56,29.88,31.56,30.91,29.62,29.78,31.06,30.44,28.5,27.66,28.72,28.88,26.78,25.06,25.94,27.12,26.41,25.72,27.59,30.59,31.38,31.03,32.25,34.97,36.0,35.34,35.75,38.53,40.66,40.41,40.12,41.97,42.81,41.0,37.66,36.16,35.5,33.16,29.53,27.31,27.0,25.97,23.22,22.06,24.0,25.69,24.81,23.81,24.75,25.66,24.66,22.94,23.62,25.53,25.81,24.31,24.22,25.94,26.12,24.41,23.0,23.75,24.16,22.28,20.28,20.94,22.5,22.12,20.78,21.0,22.28,21.84,19.75,19.19,20.97,22.03,21.0,20.03,21.66,23.38,23.0,22.22,23.56,25.12,23.97,21.5,20.69,21.25,21.75,21.06,21.56,24.97,27.69,27.5,26.69,27.53,27.94,25.38,22.22,21.59,22.62,22.72,22.41,23.47,26.59,28.03,26.69,25.34,26.0,26.69,25.28,24.56,26.75,29.75,30.59,30.12,30.94,32.56,32.28,30.31,29.91,32.06,33.38,32.78,32.25,33.78,34.25,32.06,29.0,27.94,27.16,24.78,21.38,20.34,21.34,21.88,21.12,21.88,24.88,26.94,26.78,26.44,28.34,30.09,30.03,28.78,29.84,31.03,30.38,28.16,27.47,28.66,29.12,28.31,29.06,32.84,36.25,37.59,38.16,40.5,42.28,41.28,38.66,37.62,37.25,34.56,30.66,28.19,27.09,25.44,21.88,18.78,18.5,18.91,18.03,17.69,20.53,24.19,25.38,25.5,27.03,29.28,30.25,26.66,27.56,29.53,31.25,33.38,36.78,41.03,44.22,46.28,48.75,51.75,53.41,52.44,50.75,49.72,48.06,44.31,40.78,39.34,38.75,37.62,36.97,37.88,40.5,41.84,42.09,42.12,42.78:32.69,35.38,35.91,35.06,35.75,37.56,38.09,36.84,36.56,38.84,40.47,39.38,38.25,39.25,40.41,38.59,36.88,37.09,38.59,38.25,36.62,36.88,39.09,40.38,39.59,39.66,41.78,43.0,40.88,38.38,37.88,37.44,34.12,30.72,29.56,29.75,28.56,26.81,26.75,29.22,30.78,30.69,30.94,33.38,35.25,34.53,33.72,35.5,37.78,37.91,36.81,36.94,38.41,37.78,35.97,35.41,37.22,38.16,36.66,35.28,35.94,36.25,33.81,31.16,30.72,31.62,30.66,28.84,28.44,29.69,29.78,28.09,27.97,30.56,32.56,32.47,32.41,34.06,35.72,35.03,33.41,33.81,35.75,35.69,34.81,34.41,35.44,34.69,31.69,29.34,29.88,30.59,29.59,29.12,31.28,34.22,34.44,33.47,34.38,36.34,36.41,34.72,34.5,36.38,36.44,34.56,33.03,33.97,34.66,33.0,30.72,30.5,30.84,28.94,26.94,26.91,28.66,28.81,27.34,26.12,27.03,27.34,26.28,26.12,28.84,32.19,32.38,31.84,33.09,34.34,33.59,31.5,31.38,33.0,33.22,32.5,32.94,35.94,37.84,36.88,35.44,35.97,35.75,33.25,30.25,29.31,29.75,28.56,26.5,26.22,27.75,28.31,26.44,25.41,26.66,27.22,26.03,25.12,26.84,29.19,29.47,28.72,29.72,31.53,30.75,28.62,28.28,30.22,31.56,31.38,32.19,34.94,36.41,35.0,33.03,32.81,33.41,32.78,31.34,32.19,34.44,34.81,33.09,31.94,32.41,31.66,29.28,27.5,29.44,31.62,32.16,31.75,33.0,34.16,32.88,30.03,28.88,30.03,29.81,28.62,28.22,30.31,31.62,30.44,29.5,30.91,32.66,32.44,31.78,33.38,35.81,36.25,34.94,34.72,35.91,35.78,34.03,33.41,35.03,36.19,35.16,33.31,33.5,33.91,32.09,30.28,31.22,34.0,36.03,36.59,37.91,40.16,41.03,39.03,37.59,38.34,39.0,37.38,34.91,34.22,33.66,31.28,27.38,25.81,26.31,25.53,24.12,23.91,26.19,27.94,27.56,27.5,29.78,31.88,31.25,30.19,31.34,33.03,32.97,31.5,31.78,33.06,33.31,31.78,30.97,32.81,34.16,33.19,32.38,34.03,35.84,35.34,33.75,33.78,34.47,33.53,31.19,30.84,32.16,32.72,31.16,30.56,32.25,33.5,32.78,31.69,32.41,32.47,29.53,25.25,22.28,20.38,18.19,15.16,14.72,17.44,20.25,21.09,22.69,26.09,28.62,28.38,27.03,27.88,28.66,27.56,25.47,24.94,26.28,26.81,25.72,26.34,29.44,31.91,31.94,32.0,33.97,35.62,35.16,34.12,35.41,37.66,38.25,36.75,36.19,36.12,34.56,31.06,28.38,28.66,29.97,29.88,30.75,34.19,37.56,38.44,37.62,38.22,39.47,38.72,36.56,36.03,37.38,37.91,36.53,35.25,35.53,35.69,32.59,29.09,27.94,26.91,24.12,20.75,19.56,19.78,19.34,17.75,17.81,19.78,21.44,21.16,21.09,23.53,26.44,27.25,27.81,31.0,34.91,36.75,36.88,38.25,40.06,40.41,38.47,37.22,37.62,37.28,34.16,31.38,30.94,31.72,30.94,30.47,32.84,36.69,39.12,39.97,42.03,44.91,46.19,44.91,44.16,45.38,45.72,43.72,41.22,40.38,39.97,37.41,34.5,33.47,34.53,34.91,34.03,34.66,37.06,38.38,37.38,36.41,37.09,37.12,34.81,32.16,31.06,31.22,29.62,27.0,25.97,26.72,26.66,25.06,25.06,27.0,28.72,28.84,29.06,31.62,34.5,35.06,34.53,35.16,36.78,36.25,34.22,34.06,35.47,35.75,34.06,33.09,33.78,34.25,32.84,31.69,32.88,34.97,35.22,34.78,35.69,37.38,36.5,33.47,31.03,30.28,28.75,25.81,23.91,24.59,25.75,24.91,24.16,25.28,26.97,26.25,24.5,23.44,23.84,22.53,20.0,18.88,19.81,20.94,19.75,19.09,20.34,22.22,21.66,20.91,22.38,25.22,26.62,27.06,29.06,32.31,34.03,33.78,34.38,36.84,39.19,38.81,38.22,39.53,40.75,39.59,38.16,38.12,39.78,39.81,38.72,38.22,39.47,39.03,36.5,34.28,34.09,33.97,31.66,29.22,28.59,29.19,27.41,25.31,25.41,27.31,28.53,28.12,28.53,30.56,31.41,29.25,27.62,28.22,29.12,28.03,27.06,28.16,30.06,30.38,29.34,29.94,32.53,34.16,34.03,34.91,37.31,38.72,37.47,36.06,36.5,36.75,34.84,32.19,31.69,32.66,32.41,31.12,31.22,32.44,32.28,30.19,28.19,29.16,30.0,28.81,27.91,29.38,31.53,31.31,30.09,30.16,31.31,30.19,27.69,26.88,27.75,28.19,26.88,25.84,26.84,27.91,26.25,24.69,25.81,28.25,29.12,29.03,30.5,32.94,33.38,32.59,31.78,33.25,34.12,33.03,32.09,33.59,34.75,33.53,31.34,31.06,31.5,30.25,28.28,27.5,28.25,27.94,25.59,24.28,25.47,26.88,27.03,27.69,31.25,35.06,36.25,35.81,35.84,36.72,35.5,33.09,32.28,34.22,35.66,35.81,36.31,39.0,40.47,38.88,36.47,35.91,36.09,35.09,33.38,34.0,35.78,36.53,36.16,37.12,40.28,42.47,42.16,41.12,41.38,41.19,38.34,34.56,33.41,33.47,32.75,31.38,32.44,35.41,36.91,36.59,37.09,39.72,40.88,39.34,36.66,35.28,34.16,31.34,28.97,30.22,33.53,35.84,36.66,38.44,40.88,41.84,40.03,38.25,38.66,38.62,36.5,34.34,34.88,36.22,35.66,34.03,34.41,35.84,36.0,34.84,35.31,37.84,39.84,39.72,39.97,42.41,44.56,44.0,41.81,41.38,40.88,38.44,35.25,33.97,34.72,34.25,32.09,30.97,32.47,34.19,34.12,34.16,36.78,39.06,39.25,38.59,39.91,41.94,42.03,40.66,40.59,42.16,42.28,40.06,37.78,36.84,35.03,30.72,26.34,25.44,26.16,25.44,24.47,25.97,28.38,29.06,28.12,28.56,30.88,32.69,32.62,33.53,36.47,39.59,40.69,41.12,43.06,44.66,43.78,40.38,38.44,38.06,36.5,33.88,32.44,33.28,33.34,30.34,27.53,26.69,26.28,24.19,21.78,22.59,25.06,26.19,26.34,28.38,31.88,33.97,34.31,35.19,38.53,41.25,41.47,40.97,42.03,43.03,41.31,37.81,36.06,35.41,33.22,29.66,28.19,28.62,28.75,26.91,26.31,28.06,29.94,29.0,27.53,28.97,30.34,29.62,28.0,28.12,29.34,30.0,29.31,30.22,33.53,36.34,36.66,36.69,39.12,41.59,41.47,40.81,42.03,44.0,43.75,42.5,43.09,45.44,46.34,44.91,43.94,44.56,44.53,42.22,39.78,39.53,39.72,37.84,35.47,35.38,36.62,35.78,33.12,32.16,32.81,32.44,29.72,27.88,27.88,27.44,24.25,21.5,21.16,21.94,21.94,21.28,22.66,25.69,26.88,26.19,26.97,29.62,31.38,30.41,29.19,30.12,31.16,29.59,27.81,29.41,31.78,32.19,31.91,33.12,36.34,37.94,37.69,38.56,41.25,43.16,42.06,40.56,40.59,40.41,37.06,33.0,31.66,31.91,30.59,28.41,27.84,29.19,29.12,27.25,26.78,29.0,31.44,31.31,31.47,33.56,35.75,35.62,34.72,35.94,38.75,40.16,40.09,41.38,44.06,45.38,43.66,41.56,41.44,40.81,37.72,35.31,35.56,37.12,36.41,34.56,34.0,34.56,32.75,30.22,28.38,29.28,29.62,28.12,27.44,29.75,31.97,31.56,30.66,31.53,33.5,33.53,32.34,33.16,35.62,36.34,34.94,34.69,36.31,37.38,36.25,35.62,37.25,39.16,38.12,36.12,35.62,36.41,35.72,33.78,34.44,36.94,38.28,36.78,35.5,35.84,35.09,32.09,29.56,29.88,31.56,30.91,29.62,29.78,31.06,30.44,28.5,27.66,28.72,28.88,26.78,25.06,25.94,27.12,26.41,25.72,27.59,30.59,31.38,31.03,32.25,34.97,36.0,35.34,35.75,38.53,40.66,40.41,40.12,41.97,42.81,41.0,37.66,36.16,35.5,33.16,29.53,27.31,27.0,25.97,23.22,22.06,24.0,25.69,24.81,23.81,24.75,25.66,24.66,22.94,23.62,25.53,25.81,24.31,24.22,25.94,26.12,24.41,23.0,23.75,24.16,22.28,20.28,20.94,22.5,22.12,20.78,21.0,22.28,21.84,19.75,19.19,20.97,22.03,21.0,20.03,21.66,23.38,23.0,22.22,23.56,25.12,23.97,21.5,20.69,21.25,21.75,21.06,21.56,24.97,27.69,27.5,26.69,27.53,27.94,25.38,22.22,21.59,22.62,22.72,22.41,23.47,26.59,28.03,26.69,25.34,26.0,26.69,25.28,24.56,26.75,29.75,30.59,30.12,30.94,32.56,32.28,30.31,29.91,32.06,33.38,32.78,32.25,33.78,34.25,32.06,29.0,27.94,27.16,24.78,21.38,20.34,21.34,21.88,21.12,21.88,24.88,26.94,26.78,26.44,28.34,30.09,30.03,28.78,29.84,31.03,30.38,28.16,27.47,28.66,29.12,28.31,29.06,32.84,36.25,37.59,38.16,40.5,42.28,41.28,38.66,37.62,37.25,34.56,30.66,28.19,27.09,25.44,21.88,18.78,18.5,18.91,18.03,17.69,20.53,24.19,25.38,25.5,27.03,29.28,30.25,26.66,27.56,29.53,31.25,33.38,36.78,41.03,44.22,46.28,48.75,51.75,53.41,52.44,50.75,49.72,48.06,44.31,40.78,39.34,38.75,37.62,36.97,37.88,40.5,41.84,42.09,42.12,42.78,42.06,39.41,37.12,36.59,36.69,36.12,35.94:36.84,36.56,38.84,40.47,39.38,38.25,39.25,40.41,38.59,36.88,37.09,38.59,38.25,36.62,36.88,39.09,40.38,39.59,39.66,41.78,43.0,40.88,38.38,37.88,37.44,34.12,30.72,29.56,29.75,28.56,26.81,26.75,29.22,30.78,30.69,30.94,33.38,35.25,34.53,33.72,35.5,37.78,37.91,36.81,36.94,38.41,37.78,35.97,35.41,37.22,38.16,36.66,35.28,35.94,36.25,33.81,31.16,30.72,31.62,30.66,28.84,28.44,29.69,29.78,28.09,27.97,30.56,32.56,32.47,32.41,34.06,35.72,35.03,33.41,33.81,35.75,35.69,34.81,34.41,35.44,34.69,31.69,29.34,29.88,30.59,29.59,29.12,31.28,34.22,34.44,33.47,34.38,36.34,36.41,34.72,34.5,36.38,36.44,34.56,33.03,33.97,34.66,33.0,30.72,30.5,30.84,28.94,26.94,26.91,28.66,28.81,27.34,26.12,27.03,27.34,26.28,26.12,28.84,32.19,32.38,31.84,33.09,34.34,33.59,31.5,31.38,33.0,33.22,32.5,32.94,35.94,37.84,36.88,35.44,35.97,35.75,33.25,30.25,29.31,29.75,28.56,26.5,26.22,27.75,28.31,26.44,25.41,26.66,27.22,26.03,25.12,26.84,29.19,29.47,28.72,29.72,31.53,30.75,28.62,28.28,30.22,31.56,31.38,32.19,34.94,36.41,35.0,33.03,32.81,33.41,32.78,31.34,32.19,34.44,34.81,33.09,31.94,32.41,31.66,29.28,27.5,29.44,31.62,32.16,31.75,33.0,34.16,32.88,30.03,28.88,30.03,29.81,28.62,28.22,30.31,31.62,30.44,29.5,30.91,32.66,32.44,31.78,33.38,35.81,36.25,34.94,34.72,35.91,35.78,34.03,33.41,35.03,36.19,35.16,33.31,33.5,33.91,32.09,30.28,31.22,34.0,36.03,36.59,37.91,40.16,41.03,39.03,37.59,38.34,39.0,37.38,34.91,34.22,33.66,31.28,27.38,25.81,26.31,25.53,24.12,23.91,26.19,27.94,27.56,27.5,29.78,31.88,31.25,30.19,31.34,33.03,32.97,31.5,31.78,33.06,33.31,31.78,30.97,32.81,34.16,33.19,32.38,34.03,35.84,35.34,33.75,33.78,34.47,33.53,31.19,30.84,32.16,32.72,31.16,30.56,32.25,33.5,32.78,31.69,32.41,32.47,29.53,25.25,22.28,20.38,18.19,15.16,14.72,17.44,20.25,21.09,22.69,26.09,28.62,28.38,27.03,27.88,28.66,27.56,25.47,24.94,26.28,26.81,25.72,26.34,29.44,31.91,31.94,32.0,33.97,35.62,35.16,34.12,35.41,37.66,38.25,36.75,36.19,36.12,34.56,31.06,28.38,28.66,29.97,29.88,30.75,34.19,37.56,38.44,37.62,38.22,39.47,38.72,36.56,36.03,37.38,37.91,36.53,35.25,35.53,35.69,32.59,29.09,27.94,26.91,24.12,20.75,19.56,19.78,19.34,17.75,17.81,19.78,21.44,21.16,21.09,23.53,26.44,27.25,27.81,31.0,34.91,36.75,36.88,38.25,40.06,40.41,38.47,37.22,37.62,37.28,34.16,31.38,30.94,31.72,30.94,30.47,32.84,36.69,39.12,39.97,42.03,44.91,46.19,44.91,44.16,45.38,45.72,43.72,41.22,40.38,39.97,37.41,34.5,33.47,34.53,34.91,34.03,34.66,37.06,38.38,37.38,36.41,37.09,37.12,34.81,32.16,31.06,31.22,29.62,27.0,25.97,26.72,26.66,25.06,25.06,27.0,28.72,28.84,29.06,31.62,34.5,35.06,34.53,35.16,36.78,36.25,34.22,34.06,35.47,35.75,34.06,33.09,33.78,34.25,32.84,31.69,32.88,34.97,35.22,34.78,35.69,37.38,36.5,33.47,31.03,30.28,28.75,25.81,23.91,24.59,25.75,24.91,24.16,25.28,26.97,26.25,24.5,23.44,23.84,22.53,20.0,18.88,19.81,20.94,19.75,19.09,20.34,22.22,21.66,20.91,22.38,25.22,26.62,27.06,29.06,32.31,34.03,33.78,34.38,36.84,39.19,38.81,38.22,39.53,40.75,39.59,38.16,38.12,39.78,39.81,38.72,38.22,39.47,39.03,36.5,34.28,34.09,33.97,31.66,29.22,28.59,29.19,27.41,25.31,25.41,27.31,28.53,28.12,28.53,30.56,31.41,29.25,27.62,28.22,29.12,28.03,27.06,28.16,30.06,30.38,29.34,29.94,32.53,34.16,34.03,34.91,37.31,38.72,37.47,36.06,36.5,36.75,34.84,32.19,31.69,32.66,32.41,31.12,31.22,32.44,32.28,30.19,28.19,29.16,30.0,28.81,27.91,29.38,31.53,31.31,30.09,30.16,31.31,30.19,27.69,26.88,27.75,28.19,26.88,25.84,26.84,27.91,26.25,24.69,25.81,28.25,29.12,29.03,30.5,32.94,33.38,32.59,31.78,33.25,34.12,33.03,32.09,33.59,34.75,33.53,31.34,31.06,31.5,30.25,28.28,27.5,28.25,27.94,25.59,24.28,25.47,26.88,27.03,27.69,31.25,35.06,36.25,35.81,35.84,36.72,35.5,33.09,32.28,34.22,35.66,35.81,36.31,39.0,40.47,38.88,36.47,35.91,36.09,35.09,33.38,34.0,35.78,36.53,36.16,37.12,40.28,42.47,42.16,41.12,41.38,41.19,38.34,34.56,33.41,33.47,32.75,31.38,32.44,35.41,36.91,36.59,37.09,39.72,40.88,39.34,36.66,35.28,34.16,31.34,28.97,30.22,33.53,35.84,36.66,38.44,40.88,41.84,40.03,38.25,38.66,38.62,36.5,34.34,34.88,36.22,35.66,34.03,34.41,35.84,36.0,34.84,35.31,37.84,39.84,39.72,39.97,42.41,44.56,44.0,41.81,41.38,40.88,38.44,35.25,33.97,34.72,34.25,32.09,30.97,32.47,34.19,34.12,34.16,36.78,39.06,39.25,38.59,39.91,41.94,42.03,40.66,40.59,42.16,42.28,40.06,37.78,36.84,35.03,30.72,26.34,25.44,26.16,25.44,24.47,25.97,28.38,29.06,28.12,28.56,30.88,32.69,32.62,33.53,36.47,39.59,40.69,41.12,43.06,44.66,43.78,40.38,38.44,38.06,36.5,33.88,32.44,33.28,33.34,30.34,27.53,26.69,26.28,24.19,21.78,22.59,25.06,26.19,26.34,28.38,31.88,33.97,34.31,35.19,38.53,41.25,41.47,40.97,42.03,43.03,41.31,37.81,36.06,35.41,33.22,29.66,28.19,28.62,28.75,26.91,26.31,28.06,29.94,29.0,27.53,28.97,30.34,29.62,28.0,28.12,29.34,30.0,29.31,30.22,33.53,36.34,36.66,36.69,39.12,41.59,41.47,40.81,42.03,44.0,43.75,42.5,43.09,45.44,46.34,44.91,43.94,44.56,44.53,42.22,39.78,39.53,39.72,37.84,35.47,35.38,36.62,35.78,33.12,32.16,32.81,32.44,29.72,27.88,27.88,27.44,24.25,21.5,21.16,21.94,21.94,21.28,22.66,25.69,26.88,26.19,26.97,29.62,31.38,30.41,29.19,30.12,31.16,29.59,27.81,29.41,31.78,32.19,31.91,33.12,36.34,37.94,37.69,38.56,41.25,43.16,42.06,40.56,40.59,40.41,37.06,33.0,31.66,31.91,30.59,28.41,27.84,29.19,29.12,27.25,26.78,29.0,31.44,31.31,31.47,33.56,35.75,35.62,34.72,35.94,38.75,40.16,40.09,41.38,44.06,45.38,43.66,41.56,41.44,40.81,37.72,35.31,35.56,37.12,36.41,34.56,34.0,34.56,32.75,30.22,28.38,29.28,29.62,28.12,27.44,29.75,31.97,31.56,30.66,31.53,33.5,33.53,32.34,33.16,35.62,36.34,34.94,34.69,36.31,37.38,36.25,35.62,37.25,39.16,38.12,36.12,35.62,36.41,35.72,33.78,34.44,36.94,38.28,36.78,35.5,35.84,35.09,32.09,29.56,29.88,31.56,30.91,29.62,29.78,31.06,30.44,28.5,27.66,28.72,28.88,26.78,25.06,25.94,27.12,26.41,25.72,27.59,30.59,31.38,31.03,32.25,34.97,36.0,35.34,35.75,38.53,40.66,40.41,40.12,41.97,42.81,41.0,37.66,36.16,35.5,33.16,29.53,27.31,27.0,25.97,23.22,22.06,24.0,25.69,24.81,23.81,24.75,25.66,24.66,22.94,23.62,25.53,25.81,24.31,24.22,25.94,26.12,24.41,23.0,23.75,24.16,22.28,20.28,20.94,22.5,22.12,20.78,21.0,22.28,21.84,19.75,19.19,20.97,22.03,21.0,20.03,21.66,23.38,23.0,22.22,23.56,25.12,23.97,21.5,20.69,21.25,21.75,21.06,21.56,24.97,27.69,27.5,26.69,27.53,27.94,25.38,22.22,21.59,22.62,22.72,22.41,23.47,26.59,28.03,26.69,25.34,26.0,26.69,25.28,24.56,26.75,29.75,30.59,30.12,30.94,32.56,32.28,30.31,29.91,32.06,33.38,32.78,32.25,33.78,34.25,32.06,29.0,27.94,27.16,24.78,21.38,20.34,21.34,21.88,21.12,21.88,24.88,26.94,26.78,26.44,28.34,30.09,30.03,28.78,29.84,31.03,30.38,28.16,27.47,28.66,29.12,28.31,29.06,32.84,36.25,37.59,38.16,40.5,42.28,41.28,38.66,37.62,37.25,34.56,30.66,28.19,27.09,25.44,21.88,18.78,18.5,18.91,18.03,17.69,20.53,24.19,25.38,25.5,27.03,29.28,30.25,26.66,27.56,29.53,31.25,33.38,36.78,41.03,44.22,46.28,48.75,51.75,53.41,52.44,50.75,49.72,48.06,44.31,40.78,39.34,38.75,37.62,36.97,37.88,40.5,41.84,42.09,42.12,42.78,42.06,39.41,37.12,36.59,36.69,36.12,35.94,37.62,40.81,42.47,43.25,45.0,47.41,48.5:positivity
33.31,29.5,27.09,27.22,27.41,25.16,23.94,25.38,27.06,26.72,25.56,26.25,28.16,28.44,27.72,28.38,30.53,31.53,29.81,28.47,29.47,30.78,29.94,28.97,30.25,32.06,31.06,28.56,27.66,28.38,27.66,25.84,25.81,27.81,29.09,28.38,27.69,30.06,32.5,32.06,31.12,32.16,33.78,33.0,31.5,31.44,33.78,34.62,33.88,34.12,36.12,37.03,34.69,32.44,32.22,32.5,30.34,28.03,28.25,29.56,29.59,28.56,29.28,31.91,33.22,32.44,32.41,34.44,36.03,35.0,33.78,34.97,36.62,35.69,34.03,33.84,34.47,32.97,30.12,28.5,29.31,29.34,27.56,25.97,26.47,26.75,24.78,22.69,23.22,25.19,25.03,24.38,24.97,26.88,27.31,26.12,26.16,28.62,30.47,30.5,29.84,31.28,32.62,30.81,28.66,28.31,29.5,29.12,27.91,28.25,30.09,30.72,29.34,28.0,28.56,28.31,25.41,22.41,21.78,22.66,21.44,19.88,20.84,22.91,23.0,21.38,20.53,21.53,21.31,19.28,18.06,20.12,21.91,21.59,20.56,21.75,23.12,22.47,20.66,20.78,22.91,23.44,22.94,22.91,24.81,25.31,23.41,21.53,22.28,23.78,23.25,22.38,23.81,25.94,26.03,24.88,24.94,26.66,27.06,25.62,25.41,27.28,28.88,28.31,27.5,28.81,30.38,29.66,28.19,28.66,30.78,31.25,30.38,30.88,33.0,33.31,31.38,29.34,29.5,29.22,26.44,23.97,23.19,23.06,20.88,17.62,16.22,15.91,14.12,10.5,8.03,7.94,7.5,5.56,4.28,6.06,8.31,9.12,9.88,13.0,16.91,18.81,19.06,20.44,22.78,24.12,23.62,24.62,27.97,30.22,30.0,28.09,27.84,27.25,24.41,21.38,21.25,22.56,23.19,22.53,23.53,26.28,27.66,26.53,25.25,25.94,25.78,23.34,20.31,20.0,20.44,19.19,17.0,16.41,17.25,17.16,15.59,15.94,18.81,20.84,20.62,20.62,23.12,25.38,25.62,25.47,27.25,29.38,29.03,26.72,25.38,25.03,24.03,21.31,19.72,20.69,21.0,18.88,17.0,17.53,19.09,19.31,19.28,21.66,25.16,26.78,27.0,28.34,30.91,32.25,31.16,30.12,31.12,31.91,30.38,28.72,29.28,29.84,27.59,23.47,20.41,18.19,14.97,10.91,9.06,10.69,12.84,13.91,15.53,19.38,23.19,23.88,23.47,24.41,25.72,25.0,23.12,22.88,23.97,24.22,22.94,22.19,23.44,23.72,21.44,19.06,18.53,18.44,16.66,14.84,14.91,16.03,15.59,13.44,13.0,13.81,13.78,11.72,10.56,11.34,12.56,12.16,12.31,14.81,18.22,19.38,19.19,20.06,21.44,20.91,17.72,15.94,15.88,15.5,13.47,12.47,14.16,16.31,16.22,15.31,16.56,18.19,17.28,15.25,14.44,15.38,15.19,13.28,13.19,15.47,17.25,17.28,17.25,18.88,21.25,21.47,21.62,23.81,27.0,27.72,26.38,24.97,24.19,22.12,17.72,14.41,13.5,13.31,11.16,9.5,10.06,11.38,10.31,8.72,8.59,9.88,10.41,9.66,9.91,12.25,13.56,12.38,11.22,12.38,13.88,13.22,12.06,13.03,14.59,14.78,13.94,15.09,18.12,20.28,20.94,22.75,26.22,28.81,28.75,28.38,29.28,30.28,28.69,25.69,24.09,23.06,19.78,15.19,11.72,10.25,8.41,5.41,3.78,5.16,6.69,5.62,5.34,6.75,9.25,9.34,8.41,8.72,9.75,9.53,8.25,8.25,10.41,12.19,11.56,11.03,12.41,12.97,10.97,8.09,6.56,6.41,4.59,2.41,2.94,5.5,7.78,9.12,10.97,14.78,17.75,17.72,17.53,18.94,20.16,18.78,16.75,16.09,16.91,16.59,15.56,15.75,18.28,19.75,19.41,19.19,20.81,21.44,18.84,15.78,14.69,14.44,12.84,11.28,11.28,12.34,11.66,8.59,5.81,4.69,3.28,0.5,-0.75,1.72,5.59,8.12,10.0,13.75,17.44,17.84,16.34,15.38,15.81,15.16,13.0,12.56,14.53,16.28,16.41,16.34,18.84,21.66,22.47,22.06,23.53,25.41,25.0,22.62,20.22,19.53,17.44,13.81,11.12,11.44,12.47,12.03,11.88,14.06,16.91,17.53,16.94,18.31,20.75,22.34,22.44,23.09,25.19,25.75,23.75,21.25,20.53,19.75,16.41,12.81,11.66,11.88,10.78,8.88,8.56,10.03,10.47,9.38,9.41,12.28,14.88,15.81,16.19,18.38,20.66,20.06,18.06,18.16,18.62,17.31,14.47,12.78,13.0,12.66,10.72,9.44,10.25,10.47,8.25,5.84,6.03,7.5,7.56,7.25,9.0,12.03,13.12,12.19,12.56,14.19,14.84,13.22,11.59,12.53,13.44,12.59,11.34,12.06,13.56,12.62,9.81,8.53,9.06,8.91,7.56,7.69,10.03,11.81,11.0,9.31,9.62,9.66,7.12,3.62,3.16,4.19,4.5,4.38,5.81,9.09,11.31,11.75,12.38,15.53,18.28,18.25,17.91,19.38,20.56,19.59,17.41,16.56,17.0,16.0,13.78,12.62,14.25,15.22,14.12,14.06,16.03,17.66,16.88,14.81,14.59,15.09,14.09,12.22,12.69,14.59,15.69,14.44,14.25,15.59,16.69,15.88,15.59,17.84,20.31,20.75,19.81,20.44,21.75,20.78,17.91,16.25,16.06,14.72,11.19,8.97,9.09,9.34,8.0,6.91,8.31,11.0,12.34,12.88,15.59,19.47,21.09,20.0,19.69,20.66,20.56,17.94,15.59,15.47,15.19,13.0,10.62,10.5,11.31,10.38,8.09,7.88,9.44,9.97,8.38,8.28,9.97,11.44,10.75,11.12,13.97,17.47,18.75,19.22,21.47,25.06,26.53,25.97,26.22,27.5,26.41,22.75,19.44,18.78,18.16,15.84,13.47,14.09,15.88,15.78,15.5,17.53,21.12,22.66,21.66,21.41,22.31,22.28,20.0,18.62,19.91,21.41,20.09,18.69,19.38,21.09,20.88,19.44,19.62,21.06,20.75,18.59,17.47,18.28,18.72,16.84,15.41,16.38,17.91,17.06,16.34,17.75,19.94,20.41,19.06,18.62,19.94,20.31,18.53,18.0,19.72,21.03,20.16,19.03,20.09,21.91,21.38,19.84,20.41,21.84,21.5,19.38,17.94,18.22,17.81,14.94,13.06,14.06,15.62,15.0,14.38,16.16,19.25,19.62,18.47,19.06,20.59,20.31,18.38,17.62,19.56,20.88,19.59,18.5,19.19,20.5,19.66,18.56,19.78,21.97,21.44,18.84,17.59,17.47,16.59,14.03,12.78,14.72,16.38,15.78,14.94,16.72,18.81,18.62,18.03,19.03,21.34,21.66,20.84,21.38,24.0,25.56,24.62,23.28,24.0,24.0,21.25,18.41,18.0,18.38,16.66,14.22,13.25,14.22,14.25,12.81,12.66,14.16,14.78,12.31,10.12,10.38,11.28,10.88,10.41,12.81,16.69,18.34,18.62,20.53,23.69,24.97,23.91,23.06,24.09,24.12,22.03,19.94,20.12,20.47,18.25,15.12,14.12,14.81,14.53,13.66,14.62,18.06,20.28,20.09,20.0,22.0,23.25,22.25,20.28,19.88,20.19,18.41,15.44,14.91,16.41,16.84,15.47,14.75,15.69,15.44,12.75,10.34,11.09,12.88,12.78,12.75,14.75,17.06,16.97,14.72,13.5,13.97,13.53,11.38,10.31,11.56,12.38,10.94,9.22,10.38,12.12,11.62,10.44,10.91,12.66,12.34,10.62,10.19,11.56,11.53,9.47,7.19,8.22,9.53,8.59,8.0,10.5,13.44,13.94,13.53,14.66,17.09,18.22,17.78,17.97,19.91,19.84,16.62,12.97,11.47,10.41,8.0,6.25,7.69,10.19,11.03,10.12,9.94,10.94,10.72,8.75,7.69,9.34,11.06,10.75,10.94,13.62,16.28,17.09,16.19,17.16,18.75,18.66,16.41,15.09,16.12,16.38,14.88,14.78,17.62,20.12,20.5,20.06,21.25,22.41,21.06,18.53,17.62,18.31,17.56,14.97,14.03,15.41,16.81,16.41,16.88,19.38,21.91,21.66,20.62,21.12,21.62,20.06,17.0,14.75,13.81,12.25,8.5,5.72,5.62,5.97,5.03,5.12,7.94,12.0,13.88,14.5,16.56,18.88,19.06,16.41,14.5,13.94,12.59,10.19,9.69,12.31,15.41,16.34,16.56,18.0,19.16,18.06,15.28,14.09,13.84,12.41,9.06,6.81,6.88,6.47,4.03,2.69,4.09,6.59,7.28,7.97,11.38,15.66,17.88,18.84,20.94,24.12,26.41,26.28,27.25,30.19,32.72,32.72,32.41,33.31,33.72,31.53,27.56,25.16,23.28,19.88,14.69,10.97,8.94,7.19,3.69,2.0,3.97,6.72,8.09,9.53,12.91,16.41,17.88,17.94,20.16,24.66,28.19,30.19,33.0,37.0,39.53,38.31,37.03,36.16,34.72,30.69,25.75,22.53,21.12,18.31,14.66,13.06,13.34,13.09,11.31,10.44,11.97,13.59,12.84,12.22,14.03,16.78,17.91,18.84,21.78,25.75,28.06,28.28,28.94,30.53,30.59,27.91,25.5,25.09,24.59,21.84,19.25,18.94,20.38,20.72,20.53,22.69,26.53,29.28,30.12,31.62,34.56,36.06,34.59,32.75,33.03,33.34,32.06,30.75,31.72,33.91,34.12,32.75,31.84,32.16,31.0,28.0,25.81,25.97,26.22,24.38,22.69,22.78,23.38,21.94,19.97,19.5,20.88,20.94,19.66,19.69,21.44,22.25,20.72,19.78,21.16,23.25,23.91,24.56,26.97,30.09,30.66,29.41,29.47,31.0,31.59,30.34,30.16,31.62,32.72,31.25,29.41:25.38,27.06,26.72,25.56,26.25,28.16,28.44,27.72,28.38,30.53,31.53,29.81,28.47,29.47,30.78,29.94,28.97,30.25,32.06,31.06,28.56,27.66,28.38,27.66,25.84,25.81,27.81,29.09,28.38,27.69,30.06,32.5,32.06,31.12,32.16,33.78,33.0,31.5,31.44,33.78,34.62,33.88,34.12,36.12,37.03,34.69,32.44,32.22,32.5,30.34,28.03,28.25,29.56,29.59,28.56,29.28,31.91,33.22,32.44,32.41,34.44,36.03,35.0,33.78,34.97,36.62,35.69,34.03,33.84,34.47,32.97,30.12,28.5,29.31,29.34,27.56,25.97,26.47,26.75,24.78,22.69,23.22,25.19,25.03,24.38,24.97,26.88,27.31,26.12,26.16,28.62,30.47,30.5,29.84,31.28,32.62,30.81,28.66,28.31,29.5,29.12,27.91,28.25,30.09,30.72,29.34,28.0,28.56,28.31,25.41,22.41,21.78,22.66,21.44,19.88,20.84,22.91,23.0,21.38,20.53,21.53,21.31,19.28,18.06,20.12,21.91,21.59,20.56,21.75,23.12,22.47,20.66,20.78,22.91,23.44,22.94,22.91,24.81,25.31,23.41,21.53,22.28,23.78,23.25,22.38,23.81,25.94,26.03,24.88,24.94,26.66,27.06,25.62,25.41,27.28,28.88,28.31,27.5,28.81,30.38,29.66,28.19,28.66,30.78,31.25,30.38,30.88,33.0,33.31,31.38,29.34,29.5,29.22,26.44,23.97,23.19,23.06,20.88,17.62,16.22,15.91,14.12,10.5,8.03,7.94,7.5,5.56,4.28,6.06,8.31,9.12,9.88,13.0,16.91,18.81,19.06,20.44,22.78,24.12,23.62,24.62,27.97,30.22,30.0,28.09,27.84,27.25,24.41,21.38,21.25,22.56,23.19,22.53,23.53,26.28,27.66,26.53,25.25,25.94,25.78,23.34,20.31,20.0,20.44,19.19,17.0,16.41,17.25,17.16,15.59,15.94,18.81,20.84,20.62,20.62,23.12,25.38,25.62,25.47,27.25,29.38,29.03,26.72,25.38,25.03,24.03,21.31,19.72,20.69,21.0,18.88,17.0,17.53,19.09,19.31,19.28,21.66,25.16,26.78,27.0,28.34,30.91,32.25,31.16,30.12,31.12,31.91,30.38,28.72,29.28,29.84,27.59,23.47,20.41,18.19,14.97,10.91,9.06,10.69,12.84,13.91,15.53,19.38,23.19,23.88,23.47,24.41,25.72,25.0,23.12,22.88,23.97,24.22,22.94,22.19,23.44,23.72,21.44,19.06,18.53,18.44,16.66,14.84,14.91,16.03,15.59,13.44,13.0,13.81,13.78,11.72,10.56,11.34,12.56,12.16,12.31,14.81,18.22,19.38,19.19,20.06,21.44,20.91,17.72,15.94,15.88,15.5,13.47,12.47,14.16,16.31,16.22,15.31,16.56,18.19,17.28,15.25,14.44,15.38,15.19,13.28,13.19,15.47,17.25,17.28,17.25,18.88,21.25,21.47,21.62,23.81,27.0,27.72,26.38,24.97,24.19,22.12,17.72,14.41,13.5,13.31,11.16,9.5,10.06,11.38,10.31,8.72,8.59,9.88,10.41,9.66,9.91,12.25,13.56,12.38,11.22,12.38,13.88,13.22,12.06,13.03,14.59,14.78,13.94,15.09,18.12,20.28,20.94,22.75,26.22,28.81,28.75,28.38,29.28,30.28,28.69,25.69,24.09,23.06,19.78,15.19,11.72,10.25,8.41,5.41,3.78,5.16,6.69,5.62,5.34,6.75,9.25,9.34,8.41,8.72,9.75,9.53,8.25,8.25,10.41,12.19,11.56,11.03,12.41,12.97,10.97,8.09,6.56,6.41,4.59,2.41,2.94,5.5,7.78,9.12,10.97,14.78,17.75,17.72,17.53,18.94,20.16,18.78,16.75,16.09,16.91,16.59,15.56,15.75,18.28,19.75,19.41,19.19,20.81,21.44,18.84,15.78,14.69,14.44,12.84,11.28,11.28,12.34,11.66,8.59,5.81,4.69,3.28,0.5,-0.75,1.72,5.59,8.12,10.0,13.75,17.44,17.84,16.34,15.38,15.81,15.16,13.0,12.56,14.53,16.28,16.41,16.34,18.84,21.66,22.47,22.06,23.53,25.41,25.0,22.62,20.22,19.53,17.44,13.81,11.12,11.44,12.47,12.03,11.88,14.06,16.91,17.53,16.94,18.31,20.75,22.34,22.44,23.09,25.19,25.75,23.75,21.25,20.53,19.75,16.41,12.81,11.66,11.88,10.78,8.88,8.56,10.03,10.47,9.38,9.41,12.28,14.88,15.81,16.19,18.38,20.66,20.06,18.06,18.16,18.62,17.31,14.47,12.78,13.0,12.66,10.72,9.44,10.25,10.47,8.25,5.84,6.03,7.5,7.56,7.25,9.0,12.03,13.12,12.19,12.56,14.19,14.84,13.22,11.59,12.53,13.44,12.59,11.34,12.06,13.56,12.62,9.81,8.53,9.06,8.91,7.56,7.69,10.03,11.81,11.0,9.31,9.62,9.66,7.12,3.62,3.16,4.19,4.5,4.38,5.81,9.09,11.31,11.75,12.38,15.53,18.28,18.25,17.91,19.38,20.56,19.59,17.41,16.56,17.0,16.0,13.78,12.62,14.25,15.22,14.12,14.06,16.03,17.66,16.88,14.81,14.59,15.09,14.09,12.22,12.69,14.59,15.69,14.44,14.25,15.59,16.69,15.88,15.59,17.84,20.31,20.75,19.81,20.44,21.75,20.78,17.91,16.25,16.06,14.72,11.19,8.97,9.09,9.34,8.0,6.91,8.31,11.0,12.34,12.88,15.59,19.47,21.09,20.0,19.69,20.66,20.56,17.94,15.59,15.47,15.19,13.0,10.62,10.5,11.31,10.38,8.09,7.88,9.44,9.97,8.38,8.28,9.97,11.44,10.75,11.12,13.97,17.47,18.75,19.22,21.47,25.06,26.53,25.97,26.22,27.5,26.41,22.75,19.44,18.78,18.16,15.84,13.47,14.09,15.88,15.78,15.5,17.53,21.12,22.66,21.66,21.41,22.31,22.28,20.0,18.62,19.91,21.41,20.09,18.69,19.38,21.09,20.88,19.44,19.62,21.06,20.75,18.59,17.47,18.28,18.72,16.84,15.41,16.38,17.91,17.06,16.34,17.75,19.94,20.41,19.06,18.62,19.94,20.31,18.53,18.0,19.72,21.03,20.16,19.03,20.09,21.91,21.38,19.84,20.41,21.84,21.5,19.38,17.94,18.22,17.81,14.94,13.06,14.06,15.62,15.0,14.38,16.16,19.25,19.62,18.47,19.06,20.59,20.31,18.38,17.62,19.56,20.88,19.59,18.5,19.19,20.5,19.66,18.56,19.78,21.97,21.44,18.84,17.59,17.47,16.59,14.03,12.78,14.72,16.38,15.78,14.94,16.72,18.81,18.62,18.03,19.03,21.34,21.66,20.84,21.38,24.0,25.56,24.62,23.28,24.0,24.0,21.25,18.41,18.0,18.38,16.66,14.22,13.25,14.22,14.25,12.81,12.66,14.16,14.78,12.31,10.12,10.38,11.28,10.88,10.41,12.81,16.69,18.34,18.62,20.53,23.69,24.97,23.91,23.06,24.09,24.12,22.03,19.94,20.12,20.47,18.25,15.12,14.12,14.81,14.53,13.66,14.62,18.06,20.28,20.09,20.0,22.0,23.25,22.25,20.28,19.88,20.19,18.41,15.44,14.91,16.41,16.84,15.47,14.75,15.69,15.44,12.75,10.34,11.09,12.88,12.78,12.75,14.75,17.06,16.97,14.72,13.5,13.97,13.53,11.38,10.31,11.56,12.38,10.94,9.22,10.38,12.12,11.62,10.44,10.91,12.66,12.34,10.62,10.19,11.56,11.53,9.47,7.19,8.22,9.53,8.59,8.0,10.5,13.44,13.94,13.53,14.66,17.09,18.22,17.78,17.97,19.91,19.84,16.62,12.97,11.47,10.41,8.0,6.25,7.69,10.19,11.03,10.12,9.94,10.94,10.72,8.75,7.69,9.34,11.06,10.75,10.94,13.62,16.28,17.09,16.19,17.16,18.75,18.66,16.41,15.09,16.12,16.38,14.88,14.78,17.62,20.12,20.5,20.06,21.25,22.41,21.06,18.53,17.62,18.31,17.56,14.97,14.03,15.41,16.81,16.41,16.88,19.38,21.91,21.66,20.62,21.12,21.62,20.06,17.0,14.75,13.81,12.25,8.5,5.72,5.62,5.97,5.03,5.12,7.94,12.0,13.88,14.5,16.56,18.88,19.06,16.41,14.5,13.94,12.59,10.19,9.69,12.31,15.41,16.34,16.56,18.0,19.16,18.06,15.28,14.09,13.84,12.41,9.06,6.81,6.88,6.47,4.03,2.69,4.09,6.59,7.28,7.97,11.38,15.66,17.88,18.84,20.94,24.12,26.41,26.28,27.25,30.19,32.72,32.72,32.41,33.31,33.72,31.53,27.56,25.16,23.28,19.88,14.69,10.97,8.94,7.19,3.69,2.0,3.97,6.72,8.09,9.53,12.91,16.41,17.88,17.94,20.16,24.66,28.19,30.19,33.0,37.0,39.53,38.31,37.03,36.16,34.72,30.69,25.75,22.53,21.12,18.31,14.66,13.06,13.34,13.09,11.31,10.44,11.97,13.59,12.84,12.22,14.03,16.78,17.91,18.84,21.78,25.75,28.06,28.28,28.94,30.53,30.59,27.91,25.5,25.09,24.59,21.84,19.25,18.94,20.38,20.72,20.53,22.69,26.53,29.28,30.12,31.62,34.56,36.06,34.59,32.75,33.03,33.34,32.06,30.75,31.72,33.91,34.12,32.75,31.84,32.16,31.0,28.0,25.81,25.97,26.22,24.38,22.69,22.78,23.38,21.94,19.97,19.5,20.88,20.94,19.66,19.69,21.44,22.25,20.72,19.78,21.16,23.25,23.91,24.56,26.97,30.09,30.66,29.41,29.47,31.0,31.59,30.34,30.16,31.62,32.72,31.25,29.41,29.91,26.25,23.53,22.5,21.75,19.94,19.06:27.72,28.38,30.53,31.53,29.81,28.47,29.47,30.78,29.94,28.97,30.25,32.06,31.06,28.56,27.66,28.38,27.66,25.84,25.81,27.81,29.09,28.38,27.69,30.06,32.5,32.06,31.12,32.16,33.78,33.0,31.5,31.44,33.78,34.62,33.88,34.12,36.12,37.03,34.69,32.44,32.22,32.5,30.34,28.03,28.25,29.56,29.59,28.56,29.28,31.91,33.22,32.44,32.41,34.44,36.03,35.0,33.78,34.97,36.62,35.69,34.03,33.84,34.47,32.97,30.12,28.5,29.31,29.34,27.56,25.97,26.47,26.75,24.78,22.69,23.22,25.19,25.03,24.38,24.97,26.88,27.31,26.12,26.16,28.62,30.47,30.5,29.84,31.28,32.62,30.81,28.66,28.31,29.5,29.12,27.91,28.25,30.09,30.72,29.34,28.0,28.56,28.31,25.41,22.41,21.78,22.66,21.44,19.88,20.84,22.91,23.0,21.38,20.53,21.53,21.31,19.28,18.06,20.12,21.91,21.59,20.56,21.75,23.12,22.47,20.66,20.78,22.91,23.44,22.94,22.91,24.81,25.31,23.41,21.53,22.28,23.78,23.25,22.38,23.81,25.94,26.03,24.88,24.94,26.66,27.06,25.62,25.41,27.28,28.88,28.31,27.5,28.81,30.38,29.66,28.19,28.66,30.78,31.25,30.38,30.88,33.0,33.31,31.38,29.34,29.5,29.22,26.44,23.97,23.19,23.06,20.88,17.62,16.22,15.91,14.12,10.5,8.03,7.94,7.5,5.56,4.28,6.06,8.31,9.12,9.88,13.0,16.91,18.81,19.06,20.44,22.78,24.12,23.62,24.62,27.97,30.22,30.0,28.09,27.84,27.25,24.41,21.38,21.25,22.56,23.19,22.53,23.53,26.28,27.66,26.53,25.25,25.94,25.78,23.34,20.31,20.0,20.44,19.19,17.0,16.41,17.25,17.16,15.59,15.94,18.81,20.84,20.62,20.62,23.12,25.38,25.62,25.47,27.25,29.38,29.03,26.72,25.38,25.03,24.03,21.31,19.72,20.69,21.0,18.88,17.0,17.53,19.09,19.31,19.28,21.66,25.16,26.78,27.0,28.34,30.91,32.25,31.16,30.12,31.12,31.91,30.38,28.72,29.28,29.84,27.59,23.47,20.41,18.19,14.97,10.91,9.06,10.69,12.84,13.91,15.53,19.38,23.19,23.88,23.47,24.41,25.72,25.0,23.12,22.88,23.97,24.22,22.94,22.19,23.44,23.72,21.44,19.06,18.53,18.44,16.66,14.84,14.91,16.03,15.59,13.44,13.0,13.81,13.78,11.72,10.56,11.34,12.56,12.16,12.31,14.81,18.22,19.38,19.19,20.06,21.44,20.91,17.72,15.94,15.88,15.5,13.47,12.47,14.16,16.31,16.22,15.31,16.56,18.19,17.28,15.25,14.44,15.38,15.19,13.28,13.19,15.47,17.25,17.28,17.25,18.88,21.25,21.47,21.62,23.81,27.0,27.72,26.38,24.97,24.19,22.12,17.72,14.41,13.5,13.31,11.16,9.5,10.06,11.38,10.31,8.72,8.59,9.88,10.41,9.66,9.91,12.25,13.56,12.38,11.22,12.38,13.88,13.22,12.06,13.03,14.59,14.78,13.94,15.09,18.12,20.28,20.94,22.75,26.22,28.81,28.75,28.38,29.28,30.28,28.69,25.69,24.09,23.06,19.78,15.19,11.72,10.25,8.41,5.41,3.78,5.16,6.69,5.62,5.34,6.75,9.25,9.34,8.41,8.72,9.75,9.53,8.25,8.25,10.41,12.19,11.56,11.03,12.41,12.97,10.97,8.09,6.56,6.41,4.59,2.41,2.94,5.5,7.78,9.12,10.97,14.78,17.75,17.72,17.53,18.94,20.16,18.78,16.75,16.09,16.91,16.59,15.56,15.75,18.28,19.75,19.41,19.19,20.81,21.44,18.84,15.78,14.69,14.44,12.84,11.28,11.28,12.34,11.66,8.59,5.81,4.69,3.28,0.5,-0.75,1.72,5.59,8.12,10.0,13.75,17.44,17.84,16.34,15.38,15.81,15.16,13.0,12.56,14.53,16.28,16.41,16.34,18.84,21.66,22.47,22.06,23.53,25.41,25.0,22.62,20.22,19.53,17.44,13.81,11.12,11.44,12.47,12.03,11.88,14.06,16.91,17.53,16.94,18.31,20.75,22.34,22.44,23.09,25.19,25.75,23.75,21.25,20.53,19.75,16.41,12.81,11.66,11.88,10.78,8.88,8.56,10.03,10.47,9.38,9.41,12.28,14.88,15.81,16.19,18.38,20.66,20.06,18.06,18.16,18.62,17.31,14.47,12.78,13.0,12.66,10.72,9.44,10.25,10.47,8.25,5.84,6.03,7.5,7.56,7.25,9.0,12.03,13.12,12.19,12.56,14.19,14.84,13.22,11.59,12.53,13.44,12.59,11.34,12.06,13.56,12.62,9.81,8.53,9.06,8.91,7.56,7.69,10.03,11.81,11.0,9.31,9.62,9.66,7.12,3.62,3.16,4.19,4.5,4.38,5.81,9.09,11.31,11.75,12.38,15.53,18.28,18.25,17.91,19.38,20.56,19.59,17.41,16.56,17.0,16.0,13.78,12.62,14.25,15.22,14.12,14.06,16.03,17.66,16.88,14.81,14.59,15.09,14.09,12.22,12.69,14.59,15.69,14.44,14.25,15.59,16.69,15.88,15.59,17.84,20.31,20.75,19.81,20.44,21.75,20.78,17.91,16.25,16.06,14.72,11.19,8.97,9.09,9.34,8.0,6.91,8.31,11.0,12.34,12.88,15.59,19.47,21.09,20.0,19.69,20.66,20.56,17.94,15.59,15.47,15.19,13.0,10.62,10.5,11.31,10.38,8.09,7.88,9.44,9.97,8.38,8.28,9.97,11.44,10.75,11.12,13.97,17.47,18.75,19.22,21.47,25.06,26.53,25.97,26.22,27.5,26.41,22.75,19.44,18.78,18.16,15.84,13.47,14.09,15.88,15.78,15.5,17.53,21.12,22.66,21.66,21.41,22.31,22.28,20.0,18.62,19.91,21.41,20.09,18.69,19.38,21.09,20.88,19.44,19.62,21.06,20.75,18.59,17.47,18.28,18.72,16.84,15.41,16.38,17.91,17.06,16.34,17.75,19.94,20.41,19.06,18.62,19.94,20.31,18.53,18.0,19.72,21.03,20.16,19.03,20.09,21.91,21.38,19.84,20.41,21.84,21.5,19.38,17.94,18.22,17.81,14.94,13.06,14.06,15.62,15.0,14.38,16.16,19.25,19.62,18.47,19.06,20.59,20.31,18.38,17.62,19.56,20.88,19.59,18.5,19.19,20.5,19.66,18.56,19.78,21.97,21.44,18.84,17.59,17.47,16.59,14.03,12.78,14.72,16.38,15.78,14.94,16.72,18.81,18.62,18.03,19.03,21.34,21.66,20.84,21.38,24.0,25.56,24.62,23.28,24.0,24.0,21.25,18.41,18.0,18.38,16.66,14.22,13.25,14.22,14.25,12.81,12.66,14.16,14.78,12.31,10.12,10.38,11.28,10.88,10.41,12.81,16.69,18.34,18.62,20.53,23.69,24.97,23.91,23.06,24.09,24.12,22.03,19.94,20.12,20.47,18.25,15.12,14.12,14.81,14.53,13.66,14.62,18.06,20.28,20.09,20.0,22.0,23.25,22.25,20.28,19.88,20.19,18.41,15.44,14.91,16.41,16.84,15.47,14.75,15.69,15.44,12.75,10.34,11.09,12.88,12.78,12.75,14.75,17.06,16.97,14.72,13.5,13.97,13.53,11.38,10.31,11.56,12.38,10.94,9.22,10.38,12.12,11.62,10.44,10.91,12.66,12.34,10.62,10.19,11.56,11.53,9.47,7.19,8.22,9.53,8.59,8.0,10.5,13.44,13.94,13.53,14.66,17.09,18.22,17.78,17.97,19.91,19.84,16.62,12.97,11.47,10.41,8.0,6.25,7.69,10.19,11.03,10.12,9.94,10.94,10.72,8.75,7.69,9.34,11.06,10.75,10.94,13.62,16.28,17.09,16.19,17.16,18.75,18.66,16.41,15.09,16.12,16.38,14.88,14.78,17.62,20.12,20.5,20.06,21.25,22.41,21.06,18.53,17.62,18.31,17.56,14.97,14.03,15.41,16.81,16.41,16.88,19.38,21.91,21.66,20.62,21.12,21.62,20.06,17.0,14.75,13.81,12.25,8.5,5.72,5.62,5.97,5.03,5.12,7.94,12.0,13.88,14.5,16.56,18.88,19.06,16.41,14.5,13.94,12.59,10.19,9.69,12.31,15.41,16.34,16.56,18.0,19.16,18.06,15.28,14.09,13.84,12.41,9.06,6.81,6.88,6.47,4.03,2.69,4.09,6.59,7.28,7.97,11.38,15.66,17.88,18.84,20.94,24.12,26.41,26.28,27.25,30.19,32.72,32.72,32.41,33.31,33.72,31.53,27.56,25.16,23.28,19.88,14.69,10.97,8.94,7.19,3.69,2.0,3.97,6.72,8.09,9.53,12.91,16.41,17.88,17.94,20.16,24.66,28.19,30.19,33.0,37.0,39.53,38.31,37.03,36.16,34.72,30.69,25.75,22.53,21.12,18.31,14.66,13.06,13.34,13.09,11.31,10.44,11.97,13.59,12.84,12.22,14.03,16.78,17.91,18.84,21.78,25.75,28.06,28.28,28.94,30.53,30.59,27.91,25.5,25.09,24.59,21.84,19.25,18.94,20.38,20.72,20.53,22.69,26.53,29.28,30.12,31.62,34.56,36.06,34.59,32.75,33.03,33.34,32.06,30.75,31.72,33.91,34.12,32.75,31.84,32.16,31.0,28.0,25.81,25.97,26.22,24.38,22.69,22.78,23.38,21.94,19.97,19.5,20.88,20.94,19.66,19.69,21.44,22.25,20.72,19.78,21.16,23.25,23.91,24.56,26.97,30.09,30.66,29.41,29.47,31.0,31.59,30.34,30.16,31.62,32.72,31.25,29.41,29.91,26.25,23.53,22.5,21.75,19.94,19.06,20.47,22.03,22.12,21.62,22.09,23.59,24.09:30.78,29.94,28.97,30.25,32.06,31.06,28.56,27.66,28.38,27.66,25.84,25.81,27.81,29.09,28.38,27.69,30.06,32.5,32.06,31.12,32.16,33.78,33.0,31.5,31.44,33.78,34.62,33.88,34.12,36.12,37.03,34.69,32.44,32.22,32.5,30.34,28.03,28.25,29.56,29.59,28.56,29.28,31.91,33.22,32.44,32.41,34.44,36.03,35.0,33.78,34.97,36.62,35.69,34.03,33.84,34.47,32.97,30.12,28.5,29.31,29.34,27.56,25.97,26.47,26.75,24.78,22.69,23.22,25.19,25.03,24.38,24.97,26.88,27.31,26.12,26.16,28.62,30.47,30.5,29.84,31.28,32.62,30.81,28.66,28.31,29.5,29.12,27.91,28.25,30.09,30.72,29.34,28.0,28.56,28.31,25.41,22.41,21.78,22.66,21.44,19.88,20.84,22.91,23.0,21.38,20.53,21.53,21.31,19.28,18.06,20.12,21.91,21.59,20.56,21.75,23.12,22.47,20.66,20.78,22.91,23.44,22.94,22.91,24.81,25.31,23.41,21.53,22.28,23.78,23.25,22.38,23.81,25.94,26.03,24.88,24.94,26.66,27.06,25.62,25.41,27.28,28.88,28.31,27.5,28.81,30.38,29.66,28.19,28.66,30.78,31.25,30.38,30.88,33.0,33.31,31.38,29.34,29.5,29.22,26.44,23.97,23.19,23.06,20.88,17.62,16.22,15.91,14.12,10.5,8.03,7.94,7.5,5.56,4.28,6.06,8.31,9.12,9.88,13.0,16.91,18.81,19.06,20.44,22.78,24.12,23.62,24.62,27.97,30.22,30.0,28.09,27.84,27.25,24.41,21.38,21.25,22.56,23.19,22.53,23.53,26.28,27.66,26.53,25.25,25.94,25.78,23.34,20.31,20.0,20.44,19.19,17.0,16.41,17.25,17.16,15.59,15.94,18.81,20.84,20.62,20.62,23.12,25.38,25.62,25.47,27.25,29.38,29.03,26.72,25.38,25.03,24.03,21.31,19.72,20.69,21.0,18.88,17.0,17.53,19.09,19.31,19.28,21.66,25.16,26.78,27.0,28.34,30.91,32.25,31.16,30.12,31.12,31.91,30.38,28.72,29.28,29.84,27.59,23.47,20.41,18.19,14.97,10.91,9.06,10.69,12.84,13.91,15.53,19.38,23.19,23.88,23.47,24.41,25.72,25.0,23.12,22.88,23.97,24.22,22.94,22.19,23.44,23.72,21.44,19.06,18.53,18.44,16.66,14.84,14.91,16.03,15.59,13.44,13.0,13.81,13.78,11.72,10.56,11.34,12.56,12.16,12.31,14.81,18.22,19.38,19.19,20.06,21.44,20.91,17.72,15.94,15.88,15.5,13.47,12.47,14.16,16.31,16.22,15.31,16.56,18.19,17.28,15.25,14.44,15.38,15.19,13.28,13.19,15.47,17.25,17.28,17.25,18.88,21.25,21.47,21.62,23.81,27.0,27.72,26.38,24.97,24.19,22.12,17.72,14.41,13.5,13.31,11.16,9.5,10.06,11.38,10.31,8.72,8.59,9.88,10.41,9.66,9.91,12.25,13.56,12.38,11.22,12.38,13.88,13.22,12.06,13.03,14.59,14.78,13.94,15.09,18.12,20.28,20.94,22.75,26.22,28.81,28.75,28.38,29.28,30.28,28.69,25.69,24.09,23.06,19.78,15.19,11.72,10.25,8.41,5.41,3.78,5.16,6.69,5.62,5.34,6.75,9.25,9.34,8.41,8.72,9.75,9.53,8.25,8.25,10.41,12.19,11.56,11.03,12.41,12.97,10.97,8.09,6.56,6.41,4.59,2.41,2.94,5.5,7.78,9.12,10.97,14.78,17.75,17.72,17.53,18.94,20.16,18.78,16.75,16.09,16.91,16.59,15.56,15.75,18.28,19.75,19.41,19.19,20.81,21.44,18.84,15.78,14.69,14.44,12.84,11.28,11.28,12.34,11.66,8.59,5.81,4.69,3.28,0.5,-0.75,1.72,5.59,8.12,10.0,13.75,17.44,17.84,16.34,15.38,15.81,15.16,13.0,12.56,14.53,16.28,16.41,16.34,18.84,21.66,22.47,22.06,23.53,25.41,25.0,22.62,20.22,19.53,17.44,13.81,11.12,11.44,12.47,12.03,11.88,14.06,16.91,17.53,16.94,18.31,20.75,22.34,22.44,23.09,25.19,25.75,23.75,21.25,20.53,19.75,16.41,12.81,11.66,11.88,10.78,8.88,8.56,10.03,10.47,9.38,9.41,12.28,14.88,15.81,16.19,18.38,20.66,20.06,18.06,18.16,18.62,17.31,14.47,12.78,13.0,12.66,10.72,9.44,10.25,10.47,8.25,5.84,6.03,7.5,7.56,7.25,9.0,12.03,13.12,12.19,12.56,14.19,14.84,13.22,11.59,12.53,13.44,12.59,11.34,12.06,13.56,12.62,9.81,8.53,9.06,8.91,7.56,7.69,10.03,11.81,11.0,9.31,9.62,9.66,7.12,3.62,3.16,4.19,4.5,4.38,5.81,9.09,11.31,11.75,12.38,15.53,18.28,18.25,17.91,19.38,20.56,19.59,17.41,16.56,17.0,16.0,13.78,12.62,14.25,15.22,14.12,14.06,16.03,17.66,16.88,14.81,14.59,15.09,14.09,12.22,12.69,14.59,15.69,14.44,14.25,15.59,16.69,15.88,15.59,17.84,20.31,20.75,19.81,20.44,21.75,20.78,17.91,16.25,16.06,14.72,11.19,8.97,9.09,9.34,8.0,6.91,8.31,11.0,12.34,12.88,15.59,19.47,21.09,20.0,19.69,20.66,20.56,17.94,15.59,15.47,15.19,13.0,10.62,10.5,11.31,10.38,8.09,7.88,9.44,9.97,8.38,8.28,9.97,11.44,10.75,11.12,13.97,17.47,18.75,19.22,21.47,25.06,26.53,25.97,26.22,27.5,26.41,22.75,19.44,18.78,18.16,15.84,13.47,14.09,15.88,15.78,15.5,17.53,21.12,22.66,21.66,21.41,22.31,22.28,20.0,18.62,19.91,21.41,20.09,18.69,19.38,21.09,20.88,19.44,19.62,21.06,20.75,18.59,17.47,18.28,18.72,16.84,15.41,16.38,17.91,17.06,16.34,17.75,19.94,20.41,19.06,18.62,19.94,20.31,18.53,18.0,19.72,21.03,20.16,19.03,20.09,21.91,21.38,19.84,20.41,21.84,21.5,19.38,17.94,18.22,17.81,14.94,13.06,14.06,15.62,15.0,14.38,16.16,19.25,19.62,18.47,19.06,20.59,20.31,18.38,17.62,19.56,20.88,19.59,18.5,19.19,20.5,19.66,18.56,19.78,21.97,21.44,18.84,17.59,17.47,16.59,14.03,12.78,14.72,16.38,15.78,14.94,16.72,18.81,18.62,18.03,19.03,21.34,21.66,20.84,21.38,24.0,25.56,24.62,23.28,24.0,24.0,21.25,18.41,18.0,18.38,16.66,14.22,13.25,14.22,14.25,12.81,12.66,14.16,14.78,12.31,10.12,10.38,11.28,10.88,10.41,12.81,16.69,18.34,18.62,20.53,23.69,24.97,23.91,23.06,24.09,24.12,22.03,19.94,20.12,20.47,18.25,15.12,14.12,14.81,14.53,13.66,14.62,18.06,20.28,20.09,20.0,22.0,23.25,22.25,20.28,19.88,20.19,18.41,15.44,14.91,16.41,16.84,15.47,14.75,15.69,15.44,12.75,10.34,11.09,12.88,12.78,12.75,14.75,17.06,16.97,14.72,13.5,13.97,13.53,11.38,10.31,11.56,12.38,10.94,9.22,10.38,12.12,11.62,10.44,10.91,12.66,12.34,10.62,10.19,11.56,11.53,9.47,7.19,8.22,9.53,8.59,8.0,10.5,13.44,13.94,13.53,14.66,17.09,18.22,17.78,17.97,19.91,19.84,16.62,12.97,11.47,10.41,8.0,6.25,7.69,10.19,11.03,10.12,9.94,10.94,10.72,8.75,7.69,9.34,11.06,10.75,10.94,13.62,16.28,17.09,16.19,17.16,18.75,18.66,16.41,15.09,16.12,16.38,14.88,14.78,17.62,20.12,20.5,20.06,21.25,22.41,21.06,18.53,17.62,18.31,17.56,14.97,14.03,15.41,16.81,16.41,16.88,19.38,21.91,21.66,20.62,21.12,21.62,20.06,17.0,14.75,13.81,12.25,8.5,5.72,5.62,5.97,5.03,5.12,7.94,12.0,13.88,14.5,16.56,18.88,19.06,16.41,14.5,13.94,12.59,10.19,9.69,12.31,15.41,16.34,16.56,18.0,19.16,18.06,15.28,14.09,13.84,12.41,9.06,6.81,6.88,6.47,4.03,2.69,4.09,6.59,7.28,7.97,11.38,15.66,17.88,18.84,20.94,24.12,26.41,26.28,27.25,30.19,32.72,32.72,32.41,33.31,33.72,31.53,27.56,25.16,23.28,19.88,14.69,10.97,8.94,7.19,3.69,2.0,3.97,6.72,8.09,9.53,12.91,16.41,17.88,17.94,20.16,24.66,28.19,30.19,33.0,37.0,39.53,38.31,37.03,36.16,34.72,30.69,25.75,22.53,21.12,18.31,14.66,13.06,13.34,13.09,11.31,10.44,11.97,13.59,12.84,12.22,14.03,16.78,17.91,18.84,21.78,25.75,28.06,28.28,28.94,30.53,30.59,27.91,25.5,25.09,24.59,21.84,19.25,18.94,20.38,20.72,20.53,22.69,26.53,29.28,30.12,31.62,34.56,36.06,34.59,32.75,33.03,33.34,32.06,30.75,31.72,33.91,34.12,32.75,31.84,32.16,31.0,28.0,25.81,25.97,26.22,24.38,22.69,22.78,23.38,21.94,19.97,19.5,20.88,20.94,19.66,19.69,21.44,22.25,20.72,19.78,21.16,23.25,23.91,24.56,26.97,30.09,30.66,29.41,29.47,31.0,31.59,30.34,30.16,31.62,32.72,31.25,29.41,29.91,26.25,23.53,22.5,21.75,19.94,19.06,20.47,22.03,22.12,21.62,22.09,23.59,24.09,23.75,24.66,26.78,27.5,26.56,25.94,26.78:27.66,28.38,27.66,25.84,25.81,27.81,29.09,28.38,27.69,30.06,32.5,32.06,31.12,32.16,33.78,33.0,31.5,31.44,33.78,34.62,33.88,34.12,36.12,37.03,34.69,32.44,32.22,32.5,30.34,28.03,28.25,29.56,29.59,28.56,29.28,31.91,33.22,32.44,32.41,34.44,36.03,35.0,33.78,34.97,36.62,35.69,34.03,33.84,34.47,32.97,30.12,28.5,29.31,29.34,27.56,25.97,26.47,26.75,24.78,22.69,23.22,25.19,25.03,24.38,24.97,26.88,27.31,26.12,26.16,28.62,30.47,30.5,29.84,31.28,32.62,30.81,28.66,28.31,29.5,29.12,27.91,28.25,30.09,30.72,29.34,28.0,28.56,28.31,25.41,22.41,21.78,22.66,21.44,19.88,20.84,22.91,23.0,21.38,20.53,21.53,21.31,19.28,18.06,20.12,21.91,21.59,20.56,21.75,23.12,22.47,20.66,20.78,22.91,23.44,22.94,22.91,24.81,25.31,23.41,21.53,22.28,23.78,23.25,22.38,23.81,25.94,26.03,24.88,24.94,26.66,27.06,25.62,25.41,27.28,28.88,28.31,27.5,28.81,30.38,29.66,28.19,28.66,30.78,31.25,30.38,30.88,33.0,33.31,31.38,29.34,29.5,29.22,26.44,23.97,23.19,23.06,20.88,17.62,16.22,15.91,14.12,10.5,8.03,7.94,7.5,5.56,4.28,6.06,8.31,9.12,9.88,13.0,16.91,18.81,19.06,20.44,22.78,24.12,23.62,24.62,27.97,30.22,30.0,28.09,27.84,27.25,24.41,21.38,21.25,22.56,23.19,22.53,23.53,26.28,27.66,26.53,25.25,25.94,25.78,23.34,20.31,20.0,20.44,19.19,17.0,16.41,17.25,17.16,15.59,15.94,18.81,20.84,20.62,20.62,23.12,25.38,25.62,25.47,27.25,29.38,29.03,26.72,25.38,25.03,24.03,21.31,19.72,20.69,21.0,18.88,17.0,17.53,19.09,19.31,19.28,21.66,25.16,26.78,27.0,28.34,30.91,32.25,31.16,30.12,31.12,31.91,30.38,28.72,29.28,29.84,27.59,23.47,20.41,18.19,14.97,10.91,9.06,10.69,12.84,13.91,15.53,19.38,23.19,23.88,23.47,24.41,25.72,25.0,23.12,22.88,23.97,24.22,22.94,22.19,23.44,23.72,21.44,19.06,18.53,18.44,16.66,14.84,14.91,16.03,15.59,13.44,13.0,13.81,13.78,11.72,10.56,11.34,12.56,12.16,12.31,14.81,18.22,19.38,19.19,20.06,21.44,20.91,17.72,15.94,15.88,15.5,13.47,12.47,14.16,16.31,16.22,15.31,16.56,18.19,17.28,15.25,14.44,15.38,15.19,13.28,13.19,15.47,17.25,17.28,17.25,18.88,21.25,21.47,21.62,23.81,27.0,27.72,26.38,24.97,24.19,22.12,17.72,14.41,13.5,13.31,11.16,9.5,10.06,11.38,10.31,8.72,8.59,9.88,10.41,9.66,9.91,12.25,13.56,12.38,11.22,12.38,13.88,13.22,12.06,13.03,14.59,14.78,13.94,15.09,18.12,20.28,20.94,22.75,26.22,28.81,28.75,28.38,29.28,30.28,28.69,25.69,24.09,23.06,19.78,15.19,11.72,10.25,8.41,5.41,3.78,5.16,6.69,5.62,5.34,6.75,9.25,9.34,8.41,8.72,9.75,9.53,8.25,8.25,10.41,12.19,11.56,11.03,12.41,12.97,10.97,8.09,6.56,6.41,4.59,2.41,2.94,5.5,7.78,9.12,10.97,14.78,17.75,17.72,17.53,18.94,20.16,18.78,16.75,16.09,16.91,16.59,15.56,15.75,18.28,19.75,19.41,19.19,20.81,21.44,18.84,15.78,14.69,14.44,12.84,11.28,11.28,12.34,11.66,8.59,5.81,4.69,3.28,0.5,-0.75,1.72,5.59,8.12,10.0,13.75,17.44,17.84,16.34,15.38,15.81,15.16,13.0,12.56,14.53,16.28,16.41,16.34,18.84,21.66,22.47,22.06,23.53,25.41,25.0,22.62,20.22,19.53,17.44,13.81,11.12,11.44,12.47,12.03,11.88,14.06,16.91,17.53,16.94,18.31,20.75,22.34,22.44,23.09,25.19,25.75,23.75,21.25,20.53,19.75,16.41,12.81,11.66,11.88,10.78,8.88,8.56,10.03,10.47,9.38,9.41,12.28,14.88,15.81,16.19,18.38,20.66,20.06,18.06,18.16,18.62,17.31,14.47,12.78,13.0,12.66,10.72,9.44,10.25,10.47,8.25,5.84,6.03,7.5,7.56,7.25,9.0,12.03,13.12,12.19,12.56,14.19,14.84,13.22,11.59,12.53,13.44,12.59,11.34,12.06,13.56,12.62,9.81,8.53,9.06,8.91,7.56,7.69,10.03,11.81,11.0,9.31,9.62,9.66,7.12,3.62,3.16,4.19,4.5,4.38,5.81,9.09,11.31,11.75,12.38,15.53,18.28,18.25,17.91,19.38,20.56,19.59,17.41,16.56,17.0,16.0,13.78,12.62,14.25,15.22,14.12,14.06,16.03,17.66,16.88,14.81,14.59,15.09,14.09,12.22,12.69,14.59,15.69,14.44,14.25,15.59,16.69,15.88,15.59,17.84,20.31,20.75,19.81,20.44,21.75,20.78,17.91,16.25,16.06,14.72,11.19,8.97,9.09,9.34,8.0,6.91,8.31,11.0,12.34,12.88,15.59,19.47,21.09,20.0,19.69,20.66,20.56,17.94,15.59,15.47,15.19,13.0,10.62,10.5,11.31,10.38,8.09,7.88,9.44,9.97,8.38,8.28,9.97,11.44,10.75,11.12,13.97,17.47,18.75,19.22,21.47,25.06,26.53,25.97,26.22,27.5,26.41,22.75,19.44,18.78,18.16,15.84,13.47,14.09,15.88,15.78,15.5,17.53,21.12,22.66,21.66,21.41,22.31,22.28,20.0,18.62,19.91,21.41,20.09,18.69,19.38,21.09,20.88,19.44,19.62,21.06,20.75,18.59,17.47,18.28,18.72,16.84,15.41,16.38,17.91,17.06,16.34,17.75,19.94,20.41,19.06,18.62,19.94,20.31,18.53,18.0,19.72,21.03,20.16,19.03,20.09,21.91,21.38,19.84,20.41,21.84,21.5,19.38,17.94,18.22,17.81,14.94,13.06,14.06,15.62,15.0,14.38,16.16,19.25,19.62,18.47,19.06,20.59,20.31,18.38,17.62,19.56,20.88,19.59,18.5,19.19,20.5,19.66,18.56,19.78,21.97,21.44,18.84,17.59,17.47,16.59,14.03,12.78,14.72,16.38,15.78,14.94,16.72,18.81,18.62,18.03,19.03,21.34,21.66,20.84,21.38,24.0,25.56,24.62,23.28,24.0,24.0,21.25,18.41,18.0,18.38,16.66,14.22,13.25,14.22,14.25,12.81,12.66,14.16,14.78,12.31,10.12,10.38,11.28,10.88,10.41,12.81,16.69,18.34,18.62,20.53,23.69,24.97,23.91,23.06,24.09,24.12,22.03,19.94,20.12,20.47,18.25,15.12,14.12,14.81,14.53,13.66,14.62,18.06,20.28,20.09,20.0,22.0,23.25,22.25,20.28,19.88,20.19,18.41,15.44,14.91,16.41,16.84,15.47,14.75,15.69,15.44,12.75,10.34,11.09,12.88,12.78,12.75,14.75,17.06,16.97,14.72,13.5,13.97,13.53,11.38,10.31,11.56,12.38,10.94,9.22,10.38,12.12,11.62,10.44,10.91,12.66,12.34,10.62,10.19,11.56,11.53,9.47,7.19,8.22,9.53,8.59,8.0,10.5,13.44,13.94,13.53,14.66,17.09,18.22,17.78,17.97,19.91,19.84,16.62,12.97,11.47,10.41,8.0,6.25,7.69,10.19,11.03,10.12,9.94,10.94,10.72,8.75,7.69,9.34,11.06,10.75,10.94,13.62,16.28,17.09,16.19,17.16,18.75,18.66,16.41,15.09,16.12,16.38,14.88,14.78,17.62,20.12,20.5,20.06,21.25,22.41,21.06,18.53,17.62,18.31,17.56,14.97,14.03,15.41,16.81,16.41,16.88,19.38,21.91,21.66,20.62,21.12,21.62,20.06,17.0,14.75,13.81,12.25,8.5,5.72,5.62,5.97,5.03,5.12,7.94,12.0,13.88,14.5,16.56,18.88,19.06,16.41,14.5,13.94,12.59,10.19,9.69,12.31,15.41,16.34,16.56,18.0,19.16,18.06,15.28,14.09,13.84,12.41,9.06,6.81,6.88,6.47,4.03,2.69,4.09,6.59,7.28,7.97,11.38,15.66,17.88,18.84,20.94,24.12,26.41,26.28,27.25,30.19,32.72,32.72,32.41,33.31,33.72,31.53,27.56,25.16,23.28,19.88,14.69,10.97,8.94,7.19,3.69,2.0,3.97,6.72,8.09,9.53,12.91,16.41,17.88,17.94,20.16,24.66,28.19,30.19,33.0,37.0,39.53,38.31,37.03,36.16,34.72,30.69,25.75,22.53,21.12,18.31,14.66,13.06,13.34,13.09,11.31,10.44,11.97,13.59,12.84,12.22,14.03,16.78,17.91,18.84,21.78,25.75,28.06,28.28,28.94,30.53,30.59,27.91,25.5,25.09,24.59,21.84,19.25,18.94,20.38,20.72,20.53,22.69,26.53,29.28,30.12,31.62,34.56,36.06,34.59,32.75,33.03,33.34,32.06,30.75,31.72,33.91,34.12,32.75,31.84,32.16,31.0,28.0,25.81,25.97,26.22,24.38,22.69,22.78,23.38,21.94,19.97,19.5,20.88,20.94,19.66,19.69,21.44,22.25,20.72,19.78,21.16,23.25,23.91,24.56,26.97,30.09,30.66,29.41,29.47,31.0,31.59,30.34,30.16,31.62,32.72,31.25,29.41,29.91,26.25,23.53,22.5,21.75,19.94,19.06,20.47,22.03,22.12,21.62,22.09,23.59,24.09,23.75,24.66,26.78,27.5,26.56,25.94,26.78,27.75,27.09,26.53,27.44,28.5,27.66,26.0:28.38,27.69,30.06,32.5,32.06,31.12,32.16,33.78,33.0,31.5,31.44,33.78,34.62,33.88,34.12,36.12,37.03,34.69,32.44,32.22,32.5,30.34,28.03,28.25,29.56,29.59,28.56,29.28,31.91,33.22,32.44,32.41,34.44,36.03,35.0,33.78,34.97,36.62,35.69,34.03,33.84,34.47,32.97,30.12,28.5,29.31,29.34,27.56,25.97,26.47,26.75,24.78,22.69,23.22,25.19,25.03,24.38,24.97,26.88,27.31,26.12,26.16,28.62,30.47,30.5,29.84,31.28,32.62,30.81,28.66,28.31,29.5,29.12,27.91,28.25,30.09,30.72,29.34,28.0,28.56,28.31,25.41,22.41,21.78,22.66,21.44,19.88,20.84,22.91,23.0,21.38,20.53,21.53,21.31,19.28,18.06,20.12,21.91,21.59,20.56,21.75,23.12,22.47,20.66,20.78,22.91,23.44,22.94,22.91,24.81,25.31,23.41,21.53,22.28,23.78,23.25,22.38,23.81,25.94,26.03,24.88,24.94,26.66,27.06,25.62,25.41,27.28,28.88,28.31,27.5,28.81,30.38,29.66,28.19,28.66,30.78,31.25,30.38,30.88,33.0,33.31,31.38,29.34,29.5,29.22,26.44,23.97,23.19,23.06,20.88,17.62,16.22,15.91,14.12,10.5,8.03,7.94,7.5,5.56,4.28,6.06,8.31,9.12,9.88,13.0,16.91,18.81,19.06,20.44,22.78,24.12,23.62,24.62,27.97,30.22,30.0,28.09,27.84,27.25,24.41,21.38,21.25,22.56,23.19,22.53,23.53,26.28,27.66,26.53,25.25,25.94,25.78,23.34,20.31,20.0,20.44,19.19,17.0,16.41,17.25,17.16,15.59,15.94,18.81,20.84,20.62,20.62,23.12,25.38,25.62,25.47,27.25,29.38,29.03,26.72,25.38,25.03,24.03,21.31,19.72,20.69,21.0,18.88,17.0,17.53,19.09,19.31,19.28,21.66,25.16,26.78,27.0,28.34,30.91,32.25,31.16,30.12,31.12,31.91,30.38,28.72,29.28,29.84,27.59,23.47,20.41,18.19,14.97,10.91,9.06,10.69,12.84,13.91,15.53,19.38,23.19,23.88,23.47,24.41,25.72,25.0,23.12,22.88,23.97,24.22,22.94,22.19,23.44,23.72,21.44,19.06,18.53,18.44,16.66,14.84,14.91,16.03,15.59,13.44,13.0,13.81,13.78,11.72,10.56,11.34,12.56,12.16,12.31,14.81,18.22,19.38,19.19,20.06,21.44,20.91,17.72,15.94,15.88,15.5,13.47,12.47,14.16,16.31,16.22,15.31,16.56,18.19,17.28,15.25,14.44,15.38,15.19,13.28,13.19,15.47,17.25,17.28,17.25,18.88,21.25,21.47,21.62,23.81,27.0,27.72,26.38,24.97,24.19,22.12,17.72,14.41,13.5,13.31,11.16,9.5,10.06,11.38,10.31,8.72,8.59,9.88,10.41,9.66,9.91,12.25,13.56,12.38,11.22,12.38,13.88,13.22,12.06,13.03,14.59,14.78,13.94,15.09,18.12,20.28,20.94,22.75,26.22,28.81,28.75,28.38,29.28,30.28,28.69,25.69,24.09,23.06,19.78,15.19,11.72,10.25,8.41,5.41,3.78,5.16,6.69,5.62,5.34,6.75,9.25,9.34,8.41,8.72,9.75,9.53,8.25,8.25,10.41,12.19,11.56,11.03,12.41,12.97,10.97,8.09,6.56,6.41,4.59,2.41,2.94,5.5,7.78,9.12,10.97,14.78,17.75,17.72,17.53,18.94,20.16,18.78,16.75,16.09,16.91,16.59,15.56,15.75,18.28,19.75,19.41,19.19,20.81,21.44,18.84,15.78,14.69,14.44,12.84,11.28,11.28,12.34,11.66,8.59,5.81,4.69,3.28,0.5,-0.75,1.72,5.59,8.12,10.0,13.75,17.44,17.84,16.34,15.38,15.81,15.16,13.0,12.56,14.53,16.28,16.41,16.34,18.84,21.66,22.47,22.06,23.53,25.41,25.0,22.62,20.22,19.53,17.44,13.81,11.12,11.44,12.47,12.03,11.88,14.06,16.91,17.53,16.94,18.31,20.75,22.34,22.44,23.09,25.19,25.75,23.75,21.25,20.53,19.75,16.41,12.81,11.66,11.88,10.78,8.88,8.56,10.03,10.47,9.38,9.41,12.28,14.88,15.81,16.19,18.38,20.66,20.06,18.06,18.16,18.62,17.31,14.47,12.78,13.0,12.66,10.72,9.44,10.25,10.47,8.25,5.84,6.03,7.5,7.56,7.25,9.0,12.03,13.12,12.19,12.56,14.19,14.84,13.22,11.59,12.53,13.44,12.59,11.34,12.06,13.56,12.62,9.81,8.53,9.06,8.91,7.56,7.69,10.03,11.81,11.0,9.31,9.62,9.66,7.12,3.62,3.16,4.19,4.5,4.38,5.81,9.09,11.31,11.75,12.38,15.53,18.28,18.25,17.91,19.38,20.56,19.59,17.41,16.56,17.0,16.0,13.78,12.62,14.25,15.22,14.12,14.06,16.03,17.66,16.88,14.81,14.59,15.09,14.09,12.22,12.69,14.59,15.69,14.44,14.25,15.59,16.69,15.88,15.59,17.84,20.31,20.75,19.81,20.44,21.75,20.78,17.91,16.25,16.06,14.72,11.19,8.97,9.09,9.34,8.0,6.91,8.31,11.0,12.34,12.88,15.59,19.47,21.09,20.0,19.69,20.66,20.56,17.94,15.59,15.47,15.19,13.0,10.62,10.5,11.31,10.38,8.09,7.88,9.44,9.97,8.38,8.28,9.97,11.44,10.75,11.12,13.97,17.47,18.75,19.22,21.47,25.06,26.53,25.97,26.22,27.5,26.41,22.75,19.44,18.78,18.16,15.84,13.47,14.09,15.88,15.78,15.5,17.53,21.12,22.66,21.66,21.41,22.31,22.28,20.0,18.62,19.91,21.41,20.09,18.69,19.38,21.09,20.88,19.44,19.62,21.06,20.75,18.59,17.47,18.28,18.72,16.84,15.41,16.38,17.91,17.06,16.34,17.75,19.94,20.41,19.06,18.62,19.94,20.31,18.53,18.0,19.72,21.03,20.16,19.03,20.09,21.91,21.38,19.84,20.41,21.84,21.5,19.38,17.94,18.22,17.81,14.94,13.06,14.06,15.62,15.0,14.38,16.16,19.25,19.62,18.47,19.06,20.59,20.31,18.38,17.62,19.56,20.88,19.59,18.5,19.19,20.5,19.66,18.56,19.78,21.97,21.44,18.84,17.59,17.47,16.59,14.03,12.78,14.72,16.38,15.78,14.94,16.72,18.81,18.62,18.03,19.03,21.34,21.66,20.84,21.38,24.0,25.56,24.62,23.28,24.0,24.0,21.25,18.41,18.0,18.38,16.66,14.22,13.25,14.22,14.25,12.81,12.66,14.16,14.78,12.31,10.12,10.38,11.28,10.88,10.41,12.81,16.69,18.34,18.62,20.53,23.69,24.97,23.91,23.06,24.09,24.12,22.03,19.94,20.12,20.47,18.25,15.12,14.12,14.81,14.53,13.66,14.62,18.06,20.28,20.09,20.0,22.0,23.25,22.25,20.28,19.88,20.19,18.41,15.44,14.91,16.41,16.84,15.47,14.75,15.69,15.44,12.75,10.34,11.09,12.88,12.78,12.75,14.75,17.06,16.97,14.72,13.5,13.97,13.53,11.38,10.31,11.56,12.38,10.94,9.22,10.38,12.12,11.62,10.44,10.91,12.66,12.34,10.62,10.19,11.56,11.53,9.47,7.19,8.22,9.53,8.59,8.0,10.5,13.44,13.94,13.53,14.66,17.09,18.22,17.78,17.97,19.91,19.84,16.62,12.97,11.47,10.41,8.0,6.25,7.69,10.19,11.03,10.12,9.94,10.94,10.72,8.75,7.69,9.34,11.06,10.75,10.94,13.62,16.28,17.09,16.19,17.16,18.75,18.66,16.41,15.09,16.12,16.38,14.88,14.78,17.62,20.12,20.5,20.06,21.25,22.41,21.06,18.53,17.62,18.31,17.56,14.97,14.03,15.41,16.81,16.41,16.88,19.38,21.91,21.66,20.62,21.12,21.62,20.06,17.0,14.75,13.81,12.25,8.5,5.72,5.62,5.97,5.03,5.12,7.94,12.0,13.88,14.5,16.56,18.88,19.06,16.41,14.5,13.94,12.59,10.19,9.69,12.31,15.41,16.34,16.56,18.0,19.16,18.06,15.28,14.09,13.84,12.41,9.06,6.81,6.88,6.47,4.03,2.69,4.09,6.59,7.28,7.97,11.38,15.66,17.88,18.84,20.94,24.12,26.41,26.28,27.25,30.19,32.72,32.72,32.41,33.31,33.72,31.53,27.56,25.16,23.28,19.88,14.69,10.97,8.94,7.19,3.69,2.0,3.97,6.72,8.09,9.53,12.91,16.41,17.88,17.94,20.16,24.66,28.19,30.19,33.0,37.0,39.53,38.31,37.03,36.16,34.72,30.69,25.75,22.53,21.12,18.31,14.66,13.06,13.34,13.09,11.31,10.44,11.97,13.59,12.84,12.22,14.03,16.78,17.91,18.84,21.78,25.75,28.06,28.28,28.94,30.53,30.59,27.91,25.5,25.09,24.59,21.84,19.25,18.94,20.38,20.72,20.53,22.69,26.53,29.28,30.12,31.62,34.56,36.06,34.59,32.75,33.03,33.34,32.06,30.75,31.72,33.91,34.12,32.75,31.84,32.16,31.0,28.0,25.81,25.97,26.22,24.38,22.69,22.78,23.38,21.94,19.97,19.5,20.88,20.94,19.66,19.69,21.44,22.25,20.72,19.78,21.16,23.25,23.91,24.56,26.97,30.09,30.66,29.41,29.47,31.0,31.59,30.34,30.16,31.62,32.72,31.25,29.41,29.91,26.25,23.53,22.5,21.75,19.94,19.06,20.47,22.03,22.12,21.62,22.09,23.59,24.09,23.75,24.66,26.78,27.5,26.56,25.94,26.78,27.75,27.09,26.53,27.44,28.5,27.66,26.0,25.34,25.25,24.16,22.0,20.94,21.09,20.72:33.78,33.0,31.5,31.44,33.78,34.62,33.88,34.12,36.12,37.03,34.69,32.44,32.22,32.5,30.34,28.03,28.25,29.56,29.59,28.56,29.28,31.91,33.22,32.44,32.41,34.44,36.03,35.0,33.78,34.97,36.62,35.69,34.03,33.84,34.47,32.97,30.12,28.5,29.31,29.34,27.56,25.97,26.47,26.75,24.78,22.69,23.22,25.19,25.03,24.38,24.97,26.88,27.31,26.12,26.16,28.62,30.47,30.5,29.84,31.28,32.62,30.81,28.66,28.31,29.5,29.12,27.91,28.25,30.09,30.72,29.34,28.0,28.56,28.31,25.41,22.41,21.78,22.66,21.44,19.88,20.84,22.91,23.0,21.38,20.53,21.53,21.31,19.28,18.06,20.12,21.91,21.59,20.56,21.75,23.12,22.47,20.66,20.78,22.91,23.44,22.94,22.91,24.81,25.31,23.41,21.53,22.28,23.78,23.25,22.38,23.81,25.94,26.03,24.88,24.94,26.66,27.06,25.62,25.41,27.28,28.88,28.31,27.5,28.81,30.38,29.66,28.19,28.66,30.78,31.25,30.38,30.88,33.0,33.31,31.38,29.34,29.5,29.22,26.44,23.97,23.19,23.06,20.88,17.62,16.22,15.91,14.12,10.5,8.03,7.94,7.5,5.56,4.28,6.06,8.31,9.12,9.88,13.0,16.91,18.81,19.06,20.44,22.78,24.12,23.62,24.62,27.97,30.22,30.0,28.09,27.84,27.25,24.41,21.38,21.25,22.56,23.19,22.53,23.53,26.28,27.66,26.53,25.25,25.94,25.78,23.34,20.31,20.0,20.44,19.19,17.0,16.41,17.25,17.16,15.59,15.94,18.81,20.84,20.62,20.62,23.12,25.38,25.62,25.47,27.25,29.38,29.03,26.72,25.38,25.03,24.03,21.31,19.72,20.69,21.0,18.88,17.0,17.53,19.09,19.31,19.28,21.66,25.16,26.78,27.0,28.34,30.91,32.25,31.16,30.12,31.12,31.91,30.38,28.72,29.28,29.84,27.59,23.47,20.41,18.19,14.97,10.91,9.06,10.69,12.84,13.91,15.53,19.38,23.19,23.88,23.47,24.41,25.72,25.0,23.12,22.88,23.97,24.22,22.94,22.19,23.44,23.72,21.44,19.06,18.53,18.44,16.66,14.84,14.91,16.03,15.59,13.44,13.0,13.81,13.78,11.72,10.56,11.34,12.56,12.16,12.31,14.81,18.22,19.38,19.19,20.06,21.44,20.91,17.72,15.94,15.88,15.5,13.47,12.47,14.16,16.31,16.22,15.31,16.56,18.19,17.28,15.25,14.44,15.38,15.19,13.28,13.19,15.47,17.25,17.28,17.25,18.88,21.25,21.47,21.62,23.81,27.0,27.72,26.38,24.97,24.19,22.12,17.72,14.41,13.5,13.31,11.16,9.5,10.06,11.38,10.31,8.72,8.59,9.88,10.41,9.66,9.91,12.25,13.56,12.38,11.22,12.38,13.88,13.22,12.06,13.03,14.59,14.78,13.94,15.09,18.12,20.28,20.94,22.75,26.22,28.81,28.75,28.38,29.28,30.28,28.69,25.69,24.09,23.06,19.78,15.19,11.72,10.25,8.41,5.41,3.78,5.16,6.69,5.62,5.34,6.75,9.25,9.34,8.41,8.72,9.75,9.53,8.25,8.25,10.41,12.19,11.56,11.03,12.41,12.97,10.97,8.09,6.56,6.41,4.59,2.41,2.94,5.5,7.78,9.12,10.97,14.78,17.75,17.72,17.53,18.94,20.16,18.78,16.75,16.09,16.91,16.59,15.56,15.75,18.28,19.75,19.41,19.19,20.81,21.44,18.84,15.78,14.69,14.44,12.84,11.28,11.28,12.34,11.66,8.59,5.81,4.69,3.28,0.5,-0.75,1.72,5.59,8.12,10.0,13.75,17.44,17.84,16.34,15.38,15.81,15.16,13.0,12.56,14.53,16.28,16.41,16.34,18.84,21.66,22.47,22.06,23.53,25.41,25.0,22.62,20.22,19.53,17.44,13.81,11.12,11.44,12.47,12.03,11.88,14.06,16.91,17.53,16.94,18.31,20.75,22.34,22.44,23.09,25.19,25.75,23.75,21.25,20.53,19.75,16.41,12.81,11.66,11.88,10.78,8.88,8.56,10.03,10.47,9.38,9.41,12.28,14.88,15.81,16.19,18.38,20.66,20.06,18.06,18.16,18.62,17.31,14.47,12.78,13.0,12.66,10.72,9.44,10.25,10.47,8.25,5.84,6.03,7.5,7.56,7.25,9.0,12.03,13.12,12.19,12.56,14.19,14.84,13.22,11.59,12.53,13.44,12.59,11.34,12.06,13.56,12.62,9.81,8.53,9.06,8.91,7.56,7.69,10.03,11.81,11.0,9.31,9.62,9.66,7.12,3.62,3.16,4.19,4.5,4.38,5.81,9.09,11.31,11.75,12.38,15.53,18.28,18.25,17.91,19.38,20.56,19.59,17.41,16.56,17.0,16.0,13.78,12.62,14.25,15.22,14.12,14.06,16.03,17.66,16.88,14.81,14.59,15.09,14.09,12.22,12.69,14.59,15.69,14.44,14.25,15.59,16.69,15.88,15.59,17.84,20.31,20.75,19.81,20.44,21.75,20.78,17.91,16.25,16.06,14.72,11.19,8.97,9.09,9.34,8.0,6.91,8.31,11.0,12.34,12.88,15.59,19.47,21.09,20.0,19.69,20.66,20.56,17.94,15.59,15.47,15.19,13.0,10.62,10.5,11.31,10.38,8.09,7.88,9.44,9.97,8.38,8.28,9.97,11.44,10.75,11.12,13.97,17.47,18.75,19.22,21.47,25.06,26.53,25.97,26.22,27.5,26.41,22.75,19.44,18.78,18.16,15.84,13.47,14.09,15.88,15.78,15.5,17.53,21.12,22.66,21.66,21.41,22.31,22.28,20.0,18.62,19.91,21.41,20.09,18.69,19.38,21.09,20.88,19.44,19.62,21.06,20.75,18.59,17.47,18.28,18.72,16.84,15.41,16.38,17.91,17.06,16.34,17.75,19.94,20.41,19.06,18.62,19.94,20.31,18.53,18.0,19.72,21.03,20.16,19.03,20.09,21.91,21.38,19.84,20.41,21.84,21.5,19.38,17.94,18.22,17.81,14.94,13.06,14.06,15.62,15.0,14.38,16.16,19.25,19.62,18.47,19.06,20.59,20.31,18.38,17.62,19.56,20.88,19.59,18.5,19.19,20.5,19.66,18.56,19.78,21.97,21.44,18.84,17.59,17.47,16.59,14.03,12.78,14.72,16.38,15.78,14.94,16.72,18.81,18.62,18.03,19.03,21.34,21.66,20.84,21.38,24.0,25.56,24.62,23.28,24.0,24.0,21.25,18.41,18.0,18.38,16.66,14.22,13.25,14.22,14.25,12.81,12.66,14.16,14.78,12.31,10.12,10.38,11.28,10.88,10.41,12.81,16.69,18.34,18.62,20.53,23.69,24.97,23.91,23.06,24.09,24.12,22.03,19.94,20.12,20.47,18.25,15.12,14.12,14.81,14.53,13.66,14.62,18.06,20.28,20.09,20.0,22.0,23.25,22.25,20.28,19.88,20.19,18.41,15.44,14.91,16.41,16.84,15.47,14.75,15.69,15.44,12.75,10.34,11.09,12.88,12.78,12.75,14.75,17.06,16.97,14.72,13.5,13.97,13.53,11.38,10.31,11.56,12.38,10.94,9.22,10.38,12.12,11.62,10.44,10.91,12.66,12.34,10.62,10.19,11.56,11.53,9.47,7.19,8.22,9.53,8.59,8.0,10.5,13.44,13.94,13.53,14.66,17.09,18.22,17.78,17.97,19.91,19.84,16.62,12.97,11.47,10.41,8.0,6.25,7.69,10.19,11.03,10.12,9.94,10.94,10.72,8.75,7.69,9.34,11.06,10.75,10.94,13.62,16.28,17.09,16.19,17.16,18.75,18.66,16.41,15.09,16.12,16.38,14.88,14.78,17.62,20.12,20.5,20.06,21.25,22.41,21.06,18.53,17.62,18.31,17.56,14.97,14.03,15.41,16.81,16.41,16.88,19.38,21.91,21.66,20.62,21.12,21.62,20.06,17.0,14.75,13.81,12.25,8.5,5.72,5.62,5.97,5.03,5.12,7.94,12.0,13.88,14.5,16.56,18.88,19.06,16.41,14.5,13.94,12.59,10.19,9.69,12.31,15.41,16.34,16.56,18.0,19.16,18.06,15.28,14.09,13.84,12.41,9.06,6.81,6.88,6.47,4.03,2.69,4.09,6.59,7.28,7.97,11.38,15.66,17.88,18.84,20.94,24.12,26.41,26.28,27.25,30.19,32.72,32.72,32.41,33.31,33.72,31.53,27.56,25.16,23.28,19.88,14.69,10.97,8.94,7.19,3.69,2.0,3.97,6.72,8.09,9.53,12.91,16.41,17.88,17.94,20.16,24.66,28.19,30.19,33.0,37.0,39.53,38.31,37.03,36.16,34.72,30.69,25.75,22.53,21.12,18.31,14.66,13.06,13.34,13.09,11.31,10.44,11.97,13.59,12.84,12.22,14.03,16.78,17.91,18.84,21.78,25.75,28.06,28.28,28.94,30.53,30.59,27.91,25.5,25.09,24.59,21.84,19.25,18.94,20.38,20.72,20.53,22.69,26.53,29.28,30.12,31.62,34.56,36.06,34.59,32.75,33.03,33.34,32.06,30.75,31.72,33.91,34.12,32.75,31.84,32.16,31.0,28.0,25.81,25.97,26.22,24.38,22.69,22.78,23.38,21.94,19.97,19.5,20.88,20.94,19.66,19.69,21.44,22.25,20.72,19.78,21.16,23.25,23.91,24.56,26.97,30.09,30.66,29.41,29.47,31.0,31.59,30.34,30.16,31.62,32.72,31.25,29.41,29.91,26.25,23.53,22.5,21.75,19.94,19.06,20.47,22.03,22.12,21.62,22.09,23.59,24.09,23.75,24.66,26.78,27.5,26.56,25.94,26.78,27.75,27.09,26.53,27.44,28.5,27.66,26.0,25.34,25.25,24.16,22.0,20.94,21.09,20.72,18.72,17.03,17.47,18.66,18.78,19.25,21.72:positivity
31.38,30.5,31.44,31.16,29.41,28.22,29.91,31.38,30.25,28.75,29.16,30.19,28.59,26.09,24.91,25.94,25.44,23.94,24.16,26.88,28.19,26.75,24.81,25.47,26.69,25.53,25.03,27.38,30.88,31.47,30.12,29.62,29.69,28.0,24.41,22.34,23.28,24.06,23.25,22.38,24.31,26.22,25.84,24.81,25.84,27.72,27.91,26.56,26.59,28.28,28.72,26.75,25.0,26.0,26.72,25.28,24.0,25.09,26.25,24.72,22.31,21.72,22.97,22.25,21.12,21.44,24.31,26.53,26.59,27.44,30.03,32.31,31.47,30.12,30.94,32.28,30.94,28.78,28.53,29.72,28.97,26.94,26.0,27.06,27.69,26.12,24.94,26.06,27.66,26.41,24.62,25.5,27.12,26.88,25.31,25.25,27.28,27.81,26.81,26.5,28.78,29.47,27.66,25.75,26.25,27.22,26.91,26.66,28.75,32.53,33.84,33.38,33.38,34.47,33.47,30.66,28.09,27.97,27.47,24.47,21.06,20.19,20.0,18.03,15.28,15.09,16.72,17.0,16.0,16.66,19.69,21.84,21.19,20.66,21.81,22.12,19.41,15.59,13.59,12.38,9.56,5.69,4.41,5.31,5.75,4.78,4.75,7.22,8.72,7.72,6.75,8.44,10.5,10.97,11.12,13.53,16.72,17.78,16.56,15.75,16.47,15.44,12.0,8.91,7.78,6.47,3.5,1.69,3.78,7.78,10.47,12.56,16.75,22.34,25.78,26.75,28.5,30.97,31.94,30.06,28.5,29.38,30.44,28.97,26.97,27.0,26.72,24.16,19.72,17.03,16.03,14.03,10.56,8.69,9.16,9.25,7.38,6.03,8.22,11.25,12.91,15.09,19.88,25.5,28.94,29.72,30.97,32.78,33.38,31.44,30.03,30.94,30.97,28.5,26.16,26.66,27.97,27.66,26.19,26.34,27.0,25.91,23.34,22.78,24.78,26.19,25.41,24.94,26.75,27.72,26.0,24.44,25.0,26.22,26.16,25.81,28.16,31.72,33.94,33.5,33.69,34.0,32.75,29.25,26.06,25.56,25.81,24.28,22.62,23.31,25.22,25.38,24.72,25.84,28.16,29.0,27.91,27.69,30.0,31.88,31.19,30.03,30.16,29.88,26.72,22.62,21.69,21.88,21.16,19.44,19.25,20.75,21.81,21.06,21.41,24.34,26.81,26.19,24.84,25.12,25.81,24.44,22.44,22.56,23.66,23.81,22.22,21.69,22.94,23.19,20.59,19.06,20.28,22.09,22.19,22.31,24.41,26.75,26.59,25.0,25.12,26.53,27.0,26.22,26.59,29.03,30.06,28.09,25.88,25.19,24.72,22.75,21.12,22.34,25.0,25.81,25.0,25.03,26.12,25.25,22.34,20.41,20.56,21.19,19.31,17.69,18.59,19.75,18.41,16.31,16.38,18.19,18.91,18.78,20.59,24.31,27.25,27.16,27.31,28.5,29.06,27.03,24.34,24.0,24.38,22.81,20.12,19.16,19.44,18.5,16.5,15.78,18.44,21.62,23.44,25.88,30.0,33.22,32.59,30.5,29.69,29.41,27.44,24.97,24.41,25.84,26.0,24.69,24.38,26.16,28.28,28.0,27.75,28.66,29.97,28.44,25.97,25.41,25.72,24.44,22.19,21.88,23.59,25.19,24.78,24.62,26.16,27.0,25.81,24.88,26.09,28.31,28.41,27.0,26.91,27.97,27.09,24.03,22.41,22.0,20.56,16.88,13.94,13.81,14.5,13.66,13.09,14.91,17.94,19.34,19.59,21.03,24.0,25.81,25.28,25.25,27.44,28.78,27.66,26.19,26.16,25.88,23.25,19.69,18.12,18.12,16.62,14.44,13.59,14.56,14.88,12.94,11.66,13.34,15.44,15.84,16.78,20.16,24.16,25.62,26.09,27.34,29.75,30.0,28.0,26.94,27.59,27.5,25.44,24.41,25.91,27.34,26.41,24.88,25.03,26.03,25.06,22.88,22.25,23.47,23.12,21.19,19.91,20.94,21.47,20.12,19.59,21.72,24.19,24.5,23.94,24.16,25.28,24.5,22.06,21.0,21.91,21.94,20.22,19.16,20.19,20.97,18.97,17.03,17.22,18.53,18.5,18.31,19.84,22.94,24.31,23.25,22.56,23.47,22.72,20.03,18.31,19.44,21.12,21.28,20.75,22.06,23.78,22.62,20.03,19.25,19.91,19.66,18.41,18.06,20.0,21.12,19.88,18.59,19.69,20.56,19.19,17.41,17.56,18.34,17.72,15.94,15.47,17.0,17.41,16.12,15.72,17.53,19.0,18.16,16.97,18.03,19.28,18.06,16.16,16.34,17.81,17.59,15.66,14.09,13.91,12.5,9.16,7.03,8.31,10.06,10.28,9.78,11.66,13.53,13.28,11.44,11.66,13.44,14.0,13.19,12.91,14.88,15.78,14.25,13.22,14.25,14.94,13.56,11.66,12.0,13.47,13.19,11.94,12.22,13.5,13.38,11.56,10.66,11.56,12.19,10.22,8.16,8.34,8.69,7.44,6.0,7.47,10.56,12.38,13.03,15.12,18.5,20.41,19.66,19.09,20.34,20.81,19.28,17.44,18.09,19.66,18.66,16.06,15.56,15.44,14.06,11.0,9.44,9.81,9.78,7.44,5.41,6.22,7.38,6.62,5.59,7.19,9.78,10.41,9.38,9.69,10.5,10.12,7.81,7.16,9.53,12.0,12.75,12.94,15.31,17.34,16.5,15.12,15.31,16.91,17.34,16.66,17.81,20.31,21.25,19.03,16.78,16.38,15.53,13.41,11.38,12.41,14.09,13.44,11.41,11.09,11.56,10.69,8.47,8.12,9.62,10.94,9.88,9.03,10.09,10.91,9.66,7.75,8.41,9.78,9.62,8.12,8.59,10.91,12.0,11.44,12.28,14.94,16.88,15.84,14.88,15.84,16.41,14.59,12.06,11.94,13.28,13.22,12.19,13.03,15.47,16.25,14.84,13.91,15.12,16.19,14.59,13.03,13.12,13.66,11.84,8.78,8.41,9.41,9.41,8.09,8.5,10.91,12.69,11.38,10.5,11.31,11.12,8.44,4.88,3.91,3.59,1.62,-0.62,-0.5,1.53,2.59,2.28,3.22,6.34,8.53,8.34,8.28,9.69,10.47,7.72,3.88,1.62,0.03,-2.5,-4.75,-3.94,-0.31,3.0,4.09,6.06,9.72,11.62,10.06,8.56,8.91,9.19,7.56,5.81,6.41,8.66,9.78,9.91,11.62,14.88,16.66,15.5,14.38,14.94,14.75,11.66,8.75,8.5,9.41,8.41,7.38,8.69,11.38,12.75,12.28,13.16,15.97,17.88,16.91,16.44,17.88,18.53,16.5,14.06,13.38,13.88,11.5,7.91,5.91,5.19,2.88,-1.75,-4.69,-4.94,-4.47,-4.94,-3.62,0.66,4.75,5.44,4.84,5.44,7.12,6.91,5.69,6.47,8.59,9.75,8.91,8.69,11.28,13.38,12.31,10.94,11.03,11.03,8.06,3.75,1.06,-0.56,-4.38,-9.59,-12.97,-13.5,-13.97,-15.25,-14.31,-9.75,-4.38,-1.22,2.22,7.56,13.44,16.25,17.34,18.81,20.34,18.59,14.22,10.31,8.19,6.0,1.62,-1.5,-1.5,-1.22,-3.09,-5.12,-4.59,-2.69,-2.84,-3.62,-2.62,0.19,1.75,2.12,4.41,9.75,14.81,16.91,18.72,21.0,21.88,18.91,15.19,13.88,13.97,12.88,10.56,9.25,9.19,7.0,2.56,-1.47,-2.75,-3.47,-5.94,-7.59,-6.38,-3.47,-2.28,-1.38,1.72,6.16,8.19,8.09,8.09,9.66,9.75,7.09,4.69,4.38,3.72,0.53,-2.34,-2.97,-2.09,-3.31,-5.28,-5.69,-3.91,-4.09,-6.44,-7.47,-6.22,-6.06,-7.5,-7.81,-4.84,-1.34,-0.31,-0.22,1.34,2.66,1.19,-1.78,-2.72,-1.78,-1.88,-3.16,-3.56,-1.94,-1.31,-2.97,-5.03,-4.12,-2.97,-3.94,-5.03,-4.16,-2.31,-2.88,-5.09,-6.03,-4.34,-3.12,-2.34,-0.22,4.66,8.78,9.47,9.03,10.31,12.0,11.19,9.25,8.84,9.88,8.38,5.31,3.81,4.75,5.25,3.72,3.0,4.69,5.81,4.28,1.75,1.0,1.22,0.06,-0.91,0.72,4.56,7.12,6.75,6.28,7.53,7.09,4.5,2.34,2.59,3.19,1.5,-0.75,-0.28,1.31,0.97,-0.59,-0.59,1.0,0.75,-1.06,-1.59,0.03,1.28,0.59,-0.22,1.25,2.91,2.06,0.53,1.06,2.78,2.94,1.72,1.66,3.5,3.75,2.0,0.88,2.59,3.53,2.16,0.28,0.28,0.56,-1.16,-3.88,-4.28,-3.0,-2.53,-3.16,-1.97,1.44,3.69,3.31,2.59,4.03,4.88,3.16,0.97,1.0,2.09,1.03,-0.88,-0.97,0.28,0.28,-2.22,-4.09,-3.62,-3.28,-4.75,-5.16,-2.06,1.62,2.81,3.09,5.31,7.72,7.97,6.66,6.19,6.5,4.97,0.88,-2.47,-2.81,-2.62,-3.62,-4.0,-1.22,1.78,2.62,2.66,4.69,7.81,9.12,8.91,10.03,12.38,13.28,11.31,9.25,8.81,7.88,4.84,1.72,1.41,1.88,1.12,-0.47,0.22,2.12,2.72,1.47,1.5,3.59,4.88,3.62,2.88,4.09,5.06,3.75,2.44,4.09,6.81,8.12,8.12,9.56,11.62,11.34,8.34,5.53,4.22,1.97,-2.31,-5.28,-4.97,-3.66,-3.59,-3.5,-0.56,3.94,7.12,9.16,12.16,16.22,17.91,16.41,14.81,15.09,14.78,11.88,9.06,8.44,7.38,3.81,-0.41,-1.75,-1.0,-0.06,0.5,3.06,7.41,10.38,10.06,9.03,9.34,8.78,5.97,3.56,3.81,5.28,5.66,5.09,6.19,8.41,9.38,8.28,8.47,10.25,11.06,9.44,7.91,7.91,7.88,5.72,3.81,4.41,6.44,6.84,5.72,6.38,8.53,9.75,9.06,9.28,11.22,11.66,9.31,6.41,6.03,6.31:31.38,30.25,28.75,29.16,30.19,28.59,26.09,24.91,25.94,25.44,23.94,24.16,26.88,28.19,26.75,24.81,25.47,26.69,25.53,25.03,27.38,30.88,31.47,30.12,29.62,29.69,28.0,24.41,22.34,23.28,24.06,23.25,22.38,24.31,26.22,25.84,24.81,25.84,27.72,27.91,26.56,26.59,28.28,28.72,26.75,25.0,26.0,26.72,25.28,24.0,25.09,26.25,24.72,22.31,21.72,22.97,22.25,21.12,21.44,24.31,26.53,26.59,27.44,30.03,32.31,31.47,30.12,30.94,32.28,30.94,28.78,28.53,29.72,28.97,26.94,26.0,27.06,27.69,26.12,24.94,26.06,27.66,26.41,24.62,25.5,27.12,26.88,25.31,25.25,27.28,27.81,26.81,26.5,28.78,29.47,27.66,25.75,26.25,27.22,26.91,26.66,28.75,32.53,33.84,33.38,33.38,34.47,33.47,30.66,28.09,27.97,27.47,24.47,21.06,20.19,20.0,18.03,15.28,15.09,16.72,17.0,16.0,16.66,19.69,21.84,21.19,20.66,21.81,22.12,19.41,15.59,13.59,12.38,9.56,5.69,4.41,5.31,5.75,4.78,4.75,7.22,8.72,7.72,6.75,8.44,10.5,10.97,11.12,13.53,16.72,17.78,16.56,15.75,16.47,15.44,12.0,8.91,7.78,6.47,3.5,1.69,3.78,7.78,10.47,12.56,16.75,22.34,25.78,26.75,28.5,30.97,31.94,30.06,28.5,29.38,30.44,28.97,26.97,27.0,26.72,24.16,19.72,17.03,16.03,14.03,10.56,8.69,9.16,9.25,7.38,6.03,8.22,11.25,12.91,15.09,19.88,25.5,28.94,29.72,30.97,32.78,33.38,31.44,30.03,30.94,30.97,28.5,26.16,26.66,27.97,27.66,26.19,26.34,27.0,25.91,23.34,22.78,24.78,26.19,25.41,24.94,26.75,27.72,26.0,24.44,25.0,26.22,26.16,25.81,28.16,31.72,33.94,33.5,33.69,34.0,32.75,29.25,26.06,25.56,25.81,24.28,22.62,23.31,25.22,25.38,24.72,25.84,28.16,29.0,27.91,27.69,30.0,31.88,31.19,30.03,30.16,29.88,26.72,22.62,21.69,21.88,21.16,19.44,19.25,20.75,21.81,21.06,21.41,24.34,26.81,26.19,24.84,25.12,25.81,24.44,22.44,22.56,23.66,23.81,22.22,21.69,22.94,23.19,20.59,19.06,20.28,22.09,22.19,22.31,24.41,26.75,26.59,25.0,25.12,26.53,27.0,26.22,26.59,29.03,30.06,28.09,25.88,25.19,24.72,22.75,21.12,22.34,25.0,25.81,25.0,25.03,26.12,25.25,22.34,20.41,20.56,21.19,19.31,17.69,18.59,19.75,18.41,16.31,16.38,18.19,18.91,18.78,20.59,24.31,27.25,27.16,27.31,28.5,29.06,27.03,24.34,24.0,24.38,22.81,20.12,19.16,19.44,18.5,16.5,15.78,18.44,21.62,23.44,25.88,30.0,33.22,32.59,30.5,29.69,29.41,27.44,24.97,24.41,25.84,26.0,24.69,24.38,26.16,28.28,28.0,27.75,28.66,29.97,28.44,25.97,25.41,25.72,24.44,22.19,21.88,23.59,25.19,24.78,24.62,26.16,27.0,25.81,24.88,26.09,28.31,28.41,27.0,26.91,27.97,27.09,24.03,22.41,22.0,20.56,16.88,13.94,13.81,14.5,13.66,13.09,14.91,17.94,19.34,19.59,21.03,24.0,25.81,25.28,25.25,27.44,28.78,27.66,26.19,26.16,25.88,23.25,19.69,18.12,18.12,16.62,14.44,13.59,14.56,14.88,12.94,11.66,13.34,15.44,15.84,16.78,20.16,24.16,25.62,26.09,27.34,29.75,30.0,28.0,26.94,27.59,27.5,25.44,24.41,25.91,27.34,26.41,24.88,25.03,26.03,25.06,22.88,22.25,23.47,23.12,21.19,19.91,20.94,21.47,20.12,19.59,21.72,24.19,24.5,23.94,24.16,25.28,24.5,22.06,21.0,21.91,21.94,20.22,19.16,20.19,20.97,18.97,17.03,17.22,18.53,18.5,18.31,19.84,22.94,24.31,23.25,22.56,23.47,22.72,20.03,18.31,19.44,21.12,21.28,20.75,22.06,23.78,22.62,20.03,19.25,19.91,19.66,18.41,18.06,20.0,21.12,19.88,18.59,19.69,20.56,19.19,17.41,17.56,18.34,17.72,15.94,15.47,17.0,17.41,16.12,15.72,17.53,19.0,18.16,16.97,18.03,19.28,18.06,16.16,16.34,17.81,17.59,15.66,14.09,13.91,12.5,9.16,7.03,8.31,10.06,10.28,9.78,11.66,13.53,13.28,11.44,11.66,13.44,14.0,13.19,12.91,14.88,15.78,14.25,13.22,14.25,14.94,13.56,11.66,12.0,13.47,13.19,11.94,12.22,13.5,13.38,11.56,10.66,11.56,12.19,10.22,8.16,8.34,8.69,7.44,6.0,7.47,10.56,12.38,13.03,15.12,18.5,20.41,19.66,19.09,20.34,20.81,19.28,17.44,18.09,19.66,18.66,16.06,15.56,15.44,14.06,11.0,9.44,9.81,9.78,7.44,5.41,6.22,7.38,6.62,5.59,7.19,9.78,10.41,9.38,9.69,10.5,10.12,7.81,7.16,9.53,12.0,12.75,12.94,15.31,17.34,16.5,15.12,15.31,16.91,17.34,16.66,17.81,20.31,21.25,19.03,16.78,16.38,15.53,13.41,11.38,12.41,14.09,13.44,11.41,11.09,11.56,10.69,8.47,8.12,9.62,10.94,9.88,9.03,10.09,10.91,9.66,7.75,8.41,9.78,9.62,8.12,8.59,10.91,12.0,11.44,12.28,14.94,16.88,15.84,14.88,15.84,16.41,14.59,12.06,11.94,13.28,13.22,12.19,13.03,15.47,16.25,14.84,13.91,15.12,16.19,14.59,13.03,13.12,13.66,11.84,8.78,8.41,9.41,9.41,8.09,8.5,10.91,12.69,11.38,10.5,11.31,11.12,8.44,4.88,3.91,3.59,1.62,-0.62,-0.5,1.53,2.59,2.28,3.22,6.34,8.53,8.34,8.28,9.69,10.47,7.72,3.88,1.62,0.03,-2.5,-4.75,-3.94,-0.31,3.0,4.09,6.06,9.72,11.62,10.06,8.56,8.91,9.19,7.56,5.81,6.41,8.66,9.78,9.91,11.62,14.88,16.66,15.5,14.38,14.94,14.75,11.66,8.75,8.5,9.41,8.41,7.38,8.69,11.38,12.75,12.28,13.16,15.97,17.88,16.91,16.44,17.88,18.53,16.5,14.06,13.38,13.88,11.5,7.91,5.91,5.19,2.88,-1.75,-4.69,-4.94,-4.47,-4.94,-3.62,0.66,4.75,5.44,4.84,5.44,7.12,6.91,5.69,6.47,8.59,9.75,8.91,8.69,11.28,13.38,12.31,10.94,11.03,11.03,8.06,3.75,1.06,-0.56,-4.38,-9.59,-12.97,-13.5,-13.97,-15.25,-14.31,-9.75,-4.38,-1.22,2.22,7.56,13.44,16.25,17.34,18.81,20.34,18.59,14.22,10.31,8.19,6.0,1.62,-1.5,-1.5,-1.22,-3.09,-5.12,-4.59,-2.69,-2.84,-3.62,-2.62,0.19,1.75,2.12,4.41,9.75,14.81,16.91,18.72,21.0,21.88,18.91,15.19,13.88,13.97,12.88,10.56,9.25,9.19,7.0,2.56,-1.47,-2.75,-3.47,-5.94,-7.59,-6.38,-3.47,-2.28,-1.38,1.72,6.16,8.19,8.09,8.09,9.66,9.75,7.09,4.69,4.38,3.72,0.53,-2.34,-2.97,-2.09,-3.31,-5.28,-5.69,-3.91,-4.09,-6.44,-7.47,-6.22,-6.06,-7.5,-7.81,-4.84,-1.34,-0.31,-0.22,1.34,2.66,1.19,-1.78,-2.72,-1.78,-1.88,-3.16,-3.56,-1.94,-1.31,-2.97,-5.03,-4.12,-2.97,-3.94,-5.03,-4.16,-2.31,-2.88,-5.09,-6.03,-4.34,-3.12,-2.34,-0.22,4.66,8.78,9.47,9.03,10.31,12.0,11.19,9.25,8.84,9.88,8.38,5.31,3.81,4.75,5.25,3.72,3.0,4.69,5.81,4.28,1.75,1.0,1.22,0.06,-0.91,0.72,4.56,7.12,6.75,6.28,7.53,7.09,4.5,2.34,2.59,3.19,1.5,-0.75,-0.28,1.31,0.97,-0.59,-0.59,1.0,0.75,-1.06,-1.59,0.03,1.28,0.59,-0.22,1.25,2.91,2.06,0.53,1.06,2.78,2.94,1.72,1.66,3.5,3.75,2.0,0.88,2.59,3.53,2.16,0.28,0.28,0.56,-1.16,-3.88,-4.28,-3.0,-2.53,-3.16,-1.97,1.44,3.69,3.31,2.59,4.03,4.88,3.16,0.97,1.0,2.09,1.03,-0.88,-0.97,0.28,0.28,-2.22,-4.09,-3.62,-3.28,-4.75,-5.16,-2.06,1.62,2.81,3.09,5.31,7.72,7.97,6.66,6.19,6.5,4.97,0.88,-2.47,-2.81,-2.62,-3.62,-4.0,-1.22,1.78,2.62,2.66,4.69,7.81,9.12,8.91,10.03,12.38,13.28,11.31,9.25,8.81,7.88,4.84,1.72,1.41,1.88,1.12,-0.47,0.22,2.12,2.72,1.47,1.5,3.59,4.88,3.62,2.88,4.09,5.06,3.75,2.44,4.09,6.81,8.12,8.12,9.56,11.62,11.34,8.34,5.53,4.22,1.97,-2.31,-5.28,-4.97,-3.66,-3.59,-3.5,-0.56,3.94,7.12,9.16,12.16,16.22,17.91,16.41,14.81,15.09,14.78,11.88,9.06,8.44,7.38,3.81,-0.41,-1.75,-1.0,-0.06,0.5,3.06,7.41,10.38,10.06,9.03,9.34,8.78,5.97,3.56,3.81,5.28,5.66,5.09,6.19,8.41,9.38,8.28,8.47,10.25,11.06,9.44,7.91,7.91,7.88,5.72,3.81,4.41,6.44,6.84,5.72,6.38,8.53,9.75,9.06,9.28,11.22,11.66,9.31,6.41,6.03,6.31,39.62,38.97,39.38,39.03,37.78,37.12,38.06:24.91,25.94,25.44,23.94,24.16,26.88,28.19,26.75,24.81,25.47,26.69,25.53,25.03,27.38,30.88,31.47,30.12,29.62,29.69,28.0,24.41,22.34,23.28,24.06,23.25,22.38,24.31,26.22,25.84,24.81,25.84,27.72,27.91,26.56,26.59,28.28,28.72,26.75,25.0,26.0,26.72,25.28,24.0,25.09,26.25,24.72,22.31,21.72,22.97,22.25,21.12,21.44,24.31,26.53,26.59,27.44,30.03,32.31,31.47,30.12,30.94,32.28,30.94,28.78,28.53,29.72,28.97,26.94,26.0,27.06,27.69,26.12,24.94,26.06,27.66,26.41,24.62,25.5,27.12,26.88,25.31,25.25,27.28,27.81,26.81,26.5,28.78,29.47,27.66,25.75,26.25,27.22,26.91,26.66,28.75,32.53,33.84,33.38,33.38,34.47,33.47,30.66,28.09,27.97,27.47,24.47,21.06,20.19,20.0,18.03,15.28,15.09,16.72,17.0,16.0,16.66,19.69,21.84,21.19,20.66,21.81,22.12,19.41,15.59,13.59,12.38,9.56,5.69,4.41,5.31,5.75,4.78,4.75,7.22,8.72,7.72,6.75,8.44,10.5,10.97,11.12,13.53,16.72,17.78,16.56,15.75,16.47,15.44,12.0,8.91,7.78,6.47,3.5,1.69,3.78,7.78,10.47,12.56,16.75,22.34,25.78,26.75,28.5,30.97,31.94,30.06,28.5,29.38,30.44,28.97,26.97,27.0,26.72,24.16,19.72,17.03,16.03,14.03,10.56,8.69,9.16,9.25,7.38,6.03,8.22,11.25,12.91,15.09,19.88,25.5,28.94,29.72,30.97,32.78,33.38,31.44,30.03,30.94,30.97,28.5,26.16,26.66,27.97,27.66,26.19,26.34,27.0,25.91,23.34,22.78,24.78,26.19,25.41,24.94,26.75,27.72,26.0,24.44,25.0,26.22,26.16,25.81,28.16,31.72,33.94,33.5,33.69,34.0,32.75,29.25,26.06,25.56,25.81,24.28,22.62,23.31,25.22,25.38,24.72,25.84,28.16,29.0,27.91,27.69,30.0,31.88,31.19,30.03,30.16,29.88,26.72,22.62,21.69,21.88,21.16,19.44,19.25,20.75,21.81,21.06,21.41,24.34,26.81,26.19,24.84,25.12,25.81,24.44,22.44,22.56,23.66,23.81,22.22,21.69,22.94,23.19,20.59,19.06,20.28,22.09,22.19,22.31,24.41,26.75,26.59,25.0,25.12,26.53,27.0,26.22,26.59,29.03,30.06,28.09,25.88,25.19,24.72,22.75,21.12,22.34,25.0,25.81,25.0,25.03,26.12,25.25,22.34,20.41,20.56,21.19,19.31,17.69,18.59,19.75,18.41,16.31,16.38,18.19,18.91,18.78,20.59,24.31,27.25,27.16,27.31,28.5,29.06,27.03,24.34,24.0,24.38,22.81,20.12,19.16,19.44,18.5,16.5,15.78,18.44,21.62,23.44,25.88,30.0,33.22,32.59,30.5,29.69,29.41,27.44,24.97,24.41,25.84,26.0,24.69,24.38,26.16,28.28,28.0,27.75,28.66,29.97,28.44,25.97,25.41,25.72,24.44,22.19,21.88,23.59,25.19,24.78,24.62,26.16,27.0,25.81,24.88,26.09,28.31,28.41,27.0,26.91,27.97,27.09,24.03,22.41,22.0,20.56,16.88,13.94,13.81,14.5,13.66,13.09,14.91,17.94,19.34,19.59,21.03,24.0,25.81,25.28,25.25,27.44,28.78,27.66,26.19,26.16,25.88,23.25,19.69,18.12,18.12,16.62,14.44,13.59,14.56,14.88,12.94,11.66,13.34,15.44,15.84,16.78,20.16,24.16,25.62,26.09,27.34,29.75,30.0,28.0,26.94,27.59,27.5,25.44,24.41,25.91,27.34,26.41,24.88,25.03,26.03,25.06,22.88,22.25,23.47,23.12,21.19,19.91,20.94,21.47,20.12,19.59,21.72,24.19,24.5,23.94,24.16,25.28,24.5,22.06,21.0,21.91,21.94,20.22,19.16,20.19,20.97,18.97,17.03,17.22,18.53,18.5,18.31,19.84,22.94,24.31,23.25,22.56,23.47,22.72,20.03,18.31,19.44,21.12,21.28,20.75,22.06,23.78,22.62,20.03,19.25,19.91,19.66,18.41,18.06,20.0,21.12,19.88,18.59,19.69,20.56,19.19,17.41,17.56,18.34,17.72,15.94,15.47,17.0,17.41,16.12,15.72,17.53,19.0,18.16,16.97,18.03,19.28,18.06,16.16,16.34,17.81,17.59,15.66,14.09,13.91,12.5,9.16,7.03,8.31,10.06,10.28,9.78,11.66,13.53,13.28,11.44,11.66,13.44,14.0,13.19,12.91,14.88,15.78,14.25,13.22,14.25,14.94,13.56,11.66,12.0,13.47,13.19,11.94,12.22,13.5,13.38,11.56,10.66,11.56,12.19,10.22,8.16,8.34,8.69,7.44,6.0,7.47,10.56,12.38,13.03,15.12,18.5,20.41,19.66,19.09,20.34,20.81,19.28,17.44,18.09,19.66,18.66,16.06,15.56,15.44,14.06,11.0,9.44,9.81,9.78,7.44,5.41,6.22,7.38,6.62,5.59,7.19,9.78,10.41,9.38,9.69,10.5,10.12,7.81,7.16,9.53,12.0,12.75,12.94,15.31,17.34,16.5,15.12,15.31,16.91,17.34,16.66,17.81,20.31,21.25,19.03,16.78,16.38,15.53,13.41,11.38,12.41,14.09,13.44,11.41,11.09,11.56,10.69,8.47,8.12,9.62,10.94,9.88,9.03,10.09,10.91,9.66,7.75,8.41,9.78,9.62,8.12,8.59,10.91,12.0,11.44,12.28,14.94,16.88,15.84,14.88,15.84,16.41,14.59,12.06,11.94,13.28,13.22,12.19,13.03,15.47,16.25,14.84,13.91,15.12,16.19,14.59,13.03,13.12,13.66,11.84,8.78,8.41,9.41,9.41,8.09,8.5,10.91,12.69,11.38,10.5,11.31,11.12,8.44,4.88,3.91,3.59,1.62,-0.62,-0.5,1.53,2.59,2.28,3.22,6.34,8.53,8.34,8.28,9.69,10.47,7.72,3.88,1.62,0.03,-2.5,-4.75,-3.94,-0.31,3.0,4.09,6.06,9.72,11.62,10.06,8.56,8.91,9.19,7.56,5.81,6.41,8.66,9.78,9.91,11.62,14.88,16.66,15.5,14.38,14.94,14.75,11.66,8.75,8.5,9.41,8.41,7.38,8.69,11.38,12.75,12.28,13.16,15.97,17.88,16.91,16.44,17.88,18.53,16.5,14.06,13.38,13.88,11.5,7.91,5.91,5.19,2.88,-1.75,-4.69,-4.94,-4.47,-4.94,-3.62,0.66,4.75,5.44,4.84,5.44,7.12,6.91,5.69,6.47,8.59,9.75,8.91,8.69,11.28,13.38,12.31,10.94,11.03,11.03,8.06,3.75,1.06,-0.56,-4.38,-9.59,-12.97,-13.5,-13.97,-15.25,-14.31,-9.75,-4.38,-1.22,2.22,7.56,13.44,16.25,17.34,18.81,20.34,18.59,14.22,10.31,8.19,6.0,1.62,-1.5,-1.5,-1.22,-3.09,-5.12,-4.59,-2.69,-2.84,-3.62,-2.62,0.19,1.75,2.12,4.41,9.75,14.81,16.91,18.72,21.0,21.88,18.91,15.19,13.88,13.97,12.88,10.56,9.25,9.19,7.0,2.56,-1.47,-2.75,-3.47,-5.94,-7.59,-6.38,-3.47,-2.28,-1.38,1.72,6.16,8.19,8.09,8.09,9.66,9.75,7.09,4.69,4.38,3.72,0.53,-2.34,-2.97,-2.09,-3.31,-5.28,-5.69,-3.91,-4.09,-6.44,-7.47,-6.22,-6.06,-7.5,-7.81,-4.84,-1.34,-0.31,-0.22,1.34,2.66,1.19,-1.78,-2.72,-1.78,-1.88,-3.16,-3.56,-1.94,-1.31,-2.97,-5.03,-4.12,-2.97,-3.94,-5.03,-4.16,-2.31,-2.88,-5.09,-6.03,-4.34,-3.12,-2.34,-0.22,4.66,8.78,9.47,9.03,10.31,12.0,11.19,9.25,8.84,9.88,8.38,5.31,3.81,4.75,5.25,3.72,3.0,4.69,5.81,4.28,1.75,1.0,1.22,0.06,-0.91,0.72,4.56,7.12,6.75,6.28,7.53,7.09,4.5,2.34,2.59,3.19,1.5,-0.75,-0.28,1.31,0.97,-0.59,-0.59,1.0,0.75,-1.06,-1.59,0.03,1.28,0.59,-0.22,1.25,2.91,2.06,0.53,1.06,2.78,2.94,1.72,1.66,3.5,3.75,2.0,0.88,2.59,3.53,2.16,0.28,0.28,0.56,-1.16,-3.88,-4.28,-3.0,-2.53,-3.16,-1.97,1.44,3.69,3.31,2.59,4.03,4.88,3.16,0.97,1.0,2.09,1.03,-0.88,-0.97,0.28,0.28,-2.22,-4.09,-3.62,-3.28,-4.75,-5.16,-2.06,1.62,2.81,3.09,5.31,7.72,7.97,6.66,6.19,6.5,4.97,0.88,-2.47,-2.81,-2.62,-3.62,-4.0,-1.22,1.78,2.62,2.66,4.69,7.81,9.12,8.91,10.03,12.38,13.28,11.31,9.25,8.81,7.88,4.84,1.72,1.41,1.88,1.12,-0.47,0.22,2.12,2.72,1.47,1.5,3.59,4.88,3.62,2.88,4.09,5.06,3.75,2.44,4.09,6.81,8.12,8.12,9.56,11.62,11.34,8.34,5.53,4.22,1.97,-2.31,-5.28,-4.97,-3.66,-3.59,-3.5,-0.56,3.94,7.12,9.16,12.16,16.22,17.91,16.41,14.81,15.09,14.78,11.88,9.06,8.44,7.38,3.81,-0.41,-1.75,-1.0,-0.06,0.5,3.06,7.41,10.38,10.06,9.03,9.34,8.78,5.97,3.56,3.81,5.28,5.66,5.09,6.19,8.41,9.38,8.28,8.47,10.25,11.06,9.44,7.91,7.91,7.88,5.72,3.81,4.41,6.44,6.84,5.72,6.38,8.53,9.75,9.06,9.28,11.22,11.66,9.31,6.41,6.03,6.31,39.62,38.97,39.38,39.03,37.78,37.12,38.06,39.44,38.56,37.72,37.97,39.03,38.09,36.38:26.75,24.81,25.47,26.69,25.53,25.03,27.38,30.88,31.47,30.12,29.62,29.69,28.0,24.41,22.34,23.28,24.06,23.25,22.38,24.31,26.22,25.84,24.81,25.84,27.72,27.91,26.56,26.59,28.28,28.72,26.75,25.0,26.0,26.72,25.28,24.0,25.09,26.25,24.72,22.31,21.72,22.97,22.25,21.12,21.44,24.31,26.53,26.59,27.44,30.03,32.31,31.47,30.12,30.94,32.28,30.94,28.78,28.53,29.72,28.97,26.94,26.0,27.06,27.69,26.12,24.94,26.06,27.66,26.41,24.62,25.5,27.12,26.88,25.31,25.25,27.28,27.81,26.81,26.5,28.78,29.47,27.66,25.75,26.25,27.22,26.91,26.66,28.75,32.53,33.84,33.38,33.38,34.47,33.47,30.66,28.09,27.97,27.47,24.47,21.06,20.19,20.0,18.03,15.28,15.09,16.72,17.0,16.0,16.66,19.69,21.84,21.19,20.66,21.81,22.12,19.41,15.59,13.59,12.38,9.56,5.69,4.41,5.31,5.75,4.78,4.75,7.22,8.72,7.72,6.75,8.44,10.5,10.97,11.12,13.53,16.72,17.78,16.56,15.75,16.47,15.44,12.0,8.91,7.78,6.47,3.5,1.69,3.78,7.78,10.47,12.56,16.75,22.34,25.78,26.75,28.5,30.97,31.94,30.06,28.5,29.38,30.44,28.97,26.97,27.0,26.72,24.16,19.72,17.03,16.03,14.03,10.56,8.69,9.16,9.25,7.38,6.03,8.22,11.25,12.91,15.09,19.88,25.5,28.94,29.72,30.97,32.78,33.38,31.44,30.03,30.94,30.97,28.5,26.16,26.66,27.97,27.66,26.19,26.34,27.0,25.91,23.34,22.78,24.78,26.19,25.41,24.94,26.75,27.72,26.0,24.44,25.0,26.22,26.16,25.81,28.16,31.72,33.94,33.5,33.69,34.0,32.75,29.25,26.06,25.56,25.81,24.28,22.62,23.31,25.22,25.38,24.72,25.84,28.16,29.0,27.91,27.69,30.0,31.88,31.19,30.03,30.16,29.88,26.72,22.62,21.69,21.88,21.16,19.44,19.25,20.75,21.81,21.06,21.41,24.34,26.81,26.19,24.84,25.12,25.81,24.44,22.44,22.56,23.66,23.81,22.22,21.69,22.94,23.19,20.59,19.06,20.28,22.09,22.19,22.31,24.41,26.75,26.59,25.0,25.12,26.53,27.0,26.22,26.59,29.03,30.06,28.09,25.88,25.19,24.72,22.75,21.12,22.34,25.0,25.81,25.0,25.03,26.12,25.25,22.34,20.41,20.56,21.19,19.31,17.69,18.59,19.75,18.41,16.31,16.38,18.19,18.91,18.78,20.59,24.31,27.25,27.16,27.31,28.5,29.06,27.03,24.34,24.0,24.38,22.81,20.12,19.16,19.44,18.5,16.5,15.78,18.44,21.62,23.44,25.88,30.0,33.22,32.59,30.5,29.69,29.41,27.44,24.97,24.41,25.84,26.0,24.69,24.38,26.16,28.28,28.0,27.75,28.66,29.97,28.44,25.97,25.41,25.72,24.44,22.19,21.88,23.59,25.19,24.78,24.62,26.16,27.0,25.81,24.88,26.09,28.31,28.41,27.0,26.91,27.97,27.09,24.03,22.41,22.0,20.56,16.88,13.94,13.81,14.5,13.66,13.09,14.91,17.94,19.34,19.59,21.03,24.0,25.81,25.28,25.25,27.44,28.78,27.66,26.19,26.16,25.88,23.25,19.69,18.12,18.12,16.62,14.44,13.59,14.56,14.88,12.94,11.66,13.34,15.44,15.84,16.78,20.16,24.16,25.62,26.09,27.34,29.75,30.0,28.0,26.94,27.59,27.5,25.44,24.41,25.91,27.34,26.41,24.88,25.03,26.03,25.06,22.88,22.25,23.47,23.12,21.19,19.91,20.94,21.47,20.12,19.59,21.72,24.19,24.5,23.94,24.16,25.28,24.5,22.06,21.0,21.91,21.94,20.22,19.16,20.19,20.97,18.97,17.03,17.22,18.53,18.5,18.31,19.84,22.94,24.31,23.25,22.56,23.47,22.72,20.03,18.31,19.44,21.12,21.28,20.75,22.06,23.78,22.62,20.03,19.25,19.91,19.66,18.41,18.06,20.0,21.12,19.88,18.59,19.69,20.56,19.19,17.41,17.56,18.34,17.72,15.94,15.47,17.0,17.41,16.12,15.72,17.53,19.0,18.16,16.97,18.03,19.28,18.06,16.16,16.34,17.81,17.59,15.66,14.09,13.91,12.5,9.16,7.03,8.31,10.06,10.28,9.78,11.66,13.53,13.28,11.44,11.66,13.44,14.0,13.19,12.91,14.88,15.78,14.25,13.22,14.25,14.94,13.56,11.66,12.0,13.47,13.19,11.94,12.22,13.5,13.38,11.56,10.66,11.56,12.19,10.22,8.16,8.34,8.69,7.44,6.0,7.47,10.56,12.38,13.03,15.12,18.5,20.41,19.66,19.09,20.34,20.81,19.28,17.44,18.09,19.66,18.66,16.06,15.56,15.44,14.06,11.0,9.44,9.81,9.78,7.44,5.41,6.22,7.38,6.62,5.59,7.19,9.78,10.41,9.38,9.69,10.5,10.12,7.81,7.16,9.53,12.0,12.75,12.94,15.31,17.34,16.5,15.12,15.31,16.91,17.34,16.66,17.81,20.31,21.25,19.03,16.78,16.38,15.53,13.41,11.38,12.41,14.09,13.44,11.41,11.09,11.56,10.69,8.47,8.12,9.62,10.94,9.88,9.03,10.09,10.91,9.66,7.75,8.41,9.78,9.62,8.12,8.59,10.91,12.0,11.44,12.28,14.94,16.88,15.84,14.88,15.84,16.41,14.59,12.06,11.94,13.28,13.22,12.19,13.03,15.47,16.25,14.84,13.91,15.12,16.19,14.59,13.03,13.12,13.66,11.84,8.78,8.41,9.41,9.41,8.09,8.5,10.91,12.69,11.38,10.5,11.31,11.12,8.44,4.88,3.91,3.59,1.62,-0.62,-0.5,1.53,2.59,2.28,3.22,6.34,8.53,8.34,8.28,9.69,10.47,7.72,3.88,1.62,0.03,-2.5,-4.75,-3.94,-0.31,3.0,4.09,6.06,9.72,11.62,10.06,8.56,8.91,9.19,7.56,5.81,6.41,8.66,9.78,9.91,11.62,14.88,16.66,15.5,14.38,14.94,14.75,11.66,8.75,8.5,9.41,8.41,7.38,8.69,11.38,12.75,12.28,13.16,15.97,17.88,16.91,16.44,17.88,18.53,16.5,14.06,13.38,13.88,11.5,7.91,5.91,5.19,2.88,-1.75,-4.69,-4.94,-4.47,-4.94,-3.62,0.66,4.75,5.44,4.84,5.44,7.12,6.91,5.69,6.47,8.59,9.75,8.91,8.69,11.28,13.38,12.31,10.94,11.03,11.03,8.06,3.75,1.06,-0.56,-4.38,-9.59,-12.97,-13.5,-13.97,-15.25,-14.31,-9.75,-4.38,-1.22,2.22,7.56,13.44,16.25,17.34,18.81,20.34,18.59,14.22,10.31,8.19,6.0,1.62,-1.5,-1.5,-1.22,-3.09,-5.12,-4.59,-2.69,-2.84,-3.62,-2.62,0.19,1.75,2.12,4.41,9.75,14.81,16.91,18.72,21.0,21.88,18.91,15.19,13.88,13.97,12.88,10.56,9.25,9.19,7.0,2.56,-1.47,-2.75,-3.47,-5.94,-7.59,-6.38,-3.47,-2.28,-1.38,1.72,6.16,8.19,8.09,8.09,9.66,9.75,7.09,4.69,4.38,3.72,0.53,-2.34,-2.97,-2.09,-3.31,-5.28,-5.69,-3.91,-4.09,-6.44,-7.47,-6.22,-6.06,-7.5,-7.81,-4.84,-1.34,-0.31,-0.22,1.34,2.66,1.19,-1.78,-2.72,-1.78,-1.88,-3.16,-3.56,-1.94,-1.31,-2.97,-5.03,-4.12,-2.97,-3.94,-5.03,-4.16,-2.31,-2.88,-5.09,-6.03,-4.34,-3.12,-2.34,-0.22,4.66,8.78,9.47,9.03,10.31,12.0,11.19,9.25,8.84,9.88,8.38,5.31,3.81,4.75,5.25,3.72,3.0,4.69,5.81,4.28,1.75,1.0,1.22,0.06,-0.91,0.72,4.56,7.12,6.75,6.28,7.53,7.09,4.5,2.34,2.59,3.19,1.5,-0.75,-0.28,1.31,0.97,-0.59,-0.59,1.0,0.75,-1.06,-1.59,0.03,1.28,0.59,-0.22,1.25,2.91,2.06,0.53,1.06,2.78,2.94,1.72,1.66,3.5,3.75,2.0,0.88,2.59,3.53,2.16,0.28,0.28,0.56,-1.16,-3.88,-4.28,-3.0,-2.53,-3.16,-1.97,1.44,3.69,3.31,2.59,4.03,4.88,3.16,0.97,1.0,2.09,1.03,-0.88,-0.97,0.28,0.28,-2.22,-4.09,-3.62,-3.28,-4.75,-5.16,-2.06,1.62,2.81,3.09,5.31,7.72,7.97,6.66,6.19,6.5,4.97,0.88,-2.47,-2.81,-2.62,-3.62,-4.0,-1.22,1.78,2.62,2.66,4.69,7.81,9.12,8.91,10.03,12.38,13.28,11.31,9.25,8.81,7.88,4.84,1.72,1.41,1.88,1.12,-0.47,0.22,2.12,2.72,1.47,1.5,3.59,4.88,3.62,2.88,4.09,5.06,3.75,2.44,4.09,6.81,8.12,8.12,9.56,11.62,11.34,8.34,5.53,4.22,1.97,-2.31,-5.28,-4.97,-3.66,-3.59,-3.5,-0.56,3.94,7.12,9.16,12.16,16.22,17.91,16.41,14.81,15.09,14.78,11.88,9.06,8.44,7.38,3.81,-0.41,-1.75,-1.0,-0.06,0.5,3.06,7.41,10.38,10.06,9.03,9.34,8.78,5.97,3.56,3.81,5.28,5.66,5.09,6.19,8.41,9.38,8.28,8.47,10.25,11.06,9.44,7.91,7.91,7.88,5.72,3.81,4.41,6.44,6.84,5.72,6.38,8.53,9.75,9.06,9.28,11.22,11.66,9.31,6.41,6.03,6.31,39.62,38.97,39.38,39.03,37.78,37.12,38.06,39.44,38.56,37.72,37.97,39.03,38.09,36.38,35.56,35.88,35.16,33.47,33.28,35.06,36.09:30.88,31.47,30.12,29.62,29.69,28.0,24.41,22.34,23.28,24.06,23.25,22.38,24.31,26.22,25.84,24.81,25.84,27.72,27.91,26.56,26.59,28.28,28.72,26.75,25.0,26.0,26.72,25.28,24.0,25.09,26.25,24.72,22.31,21.72,22.97,22.25,21.12,21.44,24.31,26.53,26.59,27.44,30.03,32.31,31.47,30.12,30.94,32.28,30.94,28.78,28.53,29.72,28.97,26.94,26.0,27.06,27.69,26.12,24.94,26.06,27.66,26.41,24.62,25.5,27.12,26.88,25.31,25.25,27.28,27.81,26.81,26.5,28.78,29.47,27.66,25.75,26.25,27.22,26.91,26.66,28.75,32.53,33.84,33.38,33.38,34.47,33.47,30.66,28.09,27.97,27.47,24.47,21.06,20.19,20.0,18.03,15.28,15.09,16.72,17.0,16.0,16.66,19.69,21.84,21.19,20.66,21.81,22.12,19.41,15.59,13.59,12.38,9.56,5.69,4.41,5.31,5.75,4.78,4.75,7.22,8.72,7.72,6.75,8.44,10.5,10.97,11.12,13.53,16.72,17.78,16.56,15.75,16.47,15.44,12.0,8.91,7.78,6.47,3.5,1.69,3.78,7.78,10.47,12.56,16.75,22.34,25.78,26.75,28.5,30.97,31.94,30.06,28.5,29.38,30.44,28.97,26.97,27.0,26.72,24.16,19.72,17.03,16.03,14.03,10.56,8.69,9.16,9.25,7.38,6.03,8.22,11.25,12.91,15.09,19.88,25.5,28.94,29.72,30.97,32.78,33.38,31.44,30.03,30.94,30.97,28.5,26.16,26.66,27.97,27.66,26.19,26.34,27.0,25.91,23.34,22.78,24.78,26.19,25.41,24.94,26.75,27.72,26.0,24.44,25.0,26.22,26.16,25.81,28.16,31.72,33.94,33.5,33.69,34.0,32.75,29.25,26.06,25.56,25.81,24.28,22.62,23.31,25.22,25.38,24.72,25.84,28.16,29.0,27.91,27.69,30.0,31.88,31.19,30.03,30.16,29.88,26.72,22.62,21.69,21.88,21.16,19.44,19.25,20.75,21.81,21.06,21.41,24.34,26.81,26.19,24.84,25.12,25.81,24.44,22.44,22.56,23.66,23.81,22.22,21.69,22.94,23.19,20.59,19.06,20.28,22.09,22.19,22.31,24.41,26.75,26.59,25.0,25.12,26.53,27.0,26.22,26.59,29.03,30.06,28.09,25.88,25.19,24.72,22.75,21.12,22.34,25.0,25.81,25.0,25.03,26.12,25.25,22.34,20.41,20.56,21.19,19.31,17.69,18.59,19.75,18.41,16.31,16.38,18.19,18.91,18.78,20.59,24.31,27.25,27.16,27.31,28.5,29.06,27.03,24.34,24.0,24.38,22.81,20.12,19.16,19.44,18.5,16.5,15.78,18.44,21.62,23.44,25.88,30.0,33.22,32.59,30.5,29.69,29.41,27.44,24.97,24.41,25.84,26.0,24.69,24.38,26.16,28.28,28.0,27.75,28.66,29.97,28.44,25.97,25.41,25.72,24.44,22.19,21.88,23.59,25.19,24.78,24.62,26.16,27.0,25.81,24.88,26.09,28.31,28.41,27.0,26.91,27.97,27.09,24.03,22.41,22.0,20.56,16.88,13.94,13.81,14.5,13.66,13.09,14.91,17.94,19.34,19.59,21.03,24.0,25.81,25.28,25.25,27.44,28.78,27.66,26.19,26.16,25.88,23.25,19.69,18.12,18.12,16.62,14.44,13.59,14.56,14.88,12.94,11.66,13.34,15.44,15.84,16.78,20.16,24.16,25.62,26.09,27.34,29.75,30.0,28.0,26.94,27.59,27.5,25.44,24.41,25.91,27.34,26.41,24.88,25.03,26.03,25.06,22.88,22.25,23.47,23.12,21.19,19.91,20.94,21.47,20.12,19.59,21.72,24.19,24.5,23.94,24.16,25.28,24.5,22.06,21.0,21.91,21.94,20.22,19.16,20.19,20.97,18.97,17.03,17.22,18.53,18.5,18.31,19.84,22.94,24.31,23.25,22.56,23.47,22.72,20.03,18.31,19.44,21.12,21.28,20.75,22.06,23.78,22.62,20.03,19.25,19.91,19.66,18.41,18.06,20.0,21.12,19.88,18.59,19.69,20.56,19.19,17.41,17.56,18.34,17.72,15.94,15.47,17.0,17.41,16.12,15.72,17.53,19.0,18.16,16.97,18.03,19.28,18.06,16.16,16.34,17.81,17.59,15.66,14.09,13.91,12.5,9.16,7.03,8.31,10.06,10.28,9.78,11.66,13.53,13.28,11.44,11.66,13.44,14.0,13.19,12.91,14.88,15.78,14.25,13.22,14.25,14.94,13.56,11.66,12.0,13.47,13.19,11.94,12.22,13.5,13.38,11.56,10.66,11.56,12.19,10.22,8.16,8.34,8.69,7.44,6.0,7.47,10.56,12.38,13.03,15.12,18.5,20.41,19.66,19.09,20.34,20.81,19.28,17.44,18.09,19.66,18.66,16.06,15.56,15.44,14.06,11.0,9.44,9.81,9.78,7.44,5.41,6.22,7.38,6.62,5.59,7.19,9.78,10.41,9.38,9.69,10.5,10.12,7.81,7.16,9.53,12.0,12.75,12.94,15.31,17.34,16.5,15.12,15.31,16.91,17.34,16.66,17.81,20.31,21.25,19.03,16.78,16.38,15.53,13.41,11.38,12.41,14.09,13.44,11.41,11.09,11.56,10.69,8.47,8.12,9.62,10.94,9.88,9.03,10.09,10.91,9.66,7.75,8.41,9.78,9.62,8.12,8.59,10.91,12.0,11.44,12.28,14.94,16.88,15.84,14.88,15.84,16.41,14.59,12.06,11.94,13.28,13.22,12.19,13.03,15.47,16.25,14.84,13.91,15.12,16.19,14.59,13.03,13.12,13.66,11.84,8.78,8.41,9.41,9.41,8.09,8.5,10.91,12.69,11.38,10.5,11.31,11.12,8.44,4.88,3.91,3.59,1.62,-0.62,-0.5,1.53,2.59,2.28,3.22,6.34,8.53,8.34,8.28,9.69,10.47,7.72,3.88,1.62,0.03,-2.5,-4.75,-3.94,-0.31,3.0,4.09,6.06,9.72,11.62,10.06,8.56,8.91,9.19,7.56,5.81,6.41,8.66,9.78,9.91,11.62,14.88,16.66,15.5,14.38,14.94,14.75,11.66,8.75,8.5,9.41,8.41,7.38,8.69,11.38,12.75,12.28,13.16,15.97,17.88,16.91,16.44,17.88,18.53,16.5,14.06,13.38,13.88,11.5,7.91,5.91,5.19,2.88,-1.75,-4.69,-4.94,-4.47,-4.94,-3.62,0.66,4.75,5.44,4.84,5.44,7.12,6.91,5.69,6.47,8.59,9.75,8.91,8.69,11.28,13.38,12.31,10.94,11.03,11.03,8.06,3.75,1.06,-0.56,-4.38,-9.59,-12.97,-13.5,-13.97,-15.25,-14.31,-9.75,-4.38,-1.22,2.22,7.56,13.44,16.25,17.34,18.81,20.34,18.59,14.22,10.31,8.19,6.0,1.62,-1.5,-1.5,-1.22,-3.09,-5.12,-4.59,-2.69,-2.84,-3.62,-2.62,0.19,1.75,2.12,4.41,9.75,14.81,16.91,18.72,21.0,21.88,18.91,15.19,13.88,13.97,12.88,10.56,9.25,9.19,7.0,2.56,-1.47,-2.75,-3.47,-5.94,-7.59,-6.38,-3.47,-2.28,-1.38,1.72,6.16,8.19,8.09,8.09,9.66,9.75,7.09,4.69,4.38,3.72,0.53,-2.34,-2.97,-2.09,-3.31,-5.28,-5.69,-3.91,-4.09,-6.44,-7.47,-6.22,-6.06,-7.5,-7.81,-4.84,-1.34,-0.31,-0.22,1.34,2.66,1.19,-1.78,-2.72,-1.78,-1.88,-3.16,-3.56,-1.94,-1.31,-2.97,-5.03,-4.12,-2.97,-3.94,-5.03,-4.16,-2.31,-2.88,-5.09,-6.03,-4.34,-3.12,-2.34,-0.22,4.66,8.78,9.47,9.03,10.31,12.0,11.19,9.25,8.84,9.88,8.38,5.31,3.81,4.75,5.25,3.72,3.0,4.69,5.81,4.28,1.75,1.0,1.22,0.06,-0.91,0.72,4.56,7.12,6.75,6.28,7.53,7.09,4.5,2.34,2.59,3.19,1.5,-0.75,-0.28,1.31,0.97,-0.59,-0.59,1.0,0.75,-1.06,-1.59,0.03,1.28,0.59,-0.22,1.25,2.91,2.06,0.53,1.06,2.78,2.94,1.72,1.66,3.5,3.75,2.0,0.88,2.59,3.53,2.16,0.28,0.28,0.56,-1.16,-3.88,-4.28,-3.0,-2.53,-3.16,-1.97,1.44,3.69,3.31,2.59,4.03,4.88,3.16,0.97,1.0,2.09,1.03,-0.88,-0.97,0.28,0.28,-2.22,-4.09,-3.62,-3.28,-4.75,-5.16,-2.06,1.62,2.81,3.09,5.31,7.72,7.97,6.66,6.19,6.5,4.97,0.88,-2.47,-2.81,-2.62,-3.62,-4.0,-1.22,1.78,2.62,2.66,4.69,7.81,9.12,8.91,10.03,12.38,13.28,11.31,9.25,8.81,7.88,4.84,1.72,1.41,1.88,1.12,-0.47,0.22,2.12,2.72,1.47,1.5,3.59,4.88,3.62,2.88,4.09,5.06,3.75,2.44,4.09,6.81,8.12,8.12,9.56,11.62,11.34,8.34,5.53,4.22,1.97,-2.31,-5.28,-4.97,-3.66,-3.59,-3.5,-0.56,3.94,7.12,9.16,12.16,16.22,17.91,16.41,14.81,15.09,14.78,11.88,9.06,8.44,7.38,3.81,-0.41,-1.75,-1.0,-0.06,0.5,3.06,7.41,10.38,10.06,9.03,9.34,8.78,5.97,3.56,3.81,5.28,5.66,5.09,6.19,8.41,9.38,8.28,8.47,10.25,11.06,9.44,7.91,7.91,7.88,5.72,3.81,4.41,6.44,6.84,5.72,6.38,8.53,9.75,9.06,9.28,11.22,11.66,9.31,6.41,6.03,6.31,39.62,38.97,39.38,39.03,37.78,37.12,38.06,39.44,38.56,37.72,37.97,39.03,38.09,36.38,35.56,35.88,35.16,33.47,33.28,35.06,36.09,35.34,34.25,34.31,34.78,33.84,33.62,35.16:22.34,23.28,24.06,23.25,22.38,24.31,26.22,25.84,24.81,25.84,27.72,27.91,26.56,26.59,28.28,28.72,26.75,25.0,26.0,26.72,25.28,24.0,25.09,26.25,24.72,22.31,21.72,22.97,22.25,21.12,21.44,24.31,26.53,26.59,27.44,30.03,32.31,31.47,30.12,30.94,32.28,30.94,28.78,28.53,29.72,28.97,26.94,26.0,27.06,27.69,26.12,24.94,26.06,27.66,26.41,24.62,25.5,27.12,26.88,25.31,25.25,27.28,27.81,26.81,26.5,28.78,29.47,27.66,25.75,26.25,27.22,26.91,26.66,28.75,32.53,33.84,33.38,33.38,34.47,33.47,30.66,28.09,27.97,27.47,24.47,21.06,20.19,20.0,18.03,15.28,15.09,16.72,17.0,16.0,16.66,19.69,21.84,21.19,20.66,21.81,22.12,19.41,15.59,13.59,12.38,9.56,5.69,4.41,5.31,5.75,4.78,4.75,7.22,8.72,7.72,6.75,8.44,10.5,10.97,11.12,13.53,16.72,17.78,16.56,15.75,16.47,15.44,12.0,8.91,7.78,6.47,3.5,1.69,3.78,7.78,10.47,12.56,16.75,22.34,25.78,26.75,28.5,30.97,31.94,30.06,28.5,29.38,30.44,28.97,26.97,27.0,26.72,24.16,19.72,17.03,16.03,14.03,10.56,8.69,9.16,9.25,7.38,6.03,8.22,11.25,12.91,15.09,19.88,25.5,28.94,29.72,30.97,32.78,33.38,31.44,30.03,30.94,30.97,28.5,26.16,26.66,27.97,27.66,26.19,26.34,27.0,25.91,23.34,22.78,24.78,26.19,25.41,24.94,26.75,27.72,26.0,24.44,25.0,26.22,26.16,25.81,28.16,31.72,33.94,33.5,33.69,34.0,32.75,29.25,26.06,25.56,25.81,24.28,22.62,23.31,25.22,25.38,24.72,25.84,28.16,29.0,27.91,27.69,30.0,31.88,31.19,30.03,30.16,29.88,26.72,22.62,21.69,21.88,21.16,19.44,19.25,20.75,21.81,21.06,21.41,24.34,26.81,26.19,24.84,25.12,25.81,24.44,22.44,22.56,23.66,23.81,22.22,21.69,22.94,23.19,20.59,19.06,20.28,22.09,22.19,22.31,24.41,26.75,26.59,25.0,25.12,26.53,27.0,26.22,26.59,29.03,30.06,28.09,25.88,25.19,24.72,22.75,21.12,22.34,25.0,25.81,25.0,25.03,26.12,25.25,22.34,20.41,20.56,21.19,19.31,17.69,18.59,19.75,18.41,16.31,16.38,18.19,18.91,18.78,20.59,24.31,27.25,27.16,27.31,28.5,29.06,27.03,24.34,24.0,24.38,22.81,20.12,19.16,19.44,18.5,16.5,15.78,18.44,21.62,23.44,25.88,30.0,33.22,32.59,30.5,29.69,29.41,27.44,24.97,24.41,25.84,26.0,24.69,24.38,26.16,28.28,28.0,27.75,28.66,29.97,28.44,25.97,25.41,25.72,24.44,22.19,21.88,23.59,25.19,24.78,24.62,26.16,27.0,25.81,24.88,26.09,28.31,28.41,27.0,26.91,27.97,27.09,24.03,22.41,22.0,20.56,16.88,13.94,13.81,14.5,13.66,13.09,14.91,17.94,19.34,19.59,21.03,24.0,25.81,25.28,25.25,27.44,28.78,27.66,26.19,26.16,25.88,23.25,19.69,18.12,18.12,16.62,14.44,13.59,14.56,14.88,12.94,11.66,13.34,15.44,15.84,16.78,20.16,24.16,25.62,26.09,27.34,29.75,30.0,28.0,26.94,27.59,27.5,25.44,24.41,25.91,27.34,26.41,24.88,25.03,26.03,25.06,22.88,22.25,23.47,23.12,21.19,19.91,20.94,21.47,20.12,19.59,21.72,24.19,24.5,23.94,24.16,25.28,24.5,22.06,21.0,21.91,21.94,20.22,19.16,20.19,20.97,18.97,17.03,17.22,18.53,18.5,18.31,19.84,22.94,24.31,23.25,22.56,23.47,22.72,20.03,18.31,19.44,21.12,21.28,20.75,22.06,23.78,22.62,20.03,19.25,19.91,19.66,18.41,18.06,20.0,21.12,19.88,18.59,19.69,20.56,19.19,17.41,17.56,18.34,17.72,15.94,15.47,17.0,17.41,16.12,15.72,17.53,19.0,18.16,16.97,18.03,19.28,18.06,16.16,16.34,17.81,17.59,15.66,14.09,13.91,12.5,9.16,7.03,8.31,10.06,10.28,9.78,11.66,13.53,13.28,11.44,11.66,13.44,14.0,13.19,12.91,14.88,15.78,14.25,13.22,14.25,14.94,13.56,11.66,12.0,13.47,13.19,11.94,12.22,13.5,13.38,11.56,10.66,11.56,12.19,10.22,8.16,8.34,8.69,7.44,6.0,7.47,10.56,12.38,13.03,15.12,18.5,20.41,19.66,19.09,20.34,20.81,19.28,17.44,18.09,19.66,18.66,16.06,15.56,15.44,14.06,11.0,9.44,9.81,9.78,7.44,5.41,6.22,7.38,6.62,5.59,7.19,9.78,10.41,9.38,9.69,10.5,10.12,7.81,7.16,9.53,12.0,12.75,12.94,15.31,17.34,16.5,15.12,15.31,16.91,17.34,16.66,17.81,20.31,21.25,19.03,16.78,16.38,15.53,13.41,11.38,12.41,14.09,13.44,11.41,11.09,11.56,10.69,8.47,8.12,9.62,10.94,9.88,9.03,10.09,10.91,9.66,7.75,8.41,9.78,9.62,8.12,8.59,10.91,12.0,11.44,12.28,14.94,16.88,15.84,14.88,15.84,16.41,14.59,12.06,11.94,13.28,13.22,12.19,13.03,15.47,16.25,14.84,13.91,15.12,16.19,14.59,13.03,13.12,13.66,11.84,8.78,8.41,9.41,9.41,8.09,8.5,10.91,12.69,11.38,10.5,11.31,11.12,8.44,4.88,3.91,3.59,1.62,-0.62,-0.5,1.53,2.59,2.28,3.22,6.34,8.53,8.34,8.28,9.69,10.47,7.72,3.88,1.62,0.03,-2.5,-4.75,-3.94,-0.31,3.0,4.09,6.06,9.72,11.62,10.06,8.56,8.91,9.19,7.56,5.81,6.41,8.66,9.78,9.91,11.62,14.88,16.66,15.5,14.38,14.94,14.75,11.66,8.75,8.5,9.41,8.41,7.38,8.69,11.38,12.75,12.28,13.16,15.97,17.88,16.91,16.44,17.88,18.53,16.5,14.06,13.38,13.88,11.5,7.91,5.91,5.19,2.88,-1.75,-4.69,-4.94,-4.47,-4.94,-3.62,0.66,4.75,5.44,4.84,5.44,7.12,6.91,5.69,6.47,8.59,9.75,8.91,8.69,11.28,13.38,12.31,10.94,11.03,11.03,8.06,3.75,1.06,-0.56,-4.38,-9.59,-12.97,-13.5,-13.97,-15.25,-14.31,-9.75,-4.38,-1.22,2.22,7.56,13.44,16.25,17.34,18.81,20.34,18.59,14.22,10.31,8.19,6.0,1.62,-1.5,-1.5,-1.22,-3.09,-5.12,-4.59,-2.69,-2.84,-3.62,-2.62,0.19,1.75,2.12,4.41,9.75,14.81,16.91,18.72,21.0,21.88,18.91,15.19,13.88,13.97,12.88,10.56,9.25,9.19,7.0,2.56,-1.47,-2.75,-3.47,-5.94,-7.59,-6.38,-3.47,-2.28,-1.38,1.72,6.16,8.19,8.09,8.09,9.66,9.75,7.09,4.69,4.38,3.72,0.53,-2.34,-2.97,-2.09,-3.31,-5.28,-5.69,-3.91,-4.09,-6.44,-7.47,-6.22,-6.06,-7.5,-7.81,-4.84,-1.34,-0.31,-0.22,1.34,2.66,1.19,-1.78,-2.72,-1.78,-1.88,-3.16,-3.56,-1.94,-1.31,-2.97,-5.03,-4.12,-2.97,-3.94,-5.03,-4.16,-2.31,-2.88,-5.09,-6.03,-4.34,-3.12,-2.34,-0.22,4.66,8.78,9.47,9.03,10.31,12.0,11.19,9.25,8.84,9.88,8.38,5.31,3.81,4.75,5.25,3.72,3.0,4.69,5.81,4.28,1.75,1.0,1.22,0.06,-0.91,0.72,4.56,7.12,6.75,6.28,7.53,7.09,4.5,2.34,2.59,3.19,1.5,-0.75,-0.28,1.31,0.97,-0.59,-0.59,1.0,0.75,-1.06,-1.59,0.03,1.28,0.59,-0.22,1.25,2.91,2.06,0.53,1.06,2.78,2.94,1.72,1.66,3.5,3.75,2.0,0.88,2.59,3.53,2.16,0.28,0.28,0.56,-1.16,-3.88,-4.28,-3.0,-2.53,-3.16,-1.97,1.44,3.69,3.31,2.59,4.03,4.88,3.16,0.97,1.0,2.09,1.03,-0.88,-0.97,0.28,0.28,-2.22,-4.09,-3.62,-3.28,-4.75,-5.16,-2.06,1.62,2.81,3.09,5.31,7.72,7.97,6.66,6.19,6.5,4.97,0.88,-2.47,-2.81,-2.62,-3.62,-4.0,-1.22,1.78,2.62,2.66,4.69,7.81,9.12,8.91,10.03,12.38,13.28,11.31,9.25,8.81,7.88,4.84,1.72,1.41,1.88,1.12,-0.47,0.22,2.12,2.72,1.47,1.5,3.59,4.88,3.62,2.88,4.09,5.06,3.75,2.44,4.09,6.81,8.12,8.12,9.56,11.62,11.34,8.34,5.53,4.22,1.97,-2.31,-5.28,-4.97,-3.66,-3.59,-3.5,-0.56,3.94,7.12,9.16,12.16,16.22,17.91,16.41,14.81,15.09,14.78,11.88,9.06,8.44,7.38,3.81,-0.41,-1.75,-1.0,-0.06,0.5,3.06,7.41,10.38,10.06,9.03,9.34,8.78,5.97,3.56,3.81,5.28,5.66,5.09,6.19,8.41,9.38,8.28,8.47,10.25,11.06,9.44,7.91,7.91,7.88,5.72,3.81,4.41,6.44,6.84,5.72,6.38,8.53,9.75,9.06,9.28,11.22,11.66,9.31,6.41,6.03,6.31,39.62,38.97,39.38,39.03,37.78,37.12,38.06,39.44,38.56,37.72,37.97,39.03,38.09,36.38,35.56,35.88,35.16,33.47,33.28,35.06,36.09,35.34,34.25,34.31,34.78,33.84,33.62,35.16,37.84,38.75,38.56,38.38,38.78,37.88,35.75:25.84,24.81,25.84,27.72,27.91,26.56,26.59,28.28,28.72,26.75,25.0,26.0,26.72,25.28,24.0,25.09,26.25,24.72,22.31,21.72,22.97,22.25,21.12,21.44,24.31,26.53,26.59,27.44,30.03,32.31,31.47,30.12,30.94,32.28,30.94,28.78,28.53,29.72,28.97,26.94,26.0,27.06,27.69,26.12,24.94,26.06,27.66,26.41,24.62,25.5,27.12,26.88,25.31,25.25,27.28,27.81,26.81,26.5,28.78,29.47,27.66,25.75,26.25,27.22,26.91,26.66,28.75,32.53,33.84,33.38,33.38,34.47,33.47,30.66,28.09,27.97,27.47,24.47,21.06,20.19,20.0,18.03,15.28,15.09,16.72,17.0,16.0,16.66,19.69,21.84,21.19,20.66,21.81,22.12,19.41,15.59,13.59,12.38,9.56,5.69,4.41,5.31,5.75,4.78,4.75,7.22,8.72,7.72,6.75,8.44,10.5,10.97,11.12,13.53,16.72,17.78,16.56,15.75,16.47,15.44,12.0,8.91,7.78,6.47,3.5,1.69,3.78,7.78,10.47,12.56,16.75,22.34,25.78,26.75,28.5,30.97,31.94,30.06,28.5,29.38,30.44,28.97,26.97,27.0,26.72,24.16,19.72,17.03,16.03,14.03,10.56,8.69,9.16,9.25,7.38,6.03,8.22,11.25,12.91,15.09,19.88,25.5,28.94,29.72,30.97,32.78,33.38,31.44,30.03,30.94,30.97,28.5,26.16,26.66,27.97,27.66,26.19,26.34,27.0,25.91,23.34,22.78,24.78,26.19,25.41,24.94,26.75,27.72,26.0,24.44,25.0,26.22,26.16,25.81,28.16,31.72,33.94,33.5,33.69,34.0,32.75,29.25,26.06,25.56,25.81,24.28,22.62,23.31,25.22,25.38,24.72,25.84,28.16,29.0,27.91,27.69,30.0,31.88,31.19,30.03,30.16,29.88,26.72,22.62,21.69,21.88,21.16,19.44,19.25,20.75,21.81,21.06,21.41,24.34,26.81,26.19,24.84,25.12,25.81,24.44,22.44,22.56,23.66,23.81,22.22,21.69,22.94,23.19,20.59,19.06,20.28,22.09,22.19,22.31,24.41,26.75,26.59,25.0,25.12,26.53,27.0,26.22,26.59,29.03,30.06,28.09,25.88,25.19,24.72,22.75,21.12,22.34,25.0,25.81,25.0,25.03,26.12,25.25,22.34,20.41,20.56,21.19,19.31,17.69,18.59,19.75,18.41,16.31,16.38,18.19,18.91,18.78,20.59,24.31,27.25,27.16,27.31,28.5,29.06,27.03,24.34,24.0,24.38,22.81,20.12,19.16,19.44,18.5,16.5,15.78,18.44,21.62,23.44,25.88,30.0,33.22,32.59,30.5,29.69,29.41,27.44,24.97,24.41,25.84,26.0,24.69,24.38,26.16,28.28,28.0,27.75,28.66,29.97,28.44,25.97,25.41,25.72,24.44,22.19,21.88,23.59,25.19,24.78,24.62,26.16,27.0,25.81,24.88,26.09,28.31,28.41,27.0,26.91,27.97,27.09,24.03,22.41,22.0,20.56,16.88,13.94,13.81,14.5,13.66,13.09,14.91,17.94,19.34,19.59,21.03,24.0,25.81,25.28,25.25,27.44,28.78,27.66,26.19,26.16,25.88,23.25,19.69,18.12,18.12,16.62,14.44,13.59,14.56,14.88,12.94,11.66,13.34,15.44,15.84,16.78,20.16,24.16,25.62,26.09,27.34,29.75,30.0,28.0,26.94,27.59,27.5,25.44,24.41,25.91,27.34,26.41,24.88,25.03,26.03,25.06,22.88,22.25,23.47,23.12,21.19,19.91,20.94,21.47,20.12,19.59,21.72,24.19,24.5,23.94,24.16,25.28,24.5,22.06,21.0,21.91,21.94,20.22,19.16,20.19,20.97,18.97,17.03,17.22,18.53,18.5,18.31,19.84,22.94,24.31,23.25,22.56,23.47,22.72,20.03,18.31,19.44,21.12,21.28,20.75,22.06,23.78,22.62,20.03,19.25,19.91,19.66,18.41,18.06,20.0,21.12,19.88,18.59,19.69,20.56,19.19,17.41,17.56,18.34,17.72,15.94,15.47,17.0,17.41,16.12,15.72,17.53,19.0,18.16,16.97,18.03,19.28,18.06,16.16,16.34,17.81,17.59,15.66,14.09,13.91,12.5,9.16,7.03,8.31,10.06,10.28,9.78,11.66,13.53,13.28,11.44,11.66,13.44,14.0,13.19,12.91,14.88,15.78,14.25,13.22,14.25,14.94,13.56,11.66,12.0,13.47,13.19,11.94,12.22,13.5,13.38,11.56,10.66,11.56,12.19,10.22,8.16,8.34,8.69,7.44,6.0,7.47,10.56,12.38,13.03,15.12,18.5,20.41,19.66,19.09,20.34,20.81,19.28,17.44,18.09,19.66,18.66,16.06,15.56,15.44,14.06,11.0,9.44,9.81,9.78,7.44,5.41,6.22,7.38,6.62,5.59,7.19,9.78,10.41,9.38,9.69,10.5,10.12,7.81,7.16,9.53,12.0,12.75,12.94,15.31,17.34,16.5,15.12,15.31,16.91,17.34,16.66,17.81,20.31,21.25,19.03,16.78,16.38,15.53,13.41,11.38,12.41,14.09,13.44,11.41,11.09,11.56,10.69,8.47,8.12,9.62,10.94,9.88,9.03,10.09,10.91,9.66,7.75,8.41,9.78,9.62,8.12,8.59,10.91,12.0,11.44,12.28,14.94,16.88,15.84,14.88,15.84,16.41,14.59,12.06,11.94,13.28,13.22,12.19,13.03,15.47,16.25,14.84,13.91,15.12,16.19,14.59,13.03,13.12,13.66,11.84,8.78,8.41,9.41,9.41,8.09,8.5,10.91,12.69,11.38,10.5,11.31,11.12,8.44,4.88,3.91,3.59,1.62,-0.62,-0.5,1.53,2.59,2.28,3.22,6.34,8.53,8.34,8.28,9.69,10.47,7.72,3.88,1.62,0.03,-2.5,-4.75,-3.94,-0.31,3.0,4.09,6.06,9.72,11.62,10.06,8.56,8.91,9.19,7.56,5.81,6.41,8.66,9.78,9.91,11.62,14.88,16.66,15.5,14.38,14.94,14.75,11.66,8.75,8.5,9.41,8.41,7.38,8.69,11.38,12.75,12.28,13.16,15.97,17.88,16.91,16.44,17.88,18.53,16.5,14.06,13.38,13.88,11.5,7.91,5.91,5.19,2.88,-1.75,-4.69,-4.94,-4.47,-4.94,-3.62,0.66,4.75,5.44,4.84,5.44,7.12,6.91,5.69,6.47,8.59,9.75,8.91,8.69,11.28,13.38,12.31,10.94,11.03,11.03,8.06,3.75,1.06,-0.56,-4.38,-9.59,-12.97,-13.5,-13.97,-15.25,-14.31,-9.75,-4.38,-1.22,2.22,7.56,13.44,16.25,17.34,18.81,20.34,18.59,14.22,10.31,8.19,6.0,1.62,-1.5,-1.5,-1.22,-3.09,-5.12,-4.59,-2.69,-2.84,-3.62,-2.62,0.19,1.75,2.12,4.41,9.75,14.81,16.91,18.72,21.0,21.88,18.91,15.19,13.88,13.97,12.88,10.56,9.25,9.19,7.0,2.56,-1.47,-2.75,-3.47,-5.94,-7.59,-6.38,-3.47,-2.28,-1.38,1.72,6.16,8.19,8.09,8.09,9.66,9.75,7.09,4.69,4.38,3.72,0.53,-2.34,-2.97,-2.09,-3.31,-5.28,-5.69,-3.91,-4.09,-6.44,-7.47,-6.22,-6.06,-7.5,-7.81,-4.84,-1.34,-0.31,-0.22,1.34,2.66,1.19,-1.78,-2.72,-1.78,-1.88,-3.16,-3.56,-1.94,-1.31,-2.97,-5.03,-4.12,-2.97,-3.94,-5.03,-4.16,-2.31,-2.88,-5.09,-6.03,-4.34,-3.12,-2.34,-0.22,4.66,8.78,9.47,9.03,10.31,12.0,11.19,9.25,8.84,9.88,8.38,5.31,3.81,4.75,5.25,3.72,3.0,4.69,5.81,4.28,1.75,1.0,1.22,0.06,-0.91,0.72,4.56,7.12,6.75,6.28,7.53,7.09,4.5,2.34,2.59,3.19,1.5,-0.75,-0.28,1.31,0.97,-0.59,-0.59,1.0,0.75,-1.06,-1.59,0.03,1.28,0.59,-0.22,1.25,2.91,2.06,0.53,1.06,2.78,2.94,1.72,1.66,3.5,3.75,2.0,0.88,2.59,3.53,2.16,0.28,0.28,0.56,-1.16,-3.88,-4.28,-3.0,-2.53,-3.16,-1.97,1.44,3.69,3.31,2.59,4.03,4.88,3.16,0.97,1.0,2.09,1.03,-0.88,-0.97,0.28,0.28,-2.22,-4.09,-3.62,-3.28,-4.75,-5.16,-2.06,1.62,2.81,3.09,5.31,7.72,7.97,6.66,6.19,6.5,4.97,0.88,-2.47,-2.81,-2.62,-3.62,-4.0,-1.22,1.78,2.62,2.66,4.69,7.81,9.12,8.91,10.03,12.38,13.28,11.31,9.25,8.81,7.88,4.84,1.72,1.41,1.88,1.12,-0.47,0.22,2.12,2.72,1.47,1.5,3.59,4.88,3.62,2.88,4.09,5.06,3.75,2.44,4.09,6.81,8.12,8.12,9.56,11.62,11.34,8.34,5.53,4.22,1.97,-2.31,-5.28,-4.97,-3.66,-3.59,-3.5,-0.56,3.94,7.12,9.16,12.16,16.22,17.91,16.41,14.81,15.09,14.78,11.88,9.06,8.44,7.38,3.81,-0.41,-1.75,-1.0,-0.06,0.5,3.06,7.41,10.38,10.06,9.03,9.34,8.78,5.97,3.56,3.81,5.28,5.66,5.09,6.19,8.41,9.38,8.28,8.47,10.25,11.06,9.44,7.91,7.91,7.88,5.72,3.81,4.41,6.44,6.84,5.72,6.38,8.53,9.75,9.06,9.28,11.22,11.66,9.31,6.41,6.03,6.31,39.62,38.97,39.38,39.03,37.78,37.12,38.06,39.44,38.56,37.72,37.97,39.03,38.09,36.38,35.56,35.88,35.16,33.47,33.28,35.06,36.09,35.34,34.25,34.31,34.78,33.84,33.62,35.16,37.84,38.75,38.56,38.38,38.78,37.88,35.75,34.78,35.91,36.91,36.66,36.38,37.62,38.5:positivity
8.88,8.16,7.97,7.0,6.47,7.97,10.69,12.25,13.22,14.56,16.03,15.59,13.34,11.62,11.09,10.0,7.72,5.47,4.09,2.5,-0.5,-3.34,-4.38,-3.56,-2.66,-1.75,0.34,2.88,4.16,3.5,2.66,2.44,1.78,-0.09,-1.81,-2.12,-2.19,-3.28,-4.78,-4.91,-4.28,-4.66,-5.16,-4.59,-2.66,-1.22,-0.75,-0.59,0.41,0.47,-0.72,-2.0,-1.81,-1.34,-1.88,-2.34,-1.62,0.44,1.66,2.75,4.53,7.75,10.41,11.75,13.5,15.53,16.53,15.44,13.41,12.62,11.72,9.66,7.38,6.78,7.81,7.97,7.84,8.03,9.56,9.97,8.22,6.56,6.19,5.84,4.34,3.41,4.53,6.84,7.84,8.25,9.5,11.25,11.62,10.62,10.03,10.69,10.94,9.66,8.44,8.56,8.47,6.62,4.56,4.06,4.47,4.09,3.22,3.72,5.12,5.84,5.09,5.03,5.75,6.06,5.12,4.56,5.62,6.81,6.28,5.06,4.62,4.62,2.88,0.81,0.12,0.84,1.25,0.78,0.88,2.09,2.62,1.75,1.22,2.84,4.5,5.12,6.06,8.03,10.34,10.94,10.12,9.12,8.06,6.12,3.66,2.09,3.22,5.0,6.31,7.19,9.44,11.41,11.75,12.0,13.31,15.22,15.69,14.97,14.0,13.53,12.28,9.5,7.28,7.19,7.22,5.47,3.53,2.88,1.81,-0.41,-3.25,-4.72,-4.91,-5.53,-6.84,-6.53,-4.66,-2.94,-2.12,-0.81,2.28,4.66,5.56,5.66,6.75,7.81,7.06,5.69,4.88,5.34,5.06,4.0,3.88,4.78,5.16,4.22,3.53,4.88,6.5,7.44,8.0,9.75,11.78,11.75,11.31,10.66,11.25,10.34,8.66,7.12,6.88,6.56,5.22,4.28,5.12,5.41,4.22,2.28,1.16,0.06,-1.78,-3.81,-4.31,-3.31,-2.75,-2.44,-2.09,-0.47,0.66,0.53,0.44,1.69,2.72,2.16,0.81,0.06,-0.03,-1.38,-3.03,-3.5,-2.53,-2.44,-2.62,-2.19,-0.03,2.0,2.59,2.66,3.72,4.56,3.78,2.75,3.25,4.94,5.75,6.22,7.16,9.22,9.97,9.03,8.59,9.03,9.88,9.5,9.31,10.53,11.78,11.0,9.47,8.84,8.78,7.78,6.75,6.41,7.06,7.28,6.03,4.75,4.69,5.28,4.69,4.03,5.38,7.25,8.72,9.38,11.5,14.38,15.97,15.72,15.03,15.12,14.12,12.03,9.97,9.88,10.09,9.06,8.0,8.44,9.94,10.22,9.66,9.78,10.53,10.25,9.69,10.03,12.56,14.56,15.09,15.09,15.72,15.81,13.97,12.25,11.72,12.16,11.75,10.31,10.0,10.19,9.81,8.56,8.25,9.28,9.84,9.0,8.47,9.47,10.53,10.34,9.62,10.09,10.59,9.78,8.0,7.0,7.12,6.56,5.31,4.75,5.84,6.81,6.47,5.81,6.78,8.0,7.97,7.09,7.34,7.91,7.41,5.53,4.56,4.59,4.12,2.09,0.44,0.19,-0.06,-1.31,-1.81,0.31,3.16,5.22,6.78,9.66,12.5,14.41,14.41,15.03,16.03,15.69,14.19,12.59,11.91,11.16,9.09,6.94,6.56,7.25,7.75,8.41,10.34,13.19,15.03,15.25,16.19,17.91,19.34,19.34,19.34,20.84,21.88,21.03,19.88,20.0,20.12,18.78,16.47,15.03,14.53,13.66,12.19,11.69,12.62,13.12,12.03,11.41,12.41,13.41,13.31,12.75,13.38,14.09,13.31,11.78,11.75,12.91,13.75,13.78,14.28,15.34,15.44,13.75,11.75,11.53,11.75,10.47,8.59,8.09,8.09,7.03,5.88,6.72,9.38,11.66,12.91,14.31,16.41,17.41,17.03,16.38,17.41,19.22,20.38,21.47,23.97,26.97,28.25,28.06,28.16,28.41,27.34,24.5,22.19,20.94,20.25,18.72,18.12,19.31,20.97,20.97,19.91,20.22,21.19,21.44,21.03,21.09,22.06,22.19,20.19,18.56,18.56,18.47,16.69,15.03,14.88,15.06,14.0,12.59,12.75,13.69,14.0,13.25,13.16,14.16,14.59,13.47,12.72,13.53,14.44,13.28,12.16,12.66,13.38,13.0,11.78,11.75,12.25,11.44,9.44,8.41,8.53,8.12,6.44,5.41,5.97,7.28,7.22,7.31,8.91,10.53,10.66,9.81,9.72,10.53,10.91,9.56,8.56,8.47,7.28,4.25,1.44,0.06,-0.53,-1.72,-2.0,-0.72,1.62,2.69,2.41,2.66,3.06,2.28,-0.12,-1.09,-0.41,0.84,1.06,1.69,3.53,5.28,5.16,4.88,5.59,7.38,8.19,8.12,9.19,11.19,12.25,11.47,11.16,12.0,12.34,11.22,10.25,10.47,11.09,10.22,9.19,9.81,11.69,12.47,12.06,12.56,13.75,14.0,12.91,12.31,12.91,13.25,12.19,11.06,11.34,12.09,11.53,10.31,10.09,10.31,9.22,7.22,6.12,6.06,6.12,5.12,4.84,6.47,8.19,8.31,8.5,9.97,11.56,11.28,9.81,8.72,8.59,7.28,4.78,3.69,3.66,3.59,2.62,2.69,4.16,6.12,6.12,5.78,6.56,7.97,7.56,6.31,6.16,7.5,8.03,8.19,9.34,11.34,12.47,11.31,9.53,8.62,7.69,5.81,4.72,6.06,8.09,8.81,8.12,7.69,7.5,6.12,3.75,2.69,3.38,4.84,5.5,6.47,8.94,10.94,10.47,9.09,8.75,9.22,8.38,7.62,8.59,11.34,14.0,14.69,15.72,16.72,15.84,12.44,8.84,6.28,4.62,1.88,-0.56,-1.12,-0.41,-0.03,0.22,2.0,5.19,7.5,7.66,7.78,8.19,7.5,4.75,2.69,2.31,2.66,1.91,0.81,1.16,2.47,2.72,2.19,2.78,4.34,5.56,5.09,5.44,6.91,8.19,7.56,6.97,7.94,9.12,8.44,7.31,7.38,8.34,8.34,7.5,7.72,8.81,8.78,6.75,4.53,3.16,1.66,-1.53,-3.81,-3.66,-1.62,-0.16,1.41,4.72,8.84,11.84,14.0,16.62,19.97,22.03,22.22,21.69,22.44,23.09,21.78,20.41,20.19,20.31,18.66,16.56,15.47,15.72,14.94,12.91,11.84,11.97,11.22,9.34,8.28,9.25,11.22,11.91,13.62,16.75,20.56,22.28,23.66,25.28,27.31,27.59,26.25,25.38,25.91,26.03,24.94,24.41,25.12,26.28,25.38,24.5,25.12,27.06,27.66,27.94,30.0,32.88,34.25,33.97,33.34,33.03,31.5,28.25,25.09,23.75,23.12,21.47,19.91,19.72,20.03,18.62,15.84,13.59,12.44,11.0,9.44,9.75,12.19,14.94,15.72,16.12,17.16,18.03,16.88,15.44,15.28,15.81,15.16,14.0,13.84,14.84,15.22,14.47,14.19,15.38,16.38,15.91,15.72,16.66,18.72,18.5,17.53,17.62,18.09,16.75,15.16,14.5,14.91,14.31,12.28,10.66,10.12,10.19,9.5,9.94,12.47,15.88,17.75,19.03,20.53,22.25,22.66,21.88,21.88,23.34,24.0,23.41,23.31,24.75,25.84,25.44,24.56,24.25,24.19,22.19,19.91,19.12,19.88,19.62,18.88,19.28,21.28,22.78,22.62,23.03,24.81,26.44,26.62,26.25,27.41,28.81,27.62,25.66,24.41,24.03,22.72,21.12,20.69,21.97,22.72,21.31,19.91,20.19,20.41,19.41,18.53,19.12,20.66,20.03,19.22,19.09,20.03,19.75,18.34,18.5,20.19,21.91,22.53,23.34,24.97,25.97,24.81,23.06,22.59,23.16,22.94,22.94,24.0,26.0,26.12,24.34,22.72,21.72,20.19,17.38,15.16,15.19,16.12,16.38,16.94,19.22,21.72,22.62,22.53,22.84,23.94,23.75,22.31,21.22,21.5,21.75,20.72,19.81,20.53,21.56,19.91,17.66,16.91,17.25,16.5,15.81,16.75,19.69,21.62,22.12,22.34,23.41,22.84,20.03,16.53,15.09,14.62,13.72,13.12,14.0,15.06,13.75,11.12,8.44,7.19,5.81,4.59,5.34,8.0,11.25,13.19,14.66,17.56,20.16,20.19,19.06,18.06,17.72,16.09,14.25,14.03,15.44,16.06,15.19,14.53,15.38,15.59,14.28,12.59,12.28,12.31,11.25,9.81,9.97,10.97,10.72,9.22,8.34,8.5,8.0,6.53,5.53,6.69,8.19,8.72,9.44,11.38,14.19,15.75,16.28,18.0,20.12,19.91,17.44,14.22,11.5,8.03,3.31,-0.81,-2.62,-3.66,-5.47,-7.25,-6.59,-4.88,-4.03,-3.41,-1.69,1.25,3.59,4.62,7.22,11.47,15.22,17.72,20.03,23.69,26.81,27.94,28.25,29.44,30.94,31.03,30.44,30.44,31.5,31.34,29.53,27.44,26.16,24.16,20.38,16.5,14.81,13.62,11.78,9.81,8.91,8.16,5.88,2.62,-0.16,-1.31,-2.78,-4.69,-5.47,-3.69,-1.47,-0.16,1.69,5.56,9.09,11.47,13.53,16.75,20.53,22.94,23.78,24.75,25.44,23.97,20.38,16.0,12.94,9.47,4.88,0.81,-0.56,-1.03,-1.69,-2.5,-1.56,0.38,1.62,2.16,4.25,8.53,12.62,15.44,18.38,22.34,25.94,27.56,28.72,31.62,34.78,35.84,35.47,35.34,34.72,31.91,27.5,23.75,21.72,19.53,16.59,14.66,14.41,14.38,13.16,12.03,12.5,13.06,12.5,11.22,11.25,13.0,14.62,15.97,18.62,22.44,25.53,26.66,27.69,29.88,31.25,30.56,28.25,26.5,24.47,21.0,17.28,15.38,15.12,14.03,11.84,10.38,9.69,9.03,7.09,5.78,5.84,5.88,4.19,1.94,1.47,1.5,1.28,0.94,2.47,5.44,8.03,9.72,11.94,15.03,16.56,15.12,12.5,11.19:12.25,13.22,14.56,16.03,15.59,13.34,11.62,11.09,10.0,7.72,5.47,4.09,2.5,-0.5,-3.34,-4.38,-3.56,-2.66,-1.75,0.34,2.88,4.16,3.5,2.66,2.44,1.78,-0.09,-1.81,-2.12,-2.19,-3.28,-4.78,-4.91,-4.28,-4.66,-5.16,-4.59,-2.66,-1.22,-0.75,-0.59,0.41,0.47,-0.72,-2.0,-1.81,-1.34,-1.88,-2.34,-1.62,0.44,1.66,2.75,4.53,7.75,10.41,11.75,13.5,15.53,16.53,15.44,13.41,12.62,11.72,9.66,7.38,6.78,7.81,7.97,7.84,8.03,9.56,9.97,8.22,6.56,6.19,5.84,4.34,3.41,4.53,6.84,7.84,8.25,9.5,11.25,11.62,10.62,10.03,10.69,10.94,9.66,8.44,8.56,8.47,6.62,4.56,4.06,4.47,4.09,3.22,3.72,5.12,5.84,5.09,5.03,5.75,6.06,5.12,4.56,5.62,6.81,6.28,5.06,4.62,4.62,2.88,0.81,0.12,0.84,1.25,0.78,0.88,2.09,2.62,1.75,1.22,2.84,4.5,5.12,6.06,8.03,10.34,10.94,10.12,9.12,8.06,6.12,3.66,2.09,3.22,5.0,6.31,7.19,9.44,11.41,11.75,12.0,13.31,15.22,15.69,14.97,14.0,13.53,12.28,9.5,7.28,7.19,7.22,5.47,3.53,2.88,1.81,-0.41,-3.25,-4.72,-4.91,-5.53,-6.84,-6.53,-4.66,-2.94,-2.12,-0.81,2.28,4.66,5.56,5.66,6.75,7.81,7.06,5.69,4.88,5.34,5.06,4.0,3.88,4.78,5.16,4.22,3.53,4.88,6.5,7.44,8.0,9.75,11.78,11.75,11.31,10.66,11.25,10.34,8.66,7.12,6.88,6.56,5.22,4.28,5.12,5.41,4.22,2.28,1.16,0.06,-1.78,-3.81,-4.31,-3.31,-2.75,-2.44,-2.09,-0.47,0.66,0.53,0.44,1.69,2.72,2.16,0.81,0.06,-0.03,-1.38,-3.03,-3.5,-2.53,-2.44,-2.62,-2.19,-0.03,2.0,2.59,2.66,3.72,4.56,3.78,2.75,3.25,4.94,5.75,6.22,7.16,9.22,9.97,9.03,8.59,9.03,9.88,9.5,9.31,10.53,11.78,11.0,9.47,8.84,8.78,7.78,6.75,6.41,7.06,7.28,6.03,4.75,4.69,5.28,4.69,4.03,5.38,7.25,8.72,9.38,11.5,14.38,15.97,15.72,15.03,15.12,14.12,12.03,9.97,9.88,10.09,9.06,8.0,8.44,9.94,10.22,9.66,9.78,10.53,10.25,9.69,10.03,12.56,14.56,15.09,15.09,15.72,15.81,13.97,12.25,11.72,12.16,11.75,10.31,10.0,10.19,9.81,8.56,8.25,9.28,9.84,9.0,8.47,9.47,10.53,10.34,9.62,10.09,10.59,9.78,8.0,7.0,7.12,6.56,5.31,4.75,5.84,6.81,6.47,5.81,6.78,8.0,7.97,7.09,7.34,7.91,7.41,5.53,4.56,4.59,4.12,2.09,0.44,0.19,-0.06,-1.31,-1.81,0.31,3.16,5.22,6.78,9.66,12.5,14.41,14.41,15.03,16.03,15.69,14.19,12.59,11.91,11.16,9.09,6.94,6.56,7.25,7.75,8.41,10.34,13.19,15.03,15.25,16.19,17.91,19.34,19.34,19.34,20.84,21.88,21.03,19.88,20.0,20.12,18.78,16.47,15.03,14.53,13.66,12.19,11.69,12.62,13.12,12.03,11.41,12.41,13.41,13.31,12.75,13.38,14.09,13.31,11.78,11.75,12.91,13.75,13.78,14.28,15.34,15.44,13.75,11.75,11.53,11.75,10.47,8.59,8.09,8.09,7.03,5.88,6.72,9.38,11.66,12.91,14.31,16.41,17.41,17.03,16.38,17.41,19.22,20.38,21.47,23.97,26.97,28.25,28.06,28.16,28.41,27.34,24.5,22.19,20.94,20.25,18.72,18.12,19.31,20.97,20.97,19.91,20.22,21.19,21.44,21.03,21.09,22.06,22.19,20.19,18.56,18.56,18.47,16.69,15.03,14.88,15.06,14.0,12.59,12.75,13.69,14.0,13.25,13.16,14.16,14.59,13.47,12.72,13.53,14.44,13.28,12.16,12.66,13.38,13.0,11.78,11.75,12.25,11.44,9.44,8.41,8.53,8.12,6.44,5.41,5.97,7.28,7.22,7.31,8.91,10.53,10.66,9.81,9.72,10.53,10.91,9.56,8.56,8.47,7.28,4.25,1.44,0.06,-0.53,-1.72,-2.0,-0.72,1.62,2.69,2.41,2.66,3.06,2.28,-0.12,-1.09,-0.41,0.84,1.06,1.69,3.53,5.28,5.16,4.88,5.59,7.38,8.19,8.12,9.19,11.19,12.25,11.47,11.16,12.0,12.34,11.22,10.25,10.47,11.09,10.22,9.19,9.81,11.69,12.47,12.06,12.56,13.75,14.0,12.91,12.31,12.91,13.25,12.19,11.06,11.34,12.09,11.53,10.31,10.09,10.31,9.22,7.22,6.12,6.06,6.12,5.12,4.84,6.47,8.19,8.31,8.5,9.97,11.56,11.28,9.81,8.72,8.59,7.28,4.78,3.69,3.66,3.59,2.62,2.69,4.16,6.12,6.12,5.78,6.56,7.97,7.56,6.31,6.16,7.5,8.03,8.19,9.34,11.34,12.47,11.31,9.53,8.62,7.69,5.81,4.72,6.06,8.09,8.81,8.12,7.69,7.5,6.12,3.75,2.69,3.38,4.84,5.5,6.47,8.94,10.94,10.47,9.09,8.75,9.22,8.38,7.62,8.59,11.34,14.0,14.69,15.72,16.72,15.84,12.44,8.84,6.28,4.62,1.88,-0.56,-1.12,-0.41,-0.03,0.22,2.0,5.19,7.5,7.66,7.78,8.19,7.5,4.75,2.69,2.31,2.66,1.91,0.81,1.16,2.47,2.72,2.19,2.78,4.34,5.56,5.09,5.44,6.91,8.19,7.56,6.97,7.94,9.12,8.44,7.31,7.38,8.34,8.34,7.5,7.72,8.81,8.78,6.75,4.53,3.16,1.66,-1.53,-3.81,-3.66,-1.62,-0.16,1.41,4.72,8.84,11.84,14.0,16.62,19.97,22.03,22.22,21.69,22.44,23.09,21.78,20.41,20.19,20.31,18.66,16.56,15.47,15.72,14.94,12.91,11.84,11.97,11.22,9.34,8.28,9.25,11.22,11.91,13.62,16.75,20.56,22.28,23.66,25.28,27.31,27.59,26.25,25.38,25.91,26.03,24.94,24.41,25.12,26.28,25.38,24.5,25.12,27.06,27.66,27.94,30.0,32.88,34.25,33.97,33.34,33.03,31.5,28.25,25.09,23.75,23.12,21.47,19.91,19.72,20.03,18.62,15.84,13.59,12.44,11.0,9.44,9.75,12.19,14.94,15.72,16.12,17.16,18.03,16.88,15.44,15.28,15.81,15.16,14.0,13.84,14.84,15.22,14.47,14.19,15.38,16.38,15.91,15.72,16.66,18.72,18.5,17.53,17.62,18.09,16.75,15.16,14.5,14.91,14.31,12.28,10.66,10.12,10.19,9.5,9.94,12.47,15.88,17.75,19.03,20.53,22.25,22.66,21.88,21.88,23.34,24.0,23.41,23.31,24.75,25.84,25.44,24.56,24.25,24.19,22.19,19.91,19.12,19.88,19.62,18.88,19.28,21.28,22.78,22.62,23.03,24.81,26.44,26.62,26.25,27.41,28.81,27.62,25.66,24.41,24.03,22.72,21.12,20.69,21.97,22.72,21.31,19.91,20.19,20.41,19.41,18.53,19.12,20.66,20.03,19.22,19.09,20.03,19.75,18.34,18.5,20.19,21.91,22.53,23.34,24.97,25.97,24.81,23.06,22.59,23.16,22.94,22.94,24.0,26.0,26.12,24.34,22.72,21.72,20.19,17.38,15.16,15.19,16.12,16.38,16.94,19.22,21.72,22.62,22.53,22.84,23.94,23.75,22.31,21.22,21.5,21.75,20.72,19.81,20.53,21.56,19.91,17.66,16.91,17.25,16.5,15.81,16.75,19.69,21.62,22.12,22.34,23.41,22.84,20.03,16.53,15.09,14.62,13.72,13.12,14.0,15.06,13.75,11.12,8.44,7.19,5.81,4.59,5.34,8.0,11.25,13.19,14.66,17.56,20.16,20.19,19.06,18.06,17.72,16.09,14.25,14.03,15.44,16.06,15.19,14.53,15.38,15.59,14.28,12.59,12.28,12.31,11.25,9.81,9.97,10.97,10.72,9.22,8.34,8.5,8.0,6.53,5.53,6.69,8.19,8.72,9.44,11.38,14.19,15.75,16.28,18.0,20.12,19.91,17.44,14.22,11.5,8.03,3.31,-0.81,-2.62,-3.66,-5.47,-7.25,-6.59,-4.88,-4.03,-3.41,-1.69,1.25,3.59,4.62,7.22,11.47,15.22,17.72,20.03,23.69,26.81,27.94,28.25,29.44,30.94,31.03,30.44,30.44,31.5,31.34,29.53,27.44,26.16,24.16,20.38,16.5,14.81,13.62,11.78,9.81,8.91,8.16,5.88,2.62,-0.16,-1.31,-2.78,-4.69,-5.47,-3.69,-1.47,-0.16,1.69,5.56,9.09,11.47,13.53,16.75,20.53,22.94,23.78,24.75,25.44,23.97,20.38,16.0,12.94,9.47,4.88,0.81,-0.56,-1.03,-1.69,-2.5,-1.56,0.38,1.62,2.16,4.25,8.53,12.62,15.44,18.38,22.34,25.94,27.56,28.72,31.62,34.78,35.84,35.47,35.34,34.72,31.91,27.5,23.75,21.72,19.53,16.59,14.66,14.41,14.38,13.16,12.03,12.5,13.06,12.5,11.22,11.25,13.0,14.62,15.97,18.62,22.44,25.53,26.66,27.69,29.88,31.25,30.56,28.25,26.5,24.47,21.0,17.28,15.38,15.12,14.03,11.84,10.38,9.69,9.03,7.09,5.78,5.84,5.88,4.19,1.94,1.47,1.5,1.28,0.94,2.47,5.44,8.03,9.72,11.94,15.03,16.56,15.12,12.5,11.19,50.34,48.28,46.31,45.69,45.66,46.12,47.72:11.09,10.0,7.72,5.47,4.09,2.5,-0.5,-3.34,-4.38,-3.56,-2.66,-1.75,0.34,2.88,4.16,3.5,2.66,2.44,1.78,-0.09,-1.81,-2.12,-2.19,-3.28,-4.78,-4.91,-4.28,-4.66,-5.16,-4.59,-2.66,-1.22,-0.75,-0.59,0.41,0.47,-0.72,-2.0,-1.81,-1.34,-1.88,-2.34,-1.62,0.44,1.66,2.75,4.53,7.75,10.41,11.75,13.5,15.53,16.53,15.44,13.41,12.62,11.72,9.66,7.38,6.78,7.81,7.97,7.84,8.03,9.56,9.97,8.22,6.56,6.19,5.84,4.34,3.41,4.53,6.84,7.84,8.25,9.5,11.25,11.62,10.62,10.03,10.69,10.94,9.66,8.44,8.56,8.47,6.62,4.56,4.06,4.47,4.09,3.22,3.72,5.12,5.84,5.09,5.03,5.75,6.06,5.12,4.56,5.62,6.81,6.28,5.06,4.62,4.62,2.88,0.81,0.12,0.84,1.25,0.78,0.88,2.09,2.62,1.75,1.22,2.84,4.5,5.12,6.06,8.03,10.34,10.94,10.12,9.12,8.06,6.12,3.66,2.09,3.22,5.0,6.31,7.19,9.44,11.41,11.75,12.0,13.31,15.22,15.69,14.97,14.0,13.53,12.28,9.5,7.28,7.19,7.22,5.47,3.53,2.88,1.81,-0.41,-3.25,-4.72,-4.91,-5.53,-6.84,-6.53,-4.66,-2.94,-2.12,-0.81,2.28,4.66,5.56,5.66,6.75,7.81,7.06,5.69,4.88,5.34,5.06,4.0,3.88,4.78,5.16,4.22,3.53,4.88,6.5,7.44,8.0,9.75,11.78,11.75,11.31,10.66,11.25,10.34,8.66,7.12,6.88,6.56,5.22,4.28,5.12,5.41,4.22,2.28,1.16,0.06,-1.78,-3.81,-4.31,-3.31,-2.75,-2.44,-2.09,-0.47,0.66,0.53,0.44,1.69,2.72,2.16,0.81,0.06,-0.03,-1.38,-3.03,-3.5,-2.53,-2.44,-2.62,-2.19,-0.03,2.0,2.59,2.66,3.72,4.56,3.78,2.75,3.25,4.94,5.75,6.22,7.16,9.22,9.97,9.03,8.59,9.03,9.88,9.5,9.31,10.53,11.78,11.0,9.47,8.84,8.78,7.78,6.75,6.41,7.06,7.28,6.03,4.75,4.69,5.28,4.69,4.03,5.38,7.25,8.72,9.38,11.5,14.38,15.97,15.72,15.03,15.12,14.12,12.03,9.97,9.88,10.09,9.06,8.0,8.44,9.94,10.22,9.66,9.78,10.53,10.25,9.69,10.03,12.56,14.56,15.09,15.09,15.72,15.81,13.97,12.25,11.72,12.16,11.75,10.31,10.0,10.19,9.81,8.56,8.25,9.28,9.84,9.0,8.47,9.47,10.53,10.34,9.62,10.09,10.59,9.78,8.0,7.0,7.12,6.56,5.31,4.75,5.84,6.81,6.47,5.81,6.78,8.0,7.97,7.09,7.34,7.91,7.41,5.53,4.56,4.59,4.12,2.09,0.44,0.19,-0.06,-1.31,-1.81,0.31,3.16,5.22,6.78,9.66,12.5,14.41,14.41,15.03,16.03,15.69,14.19,12.59,11.91,11.16,9.09,6.94,6.56,7.25,7.75,8.41,10.34,13.19,15.03,15.25,16.19,17.91,19.34,19.34,19.34,20.84,21.88,21.03,19.88,20.0,20.12,18.78,16.47,15.03,14.53,13.66,12.19,11.69,12.62,13.12,12.03,11.41,12.41,13.41,13.31,12.75,13.38,14.09,13.31,11.78,11.75,12.91,13.75,13.78,14.28,15.34,15.44,13.75,11.75,11.53,11.75,10.47,8.59,8.09,8.09,7.03,5.88,6.72,9.38,11.66,12.91,14.31,16.41,17.41,17.03,16.38,17.41,19.22,20.38,21.47,23.97,26.97,28.25,28.06,28.16,28.41,27.34,24.5,22.19,20.94,20.25,18.72,18.12,19.31,20.97,20.97,19.91,20.22,21.19,21.44,21.03,21.09,22.06,22.19,20.19,18.56,18.56,18.47,16.69,15.03,14.88,15.06,14.0,12.59,12.75,13.69,14.0,13.25,13.16,14.16,14.59,13.47,12.72,13.53,14.44,13.28,12.16,12.66,13.38,13.0,11.78,11.75,12.25,11.44,9.44,8.41,8.53,8.12,6.44,5.41,5.97,7.28,7.22,7.31,8.91,10.53,10.66,9.81,9.72,10.53,10.91,9.56,8.56,8.47,7.28,4.25,1.44,0.06,-0.53,-1.72,-2.0,-0.72,1.62,2.69,2.41,2.66,3.06,2.28,-0.12,-1.09,-0.41,0.84,1.06,1.69,3.53,5.28,5.16,4.88,5.59,7.38,8.19,8.12,9.19,11.19,12.25,11.47,11.16,12.0,12.34,11.22,10.25,10.47,11.09,10.22,9.19,9.81,11.69,12.47,12.06,12.56,13.75,14.0,12.91,12.31,12.91,13.25,12.19,11.06,11.34,12.09,11.53,10.31,10.09,10.31,9.22,7.22,6.12,6.06,6.12,5.12,4.84,6.47,8.19,8.31,8.5,9.97,11.56,11.28,9.81,8.72,8.59,7.28,4.78,3.69,3.66,3.59,2.62,2.69,4.16,6.12,6.12,5.78,6.56,7.97,7.56,6.31,6.16,7.5,8.03,8.19,9.34,11.34,12.47,11.31,9.53,8.62,7.69,5.81,4.72,6.06,8.09,8.81,8.12,7.69,7.5,6.12,3.75,2.69,3.38,4.84,5.5,6.47,8.94,10.94,10.47,9.09,8.75,9.22,8.38,7.62,8.59,11.34,14.0,14.69,15.72,16.72,15.84,12.44,8.84,6.28,4.62,1.88,-0.56,-1.12,-0.41,-0.03,0.22,2.0,5.19,7.5,7.66,7.78,8.19,7.5,4.75,2.69,2.31,2.66,1.91,0.81,1.16,2.47,2.72,2.19,2.78,4.34,5.56,5.09,5.44,6.91,8.19,7.56,6.97,7.94,9.12,8.44,7.31,7.38,8.34,8.34,7.5,7.72,8.81,8.78,6.75,4.53,3.16,1.66,-1.53,-3.81,-3.66,-1.62,-0.16,1.41,4.72,8.84,11.84,14.0,16.62,19.97,22.03,22.22,21.69,22.44,23.09,21.78,20.41,20.19,20.31,18.66,16.56,15.47,15.72,14.94,12.91,11.84,11.97,11.22,9.34,8.28,9.25,11.22,11.91,13.62,16.75,20.56,22.28,23.66,25.28,27.31,27.59,26.25,25.38,25.91,26.03,24.94,24.41,25.12,26.28,25.38,24.5,25.12,27.06,27.66,27.94,30.0,32.88,34.25,33.97,33.34,33.03,31.5,28.25,25.09,23.75,23.12,21.47,19.91,19.72,20.03,18.62,15.84,13.59,12.44,11.0,9.44,9.75,12.19,14.94,15.72,16.12,17.16,18.03,16.88,15.44,15.28,15.81,15.16,14.0,13.84,14.84,15.22,14.47,14.19,15.38,16.38,15.91,15.72,16.66,18.72,18.5,17.53,17.62,18.09,16.75,15.16,14.5,14.91,14.31,12.28,10.66,10.12,10.19,9.5,9.94,12.47,15.88,17.75,19.03,20.53,22.25,22.66,21.88,21.88,23.34,24.0,23.41,23.31,24.75,25.84,25.44,24.56,24.25,24.19,22.19,19.91,19.12,19.88,19.62,18.88,19.28,21.28,22.78,22.62,23.03,24.81,26.44,26.62,26.25,27.41,28.81,27.62,25.66,24.41,24.03,22.72,21.12,20.69,21.97,22.72,21.31,19.91,20.19,20.41,19.41,18.53,19.12,20.66,20.03,19.22,19.09,20.03,19.75,18.34,18.5,20.19,21.91,22.53,23.34,24.97,25.97,24.81,23.06,22.59,23.16,22.94,22.94,24.0,26.0,26.12,24.34,22.72,21.72,20.19,17.38,15.16,15.19,16.12,16.38,16.94,19.22,21.72,22.62,22.53,22.84,23.94,23.75,22.31,21.22,21.5,21.75,20.72,19.81,20.53,21.56,19.91,17.66,16.91,17.25,16.5,15.81,16.75,19.69,21.62,22.12,22.34,23.41,22.84,20.03,16.53,15.09,14.62,13.72,13.12,14.0,15.06,13.75,11.12,8.44,7.19,5.81,4.59,5.34,8.0,11.25,13.19,14.66,17.56,20.16,20.19,19.06,18.06,17.72,16.09,14.25,14.03,15.44,16.06,15.19,14.53,15.38,15.59,14.28,12.59,12.28,12.31,11.25,9.81,9.97,10.97,10.72,9.22,8.34,8.5,8.0,6.53,5.53,6.69,8.19,8.72,9.44,11.38,14.19,15.75,16.28,18.0,20.12,19.91,17.44,14.22,11.5,8.03,3.31,-0.81,-2.62,-3.66,-5.47,-7.25,-6.59,-4.88,-4.03,-3.41,-1.69,1.25,3.59,4.62,7.22,11.47,15.22,17.72,20.03,23.69,26.81,27.94,28.25,29.44,30.94,31.03,30.44,30.44,31.5,31.34,29.53,27.44,26.16,24.16,20.38,16.5,14.81,13.62,11.78,9.81,8.91,8.16,5.88,2.62,-0.16,-1.31,-2.78,-4.69,-5.47,-3.69,-1.47,-0.16,1.69,5.56,9.09,11.47,13.53,16.75,20.53,22.94,23.78,24.75,25.44,23.97,20.38,16.0,12.94,9.47,4.88,0.81,-0.56,-1.03,-1.69,-2.5,-1.56,0.38,1.62,2.16,4.25,8.53,12.62,15.44,18.38,22.34,25.94,27.56,28.72,31.62,34.78,35.84,35.47,35.34,34.72,31.91,27.5,23.75,21.72,19.53,16.59,14.66,14.41,14.38,13.16,12.03,12.5,13.06,12.5,11.22,11.25,13.0,14.62,15.97,18.62,22.44,25.53,26.66,27.69,29.88,31.25,30.56,28.25,26.5,24.47,21.0,17.28,15.38,15.12,14.03,11.84,10.38,9.69,9.03,7.09,5.78,5.84,5.88,4.19,1.94,1.47,1.5,1.28,0.94,2.47,5.44,8.03,9.72,11.94,15.03,16.56,15.12,12.5,11.19,50.34,48.28,46.31,45.69,45.66,46.12,47.72,50.44,53.22,55.31,56.59,57.03,56.5,54.88:-3.34,-4.38,-3.56,-2.66,-1.75,0.34,2.88,4.16,3.5,2.66,2.44,1.78,-0.09,-1.81,-2.12,-2.19,-3.28,-4.78,-4.91,-4.28,-4.66,-5.16,-4.59,-2.66,-1.22,-0.75,-0.59,0.41,0.47,-0.72,-2.0,-1.81,-1.34,-1.88,-2.34,-1.62,0.44,1.66,2.75,4.53,7.75,10.41,11.75,13.5,15.53,16.53,15.44,13.41,12.62,11.72,9.66,7.38,6.78,7.81,7.97,7.84,8.03,9.56,9.97,8.22,6.56,6.19,5.84,4.34,3.41,4.53,6.84,7.84,8.25,9.5,11.25,11.62,10.62,10.03,10.69,10.94,9.66,8.44,8.56,8.47,6.62,4.56,4.06,4.47,4.09,3.22,3.72,5.12,5.84,5.09,5.03,5.75,6.06,5.12,4.56,5.62,6.81,6.28,5.06,4.62,4.62,2.88,0.81,0.12,0.84,1.25,0.78,0.88,2.09,2.62,1.75,1.22,2.84,4.5,5.12,6.06,8.03,10.34,10.94,10.12,9.12,8.06,6.12,3.66,2.09,3.22,5.0,6.31,7.19,9.44,11.41,11.75,12.0,13.31,15.22,15.69,14.97,14.0,13.53,12.28,9.5,7.28,7.19,7.22,5.47,3.53,2.88,1.81,-0.41,-3.25,-4.72,-4.91,-5.53,-6.84,-6.53,-4.66,-2.94,-2.12,-0.81,2.28,4.66,5.56,5.66,6.75,7.81,7.06,5.69,4.88,5.34,5.06,4.0,3.88,4.78,5.16,4.22,3.53,4.88,6.5,7.44,8.0,9.75,11.78,11.75,11.31,10.66,11.25,10.34,8.66,7.12,6.88,6.56,5.22,4.28,5.12,5.41,4.22,2.28,1.16,0.06,-1.78,-3.81,-4.31,-3.31,-2.75,-2.44,-2.09,-0.47,0.66,0.53,0.44,1.69,2.72,2.16,0.81,0.06,-0.03,-1.38,-3.03,-3.5,-2.53,-2.44,-2.62,-2.19,-0.03,2.0,2.59,2.66,3.72,4.56,3.78,2.75,3.25,4.94,5.75,6.22,7.16,9.22,9.97,9.03,8.59,9.03,9.88,9.5,9.31,10.53,11.78,11.0,9.47,8.84,8.78,7.78,6.75,6.41,7.06,7.28,6.03,4.75,4.69,5.28,4.69,4.03,5.38,7.25,8.72,9.38,11.5,14.38,15.97,15.72,15.03,15.12,14.12,12.03,9.97,9.88,10.09,9.06,8.0,8.44,9.94,10.22,9.66,9.78,10.53,10.25,9.69,10.03,12.56,14.56,15.09,15.09,15.72,15.81,13.97,12.25,11.72,12.16,11.75,10.31,10.0,10.19,9.81,8.56,8.25,9.28,9.84,9.0,8.47,9.47,10.53,10.34,9.62,10.09,10.59,9.78,8.0,7.0,7.12,6.56,5.31,4.75,5.84,6.81,6.47,5.81,6.78,8.0,7.97,7.09,7.34,7.91,7.41,5.53,4.56,4.59,4.12,2.09,0.44,0.19,-0.06,-1.31,-1.81,0.31,3.16,5.22,6.78,9.66,12.5,14.41,14.41,15.03,16.03,15.69,14.19,12.59,11.91,11.16,9.09,6.94,6.56,7.25,7.75,8.41,10.34,13.19,15.03,15.25,16.19,17.91,19.34,19.34,19.34,20.84,21.88,21.03,19.88,20.0,20.12,18.78,16.47,15.03,14.53,13.66,12.19,11.69,12.62,13.12,12.03,11.41,12.41,13.41,13.31,12.75,13.38,14.09,13.31,11.78,11.75,12.91,13.75,13.78,14.28,15.34,15.44,13.75,11.75,11.53,11.75,10.47,8.59,8.09,8.09,7.03,5.88,6.72,9.38,11.66,12.91,14.31,16.41,17.41,17.03,16.38,17.41,19.22,20.38,21.47,23.97,26.97,28.25,28.06,28.16,28.41,27.34,24.5,22.19,20.94,20.25,18.72,18.12,19.31,20.97,20.97,19.91,20.22,21.19,21.44,21.03,21.09,22.06,22.19,20.19,18.56,18.56,18.47,16.69,15.03,14.88,15.06,14.0,12.59,12.75,13.69,14.0,13.25,13.16,14.16,14.59,13.47,12.72,13.53,14.44,13.28,12.16,12.66,13.38,13.0,11.78,11.75,12.25,11.44,9.44,8.41,8.53,8.12,6.44,5.41,5.97,7.28,7.22,7.31,8.91,10.53,10.66,9.81,9.72,10.53,10.91,9.56,8.56,8.47,7.28,4.25,1.44,0.06,-0.53,-1.72,-2.0,-0.72,1.62,2.69,2.41,2.66,3.06,2.28,-0.12,-1.09,-0.41,0.84,1.06,1.69,3.53,5.28,5.16,4.88,5.59,7.38,8.19,8.12,9.19,11.19,12.25,11.47,11.16,12.0,12.34,11.22,10.25,10.47,11.09,10.22,9.19,9.81,11.69,12.47,12.06,12.56,13.75,14.0,12.91,12.31,12.91,13.25,12.19,11.06,11.34,12.09,11.53,10.31,10.09,10.31,9.22,7.22,6.12,6.06,6.12,5.12,4.84,6.47,8.19,8.31,8.5,9.97,11.56,11.28,9.81,8.72,8.59,7.28,4.78,3.69,3.66,3.59,2.62,2.69,4.16,6.12,6.12,5.78,6.56,7.97,7.56,6.31,6.16,7.5,8.03,8.19,9.34,11.34,12.47,11.31,9.53,8.62,7.69,5.81,4.72,6.06,8.09,8.81,8.12,7.69,7.5,6.12,3.75,2.69,3.38,4.84,5.5,6.47,8.94,10.94,10.47,9.09,8.75,9.22,8.38,7.62,8.59,11.34,14.0,14.69,15.72,16.72,15.84,12.44,8.84,6.28,4.62,1.88,-0.56,-1.12,-0.41,-0.03,0.22,2.0,5.19,7.5,7.66,7.78,8.19,7.5,4.75,2.69,2.31,2.66,1.91,0.81,1.16,2.47,2.72,2.19,2.78,4.34,5.56,5.09,5.44,6.91,8.19,7.56,6.97,7.94,9.12,8.44,7.31,7.38,8.34,8.34,7.5,7.72,8.81,8.78,6.75,4.53,3.16,1.66,-1.53,-3.81,-3.66,-1.62,-0.16,1.41,4.72,8.84,11.84,14.0,16.62,19.97,22.03,22.22,21.69,22.44,23.09,21.78,20.41,20.19,20.31,18.66,16.56,15.47,15.72,14.94,12.91,11.84,11.97,11.22,9.34,8.28,9.25,11.22,11.91,13.62,16.75,20.56,22.28,23.66,25.28,27.31,27.59,26.25,25.38,25.91,26.03,24.94,24.41,25.12,26.28,25.38,24.5,25.12,27.06,27.66,27.94,30.0,32.88,34.25,33.97,33.34,33.03,31.5,28.25,25.09,23.75,23.12,21.47,19.91,19.72,20.03,18.62,15.84,13.59,12.44,11.0,9.44,9.75,12.19,14.94,15.72,16.12,17.16,18.03,16.88,15.44,15.28,15.81,15.16,14.0,13.84,14.84,15.22,14.47,14.19,15.38,16.38,15.91,15.72,16.66,18.72,18.5,17.53,17.62,18.09,16.75,15.16,14.5,14.91,14.31,12.28,10.66,10.12,10.19,9.5,9.94,12.47,15.88,17.75,19.03,20.53,22.25,22.66,21.88,21.88,23.34,24.0,23.41,23.31,24.75,25.84,25.44,24.56,24.25,24.19,22.19,19.91,19.12,19.88,19.62,18.88,19.28,21.28,22.78,22.62,23.03,24.81,26.44,26.62,26.25,27.41,28.81,27.62,25.66,24.41,24.03,22.72,21.12,20.69,21.97,22.72,21.31,19.91,20.19,20.41,19.41,18.53,19.12,20.66,20.03,19.22,19.09,20.03,19.75,18.34,18.5,20.19,21.91,22.53,23.34,24.97,25.97,24.81,23.06,22.59,23.16,22.94,22.94,24.0,26.0,26.12,24.34,22.72,21.72,20.19,17.38,15.16,15.19,16.12,16.38,16.94,19.22,21.72,22.62,22.53,22.84,23.94,23.75,22.31,21.22,21.5,21.75,20.72,19.81,20.53,21.56,19.91,17.66,16.91,17.25,16.5,15.81,16.75,19.69,21.62,22.12,22.34,23.41,22.84,20.03,16.53,15.09,14.62,13.72,13.12,14.0,15.06,13.75,11.12,8.44,7.19,5.81,4.59,5.34,8.0,11.25,13.19,14.66,17.56,20.16,20.19,19.06,18.06,17.72,16.09,14.25,14.03,15.44,16.06,15.19,14.53,15.38,15.59,14.28,12.59,12.28,12.31,11.25,9.81,9.97,10.97,10.72,9.22,8.34,8.5,8.0,6.53,5.53,6.69,8.19,8.72,9.44,11.38,14.19,15.75,16.28,18.0,20.12,19.91,17.44,14.22,11.5,8.03,3.31,-0.81,-2.62,-3.66,-5.47,-7.25,-6.59,-4.88,-4.03,-3.41,-1.69,1.25,3.59,4.62,7.22,11.47,15.22,17.72,20.03,23.69,26.81,27.94,28.25,29.44,30.94,31.03,30.44,30.44,31.5,31.34,29.53,27.44,26.16,24.16,20.38,16.5,14.81,13.62,11.78,9.81,8.91,8.16,5.88,2.62,-0.16,-1.31,-2.78,-4.69,-5.47,-3.69,-1.47,-0.16,1.69,5.56,9.09,11.47,13.53,16.75,20.53,22.94,23.78,24.75,25.44,23.97,20.38,16.0,12.94,9.47,4.88,0.81,-0.56,-1.03,-1.69,-2.5,-1.56,0.38,1.62,2.16,4.25,8.53,12.62,15.44,18.38,22.34,25.94,27.56,28.72,31.62,34.78,35.84,35.47,35.34,34.72,31.91,27.5,23.75,21.72,19.53,16.59,14.66,14.41,14.38,13.16,12.03,12.5,13.06,12.5,11.22,11.25,13.0,14.62,15.97,18.62,22.44,25.53,26.66,27.69,29.88,31.25,30.56,28.25,26.5,24.47,21.0,17.28,15.38,15.12,14.03,11.84,10.38,9.69,9.03,7.09,5.78,5.84,5.88,4.19,1.94,1.47,1.5,1.28,0.94,2.47,5.44,8.03,9.72,11.94,15.03,16.56,15.12,12.5,11.19,50.34,48.28,46.31,45.69,45.66,46.12,47.72,50.44,53.22,55.31,56.59,57.03,56.5,54.88,52.91,50.44,48.72,46.16,43.12,39.66,36.84:4.16,3.5,2.66,2.44,1.78,-0.09,-1.81,-2.12,-2.19,-3.28,-4.78,-4.91,-4.28,-4.66,-5.16,-4.59,-2.66,-1.22,-0.75,-0.59,0.41,0.47,-0.72,-2.0,-1.81,-1.34,-1.88,-2.34,-1.62,0.44,1.66,2.75,4.53,7.75,10.41,11.75,13.5,15.53,16.53,15.44,13.41,12.62,11.72,9.66,7.38,6.78,7.81,7.97,7.84,8.03,9.56,9.97,8.22,6.56,6.19,5.84,4.34,3.41,4.53,6.84,7.84,8.25,9.5,11.25,11.62,10.62,10.03,10.69,10.94,9.66,8.44,8.56,8.47,6.62,4.56,4.06,4.47,4.09,3.22,3.72,5.12,5.84,5.09,5.03,5.75,6.06,5.12,4.56,5.62,6.81,6.28,5.06,4.62,4.62,2.88,0.81,0.12,0.84,1.25,0.78,0.88,2.09,2.62,1.75,1.22,2.84,4.5,5.12,6.06,8.03,10.34,10.94,10.12,9.12,8.06,6.12,3.66,2.09,3.22,5.0,6.31,7.19,9.44,11.41,11.75,12.0,13.31,15.22,15.69,14.97,14.0,13.53,12.28,9.5,7.28,7.19,7.22,5.47,3.53,2.88,1.81,-0.41,-3.25,-4.72,-4.91,-5.53,-6.84,-6.53,-4.66,-2.94,-2.12,-0.81,2.28,4.66,5.56,5.66,6.75,7.81,7.06,5.69,4.88,5.34,5.06,4.0,3.88,4.78,5.16,4.22,3.53,4.88,6.5,7.44,8.0,9.75,11.78,11.75,11.31,10.66,11.25,10.34,8.66,7.12,6.88,6.56,5.22,4.28,5.12,5.41,4.22,2.28,1.16,0.06,-1.78,-3.81,-4.31,-3.31,-2.75,-2.44,-2.09,-0.47,0.66,0.53,0.44,1.69,2.72,2.16,0.81,0.06,-0.03,-1.38,-3.03,-3.5,-2.53,-2.44,-2.62,-2.19,-0.03,2.0,2.59,2.66,3.72,4.56,3.78,2.75,3.25,4.94,5.75,6.22,7.16,9.22,9.97,9.03,8.59,9.03,9.88,9.5,9.31,10.53,11.78,11.0,9.47,8.84,8.78,7.78,6.75,6.41,7.06,7.28,6.03,4.75,4.69,5.28,4.69,4.03,5.38,7.25,8.72,9.38,11.5,14.38,15.97,15.72,15.03,15.12,14.12,12.03,9.97,9.88,10.09,9.06,8.0,8.44,9.94,10.22,9.66,9.78,10.53,10.25,9.69,10.03,12.56,14.56,15.09,15.09,15.72,15.81,13.97,12.25,11.72,12.16,11.75,10.31,10.0,10.19,9.81,8.56,8.25,9.28,9.84,9.0,8.47,9.47,10.53,10.34,9.62,10.09,10.59,9.78,8.0,7.0,7.12,6.56,5.31,4.75,5.84,6.81,6.47,5.81,6.78,8.0,7.97,7.09,7.34,7.91,7.41,5.53,4.56,4.59,4.12,2.09,0.44,0.19,-0.06,-1.31,-1.81,0.31,3.16,5.22,6.78,9.66,12.5,14.41,14.41,15.03,16.03,15.69,14.19,12.59,11.91,11.16,9.09,6.94,6.56,7.25,7.75,8.41,10.34,13.19,15.03,15.25,16.19,17.91,19.34,19.34,19.34,20.84,21.88,21.03,19.88,20.0,20.12,18.78,16.47,15.03,14.53,13.66,12.19,11.69,12.62,13.12,12.03,11.41,12.41,13.41,13.31,12.75,13.38,14.09,13.31,11.78,11.75,12.91,13.75,13.78,14.28,15.34,15.44,13.75,11.75,11.53,11.75,10.47,8.59,8.09,8.09,7.03,5.88,6.72,9.38,11.66,12.91,14.31,16.41,17.41,17.03,16.38,17.41,19.22,20.38,21.47,23.97,26.97,28.25,28.06,28.16,28.41,27.34,24.5,22.19,20.94,20.25,18.72,18.12,19.31,20.97,20.97,19.91,20.22,21.19,21.44,21.03,21.09,22.06,22.19,20.19,18.56,18.56,18.47,16.69,15.03,14.88,15.06,14.0,12.59,12.75,13.69,14.0,13.25,13.16,14.16,14.59,13.47,12.72,13.53,14.44,13.28,12.16,12.66,13.38,13.0,11.78,11.75,12.25,11.44,9.44,8.41,8.53,8.12,6.44,5.41,5.97,7.28,7.22,7.31,8.91,10.53,10.66,9.81,9.72,10.53,10.91,9.56,8.56,8.47,7.28,4.25,1.44,0.06,-0.53,-1.72,-2.0,-0.72,1.62,2.69,2.41,2.66,3.06,2.28,-0.12,-1.09,-0.41,0.84,1.06,1.69,3.53,5.28,5.16,4.88,5.59,7.38,8.19,8.12,9.19,11.19,12.25,11.47,11.16,12.0,12.34,11.22,10.25,10.47,11.09,10.22,9.19,9.81,11.69,12.47,12.06,12.56,13.75,14.0,12.91,12.31,12.91,13.25,12.19,11.06,11.34,12.09,11.53,10.31,10.09,10.31,9.22,7.22,6.12,6.06,6.12,5.12,4.84,6.47,8.19,8.31,8.5,9.97,11.56,11.28,9.81,8.72,8.59,7.28,4.78,3.69,3.66,3.59,2.62,2.69,4.16,6.12,6.12,5.78,6.56,7.97,7.56,6.31,6.16,7.5,8.03,8.19,9.34,11.34,12.47,11.31,9.53,8.62,7.69,5.81,4.72,6.06,8.09,8.81,8.12,7.69,7.5,6.12,3.75,2.69,3.38,4.84,5.5,6.47,8.94,10.94,10.47,9.09,8.75,9.22,8.38,7.62,8.59,11.34,14.0,14.69,15.72,16.72,15.84,12.44,8.84,6.28,4.62,1.88,-0.56,-1.12,-0.41,-0.03,0.22,2.0,5.19,7.5,7.66,7.78,8.19,7.5,4.75,2.69,2.31,2.66,1.91,0.81,1.16,2.47,2.72,2.19,2.78,4.34,5.56,5.09,5.44,6.91,8.19,7.56,6.97,7.94,9.12,8.44,7.31,7.38,8.34,8.34,7.5,7.72,8.81,8.78,6.75,4.53,3.16,1.66,-1.53,-3.81,-3.66,-1.62,-0.16,1.41,4.72,8.84,11.84,14.0,16.62,19.97,22.03,22.22,21.69,22.44,23.09,21.78,20.41,20.19,20.31,18.66,16.56,15.47,15.72,14.94,12.91,11.84,11.97,11.22,9.34,8.28,9.25,11.22,11.91,13.62,16.75,20.56,22.28,23.66,25.28,27.31,27.59,26.25,25.38,25.91,26.03,24.94,24.41,25.12,26.28,25.38,24.5,25.12,27.06,27.66,27.94,30.0,32.88,34.25,33.97,33.34,33.03,31.5,28.25,25.09,23.75,23.12,21.47,19.91,19.72,20.03,18.62,15.84,13.59,12.44,11.0,9.44,9.75,12.19,14.94,15.72,16.12,17.16,18.03,16.88,15.44,15.28,15.81,15.16,14.0,13.84,14.84,15.22,14.47,14.19,15.38,16.38,15.91,15.72,16.66,18.72,18.5,17.53,17.62,18.09,16.75,15.16,14.5,14.91,14.31,12.28,10.66,10.12,10.19,9.5,9.94,12.47,15.88,17.75,19.03,20.53,22.25,22.66,21.88,21.88,23.34,24.0,23.41,23.31,24.75,25.84,25.44,24.56,24.25,24.19,22.19,19.91,19.12,19.88,19.62,18.88,19.28,21.28,22.78,22.62,23.03,24.81,26.44,26.62,26.25,27.41,28.81,27.62,25.66,24.41,24.03,22.72,21.12,20.69,21.97,22.72,21.31,19.91,20.19,20.41,19.41,18.53,19.12,20.66,20.03,19.22,19.09,20.03,19.75,18.34,18.5,20.19,21.91,22.53,23.34,24.97,25.97,24.81,23.06,22.59,23.16,22.94,22.94,24.0,26.0,26.12,24.34,22.72,21.72,20.19,17.38,15.16,15.19,16.12,16.38,16.94,19.22,21.72,22.62,22.53,22.84,23.94,23.75,22.31,21.22,21.5,21.75,20.72,19.81,20.53,21.56,19.91,17.66,16.91,17.25,16.5,15.81,16.75,19.69,21.62,22.12,22.34,23.41,22.84,20.03,16.53,15.09,14.62,13.72,13.12,14.0,15.06,13.75,11.12,8.44,7.19,5.81,4.59,5.34,8.0,11.25,13.19,14.66,17.56,20.16,20.19,19.06,18.06,17.72,16.09,14.25,14.03,15.44,16.06,15.19,14.53,15.38,15.59,14.28,12.59,12.28,12.31,11.25,9.81,9.97,10.97,10.72,9.22,8.34,8.5,8.0,6.53,5.53,6.69,8.19,8.72,9.44,11.38,14.19,15.75,16.28,18.0,20.12,19.91,17.44,14.22,11.5,8.03,3.31,-0.81,-2.62,-3.66,-5.47,-7.25,-6.59,-4.88,-4.03,-3.41,-1.69,1.25,3.59,4.62,7.22,11.47,15.22,17.72,20.03,23.69,26.81,27.94,28.25,29.44,30.94,31.03,30.44,30.44,31.5,31.34,29.53,27.44,26.16,24.16,20.38,16.5,14.81,13.62,11.78,9.81,8.91,8.16,5.88,2.62,-0.16,-1.31,-2.78,-4.69,-5.47,-3.69,-1.47,-0.16,1.69,5.56,9.09,11.47,13.53,16.75,20.53,22.94,23.78,24.75,25.44,23.97,20.38,16.0,12.94,9.47,4.88,0.81,-0.56,-1.03,-1.69,-2.5,-1.56,0.38,1.62,2.16,4.25,8.53,12.62,15.44,18.38,22.34,25.94,27.56,28.72,31.62,34.78,35.84,35.47,35.34,34.72,31.91,27.5,23.75,21.72,19.53,16.59,14.66,14.41,14.38,13.16,12.03,12.5,13.06,12.5,11.22,11.25,13.0,14.62,15.97,18.62,22.44,25.53,26.66,27.69,29.88,31.25,30.56,28.25,26.5,24.47,21.0,17.28,15.38,15.12,14.03,11.84,10.38,9.69,9.03,7.09,5.78,5.84,5.88,4.19,1.94,1.47,1.5,1.28,0.94,2.47,5.44,8.03,9.72,11.94,15.03,16.56,15.12,12.5,11.19,50.34,48.28,46.31,45.69,45.66,46.12,47.72,50.44,53.22,55.31,56.59,57.03,56.5,54.88,52.91,50.44,48.72,46.16,43.12,39.66,36.84,34.94,33.31,33.5,35.5,38.19,41.06,43.22:-2.12,-2.19,-3.28,-4.78,-4.91,-4.28,-4.66,-5.16,-4.59,-2.66,-1.22,-0.75,-0.59,0.41,0.47,-0.72,-2.0,-1.81,-1.34,-1.88,-2.34,-1.62,0.44,1.66,2.75,4.53,7.75,10.41,11.75,13.5,15.53,16.53,15.44,13.41,12.62,11.72,9.66,7.38,6.78,7.81,7.97,7.84,8.03,9.56,9.97,8.22,6.56,6.19,5.84,4.34,3.41,4.53,6.84,7.84,8.25,9.5,11.25,11.62,10.62,10.03,10.69,10.94,9.66,8.44,8.56,8.47,6.62,4.56,4.06,4.47,4.09,3.22,3.72,5.12,5.84,5.09,5.03,5.75,6.06,5.12,4.56,5.62,6.81,6.28,5.06,4.62,4.62,2.88,0.81,0.12,0.84,1.25,0.78,0.88,2.09,2.62,1.75,1.22,2.84,4.5,5.12,6.06,8.03,10.34,10.94,10.12,9.12,8.06,6.12,3.66,2.09,3.22,5.0,6.31,7.19,9.44,11.41,11.75,12.0,13.31,15.22,15.69,14.97,14.0,13.53,12.28,9.5,7.28,7.19,7.22,5.47,3.53,2.88,1.81,-0.41,-3.25,-4.72,-4.91,-5.53,-6.84,-6.53,-4.66,-2.94,-2.12,-0.81,2.28,4.66,5.56,5.66,6.75,7.81,7.06,5.69,4.88,5.34,5.06,4.0,3.88,4.78,5.16,4.22,3.53,4.88,6.5,7.44,8.0,9.75,11.78,11.75,11.31,10.66,11.25,10.34,8.66,7.12,6.88,6.56,5.22,4.28,5.12,5.41,4.22,2.28,1.16,0.06,-1.78,-3.81,-4.31,-3.31,-2.75,-2.44,-2.09,-0.47,0.66,0.53,0.44,1.69,2.72,2.16,0.81,0.06,-0.03,-1.38,-3.03,-3.5,-2.53,-2.44,-2.62,-2.19,-0.03,2.0,2.59,2.66,3.72,4.56,3.78,2.75,3.25,4.94,5.75,6.22,7.16,9.22,9.97,9.03,8.59,9.03,9.88,9.5,9.31,10.53,11.78,11.0,9.47,8.84,8.78,7.78,6.75,6.41,7.06,7.28,6.03,4.75,4.69,5.28,4.69,4.03,5.38,7.25,8.72,9.38,11.5,14.38,15.97,15.72,15.03,15.12,14.12,12.03,9.97,9.88,10.09,9.06,8.0,8.44,9.94,10.22,9.66,9.78,10.53,10.25,9.69,10.03,12.56,14.56,15.09,15.09,15.72,15.81,13.97,12.25,11.72,12.16,11.75,10.31,10.0,10.19,9.81,8.56,8.25,9.28,9.84,9.0,8.47,9.47,10.53,10.34,9.62,10.09,10.59,9.78,8.0,7.0,7.12,6.56,5.31,4.75,5.84,6.81,6.47,5.81,6.78,8.0,7.97,7.09,7.34,7.91,7.41,5.53,4.56,4.59,4.12,2.09,0.44,0.19,-0.06,-1.31,-1.81,0.31,3.16,5.22,6.78,9.66,12.5,14.41,14.41,15.03,16.03,15.69,14.19,12.59,11.91,11.16,9.09,6.94,6.56,7.25,7.75,8.41,10.34,13.19,15.03,15.25,16.19,17.91,19.34,19.34,19.34,20.84,21.88,21.03,19.88,20.0,20.12,18.78,16.47,15.03,14.53,13.66,12.19,11.69,12.62,13.12,12.03,11.41,12.41,13.41,13.31,12.75,13.38,14.09,13.31,11.78,11.75,12.91,13.75,13.78,14.28,15.34,15.44,13.75,11.75,11.53,11.75,10.47,8.59,8.09,8.09,7.03,5.88,6.72,9.38,11.66,12.91,14.31,16.41,17.41,17.03,16.38,17.41,19.22,20.38,21.47,23.97,26.97,28.25,28.06,28.16,28.41,27.34,24.5,22.19,20.94,20.25,18.72,18.12,19.31,20.97,20.97,19.91,20.22,21.19,21.44,21.03,21.09,22.06,22.19,20.19,18.56,18.56,18.47,16.69,15.03,14.88,15.06,14.0,12.59,12.75,13.69,14.0,13.25,13.16,14.16,14.59,13.47,12.72,13.53,14.44,13.28,12.16,12.66,13.38,13.0,11.78,11.75,12.25,11.44,9.44,8.41,8.53,8.12,6.44,5.41,5.97,7.28,7.22,7.31,8.91,10.53,10.66,9.81,9.72,10.53,10.91,9.56,8.56,8.47,7.28,4.25,1.44,0.06,-0.53,-1.72,-2.0,-0.72,1.62,2.69,2.41,2.66,3.06,2.28,-0.12,-1.09,-0.41,0.84,1.06,1.69,3.53,5.28,5.16,4.88,5.59,7.38,8.19,8.12,9.19,11.19,12.25,11.47,11.16,12.0,12.34,11.22,10.25,10.47,11.09,10.22,9.19,9.81,11.69,12.47,12.06,12.56,13.75,14.0,12.91,12.31,12.91,13.25,12.19,11.06,11.34,12.09,11.53,10.31,10.09,10.31,9.22,7.22,6.12,6.06,6.12,5.12,4.84,6.47,8.19,8.31,8.5,9.97,11.56,11.28,9.81,8.72,8.59,7.28,4.78,3.69,3.66,3.59,2.62,2.69,4.16,6.12,6.12,5.78,6.56,7.97,7.56,6.31,6.16,7.5,8.03,8.19,9.34,11.34,12.47,11.31,9.53,8.62,7.69,5.81,4.72,6.06,8.09,8.81,8.12,7.69,7.5,6.12,3.75,2.69,3.38,4.84,5.5,6.47,8.94,10.94,10.47,9.09,8.75,9.22,8.38,7.62,8.59,11.34,14.0,14.69,15.72,16.72,15.84,12.44,8.84,6.28,4.62,1.88,-0.56,-1.12,-0.41,-0.03,0.22,2.0,5.19,7.5,7.66,7.78,8.19,7.5,4.75,2.69,2.31,2.66,1.91,0.81,1.16,2.47,2.72,2.19,2.78,4.34,5.56,5.09,5.44,6.91,8.19,7.56,6.97,7.94,9.12,8.44,7.31,7.38,8.34,8.34,7.5,7.72,8.81,8.78,6.75,4.53,3.16,1.66,-1.53,-3.81,-3.66,-1.62,-0.16,1.41,4.72,8.84,11.84,14.0,16.62,19.97,22.03,22.22,21.69,22.44,23.09,21.78,20.41,20.19,20.31,18.66,16.56,15.47,15.72,14.94,12.91,11.84,11.97,11.22,9.34,8.28,9.25,11.22,11.91,13.62,16.75,20.56,22.28,23.66,25.28,27.31,27.59,26.25,25.38,25.91,26.03,24.94,24.41,25.12,26.28,25.38,24.5,25.12,27.06,27.66,27.94,30.0,32.88,34.25,33.97,33.34,33.03,31.5,28.25,25.09,23.75,23.12,21.47,19.91,19.72,20.03,18.62,15.84,13.59,12.44,11.0,9.44,9.75,12.19,14.94,15.72,16.12,17.16,18.03,16.88,15.44,15.28,15.81,15.16,14.0,13.84,14.84,15.22,14.47,14.19,15.38,16.38,15.91,15.72,16.66,18.72,18.5,17.53,17.62,18.09,16.75,15.16,14.5,14.91,14.31,12.28,10.66,10.12,10.19,9.5,9.94,12.47,15.88,17.75,19.03,20.53,22.25,22.66,21.88,21.88,23.34,24.0,23.41,23.31,24.75,25.84,25.44,24.56,24.25,24.19,22.19,19.91,19.12,19.88,19.62,18.88,19.28,21.28,22.78,22.62,23.03,24.81,26.44,26.62,26.25,27.41,28.81,27.62,25.66,24.41,24.03,22.72,21.12,20.69,21.97,22.72,21.31,19.91,20.19,20.41,19.41,18.53,19.12,20.66,20.03,19.22,19.09,20.03,19.75,18.34,18.5,20.19,21.91,22.53,23.34,24.97,25.97,24.81,23.06,22.59,23.16,22.94,22.94,24.0,26.0,26.12,24.34,22.72,21.72,20.19,17.38,15.16,15.19,16.12,16.38,16.94,19.22,21.72,22.62,22.53,22.84,23.94,23.75,22.31,21.22,21.5,21.75,20.72,19.81,20.53,21.56,19.91,17.66,16.91,17.25,16.5,15.81,16.75,19.69,21.62,22.12,22.34,23.41,22.84,20.03,16.53,15.09,14.62,13.72,13.12,14.0,15.06,13.75,11.12,8.44,7.19,5.81,4.59,5.34,8.0,11.25,13.19,14.66,17.56,20.16,20.19,19.06,18.06,17.72,16.09,14.25,14.03,15.44,16.06,15.19,14.53,15.38,15.59,14.28,12.59,12.28,12.31,11.25,9.81,9.97,10.97,10.72,9.22,8.34,8.5,8.0,6.53,5.53,6.69,8.19,8.72,9.44,11.38,14.19,15.75,16.28,18.0,20.12,19.91,17.44,14.22,11.5,8.03,3.31,-0.81,-2.62,-3.66,-5.47,-7.25,-6.59,-4.88,-4.03,-3.41,-1.69,1.25,3.59,4.62,7.22,11.47,15.22,17.72,20.03,23.69,26.81,27.94,28.25,29.44,30.94,31.03,30.44,30.44,31.5,31.34,29.53,27.44,26.16,24.16,20.38,16.5,14.81,13.62,11.78,9.81,8.91,8.16,5.88,2.62,-0.16,-1.31,-2.78,-4.69,-5.47,-3.69,-1.47,-0.16,1.69,5.56,9.09,11.47,13.53,16.75,20.53,22.94,23.78,24.75,25.44,23.97,20.38,16.0,12.94,9.47,4.88,0.81,-0.56,-1.03,-1.69,-2.5,-1.56,0.38,1.62,2.16,4.25,8.53,12.62,15.44,18.38,22.34,25.94,27.56,28.72,31.62,34.78,35.84,35.47,35.34,34.72,31.91,27.5,23.75,21.72,19.53,16.59,14.66,14.41,14.38,13.16,12.03,12.5,13.06,12.5,11.22,11.25,13.0,14.62,15.97,18.62,22.44,25.53,26.66,27.69,29.88,31.25,30.56,28.25,26.5,24.47,21.0,17.28,15.38,15.12,14.03,11.84,10.38,9.69,9.03,7.09,5.78,5.84,5.88,4.19,1.94,1.47,1.5,1.28,0.94,2.47,5.44,8.03,9.72,11.94,15.03,16.56,15.12,12.5,11.19,50.34,48.28,46.31,45.69,45.66,46.12,47.72,50.44,53.22,55.31,56.59,57.03,56.5,54.88,52.91,50.44,48.72,46.16,43.12,39.66,36.84,34.94,33.31,33.5,35.5,38.19,41.06,43.22,45.31,46.59,47.38,46.91,46.47,46.22,45.41:-5.16,-4.59,-2.66,-1.22,-0.75,-0.59,0.41,0.47,-0.72,-2.0,-1.81,-1.34,-1.88,-2.34,-1.62,0.44,1.66,2.75,4.53,7.75,10.41,11.75,13.5,15.53,16.53,15.44,13.41,12.62,11.72,9.66,7.38,6.78,7.81,7.97,7.84,8.03,9.56,9.97,8.22,6.56,6.19,5.84,4.34,3.41,4.53,6.84,7.84,8.25,9.5,11.25,11.62,10.62,10.03,10.69,10.94,9.66,8.44,8.56,8.47,6.62,4.56,4.06,4.47,4.09,3.22,3.72,5.12,5.84,5.09,5.03,5.75,6.06,5.12,4.56,5.62,6.81,6.28,5.06,4.62,4.62,2.88,0.81,0.12,0.84,1.25,0.78,0.88,2.09,2.62,1.75,1.22,2.84,4.5,5.12,6.06,8.03,10.34,10.94,10.12,9.12,8.06,6.12,3.66,2.09,3.22,5.0,6.31,7.19,9.44,11.41,11.75,12.0,13.31,15.22,15.69,14.97,14.0,13.53,12.28,9.5,7.28,7.19,7.22,5.47,3.53,2.88,1.81,-0.41,-3.25,-4.72,-4.91,-5.53,-6.84,-6.53,-4.66,-2.94,-2.12,-0.81,2.28,4.66,5.56,5.66,6.75,7.81,7.06,5.69,4.88,5.34,5.06,4.0,3.88,4.78,5.16,4.22,3.53,4.88,6.5,7.44,8.0,9.75,11.78,11.75,11.31,10.66,11.25,10.34,8.66,7.12,6.88,6.56,5.22,4.28,5.12,5.41,4.22,2.28,1.16,0.06,-1.78,-3.81,-4.31,-3.31,-2.75,-2.44,-2.09,-0.47,0.66,0.53,0.44,1.69,2.72,2.16,0.81,0.06,-0.03,-1.38,-3.03,-3.5,-2.53,-2.44,-2.62,-2.19,-0.03,2.0,2.59,2.66,3.72,4.56,3.78,2.75,3.25,4.94,5.75,6.22,7.16,9.22,9.97,9.03,8.59,9.03,9.88,9.5,9.31,10.53,11.78,11.0,9.47,8.84,8.78,7.78,6.75,6.41,7.06,7.28,6.03,4.75,4.69,5.28,4.69,4.03,5.38,7.25,8.72,9.38,11.5,14.38,15.97,15.72,15.03,15.12,14.12,12.03,9.97,9.88,10.09,9.06,8.0,8.44,9.94,10.22,9.66,9.78,10.53,10.25,9.69,10.03,12.56,14.56,15.09,15.09,15.72,15.81,13.97,12.25,11.72,12.16,11.75,10.31,10.0,10.19,9.81,8.56,8.25,9.28,9.84,9.0,8.47,9.47,10.53,10.34,9.62,10.09,10.59,9.78,8.0,7.0,7.12,6.56,5.31,4.75,5.84,6.81,6.47,5.81,6.78,8.0,7.97,7.09,7.34,7.91,7.41,5.53,4.56,4.59,4.12,2.09,0.44,0.19,-0.06,-1.31,-1.81,0.31,3.16,5.22,6.78,9.66,12.5,14.41,14.41,15.03,16.03,15.69,14.19,12.59,11.91,11.16,9.09,6.94,6.56,7.25,7.75,8.41,10.34,13.19,15.03,15.25,16.19,17.91,19.34,19.34,19.34,20.84,21.88,21.03,19.88,20.0,20.12,18.78,16.47,15.03,14.53,13.66,12.19,11.69,12.62,13.12,12.03,11.41,12.41,13.41,13.31,12.75,13.38,14.09,13.31,11.78,11.75,12.91,13.75,13.78,14.28,15.34,15.44,13.75,11.75,11.53,11.75,10.47,8.59,8.09,8.09,7.03,5.88,6.72,9.38,11.66,12.91,14.31,16.41,17.41,17.03,16.38,17.41,19.22,20.38,21.47,23.97,26.97,28.25,28.06,28.16,28.41,27.34,24.5,22.19,20.94,20.25,18.72,18.12,19.31,20.97,20.97,19.91,20.22,21.19,21.44,21.03,21.09,22.06,22.19,20.19,18.56,18.56,18.47,16.69,15.03,14.88,15.06,14.0,12.59,12.75,13.69,14.0,13.25,13.16,14.16,14.59,13.47,12.72,13.53,14.44,13.28,12.16,12.66,13.38,13.0,11.78,11.75,12.25,11.44,9.44,8.41,8.53,8.12,6.44,5.41,5.97,7.28,7.22,7.31,8.91,10.53,10.66,9.81,9.72,10.53,10.91,9.56,8.56,8.47,7.28,4.25,1.44,0.06,-0.53,-1.72,-2.0,-0.72,1.62,2.69,2.41,2.66,3.06,2.28,-0.12,-1.09,-0.41,0.84,1.06,1.69,3.53,5.28,5.16,4.88,5.59,7.38,8.19,8.12,9.19,11.19,12.25,11.47,11.16,12.0,12.34,11.22,10.25,10.47,11.09,10.22,9.19,9.81,11.69,12.47,12.06,12.56,13.75,14.0,12.91,12.31,12.91,13.25,12.19,11.06,11.34,12.09,11.53,10.31,10.09,10.31,9.22,7.22,6.12,6.06,6.12,5.12,4.84,6.47,8.19,8.31,8.5,9.97,11.56,11.28,9.81,8.72,8.59,7.28,4.78,3.69,3.66,3.59,2.62,2.69,4.16,6.12,6.12,5.78,6.56,7.97,7.56,6.31,6.16,7.5,8.03,8.19,9.34,11.34,12.47,11.31,9.53,8.62,7.69,5.81,4.72,6.06,8.09,8.81,8.12,7.69,7.5,6.12,3.75,2.69,3.38,4.84,5.5,6.47,8.94,10.94,10.47,9.09,8.75,9.22,8.38,7.62,8.59,11.34,14.0,14.69,15.72,16.72,15.84,12.44,8.84,6.28,4.62,1.88,-0.56,-1.12,-0.41,-0.03,0.22,2.0,5.19,7.5,7.66,7.78,8.19,7.5,4.75,2.69,2.31,2.66,1.91,0.81,1.16,2.47,2.72,2.19,2.78,4.34,5.56,5.09,5.44,6.91,8.19,7.56,6.97,7.94,9.12,8.44,7.31,7.38,8.34,8.34,7.5,7.72,8.81,8.78,6.75,4.53,3.16,1.66,-1.53,-3.81,-3.66,-1.62,-0.16,1.41,4.72,8.84,11.84,14.0,16.62,19.97,22.03,22.22,21.69,22.44,23.09,21.78,20.41,20.19,20.31,18.66,16.56,15.47,15.72,14.94,12.91,11.84,11.97,11.22,9.34,8.28,9.25,11.22,11.91,13.62,16.75,20.56,22.28,23.66,25.28,27.31,27.59,26.25,25.38,25.91,26.03,24.94,24.41,25.12,26.28,25.38,24.5,25.12,27.06,27.66,27.94,30.0,32.88,34.25,33.97,33.34,33.03,31.5,28.25,25.09,23.75,23.12,21.47,19.91,19.72,20.03,18.62,15.84,13.59,12.44,11.0,9.44,9.75,12.19,14.94,15.72,16.12,17.16,18.03,16.88,15.44,15.28,15.81,15.16,14.0,13.84,14.84,15.22,14.47,14.19,15.38,16.38,15.91,15.72,16.66,18.72,18.5,17.53,17.62,18.09,16.75,15.16,14.5,14.91,14.31,12.28,10.66,10.12,10.19,9.5,9.94,12.47,15.88,17.75,19.03,20.53,22.25,22.66,21.88,21.88,23.34,24.0,23.41,23.31,24.75,25.84,25.44,24.56,24.25,24.19,22.19,19.91,19.12,19.88,19.62,18.88,19.28,21.28,22.78,22.62,23.03,24.81,26.44,26.62,26.25,27.41,28.81,27.62,25.66,24.41,24.03,22.72,21.12,20.69,21.97,22.72,21.31,19.91,20.19,20.41,19.41,18.53,19.12,20.66,20.03,19.22,19.09,20.03,19.75,18.34,18.5,20.19,21.91,22.53,23.34,24.97,25.97,24.81,23.06,22.59,23.16,22.94,22.94,24.0,26.0,26.12,24.34,22.72,21.72,20.19,17.38,15.16,15.19,16.12,16.38,16.94,19.22,21.72,22.62,22.53,22.84,23.94,23.75,22.31,21.22,21.5,21.75,20.72,19.81,20.53,21.56,19.91,17.66,16.91,17.25,16.5,15.81,16.75,19.69,21.62,22.12,22.34,23.41,22.84,20.03,16.53,15.09,14.62,13.72,13.12,14.0,15.06,13.75,11.12,8.44,7.19,5.81,4.59,5.34,8.0,11.25,13.19,14.66,17.56,20.16,20.19,19.06,18.06,17.72,16.09,14.25,14.03,15.44,16.06,15.19,14.53,15.38,15.59,14.28,12.59,12.28,12.31,11.25,9.81,9.97,10.97,10.72,9.22,8.34,8.5,8.0,6.53,5.53,6.69,8.19,8.72,9.44,11.38,14.19,15.75,16.28,18.0,20.12,19.91,17.44,14.22,11.5,8.03,3.31,-0.81,-2.62,-3.66,-5.47,-7.25,-6.59,-4.88,-4.03,-3.41,-1.69,1.25,3.59,4.62,7.22,11.47,15.22,17.72,20.03,23.69,26.81,27.94,28.25,29.44,30.94,31.03,30.44,30.44,31.5,31.34,29.53,27.44,26.16,24.16,20.38,16.5,14.81,13.62,11.78,9.81,8.91,8.16,5.88,2.62,-0.16,-1.31,-2.78,-4.69,-5.47,-3.69,-1.47,-0.16,1.69,5.56,9.09,11.47,13.53,16.75,20.53,22.94,23.78,24.75,25.44,23.97,20.38,16.0,12.94,9.47,4.88,0.81,-0.56,-1.03,-1.69,-2.5,-1.56,0.38,1.62,2.16,4.25,8.53,12.62,15.44,18.38,22.34,25.94,27.56,28.72,31.62,34.78,35.84,35.47,35.34,34.72,31.91,27.5,23.75,21.72,19.53,16.59,14.66,14.41,14.38,13.16,12.03,12.5,13.06,12.5,11.22,11.25,13.0,14.62,15.97,18.62,22.44,25.53,26.66,27.69,29.88,31.25,30.56,28.25,26.5,24.47,21.0,17.28,15.38,15.12,14.03,11.84,10.38,9.69,9.03,7.09,5.78,5.84,5.88,4.19,1.94,1.47,1.5,1.28,0.94,2.47,5.44,8.03,9.72,11.94,15.03,16.56,15.12,12.5,11.19,50.34,48.28,46.31,45.69,45.66,46.12,47.72,50.44,53.22,55.31,56.59,57.03,56.5,54.88,52.91,50.44,48.72,46.16,43.12,39.66,36.84,34.94,33.31,33.5,35.5,38.19,41.06,43.22,45.31,46.59,47.38,46.91,46.47,46.22,45.41,44.19,43.09,42.72,42.22,41.28,40.19,39.75:positivity
19.03,18.72,17.88,16.34,15.62,15.78,15.06,13.0,11.31,10.81,10.12,7.91,5.53,5.22,5.59,5.34,4.66,5.38,6.78,7.09,6.44,7.28,9.69,11.41,11.31,11.06,11.81,11.94,10.53,9.38,10.28,11.19,10.94,10.38,10.78,12.0,12.28,11.53,11.81,13.56,15.06,15.59,16.28,18.19,19.53,18.62,17.5,17.59,18.0,16.97,15.38,15.06,15.0,14.31,12.78,12.09,12.59,12.78,11.56,10.84,12.25,13.97,14.78,15.44,17.38,19.47,19.56,18.91,18.91,19.47,19.22,17.78,16.78,16.66,16.22,14.16,12.41,12.28,12.28,11.19,10.44,11.16,12.62,13.09,12.81,13.97,15.5,16.72,16.91,17.94,20.16,22.09,21.88,21.59,22.19,21.91,19.81,17.28,16.03,15.69,14.75,13.19,13.34,14.06,13.72,11.38,9.53,8.34,7.56,6.03,4.78,5.66,6.75,6.25,5.81,7.12,9.59,11.44,12.75,14.78,17.28,18.91,18.47,18.12,18.75,19.0,17.06,14.88,14.19,13.19,11.41,9.62,10.22,11.34,11.75,10.75,10.59,10.84,10.88,9.59,8.66,8.75,8.19,5.66,2.88,1.44,0.31,-1.47,-3.72,-4.22,-3.38,-2.78,-2.94,-1.94,0.38,2.12,2.12,2.56,4.19,5.66,5.56,5.72,7.31,9.31,10.09,9.94,11.06,12.22,12.0,10.16,8.75,8.22,7.09,5.06,4.09,4.66,5.75,5.62,5.91,7.78,10.31,11.69,12.38,14.84,17.47,19.06,18.91,19.16,19.5,19.06,16.88,14.75,13.81,13.12,10.5,8.34,7.84,7.53,6.31,4.84,4.75,5.72,6.62,7.16,8.25,10.47,12.28,12.53,12.44,13.53,14.47,13.38,11.81,11.75,12.38,12.22,11.53,12.22,13.56,14.06,13.34,13.44,14.5,15.16,13.97,12.75,12.91,13.06,12.0,10.84,11.19,11.47,10.72,8.62,7.53,7.5,7.03,5.59,5.22,5.88,6.31,5.31,4.06,4.69,6.0,6.19,6.47,8.75,11.56,13.34,14.25,15.66,17.38,18.22,17.5,16.62,16.75,15.91,13.59,11.38,10.59,10.91,10.16,8.97,8.53,8.19,6.81,4.38,3.31,3.47,3.62,2.94,2.94,3.94,4.94,4.38,3.75,4.34,5.34,4.84,4.06,4.66,6.0,6.75,6.97,7.81,9.25,10.06,9.28,8.72,9.44,9.38,7.75,5.78,5.28,5.41,4.94,4.66,6.5,9.31,11.25,12.47,14.44,16.88,18.34,17.53,16.5,16.41,16.38,14.44,12.06,10.59,9.09,5.97,2.28,0.03,-0.78,-2.5,-4.72,-5.53,-4.47,-2.59,-1.53,0.34,3.62,6.75,7.69,8.09,9.56,10.62,10.06,8.62,7.34,7.09,5.94,4.22,3.94,5.16,6.62,7.22,7.97,9.91,12.03,12.34,12.19,12.75,13.75,13.34,12.25,12.06,12.69,12.91,12.16,11.75,12.75,13.69,13.06,12.91,14.16,15.72,16.09,16.16,16.72,17.34,16.12,13.47,11.19,9.56,7.41,4.12,1.91,0.88,0.16,-1.81,-3.12,-2.78,-1.53,-1.69,-1.81,-0.47,1.72,3.19,4.47,6.78,9.59,11.53,11.91,12.72,14.56,16.31,16.75,17.09,17.94,18.47,16.94,14.19,12.5,11.38,9.44,6.72,4.91,3.75,1.75,-1.72,-3.72,-4.03,-3.78,-4.94,-6.16,-6.31,-6.72,-8.5,-10.38,-11.22,-11.0,-11.06,-11.69,-11.09,-8.53,-6.12,-4.59,-2.56,0.31,2.91,3.22,3.19,4.03,5.38,5.44,5.31,6.28,7.81,8.66,8.66,8.97,10.28,10.94,9.81,8.72,8.88,9.69,9.75,10.41,12.66,15.78,17.25,17.72,18.56,19.5,19.34,17.69,16.53,16.12,14.62,11.31,7.62,4.41,1.62,-2.44,-6.0,-7.91,-8.34,-9.38,-10.59,-10.53,-8.97,-7.75,-7.41,-6.44,-4.25,-2.22,-1.53,-0.94,1.47,3.91,5.0,5.88,7.19,9.03,9.66,9.16,9.16,9.88,9.66,7.88,6.25,6.03,5.69,4.34,3.09,3.53,4.28,3.25,2.09,2.22,2.78,2.5,1.62,1.72,2.53,2.75,1.72,1.28,1.84,2.0,0.81,-0.28,0.06,1.53,2.34,3.53,6.03,9.0,10.19,9.47,8.22,7.06,5.12,1.97,-0.25,-0.41,-0.09,-1.25,-2.72,-3.28,-4.06,-6.09,-8.38,-9.56,-9.34,-10.03,-11.41,-11.69,-10.69,-9.34,-8.78,-7.44,-4.69,-2.16,-1.84,-2.25,-1.53,-0.56,-0.94,-1.5,-1.06,-0.03,-0.22,-1.62,-2.75,-2.16,-1.81,-2.09,-1.88,-0.12,1.66,1.88,1.53,2.44,4.0,3.75,3.44,3.31,3.91,3.34,1.72,0.5,0.72,1.12,0.5,0.16,1.16,2.34,2.22,1.84,2.69,3.84,3.75,2.44,2.25,2.62,2.56,1.62,1.19,2.41,3.25,2.75,2.34,3.12,3.91,3.09,2.25,2.28,3.03,2.06,0.06,-1.0,-1.44,-2.31,-3.59,-4.06,-2.97,-1.5,-2.06,-2.59,-1.88,-1.19,-1.81,-2.53,-1.44,0.03,0.62,1.0,1.47,2.44,2.19,0.12,-1.75,-2.12,-2.41,-3.5,-3.94,-2.12,0.47,2.0,3.34,5.25,7.38,8.0,6.84,5.56,5.22,3.62,1.09,-1.09,-1.19,-0.88,-1.09,-1.0,0.69,2.75,2.97,2.81,3.16,4.16,4.16,3.06,2.81,3.44,3.34,1.88,0.34,0.19,-0.25,-1.78,-3.12,-2.75,-1.66,-1.88,-2.59,-2.72,-1.81,-2.12,-3.16,-2.94,-1.5,-0.72,-1.06,-1.62,-1.0,-0.12,-0.12,-0.03,1.5,3.06,2.88,1.31,0.25,0.06,-0.5,-1.84,-1.97,-0.59,0.09,-0.19,-0.28,1.09,2.38,1.91,1.06,0.72,1.06,-0.03,-0.88,-0.34,1.06,1.84,1.66,1.25,2.31,2.5,1.41,0.34,0.53,0.56,-1.22,-3.53,-4.53,-4.66,-5.53,-6.0,-5.06,-2.69,-0.41,1.06,2.47,5.38,7.19,7.03,6.28,7.16,8.16,7.66,6.41,6.16,6.25,4.38,1.88,0.5,0.03,-0.41,-1.69,-2.09,-0.88,0.5,0.0,-0.88,-0.62,-0.56,-1.78,-3.06,-2.75,-0.94,-0.03,0.19,0.91,2.25,3.03,2.41,2.47,4.34,5.91,6.53,6.16,6.66,6.41,3.84,0.25,-2.56,-4.47,-6.31,-7.91,-7.62,-5.28,-2.47,-0.81,1.06,3.78,5.44,5.0,3.12,2.19,1.38,-0.31,-2.0,-1.84,-0.22,0.0,-0.38,-0.41,0.59,1.0,0.66,0.44,1.81,3.41,3.25,2.53,3.09,3.69,3.06,1.59,1.09,1.34,1.28,0.16,-0.38,0.97,2.5,3.03,3.75,6.25,8.38,9.06,8.81,10.53,12.62,13.53,13.91,14.88,16.44,16.22,14.88,13.72,13.72,13.62,11.84,10.09,10.0,9.56,8.53,7.34,8.38,10.19,10.97,11.03,11.91,13.69,14.22,13.69,13.59,14.53,15.25,14.62,13.97,15.25,16.66,15.81,14.5,14.19,14.09,13.09,10.62,9.22,8.66,7.28,5.25,4.19,5.38,7.03,7.66,8.47,10.78,12.59,13.44,13.31,14.16,15.09,15.12,14.0,13.06,13.22,12.78,10.59,9.03,9.25,9.56,8.59,7.91,8.59,9.44,9.19,8.22,8.53,9.56,10.0,8.97,9.03,10.09,10.31,9.5,8.66,9.41,10.06,9.06,8.0,8.06,8.41,7.81,7.25,8.16,10.12,11.75,11.66,11.88,12.53,11.81,9.25,6.5,5.25,4.56,3.22,1.97,2.84,4.91,6.12,6.59,7.84,9.28,9.31,7.94,7.81,9.31,10.97,11.56,12.03,13.44,14.66,14.47,13.53,14.06,14.84,14.12,12.5,12.44,13.72,14.34,14.28,14.78,15.94,16.09,14.47,11.97,10.88,9.56,6.97,4.53,3.88,4.34,4.16,3.03,3.12,4.41,5.44,5.47,6.03,7.62,8.69,7.53,5.97,6.03,6.31,6.12,5.84,7.66,10.16,12.31,12.78,14.06,15.72,16.28,14.5,13.5,13.5,13.69,13.03,12.56,14.25,16.34,17.34,17.62,18.75,20.56,21.0,20.34,20.69,22.53,24.38,24.62,26.0,28.56,30.25,30.34,29.53,30.25,31.06,30.47,28.94,28.53,28.31,26.56,23.59,21.47,20.47,18.88,16.12,14.19,14.69,15.47,15.16,15.06,16.75,18.59,19.34,19.75,21.19,23.78,25.69,26.0,27.09,28.72,29.38,28.0,26.78,27.03,27.72,26.91,25.59,25.44,25.28,23.47,20.69,18.72,17.5,15.34,11.78,9.03,7.44,5.97,3.31,1.19,1.03,1.69,1.5,1.59,3.47,6.0,7.38,7.28,7.81,9.59,10.47,10.0,10.0,10.88,11.22,9.72,8.94,10.25,11.88,11.97,11.56,12.06,12.84,12.06,10.62,10.81,11.94,12.78,12.56,12.75,15.06,16.88,17.19,18.12,20.06,21.66,21.66,20.47,20.53,21.19,20.34,18.66,18.0,18.62,18.69,17.66,17.44,19.12,20.59,20.22,20.03,20.88,22.0,21.75,21.31,22.97,25.53,27.0,27.25,27.91,29.22,29.12,27.34,26.53,26.94,27.53,27.03,27.09,28.69,31.0,31.34,31.31,32.12,33.66,34.09,33.69,34.22,35.84,36.91,36.09,35.09,34.78,33.81,30.59,27.53,26.31,25.66,23.59,21.56,20.72,20.66,20.19,18.62,18.12,19.22,20.06,19.88,20.41,22.91,25.97,27.31,28.09,29.62,31.12,30.84,29.91,29.94,30.56,30.66,29.16,28.44,28.5,28.44,27.31,26.91,28.53,30.41,30.69,30.25,30.44,30.06:13.0,11.31,10.81,10.12,7.91,5.53,5.22,5.59,5.34,4.66,5.38,6.78,7.09,6.44,7.28,9.69,11.41,11.31,11.06,11.81,11.94,10.53,9.38,10.28,11.19,10.94,10.38,10.78,12.0,12.28,11.53,11.81,13.56,15.06,15.59,16.28,18.19,19.53,18.62,17.5,17.59,18.0,16.97,15.38,15.06,15.0,14.31,12.78,12.09,12.59,12.78,11.56,10.84,12.25,13.97,14.78,15.44,17.38,19.47,19.56,18.91,18.91,19.47,19.22,17.78,16.78,16.66,16.22,14.16,12.41,12.28,12.28,11.19,10.44,11.16,12.62,13.09,12.81,13.97,15.5,16.72,16.91,17.94,20.16,22.09,21.88,21.59,22.19,21.91,19.81,17.28,16.03,15.69,14.75,13.19,13.34,14.06,13.72,11.38,9.53,8.34,7.56,6.03,4.78,5.66,6.75,6.25,5.81,7.12,9.59,11.44,12.75,14.78,17.28,18.91,18.47,18.12,18.75,19.0,17.06,14.88,14.19,13.19,11.41,9.62,10.22,11.34,11.75,10.75,10.59,10.84,10.88,9.59,8.66,8.75,8.19,5.66,2.88,1.44,0.31,-1.47,-3.72,-4.22,-3.38,-2.78,-2.94,-1.94,0.38,2.12,2.12,2.56,4.19,5.66,5.56,5.72,7.31,9.31,10.09,9.94,11.06,12.22,12.0,10.16,8.75,8.22,7.09,5.06,4.09,4.66,5.75,5.62,5.91,7.78,10.31,11.69,12.38,14.84,17.47,19.06,18.91,19.16,19.5,19.06,16.88,14.75,13.81,13.12,10.5,8.34,7.84,7.53,6.31,4.84,4.75,5.72,6.62,7.16,8.25,10.47,12.28,12.53,12.44,13.53,14.47,13.38,11.81,11.75,12.38,12.22,11.53,12.22,13.56,14.06,13.34,13.44,14.5,15.16,13.97,12.75,12.91,13.06,12.0,10.84,11.19,11.47,10.72,8.62,7.53,7.5,7.03,5.59,5.22,5.88,6.31,5.31,4.06,4.69,6.0,6.19,6.47,8.75,11.56,13.34,14.25,15.66,17.38,18.22,17.5,16.62,16.75,15.91,13.59,11.38,10.59,10.91,10.16,8.97,8.53,8.19,6.81,4.38,3.31,3.47,3.62,2.94,2.94,3.94,4.94,4.38,3.75,4.34,5.34,4.84,4.06,4.66,6.0,6.75,6.97,7.81,9.25,10.06,9.28,8.72,9.44,9.38,7.75,5.78,5.28,5.41,4.94,4.66,6.5,9.31,11.25,12.47,14.44,16.88,18.34,17.53,16.5,16.41,16.38,14.44,12.06,10.59,9.09,5.97,2.28,0.03,-0.78,-2.5,-4.72,-5.53,-4.47,-2.59,-1.53,0.34,3.62,6.75,7.69,8.09,9.56,10.62,10.06,8.62,7.34,7.09,5.94,4.22,3.94,5.16,6.62,7.22,7.97,9.91,12.03,12.34,12.19,12.75,13.75,13.34,12.25,12.06,12.69,12.91,12.16,11.75,12.75,13.69,13.06,12.91,14.16,15.72,16.09,16.16,16.72,17.34,16.12,13.47,11.19,9.56,7.41,4.12,1.91,0.88,0.16,-1.81,-3.12,-2.78,-1.53,-1.69,-1.81,-0.47,1.72,3.19,4.47,6.78,9.59,11.53,11.91,12.72,14.56,16.31,16.75,17.09,17.94,18.47,16.94,14.19,12.5,11.38,9.44,6.72,4.91,3.75,1.75,-1.72,-3.72,-4.03,-3.78,-4.94,-6.16,-6.31,-6.72,-8.5,-10.38,-11.22,-11.0,-11.06,-11.69,-11.09,-8.53,-6.12,-4.59,-2.56,0.31,2.91,3.22,3.19,4.03,5.38,5.44,5.31,6.28,7.81,8.66,8.66,8.97,10.28,10.94,9.81,8.72,8.88,9.69,9.75,10.41,12.66,15.78,17.25,17.72,18.56,19.5,19.34,17.69,16.53,16.12,14.62,11.31,7.62,4.41,1.62,-2.44,-6.0,-7.91,-8.34,-9.38,-10.59,-10.53,-8.97,-7.75,-7.41,-6.44,-4.25,-2.22,-1.53,-0.94,1.47,3.91,5.0,5.88,7.19,9.03,9.66,9.16,9.16,9.88,9.66,7.88,6.25,6.03,5.69,4.34,3.09,3.53,4.28,3.25,2.09,2.22,2.78,2.5,1.62,1.72,2.53,2.75,1.72,1.28,1.84,2.0,0.81,-0.28,0.06,1.53,2.34,3.53,6.03,9.0,10.19,9.47,8.22,7.06,5.12,1.97,-0.25,-0.41,-0.09,-1.25,-2.72,-3.28,-4.06,-6.09,-8.38,-9.56,-9.34,-10.03,-11.41,-11.69,-10.69,-9.34,-8.78,-7.44,-4.69,-2.16,-1.84,-2.25,-1.53,-0.56,-0.94,-1.5,-1.06,-0.03,-0.22,-1.62,-2.75,-2.16,-1.81,-2.09,-1.88,-0.12,1.66,1.88,1.53,2.44,4.0,3.75,3.44,3.31,3.91,3.34,1.72,0.5,0.72,1.12,0.5,0.16,1.16,2.34,2.22,1.84,2.69,3.84,3.75,2.44,2.25,2.62,2.56,1.62,1.19,2.41,3.25,2.75,2.34,3.12,3.91,3.09,2.25,2.28,3.03,2.06,0.06,-1.0,-1.44,-2.31,-3.59,-4.06,-2.97,-1.5,-2.06,-2.59,-1.88,-1.19,-1.81,-2.53,-1.44,0.03,0.62,1.0,1.47,2.44,2.19,0.12,-1.75,-2.12,-2.41,-3.5,-3.94,-2.12,0.47,2.0,3.34,5.25,7.38,8.0,6.84,5.56,5.22,3.62,1.09,-1.09,-1.19,-0.88,-1.09,-1.0,0.69,2.75,2.97,2.81,3.16,4.16,4.16,3.06,2.81,3.44,3.34,1.88,0.34,0.19,-0.25,-1.78,-3.12,-2.75,-1.66,-1.88,-2.59,-2.72,-1.81,-2.12,-3.16,-2.94,-1.5,-0.72,-1.06,-1.62,-1.0,-0.12,-0.12,-0.03,1.5,3.06,2.88,1.31,0.25,0.06,-0.5,-1.84,-1.97,-0.59,0.09,-0.19,-0.28,1.09,2.38,1.91,1.06,0.72,1.06,-0.03,-0.88,-0.34,1.06,1.84,1.66,1.25,2.31,2.5,1.41,0.34,0.53,0.56,-1.22,-3.53,-4.53,-4.66,-5.53,-6.0,-5.06,-2.69,-0.41,1.06,2.47,5.38,7.19,7.03,6.28,7.16,8.16,7.66,6.41,6.16,6.25,4.38,1.88,0.5,0.03,-0.41,-1.69,-2.09,-0.88,0.5,0.0,-0.88,-0.62,-0.56,-1.78,-3.06,-2.75,-0.94,-0.03,0.19,0.91,2.25,3.03,2.41,2.47,4.34,5.91,6.53,6.16,6.66,6.41,3.84,0.25,-2.56,-4.47,-6.31,-7.91,-7.62,-5.28,-2.47,-0.81,1.06,3.78,5.44,5.0,3.12,2.19,1.38,-0.31,-2.0,-1.84,-0.22,0.0,-0.38,-0.41,0.59,1.0,0.66,0.44,1.81,3.41,3.25,2.53,3.09,3.69,3.06,1.59,1.09,1.34,1.28,0.16,-0.38,0.97,2.5,3.03,3.75,6.25,8.38,9.06,8.81,10.53,12.62,13.53,13.91,14.88,16.44,16.22,14.88,13.72,13.72,13.62,11.84,10.09,10.0,9.56,8.53,7.34,8.38,10.19,10.97,11.03,11.91,13.69,14.22,13.69,13.59,14.53,15.25,14.62,13.97,15.25,16.66,15.81,14.5,14.19,14.09,13.09,10.62,9.22,8.66,7.28,5.25,4.19,5.38,7.03,7.66,8.47,10.78,12.59,13.44,13.31,14.16,15.09,15.12,14.0,13.06,13.22,12.78,10.59,9.03,9.25,9.56,8.59,7.91,8.59,9.44,9.19,8.22,8.53,9.56,10.0,8.97,9.03,10.09,10.31,9.5,8.66,9.41,10.06,9.06,8.0,8.06,8.41,7.81,7.25,8.16,10.12,11.75,11.66,11.88,12.53,11.81,9.25,6.5,5.25,4.56,3.22,1.97,2.84,4.91,6.12,6.59,7.84,9.28,9.31,7.94,7.81,9.31,10.97,11.56,12.03,13.44,14.66,14.47,13.53,14.06,14.84,14.12,12.5,12.44,13.72,14.34,14.28,14.78,15.94,16.09,14.47,11.97,10.88,9.56,6.97,4.53,3.88,4.34,4.16,3.03,3.12,4.41,5.44,5.47,6.03,7.62,8.69,7.53,5.97,6.03,6.31,6.12,5.84,7.66,10.16,12.31,12.78,14.06,15.72,16.28,14.5,13.5,13.5,13.69,13.03,12.56,14.25,16.34,17.34,17.62,18.75,20.56,21.0,20.34,20.69,22.53,24.38,24.62,26.0,28.56,30.25,30.34,29.53,30.25,31.06,30.47,28.94,28.53,28.31,26.56,23.59,21.47,20.47,18.88,16.12,14.19,14.69,15.47,15.16,15.06,16.75,18.59,19.34,19.75,21.19,23.78,25.69,26.0,27.09,28.72,29.38,28.0,26.78,27.03,27.72,26.91,25.59,25.44,25.28,23.47,20.69,18.72,17.5,15.34,11.78,9.03,7.44,5.97,3.31,1.19,1.03,1.69,1.5,1.59,3.47,6.0,7.38,7.28,7.81,9.59,10.47,10.0,10.0,10.88,11.22,9.72,8.94,10.25,11.88,11.97,11.56,12.06,12.84,12.06,10.62,10.81,11.94,12.78,12.56,12.75,15.06,16.88,17.19,18.12,20.06,21.66,21.66,20.47,20.53,21.19,20.34,18.66,18.0,18.62,18.69,17.66,17.44,19.12,20.59,20.22,20.03,20.88,22.0,21.75,21.31,22.97,25.53,27.0,27.25,27.91,29.22,29.12,27.34,26.53,26.94,27.53,27.03,27.09,28.69,31.0,31.34,31.31,32.12,33.66,34.09,33.69,34.22,35.84,36.91,36.09,35.09,34.78,33.81,30.59,27.53,26.31,25.66,23.59,21.56,20.72,20.66,20.19,18.62,18.12,19.22,20.06,19.88,20.41,22.91,25.97,27.31,28.09,29.62,31.12,30.84,29.91,29.94,30.56,30.66,29.16,28.44,28.5,28.44,27.31,26.91,28.53,30.41,30.69,30.25,30.44,30.06,52.09,50.81,50.44,49.94,49.31,48.34,47.22:5.59,5.34,4.66,5.38,6.78,7.09,6.44,7.28,9.69,11.41,11.31,11.06,11.81,11.94,10.53,9.38,10.28,11.19,10.94,10.38,10.78,12.0,12.28,11.53,11.81,13.56,15.06,15.59,16.28,18.19,19.53,18.62,17.5,17.59,18.0,16.97,15.38,15.06,15.0,14.31,12.78,12.09,12.59,12.78,11.56,10.84,12.25,13.97,14.78,15.44,17.38,19.47,19.56,18.91,18.91,19.47,19.22,17.78,16.78,16.66,16.22,14.16,12.41,12.28,12.28,11.19,10.44,11.16,12.62,13.09,12.81,13.97,15.5,16.72,16.91,17.94,20.16,22.09,21.88,21.59,22.19,21.91,19.81,17.28,16.03,15.69,14.75,13.19,13.34,14.06,13.72,11.38,9.53,8.34,7.56,6.03,4.78,5.66,6.75,6.25,5.81,7.12,9.59,11.44,12.75,14.78,17.28,18.91,18.47,18.12,18.75,19.0,17.06,14.88,14.19,13.19,11.41,9.62,10.22,11.34,11.75,10.75,10.59,10.84,10.88,9.59,8.66,8.75,8.19,5.66,2.88,1.44,0.31,-1.47,-3.72,-4.22,-3.38,-2.78,-2.94,-1.94,0.38,2.12,2.12,2.56,4.19,5.66,5.56,5.72,7.31,9.31,10.09,9.94,11.06,12.22,12.0,10.16,8.75,8.22,7.09,5.06,4.09,4.66,5.75,5.62,5.91,7.78,10.31,11.69,12.38,14.84,17.47,19.06,18.91,19.16,19.5,19.06,16.88,14.75,13.81,13.12,10.5,8.34,7.84,7.53,6.31,4.84,4.75,5.72,6.62,7.16,8.25,10.47,12.28,12.53,12.44,13.53,14.47,13.38,11.81,11.75,12.38,12.22,11.53,12.22,13.56,14.06,13.34,13.44,14.5,15.16,13.97,12.75,12.91,13.06,12.0,10.84,11.19,11.47,10.72,8.62,7.53,7.5,7.03,5.59,5.22,5.88,6.31,5.31,4.06,4.69,6.0,6.19,6.47,8.75,11.56,13.34,14.25,15.66,17.38,18.22,17.5,16.62,16.75,15.91,13.59,11.38,10.59,10.91,10.16,8.97,8.53,8.19,6.81,4.38,3.31,3.47,3.62,2.94,2.94,3.94,4.94,4.38,3.75,4.34,5.34,4.84,4.06,4.66,6.0,6.75,6.97,7.81,9.25,10.06,9.28,8.72,9.44,9.38,7.75,5.78,5.28,5.41,4.94,4.66,6.5,9.31,11.25,12.47,14.44,16.88,18.34,17.53,16.5,16.41,16.38,14.44,12.06,10.59,9.09,5.97,2.28,0.03,-0.78,-2.5,-4.72,-5.53,-4.47,-2.59,-1.53,0.34,3.62,6.75,7.69,8.09,9.56,10.62,10.06,8.62,7.34,7.09,5.94,4.22,3.94,5.16,6.62,7.22,7.97,9.91,12.03,12.34,12.19,12.75,13.75,13.34,12.25,12.06,12.69,12.91,12.16,11.75,12.75,13.69,13.06,12.91,14.16,15.72,16.09,16.16,16.72,17.34,16.12,13.47,11.19,9.56,7.41,4.12,1.91,0.88,0.16,-1.81,-3.12,-2.78,-1.53,-1.69,-1.81,-0.47,1.72,3.19,4.47,6.78,9.59,11.53,11.91,12.72,14.56,16.31,16.75,17.09,17.94,18.47,16.94,14.19,12.5,11.38,9.44,6.72,4.91,3.75,1.75,-1.72,-3.72,-4.03,-3.78,-4.94,-6.16,-6.31,-6.72,-8.5,-10.38,-11.22,-11.0,-11.06,-11.69,-11.09,-8.53,-6.12,-4.59,-2.56,0.31,2.91,3.22,3.19,4.03,5.38,5.44,5.31,6.28,7.81,8.66,8.66,8.97,10.28,10.94,9.81,8.72,8.88,9.69,9.75,10.41,12.66,15.78,17.25,17.72,18.56,19.5,19.34,17.69,16.53,16.12,14.62,11.31,7.62,4.41,1.62,-2.44,-6.0,-7.91,-8.34,-9.38,-10.59,-10.53,-8.97,-7.75,-7.41,-6.44,-4.25,-2.22,-1.53,-0.94,1.47,3.91,5.0,5.88,7.19,9.03,9.66,9.16,9.16,9.88,9.66,7.88,6.25,6.03,5.69,4.34,3.09,3.53,4.28,3.25,2.09,2.22,2.78,2.5,1.62,1.72,2.53,2.75,1.72,1.28,1.84,2.0,0.81,-0.28,0.06,1.53,2.34,3.53,6.03,9.0,10.19,9.47,8.22,7.06,5.12,1.97,-0.25,-0.41,-0.09,-1.25,-2.72,-3.28,-4.06,-6.09,-8.38,-9.56,-9.34,-10.03,-11.41,-11.69,-10.69,-9.34,-8.78,-7.44,-4.69,-2.16,-1.84,-2.25,-1.53,-0.56,-0.94,-1.5,-1.06,-0.03,-0.22,-1.62,-2.75,-2.16,-1.81,-2.09,-1.88,-0.12,1.66,1.88,1.53,2.44,4.0,3.75,3.44,3.31,3.91,3.34,1.72,0.5,0.72,1.12,0.5,0.16,1.16,2.34,2.22,1.84,2.69,3.84,3.75,2.44,2.25,2.62,2.56,1.62,1.19,2.41,3.25,2.75,2.34,3.12,3.91,3.09,2.25,2.28,3.03,2.06,0.06,-1.0,-1.44,-2.31,-3.59,-4.06,-2.97,-1.5,-2.06,-2.59,-1.88,-1.19,-1.81,-2.53,-1.44,0.03,0.62,1.0,1.47,2.44,2.19,0.12,-1.75,-2.12,-2.41,-3.5,-3.94,-2.12,0.47,2.0,3.34,5.25,7.38,8.0,6.84,5.56,5.22,3.62,1.09,-1.09,-1.19,-0.88,-1.09,-1.0,0.69,2.75,2.97,2.81,3.16,4.16,4.16,3.06,2.81,3.44,3.34,1.88,0.34,0.19,-0.25,-1.78,-3.12,-2.75,-1.66,-1.88,-2.59,-2.72,-1.81,-2.12,-3.16,-2.94,-1.5,-0.72,-1.06,-1.62,-1.0,-0.12,-0.12,-0.03,1.5,3.06,2.88,1.31,0.25,0.06,-0.5,-1.84,-1.97,-0.59,0.09,-0.19,-0.28,1.09,2.38,1.91,1.06,0.72,1.06,-0.03,-0.88,-0.34,1.06,1.84,1.66,1.25,2.31,2.5,1.41,0.34,0.53,0.56,-1.22,-3.53,-4.53,-4.66,-5.53,-6.0,-5.06,-2.69,-0.41,1.06,2.47,5.38,7.19,7.03,6.28,7.16,8.16,7.66,6.41,6.16,6.25,4.38,1.88,0.5,0.03,-0.41,-1.69,-2.09,-0.88,0.5,0.0,-0.88,-0.62,-0.56,-1.78,-3.06,-2.75,-0.94,-0.03,0.19,0.91,2.25,3.03,2.41,2.47,4.34,5.91,6.53,6.16,6.66,6.41,3.84,0.25,-2.56,-4.47,-6.31,-7.91,-7.62,-5.28,-2.47,-0.81,1.06,3.78,5.44,5.0,3.12,2.19,1.38,-0.31,-2.0,-1.84,-0.22,0.0,-0.38,-0.41,0.59,1.0,0.66,0.44,1.81,3.41,3.25,2.53,3.09,3.69,3.06,1.59,1.09,1.34,1.28,0.16,-0.38,0.97,2.5,3.03,3.75,6.25,8.38,9.06,8.81,10.53,12.62,13.53,13.91,14.88,16.44,16.22,14.88,13.72,13.72,13.62,11.84,10.09,10.0,9.56,8.53,7.34,8.38,10.19,10.97,11.03,11.91,13.69,14.22,13.69,13.59,14.53,15.25,14.62,13.97,15.25,16.66,15.81,14.5,14.19,14.09,13.09,10.62,9.22,8.66,7.28,5.25,4.19,5.38,7.03,7.66,8.47,10.78,12.59,13.44,13.31,14.16,15.09,15.12,14.0,13.06,13.22,12.78,10.59,9.03,9.25,9.56,8.59,7.91,8.59,9.44,9.19,8.22,8.53,9.56,10.0,8.97,9.03,10.09,10.31,9.5,8.66,9.41,10.06,9.06,8.0,8.06,8.41,7.81,7.25,8.16,10.12,11.75,11.66,11.88,12.53,11.81,9.25,6.5,5.25,4.56,3.22,1.97,2.84,4.91,6.12,6.59,7.84,9.28,9.31,7.94,7.81,9.31,10.97,11.56,12.03,13.44,14.66,14.47,13.53,14.06,14.84,14.12,12.5,12.44,13.72,14.34,14.28,14.78,15.94,16.09,14.47,11.97,10.88,9.56,6.97,4.53,3.88,4.34,4.16,3.03,3.12,4.41,5.44,5.47,6.03,7.62,8.69,7.53,5.97,6.03,6.31,6.12,5.84,7.66,10.16,12.31,12.78,14.06,15.72,16.28,14.5,13.5,13.5,13.69,13.03,12.56,14.25,16.34,17.34,17.62,18.75,20.56,21.0,20.34,20.69,22.53,24.38,24.62,26.0,28.56,30.25,30.34,29.53,30.25,31.06,30.47,28.94,28.53,28.31,26.56,23.59,21.47,20.47,18.88,16.12,14.19,14.69,15.47,15.16,15.06,16.75,18.59,19.34,19.75,21.19,23.78,25.69,26.0,27.09,28.72,29.38,28.0,26.78,27.03,27.72,26.91,25.59,25.44,25.28,23.47,20.69,18.72,17.5,15.34,11.78,9.03,7.44,5.97,3.31,1.19,1.03,1.69,1.5,1.59,3.47,6.0,7.38,7.28,7.81,9.59,10.47,10.0,10.0,10.88,11.22,9.72,8.94,10.25,11.88,11.97,11.56,12.06,12.84,12.06,10.62,10.81,11.94,12.78,12.56,12.75,15.06,16.88,17.19,18.12,20.06,21.66,21.66,20.47,20.53,21.19,20.34,18.66,18.0,18.62,18.69,17.66,17.44,19.12,20.59,20.22,20.03,20.88,22.0,21.75,21.31,22.97,25.53,27.0,27.25,27.91,29.22,29.12,27.34,26.53,26.94,27.53,27.03,27.09,28.69,31.0,31.34,31.31,32.12,33.66,34.09,33.69,34.22,35.84,36.91,36.09,35.09,34.78,33.81,30.59,27.53,26.31,25.66,23.59,21.56,20.72,20.66,20.19,18.62,18.12,19.22,20.06,19.88,20.41,22.91,25.97,27.31,28.09,29.62,31.12,30.84,29.91,29.94,30.56,30.66,29.16,28.44,28.5,28.44,27.31,26.91,28.53,30.41,30.69,30.25,30.44,30.06,52.09,50.81,50.44,49.94,49.31,48.34,47.22,46.03,44.03,41.91,40.44,39.25,38.22,38.03:7.28,9.69,11.41,11.31,11.06,11.81,11.94,10.53,9.38,10.28,11.19,10.94,10.38,10.78,12.0,12.28,11.53,11.81,13.56,15.06,15.59,16.28,18.19,19.53,18.62,17.5,17.59,18.0,16.97,15.38,15.06,15.0,14.31,12.78,12.09,12.59,12.78,11.56,10.84,12.25,13.97,14.78,15.44,17.38,19.47,19.56,18.91,18.91,19.47,19.22,17.78,16.78,16.66,16.22,14.16,12.41,12.28,12.28,11.19,10.44,11.16,12.62,13.09,12.81,13.97,15.5,16.72,16.91,17.94,20.16,22.09,21.88,21.59,22.19,21.91,19.81,17.28,16.03,15.69,14.75,13.19,13.34,14.06,13.72,11.38,9.53,8.34,7.56,6.03,4.78,5.66,6.75,6.25,5.81,7.12,9.59,11.44,12.75,14.78,17.28,18.91,18.47,18.12,18.75,19.0,17.06,14.88,14.19,13.19,11.41,9.62,10.22,11.34,11.75,10.75,10.59,10.84,10.88,9.59,8.66,8.75,8.19,5.66,2.88,1.44,0.31,-1.47,-3.72,-4.22,-3.38,-2.78,-2.94,-1.94,0.38,2.12,2.12,2.56,4.19,5.66,5.56,5.72,7.31,9.31,10.09,9.94,11.06,12.22,12.0,10.16,8.75,8.22,7.09,5.06,4.09,4.66,5.75,5.62,5.91,7.78,10.31,11.69,12.38,14.84,17.47,19.06,18.91,19.16,19.5,19.06,16.88,14.75,13.81,13.12,10.5,8.34,7.84,7.53,6.31,4.84,4.75,5.72,6.62,7.16,8.25,10.47,12.28,12.53,12.44,13.53,14.47,13.38,11.81,11.75,12.38,12.22,11.53,12.22,13.56,14.06,13.34,13.44,14.5,15.16,13.97,12.75,12.91,13.06,12.0,10.84,11.19,11.47,10.72,8.62,7.53,7.5,7.03,5.59,5.22,5.88,6.31,5.31,4.06,4.69,6.0,6.19,6.47,8.75,11.56,13.34,14.25,15.66,17.38,18.22,17.5,16.62,16.75,15.91,13.59,11.38,10.59,10.91,10.16,8.97,8.53,8.19,6.81,4.38,3.31,3.47,3.62,2.94,2.94,3.94,4.94,4.38,3.75,4.34,5.34,4.84,4.06,4.66,6.0,6.75,6.97,7.81,9.25,10.06,9.28,8.72,9.44,9.38,7.75,5.78,5.28,5.41,4.94,4.66,6.5,9.31,11.25,12.47,14.44,16.88,18.34,17.53,16.5,16.41,16.38,14.44,12.06,10.59,9.09,5.97,2.28,0.03,-0.78,-2.5,-4.72,-5.53,-4.47,-2.59,-1.53,0.34,3.62,6.75,7.69,8.09,9.56,10.62,10.06,8.62,7.34,7.09,5.94,4.22,3.94,5.16,6.62,7.22,7.97,9.91,12.03,12.34,12.19,12.75,13.75,13.34,12.25,12.06,12.69,12.91,12.16,11.75,12.75,13.69,13.06,12.91,14.16,15.72,16.09,16.16,16.72,17.34,16.12,13.47,11.19,9.56,7.41,4.12,1.91,0.88,0.16,-1.81,-3.12,-2.78,-1.53,-1.69,-1.81,-0.47,1.72,3.19,4.47,6.78,9.59,11.53,11.91,12.72,14.56,16.31,16.75,17.09,17.94,18.47,16.94,14.19,12.5,11.38,9.44,6.72,4.91,3.75,1.75,-1.72,-3.72,-4.03,-3.78,-4.94,-6.16,-6.31,-6.72,-8.5,-10.38,-11.22,-11.0,-11.06,-11.69,-11.09,-8.53,-6.12,-4.59,-2.56,0.31,2.91,3.22,3.19,4.03,5.38,5.44,5.31,6.28,7.81,8.66,8.66,8.97,10.28,10.94,9.81,8.72,8.88,9.69,9.75,10.41,12.66,15.78,17.25,17.72,18.56,19.5,19.34,17.69,16.53,16.12,14.62,11.31,7.62,4.41,1.62,-2.44,-6.0,-7.91,-8.34,-9.38,-10.59,-10.53,-8.97,-7.75,-7.41,-6.44,-4.25,-2.22,-1.53,-0.94,1.47,3.91,5.0,5.88,7.19,9.03,9.66,9.16,9.16,9.88,9.66,7.88,6.25,6.03,5.69,4.34,3.09,3.53,4.28,3.25,2.09,2.22,2.78,2.5,1.62,1.72,2.53,2.75,1.72,1.28,1.84,2.0,0.81,-0.28,0.06,1.53,2.34,3.53,6.03,9.0,10.19,9.47,8.22,7.06,5.12,1.97,-0.25,-0.41,-0.09,-1.25,-2.72,-3.28,-4.06,-6.09,-8.38,-9.56,-9.34,-10.03,-11.41,-11.69,-10.69,-9.34,-8.78,-7.44,-4.69,-2.16,-1.84,-2.25,-1.53,-0.56,-0.94,-1.5,-1.06,-0.03,-0.22,-1.62,-2.75,-2.16,-1.81,-2.09,-1.88,-0.12,1.66,1.88,1.53,2.44,4.0,3.75,3.44,3.31,3.91,3.34,1.72,0.5,0.72,1.12,0.5,0.16,1.16,2.34,2.22,1.84,2.69,3.84,3.75,2.44,2.25,2.62,2.56,1.62,1.19,2.41,3.25,2.75,2.34,3.12,3.91,3.09,2.25,2.28,3.03,2.06,0.06,-1.0,-1.44,-2.31,-3.59,-4.06,-2.97,-1.5,-2.06,-2.59,-1.88,-1.19,-1.81,-2.53,-1.44,0.03,0.62,1.0,1.47,2.44,2.19,0.12,-1.75,-2.12,-2.41,-3.5,-3.94,-2.12,0.47,2.0,3.34,5.25,7.38,8.0,6.84,5.56,5.22,3.62,1.09,-1.09,-1.19,-0.88,-1.09,-1.0,0.69,2.75,2.97,2.81,3.16,4.16,4.16,3.06,2.81,3.44,3.34,1.88,0.34,0.19,-0.25,-1.78,-3.12,-2.75,-1.66,-1.88,-2.59,-2.72,-1.81,-2.12,-3.16,-2.94,-1.5,-0.72,-1.06,-1.62,-1.0,-0.12,-0.12,-0.03,1.5,3.06,2.88,1.31,0.25,0.06,-0.5,-1.84,-1.97,-0.59,0.09,-0.19,-0.28,1.09,2.38,1.91,1.06,0.72,1.06,-0.03,-0.88,-0.34,1.06,1.84,1.66,1.25,2.31,2.5,1.41,0.34,0.53,0.56,-1.22,-3.53,-4.53,-4.66,-5.53,-6.0,-5.06,-2.69,-0.41,1.06,2.47,5.38,7.19,7.03,6.28,7.16,8.16,7.66,6.41,6.16,6.25,4.38,1.88,0.5,0.03,-0.41,-1.69,-2.09,-0.88,0.5,0.0,-0.88,-0.62,-0.56,-1.78,-3.06,-2.75,-0.94,-0.03,0.19,0.91,2.25,3.03,2.41,2.47,4.34,5.91,6.53,6.16,6.66,6.41,3.84,0.25,-2.56,-4.47,-6.31,-7.91,-7.62,-5.28,-2.47,-0.81,1.06,3.78,5.44,5.0,3.12,2.19,1.38,-0.31,-2.0,-1.84,-0.22,0.0,-0.38,-0.41,0.59,1.0,0.66,0.44,1.81,3.41,3.25,2.53,3.09,3.69,3.06,1.59,1.09,1.34,1.28,0.16,-0.38,0.97,2.5,3.03,3.75,6.25,8.38,9.06,8.81,10.53,12.62,13.53,13.91,14.88,16.44,16.22,14.88,13.72,13.72,13.62,11.84,10.09,10.0,9.56,8.53,7.34,8.38,10.19,10.97,11.03,11.91,13.69,14.22,13.69,13.59,14.53,15.25,14.62,13.97,15.25,16.66,15.81,14.5,14.19,14.09,13.09,10.62,9.22,8.66,7.28,5.25,4.19,5.38,7.03,7.66,8.47,10.78,12.59,13.44,13.31,14.16,15.09,15.12,14.0,13.06,13.22,12.78,10.59,9.03,9.25,9.56,8.59,7.91,8.59,9.44,9.19,8.22,8.53,9.56,10.0,8.97,9.03,10.09,10.31,9.5,8.66,9.41,10.06,9.06,8.0,8.06,8.41,7.81,7.25,8.16,10.12,11.75,11.66,11.88,12.53,11.81,9.25,6.5,5.25,4.56,3.22,1.97,2.84,4.91,6.12,6.59,7.84,9.28,9.31,7.94,7.81,9.31,10.97,11.56,12.03,13.44,14.66,14.47,13.53,14.06,14.84,14.12,12.5,12.44,13.72,14.34,14.28,14.78,15.94,16.09,14.47,11.97,10.88,9.56,6.97,4.53,3.88,4.34,4.16,3.03,3.12,4.41,5.44,5.47,6.03,7.62,8.69,7.53,5.97,6.03,6.31,6.12,5.84,7.66,10.16,12.31,12.78,14.06,15.72,16.28,14.5,13.5,13.5,13.69,13.03,12.56,14.25,16.34,17.34,17.62,18.75,20.56,21.0,20.34,20.69,22.53,24.38,24.62,26.0,28.56,30.25,30.34,29.53,30.25,31.06,30.47,28.94,28.53,28.31,26.56,23.59,21.47,20.47,18.88,16.12,14.19,14.69,15.47,15.16,15.06,16.75,18.59,19.34,19.75,21.19,23.78,25.69,26.0,27.09,28.72,29.38,28.0,26.78,27.03,27.72,26.91,25.59,25.44,25.28,23.47,20.69,18.72,17.5,15.34,11.78,9.03,7.44,5.97,3.31,1.19,1.03,1.69,1.5,1.59,3.47,6.0,7.38,7.28,7.81,9.59,10.47,10.0,10.0,10.88,11.22,9.72,8.94,10.25,11.88,11.97,11.56,12.06,12.84,12.06,10.62,10.81,11.94,12.78,12.56,12.75,15.06,16.88,17.19,18.12,20.06,21.66,21.66,20.47,20.53,21.19,20.34,18.66,18.0,18.62,18.69,17.66,17.44,19.12,20.59,20.22,20.03,20.88,22.0,21.75,21.31,22.97,25.53,27.0,27.25,27.91,29.22,29.12,27.34,26.53,26.94,27.53,27.03,27.09,28.69,31.0,31.34,31.31,32.12,33.66,34.09,33.69,34.22,35.84,36.91,36.09,35.09,34.78,33.81,30.59,27.53,26.31,25.66,23.59,21.56,20.72,20.66,20.19,18.62,18.12,19.22,20.06,19.88,20.41,22.91,25.97,27.31,28.09,29.62,31.12,30.84,29.91,29.94,30.56,30.66,29.16,28.44,28.5,28.44,27.31,26.91,28.53,30.41,30.69,30.25,30.44,30.06,52.09,50.81,50.44,49.94,49.31,48.34,47.22,46.03,44.03,41.91,40.44,39.25,38.22,38.03,38.62,40.66,42.91,44.84,46.72,48.03,48.66:10.53,9.38,10.28,11.19,10.94,10.38,10.78,12.0,12.28,11.53,11.81,13.56,15.06,15.59,16.28,18.19,19.53,18.62,17.5,17.59,18.0,16.97,15.38,15.06,15.0,14.31,12.78,12.09,12.59,12.78,11.56,10.84,12.25,13.97,14.78,15.44,17.38,19.47,19.56,18.91,18.91,19.47,19.22,17.78,16.78,16.66,16.22,14.16,12.41,12.28,12.28,11.19,10.44,11.16,12.62,13.09,12.81,13.97,15.5,16.72,16.91,17.94,20.16,22.09,21.88,21.59,22.19,21.91,19.81,17.28,16.03,15.69,14.75,13.19,13.34,14.06,13.72,11.38,9.53,8.34,7.56,6.03,4.78,5.66,6.75,6.25,5.81,7.12,9.59,11.44,12.75,14.78,17.28,18.91,18.47,18.12,18.75,19.0,17.06,14.88,14.19,13.19,11.41,9.62,10.22,11.34,11.75,10.75,10.59,10.84,10.88,9.59,8.66,8.75,8.19,5.66,2.88,1.44,0.31,-1.47,-3.72,-4.22,-3.38,-2.78,-2.94,-1.94,0.38,2.12,2.12,2.56,4.19,5.66,5.56,5.72,7.31,9.31,10.09,9.94,11.06,12.22,12.0,10.16,8.75,8.22,7.09,5.06,4.09,4.66,5.75,5.62,5.91,7.78,10.31,11.69,12.38,14.84,17.47,19.06,18.91,19.16,19.5,19.06,16.88,14.75,13.81,13.12,10.5,8.34,7.84,7.53,6.31,4.84,4.75,5.72,6.62,7.16,8.25,10.47,12.28,12.53,12.44,13.53,14.47,13.38,11.81,11.75,12.38,12.22,11.53,12.22,13.56,14.06,13.34,13.44,14.5,15.16,13.97,12.75,12.91,13.06,12.0,10.84,11.19,11.47,10.72,8.62,7.53,7.5,7.03,5.59,5.22,5.88,6.31,5.31,4.06,4.69,6.0,6.19,6.47,8.75,11.56,13.34,14.25,15.66,17.38,18.22,17.5,16.62,16.75,15.91,13.59,11.38,10.59,10.91,10.16,8.97,8.53,8.19,6.81,4.38,3.31,3.47,3.62,2.94,2.94,3.94,4.94,4.38,3.75,4.34,5.34,4.84,4.06,4.66,6.0,6.75,6.97,7.81,9.25,10.06,9.28,8.72,9.44,9.38,7.75,5.78,5.28,5.41,4.94,4.66,6.5,9.31,11.25,12.47,14.44,16.88,18.34,17.53,16.5,16.41,16.38,14.44,12.06,10.59,9.09,5.97,2.28,0.03,-0.78,-2.5,-4.72,-5.53,-4.47,-2.59,-1.53,0.34,3.62,6.75,7.69,8.09,9.56,10.62,10.06,8.62,7.34,7.09,5.94,4.22,3.94,5.16,6.62,7.22,7.97,9.91,12.03,12.34,12.19,12.75,13.75,13.34,12.25,12.06,12.69,12.91,12.16,11.75,12.75,13.69,13.06,12.91,14.16,15.72,16.09,16.16,16.72,17.34,16.12,13.47,11.19,9.56,7.41,4.12,1.91,0.88,0.16,-1.81,-3.12,-2.78,-1.53,-1.69,-1.81,-0.47,1.72,3.19,4.47,6.78,9.59,11.53,11.91,12.72,14.56,16.31,16.75,17.09,17.94,18.47,16.94,14.19,12.5,11.38,9.44,6.72,4.91,3.75,1.75,-1.72,-3.72,-4.03,-3.78,-4.94,-6.16,-6.31,-6.72,-8.5,-10.38,-11.22,-11.0,-11.06,-11.69,-11.09,-8.53,-6.12,-4.59,-2.56,0.31,2.91,3.22,3.19,4.03,5.38,5.44,5.31,6.28,7.81,8.66,8.66,8.97,10.28,10.94,9.81,8.72,8.88,9.69,9.75,10.41,12.66,15.78,17.25,17.72,18.56,19.5,19.34,17.69,16.53,16.12,14.62,11.31,7.62,4.41,1.62,-2.44,-6.0,-7.91,-8.34,-9.38,-10.59,-10.53,-8.97,-7.75,-7.41,-6.44,-4.25,-2.22,-1.53,-0.94,1.47,3.91,5.0,5.88,7.19,9.03,9.66,9.16,9.16,9.88,9.66,7.88,6.25,6.03,5.69,4.34,3.09,3.53,4.28,3.25,2.09,2.22,2.78,2.5,1.62,1.72,2.53,2.75,1.72,1.28,1.84,2.0,0.81,-0.28,0.06,1.53,2.34,3.53,6.03,9.0,10.19,9.47,8.22,7.06,5.12,1.97,-0.25,-0.41,-0.09,-1.25,-2.72,-3.28,-4.06,-6.09,-8.38,-9.56,-9.34,-10.03,-11.41,-11.69,-10.69,-9.34,-8.78,-7.44,-4.69,-2.16,-1.84,-2.25,-1.53,-0.56,-0.94,-1.5,-1.06,-0.03,-0.22,-1.62,-2.75,-2.16,-1.81,-2.09,-1.88,-0.12,1.66,1.88,1.53,2.44,4.0,3.75,3.44,3.31,3.91,3.34,1.72,0.5,0.72,1.12,0.5,0.16,1.16,2.34,2.22,1.84,2.69,3.84,3.75,2.44,2.25,2.62,2.56,1.62,1.19,2.41,3.25,2.75,2.34,3.12,3.91,3.09,2.25,2.28,3.03,2.06,0.06,-1.0,-1.44,-2.31,-3.59,-4.06,-2.97,-1.5,-2.06,-2.59,-1.88,-1.19,-1.81,-2.53,-1.44,0.03,0.62,1.0,1.47,2.44,2.19,0.12,-1.75,-2.12,-2.41,-3.5,-3.94,-2.12,0.47,2.0,3.34,5.25,7.38,8.0,6.84,5.56,5.22,3.62,1.09,-1.09,-1.19,-0.88,-1.09,-1.0,0.69,2.75,2.97,2.81,3.16,4.16,4.16,3.06,2.81,3.44,3.34,1.88,0.34,0.19,-0.25,-1.78,-3.12,-2.75,-1.66,-1.88,-2.59,-2.72,-1.81,-2.12,-3.16,-2.94,-1.5,-0.72,-1.06,-1.62,-1.0,-0.12,-0.12,-0.03,1.5,3.06,2.88,1.31,0.25,0.06,-0.5,-1.84,-1.97,-0.59,0.09,-0.19,-0.28,1.09,2.38,1.91,1.06,0.72,1.06,-0.03,-0.88,-0.34,1.06,1.84,1.66,1.25,2.31,2.5,1.41,0.34,0.53,0.56,-1.22,-3.53,-4.53,-4.66,-5.53,-6.0,-5.06,-2.69,-0.41,1.06,2.47,5.38,7.19,7.03,6.28,7.16,8.16,7.66,6.41,6.16,6.25,4.38,1.88,0.5,0.03,-0.41,-1.69,-2.09,-0.88,0.5,0.0,-0.88,-0.62,-0.56,-1.78,-3.06,-2.75,-0.94,-0.03,0.19,0.91,2.25,3.03,2.41,2.47,4.34,5.91,6.53,6.16,6.66,6.41,3.84,0.25,-2.56,-4.47,-6.31,-7.91,-7.62,-5.28,-2.47,-0.81,1.06,3.78,5.44,5.0,3.12,2.19,1.38,-0.31,-2.0,-1.84,-0.22,0.0,-0.38,-0.41,0.59,1.0,0.66,0.44,1.81,3.41,3.25,2.53,3.09,3.69,3.06,1.59,1.09,1.34,1.28,0.16,-0.38,0.97,2.5,3.03,3.75,6.25,8.38,9.06,8.81,10.53,12.62,13.53,13.91,14.88,16.44,16.22,14.88,13.72,13.72,13.62,11.84,10.09,10.0,9.56,8.53,7.34,8.38,10.19,10.97,11.03,11.91,13.69,14.22,13.69,13.59,14.53,15.25,14.62,13.97,15.25,16.66,15.81,14.5,14.19,14.09,13.09,10.62,9.22,8.66,7.28,5.25,4.19,5.38,7.03,7.66,8.47,10.78,12.59,13.44,13.31,14.16,15.09,15.12,14.0,13.06,13.22,12.78,10.59,9.03,9.25,9.56,8.59,7.91,8.59,9.44,9.19,8.22,8.53,9.56,10.0,8.97,9.03,10.09,10.31,9.5,8.66,9.41,10.06,9.06,8.0,8.06,8.41,7.81,7.25,8.16,10.12,11.75,11.66,11.88,12.53,11.81,9.25,6.5,5.25,4.56,3.22,1.97,2.84,4.91,6.12,6.59,7.84,9.28,9.31,7.94,7.81,9.31,10.97,11.56,12.03,13.44,14.66,14.47,13.53,14.06,14.84,14.12,12.5,12.44,13.72,14.34,14.28,14.78,15.94,16.09,14.47,11.97,10.88,9.56,6.97,4.53,3.88,4.34,4.16,3.03,3.12,4.41,5.44,5.47,6.03,7.62,8.69,7.53,5.97,6.03,6.31,6.12,5.84,7.66,10.16,12.31,12.78,14.06,15.72,16.28,14.5,13.5,13.5,13.69,13.03,12.56,14.25,16.34,17.34,17.62,18.75,20.56,21.0,20.34,20.69,22.53,24.38,24.62,26.0,28.56,30.25,30.34,29.53,30.25,31.06,30.47,28.94,28.53,28.31,26.56,23.59,21.47,20.47,18.88,16.12,14.19,14.69,15.47,15.16,15.06,16.75,18.59,19.34,19.75,21.19,23.78,25.69,26.0,27.09,28.72,29.38,28.0,26.78,27.03,27.72,26.91,25.59,25.44,25.28,23.47,20.69,18.72,17.5,15.34,11.78,9.03,7.44,5.97,3.31,1.19,1.03,1.69,1.5,1.59,3.47,6.0,7.38,7.28,7.81,9.59,10.47,10.0,10.0,10.88,11.22,9.72,8.94,10.25,11.88,11.97,11.56,12.06,12.84,12.06,10.62,10.81,11.94,12.78,12.56,12.75,15.06,16.88,17.19,18.12,20.06,21.66,21.66,20.47,20.53,21.19,20.34,18.66,18.0,18.62,18.69,17.66,17.44,19.12,20.59,20.22,20.03,20.88,22.0,21.75,21.31,22.97,25.53,27.0,27.25,27.91,29.22,29.12,27.34,26.53,26.94,27.53,27.03,27.09,28.69,31.0,31.34,31.31,32.12,33.66,34.09,33.69,34.22,35.84,36.91,36.09,35.09,34.78,33.81,30.59,27.53,26.31,25.66,23.59,21.56,20.72,20.66,20.19,18.62,18.12,19.22,20.06,19.88,20.41,22.91,25.97,27.31,28.09,29.62,31.12,30.84,29.91,29.94,30.56,30.66,29.16,28.44,28.5,28.44,27.31,26.91,28.53,30.41,30.69,30.25,30.44,30.06,52.09,50.81,50.44,49.94,49.31,48.34,47.22,46.03,44.03,41.91,40.44,39.25,38.22,38.03,38.62,40.66,42.91,44.84,46.72,48.03,48.66,48.62,48.59,48.12,47.78,46.66,45.62,44.75:12.0,12.28,11.53,11.81,13.56,15.06,15.59,16.28,18.19,19.53,18.62,17.5,17.59,18.0,16.97,15.38,15.06,15.0,14.31,12.78,12.09,12.59,12.78,11.56,10.84,12.25,13.97,14.78,15.44,17.38,19.47,19.56,18.91,18.91,19.47,19.22,17.78,16.78,16.66,16.22,14.16,12.41,12.28,12.28,11.19,10.44,11.16,12.62,13.09,12.81,13.97,15.5,16.72,16.91,17.94,20.16,22.09,21.88,21.59,22.19,21.91,19.81,17.28,16.03,15.69,14.75,13.19,13.34,14.06,13.72,11.38,9.53,8.34,7.56,6.03,4.78,5.66,6.75,6.25,5.81,7.12,9.59,11.44,12.75,14.78,17.28,18.91,18.47,18.12,18.75,19.0,17.06,14.88,14.19,13.19,11.41,9.62,10.22,11.34,11.75,10.75,10.59,10.84,10.88,9.59,8.66,8.75,8.19,5.66,2.88,1.44,0.31,-1.47,-3.72,-4.22,-3.38,-2.78,-2.94,-1.94,0.38,2.12,2.12,2.56,4.19,5.66,5.56,5.72,7.31,9.31,10.09,9.94,11.06,12.22,12.0,10.16,8.75,8.22,7.09,5.06,4.09,4.66,5.75,5.62,5.91,7.78,10.31,11.69,12.38,14.84,17.47,19.06,18.91,19.16,19.5,19.06,16.88,14.75,13.81,13.12,10.5,8.34,7.84,7.53,6.31,4.84,4.75,5.72,6.62,7.16,8.25,10.47,12.28,12.53,12.44,13.53,14.47,13.38,11.81,11.75,12.38,12.22,11.53,12.22,13.56,14.06,13.34,13.44,14.5,15.16,13.97,12.75,12.91,13.06,12.0,10.84,11.19,11.47,10.72,8.62,7.53,7.5,7.03,5.59,5.22,5.88,6.31,5.31,4.06,4.69,6.0,6.19,6.47,8.75,11.56,13.34,14.25,15.66,17.38,18.22,17.5,16.62,16.75,15.91,13.59,11.38,10.59,10.91,10.16,8.97,8.53,8.19,6.81,4.38,3.31,3.47,3.62,2.94,2.94,3.94,4.94,4.38,3.75,4.34,5.34,4.84,4.06,4.66,6.0,6.75,6.97,7.81,9.25,10.06,9.28,8.72,9.44,9.38,7.75,5.78,5.28,5.41,4.94,4.66,6.5,9.31,11.25,12.47,14.44,16.88,18.34,17.53,16.5,16.41,16.38,14.44,12.06,10.59,9.09,5.97,2.28,0.03,-0.78,-2.5,-4.72,-5.53,-4.47,-2.59,-1.53,0.34,3.62,6.75,7.69,8.09,9.56,10.62,10.06,8.62,7.34,7.09,5.94,4.22,3.94,5.16,6.62,7.22,7.97,9.91,12.03,12.34,12.19,12.75,13.75,13.34,12.25,12.06,12.69,12.91,12.16,11.75,12.75,13.69,13.06,12.91,14.16,15.72,16.09,16.16,16.72,17.34,16.12,13.47,11.19,9.56,7.41,4.12,1.91,0.88,0.16,-1.81,-3.12,-2.78,-1.53,-1.69,-1.81,-0.47,1.72,3.19,4.47,6.78,9.59,11.53,11.91,12.72,14.56,16.31,16.75,17.09,17.94,18.47,16.94,14.19,12.5,11.38,9.44,6.72,4.91,3.75,1.75,-1.72,-3.72,-4.03,-3.78,-4.94,-6.16,-6.31,-6.72,-8.5,-10.38,-11.22,-11.0,-11.06,-11.69,-11.09,-8.53,-6.12,-4.59,-2.56,0.31,2.91,3.22,3.19,4.03,5.38,5.44,5.31,6.28,7.81,8.66,8.66,8.97,10.28,10.94,9.81,8.72,8.88,9.69,9.75,10.41,12.66,15.78,17.25,17.72,18.56,19.5,19.34,17.69,16.53,16.12,14.62,11.31,7.62,4.41,1.62,-2.44,-6.0,-7.91,-8.34,-9.38,-10.59,-10.53,-8.97,-7.75,-7.41,-6.44,-4.25,-2.22,-1.53,-0.94,1.47,3.91,5.0,5.88,7.19,9.03,9.66,9.16,9.16,9.88,9.66,7.88,6.25,6.03,5.69,4.34,3.09,3.53,4.28,3.25,2.09,2.22,2.78,2.5,1.62,1.72,2.53,2.75,1.72,1.28,1.84,2.0,0.81,-0.28,0.06,1.53,2.34,3.53,6.03,9.0,10.19,9.47,8.22,7.06,5.12,1.97,-0.25,-0.41,-0.09,-1.25,-2.72,-3.28,-4.06,-6.09,-8.38,-9.56,-9.34,-10.03,-11.41,-11.69,-10.69,-9.34,-8.78,-7.44,-4.69,-2.16,-1.84,-2.25,-1.53,-0.56,-0.94,-1.5,-1.06,-0.03,-0.22,-1.62,-2.75,-2.16,-1.81,-2.09,-1.88,-0.12,1.66,1.88,1.53,2.44,4.0,3.75,3.44,3.31,3.91,3.34,1.72,0.5,0.72,1.12,0.5,0.16,1.16,2.34,2.22,1.84,2.69,3.84,3.75,2.44,2.25,2.62,2.56,1.62,1.19,2.41,3.25,2.75,2.34,3.12,3.91,3.09,2.25,2.28,3.03,2.06,0.06,-1.0,-1.44,-2.31,-3.59,-4.06,-2.97,-1.5,-2.06,-2.59,-1.88,-1.19,-1.81,-2.53,-1.44,0.03,0.62,1.0,1.47,2.44,2.19,0.12,-1.75,-2.12,-2.41,-3.5,-3.94,-2.12,0.47,2.0,3.34,5.25,7.38,8.0,6.84,5.56,5.22,3.62,1.09,-1.09,-1.19,-0.88,-1.09,-1.0,0.69,2.75,2.97,2.81,3.16,4.16,4.16,3.06,2.81,3.44,3.34,1.88,0.34,0.19,-0.25,-1.78,-3.12,-2.75,-1.66,-1.88,-2.59,-2.72,-1.81,-2.12,-3.16,-2.94,-1.5,-0.72,-1.06,-1.62,-1.0,-0.12,-0.12,-0.03,1.5,3.06,2.88,1.31,0.25,0.06,-0.5,-1.84,-1.97,-0.59,0.09,-0.19,-0.28,1.09,2.38,1.91,1.06,0.72,1.06,-0.03,-0.88,-0.34,1.06,1.84,1.66,1.25,2.31,2.5,1.41,0.34,0.53,0.56,-1.22,-3.53,-4.53,-4.66,-5.53,-6.0,-5.06,-2.69,-0.41,1.06,2.47,5.38,7.19,7.03,6.28,7.16,8.16,7.66,6.41,6.16,6.25,4.38,1.88,0.5,0.03,-0.41,-1.69,-2.09,-0.88,0.5,0.0,-0.88,-0.62,-0.56,-1.78,-3.06,-2.75,-0.94,-0.03,0.19,0.91,2.25,3.03,2.41,2.47,4.34,5.91,6.53,6.16,6.66,6.41,3.84,0.25,-2.56,-4.47,-6.31,-7.91,-7.62,-5.28,-2.47,-0.81,1.06,3.78,5.44,5.0,3.12,2.19,1.38,-0.31,-2.0,-1.84,-0.22,0.0,-0.38,-0.41,0.59,1.0,0.66,0.44,1.81,3.41,3.25,2.53,3.09,3.69,3.06,1.59,1.09,1.34,1.28,0.16,-0.38,0.97,2.5,3.03,3.75,6.25,8.38,9.06,8.81,10.53,12.62,13.53,13.91,14.88,16.44,16.22,14.88,13.72,13.72,13.62,11.84,10.09,10.0,9.56,8.53,7.34,8.38,10.19,10.97,11.03,11.91,13.69,14.22,13.69,13.59,14.53,15.25,14.62,13.97,15.25,16.66,15.81,14.5,14.19,14.09,13.09,10.62,9.22,8.66,7.28,5.25,4.19,5.38,7.03,7.66,8.47,10.78,12.59,13.44,13.31,14.16,15.09,15.12,14.0,13.06,13.22,12.78,10.59,9.03,9.25,9.56,8.59,7.91,8.59,9.44,9.19,8.22,8.53,9.56,10.0,8.97,9.03,10.09,10.31,9.5,8.66,9.41,10.06,9.06,8.0,8.06,8.41,7.81,7.25,8.16,10.12,11.75,11.66,11.88,12.53,11.81,9.25,6.5,5.25,4.56,3.22,1.97,2.84,4.91,6.12,6.59,7.84,9.28,9.31,7.94,7.81,9.31,10.97,11.56,12.03,13.44,14.66,14.47,13.53,14.06,14.84,14.12,12.5,12.44,13.72,14.34,14.28,14.78,15.94,16.09,14.47,11.97,10.88,9.56,6.97,4.53,3.88,4.34,4.16,3.03,3.12,4.41,5.44,5.47,6.03,7.62,8.69,7.53,5.97,6.03,6.31,6.12,5.84,7.66,10.16,12.31,12.78,14.06,15.72,16.28,14.5,13.5,13.5,13.69,13.03,12.56,14.25,16.34,17.34,17.62,18.75,20.56,21.0,20.34,20.69,22.53,24.38,24.62,26.0,28.56,30.25,30.34,29.53,30.25,31.06,30.47,28.94,28.53,28.31,26.56,23.59,21.47,20.47,18.88,16.12,14.19,14.69,15.47,15.16,15.06,16.75,18.59,19.34,19.75,21.19,23.78,25.69,26.0,27.09,28.72,29.38,28.0,26.78,27.03,27.72,26.91,25.59,25.44,25.28,23.47,20.69,18.72,17.5,15.34,11.78,9.03,7.44,5.97,3.31,1.19,1.03,1.69,1.5,1.59,3.47,6.0,7.38,7.28,7.81,9.59,10.47,10.0,10.0,10.88,11.22,9.72,8.94,10.25,11.88,11.97,11.56,12.06,12.84,12.06,10.62,10.81,11.94,12.78,12.56,12.75,15.06,16.88,17.19,18.12,20.06,21.66,21.66,20.47,20.53,21.19,20.34,18.66,18.0,18.62,18.69,17.66,17.44,19.12,20.59,20.22,20.03,20.88,22.0,21.75,21.31,22.97,25.53,27.0,27.25,27.91,29.22,29.12,27.34,26.53,26.94,27.53,27.03,27.09,28.69,31.0,31.34,31.31,32.12,33.66,34.09,33.69,34.22,35.84,36.91,36.09,35.09,34.78,33.81,30.59,27.53,26.31,25.66,23.59,21.56,20.72,20.66,20.19,18.62,18.12,19.22,20.06,19.88,20.41,22.91,25.97,27.31,28.09,29.62,31.12,30.84,29.91,29.94,30.56,30.66,29.16,28.44,28.5,28.44,27.31,26.91,28.53,30.41,30.69,30.25,30.44,30.06,52.09,50.81,50.44,49.94,49.31,48.34,47.22,46.03,44.03,41.91,40.44,39.25,38.22,38.03,38.62,40.66,42.91,44.84,46.72,48.03,48.66,48.62,48.59,48.12,47.78,46.66,45.62,44.75,44.44,44.47,44.47,44.53,44.91,45.22,44.84:16.28,18.19,19.53,18.62,17.5,17.59,18.0,16.97,15.38,15.06,15.0,14.31,12.78,12.09,12.59,12.78,11.56,10.84,12.25,13.97,14.78,15.44,17.38,19.47,19.56,18.91,18.91,19.47,19.22,17.78,16.78,16.66,16.22,14.16,12.41,12.28,12.28,11.19,10.44,11.16,12.62,13.09,12.81,13.97,15.5,16.72,16.91,17.94,20.16,22.09,21.88,21.59,22.19,21.91,19.81,17.28,16.03,15.69,14.75,13.19,13.34,14.06,13.72,11.38,9.53,8.34,7.56,6.03,4.78,5.66,6.75,6.25,5.81,7.12,9.59,11.44,12.75,14.78,17.28,18.91,18.47,18.12,18.75,19.0,17.06,14.88,14.19,13.19,11.41,9.62,10.22,11.34,11.75,10.75,10.59,10.84,10.88,9.59,8.66,8.75,8.19,5.66,2.88,1.44,0.31,-1.47,-3.72,-4.22,-3.38,-2.78,-2.94,-1.94,0.38,2.12,2.12,2.56,4.19,5.66,5.56,5.72,7.31,9.31,10.09,9.94,11.06,12.22,12.0,10.16,8.75,8.22,7.09,5.06,4.09,4.66,5.75,5.62,5.91,7.78,10.31,11.69,12.38,14.84,17.47,19.06,18.91,19.16,19.5,19.06,16.88,14.75,13.81,13.12,10.5,8.34,7.84,7.53,6.31,4.84,4.75,5.72,6.62,7.16,8.25,10.47,12.28,12.53,12.44,13.53,14.47,13.38,11.81,11.75,12.38,12.22,11.53,12.22,13.56,14.06,13.34,13.44,14.5,15.16,13.97,12.75,12.91,13.06,12.0,10.84,11.19,11.47,10.72,8.62,7.53,7.5,7.03,5.59,5.22,5.88,6.31,5.31,4.06,4.69,6.0,6.19,6.47,8.75,11.56,13.34,14.25,15.66,17.38,18.22,17.5,16.62,16.75,15.91,13.59,11.38,10.59,10.91,10.16,8.97,8.53,8.19,6.81,4.38,3.31,3.47,3.62,2.94,2.94,3.94,4.94,4.38,3.75,4.34,5.34,4.84,4.06,4.66,6.0,6.75,6.97,7.81,9.25,10.06,9.28,8.72,9.44,9.38,7.75,5.78,5.28,5.41,4.94,4.66,6.5,9.31,11.25,12.47,14.44,16.88,18.34,17.53,16.5,16.41,16.38,14.44,12.06,10.59,9.09,5.97,2.28,0.03,-0.78,-2.5,-4.72,-5.53,-4.47,-2.59,-1.53,0.34,3.62,6.75,7.69,8.09,9.56,10.62,10.06,8.62,7.34,7.09,5.94,4.22,3.94,5.16,6.62,7.22,7.97,9.91,12.03,12.34,12.19,12.75,13.75,13.34,12.25,12.06,12.69,12.91,12.16,11.75,12.75,13.69,13.06,12.91,14.16,15.72,16.09,16.16,16.72,17.34,16.12,13.47,11.19,9.56,7.41,4.12,1.91,0.88,0.16,-1.81,-3.12,-2.78,-1.53,-1.69,-1.81,-0.47,1.72,3.19,4.47,6.78,9.59,11.53,11.91,12.72,14.56,16.31,16.75,17.09,17.94,18.47,16.94,14.19,12.5,11.38,9.44,6.72,4.91,3.75,1.75,-1.72,-3.72,-4.03,-3.78,-4.94,-6.16,-6.31,-6.72,-8.5,-10.38,-11.22,-11.0,-11.06,-11.69,-11.09,-8.53,-6.12,-4.59,-2.56,0.31,2.91,3.22,3.19,4.03,5.38,5.44,5.31,6.28,7.81,8.66,8.66,8.97,10.28,10.94,9.81,8.72,8.88,9.69,9.75,10.41,12.66,15.78,17.25,17.72,18.56,19.5,19.34,17.69,16.53,16.12,14.62,11.31,7.62,4.41,1.62,-2.44,-6.0,-7.91,-8.34,-9.38,-10.59,-10.53,-8.97,-7.75,-7.41,-6.44,-4.25,-2.22,-1.53,-0.94,1.47,3.91,5.0,5.88,7.19,9.03,9.66,9.16,9.16,9.88,9.66,7.88,6.25,6.03,5.69,4.34,3.09,3.53,4.28,3.25,2.09,2.22,2.78,2.5,1.62,1.72,2.53,2.75,1.72,1.28,1.84,2.0,0.81,-0.28,0.06,1.53,2.34,3.53,6.03,9.0,10.19,9.47,8.22,7.06,5.12,1.97,-0.25,-0.41,-0.09,-1.25,-2.72,-3.28,-4.06,-6.09,-8.38,-9.56,-9.34,-10.03,-11.41,-11.69,-10.69,-9.34,-8.78,-7.44,-4.69,-2.16,-1.84,-2.25,-1.53,-0.56,-0.94,-1.5,-1.06,-0.03,-0.22,-1.62,-2.75,-2.16,-1.81,-2.09,-1.88,-0.12,1.66,1.88,1.53,2.44,4.0,3.75,3.44,3.31,3.91,3.34,1.72,0.5,0.72,1.12,0.5,0.16,1.16,2.34,2.22,1.84,2.69,3.84,3.75,2.44,2.25,2.62,2.56,1.62,1.19,2.41,3.25,2.75,2.34,3.12,3.91,3.09,2.25,2.28,3.03,2.06,0.06,-1.0,-1.44,-2.31,-3.59,-4.06,-2.97,-1.5,-2.06,-2.59,-1.88,-1.19,-1.81,-2.53,-1.44,0.03,0.62,1.0,1.47,2.44,2.19,0.12,-1.75,-2.12,-2.41,-3.5,-3.94,-2.12,0.47,2.0,3.34,5.25,7.38,8.0,6.84,5.56,5.22,3.62,1.09,-1.09,-1.19,-0.88,-1.09,-1.0,0.69,2.75,2.97,2.81,3.16,4.16,4.16,3.06,2.81,3.44,3.34,1.88,0.34,0.19,-0.25,-1.78,-3.12,-2.75,-1.66,-1.88,-2.59,-2.72,-1.81,-2.12,-3.16,-2.94,-1.5,-0.72,-1.06,-1.62,-1.0,-0.12,-0.12,-0.03,1.5,3.06,2.88,1.31,0.25,0.06,-0.5,-1.84,-1.97,-0.59,0.09,-0.19,-0.28,1.09,2.38,1.91,1.06,0.72,1.06,-0.03,-0.88,-0.34,1.06,1.84,1.66,1.25,2.31,2.5,1.41,0.34,0.53,0.56,-1.22,-3.53,-4.53,-4.66,-5.53,-6.0,-5.06,-2.69,-0.41,1.06,2.47,5.38,7.19,7.03,6.28,7.16,8.16,7.66,6.41,6.16,6.25,4.38,1.88,0.5,0.03,-0.41,-1.69,-2.09,-0.88,0.5,0.0,-0.88,-0.62,-0.56,-1.78,-3.06,-2.75,-0.94,-0.03,0.19,0.91,2.25,3.03,2.41,2.47,4.34,5.91,6.53,6.16,6.66,6.41,3.84,0.25,-2.56,-4.47,-6.31,-7.91,-7.62,-5.28,-2.47,-0.81,1.06,3.78,5.44,5.0,3.12,2.19,1.38,-0.31,-2.0,-1.84,-0.22,0.0,-0.38,-0.41,0.59,1.0,0.66,0.44,1.81,3.41,3.25,2.53,3.09,3.69,3.06,1.59,1.09,1.34,1.28,0.16,-0.38,0.97,2.5,3.03,3.75,6.25,8.38,9.06,8.81,10.53,12.62,13.53,13.91,14.88,16.44,16.22,14.88,13.72,13.72,13.62,11.84,10.09,10.0,9.56,8.53,7.34,8.38,10.19,10.97,11.03,11.91,13.69,14.22,13.69,13.59,14.53,15.25,14.62,13.97,15.25,16.66,15.81,14.5,14.19,14.09,13.09,10.62,9.22,8.66,7.28,5.25,4.19,5.38,7.03,7.66,8.47,10.78,12.59,13.44,13.31,14.16,15.09,15.12,14.0,13.06,13.22,12.78,10.59,9.03,9.25,9.56,8.59,7.91,8.59,9.44,9.19,8.22,8.53,9.56,10.0,8.97,9.03,10.09,10.31,9.5,8.66,9.41,10.06,9.06,8.0,8.06,8.41,7.81,7.25,8.16,10.12,11.75,11.66,11.88,12.53,11.81,9.25,6.5,5.25,4.56,3.22,1.97,2.84,4.91,6.12,6.59,7.84,9.28,9.31,7.94,7.81,9.31,10.97,11.56,12.03,13.44,14.66,14.47,13.53,14.06,14.84,14.12,12.5,12.44,13.72,14.34,14.28,14.78,15.94,16.09,14.47,11.97,10.88,9.56,6.97,4.53,3.88,4.34,4.16,3.03,3.12,4.41,5.44,5.47,6.03,7.62,8.69,7.53,5.97,6.03,6.31,6.12,5.84,7.66,10.16,12.31,12.78,14.06,15.72,16.28,14.5,13.5,13.5,13.69,13.03,12.56,14.25,16.34,17.34,17.62,18.75,20.56,21.0,20.34,20.69,22.53,24.38,24.62,26.0,28.56,30.25,30.34,29.53,30.25,31.06,30.47,28.94,28.53,28.31,26.56,23.59,21.47,20.47,18.88,16.12,14.19,14.69,15.47,15.16,15.06,16.75,18.59,19.34,19.75,21.19,23.78,25.69,26.0,27.09,28.72,29.38,28.0,26.78,27.03,27.72,26.91,25.59,25.44,25.28,23.47,20.69,18.72,17.5,15.34,11.78,9.03,7.44,5.97,3.31,1.19,1.03,1.69,1.5,1.59,3.47,6.0,7.38,7.28,7.81,9.59,10.47,10.0,10.0,10.88,11.22,9.72,8.94,10.25,11.88,11.97,11.56,12.06,12.84,12.06,10.62,10.81,11.94,12.78,12.56,12.75,15.06,16.88,17.19,18.12,20.06,21.66,21.66,20.47,20.53,21.19,20.34,18.66,18.0,18.62,18.69,17.66,17.44,19.12,20.59,20.22,20.03,20.88,22.0,21.75,21.31,22.97,25.53,27.0,27.25,27.91,29.22,29.12,27.34,26.53,26.94,27.53,27.03,27.09,28.69,31.0,31.34,31.31,32.12,33.66,34.09,33.69,34.22,35.84,36.91,36.09,35.09,34.78,33.81,30.59,27.53,26.31,25.66,23.59,21.56,20.72,20.66,20.19,18.62,18.12,19.22,20.06,19.88,20.41,22.91,25.97,27.31,28.09,29.62,31.12,30.84,29.91,29.94,30.56,30.66,29.16,28.44,28.5,28.44,27.31,26.91,28.53,30.41,30.69,30.25,30.44,30.06,52.09,50.81,50.44,49.94,49.31,48.34,47.22,46.03,44.03,41.91,40.44,39.25,38.22,38.03,38.62,40.66,42.91,44.84,46.72,48.03,48.66,48.62,48.59,48.12,47.78,46.66,45.62,44.75,44.44,44.47,44.47,44.53,44.91,45.22,44.84,44.94,44.66,44.47,43.97,43.34,43.22,43.5:positivity
-8.03,-8.97,-8.41,-6.69,-5.53,-4.03,-1.72,0.5,1.31,1.47,1.44,1.47,1.28,0.75,0.28,0.75,1.16,0.06,-1.34,-2.38,-3.12,-4.53,-5.81,-6.03,-5.53,-5.38,-5.5,-4.97,-3.72,-2.66,-2.97,-3.62,-3.72,-3.88,-5.53,-6.69,-6.75,-6.16,-6.69,-7.5,-7.97,-8.31,-9.41,-11.31,-12.88,-13.34,-14.12,-15.38,-16.28,-15.88,-14.97,-14.75,-13.53,-11.34,-8.31,-6.16,-4.91,-3.72,-2.88,-2.75,-4.0,-5.09,-5.34,-5.53,-6.66,-7.19,-6.91,-6.09,-6.69,-8.06,-9.12,-10.22,-12.28,-14.25,-15.59,-15.81,-15.47,-15.88,-15.75,-15.06,-14.19,-14.44,-14.59,-13.47,-11.53,-10.41,-9.28,-7.81,-6.5,-6.0,-6.12,-6.56,-6.62,-7.84,-10.19,-13.31,-15.59,-17.09,-18.97,-20.38,-20.72,-20.12,-20.5,-21.0,-21.09,-19.91,-19.19,-18.56,-17.69,-15.97,-14.5,-14.06,-13.91,-12.72,-11.53,-11.47,-12.19,-12.41,-12.59,-13.19,-14.09,-14.25,-13.31,-12.66,-12.78,-12.94,-12.5,-12.53,-13.81,-15.28,-16.09,-16.44,-16.59,-16.66,-15.5,-13.38,-11.94,-11.0,-10.72,-9.59,-9.62,-10.38,-11.75,-12.03,-12.28,-12.88,-13.12,-12.66,-11.38,-10.81,-10.88,-10.75,-10.09,-9.69,-10.25,-10.34,-9.5,-8.78,-8.66,-8.25,-7.03,-5.44,-4.88,-4.88,-5.16,-5.41,-6.78,-9.09,-11.19,-12.19,-13.41,-14.56,-14.59,-12.84,-10.53,-8.19,-6.03,-4.03,-2.38,-2.53,-3.53,-4.44,-4.59,-5.16,-6.12,-6.81,-6.88,-7.38,-8.78,-10.38,-10.94,-11.41,-12.19,-13.25,-13.5,-13.12,-13.5,-14.25,-14.56,-13.5,-12.28,-10.91,-8.81,-5.72,-2.81,-1.81,-2.09,-2.28,-3.47,-5.69,-8.41,-10.5,-11.84,-13.66,-15.5,-16.69,-16.47,-16.28,-16.5,-16.44,-15.03,-13.59,-12.59,-11.78,-10.81,-10.25,-10.91,-12.81,-14.12,-15.03,-15.81,-16.62,-17.0,-16.25,-15.38,-14.91,-13.97,-12.22,-10.5,-9.22,-8.81,-8.41,-8.09,-8.34,-9.56,-10.59,-11.03,-11.62,-12.84,-14.44,-14.81,-15.16,-15.72,-16.22,-15.62,-14.62,-13.66,-13.16,-12.28,-10.88,-10.06,-9.75,-9.09,-7.62,-5.97,-5.41,-5.09,-3.91,-3.25,-3.56,-4.41,-5.19,-5.81,-7.12,-8.69,-9.34,-8.97,-8.0,-7.62,-7.19,-6.31,-5.78,-6.47,-7.12,-7.03,-6.56,-6.31,-6.84,-7.16,-7.88,-8.97,-10.94,-11.94,-11.38,-9.78,-8.44,-6.28,-3.69,-1.06,-0.06,0.16,0.09,-0.69,-1.78,-3.53,-4.75,-5.25,-5.91,-7.34,-8.94,-10.22,-11.12,-12.81,-13.97,-13.53,-12.5,-11.25,-10.16,-8.25,-5.91,-3.91,-2.56,-1.62,-0.22,0.0,-0.69,-1.16,-0.78,0.03,0.5,0.88,1.62,1.94,1.22,-0.12,-1.12,-1.47,-1.69,-2.22,-2.19,-2.22,-2.25,-3.09,-4.06,-4.84,-4.97,-6.47,-8.06,-9.31,-10.06,-10.94,-11.94,-12.19,-11.47,-10.75,-10.59,-9.94,-8.59,-6.84,-5.53,-3.81,-1.75,-0.03,0.34,-0.34,-1.34,-2.16,-3.34,-4.97,-6.31,-6.94,-7.25,-8.09,-9.0,-9.47,-10.03,-11.59,-13.16,-13.81,-13.47,-12.47,-11.41,-9.88,-7.62,-5.75,-5.19,-4.56,-3.62,-3.31,-3.25,-3.59,-2.66,-0.88,0.34,1.12,1.78,2.31,1.69,0.28,-0.75,-0.94,-1.34,-2.91,-4.84,-6.12,-7.25,-8.81,-10.12,-10.72,-10.81,-11.16,-11.66,-11.06,-9.38,-7.62,-5.72,-3.88,-1.56,0.75,1.97,2.84,3.38,3.34,1.78,-0.09,-2.09,-3.59,-5.25,-7.41,-9.38,-10.69,-12.03,-13.28,-14.31,-13.81,-12.78,-11.84,-11.06,-10.06,-8.72,-8.06,-7.69,-7.09,-5.84,-5.31,-5.59,-6.56,-6.66,-7.0,-7.78,-8.91,-8.94,-9.12,-9.75,-10.62,-11.12,-11.16,-11.56,-11.66,-11.84,-11.03,-10.0,-9.47,-9.34,-8.44,-7.75,-7.66,-7.91,-7.81,-7.16,-6.59,-6.59,-6.38,-5.03,-4.25,-4.25,-4.44,-4.47,-4.78,-6.0,-7.59,-7.97,-8.12,-8.28,-8.59,-7.97,-6.69,-5.56,-5.66,-6.03,-6.16,-6.75,-7.97,-9.12,-9.0,-9.47,-10.44,-11.94,-12.38,-12.44,-12.91,-13.62,-13.88,-13.31,-12.31,-11.34,-9.56,-6.5,-4.09,-2.94,-3.03,-2.44,-2.22,-2.53,-3.09,-3.09,-3.03,-4.03,-6.31,-8.62,-10.66,-12.44,-14.25,-15.31,-14.75,-13.75,-13.19,-13.28,-12.88,-12.59,-13.34,-14.41,-14.94,-14.44,-13.47,-12.84,-11.06,-8.81,-6.62,-5.81,-6.0,-5.62,-5.84,-7.19,-9.09,-10.12,-10.53,-10.91,-11.81,-11.78,-11.31,-11.28,-12.31,-13.56,-14.16,-14.59,-15.78,-16.41,-15.44,-13.09,-10.38,-7.84,-4.66,-1.81,-0.66,-1.56,-3.03,-3.91,-4.84,-5.66,-5.53,-4.38,-2.47,-1.62,-1.22,-0.25,0.22,-0.12,-1.72,-3.28,-4.72,-6.38,-8.5,-10.09,-10.38,-10.44,-11.31,-12.22,-12.66,-12.56,-13.12,-14.0,-13.75,-13.62,-13.66,-14.28,-14.22,-13.0,-11.12,-9.78,-7.94,-5.47,-3.44,-2.97,-3.19,-3.09,-2.94,-3.62,-5.12,-5.97,-6.5,-7.34,-9.0,-10.06,-10.53,-10.72,-11.38,-12.0,-10.69,-8.16,-6.5,-4.75,-2.12,0.25,1.81,2.16,2.75,3.5,3.44,2.16,0.62,-0.25,-1.16,-3.22,-5.09,-6.12,-6.41,-7.22,-7.5,-6.94,-6.06,-6.06,-7.19,-8.47,-9.12,-9.44,-10.34,-9.91,-8.22,-5.62,-4.22,-3.0,-1.59,-0.47,-0.56,-0.75,-0.69,0.19,0.91,0.72,1.03,1.47,1.75,0.19,-1.44,-2.62,-3.62,-5.56,-7.47,-8.53,-9.22,-11.06,-13.53,-15.31,-16.09,-16.47,-16.59,-15.84,-13.91,-12.03,-11.66,-11.56,-11.19,-10.94,-11.5,-11.72,-11.25,-9.41,-7.97,-7.12,-6.25,-5.25,-5.09,-6.12,-7.56,-8.25,-8.66,-10.0,-11.09,-11.03,-10.41,-10.62,-11.31,-11.72,-11.47,-11.34,-11.5,-11.03,-8.84,-7.03,-5.94,-5.38,-4.19,-3.03,-2.91,-2.88,-2.41,-1.19,-1.28,-2.12,-3.06,-3.28,-3.84,-4.78,-5.38,-4.59,-3.72,-3.25,-2.75,-1.84,-1.31,-2.41,-4.75,-7.34,-8.25,-9.47,-10.03,-8.88,-6.28,-3.19,-1.09,0.41,2.28,3.44,3.12,2.19,1.84,1.59,0.59,-1.06,-2.0,-2.12,-2.5,-3.25,-3.53,-2.84,-2.03,-1.78,-1.78,-1.19,-0.81,-1.75,-2.62,-2.5,-1.31,-0.75,-0.44,-0.16,0.56,0.66,0.12,-0.38,0.09,0.5,0.25,-0.25,0.22,1.69,2.44,2.53,2.66,3.03,2.03,0.34,-1.16,-1.5,-1.56,-2.44,-3.0,-2.41,-1.78,-2.06,-2.62,-2.72,-2.75,-3.31,-4.38,-4.38,-3.38,-2.62,-2.53,-2.44,-1.62,-1.19,-1.44,-1.72,-0.72,-0.25,-0.5,-1.22,-1.75,-1.56,-1.44,-1.31,0.0,2.16,4.44,5.47,5.97,6.75,6.94,6.03,4.5,3.34,1.78,-0.34,-3.03,-4.44,-4.38,-3.75,-3.31,-2.44,-0.66,0.72,1.38,1.19,2.03,2.59,2.06,1.28,0.81,0.94,0.59,-0.34,-1.16,-1.38,-1.97,-3.94,-5.12,-5.06,-4.5,-4.31,-4.31,-3.84,-3.62,-4.56,-6.06,-6.81,-6.75,-6.66,-6.81,-6.62,-4.88,-3.06,-2.16,-0.69,1.62,3.38,4.0,3.66,3.47,2.62,1.41,-0.62,-2.28,-2.97,-4.12,-5.69,-6.47,-6.12,-5.47,-5.19,-5.09,-4.09,-3.44,-3.69,-4.78,-5.25,-5.62,-5.66,-6.56,-6.94,-6.72,-6.5,-7.25,-7.69,-7.16,-6.31,-6.03,-5.78,-5.34,-5.09,-5.81,-7.56,-8.62,-9.34,-9.69,-10.41,-10.66,-10.03,-9.47,-9.81,-9.97,-9.0,-8.12,-7.75,-8.28,-8.69,-9.19,-10.31,-11.66,-12.03,-11.84,-11.34,-11.53,-10.38,-9.16,-7.31,-6.28,-5.59,-4.56,-3.72,-3.53,-4.28,-4.84,-4.62,-4.91,-4.84,-3.62,-1.72,0.31,1.5,2.19,2.88,3.72,3.59,3.44,3.66,4.19,3.88,2.81,1.84,1.56,1.44,1.06,1.56,3.0,5.28,6.44,7.5,8.38,9.12,8.31,6.75,4.72,3.06,1.31,-0.53,-2.19,-2.5,-2.59,-2.69,-2.56,-2.0,-1.16,-1.75,-2.44,-3.16,-3.09,-2.97,-2.69,-1.62,0.44,2.53,3.47,3.84,4.25,4.16,2.69,1.28,0.47,0.09,-1.16,-2.0,-2.72,-3.0,-3.66,-4.62,-5.25,-5.12,-5.06,-5.47,-5.53,-4.72,-3.44,-1.81,0.41,3.41,7.0,10.0,12.28,14.44,16.44,17.66,17.81,17.53,17.59,17.0,15.28,13.0,10.59,8.03,5.0,2.69,1.56,1.88,2.34,3.25,4.28,6.38,7.69,8.25,8.75,9.5,10.5,10.84,10.69,11.03,10.56,9.03,6.41,3.94,1.91,-0.53,-3.91,-7.47,-9.78,-11.88,-14.19,-15.31,-14.75,-13.34,-12.12,-11.31,-10.03,-9.41,-9.5,-10.22,-10.66,-9.84,-8.16,-6.16,-3.62,0.12,3.22,5.5,6.53,7.22,7.69,6.72,5.06,3.81,3.25,3.31,3.25,3.78,5.19,5.91,5.38,4.44,4.16,3.97,3.56,3.84,4.81,6.09,7.09,7.28,6.88,6.19,4.72,2.09,-0.12,-1.03,-1.03,-0.5,0.16,2.0,4.03,5.16,5.69,6.06,6.56,7.16,7.53,8.31,10.25,11.38,10.75,9.09,7.12,4.91,2.44,-0.38,-1.69,-2.28,-3.12,-4.84,-5.91,-6.62,-7.78,-9.47,-10.38,-9.84,-8.47,-6.84,-5.25,-2.62,-0.31,0.88,1.25,2.12,3.5,4.47,5.34,6.84,8.88,10.62,11.03,10.84,10.62,10.25,9.28,7.97,8.0,8.91,9.06,8.59,8.38,8.41,7.62,6.22:0.5,1.31,1.47,1.44,1.47,1.28,0.75,0.28,0.75,1.16,0.06,-1.34,-2.38,-3.12,-4.53,-5.81,-6.03,-5.53,-5.38,-5.5,-4.97,-3.72,-2.66,-2.97,-3.62,-3.72,-3.88,-5.53,-6.69,-6.75,-6.16,-6.69,-7.5,-7.97,-8.31,-9.41,-11.31,-12.88,-13.34,-14.12,-15.38,-16.28,-15.88,-14.97,-14.75,-13.53,-11.34,-8.31,-6.16,-4.91,-3.72,-2.88,-2.75,-4.0,-5.09,-5.34,-5.53,-6.66,-7.19,-6.91,-6.09,-6.69,-8.06,-9.12,-10.22,-12.28,-14.25,-15.59,-15.81,-15.47,-15.88,-15.75,-15.06,-14.19,-14.44,-14.59,-13.47,-11.53,-10.41,-9.28,-7.81,-6.5,-6.0,-6.12,-6.56,-6.62,-7.84,-10.19,-13.31,-15.59,-17.09,-18.97,-20.38,-20.72,-20.12,-20.5,-21.0,-21.09,-19.91,-19.19,-18.56,-17.69,-15.97,-14.5,-14.06,-13.91,-12.72,-11.53,-11.47,-12.19,-12.41,-12.59,-13.19,-14.09,-14.25,-13.31,-12.66,-12.78,-12.94,-12.5,-12.53,-13.81,-15.28,-16.09,-16.44,-16.59,-16.66,-15.5,-13.38,-11.94,-11.0,-10.72,-9.59,-9.62,-10.38,-11.75,-12.03,-12.28,-12.88,-13.12,-12.66,-11.38,-10.81,-10.88,-10.75,-10.09,-9.69,-10.25,-10.34,-9.5,-8.78,-8.66,-8.25,-7.03,-5.44,-4.88,-4.88,-5.16,-5.41,-6.78,-9.09,-11.19,-12.19,-13.41,-14.56,-14.59,-12.84,-10.53,-8.19,-6.03,-4.03,-2.38,-2.53,-3.53,-4.44,-4.59,-5.16,-6.12,-6.81,-6.88,-7.38,-8.78,-10.38,-10.94,-11.41,-12.19,-13.25,-13.5,-13.12,-13.5,-14.25,-14.56,-13.5,-12.28,-10.91,-8.81,-5.72,-2.81,-1.81,-2.09,-2.28,-3.47,-5.69,-8.41,-10.5,-11.84,-13.66,-15.5,-16.69,-16.47,-16.28,-16.5,-16.44,-15.03,-13.59,-12.59,-11.78,-10.81,-10.25,-10.91,-12.81,-14.12,-15.03,-15.81,-16.62,-17.0,-16.25,-15.38,-14.91,-13.97,-12.22,-10.5,-9.22,-8.81,-8.41,-8.09,-8.34,-9.56,-10.59,-11.03,-11.62,-12.84,-14.44,-14.81,-15.16,-15.72,-16.22,-15.62,-14.62,-13.66,-13.16,-12.28,-10.88,-10.06,-9.75,-9.09,-7.62,-5.97,-5.41,-5.09,-3.91,-3.25,-3.56,-4.41,-5.19,-5.81,-7.12,-8.69,-9.34,-8.97,-8.0,-7.62,-7.19,-6.31,-5.78,-6.47,-7.12,-7.03,-6.56,-6.31,-6.84,-7.16,-7.88,-8.97,-10.94,-11.94,-11.38,-9.78,-8.44,-6.28,-3.69,-1.06,-0.06,0.16,0.09,-0.69,-1.78,-3.53,-4.75,-5.25,-5.91,-7.34,-8.94,-10.22,-11.12,-12.81,-13.97,-13.53,-12.5,-11.25,-10.16,-8.25,-5.91,-3.91,-2.56,-1.62,-0.22,0.0,-0.69,-1.16,-0.78,0.03,0.5,0.88,1.62,1.94,1.22,-0.12,-1.12,-1.47,-1.69,-2.22,-2.19,-2.22,-2.25,-3.09,-4.06,-4.84,-4.97,-6.47,-8.06,-9.31,-10.06,-10.94,-11.94,-12.19,-11.47,-10.75,-10.59,-9.94,-8.59,-6.84,-5.53,-3.81,-1.75,-0.03,0.34,-0.34,-1.34,-2.16,-3.34,-4.97,-6.31,-6.94,-7.25,-8.09,-9.0,-9.47,-10.03,-11.59,-13.16,-13.81,-13.47,-12.47,-11.41,-9.88,-7.62,-5.75,-5.19,-4.56,-3.62,-3.31,-3.25,-3.59,-2.66,-0.88,0.34,1.12,1.78,2.31,1.69,0.28,-0.75,-0.94,-1.34,-2.91,-4.84,-6.12,-7.25,-8.81,-10.12,-10.72,-10.81,-11.16,-11.66,-11.06,-9.38,-7.62,-5.72,-3.88,-1.56,0.75,1.97,2.84,3.38,3.34,1.78,-0.09,-2.09,-3.59,-5.25,-7.41,-9.38,-10.69,-12.03,-13.28,-14.31,-13.81,-12.78,-11.84,-11.06,-10.06,-8.72,-8.06,-7.69,-7.09,-5.84,-5.31,-5.59,-6.56,-6.66,-7.0,-7.78,-8.91,-8.94,-9.12,-9.75,-10.62,-11.12,-11.16,-11.56,-11.66,-11.84,-11.03,-10.0,-9.47,-9.34,-8.44,-7.75,-7.66,-7.91,-7.81,-7.16,-6.59,-6.59,-6.38,-5.03,-4.25,-4.25,-4.44,-4.47,-4.78,-6.0,-7.59,-7.97,-8.12,-8.28,-8.59,-7.97,-6.69,-5.56,-5.66,-6.03,-6.16,-6.75,-7.97,-9.12,-9.0,-9.47,-10.44,-11.94,-12.38,-12.44,-12.91,-13.62,-13.88,-13.31,-12.31,-11.34,-9.56,-6.5,-4.09,-2.94,-3.03,-2.44,-2.22,-2.53,-3.09,-3.09,-3.03,-4.03,-6.31,-8.62,-10.66,-12.44,-14.25,-15.31,-14.75,-13.75,-13.19,-13.28,-12.88,-12.59,-13.34,-14.41,-14.94,-14.44,-13.47,-12.84,-11.06,-8.81,-6.62,-5.81,-6.0,-5.62,-5.84,-7.19,-9.09,-10.12,-10.53,-10.91,-11.81,-11.78,-11.31,-11.28,-12.31,-13.56,-14.16,-14.59,-15.78,-16.41,-15.44,-13.09,-10.38,-7.84,-4.66,-1.81,-0.66,-1.56,-3.03,-3.91,-4.84,-5.66,-5.53,-4.38,-2.47,-1.62,-1.22,-0.25,0.22,-0.12,-1.72,-3.28,-4.72,-6.38,-8.5,-10.09,-10.38,-10.44,-11.31,-12.22,-12.66,-12.56,-13.12,-14.0,-13.75,-13.62,-13.66,-14.28,-14.22,-13.0,-11.12,-9.78,-7.94,-5.47,-3.44,-2.97,-3.19,-3.09,-2.94,-3.62,-5.12,-5.97,-6.5,-7.34,-9.0,-10.06,-10.53,-10.72,-11.38,-12.0,-10.69,-8.16,-6.5,-4.75,-2.12,0.25,1.81,2.16,2.75,3.5,3.44,2.16,0.62,-0.25,-1.16,-3.22,-5.09,-6.12,-6.41,-7.22,-7.5,-6.94,-6.06,-6.06,-7.19,-8.47,-9.12,-9.44,-10.34,-9.91,-8.22,-5.62,-4.22,-3.0,-1.59,-0.47,-0.56,-0.75,-0.69,0.19,0.91,0.72,1.03,1.47,1.75,0.19,-1.44,-2.62,-3.62,-5.56,-7.47,-8.53,-9.22,-11.06,-13.53,-15.31,-16.09,-16.47,-16.59,-15.84,-13.91,-12.03,-11.66,-11.56,-11.19,-10.94,-11.5,-11.72,-11.25,-9.41,-7.97,-7.12,-6.25,-5.25,-5.09,-6.12,-7.56,-8.25,-8.66,-10.0,-11.09,-11.03,-10.41,-10.62,-11.31,-11.72,-11.47,-11.34,-11.5,-11.03,-8.84,-7.03,-5.94,-5.38,-4.19,-3.03,-2.91,-2.88,-2.41,-1.19,-1.28,-2.12,-3.06,-3.28,-3.84,-4.78,-5.38,-4.59,-3.72,-3.25,-2.75,-1.84,-1.31,-2.41,-4.75,-7.34,-8.25,-9.47,-10.03,-8.88,-6.28,-3.19,-1.09,0.41,2.28,3.44,3.12,2.19,1.84,1.59,0.59,-1.06,-2.0,-2.12,-2.5,-3.25,-3.53,-2.84,-2.03,-1.78,-1.78,-1.19,-0.81,-1.75,-2.62,-2.5,-1.31,-0.75,-0.44,-0.16,0.56,0.66,0.12,-0.38,0.09,0.5,0.25,-0.25,0.22,1.69,2.44,2.53,2.66,3.03,2.03,0.34,-1.16,-1.5,-1.56,-2.44,-3.0,-2.41,-1.78,-2.06,-2.62,-2.72,-2.75,-3.31,-4.38,-4.38,-3.38,-2.62,-2.53,-2.44,-1.62,-1.19,-1.44,-1.72,-0.72,-0.25,-0.5,-1.22,-1.75,-1.56,-1.44,-1.31,0.0,2.16,4.44,5.47,5.97,6.75,6.94,6.03,4.5,3.34,1.78,-0.34,-3.03,-4.44,-4.38,-3.75,-3.31,-2.44,-0.66,0.72,1.38,1.19,2.03,2.59,2.06,1.28,0.81,0.94,0.59,-0.34,-1.16,-1.38,-1.97,-3.94,-5.12,-5.06,-4.5,-4.31,-4.31,-3.84,-3.62,-4.56,-6.06,-6.81,-6.75,-6.66,-6.81,-6.62,-4.88,-3.06,-2.16,-0.69,1.62,3.38,4.0,3.66,3.47,2.62,1.41,-0.62,-2.28,-2.97,-4.12,-5.69,-6.47,-6.12,-5.47,-5.19,-5.09,-4.09,-3.44,-3.69,-4.78,-5.25,-5.62,-5.66,-6.56,-6.94,-6.72,-6.5,-7.25,-7.69,-7.16,-6.31,-6.03,-5.78,-5.34,-5.09,-5.81,-7.56,-8.62,-9.34,-9.69,-10.41,-10.66,-10.03,-9.47,-9.81,-9.97,-9.0,-8.12,-7.75,-8.28,-8.69,-9.19,-10.31,-11.66,-12.03,-11.84,-11.34,-11.53,-10.38,-9.16,-7.31,-6.28,-5.59,-4.56,-3.72,-3.53,-4.28,-4.84,-4.62,-4.91,-4.84,-3.62,-1.72,0.31,1.5,2.19,2.88,3.72,3.59,3.44,3.66,4.19,3.88,2.81,1.84,1.56,1.44,1.06,1.56,3.0,5.28,6.44,7.5,8.38,9.12,8.31,6.75,4.72,3.06,1.31,-0.53,-2.19,-2.5,-2.59,-2.69,-2.56,-2.0,-1.16,-1.75,-2.44,-3.16,-3.09,-2.97,-2.69,-1.62,0.44,2.53,3.47,3.84,4.25,4.16,2.69,1.28,0.47,0.09,-1.16,-2.0,-2.72,-3.0,-3.66,-4.62,-5.25,-5.12,-5.06,-5.47,-5.53,-4.72,-3.44,-1.81,0.41,3.41,7.0,10.0,12.28,14.44,16.44,17.66,17.81,17.53,17.59,17.0,15.28,13.0,10.59,8.03,5.0,2.69,1.56,1.88,2.34,3.25,4.28,6.38,7.69,8.25,8.75,9.5,10.5,10.84,10.69,11.03,10.56,9.03,6.41,3.94,1.91,-0.53,-3.91,-7.47,-9.78,-11.88,-14.19,-15.31,-14.75,-13.34,-12.12,-11.31,-10.03,-9.41,-9.5,-10.22,-10.66,-9.84,-8.16,-6.16,-3.62,0.12,3.22,5.5,6.53,7.22,7.69,6.72,5.06,3.81,3.25,3.31,3.25,3.78,5.19,5.91,5.38,4.44,4.16,3.97,3.56,3.84,4.81,6.09,7.09,7.28,6.88,6.19,4.72,2.09,-0.12,-1.03,-1.03,-0.5,0.16,2.0,4.03,5.16,5.69,6.06,6.56,7.16,7.53,8.31,10.25,11.38,10.75,9.09,7.12,4.91,2.44,-0.38,-1.69,-2.28,-3.12,-4.84,-5.91,-6.62,-7.78,-9.47,-10.38,-9.84,-8.47,-6.84,-5.25,-2.62,-0.31,0.88,1.25,2.12,3.5,4.47,5.34,6.84,8.88,10.62,11.03,10.84,10.62,10.25,9.28,7.97,8.0,8.91,9.06,8.59,8.38,8.41,7.62,6.22,15.72,14.38,13.94,14.75,16.25,17.59,19.31:0.28,0.75,1.16,0.06,-1.34,-2.38,-3.12,-4.53,-5.81,-6.03,-5.53,-5.38,-5.5,-4.97,-3.72,-2.66,-2.97,-3.62,-3.72,-3.88,-5.53,-6.69,-6.75,-6.16,-6.69,-7.5,-7.97,-8.31,-9.41,-11.31,-12.88,-13.34,-14.12,-15.38,-16.28,-15.88,-14.97,-14.75,-13.53,-11.34,-8.31,-6.16,-4.91,-3.72,-2.88,-2.75,-4.0,-5.09,-5.34,-5.53,-6.66,-7.19,-6.91,-6.09,-6.69,-8.06,-9.12,-10.22,-12.28,-14.25,-15.59,-15.81,-15.47,-15.88,-15.75,-15.06,-14.19,-14.44,-14.59,-13.47,-11.53,-10.41,-9.28,-7.81,-6.5,-6.0,-6.12,-6.56,-6.62,-7.84,-10.19,-13.31,-15.59,-17.09,-18.97,-20.38,-20.72,-20.12,-20.5,-21.0,-21.09,-19.91,-19.19,-18.56,-17.69,-15.97,-14.5,-14.06,-13.91,-12.72,-11.53,-11.47,-12.19,-12.41,-12.59,-13.19,-14.09,-14.25,-13.31,-12.66,-12.78,-12.94,-12.5,-12.53,-13.81,-15.28,-16.09,-16.44,-16.59,-16.66,-15.5,-13.38,-11.94,-11.0,-10.72,-9.59,-9.62,-10.38,-11.75,-12.03,-12.28,-12.88,-13.12,-12.66,-11.38,-10.81,-10.88,-10.75,-10.09,-9.69,-10.25,-10.34,-9.5,-8.78,-8.66,-8.25,-7.03,-5.44,-4.88,-4.88,-5.16,-5.41,-6.78,-9.09,-11.19,-12.19,-13.41,-14.56,-14.59,-12.84,-10.53,-8.19,-6.03,-4.03,-2.38,-2.53,-3.53,-4.44,-4.59,-5.16,-6.12,-6.81,-6.88,-7.38,-8.78,-10.38,-10.94,-11.41,-12.19,-13.25,-13.5,-13.12,-13.5,-14.25,-14.56,-13.5,-12.28,-10.91,-8.81,-5.72,-2.81,-1.81,-2.09,-2.28,-3.47,-5.69,-8.41,-10.5,-11.84,-13.66,-15.5,-16.69,-16.47,-16.28,-16.5,-16.44,-15.03,-13.59,-12.59,-11.78,-10.81,-10.25,-10.91,-12.81,-14.12,-15.03,-15.81,-16.62,-17.0,-16.25,-15.38,-14.91,-13.97,-12.22,-10.5,-9.22,-8.81,-8.41,-8.09,-8.34,-9.56,-10.59,-11.03,-11.62,-12.84,-14.44,-14.81,-15.16,-15.72,-16.22,-15.62,-14.62,-13.66,-13.16,-12.28,-10.88,-10.06,-9.75,-9.09,-7.62,-5.97,-5.41,-5.09,-3.91,-3.25,-3.56,-4.41,-5.19,-5.81,-7.12,-8.69,-9.34,-8.97,-8.0,-7.62,-7.19,-6.31,-5.78,-6.47,-7.12,-7.03,-6.56,-6.31,-6.84,-7.16,-7.88,-8.97,-10.94,-11.94,-11.38,-9.78,-8.44,-6.28,-3.69,-1.06,-0.06,0.16,0.09,-0.69,-1.78,-3.53,-4.75,-5.25,-5.91,-7.34,-8.94,-10.22,-11.12,-12.81,-13.97,-13.53,-12.5,-11.25,-10.16,-8.25,-5.91,-3.91,-2.56,-1.62,-0.22,0.0,-0.69,-1.16,-0.78,0.03,0.5,0.88,1.62,1.94,1.22,-0.12,-1.12,-1.47,-1.69,-2.22,-2.19,-2.22,-2.25,-3.09,-4.06,-4.84,-4.97,-6.47,-8.06,-9.31,-10.06,-10.94,-11.94,-12.19,-11.47,-10.75,-10.59,-9.94,-8.59,-6.84,-5.53,-3.81,-1.75,-0.03,0.34,-0.34,-1.34,-2.16,-3.34,-4.97,-6.31,-6.94,-7.25,-8.09,-9.0,-9.47,-10.03,-11.59,-13.16,-13.81,-13.47,-12.47,-11.41,-9.88,-7.62,-5.75,-5.19,-4.56,-3.62,-3.31,-3.25,-3.59,-2.66,-0.88,0.34,1.12,1.78,2.31,1.69,0.28,-0.75,-0.94,-1.34,-2.91,-4.84,-6.12,-7.25,-8.81,-10.12,-10.72,-10.81,-11.16,-11.66,-11.06,-9.38,-7.62,-5.72,-3.88,-1.56,0.75,1.97,2.84,3.38,3.34,1.78,-0.09,-2.09,-3.59,-5.25,-7.41,-9.38,-10.69,-12.03,-13.28,-14.31,-13.81,-12.78,-11.84,-11.06,-10.06,-8.72,-8.06,-7.69,-7.09,-5.84,-5.31,-5.59,-6.56,-6.66,-7.0,-7.78,-8.91,-8.94,-9.12,-9.75,-10.62,-11.12,-11.16,-11.56,-11.66,-11.84,-11.03,-10.0,-9.47,-9.34,-8.44,-7.75,-7.66,-7.91,-7.81,-7.16,-6.59,-6.59,-6.38,-5.03,-4.25,-4.25,-4.44,-4.47,-4.78,-6.0,-7.59,-7.97,-8.12,-8.28,-8.59,-7.97,-6.69,-5.56,-5.66,-6.03,-6.16,-6.75,-7.97,-9.12,-9.0,-9.47,-10.44,-11.94,-12.38,-12.44,-12.91,-13.62,-13.88,-13.31,-12.31,-11.34,-9.56,-6.5,-4.09,-2.94,-3.03,-2.44,-2.22,-2.53,-3.09,-3.09,-3.03,-4.03,-6.31,-8.62,-10.66,-12.44,-14.25,-15.31,-14.75,-13.75,-13.19,-13.28,-12.88,-12.59,-13.34,-14.41,-14.94,-14.44,-13.47,-12.84,-11.06,-8.81,-6.62,-5.81,-6.0,-5.62,-5.84,-7.19,-9.09,-10.12,-10.53,-10.91,-11.81,-11.78,-11.31,-11.28,-12.31,-13.56,-14.16,-14.59,-15.78,-16.41,-15.44,-13.09,-10.38,-7.84,-4.66,-1.81,-0.66,-1.56,-3.03,-3.91,-4.84,-5.66,-5.53,-4.38,-2.47,-1.62,-1.22,-0.25,0.22,-0.12,-1.72,-3.28,-4.72,-6.38,-8.5,-10.09,-10.38,-10.44,-11.31,-12.22,-12.66,-12.56,-13.12,-14.0,-13.75,-13.62,-13.66,-14.28,-14.22,-13.0,-11.12,-9.78,-7.94,-5.47,-3.44,-2.97,-3.19,-3.09,-2.94,-3.62,-5.12,-5.97,-6.5,-7.34,-9.0,-10.06,-10.53,-10.72,-11.38,-12.0,-10.69,-8.16,-6.5,-4.75,-2.12,0.25,1.81,2.16,2.75,3.5,3.44,2.16,0.62,-0.25,-1.16,-3.22,-5.09,-6.12,-6.41,-7.22,-7.5,-6.94,-6.06,-6.06,-7.19,-8.47,-9.12,-9.44,-10.34,-9.91,-8.22,-5.62,-4.22,-3.0,-1.59,-0.47,-0.56,-0.75,-0.69,0.19,0.91,0.72,1.03,1.47,1.75,0.19,-1.44,-2.62,-3.62,-5.56,-7.47,-8.53,-9.22,-11.06,-13.53,-15.31,-16.09,-16.47,-16.59,-15.84,-13.91,-12.03,-11.66,-11.56,-11.19,-10.94,-11.5,-11.72,-11.25,-9.41,-7.97,-7.12,-6.25,-5.25,-5.09,-6.12,-7.56,-8.25,-8.66,-10.0,-11.09,-11.03,-10.41,-10.62,-11.31,-11.72,-11.47,-11.34,-11.5,-11.03,-8.84,-7.03,-5.94,-5.38,-4.19,-3.03,-2.91,-2.88,-2.41,-1.19,-1.28,-2.12,-3.06,-3.28,-3.84,-4.78,-5.38,-4.59,-3.72,-3.25,-2.75,-1.84,-1.31,-2.41,-4.75,-7.34,-8.25,-9.47,-10.03,-8.88,-6.28,-3.19,-1.09,0.41,2.28,3.44,3.12,2.19,1.84,1.59,0.59,-1.06,-2.0,-2.12,-2.5,-3.25,-3.53,-2.84,-2.03,-1.78,-1.78,-1.19,-0.81,-1.75,-2.62,-2.5,-1.31,-0.75,-0.44,-0.16,0.56,0.66,0.12,-0.38,0.09,0.5,0.25,-0.25,0.22,1.69,2.44,2.53,2.66,3.03,2.03,0.34,-1.16,-1.5,-1.56,-2.44,-3.0,-2.41,-1.78,-2.06,-2.62,-2.72,-2.75,-3.31,-4.38,-4.38,-3.38,-2.62,-2.53,-2.44,-1.62,-1.19,-1.44,-1.72,-0.72,-0.25,-0.5,-1.22,-1.75,-1.56,-1.44,-1.31,0.0,2.16,4.44,5.47,5.97,6.75,6.94,6.03,4.5,3.34,1.78,-0.34,-3.03,-4.44,-4.38,-3.75,-3.31,-2.44,-0.66,0.72,1.38,1.19,2.03,2.59,2.06,1.28,0.81,0.94,0.59,-0.34,-1.16,-1.38,-1.97,-3.94,-5.12,-5.06,-4.5,-4.31,-4.31,-3.84,-3.62,-4.56,-6.06,-6.81,-6.75,-6.66,-6.81,-6.62,-4.88,-3.06,-2.16,-0.69,1.62,3.38,4.0,3.66,3.47,2.62,1.41,-0.62,-2.28,-2.97,-4.12,-5.69,-6.47,-6.12,-5.47,-5.19,-5.09,-4.09,-3.44,-3.69,-4.78,-5.25,-5.62,-5.66,-6.56,-6.94,-6.72,-6.5,-7.25,-7.69,-7.16,-6.31,-6.03,-5.78,-5.34,-5.09,-5.81,-7.56,-8.62,-9.34,-9.69,-10.41,-10.66,-10.03,-9.47,-9.81,-9.97,-9.0,-8.12,-7.75,-8.28,-8.69,-9.19,-10.31,-11.66,-12.03,-11.84,-11.34,-11.53,-10.38,-9.16,-7.31,-6.28,-5.59,-4.56,-3.72,-3.53,-4.28,-4.84,-4.62,-4.91,-4.84,-3.62,-1.72,0.31,1.5,2.19,2.88,3.72,3.59,3.44,3.66,4.19,3.88,2.81,1.84,1.56,1.44,1.06,1.56,3.0,5.28,6.44,7.5,8.38,9.12,8.31,6.75,4.72,3.06,1.31,-0.53,-2.19,-2.5,-2.59,-2.69,-2.56,-2.0,-1.16,-1.75,-2.44,-3.16,-3.09,-2.97,-2.69,-1.62,0.44,2.53,3.47,3.84,4.25,4.16,2.69,1.28,0.47,0.09,-1.16,-2.0,-2.72,-3.0,-3.66,-4.62,-5.25,-5.12,-5.06,-5.47,-5.53,-4.72,-3.44,-1.81,0.41,3.41,7.0,10.0,12.28,14.44,16.44,17.66,17.81,17.53,17.59,17.0,15.28,13.0,10.59,8.03,5.0,2.69,1.56,1.88,2.34,3.25,4.28,6.38,7.69,8.25,8.75,9.5,10.5,10.84,10.69,11.03,10.56,9.03,6.41,3.94,1.91,-0.53,-3.91,-7.47,-9.78,-11.88,-14.19,-15.31,-14.75,-13.34,-12.12,-11.31,-10.03,-9.41,-9.5,-10.22,-10.66,-9.84,-8.16,-6.16,-3.62,0.12,3.22,5.5,6.53,7.22,7.69,6.72,5.06,3.81,3.25,3.31,3.25,3.78,5.19,5.91,5.38,4.44,4.16,3.97,3.56,3.84,4.81,6.09,7.09,7.28,6.88,6.19,4.72,2.09,-0.12,-1.03,-1.03,-0.5,0.16,2.0,4.03,5.16,5.69,6.06,6.56,7.16,7.53,8.31,10.25,11.38,10.75,9.09,7.12,4.91,2.44,-0.38,-1.69,-2.28,-3.12,-4.84,-5.91,-6.62,-7.78,-9.47,-10.38,-9.84,-8.47,-6.84,-5.25,-2.62,-0.31,0.88,1.25,2.12,3.5,4.47,5.34,6.84,8.88,10.62,11.03,10.84,10.62,10.25,9.28,7.97,8.0,8.91,9.06,8.59,8.38,8.41,7.62,6.22,15.72,14.38,13.94,14.75,16.25,17.59,19.31,20.81,21.81,22.28,22.44,22.69,23.44,24.22:-4.53,-5.81,-6.03,-5.53,-5.38,-5.5,-4.97,-3.72,-2.66,-2.97,-3.62,-3.72,-3.88,-5.53,-6.69,-6.75,-6.16,-6.69,-7.5,-7.97,-8.31,-9.41,-11.31,-12.88,-13.34,-14.12,-15.38,-16.28,-15.88,-14.97,-14.75,-13.53,-11.34,-8.31,-6.16,-4.91,-3.72,-2.88,-2.75,-4.0,-5.09,-5.34,-5.53,-6.66,-7.19,-6.91,-6.09,-6.69,-8.06,-9.12,-10.22,-12.28,-14.25,-15.59,-15.81,-15.47,-15.88,-15.75,-15.06,-14.19,-14.44,-14.59,-13.47,-11.53,-10.41,-9.28,-7.81,-6.5,-6.0,-6.12,-6.56,-6.62,-7.84,-10.19,-13.31,-15.59,-17.09,-18.97,-20.38,-20.72,-20.12,-20.5,-21.0,-21.09,-19.91,-19.19,-18.56,-17.69,-15.97,-14.5,-14.06,-13.91,-12.72,-11.53,-11.47,-12.19,-12.41,-12.59,-13.19,-14.09,-14.25,-13.31,-12.66,-12.78,-12.94,-12.5,-12.53,-13.81,-15.28,-16.09,-16.44,-16.59,-16.66,-15.5,-13.38,-11.94,-11.0,-10.72,-9.59,-9.62,-10.38,-11.75,-12.03,-12.28,-12.88,-13.12,-12.66,-11.38,-10.81,-10.88,-10.75,-10.09,-9.69,-10.25,-10.34,-9.5,-8.78,-8.66,-8.25,-7.03,-5.44,-4.88,-4.88,-5.16,-5.41,-6.78,-9.09,-11.19,-12.19,-13.41,-14.56,-14.59,-12.84,-10.53,-8.19,-6.03,-4.03,-2.38,-2.53,-3.53,-4.44,-4.59,-5.16,-6.12,-6.81,-6.88,-7.38,-8.78,-10.38,-10.94,-11.41,-12.19,-13.25,-13.5,-13.12,-13.5,-14.25,-14.56,-13.5,-12.28,-10.91,-8.81,-5.72,-2.81,-1.81,-2.09,-2.28,-3.47,-5.69,-8.41,-10.5,-11.84,-13.66,-15.5,-16.69,-16.47,-16.28,-16.5,-16.44,-15.03,-13.59,-12.59,-11.78,-10.81,-10.25,-10.91,-12.81,-14.12,-15.03,-15.81,-16.62,-17.0,-16.25,-15.38,-14.91,-13.97,-12.22,-10.5,-9.22,-8.81,-8.41,-8.09,-8.34,-9.56,-10.59,-11.03,-11.62,-12.84,-14.44,-14.81,-15.16,-15.72,-16.22,-15.62,-14.62,-13.66,-13.16,-12.28,-10.88,-10.06,-9.75,-9.09,-7.62,-5.97,-5.41,-5.09,-3.91,-3.25,-3.56,-4.41,-5.19,-5.81,-7.12,-8.69,-9.34,-8.97,-8.0,-7.62,-7.19,-6.31,-5.78,-6.47,-7.12,-7.03,-6.56,-6.31,-6.84,-7.16,-7.88,-8.97,-10.94,-11.94,-11.38,-9.78,-8.44,-6.28,-3.69,-1.06,-0.06,0.16,0.09,-0.69,-1.78,-3.53,-4.75,-5.25,-5.91,-7.34,-8.94,-10.22,-11.12,-12.81,-13.97,-13.53,-12.5,-11.25,-10.16,-8.25,-5.91,-3.91,-2.56,-1.62,-0.22,0.0,-0.69,-1.16,-0.78,0.03,0.5,0.88,1.62,1.94,1.22,-0.12,-1.12,-1.47,-1.69,-2.22,-2.19,-2.22,-2.25,-3.09,-4.06,-4.84,-4.97,-6.47,-8.06,-9.31,-10.06,-10.94,-11.94,-12.19,-11.47,-10.75,-10.59,-9.94,-8.59,-6.84,-5.53,-3.81,-1.75,-0.03,0.34,-0.34,-1.34,-2.16,-3.34,-4.97,-6.31,-6.94,-7.25,-8.09,-9.0,-9.47,-10.03,-11.59,-13.16,-13.81,-13.47,-12.47,-11.41,-9.88,-7.62,-5.75,-5.19,-4.56,-3.62,-3.31,-3.25,-3.59,-2.66,-0.88,0.34,1.12,1.78,2.31,1.69,0.28,-0.75,-0.94,-1.34,-2.91,-4.84,-6.12,-7.25,-8.81,-10.12,-10.72,-10.81,-11.16,-11.66,-11.06,-9.38,-7.62,-5.72,-3.88,-1.56,0.75,1.97,2.84,3.38,3.34,1.78,-0.09,-2.09,-3.59,-5.25,-7.41,-9.38,-10.69,-12.03,-13.28,-14.31,-13.81,-12.78,-11.84,-11.06,-10.06,-8.72,-8.06,-7.69,-7.09,-5.84,-5.31,-5.59,-6.56,-6.66,-7.0,-7.78,-8.91,-8.94,-9.12,-9.75,-10.62,-11.12,-11.16,-11.56,-11.66,-11.84,-11.03,-10.0,-9.47,-9.34,-8.44,-7.75,-7.66,-7.91,-7.81,-7.16,-6.59,-6.59,-6.38,-5.03,-4.25,-4.25,-4.44,-4.47,-4.78,-6.0,-7.59,-7.97,-8.12,-8.28,-8.59,-7.97,-6.69,-5.56,-5.66,-6.03,-6.16,-6.75,-7.97,-9.12,-9.0,-9.47,-10.44,-11.94,-12.38,-12.44,-12.91,-13.62,-13.88,-13.31,-12.31,-11.34,-9.56,-6.5,-4.09,-2.94,-3.03,-2.44,-2.22,-2.53,-3.09,-3.09,-3.03,-4.03,-6.31,-8.62,-10.66,-12.44,-14.25,-15.31,-14.75,-13.75,-13.19,-13.28,-12.88,-12.59,-13.34,-14.41,-14.94,-14.44,-13.47,-12.84,-11.06,-8.81,-6.62,-5.81,-6.0,-5.62,-5.84,-7.19,-9.09,-10.12,-10.53,-10.91,-11.81,-11.78,-11.31,-11.28,-12.31,-13.56,-14.16,-14.59,-15.78,-16.41,-15.44,-13.09,-10.38,-7.84,-4.66,-1.81,-0.66,-1.56,-3.03,-3.91,-4.84,-5.66,-5.53,-4.38,-2.47,-1.62,-1.22,-0.25,0.22,-0.12,-1.72,-3.28,-4.72,-6.38,-8.5,-10.09,-10.38,-10.44,-11.31,-12.22,-12.66,-12.56,-13.12,-14.0,-13.75,-13.62,-13.66,-14.28,-14.22,-13.0,-11.12,-9.78,-7.94,-5.47,-3.44,-2.97,-3.19,-3.09,-2.94,-3.62,-5.12,-5.97,-6.5,-7.34,-9.0,-10.06,-10.53,-10.72,-11.38,-12.0,-10.69,-8.16,-6.5,-4.75,-2.12,0.25,1.81,2.16,2.75,3.5,3.44,2.16,0.62,-0.25,-1.16,-3.22,-5.09,-6.12,-6.41,-7.22,-7.5,-6.94,-6.06,-6.06,-7.19,-8.47,-9.12,-9.44,-10.34,-9.91,-8.22,-5.62,-4.22,-3.0,-1.59,-0.47,-0.56,-0.75,-0.69,0.19,0.91,0.72,1.03,1.47,1.75,0.19,-1.44,-2.62,-3.62,-5.56,-7.47,-8.53,-9.22,-11.06,-13.53,-15.31,-16.09,-16.47,-16.59,-15.84,-13.91,-12.03,-11.66,-11.56,-11.19,-10.94,-11.5,-11.72,-11.25,-9.41,-7.97,-7.12,-6.25,-5.25,-5.09,-6.12,-7.56,-8.25,-8.66,-10.0,-11.09,-11.03,-10.41,-10.62,-11.31,-11.72,-11.47,-11.34,-11.5,-11.03,-8.84,-7.03,-5.94,-5.38,-4.19,-3.03,-2.91,-2.88,-2.41,-1.19,-1.28,-2.12,-3.06,-3.28,-3.84,-4.78,-5.38,-4.59,-3.72,-3.25,-2.75,-1.84,-1.31,-2.41,-4.75,-7.34,-8.25,-9.47,-10.03,-8.88,-6.28,-3.19,-1.09,0.41,2.28,3.44,3.12,2.19,1.84,1.59,0.59,-1.06,-2.0,-2.12,-2.5,-3.25,-3.53,-2.84,-2.03,-1.78,-1.78,-1.19,-0.81,-1.75,-2.62,-2.5,-1.31,-0.75,-0.44,-0.16,0.56,0.66,0.12,-0.38,0.09,0.5,0.25,-0.25,0.22,1.69,2.44,2.53,2.66,3.03,2.03,0.34,-1.16,-1.5,-1.56,-2.44,-3.0,-2.41,-1.78,-2.06,-2.62,-2.72,-2.75,-3.31,-4.38,-4.38,-3.38,-2.62,-2.53,-2.44,-1.62,-1.19,-1.44,-1.72,-0.72,-0.25,-0.5,-1.22,-1.75,-1.56,-1.44,-1.31,0.0,2.16,4.44,5.47,5.97,6.75,6.94,6.03,4.5,3.34,1.78,-0.34,-3.03,-4.44,-4.38,-3.75,-3.31,-2.44,-0.66,0.72,1.38,1.19,2.03,2.59,2.06,1.28,0.81,0.94,0.59,-0.34,-1.16,-1.38,-1.97,-3.94,-5.12,-5.06,-4.5,-4.31,-4.31,-3.84,-3.62,-4.56,-6.06,-6.81,-6.75,-6.66,-6.81,-6.62,-4.88,-3.06,-2.16,-0.69,1.62,3.38,4.0,3.66,3.47,2.62,1.41,-0.62,-2.28,-2.97,-4.12,-5.69,-6.47,-6.12,-5.47,-5.19,-5.09,-4.09,-3.44,-3.69,-4.78,-5.25,-5.62,-5.66,-6.56,-6.94,-6.72,-6.5,-7.25,-7.69,-7.16,-6.31,-6.03,-5.78,-5.34,-5.09,-5.81,-7.56,-8.62,-9.34,-9.69,-10.41,-10.66,-10.03,-9.47,-9.81,-9.97,-9.0,-8.12,-7.75,-8.28,-8.69,-9.19,-10.31,-11.66,-12.03,-11.84,-11.34,-11.53,-10.38,-9.16,-7.31,-6.28,-5.59,-4.56,-3.72,-3.53,-4.28,-4.84,-4.62,-4.91,-4.84,-3.62,-1.72,0.31,1.5,2.19,2.88,3.72,3.59,3.44,3.66,4.19,3.88,2.81,1.84,1.56,1.44,1.06,1.56,3.0,5.28,6.44,7.5,8.38,9.12,8.31,6.75,4.72,3.06,1.31,-0.53,-2.19,-2.5,-2.59,-2.69,-2.56,-2.0,-1.16,-1.75,-2.44,-3.16,-3.09,-2.97,-2.69,-1.62,0.44,2.53,3.47,3.84,4.25,4.16,2.69,1.28,0.47,0.09,-1.16,-2.0,-2.72,-3.0,-3.66,-4.62,-5.25,-5.12,-5.06,-5.47,-5.53,-4.72,-3.44,-1.81,0.41,3.41,7.0,10.0,12.28,14.44,16.44,17.66,17.81,17.53,17.59,17.0,15.28,13.0,10.59,8.03,5.0,2.69,1.56,1.88,2.34,3.25,4.28,6.38,7.69,8.25,8.75,9.5,10.5,10.84,10.69,11.03,10.56,9.03,6.41,3.94,1.91,-0.53,-3.91,-7.47,-9.78,-11.88,-14.19,-15.31,-14.75,-13.34,-12.12,-11.31,-10.03,-9.41,-9.5,-10.22,-10.66,-9.84,-8.16,-6.16,-3.62,0.12,3.22,5.5,6.53,7.22,7.69,6.72,5.06,3.81,3.25,3.31,3.25,3.78,5.19,5.91,5.38,4.44,4.16,3.97,3.56,3.84,4.81,6.09,7.09,7.28,6.88,6.19,4.72,2.09,-0.12,-1.03,-1.03,-0.5,0.16,2.0,4.03,5.16,5.69,6.06,6.56,7.16,7.53,8.31,10.25,11.38,10.75,9.09,7.12,4.91,2.44,-0.38,-1.69,-2.28,-3.12,-4.84,-5.91,-6.62,-7.78,-9.47,-10.38,-9.84,-8.47,-6.84,-5.25,-2.62,-0.31,0.88,1.25,2.12,3.5,4.47,5.34,6.84,8.88,10.62,11.03,10.84,10.62,10.25,9.28,7.97,8.0,8.91,9.06,8.59,8.38,8.41,7.62,6.22,15.72,14.38,13.94,14.75,16.25,17.59,19.31,20.81,21.81,22.28,22.44,22.69,23.44,24.22,25.34,26.38,27.0,27.03,26.28,24.75,23.59:-3.72,-2.66,-2.97,-3.62,-3.72,-3.88,-5.53,-6.69,-6.75,-6.16,-6.69,-7.5,-7.97,-8.31,-9.41,-11.31,-12.88,-13.34,-14.12,-15.38,-16.28,-15.88,-14.97,-14.75,-13.53,-11.34,-8.31,-6.16,-4.91,-3.72,-2.88,-2.75,-4.0,-5.09,-5.34,-5.53,-6.66,-7.19,-6.91,-6.09,-6.69,-8.06,-9.12,-10.22,-12.28,-14.25,-15.59,-15.81,-15.47,-15.88,-15.75,-15.06,-14.19,-14.44,-14.59,-13.47,-11.53,-10.41,-9.28,-7.81,-6.5,-6.0,-6.12,-6.56,-6.62,-7.84,-10.19,-13.31,-15.59,-17.09,-18.97,-20.38,-20.72,-20.12,-20.5,-21.0,-21.09,-19.91,-19.19,-18.56,-17.69,-15.97,-14.5,-14.06,-13.91,-12.72,-11.53,-11.47,-12.19,-12.41,-12.59,-13.19,-14.09,-14.25,-13.31,-12.66,-12.78,-12.94,-12.5,-12.53,-13.81,-15.28,-16.09,-16.44,-16.59,-16.66,-15.5,-13.38,-11.94,-11.0,-10.72,-9.59,-9.62,-10.38,-11.75,-12.03,-12.28,-12.88,-13.12,-12.66,-11.38,-10.81,-10.88,-10.75,-10.09,-9.69,-10.25,-10.34,-9.5,-8.78,-8.66,-8.25,-7.03,-5.44,-4.88,-4.88,-5.16,-5.41,-6.78,-9.09,-11.19,-12.19,-13.41,-14.56,-14.59,-12.84,-10.53,-8.19,-6.03,-4.03,-2.38,-2.53,-3.53,-4.44,-4.59,-5.16,-6.12,-6.81,-6.88,-7.38,-8.78,-10.38,-10.94,-11.41,-12.19,-13.25,-13.5,-13.12,-13.5,-14.25,-14.56,-13.5,-12.28,-10.91,-8.81,-5.72,-2.81,-1.81,-2.09,-2.28,-3.47,-5.69,-8.41,-10.5,-11.84,-13.66,-15.5,-16.69,-16.47,-16.28,-16.5,-16.44,-15.03,-13.59,-12.59,-11.78,-10.81,-10.25,-10.91,-12.81,-14.12,-15.03,-15.81,-16.62,-17.0,-16.25,-15.38,-14.91,-13.97,-12.22,-10.5,-9.22,-8.81,-8.41,-8.09,-8.34,-9.56,-10.59,-11.03,-11.62,-12.84,-14.44,-14.81,-15.16,-15.72,-16.22,-15.62,-14.62,-13.66,-13.16,-12.28,-10.88,-10.06,-9.75,-9.09,-7.62,-5.97,-5.41,-5.09,-3.91,-3.25,-3.56,-4.41,-5.19,-5.81,-7.12,-8.69,-9.34,-8.97,-8.0,-7.62,-7.19,-6.31,-5.78,-6.47,-7.12,-7.03,-6.56,-6.31,-6.84,-7.16,-7.88,-8.97,-10.94,-11.94,-11.38,-9.78,-8.44,-6.28,-3.69,-1.06,-0.06,0.16,0.09,-0.69,-1.78,-3.53,-4.75,-5.25,-5.91,-7.34,-8.94,-10.22,-11.12,-12.81,-13.97,-13.53,-12.5,-11.25,-10.16,-8.25,-5.91,-3.91,-2.56,-1.62,-0.22,0.0,-0.69,-1.16,-0.78,0.03,0.5,0.88,1.62,1.94,1.22,-0.12,-1.12,-1.47,-1.69,-2.22,-2.19,-2.22,-2.25,-3.09,-4.06,-4.84,-4.97,-6.47,-8.06,-9.31,-10.06,-10.94,-11.94,-12.19,-11.47,-10.75,-10.59,-9.94,-8.59,-6.84,-5.53,-3.81,-1.75,-0.03,0.34,-0.34,-1.34,-2.16,-3.34,-4.97,-6.31,-6.94,-7.25,-8.09,-9.0,-9.47,-10.03,-11.59,-13.16,-13.81,-13.47,-12.47,-11.41,-9.88,-7.62,-5.75,-5.19,-4.56,-3.62,-3.31,-3.25,-3.59,-2.66,-0.88,0.34,1.12,1.78,2.31,1.69,0.28,-0.75,-0.94,-1.34,-2.91,-4.84,-6.12,-7.25,-8.81,-10.12,-10.72,-10.81,-11.16,-11.66,-11.06,-9.38,-7.62,-5.72,-3.88,-1.56,0.75,1.97,2.84,3.38,3.34,1.78,-0.09,-2.09,-3.59,-5.25,-7.41,-9.38,-10.69,-12.03,-13.28,-14.31,-13.81,-12.78,-11.84,-11.06,-10.06,-8.72,-8.06,-7.69,-7.09,-5.84,-5.31,-5.59,-6.56,-6.66,-7.0,-7.78,-8.91,-8.94,-9.12,-9.75,-10.62,-11.12,-11.16,-11.56,-11.66,-11.84,-11.03,-10.0,-9.47,-9.34,-8.44,-7.75,-7.66,-7.91,-7.81,-7.16,-6.59,-6.59,-6.38,-5.03,-4.25,-4.25,-4.44,-4.47,-4.78,-6.0,-7.59,-7.97,-8.12,-8.28,-8.59,-7.97,-6.69,-5.56,-5.66,-6.03,-6.16,-6.75,-7.97,-9.12,-9.0,-9.47,-10.44,-11.94,-12.38,-12.44,-12.91,-13.62,-13.88,-13.31,-12.31,-11.34,-9.56,-6.5,-4.09,-2.94,-3.03,-2.44,-2.22,-2.53,-3.09,-3.09,-3.03,-4.03,-6.31,-8.62,-10.66,-12.44,-14.25,-15.31,-14.75,-13.75,-13.19,-13.28,-12.88,-12.59,-13.34,-14.41,-14.94,-14.44,-13.47,-12.84,-11.06,-8.81,-6.62,-5.81,-6.0,-5.62,-5.84,-7.19,-9.09,-10.12,-10.53,-10.91,-11.81,-11.78,-11.31,-11.28,-12.31,-13.56,-14.16,-14.59,-15.78,-16.41,-15.44,-13.09,-10.38,-7.84,-4.66,-1.81,-0.66,-1.56,-3.03,-3.91,-4.84,-5.66,-5.53,-4.38,-2.47,-1.62,-1.22,-0.25,0.22,-0.12,-1.72,-3.28,-4.72,-6.38,-8.5,-10.09,-10.38,-10.44,-11.31,-12.22,-12.66,-12.56,-13.12,-14.0,-13.75,-13.62,-13.66,-14.28,-14.22,-13.0,-11.12,-9.78,-7.94,-5.47,-3.44,-2.97,-3.19,-3.09,-2.94,-3.62,-5.12,-5.97,-6.5,-7.34,-9.0,-10.06,-10.53,-10.72,-11.38,-12.0,-10.69,-8.16,-6.5,-4.75,-2.12,0.25,1.81,2.16,2.75,3.5,3.44,2.16,0.62,-0.25,-1.16,-3.22,-5.09,-6.12,-6.41,-7.22,-7.5,-6.94,-6.06,-6.06,-7.19,-8.47,-9.12,-9.44,-10.34,-9.91,-8.22,-5.62,-4.22,-3.0,-1.59,-0.47,-0.56,-0.75,-0.69,0.19,0.91,0.72,1.03,1.47,1.75,0.19,-1.44,-2.62,-3.62,-5.56,-7.47,-8.53,-9.22,-11.06,-13.53,-15.31,-16.09,-16.47,-16.59,-15.84,-13.91,-12.03,-11.66,-11.56,-11.19,-10.94,-11.5,-11.72,-11.25,-9.41,-7.97,-7.12,-6.25,-5.25,-5.09,-6.12,-7.56,-8.25,-8.66,-10.0,-11.09,-11.03,-10.41,-10.62,-11.31,-11.72,-11.47,-11.34,-11.5,-11.03,-8.84,-7.03,-5.94,-5.38,-4.19,-3.03,-2.91,-2.88,-2.41,-1.19,-1.28,-2.12,-3.06,-3.28,-3.84,-4.78,-5.38,-4.59,-3.72,-3.25,-2.75,-1.84,-1.31,-2.41,-4.75,-7.34,-8.25,-9.47,-10.03,-8.88,-6.28,-3.19,-1.09,0.41,2.28,3.44,3.12,2.19,1.84,1.59,0.59,-1.06,-2.0,-2.12,-2.5,-3.25,-3.53,-2.84,-2.03,-1.78,-1.78,-1.19,-0.81,-1.75,-2.62,-2.5,-1.31,-0.75,-0.44,-0.16,0.56,0.66,0.12,-0.38,0.09,0.5,0.25,-0.25,0.22,1.69,2.44,2.53,2.66,3.03,2.03,0.34,-1.16,-1.5,-1.56,-2.44,-3.0,-2.41,-1.78,-2.06,-2.62,-2.72,-2.75,-3.31,-4.38,-4.38,-3.38,-2.62,-2.53,-2.44,-1.62,-1.19,-1.44,-1.72,-0.72,-0.25,-0.5,-1.22,-1.75,-1.56,-1.44,-1.31,0.0,2.16,4.44,5.47,5.97,6.75,6.94,6.03,4.5,3.34,1.78,-0.34,-3.03,-4.44,-4.38,-3.75,-3.31,-2.44,-0.66,0.72,1.38,1.19,2.03,2.59,2.06,1.28,0.81,0.94,0.59,-0.34,-1.16,-1.38,-1.97,-3.94,-5.12,-5.06,-4.5,-4.31,-4.31,-3.84,-3.62,-4.56,-6.06,-6.81,-6.75,-6.66,-6.81,-6.62,-4.88,-3.06,-2.16,-0.69,1.62,3.38,4.0,3.66,3.47,2.62,1.41,-0.62,-2.28,-2.97,-4.12,-5.69,-6.47,-6.12,-5.47,-5.19,-5.09,-4.09,-3.44,-3.69,-4.78,-5.25,-5.62,-5.66,-6.56,-6.94,-6.72,-6.5,-7.25,-7.69,-7.16,-6.31,-6.03,-5.78,-5.34,-5.09,-5.81,-7.56,-8.62,-9.34,-9.69,-10.41,-10.66,-10.03,-9.47,-9.81,-9.97,-9.0,-8.12,-7.75,-8.28,-8.69,-9.19,-10.31,-11.66,-12.03,-11.84,-11.34,-11.53,-10.38,-9.16,-7.31,-6.28,-5.59,-4.56,-3.72,-3.53,-4.28,-4.84,-4.62,-4.91,-4.84,-3.62,-1.72,0.31,1.5,2.19,2.88,3.72,3.59,3.44,3.66,4.19,3.88,2.81,1.84,1.56,1.44,1.06,1.56,3.0,5.28,6.44,7.5,8.38,9.12,8.31,6.75,4.72,3.06,1.31,-0.53,-2.19,-2.5,-2.59,-2.69,-2.56,-2.0,-1.16,-1.75,-2.44,-3.16,-3.09,-2.97,-2.69,-1.62,0.44,2.53,3.47,3.84,4.25,4.16,2.69,1.28,0.47,0.09,-1.16,-2.0,-2.72,-3.0,-3.66,-4.62,-5.25,-5.12,-5.06,-5.47,-5.53,-4.72,-3.44,-1.81,0.41,3.41,7.0,10.0,12.28,14.44,16.44,17.66,17.81,17.53,17.59,17.0,15.28,13.0,10.59,8.03,5.0,2.69,1.56,1.88,2.34,3.25,4.28,6.38,7.69,8.25,8.75,9.5,10.5,10.84,10.69,11.03,10.56,9.03,6.41,3.94,1.91,-0.53,-3.91,-7.47,-9.78,-11.88,-14.19,-15.31,-14.75,-13.34,-12.12,-11.31,-10.03,-9.41,-9.5,-10.22,-10.66,-9.84,-8.16,-6.16,-3.62,0.12,3.22,5.5,6.53,7.22,7.69,6.72,5.06,3.81,3.25,3.31,3.25,3.78,5.19,5.91,5.38,4.44,4.16,3.97,3.56,3.84,4.81,6.09,7.09,7.28,6.88,6.19,4.72,2.09,-0.12,-1.03,-1.03,-0.5,0.16,2.0,4.03,5.16,5.69,6.06,6.56,7.16,7.53,8.31,10.25,11.38,10.75,9.09,7.12,4.91,2.44,-0.38,-1.69,-2.28,-3.12,-4.84,-5.91,-6.62,-7.78,-9.47,-10.38,-9.84,-8.47,-6.84,-5.25,-2.62,-0.31,0.88,1.25,2.12,3.5,4.47,5.34,6.84,8.88,10.62,11.03,10.84,10.62,10.25,9.28,7.97,8.0,8.91,9.06,8.59,8.38,8.41,7.62,6.22,15.72,14.38,13.94,14.75,16.25,17.59,19.31,20.81,21.81,22.28,22.44,22.69,23.44,24.22,25.34,26.38,27.0,27.03,26.28,24.75,23.59,22.62,21.56,20.66,20.09,19.53,18.88,17.78:-6.69,-6.75,-6.16,-6.69,-7.5,-7.97,-8.31,-9.41,-11.31,-12.88,-13.34,-14.12,-15.38,-16.28,-15.88,-14.97,-14.75,-13.53,-11.34,-8.31,-6.16,-4.91,-3.72,-2.88,-2.75,-4.0,-5.09,-5.34,-5.53,-6.66,-7.19,-6.91,-6.09,-6.69,-8.06,-9.12,-10.22,-12.28,-14.25,-15.59,-15.81,-15.47,-15.88,-15.75,-15.06,-14.19,-14.44,-14.59,-13.47,-11.53,-10.41,-9.28,-7.81,-6.5,-6.0,-6.12,-6.56,-6.62,-7.84,-10.19,-13.31,-15.59,-17.09,-18.97,-20.38,-20.72,-20.12,-20.5,-21.0,-21.09,-19.91,-19.19,-18.56,-17.69,-15.97,-14.5,-14.06,-13.91,-12.72,-11.53,-11.47,-12.19,-12.41,-12.59,-13.19,-14.09,-14.25,-13.31,-12.66,-12.78,-12.94,-12.5,-12.53,-13.81,-15.28,-16.09,-16.44,-16.59,-16.66,-15.5,-13.38,-11.94,-11.0,-10.72,-9.59,-9.62,-10.38,-11.75,-12.03,-12.28,-12.88,-13.12,-12.66,-11.38,-10.81,-10.88,-10.75,-10.09,-9.69,-10.25,-10.34,-9.5,-8.78,-8.66,-8.25,-7.03,-5.44,-4.88,-4.88,-5.16,-5.41,-6.78,-9.09,-11.19,-12.19,-13.41,-14.56,-14.59,-12.84,-10.53,-8.19,-6.03,-4.03,-2.38,-2.53,-3.53,-4.44,-4.59,-5.16,-6.12,-6.81,-6.88,-7.38,-8.78,-10.38,-10.94,-11.41,-12.19,-13.25,-13.5,-13.12,-13.5,-14.25,-14.56,-13.5,-12.28,-10.91,-8.81,-5.72,-2.81,-1.81,-2.09,-2.28,-3.47,-5.69,-8.41,-10.5,-11.84,-13.66,-15.5,-16.69,-16.47,-16.28,-16.5,-16.44,-15.03,-13.59,-12.59,-11.78,-10.81,-10.25,-10.91,-12.81,-14.12,-15.03,-15.81,-16.62,-17.0,-16.25,-15.38,-14.91,-13.97,-12.22,-10.5,-9.22,-8.81,-8.41,-8.09,-8.34,-9.56,-10.59,-11.03,-11.62,-12.84,-14.44,-14.81,-15.16,-15.72,-16.22,-15.62,-14.62,-13.66,-13.16,-12.28,-10.88,-10.06,-9.75,-9.09,-7.62,-5.97,-5.41,-5.09,-3.91,-3.25,-3.56,-4.41,-5.19,-5.81,-7.12,-8.69,-9.34,-8.97,-8.0,-7.62,-7.19,-6.31,-5.78,-6.47,-7.12,-7.03,-6.56,-6.31,-6.84,-7.16,-7.88,-8.97,-10.94,-11.94,-11.38,-9.78,-8.44,-6.28,-3.69,-1.06,-0.06,0.16,0.09,-0.69,-1.78,-3.53,-4.75,-5.25,-5.91,-7.34,-8.94,-10.22,-11.12,-12.81,-13.97,-13.53,-12.5,-11.25,-10.16,-8.25,-5.91,-3.91,-2.56,-1.62,-0.22,0.0,-0.69,-1.16,-0.78,0.03,0.5,0.88,1.62,1.94,1.22,-0.12,-1.12,-1.47,-1.69,-2.22,-2.19,-2.22,-2.25,-3.09,-4.06,-4.84,-4.97,-6.47,-8.06,-9.31,-10.06,-10.94,-11.94,-12.19,-11.47,-10.75,-10.59,-9.94,-8.59,-6.84,-5.53,-3.81,-1.75,-0.03,0.34,-0.34,-1.34,-2.16,-3.34,-4.97,-6.31,-6.94,-7.25,-8.09,-9.0,-9.47,-10.03,-11.59,-13.16,-13.81,-13.47,-12.47,-11.41,-9.88,-7.62,-5.75,-5.19,-4.56,-3.62,-3.31,-3.25,-3.59,-2.66,-0.88,0.34,1.12,1.78,2.31,1.69,0.28,-0.75,-0.94,-1.34,-2.91,-4.84,-6.12,-7.25,-8.81,-10.12,-10.72,-10.81,-11.16,-11.66,-11.06,-9.38,-7.62,-5.72,-3.88,-1.56,0.75,1.97,2.84,3.38,3.34,1.78,-0.09,-2.09,-3.59,-5.25,-7.41,-9.38,-10.69,-12.03,-13.28,-14.31,-13.81,-12.78,-11.84,-11.06,-10.06,-8.72,-8.06,-7.69,-7.09,-5.84,-5.31,-5.59,-6.56,-6.66,-7.0,-7.78,-8.91,-8.94,-9.12,-9.75,-10.62,-11.12,-11.16,-11.56,-11.66,-11.84,-11.03,-10.0,-9.47,-9.34,-8.44,-7.75,-7.66,-7.91,-7.81,-7.16,-6.59,-6.59,-6.38,-5.03,-4.25,-4.25,-4.44,-4.47,-4.78,-6.0,-7.59,-7.97,-8.12,-8.28,-8.59,-7.97,-6.69,-5.56,-5.66,-6.03,-6.16,-6.75,-7.97,-9.12,-9.0,-9.47,-10.44,-11.94,-12.38,-12.44,-12.91,-13.62,-13.88,-13.31,-12.31,-11.34,-9.56,-6.5,-4.09,-2.94,-3.03,-2.44,-2.22,-2.53,-3.09,-3.09,-3.03,-4.03,-6.31,-8.62,-10.66,-12.44,-14.25,-15.31,-14.75,-13.75,-13.19,-13.28,-12.88,-12.59,-13.34,-14.41,-14.94,-14.44,-13.47,-12.84,-11.06,-8.81,-6.62,-5.81,-6.0,-5.62,-5.84,-7.19,-9.09,-10.12,-10.53,-10.91,-11.81,-11.78,-11.31,-11.28,-12.31,-13.56,-14.16,-14.59,-15.78,-16.41,-15.44,-13.09,-10.38,-7.84,-4.66,-1.81,-0.66,-1.56,-3.03,-3.91,-4.84,-5.66,-5.53,-4.38,-2.47,-1.62,-1.22,-0.25,0.22,-0.12,-1.72,-3.28,-4.72,-6.38,-8.5,-10.09,-10.38,-10.44,-11.31,-12.22,-12.66,-12.56,-13.12,-14.0,-13.75,-13.62,-13.66,-14.28,-14.22,-13.0,-11.12,-9.78,-7.94,-5.47,-3.44,-2.97,-3.19,-3.09,-2.94,-3.62,-5.12,-5.97,-6.5,-7.34,-9.0,-10.06,-10.53,-10.72,-11.38,-12.0,-10.69,-8.16,-6.5,-4.75,-2.12,0.25,1.81,2.16,2.75,3.5,3.44,2.16,0.62,-0.25,-1.16,-3.22,-5.09,-6.12,-6.41,-7.22,-7.5,-6.94,-6.06,-6.06,-7.19,-8.47,-9.12,-9.44,-10.34,-9.91,-8.22,-5.62,-4.22,-3.0,-1.59,-0.47,-0.56,-0.75,-0.69,0.19,0.91,0.72,1.03,1.47,1.75,0.19,-1.44,-2.62,-3.62,-5.56,-7.47,-8.53,-9.22,-11.06,-13.53,-15.31,-16.09,-16.47,-16.59,-15.84,-13.91,-12.03,-11.66,-11.56,-11.19,-10.94,-11.5,-11.72,-11.25,-9.41,-7.97,-7.12,-6.25,-5.25,-5.09,-6.12,-7.56,-8.25,-8.66,-10.0,-11.09,-11.03,-10.41,-10.62,-11.31,-11.72,-11.47,-11.34,-11.5,-11.03,-8.84,-7.03,-5.94,-5.38,-4.19,-3.03,-2.91,-2.88,-2.41,-1.19,-1.28,-2.12,-3.06,-3.28,-3.84,-4.78,-5.38,-4.59,-3.72,-3.25,-2.75,-1.84,-1.31,-2.41,-4.75,-7.34,-8.25,-9.47,-10.03,-8.88,-6.28,-3.19,-1.09,0.41,2.28,3.44,3.12,2.19,1.84,1.59,0.59,-1.06,-2.0,-2.12,-2.5,-3.25,-3.53,-2.84,-2.03,-1.78,-1.78,-1.19,-0.81,-1.75,-2.62,-2.5,-1.31,-0.75,-0.44,-0.16,0.56,0.66,0.12,-0.38,0.09,0.5,0.25,-0.25,0.22,1.69,2.44,2.53,2.66,3.03,2.03,0.34,-1.16,-1.5,-1.56,-2.44,-3.0,-2.41,-1.78,-2.06,-2.62,-2.72,-2.75,-3.31,-4.38,-4.38,-3.38,-2.62,-2.53,-2.44,-1.62,-1.19,-1.44,-1.72,-0.72,-0.25,-0.5,-1.22,-1.75,-1.56,-1.44,-1.31,0.0,2.16,4.44,5.47,5.97,6.75,6.94,6.03,4.5,3.34,1.78,-0.34,-3.03,-4.44,-4.38,-3.75,-3.31,-2.44,-0.66,0.72,1.38,1.19,2.03,2.59,2.06,1.28,0.81,0.94,0.59,-0.34,-1.16,-1.38,-1.97,-3.94,-5.12,-5.06,-4.5,-4.31,-4.31,-3.84,-3.62,-4.56,-6.06,-6.81,-6.75,-6.66,-6.81,-6.62,-4.88,-3.06,-2.16,-0.69,1.62,3.38,4.0,3.66,3.47,2.62,1.41,-0.62,-2.28,-2.97,-4.12,-5.69,-6.47,-6.12,-5.47,-5.19,-5.09,-4.09,-3.44,-3.69,-4.78,-5.25,-5.62,-5.66,-6.56,-6.94,-6.72,-6.5,-7.25,-7.69,-7.16,-6.31,-6.03,-5.78,-5.34,-5.09,-5.81,-7.56,-8.62,-9.34,-9.69,-10.41,-10.66,-10.03,-9.47,-9.81,-9.97,-9.0,-8.12,-7.75,-8.28,-8.69,-9.19,-10.31,-11.66,-12.03,-11.84,-11.34,-11.53,-10.38,-9.16,-7.31,-6.28,-5.59,-4.56,-3.72,-3.53,-4.28,-4.84,-4.62,-4.91,-4.84,-3.62,-1.72,0.31,1.5,2.19,2.88,3.72,3.59,3.44,3.66,4.19,3.88,2.81,1.84,1.56,1.44,1.06,1.56,3.0,5.28,6.44,7.5,8.38,9.12,8.31,6.75,4.72,3.06,1.31,-0.53,-2.19,-2.5,-2.59,-2.69,-2.56,-2.0,-1.16,-1.75,-2.44,-3.16,-3.09,-2.97,-2.69,-1.62,0.44,2.53,3.47,3.84,4.25,4.16,2.69,1.28,0.47,0.09,-1.16,-2.0,-2.72,-3.0,-3.66,-4.62,-5.25,-5.12,-5.06,-5.47,-5.53,-4.72,-3.44,-1.81,0.41,3.41,7.0,10.0,12.28,14.44,16.44,17.66,17.81,17.53,17.59,17.0,15.28,13.0,10.59,8.03,5.0,2.69,1.56,1.88,2.34,3.25,4.28,6.38,7.69,8.25,8.75,9.5,10.5,10.84,10.69,11.03,10.56,9.03,6.41,3.94,1.91,-0.53,-3.91,-7.47,-9.78,-11.88,-14.19,-15.31,-14.75,-13.34,-12.12,-11.31,-10.03,-9.41,-9.5,-10.22,-10.66,-9.84,-8.16,-6.16,-3.62,0.12,3.22,5.5,6.53,7.22,7.69,6.72,5.06,3.81,3.25,3.31,3.25,3.78,5.19,5.91,5.38,4.44,4.16,3.97,3.56,3.84,4.81,6.09,7.09,7.28,6.88,6.19,4.72,2.09,-0.12,-1.03,-1.03,-0.5,0.16,2.0,4.03,5.16,5.69,6.06,6.56,7.16,7.53,8.31,10.25,11.38,10.75,9.09,7.12,4.91,2.44,-0.38,-1.69,-2.28,-3.12,-4.84,-5.91,-6.62,-7.78,-9.47,-10.38,-9.84,-8.47,-6.84,-5.25,-2.62,-0.31,0.88,1.25,2.12,3.5,4.47,5.34,6.84,8.88,10.62,11.03,10.84,10.62,10.25,9.28,7.97,8.0,8.91,9.06,8.59,8.38,8.41,7.62,6.22,15.72,14.38,13.94,14.75,16.25,17.59,19.31,20.81,21.81,22.28,22.44,22.69,23.44,24.22,25.34,26.38,27.0,27.03,26.28,24.75,23.59,22.62,21.56,20.66,20.09,19.53,18.88,17.78,17.09,16.47,15.75,15.22,14.81,15.22,15.28:-9.41,-11.31,-12.88,-13.34,-14.12,-15.38,-16.28,-15.88,-14.97,-14.75,-13.53,-11.34,-8.31,-6.16,-4.91,-3.72,-2.88,-2.75,-4.0,-5.09,-5.34,-5.53,-6.66,-7.19,-6.91,-6.09,-6.69,-8.06,-9.12,-10.22,-12.28,-14.25,-15.59,-15.81,-15.47,-15.88,-15.75,-15.06,-14.19,-14.44,-14.59,-13.47,-11.53,-10.41,-9.28,-7.81,-6.5,-6.0,-6.12,-6.56,-6.62,-7.84,-10.19,-13.31,-15.59,-17.09,-18.97,-20.38,-20.72,-20.12,-20.5,-21.0,-21.09,-19.91,-19.19,-18.56,-17.69,-15.97,-14.5,-14.06,-13.91,-12.72,-11.53,-11.47,-12.19,-12.41,-12.59,-13.19,-14.09,-14.25,-13.31,-12.66,-12.78,-12.94,-12.5,-12.53,-13.81,-15.28,-16.09,-16.44,-16.59,-16.66,-15.5,-13.38,-11.94,-11.0,-10.72,-9.59,-9.62,-10.38,-11.75,-12.03,-12.28,-12.88,-13.12,-12.66,-11.38,-10.81,-10.88,-10.75,-10.09,-9.69,-10.25,-10.34,-9.5,-8.78,-8.66,-8.25,-7.03,-5.44,-4.88,-4.88,-5.16,-5.41,-6.78,-9.09,-11.19,-12.19,-13.41,-14.56,-14.59,-12.84,-10.53,-8.19,-6.03,-4.03,-2.38,-2.53,-3.53,-4.44,-4.59,-5.16,-6.12,-6.81,-6.88,-7.38,-8.78,-10.38,-10.94,-11.41,-12.19,-13.25,-13.5,-13.12,-13.5,-14.25,-14.56,-13.5,-12.28,-10.91,-8.81,-5.72,-2.81,-1.81,-2.09,-2.28,-3.47,-5.69,-8.41,-10.5,-11.84,-13.66,-15.5,-16.69,-16.47,-16.28,-16.5,-16.44,-15.03,-13.59,-12.59,-11.78,-10.81,-10.25,-10.91,-12.81,-14.12,-15.03,-15.81,-16.62,-17.0,-16.25,-15.38,-14.91,-13.97,-12.22,-10.5,-9.22,-8.81,-8.41,-8.09,-8.34,-9.56,-10.59,-11.03,-11.62,-12.84,-14.44,-14.81,-15.16,-15.72,-16.22,-15.62,-14.62,-13.66,-13.16,-12.28,-10.88,-10.06,-9.75,-9.09,-7.62,-5.97,-5.41,-5.09,-3.91,-3.25,-3.56,-4.41,-5.19,-5.81,-7.12,-8.69,-9.34,-8.97,-8.0,-7.62,-7.19,-6.31,-5.78,-6.47,-7.12,-7.03,-6.56,-6.31,-6.84,-7.16,-7.88,-8.97,-10.94,-11.94,-11.38,-9.78,-8.44,-6.28,-3.69,-1.06,-0.06,0.16,0.09,-0.69,-1.78,-3.53,-4.75,-5.25,-5.91,-7.34,-8.94,-10.22,-11.12,-12.81,-13.97,-13.53,-12.5,-11.25,-10.16,-8.25,-5.91,-3.91,-2.56,-1.62,-0.22,0.0,-0.69,-1.16,-0.78,0.03,0.5,0.88,1.62,1.94,1.22,-0.12,-1.12,-1.47,-1.69,-2.22,-2.19,-2.22,-2.25,-3.09,-4.06,-4.84,-4.97,-6.47,-8.06,-9.31,-10.06,-10.94,-11.94,-12.19,-11.47,-10.75,-10.59,-9.94,-8.59,-6.84,-5.53,-3.81,-1.75,-0.03,0.34,-0.34,-1.34,-2.16,-3.34,-4.97,-6.31,-6.94,-7.25,-8.09,-9.0,-9.47,-10.03,-11.59,-13.16,-13.81,-13.47,-12.47,-11.41,-9.88,-7.62,-5.75,-5.19,-4.56,-3.62,-3.31,-3.25,-3.59,-2.66,-0.88,0.34,1.12,1.78,2.31,1.69,0.28,-0.75,-0.94,-1.34,-2.91,-4.84,-6.12,-7.25,-8.81,-10.12,-10.72,-10.81,-11.16,-11.66,-11.06,-9.38,-7.62,-5.72,-3.88,-1.56,0.75,1.97,2.84,3.38,3.34,1.78,-0.09,-2.09,-3.59,-5.25,-7.41,-9.38,-10.69,-12.03,-13.28,-14.31,-13.81,-12.78,-11.84,-11.06,-10.06,-8.72,-8.06,-7.69,-7.09,-5.84,-5.31,-5.59,-6.56,-6.66,-7.0,-7.78,-8.91,-8.94,-9.12,-9.75,-10.62,-11.12,-11.16,-11.56,-11.66,-11.84,-11.03,-10.0,-9.47,-9.34,-8.44,-7.75,-7.66,-7.91,-7.81,-7.16,-6.59,-6.59,-6.38,-5.03,-4.25,-4.25,-4.44,-4.47,-4.78,-6.0,-7.59,-7.97,-8.12,-8.28,-8.59,-7.97,-6.69,-5.56,-5.66,-6.03,-6.16,-6.75,-7.97,-9.12,-9.0,-9.47,-10.44,-11.94,-12.38,-12.44,-12.91,-13.62,-13.88,-13.31,-12.31,-11.34,-9.56,-6.5,-4.09,-2.94,-3.03,-2.44,-2.22,-2.53,-3.09,-3.09,-3.03,-4.03,-6.31,-8.62,-10.66,-12.44,-14.25,-15.31,-14.75,-13.75,-13.19,-13.28,-12.88,-12.59,-13.34,-14.41,-14.94,-14.44,-13.47,-12.84,-11.06,-8.81,-6.62,-5.81,-6.0,-5.62,-5.84,-7.19,-9.09,-10.12,-10.53,-10.91,-11.81,-11.78,-11.31,-11.28,-12.31,-13.56,-14.16,-14.59,-15.78,-16.41,-15.44,-13.09,-10.38,-7.84,-4.66,-1.81,-0.66,-1.56,-3.03,-3.91,-4.84,-5.66,-5.53,-4.38,-2.47,-1.62,-1.22,-0.25,0.22,-0.12,-1.72,-3.28,-4.72,-6.38,-8.5,-10.09,-10.38,-10.44,-11.31,-12.22,-12.66,-12.56,-13.12,-14.0,-13.75,-13.62,-13.66,-14.28,-14.22,-13.0,-11.12,-9.78,-7.94,-5.47,-3.44,-2.97,-3.19,-3.09,-2.94,-3.62,-5.12,-5.97,-6.5,-7.34,-9.0,-10.06,-10.53,-10.72,-11.38,-12.0,-10.69,-8.16,-6.5,-4.75,-2.12,0.25,1.81,2.16,2.75,3.5,3.44,2.16,0.62,-0.25,-1.16,-3.22,-5.09,-6.12,-6.41,-7.22,-7.5,-6.94,-6.06,-6.06,-7.19,-8.47,-9.12,-9.44,-10.34,-9.91,-8.22,-5.62,-4.22,-3.0,-1.59,-0.47,-0.56,-0.75,-0.69,0.19,0.91,0.72,1.03,1.47,1.75,0.19,-1.44,-2.62,-3.62,-5.56,-7.47,-8.53,-9.22,-11.06,-13.53,-15.31,-16.09,-16.47,-16.59,-15.84,-13.91,-12.03,-11.66,-11.56,-11.19,-10.94,-11.5,-11.72,-11.25,-9.41,-7.97,-7.12,-6.25,-5.25,-5.09,-6.12,-7.56,-8.25,-8.66,-10.0,-11.09,-11.03,-10.41,-10.62,-11.31,-11.72,-11.47,-11.34,-11.5,-11.03,-8.84,-7.03,-5.94,-5.38,-4.19,-3.03,-2.91,-2.88,-2.41,-1.19,-1.28,-2.12,-3.06,-3.28,-3.84,-4.78,-5.38,-4.59,-3.72,-3.25,-2.75,-1.84,-1.31,-2.41,-4.75,-7.34,-8.25,-9.47,-10.03,-8.88,-6.28,-3.19,-1.09,0.41,2.28,3.44,3.12,2.19,1.84,1.59,0.59,-1.06,-2.0,-2.12,-2.5,-3.25,-3.53,-2.84,-2.03,-1.78,-1.78,-1.19,-0.81,-1.75,-2.62,-2.5,-1.31,-0.75,-0.44,-0.16,0.56,0.66,0.12,-0.38,0.09,0.5,0.25,-0.25,0.22,1.69,2.44,2.53,2.66,3.03,2.03,0.34,-1.16,-1.5,-1.56,-2.44,-3.0,-2.41,-1.78,-2.06,-2.62,-2.72,-2.75,-3.31,-4.38,-4.38,-3.38,-2.62,-2.53,-2.44,-1.62,-1.19,-1.44,-1.72,-0.72,-0.25,-0.5,-1.22,-1.75,-1.56,-1.44,-1.31,0.0,2.16,4.44,5.47,5.97,6.75,6.94,6.03,4.5,3.34,1.78,-0.34,-3.03,-4.44,-4.38,-3.75,-3.31,-2.44,-0.66,0.72,1.38,1.19,2.03,2.59,2.06,1.28,0.81,0.94,0.59,-0.34,-1.16,-1.38,-1.97,-3.94,-5.12,-5.06,-4.5,-4.31,-4.31,-3.84,-3.62,-4.56,-6.06,-6.81,-6.75,-6.66,-6.81,-6.62,-4.88,-3.06,-2.16,-0.69,1.62,3.38,4.0,3.66,3.47,2.62,1.41,-0.62,-2.28,-2.97,-4.12,-5.69,-6.47,-6.12,-5.47,-5.19,-5.09,-4.09,-3.44,-3.69,-4.78,-5.25,-5.62,-5.66,-6.56,-6.94,-6.72,-6.5,-7.25,-7.69,-7.16,-6.31,-6.03,-5.78,-5.34,-5.09,-5.81,-7.56,-8.62,-9.34,-9.69,-10.41,-10.66,-10.03,-9.47,-9.81,-9.97,-9.0,-8.12,-7.75,-8.28,-8.69,-9.19,-10.31,-11.66,-12.03,-11.84,-11.34,-11.53,-10.38,-9.16,-7.31,-6.28,-5.59,-4.56,-3.72,-3.53,-4.28,-4.84,-4.62,-4.91,-4.84,-3.62,-1.72,0.31,1.5,2.19,2.88,3.72,3.59,3.44,3.66,4.19,3.88,2.81,1.84,1.56,1.44,1.06,1.56,3.0,5.28,6.44,7.5,8.38,9.12,8.31,6.75,4.72,3.06,1.31,-0.53,-2.19,-2.5,-2.59,-2.69,-2.56,-2.0,-1.16,-1.75,-2.44,-3.16,-3.09,-2.97,-2.69,-1.62,0.44,2.53,3.47,3.84,4.25,4.16,2.69,1.28,0.47,0.09,-1.16,-2.0,-2.72,-3.0,-3.66,-4.62,-5.25,-5.12,-5.06,-5.47,-5.53,-4.72,-3.44,-1.81,0.41,3.41,7.0,10.0,12.28,14.44,16.44,17.66,17.81,17.53,17.59,17.0,15.28,13.0,10.59,8.03,5.0,2.69,1.56,1.88,2.34,3.25,4.28,6.38,7.69,8.25,8.75,9.5,10.5,10.84,10.69,11.03,10.56,9.03,6.41,3.94,1.91,-0.53,-3.91,-7.47,-9.78,-11.88,-14.19,-15.31,-14.75,-13.34,-12.12,-11.31,-10.03,-9.41,-9.5,-10.22,-10.66,-9.84,-8.16,-6.16,-3.62,0.12,3.22,5.5,6.53,7.22,7.69,6.72,5.06,3.81,3.25,3.31,3.25,3.78,5.19,5.91,5.38,4.44,4.16,3.97,3.56,3.84,4.81,6.09,7.09,7.28,6.88,6.19,4.72,2.09,-0.12,-1.03,-1.03,-0.5,0.16,2.0,4.03,5.16,5.69,6.06,6.56,7.16,7.53,8.31,10.25,11.38,10.75,9.09,7.12,4.91,2.44,-0.38,-1.69,-2.28,-3.12,-4.84,-5.91,-6.62,-7.78,-9.47,-10.38,-9.84,-8.47,-6.84,-5.25,-2.62,-0.31,0.88,1.25,2.12,3.5,4.47,5.34,6.84,8.88,10.62,11.03,10.84,10.62,10.25,9.28,7.97,8.0,8.91,9.06,8.59,8.38,8.41,7.62,6.22,15.72,14.38,13.94,14.75,16.25,17.59,19.31,20.81,21.81,22.28,22.44,22.69,23.44,24.22,25.34,26.38,27.0,27.03,26.28,24.75,23.59,22.62,21.56,20.66,20.09,19.53,18.88,17.78,17.09,16.47,15.75,15.22,14.81,15.22,15.28,15.66,16.25,17.16,18.16,18.41,18.22,17.81:positivity
40.41,39.5,37.97,37.78,37.97,37.38,35.34,33.88,33.78,33.91,32.88,32.34,32.94,33.62,33.31,32.28,33.0,34.34,34.78,34.44,35.0,36.44,37.28,37.28,38.16,40.25,41.94,41.94,41.22,41.03,40.22,37.81,34.28,31.94,30.09,27.81,25.44,24.69,25.25,25.25,24.38,23.69,24.06,24.12,23.25,22.62,23.94,25.84,26.88,27.5,29.91,32.88,34.97,35.69,37.06,38.84,39.66,39.0,38.69,39.59,39.44,37.66,34.75,33.53,32.12,30.0,27.38,26.47,26.41,25.5,23.69,22.75,22.75,22.59,21.47,21.38,23.16,25.03,25.69,25.94,27.28,28.62,28.91,29.03,30.94,34.25,37.31,38.66,40.5,42.66,44.06,43.81,43.78,45.12,46.0,44.69,42.22,40.84,39.28,36.66,33.66,32.34,32.31,31.47,30.03,29.5,29.75,29.34,28.03,26.81,27.09,27.62,26.91,25.75,25.88,26.22,25.94,25.03,26.25,28.62,31.03,32.16,33.66,35.41,35.84,34.41,32.69,32.12,32.25,30.97,29.53,29.69,29.88,28.69,26.69,25.66,26.0,26.81,26.94,28.16,31.09,32.91,33.59,33.75,34.97,35.94,35.06,33.94,34.53,35.94,37.03,37.53,39.12,41.0,41.91,41.03,40.0,40.06,39.41,37.62,35.84,36.19,36.38,36.25,35.53,35.81,36.78,36.44,34.44,33.03,32.69,31.78,29.69,28.81,29.94,31.19,30.84,29.88,30.09,30.03,28.5,26.56,26.16,26.59,26.5,25.16,24.78,25.59,25.19,22.91,21.34,21.16,21.75,21.81,21.56,22.56,23.72,23.22,21.91,22.25,23.69,24.94,24.94,25.19,26.56,27.16,26.5,26.12,27.56,28.88,28.84,28.78,29.84,32.09,33.03,33.28,34.41,35.94,36.56,35.75,35.66,36.66,37.41,36.03,34.81,35.0,35.03,33.75,31.97,31.56,31.88,31.03,29.94,30.25,31.25,31.66,29.97,28.91,29.0,28.66,27.22,26.97,28.34,29.94,29.81,29.56,30.06,30.66,30.28,28.62,28.12,28.53,28.62,27.69,27.5,28.84,29.75,28.84,27.78,28.16,29.0,28.91,28.94,30.25,32.22,32.53,31.56,31.72,32.91,33.94,33.78,34.75,37.16,39.31,39.06,38.75,38.38,37.53,34.75,31.91,31.0,31.47,31.84,31.16,31.5,32.34,32.53,31.16,30.34,31.06,31.97,31.16,30.47,30.88,31.5,30.78,28.78,27.75,27.69,27.25,26.47,27.09,29.69,32.28,33.06,33.94,35.38,36.41,35.16,33.78,33.66,34.41,34.03,33.19,33.28,33.84,33.5,31.34,29.75,29.94,29.84,28.62,28.34,29.69,31.22,31.06,30.97,32.44,34.31,34.78,34.81,36.0,37.81,38.81,38.59,38.69,39.16,38.88,36.38,33.69,32.22,31.25,28.62,26.81,26.75,27.97,28.34,27.97,28.88,30.72,31.34,30.62,30.41,31.53,31.94,30.47,29.47,29.69,30.91,30.66,30.88,33.0,35.5,36.34,36.34,36.62,38.31,39.44,38.78,38.09,38.34,37.81,35.44,33.22,32.69,32.88,31.62,29.81,29.5,30.31,29.81,28.41,28.0,28.78,29.16,28.03,27.84,29.25,30.09,28.78,27.19,27.03,27.53,26.78,26.03,27.22,28.88,29.59,29.97,31.31,34.03,36.53,37.25,38.34,40.69,42.5,42.28,41.59,42.06,42.47,40.25,37.47,35.44,34.22,32.06,29.75,29.09,29.97,31.16,31.0,31.44,33.66,35.28,35.25,34.78,35.16,36.03,35.56,34.94,35.66,37.25,37.66,36.22,35.75,36.34,36.53,35.44,34.41,34.59,34.38,31.81,29.0,28.19,28.69,28.12,27.97,29.62,32.66,34.88,35.66,37.03,39.84,42.0,42.16,42.38,43.66,44.47,43.19,41.66,41.66,42.34,41.41,39.69,38.56,38.53,38.0,36.56,36.22,37.59,38.59,37.56,36.34,36.47,36.72,35.38,33.94,33.97,34.69,34.19,33.25,33.44,34.66,35.16,34.31,34.19,35.22,35.75,34.81,33.88,34.12,34.31,33.06,31.38,31.06,31.59,31.12,30.16,29.94,30.78,30.75,29.19,28.12,28.31,28.47,27.56,27.12,27.97,29.5,29.38,28.53,29.06,30.38,30.34,29.22,29.09,29.91,29.53,28.06,27.06,27.62,28.03,26.78,25.5,25.88,26.69,26.5,25.78,26.94,28.91,29.19,28.38,27.66,28.38,28.09,26.59,25.81,26.72,27.75,27.34,27.0,28.19,29.78,29.94,29.47,29.88,31.31,31.94,31.47,31.59,32.88,33.31,31.94,30.25,29.0,27.94,24.88,21.69,20.69,21.06,21.03,20.91,22.09,23.94,24.5,23.44,22.59,23.0,22.56,20.91,20.03,20.88,22.28,22.66,22.81,24.88,27.88,29.56,30.88,33.06,35.97,37.56,37.84,38.34,39.88,40.53,39.5,37.69,37.19,36.75,34.16,31.0,28.56,26.72,22.94,18.66,15.91,15.03,14.06,13.56,14.19,16.75,19.31,20.91,22.12,24.81,27.44,27.69,27.03,26.94,27.5,26.81,25.41,24.56,24.5,23.19,20.28,17.09,15.88,14.97,13.19,12.25,13.47,15.88,17.0,18.28,20.69,24.06,25.91,26.62,27.91,30.62,32.72,33.28,34.38,36.78,37.81,37.72,36.66,37.03,37.97,37.44,36.19,36.19,36.91,36.44,34.84,33.91,34.09,33.34,31.19,29.25,28.91,28.75,27.16,25.44,26.16,27.56,27.94,28.03,29.06,30.53,30.25,28.5,27.06,26.72,25.28,22.31,18.78,17.12,14.81,11.25,7.34,5.5,4.84,3.03,1.44,1.38,3.06,4.03,4.88,6.91,11.12,15.53,18.19,20.47,23.44,25.12,25.12,24.12,24.88,26.34,26.56,25.66,25.44,26.16,25.34,23.47,22.03,21.84,20.84,18.03,15.38,14.78,14.38,13.16,12.16,12.78,14.38,14.97,15.31,16.25,18.97,21.38,22.66,24.22,26.78,28.16,27.12,25.75,25.5,25.88,24.62,22.88,22.38,22.31,20.59,18.06,16.41,16.0,15.12,13.75,12.81,13.47,13.81,12.53,10.53,9.69,9.28,8.19,7.19,8.72,12.44,15.41,17.66,20.34,23.81,25.72,25.69,24.44,24.12,23.53,20.75,18.47,18.09,18.38,18.66,18.31,19.47,21.34,21.72,20.97,20.5,21.69,22.91,23.09,23.78,25.28,25.75,24.0,21.53,19.97,19.09,17.97,16.88,17.34,18.56,18.97,17.88,17.34,18.53,19.25,19.41,20.22,22.75,25.38,26.5,27.03,28.88,30.31,29.97,28.09,27.47,27.12,25.88,23.97,22.69,23.06,22.88,21.44,20.06,20.16,20.06,18.94,17.81,18.38,20.19,21.72,22.75,25.19,28.59,30.41,29.81,29.59,30.03,30.09,28.69,27.62,28.19,28.0,25.72,22.38,19.62,17.25,14.38,11.44,10.38,10.72,11.38,11.22,11.69,13.88,17.09,19.09,21.31,25.28,29.09,30.72,30.84,31.62,32.28,32.34,31.16,31.22,32.53,33.25,32.38,30.94,30.62,29.5,27.19,25.16,25.31,26.06,25.84,24.66,24.72,24.84,24.06,21.81,19.88,19.03,17.81,15.16,13.09,13.28,13.78,13.31,13.19,14.91,17.06,18.47,19.06,20.72,22.66,23.41,22.62,22.69,23.62,23.78,22.41,20.84,20.5,20.09,18.31,16.81,17.88,19.62,20.66,20.97,21.88,22.53,21.78,19.12,16.91,16.06,15.88,15.19,15.12,17.47,20.44,21.91,22.69,24.5,26.09,25.94,24.5,24.0,24.62,24.72,23.84,24.16,25.72,27.16,27.38,27.59,29.44,31.34,31.66,31.0,31.06,31.12,29.75,26.97,25.06,24.25,23.03,20.56,19.12,19.31,19.78,18.69,17.75,18.59,19.5,19.03,18.03,18.66,19.47,19.97,19.91,21.25,23.25,24.47,23.94,23.03,22.72,22.19,20.62,18.88,19.22,20.09,20.19,19.62,20.97,22.59,23.59,23.59,23.75,24.25,23.94,21.91,20.31,20.38,20.91,20.31,19.47,19.84,20.41,19.97,18.72,18.75,19.66,20.16,19.59,19.78,21.03,21.66,20.84,20.12,20.28,20.22,18.06,15.97,15.34,15.75,15.97,16.25,18.25,21.34,23.53,24.19,24.5,25.41,25.66,24.06,23.12,24.47,25.81,25.53,25.09,25.22,25.44,24.34,22.38,22.12,22.75,23.19,22.81,23.03,24.06,24.78,23.88,22.69,23.0,23.53,22.97,21.66,21.22,21.22,20.25,17.66,16.44,15.78,14.66,12.03,10.53,10.31,10.62,10.44,10.62,12.72,15.88,17.84,19.12,21.44,23.75,25.0,24.91,25.81,27.25,28.12,26.81,25.38,24.81,24.16,22.34,20.78,20.91,21.16,19.72,17.5,16.34,16.03,15.31,13.94,14.0,14.84,15.84,15.91,16.5,18.75,21.09,21.94,22.06,22.97,23.78,22.69,20.84,20.03,20.25,20.56,20.44,21.81,24.56,27.12,28.12,28.53,29.25,28.69,26.06,22.38,20.09,19.28,18.16,17.28,18.09,20.03,21.03,20.62,20.47,21.0,21.16,20.03,19.22,20.06,21.16,20.94,20.16,20.12,20.75,20.0,18.66,17.91,18.34,18.28,17.12,16.28,17.38,18.75,18.97,20.06,22.84,25.41,26.22,25.69,25.66,25.91,24.78,22.38,20.53,20.22,19.22,17.44,16.5,17.06,17.69,17.12,16.53,17.34,18.41,18.59,18.28,19.0,20.38,21.12,20.72,20.81,21.69,22.44,21.69,21.12,21.56,22.0,20.78,19.28,18.97,19.31,18.12,16.81,16.78,17.41,17.06:33.88,33.78,33.91,32.88,32.34,32.94,33.62,33.31,32.28,33.0,34.34,34.78,34.44,35.0,36.44,37.28,37.28,38.16,40.25,41.94,41.94,41.22,41.03,40.22,37.81,34.28,31.94,30.09,27.81,25.44,24.69,25.25,25.25,24.38,23.69,24.06,24.12,23.25,22.62,23.94,25.84,26.88,27.5,29.91,32.88,34.97,35.69,37.06,38.84,39.66,39.0,38.69,39.59,39.44,37.66,34.75,33.53,32.12,30.0,27.38,26.47,26.41,25.5,23.69,22.75,22.75,22.59,21.47,21.38,23.16,25.03,25.69,25.94,27.28,28.62,28.91,29.03,30.94,34.25,37.31,38.66,40.5,42.66,44.06,43.81,43.78,45.12,46.0,44.69,42.22,40.84,39.28,36.66,33.66,32.34,32.31,31.47,30.03,29.5,29.75,29.34,28.03,26.81,27.09,27.62,26.91,25.75,25.88,26.22,25.94,25.03,26.25,28.62,31.03,32.16,33.66,35.41,35.84,34.41,32.69,32.12,32.25,30.97,29.53,29.69,29.88,28.69,26.69,25.66,26.0,26.81,26.94,28.16,31.09,32.91,33.59,33.75,34.97,35.94,35.06,33.94,34.53,35.94,37.03,37.53,39.12,41.0,41.91,41.03,40.0,40.06,39.41,37.62,35.84,36.19,36.38,36.25,35.53,35.81,36.78,36.44,34.44,33.03,32.69,31.78,29.69,28.81,29.94,31.19,30.84,29.88,30.09,30.03,28.5,26.56,26.16,26.59,26.5,25.16,24.78,25.59,25.19,22.91,21.34,21.16,21.75,21.81,21.56,22.56,23.72,23.22,21.91,22.25,23.69,24.94,24.94,25.19,26.56,27.16,26.5,26.12,27.56,28.88,28.84,28.78,29.84,32.09,33.03,33.28,34.41,35.94,36.56,35.75,35.66,36.66,37.41,36.03,34.81,35.0,35.03,33.75,31.97,31.56,31.88,31.03,29.94,30.25,31.25,31.66,29.97,28.91,29.0,28.66,27.22,26.97,28.34,29.94,29.81,29.56,30.06,30.66,30.28,28.62,28.12,28.53,28.62,27.69,27.5,28.84,29.75,28.84,27.78,28.16,29.0,28.91,28.94,30.25,32.22,32.53,31.56,31.72,32.91,33.94,33.78,34.75,37.16,39.31,39.06,38.75,38.38,37.53,34.75,31.91,31.0,31.47,31.84,31.16,31.5,32.34,32.53,31.16,30.34,31.06,31.97,31.16,30.47,30.88,31.5,30.78,28.78,27.75,27.69,27.25,26.47,27.09,29.69,32.28,33.06,33.94,35.38,36.41,35.16,33.78,33.66,34.41,34.03,33.19,33.28,33.84,33.5,31.34,29.75,29.94,29.84,28.62,28.34,29.69,31.22,31.06,30.97,32.44,34.31,34.78,34.81,36.0,37.81,38.81,38.59,38.69,39.16,38.88,36.38,33.69,32.22,31.25,28.62,26.81,26.75,27.97,28.34,27.97,28.88,30.72,31.34,30.62,30.41,31.53,31.94,30.47,29.47,29.69,30.91,30.66,30.88,33.0,35.5,36.34,36.34,36.62,38.31,39.44,38.78,38.09,38.34,37.81,35.44,33.22,32.69,32.88,31.62,29.81,29.5,30.31,29.81,28.41,28.0,28.78,29.16,28.03,27.84,29.25,30.09,28.78,27.19,27.03,27.53,26.78,26.03,27.22,28.88,29.59,29.97,31.31,34.03,36.53,37.25,38.34,40.69,42.5,42.28,41.59,42.06,42.47,40.25,37.47,35.44,34.22,32.06,29.75,29.09,29.97,31.16,31.0,31.44,33.66,35.28,35.25,34.78,35.16,36.03,35.56,34.94,35.66,37.25,37.66,36.22,35.75,36.34,36.53,35.44,34.41,34.59,34.38,31.81,29.0,28.19,28.69,28.12,27.97,29.62,32.66,34.88,35.66,37.03,39.84,42.0,42.16,42.38,43.66,44.47,43.19,41.66,41.66,42.34,41.41,39.69,38.56,38.53,38.0,36.56,36.22,37.59,38.59,37.56,36.34,36.47,36.72,35.38,33.94,33.97,34.69,34.19,33.25,33.44,34.66,35.16,34.31,34.19,35.22,35.75,34.81,33.88,34.12,34.31,33.06,31.38,31.06,31.59,31.12,30.16,29.94,30.78,30.75,29.19,28.12,28.31,28.47,27.56,27.12,27.97,29.5,29.38,28.53,29.06,30.38,30.34,29.22,29.09,29.91,29.53,28.06,27.06,27.62,28.03,26.78,25.5,25.88,26.69,26.5,25.78,26.94,28.91,29.19,28.38,27.66,28.38,28.09,26.59,25.81,26.72,27.75,27.34,27.0,28.19,29.78,29.94,29.47,29.88,31.31,31.94,31.47,31.59,32.88,33.31,31.94,30.25,29.0,27.94,24.88,21.69,20.69,21.06,21.03,20.91,22.09,23.94,24.5,23.44,22.59,23.0,22.56,20.91,20.03,20.88,22.28,22.66,22.81,24.88,27.88,29.56,30.88,33.06,35.97,37.56,37.84,38.34,39.88,40.53,39.5,37.69,37.19,36.75,34.16,31.0,28.56,26.72,22.94,18.66,15.91,15.03,14.06,13.56,14.19,16.75,19.31,20.91,22.12,24.81,27.44,27.69,27.03,26.94,27.5,26.81,25.41,24.56,24.5,23.19,20.28,17.09,15.88,14.97,13.19,12.25,13.47,15.88,17.0,18.28,20.69,24.06,25.91,26.62,27.91,30.62,32.72,33.28,34.38,36.78,37.81,37.72,36.66,37.03,37.97,37.44,36.19,36.19,36.91,36.44,34.84,33.91,34.09,33.34,31.19,29.25,28.91,28.75,27.16,25.44,26.16,27.56,27.94,28.03,29.06,30.53,30.25,28.5,27.06,26.72,25.28,22.31,18.78,17.12,14.81,11.25,7.34,5.5,4.84,3.03,1.44,1.38,3.06,4.03,4.88,6.91,11.12,15.53,18.19,20.47,23.44,25.12,25.12,24.12,24.88,26.34,26.56,25.66,25.44,26.16,25.34,23.47,22.03,21.84,20.84,18.03,15.38,14.78,14.38,13.16,12.16,12.78,14.38,14.97,15.31,16.25,18.97,21.38,22.66,24.22,26.78,28.16,27.12,25.75,25.5,25.88,24.62,22.88,22.38,22.31,20.59,18.06,16.41,16.0,15.12,13.75,12.81,13.47,13.81,12.53,10.53,9.69,9.28,8.19,7.19,8.72,12.44,15.41,17.66,20.34,23.81,25.72,25.69,24.44,24.12,23.53,20.75,18.47,18.09,18.38,18.66,18.31,19.47,21.34,21.72,20.97,20.5,21.69,22.91,23.09,23.78,25.28,25.75,24.0,21.53,19.97,19.09,17.97,16.88,17.34,18.56,18.97,17.88,17.34,18.53,19.25,19.41,20.22,22.75,25.38,26.5,27.03,28.88,30.31,29.97,28.09,27.47,27.12,25.88,23.97,22.69,23.06,22.88,21.44,20.06,20.16,20.06,18.94,17.81,18.38,20.19,21.72,22.75,25.19,28.59,30.41,29.81,29.59,30.03,30.09,28.69,27.62,28.19,28.0,25.72,22.38,19.62,17.25,14.38,11.44,10.38,10.72,11.38,11.22,11.69,13.88,17.09,19.09,21.31,25.28,29.09,30.72,30.84,31.62,32.28,32.34,31.16,31.22,32.53,33.25,32.38,30.94,30.62,29.5,27.19,25.16,25.31,26.06,25.84,24.66,24.72,24.84,24.06,21.81,19.88,19.03,17.81,15.16,13.09,13.28,13.78,13.31,13.19,14.91,17.06,18.47,19.06,20.72,22.66,23.41,22.62,22.69,23.62,23.78,22.41,20.84,20.5,20.09,18.31,16.81,17.88,19.62,20.66,20.97,21.88,22.53,21.78,19.12,16.91,16.06,15.88,15.19,15.12,17.47,20.44,21.91,22.69,24.5,26.09,25.94,24.5,24.0,24.62,24.72,23.84,24.16,25.72,27.16,27.38,27.59,29.44,31.34,31.66,31.0,31.06,31.12,29.75,26.97,25.06,24.25,23.03,20.56,19.12,19.31,19.78,18.69,17.75,18.59,19.5,19.03,18.03,18.66,19.47,19.97,19.91,21.25,23.25,24.47,23.94,23.03,22.72,22.19,20.62,18.88,19.22,20.09,20.19,19.62,20.97,22.59,23.59,23.59,23.75,24.25,23.94,21.91,20.31,20.38,20.91,20.31,19.47,19.84,20.41,19.97,18.72,18.75,19.66,20.16,19.59,19.78,21.03,21.66,20.84,20.12,20.28,20.22,18.06,15.97,15.34,15.75,15.97,16.25,18.25,21.34,23.53,24.19,24.5,25.41,25.66,24.06,23.12,24.47,25.81,25.53,25.09,25.22,25.44,24.34,22.38,22.12,22.75,23.19,22.81,23.03,24.06,24.78,23.88,22.69,23.0,23.53,22.97,21.66,21.22,21.22,20.25,17.66,16.44,15.78,14.66,12.03,10.53,10.31,10.62,10.44,10.62,12.72,15.88,17.84,19.12,21.44,23.75,25.0,24.91,25.81,27.25,28.12,26.81,25.38,24.81,24.16,22.34,20.78,20.91,21.16,19.72,17.5,16.34,16.03,15.31,13.94,14.0,14.84,15.84,15.91,16.5,18.75,21.09,21.94,22.06,22.97,23.78,22.69,20.84,20.03,20.25,20.56,20.44,21.81,24.56,27.12,28.12,28.53,29.25,28.69,26.06,22.38,20.09,19.28,18.16,17.28,18.09,20.03,21.03,20.62,20.47,21.0,21.16,20.03,19.22,20.06,21.16,20.94,20.16,20.12,20.75,20.0,18.66,17.91,18.34,18.28,17.12,16.28,17.38,18.75,18.97,20.06,22.84,25.41,26.22,25.69,25.66,25.91,24.78,22.38,20.53,20.22,19.22,17.44,16.5,17.06,17.69,17.12,16.53,17.34,18.41,18.59,18.28,19.0,20.38,21.12,20.72,20.81,21.69,22.44,21.69,21.12,21.56,22.0,20.78,19.28,18.97,19.31,18.12,16.81,16.78,17.41,17.06,50.16,49.38,48.47,47.22,45.91,45.59,45.62:33.31,32.28,33.0,34.34,34.78,34.44,35.0,36.44,37.28,37.28,38.16,40.25,41.94,41.94,41.22,41.03,40.22,37.81,34.28,31.94,30.09,27.81,25.44,24.69,25.25,25.25,24.38,23.69,24.06,24.12,23.25,22.62,23.94,25.84,26.88,27.5,29.91,32.88,34.97,35.69,37.06,38.84,39.66,39.0,38.69,39.59,39.44,37.66,34.75,33.53,32.12,30.0,27.38,26.47,26.41,25.5,23.69,22.75,22.75,22.59,21.47,21.38,23.16,25.03,25.69,25.94,27.28,28.62,28.91,29.03,30.94,34.25,37.31,38.66,40.5,42.66,44.06,43.81,43.78,45.12,46.0,44.69,42.22,40.84,39.28,36.66,33.66,32.34,32.31,31.47,30.03,29.5,29.75,29.34,28.03,26.81,27.09,27.62,26.91,25.75,25.88,26.22,25.94,25.03,26.25,28.62,31.03,32.16,33.66,35.41,35.84,34.41,32.69,32.12,32.25,30.97,29.53,29.69,29.88,28.69,26.69,25.66,26.0,26.81,26.94,28.16,31.09,32.91,33.59,33.75,34.97,35.94,35.06,33.94,34.53,35.94,37.03,37.53,39.12,41.0,41.91,41.03,40.0,40.06,39.41,37.62,35.84,36.19,36.38,36.25,35.53,35.81,36.78,36.44,34.44,33.03,32.69,31.78,29.69,28.81,29.94,31.19,30.84,29.88,30.09,30.03,28.5,26.56,26.16,26.59,26.5,25.16,24.78,25.59,25.19,22.91,21.34,21.16,21.75,21.81,21.56,22.56,23.72,23.22,21.91,22.25,23.69,24.94,24.94,25.19,26.56,27.16,26.5,26.12,27.56,28.88,28.84,28.78,29.84,32.09,33.03,33.28,34.41,35.94,36.56,35.75,35.66,36.66,37.41,36.03,34.81,35.0,35.03,33.75,31.97,31.56,31.88,31.03,29.94,30.25,31.25,31.66,29.97,28.91,29.0,28.66,27.22,26.97,28.34,29.94,29.81,29.56,30.06,30.66,30.28,28.62,28.12,28.53,28.62,27.69,27.5,28.84,29.75,28.84,27.78,28.16,29.0,28.91,28.94,30.25,32.22,32.53,31.56,31.72,32.91,33.94,33.78,34.75,37.16,39.31,39.06,38.75,38.38,37.53,34.75,31.91,31.0,31.47,31.84,31.16,31.5,32.34,32.53,31.16,30.34,31.06,31.97,31.16,30.47,30.88,31.5,30.78,28.78,27.75,27.69,27.25,26.47,27.09,29.69,32.28,33.06,33.94,35.38,36.41,35.16,33.78,33.66,34.41,34.03,33.19,33.28,33.84,33.5,31.34,29.75,29.94,29.84,28.62,28.34,29.69,31.22,31.06,30.97,32.44,34.31,34.78,34.81,36.0,37.81,38.81,38.59,38.69,39.16,38.88,36.38,33.69,32.22,31.25,28.62,26.81,26.75,27.97,28.34,27.97,28.88,30.72,31.34,30.62,30.41,31.53,31.94,30.47,29.47,29.69,30.91,30.66,30.88,33.0,35.5,36.34,36.34,36.62,38.31,39.44,38.78,38.09,38.34,37.81,35.44,33.22,32.69,32.88,31.62,29.81,29.5,30.31,29.81,28.41,28.0,28.78,29.16,28.03,27.84,29.25,30.09,28.78,27.19,27.03,27.53,26.78,26.03,27.22,28.88,29.59,29.97,31.31,34.03,36.53,37.25,38.34,40.69,42.5,42.28,41.59,42.06,42.47,40.25,37.47,35.44,34.22,32.06,29.75,29.09,29.97,31.16,31.0,31.44,33.66,35.28,35.25,34.78,35.16,36.03,35.56,34.94,35.66,37.25,37.66,36.22,35.75,36.34,36.53,35.44,34.41,34.59,34.38,31.81,29.0,28.19,28.69,28.12,27.97,29.62,32.66,34.88,35.66,37.03,39.84,42.0,42.16,42.38,43.66,44.47,43.19,41.66,41.66,42.34,41.41,39.69,38.56,38.53,38.0,36.56,36.22,37.59,38.59,37.56,36.34,36.47,36.72,35.38,33.94,33.97,34.69,34.19,33.25,33.44,34.66,35.16,34.31,34.19,35.22,35.75,34.81,33.88,34.12,34.31,33.06,31.38,31.06,31.59,31.12,30.16,29.94,30.78,30.75,29.19,28.12,28.31,28.47,27.56,27.12,27.97,29.5,29.38,28.53,29.06,30.38,30.34,29.22,29.09,29.91,29.53,28.06,27.06,27.62,28.03,26.78,25.5,25.88,26.69,26.5,25.78,26.94,28.91,29.19,28.38,27.66,28.38,28.09,26.59,25.81,26.72,27.75,27.34,27.0,28.19,29.78,29.94,29.47,29.88,31.31,31.94,31.47,31.59,32.88,33.31,31.94,30.25,29.0,27.94,24.88,21.69,20.69,21.06,21.03,20.91,22.09,23.94,24.5,23.44,22.59,23.0,22.56,20.91,20.03,20.88,22.28,22.66,22.81,24.88,27.88,29.56,30.88,33.06,35.97,37.56,37.84,38.34,39.88,40.53,39.5,37.69,37.19,36.75,34.16,31.0,28.56,26.72,22.94,18.66,15.91,15.03,14.06,13.56,14.19,16.75,19.31,20.91,22.12,24.81,27.44,27.69,27.03,26.94,27.5,26.81,25.41,24.56,24.5,23.19,20.28,17.09,15.88,14.97,13.19,12.25,13.47,15.88,17.0,18.28,20.69,24.06,25.91,26.62,27.91,30.62,32.72,33.28,34.38,36.78,37.81,37.72,36.66,37.03,37.97,37.44,36.19,36.19,36.91,36.44,34.84,33.91,34.09,33.34,31.19,29.25,28.91,28.75,27.16,25.44,26.16,27.56,27.94,28.03,29.06,30.53,30.25,28.5,27.06,26.72,25.28,22.31,18.78,17.12,14.81,11.25,7.34,5.5,4.84,3.03,1.44,1.38,3.06,4.03,4.88,6.91,11.12,15.53,18.19,20.47,23.44,25.12,25.12,24.12,24.88,26.34,26.56,25.66,25.44,26.16,25.34,23.47,22.03,21.84,20.84,18.03,15.38,14.78,14.38,13.16,12.16,12.78,14.38,14.97,15.31,16.25,18.97,21.38,22.66,24.22,26.78,28.16,27.12,25.75,25.5,25.88,24.62,22.88,22.38,22.31,20.59,18.06,16.41,16.0,15.12,13.75,12.81,13.47,13.81,12.53,10.53,9.69,9.28,8.19,7.19,8.72,12.44,15.41,17.66,20.34,23.81,25.72,25.69,24.44,24.12,23.53,20.75,18.47,18.09,18.38,18.66,18.31,19.47,21.34,21.72,20.97,20.5,21.69,22.91,23.09,23.78,25.28,25.75,24.0,21.53,19.97,19.09,17.97,16.88,17.34,18.56,18.97,17.88,17.34,18.53,19.25,19.41,20.22,22.75,25.38,26.5,27.03,28.88,30.31,29.97,28.09,27.47,27.12,25.88,23.97,22.69,23.06,22.88,21.44,20.06,20.16,20.06,18.94,17.81,18.38,20.19,21.72,22.75,25.19,28.59,30.41,29.81,29.59,30.03,30.09,28.69,27.62,28.19,28.0,25.72,22.38,19.62,17.25,14.38,11.44,10.38,10.72,11.38,11.22,11.69,13.88,17.09,19.09,21.31,25.28,29.09,30.72,30.84,31.62,32.28,32.34,31.16,31.22,32.53,33.25,32.38,30.94,30.62,29.5,27.19,25.16,25.31,26.06,25.84,24.66,24.72,24.84,24.06,21.81,19.88,19.03,17.81,15.16,13.09,13.28,13.78,13.31,13.19,14.91,17.06,18.47,19.06,20.72,22.66,23.41,22.62,22.69,23.62,23.78,22.41,20.84,20.5,20.09,18.31,16.81,17.88,19.62,20.66,20.97,21.88,22.53,21.78,19.12,16.91,16.06,15.88,15.19,15.12,17.47,20.44,21.91,22.69,24.5,26.09,25.94,24.5,24.0,24.62,24.72,23.84,24.16,25.72,27.16,27.38,27.59,29.44,31.34,31.66,31.0,31.06,31.12,29.75,26.97,25.06,24.25,23.03,20.56,19.12,19.31,19.78,18.69,17.75,18.59,19.5,19.03,18.03,18.66,19.47,19.97,19.91,21.25,23.25,24.47,23.94,23.03,22.72,22.19,20.62,18.88,19.22,20.09,20.19,19.62,20.97,22.59,23.59,23.59,23.75,24.25,23.94,21.91,20.31,20.38,20.91,20.31,19.47,19.84,20.41,19.97,18.72,18.75,19.66,20.16,19.59,19.78,21.03,21.66,20.84,20.12,20.28,20.22,18.06,15.97,15.34,15.75,15.97,16.25,18.25,21.34,23.53,24.19,24.5,25.41,25.66,24.06,23.12,24.47,25.81,25.53,25.09,25.22,25.44,24.34,22.38,22.12,22.75,23.19,22.81,23.03,24.06,24.78,23.88,22.69,23.0,23.53,22.97,21.66,21.22,21.22,20.25,17.66,16.44,15.78,14.66,12.03,10.53,10.31,10.62,10.44,10.62,12.72,15.88,17.84,19.12,21.44,23.75,25.0,24.91,25.81,27.25,28.12,26.81,25.38,24.81,24.16,22.34,20.78,20.91,21.16,19.72,17.5,16.34,16.03,15.31,13.94,14.0,14.84,15.84,15.91,16.5,18.75,21.09,21.94,22.06,22.97,23.78,22.69,20.84,20.03,20.25,20.56,20.44,21.81,24.56,27.12,28.12,28.53,29.25,28.69,26.06,22.38,20.09,19.28,18.16,17.28,18.09,20.03,21.03,20.62,20.47,21.0,21.16,20.03,19.22,20.06,21.16,20.94,20.16,20.12,20.75,20.0,18.66,17.91,18.34,18.28,17.12,16.28,17.38,18.75,18.97,20.06,22.84,25.41,26.22,25.69,25.66,25.91,24.78,22.38,20.53,20.22,19.22,17.44,16.5,17.06,17.69,17.12,16.53,17.34,18.41,18.59,18.28,19.0,20.38,21.12,20.72,20.81,21.69,22.44,21.69,21.12,21.56,22.0,20.78,19.28,18.97,19.31,18.12,16.81,16.78,17.41,17.06,50.16,49.38,48.47,47.22,45.91,45.59,45.62,45.88,46.34,47.69,49.62,51.03,51.5,51.94:36.44,37.28,37.28,38.16,40.25,41.94,41.94,41.22,41.03,40.22,37.81,34.28,31.94,30.09,27.81,25.44,24.69,25.25,25.25,24.38,23.69,24.06,24.12,23.25,22.62,23.94,25.84,26.88,27.5,29.91,32.88,34.97,35.69,37.06,38.84,39.66,39.0,38.69,39.59,39.44,37.66,34.75,33.53,32.12,30.0,27.38,26.47,26.41,25.5,23.69,22.75,22.75,22.59,21.47,21.38,23.16,25.03,25.69,25.94,27.28,28.62,28.91,29.03,30.94,34.25,37.31,38.66,40.5,42.66,44.06,43.81,43.78,45.12,46.0,44.69,42.22,40.84,39.28,36.66,33.66,32.34,32.31,31.47,30.03,29.5,29.75,29.34,28.03,26.81,27.09,27.62,26.91,25.75,25.88,26.22,25.94,25.03,26.25,28.62,31.03,32.16,33.66,35.41,35.84,34.41,32.69,32.12,32.25,30.97,29.53,29.69,29.88,28.69,26.69,25.66,26.0,26.81,26.94,28.16,31.09,32.91,33.59,33.75,34.97,35.94,35.06,33.94,34.53,35.94,37.03,37.53,39.12,41.0,41.91,41.03,40.0,40.06,39.41,37.62,35.84,36.19,36.38,36.25,35.53,35.81,36.78,36.44,34.44,33.03,32.69,31.78,29.69,28.81,29.94,31.19,30.84,29.88,30.09,30.03,28.5,26.56,26.16,26.59,26.5,25.16,24.78,25.59,25.19,22.91,21.34,21.16,21.75,21.81,21.56,22.56,23.72,23.22,21.91,22.25,23.69,24.94,24.94,25.19,26.56,27.16,26.5,26.12,27.56,28.88,28.84,28.78,29.84,32.09,33.03,33.28,34.41,35.94,36.56,35.75,35.66,36.66,37.41,36.03,34.81,35.0,35.03,33.75,31.97,31.56,31.88,31.03,29.94,30.25,31.25,31.66,29.97,28.91,29.0,28.66,27.22,26.97,28.34,29.94,29.81,29.56,30.06,30.66,30.28,28.62,28.12,28.53,28.62,27.69,27.5,28.84,29.75,28.84,27.78,28.16,29.0,28.91,28.94,30.25,32.22,32.53,31.56,31.72,32.91,33.94,33.78,34.75,37.16,39.31,39.06,38.75,38.38,37.53,34.75,31.91,31.0,31.47,31.84,31.16,31.5,32.34,32.53,31.16,30.34,31.06,31.97,31.16,30.47,30.88,31.5,30.78,28.78,27.75,27.69,27.25,26.47,27.09,29.69,32.28,33.06,33.94,35.38,36.41,35.16,33.78,33.66,34.41,34.03,33.19,33.28,33.84,33.5,31.34,29.75,29.94,29.84,28.62,28.34,29.69,31.22,31.06,30.97,32.44,34.31,34.78,34.81,36.0,37.81,38.81,38.59,38.69,39.16,38.88,36.38,33.69,32.22,31.25,28.62,26.81,26.75,27.97,28.34,27.97,28.88,30.72,31.34,30.62,30.41,31.53,31.94,30.47,29.47,29.69,30.91,30.66,30.88,33.0,35.5,36.34,36.34,36.62,38.31,39.44,38.78,38.09,38.34,37.81,35.44,33.22,32.69,32.88,31.62,29.81,29.5,30.31,29.81,28.41,28.0,28.78,29.16,28.03,27.84,29.25,30.09,28.78,27.19,27.03,27.53,26.78,26.03,27.22,28.88,29.59,29.97,31.31,34.03,36.53,37.25,38.34,40.69,42.5,42.28,41.59,42.06,42.47,40.25,37.47,35.44,34.22,32.06,29.75,29.09,29.97,31.16,31.0,31.44,33.66,35.28,35.25,34.78,35.16,36.03,35.56,34.94,35.66,37.25,37.66,36.22,35.75,36.34,36.53,35.44,34.41,34.59,34.38,31.81,29.0,28.19,28.69,28.12,27.97,29.62,32.66,34.88,35.66,37.03,39.84,42.0,42.16,42.38,43.66,44.47,43.19,41.66,41.66,42.34,41.41,39.69,38.56,38.53,38.0,36.56,36.22,37.59,38.59,37.56,36.34,36.47,36.72,35.38,33.94,33.97,34.69,34.19,33.25,33.44,34.66,35.16,34.31,34.19,35.22,35.75,34.81,33.88,34.12,34.31,33.06,31.38,31.06,31.59,31.12,30.16,29.94,30.78,30.75,29.19,28.12,28.31,28.47,27.56,27.12,27.97,29.5,29.38,28.53,29.06,30.38,30.34,29.22,29.09,29.91,29.53,28.06,27.06,27.62,28.03,26.78,25.5,25.88,26.69,26.5,25.78,26.94,28.91,29.19,28.38,27.66,28.38,28.09,26.59,25.81,26.72,27.75,27.34,27.0,28.19,29.78,29.94,29.47,29.88,31.31,31.94,31.47,31.59,32.88,33.31,31.94,30.25,29.0,27.94,24.88,21.69,20.69,21.06,21.03,20.91,22.09,23.94,24.5,23.44,22.59,23.0,22.56,20.91,20.03,20.88,22.28,22.66,22.81,24.88,27.88,29.56,30.88,33.06,35.97,37.56,37.84,38.34,39.88,40.53,39.5,37.69,37.19,36.75,34.16,31.0,28.56,26.72,22.94,18.66,15.91,15.03,14.06,13.56,14.19,16.75,19.31,20.91,22.12,24.81,27.44,27.69,27.03,26.94,27.5,26.81,25.41,24.56,24.5,23.19,20.28,17.09,15.88,14.97,13.19,12.25,13.47,15.88,17.0,18.28,20.69,24.06,25.91,26.62,27.91,30.62,32.72,33.28,34.38,36.78,37.81,37.72,36.66,37.03,37.97,37.44,36.19,36.19,36.91,36.44,34.84,33.91,34.09,33.34,31.19,29.25,28.91,28.75,27.16,25.44,26.16,27.56,27.94,28.03,29.06,30.53,30.25,28.5,27.06,26.72,25.28,22.31,18.78,17.12,14.81,11.25,7.34,5.5,4.84,3.03,1.44,1.38,3.06,4.03,4.88,6.91,11.12,15.53,18.19,20.47,23.44,25.12,25.12,24.12,24.88,26.34,26.56,25.66,25.44,26.16,25.34,23.47,22.03,21.84,20.84,18.03,15.38,14.78,14.38,13.16,12.16,12.78,14.38,14.97,15.31,16.25,18.97,21.38,22.66,24.22,26.78,28.16,27.12,25.75,25.5,25.88,24.62,22.88,22.38,22.31,20.59,18.06,16.41,16.0,15.12,13.75,12.81,13.47,13.81,12.53,10.53,9.69,9.28,8.19,7.19,8.72,12.44,15.41,17.66,20.34,23.81,25.72,25.69,24.44,24.12,23.53,20.75,18.47,18.09,18.38,18.66,18.31,19.47,21.34,21.72,20.97,20.5,21.69,22.91,23.09,23.78,25.28,25.75,24.0,21.53,19.97,19.09,17.97,16.88,17.34,18.56,18.97,17.88,17.34,18.53,19.25,19.41,20.22,22.75,25.38,26.5,27.03,28.88,30.31,29.97,28.09,27.47,27.12,25.88,23.97,22.69,23.06,22.88,21.44,20.06,20.16,20.06,18.94,17.81,18.38,20.19,21.72,22.75,25.19,28.59,30.41,29.81,29.59,30.03,30.09,28.69,27.62,28.19,28.0,25.72,22.38,19.62,17.25,14.38,11.44,10.38,10.72,11.38,11.22,11.69,13.88,17.09,19.09,21.31,25.28,29.09,30.72,30.84,31.62,32.28,32.34,31.16,31.22,32.53,33.25,32.38,30.94,30.62,29.5,27.19,25.16,25.31,26.06,25.84,24.66,24.72,24.84,24.06,21.81,19.88,19.03,17.81,15.16,13.09,13.28,13.78,13.31,13.19,14.91,17.06,18.47,19.06,20.72,22.66,23.41,22.62,22.69,23.62,23.78,22.41,20.84,20.5,20.09,18.31,16.81,17.88,19.62,20.66,20.97,21.88,22.53,21.78,19.12,16.91,16.06,15.88,15.19,15.12,17.47,20.44,21.91,22.69,24.5,26.09,25.94,24.5,24.0,24.62,24.72,23.84,24.16,25.72,27.16,27.38,27.59,29.44,31.34,31.66,31.0,31.06,31.12,29.75,26.97,25.06,24.25,23.03,20.56,19.12,19.31,19.78,18.69,17.75,18.59,19.5,19.03,18.03,18.66,19.47,19.97,19.91,21.25,23.25,24.47,23.94,23.03,22.72,22.19,20.62,18.88,19.22,20.09,20.19,19.62,20.97,22.59,23.59,23.59,23.75,24.25,23.94,21.91,20.31,20.38,20.91,20.31,19.47,19.84,20.41,19.97,18.72,18.75,19.66,20.16,19.59,19.78,21.03,21.66,20.84,20.12,20.28,20.22,18.06,15.97,15.34,15.75,15.97,16.25,18.25,21.34,23.53,24.19,24.5,25.41,25.66,24.06,23.12,24.47,25.81,25.53,25.09,25.22,25.44,24.34,22.38,22.12,22.75,23.19,22.81,23.03,24.06,24.78,23.88,22.69,23.0,23.53,22.97,21.66,21.22,21.22,20.25,17.66,16.44,15.78,14.66,12.03,10.53,10.31,10.62,10.44,10.62,12.72,15.88,17.84,19.12,21.44,23.75,25.0,24.91,25.81,27.25,28.12,26.81,25.38,24.81,24.16,22.34,20.78,20.91,21.16,19.72,17.5,16.34,16.03,15.31,13.94,14.0,14.84,15.84,15.91,16.5,18.75,21.09,21.94,22.06,22.97,23.78,22.69,20.84,20.03,20.25,20.56,20.44,21.81,24.56,27.12,28.12,28.53,29.25,28.69,26.06,22.38,20.09,19.28,18.16,17.28,18.09,20.03,21.03,20.62,20.47,21.0,21.16,20.03,19.22,20.06,21.16,20.94,20.16,20.12,20.75,20.0,18.66,17.91,18.34,18.28,17.12,16.28,17.38,18.75,18.97,20.06,22.84,25.41,26.22,25.69,25.66,25.91,24.78,22.38,20.53,20.22,19.22,17.44,16.5,17.06,17.69,17.12,16.53,17.34,18.41,18.59,18.28,19.0,20.38,21.12,20.72,20.81,21.69,22.44,21.69,21.12,21.56,22.0,20.78,19.28,18.97,19.31,18.12,16.81,16.78,17.41,17.06,50.16,49.38,48.47,47.22,45.91,45.59,45.62,45.88,46.34,47.69,49.62,51.03,51.5,51.94,52.56,52.91,52.72,52.94,53.81,54.88,55.34:41.22,41.03,40.22,37.81,34.28,31.94,30.09,27.81,25.44,24.69,25.25,25.25,24.38,23.69,24.06,24.12,23.25,22.62,23.94,25.84,26.88,27.5,29.91,32.88,34.97,35.69,37.06,38.84,39.66,39.0,38.69,39.59,39.44,37.66,34.75,33.53,32.12,30.0,27.38,26.47,26.41,25.5,23.69,22.75,22.75,22.59,21.47,21.38,23.16,25.03,25.69,25.94,27.28,28.62,28.91,29.03,30.94,34.25,37.31,38.66,40.5,42.66,44.06,43.81,43.78,45.12,46.0,44.69,42.22,40.84,39.28,36.66,33.66,32.34,32.31,31.47,30.03,29.5,29.75,29.34,28.03,26.81,27.09,27.62,26.91,25.75,25.88,26.22,25.94,25.03,26.25,28.62,31.03,32.16,33.66,35.41,35.84,34.41,32.69,32.12,32.25,30.97,29.53,29.69,29.88,28.69,26.69,25.66,26.0,26.81,26.94,28.16,31.09,32.91,33.59,33.75,34.97,35.94,35.06,33.94,34.53,35.94,37.03,37.53,39.12,41.0,41.91,41.03,40.0,40.06,39.41,37.62,35.84,36.19,36.38,36.25,35.53,35.81,36.78,36.44,34.44,33.03,32.69,31.78,29.69,28.81,29.94,31.19,30.84,29.88,30.09,30.03,28.5,26.56,26.16,26.59,26.5,25.16,24.78,25.59,25.19,22.91,21.34,21.16,21.75,21.81,21.56,22.56,23.72,23.22,21.91,22.25,23.69,24.94,24.94,25.19,26.56,27.16,26.5,26.12,27.56,28.88,28.84,28.78,29.84,32.09,33.03,33.28,34.41,35.94,36.56,35.75,35.66,36.66,37.41,36.03,34.81,35.0,35.03,33.75,31.97,31.56,31.88,31.03,29.94,30.25,31.25,31.66,29.97,28.91,29.0,28.66,27.22,26.97,28.34,29.94,29.81,29.56,30.06,30.66,30.28,28.62,28.12,28.53,28.62,27.69,27.5,28.84,29.75,28.84,27.78,28.16,29.0,28.91,28.94,30.25,32.22,32.53,31.56,31.72,32.91,33.94,33.78,34.75,37.16,39.31,39.06,38.75,38.38,37.53,34.75,31.91,31.0,31.47,31.84,31.16,31.5,32.34,32.53,31.16,30.34,31.06,31.97,31.16,30.47,30.88,31.5,30.78,28.78,27.75,27.69,27.25,26.47,27.09,29.69,32.28,33.06,33.94,35.38,36.41,35.16,33.78,33.66,34.41,34.03,33.19,33.28,33.84,33.5,31.34,29.75,29.94,29.84,28.62,28.34,29.69,31.22,31.06,30.97,32.44,34.31,34.78,34.81,36.0,37.81,38.81,38.59,38.69,39.16,38.88,36.38,33.69,32.22,31.25,28.62,26.81,26.75,27.97,28.34,27.97,28.88,30.72,31.34,30.62,30.41,31.53,31.94,30.47,29.47,29.69,30.91,30.66,30.88,33.0,35.5,36.34,36.34,36.62,38.31,39.44,38.78,38.09,38.34,37.81,35.44,33.22,32.69,32.88,31.62,29.81,29.5,30.31,29.81,28.41,28.0,28.78,29.16,28.03,27.84,29.25,30.09,28.78,27.19,27.03,27.53,26.78,26.03,27.22,28.88,29.59,29.97,31.31,34.03,36.53,37.25,38.34,40.69,42.5,42.28,41.59,42.06,42.47,40.25,37.47,35.44,34.22,32.06,29.75,29.09,29.97,31.16,31.0,31.44,33.66,35.28,35.25,34.78,35.16,36.03,35.56,34.94,35.66,37.25,37.66,36.22,35.75,36.34,36.53,35.44,34.41,34.59,34.38,31.81,29.0,28.19,28.69,28.12,27.97,29.62,32.66,34.88,35.66,37.03,39.84,42.0,42.16,42.38,43.66,44.47,43.19,41.66,41.66,42.34,41.41,39.69,38.56,38.53,38.0,36.56,36.22,37.59,38.59,37.56,36.34,36.47,36.72,35.38,33.94,33.97,34.69,34.19,33.25,33.44,34.66,35.16,34.31,34.19,35.22,35.75,34.81,33.88,34.12,34.31,33.06,31.38,31.06,31.59,31.12,30.16,29.94,30.78,30.75,29.19,28.12,28.31,28.47,27.56,27.12,27.97,29.5,29.38,28.53,29.06,30.38,30.34,29.22,29.09,29.91,29.53,28.06,27.06,27.62,28.03,26.78,25.5,25.88,26.69,26.5,25.78,26.94,28.91,29.19,28.38,27.66,28.38,28.09,26.59,25.81,26.72,27.75,27.34,27.0,28.19,29.78,29.94,29.47,29.88,31.31,31.94,31.47,31.59,32.88,33.31,31.94,30.25,29.0,27.94,24.88,21.69,20.69,21.06,21.03,20.91,22.09,23.94,24.5,23.44,22.59,23.0,22.56,20.91,20.03,20.88,22.28,22.66,22.81,24.88,27.88,29.56,30.88,33.06,35.97,37.56,37.84,38.34,39.88,40.53,39.5,37.69,37.19,36.75,34.16,31.0,28.56,26.72,22.94,18.66,15.91,15.03,14.06,13.56,14.19,16.75,19.31,20.91,22.12,24.81,27.44,27.69,27.03,26.94,27.5,26.81,25.41,24.56,24.5,23.19,20.28,17.09,15.88,14.97,13.19,12.25,13.47,15.88,17.0,18.28,20.69,24.06,25.91,26.62,27.91,30.62,32.72,33.28,34.38,36.78,37.81,37.72,36.66,37.03,37.97,37.44,36.19,36.19,36.91,36.44,34.84,33.91,34.09,33.34,31.19,29.25,28.91,28.75,27.16,25.44,26.16,27.56,27.94,28.03,29.06,30.53,30.25,28.5,27.06,26.72,25.28,22.31,18.78,17.12,14.81,11.25,7.34,5.5,4.84,3.03,1.44,1.38,3.06,4.03,4.88,6.91,11.12,15.53,18.19,20.47,23.44,25.12,25.12,24.12,24.88,26.34,26.56,25.66,25.44,26.16,25.34,23.47,22.03,21.84,20.84,18.03,15.38,14.78,14.38,13.16,12.16,12.78,14.38,14.97,15.31,16.25,18.97,21.38,22.66,24.22,26.78,28.16,27.12,25.75,25.5,25.88,24.62,22.88,22.38,22.31,20.59,18.06,16.41,16.0,15.12,13.75,12.81,13.47,13.81,12.53,10.53,9.69,9.28,8.19,7.19,8.72,12.44,15.41,17.66,20.34,23.81,25.72,25.69,24.44,24.12,23.53,20.75,18.47,18.09,18.38,18.66,18.31,19.47,21.34,21.72,20.97,20.5,21.69,22.91,23.09,23.78,25.28,25.75,24.0,21.53,19.97,19.09,17.97,16.88,17.34,18.56,18.97,17.88,17.34,18.53,19.25,19.41,20.22,22.75,25.38,26.5,27.03,28.88,30.31,29.97,28.09,27.47,27.12,25.88,23.97,22.69,23.06,22.88,21.44,20.06,20.16,20.06,18.94,17.81,18.38,20.19,21.72,22.75,25.19,28.59,30.41,29.81,29.59,30.03,30.09,28.69,27.62,28.19,28.0,25.72,22.38,19.62,17.25,14.38,11.44,10.38,10.72,11.38,11.22,11.69,13.88,17.09,19.09,21.31,25.28,29.09,30.72,30.84,31.62,32.28,32.34,31.16,31.22,32.53,33.25,32.38,30.94,30.62,29.5,27.19,25.16,25.31,26.06,25.84,24.66,24.72,24.84,24.06,21.81,19.88,19.03,17.81,15.16,13.09,13.28,13.78,13.31,13.19,14.91,17.06,18.47,19.06,20.72,22.66,23.41,22.62,22.69,23.62,23.78,22.41,20.84,20.5,20.09,18.31,16.81,17.88,19.62,20.66,20.97,21.88,22.53,21.78,19.12,16.91,16.06,15.88,15.19,15.12,17.47,20.44,21.91,22.69,24.5,26.09,25.94,24.5,24.0,24.62,24.72,23.84,24.16,25.72,27.16,27.38,27.59,29.44,31.34,31.66,31.0,31.06,31.12,29.75,26.97,25.06,24.25,23.03,20.56,19.12,19.31,19.78,18.69,17.75,18.59,19.5,19.03,18.03,18.66,19.47,19.97,19.91,21.25,23.25,24.47,23.94,23.03,22.72,22.19,20.62,18.88,19.22,20.09,20.19,19.62,20.97,22.59,23.59,23.59,23.75,24.25,23.94,21.91,20.31,20.38,20.91,20.31,19.47,19.84,20.41,19.97,18.72,18.75,19.66,20.16,19.59,19.78,21.03,21.66,20.84,20.12,20.28,20.22,18.06,15.97,15.34,15.75,15.97,16.25,18.25,21.34,23.53,24.19,24.5,25.41,25.66,24.06,23.12,24.47,25.81,25.53,25.09,25.22,25.44,24.34,22.38,22.12,22.75,23.19,22.81,23.03,24.06,24.78,23.88,22.69,23.0,23.53,22.97,21.66,21.22,21.22,20.25,17.66,16.44,15.78,14.66,12.03,10.53,10.31,10.62,10.44,10.62,12.72,15.88,17.84,19.12,21.44,23.75,25.0,24.91,25.81,27.25,28.12,26.81,25.38,24.81,24.16,22.34,20.78,20.91,21.16,19.72,17.5,16.34,16.03,15.31,13.94,14.0,14.84,15.84,15.91,16.5,18.75,21.09,21.94,22.06,22.97,23.78,22.69,20.84,20.03,20.25,20.56,20.44,21.81,24.56,27.12,28.12,28.53,29.25,28.69,26.06,22.38,20.09,19.28,18.16,17.28,18.09,20.03,21.03,20.62,20.47,21.0,21.16,20.03,19.22,20.06,21.16,20.94,20.16,20.12,20.75,20.0,18.66,17.91,18.34,18.28,17.12,16.28,17.38,18.75,18.97,20.06,22.84,25.41,26.22,25.69,25.66,25.91,24.78,22.38,20.53,20.22,19.22,17.44,16.5,17.06,17.69,17.12,16.53,17.34,18.41,18.59,18.28,19.0,20.38,21.12,20.72,20.81,21.69,22.44,21.69,21.12,21.56,22.0,20.78,19.28,18.97,19.31,18.12,16.81,16.78,17.41,17.06,50.16,49.38,48.47,47.22,45.91,45.59,45.62,45.88,46.34,47.69,49.62,51.03,51.5,51.94,52.56,52.91,52.72,52.94,53.81,54.88,55.34,55.72,56.28,57.16,57.62,57.31,57.78,58.06:27.81,25.44,24.69,25.25,25.25,24.38,23.69,24.06,24.12,23.25,22.62,23.94,25.84,26.88,27.5,29.91,32.88,34.97,35.69,37.06,38.84,39.66,39.0,38.69,39.59,39.44,37.66,34.75,33.53,32.12,30.0,27.38,26.47,26.41,25.5,23.69,22.75,22.75,22.59,21.47,21.38,23.16,25.03,25.69,25.94,27.28,28.62,28.91,29.03,30.94,34.25,37.31,38.66,40.5,42.66,44.06,43.81,43.78,45.12,46.0,44.69,42.22,40.84,39.28,36.66,33.66,32.34,32.31,31.47,30.03,29.5,29.75,29.34,28.03,26.81,27.09,27.62,26.91,25.75,25.88,26.22,25.94,25.03,26.25,28.62,31.03,32.16,33.66,35.41,35.84,34.41,32.69,32.12,32.25,30.97,29.53,29.69,29.88,28.69,26.69,25.66,26.0,26.81,26.94,28.16,31.09,32.91,33.59,33.75,34.97,35.94,35.06,33.94,34.53,35.94,37.03,37.53,39.12,41.0,41.91,41.03,40.0,40.06,39.41,37.62,35.84,36.19,36.38,36.25,35.53,35.81,36.78,36.44,34.44,33.03,32.69,31.78,29.69,28.81,29.94,31.19,30.84,29.88,30.09,30.03,28.5,26.56,26.16,26.59,26.5,25.16,24.78,25.59,25.19,22.91,21.34,21.16,21.75,21.81,21.56,22.56,23.72,23.22,21.91,22.25,23.69,24.94,24.94,25.19,26.56,27.16,26.5,26.12,27.56,28.88,28.84,28.78,29.84,32.09,33.03,33.28,34.41,35.94,36.56,35.75,35.66,36.66,37.41,36.03,34.81,35.0,35.03,33.75,31.97,31.56,31.88,31.03,29.94,30.25,31.25,31.66,29.97,28.91,29.0,28.66,27.22,26.97,28.34,29.94,29.81,29.56,30.06,30.66,30.28,28.62,28.12,28.53,28.62,27.69,27.5,28.84,29.75,28.84,27.78,28.16,29.0,28.91,28.94,30.25,32.22,32.53,31.56,31.72,32.91,33.94,33.78,34.75,37.16,39.31,39.06,38.75,38.38,37.53,34.75,31.91,31.0,31.47,31.84,31.16,31.5,32.34,32.53,31.16,30.34,31.06,31.97,31.16,30.47,30.88,31.5,30.78,28.78,27.75,27.69,27.25,26.47,27.09,29.69,32.28,33.06,33.94,35.38,36.41,35.16,33.78,33.66,34.41,34.03,33.19,33.28,33.84,33.5,31.34,29.75,29.94,29.84,28.62,28.34,29.69,31.22,31.06,30.97,32.44,34.31,34.78,34.81,36.0,37.81,38.81,38.59,38.69,39.16,38.88,36.38,33.69,32.22,31.25,28.62,26.81,26.75,27.97,28.34,27.97,28.88,30.72,31.34,30.62,30.41,31.53,31.94,30.47,29.47,29.69,30.91,30.66,30.88,33.0,35.5,36.34,36.34,36.62,38.31,39.44,38.78,38.09,38.34,37.81,35.44,33.22,32.69,32.88,31.62,29.81,29.5,30.31,29.81,28.41,28.0,28.78,29.16,28.03,27.84,29.25,30.09,28.78,27.19,27.03,27.53,26.78,26.03,27.22,28.88,29.59,29.97,31.31,34.03,36.53,37.25,38.34,40.69,42.5,42.28,41.59,42.06,42.47,40.25,37.47,35.44,34.22,32.06,29.75,29.09,29.97,31.16,31.0,31.44,33.66,35.28,35.25,34.78,35.16,36.03,35.56,34.94,35.66,37.25,37.66,36.22,35.75,36.34,36.53,35.44,34.41,34.59,34.38,31.81,29.0,28.19,28.69,28.12,27.97,29.62,32.66,34.88,35.66,37.03,39.84,42.0,42.16,42.38,43.66,44.47,43.19,41.66,41.66,42.34,41.41,39.69,38.56,38.53,38.0,36.56,36.22,37.59,38.59,37.56,36.34,36.47,36.72,35.38,33.94,33.97,34.69,34.19,33.25,33.44,34.66,35.16,34.31,34.19,35.22,35.75,34.81,33.88,34.12,34.31,33.06,31.38,31.06,31.59,31.12,30.16,29.94,30.78,30.75,29.19,28.12,28.31,28.47,27.56,27.12,27.97,29.5,29.38,28.53,29.06,30.38,30.34,29.22,29.09,29.91,29.53,28.06,27.06,27.62,28.03,26.78,25.5,25.88,26.69,26.5,25.78,26.94,28.91,29.19,28.38,27.66,28.38,28.09,26.59,25.81,26.72,27.75,27.34,27.0,28.19,29.78,29.94,29.47,29.88,31.31,31.94,31.47,31.59,32.88,33.31,31.94,30.25,29.0,27.94,24.88,21.69,20.69,21.06,21.03,20.91,22.09,23.94,24.5,23.44,22.59,23.0,22.56,20.91,20.03,20.88,22.28,22.66,22.81,24.88,27.88,29.56,30.88,33.06,35.97,37.56,37.84,38.34,39.88,40.53,39.5,37.69,37.19,36.75,34.16,31.0,28.56,26.72,22.94,18.66,15.91,15.03,14.06,13.56,14.19,16.75,19.31,20.91,22.12,24.81,27.44,27.69,27.03,26.94,27.5,26.81,25.41,24.56,24.5,23.19,20.28,17.09,15.88,14.97,13.19,12.25,13.47,15.88,17.0,18.28,20.69,24.06,25.91,26.62,27.91,30.62,32.72,33.28,34.38,36.78,37.81,37.72,36.66,37.03,37.97,37.44,36.19,36.19,36.91,36.44,34.84,33.91,34.09,33.34,31.19,29.25,28.91,28.75,27.16,25.44,26.16,27.56,27.94,28.03,29.06,30.53,30.25,28.5,27.06,26.72,25.28,22.31,18.78,17.12,14.81,11.25,7.34,5.5,4.84,3.03,1.44,1.38,3.06,4.03,4.88,6.91,11.12,15.53,18.19,20.47,23.44,25.12,25.12,24.12,24.88,26.34,26.56,25.66,25.44,26.16,25.34,23.47,22.03,21.84,20.84,18.03,15.38,14.78,14.38,13.16,12.16,12.78,14.38,14.97,15.31,16.25,18.97,21.38,22.66,24.22,26.78,28.16,27.12,25.75,25.5,25.88,24.62,22.88,22.38,22.31,20.59,18.06,16.41,16.0,15.12,13.75,12.81,13.47,13.81,12.53,10.53,9.69,9.28,8.19,7.19,8.72,12.44,15.41,17.66,20.34,23.81,25.72,25.69,24.44,24.12,23.53,20.75,18.47,18.09,18.38,18.66,18.31,19.47,21.34,21.72,20.97,20.5,21.69,22.91,23.09,23.78,25.28,25.75,24.0,21.53,19.97,19.09,17.97,16.88,17.34,18.56,18.97,17.88,17.34,18.53,19.25,19.41,20.22,22.75,25.38,26.5,27.03,28.88,30.31,29.97,28.09,27.47,27.12,25.88,23.97,22.69,23.06,22.88,21.44,20.06,20.16,20.06,18.94,17.81,18.38,20.19,21.72,22.75,25.19,28.59,30.41,29.81,29.59,30.03,30.09,28.69,27.62,28.19,28.0,25.72,22.38,19.62,17.25,14.38,11.44,10.38,10.72,11.38,11.22,11.69,13.88,17.09,19.09,21.31,25.28,29.09,30.72,30.84,31.62,32.28,32.34,31.16,31.22,32.53,33.25,32.38,30.94,30.62,29.5,27.19,25.16,25.31,26.06,25.84,24.66,24.72,24.84,24.06,21.81,19.88,19.03,17.81,15.16,13.09,13.28,13.78,13.31,13.19,14.91,17.06,18.47,19.06,20.72,22.66,23.41,22.62,22.69,23.62,23.78,22.41,20.84,20.5,20.09,18.31,16.81,17.88,19.62,20.66,20.97,21.88,22.53,21.78,19.12,16.91,16.06,15.88,15.19,15.12,17.47,20.44,21.91,22.69,24.5,26.09,25.94,24.5,24.0,24.62,24.72,23.84,24.16,25.72,27.16,27.38,27.59,29.44,31.34,31.66,31.0,31.06,31.12,29.75,26.97,25.06,24.25,23.03,20.56,19.12,19.31,19.78,18.69,17.75,18.59,19.5,19.03,18.03,18.66,19.47,19.97,19.91,21.25,23.25,24.47,23.94,23.03,22.72,22.19,20.62,18.88,19.22,20.09,20.19,19.62,20.97,22.59,23.59,23.59,23.75,24.25,23.94,21.91,20.31,20.38,20.91,20.31,19.47,19.84,20.41,19.97,18.72,18.75,19.66,20.16,19.59,19.78,21.03,21.66,20.84,20.12,20.28,20.22,18.06,15.97,15.34,15.75,15.97,16.25,18.25,21.34,23.53,24.19,24.5,25.41,25.66,24.06,23.12,24.47,25.81,25.53,25.09,25.22,25.44,24.34,22.38,22.12,22.75,23.19,22.81,23.03,24.06,24.78,23.88,22.69,23.0,23.53,22.97,21.66,21.22,21.22,20.25,17.66,16.44,15.78,14.66,12.03,10.53,10.31,10.62,10.44,10.62,12.72,15.88,17.84,19.12,21.44,23.75,25.0,24.91,25.81,27.25,28.12,26.81,25.38,24.81,24.16,22.34,20.78,20.91,21.16,19.72,17.5,16.34,16.03,15.31,13.94,14.0,14.84,15.84,15.91,16.5,18.75,21.09,21.94,22.06,22.97,23.78,22.69,20.84,20.03,20.25,20.56,20.44,21.81,24.56,27.12,28.12,28.53,29.25,28.69,26.06,22.38,20.09,19.28,18.16,17.28,18.09,20.03,21.03,20.62,20.47,21.0,21.16,20.03,19.22,20.06,21.16,20.94,20.16,20.12,20.75,20.0,18.66,17.91,18.34,18.28,17.12,16.28,17.38,18.75,18.97,20.06,22.84,25.41,26.22,25.69,25.66,25.91,24.78,22.38,20.53,20.22,19.22,17.44,16.5,17.06,17.69,17.12,16.53,17.34,18.41,18.59,18.28,19.0,20.38,21.12,20.72,20.81,21.69,22.44,21.69,21.12,21.56,22.0,20.78,19.28,18.97,19.31,18.12,16.81,16.78,17.41,17.06,50.16,49.38,48.47,47.22,45.91,45.59,45.62,45.88,46.34,47.69,49.62,51.03,51.5,51.94,52.56,52.91,52.72,52.94,53.81,54.88,55.34,55.72,56.28,57.16,57.62,57.31,57.78,58.06,58.12,57.12,55.38,53.56,50.81,46.97,43.03:24.06,24.12,23.25,22.62,23.94,25.84,26.88,27.5,29.91,32.88,34.97,35.69,37.06,38.84,39.66,39.0,38.69,39.59,39.44,37.66,34.75,33.53,32.12,30.0,27.38,26.47,26.41,25.5,23.69,22.75,22.75,22.59,21.47,21.38,23.16,25.03,25.69,25.94,27.28,28.62,28.91,29.03,30.94,34.25,37.31,38.66,40.5,42.66,44.06,43.81,43.78,45.12,46.0,44.69,42.22,40.84,39.28,36.66,33.66,32.34,32.31,31.47,30.03,29.5,29.75,29.34,28.03,26.81,27.09,27.62,26.91,25.75,25.88,26.22,25.94,25.03,26.25,28.62,31.03,32.16,33.66,35.41,35.84,34.41,32.69,32.12,32.25,30.97,29.53,29.69,29.88,28.69,26.69,25.66,26.0,26.81,26.94,28.16,31.09,32.91,33.59,33.75,34.97,35.94,35.06,33.94,34.53,35.94,37.03,37.53,39.12,41.0,41.91,41.03,40.0,40.06,39.41,37.62,35.84,36.19,36.38,36.25,35.53,35.81,36.78,36.44,34.44,33.03,32.69,31.78,29.69,28.81,29.94,31.19,30.84,29.88,30.09,30.03,28.5,26.56,26.16,26.59,26.5,25.16,24.78,25.59,25.19,22.91,21.34,21.16,21.75,21.81,21.56,22.56,23.72,23.22,21.91,22.25,23.69,24.94,24.94,25.19,26.56,27.16,26.5,26.12,27.56,28.88,28.84,28.78,29.84,32.09,33.03,33.28,34.41,35.94,36.56,35.75,35.66,36.66,37.41,36.03,34.81,35.0,35.03,33.75,31.97,31.56,31.88,31.03,29.94,30.25,31.25,31.66,29.97,28.91,29.0,28.66,27.22,26.97,28.34,29.94,29.81,29.56,30.06,30.66,30.28,28.62,28.12,28.53,28.62,27.69,27.5,28.84,29.75,28.84,27.78,28.16,29.0,28.91,28.94,30.25,32.22,32.53,31.56,31.72,32.91,33.94,33.78,34.75,37.16,39.31,39.06,38.75,38.38,37.53,34.75,31.91,31.0,31.47,31.84,31.16,31.5,32.34,32.53,31.16,30.34,31.06,31.97,31.16,30.47,30.88,31.5,30.78,28.78,27.75,27.69,27.25,26.47,27.09,29.69,32.28,33.06,33.94,35.38,36.41,35.16,33.78,33.66,34.41,34.03,33.19,33.28,33.84,33.5,31.34,29.75,29.94,29.84,28.62,28.34,29.69,31.22,31.06,30.97,32.44,34.31,34.78,34.81,36.0,37.81,38.81,38.59,38.69,39.16,38.88,36.38,33.69,32.22,31.25,28.62,26.81,26.75,27.97,28.34,27.97,28.88,30.72,31.34,30.62,30.41,31.53,31.94,30.47,29.47,29.69,30.91,30.66,30.88,33.0,35.5,36.34,36.34,36.62,38.31,39.44,38.78,38.09,38.34,37.81,35.44,33.22,32.69,32.88,31.62,29.81,29.5,30.31,29.81,28.41,28.0,28.78,29.16,28.03,27.84,29.25,30.09,28.78,27.19,27.03,27.53,26.78,26.03,27.22,28.88,29.59,29.97,31.31,34.03,36.53,37.25,38.34,40.69,42.5,42.28,41.59,42.06,42.47,40.25,37.47,35.44,34.22,32.06,29.75,29.09,29.97,31.16,31.0,31.44,33.66,35.28,35.25,34.78,35.16,36.03,35.56,34.94,35.66,37.25,37.66,36.22,35.75,36.34,36.53,35.44,34.41,34.59,34.38,31.81,29.0,28.19,28.69,28.12,27.97,29.62,32.66,34.88,35.66,37.03,39.84,42.0,42.16,42.38,43.66,44.47,43.19,41.66,41.66,42.34,41.41,39.69,38.56,38.53,38.0,36.56,36.22,37.59,38.59,37.56,36.34,36.47,36.72,35.38,33.94,33.97,34.69,34.19,33.25,33.44,34.66,35.16,34.31,34.19,35.22,35.75,34.81,33.88,34.12,34.31,33.06,31.38,31.06,31.59,31.12,30.16,29.94,30.78,30.75,29.19,28.12,28.31,28.47,27.56,27.12,27.97,29.5,29.38,28.53,29.06,30.38,30.34,29.22,29.09,29.91,29.53,28.06,27.06,27.62,28.03,26.78,25.5,25.88,26.69,26.5,25.78,26.94,28.91,29.19,28.38,27.66,28.38,28.09,26.59,25.81,26.72,27.75,27.34,27.0,28.19,29.78,29.94,29.47,29.88,31.31,31.94,31.47,31.59,32.88,33.31,31.94,30.25,29.0,27.94,24.88,21.69,20.69,21.06,21.03,20.91,22.09,23.94,24.5,23.44,22.59,23.0,22.56,20.91,20.03,20.88,22.28,22.66,22.81,24.88,27.88,29.56,30.88,33.06,35.97,37.56,37.84,38.34,39.88,40.53,39.5,37.69,37.19,36.75,34.16,31.0,28.56,26.72,22.94,18.66,15.91,15.03,14.06,13.56,14.19,16.75,19.31,20.91,22.12,24.81,27.44,27.69,27.03,26.94,27.5,26.81,25.41,24.56,24.5,23.19,20.28,17.09,15.88,14.97,13.19,12.25,13.47,15.88,17.0,18.28,20.69,24.06,25.91,26.62,27.91,30.62,32.72,33.28,34.38,36.78,37.81,37.72,36.66,37.03,37.97,37.44,36.19,36.19,36.91,36.44,34.84,33.91,34.09,33.34,31.19,29.25,28.91,28.75,27.16,25.44,26.16,27.56,27.94,28.03,29.06,30.53,30.25,28.5,27.06,26.72,25.28,22.31,18.78,17.12,14.81,11.25,7.34,5.5,4.84,3.03,1.44,1.38,3.06,4.03,4.88,6.91,11.12,15.53,18.19,20.47,23.44,25.12,25.12,24.12,24.88,26.34,26.56,25.66,25.44,26.16,25.34,23.47,22.03,21.84,20.84,18.03,15.38,14.78,14.38,13.16,12.16,12.78,14.38,14.97,15.31,16.25,18.97,21.38,22.66,24.22,26.78,28.16,27.12,25.75,25.5,25.88,24.62,22.88,22.38,22.31,20.59,18.06,16.41,16.0,15.12,13.75,12.81,13.47,13.81,12.53,10.53,9.69,9.28,8.19,7.19,8.72,12.44,15.41,17.66,20.34,23.81,25.72,25.69,24.44,24.12,23.53,20.75,18.47,18.09,18.38,18.66,18.31,19.47,21.34,21.72,20.97,20.5,21.69,22.91,23.09,23.78,25.28,25.75,24.0,21.53,19.97,19.09,17.97,16.88,17.34,18.56,18.97,17.88,17.34,18.53,19.25,19.41,20.22,22.75,25.38,26.5,27.03,28.88,30.31,29.97,28.09,27.47,27.12,25.88,23.97,22.69,23.06,22.88,21.44,20.06,20.16,20.06,18.94,17.81,18.38,20.19,21.72,22.75,25.19,28.59,30.41,29.81,29.59,30.03,30.09,28.69,27.62,28.19,28.0,25.72,22.38,19.62,17.25,14.38,11.44,10.38,10.72,11.38,11.22,11.69,13.88,17.09,19.09,21.31,25.28,29.09,30.72,30.84,31.62,32.28,32.34,31.16,31.22,32.53,33.25,32.38,30.94,30.62,29.5,27.19,25.16,25.31,26.06,25.84,24.66,24.72,24.84,24.06,21.81,19.88,19.03,17.81,15.16,13.09,13.28,13.78,13.31,13.19,14.91,17.06,18.47,19.06,20.72,22.66,23.41,22.62,22.69,23.62,23.78,22.41,20.84,20.5,20.09,18.31,16.81,17.88,19.62,20.66,20.97,21.88,22.53,21.78,19.12,16.91,16.06,15.88,15.19,15.12,17.47,20.44,21.91,22.69,24.5,26.09,25.94,24.5,24.0,24.62,24.72,23.84,24.16,25.72,27.16,27.38,27.59,29.44,31.34,31.66,31.0,31.06,31.12,29.75,26.97,25.06,24.25,23.03,20.56,19.12,19.31,19.78,18.69,17.75,18.59,19.5,19.03,18.03,18.66,19.47,19.97,19.91,21.25,23.25,24.47,23.94,23.03,22.72,22.19,20.62,18.88,19.22,20.09,20.19,19.62,20.97,22.59,23.59,23.59,23.75,24.25,23.94,21.91,20.31,20.38,20.91,20.31,19.47,19.84,20.41,19.97,18.72,18.75,19.66,20.16,19.59,19.78,21.03,21.66,20.84,20.12,20.28,20.22,18.06,15.97,15.34,15.75,15.97,16.25,18.25,21.34,23.53,24.19,24.5,25.41,25.66,24.06,23.12,24.47,25.81,25.53,25.09,25.22,25.44,24.34,22.38,22.12,22.75,23.19,22.81,23.03,24.06,24.78,23.88,22.69,23.0,23.53,22.97,21.66,21.22,21.22,20.25,17.66,16.44,15.78,14.66,12.03,10.53,10.31,10.62,10.44,10.62,12.72,15.88,17.84,19.12,21.44,23.75,25.0,24.91,25.81,27.25,28.12,26.81,25.38,24.81,24.16,22.34,20.78,20.91,21.16,19.72,17.5,16.34,16.03,15.31,13.94,14.0,14.84,15.84,15.91,16.5,18.75,21.09,21.94,22.06,22.97,23.78,22.69,20.84,20.03,20.25,20.56,20.44,21.81,24.56,27.12,28.12,28.53,29.25,28.69,26.06,22.38,20.09,19.28,18.16,17.28,18.09,20.03,21.03,20.62,20.47,21.0,21.16,20.03,19.22,20.06,21.16,20.94,20.16,20.12,20.75,20.0,18.66,17.91,18.34,18.28,17.12,16.28,17.38,18.75,18.97,20.06,22.84,25.41,26.22,25.69,25.66,25.91,24.78,22.38,20.53,20.22,19.22,17.44,16.5,17.06,17.69,17.12,16.53,17.34,18.41,18.59,18.28,19.0,20.38,21.12,20.72,20.81,21.69,22.44,21.69,21.12,21.56,22.0,20.78,19.28,18.97,19.31,18.12,16.81,16.78,17.41,17.06,50.16,49.38,48.47,47.22,45.91,45.59,45.62,45.88,46.34,47.69,49.62,51.03,51.5,51.94,52.56,52.91,52.72,52.94,53.81,54.88,55.34,55.72,56.28,57.16,57.62,57.31,57.78,58.06,58.12,57.12,55.38,53.56,50.81,46.97,43.03,40.38,38.53,37.09,36.28,36.62,37.34,37.53:positivity
2.91,4.0,3.28,2.56,3.81,7.03,9.0,9.16,10.0,12.88,15.19,14.25,13.53,14.56,16.56,15.91,14.59,14.94,16.53,15.91,13.81,12.91,14.09,14.16,11.69,9.38,8.91,8.41,5.25,2.47,3.25,4.88,4.41,3.19,3.62,4.81,4.94,3.5,3.69,6.12,7.31,5.84,4.66,5.75,7.28,7.06,7.0,9.78,13.53,15.16,15.0,15.72,17.25,16.47,13.25,10.25,8.62,6.25,1.41,-2.47,-2.88,-1.66,-1.59,-1.5,0.44,4.12,5.59,5.28,6.0,8.12,8.47,6.16,3.69,3.84,3.97,1.91,0.38,2.03,4.44,4.06,2.16,2.03,2.59,1.69,-0.81,-1.22,0.47,1.31,-0.03,-0.97,0.19,1.34,-0.12,-1.81,-0.62,2.03,2.81,3.12,4.94,8.03,9.06,8.19,7.69,9.5,10.41,9.03,7.38,8.19,9.09,7.72,6.31,7.25,8.97,9.12,7.44,6.69,7.34,7.19,5.25,4.34,6.59,8.88,9.12,9.22,11.78,14.69,15.16,14.81,16.03,18.38,19.06,17.78,17.25,18.34,18.03,14.88,12.38,12.06,11.44,8.97,6.81,7.62,9.34,9.59,8.44,7.97,8.69,7.28,4.0,1.75,2.09,2.44,1.09,0.5,2.94,5.75,6.0,5.28,6.5,8.19,7.72,6.0,5.78,7.31,8.25,7.78,7.81,10.41,12.47,12.19,11.84,13.44,14.94,13.69,10.84,8.97,7.47,4.78,0.62,-1.72,-1.22,-0.72,-1.47,-0.59,2.91,6.41,7.66,8.19,10.84,13.59,13.97,12.88,13.38,15.03,15.34,14.06,13.56,15.31,16.03,14.5,13.38,14.62,15.62,14.38,12.19,12.19,12.91,11.88,10.09,9.62,10.88,11.22,9.59,8.16,9.56,10.59,9.84,10.0,12.53,16.19,17.47,17.56,19.31,21.66,22.59,21.94,23.03,25.44,26.56,25.03,22.59,22.0,21.25,18.06,14.94,14.88,15.94,14.91,12.44,11.56,10.97,8.47,4.62,2.66,3.81,5.5,6.16,7.62,10.94,13.5,13.12,11.44,11.47,12.12,11.03,9.38,9.66,12.09,13.69,13.94,15.31,18.97,21.94,22.16,22.28,24.5,26.44,25.41,23.12,22.12,21.62,19.19,15.47,13.5,13.81,13.16,10.12,8.19,7.56,7.0,4.38,2.25,3.28,5.81,6.84,7.12,8.62,10.91,11.22,9.69,9.41,10.97,12.0,10.78,10.0,10.78,12.0,11.19,10.03,11.44,13.53,13.84,12.44,12.5,13.69,13.5,11.0,9.41,9.5,9.19,7.0,5.72,6.91,8.88,8.38,7.72,8.81,10.78,10.94,9.66,9.59,11.0,11.62,10.25,10.5,13.19,15.91,15.88,15.38,16.09,17.06,15.34,13.22,13.09,14.75,15.47,14.41,14.94,16.91,17.59,16.12,15.16,15.78,16.94,15.97,14.5,14.91,16.03,15.31,13.28,12.62,13.78,13.78,11.81,11.03,12.72,14.09,13.72,13.66,15.84,18.25,18.56,17.84,18.53,20.19,20.5,19.59,19.62,21.5,22.5,21.28,20.56,21.84,23.0,21.88,20.84,22.16,24.88,25.69,25.81,27.0,29.06,29.06,26.56,24.97,24.97,24.84,22.38,20.72,21.38,22.03,20.09,17.84,17.56,18.38,17.22,15.47,15.34,16.41,16.16,14.03,12.88,14.0,14.81,13.38,11.84,12.78,13.91,13.16,11.78,12.91,15.06,15.34,14.44,14.5,16.03,16.62,15.19,14.88,16.97,19.03,18.66,18.34,19.88,21.41,20.62,18.62,18.03,18.62,17.88,15.91,14.94,16.41,17.16,16.38,16.31,18.09,19.97,18.69,16.47,15.75,15.75,14.06,12.31,13.28,16.25,18.91,19.81,20.75,22.81,23.12,20.59,17.81,17.91,18.91,17.72,16.69,17.84,19.88,20.38,19.91,20.66,23.19,24.16,22.91,21.88,23.12,23.41,21.78,20.53,21.72,23.75,23.69,22.75,23.19,24.78,24.06,21.53,20.22,20.56,20.09,17.78,16.53,17.44,18.16,17.19,16.0,17.38,19.66,20.19,19.81,20.59,22.44,22.62,21.0,20.06,21.62,23.44,23.5,23.84,26.28,28.19,27.41,25.44,25.47,26.41,25.5,23.31,22.88,23.84,23.81,22.44,21.94,24.03,25.53,24.47,22.59,23.16,23.25,21.44,18.66,18.78,20.16,20.12,19.03,18.94,20.22,20.28,18.19,16.34,16.97,18.06,17.34,17.03,19.66,23.06,24.25,23.41,23.78,24.53,24.03,21.81,21.03,22.66,24.12,23.47,23.06,24.5,25.69,24.38,22.16,22.38,24.03,24.47,23.88,24.66,27.19,28.25,26.97,25.72,26.19,25.53,22.38,19.06,18.09,18.0,16.19,14.06,14.31,16.28,16.84,16.12,17.12,19.91,21.34,20.41,19.66,20.66,21.22,19.88,18.41,19.5,21.31,21.03,19.53,19.38,20.5,20.38,18.62,18.5,20.44,21.66,20.25,18.56,19.53,19.94,18.22,16.06,16.5,18.16,18.81,18.41,19.94,22.38,23.16,21.66,20.59,21.56,22.28,20.47,18.69,19.38,20.75,20.28,19.19,20.31,22.31,22.03,19.84,18.47,18.59,17.56,14.81,13.28,14.16,15.09,13.91,12.25,12.91,14.28,13.75,12.47,13.16,15.22,15.72,14.62,14.94,17.41,19.38,18.38,17.44,18.19,18.03,15.28,12.34,11.78,12.59,12.0,10.28,10.53,12.44,13.5,12.81,13.28,16.12,18.28,17.56,16.44,17.56,18.84,18.28,16.69,17.78,19.75,20.09,18.97,19.56,21.91,23.09,22.69,22.31,24.0,25.09,23.34,21.31,21.66,22.88,22.34,21.28,22.38,24.88,25.78,25.03,25.56,28.12,29.84,28.84,28.75,31.16,33.34,32.78,31.97,32.66,33.5,31.81,28.81,27.12,27.03,26.03,23.0,21.62,22.75,23.31,21.84,20.84,22.09,23.56,22.59,21.0,21.62,23.34,23.34,22.06,22.56,24.62,25.66,24.5,24.31,26.28,27.81,26.84,25.94,27.25,28.78,27.56,25.38,24.72,25.62,24.94,22.81,22.25,23.34,23.19,20.5,18.84,19.81,21.25,20.56,19.62,21.12,23.34,23.28,22.34,23.12,25.38,25.97,24.12,23.47,24.47,24.75,22.16,20.25,20.72,21.56,19.97,18.19,18.5,19.69,18.53,16.25,15.56,17.22,18.12,17.41,17.66,19.91,21.22,19.78,18.44,19.53,21.34,21.22,20.19,21.19,23.47,23.78,22.69,23.06,24.59,24.84,22.06,19.47,19.09,19.12,17.38,16.69,18.28,21.09,21.25,19.69,19.28,20.03,19.41,17.38,16.81,18.72,19.59,18.41,18.0,20.22,22.94,22.97,22.31,23.25,24.59,23.38,20.69,19.62,20.0,19.19,16.31,14.78,15.66,16.06,14.28,12.56,13.53,15.22,14.47,13.16,14.0,16.0,16.06,14.75,14.59,16.62,17.41,16.31,16.09,18.47,19.81,18.44,17.0,17.97,19.75,19.25,18.28,18.69,19.78,18.84,16.12,14.34,14.28,13.75,11.19,9.25,9.91,11.06,10.16,9.44,11.5,14.56,15.75,15.44,16.56,18.94,19.09,17.28,16.47,17.56,18.12,16.62,15.09,16.16,16.84,15.22,12.53,12.16,13.56,13.28,12.09,12.56,14.44,14.88,13.09,11.97,13.28,14.59,13.25,12.0,12.97,14.66,14.16,13.34,14.41,17.47,18.22,17.12,16.97,17.91,17.41,14.47,12.47,13.06,13.59,12.31,10.94,11.78,12.91,12.44,10.59,10.72,12.47,13.28,12.56,13.31,16.62,18.91,19.28,19.41,21.38,22.94,21.88,19.47,19.0,18.91,17.0,14.06,12.75,13.41,13.16,11.09,10.12,12.19,13.94,14.03,14.0,15.97,18.25,17.56,16.19,16.5,18.38,18.84,17.62,17.75,19.84,21.06,20.0,19.66,21.56,23.12,22.44,20.84,21.16,21.75,20.16,17.31,16.56,17.53,17.75,16.16,15.69,17.19,17.81,16.19,14.91,16.69,18.25,17.94,17.28,19.03,21.78,22.47,22.06,23.03,25.38,26.19,24.59,23.41,24.44,24.25,21.78,19.75,20.09,20.47,18.91,16.22,15.69,16.19,15.53,13.66,14.03,16.44,18.22,18.12,18.16,20.88,23.34,22.94,22.5,24.25,25.75,25.03,23.31,23.28,24.03,23.66,21.59,21.03,22.91,24.62,24.06,23.72,25.12,26.16,23.88,21.0,20.53,21.16,20.16,18.44,18.84,20.59,21.0,20.0,19.78,21.62,22.81,21.69,20.72,22.44,24.12,24.06,23.47,25.56,27.88,28.16,26.88,26.75,27.25,26.84,24.69,23.94,25.44,27.19,26.78,26.06,27.12,28.47,27.19,25.0,24.56,25.53,25.56,23.84,23.5,24.88,25.47,23.47,22.19,22.91,23.97,23.0,22.22,24.41,27.16,28.28,27.47,27.75,28.34,27.75,25.09,23.53,24.41,25.12,23.69,22.12,22.91,23.84,22.78,20.53,20.53,21.34,20.53,18.62,18.78,20.81,22.81,22.75,23.53,25.88,27.78,26.28,24.47,24.66,25.31,23.66,21.69,21.5,22.88,22.38,20.06,19.62,20.88,21.62,20.34,19.88,21.03,21.91,20.19,18.06,18.22,19.47,19.0,18.09,18.72,20.75,21.53,20.41,20.34,22.53,24.66,24.06,23.69,25.19,26.97,26.09,25.16,26.09,27.78,27.31,25.03,23.69,23.72,22.59,19.97,18.53,19.5,20.66,19.47,18.56,20.16,22.62,23.03,23.16,25.03,28.34,29.81,29.44,29.75,31.88,32.81,31.53,30.97,32.66,33.94,32.5,30.31,29.91,29.78,27.56:9.16,10.0,12.88,15.19,14.25,13.53,14.56,16.56,15.91,14.59,14.94,16.53,15.91,13.81,12.91,14.09,14.16,11.69,9.38,8.91,8.41,5.25,2.47,3.25,4.88,4.41,3.19,3.62,4.81,4.94,3.5,3.69,6.12,7.31,5.84,4.66,5.75,7.28,7.06,7.0,9.78,13.53,15.16,15.0,15.72,17.25,16.47,13.25,10.25,8.62,6.25,1.41,-2.47,-2.88,-1.66,-1.59,-1.5,0.44,4.12,5.59,5.28,6.0,8.12,8.47,6.16,3.69,3.84,3.97,1.91,0.38,2.03,4.44,4.06,2.16,2.03,2.59,1.69,-0.81,-1.22,0.47,1.31,-0.03,-0.97,0.19,1.34,-0.12,-1.81,-0.62,2.03,2.81,3.12,4.94,8.03,9.06,8.19,7.69,9.5,10.41,9.03,7.38,8.19,9.09,7.72,6.31,7.25,8.97,9.12,7.44,6.69,7.34,7.19,5.25,4.34,6.59,8.88,9.12,9.22,11.78,14.69,15.16,14.81,16.03,18.38,19.06,17.78,17.25,18.34,18.03,14.88,12.38,12.06,11.44,8.97,6.81,7.62,9.34,9.59,8.44,7.97,8.69,7.28,4.0,1.75,2.09,2.44,1.09,0.5,2.94,5.75,6.0,5.28,6.5,8.19,7.72,6.0,5.78,7.31,8.25,7.78,7.81,10.41,12.47,12.19,11.84,13.44,14.94,13.69,10.84,8.97,7.47,4.78,0.62,-1.72,-1.22,-0.72,-1.47,-0.59,2.91,6.41,7.66,8.19,10.84,13.59,13.97,12.88,13.38,15.03,15.34,14.06,13.56,15.31,16.03,14.5,13.38,14.62,15.62,14.38,12.19,12.19,12.91,11.88,10.09,9.62,10.88,11.22,9.59,8.16,9.56,10.59,9.84,10.0,12.53,16.19,17.47,17.56,19.31,21.66,22.59,21.94,23.03,25.44,26.56,25.03,22.59,22.0,21.25,18.06,14.94,14.88,15.94,14.91,12.44,11.56,10.97,8.47,4.62,2.66,3.81,5.5,6.16,7.62,10.94,13.5,13.12,11.44,11.47,12.12,11.03,9.38,9.66,12.09,13.69,13.94,15.31,18.97,21.94,22.16,22.28,24.5,26.44,25.41,23.12,22.12,21.62,19.19,15.47,13.5,13.81,13.16,10.12,8.19,7.56,7.0,4.38,2.25,3.28,5.81,6.84,7.12,8.62,10.91,11.22,9.69,9.41,10.97,12.0,10.78,10.0,10.78,12.0,11.19,10.03,11.44,13.53,13.84,12.44,12.5,13.69,13.5,11.0,9.41,9.5,9.19,7.0,5.72,6.91,8.88,8.38,7.72,8.81,10.78,10.94,9.66,9.59,11.0,11.62,10.25,10.5,13.19,15.91,15.88,15.38,16.09,17.06,15.34,13.22,13.09,14.75,15.47,14.41,14.94,16.91,17.59,16.12,15.16,15.78,16.94,15.97,14.5,14.91,16.03,15.31,13.28,12.62,13.78,13.78,11.81,11.03,12.72,14.09,13.72,13.66,15.84,18.25,18.56,17.84,18.53,20.19,20.5,19.59,19.62,21.5,22.5,21.28,20.56,21.84,23.0,21.88,20.84,22.16,24.88,25.69,25.81,27.0,29.06,29.06,26.56,24.97,24.97,24.84,22.38,20.72,21.38,22.03,20.09,17.84,17.56,18.38,17.22,15.47,15.34,16.41,16.16,14.03,12.88,14.0,14.81,13.38,11.84,12.78,13.91,13.16,11.78,12.91,15.06,15.34,14.44,14.5,16.03,16.62,15.19,14.88,16.97,19.03,18.66,18.34,19.88,21.41,20.62,18.62,18.03,18.62,17.88,15.91,14.94,16.41,17.16,16.38,16.31,18.09,19.97,18.69,16.47,15.75,15.75,14.06,12.31,13.28,16.25,18.91,19.81,20.75,22.81,23.12,20.59,17.81,17.91,18.91,17.72,16.69,17.84,19.88,20.38,19.91,20.66,23.19,24.16,22.91,21.88,23.12,23.41,21.78,20.53,21.72,23.75,23.69,22.75,23.19,24.78,24.06,21.53,20.22,20.56,20.09,17.78,16.53,17.44,18.16,17.19,16.0,17.38,19.66,20.19,19.81,20.59,22.44,22.62,21.0,20.06,21.62,23.44,23.5,23.84,26.28,28.19,27.41,25.44,25.47,26.41,25.5,23.31,22.88,23.84,23.81,22.44,21.94,24.03,25.53,24.47,22.59,23.16,23.25,21.44,18.66,18.78,20.16,20.12,19.03,18.94,20.22,20.28,18.19,16.34,16.97,18.06,17.34,17.03,19.66,23.06,24.25,23.41,23.78,24.53,24.03,21.81,21.03,22.66,24.12,23.47,23.06,24.5,25.69,24.38,22.16,22.38,24.03,24.47,23.88,24.66,27.19,28.25,26.97,25.72,26.19,25.53,22.38,19.06,18.09,18.0,16.19,14.06,14.31,16.28,16.84,16.12,17.12,19.91,21.34,20.41,19.66,20.66,21.22,19.88,18.41,19.5,21.31,21.03,19.53,19.38,20.5,20.38,18.62,18.5,20.44,21.66,20.25,18.56,19.53,19.94,18.22,16.06,16.5,18.16,18.81,18.41,19.94,22.38,23.16,21.66,20.59,21.56,22.28,20.47,18.69,19.38,20.75,20.28,19.19,20.31,22.31,22.03,19.84,18.47,18.59,17.56,14.81,13.28,14.16,15.09,13.91,12.25,12.91,14.28,13.75,12.47,13.16,15.22,15.72,14.62,14.94,17.41,19.38,18.38,17.44,18.19,18.03,15.28,12.34,11.78,12.59,12.0,10.28,10.53,12.44,13.5,12.81,13.28,16.12,18.28,17.56,16.44,17.56,18.84,18.28,16.69,17.78,19.75,20.09,18.97,19.56,21.91,23.09,22.69,22.31,24.0,25.09,23.34,21.31,21.66,22.88,22.34,21.28,22.38,24.88,25.78,25.03,25.56,28.12,29.84,28.84,28.75,31.16,33.34,32.78,31.97,32.66,33.5,31.81,28.81,27.12,27.03,26.03,23.0,21.62,22.75,23.31,21.84,20.84,22.09,23.56,22.59,21.0,21.62,23.34,23.34,22.06,22.56,24.62,25.66,24.5,24.31,26.28,27.81,26.84,25.94,27.25,28.78,27.56,25.38,24.72,25.62,24.94,22.81,22.25,23.34,23.19,20.5,18.84,19.81,21.25,20.56,19.62,21.12,23.34,23.28,22.34,23.12,25.38,25.97,24.12,23.47,24.47,24.75,22.16,20.25,20.72,21.56,19.97,18.19,18.5,19.69,18.53,16.25,15.56,17.22,18.12,17.41,17.66,19.91,21.22,19.78,18.44,19.53,21.34,21.22,20.19,21.19,23.47,23.78,22.69,23.06,24.59,24.84,22.06,19.47,19.09,19.12,17.38,16.69,18.28,21.09,21.25,19.69,19.28,20.03,19.41,17.38,16.81,18.72,19.59,18.41,18.0,20.22,22.94,22.97,22.31,23.25,24.59,23.38,20.69,19.62,20.0,19.19,16.31,14.78,15.66,16.06,14.28,12.56,13.53,15.22,14.47,13.16,14.0,16.0,16.06,14.75,14.59,16.62,17.41,16.31,16.09,18.47,19.81,18.44,17.0,17.97,19.75,19.25,18.28,18.69,19.78,18.84,16.12,14.34,14.28,13.75,11.19,9.25,9.91,11.06,10.16,9.44,11.5,14.56,15.75,15.44,16.56,18.94,19.09,17.28,16.47,17.56,18.12,16.62,15.09,16.16,16.84,15.22,12.53,12.16,13.56,13.28,12.09,12.56,14.44,14.88,13.09,11.97,13.28,14.59,13.25,12.0,12.97,14.66,14.16,13.34,14.41,17.47,18.22,17.12,16.97,17.91,17.41,14.47,12.47,13.06,13.59,12.31,10.94,11.78,12.91,12.44,10.59,10.72,12.47,13.28,12.56,13.31,16.62,18.91,19.28,19.41,21.38,22.94,21.88,19.47,19.0,18.91,17.0,14.06,12.75,13.41,13.16,11.09,10.12,12.19,13.94,14.03,14.0,15.97,18.25,17.56,16.19,16.5,18.38,18.84,17.62,17.75,19.84,21.06,20.0,19.66,21.56,23.12,22.44,20.84,21.16,21.75,20.16,17.31,16.56,17.53,17.75,16.16,15.69,17.19,17.81,16.19,14.91,16.69,18.25,17.94,17.28,19.03,21.78,22.47,22.06,23.03,25.38,26.19,24.59,23.41,24.44,24.25,21.78,19.75,20.09,20.47,18.91,16.22,15.69,16.19,15.53,13.66,14.03,16.44,18.22,18.12,18.16,20.88,23.34,22.94,22.5,24.25,25.75,25.03,23.31,23.28,24.03,23.66,21.59,21.03,22.91,24.62,24.06,23.72,25.12,26.16,23.88,21.0,20.53,21.16,20.16,18.44,18.84,20.59,21.0,20.0,19.78,21.62,22.81,21.69,20.72,22.44,24.12,24.06,23.47,25.56,27.88,28.16,26.88,26.75,27.25,26.84,24.69,23.94,25.44,27.19,26.78,26.06,27.12,28.47,27.19,25.0,24.56,25.53,25.56,23.84,23.5,24.88,25.47,23.47,22.19,22.91,23.97,23.0,22.22,24.41,27.16,28.28,27.47,27.75,28.34,27.75,25.09,23.53,24.41,25.12,23.69,22.12,22.91,23.84,22.78,20.53,20.53,21.34,20.53,18.62,18.78,20.81,22.81,22.75,23.53,25.88,27.78,26.28,24.47,24.66,25.31,23.66,21.69,21.5,22.88,22.38,20.06,19.62,20.88,21.62,20.34,19.88,21.03,21.91,20.19,18.06,18.22,19.47,19.0,18.09,18.72,20.75,21.53,20.41,20.34,22.53,24.66,24.06,23.69,25.19,26.97,26.09,25.16,26.09,27.78,27.31,25.03,23.69,23.72,22.59,19.97,18.53,19.5,20.66,19.47,18.56,20.16,22.62,23.03,23.16,25.03,28.34,29.81,29.44,29.75,31.88,32.81,31.53,30.97,32.66,33.94,32.5,30.31,29.91,29.78,27.56,3.09,4.41,4.25,4.16,5.22,7.59,9.53:16.56,15.91,14.59,14.94,16.53,15.91,13.81,12.91,14.09,14.16,11.69,9.38,8.91,8.41,5.25,2.47,3.25,4.88,4.41,3.19,3.62,4.81,4.94,3.5,3.69,6.12,7.31,5.84,4.66,5.75,7.28,7.06,7.0,9.78,13.53,15.16,15.0,15.72,17.25,16.47,13.25,10.25,8.62,6.25,1.41,-2.47,-2.88,-1.66,-1.59,-1.5,0.44,4.12,5.59,5.28,6.0,8.12,8.47,6.16,3.69,3.84,3.97,1.91,0.38,2.03,4.44,4.06,2.16,2.03,2.59,1.69,-0.81,-1.22,0.47,1.31,-0.03,-0.97,0.19,1.34,-0.12,-1.81,-0.62,2.03,2.81,3.12,4.94,8.03,9.06,8.19,7.69,9.5,10.41,9.03,7.38,8.19,9.09,7.72,6.31,7.25,8.97,9.12,7.44,6.69,7.34,7.19,5.25,4.34,6.59,8.88,9.12,9.22,11.78,14.69,15.16,14.81,16.03,18.38,19.06,17.78,17.25,18.34,18.03,14.88,12.38,12.06,11.44,8.97,6.81,7.62,9.34,9.59,8.44,7.97,8.69,7.28,4.0,1.75,2.09,2.44,1.09,0.5,2.94,5.75,6.0,5.28,6.5,8.19,7.72,6.0,5.78,7.31,8.25,7.78,7.81,10.41,12.47,12.19,11.84,13.44,14.94,13.69,10.84,8.97,7.47,4.78,0.62,-1.72,-1.22,-0.72,-1.47,-0.59,2.91,6.41,7.66,8.19,10.84,13.59,13.97,12.88,13.38,15.03,15.34,14.06,13.56,15.31,16.03,14.5,13.38,14.62,15.62,14.38,12.19,12.19,12.91,11.88,10.09,9.62,10.88,11.22,9.59,8.16,9.56,10.59,9.84,10.0,12.53,16.19,17.47,17.56,19.31,21.66,22.59,21.94,23.03,25.44,26.56,25.03,22.59,22.0,21.25,18.06,14.94,14.88,15.94,14.91,12.44,11.56,10.97,8.47,4.62,2.66,3.81,5.5,6.16,7.62,10.94,13.5,13.12,11.44,11.47,12.12,11.03,9.38,9.66,12.09,13.69,13.94,15.31,18.97,21.94,22.16,22.28,24.5,26.44,25.41,23.12,22.12,21.62,19.19,15.47,13.5,13.81,13.16,10.12,8.19,7.56,7.0,4.38,2.25,3.28,5.81,6.84,7.12,8.62,10.91,11.22,9.69,9.41,10.97,12.0,10.78,10.0,10.78,12.0,11.19,10.03,11.44,13.53,13.84,12.44,12.5,13.69,13.5,11.0,9.41,9.5,9.19,7.0,5.72,6.91,8.88,8.38,7.72,8.81,10.78,10.94,9.66,9.59,11.0,11.62,10.25,10.5,13.19,15.91,15.88,15.38,16.09,17.06,15.34,13.22,13.09,14.75,15.47,14.41,14.94,16.91,17.59,16.12,15.16,15.78,16.94,15.97,14.5,14.91,16.03,15.31,13.28,12.62,13.78,13.78,11.81,11.03,12.72,14.09,13.72,13.66,15.84,18.25,18.56,17.84,18.53,20.19,20.5,19.59,19.62,21.5,22.5,21.28,20.56,21.84,23.0,21.88,20.84,22.16,24.88,25.69,25.81,27.0,29.06,29.06,26.56,24.97,24.97,24.84,22.38,20.72,21.38,22.03,20.09,17.84,17.56,18.38,17.22,15.47,15.34,16.41,16.16,14.03,12.88,14.0,14.81,13.38,11.84,12.78,13.91,13.16,11.78,12.91,15.06,15.34,14.44,14.5,16.03,16.62,15.19,14.88,16.97,19.03,18.66,18.34,19.88,21.41,20.62,18.62,18.03,18.62,17.88,15.91,14.94,16.41,17.16,16.38,16.31,18.09,19.97,18.69,16.47,15.75,15.75,14.06,12.31,13.28,16.25,18.91,19.81,20.75,22.81,23.12,20.59,17.81,17.91,18.91,17.72,16.69,17.84,19.88,20.38,19.91,20.66,23.19,24.16,22.91,21.88,23.12,23.41,21.78,20.53,21.72,23.75,23.69,22.75,23.19,24.78,24.06,21.53,20.22,20.56,20.09,17.78,16.53,17.44,18.16,17.19,16.0,17.38,19.66,20.19,19.81,20.59,22.44,22.62,21.0,20.06,21.62,23.44,23.5,23.84,26.28,28.19,27.41,25.44,25.47,26.41,25.5,23.31,22.88,23.84,23.81,22.44,21.94,24.03,25.53,24.47,22.59,23.16,23.25,21.44,18.66,18.78,20.16,20.12,19.03,18.94,20.22,20.28,18.19,16.34,16.97,18.06,17.34,17.03,19.66,23.06,24.25,23.41,23.78,24.53,24.03,21.81,21.03,22.66,24.12,23.47,23.06,24.5,25.69,24.38,22.16,22.38,24.03,24.47,23.88,24.66,27.19,28.25,26.97,25.72,26.19,25.53,22.38,19.06,18.09,18.0,16.19,14.06,14.31,16.28,16.84,16.12,17.12,19.91,21.34,20.41,19.66,20.66,21.22,19.88,18.41,19.5,21.31,21.03,19.53,19.38,20.5,20.38,18.62,18.5,20.44,21.66,20.25,18.56,19.53,19.94,18.22,16.06,16.5,18.16,18.81,18.41,19.94,22.38,23.16,21.66,20.59,21.56,22.28,20.47,18.69,19.38,20.75,20.28,19.19,20.31,22.31,22.03,19.84,18.47,18.59,17.56,14.81,13.28,14.16,15.09,13.91,12.25,12.91,14.28,13.75,12.47,13.16,15.22,15.72,14.62,14.94,17.41,19.38,18.38,17.44,18.19,18.03,15.28,12.34,11.78,12.59,12.0,10.28,10.53,12.44,13.5,12.81,13.28,16.12,18.28,17.56,16.44,17.56,18.84,18.28,16.69,17.78,19.75,20.09,18.97,19.56,21.91,23.09,22.69,22.31,24.0,25.09,23.34,21.31,21.66,22.88,22.34,21.28,22.38,24.88,25.78,25.03,25.56,28.12,29.84,28.84,28.75,31.16,33.34,32.78,31.97,32.66,33.5,31.81,28.81,27.12,27.03,26.03,23.0,21.62,22.75,23.31,21.84,20.84,22.09,23.56,22.59,21.0,21.62,23.34,23.34,22.06,22.56,24.62,25.66,24.5,24.31,26.28,27.81,26.84,25.94,27.25,28.78,27.56,25.38,24.72,25.62,24.94,22.81,22.25,23.34,23.19,20.5,18.84,19.81,21.25,20.56,19.62,21.12,23.34,23.28,22.34,23.12,25.38,25.97,24.12,23.47,24.47,24.75,22.16,20.25,20.72,21.56,19.97,18.19,18.5,19.69,18.53,16.25,15.56,17.22,18.12,17.41,17.66,19.91,21.22,19.78,18.44,19.53,21.34,21.22,20.19,21.19,23.47,23.78,22.69,23.06,24.59,24.84,22.06,19.47,19.09,19.12,17.38,16.69,18.28,21.09,21.25,19.69,19.28,20.03,19.41,17.38,16.81,18.72,19.59,18.41,18.0,20.22,22.94,22.97,22.31,23.25,24.59,23.38,20.69,19.62,20.0,19.19,16.31,14.78,15.66,16.06,14.28,12.56,13.53,15.22,14.47,13.16,14.0,16.0,16.06,14.75,14.59,16.62,17.41,16.31,16.09,18.47,19.81,18.44,17.0,17.97,19.75,19.25,18.28,18.69,19.78,18.84,16.12,14.34,14.28,13.75,11.19,9.25,9.91,11.06,10.16,9.44,11.5,14.56,15.75,15.44,16.56,18.94,19.09,17.28,16.47,17.56,18.12,16.62,15.09,16.16,16.84,15.22,12.53,12.16,13.56,13.28,12.09,12.56,14.44,14.88,13.09,11.97,13.28,14.59,13.25,12.0,12.97,14.66,14.16,13.34,14.41,17.47,18.22,17.12,16.97,17.91,17.41,14.47,12.47,13.06,13.59,12.31,10.94,11.78,12.91,12.44,10.59,10.72,12.47,13.28,12.56,13.31,16.62,18.91,19.28,19.41,21.38,22.94,21.88,19.47,19.0,18.91,17.0,14.06,12.75,13.41,13.16,11.09,10.12,12.19,13.94,14.03,14.0,15.97,18.25,17.56,16.19,16.5,18.38,18.84,17.62,17.75,19.84,21.06,20.0,19.66,21.56,23.12,22.44,20.84,21.16,21.75,20.16,17.31,16.56,17.53,17.75,16.16,15.69,17.19,17.81,16.19,14.91,16.69,18.25,17.94,17.28,19.03,21.78,22.47,22.06,23.03,25.38,26.19,24.59,23.41,24.44,24.25,21.78,19.75,20.09,20.47,18.91,16.22,15.69,16.19,15.53,13.66,14.03,16.44,18.22,18.12,18.16,20.88,23.34,22.94,22.5,24.25,25.75,25.03,23.31,23.28,24.03,23.66,21.59,21.03,22.91,24.62,24.06,23.72,25.12,26.16,23.88,21.0,20.53,21.16,20.16,18.44,18.84,20.59,21.0,20.0,19.78,21.62,22.81,21.69,20.72,22.44,24.12,24.06,23.47,25.56,27.88,28.16,26.88,26.75,27.25,26.84,24.69,23.94,25.44,27.19,26.78,26.06,27.12,28.47,27.19,25.0,24.56,25.53,25.56,23.84,23.5,24.88,25.47,23.47,22.19,22.91,23.97,23.0,22.22,24.41,27.16,28.28,27.47,27.75,28.34,27.75,25.09,23.53,24.41,25.12,23.69,22.12,22.91,23.84,22.78,20.53,20.53,21.34,20.53,18.62,18.78,20.81,22.81,22.75,23.53,25.88,27.78,26.28,24.47,24.66,25.31,23.66,21.69,21.5,22.88,22.38,20.06,19.62,20.88,21.62,20.34,19.88,21.03,21.91,20.19,18.06,18.22,19.47,19.0,18.09,18.72,20.75,21.53,20.41,20.34,22.53,24.66,24.06,23.69,25.19,26.97,26.09,25.16,26.09,27.78,27.31,25.03,23.69,23.72,22.59,19.97,18.53,19.5,20.66,19.47,18.56,20.16,22.62,23.03,23.16,25.03,28.34,29.81,29.44,29.75,31.88,32.81,31.53,30.97,32.66,33.94,32.5,30.31,29.91,29.78,27.56,3.09,4.41,4.25,4.16,5.22,7.59,9.53,10.28,11.53,14.56,16.88,17.09,17.16,17.81:12.91,14.09,14.16,11.69,9.38,8.91,8.41,5.25,2.47,3.25,4.88,4.41,3.19,3.62,4.81,4.94,3.5,3.69,6.12,7.31,5.84,4.66,5.75,7.28,7.06,7.0,9.78,13.53,15.16,15.0,15.72,17.25,16.47,13.25,10.25,8.62,6.25,1.41,-2.47,-2.88,-1.66,-1.59,-1.5,0.44,4.12,5.59,5.28,6.0,8.12,8.47,6.16,3.69,3.84,3.97,1.91,0.38,2.03,4.44,4.06,2.16,2.03,2.59,1.69,-0.81,-1.22,0.47,1.31,-0.03,-0.97,0.19,1.34,-0.12,-1.81,-0.62,2.03,2.81,3.12,4.94,8.03,9.06,8.19,7.69,9.5,10.41,9.03,7.38,8.19,9.09,7.72,6.31,7.25,8.97,9.12,7.44,6.69,7.34,7.19,5.25,4.34,6.59,8.88,9.12,9.22,11.78,14.69,15.16,14.81,16.03,18.38,19.06,17.78,17.25,18.34,18.03,14.88,12.38,12.06,11.44,8.97,6.81,7.62,9.34,9.59,8.44,7.97,8.69,7.28,4.0,1.75,2.09,2.44,1.09,0.5,2.94,5.75,6.0,5.28,6.5,8.19,7.72,6.0,5.78,7.31,8.25,7.78,7.81,10.41,12.47,12.19,11.84,13.44,14.94,13.69,10.84,8.97,7.47,4.78,0.62,-1.72,-1.22,-0.72,-1.47,-0.59,2.91,6.41,7.66,8.19,10.84,13.59,13.97,12.88,13.38,15.03,15.34,14.06,13.56,15.31,16.03,14.5,13.38,14.62,15.62,14.38,12.19,12.19,12.91,11.88,10.09,9.62,10.88,11.22,9.59,8.16,9.56,10.59,9.84,10.0,12.53,16.19,17.47,17.56,19.31,21.66,22.59,21.94,23.03,25.44,26.56,25.03,22.59,22.0,21.25,18.06,14.94,14.88,15.94,14.91,12.44,11.56,10.97,8.47,4.62,2.66,3.81,5.5,6.16,7.62,10.94,13.5,13.12,11.44,11.47,12.12,11.03,9.38,9.66,12.09,13.69,13.94,15.31,18.97,21.94,22.16,22.28,24.5,26.44,25.41,23.12,22.12,21.62,19.19,15.47,13.5,13.81,13.16,10.12,8.19,7.56,7.0,4.38,2.25,3.28,5.81,6.84,7.12,8.62,10.91,11.22,9.69,9.41,10.97,12.0,10.78,10.0,10.78,12.0,11.19,10.03,11.44,13.53,13.84,12.44,12.5,13.69,13.5,11.0,9.41,9.5,9.19,7.0,5.72,6.91,8.88,8.38,7.72,8.81,10.78,10.94,9.66,9.59,11.0,11.62,10.25,10.5,13.19,15.91,15.88,15.38,16.09,17.06,15.34,13.22,13.09,14.75,15.47,14.41,14.94,16.91,17.59,16.12,15.16,15.78,16.94,15.97,14.5,14.91,16.03,15.31,13.28,12.62,13.78,13.78,11.81,11.03,12.72,14.09,13.72,13.66,15.84,18.25,18.56,17.84,18.53,20.19,20.5,19.59,19.62,21.5,22.5,21.28,20.56,21.84,23.0,21.88,20.84,22.16,24.88,25.69,25.81,27.0,29.06,29.06,26.56,24.97,24.97,24.84,22.38,20.72,21.38,22.03,20.09,17.84,17.56,18.38,17.22,15.47,15.34,16.41,16.16,14.03,12.88,14.0,14.81,13.38,11.84,12.78,13.91,13.16,11.78,12.91,15.06,15.34,14.44,14.5,16.03,16.62,15.19,14.88,16.97,19.03,18.66,18.34,19.88,21.41,20.62,18.62,18.03,18.62,17.88,15.91,14.94,16.41,17.16,16.38,16.31,18.09,19.97,18.69,16.47,15.75,15.75,14.06,12.31,13.28,16.25,18.91,19.81,20.75,22.81,23.12,20.59,17.81,17.91,18.91,17.72,16.69,17.84,19.88,20.38,19.91,20.66,23.19,24.16,22.91,21.88,23.12,23.41,21.78,20.53,21.72,23.75,23.69,22.75,23.19,24.78,24.06,21.53,20.22,20.56,20.09,17.78,16.53,17.44,18.16,17.19,16.0,17.38,19.66,20.19,19.81,20.59,22.44,22.62,21.0,20.06,21.62,23.44,23.5,23.84,26.28,28.19,27.41,25.44,25.47,26.41,25.5,23.31,22.88,23.84,23.81,22.44,21.94,24.03,25.53,24.47,22.59,23.16,23.25,21.44,18.66,18.78,20.16,20.12,19.03,18.94,20.22,20.28,18.19,16.34,16.97,18.06,17.34,17.03,19.66,23.06,24.25,23.41,23.78,24.53,24.03,21.81,21.03,22.66,24.12,23.47,23.06,24.5,25.69,24.38,22.16,22.38,24.03,24.47,23.88,24.66,27.19,28.25,26.97,25.72,26.19,25.53,22.38,19.06,18.09,18.0,16.19,14.06,14.31,16.28,16.84,16.12,17.12,19.91,21.34,20.41,19.66,20.66,21.22,19.88,18.41,19.5,21.31,21.03,19.53,19.38,20.5,20.38,18.62,18.5,20.44,21.66,20.25,18.56,19.53,19.94,18.22,16.06,16.5,18.16,18.81,18.41,19.94,22.38,23.16,21.66,20.59,21.56,22.28,20.47,18.69,19.38,20.75,20.28,19.19,20.31,22.31,22.03,19.84,18.47,18.59,17.56,14.81,13.28,14.16,15.09,13.91,12.25,12.91,14.28,13.75,12.47,13.16,15.22,15.72,14.62,14.94,17.41,19.38,18.38,17.44,18.19,18.03,15.28,12.34,11.78,12.59,12.0,10.28,10.53,12.44,13.5,12.81,13.28,16.12,18.28,17.56,16.44,17.56,18.84,18.28,16.69,17.78,19.75,20.09,18.97,19.56,21.91,23.09,22.69,22.31,24.0,25.09,23.34,21.31,21.66,22.88,22.34,21.28,22.38,24.88,25.78,25.03,25.56,28.12,29.84,28.84,28.75,31.16,33.34,32.78,31.97,32.66,33.5,31.81,28.81,27.12,27.03,26.03,23.0,21.62,22.75,23.31,21.84,20.84,22.09,23.56,22.59,21.0,21.62,23.34,23.34,22.06,22.56,24.62,25.66,24.5,24.31,26.28,27.81,26.84,25.94,27.25,28.78,27.56,25.38,24.72,25.62,24.94,22.81,22.25,23.34,23.19,20.5,18.84,19.81,21.25,20.56,19.62,21.12,23.34,23.28,22.34,23.12,25.38,25.97,24.12,23.47,24.47,24.75,22.16,20.25,20.72,21.56,19.97,18.19,18.5,19.69,18.53,16.25,15.56,17.22,18.12,17.41,17.66,19.91,21.22,19.78,18.44,19.53,21.34,21.22,20.19,21.19,23.47,23.78,22.69,23.06,24.59,24.84,22.06,19.47,19.09,19.12,17.38,16.69,18.28,21.09,21.25,19.69,19.28,20.03,19.41,17.38,16.81,18.72,19.59,18.41,18.0,20.22,22.94,22.97,22.31,23.25,24.59,23.38,20.69,19.62,20.0,19.19,16.31,14.78,15.66,16.06,14.28,12.56,13.53,15.22,14.47,13.16,14.0,16.0,16.06,14.75,14.59,16.62,17.41,16.31,16.09,18.47,19.81,18.44,17.0,17.97,19.75,19.25,18.28,18.69,19.78,18.84,16.12,14.34,14.28,13.75,11.19,9.25,9.91,11.06,10.16,9.44,11.5,14.56,15.75,15.44,16.56,18.94,19.09,17.28,16.47,17.56,18.12,16.62,15.09,16.16,16.84,15.22,12.53,12.16,13.56,13.28,12.09,12.56,14.44,14.88,13.09,11.97,13.28,14.59,13.25,12.0,12.97,14.66,14.16,13.34,14.41,17.47,18.22,17.12,16.97,17.91,17.41,14.47,12.47,13.06,13.59,12.31,10.94,11.78,12.91,12.44,10.59,10.72,12.47,13.28,12.56,13.31,16.62,18.91,19.28,19.41,21.38,22.94,21.88,19.47,19.0,18.91,17.0,14.06,12.75,13.41,13.16,11.09,10.12,12.19,13.94,14.03,14.0,15.97,18.25,17.56,16.19,16.5,18.38,18.84,17.62,17.75,19.84,21.06,20.0,19.66,21.56,23.12,22.44,20.84,21.16,21.75,20.16,17.31,16.56,17.53,17.75,16.16,15.69,17.19,17.81,16.19,14.91,16.69,18.25,17.94,17.28,19.03,21.78,22.47,22.06,23.03,25.38,26.19,24.59,23.41,24.44,24.25,21.78,19.75,20.09,20.47,18.91,16.22,15.69,16.19,15.53,13.66,14.03,16.44,18.22,18.12,18.16,20.88,23.34,22.94,22.5,24.25,25.75,25.03,23.31,23.28,24.03,23.66,21.59,21.03,22.91,24.62,24.06,23.72,25.12,26.16,23.88,21.0,20.53,21.16,20.16,18.44,18.84,20.59,21.0,20.0,19.78,21.62,22.81,21.69,20.72,22.44,24.12,24.06,23.47,25.56,27.88,28.16,26.88,26.75,27.25,26.84,24.69,23.94,25.44,27.19,26.78,26.06,27.12,28.47,27.19,25.0,24.56,25.53,25.56,23.84,23.5,24.88,25.47,23.47,22.19,22.91,23.97,23.0,22.22,24.41,27.16,28.28,27.47,27.75,28.34,27.75,25.09,23.53,24.41,25.12,23.69,22.12,22.91,23.84,22.78,20.53,20.53,21.34,20.53,18.62,18.78,20.81,22.81,22.75,23.53,25.88,27.78,26.28,24.47,24.66,25.31,23.66,21.69,21.5,22.88,22.38,20.06,19.62,20.88,21.62,20.34,19.88,21.03,21.91,20.19,18.06,18.22,19.47,19.0,18.09,18.72,20.75,21.53,20.41,20.34,22.53,24.66,24.06,23.69,25.19,26.97,26.09,25.16,26.09,27.78,27.31,25.03,23.69,23.72,22.59,19.97,18.53,19.5,20.66,19.47,18.56,20.16,22.62,23.03,23.16,25.03,28.34,29.81,29.44,29.75,31.88,32.81,31.53,30.97,32.66,33.94,32.5,30.31,29.91,29.78,27.56,3.09,4.41,4.25,4.16,5.22,7.59,9.53,10.28,11.53,14.56,16.88,17.09,17.16,17.81,18.84,18.31,16.97,16.34,16.5,14.97,12.38:5.25,2.47,3.25,4.88,4.41,3.19,3.62,4.81,4.94,3.5,3.69,6.12,7.31,5.84,4.66,5.75,7.28,7.06,7.0,9.78,13.53,15.16,15.0,15.72,17.25,16.47,13.25,10.25,8.62,6.25,1.41,-2.47,-2.88,-1.66,-1.59,-1.5,0.44,4.12,5.59,5.28,6.0,8.12,8.47,6.16,3.69,3.84,3.97,1.91,0.38,2.03,4.44,4.06,2.16,2.03,2.59,1.69,-0.81,-1.22,0.47,1.31,-0.03,-0.97,0.19,1.34,-0.12,-1.81,-0.62,2.03,2.81,3.12,4.94,8.03,9.06,8.19,7.69,9.5,10.41,9.03,7.38,8.19,9.09,7.72,6.31,7.25,8.97,9.12,7.44,6.69,7.34,7.19,5.25,4.34,6.59,8.88,9.12,9.22,11.78,14.69,15.16,14.81,16.03,18.38,19.06,17.78,17.25,18.34,18.03,14.88,12.38,12.06,11.44,8.97,6.81,7.62,9.34,9.59,8.44,7.97,8.69,7.28,4.0,1.75,2.09,2.44,1.09,0.5,2.94,5.75,6.0,5.28,6.5,8.19,7.72,6.0,5.78,7.31,8.25,7.78,7.81,10.41,12.47,12.19,11.84,13.44,14.94,13.69,10.84,8.97,7.47,4.78,0.62,-1.72,-1.22,-0.72,-1.47,-0.59,2.91,6.41,7.66,8.19,10.84,13.59,13.97,12.88,13.38,15.03,15.34,14.06,13.56,15.31,16.03,14.5,13.38,14.62,15.62,14.38,12.19,12.19,12.91,11.88,10.09,9.62,10.88,11.22,9.59,8.16,9.56,10.59,9.84,10.0,12.53,16.19,17.47,17.56,19.31,21.66,22.59,21.94,23.03,25.44,26.56,25.03,22.59,22.0,21.25,18.06,14.94,14.88,15.94,14.91,12.44,11.56,10.97,8.47,4.62,2.66,3.81,5.5,6.16,7.62,10.94,13.5,13.12,11.44,11.47,12.12,11.03,9.38,9.66,12.09,13.69,13.94,15.31,18.97,21.94,22.16,22.28,24.5,26.44,25.41,23.12,22.12,21.62,19.19,15.47,13.5,13.81,13.16,10.12,8.19,7.56,7.0,4.38,2.25,3.28,5.81,6.84,7.12,8.62,10.91,11.22,9.69,9.41,10.97,12.0,10.78,10.0,10.78,12.0,11.19,10.03,11.44,13.53,13.84,12.44,12.5,13.69,13.5,11.0,9.41,9.5,9.19,7.0,5.72,6.91,8.88,8.38,7.72,8.81,10.78,10.94,9.66,9.59,11.0,11.62,10.25,10.5,13.19,15.91,15.88,15.38,16.09,17.06,15.34,13.22,13.09,14.75,15.47,14.41,14.94,16.91,17.59,16.12,15.16,15.78,16.94,15.97,14.5,14.91,16.03,15.31,13.28,12.62,13.78,13.78,11.81,11.03,12.72,14.09,13.72,13.66,15.84,18.25,18.56,17.84,18.53,20.19,20.5,19.59,19.62,21.5,22.5,21.28,20.56,21.84,23.0,21.88,20.84,22.16,24.88,25.69,25.81,27.0,29.06,29.06,26.56,24.97,24.97,24.84,22.38,20.72,21.38,22.03,20.09,17.84,17.56,18.38,17.22,15.47,15.34,16.41,16.16,14.03,12.88,14.0,14.81,13.38,11.84,12.78,13.91,13.16,11.78,12.91,15.06,15.34,14.44,14.5,16.03,16.62,15.19,14.88,16.97,19.03,18.66,18.34,19.88,21.41,20.62,18.62,18.03,18.62,17.88,15.91,14.94,16.41,17.16,16.38,16.31,18.09,19.97,18.69,16.47,15.75,15.75,14.06,12.31,13.28,16.25,18.91,19.81,20.75,22.81,23.12,20.59,17.81,17.91,18.91,17.72,16.69,17.84,19.88,20.38,19.91,20.66,23.19,24.16,22.91,21.88,23.12,23.41,21.78,20.53,21.72,23.75,23.69,22.75,23.19,24.78,24.06,21.53,20.22,20.56,20.09,17.78,16.53,17.44,18.16,17.19,16.0,17.38,19.66,20.19,19.81,20.59,22.44,22.62,21.0,20.06,21.62,23.44,23.5,23.84,26.28,28.19,27.41,25.44,25.47,26.41,25.5,23.31,22.88,23.84,23.81,22.44,21.94,24.03,25.53,24.47,22.59,23.16,23.25,21.44,18.66,18.78,20.16,20.12,19.03,18.94,20.22,20.28,18.19,16.34,16.97,18.06,17.34,17.03,19.66,23.06,24.25,23.41,23.78,24.53,24.03,21.81,21.03,22.66,24.12,23.47,23.06,24.5,25.69,24.38,22.16,22.38,24.03,24.47,23.88,24.66,27.19,28.25,26.97,25.72,26.19,25.53,22.38,19.06,18.09,18.0,16.19,14.06,14.31,16.28,16.84,16.12,17.12,19.91,21.34,20.41,19.66,20.66,21.22,19.88,18.41,19.5,21.31,21.03,19.53,19.38,20.5,20.38,18.62,18.5,20.44,21.66,20.25,18.56,19.53,19.94,18.22,16.06,16.5,18.16,18.81,18.41,19.94,22.38,23.16,21.66,20.59,21.56,22.28,20.47,18.69,19.38,20.75,20.28,19.19,20.31,22.31,22.03,19.84,18.47,18.59,17.56,14.81,13.28,14.16,15.09,13.91,12.25,12.91,14.28,13.75,12.47,13.16,15.22,15.72,14.62,14.94,17.41,19.38,18.38,17.44,18.19,18.03,15.28,12.34,11.78,12.59,12.0,10.28,10.53,12.44,13.5,12.81,13.28,16.12,18.28,17.56,16.44,17.56,18.84,18.28,16.69,17.78,19.75,20.09,18.97,19.56,21.91,23.09,22.69,22.31,24.0,25.09,23.34,21.31,21.66,22.88,22.34,21.28,22.38,24.88,25.78,25.03,25.56,28.12,29.84,28.84,28.75,31.16,33.34,32.78,31.97,32.66,33.5,31.81,28.81,27.12,27.03,26.03,23.0,21.62,22.75,23.31,21.84,20.84,22.09,23.56,22.59,21.0,21.62,23.34,23.34,22.06,22.56,24.62,25.66,24.5,24.31,26.28,27.81,26.84,25.94,27.25,28.78,27.56,25.38,24.72,25.62,24.94,22.81,22.25,23.34,23.19,20.5,18.84,19.81,21.25,20.56,19.62,21.12,23.34,23.28,22.34,23.12,25.38,25.97,24.12,23.47,24.47,24.75,22.16,20.25,20.72,21.56,19.97,18.19,18.5,19.69,18.53,16.25,15.56,17.22,18.12,17.41,17.66,19.91,21.22,19.78,18.44,19.53,21.34,21.22,20.19,21.19,23.47,23.78,22.69,23.06,24.59,24.84,22.06,19.47,19.09,19.12,17.38,16.69,18.28,21.09,21.25,19.69,19.28,20.03,19.41,17.38,16.81,18.72,19.59,18.41,18.0,20.22,22.94,22.97,22.31,23.25,24.59,23.38,20.69,19.62,20.0,19.19,16.31,14.78,15.66,16.06,14.28,12.56,13.53,15.22,14.47,13.16,14.0,16.0,16.06,14.75,14.59,16.62,17.41,16.31,16.09,18.47,19.81,18.44,17.0,17.97,19.75,19.25,18.28,18.69,19.78,18.84,16.12,14.34,14.28,13.75,11.19,9.25,9.91,11.06,10.16,9.44,11.5,14.56,15.75,15.44,16.56,18.94,19.09,17.28,16.47,17.56,18.12,16.62,15.09,16.16,16.84,15.22,12.53,12.16,13.56,13.28,12.09,12.56,14.44,14.88,13.09,11.97,13.28,14.59,13.25,12.0,12.97,14.66,14.16,13.34,14.41,17.47,18.22,17.12,16.97,17.91,17.41,14.47,12.47,13.06,13.59,12.31,10.94,11.78,12.91,12.44,10.59,10.72,12.47,13.28,12.56,13.31,16.62,18.91,19.28,19.41,21.38,22.94,21.88,19.47,19.0,18.91,17.0,14.06,12.75,13.41,13.16,11.09,10.12,12.19,13.94,14.03,14.0,15.97,18.25,17.56,16.19,16.5,18.38,18.84,17.62,17.75,19.84,21.06,20.0,19.66,21.56,23.12,22.44,20.84,21.16,21.75,20.16,17.31,16.56,17.53,17.75,16.16,15.69,17.19,17.81,16.19,14.91,16.69,18.25,17.94,17.28,19.03,21.78,22.47,22.06,23.03,25.38,26.19,24.59,23.41,24.44,24.25,21.78,19.75,20.09,20.47,18.91,16.22,15.69,16.19,15.53,13.66,14.03,16.44,18.22,18.12,18.16,20.88,23.34,22.94,22.5,24.25,25.75,25.03,23.31,23.28,24.03,23.66,21.59,21.03,22.91,24.62,24.06,23.72,25.12,26.16,23.88,21.0,20.53,21.16,20.16,18.44,18.84,20.59,21.0,20.0,19.78,21.62,22.81,21.69,20.72,22.44,24.12,24.06,23.47,25.56,27.88,28.16,26.88,26.75,27.25,26.84,24.69,23.94,25.44,27.19,26.78,26.06,27.12,28.47,27.19,25.0,24.56,25.53,25.56,23.84,23.5,24.88,25.47,23.47,22.19,22.91,23.97,23.0,22.22,24.41,27.16,28.28,27.47,27.75,28.34,27.75,25.09,23.53,24.41,25.12,23.69,22.12,22.91,23.84,22.78,20.53,20.53,21.34,20.53,18.62,18.78,20.81,22.81,22.75,23.53,25.88,27.78,26.28,24.47,24.66,25.31,23.66,21.69,21.5,22.88,22.38,20.06,19.62,20.88,21.62,20.34,19.88,21.03,21.91,20.19,18.06,18.22,19.47,19.0,18.09,18.72,20.75,21.53,20.41,20.34,22.53,24.66,24.06,23.69,25.19,26.97,26.09,25.16,26.09,27.78,27.31,25.03,23.69,23.72,22.59,19.97,18.53,19.5,20.66,19.47,18.56,20.16,22.62,23.03,23.16,25.03,28.34,29.81,29.44,29.75,31.88,32.81,31.53,30.97,32.66,33.94,32.5,30.31,29.91,29.78,27.56,3.09,4.41,4.25,4.16,5.22,7.59,9.53,10.28,11.53,14.56,16.88,17.09,17.16,17.81,18.84,18.31,16.97,16.34,16.5,14.97,12.38,10.88,10.91,10.09,8.09,5.91,5.03,4.53:4.81,4.94,3.5,3.69,6.12,7.31,5.84,4.66,5.75,7.28,7.06,7.0,9.78,13.53,15.16,15.0,15.72,17.25,16.47,13.25,10.25,8.62,6.25,1.41,-2.47,-2.88,-1.66,-1.59,-1.5,0.44,4.12,5.59,5.28,6.0,8.12,8.47,6.16,3.69,3.84,3.97,1.91,0.38,2.03,4.44,4.06,2.16,2.03,2.59,1.69,-0.81,-1.22,0.47,1.31,-0.03,-0.97,0.19,1.34,-0.12,-1.81,-0.62,2.03,2.81,3.12,4.94,8.03,9.06,8.19,7.69,9.5,10.41,9.03,7.38,8.19,9.09,7.72,6.31,7.25,8.97,9.12,7.44,6.69,7.34,7.19,5.25,4.34,6.59,8.88,9.12,9.22,11.78,14.69,15.16,14.81,16.03,18.38,19.06,17.78,17.25,18.34,18.03,14.88,12.38,12.06,11.44,8.97,6.81,7.62,9.34,9.59,8.44,7.97,8.69,7.28,4.0,1.75,2.09,2.44,1.09,0.5,2.94,5.75,6.0,5.28,6.5,8.19,7.72,6.0,5.78,7.31,8.25,7.78,7.81,10.41,12.47,12.19,11.84,13.44,14.94,13.69,10.84,8.97,7.47,4.78,0.62,-1.72,-1.22,-0.72,-1.47,-0.59,2.91,6.41,7.66,8.19,10.84,13.59,13.97,12.88,13.38,15.03,15.34,14.06,13.56,15.31,16.03,14.5,13.38,14.62,15.62,14.38,12.19,12.19,12.91,11.88,10.09,9.62,10.88,11.22,9.59,8.16,9.56,10.59,9.84,10.0,12.53,16.19,17.47,17.56,19.31,21.66,22.59,21.94,23.03,25.44,26.56,25.03,22.59,22.0,21.25,18.06,14.94,14.88,15.94,14.91,12.44,11.56,10.97,8.47,4.62,2.66,3.81,5.5,6.16,7.62,10.94,13.5,13.12,11.44,11.47,12.12,11.03,9.38,9.66,12.09,13.69,13.94,15.31,18.97,21.94,22.16,22.28,24.5,26.44,25.41,23.12,22.12,21.62,19.19,15.47,13.5,13.81,13.16,10.12,8.19,7.56,7.0,4.38,2.25,3.28,5.81,6.84,7.12,8.62,10.91,11.22,9.69,9.41,10.97,12.0,10.78,10.0,10.78,12.0,11.19,10.03,11.44,13.53,13.84,12.44,12.5,13.69,13.5,11.0,9.41,9.5,9.19,7.0,5.72,6.91,8.88,8.38,7.72,8.81,10.78,10.94,9.66,9.59,11.0,11.62,10.25,10.5,13.19,15.91,15.88,15.38,16.09,17.06,15.34,13.22,13.09,14.75,15.47,14.41,14.94,16.91,17.59,16.12,15.16,15.78,16.94,15.97,14.5,14.91,16.03,15.31,13.28,12.62,13.78,13.78,11.81,11.03,12.72,14.09,13.72,13.66,15.84,18.25,18.56,17.84,18.53,20.19,20.5,19.59,19.62,21.5,22.5,21.28,20.56,21.84,23.0,21.88,20.84,22.16,24.88,25.69,25.81,27.0,29.06,29.06,26.56,24.97,24.97,24.84,22.38,20.72,21.38,22.03,20.09,17.84,17.56,18.38,17.22,15.47,15.34,16.41,16.16,14.03,12.88,14.0,14.81,13.38,11.84,12.78,13.91,13.16,11.78,12.91,15.06,15.34,14.44,14.5,16.03,16.62,15.19,14.88,16.97,19.03,18.66,18.34,19.88,21.41,20.62,18.62,18.03,18.62,17.88,15.91,14.94,16.41,17.16,16.38,16.31,18.09,19.97,18.69,16.47,15.75,15.75,14.06,12.31,13.28,16.25,18.91,19.81,20.75,22.81,23.12,20.59,17.81,17.91,18.91,17.72,16.69,17.84,19.88,20.38,19.91,20.66,23.19,24.16,22.91,21.88,23.12,23.41,21.78,20.53,21.72,23.75,23.69,22.75,23.19,24.78,24.06,21.53,20.22,20.56,20.09,17.78,16.53,17.44,18.16,17.19,16.0,17.38,19.66,20.19,19.81,20.59,22.44,22.62,21.0,20.06,21.62,23.44,23.5,23.84,26.28,28.19,27.41,25.44,25.47,26.41,25.5,23.31,22.88,23.84,23.81,22.44,21.94,24.03,25.53,24.47,22.59,23.16,23.25,21.44,18.66,18.78,20.16,20.12,19.03,18.94,20.22,20.28,18.19,16.34,16.97,18.06,17.34,17.03,19.66,23.06,24.25,23.41,23.78,24.53,24.03,21.81,21.03,22.66,24.12,23.47,23.06,24.5,25.69,24.38,22.16,22.38,24.03,24.47,23.88,24.66,27.19,28.25,26.97,25.72,26.19,25.53,22.38,19.06,18.09,18.0,16.19,14.06,14.31,16.28,16.84,16.12,17.12,19.91,21.34,20.41,19.66,20.66,21.22,19.88,18.41,19.5,21.31,21.03,19.53,19.38,20.5,20.38,18.62,18.5,20.44,21.66,20.25,18.56,19.53,19.94,18.22,16.06,16.5,18.16,18.81,18.41,19.94,22.38,23.16,21.66,20.59,21.56,22.28,20.47,18.69,19.38,20.75,20.28,19.19,20.31,22.31,22.03,19.84,18.47,18.59,17.56,14.81,13.28,14.16,15.09,13.91,12.25,12.91,14.28,13.75,12.47,13.16,15.22,15.72,14.62,14.94,17.41,19.38,18.38,17.44,18.19,18.03,15.28,12.34,11.78,12.59,12.0,10.28,10.53,12.44,13.5,12.81,13.28,16.12,18.28,17.56,16.44,17.56,18.84,18.28,16.69,17.78,19.75,20.09,18.97,19.56,21.91,23.09,22.69,22.31,24.0,25.09,23.34,21.31,21.66,22.88,22.34,21.28,22.38,24.88,25.78,25.03,25.56,28.12,29.84,28.84,28.75,31.16,33.34,32.78,31.97,32.66,33.5,31.81,28.81,27.12,27.03,26.03,23.0,21.62,22.75,23.31,21.84,20.84,22.09,23.56,22.59,21.0,21.62,23.34,23.34,22.06,22.56,24.62,25.66,24.5,24.31,26.28,27.81,26.84,25.94,27.25,28.78,27.56,25.38,24.72,25.62,24.94,22.81,22.25,23.34,23.19,20.5,18.84,19.81,21.25,20.56,19.62,21.12,23.34,23.28,22.34,23.12,25.38,25.97,24.12,23.47,24.47,24.75,22.16,20.25,20.72,21.56,19.97,18.19,18.5,19.69,18.53,16.25,15.56,17.22,18.12,17.41,17.66,19.91,21.22,19.78,18.44,19.53,21.34,21.22,20.19,21.19,23.47,23.78,22.69,23.06,24.59,24.84,22.06,19.47,19.09,19.12,17.38,16.69,18.28,21.09,21.25,19.69,19.28,20.03,19.41,17.38,16.81,18.72,19.59,18.41,18.0,20.22,22.94,22.97,22.31,23.25,24.59,23.38,20.69,19.62,20.0,19.19,16.31,14.78,15.66,16.06,14.28,12.56,13.53,15.22,14.47,13.16,14.0,16.0,16.06,14.75,14.59,16.62,17.41,16.31,16.09,18.47,19.81,18.44,17.0,17.97,19.75,19.25,18.28,18.69,19.78,18.84,16.12,14.34,14.28,13.75,11.19,9.25,9.91,11.06,10.16,9.44,11.5,14.56,15.75,15.44,16.56,18.94,19.09,17.28,16.47,17.56,18.12,16.62,15.09,16.16,16.84,15.22,12.53,12.16,13.56,13.28,12.09,12.56,14.44,14.88,13.09,11.97,13.28,14.59,13.25,12.0,12.97,14.66,14.16,13.34,14.41,17.47,18.22,17.12,16.97,17.91,17.41,14.47,12.47,13.06,13.59,12.31,10.94,11.78,12.91,12.44,10.59,10.72,12.47,13.28,12.56,13.31,16.62,18.91,19.28,19.41,21.38,22.94,21.88,19.47,19.0,18.91,17.0,14.06,12.75,13.41,13.16,11.09,10.12,12.19,13.94,14.03,14.0,15.97,18.25,17.56,16.19,16.5,18.38,18.84,17.62,17.75,19.84,21.06,20.0,19.66,21.56,23.12,22.44,20.84,21.16,21.75,20.16,17.31,16.56,17.53,17.75,16.16,15.69,17.19,17.81,16.19,14.91,16.69,18.25,17.94,17.28,19.03,21.78,22.47,22.06,23.03,25.38,26.19,24.59,23.41,24.44,24.25,21.78,19.75,20.09,20.47,18.91,16.22,15.69,16.19,15.53,13.66,14.03,16.44,18.22,18.12,18.16,20.88,23.34,22.94,22.5,24.25,25.75,25.03,23.31,23.28,24.03,23.66,21.59,21.03,22.91,24.62,24.06,23.72,25.12,26.16,23.88,21.0,20.53,21.16,20.16,18.44,18.84,20.59,21.0,20.0,19.78,21.62,22.81,21.69,20.72,22.44,24.12,24.06,23.47,25.56,27.88,28.16,26.88,26.75,27.25,26.84,24.69,23.94,25.44,27.19,26.78,26.06,27.12,28.47,27.19,25.0,24.56,25.53,25.56,23.84,23.5,24.88,25.47,23.47,22.19,22.91,23.97,23.0,22.22,24.41,27.16,28.28,27.47,27.75,28.34,27.75,25.09,23.53,24.41,25.12,23.69,22.12,22.91,23.84,22.78,20.53,20.53,21.34,20.53,18.62,18.78,20.81,22.81,22.75,23.53,25.88,27.78,26.28,24.47,24.66,25.31,23.66,21.69,21.5,22.88,22.38,20.06,19.62,20.88,21.62,20.34,19.88,21.03,21.91,20.19,18.06,18.22,19.47,19.0,18.09,18.72,20.75,21.53,20.41,20.34,22.53,24.66,24.06,23.69,25.19,26.97,26.09,25.16,26.09,27.78,27.31,25.03,23.69,23.72,22.59,19.97,18.53,19.5,20.66,19.47,18.56,20.16,22.62,23.03,23.16,25.03,28.34,29.81,29.44,29.75,31.88,32.81,31.53,30.97,32.66,33.94,32.5,30.31,29.91,29.78,27.56,3.09,4.41,4.25,4.16,5.22,7.59,9.53,10.28,11.53,14.56,16.88,17.09,17.16,17.81,18.84,18.31,16.97,16.34,16.5,14.97,12.38,10.88,10.91,10.09,8.09,5.91,5.03,4.53,2.56,1.09,2.09,4.25,5.09,5.47,6.72:4.66,5.75,7.28,7.06,7.0,9.78,13.53,15.16,15.0,15.72,17.25,16.47,13.25,10.25,8.62,6.25,1.41,-2.47,-2.88,-1.66,-1.59,-1.5,0.44,4.12,5.59,5.28,6.0,8.12,8.47,6.16,3.69,3.84,3.97,1.91,0.38,2.03,4.44,4.06,2.16,2.03,2.59,1.69,-0.81,-1.22,0.47,1.31,-0.03,-0.97,0.19,1.34,-0.12,-1.81,-0.62,2.03,2.81,3.12,4.94,8.03,9.06,8.19,7.69,9.5,10.41,9.03,7.38,8.19,9.09,7.72,6.31,7.25,8.97,9.12,7.44,6.69,7.34,7.19,5.25,4.34,6.59,8.88,9.12,9.22,11.78,14.69,15.16,14.81,16.03,18.38,19.06,17.78,17.25,18.34,18.03,14.88,12.38,12.06,11.44,8.97,6.81,7.62,9.34,9.59,8.44,7.97,8.69,7.28,4.0,1.75,2.09,2.44,1.09,0.5,2.94,5.75,6.0,5.28,6.5,8.19,7.72,6.0,5.78,7.31,8.25,7.78,7.81,10.41,12.47,12.19,11.84,13.44,14.94,13.69,10.84,8.97,7.47,4.78,0.62,-1.72,-1.22,-0.72,-1.47,-0.59,2.91,6.41,7.66,8.19,10.84,13.59,13.97,12.88,13.38,15.03,15.34,14.06,13.56,15.31,16.03,14.5,13.38,14.62,15.62,14.38,12.19,12.19,12.91,11.88,10.09,9.62,10.88,11.22,9.59,8.16,9.56,10.59,9.84,10.0,12.53,16.19,17.47,17.56,19.31,21.66,22.59,21.94,23.03,25.44,26.56,25.03,22.59,22.0,21.25,18.06,14.94,14.88,15.94,14.91,12.44,11.56,10.97,8.47,4.62,2.66,3.81,5.5,6.16,7.62,10.94,13.5,13.12,11.44,11.47,12.12,11.03,9.38,9.66,12.09,13.69,13.94,15.31,18.97,21.94,22.16,22.28,24.5,26.44,25.41,23.12,22.12,21.62,19.19,15.47,13.5,13.81,13.16,10.12,8.19,7.56,7.0,4.38,2.25,3.28,5.81,6.84,7.12,8.62,10.91,11.22,9.69,9.41,10.97,12.0,10.78,10.0,10.78,12.0,11.19,10.03,11.44,13.53,13.84,12.44,12.5,13.69,13.5,11.0,9.41,9.5,9.19,7.0,5.72,6.91,8.88,8.38,7.72,8.81,10.78,10.94,9.66,9.59,11.0,11.62,10.25,10.5,13.19,15.91,15.88,15.38,16.09,17.06,15.34,13.22,13.09,14.75,15.47,14.41,14.94,16.91,17.59,16.12,15.16,15.78,16.94,15.97,14.5,14.91,16.03,15.31,13.28,12.62,13.78,13.78,11.81,11.03,12.72,14.09,13.72,13.66,15.84,18.25,18.56,17.84,18.53,20.19,20.5,19.59,19.62,21.5,22.5,21.28,20.56,21.84,23.0,21.88,20.84,22.16,24.88,25.69,25.81,27.0,29.06,29.06,26.56,24.97,24.97,24.84,22.38,20.72,21.38,22.03,20.09,17.84,17.56,18.38,17.22,15.47,15.34,16.41,16.16,14.03,12.88,14.0,14.81,13.38,11.84,12.78,13.91,13.16,11.78,12.91,15.06,15.34,14.44,14.5,16.03,16.62,15.19,14.88,16.97,19.03,18.66,18.34,19.88,21.41,20.62,18.62,18.03,18.62,17.88,15.91,14.94,16.41,17.16,16.38,16.31,18.09,19.97,18.69,16.47,15.75,15.75,14.06,12.31,13.28,16.25,18.91,19.81,20.75,22.81,23.12,20.59,17.81,17.91,18.91,17.72,16.69,17.84,19.88,20.38,19.91,20.66,23.19,24.16,22.91,21.88,23.12,23.41,21.78,20.53,21.72,23.75,23.69,22.75,23.19,24.78,24.06,21.53,20.22,20.56,20.09,17.78,16.53,17.44,18.16,17.19,16.0,17.38,19.66,20.19,19.81,20.59,22.44,22.62,21.0,20.06,21.62,23.44,23.5,23.84,26.28,28.19,27.41,25.44,25.47,26.41,25.5,23.31,22.88,23.84,23.81,22.44,21.94,24.03,25.53,24.47,22.59,23.16,23.25,21.44,18.66,18.78,20.16,20.12,19.03,18.94,20.22,20.28,18.19,16.34,16.97,18.06,17.34,17.03,19.66,23.06,24.25,23.41,23.78,24.53,24.03,21.81,21.03,22.66,24.12,23.47,23.06,24.5,25.69,24.38,22.16,22.38,24.03,24.47,23.88,24.66,27.19,28.25,26.97,25.72,26.19,25.53,22.38,19.06,18.09,18.0,16.19,14.06,14.31,16.28,16.84,16.12,17.12,19.91,21.34,20.41,19.66,20.66,21.22,19.88,18.41,19.5,21.31,21.03,19.53,19.38,20.5,20.38,18.62,18.5,20.44,21.66,20.25,18.56,19.53,19.94,18.22,16.06,16.5,18.16,18.81,18.41,19.94,22.38,23.16,21.66,20.59,21.56,22.28,20.47,18.69,19.38,20.75,20.28,19.19,20.31,22.31,22.03,19.84,18.47,18.59,17.56,14.81,13.28,14.16,15.09,13.91,12.25,12.91,14.28,13.75,12.47,13.16,15.22,15.72,14.62,14.94,17.41,19.38,18.38,17.44,18.19,18.03,15.28,12.34,11.78,12.59,12.0,10.28,10.53,12.44,13.5,12.81,13.28,16.12,18.28,17.56,16.44,17.56,18.84,18.28,16.69,17.78,19.75,20.09,18.97,19.56,21.91,23.09,22.69,22.31,24.0,25.09,23.34,21.31,21.66,22.88,22.34,21.28,22.38,24.88,25.78,25.03,25.56,28.12,29.84,28.84,28.75,31.16,33.34,32.78,31.97,32.66,33.5,31.81,28.81,27.12,27.03,26.03,23.0,21.62,22.75,23.31,21.84,20.84,22.09,23.56,22.59,21.0,21.62,23.34,23.34,22.06,22.56,24.62,25.66,24.5,24.31,26.28,27.81,26.84,25.94,27.25,28.78,27.56,25.38,24.72,25.62,24.94,22.81,22.25,23.34,23.19,20.5,18.84,19.81,21.25,20.56,19.62,21.12,23.34,23.28,22.34,23.12,25.38,25.97,24.12,23.47,24.47,24.75,22.16,20.25,20.72,21.56,19.97,18.19,18.5,19.69,18.53,16.25,15.56,17.22,18.12,17.41,17.66,19.91,21.22,19.78,18.44,19.53,21.34,21.22,20.19,21.19,23.47,23.78,22.69,23.06,24.59,24.84,22.06,19.47,19.09,19.12,17.38,16.69,18.28,21.09,21.25,19.69,19.28,20.03,19.41,17.38,16.81,18.72,19.59,18.41,18.0,20.22,22.94,22.97,22.31,23.25,24.59,23.38,20.69,19.62,20.0,19.19,16.31,14.78,15.66,16.06,14.28,12.56,13.53,15.22,14.47,13.16,14.0,16.0,16.06,14.75,14.59,16.62,17.41,16.31,16.09,18.47,19.81,18.44,17.0,17.97,19.75,19.25,18.28,18.69,19.78,18.84,16.12,14.34,14.28,13.75,11.19,9.25,9.91,11.06,10.16,9.44,11.5,14.56,15.75,15.44,16.56,18.94,19.09,17.28,16.47,17.56,18.12,16.62,15.09,16.16,16.84,15.22,12.53,12.16,13.56,13.28,12.09,12.56,14.44,14.88,13.09,11.97,13.28,14.59,13.25,12.0,12.97,14.66,14.16,13.34,14.41,17.47,18.22,17.12,16.97,17.91,17.41,14.47,12.47,13.06,13.59,12.31,10.94,11.78,12.91,12.44,10.59,10.72,12.47,13.28,12.56,13.31,16.62,18.91,19.28,19.41,21.38,22.94,21.88,19.47,19.0,18.91,17.0,14.06,12.75,13.41,13.16,11.09,10.12,12.19,13.94,14.03,14.0,15.97,18.25,17.56,16.19,16.5,18.38,18.84,17.62,17.75,19.84,21.06,20.0,19.66,21.56,23.12,22.44,20.84,21.16,21.75,20.16,17.31,16.56,17.53,17.75,16.16,15.69,17.19,17.81,16.19,14.91,16.69,18.25,17.94,17.28,19.03,21.78,22.47,22.06,23.03,25.38,26.19,24.59,23.41,24.44,24.25,21.78,19.75,20.09,20.47,18.91,16.22,15.69,16.19,15.53,13.66,14.03,16.44,18.22,18.12,18.16,20.88,23.34,22.94,22.5,24.25,25.75,25.03,23.31,23.28,24.03,23.66,21.59,21.03,22.91,24.62,24.06,23.72,25.12,26.16,23.88,21.0,20.53,21.16,20.16,18.44,18.84,20.59,21.0,20.0,19.78,21.62,22.81,21.69,20.72,22.44,24.12,24.06,23.47,25.56,27.88,28.16,26.88,26.75,27.25,26.84,24.69,23.94,25.44,27.19,26.78,26.06,27.12,28.47,27.19,25.0,24.56,25.53,25.56,23.84,23.5,24.88,25.47,23.47,22.19,22.91,23.97,23.0,22.22,24.41,27.16,28.28,27.47,27.75,28.34,27.75,25.09,23.53,24.41,25.12,23.69,22.12,22.91,23.84,22.78,20.53,20.53,21.34,20.53,18.62,18.78,20.81,22.81,22.75,23.53,25.88,27.78,26.28,24.47,24.66,25.31,23.66,21.69,21.5,22.88,22.38,20.06,19.62,20.88,21.62,20.34,19.88,21.03,21.91,20.19,18.06,18.22,19.47,19.0,18.09,18.72,20.75,21.53,20.41,20.34,22.53,24.66,24.06,23.69,25.19,26.97,26.09,25.16,26.09,27.78,27.31,25.03,23.69,23.72,22.59,19.97,18.53,19.5,20.66,19.47,18.56,20.16,22.62,23.03,23.16,25.03,28.34,29.81,29.44,29.75,31.88,32.81,31.53,30.97,32.66,33.94,32.5,30.31,29.91,29.78,27.56,3.09,4.41,4.25,4.16,5.22,7.59,9.53,10.28,11.53,14.56,16.88,17.09,17.16,17.81,18.84,18.31,16.97,16.34,16.5,14.97,12.38,10.88,10.91,10.09,8.09,5.91,5.03,4.53,2.56,1.09,2.09,4.25,5.09,5.47,6.72,8.62,9.69,9.09,9.38,11.0,11.62,10.0:positivity
27.38,27.81,26.91,24.34,22.06,20.91,20.88,19.69,19.31,21.28,24.12,25.62,26.28,27.81,30.09,31.0,31.0,31.78,33.78,34.78,33.81,32.62,32.53,31.97,30.31,28.97,29.41,30.69,31.03,30.59,31.22,32.56,33.06,32.75,32.94,34.47,34.97,33.72,32.22,31.69,31.56,29.94,28.28,28.22,29.0,28.31,26.91,26.31,26.56,25.78,24.06,22.78,23.38,23.38,22.34,21.56,22.47,24.28,25.03,25.44,27.0,28.69,29.19,28.03,28.0,28.66,28.59,27.31,26.12,26.34,26.53,24.97,23.47,23.75,24.28,23.66,22.16,22.09,22.41,21.84,20.19,19.97,21.41,22.78,23.5,24.72,27.09,29.06,28.88,27.75,27.53,27.34,25.62,23.62,22.84,23.06,22.84,21.41,21.47,22.91,24.34,24.59,24.62,25.88,26.78,25.97,25.0,25.5,26.72,26.25,24.91,24.53,24.38,23.44,21.06,19.28,18.75,17.75,15.34,12.88,12.59,13.06,12.5,12.62,14.56,17.66,19.5,20.69,22.91,25.91,27.94,28.28,28.88,29.81,29.69,27.81,25.56,24.59,23.62,21.59,19.41,19.03,19.69,19.84,19.94,21.5,23.84,25.78,26.19,27.0,28.78,30.34,30.53,30.66,31.78,31.91,30.12,26.81,24.22,22.09,19.06,15.34,14.0,14.41,15.28,15.41,16.78,19.31,21.06,21.28,21.25,22.19,23.03,23.12,22.03,22.09,22.81,22.47,20.84,20.19,20.53,20.5,18.88,17.94,18.72,20.12,20.41,20.97,23.47,25.94,27.5,27.88,28.81,29.91,29.94,28.41,27.31,27.38,27.44,26.03,25.31,26.12,27.5,27.38,26.22,26.34,26.25,24.69,22.56,21.91,22.56,23.5,23.69,24.28,26.06,27.47,26.91,26.44,27.5,28.66,28.91,28.62,29.56,30.94,31.47,31.0,31.5,32.88,33.72,32.78,32.06,31.88,30.94,28.38,25.75,24.66,24.03,22.34,21.03,20.84,21.16,20.88,19.44,19.34,20.56,21.53,22.0,22.5,24.28,25.72,24.84,23.66,23.31,23.0,21.31,19.47,19.38,19.75,19.97,19.28,19.56,21.09,22.12,21.75,21.72,22.44,22.72,21.38,20.06,20.19,20.41,19.94,19.03,19.31,20.41,20.94,20.31,20.25,20.66,20.97,19.81,19.12,20.34,21.88,22.44,22.97,24.81,27.28,28.53,28.59,29.12,29.75,28.66,25.62,23.34,22.5,21.91,20.78,20.22,20.91,21.84,20.97,19.69,19.38,20.06,20.38,20.25,21.38,22.94,23.72,21.91,20.31,19.75,19.44,18.5,18.59,20.47,23.28,24.34,24.41,25.47,26.81,27.0,26.5,27.06,28.38,29.72,29.59,29.75,31.28,32.84,32.84,32.31,32.47,32.69,31.47,29.62,28.59,28.72,28.0,26.69,26.41,27.12,27.38,25.81,24.41,24.75,25.38,25.19,25.81,28.0,30.22,31.19,31.47,31.97,32.59,31.91,29.75,27.94,27.06,26.03,24.22,22.81,23.19,24.12,24.03,24.47,25.84,27.62,28.25,28.12,28.97,30.62,31.47,30.94,30.94,31.81,32.5,31.66,31.47,32.25,33.41,32.94,32.12,31.88,31.66,29.81,26.72,25.22,24.44,23.72,22.97,23.0,24.81,26.19,25.97,25.19,24.84,24.41,23.12,21.41,21.06,21.44,20.75,19.34,18.81,19.59,20.66,20.94,21.78,23.94,25.84,26.69,27.34,28.94,30.72,30.66,30.09,29.78,30.19,29.91,28.84,28.56,29.91,30.41,29.62,28.38,27.84,26.94,24.41,21.84,21.38,22.5,23.25,24.84,27.69,31.16,33.25,34.03,34.28,34.62,33.91,31.41,28.94,27.97,27.34,25.84,24.84,24.66,25.09,24.0,22.66,22.12,22.62,22.84,22.25,22.12,23.16,23.62,22.19,21.0,21.12,22.25,22.94,24.38,27.09,30.5,32.44,33.0,33.62,34.5,34.0,32.16,30.56,30.28,29.69,27.97,26.12,25.25,24.88,23.56,21.84,21.34,22.12,22.38,22.06,22.5,24.47,25.78,25.94,26.75,28.94,31.53,32.69,33.25,34.28,34.81,33.19,30.22,27.19,25.25,22.72,20.62,19.41,20.31,21.31,21.41,22.16,24.78,27.69,28.97,30.09,31.59,33.16,32.47,30.62,28.81,27.56,25.66,23.5,22.69,23.78,24.62,24.5,24.56,25.56,26.84,26.91,26.69,27.84,29.62,30.38,30.88,31.97,33.69,34.81,34.75,34.72,35.03,34.59,32.16,29.41,27.38,25.62,22.56,19.16,17.22,16.47,15.88,15.69,17.19,20.69,24.06,26.59,29.22,32.94,36.47,38.03,38.97,40.72,42.72,43.03,43.0,43.66,44.59,43.81,41.25,38.16,35.75,32.78,28.75,25.44,24.78,25.06,24.19,23.03,23.19,23.5,22.38,21.06,21.69,23.78,26.03,27.44,29.38,32.22,34.09,34.12,33.69,34.44,35.66,35.59,34.47,33.97,32.84,29.5,24.66,20.06,16.47,13.28,10.31,9.22,10.94,13.72,15.31,16.41,18.41,20.72,21.84,22.69,25.31,29.09,31.94,33.47,34.75,36.41,36.97,36.16,35.53,36.25,36.81,36.22,35.03,35.34,36.0,35.53,34.34,34.06,34.16,33.47,31.28,29.44,28.41,26.66,23.38,20.59,19.56,19.16,18.16,17.91,19.91,23.12,25.16,26.94,29.75,32.81,34.84,35.81,37.03,39.22,40.41,39.88,38.72,38.44,37.84,35.81,33.19,32.53,32.5,31.44,29.75,28.75,28.44,27.06,25.03,23.22,23.0,23.31,22.56,22.28,23.81,25.5,25.91,25.09,25.75,27.38,28.03,28.09,29.5,31.97,33.84,34.44,35.12,36.66,37.47,36.03,34.06,33.16,32.38,30.12,27.19,25.25,24.0,22.81,21.19,21.44,23.62,25.47,26.19,26.94,28.75,30.5,30.88,30.94,32.31,34.25,34.78,34.31,34.81,35.62,35.5,34.31,33.78,34.38,35.03,34.78,34.59,35.5,36.44,35.22,33.0,32.25,31.97,30.88,29.31,29.25,30.25,31.0,30.38,30.31,31.19,31.25,29.66,27.91,27.34,27.16,25.91,24.69,25.72,27.47,28.44,28.75,29.94,31.44,31.62,30.06,28.88,28.72,28.72,27.41,26.41,27.28,28.41,28.5,28.38,29.66,31.88,32.78,32.19,32.47,33.72,34.16,33.28,32.88,33.94,34.88,34.88,34.31,34.91,35.72,34.53,31.97,30.31,29.62,28.31,26.47,26.5,28.19,30.06,30.47,30.62,31.69,32.22,31.22,30.06,30.44,31.41,31.56,30.69,30.28,30.5,30.16,28.31,27.06,27.78,29.06,28.81,28.47,29.62,30.28,29.06,27.31,27.31,27.78,27.75,27.09,27.31,28.56,29.22,28.41,28.5,29.75,31.12,31.25,31.81,34.0,36.19,36.75,35.97,35.53,34.97,33.38,30.84,30.19,31.28,32.5,32.84,33.78,35.38,36.66,35.97,35.03,35.44,36.47,36.47,36.0,36.81,38.16,38.34,36.5,35.41,35.38,34.91,33.22,32.75,34.16,35.75,35.78,35.44,36.56,38.25,38.16,37.12,36.88,37.19,36.19,34.03,32.75,33.0,32.66,31.25,30.09,30.91,32.19,31.88,31.88,33.19,35.0,35.78,35.66,36.69,38.09,38.22,36.5,35.12,34.91,34.47,32.88,31.97,32.62,33.91,33.94,33.62,34.56,36.28,36.78,36.09,36.28,36.62,36.34,34.06,32.19,31.78,31.38,29.62,27.97,28.0,28.5,27.44,26.59,27.5,29.31,30.44,30.53,31.31,32.16,32.38,30.94,29.75,29.75,29.66,28.47,27.59,28.34,29.84,29.81,28.94,28.84,28.97,27.94,25.81,24.91,25.91,26.5,26.25,26.44,27.91,28.91,28.5,27.34,27.62,29.12,29.12,29.66,31.62,35.12,37.0,37.34,37.19,37.53,37.0,34.94,34.22,35.66,37.69,38.84,39.38,40.5,41.62,40.81,38.91,38.25,38.66,38.44,36.53,35.62,35.84,34.91,32.59,30.84,31.12,32.09,32.09,32.09,33.78,36.03,37.5,37.94,38.91,40.44,40.41,38.19,36.03,35.12,33.62,30.78,28.47,28.25,29.0,28.81,28.78,30.38,32.5,33.34,33.66,34.28,35.78,36.12,34.97,34.19,34.44,35.0,34.31,34.09,35.53,37.09,37.16,36.66,37.19,38.66,39.12,38.56,38.31,38.81,37.62,34.75,32.22,31.19,30.88,30.0,29.44,30.53,32.38,32.72,32.47,33.25,34.81,35.12,34.72,34.28,34.5,34.19,32.06,30.5,30.25,30.78,29.88,29.09,29.88,31.28,31.75,31.81,32.94,34.88,35.75,35.5,35.47,36.78,37.41,36.41,35.41,35.72,35.72,34.66,33.41,33.59,35.12,35.56,35.16,36.16,37.59,37.91,36.72,35.62,35.81,35.78,34.25,32.78,33.06,34.03,33.53,33.03,34.22,36.56,37.78,37.91,38.09,39.06,38.78,36.91,35.16,35.56,36.12,35.75,35.5,36.75,38.38,37.66,35.72,34.44,34.06,32.91,31.25,31.06,32.12,32.25,31.16,30.25,31.12,31.97,32.22,32.66,34.84,37.75,39.41,40.09,41.38,43.62,44.31,43.34,42.56,42.62,41.53,39.19,36.78,36.38,36.28,35.41,34.69,35.91,38.03,39.22,38.66,38.94,40.12,39.81,38.41,38.28,40.62,43.0,44.06,44.88,46.34,46.19,43.47,39.38,37.09,35.62,33.47,31.81,31.56,32.97,33.97,33.44,33.34,34.41,35.31,34.81,34.44,35.81,37.16,37.03,36.47,37.16,38.66,38.66,37.84,37.66,39.09,39.62,39.25,39.53:19.69,19.31,21.28,24.12,25.62,26.28,27.81,30.09,31.0,31.0,31.78,33.78,34.78,33.81,32.62,32.53,31.97,30.31,28.97,29.41,30.69,31.03,30.59,31.22,32.56,33.06,32.75,32.94,34.47,34.97,33.72,32.22,31.69,31.56,29.94,28.28,28.22,29.0,28.31,26.91,26.31,26.56,25.78,24.06,22.78,23.38,23.38,22.34,21.56,22.47,24.28,25.03,25.44,27.0,28.69,29.19,28.03,28.0,28.66,28.59,27.31,26.12,26.34,26.53,24.97,23.47,23.75,24.28,23.66,22.16,22.09,22.41,21.84,20.19,19.97,21.41,22.78,23.5,24.72,27.09,29.06,28.88,27.75,27.53,27.34,25.62,23.62,22.84,23.06,22.84,21.41,21.47,22.91,24.34,24.59,24.62,25.88,26.78,25.97,25.0,25.5,26.72,26.25,24.91,24.53,24.38,23.44,21.06,19.28,18.75,17.75,15.34,12.88,12.59,13.06,12.5,12.62,14.56,17.66,19.5,20.69,22.91,25.91,27.94,28.28,28.88,29.81,29.69,27.81,25.56,24.59,23.62,21.59,19.41,19.03,19.69,19.84,19.94,21.5,23.84,25.78,26.19,27.0,28.78,30.34,30.53,30.66,31.78,31.91,30.12,26.81,24.22,22.09,19.06,15.34,14.0,14.41,15.28,15.41,16.78,19.31,21.06,21.28,21.25,22.19,23.03,23.12,22.03,22.09,22.81,22.47,20.84,20.19,20.53,20.5,18.88,17.94,18.72,20.12,20.41,20.97,23.47,25.94,27.5,27.88,28.81,29.91,29.94,28.41,27.31,27.38,27.44,26.03,25.31,26.12,27.5,27.38,26.22,26.34,26.25,24.69,22.56,21.91,22.56,23.5,23.69,24.28,26.06,27.47,26.91,26.44,27.5,28.66,28.91,28.62,29.56,30.94,31.47,31.0,31.5,32.88,33.72,32.78,32.06,31.88,30.94,28.38,25.75,24.66,24.03,22.34,21.03,20.84,21.16,20.88,19.44,19.34,20.56,21.53,22.0,22.5,24.28,25.72,24.84,23.66,23.31,23.0,21.31,19.47,19.38,19.75,19.97,19.28,19.56,21.09,22.12,21.75,21.72,22.44,22.72,21.38,20.06,20.19,20.41,19.94,19.03,19.31,20.41,20.94,20.31,20.25,20.66,20.97,19.81,19.12,20.34,21.88,22.44,22.97,24.81,27.28,28.53,28.59,29.12,29.75,28.66,25.62,23.34,22.5,21.91,20.78,20.22,20.91,21.84,20.97,19.69,19.38,20.06,20.38,20.25,21.38,22.94,23.72,21.91,20.31,19.75,19.44,18.5,18.59,20.47,23.28,24.34,24.41,25.47,26.81,27.0,26.5,27.06,28.38,29.72,29.59,29.75,31.28,32.84,32.84,32.31,32.47,32.69,31.47,29.62,28.59,28.72,28.0,26.69,26.41,27.12,27.38,25.81,24.41,24.75,25.38,25.19,25.81,28.0,30.22,31.19,31.47,31.97,32.59,31.91,29.75,27.94,27.06,26.03,24.22,22.81,23.19,24.12,24.03,24.47,25.84,27.62,28.25,28.12,28.97,30.62,31.47,30.94,30.94,31.81,32.5,31.66,31.47,32.25,33.41,32.94,32.12,31.88,31.66,29.81,26.72,25.22,24.44,23.72,22.97,23.0,24.81,26.19,25.97,25.19,24.84,24.41,23.12,21.41,21.06,21.44,20.75,19.34,18.81,19.59,20.66,20.94,21.78,23.94,25.84,26.69,27.34,28.94,30.72,30.66,30.09,29.78,30.19,29.91,28.84,28.56,29.91,30.41,29.62,28.38,27.84,26.94,24.41,21.84,21.38,22.5,23.25,24.84,27.69,31.16,33.25,34.03,34.28,34.62,33.91,31.41,28.94,27.97,27.34,25.84,24.84,24.66,25.09,24.0,22.66,22.12,22.62,22.84,22.25,22.12,23.16,23.62,22.19,21.0,21.12,22.25,22.94,24.38,27.09,30.5,32.44,33.0,33.62,34.5,34.0,32.16,30.56,30.28,29.69,27.97,26.12,25.25,24.88,23.56,21.84,21.34,22.12,22.38,22.06,22.5,24.47,25.78,25.94,26.75,28.94,31.53,32.69,33.25,34.28,34.81,33.19,30.22,27.19,25.25,22.72,20.62,19.41,20.31,21.31,21.41,22.16,24.78,27.69,28.97,30.09,31.59,33.16,32.47,30.62,28.81,27.56,25.66,23.5,22.69,23.78,24.62,24.5,24.56,25.56,26.84,26.91,26.69,27.84,29.62,30.38,30.88,31.97,33.69,34.81,34.75,34.72,35.03,34.59,32.16,29.41,27.38,25.62,22.56,19.16,17.22,16.47,15.88,15.69,17.19,20.69,24.06,26.59,29.22,32.94,36.47,38.03,38.97,40.72,42.72,43.03,43.0,43.66,44.59,43.81,41.25,38.16,35.75,32.78,28.75,25.44,24.78,25.06,24.19,23.03,23.19,23.5,22.38,21.06,21.69,23.78,26.03,27.44,29.38,32.22,34.09,34.12,33.69,34.44,35.66,35.59,34.47,33.97,32.84,29.5,24.66,20.06,16.47,13.28,10.31,9.22,10.94,13.72,15.31,16.41,18.41,20.72,21.84,22.69,25.31,29.09,31.94,33.47,34.75,36.41,36.97,36.16,35.53,36.25,36.81,36.22,35.03,35.34,36.0,35.53,34.34,34.06,34.16,33.47,31.28,29.44,28.41,26.66,23.38,20.59,19.56,19.16,18.16,17.91,19.91,23.12,25.16,26.94,29.75,32.81,34.84,35.81,37.03,39.22,40.41,39.88,38.72,38.44,37.84,35.81,33.19,32.53,32.5,31.44,29.75,28.75,28.44,27.06,25.03,23.22,23.0,23.31,22.56,22.28,23.81,25.5,25.91,25.09,25.75,27.38,28.03,28.09,29.5,31.97,33.84,34.44,35.12,36.66,37.47,36.03,34.06,33.16,32.38,30.12,27.19,25.25,24.0,22.81,21.19,21.44,23.62,25.47,26.19,26.94,28.75,30.5,30.88,30.94,32.31,34.25,34.78,34.31,34.81,35.62,35.5,34.31,33.78,34.38,35.03,34.78,34.59,35.5,36.44,35.22,33.0,32.25,31.97,30.88,29.31,29.25,30.25,31.0,30.38,30.31,31.19,31.25,29.66,27.91,27.34,27.16,25.91,24.69,25.72,27.47,28.44,28.75,29.94,31.44,31.62,30.06,28.88,28.72,28.72,27.41,26.41,27.28,28.41,28.5,28.38,29.66,31.88,32.78,32.19,32.47,33.72,34.16,33.28,32.88,33.94,34.88,34.88,34.31,34.91,35.72,34.53,31.97,30.31,29.62,28.31,26.47,26.5,28.19,30.06,30.47,30.62,31.69,32.22,31.22,30.06,30.44,31.41,31.56,30.69,30.28,30.5,30.16,28.31,27.06,27.78,29.06,28.81,28.47,29.62,30.28,29.06,27.31,27.31,27.78,27.75,27.09,27.31,28.56,29.22,28.41,28.5,29.75,31.12,31.25,31.81,34.0,36.19,36.75,35.97,35.53,34.97,33.38,30.84,30.19,31.28,32.5,32.84,33.78,35.38,36.66,35.97,35.03,35.44,36.47,36.47,36.0,36.81,38.16,38.34,36.5,35.41,35.38,34.91,33.22,32.75,34.16,35.75,35.78,35.44,36.56,38.25,38.16,37.12,36.88,37.19,36.19,34.03,32.75,33.0,32.66,31.25,30.09,30.91,32.19,31.88,31.88,33.19,35.0,35.78,35.66,36.69,38.09,38.22,36.5,35.12,34.91,34.47,32.88,31.97,32.62,33.91,33.94,33.62,34.56,36.28,36.78,36.09,36.28,36.62,36.34,34.06,32.19,31.78,31.38,29.62,27.97,28.0,28.5,27.44,26.59,27.5,29.31,30.44,30.53,31.31,32.16,32.38,30.94,29.75,29.75,29.66,28.47,27.59,28.34,29.84,29.81,28.94,28.84,28.97,27.94,25.81,24.91,25.91,26.5,26.25,26.44,27.91,28.91,28.5,27.34,27.62,29.12,29.12,29.66,31.62,35.12,37.0,37.34,37.19,37.53,37.0,34.94,34.22,35.66,37.69,38.84,39.38,40.5,41.62,40.81,38.91,38.25,38.66,38.44,36.53,35.62,35.84,34.91,32.59,30.84,31.12,32.09,32.09,32.09,33.78,36.03,37.5,37.94,38.91,40.44,40.41,38.19,36.03,35.12,33.62,30.78,28.47,28.25,29.0,28.81,28.78,30.38,32.5,33.34,33.66,34.28,35.78,36.12,34.97,34.19,34.44,35.0,34.31,34.09,35.53,37.09,37.16,36.66,37.19,38.66,39.12,38.56,38.31,38.81,37.62,34.75,32.22,31.19,30.88,30.0,29.44,30.53,32.38,32.72,32.47,33.25,34.81,35.12,34.72,34.28,34.5,34.19,32.06,30.5,30.25,30.78,29.88,29.09,29.88,31.28,31.75,31.81,32.94,34.88,35.75,35.5,35.47,36.78,37.41,36.41,35.41,35.72,35.72,34.66,33.41,33.59,35.12,35.56,35.16,36.16,37.59,37.91,36.72,35.62,35.81,35.78,34.25,32.78,33.06,34.03,33.53,33.03,34.22,36.56,37.78,37.91,38.09,39.06,38.78,36.91,35.16,35.56,36.12,35.75,35.5,36.75,38.38,37.66,35.72,34.44,34.06,32.91,31.25,31.06,32.12,32.25,31.16,30.25,31.12,31.97,32.22,32.66,34.84,37.75,39.41,40.09,41.38,43.62,44.31,43.34,42.56,42.62,41.53,39.19,36.78,36.38,36.28,35.41,34.69,35.91,38.03,39.22,38.66,38.94,40.12,39.81,38.41,38.28,40.62,43.0,44.06,44.88,46.34,46.19,43.47,39.38,37.09,35.62,33.47,31.81,31.56,32.97,33.97,33.44,33.34,34.41,35.31,34.81,34.44,35.81,37.16,37.03,36.47,37.16,38.66,38.66,37.84,37.66,39.09,39.62,39.25,39.53,55.22,55.0,53.62,52.34,49.88,47.19,45.66:30.09,31.0,31.0,31.78,33.78,34.78,33.81,32.62,32.53,31.97,30.31,28.97,29.41,30.69,31.03,30.59,31.22,32.56,33.06,32.75,32.94,34.47,34.97,33.72,32.22,31.69,31.56,29.94,28.28,28.22,29.0,28.31,26.91,26.31,26.56,25.78,24.06,22.78,23.38,23.38,22.34,21.56,22.47,24.28,25.03,25.44,27.0,28.69,29.19,28.03,28.0,28.66,28.59,27.31,26.12,26.34,26.53,24.97,23.47,23.75,24.28,23.66,22.16,22.09,22.41,21.84,20.19,19.97,21.41,22.78,23.5,24.72,27.09,29.06,28.88,27.75,27.53,27.34,25.62,23.62,22.84,23.06,22.84,21.41,21.47,22.91,24.34,24.59,24.62,25.88,26.78,25.97,25.0,25.5,26.72,26.25,24.91,24.53,24.38,23.44,21.06,19.28,18.75,17.75,15.34,12.88,12.59,13.06,12.5,12.62,14.56,17.66,19.5,20.69,22.91,25.91,27.94,28.28,28.88,29.81,29.69,27.81,25.56,24.59,23.62,21.59,19.41,19.03,19.69,19.84,19.94,21.5,23.84,25.78,26.19,27.0,28.78,30.34,30.53,30.66,31.78,31.91,30.12,26.81,24.22,22.09,19.06,15.34,14.0,14.41,15.28,15.41,16.78,19.31,21.06,21.28,21.25,22.19,23.03,23.12,22.03,22.09,22.81,22.47,20.84,20.19,20.53,20.5,18.88,17.94,18.72,20.12,20.41,20.97,23.47,25.94,27.5,27.88,28.81,29.91,29.94,28.41,27.31,27.38,27.44,26.03,25.31,26.12,27.5,27.38,26.22,26.34,26.25,24.69,22.56,21.91,22.56,23.5,23.69,24.28,26.06,27.47,26.91,26.44,27.5,28.66,28.91,28.62,29.56,30.94,31.47,31.0,31.5,32.88,33.72,32.78,32.06,31.88,30.94,28.38,25.75,24.66,24.03,22.34,21.03,20.84,21.16,20.88,19.44,19.34,20.56,21.53,22.0,22.5,24.28,25.72,24.84,23.66,23.31,23.0,21.31,19.47,19.38,19.75,19.97,19.28,19.56,21.09,22.12,21.75,21.72,22.44,22.72,21.38,20.06,20.19,20.41,19.94,19.03,19.31,20.41,20.94,20.31,20.25,20.66,20.97,19.81,19.12,20.34,21.88,22.44,22.97,24.81,27.28,28.53,28.59,29.12,29.75,28.66,25.62,23.34,22.5,21.91,20.78,20.22,20.91,21.84,20.97,19.69,19.38,20.06,20.38,20.25,21.38,22.94,23.72,21.91,20.31,19.75,19.44,18.5,18.59,20.47,23.28,24.34,24.41,25.47,26.81,27.0,26.5,27.06,28.38,29.72,29.59,29.75,31.28,32.84,32.84,32.31,32.47,32.69,31.47,29.62,28.59,28.72,28.0,26.69,26.41,27.12,27.38,25.81,24.41,24.75,25.38,25.19,25.81,28.0,30.22,31.19,31.47,31.97,32.59,31.91,29.75,27.94,27.06,26.03,24.22,22.81,23.19,24.12,24.03,24.47,25.84,27.62,28.25,28.12,28.97,30.62,31.47,30.94,30.94,31.81,32.5,31.66,31.47,32.25,33.41,32.94,32.12,31.88,31.66,29.81,26.72,25.22,24.44,23.72,22.97,23.0,24.81,26.19,25.97,25.19,24.84,24.41,23.12,21.41,21.06,21.44,20.75,19.34,18.81,19.59,20.66,20.94,21.78,23.94,25.84,26.69,27.34,28.94,30.72,30.66,30.09,29.78,30.19,29.91,28.84,28.56,29.91,30.41,29.62,28.38,27.84,26.94,24.41,21.84,21.38,22.5,23.25,24.84,27.69,31.16,33.25,34.03,34.28,34.62,33.91,31.41,28.94,27.97,27.34,25.84,24.84,24.66,25.09,24.0,22.66,22.12,22.62,22.84,22.25,22.12,23.16,23.62,22.19,21.0,21.12,22.25,22.94,24.38,27.09,30.5,32.44,33.0,33.62,34.5,34.0,32.16,30.56,30.28,29.69,27.97,26.12,25.25,24.88,23.56,21.84,21.34,22.12,22.38,22.06,22.5,24.47,25.78,25.94,26.75,28.94,31.53,32.69,33.25,34.28,34.81,33.19,30.22,27.19,25.25,22.72,20.62,19.41,20.31,21.31,21.41,22.16,24.78,27.69,28.97,30.09,31.59,33.16,32.47,30.62,28.81,27.56,25.66,23.5,22.69,23.78,24.62,24.5,24.56,25.56,26.84,26.91,26.69,27.84,29.62,30.38,30.88,31.97,33.69,34.81,34.75,34.72,35.03,34.59,32.16,29.41,27.38,25.62,22.56,19.16,17.22,16.47,15.88,15.69,17.19,20.69,24.06,26.59,29.22,32.94,36.47,38.03,38.97,40.72,42.72,43.03,43.0,43.66,44.59,43.81,41.25,38.16,35.75,32.78,28.75,25.44,24.78,25.06,24.19,23.03,23.19,23.5,22.38,21.06,21.69,23.78,26.03,27.44,29.38,32.22,34.09,34.12,33.69,34.44,35.66,35.59,34.47,33.97,32.84,29.5,24.66,20.06,16.47,13.28,10.31,9.22,10.94,13.72,15.31,16.41,18.41,20.72,21.84,22.69,25.31,29.09,31.94,33.47,34.75,36.41,36.97,36.16,35.53,36.25,36.81,36.22,35.03,35.34,36.0,35.53,34.34,34.06,34.16,33.47,31.28,29.44,28.41,26.66,23.38,20.59,19.56,19.16,18.16,17.91,19.91,23.12,25.16,26.94,29.75,32.81,34.84,35.81,37.03,39.22,40.41,39.88,38.72,38.44,37.84,35.81,33.19,32.53,32.5,31.44,29.75,28.75,28.44,27.06,25.03,23.22,23.0,23.31,22.56,22.28,23.81,25.5,25.91,25.09,25.75,27.38,28.03,28.09,29.5,31.97,33.84,34.44,35.12,36.66,37.47,36.03,34.06,33.16,32.38,30.12,27.19,25.25,24.0,22.81,21.19,21.44,23.62,25.47,26.19,26.94,28.75,30.5,30.88,30.94,32.31,34.25,34.78,34.31,34.81,35.62,35.5,34.31,33.78,34.38,35.03,34.78,34.59,35.5,36.44,35.22,33.0,32.25,31.97,30.88,29.31,29.25,30.25,31.0,30.38,30.31,31.19,31.25,29.66,27.91,27.34,27.16,25.91,24.69,25.72,27.47,28.44,28.75,29.94,31.44,31.62,30.06,28.88,28.72,28.72,27.41,26.41,27.28,28.41,28.5,28.38,29.66,31.88,32.78,32.19,32.47,33.72,34.16,33.28,32.88,33.94,34.88,34.88,34.31,34.91,35.72,34.53,31.97,30.31,29.62,28.31,26.47,26.5,28.19,30.06,30.47,30.62,31.69,32.22,31.22,30.06,30.44,31.41,31.56,30.69,30.28,30.5,30.16,28.31,27.06,27.78,29.06,28.81,28.47,29.62,30.28,29.06,27.31,27.31,27.78,27.75,27.09,27.31,28.56,29.22,28.41,28.5,29.75,31.12,31.25,31.81,34.0,36.19,36.75,35.97,35.53,34.97,33.38,30.84,30.19,31.28,32.5,32.84,33.78,35.38,36.66,35.97,35.03,35.44,36.47,36.47,36.0,36.81,38.16,38.34,36.5,35.41,35.38,34.91,33.22,32.75,34.16,35.75,35.78,35.44,36.56,38.25,38.16,37.12,36.88,37.19,36.19,34.03,32.75,33.0,32.66,31.25,30.09,30.91,32.19,31.88,31.88,33.19,35.0,35.78,35.66,36.69,38.09,38.22,36.5,35.12,34.91,34.47,32.88,31.97,32.62,33.91,33.94,33.62,34.56,36.28,36.78,36.09,36.28,36.62,36.34,34.06,32.19,31.78,31.38,29.62,27.97,28.0,28.5,27.44,26.59,27.5,29.31,30.44,30.53,31.31,32.16,32.38,30.94,29.75,29.75,29.66,28.47,27.59,28.34,29.84,29.81,28.94,28.84,28.97,27.94,25.81,24.91,25.91,26.5,26.25,26.44,27.91,28.91,28.5,27.34,27.62,29.12,29.12,29.66,31.62,35.12,37.0,37.34,37.19,37.53,37.0,34.94,34.22,35.66,37.69,38.84,39.38,40.5,41.62,40.81,38.91,38.25,38.66,38.44,36.53,35.62,35.84,34.91,32.59,30.84,31.12,32.09,32.09,32.09,33.78,36.03,37.5,37.94,38.91,40.44,40.41,38.19,36.03,35.12,33.62,30.78,28.47,28.25,29.0,28.81,28.78,30.38,32.5,33.34,33.66,34.28,35.78,36.12,34.97,34.19,34.44,35.0,34.31,34.09,35.53,37.09,37.16,36.66,37.19,38.66,39.12,38.56,38.31,38.81,37.62,34.75,32.22,31.19,30.88,30.0,29.44,30.53,32.38,32.72,32.47,33.25,34.81,35.12,34.72,34.28,34.5,34.19,32.06,30.5,30.25,30.78,29.88,29.09,29.88,31.28,31.75,31.81,32.94,34.88,35.75,35.5,35.47,36.78,37.41,36.41,35.41,35.72,35.72,34.66,33.41,33.59,35.12,35.56,35.16,36.16,37.59,37.91,36.72,35.62,35.81,35.78,34.25,32.78,33.06,34.03,33.53,33.03,34.22,36.56,37.78,37.91,38.09,39.06,38.78,36.91,35.16,35.56,36.12,35.75,35.5,36.75,38.38,37.66,35.72,34.44,34.06,32.91,31.25,31.06,32.12,32.25,31.16,30.25,31.12,31.97,32.22,32.66,34.84,37.75,39.41,40.09,41.38,43.62,44.31,43.34,42.56,42.62,41.53,39.19,36.78,36.38,36.28,35.41,34.69,35.91,38.03,39.22,38.66,38.94,40.12,39.81,38.41,38.28,40.62,43.0,44.06,44.88,46.34,46.19,43.47,39.38,37.09,35.62,33.47,31.81,31.56,32.97,33.97,33.44,33.34,34.41,35.31,34.81,34.44,35.81,37.16,37.03,36.47,37.16,38.66,38.66,37.84,37.66,39.09,39.62,39.25,39.53,55.22,55.0,53.62,52.34,49.88,47.19,45.66,45.34,45.5,45.91,47.0,48.03,48.53,48.69:32.62,32.53,31.97,30.31,28.97,29.41,30.69,31.03,30.59,31.22,32.56,33.06,32.75,32.94,34.47,34.97,33.72,32.22,31.69,31.56,29.94,28.28,28.22,29.0,28.31,26.91,26.31,26.56,25.78,24.06,22.78,23.38,23.38,22.34,21.56,22.47,24.28,25.03,25.44,27.0,28.69,29.19,28.03,28.0,28.66,28.59,27.31,26.12,26.34,26.53,24.97,23.47,23.75,24.28,23.66,22.16,22.09,22.41,21.84,20.19,19.97,21.41,22.78,23.5,24.72,27.09,29.06,28.88,27.75,27.53,27.34,25.62,23.62,22.84,23.06,22.84,21.41,21.47,22.91,24.34,24.59,24.62,25.88,26.78,25.97,25.0,25.5,26.72,26.25,24.91,24.53,24.38,23.44,21.06,19.28,18.75,17.75,15.34,12.88,12.59,13.06,12.5,12.62,14.56,17.66,19.5,20.69,22.91,25.91,27.94,28.28,28.88,29.81,29.69,27.81,25.56,24.59,23.62,21.59,19.41,19.03,19.69,19.84,19.94,21.5,23.84,25.78,26.19,27.0,28.78,30.34,30.53,30.66,31.78,31.91,30.12,26.81,24.22,22.09,19.06,15.34,14.0,14.41,15.28,15.41,16.78,19.31,21.06,21.28,21.25,22.19,23.03,23.12,22.03,22.09,22.81,22.47,20.84,20.19,20.53,20.5,18.88,17.94,18.72,20.12,20.41,20.97,23.47,25.94,27.5,27.88,28.81,29.91,29.94,28.41,27.31,27.38,27.44,26.03,25.31,26.12,27.5,27.38,26.22,26.34,26.25,24.69,22.56,21.91,22.56,23.5,23.69,24.28,26.06,27.47,26.91,26.44,27.5,28.66,28.91,28.62,29.56,30.94,31.47,31.0,31.5,32.88,33.72,32.78,32.06,31.88,30.94,28.38,25.75,24.66,24.03,22.34,21.03,20.84,21.16,20.88,19.44,19.34,20.56,21.53,22.0,22.5,24.28,25.72,24.84,23.66,23.31,23.0,21.31,19.47,19.38,19.75,19.97,19.28,19.56,21.09,22.12,21.75,21.72,22.44,22.72,21.38,20.06,20.19,20.41,19.94,19.03,19.31,20.41,20.94,20.31,20.25,20.66,20.97,19.81,19.12,20.34,21.88,22.44,22.97,24.81,27.28,28.53,28.59,29.12,29.75,28.66,25.62,23.34,22.5,21.91,20.78,20.22,20.91,21.84,20.97,19.69,19.38,20.06,20.38,20.25,21.38,22.94,23.72,21.91,20.31,19.75,19.44,18.5,18.59,20.47,23.28,24.34,24.41,25.47,26.81,27.0,26.5,27.06,28.38,29.72,29.59,29.75,31.28,32.84,32.84,32.31,32.47,32.69,31.47,29.62,28.59,28.72,28.0,26.69,26.41,27.12,27.38,25.81,24.41,24.75,25.38,25.19,25.81,28.0,30.22,31.19,31.47,31.97,32.59,31.91,29.75,27.94,27.06,26.03,24.22,22.81,23.19,24.12,24.03,24.47,25.84,27.62,28.25,28.12,28.97,30.62,31.47,30.94,30.94,31.81,32.5,31.66,31.47,32.25,33.41,32.94,32.12,31.88,31.66,29.81,26.72,25.22,24.44,23.72,22.97,23.0,24.81,26.19,25.97,25.19,24.84,24.41,23.12,21.41,21.06,21.44,20.75,19.34,18.81,19.59,20.66,20.94,21.78,23.94,25.84,26.69,27.34,28.94,30.72,30.66,30.09,29.78,30.19,29.91,28.84,28.56,29.91,30.41,29.62,28.38,27.84,26.94,24.41,21.84,21.38,22.5,23.25,24.84,27.69,31.16,33.25,34.03,34.28,34.62,33.91,31.41,28.94,27.97,27.34,25.84,24.84,24.66,25.09,24.0,22.66,22.12,22.62,22.84,22.25,22.12,23.16,23.62,22.19,21.0,21.12,22.25,22.94,24.38,27.09,30.5,32.44,33.0,33.62,34.5,34.0,32.16,30.56,30.28,29.69,27.97,26.12,25.25,24.88,23.56,21.84,21.34,22.12,22.38,22.06,22.5,24.47,25.78,25.94,26.75,28.94,31.53,32.69,33.25,34.28,34.81,33.19,30.22,27.19,25.25,22.72,20.62,19.41,20.31,21.31,21.41,22.16,24.78,27.69,28.97,30.09,31.59,33.16,32.47,30.62,28.81,27.56,25.66,23.5,22.69,23.78,24.62,24.5,24.56,25.56,26.84,26.91,26.69,27.84,29.62,30.38,30.88,31.97,33.69,34.81,34.75,34.72,35.03,34.59,32.16,29.41,27.38,25.62,22.56,19.16,17.22,16.47,15.88,15.69,17.19,20.69,24.06,26.59,29.22,32.94,36.47,38.03,38.97,40.72,42.72,43.03,43.0,43.66,44.59,43.81,41.25,38.16,35.75,32.78,28.75,25.44,24.78,25.06,24.19,23.03,23.19,23.5,22.38,21.06,21.69,23.78,26.03,27.44,29.38,32.22,34.09,34.12,33.69,34.44,35.66,35.59,34.47,33.97,32.84,29.5,24.66,20.06,16.47,13.28,10.31,9.22,10.94,13.72,15.31,16.41,18.41,20.72,21.84,22.69,25.31,29.09,31.94,33.47,34.75,36.41,36.97,36.16,35.53,36.25,36.81,36.22,35.03,35.34,36.0,35.53,34.34,34.06,34.16,33.47,31.28,29.44,28.41,26.66,23.38,20.59,19.56,19.16,18.16,17.91,19.91,23.12,25.16,26.94,29.75,32.81,34.84,35.81,37.03,39.22,40.41,39.88,38.72,38.44,37.84,35.81,33.19,32.53,32.5,31.44,29.75,28.75,28.44,27.06,25.03,23.22,23.0,23.31,22.56,22.28,23.81,25.5,25.91,25.09,25.75,27.38,28.03,28.09,29.5,31.97,33.84,34.44,35.12,36.66,37.47,36.03,34.06,33.16,32.38,30.12,27.19,25.25,24.0,22.81,21.19,21.44,23.62,25.47,26.19,26.94,28.75,30.5,30.88,30.94,32.31,34.25,34.78,34.31,34.81,35.62,35.5,34.31,33.78,34.38,35.03,34.78,34.59,35.5,36.44,35.22,33.0,32.25,31.97,30.88,29.31,29.25,30.25,31.0,30.38,30.31,31.19,31.25,29.66,27.91,27.34,27.16,25.91,24.69,25.72,27.47,28.44,28.75,29.94,31.44,31.62,30.06,28.88,28.72,28.72,27.41,26.41,27.28,28.41,28.5,28.38,29.66,31.88,32.78,32.19,32.47,33.72,34.16,33.28,32.88,33.94,34.88,34.88,34.31,34.91,35.72,34.53,31.97,30.31,29.62,28.31,26.47,26.5,28.19,30.06,30.47,30.62,31.69,32.22,31.22,30.06,30.44,31.41,31.56,30.69,30.28,30.5,30.16,28.31,27.06,27.78,29.06,28.81,28.47,29.62,30.28,29.06,27.31,27.31,27.78,27.75,27.09,27.31,28.56,29.22,28.41,28.5,29.75,31.12,31.25,31.81,34.0,36.19,36.75,35.97,35.53,34.97,33.38,30.84,30.19,31.28,32.5,32.84,33.78,35.38,36.66,35.97,35.03,35.44,36.47,36.47,36.0,36.81,38.16,38.34,36.5,35.41,35.38,34.91,33.22,32.75,34.16,35.75,35.78,35.44,36.56,38.25,38.16,37.12,36.88,37.19,36.19,34.03,32.75,33.0,32.66,31.25,30.09,30.91,32.19,31.88,31.88,33.19,35.0,35.78,35.66,36.69,38.09,38.22,36.5,35.12,34.91,34.47,32.88,31.97,32.62,33.91,33.94,33.62,34.56,36.28,36.78,36.09,36.28,36.62,36.34,34.06,32.19,31.78,31.38,29.62,27.97,28.0,28.5,27.44,26.59,27.5,29.31,30.44,30.53,31.31,32.16,32.38,30.94,29.75,29.75,29.66,28.47,27.59,28.34,29.84,29.81,28.94,28.84,28.97,27.94,25.81,24.91,25.91,26.5,26.25,26.44,27.91,28.91,28.5,27.34,27.62,29.12,29.12,29.66,31.62,35.12,37.0,37.34,37.19,37.53,37.0,34.94,34.22,35.66,37.69,38.84,39.38,40.5,41.62,40.81,38.91,38.25,38.66,38.44,36.53,35.62,35.84,34.91,32.59,30.84,31.12,32.09,32.09,32.09,33.78,36.03,37.5,37.94,38.91,40.44,40.41,38.19,36.03,35.12,33.62,30.78,28.47,28.25,29.0,28.81,28.78,30.38,32.5,33.34,33.66,34.28,35.78,36.12,34.97,34.19,34.44,35.0,34.31,34.09,35.53,37.09,37.16,36.66,37.19,38.66,39.12,38.56,38.31,38.81,37.62,34.75,32.22,31.19,30.88,30.0,29.44,30.53,32.38,32.72,32.47,33.25,34.81,35.12,34.72,34.28,34.5,34.19,32.06,30.5,30.25,30.78,29.88,29.09,29.88,31.28,31.75,31.81,32.94,34.88,35.75,35.5,35.47,36.78,37.41,36.41,35.41,35.72,35.72,34.66,33.41,33.59,35.12,35.56,35.16,36.16,37.59,37.91,36.72,35.62,35.81,35.78,34.25,32.78,33.06,34.03,33.53,33.03,34.22,36.56,37.78,37.91,38.09,39.06,38.78,36.91,35.16,35.56,36.12,35.75,35.5,36.75,38.38,37.66,35.72,34.44,34.06,32.91,31.25,31.06,32.12,32.25,31.16,30.25,31.12,31.97,32.22,32.66,34.84,37.75,39.41,40.09,41.38,43.62,44.31,43.34,42.56,42.62,41.53,39.19,36.78,36.38,36.28,35.41,34.69,35.91,38.03,39.22,38.66,38.94,40.12,39.81,38.41,38.28,40.62,43.0,44.06,44.88,46.34,46.19,43.47,39.38,37.09,35.62,33.47,31.81,31.56,32.97,33.97,33.44,33.34,34.41,35.31,34.81,34.44,35.81,37.16,37.03,36.47,37.16,38.66,38.66,37.84,37.66,39.09,39.62,39.25,39.53,55.22,55.0,53.62,52.34,49.88,47.19,45.66,45.34,45.5,45.91,47.0,48.03,48.53,48.69,49.0,49.38,50.31,51.59,52.66,53.56,54.59:31.03,30.59,31.22,32.56,33.06,32.75,32.94,34.47,34.97,33.72,32.22,31.69,31.56,29.94,28.28,28.22,29.0,28.31,26.91,26.31,26.56,25.78,24.06,22.78,23.38,23.38,22.34,21.56,22.47,24.28,25.03,25.44,27.0,28.69,29.19,28.03,28.0,28.66,28.59,27.31,26.12,26.34,26.53,24.97,23.47,23.75,24.28,23.66,22.16,22.09,22.41,21.84,20.19,19.97,21.41,22.78,23.5,24.72,27.09,29.06,28.88,27.75,27.53,27.34,25.62,23.62,22.84,23.06,22.84,21.41,21.47,22.91,24.34,24.59,24.62,25.88,26.78,25.97,25.0,25.5,26.72,26.25,24.91,24.53,24.38,23.44,21.06,19.28,18.75,17.75,15.34,12.88,12.59,13.06,12.5,12.62,14.56,17.66,19.5,20.69,22.91,25.91,27.94,28.28,28.88,29.81,29.69,27.81,25.56,24.59,23.62,21.59,19.41,19.03,19.69,19.84,19.94,21.5,23.84,25.78,26.19,27.0,28.78,30.34,30.53,30.66,31.78,31.91,30.12,26.81,24.22,22.09,19.06,15.34,14.0,14.41,15.28,15.41,16.78,19.31,21.06,21.28,21.25,22.19,23.03,23.12,22.03,22.09,22.81,22.47,20.84,20.19,20.53,20.5,18.88,17.94,18.72,20.12,20.41,20.97,23.47,25.94,27.5,27.88,28.81,29.91,29.94,28.41,27.31,27.38,27.44,26.03,25.31,26.12,27.5,27.38,26.22,26.34,26.25,24.69,22.56,21.91,22.56,23.5,23.69,24.28,26.06,27.47,26.91,26.44,27.5,28.66,28.91,28.62,29.56,30.94,31.47,31.0,31.5,32.88,33.72,32.78,32.06,31.88,30.94,28.38,25.75,24.66,24.03,22.34,21.03,20.84,21.16,20.88,19.44,19.34,20.56,21.53,22.0,22.5,24.28,25.72,24.84,23.66,23.31,23.0,21.31,19.47,19.38,19.75,19.97,19.28,19.56,21.09,22.12,21.75,21.72,22.44,22.72,21.38,20.06,20.19,20.41,19.94,19.03,19.31,20.41,20.94,20.31,20.25,20.66,20.97,19.81,19.12,20.34,21.88,22.44,22.97,24.81,27.28,28.53,28.59,29.12,29.75,28.66,25.62,23.34,22.5,21.91,20.78,20.22,20.91,21.84,20.97,19.69,19.38,20.06,20.38,20.25,21.38,22.94,23.72,21.91,20.31,19.75,19.44,18.5,18.59,20.47,23.28,24.34,24.41,25.47,26.81,27.0,26.5,27.06,28.38,29.72,29.59,29.75,31.28,32.84,32.84,32.31,32.47,32.69,31.47,29.62,28.59,28.72,28.0,26.69,26.41,27.12,27.38,25.81,24.41,24.75,25.38,25.19,25.81,28.0,30.22,31.19,31.47,31.97,32.59,31.91,29.75,27.94,27.06,26.03,24.22,22.81,23.19,24.12,24.03,24.47,25.84,27.62,28.25,28.12,28.97,30.62,31.47,30.94,30.94,31.81,32.5,31.66,31.47,32.25,33.41,32.94,32.12,31.88,31.66,29.81,26.72,25.22,24.44,23.72,22.97,23.0,24.81,26.19,25.97,25.19,24.84,24.41,23.12,21.41,21.06,21.44,20.75,19.34,18.81,19.59,20.66,20.94,21.78,23.94,25.84,26.69,27.34,28.94,30.72,30.66,30.09,29.78,30.19,29.91,28.84,28.56,29.91,30.41,29.62,28.38,27.84,26.94,24.41,21.84,21.38,22.5,23.25,24.84,27.69,31.16,33.25,34.03,34.28,34.62,33.91,31.41,28.94,27.97,27.34,25.84,24.84,24.66,25.09,24.0,22.66,22.12,22.62,22.84,22.25,22.12,23.16,23.62,22.19,21.0,21.12,22.25,22.94,24.38,27.09,30.5,32.44,33.0,33.62,34.5,34.0,32.16,30.56,30.28,29.69,27.97,26.12,25.25,24.88,23.56,21.84,21.34,22.12,22.38,22.06,22.5,24.47,25.78,25.94,26.75,28.94,31.53,32.69,33.25,34.28,34.81,33.19,30.22,27.19,25.25,22.72,20.62,19.41,20.31,21.31,21.41,22.16,24.78,27.69,28.97,30.09,31.59,33.16,32.47,30.62,28.81,27.56,25.66,23.5,22.69,23.78,24.62,24.5,24.56,25.56,26.84,26.91,26.69,27.84,29.62,30.38,30.88,31.97,33.69,34.81,34.75,34.72,35.03,34.59,32.16,29.41,27.38,25.62,22.56,19.16,17.22,16.47,15.88,15.69,17.19,20.69,24.06,26.59,29.22,32.94,36.47,38.03,38.97,40.72,42.72,43.03,43.0,43.66,44.59,43.81,41.25,38.16,35.75,32.78,28.75,25.44,24.78,25.06,24.19,23.03,23.19,23.5,22.38,21.06,21.69,23.78,26.03,27.44,29.38,32.22,34.09,34.12,33.69,34.44,35.66,35.59,34.47,33.97,32.84,29.5,24.66,20.06,16.47,13.28,10.31,9.22,10.94,13.72,15.31,16.41,18.41,20.72,21.84,22.69,25.31,29.09,31.94,33.47,34.75,36.41,36.97,36.16,35.53,36.25,36.81,36.22,35.03,35.34,36.0,35.53,34.34,34.06,34.16,33.47,31.28,29.44,28.41,26.66,23.38,20.59,19.56,19.16,18.16,17.91,19.91,23.12,25.16,26.94,29.75,32.81,34.84,35.81,37.03,39.22,40.41,39.88,38.72,38.44,37.84,35.81,33.19,32.53,32.5,31.44,29.75,28.75,28.44,27.06,25.03,23.22,23.0,23.31,22.56,22.28,23.81,25.5,25.91,25.09,25.75,27.38,28.03,28.09,29.5,31.97,33.84,34.44,35.12,36.66,37.47,36.03,34.06,33.16,32.38,30.12,27.19,25.25,24.0,22.81,21.19,21.44,23.62,25.47,26.19,26.94,28.75,30.5,30.88,30.94,32.31,34.25,34.78,34.31,34.81,35.62,35.5,34.31,33.78,34.38,35.03,34.78,34.59,35.5,36.44,35.22,33.0,32.25,31.97,30.88,29.31,29.25,30.25,31.0,30.38,30.31,31.19,31.25,29.66,27.91,27.34,27.16,25.91,24.69,25.72,27.47,28.44,28.75,29.94,31.44,31.62,30.06,28.88,28.72,28.72,27.41,26.41,27.28,28.41,28.5,28.38,29.66,31.88,32.78,32.19,32.47,33.72,34.16,33.28,32.88,33.94,34.88,34.88,34.31,34.91,35.72,34.53,31.97,30.31,29.62,28.31,26.47,26.5,28.19,30.06,30.47,30.62,31.69,32.22,31.22,30.06,30.44,31.41,31.56,30.69,30.28,30.5,30.16,28.31,27.06,27.78,29.06,28.81,28.47,29.62,30.28,29.06,27.31,27.31,27.78,27.75,27.09,27.31,28.56,29.22,28.41,28.5,29.75,31.12,31.25,31.81,34.0,36.19,36.75,35.97,35.53,34.97,33.38,30.84,30.19,31.28,32.5,32.84,33.78,35.38,36.66,35.97,35.03,35.44,36.47,36.47,36.0,36.81,38.16,38.34,36.5,35.41,35.38,34.91,33.22,32.75,34.16,35.75,35.78,35.44,36.56,38.25,38.16,37.12,36.88,37.19,36.19,34.03,32.75,33.0,32.66,31.25,30.09,30.91,32.19,31.88,31.88,33.19,35.0,35.78,35.66,36.69,38.09,38.22,36.5,35.12,34.91,34.47,32.88,31.97,32.62,33.91,33.94,33.62,34.56,36.28,36.78,36.09,36.28,36.62,36.34,34.06,32.19,31.78,31.38,29.62,27.97,28.0,28.5,27.44,26.59,27.5,29.31,30.44,30.53,31.31,32.16,32.38,30.94,29.75,29.75,29.66,28.47,27.59,28.34,29.84,29.81,28.94,28.84,28.97,27.94,25.81,24.91,25.91,26.5,26.25,26.44,27.91,28.91,28.5,27.34,27.62,29.12,29.12,29.66,31.62,35.12,37.0,37.34,37.19,37.53,37.0,34.94,34.22,35.66,37.69,38.84,39.38,40.5,41.62,40.81,38.91,38.25,38.66,38.44,36.53,35.62,35.84,34.91,32.59,30.84,31.12,32.09,32.09,32.09,33.78,36.03,37.5,37.94,38.91,40.44,40.41,38.19,36.03,35.12,33.62,30.78,28.47,28.25,29.0,28.81,28.78,30.38,32.5,33.34,33.66,34.28,35.78,36.12,34.97,34.19,34.44,35.0,34.31,34.09,35.53,37.09,37.16,36.66,37.19,38.66,39.12,38.56,38.31,38.81,37.62,34.75,32.22,31.19,30.88,30.0,29.44,30.53,32.38,32.72,32.47,33.25,34.81,35.12,34.72,34.28,34.5,34.19,32.06,30.5,30.25,30.78,29.88,29.09,29.88,31.28,31.75,31.81,32.94,34.88,35.75,35.5,35.47,36.78,37.41,36.41,35.41,35.72,35.72,34.66,33.41,33.59,35.12,35.56,35.16,36.16,37.59,37.91,36.72,35.62,35.81,35.78,34.25,32.78,33.06,34.03,33.53,33.03,34.22,36.56,37.78,37.91,38.09,39.06,38.78,36.91,35.16,35.56,36.12,35.75,35.5,36.75,38.38,37.66,35.72,34.44,34.06,32.91,31.25,31.06,32.12,32.25,31.16,30.25,31.12,31.97,32.22,32.66,34.84,37.75,39.41,40.09,41.38,43.62,44.31,43.34,42.56,42.62,41.53,39.19,36.78,36.38,36.28,35.41,34.69,35.91,38.03,39.22,38.66,38.94,40.12,39.81,38.41,38.28,40.62,43.0,44.06,44.88,46.34,46.19,43.47,39.38,37.09,35.62,33.47,31.81,31.56,32.97,33.97,33.44,33.34,34.41,35.31,34.81,34.44,35.81,37.16,37.03,36.47,37.16,38.66,38.66,37.84,37.66,39.09,39.62,39.25,39.53,55.22,55.0,53.62,52.34,49.88,47.19,45.66,45.34,45.5,45.91,47.0,48.03,48.53,48.69,49.0,49.38,50.31,51.59,52.66,53.56,54.59,54.53,53.62,52.16,51.12,50.25,49.59,50.16:34.47,34.97,33.72,32.22,31.69,31.56,29.94,28.28,28.22,29.0,28.31,26.91,26.31,26.56,25.78,24.06,22.78,23.38,23.38,22.34,21.56,22.47,24.28,25.03,25.44,27.0,28.69,29.19,28.03,28.0,28.66,28.59,27.31,26.12,26.34,26.53,24.97,23.47,23.75,24.28,23.66,22.16,22.09,22.41,21.84,20.19,19.97,21.41,22.78,23.5,24.72,27.09,29.06,28.88,27.75,27.53,27.34,25.62,23.62,22.84,23.06,22.84,21.41,21.47,22.91,24.34,24.59,24.62,25.88,26.78,25.97,25.0,25.5,26.72,26.25,24.91,24.53,24.38,23.44,21.06,19.28,18.75,17.75,15.34,12.88,12.59,13.06,12.5,12.62,14.56,17.66,19.5,20.69,22.91,25.91,27.94,28.28,28.88,29.81,29.69,27.81,25.56,24.59,23.62,21.59,19.41,19.03,19.69,19.84,19.94,21.5,23.84,25.78,26.19,27.0,28.78,30.34,30.53,30.66,31.78,31.91,30.12,26.81,24.22,22.09,19.06,15.34,14.0,14.41,15.28,15.41,16.78,19.31,21.06,21.28,21.25,22.19,23.03,23.12,22.03,22.09,22.81,22.47,20.84,20.19,20.53,20.5,18.88,17.94,18.72,20.12,20.41,20.97,23.47,25.94,27.5,27.88,28.81,29.91,29.94,28.41,27.31,27.38,27.44,26.03,25.31,26.12,27.5,27.38,26.22,26.34,26.25,24.69,22.56,21.91,22.56,23.5,23.69,24.28,26.06,27.47,26.91,26.44,27.5,28.66,28.91,28.62,29.56,30.94,31.47,31.0,31.5,32.88,33.72,32.78,32.06,31.88,30.94,28.38,25.75,24.66,24.03,22.34,21.03,20.84,21.16,20.88,19.44,19.34,20.56,21.53,22.0,22.5,24.28,25.72,24.84,23.66,23.31,23.0,21.31,19.47,19.38,19.75,19.97,19.28,19.56,21.09,22.12,21.75,21.72,22.44,22.72,21.38,20.06,20.19,20.41,19.94,19.03,19.31,20.41,20.94,20.31,20.25,20.66,20.97,19.81,19.12,20.34,21.88,22.44,22.97,24.81,27.28,28.53,28.59,29.12,29.75,28.66,25.62,23.34,22.5,21.91,20.78,20.22,20.91,21.84,20.97,19.69,19.38,20.06,20.38,20.25,21.38,22.94,23.72,21.91,20.31,19.75,19.44,18.5,18.59,20.47,23.28,24.34,24.41,25.47,26.81,27.0,26.5,27.06,28.38,29.72,29.59,29.75,31.28,32.84,32.84,32.31,32.47,32.69,31.47,29.62,28.59,28.72,28.0,26.69,26.41,27.12,27.38,25.81,24.41,24.75,25.38,25.19,25.81,28.0,30.22,31.19,31.47,31.97,32.59,31.91,29.75,27.94,27.06,26.03,24.22,22.81,23.19,24.12,24.03,24.47,25.84,27.62,28.25,28.12,28.97,30.62,31.47,30.94,30.94,31.81,32.5,31.66,31.47,32.25,33.41,32.94,32.12,31.88,31.66,29.81,26.72,25.22,24.44,23.72,22.97,23.0,24.81,26.19,25.97,25.19,24.84,24.41,23.12,21.41,21.06,21.44,20.75,19.34,18.81,19.59,20.66,20.94,21.78,23.94,25.84,26.69,27.34,28.94,30.72,30.66,30.09,29.78,30.19,29.91,28.84,28.56,29.91,30.41,29.62,28.38,27.84,26.94,24.41,21.84,21.38,22.5,23.25,24.84,27.69,31.16,33.25,34.03,34.28,34.62,33.91,31.41,28.94,27.97,27.34,25.84,24.84,24.66,25.09,24.0,22.66,22.12,22.62,22.84,22.25,22.12,23.16,23.62,22.19,21.0,21.12,22.25,22.94,24.38,27.09,30.5,32.44,33.0,33.62,34.5,34.0,32.16,30.56,30.28,29.69,27.97,26.12,25.25,24.88,23.56,21.84,21.34,22.12,22.38,22.06,22.5,24.47,25.78,25.94,26.75,28.94,31.53,32.69,33.25,34.28,34.81,33.19,30.22,27.19,25.25,22.72,20.62,19.41,20.31,21.31,21.41,22.16,24.78,27.69,28.97,30.09,31.59,33.16,32.47,30.62,28.81,27.56,25.66,23.5,22.69,23.78,24.62,24.5,24.56,25.56,26.84,26.91,26.69,27.84,29.62,30.38,30.88,31.97,33.69,34.81,34.75,34.72,35.03,34.59,32.16,29.41,27.38,25.62,22.56,19.16,17.22,16.47,15.88,15.69,17.19,20.69,24.06,26.59,29.22,32.94,36.47,38.03,38.97,40.72,42.72,43.03,43.0,43.66,44.59,43.81,41.25,38.16,35.75,32.78,28.75,25.44,24.78,25.06,24.19,23.03,23.19,23.5,22.38,21.06,21.69,23.78,26.03,27.44,29.38,32.22,34.09,34.12,33.69,34.44,35.66,35.59,34.47,33.97,32.84,29.5,24.66,20.06,16.47,13.28,10.31,9.22,10.94,13.72,15.31,16.41,18.41,20.72,21.84,22.69,25.31,29.09,31.94,33.47,34.75,36.41,36.97,36.16,35.53,36.25,36.81,36.22,35.03,35.34,36.0,35.53,34.34,34.06,34.16,33.47,31.28,29.44,28.41,26.66,23.38,20.59,19.56,19.16,18.16,17.91,19.91,23.12,25.16,26.94,29.75,32.81,34.84,35.81,37.03,39.22,40.41,39.88,38.72,38.44,37.84,35.81,33.19,32.53,32.5,31.44,29.75,28.75,28.44,27.06,25.03,23.22,23.0,23.31,22.56,22.28,23.81,25.5,25.91,25.09,25.75,27.38,28.03,28.09,29.5,31.97,33.84,34.44,35.12,36.66,37.47,36.03,34.06,33.16,32.38,30.12,27.19,25.25,24.0,22.81,21.19,21.44,23.62,25.47,26.19,26.94,28.75,30.5,30.88,30.94,32.31,34.25,34.78,34.31,34.81,35.62,35.5,34.31,33.78,34.38,35.03,34.78,34.59,35.5,36.44,35.22,33.0,32.25,31.97,30.88,29.31,29.25,30.25,31.0,30.38,30.31,31.19,31.25,29.66,27.91,27.34,27.16,25.91,24.69,25.72,27.47,28.44,28.75,29.94,31.44,31.62,30.06,28.88,28.72,28.72,27.41,26.41,27.28,28.41,28.5,28.38,29.66,31.88,32.78,32.19,32.47,33.72,34.16,33.28,32.88,33.94,34.88,34.88,34.31,34.91,35.72,34.53,31.97,30.31,29.62,28.31,26.47,26.5,28.19,30.06,30.47,30.62,31.69,32.22,31.22,30.06,30.44,31.41,31.56,30.69,30.28,30.5,30.16,28.31,27.06,27.78,29.06,28.81,28.47,29.62,30.28,29.06,27.31,27.31,27.78,27.75,27.09,27.31,28.56,29.22,28.41,28.5,29.75,31.12,31.25,31.81,34.0,36.19,36.75,35.97,35.53,34.97,33.38,30.84,30.19,31.28,32.5,32.84,33.78,35.38,36.66,35.97,35.03,35.44,36.47,36.47,36.0,36.81,38.16,38.34,36.5,35.41,35.38,34.91,33.22,32.75,34.16,35.75,35.78,35.44,36.56,38.25,38.16,37.12,36.88,37.19,36.19,34.03,32.75,33.0,32.66,31.25,30.09,30.91,32.19,31.88,31.88,33.19,35.0,35.78,35.66,36.69,38.09,38.22,36.5,35.12,34.91,34.47,32.88,31.97,32.62,33.91,33.94,33.62,34.56,36.28,36.78,36.09,36.28,36.62,36.34,34.06,32.19,31.78,31.38,29.62,27.97,28.0,28.5,27.44,26.59,27.5,29.31,30.44,30.53,31.31,32.16,32.38,30.94,29.75,29.75,29.66,28.47,27.59,28.34,29.84,29.81,28.94,28.84,28.97,27.94,25.81,24.91,25.91,26.5,26.25,26.44,27.91,28.91,28.5,27.34,27.62,29.12,29.12,29.66,31.62,35.12,37.0,37.34,37.19,37.53,37.0,34.94,34.22,35.66,37.69,38.84,39.38,40.5,41.62,40.81,38.91,38.25,38.66,38.44,36.53,35.62,35.84,34.91,32.59,30.84,31.12,32.09,32.09,32.09,33.78,36.03,37.5,37.94,38.91,40.44,40.41,38.19,36.03,35.12,33.62,30.78,28.47,28.25,29.0,28.81,28.78,30.38,32.5,33.34,33.66,34.28,35.78,36.12,34.97,34.19,34.44,35.0,34.31,34.09,35.53,37.09,37.16,36.66,37.19,38.66,39.12,38.56,38.31,38.81,37.62,34.75,32.22,31.19,30.88,30.0,29.44,30.53,32.38,32.72,32.47,33.25,34.81,35.12,34.72,34.28,34.5,34.19,32.06,30.5,30.25,30.78,29.88,29.09,29.88,31.28,31.75,31.81,32.94,34.88,35.75,35.5,35.47,36.78,37.41,36.41,35.41,35.72,35.72,34.66,33.41,33.59,35.12,35.56,35.16,36.16,37.59,37.91,36.72,35.62,35.81,35.78,34.25,32.78,33.06,34.03,33.53,33.03,34.22,36.56,37.78,37.91,38.09,39.06,38.78,36.91,35.16,35.56,36.12,35.75,35.5,36.75,38.38,37.66,35.72,34.44,34.06,32.91,31.25,31.06,32.12,32.25,31.16,30.25,31.12,31.97,32.22,32.66,34.84,37.75,39.41,40.09,41.38,43.62,44.31,43.34,42.56,42.62,41.53,39.19,36.78,36.38,36.28,35.41,34.69,35.91,38.03,39.22,38.66,38.94,40.12,39.81,38.41,38.28,40.62,43.0,44.06,44.88,46.34,46.19,43.47,39.38,37.09,35.62,33.47,31.81,31.56,32.97,33.97,33.44,33.34,34.41,35.31,34.81,34.44,35.81,37.16,37.03,36.47,37.16,38.66,38.66,37.84,37.66,39.09,39.62,39.25,39.53,55.22,55.0,53.62,52.34,49.88,47.19,45.66,45.34,45.5,45.91,47.0,48.03,48.53,48.69,49.0,49.38,50.31,51.59,52.66,53.56,54.59,54.53,53.62,52.16,51.12,50.25,49.59,50.16,51.41,53.03,54.03,54.69,54.69,54.62,54.47:28.28,28.22,29.0,28.31,26.91,26.31,26.56,25.78,24.06,22.78,23.38,23.38,22.34,21.56,22.47,24.28,25.03,25.44,27.0,28.69,29.19,28.03,28.0,28.66,28.59,27.31,26.12,26.34,26.53,24.97,23.47,23.75,24.28,23.66,22.16,22.09,22.41,21.84,20.19,19.97,21.41,22.78,23.5,24.72,27.09,29.06,28.88,27.75,27.53,27.34,25.62,23.62,22.84,23.06,22.84,21.41,21.47,22.91,24.34,24.59,24.62,25.88,26.78,25.97,25.0,25.5,26.72,26.25,24.91,24.53,24.38,23.44,21.06,19.28,18.75,17.75,15.34,12.88,12.59,13.06,12.5,12.62,14.56,17.66,19.5,20.69,22.91,25.91,27.94,28.28,28.88,29.81,29.69,27.81,25.56,24.59,23.62,21.59,19.41,19.03,19.69,19.84,19.94,21.5,23.84,25.78,26.19,27.0,28.78,30.34,30.53,30.66,31.78,31.91,30.12,26.81,24.22,22.09,19.06,15.34,14.0,14.41,15.28,15.41,16.78,19.31,21.06,21.28,21.25,22.19,23.03,23.12,22.03,22.09,22.81,22.47,20.84,20.19,20.53,20.5,18.88,17.94,18.72,20.12,20.41,20.97,23.47,25.94,27.5,27.88,28.81,29.91,29.94,28.41,27.31,27.38,27.44,26.03,25.31,26.12,27.5,27.38,26.22,26.34,26.25,24.69,22.56,21.91,22.56,23.5,23.69,24.28,26.06,27.47,26.91,26.44,27.5,28.66,28.91,28.62,29.56,30.94,31.47,31.0,31.5,32.88,33.72,32.78,32.06,31.88,30.94,28.38,25.75,24.66,24.03,22.34,21.03,20.84,21.16,20.88,19.44,19.34,20.56,21.53,22.0,22.5,24.28,25.72,24.84,23.66,23.31,23.0,21.31,19.47,19.38,19.75,19.97,19.28,19.56,21.09,22.12,21.75,21.72,22.44,22.72,21.38,20.06,20.19,20.41,19.94,19.03,19.31,20.41,20.94,20.31,20.25,20.66,20.97,19.81,19.12,20.34,21.88,22.44,22.97,24.81,27.28,28.53,28.59,29.12,29.75,28.66,25.62,23.34,22.5,21.91,20.78,20.22,20.91,21.84,20.97,19.69,19.38,20.06,20.38,20.25,21.38,22.94,23.72,21.91,20.31,19.75,19.44,18.5,18.59,20.47,23.28,24.34,24.41,25.47,26.81,27.0,26.5,27.06,28.38,29.72,29.59,29.75,31.28,32.84,32.84,32.31,32.47,32.69,31.47,29.62,28.59,28.72,28.0,26.69,26.41,27.12,27.38,25.81,24.41,24.75,25.38,25.19,25.81,28.0,30.22,31.19,31.47,31.97,32.59,31.91,29.75,27.94,27.06,26.03,24.22,22.81,23.19,24.12,24.03,24.47,25.84,27.62,28.25,28.12,28.97,30.62,31.47,30.94,30.94,31.81,32.5,31.66,31.47,32.25,33.41,32.94,32.12,31.88,31.66,29.81,26.72,25.22,24.44,23.72,22.97,23.0,24.81,26.19,25.97,25.19,24.84,24.41,23.12,21.41,21.06,21.44,20.75,19.34,18.81,19.59,20.66,20.94,21.78,23.94,25.84,26.69,27.34,28.94,30.72,30.66,30.09,29.78,30.19,29.91,28.84,28.56,29.91,30.41,29.62,28.38,27.84,26.94,24.41,21.84,21.38,22.5,23.25,24.84,27.69,31.16,33.25,34.03,34.28,34.62,33.91,31.41,28.94,27.97,27.34,25.84,24.84,24.66,25.09,24.0,22.66,22.12,22.62,22.84,22.25,22.12,23.16,23.62,22.19,21.0,21.12,22.25,22.94,24.38,27.09,30.5,32.44,33.0,33.62,34.5,34.0,32.16,30.56,30.28,29.69,27.97,26.12,25.25,24.88,23.56,21.84,21.34,22.12,22.38,22.06,22.5,24.47,25.78,25.94,26.75,28.94,31.53,32.69,33.25,34.28,34.81,33.19,30.22,27.19,25.25,22.72,20.62,19.41,20.31,21.31,21.41,22.16,24.78,27.69,28.97,30.09,31.59,33.16,32.47,30.62,28.81,27.56,25.66,23.5,22.69,23.78,24.62,24.5,24.56,25.56,26.84,26.91,26.69,27.84,29.62,30.38,30.88,31.97,33.69,34.81,34.75,34.72,35.03,34.59,32.16,29.41,27.38,25.62,22.56,19.16,17.22,16.47,15.88,15.69,17.19,20.69,24.06,26.59,29.22,32.94,36.47,38.03,38.97,40.72,42.72,43.03,43.0,43.66,44.59,43.81,41.25,38.16,35.75,32.78,28.75,25.44,24.78,25.06,24.19,23.03,23.19,23.5,22.38,21.06,21.69,23.78,26.03,27.44,29.38,32.22,34.09,34.12,33.69,34.44,35.66,35.59,34.47,33.97,32.84,29.5,24.66,20.06,16.47,13.28,10.31,9.22,10.94,13.72,15.31,16.41,18.41,20.72,21.84,22.69,25.31,29.09,31.94,33.47,34.75,36.41,36.97,36.16,35.53,36.25,36.81,36.22,35.03,35.34,36.0,35.53,34.34,34.06,34.16,33.47,31.28,29.44,28.41,26.66,23.38,20.59,19.56,19.16,18.16,17.91,19.91,23.12,25.16,26.94,29.75,32.81,34.84,35.81,37.03,39.22,40.41,39.88,38.72,38.44,37.84,35.81,33.19,32.53,32.5,31.44,29.75,28.75,28.44,27.06,25.03,23.22,23.0,23.31,22.56,22.28,23.81,25.5,25.91,25.09,25.75,27.38,28.03,28.09,29.5,31.97,33.84,34.44,35.12,36.66,37.47,36.03,34.06,33.16,32.38,30.12,27.19,25.25,24.0,22.81,21.19,21.44,23.62,25.47,26.19,26.94,28.75,30.5,30.88,30.94,32.31,34.25,34.78,34.31,34.81,35.62,35.5,34.31,33.78,34.38,35.03,34.78,34.59,35.5,36.44,35.22,33.0,32.25,31.97,30.88,29.31,29.25,30.25,31.0,30.38,30.31,31.19,31.25,29.66,27.91,27.34,27.16,25.91,24.69,25.72,27.47,28.44,28.75,29.94,31.44,31.62,30.06,28.88,28.72,28.72,27.41,26.41,27.28,28.41,28.5,28.38,29.66,31.88,32.78,32.19,32.47,33.72,34.16,33.28,32.88,33.94,34.88,34.88,34.31,34.91,35.72,34.53,31.97,30.31,29.62,28.31,26.47,26.5,28.19,30.06,30.47,30.62,31.69,32.22,31.22,30.06,30.44,31.41,31.56,30.69,30.28,30.5,30.16,28.31,27.06,27.78,29.06,28.81,28.47,29.62,30.28,29.06,27.31,27.31,27.78,27.75,27.09,27.31,28.56,29.22,28.41,28.5,29.75,31.12,31.25,31.81,34.0,36.19,36.75,35.97,35.53,34.97,33.38,30.84,30.19,31.28,32.5,32.84,33.78,35.38,36.66,35.97,35.03,35.44,36.47,36.47,36.0,36.81,38.16,38.34,36.5,35.41,35.38,34.91,33.22,32.75,34.16,35.75,35.78,35.44,36.56,38.25,38.16,37.12,36.88,37.19,36.19,34.03,32.75,33.0,32.66,31.25,30.09,30.91,32.19,31.88,31.88,33.19,35.0,35.78,35.66,36.69,38.09,38.22,36.5,35.12,34.91,34.47,32.88,31.97,32.62,33.91,33.94,33.62,34.56,36.28,36.78,36.09,36.28,36.62,36.34,34.06,32.19,31.78,31.38,29.62,27.97,28.0,28.5,27.44,26.59,27.5,29.31,30.44,30.53,31.31,32.16,32.38,30.94,29.75,29.75,29.66,28.47,27.59,28.34,29.84,29.81,28.94,28.84,28.97,27.94,25.81,24.91,25.91,26.5,26.25,26.44,27.91,28.91,28.5,27.34,27.62,29.12,29.12,29.66,31.62,35.12,37.0,37.34,37.19,37.53,37.0,34.94,34.22,35.66,37.69,38.84,39.38,40.5,41.62,40.81,38.91,38.25,38.66,38.44,36.53,35.62,35.84,34.91,32.59,30.84,31.12,32.09,32.09,32.09,33.78,36.03,37.5,37.94,38.91,40.44,40.41,38.19,36.03,35.12,33.62,30.78,28.47,28.25,29.0,28.81,28.78,30.38,32.5,33.34,33.66,34.28,35.78,36.12,34.97,34.19,34.44,35.0,34.31,34.09,35.53,37.09,37.16,36.66,37.19,38.66,39.12,38.56,38.31,38.81,37.62,34.75,32.22,31.19,30.88,30.0,29.44,30.53,32.38,32.72,32.47,33.25,34.81,35.12,34.72,34.28,34.5,34.19,32.06,30.5,30.25,30.78,29.88,29.09,29.88,31.28,31.75,31.81,32.94,34.88,35.75,35.5,35.47,36.78,37.41,36.41,35.41,35.72,35.72,34.66,33.41,33.59,35.12,35.56,35.16,36.16,37.59,37.91,36.72,35.62,35.81,35.78,34.25,32.78,33.06,34.03,33.53,33.03,34.22,36.56,37.78,37.91,38.09,39.06,38.78,36.91,35.16,35.56,36.12,35.75,35.5,36.75,38.38,37.66,35.72,34.44,34.06,32.91,31.25,31.06,32.12,32.25,31.16,30.25,31.12,31.97,32.22,32.66,34.84,37.75,39.41,40.09,41.38,43.62,44.31,43.34,42.56,42.62,41.53,39.19,36.78,36.38,36.28,35.41,34.69,35.91,38.03,39.22,38.66,38.94,40.12,39.81,38.41,38.28,40.62,43.0,44.06,44.88,46.34,46.19,43.47,39.38,37.09,35.62,33.47,31.81,31.56,32.97,33.97,33.44,33.34,34.41,35.31,34.81,34.44,35.81,37.16,37.03,36.47,37.16,38.66,38.66,37.84,37.66,39.09,39.62,39.25,39.53,55.22,55.0,53.62,52.34,49.88,47.19,45.66,45.34,45.5,45.91,47.0,48.03,48.53,48.69,49.0,49.38,50.31,51.59,52.66,53.56,54.59,54.53,53.62,52.16,51.12,50.25,49.59,50.16,51.41,53.03,54.03,54.69,54.69,54.62,54.47,54.03,53.59,53.44,52.91,51.41,50.22,49.28:positivity
30.19,28.19,28.16,30.5,32.53,32.12,31.5,32.72,33.75,32.5,30.5,30.91,32.34,32.31,31.41,32.5,34.88,35.75,34.03,32.09,31.5,30.06,26.06,22.5,22.25,22.88,22.72,22.44,24.78,28.31,30.28,29.69,29.78,30.84,30.84,28.91,27.88,29.44,31.38,30.81,30.0,31.34,32.75,31.59,28.94,27.69,27.59,26.91,25.53,26.25,29.41,32.59,32.84,33.03,35.19,36.72,35.84,34.09,34.03,34.62,33.28,30.69,29.94,30.69,30.5,28.34,27.56,28.62,29.41,28.47,27.66,29.47,31.53,31.81,31.38,32.91,35.5,36.09,34.91,34.41,34.69,33.47,30.03,27.5,27.69,28.19,27.0,25.81,26.84,28.66,28.59,27.84,29.62,32.75,34.31,33.91,34.34,36.16,37.31,35.88,35.28,37.28,38.97,38.66,37.56,38.25,39.59,38.56,35.69,34.34,34.56,33.56,31.38,30.66,32.38,33.88,32.53,31.0,31.09,30.66,27.66,24.31,23.28,24.22,24.16,23.47,24.91,28.12,30.66,31.03,32.31,35.16,37.91,37.31,36.31,36.72,37.44,35.62,32.88,32.38,33.0,32.41,30.22,29.31,30.44,31.34,29.56,28.94,30.09,31.16,29.59,28.12,28.69,29.97,29.47,27.94,28.16,30.62,31.97,31.75,32.38,34.56,35.22,32.94,30.75,31.34,32.62,31.56,30.41,31.12,32.19,30.59,27.56,26.09,26.0,25.25,23.22,23.0,25.22,27.91,28.28,28.75,31.59,34.66,34.94,34.84,36.22,37.88,37.5,35.12,33.69,33.97,33.72,31.41,29.84,30.38,30.22,27.28,24.22,24.06,25.56,25.56,25.84,28.31,32.34,34.66,34.62,35.28,37.84,39.28,38.59,38.66,40.97,42.5,40.81,37.94,36.56,35.25,31.66,27.62,25.41,25.22,24.38,22.41,21.72,24.03,26.66,27.34,28.25,31.69,34.81,34.62,33.16,33.12,34.59,34.28,33.06,33.44,35.72,36.03,33.84,31.69,31.5,31.12,28.38,25.97,26.47,27.38,26.38,24.84,25.16,27.03,27.53,26.59,26.41,27.84,28.19,25.62,23.69,24.5,25.72,25.12,24.78,26.88,30.22,31.19,31.38,33.12,36.31,37.31,36.22,35.31,35.97,35.81,33.0,30.44,30.62,31.22,29.5,27.97,28.34,30.0,29.28,27.38,26.78,28.12,28.56,27.38,27.16,29.0,30.38,28.78,26.91,27.25,28.59,27.62,25.62,25.44,26.03,24.34,20.97,19.31,19.75,19.38,17.5,16.0,17.09,17.62,15.47,12.97,13.19,14.47,14.22,13.44,14.97,18.06,19.62,19.56,20.09,22.97,24.81,24.34,24.31,26.94,29.19,29.25,29.09,30.5,32.97,33.09,31.62,31.81,33.41,33.47,31.62,30.69,31.75,32.0,29.94,27.88,28.16,28.19,25.62,22.69,22.22,23.0,22.5,21.12,21.78,24.56,26.22,26.31,27.47,30.81,33.78,34.09,33.62,35.0,36.28,35.28,33.0,32.62,33.47,32.47,29.91,28.38,28.84,28.09,25.38,22.56,22.78,23.66,23.25,23.41,26.31,30.19,31.72,31.44,32.81,34.94,35.03,33.31,32.88,34.31,35.56,34.91,34.12,34.81,35.06,32.56,29.16,28.16,28.62,27.41,25.03,23.75,24.03,23.66,21.38,20.66,22.81,24.44,23.88,22.97,24.06,25.69,25.12,24.16,25.41,27.0,26.84,24.66,23.5,24.12,24.19,22.53,21.75,23.59,24.97,23.84,22.91,24.19,26.16,26.19,24.88,24.94,26.03,25.34,23.28,22.5,23.66,24.5,23.25,22.28,23.75,25.0,24.12,22.38,22.62,23.41,22.38,20.44,20.12,21.12,21.62,19.81,19.16,20.16,20.88,19.66,18.75,20.62,22.88,23.78,23.38,24.53,26.66,26.09,23.69,22.94,23.78,23.97,22.06,21.34,23.34,24.88,24.62,24.03,25.31,26.19,24.88,22.38,21.47,21.97,20.78,18.03,16.53,16.38,15.44,12.41,10.0,10.91,12.47,12.59,13.03,15.38,18.41,19.69,19.84,21.31,24.06,25.31,24.12,23.19,23.97,24.19,21.78,19.44,19.19,19.28,17.31,14.69,14.03,14.16,12.5,9.84,9.12,10.62,11.53,11.19,11.84,14.69,16.78,16.38,15.44,16.12,17.22,16.47,15.25,16.28,18.59,19.28,17.97,17.53,18.59,18.59,16.5,14.66,14.62,14.69,12.09,9.5,9.47,10.38,9.78,8.03,7.66,8.56,8.91,7.47,8.0,11.47,14.75,15.66,15.97,17.53,18.66,16.81,14.28,14.16,15.12,14.38,12.78,12.84,14.41,14.78,13.28,12.38,13.75,14.28,12.56,11.03,11.34,12.62,12.09,11.06,11.88,13.84,14.03,12.62,12.66,14.22,15.12,14.25,13.94,15.53,17.12,15.97,14.47,14.81,16.22,15.5,14.38,14.5,16.22,16.56,15.25,15.12,16.75,17.69,16.16,15.41,16.78,18.75,19.06,18.56,19.94,21.59,20.75,18.53,17.47,18.22,18.78,17.53,17.38,20.16,22.19,22.16,21.97,23.81,25.44,24.84,22.94,22.59,23.0,21.69,19.78,18.91,19.75,19.84,18.44,17.78,19.94,21.94,22.19,21.97,23.78,26.16,26.5,25.91,26.44,27.81,27.16,24.75,23.03,23.81,24.34,23.19,22.78,23.88,25.03,23.22,20.41,19.62,20.22,20.0,19.56,21.38,24.78,26.97,27.25,27.47,29.41,30.28,29.12,27.94,29.16,31.03,30.78,30.06,31.09,32.31,30.94,27.12,23.41,21.22,18.28,14.41,12.31,13.47,15.25,15.06,15.34,17.97,21.56,23.12,24.34,26.88,30.53,32.59,32.72,33.16,34.34,34.03,30.91,27.66,27.03,26.5,24.12,21.62,20.97,21.06,19.41,16.78,15.97,17.12,18.12,18.28,19.72,23.53,26.44,26.78,25.91,26.59,26.84,24.47,20.91,19.09,18.44,16.47,13.72,12.53,13.28,13.16,11.41,10.5,12.34,14.34,14.62,14.53,16.34,18.41,18.5,17.44,17.88,20.19,20.97,20.12,20.69,23.03,24.56,23.75,23.62,25.09,26.69,25.84,23.88,23.81,24.31,22.53,19.53,18.12,18.5,17.94,16.47,16.28,18.5,20.28,19.66,18.84,20.66,22.62,22.97,22.75,23.94,25.09,24.0,20.62,18.75,19.31,19.84,19.56,20.56,23.88,26.22,25.44,23.75,24.06,24.31,22.5,19.91,18.81,18.72,17.38,13.97,11.34,11.03,9.59,6.91,5.34,7.03,9.5,10.38,10.62,13.0,15.97,16.91,16.16,17.0,18.91,19.78,18.84,18.47,20.28,21.06,19.44,18.06,19.06,20.31,20.0,18.84,20.09,21.81,21.78,19.94,19.69,20.78,20.72,19.16,18.06,19.09,19.97,18.97,18.31,20.94,24.41,26.38,27.81,30.62,34.62,36.19,35.31,34.75,35.0,34.25,31.25,28.84,28.72,28.75,27.25,25.75,27.06,29.66,29.69,28.12,27.31,27.12,25.38,22.09,20.41,20.78,20.72,18.06,16.0,16.5,16.75,15.41,13.66,13.81,14.88,14.44,12.66,12.97,15.03,16.25,15.34,15.38,17.16,18.22,16.47,14.72,15.19,15.88,14.56,12.31,11.72,12.44,11.97,10.12,9.75,11.09,11.09,8.84,7.16,8.19,9.59,9.44,9.06,11.28,14.38,15.41,15.0,16.38,18.31,18.31,16.22,15.72,17.38,18.75,17.81,17.38,18.38,19.28,17.28,14.91,15.06,16.5,16.59,15.91,17.03,19.62,20.94,20.25,20.34,22.12,23.62,22.47,21.19,22.0,22.72,20.94,18.16,17.78,18.41,17.25,14.69,13.41,13.41,12.72,10.22,9.12,10.84,12.97,12.62,12.06,13.19,14.75,13.16,10.66,9.78,10.88,11.0,10.12,11.22,14.5,17.09,16.94,17.12,18.84,20.44,19.22,17.38,17.53,18.44,16.5,13.38,11.97,11.84,11.28,9.53,9.34,11.53,13.28,12.56,12.06,13.53,15.5,15.31,14.78,16.47,19.53,20.19,19.28,19.5,20.88,20.66,18.22,16.5,16.5,16.34,13.56,11.09,11.56,13.16,13.19,12.81,14.5,17.72,18.84,18.12,18.88,20.56,20.84,18.34,16.09,16.06,16.66,15.72,15.06,16.94,19.34,19.34,17.56,17.38,18.09,17.31,14.31,12.16,12.34,11.78,8.75,6.19,6.44,6.88,5.19,3.34,4.12,5.91,5.75,4.62,5.34,7.94,9.59,9.5,9.78,12.03,13.5,11.75,9.75,10.53,11.56,10.5,9.38,10.38,12.91,12.88,11.47,11.56,13.44,14.94,14.84,15.12,17.56,18.72,16.75,14.31,13.69,13.97,12.28,9.94,9.47,10.41,9.91,7.69,6.72,7.88,8.38,6.62,5.66,7.38,9.5,9.88,10.22,13.59,17.81,19.22,19.12,19.53,21.03,20.69,18.34,17.38,18.78,20.03,18.94,18.38,19.91,21.16,19.38,16.59,15.03,14.94,12.59,8.88,6.59,6.66,5.81,3.22,2.62,5.19,7.81,8.56,9.56,12.69,16.22,16.75,16.16,17.16,19.22,19.06,17.78,17.69,19.31,19.78,17.88,16.22,16.47,16.16,13.44,9.72,9.0,9.56,8.72,8.03,9.47,12.72,14.22,13.78,14.0,16.5,17.66,16.59,15.88,17.19,18.16,17.09,15.72,16.38,18.12,18.06,16.09,15.47,16.47,16.12,14.41,13.72,15.97,18.19,17.56,16.91,18.12,19.0,17.16,14.62,14.5,15.72,15.16,12.59,11.69,12.72,12.41,11.0,11.0,13.56,15.72,15.78,15.16,15.97,16.94,15.66,13.72,13.31:32.72,33.75,32.5,30.5,30.91,32.34,32.31,31.41,32.5,34.88,35.75,34.03,32.09,31.5,30.06,26.06,22.5,22.25,22.88,22.72,22.44,24.78,28.31,30.28,29.69,29.78,30.84,30.84,28.91,27.88,29.44,31.38,30.81,30.0,31.34,32.75,31.59,28.94,27.69,27.59,26.91,25.53,26.25,29.41,32.59,32.84,33.03,35.19,36.72,35.84,34.09,34.03,34.62,33.28,30.69,29.94,30.69,30.5,28.34,27.56,28.62,29.41,28.47,27.66,29.47,31.53,31.81,31.38,32.91,35.5,36.09,34.91,34.41,34.69,33.47,30.03,27.5,27.69,28.19,27.0,25.81,26.84,28.66,28.59,27.84,29.62,32.75,34.31,33.91,34.34,36.16,37.31,35.88,35.28,37.28,38.97,38.66,37.56,38.25,39.59,38.56,35.69,34.34,34.56,33.56,31.38,30.66,32.38,33.88,32.53,31.0,31.09,30.66,27.66,24.31,23.28,24.22,24.16,23.47,24.91,28.12,30.66,31.03,32.31,35.16,37.91,37.31,36.31,36.72,37.44,35.62,32.88,32.38,33.0,32.41,30.22,29.31,30.44,31.34,29.56,28.94,30.09,31.16,29.59,28.12,28.69,29.97,29.47,27.94,28.16,30.62,31.97,31.75,32.38,34.56,35.22,32.94,30.75,31.34,32.62,31.56,30.41,31.12,32.19,30.59,27.56,26.09,26.0,25.25,23.22,23.0,25.22,27.91,28.28,28.75,31.59,34.66,34.94,34.84,36.22,37.88,37.5,35.12,33.69,33.97,33.72,31.41,29.84,30.38,30.22,27.28,24.22,24.06,25.56,25.56,25.84,28.31,32.34,34.66,34.62,35.28,37.84,39.28,38.59,38.66,40.97,42.5,40.81,37.94,36.56,35.25,31.66,27.62,25.41,25.22,24.38,22.41,21.72,24.03,26.66,27.34,28.25,31.69,34.81,34.62,33.16,33.12,34.59,34.28,33.06,33.44,35.72,36.03,33.84,31.69,31.5,31.12,28.38,25.97,26.47,27.38,26.38,24.84,25.16,27.03,27.53,26.59,26.41,27.84,28.19,25.62,23.69,24.5,25.72,25.12,24.78,26.88,30.22,31.19,31.38,33.12,36.31,37.31,36.22,35.31,35.97,35.81,33.0,30.44,30.62,31.22,29.5,27.97,28.34,30.0,29.28,27.38,26.78,28.12,28.56,27.38,27.16,29.0,30.38,28.78,26.91,27.25,28.59,27.62,25.62,25.44,26.03,24.34,20.97,19.31,19.75,19.38,17.5,16.0,17.09,17.62,15.47,12.97,13.19,14.47,14.22,13.44,14.97,18.06,19.62,19.56,20.09,22.97,24.81,24.34,24.31,26.94,29.19,29.25,29.09,30.5,32.97,33.09,31.62,31.81,33.41,33.47,31.62,30.69,31.75,32.0,29.94,27.88,28.16,28.19,25.62,22.69,22.22,23.0,22.5,21.12,21.78,24.56,26.22,26.31,27.47,30.81,33.78,34.09,33.62,35.0,36.28,35.28,33.0,32.62,33.47,32.47,29.91,28.38,28.84,28.09,25.38,22.56,22.78,23.66,23.25,23.41,26.31,30.19,31.72,31.44,32.81,34.94,35.03,33.31,32.88,34.31,35.56,34.91,34.12,34.81,35.06,32.56,29.16,28.16,28.62,27.41,25.03,23.75,24.03,23.66,21.38,20.66,22.81,24.44,23.88,22.97,24.06,25.69,25.12,24.16,25.41,27.0,26.84,24.66,23.5,24.12,24.19,22.53,21.75,23.59,24.97,23.84,22.91,24.19,26.16,26.19,24.88,24.94,26.03,25.34,23.28,22.5,23.66,24.5,23.25,22.28,23.75,25.0,24.12,22.38,22.62,23.41,22.38,20.44,20.12,21.12,21.62,19.81,19.16,20.16,20.88,19.66,18.75,20.62,22.88,23.78,23.38,24.53,26.66,26.09,23.69,22.94,23.78,23.97,22.06,21.34,23.34,24.88,24.62,24.03,25.31,26.19,24.88,22.38,21.47,21.97,20.78,18.03,16.53,16.38,15.44,12.41,10.0,10.91,12.47,12.59,13.03,15.38,18.41,19.69,19.84,21.31,24.06,25.31,24.12,23.19,23.97,24.19,21.78,19.44,19.19,19.28,17.31,14.69,14.03,14.16,12.5,9.84,9.12,10.62,11.53,11.19,11.84,14.69,16.78,16.38,15.44,16.12,17.22,16.47,15.25,16.28,18.59,19.28,17.97,17.53,18.59,18.59,16.5,14.66,14.62,14.69,12.09,9.5,9.47,10.38,9.78,8.03,7.66,8.56,8.91,7.47,8.0,11.47,14.75,15.66,15.97,17.53,18.66,16.81,14.28,14.16,15.12,14.38,12.78,12.84,14.41,14.78,13.28,12.38,13.75,14.28,12.56,11.03,11.34,12.62,12.09,11.06,11.88,13.84,14.03,12.62,12.66,14.22,15.12,14.25,13.94,15.53,17.12,15.97,14.47,14.81,16.22,15.5,14.38,14.5,16.22,16.56,15.25,15.12,16.75,17.69,16.16,15.41,16.78,18.75,19.06,18.56,19.94,21.59,20.75,18.53,17.47,18.22,18.78,17.53,17.38,20.16,22.19,22.16,21.97,23.81,25.44,24.84,22.94,22.59,23.0,21.69,19.78,18.91,19.75,19.84,18.44,17.78,19.94,21.94,22.19,21.97,23.78,26.16,26.5,25.91,26.44,27.81,27.16,24.75,23.03,23.81,24.34,23.19,22.78,23.88,25.03,23.22,20.41,19.62,20.22,20.0,19.56,21.38,24.78,26.97,27.25,27.47,29.41,30.28,29.12,27.94,29.16,31.03,30.78,30.06,31.09,32.31,30.94,27.12,23.41,21.22,18.28,14.41,12.31,13.47,15.25,15.06,15.34,17.97,21.56,23.12,24.34,26.88,30.53,32.59,32.72,33.16,34.34,34.03,30.91,27.66,27.03,26.5,24.12,21.62,20.97,21.06,19.41,16.78,15.97,17.12,18.12,18.28,19.72,23.53,26.44,26.78,25.91,26.59,26.84,24.47,20.91,19.09,18.44,16.47,13.72,12.53,13.28,13.16,11.41,10.5,12.34,14.34,14.62,14.53,16.34,18.41,18.5,17.44,17.88,20.19,20.97,20.12,20.69,23.03,24.56,23.75,23.62,25.09,26.69,25.84,23.88,23.81,24.31,22.53,19.53,18.12,18.5,17.94,16.47,16.28,18.5,20.28,19.66,18.84,20.66,22.62,22.97,22.75,23.94,25.09,24.0,20.62,18.75,19.31,19.84,19.56,20.56,23.88,26.22,25.44,23.75,24.06,24.31,22.5,19.91,18.81,18.72,17.38,13.97,11.34,11.03,9.59,6.91,5.34,7.03,9.5,10.38,10.62,13.0,15.97,16.91,16.16,17.0,18.91,19.78,18.84,18.47,20.28,21.06,19.44,18.06,19.06,20.31,20.0,18.84,20.09,21.81,21.78,19.94,19.69,20.78,20.72,19.16,18.06,19.09,19.97,18.97,18.31,20.94,24.41,26.38,27.81,30.62,34.62,36.19,35.31,34.75,35.0,34.25,31.25,28.84,28.72,28.75,27.25,25.75,27.06,29.66,29.69,28.12,27.31,27.12,25.38,22.09,20.41,20.78,20.72,18.06,16.0,16.5,16.75,15.41,13.66,13.81,14.88,14.44,12.66,12.97,15.03,16.25,15.34,15.38,17.16,18.22,16.47,14.72,15.19,15.88,14.56,12.31,11.72,12.44,11.97,10.12,9.75,11.09,11.09,8.84,7.16,8.19,9.59,9.44,9.06,11.28,14.38,15.41,15.0,16.38,18.31,18.31,16.22,15.72,17.38,18.75,17.81,17.38,18.38,19.28,17.28,14.91,15.06,16.5,16.59,15.91,17.03,19.62,20.94,20.25,20.34,22.12,23.62,22.47,21.19,22.0,22.72,20.94,18.16,17.78,18.41,17.25,14.69,13.41,13.41,12.72,10.22,9.12,10.84,12.97,12.62,12.06,13.19,14.75,13.16,10.66,9.78,10.88,11.0,10.12,11.22,14.5,17.09,16.94,17.12,18.84,20.44,19.22,17.38,17.53,18.44,16.5,13.38,11.97,11.84,11.28,9.53,9.34,11.53,13.28,12.56,12.06,13.53,15.5,15.31,14.78,16.47,19.53,20.19,19.28,19.5,20.88,20.66,18.22,16.5,16.5,16.34,13.56,11.09,11.56,13.16,13.19,12.81,14.5,17.72,18.84,18.12,18.88,20.56,20.84,18.34,16.09,16.06,16.66,15.72,15.06,16.94,19.34,19.34,17.56,17.38,18.09,17.31,14.31,12.16,12.34,11.78,8.75,6.19,6.44,6.88,5.19,3.34,4.12,5.91,5.75,4.62,5.34,7.94,9.59,9.5,9.78,12.03,13.5,11.75,9.75,10.53,11.56,10.5,9.38,10.38,12.91,12.88,11.47,11.56,13.44,14.94,14.84,15.12,17.56,18.72,16.75,14.31,13.69,13.97,12.28,9.94,9.47,10.41,9.91,7.69,6.72,7.88,8.38,6.62,5.66,7.38,9.5,9.88,10.22,13.59,17.81,19.22,19.12,19.53,21.03,20.69,18.34,17.38,18.78,20.03,18.94,18.38,19.91,21.16,19.38,16.59,15.03,14.94,12.59,8.88,6.59,6.66,5.81,3.22,2.62,5.19,7.81,8.56,9.56,12.69,16.22,16.75,16.16,17.16,19.22,19.06,17.78,17.69,19.31,19.78,17.88,16.22,16.47,16.16,13.44,9.72,9.0,9.56,8.72,8.03,9.47,12.72,14.22,13.78,14.0,16.5,17.66,16.59,15.88,17.19,18.16,17.09,15.72,16.38,18.12,18.06,16.09,15.47,16.47,16.12,14.41,13.72,15.97,18.19,17.56,16.91,18.12,19.0,17.16,14.62,14.5,15.72,15.16,12.59,11.69,12.72,12.41,11.0,11.0,13.56,15.72,15.78,15.16,15.97,16.94,15.66,13.72,13.31,25.91,24.41,24.41,25.97,27.06,27.12,26.59:31.41,32.5,34.88,35.75,34.03,32.09,31.5,30.06,26.06,22.5,22.25,22.88,22.72,22.44,24.78,28.31,30.28,29.69,29.78,30.84,30.84,28.91,27.88,29.44,31.38,30.81,30.0,31.34,32.75,31.59,28.94,27.69,27.59,26.91,25.53,26.25,29.41,32.59,32.84,33.03,35.19,36.72,35.84,34.09,34.03,34.62,33.28,30.69,29.94,30.69,30.5,28.34,27.56,28.62,29.41,28.47,27.66,29.47,31.53,31.81,31.38,32.91,35.5,36.09,34.91,34.41,34.69,33.47,30.03,27.5,27.69,28.19,27.0,25.81,26.84,28.66,28.59,27.84,29.62,32.75,34.31,33.91,34.34,36.16,37.31,35.88,35.28,37.28,38.97,38.66,37.56,38.25,39.59,38.56,35.69,34.34,34.56,33.56,31.38,30.66,32.38,33.88,32.53,31.0,31.09,30.66,27.66,24.31,23.28,24.22,24.16,23.47,24.91,28.12,30.66,31.03,32.31,35.16,37.91,37.31,36.31,36.72,37.44,35.62,32.88,32.38,33.0,32.41,30.22,29.31,30.44,31.34,29.56,28.94,30.09,31.16,29.59,28.12,28.69,29.97,29.47,27.94,28.16,30.62,31.97,31.75,32.38,34.56,35.22,32.94,30.75,31.34,32.62,31.56,30.41,31.12,32.19,30.59,27.56,26.09,26.0,25.25,23.22,23.0,25.22,27.91,28.28,28.75,31.59,34.66,34.94,34.84,36.22,37.88,37.5,35.12,33.69,33.97,33.72,31.41,29.84,30.38,30.22,27.28,24.22,24.06,25.56,25.56,25.84,28.31,32.34,34.66,34.62,35.28,37.84,39.28,38.59,38.66,40.97,42.5,40.81,37.94,36.56,35.25,31.66,27.62,25.41,25.22,24.38,22.41,21.72,24.03,26.66,27.34,28.25,31.69,34.81,34.62,33.16,33.12,34.59,34.28,33.06,33.44,35.72,36.03,33.84,31.69,31.5,31.12,28.38,25.97,26.47,27.38,26.38,24.84,25.16,27.03,27.53,26.59,26.41,27.84,28.19,25.62,23.69,24.5,25.72,25.12,24.78,26.88,30.22,31.19,31.38,33.12,36.31,37.31,36.22,35.31,35.97,35.81,33.0,30.44,30.62,31.22,29.5,27.97,28.34,30.0,29.28,27.38,26.78,28.12,28.56,27.38,27.16,29.0,30.38,28.78,26.91,27.25,28.59,27.62,25.62,25.44,26.03,24.34,20.97,19.31,19.75,19.38,17.5,16.0,17.09,17.62,15.47,12.97,13.19,14.47,14.22,13.44,14.97,18.06,19.62,19.56,20.09,22.97,24.81,24.34,24.31,26.94,29.19,29.25,29.09,30.5,32.97,33.09,31.62,31.81,33.41,33.47,31.62,30.69,31.75,32.0,29.94,27.88,28.16,28.19,25.62,22.69,22.22,23.0,22.5,21.12,21.78,24.56,26.22,26.31,27.47,30.81,33.78,34.09,33.62,35.0,36.28,35.28,33.0,32.62,33.47,32.47,29.91,28.38,28.84,28.09,25.38,22.56,22.78,23.66,23.25,23.41,26.31,30.19,31.72,31.44,32.81,34.94,35.03,33.31,32.88,34.31,35.56,34.91,34.12,34.81,35.06,32.56,29.16,28.16,28.62,27.41,25.03,23.75,24.03,23.66,21.38,20.66,22.81,24.44,23.88,22.97,24.06,25.69,25.12,24.16,25.41,27.0,26.84,24.66,23.5,24.12,24.19,22.53,21.75,23.59,24.97,23.84,22.91,24.19,26.16,26.19,24.88,24.94,26.03,25.34,23.28,22.5,23.66,24.5,23.25,22.28,23.75,25.0,24.12,22.38,22.62,23.41,22.38,20.44,20.12,21.12,21.62,19.81,19.16,20.16,20.88,19.66,18.75,20.62,22.88,23.78,23.38,24.53,26.66,26.09,23.69,22.94,23.78,23.97,22.06,21.34,23.34,24.88,24.62,24.03,25.31,26.19,24.88,22.38,21.47,21.97,20.78,18.03,16.53,16.38,15.44,12.41,10.0,10.91,12.47,12.59,13.03,15.38,18.41,19.69,19.84,21.31,24.06,25.31,24.12,23.19,23.97,24.19,21.78,19.44,19.19,19.28,17.31,14.69,14.03,14.16,12.5,9.84,9.12,10.62,11.53,11.19,11.84,14.69,16.78,16.38,15.44,16.12,17.22,16.47,15.25,16.28,18.59,19.28,17.97,17.53,18.59,18.59,16.5,14.66,14.62,14.69,12.09,9.5,9.47,10.38,9.78,8.03,7.66,8.56,8.91,7.47,8.0,11.47,14.75,15.66,15.97,17.53,18.66,16.81,14.28,14.16,15.12,14.38,12.78,12.84,14.41,14.78,13.28,12.38,13.75,14.28,12.56,11.03,11.34,12.62,12.09,11.06,11.88,13.84,14.03,12.62,12.66,14.22,15.12,14.25,13.94,15.53,17.12,15.97,14.47,14.81,16.22,15.5,14.38,14.5,16.22,16.56,15.25,15.12,16.75,17.69,16.16,15.41,16.78,18.75,19.06,18.56,19.94,21.59,20.75,18.53,17.47,18.22,18.78,17.53,17.38,20.16,22.19,22.16,21.97,23.81,25.44,24.84,22.94,22.59,23.0,21.69,19.78,18.91,19.75,19.84,18.44,17.78,19.94,21.94,22.19,21.97,23.78,26.16,26.5,25.91,26.44,27.81,27.16,24.75,23.03,23.81,24.34,23.19,22.78,23.88,25.03,23.22,20.41,19.62,20.22,20.0,19.56,21.38,24.78,26.97,27.25,27.47,29.41,30.28,29.12,27.94,29.16,31.03,30.78,30.06,31.09,32.31,30.94,27.12,23.41,21.22,18.28,14.41,12.31,13.47,15.25,15.06,15.34,17.97,21.56,23.12,24.34,26.88,30.53,32.59,32.72,33.16,34.34,34.03,30.91,27.66,27.03,26.5,24.12,21.62,20.97,21.06,19.41,16.78,15.97,17.12,18.12,18.28,19.72,23.53,26.44,26.78,25.91,26.59,26.84,24.47,20.91,19.09,18.44,16.47,13.72,12.53,13.28,13.16,11.41,10.5,12.34,14.34,14.62,14.53,16.34,18.41,18.5,17.44,17.88,20.19,20.97,20.12,20.69,23.03,24.56,23.75,23.62,25.09,26.69,25.84,23.88,23.81,24.31,22.53,19.53,18.12,18.5,17.94,16.47,16.28,18.5,20.28,19.66,18.84,20.66,22.62,22.97,22.75,23.94,25.09,24.0,20.62,18.75,19.31,19.84,19.56,20.56,23.88,26.22,25.44,23.75,24.06,24.31,22.5,19.91,18.81,18.72,17.38,13.97,11.34,11.03,9.59,6.91,5.34,7.03,9.5,10.38,10.62,13.0,15.97,16.91,16.16,17.0,18.91,19.78,18.84,18.47,20.28,21.06,19.44,18.06,19.06,20.31,20.0,18.84,20.09,21.81,21.78,19.94,19.69,20.78,20.72,19.16,18.06,19.09,19.97,18.97,18.31,20.94,24.41,26.38,27.81,30.62,34.62,36.19,35.31,34.75,35.0,34.25,31.25,28.84,28.72,28.75,27.25,25.75,27.06,29.66,29.69,28.12,27.31,27.12,25.38,22.09,20.41,20.78,20.72,18.06,16.0,16.5,16.75,15.41,13.66,13.81,14.88,14.44,12.66,12.97,15.03,16.25,15.34,15.38,17.16,18.22,16.47,14.72,15.19,15.88,14.56,12.31,11.72,12.44,11.97,10.12,9.75,11.09,11.09,8.84,7.16,8.19,9.59,9.44,9.06,11.28,14.38,15.41,15.0,16.38,18.31,18.31,16.22,15.72,17.38,18.75,17.81,17.38,18.38,19.28,17.28,14.91,15.06,16.5,16.59,15.91,17.03,19.62,20.94,20.25,20.34,22.12,23.62,22.47,21.19,22.0,22.72,20.94,18.16,17.78,18.41,17.25,14.69,13.41,13.41,12.72,10.22,9.12,10.84,12.97,12.62,12.06,13.19,14.75,13.16,10.66,9.78,10.88,11.0,10.12,11.22,14.5,17.09,16.94,17.12,18.84,20.44,19.22,17.38,17.53,18.44,16.5,13.38,11.97,11.84,11.28,9.53,9.34,11.53,13.28,12.56,12.06,13.53,15.5,15.31,14.78,16.47,19.53,20.19,19.28,19.5,20.88,20.66,18.22,16.5,16.5,16.34,13.56,11.09,11.56,13.16,13.19,12.81,14.5,17.72,18.84,18.12,18.88,20.56,20.84,18.34,16.09,16.06,16.66,15.72,15.06,16.94,19.34,19.34,17.56,17.38,18.09,17.31,14.31,12.16,12.34,11.78,8.75,6.19,6.44,6.88,5.19,3.34,4.12,5.91,5.75,4.62,5.34,7.94,9.59,9.5,9.78,12.03,13.5,11.75,9.75,10.53,11.56,10.5,9.38,10.38,12.91,12.88,11.47,11.56,13.44,14.94,14.84,15.12,17.56,18.72,16.75,14.31,13.69,13.97,12.28,9.94,9.47,10.41,9.91,7.69,6.72,7.88,8.38,6.62,5.66,7.38,9.5,9.88,10.22,13.59,17.81,19.22,19.12,19.53,21.03,20.69,18.34,17.38,18.78,20.03,18.94,18.38,19.91,21.16,19.38,16.59,15.03,14.94,12.59,8.88,6.59,6.66,5.81,3.22,2.62,5.19,7.81,8.56,9.56,12.69,16.22,16.75,16.16,17.16,19.22,19.06,17.78,17.69,19.31,19.78,17.88,16.22,16.47,16.16,13.44,9.72,9.0,9.56,8.72,8.03,9.47,12.72,14.22,13.78,14.0,16.5,17.66,16.59,15.88,17.19,18.16,17.09,15.72,16.38,18.12,18.06,16.09,15.47,16.47,16.12,14.41,13.72,15.97,18.19,17.56,16.91,18.12,19.0,17.16,14.62,14.5,15.72,15.16,12.59,11.69,12.72,12.41,11.0,11.0,13.56,15.72,15.78,15.16,15.97,16.94,15.66,13.72,13.31,25.91,24.41,24.41,25.97,27.06,27.12,26.59,27.31,27.94,27.03,25.41,25.5,26.09,26.41:30.06,26.06,22.5,22.25,22.88,22.72,22.44,24.78,28.31,30.28,29.69,29.78,30.84,30.84,28.91,27.88,29.44,31.38,30.81,30.0,31.34,32.75,31.59,28.94,27.69,27.59,26.91,25.53,26.25,29.41,32.59,32.84,33.03,35.19,36.72,35.84,34.09,34.03,34.62,33.28,30.69,29.94,30.69,30.5,28.34,27.56,28.62,29.41,28.47,27.66,29.47,31.53,31.81,31.38,32.91,35.5,36.09,34.91,34.41,34.69,33.47,30.03,27.5,27.69,28.19,27.0,25.81,26.84,28.66,28.59,27.84,29.62,32.75,34.31,33.91,34.34,36.16,37.31,35.88,35.28,37.28,38.97,38.66,37.56,38.25,39.59,38.56,35.69,34.34,34.56,33.56,31.38,30.66,32.38,33.88,32.53,31.0,31.09,30.66,27.66,24.31,23.28,24.22,24.16,23.47,24.91,28.12,30.66,31.03,32.31,35.16,37.91,37.31,36.31,36.72,37.44,35.62,32.88,32.38,33.0,32.41,30.22,29.31,30.44,31.34,29.56,28.94,30.09,31.16,29.59,28.12,28.69,29.97,29.47,27.94,28.16,30.62,31.97,31.75,32.38,34.56,35.22,32.94,30.75,31.34,32.62,31.56,30.41,31.12,32.19,30.59,27.56,26.09,26.0,25.25,23.22,23.0,25.22,27.91,28.28,28.75,31.59,34.66,34.94,34.84,36.22,37.88,37.5,35.12,33.69,33.97,33.72,31.41,29.84,30.38,30.22,27.28,24.22,24.06,25.56,25.56,25.84,28.31,32.34,34.66,34.62,35.28,37.84,39.28,38.59,38.66,40.97,42.5,40.81,37.94,36.56,35.25,31.66,27.62,25.41,25.22,24.38,22.41,21.72,24.03,26.66,27.34,28.25,31.69,34.81,34.62,33.16,33.12,34.59,34.28,33.06,33.44,35.72,36.03,33.84,31.69,31.5,31.12,28.38,25.97,26.47,27.38,26.38,24.84,25.16,27.03,27.53,26.59,26.41,27.84,28.19,25.62,23.69,24.5,25.72,25.12,24.78,26.88,30.22,31.19,31.38,33.12,36.31,37.31,36.22,35.31,35.97,35.81,33.0,30.44,30.62,31.22,29.5,27.97,28.34,30.0,29.28,27.38,26.78,28.12,28.56,27.38,27.16,29.0,30.38,28.78,26.91,27.25,28.59,27.62,25.62,25.44,26.03,24.34,20.97,19.31,19.75,19.38,17.5,16.0,17.09,17.62,15.47,12.97,13.19,14.47,14.22,13.44,14.97,18.06,19.62,19.56,20.09,22.97,24.81,24.34,24.31,26.94,29.19,29.25,29.09,30.5,32.97,33.09,31.62,31.81,33.41,33.47,31.62,30.69,31.75,32.0,29.94,27.88,28.16,28.19,25.62,22.69,22.22,23.0,22.5,21.12,21.78,24.56,26.22,26.31,27.47,30.81,33.78,34.09,33.62,35.0,36.28,35.28,33.0,32.62,33.47,32.47,29.91,28.38,28.84,28.09,25.38,22.56,22.78,23.66,23.25,23.41,26.31,30.19,31.72,31.44,32.81,34.94,35.03,33.31,32.88,34.31,35.56,34.91,34.12,34.81,35.06,32.56,29.16,28.16,28.62,27.41,25.03,23.75,24.03,23.66,21.38,20.66,22.81,24.44,23.88,22.97,24.06,25.69,25.12,24.16,25.41,27.0,26.84,24.66,23.5,24.12,24.19,22.53,21.75,23.59,24.97,23.84,22.91,24.19,26.16,26.19,24.88,24.94,26.03,25.34,23.28,22.5,23.66,24.5,23.25,22.28,23.75,25.0,24.12,22.38,22.62,23.41,22.38,20.44,20.12,21.12,21.62,19.81,19.16,20.16,20.88,19.66,18.75,20.62,22.88,23.78,23.38,24.53,26.66,26.09,23.69,22.94,23.78,23.97,22.06,21.34,23.34,24.88,24.62,24.03,25.31,26.19,24.88,22.38,21.47,21.97,20.78,18.03,16.53,16.38,15.44,12.41,10.0,10.91,12.47,12.59,13.03,15.38,18.41,19.69,19.84,21.31,24.06,25.31,24.12,23.19,23.97,24.19,21.78,19.44,19.19,19.28,17.31,14.69,14.03,14.16,12.5,9.84,9.12,10.62,11.53,11.19,11.84,14.69,16.78,16.38,15.44,16.12,17.22,16.47,15.25,16.28,18.59,19.28,17.97,17.53,18.59,18.59,16.5,14.66,14.62,14.69,12.09,9.5,9.47,10.38,9.78,8.03,7.66,8.56,8.91,7.47,8.0,11.47,14.75,15.66,15.97,17.53,18.66,16.81,14.28,14.16,15.12,14.38,12.78,12.84,14.41,14.78,13.28,12.38,13.75,14.28,12.56,11.03,11.34,12.62,12.09,11.06,11.88,13.84,14.03,12.62,12.66,14.22,15.12,14.25,13.94,15.53,17.12,15.97,14.47,14.81,16.22,15.5,14.38,14.5,16.22,16.56,15.25,15.12,16.75,17.69,16.16,15.41,16.78,18.75,19.06,18.56,19.94,21.59,20.75,18.53,17.47,18.22,18.78,17.53,17.38,20.16,22.19,22.16,21.97,23.81,25.44,24.84,22.94,22.59,23.0,21.69,19.78,18.91,19.75,19.84,18.44,17.78,19.94,21.94,22.19,21.97,23.78,26.16,26.5,25.91,26.44,27.81,27.16,24.75,23.03,23.81,24.34,23.19,22.78,23.88,25.03,23.22,20.41,19.62,20.22,20.0,19.56,21.38,24.78,26.97,27.25,27.47,29.41,30.28,29.12,27.94,29.16,31.03,30.78,30.06,31.09,32.31,30.94,27.12,23.41,21.22,18.28,14.41,12.31,13.47,15.25,15.06,15.34,17.97,21.56,23.12,24.34,26.88,30.53,32.59,32.72,33.16,34.34,34.03,30.91,27.66,27.03,26.5,24.12,21.62,20.97,21.06,19.41,16.78,15.97,17.12,18.12,18.28,19.72,23.53,26.44,26.78,25.91,26.59,26.84,24.47,20.91,19.09,18.44,16.47,13.72,12.53,13.28,13.16,11.41,10.5,12.34,14.34,14.62,14.53,16.34,18.41,18.5,17.44,17.88,20.19,20.97,20.12,20.69,23.03,24.56,23.75,23.62,25.09,26.69,25.84,23.88,23.81,24.31,22.53,19.53,18.12,18.5,17.94,16.47,16.28,18.5,20.28,19.66,18.84,20.66,22.62,22.97,22.75,23.94,25.09,24.0,20.62,18.75,19.31,19.84,19.56,20.56,23.88,26.22,25.44,23.75,24.06,24.31,22.5,19.91,18.81,18.72,17.38,13.97,11.34,11.03,9.59,6.91,5.34,7.03,9.5,10.38,10.62,13.0,15.97,16.91,16.16,17.0,18.91,19.78,18.84,18.47,20.28,21.06,19.44,18.06,19.06,20.31,20.0,18.84,20.09,21.81,21.78,19.94,19.69,20.78,20.72,19.16,18.06,19.09,19.97,18.97,18.31,20.94,24.41,26.38,27.81,30.62,34.62,36.19,35.31,34.75,35.0,34.25,31.25,28.84,28.72,28.75,27.25,25.75,27.06,29.66,29.69,28.12,27.31,27.12,25.38,22.09,20.41,20.78,20.72,18.06,16.0,16.5,16.75,15.41,13.66,13.81,14.88,14.44,12.66,12.97,15.03,16.25,15.34,15.38,17.16,18.22,16.47,14.72,15.19,15.88,14.56,12.31,11.72,12.44,11.97,10.12,9.75,11.09,11.09,8.84,7.16,8.19,9.59,9.44,9.06,11.28,14.38,15.41,15.0,16.38,18.31,18.31,16.22,15.72,17.38,18.75,17.81,17.38,18.38,19.28,17.28,14.91,15.06,16.5,16.59,15.91,17.03,19.62,20.94,20.25,20.34,22.12,23.62,22.47,21.19,22.0,22.72,20.94,18.16,17.78,18.41,17.25,14.69,13.41,13.41,12.72,10.22,9.12,10.84,12.97,12.62,12.06,13.19,14.75,13.16,10.66,9.78,10.88,11.0,10.12,11.22,14.5,17.09,16.94,17.12,18.84,20.44,19.22,17.38,17.53,18.44,16.5,13.38,11.97,11.84,11.28,9.53,9.34,11.53,13.28,12.56,12.06,13.53,15.5,15.31,14.78,16.47,19.53,20.19,19.28,19.5,20.88,20.66,18.22,16.5,16.5,16.34,13.56,11.09,11.56,13.16,13.19,12.81,14.5,17.72,18.84,18.12,18.88,20.56,20.84,18.34,16.09,16.06,16.66,15.72,15.06,16.94,19.34,19.34,17.56,17.38,18.09,17.31,14.31,12.16,12.34,11.78,8.75,6.19,6.44,6.88,5.19,3.34,4.12,5.91,5.75,4.62,5.34,7.94,9.59,9.5,9.78,12.03,13.5,11.75,9.75,10.53,11.56,10.5,9.38,10.38,12.91,12.88,11.47,11.56,13.44,14.94,14.84,15.12,17.56,18.72,16.75,14.31,13.69,13.97,12.28,9.94,9.47,10.41,9.91,7.69,6.72,7.88,8.38,6.62,5.66,7.38,9.5,9.88,10.22,13.59,17.81,19.22,19.12,19.53,21.03,20.69,18.34,17.38,18.78,20.03,18.94,18.38,19.91,21.16,19.38,16.59,15.03,14.94,12.59,8.88,6.59,6.66,5.81,3.22,2.62,5.19,7.81,8.56,9.56,12.69,16.22,16.75,16.16,17.16,19.22,19.06,17.78,17.69,19.31,19.78,17.88,16.22,16.47,16.16,13.44,9.72,9.0,9.56,8.72,8.03,9.47,12.72,14.22,13.78,14.0,16.5,17.66,16.59,15.88,17.19,18.16,17.09,15.72,16.38,18.12,18.06,16.09,15.47,16.47,16.12,14.41,13.72,15.97,18.19,17.56,16.91,18.12,19.0,17.16,14.62,14.5,15.72,15.16,12.59,11.69,12.72,12.41,11.0,11.0,13.56,15.72,15.78,15.16,15.97,16.94,15.66,13.72,13.31,25.91,24.41,24.41,25.97,27.06,27.12,26.59,27.31,27.94,27.03,25.41,25.5,26.09,26.41,26.38,28.0,30.56,31.75,30.78,29.12,27.81:24.78,28.31,30.28,29.69,29.78,30.84,30.84,28.91,27.88,29.44,31.38,30.81,30.0,31.34,32.75,31.59,28.94,27.69,27.59,26.91,25.53,26.25,29.41,32.59,32.84,33.03,35.19,36.72,35.84,34.09,34.03,34.62,33.28,30.69,29.94,30.69,30.5,28.34,27.56,28.62,29.41,28.47,27.66,29.47,31.53,31.81,31.38,32.91,35.5,36.09,34.91,34.41,34.69,33.47,30.03,27.5,27.69,28.19,27.0,25.81,26.84,28.66,28.59,27.84,29.62,32.75,34.31,33.91,34.34,36.16,37.31,35.88,35.28,37.28,38.97,38.66,37.56,38.25,39.59,38.56,35.69,34.34,34.56,33.56,31.38,30.66,32.38,33.88,32.53,31.0,31.09,30.66,27.66,24.31,23.28,24.22,24.16,23.47,24.91,28.12,30.66,31.03,32.31,35.16,37.91,37.31,36.31,36.72,37.44,35.62,32.88,32.38,33.0,32.41,30.22,29.31,30.44,31.34,29.56,28.94,30.09,31.16,29.59,28.12,28.69,29.97,29.47,27.94,28.16,30.62,31.97,31.75,32.38,34.56,35.22,32.94,30.75,31.34,32.62,31.56,30.41,31.12,32.19,30.59,27.56,26.09,26.0,25.25,23.22,23.0,25.22,27.91,28.28,28.75,31.59,34.66,34.94,34.84,36.22,37.88,37.5,35.12,33.69,33.97,33.72,31.41,29.84,30.38,30.22,27.28,24.22,24.06,25.56,25.56,25.84,28.31,32.34,34.66,34.62,35.28,37.84,39.28,38.59,38.66,40.97,42.5,40.81,37.94,36.56,35.25,31.66,27.62,25.41,25.22,24.38,22.41,21.72,24.03,26.66,27.34,28.25,31.69,34.81,34.62,33.16,33.12,34.59,34.28,33.06,33.44,35.72,36.03,33.84,31.69,31.5,31.12,28.38,25.97,26.47,27.38,26.38,24.84,25.16,27.03,27.53,26.59,26.41,27.84,28.19,25.62,23.69,24.5,25.72,25.12,24.78,26.88,30.22,31.19,31.38,33.12,36.31,37.31,36.22,35.31,35.97,35.81,33.0,30.44,30.62,31.22,29.5,27.97,28.34,30.0,29.28,27.38,26.78,28.12,28.56,27.38,27.16,29.0,30.38,28.78,26.91,27.25,28.59,27.62,25.62,25.44,26.03,24.34,20.97,19.31,19.75,19.38,17.5,16.0,17.09,17.62,15.47,12.97,13.19,14.47,14.22,13.44,14.97,18.06,19.62,19.56,20.09,22.97,24.81,24.34,24.31,26.94,29.19,29.25,29.09,30.5,32.97,33.09,31.62,31.81,33.41,33.47,31.62,30.69,31.75,32.0,29.94,27.88,28.16,28.19,25.62,22.69,22.22,23.0,22.5,21.12,21.78,24.56,26.22,26.31,27.47,30.81,33.78,34.09,33.62,35.0,36.28,35.28,33.0,32.62,33.47,32.47,29.91,28.38,28.84,28.09,25.38,22.56,22.78,23.66,23.25,23.41,26.31,30.19,31.72,31.44,32.81,34.94,35.03,33.31,32.88,34.31,35.56,34.91,34.12,34.81,35.06,32.56,29.16,28.16,28.62,27.41,25.03,23.75,24.03,23.66,21.38,20.66,22.81,24.44,23.88,22.97,24.06,25.69,25.12,24.16,25.41,27.0,26.84,24.66,23.5,24.12,24.19,22.53,21.75,23.59,24.97,23.84,22.91,24.19,26.16,26.19,24.88,24.94,26.03,25.34,23.28,22.5,23.66,24.5,23.25,22.28,23.75,25.0,24.12,22.38,22.62,23.41,22.38,20.44,20.12,21.12,21.62,19.81,19.16,20.16,20.88,19.66,18.75,20.62,22.88,23.78,23.38,24.53,26.66,26.09,23.69,22.94,23.78,23.97,22.06,21.34,23.34,24.88,24.62,24.03,25.31,26.19,24.88,22.38,21.47,21.97,20.78,18.03,16.53,16.38,15.44,12.41,10.0,10.91,12.47,12.59,13.03,15.38,18.41,19.69,19.84,21.31,24.06,25.31,24.12,23.19,23.97,24.19,21.78,19.44,19.19,19.28,17.31,14.69,14.03,14.16,12.5,9.84,9.12,10.62,11.53,11.19,11.84,14.69,16.78,16.38,15.44,16.12,17.22,16.47,15.25,16.28,18.59,19.28,17.97,17.53,18.59,18.59,16.5,14.66,14.62,14.69,12.09,9.5,9.47,10.38,9.78,8.03,7.66,8.56,8.91,7.47,8.0,11.47,14.75,15.66,15.97,17.53,18.66,16.81,14.28,14.16,15.12,14.38,12.78,12.84,14.41,14.78,13.28,12.38,13.75,14.28,12.56,11.03,11.34,12.62,12.09,11.06,11.88,13.84,14.03,12.62,12.66,14.22,15.12,14.25,13.94,15.53,17.12,15.97,14.47,14.81,16.22,15.5,14.38,14.5,16.22,16.56,15.25,15.12,16.75,17.69,16.16,15.41,16.78,18.75,19.06,18.56,19.94,21.59,20.75,18.53,17.47,18.22,18.78,17.53,17.38,20.16,22.19,22.16,21.97,23.81,25.44,24.84,22.94,22.59,23.0,21.69,19.78,18.91,19.75,19.84,18.44,17.78,19.94,21.94,22.19,21.97,23.78,26.16,26.5,25.91,26.44,27.81,27.16,24.75,23.03,23.81,24.34,23.19,22.78,23.88,25.03,23.22,20.41,19.62,20.22,20.0,19.56,21.38,24.78,26.97,27.25,27.47,29.41,30.28,29.12,27.94,29.16,31.03,30.78,30.06,31.09,32.31,30.94,27.12,23.41,21.22,18.28,14.41,12.31,13.47,15.25,15.06,15.34,17.97,21.56,23.12,24.34,26.88,30.53,32.59,32.72,33.16,34.34,34.03,30.91,27.66,27.03,26.5,24.12,21.62,20.97,21.06,19.41,16.78,15.97,17.12,18.12,18.28,19.72,23.53,26.44,26.78,25.91,26.59,26.84,24.47,20.91,19.09,18.44,16.47,13.72,12.53,13.28,13.16,11.41,10.5,12.34,14.34,14.62,14.53,16.34,18.41,18.5,17.44,17.88,20.19,20.97,20.12,20.69,23.03,24.56,23.75,23.62,25.09,26.69,25.84,23.88,23.81,24.31,22.53,19.53,18.12,18.5,17.94,16.47,16.28,18.5,20.28,19.66,18.84,20.66,22.62,22.97,22.75,23.94,25.09,24.0,20.62,18.75,19.31,19.84,19.56,20.56,23.88,26.22,25.44,23.75,24.06,24.31,22.5,19.91,18.81,18.72,17.38,13.97,11.34,11.03,9.59,6.91,5.34,7.03,9.5,10.38,10.62,13.0,15.97,16.91,16.16,17.0,18.91,19.78,18.84,18.47,20.28,21.06,19.44,18.06,19.06,20.31,20.0,18.84,20.09,21.81,21.78,19.94,19.69,20.78,20.72,19.16,18.06,19.09,19.97,18.97,18.31,20.94,24.41,26.38,27.81,30.62,34.62,36.19,35.31,34.75,35.0,34.25,31.25,28.84,28.72,28.75,27.25,25.75,27.06,29.66,29.69,28.12,27.31,27.12,25.38,22.09,20.41,20.78,20.72,18.06,16.0,16.5,16.75,15.41,13.66,13.81,14.88,14.44,12.66,12.97,15.03,16.25,15.34,15.38,17.16,18.22,16.47,14.72,15.19,15.88,14.56,12.31,11.72,12.44,11.97,10.12,9.75,11.09,11.09,8.84,7.16,8.19,9.59,9.44,9.06,11.28,14.38,15.41,15.0,16.38,18.31,18.31,16.22,15.72,17.38,18.75,17.81,17.38,18.38,19.28,17.28,14.91,15.06,16.5,16.59,15.91,17.03,19.62,20.94,20.25,20.34,22.12,23.62,22.47,21.19,22.0,22.72,20.94,18.16,17.78,18.41,17.25,14.69,13.41,13.41,12.72,10.22,9.12,10.84,12.97,12.62,12.06,13.19,14.75,13.16,10.66,9.78,10.88,11.0,10.12,11.22,14.5,17.09,16.94,17.12,18.84,20.44,19.22,17.38,17.53,18.44,16.5,13.38,11.97,11.84,11.28,9.53,9.34,11.53,13.28,12.56,12.06,13.53,15.5,15.31,14.78,16.47,19.53,20.19,19.28,19.5,20.88,20.66,18.22,16.5,16.5,16.34,13.56,11.09,11.56,13.16,13.19,12.81,14.5,17.72,18.84,18.12,18.88,20.56,20.84,18.34,16.09,16.06,16.66,15.72,15.06,16.94,19.34,19.34,17.56,17.38,18.09,17.31,14.31,12.16,12.34,11.78,8.75,6.19,6.44,6.88,5.19,3.34,4.12,5.91,5.75,4.62,5.34,7.94,9.59,9.5,9.78,12.03,13.5,11.75,9.75,10.53,11.56,10.5,9.38,10.38,12.91,12.88,11.47,11.56,13.44,14.94,14.84,15.12,17.56,18.72,16.75,14.31,13.69,13.97,12.28,9.94,9.47,10.41,9.91,7.69,6.72,7.88,8.38,6.62,5.66,7.38,9.5,9.88,10.22,13.59,17.81,19.22,19.12,19.53,21.03,20.69,18.34,17.38,18.78,20.03,18.94,18.38,19.91,21.16,19.38,16.59,15.03,14.94,12.59,8.88,6.59,6.66,5.81,3.22,2.62,5.19,7.81,8.56,9.56,12.69,16.22,16.75,16.16,17.16,19.22,19.06,17.78,17.69,19.31,19.78,17.88,16.22,16.47,16.16,13.44,9.72,9.0,9.56,8.72,8.03,9.47,12.72,14.22,13.78,14.0,16.5,17.66,16.59,15.88,17.19,18.16,17.09,15.72,16.38,18.12,18.06,16.09,15.47,16.47,16.12,14.41,13.72,15.97,18.19,17.56,16.91,18.12,19.0,17.16,14.62,14.5,15.72,15.16,12.59,11.69,12.72,12.41,11.0,11.0,13.56,15.72,15.78,15.16,15.97,16.94,15.66,13.72,13.31,25.91,24.41,24.41,25.97,27.06,27.12,26.59,27.31,27.94,27.03,25.41,25.5,26.09,26.41,26.38,28.0,30.56,31.75,30.78,29.12,27.81,25.5,21.66,18.03,16.66,16.38,15.97,16.38:28.91,27.88,29.44,31.38,30.81,30.0,31.34,32.75,31.59,28.94,27.69,27.59,26.91,25.53,26.25,29.41,32.59,32.84,33.03,35.19,36.72,35.84,34.09,34.03,34.62,33.28,30.69,29.94,30.69,30.5,28.34,27.56,28.62,29.41,28.47,27.66,29.47,31.53,31.81,31.38,32.91,35.5,36.09,34.91,34.41,34.69,33.47,30.03,27.5,27.69,28.19,27.0,25.81,26.84,28.66,28.59,27.84,29.62,32.75,34.31,33.91,34.34,36.16,37.31,35.88,35.28,37.28,38.97,38.66,37.56,38.25,39.59,38.56,35.69,34.34,34.56,33.56,31.38,30.66,32.38,33.88,32.53,31.0,31.09,30.66,27.66,24.31,23.28,24.22,24.16,23.47,24.91,28.12,30.66,31.03,32.31,35.16,37.91,37.31,36.31,36.72,37.44,35.62,32.88,32.38,33.0,32.41,30.22,29.31,30.44,31.34,29.56,28.94,30.09,31.16,29.59,28.12,28.69,29.97,29.47,27.94,28.16,30.62,31.97,31.75,32.38,34.56,35.22,32.94,30.75,31.34,32.62,31.56,30.41,31.12,32.19,30.59,27.56,26.09,26.0,25.25,23.22,23.0,25.22,27.91,28.28,28.75,31.59,34.66,34.94,34.84,36.22,37.88,37.5,35.12,33.69,33.97,33.72,31.41,29.84,30.38,30.22,27.28,24.22,24.06,25.56,25.56,25.84,28.31,32.34,34.66,34.62,35.28,37.84,39.28,38.59,38.66,40.97,42.5,40.81,37.94,36.56,35.25,31.66,27.62,25.41,25.22,24.38,22.41,21.72,24.03,26.66,27.34,28.25,31.69,34.81,34.62,33.16,33.12,34.59,34.28,33.06,33.44,35.72,36.03,33.84,31.69,31.5,31.12,28.38,25.97,26.47,27.38,26.38,24.84,25.16,27.03,27.53,26.59,26.41,27.84,28.19,25.62,23.69,24.5,25.72,25.12,24.78,26.88,30.22,31.19,31.38,33.12,36.31,37.31,36.22,35.31,35.97,35.81,33.0,30.44,30.62,31.22,29.5,27.97,28.34,30.0,29.28,27.38,26.78,28.12,28.56,27.38,27.16,29.0,30.38,28.78,26.91,27.25,28.59,27.62,25.62,25.44,26.03,24.34,20.97,19.31,19.75,19.38,17.5,16.0,17.09,17.62,15.47,12.97,13.19,14.47,14.22,13.44,14.97,18.06,19.62,19.56,20.09,22.97,24.81,24.34,24.31,26.94,29.19,29.25,29.09,30.5,32.97,33.09,31.62,31.81,33.41,33.47,31.62,30.69,31.75,32.0,29.94,27.88,28.16,28.19,25.62,22.69,22.22,23.0,22.5,21.12,21.78,24.56,26.22,26.31,27.47,30.81,33.78,34.09,33.62,35.0,36.28,35.28,33.0,32.62,33.47,32.47,29.91,28.38,28.84,28.09,25.38,22.56,22.78,23.66,23.25,23.41,26.31,30.19,31.72,31.44,32.81,34.94,35.03,33.31,32.88,34.31,35.56,34.91,34.12,34.81,35.06,32.56,29.16,28.16,28.62,27.41,25.03,23.75,24.03,23.66,21.38,20.66,22.81,24.44,23.88,22.97,24.06,25.69,25.12,24.16,25.41,27.0,26.84,24.66,23.5,24.12,24.19,22.53,21.75,23.59,24.97,23.84,22.91,24.19,26.16,26.19,24.88,24.94,26.03,25.34,23.28,22.5,23.66,24.5,23.25,22.28,23.75,25.0,24.12,22.38,22.62,23.41,22.38,20.44,20.12,21.12,21.62,19.81,19.16,20.16,20.88,19.66,18.75,20.62,22.88,23.78,23.38,24.53,26.66,26.09,23.69,22.94,23.78,23.97,22.06,21.34,23.34,24.88,24.62,24.03,25.31,26.19,24.88,22.38,21.47,21.97,20.78,18.03,16.53,16.38,15.44,12.41,10.0,10.91,12.47,12.59,13.03,15.38,18.41,19.69,19.84,21.31,24.06,25.31,24.12,23.19,23.97,24.19,21.78,19.44,19.19,19.28,17.31,14.69,14.03,14.16,12.5,9.84,9.12,10.62,11.53,11.19,11.84,14.69,16.78,16.38,15.44,16.12,17.22,16.47,15.25,16.28,18.59,19.28,17.97,17.53,18.59,18.59,16.5,14.66,14.62,14.69,12.09,9.5,9.47,10.38,9.78,8.03,7.66,8.56,8.91,7.47,8.0,11.47,14.75,15.66,15.97,17.53,18.66,16.81,14.28,14.16,15.12,14.38,12.78,12.84,14.41,14.78,13.28,12.38,13.75,14.28,12.56,11.03,11.34,12.62,12.09,11.06,11.88,13.84,14.03,12.62,12.66,14.22,15.12,14.25,13.94,15.53,17.12,15.97,14.47,14.81,16.22,15.5,14.38,14.5,16.22,16.56,15.25,15.12,16.75,17.69,16.16,15.41,16.78,18.75,19.06,18.56,19.94,21.59,20.75,18.53,17.47,18.22,18.78,17.53,17.38,20.16,22.19,22.16,21.97,23.81,25.44,24.84,22.94,22.59,23.0,21.69,19.78,18.91,19.75,19.84,18.44,17.78,19.94,21.94,22.19,21.97,23.78,26.16,26.5,25.91,26.44,27.81,27.16,24.75,23.03,23.81,24.34,23.19,22.78,23.88,25.03,23.22,20.41,19.62,20.22,20.0,19.56,21.38,24.78,26.97,27.25,27.47,29.41,30.28,29.12,27.94,29.16,31.03,30.78,30.06,31.09,32.31,30.94,27.12,23.41,21.22,18.28,14.41,12.31,13.47,15.25,15.06,15.34,17.97,21.56,23.12,24.34,26.88,30.53,32.59,32.72,33.16,34.34,34.03,30.91,27.66,27.03,26.5,24.12,21.62,20.97,21.06,19.41,16.78,15.97,17.12,18.12,18.28,19.72,23.53,26.44,26.78,25.91,26.59,26.84,24.47,20.91,19.09,18.44,16.47,13.72,12.53,13.28,13.16,11.41,10.5,12.34,14.34,14.62,14.53,16.34,18.41,18.5,17.44,17.88,20.19,20.97,20.12,20.69,23.03,24.56,23.75,23.62,25.09,26.69,25.84,23.88,23.81,24.31,22.53,19.53,18.12,18.5,17.94,16.47,16.28,18.5,20.28,19.66,18.84,20.66,22.62,22.97,22.75,23.94,25.09,24.0,20.62,18.75,19.31,19.84,19.56,20.56,23.88,26.22,25.44,23.75,24.06,24.31,22.5,19.91,18.81,18.72,17.38,13.97,11.34,11.03,9.59,6.91,5.34,7.03,9.5,10.38,10.62,13.0,15.97,16.91,16.16,17.0,18.91,19.78,18.84,18.47,20.28,21.06,19.44,18.06,19.06,20.31,20.0,18.84,20.09,21.81,21.78,19.94,19.69,20.78,20.72,19.16,18.06,19.09,19.97,18.97,18.31,20.94,24.41,26.38,27.81,30.62,34.62,36.19,35.31,34.75,35.0,34.25,31.25,28.84,28.72,28.75,27.25,25.75,27.06,29.66,29.69,28.12,27.31,27.12,25.38,22.09,20.41,20.78,20.72,18.06,16.0,16.5,16.75,15.41,13.66,13.81,14.88,14.44,12.66,12.97,15.03,16.25,15.34,15.38,17.16,18.22,16.47,14.72,15.19,15.88,14.56,12.31,11.72,12.44,11.97,10.12,9.75,11.09,11.09,8.84,7.16,8.19,9.59,9.44,9.06,11.28,14.38,15.41,15.0,16.38,18.31,18.31,16.22,15.72,17.38,18.75,17.81,17.38,18.38,19.28,17.28,14.91,15.06,16.5,16.59,15.91,17.03,19.62,20.94,20.25,20.34,22.12,23.62,22.47,21.19,22.0,22.72,20.94,18.16,17.78,18.41,17.25,14.69,13.41,13.41,12.72,10.22,9.12,10.84,12.97,12.62,12.06,13.19,14.75,13.16,10.66,9.78,10.88,11.0,10.12,11.22,14.5,17.09,16.94,17.12,18.84,20.44,19.22,17.38,17.53,18.44,16.5,13.38,11.97,11.84,11.28,9.53,9.34,11.53,13.28,12.56,12.06,13.53,15.5,15.31,14.78,16.47,19.53,20.19,19.28,19.5,20.88,20.66,18.22,16.5,16.5,16.34,13.56,11.09,11.56,13.16,13.19,12.81,14.5,17.72,18.84,18.12,18.88,20.56,20.84,18.34,16.09,16.06,16.66,15.72,15.06,16.94,19.34,19.34,17.56,17.38,18.09,17.31,14.31,12.16,12.34,11.78,8.75,6.19,6.44,6.88,5.19,3.34,4.12,5.91,5.75,4.62,5.34,7.94,9.59,9.5,9.78,12.03,13.5,11.75,9.75,10.53,11.56,10.5,9.38,10.38,12.91,12.88,11.47,11.56,13.44,14.94,14.84,15.12,17.56,18.72,16.75,14.31,13.69,13.97,12.28,9.94,9.47,10.41,9.91,7.69,6.72,7.88,8.38,6.62,5.66,7.38,9.5,9.88,10.22,13.59,17.81,19.22,19.12,19.53,21.03,20.69,18.34,17.38,18.78,20.03,18.94,18.38,19.91,21.16,19.38,16.59,15.03,14.94,12.59,8.88,6.59,6.66,5.81,3.22,2.62,5.19,7.81,8.56,9.56,12.69,16.22,16.75,16.16,17.16,19.22,19.06,17.78,17.69,19.31,19.78,17.88,16.22,16.47,16.16,13.44,9.72,9.0,9.56,8.72,8.03,9.47,12.72,14.22,13.78,14.0,16.5,17.66,16.59,15.88,17.19,18.16,17.09,15.72,16.38,18.12,18.06,16.09,15.47,16.47,16.12,14.41,13.72,15.97,18.19,17.56,16.91,18.12,19.0,17.16,14.62,14.5,15.72,15.16,12.59,11.69,12.72,12.41,11.0,11.0,13.56,15.72,15.78,15.16,15.97,16.94,15.66,13.72,13.31,25.91,24.41,24.41,25.97,27.06,27.12,26.59,27.31,27.94,27.03,25.41,25.5,26.09,26.41,26.38,28.0,30.56,31.75,30.78,29.12,27.81,25.5,21.66,18.03,16.66,16.38,15.97,16.38,19.09,23.06,25.81,26.75,27.75,28.78,28.84:32.75,31.59,28.94,27.69,27.59,26.91,25.53,26.25,29.41,32.59,32.84,33.03,35.19,36.72,35.84,34.09,34.03,34.62,33.28,30.69,29.94,30.69,30.5,28.34,27.56,28.62,29.41,28.47,27.66,29.47,31.53,31.81,31.38,32.91,35.5,36.09,34.91,34.41,34.69,33.47,30.03,27.5,27.69,28.19,27.0,25.81,26.84,28.66,28.59,27.84,29.62,32.75,34.31,33.91,34.34,36.16,37.31,35.88,35.28,37.28,38.97,38.66,37.56,38.25,39.59,38.56,35.69,34.34,34.56,33.56,31.38,30.66,32.38,33.88,32.53,31.0,31.09,30.66,27.66,24.31,23.28,24.22,24.16,23.47,24.91,28.12,30.66,31.03,32.31,35.16,37.91,37.31,36.31,36.72,37.44,35.62,32.88,32.38,33.0,32.41,30.22,29.31,30.44,31.34,29.56,28.94,30.09,31.16,29.59,28.12,28.69,29.97,29.47,27.94,28.16,30.62,31.97,31.75,32.38,34.56,35.22,32.94,30.75,31.34,32.62,31.56,30.41,31.12,32.19,30.59,27.56,26.09,26.0,25.25,23.22,23.0,25.22,27.91,28.28,28.75,31.59,34.66,34.94,34.84,36.22,37.88,37.5,35.12,33.69,33.97,33.72,31.41,29.84,30.38,30.22,27.28,24.22,24.06,25.56,25.56,25.84,28.31,32.34,34.66,34.62,35.28,37.84,39.28,38.59,38.66,40.97,42.5,40.81,37.94,36.56,35.25,31.66,27.62,25.41,25.22,24.38,22.41,21.72,24.03,26.66,27.34,28.25,31.69,34.81,34.62,33.16,33.12,34.59,34.28,33.06,33.44,35.72,36.03,33.84,31.69,31.5,31.12,28.38,25.97,26.47,27.38,26.38,24.84,25.16,27.03,27.53,26.59,26.41,27.84,28.19,25.62,23.69,24.5,25.72,25.12,24.78,26.88,30.22,31.19,31.38,33.12,36.31,37.31,36.22,35.31,35.97,35.81,33.0,30.44,30.62,31.22,29.5,27.97,28.34,30.0,29.28,27.38,26.78,28.12,28.56,27.38,27.16,29.0,30.38,28.78,26.91,27.25,28.59,27.62,25.62,25.44,26.03,24.34,20.97,19.31,19.75,19.38,17.5,16.0,17.09,17.62,15.47,12.97,13.19,14.47,14.22,13.44,14.97,18.06,19.62,19.56,20.09,22.97,24.81,24.34,24.31,26.94,29.19,29.25,29.09,30.5,32.97,33.09,31.62,31.81,33.41,33.47,31.62,30.69,31.75,32.0,29.94,27.88,28.16,28.19,25.62,22.69,22.22,23.0,22.5,21.12,21.78,24.56,26.22,26.31,27.47,30.81,33.78,34.09,33.62,35.0,36.28,35.28,33.0,32.62,33.47,32.47,29.91,28.38,28.84,28.09,25.38,22.56,22.78,23.66,23.25,23.41,26.31,30.19,31.72,31.44,32.81,34.94,35.03,33.31,32.88,34.31,35.56,34.91,34.12,34.81,35.06,32.56,29.16,28.16,28.62,27.41,25.03,23.75,24.03,23.66,21.38,20.66,22.81,24.44,23.88,22.97,24.06,25.69,25.12,24.16,25.41,27.0,26.84,24.66,23.5,24.12,24.19,22.53,21.75,23.59,24.97,23.84,22.91,24.19,26.16,26.19,24.88,24.94,26.03,25.34,23.28,22.5,23.66,24.5,23.25,22.28,23.75,25.0,24.12,22.38,22.62,23.41,22.38,20.44,20.12,21.12,21.62,19.81,19.16,20.16,20.88,19.66,18.75,20.62,22.88,23.78,23.38,24.53,26.66,26.09,23.69,22.94,23.78,23.97,22.06,21.34,23.34,24.88,24.62,24.03,25.31,26.19,24.88,22.38,21.47,21.97,20.78,18.03,16.53,16.38,15.44,12.41,10.0,10.91,12.47,12.59,13.03,15.38,18.41,19.69,19.84,21.31,24.06,25.31,24.12,23.19,23.97,24.19,21.78,19.44,19.19,19.28,17.31,14.69,14.03,14.16,12.5,9.84,9.12,10.62,11.53,11.19,11.84,14.69,16.78,16.38,15.44,16.12,17.22,16.47,15.25,16.28,18.59,19.28,17.97,17.53,18.59,18.59,16.5,14.66,14.62,14.69,12.09,9.5,9.47,10.38,9.78,8.03,7.66,8.56,8.91,7.47,8.0,11.47,14.75,15.66,15.97,17.53,18.66,16.81,14.28,14.16,15.12,14.38,12.78,12.84,14.41,14.78,13.28,12.38,13.75,14.28,12.56,11.03,11.34,12.62,12.09,11.06,11.88,13.84,14.03,12.62,12.66,14.22,15.12,14.25,13.94,15.53,17.12,15.97,14.47,14.81,16.22,15.5,14.38,14.5,16.22,16.56,15.25,15.12,16.75,17.69,16.16,15.41,16.78,18.75,19.06,18.56,19.94,21.59,20.75,18.53,17.47,18.22,18.78,17.53,17.38,20.16,22.19,22.16,21.97,23.81,25.44,24.84,22.94,22.59,23.0,21.69,19.78,18.91,19.75,19.84,18.44,17.78,19.94,21.94,22.19,21.97,23.78,26.16,26.5,25.91,26.44,27.81,27.16,24.75,23.03,23.81,24.34,23.19,22.78,23.88,25.03,23.22,20.41,19.62,20.22,20.0,19.56,21.38,24.78,26.97,27.25,27.47,29.41,30.28,29.12,27.94,29.16,31.03,30.78,30.06,31.09,32.31,30.94,27.12,23.41,21.22,18.28,14.41,12.31,13.47,15.25,15.06,15.34,17.97,21.56,23.12,24.34,26.88,30.53,32.59,32.72,33.16,34.34,34.03,30.91,27.66,27.03,26.5,24.12,21.62,20.97,21.06,19.41,16.78,15.97,17.12,18.12,18.28,19.72,23.53,26.44,26.78,25.91,26.59,26.84,24.47,20.91,19.09,18.44,16.47,13.72,12.53,13.28,13.16,11.41,10.5,12.34,14.34,14.62,14.53,16.34,18.41,18.5,17.44,17.88,20.19,20.97,20.12,20.69,23.03,24.56,23.75,23.62,25.09,26.69,25.84,23.88,23.81,24.31,22.53,19.53,18.12,18.5,17.94,16.47,16.28,18.5,20.28,19.66,18.84,20.66,22.62,22.97,22.75,23.94,25.09,24.0,20.62,18.75,19.31,19.84,19.56,20.56,23.88,26.22,25.44,23.75,24.06,24.31,22.5,19.91,18.81,18.72,17.38,13.97,11.34,11.03,9.59,6.91,5.34,7.03,9.5,10.38,10.62,13.0,15.97,16.91,16.16,17.0,18.91,19.78,18.84,18.47,20.28,21.06,19.44,18.06,19.06,20.31,20.0,18.84,20.09,21.81,21.78,19.94,19.69,20.78,20.72,19.16,18.06,19.09,19.97,18.97,18.31,20.94,24.41,26.38,27.81,30.62,34.62,36.19,35.31,34.75,35.0,34.25,31.25,28.84,28.72,28.75,27.25,25.75,27.06,29.66,29.69,28.12,27.31,27.12,25.38,22.09,20.41,20.78,20.72,18.06,16.0,16.5,16.75,15.41,13.66,13.81,14.88,14.44,12.66,12.97,15.03,16.25,15.34,15.38,17.16,18.22,16.47,14.72,15.19,15.88,14.56,12.31,11.72,12.44,11.97,10.12,9.75,11.09,11.09,8.84,7.16,8.19,9.59,9.44,9.06,11.28,14.38,15.41,15.0,16.38,18.31,18.31,16.22,15.72,17.38,18.75,17.81,17.38,18.38,19.28,17.28,14.91,15.06,16.5,16.59,15.91,17.03,19.62,20.94,20.25,20.34,22.12,23.62,22.47,21.19,22.0,22.72,20.94,18.16,17.78,18.41,17.25,14.69,13.41,13.41,12.72,10.22,9.12,10.84,12.97,12.62,12.06,13.19,14.75,13.16,10.66,9.78,10.88,11.0,10.12,11.22,14.5,17.09,16.94,17.12,18.84,20.44,19.22,17.38,17.53,18.44,16.5,13.38,11.97,11.84,11.28,9.53,9.34,11.53,13.28,12.56,12.06,13.53,15.5,15.31,14.78,16.47,19.53,20.19,19.28,19.5,20.88,20.66,18.22,16.5,16.5,16.34,13.56,11.09,11.56,13.16,13.19,12.81,14.5,17.72,18.84,18.12,18.88,20.56,20.84,18.34,16.09,16.06,16.66,15.72,15.06,16.94,19.34,19.34,17.56,17.38,18.09,17.31,14.31,12.16,12.34,11.78,8.75,6.19,6.44,6.88,5.19,3.34,4.12,5.91,5.75,4.62,5.34,7.94,9.59,9.5,9.78,12.03,13.5,11.75,9.75,10.53,11.56,10.5,9.38,10.38,12.91,12.88,11.47,11.56,13.44,14.94,14.84,15.12,17.56,18.72,16.75,14.31,13.69,13.97,12.28,9.94,9.47,10.41,9.91,7.69,6.72,7.88,8.38,6.62,5.66,7.38,9.5,9.88,10.22,13.59,17.81,19.22,19.12,19.53,21.03,20.69,18.34,17.38,18.78,20.03,18.94,18.38,19.91,21.16,19.38,16.59,15.03,14.94,12.59,8.88,6.59,6.66,5.81,3.22,2.62,5.19,7.81,8.56,9.56,12.69,16.22,16.75,16.16,17.16,19.22,19.06,17.78,17.69,19.31,19.78,17.88,16.22,16.47,16.16,13.44,9.72,9.0,9.56,8.72,8.03,9.47,12.72,14.22,13.78,14.0,16.5,17.66,16.59,15.88,17.19,18.16,17.09,15.72,16.38,18.12,18.06,16.09,15.47,16.47,16.12,14.41,13.72,15.97,18.19,17.56,16.91,18.12,19.0,17.16,14.62,14.5,15.72,15.16,12.59,11.69,12.72,12.41,11.0,11.0,13.56,15.72,15.78,15.16,15.97,16.94,15.66,13.72,13.31,25.91,24.41,24.41,25.97,27.06,27.12,26.59,27.31,27.94,27.03,25.41,25.5,26.09,26.41,26.38,28.0,30.56,31.75,30.78,29.12,27.81,25.5,21.66,18.03,16.66,16.38,15.97,16.38,19.09,23.06,25.81,26.75,27.75,28.78,28.84,27.31,26.56,27.34,28.09,27.31,26.06,25.97:positivity
15.66,14.84,14.62,12.94,10.38,8.84,8.38,7.16,4.56,3.62,4.19,5.72,5.81,6.66,9.47,13.12,14.88,16.09,18.44,20.78,21.81,21.66,22.0,23.91,24.91,24.47,24.0,24.41,24.41,22.22,20.09,19.69,20.62,19.97,18.94,18.81,19.31,18.59,16.41,15.28,15.69,15.56,14.75,14.97,16.81,19.31,19.91,20.09,21.47,23.47,23.59,22.94,22.88,23.66,23.28,21.66,21.0,22.0,23.06,22.72,22.72,24.62,26.53,26.22,25.09,24.91,25.62,24.56,22.47,21.91,23.0,23.53,22.78,22.88,24.25,24.72,22.97,20.94,20.12,19.91,18.09,16.38,16.06,16.94,16.25,14.91,14.31,14.66,14.62,13.34,12.88,14.28,16.31,16.88,17.28,19.34,21.62,21.5,20.34,19.97,20.38,19.44,17.59,17.09,18.19,19.06,18.78,18.59,19.75,20.19,18.59,15.84,14.38,13.38,11.06,8.91,8.28,9.94,10.59,10.72,11.09,12.88,13.97,13.22,13.0,14.28,16.03,15.81,14.91,15.47,16.03,14.91,12.88,11.78,12.0,11.31,9.31,8.06,8.53,9.0,8.38,8.56,11.09,14.62,15.97,16.88,19.09,21.69,22.12,21.25,20.75,20.97,19.69,16.72,14.19,13.62,13.09,11.53,10.47,11.5,13.28,13.97,14.44,16.44,19.06,20.44,20.38,20.56,22.09,22.34,21.12,20.41,21.28,22.06,21.31,20.16,20.25,20.38,18.12,14.97,12.94,12.19,10.31,8.34,7.78,9.28,10.59,10.41,10.12,11.47,12.31,11.31,9.84,9.62,9.56,7.84,5.59,4.88,6.03,7.03,7.5,8.84,12.09,14.5,15.16,15.72,17.25,18.69,18.47,17.38,17.97,19.47,19.5,18.91,18.78,19.47,18.59,15.75,13.19,12.44,11.38,9.72,8.47,9.34,11.0,11.72,11.94,13.47,15.5,15.31,13.78,12.78,13.19,13.12,12.22,12.53,15.28,17.94,18.91,19.53,20.81,21.84,20.69,18.47,17.28,17.19,16.06,14.22,13.34,14.03,14.06,12.59,11.41,12.25,13.25,13.56,13.88,15.94,18.25,19.16,18.34,18.31,18.78,18.44,16.94,16.62,18.47,19.75,19.94,20.03,21.31,22.19,21.25,19.66,19.16,19.22,17.94,15.47,14.03,13.47,12.28,10.22,9.31,10.69,11.97,12.31,13.38,16.41,19.81,21.94,23.25,25.97,28.59,29.66,29.41,29.66,30.38,29.91,28.0,26.03,25.16,23.91,20.84,17.47,16.03,15.25,14.03,12.66,12.81,13.91,14.06,13.03,13.12,14.78,16.09,16.25,16.62,18.53,20.38,20.78,21.28,23.38,25.47,26.56,26.03,25.78,25.91,24.28,21.16,18.62,17.88,17.09,15.56,14.19,14.62,15.0,13.88,12.56,12.75,13.59,13.59,13.16,13.41,14.66,15.28,14.66,14.38,16.0,17.75,18.66,19.62,21.66,23.44,23.25,22.34,22.41,23.59,23.81,23.0,22.28,22.5,21.31,18.12,15.66,15.22,15.0,13.84,12.28,12.75,13.06,11.72,9.84,9.94,11.31,12.38,12.94,14.5,17.44,19.72,19.88,19.72,20.5,20.44,18.5,16.16,15.78,16.22,16.06,15.47,15.91,16.97,17.16,15.91,15.34,16.19,17.16,16.03,14.69,14.88,14.5,12.75,10.34,10.16,10.62,10.66,10.34,11.47,13.84,15.78,15.69,16.5,18.66,20.31,20.16,19.75,20.47,21.12,20.09,18.44,17.88,17.78,16.75,14.38,13.44,14.16,14.78,14.19,14.47,15.94,16.69,15.19,13.28,13.06,13.16,12.41,11.47,12.25,14.12,15.22,15.53,16.38,18.53,19.97,19.5,19.12,19.84,20.31,19.22,18.31,18.72,20.19,20.53,19.88,19.5,19.66,18.44,16.19,14.66,14.81,15.5,15.12,15.06,16.41,17.78,17.0,15.19,14.25,13.75,12.31,10.34,10.12,11.44,12.09,12.12,12.62,14.78,16.56,16.72,17.12,18.81,20.53,20.62,20.16,20.75,21.16,20.47,18.41,17.5,17.41,17.16,16.25,15.91,17.0,18.03,17.75,16.84,17.25,18.22,17.38,16.22,15.59,15.53,14.53,12.56,11.88,13.19,14.72,15.31,16.31,18.5,20.5,20.19,19.19,18.88,18.62,17.16,15.12,14.38,15.12,15.25,14.59,14.66,15.62,16.56,16.12,15.91,17.47,19.59,20.5,21.25,23.12,25.59,26.38,26.31,26.88,28.0,28.28,27.19,26.38,25.91,24.75,21.22,17.16,14.75,12.91,10.72,9.28,9.91,11.91,12.78,12.78,12.91,13.72,13.44,11.34,9.56,9.16,9.31,8.41,7.75,8.25,8.91,7.78,5.31,4.0,3.84,3.56,3.38,4.66,7.5,10.16,11.44,13.0,15.5,18.31,19.19,19.62,20.47,21.19,20.12,17.62,15.72,14.53,12.34,9.5,7.66,7.84,8.53,8.66,9.34,11.28,13.41,13.69,12.81,12.34,12.41,10.88,8.38,6.81,6.38,5.41,3.66,2.94,4.12,5.12,4.72,4.34,5.38,7.09,7.75,8.69,11.03,13.75,15.06,14.62,14.06,14.28,13.56,11.5,9.53,9.38,9.47,8.41,8.06,8.97,10.53,10.5,10.34,11.06,12.59,13.38,13.12,12.97,13.69,13.53,11.41,9.5,9.06,9.19,8.62,8.16,9.12,10.88,11.59,11.41,11.62,12.81,13.38,12.47,11.75,12.66,13.53,12.53,11.72,12.47,13.25,12.78,12.25,12.84,14.28,14.41,13.59,13.53,14.47,14.69,13.56,12.56,12.88,12.72,11.22,9.28,9.12,9.62,9.56,9.62,11.25,14.44,16.28,16.59,16.16,16.53,15.75,13.25,11.06,10.91,10.97,9.59,7.31,7.19,7.94,8.19,8.72,11.25,14.91,17.34,18.38,19.03,20.44,20.91,19.19,17.28,16.88,16.28,14.19,11.88,11.66,12.5,12.53,12.31,13.0,14.44,14.41,13.47,12.25,12.97,13.06,11.53,9.66,9.78,9.94,8.84,7.5,7.22,7.66,6.69,4.84,3.97,5.28,6.12,6.25,7.25,10.06,12.69,13.31,14.03,16.16,18.88,19.72,19.81,20.91,21.59,20.72,18.16,16.38,16.25,16.12,15.28,14.62,15.81,16.62,15.19,12.75,12.19,12.16,10.94,10.0,10.88,13.31,14.97,15.59,16.69,18.38,18.88,17.5,15.72,15.38,14.38,12.16,9.31,8.44,8.81,8.62,8.22,9.78,12.62,14.81,16.19,18.06,21.38,24.19,24.94,24.25,24.12,23.25,20.69,17.41,15.88,15.81,15.19,13.88,13.88,14.31,13.62,10.91,7.59,5.66,3.16,-0.12,-2.69,-2.56,-0.91,0.72,2.94,7.25,12.66,16.22,18.06,19.44,20.53,20.19,17.94,16.09,15.97,16.34,15.25,13.34,13.12,12.81,10.69,7.88,5.78,4.94,2.44,-0.81,-3.06,-3.28,-3.34,-3.75,-3.16,0.03,3.12,4.62,5.56,7.94,10.53,11.5,11.38,12.12,13.38,14.28,13.78,14.59,16.84,18.81,19.09,18.97,20.28,20.69,19.59,17.62,16.91,17.09,16.47,14.97,14.66,15.38,15.75,14.44,13.88,14.41,14.41,12.62,10.44,10.5,10.75,9.91,8.06,7.25,6.47,4.56,1.75,0.12,0.31,0.69,-0.16,0.0,1.97,3.88,4.25,4.53,6.5,9.59,12.31,14.69,18.88,23.5,26.59,27.5,28.38,29.81,30.09,28.38,26.91,26.31,25.38,22.62,19.16,16.66,14.94,12.25,8.56,6.16,4.78,2.34,-1.38,-4.0,-4.62,-4.62,-5.66,-5.09,-2.47,0.78,2.62,3.56,5.5,7.5,8.41,8.12,9.53,12.75,16.38,18.81,21.75,25.19,26.56,24.56,20.78,17.72,15.19,12.12,9.56,9.28,10.16,10.72,9.97,10.88,12.94,14.75,14.75,14.81,15.53,14.81,11.69,7.94,6.34,5.81,5.31,5.25,7.0,9.41,10.5,9.66,9.34,9.62,9.91,8.88,8.66,10.47,12.78,13.84,14.25,15.84,17.28,16.41,13.88,12.44,11.44,10.09,7.84,7.0,7.78,8.56,8.0,7.62,8.91,10.75,11.19,11.16,12.25,14.06,13.97,13.22,13.56,15.25,16.62,16.91,17.56,19.06,20.31,18.81,16.72,15.88,15.22,13.09,10.59,9.62,9.06,6.91,3.62,1.16,0.25,-0.94,-3.16,-3.94,-3.12,-0.72,0.44,1.97,4.94,8.41,9.62,9.75,11.09,13.69,15.41,16.22,18.12,20.56,22.38,21.19,19.41,17.81,15.25,10.0,4.66,1.41,-0.09,-1.91,-3.31,-3.28,-2.06,-1.75,-2.84,-3.38,-2.38,-1.34,-1.75,-1.47,0.75,3.12,3.78,3.94,5.31,7.53,8.22,7.84,8.53,9.94,9.78,8.0,6.16,5.44,4.38,1.44,-1.66,-3.19,-4.5,-7.41,-10.0,-10.44,-9.03,-7.75,-6.78,-4.09,0.09,3.81,5.91,8.41,12.25,15.75,16.38,16.47,17.03,17.38,14.91,11.31,8.78,6.69,3.16,-1.28,-4.41,-6.06,-7.25,-9.06,-9.88,-8.16,-5.44,-3.91,-2.28,1.41,5.78,7.66,8.91,11.12,14.06,15.53,15.06,14.69,14.84,13.38,10.09,6.84,5.19,3.66,0.22,-3.34,-5.62,-6.72,-8.84,-10.88,-11.16,-9.84,-9.16,-9.28,-8.31,-5.31,-2.59,-1.34,0.28,3.62,7.22,8.84,10.06,11.81,14.09,14.06,12.94,12.84,13.78,14.0,12.75,11.59,11.81,10.97,7.84,4.19,2.16,1.41,-0.22,-1.34,-0.34,1.38,1.62,0.34,-0.69,-0.88,-1.88,-3.94,-4.56,-2.47,0.56,3.12:7.16,4.56,3.62,4.19,5.72,5.81,6.66,9.47,13.12,14.88,16.09,18.44,20.78,21.81,21.66,22.0,23.91,24.91,24.47,24.0,24.41,24.41,22.22,20.09,19.69,20.62,19.97,18.94,18.81,19.31,18.59,16.41,15.28,15.69,15.56,14.75,14.97,16.81,19.31,19.91,20.09,21.47,23.47,23.59,22.94,22.88,23.66,23.28,21.66,21.0,22.0,23.06,22.72,22.72,24.62,26.53,26.22,25.09,24.91,25.62,24.56,22.47,21.91,23.0,23.53,22.78,22.88,24.25,24.72,22.97,20.94,20.12,19.91,18.09,16.38,16.06,16.94,16.25,14.91,14.31,14.66,14.62,13.34,12.88,14.28,16.31,16.88,17.28,19.34,21.62,21.5,20.34,19.97,20.38,19.44,17.59,17.09,18.19,19.06,18.78,18.59,19.75,20.19,18.59,15.84,14.38,13.38,11.06,8.91,8.28,9.94,10.59,10.72,11.09,12.88,13.97,13.22,13.0,14.28,16.03,15.81,14.91,15.47,16.03,14.91,12.88,11.78,12.0,11.31,9.31,8.06,8.53,9.0,8.38,8.56,11.09,14.62,15.97,16.88,19.09,21.69,22.12,21.25,20.75,20.97,19.69,16.72,14.19,13.62,13.09,11.53,10.47,11.5,13.28,13.97,14.44,16.44,19.06,20.44,20.38,20.56,22.09,22.34,21.12,20.41,21.28,22.06,21.31,20.16,20.25,20.38,18.12,14.97,12.94,12.19,10.31,8.34,7.78,9.28,10.59,10.41,10.12,11.47,12.31,11.31,9.84,9.62,9.56,7.84,5.59,4.88,6.03,7.03,7.5,8.84,12.09,14.5,15.16,15.72,17.25,18.69,18.47,17.38,17.97,19.47,19.5,18.91,18.78,19.47,18.59,15.75,13.19,12.44,11.38,9.72,8.47,9.34,11.0,11.72,11.94,13.47,15.5,15.31,13.78,12.78,13.19,13.12,12.22,12.53,15.28,17.94,18.91,19.53,20.81,21.84,20.69,18.47,17.28,17.19,16.06,14.22,13.34,14.03,14.06,12.59,11.41,12.25,13.25,13.56,13.88,15.94,18.25,19.16,18.34,18.31,18.78,18.44,16.94,16.62,18.47,19.75,19.94,20.03,21.31,22.19,21.25,19.66,19.16,19.22,17.94,15.47,14.03,13.47,12.28,10.22,9.31,10.69,11.97,12.31,13.38,16.41,19.81,21.94,23.25,25.97,28.59,29.66,29.41,29.66,30.38,29.91,28.0,26.03,25.16,23.91,20.84,17.47,16.03,15.25,14.03,12.66,12.81,13.91,14.06,13.03,13.12,14.78,16.09,16.25,16.62,18.53,20.38,20.78,21.28,23.38,25.47,26.56,26.03,25.78,25.91,24.28,21.16,18.62,17.88,17.09,15.56,14.19,14.62,15.0,13.88,12.56,12.75,13.59,13.59,13.16,13.41,14.66,15.28,14.66,14.38,16.0,17.75,18.66,19.62,21.66,23.44,23.25,22.34,22.41,23.59,23.81,23.0,22.28,22.5,21.31,18.12,15.66,15.22,15.0,13.84,12.28,12.75,13.06,11.72,9.84,9.94,11.31,12.38,12.94,14.5,17.44,19.72,19.88,19.72,20.5,20.44,18.5,16.16,15.78,16.22,16.06,15.47,15.91,16.97,17.16,15.91,15.34,16.19,17.16,16.03,14.69,14.88,14.5,12.75,10.34,10.16,10.62,10.66,10.34,11.47,13.84,15.78,15.69,16.5,18.66,20.31,20.16,19.75,20.47,21.12,20.09,18.44,17.88,17.78,16.75,14.38,13.44,14.16,14.78,14.19,14.47,15.94,16.69,15.19,13.28,13.06,13.16,12.41,11.47,12.25,14.12,15.22,15.53,16.38,18.53,19.97,19.5,19.12,19.84,20.31,19.22,18.31,18.72,20.19,20.53,19.88,19.5,19.66,18.44,16.19,14.66,14.81,15.5,15.12,15.06,16.41,17.78,17.0,15.19,14.25,13.75,12.31,10.34,10.12,11.44,12.09,12.12,12.62,14.78,16.56,16.72,17.12,18.81,20.53,20.62,20.16,20.75,21.16,20.47,18.41,17.5,17.41,17.16,16.25,15.91,17.0,18.03,17.75,16.84,17.25,18.22,17.38,16.22,15.59,15.53,14.53,12.56,11.88,13.19,14.72,15.31,16.31,18.5,20.5,20.19,19.19,18.88,18.62,17.16,15.12,14.38,15.12,15.25,14.59,14.66,15.62,16.56,16.12,15.91,17.47,19.59,20.5,21.25,23.12,25.59,26.38,26.31,26.88,28.0,28.28,27.19,26.38,25.91,24.75,21.22,17.16,14.75,12.91,10.72,9.28,9.91,11.91,12.78,12.78,12.91,13.72,13.44,11.34,9.56,9.16,9.31,8.41,7.75,8.25,8.91,7.78,5.31,4.0,3.84,3.56,3.38,4.66,7.5,10.16,11.44,13.0,15.5,18.31,19.19,19.62,20.47,21.19,20.12,17.62,15.72,14.53,12.34,9.5,7.66,7.84,8.53,8.66,9.34,11.28,13.41,13.69,12.81,12.34,12.41,10.88,8.38,6.81,6.38,5.41,3.66,2.94,4.12,5.12,4.72,4.34,5.38,7.09,7.75,8.69,11.03,13.75,15.06,14.62,14.06,14.28,13.56,11.5,9.53,9.38,9.47,8.41,8.06,8.97,10.53,10.5,10.34,11.06,12.59,13.38,13.12,12.97,13.69,13.53,11.41,9.5,9.06,9.19,8.62,8.16,9.12,10.88,11.59,11.41,11.62,12.81,13.38,12.47,11.75,12.66,13.53,12.53,11.72,12.47,13.25,12.78,12.25,12.84,14.28,14.41,13.59,13.53,14.47,14.69,13.56,12.56,12.88,12.72,11.22,9.28,9.12,9.62,9.56,9.62,11.25,14.44,16.28,16.59,16.16,16.53,15.75,13.25,11.06,10.91,10.97,9.59,7.31,7.19,7.94,8.19,8.72,11.25,14.91,17.34,18.38,19.03,20.44,20.91,19.19,17.28,16.88,16.28,14.19,11.88,11.66,12.5,12.53,12.31,13.0,14.44,14.41,13.47,12.25,12.97,13.06,11.53,9.66,9.78,9.94,8.84,7.5,7.22,7.66,6.69,4.84,3.97,5.28,6.12,6.25,7.25,10.06,12.69,13.31,14.03,16.16,18.88,19.72,19.81,20.91,21.59,20.72,18.16,16.38,16.25,16.12,15.28,14.62,15.81,16.62,15.19,12.75,12.19,12.16,10.94,10.0,10.88,13.31,14.97,15.59,16.69,18.38,18.88,17.5,15.72,15.38,14.38,12.16,9.31,8.44,8.81,8.62,8.22,9.78,12.62,14.81,16.19,18.06,21.38,24.19,24.94,24.25,24.12,23.25,20.69,17.41,15.88,15.81,15.19,13.88,13.88,14.31,13.62,10.91,7.59,5.66,3.16,-0.12,-2.69,-2.56,-0.91,0.72,2.94,7.25,12.66,16.22,18.06,19.44,20.53,20.19,17.94,16.09,15.97,16.34,15.25,13.34,13.12,12.81,10.69,7.88,5.78,4.94,2.44,-0.81,-3.06,-3.28,-3.34,-3.75,-3.16,0.03,3.12,4.62,5.56,7.94,10.53,11.5,11.38,12.12,13.38,14.28,13.78,14.59,16.84,18.81,19.09,18.97,20.28,20.69,19.59,17.62,16.91,17.09,16.47,14.97,14.66,15.38,15.75,14.44,13.88,14.41,14.41,12.62,10.44,10.5,10.75,9.91,8.06,7.25,6.47,4.56,1.75,0.12,0.31,0.69,-0.16,0.0,1.97,3.88,4.25,4.53,6.5,9.59,12.31,14.69,18.88,23.5,26.59,27.5,28.38,29.81,30.09,28.38,26.91,26.31,25.38,22.62,19.16,16.66,14.94,12.25,8.56,6.16,4.78,2.34,-1.38,-4.0,-4.62,-4.62,-5.66,-5.09,-2.47,0.78,2.62,3.56,5.5,7.5,8.41,8.12,9.53,12.75,16.38,18.81,21.75,25.19,26.56,24.56,20.78,17.72,15.19,12.12,9.56,9.28,10.16,10.72,9.97,10.88,12.94,14.75,14.75,14.81,15.53,14.81,11.69,7.94,6.34,5.81,5.31,5.25,7.0,9.41,10.5,9.66,9.34,9.62,9.91,8.88,8.66,10.47,12.78,13.84,14.25,15.84,17.28,16.41,13.88,12.44,11.44,10.09,7.84,7.0,7.78,8.56,8.0,7.62,8.91,10.75,11.19,11.16,12.25,14.06,13.97,13.22,13.56,15.25,16.62,16.91,17.56,19.06,20.31,18.81,16.72,15.88,15.22,13.09,10.59,9.62,9.06,6.91,3.62,1.16,0.25,-0.94,-3.16,-3.94,-3.12,-0.72,0.44,1.97,4.94,8.41,9.62,9.75,11.09,13.69,15.41,16.22,18.12,20.56,22.38,21.19,19.41,17.81,15.25,10.0,4.66,1.41,-0.09,-1.91,-3.31,-3.28,-2.06,-1.75,-2.84,-3.38,-2.38,-1.34,-1.75,-1.47,0.75,3.12,3.78,3.94,5.31,7.53,8.22,7.84,8.53,9.94,9.78,8.0,6.16,5.44,4.38,1.44,-1.66,-3.19,-4.5,-7.41,-10.0,-10.44,-9.03,-7.75,-6.78,-4.09,0.09,3.81,5.91,8.41,12.25,15.75,16.38,16.47,17.03,17.38,14.91,11.31,8.78,6.69,3.16,-1.28,-4.41,-6.06,-7.25,-9.06,-9.88,-8.16,-5.44,-3.91,-2.28,1.41,5.78,7.66,8.91,11.12,14.06,15.53,15.06,14.69,14.84,13.38,10.09,6.84,5.19,3.66,0.22,-3.34,-5.62,-6.72,-8.84,-10.88,-11.16,-9.84,-9.16,-9.28,-8.31,-5.31,-2.59,-1.34,0.28,3.62,7.22,8.84,10.06,11.81,14.09,14.06,12.94,12.84,13.78,14.0,12.75,11.59,11.81,10.97,7.84,4.19,2.16,1.41,-0.22,-1.34,-0.34,1.38,1.62,0.34,-0.69,-0.88,-1.88,-3.94,-4.56,-2.47,0.56,3.12,8.69,6.88,5.31,3.78,2.22,0.88,-0.25:9.47,13.12,14.88,16.09,18.44,20.78,21.81,21.66,22.0,23.91,24.91,24.47,24.0,24.41,24.41,22.22,20.09,19.69,20.62,19.97,18.94,18.81,19.31,18.59,16.41,15.28,15.69,15.56,14.75,14.97,16.81,19.31,19.91,20.09,21.47,23.47,23.59,22.94,22.88,23.66,23.28,21.66,21.0,22.0,23.06,22.72,22.72,24.62,26.53,26.22,25.09,24.91,25.62,24.56,22.47,21.91,23.0,23.53,22.78,22.88,24.25,24.72,22.97,20.94,20.12,19.91,18.09,16.38,16.06,16.94,16.25,14.91,14.31,14.66,14.62,13.34,12.88,14.28,16.31,16.88,17.28,19.34,21.62,21.5,20.34,19.97,20.38,19.44,17.59,17.09,18.19,19.06,18.78,18.59,19.75,20.19,18.59,15.84,14.38,13.38,11.06,8.91,8.28,9.94,10.59,10.72,11.09,12.88,13.97,13.22,13.0,14.28,16.03,15.81,14.91,15.47,16.03,14.91,12.88,11.78,12.0,11.31,9.31,8.06,8.53,9.0,8.38,8.56,11.09,14.62,15.97,16.88,19.09,21.69,22.12,21.25,20.75,20.97,19.69,16.72,14.19,13.62,13.09,11.53,10.47,11.5,13.28,13.97,14.44,16.44,19.06,20.44,20.38,20.56,22.09,22.34,21.12,20.41,21.28,22.06,21.31,20.16,20.25,20.38,18.12,14.97,12.94,12.19,10.31,8.34,7.78,9.28,10.59,10.41,10.12,11.47,12.31,11.31,9.84,9.62,9.56,7.84,5.59,4.88,6.03,7.03,7.5,8.84,12.09,14.5,15.16,15.72,17.25,18.69,18.47,17.38,17.97,19.47,19.5,18.91,18.78,19.47,18.59,15.75,13.19,12.44,11.38,9.72,8.47,9.34,11.0,11.72,11.94,13.47,15.5,15.31,13.78,12.78,13.19,13.12,12.22,12.53,15.28,17.94,18.91,19.53,20.81,21.84,20.69,18.47,17.28,17.19,16.06,14.22,13.34,14.03,14.06,12.59,11.41,12.25,13.25,13.56,13.88,15.94,18.25,19.16,18.34,18.31,18.78,18.44,16.94,16.62,18.47,19.75,19.94,20.03,21.31,22.19,21.25,19.66,19.16,19.22,17.94,15.47,14.03,13.47,12.28,10.22,9.31,10.69,11.97,12.31,13.38,16.41,19.81,21.94,23.25,25.97,28.59,29.66,29.41,29.66,30.38,29.91,28.0,26.03,25.16,23.91,20.84,17.47,16.03,15.25,14.03,12.66,12.81,13.91,14.06,13.03,13.12,14.78,16.09,16.25,16.62,18.53,20.38,20.78,21.28,23.38,25.47,26.56,26.03,25.78,25.91,24.28,21.16,18.62,17.88,17.09,15.56,14.19,14.62,15.0,13.88,12.56,12.75,13.59,13.59,13.16,13.41,14.66,15.28,14.66,14.38,16.0,17.75,18.66,19.62,21.66,23.44,23.25,22.34,22.41,23.59,23.81,23.0,22.28,22.5,21.31,18.12,15.66,15.22,15.0,13.84,12.28,12.75,13.06,11.72,9.84,9.94,11.31,12.38,12.94,14.5,17.44,19.72,19.88,19.72,20.5,20.44,18.5,16.16,15.78,16.22,16.06,15.47,15.91,16.97,17.16,15.91,15.34,16.19,17.16,16.03,14.69,14.88,14.5,12.75,10.34,10.16,10.62,10.66,10.34,11.47,13.84,15.78,15.69,16.5,18.66,20.31,20.16,19.75,20.47,21.12,20.09,18.44,17.88,17.78,16.75,14.38,13.44,14.16,14.78,14.19,14.47,15.94,16.69,15.19,13.28,13.06,13.16,12.41,11.47,12.25,14.12,15.22,15.53,16.38,18.53,19.97,19.5,19.12,19.84,20.31,19.22,18.31,18.72,20.19,20.53,19.88,19.5,19.66,18.44,16.19,14.66,14.81,15.5,15.12,15.06,16.41,17.78,17.0,15.19,14.25,13.75,12.31,10.34,10.12,11.44,12.09,12.12,12.62,14.78,16.56,16.72,17.12,18.81,20.53,20.62,20.16,20.75,21.16,20.47,18.41,17.5,17.41,17.16,16.25,15.91,17.0,18.03,17.75,16.84,17.25,18.22,17.38,16.22,15.59,15.53,14.53,12.56,11.88,13.19,14.72,15.31,16.31,18.5,20.5,20.19,19.19,18.88,18.62,17.16,15.12,14.38,15.12,15.25,14.59,14.66,15.62,16.56,16.12,15.91,17.47,19.59,20.5,21.25,23.12,25.59,26.38,26.31,26.88,28.0,28.28,27.19,26.38,25.91,24.75,21.22,17.16,14.75,12.91,10.72,9.28,9.91,11.91,12.78,12.78,12.91,13.72,13.44,11.34,9.56,9.16,9.31,8.41,7.75,8.25,8.91,7.78,5.31,4.0,3.84,3.56,3.38,4.66,7.5,10.16,11.44,13.0,15.5,18.31,19.19,19.62,20.47,21.19,20.12,17.62,15.72,14.53,12.34,9.5,7.66,7.84,8.53,8.66,9.34,11.28,13.41,13.69,12.81,12.34,12.41,10.88,8.38,6.81,6.38,5.41,3.66,2.94,4.12,5.12,4.72,4.34,5.38,7.09,7.75,8.69,11.03,13.75,15.06,14.62,14.06,14.28,13.56,11.5,9.53,9.38,9.47,8.41,8.06,8.97,10.53,10.5,10.34,11.06,12.59,13.38,13.12,12.97,13.69,13.53,11.41,9.5,9.06,9.19,8.62,8.16,9.12,10.88,11.59,11.41,11.62,12.81,13.38,12.47,11.75,12.66,13.53,12.53,11.72,12.47,13.25,12.78,12.25,12.84,14.28,14.41,13.59,13.53,14.47,14.69,13.56,12.56,12.88,12.72,11.22,9.28,9.12,9.62,9.56,9.62,11.25,14.44,16.28,16.59,16.16,16.53,15.75,13.25,11.06,10.91,10.97,9.59,7.31,7.19,7.94,8.19,8.72,11.25,14.91,17.34,18.38,19.03,20.44,20.91,19.19,17.28,16.88,16.28,14.19,11.88,11.66,12.5,12.53,12.31,13.0,14.44,14.41,13.47,12.25,12.97,13.06,11.53,9.66,9.78,9.94,8.84,7.5,7.22,7.66,6.69,4.84,3.97,5.28,6.12,6.25,7.25,10.06,12.69,13.31,14.03,16.16,18.88,19.72,19.81,20.91,21.59,20.72,18.16,16.38,16.25,16.12,15.28,14.62,15.81,16.62,15.19,12.75,12.19,12.16,10.94,10.0,10.88,13.31,14.97,15.59,16.69,18.38,18.88,17.5,15.72,15.38,14.38,12.16,9.31,8.44,8.81,8.62,8.22,9.78,12.62,14.81,16.19,18.06,21.38,24.19,24.94,24.25,24.12,23.25,20.69,17.41,15.88,15.81,15.19,13.88,13.88,14.31,13.62,10.91,7.59,5.66,3.16,-0.12,-2.69,-2.56,-0.91,0.72,2.94,7.25,12.66,16.22,18.06,19.44,20.53,20.19,17.94,16.09,15.97,16.34,15.25,13.34,13.12,12.81,10.69,7.88,5.78,4.94,2.44,-0.81,-3.06,-3.28,-3.34,-3.75,-3.16,0.03,3.12,4.62,5.56,7.94,10.53,11.5,11.38,12.12,13.38,14.28,13.78,14.59,16.84,18.81,19.09,18.97,20.28,20.69,19.59,17.62,16.91,17.09,16.47,14.97,14.66,15.38,15.75,14.44,13.88,14.41,14.41,12.62,10.44,10.5,10.75,9.91,8.06,7.25,6.47,4.56,1.75,0.12,0.31,0.69,-0.16,0.0,1.97,3.88,4.25,4.53,6.5,9.59,12.31,14.69,18.88,23.5,26.59,27.5,28.38,29.81,30.09,28.38,26.91,26.31,25.38,22.62,19.16,16.66,14.94,12.25,8.56,6.16,4.78,2.34,-1.38,-4.0,-4.62,-4.62,-5.66,-5.09,-2.47,0.78,2.62,3.56,5.5,7.5,8.41,8.12,9.53,12.75,16.38,18.81,21.75,25.19,26.56,24.56,20.78,17.72,15.19,12.12,9.56,9.28,10.16,10.72,9.97,10.88,12.94,14.75,14.75,14.81,15.53,14.81,11.69,7.94,6.34,5.81,5.31,5.25,7.0,9.41,10.5,9.66,9.34,9.62,9.91,8.88,8.66,10.47,12.78,13.84,14.25,15.84,17.28,16.41,13.88,12.44,11.44,10.09,7.84,7.0,7.78,8.56,8.0,7.62,8.91,10.75,11.19,11.16,12.25,14.06,13.97,13.22,13.56,15.25,16.62,16.91,17.56,19.06,20.31,18.81,16.72,15.88,15.22,13.09,10.59,9.62,9.06,6.91,3.62,1.16,0.25,-0.94,-3.16,-3.94,-3.12,-0.72,0.44,1.97,4.94,8.41,9.62,9.75,11.09,13.69,15.41,16.22,18.12,20.56,22.38,21.19,19.41,17.81,15.25,10.0,4.66,1.41,-0.09,-1.91,-3.31,-3.28,-2.06,-1.75,-2.84,-3.38,-2.38,-1.34,-1.75,-1.47,0.75,3.12,3.78,3.94,5.31,7.53,8.22,7.84,8.53,9.94,9.78,8.0,6.16,5.44,4.38,1.44,-1.66,-3.19,-4.5,-7.41,-10.0,-10.44,-9.03,-7.75,-6.78,-4.09,0.09,3.81,5.91,8.41,12.25,15.75,16.38,16.47,17.03,17.38,14.91,11.31,8.78,6.69,3.16,-1.28,-4.41,-6.06,-7.25,-9.06,-9.88,-8.16,-5.44,-3.91,-2.28,1.41,5.78,7.66,8.91,11.12,14.06,15.53,15.06,14.69,14.84,13.38,10.09,6.84,5.19,3.66,0.22,-3.34,-5.62,-6.72,-8.84,-10.88,-11.16,-9.84,-9.16,-9.28,-8.31,-5.31,-2.59,-1.34,0.28,3.62,7.22,8.84,10.06,11.81,14.09,14.06,12.94,12.84,13.78,14.0,12.75,11.59,11.81,10.97,7.84,4.19,2.16,1.41,-0.22,-1.34,-0.34,1.38,1.62,0.34,-0.69,-0.88,-1.88,-3.94,-4.56,-2.47,0.56,3.12,8.69,6.88,5.31,3.78,2.22,0.88,-0.25,-0.88,-1.31,-1.16,-1.06,0.25,2.31,4.5:21.66,22.0,23.91,24.91,24.47,24.0,24.41,24.41,22.22,20.09,19.69,20.62,19.97,18.94,18.81,19.31,18.59,16.41,15.28,15.69,15.56,14.75,14.97,16.81,19.31,19.91,20.09,21.47,23.47,23.59,22.94,22.88,23.66,23.28,21.66,21.0,22.0,23.06,22.72,22.72,24.62,26.53,26.22,25.09,24.91,25.62,24.56,22.47,21.91,23.0,23.53,22.78,22.88,24.25,24.72,22.97,20.94,20.12,19.91,18.09,16.38,16.06,16.94,16.25,14.91,14.31,14.66,14.62,13.34,12.88,14.28,16.31,16.88,17.28,19.34,21.62,21.5,20.34,19.97,20.38,19.44,17.59,17.09,18.19,19.06,18.78,18.59,19.75,20.19,18.59,15.84,14.38,13.38,11.06,8.91,8.28,9.94,10.59,10.72,11.09,12.88,13.97,13.22,13.0,14.28,16.03,15.81,14.91,15.47,16.03,14.91,12.88,11.78,12.0,11.31,9.31,8.06,8.53,9.0,8.38,8.56,11.09,14.62,15.97,16.88,19.09,21.69,22.12,21.25,20.75,20.97,19.69,16.72,14.19,13.62,13.09,11.53,10.47,11.5,13.28,13.97,14.44,16.44,19.06,20.44,20.38,20.56,22.09,22.34,21.12,20.41,21.28,22.06,21.31,20.16,20.25,20.38,18.12,14.97,12.94,12.19,10.31,8.34,7.78,9.28,10.59,10.41,10.12,11.47,12.31,11.31,9.84,9.62,9.56,7.84,5.59,4.88,6.03,7.03,7.5,8.84,12.09,14.5,15.16,15.72,17.25,18.69,18.47,17.38,17.97,19.47,19.5,18.91,18.78,19.47,18.59,15.75,13.19,12.44,11.38,9.72,8.47,9.34,11.0,11.72,11.94,13.47,15.5,15.31,13.78,12.78,13.19,13.12,12.22,12.53,15.28,17.94,18.91,19.53,20.81,21.84,20.69,18.47,17.28,17.19,16.06,14.22,13.34,14.03,14.06,12.59,11.41,12.25,13.25,13.56,13.88,15.94,18.25,19.16,18.34,18.31,18.78,18.44,16.94,16.62,18.47,19.75,19.94,20.03,21.31,22.19,21.25,19.66,19.16,19.22,17.94,15.47,14.03,13.47,12.28,10.22,9.31,10.69,11.97,12.31,13.38,16.41,19.81,21.94,23.25,25.97,28.59,29.66,29.41,29.66,30.38,29.91,28.0,26.03,25.16,23.91,20.84,17.47,16.03,15.25,14.03,12.66,12.81,13.91,14.06,13.03,13.12,14.78,16.09,16.25,16.62,18.53,20.38,20.78,21.28,23.38,25.47,26.56,26.03,25.78,25.91,24.28,21.16,18.62,17.88,17.09,15.56,14.19,14.62,15.0,13.88,12.56,12.75,13.59,13.59,13.16,13.41,14.66,15.28,14.66,14.38,16.0,17.75,18.66,19.62,21.66,23.44,23.25,22.34,22.41,23.59,23.81,23.0,22.28,22.5,21.31,18.12,15.66,15.22,15.0,13.84,12.28,12.75,13.06,11.72,9.84,9.94,11.31,12.38,12.94,14.5,17.44,19.72,19.88,19.72,20.5,20.44,18.5,16.16,15.78,16.22,16.06,15.47,15.91,16.97,17.16,15.91,15.34,16.19,17.16,16.03,14.69,14.88,14.5,12.75,10.34,10.16,10.62,10.66,10.34,11.47,13.84,15.78,15.69,16.5,18.66,20.31,20.16,19.75,20.47,21.12,20.09,18.44,17.88,17.78,16.75,14.38,13.44,14.16,14.78,14.19,14.47,15.94,16.69,15.19,13.28,13.06,13.16,12.41,11.47,12.25,14.12,15.22,15.53,16.38,18.53,19.97,19.5,19.12,19.84,20.31,19.22,18.31,18.72,20.19,20.53,19.88,19.5,19.66,18.44,16.19,14.66,14.81,15.5,15.12,15.06,16.41,17.78,17.0,15.19,14.25,13.75,12.31,10.34,10.12,11.44,12.09,12.12,12.62,14.78,16.56,16.72,17.12,18.81,20.53,20.62,20.16,20.75,21.16,20.47,18.41,17.5,17.41,17.16,16.25,15.91,17.0,18.03,17.75,16.84,17.25,18.22,17.38,16.22,15.59,15.53,14.53,12.56,11.88,13.19,14.72,15.31,16.31,18.5,20.5,20.19,19.19,18.88,18.62,17.16,15.12,14.38,15.12,15.25,14.59,14.66,15.62,16.56,16.12,15.91,17.47,19.59,20.5,21.25,23.12,25.59,26.38,26.31,26.88,28.0,28.28,27.19,26.38,25.91,24.75,21.22,17.16,14.75,12.91,10.72,9.28,9.91,11.91,12.78,12.78,12.91,13.72,13.44,11.34,9.56,9.16,9.31,8.41,7.75,8.25,8.91,7.78,5.31,4.0,3.84,3.56,3.38,4.66,7.5,10.16,11.44,13.0,15.5,18.31,19.19,19.62,20.47,21.19,20.12,17.62,15.72,14.53,12.34,9.5,7.66,7.84,8.53,8.66,9.34,11.28,13.41,13.69,12.81,12.34,12.41,10.88,8.38,6.81,6.38,5.41,3.66,2.94,4.12,5.12,4.72,4.34,5.38,7.09,7.75,8.69,11.03,13.75,15.06,14.62,14.06,14.28,13.56,11.5,9.53,9.38,9.47,8.41,8.06,8.97,10.53,10.5,10.34,11.06,12.59,13.38,13.12,12.97,13.69,13.53,11.41,9.5,9.06,9.19,8.62,8.16,9.12,10.88,11.59,11.41,11.62,12.81,13.38,12.47,11.75,12.66,13.53,12.53,11.72,12.47,13.25,12.78,12.25,12.84,14.28,14.41,13.59,13.53,14.47,14.69,13.56,12.56,12.88,12.72,11.22,9.28,9.12,9.62,9.56,9.62,11.25,14.44,16.28,16.59,16.16,16.53,15.75,13.25,11.06,10.91,10.97,9.59,7.31,7.19,7.94,8.19,8.72,11.25,14.91,17.34,18.38,19.03,20.44,20.91,19.19,17.28,16.88,16.28,14.19,11.88,11.66,12.5,12.53,12.31,13.0,14.44,14.41,13.47,12.25,12.97,13.06,11.53,9.66,9.78,9.94,8.84,7.5,7.22,7.66,6.69,4.84,3.97,5.28,6.12,6.25,7.25,10.06,12.69,13.31,14.03,16.16,18.88,19.72,19.81,20.91,21.59,20.72,18.16,16.38,16.25,16.12,15.28,14.62,15.81,16.62,15.19,12.75,12.19,12.16,10.94,10.0,10.88,13.31,14.97,15.59,16.69,18.38,18.88,17.5,15.72,15.38,14.38,12.16,9.31,8.44,8.81,8.62,8.22,9.78,12.62,14.81,16.19,18.06,21.38,24.19,24.94,24.25,24.12,23.25,20.69,17.41,15.88,15.81,15.19,13.88,13.88,14.31,13.62,10.91,7.59,5.66,3.16,-0.12,-2.69,-2.56,-0.91,0.72,2.94,7.25,12.66,16.22,18.06,19.44,20.53,20.19,17.94,16.09,15.97,16.34,15.25,13.34,13.12,12.81,10.69,7.88,5.78,4.94,2.44,-0.81,-3.06,-3.28,-3.34,-3.75,-3.16,0.03,3.12,4.62,5.56,7.94,10.53,11.5,11.38,12.12,13.38,14.28,13.78,14.59,16.84,18.81,19.09,18.97,20.28,20.69,19.59,17.62,16.91,17.09,16.47,14.97,14.66,15.38,15.75,14.44,13.88,14.41,14.41,12.62,10.44,10.5,10.75,9.91,8.06,7.25,6.47,4.56,1.75,0.12,0.31,0.69,-0.16,0.0,1.97,3.88,4.25,4.53,6.5,9.59,12.31,14.69,18.88,23.5,26.59,27.5,28.38,29.81,30.09,28.38,26.91,26.31,25.38,22.62,19.16,16.66,14.94,12.25,8.56,6.16,4.78,2.34,-1.38,-4.0,-4.62,-4.62,-5.66,-5.09,-2.47,0.78,2.62,3.56,5.5,7.5,8.41,8.12,9.53,12.75,16.38,18.81,21.75,25.19,26.56,24.56,20.78,17.72,15.19,12.12,9.56,9.28,10.16,10.72,9.97,10.88,12.94,14.75,14.75,14.81,15.53,14.81,11.69,7.94,6.34,5.81,5.31,5.25,7.0,9.41,10.5,9.66,9.34,9.62,9.91,8.88,8.66,10.47,12.78,13.84,14.25,15.84,17.28,16.41,13.88,12.44,11.44,10.09,7.84,7.0,7.78,8.56,8.0,7.62,8.91,10.75,11.19,11.16,12.25,14.06,13.97,13.22,13.56,15.25,16.62,16.91,17.56,19.06,20.31,18.81,16.72,15.88,15.22,13.09,10.59,9.62,9.06,6.91,3.62,1.16,0.25,-0.94,-3.16,-3.94,-3.12,-0.72,0.44,1.97,4.94,8.41,9.62,9.75,11.09,13.69,15.41,16.22,18.12,20.56,22.38,21.19,19.41,17.81,15.25,10.0,4.66,1.41,-0.09,-1.91,-3.31,-3.28,-2.06,-1.75,-2.84,-3.38,-2.38,-1.34,-1.75,-1.47,0.75,3.12,3.78,3.94,5.31,7.53,8.22,7.84,8.53,9.94,9.78,8.0,6.16,5.44,4.38,1.44,-1.66,-3.19,-4.5,-7.41,-10.0,-10.44,-9.03,-7.75,-6.78,-4.09,0.09,3.81,5.91,8.41,12.25,15.75,16.38,16.47,17.03,17.38,14.91,11.31,8.78,6.69,3.16,-1.28,-4.41,-6.06,-7.25,-9.06,-9.88,-8.16,-5.44,-3.91,-2.28,1.41,5.78,7.66,8.91,11.12,14.06,15.53,15.06,14.69,14.84,13.38,10.09,6.84,5.19,3.66,0.22,-3.34,-5.62,-6.72,-8.84,-10.88,-11.16,-9.84,-9.16,-9.28,-8.31,-5.31,-2.59,-1.34,0.28,3.62,7.22,8.84,10.06,11.81,14.09,14.06,12.94,12.84,13.78,14.0,12.75,11.59,11.81,10.97,7.84,4.19,2.16,1.41,-0.22,-1.34,-0.34,1.38,1.62,0.34,-0.69,-0.88,-1.88,-3.94,-4.56,-2.47,0.56,3.12,8.69,6.88,5.31,3.78,2.22,0.88,-0.25,-0.88,-1.31,-1.16,-1.06,0.25,2.31,4.5,6.75,9.16,11.78,13.84,15.19,16.03,16.97:24.41,22.22,20.09,19.69,20.62,19.97,18.94,18.81,19.31,18.59,16.41,15.28,15.69,15.56,14.75,14.97,16.81,19.31,19.91,20.09,21.47,23.47,23.59,22.94,22.88,23.66,23.28,21.66,21.0,22.0,23.06,22.72,22.72,24.62,26.53,26.22,25.09,24.91,25.62,24.56,22.47,21.91,23.0,23.53,22.78,22.88,24.25,24.72,22.97,20.94,20.12,19.91,18.09,16.38,16.06,16.94,16.25,14.91,14.31,14.66,14.62,13.34,12.88,14.28,16.31,16.88,17.28,19.34,21.62,21.5,20.34,19.97,20.38,19.44,17.59,17.09,18.19,19.06,18.78,18.59,19.75,20.19,18.59,15.84,14.38,13.38,11.06,8.91,8.28,9.94,10.59,10.72,11.09,12.88,13.97,13.22,13.0,14.28,16.03,15.81,14.91,15.47,16.03,14.91,12.88,11.78,12.0,11.31,9.31,8.06,8.53,9.0,8.38,8.56,11.09,14.62,15.97,16.88,19.09,21.69,22.12,21.25,20.75,20.97,19.69,16.72,14.19,13.62,13.09,11.53,10.47,11.5,13.28,13.97,14.44,16.44,19.06,20.44,20.38,20.56,22.09,22.34,21.12,20.41,21.28,22.06,21.31,20.16,20.25,20.38,18.12,14.97,12.94,12.19,10.31,8.34,7.78,9.28,10.59,10.41,10.12,11.47,12.31,11.31,9.84,9.62,9.56,7.84,5.59,4.88,6.03,7.03,7.5,8.84,12.09,14.5,15.16,15.72,17.25,18.69,18.47,17.38,17.97,19.47,19.5,18.91,18.78,19.47,18.59,15.75,13.19,12.44,11.38,9.72,8.47,9.34,11.0,11.72,11.94,13.47,15.5,15.31,13.78,12.78,13.19,13.12,12.22,12.53,15.28,17.94,18.91,19.53,20.81,21.84,20.69,18.47,17.28,17.19,16.06,14.22,13.34,14.03,14.06,12.59,11.41,12.25,13.25,13.56,13.88,15.94,18.25,19.16,18.34,18.31,18.78,18.44,16.94,16.62,18.47,19.75,19.94,20.03,21.31,22.19,21.25,19.66,19.16,19.22,17.94,15.47,14.03,13.47,12.28,10.22,9.31,10.69,11.97,12.31,13.38,16.41,19.81,21.94,23.25,25.97,28.59,29.66,29.41,29.66,30.38,29.91,28.0,26.03,25.16,23.91,20.84,17.47,16.03,15.25,14.03,12.66,12.81,13.91,14.06,13.03,13.12,14.78,16.09,16.25,16.62,18.53,20.38,20.78,21.28,23.38,25.47,26.56,26.03,25.78,25.91,24.28,21.16,18.62,17.88,17.09,15.56,14.19,14.62,15.0,13.88,12.56,12.75,13.59,13.59,13.16,13.41,14.66,15.28,14.66,14.38,16.0,17.75,18.66,19.62,21.66,23.44,23.25,22.34,22.41,23.59,23.81,23.0,22.28,22.5,21.31,18.12,15.66,15.22,15.0,13.84,12.28,12.75,13.06,11.72,9.84,9.94,11.31,12.38,12.94,14.5,17.44,19.72,19.88,19.72,20.5,20.44,18.5,16.16,15.78,16.22,16.06,15.47,15.91,16.97,17.16,15.91,15.34,16.19,17.16,16.03,14.69,14.88,14.5,12.75,10.34,10.16,10.62,10.66,10.34,11.47,13.84,15.78,15.69,16.5,18.66,20.31,20.16,19.75,20.47,21.12,20.09,18.44,17.88,17.78,16.75,14.38,13.44,14.16,14.78,14.19,14.47,15.94,16.69,15.19,13.28,13.06,13.16,12.41,11.47,12.25,14.12,15.22,15.53,16.38,18.53,19.97,19.5,19.12,19.84,20.31,19.22,18.31,18.72,20.19,20.53,19.88,19.5,19.66,18.44,16.19,14.66,14.81,15.5,15.12,15.06,16.41,17.78,17.0,15.19,14.25,13.75,12.31,10.34,10.12,11.44,12.09,12.12,12.62,14.78,16.56,16.72,17.12,18.81,20.53,20.62,20.16,20.75,21.16,20.47,18.41,17.5,17.41,17.16,16.25,15.91,17.0,18.03,17.75,16.84,17.25,18.22,17.38,16.22,15.59,15.53,14.53,12.56,11.88,13.19,14.72,15.31,16.31,18.5,20.5,20.19,19.19,18.88,18.62,17.16,15.12,14.38,15.12,15.25,14.59,14.66,15.62,16.56,16.12,15.91,17.47,19.59,20.5,21.25,23.12,25.59,26.38,26.31,26.88,28.0,28.28,27.19,26.38,25.91,24.75,21.22,17.16,14.75,12.91,10.72,9.28,9.91,11.91,12.78,12.78,12.91,13.72,13.44,11.34,9.56,9.16,9.31,8.41,7.75,8.25,8.91,7.78,5.31,4.0,3.84,3.56,3.38,4.66,7.5,10.16,11.44,13.0,15.5,18.31,19.19,19.62,20.47,21.19,20.12,17.62,15.72,14.53,12.34,9.5,7.66,7.84,8.53,8.66,9.34,11.28,13.41,13.69,12.81,12.34,12.41,10.88,8.38,6.81,6.38,5.41,3.66,2.94,4.12,5.12,4.72,4.34,5.38,7.09,7.75,8.69,11.03,13.75,15.06,14.62,14.06,14.28,13.56,11.5,9.53,9.38,9.47,8.41,8.06,8.97,10.53,10.5,10.34,11.06,12.59,13.38,13.12,12.97,13.69,13.53,11.41,9.5,9.06,9.19,8.62,8.16,9.12,10.88,11.59,11.41,11.62,12.81,13.38,12.47,11.75,12.66,13.53,12.53,11.72,12.47,13.25,12.78,12.25,12.84,14.28,14.41,13.59,13.53,14.47,14.69,13.56,12.56,12.88,12.72,11.22,9.28,9.12,9.62,9.56,9.62,11.25,14.44,16.28,16.59,16.16,16.53,15.75,13.25,11.06,10.91,10.97,9.59,7.31,7.19,7.94,8.19,8.72,11.25,14.91,17.34,18.38,19.03,20.44,20.91,19.19,17.28,16.88,16.28,14.19,11.88,11.66,12.5,12.53,12.31,13.0,14.44,14.41,13.47,12.25,12.97,13.06,11.53,9.66,9.78,9.94,8.84,7.5,7.22,7.66,6.69,4.84,3.97,5.28,6.12,6.25,7.25,10.06,12.69,13.31,14.03,16.16,18.88,19.72,19.81,20.91,21.59,20.72,18.16,16.38,16.25,16.12,15.28,14.62,15.81,16.62,15.19,12.75,12.19,12.16,10.94,10.0,10.88,13.31,14.97,15.59,16.69,18.38,18.88,17.5,15.72,15.38,14.38,12.16,9.31,8.44,8.81,8.62,8.22,9.78,12.62,14.81,16.19,18.06,21.38,24.19,24.94,24.25,24.12,23.25,20.69,17.41,15.88,15.81,15.19,13.88,13.88,14.31,13.62,10.91,7.59,5.66,3.16,-0.12,-2.69,-2.56,-0.91,0.72,2.94,7.25,12.66,16.22,18.06,19.44,20.53,20.19,17.94,16.09,15.97,16.34,15.25,13.34,13.12,12.81,10.69,7.88,5.78,4.94,2.44,-0.81,-3.06,-3.28,-3.34,-3.75,-3.16,0.03,3.12,4.62,5.56,7.94,10.53,11.5,11.38,12.12,13.38,14.28,13.78,14.59,16.84,18.81,19.09,18.97,20.28,20.69,19.59,17.62,16.91,17.09,16.47,14.97,14.66,15.38,15.75,14.44,13.88,14.41,14.41,12.62,10.44,10.5,10.75,9.91,8.06,7.25,6.47,4.56,1.75,0.12,0.31,0.69,-0.16,0.0,1.97,3.88,4.25,4.53,6.5,9.59,12.31,14.69,18.88,23.5,26.59,27.5,28.38,29.81,30.09,28.38,26.91,26.31,25.38,22.62,19.16,16.66,14.94,12.25,8.56,6.16,4.78,2.34,-1.38,-4.0,-4.62,-4.62,-5.66,-5.09,-2.47,0.78,2.62,3.56,5.5,7.5,8.41,8.12,9.53,12.75,16.38,18.81,21.75,25.19,26.56,24.56,20.78,17.72,15.19,12.12,9.56,9.28,10.16,10.72,9.97,10.88,12.94,14.75,14.75,14.81,15.53,14.81,11.69,7.94,6.34,5.81,5.31,5.25,7.0,9.41,10.5,9.66,9.34,9.62,9.91,8.88,8.66,10.47,12.78,13.84,14.25,15.84,17.28,16.41,13.88,12.44,11.44,10.09,7.84,7.0,7.78,8.56,8.0,7.62,8.91,10.75,11.19,11.16,12.25,14.06,13.97,13.22,13.56,15.25,16.62,16.91,17.56,19.06,20.31,18.81,16.72,15.88,15.22,13.09,10.59,9.62,9.06,6.91,3.62,1.16,0.25,-0.94,-3.16,-3.94,-3.12,-0.72,0.44,1.97,4.94,8.41,9.62,9.75,11.09,13.69,15.41,16.22,18.12,20.56,22.38,21.19,19.41,17.81,15.25,10.0,4.66,1.41,-0.09,-1.91,-3.31,-3.28,-2.06,-1.75,-2.84,-3.38,-2.38,-1.34,-1.75,-1.47,0.75,3.12,3.78,3.94,5.31,7.53,8.22,7.84,8.53,9.94,9.78,8.0,6.16,5.44,4.38,1.44,-1.66,-3.19,-4.5,-7.41,-10.0,-10.44,-9.03,-7.75,-6.78,-4.09,0.09,3.81,5.91,8.41,12.25,15.75,16.38,16.47,17.03,17.38,14.91,11.31,8.78,6.69,3.16,-1.28,-4.41,-6.06,-7.25,-9.06,-9.88,-8.16,-5.44,-3.91,-2.28,1.41,5.78,7.66,8.91,11.12,14.06,15.53,15.06,14.69,14.84,13.38,10.09,6.84,5.19,3.66,0.22,-3.34,-5.62,-6.72,-8.84,-10.88,-11.16,-9.84,-9.16,-9.28,-8.31,-5.31,-2.59,-1.34,0.28,3.62,7.22,8.84,10.06,11.81,14.09,14.06,12.94,12.84,13.78,14.0,12.75,11.59,11.81,10.97,7.84,4.19,2.16,1.41,-0.22,-1.34,-0.34,1.38,1.62,0.34,-0.69,-0.88,-1.88,-3.94,-4.56,-2.47,0.56,3.12,8.69,6.88,5.31,3.78,2.22,0.88,-0.25,-0.88,-1.31,-1.16,-1.06,0.25,2.31,4.5,6.75,9.16,11.78,13.84,15.19,16.03,16.97,17.28,17.09,17.03,17.12,17.28,16.97,15.44:18.81,19.31,18.59,16.41,15.28,15.69,15.56,14.75,14.97,16.81,19.31,19.91,20.09,21.47,23.47,23.59,22.94,22.88,23.66,23.28,21.66,21.0,22.0,23.06,22.72,22.72,24.62,26.53,26.22,25.09,24.91,25.62,24.56,22.47,21.91,23.0,23.53,22.78,22.88,24.25,24.72,22.97,20.94,20.12,19.91,18.09,16.38,16.06,16.94,16.25,14.91,14.31,14.66,14.62,13.34,12.88,14.28,16.31,16.88,17.28,19.34,21.62,21.5,20.34,19.97,20.38,19.44,17.59,17.09,18.19,19.06,18.78,18.59,19.75,20.19,18.59,15.84,14.38,13.38,11.06,8.91,8.28,9.94,10.59,10.72,11.09,12.88,13.97,13.22,13.0,14.28,16.03,15.81,14.91,15.47,16.03,14.91,12.88,11.78,12.0,11.31,9.31,8.06,8.53,9.0,8.38,8.56,11.09,14.62,15.97,16.88,19.09,21.69,22.12,21.25,20.75,20.97,19.69,16.72,14.19,13.62,13.09,11.53,10.47,11.5,13.28,13.97,14.44,16.44,19.06,20.44,20.38,20.56,22.09,22.34,21.12,20.41,21.28,22.06,21.31,20.16,20.25,20.38,18.12,14.97,12.94,12.19,10.31,8.34,7.78,9.28,10.59,10.41,10.12,11.47,12.31,11.31,9.84,9.62,9.56,7.84,5.59,4.88,6.03,7.03,7.5,8.84,12.09,14.5,15.16,15.72,17.25,18.69,18.47,17.38,17.97,19.47,19.5,18.91,18.78,19.47,18.59,15.75,13.19,12.44,11.38,9.72,8.47,9.34,11.0,11.72,11.94,13.47,15.5,15.31,13.78,12.78,13.19,13.12,12.22,12.53,15.28,17.94,18.91,19.53,20.81,21.84,20.69,18.47,17.28,17.19,16.06,14.22,13.34,14.03,14.06,12.59,11.41,12.25,13.25,13.56,13.88,15.94,18.25,19.16,18.34,18.31,18.78,18.44,16.94,16.62,18.47,19.75,19.94,20.03,21.31,22.19,21.25,19.66,19.16,19.22,17.94,15.47,14.03,13.47,12.28,10.22,9.31,10.69,11.97,12.31,13.38,16.41,19.81,21.94,23.25,25.97,28.59,29.66,29.41,29.66,30.38,29.91,28.0,26.03,25.16,23.91,20.84,17.47,16.03,15.25,14.03,12.66,12.81,13.91,14.06,13.03,13.12,14.78,16.09,16.25,16.62,18.53,20.38,20.78,21.28,23.38,25.47,26.56,26.03,25.78,25.91,24.28,21.16,18.62,17.88,17.09,15.56,14.19,14.62,15.0,13.88,12.56,12.75,13.59,13.59,13.16,13.41,14.66,15.28,14.66,14.38,16.0,17.75,18.66,19.62,21.66,23.44,23.25,22.34,22.41,23.59,23.81,23.0,22.28,22.5,21.31,18.12,15.66,15.22,15.0,13.84,12.28,12.75,13.06,11.72,9.84,9.94,11.31,12.38,12.94,14.5,17.44,19.72,19.88,19.72,20.5,20.44,18.5,16.16,15.78,16.22,16.06,15.47,15.91,16.97,17.16,15.91,15.34,16.19,17.16,16.03,14.69,14.88,14.5,12.75,10.34,10.16,10.62,10.66,10.34,11.47,13.84,15.78,15.69,16.5,18.66,20.31,20.16,19.75,20.47,21.12,20.09,18.44,17.88,17.78,16.75,14.38,13.44,14.16,14.78,14.19,14.47,15.94,16.69,15.19,13.28,13.06,13.16,12.41,11.47,12.25,14.12,15.22,15.53,16.38,18.53,19.97,19.5,19.12,19.84,20.31,19.22,18.31,18.72,20.19,20.53,19.88,19.5,19.66,18.44,16.19,14.66,14.81,15.5,15.12,15.06,16.41,17.78,17.0,15.19,14.25,13.75,12.31,10.34,10.12,11.44,12.09,12.12,12.62,14.78,16.56,16.72,17.12,18.81,20.53,20.62,20.16,20.75,21.16,20.47,18.41,17.5,17.41,17.16,16.25,15.91,17.0,18.03,17.75,16.84,17.25,18.22,17.38,16.22,15.59,15.53,14.53,12.56,11.88,13.19,14.72,15.31,16.31,18.5,20.5,20.19,19.19,18.88,18.62,17.16,15.12,14.38,15.12,15.25,14.59,14.66,15.62,16.56,16.12,15.91,17.47,19.59,20.5,21.25,23.12,25.59,26.38,26.31,26.88,28.0,28.28,27.19,26.38,25.91,24.75,21.22,17.16,14.75,12.91,10.72,9.28,9.91,11.91,12.78,12.78,12.91,13.72,13.44,11.34,9.56,9.16,9.31,8.41,7.75,8.25,8.91,7.78,5.31,4.0,3.84,3.56,3.38,4.66,7.5,10.16,11.44,13.0,15.5,18.31,19.19,19.62,20.47,21.19,20.12,17.62,15.72,14.53,12.34,9.5,7.66,7.84,8.53,8.66,9.34,11.28,13.41,13.69,12.81,12.34,12.41,10.88,8.38,6.81,6.38,5.41,3.66,2.94,4.12,5.12,4.72,4.34,5.38,7.09,7.75,8.69,11.03,13.75,15.06,14.62,14.06,14.28,13.56,11.5,9.53,9.38,9.47,8.41,8.06,8.97,10.53,10.5,10.34,11.06,12.59,13.38,13.12,12.97,13.69,13.53,11.41,9.5,9.06,9.19,8.62,8.16,9.12,10.88,11.59,11.41,11.62,12.81,13.38,12.47,11.75,12.66,13.53,12.53,11.72,12.47,13.25,12.78,12.25,12.84,14.28,14.41,13.59,13.53,14.47,14.69,13.56,12.56,12.88,12.72,11.22,9.28,9.12,9.62,9.56,9.62,11.25,14.44,16.28,16.59,16.16,16.53,15.75,13.25,11.06,10.91,10.97,9.59,7.31,7.19,7.94,8.19,8.72,11.25,14.91,17.34,18.38,19.03,20.44,20.91,19.19,17.28,16.88,16.28,14.19,11.88,11.66,12.5,12.53,12.31,13.0,14.44,14.41,13.47,12.25,12.97,13.06,11.53,9.66,9.78,9.94,8.84,7.5,7.22,7.66,6.69,4.84,3.97,5.28,6.12,6.25,7.25,10.06,12.69,13.31,14.03,16.16,18.88,19.72,19.81,20.91,21.59,20.72,18.16,16.38,16.25,16.12,15.28,14.62,15.81,16.62,15.19,12.75,12.19,12.16,10.94,10.0,10.88,13.31,14.97,15.59,16.69,18.38,18.88,17.5,15.72,15.38,14.38,12.16,9.31,8.44,8.81,8.62,8.22,9.78,12.62,14.81,16.19,18.06,21.38,24.19,24.94,24.25,24.12,23.25,20.69,17.41,15.88,15.81,15.19,13.88,13.88,14.31,13.62,10.91,7.59,5.66,3.16,-0.12,-2.69,-2.56,-0.91,0.72,2.94,7.25,12.66,16.22,18.06,19.44,20.53,20.19,17.94,16.09,15.97,16.34,15.25,13.34,13.12,12.81,10.69,7.88,5.78,4.94,2.44,-0.81,-3.06,-3.28,-3.34,-3.75,-3.16,0.03,3.12,4.62,5.56,7.94,10.53,11.5,11.38,12.12,13.38,14.28,13.78,14.59,16.84,18.81,19.09,18.97,20.28,20.69,19.59,17.62,16.91,17.09,16.47,14.97,14.66,15.38,15.75,14.44,13.88,14.41,14.41,12.62,10.44,10.5,10.75,9.91,8.06,7.25,6.47,4.56,1.75,0.12,0.31,0.69,-0.16,0.0,1.97,3.88,4.25,4.53,6.5,9.59,12.31,14.69,18.88,23.5,26.59,27.5,28.38,29.81,30.09,28.38,26.91,26.31,25.38,22.62,19.16,16.66,14.94,12.25,8.56,6.16,4.78,2.34,-1.38,-4.0,-4.62,-4.62,-5.66,-5.09,-2.47,0.78,2.62,3.56,5.5,7.5,8.41,8.12,9.53,12.75,16.38,18.81,21.75,25.19,26.56,24.56,20.78,17.72,15.19,12.12,9.56,9.28,10.16,10.72,9.97,10.88,12.94,14.75,14.75,14.81,15.53,14.81,11.69,7.94,6.34,5.81,5.31,5.25,7.0,9.41,10.5,9.66,9.34,9.62,9.91,8.88,8.66,10.47,12.78,13.84,14.25,15.84,17.28,16.41,13.88,12.44,11.44,10.09,7.84,7.0,7.78,8.56,8.0,7.62,8.91,10.75,11.19,11.16,12.25,14.06,13.97,13.22,13.56,15.25,16.62,16.91,17.56,19.06,20.31,18.81,16.72,15.88,15.22,13.09,10.59,9.62,9.06,6.91,3.62,1.16,0.25,-0.94,-3.16,-3.94,-3.12,-0.72,0.44,1.97,4.94,8.41,9.62,9.75,11.09,13.69,15.41,16.22,18.12,20.56,22.38,21.19,19.41,17.81,15.25,10.0,4.66,1.41,-0.09,-1.91,-3.31,-3.28,-2.06,-1.75,-2.84,-3.38,-2.38,-1.34,-1.75,-1.47,0.75,3.12,3.78,3.94,5.31,7.53,8.22,7.84,8.53,9.94,9.78,8.0,6.16,5.44,4.38,1.44,-1.66,-3.19,-4.5,-7.41,-10.0,-10.44,-9.03,-7.75,-6.78,-4.09,0.09,3.81,5.91,8.41,12.25,15.75,16.38,16.47,17.03,17.38,14.91,11.31,8.78,6.69,3.16,-1.28,-4.41,-6.06,-7.25,-9.06,-9.88,-8.16,-5.44,-3.91,-2.28,1.41,5.78,7.66,8.91,11.12,14.06,15.53,15.06,14.69,14.84,13.38,10.09,6.84,5.19,3.66,0.22,-3.34,-5.62,-6.72,-8.84,-10.88,-11.16,-9.84,-9.16,-9.28,-8.31,-5.31,-2.59,-1.34,0.28,3.62,7.22,8.84,10.06,11.81,14.09,14.06,12.94,12.84,13.78,14.0,12.75,11.59,11.81,10.97,7.84,4.19,2.16,1.41,-0.22,-1.34,-0.34,1.38,1.62,0.34,-0.69,-0.88,-1.88,-3.94,-4.56,-2.47,0.56,3.12,8.69,6.88,5.31,3.78,2.22,0.88,-0.25,-0.88,-1.31,-1.16,-1.06,0.25,2.31,4.5,6.75,9.16,11.78,13.84,15.19,16.03,16.97,17.28,17.09,17.03,17.12,17.28,16.97,15.44,14.38,13.12,11.72,10.5,9.91,10.38,10.72:14.75,14.97,16.81,19.31,19.91,20.09,21.47,23.47,23.59,22.94,22.88,23.66,23.28,21.66,21.0,22.0,23.06,22.72,22.72,24.62,26.53,26.22,25.09,24.91,25.62,24.56,22.47,21.91,23.0,23.53,22.78,22.88,24.25,24.72,22.97,20.94,20.12,19.91,18.09,16.38,16.06,16.94,16.25,14.91,14.31,14.66,14.62,13.34,12.88,14.28,16.31,16.88,17.28,19.34,21.62,21.5,20.34,19.97,20.38,19.44,17.59,17.09,18.19,19.06,18.78,18.59,19.75,20.19,18.59,15.84,14.38,13.38,11.06,8.91,8.28,9.94,10.59,10.72,11.09,12.88,13.97,13.22,13.0,14.28,16.03,15.81,14.91,15.47,16.03,14.91,12.88,11.78,12.0,11.31,9.31,8.06,8.53,9.0,8.38,8.56,11.09,14.62,15.97,16.88,19.09,21.69,22.12,21.25,20.75,20.97,19.69,16.72,14.19,13.62,13.09,11.53,10.47,11.5,13.28,13.97,14.44,16.44,19.06,20.44,20.38,20.56,22.09,22.34,21.12,20.41,21.28,22.06,21.31,20.16,20.25,20.38,18.12,14.97,12.94,12.19,10.31,8.34,7.78,9.28,10.59,10.41,10.12,11.47,12.31,11.31,9.84,9.62,9.56,7.84,5.59,4.88,6.03,7.03,7.5,8.84,12.09,14.5,15.16,15.72,17.25,18.69,18.47,17.38,17.97,19.47,19.5,18.91,18.78,19.47,18.59,15.75,13.19,12.44,11.38,9.72,8.47,9.34,11.0,11.72,11.94,13.47,15.5,15.31,13.78,12.78,13.19,13.12,12.22,12.53,15.28,17.94,18.91,19.53,20.81,21.84,20.69,18.47,17.28,17.19,16.06,14.22,13.34,14.03,14.06,12.59,11.41,12.25,13.25,13.56,13.88,15.94,18.25,19.16,18.34,18.31,18.78,18.44,16.94,16.62,18.47,19.75,19.94,20.03,21.31,22.19,21.25,19.66,19.16,19.22,17.94,15.47,14.03,13.47,12.28,10.22,9.31,10.69,11.97,12.31,13.38,16.41,19.81,21.94,23.25,25.97,28.59,29.66,29.41,29.66,30.38,29.91,28.0,26.03,25.16,23.91,20.84,17.47,16.03,15.25,14.03,12.66,12.81,13.91,14.06,13.03,13.12,14.78,16.09,16.25,16.62,18.53,20.38,20.78,21.28,23.38,25.47,26.56,26.03,25.78,25.91,24.28,21.16,18.62,17.88,17.09,15.56,14.19,14.62,15.0,13.88,12.56,12.75,13.59,13.59,13.16,13.41,14.66,15.28,14.66,14.38,16.0,17.75,18.66,19.62,21.66,23.44,23.25,22.34,22.41,23.59,23.81,23.0,22.28,22.5,21.31,18.12,15.66,15.22,15.0,13.84,12.28,12.75,13.06,11.72,9.84,9.94,11.31,12.38,12.94,14.5,17.44,19.72,19.88,19.72,20.5,20.44,18.5,16.16,15.78,16.22,16.06,15.47,15.91,16.97,17.16,15.91,15.34,16.19,17.16,16.03,14.69,14.88,14.5,12.75,10.34,10.16,10.62,10.66,10.34,11.47,13.84,15.78,15.69,16.5,18.66,20.31,20.16,19.75,20.47,21.12,20.09,18.44,17.88,17.78,16.75,14.38,13.44,14.16,14.78,14.19,14.47,15.94,16.69,15.19,13.28,13.06,13.16,12.41,11.47,12.25,14.12,15.22,15.53,16.38,18.53,19.97,19.5,19.12,19.84,20.31,19.22,18.31,18.72,20.19,20.53,19.88,19.5,19.66,18.44,16.19,14.66,14.81,15.5,15.12,15.06,16.41,17.78,17.0,15.19,14.25,13.75,12.31,10.34,10.12,11.44,12.09,12.12,12.62,14.78,16.56,16.72,17.12,18.81,20.53,20.62,20.16,20.75,21.16,20.47,18.41,17.5,17.41,17.16,16.25,15.91,17.0,18.03,17.75,16.84,17.25,18.22,17.38,16.22,15.59,15.53,14.53,12.56,11.88,13.19,14.72,15.31,16.31,18.5,20.5,20.19,19.19,18.88,18.62,17.16,15.12,14.38,15.12,15.25,14.59,14.66,15.62,16.56,16.12,15.91,17.47,19.59,20.5,21.25,23.12,25.59,26.38,26.31,26.88,28.0,28.28,27.19,26.38,25.91,24.75,21.22,17.16,14.75,12.91,10.72,9.28,9.91,11.91,12.78,12.78,12.91,13.72,13.44,11.34,9.56,9.16,9.31,8.41,7.75,8.25,8.91,7.78,5.31,4.0,3.84,3.56,3.38,4.66,7.5,10.16,11.44,13.0,15.5,18.31,19.19,19.62,20.47,21.19,20.12,17.62,15.72,14.53,12.34,9.5,7.66,7.84,8.53,8.66,9.34,11.28,13.41,13.69,12.81,12.34,12.41,10.88,8.38,6.81,6.38,5.41,3.66,2.94,4.12,5.12,4.72,4.34,5.38,7.09,7.75,8.69,11.03,13.75,15.06,14.62,14.06,14.28,13.56,11.5,9.53,9.38,9.47,8.41,8.06,8.97,10.53,10.5,10.34,11.06,12.59,13.38,13.12,12.97,13.69,13.53,11.41,9.5,9.06,9.19,8.62,8.16,9.12,10.88,11.59,11.41,11.62,12.81,13.38,12.47,11.75,12.66,13.53,12.53,11.72,12.47,13.25,12.78,12.25,12.84,14.28,14.41,13.59,13.53,14.47,14.69,13.56,12.56,12.88,12.72,11.22,9.28,9.12,9.62,9.56,9.62,11.25,14.44,16.28,16.59,16.16,16.53,15.75,13.25,11.06,10.91,10.97,9.59,7.31,7.19,7.94,8.19,8.72,11.25,14.91,17.34,18.38,19.03,20.44,20.91,19.19,17.28,16.88,16.28,14.19,11.88,11.66,12.5,12.53,12.31,13.0,14.44,14.41,13.47,12.25,12.97,13.06,11.53,9.66,9.78,9.94,8.84,7.5,7.22,7.66,6.69,4.84,3.97,5.28,6.12,6.25,7.25,10.06,12.69,13.31,14.03,16.16,18.88,19.72,19.81,20.91,21.59,20.72,18.16,16.38,16.25,16.12,15.28,14.62,15.81,16.62,15.19,12.75,12.19,12.16,10.94,10.0,10.88,13.31,14.97,15.59,16.69,18.38,18.88,17.5,15.72,15.38,14.38,12.16,9.31,8.44,8.81,8.62,8.22,9.78,12.62,14.81,16.19,18.06,21.38,24.19,24.94,24.25,24.12,23.25,20.69,17.41,15.88,15.81,15.19,13.88,13.88,14.31,13.62,10.91,7.59,5.66,3.16,-0.12,-2.69,-2.56,-0.91,0.72,2.94,7.25,12.66,16.22,18.06,19.44,20.53,20.19,17.94,16.09,15.97,16.34,15.25,13.34,13.12,12.81,10.69,7.88,5.78,4.94,2.44,-0.81,-3.06,-3.28,-3.34,-3.75,-3.16,0.03,3.12,4.62,5.56,7.94,10.53,11.5,11.38,12.12,13.38,14.28,13.78,14.59,16.84,18.81,19.09,18.97,20.28,20.69,19.59,17.62,16.91,17.09,16.47,14.97,14.66,15.38,15.75,14.44,13.88,14.41,14.41,12.62,10.44,10.5,10.75,9.91,8.06,7.25,6.47,4.56,1.75,0.12,0.31,0.69,-0.16,0.0,1.97,3.88,4.25,4.53,6.5,9.59,12.31,14.69,18.88,23.5,26.59,27.5,28.38,29.81,30.09,28.38,26.91,26.31,25.38,22.62,19.16,16.66,14.94,12.25,8.56,6.16,4.78,2.34,-1.38,-4.0,-4.62,-4.62,-5.66,-5.09,-2.47,0.78,2.62,3.56,5.5,7.5,8.41,8.12,9.53,12.75,16.38,18.81,21.75,25.19,26.56,24.56,20.78,17.72,15.19,12.12,9.56,9.28,10.16,10.72,9.97,10.88,12.94,14.75,14.75,14.81,15.53,14.81,11.69,7.94,6.34,5.81,5.31,5.25,7.0,9.41,10.5,9.66,9.34,9.62,9.91,8.88,8.66,10.47,12.78,13.84,14.25,15.84,17.28,16.41,13.88,12.44,11.44,10.09,7.84,7.0,7.78,8.56,8.0,7.62,8.91,10.75,11.19,11.16,12.25,14.06,13.97,13.22,13.56,15.25,16.62,16.91,17.56,19.06,20.31,18.81,16.72,15.88,15.22,13.09,10.59,9.62,9.06,6.91,3.62,1.16,0.25,-0.94,-3.16,-3.94,-3.12,-0.72,0.44,1.97,4.94,8.41,9.62,9.75,11.09,13.69,15.41,16.22,18.12,20.56,22.38,21.19,19.41,17.81,15.25,10.0,4.66,1.41,-0.09,-1.91,-3.31,-3.28,-2.06,-1.75,-2.84,-3.38,-2.38,-1.34,-1.75,-1.47,0.75,3.12,3.78,3.94,5.31,7.53,8.22,7.84,8.53,9.94,9.78,8.0,6.16,5.44,4.38,1.44,-1.66,-3.19,-4.5,-7.41,-10.0,-10.44,-9.03,-7.75,-6.78,-4.09,0.09,3.81,5.91,8.41,12.25,15.75,16.38,16.47,17.03,17.38,14.91,11.31,8.78,6.69,3.16,-1.28,-4.41,-6.06,-7.25,-9.06,-9.88,-8.16,-5.44,-3.91,-2.28,1.41,5.78,7.66,8.91,11.12,14.06,15.53,15.06,14.69,14.84,13.38,10.09,6.84,5.19,3.66,0.22,-3.34,-5.62,-6.72,-8.84,-10.88,-11.16,-9.84,-9.16,-9.28,-8.31,-5.31,-2.59,-1.34,0.28,3.62,7.22,8.84,10.06,11.81,14.09,14.06,12.94,12.84,13.78,14.0,12.75,11.59,11.81,10.97,7.84,4.19,2.16,1.41,-0.22,-1.34,-0.34,1.38,1.62,0.34,-0.69,-0.88,-1.88,-3.94,-4.56,-2.47,0.56,3.12,8.69,6.88,5.31,3.78,2.22,0.88,-0.25,-0.88,-1.31,-1.16,-1.06,0.25,2.31,4.5,6.75,9.16,11.78,13.84,15.19,16.03,16.97,17.28,17.09,17.03,17.12,17.28,16.97,15.44,14.38,13.12,11.72,10.5,9.91,10.38,10.72,10.75,10.91,11.16,11.31,10.84,10.44,10.19:positivity
33.53,31.31,28.44,26.41,25.5,24.94,23.88,23.81,24.56,25.59,26.25,27.12,28.94,30.84,31.19,31.5,32.5,32.94,32.5,30.97,29.19,27.84,26.44,24.31,23.12,23.31,24.12,24.34,24.84,26.53,28.59,30.06,31.19,32.69,34.56,35.66,35.66,35.94,37.5,38.16,37.62,36.91,36.19,35.78,34.28,33.66,34.56,35.81,37.12,38.0,39.31,40.59,41.53,41.25,40.94,40.91,40.72,39.88,39.0,38.75,38.66,37.19,35.19,33.56,32.19,30.94,29.69,29.25,29.81,30.16,30.0,30.19,31.0,31.94,31.91,32.22,33.19,33.84,33.62,32.69,31.66,30.62,29.09,27.34,26.31,26.5,26.62,26.44,26.34,27.25,28.03,28.0,28.16,28.94,30.25,30.28,30.0,29.84,30.34,30.69,30.75,31.62,33.25,34.41,34.19,33.22,32.53,31.72,30.22,28.88,28.81,29.72,30.12,29.72,29.94,29.94,29.47,27.88,26.56,26.78,27.56,27.72,28.09,29.31,30.72,30.41,29.97,30.78,31.84,32.62,32.94,33.44,34.28,34.38,32.94,31.94,32.19,32.62,32.34,32.31,32.72,33.12,31.97,30.09,28.06,26.62,24.25,21.69,20.16,20.25,20.75,20.62,20.78,21.38,21.91,21.16,20.25,20.12,20.47,19.62,18.47,17.72,17.84,17.84,17.97,18.56,20.5,22.31,23.03,23.97,25.06,25.78,25.53,24.59,24.38,24.91,24.38,23.56,23.09,22.97,22.16,20.78,19.91,20.09,20.5,20.19,19.97,20.38,21.25,20.78,20.19,20.28,20.81,20.28,19.19,18.03,18.12,17.72,16.81,16.44,17.69,18.75,19.16,19.5,20.09,21.22,21.38,21.34,21.75,22.5,22.75,22.56,22.72,24.5,26.53,27.41,28.59,30.47,32.47,33.03,33.19,33.34,33.06,31.53,29.19,27.75,27.59,27.72,28.06,28.78,30.31,31.09,30.69,29.5,29.22,28.47,27.38,26.31,26.09,27.16,27.53,28.25,29.53,31.69,33.34,34.53,35.16,36.28,36.38,35.22,33.56,32.41,32.19,31.41,30.69,30.72,31.78,32.06,31.72,31.31,31.31,30.97,30.12,29.56,30.81,32.97,34.5,35.94,37.56,39.03,39.25,38.0,36.66,36.06,34.53,32.38,30.53,29.5,28.44,26.12,24.06,22.69,21.66,20.56,19.75,20.25,21.72,23.06,24.59,25.72,27.5,27.94,27.19,25.53,24.78,23.75,22.28,21.19,21.31,21.72,22.28,21.91,21.88,21.38,19.94,17.16,14.34,12.41,10.66,9.06,8.0,8.31,9.0,9.25,9.41,10.44,11.62,12.38,12.12,12.44,13.22,14.22,15.16,16.47,18.53,20.75,21.97,22.5,23.53,24.59,24.69,23.97,23.59,22.75,20.94,17.88,14.78,12.19,9.56,7.0,5.56,5.75,6.78,8.16,9.53,12.25,15.56,18.59,21.38,24.22,26.88,28.28,27.75,26.44,24.97,23.44,20.84,18.44,17.28,16.41,15.25,13.72,13.66,14.06,14.03,13.56,13.22,12.91,12.59,11.38,10.69,10.78,10.69,9.81,8.5,7.97,8.44,8.84,10.16,13.0,16.56,20.0,22.06,23.53,24.28,23.78,21.62,19.25,17.62,16.44,15.25,14.56,15.56,16.91,17.75,17.81,18.12,18.5,18.72,18.66,19.38,21.59,24.0,25.5,26.72,27.81,28.5,27.69,26.47,25.72,25.25,24.16,23.0,22.19,22.28,22.41,22.28,22.5,23.56,25.09,25.44,25.94,26.91,27.78,27.44,26.5,26.06,25.44,24.94,23.97,23.75,24.22,24.44,24.06,23.59,23.25,23.44,22.78,21.81,21.28,21.28,20.5,19.09,17.75,16.81,16.25,15.19,15.44,16.91,19.06,20.47,22.38,24.16,25.62,25.75,25.34,24.69,24.28,23.12,21.66,20.84,20.56,21.16,21.47,22.38,23.97,25.59,25.94,25.62,25.56,25.72,24.84,23.75,22.94,22.25,20.72,18.91,18.0,18.09,18.66,19.53,21.0,22.44,24.06,24.12,23.38,22.72,22.03,20.75,19.69,18.5,18.78,18.41,17.31,16.44,16.53,16.81,16.69,17.03,18.0,19.28,19.41,19.53,19.41,19.78,19.78,19.88,20.09,21.16,21.94,21.62,21.34,21.81,22.28,22.0,22.06,21.81,22.09,20.84,18.94,16.91,15.5,14.16,13.12,13.0,14.84,17.09,19.28,21.34,23.97,26.19,27.09,27.31,27.34,27.38,26.25,24.62,22.88,21.28,19.34,17.31,15.81,16.0,16.5,17.38,18.47,20.72,23.0,24.84,25.62,26.16,26.91,26.62,26.19,26.44,27.38,28.5,28.66,28.34,28.62,28.12,26.81,25.44,24.88,24.72,24.06,23.12,22.41,22.5,22.09,21.25,20.19,19.78,19.12,17.78,16.75,17.06,18.03,18.09,17.78,17.94,17.72,16.75,15.56,14.94,15.25,15.88,16.19,16.19,16.91,17.31,16.72,16.34,17.41,19.31,21.06,23.0,25.25,27.5,28.81,28.94,28.03,26.94,25.38,23.0,20.72,20.19,19.97,19.41,18.75,18.47,17.88,16.75,15.28,14.38,14.5,15.16,15.19,14.62,14.53,14.19,12.78,11.66,11.94,12.56,12.84,13.0,14.12,15.47,16.12,16.0,15.62,15.31,14.91,14.06,13.03,13.22,13.34,13.22,13.28,14.53,16.78,18.0,18.41,18.72,18.59,17.88,16.56,15.66,15.75,15.22,14.62,13.94,13.81,13.81,13.31,12.62,12.88,14.41,15.25,15.88,17.03,17.62,17.44,15.84,14.19,13.78,13.47,13.19,13.12,14.47,16.06,16.72,16.28,16.5,16.56,16.22,15.25,14.88,15.06,15.41,14.84,14.66,15.69,16.94,17.44,17.34,18.19,18.41,17.72,16.28,15.66,15.56,15.97,16.38,17.31,19.12,21.0,21.69,22.56,24.0,25.78,26.91,27.56,29.06,30.09,30.56,29.72,29.03,28.25,27.06,24.88,22.91,22.44,21.94,20.59,19.62,19.34,19.25,18.38,17.44,17.28,17.53,17.69,17.75,18.41,20.0,21.22,21.0,20.66,20.84,20.69,19.97,19.25,19.16,19.75,20.0,20.16,20.62,21.59,22.75,22.56,22.94,24.38,26.0,26.22,26.5,27.5,28.03,27.38,25.69,24.5,24.12,23.41,22.56,22.66,23.31,23.66,23.19,22.97,23.91,25.19,25.47,25.97,27.28,28.47,28.44,27.91,27.09,25.66,23.59,20.19,17.84,17.0,16.88,16.94,18.06,20.22,22.19,23.0,23.31,24.28,25.28,25.28,24.53,23.81,23.38,22.5,20.97,20.16,20.25,20.53,19.41,18.72,17.97,17.53,16.56,15.91,16.28,17.62,18.62,18.81,19.03,19.88,20.5,20.59,21.12,22.25,23.81,23.59,23.16,23.25,23.28,22.09,20.22,19.16,18.69,18.03,16.91,15.72,14.66,13.44,11.59,10.53,11.59,13.97,15.28,16.78,18.62,21.25,22.06,22.47,23.12,24.22,24.56,23.47,22.66,22.69,22.75,22.0,21.62,22.22,22.75,21.38,20.19,19.84,19.97,20.06,19.91,20.81,22.09,22.84,23.16,23.38,24.28,24.72,24.09,23.69,24.03,25.25,25.81,26.91,28.75,31.03,32.19,32.62,33.22,33.94,34.03,32.88,31.59,31.22,30.84,30.12,29.69,30.28,31.81,31.97,31.69,31.56,31.88,30.53,28.0,25.34,23.41,21.34,19.09,18.25,18.91,19.62,19.62,19.53,20.09,21.75,22.66,23.19,24.53,26.25,27.38,27.31,27.31,27.88,27.88,27.06,26.09,25.94,25.34,23.62,21.53,20.22,19.78,19.03,18.06,17.66,18.0,17.53,15.91,15.06,16.0,17.38,18.0,19.47,21.44,23.12,23.75,23.66,23.78,23.97,22.97,22.53,23.0,25.16,27.94,30.12,31.97,33.59,34.44,33.5,32.03,31.31,30.94,29.66,28.25,26.84,26.0,24.03,21.62,19.41,17.97,16.28,14.19,12.5,12.31,13.03,13.62,14.47,15.97,17.62,18.41,18.66,19.34,20.94,22.5,23.88,25.41,28.03,30.06,30.75,31.0,31.78,32.69,32.22,31.25,30.44,29.97,28.66,26.75,25.62,25.31,24.84,23.5,22.41,22.91,23.19,23.0,22.81,23.72,25.0,25.25,25.47,26.75,28.69,30.25,30.94,31.69,32.44,31.84,29.69,27.56,26.47,25.97,25.41,24.84,26.12,27.56,28.25,28.81,30.03,31.06,31.25,29.53,26.31,23.41,19.31,14.62,10.22,7.94,6.22,4.62,3.41,3.78,4.72,5.44,6.06,7.53,9.84,12.34,14.28,16.62,20.28,23.66,26.69,29.88,34.0,37.69,40.09,41.34,41.78,41.16,38.28,33.91,29.53,26.06,22.97,20.22,17.91,17.19,16.12,14.62,13.41,13.59,14.94,16.25,17.38,18.88,20.62,21.66,21.75,21.66,22.78,23.5,23.09,22.44,21.91,20.81,18.53,15.44,13.5,11.91,10.56,9.25,9.72,11.31,13.12,14.19,15.59,18.03,20.0,20.88,21.62,22.66,23.0,21.25,18.34,15.19,11.19,6.91,2.12,-0.91,-2.0,-1.41,-0.34,2.06,5.31,7.81,8.41,7.62,7.41,6.84,5.84,4.72,4.53,4.38,4.06,3.5,3.59,4.75,5.75,5.91,5.94,6.56,7.12,7.5,7.66,9.06,11.0,12.59,13.62,15.03,16.81,18.16,18.66,19.22,20.69,21.91,21.97,21.97,22.69,23.78,24.25,24.25,25.12,25.62,25.44,24.0,23.06,22.25,21.34,19.69,18.44,18.31,18.38,17.88,17.34,17.06,16.97,15.88,14.09,12.75,12.25,12.16,12.12:23.81,24.56,25.59,26.25,27.12,28.94,30.84,31.19,31.5,32.5,32.94,32.5,30.97,29.19,27.84,26.44,24.31,23.12,23.31,24.12,24.34,24.84,26.53,28.59,30.06,31.19,32.69,34.56,35.66,35.66,35.94,37.5,38.16,37.62,36.91,36.19,35.78,34.28,33.66,34.56,35.81,37.12,38.0,39.31,40.59,41.53,41.25,40.94,40.91,40.72,39.88,39.0,38.75,38.66,37.19,35.19,33.56,32.19,30.94,29.69,29.25,29.81,30.16,30.0,30.19,31.0,31.94,31.91,32.22,33.19,33.84,33.62,32.69,31.66,30.62,29.09,27.34,26.31,26.5,26.62,26.44,26.34,27.25,28.03,28.0,28.16,28.94,30.25,30.28,30.0,29.84,30.34,30.69,30.75,31.62,33.25,34.41,34.19,33.22,32.53,31.72,30.22,28.88,28.81,29.72,30.12,29.72,29.94,29.94,29.47,27.88,26.56,26.78,27.56,27.72,28.09,29.31,30.72,30.41,29.97,30.78,31.84,32.62,32.94,33.44,34.28,34.38,32.94,31.94,32.19,32.62,32.34,32.31,32.72,33.12,31.97,30.09,28.06,26.62,24.25,21.69,20.16,20.25,20.75,20.62,20.78,21.38,21.91,21.16,20.25,20.12,20.47,19.62,18.47,17.72,17.84,17.84,17.97,18.56,20.5,22.31,23.03,23.97,25.06,25.78,25.53,24.59,24.38,24.91,24.38,23.56,23.09,22.97,22.16,20.78,19.91,20.09,20.5,20.19,19.97,20.38,21.25,20.78,20.19,20.28,20.81,20.28,19.19,18.03,18.12,17.72,16.81,16.44,17.69,18.75,19.16,19.5,20.09,21.22,21.38,21.34,21.75,22.5,22.75,22.56,22.72,24.5,26.53,27.41,28.59,30.47,32.47,33.03,33.19,33.34,33.06,31.53,29.19,27.75,27.59,27.72,28.06,28.78,30.31,31.09,30.69,29.5,29.22,28.47,27.38,26.31,26.09,27.16,27.53,28.25,29.53,31.69,33.34,34.53,35.16,36.28,36.38,35.22,33.56,32.41,32.19,31.41,30.69,30.72,31.78,32.06,31.72,31.31,31.31,30.97,30.12,29.56,30.81,32.97,34.5,35.94,37.56,39.03,39.25,38.0,36.66,36.06,34.53,32.38,30.53,29.5,28.44,26.12,24.06,22.69,21.66,20.56,19.75,20.25,21.72,23.06,24.59,25.72,27.5,27.94,27.19,25.53,24.78,23.75,22.28,21.19,21.31,21.72,22.28,21.91,21.88,21.38,19.94,17.16,14.34,12.41,10.66,9.06,8.0,8.31,9.0,9.25,9.41,10.44,11.62,12.38,12.12,12.44,13.22,14.22,15.16,16.47,18.53,20.75,21.97,22.5,23.53,24.59,24.69,23.97,23.59,22.75,20.94,17.88,14.78,12.19,9.56,7.0,5.56,5.75,6.78,8.16,9.53,12.25,15.56,18.59,21.38,24.22,26.88,28.28,27.75,26.44,24.97,23.44,20.84,18.44,17.28,16.41,15.25,13.72,13.66,14.06,14.03,13.56,13.22,12.91,12.59,11.38,10.69,10.78,10.69,9.81,8.5,7.97,8.44,8.84,10.16,13.0,16.56,20.0,22.06,23.53,24.28,23.78,21.62,19.25,17.62,16.44,15.25,14.56,15.56,16.91,17.75,17.81,18.12,18.5,18.72,18.66,19.38,21.59,24.0,25.5,26.72,27.81,28.5,27.69,26.47,25.72,25.25,24.16,23.0,22.19,22.28,22.41,22.28,22.5,23.56,25.09,25.44,25.94,26.91,27.78,27.44,26.5,26.06,25.44,24.94,23.97,23.75,24.22,24.44,24.06,23.59,23.25,23.44,22.78,21.81,21.28,21.28,20.5,19.09,17.75,16.81,16.25,15.19,15.44,16.91,19.06,20.47,22.38,24.16,25.62,25.75,25.34,24.69,24.28,23.12,21.66,20.84,20.56,21.16,21.47,22.38,23.97,25.59,25.94,25.62,25.56,25.72,24.84,23.75,22.94,22.25,20.72,18.91,18.0,18.09,18.66,19.53,21.0,22.44,24.06,24.12,23.38,22.72,22.03,20.75,19.69,18.5,18.78,18.41,17.31,16.44,16.53,16.81,16.69,17.03,18.0,19.28,19.41,19.53,19.41,19.78,19.78,19.88,20.09,21.16,21.94,21.62,21.34,21.81,22.28,22.0,22.06,21.81,22.09,20.84,18.94,16.91,15.5,14.16,13.12,13.0,14.84,17.09,19.28,21.34,23.97,26.19,27.09,27.31,27.34,27.38,26.25,24.62,22.88,21.28,19.34,17.31,15.81,16.0,16.5,17.38,18.47,20.72,23.0,24.84,25.62,26.16,26.91,26.62,26.19,26.44,27.38,28.5,28.66,28.34,28.62,28.12,26.81,25.44,24.88,24.72,24.06,23.12,22.41,22.5,22.09,21.25,20.19,19.78,19.12,17.78,16.75,17.06,18.03,18.09,17.78,17.94,17.72,16.75,15.56,14.94,15.25,15.88,16.19,16.19,16.91,17.31,16.72,16.34,17.41,19.31,21.06,23.0,25.25,27.5,28.81,28.94,28.03,26.94,25.38,23.0,20.72,20.19,19.97,19.41,18.75,18.47,17.88,16.75,15.28,14.38,14.5,15.16,15.19,14.62,14.53,14.19,12.78,11.66,11.94,12.56,12.84,13.0,14.12,15.47,16.12,16.0,15.62,15.31,14.91,14.06,13.03,13.22,13.34,13.22,13.28,14.53,16.78,18.0,18.41,18.72,18.59,17.88,16.56,15.66,15.75,15.22,14.62,13.94,13.81,13.81,13.31,12.62,12.88,14.41,15.25,15.88,17.03,17.62,17.44,15.84,14.19,13.78,13.47,13.19,13.12,14.47,16.06,16.72,16.28,16.5,16.56,16.22,15.25,14.88,15.06,15.41,14.84,14.66,15.69,16.94,17.44,17.34,18.19,18.41,17.72,16.28,15.66,15.56,15.97,16.38,17.31,19.12,21.0,21.69,22.56,24.0,25.78,26.91,27.56,29.06,30.09,30.56,29.72,29.03,28.25,27.06,24.88,22.91,22.44,21.94,20.59,19.62,19.34,19.25,18.38,17.44,17.28,17.53,17.69,17.75,18.41,20.0,21.22,21.0,20.66,20.84,20.69,19.97,19.25,19.16,19.75,20.0,20.16,20.62,21.59,22.75,22.56,22.94,24.38,26.0,26.22,26.5,27.5,28.03,27.38,25.69,24.5,24.12,23.41,22.56,22.66,23.31,23.66,23.19,22.97,23.91,25.19,25.47,25.97,27.28,28.47,28.44,27.91,27.09,25.66,23.59,20.19,17.84,17.0,16.88,16.94,18.06,20.22,22.19,23.0,23.31,24.28,25.28,25.28,24.53,23.81,23.38,22.5,20.97,20.16,20.25,20.53,19.41,18.72,17.97,17.53,16.56,15.91,16.28,17.62,18.62,18.81,19.03,19.88,20.5,20.59,21.12,22.25,23.81,23.59,23.16,23.25,23.28,22.09,20.22,19.16,18.69,18.03,16.91,15.72,14.66,13.44,11.59,10.53,11.59,13.97,15.28,16.78,18.62,21.25,22.06,22.47,23.12,24.22,24.56,23.47,22.66,22.69,22.75,22.0,21.62,22.22,22.75,21.38,20.19,19.84,19.97,20.06,19.91,20.81,22.09,22.84,23.16,23.38,24.28,24.72,24.09,23.69,24.03,25.25,25.81,26.91,28.75,31.03,32.19,32.62,33.22,33.94,34.03,32.88,31.59,31.22,30.84,30.12,29.69,30.28,31.81,31.97,31.69,31.56,31.88,30.53,28.0,25.34,23.41,21.34,19.09,18.25,18.91,19.62,19.62,19.53,20.09,21.75,22.66,23.19,24.53,26.25,27.38,27.31,27.31,27.88,27.88,27.06,26.09,25.94,25.34,23.62,21.53,20.22,19.78,19.03,18.06,17.66,18.0,17.53,15.91,15.06,16.0,17.38,18.0,19.47,21.44,23.12,23.75,23.66,23.78,23.97,22.97,22.53,23.0,25.16,27.94,30.12,31.97,33.59,34.44,33.5,32.03,31.31,30.94,29.66,28.25,26.84,26.0,24.03,21.62,19.41,17.97,16.28,14.19,12.5,12.31,13.03,13.62,14.47,15.97,17.62,18.41,18.66,19.34,20.94,22.5,23.88,25.41,28.03,30.06,30.75,31.0,31.78,32.69,32.22,31.25,30.44,29.97,28.66,26.75,25.62,25.31,24.84,23.5,22.41,22.91,23.19,23.0,22.81,23.72,25.0,25.25,25.47,26.75,28.69,30.25,30.94,31.69,32.44,31.84,29.69,27.56,26.47,25.97,25.41,24.84,26.12,27.56,28.25,28.81,30.03,31.06,31.25,29.53,26.31,23.41,19.31,14.62,10.22,7.94,6.22,4.62,3.41,3.78,4.72,5.44,6.06,7.53,9.84,12.34,14.28,16.62,20.28,23.66,26.69,29.88,34.0,37.69,40.09,41.34,41.78,41.16,38.28,33.91,29.53,26.06,22.97,20.22,17.91,17.19,16.12,14.62,13.41,13.59,14.94,16.25,17.38,18.88,20.62,21.66,21.75,21.66,22.78,23.5,23.09,22.44,21.91,20.81,18.53,15.44,13.5,11.91,10.56,9.25,9.72,11.31,13.12,14.19,15.59,18.03,20.0,20.88,21.62,22.66,23.0,21.25,18.34,15.19,11.19,6.91,2.12,-0.91,-2.0,-1.41,-0.34,2.06,5.31,7.81,8.41,7.62,7.41,6.84,5.84,4.72,4.53,4.38,4.06,3.5,3.59,4.75,5.75,5.91,5.94,6.56,7.12,7.5,7.66,9.06,11.0,12.59,13.62,15.03,16.81,18.16,18.66,19.22,20.69,21.91,21.97,21.97,22.69,23.78,24.25,24.25,25.12,25.62,25.44,24.0,23.06,22.25,21.34,19.69,18.44,18.31,18.38,17.88,17.34,17.06,16.97,15.88,14.09,12.75,12.25,12.16,12.12,49.34,48.75,47.56,46.34,45.88,45.81,45.88:31.19,31.5,32.5,32.94,32.5,30.97,29.19,27.84,26.44,24.31,23.12,23.31,24.12,24.34,24.84,26.53,28.59,30.06,31.19,32.69,34.56,35.66,35.66,35.94,37.5,38.16,37.62,36.91,36.19,35.78,34.28,33.66,34.56,35.81,37.12,38.0,39.31,40.59,41.53,41.25,40.94,40.91,40.72,39.88,39.0,38.75,38.66,37.19,35.19,33.56,32.19,30.94,29.69,29.25,29.81,30.16,30.0,30.19,31.0,31.94,31.91,32.22,33.19,33.84,33.62,32.69,31.66,30.62,29.09,27.34,26.31,26.5,26.62,26.44,26.34,27.25,28.03,28.0,28.16,28.94,30.25,30.28,30.0,29.84,30.34,30.69,30.75,31.62,33.25,34.41,34.19,33.22,32.53,31.72,30.22,28.88,28.81,29.72,30.12,29.72,29.94,29.94,29.47,27.88,26.56,26.78,27.56,27.72,28.09,29.31,30.72,30.41,29.97,30.78,31.84,32.62,32.94,33.44,34.28,34.38,32.94,31.94,32.19,32.62,32.34,32.31,32.72,33.12,31.97,30.09,28.06,26.62,24.25,21.69,20.16,20.25,20.75,20.62,20.78,21.38,21.91,21.16,20.25,20.12,20.47,19.62,18.47,17.72,17.84,17.84,17.97,18.56,20.5,22.31,23.03,23.97,25.06,25.78,25.53,24.59,24.38,24.91,24.38,23.56,23.09,22.97,22.16,20.78,19.91,20.09,20.5,20.19,19.97,20.38,21.25,20.78,20.19,20.28,20.81,20.28,19.19,18.03,18.12,17.72,16.81,16.44,17.69,18.75,19.16,19.5,20.09,21.22,21.38,21.34,21.75,22.5,22.75,22.56,22.72,24.5,26.53,27.41,28.59,30.47,32.47,33.03,33.19,33.34,33.06,31.53,29.19,27.75,27.59,27.72,28.06,28.78,30.31,31.09,30.69,29.5,29.22,28.47,27.38,26.31,26.09,27.16,27.53,28.25,29.53,31.69,33.34,34.53,35.16,36.28,36.38,35.22,33.56,32.41,32.19,31.41,30.69,30.72,31.78,32.06,31.72,31.31,31.31,30.97,30.12,29.56,30.81,32.97,34.5,35.94,37.56,39.03,39.25,38.0,36.66,36.06,34.53,32.38,30.53,29.5,28.44,26.12,24.06,22.69,21.66,20.56,19.75,20.25,21.72,23.06,24.59,25.72,27.5,27.94,27.19,25.53,24.78,23.75,22.28,21.19,21.31,21.72,22.28,21.91,21.88,21.38,19.94,17.16,14.34,12.41,10.66,9.06,8.0,8.31,9.0,9.25,9.41,10.44,11.62,12.38,12.12,12.44,13.22,14.22,15.16,16.47,18.53,20.75,21.97,22.5,23.53,24.59,24.69,23.97,23.59,22.75,20.94,17.88,14.78,12.19,9.56,7.0,5.56,5.75,6.78,8.16,9.53,12.25,15.56,18.59,21.38,24.22,26.88,28.28,27.75,26.44,24.97,23.44,20.84,18.44,17.28,16.41,15.25,13.72,13.66,14.06,14.03,13.56,13.22,12.91,12.59,11.38,10.69,10.78,10.69,9.81,8.5,7.97,8.44,8.84,10.16,13.0,16.56,20.0,22.06,23.53,24.28,23.78,21.62,19.25,17.62,16.44,15.25,14.56,15.56,16.91,17.75,17.81,18.12,18.5,18.72,18.66,19.38,21.59,24.0,25.5,26.72,27.81,28.5,27.69,26.47,25.72,25.25,24.16,23.0,22.19,22.28,22.41,22.28,22.5,23.56,25.09,25.44,25.94,26.91,27.78,27.44,26.5,26.06,25.44,24.94,23.97,23.75,24.22,24.44,24.06,23.59,23.25,23.44,22.78,21.81,21.28,21.28,20.5,19.09,17.75,16.81,16.25,15.19,15.44,16.91,19.06,20.47,22.38,24.16,25.62,25.75,25.34,24.69,24.28,23.12,21.66,20.84,20.56,21.16,21.47,22.38,23.97,25.59,25.94,25.62,25.56,25.72,24.84,23.75,22.94,22.25,20.72,18.91,18.0,18.09,18.66,19.53,21.0,22.44,24.06,24.12,23.38,22.72,22.03,20.75,19.69,18.5,18.78,18.41,17.31,16.44,16.53,16.81,16.69,17.03,18.0,19.28,19.41,19.53,19.41,19.78,19.78,19.88,20.09,21.16,21.94,21.62,21.34,21.81,22.28,22.0,22.06,21.81,22.09,20.84,18.94,16.91,15.5,14.16,13.12,13.0,14.84,17.09,19.28,21.34,23.97,26.19,27.09,27.31,27.34,27.38,26.25,24.62,22.88,21.28,19.34,17.31,15.81,16.0,16.5,17.38,18.47,20.72,23.0,24.84,25.62,26.16,26.91,26.62,26.19,26.44,27.38,28.5,28.66,28.34,28.62,28.12,26.81,25.44,24.88,24.72,24.06,23.12,22.41,22.5,22.09,21.25,20.19,19.78,19.12,17.78,16.75,17.06,18.03,18.09,17.78,17.94,17.72,16.75,15.56,14.94,15.25,15.88,16.19,16.19,16.91,17.31,16.72,16.34,17.41,19.31,21.06,23.0,25.25,27.5,28.81,28.94,28.03,26.94,25.38,23.0,20.72,20.19,19.97,19.41,18.75,18.47,17.88,16.75,15.28,14.38,14.5,15.16,15.19,14.62,14.53,14.19,12.78,11.66,11.94,12.56,12.84,13.0,14.12,15.47,16.12,16.0,15.62,15.31,14.91,14.06,13.03,13.22,13.34,13.22,13.28,14.53,16.78,18.0,18.41,18.72,18.59,17.88,16.56,15.66,15.75,15.22,14.62,13.94,13.81,13.81,13.31,12.62,12.88,14.41,15.25,15.88,17.03,17.62,17.44,15.84,14.19,13.78,13.47,13.19,13.12,14.47,16.06,16.72,16.28,16.5,16.56,16.22,15.25,14.88,15.06,15.41,14.84,14.66,15.69,16.94,17.44,17.34,18.19,18.41,17.72,16.28,15.66,15.56,15.97,16.38,17.31,19.12,21.0,21.69,22.56,24.0,25.78,26.91,27.56,29.06,30.09,30.56,29.72,29.03,28.25,27.06,24.88,22.91,22.44,21.94,20.59,19.62,19.34,19.25,18.38,17.44,17.28,17.53,17.69,17.75,18.41,20.0,21.22,21.0,20.66,20.84,20.69,19.97,19.25,19.16,19.75,20.0,20.16,20.62,21.59,22.75,22.56,22.94,24.38,26.0,26.22,26.5,27.5,28.03,27.38,25.69,24.5,24.12,23.41,22.56,22.66,23.31,23.66,23.19,22.97,23.91,25.19,25.47,25.97,27.28,28.47,28.44,27.91,27.09,25.66,23.59,20.19,17.84,17.0,16.88,16.94,18.06,20.22,22.19,23.0,23.31,24.28,25.28,25.28,24.53,23.81,23.38,22.5,20.97,20.16,20.25,20.53,19.41,18.72,17.97,17.53,16.56,15.91,16.28,17.62,18.62,18.81,19.03,19.88,20.5,20.59,21.12,22.25,23.81,23.59,23.16,23.25,23.28,22.09,20.22,19.16,18.69,18.03,16.91,15.72,14.66,13.44,11.59,10.53,11.59,13.97,15.28,16.78,18.62,21.25,22.06,22.47,23.12,24.22,24.56,23.47,22.66,22.69,22.75,22.0,21.62,22.22,22.75,21.38,20.19,19.84,19.97,20.06,19.91,20.81,22.09,22.84,23.16,23.38,24.28,24.72,24.09,23.69,24.03,25.25,25.81,26.91,28.75,31.03,32.19,32.62,33.22,33.94,34.03,32.88,31.59,31.22,30.84,30.12,29.69,30.28,31.81,31.97,31.69,31.56,31.88,30.53,28.0,25.34,23.41,21.34,19.09,18.25,18.91,19.62,19.62,19.53,20.09,21.75,22.66,23.19,24.53,26.25,27.38,27.31,27.31,27.88,27.88,27.06,26.09,25.94,25.34,23.62,21.53,20.22,19.78,19.03,18.06,17.66,18.0,17.53,15.91,15.06,16.0,17.38,18.0,19.47,21.44,23.12,23.75,23.66,23.78,23.97,22.97,22.53,23.0,25.16,27.94,30.12,31.97,33.59,34.44,33.5,32.03,31.31,30.94,29.66,28.25,26.84,26.0,24.03,21.62,19.41,17.97,16.28,14.19,12.5,12.31,13.03,13.62,14.47,15.97,17.62,18.41,18.66,19.34,20.94,22.5,23.88,25.41,28.03,30.06,30.75,31.0,31.78,32.69,32.22,31.25,30.44,29.97,28.66,26.75,25.62,25.31,24.84,23.5,22.41,22.91,23.19,23.0,22.81,23.72,25.0,25.25,25.47,26.75,28.69,30.25,30.94,31.69,32.44,31.84,29.69,27.56,26.47,25.97,25.41,24.84,26.12,27.56,28.25,28.81,30.03,31.06,31.25,29.53,26.31,23.41,19.31,14.62,10.22,7.94,6.22,4.62,3.41,3.78,4.72,5.44,6.06,7.53,9.84,12.34,14.28,16.62,20.28,23.66,26.69,29.88,34.0,37.69,40.09,41.34,41.78,41.16,38.28,33.91,29.53,26.06,22.97,20.22,17.91,17.19,16.12,14.62,13.41,13.59,14.94,16.25,17.38,18.88,20.62,21.66,21.75,21.66,22.78,23.5,23.09,22.44,21.91,20.81,18.53,15.44,13.5,11.91,10.56,9.25,9.72,11.31,13.12,14.19,15.59,18.03,20.0,20.88,21.62,22.66,23.0,21.25,18.34,15.19,11.19,6.91,2.12,-0.91,-2.0,-1.41,-0.34,2.06,5.31,7.81,8.41,7.62,7.41,6.84,5.84,4.72,4.53,4.38,4.06,3.5,3.59,4.75,5.75,5.91,5.94,6.56,7.12,7.5,7.66,9.06,11.0,12.59,13.62,15.03,16.81,18.16,18.66,19.22,20.69,21.91,21.97,21.97,22.69,23.78,24.25,24.25,25.12,25.62,25.44,24.0,23.06,22.25,21.34,19.69,18.44,18.31,18.38,17.88,17.34,17.06,16.97,15.88,14.09,12.75,12.25,12.16,12.12,49.34,48.75,47.56,46.34,45.88,45.81,45.88,46.34,47.59,48.91,50.72,52.34,54.06,55.91:27.84,26.44,24.31,23.12,23.31,24.12,24.34,24.84,26.53,28.59,30.06,31.19,32.69,34.56,35.66,35.66,35.94,37.5,38.16,37.62,36.91,36.19,35.78,34.28,33.66,34.56,35.81,37.12,38.0,39.31,40.59,41.53,41.25,40.94,40.91,40.72,39.88,39.0,38.75,38.66,37.19,35.19,33.56,32.19,30.94,29.69,29.25,29.81,30.16,30.0,30.19,31.0,31.94,31.91,32.22,33.19,33.84,33.62,32.69,31.66,30.62,29.09,27.34,26.31,26.5,26.62,26.44,26.34,27.25,28.03,28.0,28.16,28.94,30.25,30.28,30.0,29.84,30.34,30.69,30.75,31.62,33.25,34.41,34.19,33.22,32.53,31.72,30.22,28.88,28.81,29.72,30.12,29.72,29.94,29.94,29.47,27.88,26.56,26.78,27.56,27.72,28.09,29.31,30.72,30.41,29.97,30.78,31.84,32.62,32.94,33.44,34.28,34.38,32.94,31.94,32.19,32.62,32.34,32.31,32.72,33.12,31.97,30.09,28.06,26.62,24.25,21.69,20.16,20.25,20.75,20.62,20.78,21.38,21.91,21.16,20.25,20.12,20.47,19.62,18.47,17.72,17.84,17.84,17.97,18.56,20.5,22.31,23.03,23.97,25.06,25.78,25.53,24.59,24.38,24.91,24.38,23.56,23.09,22.97,22.16,20.78,19.91,20.09,20.5,20.19,19.97,20.38,21.25,20.78,20.19,20.28,20.81,20.28,19.19,18.03,18.12,17.72,16.81,16.44,17.69,18.75,19.16,19.5,20.09,21.22,21.38,21.34,21.75,22.5,22.75,22.56,22.72,24.5,26.53,27.41,28.59,30.47,32.47,33.03,33.19,33.34,33.06,31.53,29.19,27.75,27.59,27.72,28.06,28.78,30.31,31.09,30.69,29.5,29.22,28.47,27.38,26.31,26.09,27.16,27.53,28.25,29.53,31.69,33.34,34.53,35.16,36.28,36.38,35.22,33.56,32.41,32.19,31.41,30.69,30.72,31.78,32.06,31.72,31.31,31.31,30.97,30.12,29.56,30.81,32.97,34.5,35.94,37.56,39.03,39.25,38.0,36.66,36.06,34.53,32.38,30.53,29.5,28.44,26.12,24.06,22.69,21.66,20.56,19.75,20.25,21.72,23.06,24.59,25.72,27.5,27.94,27.19,25.53,24.78,23.75,22.28,21.19,21.31,21.72,22.28,21.91,21.88,21.38,19.94,17.16,14.34,12.41,10.66,9.06,8.0,8.31,9.0,9.25,9.41,10.44,11.62,12.38,12.12,12.44,13.22,14.22,15.16,16.47,18.53,20.75,21.97,22.5,23.53,24.59,24.69,23.97,23.59,22.75,20.94,17.88,14.78,12.19,9.56,7.0,5.56,5.75,6.78,8.16,9.53,12.25,15.56,18.59,21.38,24.22,26.88,28.28,27.75,26.44,24.97,23.44,20.84,18.44,17.28,16.41,15.25,13.72,13.66,14.06,14.03,13.56,13.22,12.91,12.59,11.38,10.69,10.78,10.69,9.81,8.5,7.97,8.44,8.84,10.16,13.0,16.56,20.0,22.06,23.53,24.28,23.78,21.62,19.25,17.62,16.44,15.25,14.56,15.56,16.91,17.75,17.81,18.12,18.5,18.72,18.66,19.38,21.59,24.0,25.5,26.72,27.81,28.5,27.69,26.47,25.72,25.25,24.16,23.0,22.19,22.28,22.41,22.28,22.5,23.56,25.09,25.44,25.94,26.91,27.78,27.44,26.5,26.06,25.44,24.94,23.97,23.75,24.22,24.44,24.06,23.59,23.25,23.44,22.78,21.81,21.28,21.28,20.5,19.09,17.75,16.81,16.25,15.19,15.44,16.91,19.06,20.47,22.38,24.16,25.62,25.75,25.34,24.69,24.28,23.12,21.66,20.84,20.56,21.16,21.47,22.38,23.97,25.59,25.94,25.62,25.56,25.72,24.84,23.75,22.94,22.25,20.72,18.91,18.0,18.09,18.66,19.53,21.0,22.44,24.06,24.12,23.38,22.72,22.03,20.75,19.69,18.5,18.78,18.41,17.31,16.44,16.53,16.81,16.69,17.03,18.0,19.28,19.41,19.53,19.41,19.78,19.78,19.88,20.09,21.16,21.94,21.62,21.34,21.81,22.28,22.0,22.06,21.81,22.09,20.84,18.94,16.91,15.5,14.16,13.12,13.0,14.84,17.09,19.28,21.34,23.97,26.19,27.09,27.31,27.34,27.38,26.25,24.62,22.88,21.28,19.34,17.31,15.81,16.0,16.5,17.38,18.47,20.72,23.0,24.84,25.62,26.16,26.91,26.62,26.19,26.44,27.38,28.5,28.66,28.34,28.62,28.12,26.81,25.44,24.88,24.72,24.06,23.12,22.41,22.5,22.09,21.25,20.19,19.78,19.12,17.78,16.75,17.06,18.03,18.09,17.78,17.94,17.72,16.75,15.56,14.94,15.25,15.88,16.19,16.19,16.91,17.31,16.72,16.34,17.41,19.31,21.06,23.0,25.25,27.5,28.81,28.94,28.03,26.94,25.38,23.0,20.72,20.19,19.97,19.41,18.75,18.47,17.88,16.75,15.28,14.38,14.5,15.16,15.19,14.62,14.53,14.19,12.78,11.66,11.94,12.56,12.84,13.0,14.12,15.47,16.12,16.0,15.62,15.31,14.91,14.06,13.03,13.22,13.34,13.22,13.28,14.53,16.78,18.0,18.41,18.72,18.59,17.88,16.56,15.66,15.75,15.22,14.62,13.94,13.81,13.81,13.31,12.62,12.88,14.41,15.25,15.88,17.03,17.62,17.44,15.84,14.19,13.78,13.47,13.19,13.12,14.47,16.06,16.72,16.28,16.5,16.56,16.22,15.25,14.88,15.06,15.41,14.84,14.66,15.69,16.94,17.44,17.34,18.19,18.41,17.72,16.28,15.66,15.56,15.97,16.38,17.31,19.12,21.0,21.69,22.56,24.0,25.78,26.91,27.56,29.06,30.09,30.56,29.72,29.03,28.25,27.06,24.88,22.91,22.44,21.94,20.59,19.62,19.34,19.25,18.38,17.44,17.28,17.53,17.69,17.75,18.41,20.0,21.22,21.0,20.66,20.84,20.69,19.97,19.25,19.16,19.75,20.0,20.16,20.62,21.59,22.75,22.56,22.94,24.38,26.0,26.22,26.5,27.5,28.03,27.38,25.69,24.5,24.12,23.41,22.56,22.66,23.31,23.66,23.19,22.97,23.91,25.19,25.47,25.97,27.28,28.47,28.44,27.91,27.09,25.66,23.59,20.19,17.84,17.0,16.88,16.94,18.06,20.22,22.19,23.0,23.31,24.28,25.28,25.28,24.53,23.81,23.38,22.5,20.97,20.16,20.25,20.53,19.41,18.72,17.97,17.53,16.56,15.91,16.28,17.62,18.62,18.81,19.03,19.88,20.5,20.59,21.12,22.25,23.81,23.59,23.16,23.25,23.28,22.09,20.22,19.16,18.69,18.03,16.91,15.72,14.66,13.44,11.59,10.53,11.59,13.97,15.28,16.78,18.62,21.25,22.06,22.47,23.12,24.22,24.56,23.47,22.66,22.69,22.75,22.0,21.62,22.22,22.75,21.38,20.19,19.84,19.97,20.06,19.91,20.81,22.09,22.84,23.16,23.38,24.28,24.72,24.09,23.69,24.03,25.25,25.81,26.91,28.75,31.03,32.19,32.62,33.22,33.94,34.03,32.88,31.59,31.22,30.84,30.12,29.69,30.28,31.81,31.97,31.69,31.56,31.88,30.53,28.0,25.34,23.41,21.34,19.09,18.25,18.91,19.62,19.62,19.53,20.09,21.75,22.66,23.19,24.53,26.25,27.38,27.31,27.31,27.88,27.88,27.06,26.09,25.94,25.34,23.62,21.53,20.22,19.78,19.03,18.06,17.66,18.0,17.53,15.91,15.06,16.0,17.38,18.0,19.47,21.44,23.12,23.75,23.66,23.78,23.97,22.97,22.53,23.0,25.16,27.94,30.12,31.97,33.59,34.44,33.5,32.03,31.31,30.94,29.66,28.25,26.84,26.0,24.03,21.62,19.41,17.97,16.28,14.19,12.5,12.31,13.03,13.62,14.47,15.97,17.62,18.41,18.66,19.34,20.94,22.5,23.88,25.41,28.03,30.06,30.75,31.0,31.78,32.69,32.22,31.25,30.44,29.97,28.66,26.75,25.62,25.31,24.84,23.5,22.41,22.91,23.19,23.0,22.81,23.72,25.0,25.25,25.47,26.75,28.69,30.25,30.94,31.69,32.44,31.84,29.69,27.56,26.47,25.97,25.41,24.84,26.12,27.56,28.25,28.81,30.03,31.06,31.25,29.53,26.31,23.41,19.31,14.62,10.22,7.94,6.22,4.62,3.41,3.78,4.72,5.44,6.06,7.53,9.84,12.34,14.28,16.62,20.28,23.66,26.69,29.88,34.0,37.69,40.09,41.34,41.78,41.16,38.28,33.91,29.53,26.06,22.97,20.22,17.91,17.19,16.12,14.62,13.41,13.59,14.94,16.25,17.38,18.88,20.62,21.66,21.75,21.66,22.78,23.5,23.09,22.44,21.91,20.81,18.53,15.44,13.5,11.91,10.56,9.25,9.72,11.31,13.12,14.19,15.59,18.03,20.0,20.88,21.62,22.66,23.0,21.25,18.34,15.19,11.19,6.91,2.12,-0.91,-2.0,-1.41,-0.34,2.06,5.31,7.81,8.41,7.62,7.41,6.84,5.84,4.72,4.53,4.38,4.06,3.5,3.59,4.75,5.75,5.91,5.94,6.56,7.12,7.5,7.66,9.06,11.0,12.59,13.62,15.03,16.81,18.16,18.66,19.22,20.69,21.91,21.97,21.97,22.69,23.78,24.25,24.25,25.12,25.62,25.44,24.0,23.06,22.25,21.34,19.69,18.44,18.31,18.38,17.88,17.34,17.06,16.97,15.88,14.09,12.75,12.25,12.16,12.12,49.34,48.75,47.56,46.34,45.88,45.81,45.88,46.34,47.59,48.91,50.72,52.34,54.06,55.91,57.72,59.34,60.94,62.06,62.94,63.12,62.34:24.84,26.53,28.59,30.06,31.19,32.69,34.56,35.66,35.66,35.94,37.5,38.16,37.62,36.91,36.19,35.78,34.28,33.66,34.56,35.81,37.12,38.0,39.31,40.59,41.53,41.25,40.94,40.91,40.72,39.88,39.0,38.75,38.66,37.19,35.19,33.56,32.19,30.94,29.69,29.25,29.81,30.16,30.0,30.19,31.0,31.94,31.91,32.22,33.19,33.84,33.62,32.69,31.66,30.62,29.09,27.34,26.31,26.5,26.62,26.44,26.34,27.25,28.03,28.0,28.16,28.94,30.25,30.28,30.0,29.84,30.34,30.69,30.75,31.62,33.25,34.41,34.19,33.22,32.53,31.72,30.22,28.88,28.81,29.72,30.12,29.72,29.94,29.94,29.47,27.88,26.56,26.78,27.56,27.72,28.09,29.31,30.72,30.41,29.97,30.78,31.84,32.62,32.94,33.44,34.28,34.38,32.94,31.94,32.19,32.62,32.34,32.31,32.72,33.12,31.97,30.09,28.06,26.62,24.25,21.69,20.16,20.25,20.75,20.62,20.78,21.38,21.91,21.16,20.25,20.12,20.47,19.62,18.47,17.72,17.84,17.84,17.97,18.56,20.5,22.31,23.03,23.97,25.06,25.78,25.53,24.59,24.38,24.91,24.38,23.56,23.09,22.97,22.16,20.78,19.91,20.09,20.5,20.19,19.97,20.38,21.25,20.78,20.19,20.28,20.81,20.28,19.19,18.03,18.12,17.72,16.81,16.44,17.69,18.75,19.16,19.5,20.09,21.22,21.38,21.34,21.75,22.5,22.75,22.56,22.72,24.5,26.53,27.41,28.59,30.47,32.47,33.03,33.19,33.34,33.06,31.53,29.19,27.75,27.59,27.72,28.06,28.78,30.31,31.09,30.69,29.5,29.22,28.47,27.38,26.31,26.09,27.16,27.53,28.25,29.53,31.69,33.34,34.53,35.16,36.28,36.38,35.22,33.56,32.41,32.19,31.41,30.69,30.72,31.78,32.06,31.72,31.31,31.31,30.97,30.12,29.56,30.81,32.97,34.5,35.94,37.56,39.03,39.25,38.0,36.66,36.06,34.53,32.38,30.53,29.5,28.44,26.12,24.06,22.69,21.66,20.56,19.75,20.25,21.72,23.06,24.59,25.72,27.5,27.94,27.19,25.53,24.78,23.75,22.28,21.19,21.31,21.72,22.28,21.91,21.88,21.38,19.94,17.16,14.34,12.41,10.66,9.06,8.0,8.31,9.0,9.25,9.41,10.44,11.62,12.38,12.12,12.44,13.22,14.22,15.16,16.47,18.53,20.75,21.97,22.5,23.53,24.59,24.69,23.97,23.59,22.75,20.94,17.88,14.78,12.19,9.56,7.0,5.56,5.75,6.78,8.16,9.53,12.25,15.56,18.59,21.38,24.22,26.88,28.28,27.75,26.44,24.97,23.44,20.84,18.44,17.28,16.41,15.25,13.72,13.66,14.06,14.03,13.56,13.22,12.91,12.59,11.38,10.69,10.78,10.69,9.81,8.5,7.97,8.44,8.84,10.16,13.0,16.56,20.0,22.06,23.53,24.28,23.78,21.62,19.25,17.62,16.44,15.25,14.56,15.56,16.91,17.75,17.81,18.12,18.5,18.72,18.66,19.38,21.59,24.0,25.5,26.72,27.81,28.5,27.69,26.47,25.72,25.25,24.16,23.0,22.19,22.28,22.41,22.28,22.5,23.56,25.09,25.44,25.94,26.91,27.78,27.44,26.5,26.06,25.44,24.94,23.97,23.75,24.22,24.44,24.06,23.59,23.25,23.44,22.78,21.81,21.28,21.28,20.5,19.09,17.75,16.81,16.25,15.19,15.44,16.91,19.06,20.47,22.38,24.16,25.62,25.75,25.34,24.69,24.28,23.12,21.66,20.84,20.56,21.16,21.47,22.38,23.97,25.59,25.94,25.62,25.56,25.72,24.84,23.75,22.94,22.25,20.72,18.91,18.0,18.09,18.66,19.53,21.0,22.44,24.06,24.12,23.38,22.72,22.03,20.75,19.69,18.5,18.78,18.41,17.31,16.44,16.53,16.81,16.69,17.03,18.0,19.28,19.41,19.53,19.41,19.78,19.78,19.88,20.09,21.16,21.94,21.62,21.34,21.81,22.28,22.0,22.06,21.81,22.09,20.84,18.94,16.91,15.5,14.16,13.12,13.0,14.84,17.09,19.28,21.34,23.97,26.19,27.09,27.31,27.34,27.38,26.25,24.62,22.88,21.28,19.34,17.31,15.81,16.0,16.5,17.38,18.47,20.72,23.0,24.84,25.62,26.16,26.91,26.62,26.19,26.44,27.38,28.5,28.66,28.34,28.62,28.12,26.81,25.44,24.88,24.72,24.06,23.12,22.41,22.5,22.09,21.25,20.19,19.78,19.12,17.78,16.75,17.06,18.03,18.09,17.78,17.94,17.72,16.75,15.56,14.94,15.25,15.88,16.19,16.19,16.91,17.31,16.72,16.34,17.41,19.31,21.06,23.0,25.25,27.5,28.81,28.94,28.03,26.94,25.38,23.0,20.72,20.19,19.97,19.41,18.75,18.47,17.88,16.75,15.28,14.38,14.5,15.16,15.19,14.62,14.53,14.19,12.78,11.66,11.94,12.56,12.84,13.0,14.12,15.47,16.12,16.0,15.62,15.31,14.91,14.06,13.03,13.22,13.34,13.22,13.28,14.53,16.78,18.0,18.41,18.72,18.59,17.88,16.56,15.66,15.75,15.22,14.62,13.94,13.81,13.81,13.31,12.62,12.88,14.41,15.25,15.88,17.03,17.62,17.44,15.84,14.19,13.78,13.47,13.19,13.12,14.47,16.06,16.72,16.28,16.5,16.56,16.22,15.25,14.88,15.06,15.41,14.84,14.66,15.69,16.94,17.44,17.34,18.19,18.41,17.72,16.28,15.66,15.56,15.97,16.38,17.31,19.12,21.0,21.69,22.56,24.0,25.78,26.91,27.56,29.06,30.09,30.56,29.72,29.03,28.25,27.06,24.88,22.91,22.44,21.94,20.59,19.62,19.34,19.25,18.38,17.44,17.28,17.53,17.69,17.75,18.41,20.0,21.22,21.0,20.66,20.84,20.69,19.97,19.25,19.16,19.75,20.0,20.16,20.62,21.59,22.75,22.56,22.94,24.38,26.0,26.22,26.5,27.5,28.03,27.38,25.69,24.5,24.12,23.41,22.56,22.66,23.31,23.66,23.19,22.97,23.91,25.19,25.47,25.97,27.28,28.47,28.44,27.91,27.09,25.66,23.59,20.19,17.84,17.0,16.88,16.94,18.06,20.22,22.19,23.0,23.31,24.28,25.28,25.28,24.53,23.81,23.38,22.5,20.97,20.16,20.25,20.53,19.41,18.72,17.97,17.53,16.56,15.91,16.28,17.62,18.62,18.81,19.03,19.88,20.5,20.59,21.12,22.25,23.81,23.59,23.16,23.25,23.28,22.09,20.22,19.16,18.69,18.03,16.91,15.72,14.66,13.44,11.59,10.53,11.59,13.97,15.28,16.78,18.62,21.25,22.06,22.47,23.12,24.22,24.56,23.47,22.66,22.69,22.75,22.0,21.62,22.22,22.75,21.38,20.19,19.84,19.97,20.06,19.91,20.81,22.09,22.84,23.16,23.38,24.28,24.72,24.09,23.69,24.03,25.25,25.81,26.91,28.75,31.03,32.19,32.62,33.22,33.94,34.03,32.88,31.59,31.22,30.84,30.12,29.69,30.28,31.81,31.97,31.69,31.56,31.88,30.53,28.0,25.34,23.41,21.34,19.09,18.25,18.91,19.62,19.62,19.53,20.09,21.75,22.66,23.19,24.53,26.25,27.38,27.31,27.31,27.88,27.88,27.06,26.09,25.94,25.34,23.62,21.53,20.22,19.78,19.03,18.06,17.66,18.0,17.53,15.91,15.06,16.0,17.38,18.0,19.47,21.44,23.12,23.75,23.66,23.78,23.97,22.97,22.53,23.0,25.16,27.94,30.12,31.97,33.59,34.44,33.5,32.03,31.31,30.94,29.66,28.25,26.84,26.0,24.03,21.62,19.41,17.97,16.28,14.19,12.5,12.31,13.03,13.62,14.47,15.97,17.62,18.41,18.66,19.34,20.94,22.5,23.88,25.41,28.03,30.06,30.75,31.0,31.78,32.69,32.22,31.25,30.44,29.97,28.66,26.75,25.62,25.31,24.84,23.5,22.41,22.91,23.19,23.0,22.81,23.72,25.0,25.25,25.47,26.75,28.69,30.25,30.94,31.69,32.44,31.84,29.69,27.56,26.47,25.97,25.41,24.84,26.12,27.56,28.25,28.81,30.03,31.06,31.25,29.53,26.31,23.41,19.31,14.62,10.22,7.94,6.22,4.62,3.41,3.78,4.72,5.44,6.06,7.53,9.84,12.34,14.28,16.62,20.28,23.66,26.69,29.88,34.0,37.69,40.09,41.34,41.78,41.16,38.28,33.91,29.53,26.06,22.97,20.22,17.91,17.19,16.12,14.62,13.41,13.59,14.94,16.25,17.38,18.88,20.62,21.66,21.75,21.66,22.78,23.5,23.09,22.44,21.91,20.81,18.53,15.44,13.5,11.91,10.56,9.25,9.72,11.31,13.12,14.19,15.59,18.03,20.0,20.88,21.62,22.66,23.0,21.25,18.34,15.19,11.19,6.91,2.12,-0.91,-2.0,-1.41,-0.34,2.06,5.31,7.81,8.41,7.62,7.41,6.84,5.84,4.72,4.53,4.38,4.06,3.5,3.59,4.75,5.75,5.91,5.94,6.56,7.12,7.5,7.66,9.06,11.0,12.59,13.62,15.03,16.81,18.16,18.66,19.22,20.69,21.91,21.97,21.97,22.69,23.78,24.25,24.25,25.12,25.62,25.44,24.0,23.06,22.25,21.34,19.69,18.44,18.31,18.38,17.88,17.34,17.06,16.97,15.88,14.09,12.75,12.25,12.16,12.12,49.34,48.75,47.56,46.34,45.88,45.81,45.88,46.34,47.59,48.91,50.72,52.34,54.06,55.91,57.72,59.34,60.94,62.06,62.94,63.12,62.34,61.5,60.81,59.69,58.94,58.66,58.78,59.38:35.66,35.66,35.94,37.5,38.16,37.62,36.91,36.19,35.78,34.28,33.66,34.56,35.81,37.12,38.0,39.31,40.59,41.53,41.25,40.94,40.91,40.72,39.88,39.0,38.75,38.66,37.19,35.19,33.56,32.19,30.94,29.69,29.25,29.81,30.16,30.0,30.19,31.0,31.94,31.91,32.22,33.19,33.84,33.62,32.69,31.66,30.62,29.09,27.34,26.31,26.5,26.62,26.44,26.34,27.25,28.03,28.0,28.16,28.94,30.25,30.28,30.0,29.84,30.34,30.69,30.75,31.62,33.25,34.41,34.19,33.22,32.53,31.72,30.22,28.88,28.81,29.72,30.12,29.72,29.94,29.94,29.47,27.88,26.56,26.78,27.56,27.72,28.09,29.31,30.72,30.41,29.97,30.78,31.84,32.62,32.94,33.44,34.28,34.38,32.94,31.94,32.19,32.62,32.34,32.31,32.72,33.12,31.97,30.09,28.06,26.62,24.25,21.69,20.16,20.25,20.75,20.62,20.78,21.38,21.91,21.16,20.25,20.12,20.47,19.62,18.47,17.72,17.84,17.84,17.97,18.56,20.5,22.31,23.03,23.97,25.06,25.78,25.53,24.59,24.38,24.91,24.38,23.56,23.09,22.97,22.16,20.78,19.91,20.09,20.5,20.19,19.97,20.38,21.25,20.78,20.19,20.28,20.81,20.28,19.19,18.03,18.12,17.72,16.81,16.44,17.69,18.75,19.16,19.5,20.09,21.22,21.38,21.34,21.75,22.5,22.75,22.56,22.72,24.5,26.53,27.41,28.59,30.47,32.47,33.03,33.19,33.34,33.06,31.53,29.19,27.75,27.59,27.72,28.06,28.78,30.31,31.09,30.69,29.5,29.22,28.47,27.38,26.31,26.09,27.16,27.53,28.25,29.53,31.69,33.34,34.53,35.16,36.28,36.38,35.22,33.56,32.41,32.19,31.41,30.69,30.72,31.78,32.06,31.72,31.31,31.31,30.97,30.12,29.56,30.81,32.97,34.5,35.94,37.56,39.03,39.25,38.0,36.66,36.06,34.53,32.38,30.53,29.5,28.44,26.12,24.06,22.69,21.66,20.56,19.75,20.25,21.72,23.06,24.59,25.72,27.5,27.94,27.19,25.53,24.78,23.75,22.28,21.19,21.31,21.72,22.28,21.91,21.88,21.38,19.94,17.16,14.34,12.41,10.66,9.06,8.0,8.31,9.0,9.25,9.41,10.44,11.62,12.38,12.12,12.44,13.22,14.22,15.16,16.47,18.53,20.75,21.97,22.5,23.53,24.59,24.69,23.97,23.59,22.75,20.94,17.88,14.78,12.19,9.56,7.0,5.56,5.75,6.78,8.16,9.53,12.25,15.56,18.59,21.38,24.22,26.88,28.28,27.75,26.44,24.97,23.44,20.84,18.44,17.28,16.41,15.25,13.72,13.66,14.06,14.03,13.56,13.22,12.91,12.59,11.38,10.69,10.78,10.69,9.81,8.5,7.97,8.44,8.84,10.16,13.0,16.56,20.0,22.06,23.53,24.28,23.78,21.62,19.25,17.62,16.44,15.25,14.56,15.56,16.91,17.75,17.81,18.12,18.5,18.72,18.66,19.38,21.59,24.0,25.5,26.72,27.81,28.5,27.69,26.47,25.72,25.25,24.16,23.0,22.19,22.28,22.41,22.28,22.5,23.56,25.09,25.44,25.94,26.91,27.78,27.44,26.5,26.06,25.44,24.94,23.97,23.75,24.22,24.44,24.06,23.59,23.25,23.44,22.78,21.81,21.28,21.28,20.5,19.09,17.75,16.81,16.25,15.19,15.44,16.91,19.06,20.47,22.38,24.16,25.62,25.75,25.34,24.69,24.28,23.12,21.66,20.84,20.56,21.16,21.47,22.38,23.97,25.59,25.94,25.62,25.56,25.72,24.84,23.75,22.94,22.25,20.72,18.91,18.0,18.09,18.66,19.53,21.0,22.44,24.06,24.12,23.38,22.72,22.03,20.75,19.69,18.5,18.78,18.41,17.31,16.44,16.53,16.81,16.69,17.03,18.0,19.28,19.41,19.53,19.41,19.78,19.78,19.88,20.09,21.16,21.94,21.62,21.34,21.81,22.28,22.0,22.06,21.81,22.09,20.84,18.94,16.91,15.5,14.16,13.12,13.0,14.84,17.09,19.28,21.34,23.97,26.19,27.09,27.31,27.34,27.38,26.25,24.62,22.88,21.28,19.34,17.31,15.81,16.0,16.5,17.38,18.47,20.72,23.0,24.84,25.62,26.16,26.91,26.62,26.19,26.44,27.38,28.5,28.66,28.34,28.62,28.12,26.81,25.44,24.88,24.72,24.06,23.12,22.41,22.5,22.09,21.25,20.19,19.78,19.12,17.78,16.75,17.06,18.03,18.09,17.78,17.94,17.72,16.75,15.56,14.94,15.25,15.88,16.19,16.19,16.91,17.31,16.72,16.34,17.41,19.31,21.06,23.0,25.25,27.5,28.81,28.94,28.03,26.94,25.38,23.0,20.72,20.19,19.97,19.41,18.75,18.47,17.88,16.75,15.28,14.38,14.5,15.16,15.19,14.62,14.53,14.19,12.78,11.66,11.94,12.56,12.84,13.0,14.12,15.47,16.12,16.0,15.62,15.31,14.91,14.06,13.03,13.22,13.34,13.22,13.28,14.53,16.78,18.0,18.41,18.72,18.59,17.88,16.56,15.66,15.75,15.22,14.62,13.94,13.81,13.81,13.31,12.62,12.88,14.41,15.25,15.88,17.03,17.62,17.44,15.84,14.19,13.78,13.47,13.19,13.12,14.47,16.06,16.72,16.28,16.5,16.56,16.22,15.25,14.88,15.06,15.41,14.84,14.66,15.69,16.94,17.44,17.34,18.19,18.41,17.72,16.28,15.66,15.56,15.97,16.38,17.31,19.12,21.0,21.69,22.56,24.0,25.78,26.91,27.56,29.06,30.09,30.56,29.72,29.03,28.25,27.06,24.88,22.91,22.44,21.94,20.59,19.62,19.34,19.25,18.38,17.44,17.28,17.53,17.69,17.75,18.41,20.0,21.22,21.0,20.66,20.84,20.69,19.97,19.25,19.16,19.75,20.0,20.16,20.62,21.59,22.75,22.56,22.94,24.38,26.0,26.22,26.5,27.5,28.03,27.38,25.69,24.5,24.12,23.41,22.56,22.66,23.31,23.66,23.19,22.97,23.91,25.19,25.47,25.97,27.28,28.47,28.44,27.91,27.09,25.66,23.59,20.19,17.84,17.0,16.88,16.94,18.06,20.22,22.19,23.0,23.31,24.28,25.28,25.28,24.53,23.81,23.38,22.5,20.97,20.16,20.25,20.53,19.41,18.72,17.97,17.53,16.56,15.91,16.28,17.62,18.62,18.81,19.03,19.88,20.5,20.59,21.12,22.25,23.81,23.59,23.16,23.25,23.28,22.09,20.22,19.16,18.69,18.03,16.91,15.72,14.66,13.44,11.59,10.53,11.59,13.97,15.28,16.78,18.62,21.25,22.06,22.47,23.12,24.22,24.56,23.47,22.66,22.69,22.75,22.0,21.62,22.22,22.75,21.38,20.19,19.84,19.97,20.06,19.91,20.81,22.09,22.84,23.16,23.38,24.28,24.72,24.09,23.69,24.03,25.25,25.81,26.91,28.75,31.03,32.19,32.62,33.22,33.94,34.03,32.88,31.59,31.22,30.84,30.12,29.69,30.28,31.81,31.97,31.69,31.56,31.88,30.53,28.0,25.34,23.41,21.34,19.09,18.25,18.91,19.62,19.62,19.53,20.09,21.75,22.66,23.19,24.53,26.25,27.38,27.31,27.31,27.88,27.88,27.06,26.09,25.94,25.34,23.62,21.53,20.22,19.78,19.03,18.06,17.66,18.0,17.53,15.91,15.06,16.0,17.38,18.0,19.47,21.44,23.12,23.75,23.66,23.78,23.97,22.97,22.53,23.0,25.16,27.94,30.12,31.97,33.59,34.44,33.5,32.03,31.31,30.94,29.66,28.25,26.84,26.0,24.03,21.62,19.41,17.97,16.28,14.19,12.5,12.31,13.03,13.62,14.47,15.97,17.62,18.41,18.66,19.34,20.94,22.5,23.88,25.41,28.03,30.06,30.75,31.0,31.78,32.69,32.22,31.25,30.44,29.97,28.66,26.75,25.62,25.31,24.84,23.5,22.41,22.91,23.19,23.0,22.81,23.72,25.0,25.25,25.47,26.75,28.69,30.25,30.94,31.69,32.44,31.84,29.69,27.56,26.47,25.97,25.41,24.84,26.12,27.56,28.25,28.81,30.03,31.06,31.25,29.53,26.31,23.41,19.31,14.62,10.22,7.94,6.22,4.62,3.41,3.78,4.72,5.44,6.06,7.53,9.84,12.34,14.28,16.62,20.28,23.66,26.69,29.88,34.0,37.69,40.09,41.34,41.78,41.16,38.28,33.91,29.53,26.06,22.97,20.22,17.91,17.19,16.12,14.62,13.41,13.59,14.94,16.25,17.38,18.88,20.62,21.66,21.75,21.66,22.78,23.5,23.09,22.44,21.91,20.81,18.53,15.44,13.5,11.91,10.56,9.25,9.72,11.31,13.12,14.19,15.59,18.03,20.0,20.88,21.62,22.66,23.0,21.25,18.34,15.19,11.19,6.91,2.12,-0.91,-2.0,-1.41,-0.34,2.06,5.31,7.81,8.41,7.62,7.41,6.84,5.84,4.72,4.53,4.38,4.06,3.5,3.59,4.75,5.75,5.91,5.94,6.56,7.12,7.5,7.66,9.06,11.0,12.59,13.62,15.03,16.81,18.16,18.66,19.22,20.69,21.91,21.97,21.97,22.69,23.78,24.25,24.25,25.12,25.62,25.44,24.0,23.06,22.25,21.34,19.69,18.44,18.31,18.38,17.88,17.34,17.06,16.97,15.88,14.09,12.75,12.25,12.16,12.12,49.34,48.75,47.56,46.34,45.88,45.81,45.88,46.34,47.59,48.91,50.72,52.34,54.06,55.91,57.72,59.34,60.94,62.06,62.94,63.12,62.34,61.5,60.81,59.69,58.94,58.66,58.78,59.38,59.44,59.78,60.59,61.72,62.47,62.97,63.31:36.19,35.78,34.28,33.66,34.56,35.81,37.12,38.0,39.31,40.59,41.53,41.25,40.94,40.91,40.72,39.88,39.0,38.75,38.66,37.19,35.19,33.56,32.19,30.94,29.69,29.25,29.81,30.16,30.0,30.19,31.0,31.94,31.91,32.22,33.19,33.84,33.62,32.69,31.66,30.62,29.09,27.34,26.31,26.5,26.62,26.44,26.34,27.25,28.03,28.0,28.16,28.94,30.25,30.28,30.0,29.84,30.34,30.69,30.75,31.62,33.25,34.41,34.19,33.22,32.53,31.72,30.22,28.88,28.81,29.72,30.12,29.72,29.94,29.94,29.47,27.88,26.56,26.78,27.56,27.72,28.09,29.31,30.72,30.41,29.97,30.78,31.84,32.62,32.94,33.44,34.28,34.38,32.94,31.94,32.19,32.62,32.34,32.31,32.72,33.12,31.97,30.09,28.06,26.62,24.25,21.69,20.16,20.25,20.75,20.62,20.78,21.38,21.91,21.16,20.25,20.12,20.47,19.62,18.47,17.72,17.84,17.84,17.97,18.56,20.5,22.31,23.03,23.97,25.06,25.78,25.53,24.59,24.38,24.91,24.38,23.56,23.09,22.97,22.16,20.78,19.91,20.09,20.5,20.19,19.97,20.38,21.25,20.78,20.19,20.28,20.81,20.28,19.19,18.03,18.12,17.72,16.81,16.44,17.69,18.75,19.16,19.5,20.09,21.22,21.38,21.34,21.75,22.5,22.75,22.56,22.72,24.5,26.53,27.41,28.59,30.47,32.47,33.03,33.19,33.34,33.06,31.53,29.19,27.75,27.59,27.72,28.06,28.78,30.31,31.09,30.69,29.5,29.22,28.47,27.38,26.31,26.09,27.16,27.53,28.25,29.53,31.69,33.34,34.53,35.16,36.28,36.38,35.22,33.56,32.41,32.19,31.41,30.69,30.72,31.78,32.06,31.72,31.31,31.31,30.97,30.12,29.56,30.81,32.97,34.5,35.94,37.56,39.03,39.25,38.0,36.66,36.06,34.53,32.38,30.53,29.5,28.44,26.12,24.06,22.69,21.66,20.56,19.75,20.25,21.72,23.06,24.59,25.72,27.5,27.94,27.19,25.53,24.78,23.75,22.28,21.19,21.31,21.72,22.28,21.91,21.88,21.38,19.94,17.16,14.34,12.41,10.66,9.06,8.0,8.31,9.0,9.25,9.41,10.44,11.62,12.38,12.12,12.44,13.22,14.22,15.16,16.47,18.53,20.75,21.97,22.5,23.53,24.59,24.69,23.97,23.59,22.75,20.94,17.88,14.78,12.19,9.56,7.0,5.56,5.75,6.78,8.16,9.53,12.25,15.56,18.59,21.38,24.22,26.88,28.28,27.75,26.44,24.97,23.44,20.84,18.44,17.28,16.41,15.25,13.72,13.66,14.06,14.03,13.56,13.22,12.91,12.59,11.38,10.69,10.78,10.69,9.81,8.5,7.97,8.44,8.84,10.16,13.0,16.56,20.0,22.06,23.53,24.28,23.78,21.62,19.25,17.62,16.44,15.25,14.56,15.56,16.91,17.75,17.81,18.12,18.5,18.72,18.66,19.38,21.59,24.0,25.5,26.72,27.81,28.5,27.69,26.47,25.72,25.25,24.16,23.0,22.19,22.28,22.41,22.28,22.5,23.56,25.09,25.44,25.94,26.91,27.78,27.44,26.5,26.06,25.44,24.94,23.97,23.75,24.22,24.44,24.06,23.59,23.25,23.44,22.78,21.81,21.28,21.28,20.5,19.09,17.75,16.81,16.25,15.19,15.44,16.91,19.06,20.47,22.38,24.16,25.62,25.75,25.34,24.69,24.28,23.12,21.66,20.84,20.56,21.16,21.47,22.38,23.97,25.59,25.94,25.62,25.56,25.72,24.84,23.75,22.94,22.25,20.72,18.91,18.0,18.09,18.66,19.53,21.0,22.44,24.06,24.12,23.38,22.72,22.03,20.75,19.69,18.5,18.78,18.41,17.31,16.44,16.53,16.81,16.69,17.03,18.0,19.28,19.41,19.53,19.41,19.78,19.78,19.88,20.09,21.16,21.94,21.62,21.34,21.81,22.28,22.0,22.06,21.81,22.09,20.84,18.94,16.91,15.5,14.16,13.12,13.0,14.84,17.09,19.28,21.34,23.97,26.19,27.09,27.31,27.34,27.38,26.25,24.62,22.88,21.28,19.34,17.31,15.81,16.0,16.5,17.38,18.47,20.72,23.0,24.84,25.62,26.16,26.91,26.62,26.19,26.44,27.38,28.5,28.66,28.34,28.62,28.12,26.81,25.44,24.88,24.72,24.06,23.12,22.41,22.5,22.09,21.25,20.19,19.78,19.12,17.78,16.75,17.06,18.03,18.09,17.78,17.94,17.72,16.75,15.56,14.94,15.25,15.88,16.19,16.19,16.91,17.31,16.72,16.34,17.41,19.31,21.06,23.0,25.25,27.5,28.81,28.94,28.03,26.94,25.38,23.0,20.72,20.19,19.97,19.41,18.75,18.47,17.88,16.75,15.28,14.38,14.5,15.16,15.19,14.62,14.53,14.19,12.78,11.66,11.94,12.56,12.84,13.0,14.12,15.47,16.12,16.0,15.62,15.31,14.91,14.06,13.03,13.22,13.34,13.22,13.28,14.53,16.78,18.0,18.41,18.72,18.59,17.88,16.56,15.66,15.75,15.22,14.62,13.94,13.81,13.81,13.31,12.62,12.88,14.41,15.25,15.88,17.03,17.62,17.44,15.84,14.19,13.78,13.47,13.19,13.12,14.47,16.06,16.72,16.28,16.5,16.56,16.22,15.25,14.88,15.06,15.41,14.84,14.66,15.69,16.94,17.44,17.34,18.19,18.41,17.72,16.28,15.66,15.56,15.97,16.38,17.31,19.12,21.0,21.69,22.56,24.0,25.78,26.91,27.56,29.06,30.09,30.56,29.72,29.03,28.25,27.06,24.88,22.91,22.44,21.94,20.59,19.62,19.34,19.25,18.38,17.44,17.28,17.53,17.69,17.75,18.41,20.0,21.22,21.0,20.66,20.84,20.69,19.97,19.25,19.16,19.75,20.0,20.16,20.62,21.59,22.75,22.56,22.94,24.38,26.0,26.22,26.5,27.5,28.03,27.38,25.69,24.5,24.12,23.41,22.56,22.66,23.31,23.66,23.19,22.97,23.91,25.19,25.47,25.97,27.28,28.47,28.44,27.91,27.09,25.66,23.59,20.19,17.84,17.0,16.88,16.94,18.06,20.22,22.19,23.0,23.31,24.28,25.28,25.28,24.53,23.81,23.38,22.5,20.97,20.16,20.25,20.53,19.41,18.72,17.97,17.53,16.56,15.91,16.28,17.62,18.62,18.81,19.03,19.88,20.5,20.59,21.12,22.25,23.81,23.59,23.16,23.25,23.28,22.09,20.22,19.16,18.69,18.03,16.91,15.72,14.66,13.44,11.59,10.53,11.59,13.97,15.28,16.78,18.62,21.25,22.06,22.47,23.12,24.22,24.56,23.47,22.66,22.69,22.75,22.0,21.62,22.22,22.75,21.38,20.19,19.84,19.97,20.06,19.91,20.81,22.09,22.84,23.16,23.38,24.28,24.72,24.09,23.69,24.03,25.25,25.81,26.91,28.75,31.03,32.19,32.62,33.22,33.94,34.03,32.88,31.59,31.22,30.84,30.12,29.69,30.28,31.81,31.97,31.69,31.56,31.88,30.53,28.0,25.34,23.41,21.34,19.09,18.25,18.91,19.62,19.62,19.53,20.09,21.75,22.66,23.19,24.53,26.25,27.38,27.31,27.31,27.88,27.88,27.06,26.09,25.94,25.34,23.62,21.53,20.22,19.78,19.03,18.06,17.66,18.0,17.53,15.91,15.06,16.0,17.38,18.0,19.47,21.44,23.12,23.75,23.66,23.78,23.97,22.97,22.53,23.0,25.16,27.94,30.12,31.97,33.59,34.44,33.5,32.03,31.31,30.94,29.66,28.25,26.84,26.0,24.03,21.62,19.41,17.97,16.28,14.19,12.5,12.31,13.03,13.62,14.47,15.97,17.62,18.41,18.66,19.34,20.94,22.5,23.88,25.41,28.03,30.06,30.75,31.0,31.78,32.69,32.22,31.25,30.44,29.97,28.66,26.75,25.62,25.31,24.84,23.5,22.41,22.91,23.19,23.0,22.81,23.72,25.0,25.25,25.47,26.75,28.69,30.25,30.94,31.69,32.44,31.84,29.69,27.56,26.47,25.97,25.41,24.84,26.12,27.56,28.25,28.81,30.03,31.06,31.25,29.53,26.31,23.41,19.31,14.62,10.22,7.94,6.22,4.62,3.41,3.78,4.72,5.44,6.06,7.53,9.84,12.34,14.28,16.62,20.28,23.66,26.69,29.88,34.0,37.69,40.09,41.34,41.78,41.16,38.28,33.91,29.53,26.06,22.97,20.22,17.91,17.19,16.12,14.62,13.41,13.59,14.94,16.25,17.38,18.88,20.62,21.66,21.75,21.66,22.78,23.5,23.09,22.44,21.91,20.81,18.53,15.44,13.5,11.91,10.56,9.25,9.72,11.31,13.12,14.19,15.59,18.03,20.0,20.88,21.62,22.66,23.0,21.25,18.34,15.19,11.19,6.91,2.12,-0.91,-2.0,-1.41,-0.34,2.06,5.31,7.81,8.41,7.62,7.41,6.84,5.84,4.72,4.53,4.38,4.06,3.5,3.59,4.75,5.75,5.91,5.94,6.56,7.12,7.5,7.66,9.06,11.0,12.59,13.62,15.03,16.81,18.16,18.66,19.22,20.69,21.91,21.97,21.97,22.69,23.78,24.25,24.25,25.12,25.62,25.44,24.0,23.06,22.25,21.34,19.69,18.44,18.31,18.38,17.88,17.34,17.06,16.97,15.88,14.09,12.75,12.25,12.16,12.12,49.34,48.75,47.56,46.34,45.88,45.81,45.88,46.34,47.59,48.91,50.72,52.34,54.06,55.91,57.72,59.34,60.94,62.06,62.94,63.12,62.34,61.5,60.81,59.69,58.94,58.66,58.78,59.38,59.44,59.78,60.59,61.72,62.47,62.97,63.31,63.38,63.0,62.31,62.16,62.19,61.62,60.59:positivity
22.84,22.84,22.34,23.88,26.31,27.25,26.34,26.44,28.38,29.12,28.09,27.84,30.22,32.91,33.72,33.72,35.28,37.59,36.88,34.84,34.0,34.53,33.5,31.22,30.16,31.66,33.0,32.69,32.81,35.69,38.53,38.84,37.81,37.28,36.75,33.28,28.25,24.91,24.03,22.59,20.06,18.69,20.06,21.03,20.31,20.19,22.53,26.19,27.84,28.53,31.03,34.0,34.72,33.25,32.69,33.81,33.28,31.06,29.03,29.22,29.62,28.12,27.03,28.38,30.94,31.91,31.28,31.78,33.53,32.91,31.19,30.44,31.44,31.75,29.69,27.28,27.09,27.31,25.56,23.41,23.53,24.91,24.66,23.75,24.88,27.66,29.56,29.41,29.44,30.62,30.72,28.56,26.12,26.16,27.09,25.94,23.94,23.66,24.62,24.19,22.78,23.0,25.12,26.34,25.44,24.31,25.53,26.22,24.75,22.94,23.72,24.84,24.06,22.0,21.34,22.19,21.81,20.22,20.0,22.25,24.03,23.94,23.62,25.31,26.41,25.34,23.62,24.16,26.06,27.0,26.84,28.22,30.84,31.16,28.75,26.72,26.47,25.94,23.94,22.72,24.28,26.03,25.72,24.19,23.81,24.06,22.06,18.25,15.72,15.47,14.28,12.34,12.0,14.41,17.62,19.28,20.09,23.09,26.03,26.5,24.62,24.09,24.0,22.56,19.19,17.47,18.38,19.59,19.41,19.94,22.72,25.69,26.19,25.84,26.84,28.34,27.75,25.53,24.44,24.97,24.75,22.66,21.44,22.38,23.19,21.41,19.81,19.91,20.38,18.38,16.0,15.75,16.69,16.25,14.09,12.97,13.19,12.38,10.16,9.53,11.62,14.31,14.91,15.56,18.19,21.69,23.44,23.97,25.72,27.62,27.47,24.56,22.47,22.47,21.91,20.0,18.44,19.47,20.44,19.03,16.41,15.97,16.19,15.19,13.34,13.34,14.81,15.09,12.81,11.5,11.69,12.22,10.53,9.66,11.31,13.59,13.69,13.66,14.97,17.31,18.03,17.62,18.78,22.03,24.84,25.44,26.66,29.38,31.16,30.0,27.75,27.19,27.0,25.47,23.53,23.31,24.34,24.41,22.75,22.06,23.31,24.38,23.25,23.16,25.03,27.22,26.78,25.84,26.22,26.78,25.41,22.78,21.56,21.91,21.28,19.44,18.31,19.12,19.41,17.31,15.12,15.72,17.66,18.22,18.97,22.0,25.94,27.94,27.75,27.94,28.53,28.0,25.22,23.25,23.66,24.44,22.91,21.16,20.94,21.59,20.25,18.56,19.28,21.38,22.38,21.5,21.16,21.81,21.75,19.88,18.38,19.12,20.28,19.31,17.59,17.53,18.25,17.34,15.97,16.81,20.19,22.66,23.53,24.88,27.41,28.88,27.28,25.25,25.28,25.62,24.09,22.41,22.31,23.62,22.69,20.34,19.34,19.62,19.09,16.47,14.59,15.0,15.03,13.62,12.53,13.91,16.16,16.59,16.12,17.5,20.19,21.25,21.22,22.03,24.44,25.22,24.06,22.44,23.0,23.0,20.75,18.0,17.06,17.31,16.12,14.66,15.5,18.38,19.47,18.72,17.72,17.84,16.34,12.78,9.25,8.16,8.5,7.44,6.25,7.06,9.59,10.59,10.94,12.72,16.75,19.59,20.12,20.78,23.06,24.78,23.84,22.38,22.38,22.03,19.03,14.78,12.31,11.84,10.75,8.88,7.78,8.78,8.34,5.69,3.53,4.56,6.69,7.5,9.31,13.78,18.94,21.88,22.47,23.0,23.91,22.41,19.09,16.84,17.69,18.28,17.5,16.88,17.97,18.81,17.34,14.97,14.25,14.97,14.19,12.59,12.47,14.0,14.62,13.53,12.72,13.62,13.75,11.25,8.28,7.12,6.75,5.12,3.56,4.66,7.91,10.34,11.44,13.5,17.0,19.19,19.53,20.0,23.03,25.41,25.84,24.94,25.25,25.06,22.56,18.62,16.22,15.34,13.94,11.38,10.0,11.09,11.78,10.72,9.78,11.38,13.34,13.5,13.12,14.25,16.09,15.81,14.41,14.16,16.16,17.91,18.5,19.97,23.06,25.78,25.56,24.19,24.47,24.12,20.88,16.31,13.5,11.88,9.41,5.72,3.84,3.91,3.78,2.25,2.22,4.62,7.41,8.22,8.34,10.72,13.75,15.44,16.5,19.0,22.75,24.41,24.03,23.28,23.97,23.53,20.53,18.09,17.75,17.09,14.75,11.81,10.69,10.78,9.59,7.28,6.44,7.66,8.28,7.5,7.53,9.59,11.22,10.38,9.44,11.03,13.16,13.25,12.0,12.31,13.06,12.47,10.12,10.12,12.12,13.47,13.53,14.12,16.75,19.31,19.44,18.81,20.84,22.75,22.81,21.16,21.38,21.91,21.47,19.16,18.06,19.16,19.56,18.19,16.84,17.94,19.03,18.12,17.03,18.91,22.34,24.5,25.41,28.25,31.66,32.94,31.06,28.75,27.53,25.12,20.28,16.09,15.16,15.53,14.97,13.97,15.62,17.91,18.47,17.12,17.25,18.62,18.97,17.38,16.5,17.44,18.09,16.56,15.12,16.34,18.03,17.75,16.09,15.69,16.12,15.09,12.5,11.97,13.22,14.0,12.25,12.03,13.84,16.44,17.0,17.47,19.22,20.78,19.78,17.06,15.88,16.47,16.62,15.06,14.91,16.88,17.59,15.88,14.5,15.16,16.06,15.25,13.59,14.38,15.88,16.16,14.75,15.03,16.56,17.03,15.12,14.34,15.22,15.78,13.75,12.0,12.72,13.97,13.5,13.16,14.62,17.62,18.84,19.0,19.72,22.16,23.47,22.75,22.44,24.59,26.5,25.94,24.91,25.53,25.53,22.62,18.0,14.94,12.94,10.84,7.91,7.0,8.56,9.97,9.09,8.66,10.91,13.53,13.66,14.28,16.75,20.44,21.69,21.88,23.09,25.0,25.22,22.59,21.0,21.19,21.12,19.03,16.97,17.88,18.53,17.12,15.19,15.09,15.88,14.56,11.88,11.0,12.44,13.56,13.62,14.41,17.47,20.16,19.88,19.5,21.28,23.81,23.78,23.81,25.19,28.25,29.28,28.72,29.09,31.0,31.56,30.16,28.53,28.97,29.44,27.12,24.78,24.44,25.19,23.53,20.66,19.56,20.06,19.66,18.16,18.56,21.88,25.25,26.75,28.78,32.28,35.16,34.66,33.12,33.12,33.78,32.0,29.47,28.06,28.22,26.88,23.81,21.59,21.28,20.72,18.38,16.84,18.03,19.97,19.59,18.28,18.84,20.09,19.12,16.91,15.94,16.34,15.78,13.41,12.06,12.84,14.0,13.06,12.91,15.59,18.88,19.97,19.25,19.75,20.75,19.78,17.44,17.0,18.69,19.38,17.97,17.0,18.06,19.25,17.75,15.78,16.03,17.03,16.16,14.81,15.94,19.12,19.97,18.66,17.34,17.5,16.06,12.81,10.19,10.75,12.19,11.59,10.66,11.72,13.84,13.97,13.03,14.41,17.78,19.69,19.81,20.28,21.94,22.56,19.84,17.22,17.34,18.41,17.5,16.94,18.41,20.69,20.97,19.56,19.06,20.53,20.72,18.94,17.91,19.22,19.94,18.5,16.84,17.88,19.16,18.78,18.06,18.97,21.38,21.56,19.62,18.28,18.56,17.47,14.84,13.41,14.69,16.12,15.62,14.69,15.56,17.22,16.59,14.91,14.66,16.66,17.03,16.19,16.0,17.94,18.25,16.44,14.44,15.34,16.72,16.38,16.0,17.97,20.16,20.0,18.0,17.22,17.75,17.28,15.72,15.47,17.72,19.34,18.91,18.81,20.38,21.97,21.03,19.03,18.78,19.09,17.75,15.25,14.25,15.47,15.84,15.16,15.91,19.75,23.16,24.25,24.84,27.5,29.94,30.28,29.72,30.44,32.0,31.25,28.19,25.53,24.62,22.81,19.25,16.75,17.62,19.12,18.59,17.94,19.22,20.47,19.03,16.09,14.34,13.94,12.41,9.69,8.78,10.41,12.09,12.12,12.84,16.03,18.78,18.97,18.19,18.62,19.66,18.56,15.69,14.03,13.91,11.84,8.19,5.56,5.44,4.75,2.62,0.62,0.84,1.16,-0.22,-2.81,-3.34,-2.5,-3.09,-4.78,-4.34,-1.97,-0.19,-0.12,1.06,4.25,7.0,6.78,6.28,7.47,9.41,9.0,7.88,9.31,11.88,12.53,11.44,11.94,13.41,13.38,10.53,7.59,6.5,4.53,1.0,-2.78,-3.75,-3.22,-3.56,-4.38,-2.81,0.5,2.44,2.53,3.22,5.84,7.41,7.12,7.75,11.31,14.78,16.44,17.09,19.59,21.94,21.72,19.88,19.25,18.91,17.41,13.75,11.16,11.0,10.44,8.16,6.53,7.09,7.75,5.97,3.19,2.75,3.66,3.53,2.88,4.31,7.19,8.81,7.47,6.38,6.59,6.22,3.34,0.88,1.66,2.72,2.47,1.03,1.25,2.53,2.75,1.5,2.47,5.44,7.78,7.81,8.09,9.88,10.78,8.84,6.56,6.88,8.31,8.38,8.41,10.28,12.88,13.72,12.41,11.69,12.41,12.31,10.06,8.44,9.09,9.84,8.72,7.31,8.22,9.91,9.97,8.44,8.91,9.97,9.75,7.81,6.94,8.06,8.72,7.09,5.88,6.56,7.41,6.25,4.84,5.56,6.97,6.81,5.34,5.66,7.44,8.09,7.59,7.78,9.75,11.53,11.22,10.66,11.75,13.12,12.03,10.75,11.28,12.81,13.25,11.94,11.88,12.91,12.44,9.53,7.22,6.72,6.69,4.84,3.59,5.0,7.19,7.47,7.22,9.03,11.38,12.62,11.62,11.16,12.41,13.47,12.62,13.12,15.97,18.44,18.19,17.25,17.78,18.41,17.09,14.5,13.91,13.81,12.38,8.84,6.69,6.5,5.94,4.75,4.53,6.81,9.38,9.5,9.09,10.47,12.34,12.88,12.59,14.5,17.44,18.72,17.44,16.78:26.44,28.38,29.12,28.09,27.84,30.22,32.91,33.72,33.72,35.28,37.59,36.88,34.84,34.0,34.53,33.5,31.22,30.16,31.66,33.0,32.69,32.81,35.69,38.53,38.84,37.81,37.28,36.75,33.28,28.25,24.91,24.03,22.59,20.06,18.69,20.06,21.03,20.31,20.19,22.53,26.19,27.84,28.53,31.03,34.0,34.72,33.25,32.69,33.81,33.28,31.06,29.03,29.22,29.62,28.12,27.03,28.38,30.94,31.91,31.28,31.78,33.53,32.91,31.19,30.44,31.44,31.75,29.69,27.28,27.09,27.31,25.56,23.41,23.53,24.91,24.66,23.75,24.88,27.66,29.56,29.41,29.44,30.62,30.72,28.56,26.12,26.16,27.09,25.94,23.94,23.66,24.62,24.19,22.78,23.0,25.12,26.34,25.44,24.31,25.53,26.22,24.75,22.94,23.72,24.84,24.06,22.0,21.34,22.19,21.81,20.22,20.0,22.25,24.03,23.94,23.62,25.31,26.41,25.34,23.62,24.16,26.06,27.0,26.84,28.22,30.84,31.16,28.75,26.72,26.47,25.94,23.94,22.72,24.28,26.03,25.72,24.19,23.81,24.06,22.06,18.25,15.72,15.47,14.28,12.34,12.0,14.41,17.62,19.28,20.09,23.09,26.03,26.5,24.62,24.09,24.0,22.56,19.19,17.47,18.38,19.59,19.41,19.94,22.72,25.69,26.19,25.84,26.84,28.34,27.75,25.53,24.44,24.97,24.75,22.66,21.44,22.38,23.19,21.41,19.81,19.91,20.38,18.38,16.0,15.75,16.69,16.25,14.09,12.97,13.19,12.38,10.16,9.53,11.62,14.31,14.91,15.56,18.19,21.69,23.44,23.97,25.72,27.62,27.47,24.56,22.47,22.47,21.91,20.0,18.44,19.47,20.44,19.03,16.41,15.97,16.19,15.19,13.34,13.34,14.81,15.09,12.81,11.5,11.69,12.22,10.53,9.66,11.31,13.59,13.69,13.66,14.97,17.31,18.03,17.62,18.78,22.03,24.84,25.44,26.66,29.38,31.16,30.0,27.75,27.19,27.0,25.47,23.53,23.31,24.34,24.41,22.75,22.06,23.31,24.38,23.25,23.16,25.03,27.22,26.78,25.84,26.22,26.78,25.41,22.78,21.56,21.91,21.28,19.44,18.31,19.12,19.41,17.31,15.12,15.72,17.66,18.22,18.97,22.0,25.94,27.94,27.75,27.94,28.53,28.0,25.22,23.25,23.66,24.44,22.91,21.16,20.94,21.59,20.25,18.56,19.28,21.38,22.38,21.5,21.16,21.81,21.75,19.88,18.38,19.12,20.28,19.31,17.59,17.53,18.25,17.34,15.97,16.81,20.19,22.66,23.53,24.88,27.41,28.88,27.28,25.25,25.28,25.62,24.09,22.41,22.31,23.62,22.69,20.34,19.34,19.62,19.09,16.47,14.59,15.0,15.03,13.62,12.53,13.91,16.16,16.59,16.12,17.5,20.19,21.25,21.22,22.03,24.44,25.22,24.06,22.44,23.0,23.0,20.75,18.0,17.06,17.31,16.12,14.66,15.5,18.38,19.47,18.72,17.72,17.84,16.34,12.78,9.25,8.16,8.5,7.44,6.25,7.06,9.59,10.59,10.94,12.72,16.75,19.59,20.12,20.78,23.06,24.78,23.84,22.38,22.38,22.03,19.03,14.78,12.31,11.84,10.75,8.88,7.78,8.78,8.34,5.69,3.53,4.56,6.69,7.5,9.31,13.78,18.94,21.88,22.47,23.0,23.91,22.41,19.09,16.84,17.69,18.28,17.5,16.88,17.97,18.81,17.34,14.97,14.25,14.97,14.19,12.59,12.47,14.0,14.62,13.53,12.72,13.62,13.75,11.25,8.28,7.12,6.75,5.12,3.56,4.66,7.91,10.34,11.44,13.5,17.0,19.19,19.53,20.0,23.03,25.41,25.84,24.94,25.25,25.06,22.56,18.62,16.22,15.34,13.94,11.38,10.0,11.09,11.78,10.72,9.78,11.38,13.34,13.5,13.12,14.25,16.09,15.81,14.41,14.16,16.16,17.91,18.5,19.97,23.06,25.78,25.56,24.19,24.47,24.12,20.88,16.31,13.5,11.88,9.41,5.72,3.84,3.91,3.78,2.25,2.22,4.62,7.41,8.22,8.34,10.72,13.75,15.44,16.5,19.0,22.75,24.41,24.03,23.28,23.97,23.53,20.53,18.09,17.75,17.09,14.75,11.81,10.69,10.78,9.59,7.28,6.44,7.66,8.28,7.5,7.53,9.59,11.22,10.38,9.44,11.03,13.16,13.25,12.0,12.31,13.06,12.47,10.12,10.12,12.12,13.47,13.53,14.12,16.75,19.31,19.44,18.81,20.84,22.75,22.81,21.16,21.38,21.91,21.47,19.16,18.06,19.16,19.56,18.19,16.84,17.94,19.03,18.12,17.03,18.91,22.34,24.5,25.41,28.25,31.66,32.94,31.06,28.75,27.53,25.12,20.28,16.09,15.16,15.53,14.97,13.97,15.62,17.91,18.47,17.12,17.25,18.62,18.97,17.38,16.5,17.44,18.09,16.56,15.12,16.34,18.03,17.75,16.09,15.69,16.12,15.09,12.5,11.97,13.22,14.0,12.25,12.03,13.84,16.44,17.0,17.47,19.22,20.78,19.78,17.06,15.88,16.47,16.62,15.06,14.91,16.88,17.59,15.88,14.5,15.16,16.06,15.25,13.59,14.38,15.88,16.16,14.75,15.03,16.56,17.03,15.12,14.34,15.22,15.78,13.75,12.0,12.72,13.97,13.5,13.16,14.62,17.62,18.84,19.0,19.72,22.16,23.47,22.75,22.44,24.59,26.5,25.94,24.91,25.53,25.53,22.62,18.0,14.94,12.94,10.84,7.91,7.0,8.56,9.97,9.09,8.66,10.91,13.53,13.66,14.28,16.75,20.44,21.69,21.88,23.09,25.0,25.22,22.59,21.0,21.19,21.12,19.03,16.97,17.88,18.53,17.12,15.19,15.09,15.88,14.56,11.88,11.0,12.44,13.56,13.62,14.41,17.47,20.16,19.88,19.5,21.28,23.81,23.78,23.81,25.19,28.25,29.28,28.72,29.09,31.0,31.56,30.16,28.53,28.97,29.44,27.12,24.78,24.44,25.19,23.53,20.66,19.56,20.06,19.66,18.16,18.56,21.88,25.25,26.75,28.78,32.28,35.16,34.66,33.12,33.12,33.78,32.0,29.47,28.06,28.22,26.88,23.81,21.59,21.28,20.72,18.38,16.84,18.03,19.97,19.59,18.28,18.84,20.09,19.12,16.91,15.94,16.34,15.78,13.41,12.06,12.84,14.0,13.06,12.91,15.59,18.88,19.97,19.25,19.75,20.75,19.78,17.44,17.0,18.69,19.38,17.97,17.0,18.06,19.25,17.75,15.78,16.03,17.03,16.16,14.81,15.94,19.12,19.97,18.66,17.34,17.5,16.06,12.81,10.19,10.75,12.19,11.59,10.66,11.72,13.84,13.97,13.03,14.41,17.78,19.69,19.81,20.28,21.94,22.56,19.84,17.22,17.34,18.41,17.5,16.94,18.41,20.69,20.97,19.56,19.06,20.53,20.72,18.94,17.91,19.22,19.94,18.5,16.84,17.88,19.16,18.78,18.06,18.97,21.38,21.56,19.62,18.28,18.56,17.47,14.84,13.41,14.69,16.12,15.62,14.69,15.56,17.22,16.59,14.91,14.66,16.66,17.03,16.19,16.0,17.94,18.25,16.44,14.44,15.34,16.72,16.38,16.0,17.97,20.16,20.0,18.0,17.22,17.75,17.28,15.72,15.47,17.72,19.34,18.91,18.81,20.38,21.97,21.03,19.03,18.78,19.09,17.75,15.25,14.25,15.47,15.84,15.16,15.91,19.75,23.16,24.25,24.84,27.5,29.94,30.28,29.72,30.44,32.0,31.25,28.19,25.53,24.62,22.81,19.25,16.75,17.62,19.12,18.59,17.94,19.22,20.47,19.03,16.09,14.34,13.94,12.41,9.69,8.78,10.41,12.09,12.12,12.84,16.03,18.78,18.97,18.19,18.62,19.66,18.56,15.69,14.03,13.91,11.84,8.19,5.56,5.44,4.75,2.62,0.62,0.84,1.16,-0.22,-2.81,-3.34,-2.5,-3.09,-4.78,-4.34,-1.97,-0.19,-0.12,1.06,4.25,7.0,6.78,6.28,7.47,9.41,9.0,7.88,9.31,11.88,12.53,11.44,11.94,13.41,13.38,10.53,7.59,6.5,4.53,1.0,-2.78,-3.75,-3.22,-3.56,-4.38,-2.81,0.5,2.44,2.53,3.22,5.84,7.41,7.12,7.75,11.31,14.78,16.44,17.09,19.59,21.94,21.72,19.88,19.25,18.91,17.41,13.75,11.16,11.0,10.44,8.16,6.53,7.09,7.75,5.97,3.19,2.75,3.66,3.53,2.88,4.31,7.19,8.81,7.47,6.38,6.59,6.22,3.34,0.88,1.66,2.72,2.47,1.03,1.25,2.53,2.75,1.5,2.47,5.44,7.78,7.81,8.09,9.88,10.78,8.84,6.56,6.88,8.31,8.38,8.41,10.28,12.88,13.72,12.41,11.69,12.41,12.31,10.06,8.44,9.09,9.84,8.72,7.31,8.22,9.91,9.97,8.44,8.91,9.97,9.75,7.81,6.94,8.06,8.72,7.09,5.88,6.56,7.41,6.25,4.84,5.56,6.97,6.81,5.34,5.66,7.44,8.09,7.59,7.78,9.75,11.53,11.22,10.66,11.75,13.12,12.03,10.75,11.28,12.81,13.25,11.94,11.88,12.91,12.44,9.53,7.22,6.72,6.69,4.84,3.59,5.0,7.19,7.47,7.22,9.03,11.38,12.62,11.62,11.16,12.41,13.47,12.62,13.12,15.97,18.44,18.19,17.25,17.78,18.41,17.09,14.5,13.91,13.81,12.38,8.84,6.69,6.5,5.94,4.75,4.53,6.81,9.38,9.5,9.09,10.47,12.34,12.88,12.59,14.5,17.44,18.72,17.44,16.78,39.97,39.69,39.0,39.5,41.03,41.47,41.09:33.72,33.72,35.28,37.59,36.88,34.84,34.0,34.53,33.5,31.22,30.16,31.66,33.0,32.69,32.81,35.69,38.53,38.84,37.81,37.28,36.75,33.28,28.25,24.91,24.03,22.59,20.06,18.69,20.06,21.03,20.31,20.19,22.53,26.19,27.84,28.53,31.03,34.0,34.72,33.25,32.69,33.81,33.28,31.06,29.03,29.22,29.62,28.12,27.03,28.38,30.94,31.91,31.28,31.78,33.53,32.91,31.19,30.44,31.44,31.75,29.69,27.28,27.09,27.31,25.56,23.41,23.53,24.91,24.66,23.75,24.88,27.66,29.56,29.41,29.44,30.62,30.72,28.56,26.12,26.16,27.09,25.94,23.94,23.66,24.62,24.19,22.78,23.0,25.12,26.34,25.44,24.31,25.53,26.22,24.75,22.94,23.72,24.84,24.06,22.0,21.34,22.19,21.81,20.22,20.0,22.25,24.03,23.94,23.62,25.31,26.41,25.34,23.62,24.16,26.06,27.0,26.84,28.22,30.84,31.16,28.75,26.72,26.47,25.94,23.94,22.72,24.28,26.03,25.72,24.19,23.81,24.06,22.06,18.25,15.72,15.47,14.28,12.34,12.0,14.41,17.62,19.28,20.09,23.09,26.03,26.5,24.62,24.09,24.0,22.56,19.19,17.47,18.38,19.59,19.41,19.94,22.72,25.69,26.19,25.84,26.84,28.34,27.75,25.53,24.44,24.97,24.75,22.66,21.44,22.38,23.19,21.41,19.81,19.91,20.38,18.38,16.0,15.75,16.69,16.25,14.09,12.97,13.19,12.38,10.16,9.53,11.62,14.31,14.91,15.56,18.19,21.69,23.44,23.97,25.72,27.62,27.47,24.56,22.47,22.47,21.91,20.0,18.44,19.47,20.44,19.03,16.41,15.97,16.19,15.19,13.34,13.34,14.81,15.09,12.81,11.5,11.69,12.22,10.53,9.66,11.31,13.59,13.69,13.66,14.97,17.31,18.03,17.62,18.78,22.03,24.84,25.44,26.66,29.38,31.16,30.0,27.75,27.19,27.0,25.47,23.53,23.31,24.34,24.41,22.75,22.06,23.31,24.38,23.25,23.16,25.03,27.22,26.78,25.84,26.22,26.78,25.41,22.78,21.56,21.91,21.28,19.44,18.31,19.12,19.41,17.31,15.12,15.72,17.66,18.22,18.97,22.0,25.94,27.94,27.75,27.94,28.53,28.0,25.22,23.25,23.66,24.44,22.91,21.16,20.94,21.59,20.25,18.56,19.28,21.38,22.38,21.5,21.16,21.81,21.75,19.88,18.38,19.12,20.28,19.31,17.59,17.53,18.25,17.34,15.97,16.81,20.19,22.66,23.53,24.88,27.41,28.88,27.28,25.25,25.28,25.62,24.09,22.41,22.31,23.62,22.69,20.34,19.34,19.62,19.09,16.47,14.59,15.0,15.03,13.62,12.53,13.91,16.16,16.59,16.12,17.5,20.19,21.25,21.22,22.03,24.44,25.22,24.06,22.44,23.0,23.0,20.75,18.0,17.06,17.31,16.12,14.66,15.5,18.38,19.47,18.72,17.72,17.84,16.34,12.78,9.25,8.16,8.5,7.44,6.25,7.06,9.59,10.59,10.94,12.72,16.75,19.59,20.12,20.78,23.06,24.78,23.84,22.38,22.38,22.03,19.03,14.78,12.31,11.84,10.75,8.88,7.78,8.78,8.34,5.69,3.53,4.56,6.69,7.5,9.31,13.78,18.94,21.88,22.47,23.0,23.91,22.41,19.09,16.84,17.69,18.28,17.5,16.88,17.97,18.81,17.34,14.97,14.25,14.97,14.19,12.59,12.47,14.0,14.62,13.53,12.72,13.62,13.75,11.25,8.28,7.12,6.75,5.12,3.56,4.66,7.91,10.34,11.44,13.5,17.0,19.19,19.53,20.0,23.03,25.41,25.84,24.94,25.25,25.06,22.56,18.62,16.22,15.34,13.94,11.38,10.0,11.09,11.78,10.72,9.78,11.38,13.34,13.5,13.12,14.25,16.09,15.81,14.41,14.16,16.16,17.91,18.5,19.97,23.06,25.78,25.56,24.19,24.47,24.12,20.88,16.31,13.5,11.88,9.41,5.72,3.84,3.91,3.78,2.25,2.22,4.62,7.41,8.22,8.34,10.72,13.75,15.44,16.5,19.0,22.75,24.41,24.03,23.28,23.97,23.53,20.53,18.09,17.75,17.09,14.75,11.81,10.69,10.78,9.59,7.28,6.44,7.66,8.28,7.5,7.53,9.59,11.22,10.38,9.44,11.03,13.16,13.25,12.0,12.31,13.06,12.47,10.12,10.12,12.12,13.47,13.53,14.12,16.75,19.31,19.44,18.81,20.84,22.75,22.81,21.16,21.38,21.91,21.47,19.16,18.06,19.16,19.56,18.19,16.84,17.94,19.03,18.12,17.03,18.91,22.34,24.5,25.41,28.25,31.66,32.94,31.06,28.75,27.53,25.12,20.28,16.09,15.16,15.53,14.97,13.97,15.62,17.91,18.47,17.12,17.25,18.62,18.97,17.38,16.5,17.44,18.09,16.56,15.12,16.34,18.03,17.75,16.09,15.69,16.12,15.09,12.5,11.97,13.22,14.0,12.25,12.03,13.84,16.44,17.0,17.47,19.22,20.78,19.78,17.06,15.88,16.47,16.62,15.06,14.91,16.88,17.59,15.88,14.5,15.16,16.06,15.25,13.59,14.38,15.88,16.16,14.75,15.03,16.56,17.03,15.12,14.34,15.22,15.78,13.75,12.0,12.72,13.97,13.5,13.16,14.62,17.62,18.84,19.0,19.72,22.16,23.47,22.75,22.44,24.59,26.5,25.94,24.91,25.53,25.53,22.62,18.0,14.94,12.94,10.84,7.91,7.0,8.56,9.97,9.09,8.66,10.91,13.53,13.66,14.28,16.75,20.44,21.69,21.88,23.09,25.0,25.22,22.59,21.0,21.19,21.12,19.03,16.97,17.88,18.53,17.12,15.19,15.09,15.88,14.56,11.88,11.0,12.44,13.56,13.62,14.41,17.47,20.16,19.88,19.5,21.28,23.81,23.78,23.81,25.19,28.25,29.28,28.72,29.09,31.0,31.56,30.16,28.53,28.97,29.44,27.12,24.78,24.44,25.19,23.53,20.66,19.56,20.06,19.66,18.16,18.56,21.88,25.25,26.75,28.78,32.28,35.16,34.66,33.12,33.12,33.78,32.0,29.47,28.06,28.22,26.88,23.81,21.59,21.28,20.72,18.38,16.84,18.03,19.97,19.59,18.28,18.84,20.09,19.12,16.91,15.94,16.34,15.78,13.41,12.06,12.84,14.0,13.06,12.91,15.59,18.88,19.97,19.25,19.75,20.75,19.78,17.44,17.0,18.69,19.38,17.97,17.0,18.06,19.25,17.75,15.78,16.03,17.03,16.16,14.81,15.94,19.12,19.97,18.66,17.34,17.5,16.06,12.81,10.19,10.75,12.19,11.59,10.66,11.72,13.84,13.97,13.03,14.41,17.78,19.69,19.81,20.28,21.94,22.56,19.84,17.22,17.34,18.41,17.5,16.94,18.41,20.69,20.97,19.56,19.06,20.53,20.72,18.94,17.91,19.22,19.94,18.5,16.84,17.88,19.16,18.78,18.06,18.97,21.38,21.56,19.62,18.28,18.56,17.47,14.84,13.41,14.69,16.12,15.62,14.69,15.56,17.22,16.59,14.91,14.66,16.66,17.03,16.19,16.0,17.94,18.25,16.44,14.44,15.34,16.72,16.38,16.0,17.97,20.16,20.0,18.0,17.22,17.75,17.28,15.72,15.47,17.72,19.34,18.91,18.81,20.38,21.97,21.03,19.03,18.78,19.09,17.75,15.25,14.25,15.47,15.84,15.16,15.91,19.75,23.16,24.25,24.84,27.5,29.94,30.28,29.72,30.44,32.0,31.25,28.19,25.53,24.62,22.81,19.25,16.75,17.62,19.12,18.59,17.94,19.22,20.47,19.03,16.09,14.34,13.94,12.41,9.69,8.78,10.41,12.09,12.12,12.84,16.03,18.78,18.97,18.19,18.62,19.66,18.56,15.69,14.03,13.91,11.84,8.19,5.56,5.44,4.75,2.62,0.62,0.84,1.16,-0.22,-2.81,-3.34,-2.5,-3.09,-4.78,-4.34,-1.97,-0.19,-0.12,1.06,4.25,7.0,6.78,6.28,7.47,9.41,9.0,7.88,9.31,11.88,12.53,11.44,11.94,13.41,13.38,10.53,7.59,6.5,4.53,1.0,-2.78,-3.75,-3.22,-3.56,-4.38,-2.81,0.5,2.44,2.53,3.22,5.84,7.41,7.12,7.75,11.31,14.78,16.44,17.09,19.59,21.94,21.72,19.88,19.25,18.91,17.41,13.75,11.16,11.0,10.44,8.16,6.53,7.09,7.75,5.97,3.19,2.75,3.66,3.53,2.88,4.31,7.19,8.81,7.47,6.38,6.59,6.22,3.34,0.88,1.66,2.72,2.47,1.03,1.25,2.53,2.75,1.5,2.47,5.44,7.78,7.81,8.09,9.88,10.78,8.84,6.56,6.88,8.31,8.38,8.41,10.28,12.88,13.72,12.41,11.69,12.41,12.31,10.06,8.44,9.09,9.84,8.72,7.31,8.22,9.91,9.97,8.44,8.91,9.97,9.75,7.81,6.94,8.06,8.72,7.09,5.88,6.56,7.41,6.25,4.84,5.56,6.97,6.81,5.34,5.66,7.44,8.09,7.59,7.78,9.75,11.53,11.22,10.66,11.75,13.12,12.03,10.75,11.28,12.81,13.25,11.94,11.88,12.91,12.44,9.53,7.22,6.72,6.69,4.84,3.59,5.0,7.19,7.47,7.22,9.03,11.38,12.62,11.62,11.16,12.41,13.47,12.62,13.12,15.97,18.44,18.19,17.25,17.78,18.41,17.09,14.5,13.91,13.81,12.38,8.84,6.69,6.5,5.94,4.75,4.53,6.81,9.38,9.5,9.09,10.47,12.34,12.88,12.59,14.5,17.44,18.72,17.44,16.78,39.97,39.69,39.0,39.5,41.03,41.47,41.09,41.38,43.03,43.66,42.91,42.44,44.0,45.5:34.53,33.5,31.22,30.16,31.66,33.0,32.69,32.81,35.69,38.53,38.84,37.81,37.28,36.75,33.28,28.25,24.91,24.03,22.59,20.06,18.69,20.06,21.03,20.31,20.19,22.53,26.19,27.84,28.53,31.03,34.0,34.72,33.25,32.69,33.81,33.28,31.06,29.03,29.22,29.62,28.12,27.03,28.38,30.94,31.91,31.28,31.78,33.53,32.91,31.19,30.44,31.44,31.75,29.69,27.28,27.09,27.31,25.56,23.41,23.53,24.91,24.66,23.75,24.88,27.66,29.56,29.41,29.44,30.62,30.72,28.56,26.12,26.16,27.09,25.94,23.94,23.66,24.62,24.19,22.78,23.0,25.12,26.34,25.44,24.31,25.53,26.22,24.75,22.94,23.72,24.84,24.06,22.0,21.34,22.19,21.81,20.22,20.0,22.25,24.03,23.94,23.62,25.31,26.41,25.34,23.62,24.16,26.06,27.0,26.84,28.22,30.84,31.16,28.75,26.72,26.47,25.94,23.94,22.72,24.28,26.03,25.72,24.19,23.81,24.06,22.06,18.25,15.72,15.47,14.28,12.34,12.0,14.41,17.62,19.28,20.09,23.09,26.03,26.5,24.62,24.09,24.0,22.56,19.19,17.47,18.38,19.59,19.41,19.94,22.72,25.69,26.19,25.84,26.84,28.34,27.75,25.53,24.44,24.97,24.75,22.66,21.44,22.38,23.19,21.41,19.81,19.91,20.38,18.38,16.0,15.75,16.69,16.25,14.09,12.97,13.19,12.38,10.16,9.53,11.62,14.31,14.91,15.56,18.19,21.69,23.44,23.97,25.72,27.62,27.47,24.56,22.47,22.47,21.91,20.0,18.44,19.47,20.44,19.03,16.41,15.97,16.19,15.19,13.34,13.34,14.81,15.09,12.81,11.5,11.69,12.22,10.53,9.66,11.31,13.59,13.69,13.66,14.97,17.31,18.03,17.62,18.78,22.03,24.84,25.44,26.66,29.38,31.16,30.0,27.75,27.19,27.0,25.47,23.53,23.31,24.34,24.41,22.75,22.06,23.31,24.38,23.25,23.16,25.03,27.22,26.78,25.84,26.22,26.78,25.41,22.78,21.56,21.91,21.28,19.44,18.31,19.12,19.41,17.31,15.12,15.72,17.66,18.22,18.97,22.0,25.94,27.94,27.75,27.94,28.53,28.0,25.22,23.25,23.66,24.44,22.91,21.16,20.94,21.59,20.25,18.56,19.28,21.38,22.38,21.5,21.16,21.81,21.75,19.88,18.38,19.12,20.28,19.31,17.59,17.53,18.25,17.34,15.97,16.81,20.19,22.66,23.53,24.88,27.41,28.88,27.28,25.25,25.28,25.62,24.09,22.41,22.31,23.62,22.69,20.34,19.34,19.62,19.09,16.47,14.59,15.0,15.03,13.62,12.53,13.91,16.16,16.59,16.12,17.5,20.19,21.25,21.22,22.03,24.44,25.22,24.06,22.44,23.0,23.0,20.75,18.0,17.06,17.31,16.12,14.66,15.5,18.38,19.47,18.72,17.72,17.84,16.34,12.78,9.25,8.16,8.5,7.44,6.25,7.06,9.59,10.59,10.94,12.72,16.75,19.59,20.12,20.78,23.06,24.78,23.84,22.38,22.38,22.03,19.03,14.78,12.31,11.84,10.75,8.88,7.78,8.78,8.34,5.69,3.53,4.56,6.69,7.5,9.31,13.78,18.94,21.88,22.47,23.0,23.91,22.41,19.09,16.84,17.69,18.28,17.5,16.88,17.97,18.81,17.34,14.97,14.25,14.97,14.19,12.59,12.47,14.0,14.62,13.53,12.72,13.62,13.75,11.25,8.28,7.12,6.75,5.12,3.56,4.66,7.91,10.34,11.44,13.5,17.0,19.19,19.53,20.0,23.03,25.41,25.84,24.94,25.25,25.06,22.56,18.62,16.22,15.34,13.94,11.38,10.0,11.09,11.78,10.72,9.78,11.38,13.34,13.5,13.12,14.25,16.09,15.81,14.41,14.16,16.16,17.91,18.5,19.97,23.06,25.78,25.56,24.19,24.47,24.12,20.88,16.31,13.5,11.88,9.41,5.72,3.84,3.91,3.78,2.25,2.22,4.62,7.41,8.22,8.34,10.72,13.75,15.44,16.5,19.0,22.75,24.41,24.03,23.28,23.97,23.53,20.53,18.09,17.75,17.09,14.75,11.81,10.69,10.78,9.59,7.28,6.44,7.66,8.28,7.5,7.53,9.59,11.22,10.38,9.44,11.03,13.16,13.25,12.0,12.31,13.06,12.47,10.12,10.12,12.12,13.47,13.53,14.12,16.75,19.31,19.44,18.81,20.84,22.75,22.81,21.16,21.38,21.91,21.47,19.16,18.06,19.16,19.56,18.19,16.84,17.94,19.03,18.12,17.03,18.91,22.34,24.5,25.41,28.25,31.66,32.94,31.06,28.75,27.53,25.12,20.28,16.09,15.16,15.53,14.97,13.97,15.62,17.91,18.47,17.12,17.25,18.62,18.97,17.38,16.5,17.44,18.09,16.56,15.12,16.34,18.03,17.75,16.09,15.69,16.12,15.09,12.5,11.97,13.22,14.0,12.25,12.03,13.84,16.44,17.0,17.47,19.22,20.78,19.78,17.06,15.88,16.47,16.62,15.06,14.91,16.88,17.59,15.88,14.5,15.16,16.06,15.25,13.59,14.38,15.88,16.16,14.75,15.03,16.56,17.03,15.12,14.34,15.22,15.78,13.75,12.0,12.72,13.97,13.5,13.16,14.62,17.62,18.84,19.0,19.72,22.16,23.47,22.75,22.44,24.59,26.5,25.94,24.91,25.53,25.53,22.62,18.0,14.94,12.94,10.84,7.91,7.0,8.56,9.97,9.09,8.66,10.91,13.53,13.66,14.28,16.75,20.44,21.69,21.88,23.09,25.0,25.22,22.59,21.0,21.19,21.12,19.03,16.97,17.88,18.53,17.12,15.19,15.09,15.88,14.56,11.88,11.0,12.44,13.56,13.62,14.41,17.47,20.16,19.88,19.5,21.28,23.81,23.78,23.81,25.19,28.25,29.28,28.72,29.09,31.0,31.56,30.16,28.53,28.97,29.44,27.12,24.78,24.44,25.19,23.53,20.66,19.56,20.06,19.66,18.16,18.56,21.88,25.25,26.75,28.78,32.28,35.16,34.66,33.12,33.12,33.78,32.0,29.47,28.06,28.22,26.88,23.81,21.59,21.28,20.72,18.38,16.84,18.03,19.97,19.59,18.28,18.84,20.09,19.12,16.91,15.94,16.34,15.78,13.41,12.06,12.84,14.0,13.06,12.91,15.59,18.88,19.97,19.25,19.75,20.75,19.78,17.44,17.0,18.69,19.38,17.97,17.0,18.06,19.25,17.75,15.78,16.03,17.03,16.16,14.81,15.94,19.12,19.97,18.66,17.34,17.5,16.06,12.81,10.19,10.75,12.19,11.59,10.66,11.72,13.84,13.97,13.03,14.41,17.78,19.69,19.81,20.28,21.94,22.56,19.84,17.22,17.34,18.41,17.5,16.94,18.41,20.69,20.97,19.56,19.06,20.53,20.72,18.94,17.91,19.22,19.94,18.5,16.84,17.88,19.16,18.78,18.06,18.97,21.38,21.56,19.62,18.28,18.56,17.47,14.84,13.41,14.69,16.12,15.62,14.69,15.56,17.22,16.59,14.91,14.66,16.66,17.03,16.19,16.0,17.94,18.25,16.44,14.44,15.34,16.72,16.38,16.0,17.97,20.16,20.0,18.0,17.22,17.75,17.28,15.72,15.47,17.72,19.34,18.91,18.81,20.38,21.97,21.03,19.03,18.78,19.09,17.75,15.25,14.25,15.47,15.84,15.16,15.91,19.75,23.16,24.25,24.84,27.5,29.94,30.28,29.72,30.44,32.0,31.25,28.19,25.53,24.62,22.81,19.25,16.75,17.62,19.12,18.59,17.94,19.22,20.47,19.03,16.09,14.34,13.94,12.41,9.69,8.78,10.41,12.09,12.12,12.84,16.03,18.78,18.97,18.19,18.62,19.66,18.56,15.69,14.03,13.91,11.84,8.19,5.56,5.44,4.75,2.62,0.62,0.84,1.16,-0.22,-2.81,-3.34,-2.5,-3.09,-4.78,-4.34,-1.97,-0.19,-0.12,1.06,4.25,7.0,6.78,6.28,7.47,9.41,9.0,7.88,9.31,11.88,12.53,11.44,11.94,13.41,13.38,10.53,7.59,6.5,4.53,1.0,-2.78,-3.75,-3.22,-3.56,-4.38,-2.81,0.5,2.44,2.53,3.22,5.84,7.41,7.12,7.75,11.31,14.78,16.44,17.09,19.59,21.94,21.72,19.88,19.25,18.91,17.41,13.75,11.16,11.0,10.44,8.16,6.53,7.09,7.75,5.97,3.19,2.75,3.66,3.53,2.88,4.31,7.19,8.81,7.47,6.38,6.59,6.22,3.34,0.88,1.66,2.72,2.47,1.03,1.25,2.53,2.75,1.5,2.47,5.44,7.78,7.81,8.09,9.88,10.78,8.84,6.56,6.88,8.31,8.38,8.41,10.28,12.88,13.72,12.41,11.69,12.41,12.31,10.06,8.44,9.09,9.84,8.72,7.31,8.22,9.91,9.97,8.44,8.91,9.97,9.75,7.81,6.94,8.06,8.72,7.09,5.88,6.56,7.41,6.25,4.84,5.56,6.97,6.81,5.34,5.66,7.44,8.09,7.59,7.78,9.75,11.53,11.22,10.66,11.75,13.12,12.03,10.75,11.28,12.81,13.25,11.94,11.88,12.91,12.44,9.53,7.22,6.72,6.69,4.84,3.59,5.0,7.19,7.47,7.22,9.03,11.38,12.62,11.62,11.16,12.41,13.47,12.62,13.12,15.97,18.44,18.19,17.25,17.78,18.41,17.09,14.5,13.91,13.81,12.38,8.84,6.69,6.5,5.94,4.75,4.53,6.81,9.38,9.5,9.09,10.47,12.34,12.88,12.59,14.5,17.44,18.72,17.44,16.78,39.97,39.69,39.0,39.5,41.03,41.47,41.09,41.38,43.03,43.66,42.91,42.44,44.0,45.5,45.97,46.25,47.66,49.75,49.5,48.56,48.44:32.81,35.69,38.53,38.84,37.81,37.28,36.75,33.28,28.25,24.91,24.03,22.59,20.06,18.69,20.06,21.03,20.31,20.19,22.53,26.19,27.84,28.53,31.03,34.0,34.72,33.25,32.69,33.81,33.28,31.06,29.03,29.22,29.62,28.12,27.03,28.38,30.94,31.91,31.28,31.78,33.53,32.91,31.19,30.44,31.44,31.75,29.69,27.28,27.09,27.31,25.56,23.41,23.53,24.91,24.66,23.75,24.88,27.66,29.56,29.41,29.44,30.62,30.72,28.56,26.12,26.16,27.09,25.94,23.94,23.66,24.62,24.19,22.78,23.0,25.12,26.34,25.44,24.31,25.53,26.22,24.75,22.94,23.72,24.84,24.06,22.0,21.34,22.19,21.81,20.22,20.0,22.25,24.03,23.94,23.62,25.31,26.41,25.34,23.62,24.16,26.06,27.0,26.84,28.22,30.84,31.16,28.75,26.72,26.47,25.94,23.94,22.72,24.28,26.03,25.72,24.19,23.81,24.06,22.06,18.25,15.72,15.47,14.28,12.34,12.0,14.41,17.62,19.28,20.09,23.09,26.03,26.5,24.62,24.09,24.0,22.56,19.19,17.47,18.38,19.59,19.41,19.94,22.72,25.69,26.19,25.84,26.84,28.34,27.75,25.53,24.44,24.97,24.75,22.66,21.44,22.38,23.19,21.41,19.81,19.91,20.38,18.38,16.0,15.75,16.69,16.25,14.09,12.97,13.19,12.38,10.16,9.53,11.62,14.31,14.91,15.56,18.19,21.69,23.44,23.97,25.72,27.62,27.47,24.56,22.47,22.47,21.91,20.0,18.44,19.47,20.44,19.03,16.41,15.97,16.19,15.19,13.34,13.34,14.81,15.09,12.81,11.5,11.69,12.22,10.53,9.66,11.31,13.59,13.69,13.66,14.97,17.31,18.03,17.62,18.78,22.03,24.84,25.44,26.66,29.38,31.16,30.0,27.75,27.19,27.0,25.47,23.53,23.31,24.34,24.41,22.75,22.06,23.31,24.38,23.25,23.16,25.03,27.22,26.78,25.84,26.22,26.78,25.41,22.78,21.56,21.91,21.28,19.44,18.31,19.12,19.41,17.31,15.12,15.72,17.66,18.22,18.97,22.0,25.94,27.94,27.75,27.94,28.53,28.0,25.22,23.25,23.66,24.44,22.91,21.16,20.94,21.59,20.25,18.56,19.28,21.38,22.38,21.5,21.16,21.81,21.75,19.88,18.38,19.12,20.28,19.31,17.59,17.53,18.25,17.34,15.97,16.81,20.19,22.66,23.53,24.88,27.41,28.88,27.28,25.25,25.28,25.62,24.09,22.41,22.31,23.62,22.69,20.34,19.34,19.62,19.09,16.47,14.59,15.0,15.03,13.62,12.53,13.91,16.16,16.59,16.12,17.5,20.19,21.25,21.22,22.03,24.44,25.22,24.06,22.44,23.0,23.0,20.75,18.0,17.06,17.31,16.12,14.66,15.5,18.38,19.47,18.72,17.72,17.84,16.34,12.78,9.25,8.16,8.5,7.44,6.25,7.06,9.59,10.59,10.94,12.72,16.75,19.59,20.12,20.78,23.06,24.78,23.84,22.38,22.38,22.03,19.03,14.78,12.31,11.84,10.75,8.88,7.78,8.78,8.34,5.69,3.53,4.56,6.69,7.5,9.31,13.78,18.94,21.88,22.47,23.0,23.91,22.41,19.09,16.84,17.69,18.28,17.5,16.88,17.97,18.81,17.34,14.97,14.25,14.97,14.19,12.59,12.47,14.0,14.62,13.53,12.72,13.62,13.75,11.25,8.28,7.12,6.75,5.12,3.56,4.66,7.91,10.34,11.44,13.5,17.0,19.19,19.53,20.0,23.03,25.41,25.84,24.94,25.25,25.06,22.56,18.62,16.22,15.34,13.94,11.38,10.0,11.09,11.78,10.72,9.78,11.38,13.34,13.5,13.12,14.25,16.09,15.81,14.41,14.16,16.16,17.91,18.5,19.97,23.06,25.78,25.56,24.19,24.47,24.12,20.88,16.31,13.5,11.88,9.41,5.72,3.84,3.91,3.78,2.25,2.22,4.62,7.41,8.22,8.34,10.72,13.75,15.44,16.5,19.0,22.75,24.41,24.03,23.28,23.97,23.53,20.53,18.09,17.75,17.09,14.75,11.81,10.69,10.78,9.59,7.28,6.44,7.66,8.28,7.5,7.53,9.59,11.22,10.38,9.44,11.03,13.16,13.25,12.0,12.31,13.06,12.47,10.12,10.12,12.12,13.47,13.53,14.12,16.75,19.31,19.44,18.81,20.84,22.75,22.81,21.16,21.38,21.91,21.47,19.16,18.06,19.16,19.56,18.19,16.84,17.94,19.03,18.12,17.03,18.91,22.34,24.5,25.41,28.25,31.66,32.94,31.06,28.75,27.53,25.12,20.28,16.09,15.16,15.53,14.97,13.97,15.62,17.91,18.47,17.12,17.25,18.62,18.97,17.38,16.5,17.44,18.09,16.56,15.12,16.34,18.03,17.75,16.09,15.69,16.12,15.09,12.5,11.97,13.22,14.0,12.25,12.03,13.84,16.44,17.0,17.47,19.22,20.78,19.78,17.06,15.88,16.47,16.62,15.06,14.91,16.88,17.59,15.88,14.5,15.16,16.06,15.25,13.59,14.38,15.88,16.16,14.75,15.03,16.56,17.03,15.12,14.34,15.22,15.78,13.75,12.0,12.72,13.97,13.5,13.16,14.62,17.62,18.84,19.0,19.72,22.16,23.47,22.75,22.44,24.59,26.5,25.94,24.91,25.53,25.53,22.62,18.0,14.94,12.94,10.84,7.91,7.0,8.56,9.97,9.09,8.66,10.91,13.53,13.66,14.28,16.75,20.44,21.69,21.88,23.09,25.0,25.22,22.59,21.0,21.19,21.12,19.03,16.97,17.88,18.53,17.12,15.19,15.09,15.88,14.56,11.88,11.0,12.44,13.56,13.62,14.41,17.47,20.16,19.88,19.5,21.28,23.81,23.78,23.81,25.19,28.25,29.28,28.72,29.09,31.0,31.56,30.16,28.53,28.97,29.44,27.12,24.78,24.44,25.19,23.53,20.66,19.56,20.06,19.66,18.16,18.56,21.88,25.25,26.75,28.78,32.28,35.16,34.66,33.12,33.12,33.78,32.0,29.47,28.06,28.22,26.88,23.81,21.59,21.28,20.72,18.38,16.84,18.03,19.97,19.59,18.28,18.84,20.09,19.12,16.91,15.94,16.34,15.78,13.41,12.06,12.84,14.0,13.06,12.91,15.59,18.88,19.97,19.25,19.75,20.75,19.78,17.44,17.0,18.69,19.38,17.97,17.0,18.06,19.25,17.75,15.78,16.03,17.03,16.16,14.81,15.94,19.12,19.97,18.66,17.34,17.5,16.06,12.81,10.19,10.75,12.19,11.59,10.66,11.72,13.84,13.97,13.03,14.41,17.78,19.69,19.81,20.28,21.94,22.56,19.84,17.22,17.34,18.41,17.5,16.94,18.41,20.69,20.97,19.56,19.06,20.53,20.72,18.94,17.91,19.22,19.94,18.5,16.84,17.88,19.16,18.78,18.06,18.97,21.38,21.56,19.62,18.28,18.56,17.47,14.84,13.41,14.69,16.12,15.62,14.69,15.56,17.22,16.59,14.91,14.66,16.66,17.03,16.19,16.0,17.94,18.25,16.44,14.44,15.34,16.72,16.38,16.0,17.97,20.16,20.0,18.0,17.22,17.75,17.28,15.72,15.47,17.72,19.34,18.91,18.81,20.38,21.97,21.03,19.03,18.78,19.09,17.75,15.25,14.25,15.47,15.84,15.16,15.91,19.75,23.16,24.25,24.84,27.5,29.94,30.28,29.72,30.44,32.0,31.25,28.19,25.53,24.62,22.81,19.25,16.75,17.62,19.12,18.59,17.94,19.22,20.47,19.03,16.09,14.34,13.94,12.41,9.69,8.78,10.41,12.09,12.12,12.84,16.03,18.78,18.97,18.19,18.62,19.66,18.56,15.69,14.03,13.91,11.84,8.19,5.56,5.44,4.75,2.62,0.62,0.84,1.16,-0.22,-2.81,-3.34,-2.5,-3.09,-4.78,-4.34,-1.97,-0.19,-0.12,1.06,4.25,7.0,6.78,6.28,7.47,9.41,9.0,7.88,9.31,11.88,12.53,11.44,11.94,13.41,13.38,10.53,7.59,6.5,4.53,1.0,-2.78,-3.75,-3.22,-3.56,-4.38,-2.81,0.5,2.44,2.53,3.22,5.84,7.41,7.12,7.75,11.31,14.78,16.44,17.09,19.59,21.94,21.72,19.88,19.25,18.91,17.41,13.75,11.16,11.0,10.44,8.16,6.53,7.09,7.75,5.97,3.19,2.75,3.66,3.53,2.88,4.31,7.19,8.81,7.47,6.38,6.59,6.22,3.34,0.88,1.66,2.72,2.47,1.03,1.25,2.53,2.75,1.5,2.47,5.44,7.78,7.81,8.09,9.88,10.78,8.84,6.56,6.88,8.31,8.38,8.41,10.28,12.88,13.72,12.41,11.69,12.41,12.31,10.06,8.44,9.09,9.84,8.72,7.31,8.22,9.91,9.97,8.44,8.91,9.97,9.75,7.81,6.94,8.06,8.72,7.09,5.88,6.56,7.41,6.25,4.84,5.56,6.97,6.81,5.34,5.66,7.44,8.09,7.59,7.78,9.75,11.53,11.22,10.66,11.75,13.12,12.03,10.75,11.28,12.81,13.25,11.94,11.88,12.91,12.44,9.53,7.22,6.72,6.69,4.84,3.59,5.0,7.19,7.47,7.22,9.03,11.38,12.62,11.62,11.16,12.41,13.47,12.62,13.12,15.97,18.44,18.19,17.25,17.78,18.41,17.09,14.5,13.91,13.81,12.38,8.84,6.69,6.5,5.94,4.75,4.53,6.81,9.38,9.5,9.09,10.47,12.34,12.88,12.59,14.5,17.44,18.72,17.44,16.78,39.97,39.69,39.0,39.5,41.03,41.47,41.09,41.38,43.03,43.66,42.91,42.44,44.0,45.5,45.97,46.25,47.66,49.75,49.5,48.56,48.44,48.97,48.25,46.94,46.53,48.06,49.53,49.84:33.28,28.25,24.91,24.03,22.59,20.06,18.69,20.06,21.03,20.31,20.19,22.53,26.19,27.84,28.53,31.03,34.0,34.72,33.25,32.69,33.81,33.28,31.06,29.03,29.22,29.62,28.12,27.03,28.38,30.94,31.91,31.28,31.78,33.53,32.91,31.19,30.44,31.44,31.75,29.69,27.28,27.09,27.31,25.56,23.41,23.53,24.91,24.66,23.75,24.88,27.66,29.56,29.41,29.44,30.62,30.72,28.56,26.12,26.16,27.09,25.94,23.94,23.66,24.62,24.19,22.78,23.0,25.12,26.34,25.44,24.31,25.53,26.22,24.75,22.94,23.72,24.84,24.06,22.0,21.34,22.19,21.81,20.22,20.0,22.25,24.03,23.94,23.62,25.31,26.41,25.34,23.62,24.16,26.06,27.0,26.84,28.22,30.84,31.16,28.75,26.72,26.47,25.94,23.94,22.72,24.28,26.03,25.72,24.19,23.81,24.06,22.06,18.25,15.72,15.47,14.28,12.34,12.0,14.41,17.62,19.28,20.09,23.09,26.03,26.5,24.62,24.09,24.0,22.56,19.19,17.47,18.38,19.59,19.41,19.94,22.72,25.69,26.19,25.84,26.84,28.34,27.75,25.53,24.44,24.97,24.75,22.66,21.44,22.38,23.19,21.41,19.81,19.91,20.38,18.38,16.0,15.75,16.69,16.25,14.09,12.97,13.19,12.38,10.16,9.53,11.62,14.31,14.91,15.56,18.19,21.69,23.44,23.97,25.72,27.62,27.47,24.56,22.47,22.47,21.91,20.0,18.44,19.47,20.44,19.03,16.41,15.97,16.19,15.19,13.34,13.34,14.81,15.09,12.81,11.5,11.69,12.22,10.53,9.66,11.31,13.59,13.69,13.66,14.97,17.31,18.03,17.62,18.78,22.03,24.84,25.44,26.66,29.38,31.16,30.0,27.75,27.19,27.0,25.47,23.53,23.31,24.34,24.41,22.75,22.06,23.31,24.38,23.25,23.16,25.03,27.22,26.78,25.84,26.22,26.78,25.41,22.78,21.56,21.91,21.28,19.44,18.31,19.12,19.41,17.31,15.12,15.72,17.66,18.22,18.97,22.0,25.94,27.94,27.75,27.94,28.53,28.0,25.22,23.25,23.66,24.44,22.91,21.16,20.94,21.59,20.25,18.56,19.28,21.38,22.38,21.5,21.16,21.81,21.75,19.88,18.38,19.12,20.28,19.31,17.59,17.53,18.25,17.34,15.97,16.81,20.19,22.66,23.53,24.88,27.41,28.88,27.28,25.25,25.28,25.62,24.09,22.41,22.31,23.62,22.69,20.34,19.34,19.62,19.09,16.47,14.59,15.0,15.03,13.62,12.53,13.91,16.16,16.59,16.12,17.5,20.19,21.25,21.22,22.03,24.44,25.22,24.06,22.44,23.0,23.0,20.75,18.0,17.06,17.31,16.12,14.66,15.5,18.38,19.47,18.72,17.72,17.84,16.34,12.78,9.25,8.16,8.5,7.44,6.25,7.06,9.59,10.59,10.94,12.72,16.75,19.59,20.12,20.78,23.06,24.78,23.84,22.38,22.38,22.03,19.03,14.78,12.31,11.84,10.75,8.88,7.78,8.78,8.34,5.69,3.53,4.56,6.69,7.5,9.31,13.78,18.94,21.88,22.47,23.0,23.91,22.41,19.09,16.84,17.69,18.28,17.5,16.88,17.97,18.81,17.34,14.97,14.25,14.97,14.19,12.59,12.47,14.0,14.62,13.53,12.72,13.62,13.75,11.25,8.28,7.12,6.75,5.12,3.56,4.66,7.91,10.34,11.44,13.5,17.0,19.19,19.53,20.0,23.03,25.41,25.84,24.94,25.25,25.06,22.56,18.62,16.22,15.34,13.94,11.38,10.0,11.09,11.78,10.72,9.78,11.38,13.34,13.5,13.12,14.25,16.09,15.81,14.41,14.16,16.16,17.91,18.5,19.97,23.06,25.78,25.56,24.19,24.47,24.12,20.88,16.31,13.5,11.88,9.41,5.72,3.84,3.91,3.78,2.25,2.22,4.62,7.41,8.22,8.34,10.72,13.75,15.44,16.5,19.0,22.75,24.41,24.03,23.28,23.97,23.53,20.53,18.09,17.75,17.09,14.75,11.81,10.69,10.78,9.59,7.28,6.44,7.66,8.28,7.5,7.53,9.59,11.22,10.38,9.44,11.03,13.16,13.25,12.0,12.31,13.06,12.47,10.12,10.12,12.12,13.47,13.53,14.12,16.75,19.31,19.44,18.81,20.84,22.75,22.81,21.16,21.38,21.91,21.47,19.16,18.06,19.16,19.56,18.19,16.84,17.94,19.03,18.12,17.03,18.91,22.34,24.5,25.41,28.25,31.66,32.94,31.06,28.75,27.53,25.12,20.28,16.09,15.16,15.53,14.97,13.97,15.62,17.91,18.47,17.12,17.25,18.62,18.97,17.38,16.5,17.44,18.09,16.56,15.12,16.34,18.03,17.75,16.09,15.69,16.12,15.09,12.5,11.97,13.22,14.0,12.25,12.03,13.84,16.44,17.0,17.47,19.22,20.78,19.78,17.06,15.88,16.47,16.62,15.06,14.91,16.88,17.59,15.88,14.5,15.16,16.06,15.25,13.59,14.38,15.88,16.16,14.75,15.03,16.56,17.03,15.12,14.34,15.22,15.78,13.75,12.0,12.72,13.97,13.5,13.16,14.62,17.62,18.84,19.0,19.72,22.16,23.47,22.75,22.44,24.59,26.5,25.94,24.91,25.53,25.53,22.62,18.0,14.94,12.94,10.84,7.91,7.0,8.56,9.97,9.09,8.66,10.91,13.53,13.66,14.28,16.75,20.44,21.69,21.88,23.09,25.0,25.22,22.59,21.0,21.19,21.12,19.03,16.97,17.88,18.53,17.12,15.19,15.09,15.88,14.56,11.88,11.0,12.44,13.56,13.62,14.41,17.47,20.16,19.88,19.5,21.28,23.81,23.78,23.81,25.19,28.25,29.28,28.72,29.09,31.0,31.56,30.16,28.53,28.97,29.44,27.12,24.78,24.44,25.19,23.53,20.66,19.56,20.06,19.66,18.16,18.56,21.88,25.25,26.75,28.78,32.28,35.16,34.66,33.12,33.12,33.78,32.0,29.47,28.06,28.22,26.88,23.81,21.59,21.28,20.72,18.38,16.84,18.03,19.97,19.59,18.28,18.84,20.09,19.12,16.91,15.94,16.34,15.78,13.41,12.06,12.84,14.0,13.06,12.91,15.59,18.88,19.97,19.25,19.75,20.75,19.78,17.44,17.0,18.69,19.38,17.97,17.0,18.06,19.25,17.75,15.78,16.03,17.03,16.16,14.81,15.94,19.12,19.97,18.66,17.34,17.5,16.06,12.81,10.19,10.75,12.19,11.59,10.66,11.72,13.84,13.97,13.03,14.41,17.78,19.69,19.81,20.28,21.94,22.56,19.84,17.22,17.34,18.41,17.5,16.94,18.41,20.69,20.97,19.56,19.06,20.53,20.72,18.94,17.91,19.22,19.94,18.5,16.84,17.88,19.16,18.78,18.06,18.97,21.38,21.56,19.62,18.28,18.56,17.47,14.84,13.41,14.69,16.12,15.62,14.69,15.56,17.22,16.59,14.91,14.66,16.66,17.03,16.19,16.0,17.94,18.25,16.44,14.44,15.34,16.72,16.38,16.0,17.97,20.16,20.0,18.0,17.22,17.75,17.28,15.72,15.47,17.72,19.34,18.91,18.81,20.38,21.97,21.03,19.03,18.78,19.09,17.75,15.25,14.25,15.47,15.84,15.16,15.91,19.75,23.16,24.25,24.84,27.5,29.94,30.28,29.72,30.44,32.0,31.25,28.19,25.53,24.62,22.81,19.25,16.75,17.62,19.12,18.59,17.94,19.22,20.47,19.03,16.09,14.34,13.94,12.41,9.69,8.78,10.41,12.09,12.12,12.84,16.03,18.78,18.97,18.19,18.62,19.66,18.56,15.69,14.03,13.91,11.84,8.19,5.56,5.44,4.75,2.62,0.62,0.84,1.16,-0.22,-2.81,-3.34,-2.5,-3.09,-4.78,-4.34,-1.97,-0.19,-0.12,1.06,4.25,7.0,6.78,6.28,7.47,9.41,9.0,7.88,9.31,11.88,12.53,11.44,11.94,13.41,13.38,10.53,7.59,6.5,4.53,1.0,-2.78,-3.75,-3.22,-3.56,-4.38,-2.81,0.5,2.44,2.53,3.22,5.84,7.41,7.12,7.75,11.31,14.78,16.44,17.09,19.59,21.94,21.72,19.88,19.25,18.91,17.41,13.75,11.16,11.0,10.44,8.16,6.53,7.09,7.75,5.97,3.19,2.75,3.66,3.53,2.88,4.31,7.19,8.81,7.47,6.38,6.59,6.22,3.34,0.88,1.66,2.72,2.47,1.03,1.25,2.53,2.75,1.5,2.47,5.44,7.78,7.81,8.09,9.88,10.78,8.84,6.56,6.88,8.31,8.38,8.41,10.28,12.88,13.72,12.41,11.69,12.41,12.31,10.06,8.44,9.09,9.84,8.72,7.31,8.22,9.91,9.97,8.44,8.91,9.97,9.75,7.81,6.94,8.06,8.72,7.09,5.88,6.56,7.41,6.25,4.84,5.56,6.97,6.81,5.34,5.66,7.44,8.09,7.59,7.78,9.75,11.53,11.22,10.66,11.75,13.12,12.03,10.75,11.28,12.81,13.25,11.94,11.88,12.91,12.44,9.53,7.22,6.72,6.69,4.84,3.59,5.0,7.19,7.47,7.22,9.03,11.38,12.62,11.62,11.16,12.41,13.47,12.62,13.12,15.97,18.44,18.19,17.25,17.78,18.41,17.09,14.5,13.91,13.81,12.38,8.84,6.69,6.5,5.94,4.75,4.53,6.81,9.38,9.5,9.09,10.47,12.34,12.88,12.59,14.5,17.44,18.72,17.44,16.78,39.97,39.69,39.0,39.5,41.03,41.47,41.09,41.38,43.03,43.66,42.91,42.44,44.0,45.5,45.97,46.25,47.66,49.75,49.5,48.56,48.44,48.97,48.25,46.94,46.53,48.06,49.53,49.84,50.0,51.94,53.44,53.03,51.72,50.56,49.59:20.06,21.03,20.31,20.19,22.53,26.19,27.84,28.53,31.03,34.0,34.72,33.25,32.69,33.81,33.28,31.06,29.03,29.22,29.62,28.12,27.03,28.38,30.94,31.91,31.28,31.78,33.53,32.91,31.19,30.44,31.44,31.75,29.69,27.28,27.09,27.31,25.56,23.41,23.53,24.91,24.66,23.75,24.88,27.66,29.56,29.41,29.44,30.62,30.72,28.56,26.12,26.16,27.09,25.94,23.94,23.66,24.62,24.19,22.78,23.0,25.12,26.34,25.44,24.31,25.53,26.22,24.75,22.94,23.72,24.84,24.06,22.0,21.34,22.19,21.81,20.22,20.0,22.25,24.03,23.94,23.62,25.31,26.41,25.34,23.62,24.16,26.06,27.0,26.84,28.22,30.84,31.16,28.75,26.72,26.47,25.94,23.94,22.72,24.28,26.03,25.72,24.19,23.81,24.06,22.06,18.25,15.72,15.47,14.28,12.34,12.0,14.41,17.62,19.28,20.09,23.09,26.03,26.5,24.62,24.09,24.0,22.56,19.19,17.47,18.38,19.59,19.41,19.94,22.72,25.69,26.19,25.84,26.84,28.34,27.75,25.53,24.44,24.97,24.75,22.66,21.44,22.38,23.19,21.41,19.81,19.91,20.38,18.38,16.0,15.75,16.69,16.25,14.09,12.97,13.19,12.38,10.16,9.53,11.62,14.31,14.91,15.56,18.19,21.69,23.44,23.97,25.72,27.62,27.47,24.56,22.47,22.47,21.91,20.0,18.44,19.47,20.44,19.03,16.41,15.97,16.19,15.19,13.34,13.34,14.81,15.09,12.81,11.5,11.69,12.22,10.53,9.66,11.31,13.59,13.69,13.66,14.97,17.31,18.03,17.62,18.78,22.03,24.84,25.44,26.66,29.38,31.16,30.0,27.75,27.19,27.0,25.47,23.53,23.31,24.34,24.41,22.75,22.06,23.31,24.38,23.25,23.16,25.03,27.22,26.78,25.84,26.22,26.78,25.41,22.78,21.56,21.91,21.28,19.44,18.31,19.12,19.41,17.31,15.12,15.72,17.66,18.22,18.97,22.0,25.94,27.94,27.75,27.94,28.53,28.0,25.22,23.25,23.66,24.44,22.91,21.16,20.94,21.59,20.25,18.56,19.28,21.38,22.38,21.5,21.16,21.81,21.75,19.88,18.38,19.12,20.28,19.31,17.59,17.53,18.25,17.34,15.97,16.81,20.19,22.66,23.53,24.88,27.41,28.88,27.28,25.25,25.28,25.62,24.09,22.41,22.31,23.62,22.69,20.34,19.34,19.62,19.09,16.47,14.59,15.0,15.03,13.62,12.53,13.91,16.16,16.59,16.12,17.5,20.19,21.25,21.22,22.03,24.44,25.22,24.06,22.44,23.0,23.0,20.75,18.0,17.06,17.31,16.12,14.66,15.5,18.38,19.47,18.72,17.72,17.84,16.34,12.78,9.25,8.16,8.5,7.44,6.25,7.06,9.59,10.59,10.94,12.72,16.75,19.59,20.12,20.78,23.06,24.78,23.84,22.38,22.38,22.03,19.03,14.78,12.31,11.84,10.75,8.88,7.78,8.78,8.34,5.69,3.53,4.56,6.69,7.5,9.31,13.78,18.94,21.88,22.47,23.0,23.91,22.41,19.09,16.84,17.69,18.28,17.5,16.88,17.97,18.81,17.34,14.97,14.25,14.97,14.19,12.59,12.47,14.0,14.62,13.53,12.72,13.62,13.75,11.25,8.28,7.12,6.75,5.12,3.56,4.66,7.91,10.34,11.44,13.5,17.0,19.19,19.53,20.0,23.03,25.41,25.84,24.94,25.25,25.06,22.56,18.62,16.22,15.34,13.94,11.38,10.0,11.09,11.78,10.72,9.78,11.38,13.34,13.5,13.12,14.25,16.09,15.81,14.41,14.16,16.16,17.91,18.5,19.97,23.06,25.78,25.56,24.19,24.47,24.12,20.88,16.31,13.5,11.88,9.41,5.72,3.84,3.91,3.78,2.25,2.22,4.62,7.41,8.22,8.34,10.72,13.75,15.44,16.5,19.0,22.75,24.41,24.03,23.28,23.97,23.53,20.53,18.09,17.75,17.09,14.75,11.81,10.69,10.78,9.59,7.28,6.44,7.66,8.28,7.5,7.53,9.59,11.22,10.38,9.44,11.03,13.16,13.25,12.0,12.31,13.06,12.47,10.12,10.12,12.12,13.47,13.53,14.12,16.75,19.31,19.44,18.81,20.84,22.75,22.81,21.16,21.38,21.91,21.47,19.16,18.06,19.16,19.56,18.19,16.84,17.94,19.03,18.12,17.03,18.91,22.34,24.5,25.41,28.25,31.66,32.94,31.06,28.75,27.53,25.12,20.28,16.09,15.16,15.53,14.97,13.97,15.62,17.91,18.47,17.12,17.25,18.62,18.97,17.38,16.5,17.44,18.09,16.56,15.12,16.34,18.03,17.75,16.09,15.69,16.12,15.09,12.5,11.97,13.22,14.0,12.25,12.03,13.84,16.44,17.0,17.47,19.22,20.78,19.78,17.06,15.88,16.47,16.62,15.06,14.91,16.88,17.59,15.88,14.5,15.16,16.06,15.25,13.59,14.38,15.88,16.16,14.75,15.03,16.56,17.03,15.12,14.34,15.22,15.78,13.75,12.0,12.72,13.97,13.5,13.16,14.62,17.62,18.84,19.0,19.72,22.16,23.47,22.75,22.44,24.59,26.5,25.94,24.91,25.53,25.53,22.62,18.0,14.94,12.94,10.84,7.91,7.0,8.56,9.97,9.09,8.66,10.91,13.53,13.66,14.28,16.75,20.44,21.69,21.88,23.09,25.0,25.22,22.59,21.0,21.19,21.12,19.03,16.97,17.88,18.53,17.12,15.19,15.09,15.88,14.56,11.88,11.0,12.44,13.56,13.62,14.41,17.47,20.16,19.88,19.5,21.28,23.81,23.78,23.81,25.19,28.25,29.28,28.72,29.09,31.0,31.56,30.16,28.53,28.97,29.44,27.12,24.78,24.44,25.19,23.53,20.66,19.56,20.06,19.66,18.16,18.56,21.88,25.25,26.75,28.78,32.28,35.16,34.66,33.12,33.12,33.78,32.0,29.47,28.06,28.22,26.88,23.81,21.59,21.28,20.72,18.38,16.84,18.03,19.97,19.59,18.28,18.84,20.09,19.12,16.91,15.94,16.34,15.78,13.41,12.06,12.84,14.0,13.06,12.91,15.59,18.88,19.97,19.25,19.75,20.75,19.78,17.44,17.0,18.69,19.38,17.97,17.0,18.06,19.25,17.75,15.78,16.03,17.03,16.16,14.81,15.94,19.12,19.97,18.66,17.34,17.5,16.06,12.81,10.19,10.75,12.19,11.59,10.66,11.72,13.84,13.97,13.03,14.41,17.78,19.69,19.81,20.28,21.94,22.56,19.84,17.22,17.34,18.41,17.5,16.94,18.41,20.69,20.97,19.56,19.06,20.53,20.72,18.94,17.91,19.22,19.94,18.5,16.84,17.88,19.16,18.78,18.06,18.97,21.38,21.56,19.62,18.28,18.56,17.47,14.84,13.41,14.69,16.12,15.62,14.69,15.56,17.22,16.59,14.91,14.66,16.66,17.03,16.19,16.0,17.94,18.25,16.44,14.44,15.34,16.72,16.38,16.0,17.97,20.16,20.0,18.0,17.22,17.75,17.28,15.72,15.47,17.72,19.34,18.91,18.81,20.38,21.97,21.03,19.03,18.78,19.09,17.75,15.25,14.25,15.47,15.84,15.16,15.91,19.75,23.16,24.25,24.84,27.5,29.94,30.28,29.72,30.44,32.0,31.25,28.19,25.53,24.62,22.81,19.25,16.75,17.62,19.12,18.59,17.94,19.22,20.47,19.03,16.09,14.34,13.94,12.41,9.69,8.78,10.41,12.09,12.12,12.84,16.03,18.78,18.97,18.19,18.62,19.66,18.56,15.69,14.03,13.91,11.84,8.19,5.56,5.44,4.75,2.62,0.62,0.84,1.16,-0.22,-2.81,-3.34,-2.5,-3.09,-4.78,-4.34,-1.97,-0.19,-0.12,1.06,4.25,7.0,6.78,6.28,7.47,9.41,9.0,7.88,9.31,11.88,12.53,11.44,11.94,13.41,13.38,10.53,7.59,6.5,4.53,1.0,-2.78,-3.75,-3.22,-3.56,-4.38,-2.81,0.5,2.44,2.53,3.22,5.84,7.41,7.12,7.75,11.31,14.78,16.44,17.09,19.59,21.94,21.72,19.88,19.25,18.91,17.41,13.75,11.16,11.0,10.44,8.16,6.53,7.09,7.75,5.97,3.19,2.75,3.66,3.53,2.88,4.31,7.19,8.81,7.47,6.38,6.59,6.22,3.34,0.88,1.66,2.72,2.47,1.03,1.25,2.53,2.75,1.5,2.47,5.44,7.78,7.81,8.09,9.88,10.78,8.84,6.56,6.88,8.31,8.38,8.41,10.28,12.88,13.72,12.41,11.69,12.41,12.31,10.06,8.44,9.09,9.84,8.72,7.31,8.22,9.91,9.97,8.44,8.91,9.97,9.75,7.81,6.94,8.06,8.72,7.09,5.88,6.56,7.41,6.25,4.84,5.56,6.97,6.81,5.34,5.66,7.44,8.09,7.59,7.78,9.75,11.53,11.22,10.66,11.75,13.12,12.03,10.75,11.28,12.81,13.25,11.94,11.88,12.91,12.44,9.53,7.22,6.72,6.69,4.84,3.59,5.0,7.19,7.47,7.22,9.03,11.38,12.62,11.62,11.16,12.41,13.47,12.62,13.12,15.97,18.44,18.19,17.25,17.78,18.41,17.09,14.5,13.91,13.81,12.38,8.84,6.69,6.5,5.94,4.75,4.53,6.81,9.38,9.5,9.09,10.47,12.34,12.88,12.59,14.5,17.44,18.72,17.44,16.78,39.97,39.69,39.0,39.5,41.03,41.47,41.09,41.38,43.03,43.66,42.91,42.44,44.0,45.5,45.97,46.25,47.66,49.75,49.5,48.56,48.44,48.97,48.25,46.94,46.53,48.06,49.53,49.84,50.0,51.94,53.44,53.03,51.72,50.56,49.59,46.66,43.09,40.94,40.72,40.06,38.81,38.41:positivity
7.75,12.31,15.28,16.28,17.47,19.72,20.19,17.5,15.5,15.78,16.72,15.31,13.97,14.59,16.03,15.0,12.44,11.56,12.28,11.88,9.78,9.03,11.06,13.34,14.19,15.69,20.25,25.38,27.72,28.41,30.12,32.06,31.19,28.03,26.34,26.5,25.56,22.72,21.0,22.38,23.41,22.53,21.66,23.19,25.75,26.0,24.94,25.69,27.09,25.81,22.06,18.97,18.06,16.38,13.44,11.75,13.56,15.91,16.06,15.94,17.47,19.31,18.47,15.66,13.97,13.56,11.69,8.28,5.91,6.28,6.16,3.5,1.0,0.66,0.78,-0.56,-2.0,-0.88,1.69,2.12,0.84,0.44,1.44,1.94,0.38,-0.16,2.28,4.41,4.03,3.69,5.53,8.06,8.78,8.97,11.41,15.41,17.97,19.25,21.59,25.78,28.5,27.91,27.28,28.62,29.12,26.62,23.75,22.97,22.72,20.97,18.31,17.31,18.44,17.91,16.03,14.94,15.72,16.19,14.34,12.97,13.94,14.88,13.66,11.56,11.53,13.12,13.25,12.38,12.97,14.94,15.62,13.75,12.16,12.5,11.78,8.38,4.62,3.0,1.81,-0.84,-4.09,-4.62,-3.56,-3.16,-3.97,-3.06,0.5,3.41,4.31,5.47,8.78,11.56,11.66,10.94,12.28,13.31,11.91,9.03,7.62,7.56,6.53,3.22,1.12,0.72,0.19,-2.56,-4.94,-4.31,-2.75,-3.31,-4.16,-2.78,-0.53,0.38,0.16,1.81,5.69,9.28,10.62,12.53,15.78,17.81,16.31,14.34,14.94,15.84,15.81,15.44,16.94,19.66,20.0,18.69,17.84,18.5,18.53,16.22,14.47,15.25,15.97,14.34,11.75,11.38,11.31,9.09,5.88,4.91,6.03,6.25,5.34,5.56,7.75,9.47,8.75,8.06,9.78,11.78,11.47,9.75,10.22,11.75,11.78,10.59,11.0,12.94,13.22,10.47,8.53,8.56,9.0,8.41,8.47,11.12,14.75,16.0,15.72,17.09,19.0,19.66,18.69,19.0,21.47,23.12,22.72,22.69,24.53,26.16,24.91,22.88,22.88,23.25,21.19,17.91,16.31,15.84,14.34,11.31,9.03,9.12,8.84,6.91,5.88,7.66,10.72,12.03,13.06,15.91,19.56,21.09,20.75,22.0,24.97,26.88,26.41,26.66,28.22,28.81,26.47,23.91,23.09,23.0,21.0,18.16,17.03,17.44,16.28,13.47,12.19,12.81,13.03,11.59,11.38,13.94,16.88,18.0,18.44,20.81,23.75,24.38,23.62,24.44,26.72,27.25,25.53,24.09,23.91,22.69,19.16,15.88,15.34,15.44,14.12,12.53,12.81,14.31,13.97,12.41,12.69,14.84,16.09,14.69,13.47,13.41,12.38,9.19,6.62,7.03,9.31,9.94,10.19,12.0,14.53,15.22,14.28,14.03,15.5,16.44,14.62,13.22,13.34,13.72,11.69,9.66,10.22,12.41,12.97,12.53,13.66,16.06,16.88,15.62,14.5,14.94,14.25,11.62,9.03,9.34,10.53,10.25,9.88,11.28,13.72,14.03,12.69,12.66,14.62,15.34,14.78,14.47,16.75,18.81,18.66,18.31,19.91,21.62,20.72,19.06,19.03,20.03,19.97,18.44,17.97,19.62,20.66,19.44,18.72,20.03,21.25,19.97,17.56,17.31,17.91,16.22,13.75,13.06,13.53,12.81,10.22,8.44,9.25,9.16,7.0,4.91,5.5,6.47,6.0,4.84,5.88,7.94,8.47,7.62,7.88,9.81,10.78,9.69,9.0,10.12,10.62,8.16,5.09,4.69,5.56,4.81,3.94,5.12,7.72,8.31,7.62,7.84,10.28,12.19,12.0,12.31,14.47,16.31,15.44,13.22,12.72,12.5,10.06,6.38,4.69,4.62,3.88,1.88,1.31,3.41,5.19,4.81,4.81,7.28,10.0,10.75,11.09,13.38,16.75,18.47,18.25,18.94,21.06,21.22,19.5,18.31,19.31,19.84,17.81,15.66,15.62,16.19,14.38,11.41,10.5,10.66,9.78,7.62,7.44,9.72,11.34,11.12,11.03,13.78,16.59,16.84,16.34,17.34,18.47,16.19,12.16,9.69,8.22,6.47,3.5,2.34,4.31,6.16,6.06,6.09,8.16,10.78,11.31,10.5,11.56,13.66,13.47,11.34,10.81,11.97,12.69,11.34,11.41,13.91,16.47,16.66,16.34,18.22,20.41,20.28,18.84,18.75,19.5,18.09,15.03,13.47,14.22,14.94,14.19,13.97,15.97,18.25,18.16,16.75,17.75,18.69,17.38,14.47,12.44,11.66,9.88,5.94,3.5,3.44,3.78,2.19,0.97,2.44,4.16,3.53,1.97,2.62,4.16,4.38,3.53,4.34,7.75,10.88,11.84,13.72,17.31,19.53,18.22,15.94,15.06,14.66,12.34,8.75,7.5,7.75,6.59,3.97,3.09,4.25,5.41,4.69,4.84,7.38,9.81,9.22,7.72,7.84,9.41,9.5,8.28,10.09,13.44,14.78,13.94,13.75,15.03,15.66,13.69,12.59,13.38,14.97,14.0,12.19,12.09,12.44,10.81,7.19,5.88,6.84,7.53,6.69,6.97,9.06,10.78,9.38,7.5,8.12,9.22,8.38,6.88,7.28,8.62,7.84,5.16,2.88,2.97,2.5,0.5,0.16,3.0,6.41,7.31,7.06,8.47,10.03,8.84,6.22,5.28,6.19,5.84,3.75,2.91,4.38,5.97,5.03,5.22,8.16,11.69,12.62,12.94,15.09,17.91,18.59,17.22,17.09,17.97,17.59,14.81,13.16,13.94,14.59,12.53,10.94,11.53,12.72,11.5,9.72,10.16,12.31,13.53,13.41,14.88,18.66,20.94,20.31,18.81,18.66,17.53,13.06,8.41,6.41,5.84,4.22,2.06,2.53,5.56,7.28,8.38,11.16,16.53,21.38,23.44,25.09,27.78,29.81,27.72,24.34,22.0,20.78,17.31,11.88,8.12,6.72,4.62,1.28,0.0,2.44,5.5,6.31,7.97,11.75,16.12,17.91,18.12,19.88,22.0,21.28,18.09,15.28,13.78,10.94,5.84,1.5,0.72,0.53,-1.19,-2.19,-0.56,2.19,2.97,2.62,4.16,7.84,10.09,10.81,12.72,16.75,19.5,19.47,19.0,20.19,20.88,18.91,16.22,15.97,17.22,16.5,15.41,15.5,17.28,17.72,15.53,14.03,14.47,14.72,12.75,11.31,13.25,16.62,18.25,19.5,22.81,27.19,29.5,29.78,30.88,33.0,33.47,30.56,27.34,26.53,25.56,22.69,19.31,18.53,18.34,16.09,13.09,12.44,13.84,14.38,13.53,13.75,16.09,17.53,16.31,15.06,16.28,17.69,16.75,15.62,16.59,18.56,18.81,18.06,18.56,20.53,20.81,18.72,17.09,17.66,17.66,15.41,13.25,13.56,14.28,12.44,9.56,8.28,8.19,6.53,4.38,4.41,7.09,8.97,8.72,8.62,10.44,12.38,12.12,12.59,16.03,20.06,21.75,20.94,20.62,20.31,18.06,13.31,10.03,9.41,8.16,4.34,0.69,-0.5,-1.56,-4.16,-6.53,-5.56,-2.72,-1.31,-0.66,1.62,5.59,8.19,8.72,10.09,13.94,16.88,17.47,17.59,19.62,21.62,21.0,19.41,19.41,20.5,19.62,17.09,15.88,16.53,16.75,14.94,14.19,16.03,17.97,17.78,17.38,19.19,21.38,21.19,19.34,18.56,18.78,17.38,14.66,13.47,14.59,15.34,13.72,12.28,12.81,12.84,11.19,8.81,8.97,10.41,10.62,9.53,9.66,11.41,11.38,8.94,6.94,7.09,6.59,4.03,1.22,0.84,1.06,-0.44,-2.28,-1.66,0.94,2.62,3.12,5.41,9.12,11.16,10.38,9.5,10.56,11.62,11.19,11.22,14.81,20.0,23.34,24.81,27.06,28.88,27.78,23.88,20.78,19.62,18.12,14.94,12.38,12.66,13.31,11.78,10.19,11.44,13.69,14.69,14.56,16.03,18.53,19.09,17.12,15.41,15.84,16.0,13.81,11.66,12.16,12.66,10.22,6.41,4.47,3.75,1.78,-0.31,0.22,3.22,6.19,6.81,7.97,11.12,13.97,14.44,14.91,17.44,21.34,23.25,24.38,27.12,30.72,32.19,31.03,30.47,31.19,30.69,27.16,23.81,22.06,20.84,17.59,14.41,14.03,14.62,13.66,11.78,11.66,12.88,13.59,12.56,12.56,15.66,18.81,20.41,22.0,25.25,28.66,28.97,27.38,26.78,26.47,23.78,19.09,15.34,13.19,10.09,5.44,1.81,0.75,0.12,-2.41,-4.69,-4.06,-1.94,-1.28,-1.03,1.31,5.75,9.16,11.31,14.78,19.5,23.16,23.47,23.12,24.59,26.12,25.5,24.28,25.19,26.88,26.12,23.62,21.91,21.03,18.53,14.38,10.94,10.34,9.97,8.34,7.62,9.81,13.19,14.31,14.81,16.62,18.84,19.31,18.12,17.62,18.38,18.06,15.41,13.41,13.88,15.16,14.66,14.84,16.78,19.47,19.19,17.78,17.09,17.53,16.34,13.28,11.19,10.91,10.91,9.28,8.47,10.81,14.0,15.03,15.81,18.12,21.44,22.25,20.94,20.5,20.62,18.97,15.22,11.53,10.09,8.66,5.22,2.56,2.91,4.56,4.81,4.56,6.78,10.62,13.41,15.34,18.06,22.72,25.91,26.38,26.66,28.44,29.5,28.12,26.34,26.31,27.06,26.09,23.75,22.44,22.91,22.03,19.72,17.97,18.5,18.41,15.84,13.28,13.41,13.97,12.81,11.5,12.12,14.0,14.34,13.03,13.56,15.72,17.19,17.22,17.81,20.84,23.44,23.62,23.03,24.25,25.44,24.59,22.81,23.28,25.31,26.03,25.47,25.41,26.97,26.84,24.22,21.66,21.16,20.81,18.62,16.28,16.53,17.59,17.03,15.41,14.94,15.94,15.78,13.75,12.88,14.38,15.84:17.5,15.5,15.78,16.72,15.31,13.97,14.59,16.03,15.0,12.44,11.56,12.28,11.88,9.78,9.03,11.06,13.34,14.19,15.69,20.25,25.38,27.72,28.41,30.12,32.06,31.19,28.03,26.34,26.5,25.56,22.72,21.0,22.38,23.41,22.53,21.66,23.19,25.75,26.0,24.94,25.69,27.09,25.81,22.06,18.97,18.06,16.38,13.44,11.75,13.56,15.91,16.06,15.94,17.47,19.31,18.47,15.66,13.97,13.56,11.69,8.28,5.91,6.28,6.16,3.5,1.0,0.66,0.78,-0.56,-2.0,-0.88,1.69,2.12,0.84,0.44,1.44,1.94,0.38,-0.16,2.28,4.41,4.03,3.69,5.53,8.06,8.78,8.97,11.41,15.41,17.97,19.25,21.59,25.78,28.5,27.91,27.28,28.62,29.12,26.62,23.75,22.97,22.72,20.97,18.31,17.31,18.44,17.91,16.03,14.94,15.72,16.19,14.34,12.97,13.94,14.88,13.66,11.56,11.53,13.12,13.25,12.38,12.97,14.94,15.62,13.75,12.16,12.5,11.78,8.38,4.62,3.0,1.81,-0.84,-4.09,-4.62,-3.56,-3.16,-3.97,-3.06,0.5,3.41,4.31,5.47,8.78,11.56,11.66,10.94,12.28,13.31,11.91,9.03,7.62,7.56,6.53,3.22,1.12,0.72,0.19,-2.56,-4.94,-4.31,-2.75,-3.31,-4.16,-2.78,-0.53,0.38,0.16,1.81,5.69,9.28,10.62,12.53,15.78,17.81,16.31,14.34,14.94,15.84,15.81,15.44,16.94,19.66,20.0,18.69,17.84,18.5,18.53,16.22,14.47,15.25,15.97,14.34,11.75,11.38,11.31,9.09,5.88,4.91,6.03,6.25,5.34,5.56,7.75,9.47,8.75,8.06,9.78,11.78,11.47,9.75,10.22,11.75,11.78,10.59,11.0,12.94,13.22,10.47,8.53,8.56,9.0,8.41,8.47,11.12,14.75,16.0,15.72,17.09,19.0,19.66,18.69,19.0,21.47,23.12,22.72,22.69,24.53,26.16,24.91,22.88,22.88,23.25,21.19,17.91,16.31,15.84,14.34,11.31,9.03,9.12,8.84,6.91,5.88,7.66,10.72,12.03,13.06,15.91,19.56,21.09,20.75,22.0,24.97,26.88,26.41,26.66,28.22,28.81,26.47,23.91,23.09,23.0,21.0,18.16,17.03,17.44,16.28,13.47,12.19,12.81,13.03,11.59,11.38,13.94,16.88,18.0,18.44,20.81,23.75,24.38,23.62,24.44,26.72,27.25,25.53,24.09,23.91,22.69,19.16,15.88,15.34,15.44,14.12,12.53,12.81,14.31,13.97,12.41,12.69,14.84,16.09,14.69,13.47,13.41,12.38,9.19,6.62,7.03,9.31,9.94,10.19,12.0,14.53,15.22,14.28,14.03,15.5,16.44,14.62,13.22,13.34,13.72,11.69,9.66,10.22,12.41,12.97,12.53,13.66,16.06,16.88,15.62,14.5,14.94,14.25,11.62,9.03,9.34,10.53,10.25,9.88,11.28,13.72,14.03,12.69,12.66,14.62,15.34,14.78,14.47,16.75,18.81,18.66,18.31,19.91,21.62,20.72,19.06,19.03,20.03,19.97,18.44,17.97,19.62,20.66,19.44,18.72,20.03,21.25,19.97,17.56,17.31,17.91,16.22,13.75,13.06,13.53,12.81,10.22,8.44,9.25,9.16,7.0,4.91,5.5,6.47,6.0,4.84,5.88,7.94,8.47,7.62,7.88,9.81,10.78,9.69,9.0,10.12,10.62,8.16,5.09,4.69,5.56,4.81,3.94,5.12,7.72,8.31,7.62,7.84,10.28,12.19,12.0,12.31,14.47,16.31,15.44,13.22,12.72,12.5,10.06,6.38,4.69,4.62,3.88,1.88,1.31,3.41,5.19,4.81,4.81,7.28,10.0,10.75,11.09,13.38,16.75,18.47,18.25,18.94,21.06,21.22,19.5,18.31,19.31,19.84,17.81,15.66,15.62,16.19,14.38,11.41,10.5,10.66,9.78,7.62,7.44,9.72,11.34,11.12,11.03,13.78,16.59,16.84,16.34,17.34,18.47,16.19,12.16,9.69,8.22,6.47,3.5,2.34,4.31,6.16,6.06,6.09,8.16,10.78,11.31,10.5,11.56,13.66,13.47,11.34,10.81,11.97,12.69,11.34,11.41,13.91,16.47,16.66,16.34,18.22,20.41,20.28,18.84,18.75,19.5,18.09,15.03,13.47,14.22,14.94,14.19,13.97,15.97,18.25,18.16,16.75,17.75,18.69,17.38,14.47,12.44,11.66,9.88,5.94,3.5,3.44,3.78,2.19,0.97,2.44,4.16,3.53,1.97,2.62,4.16,4.38,3.53,4.34,7.75,10.88,11.84,13.72,17.31,19.53,18.22,15.94,15.06,14.66,12.34,8.75,7.5,7.75,6.59,3.97,3.09,4.25,5.41,4.69,4.84,7.38,9.81,9.22,7.72,7.84,9.41,9.5,8.28,10.09,13.44,14.78,13.94,13.75,15.03,15.66,13.69,12.59,13.38,14.97,14.0,12.19,12.09,12.44,10.81,7.19,5.88,6.84,7.53,6.69,6.97,9.06,10.78,9.38,7.5,8.12,9.22,8.38,6.88,7.28,8.62,7.84,5.16,2.88,2.97,2.5,0.5,0.16,3.0,6.41,7.31,7.06,8.47,10.03,8.84,6.22,5.28,6.19,5.84,3.75,2.91,4.38,5.97,5.03,5.22,8.16,11.69,12.62,12.94,15.09,17.91,18.59,17.22,17.09,17.97,17.59,14.81,13.16,13.94,14.59,12.53,10.94,11.53,12.72,11.5,9.72,10.16,12.31,13.53,13.41,14.88,18.66,20.94,20.31,18.81,18.66,17.53,13.06,8.41,6.41,5.84,4.22,2.06,2.53,5.56,7.28,8.38,11.16,16.53,21.38,23.44,25.09,27.78,29.81,27.72,24.34,22.0,20.78,17.31,11.88,8.12,6.72,4.62,1.28,0.0,2.44,5.5,6.31,7.97,11.75,16.12,17.91,18.12,19.88,22.0,21.28,18.09,15.28,13.78,10.94,5.84,1.5,0.72,0.53,-1.19,-2.19,-0.56,2.19,2.97,2.62,4.16,7.84,10.09,10.81,12.72,16.75,19.5,19.47,19.0,20.19,20.88,18.91,16.22,15.97,17.22,16.5,15.41,15.5,17.28,17.72,15.53,14.03,14.47,14.72,12.75,11.31,13.25,16.62,18.25,19.5,22.81,27.19,29.5,29.78,30.88,33.0,33.47,30.56,27.34,26.53,25.56,22.69,19.31,18.53,18.34,16.09,13.09,12.44,13.84,14.38,13.53,13.75,16.09,17.53,16.31,15.06,16.28,17.69,16.75,15.62,16.59,18.56,18.81,18.06,18.56,20.53,20.81,18.72,17.09,17.66,17.66,15.41,13.25,13.56,14.28,12.44,9.56,8.28,8.19,6.53,4.38,4.41,7.09,8.97,8.72,8.62,10.44,12.38,12.12,12.59,16.03,20.06,21.75,20.94,20.62,20.31,18.06,13.31,10.03,9.41,8.16,4.34,0.69,-0.5,-1.56,-4.16,-6.53,-5.56,-2.72,-1.31,-0.66,1.62,5.59,8.19,8.72,10.09,13.94,16.88,17.47,17.59,19.62,21.62,21.0,19.41,19.41,20.5,19.62,17.09,15.88,16.53,16.75,14.94,14.19,16.03,17.97,17.78,17.38,19.19,21.38,21.19,19.34,18.56,18.78,17.38,14.66,13.47,14.59,15.34,13.72,12.28,12.81,12.84,11.19,8.81,8.97,10.41,10.62,9.53,9.66,11.41,11.38,8.94,6.94,7.09,6.59,4.03,1.22,0.84,1.06,-0.44,-2.28,-1.66,0.94,2.62,3.12,5.41,9.12,11.16,10.38,9.5,10.56,11.62,11.19,11.22,14.81,20.0,23.34,24.81,27.06,28.88,27.78,23.88,20.78,19.62,18.12,14.94,12.38,12.66,13.31,11.78,10.19,11.44,13.69,14.69,14.56,16.03,18.53,19.09,17.12,15.41,15.84,16.0,13.81,11.66,12.16,12.66,10.22,6.41,4.47,3.75,1.78,-0.31,0.22,3.22,6.19,6.81,7.97,11.12,13.97,14.44,14.91,17.44,21.34,23.25,24.38,27.12,30.72,32.19,31.03,30.47,31.19,30.69,27.16,23.81,22.06,20.84,17.59,14.41,14.03,14.62,13.66,11.78,11.66,12.88,13.59,12.56,12.56,15.66,18.81,20.41,22.0,25.25,28.66,28.97,27.38,26.78,26.47,23.78,19.09,15.34,13.19,10.09,5.44,1.81,0.75,0.12,-2.41,-4.69,-4.06,-1.94,-1.28,-1.03,1.31,5.75,9.16,11.31,14.78,19.5,23.16,23.47,23.12,24.59,26.12,25.5,24.28,25.19,26.88,26.12,23.62,21.91,21.03,18.53,14.38,10.94,10.34,9.97,8.34,7.62,9.81,13.19,14.31,14.81,16.62,18.84,19.31,18.12,17.62,18.38,18.06,15.41,13.41,13.88,15.16,14.66,14.84,16.78,19.47,19.19,17.78,17.09,17.53,16.34,13.28,11.19,10.91,10.91,9.28,8.47,10.81,14.0,15.03,15.81,18.12,21.44,22.25,20.94,20.5,20.62,18.97,15.22,11.53,10.09,8.66,5.22,2.56,2.91,4.56,4.81,4.56,6.78,10.62,13.41,15.34,18.06,22.72,25.91,26.38,26.66,28.44,29.5,28.12,26.34,26.31,27.06,26.09,23.75,22.44,22.91,22.03,19.72,17.97,18.5,18.41,15.84,13.28,13.41,13.97,12.81,11.5,12.12,14.0,14.34,13.03,13.56,15.72,17.19,17.22,17.81,20.84,23.44,23.62,23.03,24.25,25.44,24.59,22.81,23.28,25.31,26.03,25.47,25.41,26.97,26.84,24.22,21.66,21.16,20.81,18.62,16.28,16.53,17.59,17.03,15.41,14.94,15.94,15.78,13.75,12.88,14.38,15.84,32.5,34.75,36.25,37.25,38.69,40.91,41.84:16.03,15.0,12.44,11.56,12.28,11.88,9.78,9.03,11.06,13.34,14.19,15.69,20.25,25.38,27.72,28.41,30.12,32.06,31.19,28.03,26.34,26.5,25.56,22.72,21.0,22.38,23.41,22.53,21.66,23.19,25.75,26.0,24.94,25.69,27.09,25.81,22.06,18.97,18.06,16.38,13.44,11.75,13.56,15.91,16.06,15.94,17.47,19.31,18.47,15.66,13.97,13.56,11.69,8.28,5.91,6.28,6.16,3.5,1.0,0.66,0.78,-0.56,-2.0,-0.88,1.69,2.12,0.84,0.44,1.44,1.94,0.38,-0.16,2.28,4.41,4.03,3.69,5.53,8.06,8.78,8.97,11.41,15.41,17.97,19.25,21.59,25.78,28.5,27.91,27.28,28.62,29.12,26.62,23.75,22.97,22.72,20.97,18.31,17.31,18.44,17.91,16.03,14.94,15.72,16.19,14.34,12.97,13.94,14.88,13.66,11.56,11.53,13.12,13.25,12.38,12.97,14.94,15.62,13.75,12.16,12.5,11.78,8.38,4.62,3.0,1.81,-0.84,-4.09,-4.62,-3.56,-3.16,-3.97,-3.06,0.5,3.41,4.31,5.47,8.78,11.56,11.66,10.94,12.28,13.31,11.91,9.03,7.62,7.56,6.53,3.22,1.12,0.72,0.19,-2.56,-4.94,-4.31,-2.75,-3.31,-4.16,-2.78,-0.53,0.38,0.16,1.81,5.69,9.28,10.62,12.53,15.78,17.81,16.31,14.34,14.94,15.84,15.81,15.44,16.94,19.66,20.0,18.69,17.84,18.5,18.53,16.22,14.47,15.25,15.97,14.34,11.75,11.38,11.31,9.09,5.88,4.91,6.03,6.25,5.34,5.56,7.75,9.47,8.75,8.06,9.78,11.78,11.47,9.75,10.22,11.75,11.78,10.59,11.0,12.94,13.22,10.47,8.53,8.56,9.0,8.41,8.47,11.12,14.75,16.0,15.72,17.09,19.0,19.66,18.69,19.0,21.47,23.12,22.72,22.69,24.53,26.16,24.91,22.88,22.88,23.25,21.19,17.91,16.31,15.84,14.34,11.31,9.03,9.12,8.84,6.91,5.88,7.66,10.72,12.03,13.06,15.91,19.56,21.09,20.75,22.0,24.97,26.88,26.41,26.66,28.22,28.81,26.47,23.91,23.09,23.0,21.0,18.16,17.03,17.44,16.28,13.47,12.19,12.81,13.03,11.59,11.38,13.94,16.88,18.0,18.44,20.81,23.75,24.38,23.62,24.44,26.72,27.25,25.53,24.09,23.91,22.69,19.16,15.88,15.34,15.44,14.12,12.53,12.81,14.31,13.97,12.41,12.69,14.84,16.09,14.69,13.47,13.41,12.38,9.19,6.62,7.03,9.31,9.94,10.19,12.0,14.53,15.22,14.28,14.03,15.5,16.44,14.62,13.22,13.34,13.72,11.69,9.66,10.22,12.41,12.97,12.53,13.66,16.06,16.88,15.62,14.5,14.94,14.25,11.62,9.03,9.34,10.53,10.25,9.88,11.28,13.72,14.03,12.69,12.66,14.62,15.34,14.78,14.47,16.75,18.81,18.66,18.31,19.91,21.62,20.72,19.06,19.03,20.03,19.97,18.44,17.97,19.62,20.66,19.44,18.72,20.03,21.25,19.97,17.56,17.31,17.91,16.22,13.75,13.06,13.53,12.81,10.22,8.44,9.25,9.16,7.0,4.91,5.5,6.47,6.0,4.84,5.88,7.94,8.47,7.62,7.88,9.81,10.78,9.69,9.0,10.12,10.62,8.16,5.09,4.69,5.56,4.81,3.94,5.12,7.72,8.31,7.62,7.84,10.28,12.19,12.0,12.31,14.47,16.31,15.44,13.22,12.72,12.5,10.06,6.38,4.69,4.62,3.88,1.88,1.31,3.41,5.19,4.81,4.81,7.28,10.0,10.75,11.09,13.38,16.75,18.47,18.25,18.94,21.06,21.22,19.5,18.31,19.31,19.84,17.81,15.66,15.62,16.19,14.38,11.41,10.5,10.66,9.78,7.62,7.44,9.72,11.34,11.12,11.03,13.78,16.59,16.84,16.34,17.34,18.47,16.19,12.16,9.69,8.22,6.47,3.5,2.34,4.31,6.16,6.06,6.09,8.16,10.78,11.31,10.5,11.56,13.66,13.47,11.34,10.81,11.97,12.69,11.34,11.41,13.91,16.47,16.66,16.34,18.22,20.41,20.28,18.84,18.75,19.5,18.09,15.03,13.47,14.22,14.94,14.19,13.97,15.97,18.25,18.16,16.75,17.75,18.69,17.38,14.47,12.44,11.66,9.88,5.94,3.5,3.44,3.78,2.19,0.97,2.44,4.16,3.53,1.97,2.62,4.16,4.38,3.53,4.34,7.75,10.88,11.84,13.72,17.31,19.53,18.22,15.94,15.06,14.66,12.34,8.75,7.5,7.75,6.59,3.97,3.09,4.25,5.41,4.69,4.84,7.38,9.81,9.22,7.72,7.84,9.41,9.5,8.28,10.09,13.44,14.78,13.94,13.75,15.03,15.66,13.69,12.59,13.38,14.97,14.0,12.19,12.09,12.44,10.81,7.19,5.88,6.84,7.53,6.69,6.97,9.06,10.78,9.38,7.5,8.12,9.22,8.38,6.88,7.28,8.62,7.84,5.16,2.88,2.97,2.5,0.5,0.16,3.0,6.41,7.31,7.06,8.47,10.03,8.84,6.22,5.28,6.19,5.84,3.75,2.91,4.38,5.97,5.03,5.22,8.16,11.69,12.62,12.94,15.09,17.91,18.59,17.22,17.09,17.97,17.59,14.81,13.16,13.94,14.59,12.53,10.94,11.53,12.72,11.5,9.72,10.16,12.31,13.53,13.41,14.88,18.66,20.94,20.31,18.81,18.66,17.53,13.06,8.41,6.41,5.84,4.22,2.06,2.53,5.56,7.28,8.38,11.16,16.53,21.38,23.44,25.09,27.78,29.81,27.72,24.34,22.0,20.78,17.31,11.88,8.12,6.72,4.62,1.28,0.0,2.44,5.5,6.31,7.97,11.75,16.12,17.91,18.12,19.88,22.0,21.28,18.09,15.28,13.78,10.94,5.84,1.5,0.72,0.53,-1.19,-2.19,-0.56,2.19,2.97,2.62,4.16,7.84,10.09,10.81,12.72,16.75,19.5,19.47,19.0,20.19,20.88,18.91,16.22,15.97,17.22,16.5,15.41,15.5,17.28,17.72,15.53,14.03,14.47,14.72,12.75,11.31,13.25,16.62,18.25,19.5,22.81,27.19,29.5,29.78,30.88,33.0,33.47,30.56,27.34,26.53,25.56,22.69,19.31,18.53,18.34,16.09,13.09,12.44,13.84,14.38,13.53,13.75,16.09,17.53,16.31,15.06,16.28,17.69,16.75,15.62,16.59,18.56,18.81,18.06,18.56,20.53,20.81,18.72,17.09,17.66,17.66,15.41,13.25,13.56,14.28,12.44,9.56,8.28,8.19,6.53,4.38,4.41,7.09,8.97,8.72,8.62,10.44,12.38,12.12,12.59,16.03,20.06,21.75,20.94,20.62,20.31,18.06,13.31,10.03,9.41,8.16,4.34,0.69,-0.5,-1.56,-4.16,-6.53,-5.56,-2.72,-1.31,-0.66,1.62,5.59,8.19,8.72,10.09,13.94,16.88,17.47,17.59,19.62,21.62,21.0,19.41,19.41,20.5,19.62,17.09,15.88,16.53,16.75,14.94,14.19,16.03,17.97,17.78,17.38,19.19,21.38,21.19,19.34,18.56,18.78,17.38,14.66,13.47,14.59,15.34,13.72,12.28,12.81,12.84,11.19,8.81,8.97,10.41,10.62,9.53,9.66,11.41,11.38,8.94,6.94,7.09,6.59,4.03,1.22,0.84,1.06,-0.44,-2.28,-1.66,0.94,2.62,3.12,5.41,9.12,11.16,10.38,9.5,10.56,11.62,11.19,11.22,14.81,20.0,23.34,24.81,27.06,28.88,27.78,23.88,20.78,19.62,18.12,14.94,12.38,12.66,13.31,11.78,10.19,11.44,13.69,14.69,14.56,16.03,18.53,19.09,17.12,15.41,15.84,16.0,13.81,11.66,12.16,12.66,10.22,6.41,4.47,3.75,1.78,-0.31,0.22,3.22,6.19,6.81,7.97,11.12,13.97,14.44,14.91,17.44,21.34,23.25,24.38,27.12,30.72,32.19,31.03,30.47,31.19,30.69,27.16,23.81,22.06,20.84,17.59,14.41,14.03,14.62,13.66,11.78,11.66,12.88,13.59,12.56,12.56,15.66,18.81,20.41,22.0,25.25,28.66,28.97,27.38,26.78,26.47,23.78,19.09,15.34,13.19,10.09,5.44,1.81,0.75,0.12,-2.41,-4.69,-4.06,-1.94,-1.28,-1.03,1.31,5.75,9.16,11.31,14.78,19.5,23.16,23.47,23.12,24.59,26.12,25.5,24.28,25.19,26.88,26.12,23.62,21.91,21.03,18.53,14.38,10.94,10.34,9.97,8.34,7.62,9.81,13.19,14.31,14.81,16.62,18.84,19.31,18.12,17.62,18.38,18.06,15.41,13.41,13.88,15.16,14.66,14.84,16.78,19.47,19.19,17.78,17.09,17.53,16.34,13.28,11.19,10.91,10.91,9.28,8.47,10.81,14.0,15.03,15.81,18.12,21.44,22.25,20.94,20.5,20.62,18.97,15.22,11.53,10.09,8.66,5.22,2.56,2.91,4.56,4.81,4.56,6.78,10.62,13.41,15.34,18.06,22.72,25.91,26.38,26.66,28.44,29.5,28.12,26.34,26.31,27.06,26.09,23.75,22.44,22.91,22.03,19.72,17.97,18.5,18.41,15.84,13.28,13.41,13.97,12.81,11.5,12.12,14.0,14.34,13.03,13.56,15.72,17.19,17.22,17.81,20.84,23.44,23.62,23.03,24.25,25.44,24.59,22.81,23.28,25.31,26.03,25.47,25.41,26.97,26.84,24.22,21.66,21.16,20.81,18.62,16.28,16.53,17.59,17.03,15.41,14.94,15.94,15.78,13.75,12.88,14.38,15.84,32.5,34.75,36.25,37.25,38.69,40.91,41.84,40.78,39.69,40.19,41.12,40.75,40.31,41.38:9.03,11.06,13.34,14.19,15.69,20.25,25.38,27.72,28.41,30.12,32.06,31.19,28.03,26.34,26.5,25.56,22.72,21.0,22.38,23.41,22.53,21.66,23.19,25.75,26.0,24.94,25.69,27.09,25.81,22.06,18.97,18.06,16.38,13.44,11.75,13.56,15.91,16.06,15.94,17.47,19.31,18.47,15.66,13.97,13.56,11.69,8.28,5.91,6.28,6.16,3.5,1.0,0.66,0.78,-0.56,-2.0,-0.88,1.69,2.12,0.84,0.44,1.44,1.94,0.38,-0.16,2.28,4.41,4.03,3.69,5.53,8.06,8.78,8.97,11.41,15.41,17.97,19.25,21.59,25.78,28.5,27.91,27.28,28.62,29.12,26.62,23.75,22.97,22.72,20.97,18.31,17.31,18.44,17.91,16.03,14.94,15.72,16.19,14.34,12.97,13.94,14.88,13.66,11.56,11.53,13.12,13.25,12.38,12.97,14.94,15.62,13.75,12.16,12.5,11.78,8.38,4.62,3.0,1.81,-0.84,-4.09,-4.62,-3.56,-3.16,-3.97,-3.06,0.5,3.41,4.31,5.47,8.78,11.56,11.66,10.94,12.28,13.31,11.91,9.03,7.62,7.56,6.53,3.22,1.12,0.72,0.19,-2.56,-4.94,-4.31,-2.75,-3.31,-4.16,-2.78,-0.53,0.38,0.16,1.81,5.69,9.28,10.62,12.53,15.78,17.81,16.31,14.34,14.94,15.84,15.81,15.44,16.94,19.66,20.0,18.69,17.84,18.5,18.53,16.22,14.47,15.25,15.97,14.34,11.75,11.38,11.31,9.09,5.88,4.91,6.03,6.25,5.34,5.56,7.75,9.47,8.75,8.06,9.78,11.78,11.47,9.75,10.22,11.75,11.78,10.59,11.0,12.94,13.22,10.47,8.53,8.56,9.0,8.41,8.47,11.12,14.75,16.0,15.72,17.09,19.0,19.66,18.69,19.0,21.47,23.12,22.72,22.69,24.53,26.16,24.91,22.88,22.88,23.25,21.19,17.91,16.31,15.84,14.34,11.31,9.03,9.12,8.84,6.91,5.88,7.66,10.72,12.03,13.06,15.91,19.56,21.09,20.75,22.0,24.97,26.88,26.41,26.66,28.22,28.81,26.47,23.91,23.09,23.0,21.0,18.16,17.03,17.44,16.28,13.47,12.19,12.81,13.03,11.59,11.38,13.94,16.88,18.0,18.44,20.81,23.75,24.38,23.62,24.44,26.72,27.25,25.53,24.09,23.91,22.69,19.16,15.88,15.34,15.44,14.12,12.53,12.81,14.31,13.97,12.41,12.69,14.84,16.09,14.69,13.47,13.41,12.38,9.19,6.62,7.03,9.31,9.94,10.19,12.0,14.53,15.22,14.28,14.03,15.5,16.44,14.62,13.22,13.34,13.72,11.69,9.66,10.22,12.41,12.97,12.53,13.66,16.06,16.88,15.62,14.5,14.94,14.25,11.62,9.03,9.34,10.53,10.25,9.88,11.28,13.72,14.03,12.69,12.66,14.62,15.34,14.78,14.47,16.75,18.81,18.66,18.31,19.91,21.62,20.72,19.06,19.03,20.03,19.97,18.44,17.97,19.62,20.66,19.44,18.72,20.03,21.25,19.97,17.56,17.31,17.91,16.22,13.75,13.06,13.53,12.81,10.22,8.44,9.25,9.16,7.0,4.91,5.5,6.47,6.0,4.84,5.88,7.94,8.47,7.62,7.88,9.81,10.78,9.69,9.0,10.12,10.62,8.16,5.09,4.69,5.56,4.81,3.94,5.12,7.72,8.31,7.62,7.84,10.28,12.19,12.0,12.31,14.47,16.31,15.44,13.22,12.72,12.5,10.06,6.38,4.69,4.62,3.88,1.88,1.31,3.41,5.19,4.81,4.81,7.28,10.0,10.75,11.09,13.38,16.75,18.47,18.25,18.94,21.06,21.22,19.5,18.31,19.31,19.84,17.81,15.66,15.62,16.19,14.38,11.41,10.5,10.66,9.78,7.62,7.44,9.72,11.34,11.12,11.03,13.78,16.59,16.84,16.34,17.34,18.47,16.19,12.16,9.69,8.22,6.47,3.5,2.34,4.31,6.16,6.06,6.09,8.16,10.78,11.31,10.5,11.56,13.66,13.47,11.34,10.81,11.97,12.69,11.34,11.41,13.91,16.47,16.66,16.34,18.22,20.41,20.28,18.84,18.75,19.5,18.09,15.03,13.47,14.22,14.94,14.19,13.97,15.97,18.25,18.16,16.75,17.75,18.69,17.38,14.47,12.44,11.66,9.88,5.94,3.5,3.44,3.78,2.19,0.97,2.44,4.16,3.53,1.97,2.62,4.16,4.38,3.53,4.34,7.75,10.88,11.84,13.72,17.31,19.53,18.22,15.94,15.06,14.66,12.34,8.75,7.5,7.75,6.59,3.97,3.09,4.25,5.41,4.69,4.84,7.38,9.81,9.22,7.72,7.84,9.41,9.5,8.28,10.09,13.44,14.78,13.94,13.75,15.03,15.66,13.69,12.59,13.38,14.97,14.0,12.19,12.09,12.44,10.81,7.19,5.88,6.84,7.53,6.69,6.97,9.06,10.78,9.38,7.5,8.12,9.22,8.38,6.88,7.28,8.62,7.84,5.16,2.88,2.97,2.5,0.5,0.16,3.0,6.41,7.31,7.06,8.47,10.03,8.84,6.22,5.28,6.19,5.84,3.75,2.91,4.38,5.97,5.03,5.22,8.16,11.69,12.62,12.94,15.09,17.91,18.59,17.22,17.09,17.97,17.59,14.81,13.16,13.94,14.59,12.53,10.94,11.53,12.72,11.5,9.72,10.16,12.31,13.53,13.41,14.88,18.66,20.94,20.31,18.81,18.66,17.53,13.06,8.41,6.41,5.84,4.22,2.06,2.53,5.56,7.28,8.38,11.16,16.53,21.38,23.44,25.09,27.78,29.81,27.72,24.34,22.0,20.78,17.31,11.88,8.12,6.72,4.62,1.28,0.0,2.44,5.5,6.31,7.97,11.75,16.12,17.91,18.12,19.88,22.0,21.28,18.09,15.28,13.78,10.94,5.84,1.5,0.72,0.53,-1.19,-2.19,-0.56,2.19,2.97,2.62,4.16,7.84,10.09,10.81,12.72,16.75,19.5,19.47,19.0,20.19,20.88,18.91,16.22,15.97,17.22,16.5,15.41,15.5,17.28,17.72,15.53,14.03,14.47,14.72,12.75,11.31,13.25,16.62,18.25,19.5,22.81,27.19,29.5,29.78,30.88,33.0,33.47,30.56,27.34,26.53,25.56,22.69,19.31,18.53,18.34,16.09,13.09,12.44,13.84,14.38,13.53,13.75,16.09,17.53,16.31,15.06,16.28,17.69,16.75,15.62,16.59,18.56,18.81,18.06,18.56,20.53,20.81,18.72,17.09,17.66,17.66,15.41,13.25,13.56,14.28,12.44,9.56,8.28,8.19,6.53,4.38,4.41,7.09,8.97,8.72,8.62,10.44,12.38,12.12,12.59,16.03,20.06,21.75,20.94,20.62,20.31,18.06,13.31,10.03,9.41,8.16,4.34,0.69,-0.5,-1.56,-4.16,-6.53,-5.56,-2.72,-1.31,-0.66,1.62,5.59,8.19,8.72,10.09,13.94,16.88,17.47,17.59,19.62,21.62,21.0,19.41,19.41,20.5,19.62,17.09,15.88,16.53,16.75,14.94,14.19,16.03,17.97,17.78,17.38,19.19,21.38,21.19,19.34,18.56,18.78,17.38,14.66,13.47,14.59,15.34,13.72,12.28,12.81,12.84,11.19,8.81,8.97,10.41,10.62,9.53,9.66,11.41,11.38,8.94,6.94,7.09,6.59,4.03,1.22,0.84,1.06,-0.44,-2.28,-1.66,0.94,2.62,3.12,5.41,9.12,11.16,10.38,9.5,10.56,11.62,11.19,11.22,14.81,20.0,23.34,24.81,27.06,28.88,27.78,23.88,20.78,19.62,18.12,14.94,12.38,12.66,13.31,11.78,10.19,11.44,13.69,14.69,14.56,16.03,18.53,19.09,17.12,15.41,15.84,16.0,13.81,11.66,12.16,12.66,10.22,6.41,4.47,3.75,1.78,-0.31,0.22,3.22,6.19,6.81,7.97,11.12,13.97,14.44,14.91,17.44,21.34,23.25,24.38,27.12,30.72,32.19,31.03,30.47,31.19,30.69,27.16,23.81,22.06,20.84,17.59,14.41,14.03,14.62,13.66,11.78,11.66,12.88,13.59,12.56,12.56,15.66,18.81,20.41,22.0,25.25,28.66,28.97,27.38,26.78,26.47,23.78,19.09,15.34,13.19,10.09,5.44,1.81,0.75,0.12,-2.41,-4.69,-4.06,-1.94,-1.28,-1.03,1.31,5.75,9.16,11.31,14.78,19.5,23.16,23.47,23.12,24.59,26.12,25.5,24.28,25.19,26.88,26.12,23.62,21.91,21.03,18.53,14.38,10.94,10.34,9.97,8.34,7.62,9.81,13.19,14.31,14.81,16.62,18.84,19.31,18.12,17.62,18.38,18.06,15.41,13.41,13.88,15.16,14.66,14.84,16.78,19.47,19.19,17.78,17.09,17.53,16.34,13.28,11.19,10.91,10.91,9.28,8.47,10.81,14.0,15.03,15.81,18.12,21.44,22.25,20.94,20.5,20.62,18.97,15.22,11.53,10.09,8.66,5.22,2.56,2.91,4.56,4.81,4.56,6.78,10.62,13.41,15.34,18.06,22.72,25.91,26.38,26.66,28.44,29.5,28.12,26.34,26.31,27.06,26.09,23.75,22.44,22.91,22.03,19.72,17.97,18.5,18.41,15.84,13.28,13.41,13.97,12.81,11.5,12.12,14.0,14.34,13.03,13.56,15.72,17.19,17.22,17.81,20.84,23.44,23.62,23.03,24.25,25.44,24.59,22.81,23.28,25.31,26.03,25.47,25.41,26.97,26.84,24.22,21.66,21.16,20.81,18.62,16.28,16.53,17.59,17.03,15.41,14.94,15.94,15.78,13.75,12.88,14.38,15.84,32.5,34.75,36.25,37.25,38.69,40.91,41.84,40.78,39.69,40.19,41.12,40.75,40.31,41.38,42.53,41.91,40.25,39.81,40.44,40.47,39.62:27.72,28.41,30.12,32.06,31.19,28.03,26.34,26.5,25.56,22.72,21.0,22.38,23.41,22.53,21.66,23.19,25.75,26.0,24.94,25.69,27.09,25.81,22.06,18.97,18.06,16.38,13.44,11.75,13.56,15.91,16.06,15.94,17.47,19.31,18.47,15.66,13.97,13.56,11.69,8.28,5.91,6.28,6.16,3.5,1.0,0.66,0.78,-0.56,-2.0,-0.88,1.69,2.12,0.84,0.44,1.44,1.94,0.38,-0.16,2.28,4.41,4.03,3.69,5.53,8.06,8.78,8.97,11.41,15.41,17.97,19.25,21.59,25.78,28.5,27.91,27.28,28.62,29.12,26.62,23.75,22.97,22.72,20.97,18.31,17.31,18.44,17.91,16.03,14.94,15.72,16.19,14.34,12.97,13.94,14.88,13.66,11.56,11.53,13.12,13.25,12.38,12.97,14.94,15.62,13.75,12.16,12.5,11.78,8.38,4.62,3.0,1.81,-0.84,-4.09,-4.62,-3.56,-3.16,-3.97,-3.06,0.5,3.41,4.31,5.47,8.78,11.56,11.66,10.94,12.28,13.31,11.91,9.03,7.62,7.56,6.53,3.22,1.12,0.72,0.19,-2.56,-4.94,-4.31,-2.75,-3.31,-4.16,-2.78,-0.53,0.38,0.16,1.81,5.69,9.28,10.62,12.53,15.78,17.81,16.31,14.34,14.94,15.84,15.81,15.44,16.94,19.66,20.0,18.69,17.84,18.5,18.53,16.22,14.47,15.25,15.97,14.34,11.75,11.38,11.31,9.09,5.88,4.91,6.03,6.25,5.34,5.56,7.75,9.47,8.75,8.06,9.78,11.78,11.47,9.75,10.22,11.75,11.78,10.59,11.0,12.94,13.22,10.47,8.53,8.56,9.0,8.41,8.47,11.12,14.75,16.0,15.72,17.09,19.0,19.66,18.69,19.0,21.47,23.12,22.72,22.69,24.53,26.16,24.91,22.88,22.88,23.25,21.19,17.91,16.31,15.84,14.34,11.31,9.03,9.12,8.84,6.91,5.88,7.66,10.72,12.03,13.06,15.91,19.56,21.09,20.75,22.0,24.97,26.88,26.41,26.66,28.22,28.81,26.47,23.91,23.09,23.0,21.0,18.16,17.03,17.44,16.28,13.47,12.19,12.81,13.03,11.59,11.38,13.94,16.88,18.0,18.44,20.81,23.75,24.38,23.62,24.44,26.72,27.25,25.53,24.09,23.91,22.69,19.16,15.88,15.34,15.44,14.12,12.53,12.81,14.31,13.97,12.41,12.69,14.84,16.09,14.69,13.47,13.41,12.38,9.19,6.62,7.03,9.31,9.94,10.19,12.0,14.53,15.22,14.28,14.03,15.5,16.44,14.62,13.22,13.34,13.72,11.69,9.66,10.22,12.41,12.97,12.53,13.66,16.06,16.88,15.62,14.5,14.94,14.25,11.62,9.03,9.34,10.53,10.25,9.88,11.28,13.72,14.03,12.69,12.66,14.62,15.34,14.78,14.47,16.75,18.81,18.66,18.31,19.91,21.62,20.72,19.06,19.03,20.03,19.97,18.44,17.97,19.62,20.66,19.44,18.72,20.03,21.25,19.97,17.56,17.31,17.91,16.22,13.75,13.06,13.53,12.81,10.22,8.44,9.25,9.16,7.0,4.91,5.5,6.47,6.0,4.84,5.88,7.94,8.47,7.62,7.88,9.81,10.78,9.69,9.0,10.12,10.62,8.16,5.09,4.69,5.56,4.81,3.94,5.12,7.72,8.31,7.62,7.84,10.28,12.19,12.0,12.31,14.47,16.31,15.44,13.22,12.72,12.5,10.06,6.38,4.69,4.62,3.88,1.88,1.31,3.41,5.19,4.81,4.81,7.28,10.0,10.75,11.09,13.38,16.75,18.47,18.25,18.94,21.06,21.22,19.5,18.31,19.31,19.84,17.81,15.66,15.62,16.19,14.38,11.41,10.5,10.66,9.78,7.62,7.44,9.72,11.34,11.12,11.03,13.78,16.59,16.84,16.34,17.34,18.47,16.19,12.16,9.69,8.22,6.47,3.5,2.34,4.31,6.16,6.06,6.09,8.16,10.78,11.31,10.5,11.56,13.66,13.47,11.34,10.81,11.97,12.69,11.34,11.41,13.91,16.47,16.66,16.34,18.22,20.41,20.28,18.84,18.75,19.5,18.09,15.03,13.47,14.22,14.94,14.19,13.97,15.97,18.25,18.16,16.75,17.75,18.69,17.38,14.47,12.44,11.66,9.88,5.94,3.5,3.44,3.78,2.19,0.97,2.44,4.16,3.53,1.97,2.62,4.16,4.38,3.53,4.34,7.75,10.88,11.84,13.72,17.31,19.53,18.22,15.94,15.06,14.66,12.34,8.75,7.5,7.75,6.59,3.97,3.09,4.25,5.41,4.69,4.84,7.38,9.81,9.22,7.72,7.84,9.41,9.5,8.28,10.09,13.44,14.78,13.94,13.75,15.03,15.66,13.69,12.59,13.38,14.97,14.0,12.19,12.09,12.44,10.81,7.19,5.88,6.84,7.53,6.69,6.97,9.06,10.78,9.38,7.5,8.12,9.22,8.38,6.88,7.28,8.62,7.84,5.16,2.88,2.97,2.5,0.5,0.16,3.0,6.41,7.31,7.06,8.47,10.03,8.84,6.22,5.28,6.19,5.84,3.75,2.91,4.38,5.97,5.03,5.22,8.16,11.69,12.62,12.94,15.09,17.91,18.59,17.22,17.09,17.97,17.59,14.81,13.16,13.94,14.59,12.53,10.94,11.53,12.72,11.5,9.72,10.16,12.31,13.53,13.41,14.88,18.66,20.94,20.31,18.81,18.66,17.53,13.06,8.41,6.41,5.84,4.22,2.06,2.53,5.56,7.28,8.38,11.16,16.53,21.38,23.44,25.09,27.78,29.81,27.72,24.34,22.0,20.78,17.31,11.88,8.12,6.72,4.62,1.28,0.0,2.44,5.5,6.31,7.97,11.75,16.12,17.91,18.12,19.88,22.0,21.28,18.09,15.28,13.78,10.94,5.84,1.5,0.72,0.53,-1.19,-2.19,-0.56,2.19,2.97,2.62,4.16,7.84,10.09,10.81,12.72,16.75,19.5,19.47,19.0,20.19,20.88,18.91,16.22,15.97,17.22,16.5,15.41,15.5,17.28,17.72,15.53,14.03,14.47,14.72,12.75,11.31,13.25,16.62,18.25,19.5,22.81,27.19,29.5,29.78,30.88,33.0,33.47,30.56,27.34,26.53,25.56,22.69,19.31,18.53,18.34,16.09,13.09,12.44,13.84,14.38,13.53,13.75,16.09,17.53,16.31,15.06,16.28,17.69,16.75,15.62,16.59,18.56,18.81,18.06,18.56,20.53,20.81,18.72,17.09,17.66,17.66,15.41,13.25,13.56,14.28,12.44,9.56,8.28,8.19,6.53,4.38,4.41,7.09,8.97,8.72,8.62,10.44,12.38,12.12,12.59,16.03,20.06,21.75,20.94,20.62,20.31,18.06,13.31,10.03,9.41,8.16,4.34,0.69,-0.5,-1.56,-4.16,-6.53,-5.56,-2.72,-1.31,-0.66,1.62,5.59,8.19,8.72,10.09,13.94,16.88,17.47,17.59,19.62,21.62,21.0,19.41,19.41,20.5,19.62,17.09,15.88,16.53,16.75,14.94,14.19,16.03,17.97,17.78,17.38,19.19,21.38,21.19,19.34,18.56,18.78,17.38,14.66,13.47,14.59,15.34,13.72,12.28,12.81,12.84,11.19,8.81,8.97,10.41,10.62,9.53,9.66,11.41,11.38,8.94,6.94,7.09,6.59,4.03,1.22,0.84,1.06,-0.44,-2.28,-1.66,0.94,2.62,3.12,5.41,9.12,11.16,10.38,9.5,10.56,11.62,11.19,11.22,14.81,20.0,23.34,24.81,27.06,28.88,27.78,23.88,20.78,19.62,18.12,14.94,12.38,12.66,13.31,11.78,10.19,11.44,13.69,14.69,14.56,16.03,18.53,19.09,17.12,15.41,15.84,16.0,13.81,11.66,12.16,12.66,10.22,6.41,4.47,3.75,1.78,-0.31,0.22,3.22,6.19,6.81,7.97,11.12,13.97,14.44,14.91,17.44,21.34,23.25,24.38,27.12,30.72,32.19,31.03,30.47,31.19,30.69,27.16,23.81,22.06,20.84,17.59,14.41,14.03,14.62,13.66,11.78,11.66,12.88,13.59,12.56,12.56,15.66,18.81,20.41,22.0,25.25,28.66,28.97,27.38,26.78,26.47,23.78,19.09,15.34,13.19,10.09,5.44,1.81,0.75,0.12,-2.41,-4.69,-4.06,-1.94,-1.28,-1.03,1.31,5.75,9.16,11.31,14.78,19.5,23.16,23.47,23.12,24.59,26.12,25.5,24.28,25.19,26.88,26.12,23.62,21.91,21.03,18.53,14.38,10.94,10.34,9.97,8.34,7.62,9.81,13.19,14.31,14.81,16.62,18.84,19.31,18.12,17.62,18.38,18.06,15.41,13.41,13.88,15.16,14.66,14.84,16.78,19.47,19.19,17.78,17.09,17.53,16.34,13.28,11.19,10.91,10.91,9.28,8.47,10.81,14.0,15.03,15.81,18.12,21.44,22.25,20.94,20.5,20.62,18.97,15.22,11.53,10.09,8.66,5.22,2.56,2.91,4.56,4.81,4.56,6.78,10.62,13.41,15.34,18.06,22.72,25.91,26.38,26.66,28.44,29.5,28.12,26.34,26.31,27.06,26.09,23.75,22.44,22.91,22.03,19.72,17.97,18.5,18.41,15.84,13.28,13.41,13.97,12.81,11.5,12.12,14.0,14.34,13.03,13.56,15.72,17.19,17.22,17.81,20.84,23.44,23.62,23.03,24.25,25.44,24.59,22.81,23.28,25.31,26.03,25.47,25.41,26.97,26.84,24.22,21.66,21.16,20.81,18.62,16.28,16.53,17.59,17.03,15.41,14.94,15.94,15.78,13.75,12.88,14.38,15.84,32.5,34.75,36.25,37.25,38.69,40.91,41.84,40.78,39.69,40.19,41.12,40.75,40.31,41.38,42.53,41.91,40.25,39.81,40.44,40.47,39.62,39.5,41.34,43.22,44.44,46.09,49.78,53.75:26.5,25.56,22.72,21.0,22.38,23.41,22.53,21.66,23.19,25.75,26.0,24.94,25.69,27.09,25.81,22.06,18.97,18.06,16.38,13.44,11.75,13.56,15.91,16.06,15.94,17.47,19.31,18.47,15.66,13.97,13.56,11.69,8.28,5.91,6.28,6.16,3.5,1.0,0.66,0.78,-0.56,-2.0,-0.88,1.69,2.12,0.84,0.44,1.44,1.94,0.38,-0.16,2.28,4.41,4.03,3.69,5.53,8.06,8.78,8.97,11.41,15.41,17.97,19.25,21.59,25.78,28.5,27.91,27.28,28.62,29.12,26.62,23.75,22.97,22.72,20.97,18.31,17.31,18.44,17.91,16.03,14.94,15.72,16.19,14.34,12.97,13.94,14.88,13.66,11.56,11.53,13.12,13.25,12.38,12.97,14.94,15.62,13.75,12.16,12.5,11.78,8.38,4.62,3.0,1.81,-0.84,-4.09,-4.62,-3.56,-3.16,-3.97,-3.06,0.5,3.41,4.31,5.47,8.78,11.56,11.66,10.94,12.28,13.31,11.91,9.03,7.62,7.56,6.53,3.22,1.12,0.72,0.19,-2.56,-4.94,-4.31,-2.75,-3.31,-4.16,-2.78,-0.53,0.38,0.16,1.81,5.69,9.28,10.62,12.53,15.78,17.81,16.31,14.34,14.94,15.84,15.81,15.44,16.94,19.66,20.0,18.69,17.84,18.5,18.53,16.22,14.47,15.25,15.97,14.34,11.75,11.38,11.31,9.09,5.88,4.91,6.03,6.25,5.34,5.56,7.75,9.47,8.75,8.06,9.78,11.78,11.47,9.75,10.22,11.75,11.78,10.59,11.0,12.94,13.22,10.47,8.53,8.56,9.0,8.41,8.47,11.12,14.75,16.0,15.72,17.09,19.0,19.66,18.69,19.0,21.47,23.12,22.72,22.69,24.53,26.16,24.91,22.88,22.88,23.25,21.19,17.91,16.31,15.84,14.34,11.31,9.03,9.12,8.84,6.91,5.88,7.66,10.72,12.03,13.06,15.91,19.56,21.09,20.75,22.0,24.97,26.88,26.41,26.66,28.22,28.81,26.47,23.91,23.09,23.0,21.0,18.16,17.03,17.44,16.28,13.47,12.19,12.81,13.03,11.59,11.38,13.94,16.88,18.0,18.44,20.81,23.75,24.38,23.62,24.44,26.72,27.25,25.53,24.09,23.91,22.69,19.16,15.88,15.34,15.44,14.12,12.53,12.81,14.31,13.97,12.41,12.69,14.84,16.09,14.69,13.47,13.41,12.38,9.19,6.62,7.03,9.31,9.94,10.19,12.0,14.53,15.22,14.28,14.03,15.5,16.44,14.62,13.22,13.34,13.72,11.69,9.66,10.22,12.41,12.97,12.53,13.66,16.06,16.88,15.62,14.5,14.94,14.25,11.62,9.03,9.34,10.53,10.25,9.88,11.28,13.72,14.03,12.69,12.66,14.62,15.34,14.78,14.47,16.75,18.81,18.66,18.31,19.91,21.62,20.72,19.06,19.03,20.03,19.97,18.44,17.97,19.62,20.66,19.44,18.72,20.03,21.25,19.97,17.56,17.31,17.91,16.22,13.75,13.06,13.53,12.81,10.22,8.44,9.25,9.16,7.0,4.91,5.5,6.47,6.0,4.84,5.88,7.94,8.47,7.62,7.88,9.81,10.78,9.69,9.0,10.12,10.62,8.16,5.09,4.69,5.56,4.81,3.94,5.12,7.72,8.31,7.62,7.84,10.28,12.19,12.0,12.31,14.47,16.31,15.44,13.22,12.72,12.5,10.06,6.38,4.69,4.62,3.88,1.88,1.31,3.41,5.19,4.81,4.81,7.28,10.0,10.75,11.09,13.38,16.75,18.47,18.25,18.94,21.06,21.22,19.5,18.31,19.31,19.84,17.81,15.66,15.62,16.19,14.38,11.41,10.5,10.66,9.78,7.62,7.44,9.72,11.34,11.12,11.03,13.78,16.59,16.84,16.34,17.34,18.47,16.19,12.16,9.69,8.22,6.47,3.5,2.34,4.31,6.16,6.06,6.09,8.16,10.78,11.31,10.5,11.56,13.66,13.47,11.34,10.81,11.97,12.69,11.34,11.41,13.91,16.47,16.66,16.34,18.22,20.41,20.28,18.84,18.75,19.5,18.09,15.03,13.47,14.22,14.94,14.19,13.97,15.97,18.25,18.16,16.75,17.75,18.69,17.38,14.47,12.44,11.66,9.88,5.94,3.5,3.44,3.78,2.19,0.97,2.44,4.16,3.53,1.97,2.62,4.16,4.38,3.53,4.34,7.75,10.88,11.84,13.72,17.31,19.53,18.22,15.94,15.06,14.66,12.34,8.75,7.5,7.75,6.59,3.97,3.09,4.25,5.41,4.69,4.84,7.38,9.81,9.22,7.72,7.84,9.41,9.5,8.28,10.09,13.44,14.78,13.94,13.75,15.03,15.66,13.69,12.59,13.38,14.97,14.0,12.19,12.09,12.44,10.81,7.19,5.88,6.84,7.53,6.69,6.97,9.06,10.78,9.38,7.5,8.12,9.22,8.38,6.88,7.28,8.62,7.84,5.16,2.88,2.97,2.5,0.5,0.16,3.0,6.41,7.31,7.06,8.47,10.03,8.84,6.22,5.28,6.19,5.84,3.75,2.91,4.38,5.97,5.03,5.22,8.16,11.69,12.62,12.94,15.09,17.91,18.59,17.22,17.09,17.97,17.59,14.81,13.16,13.94,14.59,12.53,10.94,11.53,12.72,11.5,9.72,10.16,12.31,13.53,13.41,14.88,18.66,20.94,20.31,18.81,18.66,17.53,13.06,8.41,6.41,5.84,4.22,2.06,2.53,5.56,7.28,8.38,11.16,16.53,21.38,23.44,25.09,27.78,29.81,27.72,24.34,22.0,20.78,17.31,11.88,8.12,6.72,4.62,1.28,0.0,2.44,5.5,6.31,7.97,11.75,16.12,17.91,18.12,19.88,22.0,21.28,18.09,15.28,13.78,10.94,5.84,1.5,0.72,0.53,-1.19,-2.19,-0.56,2.19,2.97,2.62,4.16,7.84,10.09,10.81,12.72,16.75,19.5,19.47,19.0,20.19,20.88,18.91,16.22,15.97,17.22,16.5,15.41,15.5,17.28,17.72,15.53,14.03,14.47,14.72,12.75,11.31,13.25,16.62,18.25,19.5,22.81,27.19,29.5,29.78,30.88,33.0,33.47,30.56,27.34,26.53,25.56,22.69,19.31,18.53,18.34,16.09,13.09,12.44,13.84,14.38,13.53,13.75,16.09,17.53,16.31,15.06,16.28,17.69,16.75,15.62,16.59,18.56,18.81,18.06,18.56,20.53,20.81,18.72,17.09,17.66,17.66,15.41,13.25,13.56,14.28,12.44,9.56,8.28,8.19,6.53,4.38,4.41,7.09,8.97,8.72,8.62,10.44,12.38,12.12,12.59,16.03,20.06,21.75,20.94,20.62,20.31,18.06,13.31,10.03,9.41,8.16,4.34,0.69,-0.5,-1.56,-4.16,-6.53,-5.56,-2.72,-1.31,-0.66,1.62,5.59,8.19,8.72,10.09,13.94,16.88,17.47,17.59,19.62,21.62,21.0,19.41,19.41,20.5,19.62,17.09,15.88,16.53,16.75,14.94,14.19,16.03,17.97,17.78,17.38,19.19,21.38,21.19,19.34,18.56,18.78,17.38,14.66,13.47,14.59,15.34,13.72,12.28,12.81,12.84,11.19,8.81,8.97,10.41,10.62,9.53,9.66,11.41,11.38,8.94,6.94,7.09,6.59,4.03,1.22,0.84,1.06,-0.44,-2.28,-1.66,0.94,2.62,3.12,5.41,9.12,11.16,10.38,9.5,10.56,11.62,11.19,11.22,14.81,20.0,23.34,24.81,27.06,28.88,27.78,23.88,20.78,19.62,18.12,14.94,12.38,12.66,13.31,11.78,10.19,11.44,13.69,14.69,14.56,16.03,18.53,19.09,17.12,15.41,15.84,16.0,13.81,11.66,12.16,12.66,10.22,6.41,4.47,3.75,1.78,-0.31,0.22,3.22,6.19,6.81,7.97,11.12,13.97,14.44,14.91,17.44,21.34,23.25,24.38,27.12,30.72,32.19,31.03,30.47,31.19,30.69,27.16,23.81,22.06,20.84,17.59,14.41,14.03,14.62,13.66,11.78,11.66,12.88,13.59,12.56,12.56,15.66,18.81,20.41,22.0,25.25,28.66,28.97,27.38,26.78,26.47,23.78,19.09,15.34,13.19,10.09,5.44,1.81,0.75,0.12,-2.41,-4.69,-4.06,-1.94,-1.28,-1.03,1.31,5.75,9.16,11.31,14.78,19.5,23.16,23.47,23.12,24.59,26.12,25.5,24.28,25.19,26.88,26.12,23.62,21.91,21.03,18.53,14.38,10.94,10.34,9.97,8.34,7.62,9.81,13.19,14.31,14.81,16.62,18.84,19.31,18.12,17.62,18.38,18.06,15.41,13.41,13.88,15.16,14.66,14.84,16.78,19.47,19.19,17.78,17.09,17.53,16.34,13.28,11.19,10.91,10.91,9.28,8.47,10.81,14.0,15.03,15.81,18.12,21.44,22.25,20.94,20.5,20.62,18.97,15.22,11.53,10.09,8.66,5.22,2.56,2.91,4.56,4.81,4.56,6.78,10.62,13.41,15.34,18.06,22.72,25.91,26.38,26.66,28.44,29.5,28.12,26.34,26.31,27.06,26.09,23.75,22.44,22.91,22.03,19.72,17.97,18.5,18.41,15.84,13.28,13.41,13.97,12.81,11.5,12.12,14.0,14.34,13.03,13.56,15.72,17.19,17.22,17.81,20.84,23.44,23.62,23.03,24.25,25.44,24.59,22.81,23.28,25.31,26.03,25.47,25.41,26.97,26.84,24.22,21.66,21.16,20.81,18.62,16.28,16.53,17.59,17.03,15.41,14.94,15.94,15.78,13.75,12.88,14.38,15.84,32.5,34.75,36.25,37.25,38.69,40.91,41.84,40.78,39.69,40.19,41.12,40.75,40.31,41.38,42.53,41.91,40.25,39.81,40.44,40.47,39.62,39.5,41.34,43.22,44.44,46.09,49.78,53.75,55.84,56.38,56.91,57.53,55.81,52.53,49.91:21.66,23.19,25.75,26.0,24.94,25.69,27.09,25.81,22.06,18.97,18.06,16.38,13.44,11.75,13.56,15.91,16.06,15.94,17.47,19.31,18.47,15.66,13.97,13.56,11.69,8.28,5.91,6.28,6.16,3.5,1.0,0.66,0.78,-0.56,-2.0,-0.88,1.69,2.12,0.84,0.44,1.44,1.94,0.38,-0.16,2.28,4.41,4.03,3.69,5.53,8.06,8.78,8.97,11.41,15.41,17.97,19.25,21.59,25.78,28.5,27.91,27.28,28.62,29.12,26.62,23.75,22.97,22.72,20.97,18.31,17.31,18.44,17.91,16.03,14.94,15.72,16.19,14.34,12.97,13.94,14.88,13.66,11.56,11.53,13.12,13.25,12.38,12.97,14.94,15.62,13.75,12.16,12.5,11.78,8.38,4.62,3.0,1.81,-0.84,-4.09,-4.62,-3.56,-3.16,-3.97,-3.06,0.5,3.41,4.31,5.47,8.78,11.56,11.66,10.94,12.28,13.31,11.91,9.03,7.62,7.56,6.53,3.22,1.12,0.72,0.19,-2.56,-4.94,-4.31,-2.75,-3.31,-4.16,-2.78,-0.53,0.38,0.16,1.81,5.69,9.28,10.62,12.53,15.78,17.81,16.31,14.34,14.94,15.84,15.81,15.44,16.94,19.66,20.0,18.69,17.84,18.5,18.53,16.22,14.47,15.25,15.97,14.34,11.75,11.38,11.31,9.09,5.88,4.91,6.03,6.25,5.34,5.56,7.75,9.47,8.75,8.06,9.78,11.78,11.47,9.75,10.22,11.75,11.78,10.59,11.0,12.94,13.22,10.47,8.53,8.56,9.0,8.41,8.47,11.12,14.75,16.0,15.72,17.09,19.0,19.66,18.69,19.0,21.47,23.12,22.72,22.69,24.53,26.16,24.91,22.88,22.88,23.25,21.19,17.91,16.31,15.84,14.34,11.31,9.03,9.12,8.84,6.91,5.88,7.66,10.72,12.03,13.06,15.91,19.56,21.09,20.75,22.0,24.97,26.88,26.41,26.66,28.22,28.81,26.47,23.91,23.09,23.0,21.0,18.16,17.03,17.44,16.28,13.47,12.19,12.81,13.03,11.59,11.38,13.94,16.88,18.0,18.44,20.81,23.75,24.38,23.62,24.44,26.72,27.25,25.53,24.09,23.91,22.69,19.16,15.88,15.34,15.44,14.12,12.53,12.81,14.31,13.97,12.41,12.69,14.84,16.09,14.69,13.47,13.41,12.38,9.19,6.62,7.03,9.31,9.94,10.19,12.0,14.53,15.22,14.28,14.03,15.5,16.44,14.62,13.22,13.34,13.72,11.69,9.66,10.22,12.41,12.97,12.53,13.66,16.06,16.88,15.62,14.5,14.94,14.25,11.62,9.03,9.34,10.53,10.25,9.88,11.28,13.72,14.03,12.69,12.66,14.62,15.34,14.78,14.47,16.75,18.81,18.66,18.31,19.91,21.62,20.72,19.06,19.03,20.03,19.97,18.44,17.97,19.62,20.66,19.44,18.72,20.03,21.25,19.97,17.56,17.31,17.91,16.22,13.75,13.06,13.53,12.81,10.22,8.44,9.25,9.16,7.0,4.91,5.5,6.47,6.0,4.84,5.88,7.94,8.47,7.62,7.88,9.81,10.78,9.69,9.0,10.12,10.62,8.16,5.09,4.69,5.56,4.81,3.94,5.12,7.72,8.31,7.62,7.84,10.28,12.19,12.0,12.31,14.47,16.31,15.44,13.22,12.72,12.5,10.06,6.38,4.69,4.62,3.88,1.88,1.31,3.41,5.19,4.81,4.81,7.28,10.0,10.75,11.09,13.38,16.75,18.47,18.25,18.94,21.06,21.22,19.5,18.31,19.31,19.84,17.81,15.66,15.62,16.19,14.38,11.41,10.5,10.66,9.78,7.62,7.44,9.72,11.34,11.12,11.03,13.78,16.59,16.84,16.34,17.34,18.47,16.19,12.16,9.69,8.22,6.47,3.5,2.34,4.31,6.16,6.06,6.09,8.16,10.78,11.31,10.5,11.56,13.66,13.47,11.34,10.81,11.97,12.69,11.34,11.41,13.91,16.47,16.66,16.34,18.22,20.41,20.28,18.84,18.75,19.5,18.09,15.03,13.47,14.22,14.94,14.19,13.97,15.97,18.25,18.16,16.75,17.75,18.69,17.38,14.47,12.44,11.66,9.88,5.94,3.5,3.44,3.78,2.19,0.97,2.44,4.16,3.53,1.97,2.62,4.16,4.38,3.53,4.34,7.75,10.88,11.84,13.72,17.31,19.53,18.22,15.94,15.06,14.66,12.34,8.75,7.5,7.75,6.59,3.97,3.09,4.25,5.41,4.69,4.84,7.38,9.81,9.22,7.72,7.84,9.41,9.5,8.28,10.09,13.44,14.78,13.94,13.75,15.03,15.66,13.69,12.59,13.38,14.97,14.0,12.19,12.09,12.44,10.81,7.19,5.88,6.84,7.53,6.69,6.97,9.06,10.78,9.38,7.5,8.12,9.22,8.38,6.88,7.28,8.62,7.84,5.16,2.88,2.97,2.5,0.5,0.16,3.0,6.41,7.31,7.06,8.47,10.03,8.84,6.22,5.28,6.19,5.84,3.75,2.91,4.38,5.97,5.03,5.22,8.16,11.69,12.62,12.94,15.09,17.91,18.59,17.22,17.09,17.97,17.59,14.81,13.16,13.94,14.59,12.53,10.94,11.53,12.72,11.5,9.72,10.16,12.31,13.53,13.41,14.88,18.66,20.94,20.31,18.81,18.66,17.53,13.06,8.41,6.41,5.84,4.22,2.06,2.53,5.56,7.28,8.38,11.16,16.53,21.38,23.44,25.09,27.78,29.81,27.72,24.34,22.0,20.78,17.31,11.88,8.12,6.72,4.62,1.28,0.0,2.44,5.5,6.31,7.97,11.75,16.12,17.91,18.12,19.88,22.0,21.28,18.09,15.28,13.78,10.94,5.84,1.5,0.72,0.53,-1.19,-2.19,-0.56,2.19,2.97,2.62,4.16,7.84,10.09,10.81,12.72,16.75,19.5,19.47,19.0,20.19,20.88,18.91,16.22,15.97,17.22,16.5,15.41,15.5,17.28,17.72,15.53,14.03,14.47,14.72,12.75,11.31,13.25,16.62,18.25,19.5,22.81,27.19,29.5,29.78,30.88,33.0,33.47,30.56,27.34,26.53,25.56,22.69,19.31,18.53,18.34,16.09,13.09,12.44,13.84,14.38,13.53,13.75,16.09,17.53,16.31,15.06,16.28,17.69,16.75,15.62,16.59,18.56,18.81,18.06,18.56,20.53,20.81,18.72,17.09,17.66,17.66,15.41,13.25,13.56,14.28,12.44,9.56,8.28,8.19,6.53,4.38,4.41,7.09,8.97,8.72,8.62,10.44,12.38,12.12,12.59,16.03,20.06,21.75,20.94,20.62,20.31,18.06,13.31,10.03,9.41,8.16,4.34,0.69,-0.5,-1.56,-4.16,-6.53,-5.56,-2.72,-1.31,-0.66,1.62,5.59,8.19,8.72,10.09,13.94,16.88,17.47,17.59,19.62,21.62,21.0,19.41,19.41,20.5,19.62,17.09,15.88,16.53,16.75,14.94,14.19,16.03,17.97,17.78,17.38,19.19,21.38,21.19,19.34,18.56,18.78,17.38,14.66,13.47,14.59,15.34,13.72,12.28,12.81,12.84,11.19,8.81,8.97,10.41,10.62,9.53,9.66,11.41,11.38,8.94,6.94,7.09,6.59,4.03,1.22,0.84,1.06,-0.44,-2.28,-1.66,0.94,2.62,3.12,5.41,9.12,11.16,10.38,9.5,10.56,11.62,11.19,11.22,14.81,20.0,23.34,24.81,27.06,28.88,27.78,23.88,20.78,19.62,18.12,14.94,12.38,12.66,13.31,11.78,10.19,11.44,13.69,14.69,14.56,16.03,18.53,19.09,17.12,15.41,15.84,16.0,13.81,11.66,12.16,12.66,10.22,6.41,4.47,3.75,1.78,-0.31,0.22,3.22,6.19,6.81,7.97,11.12,13.97,14.44,14.91,17.44,21.34,23.25,24.38,27.12,30.72,32.19,31.03,30.47,31.19,30.69,27.16,23.81,22.06,20.84,17.59,14.41,14.03,14.62,13.66,11.78,11.66,12.88,13.59,12.56,12.56,15.66,18.81,20.41,22.0,25.25,28.66,28.97,27.38,26.78,26.47,23.78,19.09,15.34,13.19,10.09,5.44,1.81,0.75,0.12,-2.41,-4.69,-4.06,-1.94,-1.28,-1.03,1.31,5.75,9.16,11.31,14.78,19.5,23.16,23.47,23.12,24.59,26.12,25.5,24.28,25.19,26.88,26.12,23.62,21.91,21.03,18.53,14.38,10.94,10.34,9.97,8.34,7.62,9.81,13.19,14.31,14.81,16.62,18.84,19.31,18.12,17.62,18.38,18.06,15.41,13.41,13.88,15.16,14.66,14.84,16.78,19.47,19.19,17.78,17.09,17.53,16.34,13.28,11.19,10.91,10.91,9.28,8.47,10.81,14.0,15.03,15.81,18.12,21.44,22.25,20.94,20.5,20.62,18.97,15.22,11.53,10.09,8.66,5.22,2.56,2.91,4.56,4.81,4.56,6.78,10.62,13.41,15.34,18.06,22.72,25.91,26.38,26.66,28.44,29.5,28.12,26.34,26.31,27.06,26.09,23.75,22.44,22.91,22.03,19.72,17.97,18.5,18.41,15.84,13.28,13.41,13.97,12.81,11.5,12.12,14.0,14.34,13.03,13.56,15.72,17.19,17.22,17.81,20.84,23.44,23.62,23.03,24.25,25.44,24.59,22.81,23.28,25.31,26.03,25.47,25.41,26.97,26.84,24.22,21.66,21.16,20.81,18.62,16.28,16.53,17.59,17.03,15.41,14.94,15.94,15.78,13.75,12.88,14.38,15.84,32.5,34.75,36.25,37.25,38.69,40.91,41.84,40.78,39.69,40.19,41.12,40.75,40.31,41.38,42.53,41.91,40.25,39.81,40.44,40.47,39.62,39.5,41.34,43.22,44.44,46.09,49.78,53.75,55.84,56.38,56.91,57.53,55.81,52.53,49.91,48.66,46.69,44.19,42.94,44.03,45.62,45.97:positivity
19.81,18.47,18.09,17.94,17.47,16.59,17.16,19.84,22.69,23.97,25.16,27.31,29.19,29.34,29.28,30.28,31.25,30.25,27.62,25.28,23.47,21.09,17.75,15.88,15.44,15.62,15.12,15.31,17.41,20.34,22.28,23.62,25.88,28.12,28.56,27.84,27.75,28.56,29.44,29.75,30.47,32.03,32.66,31.31,29.44,28.44,27.78,25.66,23.38,22.72,22.81,22.5,21.72,22.44,23.56,24.22,23.06,22.19,22.53,22.88,21.94,21.5,22.53,24.34,24.56,24.25,25.03,25.66,25.19,23.31,22.34,22.38,21.91,20.59,19.75,20.44,21.22,20.34,19.38,19.94,20.72,20.03,18.47,18.03,18.25,17.81,16.59,16.62,17.44,18.34,18.03,17.97,19.28,20.81,21.09,20.97,21.88,22.88,22.69,22.34,22.75,24.19,25.09,24.03,22.81,21.97,20.69,18.03,15.75,15.31,15.78,15.81,16.03,17.84,20.81,22.59,22.97,23.38,24.12,23.94,21.91,20.19,19.56,18.5,16.06,13.44,11.75,10.56,8.34,6.12,6.25,7.88,8.94,9.38,10.56,12.56,14.0,13.88,14.56,16.41,17.72,17.5,16.91,17.47,18.41,18.41,17.72,17.47,17.28,15.62,12.59,10.53,10.38,10.72,10.41,11.0,12.94,15.59,16.34,16.47,17.62,18.91,18.12,16.06,14.5,13.53,11.97,8.69,6.19,4.94,3.22,0.31,-1.28,-0.78,1.66,3.56,5.59,8.38,11.41,12.81,13.53,14.91,17.5,19.59,21.03,22.75,25.56,27.75,27.59,26.59,25.94,25.44,23.38,20.69,19.03,17.62,15.38,12.06,9.81,9.25,8.62,7.28,5.88,5.56,4.81,2.56,0.38,0.06,1.12,1.75,2.62,5.22,8.66,11.34,13.84,16.81,21.06,24.16,24.75,25.03,25.59,26.0,25.44,25.25,26.12,27.31,26.59,24.69,23.47,23.28,22.69,21.34,20.47,20.16,19.38,16.97,15.0,15.16,16.03,16.16,16.25,17.75,19.53,20.06,20.62,21.84,24.72,26.59,27.53,28.44,30.28,31.56,30.94,29.94,29.78,29.62,27.66,25.25,23.59,22.78,21.5,20.19,19.81,21.03,21.62,21.38,21.03,21.69,22.0,20.59,19.19,19.88,20.81,21.38,21.84,23.25,25.5,26.31,25.5,25.0,24.97,24.38,22.28,20.44,19.81,18.84,16.91,14.81,14.16,14.28,13.62,12.31,12.12,12.88,13.0,12.44,12.5,13.84,15.44,16.0,16.97,19.5,21.81,22.28,21.97,22.59,23.16,22.72,21.5,21.19,21.19,20.69,19.44,18.56,19.47,20.62,20.19,19.72,20.41,20.84,20.12,19.19,19.31,20.34,20.16,18.5,17.28,16.72,15.06,12.53,10.62,10.84,11.97,12.44,13.0,15.19,16.94,17.16,16.81,17.66,19.62,20.88,21.56,22.41,24.12,24.97,24.94,24.72,25.78,26.72,25.56,23.91,23.03,22.69,21.0,19.28,19.16,20.09,20.88,20.69,20.88,22.09,22.34,21.53,20.59,21.44,22.22,22.31,22.5,24.25,26.25,26.78,25.72,24.81,24.47,23.28,21.69,21.0,21.97,22.88,22.72,22.34,23.5,24.91,24.75,24.16,24.31,25.06,24.59,23.19,22.84,23.31,23.0,21.78,21.19,21.94,22.69,22.91,22.75,24.09,24.94,24.03,22.5,21.59,21.5,20.75,19.44,19.03,19.72,19.41,17.78,16.47,16.66,16.78,16.09,15.34,16.78,18.69,19.66,19.66,20.25,21.12,20.5,18.66,17.34,17.66,17.66,16.94,16.75,18.84,21.25,22.88,24.12,26.56,28.56,28.53,27.03,25.88,25.09,23.38,20.78,18.88,18.44,17.97,16.44,15.25,15.72,16.41,16.47,15.97,17.31,19.28,19.62,18.91,18.12,18.22,17.44,15.38,14.16,14.94,15.72,16.16,16.62,18.44,20.47,20.91,19.94,20.53,21.47,21.44,20.31,19.78,20.03,20.38,19.84,20.19,22.53,24.69,25.22,24.81,24.81,24.94,23.72,21.91,22.22,23.44,24.16,23.84,24.47,25.56,25.97,24.56,23.22,22.91,22.69,21.47,20.34,21.06,21.91,21.62,19.75,19.31,19.59,19.5,18.53,18.34,19.66,20.25,19.38,18.25,18.59,18.62,17.47,15.94,15.5,16.06,15.69,14.5,14.81,16.22,16.69,15.84,15.59,16.19,16.56,15.44,14.09,14.47,15.09,14.19,12.34,12.16,12.78,12.66,12.28,13.88,16.56,18.44,18.34,18.16,18.31,17.59,15.56,13.53,13.44,13.59,12.44,9.88,8.38,7.69,6.69,4.97,5.66,7.66,9.47,9.75,9.78,10.97,11.53,10.84,10.25,11.38,13.19,14.0,13.88,14.31,16.12,16.91,16.12,16.16,16.88,17.0,15.66,14.84,15.81,17.03,17.0,16.28,16.53,17.12,16.38,14.91,14.78,15.94,16.75,15.97,15.62,16.06,15.47,13.31,11.84,12.06,12.75,12.12,11.06,11.12,11.44,10.81,9.62,9.5,10.5,11.09,10.53,10.94,12.75,14.75,15.06,14.69,15.12,15.56,13.69,11.09,9.88,9.41,8.09,5.97,5.16,5.75,6.16,5.84,6.03,8.12,10.59,11.41,12.06,14.84,17.94,20.06,21.44,23.22,25.38,25.84,24.19,22.19,21.31,19.53,16.34,14.12,14.09,14.81,14.28,13.5,13.97,15.34,15.25,14.69,15.91,17.75,18.94,18.44,17.94,18.28,18.06,15.91,14.25,14.0,14.66,13.97,13.34,14.0,15.28,15.19,13.81,12.97,13.16,12.62,10.62,9.56,9.84,10.28,9.81,9.94,12.16,15.0,16.0,16.47,17.94,19.56,20.91,21.12,23.03,25.56,27.19,26.94,26.66,26.75,26.41,24.12,21.53,20.06,19.19,16.88,14.59,13.19,13.66,13.09,12.22,12.31,14.12,15.44,14.78,14.69,15.56,16.47,15.78,15.0,15.66,16.44,15.41,13.53,12.31,12.19,11.81,11.06,11.72,13.88,15.06,13.94,12.56,12.12,12.12,10.56,9.06,9.78,11.78,12.59,13.53,15.5,18.59,20.38,20.53,20.66,22.22,23.12,22.56,22.03,22.75,23.31,21.62,19.38,18.16,18.06,17.22,16.44,16.53,17.91,18.69,17.75,16.94,17.09,16.78,14.91,13.03,13.03,13.84,13.38,13.19,14.56,16.72,17.66,17.59,17.53,18.28,17.94,16.03,14.56,14.44,14.44,12.97,12.0,12.78,13.94,13.72,13.16,13.66,15.03,15.34,14.88,14.75,15.75,16.03,14.78,13.59,13.5,13.5,11.62,9.97,10.06,11.0,10.91,10.72,11.72,13.53,13.66,12.72,11.62,11.53,10.88,8.97,7.78,8.97,11.12,11.97,12.47,13.62,15.0,14.66,13.56,13.88,16.03,17.12,17.12,16.88,17.56,17.81,16.19,14.84,15.22,16.41,16.09,15.47,15.53,16.31,15.47,13.44,12.03,11.88,11.31,9.72,8.75,10.25,12.09,12.84,13.44,15.78,18.31,18.91,19.22,20.19,22.25,22.5,21.81,21.62,22.41,22.56,21.28,19.91,19.5,19.03,16.97,14.66,13.38,12.91,10.62,7.75,5.72,5.44,4.69,3.44,3.38,5.88,8.88,11.38,14.28,18.62,21.94,22.56,21.53,20.84,20.44,18.56,16.12,14.91,15.34,15.38,14.56,14.75,16.09,16.75,15.75,14.31,13.78,13.0,10.62,7.81,6.41,6.56,6.47,6.66,8.34,11.47,13.47,13.69,13.53,14.56,14.78,14.16,13.78,15.25,17.12,17.53,17.03,17.56,19.06,19.53,19.41,20.25,22.78,23.88,23.03,22.12,21.94,21.03,18.53,16.16,15.66,15.66,14.22,12.44,12.0,12.59,12.28,11.09,10.81,11.72,11.16,9.5,8.56,8.72,9.69,9.78,10.53,13.44,17.34,20.09,21.53,22.97,24.06,23.81,22.69,22.25,23.78,24.78,24.06,22.56,22.06,21.09,19.31,17.44,17.03,17.97,18.5,18.12,19.31,21.72,23.38,24.0,24.47,26.03,26.59,25.38,23.62,23.12,22.69,21.03,18.62,17.34,16.09,14.34,11.97,10.47,10.34,9.34,6.75,4.22,3.72,3.78,3.56,4.44,7.12,9.91,11.0,10.81,11.5,13.28,14.56,14.91,16.44,18.75,20.34,20.09,19.47,19.72,19.78,18.03,16.12,15.88,16.28,15.81,14.88,14.94,15.78,15.97,14.72,14.19,15.28,16.34,16.25,15.94,16.5,16.66,14.75,12.41,11.44,11.38,10.81,8.94,8.25,8.41,8.03,6.84,6.84,8.5,9.97,10.31,10.84,13.38,16.19,17.75,18.59,20.06,21.84,22.41,21.25,20.91,21.06,20.75,18.84,17.78,18.5,19.16,18.44,17.34,17.75,18.38,17.91,17.31,17.75,18.34,18.06,16.12,14.72,13.66,12.16,9.06,6.31,5.47,5.25,4.06,3.16,3.94,4.56,4.06,2.5,2.19,2.72,3.0,2.66,3.34,5.28,6.84,6.84,6.78,8.12,10.06,10.94,11.5,13.34,15.06,15.84,14.88,14.44,14.34,13.25,10.31,7.34,5.69,4.38,1.72,-0.03,0.25,1.31,1.53,1.34,2.81,4.22,4.75,3.72,3.62,4.53,5.0,4.03,3.5,4.25,4.91,3.97,3.25,3.81,4.91,5.62,6.31,8.31,11.12,12.47,12.0,11.53,11.38,10.69,8.56,7.44,8.16,9.44,9.66,9.5,10.28,11.12,10.78,9.47,9.19,9.56,9.5,7.91,6.94,7.62,8.44,8.75,9.94,12.97,16.25,17.91,18.88,20.16,20.91,20.56,18.72,17.88,17.88,18.0,17.06,16.72,17.81,18.69:19.84,22.69,23.97,25.16,27.31,29.19,29.34,29.28,30.28,31.25,30.25,27.62,25.28,23.47,21.09,17.75,15.88,15.44,15.62,15.12,15.31,17.41,20.34,22.28,23.62,25.88,28.12,28.56,27.84,27.75,28.56,29.44,29.75,30.47,32.03,32.66,31.31,29.44,28.44,27.78,25.66,23.38,22.72,22.81,22.5,21.72,22.44,23.56,24.22,23.06,22.19,22.53,22.88,21.94,21.5,22.53,24.34,24.56,24.25,25.03,25.66,25.19,23.31,22.34,22.38,21.91,20.59,19.75,20.44,21.22,20.34,19.38,19.94,20.72,20.03,18.47,18.03,18.25,17.81,16.59,16.62,17.44,18.34,18.03,17.97,19.28,20.81,21.09,20.97,21.88,22.88,22.69,22.34,22.75,24.19,25.09,24.03,22.81,21.97,20.69,18.03,15.75,15.31,15.78,15.81,16.03,17.84,20.81,22.59,22.97,23.38,24.12,23.94,21.91,20.19,19.56,18.5,16.06,13.44,11.75,10.56,8.34,6.12,6.25,7.88,8.94,9.38,10.56,12.56,14.0,13.88,14.56,16.41,17.72,17.5,16.91,17.47,18.41,18.41,17.72,17.47,17.28,15.62,12.59,10.53,10.38,10.72,10.41,11.0,12.94,15.59,16.34,16.47,17.62,18.91,18.12,16.06,14.5,13.53,11.97,8.69,6.19,4.94,3.22,0.31,-1.28,-0.78,1.66,3.56,5.59,8.38,11.41,12.81,13.53,14.91,17.5,19.59,21.03,22.75,25.56,27.75,27.59,26.59,25.94,25.44,23.38,20.69,19.03,17.62,15.38,12.06,9.81,9.25,8.62,7.28,5.88,5.56,4.81,2.56,0.38,0.06,1.12,1.75,2.62,5.22,8.66,11.34,13.84,16.81,21.06,24.16,24.75,25.03,25.59,26.0,25.44,25.25,26.12,27.31,26.59,24.69,23.47,23.28,22.69,21.34,20.47,20.16,19.38,16.97,15.0,15.16,16.03,16.16,16.25,17.75,19.53,20.06,20.62,21.84,24.72,26.59,27.53,28.44,30.28,31.56,30.94,29.94,29.78,29.62,27.66,25.25,23.59,22.78,21.5,20.19,19.81,21.03,21.62,21.38,21.03,21.69,22.0,20.59,19.19,19.88,20.81,21.38,21.84,23.25,25.5,26.31,25.5,25.0,24.97,24.38,22.28,20.44,19.81,18.84,16.91,14.81,14.16,14.28,13.62,12.31,12.12,12.88,13.0,12.44,12.5,13.84,15.44,16.0,16.97,19.5,21.81,22.28,21.97,22.59,23.16,22.72,21.5,21.19,21.19,20.69,19.44,18.56,19.47,20.62,20.19,19.72,20.41,20.84,20.12,19.19,19.31,20.34,20.16,18.5,17.28,16.72,15.06,12.53,10.62,10.84,11.97,12.44,13.0,15.19,16.94,17.16,16.81,17.66,19.62,20.88,21.56,22.41,24.12,24.97,24.94,24.72,25.78,26.72,25.56,23.91,23.03,22.69,21.0,19.28,19.16,20.09,20.88,20.69,20.88,22.09,22.34,21.53,20.59,21.44,22.22,22.31,22.5,24.25,26.25,26.78,25.72,24.81,24.47,23.28,21.69,21.0,21.97,22.88,22.72,22.34,23.5,24.91,24.75,24.16,24.31,25.06,24.59,23.19,22.84,23.31,23.0,21.78,21.19,21.94,22.69,22.91,22.75,24.09,24.94,24.03,22.5,21.59,21.5,20.75,19.44,19.03,19.72,19.41,17.78,16.47,16.66,16.78,16.09,15.34,16.78,18.69,19.66,19.66,20.25,21.12,20.5,18.66,17.34,17.66,17.66,16.94,16.75,18.84,21.25,22.88,24.12,26.56,28.56,28.53,27.03,25.88,25.09,23.38,20.78,18.88,18.44,17.97,16.44,15.25,15.72,16.41,16.47,15.97,17.31,19.28,19.62,18.91,18.12,18.22,17.44,15.38,14.16,14.94,15.72,16.16,16.62,18.44,20.47,20.91,19.94,20.53,21.47,21.44,20.31,19.78,20.03,20.38,19.84,20.19,22.53,24.69,25.22,24.81,24.81,24.94,23.72,21.91,22.22,23.44,24.16,23.84,24.47,25.56,25.97,24.56,23.22,22.91,22.69,21.47,20.34,21.06,21.91,21.62,19.75,19.31,19.59,19.5,18.53,18.34,19.66,20.25,19.38,18.25,18.59,18.62,17.47,15.94,15.5,16.06,15.69,14.5,14.81,16.22,16.69,15.84,15.59,16.19,16.56,15.44,14.09,14.47,15.09,14.19,12.34,12.16,12.78,12.66,12.28,13.88,16.56,18.44,18.34,18.16,18.31,17.59,15.56,13.53,13.44,13.59,12.44,9.88,8.38,7.69,6.69,4.97,5.66,7.66,9.47,9.75,9.78,10.97,11.53,10.84,10.25,11.38,13.19,14.0,13.88,14.31,16.12,16.91,16.12,16.16,16.88,17.0,15.66,14.84,15.81,17.03,17.0,16.28,16.53,17.12,16.38,14.91,14.78,15.94,16.75,15.97,15.62,16.06,15.47,13.31,11.84,12.06,12.75,12.12,11.06,11.12,11.44,10.81,9.62,9.5,10.5,11.09,10.53,10.94,12.75,14.75,15.06,14.69,15.12,15.56,13.69,11.09,9.88,9.41,8.09,5.97,5.16,5.75,6.16,5.84,6.03,8.12,10.59,11.41,12.06,14.84,17.94,20.06,21.44,23.22,25.38,25.84,24.19,22.19,21.31,19.53,16.34,14.12,14.09,14.81,14.28,13.5,13.97,15.34,15.25,14.69,15.91,17.75,18.94,18.44,17.94,18.28,18.06,15.91,14.25,14.0,14.66,13.97,13.34,14.0,15.28,15.19,13.81,12.97,13.16,12.62,10.62,9.56,9.84,10.28,9.81,9.94,12.16,15.0,16.0,16.47,17.94,19.56,20.91,21.12,23.03,25.56,27.19,26.94,26.66,26.75,26.41,24.12,21.53,20.06,19.19,16.88,14.59,13.19,13.66,13.09,12.22,12.31,14.12,15.44,14.78,14.69,15.56,16.47,15.78,15.0,15.66,16.44,15.41,13.53,12.31,12.19,11.81,11.06,11.72,13.88,15.06,13.94,12.56,12.12,12.12,10.56,9.06,9.78,11.78,12.59,13.53,15.5,18.59,20.38,20.53,20.66,22.22,23.12,22.56,22.03,22.75,23.31,21.62,19.38,18.16,18.06,17.22,16.44,16.53,17.91,18.69,17.75,16.94,17.09,16.78,14.91,13.03,13.03,13.84,13.38,13.19,14.56,16.72,17.66,17.59,17.53,18.28,17.94,16.03,14.56,14.44,14.44,12.97,12.0,12.78,13.94,13.72,13.16,13.66,15.03,15.34,14.88,14.75,15.75,16.03,14.78,13.59,13.5,13.5,11.62,9.97,10.06,11.0,10.91,10.72,11.72,13.53,13.66,12.72,11.62,11.53,10.88,8.97,7.78,8.97,11.12,11.97,12.47,13.62,15.0,14.66,13.56,13.88,16.03,17.12,17.12,16.88,17.56,17.81,16.19,14.84,15.22,16.41,16.09,15.47,15.53,16.31,15.47,13.44,12.03,11.88,11.31,9.72,8.75,10.25,12.09,12.84,13.44,15.78,18.31,18.91,19.22,20.19,22.25,22.5,21.81,21.62,22.41,22.56,21.28,19.91,19.5,19.03,16.97,14.66,13.38,12.91,10.62,7.75,5.72,5.44,4.69,3.44,3.38,5.88,8.88,11.38,14.28,18.62,21.94,22.56,21.53,20.84,20.44,18.56,16.12,14.91,15.34,15.38,14.56,14.75,16.09,16.75,15.75,14.31,13.78,13.0,10.62,7.81,6.41,6.56,6.47,6.66,8.34,11.47,13.47,13.69,13.53,14.56,14.78,14.16,13.78,15.25,17.12,17.53,17.03,17.56,19.06,19.53,19.41,20.25,22.78,23.88,23.03,22.12,21.94,21.03,18.53,16.16,15.66,15.66,14.22,12.44,12.0,12.59,12.28,11.09,10.81,11.72,11.16,9.5,8.56,8.72,9.69,9.78,10.53,13.44,17.34,20.09,21.53,22.97,24.06,23.81,22.69,22.25,23.78,24.78,24.06,22.56,22.06,21.09,19.31,17.44,17.03,17.97,18.5,18.12,19.31,21.72,23.38,24.0,24.47,26.03,26.59,25.38,23.62,23.12,22.69,21.03,18.62,17.34,16.09,14.34,11.97,10.47,10.34,9.34,6.75,4.22,3.72,3.78,3.56,4.44,7.12,9.91,11.0,10.81,11.5,13.28,14.56,14.91,16.44,18.75,20.34,20.09,19.47,19.72,19.78,18.03,16.12,15.88,16.28,15.81,14.88,14.94,15.78,15.97,14.72,14.19,15.28,16.34,16.25,15.94,16.5,16.66,14.75,12.41,11.44,11.38,10.81,8.94,8.25,8.41,8.03,6.84,6.84,8.5,9.97,10.31,10.84,13.38,16.19,17.75,18.59,20.06,21.84,22.41,21.25,20.91,21.06,20.75,18.84,17.78,18.5,19.16,18.44,17.34,17.75,18.38,17.91,17.31,17.75,18.34,18.06,16.12,14.72,13.66,12.16,9.06,6.31,5.47,5.25,4.06,3.16,3.94,4.56,4.06,2.5,2.19,2.72,3.0,2.66,3.34,5.28,6.84,6.84,6.78,8.12,10.06,10.94,11.5,13.34,15.06,15.84,14.88,14.44,14.34,13.25,10.31,7.34,5.69,4.38,1.72,-0.03,0.25,1.31,1.53,1.34,2.81,4.22,4.75,3.72,3.62,4.53,5.0,4.03,3.5,4.25,4.91,3.97,3.25,3.81,4.91,5.62,6.31,8.31,11.12,12.47,12.0,11.53,11.38,10.69,8.56,7.44,8.16,9.44,9.66,9.5,10.28,11.12,10.78,9.47,9.19,9.56,9.5,7.91,6.94,7.62,8.44,8.75,9.94,12.97,16.25,17.91,18.88,20.16,20.91,20.56,18.72,17.88,17.88,18.0,17.06,16.72,17.81,18.69,36.62,37.09,37.0,36.47,36.31,36.5,37.31:29.28,30.28,31.25,30.25,27.62,25.28,23.47,21.09,17.75,15.88,15.44,15.62,15.12,15.31,17.41,20.34,22.28,23.62,25.88,28.12,28.56,27.84,27.75,28.56,29.44,29.75,30.47,32.03,32.66,31.31,29.44,28.44,27.78,25.66,23.38,22.72,22.81,22.5,21.72,22.44,23.56,24.22,23.06,22.19,22.53,22.88,21.94,21.5,22.53,24.34,24.56,24.25,25.03,25.66,25.19,23.31,22.34,22.38,21.91,20.59,19.75,20.44,21.22,20.34,19.38,19.94,20.72,20.03,18.47,18.03,18.25,17.81,16.59,16.62,17.44,18.34,18.03,17.97,19.28,20.81,21.09,20.97,21.88,22.88,22.69,22.34,22.75,24.19,25.09,24.03,22.81,21.97,20.69,18.03,15.75,15.31,15.78,15.81,16.03,17.84,20.81,22.59,22.97,23.38,24.12,23.94,21.91,20.19,19.56,18.5,16.06,13.44,11.75,10.56,8.34,6.12,6.25,7.88,8.94,9.38,10.56,12.56,14.0,13.88,14.56,16.41,17.72,17.5,16.91,17.47,18.41,18.41,17.72,17.47,17.28,15.62,12.59,10.53,10.38,10.72,10.41,11.0,12.94,15.59,16.34,16.47,17.62,18.91,18.12,16.06,14.5,13.53,11.97,8.69,6.19,4.94,3.22,0.31,-1.28,-0.78,1.66,3.56,5.59,8.38,11.41,12.81,13.53,14.91,17.5,19.59,21.03,22.75,25.56,27.75,27.59,26.59,25.94,25.44,23.38,20.69,19.03,17.62,15.38,12.06,9.81,9.25,8.62,7.28,5.88,5.56,4.81,2.56,0.38,0.06,1.12,1.75,2.62,5.22,8.66,11.34,13.84,16.81,21.06,24.16,24.75,25.03,25.59,26.0,25.44,25.25,26.12,27.31,26.59,24.69,23.47,23.28,22.69,21.34,20.47,20.16,19.38,16.97,15.0,15.16,16.03,16.16,16.25,17.75,19.53,20.06,20.62,21.84,24.72,26.59,27.53,28.44,30.28,31.56,30.94,29.94,29.78,29.62,27.66,25.25,23.59,22.78,21.5,20.19,19.81,21.03,21.62,21.38,21.03,21.69,22.0,20.59,19.19,19.88,20.81,21.38,21.84,23.25,25.5,26.31,25.5,25.0,24.97,24.38,22.28,20.44,19.81,18.84,16.91,14.81,14.16,14.28,13.62,12.31,12.12,12.88,13.0,12.44,12.5,13.84,15.44,16.0,16.97,19.5,21.81,22.28,21.97,22.59,23.16,22.72,21.5,21.19,21.19,20.69,19.44,18.56,19.47,20.62,20.19,19.72,20.41,20.84,20.12,19.19,19.31,20.34,20.16,18.5,17.28,16.72,15.06,12.53,10.62,10.84,11.97,12.44,13.0,15.19,16.94,17.16,16.81,17.66,19.62,20.88,21.56,22.41,24.12,24.97,24.94,24.72,25.78,26.72,25.56,23.91,23.03,22.69,21.0,19.28,19.16,20.09,20.88,20.69,20.88,22.09,22.34,21.53,20.59,21.44,22.22,22.31,22.5,24.25,26.25,26.78,25.72,24.81,24.47,23.28,21.69,21.0,21.97,22.88,22.72,22.34,23.5,24.91,24.75,24.16,24.31,25.06,24.59,23.19,22.84,23.31,23.0,21.78,21.19,21.94,22.69,22.91,22.75,24.09,24.94,24.03,22.5,21.59,21.5,20.75,19.44,19.03,19.72,19.41,17.78,16.47,16.66,16.78,16.09,15.34,16.78,18.69,19.66,19.66,20.25,21.12,20.5,18.66,17.34,17.66,17.66,16.94,16.75,18.84,21.25,22.88,24.12,26.56,28.56,28.53,27.03,25.88,25.09,23.38,20.78,18.88,18.44,17.97,16.44,15.25,15.72,16.41,16.47,15.97,17.31,19.28,19.62,18.91,18.12,18.22,17.44,15.38,14.16,14.94,15.72,16.16,16.62,18.44,20.47,20.91,19.94,20.53,21.47,21.44,20.31,19.78,20.03,20.38,19.84,20.19,22.53,24.69,25.22,24.81,24.81,24.94,23.72,21.91,22.22,23.44,24.16,23.84,24.47,25.56,25.97,24.56,23.22,22.91,22.69,21.47,20.34,21.06,21.91,21.62,19.75,19.31,19.59,19.5,18.53,18.34,19.66,20.25,19.38,18.25,18.59,18.62,17.47,15.94,15.5,16.06,15.69,14.5,14.81,16.22,16.69,15.84,15.59,16.19,16.56,15.44,14.09,14.47,15.09,14.19,12.34,12.16,12.78,12.66,12.28,13.88,16.56,18.44,18.34,18.16,18.31,17.59,15.56,13.53,13.44,13.59,12.44,9.88,8.38,7.69,6.69,4.97,5.66,7.66,9.47,9.75,9.78,10.97,11.53,10.84,10.25,11.38,13.19,14.0,13.88,14.31,16.12,16.91,16.12,16.16,16.88,17.0,15.66,14.84,15.81,17.03,17.0,16.28,16.53,17.12,16.38,14.91,14.78,15.94,16.75,15.97,15.62,16.06,15.47,13.31,11.84,12.06,12.75,12.12,11.06,11.12,11.44,10.81,9.62,9.5,10.5,11.09,10.53,10.94,12.75,14.75,15.06,14.69,15.12,15.56,13.69,11.09,9.88,9.41,8.09,5.97,5.16,5.75,6.16,5.84,6.03,8.12,10.59,11.41,12.06,14.84,17.94,20.06,21.44,23.22,25.38,25.84,24.19,22.19,21.31,19.53,16.34,14.12,14.09,14.81,14.28,13.5,13.97,15.34,15.25,14.69,15.91,17.75,18.94,18.44,17.94,18.28,18.06,15.91,14.25,14.0,14.66,13.97,13.34,14.0,15.28,15.19,13.81,12.97,13.16,12.62,10.62,9.56,9.84,10.28,9.81,9.94,12.16,15.0,16.0,16.47,17.94,19.56,20.91,21.12,23.03,25.56,27.19,26.94,26.66,26.75,26.41,24.12,21.53,20.06,19.19,16.88,14.59,13.19,13.66,13.09,12.22,12.31,14.12,15.44,14.78,14.69,15.56,16.47,15.78,15.0,15.66,16.44,15.41,13.53,12.31,12.19,11.81,11.06,11.72,13.88,15.06,13.94,12.56,12.12,12.12,10.56,9.06,9.78,11.78,12.59,13.53,15.5,18.59,20.38,20.53,20.66,22.22,23.12,22.56,22.03,22.75,23.31,21.62,19.38,18.16,18.06,17.22,16.44,16.53,17.91,18.69,17.75,16.94,17.09,16.78,14.91,13.03,13.03,13.84,13.38,13.19,14.56,16.72,17.66,17.59,17.53,18.28,17.94,16.03,14.56,14.44,14.44,12.97,12.0,12.78,13.94,13.72,13.16,13.66,15.03,15.34,14.88,14.75,15.75,16.03,14.78,13.59,13.5,13.5,11.62,9.97,10.06,11.0,10.91,10.72,11.72,13.53,13.66,12.72,11.62,11.53,10.88,8.97,7.78,8.97,11.12,11.97,12.47,13.62,15.0,14.66,13.56,13.88,16.03,17.12,17.12,16.88,17.56,17.81,16.19,14.84,15.22,16.41,16.09,15.47,15.53,16.31,15.47,13.44,12.03,11.88,11.31,9.72,8.75,10.25,12.09,12.84,13.44,15.78,18.31,18.91,19.22,20.19,22.25,22.5,21.81,21.62,22.41,22.56,21.28,19.91,19.5,19.03,16.97,14.66,13.38,12.91,10.62,7.75,5.72,5.44,4.69,3.44,3.38,5.88,8.88,11.38,14.28,18.62,21.94,22.56,21.53,20.84,20.44,18.56,16.12,14.91,15.34,15.38,14.56,14.75,16.09,16.75,15.75,14.31,13.78,13.0,10.62,7.81,6.41,6.56,6.47,6.66,8.34,11.47,13.47,13.69,13.53,14.56,14.78,14.16,13.78,15.25,17.12,17.53,17.03,17.56,19.06,19.53,19.41,20.25,22.78,23.88,23.03,22.12,21.94,21.03,18.53,16.16,15.66,15.66,14.22,12.44,12.0,12.59,12.28,11.09,10.81,11.72,11.16,9.5,8.56,8.72,9.69,9.78,10.53,13.44,17.34,20.09,21.53,22.97,24.06,23.81,22.69,22.25,23.78,24.78,24.06,22.56,22.06,21.09,19.31,17.44,17.03,17.97,18.5,18.12,19.31,21.72,23.38,24.0,24.47,26.03,26.59,25.38,23.62,23.12,22.69,21.03,18.62,17.34,16.09,14.34,11.97,10.47,10.34,9.34,6.75,4.22,3.72,3.78,3.56,4.44,7.12,9.91,11.0,10.81,11.5,13.28,14.56,14.91,16.44,18.75,20.34,20.09,19.47,19.72,19.78,18.03,16.12,15.88,16.28,15.81,14.88,14.94,15.78,15.97,14.72,14.19,15.28,16.34,16.25,15.94,16.5,16.66,14.75,12.41,11.44,11.38,10.81,8.94,8.25,8.41,8.03,6.84,6.84,8.5,9.97,10.31,10.84,13.38,16.19,17.75,18.59,20.06,21.84,22.41,21.25,20.91,21.06,20.75,18.84,17.78,18.5,19.16,18.44,17.34,17.75,18.38,17.91,17.31,17.75,18.34,18.06,16.12,14.72,13.66,12.16,9.06,6.31,5.47,5.25,4.06,3.16,3.94,4.56,4.06,2.5,2.19,2.72,3.0,2.66,3.34,5.28,6.84,6.84,6.78,8.12,10.06,10.94,11.5,13.34,15.06,15.84,14.88,14.44,14.34,13.25,10.31,7.34,5.69,4.38,1.72,-0.03,0.25,1.31,1.53,1.34,2.81,4.22,4.75,3.72,3.62,4.53,5.0,4.03,3.5,4.25,4.91,3.97,3.25,3.81,4.91,5.62,6.31,8.31,11.12,12.47,12.0,11.53,11.38,10.69,8.56,7.44,8.16,9.44,9.66,9.5,10.28,11.12,10.78,9.47,9.19,9.56,9.5,7.91,6.94,7.62,8.44,8.75,9.94,12.97,16.25,17.91,18.88,20.16,20.91,20.56,18.72,17.88,17.88,18.0,17.06,16.72,17.81,18.69,36.62,37.09,37.0,36.47,36.31,36.5,37.31,38.38,40.25,42.34,43.91,44.69,45.28,46.0:21.09,17.75,15.88,15.44,15.62,15.12,15.31,17.41,20.34,22.28,23.62,25.88,28.12,28.56,27.84,27.75,28.56,29.44,29.75,30.47,32.03,32.66,31.31,29.44,28.44,27.78,25.66,23.38,22.72,22.81,22.5,21.72,22.44,23.56,24.22,23.06,22.19,22.53,22.88,21.94,21.5,22.53,24.34,24.56,24.25,25.03,25.66,25.19,23.31,22.34,22.38,21.91,20.59,19.75,20.44,21.22,20.34,19.38,19.94,20.72,20.03,18.47,18.03,18.25,17.81,16.59,16.62,17.44,18.34,18.03,17.97,19.28,20.81,21.09,20.97,21.88,22.88,22.69,22.34,22.75,24.19,25.09,24.03,22.81,21.97,20.69,18.03,15.75,15.31,15.78,15.81,16.03,17.84,20.81,22.59,22.97,23.38,24.12,23.94,21.91,20.19,19.56,18.5,16.06,13.44,11.75,10.56,8.34,6.12,6.25,7.88,8.94,9.38,10.56,12.56,14.0,13.88,14.56,16.41,17.72,17.5,16.91,17.47,18.41,18.41,17.72,17.47,17.28,15.62,12.59,10.53,10.38,10.72,10.41,11.0,12.94,15.59,16.34,16.47,17.62,18.91,18.12,16.06,14.5,13.53,11.97,8.69,6.19,4.94,3.22,0.31,-1.28,-0.78,1.66,3.56,5.59,8.38,11.41,12.81,13.53,14.91,17.5,19.59,21.03,22.75,25.56,27.75,27.59,26.59,25.94,25.44,23.38,20.69,19.03,17.62,15.38,12.06,9.81,9.25,8.62,7.28,5.88,5.56,4.81,2.56,0.38,0.06,1.12,1.75,2.62,5.22,8.66,11.34,13.84,16.81,21.06,24.16,24.75,25.03,25.59,26.0,25.44,25.25,26.12,27.31,26.59,24.69,23.47,23.28,22.69,21.34,20.47,20.16,19.38,16.97,15.0,15.16,16.03,16.16,16.25,17.75,19.53,20.06,20.62,21.84,24.72,26.59,27.53,28.44,30.28,31.56,30.94,29.94,29.78,29.62,27.66,25.25,23.59,22.78,21.5,20.19,19.81,21.03,21.62,21.38,21.03,21.69,22.0,20.59,19.19,19.88,20.81,21.38,21.84,23.25,25.5,26.31,25.5,25.0,24.97,24.38,22.28,20.44,19.81,18.84,16.91,14.81,14.16,14.28,13.62,12.31,12.12,12.88,13.0,12.44,12.5,13.84,15.44,16.0,16.97,19.5,21.81,22.28,21.97,22.59,23.16,22.72,21.5,21.19,21.19,20.69,19.44,18.56,19.47,20.62,20.19,19.72,20.41,20.84,20.12,19.19,19.31,20.34,20.16,18.5,17.28,16.72,15.06,12.53,10.62,10.84,11.97,12.44,13.0,15.19,16.94,17.16,16.81,17.66,19.62,20.88,21.56,22.41,24.12,24.97,24.94,24.72,25.78,26.72,25.56,23.91,23.03,22.69,21.0,19.28,19.16,20.09,20.88,20.69,20.88,22.09,22.34,21.53,20.59,21.44,22.22,22.31,22.5,24.25,26.25,26.78,25.72,24.81,24.47,23.28,21.69,21.0,21.97,22.88,22.72,22.34,23.5,24.91,24.75,24.16,24.31,25.06,24.59,23.19,22.84,23.31,23.0,21.78,21.19,21.94,22.69,22.91,22.75,24.09,24.94,24.03,22.5,21.59,21.5,20.75,19.44,19.03,19.72,19.41,17.78,16.47,16.66,16.78,16.09,15.34,16.78,18.69,19.66,19.66,20.25,21.12,20.5,18.66,17.34,17.66,17.66,16.94,16.75,18.84,21.25,22.88,24.12,26.56,28.56,28.53,27.03,25.88,25.09,23.38,20.78,18.88,18.44,17.97,16.44,15.25,15.72,16.41,16.47,15.97,17.31,19.28,19.62,18.91,18.12,18.22,17.44,15.38,14.16,14.94,15.72,16.16,16.62,18.44,20.47,20.91,19.94,20.53,21.47,21.44,20.31,19.78,20.03,20.38,19.84,20.19,22.53,24.69,25.22,24.81,24.81,24.94,23.72,21.91,22.22,23.44,24.16,23.84,24.47,25.56,25.97,24.56,23.22,22.91,22.69,21.47,20.34,21.06,21.91,21.62,19.75,19.31,19.59,19.5,18.53,18.34,19.66,20.25,19.38,18.25,18.59,18.62,17.47,15.94,15.5,16.06,15.69,14.5,14.81,16.22,16.69,15.84,15.59,16.19,16.56,15.44,14.09,14.47,15.09,14.19,12.34,12.16,12.78,12.66,12.28,13.88,16.56,18.44,18.34,18.16,18.31,17.59,15.56,13.53,13.44,13.59,12.44,9.88,8.38,7.69,6.69,4.97,5.66,7.66,9.47,9.75,9.78,10.97,11.53,10.84,10.25,11.38,13.19,14.0,13.88,14.31,16.12,16.91,16.12,16.16,16.88,17.0,15.66,14.84,15.81,17.03,17.0,16.28,16.53,17.12,16.38,14.91,14.78,15.94,16.75,15.97,15.62,16.06,15.47,13.31,11.84,12.06,12.75,12.12,11.06,11.12,11.44,10.81,9.62,9.5,10.5,11.09,10.53,10.94,12.75,14.75,15.06,14.69,15.12,15.56,13.69,11.09,9.88,9.41,8.09,5.97,5.16,5.75,6.16,5.84,6.03,8.12,10.59,11.41,12.06,14.84,17.94,20.06,21.44,23.22,25.38,25.84,24.19,22.19,21.31,19.53,16.34,14.12,14.09,14.81,14.28,13.5,13.97,15.34,15.25,14.69,15.91,17.75,18.94,18.44,17.94,18.28,18.06,15.91,14.25,14.0,14.66,13.97,13.34,14.0,15.28,15.19,13.81,12.97,13.16,12.62,10.62,9.56,9.84,10.28,9.81,9.94,12.16,15.0,16.0,16.47,17.94,19.56,20.91,21.12,23.03,25.56,27.19,26.94,26.66,26.75,26.41,24.12,21.53,20.06,19.19,16.88,14.59,13.19,13.66,13.09,12.22,12.31,14.12,15.44,14.78,14.69,15.56,16.47,15.78,15.0,15.66,16.44,15.41,13.53,12.31,12.19,11.81,11.06,11.72,13.88,15.06,13.94,12.56,12.12,12.12,10.56,9.06,9.78,11.78,12.59,13.53,15.5,18.59,20.38,20.53,20.66,22.22,23.12,22.56,22.03,22.75,23.31,21.62,19.38,18.16,18.06,17.22,16.44,16.53,17.91,18.69,17.75,16.94,17.09,16.78,14.91,13.03,13.03,13.84,13.38,13.19,14.56,16.72,17.66,17.59,17.53,18.28,17.94,16.03,14.56,14.44,14.44,12.97,12.0,12.78,13.94,13.72,13.16,13.66,15.03,15.34,14.88,14.75,15.75,16.03,14.78,13.59,13.5,13.5,11.62,9.97,10.06,11.0,10.91,10.72,11.72,13.53,13.66,12.72,11.62,11.53,10.88,8.97,7.78,8.97,11.12,11.97,12.47,13.62,15.0,14.66,13.56,13.88,16.03,17.12,17.12,16.88,17.56,17.81,16.19,14.84,15.22,16.41,16.09,15.47,15.53,16.31,15.47,13.44,12.03,11.88,11.31,9.72,8.75,10.25,12.09,12.84,13.44,15.78,18.31,18.91,19.22,20.19,22.25,22.5,21.81,21.62,22.41,22.56,21.28,19.91,19.5,19.03,16.97,14.66,13.38,12.91,10.62,7.75,5.72,5.44,4.69,3.44,3.38,5.88,8.88,11.38,14.28,18.62,21.94,22.56,21.53,20.84,20.44,18.56,16.12,14.91,15.34,15.38,14.56,14.75,16.09,16.75,15.75,14.31,13.78,13.0,10.62,7.81,6.41,6.56,6.47,6.66,8.34,11.47,13.47,13.69,13.53,14.56,14.78,14.16,13.78,15.25,17.12,17.53,17.03,17.56,19.06,19.53,19.41,20.25,22.78,23.88,23.03,22.12,21.94,21.03,18.53,16.16,15.66,15.66,14.22,12.44,12.0,12.59,12.28,11.09,10.81,11.72,11.16,9.5,8.56,8.72,9.69,9.78,10.53,13.44,17.34,20.09,21.53,22.97,24.06,23.81,22.69,22.25,23.78,24.78,24.06,22.56,22.06,21.09,19.31,17.44,17.03,17.97,18.5,18.12,19.31,21.72,23.38,24.0,24.47,26.03,26.59,25.38,23.62,23.12,22.69,21.03,18.62,17.34,16.09,14.34,11.97,10.47,10.34,9.34,6.75,4.22,3.72,3.78,3.56,4.44,7.12,9.91,11.0,10.81,11.5,13.28,14.56,14.91,16.44,18.75,20.34,20.09,19.47,19.72,19.78,18.03,16.12,15.88,16.28,15.81,14.88,14.94,15.78,15.97,14.72,14.19,15.28,16.34,16.25,15.94,16.5,16.66,14.75,12.41,11.44,11.38,10.81,8.94,8.25,8.41,8.03,6.84,6.84,8.5,9.97,10.31,10.84,13.38,16.19,17.75,18.59,20.06,21.84,22.41,21.25,20.91,21.06,20.75,18.84,17.78,18.5,19.16,18.44,17.34,17.75,18.38,17.91,17.31,17.75,18.34,18.06,16.12,14.72,13.66,12.16,9.06,6.31,5.47,5.25,4.06,3.16,3.94,4.56,4.06,2.5,2.19,2.72,3.0,2.66,3.34,5.28,6.84,6.84,6.78,8.12,10.06,10.94,11.5,13.34,15.06,15.84,14.88,14.44,14.34,13.25,10.31,7.34,5.69,4.38,1.72,-0.03,0.25,1.31,1.53,1.34,2.81,4.22,4.75,3.72,3.62,4.53,5.0,4.03,3.5,4.25,4.91,3.97,3.25,3.81,4.91,5.62,6.31,8.31,11.12,12.47,12.0,11.53,11.38,10.69,8.56,7.44,8.16,9.44,9.66,9.5,10.28,11.12,10.78,9.47,9.19,9.56,9.5,7.91,6.94,7.62,8.44,8.75,9.94,12.97,16.25,17.91,18.88,20.16,20.91,20.56,18.72,17.88,17.88,18.0,17.06,16.72,17.81,18.69,36.62,37.09,37.0,36.47,36.31,36.5,37.31,38.38,40.25,42.34,43.91,44.69,45.28,46.0,46.62,46.78,46.91,46.56,45.34,43.59,41.09:17.41,20.34,22.28,23.62,25.88,28.12,28.56,27.84,27.75,28.56,29.44,29.75,30.47,32.03,32.66,31.31,29.44,28.44,27.78,25.66,23.38,22.72,22.81,22.5,21.72,22.44,23.56,24.22,23.06,22.19,22.53,22.88,21.94,21.5,22.53,24.34,24.56,24.25,25.03,25.66,25.19,23.31,22.34,22.38,21.91,20.59,19.75,20.44,21.22,20.34,19.38,19.94,20.72,20.03,18.47,18.03,18.25,17.81,16.59,16.62,17.44,18.34,18.03,17.97,19.28,20.81,21.09,20.97,21.88,22.88,22.69,22.34,22.75,24.19,25.09,24.03,22.81,21.97,20.69,18.03,15.75,15.31,15.78,15.81,16.03,17.84,20.81,22.59,22.97,23.38,24.12,23.94,21.91,20.19,19.56,18.5,16.06,13.44,11.75,10.56,8.34,6.12,6.25,7.88,8.94,9.38,10.56,12.56,14.0,13.88,14.56,16.41,17.72,17.5,16.91,17.47,18.41,18.41,17.72,17.47,17.28,15.62,12.59,10.53,10.38,10.72,10.41,11.0,12.94,15.59,16.34,16.47,17.62,18.91,18.12,16.06,14.5,13.53,11.97,8.69,6.19,4.94,3.22,0.31,-1.28,-0.78,1.66,3.56,5.59,8.38,11.41,12.81,13.53,14.91,17.5,19.59,21.03,22.75,25.56,27.75,27.59,26.59,25.94,25.44,23.38,20.69,19.03,17.62,15.38,12.06,9.81,9.25,8.62,7.28,5.88,5.56,4.81,2.56,0.38,0.06,1.12,1.75,2.62,5.22,8.66,11.34,13.84,16.81,21.06,24.16,24.75,25.03,25.59,26.0,25.44,25.25,26.12,27.31,26.59,24.69,23.47,23.28,22.69,21.34,20.47,20.16,19.38,16.97,15.0,15.16,16.03,16.16,16.25,17.75,19.53,20.06,20.62,21.84,24.72,26.59,27.53,28.44,30.28,31.56,30.94,29.94,29.78,29.62,27.66,25.25,23.59,22.78,21.5,20.19,19.81,21.03,21.62,21.38,21.03,21.69,22.0,20.59,19.19,19.88,20.81,21.38,21.84,23.25,25.5,26.31,25.5,25.0,24.97,24.38,22.28,20.44,19.81,18.84,16.91,14.81,14.16,14.28,13.62,12.31,12.12,12.88,13.0,12.44,12.5,13.84,15.44,16.0,16.97,19.5,21.81,22.28,21.97,22.59,23.16,22.72,21.5,21.19,21.19,20.69,19.44,18.56,19.47,20.62,20.19,19.72,20.41,20.84,20.12,19.19,19.31,20.34,20.16,18.5,17.28,16.72,15.06,12.53,10.62,10.84,11.97,12.44,13.0,15.19,16.94,17.16,16.81,17.66,19.62,20.88,21.56,22.41,24.12,24.97,24.94,24.72,25.78,26.72,25.56,23.91,23.03,22.69,21.0,19.28,19.16,20.09,20.88,20.69,20.88,22.09,22.34,21.53,20.59,21.44,22.22,22.31,22.5,24.25,26.25,26.78,25.72,24.81,24.47,23.28,21.69,21.0,21.97,22.88,22.72,22.34,23.5,24.91,24.75,24.16,24.31,25.06,24.59,23.19,22.84,23.31,23.0,21.78,21.19,21.94,22.69,22.91,22.75,24.09,24.94,24.03,22.5,21.59,21.5,20.75,19.44,19.03,19.72,19.41,17.78,16.47,16.66,16.78,16.09,15.34,16.78,18.69,19.66,19.66,20.25,21.12,20.5,18.66,17.34,17.66,17.66,16.94,16.75,18.84,21.25,22.88,24.12,26.56,28.56,28.53,27.03,25.88,25.09,23.38,20.78,18.88,18.44,17.97,16.44,15.25,15.72,16.41,16.47,15.97,17.31,19.28,19.62,18.91,18.12,18.22,17.44,15.38,14.16,14.94,15.72,16.16,16.62,18.44,20.47,20.91,19.94,20.53,21.47,21.44,20.31,19.78,20.03,20.38,19.84,20.19,22.53,24.69,25.22,24.81,24.81,24.94,23.72,21.91,22.22,23.44,24.16,23.84,24.47,25.56,25.97,24.56,23.22,22.91,22.69,21.47,20.34,21.06,21.91,21.62,19.75,19.31,19.59,19.5,18.53,18.34,19.66,20.25,19.38,18.25,18.59,18.62,17.47,15.94,15.5,16.06,15.69,14.5,14.81,16.22,16.69,15.84,15.59,16.19,16.56,15.44,14.09,14.47,15.09,14.19,12.34,12.16,12.78,12.66,12.28,13.88,16.56,18.44,18.34,18.16,18.31,17.59,15.56,13.53,13.44,13.59,12.44,9.88,8.38,7.69,6.69,4.97,5.66,7.66,9.47,9.75,9.78,10.97,11.53,10.84,10.25,11.38,13.19,14.0,13.88,14.31,16.12,16.91,16.12,16.16,16.88,17.0,15.66,14.84,15.81,17.03,17.0,16.28,16.53,17.12,16.38,14.91,14.78,15.94,16.75,15.97,15.62,16.06,15.47,13.31,11.84,12.06,12.75,12.12,11.06,11.12,11.44,10.81,9.62,9.5,10.5,11.09,10.53,10.94,12.75,14.75,15.06,14.69,15.12,15.56,13.69,11.09,9.88,9.41,8.09,5.97,5.16,5.75,6.16,5.84,6.03,8.12,10.59,11.41,12.06,14.84,17.94,20.06,21.44,23.22,25.38,25.84,24.19,22.19,21.31,19.53,16.34,14.12,14.09,14.81,14.28,13.5,13.97,15.34,15.25,14.69,15.91,17.75,18.94,18.44,17.94,18.28,18.06,15.91,14.25,14.0,14.66,13.97,13.34,14.0,15.28,15.19,13.81,12.97,13.16,12.62,10.62,9.56,9.84,10.28,9.81,9.94,12.16,15.0,16.0,16.47,17.94,19.56,20.91,21.12,23.03,25.56,27.19,26.94,26.66,26.75,26.41,24.12,21.53,20.06,19.19,16.88,14.59,13.19,13.66,13.09,12.22,12.31,14.12,15.44,14.78,14.69,15.56,16.47,15.78,15.0,15.66,16.44,15.41,13.53,12.31,12.19,11.81,11.06,11.72,13.88,15.06,13.94,12.56,12.12,12.12,10.56,9.06,9.78,11.78,12.59,13.53,15.5,18.59,20.38,20.53,20.66,22.22,23.12,22.56,22.03,22.75,23.31,21.62,19.38,18.16,18.06,17.22,16.44,16.53,17.91,18.69,17.75,16.94,17.09,16.78,14.91,13.03,13.03,13.84,13.38,13.19,14.56,16.72,17.66,17.59,17.53,18.28,17.94,16.03,14.56,14.44,14.44,12.97,12.0,12.78,13.94,13.72,13.16,13.66,15.03,15.34,14.88,14.75,15.75,16.03,14.78,13.59,13.5,13.5,11.62,9.97,10.06,11.0,10.91,10.72,11.72,13.53,13.66,12.72,11.62,11.53,10.88,8.97,7.78,8.97,11.12,11.97,12.47,13.62,15.0,14.66,13.56,13.88,16.03,17.12,17.12,16.88,17.56,17.81,16.19,14.84,15.22,16.41,16.09,15.47,15.53,16.31,15.47,13.44,12.03,11.88,11.31,9.72,8.75,10.25,12.09,12.84,13.44,15.78,18.31,18.91,19.22,20.19,22.25,22.5,21.81,21.62,22.41,22.56,21.28,19.91,19.5,19.03,16.97,14.66,13.38,12.91,10.62,7.75,5.72,5.44,4.69,3.44,3.38,5.88,8.88,11.38,14.28,18.62,21.94,22.56,21.53,20.84,20.44,18.56,16.12,14.91,15.34,15.38,14.56,14.75,16.09,16.75,15.75,14.31,13.78,13.0,10.62,7.81,6.41,6.56,6.47,6.66,8.34,11.47,13.47,13.69,13.53,14.56,14.78,14.16,13.78,15.25,17.12,17.53,17.03,17.56,19.06,19.53,19.41,20.25,22.78,23.88,23.03,22.12,21.94,21.03,18.53,16.16,15.66,15.66,14.22,12.44,12.0,12.59,12.28,11.09,10.81,11.72,11.16,9.5,8.56,8.72,9.69,9.78,10.53,13.44,17.34,20.09,21.53,22.97,24.06,23.81,22.69,22.25,23.78,24.78,24.06,22.56,22.06,21.09,19.31,17.44,17.03,17.97,18.5,18.12,19.31,21.72,23.38,24.0,24.47,26.03,26.59,25.38,23.62,23.12,22.69,21.03,18.62,17.34,16.09,14.34,11.97,10.47,10.34,9.34,6.75,4.22,3.72,3.78,3.56,4.44,7.12,9.91,11.0,10.81,11.5,13.28,14.56,14.91,16.44,18.75,20.34,20.09,19.47,19.72,19.78,18.03,16.12,15.88,16.28,15.81,14.88,14.94,15.78,15.97,14.72,14.19,15.28,16.34,16.25,15.94,16.5,16.66,14.75,12.41,11.44,11.38,10.81,8.94,8.25,8.41,8.03,6.84,6.84,8.5,9.97,10.31,10.84,13.38,16.19,17.75,18.59,20.06,21.84,22.41,21.25,20.91,21.06,20.75,18.84,17.78,18.5,19.16,18.44,17.34,17.75,18.38,17.91,17.31,17.75,18.34,18.06,16.12,14.72,13.66,12.16,9.06,6.31,5.47,5.25,4.06,3.16,3.94,4.56,4.06,2.5,2.19,2.72,3.0,2.66,3.34,5.28,6.84,6.84,6.78,8.12,10.06,10.94,11.5,13.34,15.06,15.84,14.88,14.44,14.34,13.25,10.31,7.34,5.69,4.38,1.72,-0.03,0.25,1.31,1.53,1.34,2.81,4.22,4.75,3.72,3.62,4.53,5.0,4.03,3.5,4.25,4.91,3.97,3.25,3.81,4.91,5.62,6.31,8.31,11.12,12.47,12.0,11.53,11.38,10.69,8.56,7.44,8.16,9.44,9.66,9.5,10.28,11.12,10.78,9.47,9.19,9.56,9.5,7.91,6.94,7.62,8.44,8.75,9.94,12.97,16.25,17.91,18.88,20.16,20.91,20.56,18.72,17.88,17.88,18.0,17.06,16.72,17.81,18.69,36.62,37.09,37.0,36.47,36.31,36.5,37.31,38.38,40.25,42.34,43.91,44.69,45.28,46.0,46.62,46.78,46.91,46.56,45.34,43.59,41.09,38.84,37.41,36.62,35.69,35.81,37.12,38.59:27.84,27.75,28.56,29.44,29.75,30.47,32.03,32.66,31.31,29.44,28.44,27.78,25.66,23.38,22.72,22.81,22.5,21.72,22.44,23.56,24.22,23.06,22.19,22.53,22.88,21.94,21.5,22.53,24.34,24.56,24.25,25.03,25.66,25.19,23.31,22.34,22.38,21.91,20.59,19.75,20.44,21.22,20.34,19.38,19.94,20.72,20.03,18.47,18.03,18.25,17.81,16.59,16.62,17.44,18.34,18.03,17.97,19.28,20.81,21.09,20.97,21.88,22.88,22.69,22.34,22.75,24.19,25.09,24.03,22.81,21.97,20.69,18.03,15.75,15.31,15.78,15.81,16.03,17.84,20.81,22.59,22.97,23.38,24.12,23.94,21.91,20.19,19.56,18.5,16.06,13.44,11.75,10.56,8.34,6.12,6.25,7.88,8.94,9.38,10.56,12.56,14.0,13.88,14.56,16.41,17.72,17.5,16.91,17.47,18.41,18.41,17.72,17.47,17.28,15.62,12.59,10.53,10.38,10.72,10.41,11.0,12.94,15.59,16.34,16.47,17.62,18.91,18.12,16.06,14.5,13.53,11.97,8.69,6.19,4.94,3.22,0.31,-1.28,-0.78,1.66,3.56,5.59,8.38,11.41,12.81,13.53,14.91,17.5,19.59,21.03,22.75,25.56,27.75,27.59,26.59,25.94,25.44,23.38,20.69,19.03,17.62,15.38,12.06,9.81,9.25,8.62,7.28,5.88,5.56,4.81,2.56,0.38,0.06,1.12,1.75,2.62,5.22,8.66,11.34,13.84,16.81,21.06,24.16,24.75,25.03,25.59,26.0,25.44,25.25,26.12,27.31,26.59,24.69,23.47,23.28,22.69,21.34,20.47,20.16,19.38,16.97,15.0,15.16,16.03,16.16,16.25,17.75,19.53,20.06,20.62,21.84,24.72,26.59,27.53,28.44,30.28,31.56,30.94,29.94,29.78,29.62,27.66,25.25,23.59,22.78,21.5,20.19,19.81,21.03,21.62,21.38,21.03,21.69,22.0,20.59,19.19,19.88,20.81,21.38,21.84,23.25,25.5,26.31,25.5,25.0,24.97,24.38,22.28,20.44,19.81,18.84,16.91,14.81,14.16,14.28,13.62,12.31,12.12,12.88,13.0,12.44,12.5,13.84,15.44,16.0,16.97,19.5,21.81,22.28,21.97,22.59,23.16,22.72,21.5,21.19,21.19,20.69,19.44,18.56,19.47,20.62,20.19,19.72,20.41,20.84,20.12,19.19,19.31,20.34,20.16,18.5,17.28,16.72,15.06,12.53,10.62,10.84,11.97,12.44,13.0,15.19,16.94,17.16,16.81,17.66,19.62,20.88,21.56,22.41,24.12,24.97,24.94,24.72,25.78,26.72,25.56,23.91,23.03,22.69,21.0,19.28,19.16,20.09,20.88,20.69,20.88,22.09,22.34,21.53,20.59,21.44,22.22,22.31,22.5,24.25,26.25,26.78,25.72,24.81,24.47,23.28,21.69,21.0,21.97,22.88,22.72,22.34,23.5,24.91,24.75,24.16,24.31,25.06,24.59,23.19,22.84,23.31,23.0,21.78,21.19,21.94,22.69,22.91,22.75,24.09,24.94,24.03,22.5,21.59,21.5,20.75,19.44,19.03,19.72,19.41,17.78,16.47,16.66,16.78,16.09,15.34,16.78,18.69,19.66,19.66,20.25,21.12,20.5,18.66,17.34,17.66,17.66,16.94,16.75,18.84,21.25,22.88,24.12,26.56,28.56,28.53,27.03,25.88,25.09,23.38,20.78,18.88,18.44,17.97,16.44,15.25,15.72,16.41,16.47,15.97,17.31,19.28,19.62,18.91,18.12,18.22,17.44,15.38,14.16,14.94,15.72,16.16,16.62,18.44,20.47,20.91,19.94,20.53,21.47,21.44,20.31,19.78,20.03,20.38,19.84,20.19,22.53,24.69,25.22,24.81,24.81,24.94,23.72,21.91,22.22,23.44,24.16,23.84,24.47,25.56,25.97,24.56,23.22,22.91,22.69,21.47,20.34,21.06,21.91,21.62,19.75,19.31,19.59,19.5,18.53,18.34,19.66,20.25,19.38,18.25,18.59,18.62,17.47,15.94,15.5,16.06,15.69,14.5,14.81,16.22,16.69,15.84,15.59,16.19,16.56,15.44,14.09,14.47,15.09,14.19,12.34,12.16,12.78,12.66,12.28,13.88,16.56,18.44,18.34,18.16,18.31,17.59,15.56,13.53,13.44,13.59,12.44,9.88,8.38,7.69,6.69,4.97,5.66,7.66,9.47,9.75,9.78,10.97,11.53,10.84,10.25,11.38,13.19,14.0,13.88,14.31,16.12,16.91,16.12,16.16,16.88,17.0,15.66,14.84,15.81,17.03,17.0,16.28,16.53,17.12,16.38,14.91,14.78,15.94,16.75,15.97,15.62,16.06,15.47,13.31,11.84,12.06,12.75,12.12,11.06,11.12,11.44,10.81,9.62,9.5,10.5,11.09,10.53,10.94,12.75,14.75,15.06,14.69,15.12,15.56,13.69,11.09,9.88,9.41,8.09,5.97,5.16,5.75,6.16,5.84,6.03,8.12,10.59,11.41,12.06,14.84,17.94,20.06,21.44,23.22,25.38,25.84,24.19,22.19,21.31,19.53,16.34,14.12,14.09,14.81,14.28,13.5,13.97,15.34,15.25,14.69,15.91,17.75,18.94,18.44,17.94,18.28,18.06,15.91,14.25,14.0,14.66,13.97,13.34,14.0,15.28,15.19,13.81,12.97,13.16,12.62,10.62,9.56,9.84,10.28,9.81,9.94,12.16,15.0,16.0,16.47,17.94,19.56,20.91,21.12,23.03,25.56,27.19,26.94,26.66,26.75,26.41,24.12,21.53,20.06,19.19,16.88,14.59,13.19,13.66,13.09,12.22,12.31,14.12,15.44,14.78,14.69,15.56,16.47,15.78,15.0,15.66,16.44,15.41,13.53,12.31,12.19,11.81,11.06,11.72,13.88,15.06,13.94,12.56,12.12,12.12,10.56,9.06,9.78,11.78,12.59,13.53,15.5,18.59,20.38,20.53,20.66,22.22,23.12,22.56,22.03,22.75,23.31,21.62,19.38,18.16,18.06,17.22,16.44,16.53,17.91,18.69,17.75,16.94,17.09,16.78,14.91,13.03,13.03,13.84,13.38,13.19,14.56,16.72,17.66,17.59,17.53,18.28,17.94,16.03,14.56,14.44,14.44,12.97,12.0,12.78,13.94,13.72,13.16,13.66,15.03,15.34,14.88,14.75,15.75,16.03,14.78,13.59,13.5,13.5,11.62,9.97,10.06,11.0,10.91,10.72,11.72,13.53,13.66,12.72,11.62,11.53,10.88,8.97,7.78,8.97,11.12,11.97,12.47,13.62,15.0,14.66,13.56,13.88,16.03,17.12,17.12,16.88,17.56,17.81,16.19,14.84,15.22,16.41,16.09,15.47,15.53,16.31,15.47,13.44,12.03,11.88,11.31,9.72,8.75,10.25,12.09,12.84,13.44,15.78,18.31,18.91,19.22,20.19,22.25,22.5,21.81,21.62,22.41,22.56,21.28,19.91,19.5,19.03,16.97,14.66,13.38,12.91,10.62,7.75,5.72,5.44,4.69,3.44,3.38,5.88,8.88,11.38,14.28,18.62,21.94,22.56,21.53,20.84,20.44,18.56,16.12,14.91,15.34,15.38,14.56,14.75,16.09,16.75,15.75,14.31,13.78,13.0,10.62,7.81,6.41,6.56,6.47,6.66,8.34,11.47,13.47,13.69,13.53,14.56,14.78,14.16,13.78,15.25,17.12,17.53,17.03,17.56,19.06,19.53,19.41,20.25,22.78,23.88,23.03,22.12,21.94,21.03,18.53,16.16,15.66,15.66,14.22,12.44,12.0,12.59,12.28,11.09,10.81,11.72,11.16,9.5,8.56,8.72,9.69,9.78,10.53,13.44,17.34,20.09,21.53,22.97,24.06,23.81,22.69,22.25,23.78,24.78,24.06,22.56,22.06,21.09,19.31,17.44,17.03,17.97,18.5,18.12,19.31,21.72,23.38,24.0,24.47,26.03,26.59,25.38,23.62,23.12,22.69,21.03,18.62,17.34,16.09,14.34,11.97,10.47,10.34,9.34,6.75,4.22,3.72,3.78,3.56,4.44,7.12,9.91,11.0,10.81,11.5,13.28,14.56,14.91,16.44,18.75,20.34,20.09,19.47,19.72,19.78,18.03,16.12,15.88,16.28,15.81,14.88,14.94,15.78,15.97,14.72,14.19,15.28,16.34,16.25,15.94,16.5,16.66,14.75,12.41,11.44,11.38,10.81,8.94,8.25,8.41,8.03,6.84,6.84,8.5,9.97,10.31,10.84,13.38,16.19,17.75,18.59,20.06,21.84,22.41,21.25,20.91,21.06,20.75,18.84,17.78,18.5,19.16,18.44,17.34,17.75,18.38,17.91,17.31,17.75,18.34,18.06,16.12,14.72,13.66,12.16,9.06,6.31,5.47,5.25,4.06,3.16,3.94,4.56,4.06,2.5,2.19,2.72,3.0,2.66,3.34,5.28,6.84,6.84,6.78,8.12,10.06,10.94,11.5,13.34,15.06,15.84,14.88,14.44,14.34,13.25,10.31,7.34,5.69,4.38,1.72,-0.03,0.25,1.31,1.53,1.34,2.81,4.22,4.75,3.72,3.62,4.53,5.0,4.03,3.5,4.25,4.91,3.97,3.25,3.81,4.91,5.62,6.31,8.31,11.12,12.47,12.0,11.53,11.38,10.69,8.56,7.44,8.16,9.44,9.66,9.5,10.28,11.12,10.78,9.47,9.19,9.56,9.5,7.91,6.94,7.62,8.44,8.75,9.94,12.97,16.25,17.91,18.88,20.16,20.91,20.56,18.72,17.88,17.88,18.0,17.06,16.72,17.81,18.69,36.62,37.09,37.0,36.47,36.31,36.5,37.31,38.38,40.25,42.34,43.91,44.69,45.28,46.0,46.62,46.78,46.91,46.56,45.34,43.59,41.09,38.84,37.41,36.62,35.69,35.81,37.12,38.59,39.75,41.47,43.75,45.94,47.25,48.22,49.12:32.66,31.31,29.44,28.44,27.78,25.66,23.38,22.72,22.81,22.5,21.72,22.44,23.56,24.22,23.06,22.19,22.53,22.88,21.94,21.5,22.53,24.34,24.56,24.25,25.03,25.66,25.19,23.31,22.34,22.38,21.91,20.59,19.75,20.44,21.22,20.34,19.38,19.94,20.72,20.03,18.47,18.03,18.25,17.81,16.59,16.62,17.44,18.34,18.03,17.97,19.28,20.81,21.09,20.97,21.88,22.88,22.69,22.34,22.75,24.19,25.09,24.03,22.81,21.97,20.69,18.03,15.75,15.31,15.78,15.81,16.03,17.84,20.81,22.59,22.97,23.38,24.12,23.94,21.91,20.19,19.56,18.5,16.06,13.44,11.75,10.56,8.34,6.12,6.25,7.88,8.94,9.38,10.56,12.56,14.0,13.88,14.56,16.41,17.72,17.5,16.91,17.47,18.41,18.41,17.72,17.47,17.28,15.62,12.59,10.53,10.38,10.72,10.41,11.0,12.94,15.59,16.34,16.47,17.62,18.91,18.12,16.06,14.5,13.53,11.97,8.69,6.19,4.94,3.22,0.31,-1.28,-0.78,1.66,3.56,5.59,8.38,11.41,12.81,13.53,14.91,17.5,19.59,21.03,22.75,25.56,27.75,27.59,26.59,25.94,25.44,23.38,20.69,19.03,17.62,15.38,12.06,9.81,9.25,8.62,7.28,5.88,5.56,4.81,2.56,0.38,0.06,1.12,1.75,2.62,5.22,8.66,11.34,13.84,16.81,21.06,24.16,24.75,25.03,25.59,26.0,25.44,25.25,26.12,27.31,26.59,24.69,23.47,23.28,22.69,21.34,20.47,20.16,19.38,16.97,15.0,15.16,16.03,16.16,16.25,17.75,19.53,20.06,20.62,21.84,24.72,26.59,27.53,28.44,30.28,31.56,30.94,29.94,29.78,29.62,27.66,25.25,23.59,22.78,21.5,20.19,19.81,21.03,21.62,21.38,21.03,21.69,22.0,20.59,19.19,19.88,20.81,21.38,21.84,23.25,25.5,26.31,25.5,25.0,24.97,24.38,22.28,20.44,19.81,18.84,16.91,14.81,14.16,14.28,13.62,12.31,12.12,12.88,13.0,12.44,12.5,13.84,15.44,16.0,16.97,19.5,21.81,22.28,21.97,22.59,23.16,22.72,21.5,21.19,21.19,20.69,19.44,18.56,19.47,20.62,20.19,19.72,20.41,20.84,20.12,19.19,19.31,20.34,20.16,18.5,17.28,16.72,15.06,12.53,10.62,10.84,11.97,12.44,13.0,15.19,16.94,17.16,16.81,17.66,19.62,20.88,21.56,22.41,24.12,24.97,24.94,24.72,25.78,26.72,25.56,23.91,23.03,22.69,21.0,19.28,19.16,20.09,20.88,20.69,20.88,22.09,22.34,21.53,20.59,21.44,22.22,22.31,22.5,24.25,26.25,26.78,25.72,24.81,24.47,23.28,21.69,21.0,21.97,22.88,22.72,22.34,23.5,24.91,24.75,24.16,24.31,25.06,24.59,23.19,22.84,23.31,23.0,21.78,21.19,21.94,22.69,22.91,22.75,24.09,24.94,24.03,22.5,21.59,21.5,20.75,19.44,19.03,19.72,19.41,17.78,16.47,16.66,16.78,16.09,15.34,16.78,18.69,19.66,19.66,20.25,21.12,20.5,18.66,17.34,17.66,17.66,16.94,16.75,18.84,21.25,22.88,24.12,26.56,28.56,28.53,27.03,25.88,25.09,23.38,20.78,18.88,18.44,17.97,16.44,15.25,15.72,16.41,16.47,15.97,17.31,19.28,19.62,18.91,18.12,18.22,17.44,15.38,14.16,14.94,15.72,16.16,16.62,18.44,20.47,20.91,19.94,20.53,21.47,21.44,20.31,19.78,20.03,20.38,19.84,20.19,22.53,24.69,25.22,24.81,24.81,24.94,23.72,21.91,22.22,23.44,24.16,23.84,24.47,25.56,25.97,24.56,23.22,22.91,22.69,21.47,20.34,21.06,21.91,21.62,19.75,19.31,19.59,19.5,18.53,18.34,19.66,20.25,19.38,18.25,18.59,18.62,17.47,15.94,15.5,16.06,15.69,14.5,14.81,16.22,16.69,15.84,15.59,16.19,16.56,15.44,14.09,14.47,15.09,14.19,12.34,12.16,12.78,12.66,12.28,13.88,16.56,18.44,18.34,18.16,18.31,17.59,15.56,13.53,13.44,13.59,12.44,9.88,8.38,7.69,6.69,4.97,5.66,7.66,9.47,9.75,9.78,10.97,11.53,10.84,10.25,11.38,13.19,14.0,13.88,14.31,16.12,16.91,16.12,16.16,16.88,17.0,15.66,14.84,15.81,17.03,17.0,16.28,16.53,17.12,16.38,14.91,14.78,15.94,16.75,15.97,15.62,16.06,15.47,13.31,11.84,12.06,12.75,12.12,11.06,11.12,11.44,10.81,9.62,9.5,10.5,11.09,10.53,10.94,12.75,14.75,15.06,14.69,15.12,15.56,13.69,11.09,9.88,9.41,8.09,5.97,5.16,5.75,6.16,5.84,6.03,8.12,10.59,11.41,12.06,14.84,17.94,20.06,21.44,23.22,25.38,25.84,24.19,22.19,21.31,19.53,16.34,14.12,14.09,14.81,14.28,13.5,13.97,15.34,15.25,14.69,15.91,17.75,18.94,18.44,17.94,18.28,18.06,15.91,14.25,14.0,14.66,13.97,13.34,14.0,15.28,15.19,13.81,12.97,13.16,12.62,10.62,9.56,9.84,10.28,9.81,9.94,12.16,15.0,16.0,16.47,17.94,19.56,20.91,21.12,23.03,25.56,27.19,26.94,26.66,26.75,26.41,24.12,21.53,20.06,19.19,16.88,14.59,13.19,13.66,13.09,12.22,12.31,14.12,15.44,14.78,14.69,15.56,16.47,15.78,15.0,15.66,16.44,15.41,13.53,12.31,12.19,11.81,11.06,11.72,13.88,15.06,13.94,12.56,12.12,12.12,10.56,9.06,9.78,11.78,12.59,13.53,15.5,18.59,20.38,20.53,20.66,22.22,23.12,22.56,22.03,22.75,23.31,21.62,19.38,18.16,18.06,17.22,16.44,16.53,17.91,18.69,17.75,16.94,17.09,16.78,14.91,13.03,13.03,13.84,13.38,13.19,14.56,16.72,17.66,17.59,17.53,18.28,17.94,16.03,14.56,14.44,14.44,12.97,12.0,12.78,13.94,13.72,13.16,13.66,15.03,15.34,14.88,14.75,15.75,16.03,14.78,13.59,13.5,13.5,11.62,9.97,10.06,11.0,10.91,10.72,11.72,13.53,13.66,12.72,11.62,11.53,10.88,8.97,7.78,8.97,11.12,11.97,12.47,13.62,15.0,14.66,13.56,13.88,16.03,17.12,17.12,16.88,17.56,17.81,16.19,14.84,15.22,16.41,16.09,15.47,15.53,16.31,15.47,13.44,12.03,11.88,11.31,9.72,8.75,10.25,12.09,12.84,13.44,15.78,18.31,18.91,19.22,20.19,22.25,22.5,21.81,21.62,22.41,22.56,21.28,19.91,19.5,19.03,16.97,14.66,13.38,12.91,10.62,7.75,5.72,5.44,4.69,3.44,3.38,5.88,8.88,11.38,14.28,18.62,21.94,22.56,21.53,20.84,20.44,18.56,16.12,14.91,15.34,15.38,14.56,14.75,16.09,16.75,15.75,14.31,13.78,13.0,10.62,7.81,6.41,6.56,6.47,6.66,8.34,11.47,13.47,13.69,13.53,14.56,14.78,14.16,13.78,15.25,17.12,17.53,17.03,17.56,19.06,19.53,19.41,20.25,22.78,23.88,23.03,22.12,21.94,21.03,18.53,16.16,15.66,15.66,14.22,12.44,12.0,12.59,12.28,11.09,10.81,11.72,11.16,9.5,8.56,8.72,9.69,9.78,10.53,13.44,17.34,20.09,21.53,22.97,24.06,23.81,22.69,22.25,23.78,24.78,24.06,22.56,22.06,21.09,19.31,17.44,17.03,17.97,18.5,18.12,19.31,21.72,23.38,24.0,24.47,26.03,26.59,25.38,23.62,23.12,22.69,21.03,18.62,17.34,16.09,14.34,11.97,10.47,10.34,9.34,6.75,4.22,3.72,3.78,3.56,4.44,7.12,9.91,11.0,10.81,11.5,13.28,14.56,14.91,16.44,18.75,20.34,20.09,19.47,19.72,19.78,18.03,16.12,15.88,16.28,15.81,14.88,14.94,15.78,15.97,14.72,14.19,15.28,16.34,16.25,15.94,16.5,16.66,14.75,12.41,11.44,11.38,10.81,8.94,8.25,8.41,8.03,6.84,6.84,8.5,9.97,10.31,10.84,13.38,16.19,17.75,18.59,20.06,21.84,22.41,21.25,20.91,21.06,20.75,18.84,17.78,18.5,19.16,18.44,17.34,17.75,18.38,17.91,17.31,17.75,18.34,18.06,16.12,14.72,13.66,12.16,9.06,6.31,5.47,5.25,4.06,3.16,3.94,4.56,4.06,2.5,2.19,2.72,3.0,2.66,3.34,5.28,6.84,6.84,6.78,8.12,10.06,10.94,11.5,13.34,15.06,15.84,14.88,14.44,14.34,13.25,10.31,7.34,5.69,4.38,1.72,-0.03,0.25,1.31,1.53,1.34,2.81,4.22,4.75,3.72,3.62,4.53,5.0,4.03,3.5,4.25,4.91,3.97,3.25,3.81,4.91,5.62,6.31,8.31,11.12,12.47,12.0,11.53,11.38,10.69,8.56,7.44,8.16,9.44,9.66,9.5,10.28,11.12,10.78,9.47,9.19,9.56,9.5,7.91,6.94,7.62,8.44,8.75,9.94,12.97,16.25,17.91,18.88,20.16,20.91,20.56,18.72,17.88,17.88,18.0,17.06,16.72,17.81,18.69,36.62,37.09,37.0,36.47,36.31,36.5,37.31,38.38,40.25,42.34,43.91,44.69,45.28,46.0,46.62,46.78,46.91,46.56,45.34,43.59,41.09,38.84,37.41,36.62,35.69,35.81,37.12,38.59,39.75,41.47,43.75,45.94,47.25,48.22,49.12,49.75,49.75,49.69,50.09,51.06,52.19,52.62:positivity
-8.38,-8.59,-7.59,-6.84,-7.81,-8.88,-8.19,-6.84,-6.5,-7.09,-6.31,-4.56,-3.97,-4.72,-5.16,-4.38,-3.94,-5.31,-6.34,-5.69,-4.59,-4.56,-4.78,-3.31,-1.31,-0.72,-1.72,-2.28,-1.91,-2.66,-4.72,-6.41,-6.62,-7.03,-9.09,-10.53,-9.34,-7.22,-5.69,-4.72,-2.72,-0.72,-0.62,-2.19,-3.16,-3.25,-3.84,-5.84,-7.0,-6.69,-6.09,-6.34,-6.56,-4.81,-2.41,-1.62,-2.12,-1.31,-0.75,-1.5,-3.84,-5.59,-6.19,-6.97,-9.31,-10.34,-9.16,-7.06,-5.66,-3.72,0.12,4.5,7.12,8.28,9.59,11.56,11.97,10.28,8.88,8.03,6.84,3.62,0.66,-0.56,-1.47,-3.53,-6.31,-7.44,-7.88,-8.81,-10.25,-9.62,-7.91,-6.66,-6.97,-6.91,-5.69,-4.5,-5.06,-5.0,-3.62,-2.31,-2.81,-4.44,-5.41,-5.88,-7.44,-9.72,-10.94,-10.5,-10.19,-11.06,-11.28,-9.84,-8.03,-8.09,-8.38,-7.66,-6.44,-6.5,-7.41,-6.81,-4.97,-3.72,-3.84,-2.78,-0.72,0.47,-0.66,-1.72,-1.78,-1.94,-3.25,-5.16,-5.81,-5.88,-7.09,-8.88,-9.09,-7.72,-6.38,-5.91,-4.44,-1.53,0.75,1.28,1.53,2.56,4.09,4.06,2.62,2.12,2.44,1.31,-0.03,-0.34,0.69,1.28,0.81,1.06,3.09,5.91,6.84,7.47,9.19,10.88,10.25,8.44,7.0,6.31,4.66,1.72,-0.03,0.38,0.66,-0.56,-1.03,0.22,1.56,0.66,-0.94,-1.41,-1.31,-2.59,-4.0,-3.53,-2.19,-1.78,-3.09,-4.34,-4.28,-4.62,-5.91,-5.97,-3.91,-0.72,0.28,0.56,0.91,1.12,-0.31,-2.81,-3.75,-3.19,-2.84,-3.97,-4.44,-3.5,-2.66,-3.56,-3.78,-2.44,-0.28,0.03,-0.59,-0.66,0.06,-0.56,-2.59,-3.38,-2.31,-2.03,-3.28,-3.88,-2.84,-1.84,-2.66,-3.56,-2.97,-2.31,-3.59,-5.94,-6.62,-5.5,-5.03,-4.69,-3.22,-0.72,1.12,0.66,0.03,0.88,1.53,0.81,-0.03,0.88,2.47,2.28,1.31,1.5,2.97,3.16,2.44,2.16,3.06,3.22,0.88,-1.09,-1.28,-0.59,-0.78,-1.0,0.12,1.97,1.5,0.12,-0.72,-0.62,-1.5,-4.06,-5.66,-5.31,-4.62,-5.12,-5.19,-3.59,-1.47,-0.5,-0.03,2.03,5.38,7.5,8.38,10.03,12.78,14.41,14.12,13.91,14.78,15.28,13.88,12.25,11.91,12.16,10.81,8.47,8.03,8.28,7.5,5.91,4.97,5.75,6.47,6.09,5.84,7.34,9.19,9.25,9.0,10.5,12.31,12.31,10.56,9.53,8.69,6.78,3.84,1.5,1.44,0.94,-0.69,-2.0,-1.66,-0.53,-1.06,-1.47,-0.12,1.72,1.81,0.28,-0.28,0.06,0.09,-0.59,-0.84,1.0,2.81,3.19,4.03,6.41,9.47,10.59,10.88,11.84,13.06,13.09,11.31,9.84,9.62,7.69,4.19,0.81,-0.75,-1.94,-4.06,-5.56,-4.91,-3.31,-3.22,-3.62,-3.0,-1.56,-0.91,-1.41,-1.41,0.16,1.19,0.53,-0.47,0.38,1.16,0.69,0.34,1.72,3.78,4.31,3.94,4.56,5.91,6.56,5.69,4.97,5.66,5.69,4.19,2.41,2.94,3.88,3.81,3.22,4.03,5.28,5.06,4.12,4.12,5.97,7.59,7.81,7.97,9.47,9.41,7.12,3.69,2.06,0.53,-1.34,-3.19,-3.28,-2.16,-1.91,-3.0,-3.59,-2.28,-1.75,-2.47,-2.53,-0.81,1.0,1.06,0.84,2.0,2.94,3.06,1.97,1.91,3.41,4.06,3.47,3.41,5.22,5.81,4.53,3.03,3.09,3.31,1.81,-0.12,-0.41,-0.44,-1.53,-3.75,-4.84,-4.47,-4.28,-5.22,-5.0,-3.44,-2.28,-3.09,-3.81,-3.28,-2.25,-2.78,-3.56,-3.09,-2.19,-2.16,-3.5,-3.97,-2.97,-2.69,-3.34,-2.88,-0.59,1.84,2.28,2.25,3.06,4.0,3.28,1.72,1.03,0.84,-0.53,-2.91,-4.31,-4.06,-4.0,-5.09,-5.44,-3.78,-1.62,-1.03,-0.59,1.38,3.09,3.75,3.72,5.22,6.97,8.03,6.84,5.75,5.78,5.56,4.44,3.47,4.03,4.0,2.28,-0.81,-2.66,-2.69,-3.19,-3.59,-1.97,1.06,3.56,4.19,4.81,6.5,7.19,5.75,4.09,4.16,4.41,3.59,2.84,3.12,3.66,2.53,0.16,-1.75,-2.62,-3.88,-6.03,-6.97,-6.06,-4.78,-4.25,-4.25,-2.72,-1.0,-0.59,-1.34,-1.38,-1.06,-2.22,-4.78,-6.28,-6.0,-4.94,-4.81,-4.31,-2.62,-1.34,-2.59,-4.0,-4.12,-3.78,-3.91,-4.34,-3.25,-1.47,-0.28,-0.44,-0.53,0.44,1.25,0.38,-0.5,-0.03,0.66,-0.44,-1.88,-2.34,-2.53,-3.47,-5.56,-6.09,-4.91,-3.91,-3.44,-2.56,-0.31,1.69,1.97,2.06,2.69,3.81,2.94,1.5,1.22,1.78,1.53,0.56,0.22,0.59,0.22,-1.88,-4.19,-5.44,-6.09,-7.38,-7.69,-6.12,-3.56,-2.34,-2.62,-2.97,-3.62,-5.41,-8.53,-10.59,-10.66,-9.91,-9.78,-8.75,-6.28,-3.19,-1.62,-0.03,2.91,6.59,8.53,9.41,10.16,10.94,10.88,9.12,8.0,8.09,8.03,6.59,4.66,4.12,3.66,2.19,0.88,1.06,2.56,2.91,1.81,1.25,1.12,0.34,-1.47,-2.19,-0.78,1.81,3.28,4.25,6.12,7.31,6.16,3.75,1.59,-0.09,-2.5,-6.22,-8.28,-8.56,-8.09,-8.47,-8.44,-6.88,-5.03,-5.0,-5.47,-4.97,-4.22,-5.38,-7.38,-8.81,-8.72,-9.09,-10.09,-10.03,-8.38,-6.72,-7.03,-7.72,-7.69,-7.94,-9.66,-11.69,-12.0,-10.53,-10.0,-9.84,-9.0,-6.75,-5.59,-5.94,-6.09,-4.75,-3.53,-4.06,-3.97,-3.0,-1.62,-1.97,-3.16,-3.72,-3.69,-4.91,-6.84,-7.53,-6.19,-5.38,-5.72,-5.97,-5.19,-4.69,-6.19,-7.81,-8.16,-8.06,-9.16,-10.66,-10.94,-9.91,-9.88,-11.0,-11.28,-10.16,-9.47,-9.97,-10.16,-8.78,-7.53,-7.25,-7.09,-5.72,-3.88,-2.75,-2.88,-2.44,-0.31,0.56,0.5,0.19,1.25,1.38,0.28,-0.88,-0.41,0.78,-0.12,-2.31,-3.12,-3.12,-4.34,-5.41,-5.09,-2.62,-0.72,-0.12,0.81,2.97,4.19,3.47,1.75,0.72,-0.25,-2.75,-5.31,-6.56,-5.84,-5.75,-5.69,-4.56,-1.94,0.22,1.31,2.22,3.91,5.47,5.84,6.22,8.03,10.44,11.41,10.72,9.97,9.81,8.25,5.62,3.72,3.19,2.78,1.47,0.53,1.06,1.62,0.44,-1.44,-2.06,-2.09,-2.81,-3.66,-3.31,-1.91,-1.0,-0.44,0.69,3.69,6.69,8.25,9.16,10.94,12.03,10.94,8.5,6.84,5.56,3.53,0.81,-0.81,-0.47,-0.53,-0.97,-0.78,0.88,2.81,3.06,2.44,3.44,4.38,4.09,3.0,3.38,4.19,4.0,2.59,1.47,1.22,0.47,-1.31,-2.81,-2.53,-1.59,-2.16,-3.5,-3.22,-2.84,-3.19,-3.38,-2.47,-0.34,1.28,1.78,2.16,3.5,4.12,2.91,0.72,0.0,-1.0,-3.06,-5.06,-5.31,-4.16,-3.34,-3.0,-1.53,0.81,2.28,2.66,2.72,4.31,5.5,5.25,4.72,5.5,6.38,5.53,3.41,2.16,1.72,0.75,-1.03,-1.41,-0.22,0.75,0.53,0.84,2.69,4.62,4.97,4.72,5.94,7.06,6.72,5.41,5.28,6.06,6.0,5.16,5.41,6.88,8.34,8.66,8.97,10.78,12.44,12.62,11.72,11.91,11.88,9.91,6.25,3.53,2.25,0.28,-2.19,-3.22,-2.0,-1.09,-1.03,-1.53,-0.16,1.22,1.56,1.81,4.19,7.28,8.47,8.25,8.62,9.84,10.59,10.34,10.66,12.59,13.62,12.84,11.31,11.0,10.88,9.12,6.5,5.41,4.91,3.25,1.03,-0.12,0.28,0.97,0.66,1.5,4.31,6.78,7.38,7.0,7.25,7.28,6.06,4.59,4.62,6.41,7.22,6.31,5.69,5.66,4.41,1.38,-1.09,-1.78,-1.72,-2.88,-3.72,-3.25,-2.69,-3.88,-6.31,-7.72,-8.0,-8.81,-10.69,-11.03,-9.47,-7.81,-7.22,-6.41,-4.12,-1.62,-1.28,-1.34,-0.31,0.38,-0.03,-1.75,-1.47,0.12,1.25,1.03,1.53,2.91,4.19,4.03,3.84,5.28,6.62,5.81,4.06,3.28,2.91,1.44,-1.12,-2.0,-1.25,-0.66,-1.28,-0.81,1.12,2.75,2.19,1.66,2.5,3.34,2.53,0.94,0.97,1.53,1.31,0.28,0.38,1.72,2.28,1.44,1.06,1.66,2.03,0.66,-0.66,-0.12,1.12,0.94,-0.31,-1.12,-1.25,-2.62,-5.16,-5.97,-5.09,-4.34,-5.22,-6.06,-5.0,-4.38,-5.31,-6.09,-5.0,-2.47,-0.84,0.78,4.12,8.44,11.28,11.44,11.88,12.09,11.16,8.28,5.84,4.88,5.09,4.28,3.03,3.84,5.5,5.38,3.97,3.38,3.91,4.12,2.94,3.25,4.97,6.38,6.06,5.72,6.72,7.91,7.19,5.94,6.12,7.22,7.25,6.62,6.78,7.94,8.31,6.12,4.03,3.16,1.84,-0.5,-1.81,-0.62,1.78,3.19,3.97,6.09,8.38,8.84,8.34,8.44,9.53,10.25,9.22,8.78,10.03,11.25,10.81,9.88,10.5,10.72,9.34,6.94,5.94,6.19,5.97,5.41,6.06,7.84,9.5,8.75,7.97,9.03,10.12,9.59,8.84,9.75,11.28,11.41,10.75,11.03,12.53,12.66,11.66,11.62,13.0,14.44,13.59,12.94,13.56,13.94,12.28,10.12,9.25,8.88,6.81,3.75,2.5,2.66,2.94,2.5,3.0,4.81,6.88:-6.84,-6.5,-7.09,-6.31,-4.56,-3.97,-4.72,-5.16,-4.38,-3.94,-5.31,-6.34,-5.69,-4.59,-4.56,-4.78,-3.31,-1.31,-0.72,-1.72,-2.28,-1.91,-2.66,-4.72,-6.41,-6.62,-7.03,-9.09,-10.53,-9.34,-7.22,-5.69,-4.72,-2.72,-0.72,-0.62,-2.19,-3.16,-3.25,-3.84,-5.84,-7.0,-6.69,-6.09,-6.34,-6.56,-4.81,-2.41,-1.62,-2.12,-1.31,-0.75,-1.5,-3.84,-5.59,-6.19,-6.97,-9.31,-10.34,-9.16,-7.06,-5.66,-3.72,0.12,4.5,7.12,8.28,9.59,11.56,11.97,10.28,8.88,8.03,6.84,3.62,0.66,-0.56,-1.47,-3.53,-6.31,-7.44,-7.88,-8.81,-10.25,-9.62,-7.91,-6.66,-6.97,-6.91,-5.69,-4.5,-5.06,-5.0,-3.62,-2.31,-2.81,-4.44,-5.41,-5.88,-7.44,-9.72,-10.94,-10.5,-10.19,-11.06,-11.28,-9.84,-8.03,-8.09,-8.38,-7.66,-6.44,-6.5,-7.41,-6.81,-4.97,-3.72,-3.84,-2.78,-0.72,0.47,-0.66,-1.72,-1.78,-1.94,-3.25,-5.16,-5.81,-5.88,-7.09,-8.88,-9.09,-7.72,-6.38,-5.91,-4.44,-1.53,0.75,1.28,1.53,2.56,4.09,4.06,2.62,2.12,2.44,1.31,-0.03,-0.34,0.69,1.28,0.81,1.06,3.09,5.91,6.84,7.47,9.19,10.88,10.25,8.44,7.0,6.31,4.66,1.72,-0.03,0.38,0.66,-0.56,-1.03,0.22,1.56,0.66,-0.94,-1.41,-1.31,-2.59,-4.0,-3.53,-2.19,-1.78,-3.09,-4.34,-4.28,-4.62,-5.91,-5.97,-3.91,-0.72,0.28,0.56,0.91,1.12,-0.31,-2.81,-3.75,-3.19,-2.84,-3.97,-4.44,-3.5,-2.66,-3.56,-3.78,-2.44,-0.28,0.03,-0.59,-0.66,0.06,-0.56,-2.59,-3.38,-2.31,-2.03,-3.28,-3.88,-2.84,-1.84,-2.66,-3.56,-2.97,-2.31,-3.59,-5.94,-6.62,-5.5,-5.03,-4.69,-3.22,-0.72,1.12,0.66,0.03,0.88,1.53,0.81,-0.03,0.88,2.47,2.28,1.31,1.5,2.97,3.16,2.44,2.16,3.06,3.22,0.88,-1.09,-1.28,-0.59,-0.78,-1.0,0.12,1.97,1.5,0.12,-0.72,-0.62,-1.5,-4.06,-5.66,-5.31,-4.62,-5.12,-5.19,-3.59,-1.47,-0.5,-0.03,2.03,5.38,7.5,8.38,10.03,12.78,14.41,14.12,13.91,14.78,15.28,13.88,12.25,11.91,12.16,10.81,8.47,8.03,8.28,7.5,5.91,4.97,5.75,6.47,6.09,5.84,7.34,9.19,9.25,9.0,10.5,12.31,12.31,10.56,9.53,8.69,6.78,3.84,1.5,1.44,0.94,-0.69,-2.0,-1.66,-0.53,-1.06,-1.47,-0.12,1.72,1.81,0.28,-0.28,0.06,0.09,-0.59,-0.84,1.0,2.81,3.19,4.03,6.41,9.47,10.59,10.88,11.84,13.06,13.09,11.31,9.84,9.62,7.69,4.19,0.81,-0.75,-1.94,-4.06,-5.56,-4.91,-3.31,-3.22,-3.62,-3.0,-1.56,-0.91,-1.41,-1.41,0.16,1.19,0.53,-0.47,0.38,1.16,0.69,0.34,1.72,3.78,4.31,3.94,4.56,5.91,6.56,5.69,4.97,5.66,5.69,4.19,2.41,2.94,3.88,3.81,3.22,4.03,5.28,5.06,4.12,4.12,5.97,7.59,7.81,7.97,9.47,9.41,7.12,3.69,2.06,0.53,-1.34,-3.19,-3.28,-2.16,-1.91,-3.0,-3.59,-2.28,-1.75,-2.47,-2.53,-0.81,1.0,1.06,0.84,2.0,2.94,3.06,1.97,1.91,3.41,4.06,3.47,3.41,5.22,5.81,4.53,3.03,3.09,3.31,1.81,-0.12,-0.41,-0.44,-1.53,-3.75,-4.84,-4.47,-4.28,-5.22,-5.0,-3.44,-2.28,-3.09,-3.81,-3.28,-2.25,-2.78,-3.56,-3.09,-2.19,-2.16,-3.5,-3.97,-2.97,-2.69,-3.34,-2.88,-0.59,1.84,2.28,2.25,3.06,4.0,3.28,1.72,1.03,0.84,-0.53,-2.91,-4.31,-4.06,-4.0,-5.09,-5.44,-3.78,-1.62,-1.03,-0.59,1.38,3.09,3.75,3.72,5.22,6.97,8.03,6.84,5.75,5.78,5.56,4.44,3.47,4.03,4.0,2.28,-0.81,-2.66,-2.69,-3.19,-3.59,-1.97,1.06,3.56,4.19,4.81,6.5,7.19,5.75,4.09,4.16,4.41,3.59,2.84,3.12,3.66,2.53,0.16,-1.75,-2.62,-3.88,-6.03,-6.97,-6.06,-4.78,-4.25,-4.25,-2.72,-1.0,-0.59,-1.34,-1.38,-1.06,-2.22,-4.78,-6.28,-6.0,-4.94,-4.81,-4.31,-2.62,-1.34,-2.59,-4.0,-4.12,-3.78,-3.91,-4.34,-3.25,-1.47,-0.28,-0.44,-0.53,0.44,1.25,0.38,-0.5,-0.03,0.66,-0.44,-1.88,-2.34,-2.53,-3.47,-5.56,-6.09,-4.91,-3.91,-3.44,-2.56,-0.31,1.69,1.97,2.06,2.69,3.81,2.94,1.5,1.22,1.78,1.53,0.56,0.22,0.59,0.22,-1.88,-4.19,-5.44,-6.09,-7.38,-7.69,-6.12,-3.56,-2.34,-2.62,-2.97,-3.62,-5.41,-8.53,-10.59,-10.66,-9.91,-9.78,-8.75,-6.28,-3.19,-1.62,-0.03,2.91,6.59,8.53,9.41,10.16,10.94,10.88,9.12,8.0,8.09,8.03,6.59,4.66,4.12,3.66,2.19,0.88,1.06,2.56,2.91,1.81,1.25,1.12,0.34,-1.47,-2.19,-0.78,1.81,3.28,4.25,6.12,7.31,6.16,3.75,1.59,-0.09,-2.5,-6.22,-8.28,-8.56,-8.09,-8.47,-8.44,-6.88,-5.03,-5.0,-5.47,-4.97,-4.22,-5.38,-7.38,-8.81,-8.72,-9.09,-10.09,-10.03,-8.38,-6.72,-7.03,-7.72,-7.69,-7.94,-9.66,-11.69,-12.0,-10.53,-10.0,-9.84,-9.0,-6.75,-5.59,-5.94,-6.09,-4.75,-3.53,-4.06,-3.97,-3.0,-1.62,-1.97,-3.16,-3.72,-3.69,-4.91,-6.84,-7.53,-6.19,-5.38,-5.72,-5.97,-5.19,-4.69,-6.19,-7.81,-8.16,-8.06,-9.16,-10.66,-10.94,-9.91,-9.88,-11.0,-11.28,-10.16,-9.47,-9.97,-10.16,-8.78,-7.53,-7.25,-7.09,-5.72,-3.88,-2.75,-2.88,-2.44,-0.31,0.56,0.5,0.19,1.25,1.38,0.28,-0.88,-0.41,0.78,-0.12,-2.31,-3.12,-3.12,-4.34,-5.41,-5.09,-2.62,-0.72,-0.12,0.81,2.97,4.19,3.47,1.75,0.72,-0.25,-2.75,-5.31,-6.56,-5.84,-5.75,-5.69,-4.56,-1.94,0.22,1.31,2.22,3.91,5.47,5.84,6.22,8.03,10.44,11.41,10.72,9.97,9.81,8.25,5.62,3.72,3.19,2.78,1.47,0.53,1.06,1.62,0.44,-1.44,-2.06,-2.09,-2.81,-3.66,-3.31,-1.91,-1.0,-0.44,0.69,3.69,6.69,8.25,9.16,10.94,12.03,10.94,8.5,6.84,5.56,3.53,0.81,-0.81,-0.47,-0.53,-0.97,-0.78,0.88,2.81,3.06,2.44,3.44,4.38,4.09,3.0,3.38,4.19,4.0,2.59,1.47,1.22,0.47,-1.31,-2.81,-2.53,-1.59,-2.16,-3.5,-3.22,-2.84,-3.19,-3.38,-2.47,-0.34,1.28,1.78,2.16,3.5,4.12,2.91,0.72,0.0,-1.0,-3.06,-5.06,-5.31,-4.16,-3.34,-3.0,-1.53,0.81,2.28,2.66,2.72,4.31,5.5,5.25,4.72,5.5,6.38,5.53,3.41,2.16,1.72,0.75,-1.03,-1.41,-0.22,0.75,0.53,0.84,2.69,4.62,4.97,4.72,5.94,7.06,6.72,5.41,5.28,6.06,6.0,5.16,5.41,6.88,8.34,8.66,8.97,10.78,12.44,12.62,11.72,11.91,11.88,9.91,6.25,3.53,2.25,0.28,-2.19,-3.22,-2.0,-1.09,-1.03,-1.53,-0.16,1.22,1.56,1.81,4.19,7.28,8.47,8.25,8.62,9.84,10.59,10.34,10.66,12.59,13.62,12.84,11.31,11.0,10.88,9.12,6.5,5.41,4.91,3.25,1.03,-0.12,0.28,0.97,0.66,1.5,4.31,6.78,7.38,7.0,7.25,7.28,6.06,4.59,4.62,6.41,7.22,6.31,5.69,5.66,4.41,1.38,-1.09,-1.78,-1.72,-2.88,-3.72,-3.25,-2.69,-3.88,-6.31,-7.72,-8.0,-8.81,-10.69,-11.03,-9.47,-7.81,-7.22,-6.41,-4.12,-1.62,-1.28,-1.34,-0.31,0.38,-0.03,-1.75,-1.47,0.12,1.25,1.03,1.53,2.91,4.19,4.03,3.84,5.28,6.62,5.81,4.06,3.28,2.91,1.44,-1.12,-2.0,-1.25,-0.66,-1.28,-0.81,1.12,2.75,2.19,1.66,2.5,3.34,2.53,0.94,0.97,1.53,1.31,0.28,0.38,1.72,2.28,1.44,1.06,1.66,2.03,0.66,-0.66,-0.12,1.12,0.94,-0.31,-1.12,-1.25,-2.62,-5.16,-5.97,-5.09,-4.34,-5.22,-6.06,-5.0,-4.38,-5.31,-6.09,-5.0,-2.47,-0.84,0.78,4.12,8.44,11.28,11.44,11.88,12.09,11.16,8.28,5.84,4.88,5.09,4.28,3.03,3.84,5.5,5.38,3.97,3.38,3.91,4.12,2.94,3.25,4.97,6.38,6.06,5.72,6.72,7.91,7.19,5.94,6.12,7.22,7.25,6.62,6.78,7.94,8.31,6.12,4.03,3.16,1.84,-0.5,-1.81,-0.62,1.78,3.19,3.97,6.09,8.38,8.84,8.34,8.44,9.53,10.25,9.22,8.78,10.03,11.25,10.81,9.88,10.5,10.72,9.34,6.94,5.94,6.19,5.97,5.41,6.06,7.84,9.5,8.75,7.97,9.03,10.12,9.59,8.84,9.75,11.28,11.41,10.75,11.03,12.53,12.66,11.66,11.62,13.0,14.44,13.59,12.94,13.56,13.94,12.28,10.12,9.25,8.88,6.81,3.75,2.5,2.66,2.94,2.5,3.0,4.81,6.88,14.41,13.75,12.62,11.66,11.16,11.0,10.59:-5.16,-4.38,-3.94,-5.31,-6.34,-5.69,-4.59,-4.56,-4.78,-3.31,-1.31,-0.72,-1.72,-2.28,-1.91,-2.66,-4.72,-6.41,-6.62,-7.03,-9.09,-10.53,-9.34,-7.22,-5.69,-4.72,-2.72,-0.72,-0.62,-2.19,-3.16,-3.25,-3.84,-5.84,-7.0,-6.69,-6.09,-6.34,-6.56,-4.81,-2.41,-1.62,-2.12,-1.31,-0.75,-1.5,-3.84,-5.59,-6.19,-6.97,-9.31,-10.34,-9.16,-7.06,-5.66,-3.72,0.12,4.5,7.12,8.28,9.59,11.56,11.97,10.28,8.88,8.03,6.84,3.62,0.66,-0.56,-1.47,-3.53,-6.31,-7.44,-7.88,-8.81,-10.25,-9.62,-7.91,-6.66,-6.97,-6.91,-5.69,-4.5,-5.06,-5.0,-3.62,-2.31,-2.81,-4.44,-5.41,-5.88,-7.44,-9.72,-10.94,-10.5,-10.19,-11.06,-11.28,-9.84,-8.03,-8.09,-8.38,-7.66,-6.44,-6.5,-7.41,-6.81,-4.97,-3.72,-3.84,-2.78,-0.72,0.47,-0.66,-1.72,-1.78,-1.94,-3.25,-5.16,-5.81,-5.88,-7.09,-8.88,-9.09,-7.72,-6.38,-5.91,-4.44,-1.53,0.75,1.28,1.53,2.56,4.09,4.06,2.62,2.12,2.44,1.31,-0.03,-0.34,0.69,1.28,0.81,1.06,3.09,5.91,6.84,7.47,9.19,10.88,10.25,8.44,7.0,6.31,4.66,1.72,-0.03,0.38,0.66,-0.56,-1.03,0.22,1.56,0.66,-0.94,-1.41,-1.31,-2.59,-4.0,-3.53,-2.19,-1.78,-3.09,-4.34,-4.28,-4.62,-5.91,-5.97,-3.91,-0.72,0.28,0.56,0.91,1.12,-0.31,-2.81,-3.75,-3.19,-2.84,-3.97,-4.44,-3.5,-2.66,-3.56,-3.78,-2.44,-0.28,0.03,-0.59,-0.66,0.06,-0.56,-2.59,-3.38,-2.31,-2.03,-3.28,-3.88,-2.84,-1.84,-2.66,-3.56,-2.97,-2.31,-3.59,-5.94,-6.62,-5.5,-5.03,-4.69,-3.22,-0.72,1.12,0.66,0.03,0.88,1.53,0.81,-0.03,0.88,2.47,2.28,1.31,1.5,2.97,3.16,2.44,2.16,3.06,3.22,0.88,-1.09,-1.28,-0.59,-0.78,-1.0,0.12,1.97,1.5,0.12,-0.72,-0.62,-1.5,-4.06,-5.66,-5.31,-4.62,-5.12,-5.19,-3.59,-1.47,-0.5,-0.03,2.03,5.38,7.5,8.38,10.03,12.78,14.41,14.12,13.91,14.78,15.28,13.88,12.25,11.91,12.16,10.81,8.47,8.03,8.28,7.5,5.91,4.97,5.75,6.47,6.09,5.84,7.34,9.19,9.25,9.0,10.5,12.31,12.31,10.56,9.53,8.69,6.78,3.84,1.5,1.44,0.94,-0.69,-2.0,-1.66,-0.53,-1.06,-1.47,-0.12,1.72,1.81,0.28,-0.28,0.06,0.09,-0.59,-0.84,1.0,2.81,3.19,4.03,6.41,9.47,10.59,10.88,11.84,13.06,13.09,11.31,9.84,9.62,7.69,4.19,0.81,-0.75,-1.94,-4.06,-5.56,-4.91,-3.31,-3.22,-3.62,-3.0,-1.56,-0.91,-1.41,-1.41,0.16,1.19,0.53,-0.47,0.38,1.16,0.69,0.34,1.72,3.78,4.31,3.94,4.56,5.91,6.56,5.69,4.97,5.66,5.69,4.19,2.41,2.94,3.88,3.81,3.22,4.03,5.28,5.06,4.12,4.12,5.97,7.59,7.81,7.97,9.47,9.41,7.12,3.69,2.06,0.53,-1.34,-3.19,-3.28,-2.16,-1.91,-3.0,-3.59,-2.28,-1.75,-2.47,-2.53,-0.81,1.0,1.06,0.84,2.0,2.94,3.06,1.97,1.91,3.41,4.06,3.47,3.41,5.22,5.81,4.53,3.03,3.09,3.31,1.81,-0.12,-0.41,-0.44,-1.53,-3.75,-4.84,-4.47,-4.28,-5.22,-5.0,-3.44,-2.28,-3.09,-3.81,-3.28,-2.25,-2.78,-3.56,-3.09,-2.19,-2.16,-3.5,-3.97,-2.97,-2.69,-3.34,-2.88,-0.59,1.84,2.28,2.25,3.06,4.0,3.28,1.72,1.03,0.84,-0.53,-2.91,-4.31,-4.06,-4.0,-5.09,-5.44,-3.78,-1.62,-1.03,-0.59,1.38,3.09,3.75,3.72,5.22,6.97,8.03,6.84,5.75,5.78,5.56,4.44,3.47,4.03,4.0,2.28,-0.81,-2.66,-2.69,-3.19,-3.59,-1.97,1.06,3.56,4.19,4.81,6.5,7.19,5.75,4.09,4.16,4.41,3.59,2.84,3.12,3.66,2.53,0.16,-1.75,-2.62,-3.88,-6.03,-6.97,-6.06,-4.78,-4.25,-4.25,-2.72,-1.0,-0.59,-1.34,-1.38,-1.06,-2.22,-4.78,-6.28,-6.0,-4.94,-4.81,-4.31,-2.62,-1.34,-2.59,-4.0,-4.12,-3.78,-3.91,-4.34,-3.25,-1.47,-0.28,-0.44,-0.53,0.44,1.25,0.38,-0.5,-0.03,0.66,-0.44,-1.88,-2.34,-2.53,-3.47,-5.56,-6.09,-4.91,-3.91,-3.44,-2.56,-0.31,1.69,1.97,2.06,2.69,3.81,2.94,1.5,1.22,1.78,1.53,0.56,0.22,0.59,0.22,-1.88,-4.19,-5.44,-6.09,-7.38,-7.69,-6.12,-3.56,-2.34,-2.62,-2.97,-3.62,-5.41,-8.53,-10.59,-10.66,-9.91,-9.78,-8.75,-6.28,-3.19,-1.62,-0.03,2.91,6.59,8.53,9.41,10.16,10.94,10.88,9.12,8.0,8.09,8.03,6.59,4.66,4.12,3.66,2.19,0.88,1.06,2.56,2.91,1.81,1.25,1.12,0.34,-1.47,-2.19,-0.78,1.81,3.28,4.25,6.12,7.31,6.16,3.75,1.59,-0.09,-2.5,-6.22,-8.28,-8.56,-8.09,-8.47,-8.44,-6.88,-5.03,-5.0,-5.47,-4.97,-4.22,-5.38,-7.38,-8.81,-8.72,-9.09,-10.09,-10.03,-8.38,-6.72,-7.03,-7.72,-7.69,-7.94,-9.66,-11.69,-12.0,-10.53,-10.0,-9.84,-9.0,-6.75,-5.59,-5.94,-6.09,-4.75,-3.53,-4.06,-3.97,-3.0,-1.62,-1.97,-3.16,-3.72,-3.69,-4.91,-6.84,-7.53,-6.19,-5.38,-5.72,-5.97,-5.19,-4.69,-6.19,-7.81,-8.16,-8.06,-9.16,-10.66,-10.94,-9.91,-9.88,-11.0,-11.28,-10.16,-9.47,-9.97,-10.16,-8.78,-7.53,-7.25,-7.09,-5.72,-3.88,-2.75,-2.88,-2.44,-0.31,0.56,0.5,0.19,1.25,1.38,0.28,-0.88,-0.41,0.78,-0.12,-2.31,-3.12,-3.12,-4.34,-5.41,-5.09,-2.62,-0.72,-0.12,0.81,2.97,4.19,3.47,1.75,0.72,-0.25,-2.75,-5.31,-6.56,-5.84,-5.75,-5.69,-4.56,-1.94,0.22,1.31,2.22,3.91,5.47,5.84,6.22,8.03,10.44,11.41,10.72,9.97,9.81,8.25,5.62,3.72,3.19,2.78,1.47,0.53,1.06,1.62,0.44,-1.44,-2.06,-2.09,-2.81,-3.66,-3.31,-1.91,-1.0,-0.44,0.69,3.69,6.69,8.25,9.16,10.94,12.03,10.94,8.5,6.84,5.56,3.53,0.81,-0.81,-0.47,-0.53,-0.97,-0.78,0.88,2.81,3.06,2.44,3.44,4.38,4.09,3.0,3.38,4.19,4.0,2.59,1.47,1.22,0.47,-1.31,-2.81,-2.53,-1.59,-2.16,-3.5,-3.22,-2.84,-3.19,-3.38,-2.47,-0.34,1.28,1.78,2.16,3.5,4.12,2.91,0.72,0.0,-1.0,-3.06,-5.06,-5.31,-4.16,-3.34,-3.0,-1.53,0.81,2.28,2.66,2.72,4.31,5.5,5.25,4.72,5.5,6.38,5.53,3.41,2.16,1.72,0.75,-1.03,-1.41,-0.22,0.75,0.53,0.84,2.69,4.62,4.97,4.72,5.94,7.06,6.72,5.41,5.28,6.06,6.0,5.16,5.41,6.88,8.34,8.66,8.97,10.78,12.44,12.62,11.72,11.91,11.88,9.91,6.25,3.53,2.25,0.28,-2.19,-3.22,-2.0,-1.09,-1.03,-1.53,-0.16,1.22,1.56,1.81,4.19,7.28,8.47,8.25,8.62,9.84,10.59,10.34,10.66,12.59,13.62,12.84,11.31,11.0,10.88,9.12,6.5,5.41,4.91,3.25,1.03,-0.12,0.28,0.97,0.66,1.5,4.31,6.78,7.38,7.0,7.25,7.28,6.06,4.59,4.62,6.41,7.22,6.31,5.69,5.66,4.41,1.38,-1.09,-1.78,-1.72,-2.88,-3.72,-3.25,-2.69,-3.88,-6.31,-7.72,-8.0,-8.81,-10.69,-11.03,-9.47,-7.81,-7.22,-6.41,-4.12,-1.62,-1.28,-1.34,-0.31,0.38,-0.03,-1.75,-1.47,0.12,1.25,1.03,1.53,2.91,4.19,4.03,3.84,5.28,6.62,5.81,4.06,3.28,2.91,1.44,-1.12,-2.0,-1.25,-0.66,-1.28,-0.81,1.12,2.75,2.19,1.66,2.5,3.34,2.53,0.94,0.97,1.53,1.31,0.28,0.38,1.72,2.28,1.44,1.06,1.66,2.03,0.66,-0.66,-0.12,1.12,0.94,-0.31,-1.12,-1.25,-2.62,-5.16,-5.97,-5.09,-4.34,-5.22,-6.06,-5.0,-4.38,-5.31,-6.09,-5.0,-2.47,-0.84,0.78,4.12,8.44,11.28,11.44,11.88,12.09,11.16,8.28,5.84,4.88,5.09,4.28,3.03,3.84,5.5,5.38,3.97,3.38,3.91,4.12,2.94,3.25,4.97,6.38,6.06,5.72,6.72,7.91,7.19,5.94,6.12,7.22,7.25,6.62,6.78,7.94,8.31,6.12,4.03,3.16,1.84,-0.5,-1.81,-0.62,1.78,3.19,3.97,6.09,8.38,8.84,8.34,8.44,9.53,10.25,9.22,8.78,10.03,11.25,10.81,9.88,10.5,10.72,9.34,6.94,5.94,6.19,5.97,5.41,6.06,7.84,9.5,8.75,7.97,9.03,10.12,9.59,8.84,9.75,11.28,11.41,10.75,11.03,12.53,12.66,11.66,11.62,13.0,14.44,13.59,12.94,13.56,13.94,12.28,10.12,9.25,8.88,6.81,3.75,2.5,2.66,2.94,2.5,3.0,4.81,6.88,14.41,13.75,12.62,11.66,11.16,11.0,10.59,11.06,12.19,13.19,13.75,14.44,15.47,16.09:-4.56,-4.78,-3.31,-1.31,-0.72,-1.72,-2.28,-1.91,-2.66,-4.72,-6.41,-6.62,-7.03,-9.09,-10.53,-9.34,-7.22,-5.69,-4.72,-2.72,-0.72,-0.62,-2.19,-3.16,-3.25,-3.84,-5.84,-7.0,-6.69,-6.09,-6.34,-6.56,-4.81,-2.41,-1.62,-2.12,-1.31,-0.75,-1.5,-3.84,-5.59,-6.19,-6.97,-9.31,-10.34,-9.16,-7.06,-5.66,-3.72,0.12,4.5,7.12,8.28,9.59,11.56,11.97,10.28,8.88,8.03,6.84,3.62,0.66,-0.56,-1.47,-3.53,-6.31,-7.44,-7.88,-8.81,-10.25,-9.62,-7.91,-6.66,-6.97,-6.91,-5.69,-4.5,-5.06,-5.0,-3.62,-2.31,-2.81,-4.44,-5.41,-5.88,-7.44,-9.72,-10.94,-10.5,-10.19,-11.06,-11.28,-9.84,-8.03,-8.09,-8.38,-7.66,-6.44,-6.5,-7.41,-6.81,-4.97,-3.72,-3.84,-2.78,-0.72,0.47,-0.66,-1.72,-1.78,-1.94,-3.25,-5.16,-5.81,-5.88,-7.09,-8.88,-9.09,-7.72,-6.38,-5.91,-4.44,-1.53,0.75,1.28,1.53,2.56,4.09,4.06,2.62,2.12,2.44,1.31,-0.03,-0.34,0.69,1.28,0.81,1.06,3.09,5.91,6.84,7.47,9.19,10.88,10.25,8.44,7.0,6.31,4.66,1.72,-0.03,0.38,0.66,-0.56,-1.03,0.22,1.56,0.66,-0.94,-1.41,-1.31,-2.59,-4.0,-3.53,-2.19,-1.78,-3.09,-4.34,-4.28,-4.62,-5.91,-5.97,-3.91,-0.72,0.28,0.56,0.91,1.12,-0.31,-2.81,-3.75,-3.19,-2.84,-3.97,-4.44,-3.5,-2.66,-3.56,-3.78,-2.44,-0.28,0.03,-0.59,-0.66,0.06,-0.56,-2.59,-3.38,-2.31,-2.03,-3.28,-3.88,-2.84,-1.84,-2.66,-3.56,-2.97,-2.31,-3.59,-5.94,-6.62,-5.5,-5.03,-4.69,-3.22,-0.72,1.12,0.66,0.03,0.88,1.53,0.81,-0.03,0.88,2.47,2.28,1.31,1.5,2.97,3.16,2.44,2.16,3.06,3.22,0.88,-1.09,-1.28,-0.59,-0.78,-1.0,0.12,1.97,1.5,0.12,-0.72,-0.62,-1.5,-4.06,-5.66,-5.31,-4.62,-5.12,-5.19,-3.59,-1.47,-0.5,-0.03,2.03,5.38,7.5,8.38,10.03,12.78,14.41,14.12,13.91,14.78,15.28,13.88,12.25,11.91,12.16,10.81,8.47,8.03,8.28,7.5,5.91,4.97,5.75,6.47,6.09,5.84,7.34,9.19,9.25,9.0,10.5,12.31,12.31,10.56,9.53,8.69,6.78,3.84,1.5,1.44,0.94,-0.69,-2.0,-1.66,-0.53,-1.06,-1.47,-0.12,1.72,1.81,0.28,-0.28,0.06,0.09,-0.59,-0.84,1.0,2.81,3.19,4.03,6.41,9.47,10.59,10.88,11.84,13.06,13.09,11.31,9.84,9.62,7.69,4.19,0.81,-0.75,-1.94,-4.06,-5.56,-4.91,-3.31,-3.22,-3.62,-3.0,-1.56,-0.91,-1.41,-1.41,0.16,1.19,0.53,-0.47,0.38,1.16,0.69,0.34,1.72,3.78,4.31,3.94,4.56,5.91,6.56,5.69,4.97,5.66,5.69,4.19,2.41,2.94,3.88,3.81,3.22,4.03,5.28,5.06,4.12,4.12,5.97,7.59,7.81,7.97,9.47,9.41,7.12,3.69,2.06,0.53,-1.34,-3.19,-3.28,-2.16,-1.91,-3.0,-3.59,-2.28,-1.75,-2.47,-2.53,-0.81,1.0,1.06,0.84,2.0,2.94,3.06,1.97,1.91,3.41,4.06,3.47,3.41,5.22,5.81,4.53,3.03,3.09,3.31,1.81,-0.12,-0.41,-0.44,-1.53,-3.75,-4.84,-4.47,-4.28,-5.22,-5.0,-3.44,-2.28,-3.09,-3.81,-3.28,-2.25,-2.78,-3.56,-3.09,-2.19,-2.16,-3.5,-3.97,-2.97,-2.69,-3.34,-2.88,-0.59,1.84,2.28,2.25,3.06,4.0,3.28,1.72,1.03,0.84,-0.53,-2.91,-4.31,-4.06,-4.0,-5.09,-5.44,-3.78,-1.62,-1.03,-0.59,1.38,3.09,3.75,3.72,5.22,6.97,8.03,6.84,5.75,5.78,5.56,4.44,3.47,4.03,4.0,2.28,-0.81,-2.66,-2.69,-3.19,-3.59,-1.97,1.06,3.56,4.19,4.81,6.5,7.19,5.75,4.09,4.16,4.41,3.59,2.84,3.12,3.66,2.53,0.16,-1.75,-2.62,-3.88,-6.03,-6.97,-6.06,-4.78,-4.25,-4.25,-2.72,-1.0,-0.59,-1.34,-1.38,-1.06,-2.22,-4.78,-6.28,-6.0,-4.94,-4.81,-4.31,-2.62,-1.34,-2.59,-4.0,-4.12,-3.78,-3.91,-4.34,-3.25,-1.47,-0.28,-0.44,-0.53,0.44,1.25,0.38,-0.5,-0.03,0.66,-0.44,-1.88,-2.34,-2.53,-3.47,-5.56,-6.09,-4.91,-3.91,-3.44,-2.56,-0.31,1.69,1.97,2.06,2.69,3.81,2.94,1.5,1.22,1.78,1.53,0.56,0.22,0.59,0.22,-1.88,-4.19,-5.44,-6.09,-7.38,-7.69,-6.12,-3.56,-2.34,-2.62,-2.97,-3.62,-5.41,-8.53,-10.59,-10.66,-9.91,-9.78,-8.75,-6.28,-3.19,-1.62,-0.03,2.91,6.59,8.53,9.41,10.16,10.94,10.88,9.12,8.0,8.09,8.03,6.59,4.66,4.12,3.66,2.19,0.88,1.06,2.56,2.91,1.81,1.25,1.12,0.34,-1.47,-2.19,-0.78,1.81,3.28,4.25,6.12,7.31,6.16,3.75,1.59,-0.09,-2.5,-6.22,-8.28,-8.56,-8.09,-8.47,-8.44,-6.88,-5.03,-5.0,-5.47,-4.97,-4.22,-5.38,-7.38,-8.81,-8.72,-9.09,-10.09,-10.03,-8.38,-6.72,-7.03,-7.72,-7.69,-7.94,-9.66,-11.69,-12.0,-10.53,-10.0,-9.84,-9.0,-6.75,-5.59,-5.94,-6.09,-4.75,-3.53,-4.06,-3.97,-3.0,-1.62,-1.97,-3.16,-3.72,-3.69,-4.91,-6.84,-7.53,-6.19,-5.38,-5.72,-5.97,-5.19,-4.69,-6.19,-7.81,-8.16,-8.06,-9.16,-10.66,-10.94,-9.91,-9.88,-11.0,-11.28,-10.16,-9.47,-9.97,-10.16,-8.78,-7.53,-7.25,-7.09,-5.72,-3.88,-2.75,-2.88,-2.44,-0.31,0.56,0.5,0.19,1.25,1.38,0.28,-0.88,-0.41,0.78,-0.12,-2.31,-3.12,-3.12,-4.34,-5.41,-5.09,-2.62,-0.72,-0.12,0.81,2.97,4.19,3.47,1.75,0.72,-0.25,-2.75,-5.31,-6.56,-5.84,-5.75,-5.69,-4.56,-1.94,0.22,1.31,2.22,3.91,5.47,5.84,6.22,8.03,10.44,11.41,10.72,9.97,9.81,8.25,5.62,3.72,3.19,2.78,1.47,0.53,1.06,1.62,0.44,-1.44,-2.06,-2.09,-2.81,-3.66,-3.31,-1.91,-1.0,-0.44,0.69,3.69,6.69,8.25,9.16,10.94,12.03,10.94,8.5,6.84,5.56,3.53,0.81,-0.81,-0.47,-0.53,-0.97,-0.78,0.88,2.81,3.06,2.44,3.44,4.38,4.09,3.0,3.38,4.19,4.0,2.59,1.47,1.22,0.47,-1.31,-2.81,-2.53,-1.59,-2.16,-3.5,-3.22,-2.84,-3.19,-3.38,-2.47,-0.34,1.28,1.78,2.16,3.5,4.12,2.91,0.72,0.0,-1.0,-3.06,-5.06,-5.31,-4.16,-3.34,-3.0,-1.53,0.81,2.28,2.66,2.72,4.31,5.5,5.25,4.72,5.5,6.38,5.53,3.41,2.16,1.72,0.75,-1.03,-1.41,-0.22,0.75,0.53,0.84,2.69,4.62,4.97,4.72,5.94,7.06,6.72,5.41,5.28,6.06,6.0,5.16,5.41,6.88,8.34,8.66,8.97,10.78,12.44,12.62,11.72,11.91,11.88,9.91,6.25,3.53,2.25,0.28,-2.19,-3.22,-2.0,-1.09,-1.03,-1.53,-0.16,1.22,1.56,1.81,4.19,7.28,8.47,8.25,8.62,9.84,10.59,10.34,10.66,12.59,13.62,12.84,11.31,11.0,10.88,9.12,6.5,5.41,4.91,3.25,1.03,-0.12,0.28,0.97,0.66,1.5,4.31,6.78,7.38,7.0,7.25,7.28,6.06,4.59,4.62,6.41,7.22,6.31,5.69,5.66,4.41,1.38,-1.09,-1.78,-1.72,-2.88,-3.72,-3.25,-2.69,-3.88,-6.31,-7.72,-8.0,-8.81,-10.69,-11.03,-9.47,-7.81,-7.22,-6.41,-4.12,-1.62,-1.28,-1.34,-0.31,0.38,-0.03,-1.75,-1.47,0.12,1.25,1.03,1.53,2.91,4.19,4.03,3.84,5.28,6.62,5.81,4.06,3.28,2.91,1.44,-1.12,-2.0,-1.25,-0.66,-1.28,-0.81,1.12,2.75,2.19,1.66,2.5,3.34,2.53,0.94,0.97,1.53,1.31,0.28,0.38,1.72,2.28,1.44,1.06,1.66,2.03,0.66,-0.66,-0.12,1.12,0.94,-0.31,-1.12,-1.25,-2.62,-5.16,-5.97,-5.09,-4.34,-5.22,-6.06,-5.0,-4.38,-5.31,-6.09,-5.0,-2.47,-0.84,0.78,4.12,8.44,11.28,11.44,11.88,12.09,11.16,8.28,5.84,4.88,5.09,4.28,3.03,3.84,5.5,5.38,3.97,3.38,3.91,4.12,2.94,3.25,4.97,6.38,6.06,5.72,6.72,7.91,7.19,5.94,6.12,7.22,7.25,6.62,6.78,7.94,8.31,6.12,4.03,3.16,1.84,-0.5,-1.81,-0.62,1.78,3.19,3.97,6.09,8.38,8.84,8.34,8.44,9.53,10.25,9.22,8.78,10.03,11.25,10.81,9.88,10.5,10.72,9.34,6.94,5.94,6.19,5.97,5.41,6.06,7.84,9.5,8.75,7.97,9.03,10.12,9.59,8.84,9.75,11.28,11.41,10.75,11.03,12.53,12.66,11.66,11.62,13.0,14.44,13.59,12.94,13.56,13.94,12.28,10.12,9.25,8.88,6.81,3.75,2.5,2.66,2.94,2.5,3.0,4.81,6.88,14.41,13.75,12.62,11.66,11.16,11.0,10.59,11.06,12.19,13.19,13.75,14.44,15.47,16.09,15.97,15.53,15.72,16.22,16.59,16.69,17.53:-1.91,-2.66,-4.72,-6.41,-6.62,-7.03,-9.09,-10.53,-9.34,-7.22,-5.69,-4.72,-2.72,-0.72,-0.62,-2.19,-3.16,-3.25,-3.84,-5.84,-7.0,-6.69,-6.09,-6.34,-6.56,-4.81,-2.41,-1.62,-2.12,-1.31,-0.75,-1.5,-3.84,-5.59,-6.19,-6.97,-9.31,-10.34,-9.16,-7.06,-5.66,-3.72,0.12,4.5,7.12,8.28,9.59,11.56,11.97,10.28,8.88,8.03,6.84,3.62,0.66,-0.56,-1.47,-3.53,-6.31,-7.44,-7.88,-8.81,-10.25,-9.62,-7.91,-6.66,-6.97,-6.91,-5.69,-4.5,-5.06,-5.0,-3.62,-2.31,-2.81,-4.44,-5.41,-5.88,-7.44,-9.72,-10.94,-10.5,-10.19,-11.06,-11.28,-9.84,-8.03,-8.09,-8.38,-7.66,-6.44,-6.5,-7.41,-6.81,-4.97,-3.72,-3.84,-2.78,-0.72,0.47,-0.66,-1.72,-1.78,-1.94,-3.25,-5.16,-5.81,-5.88,-7.09,-8.88,-9.09,-7.72,-6.38,-5.91,-4.44,-1.53,0.75,1.28,1.53,2.56,4.09,4.06,2.62,2.12,2.44,1.31,-0.03,-0.34,0.69,1.28,0.81,1.06,3.09,5.91,6.84,7.47,9.19,10.88,10.25,8.44,7.0,6.31,4.66,1.72,-0.03,0.38,0.66,-0.56,-1.03,0.22,1.56,0.66,-0.94,-1.41,-1.31,-2.59,-4.0,-3.53,-2.19,-1.78,-3.09,-4.34,-4.28,-4.62,-5.91,-5.97,-3.91,-0.72,0.28,0.56,0.91,1.12,-0.31,-2.81,-3.75,-3.19,-2.84,-3.97,-4.44,-3.5,-2.66,-3.56,-3.78,-2.44,-0.28,0.03,-0.59,-0.66,0.06,-0.56,-2.59,-3.38,-2.31,-2.03,-3.28,-3.88,-2.84,-1.84,-2.66,-3.56,-2.97,-2.31,-3.59,-5.94,-6.62,-5.5,-5.03,-4.69,-3.22,-0.72,1.12,0.66,0.03,0.88,1.53,0.81,-0.03,0.88,2.47,2.28,1.31,1.5,2.97,3.16,2.44,2.16,3.06,3.22,0.88,-1.09,-1.28,-0.59,-0.78,-1.0,0.12,1.97,1.5,0.12,-0.72,-0.62,-1.5,-4.06,-5.66,-5.31,-4.62,-5.12,-5.19,-3.59,-1.47,-0.5,-0.03,2.03,5.38,7.5,8.38,10.03,12.78,14.41,14.12,13.91,14.78,15.28,13.88,12.25,11.91,12.16,10.81,8.47,8.03,8.28,7.5,5.91,4.97,5.75,6.47,6.09,5.84,7.34,9.19,9.25,9.0,10.5,12.31,12.31,10.56,9.53,8.69,6.78,3.84,1.5,1.44,0.94,-0.69,-2.0,-1.66,-0.53,-1.06,-1.47,-0.12,1.72,1.81,0.28,-0.28,0.06,0.09,-0.59,-0.84,1.0,2.81,3.19,4.03,6.41,9.47,10.59,10.88,11.84,13.06,13.09,11.31,9.84,9.62,7.69,4.19,0.81,-0.75,-1.94,-4.06,-5.56,-4.91,-3.31,-3.22,-3.62,-3.0,-1.56,-0.91,-1.41,-1.41,0.16,1.19,0.53,-0.47,0.38,1.16,0.69,0.34,1.72,3.78,4.31,3.94,4.56,5.91,6.56,5.69,4.97,5.66,5.69,4.19,2.41,2.94,3.88,3.81,3.22,4.03,5.28,5.06,4.12,4.12,5.97,7.59,7.81,7.97,9.47,9.41,7.12,3.69,2.06,0.53,-1.34,-3.19,-3.28,-2.16,-1.91,-3.0,-3.59,-2.28,-1.75,-2.47,-2.53,-0.81,1.0,1.06,0.84,2.0,2.94,3.06,1.97,1.91,3.41,4.06,3.47,3.41,5.22,5.81,4.53,3.03,3.09,3.31,1.81,-0.12,-0.41,-0.44,-1.53,-3.75,-4.84,-4.47,-4.28,-5.22,-5.0,-3.44,-2.28,-3.09,-3.81,-3.28,-2.25,-2.78,-3.56,-3.09,-2.19,-2.16,-3.5,-3.97,-2.97,-2.69,-3.34,-2.88,-0.59,1.84,2.28,2.25,3.06,4.0,3.28,1.72,1.03,0.84,-0.53,-2.91,-4.31,-4.06,-4.0,-5.09,-5.44,-3.78,-1.62,-1.03,-0.59,1.38,3.09,3.75,3.72,5.22,6.97,8.03,6.84,5.75,5.78,5.56,4.44,3.47,4.03,4.0,2.28,-0.81,-2.66,-2.69,-3.19,-3.59,-1.97,1.06,3.56,4.19,4.81,6.5,7.19,5.75,4.09,4.16,4.41,3.59,2.84,3.12,3.66,2.53,0.16,-1.75,-2.62,-3.88,-6.03,-6.97,-6.06,-4.78,-4.25,-4.25,-2.72,-1.0,-0.59,-1.34,-1.38,-1.06,-2.22,-4.78,-6.28,-6.0,-4.94,-4.81,-4.31,-2.62,-1.34,-2.59,-4.0,-4.12,-3.78,-3.91,-4.34,-3.25,-1.47,-0.28,-0.44,-0.53,0.44,1.25,0.38,-0.5,-0.03,0.66,-0.44,-1.88,-2.34,-2.53,-3.47,-5.56,-6.09,-4.91,-3.91,-3.44,-2.56,-0.31,1.69,1.97,2.06,2.69,3.81,2.94,1.5,1.22,1.78,1.53,0.56,0.22,0.59,0.22,-1.88,-4.19,-5.44,-6.09,-7.38,-7.69,-6.12,-3.56,-2.34,-2.62,-2.97,-3.62,-5.41,-8.53,-10.59,-10.66,-9.91,-9.78,-8.75,-6.28,-3.19,-1.62,-0.03,2.91,6.59,8.53,9.41,10.16,10.94,10.88,9.12,8.0,8.09,8.03,6.59,4.66,4.12,3.66,2.19,0.88,1.06,2.56,2.91,1.81,1.25,1.12,0.34,-1.47,-2.19,-0.78,1.81,3.28,4.25,6.12,7.31,6.16,3.75,1.59,-0.09,-2.5,-6.22,-8.28,-8.56,-8.09,-8.47,-8.44,-6.88,-5.03,-5.0,-5.47,-4.97,-4.22,-5.38,-7.38,-8.81,-8.72,-9.09,-10.09,-10.03,-8.38,-6.72,-7.03,-7.72,-7.69,-7.94,-9.66,-11.69,-12.0,-10.53,-10.0,-9.84,-9.0,-6.75,-5.59,-5.94,-6.09,-4.75,-3.53,-4.06,-3.97,-3.0,-1.62,-1.97,-3.16,-3.72,-3.69,-4.91,-6.84,-7.53,-6.19,-5.38,-5.72,-5.97,-5.19,-4.69,-6.19,-7.81,-8.16,-8.06,-9.16,-10.66,-10.94,-9.91,-9.88,-11.0,-11.28,-10.16,-9.47,-9.97,-10.16,-8.78,-7.53,-7.25,-7.09,-5.72,-3.88,-2.75,-2.88,-2.44,-0.31,0.56,0.5,0.19,1.25,1.38,0.28,-0.88,-0.41,0.78,-0.12,-2.31,-3.12,-3.12,-4.34,-5.41,-5.09,-2.62,-0.72,-0.12,0.81,2.97,4.19,3.47,1.75,0.72,-0.25,-2.75,-5.31,-6.56,-5.84,-5.75,-5.69,-4.56,-1.94,0.22,1.31,2.22,3.91,5.47,5.84,6.22,8.03,10.44,11.41,10.72,9.97,9.81,8.25,5.62,3.72,3.19,2.78,1.47,0.53,1.06,1.62,0.44,-1.44,-2.06,-2.09,-2.81,-3.66,-3.31,-1.91,-1.0,-0.44,0.69,3.69,6.69,8.25,9.16,10.94,12.03,10.94,8.5,6.84,5.56,3.53,0.81,-0.81,-0.47,-0.53,-0.97,-0.78,0.88,2.81,3.06,2.44,3.44,4.38,4.09,3.0,3.38,4.19,4.0,2.59,1.47,1.22,0.47,-1.31,-2.81,-2.53,-1.59,-2.16,-3.5,-3.22,-2.84,-3.19,-3.38,-2.47,-0.34,1.28,1.78,2.16,3.5,4.12,2.91,0.72,0.0,-1.0,-3.06,-5.06,-5.31,-4.16,-3.34,-3.0,-1.53,0.81,2.28,2.66,2.72,4.31,5.5,5.25,4.72,5.5,6.38,5.53,3.41,2.16,1.72,0.75,-1.03,-1.41,-0.22,0.75,0.53,0.84,2.69,4.62,4.97,4.72,5.94,7.06,6.72,5.41,5.28,6.06,6.0,5.16,5.41,6.88,8.34,8.66,8.97,10.78,12.44,12.62,11.72,11.91,11.88,9.91,6.25,3.53,2.25,0.28,-2.19,-3.22,-2.0,-1.09,-1.03,-1.53,-0.16,1.22,1.56,1.81,4.19,7.28,8.47,8.25,8.62,9.84,10.59,10.34,10.66,12.59,13.62,12.84,11.31,11.0,10.88,9.12,6.5,5.41,4.91,3.25,1.03,-0.12,0.28,0.97,0.66,1.5,4.31,6.78,7.38,7.0,7.25,7.28,6.06,4.59,4.62,6.41,7.22,6.31,5.69,5.66,4.41,1.38,-1.09,-1.78,-1.72,-2.88,-3.72,-3.25,-2.69,-3.88,-6.31,-7.72,-8.0,-8.81,-10.69,-11.03,-9.47,-7.81,-7.22,-6.41,-4.12,-1.62,-1.28,-1.34,-0.31,0.38,-0.03,-1.75,-1.47,0.12,1.25,1.03,1.53,2.91,4.19,4.03,3.84,5.28,6.62,5.81,4.06,3.28,2.91,1.44,-1.12,-2.0,-1.25,-0.66,-1.28,-0.81,1.12,2.75,2.19,1.66,2.5,3.34,2.53,0.94,0.97,1.53,1.31,0.28,0.38,1.72,2.28,1.44,1.06,1.66,2.03,0.66,-0.66,-0.12,1.12,0.94,-0.31,-1.12,-1.25,-2.62,-5.16,-5.97,-5.09,-4.34,-5.22,-6.06,-5.0,-4.38,-5.31,-6.09,-5.0,-2.47,-0.84,0.78,4.12,8.44,11.28,11.44,11.88,12.09,11.16,8.28,5.84,4.88,5.09,4.28,3.03,3.84,5.5,5.38,3.97,3.38,3.91,4.12,2.94,3.25,4.97,6.38,6.06,5.72,6.72,7.91,7.19,5.94,6.12,7.22,7.25,6.62,6.78,7.94,8.31,6.12,4.03,3.16,1.84,-0.5,-1.81,-0.62,1.78,3.19,3.97,6.09,8.38,8.84,8.34,8.44,9.53,10.25,9.22,8.78,10.03,11.25,10.81,9.88,10.5,10.72,9.34,6.94,5.94,6.19,5.97,5.41,6.06,7.84,9.5,8.75,7.97,9.03,10.12,9.59,8.84,9.75,11.28,11.41,10.75,11.03,12.53,12.66,11.66,11.62,13.0,14.44,13.59,12.94,13.56,13.94,12.28,10.12,9.25,8.88,6.81,3.75,2.5,2.66,2.94,2.5,3.0,4.81,6.88,14.41,13.75,12.62,11.66,11.16,11.0,10.59,11.06,12.19,13.19,13.75,14.44,15.47,16.09,15.97,15.53,15.72,16.22,16.59,16.69,17.53,18.78,19.53,19.62,19.5,19.47,18.72,17.12:-10.53,-9.34,-7.22,-5.69,-4.72,-2.72,-0.72,-0.62,-2.19,-3.16,-3.25,-3.84,-5.84,-7.0,-6.69,-6.09,-6.34,-6.56,-4.81,-2.41,-1.62,-2.12,-1.31,-0.75,-1.5,-3.84,-5.59,-6.19,-6.97,-9.31,-10.34,-9.16,-7.06,-5.66,-3.72,0.12,4.5,7.12,8.28,9.59,11.56,11.97,10.28,8.88,8.03,6.84,3.62,0.66,-0.56,-1.47,-3.53,-6.31,-7.44,-7.88,-8.81,-10.25,-9.62,-7.91,-6.66,-6.97,-6.91,-5.69,-4.5,-5.06,-5.0,-3.62,-2.31,-2.81,-4.44,-5.41,-5.88,-7.44,-9.72,-10.94,-10.5,-10.19,-11.06,-11.28,-9.84,-8.03,-8.09,-8.38,-7.66,-6.44,-6.5,-7.41,-6.81,-4.97,-3.72,-3.84,-2.78,-0.72,0.47,-0.66,-1.72,-1.78,-1.94,-3.25,-5.16,-5.81,-5.88,-7.09,-8.88,-9.09,-7.72,-6.38,-5.91,-4.44,-1.53,0.75,1.28,1.53,2.56,4.09,4.06,2.62,2.12,2.44,1.31,-0.03,-0.34,0.69,1.28,0.81,1.06,3.09,5.91,6.84,7.47,9.19,10.88,10.25,8.44,7.0,6.31,4.66,1.72,-0.03,0.38,0.66,-0.56,-1.03,0.22,1.56,0.66,-0.94,-1.41,-1.31,-2.59,-4.0,-3.53,-2.19,-1.78,-3.09,-4.34,-4.28,-4.62,-5.91,-5.97,-3.91,-0.72,0.28,0.56,0.91,1.12,-0.31,-2.81,-3.75,-3.19,-2.84,-3.97,-4.44,-3.5,-2.66,-3.56,-3.78,-2.44,-0.28,0.03,-0.59,-0.66,0.06,-0.56,-2.59,-3.38,-2.31,-2.03,-3.28,-3.88,-2.84,-1.84,-2.66,-3.56,-2.97,-2.31,-3.59,-5.94,-6.62,-5.5,-5.03,-4.69,-3.22,-0.72,1.12,0.66,0.03,0.88,1.53,0.81,-0.03,0.88,2.47,2.28,1.31,1.5,2.97,3.16,2.44,2.16,3.06,3.22,0.88,-1.09,-1.28,-0.59,-0.78,-1.0,0.12,1.97,1.5,0.12,-0.72,-0.62,-1.5,-4.06,-5.66,-5.31,-4.62,-5.12,-5.19,-3.59,-1.47,-0.5,-0.03,2.03,5.38,7.5,8.38,10.03,12.78,14.41,14.12,13.91,14.78,15.28,13.88,12.25,11.91,12.16,10.81,8.47,8.03,8.28,7.5,5.91,4.97,5.75,6.47,6.09,5.84,7.34,9.19,9.25,9.0,10.5,12.31,12.31,10.56,9.53,8.69,6.78,3.84,1.5,1.44,0.94,-0.69,-2.0,-1.66,-0.53,-1.06,-1.47,-0.12,1.72,1.81,0.28,-0.28,0.06,0.09,-0.59,-0.84,1.0,2.81,3.19,4.03,6.41,9.47,10.59,10.88,11.84,13.06,13.09,11.31,9.84,9.62,7.69,4.19,0.81,-0.75,-1.94,-4.06,-5.56,-4.91,-3.31,-3.22,-3.62,-3.0,-1.56,-0.91,-1.41,-1.41,0.16,1.19,0.53,-0.47,0.38,1.16,0.69,0.34,1.72,3.78,4.31,3.94,4.56,5.91,6.56,5.69,4.97,5.66,5.69,4.19,2.41,2.94,3.88,3.81,3.22,4.03,5.28,5.06,4.12,4.12,5.97,7.59,7.81,7.97,9.47,9.41,7.12,3.69,2.06,0.53,-1.34,-3.19,-3.28,-2.16,-1.91,-3.0,-3.59,-2.28,-1.75,-2.47,-2.53,-0.81,1.0,1.06,0.84,2.0,2.94,3.06,1.97,1.91,3.41,4.06,3.47,3.41,5.22,5.81,4.53,3.03,3.09,3.31,1.81,-0.12,-0.41,-0.44,-1.53,-3.75,-4.84,-4.47,-4.28,-5.22,-5.0,-3.44,-2.28,-3.09,-3.81,-3.28,-2.25,-2.78,-3.56,-3.09,-2.19,-2.16,-3.5,-3.97,-2.97,-2.69,-3.34,-2.88,-0.59,1.84,2.28,2.25,3.06,4.0,3.28,1.72,1.03,0.84,-0.53,-2.91,-4.31,-4.06,-4.0,-5.09,-5.44,-3.78,-1.62,-1.03,-0.59,1.38,3.09,3.75,3.72,5.22,6.97,8.03,6.84,5.75,5.78,5.56,4.44,3.47,4.03,4.0,2.28,-0.81,-2.66,-2.69,-3.19,-3.59,-1.97,1.06,3.56,4.19,4.81,6.5,7.19,5.75,4.09,4.16,4.41,3.59,2.84,3.12,3.66,2.53,0.16,-1.75,-2.62,-3.88,-6.03,-6.97,-6.06,-4.78,-4.25,-4.25,-2.72,-1.0,-0.59,-1.34,-1.38,-1.06,-2.22,-4.78,-6.28,-6.0,-4.94,-4.81,-4.31,-2.62,-1.34,-2.59,-4.0,-4.12,-3.78,-3.91,-4.34,-3.25,-1.47,-0.28,-0.44,-0.53,0.44,1.25,0.38,-0.5,-0.03,0.66,-0.44,-1.88,-2.34,-2.53,-3.47,-5.56,-6.09,-4.91,-3.91,-3.44,-2.56,-0.31,1.69,1.97,2.06,2.69,3.81,2.94,1.5,1.22,1.78,1.53,0.56,0.22,0.59,0.22,-1.88,-4.19,-5.44,-6.09,-7.38,-7.69,-6.12,-3.56,-2.34,-2.62,-2.97,-3.62,-5.41,-8.53,-10.59,-10.66,-9.91,-9.78,-8.75,-6.28,-3.19,-1.62,-0.03,2.91,6.59,8.53,9.41,10.16,10.94,10.88,9.12,8.0,8.09,8.03,6.59,4.66,4.12,3.66,2.19,0.88,1.06,2.56,2.91,1.81,1.25,1.12,0.34,-1.47,-2.19,-0.78,1.81,3.28,4.25,6.12,7.31,6.16,3.75,1.59,-0.09,-2.5,-6.22,-8.28,-8.56,-8.09,-8.47,-8.44,-6.88,-5.03,-5.0,-5.47,-4.97,-4.22,-5.38,-7.38,-8.81,-8.72,-9.09,-10.09,-10.03,-8.38,-6.72,-7.03,-7.72,-7.69,-7.94,-9.66,-11.69,-12.0,-10.53,-10.0,-9.84,-9.0,-6.75,-5.59,-5.94,-6.09,-4.75,-3.53,-4.06,-3.97,-3.0,-1.62,-1.97,-3.16,-3.72,-3.69,-4.91,-6.84,-7.53,-6.19,-5.38,-5.72,-5.97,-5.19,-4.69,-6.19,-7.81,-8.16,-8.06,-9.16,-10.66,-10.94,-9.91,-9.88,-11.0,-11.28,-10.16,-9.47,-9.97,-10.16,-8.78,-7.53,-7.25,-7.09,-5.72,-3.88,-2.75,-2.88,-2.44,-0.31,0.56,0.5,0.19,1.25,1.38,0.28,-0.88,-0.41,0.78,-0.12,-2.31,-3.12,-3.12,-4.34,-5.41,-5.09,-2.62,-0.72,-0.12,0.81,2.97,4.19,3.47,1.75,0.72,-0.25,-2.75,-5.31,-6.56,-5.84,-5.75,-5.69,-4.56,-1.94,0.22,1.31,2.22,3.91,5.47,5.84,6.22,8.03,10.44,11.41,10.72,9.97,9.81,8.25,5.62,3.72,3.19,2.78,1.47,0.53,1.06,1.62,0.44,-1.44,-2.06,-2.09,-2.81,-3.66,-3.31,-1.91,-1.0,-0.44,0.69,3.69,6.69,8.25,9.16,10.94,12.03,10.94,8.5,6.84,5.56,3.53,0.81,-0.81,-0.47,-0.53,-0.97,-0.78,0.88,2.81,3.06,2.44,3.44,4.38,4.09,3.0,3.38,4.19,4.0,2.59,1.47,1.22,0.47,-1.31,-2.81,-2.53,-1.59,-2.16,-3.5,-3.22,-2.84,-3.19,-3.38,-2.47,-0.34,1.28,1.78,2.16,3.5,4.12,2.91,0.72,0.0,-1.0,-3.06,-5.06,-5.31,-4.16,-3.34,-3.0,-1.53,0.81,2.28,2.66,2.72,4.31,5.5,5.25,4.72,5.5,6.38,5.53,3.41,2.16,1.72,0.75,-1.03,-1.41,-0.22,0.75,0.53,0.84,2.69,4.62,4.97,4.72,5.94,7.06,6.72,5.41,5.28,6.06,6.0,5.16,5.41,6.88,8.34,8.66,8.97,10.78,12.44,12.62,11.72,11.91,11.88,9.91,6.25,3.53,2.25,0.28,-2.19,-3.22,-2.0,-1.09,-1.03,-1.53,-0.16,1.22,1.56,1.81,4.19,7.28,8.47,8.25,8.62,9.84,10.59,10.34,10.66,12.59,13.62,12.84,11.31,11.0,10.88,9.12,6.5,5.41,4.91,3.25,1.03,-0.12,0.28,0.97,0.66,1.5,4.31,6.78,7.38,7.0,7.25,7.28,6.06,4.59,4.62,6.41,7.22,6.31,5.69,5.66,4.41,1.38,-1.09,-1.78,-1.72,-2.88,-3.72,-3.25,-2.69,-3.88,-6.31,-7.72,-8.0,-8.81,-10.69,-11.03,-9.47,-7.81,-7.22,-6.41,-4.12,-1.62,-1.28,-1.34,-0.31,0.38,-0.03,-1.75,-1.47,0.12,1.25,1.03,1.53,2.91,4.19,4.03,3.84,5.28,6.62,5.81,4.06,3.28,2.91,1.44,-1.12,-2.0,-1.25,-0.66,-1.28,-0.81,1.12,2.75,2.19,1.66,2.5,3.34,2.53,0.94,0.97,1.53,1.31,0.28,0.38,1.72,2.28,1.44,1.06,1.66,2.03,0.66,-0.66,-0.12,1.12,0.94,-0.31,-1.12,-1.25,-2.62,-5.16,-5.97,-5.09,-4.34,-5.22,-6.06,-5.0,-4.38,-5.31,-6.09,-5.0,-2.47,-0.84,0.78,4.12,8.44,11.28,11.44,11.88,12.09,11.16,8.28,5.84,4.88,5.09,4.28,3.03,3.84,5.5,5.38,3.97,3.38,3.91,4.12,2.94,3.25,4.97,6.38,6.06,5.72,6.72,7.91,7.19,5.94,6.12,7.22,7.25,6.62,6.78,7.94,8.31,6.12,4.03,3.16,1.84,-0.5,-1.81,-0.62,1.78,3.19,3.97,6.09,8.38,8.84,8.34,8.44,9.53,10.25,9.22,8.78,10.03,11.25,10.81,9.88,10.5,10.72,9.34,6.94,5.94,6.19,5.97,5.41,6.06,7.84,9.5,8.75,7.97,9.03,10.12,9.59,8.84,9.75,11.28,11.41,10.75,11.03,12.53,12.66,11.66,11.62,13.0,14.44,13.59,12.94,13.56,13.94,12.28,10.12,9.25,8.88,6.81,3.75,2.5,2.66,2.94,2.5,3.0,4.81,6.88,14.41,13.75,12.62,11.66,11.16,11.0,10.59,11.06,12.19,13.19,13.75,14.44,15.47,16.09,15.97,15.53,15.72,16.22,16.59,16.69,17.53,18.78,19.53,19.62,19.5,19.47,18.72,17.12,15.44,14.19,13.22,11.84,10.34,9.34,9.12:-0.62,-2.19,-3.16,-3.25,-3.84,-5.84,-7.0,-6.69,-6.09,-6.34,-6.56,-4.81,-2.41,-1.62,-2.12,-1.31,-0.75,-1.5,-3.84,-5.59,-6.19,-6.97,-9.31,-10.34,-9.16,-7.06,-5.66,-3.72,0.12,4.5,7.12,8.28,9.59,11.56,11.97,10.28,8.88,8.03,6.84,3.62,0.66,-0.56,-1.47,-3.53,-6.31,-7.44,-7.88,-8.81,-10.25,-9.62,-7.91,-6.66,-6.97,-6.91,-5.69,-4.5,-5.06,-5.0,-3.62,-2.31,-2.81,-4.44,-5.41,-5.88,-7.44,-9.72,-10.94,-10.5,-10.19,-11.06,-11.28,-9.84,-8.03,-8.09,-8.38,-7.66,-6.44,-6.5,-7.41,-6.81,-4.97,-3.72,-3.84,-2.78,-0.72,0.47,-0.66,-1.72,-1.78,-1.94,-3.25,-5.16,-5.81,-5.88,-7.09,-8.88,-9.09,-7.72,-6.38,-5.91,-4.44,-1.53,0.75,1.28,1.53,2.56,4.09,4.06,2.62,2.12,2.44,1.31,-0.03,-0.34,0.69,1.28,0.81,1.06,3.09,5.91,6.84,7.47,9.19,10.88,10.25,8.44,7.0,6.31,4.66,1.72,-0.03,0.38,0.66,-0.56,-1.03,0.22,1.56,0.66,-0.94,-1.41,-1.31,-2.59,-4.0,-3.53,-2.19,-1.78,-3.09,-4.34,-4.28,-4.62,-5.91,-5.97,-3.91,-0.72,0.28,0.56,0.91,1.12,-0.31,-2.81,-3.75,-3.19,-2.84,-3.97,-4.44,-3.5,-2.66,-3.56,-3.78,-2.44,-0.28,0.03,-0.59,-0.66,0.06,-0.56,-2.59,-3.38,-2.31,-2.03,-3.28,-3.88,-2.84,-1.84,-2.66,-3.56,-2.97,-2.31,-3.59,-5.94,-6.62,-5.5,-5.03,-4.69,-3.22,-0.72,1.12,0.66,0.03,0.88,1.53,0.81,-0.03,0.88,2.47,2.28,1.31,1.5,2.97,3.16,2.44,2.16,3.06,3.22,0.88,-1.09,-1.28,-0.59,-0.78,-1.0,0.12,1.97,1.5,0.12,-0.72,-0.62,-1.5,-4.06,-5.66,-5.31,-4.62,-5.12,-5.19,-3.59,-1.47,-0.5,-0.03,2.03,5.38,7.5,8.38,10.03,12.78,14.41,14.12,13.91,14.78,15.28,13.88,12.25,11.91,12.16,10.81,8.47,8.03,8.28,7.5,5.91,4.97,5.75,6.47,6.09,5.84,7.34,9.19,9.25,9.0,10.5,12.31,12.31,10.56,9.53,8.69,6.78,3.84,1.5,1.44,0.94,-0.69,-2.0,-1.66,-0.53,-1.06,-1.47,-0.12,1.72,1.81,0.28,-0.28,0.06,0.09,-0.59,-0.84,1.0,2.81,3.19,4.03,6.41,9.47,10.59,10.88,11.84,13.06,13.09,11.31,9.84,9.62,7.69,4.19,0.81,-0.75,-1.94,-4.06,-5.56,-4.91,-3.31,-3.22,-3.62,-3.0,-1.56,-0.91,-1.41,-1.41,0.16,1.19,0.53,-0.47,0.38,1.16,0.69,0.34,1.72,3.78,4.31,3.94,4.56,5.91,6.56,5.69,4.97,5.66,5.69,4.19,2.41,2.94,3.88,3.81,3.22,4.03,5.28,5.06,4.12,4.12,5.97,7.59,7.81,7.97,9.47,9.41,7.12,3.69,2.06,0.53,-1.34,-3.19,-3.28,-2.16,-1.91,-3.0,-3.59,-2.28,-1.75,-2.47,-2.53,-0.81,1.0,1.06,0.84,2.0,2.94,3.06,1.97,1.91,3.41,4.06,3.47,3.41,5.22,5.81,4.53,3.03,3.09,3.31,1.81,-0.12,-0.41,-0.44,-1.53,-3.75,-4.84,-4.47,-4.28,-5.22,-5.0,-3.44,-2.28,-3.09,-3.81,-3.28,-2.25,-2.78,-3.56,-3.09,-2.19,-2.16,-3.5,-3.97,-2.97,-2.69,-3.34,-2.88,-0.59,1.84,2.28,2.25,3.06,4.0,3.28,1.72,1.03,0.84,-0.53,-2.91,-4.31,-4.06,-4.0,-5.09,-5.44,-3.78,-1.62,-1.03,-0.59,1.38,3.09,3.75,3.72,5.22,6.97,8.03,6.84,5.75,5.78,5.56,4.44,3.47,4.03,4.0,2.28,-0.81,-2.66,-2.69,-3.19,-3.59,-1.97,1.06,3.56,4.19,4.81,6.5,7.19,5.75,4.09,4.16,4.41,3.59,2.84,3.12,3.66,2.53,0.16,-1.75,-2.62,-3.88,-6.03,-6.97,-6.06,-4.78,-4.25,-4.25,-2.72,-1.0,-0.59,-1.34,-1.38,-1.06,-2.22,-4.78,-6.28,-6.0,-4.94,-4.81,-4.31,-2.62,-1.34,-2.59,-4.0,-4.12,-3.78,-3.91,-4.34,-3.25,-1.47,-0.28,-0.44,-0.53,0.44,1.25,0.38,-0.5,-0.03,0.66,-0.44,-1.88,-2.34,-2.53,-3.47,-5.56,-6.09,-4.91,-3.91,-3.44,-2.56,-0.31,1.69,1.97,2.06,2.69,3.81,2.94,1.5,1.22,1.78,1.53,0.56,0.22,0.59,0.22,-1.88,-4.19,-5.44,-6.09,-7.38,-7.69,-6.12,-3.56,-2.34,-2.62,-2.97,-3.62,-5.41,-8.53,-10.59,-10.66,-9.91,-9.78,-8.75,-6.28,-3.19,-1.62,-0.03,2.91,6.59,8.53,9.41,10.16,10.94,10.88,9.12,8.0,8.09,8.03,6.59,4.66,4.12,3.66,2.19,0.88,1.06,2.56,2.91,1.81,1.25,1.12,0.34,-1.47,-2.19,-0.78,1.81,3.28,4.25,6.12,7.31,6.16,3.75,1.59,-0.09,-2.5,-6.22,-8.28,-8.56,-8.09,-8.47,-8.44,-6.88,-5.03,-5.0,-5.47,-4.97,-4.22,-5.38,-7.38,-8.81,-8.72,-9.09,-10.09,-10.03,-8.38,-6.72,-7.03,-7.72,-7.69,-7.94,-9.66,-11.69,-12.0,-10.53,-10.0,-9.84,-9.0,-6.75,-5.59,-5.94,-6.09,-4.75,-3.53,-4.06,-3.97,-3.0,-1.62,-1.97,-3.16,-3.72,-3.69,-4.91,-6.84,-7.53,-6.19,-5.38,-5.72,-5.97,-5.19,-4.69,-6.19,-7.81,-8.16,-8.06,-9.16,-10.66,-10.94,-9.91,-9.88,-11.0,-11.28,-10.16,-9.47,-9.97,-10.16,-8.78,-7.53,-7.25,-7.09,-5.72,-3.88,-2.75,-2.88,-2.44,-0.31,0.56,0.5,0.19,1.25,1.38,0.28,-0.88,-0.41,0.78,-0.12,-2.31,-3.12,-3.12,-4.34,-5.41,-5.09,-2.62,-0.72,-0.12,0.81,2.97,4.19,3.47,1.75,0.72,-0.25,-2.75,-5.31,-6.56,-5.84,-5.75,-5.69,-4.56,-1.94,0.22,1.31,2.22,3.91,5.47,5.84,6.22,8.03,10.44,11.41,10.72,9.97,9.81,8.25,5.62,3.72,3.19,2.78,1.47,0.53,1.06,1.62,0.44,-1.44,-2.06,-2.09,-2.81,-3.66,-3.31,-1.91,-1.0,-0.44,0.69,3.69,6.69,8.25,9.16,10.94,12.03,10.94,8.5,6.84,5.56,3.53,0.81,-0.81,-0.47,-0.53,-0.97,-0.78,0.88,2.81,3.06,2.44,3.44,4.38,4.09,3.0,3.38,4.19,4.0,2.59,1.47,1.22,0.47,-1.31,-2.81,-2.53,-1.59,-2.16,-3.5,-3.22,-2.84,-3.19,-3.38,-2.47,-0.34,1.28,1.78,2.16,3.5,4.12,2.91,0.72,0.0,-1.0,-3.06,-5.06,-5.31,-4.16,-3.34,-3.0,-1.53,0.81,2.28,2.66,2.72,4.31,5.5,5.25,4.72,5.5,6.38,5.53,3.41,2.16,1.72,0.75,-1.03,-1.41,-0.22,0.75,0.53,0.84,2.69,4.62,4.97,4.72,5.94,7.06,6.72,5.41,5.28,6.06,6.0,5.16,5.41,6.88,8.34,8.66,8.97,10.78,12.44,12.62,11.72,11.91,11.88,9.91,6.25,3.53,2.25,0.28,-2.19,-3.22,-2.0,-1.09,-1.03,-1.53,-0.16,1.22,1.56,1.81,4.19,7.28,8.47,8.25,8.62,9.84,10.59,10.34,10.66,12.59,13.62,12.84,11.31,11.0,10.88,9.12,6.5,5.41,4.91,3.25,1.03,-0.12,0.28,0.97,0.66,1.5,4.31,6.78,7.38,7.0,7.25,7.28,6.06,4.59,4.62,6.41,7.22,6.31,5.69,5.66,4.41,1.38,-1.09,-1.78,-1.72,-2.88,-3.72,-3.25,-2.69,-3.88,-6.31,-7.72,-8.0,-8.81,-10.69,-11.03,-9.47,-7.81,-7.22,-6.41,-4.12,-1.62,-1.28,-1.34,-0.31,0.38,-0.03,-1.75,-1.47,0.12,1.25,1.03,1.53,2.91,4.19,4.03,3.84,5.28,6.62,5.81,4.06,3.28,2.91,1.44,-1.12,-2.0,-1.25,-0.66,-1.28,-0.81,1.12,2.75,2.19,1.66,2.5,3.34,2.53,0.94,0.97,1.53,1.31,0.28,0.38,1.72,2.28,1.44,1.06,1.66,2.03,0.66,-0.66,-0.12,1.12,0.94,-0.31,-1.12,-1.25,-2.62,-5.16,-5.97,-5.09,-4.34,-5.22,-6.06,-5.0,-4.38,-5.31,-6.09,-5.0,-2.47,-0.84,0.78,4.12,8.44,11.28,11.44,11.88,12.09,11.16,8.28,5.84,4.88,5.09,4.28,3.03,3.84,5.5,5.38,3.97,3.38,3.91,4.12,2.94,3.25,4.97,6.38,6.06,5.72,6.72,7.91,7.19,5.94,6.12,7.22,7.25,6.62,6.78,7.94,8.31,6.12,4.03,3.16,1.84,-0.5,-1.81,-0.62,1.78,3.19,3.97,6.09,8.38,8.84,8.34,8.44,9.53,10.25,9.22,8.78,10.03,11.25,10.81,9.88,10.5,10.72,9.34,6.94,5.94,6.19,5.97,5.41,6.06,7.84,9.5,8.75,7.97,9.03,10.12,9.59,8.84,9.75,11.28,11.41,10.75,11.03,12.53,12.66,11.66,11.62,13.0,14.44,13.59,12.94,13.56,13.94,12.28,10.12,9.25,8.88,6.81,3.75,2.5,2.66,2.94,2.5,3.0,4.81,6.88,14.41,13.75,12.62,11.66,11.16,11.0,10.59,11.06,12.19,13.19,13.75,14.44,15.47,16.09,15.97,15.53,15.72,16.22,16.59,16.69,17.53,18.78,19.53,19.62,19.5,19.47,18.72,17.12,15.44,14.19,13.22,11.84,10.34,9.34,9.12,9.22,9.66,11.19,14.06,16.19,17.47,18.22:positivity
11.03,10.5,9.62,8.19,8.31,9.25,10.31,11.22,13.38,16.72,19.88,21.38,22.53,23.78,23.84,22.28,20.0,18.81,17.84,16.78,15.62,15.78,16.47,16.75,15.81,15.53,16.59,17.41,17.62,17.5,17.72,17.56,15.94,13.94,12.88,12.84,12.38,11.28,11.34,12.06,12.91,12.75,13.19,14.28,15.38,15.5,15.94,17.5,19.59,20.31,19.81,19.38,18.5,16.25,13.38,11.75,11.81,12.59,12.91,13.84,15.31,15.91,14.75,13.06,12.19,12.0,11.44,11.19,11.91,13.38,14.69,14.94,15.88,17.34,18.56,18.25,18.0,18.28,18.72,18.06,17.28,17.59,18.72,19.25,20.0,21.53,23.59,25.19,25.0,24.56,23.91,23.22,21.56,20.69,21.34,22.59,22.34,21.69,21.44,20.5,19.06,17.34,16.5,17.03,18.22,18.91,20.09,21.75,23.41,23.75,23.53,24.12,24.69,24.19,22.88,21.66,20.62,18.56,16.38,15.0,14.75,15.38,15.03,15.16,15.78,15.56,13.84,11.78,11.09,11.72,12.0,12.56,13.81,14.97,15.31,14.5,13.78,13.53,13.09,11.5,10.41,10.66,11.47,11.09,11.34,11.78,12.5,12.53,12.19,13.16,15.28,17.22,18.47,19.56,21.03,21.97,21.06,20.34,20.28,21.12,20.97,21.22,22.44,24.25,25.12,24.72,24.25,23.88,22.84,20.59,18.91,18.28,18.19,17.53,17.38,19.03,21.53,22.53,23.31,24.84,26.53,27.22,28.0,29.72,32.41,34.5,35.09,35.12,35.69,35.78,34.66,34.0,34.25,34.81,33.56,31.69,30.0,28.88,26.75,24.41,22.66,21.88,21.56,20.72,20.31,21.62,22.72,22.44,22.28,22.69,23.62,23.22,22.91,22.75,23.28,23.12,22.28,21.78,21.78,21.62,20.56,19.72,19.66,19.97,19.44,18.88,19.31,20.22,20.56,20.88,21.66,23.0,23.75,23.66,23.06,22.75,22.12,20.66,18.94,18.38,18.19,17.72,17.28,17.5,18.16,18.69,18.72,18.75,20.0,21.22,21.47,22.34,24.16,26.44,27.22,27.44,28.38,29.06,28.28,26.53,25.34,24.31,22.62,20.84,19.59,19.75,19.41,17.97,16.94,17.19,17.94,18.81,19.91,21.94,24.0,24.97,25.25,25.62,26.91,27.47,27.84,28.16,30.09,31.69,32.38,33.34,35.34,37.84,39.69,40.66,41.59,41.97,39.84,36.22,32.44,29.41,26.62,23.78,22.12,22.16,22.22,21.78,22.0,23.38,25.41,26.5,27.38,28.25,29.41,29.84,29.84,30.41,31.12,30.69,29.19,27.16,26.06,24.72,22.78,21.12,20.91,21.59,22.72,24.09,26.75,29.78,31.41,31.97,31.94,32.28,32.03,30.91,29.19,28.16,26.38,23.19,20.19,18.19,17.66,17.09,17.16,18.31,20.75,23.56,26.0,29.31,33.19,36.28,37.72,38.22,38.72,38.41,37.31,35.84,35.03,34.78,33.72,32.31,31.53,31.72,31.59,30.5,29.16,28.91,27.62,25.72,23.81,23.31,23.38,23.19,23.31,24.22,26.12,27.19,27.53,28.19,29.19,29.53,28.25,26.81,26.22,25.31,23.62,21.97,21.41,21.19,21.03,20.81,22.25,25.41,28.0,29.75,31.09,32.88,33.62,33.34,33.0,33.41,33.78,33.31,32.72,32.59,32.62,32.34,31.19,30.62,31.06,31.16,30.56,30.03,30.66,31.03,30.81,30.5,31.5,32.91,34.5,35.84,38.53,41.56,43.72,44.19,44.5,45.03,44.31,42.69,41.62,41.78,41.59,40.84,39.81,39.06,38.25,37.47,36.69,37.5,39.34,41.44,42.47,43.62,44.72,44.12,42.38,40.59,40.22,40.31,40.53,40.94,42.25,43.75,44.91,45.66,47.16,49.22,51.22,51.41,51.44,51.5,50.75,48.38,46.34,45.59,44.84,44.0,43.0,42.81,42.81,42.5,41.53,41.22,40.88,40.03,38.22,36.84,36.22,35.88,35.62,34.97,35.44,36.06,36.56,36.31,36.56,37.22,36.94,35.47,34.69,34.62,34.91,34.69,34.75,35.69,36.38,35.53,34.03,33.0,32.03,30.88,29.84,30.28,31.69,32.62,33.19,34.0,35.59,37.22,38.0,38.75,40.0,40.84,40.53,39.75,39.06,38.56,37.03,34.72,33.19,32.59,32.19,31.31,31.38,32.25,33.16,33.5,34.44,35.25,36.31,36.44,35.69,35.12,35.12,35.25,34.88,35.0,35.53,35.59,34.66,33.16,31.97,31.0,29.53,28.28,28.75,30.44,32.31,33.75,35.84,37.88,38.78,37.91,37.19,36.75,36.12,34.53,33.75,34.03,34.47,33.47,32.28,31.22,30.28,28.56,26.91,26.44,26.94,27.31,27.5,28.28,29.66,30.72,30.84,31.0,31.31,31.53,30.94,29.69,28.78,28.69,28.69,28.81,29.62,30.91,32.09,32.06,31.94,32.38,32.88,32.12,31.06,30.44,29.62,28.47,27.09,26.16,25.91,25.31,24.38,24.41,25.5,26.91,27.66,29.03,30.94,32.75,33.84,34.41,35.19,36.12,35.84,35.38,35.06,35.88,36.22,35.75,35.81,36.62,37.56,37.53,37.97,38.41,39.25,39.56,40.25,41.62,44.03,45.78,46.34,46.38,46.19,44.91,42.72,40.72,39.94,39.5,38.12,37.75,38.19,39.06,40.06,40.75,41.66,42.72,42.84,41.66,40.25,39.12,37.5,35.16,32.88,31.34,30.94,30.19,30.0,30.97,32.91,34.34,35.47,37.06,38.81,39.59,39.44,38.56,38.66,38.81,38.53,38.72,40.0,41.38,41.53,40.97,40.5,40.53,39.69,38.44,38.19,39.5,41.0,42.06,43.19,44.59,45.34,44.88,43.59,43.41,43.88,43.53,42.97,42.97,43.44,43.31,42.84,42.59,43.16,43.72,43.12,42.31,42.47,42.84,42.41,42.31,43.19,44.62,45.59,46.19,46.28,46.47,46.12,44.72,43.88,44.22,44.78,45.12,45.25,45.5,45.75,44.88,43.5,43.22,44.0,44.78,45.62,46.0,46.94,46.94,45.38,43.69,43.03,42.25,41.38,40.44,40.56,41.31,41.38,41.06,41.06,41.62,41.91,41.31,40.78,41.0,40.84,39.94,38.72,38.34,37.72,36.81,35.16,34.22,33.03,31.53,29.44,28.56,29.16,30.06,31.16,32.12,33.84,34.91,35.22,35.53,36.78,38.12,38.84,38.69,38.41,37.94,36.31,34.16,32.5,31.38,30.28,28.78,27.75,28.53,30.03,31.25,31.97,32.94,33.5,32.78,31.78,31.19,31.22,31.0,29.88,28.97,29.03,29.22,28.75,28.56,29.81,31.12,31.78,31.75,32.72,34.38,35.16,35.34,36.31,37.31,37.56,36.03,33.94,31.97,29.59,26.25,23.53,22.81,22.94,23.66,23.91,25.0,26.28,26.56,26.34,26.69,27.72,29.19,30.22,31.0,32.5,34.06,34.0,33.09,32.5,31.72,30.38,28.5,27.78,28.31,28.88,29.06,30.28,31.94,33.59,34.22,34.19,35.19,35.75,35.28,34.34,34.31,34.47,34.03,32.56,31.56,30.62,29.44,27.94,26.5,26.03,25.78,24.16,22.53,22.16,22.56,22.81,23.56,25.69,28.12,30.25,30.88,31.47,31.88,31.84,30.5,30.19,31.06,32.34,32.59,32.34,31.81,30.91,28.56,24.88,21.56,19.16,16.53,14.03,13.94,16.28,19.25,21.59,23.91,26.41,28.34,29.09,29.66,31.09,32.72,33.47,33.59,34.28,34.88,35.53,34.88,34.38,34.47,34.62,34.03,33.34,33.62,34.22,33.44,31.75,31.06,30.41,28.91,27.0,25.94,25.97,26.47,26.5,27.44,29.69,32.16,33.41,34.59,36.0,37.84,38.75,39.62,41.31,43.28,43.94,42.84,40.97,38.78,35.94,31.88,28.66,27.31,26.62,26.06,25.34,25.78,26.53,26.25,25.62,25.69,26.66,27.34,27.59,28.56,30.06,31.53,31.16,30.47,30.88,31.62,31.78,31.5,32.56,33.62,34.0,33.69,33.62,34.0,33.84,32.22,30.91,30.44,30.25,29.34,29.0,29.97,31.66,32.19,32.44,33.19,34.31,34.25,33.75,33.5,34.0,34.5,33.84,33.81,34.28,34.75,34.41,34.12,34.56,35.38,34.72,33.22,31.97,30.38,28.19,25.22,22.72,21.41,20.41,19.06,18.31,19.06,20.25,20.53,20.91,22.5,24.44,25.66,26.47,27.31,28.44,28.59,28.09,28.41,30.16,32.03,33.19,34.59,36.25,37.62,37.31,36.19,35.47,34.94,33.88,32.81,32.5,33.25,33.5,33.06,32.78,33.75,35.19,35.91,36.66,38.0,39.66,39.62,38.69,38.56,38.69,37.62,36.34,35.62,35.94,35.78,34.53,32.81,31.53,29.84,27.03,24.44,23.62,24.16,24.47,25.19,27.0,29.72,31.56,32.59,33.38,34.0,33.44,31.19,28.28,26.75,25.31,23.25,21.72,21.16,21.12,20.75,20.0,19.78,20.5,21.25,20.94,21.09,22.31,23.44,23.75,24.22,26.0,27.91,28.78,29.12,29.66,30.38,30.19,29.66,29.44,30.25,30.25,29.66,28.78,28.91,29.06,28.81,28.5,29.0,29.91,29.22,27.88,26.44,25.62,24.28,22.75,22.22,23.31,24.62,25.28,25.62,27.16,27.97,27.75,27.16,27.78,28.66,28.94,28.59,28.66,29.0,28.41,26.62,25.31,25.31,25.0,24.56,24.41,25.5,26.47,26.53,25.88,26.16,26.53,25.88,24.56,23.88,23.97,23.94,23.84,24.41,25.94,26.78,26.22,24.84,23.66,23.25,22.12,20.72,20.72,22.12,23.69,25.03,27.16,29.94,32.03,32.81:11.22,13.38,16.72,19.88,21.38,22.53,23.78,23.84,22.28,20.0,18.81,17.84,16.78,15.62,15.78,16.47,16.75,15.81,15.53,16.59,17.41,17.62,17.5,17.72,17.56,15.94,13.94,12.88,12.84,12.38,11.28,11.34,12.06,12.91,12.75,13.19,14.28,15.38,15.5,15.94,17.5,19.59,20.31,19.81,19.38,18.5,16.25,13.38,11.75,11.81,12.59,12.91,13.84,15.31,15.91,14.75,13.06,12.19,12.0,11.44,11.19,11.91,13.38,14.69,14.94,15.88,17.34,18.56,18.25,18.0,18.28,18.72,18.06,17.28,17.59,18.72,19.25,20.0,21.53,23.59,25.19,25.0,24.56,23.91,23.22,21.56,20.69,21.34,22.59,22.34,21.69,21.44,20.5,19.06,17.34,16.5,17.03,18.22,18.91,20.09,21.75,23.41,23.75,23.53,24.12,24.69,24.19,22.88,21.66,20.62,18.56,16.38,15.0,14.75,15.38,15.03,15.16,15.78,15.56,13.84,11.78,11.09,11.72,12.0,12.56,13.81,14.97,15.31,14.5,13.78,13.53,13.09,11.5,10.41,10.66,11.47,11.09,11.34,11.78,12.5,12.53,12.19,13.16,15.28,17.22,18.47,19.56,21.03,21.97,21.06,20.34,20.28,21.12,20.97,21.22,22.44,24.25,25.12,24.72,24.25,23.88,22.84,20.59,18.91,18.28,18.19,17.53,17.38,19.03,21.53,22.53,23.31,24.84,26.53,27.22,28.0,29.72,32.41,34.5,35.09,35.12,35.69,35.78,34.66,34.0,34.25,34.81,33.56,31.69,30.0,28.88,26.75,24.41,22.66,21.88,21.56,20.72,20.31,21.62,22.72,22.44,22.28,22.69,23.62,23.22,22.91,22.75,23.28,23.12,22.28,21.78,21.78,21.62,20.56,19.72,19.66,19.97,19.44,18.88,19.31,20.22,20.56,20.88,21.66,23.0,23.75,23.66,23.06,22.75,22.12,20.66,18.94,18.38,18.19,17.72,17.28,17.5,18.16,18.69,18.72,18.75,20.0,21.22,21.47,22.34,24.16,26.44,27.22,27.44,28.38,29.06,28.28,26.53,25.34,24.31,22.62,20.84,19.59,19.75,19.41,17.97,16.94,17.19,17.94,18.81,19.91,21.94,24.0,24.97,25.25,25.62,26.91,27.47,27.84,28.16,30.09,31.69,32.38,33.34,35.34,37.84,39.69,40.66,41.59,41.97,39.84,36.22,32.44,29.41,26.62,23.78,22.12,22.16,22.22,21.78,22.0,23.38,25.41,26.5,27.38,28.25,29.41,29.84,29.84,30.41,31.12,30.69,29.19,27.16,26.06,24.72,22.78,21.12,20.91,21.59,22.72,24.09,26.75,29.78,31.41,31.97,31.94,32.28,32.03,30.91,29.19,28.16,26.38,23.19,20.19,18.19,17.66,17.09,17.16,18.31,20.75,23.56,26.0,29.31,33.19,36.28,37.72,38.22,38.72,38.41,37.31,35.84,35.03,34.78,33.72,32.31,31.53,31.72,31.59,30.5,29.16,28.91,27.62,25.72,23.81,23.31,23.38,23.19,23.31,24.22,26.12,27.19,27.53,28.19,29.19,29.53,28.25,26.81,26.22,25.31,23.62,21.97,21.41,21.19,21.03,20.81,22.25,25.41,28.0,29.75,31.09,32.88,33.62,33.34,33.0,33.41,33.78,33.31,32.72,32.59,32.62,32.34,31.19,30.62,31.06,31.16,30.56,30.03,30.66,31.03,30.81,30.5,31.5,32.91,34.5,35.84,38.53,41.56,43.72,44.19,44.5,45.03,44.31,42.69,41.62,41.78,41.59,40.84,39.81,39.06,38.25,37.47,36.69,37.5,39.34,41.44,42.47,43.62,44.72,44.12,42.38,40.59,40.22,40.31,40.53,40.94,42.25,43.75,44.91,45.66,47.16,49.22,51.22,51.41,51.44,51.5,50.75,48.38,46.34,45.59,44.84,44.0,43.0,42.81,42.81,42.5,41.53,41.22,40.88,40.03,38.22,36.84,36.22,35.88,35.62,34.97,35.44,36.06,36.56,36.31,36.56,37.22,36.94,35.47,34.69,34.62,34.91,34.69,34.75,35.69,36.38,35.53,34.03,33.0,32.03,30.88,29.84,30.28,31.69,32.62,33.19,34.0,35.59,37.22,38.0,38.75,40.0,40.84,40.53,39.75,39.06,38.56,37.03,34.72,33.19,32.59,32.19,31.31,31.38,32.25,33.16,33.5,34.44,35.25,36.31,36.44,35.69,35.12,35.12,35.25,34.88,35.0,35.53,35.59,34.66,33.16,31.97,31.0,29.53,28.28,28.75,30.44,32.31,33.75,35.84,37.88,38.78,37.91,37.19,36.75,36.12,34.53,33.75,34.03,34.47,33.47,32.28,31.22,30.28,28.56,26.91,26.44,26.94,27.31,27.5,28.28,29.66,30.72,30.84,31.0,31.31,31.53,30.94,29.69,28.78,28.69,28.69,28.81,29.62,30.91,32.09,32.06,31.94,32.38,32.88,32.12,31.06,30.44,29.62,28.47,27.09,26.16,25.91,25.31,24.38,24.41,25.5,26.91,27.66,29.03,30.94,32.75,33.84,34.41,35.19,36.12,35.84,35.38,35.06,35.88,36.22,35.75,35.81,36.62,37.56,37.53,37.97,38.41,39.25,39.56,40.25,41.62,44.03,45.78,46.34,46.38,46.19,44.91,42.72,40.72,39.94,39.5,38.12,37.75,38.19,39.06,40.06,40.75,41.66,42.72,42.84,41.66,40.25,39.12,37.5,35.16,32.88,31.34,30.94,30.19,30.0,30.97,32.91,34.34,35.47,37.06,38.81,39.59,39.44,38.56,38.66,38.81,38.53,38.72,40.0,41.38,41.53,40.97,40.5,40.53,39.69,38.44,38.19,39.5,41.0,42.06,43.19,44.59,45.34,44.88,43.59,43.41,43.88,43.53,42.97,42.97,43.44,43.31,42.84,42.59,43.16,43.72,43.12,42.31,42.47,42.84,42.41,42.31,43.19,44.62,45.59,46.19,46.28,46.47,46.12,44.72,43.88,44.22,44.78,45.12,45.25,45.5,45.75,44.88,43.5,43.22,44.0,44.78,45.62,46.0,46.94,46.94,45.38,43.69,43.03,42.25,41.38,40.44,40.56,41.31,41.38,41.06,41.06,41.62,41.91,41.31,40.78,41.0,40.84,39.94,38.72,38.34,37.72,36.81,35.16,34.22,33.03,31.53,29.44,28.56,29.16,30.06,31.16,32.12,33.84,34.91,35.22,35.53,36.78,38.12,38.84,38.69,38.41,37.94,36.31,34.16,32.5,31.38,30.28,28.78,27.75,28.53,30.03,31.25,31.97,32.94,33.5,32.78,31.78,31.19,31.22,31.0,29.88,28.97,29.03,29.22,28.75,28.56,29.81,31.12,31.78,31.75,32.72,34.38,35.16,35.34,36.31,37.31,37.56,36.03,33.94,31.97,29.59,26.25,23.53,22.81,22.94,23.66,23.91,25.0,26.28,26.56,26.34,26.69,27.72,29.19,30.22,31.0,32.5,34.06,34.0,33.09,32.5,31.72,30.38,28.5,27.78,28.31,28.88,29.06,30.28,31.94,33.59,34.22,34.19,35.19,35.75,35.28,34.34,34.31,34.47,34.03,32.56,31.56,30.62,29.44,27.94,26.5,26.03,25.78,24.16,22.53,22.16,22.56,22.81,23.56,25.69,28.12,30.25,30.88,31.47,31.88,31.84,30.5,30.19,31.06,32.34,32.59,32.34,31.81,30.91,28.56,24.88,21.56,19.16,16.53,14.03,13.94,16.28,19.25,21.59,23.91,26.41,28.34,29.09,29.66,31.09,32.72,33.47,33.59,34.28,34.88,35.53,34.88,34.38,34.47,34.62,34.03,33.34,33.62,34.22,33.44,31.75,31.06,30.41,28.91,27.0,25.94,25.97,26.47,26.5,27.44,29.69,32.16,33.41,34.59,36.0,37.84,38.75,39.62,41.31,43.28,43.94,42.84,40.97,38.78,35.94,31.88,28.66,27.31,26.62,26.06,25.34,25.78,26.53,26.25,25.62,25.69,26.66,27.34,27.59,28.56,30.06,31.53,31.16,30.47,30.88,31.62,31.78,31.5,32.56,33.62,34.0,33.69,33.62,34.0,33.84,32.22,30.91,30.44,30.25,29.34,29.0,29.97,31.66,32.19,32.44,33.19,34.31,34.25,33.75,33.5,34.0,34.5,33.84,33.81,34.28,34.75,34.41,34.12,34.56,35.38,34.72,33.22,31.97,30.38,28.19,25.22,22.72,21.41,20.41,19.06,18.31,19.06,20.25,20.53,20.91,22.5,24.44,25.66,26.47,27.31,28.44,28.59,28.09,28.41,30.16,32.03,33.19,34.59,36.25,37.62,37.31,36.19,35.47,34.94,33.88,32.81,32.5,33.25,33.5,33.06,32.78,33.75,35.19,35.91,36.66,38.0,39.66,39.62,38.69,38.56,38.69,37.62,36.34,35.62,35.94,35.78,34.53,32.81,31.53,29.84,27.03,24.44,23.62,24.16,24.47,25.19,27.0,29.72,31.56,32.59,33.38,34.0,33.44,31.19,28.28,26.75,25.31,23.25,21.72,21.16,21.12,20.75,20.0,19.78,20.5,21.25,20.94,21.09,22.31,23.44,23.75,24.22,26.0,27.91,28.78,29.12,29.66,30.38,30.19,29.66,29.44,30.25,30.25,29.66,28.78,28.91,29.06,28.81,28.5,29.0,29.91,29.22,27.88,26.44,25.62,24.28,22.75,22.22,23.31,24.62,25.28,25.62,27.16,27.97,27.75,27.16,27.78,28.66,28.94,28.59,28.66,29.0,28.41,26.62,25.31,25.31,25.0,24.56,24.41,25.5,26.47,26.53,25.88,26.16,26.53,25.88,24.56,23.88,23.97,23.94,23.84,24.41,25.94,26.78,26.22,24.84,23.66,23.25,22.12,20.72,20.72,22.12,23.69,25.03,27.16,29.94,32.03,32.81,46.62,46.19,46.09,45.47,45.0,45.5,46.34:23.84,22.28,20.0,18.81,17.84,16.78,15.62,15.78,16.47,16.75,15.81,15.53,16.59,17.41,17.62,17.5,17.72,17.56,15.94,13.94,12.88,12.84,12.38,11.28,11.34,12.06,12.91,12.75,13.19,14.28,15.38,15.5,15.94,17.5,19.59,20.31,19.81,19.38,18.5,16.25,13.38,11.75,11.81,12.59,12.91,13.84,15.31,15.91,14.75,13.06,12.19,12.0,11.44,11.19,11.91,13.38,14.69,14.94,15.88,17.34,18.56,18.25,18.0,18.28,18.72,18.06,17.28,17.59,18.72,19.25,20.0,21.53,23.59,25.19,25.0,24.56,23.91,23.22,21.56,20.69,21.34,22.59,22.34,21.69,21.44,20.5,19.06,17.34,16.5,17.03,18.22,18.91,20.09,21.75,23.41,23.75,23.53,24.12,24.69,24.19,22.88,21.66,20.62,18.56,16.38,15.0,14.75,15.38,15.03,15.16,15.78,15.56,13.84,11.78,11.09,11.72,12.0,12.56,13.81,14.97,15.31,14.5,13.78,13.53,13.09,11.5,10.41,10.66,11.47,11.09,11.34,11.78,12.5,12.53,12.19,13.16,15.28,17.22,18.47,19.56,21.03,21.97,21.06,20.34,20.28,21.12,20.97,21.22,22.44,24.25,25.12,24.72,24.25,23.88,22.84,20.59,18.91,18.28,18.19,17.53,17.38,19.03,21.53,22.53,23.31,24.84,26.53,27.22,28.0,29.72,32.41,34.5,35.09,35.12,35.69,35.78,34.66,34.0,34.25,34.81,33.56,31.69,30.0,28.88,26.75,24.41,22.66,21.88,21.56,20.72,20.31,21.62,22.72,22.44,22.28,22.69,23.62,23.22,22.91,22.75,23.28,23.12,22.28,21.78,21.78,21.62,20.56,19.72,19.66,19.97,19.44,18.88,19.31,20.22,20.56,20.88,21.66,23.0,23.75,23.66,23.06,22.75,22.12,20.66,18.94,18.38,18.19,17.72,17.28,17.5,18.16,18.69,18.72,18.75,20.0,21.22,21.47,22.34,24.16,26.44,27.22,27.44,28.38,29.06,28.28,26.53,25.34,24.31,22.62,20.84,19.59,19.75,19.41,17.97,16.94,17.19,17.94,18.81,19.91,21.94,24.0,24.97,25.25,25.62,26.91,27.47,27.84,28.16,30.09,31.69,32.38,33.34,35.34,37.84,39.69,40.66,41.59,41.97,39.84,36.22,32.44,29.41,26.62,23.78,22.12,22.16,22.22,21.78,22.0,23.38,25.41,26.5,27.38,28.25,29.41,29.84,29.84,30.41,31.12,30.69,29.19,27.16,26.06,24.72,22.78,21.12,20.91,21.59,22.72,24.09,26.75,29.78,31.41,31.97,31.94,32.28,32.03,30.91,29.19,28.16,26.38,23.19,20.19,18.19,17.66,17.09,17.16,18.31,20.75,23.56,26.0,29.31,33.19,36.28,37.72,38.22,38.72,38.41,37.31,35.84,35.03,34.78,33.72,32.31,31.53,31.72,31.59,30.5,29.16,28.91,27.62,25.72,23.81,23.31,23.38,23.19,23.31,24.22,26.12,27.19,27.53,28.19,29.19,29.53,28.25,26.81,26.22,25.31,23.62,21.97,21.41,21.19,21.03,20.81,22.25,25.41,28.0,29.75,31.09,32.88,33.62,33.34,33.0,33.41,33.78,33.31,32.72,32.59,32.62,32.34,31.19,30.62,31.06,31.16,30.56,30.03,30.66,31.03,30.81,30.5,31.5,32.91,34.5,35.84,38.53,41.56,43.72,44.19,44.5,45.03,44.31,42.69,41.62,41.78,41.59,40.84,39.81,39.06,38.25,37.47,36.69,37.5,39.34,41.44,42.47,43.62,44.72,44.12,42.38,40.59,40.22,40.31,40.53,40.94,42.25,43.75,44.91,45.66,47.16,49.22,51.22,51.41,51.44,51.5,50.75,48.38,46.34,45.59,44.84,44.0,43.0,42.81,42.81,42.5,41.53,41.22,40.88,40.03,38.22,36.84,36.22,35.88,35.62,34.97,35.44,36.06,36.56,36.31,36.56,37.22,36.94,35.47,34.69,34.62,34.91,34.69,34.75,35.69,36.38,35.53,34.03,33.0,32.03,30.88,29.84,30.28,31.69,32.62,33.19,34.0,35.59,37.22,38.0,38.75,40.0,40.84,40.53,39.75,39.06,38.56,37.03,34.72,33.19,32.59,32.19,31.31,31.38,32.25,33.16,33.5,34.44,35.25,36.31,36.44,35.69,35.12,35.12,35.25,34.88,35.0,35.53,35.59,34.66,33.16,31.97,31.0,29.53,28.28,28.75,30.44,32.31,33.75,35.84,37.88,38.78,37.91,37.19,36.75,36.12,34.53,33.75,34.03,34.47,33.47,32.28,31.22,30.28,28.56,26.91,26.44,26.94,27.31,27.5,28.28,29.66,30.72,30.84,31.0,31.31,31.53,30.94,29.69,28.78,28.69,28.69,28.81,29.62,30.91,32.09,32.06,31.94,32.38,32.88,32.12,31.06,30.44,29.62,28.47,27.09,26.16,25.91,25.31,24.38,24.41,25.5,26.91,27.66,29.03,30.94,32.75,33.84,34.41,35.19,36.12,35.84,35.38,35.06,35.88,36.22,35.75,35.81,36.62,37.56,37.53,37.97,38.41,39.25,39.56,40.25,41.62,44.03,45.78,46.34,46.38,46.19,44.91,42.72,40.72,39.94,39.5,38.12,37.75,38.19,39.06,40.06,40.75,41.66,42.72,42.84,41.66,40.25,39.12,37.5,35.16,32.88,31.34,30.94,30.19,30.0,30.97,32.91,34.34,35.47,37.06,38.81,39.59,39.44,38.56,38.66,38.81,38.53,38.72,40.0,41.38,41.53,40.97,40.5,40.53,39.69,38.44,38.19,39.5,41.0,42.06,43.19,44.59,45.34,44.88,43.59,43.41,43.88,43.53,42.97,42.97,43.44,43.31,42.84,42.59,43.16,43.72,43.12,42.31,42.47,42.84,42.41,42.31,43.19,44.62,45.59,46.19,46.28,46.47,46.12,44.72,43.88,44.22,44.78,45.12,45.25,45.5,45.75,44.88,43.5,43.22,44.0,44.78,45.62,46.0,46.94,46.94,45.38,43.69,43.03,42.25,41.38,40.44,40.56,41.31,41.38,41.06,41.06,41.62,41.91,41.31,40.78,41.0,40.84,39.94,38.72,38.34,37.72,36.81,35.16,34.22,33.03,31.53,29.44,28.56,29.16,30.06,31.16,32.12,33.84,34.91,35.22,35.53,36.78,38.12,38.84,38.69,38.41,37.94,36.31,34.16,32.5,31.38,30.28,28.78,27.75,28.53,30.03,31.25,31.97,32.94,33.5,32.78,31.78,31.19,31.22,31.0,29.88,28.97,29.03,29.22,28.75,28.56,29.81,31.12,31.78,31.75,32.72,34.38,35.16,35.34,36.31,37.31,37.56,36.03,33.94,31.97,29.59,26.25,23.53,22.81,22.94,23.66,23.91,25.0,26.28,26.56,26.34,26.69,27.72,29.19,30.22,31.0,32.5,34.06,34.0,33.09,32.5,31.72,30.38,28.5,27.78,28.31,28.88,29.06,30.28,31.94,33.59,34.22,34.19,35.19,35.75,35.28,34.34,34.31,34.47,34.03,32.56,31.56,30.62,29.44,27.94,26.5,26.03,25.78,24.16,22.53,22.16,22.56,22.81,23.56,25.69,28.12,30.25,30.88,31.47,31.88,31.84,30.5,30.19,31.06,32.34,32.59,32.34,31.81,30.91,28.56,24.88,21.56,19.16,16.53,14.03,13.94,16.28,19.25,21.59,23.91,26.41,28.34,29.09,29.66,31.09,32.72,33.47,33.59,34.28,34.88,35.53,34.88,34.38,34.47,34.62,34.03,33.34,33.62,34.22,33.44,31.75,31.06,30.41,28.91,27.0,25.94,25.97,26.47,26.5,27.44,29.69,32.16,33.41,34.59,36.0,37.84,38.75,39.62,41.31,43.28,43.94,42.84,40.97,38.78,35.94,31.88,28.66,27.31,26.62,26.06,25.34,25.78,26.53,26.25,25.62,25.69,26.66,27.34,27.59,28.56,30.06,31.53,31.16,30.47,30.88,31.62,31.78,31.5,32.56,33.62,34.0,33.69,33.62,34.0,33.84,32.22,30.91,30.44,30.25,29.34,29.0,29.97,31.66,32.19,32.44,33.19,34.31,34.25,33.75,33.5,34.0,34.5,33.84,33.81,34.28,34.75,34.41,34.12,34.56,35.38,34.72,33.22,31.97,30.38,28.19,25.22,22.72,21.41,20.41,19.06,18.31,19.06,20.25,20.53,20.91,22.5,24.44,25.66,26.47,27.31,28.44,28.59,28.09,28.41,30.16,32.03,33.19,34.59,36.25,37.62,37.31,36.19,35.47,34.94,33.88,32.81,32.5,33.25,33.5,33.06,32.78,33.75,35.19,35.91,36.66,38.0,39.66,39.62,38.69,38.56,38.69,37.62,36.34,35.62,35.94,35.78,34.53,32.81,31.53,29.84,27.03,24.44,23.62,24.16,24.47,25.19,27.0,29.72,31.56,32.59,33.38,34.0,33.44,31.19,28.28,26.75,25.31,23.25,21.72,21.16,21.12,20.75,20.0,19.78,20.5,21.25,20.94,21.09,22.31,23.44,23.75,24.22,26.0,27.91,28.78,29.12,29.66,30.38,30.19,29.66,29.44,30.25,30.25,29.66,28.78,28.91,29.06,28.81,28.5,29.0,29.91,29.22,27.88,26.44,25.62,24.28,22.75,22.22,23.31,24.62,25.28,25.62,27.16,27.97,27.75,27.16,27.78,28.66,28.94,28.59,28.66,29.0,28.41,26.62,25.31,25.31,25.0,24.56,24.41,25.5,26.47,26.53,25.88,26.16,26.53,25.88,24.56,23.88,23.97,23.94,23.84,24.41,25.94,26.78,26.22,24.84,23.66,23.25,22.12,20.72,20.72,22.12,23.69,25.03,27.16,29.94,32.03,32.81,46.62,46.19,46.09,45.47,45.0,45.5,46.34,47.25,48.94,51.47,54.09,55.91,57.19,57.88:15.78,16.47,16.75,15.81,15.53,16.59,17.41,17.62,17.5,17.72,17.56,15.94,13.94,12.88,12.84,12.38,11.28,11.34,12.06,12.91,12.75,13.19,14.28,15.38,15.5,15.94,17.5,19.59,20.31,19.81,19.38,18.5,16.25,13.38,11.75,11.81,12.59,12.91,13.84,15.31,15.91,14.75,13.06,12.19,12.0,11.44,11.19,11.91,13.38,14.69,14.94,15.88,17.34,18.56,18.25,18.0,18.28,18.72,18.06,17.28,17.59,18.72,19.25,20.0,21.53,23.59,25.19,25.0,24.56,23.91,23.22,21.56,20.69,21.34,22.59,22.34,21.69,21.44,20.5,19.06,17.34,16.5,17.03,18.22,18.91,20.09,21.75,23.41,23.75,23.53,24.12,24.69,24.19,22.88,21.66,20.62,18.56,16.38,15.0,14.75,15.38,15.03,15.16,15.78,15.56,13.84,11.78,11.09,11.72,12.0,12.56,13.81,14.97,15.31,14.5,13.78,13.53,13.09,11.5,10.41,10.66,11.47,11.09,11.34,11.78,12.5,12.53,12.19,13.16,15.28,17.22,18.47,19.56,21.03,21.97,21.06,20.34,20.28,21.12,20.97,21.22,22.44,24.25,25.12,24.72,24.25,23.88,22.84,20.59,18.91,18.28,18.19,17.53,17.38,19.03,21.53,22.53,23.31,24.84,26.53,27.22,28.0,29.72,32.41,34.5,35.09,35.12,35.69,35.78,34.66,34.0,34.25,34.81,33.56,31.69,30.0,28.88,26.75,24.41,22.66,21.88,21.56,20.72,20.31,21.62,22.72,22.44,22.28,22.69,23.62,23.22,22.91,22.75,23.28,23.12,22.28,21.78,21.78,21.62,20.56,19.72,19.66,19.97,19.44,18.88,19.31,20.22,20.56,20.88,21.66,23.0,23.75,23.66,23.06,22.75,22.12,20.66,18.94,18.38,18.19,17.72,17.28,17.5,18.16,18.69,18.72,18.75,20.0,21.22,21.47,22.34,24.16,26.44,27.22,27.44,28.38,29.06,28.28,26.53,25.34,24.31,22.62,20.84,19.59,19.75,19.41,17.97,16.94,17.19,17.94,18.81,19.91,21.94,24.0,24.97,25.25,25.62,26.91,27.47,27.84,28.16,30.09,31.69,32.38,33.34,35.34,37.84,39.69,40.66,41.59,41.97,39.84,36.22,32.44,29.41,26.62,23.78,22.12,22.16,22.22,21.78,22.0,23.38,25.41,26.5,27.38,28.25,29.41,29.84,29.84,30.41,31.12,30.69,29.19,27.16,26.06,24.72,22.78,21.12,20.91,21.59,22.72,24.09,26.75,29.78,31.41,31.97,31.94,32.28,32.03,30.91,29.19,28.16,26.38,23.19,20.19,18.19,17.66,17.09,17.16,18.31,20.75,23.56,26.0,29.31,33.19,36.28,37.72,38.22,38.72,38.41,37.31,35.84,35.03,34.78,33.72,32.31,31.53,31.72,31.59,30.5,29.16,28.91,27.62,25.72,23.81,23.31,23.38,23.19,23.31,24.22,26.12,27.19,27.53,28.19,29.19,29.53,28.25,26.81,26.22,25.31,23.62,21.97,21.41,21.19,21.03,20.81,22.25,25.41,28.0,29.75,31.09,32.88,33.62,33.34,33.0,33.41,33.78,33.31,32.72,32.59,32.62,32.34,31.19,30.62,31.06,31.16,30.56,30.03,30.66,31.03,30.81,30.5,31.5,32.91,34.5,35.84,38.53,41.56,43.72,44.19,44.5,45.03,44.31,42.69,41.62,41.78,41.59,40.84,39.81,39.06,38.25,37.47,36.69,37.5,39.34,41.44,42.47,43.62,44.72,44.12,42.38,40.59,40.22,40.31,40.53,40.94,42.25,43.75,44.91,45.66,47.16,49.22,51.22,51.41,51.44,51.5,50.75,48.38,46.34,45.59,44.84,44.0,43.0,42.81,42.81,42.5,41.53,41.22,40.88,40.03,38.22,36.84,36.22,35.88,35.62,34.97,35.44,36.06,36.56,36.31,36.56,37.22,36.94,35.47,34.69,34.62,34.91,34.69,34.75,35.69,36.38,35.53,34.03,33.0,32.03,30.88,29.84,30.28,31.69,32.62,33.19,34.0,35.59,37.22,38.0,38.75,40.0,40.84,40.53,39.75,39.06,38.56,37.03,34.72,33.19,32.59,32.19,31.31,31.38,32.25,33.16,33.5,34.44,35.25,36.31,36.44,35.69,35.12,35.12,35.25,34.88,35.0,35.53,35.59,34.66,33.16,31.97,31.0,29.53,28.28,28.75,30.44,32.31,33.75,35.84,37.88,38.78,37.91,37.19,36.75,36.12,34.53,33.75,34.03,34.47,33.47,32.28,31.22,30.28,28.56,26.91,26.44,26.94,27.31,27.5,28.28,29.66,30.72,30.84,31.0,31.31,31.53,30.94,29.69,28.78,28.69,28.69,28.81,29.62,30.91,32.09,32.06,31.94,32.38,32.88,32.12,31.06,30.44,29.62,28.47,27.09,26.16,25.91,25.31,24.38,24.41,25.5,26.91,27.66,29.03,30.94,32.75,33.84,34.41,35.19,36.12,35.84,35.38,35.06,35.88,36.22,35.75,35.81,36.62,37.56,37.53,37.97,38.41,39.25,39.56,40.25,41.62,44.03,45.78,46.34,46.38,46.19,44.91,42.72,40.72,39.94,39.5,38.12,37.75,38.19,39.06,40.06,40.75,41.66,42.72,42.84,41.66,40.25,39.12,37.5,35.16,32.88,31.34,30.94,30.19,30.0,30.97,32.91,34.34,35.47,37.06,38.81,39.59,39.44,38.56,38.66,38.81,38.53,38.72,40.0,41.38,41.53,40.97,40.5,40.53,39.69,38.44,38.19,39.5,41.0,42.06,43.19,44.59,45.34,44.88,43.59,43.41,43.88,43.53,42.97,42.97,43.44,43.31,42.84,42.59,43.16,43.72,43.12,42.31,42.47,42.84,42.41,42.31,43.19,44.62,45.59,46.19,46.28,46.47,46.12,44.72,43.88,44.22,44.78,45.12,45.25,45.5,45.75,44.88,43.5,43.22,44.0,44.78,45.62,46.0,46.94,46.94,45.38,43.69,43.03,42.25,41.38,40.44,40.56,41.31,41.38,41.06,41.06,41.62,41.91,41.31,40.78,41.0,40.84,39.94,38.72,38.34,37.72,36.81,35.16,34.22,33.03,31.53,29.44,28.56,29.16,30.06,31.16,32.12,33.84,34.91,35.22,35.53,36.78,38.12,38.84,38.69,38.41,37.94,36.31,34.16,32.5,31.38,30.28,28.78,27.75,28.53,30.03,31.25,31.97,32.94,33.5,32.78,31.78,31.19,31.22,31.0,29.88,28.97,29.03,29.22,28.75,28.56,29.81,31.12,31.78,31.75,32.72,34.38,35.16,35.34,36.31,37.31,37.56,36.03,33.94,31.97,29.59,26.25,23.53,22.81,22.94,23.66,23.91,25.0,26.28,26.56,26.34,26.69,27.72,29.19,30.22,31.0,32.5,34.06,34.0,33.09,32.5,31.72,30.38,28.5,27.78,28.31,28.88,29.06,30.28,31.94,33.59,34.22,34.19,35.19,35.75,35.28,34.34,34.31,34.47,34.03,32.56,31.56,30.62,29.44,27.94,26.5,26.03,25.78,24.16,22.53,22.16,22.56,22.81,23.56,25.69,28.12,30.25,30.88,31.47,31.88,31.84,30.5,30.19,31.06,32.34,32.59,32.34,31.81,30.91,28.56,24.88,21.56,19.16,16.53,14.03,13.94,16.28,19.25,21.59,23.91,26.41,28.34,29.09,29.66,31.09,32.72,33.47,33.59,34.28,34.88,35.53,34.88,34.38,34.47,34.62,34.03,33.34,33.62,34.22,33.44,31.75,31.06,30.41,28.91,27.0,25.94,25.97,26.47,26.5,27.44,29.69,32.16,33.41,34.59,36.0,37.84,38.75,39.62,41.31,43.28,43.94,42.84,40.97,38.78,35.94,31.88,28.66,27.31,26.62,26.06,25.34,25.78,26.53,26.25,25.62,25.69,26.66,27.34,27.59,28.56,30.06,31.53,31.16,30.47,30.88,31.62,31.78,31.5,32.56,33.62,34.0,33.69,33.62,34.0,33.84,32.22,30.91,30.44,30.25,29.34,29.0,29.97,31.66,32.19,32.44,33.19,34.31,34.25,33.75,33.5,34.0,34.5,33.84,33.81,34.28,34.75,34.41,34.12,34.56,35.38,34.72,33.22,31.97,30.38,28.19,25.22,22.72,21.41,20.41,19.06,18.31,19.06,20.25,20.53,20.91,22.5,24.44,25.66,26.47,27.31,28.44,28.59,28.09,28.41,30.16,32.03,33.19,34.59,36.25,37.62,37.31,36.19,35.47,34.94,33.88,32.81,32.5,33.25,33.5,33.06,32.78,33.75,35.19,35.91,36.66,38.0,39.66,39.62,38.69,38.56,38.69,37.62,36.34,35.62,35.94,35.78,34.53,32.81,31.53,29.84,27.03,24.44,23.62,24.16,24.47,25.19,27.0,29.72,31.56,32.59,33.38,34.0,33.44,31.19,28.28,26.75,25.31,23.25,21.72,21.16,21.12,20.75,20.0,19.78,20.5,21.25,20.94,21.09,22.31,23.44,23.75,24.22,26.0,27.91,28.78,29.12,29.66,30.38,30.19,29.66,29.44,30.25,30.25,29.66,28.78,28.91,29.06,28.81,28.5,29.0,29.91,29.22,27.88,26.44,25.62,24.28,22.75,22.22,23.31,24.62,25.28,25.62,27.16,27.97,27.75,27.16,27.78,28.66,28.94,28.59,28.66,29.0,28.41,26.62,25.31,25.31,25.0,24.56,24.41,25.5,26.47,26.53,25.88,26.16,26.53,25.88,24.56,23.88,23.97,23.94,23.84,24.41,25.94,26.78,26.22,24.84,23.66,23.25,22.12,20.72,20.72,22.12,23.69,25.03,27.16,29.94,32.03,32.81,46.62,46.19,46.09,45.47,45.0,45.5,46.34,47.25,48.94,51.47,54.09,55.91,57.19,57.88,58.0,57.28,55.81,54.09,53.12,52.41,51.69:17.62,17.5,17.72,17.56,15.94,13.94,12.88,12.84,12.38,11.28,11.34,12.06,12.91,12.75,13.19,14.28,15.38,15.5,15.94,17.5,19.59,20.31,19.81,19.38,18.5,16.25,13.38,11.75,11.81,12.59,12.91,13.84,15.31,15.91,14.75,13.06,12.19,12.0,11.44,11.19,11.91,13.38,14.69,14.94,15.88,17.34,18.56,18.25,18.0,18.28,18.72,18.06,17.28,17.59,18.72,19.25,20.0,21.53,23.59,25.19,25.0,24.56,23.91,23.22,21.56,20.69,21.34,22.59,22.34,21.69,21.44,20.5,19.06,17.34,16.5,17.03,18.22,18.91,20.09,21.75,23.41,23.75,23.53,24.12,24.69,24.19,22.88,21.66,20.62,18.56,16.38,15.0,14.75,15.38,15.03,15.16,15.78,15.56,13.84,11.78,11.09,11.72,12.0,12.56,13.81,14.97,15.31,14.5,13.78,13.53,13.09,11.5,10.41,10.66,11.47,11.09,11.34,11.78,12.5,12.53,12.19,13.16,15.28,17.22,18.47,19.56,21.03,21.97,21.06,20.34,20.28,21.12,20.97,21.22,22.44,24.25,25.12,24.72,24.25,23.88,22.84,20.59,18.91,18.28,18.19,17.53,17.38,19.03,21.53,22.53,23.31,24.84,26.53,27.22,28.0,29.72,32.41,34.5,35.09,35.12,35.69,35.78,34.66,34.0,34.25,34.81,33.56,31.69,30.0,28.88,26.75,24.41,22.66,21.88,21.56,20.72,20.31,21.62,22.72,22.44,22.28,22.69,23.62,23.22,22.91,22.75,23.28,23.12,22.28,21.78,21.78,21.62,20.56,19.72,19.66,19.97,19.44,18.88,19.31,20.22,20.56,20.88,21.66,23.0,23.75,23.66,23.06,22.75,22.12,20.66,18.94,18.38,18.19,17.72,17.28,17.5,18.16,18.69,18.72,18.75,20.0,21.22,21.47,22.34,24.16,26.44,27.22,27.44,28.38,29.06,28.28,26.53,25.34,24.31,22.62,20.84,19.59,19.75,19.41,17.97,16.94,17.19,17.94,18.81,19.91,21.94,24.0,24.97,25.25,25.62,26.91,27.47,27.84,28.16,30.09,31.69,32.38,33.34,35.34,37.84,39.69,40.66,41.59,41.97,39.84,36.22,32.44,29.41,26.62,23.78,22.12,22.16,22.22,21.78,22.0,23.38,25.41,26.5,27.38,28.25,29.41,29.84,29.84,30.41,31.12,30.69,29.19,27.16,26.06,24.72,22.78,21.12,20.91,21.59,22.72,24.09,26.75,29.78,31.41,31.97,31.94,32.28,32.03,30.91,29.19,28.16,26.38,23.19,20.19,18.19,17.66,17.09,17.16,18.31,20.75,23.56,26.0,29.31,33.19,36.28,37.72,38.22,38.72,38.41,37.31,35.84,35.03,34.78,33.72,32.31,31.53,31.72,31.59,30.5,29.16,28.91,27.62,25.72,23.81,23.31,23.38,23.19,23.31,24.22,26.12,27.19,27.53,28.19,29.19,29.53,28.25,26.81,26.22,25.31,23.62,21.97,21.41,21.19,21.03,20.81,22.25,25.41,28.0,29.75,31.09,32.88,33.62,33.34,33.0,33.41,33.78,33.31,32.72,32.59,32.62,32.34,31.19,30.62,31.06,31.16,30.56,30.03,30.66,31.03,30.81,30.5,31.5,32.91,34.5,35.84,38.53,41.56,43.72,44.19,44.5,45.03,44.31,42.69,41.62,41.78,41.59,40.84,39.81,39.06,38.25,37.47,36.69,37.5,39.34,41.44,42.47,43.62,44.72,44.12,42.38,40.59,40.22,40.31,40.53,40.94,42.25,43.75,44.91,45.66,47.16,49.22,51.22,51.41,51.44,51.5,50.75,48.38,46.34,45.59,44.84,44.0,43.0,42.81,42.81,42.5,41.53,41.22,40.88,40.03,38.22,36.84,36.22,35.88,35.62,34.97,35.44,36.06,36.56,36.31,36.56,37.22,36.94,35.47,34.69,34.62,34.91,34.69,34.75,35.69,36.38,35.53,34.03,33.0,32.03,30.88,29.84,30.28,31.69,32.62,33.19,34.0,35.59,37.22,38.0,38.75,40.0,40.84,40.53,39.75,39.06,38.56,37.03,34.72,33.19,32.59,32.19,31.31,31.38,32.25,33.16,33.5,34.44,35.25,36.31,36.44,35.69,35.12,35.12,35.25,34.88,35.0,35.53,35.59,34.66,33.16,31.97,31.0,29.53,28.28,28.75,30.44,32.31,33.75,35.84,37.88,38.78,37.91,37.19,36.75,36.12,34.53,33.75,34.03,34.47,33.47,32.28,31.22,30.28,28.56,26.91,26.44,26.94,27.31,27.5,28.28,29.66,30.72,30.84,31.0,31.31,31.53,30.94,29.69,28.78,28.69,28.69,28.81,29.62,30.91,32.09,32.06,31.94,32.38,32.88,32.12,31.06,30.44,29.62,28.47,27.09,26.16,25.91,25.31,24.38,24.41,25.5,26.91,27.66,29.03,30.94,32.75,33.84,34.41,35.19,36.12,35.84,35.38,35.06,35.88,36.22,35.75,35.81,36.62,37.56,37.53,37.97,38.41,39.25,39.56,40.25,41.62,44.03,45.78,46.34,46.38,46.19,44.91,42.72,40.72,39.94,39.5,38.12,37.75,38.19,39.06,40.06,40.75,41.66,42.72,42.84,41.66,40.25,39.12,37.5,35.16,32.88,31.34,30.94,30.19,30.0,30.97,32.91,34.34,35.47,37.06,38.81,39.59,39.44,38.56,38.66,38.81,38.53,38.72,40.0,41.38,41.53,40.97,40.5,40.53,39.69,38.44,38.19,39.5,41.0,42.06,43.19,44.59,45.34,44.88,43.59,43.41,43.88,43.53,42.97,42.97,43.44,43.31,42.84,42.59,43.16,43.72,43.12,42.31,42.47,42.84,42.41,42.31,43.19,44.62,45.59,46.19,46.28,46.47,46.12,44.72,43.88,44.22,44.78,45.12,45.25,45.5,45.75,44.88,43.5,43.22,44.0,44.78,45.62,46.0,46.94,46.94,45.38,43.69,43.03,42.25,41.38,40.44,40.56,41.31,41.38,41.06,41.06,41.62,41.91,41.31,40.78,41.0,40.84,39.94,38.72,38.34,37.72,36.81,35.16,34.22,33.03,31.53,29.44,28.56,29.16,30.06,31.16,32.12,33.84,34.91,35.22,35.53,36.78,38.12,38.84,38.69,38.41,37.94,36.31,34.16,32.5,31.38,30.28,28.78,27.75,28.53,30.03,31.25,31.97,32.94,33.5,32.78,31.78,31.19,31.22,31.0,29.88,28.97,29.03,29.22,28.75,28.56,29.81,31.12,31.78,31.75,32.72,34.38,35.16,35.34,36.31,37.31,37.56,36.03,33.94,31.97,29.59,26.25,23.53,22.81,22.94,23.66,23.91,25.0,26.28,26.56,26.34,26.69,27.72,29.19,30.22,31.0,32.5,34.06,34.0,33.09,32.5,31.72,30.38,28.5,27.78,28.31,28.88,29.06,30.28,31.94,33.59,34.22,34.19,35.19,35.75,35.28,34.34,34.31,34.47,34.03,32.56,31.56,30.62,29.44,27.94,26.5,26.03,25.78,24.16,22.53,22.16,22.56,22.81,23.56,25.69,28.12,30.25,30.88,31.47,31.88,31.84,30.5,30.19,31.06,32.34,32.59,32.34,31.81,30.91,28.56,24.88,21.56,19.16,16.53,14.03,13.94,16.28,19.25,21.59,23.91,26.41,28.34,29.09,29.66,31.09,32.72,33.47,33.59,34.28,34.88,35.53,34.88,34.38,34.47,34.62,34.03,33.34,33.62,34.22,33.44,31.75,31.06,30.41,28.91,27.0,25.94,25.97,26.47,26.5,27.44,29.69,32.16,33.41,34.59,36.0,37.84,38.75,39.62,41.31,43.28,43.94,42.84,40.97,38.78,35.94,31.88,28.66,27.31,26.62,26.06,25.34,25.78,26.53,26.25,25.62,25.69,26.66,27.34,27.59,28.56,30.06,31.53,31.16,30.47,30.88,31.62,31.78,31.5,32.56,33.62,34.0,33.69,33.62,34.0,33.84,32.22,30.91,30.44,30.25,29.34,29.0,29.97,31.66,32.19,32.44,33.19,34.31,34.25,33.75,33.5,34.0,34.5,33.84,33.81,34.28,34.75,34.41,34.12,34.56,35.38,34.72,33.22,31.97,30.38,28.19,25.22,22.72,21.41,20.41,19.06,18.31,19.06,20.25,20.53,20.91,22.5,24.44,25.66,26.47,27.31,28.44,28.59,28.09,28.41,30.16,32.03,33.19,34.59,36.25,37.62,37.31,36.19,35.47,34.94,33.88,32.81,32.5,33.25,33.5,33.06,32.78,33.75,35.19,35.91,36.66,38.0,39.66,39.62,38.69,38.56,38.69,37.62,36.34,35.62,35.94,35.78,34.53,32.81,31.53,29.84,27.03,24.44,23.62,24.16,24.47,25.19,27.0,29.72,31.56,32.59,33.38,34.0,33.44,31.19,28.28,26.75,25.31,23.25,21.72,21.16,21.12,20.75,20.0,19.78,20.5,21.25,20.94,21.09,22.31,23.44,23.75,24.22,26.0,27.91,28.78,29.12,29.66,30.38,30.19,29.66,29.44,30.25,30.25,29.66,28.78,28.91,29.06,28.81,28.5,29.0,29.91,29.22,27.88,26.44,25.62,24.28,22.75,22.22,23.31,24.62,25.28,25.62,27.16,27.97,27.75,27.16,27.78,28.66,28.94,28.59,28.66,29.0,28.41,26.62,25.31,25.31,25.0,24.56,24.41,25.5,26.47,26.53,25.88,26.16,26.53,25.88,24.56,23.88,23.97,23.94,23.84,24.41,25.94,26.78,26.22,24.84,23.66,23.25,22.12,20.72,20.72,22.12,23.69,25.03,27.16,29.94,32.03,32.81,46.62,46.19,46.09,45.47,45.0,45.5,46.34,47.25,48.94,51.47,54.09,55.91,57.19,57.88,58.0,57.28,55.81,54.09,53.12,52.41,51.69,51.59,52.16,52.78,52.59,52.94,53.81,54.28:12.84,12.38,11.28,11.34,12.06,12.91,12.75,13.19,14.28,15.38,15.5,15.94,17.5,19.59,20.31,19.81,19.38,18.5,16.25,13.38,11.75,11.81,12.59,12.91,13.84,15.31,15.91,14.75,13.06,12.19,12.0,11.44,11.19,11.91,13.38,14.69,14.94,15.88,17.34,18.56,18.25,18.0,18.28,18.72,18.06,17.28,17.59,18.72,19.25,20.0,21.53,23.59,25.19,25.0,24.56,23.91,23.22,21.56,20.69,21.34,22.59,22.34,21.69,21.44,20.5,19.06,17.34,16.5,17.03,18.22,18.91,20.09,21.75,23.41,23.75,23.53,24.12,24.69,24.19,22.88,21.66,20.62,18.56,16.38,15.0,14.75,15.38,15.03,15.16,15.78,15.56,13.84,11.78,11.09,11.72,12.0,12.56,13.81,14.97,15.31,14.5,13.78,13.53,13.09,11.5,10.41,10.66,11.47,11.09,11.34,11.78,12.5,12.53,12.19,13.16,15.28,17.22,18.47,19.56,21.03,21.97,21.06,20.34,20.28,21.12,20.97,21.22,22.44,24.25,25.12,24.72,24.25,23.88,22.84,20.59,18.91,18.28,18.19,17.53,17.38,19.03,21.53,22.53,23.31,24.84,26.53,27.22,28.0,29.72,32.41,34.5,35.09,35.12,35.69,35.78,34.66,34.0,34.25,34.81,33.56,31.69,30.0,28.88,26.75,24.41,22.66,21.88,21.56,20.72,20.31,21.62,22.72,22.44,22.28,22.69,23.62,23.22,22.91,22.75,23.28,23.12,22.28,21.78,21.78,21.62,20.56,19.72,19.66,19.97,19.44,18.88,19.31,20.22,20.56,20.88,21.66,23.0,23.75,23.66,23.06,22.75,22.12,20.66,18.94,18.38,18.19,17.72,17.28,17.5,18.16,18.69,18.72,18.75,20.0,21.22,21.47,22.34,24.16,26.44,27.22,27.44,28.38,29.06,28.28,26.53,25.34,24.31,22.62,20.84,19.59,19.75,19.41,17.97,16.94,17.19,17.94,18.81,19.91,21.94,24.0,24.97,25.25,25.62,26.91,27.47,27.84,28.16,30.09,31.69,32.38,33.34,35.34,37.84,39.69,40.66,41.59,41.97,39.84,36.22,32.44,29.41,26.62,23.78,22.12,22.16,22.22,21.78,22.0,23.38,25.41,26.5,27.38,28.25,29.41,29.84,29.84,30.41,31.12,30.69,29.19,27.16,26.06,24.72,22.78,21.12,20.91,21.59,22.72,24.09,26.75,29.78,31.41,31.97,31.94,32.28,32.03,30.91,29.19,28.16,26.38,23.19,20.19,18.19,17.66,17.09,17.16,18.31,20.75,23.56,26.0,29.31,33.19,36.28,37.72,38.22,38.72,38.41,37.31,35.84,35.03,34.78,33.72,32.31,31.53,31.72,31.59,30.5,29.16,28.91,27.62,25.72,23.81,23.31,23.38,23.19,23.31,24.22,26.12,27.19,27.53,28.19,29.19,29.53,28.25,26.81,26.22,25.31,23.62,21.97,21.41,21.19,21.03,20.81,22.25,25.41,28.0,29.75,31.09,32.88,33.62,33.34,33.0,33.41,33.78,33.31,32.72,32.59,32.62,32.34,31.19,30.62,31.06,31.16,30.56,30.03,30.66,31.03,30.81,30.5,31.5,32.91,34.5,35.84,38.53,41.56,43.72,44.19,44.5,45.03,44.31,42.69,41.62,41.78,41.59,40.84,39.81,39.06,38.25,37.47,36.69,37.5,39.34,41.44,42.47,43.62,44.72,44.12,42.38,40.59,40.22,40.31,40.53,40.94,42.25,43.75,44.91,45.66,47.16,49.22,51.22,51.41,51.44,51.5,50.75,48.38,46.34,45.59,44.84,44.0,43.0,42.81,42.81,42.5,41.53,41.22,40.88,40.03,38.22,36.84,36.22,35.88,35.62,34.97,35.44,36.06,36.56,36.31,36.56,37.22,36.94,35.47,34.69,34.62,34.91,34.69,34.75,35.69,36.38,35.53,34.03,33.0,32.03,30.88,29.84,30.28,31.69,32.62,33.19,34.0,35.59,37.22,38.0,38.75,40.0,40.84,40.53,39.75,39.06,38.56,37.03,34.72,33.19,32.59,32.19,31.31,31.38,32.25,33.16,33.5,34.44,35.25,36.31,36.44,35.69,35.12,35.12,35.25,34.88,35.0,35.53,35.59,34.66,33.16,31.97,31.0,29.53,28.28,28.75,30.44,32.31,33.75,35.84,37.88,38.78,37.91,37.19,36.75,36.12,34.53,33.75,34.03,34.47,33.47,32.28,31.22,30.28,28.56,26.91,26.44,26.94,27.31,27.5,28.28,29.66,30.72,30.84,31.0,31.31,31.53,30.94,29.69,28.78,28.69,28.69,28.81,29.62,30.91,32.09,32.06,31.94,32.38,32.88,32.12,31.06,30.44,29.62,28.47,27.09,26.16,25.91,25.31,24.38,24.41,25.5,26.91,27.66,29.03,30.94,32.75,33.84,34.41,35.19,36.12,35.84,35.38,35.06,35.88,36.22,35.75,35.81,36.62,37.56,37.53,37.97,38.41,39.25,39.56,40.25,41.62,44.03,45.78,46.34,46.38,46.19,44.91,42.72,40.72,39.94,39.5,38.12,37.75,38.19,39.06,40.06,40.75,41.66,42.72,42.84,41.66,40.25,39.12,37.5,35.16,32.88,31.34,30.94,30.19,30.0,30.97,32.91,34.34,35.47,37.06,38.81,39.59,39.44,38.56,38.66,38.81,38.53,38.72,40.0,41.38,41.53,40.97,40.5,40.53,39.69,38.44,38.19,39.5,41.0,42.06,43.19,44.59,45.34,44.88,43.59,43.41,43.88,43.53,42.97,42.97,43.44,43.31,42.84,42.59,43.16,43.72,43.12,42.31,42.47,42.84,42.41,42.31,43.19,44.62,45.59,46.19,46.28,46.47,46.12,44.72,43.88,44.22,44.78,45.12,45.25,45.5,45.75,44.88,43.5,43.22,44.0,44.78,45.62,46.0,46.94,46.94,45.38,43.69,43.03,42.25,41.38,40.44,40.56,41.31,41.38,41.06,41.06,41.62,41.91,41.31,40.78,41.0,40.84,39.94,38.72,38.34,37.72,36.81,35.16,34.22,33.03,31.53,29.44,28.56,29.16,30.06,31.16,32.12,33.84,34.91,35.22,35.53,36.78,38.12,38.84,38.69,38.41,37.94,36.31,34.16,32.5,31.38,30.28,28.78,27.75,28.53,30.03,31.25,31.97,32.94,33.5,32.78,31.78,31.19,31.22,31.0,29.88,28.97,29.03,29.22,28.75,28.56,29.81,31.12,31.78,31.75,32.72,34.38,35.16,35.34,36.31,37.31,37.56,36.03,33.94,31.97,29.59,26.25,23.53,22.81,22.94,23.66,23.91,25.0,26.28,26.56,26.34,26.69,27.72,29.19,30.22,31.0,32.5,34.06,34.0,33.09,32.5,31.72,30.38,28.5,27.78,28.31,28.88,29.06,30.28,31.94,33.59,34.22,34.19,35.19,35.75,35.28,34.34,34.31,34.47,34.03,32.56,31.56,30.62,29.44,27.94,26.5,26.03,25.78,24.16,22.53,22.16,22.56,22.81,23.56,25.69,28.12,30.25,30.88,31.47,31.88,31.84,30.5,30.19,31.06,32.34,32.59,32.34,31.81,30.91,28.56,24.88,21.56,19.16,16.53,14.03,13.94,16.28,19.25,21.59,23.91,26.41,28.34,29.09,29.66,31.09,32.72,33.47,33.59,34.28,34.88,35.53,34.88,34.38,34.47,34.62,34.03,33.34,33.62,34.22,33.44,31.75,31.06,30.41,28.91,27.0,25.94,25.97,26.47,26.5,27.44,29.69,32.16,33.41,34.59,36.0,37.84,38.75,39.62,41.31,43.28,43.94,42.84,40.97,38.78,35.94,31.88,28.66,27.31,26.62,26.06,25.34,25.78,26.53,26.25,25.62,25.69,26.66,27.34,27.59,28.56,30.06,31.53,31.16,30.47,30.88,31.62,31.78,31.5,32.56,33.62,34.0,33.69,33.62,34.0,33.84,32.22,30.91,30.44,30.25,29.34,29.0,29.97,31.66,32.19,32.44,33.19,34.31,34.25,33.75,33.5,34.0,34.5,33.84,33.81,34.28,34.75,34.41,34.12,34.56,35.38,34.72,33.22,31.97,30.38,28.19,25.22,22.72,21.41,20.41,19.06,18.31,19.06,20.25,20.53,20.91,22.5,24.44,25.66,26.47,27.31,28.44,28.59,28.09,28.41,30.16,32.03,33.19,34.59,36.25,37.62,37.31,36.19,35.47,34.94,33.88,32.81,32.5,33.25,33.5,33.06,32.78,33.75,35.19,35.91,36.66,38.0,39.66,39.62,38.69,38.56,38.69,37.62,36.34,35.62,35.94,35.78,34.53,32.81,31.53,29.84,27.03,24.44,23.62,24.16,24.47,25.19,27.0,29.72,31.56,32.59,33.38,34.0,33.44,31.19,28.28,26.75,25.31,23.25,21.72,21.16,21.12,20.75,20.0,19.78,20.5,21.25,20.94,21.09,22.31,23.44,23.75,24.22,26.0,27.91,28.78,29.12,29.66,30.38,30.19,29.66,29.44,30.25,30.25,29.66,28.78,28.91,29.06,28.81,28.5,29.0,29.91,29.22,27.88,26.44,25.62,24.28,22.75,22.22,23.31,24.62,25.28,25.62,27.16,27.97,27.75,27.16,27.78,28.66,28.94,28.59,28.66,29.0,28.41,26.62,25.31,25.31,25.0,24.56,24.41,25.5,26.47,26.53,25.88,26.16,26.53,25.88,24.56,23.88,23.97,23.94,23.84,24.41,25.94,26.78,26.22,24.84,23.66,23.25,22.12,20.72,20.72,22.12,23.69,25.03,27.16,29.94,32.03,32.81,46.62,46.19,46.09,45.47,45.0,45.5,46.34,47.25,48.94,51.47,54.09,55.91,57.19,57.88,58.0,57.28,55.81,54.09,53.12,52.41,51.69,51.59,52.16,52.78,52.59,52.94,53.81,54.28,54.38,53.69,52.25,50.53,48.25,46.22,44.88:13.19,14.28,15.38,15.5,15.94,17.5,19.59,20.31,19.81,19.38,18.5,16.25,13.38,11.75,11.81,12.59,12.91,13.84,15.31,15.91,14.75,13.06,12.19,12.0,11.44,11.19,11.91,13.38,14.69,14.94,15.88,17.34,18.56,18.25,18.0,18.28,18.72,18.06,17.28,17.59,18.72,19.25,20.0,21.53,23.59,25.19,25.0,24.56,23.91,23.22,21.56,20.69,21.34,22.59,22.34,21.69,21.44,20.5,19.06,17.34,16.5,17.03,18.22,18.91,20.09,21.75,23.41,23.75,23.53,24.12,24.69,24.19,22.88,21.66,20.62,18.56,16.38,15.0,14.75,15.38,15.03,15.16,15.78,15.56,13.84,11.78,11.09,11.72,12.0,12.56,13.81,14.97,15.31,14.5,13.78,13.53,13.09,11.5,10.41,10.66,11.47,11.09,11.34,11.78,12.5,12.53,12.19,13.16,15.28,17.22,18.47,19.56,21.03,21.97,21.06,20.34,20.28,21.12,20.97,21.22,22.44,24.25,25.12,24.72,24.25,23.88,22.84,20.59,18.91,18.28,18.19,17.53,17.38,19.03,21.53,22.53,23.31,24.84,26.53,27.22,28.0,29.72,32.41,34.5,35.09,35.12,35.69,35.78,34.66,34.0,34.25,34.81,33.56,31.69,30.0,28.88,26.75,24.41,22.66,21.88,21.56,20.72,20.31,21.62,22.72,22.44,22.28,22.69,23.62,23.22,22.91,22.75,23.28,23.12,22.28,21.78,21.78,21.62,20.56,19.72,19.66,19.97,19.44,18.88,19.31,20.22,20.56,20.88,21.66,23.0,23.75,23.66,23.06,22.75,22.12,20.66,18.94,18.38,18.19,17.72,17.28,17.5,18.16,18.69,18.72,18.75,20.0,21.22,21.47,22.34,24.16,26.44,27.22,27.44,28.38,29.06,28.28,26.53,25.34,24.31,22.62,20.84,19.59,19.75,19.41,17.97,16.94,17.19,17.94,18.81,19.91,21.94,24.0,24.97,25.25,25.62,26.91,27.47,27.84,28.16,30.09,31.69,32.38,33.34,35.34,37.84,39.69,40.66,41.59,41.97,39.84,36.22,32.44,29.41,26.62,23.78,22.12,22.16,22.22,21.78,22.0,23.38,25.41,26.5,27.38,28.25,29.41,29.84,29.84,30.41,31.12,30.69,29.19,27.16,26.06,24.72,22.78,21.12,20.91,21.59,22.72,24.09,26.75,29.78,31.41,31.97,31.94,32.28,32.03,30.91,29.19,28.16,26.38,23.19,20.19,18.19,17.66,17.09,17.16,18.31,20.75,23.56,26.0,29.31,33.19,36.28,37.72,38.22,38.72,38.41,37.31,35.84,35.03,34.78,33.72,32.31,31.53,31.72,31.59,30.5,29.16,28.91,27.62,25.72,23.81,23.31,23.38,23.19,23.31,24.22,26.12,27.19,27.53,28.19,29.19,29.53,28.25,26.81,26.22,25.31,23.62,21.97,21.41,21.19,21.03,20.81,22.25,25.41,28.0,29.75,31.09,32.88,33.62,33.34,33.0,33.41,33.78,33.31,32.72,32.59,32.62,32.34,31.19,30.62,31.06,31.16,30.56,30.03,30.66,31.03,30.81,30.5,31.5,32.91,34.5,35.84,38.53,41.56,43.72,44.19,44.5,45.03,44.31,42.69,41.62,41.78,41.59,40.84,39.81,39.06,38.25,37.47,36.69,37.5,39.34,41.44,42.47,43.62,44.72,44.12,42.38,40.59,40.22,40.31,40.53,40.94,42.25,43.75,44.91,45.66,47.16,49.22,51.22,51.41,51.44,51.5,50.75,48.38,46.34,45.59,44.84,44.0,43.0,42.81,42.81,42.5,41.53,41.22,40.88,40.03,38.22,36.84,36.22,35.88,35.62,34.97,35.44,36.06,36.56,36.31,36.56,37.22,36.94,35.47,34.69,34.62,34.91,34.69,34.75,35.69,36.38,35.53,34.03,33.0,32.03,30.88,29.84,30.28,31.69,32.62,33.19,34.0,35.59,37.22,38.0,38.75,40.0,40.84,40.53,39.75,39.06,38.56,37.03,34.72,33.19,32.59,32.19,31.31,31.38,32.25,33.16,33.5,34.44,35.25,36.31,36.44,35.69,35.12,35.12,35.25,34.88,35.0,35.53,35.59,34.66,33.16,31.97,31.0,29.53,28.28,28.75,30.44,32.31,33.75,35.84,37.88,38.78,37.91,37.19,36.75,36.12,34.53,33.75,34.03,34.47,33.47,32.28,31.22,30.28,28.56,26.91,26.44,26.94,27.31,27.5,28.28,29.66,30.72,30.84,31.0,31.31,31.53,30.94,29.69,28.78,28.69,28.69,28.81,29.62,30.91,32.09,32.06,31.94,32.38,32.88,32.12,31.06,30.44,29.62,28.47,27.09,26.16,25.91,25.31,24.38,24.41,25.5,26.91,27.66,29.03,30.94,32.75,33.84,34.41,35.19,36.12,35.84,35.38,35.06,35.88,36.22,35.75,35.81,36.62,37.56,37.53,37.97,38.41,39.25,39.56,40.25,41.62,44.03,45.78,46.34,46.38,46.19,44.91,42.72,40.72,39.94,39.5,38.12,37.75,38.19,39.06,40.06,40.75,41.66,42.72,42.84,41.66,40.25,39.12,37.5,35.16,32.88,31.34,30.94,30.19,30.0,30.97,32.91,34.34,35.47,37.06,38.81,39.59,39.44,38.56,38.66,38.81,38.53,38.72,40.0,41.38,41.53,40.97,40.5,40.53,39.69,38.44,38.19,39.5,41.0,42.06,43.19,44.59,45.34,44.88,43.59,43.41,43.88,43.53,42.97,42.97,43.44,43.31,42.84,42.59,43.16,43.72,43.12,42.31,42.47,42.84,42.41,42.31,43.19,44.62,45.59,46.19,46.28,46.47,46.12,44.72,43.88,44.22,44.78,45.12,45.25,45.5,45.75,44.88,43.5,43.22,44.0,44.78,45.62,46.0,46.94,46.94,45.38,43.69,43.03,42.25,41.38,40.44,40.56,41.31,41.38,41.06,41.06,41.62,41.91,41.31,40.78,41.0,40.84,39.94,38.72,38.34,37.72,36.81,35.16,34.22,33.03,31.53,29.44,28.56,29.16,30.06,31.16,32.12,33.84,34.91,35.22,35.53,36.78,38.12,38.84,38.69,38.41,37.94,36.31,34.16,32.5,31.38,30.28,28.78,27.75,28.53,30.03,31.25,31.97,32.94,33.5,32.78,31.78,31.19,31.22,31.0,29.88,28.97,29.03,29.22,28.75,28.56,29.81,31.12,31.78,31.75,32.72,34.38,35.16,35.34,36.31,37.31,37.56,36.03,33.94,31.97,29.59,26.25,23.53,22.81,22.94,23.66,23.91,25.0,26.28,26.56,26.34,26.69,27.72,29.19,30.22,31.0,32.5,34.06,34.0,33.09,32.5,31.72,30.38,28.5,27.78,28.31,28.88,29.06,30.28,31.94,33.59,34.22,34.19,35.19,35.75,35.28,34.34,34.31,34.47,34.03,32.56,31.56,30.62,29.44,27.94,26.5,26.03,25.78,24.16,22.53,22.16,22.56,22.81,23.56,25.69,28.12,30.25,30.88,31.47,31.88,31.84,30.5,30.19,31.06,32.34,32.59,32.34,31.81,30.91,28.56,24.88,21.56,19.16,16.53,14.03,13.94,16.28,19.25,21.59,23.91,26.41,28.34,29.09,29.66,31.09,32.72,33.47,33.59,34.28,34.88,35.53,34.88,34.38,34.47,34.62,34.03,33.34,33.62,34.22,33.44,31.75,31.06,30.41,28.91,27.0,25.94,25.97,26.47,26.5,27.44,29.69,32.16,33.41,34.59,36.0,37.84,38.75,39.62,41.31,43.28,43.94,42.84,40.97,38.78,35.94,31.88,28.66,27.31,26.62,26.06,25.34,25.78,26.53,26.25,25.62,25.69,26.66,27.34,27.59,28.56,30.06,31.53,31.16,30.47,30.88,31.62,31.78,31.5,32.56,33.62,34.0,33.69,33.62,34.0,33.84,32.22,30.91,30.44,30.25,29.34,29.0,29.97,31.66,32.19,32.44,33.19,34.31,34.25,33.75,33.5,34.0,34.5,33.84,33.81,34.28,34.75,34.41,34.12,34.56,35.38,34.72,33.22,31.97,30.38,28.19,25.22,22.72,21.41,20.41,19.06,18.31,19.06,20.25,20.53,20.91,22.5,24.44,25.66,26.47,27.31,28.44,28.59,28.09,28.41,30.16,32.03,33.19,34.59,36.25,37.62,37.31,36.19,35.47,34.94,33.88,32.81,32.5,33.25,33.5,33.06,32.78,33.75,35.19,35.91,36.66,38.0,39.66,39.62,38.69,38.56,38.69,37.62,36.34,35.62,35.94,35.78,34.53,32.81,31.53,29.84,27.03,24.44,23.62,24.16,24.47,25.19,27.0,29.72,31.56,32.59,33.38,34.0,33.44,31.19,28.28,26.75,25.31,23.25,21.72,21.16,21.12,20.75,20.0,19.78,20.5,21.25,20.94,21.09,22.31,23.44,23.75,24.22,26.0,27.91,28.78,29.12,29.66,30.38,30.19,29.66,29.44,30.25,30.25,29.66,28.78,28.91,29.06,28.81,28.5,29.0,29.91,29.22,27.88,26.44,25.62,24.28,22.75,22.22,23.31,24.62,25.28,25.62,27.16,27.97,27.75,27.16,27.78,28.66,28.94,28.59,28.66,29.0,28.41,26.62,25.31,25.31,25.0,24.56,24.41,25.5,26.47,26.53,25.88,26.16,26.53,25.88,24.56,23.88,23.97,23.94,23.84,24.41,25.94,26.78,26.22,24.84,23.66,23.25,22.12,20.72,20.72,22.12,23.69,25.03,27.16,29.94,32.03,32.81,46.62,46.19,46.09,45.47,45.0,45.5,46.34,47.25,48.94,51.47,54.09,55.91,57.19,57.88,58.0,57.28,55.81,54.09,53.12,52.41,51.69,51.59,52.16,52.78,52.59,52.94,53.81,54.28,54.38,53.69,52.25,50.53,48.25,46.22,44.88,44.66,45.09,45.62,46.56,48.66,50.31,51.75:positivity
21.0,19.53,18.78,19.5,20.19,19.84,19.62,19.84,20.28,19.56,19.09,18.84,19.09,18.53,17.72,16.84,16.38,16.16,14.53,12.94,12.34,12.03,10.78,10.09,10.56,11.69,12.16,12.56,14.06,16.12,17.62,19.19,21.44,24.66,27.59,28.84,29.66,29.88,29.62,27.88,26.56,26.81,28.41,29.5,30.41,31.44,32.25,31.28,29.38,27.16,25.53,24.16,22.12,21.0,20.72,21.03,21.12,21.53,23.03,25.44,27.75,29.91,32.66,35.72,37.78,38.09,37.09,36.22,34.38,31.22,27.94,25.66,24.38,22.66,21.34,21.41,22.56,23.06,23.34,24.0,25.12,25.41,24.91,24.69,25.38,26.53,26.97,27.66,29.12,30.72,30.78,30.22,29.97,30.56,30.25,29.41,29.44,30.66,31.75,32.34,33.22,34.88,36.22,36.19,35.62,35.75,36.19,35.03,33.62,32.34,31.12,29.75,27.44,26.34,26.19,26.06,25.25,24.66,24.78,24.94,24.19,23.34,23.28,23.88,24.38,25.44,27.44,30.31,32.06,32.25,31.38,30.75,29.78,28.56,28.09,29.81,32.19,33.66,34.47,35.38,35.75,34.5,32.16,30.34,29.38,28.44,26.59,25.5,25.78,26.34,26.75,27.53,29.41,31.88,33.47,34.25,34.94,35.75,35.0,33.0,31.41,30.25,29.34,28.31,27.28,27.56,28.03,27.88,27.34,27.31,27.38,26.69,25.84,25.62,26.12,25.62,24.44,23.34,23.22,23.19,23.09,23.25,24.62,26.0,26.94,27.41,28.22,29.56,29.75,29.28,29.41,30.38,30.78,30.81,30.84,31.59,31.91,30.78,29.12,27.53,26.56,25.03,23.5,23.34,24.12,24.53,24.62,24.84,26.12,26.94,27.03,27.78,28.94,30.22,30.44,30.19,30.44,30.97,30.97,30.31,30.56,31.22,31.38,31.09,31.0,32.12,32.44,31.97,31.12,30.25,29.16,27.47,25.69,25.44,26.34,27.38,28.16,29.56,30.69,30.66,29.38,27.59,26.94,26.0,25.06,24.22,24.69,25.25,24.88,24.34,24.31,25.0,25.25,25.12,25.69,26.88,27.94,27.66,27.03,27.22,26.72,25.12,23.53,23.84,24.41,24.97,25.41,26.69,28.03,28.47,27.78,27.72,28.16,28.62,28.56,28.22,28.81,28.72,27.75,26.28,25.66,25.0,24.06,22.59,21.88,21.84,21.88,21.97,22.88,24.72,26.91,28.28,29.62,31.34,31.75,31.06,29.06,27.31,25.47,24.0,22.62,22.62,23.84,25.69,27.0,28.75,30.75,32.31,32.66,32.47,32.62,32.78,31.84,30.59,30.19,30.03,30.12,29.88,30.34,31.84,33.47,34.19,34.72,35.38,35.41,33.94,31.97,30.69,29.44,27.53,25.41,24.0,23.0,22.19,20.47,19.66,19.81,20.41,20.88,22.0,24.16,26.19,27.56,28.0,29.59,31.25,32.62,33.81,35.34,37.06,37.75,37.31,36.19,35.5,34.19,32.28,30.38,29.5,28.75,27.81,27.0,27.06,27.78,28.22,28.69,29.91,31.88,33.41,34.16,34.12,34.31,34.75,33.72,32.88,32.88,32.94,32.03,31.38,31.25,31.97,32.72,33.22,33.78,34.66,35.47,35.16,34.88,35.53,36.22,36.0,35.72,35.59,35.06,32.97,29.94,26.69,23.41,19.81,16.03,13.41,12.06,12.31,12.69,14.28,17.12,20.47,23.62,26.41,29.25,32.41,34.78,36.53,38.25,40.03,41.88,42.62,43.31,44.19,44.03,42.38,39.72,37.03,34.44,31.0,27.12,23.12,19.25,14.97,10.91,8.0,6.94,6.91,7.06,7.69,8.88,11.03,11.84,12.47,13.81,16.22,18.09,20.41,23.03,26.62,29.56,31.19,32.47,33.78,34.0,32.09,29.78,27.31,25.19,22.5,20.19,19.06,18.72,18.44,18.62,19.66,21.62,23.31,24.31,25.31,26.66,28.0,28.34,28.38,28.59,28.78,28.03,27.38,26.59,25.94,24.97,22.84,21.09,20.41,19.69,19.28,19.16,20.25,21.84,22.53,23.12,23.56,24.62,25.34,25.94,27.41,29.91,32.62,34.66,36.75,38.81,40.5,40.03,39.19,38.69,38.38,37.03,35.22,32.91,30.88,27.84,25.09,23.62,24.22,26.12,28.22,31.03,34.31,36.41,36.72,35.62,34.47,32.91,30.91,29.38,28.31,28.41,28.38,29.06,29.75,31.84,33.97,35.62,37.31,39.06,40.44,40.16,38.97,37.56,36.41,34.41,32.97,31.97,31.94,31.97,31.56,31.12,31.66,32.44,32.12,31.84,33.06,34.31,35.19,35.31,36.19,36.66,36.47,35.78,35.0,34.78,34.44,32.94,31.53,30.81,30.09,28.81,27.38,26.81,27.06,26.72,26.5,27.12,28.34,29.44,29.97,31.03,33.12,35.41,37.75,40.12,43.47,46.28,47.28,47.19,46.88,46.28,44.81,42.41,40.09,38.16,35.66,32.94,30.47,29.66,28.84,28.16,27.72,27.66,27.62,26.66,25.22,24.53,24.31,23.78,22.59,21.25,20.38,18.94,17.03,15.62,15.0,15.06,15.44,16.06,18.56,21.62,24.12,26.03,28.22,30.69,32.12,32.59,33.12,34.38,35.59,36.59,37.41,38.94,39.91,40.0,39.25,39.22,39.53,39.19,37.94,37.34,37.62,37.53,36.81,36.19,35.59,34.56,32.38,30.09,29.34,28.56,27.44,26.25,26.25,26.62,26.41,25.88,25.59,25.53,25.31,24.66,23.91,24.56,25.28,25.72,26.28,27.62,29.09,29.97,30.19,31.09,32.12,32.84,33.03,33.31,33.94,34.22,33.69,33.12,33.25,33.47,33.06,32.53,33.0,33.59,33.66,33.44,33.25,33.0,32.25,30.75,29.72,30.59,31.72,32.56,33.25,34.19,34.91,34.19,33.16,32.91,32.94,32.69,32.12,32.28,33.12,34.47,34.91,35.34,36.38,36.91,36.06,34.5,33.03,31.81,29.88,27.66,26.16,25.47,24.78,23.56,22.94,23.25,23.47,23.19,23.09,23.84,24.97,25.53,26.06,26.78,27.78,27.66,27.06,27.12,27.69,28.56,28.44,28.28,28.28,27.44,25.44,23.75,23.53,24.69,25.75,27.34,29.72,32.91,34.84,35.47,36.06,36.25,36.09,34.5,33.09,32.47,31.94,30.53,28.59,27.56,26.06,23.81,21.34,19.88,19.34,18.78,18.16,18.22,18.72,19.59,19.56,19.78,20.5,20.44,18.72,16.62,14.66,13.09,11.47,10.44,10.88,12.22,13.75,14.41,15.5,16.94,17.72,17.47,17.69,18.56,20.06,20.91,21.91,23.66,25.81,27.12,27.34,27.31,27.28,26.28,23.78,21.69,20.34,19.22,17.09,15.69,15.34,16.16,16.44,16.31,17.06,18.16,18.81,18.75,20.09,21.97,23.88,24.81,25.44,26.0,26.0,24.59,22.81,21.47,20.84,19.47,17.75,17.19,17.47,17.81,17.66,17.91,19.19,20.47,21.09,22.19,24.53,26.56,27.38,27.75,27.41,27.25,26.06,24.69,24.19,25.0,26.62,27.56,29.34,31.34,32.19,30.56,28.44,26.56,25.22,23.81,23.06,24.28,26.5,28.38,29.41,29.84,30.41,29.59,27.53,25.81,25.66,25.69,24.75,24.16,24.06,24.22,23.16,22.03,21.34,21.28,20.09,18.53,17.19,17.06,17.22,17.0,17.47,19.38,21.0,21.5,21.41,21.34,21.16,20.31,19.28,18.97,19.81,20.25,20.0,19.78,20.72,22.03,22.81,24.81,27.91,31.47,33.72,35.28,36.5,37.97,37.97,36.88,35.66,34.81,33.59,31.59,29.62,28.47,27.41,25.47,23.69,23.47,23.81,23.72,23.5,24.03,25.12,25.25,25.12,24.81,25.09,24.81,23.88,23.25,23.94,25.16,25.62,25.66,26.75,27.44,27.12,25.84,25.22,25.03,23.88,22.12,20.94,20.72,20.72,20.03,19.31,19.34,19.38,17.81,16.31,15.84,16.28,16.25,16.03,16.75,18.31,19.5,20.28,21.28,23.41,24.81,25.5,25.72,26.81,27.81,27.59,27.0,26.53,26.34,25.0,23.06,21.75,21.38,21.25,21.03,21.25,23.03,24.34,25.16,25.47,26.09,26.81,26.5,25.44,24.91,24.97,24.12,23.09,22.62,23.56,24.78,25.03,24.97,25.38,25.09,23.66,21.59,20.97,20.66,20.22,19.84,20.28,21.28,21.75,21.84,21.56,21.94,22.28,22.06,21.5,21.84,22.25,22.03,21.22,21.72,22.56,22.84,22.53,22.31,22.66,22.16,21.06,20.09,20.22,20.81,21.03,21.66,23.19,24.25,24.16,23.03,22.25,22.09,21.41,20.31,19.53,19.5,19.03,17.78,17.19,17.56,17.97,17.91,18.03,19.25,20.47,21.06,21.34,22.09,22.81,23.09,22.72,22.97,24.5,25.59,25.91,26.31,27.06,27.41,27.09,26.5,26.66,26.84,26.19,25.19,24.47,24.34,23.91,22.88,22.41,23.0,24.34,25.28,26.31,27.88,28.81,28.31,25.94,24.22,22.78,21.19,19.62,19.41,20.53,21.59,22.25,22.94,24.62,26.09,26.81,27.16,28.0,28.28,27.38,25.31,23.25,21.41,19.47,17.0,15.75,15.69,16.34,16.72,17.75,19.66,21.47,21.66,21.28,21.38,21.06,20.12,18.44,17.25,15.72,13.69,11.09,9.28,8.81,9.47,10.38,12.16,15.41,19.06,22.06,24.84,27.97,30.72,32.12,31.88,31.0,29.19,26.81,22.94,19.47,16.97,15.25,13.47,12.12,12.16,12.53,12.53,12.41,13.38,14.81,15.91,16.56,17.72,19.62,20.88,20.97,20.88,21.09,20.94,20.06,19.72,20.69,22.78,24.31,26.09,28.34:19.84,20.28,19.56,19.09,18.84,19.09,18.53,17.72,16.84,16.38,16.16,14.53,12.94,12.34,12.03,10.78,10.09,10.56,11.69,12.16,12.56,14.06,16.12,17.62,19.19,21.44,24.66,27.59,28.84,29.66,29.88,29.62,27.88,26.56,26.81,28.41,29.5,30.41,31.44,32.25,31.28,29.38,27.16,25.53,24.16,22.12,21.0,20.72,21.03,21.12,21.53,23.03,25.44,27.75,29.91,32.66,35.72,37.78,38.09,37.09,36.22,34.38,31.22,27.94,25.66,24.38,22.66,21.34,21.41,22.56,23.06,23.34,24.0,25.12,25.41,24.91,24.69,25.38,26.53,26.97,27.66,29.12,30.72,30.78,30.22,29.97,30.56,30.25,29.41,29.44,30.66,31.75,32.34,33.22,34.88,36.22,36.19,35.62,35.75,36.19,35.03,33.62,32.34,31.12,29.75,27.44,26.34,26.19,26.06,25.25,24.66,24.78,24.94,24.19,23.34,23.28,23.88,24.38,25.44,27.44,30.31,32.06,32.25,31.38,30.75,29.78,28.56,28.09,29.81,32.19,33.66,34.47,35.38,35.75,34.5,32.16,30.34,29.38,28.44,26.59,25.5,25.78,26.34,26.75,27.53,29.41,31.88,33.47,34.25,34.94,35.75,35.0,33.0,31.41,30.25,29.34,28.31,27.28,27.56,28.03,27.88,27.34,27.31,27.38,26.69,25.84,25.62,26.12,25.62,24.44,23.34,23.22,23.19,23.09,23.25,24.62,26.0,26.94,27.41,28.22,29.56,29.75,29.28,29.41,30.38,30.78,30.81,30.84,31.59,31.91,30.78,29.12,27.53,26.56,25.03,23.5,23.34,24.12,24.53,24.62,24.84,26.12,26.94,27.03,27.78,28.94,30.22,30.44,30.19,30.44,30.97,30.97,30.31,30.56,31.22,31.38,31.09,31.0,32.12,32.44,31.97,31.12,30.25,29.16,27.47,25.69,25.44,26.34,27.38,28.16,29.56,30.69,30.66,29.38,27.59,26.94,26.0,25.06,24.22,24.69,25.25,24.88,24.34,24.31,25.0,25.25,25.12,25.69,26.88,27.94,27.66,27.03,27.22,26.72,25.12,23.53,23.84,24.41,24.97,25.41,26.69,28.03,28.47,27.78,27.72,28.16,28.62,28.56,28.22,28.81,28.72,27.75,26.28,25.66,25.0,24.06,22.59,21.88,21.84,21.88,21.97,22.88,24.72,26.91,28.28,29.62,31.34,31.75,31.06,29.06,27.31,25.47,24.0,22.62,22.62,23.84,25.69,27.0,28.75,30.75,32.31,32.66,32.47,32.62,32.78,31.84,30.59,30.19,30.03,30.12,29.88,30.34,31.84,33.47,34.19,34.72,35.38,35.41,33.94,31.97,30.69,29.44,27.53,25.41,24.0,23.0,22.19,20.47,19.66,19.81,20.41,20.88,22.0,24.16,26.19,27.56,28.0,29.59,31.25,32.62,33.81,35.34,37.06,37.75,37.31,36.19,35.5,34.19,32.28,30.38,29.5,28.75,27.81,27.0,27.06,27.78,28.22,28.69,29.91,31.88,33.41,34.16,34.12,34.31,34.75,33.72,32.88,32.88,32.94,32.03,31.38,31.25,31.97,32.72,33.22,33.78,34.66,35.47,35.16,34.88,35.53,36.22,36.0,35.72,35.59,35.06,32.97,29.94,26.69,23.41,19.81,16.03,13.41,12.06,12.31,12.69,14.28,17.12,20.47,23.62,26.41,29.25,32.41,34.78,36.53,38.25,40.03,41.88,42.62,43.31,44.19,44.03,42.38,39.72,37.03,34.44,31.0,27.12,23.12,19.25,14.97,10.91,8.0,6.94,6.91,7.06,7.69,8.88,11.03,11.84,12.47,13.81,16.22,18.09,20.41,23.03,26.62,29.56,31.19,32.47,33.78,34.0,32.09,29.78,27.31,25.19,22.5,20.19,19.06,18.72,18.44,18.62,19.66,21.62,23.31,24.31,25.31,26.66,28.0,28.34,28.38,28.59,28.78,28.03,27.38,26.59,25.94,24.97,22.84,21.09,20.41,19.69,19.28,19.16,20.25,21.84,22.53,23.12,23.56,24.62,25.34,25.94,27.41,29.91,32.62,34.66,36.75,38.81,40.5,40.03,39.19,38.69,38.38,37.03,35.22,32.91,30.88,27.84,25.09,23.62,24.22,26.12,28.22,31.03,34.31,36.41,36.72,35.62,34.47,32.91,30.91,29.38,28.31,28.41,28.38,29.06,29.75,31.84,33.97,35.62,37.31,39.06,40.44,40.16,38.97,37.56,36.41,34.41,32.97,31.97,31.94,31.97,31.56,31.12,31.66,32.44,32.12,31.84,33.06,34.31,35.19,35.31,36.19,36.66,36.47,35.78,35.0,34.78,34.44,32.94,31.53,30.81,30.09,28.81,27.38,26.81,27.06,26.72,26.5,27.12,28.34,29.44,29.97,31.03,33.12,35.41,37.75,40.12,43.47,46.28,47.28,47.19,46.88,46.28,44.81,42.41,40.09,38.16,35.66,32.94,30.47,29.66,28.84,28.16,27.72,27.66,27.62,26.66,25.22,24.53,24.31,23.78,22.59,21.25,20.38,18.94,17.03,15.62,15.0,15.06,15.44,16.06,18.56,21.62,24.12,26.03,28.22,30.69,32.12,32.59,33.12,34.38,35.59,36.59,37.41,38.94,39.91,40.0,39.25,39.22,39.53,39.19,37.94,37.34,37.62,37.53,36.81,36.19,35.59,34.56,32.38,30.09,29.34,28.56,27.44,26.25,26.25,26.62,26.41,25.88,25.59,25.53,25.31,24.66,23.91,24.56,25.28,25.72,26.28,27.62,29.09,29.97,30.19,31.09,32.12,32.84,33.03,33.31,33.94,34.22,33.69,33.12,33.25,33.47,33.06,32.53,33.0,33.59,33.66,33.44,33.25,33.0,32.25,30.75,29.72,30.59,31.72,32.56,33.25,34.19,34.91,34.19,33.16,32.91,32.94,32.69,32.12,32.28,33.12,34.47,34.91,35.34,36.38,36.91,36.06,34.5,33.03,31.81,29.88,27.66,26.16,25.47,24.78,23.56,22.94,23.25,23.47,23.19,23.09,23.84,24.97,25.53,26.06,26.78,27.78,27.66,27.06,27.12,27.69,28.56,28.44,28.28,28.28,27.44,25.44,23.75,23.53,24.69,25.75,27.34,29.72,32.91,34.84,35.47,36.06,36.25,36.09,34.5,33.09,32.47,31.94,30.53,28.59,27.56,26.06,23.81,21.34,19.88,19.34,18.78,18.16,18.22,18.72,19.59,19.56,19.78,20.5,20.44,18.72,16.62,14.66,13.09,11.47,10.44,10.88,12.22,13.75,14.41,15.5,16.94,17.72,17.47,17.69,18.56,20.06,20.91,21.91,23.66,25.81,27.12,27.34,27.31,27.28,26.28,23.78,21.69,20.34,19.22,17.09,15.69,15.34,16.16,16.44,16.31,17.06,18.16,18.81,18.75,20.09,21.97,23.88,24.81,25.44,26.0,26.0,24.59,22.81,21.47,20.84,19.47,17.75,17.19,17.47,17.81,17.66,17.91,19.19,20.47,21.09,22.19,24.53,26.56,27.38,27.75,27.41,27.25,26.06,24.69,24.19,25.0,26.62,27.56,29.34,31.34,32.19,30.56,28.44,26.56,25.22,23.81,23.06,24.28,26.5,28.38,29.41,29.84,30.41,29.59,27.53,25.81,25.66,25.69,24.75,24.16,24.06,24.22,23.16,22.03,21.34,21.28,20.09,18.53,17.19,17.06,17.22,17.0,17.47,19.38,21.0,21.5,21.41,21.34,21.16,20.31,19.28,18.97,19.81,20.25,20.0,19.78,20.72,22.03,22.81,24.81,27.91,31.47,33.72,35.28,36.5,37.97,37.97,36.88,35.66,34.81,33.59,31.59,29.62,28.47,27.41,25.47,23.69,23.47,23.81,23.72,23.5,24.03,25.12,25.25,25.12,24.81,25.09,24.81,23.88,23.25,23.94,25.16,25.62,25.66,26.75,27.44,27.12,25.84,25.22,25.03,23.88,22.12,20.94,20.72,20.72,20.03,19.31,19.34,19.38,17.81,16.31,15.84,16.28,16.25,16.03,16.75,18.31,19.5,20.28,21.28,23.41,24.81,25.5,25.72,26.81,27.81,27.59,27.0,26.53,26.34,25.0,23.06,21.75,21.38,21.25,21.03,21.25,23.03,24.34,25.16,25.47,26.09,26.81,26.5,25.44,24.91,24.97,24.12,23.09,22.62,23.56,24.78,25.03,24.97,25.38,25.09,23.66,21.59,20.97,20.66,20.22,19.84,20.28,21.28,21.75,21.84,21.56,21.94,22.28,22.06,21.5,21.84,22.25,22.03,21.22,21.72,22.56,22.84,22.53,22.31,22.66,22.16,21.06,20.09,20.22,20.81,21.03,21.66,23.19,24.25,24.16,23.03,22.25,22.09,21.41,20.31,19.53,19.5,19.03,17.78,17.19,17.56,17.97,17.91,18.03,19.25,20.47,21.06,21.34,22.09,22.81,23.09,22.72,22.97,24.5,25.59,25.91,26.31,27.06,27.41,27.09,26.5,26.66,26.84,26.19,25.19,24.47,24.34,23.91,22.88,22.41,23.0,24.34,25.28,26.31,27.88,28.81,28.31,25.94,24.22,22.78,21.19,19.62,19.41,20.53,21.59,22.25,22.94,24.62,26.09,26.81,27.16,28.0,28.28,27.38,25.31,23.25,21.41,19.47,17.0,15.75,15.69,16.34,16.72,17.75,19.66,21.47,21.66,21.28,21.38,21.06,20.12,18.44,17.25,15.72,13.69,11.09,9.28,8.81,9.47,10.38,12.16,15.41,19.06,22.06,24.84,27.97,30.72,32.12,31.88,31.0,29.19,26.81,22.94,19.47,16.97,15.25,13.47,12.12,12.16,12.53,12.53,12.41,13.38,14.81,15.91,16.56,17.72,19.62,20.88,20.97,20.88,21.09,20.94,20.06,19.72,20.69,22.78,24.31,26.09,28.34,23.94,23.44,23.25,23.5,23.97,24.34,24.81:17.72,16.84,16.38,16.16,14.53,12.94,12.34,12.03,10.78,10.09,10.56,11.69,12.16,12.56,14.06,16.12,17.62,19.19,21.44,24.66,27.59,28.84,29.66,29.88,29.62,27.88,26.56,26.81,28.41,29.5,30.41,31.44,32.25,31.28,29.38,27.16,25.53,24.16,22.12,21.0,20.72,21.03,21.12,21.53,23.03,25.44,27.75,29.91,32.66,35.72,37.78,38.09,37.09,36.22,34.38,31.22,27.94,25.66,24.38,22.66,21.34,21.41,22.56,23.06,23.34,24.0,25.12,25.41,24.91,24.69,25.38,26.53,26.97,27.66,29.12,30.72,30.78,30.22,29.97,30.56,30.25,29.41,29.44,30.66,31.75,32.34,33.22,34.88,36.22,36.19,35.62,35.75,36.19,35.03,33.62,32.34,31.12,29.75,27.44,26.34,26.19,26.06,25.25,24.66,24.78,24.94,24.19,23.34,23.28,23.88,24.38,25.44,27.44,30.31,32.06,32.25,31.38,30.75,29.78,28.56,28.09,29.81,32.19,33.66,34.47,35.38,35.75,34.5,32.16,30.34,29.38,28.44,26.59,25.5,25.78,26.34,26.75,27.53,29.41,31.88,33.47,34.25,34.94,35.75,35.0,33.0,31.41,30.25,29.34,28.31,27.28,27.56,28.03,27.88,27.34,27.31,27.38,26.69,25.84,25.62,26.12,25.62,24.44,23.34,23.22,23.19,23.09,23.25,24.62,26.0,26.94,27.41,28.22,29.56,29.75,29.28,29.41,30.38,30.78,30.81,30.84,31.59,31.91,30.78,29.12,27.53,26.56,25.03,23.5,23.34,24.12,24.53,24.62,24.84,26.12,26.94,27.03,27.78,28.94,30.22,30.44,30.19,30.44,30.97,30.97,30.31,30.56,31.22,31.38,31.09,31.0,32.12,32.44,31.97,31.12,30.25,29.16,27.47,25.69,25.44,26.34,27.38,28.16,29.56,30.69,30.66,29.38,27.59,26.94,26.0,25.06,24.22,24.69,25.25,24.88,24.34,24.31,25.0,25.25,25.12,25.69,26.88,27.94,27.66,27.03,27.22,26.72,25.12,23.53,23.84,24.41,24.97,25.41,26.69,28.03,28.47,27.78,27.72,28.16,28.62,28.56,28.22,28.81,28.72,27.75,26.28,25.66,25.0,24.06,22.59,21.88,21.84,21.88,21.97,22.88,24.72,26.91,28.28,29.62,31.34,31.75,31.06,29.06,27.31,25.47,24.0,22.62,22.62,23.84,25.69,27.0,28.75,30.75,32.31,32.66,32.47,32.62,32.78,31.84,30.59,30.19,30.03,30.12,29.88,30.34,31.84,33.47,34.19,34.72,35.38,35.41,33.94,31.97,30.69,29.44,27.53,25.41,24.0,23.0,22.19,20.47,19.66,19.81,20.41,20.88,22.0,24.16,26.19,27.56,28.0,29.59,31.25,32.62,33.81,35.34,37.06,37.75,37.31,36.19,35.5,34.19,32.28,30.38,29.5,28.75,27.81,27.0,27.06,27.78,28.22,28.69,29.91,31.88,33.41,34.16,34.12,34.31,34.75,33.72,32.88,32.88,32.94,32.03,31.38,31.25,31.97,32.72,33.22,33.78,34.66,35.47,35.16,34.88,35.53,36.22,36.0,35.72,35.59,35.06,32.97,29.94,26.69,23.41,19.81,16.03,13.41,12.06,12.31,12.69,14.28,17.12,20.47,23.62,26.41,29.25,32.41,34.78,36.53,38.25,40.03,41.88,42.62,43.31,44.19,44.03,42.38,39.72,37.03,34.44,31.0,27.12,23.12,19.25,14.97,10.91,8.0,6.94,6.91,7.06,7.69,8.88,11.03,11.84,12.47,13.81,16.22,18.09,20.41,23.03,26.62,29.56,31.19,32.47,33.78,34.0,32.09,29.78,27.31,25.19,22.5,20.19,19.06,18.72,18.44,18.62,19.66,21.62,23.31,24.31,25.31,26.66,28.0,28.34,28.38,28.59,28.78,28.03,27.38,26.59,25.94,24.97,22.84,21.09,20.41,19.69,19.28,19.16,20.25,21.84,22.53,23.12,23.56,24.62,25.34,25.94,27.41,29.91,32.62,34.66,36.75,38.81,40.5,40.03,39.19,38.69,38.38,37.03,35.22,32.91,30.88,27.84,25.09,23.62,24.22,26.12,28.22,31.03,34.31,36.41,36.72,35.62,34.47,32.91,30.91,29.38,28.31,28.41,28.38,29.06,29.75,31.84,33.97,35.62,37.31,39.06,40.44,40.16,38.97,37.56,36.41,34.41,32.97,31.97,31.94,31.97,31.56,31.12,31.66,32.44,32.12,31.84,33.06,34.31,35.19,35.31,36.19,36.66,36.47,35.78,35.0,34.78,34.44,32.94,31.53,30.81,30.09,28.81,27.38,26.81,27.06,26.72,26.5,27.12,28.34,29.44,29.97,31.03,33.12,35.41,37.75,40.12,43.47,46.28,47.28,47.19,46.88,46.28,44.81,42.41,40.09,38.16,35.66,32.94,30.47,29.66,28.84,28.16,27.72,27.66,27.62,26.66,25.22,24.53,24.31,23.78,22.59,21.25,20.38,18.94,17.03,15.62,15.0,15.06,15.44,16.06,18.56,21.62,24.12,26.03,28.22,30.69,32.12,32.59,33.12,34.38,35.59,36.59,37.41,38.94,39.91,40.0,39.25,39.22,39.53,39.19,37.94,37.34,37.62,37.53,36.81,36.19,35.59,34.56,32.38,30.09,29.34,28.56,27.44,26.25,26.25,26.62,26.41,25.88,25.59,25.53,25.31,24.66,23.91,24.56,25.28,25.72,26.28,27.62,29.09,29.97,30.19,31.09,32.12,32.84,33.03,33.31,33.94,34.22,33.69,33.12,33.25,33.47,33.06,32.53,33.0,33.59,33.66,33.44,33.25,33.0,32.25,30.75,29.72,30.59,31.72,32.56,33.25,34.19,34.91,34.19,33.16,32.91,32.94,32.69,32.12,32.28,33.12,34.47,34.91,35.34,36.38,36.91,36.06,34.5,33.03,31.81,29.88,27.66,26.16,25.47,24.78,23.56,22.94,23.25,23.47,23.19,23.09,23.84,24.97,25.53,26.06,26.78,27.78,27.66,27.06,27.12,27.69,28.56,28.44,28.28,28.28,27.44,25.44,23.75,23.53,24.69,25.75,27.34,29.72,32.91,34.84,35.47,36.06,36.25,36.09,34.5,33.09,32.47,31.94,30.53,28.59,27.56,26.06,23.81,21.34,19.88,19.34,18.78,18.16,18.22,18.72,19.59,19.56,19.78,20.5,20.44,18.72,16.62,14.66,13.09,11.47,10.44,10.88,12.22,13.75,14.41,15.5,16.94,17.72,17.47,17.69,18.56,20.06,20.91,21.91,23.66,25.81,27.12,27.34,27.31,27.28,26.28,23.78,21.69,20.34,19.22,17.09,15.69,15.34,16.16,16.44,16.31,17.06,18.16,18.81,18.75,20.09,21.97,23.88,24.81,25.44,26.0,26.0,24.59,22.81,21.47,20.84,19.47,17.75,17.19,17.47,17.81,17.66,17.91,19.19,20.47,21.09,22.19,24.53,26.56,27.38,27.75,27.41,27.25,26.06,24.69,24.19,25.0,26.62,27.56,29.34,31.34,32.19,30.56,28.44,26.56,25.22,23.81,23.06,24.28,26.5,28.38,29.41,29.84,30.41,29.59,27.53,25.81,25.66,25.69,24.75,24.16,24.06,24.22,23.16,22.03,21.34,21.28,20.09,18.53,17.19,17.06,17.22,17.0,17.47,19.38,21.0,21.5,21.41,21.34,21.16,20.31,19.28,18.97,19.81,20.25,20.0,19.78,20.72,22.03,22.81,24.81,27.91,31.47,33.72,35.28,36.5,37.97,37.97,36.88,35.66,34.81,33.59,31.59,29.62,28.47,27.41,25.47,23.69,23.47,23.81,23.72,23.5,24.03,25.12,25.25,25.12,24.81,25.09,24.81,23.88,23.25,23.94,25.16,25.62,25.66,26.75,27.44,27.12,25.84,25.22,25.03,23.88,22.12,20.94,20.72,20.72,20.03,19.31,19.34,19.38,17.81,16.31,15.84,16.28,16.25,16.03,16.75,18.31,19.5,20.28,21.28,23.41,24.81,25.5,25.72,26.81,27.81,27.59,27.0,26.53,26.34,25.0,23.06,21.75,21.38,21.25,21.03,21.25,23.03,24.34,25.16,25.47,26.09,26.81,26.5,25.44,24.91,24.97,24.12,23.09,22.62,23.56,24.78,25.03,24.97,25.38,25.09,23.66,21.59,20.97,20.66,20.22,19.84,20.28,21.28,21.75,21.84,21.56,21.94,22.28,22.06,21.5,21.84,22.25,22.03,21.22,21.72,22.56,22.84,22.53,22.31,22.66,22.16,21.06,20.09,20.22,20.81,21.03,21.66,23.19,24.25,24.16,23.03,22.25,22.09,21.41,20.31,19.53,19.5,19.03,17.78,17.19,17.56,17.97,17.91,18.03,19.25,20.47,21.06,21.34,22.09,22.81,23.09,22.72,22.97,24.5,25.59,25.91,26.31,27.06,27.41,27.09,26.5,26.66,26.84,26.19,25.19,24.47,24.34,23.91,22.88,22.41,23.0,24.34,25.28,26.31,27.88,28.81,28.31,25.94,24.22,22.78,21.19,19.62,19.41,20.53,21.59,22.25,22.94,24.62,26.09,26.81,27.16,28.0,28.28,27.38,25.31,23.25,21.41,19.47,17.0,15.75,15.69,16.34,16.72,17.75,19.66,21.47,21.66,21.28,21.38,21.06,20.12,18.44,17.25,15.72,13.69,11.09,9.28,8.81,9.47,10.38,12.16,15.41,19.06,22.06,24.84,27.97,30.72,32.12,31.88,31.0,29.19,26.81,22.94,19.47,16.97,15.25,13.47,12.12,12.16,12.53,12.53,12.41,13.38,14.81,15.91,16.56,17.72,19.62,20.88,20.97,20.88,21.09,20.94,20.06,19.72,20.69,22.78,24.31,26.09,28.34,23.94,23.44,23.25,23.5,23.97,24.34,24.81,25.41,26.03,26.56,27.34,28.0,28.69,29.25:12.03,10.78,10.09,10.56,11.69,12.16,12.56,14.06,16.12,17.62,19.19,21.44,24.66,27.59,28.84,29.66,29.88,29.62,27.88,26.56,26.81,28.41,29.5,30.41,31.44,32.25,31.28,29.38,27.16,25.53,24.16,22.12,21.0,20.72,21.03,21.12,21.53,23.03,25.44,27.75,29.91,32.66,35.72,37.78,38.09,37.09,36.22,34.38,31.22,27.94,25.66,24.38,22.66,21.34,21.41,22.56,23.06,23.34,24.0,25.12,25.41,24.91,24.69,25.38,26.53,26.97,27.66,29.12,30.72,30.78,30.22,29.97,30.56,30.25,29.41,29.44,30.66,31.75,32.34,33.22,34.88,36.22,36.19,35.62,35.75,36.19,35.03,33.62,32.34,31.12,29.75,27.44,26.34,26.19,26.06,25.25,24.66,24.78,24.94,24.19,23.34,23.28,23.88,24.38,25.44,27.44,30.31,32.06,32.25,31.38,30.75,29.78,28.56,28.09,29.81,32.19,33.66,34.47,35.38,35.75,34.5,32.16,30.34,29.38,28.44,26.59,25.5,25.78,26.34,26.75,27.53,29.41,31.88,33.47,34.25,34.94,35.75,35.0,33.0,31.41,30.25,29.34,28.31,27.28,27.56,28.03,27.88,27.34,27.31,27.38,26.69,25.84,25.62,26.12,25.62,24.44,23.34,23.22,23.19,23.09,23.25,24.62,26.0,26.94,27.41,28.22,29.56,29.75,29.28,29.41,30.38,30.78,30.81,30.84,31.59,31.91,30.78,29.12,27.53,26.56,25.03,23.5,23.34,24.12,24.53,24.62,24.84,26.12,26.94,27.03,27.78,28.94,30.22,30.44,30.19,30.44,30.97,30.97,30.31,30.56,31.22,31.38,31.09,31.0,32.12,32.44,31.97,31.12,30.25,29.16,27.47,25.69,25.44,26.34,27.38,28.16,29.56,30.69,30.66,29.38,27.59,26.94,26.0,25.06,24.22,24.69,25.25,24.88,24.34,24.31,25.0,25.25,25.12,25.69,26.88,27.94,27.66,27.03,27.22,26.72,25.12,23.53,23.84,24.41,24.97,25.41,26.69,28.03,28.47,27.78,27.72,28.16,28.62,28.56,28.22,28.81,28.72,27.75,26.28,25.66,25.0,24.06,22.59,21.88,21.84,21.88,21.97,22.88,24.72,26.91,28.28,29.62,31.34,31.75,31.06,29.06,27.31,25.47,24.0,22.62,22.62,23.84,25.69,27.0,28.75,30.75,32.31,32.66,32.47,32.62,32.78,31.84,30.59,30.19,30.03,30.12,29.88,30.34,31.84,33.47,34.19,34.72,35.38,35.41,33.94,31.97,30.69,29.44,27.53,25.41,24.0,23.0,22.19,20.47,19.66,19.81,20.41,20.88,22.0,24.16,26.19,27.56,28.0,29.59,31.25,32.62,33.81,35.34,37.06,37.75,37.31,36.19,35.5,34.19,32.28,30.38,29.5,28.75,27.81,27.0,27.06,27.78,28.22,28.69,29.91,31.88,33.41,34.16,34.12,34.31,34.75,33.72,32.88,32.88,32.94,32.03,31.38,31.25,31.97,32.72,33.22,33.78,34.66,35.47,35.16,34.88,35.53,36.22,36.0,35.72,35.59,35.06,32.97,29.94,26.69,23.41,19.81,16.03,13.41,12.06,12.31,12.69,14.28,17.12,20.47,23.62,26.41,29.25,32.41,34.78,36.53,38.25,40.03,41.88,42.62,43.31,44.19,44.03,42.38,39.72,37.03,34.44,31.0,27.12,23.12,19.25,14.97,10.91,8.0,6.94,6.91,7.06,7.69,8.88,11.03,11.84,12.47,13.81,16.22,18.09,20.41,23.03,26.62,29.56,31.19,32.47,33.78,34.0,32.09,29.78,27.31,25.19,22.5,20.19,19.06,18.72,18.44,18.62,19.66,21.62,23.31,24.31,25.31,26.66,28.0,28.34,28.38,28.59,28.78,28.03,27.38,26.59,25.94,24.97,22.84,21.09,20.41,19.69,19.28,19.16,20.25,21.84,22.53,23.12,23.56,24.62,25.34,25.94,27.41,29.91,32.62,34.66,36.75,38.81,40.5,40.03,39.19,38.69,38.38,37.03,35.22,32.91,30.88,27.84,25.09,23.62,24.22,26.12,28.22,31.03,34.31,36.41,36.72,35.62,34.47,32.91,30.91,29.38,28.31,28.41,28.38,29.06,29.75,31.84,33.97,35.62,37.31,39.06,40.44,40.16,38.97,37.56,36.41,34.41,32.97,31.97,31.94,31.97,31.56,31.12,31.66,32.44,32.12,31.84,33.06,34.31,35.19,35.31,36.19,36.66,36.47,35.78,35.0,34.78,34.44,32.94,31.53,30.81,30.09,28.81,27.38,26.81,27.06,26.72,26.5,27.12,28.34,29.44,29.97,31.03,33.12,35.41,37.75,40.12,43.47,46.28,47.28,47.19,46.88,46.28,44.81,42.41,40.09,38.16,35.66,32.94,30.47,29.66,28.84,28.16,27.72,27.66,27.62,26.66,25.22,24.53,24.31,23.78,22.59,21.25,20.38,18.94,17.03,15.62,15.0,15.06,15.44,16.06,18.56,21.62,24.12,26.03,28.22,30.69,32.12,32.59,33.12,34.38,35.59,36.59,37.41,38.94,39.91,40.0,39.25,39.22,39.53,39.19,37.94,37.34,37.62,37.53,36.81,36.19,35.59,34.56,32.38,30.09,29.34,28.56,27.44,26.25,26.25,26.62,26.41,25.88,25.59,25.53,25.31,24.66,23.91,24.56,25.28,25.72,26.28,27.62,29.09,29.97,30.19,31.09,32.12,32.84,33.03,33.31,33.94,34.22,33.69,33.12,33.25,33.47,33.06,32.53,33.0,33.59,33.66,33.44,33.25,33.0,32.25,30.75,29.72,30.59,31.72,32.56,33.25,34.19,34.91,34.19,33.16,32.91,32.94,32.69,32.12,32.28,33.12,34.47,34.91,35.34,36.38,36.91,36.06,34.5,33.03,31.81,29.88,27.66,26.16,25.47,24.78,23.56,22.94,23.25,23.47,23.19,23.09,23.84,24.97,25.53,26.06,26.78,27.78,27.66,27.06,27.12,27.69,28.56,28.44,28.28,28.28,27.44,25.44,23.75,23.53,24.69,25.75,27.34,29.72,32.91,34.84,35.47,36.06,36.25,36.09,34.5,33.09,32.47,31.94,30.53,28.59,27.56,26.06,23.81,21.34,19.88,19.34,18.78,18.16,18.22,18.72,19.59,19.56,19.78,20.5,20.44,18.72,16.62,14.66,13.09,11.47,10.44,10.88,12.22,13.75,14.41,15.5,16.94,17.72,17.47,17.69,18.56,20.06,20.91,21.91,23.66,25.81,27.12,27.34,27.31,27.28,26.28,23.78,21.69,20.34,19.22,17.09,15.69,15.34,16.16,16.44,16.31,17.06,18.16,18.81,18.75,20.09,21.97,23.88,24.81,25.44,26.0,26.0,24.59,22.81,21.47,20.84,19.47,17.75,17.19,17.47,17.81,17.66,17.91,19.19,20.47,21.09,22.19,24.53,26.56,27.38,27.75,27.41,27.25,26.06,24.69,24.19,25.0,26.62,27.56,29.34,31.34,32.19,30.56,28.44,26.56,25.22,23.81,23.06,24.28,26.5,28.38,29.41,29.84,30.41,29.59,27.53,25.81,25.66,25.69,24.75,24.16,24.06,24.22,23.16,22.03,21.34,21.28,20.09,18.53,17.19,17.06,17.22,17.0,17.47,19.38,21.0,21.5,21.41,21.34,21.16,20.31,19.28,18.97,19.81,20.25,20.0,19.78,20.72,22.03,22.81,24.81,27.91,31.47,33.72,35.28,36.5,37.97,37.97,36.88,35.66,34.81,33.59,31.59,29.62,28.47,27.41,25.47,23.69,23.47,23.81,23.72,23.5,24.03,25.12,25.25,25.12,24.81,25.09,24.81,23.88,23.25,23.94,25.16,25.62,25.66,26.75,27.44,27.12,25.84,25.22,25.03,23.88,22.12,20.94,20.72,20.72,20.03,19.31,19.34,19.38,17.81,16.31,15.84,16.28,16.25,16.03,16.75,18.31,19.5,20.28,21.28,23.41,24.81,25.5,25.72,26.81,27.81,27.59,27.0,26.53,26.34,25.0,23.06,21.75,21.38,21.25,21.03,21.25,23.03,24.34,25.16,25.47,26.09,26.81,26.5,25.44,24.91,24.97,24.12,23.09,22.62,23.56,24.78,25.03,24.97,25.38,25.09,23.66,21.59,20.97,20.66,20.22,19.84,20.28,21.28,21.75,21.84,21.56,21.94,22.28,22.06,21.5,21.84,22.25,22.03,21.22,21.72,22.56,22.84,22.53,22.31,22.66,22.16,21.06,20.09,20.22,20.81,21.03,21.66,23.19,24.25,24.16,23.03,22.25,22.09,21.41,20.31,19.53,19.5,19.03,17.78,17.19,17.56,17.97,17.91,18.03,19.25,20.47,21.06,21.34,22.09,22.81,23.09,22.72,22.97,24.5,25.59,25.91,26.31,27.06,27.41,27.09,26.5,26.66,26.84,26.19,25.19,24.47,24.34,23.91,22.88,22.41,23.0,24.34,25.28,26.31,27.88,28.81,28.31,25.94,24.22,22.78,21.19,19.62,19.41,20.53,21.59,22.25,22.94,24.62,26.09,26.81,27.16,28.0,28.28,27.38,25.31,23.25,21.41,19.47,17.0,15.75,15.69,16.34,16.72,17.75,19.66,21.47,21.66,21.28,21.38,21.06,20.12,18.44,17.25,15.72,13.69,11.09,9.28,8.81,9.47,10.38,12.16,15.41,19.06,22.06,24.84,27.97,30.72,32.12,31.88,31.0,29.19,26.81,22.94,19.47,16.97,15.25,13.47,12.12,12.16,12.53,12.53,12.41,13.38,14.81,15.91,16.56,17.72,19.62,20.88,20.97,20.88,21.09,20.94,20.06,19.72,20.69,22.78,24.31,26.09,28.34,23.94,23.44,23.25,23.5,23.97,24.34,24.81,25.41,26.03,26.56,27.34,28.0,28.69,29.25,29.44,28.84,27.72,27.0,25.53,23.97,22.75:14.06,16.12,17.62,19.19,21.44,24.66,27.59,28.84,29.66,29.88,29.62,27.88,26.56,26.81,28.41,29.5,30.41,31.44,32.25,31.28,29.38,27.16,25.53,24.16,22.12,21.0,20.72,21.03,21.12,21.53,23.03,25.44,27.75,29.91,32.66,35.72,37.78,38.09,37.09,36.22,34.38,31.22,27.94,25.66,24.38,22.66,21.34,21.41,22.56,23.06,23.34,24.0,25.12,25.41,24.91,24.69,25.38,26.53,26.97,27.66,29.12,30.72,30.78,30.22,29.97,30.56,30.25,29.41,29.44,30.66,31.75,32.34,33.22,34.88,36.22,36.19,35.62,35.75,36.19,35.03,33.62,32.34,31.12,29.75,27.44,26.34,26.19,26.06,25.25,24.66,24.78,24.94,24.19,23.34,23.28,23.88,24.38,25.44,27.44,30.31,32.06,32.25,31.38,30.75,29.78,28.56,28.09,29.81,32.19,33.66,34.47,35.38,35.75,34.5,32.16,30.34,29.38,28.44,26.59,25.5,25.78,26.34,26.75,27.53,29.41,31.88,33.47,34.25,34.94,35.75,35.0,33.0,31.41,30.25,29.34,28.31,27.28,27.56,28.03,27.88,27.34,27.31,27.38,26.69,25.84,25.62,26.12,25.62,24.44,23.34,23.22,23.19,23.09,23.25,24.62,26.0,26.94,27.41,28.22,29.56,29.75,29.28,29.41,30.38,30.78,30.81,30.84,31.59,31.91,30.78,29.12,27.53,26.56,25.03,23.5,23.34,24.12,24.53,24.62,24.84,26.12,26.94,27.03,27.78,28.94,30.22,30.44,30.19,30.44,30.97,30.97,30.31,30.56,31.22,31.38,31.09,31.0,32.12,32.44,31.97,31.12,30.25,29.16,27.47,25.69,25.44,26.34,27.38,28.16,29.56,30.69,30.66,29.38,27.59,26.94,26.0,25.06,24.22,24.69,25.25,24.88,24.34,24.31,25.0,25.25,25.12,25.69,26.88,27.94,27.66,27.03,27.22,26.72,25.12,23.53,23.84,24.41,24.97,25.41,26.69,28.03,28.47,27.78,27.72,28.16,28.62,28.56,28.22,28.81,28.72,27.75,26.28,25.66,25.0,24.06,22.59,21.88,21.84,21.88,21.97,22.88,24.72,26.91,28.28,29.62,31.34,31.75,31.06,29.06,27.31,25.47,24.0,22.62,22.62,23.84,25.69,27.0,28.75,30.75,32.31,32.66,32.47,32.62,32.78,31.84,30.59,30.19,30.03,30.12,29.88,30.34,31.84,33.47,34.19,34.72,35.38,35.41,33.94,31.97,30.69,29.44,27.53,25.41,24.0,23.0,22.19,20.47,19.66,19.81,20.41,20.88,22.0,24.16,26.19,27.56,28.0,29.59,31.25,32.62,33.81,35.34,37.06,37.75,37.31,36.19,35.5,34.19,32.28,30.38,29.5,28.75,27.81,27.0,27.06,27.78,28.22,28.69,29.91,31.88,33.41,34.16,34.12,34.31,34.75,33.72,32.88,32.88,32.94,32.03,31.38,31.25,31.97,32.72,33.22,33.78,34.66,35.47,35.16,34.88,35.53,36.22,36.0,35.72,35.59,35.06,32.97,29.94,26.69,23.41,19.81,16.03,13.41,12.06,12.31,12.69,14.28,17.12,20.47,23.62,26.41,29.25,32.41,34.78,36.53,38.25,40.03,41.88,42.62,43.31,44.19,44.03,42.38,39.72,37.03,34.44,31.0,27.12,23.12,19.25,14.97,10.91,8.0,6.94,6.91,7.06,7.69,8.88,11.03,11.84,12.47,13.81,16.22,18.09,20.41,23.03,26.62,29.56,31.19,32.47,33.78,34.0,32.09,29.78,27.31,25.19,22.5,20.19,19.06,18.72,18.44,18.62,19.66,21.62,23.31,24.31,25.31,26.66,28.0,28.34,28.38,28.59,28.78,28.03,27.38,26.59,25.94,24.97,22.84,21.09,20.41,19.69,19.28,19.16,20.25,21.84,22.53,23.12,23.56,24.62,25.34,25.94,27.41,29.91,32.62,34.66,36.75,38.81,40.5,40.03,39.19,38.69,38.38,37.03,35.22,32.91,30.88,27.84,25.09,23.62,24.22,26.12,28.22,31.03,34.31,36.41,36.72,35.62,34.47,32.91,30.91,29.38,28.31,28.41,28.38,29.06,29.75,31.84,33.97,35.62,37.31,39.06,40.44,40.16,38.97,37.56,36.41,34.41,32.97,31.97,31.94,31.97,31.56,31.12,31.66,32.44,32.12,31.84,33.06,34.31,35.19,35.31,36.19,36.66,36.47,35.78,35.0,34.78,34.44,32.94,31.53,30.81,30.09,28.81,27.38,26.81,27.06,26.72,26.5,27.12,28.34,29.44,29.97,31.03,33.12,35.41,37.75,40.12,43.47,46.28,47.28,47.19,46.88,46.28,44.81,42.41,40.09,38.16,35.66,32.94,30.47,29.66,28.84,28.16,27.72,27.66,27.62,26.66,25.22,24.53,24.31,23.78,22.59,21.25,20.38,18.94,17.03,15.62,15.0,15.06,15.44,16.06,18.56,21.62,24.12,26.03,28.22,30.69,32.12,32.59,33.12,34.38,35.59,36.59,37.41,38.94,39.91,40.0,39.25,39.22,39.53,39.19,37.94,37.34,37.62,37.53,36.81,36.19,35.59,34.56,32.38,30.09,29.34,28.56,27.44,26.25,26.25,26.62,26.41,25.88,25.59,25.53,25.31,24.66,23.91,24.56,25.28,25.72,26.28,27.62,29.09,29.97,30.19,31.09,32.12,32.84,33.03,33.31,33.94,34.22,33.69,33.12,33.25,33.47,33.06,32.53,33.0,33.59,33.66,33.44,33.25,33.0,32.25,30.75,29.72,30.59,31.72,32.56,33.25,34.19,34.91,34.19,33.16,32.91,32.94,32.69,32.12,32.28,33.12,34.47,34.91,35.34,36.38,36.91,36.06,34.5,33.03,31.81,29.88,27.66,26.16,25.47,24.78,23.56,22.94,23.25,23.47,23.19,23.09,23.84,24.97,25.53,26.06,26.78,27.78,27.66,27.06,27.12,27.69,28.56,28.44,28.28,28.28,27.44,25.44,23.75,23.53,24.69,25.75,27.34,29.72,32.91,34.84,35.47,36.06,36.25,36.09,34.5,33.09,32.47,31.94,30.53,28.59,27.56,26.06,23.81,21.34,19.88,19.34,18.78,18.16,18.22,18.72,19.59,19.56,19.78,20.5,20.44,18.72,16.62,14.66,13.09,11.47,10.44,10.88,12.22,13.75,14.41,15.5,16.94,17.72,17.47,17.69,18.56,20.06,20.91,21.91,23.66,25.81,27.12,27.34,27.31,27.28,26.28,23.78,21.69,20.34,19.22,17.09,15.69,15.34,16.16,16.44,16.31,17.06,18.16,18.81,18.75,20.09,21.97,23.88,24.81,25.44,26.0,26.0,24.59,22.81,21.47,20.84,19.47,17.75,17.19,17.47,17.81,17.66,17.91,19.19,20.47,21.09,22.19,24.53,26.56,27.38,27.75,27.41,27.25,26.06,24.69,24.19,25.0,26.62,27.56,29.34,31.34,32.19,30.56,28.44,26.56,25.22,23.81,23.06,24.28,26.5,28.38,29.41,29.84,30.41,29.59,27.53,25.81,25.66,25.69,24.75,24.16,24.06,24.22,23.16,22.03,21.34,21.28,20.09,18.53,17.19,17.06,17.22,17.0,17.47,19.38,21.0,21.5,21.41,21.34,21.16,20.31,19.28,18.97,19.81,20.25,20.0,19.78,20.72,22.03,22.81,24.81,27.91,31.47,33.72,35.28,36.5,37.97,37.97,36.88,35.66,34.81,33.59,31.59,29.62,28.47,27.41,25.47,23.69,23.47,23.81,23.72,23.5,24.03,25.12,25.25,25.12,24.81,25.09,24.81,23.88,23.25,23.94,25.16,25.62,25.66,26.75,27.44,27.12,25.84,25.22,25.03,23.88,22.12,20.94,20.72,20.72,20.03,19.31,19.34,19.38,17.81,16.31,15.84,16.28,16.25,16.03,16.75,18.31,19.5,20.28,21.28,23.41,24.81,25.5,25.72,26.81,27.81,27.59,27.0,26.53,26.34,25.0,23.06,21.75,21.38,21.25,21.03,21.25,23.03,24.34,25.16,25.47,26.09,26.81,26.5,25.44,24.91,24.97,24.12,23.09,22.62,23.56,24.78,25.03,24.97,25.38,25.09,23.66,21.59,20.97,20.66,20.22,19.84,20.28,21.28,21.75,21.84,21.56,21.94,22.28,22.06,21.5,21.84,22.25,22.03,21.22,21.72,22.56,22.84,22.53,22.31,22.66,22.16,21.06,20.09,20.22,20.81,21.03,21.66,23.19,24.25,24.16,23.03,22.25,22.09,21.41,20.31,19.53,19.5,19.03,17.78,17.19,17.56,17.97,17.91,18.03,19.25,20.47,21.06,21.34,22.09,22.81,23.09,22.72,22.97,24.5,25.59,25.91,26.31,27.06,27.41,27.09,26.5,26.66,26.84,26.19,25.19,24.47,24.34,23.91,22.88,22.41,23.0,24.34,25.28,26.31,27.88,28.81,28.31,25.94,24.22,22.78,21.19,19.62,19.41,20.53,21.59,22.25,22.94,24.62,26.09,26.81,27.16,28.0,28.28,27.38,25.31,23.25,21.41,19.47,17.0,15.75,15.69,16.34,16.72,17.75,19.66,21.47,21.66,21.28,21.38,21.06,20.12,18.44,17.25,15.72,13.69,11.09,9.28,8.81,9.47,10.38,12.16,15.41,19.06,22.06,24.84,27.97,30.72,32.12,31.88,31.0,29.19,26.81,22.94,19.47,16.97,15.25,13.47,12.12,12.16,12.53,12.53,12.41,13.38,14.81,15.91,16.56,17.72,19.62,20.88,20.97,20.88,21.09,20.94,20.06,19.72,20.69,22.78,24.31,26.09,28.34,23.94,23.44,23.25,23.5,23.97,24.34,24.81,25.41,26.03,26.56,27.34,28.0,28.69,29.25,29.44,28.84,27.72,27.0,25.53,23.97,22.75,22.31,22.0,21.97,22.12,23.03,23.97,24.81:28.84,29.66,29.88,29.62,27.88,26.56,26.81,28.41,29.5,30.41,31.44,32.25,31.28,29.38,27.16,25.53,24.16,22.12,21.0,20.72,21.03,21.12,21.53,23.03,25.44,27.75,29.91,32.66,35.72,37.78,38.09,37.09,36.22,34.38,31.22,27.94,25.66,24.38,22.66,21.34,21.41,22.56,23.06,23.34,24.0,25.12,25.41,24.91,24.69,25.38,26.53,26.97,27.66,29.12,30.72,30.78,30.22,29.97,30.56,30.25,29.41,29.44,30.66,31.75,32.34,33.22,34.88,36.22,36.19,35.62,35.75,36.19,35.03,33.62,32.34,31.12,29.75,27.44,26.34,26.19,26.06,25.25,24.66,24.78,24.94,24.19,23.34,23.28,23.88,24.38,25.44,27.44,30.31,32.06,32.25,31.38,30.75,29.78,28.56,28.09,29.81,32.19,33.66,34.47,35.38,35.75,34.5,32.16,30.34,29.38,28.44,26.59,25.5,25.78,26.34,26.75,27.53,29.41,31.88,33.47,34.25,34.94,35.75,35.0,33.0,31.41,30.25,29.34,28.31,27.28,27.56,28.03,27.88,27.34,27.31,27.38,26.69,25.84,25.62,26.12,25.62,24.44,23.34,23.22,23.19,23.09,23.25,24.62,26.0,26.94,27.41,28.22,29.56,29.75,29.28,29.41,30.38,30.78,30.81,30.84,31.59,31.91,30.78,29.12,27.53,26.56,25.03,23.5,23.34,24.12,24.53,24.62,24.84,26.12,26.94,27.03,27.78,28.94,30.22,30.44,30.19,30.44,30.97,30.97,30.31,30.56,31.22,31.38,31.09,31.0,32.12,32.44,31.97,31.12,30.25,29.16,27.47,25.69,25.44,26.34,27.38,28.16,29.56,30.69,30.66,29.38,27.59,26.94,26.0,25.06,24.22,24.69,25.25,24.88,24.34,24.31,25.0,25.25,25.12,25.69,26.88,27.94,27.66,27.03,27.22,26.72,25.12,23.53,23.84,24.41,24.97,25.41,26.69,28.03,28.47,27.78,27.72,28.16,28.62,28.56,28.22,28.81,28.72,27.75,26.28,25.66,25.0,24.06,22.59,21.88,21.84,21.88,21.97,22.88,24.72,26.91,28.28,29.62,31.34,31.75,31.06,29.06,27.31,25.47,24.0,22.62,22.62,23.84,25.69,27.0,28.75,30.75,32.31,32.66,32.47,32.62,32.78,31.84,30.59,30.19,30.03,30.12,29.88,30.34,31.84,33.47,34.19,34.72,35.38,35.41,33.94,31.97,30.69,29.44,27.53,25.41,24.0,23.0,22.19,20.47,19.66,19.81,20.41,20.88,22.0,24.16,26.19,27.56,28.0,29.59,31.25,32.62,33.81,35.34,37.06,37.75,37.31,36.19,35.5,34.19,32.28,30.38,29.5,28.75,27.81,27.0,27.06,27.78,28.22,28.69,29.91,31.88,33.41,34.16,34.12,34.31,34.75,33.72,32.88,32.88,32.94,32.03,31.38,31.25,31.97,32.72,33.22,33.78,34.66,35.47,35.16,34.88,35.53,36.22,36.0,35.72,35.59,35.06,32.97,29.94,26.69,23.41,19.81,16.03,13.41,12.06,12.31,12.69,14.28,17.12,20.47,23.62,26.41,29.25,32.41,34.78,36.53,38.25,40.03,41.88,42.62,43.31,44.19,44.03,42.38,39.72,37.03,34.44,31.0,27.12,23.12,19.25,14.97,10.91,8.0,6.94,6.91,7.06,7.69,8.88,11.03,11.84,12.47,13.81,16.22,18.09,20.41,23.03,26.62,29.56,31.19,32.47,33.78,34.0,32.09,29.78,27.31,25.19,22.5,20.19,19.06,18.72,18.44,18.62,19.66,21.62,23.31,24.31,25.31,26.66,28.0,28.34,28.38,28.59,28.78,28.03,27.38,26.59,25.94,24.97,22.84,21.09,20.41,19.69,19.28,19.16,20.25,21.84,22.53,23.12,23.56,24.62,25.34,25.94,27.41,29.91,32.62,34.66,36.75,38.81,40.5,40.03,39.19,38.69,38.38,37.03,35.22,32.91,30.88,27.84,25.09,23.62,24.22,26.12,28.22,31.03,34.31,36.41,36.72,35.62,34.47,32.91,30.91,29.38,28.31,28.41,28.38,29.06,29.75,31.84,33.97,35.62,37.31,39.06,40.44,40.16,38.97,37.56,36.41,34.41,32.97,31.97,31.94,31.97,31.56,31.12,31.66,32.44,32.12,31.84,33.06,34.31,35.19,35.31,36.19,36.66,36.47,35.78,35.0,34.78,34.44,32.94,31.53,30.81,30.09,28.81,27.38,26.81,27.06,26.72,26.5,27.12,28.34,29.44,29.97,31.03,33.12,35.41,37.75,40.12,43.47,46.28,47.28,47.19,46.88,46.28,44.81,42.41,40.09,38.16,35.66,32.94,30.47,29.66,28.84,28.16,27.72,27.66,27.62,26.66,25.22,24.53,24.31,23.78,22.59,21.25,20.38,18.94,17.03,15.62,15.0,15.06,15.44,16.06,18.56,21.62,24.12,26.03,28.22,30.69,32.12,32.59,33.12,34.38,35.59,36.59,37.41,38.94,39.91,40.0,39.25,39.22,39.53,39.19,37.94,37.34,37.62,37.53,36.81,36.19,35.59,34.56,32.38,30.09,29.34,28.56,27.44,26.25,26.25,26.62,26.41,25.88,25.59,25.53,25.31,24.66,23.91,24.56,25.28,25.72,26.28,27.62,29.09,29.97,30.19,31.09,32.12,32.84,33.03,33.31,33.94,34.22,33.69,33.12,33.25,33.47,33.06,32.53,33.0,33.59,33.66,33.44,33.25,33.0,32.25,30.75,29.72,30.59,31.72,32.56,33.25,34.19,34.91,34.19,33.16,32.91,32.94,32.69,32.12,32.28,33.12,34.47,34.91,35.34,36.38,36.91,36.06,34.5,33.03,31.81,29.88,27.66,26.16,25.47,24.78,23.56,22.94,23.25,23.47,23.19,23.09,23.84,24.97,25.53,26.06,26.78,27.78,27.66,27.06,27.12,27.69,28.56,28.44,28.28,28.28,27.44,25.44,23.75,23.53,24.69,25.75,27.34,29.72,32.91,34.84,35.47,36.06,36.25,36.09,34.5,33.09,32.47,31.94,30.53,28.59,27.56,26.06,23.81,21.34,19.88,19.34,18.78,18.16,18.22,18.72,19.59,19.56,19.78,20.5,20.44,18.72,16.62,14.66,13.09,11.47,10.44,10.88,12.22,13.75,14.41,15.5,16.94,17.72,17.47,17.69,18.56,20.06,20.91,21.91,23.66,25.81,27.12,27.34,27.31,27.28,26.28,23.78,21.69,20.34,19.22,17.09,15.69,15.34,16.16,16.44,16.31,17.06,18.16,18.81,18.75,20.09,21.97,23.88,24.81,25.44,26.0,26.0,24.59,22.81,21.47,20.84,19.47,17.75,17.19,17.47,17.81,17.66,17.91,19.19,20.47,21.09,22.19,24.53,26.56,27.38,27.75,27.41,27.25,26.06,24.69,24.19,25.0,26.62,27.56,29.34,31.34,32.19,30.56,28.44,26.56,25.22,23.81,23.06,24.28,26.5,28.38,29.41,29.84,30.41,29.59,27.53,25.81,25.66,25.69,24.75,24.16,24.06,24.22,23.16,22.03,21.34,21.28,20.09,18.53,17.19,17.06,17.22,17.0,17.47,19.38,21.0,21.5,21.41,21.34,21.16,20.31,19.28,18.97,19.81,20.25,20.0,19.78,20.72,22.03,22.81,24.81,27.91,31.47,33.72,35.28,36.5,37.97,37.97,36.88,35.66,34.81,33.59,31.59,29.62,28.47,27.41,25.47,23.69,23.47,23.81,23.72,23.5,24.03,25.12,25.25,25.12,24.81,25.09,24.81,23.88,23.25,23.94,25.16,25.62,25.66,26.75,27.44,27.12,25.84,25.22,25.03,23.88,22.12,20.94,20.72,20.72,20.03,19.31,19.34,19.38,17.81,16.31,15.84,16.28,16.25,16.03,16.75,18.31,19.5,20.28,21.28,23.41,24.81,25.5,25.72,26.81,27.81,27.59,27.0,26.53,26.34,25.0,23.06,21.75,21.38,21.25,21.03,21.25,23.03,24.34,25.16,25.47,26.09,26.81,26.5,25.44,24.91,24.97,24.12,23.09,22.62,23.56,24.78,25.03,24.97,25.38,25.09,23.66,21.59,20.97,20.66,20.22,19.84,20.28,21.28,21.75,21.84,21.56,21.94,22.28,22.06,21.5,21.84,22.25,22.03,21.22,21.72,22.56,22.84,22.53,22.31,22.66,22.16,21.06,20.09,20.22,20.81,21.03,21.66,23.19,24.25,24.16,23.03,22.25,22.09,21.41,20.31,19.53,19.5,19.03,17.78,17.19,17.56,17.97,17.91,18.03,19.25,20.47,21.06,21.34,22.09,22.81,23.09,22.72,22.97,24.5,25.59,25.91,26.31,27.06,27.41,27.09,26.5,26.66,26.84,26.19,25.19,24.47,24.34,23.91,22.88,22.41,23.0,24.34,25.28,26.31,27.88,28.81,28.31,25.94,24.22,22.78,21.19,19.62,19.41,20.53,21.59,22.25,22.94,24.62,26.09,26.81,27.16,28.0,28.28,27.38,25.31,23.25,21.41,19.47,17.0,15.75,15.69,16.34,16.72,17.75,19.66,21.47,21.66,21.28,21.38,21.06,20.12,18.44,17.25,15.72,13.69,11.09,9.28,8.81,9.47,10.38,12.16,15.41,19.06,22.06,24.84,27.97,30.72,32.12,31.88,31.0,29.19,26.81,22.94,19.47,16.97,15.25,13.47,12.12,12.16,12.53,12.53,12.41,13.38,14.81,15.91,16.56,17.72,19.62,20.88,20.97,20.88,21.09,20.94,20.06,19.72,20.69,22.78,24.31,26.09,28.34,23.94,23.44,23.25,23.5,23.97,24.34,24.81,25.41,26.03,26.56,27.34,28.0,28.69,29.25,29.44,28.84,27.72,27.0,25.53,23.97,22.75,22.31,22.0,21.97,22.12,23.03,23.97,24.81,25.66,26.81,27.88,28.81,30.31,31.97,33.97:28.41,29.5,30.41,31.44,32.25,31.28,29.38,27.16,25.53,24.16,22.12,21.0,20.72,21.03,21.12,21.53,23.03,25.44,27.75,29.91,32.66,35.72,37.78,38.09,37.09,36.22,34.38,31.22,27.94,25.66,24.38,22.66,21.34,21.41,22.56,23.06,23.34,24.0,25.12,25.41,24.91,24.69,25.38,26.53,26.97,27.66,29.12,30.72,30.78,30.22,29.97,30.56,30.25,29.41,29.44,30.66,31.75,32.34,33.22,34.88,36.22,36.19,35.62,35.75,36.19,35.03,33.62,32.34,31.12,29.75,27.44,26.34,26.19,26.06,25.25,24.66,24.78,24.94,24.19,23.34,23.28,23.88,24.38,25.44,27.44,30.31,32.06,32.25,31.38,30.75,29.78,28.56,28.09,29.81,32.19,33.66,34.47,35.38,35.75,34.5,32.16,30.34,29.38,28.44,26.59,25.5,25.78,26.34,26.75,27.53,29.41,31.88,33.47,34.25,34.94,35.75,35.0,33.0,31.41,30.25,29.34,28.31,27.28,27.56,28.03,27.88,27.34,27.31,27.38,26.69,25.84,25.62,26.12,25.62,24.44,23.34,23.22,23.19,23.09,23.25,24.62,26.0,26.94,27.41,28.22,29.56,29.75,29.28,29.41,30.38,30.78,30.81,30.84,31.59,31.91,30.78,29.12,27.53,26.56,25.03,23.5,23.34,24.12,24.53,24.62,24.84,26.12,26.94,27.03,27.78,28.94,30.22,30.44,30.19,30.44,30.97,30.97,30.31,30.56,31.22,31.38,31.09,31.0,32.12,32.44,31.97,31.12,30.25,29.16,27.47,25.69,25.44,26.34,27.38,28.16,29.56,30.69,30.66,29.38,27.59,26.94,26.0,25.06,24.22,24.69,25.25,24.88,24.34,24.31,25.0,25.25,25.12,25.69,26.88,27.94,27.66,27.03,27.22,26.72,25.12,23.53,23.84,24.41,24.97,25.41,26.69,28.03,28.47,27.78,27.72,28.16,28.62,28.56,28.22,28.81,28.72,27.75,26.28,25.66,25.0,24.06,22.59,21.88,21.84,21.88,21.97,22.88,24.72,26.91,28.28,29.62,31.34,31.75,31.06,29.06,27.31,25.47,24.0,22.62,22.62,23.84,25.69,27.0,28.75,30.75,32.31,32.66,32.47,32.62,32.78,31.84,30.59,30.19,30.03,30.12,29.88,30.34,31.84,33.47,34.19,34.72,35.38,35.41,33.94,31.97,30.69,29.44,27.53,25.41,24.0,23.0,22.19,20.47,19.66,19.81,20.41,20.88,22.0,24.16,26.19,27.56,28.0,29.59,31.25,32.62,33.81,35.34,37.06,37.75,37.31,36.19,35.5,34.19,32.28,30.38,29.5,28.75,27.81,27.0,27.06,27.78,28.22,28.69,29.91,31.88,33.41,34.16,34.12,34.31,34.75,33.72,32.88,32.88,32.94,32.03,31.38,31.25,31.97,32.72,33.22,33.78,34.66,35.47,35.16,34.88,35.53,36.22,36.0,35.72,35.59,35.06,32.97,29.94,26.69,23.41,19.81,16.03,13.41,12.06,12.31,12.69,14.28,17.12,20.47,23.62,26.41,29.25,32.41,34.78,36.53,38.25,40.03,41.88,42.62,43.31,44.19,44.03,42.38,39.72,37.03,34.44,31.0,27.12,23.12,19.25,14.97,10.91,8.0,6.94,6.91,7.06,7.69,8.88,11.03,11.84,12.47,13.81,16.22,18.09,20.41,23.03,26.62,29.56,31.19,32.47,33.78,34.0,32.09,29.78,27.31,25.19,22.5,20.19,19.06,18.72,18.44,18.62,19.66,21.62,23.31,24.31,25.31,26.66,28.0,28.34,28.38,28.59,28.78,28.03,27.38,26.59,25.94,24.97,22.84,21.09,20.41,19.69,19.28,19.16,20.25,21.84,22.53,23.12,23.56,24.62,25.34,25.94,27.41,29.91,32.62,34.66,36.75,38.81,40.5,40.03,39.19,38.69,38.38,37.03,35.22,32.91,30.88,27.84,25.09,23.62,24.22,26.12,28.22,31.03,34.31,36.41,36.72,35.62,34.47,32.91,30.91,29.38,28.31,28.41,28.38,29.06,29.75,31.84,33.97,35.62,37.31,39.06,40.44,40.16,38.97,37.56,36.41,34.41,32.97,31.97,31.94,31.97,31.56,31.12,31.66,32.44,32.12,31.84,33.06,34.31,35.19,35.31,36.19,36.66,36.47,35.78,35.0,34.78,34.44,32.94,31.53,30.81,30.09,28.81,27.38,26.81,27.06,26.72,26.5,27.12,28.34,29.44,29.97,31.03,33.12,35.41,37.75,40.12,43.47,46.28,47.28,47.19,46.88,46.28,44.81,42.41,40.09,38.16,35.66,32.94,30.47,29.66,28.84,28.16,27.72,27.66,27.62,26.66,25.22,24.53,24.31,23.78,22.59,21.25,20.38,18.94,17.03,15.62,15.0,15.06,15.44,16.06,18.56,21.62,24.12,26.03,28.22,30.69,32.12,32.59,33.12,34.38,35.59,36.59,37.41,38.94,39.91,40.0,39.25,39.22,39.53,39.19,37.94,37.34,37.62,37.53,36.81,36.19,35.59,34.56,32.38,30.09,29.34,28.56,27.44,26.25,26.25,26.62,26.41,25.88,25.59,25.53,25.31,24.66,23.91,24.56,25.28,25.72,26.28,27.62,29.09,29.97,30.19,31.09,32.12,32.84,33.03,33.31,33.94,34.22,33.69,33.12,33.25,33.47,33.06,32.53,33.0,33.59,33.66,33.44,33.25,33.0,32.25,30.75,29.72,30.59,31.72,32.56,33.25,34.19,34.91,34.19,33.16,32.91,32.94,32.69,32.12,32.28,33.12,34.47,34.91,35.34,36.38,36.91,36.06,34.5,33.03,31.81,29.88,27.66,26.16,25.47,24.78,23.56,22.94,23.25,23.47,23.19,23.09,23.84,24.97,25.53,26.06,26.78,27.78,27.66,27.06,27.12,27.69,28.56,28.44,28.28,28.28,27.44,25.44,23.75,23.53,24.69,25.75,27.34,29.72,32.91,34.84,35.47,36.06,36.25,36.09,34.5,33.09,32.47,31.94,30.53,28.59,27.56,26.06,23.81,21.34,19.88,19.34,18.78,18.16,18.22,18.72,19.59,19.56,19.78,20.5,20.44,18.72,16.62,14.66,13.09,11.47,10.44,10.88,12.22,13.75,14.41,15.5,16.94,17.72,17.47,17.69,18.56,20.06,20.91,21.91,23.66,25.81,27.12,27.34,27.31,27.28,26.28,23.78,21.69,20.34,19.22,17.09,15.69,15.34,16.16,16.44,16.31,17.06,18.16,18.81,18.75,20.09,21.97,23.88,24.81,25.44,26.0,26.0,24.59,22.81,21.47,20.84,19.47,17.75,17.19,17.47,17.81,17.66,17.91,19.19,20.47,21.09,22.19,24.53,26.56,27.38,27.75,27.41,27.25,26.06,24.69,24.19,25.0,26.62,27.56,29.34,31.34,32.19,30.56,28.44,26.56,25.22,23.81,23.06,24.28,26.5,28.38,29.41,29.84,30.41,29.59,27.53,25.81,25.66,25.69,24.75,24.16,24.06,24.22,23.16,22.03,21.34,21.28,20.09,18.53,17.19,17.06,17.22,17.0,17.47,19.38,21.0,21.5,21.41,21.34,21.16,20.31,19.28,18.97,19.81,20.25,20.0,19.78,20.72,22.03,22.81,24.81,27.91,31.47,33.72,35.28,36.5,37.97,37.97,36.88,35.66,34.81,33.59,31.59,29.62,28.47,27.41,25.47,23.69,23.47,23.81,23.72,23.5,24.03,25.12,25.25,25.12,24.81,25.09,24.81,23.88,23.25,23.94,25.16,25.62,25.66,26.75,27.44,27.12,25.84,25.22,25.03,23.88,22.12,20.94,20.72,20.72,20.03,19.31,19.34,19.38,17.81,16.31,15.84,16.28,16.25,16.03,16.75,18.31,19.5,20.28,21.28,23.41,24.81,25.5,25.72,26.81,27.81,27.59,27.0,26.53,26.34,25.0,23.06,21.75,21.38,21.25,21.03,21.25,23.03,24.34,25.16,25.47,26.09,26.81,26.5,25.44,24.91,24.97,24.12,23.09,22.62,23.56,24.78,25.03,24.97,25.38,25.09,23.66,21.59,20.97,20.66,20.22,19.84,20.28,21.28,21.75,21.84,21.56,21.94,22.28,22.06,21.5,21.84,22.25,22.03,21.22,21.72,22.56,22.84,22.53,22.31,22.66,22.16,21.06,20.09,20.22,20.81,21.03,21.66,23.19,24.25,24.16,23.03,22.25,22.09,21.41,20.31,19.53,19.5,19.03,17.78,17.19,17.56,17.97,17.91,18.03,19.25,20.47,21.06,21.34,22.09,22.81,23.09,22.72,22.97,24.5,25.59,25.91,26.31,27.06,27.41,27.09,26.5,26.66,26.84,26.19,25.19,24.47,24.34,23.91,22.88,22.41,23.0,24.34,25.28,26.31,27.88,28.81,28.31,25.94,24.22,22.78,21.19,19.62,19.41,20.53,21.59,22.25,22.94,24.62,26.09,26.81,27.16,28.0,28.28,27.38,25.31,23.25,21.41,19.47,17.0,15.75,15.69,16.34,16.72,17.75,19.66,21.47,21.66,21.28,21.38,21.06,20.12,18.44,17.25,15.72,13.69,11.09,9.28,8.81,9.47,10.38,12.16,15.41,19.06,22.06,24.84,27.97,30.72,32.12,31.88,31.0,29.19,26.81,22.94,19.47,16.97,15.25,13.47,12.12,12.16,12.53,12.53,12.41,13.38,14.81,15.91,16.56,17.72,19.62,20.88,20.97,20.88,21.09,20.94,20.06,19.72,20.69,22.78,24.31,26.09,28.34,23.94,23.44,23.25,23.5,23.97,24.34,24.81,25.41,26.03,26.56,27.34,28.0,28.69,29.25,29.44,28.84,27.72,27.0,25.53,23.97,22.75,22.31,22.0,21.97,22.12,23.03,23.97,24.81,25.66,26.81,27.88,28.81,30.31,31.97,33.97,35.03,35.38,34.69,33.25,31.5,29.75,28.34:positivity
-29.34,-29.34,-27.84,-25.12,-22.66,-21.25,-20.97,-20.16,-20.06,-20.75,-21.5,-21.41,-20.34,-19.25,-18.53,-17.94,-17.34,-17.44,-19.38,-21.66,-23.25,-24.41,-26.12,-27.59,-28.56,-29.06,-30.34,-32.25,-32.97,-32.97,-32.69,-32.56,-31.81,-29.94,-28.75,-29.09,-29.94,-30.47,-31.53,-32.78,-33.97,-33.12,-31.53,-29.78,-28.12,-25.22,-22.09,-19.88,-19.03,-18.56,-18.41,-19.16,-21.28,-23.81,-25.84,-27.81,-30.75,-32.81,-33.47,-33.12,-32.53,-32.12,-31.31,-30.19,-29.91,-31.38,-32.53,-33.06,-32.84,-33.12,-32.41,-31.44,-30.31,-30.34,-31.44,-31.88,-32.44,-33.19,-34.31,-34.81,-34.38,-34.03,-34.75,-35.62,-35.88,-36.19,-36.91,-36.97,-35.84,-33.84,-32.5,-31.34,-29.75,-28.34,-28.0,-29.25,-30.19,-31.22,-31.81,-32.94,-33.22,-31.97,-29.88,-28.19,-26.31,-23.94,-21.62,-21.28,-22.5,-23.53,-24.56,-25.81,-27.69,-28.09,-26.91,-25.41,-24.81,-23.97,-22.69,-21.97,-22.0,-22.34,-21.78,-20.25,-19.22,-18.94,-18.34,-17.31,-16.88,-16.94,-16.41,-15.34,-14.06,-14.12,-14.59,-14.75,-14.72,-15.88,-17.12,-17.16,-16.38,-15.72,-15.44,-14.34,-12.94,-11.78,-11.66,-11.12,-10.5,-9.91,-10.88,-12.47,-13.59,-14.78,-16.53,-18.22,-19.19,-19.0,-18.94,-19.75,-20.5,-20.88,-21.41,-22.97,-24.09,-23.91,-22.81,-22.69,-22.06,-20.66,-19.0,-18.81,-19.19,-19.75,-19.69,-20.25,-21.38,-21.72,-20.97,-20.22,-20.97,-21.81,-22.5,-22.97,-24.22,-25.09,-24.66,-23.66,-23.53,-23.97,-24.03,-23.72,-23.5,-23.38,-22.56,-20.38,-18.25,-16.75,-16.0,-15.0,-14.34,-15.19,-16.03,-16.81,-18.03,-19.88,-22.47,-24.53,-24.47,-23.81,-23.25,-21.66,-19.47,-17.56,-17.31,-17.22,-16.91,-16.47,-17.38,-18.72,-19.38,-19.53,-19.78,-20.38,-20.38,-19.09,-18.09,-17.81,-17.19,-15.84,-14.41,-13.88,-14.09,-13.88,-13.94,-14.78,-15.81,-16.31,-16.25,-16.62,-18.16,-20.25,-21.47,-23.22,-25.28,-26.94,-26.66,-25.28,-24.5,-23.38,-21.12,-18.59,-16.94,-15.88,-14.88,-13.81,-14.56,-16.38,-18.22,-19.88,-21.28,-23.72,-25.88,-26.31,-26.22,-26.34,-25.91,-24.59,-22.59,-21.53,-21.12,-20.47,-19.78,-19.72,-20.34,-20.78,-20.03,-19.28,-19.62,-20.22,-20.28,-20.34,-21.59,-22.75,-23.25,-22.25,-21.72,-21.84,-21.66,-20.84,-20.66,-21.91,-22.53,-22.47,-22.12,-23.16,-23.69,-23.66,-22.97,-23.12,-23.0,-22.16,-20.34,-19.66,-19.38,-19.84,-20.06,-21.06,-22.81,-24.62,-25.28,-25.34,-25.91,-27.0,-27.47,-27.62,-28.72,-29.94,-30.06,-28.78,-27.38,-26.19,-24.56,-21.66,-19.81,-19.44,-19.47,-19.56,-19.84,-21.16,-23.06,-23.69,-23.31,-23.72,-24.59,-24.81,-24.34,-24.25,-24.94,-24.53,-22.94,-21.06,-20.12,-20.03,-19.66,-20.12,-22.19,-24.75,-26.66,-27.66,-28.38,-29.16,-28.56,-26.81,-25.59,-25.25,-25.09,-24.12,-23.34,-22.62,-21.56,-19.09,-16.59,-15.22,-14.78,-14.69,-14.16,-14.88,-16.66,-18.47,-19.66,-21.59,-24.09,-25.53,-24.94,-23.97,-22.88,-21.31,-18.69,-16.5,-14.81,-14.12,-13.22,-12.06,-11.09,-10.38,-9.53,-8.06,-7.38,-8.25,-10.0,-10.81,-11.69,-12.88,-14.5,-14.88,-15.16,-15.66,-16.47,-16.5,-15.38,-15.09,-15.22,-15.28,-14.59,-13.81,-13.22,-11.88,-9.5,-7.16,-6.0,-5.66,-5.53,-5.91,-7.31,-9.59,-11.62,-12.81,-13.97,-15.31,-16.41,-16.34,-16.69,-17.69,-18.94,-18.84,-18.47,-18.28,-18.44,-17.88,-17.03,-16.59,-17.22,-17.31,-16.19,-15.34,-14.81,-14.5,-13.12,-12.25,-12.66,-13.88,-14.38,-15.5,-17.47,-19.5,-20.94,-21.47,-21.59,-22.06,-22.09,-21.16,-20.09,-19.91,-19.69,-17.91,-16.53,-15.69,-15.31,-14.72,-14.34,-14.94,-15.78,-15.62,-14.59,-13.41,-12.84,-12.72,-11.72,-11.09,-11.44,-12.31,-12.69,-13.69,-15.69,-18.66,-20.94,-22.25,-23.62,-25.25,-25.62,-24.59,-23.22,-21.94,-20.09,-17.22,-14.53,-12.88,-11.34,-8.94,-6.62,-5.41,-5.31,-5.0,-4.94,-5.59,-7.38,-9.56,-11.75,-14.84,-19.0,-22.47,-23.94,-24.31,-24.06,-23.34,-21.41,-18.97,-17.38,-16.47,-15.09,-13.56,-12.22,-11.72,-11.16,-9.88,-9.44,-10.19,-11.16,-10.62,-10.09,-10.03,-10.28,-10.16,-10.44,-11.78,-13.88,-15.12,-15.53,-15.94,-16.84,-16.75,-15.88,-15.03,-14.97,-15.53,-15.34,-15.06,-15.28,-15.22,-13.97,-11.97,-10.06,-9.44,-8.78,-8.34,-8.72,-10.44,-12.41,-13.34,-13.97,-15.0,-16.03,-15.94,-15.88,-17.22,-19.16,-19.94,-20.22,-19.84,-19.44,-18.09,-16.66,-15.44,-14.97,-14.38,-12.69,-10.56,-9.22,-8.88,-8.41,-8.97,-10.62,-13.28,-15.22,-16.38,-17.16,-18.31,-18.62,-17.97,-17.28,-17.78,-18.75,-19.03,-19.25,-19.88,-20.31,-19.59,-17.62,-16.12,-15.25,-14.72,-14.25,-14.16,-15.12,-15.66,-15.19,-14.75,-15.78,-17.12,-17.81,-18.56,-19.47,-19.81,-19.25,-18.06,-18.03,-19.44,-21.19,-23.12,-25.09,-27.22,-27.56,-27.0,-25.44,-24.34,-23.59,-22.28,-20.97,-20.47,-20.91,-20.94,-20.59,-20.5,-20.84,-20.5,-19.56,-18.72,-18.88,-19.03,-18.84,-18.38,-19.12,-19.66,-19.88,-20.16,-20.88,-22.31,-22.84,-22.72,-23.0,-23.69,-24.25,-24.25,-24.41,-25.59,-26.25,-26.03,-24.69,-23.56,-22.19,-20.31,-17.91,-16.44,-15.94,-15.34,-14.72,-14.69,-16.09,-18.09,-19.56,-21.0,-23.38,-25.16,-26.16,-25.84,-25.91,-25.75,-24.59,-23.16,-22.03,-21.94,-22.0,-21.22,-21.09,-21.56,-21.97,-21.31,-20.34,-19.69,-19.53,-19.28,-19.0,-20.0,-21.91,-23.47,-23.91,-24.03,-24.31,-23.28,-21.31,-19.56,-19.0,-18.59,-18.53,-18.84,-19.75,-21.06,-21.72,-21.28,-21.25,-21.78,-21.91,-21.66,-21.88,-23.44,-24.84,-25.44,-26.19,-26.78,-27.22,-26.31,-24.81,-23.72,-22.47,-20.5,-18.41,-17.69,-18.19,-19.84,-21.53,-23.81,-26.22,-27.62,-27.38,-26.19,-25.0,-23.88,-22.66,-20.81,-19.81,-18.84,-17.69,-15.69,-14.88,-15.5,-16.53,-17.75,-19.25,-21.62,-23.56,-24.94,-25.47,-26.22,-27.03,-26.53,-25.38,-24.25,-23.06,-21.34,-18.47,-15.97,-14.53,-13.72,-12.5,-12.41,-14.19,-16.62,-18.72,-20.75,-23.0,-24.56,-24.5,-22.72,-20.59,-18.44,-16.34,-14.31,-13.91,-15.47,-18.16,-20.66,-22.84,-25.06,-26.0,-24.78,-22.09,-19.31,-17.25,-15.41,-14.72,-15.78,-17.97,-20.5,-21.56,-22.12,-22.44,-21.97,-20.22,-18.5,-17.19,-16.16,-15.0,-14.31,-15.0,-16.56,-17.75,-17.97,-17.41,-16.94,-16.22,-14.47,-13.62,-13.59,-13.75,-12.94,-12.19,-12.41,-13.06,-13.5,-13.72,-14.41,-15.75,-17.19,-18.12,-19.66,-22.03,-24.16,-25.09,-25.56,-26.06,-26.59,-25.25,-23.47,-21.41,-19.28,-16.03,-12.16,-9.0,-6.47,-4.78,-3.78,-4.28,-6.19,-9.12,-11.81,-14.44,-17.06,-19.78,-21.41,-22.38,-23.41,-24.84,-25.56,-25.5,-25.12,-24.81,-23.88,-21.5,-18.72,-16.97,-15.62,-14.03,-13.0,-13.22,-14.28,-14.69,-14.62,-15.0,-15.66,-16.03,-15.78,-16.16,-17.03,-18.19,-18.88,-19.69,-21.0,-22.06,-21.88,-21.12,-20.44,-20.59,-20.31,-19.75,-19.47,-19.75,-19.75,-19.22,-18.94,-19.12,-19.81,-19.75,-19.62,-20.62,-22.25,-22.91,-23.19,-23.53,-23.81,-23.06,-21.66,-20.19,-19.28,-18.22,-16.56,-15.25,-14.81,-15.19,-15.22,-15.56,-17.31,-19.28,-20.06,-20.22,-20.09,-19.94,-18.84,-17.38,-16.31,-16.28,-16.34,-16.22,-16.91,-18.19,-19.66,-19.88,-19.69,-19.81,-19.97,-19.28,-18.56,-18.25,-18.78,-18.97,-18.5,-18.06,-18.78,-19.12,-18.66,-18.38,-19.19,-20.22,-19.88,-19.03,-19.03,-19.69,-19.94,-20.25,-20.91,-22.47,-22.62,-21.28,-19.69,-19.06,-18.31,-17.5,-17.59,-18.44,-19.75,-20.09,-19.62,-19.38,-19.69,-19.47,-18.91,-18.47,-18.88,-18.88,-18.16,-17.44,-18.0,-19.25,-19.97,-20.72,-22.25,-23.81,-24.09,-23.75,-23.5,-23.5,-22.78,-21.16,-19.53,-19.12,-18.25,-17.09,-15.88,-16.0,-16.16,-15.28,-13.91,-13.31,-13.25,-12.06,-10.97,-10.56,-11.09,-11.12,-10.84,-10.38,-10.88,-11.31,-11.09,-10.88,-11.81,-12.97,-13.22,-12.78,-13.06,-13.84,-13.94,-13.72,-13.69,-14.28,-14.62,-14.47,-14.41,-15.34,-16.38,-16.5,-16.41,-17.38,-18.53,-18.88,-18.62,-18.66,-19.12,-18.66,-17.66,-16.94,-17.22,-17.44,-17.12,-16.41,-16.34,-15.56,-13.84,-11.72,-10.84,-10.78,-10.91,-10.72,-10.91,-11.72,-11.88,-11.94,-12.0,-13.19,-14.59,-14.84,-14.62,-15.12,-15.47,-14.81,-13.97,-13.66,-14.19,-13.88,-13.28,-13.28,-14.03,-14.03,-13.25,-12.72,-12.97,-13.66,-13.94,-14.22,-15.72,-17.22,-17.34,-16.53,-16.25,-15.88,-14.72,-13.0,-11.62,-11.97,-11.56,-10.78,-10.12,-10.81,-10.84,-10.06,-9.12,-9.31,-9.94,-10.44,-10.91,-12.5,-14.5,-15.41,-15.0,-14.31,-14.0,-12.75,-11.03,-9.09,-8.59,-7.94,-6.25,-4.22,-3.53,-3.09,-2.84,-2.56,-4.19,-6.66,-8.72,-9.66,-10.28,-11.03,-10.97,-10.0,-8.94,-9.09,-9.19,-8.94,-8.03,-8.25,-8.72,-8.38,-7.62,-7.38,-7.69,-7.06,-5.5,-3.69,-2.41,-0.84,0.72,2.03,1.31,0.06,-0.66,-0.78,-1.47,-2.44,-2.84,-2.59,-3.56,-5.28,-6.78,-7.34,-7.47,-7.94,-7.78,-6.34,-4.25,-3.56,-3.09,-2.28,-1.31,-1.72,-3.09,-4.06,-4.53,-5.34,-6.84,-8.5,-9.34:-20.16,-20.06,-20.75,-21.5,-21.41,-20.34,-19.25,-18.53,-17.94,-17.34,-17.44,-19.38,-21.66,-23.25,-24.41,-26.12,-27.59,-28.56,-29.06,-30.34,-32.25,-32.97,-32.97,-32.69,-32.56,-31.81,-29.94,-28.75,-29.09,-29.94,-30.47,-31.53,-32.78,-33.97,-33.12,-31.53,-29.78,-28.12,-25.22,-22.09,-19.88,-19.03,-18.56,-18.41,-19.16,-21.28,-23.81,-25.84,-27.81,-30.75,-32.81,-33.47,-33.12,-32.53,-32.12,-31.31,-30.19,-29.91,-31.38,-32.53,-33.06,-32.84,-33.12,-32.41,-31.44,-30.31,-30.34,-31.44,-31.88,-32.44,-33.19,-34.31,-34.81,-34.38,-34.03,-34.75,-35.62,-35.88,-36.19,-36.91,-36.97,-35.84,-33.84,-32.5,-31.34,-29.75,-28.34,-28.0,-29.25,-30.19,-31.22,-31.81,-32.94,-33.22,-31.97,-29.88,-28.19,-26.31,-23.94,-21.62,-21.28,-22.5,-23.53,-24.56,-25.81,-27.69,-28.09,-26.91,-25.41,-24.81,-23.97,-22.69,-21.97,-22.0,-22.34,-21.78,-20.25,-19.22,-18.94,-18.34,-17.31,-16.88,-16.94,-16.41,-15.34,-14.06,-14.12,-14.59,-14.75,-14.72,-15.88,-17.12,-17.16,-16.38,-15.72,-15.44,-14.34,-12.94,-11.78,-11.66,-11.12,-10.5,-9.91,-10.88,-12.47,-13.59,-14.78,-16.53,-18.22,-19.19,-19.0,-18.94,-19.75,-20.5,-20.88,-21.41,-22.97,-24.09,-23.91,-22.81,-22.69,-22.06,-20.66,-19.0,-18.81,-19.19,-19.75,-19.69,-20.25,-21.38,-21.72,-20.97,-20.22,-20.97,-21.81,-22.5,-22.97,-24.22,-25.09,-24.66,-23.66,-23.53,-23.97,-24.03,-23.72,-23.5,-23.38,-22.56,-20.38,-18.25,-16.75,-16.0,-15.0,-14.34,-15.19,-16.03,-16.81,-18.03,-19.88,-22.47,-24.53,-24.47,-23.81,-23.25,-21.66,-19.47,-17.56,-17.31,-17.22,-16.91,-16.47,-17.38,-18.72,-19.38,-19.53,-19.78,-20.38,-20.38,-19.09,-18.09,-17.81,-17.19,-15.84,-14.41,-13.88,-14.09,-13.88,-13.94,-14.78,-15.81,-16.31,-16.25,-16.62,-18.16,-20.25,-21.47,-23.22,-25.28,-26.94,-26.66,-25.28,-24.5,-23.38,-21.12,-18.59,-16.94,-15.88,-14.88,-13.81,-14.56,-16.38,-18.22,-19.88,-21.28,-23.72,-25.88,-26.31,-26.22,-26.34,-25.91,-24.59,-22.59,-21.53,-21.12,-20.47,-19.78,-19.72,-20.34,-20.78,-20.03,-19.28,-19.62,-20.22,-20.28,-20.34,-21.59,-22.75,-23.25,-22.25,-21.72,-21.84,-21.66,-20.84,-20.66,-21.91,-22.53,-22.47,-22.12,-23.16,-23.69,-23.66,-22.97,-23.12,-23.0,-22.16,-20.34,-19.66,-19.38,-19.84,-20.06,-21.06,-22.81,-24.62,-25.28,-25.34,-25.91,-27.0,-27.47,-27.62,-28.72,-29.94,-30.06,-28.78,-27.38,-26.19,-24.56,-21.66,-19.81,-19.44,-19.47,-19.56,-19.84,-21.16,-23.06,-23.69,-23.31,-23.72,-24.59,-24.81,-24.34,-24.25,-24.94,-24.53,-22.94,-21.06,-20.12,-20.03,-19.66,-20.12,-22.19,-24.75,-26.66,-27.66,-28.38,-29.16,-28.56,-26.81,-25.59,-25.25,-25.09,-24.12,-23.34,-22.62,-21.56,-19.09,-16.59,-15.22,-14.78,-14.69,-14.16,-14.88,-16.66,-18.47,-19.66,-21.59,-24.09,-25.53,-24.94,-23.97,-22.88,-21.31,-18.69,-16.5,-14.81,-14.12,-13.22,-12.06,-11.09,-10.38,-9.53,-8.06,-7.38,-8.25,-10.0,-10.81,-11.69,-12.88,-14.5,-14.88,-15.16,-15.66,-16.47,-16.5,-15.38,-15.09,-15.22,-15.28,-14.59,-13.81,-13.22,-11.88,-9.5,-7.16,-6.0,-5.66,-5.53,-5.91,-7.31,-9.59,-11.62,-12.81,-13.97,-15.31,-16.41,-16.34,-16.69,-17.69,-18.94,-18.84,-18.47,-18.28,-18.44,-17.88,-17.03,-16.59,-17.22,-17.31,-16.19,-15.34,-14.81,-14.5,-13.12,-12.25,-12.66,-13.88,-14.38,-15.5,-17.47,-19.5,-20.94,-21.47,-21.59,-22.06,-22.09,-21.16,-20.09,-19.91,-19.69,-17.91,-16.53,-15.69,-15.31,-14.72,-14.34,-14.94,-15.78,-15.62,-14.59,-13.41,-12.84,-12.72,-11.72,-11.09,-11.44,-12.31,-12.69,-13.69,-15.69,-18.66,-20.94,-22.25,-23.62,-25.25,-25.62,-24.59,-23.22,-21.94,-20.09,-17.22,-14.53,-12.88,-11.34,-8.94,-6.62,-5.41,-5.31,-5.0,-4.94,-5.59,-7.38,-9.56,-11.75,-14.84,-19.0,-22.47,-23.94,-24.31,-24.06,-23.34,-21.41,-18.97,-17.38,-16.47,-15.09,-13.56,-12.22,-11.72,-11.16,-9.88,-9.44,-10.19,-11.16,-10.62,-10.09,-10.03,-10.28,-10.16,-10.44,-11.78,-13.88,-15.12,-15.53,-15.94,-16.84,-16.75,-15.88,-15.03,-14.97,-15.53,-15.34,-15.06,-15.28,-15.22,-13.97,-11.97,-10.06,-9.44,-8.78,-8.34,-8.72,-10.44,-12.41,-13.34,-13.97,-15.0,-16.03,-15.94,-15.88,-17.22,-19.16,-19.94,-20.22,-19.84,-19.44,-18.09,-16.66,-15.44,-14.97,-14.38,-12.69,-10.56,-9.22,-8.88,-8.41,-8.97,-10.62,-13.28,-15.22,-16.38,-17.16,-18.31,-18.62,-17.97,-17.28,-17.78,-18.75,-19.03,-19.25,-19.88,-20.31,-19.59,-17.62,-16.12,-15.25,-14.72,-14.25,-14.16,-15.12,-15.66,-15.19,-14.75,-15.78,-17.12,-17.81,-18.56,-19.47,-19.81,-19.25,-18.06,-18.03,-19.44,-21.19,-23.12,-25.09,-27.22,-27.56,-27.0,-25.44,-24.34,-23.59,-22.28,-20.97,-20.47,-20.91,-20.94,-20.59,-20.5,-20.84,-20.5,-19.56,-18.72,-18.88,-19.03,-18.84,-18.38,-19.12,-19.66,-19.88,-20.16,-20.88,-22.31,-22.84,-22.72,-23.0,-23.69,-24.25,-24.25,-24.41,-25.59,-26.25,-26.03,-24.69,-23.56,-22.19,-20.31,-17.91,-16.44,-15.94,-15.34,-14.72,-14.69,-16.09,-18.09,-19.56,-21.0,-23.38,-25.16,-26.16,-25.84,-25.91,-25.75,-24.59,-23.16,-22.03,-21.94,-22.0,-21.22,-21.09,-21.56,-21.97,-21.31,-20.34,-19.69,-19.53,-19.28,-19.0,-20.0,-21.91,-23.47,-23.91,-24.03,-24.31,-23.28,-21.31,-19.56,-19.0,-18.59,-18.53,-18.84,-19.75,-21.06,-21.72,-21.28,-21.25,-21.78,-21.91,-21.66,-21.88,-23.44,-24.84,-25.44,-26.19,-26.78,-27.22,-26.31,-24.81,-23.72,-22.47,-20.5,-18.41,-17.69,-18.19,-19.84,-21.53,-23.81,-26.22,-27.62,-27.38,-26.19,-25.0,-23.88,-22.66,-20.81,-19.81,-18.84,-17.69,-15.69,-14.88,-15.5,-16.53,-17.75,-19.25,-21.62,-23.56,-24.94,-25.47,-26.22,-27.03,-26.53,-25.38,-24.25,-23.06,-21.34,-18.47,-15.97,-14.53,-13.72,-12.5,-12.41,-14.19,-16.62,-18.72,-20.75,-23.0,-24.56,-24.5,-22.72,-20.59,-18.44,-16.34,-14.31,-13.91,-15.47,-18.16,-20.66,-22.84,-25.06,-26.0,-24.78,-22.09,-19.31,-17.25,-15.41,-14.72,-15.78,-17.97,-20.5,-21.56,-22.12,-22.44,-21.97,-20.22,-18.5,-17.19,-16.16,-15.0,-14.31,-15.0,-16.56,-17.75,-17.97,-17.41,-16.94,-16.22,-14.47,-13.62,-13.59,-13.75,-12.94,-12.19,-12.41,-13.06,-13.5,-13.72,-14.41,-15.75,-17.19,-18.12,-19.66,-22.03,-24.16,-25.09,-25.56,-26.06,-26.59,-25.25,-23.47,-21.41,-19.28,-16.03,-12.16,-9.0,-6.47,-4.78,-3.78,-4.28,-6.19,-9.12,-11.81,-14.44,-17.06,-19.78,-21.41,-22.38,-23.41,-24.84,-25.56,-25.5,-25.12,-24.81,-23.88,-21.5,-18.72,-16.97,-15.62,-14.03,-13.0,-13.22,-14.28,-14.69,-14.62,-15.0,-15.66,-16.03,-15.78,-16.16,-17.03,-18.19,-18.88,-19.69,-21.0,-22.06,-21.88,-21.12,-20.44,-20.59,-20.31,-19.75,-19.47,-19.75,-19.75,-19.22,-18.94,-19.12,-19.81,-19.75,-19.62,-20.62,-22.25,-22.91,-23.19,-23.53,-23.81,-23.06,-21.66,-20.19,-19.28,-18.22,-16.56,-15.25,-14.81,-15.19,-15.22,-15.56,-17.31,-19.28,-20.06,-20.22,-20.09,-19.94,-18.84,-17.38,-16.31,-16.28,-16.34,-16.22,-16.91,-18.19,-19.66,-19.88,-19.69,-19.81,-19.97,-19.28,-18.56,-18.25,-18.78,-18.97,-18.5,-18.06,-18.78,-19.12,-18.66,-18.38,-19.19,-20.22,-19.88,-19.03,-19.03,-19.69,-19.94,-20.25,-20.91,-22.47,-22.62,-21.28,-19.69,-19.06,-18.31,-17.5,-17.59,-18.44,-19.75,-20.09,-19.62,-19.38,-19.69,-19.47,-18.91,-18.47,-18.88,-18.88,-18.16,-17.44,-18.0,-19.25,-19.97,-20.72,-22.25,-23.81,-24.09,-23.75,-23.5,-23.5,-22.78,-21.16,-19.53,-19.12,-18.25,-17.09,-15.88,-16.0,-16.16,-15.28,-13.91,-13.31,-13.25,-12.06,-10.97,-10.56,-11.09,-11.12,-10.84,-10.38,-10.88,-11.31,-11.09,-10.88,-11.81,-12.97,-13.22,-12.78,-13.06,-13.84,-13.94,-13.72,-13.69,-14.28,-14.62,-14.47,-14.41,-15.34,-16.38,-16.5,-16.41,-17.38,-18.53,-18.88,-18.62,-18.66,-19.12,-18.66,-17.66,-16.94,-17.22,-17.44,-17.12,-16.41,-16.34,-15.56,-13.84,-11.72,-10.84,-10.78,-10.91,-10.72,-10.91,-11.72,-11.88,-11.94,-12.0,-13.19,-14.59,-14.84,-14.62,-15.12,-15.47,-14.81,-13.97,-13.66,-14.19,-13.88,-13.28,-13.28,-14.03,-14.03,-13.25,-12.72,-12.97,-13.66,-13.94,-14.22,-15.72,-17.22,-17.34,-16.53,-16.25,-15.88,-14.72,-13.0,-11.62,-11.97,-11.56,-10.78,-10.12,-10.81,-10.84,-10.06,-9.12,-9.31,-9.94,-10.44,-10.91,-12.5,-14.5,-15.41,-15.0,-14.31,-14.0,-12.75,-11.03,-9.09,-8.59,-7.94,-6.25,-4.22,-3.53,-3.09,-2.84,-2.56,-4.19,-6.66,-8.72,-9.66,-10.28,-11.03,-10.97,-10.0,-8.94,-9.09,-9.19,-8.94,-8.03,-8.25,-8.72,-8.38,-7.62,-7.38,-7.69,-7.06,-5.5,-3.69,-2.41,-0.84,0.72,2.03,1.31,0.06,-0.66,-0.78,-1.47,-2.44,-2.84,-2.59,-3.56,-5.28,-6.78,-7.34,-7.47,-7.94,-7.78,-6.34,-4.25,-3.56,-3.09,-2.28,-1.31,-1.72,-3.09,-4.06,-4.53,-5.34,-6.84,-8.5,-9.34,-5.38,-3.88,-1.66,0.75,3.69,6.59,8.47:-18.53,-17.94,-17.34,-17.44,-19.38,-21.66,-23.25,-24.41,-26.12,-27.59,-28.56,-29.06,-30.34,-32.25,-32.97,-32.97,-32.69,-32.56,-31.81,-29.94,-28.75,-29.09,-29.94,-30.47,-31.53,-32.78,-33.97,-33.12,-31.53,-29.78,-28.12,-25.22,-22.09,-19.88,-19.03,-18.56,-18.41,-19.16,-21.28,-23.81,-25.84,-27.81,-30.75,-32.81,-33.47,-33.12,-32.53,-32.12,-31.31,-30.19,-29.91,-31.38,-32.53,-33.06,-32.84,-33.12,-32.41,-31.44,-30.31,-30.34,-31.44,-31.88,-32.44,-33.19,-34.31,-34.81,-34.38,-34.03,-34.75,-35.62,-35.88,-36.19,-36.91,-36.97,-35.84,-33.84,-32.5,-31.34,-29.75,-28.34,-28.0,-29.25,-30.19,-31.22,-31.81,-32.94,-33.22,-31.97,-29.88,-28.19,-26.31,-23.94,-21.62,-21.28,-22.5,-23.53,-24.56,-25.81,-27.69,-28.09,-26.91,-25.41,-24.81,-23.97,-22.69,-21.97,-22.0,-22.34,-21.78,-20.25,-19.22,-18.94,-18.34,-17.31,-16.88,-16.94,-16.41,-15.34,-14.06,-14.12,-14.59,-14.75,-14.72,-15.88,-17.12,-17.16,-16.38,-15.72,-15.44,-14.34,-12.94,-11.78,-11.66,-11.12,-10.5,-9.91,-10.88,-12.47,-13.59,-14.78,-16.53,-18.22,-19.19,-19.0,-18.94,-19.75,-20.5,-20.88,-21.41,-22.97,-24.09,-23.91,-22.81,-22.69,-22.06,-20.66,-19.0,-18.81,-19.19,-19.75,-19.69,-20.25,-21.38,-21.72,-20.97,-20.22,-20.97,-21.81,-22.5,-22.97,-24.22,-25.09,-24.66,-23.66,-23.53,-23.97,-24.03,-23.72,-23.5,-23.38,-22.56,-20.38,-18.25,-16.75,-16.0,-15.0,-14.34,-15.19,-16.03,-16.81,-18.03,-19.88,-22.47,-24.53,-24.47,-23.81,-23.25,-21.66,-19.47,-17.56,-17.31,-17.22,-16.91,-16.47,-17.38,-18.72,-19.38,-19.53,-19.78,-20.38,-20.38,-19.09,-18.09,-17.81,-17.19,-15.84,-14.41,-13.88,-14.09,-13.88,-13.94,-14.78,-15.81,-16.31,-16.25,-16.62,-18.16,-20.25,-21.47,-23.22,-25.28,-26.94,-26.66,-25.28,-24.5,-23.38,-21.12,-18.59,-16.94,-15.88,-14.88,-13.81,-14.56,-16.38,-18.22,-19.88,-21.28,-23.72,-25.88,-26.31,-26.22,-26.34,-25.91,-24.59,-22.59,-21.53,-21.12,-20.47,-19.78,-19.72,-20.34,-20.78,-20.03,-19.28,-19.62,-20.22,-20.28,-20.34,-21.59,-22.75,-23.25,-22.25,-21.72,-21.84,-21.66,-20.84,-20.66,-21.91,-22.53,-22.47,-22.12,-23.16,-23.69,-23.66,-22.97,-23.12,-23.0,-22.16,-20.34,-19.66,-19.38,-19.84,-20.06,-21.06,-22.81,-24.62,-25.28,-25.34,-25.91,-27.0,-27.47,-27.62,-28.72,-29.94,-30.06,-28.78,-27.38,-26.19,-24.56,-21.66,-19.81,-19.44,-19.47,-19.56,-19.84,-21.16,-23.06,-23.69,-23.31,-23.72,-24.59,-24.81,-24.34,-24.25,-24.94,-24.53,-22.94,-21.06,-20.12,-20.03,-19.66,-20.12,-22.19,-24.75,-26.66,-27.66,-28.38,-29.16,-28.56,-26.81,-25.59,-25.25,-25.09,-24.12,-23.34,-22.62,-21.56,-19.09,-16.59,-15.22,-14.78,-14.69,-14.16,-14.88,-16.66,-18.47,-19.66,-21.59,-24.09,-25.53,-24.94,-23.97,-22.88,-21.31,-18.69,-16.5,-14.81,-14.12,-13.22,-12.06,-11.09,-10.38,-9.53,-8.06,-7.38,-8.25,-10.0,-10.81,-11.69,-12.88,-14.5,-14.88,-15.16,-15.66,-16.47,-16.5,-15.38,-15.09,-15.22,-15.28,-14.59,-13.81,-13.22,-11.88,-9.5,-7.16,-6.0,-5.66,-5.53,-5.91,-7.31,-9.59,-11.62,-12.81,-13.97,-15.31,-16.41,-16.34,-16.69,-17.69,-18.94,-18.84,-18.47,-18.28,-18.44,-17.88,-17.03,-16.59,-17.22,-17.31,-16.19,-15.34,-14.81,-14.5,-13.12,-12.25,-12.66,-13.88,-14.38,-15.5,-17.47,-19.5,-20.94,-21.47,-21.59,-22.06,-22.09,-21.16,-20.09,-19.91,-19.69,-17.91,-16.53,-15.69,-15.31,-14.72,-14.34,-14.94,-15.78,-15.62,-14.59,-13.41,-12.84,-12.72,-11.72,-11.09,-11.44,-12.31,-12.69,-13.69,-15.69,-18.66,-20.94,-22.25,-23.62,-25.25,-25.62,-24.59,-23.22,-21.94,-20.09,-17.22,-14.53,-12.88,-11.34,-8.94,-6.62,-5.41,-5.31,-5.0,-4.94,-5.59,-7.38,-9.56,-11.75,-14.84,-19.0,-22.47,-23.94,-24.31,-24.06,-23.34,-21.41,-18.97,-17.38,-16.47,-15.09,-13.56,-12.22,-11.72,-11.16,-9.88,-9.44,-10.19,-11.16,-10.62,-10.09,-10.03,-10.28,-10.16,-10.44,-11.78,-13.88,-15.12,-15.53,-15.94,-16.84,-16.75,-15.88,-15.03,-14.97,-15.53,-15.34,-15.06,-15.28,-15.22,-13.97,-11.97,-10.06,-9.44,-8.78,-8.34,-8.72,-10.44,-12.41,-13.34,-13.97,-15.0,-16.03,-15.94,-15.88,-17.22,-19.16,-19.94,-20.22,-19.84,-19.44,-18.09,-16.66,-15.44,-14.97,-14.38,-12.69,-10.56,-9.22,-8.88,-8.41,-8.97,-10.62,-13.28,-15.22,-16.38,-17.16,-18.31,-18.62,-17.97,-17.28,-17.78,-18.75,-19.03,-19.25,-19.88,-20.31,-19.59,-17.62,-16.12,-15.25,-14.72,-14.25,-14.16,-15.12,-15.66,-15.19,-14.75,-15.78,-17.12,-17.81,-18.56,-19.47,-19.81,-19.25,-18.06,-18.03,-19.44,-21.19,-23.12,-25.09,-27.22,-27.56,-27.0,-25.44,-24.34,-23.59,-22.28,-20.97,-20.47,-20.91,-20.94,-20.59,-20.5,-20.84,-20.5,-19.56,-18.72,-18.88,-19.03,-18.84,-18.38,-19.12,-19.66,-19.88,-20.16,-20.88,-22.31,-22.84,-22.72,-23.0,-23.69,-24.25,-24.25,-24.41,-25.59,-26.25,-26.03,-24.69,-23.56,-22.19,-20.31,-17.91,-16.44,-15.94,-15.34,-14.72,-14.69,-16.09,-18.09,-19.56,-21.0,-23.38,-25.16,-26.16,-25.84,-25.91,-25.75,-24.59,-23.16,-22.03,-21.94,-22.0,-21.22,-21.09,-21.56,-21.97,-21.31,-20.34,-19.69,-19.53,-19.28,-19.0,-20.0,-21.91,-23.47,-23.91,-24.03,-24.31,-23.28,-21.31,-19.56,-19.0,-18.59,-18.53,-18.84,-19.75,-21.06,-21.72,-21.28,-21.25,-21.78,-21.91,-21.66,-21.88,-23.44,-24.84,-25.44,-26.19,-26.78,-27.22,-26.31,-24.81,-23.72,-22.47,-20.5,-18.41,-17.69,-18.19,-19.84,-21.53,-23.81,-26.22,-27.62,-27.38,-26.19,-25.0,-23.88,-22.66,-20.81,-19.81,-18.84,-17.69,-15.69,-14.88,-15.5,-16.53,-17.75,-19.25,-21.62,-23.56,-24.94,-25.47,-26.22,-27.03,-26.53,-25.38,-24.25,-23.06,-21.34,-18.47,-15.97,-14.53,-13.72,-12.5,-12.41,-14.19,-16.62,-18.72,-20.75,-23.0,-24.56,-24.5,-22.72,-20.59,-18.44,-16.34,-14.31,-13.91,-15.47,-18.16,-20.66,-22.84,-25.06,-26.0,-24.78,-22.09,-19.31,-17.25,-15.41,-14.72,-15.78,-17.97,-20.5,-21.56,-22.12,-22.44,-21.97,-20.22,-18.5,-17.19,-16.16,-15.0,-14.31,-15.0,-16.56,-17.75,-17.97,-17.41,-16.94,-16.22,-14.47,-13.62,-13.59,-13.75,-12.94,-12.19,-12.41,-13.06,-13.5,-13.72,-14.41,-15.75,-17.19,-18.12,-19.66,-22.03,-24.16,-25.09,-25.56,-26.06,-26.59,-25.25,-23.47,-21.41,-19.28,-16.03,-12.16,-9.0,-6.47,-4.78,-3.78,-4.28,-6.19,-9.12,-11.81,-14.44,-17.06,-19.78,-21.41,-22.38,-23.41,-24.84,-25.56,-25.5,-25.12,-24.81,-23.88,-21.5,-18.72,-16.97,-15.62,-14.03,-13.0,-13.22,-14.28,-14.69,-14.62,-15.0,-15.66,-16.03,-15.78,-16.16,-17.03,-18.19,-18.88,-19.69,-21.0,-22.06,-21.88,-21.12,-20.44,-20.59,-20.31,-19.75,-19.47,-19.75,-19.75,-19.22,-18.94,-19.12,-19.81,-19.75,-19.62,-20.62,-22.25,-22.91,-23.19,-23.53,-23.81,-23.06,-21.66,-20.19,-19.28,-18.22,-16.56,-15.25,-14.81,-15.19,-15.22,-15.56,-17.31,-19.28,-20.06,-20.22,-20.09,-19.94,-18.84,-17.38,-16.31,-16.28,-16.34,-16.22,-16.91,-18.19,-19.66,-19.88,-19.69,-19.81,-19.97,-19.28,-18.56,-18.25,-18.78,-18.97,-18.5,-18.06,-18.78,-19.12,-18.66,-18.38,-19.19,-20.22,-19.88,-19.03,-19.03,-19.69,-19.94,-20.25,-20.91,-22.47,-22.62,-21.28,-19.69,-19.06,-18.31,-17.5,-17.59,-18.44,-19.75,-20.09,-19.62,-19.38,-19.69,-19.47,-18.91,-18.47,-18.88,-18.88,-18.16,-17.44,-18.0,-19.25,-19.97,-20.72,-22.25,-23.81,-24.09,-23.75,-23.5,-23.5,-22.78,-21.16,-19.53,-19.12,-18.25,-17.09,-15.88,-16.0,-16.16,-15.28,-13.91,-13.31,-13.25,-12.06,-10.97,-10.56,-11.09,-11.12,-10.84,-10.38,-10.88,-11.31,-11.09,-10.88,-11.81,-12.97,-13.22,-12.78,-13.06,-13.84,-13.94,-13.72,-13.69,-14.28,-14.62,-14.47,-14.41,-15.34,-16.38,-16.5,-16.41,-17.38,-18.53,-18.88,-18.62,-18.66,-19.12,-18.66,-17.66,-16.94,-17.22,-17.44,-17.12,-16.41,-16.34,-15.56,-13.84,-11.72,-10.84,-10.78,-10.91,-10.72,-10.91,-11.72,-11.88,-11.94,-12.0,-13.19,-14.59,-14.84,-14.62,-15.12,-15.47,-14.81,-13.97,-13.66,-14.19,-13.88,-13.28,-13.28,-14.03,-14.03,-13.25,-12.72,-12.97,-13.66,-13.94,-14.22,-15.72,-17.22,-17.34,-16.53,-16.25,-15.88,-14.72,-13.0,-11.62,-11.97,-11.56,-10.78,-10.12,-10.81,-10.84,-10.06,-9.12,-9.31,-9.94,-10.44,-10.91,-12.5,-14.5,-15.41,-15.0,-14.31,-14.0,-12.75,-11.03,-9.09,-8.59,-7.94,-6.25,-4.22,-3.53,-3.09,-2.84,-2.56,-4.19,-6.66,-8.72,-9.66,-10.28,-11.03,-10.97,-10.0,-8.94,-9.09,-9.19,-8.94,-8.03,-8.25,-8.72,-8.38,-7.62,-7.38,-7.69,-7.06,-5.5,-3.69,-2.41,-0.84,0.72,2.03,1.31,0.06,-0.66,-0.78,-1.47,-2.44,-2.84,-2.59,-3.56,-5.28,-6.78,-7.34,-7.47,-7.94,-7.78,-6.34,-4.25,-3.56,-3.09,-2.28,-1.31,-1.72,-3.09,-4.06,-4.53,-5.34,-6.84,-8.5,-9.34,-5.38,-3.88,-1.66,0.75,3.69,6.59,8.47,10.03,11.0,11.81,11.62,11.12,11.06,11.53:-24.41,-26.12,-27.59,-28.56,-29.06,-30.34,-32.25,-32.97,-32.97,-32.69,-32.56,-31.81,-29.94,-28.75,-29.09,-29.94,-30.47,-31.53,-32.78,-33.97,-33.12,-31.53,-29.78,-28.12,-25.22,-22.09,-19.88,-19.03,-18.56,-18.41,-19.16,-21.28,-23.81,-25.84,-27.81,-30.75,-32.81,-33.47,-33.12,-32.53,-32.12,-31.31,-30.19,-29.91,-31.38,-32.53,-33.06,-32.84,-33.12,-32.41,-31.44,-30.31,-30.34,-31.44,-31.88,-32.44,-33.19,-34.31,-34.81,-34.38,-34.03,-34.75,-35.62,-35.88,-36.19,-36.91,-36.97,-35.84,-33.84,-32.5,-31.34,-29.75,-28.34,-28.0,-29.25,-30.19,-31.22,-31.81,-32.94,-33.22,-31.97,-29.88,-28.19,-26.31,-23.94,-21.62,-21.28,-22.5,-23.53,-24.56,-25.81,-27.69,-28.09,-26.91,-25.41,-24.81,-23.97,-22.69,-21.97,-22.0,-22.34,-21.78,-20.25,-19.22,-18.94,-18.34,-17.31,-16.88,-16.94,-16.41,-15.34,-14.06,-14.12,-14.59,-14.75,-14.72,-15.88,-17.12,-17.16,-16.38,-15.72,-15.44,-14.34,-12.94,-11.78,-11.66,-11.12,-10.5,-9.91,-10.88,-12.47,-13.59,-14.78,-16.53,-18.22,-19.19,-19.0,-18.94,-19.75,-20.5,-20.88,-21.41,-22.97,-24.09,-23.91,-22.81,-22.69,-22.06,-20.66,-19.0,-18.81,-19.19,-19.75,-19.69,-20.25,-21.38,-21.72,-20.97,-20.22,-20.97,-21.81,-22.5,-22.97,-24.22,-25.09,-24.66,-23.66,-23.53,-23.97,-24.03,-23.72,-23.5,-23.38,-22.56,-20.38,-18.25,-16.75,-16.0,-15.0,-14.34,-15.19,-16.03,-16.81,-18.03,-19.88,-22.47,-24.53,-24.47,-23.81,-23.25,-21.66,-19.47,-17.56,-17.31,-17.22,-16.91,-16.47,-17.38,-18.72,-19.38,-19.53,-19.78,-20.38,-20.38,-19.09,-18.09,-17.81,-17.19,-15.84,-14.41,-13.88,-14.09,-13.88,-13.94,-14.78,-15.81,-16.31,-16.25,-16.62,-18.16,-20.25,-21.47,-23.22,-25.28,-26.94,-26.66,-25.28,-24.5,-23.38,-21.12,-18.59,-16.94,-15.88,-14.88,-13.81,-14.56,-16.38,-18.22,-19.88,-21.28,-23.72,-25.88,-26.31,-26.22,-26.34,-25.91,-24.59,-22.59,-21.53,-21.12,-20.47,-19.78,-19.72,-20.34,-20.78,-20.03,-19.28,-19.62,-20.22,-20.28,-20.34,-21.59,-22.75,-23.25,-22.25,-21.72,-21.84,-21.66,-20.84,-20.66,-21.91,-22.53,-22.47,-22.12,-23.16,-23.69,-23.66,-22.97,-23.12,-23.0,-22.16,-20.34,-19.66,-19.38,-19.84,-20.06,-21.06,-22.81,-24.62,-25.28,-25.34,-25.91,-27.0,-27.47,-27.62,-28.72,-29.94,-30.06,-28.78,-27.38,-26.19,-24.56,-21.66,-19.81,-19.44,-19.47,-19.56,-19.84,-21.16,-23.06,-23.69,-23.31,-23.72,-24.59,-24.81,-24.34,-24.25,-24.94,-24.53,-22.94,-21.06,-20.12,-20.03,-19.66,-20.12,-22.19,-24.75,-26.66,-27.66,-28.38,-29.16,-28.56,-26.81,-25.59,-25.25,-25.09,-24.12,-23.34,-22.62,-21.56,-19.09,-16.59,-15.22,-14.78,-14.69,-14.16,-14.88,-16.66,-18.47,-19.66,-21.59,-24.09,-25.53,-24.94,-23.97,-22.88,-21.31,-18.69,-16.5,-14.81,-14.12,-13.22,-12.06,-11.09,-10.38,-9.53,-8.06,-7.38,-8.25,-10.0,-10.81,-11.69,-12.88,-14.5,-14.88,-15.16,-15.66,-16.47,-16.5,-15.38,-15.09,-15.22,-15.28,-14.59,-13.81,-13.22,-11.88,-9.5,-7.16,-6.0,-5.66,-5.53,-5.91,-7.31,-9.59,-11.62,-12.81,-13.97,-15.31,-16.41,-16.34,-16.69,-17.69,-18.94,-18.84,-18.47,-18.28,-18.44,-17.88,-17.03,-16.59,-17.22,-17.31,-16.19,-15.34,-14.81,-14.5,-13.12,-12.25,-12.66,-13.88,-14.38,-15.5,-17.47,-19.5,-20.94,-21.47,-21.59,-22.06,-22.09,-21.16,-20.09,-19.91,-19.69,-17.91,-16.53,-15.69,-15.31,-14.72,-14.34,-14.94,-15.78,-15.62,-14.59,-13.41,-12.84,-12.72,-11.72,-11.09,-11.44,-12.31,-12.69,-13.69,-15.69,-18.66,-20.94,-22.25,-23.62,-25.25,-25.62,-24.59,-23.22,-21.94,-20.09,-17.22,-14.53,-12.88,-11.34,-8.94,-6.62,-5.41,-5.31,-5.0,-4.94,-5.59,-7.38,-9.56,-11.75,-14.84,-19.0,-22.47,-23.94,-24.31,-24.06,-23.34,-21.41,-18.97,-17.38,-16.47,-15.09,-13.56,-12.22,-11.72,-11.16,-9.88,-9.44,-10.19,-11.16,-10.62,-10.09,-10.03,-10.28,-10.16,-10.44,-11.78,-13.88,-15.12,-15.53,-15.94,-16.84,-16.75,-15.88,-15.03,-14.97,-15.53,-15.34,-15.06,-15.28,-15.22,-13.97,-11.97,-10.06,-9.44,-8.78,-8.34,-8.72,-10.44,-12.41,-13.34,-13.97,-15.0,-16.03,-15.94,-15.88,-17.22,-19.16,-19.94,-20.22,-19.84,-19.44,-18.09,-16.66,-15.44,-14.97,-14.38,-12.69,-10.56,-9.22,-8.88,-8.41,-8.97,-10.62,-13.28,-15.22,-16.38,-17.16,-18.31,-18.62,-17.97,-17.28,-17.78,-18.75,-19.03,-19.25,-19.88,-20.31,-19.59,-17.62,-16.12,-15.25,-14.72,-14.25,-14.16,-15.12,-15.66,-15.19,-14.75,-15.78,-17.12,-17.81,-18.56,-19.47,-19.81,-19.25,-18.06,-18.03,-19.44,-21.19,-23.12,-25.09,-27.22,-27.56,-27.0,-25.44,-24.34,-23.59,-22.28,-20.97,-20.47,-20.91,-20.94,-20.59,-20.5,-20.84,-20.5,-19.56,-18.72,-18.88,-19.03,-18.84,-18.38,-19.12,-19.66,-19.88,-20.16,-20.88,-22.31,-22.84,-22.72,-23.0,-23.69,-24.25,-24.25,-24.41,-25.59,-26.25,-26.03,-24.69,-23.56,-22.19,-20.31,-17.91,-16.44,-15.94,-15.34,-14.72,-14.69,-16.09,-18.09,-19.56,-21.0,-23.38,-25.16,-26.16,-25.84,-25.91,-25.75,-24.59,-23.16,-22.03,-21.94,-22.0,-21.22,-21.09,-21.56,-21.97,-21.31,-20.34,-19.69,-19.53,-19.28,-19.0,-20.0,-21.91,-23.47,-23.91,-24.03,-24.31,-23.28,-21.31,-19.56,-19.0,-18.59,-18.53,-18.84,-19.75,-21.06,-21.72,-21.28,-21.25,-21.78,-21.91,-21.66,-21.88,-23.44,-24.84,-25.44,-26.19,-26.78,-27.22,-26.31,-24.81,-23.72,-22.47,-20.5,-18.41,-17.69,-18.19,-19.84,-21.53,-23.81,-26.22,-27.62,-27.38,-26.19,-25.0,-23.88,-22.66,-20.81,-19.81,-18.84,-17.69,-15.69,-14.88,-15.5,-16.53,-17.75,-19.25,-21.62,-23.56,-24.94,-25.47,-26.22,-27.03,-26.53,-25.38,-24.25,-23.06,-21.34,-18.47,-15.97,-14.53,-13.72,-12.5,-12.41,-14.19,-16.62,-18.72,-20.75,-23.0,-24.56,-24.5,-22.72,-20.59,-18.44,-16.34,-14.31,-13.91,-15.47,-18.16,-20.66,-22.84,-25.06,-26.0,-24.78,-22.09,-19.31,-17.25,-15.41,-14.72,-15.78,-17.97,-20.5,-21.56,-22.12,-22.44,-21.97,-20.22,-18.5,-17.19,-16.16,-15.0,-14.31,-15.0,-16.56,-17.75,-17.97,-17.41,-16.94,-16.22,-14.47,-13.62,-13.59,-13.75,-12.94,-12.19,-12.41,-13.06,-13.5,-13.72,-14.41,-15.75,-17.19,-18.12,-19.66,-22.03,-24.16,-25.09,-25.56,-26.06,-26.59,-25.25,-23.47,-21.41,-19.28,-16.03,-12.16,-9.0,-6.47,-4.78,-3.78,-4.28,-6.19,-9.12,-11.81,-14.44,-17.06,-19.78,-21.41,-22.38,-23.41,-24.84,-25.56,-25.5,-25.12,-24.81,-23.88,-21.5,-18.72,-16.97,-15.62,-14.03,-13.0,-13.22,-14.28,-14.69,-14.62,-15.0,-15.66,-16.03,-15.78,-16.16,-17.03,-18.19,-18.88,-19.69,-21.0,-22.06,-21.88,-21.12,-20.44,-20.59,-20.31,-19.75,-19.47,-19.75,-19.75,-19.22,-18.94,-19.12,-19.81,-19.75,-19.62,-20.62,-22.25,-22.91,-23.19,-23.53,-23.81,-23.06,-21.66,-20.19,-19.28,-18.22,-16.56,-15.25,-14.81,-15.19,-15.22,-15.56,-17.31,-19.28,-20.06,-20.22,-20.09,-19.94,-18.84,-17.38,-16.31,-16.28,-16.34,-16.22,-16.91,-18.19,-19.66,-19.88,-19.69,-19.81,-19.97,-19.28,-18.56,-18.25,-18.78,-18.97,-18.5,-18.06,-18.78,-19.12,-18.66,-18.38,-19.19,-20.22,-19.88,-19.03,-19.03,-19.69,-19.94,-20.25,-20.91,-22.47,-22.62,-21.28,-19.69,-19.06,-18.31,-17.5,-17.59,-18.44,-19.75,-20.09,-19.62,-19.38,-19.69,-19.47,-18.91,-18.47,-18.88,-18.88,-18.16,-17.44,-18.0,-19.25,-19.97,-20.72,-22.25,-23.81,-24.09,-23.75,-23.5,-23.5,-22.78,-21.16,-19.53,-19.12,-18.25,-17.09,-15.88,-16.0,-16.16,-15.28,-13.91,-13.31,-13.25,-12.06,-10.97,-10.56,-11.09,-11.12,-10.84,-10.38,-10.88,-11.31,-11.09,-10.88,-11.81,-12.97,-13.22,-12.78,-13.06,-13.84,-13.94,-13.72,-13.69,-14.28,-14.62,-14.47,-14.41,-15.34,-16.38,-16.5,-16.41,-17.38,-18.53,-18.88,-18.62,-18.66,-19.12,-18.66,-17.66,-16.94,-17.22,-17.44,-17.12,-16.41,-16.34,-15.56,-13.84,-11.72,-10.84,-10.78,-10.91,-10.72,-10.91,-11.72,-11.88,-11.94,-12.0,-13.19,-14.59,-14.84,-14.62,-15.12,-15.47,-14.81,-13.97,-13.66,-14.19,-13.88,-13.28,-13.28,-14.03,-14.03,-13.25,-12.72,-12.97,-13.66,-13.94,-14.22,-15.72,-17.22,-17.34,-16.53,-16.25,-15.88,-14.72,-13.0,-11.62,-11.97,-11.56,-10.78,-10.12,-10.81,-10.84,-10.06,-9.12,-9.31,-9.94,-10.44,-10.91,-12.5,-14.5,-15.41,-15.0,-14.31,-14.0,-12.75,-11.03,-9.09,-8.59,-7.94,-6.25,-4.22,-3.53,-3.09,-2.84,-2.56,-4.19,-6.66,-8.72,-9.66,-10.28,-11.03,-10.97,-10.0,-8.94,-9.09,-9.19,-8.94,-8.03,-8.25,-8.72,-8.38,-7.62,-7.38,-7.69,-7.06,-5.5,-3.69,-2.41,-0.84,0.72,2.03,1.31,0.06,-0.66,-0.78,-1.47,-2.44,-2.84,-2.59,-3.56,-5.28,-6.78,-7.34,-7.47,-7.94,-7.78,-6.34,-4.25,-3.56,-3.09,-2.28,-1.31,-1.72,-3.09,-4.06,-4.53,-5.34,-6.84,-8.5,-9.34,-5.38,-3.88,-1.66,0.75,3.69,6.59,8.47,10.03,11.0,11.81,11.62,11.12,11.06,11.53,11.72,11.56,11.16,10.22,8.66,6.34,4.16:-32.97,-32.97,-32.69,-32.56,-31.81,-29.94,-28.75,-29.09,-29.94,-30.47,-31.53,-32.78,-33.97,-33.12,-31.53,-29.78,-28.12,-25.22,-22.09,-19.88,-19.03,-18.56,-18.41,-19.16,-21.28,-23.81,-25.84,-27.81,-30.75,-32.81,-33.47,-33.12,-32.53,-32.12,-31.31,-30.19,-29.91,-31.38,-32.53,-33.06,-32.84,-33.12,-32.41,-31.44,-30.31,-30.34,-31.44,-31.88,-32.44,-33.19,-34.31,-34.81,-34.38,-34.03,-34.75,-35.62,-35.88,-36.19,-36.91,-36.97,-35.84,-33.84,-32.5,-31.34,-29.75,-28.34,-28.0,-29.25,-30.19,-31.22,-31.81,-32.94,-33.22,-31.97,-29.88,-28.19,-26.31,-23.94,-21.62,-21.28,-22.5,-23.53,-24.56,-25.81,-27.69,-28.09,-26.91,-25.41,-24.81,-23.97,-22.69,-21.97,-22.0,-22.34,-21.78,-20.25,-19.22,-18.94,-18.34,-17.31,-16.88,-16.94,-16.41,-15.34,-14.06,-14.12,-14.59,-14.75,-14.72,-15.88,-17.12,-17.16,-16.38,-15.72,-15.44,-14.34,-12.94,-11.78,-11.66,-11.12,-10.5,-9.91,-10.88,-12.47,-13.59,-14.78,-16.53,-18.22,-19.19,-19.0,-18.94,-19.75,-20.5,-20.88,-21.41,-22.97,-24.09,-23.91,-22.81,-22.69,-22.06,-20.66,-19.0,-18.81,-19.19,-19.75,-19.69,-20.25,-21.38,-21.72,-20.97,-20.22,-20.97,-21.81,-22.5,-22.97,-24.22,-25.09,-24.66,-23.66,-23.53,-23.97,-24.03,-23.72,-23.5,-23.38,-22.56,-20.38,-18.25,-16.75,-16.0,-15.0,-14.34,-15.19,-16.03,-16.81,-18.03,-19.88,-22.47,-24.53,-24.47,-23.81,-23.25,-21.66,-19.47,-17.56,-17.31,-17.22,-16.91,-16.47,-17.38,-18.72,-19.38,-19.53,-19.78,-20.38,-20.38,-19.09,-18.09,-17.81,-17.19,-15.84,-14.41,-13.88,-14.09,-13.88,-13.94,-14.78,-15.81,-16.31,-16.25,-16.62,-18.16,-20.25,-21.47,-23.22,-25.28,-26.94,-26.66,-25.28,-24.5,-23.38,-21.12,-18.59,-16.94,-15.88,-14.88,-13.81,-14.56,-16.38,-18.22,-19.88,-21.28,-23.72,-25.88,-26.31,-26.22,-26.34,-25.91,-24.59,-22.59,-21.53,-21.12,-20.47,-19.78,-19.72,-20.34,-20.78,-20.03,-19.28,-19.62,-20.22,-20.28,-20.34,-21.59,-22.75,-23.25,-22.25,-21.72,-21.84,-21.66,-20.84,-20.66,-21.91,-22.53,-22.47,-22.12,-23.16,-23.69,-23.66,-22.97,-23.12,-23.0,-22.16,-20.34,-19.66,-19.38,-19.84,-20.06,-21.06,-22.81,-24.62,-25.28,-25.34,-25.91,-27.0,-27.47,-27.62,-28.72,-29.94,-30.06,-28.78,-27.38,-26.19,-24.56,-21.66,-19.81,-19.44,-19.47,-19.56,-19.84,-21.16,-23.06,-23.69,-23.31,-23.72,-24.59,-24.81,-24.34,-24.25,-24.94,-24.53,-22.94,-21.06,-20.12,-20.03,-19.66,-20.12,-22.19,-24.75,-26.66,-27.66,-28.38,-29.16,-28.56,-26.81,-25.59,-25.25,-25.09,-24.12,-23.34,-22.62,-21.56,-19.09,-16.59,-15.22,-14.78,-14.69,-14.16,-14.88,-16.66,-18.47,-19.66,-21.59,-24.09,-25.53,-24.94,-23.97,-22.88,-21.31,-18.69,-16.5,-14.81,-14.12,-13.22,-12.06,-11.09,-10.38,-9.53,-8.06,-7.38,-8.25,-10.0,-10.81,-11.69,-12.88,-14.5,-14.88,-15.16,-15.66,-16.47,-16.5,-15.38,-15.09,-15.22,-15.28,-14.59,-13.81,-13.22,-11.88,-9.5,-7.16,-6.0,-5.66,-5.53,-5.91,-7.31,-9.59,-11.62,-12.81,-13.97,-15.31,-16.41,-16.34,-16.69,-17.69,-18.94,-18.84,-18.47,-18.28,-18.44,-17.88,-17.03,-16.59,-17.22,-17.31,-16.19,-15.34,-14.81,-14.5,-13.12,-12.25,-12.66,-13.88,-14.38,-15.5,-17.47,-19.5,-20.94,-21.47,-21.59,-22.06,-22.09,-21.16,-20.09,-19.91,-19.69,-17.91,-16.53,-15.69,-15.31,-14.72,-14.34,-14.94,-15.78,-15.62,-14.59,-13.41,-12.84,-12.72,-11.72,-11.09,-11.44,-12.31,-12.69,-13.69,-15.69,-18.66,-20.94,-22.25,-23.62,-25.25,-25.62,-24.59,-23.22,-21.94,-20.09,-17.22,-14.53,-12.88,-11.34,-8.94,-6.62,-5.41,-5.31,-5.0,-4.94,-5.59,-7.38,-9.56,-11.75,-14.84,-19.0,-22.47,-23.94,-24.31,-24.06,-23.34,-21.41,-18.97,-17.38,-16.47,-15.09,-13.56,-12.22,-11.72,-11.16,-9.88,-9.44,-10.19,-11.16,-10.62,-10.09,-10.03,-10.28,-10.16,-10.44,-11.78,-13.88,-15.12,-15.53,-15.94,-16.84,-16.75,-15.88,-15.03,-14.97,-15.53,-15.34,-15.06,-15.28,-15.22,-13.97,-11.97,-10.06,-9.44,-8.78,-8.34,-8.72,-10.44,-12.41,-13.34,-13.97,-15.0,-16.03,-15.94,-15.88,-17.22,-19.16,-19.94,-20.22,-19.84,-19.44,-18.09,-16.66,-15.44,-14.97,-14.38,-12.69,-10.56,-9.22,-8.88,-8.41,-8.97,-10.62,-13.28,-15.22,-16.38,-17.16,-18.31,-18.62,-17.97,-17.28,-17.78,-18.75,-19.03,-19.25,-19.88,-20.31,-19.59,-17.62,-16.12,-15.25,-14.72,-14.25,-14.16,-15.12,-15.66,-15.19,-14.75,-15.78,-17.12,-17.81,-18.56,-19.47,-19.81,-19.25,-18.06,-18.03,-19.44,-21.19,-23.12,-25.09,-27.22,-27.56,-27.0,-25.44,-24.34,-23.59,-22.28,-20.97,-20.47,-20.91,-20.94,-20.59,-20.5,-20.84,-20.5,-19.56,-18.72,-18.88,-19.03,-18.84,-18.38,-19.12,-19.66,-19.88,-20.16,-20.88,-22.31,-22.84,-22.72,-23.0,-23.69,-24.25,-24.25,-24.41,-25.59,-26.25,-26.03,-24.69,-23.56,-22.19,-20.31,-17.91,-16.44,-15.94,-15.34,-14.72,-14.69,-16.09,-18.09,-19.56,-21.0,-23.38,-25.16,-26.16,-25.84,-25.91,-25.75,-24.59,-23.16,-22.03,-21.94,-22.0,-21.22,-21.09,-21.56,-21.97,-21.31,-20.34,-19.69,-19.53,-19.28,-19.0,-20.0,-21.91,-23.47,-23.91,-24.03,-24.31,-23.28,-21.31,-19.56,-19.0,-18.59,-18.53,-18.84,-19.75,-21.06,-21.72,-21.28,-21.25,-21.78,-21.91,-21.66,-21.88,-23.44,-24.84,-25.44,-26.19,-26.78,-27.22,-26.31,-24.81,-23.72,-22.47,-20.5,-18.41,-17.69,-18.19,-19.84,-21.53,-23.81,-26.22,-27.62,-27.38,-26.19,-25.0,-23.88,-22.66,-20.81,-19.81,-18.84,-17.69,-15.69,-14.88,-15.5,-16.53,-17.75,-19.25,-21.62,-23.56,-24.94,-25.47,-26.22,-27.03,-26.53,-25.38,-24.25,-23.06,-21.34,-18.47,-15.97,-14.53,-13.72,-12.5,-12.41,-14.19,-16.62,-18.72,-20.75,-23.0,-24.56,-24.5,-22.72,-20.59,-18.44,-16.34,-14.31,-13.91,-15.47,-18.16,-20.66,-22.84,-25.06,-26.0,-24.78,-22.09,-19.31,-17.25,-15.41,-14.72,-15.78,-17.97,-20.5,-21.56,-22.12,-22.44,-21.97,-20.22,-18.5,-17.19,-16.16,-15.0,-14.31,-15.0,-16.56,-17.75,-17.97,-17.41,-16.94,-16.22,-14.47,-13.62,-13.59,-13.75,-12.94,-12.19,-12.41,-13.06,-13.5,-13.72,-14.41,-15.75,-17.19,-18.12,-19.66,-22.03,-24.16,-25.09,-25.56,-26.06,-26.59,-25.25,-23.47,-21.41,-19.28,-16.03,-12.16,-9.0,-6.47,-4.78,-3.78,-4.28,-6.19,-9.12,-11.81,-14.44,-17.06,-19.78,-21.41,-22.38,-23.41,-24.84,-25.56,-25.5,-25.12,-24.81,-23.88,-21.5,-18.72,-16.97,-15.62,-14.03,-13.0,-13.22,-14.28,-14.69,-14.62,-15.0,-15.66,-16.03,-15.78,-16.16,-17.03,-18.19,-18.88,-19.69,-21.0,-22.06,-21.88,-21.12,-20.44,-20.59,-20.31,-19.75,-19.47,-19.75,-19.75,-19.22,-18.94,-19.12,-19.81,-19.75,-19.62,-20.62,-22.25,-22.91,-23.19,-23.53,-23.81,-23.06,-21.66,-20.19,-19.28,-18.22,-16.56,-15.25,-14.81,-15.19,-15.22,-15.56,-17.31,-19.28,-20.06,-20.22,-20.09,-19.94,-18.84,-17.38,-16.31,-16.28,-16.34,-16.22,-16.91,-18.19,-19.66,-19.88,-19.69,-19.81,-19.97,-19.28,-18.56,-18.25,-18.78,-18.97,-18.5,-18.06,-18.78,-19.12,-18.66,-18.38,-19.19,-20.22,-19.88,-19.03,-19.03,-19.69,-19.94,-20.25,-20.91,-22.47,-22.62,-21.28,-19.69,-19.06,-18.31,-17.5,-17.59,-18.44,-19.75,-20.09,-19.62,-19.38,-19.69,-19.47,-18.91,-18.47,-18.88,-18.88,-18.16,-17.44,-18.0,-19.25,-19.97,-20.72,-22.25,-23.81,-24.09,-23.75,-23.5,-23.5,-22.78,-21.16,-19.53,-19.12,-18.25,-17.09,-15.88,-16.0,-16.16,-15.28,-13.91,-13.31,-13.25,-12.06,-10.97,-10.56,-11.09,-11.12,-10.84,-10.38,-10.88,-11.31,-11.09,-10.88,-11.81,-12.97,-13.22,-12.78,-13.06,-13.84,-13.94,-13.72,-13.69,-14.28,-14.62,-14.47,-14.41,-15.34,-16.38,-16.5,-16.41,-17.38,-18.53,-18.88,-18.62,-18.66,-19.12,-18.66,-17.66,-16.94,-17.22,-17.44,-17.12,-16.41,-16.34,-15.56,-13.84,-11.72,-10.84,-10.78,-10.91,-10.72,-10.91,-11.72,-11.88,-11.94,-12.0,-13.19,-14.59,-14.84,-14.62,-15.12,-15.47,-14.81,-13.97,-13.66,-14.19,-13.88,-13.28,-13.28,-14.03,-14.03,-13.25,-12.72,-12.97,-13.66,-13.94,-14.22,-15.72,-17.22,-17.34,-16.53,-16.25,-15.88,-14.72,-13.0,-11.62,-11.97,-11.56,-10.78,-10.12,-10.81,-10.84,-10.06,-9.12,-9.31,-9.94,-10.44,-10.91,-12.5,-14.5,-15.41,-15.0,-14.31,-14.0,-12.75,-11.03,-9.09,-8.59,-7.94,-6.25,-4.22,-3.53,-3.09,-2.84,-2.56,-4.19,-6.66,-8.72,-9.66,-10.28,-11.03,-10.97,-10.0,-8.94,-9.09,-9.19,-8.94,-8.03,-8.25,-8.72,-8.38,-7.62,-7.38,-7.69,-7.06,-5.5,-3.69,-2.41,-0.84,0.72,2.03,1.31,0.06,-0.66,-0.78,-1.47,-2.44,-2.84,-2.59,-3.56,-5.28,-6.78,-7.34,-7.47,-7.94,-7.78,-6.34,-4.25,-3.56,-3.09,-2.28,-1.31,-1.72,-3.09,-4.06,-4.53,-5.34,-6.84,-8.5,-9.34,-5.38,-3.88,-1.66,0.75,3.69,6.59,8.47,10.03,11.0,11.81,11.62,11.12,11.06,11.53,11.72,11.56,11.16,10.22,8.66,6.34,4.16,2.44,0.81,-0.53,-2.19,-3.28,-4.19,-5.44:-29.09,-29.94,-30.47,-31.53,-32.78,-33.97,-33.12,-31.53,-29.78,-28.12,-25.22,-22.09,-19.88,-19.03,-18.56,-18.41,-19.16,-21.28,-23.81,-25.84,-27.81,-30.75,-32.81,-33.47,-33.12,-32.53,-32.12,-31.31,-30.19,-29.91,-31.38,-32.53,-33.06,-32.84,-33.12,-32.41,-31.44,-30.31,-30.34,-31.44,-31.88,-32.44,-33.19,-34.31,-34.81,-34.38,-34.03,-34.75,-35.62,-35.88,-36.19,-36.91,-36.97,-35.84,-33.84,-32.5,-31.34,-29.75,-28.34,-28.0,-29.25,-30.19,-31.22,-31.81,-32.94,-33.22,-31.97,-29.88,-28.19,-26.31,-23.94,-21.62,-21.28,-22.5,-23.53,-24.56,-25.81,-27.69,-28.09,-26.91,-25.41,-24.81,-23.97,-22.69,-21.97,-22.0,-22.34,-21.78,-20.25,-19.22,-18.94,-18.34,-17.31,-16.88,-16.94,-16.41,-15.34,-14.06,-14.12,-14.59,-14.75,-14.72,-15.88,-17.12,-17.16,-16.38,-15.72,-15.44,-14.34,-12.94,-11.78,-11.66,-11.12,-10.5,-9.91,-10.88,-12.47,-13.59,-14.78,-16.53,-18.22,-19.19,-19.0,-18.94,-19.75,-20.5,-20.88,-21.41,-22.97,-24.09,-23.91,-22.81,-22.69,-22.06,-20.66,-19.0,-18.81,-19.19,-19.75,-19.69,-20.25,-21.38,-21.72,-20.97,-20.22,-20.97,-21.81,-22.5,-22.97,-24.22,-25.09,-24.66,-23.66,-23.53,-23.97,-24.03,-23.72,-23.5,-23.38,-22.56,-20.38,-18.25,-16.75,-16.0,-15.0,-14.34,-15.19,-16.03,-16.81,-18.03,-19.88,-22.47,-24.53,-24.47,-23.81,-23.25,-21.66,-19.47,-17.56,-17.31,-17.22,-16.91,-16.47,-17.38,-18.72,-19.38,-19.53,-19.78,-20.38,-20.38,-19.09,-18.09,-17.81,-17.19,-15.84,-14.41,-13.88,-14.09,-13.88,-13.94,-14.78,-15.81,-16.31,-16.25,-16.62,-18.16,-20.25,-21.47,-23.22,-25.28,-26.94,-26.66,-25.28,-24.5,-23.38,-21.12,-18.59,-16.94,-15.88,-14.88,-13.81,-14.56,-16.38,-18.22,-19.88,-21.28,-23.72,-25.88,-26.31,-26.22,-26.34,-25.91,-24.59,-22.59,-21.53,-21.12,-20.47,-19.78,-19.72,-20.34,-20.78,-20.03,-19.28,-19.62,-20.22,-20.28,-20.34,-21.59,-22.75,-23.25,-22.25,-21.72,-21.84,-21.66,-20.84,-20.66,-21.91,-22.53,-22.47,-22.12,-23.16,-23.69,-23.66,-22.97,-23.12,-23.0,-22.16,-20.34,-19.66,-19.38,-19.84,-20.06,-21.06,-22.81,-24.62,-25.28,-25.34,-25.91,-27.0,-27.47,-27.62,-28.72,-29.94,-30.06,-28.78,-27.38,-26.19,-24.56,-21.66,-19.81,-19.44,-19.47,-19.56,-19.84,-21.16,-23.06,-23.69,-23.31,-23.72,-24.59,-24.81,-24.34,-24.25,-24.94,-24.53,-22.94,-21.06,-20.12,-20.03,-19.66,-20.12,-22.19,-24.75,-26.66,-27.66,-28.38,-29.16,-28.56,-26.81,-25.59,-25.25,-25.09,-24.12,-23.34,-22.62,-21.56,-19.09,-16.59,-15.22,-14.78,-14.69,-14.16,-14.88,-16.66,-18.47,-19.66,-21.59,-24.09,-25.53,-24.94,-23.97,-22.88,-21.31,-18.69,-16.5,-14.81,-14.12,-13.22,-12.06,-11.09,-10.38,-9.53,-8.06,-7.38,-8.25,-10.0,-10.81,-11.69,-12.88,-14.5,-14.88,-15.16,-15.66,-16.47,-16.5,-15.38,-15.09,-15.22,-15.28,-14.59,-13.81,-13.22,-11.88,-9.5,-7.16,-6.0,-5.66,-5.53,-5.91,-7.31,-9.59,-11.62,-12.81,-13.97,-15.31,-16.41,-16.34,-16.69,-17.69,-18.94,-18.84,-18.47,-18.28,-18.44,-17.88,-17.03,-16.59,-17.22,-17.31,-16.19,-15.34,-14.81,-14.5,-13.12,-12.25,-12.66,-13.88,-14.38,-15.5,-17.47,-19.5,-20.94,-21.47,-21.59,-22.06,-22.09,-21.16,-20.09,-19.91,-19.69,-17.91,-16.53,-15.69,-15.31,-14.72,-14.34,-14.94,-15.78,-15.62,-14.59,-13.41,-12.84,-12.72,-11.72,-11.09,-11.44,-12.31,-12.69,-13.69,-15.69,-18.66,-20.94,-22.25,-23.62,-25.25,-25.62,-24.59,-23.22,-21.94,-20.09,-17.22,-14.53,-12.88,-11.34,-8.94,-6.62,-5.41,-5.31,-5.0,-4.94,-5.59,-7.38,-9.56,-11.75,-14.84,-19.0,-22.47,-23.94,-24.31,-24.06,-23.34,-21.41,-18.97,-17.38,-16.47,-15.09,-13.56,-12.22,-11.72,-11.16,-9.88,-9.44,-10.19,-11.16,-10.62,-10.09,-10.03,-10.28,-10.16,-10.44,-11.78,-13.88,-15.12,-15.53,-15.94,-16.84,-16.75,-15.88,-15.03,-14.97,-15.53,-15.34,-15.06,-15.28,-15.22,-13.97,-11.97,-10.06,-9.44,-8.78,-8.34,-8.72,-10.44,-12.41,-13.34,-13.97,-15.0,-16.03,-15.94,-15.88,-17.22,-19.16,-19.94,-20.22,-19.84,-19.44,-18.09,-16.66,-15.44,-14.97,-14.38,-12.69,-10.56,-9.22,-8.88,-8.41,-8.97,-10.62,-13.28,-15.22,-16.38,-17.16,-18.31,-18.62,-17.97,-17.28,-17.78,-18.75,-19.03,-19.25,-19.88,-20.31,-19.59,-17.62,-16.12,-15.25,-14.72,-14.25,-14.16,-15.12,-15.66,-15.19,-14.75,-15.78,-17.12,-17.81,-18.56,-19.47,-19.81,-19.25,-18.06,-18.03,-19.44,-21.19,-23.12,-25.09,-27.22,-27.56,-27.0,-25.44,-24.34,-23.59,-22.28,-20.97,-20.47,-20.91,-20.94,-20.59,-20.5,-20.84,-20.5,-19.56,-18.72,-18.88,-19.03,-18.84,-18.38,-19.12,-19.66,-19.88,-20.16,-20.88,-22.31,-22.84,-22.72,-23.0,-23.69,-24.25,-24.25,-24.41,-25.59,-26.25,-26.03,-24.69,-23.56,-22.19,-20.31,-17.91,-16.44,-15.94,-15.34,-14.72,-14.69,-16.09,-18.09,-19.56,-21.0,-23.38,-25.16,-26.16,-25.84,-25.91,-25.75,-24.59,-23.16,-22.03,-21.94,-22.0,-21.22,-21.09,-21.56,-21.97,-21.31,-20.34,-19.69,-19.53,-19.28,-19.0,-20.0,-21.91,-23.47,-23.91,-24.03,-24.31,-23.28,-21.31,-19.56,-19.0,-18.59,-18.53,-18.84,-19.75,-21.06,-21.72,-21.28,-21.25,-21.78,-21.91,-21.66,-21.88,-23.44,-24.84,-25.44,-26.19,-26.78,-27.22,-26.31,-24.81,-23.72,-22.47,-20.5,-18.41,-17.69,-18.19,-19.84,-21.53,-23.81,-26.22,-27.62,-27.38,-26.19,-25.0,-23.88,-22.66,-20.81,-19.81,-18.84,-17.69,-15.69,-14.88,-15.5,-16.53,-17.75,-19.25,-21.62,-23.56,-24.94,-25.47,-26.22,-27.03,-26.53,-25.38,-24.25,-23.06,-21.34,-18.47,-15.97,-14.53,-13.72,-12.5,-12.41,-14.19,-16.62,-18.72,-20.75,-23.0,-24.56,-24.5,-22.72,-20.59,-18.44,-16.34,-14.31,-13.91,-15.47,-18.16,-20.66,-22.84,-25.06,-26.0,-24.78,-22.09,-19.31,-17.25,-15.41,-14.72,-15.78,-17.97,-20.5,-21.56,-22.12,-22.44,-21.97,-20.22,-18.5,-17.19,-16.16,-15.0,-14.31,-15.0,-16.56,-17.75,-17.97,-17.41,-16.94,-16.22,-14.47,-13.62,-13.59,-13.75,-12.94,-12.19,-12.41,-13.06,-13.5,-13.72,-14.41,-15.75,-17.19,-18.12,-19.66,-22.03,-24.16,-25.09,-25.56,-26.06,-26.59,-25.25,-23.47,-21.41,-19.28,-16.03,-12.16,-9.0,-6.47,-4.78,-3.78,-4.28,-6.19,-9.12,-11.81,-14.44,-17.06,-19.78,-21.41,-22.38,-23.41,-24.84,-25.56,-25.5,-25.12,-24.81,-23.88,-21.5,-18.72,-16.97,-15.62,-14.03,-13.0,-13.22,-14.28,-14.69,-14.62,-15.0,-15.66,-16.03,-15.78,-16.16,-17.03,-18.19,-18.88,-19.69,-21.0,-22.06,-21.88,-21.12,-20.44,-20.59,-20.31,-19.75,-19.47,-19.75,-19.75,-19.22,-18.94,-19.12,-19.81,-19.75,-19.62,-20.62,-22.25,-22.91,-23.19,-23.53,-23.81,-23.06,-21.66,-20.19,-19.28,-18.22,-16.56,-15.25,-14.81,-15.19,-15.22,-15.56,-17.31,-19.28,-20.06,-20.22,-20.09,-19.94,-18.84,-17.38,-16.31,-16.28,-16.34,-16.22,-16.91,-18.19,-19.66,-19.88,-19.69,-19.81,-19.97,-19.28,-18.56,-18.25,-18.78,-18.97,-18.5,-18.06,-18.78,-19.12,-18.66,-18.38,-19.19,-20.22,-19.88,-19.03,-19.03,-19.69,-19.94,-20.25,-20.91,-22.47,-22.62,-21.28,-19.69,-19.06,-18.31,-17.5,-17.59,-18.44,-19.75,-20.09,-19.62,-19.38,-19.69,-19.47,-18.91,-18.47,-18.88,-18.88,-18.16,-17.44,-18.0,-19.25,-19.97,-20.72,-22.25,-23.81,-24.09,-23.75,-23.5,-23.5,-22.78,-21.16,-19.53,-19.12,-18.25,-17.09,-15.88,-16.0,-16.16,-15.28,-13.91,-13.31,-13.25,-12.06,-10.97,-10.56,-11.09,-11.12,-10.84,-10.38,-10.88,-11.31,-11.09,-10.88,-11.81,-12.97,-13.22,-12.78,-13.06,-13.84,-13.94,-13.72,-13.69,-14.28,-14.62,-14.47,-14.41,-15.34,-16.38,-16.5,-16.41,-17.38,-18.53,-18.88,-18.62,-18.66,-19.12,-18.66,-17.66,-16.94,-17.22,-17.44,-17.12,-16.41,-16.34,-15.56,-13.84,-11.72,-10.84,-10.78,-10.91,-10.72,-10.91,-11.72,-11.88,-11.94,-12.0,-13.19,-14.59,-14.84,-14.62,-15.12,-15.47,-14.81,-13.97,-13.66,-14.19,-13.88,-13.28,-13.28,-14.03,-14.03,-13.25,-12.72,-12.97,-13.66,-13.94,-14.22,-15.72,-17.22,-17.34,-16.53,-16.25,-15.88,-14.72,-13.0,-11.62,-11.97,-11.56,-10.78,-10.12,-10.81,-10.84,-10.06,-9.12,-9.31,-9.94,-10.44,-10.91,-12.5,-14.5,-15.41,-15.0,-14.31,-14.0,-12.75,-11.03,-9.09,-8.59,-7.94,-6.25,-4.22,-3.53,-3.09,-2.84,-2.56,-4.19,-6.66,-8.72,-9.66,-10.28,-11.03,-10.97,-10.0,-8.94,-9.09,-9.19,-8.94,-8.03,-8.25,-8.72,-8.38,-7.62,-7.38,-7.69,-7.06,-5.5,-3.69,-2.41,-0.84,0.72,2.03,1.31,0.06,-0.66,-0.78,-1.47,-2.44,-2.84,-2.59,-3.56,-5.28,-6.78,-7.34,-7.47,-7.94,-7.78,-6.34,-4.25,-3.56,-3.09,-2.28,-1.31,-1.72,-3.09,-4.06,-4.53,-5.34,-6.84,-8.5,-9.34,-5.38,-3.88,-1.66,0.75,3.69,6.59,8.47,10.03,11.0,11.81,11.62,11.12,11.06,11.53,11.72,11.56,11.16,10.22,8.66,6.34,4.16,2.44,0.81,-0.53,-2.19,-3.28,-4.19,-5.44,-6.69,-7.47,-7.62,-7.75,-7.66,-7.31,-6.81:-31.53,-29.78,-28.12,-25.22,-22.09,-19.88,-19.03,-18.56,-18.41,-19.16,-21.28,-23.81,-25.84,-27.81,-30.75,-32.81,-33.47,-33.12,-32.53,-32.12,-31.31,-30.19,-29.91,-31.38,-32.53,-33.06,-32.84,-33.12,-32.41,-31.44,-30.31,-30.34,-31.44,-31.88,-32.44,-33.19,-34.31,-34.81,-34.38,-34.03,-34.75,-35.62,-35.88,-36.19,-36.91,-36.97,-35.84,-33.84,-32.5,-31.34,-29.75,-28.34,-28.0,-29.25,-30.19,-31.22,-31.81,-32.94,-33.22,-31.97,-29.88,-28.19,-26.31,-23.94,-21.62,-21.28,-22.5,-23.53,-24.56,-25.81,-27.69,-28.09,-26.91,-25.41,-24.81,-23.97,-22.69,-21.97,-22.0,-22.34,-21.78,-20.25,-19.22,-18.94,-18.34,-17.31,-16.88,-16.94,-16.41,-15.34,-14.06,-14.12,-14.59,-14.75,-14.72,-15.88,-17.12,-17.16,-16.38,-15.72,-15.44,-14.34,-12.94,-11.78,-11.66,-11.12,-10.5,-9.91,-10.88,-12.47,-13.59,-14.78,-16.53,-18.22,-19.19,-19.0,-18.94,-19.75,-20.5,-20.88,-21.41,-22.97,-24.09,-23.91,-22.81,-22.69,-22.06,-20.66,-19.0,-18.81,-19.19,-19.75,-19.69,-20.25,-21.38,-21.72,-20.97,-20.22,-20.97,-21.81,-22.5,-22.97,-24.22,-25.09,-24.66,-23.66,-23.53,-23.97,-24.03,-23.72,-23.5,-23.38,-22.56,-20.38,-18.25,-16.75,-16.0,-15.0,-14.34,-15.19,-16.03,-16.81,-18.03,-19.88,-22.47,-24.53,-24.47,-23.81,-23.25,-21.66,-19.47,-17.56,-17.31,-17.22,-16.91,-16.47,-17.38,-18.72,-19.38,-19.53,-19.78,-20.38,-20.38,-19.09,-18.09,-17.81,-17.19,-15.84,-14.41,-13.88,-14.09,-13.88,-13.94,-14.78,-15.81,-16.31,-16.25,-16.62,-18.16,-20.25,-21.47,-23.22,-25.28,-26.94,-26.66,-25.28,-24.5,-23.38,-21.12,-18.59,-16.94,-15.88,-14.88,-13.81,-14.56,-16.38,-18.22,-19.88,-21.28,-23.72,-25.88,-26.31,-26.22,-26.34,-25.91,-24.59,-22.59,-21.53,-21.12,-20.47,-19.78,-19.72,-20.34,-20.78,-20.03,-19.28,-19.62,-20.22,-20.28,-20.34,-21.59,-22.75,-23.25,-22.25,-21.72,-21.84,-21.66,-20.84,-20.66,-21.91,-22.53,-22.47,-22.12,-23.16,-23.69,-23.66,-22.97,-23.12,-23.0,-22.16,-20.34,-19.66,-19.38,-19.84,-20.06,-21.06,-22.81,-24.62,-25.28,-25.34,-25.91,-27.0,-27.47,-27.62,-28.72,-29.94,-30.06,-28.78,-27.38,-26.19,-24.56,-21.66,-19.81,-19.44,-19.47,-19.56,-19.84,-21.16,-23.06,-23.69,-23.31,-23.72,-24.59,-24.81,-24.34,-24.25,-24.94,-24.53,-22.94,-21.06,-20.12,-20.03,-19.66,-20.12,-22.19,-24.75,-26.66,-27.66,-28.38,-29.16,-28.56,-26.81,-25.59,-25.25,-25.09,-24.12,-23.34,-22.62,-21.56,-19.09,-16.59,-15.22,-14.78,-14.69,-14.16,-14.88,-16.66,-18.47,-19.66,-21.59,-24.09,-25.53,-24.94,-23.97,-22.88,-21.31,-18.69,-16.5,-14.81,-14.12,-13.22,-12.06,-11.09,-10.38,-9.53,-8.06,-7.38,-8.25,-10.0,-10.81,-11.69,-12.88,-14.5,-14.88,-15.16,-15.66,-16.47,-16.5,-15.38,-15.09,-15.22,-15.28,-14.59,-13.81,-13.22,-11.88,-9.5,-7.16,-6.0,-5.66,-5.53,-5.91,-7.31,-9.59,-11.62,-12.81,-13.97,-15.31,-16.41,-16.34,-16.69,-17.69,-18.94,-18.84,-18.47,-18.28,-18.44,-17.88,-17.03,-16.59,-17.22,-17.31,-16.19,-15.34,-14.81,-14.5,-13.12,-12.25,-12.66,-13.88,-14.38,-15.5,-17.47,-19.5,-20.94,-21.47,-21.59,-22.06,-22.09,-21.16,-20.09,-19.91,-19.69,-17.91,-16.53,-15.69,-15.31,-14.72,-14.34,-14.94,-15.78,-15.62,-14.59,-13.41,-12.84,-12.72,-11.72,-11.09,-11.44,-12.31,-12.69,-13.69,-15.69,-18.66,-20.94,-22.25,-23.62,-25.25,-25.62,-24.59,-23.22,-21.94,-20.09,-17.22,-14.53,-12.88,-11.34,-8.94,-6.62,-5.41,-5.31,-5.0,-4.94,-5.59,-7.38,-9.56,-11.75,-14.84,-19.0,-22.47,-23.94,-24.31,-24.06,-23.34,-21.41,-18.97,-17.38,-16.47,-15.09,-13.56,-12.22,-11.72,-11.16,-9.88,-9.44,-10.19,-11.16,-10.62,-10.09,-10.03,-10.28,-10.16,-10.44,-11.78,-13.88,-15.12,-15.53,-15.94,-16.84,-16.75,-15.88,-15.03,-14.97,-15.53,-15.34,-15.06,-15.28,-15.22,-13.97,-11.97,-10.06,-9.44,-8.78,-8.34,-8.72,-10.44,-12.41,-13.34,-13.97,-15.0,-16.03,-15.94,-15.88,-17.22,-19.16,-19.94,-20.22,-19.84,-19.44,-18.09,-16.66,-15.44,-14.97,-14.38,-12.69,-10.56,-9.22,-8.88,-8.41,-8.97,-10.62,-13.28,-15.22,-16.38,-17.16,-18.31,-18.62,-17.97,-17.28,-17.78,-18.75,-19.03,-19.25,-19.88,-20.31,-19.59,-17.62,-16.12,-15.25,-14.72,-14.25,-14.16,-15.12,-15.66,-15.19,-14.75,-15.78,-17.12,-17.81,-18.56,-19.47,-19.81,-19.25,-18.06,-18.03,-19.44,-21.19,-23.12,-25.09,-27.22,-27.56,-27.0,-25.44,-24.34,-23.59,-22.28,-20.97,-20.47,-20.91,-20.94,-20.59,-20.5,-20.84,-20.5,-19.56,-18.72,-18.88,-19.03,-18.84,-18.38,-19.12,-19.66,-19.88,-20.16,-20.88,-22.31,-22.84,-22.72,-23.0,-23.69,-24.25,-24.25,-24.41,-25.59,-26.25,-26.03,-24.69,-23.56,-22.19,-20.31,-17.91,-16.44,-15.94,-15.34,-14.72,-14.69,-16.09,-18.09,-19.56,-21.0,-23.38,-25.16,-26.16,-25.84,-25.91,-25.75,-24.59,-23.16,-22.03,-21.94,-22.0,-21.22,-21.09,-21.56,-21.97,-21.31,-20.34,-19.69,-19.53,-19.28,-19.0,-20.0,-21.91,-23.47,-23.91,-24.03,-24.31,-23.28,-21.31,-19.56,-19.0,-18.59,-18.53,-18.84,-19.75,-21.06,-21.72,-21.28,-21.25,-21.78,-21.91,-21.66,-21.88,-23.44,-24.84,-25.44,-26.19,-26.78,-27.22,-26.31,-24.81,-23.72,-22.47,-20.5,-18.41,-17.69,-18.19,-19.84,-21.53,-23.81,-26.22,-27.62,-27.38,-26.19,-25.0,-23.88,-22.66,-20.81,-19.81,-18.84,-17.69,-15.69,-14.88,-15.5,-16.53,-17.75,-19.25,-21.62,-23.56,-24.94,-25.47,-26.22,-27.03,-26.53,-25.38,-24.25,-23.06,-21.34,-18.47,-15.97,-14.53,-13.72,-12.5,-12.41,-14.19,-16.62,-18.72,-20.75,-23.0,-24.56,-24.5,-22.72,-20.59,-18.44,-16.34,-14.31,-13.91,-15.47,-18.16,-20.66,-22.84,-25.06,-26.0,-24.78,-22.09,-19.31,-17.25,-15.41,-14.72,-15.78,-17.97,-20.5,-21.56,-22.12,-22.44,-21.97,-20.22,-18.5,-17.19,-16.16,-15.0,-14.31,-15.0,-16.56,-17.75,-17.97,-17.41,-16.94,-16.22,-14.47,-13.62,-13.59,-13.75,-12.94,-12.19,-12.41,-13.06,-13.5,-13.72,-14.41,-15.75,-17.19,-18.12,-19.66,-22.03,-24.16,-25.09,-25.56,-26.06,-26.59,-25.25,-23.47,-21.41,-19.28,-16.03,-12.16,-9.0,-6.47,-4.78,-3.78,-4.28,-6.19,-9.12,-11.81,-14.44,-17.06,-19.78,-21.41,-22.38,-23.41,-24.84,-25.56,-25.5,-25.12,-24.81,-23.88,-21.5,-18.72,-16.97,-15.62,-14.03,-13.0,-13.22,-14.28,-14.69,-14.62,-15.0,-15.66,-16.03,-15.78,-16.16,-17.03,-18.19,-18.88,-19.69,-21.0,-22.06,-21.88,-21.12,-20.44,-20.59,-20.31,-19.75,-19.47,-19.75,-19.75,-19.22,-18.94,-19.12,-19.81,-19.75,-19.62,-20.62,-22.25,-22.91,-23.19,-23.53,-23.81,-23.06,-21.66,-20.19,-19.28,-18.22,-16.56,-15.25,-14.81,-15.19,-15.22,-15.56,-17.31,-19.28,-20.06,-20.22,-20.09,-19.94,-18.84,-17.38,-16.31,-16.28,-16.34,-16.22,-16.91,-18.19,-19.66,-19.88,-19.69,-19.81,-19.97,-19.28,-18.56,-18.25,-18.78,-18.97,-18.5,-18.06,-18.78,-19.12,-18.66,-18.38,-19.19,-20.22,-19.88,-19.03,-19.03,-19.69,-19.94,-20.25,-20.91,-22.47,-22.62,-21.28,-19.69,-19.06,-18.31,-17.5,-17.59,-18.44,-19.75,-20.09,-19.62,-19.38,-19.69,-19.47,-18.91,-18.47,-18.88,-18.88,-18.16,-17.44,-18.0,-19.25,-19.97,-20.72,-22.25,-23.81,-24.09,-23.75,-23.5,-23.5,-22.78,-21.16,-19.53,-19.12,-18.25,-17.09,-15.88,-16.0,-16.16,-15.28,-13.91,-13.31,-13.25,-12.06,-10.97,-10.56,-11.09,-11.12,-10.84,-10.38,-10.88,-11.31,-11.09,-10.88,-11.81,-12.97,-13.22,-12.78,-13.06,-13.84,-13.94,-13.72,-13.69,-14.28,-14.62,-14.47,-14.41,-15.34,-16.38,-16.5,-16.41,-17.38,-18.53,-18.88,-18.62,-18.66,-19.12,-18.66,-17.66,-16.94,-17.22,-17.44,-17.12,-16.41,-16.34,-15.56,-13.84,-11.72,-10.84,-10.78,-10.91,-10.72,-10.91,-11.72,-11.88,-11.94,-12.0,-13.19,-14.59,-14.84,-14.62,-15.12,-15.47,-14.81,-13.97,-13.66,-14.19,-13.88,-13.28,-13.28,-14.03,-14.03,-13.25,-12.72,-12.97,-13.66,-13.94,-14.22,-15.72,-17.22,-17.34,-16.53,-16.25,-15.88,-14.72,-13.0,-11.62,-11.97,-11.56,-10.78,-10.12,-10.81,-10.84,-10.06,-9.12,-9.31,-9.94,-10.44,-10.91,-12.5,-14.5,-15.41,-15.0,-14.31,-14.0,-12.75,-11.03,-9.09,-8.59,-7.94,-6.25,-4.22,-3.53,-3.09,-2.84,-2.56,-4.19,-6.66,-8.72,-9.66,-10.28,-11.03,-10.97,-10.0,-8.94,-9.09,-9.19,-8.94,-8.03,-8.25,-8.72,-8.38,-7.62,-7.38,-7.69,-7.06,-5.5,-3.69,-2.41,-0.84,0.72,2.03,1.31,0.06,-0.66,-0.78,-1.47,-2.44,-2.84,-2.59,-3.56,-5.28,-6.78,-7.34,-7.47,-7.94,-7.78,-6.34,-4.25,-3.56,-3.09,-2.28,-1.31,-1.72,-3.09,-4.06,-4.53,-5.34,-6.84,-8.5,-9.34,-5.38,-3.88,-1.66,0.75,3.69,6.59,8.47,10.03,11.0,11.81,11.62,11.12,11.06,11.53,11.72,11.56,11.16,10.22,8.66,6.34,4.16,2.44,0.81,-0.53,-2.19,-3.28,-4.19,-5.44,-6.69,-7.47,-7.62,-7.75,-7.66,-7.31,-6.81,-6.72,-7.09,-7.59,-7.62,-7.38,-6.91,-5.53:positivity
-5.16,-4.03,-3.38,-2.47,-1.41,-1.81,-2.84,-3.41,-3.56,-4.38,-5.91,-7.38,-7.81,-8.69,-10.34,-12.22,-13.22,-13.84,-14.97,-16.06,-16.12,-15.56,-15.41,-15.12,-14.16,-11.75,-8.97,-6.09,-3.0,0.94,4.19,5.75,6.28,6.44,6.19,4.66,2.06,-0.84,-2.91,-6.22,-9.97,-12.72,-14.06,-15.09,-16.62,-18.12,-18.62,-19.09,-20.0,-20.47,-19.5,-17.47,-15.47,-12.94,-9.56,-5.59,-1.97,0.03,1.16,2.09,2.16,0.84,-0.78,-1.59,-2.09,-2.78,-3.5,-2.94,-1.38,-0.28,0.31,0.38,0.53,-0.5,-2.75,-5.94,-7.75,-9.75,-12.31,-14.62,-15.59,-16.22,-16.44,-16.41,-15.0,-12.25,-9.47,-7.31,-5.28,-2.47,-0.06,1.06,2.0,3.56,4.66,5.03,4.38,3.78,3.66,2.47,0.47,-1.38,-2.66,-3.91,-6.06,-7.72,-8.28,-8.66,-9.81,-10.78,-10.75,-10.44,-10.59,-11.5,-12.03,-12.19,-12.84,-14.25,-15.19,-15.19,-15.25,-16.06,-16.28,-15.62,-14.81,-14.41,-14.59,-13.72,-12.72,-12.12,-12.09,-12.06,-12.28,-12.22,-13.06,-13.0,-11.78,-10.06,-8.97,-8.06,-6.59,-5.38,-4.31,-3.97,-2.84,-1.72,-0.84,-0.78,-0.91,-0.53,-0.03,-0.84,-1.25,-1.28,-1.22,-1.88,-3.28,-3.88,-3.84,-3.81,-4.0,-3.0,-1.44,-0.28,-0.41,-0.75,-0.59,-1.03,-2.41,-3.62,-4.22,-4.66,-6.19,-8.03,-8.81,-9.69,-10.44,-11.69,-12.03,-11.38,-11.16,-11.28,-11.19,-10.62,-9.84,-9.28,-8.62,-7.31,-5.56,-4.62,-4.5,-4.16,-3.28,-3.19,-3.47,-3.19,-2.69,-2.19,-2.91,-2.88,-2.09,-0.56,0.75,1.94,2.66,2.84,1.19,-1.72,-4.56,-6.62,-7.97,-8.69,-8.5,-6.91,-4.75,-3.88,-3.59,-3.75,-4.06,-4.44,-4.84,-4.84,-3.47,-2.34,-2.09,-1.5,-0.75,0.0,-0.09,-0.62,-0.94,-1.12,-2.22,-3.66,-5.25,-6.12,-7.56,-9.03,-10.0,-9.25,-8.19,-7.56,-6.81,-6.03,-5.25,-5.69,-6.19,-6.12,-5.59,-5.31,-5.28,-4.62,-3.72,-3.41,-3.06,-3.0,-1.41,0.66,2.22,3.62,4.97,6.16,5.66,4.88,3.88,3.25,1.88,-0.28,-2.66,-4.53,-6.28,-8.5,-10.22,-10.62,-10.38,-10.38,-10.34,-9.97,-8.69,-7.97,-7.31,-6.34,-4.88,-4.12,-4.12,-4.5,-3.88,-3.25,-3.44,-4.16,-4.91,-5.66,-7.34,-8.69,-9.0,-8.81,-8.84,-9.66,-10.69,-11.22,-11.91,-13.06,-13.91,-13.78,-13.88,-14.66,-16.03,-16.5,-16.94,-17.34,-17.62,-16.72,-14.44,-12.12,-9.66,-7.53,-5.03,-3.28,-3.22,-4.09,-4.03,-3.62,-3.5,-3.25,-2.72,-1.59,-1.72,-2.91,-4.16,-5.22,-7.06,-10.0,-13.47,-16.22,-18.75,-21.25,-22.97,-22.31,-19.78,-16.81,-13.53,-10.06,-6.78,-4.91,-4.44,-4.94,-5.0,-5.34,-6.53,-7.78,-8.06,-8.25,-8.81,-9.38,-9.5,-9.09,-9.47,-10.59,-11.53,-12.62,-13.88,-15.94,-18.03,-19.16,-20.34,-21.72,-23.41,-23.81,-24.03,-24.69,-25.66,-25.41,-24.31,-22.91,-21.81,-20.19,-18.19,-16.31,-14.94,-13.28,-10.06,-6.31,-3.19,-0.78,1.44,2.69,2.12,0.41,-1.84,-3.94,-6.97,-10.97,-14.72,-17.75,-18.81,-19.72,-19.28,-17.16,-14.41,-12.41,-11.97,-11.25,-10.91,-10.84,-11.16,-10.53,-8.34,-5.94,-4.06,-2.41,-0.03,2.25,3.22,3.38,3.94,4.12,3.25,1.28,-0.81,-3.16,-6.69,-11.16,-15.25,-18.41,-20.53,-22.91,-24.69,-25.28,-25.03,-25.0,-24.88,-23.06,-19.75,-16.22,-12.41,-7.31,-1.56,3.62,7.47,10.38,12.88,14.47,14.41,13.62,13.16,12.84,11.81,10.22,9.16,8.41,7.66,5.5,3.69,2.28,0.88,-1.78,-3.94,-5.5,-7.09,-9.25,-11.47,-12.09,-11.31,-9.69,-8.09,-5.66,-2.31,0.09,0.84,1.69,2.88,4.41,4.66,4.31,4.62,4.91,4.0,2.72,1.84,2.16,2.12,1.38,1.53,2.31,2.75,2.31,1.72,1.94,2.72,2.25,1.41,1.47,1.38,0.66,-0.75,-1.5,-1.84,-2.31,-3.75,-4.97,-4.75,-4.56,-5.44,-5.94,-5.84,-4.56,-3.56,-1.84,0.66,4.22,6.94,8.34,8.91,9.62,9.31,7.56,5.38,4.06,3.16,1.72,0.5,0.31,1.12,1.19,0.78,0.72,1.19,1.44,1.25,1.34,2.72,4.0,4.47,4.91,5.78,6.78,7.16,7.19,7.66,9.09,9.59,9.41,9.53,10.5,10.94,10.47,10.25,11.22,11.66,10.94,9.84,9.03,8.41,7.34,6.25,5.88,6.41,5.94,5.09,4.06,3.31,2.44,0.59,-1.28,-1.94,-2.53,-3.53,-4.53,-4.62,-3.91,-3.31,-2.22,-0.22,2.31,4.56,5.91,6.72,7.84,8.34,7.78,7.03,7.0,7.34,6.88,6.41,6.25,6.72,6.44,4.88,3.53,2.59,1.16,-0.53,-2.0,-2.56,-3.56,-5.03,-6.72,-8.03,-9.03,-9.81,-10.41,-10.03,-8.31,-6.41,-5.69,-5.47,-4.34,-3.94,-3.97,-3.66,-2.66,-1.69,-1.81,-2.59,-3.12,-3.44,-4.72,-6.22,-7.12,-6.78,-6.19,-5.56,-4.22,-1.88,-0.28,0.25,0.16,0.69,1.34,1.47,0.88,0.66,0.91,0.66,0.03,-0.12,0.84,1.59,1.47,0.88,0.47,-0.16,-1.22,-2.75,-3.12,-2.59,-1.81,-1.16,-0.12,1.41,2.69,2.81,2.53,3.25,3.97,3.59,2.69,2.41,1.81,0.41,-1.16,-2.03,-2.09,-1.75,-1.78,-0.88,1.31,3.97,5.72,7.25,9.06,10.09,9.72,8.22,6.91,5.41,3.81,1.84,1.06,2.0,3.34,4.09,5.0,6.25,6.97,6.44,6.16,6.75,7.88,8.69,9.47,10.44,11.16,11.0,9.19,7.56,6.28,5.41,3.91,3.19,3.34,3.84,3.62,3.66,3.94,4.66,4.53,4.03,3.78,3.81,4.0,3.03,2.22,1.91,1.69,0.84,0.31,0.56,1.25,1.59,1.44,1.78,2.34,3.03,2.59,2.94,4.06,5.38,6.16,6.97,8.16,9.28,9.0,7.84,7.09,6.41,5.34,4.03,3.66,4.44,5.03,4.94,4.81,4.62,4.53,3.25,2.31,1.97,1.97,1.47,0.59,0.56,1.03,1.19,0.56,-0.16,-0.53,-0.66,-1.47,-1.94,-1.47,-0.03,0.78,1.28,2.12,3.81,4.34,4.56,5.06,6.03,6.59,6.28,5.59,5.41,5.16,4.09,3.16,2.59,2.69,2.28,1.84,1.69,2.5,2.72,1.62,1.34,1.56,1.38,0.62,0.0,0.25,0.5,1.06,1.62,1.94,2.41,1.97,0.88,0.03,1.0,2.31,3.69,5.44,7.62,9.03,9.0,7.78,6.34,5.38,3.19,1.22,0.25,0.03,0.16,-0.06,0.03,0.97,1.88,1.97,1.59,2.41,3.06,3.0,2.62,2.53,2.59,2.19,1.19,0.62,0.75,1.38,1.78,2.56,4.19,6.03,6.78,7.12,8.28,9.94,11.34,12.56,13.94,14.97,14.66,12.81,10.44,9.31,8.56,7.75,7.16,7.5,7.5,6.41,5.19,4.78,4.81,4.53,4.47,4.69,5.91,7.06,7.72,8.22,8.97,9.25,9.06,8.03,7.44,6.91,5.62,3.59,2.31,1.91,1.19,-0.09,-1.12,-1.53,-2.12,-3.34,-4.75,-4.94,-5.06,-5.28,-5.62,-4.34,-2.97,-2.06,-2.12,-2.59,-2.38,-2.31,-2.81,-2.59,-1.47,0.19,1.19,1.31,1.72,1.84,1.28,-0.03,0.03,0.78,2.03,2.81,4.0,6.22,7.97,8.0,7.28,6.59,5.56,3.5,1.91,1.78,2.62,3.06,2.81,2.53,2.0,0.97,-0.91,-2.25,-1.91,-0.66,0.44,1.69,3.69,5.56,6.19,5.69,5.47,5.5,5.62,4.56,4.31,4.81,5.25,4.59,3.59,2.97,2.03,0.16,-1.91,-2.84,-2.84,-2.25,-1.56,-0.12,2.75,5.47,6.91,8.69,10.44,11.62,11.5,11.0,10.59,10.34,9.25,7.72,6.66,6.47,6.56,6.19,6.66,8.09,9.53,9.44,9.44,10.0,10.12,9.38,8.19,7.53,7.28,6.19,4.78,3.81,3.56,3.03,1.88,0.78,0.59,0.41,-1.03,-1.84,-1.56,-0.31,0.03,-0.25,-0.38,-0.53,-1.56,-3.72,-4.94,-5.31,-5.66,-6.75,-7.34,-6.72,-5.66,-5.91,-6.41,-6.41,-5.97,-6.06,-5.91,-4.78,-3.38,-2.41,-3.0,-3.81,-3.69,-3.31,-3.09,-2.38,-0.75,1.16,1.94,2.28,3.0,4.06,4.53,4.69,4.97,5.78,6.38,5.97,5.56,6.06,7.03,7.16,7.0,7.28,8.09,7.38,6.31,5.28,4.72,3.41,1.34,-0.84,-1.78,-2.53,-3.59,-3.69,-2.69,-0.62,0.66,1.81,4.12,6.72,8.66,9.66,10.31,11.16,10.5,8.91,6.84,5.41,4.22,1.78,-0.66,-2.28,-3.41,-4.88,-6.0,-6.06,-5.28,-5.28,-5.84,-6.69,-6.75,-6.41,-6.0,-4.97,-2.53,-0.34,0.03,-0.81,-1.88,-3.16,-5.06,-6.91,-8.06,-8.31,-9.09,-10.59,-11.44,-11.06,-10.41,-9.75,-8.94,-6.84,-4.47,-3.06,-1.94,-0.97,0.16,0.16,-0.97,-1.81,-2.0,-2.75,-4.47,-6.19,-6.59,-7.12,-7.81,-8.25,-7.47,-6.59,-6.38,-6.12,-5.69,-4.5,-3.5,-3.06,-2.69,-1.25,-0.47,-0.94,-1.78,-1.62,-1.59,-1.84,-2.28,-2.0,-1.72,-2.09,-3.41,-3.94,-3.44,-2.59,-1.53,0.25,3.38,6.59,8.66,9.97,11.47,11.62,10.38,7.62,5.25,3.19,1.75,0.47,-0.22,0.5:-3.41,-3.56,-4.38,-5.91,-7.38,-7.81,-8.69,-10.34,-12.22,-13.22,-13.84,-14.97,-16.06,-16.12,-15.56,-15.41,-15.12,-14.16,-11.75,-8.97,-6.09,-3.0,0.94,4.19,5.75,6.28,6.44,6.19,4.66,2.06,-0.84,-2.91,-6.22,-9.97,-12.72,-14.06,-15.09,-16.62,-18.12,-18.62,-19.09,-20.0,-20.47,-19.5,-17.47,-15.47,-12.94,-9.56,-5.59,-1.97,0.03,1.16,2.09,2.16,0.84,-0.78,-1.59,-2.09,-2.78,-3.5,-2.94,-1.38,-0.28,0.31,0.38,0.53,-0.5,-2.75,-5.94,-7.75,-9.75,-12.31,-14.62,-15.59,-16.22,-16.44,-16.41,-15.0,-12.25,-9.47,-7.31,-5.28,-2.47,-0.06,1.06,2.0,3.56,4.66,5.03,4.38,3.78,3.66,2.47,0.47,-1.38,-2.66,-3.91,-6.06,-7.72,-8.28,-8.66,-9.81,-10.78,-10.75,-10.44,-10.59,-11.5,-12.03,-12.19,-12.84,-14.25,-15.19,-15.19,-15.25,-16.06,-16.28,-15.62,-14.81,-14.41,-14.59,-13.72,-12.72,-12.12,-12.09,-12.06,-12.28,-12.22,-13.06,-13.0,-11.78,-10.06,-8.97,-8.06,-6.59,-5.38,-4.31,-3.97,-2.84,-1.72,-0.84,-0.78,-0.91,-0.53,-0.03,-0.84,-1.25,-1.28,-1.22,-1.88,-3.28,-3.88,-3.84,-3.81,-4.0,-3.0,-1.44,-0.28,-0.41,-0.75,-0.59,-1.03,-2.41,-3.62,-4.22,-4.66,-6.19,-8.03,-8.81,-9.69,-10.44,-11.69,-12.03,-11.38,-11.16,-11.28,-11.19,-10.62,-9.84,-9.28,-8.62,-7.31,-5.56,-4.62,-4.5,-4.16,-3.28,-3.19,-3.47,-3.19,-2.69,-2.19,-2.91,-2.88,-2.09,-0.56,0.75,1.94,2.66,2.84,1.19,-1.72,-4.56,-6.62,-7.97,-8.69,-8.5,-6.91,-4.75,-3.88,-3.59,-3.75,-4.06,-4.44,-4.84,-4.84,-3.47,-2.34,-2.09,-1.5,-0.75,0.0,-0.09,-0.62,-0.94,-1.12,-2.22,-3.66,-5.25,-6.12,-7.56,-9.03,-10.0,-9.25,-8.19,-7.56,-6.81,-6.03,-5.25,-5.69,-6.19,-6.12,-5.59,-5.31,-5.28,-4.62,-3.72,-3.41,-3.06,-3.0,-1.41,0.66,2.22,3.62,4.97,6.16,5.66,4.88,3.88,3.25,1.88,-0.28,-2.66,-4.53,-6.28,-8.5,-10.22,-10.62,-10.38,-10.38,-10.34,-9.97,-8.69,-7.97,-7.31,-6.34,-4.88,-4.12,-4.12,-4.5,-3.88,-3.25,-3.44,-4.16,-4.91,-5.66,-7.34,-8.69,-9.0,-8.81,-8.84,-9.66,-10.69,-11.22,-11.91,-13.06,-13.91,-13.78,-13.88,-14.66,-16.03,-16.5,-16.94,-17.34,-17.62,-16.72,-14.44,-12.12,-9.66,-7.53,-5.03,-3.28,-3.22,-4.09,-4.03,-3.62,-3.5,-3.25,-2.72,-1.59,-1.72,-2.91,-4.16,-5.22,-7.06,-10.0,-13.47,-16.22,-18.75,-21.25,-22.97,-22.31,-19.78,-16.81,-13.53,-10.06,-6.78,-4.91,-4.44,-4.94,-5.0,-5.34,-6.53,-7.78,-8.06,-8.25,-8.81,-9.38,-9.5,-9.09,-9.47,-10.59,-11.53,-12.62,-13.88,-15.94,-18.03,-19.16,-20.34,-21.72,-23.41,-23.81,-24.03,-24.69,-25.66,-25.41,-24.31,-22.91,-21.81,-20.19,-18.19,-16.31,-14.94,-13.28,-10.06,-6.31,-3.19,-0.78,1.44,2.69,2.12,0.41,-1.84,-3.94,-6.97,-10.97,-14.72,-17.75,-18.81,-19.72,-19.28,-17.16,-14.41,-12.41,-11.97,-11.25,-10.91,-10.84,-11.16,-10.53,-8.34,-5.94,-4.06,-2.41,-0.03,2.25,3.22,3.38,3.94,4.12,3.25,1.28,-0.81,-3.16,-6.69,-11.16,-15.25,-18.41,-20.53,-22.91,-24.69,-25.28,-25.03,-25.0,-24.88,-23.06,-19.75,-16.22,-12.41,-7.31,-1.56,3.62,7.47,10.38,12.88,14.47,14.41,13.62,13.16,12.84,11.81,10.22,9.16,8.41,7.66,5.5,3.69,2.28,0.88,-1.78,-3.94,-5.5,-7.09,-9.25,-11.47,-12.09,-11.31,-9.69,-8.09,-5.66,-2.31,0.09,0.84,1.69,2.88,4.41,4.66,4.31,4.62,4.91,4.0,2.72,1.84,2.16,2.12,1.38,1.53,2.31,2.75,2.31,1.72,1.94,2.72,2.25,1.41,1.47,1.38,0.66,-0.75,-1.5,-1.84,-2.31,-3.75,-4.97,-4.75,-4.56,-5.44,-5.94,-5.84,-4.56,-3.56,-1.84,0.66,4.22,6.94,8.34,8.91,9.62,9.31,7.56,5.38,4.06,3.16,1.72,0.5,0.31,1.12,1.19,0.78,0.72,1.19,1.44,1.25,1.34,2.72,4.0,4.47,4.91,5.78,6.78,7.16,7.19,7.66,9.09,9.59,9.41,9.53,10.5,10.94,10.47,10.25,11.22,11.66,10.94,9.84,9.03,8.41,7.34,6.25,5.88,6.41,5.94,5.09,4.06,3.31,2.44,0.59,-1.28,-1.94,-2.53,-3.53,-4.53,-4.62,-3.91,-3.31,-2.22,-0.22,2.31,4.56,5.91,6.72,7.84,8.34,7.78,7.03,7.0,7.34,6.88,6.41,6.25,6.72,6.44,4.88,3.53,2.59,1.16,-0.53,-2.0,-2.56,-3.56,-5.03,-6.72,-8.03,-9.03,-9.81,-10.41,-10.03,-8.31,-6.41,-5.69,-5.47,-4.34,-3.94,-3.97,-3.66,-2.66,-1.69,-1.81,-2.59,-3.12,-3.44,-4.72,-6.22,-7.12,-6.78,-6.19,-5.56,-4.22,-1.88,-0.28,0.25,0.16,0.69,1.34,1.47,0.88,0.66,0.91,0.66,0.03,-0.12,0.84,1.59,1.47,0.88,0.47,-0.16,-1.22,-2.75,-3.12,-2.59,-1.81,-1.16,-0.12,1.41,2.69,2.81,2.53,3.25,3.97,3.59,2.69,2.41,1.81,0.41,-1.16,-2.03,-2.09,-1.75,-1.78,-0.88,1.31,3.97,5.72,7.25,9.06,10.09,9.72,8.22,6.91,5.41,3.81,1.84,1.06,2.0,3.34,4.09,5.0,6.25,6.97,6.44,6.16,6.75,7.88,8.69,9.47,10.44,11.16,11.0,9.19,7.56,6.28,5.41,3.91,3.19,3.34,3.84,3.62,3.66,3.94,4.66,4.53,4.03,3.78,3.81,4.0,3.03,2.22,1.91,1.69,0.84,0.31,0.56,1.25,1.59,1.44,1.78,2.34,3.03,2.59,2.94,4.06,5.38,6.16,6.97,8.16,9.28,9.0,7.84,7.09,6.41,5.34,4.03,3.66,4.44,5.03,4.94,4.81,4.62,4.53,3.25,2.31,1.97,1.97,1.47,0.59,0.56,1.03,1.19,0.56,-0.16,-0.53,-0.66,-1.47,-1.94,-1.47,-0.03,0.78,1.28,2.12,3.81,4.34,4.56,5.06,6.03,6.59,6.28,5.59,5.41,5.16,4.09,3.16,2.59,2.69,2.28,1.84,1.69,2.5,2.72,1.62,1.34,1.56,1.38,0.62,0.0,0.25,0.5,1.06,1.62,1.94,2.41,1.97,0.88,0.03,1.0,2.31,3.69,5.44,7.62,9.03,9.0,7.78,6.34,5.38,3.19,1.22,0.25,0.03,0.16,-0.06,0.03,0.97,1.88,1.97,1.59,2.41,3.06,3.0,2.62,2.53,2.59,2.19,1.19,0.62,0.75,1.38,1.78,2.56,4.19,6.03,6.78,7.12,8.28,9.94,11.34,12.56,13.94,14.97,14.66,12.81,10.44,9.31,8.56,7.75,7.16,7.5,7.5,6.41,5.19,4.78,4.81,4.53,4.47,4.69,5.91,7.06,7.72,8.22,8.97,9.25,9.06,8.03,7.44,6.91,5.62,3.59,2.31,1.91,1.19,-0.09,-1.12,-1.53,-2.12,-3.34,-4.75,-4.94,-5.06,-5.28,-5.62,-4.34,-2.97,-2.06,-2.12,-2.59,-2.38,-2.31,-2.81,-2.59,-1.47,0.19,1.19,1.31,1.72,1.84,1.28,-0.03,0.03,0.78,2.03,2.81,4.0,6.22,7.97,8.0,7.28,6.59,5.56,3.5,1.91,1.78,2.62,3.06,2.81,2.53,2.0,0.97,-0.91,-2.25,-1.91,-0.66,0.44,1.69,3.69,5.56,6.19,5.69,5.47,5.5,5.62,4.56,4.31,4.81,5.25,4.59,3.59,2.97,2.03,0.16,-1.91,-2.84,-2.84,-2.25,-1.56,-0.12,2.75,5.47,6.91,8.69,10.44,11.62,11.5,11.0,10.59,10.34,9.25,7.72,6.66,6.47,6.56,6.19,6.66,8.09,9.53,9.44,9.44,10.0,10.12,9.38,8.19,7.53,7.28,6.19,4.78,3.81,3.56,3.03,1.88,0.78,0.59,0.41,-1.03,-1.84,-1.56,-0.31,0.03,-0.25,-0.38,-0.53,-1.56,-3.72,-4.94,-5.31,-5.66,-6.75,-7.34,-6.72,-5.66,-5.91,-6.41,-6.41,-5.97,-6.06,-5.91,-4.78,-3.38,-2.41,-3.0,-3.81,-3.69,-3.31,-3.09,-2.38,-0.75,1.16,1.94,2.28,3.0,4.06,4.53,4.69,4.97,5.78,6.38,5.97,5.56,6.06,7.03,7.16,7.0,7.28,8.09,7.38,6.31,5.28,4.72,3.41,1.34,-0.84,-1.78,-2.53,-3.59,-3.69,-2.69,-0.62,0.66,1.81,4.12,6.72,8.66,9.66,10.31,11.16,10.5,8.91,6.84,5.41,4.22,1.78,-0.66,-2.28,-3.41,-4.88,-6.0,-6.06,-5.28,-5.28,-5.84,-6.69,-6.75,-6.41,-6.0,-4.97,-2.53,-0.34,0.03,-0.81,-1.88,-3.16,-5.06,-6.91,-8.06,-8.31,-9.09,-10.59,-11.44,-11.06,-10.41,-9.75,-8.94,-6.84,-4.47,-3.06,-1.94,-0.97,0.16,0.16,-0.97,-1.81,-2.0,-2.75,-4.47,-6.19,-6.59,-7.12,-7.81,-8.25,-7.47,-6.59,-6.38,-6.12,-5.69,-4.5,-3.5,-3.06,-2.69,-1.25,-0.47,-0.94,-1.78,-1.62,-1.59,-1.84,-2.28,-2.0,-1.72,-2.09,-3.41,-3.94,-3.44,-2.59,-1.53,0.25,3.38,6.59,8.66,9.97,11.47,11.62,10.38,7.62,5.25,3.19,1.75,0.47,-0.22,0.5,31.81,32.38,32.62,33.12,33.88,34.22,34.34:-10.34,-12.22,-13.22,-13.84,-14.97,-16.06,-16.12,-15.56,-15.41,-15.12,-14.16,-11.75,-8.97,-6.09,-3.0,0.94,4.19,5.75,6.28,6.44,6.19,4.66,2.06,-0.84,-2.91,-6.22,-9.97,-12.72,-14.06,-15.09,-16.62,-18.12,-18.62,-19.09,-20.0,-20.47,-19.5,-17.47,-15.47,-12.94,-9.56,-5.59,-1.97,0.03,1.16,2.09,2.16,0.84,-0.78,-1.59,-2.09,-2.78,-3.5,-2.94,-1.38,-0.28,0.31,0.38,0.53,-0.5,-2.75,-5.94,-7.75,-9.75,-12.31,-14.62,-15.59,-16.22,-16.44,-16.41,-15.0,-12.25,-9.47,-7.31,-5.28,-2.47,-0.06,1.06,2.0,3.56,4.66,5.03,4.38,3.78,3.66,2.47,0.47,-1.38,-2.66,-3.91,-6.06,-7.72,-8.28,-8.66,-9.81,-10.78,-10.75,-10.44,-10.59,-11.5,-12.03,-12.19,-12.84,-14.25,-15.19,-15.19,-15.25,-16.06,-16.28,-15.62,-14.81,-14.41,-14.59,-13.72,-12.72,-12.12,-12.09,-12.06,-12.28,-12.22,-13.06,-13.0,-11.78,-10.06,-8.97,-8.06,-6.59,-5.38,-4.31,-3.97,-2.84,-1.72,-0.84,-0.78,-0.91,-0.53,-0.03,-0.84,-1.25,-1.28,-1.22,-1.88,-3.28,-3.88,-3.84,-3.81,-4.0,-3.0,-1.44,-0.28,-0.41,-0.75,-0.59,-1.03,-2.41,-3.62,-4.22,-4.66,-6.19,-8.03,-8.81,-9.69,-10.44,-11.69,-12.03,-11.38,-11.16,-11.28,-11.19,-10.62,-9.84,-9.28,-8.62,-7.31,-5.56,-4.62,-4.5,-4.16,-3.28,-3.19,-3.47,-3.19,-2.69,-2.19,-2.91,-2.88,-2.09,-0.56,0.75,1.94,2.66,2.84,1.19,-1.72,-4.56,-6.62,-7.97,-8.69,-8.5,-6.91,-4.75,-3.88,-3.59,-3.75,-4.06,-4.44,-4.84,-4.84,-3.47,-2.34,-2.09,-1.5,-0.75,0.0,-0.09,-0.62,-0.94,-1.12,-2.22,-3.66,-5.25,-6.12,-7.56,-9.03,-10.0,-9.25,-8.19,-7.56,-6.81,-6.03,-5.25,-5.69,-6.19,-6.12,-5.59,-5.31,-5.28,-4.62,-3.72,-3.41,-3.06,-3.0,-1.41,0.66,2.22,3.62,4.97,6.16,5.66,4.88,3.88,3.25,1.88,-0.28,-2.66,-4.53,-6.28,-8.5,-10.22,-10.62,-10.38,-10.38,-10.34,-9.97,-8.69,-7.97,-7.31,-6.34,-4.88,-4.12,-4.12,-4.5,-3.88,-3.25,-3.44,-4.16,-4.91,-5.66,-7.34,-8.69,-9.0,-8.81,-8.84,-9.66,-10.69,-11.22,-11.91,-13.06,-13.91,-13.78,-13.88,-14.66,-16.03,-16.5,-16.94,-17.34,-17.62,-16.72,-14.44,-12.12,-9.66,-7.53,-5.03,-3.28,-3.22,-4.09,-4.03,-3.62,-3.5,-3.25,-2.72,-1.59,-1.72,-2.91,-4.16,-5.22,-7.06,-10.0,-13.47,-16.22,-18.75,-21.25,-22.97,-22.31,-19.78,-16.81,-13.53,-10.06,-6.78,-4.91,-4.44,-4.94,-5.0,-5.34,-6.53,-7.78,-8.06,-8.25,-8.81,-9.38,-9.5,-9.09,-9.47,-10.59,-11.53,-12.62,-13.88,-15.94,-18.03,-19.16,-20.34,-21.72,-23.41,-23.81,-24.03,-24.69,-25.66,-25.41,-24.31,-22.91,-21.81,-20.19,-18.19,-16.31,-14.94,-13.28,-10.06,-6.31,-3.19,-0.78,1.44,2.69,2.12,0.41,-1.84,-3.94,-6.97,-10.97,-14.72,-17.75,-18.81,-19.72,-19.28,-17.16,-14.41,-12.41,-11.97,-11.25,-10.91,-10.84,-11.16,-10.53,-8.34,-5.94,-4.06,-2.41,-0.03,2.25,3.22,3.38,3.94,4.12,3.25,1.28,-0.81,-3.16,-6.69,-11.16,-15.25,-18.41,-20.53,-22.91,-24.69,-25.28,-25.03,-25.0,-24.88,-23.06,-19.75,-16.22,-12.41,-7.31,-1.56,3.62,7.47,10.38,12.88,14.47,14.41,13.62,13.16,12.84,11.81,10.22,9.16,8.41,7.66,5.5,3.69,2.28,0.88,-1.78,-3.94,-5.5,-7.09,-9.25,-11.47,-12.09,-11.31,-9.69,-8.09,-5.66,-2.31,0.09,0.84,1.69,2.88,4.41,4.66,4.31,4.62,4.91,4.0,2.72,1.84,2.16,2.12,1.38,1.53,2.31,2.75,2.31,1.72,1.94,2.72,2.25,1.41,1.47,1.38,0.66,-0.75,-1.5,-1.84,-2.31,-3.75,-4.97,-4.75,-4.56,-5.44,-5.94,-5.84,-4.56,-3.56,-1.84,0.66,4.22,6.94,8.34,8.91,9.62,9.31,7.56,5.38,4.06,3.16,1.72,0.5,0.31,1.12,1.19,0.78,0.72,1.19,1.44,1.25,1.34,2.72,4.0,4.47,4.91,5.78,6.78,7.16,7.19,7.66,9.09,9.59,9.41,9.53,10.5,10.94,10.47,10.25,11.22,11.66,10.94,9.84,9.03,8.41,7.34,6.25,5.88,6.41,5.94,5.09,4.06,3.31,2.44,0.59,-1.28,-1.94,-2.53,-3.53,-4.53,-4.62,-3.91,-3.31,-2.22,-0.22,2.31,4.56,5.91,6.72,7.84,8.34,7.78,7.03,7.0,7.34,6.88,6.41,6.25,6.72,6.44,4.88,3.53,2.59,1.16,-0.53,-2.0,-2.56,-3.56,-5.03,-6.72,-8.03,-9.03,-9.81,-10.41,-10.03,-8.31,-6.41,-5.69,-5.47,-4.34,-3.94,-3.97,-3.66,-2.66,-1.69,-1.81,-2.59,-3.12,-3.44,-4.72,-6.22,-7.12,-6.78,-6.19,-5.56,-4.22,-1.88,-0.28,0.25,0.16,0.69,1.34,1.47,0.88,0.66,0.91,0.66,0.03,-0.12,0.84,1.59,1.47,0.88,0.47,-0.16,-1.22,-2.75,-3.12,-2.59,-1.81,-1.16,-0.12,1.41,2.69,2.81,2.53,3.25,3.97,3.59,2.69,2.41,1.81,0.41,-1.16,-2.03,-2.09,-1.75,-1.78,-0.88,1.31,3.97,5.72,7.25,9.06,10.09,9.72,8.22,6.91,5.41,3.81,1.84,1.06,2.0,3.34,4.09,5.0,6.25,6.97,6.44,6.16,6.75,7.88,8.69,9.47,10.44,11.16,11.0,9.19,7.56,6.28,5.41,3.91,3.19,3.34,3.84,3.62,3.66,3.94,4.66,4.53,4.03,3.78,3.81,4.0,3.03,2.22,1.91,1.69,0.84,0.31,0.56,1.25,1.59,1.44,1.78,2.34,3.03,2.59,2.94,4.06,5.38,6.16,6.97,8.16,9.28,9.0,7.84,7.09,6.41,5.34,4.03,3.66,4.44,5.03,4.94,4.81,4.62,4.53,3.25,2.31,1.97,1.97,1.47,0.59,0.56,1.03,1.19,0.56,-0.16,-0.53,-0.66,-1.47,-1.94,-1.47,-0.03,0.78,1.28,2.12,3.81,4.34,4.56,5.06,6.03,6.59,6.28,5.59,5.41,5.16,4.09,3.16,2.59,2.69,2.28,1.84,1.69,2.5,2.72,1.62,1.34,1.56,1.38,0.62,0.0,0.25,0.5,1.06,1.62,1.94,2.41,1.97,0.88,0.03,1.0,2.31,3.69,5.44,7.62,9.03,9.0,7.78,6.34,5.38,3.19,1.22,0.25,0.03,0.16,-0.06,0.03,0.97,1.88,1.97,1.59,2.41,3.06,3.0,2.62,2.53,2.59,2.19,1.19,0.62,0.75,1.38,1.78,2.56,4.19,6.03,6.78,7.12,8.28,9.94,11.34,12.56,13.94,14.97,14.66,12.81,10.44,9.31,8.56,7.75,7.16,7.5,7.5,6.41,5.19,4.78,4.81,4.53,4.47,4.69,5.91,7.06,7.72,8.22,8.97,9.25,9.06,8.03,7.44,6.91,5.62,3.59,2.31,1.91,1.19,-0.09,-1.12,-1.53,-2.12,-3.34,-4.75,-4.94,-5.06,-5.28,-5.62,-4.34,-2.97,-2.06,-2.12,-2.59,-2.38,-2.31,-2.81,-2.59,-1.47,0.19,1.19,1.31,1.72,1.84,1.28,-0.03,0.03,0.78,2.03,2.81,4.0,6.22,7.97,8.0,7.28,6.59,5.56,3.5,1.91,1.78,2.62,3.06,2.81,2.53,2.0,0.97,-0.91,-2.25,-1.91,-0.66,0.44,1.69,3.69,5.56,6.19,5.69,5.47,5.5,5.62,4.56,4.31,4.81,5.25,4.59,3.59,2.97,2.03,0.16,-1.91,-2.84,-2.84,-2.25,-1.56,-0.12,2.75,5.47,6.91,8.69,10.44,11.62,11.5,11.0,10.59,10.34,9.25,7.72,6.66,6.47,6.56,6.19,6.66,8.09,9.53,9.44,9.44,10.0,10.12,9.38,8.19,7.53,7.28,6.19,4.78,3.81,3.56,3.03,1.88,0.78,0.59,0.41,-1.03,-1.84,-1.56,-0.31,0.03,-0.25,-0.38,-0.53,-1.56,-3.72,-4.94,-5.31,-5.66,-6.75,-7.34,-6.72,-5.66,-5.91,-6.41,-6.41,-5.97,-6.06,-5.91,-4.78,-3.38,-2.41,-3.0,-3.81,-3.69,-3.31,-3.09,-2.38,-0.75,1.16,1.94,2.28,3.0,4.06,4.53,4.69,4.97,5.78,6.38,5.97,5.56,6.06,7.03,7.16,7.0,7.28,8.09,7.38,6.31,5.28,4.72,3.41,1.34,-0.84,-1.78,-2.53,-3.59,-3.69,-2.69,-0.62,0.66,1.81,4.12,6.72,8.66,9.66,10.31,11.16,10.5,8.91,6.84,5.41,4.22,1.78,-0.66,-2.28,-3.41,-4.88,-6.0,-6.06,-5.28,-5.28,-5.84,-6.69,-6.75,-6.41,-6.0,-4.97,-2.53,-0.34,0.03,-0.81,-1.88,-3.16,-5.06,-6.91,-8.06,-8.31,-9.09,-10.59,-11.44,-11.06,-10.41,-9.75,-8.94,-6.84,-4.47,-3.06,-1.94,-0.97,0.16,0.16,-0.97,-1.81,-2.0,-2.75,-4.47,-6.19,-6.59,-7.12,-7.81,-8.25,-7.47,-6.59,-6.38,-6.12,-5.69,-4.5,-3.5,-3.06,-2.69,-1.25,-0.47,-0.94,-1.78,-1.62,-1.59,-1.84,-2.28,-2.0,-1.72,-2.09,-3.41,-3.94,-3.44,-2.59,-1.53,0.25,3.38,6.59,8.66,9.97,11.47,11.62,10.38,7.62,5.25,3.19,1.75,0.47,-0.22,0.5,31.81,32.38,32.62,33.12,33.88,34.22,34.34,34.44,34.5,34.16,33.66,33.31,32.78,32.66:-15.56,-15.41,-15.12,-14.16,-11.75,-8.97,-6.09,-3.0,0.94,4.19,5.75,6.28,6.44,6.19,4.66,2.06,-0.84,-2.91,-6.22,-9.97,-12.72,-14.06,-15.09,-16.62,-18.12,-18.62,-19.09,-20.0,-20.47,-19.5,-17.47,-15.47,-12.94,-9.56,-5.59,-1.97,0.03,1.16,2.09,2.16,0.84,-0.78,-1.59,-2.09,-2.78,-3.5,-2.94,-1.38,-0.28,0.31,0.38,0.53,-0.5,-2.75,-5.94,-7.75,-9.75,-12.31,-14.62,-15.59,-16.22,-16.44,-16.41,-15.0,-12.25,-9.47,-7.31,-5.28,-2.47,-0.06,1.06,2.0,3.56,4.66,5.03,4.38,3.78,3.66,2.47,0.47,-1.38,-2.66,-3.91,-6.06,-7.72,-8.28,-8.66,-9.81,-10.78,-10.75,-10.44,-10.59,-11.5,-12.03,-12.19,-12.84,-14.25,-15.19,-15.19,-15.25,-16.06,-16.28,-15.62,-14.81,-14.41,-14.59,-13.72,-12.72,-12.12,-12.09,-12.06,-12.28,-12.22,-13.06,-13.0,-11.78,-10.06,-8.97,-8.06,-6.59,-5.38,-4.31,-3.97,-2.84,-1.72,-0.84,-0.78,-0.91,-0.53,-0.03,-0.84,-1.25,-1.28,-1.22,-1.88,-3.28,-3.88,-3.84,-3.81,-4.0,-3.0,-1.44,-0.28,-0.41,-0.75,-0.59,-1.03,-2.41,-3.62,-4.22,-4.66,-6.19,-8.03,-8.81,-9.69,-10.44,-11.69,-12.03,-11.38,-11.16,-11.28,-11.19,-10.62,-9.84,-9.28,-8.62,-7.31,-5.56,-4.62,-4.5,-4.16,-3.28,-3.19,-3.47,-3.19,-2.69,-2.19,-2.91,-2.88,-2.09,-0.56,0.75,1.94,2.66,2.84,1.19,-1.72,-4.56,-6.62,-7.97,-8.69,-8.5,-6.91,-4.75,-3.88,-3.59,-3.75,-4.06,-4.44,-4.84,-4.84,-3.47,-2.34,-2.09,-1.5,-0.75,0.0,-0.09,-0.62,-0.94,-1.12,-2.22,-3.66,-5.25,-6.12,-7.56,-9.03,-10.0,-9.25,-8.19,-7.56,-6.81,-6.03,-5.25,-5.69,-6.19,-6.12,-5.59,-5.31,-5.28,-4.62,-3.72,-3.41,-3.06,-3.0,-1.41,0.66,2.22,3.62,4.97,6.16,5.66,4.88,3.88,3.25,1.88,-0.28,-2.66,-4.53,-6.28,-8.5,-10.22,-10.62,-10.38,-10.38,-10.34,-9.97,-8.69,-7.97,-7.31,-6.34,-4.88,-4.12,-4.12,-4.5,-3.88,-3.25,-3.44,-4.16,-4.91,-5.66,-7.34,-8.69,-9.0,-8.81,-8.84,-9.66,-10.69,-11.22,-11.91,-13.06,-13.91,-13.78,-13.88,-14.66,-16.03,-16.5,-16.94,-17.34,-17.62,-16.72,-14.44,-12.12,-9.66,-7.53,-5.03,-3.28,-3.22,-4.09,-4.03,-3.62,-3.5,-3.25,-2.72,-1.59,-1.72,-2.91,-4.16,-5.22,-7.06,-10.0,-13.47,-16.22,-18.75,-21.25,-22.97,-22.31,-19.78,-16.81,-13.53,-10.06,-6.78,-4.91,-4.44,-4.94,-5.0,-5.34,-6.53,-7.78,-8.06,-8.25,-8.81,-9.38,-9.5,-9.09,-9.47,-10.59,-11.53,-12.62,-13.88,-15.94,-18.03,-19.16,-20.34,-21.72,-23.41,-23.81,-24.03,-24.69,-25.66,-25.41,-24.31,-22.91,-21.81,-20.19,-18.19,-16.31,-14.94,-13.28,-10.06,-6.31,-3.19,-0.78,1.44,2.69,2.12,0.41,-1.84,-3.94,-6.97,-10.97,-14.72,-17.75,-18.81,-19.72,-19.28,-17.16,-14.41,-12.41,-11.97,-11.25,-10.91,-10.84,-11.16,-10.53,-8.34,-5.94,-4.06,-2.41,-0.03,2.25,3.22,3.38,3.94,4.12,3.25,1.28,-0.81,-3.16,-6.69,-11.16,-15.25,-18.41,-20.53,-22.91,-24.69,-25.28,-25.03,-25.0,-24.88,-23.06,-19.75,-16.22,-12.41,-7.31,-1.56,3.62,7.47,10.38,12.88,14.47,14.41,13.62,13.16,12.84,11.81,10.22,9.16,8.41,7.66,5.5,3.69,2.28,0.88,-1.78,-3.94,-5.5,-7.09,-9.25,-11.47,-12.09,-11.31,-9.69,-8.09,-5.66,-2.31,0.09,0.84,1.69,2.88,4.41,4.66,4.31,4.62,4.91,4.0,2.72,1.84,2.16,2.12,1.38,1.53,2.31,2.75,2.31,1.72,1.94,2.72,2.25,1.41,1.47,1.38,0.66,-0.75,-1.5,-1.84,-2.31,-3.75,-4.97,-4.75,-4.56,-5.44,-5.94,-5.84,-4.56,-3.56,-1.84,0.66,4.22,6.94,8.34,8.91,9.62,9.31,7.56,5.38,4.06,3.16,1.72,0.5,0.31,1.12,1.19,0.78,0.72,1.19,1.44,1.25,1.34,2.72,4.0,4.47,4.91,5.78,6.78,7.16,7.19,7.66,9.09,9.59,9.41,9.53,10.5,10.94,10.47,10.25,11.22,11.66,10.94,9.84,9.03,8.41,7.34,6.25,5.88,6.41,5.94,5.09,4.06,3.31,2.44,0.59,-1.28,-1.94,-2.53,-3.53,-4.53,-4.62,-3.91,-3.31,-2.22,-0.22,2.31,4.56,5.91,6.72,7.84,8.34,7.78,7.03,7.0,7.34,6.88,6.41,6.25,6.72,6.44,4.88,3.53,2.59,1.16,-0.53,-2.0,-2.56,-3.56,-5.03,-6.72,-8.03,-9.03,-9.81,-10.41,-10.03,-8.31,-6.41,-5.69,-5.47,-4.34,-3.94,-3.97,-3.66,-2.66,-1.69,-1.81,-2.59,-3.12,-3.44,-4.72,-6.22,-7.12,-6.78,-6.19,-5.56,-4.22,-1.88,-0.28,0.25,0.16,0.69,1.34,1.47,0.88,0.66,0.91,0.66,0.03,-0.12,0.84,1.59,1.47,0.88,0.47,-0.16,-1.22,-2.75,-3.12,-2.59,-1.81,-1.16,-0.12,1.41,2.69,2.81,2.53,3.25,3.97,3.59,2.69,2.41,1.81,0.41,-1.16,-2.03,-2.09,-1.75,-1.78,-0.88,1.31,3.97,5.72,7.25,9.06,10.09,9.72,8.22,6.91,5.41,3.81,1.84,1.06,2.0,3.34,4.09,5.0,6.25,6.97,6.44,6.16,6.75,7.88,8.69,9.47,10.44,11.16,11.0,9.19,7.56,6.28,5.41,3.91,3.19,3.34,3.84,3.62,3.66,3.94,4.66,4.53,4.03,3.78,3.81,4.0,3.03,2.22,1.91,1.69,0.84,0.31,0.56,1.25,1.59,1.44,1.78,2.34,3.03,2.59,2.94,4.06,5.38,6.16,6.97,8.16,9.28,9.0,7.84,7.09,6.41,5.34,4.03,3.66,4.44,5.03,4.94,4.81,4.62,4.53,3.25,2.31,1.97,1.97,1.47,0.59,0.56,1.03,1.19,0.56,-0.16,-0.53,-0.66,-1.47,-1.94,-1.47,-0.03,0.78,1.28,2.12,3.81,4.34,4.56,5.06,6.03,6.59,6.28,5.59,5.41,5.16,4.09,3.16,2.59,2.69,2.28,1.84,1.69,2.5,2.72,1.62,1.34,1.56,1.38,0.62,0.0,0.25,0.5,1.06,1.62,1.94,2.41,1.97,0.88,0.03,1.0,2.31,3.69,5.44,7.62,9.03,9.0,7.78,6.34,5.38,3.19,1.22,0.25,0.03,0.16,-0.06,0.03,0.97,1.88,1.97,1.59,2.41,3.06,3.0,2.62,2.53,2.59,2.19,1.19,0.62,0.75,1.38,1.78,2.56,4.19,6.03,6.78,7.12,8.28,9.94,11.34,12.56,13.94,14.97,14.66,12.81,10.44,9.31,8.56,7.75,7.16,7.5,7.5,6.41,5.19,4.78,4.81,4.53,4.47,4.69,5.91,7.06,7.72,8.22,8.97,9.25,9.06,8.03,7.44,6.91,5.62,3.59,2.31,1.91,1.19,-0.09,-1.12,-1.53,-2.12,-3.34,-4.75,-4.94,-5.06,-5.28,-5.62,-4.34,-2.97,-2.06,-2.12,-2.59,-2.38,-2.31,-2.81,-2.59,-1.47,0.19,1.19,1.31,1.72,1.84,1.28,-0.03,0.03,0.78,2.03,2.81,4.0,6.22,7.97,8.0,7.28,6.59,5.56,3.5,1.91,1.78,2.62,3.06,2.81,2.53,2.0,0.97,-0.91,-2.25,-1.91,-0.66,0.44,1.69,3.69,5.56,6.19,5.69,5.47,5.5,5.62,4.56,4.31,4.81,5.25,4.59,3.59,2.97,2.03,0.16,-1.91,-2.84,-2.84,-2.25,-1.56,-0.12,2.75,5.47,6.91,8.69,10.44,11.62,11.5,11.0,10.59,10.34,9.25,7.72,6.66,6.47,6.56,6.19,6.66,8.09,9.53,9.44,9.44,10.0,10.12,9.38,8.19,7.53,7.28,6.19,4.78,3.81,3.56,3.03,1.88,0.78,0.59,0.41,-1.03,-1.84,-1.56,-0.31,0.03,-0.25,-0.38,-0.53,-1.56,-3.72,-4.94,-5.31,-5.66,-6.75,-7.34,-6.72,-5.66,-5.91,-6.41,-6.41,-5.97,-6.06,-5.91,-4.78,-3.38,-2.41,-3.0,-3.81,-3.69,-3.31,-3.09,-2.38,-0.75,1.16,1.94,2.28,3.0,4.06,4.53,4.69,4.97,5.78,6.38,5.97,5.56,6.06,7.03,7.16,7.0,7.28,8.09,7.38,6.31,5.28,4.72,3.41,1.34,-0.84,-1.78,-2.53,-3.59,-3.69,-2.69,-0.62,0.66,1.81,4.12,6.72,8.66,9.66,10.31,11.16,10.5,8.91,6.84,5.41,4.22,1.78,-0.66,-2.28,-3.41,-4.88,-6.0,-6.06,-5.28,-5.28,-5.84,-6.69,-6.75,-6.41,-6.0,-4.97,-2.53,-0.34,0.03,-0.81,-1.88,-3.16,-5.06,-6.91,-8.06,-8.31,-9.09,-10.59,-11.44,-11.06,-10.41,-9.75,-8.94,-6.84,-4.47,-3.06,-1.94,-0.97,0.16,0.16,-0.97,-1.81,-2.0,-2.75,-4.47,-6.19,-6.59,-7.12,-7.81,-8.25,-7.47,-6.59,-6.38,-6.12,-5.69,-4.5,-3.5,-3.06,-2.69,-1.25,-0.47,-0.94,-1.78,-1.62,-1.59,-1.84,-2.28,-2.0,-1.72,-2.09,-3.41,-3.94,-3.44,-2.59,-1.53,0.25,3.38,6.59,8.66,9.97,11.47,11.62,10.38,7.62,5.25,3.19,1.75,0.47,-0.22,0.5,31.81,32.38,32.62,33.12,33.88,34.22,34.34,34.44,34.5,34.16,33.66,33.31,32.78,32.66,32.5,32.31,32.28,32.56,33.0,33.25,33.88:-3.0,0.94,4.19,5.75,6.28,6.44,6.19,4.66,2.06,-0.84,-2.91,-6.22,-9.97,-12.72,-14.06,-15.09,-16.62,-18.12,-18.62,-19.09,-20.0,-20.47,-19.5,-17.47,-15.47,-12.94,-9.56,-5.59,-1.97,0.03,1.16,2.09,2.16,0.84,-0.78,-1.59,-2.09,-2.78,-3.5,-2.94,-1.38,-0.28,0.31,0.38,0.53,-0.5,-2.75,-5.94,-7.75,-9.75,-12.31,-14.62,-15.59,-16.22,-16.44,-16.41,-15.0,-12.25,-9.47,-7.31,-5.28,-2.47,-0.06,1.06,2.0,3.56,4.66,5.03,4.38,3.78,3.66,2.47,0.47,-1.38,-2.66,-3.91,-6.06,-7.72,-8.28,-8.66,-9.81,-10.78,-10.75,-10.44,-10.59,-11.5,-12.03,-12.19,-12.84,-14.25,-15.19,-15.19,-15.25,-16.06,-16.28,-15.62,-14.81,-14.41,-14.59,-13.72,-12.72,-12.12,-12.09,-12.06,-12.28,-12.22,-13.06,-13.0,-11.78,-10.06,-8.97,-8.06,-6.59,-5.38,-4.31,-3.97,-2.84,-1.72,-0.84,-0.78,-0.91,-0.53,-0.03,-0.84,-1.25,-1.28,-1.22,-1.88,-3.28,-3.88,-3.84,-3.81,-4.0,-3.0,-1.44,-0.28,-0.41,-0.75,-0.59,-1.03,-2.41,-3.62,-4.22,-4.66,-6.19,-8.03,-8.81,-9.69,-10.44,-11.69,-12.03,-11.38,-11.16,-11.28,-11.19,-10.62,-9.84,-9.28,-8.62,-7.31,-5.56,-4.62,-4.5,-4.16,-3.28,-3.19,-3.47,-3.19,-2.69,-2.19,-2.91,-2.88,-2.09,-0.56,0.75,1.94,2.66,2.84,1.19,-1.72,-4.56,-6.62,-7.97,-8.69,-8.5,-6.91,-4.75,-3.88,-3.59,-3.75,-4.06,-4.44,-4.84,-4.84,-3.47,-2.34,-2.09,-1.5,-0.75,0.0,-0.09,-0.62,-0.94,-1.12,-2.22,-3.66,-5.25,-6.12,-7.56,-9.03,-10.0,-9.25,-8.19,-7.56,-6.81,-6.03,-5.25,-5.69,-6.19,-6.12,-5.59,-5.31,-5.28,-4.62,-3.72,-3.41,-3.06,-3.0,-1.41,0.66,2.22,3.62,4.97,6.16,5.66,4.88,3.88,3.25,1.88,-0.28,-2.66,-4.53,-6.28,-8.5,-10.22,-10.62,-10.38,-10.38,-10.34,-9.97,-8.69,-7.97,-7.31,-6.34,-4.88,-4.12,-4.12,-4.5,-3.88,-3.25,-3.44,-4.16,-4.91,-5.66,-7.34,-8.69,-9.0,-8.81,-8.84,-9.66,-10.69,-11.22,-11.91,-13.06,-13.91,-13.78,-13.88,-14.66,-16.03,-16.5,-16.94,-17.34,-17.62,-16.72,-14.44,-12.12,-9.66,-7.53,-5.03,-3.28,-3.22,-4.09,-4.03,-3.62,-3.5,-3.25,-2.72,-1.59,-1.72,-2.91,-4.16,-5.22,-7.06,-10.0,-13.47,-16.22,-18.75,-21.25,-22.97,-22.31,-19.78,-16.81,-13.53,-10.06,-6.78,-4.91,-4.44,-4.94,-5.0,-5.34,-6.53,-7.78,-8.06,-8.25,-8.81,-9.38,-9.5,-9.09,-9.47,-10.59,-11.53,-12.62,-13.88,-15.94,-18.03,-19.16,-20.34,-21.72,-23.41,-23.81,-24.03,-24.69,-25.66,-25.41,-24.31,-22.91,-21.81,-20.19,-18.19,-16.31,-14.94,-13.28,-10.06,-6.31,-3.19,-0.78,1.44,2.69,2.12,0.41,-1.84,-3.94,-6.97,-10.97,-14.72,-17.75,-18.81,-19.72,-19.28,-17.16,-14.41,-12.41,-11.97,-11.25,-10.91,-10.84,-11.16,-10.53,-8.34,-5.94,-4.06,-2.41,-0.03,2.25,3.22,3.38,3.94,4.12,3.25,1.28,-0.81,-3.16,-6.69,-11.16,-15.25,-18.41,-20.53,-22.91,-24.69,-25.28,-25.03,-25.0,-24.88,-23.06,-19.75,-16.22,-12.41,-7.31,-1.56,3.62,7.47,10.38,12.88,14.47,14.41,13.62,13.16,12.84,11.81,10.22,9.16,8.41,7.66,5.5,3.69,2.28,0.88,-1.78,-3.94,-5.5,-7.09,-9.25,-11.47,-12.09,-11.31,-9.69,-8.09,-5.66,-2.31,0.09,0.84,1.69,2.88,4.41,4.66,4.31,4.62,4.91,4.0,2.72,1.84,2.16,2.12,1.38,1.53,2.31,2.75,2.31,1.72,1.94,2.72,2.25,1.41,1.47,1.38,0.66,-0.75,-1.5,-1.84,-2.31,-3.75,-4.97,-4.75,-4.56,-5.44,-5.94,-5.84,-4.56,-3.56,-1.84,0.66,4.22,6.94,8.34,8.91,9.62,9.31,7.56,5.38,4.06,3.16,1.72,0.5,0.31,1.12,1.19,0.78,0.72,1.19,1.44,1.25,1.34,2.72,4.0,4.47,4.91,5.78,6.78,7.16,7.19,7.66,9.09,9.59,9.41,9.53,10.5,10.94,10.47,10.25,11.22,11.66,10.94,9.84,9.03,8.41,7.34,6.25,5.88,6.41,5.94,5.09,4.06,3.31,2.44,0.59,-1.28,-1.94,-2.53,-3.53,-4.53,-4.62,-3.91,-3.31,-2.22,-0.22,2.31,4.56,5.91,6.72,7.84,8.34,7.78,7.03,7.0,7.34,6.88,6.41,6.25,6.72,6.44,4.88,3.53,2.59,1.16,-0.53,-2.0,-2.56,-3.56,-5.03,-6.72,-8.03,-9.03,-9.81,-10.41,-10.03,-8.31,-6.41,-5.69,-5.47,-4.34,-3.94,-3.97,-3.66,-2.66,-1.69,-1.81,-2.59,-3.12,-3.44,-4.72,-6.22,-7.12,-6.78,-6.19,-5.56,-4.22,-1.88,-0.28,0.25,0.16,0.69,1.34,1.47,0.88,0.66,0.91,0.66,0.03,-0.12,0.84,1.59,1.47,0.88,0.47,-0.16,-1.22,-2.75,-3.12,-2.59,-1.81,-1.16,-0.12,1.41,2.69,2.81,2.53,3.25,3.97,3.59,2.69,2.41,1.81,0.41,-1.16,-2.03,-2.09,-1.75,-1.78,-0.88,1.31,3.97,5.72,7.25,9.06,10.09,9.72,8.22,6.91,5.41,3.81,1.84,1.06,2.0,3.34,4.09,5.0,6.25,6.97,6.44,6.16,6.75,7.88,8.69,9.47,10.44,11.16,11.0,9.19,7.56,6.28,5.41,3.91,3.19,3.34,3.84,3.62,3.66,3.94,4.66,4.53,4.03,3.78,3.81,4.0,3.03,2.22,1.91,1.69,0.84,0.31,0.56,1.25,1.59,1.44,1.78,2.34,3.03,2.59,2.94,4.06,5.38,6.16,6.97,8.16,9.28,9.0,7.84,7.09,6.41,5.34,4.03,3.66,4.44,5.03,4.94,4.81,4.62,4.53,3.25,2.31,1.97,1.97,1.47,0.59,0.56,1.03,1.19,0.56,-0.16,-0.53,-0.66,-1.47,-1.94,-1.47,-0.03,0.78,1.28,2.12,3.81,4.34,4.56,5.06,6.03,6.59,6.28,5.59,5.41,5.16,4.09,3.16,2.59,2.69,2.28,1.84,1.69,2.5,2.72,1.62,1.34,1.56,1.38,0.62,0.0,0.25,0.5,1.06,1.62,1.94,2.41,1.97,0.88,0.03,1.0,2.31,3.69,5.44,7.62,9.03,9.0,7.78,6.34,5.38,3.19,1.22,0.25,0.03,0.16,-0.06,0.03,0.97,1.88,1.97,1.59,2.41,3.06,3.0,2.62,2.53,2.59,2.19,1.19,0.62,0.75,1.38,1.78,2.56,4.19,6.03,6.78,7.12,8.28,9.94,11.34,12.56,13.94,14.97,14.66,12.81,10.44,9.31,8.56,7.75,7.16,7.5,7.5,6.41,5.19,4.78,4.81,4.53,4.47,4.69,5.91,7.06,7.72,8.22,8.97,9.25,9.06,8.03,7.44,6.91,5.62,3.59,2.31,1.91,1.19,-0.09,-1.12,-1.53,-2.12,-3.34,-4.75,-4.94,-5.06,-5.28,-5.62,-4.34,-2.97,-2.06,-2.12,-2.59,-2.38,-2.31,-2.81,-2.59,-1.47,0.19,1.19,1.31,1.72,1.84,1.28,-0.03,0.03,0.78,2.03,2.81,4.0,6.22,7.97,8.0,7.28,6.59,5.56,3.5,1.91,1.78,2.62,3.06,2.81,2.53,2.0,0.97,-0.91,-2.25,-1.91,-0.66,0.44,1.69,3.69,5.56,6.19,5.69,5.47,5.5,5.62,4.56,4.31,4.81,5.25,4.59,3.59,2.97,2.03,0.16,-1.91,-2.84,-2.84,-2.25,-1.56,-0.12,2.75,5.47,6.91,8.69,10.44,11.62,11.5,11.0,10.59,10.34,9.25,7.72,6.66,6.47,6.56,6.19,6.66,8.09,9.53,9.44,9.44,10.0,10.12,9.38,8.19,7.53,7.28,6.19,4.78,3.81,3.56,3.03,1.88,0.78,0.59,0.41,-1.03,-1.84,-1.56,-0.31,0.03,-0.25,-0.38,-0.53,-1.56,-3.72,-4.94,-5.31,-5.66,-6.75,-7.34,-6.72,-5.66,-5.91,-6.41,-6.41,-5.97,-6.06,-5.91,-4.78,-3.38,-2.41,-3.0,-3.81,-3.69,-3.31,-3.09,-2.38,-0.75,1.16,1.94,2.28,3.0,4.06,4.53,4.69,4.97,5.78,6.38,5.97,5.56,6.06,7.03,7.16,7.0,7.28,8.09,7.38,6.31,5.28,4.72,3.41,1.34,-0.84,-1.78,-2.53,-3.59,-3.69,-2.69,-0.62,0.66,1.81,4.12,6.72,8.66,9.66,10.31,11.16,10.5,8.91,6.84,5.41,4.22,1.78,-0.66,-2.28,-3.41,-4.88,-6.0,-6.06,-5.28,-5.28,-5.84,-6.69,-6.75,-6.41,-6.0,-4.97,-2.53,-0.34,0.03,-0.81,-1.88,-3.16,-5.06,-6.91,-8.06,-8.31,-9.09,-10.59,-11.44,-11.06,-10.41,-9.75,-8.94,-6.84,-4.47,-3.06,-1.94,-0.97,0.16,0.16,-0.97,-1.81,-2.0,-2.75,-4.47,-6.19,-6.59,-7.12,-7.81,-8.25,-7.47,-6.59,-6.38,-6.12,-5.69,-4.5,-3.5,-3.06,-2.69,-1.25,-0.47,-0.94,-1.78,-1.62,-1.59,-1.84,-2.28,-2.0,-1.72,-2.09,-3.41,-3.94,-3.44,-2.59,-1.53,0.25,3.38,6.59,8.66,9.97,11.47,11.62,10.38,7.62,5.25,3.19,1.75,0.47,-0.22,0.5,31.81,32.38,32.62,33.12,33.88,34.22,34.34,34.44,34.5,34.16,33.66,33.31,32.78,32.66,32.5,32.31,32.28,32.56,33.0,33.25,33.88,34.59,35.09,35.38,35.84,36.31,37.16,38.34:4.66,2.06,-0.84,-2.91,-6.22,-9.97,-12.72,-14.06,-15.09,-16.62,-18.12,-18.62,-19.09,-20.0,-20.47,-19.5,-17.47,-15.47,-12.94,-9.56,-5.59,-1.97,0.03,1.16,2.09,2.16,0.84,-0.78,-1.59,-2.09,-2.78,-3.5,-2.94,-1.38,-0.28,0.31,0.38,0.53,-0.5,-2.75,-5.94,-7.75,-9.75,-12.31,-14.62,-15.59,-16.22,-16.44,-16.41,-15.0,-12.25,-9.47,-7.31,-5.28,-2.47,-0.06,1.06,2.0,3.56,4.66,5.03,4.38,3.78,3.66,2.47,0.47,-1.38,-2.66,-3.91,-6.06,-7.72,-8.28,-8.66,-9.81,-10.78,-10.75,-10.44,-10.59,-11.5,-12.03,-12.19,-12.84,-14.25,-15.19,-15.19,-15.25,-16.06,-16.28,-15.62,-14.81,-14.41,-14.59,-13.72,-12.72,-12.12,-12.09,-12.06,-12.28,-12.22,-13.06,-13.0,-11.78,-10.06,-8.97,-8.06,-6.59,-5.38,-4.31,-3.97,-2.84,-1.72,-0.84,-0.78,-0.91,-0.53,-0.03,-0.84,-1.25,-1.28,-1.22,-1.88,-3.28,-3.88,-3.84,-3.81,-4.0,-3.0,-1.44,-0.28,-0.41,-0.75,-0.59,-1.03,-2.41,-3.62,-4.22,-4.66,-6.19,-8.03,-8.81,-9.69,-10.44,-11.69,-12.03,-11.38,-11.16,-11.28,-11.19,-10.62,-9.84,-9.28,-8.62,-7.31,-5.56,-4.62,-4.5,-4.16,-3.28,-3.19,-3.47,-3.19,-2.69,-2.19,-2.91,-2.88,-2.09,-0.56,0.75,1.94,2.66,2.84,1.19,-1.72,-4.56,-6.62,-7.97,-8.69,-8.5,-6.91,-4.75,-3.88,-3.59,-3.75,-4.06,-4.44,-4.84,-4.84,-3.47,-2.34,-2.09,-1.5,-0.75,0.0,-0.09,-0.62,-0.94,-1.12,-2.22,-3.66,-5.25,-6.12,-7.56,-9.03,-10.0,-9.25,-8.19,-7.56,-6.81,-6.03,-5.25,-5.69,-6.19,-6.12,-5.59,-5.31,-5.28,-4.62,-3.72,-3.41,-3.06,-3.0,-1.41,0.66,2.22,3.62,4.97,6.16,5.66,4.88,3.88,3.25,1.88,-0.28,-2.66,-4.53,-6.28,-8.5,-10.22,-10.62,-10.38,-10.38,-10.34,-9.97,-8.69,-7.97,-7.31,-6.34,-4.88,-4.12,-4.12,-4.5,-3.88,-3.25,-3.44,-4.16,-4.91,-5.66,-7.34,-8.69,-9.0,-8.81,-8.84,-9.66,-10.69,-11.22,-11.91,-13.06,-13.91,-13.78,-13.88,-14.66,-16.03,-16.5,-16.94,-17.34,-17.62,-16.72,-14.44,-12.12,-9.66,-7.53,-5.03,-3.28,-3.22,-4.09,-4.03,-3.62,-3.5,-3.25,-2.72,-1.59,-1.72,-2.91,-4.16,-5.22,-7.06,-10.0,-13.47,-16.22,-18.75,-21.25,-22.97,-22.31,-19.78,-16.81,-13.53,-10.06,-6.78,-4.91,-4.44,-4.94,-5.0,-5.34,-6.53,-7.78,-8.06,-8.25,-8.81,-9.38,-9.5,-9.09,-9.47,-10.59,-11.53,-12.62,-13.88,-15.94,-18.03,-19.16,-20.34,-21.72,-23.41,-23.81,-24.03,-24.69,-25.66,-25.41,-24.31,-22.91,-21.81,-20.19,-18.19,-16.31,-14.94,-13.28,-10.06,-6.31,-3.19,-0.78,1.44,2.69,2.12,0.41,-1.84,-3.94,-6.97,-10.97,-14.72,-17.75,-18.81,-19.72,-19.28,-17.16,-14.41,-12.41,-11.97,-11.25,-10.91,-10.84,-11.16,-10.53,-8.34,-5.94,-4.06,-2.41,-0.03,2.25,3.22,3.38,3.94,4.12,3.25,1.28,-0.81,-3.16,-6.69,-11.16,-15.25,-18.41,-20.53,-22.91,-24.69,-25.28,-25.03,-25.0,-24.88,-23.06,-19.75,-16.22,-12.41,-7.31,-1.56,3.62,7.47,10.38,12.88,14.47,14.41,13.62,13.16,12.84,11.81,10.22,9.16,8.41,7.66,5.5,3.69,2.28,0.88,-1.78,-3.94,-5.5,-7.09,-9.25,-11.47,-12.09,-11.31,-9.69,-8.09,-5.66,-2.31,0.09,0.84,1.69,2.88,4.41,4.66,4.31,4.62,4.91,4.0,2.72,1.84,2.16,2.12,1.38,1.53,2.31,2.75,2.31,1.72,1.94,2.72,2.25,1.41,1.47,1.38,0.66,-0.75,-1.5,-1.84,-2.31,-3.75,-4.97,-4.75,-4.56,-5.44,-5.94,-5.84,-4.56,-3.56,-1.84,0.66,4.22,6.94,8.34,8.91,9.62,9.31,7.56,5.38,4.06,3.16,1.72,0.5,0.31,1.12,1.19,0.78,0.72,1.19,1.44,1.25,1.34,2.72,4.0,4.47,4.91,5.78,6.78,7.16,7.19,7.66,9.09,9.59,9.41,9.53,10.5,10.94,10.47,10.25,11.22,11.66,10.94,9.84,9.03,8.41,7.34,6.25,5.88,6.41,5.94,5.09,4.06,3.31,2.44,0.59,-1.28,-1.94,-2.53,-3.53,-4.53,-4.62,-3.91,-3.31,-2.22,-0.22,2.31,4.56,5.91,6.72,7.84,8.34,7.78,7.03,7.0,7.34,6.88,6.41,6.25,6.72,6.44,4.88,3.53,2.59,1.16,-0.53,-2.0,-2.56,-3.56,-5.03,-6.72,-8.03,-9.03,-9.81,-10.41,-10.03,-8.31,-6.41,-5.69,-5.47,-4.34,-3.94,-3.97,-3.66,-2.66,-1.69,-1.81,-2.59,-3.12,-3.44,-4.72,-6.22,-7.12,-6.78,-6.19,-5.56,-4.22,-1.88,-0.28,0.25,0.16,0.69,1.34,1.47,0.88,0.66,0.91,0.66,0.03,-0.12,0.84,1.59,1.47,0.88,0.47,-0.16,-1.22,-2.75,-3.12,-2.59,-1.81,-1.16,-0.12,1.41,2.69,2.81,2.53,3.25,3.97,3.59,2.69,2.41,1.81,0.41,-1.16,-2.03,-2.09,-1.75,-1.78,-0.88,1.31,3.97,5.72,7.25,9.06,10.09,9.72,8.22,6.91,5.41,3.81,1.84,1.06,2.0,3.34,4.09,5.0,6.25,6.97,6.44,6.16,6.75,7.88,8.69,9.47,10.44,11.16,11.0,9.19,7.56,6.28,5.41,3.91,3.19,3.34,3.84,3.62,3.66,3.94,4.66,4.53,4.03,3.78,3.81,4.0,3.03,2.22,1.91,1.69,0.84,0.31,0.56,1.25,1.59,1.44,1.78,2.34,3.03,2.59,2.94,4.06,5.38,6.16,6.97,8.16,9.28,9.0,7.84,7.09,6.41,5.34,4.03,3.66,4.44,5.03,4.94,4.81,4.62,4.53,3.25,2.31,1.97,1.97,1.47,0.59,0.56,1.03,1.19,0.56,-0.16,-0.53,-0.66,-1.47,-1.94,-1.47,-0.03,0.78,1.28,2.12,3.81,4.34,4.56,5.06,6.03,6.59,6.28,5.59,5.41,5.16,4.09,3.16,2.59,2.69,2.28,1.84,1.69,2.5,2.72,1.62,1.34,1.56,1.38,0.62,0.0,0.25,0.5,1.06,1.62,1.94,2.41,1.97,0.88,0.03,1.0,2.31,3.69,5.44,7.62,9.03,9.0,7.78,6.34,5.38,3.19,1.22,0.25,0.03,0.16,-0.06,0.03,0.97,1.88,1.97,1.59,2.41,3.06,3.0,2.62,2.53,2.59,2.19,1.19,0.62,0.75,1.38,1.78,2.56,4.19,6.03,6.78,7.12,8.28,9.94,11.34,12.56,13.94,14.97,14.66,12.81,10.44,9.31,8.56,7.75,7.16,7.5,7.5,6.41,5.19,4.78,4.81,4.53,4.47,4.69,5.91,7.06,7.72,8.22,8.97,9.25,9.06,8.03,7.44,6.91,5.62,3.59,2.31,1.91,1.19,-0.09,-1.12,-1.53,-2.12,-3.34,-4.75,-4.94,-5.06,-5.28,-5.62,-4.34,-2.97,-2.06,-2.12,-2.59,-2.38,-2.31,-2.81,-2.59,-1.47,0.19,1.19,1.31,1.72,1.84,1.28,-0.03,0.03,0.78,2.03,2.81,4.0,6.22,7.97,8.0,7.28,6.59,5.56,3.5,1.91,1.78,2.62,3.06,2.81,2.53,2.0,0.97,-0.91,-2.25,-1.91,-0.66,0.44,1.69,3.69,5.56,6.19,5.69,5.47,5.5,5.62,4.56,4.31,4.81,5.25,4.59,3.59,2.97,2.03,0.16,-1.91,-2.84,-2.84,-2.25,-1.56,-0.12,2.75,5.47,6.91,8.69,10.44,11.62,11.5,11.0,10.59,10.34,9.25,7.72,6.66,6.47,6.56,6.19,6.66,8.09,9.53,9.44,9.44,10.0,10.12,9.38,8.19,7.53,7.28,6.19,4.78,3.81,3.56,3.03,1.88,0.78,0.59,0.41,-1.03,-1.84,-1.56,-0.31,0.03,-0.25,-0.38,-0.53,-1.56,-3.72,-4.94,-5.31,-5.66,-6.75,-7.34,-6.72,-5.66,-5.91,-6.41,-6.41,-5.97,-6.06,-5.91,-4.78,-3.38,-2.41,-3.0,-3.81,-3.69,-3.31,-3.09,-2.38,-0.75,1.16,1.94,2.28,3.0,4.06,4.53,4.69,4.97,5.78,6.38,5.97,5.56,6.06,7.03,7.16,7.0,7.28,8.09,7.38,6.31,5.28,4.72,3.41,1.34,-0.84,-1.78,-2.53,-3.59,-3.69,-2.69,-0.62,0.66,1.81,4.12,6.72,8.66,9.66,10.31,11.16,10.5,8.91,6.84,5.41,4.22,1.78,-0.66,-2.28,-3.41,-4.88,-6.0,-6.06,-5.28,-5.28,-5.84,-6.69,-6.75,-6.41,-6.0,-4.97,-2.53,-0.34,0.03,-0.81,-1.88,-3.16,-5.06,-6.91,-8.06,-8.31,-9.09,-10.59,-11.44,-11.06,-10.41,-9.75,-8.94,-6.84,-4.47,-3.06,-1.94,-0.97,0.16,0.16,-0.97,-1.81,-2.0,-2.75,-4.47,-6.19,-6.59,-7.12,-7.81,-8.25,-7.47,-6.59,-6.38,-6.12,-5.69,-4.5,-3.5,-3.06,-2.69,-1.25,-0.47,-0.94,-1.78,-1.62,-1.59,-1.84,-2.28,-2.0,-1.72,-2.09,-3.41,-3.94,-3.44,-2.59,-1.53,0.25,3.38,6.59,8.66,9.97,11.47,11.62,10.38,7.62,5.25,3.19,1.75,0.47,-0.22,0.5,31.81,32.38,32.62,33.12,33.88,34.22,34.34,34.44,34.5,34.16,33.66,33.31,32.78,32.66,32.5,32.31,32.28,32.56,33.0,33.25,33.88,34.59,35.09,35.38,35.84,36.31,37.16,38.34,39.44,40.78,41.81,42.62,42.72,41.94,40.97:-14.06,-15.09,-16.62,-18.12,-18.62,-19.09,-20.0,-20.47,-19.5,-17.47,-15.47,-12.94,-9.56,-5.59,-1.97,0.03,1.16,2.09,2.16,0.84,-0.78,-1.59,-2.09,-2.78,-3.5,-2.94,-1.38,-0.28,0.31,0.38,0.53,-0.5,-2.75,-5.94,-7.75,-9.75,-12.31,-14.62,-15.59,-16.22,-16.44,-16.41,-15.0,-12.25,-9.47,-7.31,-5.28,-2.47,-0.06,1.06,2.0,3.56,4.66,5.03,4.38,3.78,3.66,2.47,0.47,-1.38,-2.66,-3.91,-6.06,-7.72,-8.28,-8.66,-9.81,-10.78,-10.75,-10.44,-10.59,-11.5,-12.03,-12.19,-12.84,-14.25,-15.19,-15.19,-15.25,-16.06,-16.28,-15.62,-14.81,-14.41,-14.59,-13.72,-12.72,-12.12,-12.09,-12.06,-12.28,-12.22,-13.06,-13.0,-11.78,-10.06,-8.97,-8.06,-6.59,-5.38,-4.31,-3.97,-2.84,-1.72,-0.84,-0.78,-0.91,-0.53,-0.03,-0.84,-1.25,-1.28,-1.22,-1.88,-3.28,-3.88,-3.84,-3.81,-4.0,-3.0,-1.44,-0.28,-0.41,-0.75,-0.59,-1.03,-2.41,-3.62,-4.22,-4.66,-6.19,-8.03,-8.81,-9.69,-10.44,-11.69,-12.03,-11.38,-11.16,-11.28,-11.19,-10.62,-9.84,-9.28,-8.62,-7.31,-5.56,-4.62,-4.5,-4.16,-3.28,-3.19,-3.47,-3.19,-2.69,-2.19,-2.91,-2.88,-2.09,-0.56,0.75,1.94,2.66,2.84,1.19,-1.72,-4.56,-6.62,-7.97,-8.69,-8.5,-6.91,-4.75,-3.88,-3.59,-3.75,-4.06,-4.44,-4.84,-4.84,-3.47,-2.34,-2.09,-1.5,-0.75,0.0,-0.09,-0.62,-0.94,-1.12,-2.22,-3.66,-5.25,-6.12,-7.56,-9.03,-10.0,-9.25,-8.19,-7.56,-6.81,-6.03,-5.25,-5.69,-6.19,-6.12,-5.59,-5.31,-5.28,-4.62,-3.72,-3.41,-3.06,-3.0,-1.41,0.66,2.22,3.62,4.97,6.16,5.66,4.88,3.88,3.25,1.88,-0.28,-2.66,-4.53,-6.28,-8.5,-10.22,-10.62,-10.38,-10.38,-10.34,-9.97,-8.69,-7.97,-7.31,-6.34,-4.88,-4.12,-4.12,-4.5,-3.88,-3.25,-3.44,-4.16,-4.91,-5.66,-7.34,-8.69,-9.0,-8.81,-8.84,-9.66,-10.69,-11.22,-11.91,-13.06,-13.91,-13.78,-13.88,-14.66,-16.03,-16.5,-16.94,-17.34,-17.62,-16.72,-14.44,-12.12,-9.66,-7.53,-5.03,-3.28,-3.22,-4.09,-4.03,-3.62,-3.5,-3.25,-2.72,-1.59,-1.72,-2.91,-4.16,-5.22,-7.06,-10.0,-13.47,-16.22,-18.75,-21.25,-22.97,-22.31,-19.78,-16.81,-13.53,-10.06,-6.78,-4.91,-4.44,-4.94,-5.0,-5.34,-6.53,-7.78,-8.06,-8.25,-8.81,-9.38,-9.5,-9.09,-9.47,-10.59,-11.53,-12.62,-13.88,-15.94,-18.03,-19.16,-20.34,-21.72,-23.41,-23.81,-24.03,-24.69,-25.66,-25.41,-24.31,-22.91,-21.81,-20.19,-18.19,-16.31,-14.94,-13.28,-10.06,-6.31,-3.19,-0.78,1.44,2.69,2.12,0.41,-1.84,-3.94,-6.97,-10.97,-14.72,-17.75,-18.81,-19.72,-19.28,-17.16,-14.41,-12.41,-11.97,-11.25,-10.91,-10.84,-11.16,-10.53,-8.34,-5.94,-4.06,-2.41,-0.03,2.25,3.22,3.38,3.94,4.12,3.25,1.28,-0.81,-3.16,-6.69,-11.16,-15.25,-18.41,-20.53,-22.91,-24.69,-25.28,-25.03,-25.0,-24.88,-23.06,-19.75,-16.22,-12.41,-7.31,-1.56,3.62,7.47,10.38,12.88,14.47,14.41,13.62,13.16,12.84,11.81,10.22,9.16,8.41,7.66,5.5,3.69,2.28,0.88,-1.78,-3.94,-5.5,-7.09,-9.25,-11.47,-12.09,-11.31,-9.69,-8.09,-5.66,-2.31,0.09,0.84,1.69,2.88,4.41,4.66,4.31,4.62,4.91,4.0,2.72,1.84,2.16,2.12,1.38,1.53,2.31,2.75,2.31,1.72,1.94,2.72,2.25,1.41,1.47,1.38,0.66,-0.75,-1.5,-1.84,-2.31,-3.75,-4.97,-4.75,-4.56,-5.44,-5.94,-5.84,-4.56,-3.56,-1.84,0.66,4.22,6.94,8.34,8.91,9.62,9.31,7.56,5.38,4.06,3.16,1.72,0.5,0.31,1.12,1.19,0.78,0.72,1.19,1.44,1.25,1.34,2.72,4.0,4.47,4.91,5.78,6.78,7.16,7.19,7.66,9.09,9.59,9.41,9.53,10.5,10.94,10.47,10.25,11.22,11.66,10.94,9.84,9.03,8.41,7.34,6.25,5.88,6.41,5.94,5.09,4.06,3.31,2.44,0.59,-1.28,-1.94,-2.53,-3.53,-4.53,-4.62,-3.91,-3.31,-2.22,-0.22,2.31,4.56,5.91,6.72,7.84,8.34,7.78,7.03,7.0,7.34,6.88,6.41,6.25,6.72,6.44,4.88,3.53,2.59,1.16,-0.53,-2.0,-2.56,-3.56,-5.03,-6.72,-8.03,-9.03,-9.81,-10.41,-10.03,-8.31,-6.41,-5.69,-5.47,-4.34,-3.94,-3.97,-3.66,-2.66,-1.69,-1.81,-2.59,-3.12,-3.44,-4.72,-6.22,-7.12,-6.78,-6.19,-5.56,-4.22,-1.88,-0.28,0.25,0.16,0.69,1.34,1.47,0.88,0.66,0.91,0.66,0.03,-0.12,0.84,1.59,1.47,0.88,0.47,-0.16,-1.22,-2.75,-3.12,-2.59,-1.81,-1.16,-0.12,1.41,2.69,2.81,2.53,3.25,3.97,3.59,2.69,2.41,1.81,0.41,-1.16,-2.03,-2.09,-1.75,-1.78,-0.88,1.31,3.97,5.72,7.25,9.06,10.09,9.72,8.22,6.91,5.41,3.81,1.84,1.06,2.0,3.34,4.09,5.0,6.25,6.97,6.44,6.16,6.75,7.88,8.69,9.47,10.44,11.16,11.0,9.19,7.56,6.28,5.41,3.91,3.19,3.34,3.84,3.62,3.66,3.94,4.66,4.53,4.03,3.78,3.81,4.0,3.03,2.22,1.91,1.69,0.84,0.31,0.56,1.25,1.59,1.44,1.78,2.34,3.03,2.59,2.94,4.06,5.38,6.16,6.97,8.16,9.28,9.0,7.84,7.09,6.41,5.34,4.03,3.66,4.44,5.03,4.94,4.81,4.62,4.53,3.25,2.31,1.97,1.97,1.47,0.59,0.56,1.03,1.19,0.56,-0.16,-0.53,-0.66,-1.47,-1.94,-1.47,-0.03,0.78,1.28,2.12,3.81,4.34,4.56,5.06,6.03,6.59,6.28,5.59,5.41,5.16,4.09,3.16,2.59,2.69,2.28,1.84,1.69,2.5,2.72,1.62,1.34,1.56,1.38,0.62,0.0,0.25,0.5,1.06,1.62,1.94,2.41,1.97,0.88,0.03,1.0,2.31,3.69,5.44,7.62,9.03,9.0,7.78,6.34,5.38,3.19,1.22,0.25,0.03,0.16,-0.06,0.03,0.97,1.88,1.97,1.59,2.41,3.06,3.0,2.62,2.53,2.59,2.19,1.19,0.62,0.75,1.38,1.78,2.56,4.19,6.03,6.78,7.12,8.28,9.94,11.34,12.56,13.94,14.97,14.66,12.81,10.44,9.31,8.56,7.75,7.16,7.5,7.5,6.41,5.19,4.78,4.81,4.53,4.47,4.69,5.91,7.06,7.72,8.22,8.97,9.25,9.06,8.03,7.44,6.91,5.62,3.59,2.31,1.91,1.19,-0.09,-1.12,-1.53,-2.12,-3.34,-4.75,-4.94,-5.06,-5.28,-5.62,-4.34,-2.97,-2.06,-2.12,-2.59,-2.38,-2.31,-2.81,-2.59,-1.47,0.19,1.19,1.31,1.72,1.84,1.28,-0.03,0.03,0.78,2.03,2.81,4.0,6.22,7.97,8.0,7.28,6.59,5.56,3.5,1.91,1.78,2.62,3.06,2.81,2.53,2.0,0.97,-0.91,-2.25,-1.91,-0.66,0.44,1.69,3.69,5.56,6.19,5.69,5.47,5.5,5.62,4.56,4.31,4.81,5.25,4.59,3.59,2.97,2.03,0.16,-1.91,-2.84,-2.84,-2.25,-1.56,-0.12,2.75,5.47,6.91,8.69,10.44,11.62,11.5,11.0,10.59,10.34,9.25,7.72,6.66,6.47,6.56,6.19,6.66,8.09,9.53,9.44,9.44,10.0,10.12,9.38,8.19,7.53,7.28,6.19,4.78,3.81,3.56,3.03,1.88,0.78,0.59,0.41,-1.03,-1.84,-1.56,-0.31,0.03,-0.25,-0.38,-0.53,-1.56,-3.72,-4.94,-5.31,-5.66,-6.75,-7.34,-6.72,-5.66,-5.91,-6.41,-6.41,-5.97,-6.06,-5.91,-4.78,-3.38,-2.41,-3.0,-3.81,-3.69,-3.31,-3.09,-2.38,-0.75,1.16,1.94,2.28,3.0,4.06,4.53,4.69,4.97,5.78,6.38,5.97,5.56,6.06,7.03,7.16,7.0,7.28,8.09,7.38,6.31,5.28,4.72,3.41,1.34,-0.84,-1.78,-2.53,-3.59,-3.69,-2.69,-0.62,0.66,1.81,4.12,6.72,8.66,9.66,10.31,11.16,10.5,8.91,6.84,5.41,4.22,1.78,-0.66,-2.28,-3.41,-4.88,-6.0,-6.06,-5.28,-5.28,-5.84,-6.69,-6.75,-6.41,-6.0,-4.97,-2.53,-0.34,0.03,-0.81,-1.88,-3.16,-5.06,-6.91,-8.06,-8.31,-9.09,-10.59,-11.44,-11.06,-10.41,-9.75,-8.94,-6.84,-4.47,-3.06,-1.94,-0.97,0.16,0.16,-0.97,-1.81,-2.0,-2.75,-4.47,-6.19,-6.59,-7.12,-7.81,-8.25,-7.47,-6.59,-6.38,-6.12,-5.69,-4.5,-3.5,-3.06,-2.69,-1.25,-0.47,-0.94,-1.78,-1.62,-1.59,-1.84,-2.28,-2.0,-1.72,-2.09,-3.41,-3.94,-3.44,-2.59,-1.53,0.25,3.38,6.59,8.66,9.97,11.47,11.62,10.38,7.62,5.25,3.19,1.75,0.47,-0.22,0.5,31.81,32.38,32.62,33.12,33.88,34.22,34.34,34.44,34.5,34.16,33.66,33.31,32.78,32.66,32.5,32.31,32.28,32.56,33.0,33.25,33.88,34.59,35.09,35.38,35.84,36.31,37.16,38.34,39.44,40.78,41.81,42.62,42.72,41.94,40.97,39.62,37.47,34.97,32.41,29.75,27.06,24.41:positivity
60.31,59.47,60.47,60.75,59.56,57.94,58.09,58.19,56.72,54.44,53.62,53.59,52.69,50.62,49.75,50.0,48.47,45.62,42.59,41.56,40.75,38.81,37.59,38.53,39.62,39.91,39.34,40.91,42.94,44.22,44.69,45.97,48.81,50.78,51.22,51.53,52.88,53.72,52.56,50.88,50.38,49.88,47.78,44.5,42.5,41.62,40.38,38.41,38.22,40.28,41.56,41.19,41.31,43.03,44.66,45.12,45.16,46.66,47.81,47.66,46.97,47.59,49.5,51.12,51.28,52.41,54.03,54.59,53.31,51.34,50.12,48.75,45.84,42.41,40.97,40.03,38.72,37.25,37.38,39.28,41.12,42.0,43.72,46.97,49.59,50.75,51.56,53.69,55.72,56.09,56.38,58.19,60.78,61.75,61.56,61.94,62.47,61.81,59.44,57.25,56.75,55.59,53.22,50.56,49.91,49.31,47.81,46.22,46.38,47.47,47.53,46.75,46.62,47.69,47.53,46.12,44.81,45.5,46.34,46.16,45.88,47.47,48.91,48.62,47.34,46.78,46.81,45.91,44.09,43.66,44.84,46.19,45.38,44.84,45.34,45.72,44.78,44.34,45.66,47.81,48.62,48.25,48.75,49.91,50.16,49.12,48.56,48.75,47.34,43.5,39.09,36.06,33.75,30.59,28.47,29.47,32.16,34.72,37.16,40.94,45.22,48.47,49.69,51.0,52.88,53.94,52.56,50.62,49.75,49.06,47.28,45.06,44.97,45.47,44.66,42.53,41.38,40.56,39.19,36.22,33.81,32.75,31.97,29.97,28.5,29.25,31.31,32.81,34.59,37.88,41.75,44.09,44.31,44.88,45.97,46.31,45.12,44.88,45.72,47.09,47.06,46.66,47.47,48.56,48.25,46.53,45.78,45.38,43.91,41.75,41.0,41.44,42.22,42.06,42.12,43.59,45.59,46.0,46.34,47.84,49.34,48.94,46.91,45.69,44.72,43.84,42.5,42.47,43.97,45.47,44.53,43.5,43.09,42.69,40.84,38.97,39.19,39.72,39.31,38.16,38.31,39.41,39.66,39.16,38.69,39.38,39.75,38.78,38.84,40.62,43.75,45.59,46.91,48.84,50.59,50.34,48.81,48.0,48.19,48.44,47.44,47.31,48.38,49.25,48.09,46.44,46.09,46.22,44.97,43.06,42.47,42.78,42.16,40.84,41.25,43.03,44.75,45.59,46.06,47.41,48.44,47.38,46.44,47.16,48.97,49.69,49.59,50.44,50.88,50.28,48.12,46.75,46.91,47.06,46.12,45.12,45.75,46.56,45.5,43.97,43.75,44.44,43.66,42.16,41.91,42.75,43.03,42.44,42.66,44.16,45.72,45.56,46.25,48.66,50.94,51.94,52.16,52.56,53.78,53.31,51.78,51.22,51.75,52.12,51.28,51.53,52.53,52.19,49.56,46.0,43.56,41.66,39.34,37.16,36.72,37.72,38.19,38.25,39.28,41.66,43.19,42.97,42.47,43.44,44.12,43.5,43.38,44.69,46.78,47.44,47.69,48.69,50.62,51.41,50.97,51.19,52.53,52.97,52.25,51.59,51.97,52.25,50.53,48.31,46.69,45.84,43.25,41.03,40.31,41.5,42.09,42.09,42.97,45.28,46.72,46.41,46.03,46.47,46.88,45.62,44.31,44.72,46.09,45.84,45.0,44.62,44.47,42.84,40.03,37.94,37.75,38.22,37.97,38.66,40.75,43.12,44.0,44.16,45.44,47.03,47.91,47.81,48.62,50.81,51.94,51.72,51.56,52.0,51.62,49.81,47.56,46.69,46.22,44.34,41.84,40.47,39.88,38.06,35.53,33.91,33.44,32.81,31.12,29.97,30.88,32.0,31.81,31.56,32.94,34.81,35.28,35.16,35.72,36.88,36.66,35.47,34.31,34.75,34.84,33.91,33.38,34.94,36.78,37.62,38.12,39.94,42.28,42.06,40.62,39.66,39.38,38.19,36.84,36.44,38.38,40.19,41.09,41.5,43.25,44.22,43.62,42.53,42.81,44.22,44.34,43.53,43.44,44.25,44.34,43.34,42.78,43.75,44.19,43.09,41.5,41.62,41.75,41.03,39.97,40.75,42.84,44.16,44.38,45.25,46.78,46.91,45.38,43.91,44.19,44.38,43.78,43.38,44.56,46.06,46.03,45.03,45.06,46.03,46.09,45.12,44.5,44.59,43.78,41.75,39.84,40.12,41.09,41.09,40.91,42.78,44.97,45.47,45.5,46.34,47.88,47.81,46.03,43.56,42.06,40.16,37.56,36.12,37.09,38.19,38.03,37.34,37.75,38.44,38.31,37.44,37.22,38.38,38.75,37.97,38.0,39.41,40.31,39.94,39.12,40.41,41.72,41.44,40.59,40.56,40.62,39.03,36.62,35.22,35.22,34.88,33.59,32.69,33.12,32.88,31.28,30.06,31.22,33.5,35.34,37.28,40.25,43.06,43.88,42.38,41.25,40.66,39.53,37.31,36.0,36.91,38.34,38.25,38.28,40.0,41.31,40.94,39.84,39.5,40.28,39.91,38.47,38.06,39.19,40.06,39.81,40.03,42.0,44.06,44.28,44.31,45.97,47.84,48.25,47.59,47.91,48.53,47.94,46.38,45.25,46.0,46.16,45.44,45.09,46.81,48.97,49.47,49.09,49.72,50.09,49.12,46.94,46.41,47.28,47.75,47.25,47.62,49.19,50.56,50.28,50.25,51.84,53.28,52.59,50.66,49.53,48.62,47.06,44.62,44.09,44.91,45.28,44.38,43.78,44.5,45.03,44.19,43.0,44.12,45.59,46.16,46.0,47.0,48.94,49.91,49.16,49.19,49.84,49.75,47.78,46.28,46.59,46.81,45.78,44.12,43.97,44.0,42.84,40.59,40.0,40.69,40.56,39.72,40.06,41.31,42.22,41.56,41.03,42.41,44.03,44.19,43.53,44.47,45.5,45.09,43.84,43.75,44.62,44.56,43.19,42.38,42.59,42.47,40.69,39.19,39.81,41.12,41.41,40.81,41.97,42.81,41.97,39.56,38.12,38.06,38.44,38.03,39.31,42.25,44.53,44.38,43.31,43.34,43.22,42.59,41.75,42.25,43.62,43.69,42.5,42.12,43.0,43.47,42.84,42.56,43.91,45.12,44.19,42.22,41.72,41.19,39.19,36.91,37.03,38.53,39.84,39.97,41.22,43.31,44.66,44.28,44.59,46.31,48.16,48.22,47.75,48.09,48.81,48.31,46.5,46.34,46.72,46.62,45.22,44.66,45.41,45.94,44.91,44.44,45.72,47.06,46.62,45.88,46.5,47.5,46.97,45.09,44.47,44.25,43.44,41.47,40.03,40.75,41.59,40.97,40.72,42.0,43.47,42.84,42.38,43.47,45.5,46.28,45.25,45.16,45.47,45.03,42.88,41.16,41.06,41.19,39.66,38.22,38.62,39.41,38.25,36.19,35.5,36.25,36.62,36.44,37.91,40.44,42.25,41.47,40.78,41.59,42.16,40.91,40.19,41.06,42.81,43.69,44.56,46.88,50.28,52.34,52.12,52.28,52.94,53.28,51.38,50.56,51.53,52.91,52.22,51.28,51.53,52.44,52.31,51.66,52.62,54.62,55.59,54.88,54.31,54.53,54.12,51.41,48.91,48.03,47.06,44.97,42.75,42.41,43.16,42.94,41.75,41.88,43.16,44.44,44.78,46.59,51.12,55.69,57.94,59.19,60.84,61.66,59.38,56.56,55.5,55.16,54.0,52.72,52.34,53.28,53.84,52.69,51.94,52.59,53.31,51.94,50.59,50.03,49.72,47.19,43.88,42.25,41.78,41.03,40.03,40.62,43.53,46.53,48.38,50.41,53.47,56.0,55.66,54.44,54.56,55.53,55.09,54.38,54.62,55.75,55.88,54.69,54.28,55.5,56.0,54.38,52.22,51.22,49.69,46.19,42.66,40.88,40.62,39.66,39.38,40.59,43.72,46.03,46.72,47.75,50.12,51.72,51.59,51.69,52.78,54.66,54.28,53.5,53.78,55.0,54.75,54.09,54.19,55.06,54.44,51.41,48.38,46.38,44.84,41.66,39.34,38.5,38.03,35.91,32.94,31.47,31.41,30.38,29.34,30.19,33.19,36.0,37.47,38.75,42.0,44.78,46.09,47.69,50.84,53.88,53.28,50.66,47.97,45.56,41.91,38.38,36.75,37.84,38.81,38.81,38.84,40.53,41.88,41.5,40.81,41.44,42.94,42.84,42.34,42.91,44.41,44.56,43.06,41.72,42.03,41.72,40.22,39.25,40.12,41.19,40.38,38.47,37.25,37.09,34.94,32.38,31.62,32.47,32.53,31.62,31.44,32.56,33.19,32.47,31.31,32.0,32.75,31.66,30.16,30.34,31.56,31.97,31.66,32.56,34.31,34.81,33.53,32.75,33.56,34.72,34.84,35.03,37.28,39.62,40.25,40.0,40.62,42.0,41.91,40.47,39.5,40.25,40.03,38.34,37.28,37.69,38.06,36.88,35.81,36.22,36.75,35.69,33.28,31.34,30.03,27.53,24.88,23.91,25.78,28.06,29.41,30.75,33.72,36.38,37.19,37.09,38.03,39.38,39.0,37.56,37.06,37.78,37.38,35.66,34.16,34.12,33.41,31.31,28.62,27.62,27.38,25.19,22.69,21.53,21.12,19.28,17.0,16.19,17.5,18.69,19.59,21.72,25.84,29.31,30.38,29.97,30.16,30.12,28.72,27.38,28.22,30.22,31.25,30.91,30.88,32.09,32.44,31.69,31.91,33.97,35.94,36.41,36.19,37.06,37.78,37.06,34.94,34.19,34.16,32.72,30.03,28.34,28.12,28.16,27.72,28.25,31.22,34.44,36.09,37.22,39.06,40.84,40.72,39.72,39.97,41.41,42.0,41.53,41.84,43.66,44.5,43.53,41.88,41.09,39.53,36.88,33.41,31.97,31.16,29.38,27.56,27.56,29.59,31.56,32.88,35.09,38.28,40.44,40.75,40.06,40.62,41.0,39.75,37.91,37.78,38.31,37.81,36.41,35.47,35.16,34.03,31.09,28.56,27.91,27.56,26.34:58.19,56.72,54.44,53.62,53.59,52.69,50.62,49.75,50.0,48.47,45.62,42.59,41.56,40.75,38.81,37.59,38.53,39.62,39.91,39.34,40.91,42.94,44.22,44.69,45.97,48.81,50.78,51.22,51.53,52.88,53.72,52.56,50.88,50.38,49.88,47.78,44.5,42.5,41.62,40.38,38.41,38.22,40.28,41.56,41.19,41.31,43.03,44.66,45.12,45.16,46.66,47.81,47.66,46.97,47.59,49.5,51.12,51.28,52.41,54.03,54.59,53.31,51.34,50.12,48.75,45.84,42.41,40.97,40.03,38.72,37.25,37.38,39.28,41.12,42.0,43.72,46.97,49.59,50.75,51.56,53.69,55.72,56.09,56.38,58.19,60.78,61.75,61.56,61.94,62.47,61.81,59.44,57.25,56.75,55.59,53.22,50.56,49.91,49.31,47.81,46.22,46.38,47.47,47.53,46.75,46.62,47.69,47.53,46.12,44.81,45.5,46.34,46.16,45.88,47.47,48.91,48.62,47.34,46.78,46.81,45.91,44.09,43.66,44.84,46.19,45.38,44.84,45.34,45.72,44.78,44.34,45.66,47.81,48.62,48.25,48.75,49.91,50.16,49.12,48.56,48.75,47.34,43.5,39.09,36.06,33.75,30.59,28.47,29.47,32.16,34.72,37.16,40.94,45.22,48.47,49.69,51.0,52.88,53.94,52.56,50.62,49.75,49.06,47.28,45.06,44.97,45.47,44.66,42.53,41.38,40.56,39.19,36.22,33.81,32.75,31.97,29.97,28.5,29.25,31.31,32.81,34.59,37.88,41.75,44.09,44.31,44.88,45.97,46.31,45.12,44.88,45.72,47.09,47.06,46.66,47.47,48.56,48.25,46.53,45.78,45.38,43.91,41.75,41.0,41.44,42.22,42.06,42.12,43.59,45.59,46.0,46.34,47.84,49.34,48.94,46.91,45.69,44.72,43.84,42.5,42.47,43.97,45.47,44.53,43.5,43.09,42.69,40.84,38.97,39.19,39.72,39.31,38.16,38.31,39.41,39.66,39.16,38.69,39.38,39.75,38.78,38.84,40.62,43.75,45.59,46.91,48.84,50.59,50.34,48.81,48.0,48.19,48.44,47.44,47.31,48.38,49.25,48.09,46.44,46.09,46.22,44.97,43.06,42.47,42.78,42.16,40.84,41.25,43.03,44.75,45.59,46.06,47.41,48.44,47.38,46.44,47.16,48.97,49.69,49.59,50.44,50.88,50.28,48.12,46.75,46.91,47.06,46.12,45.12,45.75,46.56,45.5,43.97,43.75,44.44,43.66,42.16,41.91,42.75,43.03,42.44,42.66,44.16,45.72,45.56,46.25,48.66,50.94,51.94,52.16,52.56,53.78,53.31,51.78,51.22,51.75,52.12,51.28,51.53,52.53,52.19,49.56,46.0,43.56,41.66,39.34,37.16,36.72,37.72,38.19,38.25,39.28,41.66,43.19,42.97,42.47,43.44,44.12,43.5,43.38,44.69,46.78,47.44,47.69,48.69,50.62,51.41,50.97,51.19,52.53,52.97,52.25,51.59,51.97,52.25,50.53,48.31,46.69,45.84,43.25,41.03,40.31,41.5,42.09,42.09,42.97,45.28,46.72,46.41,46.03,46.47,46.88,45.62,44.31,44.72,46.09,45.84,45.0,44.62,44.47,42.84,40.03,37.94,37.75,38.22,37.97,38.66,40.75,43.12,44.0,44.16,45.44,47.03,47.91,47.81,48.62,50.81,51.94,51.72,51.56,52.0,51.62,49.81,47.56,46.69,46.22,44.34,41.84,40.47,39.88,38.06,35.53,33.91,33.44,32.81,31.12,29.97,30.88,32.0,31.81,31.56,32.94,34.81,35.28,35.16,35.72,36.88,36.66,35.47,34.31,34.75,34.84,33.91,33.38,34.94,36.78,37.62,38.12,39.94,42.28,42.06,40.62,39.66,39.38,38.19,36.84,36.44,38.38,40.19,41.09,41.5,43.25,44.22,43.62,42.53,42.81,44.22,44.34,43.53,43.44,44.25,44.34,43.34,42.78,43.75,44.19,43.09,41.5,41.62,41.75,41.03,39.97,40.75,42.84,44.16,44.38,45.25,46.78,46.91,45.38,43.91,44.19,44.38,43.78,43.38,44.56,46.06,46.03,45.03,45.06,46.03,46.09,45.12,44.5,44.59,43.78,41.75,39.84,40.12,41.09,41.09,40.91,42.78,44.97,45.47,45.5,46.34,47.88,47.81,46.03,43.56,42.06,40.16,37.56,36.12,37.09,38.19,38.03,37.34,37.75,38.44,38.31,37.44,37.22,38.38,38.75,37.97,38.0,39.41,40.31,39.94,39.12,40.41,41.72,41.44,40.59,40.56,40.62,39.03,36.62,35.22,35.22,34.88,33.59,32.69,33.12,32.88,31.28,30.06,31.22,33.5,35.34,37.28,40.25,43.06,43.88,42.38,41.25,40.66,39.53,37.31,36.0,36.91,38.34,38.25,38.28,40.0,41.31,40.94,39.84,39.5,40.28,39.91,38.47,38.06,39.19,40.06,39.81,40.03,42.0,44.06,44.28,44.31,45.97,47.84,48.25,47.59,47.91,48.53,47.94,46.38,45.25,46.0,46.16,45.44,45.09,46.81,48.97,49.47,49.09,49.72,50.09,49.12,46.94,46.41,47.28,47.75,47.25,47.62,49.19,50.56,50.28,50.25,51.84,53.28,52.59,50.66,49.53,48.62,47.06,44.62,44.09,44.91,45.28,44.38,43.78,44.5,45.03,44.19,43.0,44.12,45.59,46.16,46.0,47.0,48.94,49.91,49.16,49.19,49.84,49.75,47.78,46.28,46.59,46.81,45.78,44.12,43.97,44.0,42.84,40.59,40.0,40.69,40.56,39.72,40.06,41.31,42.22,41.56,41.03,42.41,44.03,44.19,43.53,44.47,45.5,45.09,43.84,43.75,44.62,44.56,43.19,42.38,42.59,42.47,40.69,39.19,39.81,41.12,41.41,40.81,41.97,42.81,41.97,39.56,38.12,38.06,38.44,38.03,39.31,42.25,44.53,44.38,43.31,43.34,43.22,42.59,41.75,42.25,43.62,43.69,42.5,42.12,43.0,43.47,42.84,42.56,43.91,45.12,44.19,42.22,41.72,41.19,39.19,36.91,37.03,38.53,39.84,39.97,41.22,43.31,44.66,44.28,44.59,46.31,48.16,48.22,47.75,48.09,48.81,48.31,46.5,46.34,46.72,46.62,45.22,44.66,45.41,45.94,44.91,44.44,45.72,47.06,46.62,45.88,46.5,47.5,46.97,45.09,44.47,44.25,43.44,41.47,40.03,40.75,41.59,40.97,40.72,42.0,43.47,42.84,42.38,43.47,45.5,46.28,45.25,45.16,45.47,45.03,42.88,41.16,41.06,41.19,39.66,38.22,38.62,39.41,38.25,36.19,35.5,36.25,36.62,36.44,37.91,40.44,42.25,41.47,40.78,41.59,42.16,40.91,40.19,41.06,42.81,43.69,44.56,46.88,50.28,52.34,52.12,52.28,52.94,53.28,51.38,50.56,51.53,52.91,52.22,51.28,51.53,52.44,52.31,51.66,52.62,54.62,55.59,54.88,54.31,54.53,54.12,51.41,48.91,48.03,47.06,44.97,42.75,42.41,43.16,42.94,41.75,41.88,43.16,44.44,44.78,46.59,51.12,55.69,57.94,59.19,60.84,61.66,59.38,56.56,55.5,55.16,54.0,52.72,52.34,53.28,53.84,52.69,51.94,52.59,53.31,51.94,50.59,50.03,49.72,47.19,43.88,42.25,41.78,41.03,40.03,40.62,43.53,46.53,48.38,50.41,53.47,56.0,55.66,54.44,54.56,55.53,55.09,54.38,54.62,55.75,55.88,54.69,54.28,55.5,56.0,54.38,52.22,51.22,49.69,46.19,42.66,40.88,40.62,39.66,39.38,40.59,43.72,46.03,46.72,47.75,50.12,51.72,51.59,51.69,52.78,54.66,54.28,53.5,53.78,55.0,54.75,54.09,54.19,55.06,54.44,51.41,48.38,46.38,44.84,41.66,39.34,38.5,38.03,35.91,32.94,31.47,31.41,30.38,29.34,30.19,33.19,36.0,37.47,38.75,42.0,44.78,46.09,47.69,50.84,53.88,53.28,50.66,47.97,45.56,41.91,38.38,36.75,37.84,38.81,38.81,38.84,40.53,41.88,41.5,40.81,41.44,42.94,42.84,42.34,42.91,44.41,44.56,43.06,41.72,42.03,41.72,40.22,39.25,40.12,41.19,40.38,38.47,37.25,37.09,34.94,32.38,31.62,32.47,32.53,31.62,31.44,32.56,33.19,32.47,31.31,32.0,32.75,31.66,30.16,30.34,31.56,31.97,31.66,32.56,34.31,34.81,33.53,32.75,33.56,34.72,34.84,35.03,37.28,39.62,40.25,40.0,40.62,42.0,41.91,40.47,39.5,40.25,40.03,38.34,37.28,37.69,38.06,36.88,35.81,36.22,36.75,35.69,33.28,31.34,30.03,27.53,24.88,23.91,25.78,28.06,29.41,30.75,33.72,36.38,37.19,37.09,38.03,39.38,39.0,37.56,37.06,37.78,37.38,35.66,34.16,34.12,33.41,31.31,28.62,27.62,27.38,25.19,22.69,21.53,21.12,19.28,17.0,16.19,17.5,18.69,19.59,21.72,25.84,29.31,30.38,29.97,30.16,30.12,28.72,27.38,28.22,30.22,31.25,30.91,30.88,32.09,32.44,31.69,31.91,33.97,35.94,36.41,36.19,37.06,37.78,37.06,34.94,34.19,34.16,32.72,30.03,28.34,28.12,28.16,27.72,28.25,31.22,34.44,36.09,37.22,39.06,40.84,40.72,39.72,39.97,41.41,42.0,41.53,41.84,43.66,44.5,43.53,41.88,41.09,39.53,36.88,33.41,31.97,31.16,29.38,27.56,27.56,29.59,31.56,32.88,35.09,38.28,40.44,40.75,40.06,40.62,41.0,39.75,37.91,37.78,38.31,37.81,36.41,35.47,35.16,34.03,31.09,28.56,27.91,27.56,26.34,89.44,88.97,87.97,87.44,86.91,86.47,85.59:49.75,50.0,48.47,45.62,42.59,41.56,40.75,38.81,37.59,38.53,39.62,39.91,39.34,40.91,42.94,44.22,44.69,45.97,48.81,50.78,51.22,51.53,52.88,53.72,52.56,50.88,50.38,49.88,47.78,44.5,42.5,41.62,40.38,38.41,38.22,40.28,41.56,41.19,41.31,43.03,44.66,45.12,45.16,46.66,47.81,47.66,46.97,47.59,49.5,51.12,51.28,52.41,54.03,54.59,53.31,51.34,50.12,48.75,45.84,42.41,40.97,40.03,38.72,37.25,37.38,39.28,41.12,42.0,43.72,46.97,49.59,50.75,51.56,53.69,55.72,56.09,56.38,58.19,60.78,61.75,61.56,61.94,62.47,61.81,59.44,57.25,56.75,55.59,53.22,50.56,49.91,49.31,47.81,46.22,46.38,47.47,47.53,46.75,46.62,47.69,47.53,46.12,44.81,45.5,46.34,46.16,45.88,47.47,48.91,48.62,47.34,46.78,46.81,45.91,44.09,43.66,44.84,46.19,45.38,44.84,45.34,45.72,44.78,44.34,45.66,47.81,48.62,48.25,48.75,49.91,50.16,49.12,48.56,48.75,47.34,43.5,39.09,36.06,33.75,30.59,28.47,29.47,32.16,34.72,37.16,40.94,45.22,48.47,49.69,51.0,52.88,53.94,52.56,50.62,49.75,49.06,47.28,45.06,44.97,45.47,44.66,42.53,41.38,40.56,39.19,36.22,33.81,32.75,31.97,29.97,28.5,29.25,31.31,32.81,34.59,37.88,41.75,44.09,44.31,44.88,45.97,46.31,45.12,44.88,45.72,47.09,47.06,46.66,47.47,48.56,48.25,46.53,45.78,45.38,43.91,41.75,41.0,41.44,42.22,42.06,42.12,43.59,45.59,46.0,46.34,47.84,49.34,48.94,46.91,45.69,44.72,43.84,42.5,42.47,43.97,45.47,44.53,43.5,43.09,42.69,40.84,38.97,39.19,39.72,39.31,38.16,38.31,39.41,39.66,39.16,38.69,39.38,39.75,38.78,38.84,40.62,43.75,45.59,46.91,48.84,50.59,50.34,48.81,48.0,48.19,48.44,47.44,47.31,48.38,49.25,48.09,46.44,46.09,46.22,44.97,43.06,42.47,42.78,42.16,40.84,41.25,43.03,44.75,45.59,46.06,47.41,48.44,47.38,46.44,47.16,48.97,49.69,49.59,50.44,50.88,50.28,48.12,46.75,46.91,47.06,46.12,45.12,45.75,46.56,45.5,43.97,43.75,44.44,43.66,42.16,41.91,42.75,43.03,42.44,42.66,44.16,45.72,45.56,46.25,48.66,50.94,51.94,52.16,52.56,53.78,53.31,51.78,51.22,51.75,52.12,51.28,51.53,52.53,52.19,49.56,46.0,43.56,41.66,39.34,37.16,36.72,37.72,38.19,38.25,39.28,41.66,43.19,42.97,42.47,43.44,44.12,43.5,43.38,44.69,46.78,47.44,47.69,48.69,50.62,51.41,50.97,51.19,52.53,52.97,52.25,51.59,51.97,52.25,50.53,48.31,46.69,45.84,43.25,41.03,40.31,41.5,42.09,42.09,42.97,45.28,46.72,46.41,46.03,46.47,46.88,45.62,44.31,44.72,46.09,45.84,45.0,44.62,44.47,42.84,40.03,37.94,37.75,38.22,37.97,38.66,40.75,43.12,44.0,44.16,45.44,47.03,47.91,47.81,48.62,50.81,51.94,51.72,51.56,52.0,51.62,49.81,47.56,46.69,46.22,44.34,41.84,40.47,39.88,38.06,35.53,33.91,33.44,32.81,31.12,29.97,30.88,32.0,31.81,31.56,32.94,34.81,35.28,35.16,35.72,36.88,36.66,35.47,34.31,34.75,34.84,33.91,33.38,34.94,36.78,37.62,38.12,39.94,42.28,42.06,40.62,39.66,39.38,38.19,36.84,36.44,38.38,40.19,41.09,41.5,43.25,44.22,43.62,42.53,42.81,44.22,44.34,43.53,43.44,44.25,44.34,43.34,42.78,43.75,44.19,43.09,41.5,41.62,41.75,41.03,39.97,40.75,42.84,44.16,44.38,45.25,46.78,46.91,45.38,43.91,44.19,44.38,43.78,43.38,44.56,46.06,46.03,45.03,45.06,46.03,46.09,45.12,44.5,44.59,43.78,41.75,39.84,40.12,41.09,41.09,40.91,42.78,44.97,45.47,45.5,46.34,47.88,47.81,46.03,43.56,42.06,40.16,37.56,36.12,37.09,38.19,38.03,37.34,37.75,38.44,38.31,37.44,37.22,38.38,38.75,37.97,38.0,39.41,40.31,39.94,39.12,40.41,41.72,41.44,40.59,40.56,40.62,39.03,36.62,35.22,35.22,34.88,33.59,32.69,33.12,32.88,31.28,30.06,31.22,33.5,35.34,37.28,40.25,43.06,43.88,42.38,41.25,40.66,39.53,37.31,36.0,36.91,38.34,38.25,38.28,40.0,41.31,40.94,39.84,39.5,40.28,39.91,38.47,38.06,39.19,40.06,39.81,40.03,42.0,44.06,44.28,44.31,45.97,47.84,48.25,47.59,47.91,48.53,47.94,46.38,45.25,46.0,46.16,45.44,45.09,46.81,48.97,49.47,49.09,49.72,50.09,49.12,46.94,46.41,47.28,47.75,47.25,47.62,49.19,50.56,50.28,50.25,51.84,53.28,52.59,50.66,49.53,48.62,47.06,44.62,44.09,44.91,45.28,44.38,43.78,44.5,45.03,44.19,43.0,44.12,45.59,46.16,46.0,47.0,48.94,49.91,49.16,49.19,49.84,49.75,47.78,46.28,46.59,46.81,45.78,44.12,43.97,44.0,42.84,40.59,40.0,40.69,40.56,39.72,40.06,41.31,42.22,41.56,41.03,42.41,44.03,44.19,43.53,44.47,45.5,45.09,43.84,43.75,44.62,44.56,43.19,42.38,42.59,42.47,40.69,39.19,39.81,41.12,41.41,40.81,41.97,42.81,41.97,39.56,38.12,38.06,38.44,38.03,39.31,42.25,44.53,44.38,43.31,43.34,43.22,42.59,41.75,42.25,43.62,43.69,42.5,42.12,43.0,43.47,42.84,42.56,43.91,45.12,44.19,42.22,41.72,41.19,39.19,36.91,37.03,38.53,39.84,39.97,41.22,43.31,44.66,44.28,44.59,46.31,48.16,48.22,47.75,48.09,48.81,48.31,46.5,46.34,46.72,46.62,45.22,44.66,45.41,45.94,44.91,44.44,45.72,47.06,46.62,45.88,46.5,47.5,46.97,45.09,44.47,44.25,43.44,41.47,40.03,40.75,41.59,40.97,40.72,42.0,43.47,42.84,42.38,43.47,45.5,46.28,45.25,45.16,45.47,45.03,42.88,41.16,41.06,41.19,39.66,38.22,38.62,39.41,38.25,36.19,35.5,36.25,36.62,36.44,37.91,40.44,42.25,41.47,40.78,41.59,42.16,40.91,40.19,41.06,42.81,43.69,44.56,46.88,50.28,52.34,52.12,52.28,52.94,53.28,51.38,50.56,51.53,52.91,52.22,51.28,51.53,52.44,52.31,51.66,52.62,54.62,55.59,54.88,54.31,54.53,54.12,51.41,48.91,48.03,47.06,44.97,42.75,42.41,43.16,42.94,41.75,41.88,43.16,44.44,44.78,46.59,51.12,55.69,57.94,59.19,60.84,61.66,59.38,56.56,55.5,55.16,54.0,52.72,52.34,53.28,53.84,52.69,51.94,52.59,53.31,51.94,50.59,50.03,49.72,47.19,43.88,42.25,41.78,41.03,40.03,40.62,43.53,46.53,48.38,50.41,53.47,56.0,55.66,54.44,54.56,55.53,55.09,54.38,54.62,55.75,55.88,54.69,54.28,55.5,56.0,54.38,52.22,51.22,49.69,46.19,42.66,40.88,40.62,39.66,39.38,40.59,43.72,46.03,46.72,47.75,50.12,51.72,51.59,51.69,52.78,54.66,54.28,53.5,53.78,55.0,54.75,54.09,54.19,55.06,54.44,51.41,48.38,46.38,44.84,41.66,39.34,38.5,38.03,35.91,32.94,31.47,31.41,30.38,29.34,30.19,33.19,36.0,37.47,38.75,42.0,44.78,46.09,47.69,50.84,53.88,53.28,50.66,47.97,45.56,41.91,38.38,36.75,37.84,38.81,38.81,38.84,40.53,41.88,41.5,40.81,41.44,42.94,42.84,42.34,42.91,44.41,44.56,43.06,41.72,42.03,41.72,40.22,39.25,40.12,41.19,40.38,38.47,37.25,37.09,34.94,32.38,31.62,32.47,32.53,31.62,31.44,32.56,33.19,32.47,31.31,32.0,32.75,31.66,30.16,30.34,31.56,31.97,31.66,32.56,34.31,34.81,33.53,32.75,33.56,34.72,34.84,35.03,37.28,39.62,40.25,40.0,40.62,42.0,41.91,40.47,39.5,40.25,40.03,38.34,37.28,37.69,38.06,36.88,35.81,36.22,36.75,35.69,33.28,31.34,30.03,27.53,24.88,23.91,25.78,28.06,29.41,30.75,33.72,36.38,37.19,37.09,38.03,39.38,39.0,37.56,37.06,37.78,37.38,35.66,34.16,34.12,33.41,31.31,28.62,27.62,27.38,25.19,22.69,21.53,21.12,19.28,17.0,16.19,17.5,18.69,19.59,21.72,25.84,29.31,30.38,29.97,30.16,30.12,28.72,27.38,28.22,30.22,31.25,30.91,30.88,32.09,32.44,31.69,31.91,33.97,35.94,36.41,36.19,37.06,37.78,37.06,34.94,34.19,34.16,32.72,30.03,28.34,28.12,28.16,27.72,28.25,31.22,34.44,36.09,37.22,39.06,40.84,40.72,39.72,39.97,41.41,42.0,41.53,41.84,43.66,44.5,43.53,41.88,41.09,39.53,36.88,33.41,31.97,31.16,29.38,27.56,27.56,29.59,31.56,32.88,35.09,38.28,40.44,40.75,40.06,40.62,41.0,39.75,37.91,37.78,38.31,37.81,36.41,35.47,35.16,34.03,31.09,28.56,27.91,27.56,26.34,89.44,88.97,87.97,87.44,86.91,86.47,85.59,85.06,84.78,84.22,83.25,82.44,81.91,81.41:38.81,37.59,38.53,39.62,39.91,39.34,40.91,42.94,44.22,44.69,45.97,48.81,50.78,51.22,51.53,52.88,53.72,52.56,50.88,50.38,49.88,47.78,44.5,42.5,41.62,40.38,38.41,38.22,40.28,41.56,41.19,41.31,43.03,44.66,45.12,45.16,46.66,47.81,47.66,46.97,47.59,49.5,51.12,51.28,52.41,54.03,54.59,53.31,51.34,50.12,48.75,45.84,42.41,40.97,40.03,38.72,37.25,37.38,39.28,41.12,42.0,43.72,46.97,49.59,50.75,51.56,53.69,55.72,56.09,56.38,58.19,60.78,61.75,61.56,61.94,62.47,61.81,59.44,57.25,56.75,55.59,53.22,50.56,49.91,49.31,47.81,46.22,46.38,47.47,47.53,46.75,46.62,47.69,47.53,46.12,44.81,45.5,46.34,46.16,45.88,47.47,48.91,48.62,47.34,46.78,46.81,45.91,44.09,43.66,44.84,46.19,45.38,44.84,45.34,45.72,44.78,44.34,45.66,47.81,48.62,48.25,48.75,49.91,50.16,49.12,48.56,48.75,47.34,43.5,39.09,36.06,33.75,30.59,28.47,29.47,32.16,34.72,37.16,40.94,45.22,48.47,49.69,51.0,52.88,53.94,52.56,50.62,49.75,49.06,47.28,45.06,44.97,45.47,44.66,42.53,41.38,40.56,39.19,36.22,33.81,32.75,31.97,29.97,28.5,29.25,31.31,32.81,34.59,37.88,41.75,44.09,44.31,44.88,45.97,46.31,45.12,44.88,45.72,47.09,47.06,46.66,47.47,48.56,48.25,46.53,45.78,45.38,43.91,41.75,41.0,41.44,42.22,42.06,42.12,43.59,45.59,46.0,46.34,47.84,49.34,48.94,46.91,45.69,44.72,43.84,42.5,42.47,43.97,45.47,44.53,43.5,43.09,42.69,40.84,38.97,39.19,39.72,39.31,38.16,38.31,39.41,39.66,39.16,38.69,39.38,39.75,38.78,38.84,40.62,43.75,45.59,46.91,48.84,50.59,50.34,48.81,48.0,48.19,48.44,47.44,47.31,48.38,49.25,48.09,46.44,46.09,46.22,44.97,43.06,42.47,42.78,42.16,40.84,41.25,43.03,44.75,45.59,46.06,47.41,48.44,47.38,46.44,47.16,48.97,49.69,49.59,50.44,50.88,50.28,48.12,46.75,46.91,47.06,46.12,45.12,45.75,46.56,45.5,43.97,43.75,44.44,43.66,42.16,41.91,42.75,43.03,42.44,42.66,44.16,45.72,45.56,46.25,48.66,50.94,51.94,52.16,52.56,53.78,53.31,51.78,51.22,51.75,52.12,51.28,51.53,52.53,52.19,49.56,46.0,43.56,41.66,39.34,37.16,36.72,37.72,38.19,38.25,39.28,41.66,43.19,42.97,42.47,43.44,44.12,43.5,43.38,44.69,46.78,47.44,47.69,48.69,50.62,51.41,50.97,51.19,52.53,52.97,52.25,51.59,51.97,52.25,50.53,48.31,46.69,45.84,43.25,41.03,40.31,41.5,42.09,42.09,42.97,45.28,46.72,46.41,46.03,46.47,46.88,45.62,44.31,44.72,46.09,45.84,45.0,44.62,44.47,42.84,40.03,37.94,37.75,38.22,37.97,38.66,40.75,43.12,44.0,44.16,45.44,47.03,47.91,47.81,48.62,50.81,51.94,51.72,51.56,52.0,51.62,49.81,47.56,46.69,46.22,44.34,41.84,40.47,39.88,38.06,35.53,33.91,33.44,32.81,31.12,29.97,30.88,32.0,31.81,31.56,32.94,34.81,35.28,35.16,35.72,36.88,36.66,35.47,34.31,34.75,34.84,33.91,33.38,34.94,36.78,37.62,38.12,39.94,42.28,42.06,40.62,39.66,39.38,38.19,36.84,36.44,38.38,40.19,41.09,41.5,43.25,44.22,43.62,42.53,42.81,44.22,44.34,43.53,43.44,44.25,44.34,43.34,42.78,43.75,44.19,43.09,41.5,41.62,41.75,41.03,39.97,40.75,42.84,44.16,44.38,45.25,46.78,46.91,45.38,43.91,44.19,44.38,43.78,43.38,44.56,46.06,46.03,45.03,45.06,46.03,46.09,45.12,44.5,44.59,43.78,41.75,39.84,40.12,41.09,41.09,40.91,42.78,44.97,45.47,45.5,46.34,47.88,47.81,46.03,43.56,42.06,40.16,37.56,36.12,37.09,38.19,38.03,37.34,37.75,38.44,38.31,37.44,37.22,38.38,38.75,37.97,38.0,39.41,40.31,39.94,39.12,40.41,41.72,41.44,40.59,40.56,40.62,39.03,36.62,35.22,35.22,34.88,33.59,32.69,33.12,32.88,31.28,30.06,31.22,33.5,35.34,37.28,40.25,43.06,43.88,42.38,41.25,40.66,39.53,37.31,36.0,36.91,38.34,38.25,38.28,40.0,41.31,40.94,39.84,39.5,40.28,39.91,38.47,38.06,39.19,40.06,39.81,40.03,42.0,44.06,44.28,44.31,45.97,47.84,48.25,47.59,47.91,48.53,47.94,46.38,45.25,46.0,46.16,45.44,45.09,46.81,48.97,49.47,49.09,49.72,50.09,49.12,46.94,46.41,47.28,47.75,47.25,47.62,49.19,50.56,50.28,50.25,51.84,53.28,52.59,50.66,49.53,48.62,47.06,44.62,44.09,44.91,45.28,44.38,43.78,44.5,45.03,44.19,43.0,44.12,45.59,46.16,46.0,47.0,48.94,49.91,49.16,49.19,49.84,49.75,47.78,46.28,46.59,46.81,45.78,44.12,43.97,44.0,42.84,40.59,40.0,40.69,40.56,39.72,40.06,41.31,42.22,41.56,41.03,42.41,44.03,44.19,43.53,44.47,45.5,45.09,43.84,43.75,44.62,44.56,43.19,42.38,42.59,42.47,40.69,39.19,39.81,41.12,41.41,40.81,41.97,42.81,41.97,39.56,38.12,38.06,38.44,38.03,39.31,42.25,44.53,44.38,43.31,43.34,43.22,42.59,41.75,42.25,43.62,43.69,42.5,42.12,43.0,43.47,42.84,42.56,43.91,45.12,44.19,42.22,41.72,41.19,39.19,36.91,37.03,38.53,39.84,39.97,41.22,43.31,44.66,44.28,44.59,46.31,48.16,48.22,47.75,48.09,48.81,48.31,46.5,46.34,46.72,46.62,45.22,44.66,45.41,45.94,44.91,44.44,45.72,47.06,46.62,45.88,46.5,47.5,46.97,45.09,44.47,44.25,43.44,41.47,40.03,40.75,41.59,40.97,40.72,42.0,43.47,42.84,42.38,43.47,45.5,46.28,45.25,45.16,45.47,45.03,42.88,41.16,41.06,41.19,39.66,38.22,38.62,39.41,38.25,36.19,35.5,36.25,36.62,36.44,37.91,40.44,42.25,41.47,40.78,41.59,42.16,40.91,40.19,41.06,42.81,43.69,44.56,46.88,50.28,52.34,52.12,52.28,52.94,53.28,51.38,50.56,51.53,52.91,52.22,51.28,51.53,52.44,52.31,51.66,52.62,54.62,55.59,54.88,54.31,54.53,54.12,51.41,48.91,48.03,47.06,44.97,42.75,42.41,43.16,42.94,41.75,41.88,43.16,44.44,44.78,46.59,51.12,55.69,57.94,59.19,60.84,61.66,59.38,56.56,55.5,55.16,54.0,52.72,52.34,53.28,53.84,52.69,51.94,52.59,53.31,51.94,50.59,50.03,49.72,47.19,43.88,42.25,41.78,41.03,40.03,40.62,43.53,46.53,48.38,50.41,53.47,56.0,55.66,54.44,54.56,55.53,55.09,54.38,54.62,55.75,55.88,54.69,54.28,55.5,56.0,54.38,52.22,51.22,49.69,46.19,42.66,40.88,40.62,39.66,39.38,40.59,43.72,46.03,46.72,47.75,50.12,51.72,51.59,51.69,52.78,54.66,54.28,53.5,53.78,55.0,54.75,54.09,54.19,55.06,54.44,51.41,48.38,46.38,44.84,41.66,39.34,38.5,38.03,35.91,32.94,31.47,31.41,30.38,29.34,30.19,33.19,36.0,37.47,38.75,42.0,44.78,46.09,47.69,50.84,53.88,53.28,50.66,47.97,45.56,41.91,38.38,36.75,37.84,38.81,38.81,38.84,40.53,41.88,41.5,40.81,41.44,42.94,42.84,42.34,42.91,44.41,44.56,43.06,41.72,42.03,41.72,40.22,39.25,40.12,41.19,40.38,38.47,37.25,37.09,34.94,32.38,31.62,32.47,32.53,31.62,31.44,32.56,33.19,32.47,31.31,32.0,32.75,31.66,30.16,30.34,31.56,31.97,31.66,32.56,34.31,34.81,33.53,32.75,33.56,34.72,34.84,35.03,37.28,39.62,40.25,40.0,40.62,42.0,41.91,40.47,39.5,40.25,40.03,38.34,37.28,37.69,38.06,36.88,35.81,36.22,36.75,35.69,33.28,31.34,30.03,27.53,24.88,23.91,25.78,28.06,29.41,30.75,33.72,36.38,37.19,37.09,38.03,39.38,39.0,37.56,37.06,37.78,37.38,35.66,34.16,34.12,33.41,31.31,28.62,27.62,27.38,25.19,22.69,21.53,21.12,19.28,17.0,16.19,17.5,18.69,19.59,21.72,25.84,29.31,30.38,29.97,30.16,30.12,28.72,27.38,28.22,30.22,31.25,30.91,30.88,32.09,32.44,31.69,31.91,33.97,35.94,36.41,36.19,37.06,37.78,37.06,34.94,34.19,34.16,32.72,30.03,28.34,28.12,28.16,27.72,28.25,31.22,34.44,36.09,37.22,39.06,40.84,40.72,39.72,39.97,41.41,42.0,41.53,41.84,43.66,44.5,43.53,41.88,41.09,39.53,36.88,33.41,31.97,31.16,29.38,27.56,27.56,29.59,31.56,32.88,35.09,38.28,40.44,40.75,40.06,40.62,41.0,39.75,37.91,37.78,38.31,37.81,36.41,35.47,35.16,34.03,31.09,28.56,27.91,27.56,26.34,89.44,88.97,87.97,87.44,86.91,86.47,85.59,85.06,84.78,84.22,83.25,82.44,81.91,81.41,80.66,79.72,79.03,77.97,76.25,74.59,73.25:42.94,44.22,44.69,45.97,48.81,50.78,51.22,51.53,52.88,53.72,52.56,50.88,50.38,49.88,47.78,44.5,42.5,41.62,40.38,38.41,38.22,40.28,41.56,41.19,41.31,43.03,44.66,45.12,45.16,46.66,47.81,47.66,46.97,47.59,49.5,51.12,51.28,52.41,54.03,54.59,53.31,51.34,50.12,48.75,45.84,42.41,40.97,40.03,38.72,37.25,37.38,39.28,41.12,42.0,43.72,46.97,49.59,50.75,51.56,53.69,55.72,56.09,56.38,58.19,60.78,61.75,61.56,61.94,62.47,61.81,59.44,57.25,56.75,55.59,53.22,50.56,49.91,49.31,47.81,46.22,46.38,47.47,47.53,46.75,46.62,47.69,47.53,46.12,44.81,45.5,46.34,46.16,45.88,47.47,48.91,48.62,47.34,46.78,46.81,45.91,44.09,43.66,44.84,46.19,45.38,44.84,45.34,45.72,44.78,44.34,45.66,47.81,48.62,48.25,48.75,49.91,50.16,49.12,48.56,48.75,47.34,43.5,39.09,36.06,33.75,30.59,28.47,29.47,32.16,34.72,37.16,40.94,45.22,48.47,49.69,51.0,52.88,53.94,52.56,50.62,49.75,49.06,47.28,45.06,44.97,45.47,44.66,42.53,41.38,40.56,39.19,36.22,33.81,32.75,31.97,29.97,28.5,29.25,31.31,32.81,34.59,37.88,41.75,44.09,44.31,44.88,45.97,46.31,45.12,44.88,45.72,47.09,47.06,46.66,47.47,48.56,48.25,46.53,45.78,45.38,43.91,41.75,41.0,41.44,42.22,42.06,42.12,43.59,45.59,46.0,46.34,47.84,49.34,48.94,46.91,45.69,44.72,43.84,42.5,42.47,43.97,45.47,44.53,43.5,43.09,42.69,40.84,38.97,39.19,39.72,39.31,38.16,38.31,39.41,39.66,39.16,38.69,39.38,39.75,38.78,38.84,40.62,43.75,45.59,46.91,48.84,50.59,50.34,48.81,48.0,48.19,48.44,47.44,47.31,48.38,49.25,48.09,46.44,46.09,46.22,44.97,43.06,42.47,42.78,42.16,40.84,41.25,43.03,44.75,45.59,46.06,47.41,48.44,47.38,46.44,47.16,48.97,49.69,49.59,50.44,50.88,50.28,48.12,46.75,46.91,47.06,46.12,45.12,45.75,46.56,45.5,43.97,43.75,44.44,43.66,42.16,41.91,42.75,43.03,42.44,42.66,44.16,45.72,45.56,46.25,48.66,50.94,51.94,52.16,52.56,53.78,53.31,51.78,51.22,51.75,52.12,51.28,51.53,52.53,52.19,49.56,46.0,43.56,41.66,39.34,37.16,36.72,37.72,38.19,38.25,39.28,41.66,43.19,42.97,42.47,43.44,44.12,43.5,43.38,44.69,46.78,47.44,47.69,48.69,50.62,51.41,50.97,51.19,52.53,52.97,52.25,51.59,51.97,52.25,50.53,48.31,46.69,45.84,43.25,41.03,40.31,41.5,42.09,42.09,42.97,45.28,46.72,46.41,46.03,46.47,46.88,45.62,44.31,44.72,46.09,45.84,45.0,44.62,44.47,42.84,40.03,37.94,37.75,38.22,37.97,38.66,40.75,43.12,44.0,44.16,45.44,47.03,47.91,47.81,48.62,50.81,51.94,51.72,51.56,52.0,51.62,49.81,47.56,46.69,46.22,44.34,41.84,40.47,39.88,38.06,35.53,33.91,33.44,32.81,31.12,29.97,30.88,32.0,31.81,31.56,32.94,34.81,35.28,35.16,35.72,36.88,36.66,35.47,34.31,34.75,34.84,33.91,33.38,34.94,36.78,37.62,38.12,39.94,42.28,42.06,40.62,39.66,39.38,38.19,36.84,36.44,38.38,40.19,41.09,41.5,43.25,44.22,43.62,42.53,42.81,44.22,44.34,43.53,43.44,44.25,44.34,43.34,42.78,43.75,44.19,43.09,41.5,41.62,41.75,41.03,39.97,40.75,42.84,44.16,44.38,45.25,46.78,46.91,45.38,43.91,44.19,44.38,43.78,43.38,44.56,46.06,46.03,45.03,45.06,46.03,46.09,45.12,44.5,44.59,43.78,41.75,39.84,40.12,41.09,41.09,40.91,42.78,44.97,45.47,45.5,46.34,47.88,47.81,46.03,43.56,42.06,40.16,37.56,36.12,37.09,38.19,38.03,37.34,37.75,38.44,38.31,37.44,37.22,38.38,38.75,37.97,38.0,39.41,40.31,39.94,39.12,40.41,41.72,41.44,40.59,40.56,40.62,39.03,36.62,35.22,35.22,34.88,33.59,32.69,33.12,32.88,31.28,30.06,31.22,33.5,35.34,37.28,40.25,43.06,43.88,42.38,41.25,40.66,39.53,37.31,36.0,36.91,38.34,38.25,38.28,40.0,41.31,40.94,39.84,39.5,40.28,39.91,38.47,38.06,39.19,40.06,39.81,40.03,42.0,44.06,44.28,44.31,45.97,47.84,48.25,47.59,47.91,48.53,47.94,46.38,45.25,46.0,46.16,45.44,45.09,46.81,48.97,49.47,49.09,49.72,50.09,49.12,46.94,46.41,47.28,47.75,47.25,47.62,49.19,50.56,50.28,50.25,51.84,53.28,52.59,50.66,49.53,48.62,47.06,44.62,44.09,44.91,45.28,44.38,43.78,44.5,45.03,44.19,43.0,44.12,45.59,46.16,46.0,47.0,48.94,49.91,49.16,49.19,49.84,49.75,47.78,46.28,46.59,46.81,45.78,44.12,43.97,44.0,42.84,40.59,40.0,40.69,40.56,39.72,40.06,41.31,42.22,41.56,41.03,42.41,44.03,44.19,43.53,44.47,45.5,45.09,43.84,43.75,44.62,44.56,43.19,42.38,42.59,42.47,40.69,39.19,39.81,41.12,41.41,40.81,41.97,42.81,41.97,39.56,38.12,38.06,38.44,38.03,39.31,42.25,44.53,44.38,43.31,43.34,43.22,42.59,41.75,42.25,43.62,43.69,42.5,42.12,43.0,43.47,42.84,42.56,43.91,45.12,44.19,42.22,41.72,41.19,39.19,36.91,37.03,38.53,39.84,39.97,41.22,43.31,44.66,44.28,44.59,46.31,48.16,48.22,47.75,48.09,48.81,48.31,46.5,46.34,46.72,46.62,45.22,44.66,45.41,45.94,44.91,44.44,45.72,47.06,46.62,45.88,46.5,47.5,46.97,45.09,44.47,44.25,43.44,41.47,40.03,40.75,41.59,40.97,40.72,42.0,43.47,42.84,42.38,43.47,45.5,46.28,45.25,45.16,45.47,45.03,42.88,41.16,41.06,41.19,39.66,38.22,38.62,39.41,38.25,36.19,35.5,36.25,36.62,36.44,37.91,40.44,42.25,41.47,40.78,41.59,42.16,40.91,40.19,41.06,42.81,43.69,44.56,46.88,50.28,52.34,52.12,52.28,52.94,53.28,51.38,50.56,51.53,52.91,52.22,51.28,51.53,52.44,52.31,51.66,52.62,54.62,55.59,54.88,54.31,54.53,54.12,51.41,48.91,48.03,47.06,44.97,42.75,42.41,43.16,42.94,41.75,41.88,43.16,44.44,44.78,46.59,51.12,55.69,57.94,59.19,60.84,61.66,59.38,56.56,55.5,55.16,54.0,52.72,52.34,53.28,53.84,52.69,51.94,52.59,53.31,51.94,50.59,50.03,49.72,47.19,43.88,42.25,41.78,41.03,40.03,40.62,43.53,46.53,48.38,50.41,53.47,56.0,55.66,54.44,54.56,55.53,55.09,54.38,54.62,55.75,55.88,54.69,54.28,55.5,56.0,54.38,52.22,51.22,49.69,46.19,42.66,40.88,40.62,39.66,39.38,40.59,43.72,46.03,46.72,47.75,50.12,51.72,51.59,51.69,52.78,54.66,54.28,53.5,53.78,55.0,54.75,54.09,54.19,55.06,54.44,51.41,48.38,46.38,44.84,41.66,39.34,38.5,38.03,35.91,32.94,31.47,31.41,30.38,29.34,30.19,33.19,36.0,37.47,38.75,42.0,44.78,46.09,47.69,50.84,53.88,53.28,50.66,47.97,45.56,41.91,38.38,36.75,37.84,38.81,38.81,38.84,40.53,41.88,41.5,40.81,41.44,42.94,42.84,42.34,42.91,44.41,44.56,43.06,41.72,42.03,41.72,40.22,39.25,40.12,41.19,40.38,38.47,37.25,37.09,34.94,32.38,31.62,32.47,32.53,31.62,31.44,32.56,33.19,32.47,31.31,32.0,32.75,31.66,30.16,30.34,31.56,31.97,31.66,32.56,34.31,34.81,33.53,32.75,33.56,34.72,34.84,35.03,37.28,39.62,40.25,40.0,40.62,42.0,41.91,40.47,39.5,40.25,40.03,38.34,37.28,37.69,38.06,36.88,35.81,36.22,36.75,35.69,33.28,31.34,30.03,27.53,24.88,23.91,25.78,28.06,29.41,30.75,33.72,36.38,37.19,37.09,38.03,39.38,39.0,37.56,37.06,37.78,37.38,35.66,34.16,34.12,33.41,31.31,28.62,27.62,27.38,25.19,22.69,21.53,21.12,19.28,17.0,16.19,17.5,18.69,19.59,21.72,25.84,29.31,30.38,29.97,30.16,30.12,28.72,27.38,28.22,30.22,31.25,30.91,30.88,32.09,32.44,31.69,31.91,33.97,35.94,36.41,36.19,37.06,37.78,37.06,34.94,34.19,34.16,32.72,30.03,28.34,28.12,28.16,27.72,28.25,31.22,34.44,36.09,37.22,39.06,40.84,40.72,39.72,39.97,41.41,42.0,41.53,41.84,43.66,44.5,43.53,41.88,41.09,39.53,36.88,33.41,31.97,31.16,29.38,27.56,27.56,29.59,31.56,32.88,35.09,38.28,40.44,40.75,40.06,40.62,41.0,39.75,37.91,37.78,38.31,37.81,36.41,35.47,35.16,34.03,31.09,28.56,27.91,27.56,26.34,89.44,88.97,87.97,87.44,86.91,86.47,85.59,85.06,84.78,84.22,83.25,82.44,81.91,81.41,80.66,79.72,79.03,77.97,76.25,74.59,73.25,72.53,71.97,71.56,71.28,71.47,71.62,72.25:51.53,52.88,53.72,52.56,50.88,50.38,49.88,47.78,44.5,42.5,41.62,40.38,38.41,38.22,40.28,41.56,41.19,41.31,43.03,44.66,45.12,45.16,46.66,47.81,47.66,46.97,47.59,49.5,51.12,51.28,52.41,54.03,54.59,53.31,51.34,50.12,48.75,45.84,42.41,40.97,40.03,38.72,37.25,37.38,39.28,41.12,42.0,43.72,46.97,49.59,50.75,51.56,53.69,55.72,56.09,56.38,58.19,60.78,61.75,61.56,61.94,62.47,61.81,59.44,57.25,56.75,55.59,53.22,50.56,49.91,49.31,47.81,46.22,46.38,47.47,47.53,46.75,46.62,47.69,47.53,46.12,44.81,45.5,46.34,46.16,45.88,47.47,48.91,48.62,47.34,46.78,46.81,45.91,44.09,43.66,44.84,46.19,45.38,44.84,45.34,45.72,44.78,44.34,45.66,47.81,48.62,48.25,48.75,49.91,50.16,49.12,48.56,48.75,47.34,43.5,39.09,36.06,33.75,30.59,28.47,29.47,32.16,34.72,37.16,40.94,45.22,48.47,49.69,51.0,52.88,53.94,52.56,50.62,49.75,49.06,47.28,45.06,44.97,45.47,44.66,42.53,41.38,40.56,39.19,36.22,33.81,32.75,31.97,29.97,28.5,29.25,31.31,32.81,34.59,37.88,41.75,44.09,44.31,44.88,45.97,46.31,45.12,44.88,45.72,47.09,47.06,46.66,47.47,48.56,48.25,46.53,45.78,45.38,43.91,41.75,41.0,41.44,42.22,42.06,42.12,43.59,45.59,46.0,46.34,47.84,49.34,48.94,46.91,45.69,44.72,43.84,42.5,42.47,43.97,45.47,44.53,43.5,43.09,42.69,40.84,38.97,39.19,39.72,39.31,38.16,38.31,39.41,39.66,39.16,38.69,39.38,39.75,38.78,38.84,40.62,43.75,45.59,46.91,48.84,50.59,50.34,48.81,48.0,48.19,48.44,47.44,47.31,48.38,49.25,48.09,46.44,46.09,46.22,44.97,43.06,42.47,42.78,42.16,40.84,41.25,43.03,44.75,45.59,46.06,47.41,48.44,47.38,46.44,47.16,48.97,49.69,49.59,50.44,50.88,50.28,48.12,46.75,46.91,47.06,46.12,45.12,45.75,46.56,45.5,43.97,43.75,44.44,43.66,42.16,41.91,42.75,43.03,42.44,42.66,44.16,45.72,45.56,46.25,48.66,50.94,51.94,52.16,52.56,53.78,53.31,51.78,51.22,51.75,52.12,51.28,51.53,52.53,52.19,49.56,46.0,43.56,41.66,39.34,37.16,36.72,37.72,38.19,38.25,39.28,41.66,43.19,42.97,42.47,43.44,44.12,43.5,43.38,44.69,46.78,47.44,47.69,48.69,50.62,51.41,50.97,51.19,52.53,52.97,52.25,51.59,51.97,52.25,50.53,48.31,46.69,45.84,43.25,41.03,40.31,41.5,42.09,42.09,42.97,45.28,46.72,46.41,46.03,46.47,46.88,45.62,44.31,44.72,46.09,45.84,45.0,44.62,44.47,42.84,40.03,37.94,37.75,38.22,37.97,38.66,40.75,43.12,44.0,44.16,45.44,47.03,47.91,47.81,48.62,50.81,51.94,51.72,51.56,52.0,51.62,49.81,47.56,46.69,46.22,44.34,41.84,40.47,39.88,38.06,35.53,33.91,33.44,32.81,31.12,29.97,30.88,32.0,31.81,31.56,32.94,34.81,35.28,35.16,35.72,36.88,36.66,35.47,34.31,34.75,34.84,33.91,33.38,34.94,36.78,37.62,38.12,39.94,42.28,42.06,40.62,39.66,39.38,38.19,36.84,36.44,38.38,40.19,41.09,41.5,43.25,44.22,43.62,42.53,42.81,44.22,44.34,43.53,43.44,44.25,44.34,43.34,42.78,43.75,44.19,43.09,41.5,41.62,41.75,41.03,39.97,40.75,42.84,44.16,44.38,45.25,46.78,46.91,45.38,43.91,44.19,44.38,43.78,43.38,44.56,46.06,46.03,45.03,45.06,46.03,46.09,45.12,44.5,44.59,43.78,41.75,39.84,40.12,41.09,41.09,40.91,42.78,44.97,45.47,45.5,46.34,47.88,47.81,46.03,43.56,42.06,40.16,37.56,36.12,37.09,38.19,38.03,37.34,37.75,38.44,38.31,37.44,37.22,38.38,38.75,37.97,38.0,39.41,40.31,39.94,39.12,40.41,41.72,41.44,40.59,40.56,40.62,39.03,36.62,35.22,35.22,34.88,33.59,32.69,33.12,32.88,31.28,30.06,31.22,33.5,35.34,37.28,40.25,43.06,43.88,42.38,41.25,40.66,39.53,37.31,36.0,36.91,38.34,38.25,38.28,40.0,41.31,40.94,39.84,39.5,40.28,39.91,38.47,38.06,39.19,40.06,39.81,40.03,42.0,44.06,44.28,44.31,45.97,47.84,48.25,47.59,47.91,48.53,47.94,46.38,45.25,46.0,46.16,45.44,45.09,46.81,48.97,49.47,49.09,49.72,50.09,49.12,46.94,46.41,47.28,47.75,47.25,47.62,49.19,50.56,50.28,50.25,51.84,53.28,52.59,50.66,49.53,48.62,47.06,44.62,44.09,44.91,45.28,44.38,43.78,44.5,45.03,44.19,43.0,44.12,45.59,46.16,46.0,47.0,48.94,49.91,49.16,49.19,49.84,49.75,47.78,46.28,46.59,46.81,45.78,44.12,43.97,44.0,42.84,40.59,40.0,40.69,40.56,39.72,40.06,41.31,42.22,41.56,41.03,42.41,44.03,44.19,43.53,44.47,45.5,45.09,43.84,43.75,44.62,44.56,43.19,42.38,42.59,42.47,40.69,39.19,39.81,41.12,41.41,40.81,41.97,42.81,41.97,39.56,38.12,38.06,38.44,38.03,39.31,42.25,44.53,44.38,43.31,43.34,43.22,42.59,41.75,42.25,43.62,43.69,42.5,42.12,43.0,43.47,42.84,42.56,43.91,45.12,44.19,42.22,41.72,41.19,39.19,36.91,37.03,38.53,39.84,39.97,41.22,43.31,44.66,44.28,44.59,46.31,48.16,48.22,47.75,48.09,48.81,48.31,46.5,46.34,46.72,46.62,45.22,44.66,45.41,45.94,44.91,44.44,45.72,47.06,46.62,45.88,46.5,47.5,46.97,45.09,44.47,44.25,43.44,41.47,40.03,40.75,41.59,40.97,40.72,42.0,43.47,42.84,42.38,43.47,45.5,46.28,45.25,45.16,45.47,45.03,42.88,41.16,41.06,41.19,39.66,38.22,38.62,39.41,38.25,36.19,35.5,36.25,36.62,36.44,37.91,40.44,42.25,41.47,40.78,41.59,42.16,40.91,40.19,41.06,42.81,43.69,44.56,46.88,50.28,52.34,52.12,52.28,52.94,53.28,51.38,50.56,51.53,52.91,52.22,51.28,51.53,52.44,52.31,51.66,52.62,54.62,55.59,54.88,54.31,54.53,54.12,51.41,48.91,48.03,47.06,44.97,42.75,42.41,43.16,42.94,41.75,41.88,43.16,44.44,44.78,46.59,51.12,55.69,57.94,59.19,60.84,61.66,59.38,56.56,55.5,55.16,54.0,52.72,52.34,53.28,53.84,52.69,51.94,52.59,53.31,51.94,50.59,50.03,49.72,47.19,43.88,42.25,41.78,41.03,40.03,40.62,43.53,46.53,48.38,50.41,53.47,56.0,55.66,54.44,54.56,55.53,55.09,54.38,54.62,55.75,55.88,54.69,54.28,55.5,56.0,54.38,52.22,51.22,49.69,46.19,42.66,40.88,40.62,39.66,39.38,40.59,43.72,46.03,46.72,47.75,50.12,51.72,51.59,51.69,52.78,54.66,54.28,53.5,53.78,55.0,54.75,54.09,54.19,55.06,54.44,51.41,48.38,46.38,44.84,41.66,39.34,38.5,38.03,35.91,32.94,31.47,31.41,30.38,29.34,30.19,33.19,36.0,37.47,38.75,42.0,44.78,46.09,47.69,50.84,53.88,53.28,50.66,47.97,45.56,41.91,38.38,36.75,37.84,38.81,38.81,38.84,40.53,41.88,41.5,40.81,41.44,42.94,42.84,42.34,42.91,44.41,44.56,43.06,41.72,42.03,41.72,40.22,39.25,40.12,41.19,40.38,38.47,37.25,37.09,34.94,32.38,31.62,32.47,32.53,31.62,31.44,32.56,33.19,32.47,31.31,32.0,32.75,31.66,30.16,30.34,31.56,31.97,31.66,32.56,34.31,34.81,33.53,32.75,33.56,34.72,34.84,35.03,37.28,39.62,40.25,40.0,40.62,42.0,41.91,40.47,39.5,40.25,40.03,38.34,37.28,37.69,38.06,36.88,35.81,36.22,36.75,35.69,33.28,31.34,30.03,27.53,24.88,23.91,25.78,28.06,29.41,30.75,33.72,36.38,37.19,37.09,38.03,39.38,39.0,37.56,37.06,37.78,37.38,35.66,34.16,34.12,33.41,31.31,28.62,27.62,27.38,25.19,22.69,21.53,21.12,19.28,17.0,16.19,17.5,18.69,19.59,21.72,25.84,29.31,30.38,29.97,30.16,30.12,28.72,27.38,28.22,30.22,31.25,30.91,30.88,32.09,32.44,31.69,31.91,33.97,35.94,36.41,36.19,37.06,37.78,37.06,34.94,34.19,34.16,32.72,30.03,28.34,28.12,28.16,27.72,28.25,31.22,34.44,36.09,37.22,39.06,40.84,40.72,39.72,39.97,41.41,42.0,41.53,41.84,43.66,44.5,43.53,41.88,41.09,39.53,36.88,33.41,31.97,31.16,29.38,27.56,27.56,29.59,31.56,32.88,35.09,38.28,40.44,40.75,40.06,40.62,41.0,39.75,37.91,37.78,38.31,37.81,36.41,35.47,35.16,34.03,31.09,28.56,27.91,27.56,26.34,89.44,88.97,87.97,87.44,86.91,86.47,85.59,85.06,84.78,84.22,83.25,82.44,81.91,81.41,80.66,79.72,79.03,77.97,76.25,74.59,73.25,72.53,71.97,71.56,71.28,71.47,71.62,72.25,72.72,73.66,74.84,75.88,77.0,78.28,79.75:47.78,44.5,42.5,41.62,40.38,38.41,38.22,40.28,41.56,41.19,41.31,43.03,44.66,45.12,45.16,46.66,47.81,47.66,46.97,47.59,49.5,51.12,51.28,52.41,54.03,54.59,53.31,51.34,50.12,48.75,45.84,42.41,40.97,40.03,38.72,37.25,37.38,39.28,41.12,42.0,43.72,46.97,49.59,50.75,51.56,53.69,55.72,56.09,56.38,58.19,60.78,61.75,61.56,61.94,62.47,61.81,59.44,57.25,56.75,55.59,53.22,50.56,49.91,49.31,47.81,46.22,46.38,47.47,47.53,46.75,46.62,47.69,47.53,46.12,44.81,45.5,46.34,46.16,45.88,47.47,48.91,48.62,47.34,46.78,46.81,45.91,44.09,43.66,44.84,46.19,45.38,44.84,45.34,45.72,44.78,44.34,45.66,47.81,48.62,48.25,48.75,49.91,50.16,49.12,48.56,48.75,47.34,43.5,39.09,36.06,33.75,30.59,28.47,29.47,32.16,34.72,37.16,40.94,45.22,48.47,49.69,51.0,52.88,53.94,52.56,50.62,49.75,49.06,47.28,45.06,44.97,45.47,44.66,42.53,41.38,40.56,39.19,36.22,33.81,32.75,31.97,29.97,28.5,29.25,31.31,32.81,34.59,37.88,41.75,44.09,44.31,44.88,45.97,46.31,45.12,44.88,45.72,47.09,47.06,46.66,47.47,48.56,48.25,46.53,45.78,45.38,43.91,41.75,41.0,41.44,42.22,42.06,42.12,43.59,45.59,46.0,46.34,47.84,49.34,48.94,46.91,45.69,44.72,43.84,42.5,42.47,43.97,45.47,44.53,43.5,43.09,42.69,40.84,38.97,39.19,39.72,39.31,38.16,38.31,39.41,39.66,39.16,38.69,39.38,39.75,38.78,38.84,40.62,43.75,45.59,46.91,48.84,50.59,50.34,48.81,48.0,48.19,48.44,47.44,47.31,48.38,49.25,48.09,46.44,46.09,46.22,44.97,43.06,42.47,42.78,42.16,40.84,41.25,43.03,44.75,45.59,46.06,47.41,48.44,47.38,46.44,47.16,48.97,49.69,49.59,50.44,50.88,50.28,48.12,46.75,46.91,47.06,46.12,45.12,45.75,46.56,45.5,43.97,43.75,44.44,43.66,42.16,41.91,42.75,43.03,42.44,42.66,44.16,45.72,45.56,46.25,48.66,50.94,51.94,52.16,52.56,53.78,53.31,51.78,51.22,51.75,52.12,51.28,51.53,52.53,52.19,49.56,46.0,43.56,41.66,39.34,37.16,36.72,37.72,38.19,38.25,39.28,41.66,43.19,42.97,42.47,43.44,44.12,43.5,43.38,44.69,46.78,47.44,47.69,48.69,50.62,51.41,50.97,51.19,52.53,52.97,52.25,51.59,51.97,52.25,50.53,48.31,46.69,45.84,43.25,41.03,40.31,41.5,42.09,42.09,42.97,45.28,46.72,46.41,46.03,46.47,46.88,45.62,44.31,44.72,46.09,45.84,45.0,44.62,44.47,42.84,40.03,37.94,37.75,38.22,37.97,38.66,40.75,43.12,44.0,44.16,45.44,47.03,47.91,47.81,48.62,50.81,51.94,51.72,51.56,52.0,51.62,49.81,47.56,46.69,46.22,44.34,41.84,40.47,39.88,38.06,35.53,33.91,33.44,32.81,31.12,29.97,30.88,32.0,31.81,31.56,32.94,34.81,35.28,35.16,35.72,36.88,36.66,35.47,34.31,34.75,34.84,33.91,33.38,34.94,36.78,37.62,38.12,39.94,42.28,42.06,40.62,39.66,39.38,38.19,36.84,36.44,38.38,40.19,41.09,41.5,43.25,44.22,43.62,42.53,42.81,44.22,44.34,43.53,43.44,44.25,44.34,43.34,42.78,43.75,44.19,43.09,41.5,41.62,41.75,41.03,39.97,40.75,42.84,44.16,44.38,45.25,46.78,46.91,45.38,43.91,44.19,44.38,43.78,43.38,44.56,46.06,46.03,45.03,45.06,46.03,46.09,45.12,44.5,44.59,43.78,41.75,39.84,40.12,41.09,41.09,40.91,42.78,44.97,45.47,45.5,46.34,47.88,47.81,46.03,43.56,42.06,40.16,37.56,36.12,37.09,38.19,38.03,37.34,37.75,38.44,38.31,37.44,37.22,38.38,38.75,37.97,38.0,39.41,40.31,39.94,39.12,40.41,41.72,41.44,40.59,40.56,40.62,39.03,36.62,35.22,35.22,34.88,33.59,32.69,33.12,32.88,31.28,30.06,31.22,33.5,35.34,37.28,40.25,43.06,43.88,42.38,41.25,40.66,39.53,37.31,36.0,36.91,38.34,38.25,38.28,40.0,41.31,40.94,39.84,39.5,40.28,39.91,38.47,38.06,39.19,40.06,39.81,40.03,42.0,44.06,44.28,44.31,45.97,47.84,48.25,47.59,47.91,48.53,47.94,46.38,45.25,46.0,46.16,45.44,45.09,46.81,48.97,49.47,49.09,49.72,50.09,49.12,46.94,46.41,47.28,47.75,47.25,47.62,49.19,50.56,50.28,50.25,51.84,53.28,52.59,50.66,49.53,48.62,47.06,44.62,44.09,44.91,45.28,44.38,43.78,44.5,45.03,44.19,43.0,44.12,45.59,46.16,46.0,47.0,48.94,49.91,49.16,49.19,49.84,49.75,47.78,46.28,46.59,46.81,45.78,44.12,43.97,44.0,42.84,40.59,40.0,40.69,40.56,39.72,40.06,41.31,42.22,41.56,41.03,42.41,44.03,44.19,43.53,44.47,45.5,45.09,43.84,43.75,44.62,44.56,43.19,42.38,42.59,42.47,40.69,39.19,39.81,41.12,41.41,40.81,41.97,42.81,41.97,39.56,38.12,38.06,38.44,38.03,39.31,42.25,44.53,44.38,43.31,43.34,43.22,42.59,41.75,42.25,43.62,43.69,42.5,42.12,43.0,43.47,42.84,42.56,43.91,45.12,44.19,42.22,41.72,41.19,39.19,36.91,37.03,38.53,39.84,39.97,41.22,43.31,44.66,44.28,44.59,46.31,48.16,48.22,47.75,48.09,48.81,48.31,46.5,46.34,46.72,46.62,45.22,44.66,45.41,45.94,44.91,44.44,45.72,47.06,46.62,45.88,46.5,47.5,46.97,45.09,44.47,44.25,43.44,41.47,40.03,40.75,41.59,40.97,40.72,42.0,43.47,42.84,42.38,43.47,45.5,46.28,45.25,45.16,45.47,45.03,42.88,41.16,41.06,41.19,39.66,38.22,38.62,39.41,38.25,36.19,35.5,36.25,36.62,36.44,37.91,40.44,42.25,41.47,40.78,41.59,42.16,40.91,40.19,41.06,42.81,43.69,44.56,46.88,50.28,52.34,52.12,52.28,52.94,53.28,51.38,50.56,51.53,52.91,52.22,51.28,51.53,52.44,52.31,51.66,52.62,54.62,55.59,54.88,54.31,54.53,54.12,51.41,48.91,48.03,47.06,44.97,42.75,42.41,43.16,42.94,41.75,41.88,43.16,44.44,44.78,46.59,51.12,55.69,57.94,59.19,60.84,61.66,59.38,56.56,55.5,55.16,54.0,52.72,52.34,53.28,53.84,52.69,51.94,52.59,53.31,51.94,50.59,50.03,49.72,47.19,43.88,42.25,41.78,41.03,40.03,40.62,43.53,46.53,48.38,50.41,53.47,56.0,55.66,54.44,54.56,55.53,55.09,54.38,54.62,55.75,55.88,54.69,54.28,55.5,56.0,54.38,52.22,51.22,49.69,46.19,42.66,40.88,40.62,39.66,39.38,40.59,43.72,46.03,46.72,47.75,50.12,51.72,51.59,51.69,52.78,54.66,54.28,53.5,53.78,55.0,54.75,54.09,54.19,55.06,54.44,51.41,48.38,46.38,44.84,41.66,39.34,38.5,38.03,35.91,32.94,31.47,31.41,30.38,29.34,30.19,33.19,36.0,37.47,38.75,42.0,44.78,46.09,47.69,50.84,53.88,53.28,50.66,47.97,45.56,41.91,38.38,36.75,37.84,38.81,38.81,38.84,40.53,41.88,41.5,40.81,41.44,42.94,42.84,42.34,42.91,44.41,44.56,43.06,41.72,42.03,41.72,40.22,39.25,40.12,41.19,40.38,38.47,37.25,37.09,34.94,32.38,31.62,32.47,32.53,31.62,31.44,32.56,33.19,32.47,31.31,32.0,32.75,31.66,30.16,30.34,31.56,31.97,31.66,32.56,34.31,34.81,33.53,32.75,33.56,34.72,34.84,35.03,37.28,39.62,40.25,40.0,40.62,42.0,41.91,40.47,39.5,40.25,40.03,38.34,37.28,37.69,38.06,36.88,35.81,36.22,36.75,35.69,33.28,31.34,30.03,27.53,24.88,23.91,25.78,28.06,29.41,30.75,33.72,36.38,37.19,37.09,38.03,39.38,39.0,37.56,37.06,37.78,37.38,35.66,34.16,34.12,33.41,31.31,28.62,27.62,27.38,25.19,22.69,21.53,21.12,19.28,17.0,16.19,17.5,18.69,19.59,21.72,25.84,29.31,30.38,29.97,30.16,30.12,28.72,27.38,28.22,30.22,31.25,30.91,30.88,32.09,32.44,31.69,31.91,33.97,35.94,36.41,36.19,37.06,37.78,37.06,34.94,34.19,34.16,32.72,30.03,28.34,28.12,28.16,27.72,28.25,31.22,34.44,36.09,37.22,39.06,40.84,40.72,39.72,39.97,41.41,42.0,41.53,41.84,43.66,44.5,43.53,41.88,41.09,39.53,36.88,33.41,31.97,31.16,29.38,27.56,27.56,29.59,31.56,32.88,35.09,38.28,40.44,40.75,40.06,40.62,41.0,39.75,37.91,37.78,38.31,37.81,36.41,35.47,35.16,34.03,31.09,28.56,27.91,27.56,26.34,89.44,88.97,87.97,87.44,86.91,86.47,85.59,85.06,84.78,84.22,83.25,82.44,81.91,81.41,80.66,79.72,79.03,77.97,76.25,74.59,73.25,72.53,71.97,71.56,71.28,71.47,71.62,72.25,72.72,73.66,74.84,75.88,77.0,78.28,79.75,80.59,80.97,80.62,80.31,79.34,77.53,75.66:positivity
6.09,4.0,3.88,6.16,7.72,6.28,5.12,5.44,5.44,2.34,-0.53,-0.09,1.5,1.59,0.62,1.22,2.69,2.34,-0.5,-2.38,-2.19,-2.34,-4.72,-6.34,-4.56,-2.34,-2.31,-2.19,0.09,2.84,2.78,0.75,0.0,0.62,0.94,-0.41,-0.41,2.31,5.06,5.38,5.28,7.72,10.5,10.25,8.97,9.69,11.06,10.25,7.62,6.66,7.69,7.94,6.19,5.09,6.22,7.06,4.88,2.97,3.53,5.25,5.44,4.22,4.97,6.25,5.69,2.72,0.62,0.69,0.09,-3.38,-5.88,-5.69,-4.91,-6.09,-7.53,-6.56,-4.03,-4.31,-5.41,-5.03,-3.22,-2.69,-4.88,-6.03,-5.44,-5.47,-8.03,-10.0,-9.12,-7.31,-7.0,-7.53,-6.09,-3.16,-2.12,-2.38,-1.62,1.19,2.53,1.66,1.12,2.75,4.41,3.31,1.81,2.72,4.03,3.31,1.5,1.16,1.88,0.72,-2.03,-3.69,-3.44,-3.44,-5.53,-6.47,-5.16,-2.97,-2.84,-3.12,-0.81,2.19,3.91,4.16,5.94,9.0,10.16,9.19,8.97,11.0,12.62,12.03,11.38,12.78,14.09,13.06,11.44,11.91,13.62,13.03,10.97,9.81,10.97,10.69,9.09,8.53,10.03,11.75,10.5,8.84,9.53,10.97,10.0,8.28,7.94,8.97,8.0,5.25,3.94,5.0,5.59,4.03,2.66,3.59,4.75,2.62,-0.03,-0.41,0.41,-0.47,-1.66,-0.94,1.81,3.03,2.47,2.31,4.09,4.94,3.09,1.19,1.75,3.0,2.06,0.38,1.0,2.62,2.0,-0.09,-1.06,0.34,0.44,-0.62,-0.97,1.78,4.19,4.31,4.12,6.22,8.66,8.44,7.62,8.47,9.88,8.88,5.25,1.56,-0.41,-3.5,-7.97,-10.72,-9.53,-6.94,-6.06,-5.16,-1.91,1.72,1.91,0.19,-0.78,-0.75,-2.06,-4.81,-5.75,-4.0,-2.5,-3.59,-4.94,-3.97,-3.16,-4.28,-6.34,-5.94,-4.44,-4.75,-6.38,-6.12,-3.41,-1.62,-1.0,0.03,3.44,6.0,5.38,4.12,5.22,6.5,5.66,3.78,3.91,5.38,5.28,3.41,2.44,3.22,1.91,-1.62,-5.34,-5.97,-5.69,-7.22,-8.88,-7.56,-5.75,-6.03,-7.5,-7.28,-5.34,-4.75,-5.91,-5.75,-3.44,-1.5,-1.72,-1.97,0.66,3.53,3.88,3.38,4.84,6.62,5.75,2.97,1.81,2.31,1.78,-0.28,-1.47,-0.09,1.22,0.62,-0.66,0.44,1.94,0.5,-2.44,-2.72,-1.31,-1.5,-3.06,-3.0,-1.25,-0.5,-2.25,-3.78,-2.94,-3.03,-5.25,-8.25,-8.5,-7.97,-9.28,-11.88,-12.25,-11.06,-11.25,-12.5,-12.72,-10.12,-7.47,-7.25,-6.69,-3.69,-1.06,-1.09,-1.75,-0.19,2.31,3.28,2.0,2.16,3.44,3.28,0.53,-1.53,-1.22,-0.69,-2.75,-5.22,-4.69,-4.28,-6.31,-9.59,-10.5,-10.0,-10.66,-12.72,-12.91,-10.75,-9.62,-10.09,-10.31,-7.62,-5.53,-5.91,-6.5,-5.06,-3.62,-3.97,-6.0,-6.22,-4.94,-4.78,-6.53,-6.5,-4.38,-2.19,-2.16,-1.47,1.97,5.25,5.53,4.44,4.81,5.5,3.72,0.31,-0.84,-0.5,-0.88,-3.94,-5.72,-5.12,-4.75,-6.69,-8.06,-7.0,-5.81,-7.53,-10.09,-9.84,-8.38,-8.41,-10.47,-10.94,-10.31,-11.0,-14.03,-15.72,-14.34,-12.91,-13.25,-13.41,-10.88,-7.97,-7.81,-9.59,-9.69,-8.69,-9.16,-10.97,-10.78,-7.78,-5.34,-6.09,-6.47,-5.53,-5.66,-8.91,-12.53,-13.5,-11.78,-11.84,-12.84,-11.66,-9.44,-9.09,-11.47,-12.78,-11.75,-10.84,-12.53,-13.59,-11.88,-10.06,-10.62,-12.25,-12.0,-10.78,-11.69,-14.62,-15.56,-14.66,-14.62,-16.56,-17.22,-15.0,-13.09,-13.97,-14.66,-13.16,-11.31,-11.53,-13.25,-12.81,-10.62,-10.38,-11.78,-11.88,-10.28,-10.06,-13.09,-15.25,-14.5,-13.16,-13.66,-13.84,-11.66,-8.81,-8.94,-10.47,-11.06,-10.31,-11.62,-15.38,-17.59,-17.31,-17.03,-19.28,-20.16,-18.81,-16.94,-18.0,-19.0,-17.44,-14.56,-13.75,-14.25,-13.47,-10.84,-9.59,-10.44,-10.31,-7.72,-5.69,-6.41,-7.5,-6.59,-5.47,-7.34,-9.88,-10.0,-8.56,-9.03,-11.12,-12.03,-10.97,-10.28,-11.5,-11.12,-7.56,-4.41,-4.41,-4.97,-4.78,-4.34,-6.66,-10.28,-11.91,-11.41,-12.0,-14.22,-15.31,-14.72,-14.84,-18.09,-20.59,-20.0,-18.28,-18.41,-17.88,-14.62,-10.38,-9.19,-9.88,-9.88,-8.44,-8.53,-10.16,-10.22,-7.34,-4.38,-3.84,-3.28,-0.38,2.34,2.06,0.53,0.0,0.5,-1.25,-4.47,-6.16,-5.09,-4.41,-5.53,-5.97,-3.84,-2.53,-3.97,-6.47,-6.34,-5.06,-5.88,-6.81,-5.31,-1.91,-0.66,-1.84,-2.5,-1.16,-0.34,-1.69,-1.66,2.03,6.59,8.34,9.38,12.25,15.22,14.84,12.91,11.53,11.62,9.75,5.41,2.12,1.53,1.25,-1.31,-3.09,-1.78,0.19,-0.88,-2.66,-2.72,-1.38,-2.59,-4.72,-5.28,-3.19,-1.66,-1.91,-1.53,1.34,3.16,1.47,-0.81,-1.03,0.16,-1.09,-3.03,-3.03,-1.5,-2.28,-4.66,-5.69,-4.75,-4.41,-6.16,-7.59,-6.12,-4.53,-5.69,-7.03,-5.78,-2.78,-1.59,-1.47,0.59,3.66,4.19,2.06,0.75,1.91,3.16,2.62,3.06,6.56,9.88,9.72,8.25,8.5,9.03,7.53,4.44,3.22,3.78,3.06,-0.03,-2.12,-1.84,-1.84,-3.31,-4.16,-1.16,2.78,4.38,3.91,4.69,5.69,3.81,0.34,-1.25,0.09,0.97,0.03,0.31,2.88,4.12,2.78,0.41,0.44,0.84,-0.12,-1.44,-0.03,3.62,5.75,5.69,5.84,7.72,7.97,6.0,4.5,6.09,7.59,7.31,5.94,6.72,8.31,7.78,5.72,5.22,6.62,6.97,5.22,4.28,6.41,7.34,5.91,4.06,4.62,5.62,4.09,1.41,1.34,2.28,1.47,-1.5,-3.16,-2.78,-3.41,-5.88,-7.44,-5.34,-3.06,-3.38,-3.66,-1.12,2.0,3.19,2.84,4.5,7.09,8.0,6.72,6.41,7.62,7.56,4.78,1.97,2.28,2.53,0.81,-0.81,-0.25,1.09,0.31,-1.88,-1.81,0.34,1.34,0.66,0.91,3.12,4.25,2.5,0.72,1.56,2.81,1.84,0.72,2.25,5.12,6.75,6.78,8.5,11.66,13.31,12.25,11.22,11.91,11.88,9.41,6.88,7.25,8.72,8.16,6.59,7.09,8.12,7.34,4.44,2.75,2.91,2.81,0.34,-1.25,0.22,1.44,0.38,-1.31,-1.28,-0.38,-1.69,-3.38,-2.12,1.19,4.09,4.69,5.47,7.56,8.5,6.16,4.34,5.22,6.75,6.16,5.16,5.91,7.62,7.41,5.34,5.06,6.62,6.62,4.22,2.78,3.22,4.16,2.84,2.5,5.34,9.06,10.91,11.25,12.84,15.03,14.97,12.19,10.34,10.34,8.88,4.69,1.69,1.38,1.88,0.56,-0.66,0.81,3.12,3.34,1.84,1.44,2.28,1.25,-1.53,-2.03,0.47,3.25,3.88,4.91,7.78,10.56,10.19,9.41,10.84,12.59,12.69,10.56,9.72,10.03,9.16,6.06,4.66,5.84,7.06,5.53,4.25,4.94,6.34,5.94,5.25,6.62,9.22,10.34,9.34,9.72,11.84,13.12,12.19,11.5,13.22,14.84,13.84,12.56,13.41,15.31,15.0,13.69,13.81,15.59,15.81,14.0,13.28,14.19,14.66,12.72,11.28,13.06,15.56,15.75,15.56,16.97,18.94,18.56,16.69,16.16,17.75,18.19,16.12,15.78,17.0,17.47,15.34,13.47,13.88,15.72,15.62,15.28,16.94,19.56,19.59,17.38,15.84,16.06,15.59,13.53,12.91,15.12,17.22,16.41,14.47,14.28,14.06,11.75,9.16,8.81,10.62,11.47,11.03,11.12,13.19,14.47,13.25,12.03,12.97,14.25,13.0,11.12,11.78,13.53,13.31,12.06,11.72,12.75,12.38,10.09,8.56,10.0,11.66,10.72,10.12,11.34,12.59,11.09,8.88,8.88,10.5,10.53,9.25,8.94,10.44,10.41,8.91,7.91,9.75,12.06,11.44,10.22,10.56,11.38,10.0,7.88,7.97,10.53,11.25,10.34,10.47,12.53,13.28,11.62,9.75,10.03,10.56,8.94,7.44,8.81,11.44,12.03,11.0,10.62,11.78,10.75,8.25,6.56,7.81,8.94,7.97,7.16,9.22,11.88,12.03,11.25,11.94,14.12,14.03,12.53,12.12,13.69,13.84,11.72,10.44,11.44,12.12,10.16,7.47,6.5,6.59,4.75,2.78,3.75,6.88,9.03,10.16,12.03,15.84,18.72,18.62,18.41,20.41,22.03,21.16,19.19,18.97,19.03,16.09,11.22,7.78,6.31,4.41,1.88,0.62,2.69,4.31,3.94,3.59,6.31,9.78,11.25,11.94,14.66,18.47,20.16,20.09,20.56,22.5,22.72,20.31,18.38,18.72,19.09,16.97,14.16,14.25,14.97,13.97,12.38,12.94,14.88,14.69,12.31,10.88,10.84,10.06,7.16,4.19,3.75,3.94,1.88,0.19,1.88,4.5,6.25,6.84,8.62,11.72,12.69,11.16,9.72,10.5,10.41,8.72,6.69,7.69,9.03,7.75,4.62,3.06,1.59,-1.94,-6.91,-9.28,-8.44,-7.5,-7.91,-7.34,-4.31,-1.84,-1.91,-2.03,-0.03,2.72,3.22,2.5,3.81,6.25,7.44,6.44,6.75,8.41,8.81,6.47,4.03,3.84,3.44,0.81,-2.31,-2.78,-1.5,-1.66,-2.41,-1.5,1.0,2.41,1.75,2.34,4.88,6.69,5.94,4.47,5.91,7.31,6.34,4.72,5.66,7.19,7.06,5.69,6.53:5.44,5.44,2.34,-0.53,-0.09,1.5,1.59,0.62,1.22,2.69,2.34,-0.5,-2.38,-2.19,-2.34,-4.72,-6.34,-4.56,-2.34,-2.31,-2.19,0.09,2.84,2.78,0.75,0.0,0.62,0.94,-0.41,-0.41,2.31,5.06,5.38,5.28,7.72,10.5,10.25,8.97,9.69,11.06,10.25,7.62,6.66,7.69,7.94,6.19,5.09,6.22,7.06,4.88,2.97,3.53,5.25,5.44,4.22,4.97,6.25,5.69,2.72,0.62,0.69,0.09,-3.38,-5.88,-5.69,-4.91,-6.09,-7.53,-6.56,-4.03,-4.31,-5.41,-5.03,-3.22,-2.69,-4.88,-6.03,-5.44,-5.47,-8.03,-10.0,-9.12,-7.31,-7.0,-7.53,-6.09,-3.16,-2.12,-2.38,-1.62,1.19,2.53,1.66,1.12,2.75,4.41,3.31,1.81,2.72,4.03,3.31,1.5,1.16,1.88,0.72,-2.03,-3.69,-3.44,-3.44,-5.53,-6.47,-5.16,-2.97,-2.84,-3.12,-0.81,2.19,3.91,4.16,5.94,9.0,10.16,9.19,8.97,11.0,12.62,12.03,11.38,12.78,14.09,13.06,11.44,11.91,13.62,13.03,10.97,9.81,10.97,10.69,9.09,8.53,10.03,11.75,10.5,8.84,9.53,10.97,10.0,8.28,7.94,8.97,8.0,5.25,3.94,5.0,5.59,4.03,2.66,3.59,4.75,2.62,-0.03,-0.41,0.41,-0.47,-1.66,-0.94,1.81,3.03,2.47,2.31,4.09,4.94,3.09,1.19,1.75,3.0,2.06,0.38,1.0,2.62,2.0,-0.09,-1.06,0.34,0.44,-0.62,-0.97,1.78,4.19,4.31,4.12,6.22,8.66,8.44,7.62,8.47,9.88,8.88,5.25,1.56,-0.41,-3.5,-7.97,-10.72,-9.53,-6.94,-6.06,-5.16,-1.91,1.72,1.91,0.19,-0.78,-0.75,-2.06,-4.81,-5.75,-4.0,-2.5,-3.59,-4.94,-3.97,-3.16,-4.28,-6.34,-5.94,-4.44,-4.75,-6.38,-6.12,-3.41,-1.62,-1.0,0.03,3.44,6.0,5.38,4.12,5.22,6.5,5.66,3.78,3.91,5.38,5.28,3.41,2.44,3.22,1.91,-1.62,-5.34,-5.97,-5.69,-7.22,-8.88,-7.56,-5.75,-6.03,-7.5,-7.28,-5.34,-4.75,-5.91,-5.75,-3.44,-1.5,-1.72,-1.97,0.66,3.53,3.88,3.38,4.84,6.62,5.75,2.97,1.81,2.31,1.78,-0.28,-1.47,-0.09,1.22,0.62,-0.66,0.44,1.94,0.5,-2.44,-2.72,-1.31,-1.5,-3.06,-3.0,-1.25,-0.5,-2.25,-3.78,-2.94,-3.03,-5.25,-8.25,-8.5,-7.97,-9.28,-11.88,-12.25,-11.06,-11.25,-12.5,-12.72,-10.12,-7.47,-7.25,-6.69,-3.69,-1.06,-1.09,-1.75,-0.19,2.31,3.28,2.0,2.16,3.44,3.28,0.53,-1.53,-1.22,-0.69,-2.75,-5.22,-4.69,-4.28,-6.31,-9.59,-10.5,-10.0,-10.66,-12.72,-12.91,-10.75,-9.62,-10.09,-10.31,-7.62,-5.53,-5.91,-6.5,-5.06,-3.62,-3.97,-6.0,-6.22,-4.94,-4.78,-6.53,-6.5,-4.38,-2.19,-2.16,-1.47,1.97,5.25,5.53,4.44,4.81,5.5,3.72,0.31,-0.84,-0.5,-0.88,-3.94,-5.72,-5.12,-4.75,-6.69,-8.06,-7.0,-5.81,-7.53,-10.09,-9.84,-8.38,-8.41,-10.47,-10.94,-10.31,-11.0,-14.03,-15.72,-14.34,-12.91,-13.25,-13.41,-10.88,-7.97,-7.81,-9.59,-9.69,-8.69,-9.16,-10.97,-10.78,-7.78,-5.34,-6.09,-6.47,-5.53,-5.66,-8.91,-12.53,-13.5,-11.78,-11.84,-12.84,-11.66,-9.44,-9.09,-11.47,-12.78,-11.75,-10.84,-12.53,-13.59,-11.88,-10.06,-10.62,-12.25,-12.0,-10.78,-11.69,-14.62,-15.56,-14.66,-14.62,-16.56,-17.22,-15.0,-13.09,-13.97,-14.66,-13.16,-11.31,-11.53,-13.25,-12.81,-10.62,-10.38,-11.78,-11.88,-10.28,-10.06,-13.09,-15.25,-14.5,-13.16,-13.66,-13.84,-11.66,-8.81,-8.94,-10.47,-11.06,-10.31,-11.62,-15.38,-17.59,-17.31,-17.03,-19.28,-20.16,-18.81,-16.94,-18.0,-19.0,-17.44,-14.56,-13.75,-14.25,-13.47,-10.84,-9.59,-10.44,-10.31,-7.72,-5.69,-6.41,-7.5,-6.59,-5.47,-7.34,-9.88,-10.0,-8.56,-9.03,-11.12,-12.03,-10.97,-10.28,-11.5,-11.12,-7.56,-4.41,-4.41,-4.97,-4.78,-4.34,-6.66,-10.28,-11.91,-11.41,-12.0,-14.22,-15.31,-14.72,-14.84,-18.09,-20.59,-20.0,-18.28,-18.41,-17.88,-14.62,-10.38,-9.19,-9.88,-9.88,-8.44,-8.53,-10.16,-10.22,-7.34,-4.38,-3.84,-3.28,-0.38,2.34,2.06,0.53,0.0,0.5,-1.25,-4.47,-6.16,-5.09,-4.41,-5.53,-5.97,-3.84,-2.53,-3.97,-6.47,-6.34,-5.06,-5.88,-6.81,-5.31,-1.91,-0.66,-1.84,-2.5,-1.16,-0.34,-1.69,-1.66,2.03,6.59,8.34,9.38,12.25,15.22,14.84,12.91,11.53,11.62,9.75,5.41,2.12,1.53,1.25,-1.31,-3.09,-1.78,0.19,-0.88,-2.66,-2.72,-1.38,-2.59,-4.72,-5.28,-3.19,-1.66,-1.91,-1.53,1.34,3.16,1.47,-0.81,-1.03,0.16,-1.09,-3.03,-3.03,-1.5,-2.28,-4.66,-5.69,-4.75,-4.41,-6.16,-7.59,-6.12,-4.53,-5.69,-7.03,-5.78,-2.78,-1.59,-1.47,0.59,3.66,4.19,2.06,0.75,1.91,3.16,2.62,3.06,6.56,9.88,9.72,8.25,8.5,9.03,7.53,4.44,3.22,3.78,3.06,-0.03,-2.12,-1.84,-1.84,-3.31,-4.16,-1.16,2.78,4.38,3.91,4.69,5.69,3.81,0.34,-1.25,0.09,0.97,0.03,0.31,2.88,4.12,2.78,0.41,0.44,0.84,-0.12,-1.44,-0.03,3.62,5.75,5.69,5.84,7.72,7.97,6.0,4.5,6.09,7.59,7.31,5.94,6.72,8.31,7.78,5.72,5.22,6.62,6.97,5.22,4.28,6.41,7.34,5.91,4.06,4.62,5.62,4.09,1.41,1.34,2.28,1.47,-1.5,-3.16,-2.78,-3.41,-5.88,-7.44,-5.34,-3.06,-3.38,-3.66,-1.12,2.0,3.19,2.84,4.5,7.09,8.0,6.72,6.41,7.62,7.56,4.78,1.97,2.28,2.53,0.81,-0.81,-0.25,1.09,0.31,-1.88,-1.81,0.34,1.34,0.66,0.91,3.12,4.25,2.5,0.72,1.56,2.81,1.84,0.72,2.25,5.12,6.75,6.78,8.5,11.66,13.31,12.25,11.22,11.91,11.88,9.41,6.88,7.25,8.72,8.16,6.59,7.09,8.12,7.34,4.44,2.75,2.91,2.81,0.34,-1.25,0.22,1.44,0.38,-1.31,-1.28,-0.38,-1.69,-3.38,-2.12,1.19,4.09,4.69,5.47,7.56,8.5,6.16,4.34,5.22,6.75,6.16,5.16,5.91,7.62,7.41,5.34,5.06,6.62,6.62,4.22,2.78,3.22,4.16,2.84,2.5,5.34,9.06,10.91,11.25,12.84,15.03,14.97,12.19,10.34,10.34,8.88,4.69,1.69,1.38,1.88,0.56,-0.66,0.81,3.12,3.34,1.84,1.44,2.28,1.25,-1.53,-2.03,0.47,3.25,3.88,4.91,7.78,10.56,10.19,9.41,10.84,12.59,12.69,10.56,9.72,10.03,9.16,6.06,4.66,5.84,7.06,5.53,4.25,4.94,6.34,5.94,5.25,6.62,9.22,10.34,9.34,9.72,11.84,13.12,12.19,11.5,13.22,14.84,13.84,12.56,13.41,15.31,15.0,13.69,13.81,15.59,15.81,14.0,13.28,14.19,14.66,12.72,11.28,13.06,15.56,15.75,15.56,16.97,18.94,18.56,16.69,16.16,17.75,18.19,16.12,15.78,17.0,17.47,15.34,13.47,13.88,15.72,15.62,15.28,16.94,19.56,19.59,17.38,15.84,16.06,15.59,13.53,12.91,15.12,17.22,16.41,14.47,14.28,14.06,11.75,9.16,8.81,10.62,11.47,11.03,11.12,13.19,14.47,13.25,12.03,12.97,14.25,13.0,11.12,11.78,13.53,13.31,12.06,11.72,12.75,12.38,10.09,8.56,10.0,11.66,10.72,10.12,11.34,12.59,11.09,8.88,8.88,10.5,10.53,9.25,8.94,10.44,10.41,8.91,7.91,9.75,12.06,11.44,10.22,10.56,11.38,10.0,7.88,7.97,10.53,11.25,10.34,10.47,12.53,13.28,11.62,9.75,10.03,10.56,8.94,7.44,8.81,11.44,12.03,11.0,10.62,11.78,10.75,8.25,6.56,7.81,8.94,7.97,7.16,9.22,11.88,12.03,11.25,11.94,14.12,14.03,12.53,12.12,13.69,13.84,11.72,10.44,11.44,12.12,10.16,7.47,6.5,6.59,4.75,2.78,3.75,6.88,9.03,10.16,12.03,15.84,18.72,18.62,18.41,20.41,22.03,21.16,19.19,18.97,19.03,16.09,11.22,7.78,6.31,4.41,1.88,0.62,2.69,4.31,3.94,3.59,6.31,9.78,11.25,11.94,14.66,18.47,20.16,20.09,20.56,22.5,22.72,20.31,18.38,18.72,19.09,16.97,14.16,14.25,14.97,13.97,12.38,12.94,14.88,14.69,12.31,10.88,10.84,10.06,7.16,4.19,3.75,3.94,1.88,0.19,1.88,4.5,6.25,6.84,8.62,11.72,12.69,11.16,9.72,10.5,10.41,8.72,6.69,7.69,9.03,7.75,4.62,3.06,1.59,-1.94,-6.91,-9.28,-8.44,-7.5,-7.91,-7.34,-4.31,-1.84,-1.91,-2.03,-0.03,2.72,3.22,2.5,3.81,6.25,7.44,6.44,6.75,8.41,8.81,6.47,4.03,3.84,3.44,0.81,-2.31,-2.78,-1.5,-1.66,-2.41,-1.5,1.0,2.41,1.75,2.34,4.88,6.69,5.94,4.47,5.91,7.31,6.34,4.72,5.66,7.19,7.06,5.69,6.53,23.28,21.75,21.69,22.41,22.84,21.0,19.38:0.62,1.22,2.69,2.34,-0.5,-2.38,-2.19,-2.34,-4.72,-6.34,-4.56,-2.34,-2.31,-2.19,0.09,2.84,2.78,0.75,0.0,0.62,0.94,-0.41,-0.41,2.31,5.06,5.38,5.28,7.72,10.5,10.25,8.97,9.69,11.06,10.25,7.62,6.66,7.69,7.94,6.19,5.09,6.22,7.06,4.88,2.97,3.53,5.25,5.44,4.22,4.97,6.25,5.69,2.72,0.62,0.69,0.09,-3.38,-5.88,-5.69,-4.91,-6.09,-7.53,-6.56,-4.03,-4.31,-5.41,-5.03,-3.22,-2.69,-4.88,-6.03,-5.44,-5.47,-8.03,-10.0,-9.12,-7.31,-7.0,-7.53,-6.09,-3.16,-2.12,-2.38,-1.62,1.19,2.53,1.66,1.12,2.75,4.41,3.31,1.81,2.72,4.03,3.31,1.5,1.16,1.88,0.72,-2.03,-3.69,-3.44,-3.44,-5.53,-6.47,-5.16,-2.97,-2.84,-3.12,-0.81,2.19,3.91,4.16,5.94,9.0,10.16,9.19,8.97,11.0,12.62,12.03,11.38,12.78,14.09,13.06,11.44,11.91,13.62,13.03,10.97,9.81,10.97,10.69,9.09,8.53,10.03,11.75,10.5,8.84,9.53,10.97,10.0,8.28,7.94,8.97,8.0,5.25,3.94,5.0,5.59,4.03,2.66,3.59,4.75,2.62,-0.03,-0.41,0.41,-0.47,-1.66,-0.94,1.81,3.03,2.47,2.31,4.09,4.94,3.09,1.19,1.75,3.0,2.06,0.38,1.0,2.62,2.0,-0.09,-1.06,0.34,0.44,-0.62,-0.97,1.78,4.19,4.31,4.12,6.22,8.66,8.44,7.62,8.47,9.88,8.88,5.25,1.56,-0.41,-3.5,-7.97,-10.72,-9.53,-6.94,-6.06,-5.16,-1.91,1.72,1.91,0.19,-0.78,-0.75,-2.06,-4.81,-5.75,-4.0,-2.5,-3.59,-4.94,-3.97,-3.16,-4.28,-6.34,-5.94,-4.44,-4.75,-6.38,-6.12,-3.41,-1.62,-1.0,0.03,3.44,6.0,5.38,4.12,5.22,6.5,5.66,3.78,3.91,5.38,5.28,3.41,2.44,3.22,1.91,-1.62,-5.34,-5.97,-5.69,-7.22,-8.88,-7.56,-5.75,-6.03,-7.5,-7.28,-5.34,-4.75,-5.91,-5.75,-3.44,-1.5,-1.72,-1.97,0.66,3.53,3.88,3.38,4.84,6.62,5.75,2.97,1.81,2.31,1.78,-0.28,-1.47,-0.09,1.22,0.62,-0.66,0.44,1.94,0.5,-2.44,-2.72,-1.31,-1.5,-3.06,-3.0,-1.25,-0.5,-2.25,-3.78,-2.94,-3.03,-5.25,-8.25,-8.5,-7.97,-9.28,-11.88,-12.25,-11.06,-11.25,-12.5,-12.72,-10.12,-7.47,-7.25,-6.69,-3.69,-1.06,-1.09,-1.75,-0.19,2.31,3.28,2.0,2.16,3.44,3.28,0.53,-1.53,-1.22,-0.69,-2.75,-5.22,-4.69,-4.28,-6.31,-9.59,-10.5,-10.0,-10.66,-12.72,-12.91,-10.75,-9.62,-10.09,-10.31,-7.62,-5.53,-5.91,-6.5,-5.06,-3.62,-3.97,-6.0,-6.22,-4.94,-4.78,-6.53,-6.5,-4.38,-2.19,-2.16,-1.47,1.97,5.25,5.53,4.44,4.81,5.5,3.72,0.31,-0.84,-0.5,-0.88,-3.94,-5.72,-5.12,-4.75,-6.69,-8.06,-7.0,-5.81,-7.53,-10.09,-9.84,-8.38,-8.41,-10.47,-10.94,-10.31,-11.0,-14.03,-15.72,-14.34,-12.91,-13.25,-13.41,-10.88,-7.97,-7.81,-9.59,-9.69,-8.69,-9.16,-10.97,-10.78,-7.78,-5.34,-6.09,-6.47,-5.53,-5.66,-8.91,-12.53,-13.5,-11.78,-11.84,-12.84,-11.66,-9.44,-9.09,-11.47,-12.78,-11.75,-10.84,-12.53,-13.59,-11.88,-10.06,-10.62,-12.25,-12.0,-10.78,-11.69,-14.62,-15.56,-14.66,-14.62,-16.56,-17.22,-15.0,-13.09,-13.97,-14.66,-13.16,-11.31,-11.53,-13.25,-12.81,-10.62,-10.38,-11.78,-11.88,-10.28,-10.06,-13.09,-15.25,-14.5,-13.16,-13.66,-13.84,-11.66,-8.81,-8.94,-10.47,-11.06,-10.31,-11.62,-15.38,-17.59,-17.31,-17.03,-19.28,-20.16,-18.81,-16.94,-18.0,-19.0,-17.44,-14.56,-13.75,-14.25,-13.47,-10.84,-9.59,-10.44,-10.31,-7.72,-5.69,-6.41,-7.5,-6.59,-5.47,-7.34,-9.88,-10.0,-8.56,-9.03,-11.12,-12.03,-10.97,-10.28,-11.5,-11.12,-7.56,-4.41,-4.41,-4.97,-4.78,-4.34,-6.66,-10.28,-11.91,-11.41,-12.0,-14.22,-15.31,-14.72,-14.84,-18.09,-20.59,-20.0,-18.28,-18.41,-17.88,-14.62,-10.38,-9.19,-9.88,-9.88,-8.44,-8.53,-10.16,-10.22,-7.34,-4.38,-3.84,-3.28,-0.38,2.34,2.06,0.53,0.0,0.5,-1.25,-4.47,-6.16,-5.09,-4.41,-5.53,-5.97,-3.84,-2.53,-3.97,-6.47,-6.34,-5.06,-5.88,-6.81,-5.31,-1.91,-0.66,-1.84,-2.5,-1.16,-0.34,-1.69,-1.66,2.03,6.59,8.34,9.38,12.25,15.22,14.84,12.91,11.53,11.62,9.75,5.41,2.12,1.53,1.25,-1.31,-3.09,-1.78,0.19,-0.88,-2.66,-2.72,-1.38,-2.59,-4.72,-5.28,-3.19,-1.66,-1.91,-1.53,1.34,3.16,1.47,-0.81,-1.03,0.16,-1.09,-3.03,-3.03,-1.5,-2.28,-4.66,-5.69,-4.75,-4.41,-6.16,-7.59,-6.12,-4.53,-5.69,-7.03,-5.78,-2.78,-1.59,-1.47,0.59,3.66,4.19,2.06,0.75,1.91,3.16,2.62,3.06,6.56,9.88,9.72,8.25,8.5,9.03,7.53,4.44,3.22,3.78,3.06,-0.03,-2.12,-1.84,-1.84,-3.31,-4.16,-1.16,2.78,4.38,3.91,4.69,5.69,3.81,0.34,-1.25,0.09,0.97,0.03,0.31,2.88,4.12,2.78,0.41,0.44,0.84,-0.12,-1.44,-0.03,3.62,5.75,5.69,5.84,7.72,7.97,6.0,4.5,6.09,7.59,7.31,5.94,6.72,8.31,7.78,5.72,5.22,6.62,6.97,5.22,4.28,6.41,7.34,5.91,4.06,4.62,5.62,4.09,1.41,1.34,2.28,1.47,-1.5,-3.16,-2.78,-3.41,-5.88,-7.44,-5.34,-3.06,-3.38,-3.66,-1.12,2.0,3.19,2.84,4.5,7.09,8.0,6.72,6.41,7.62,7.56,4.78,1.97,2.28,2.53,0.81,-0.81,-0.25,1.09,0.31,-1.88,-1.81,0.34,1.34,0.66,0.91,3.12,4.25,2.5,0.72,1.56,2.81,1.84,0.72,2.25,5.12,6.75,6.78,8.5,11.66,13.31,12.25,11.22,11.91,11.88,9.41,6.88,7.25,8.72,8.16,6.59,7.09,8.12,7.34,4.44,2.75,2.91,2.81,0.34,-1.25,0.22,1.44,0.38,-1.31,-1.28,-0.38,-1.69,-3.38,-2.12,1.19,4.09,4.69,5.47,7.56,8.5,6.16,4.34,5.22,6.75,6.16,5.16,5.91,7.62,7.41,5.34,5.06,6.62,6.62,4.22,2.78,3.22,4.16,2.84,2.5,5.34,9.06,10.91,11.25,12.84,15.03,14.97,12.19,10.34,10.34,8.88,4.69,1.69,1.38,1.88,0.56,-0.66,0.81,3.12,3.34,1.84,1.44,2.28,1.25,-1.53,-2.03,0.47,3.25,3.88,4.91,7.78,10.56,10.19,9.41,10.84,12.59,12.69,10.56,9.72,10.03,9.16,6.06,4.66,5.84,7.06,5.53,4.25,4.94,6.34,5.94,5.25,6.62,9.22,10.34,9.34,9.72,11.84,13.12,12.19,11.5,13.22,14.84,13.84,12.56,13.41,15.31,15.0,13.69,13.81,15.59,15.81,14.0,13.28,14.19,14.66,12.72,11.28,13.06,15.56,15.75,15.56,16.97,18.94,18.56,16.69,16.16,17.75,18.19,16.12,15.78,17.0,17.47,15.34,13.47,13.88,15.72,15.62,15.28,16.94,19.56,19.59,17.38,15.84,16.06,15.59,13.53,12.91,15.12,17.22,16.41,14.47,14.28,14.06,11.75,9.16,8.81,10.62,11.47,11.03,11.12,13.19,14.47,13.25,12.03,12.97,14.25,13.0,11.12,11.78,13.53,13.31,12.06,11.72,12.75,12.38,10.09,8.56,10.0,11.66,10.72,10.12,11.34,12.59,11.09,8.88,8.88,10.5,10.53,9.25,8.94,10.44,10.41,8.91,7.91,9.75,12.06,11.44,10.22,10.56,11.38,10.0,7.88,7.97,10.53,11.25,10.34,10.47,12.53,13.28,11.62,9.75,10.03,10.56,8.94,7.44,8.81,11.44,12.03,11.0,10.62,11.78,10.75,8.25,6.56,7.81,8.94,7.97,7.16,9.22,11.88,12.03,11.25,11.94,14.12,14.03,12.53,12.12,13.69,13.84,11.72,10.44,11.44,12.12,10.16,7.47,6.5,6.59,4.75,2.78,3.75,6.88,9.03,10.16,12.03,15.84,18.72,18.62,18.41,20.41,22.03,21.16,19.19,18.97,19.03,16.09,11.22,7.78,6.31,4.41,1.88,0.62,2.69,4.31,3.94,3.59,6.31,9.78,11.25,11.94,14.66,18.47,20.16,20.09,20.56,22.5,22.72,20.31,18.38,18.72,19.09,16.97,14.16,14.25,14.97,13.97,12.38,12.94,14.88,14.69,12.31,10.88,10.84,10.06,7.16,4.19,3.75,3.94,1.88,0.19,1.88,4.5,6.25,6.84,8.62,11.72,12.69,11.16,9.72,10.5,10.41,8.72,6.69,7.69,9.03,7.75,4.62,3.06,1.59,-1.94,-6.91,-9.28,-8.44,-7.5,-7.91,-7.34,-4.31,-1.84,-1.91,-2.03,-0.03,2.72,3.22,2.5,3.81,6.25,7.44,6.44,6.75,8.41,8.81,6.47,4.03,3.84,3.44,0.81,-2.31,-2.78,-1.5,-1.66,-2.41,-1.5,1.0,2.41,1.75,2.34,4.88,6.69,5.94,4.47,5.91,7.31,6.34,4.72,5.66,7.19,7.06,5.69,6.53,23.28,21.75,21.69,22.41,22.84,21.0,19.38,18.91,17.88,15.41,13.44,14.0,15.53,16.25:-2.34,-4.72,-6.34,-4.56,-2.34,-2.31,-2.19,0.09,2.84,2.78,0.75,0.0,0.62,0.94,-0.41,-0.41,2.31,5.06,5.38,5.28,7.72,10.5,10.25,8.97,9.69,11.06,10.25,7.62,6.66,7.69,7.94,6.19,5.09,6.22,7.06,4.88,2.97,3.53,5.25,5.44,4.22,4.97,6.25,5.69,2.72,0.62,0.69,0.09,-3.38,-5.88,-5.69,-4.91,-6.09,-7.53,-6.56,-4.03,-4.31,-5.41,-5.03,-3.22,-2.69,-4.88,-6.03,-5.44,-5.47,-8.03,-10.0,-9.12,-7.31,-7.0,-7.53,-6.09,-3.16,-2.12,-2.38,-1.62,1.19,2.53,1.66,1.12,2.75,4.41,3.31,1.81,2.72,4.03,3.31,1.5,1.16,1.88,0.72,-2.03,-3.69,-3.44,-3.44,-5.53,-6.47,-5.16,-2.97,-2.84,-3.12,-0.81,2.19,3.91,4.16,5.94,9.0,10.16,9.19,8.97,11.0,12.62,12.03,11.38,12.78,14.09,13.06,11.44,11.91,13.62,13.03,10.97,9.81,10.97,10.69,9.09,8.53,10.03,11.75,10.5,8.84,9.53,10.97,10.0,8.28,7.94,8.97,8.0,5.25,3.94,5.0,5.59,4.03,2.66,3.59,4.75,2.62,-0.03,-0.41,0.41,-0.47,-1.66,-0.94,1.81,3.03,2.47,2.31,4.09,4.94,3.09,1.19,1.75,3.0,2.06,0.38,1.0,2.62,2.0,-0.09,-1.06,0.34,0.44,-0.62,-0.97,1.78,4.19,4.31,4.12,6.22,8.66,8.44,7.62,8.47,9.88,8.88,5.25,1.56,-0.41,-3.5,-7.97,-10.72,-9.53,-6.94,-6.06,-5.16,-1.91,1.72,1.91,0.19,-0.78,-0.75,-2.06,-4.81,-5.75,-4.0,-2.5,-3.59,-4.94,-3.97,-3.16,-4.28,-6.34,-5.94,-4.44,-4.75,-6.38,-6.12,-3.41,-1.62,-1.0,0.03,3.44,6.0,5.38,4.12,5.22,6.5,5.66,3.78,3.91,5.38,5.28,3.41,2.44,3.22,1.91,-1.62,-5.34,-5.97,-5.69,-7.22,-8.88,-7.56,-5.75,-6.03,-7.5,-7.28,-5.34,-4.75,-5.91,-5.75,-3.44,-1.5,-1.72,-1.97,0.66,3.53,3.88,3.38,4.84,6.62,5.75,2.97,1.81,2.31,1.78,-0.28,-1.47,-0.09,1.22,0.62,-0.66,0.44,1.94,0.5,-2.44,-2.72,-1.31,-1.5,-3.06,-3.0,-1.25,-0.5,-2.25,-3.78,-2.94,-3.03,-5.25,-8.25,-8.5,-7.97,-9.28,-11.88,-12.25,-11.06,-11.25,-12.5,-12.72,-10.12,-7.47,-7.25,-6.69,-3.69,-1.06,-1.09,-1.75,-0.19,2.31,3.28,2.0,2.16,3.44,3.28,0.53,-1.53,-1.22,-0.69,-2.75,-5.22,-4.69,-4.28,-6.31,-9.59,-10.5,-10.0,-10.66,-12.72,-12.91,-10.75,-9.62,-10.09,-10.31,-7.62,-5.53,-5.91,-6.5,-5.06,-3.62,-3.97,-6.0,-6.22,-4.94,-4.78,-6.53,-6.5,-4.38,-2.19,-2.16,-1.47,1.97,5.25,5.53,4.44,4.81,5.5,3.72,0.31,-0.84,-0.5,-0.88,-3.94,-5.72,-5.12,-4.75,-6.69,-8.06,-7.0,-5.81,-7.53,-10.09,-9.84,-8.38,-8.41,-10.47,-10.94,-10.31,-11.0,-14.03,-15.72,-14.34,-12.91,-13.25,-13.41,-10.88,-7.97,-7.81,-9.59,-9.69,-8.69,-9.16,-10.97,-10.78,-7.78,-5.34,-6.09,-6.47,-5.53,-5.66,-8.91,-12.53,-13.5,-11.78,-11.84,-12.84,-11.66,-9.44,-9.09,-11.47,-12.78,-11.75,-10.84,-12.53,-13.59,-11.88,-10.06,-10.62,-12.25,-12.0,-10.78,-11.69,-14.62,-15.56,-14.66,-14.62,-16.56,-17.22,-15.0,-13.09,-13.97,-14.66,-13.16,-11.31,-11.53,-13.25,-12.81,-10.62,-10.38,-11.78,-11.88,-10.28,-10.06,-13.09,-15.25,-14.5,-13.16,-13.66,-13.84,-11.66,-8.81,-8.94,-10.47,-11.06,-10.31,-11.62,-15.38,-17.59,-17.31,-17.03,-19.28,-20.16,-18.81,-16.94,-18.0,-19.0,-17.44,-14.56,-13.75,-14.25,-13.47,-10.84,-9.59,-10.44,-10.31,-7.72,-5.69,-6.41,-7.5,-6.59,-5.47,-7.34,-9.88,-10.0,-8.56,-9.03,-11.12,-12.03,-10.97,-10.28,-11.5,-11.12,-7.56,-4.41,-4.41,-4.97,-4.78,-4.34,-6.66,-10.28,-11.91,-11.41,-12.0,-14.22,-15.31,-14.72,-14.84,-18.09,-20.59,-20.0,-18.28,-18.41,-17.88,-14.62,-10.38,-9.19,-9.88,-9.88,-8.44,-8.53,-10.16,-10.22,-7.34,-4.38,-3.84,-3.28,-0.38,2.34,2.06,0.53,0.0,0.5,-1.25,-4.47,-6.16,-5.09,-4.41,-5.53,-5.97,-3.84,-2.53,-3.97,-6.47,-6.34,-5.06,-5.88,-6.81,-5.31,-1.91,-0.66,-1.84,-2.5,-1.16,-0.34,-1.69,-1.66,2.03,6.59,8.34,9.38,12.25,15.22,14.84,12.91,11.53,11.62,9.75,5.41,2.12,1.53,1.25,-1.31,-3.09,-1.78,0.19,-0.88,-2.66,-2.72,-1.38,-2.59,-4.72,-5.28,-3.19,-1.66,-1.91,-1.53,1.34,3.16,1.47,-0.81,-1.03,0.16,-1.09,-3.03,-3.03,-1.5,-2.28,-4.66,-5.69,-4.75,-4.41,-6.16,-7.59,-6.12,-4.53,-5.69,-7.03,-5.78,-2.78,-1.59,-1.47,0.59,3.66,4.19,2.06,0.75,1.91,3.16,2.62,3.06,6.56,9.88,9.72,8.25,8.5,9.03,7.53,4.44,3.22,3.78,3.06,-0.03,-2.12,-1.84,-1.84,-3.31,-4.16,-1.16,2.78,4.38,3.91,4.69,5.69,3.81,0.34,-1.25,0.09,0.97,0.03,0.31,2.88,4.12,2.78,0.41,0.44,0.84,-0.12,-1.44,-0.03,3.62,5.75,5.69,5.84,7.72,7.97,6.0,4.5,6.09,7.59,7.31,5.94,6.72,8.31,7.78,5.72,5.22,6.62,6.97,5.22,4.28,6.41,7.34,5.91,4.06,4.62,5.62,4.09,1.41,1.34,2.28,1.47,-1.5,-3.16,-2.78,-3.41,-5.88,-7.44,-5.34,-3.06,-3.38,-3.66,-1.12,2.0,3.19,2.84,4.5,7.09,8.0,6.72,6.41,7.62,7.56,4.78,1.97,2.28,2.53,0.81,-0.81,-0.25,1.09,0.31,-1.88,-1.81,0.34,1.34,0.66,0.91,3.12,4.25,2.5,0.72,1.56,2.81,1.84,0.72,2.25,5.12,6.75,6.78,8.5,11.66,13.31,12.25,11.22,11.91,11.88,9.41,6.88,7.25,8.72,8.16,6.59,7.09,8.12,7.34,4.44,2.75,2.91,2.81,0.34,-1.25,0.22,1.44,0.38,-1.31,-1.28,-0.38,-1.69,-3.38,-2.12,1.19,4.09,4.69,5.47,7.56,8.5,6.16,4.34,5.22,6.75,6.16,5.16,5.91,7.62,7.41,5.34,5.06,6.62,6.62,4.22,2.78,3.22,4.16,2.84,2.5,5.34,9.06,10.91,11.25,12.84,15.03,14.97,12.19,10.34,10.34,8.88,4.69,1.69,1.38,1.88,0.56,-0.66,0.81,3.12,3.34,1.84,1.44,2.28,1.25,-1.53,-2.03,0.47,3.25,3.88,4.91,7.78,10.56,10.19,9.41,10.84,12.59,12.69,10.56,9.72,10.03,9.16,6.06,4.66,5.84,7.06,5.53,4.25,4.94,6.34,5.94,5.25,6.62,9.22,10.34,9.34,9.72,11.84,13.12,12.19,11.5,13.22,14.84,13.84,12.56,13.41,15.31,15.0,13.69,13.81,15.59,15.81,14.0,13.28,14.19,14.66,12.72,11.28,13.06,15.56,15.75,15.56,16.97,18.94,18.56,16.69,16.16,17.75,18.19,16.12,15.78,17.0,17.47,15.34,13.47,13.88,15.72,15.62,15.28,16.94,19.56,19.59,17.38,15.84,16.06,15.59,13.53,12.91,15.12,17.22,16.41,14.47,14.28,14.06,11.75,9.16,8.81,10.62,11.47,11.03,11.12,13.19,14.47,13.25,12.03,12.97,14.25,13.0,11.12,11.78,13.53,13.31,12.06,11.72,12.75,12.38,10.09,8.56,10.0,11.66,10.72,10.12,11.34,12.59,11.09,8.88,8.88,10.5,10.53,9.25,8.94,10.44,10.41,8.91,7.91,9.75,12.06,11.44,10.22,10.56,11.38,10.0,7.88,7.97,10.53,11.25,10.34,10.47,12.53,13.28,11.62,9.75,10.03,10.56,8.94,7.44,8.81,11.44,12.03,11.0,10.62,11.78,10.75,8.25,6.56,7.81,8.94,7.97,7.16,9.22,11.88,12.03,11.25,11.94,14.12,14.03,12.53,12.12,13.69,13.84,11.72,10.44,11.44,12.12,10.16,7.47,6.5,6.59,4.75,2.78,3.75,6.88,9.03,10.16,12.03,15.84,18.72,18.62,18.41,20.41,22.03,21.16,19.19,18.97,19.03,16.09,11.22,7.78,6.31,4.41,1.88,0.62,2.69,4.31,3.94,3.59,6.31,9.78,11.25,11.94,14.66,18.47,20.16,20.09,20.56,22.5,22.72,20.31,18.38,18.72,19.09,16.97,14.16,14.25,14.97,13.97,12.38,12.94,14.88,14.69,12.31,10.88,10.84,10.06,7.16,4.19,3.75,3.94,1.88,0.19,1.88,4.5,6.25,6.84,8.62,11.72,12.69,11.16,9.72,10.5,10.41,8.72,6.69,7.69,9.03,7.75,4.62,3.06,1.59,-1.94,-6.91,-9.28,-8.44,-7.5,-7.91,-7.34,-4.31,-1.84,-1.91,-2.03,-0.03,2.72,3.22,2.5,3.81,6.25,7.44,6.44,6.75,8.41,8.81,6.47,4.03,3.84,3.44,0.81,-2.31,-2.78,-1.5,-1.66,-2.41,-1.5,1.0,2.41,1.75,2.34,4.88,6.69,5.94,4.47,5.91,7.31,6.34,4.72,5.66,7.19,7.06,5.69,6.53,23.28,21.75,21.69,22.41,22.84,21.0,19.38,18.91,17.88,15.41,13.44,14.0,15.53,16.25,16.06,16.94,17.94,17.66,15.47,14.12,14.16:0.09,2.84,2.78,0.75,0.0,0.62,0.94,-0.41,-0.41,2.31,5.06,5.38,5.28,7.72,10.5,10.25,8.97,9.69,11.06,10.25,7.62,6.66,7.69,7.94,6.19,5.09,6.22,7.06,4.88,2.97,3.53,5.25,5.44,4.22,4.97,6.25,5.69,2.72,0.62,0.69,0.09,-3.38,-5.88,-5.69,-4.91,-6.09,-7.53,-6.56,-4.03,-4.31,-5.41,-5.03,-3.22,-2.69,-4.88,-6.03,-5.44,-5.47,-8.03,-10.0,-9.12,-7.31,-7.0,-7.53,-6.09,-3.16,-2.12,-2.38,-1.62,1.19,2.53,1.66,1.12,2.75,4.41,3.31,1.81,2.72,4.03,3.31,1.5,1.16,1.88,0.72,-2.03,-3.69,-3.44,-3.44,-5.53,-6.47,-5.16,-2.97,-2.84,-3.12,-0.81,2.19,3.91,4.16,5.94,9.0,10.16,9.19,8.97,11.0,12.62,12.03,11.38,12.78,14.09,13.06,11.44,11.91,13.62,13.03,10.97,9.81,10.97,10.69,9.09,8.53,10.03,11.75,10.5,8.84,9.53,10.97,10.0,8.28,7.94,8.97,8.0,5.25,3.94,5.0,5.59,4.03,2.66,3.59,4.75,2.62,-0.03,-0.41,0.41,-0.47,-1.66,-0.94,1.81,3.03,2.47,2.31,4.09,4.94,3.09,1.19,1.75,3.0,2.06,0.38,1.0,2.62,2.0,-0.09,-1.06,0.34,0.44,-0.62,-0.97,1.78,4.19,4.31,4.12,6.22,8.66,8.44,7.62,8.47,9.88,8.88,5.25,1.56,-0.41,-3.5,-7.97,-10.72,-9.53,-6.94,-6.06,-5.16,-1.91,1.72,1.91,0.19,-0.78,-0.75,-2.06,-4.81,-5.75,-4.0,-2.5,-3.59,-4.94,-3.97,-3.16,-4.28,-6.34,-5.94,-4.44,-4.75,-6.38,-6.12,-3.41,-1.62,-1.0,0.03,3.44,6.0,5.38,4.12,5.22,6.5,5.66,3.78,3.91,5.38,5.28,3.41,2.44,3.22,1.91,-1.62,-5.34,-5.97,-5.69,-7.22,-8.88,-7.56,-5.75,-6.03,-7.5,-7.28,-5.34,-4.75,-5.91,-5.75,-3.44,-1.5,-1.72,-1.97,0.66,3.53,3.88,3.38,4.84,6.62,5.75,2.97,1.81,2.31,1.78,-0.28,-1.47,-0.09,1.22,0.62,-0.66,0.44,1.94,0.5,-2.44,-2.72,-1.31,-1.5,-3.06,-3.0,-1.25,-0.5,-2.25,-3.78,-2.94,-3.03,-5.25,-8.25,-8.5,-7.97,-9.28,-11.88,-12.25,-11.06,-11.25,-12.5,-12.72,-10.12,-7.47,-7.25,-6.69,-3.69,-1.06,-1.09,-1.75,-0.19,2.31,3.28,2.0,2.16,3.44,3.28,0.53,-1.53,-1.22,-0.69,-2.75,-5.22,-4.69,-4.28,-6.31,-9.59,-10.5,-10.0,-10.66,-12.72,-12.91,-10.75,-9.62,-10.09,-10.31,-7.62,-5.53,-5.91,-6.5,-5.06,-3.62,-3.97,-6.0,-6.22,-4.94,-4.78,-6.53,-6.5,-4.38,-2.19,-2.16,-1.47,1.97,5.25,5.53,4.44,4.81,5.5,3.72,0.31,-0.84,-0.5,-0.88,-3.94,-5.72,-5.12,-4.75,-6.69,-8.06,-7.0,-5.81,-7.53,-10.09,-9.84,-8.38,-8.41,-10.47,-10.94,-10.31,-11.0,-14.03,-15.72,-14.34,-12.91,-13.25,-13.41,-10.88,-7.97,-7.81,-9.59,-9.69,-8.69,-9.16,-10.97,-10.78,-7.78,-5.34,-6.09,-6.47,-5.53,-5.66,-8.91,-12.53,-13.5,-11.78,-11.84,-12.84,-11.66,-9.44,-9.09,-11.47,-12.78,-11.75,-10.84,-12.53,-13.59,-11.88,-10.06,-10.62,-12.25,-12.0,-10.78,-11.69,-14.62,-15.56,-14.66,-14.62,-16.56,-17.22,-15.0,-13.09,-13.97,-14.66,-13.16,-11.31,-11.53,-13.25,-12.81,-10.62,-10.38,-11.78,-11.88,-10.28,-10.06,-13.09,-15.25,-14.5,-13.16,-13.66,-13.84,-11.66,-8.81,-8.94,-10.47,-11.06,-10.31,-11.62,-15.38,-17.59,-17.31,-17.03,-19.28,-20.16,-18.81,-16.94,-18.0,-19.0,-17.44,-14.56,-13.75,-14.25,-13.47,-10.84,-9.59,-10.44,-10.31,-7.72,-5.69,-6.41,-7.5,-6.59,-5.47,-7.34,-9.88,-10.0,-8.56,-9.03,-11.12,-12.03,-10.97,-10.28,-11.5,-11.12,-7.56,-4.41,-4.41,-4.97,-4.78,-4.34,-6.66,-10.28,-11.91,-11.41,-12.0,-14.22,-15.31,-14.72,-14.84,-18.09,-20.59,-20.0,-18.28,-18.41,-17.88,-14.62,-10.38,-9.19,-9.88,-9.88,-8.44,-8.53,-10.16,-10.22,-7.34,-4.38,-3.84,-3.28,-0.38,2.34,2.06,0.53,0.0,0.5,-1.25,-4.47,-6.16,-5.09,-4.41,-5.53,-5.97,-3.84,-2.53,-3.97,-6.47,-6.34,-5.06,-5.88,-6.81,-5.31,-1.91,-0.66,-1.84,-2.5,-1.16,-0.34,-1.69,-1.66,2.03,6.59,8.34,9.38,12.25,15.22,14.84,12.91,11.53,11.62,9.75,5.41,2.12,1.53,1.25,-1.31,-3.09,-1.78,0.19,-0.88,-2.66,-2.72,-1.38,-2.59,-4.72,-5.28,-3.19,-1.66,-1.91,-1.53,1.34,3.16,1.47,-0.81,-1.03,0.16,-1.09,-3.03,-3.03,-1.5,-2.28,-4.66,-5.69,-4.75,-4.41,-6.16,-7.59,-6.12,-4.53,-5.69,-7.03,-5.78,-2.78,-1.59,-1.47,0.59,3.66,4.19,2.06,0.75,1.91,3.16,2.62,3.06,6.56,9.88,9.72,8.25,8.5,9.03,7.53,4.44,3.22,3.78,3.06,-0.03,-2.12,-1.84,-1.84,-3.31,-4.16,-1.16,2.78,4.38,3.91,4.69,5.69,3.81,0.34,-1.25,0.09,0.97,0.03,0.31,2.88,4.12,2.78,0.41,0.44,0.84,-0.12,-1.44,-0.03,3.62,5.75,5.69,5.84,7.72,7.97,6.0,4.5,6.09,7.59,7.31,5.94,6.72,8.31,7.78,5.72,5.22,6.62,6.97,5.22,4.28,6.41,7.34,5.91,4.06,4.62,5.62,4.09,1.41,1.34,2.28,1.47,-1.5,-3.16,-2.78,-3.41,-5.88,-7.44,-5.34,-3.06,-3.38,-3.66,-1.12,2.0,3.19,2.84,4.5,7.09,8.0,6.72,6.41,7.62,7.56,4.78,1.97,2.28,2.53,0.81,-0.81,-0.25,1.09,0.31,-1.88,-1.81,0.34,1.34,0.66,0.91,3.12,4.25,2.5,0.72,1.56,2.81,1.84,0.72,2.25,5.12,6.75,6.78,8.5,11.66,13.31,12.25,11.22,11.91,11.88,9.41,6.88,7.25,8.72,8.16,6.59,7.09,8.12,7.34,4.44,2.75,2.91,2.81,0.34,-1.25,0.22,1.44,0.38,-1.31,-1.28,-0.38,-1.69,-3.38,-2.12,1.19,4.09,4.69,5.47,7.56,8.5,6.16,4.34,5.22,6.75,6.16,5.16,5.91,7.62,7.41,5.34,5.06,6.62,6.62,4.22,2.78,3.22,4.16,2.84,2.5,5.34,9.06,10.91,11.25,12.84,15.03,14.97,12.19,10.34,10.34,8.88,4.69,1.69,1.38,1.88,0.56,-0.66,0.81,3.12,3.34,1.84,1.44,2.28,1.25,-1.53,-2.03,0.47,3.25,3.88,4.91,7.78,10.56,10.19,9.41,10.84,12.59,12.69,10.56,9.72,10.03,9.16,6.06,4.66,5.84,7.06,5.53,4.25,4.94,6.34,5.94,5.25,6.62,9.22,10.34,9.34,9.72,11.84,13.12,12.19,11.5,13.22,14.84,13.84,12.56,13.41,15.31,15.0,13.69,13.81,15.59,15.81,14.0,13.28,14.19,14.66,12.72,11.28,13.06,15.56,15.75,15.56,16.97,18.94,18.56,16.69,16.16,17.75,18.19,16.12,15.78,17.0,17.47,15.34,13.47,13.88,15.72,15.62,15.28,16.94,19.56,19.59,17.38,15.84,16.06,15.59,13.53,12.91,15.12,17.22,16.41,14.47,14.28,14.06,11.75,9.16,8.81,10.62,11.47,11.03,11.12,13.19,14.47,13.25,12.03,12.97,14.25,13.0,11.12,11.78,13.53,13.31,12.06,11.72,12.75,12.38,10.09,8.56,10.0,11.66,10.72,10.12,11.34,12.59,11.09,8.88,8.88,10.5,10.53,9.25,8.94,10.44,10.41,8.91,7.91,9.75,12.06,11.44,10.22,10.56,11.38,10.0,7.88,7.97,10.53,11.25,10.34,10.47,12.53,13.28,11.62,9.75,10.03,10.56,8.94,7.44,8.81,11.44,12.03,11.0,10.62,11.78,10.75,8.25,6.56,7.81,8.94,7.97,7.16,9.22,11.88,12.03,11.25,11.94,14.12,14.03,12.53,12.12,13.69,13.84,11.72,10.44,11.44,12.12,10.16,7.47,6.5,6.59,4.75,2.78,3.75,6.88,9.03,10.16,12.03,15.84,18.72,18.62,18.41,20.41,22.03,21.16,19.19,18.97,19.03,16.09,11.22,7.78,6.31,4.41,1.88,0.62,2.69,4.31,3.94,3.59,6.31,9.78,11.25,11.94,14.66,18.47,20.16,20.09,20.56,22.5,22.72,20.31,18.38,18.72,19.09,16.97,14.16,14.25,14.97,13.97,12.38,12.94,14.88,14.69,12.31,10.88,10.84,10.06,7.16,4.19,3.75,3.94,1.88,0.19,1.88,4.5,6.25,6.84,8.62,11.72,12.69,11.16,9.72,10.5,10.41,8.72,6.69,7.69,9.03,7.75,4.62,3.06,1.59,-1.94,-6.91,-9.28,-8.44,-7.5,-7.91,-7.34,-4.31,-1.84,-1.91,-2.03,-0.03,2.72,3.22,2.5,3.81,6.25,7.44,6.44,6.75,8.41,8.81,6.47,4.03,3.84,3.44,0.81,-2.31,-2.78,-1.5,-1.66,-2.41,-1.5,1.0,2.41,1.75,2.34,4.88,6.69,5.94,4.47,5.91,7.31,6.34,4.72,5.66,7.19,7.06,5.69,6.53,23.28,21.75,21.69,22.41,22.84,21.0,19.38,18.91,17.88,15.41,13.44,14.0,15.53,16.25,16.06,16.94,17.94,17.66,15.47,14.12,14.16,13.97,12.5,11.41,12.62,14.09,14.19,14.19:-0.41,-0.41,2.31,5.06,5.38,5.28,7.72,10.5,10.25,8.97,9.69,11.06,10.25,7.62,6.66,7.69,7.94,6.19,5.09,6.22,7.06,4.88,2.97,3.53,5.25,5.44,4.22,4.97,6.25,5.69,2.72,0.62,0.69,0.09,-3.38,-5.88,-5.69,-4.91,-6.09,-7.53,-6.56,-4.03,-4.31,-5.41,-5.03,-3.22,-2.69,-4.88,-6.03,-5.44,-5.47,-8.03,-10.0,-9.12,-7.31,-7.0,-7.53,-6.09,-3.16,-2.12,-2.38,-1.62,1.19,2.53,1.66,1.12,2.75,4.41,3.31,1.81,2.72,4.03,3.31,1.5,1.16,1.88,0.72,-2.03,-3.69,-3.44,-3.44,-5.53,-6.47,-5.16,-2.97,-2.84,-3.12,-0.81,2.19,3.91,4.16,5.94,9.0,10.16,9.19,8.97,11.0,12.62,12.03,11.38,12.78,14.09,13.06,11.44,11.91,13.62,13.03,10.97,9.81,10.97,10.69,9.09,8.53,10.03,11.75,10.5,8.84,9.53,10.97,10.0,8.28,7.94,8.97,8.0,5.25,3.94,5.0,5.59,4.03,2.66,3.59,4.75,2.62,-0.03,-0.41,0.41,-0.47,-1.66,-0.94,1.81,3.03,2.47,2.31,4.09,4.94,3.09,1.19,1.75,3.0,2.06,0.38,1.0,2.62,2.0,-0.09,-1.06,0.34,0.44,-0.62,-0.97,1.78,4.19,4.31,4.12,6.22,8.66,8.44,7.62,8.47,9.88,8.88,5.25,1.56,-0.41,-3.5,-7.97,-10.72,-9.53,-6.94,-6.06,-5.16,-1.91,1.72,1.91,0.19,-0.78,-0.75,-2.06,-4.81,-5.75,-4.0,-2.5,-3.59,-4.94,-3.97,-3.16,-4.28,-6.34,-5.94,-4.44,-4.75,-6.38,-6.12,-3.41,-1.62,-1.0,0.03,3.44,6.0,5.38,4.12,5.22,6.5,5.66,3.78,3.91,5.38,5.28,3.41,2.44,3.22,1.91,-1.62,-5.34,-5.97,-5.69,-7.22,-8.88,-7.56,-5.75,-6.03,-7.5,-7.28,-5.34,-4.75,-5.91,-5.75,-3.44,-1.5,-1.72,-1.97,0.66,3.53,3.88,3.38,4.84,6.62,5.75,2.97,1.81,2.31,1.78,-0.28,-1.47,-0.09,1.22,0.62,-0.66,0.44,1.94,0.5,-2.44,-2.72,-1.31,-1.5,-3.06,-3.0,-1.25,-0.5,-2.25,-3.78,-2.94,-3.03,-5.25,-8.25,-8.5,-7.97,-9.28,-11.88,-12.25,-11.06,-11.25,-12.5,-12.72,-10.12,-7.47,-7.25,-6.69,-3.69,-1.06,-1.09,-1.75,-0.19,2.31,3.28,2.0,2.16,3.44,3.28,0.53,-1.53,-1.22,-0.69,-2.75,-5.22,-4.69,-4.28,-6.31,-9.59,-10.5,-10.0,-10.66,-12.72,-12.91,-10.75,-9.62,-10.09,-10.31,-7.62,-5.53,-5.91,-6.5,-5.06,-3.62,-3.97,-6.0,-6.22,-4.94,-4.78,-6.53,-6.5,-4.38,-2.19,-2.16,-1.47,1.97,5.25,5.53,4.44,4.81,5.5,3.72,0.31,-0.84,-0.5,-0.88,-3.94,-5.72,-5.12,-4.75,-6.69,-8.06,-7.0,-5.81,-7.53,-10.09,-9.84,-8.38,-8.41,-10.47,-10.94,-10.31,-11.0,-14.03,-15.72,-14.34,-12.91,-13.25,-13.41,-10.88,-7.97,-7.81,-9.59,-9.69,-8.69,-9.16,-10.97,-10.78,-7.78,-5.34,-6.09,-6.47,-5.53,-5.66,-8.91,-12.53,-13.5,-11.78,-11.84,-12.84,-11.66,-9.44,-9.09,-11.47,-12.78,-11.75,-10.84,-12.53,-13.59,-11.88,-10.06,-10.62,-12.25,-12.0,-10.78,-11.69,-14.62,-15.56,-14.66,-14.62,-16.56,-17.22,-15.0,-13.09,-13.97,-14.66,-13.16,-11.31,-11.53,-13.25,-12.81,-10.62,-10.38,-11.78,-11.88,-10.28,-10.06,-13.09,-15.25,-14.5,-13.16,-13.66,-13.84,-11.66,-8.81,-8.94,-10.47,-11.06,-10.31,-11.62,-15.38,-17.59,-17.31,-17.03,-19.28,-20.16,-18.81,-16.94,-18.0,-19.0,-17.44,-14.56,-13.75,-14.25,-13.47,-10.84,-9.59,-10.44,-10.31,-7.72,-5.69,-6.41,-7.5,-6.59,-5.47,-7.34,-9.88,-10.0,-8.56,-9.03,-11.12,-12.03,-10.97,-10.28,-11.5,-11.12,-7.56,-4.41,-4.41,-4.97,-4.78,-4.34,-6.66,-10.28,-11.91,-11.41,-12.0,-14.22,-15.31,-14.72,-14.84,-18.09,-20.59,-20.0,-18.28,-18.41,-17.88,-14.62,-10.38,-9.19,-9.88,-9.88,-8.44,-8.53,-10.16,-10.22,-7.34,-4.38,-3.84,-3.28,-0.38,2.34,2.06,0.53,0.0,0.5,-1.25,-4.47,-6.16,-5.09,-4.41,-5.53,-5.97,-3.84,-2.53,-3.97,-6.47,-6.34,-5.06,-5.88,-6.81,-5.31,-1.91,-0.66,-1.84,-2.5,-1.16,-0.34,-1.69,-1.66,2.03,6.59,8.34,9.38,12.25,15.22,14.84,12.91,11.53,11.62,9.75,5.41,2.12,1.53,1.25,-1.31,-3.09,-1.78,0.19,-0.88,-2.66,-2.72,-1.38,-2.59,-4.72,-5.28,-3.19,-1.66,-1.91,-1.53,1.34,3.16,1.47,-0.81,-1.03,0.16,-1.09,-3.03,-3.03,-1.5,-2.28,-4.66,-5.69,-4.75,-4.41,-6.16,-7.59,-6.12,-4.53,-5.69,-7.03,-5.78,-2.78,-1.59,-1.47,0.59,3.66,4.19,2.06,0.75,1.91,3.16,2.62,3.06,6.56,9.88,9.72,8.25,8.5,9.03,7.53,4.44,3.22,3.78,3.06,-0.03,-2.12,-1.84,-1.84,-3.31,-4.16,-1.16,2.78,4.38,3.91,4.69,5.69,3.81,0.34,-1.25,0.09,0.97,0.03,0.31,2.88,4.12,2.78,0.41,0.44,0.84,-0.12,-1.44,-0.03,3.62,5.75,5.69,5.84,7.72,7.97,6.0,4.5,6.09,7.59,7.31,5.94,6.72,8.31,7.78,5.72,5.22,6.62,6.97,5.22,4.28,6.41,7.34,5.91,4.06,4.62,5.62,4.09,1.41,1.34,2.28,1.47,-1.5,-3.16,-2.78,-3.41,-5.88,-7.44,-5.34,-3.06,-3.38,-3.66,-1.12,2.0,3.19,2.84,4.5,7.09,8.0,6.72,6.41,7.62,7.56,4.78,1.97,2.28,2.53,0.81,-0.81,-0.25,1.09,0.31,-1.88,-1.81,0.34,1.34,0.66,0.91,3.12,4.25,2.5,0.72,1.56,2.81,1.84,0.72,2.25,5.12,6.75,6.78,8.5,11.66,13.31,12.25,11.22,11.91,11.88,9.41,6.88,7.25,8.72,8.16,6.59,7.09,8.12,7.34,4.44,2.75,2.91,2.81,0.34,-1.25,0.22,1.44,0.38,-1.31,-1.28,-0.38,-1.69,-3.38,-2.12,1.19,4.09,4.69,5.47,7.56,8.5,6.16,4.34,5.22,6.75,6.16,5.16,5.91,7.62,7.41,5.34,5.06,6.62,6.62,4.22,2.78,3.22,4.16,2.84,2.5,5.34,9.06,10.91,11.25,12.84,15.03,14.97,12.19,10.34,10.34,8.88,4.69,1.69,1.38,1.88,0.56,-0.66,0.81,3.12,3.34,1.84,1.44,2.28,1.25,-1.53,-2.03,0.47,3.25,3.88,4.91,7.78,10.56,10.19,9.41,10.84,12.59,12.69,10.56,9.72,10.03,9.16,6.06,4.66,5.84,7.06,5.53,4.25,4.94,6.34,5.94,5.25,6.62,9.22,10.34,9.34,9.72,11.84,13.12,12.19,11.5,13.22,14.84,13.84,12.56,13.41,15.31,15.0,13.69,13.81,15.59,15.81,14.0,13.28,14.19,14.66,12.72,11.28,13.06,15.56,15.75,15.56,16.97,18.94,18.56,16.69,16.16,17.75,18.19,16.12,15.78,17.0,17.47,15.34,13.47,13.88,15.72,15.62,15.28,16.94,19.56,19.59,17.38,15.84,16.06,15.59,13.53,12.91,15.12,17.22,16.41,14.47,14.28,14.06,11.75,9.16,8.81,10.62,11.47,11.03,11.12,13.19,14.47,13.25,12.03,12.97,14.25,13.0,11.12,11.78,13.53,13.31,12.06,11.72,12.75,12.38,10.09,8.56,10.0,11.66,10.72,10.12,11.34,12.59,11.09,8.88,8.88,10.5,10.53,9.25,8.94,10.44,10.41,8.91,7.91,9.75,12.06,11.44,10.22,10.56,11.38,10.0,7.88,7.97,10.53,11.25,10.34,10.47,12.53,13.28,11.62,9.75,10.03,10.56,8.94,7.44,8.81,11.44,12.03,11.0,10.62,11.78,10.75,8.25,6.56,7.81,8.94,7.97,7.16,9.22,11.88,12.03,11.25,11.94,14.12,14.03,12.53,12.12,13.69,13.84,11.72,10.44,11.44,12.12,10.16,7.47,6.5,6.59,4.75,2.78,3.75,6.88,9.03,10.16,12.03,15.84,18.72,18.62,18.41,20.41,22.03,21.16,19.19,18.97,19.03,16.09,11.22,7.78,6.31,4.41,1.88,0.62,2.69,4.31,3.94,3.59,6.31,9.78,11.25,11.94,14.66,18.47,20.16,20.09,20.56,22.5,22.72,20.31,18.38,18.72,19.09,16.97,14.16,14.25,14.97,13.97,12.38,12.94,14.88,14.69,12.31,10.88,10.84,10.06,7.16,4.19,3.75,3.94,1.88,0.19,1.88,4.5,6.25,6.84,8.62,11.72,12.69,11.16,9.72,10.5,10.41,8.72,6.69,7.69,9.03,7.75,4.62,3.06,1.59,-1.94,-6.91,-9.28,-8.44,-7.5,-7.91,-7.34,-4.31,-1.84,-1.91,-2.03,-0.03,2.72,3.22,2.5,3.81,6.25,7.44,6.44,6.75,8.41,8.81,6.47,4.03,3.84,3.44,0.81,-2.31,-2.78,-1.5,-1.66,-2.41,-1.5,1.0,2.41,1.75,2.34,4.88,6.69,5.94,4.47,5.91,7.31,6.34,4.72,5.66,7.19,7.06,5.69,6.53,23.28,21.75,21.69,22.41,22.84,21.0,19.38,18.91,17.88,15.41,13.44,14.0,15.53,16.25,16.06,16.94,17.94,17.66,15.47,14.12,14.16,13.97,12.5,11.41,12.62,14.09,14.19,14.19,15.53,16.97,16.09,13.66,12.22,11.75,11.09:10.5,10.25,8.97,9.69,11.06,10.25,7.62,6.66,7.69,7.94,6.19,5.09,6.22,7.06,4.88,2.97,3.53,5.25,5.44,4.22,4.97,6.25,5.69,2.72,0.62,0.69,0.09,-3.38,-5.88,-5.69,-4.91,-6.09,-7.53,-6.56,-4.03,-4.31,-5.41,-5.03,-3.22,-2.69,-4.88,-6.03,-5.44,-5.47,-8.03,-10.0,-9.12,-7.31,-7.0,-7.53,-6.09,-3.16,-2.12,-2.38,-1.62,1.19,2.53,1.66,1.12,2.75,4.41,3.31,1.81,2.72,4.03,3.31,1.5,1.16,1.88,0.72,-2.03,-3.69,-3.44,-3.44,-5.53,-6.47,-5.16,-2.97,-2.84,-3.12,-0.81,2.19,3.91,4.16,5.94,9.0,10.16,9.19,8.97,11.0,12.62,12.03,11.38,12.78,14.09,13.06,11.44,11.91,13.62,13.03,10.97,9.81,10.97,10.69,9.09,8.53,10.03,11.75,10.5,8.84,9.53,10.97,10.0,8.28,7.94,8.97,8.0,5.25,3.94,5.0,5.59,4.03,2.66,3.59,4.75,2.62,-0.03,-0.41,0.41,-0.47,-1.66,-0.94,1.81,3.03,2.47,2.31,4.09,4.94,3.09,1.19,1.75,3.0,2.06,0.38,1.0,2.62,2.0,-0.09,-1.06,0.34,0.44,-0.62,-0.97,1.78,4.19,4.31,4.12,6.22,8.66,8.44,7.62,8.47,9.88,8.88,5.25,1.56,-0.41,-3.5,-7.97,-10.72,-9.53,-6.94,-6.06,-5.16,-1.91,1.72,1.91,0.19,-0.78,-0.75,-2.06,-4.81,-5.75,-4.0,-2.5,-3.59,-4.94,-3.97,-3.16,-4.28,-6.34,-5.94,-4.44,-4.75,-6.38,-6.12,-3.41,-1.62,-1.0,0.03,3.44,6.0,5.38,4.12,5.22,6.5,5.66,3.78,3.91,5.38,5.28,3.41,2.44,3.22,1.91,-1.62,-5.34,-5.97,-5.69,-7.22,-8.88,-7.56,-5.75,-6.03,-7.5,-7.28,-5.34,-4.75,-5.91,-5.75,-3.44,-1.5,-1.72,-1.97,0.66,3.53,3.88,3.38,4.84,6.62,5.75,2.97,1.81,2.31,1.78,-0.28,-1.47,-0.09,1.22,0.62,-0.66,0.44,1.94,0.5,-2.44,-2.72,-1.31,-1.5,-3.06,-3.0,-1.25,-0.5,-2.25,-3.78,-2.94,-3.03,-5.25,-8.25,-8.5,-7.97,-9.28,-11.88,-12.25,-11.06,-11.25,-12.5,-12.72,-10.12,-7.47,-7.25,-6.69,-3.69,-1.06,-1.09,-1.75,-0.19,2.31,3.28,2.0,2.16,3.44,3.28,0.53,-1.53,-1.22,-0.69,-2.75,-5.22,-4.69,-4.28,-6.31,-9.59,-10.5,-10.0,-10.66,-12.72,-12.91,-10.75,-9.62,-10.09,-10.31,-7.62,-5.53,-5.91,-6.5,-5.06,-3.62,-3.97,-6.0,-6.22,-4.94,-4.78,-6.53,-6.5,-4.38,-2.19,-2.16,-1.47,1.97,5.25,5.53,4.44,4.81,5.5,3.72,0.31,-0.84,-0.5,-0.88,-3.94,-5.72,-5.12,-4.75,-6.69,-8.06,-7.0,-5.81,-7.53,-10.09,-9.84,-8.38,-8.41,-10.47,-10.94,-10.31,-11.0,-14.03,-15.72,-14.34,-12.91,-13.25,-13.41,-10.88,-7.97,-7.81,-9.59,-9.69,-8.69,-9.16,-10.97,-10.78,-7.78,-5.34,-6.09,-6.47,-5.53,-5.66,-8.91,-12.53,-13.5,-11.78,-11.84,-12.84,-11.66,-9.44,-9.09,-11.47,-12.78,-11.75,-10.84,-12.53,-13.59,-11.88,-10.06,-10.62,-12.25,-12.0,-10.78,-11.69,-14.62,-15.56,-14.66,-14.62,-16.56,-17.22,-15.0,-13.09,-13.97,-14.66,-13.16,-11.31,-11.53,-13.25,-12.81,-10.62,-10.38,-11.78,-11.88,-10.28,-10.06,-13.09,-15.25,-14.5,-13.16,-13.66,-13.84,-11.66,-8.81,-8.94,-10.47,-11.06,-10.31,-11.62,-15.38,-17.59,-17.31,-17.03,-19.28,-20.16,-18.81,-16.94,-18.0,-19.0,-17.44,-14.56,-13.75,-14.25,-13.47,-10.84,-9.59,-10.44,-10.31,-7.72,-5.69,-6.41,-7.5,-6.59,-5.47,-7.34,-9.88,-10.0,-8.56,-9.03,-11.12,-12.03,-10.97,-10.28,-11.5,-11.12,-7.56,-4.41,-4.41,-4.97,-4.78,-4.34,-6.66,-10.28,-11.91,-11.41,-12.0,-14.22,-15.31,-14.72,-14.84,-18.09,-20.59,-20.0,-18.28,-18.41,-17.88,-14.62,-10.38,-9.19,-9.88,-9.88,-8.44,-8.53,-10.16,-10.22,-7.34,-4.38,-3.84,-3.28,-0.38,2.34,2.06,0.53,0.0,0.5,-1.25,-4.47,-6.16,-5.09,-4.41,-5.53,-5.97,-3.84,-2.53,-3.97,-6.47,-6.34,-5.06,-5.88,-6.81,-5.31,-1.91,-0.66,-1.84,-2.5,-1.16,-0.34,-1.69,-1.66,2.03,6.59,8.34,9.38,12.25,15.22,14.84,12.91,11.53,11.62,9.75,5.41,2.12,1.53,1.25,-1.31,-3.09,-1.78,0.19,-0.88,-2.66,-2.72,-1.38,-2.59,-4.72,-5.28,-3.19,-1.66,-1.91,-1.53,1.34,3.16,1.47,-0.81,-1.03,0.16,-1.09,-3.03,-3.03,-1.5,-2.28,-4.66,-5.69,-4.75,-4.41,-6.16,-7.59,-6.12,-4.53,-5.69,-7.03,-5.78,-2.78,-1.59,-1.47,0.59,3.66,4.19,2.06,0.75,1.91,3.16,2.62,3.06,6.56,9.88,9.72,8.25,8.5,9.03,7.53,4.44,3.22,3.78,3.06,-0.03,-2.12,-1.84,-1.84,-3.31,-4.16,-1.16,2.78,4.38,3.91,4.69,5.69,3.81,0.34,-1.25,0.09,0.97,0.03,0.31,2.88,4.12,2.78,0.41,0.44,0.84,-0.12,-1.44,-0.03,3.62,5.75,5.69,5.84,7.72,7.97,6.0,4.5,6.09,7.59,7.31,5.94,6.72,8.31,7.78,5.72,5.22,6.62,6.97,5.22,4.28,6.41,7.34,5.91,4.06,4.62,5.62,4.09,1.41,1.34,2.28,1.47,-1.5,-3.16,-2.78,-3.41,-5.88,-7.44,-5.34,-3.06,-3.38,-3.66,-1.12,2.0,3.19,2.84,4.5,7.09,8.0,6.72,6.41,7.62,7.56,4.78,1.97,2.28,2.53,0.81,-0.81,-0.25,1.09,0.31,-1.88,-1.81,0.34,1.34,0.66,0.91,3.12,4.25,2.5,0.72,1.56,2.81,1.84,0.72,2.25,5.12,6.75,6.78,8.5,11.66,13.31,12.25,11.22,11.91,11.88,9.41,6.88,7.25,8.72,8.16,6.59,7.09,8.12,7.34,4.44,2.75,2.91,2.81,0.34,-1.25,0.22,1.44,0.38,-1.31,-1.28,-0.38,-1.69,-3.38,-2.12,1.19,4.09,4.69,5.47,7.56,8.5,6.16,4.34,5.22,6.75,6.16,5.16,5.91,7.62,7.41,5.34,5.06,6.62,6.62,4.22,2.78,3.22,4.16,2.84,2.5,5.34,9.06,10.91,11.25,12.84,15.03,14.97,12.19,10.34,10.34,8.88,4.69,1.69,1.38,1.88,0.56,-0.66,0.81,3.12,3.34,1.84,1.44,2.28,1.25,-1.53,-2.03,0.47,3.25,3.88,4.91,7.78,10.56,10.19,9.41,10.84,12.59,12.69,10.56,9.72,10.03,9.16,6.06,4.66,5.84,7.06,5.53,4.25,4.94,6.34,5.94,5.25,6.62,9.22,10.34,9.34,9.72,11.84,13.12,12.19,11.5,13.22,14.84,13.84,12.56,13.41,15.31,15.0,13.69,13.81,15.59,15.81,14.0,13.28,14.19,14.66,12.72,11.28,13.06,15.56,15.75,15.56,16.97,18.94,18.56,16.69,16.16,17.75,18.19,16.12,15.78,17.0,17.47,15.34,13.47,13.88,15.72,15.62,15.28,16.94,19.56,19.59,17.38,15.84,16.06,15.59,13.53,12.91,15.12,17.22,16.41,14.47,14.28,14.06,11.75,9.16,8.81,10.62,11.47,11.03,11.12,13.19,14.47,13.25,12.03,12.97,14.25,13.0,11.12,11.78,13.53,13.31,12.06,11.72,12.75,12.38,10.09,8.56,10.0,11.66,10.72,10.12,11.34,12.59,11.09,8.88,8.88,10.5,10.53,9.25,8.94,10.44,10.41,8.91,7.91,9.75,12.06,11.44,10.22,10.56,11.38,10.0,7.88,7.97,10.53,11.25,10.34,10.47,12.53,13.28,11.62,9.75,10.03,10.56,8.94,7.44,8.81,11.44,12.03,11.0,10.62,11.78,10.75,8.25,6.56,7.81,8.94,7.97,7.16,9.22,11.88,12.03,11.25,11.94,14.12,14.03,12.53,12.12,13.69,13.84,11.72,10.44,11.44,12.12,10.16,7.47,6.5,6.59,4.75,2.78,3.75,6.88,9.03,10.16,12.03,15.84,18.72,18.62,18.41,20.41,22.03,21.16,19.19,18.97,19.03,16.09,11.22,7.78,6.31,4.41,1.88,0.62,2.69,4.31,3.94,3.59,6.31,9.78,11.25,11.94,14.66,18.47,20.16,20.09,20.56,22.5,22.72,20.31,18.38,18.72,19.09,16.97,14.16,14.25,14.97,13.97,12.38,12.94,14.88,14.69,12.31,10.88,10.84,10.06,7.16,4.19,3.75,3.94,1.88,0.19,1.88,4.5,6.25,6.84,8.62,11.72,12.69,11.16,9.72,10.5,10.41,8.72,6.69,7.69,9.03,7.75,4.62,3.06,1.59,-1.94,-6.91,-9.28,-8.44,-7.5,-7.91,-7.34,-4.31,-1.84,-1.91,-2.03,-0.03,2.72,3.22,2.5,3.81,6.25,7.44,6.44,6.75,8.41,8.81,6.47,4.03,3.84,3.44,0.81,-2.31,-2.78,-1.5,-1.66,-2.41,-1.5,1.0,2.41,1.75,2.34,4.88,6.69,5.94,4.47,5.91,7.31,6.34,4.72,5.66,7.19,7.06,5.69,6.53,23.28,21.75,21.69,22.41,22.84,21.0,19.38,18.91,17.88,15.41,13.44,14.0,15.53,16.25,16.06,16.94,17.94,17.66,15.47,14.12,14.16,13.97,12.5,11.41,12.62,14.09,14.19,14.19,15.53,16.97,16.09,13.66,12.22,11.75,11.09,10.09,10.44,12.78,15.66,16.69,17.66,20.0:positivity
-11.44,-7.88,-4.59,-2.12,0.91,5.69,10.22,13.72,17.34,21.16,24.38,24.72,23.5,22.81,21.88,19.44,15.91,12.59,10.06,6.5,2.38,-0.78,-1.53,-1.28,-0.75,1.25,5.5,10.53,13.97,16.28,18.53,19.66,18.16,14.84,11.62,9.38,7.06,5.16,4.81,6.72,8.88,10.0,10.31,11.19,11.16,8.5,4.91,1.44,-1.78,-5.62,-9.47,-11.62,-10.94,-9.47,-8.25,-5.78,-1.88,1.84,4.22,6.75,10.31,14.56,16.66,18.03,19.75,21.5,21.72,20.38,19.31,18.94,17.59,14.38,11.59,10.78,10.78,10.31,10.69,12.75,14.97,15.03,14.0,13.0,12.38,10.69,8.03,6.0,5.31,4.56,3.03,2.19,3.62,5.88,7.41,8.69,11.03,13.31,12.75,11.28,9.53,8.0,5.44,1.78,-1.25,-2.5,-3.97,-6.16,-8.03,-8.03,-7.34,-6.72,-5.81,-3.06,0.28,2.09,3.03,4.12,5.88,6.44,5.34,4.12,4.12,4.25,3.84,4.44,7.28,9.84,10.47,9.62,8.88,7.75,5.22,2.44,0.53,-0.06,-0.78,-2.44,-3.28,-2.75,-2.03,-2.38,-2.53,-1.44,-0.44,-0.81,-1.69,-1.88,-1.84,-2.84,-4.47,-4.84,-4.03,-3.09,-2.94,-2.19,-0.22,1.72,1.88,1.75,2.56,3.16,1.97,-0.41,-1.81,-2.38,-4.0,-5.88,-6.72,-5.66,-5.25,-5.31,-5.19,-3.31,-1.62,-1.12,-1.44,0.12,1.59,2.09,1.84,2.94,4.81,5.31,4.72,4.41,4.84,4.06,2.59,0.81,0.75,1.0,-0.12,-1.47,-1.22,-0.19,-0.72,-1.28,-0.34,1.19,2.0,1.91,1.62,2.53,2.31,1.19,0.28,1.16,2.25,1.97,1.59,2.44,3.44,3.41,2.47,2.66,3.81,4.28,4.16,5.06,7.47,9.56,10.38,10.94,11.69,12.16,10.22,7.22,5.19,4.06,2.28,0.06,-0.81,0.03,0.59,0.19,0.69,2.69,4.59,4.84,4.78,5.59,6.38,5.09,2.75,1.38,-0.38,-3.22,-6.62,-9.34,-10.22,-10.75,-11.44,-11.19,-8.97,-6.66,-5.69,-4.81,-2.91,-0.66,0.16,0.44,1.94,3.84,5.31,5.34,6.06,7.25,7.0,5.41,3.62,3.38,3.09,1.94,0.69,0.59,0.78,-1.22,-3.5,-4.94,-5.28,-5.72,-6.0,-4.56,-1.28,1.88,3.31,4.28,5.94,6.5,4.97,2.47,1.56,1.34,0.62,0.03,1.22,3.06,3.47,2.06,0.97,0.09,-0.84,-3.12,-4.56,-4.72,-4.38,-5.0,-5.88,-5.09,-3.31,-3.09,-3.09,-1.75,0.56,1.69,1.94,3.06,5.41,7.41,8.25,9.31,11.31,12.34,11.78,9.66,9.09,9.12,8.66,7.62,8.19,9.66,10.28,9.59,9.16,9.84,10.5,9.88,8.91,9.66,9.69,7.94,5.38,3.94,3.12,0.88,-2.06,-3.44,-3.12,-2.78,-2.47,-1.16,0.84,2.31,1.88,0.69,1.06,1.84,1.62,1.09,1.5,2.0,0.97,-1.75,-3.88,-4.31,-5.38,-6.56,-6.75,-5.41,-3.97,-3.66,-3.34,-1.31,0.97,1.75,1.47,2.69,4.16,4.66,4.25,4.56,5.59,5.72,4.09,3.22,3.94,5.03,5.62,6.25,8.75,11.16,11.69,10.75,10.59,10.19,8.5,5.94,4.53,3.97,2.84,0.03,-2.44,-3.38,-3.97,-5.12,-5.28,-3.38,-1.0,0.06,-0.19,0.06,0.66,0.22,-1.31,-1.72,-1.0,-1.0,-2.09,-2.72,-1.81,-0.31,0.44,1.72,4.5,7.59,9.16,8.88,8.75,8.62,6.97,3.97,1.53,0.56,-0.62,-3.06,-4.5,-4.47,-3.44,-2.91,-2.0,0.78,4.06,5.94,5.94,6.75,7.91,7.94,6.31,5.78,6.28,6.47,5.44,4.78,5.5,6.53,6.34,5.94,7.34,9.47,10.84,11.31,12.69,14.31,14.72,13.06,11.56,11.25,10.28,7.69,5.28,3.44,1.56,-2.31,-6.12,-8.78,-10.12,-11.16,-11.81,-10.28,-7.41,-4.81,-3.94,-3.28,-2.0,-1.78,-3.19,-4.0,-3.28,-1.38,-0.72,-0.91,-0.06,0.69,0.03,-1.78,-2.34,-1.97,-1.91,-4.09,-5.22,-5.38,-6.19,-8.28,-9.94,-9.94,-8.78,-8.72,-9.03,-7.88,-6.12,-5.41,-5.56,-4.53,-2.31,-0.84,-1.12,-1.69,-1.28,-1.22,-3.16,-4.66,-4.5,-3.56,-4.09,-4.62,-4.06,-2.62,-1.97,-2.62,-2.41,-1.09,-0.22,-0.97,-1.06,0.38,1.91,1.81,1.84,3.31,4.97,5.38,4.88,5.53,6.69,6.81,5.91,5.47,5.59,5.38,3.78,2.75,3.53,4.78,4.5,3.72,4.09,4.41,3.22,1.5,0.97,1.91,2.38,2.38,3.66,6.09,7.97,8.31,8.53,9.88,11.19,10.75,9.91,10.0,9.62,7.16,3.19,-0.09,-2.34,-4.84,-7.41,-8.16,-6.97,-5.38,-5.28,-4.34,-1.59,1.62,3.5,5.62,8.78,12.28,14.03,14.34,15.38,16.59,16.34,14.53,13.56,13.53,13.25,10.94,8.62,7.66,6.5,4.19,2.25,1.94,2.69,2.91,2.97,4.25,6.62,7.97,7.84,8.22,9.41,10.5,9.75,8.94,9.53,10.25,9.47,8.0,8.28,9.16,8.34,6.69,5.75,5.53,4.56,2.38,1.41,2.06,3.12,3.25,4.12,6.44,9.44,10.47,10.44,11.41,12.78,12.75,11.72,11.78,13.28,13.62,12.94,12.88,14.12,15.69,15.19,14.78,14.97,15.19,13.0,9.75,7.78,7.12,6.16,5.34,6.41,9.03,11.56,12.16,12.88,14.03,14.41,12.66,10.69,10.25,10.53,9.56,8.53,8.69,9.72,9.59,8.78,8.81,9.5,9.78,8.25,6.41,5.72,5.06,2.53,0.34,-0.03,0.38,-0.5,-1.47,-1.03,0.59,1.19,1.12,1.78,3.81,5.47,5.75,6.31,8.06,9.5,8.53,7.34,7.25,8.0,7.5,6.59,7.44,8.91,9.34,8.69,8.59,9.97,10.81,10.12,9.75,10.66,11.19,9.84,7.94,7.0,6.5,4.31,1.59,0.62,1.41,1.94,1.88,3.38,6.06,7.81,8.0,8.28,9.66,11.78,11.78,11.75,12.88,14.5,13.91,12.16,11.25,10.44,9.69,7.97,7.81,9.59,11.69,11.88,11.94,13.06,13.72,12.41,10.97,10.22,10.69,9.06,7.56,7.06,8.12,8.84,8.53,8.41,9.22,9.12,7.28,5.62,5.75,6.66,6.69,6.81,8.69,11.0,11.41,10.88,10.72,11.16,11.28,10.88,10.94,12.53,13.16,11.56,8.91,6.91,5.31,2.16,-0.19,-0.28,1.44,2.66,3.75,5.88,8.97,11.06,11.41,11.69,12.16,11.47,8.31,4.97,3.34,2.44,0.59,-0.97,-0.91,-0.16,-0.41,-1.62,-1.72,-0.81,-0.34,-1.0,-0.59,1.78,4.97,6.78,8.94,12.72,16.09,16.78,15.81,14.78,13.66,10.81,6.66,3.72,2.16,0.44,-1.84,-2.81,-1.31,1.06,2.0,3.16,5.25,7.28,7.06,6.0,6.03,6.81,6.72,5.75,5.88,7.0,7.38,6.0,5.06,5.75,6.5,6.47,6.81,9.09,11.66,12.19,11.66,11.69,12.38,11.69,10.06,9.31,9.56,9.5,8.03,6.84,7.38,8.0,7.06,6.22,6.56,7.62,6.91,5.53,5.25,6.06,6.0,5.38,6.22,8.44,10.69,11.88,13.66,17.0,19.97,20.91,20.81,21.56,22.53,22.0,21.34,21.88,23.5,24.06,23.19,22.03,21.5,19.25,15.03,10.75,8.25,6.66,4.78,3.31,4.09,6.22,6.62,6.56,7.69,9.81,11.28,11.97,14.06,18.06,21.56,23.28,24.34,25.47,25.91,23.59,20.56,19.0,17.69,14.38,9.94,6.75,4.38,1.38,-2.31,-5.69,-7.25,-8.41,-10.16,-10.28,-7.69,-3.31,0.12,3.47,7.84,12.25,14.56,15.19,16.19,17.91,18.38,17.53,16.75,17.12,17.12,15.12,13.66,13.25,12.88,10.19,7.03,5.0,3.44,1.44,-0.72,-0.94,0.41,1.31,1.44,2.34,5.0,7.25,8.06,9.03,11.28,13.62,13.88,13.31,13.16,12.84,10.66,7.25,4.56,3.5,2.25,0.56,0.44,2.81,5.44,6.97,8.78,11.66,14.56,15.56,15.53,15.72,16.47,15.5,13.25,11.88,11.72,10.81,8.88,7.81,9.09,10.41,10.59,11.12,12.84,14.69,14.47,13.53,13.5,14.16,13.22,10.91,9.44,9.06,7.75,5.53,3.59,4.12,4.72,4.12,3.78,5.41,7.47,8.25,8.31,9.09,10.91,11.94,12.34,14.19,17.94,20.5,21.28,21.5,21.69,20.72,17.03,13.38,10.91,8.97,6.22,3.78,2.72,3.25,2.94,1.91,2.12,3.59,4.75,5.0,5.59,8.31,11.06,12.5,13.69,15.59,17.0,16.31,14.72,14.16,14.09,12.91,10.47,8.66,8.03,7.69,7.06,7.25,9.88,12.66,13.41,13.06,13.72,14.56,13.25,11.19,9.91,9.59,8.34,6.5,6.0,7.69,9.09,9.38,10.28,12.53,14.03,13.34,11.72,10.16,8.84,5.62,2.44,1.12,1.81,3.12,4.81,7.94,12.59,16.47,18.16,18.28,18.81,18.69,16.78,14.41,13.66,13.22,11.66,10.19,10.16,11.97,13.38,13.53,13.62,14.06,12.97,9.03,5.09,2.06,-0.69,-3.47,-5.0,-3.34,0.72,4.88,9.0,13.72,18.69,21.47,21.22,20.31,19.81,17.91,14.44,11.34,10.47,9.97,8.81,7.59,8.0,9.0,9.12,8.5,8.62,9.12,7.97,4.56,1.41,-0.62,-2.59,-5.28,-7.16,-6.41,-4.75:13.72,17.34,21.16,24.38,24.72,23.5,22.81,21.88,19.44,15.91,12.59,10.06,6.5,2.38,-0.78,-1.53,-1.28,-0.75,1.25,5.5,10.53,13.97,16.28,18.53,19.66,18.16,14.84,11.62,9.38,7.06,5.16,4.81,6.72,8.88,10.0,10.31,11.19,11.16,8.5,4.91,1.44,-1.78,-5.62,-9.47,-11.62,-10.94,-9.47,-8.25,-5.78,-1.88,1.84,4.22,6.75,10.31,14.56,16.66,18.03,19.75,21.5,21.72,20.38,19.31,18.94,17.59,14.38,11.59,10.78,10.78,10.31,10.69,12.75,14.97,15.03,14.0,13.0,12.38,10.69,8.03,6.0,5.31,4.56,3.03,2.19,3.62,5.88,7.41,8.69,11.03,13.31,12.75,11.28,9.53,8.0,5.44,1.78,-1.25,-2.5,-3.97,-6.16,-8.03,-8.03,-7.34,-6.72,-5.81,-3.06,0.28,2.09,3.03,4.12,5.88,6.44,5.34,4.12,4.12,4.25,3.84,4.44,7.28,9.84,10.47,9.62,8.88,7.75,5.22,2.44,0.53,-0.06,-0.78,-2.44,-3.28,-2.75,-2.03,-2.38,-2.53,-1.44,-0.44,-0.81,-1.69,-1.88,-1.84,-2.84,-4.47,-4.84,-4.03,-3.09,-2.94,-2.19,-0.22,1.72,1.88,1.75,2.56,3.16,1.97,-0.41,-1.81,-2.38,-4.0,-5.88,-6.72,-5.66,-5.25,-5.31,-5.19,-3.31,-1.62,-1.12,-1.44,0.12,1.59,2.09,1.84,2.94,4.81,5.31,4.72,4.41,4.84,4.06,2.59,0.81,0.75,1.0,-0.12,-1.47,-1.22,-0.19,-0.72,-1.28,-0.34,1.19,2.0,1.91,1.62,2.53,2.31,1.19,0.28,1.16,2.25,1.97,1.59,2.44,3.44,3.41,2.47,2.66,3.81,4.28,4.16,5.06,7.47,9.56,10.38,10.94,11.69,12.16,10.22,7.22,5.19,4.06,2.28,0.06,-0.81,0.03,0.59,0.19,0.69,2.69,4.59,4.84,4.78,5.59,6.38,5.09,2.75,1.38,-0.38,-3.22,-6.62,-9.34,-10.22,-10.75,-11.44,-11.19,-8.97,-6.66,-5.69,-4.81,-2.91,-0.66,0.16,0.44,1.94,3.84,5.31,5.34,6.06,7.25,7.0,5.41,3.62,3.38,3.09,1.94,0.69,0.59,0.78,-1.22,-3.5,-4.94,-5.28,-5.72,-6.0,-4.56,-1.28,1.88,3.31,4.28,5.94,6.5,4.97,2.47,1.56,1.34,0.62,0.03,1.22,3.06,3.47,2.06,0.97,0.09,-0.84,-3.12,-4.56,-4.72,-4.38,-5.0,-5.88,-5.09,-3.31,-3.09,-3.09,-1.75,0.56,1.69,1.94,3.06,5.41,7.41,8.25,9.31,11.31,12.34,11.78,9.66,9.09,9.12,8.66,7.62,8.19,9.66,10.28,9.59,9.16,9.84,10.5,9.88,8.91,9.66,9.69,7.94,5.38,3.94,3.12,0.88,-2.06,-3.44,-3.12,-2.78,-2.47,-1.16,0.84,2.31,1.88,0.69,1.06,1.84,1.62,1.09,1.5,2.0,0.97,-1.75,-3.88,-4.31,-5.38,-6.56,-6.75,-5.41,-3.97,-3.66,-3.34,-1.31,0.97,1.75,1.47,2.69,4.16,4.66,4.25,4.56,5.59,5.72,4.09,3.22,3.94,5.03,5.62,6.25,8.75,11.16,11.69,10.75,10.59,10.19,8.5,5.94,4.53,3.97,2.84,0.03,-2.44,-3.38,-3.97,-5.12,-5.28,-3.38,-1.0,0.06,-0.19,0.06,0.66,0.22,-1.31,-1.72,-1.0,-1.0,-2.09,-2.72,-1.81,-0.31,0.44,1.72,4.5,7.59,9.16,8.88,8.75,8.62,6.97,3.97,1.53,0.56,-0.62,-3.06,-4.5,-4.47,-3.44,-2.91,-2.0,0.78,4.06,5.94,5.94,6.75,7.91,7.94,6.31,5.78,6.28,6.47,5.44,4.78,5.5,6.53,6.34,5.94,7.34,9.47,10.84,11.31,12.69,14.31,14.72,13.06,11.56,11.25,10.28,7.69,5.28,3.44,1.56,-2.31,-6.12,-8.78,-10.12,-11.16,-11.81,-10.28,-7.41,-4.81,-3.94,-3.28,-2.0,-1.78,-3.19,-4.0,-3.28,-1.38,-0.72,-0.91,-0.06,0.69,0.03,-1.78,-2.34,-1.97,-1.91,-4.09,-5.22,-5.38,-6.19,-8.28,-9.94,-9.94,-8.78,-8.72,-9.03,-7.88,-6.12,-5.41,-5.56,-4.53,-2.31,-0.84,-1.12,-1.69,-1.28,-1.22,-3.16,-4.66,-4.5,-3.56,-4.09,-4.62,-4.06,-2.62,-1.97,-2.62,-2.41,-1.09,-0.22,-0.97,-1.06,0.38,1.91,1.81,1.84,3.31,4.97,5.38,4.88,5.53,6.69,6.81,5.91,5.47,5.59,5.38,3.78,2.75,3.53,4.78,4.5,3.72,4.09,4.41,3.22,1.5,0.97,1.91,2.38,2.38,3.66,6.09,7.97,8.31,8.53,9.88,11.19,10.75,9.91,10.0,9.62,7.16,3.19,-0.09,-2.34,-4.84,-7.41,-8.16,-6.97,-5.38,-5.28,-4.34,-1.59,1.62,3.5,5.62,8.78,12.28,14.03,14.34,15.38,16.59,16.34,14.53,13.56,13.53,13.25,10.94,8.62,7.66,6.5,4.19,2.25,1.94,2.69,2.91,2.97,4.25,6.62,7.97,7.84,8.22,9.41,10.5,9.75,8.94,9.53,10.25,9.47,8.0,8.28,9.16,8.34,6.69,5.75,5.53,4.56,2.38,1.41,2.06,3.12,3.25,4.12,6.44,9.44,10.47,10.44,11.41,12.78,12.75,11.72,11.78,13.28,13.62,12.94,12.88,14.12,15.69,15.19,14.78,14.97,15.19,13.0,9.75,7.78,7.12,6.16,5.34,6.41,9.03,11.56,12.16,12.88,14.03,14.41,12.66,10.69,10.25,10.53,9.56,8.53,8.69,9.72,9.59,8.78,8.81,9.5,9.78,8.25,6.41,5.72,5.06,2.53,0.34,-0.03,0.38,-0.5,-1.47,-1.03,0.59,1.19,1.12,1.78,3.81,5.47,5.75,6.31,8.06,9.5,8.53,7.34,7.25,8.0,7.5,6.59,7.44,8.91,9.34,8.69,8.59,9.97,10.81,10.12,9.75,10.66,11.19,9.84,7.94,7.0,6.5,4.31,1.59,0.62,1.41,1.94,1.88,3.38,6.06,7.81,8.0,8.28,9.66,11.78,11.78,11.75,12.88,14.5,13.91,12.16,11.25,10.44,9.69,7.97,7.81,9.59,11.69,11.88,11.94,13.06,13.72,12.41,10.97,10.22,10.69,9.06,7.56,7.06,8.12,8.84,8.53,8.41,9.22,9.12,7.28,5.62,5.75,6.66,6.69,6.81,8.69,11.0,11.41,10.88,10.72,11.16,11.28,10.88,10.94,12.53,13.16,11.56,8.91,6.91,5.31,2.16,-0.19,-0.28,1.44,2.66,3.75,5.88,8.97,11.06,11.41,11.69,12.16,11.47,8.31,4.97,3.34,2.44,0.59,-0.97,-0.91,-0.16,-0.41,-1.62,-1.72,-0.81,-0.34,-1.0,-0.59,1.78,4.97,6.78,8.94,12.72,16.09,16.78,15.81,14.78,13.66,10.81,6.66,3.72,2.16,0.44,-1.84,-2.81,-1.31,1.06,2.0,3.16,5.25,7.28,7.06,6.0,6.03,6.81,6.72,5.75,5.88,7.0,7.38,6.0,5.06,5.75,6.5,6.47,6.81,9.09,11.66,12.19,11.66,11.69,12.38,11.69,10.06,9.31,9.56,9.5,8.03,6.84,7.38,8.0,7.06,6.22,6.56,7.62,6.91,5.53,5.25,6.06,6.0,5.38,6.22,8.44,10.69,11.88,13.66,17.0,19.97,20.91,20.81,21.56,22.53,22.0,21.34,21.88,23.5,24.06,23.19,22.03,21.5,19.25,15.03,10.75,8.25,6.66,4.78,3.31,4.09,6.22,6.62,6.56,7.69,9.81,11.28,11.97,14.06,18.06,21.56,23.28,24.34,25.47,25.91,23.59,20.56,19.0,17.69,14.38,9.94,6.75,4.38,1.38,-2.31,-5.69,-7.25,-8.41,-10.16,-10.28,-7.69,-3.31,0.12,3.47,7.84,12.25,14.56,15.19,16.19,17.91,18.38,17.53,16.75,17.12,17.12,15.12,13.66,13.25,12.88,10.19,7.03,5.0,3.44,1.44,-0.72,-0.94,0.41,1.31,1.44,2.34,5.0,7.25,8.06,9.03,11.28,13.62,13.88,13.31,13.16,12.84,10.66,7.25,4.56,3.5,2.25,0.56,0.44,2.81,5.44,6.97,8.78,11.66,14.56,15.56,15.53,15.72,16.47,15.5,13.25,11.88,11.72,10.81,8.88,7.81,9.09,10.41,10.59,11.12,12.84,14.69,14.47,13.53,13.5,14.16,13.22,10.91,9.44,9.06,7.75,5.53,3.59,4.12,4.72,4.12,3.78,5.41,7.47,8.25,8.31,9.09,10.91,11.94,12.34,14.19,17.94,20.5,21.28,21.5,21.69,20.72,17.03,13.38,10.91,8.97,6.22,3.78,2.72,3.25,2.94,1.91,2.12,3.59,4.75,5.0,5.59,8.31,11.06,12.5,13.69,15.59,17.0,16.31,14.72,14.16,14.09,12.91,10.47,8.66,8.03,7.69,7.06,7.25,9.88,12.66,13.41,13.06,13.72,14.56,13.25,11.19,9.91,9.59,8.34,6.5,6.0,7.69,9.09,9.38,10.28,12.53,14.03,13.34,11.72,10.16,8.84,5.62,2.44,1.12,1.81,3.12,4.81,7.94,12.59,16.47,18.16,18.28,18.81,18.69,16.78,14.41,13.66,13.22,11.66,10.19,10.16,11.97,13.38,13.53,13.62,14.06,12.97,9.03,5.09,2.06,-0.69,-3.47,-5.0,-3.34,0.72,4.88,9.0,13.72,18.69,21.47,21.22,20.31,19.81,17.91,14.44,11.34,10.47,9.97,8.81,7.59,8.0,9.0,9.12,8.5,8.62,9.12,7.97,4.56,1.41,-0.62,-2.59,-5.28,-7.16,-6.41,-4.75,20.19,22.34,24.66,27.69,30.19,32.81,35.94:21.88,19.44,15.91,12.59,10.06,6.5,2.38,-0.78,-1.53,-1.28,-0.75,1.25,5.5,10.53,13.97,16.28,18.53,19.66,18.16,14.84,11.62,9.38,7.06,5.16,4.81,6.72,8.88,10.0,10.31,11.19,11.16,8.5,4.91,1.44,-1.78,-5.62,-9.47,-11.62,-10.94,-9.47,-8.25,-5.78,-1.88,1.84,4.22,6.75,10.31,14.56,16.66,18.03,19.75,21.5,21.72,20.38,19.31,18.94,17.59,14.38,11.59,10.78,10.78,10.31,10.69,12.75,14.97,15.03,14.0,13.0,12.38,10.69,8.03,6.0,5.31,4.56,3.03,2.19,3.62,5.88,7.41,8.69,11.03,13.31,12.75,11.28,9.53,8.0,5.44,1.78,-1.25,-2.5,-3.97,-6.16,-8.03,-8.03,-7.34,-6.72,-5.81,-3.06,0.28,2.09,3.03,4.12,5.88,6.44,5.34,4.12,4.12,4.25,3.84,4.44,7.28,9.84,10.47,9.62,8.88,7.75,5.22,2.44,0.53,-0.06,-0.78,-2.44,-3.28,-2.75,-2.03,-2.38,-2.53,-1.44,-0.44,-0.81,-1.69,-1.88,-1.84,-2.84,-4.47,-4.84,-4.03,-3.09,-2.94,-2.19,-0.22,1.72,1.88,1.75,2.56,3.16,1.97,-0.41,-1.81,-2.38,-4.0,-5.88,-6.72,-5.66,-5.25,-5.31,-5.19,-3.31,-1.62,-1.12,-1.44,0.12,1.59,2.09,1.84,2.94,4.81,5.31,4.72,4.41,4.84,4.06,2.59,0.81,0.75,1.0,-0.12,-1.47,-1.22,-0.19,-0.72,-1.28,-0.34,1.19,2.0,1.91,1.62,2.53,2.31,1.19,0.28,1.16,2.25,1.97,1.59,2.44,3.44,3.41,2.47,2.66,3.81,4.28,4.16,5.06,7.47,9.56,10.38,10.94,11.69,12.16,10.22,7.22,5.19,4.06,2.28,0.06,-0.81,0.03,0.59,0.19,0.69,2.69,4.59,4.84,4.78,5.59,6.38,5.09,2.75,1.38,-0.38,-3.22,-6.62,-9.34,-10.22,-10.75,-11.44,-11.19,-8.97,-6.66,-5.69,-4.81,-2.91,-0.66,0.16,0.44,1.94,3.84,5.31,5.34,6.06,7.25,7.0,5.41,3.62,3.38,3.09,1.94,0.69,0.59,0.78,-1.22,-3.5,-4.94,-5.28,-5.72,-6.0,-4.56,-1.28,1.88,3.31,4.28,5.94,6.5,4.97,2.47,1.56,1.34,0.62,0.03,1.22,3.06,3.47,2.06,0.97,0.09,-0.84,-3.12,-4.56,-4.72,-4.38,-5.0,-5.88,-5.09,-3.31,-3.09,-3.09,-1.75,0.56,1.69,1.94,3.06,5.41,7.41,8.25,9.31,11.31,12.34,11.78,9.66,9.09,9.12,8.66,7.62,8.19,9.66,10.28,9.59,9.16,9.84,10.5,9.88,8.91,9.66,9.69,7.94,5.38,3.94,3.12,0.88,-2.06,-3.44,-3.12,-2.78,-2.47,-1.16,0.84,2.31,1.88,0.69,1.06,1.84,1.62,1.09,1.5,2.0,0.97,-1.75,-3.88,-4.31,-5.38,-6.56,-6.75,-5.41,-3.97,-3.66,-3.34,-1.31,0.97,1.75,1.47,2.69,4.16,4.66,4.25,4.56,5.59,5.72,4.09,3.22,3.94,5.03,5.62,6.25,8.75,11.16,11.69,10.75,10.59,10.19,8.5,5.94,4.53,3.97,2.84,0.03,-2.44,-3.38,-3.97,-5.12,-5.28,-3.38,-1.0,0.06,-0.19,0.06,0.66,0.22,-1.31,-1.72,-1.0,-1.0,-2.09,-2.72,-1.81,-0.31,0.44,1.72,4.5,7.59,9.16,8.88,8.75,8.62,6.97,3.97,1.53,0.56,-0.62,-3.06,-4.5,-4.47,-3.44,-2.91,-2.0,0.78,4.06,5.94,5.94,6.75,7.91,7.94,6.31,5.78,6.28,6.47,5.44,4.78,5.5,6.53,6.34,5.94,7.34,9.47,10.84,11.31,12.69,14.31,14.72,13.06,11.56,11.25,10.28,7.69,5.28,3.44,1.56,-2.31,-6.12,-8.78,-10.12,-11.16,-11.81,-10.28,-7.41,-4.81,-3.94,-3.28,-2.0,-1.78,-3.19,-4.0,-3.28,-1.38,-0.72,-0.91,-0.06,0.69,0.03,-1.78,-2.34,-1.97,-1.91,-4.09,-5.22,-5.38,-6.19,-8.28,-9.94,-9.94,-8.78,-8.72,-9.03,-7.88,-6.12,-5.41,-5.56,-4.53,-2.31,-0.84,-1.12,-1.69,-1.28,-1.22,-3.16,-4.66,-4.5,-3.56,-4.09,-4.62,-4.06,-2.62,-1.97,-2.62,-2.41,-1.09,-0.22,-0.97,-1.06,0.38,1.91,1.81,1.84,3.31,4.97,5.38,4.88,5.53,6.69,6.81,5.91,5.47,5.59,5.38,3.78,2.75,3.53,4.78,4.5,3.72,4.09,4.41,3.22,1.5,0.97,1.91,2.38,2.38,3.66,6.09,7.97,8.31,8.53,9.88,11.19,10.75,9.91,10.0,9.62,7.16,3.19,-0.09,-2.34,-4.84,-7.41,-8.16,-6.97,-5.38,-5.28,-4.34,-1.59,1.62,3.5,5.62,8.78,12.28,14.03,14.34,15.38,16.59,16.34,14.53,13.56,13.53,13.25,10.94,8.62,7.66,6.5,4.19,2.25,1.94,2.69,2.91,2.97,4.25,6.62,7.97,7.84,8.22,9.41,10.5,9.75,8.94,9.53,10.25,9.47,8.0,8.28,9.16,8.34,6.69,5.75,5.53,4.56,2.38,1.41,2.06,3.12,3.25,4.12,6.44,9.44,10.47,10.44,11.41,12.78,12.75,11.72,11.78,13.28,13.62,12.94,12.88,14.12,15.69,15.19,14.78,14.97,15.19,13.0,9.75,7.78,7.12,6.16,5.34,6.41,9.03,11.56,12.16,12.88,14.03,14.41,12.66,10.69,10.25,10.53,9.56,8.53,8.69,9.72,9.59,8.78,8.81,9.5,9.78,8.25,6.41,5.72,5.06,2.53,0.34,-0.03,0.38,-0.5,-1.47,-1.03,0.59,1.19,1.12,1.78,3.81,5.47,5.75,6.31,8.06,9.5,8.53,7.34,7.25,8.0,7.5,6.59,7.44,8.91,9.34,8.69,8.59,9.97,10.81,10.12,9.75,10.66,11.19,9.84,7.94,7.0,6.5,4.31,1.59,0.62,1.41,1.94,1.88,3.38,6.06,7.81,8.0,8.28,9.66,11.78,11.78,11.75,12.88,14.5,13.91,12.16,11.25,10.44,9.69,7.97,7.81,9.59,11.69,11.88,11.94,13.06,13.72,12.41,10.97,10.22,10.69,9.06,7.56,7.06,8.12,8.84,8.53,8.41,9.22,9.12,7.28,5.62,5.75,6.66,6.69,6.81,8.69,11.0,11.41,10.88,10.72,11.16,11.28,10.88,10.94,12.53,13.16,11.56,8.91,6.91,5.31,2.16,-0.19,-0.28,1.44,2.66,3.75,5.88,8.97,11.06,11.41,11.69,12.16,11.47,8.31,4.97,3.34,2.44,0.59,-0.97,-0.91,-0.16,-0.41,-1.62,-1.72,-0.81,-0.34,-1.0,-0.59,1.78,4.97,6.78,8.94,12.72,16.09,16.78,15.81,14.78,13.66,10.81,6.66,3.72,2.16,0.44,-1.84,-2.81,-1.31,1.06,2.0,3.16,5.25,7.28,7.06,6.0,6.03,6.81,6.72,5.75,5.88,7.0,7.38,6.0,5.06,5.75,6.5,6.47,6.81,9.09,11.66,12.19,11.66,11.69,12.38,11.69,10.06,9.31,9.56,9.5,8.03,6.84,7.38,8.0,7.06,6.22,6.56,7.62,6.91,5.53,5.25,6.06,6.0,5.38,6.22,8.44,10.69,11.88,13.66,17.0,19.97,20.91,20.81,21.56,22.53,22.0,21.34,21.88,23.5,24.06,23.19,22.03,21.5,19.25,15.03,10.75,8.25,6.66,4.78,3.31,4.09,6.22,6.62,6.56,7.69,9.81,11.28,11.97,14.06,18.06,21.56,23.28,24.34,25.47,25.91,23.59,20.56,19.0,17.69,14.38,9.94,6.75,4.38,1.38,-2.31,-5.69,-7.25,-8.41,-10.16,-10.28,-7.69,-3.31,0.12,3.47,7.84,12.25,14.56,15.19,16.19,17.91,18.38,17.53,16.75,17.12,17.12,15.12,13.66,13.25,12.88,10.19,7.03,5.0,3.44,1.44,-0.72,-0.94,0.41,1.31,1.44,2.34,5.0,7.25,8.06,9.03,11.28,13.62,13.88,13.31,13.16,12.84,10.66,7.25,4.56,3.5,2.25,0.56,0.44,2.81,5.44,6.97,8.78,11.66,14.56,15.56,15.53,15.72,16.47,15.5,13.25,11.88,11.72,10.81,8.88,7.81,9.09,10.41,10.59,11.12,12.84,14.69,14.47,13.53,13.5,14.16,13.22,10.91,9.44,9.06,7.75,5.53,3.59,4.12,4.72,4.12,3.78,5.41,7.47,8.25,8.31,9.09,10.91,11.94,12.34,14.19,17.94,20.5,21.28,21.5,21.69,20.72,17.03,13.38,10.91,8.97,6.22,3.78,2.72,3.25,2.94,1.91,2.12,3.59,4.75,5.0,5.59,8.31,11.06,12.5,13.69,15.59,17.0,16.31,14.72,14.16,14.09,12.91,10.47,8.66,8.03,7.69,7.06,7.25,9.88,12.66,13.41,13.06,13.72,14.56,13.25,11.19,9.91,9.59,8.34,6.5,6.0,7.69,9.09,9.38,10.28,12.53,14.03,13.34,11.72,10.16,8.84,5.62,2.44,1.12,1.81,3.12,4.81,7.94,12.59,16.47,18.16,18.28,18.81,18.69,16.78,14.41,13.66,13.22,11.66,10.19,10.16,11.97,13.38,13.53,13.62,14.06,12.97,9.03,5.09,2.06,-0.69,-3.47,-5.0,-3.34,0.72,4.88,9.0,13.72,18.69,21.47,21.22,20.31,19.81,17.91,14.44,11.34,10.47,9.97,8.81,7.59,8.0,9.0,9.12,8.5,8.62,9.12,7.97,4.56,1.41,-0.62,-2.59,-5.28,-7.16,-6.41,-4.75,20.19,22.34,24.66,27.69,30.19,32.81,35.94,39.59,42.28,43.34,44.25,44.19,43.41,41.78:-0.78,-1.53,-1.28,-0.75,1.25,5.5,10.53,13.97,16.28,18.53,19.66,18.16,14.84,11.62,9.38,7.06,5.16,4.81,6.72,8.88,10.0,10.31,11.19,11.16,8.5,4.91,1.44,-1.78,-5.62,-9.47,-11.62,-10.94,-9.47,-8.25,-5.78,-1.88,1.84,4.22,6.75,10.31,14.56,16.66,18.03,19.75,21.5,21.72,20.38,19.31,18.94,17.59,14.38,11.59,10.78,10.78,10.31,10.69,12.75,14.97,15.03,14.0,13.0,12.38,10.69,8.03,6.0,5.31,4.56,3.03,2.19,3.62,5.88,7.41,8.69,11.03,13.31,12.75,11.28,9.53,8.0,5.44,1.78,-1.25,-2.5,-3.97,-6.16,-8.03,-8.03,-7.34,-6.72,-5.81,-3.06,0.28,2.09,3.03,4.12,5.88,6.44,5.34,4.12,4.12,4.25,3.84,4.44,7.28,9.84,10.47,9.62,8.88,7.75,5.22,2.44,0.53,-0.06,-0.78,-2.44,-3.28,-2.75,-2.03,-2.38,-2.53,-1.44,-0.44,-0.81,-1.69,-1.88,-1.84,-2.84,-4.47,-4.84,-4.03,-3.09,-2.94,-2.19,-0.22,1.72,1.88,1.75,2.56,3.16,1.97,-0.41,-1.81,-2.38,-4.0,-5.88,-6.72,-5.66,-5.25,-5.31,-5.19,-3.31,-1.62,-1.12,-1.44,0.12,1.59,2.09,1.84,2.94,4.81,5.31,4.72,4.41,4.84,4.06,2.59,0.81,0.75,1.0,-0.12,-1.47,-1.22,-0.19,-0.72,-1.28,-0.34,1.19,2.0,1.91,1.62,2.53,2.31,1.19,0.28,1.16,2.25,1.97,1.59,2.44,3.44,3.41,2.47,2.66,3.81,4.28,4.16,5.06,7.47,9.56,10.38,10.94,11.69,12.16,10.22,7.22,5.19,4.06,2.28,0.06,-0.81,0.03,0.59,0.19,0.69,2.69,4.59,4.84,4.78,5.59,6.38,5.09,2.75,1.38,-0.38,-3.22,-6.62,-9.34,-10.22,-10.75,-11.44,-11.19,-8.97,-6.66,-5.69,-4.81,-2.91,-0.66,0.16,0.44,1.94,3.84,5.31,5.34,6.06,7.25,7.0,5.41,3.62,3.38,3.09,1.94,0.69,0.59,0.78,-1.22,-3.5,-4.94,-5.28,-5.72,-6.0,-4.56,-1.28,1.88,3.31,4.28,5.94,6.5,4.97,2.47,1.56,1.34,0.62,0.03,1.22,3.06,3.47,2.06,0.97,0.09,-0.84,-3.12,-4.56,-4.72,-4.38,-5.0,-5.88,-5.09,-3.31,-3.09,-3.09,-1.75,0.56,1.69,1.94,3.06,5.41,7.41,8.25,9.31,11.31,12.34,11.78,9.66,9.09,9.12,8.66,7.62,8.19,9.66,10.28,9.59,9.16,9.84,10.5,9.88,8.91,9.66,9.69,7.94,5.38,3.94,3.12,0.88,-2.06,-3.44,-3.12,-2.78,-2.47,-1.16,0.84,2.31,1.88,0.69,1.06,1.84,1.62,1.09,1.5,2.0,0.97,-1.75,-3.88,-4.31,-5.38,-6.56,-6.75,-5.41,-3.97,-3.66,-3.34,-1.31,0.97,1.75,1.47,2.69,4.16,4.66,4.25,4.56,5.59,5.72,4.09,3.22,3.94,5.03,5.62,6.25,8.75,11.16,11.69,10.75,10.59,10.19,8.5,5.94,4.53,3.97,2.84,0.03,-2.44,-3.38,-3.97,-5.12,-5.28,-3.38,-1.0,0.06,-0.19,0.06,0.66,0.22,-1.31,-1.72,-1.0,-1.0,-2.09,-2.72,-1.81,-0.31,0.44,1.72,4.5,7.59,9.16,8.88,8.75,8.62,6.97,3.97,1.53,0.56,-0.62,-3.06,-4.5,-4.47,-3.44,-2.91,-2.0,0.78,4.06,5.94,5.94,6.75,7.91,7.94,6.31,5.78,6.28,6.47,5.44,4.78,5.5,6.53,6.34,5.94,7.34,9.47,10.84,11.31,12.69,14.31,14.72,13.06,11.56,11.25,10.28,7.69,5.28,3.44,1.56,-2.31,-6.12,-8.78,-10.12,-11.16,-11.81,-10.28,-7.41,-4.81,-3.94,-3.28,-2.0,-1.78,-3.19,-4.0,-3.28,-1.38,-0.72,-0.91,-0.06,0.69,0.03,-1.78,-2.34,-1.97,-1.91,-4.09,-5.22,-5.38,-6.19,-8.28,-9.94,-9.94,-8.78,-8.72,-9.03,-7.88,-6.12,-5.41,-5.56,-4.53,-2.31,-0.84,-1.12,-1.69,-1.28,-1.22,-3.16,-4.66,-4.5,-3.56,-4.09,-4.62,-4.06,-2.62,-1.97,-2.62,-2.41,-1.09,-0.22,-0.97,-1.06,0.38,1.91,1.81,1.84,3.31,4.97,5.38,4.88,5.53,6.69,6.81,5.91,5.47,5.59,5.38,3.78,2.75,3.53,4.78,4.5,3.72,4.09,4.41,3.22,1.5,0.97,1.91,2.38,2.38,3.66,6.09,7.97,8.31,8.53,9.88,11.19,10.75,9.91,10.0,9.62,7.16,3.19,-0.09,-2.34,-4.84,-7.41,-8.16,-6.97,-5.38,-5.28,-4.34,-1.59,1.62,3.5,5.62,8.78,12.28,14.03,14.34,15.38,16.59,16.34,14.53,13.56,13.53,13.25,10.94,8.62,7.66,6.5,4.19,2.25,1.94,2.69,2.91,2.97,4.25,6.62,7.97,7.84,8.22,9.41,10.5,9.75,8.94,9.53,10.25,9.47,8.0,8.28,9.16,8.34,6.69,5.75,5.53,4.56,2.38,1.41,2.06,3.12,3.25,4.12,6.44,9.44,10.47,10.44,11.41,12.78,12.75,11.72,11.78,13.28,13.62,12.94,12.88,14.12,15.69,15.19,14.78,14.97,15.19,13.0,9.75,7.78,7.12,6.16,5.34,6.41,9.03,11.56,12.16,12.88,14.03,14.41,12.66,10.69,10.25,10.53,9.56,8.53,8.69,9.72,9.59,8.78,8.81,9.5,9.78,8.25,6.41,5.72,5.06,2.53,0.34,-0.03,0.38,-0.5,-1.47,-1.03,0.59,1.19,1.12,1.78,3.81,5.47,5.75,6.31,8.06,9.5,8.53,7.34,7.25,8.0,7.5,6.59,7.44,8.91,9.34,8.69,8.59,9.97,10.81,10.12,9.75,10.66,11.19,9.84,7.94,7.0,6.5,4.31,1.59,0.62,1.41,1.94,1.88,3.38,6.06,7.81,8.0,8.28,9.66,11.78,11.78,11.75,12.88,14.5,13.91,12.16,11.25,10.44,9.69,7.97,7.81,9.59,11.69,11.88,11.94,13.06,13.72,12.41,10.97,10.22,10.69,9.06,7.56,7.06,8.12,8.84,8.53,8.41,9.22,9.12,7.28,5.62,5.75,6.66,6.69,6.81,8.69,11.0,11.41,10.88,10.72,11.16,11.28,10.88,10.94,12.53,13.16,11.56,8.91,6.91,5.31,2.16,-0.19,-0.28,1.44,2.66,3.75,5.88,8.97,11.06,11.41,11.69,12.16,11.47,8.31,4.97,3.34,2.44,0.59,-0.97,-0.91,-0.16,-0.41,-1.62,-1.72,-0.81,-0.34,-1.0,-0.59,1.78,4.97,6.78,8.94,12.72,16.09,16.78,15.81,14.78,13.66,10.81,6.66,3.72,2.16,0.44,-1.84,-2.81,-1.31,1.06,2.0,3.16,5.25,7.28,7.06,6.0,6.03,6.81,6.72,5.75,5.88,7.0,7.38,6.0,5.06,5.75,6.5,6.47,6.81,9.09,11.66,12.19,11.66,11.69,12.38,11.69,10.06,9.31,9.56,9.5,8.03,6.84,7.38,8.0,7.06,6.22,6.56,7.62,6.91,5.53,5.25,6.06,6.0,5.38,6.22,8.44,10.69,11.88,13.66,17.0,19.97,20.91,20.81,21.56,22.53,22.0,21.34,21.88,23.5,24.06,23.19,22.03,21.5,19.25,15.03,10.75,8.25,6.66,4.78,3.31,4.09,6.22,6.62,6.56,7.69,9.81,11.28,11.97,14.06,18.06,21.56,23.28,24.34,25.47,25.91,23.59,20.56,19.0,17.69,14.38,9.94,6.75,4.38,1.38,-2.31,-5.69,-7.25,-8.41,-10.16,-10.28,-7.69,-3.31,0.12,3.47,7.84,12.25,14.56,15.19,16.19,17.91,18.38,17.53,16.75,17.12,17.12,15.12,13.66,13.25,12.88,10.19,7.03,5.0,3.44,1.44,-0.72,-0.94,0.41,1.31,1.44,2.34,5.0,7.25,8.06,9.03,11.28,13.62,13.88,13.31,13.16,12.84,10.66,7.25,4.56,3.5,2.25,0.56,0.44,2.81,5.44,6.97,8.78,11.66,14.56,15.56,15.53,15.72,16.47,15.5,13.25,11.88,11.72,10.81,8.88,7.81,9.09,10.41,10.59,11.12,12.84,14.69,14.47,13.53,13.5,14.16,13.22,10.91,9.44,9.06,7.75,5.53,3.59,4.12,4.72,4.12,3.78,5.41,7.47,8.25,8.31,9.09,10.91,11.94,12.34,14.19,17.94,20.5,21.28,21.5,21.69,20.72,17.03,13.38,10.91,8.97,6.22,3.78,2.72,3.25,2.94,1.91,2.12,3.59,4.75,5.0,5.59,8.31,11.06,12.5,13.69,15.59,17.0,16.31,14.72,14.16,14.09,12.91,10.47,8.66,8.03,7.69,7.06,7.25,9.88,12.66,13.41,13.06,13.72,14.56,13.25,11.19,9.91,9.59,8.34,6.5,6.0,7.69,9.09,9.38,10.28,12.53,14.03,13.34,11.72,10.16,8.84,5.62,2.44,1.12,1.81,3.12,4.81,7.94,12.59,16.47,18.16,18.28,18.81,18.69,16.78,14.41,13.66,13.22,11.66,10.19,10.16,11.97,13.38,13.53,13.62,14.06,12.97,9.03,5.09,2.06,-0.69,-3.47,-5.0,-3.34,0.72,4.88,9.0,13.72,18.69,21.47,21.22,20.31,19.81,17.91,14.44,11.34,10.47,9.97,8.81,7.59,8.0,9.0,9.12,8.5,8.62,9.12,7.97,4.56,1.41,-0.62,-2.59,-5.28,-7.16,-6.41,-4.75,20.19,22.34,24.66,27.69,30.19,32.81,35.94,39.59,42.28,43.34,44.25,44.19,43.41,41.78,39.97,38.5,36.97,34.69,32.31,30.19,28.41:13.97,16.28,18.53,19.66,18.16,14.84,11.62,9.38,7.06,5.16,4.81,6.72,8.88,10.0,10.31,11.19,11.16,8.5,4.91,1.44,-1.78,-5.62,-9.47,-11.62,-10.94,-9.47,-8.25,-5.78,-1.88,1.84,4.22,6.75,10.31,14.56,16.66,18.03,19.75,21.5,21.72,20.38,19.31,18.94,17.59,14.38,11.59,10.78,10.78,10.31,10.69,12.75,14.97,15.03,14.0,13.0,12.38,10.69,8.03,6.0,5.31,4.56,3.03,2.19,3.62,5.88,7.41,8.69,11.03,13.31,12.75,11.28,9.53,8.0,5.44,1.78,-1.25,-2.5,-3.97,-6.16,-8.03,-8.03,-7.34,-6.72,-5.81,-3.06,0.28,2.09,3.03,4.12,5.88,6.44,5.34,4.12,4.12,4.25,3.84,4.44,7.28,9.84,10.47,9.62,8.88,7.75,5.22,2.44,0.53,-0.06,-0.78,-2.44,-3.28,-2.75,-2.03,-2.38,-2.53,-1.44,-0.44,-0.81,-1.69,-1.88,-1.84,-2.84,-4.47,-4.84,-4.03,-3.09,-2.94,-2.19,-0.22,1.72,1.88,1.75,2.56,3.16,1.97,-0.41,-1.81,-2.38,-4.0,-5.88,-6.72,-5.66,-5.25,-5.31,-5.19,-3.31,-1.62,-1.12,-1.44,0.12,1.59,2.09,1.84,2.94,4.81,5.31,4.72,4.41,4.84,4.06,2.59,0.81,0.75,1.0,-0.12,-1.47,-1.22,-0.19,-0.72,-1.28,-0.34,1.19,2.0,1.91,1.62,2.53,2.31,1.19,0.28,1.16,2.25,1.97,1.59,2.44,3.44,3.41,2.47,2.66,3.81,4.28,4.16,5.06,7.47,9.56,10.38,10.94,11.69,12.16,10.22,7.22,5.19,4.06,2.28,0.06,-0.81,0.03,0.59,0.19,0.69,2.69,4.59,4.84,4.78,5.59,6.38,5.09,2.75,1.38,-0.38,-3.22,-6.62,-9.34,-10.22,-10.75,-11.44,-11.19,-8.97,-6.66,-5.69,-4.81,-2.91,-0.66,0.16,0.44,1.94,3.84,5.31,5.34,6.06,7.25,7.0,5.41,3.62,3.38,3.09,1.94,0.69,0.59,0.78,-1.22,-3.5,-4.94,-5.28,-5.72,-6.0,-4.56,-1.28,1.88,3.31,4.28,5.94,6.5,4.97,2.47,1.56,1.34,0.62,0.03,1.22,3.06,3.47,2.06,0.97,0.09,-0.84,-3.12,-4.56,-4.72,-4.38,-5.0,-5.88,-5.09,-3.31,-3.09,-3.09,-1.75,0.56,1.69,1.94,3.06,5.41,7.41,8.25,9.31,11.31,12.34,11.78,9.66,9.09,9.12,8.66,7.62,8.19,9.66,10.28,9.59,9.16,9.84,10.5,9.88,8.91,9.66,9.69,7.94,5.38,3.94,3.12,0.88,-2.06,-3.44,-3.12,-2.78,-2.47,-1.16,0.84,2.31,1.88,0.69,1.06,1.84,1.62,1.09,1.5,2.0,0.97,-1.75,-3.88,-4.31,-5.38,-6.56,-6.75,-5.41,-3.97,-3.66,-3.34,-1.31,0.97,1.75,1.47,2.69,4.16,4.66,4.25,4.56,5.59,5.72,4.09,3.22,3.94,5.03,5.62,6.25,8.75,11.16,11.69,10.75,10.59,10.19,8.5,5.94,4.53,3.97,2.84,0.03,-2.44,-3.38,-3.97,-5.12,-5.28,-3.38,-1.0,0.06,-0.19,0.06,0.66,0.22,-1.31,-1.72,-1.0,-1.0,-2.09,-2.72,-1.81,-0.31,0.44,1.72,4.5,7.59,9.16,8.88,8.75,8.62,6.97,3.97,1.53,0.56,-0.62,-3.06,-4.5,-4.47,-3.44,-2.91,-2.0,0.78,4.06,5.94,5.94,6.75,7.91,7.94,6.31,5.78,6.28,6.47,5.44,4.78,5.5,6.53,6.34,5.94,7.34,9.47,10.84,11.31,12.69,14.31,14.72,13.06,11.56,11.25,10.28,7.69,5.28,3.44,1.56,-2.31,-6.12,-8.78,-10.12,-11.16,-11.81,-10.28,-7.41,-4.81,-3.94,-3.28,-2.0,-1.78,-3.19,-4.0,-3.28,-1.38,-0.72,-0.91,-0.06,0.69,0.03,-1.78,-2.34,-1.97,-1.91,-4.09,-5.22,-5.38,-6.19,-8.28,-9.94,-9.94,-8.78,-8.72,-9.03,-7.88,-6.12,-5.41,-5.56,-4.53,-2.31,-0.84,-1.12,-1.69,-1.28,-1.22,-3.16,-4.66,-4.5,-3.56,-4.09,-4.62,-4.06,-2.62,-1.97,-2.62,-2.41,-1.09,-0.22,-0.97,-1.06,0.38,1.91,1.81,1.84,3.31,4.97,5.38,4.88,5.53,6.69,6.81,5.91,5.47,5.59,5.38,3.78,2.75,3.53,4.78,4.5,3.72,4.09,4.41,3.22,1.5,0.97,1.91,2.38,2.38,3.66,6.09,7.97,8.31,8.53,9.88,11.19,10.75,9.91,10.0,9.62,7.16,3.19,-0.09,-2.34,-4.84,-7.41,-8.16,-6.97,-5.38,-5.28,-4.34,-1.59,1.62,3.5,5.62,8.78,12.28,14.03,14.34,15.38,16.59,16.34,14.53,13.56,13.53,13.25,10.94,8.62,7.66,6.5,4.19,2.25,1.94,2.69,2.91,2.97,4.25,6.62,7.97,7.84,8.22,9.41,10.5,9.75,8.94,9.53,10.25,9.47,8.0,8.28,9.16,8.34,6.69,5.75,5.53,4.56,2.38,1.41,2.06,3.12,3.25,4.12,6.44,9.44,10.47,10.44,11.41,12.78,12.75,11.72,11.78,13.28,13.62,12.94,12.88,14.12,15.69,15.19,14.78,14.97,15.19,13.0,9.75,7.78,7.12,6.16,5.34,6.41,9.03,11.56,12.16,12.88,14.03,14.41,12.66,10.69,10.25,10.53,9.56,8.53,8.69,9.72,9.59,8.78,8.81,9.5,9.78,8.25,6.41,5.72,5.06,2.53,0.34,-0.03,0.38,-0.5,-1.47,-1.03,0.59,1.19,1.12,1.78,3.81,5.47,5.75,6.31,8.06,9.5,8.53,7.34,7.25,8.0,7.5,6.59,7.44,8.91,9.34,8.69,8.59,9.97,10.81,10.12,9.75,10.66,11.19,9.84,7.94,7.0,6.5,4.31,1.59,0.62,1.41,1.94,1.88,3.38,6.06,7.81,8.0,8.28,9.66,11.78,11.78,11.75,12.88,14.5,13.91,12.16,11.25,10.44,9.69,7.97,7.81,9.59,11.69,11.88,11.94,13.06,13.72,12.41,10.97,10.22,10.69,9.06,7.56,7.06,8.12,8.84,8.53,8.41,9.22,9.12,7.28,5.62,5.75,6.66,6.69,6.81,8.69,11.0,11.41,10.88,10.72,11.16,11.28,10.88,10.94,12.53,13.16,11.56,8.91,6.91,5.31,2.16,-0.19,-0.28,1.44,2.66,3.75,5.88,8.97,11.06,11.41,11.69,12.16,11.47,8.31,4.97,3.34,2.44,0.59,-0.97,-0.91,-0.16,-0.41,-1.62,-1.72,-0.81,-0.34,-1.0,-0.59,1.78,4.97,6.78,8.94,12.72,16.09,16.78,15.81,14.78,13.66,10.81,6.66,3.72,2.16,0.44,-1.84,-2.81,-1.31,1.06,2.0,3.16,5.25,7.28,7.06,6.0,6.03,6.81,6.72,5.75,5.88,7.0,7.38,6.0,5.06,5.75,6.5,6.47,6.81,9.09,11.66,12.19,11.66,11.69,12.38,11.69,10.06,9.31,9.56,9.5,8.03,6.84,7.38,8.0,7.06,6.22,6.56,7.62,6.91,5.53,5.25,6.06,6.0,5.38,6.22,8.44,10.69,11.88,13.66,17.0,19.97,20.91,20.81,21.56,22.53,22.0,21.34,21.88,23.5,24.06,23.19,22.03,21.5,19.25,15.03,10.75,8.25,6.66,4.78,3.31,4.09,6.22,6.62,6.56,7.69,9.81,11.28,11.97,14.06,18.06,21.56,23.28,24.34,25.47,25.91,23.59,20.56,19.0,17.69,14.38,9.94,6.75,4.38,1.38,-2.31,-5.69,-7.25,-8.41,-10.16,-10.28,-7.69,-3.31,0.12,3.47,7.84,12.25,14.56,15.19,16.19,17.91,18.38,17.53,16.75,17.12,17.12,15.12,13.66,13.25,12.88,10.19,7.03,5.0,3.44,1.44,-0.72,-0.94,0.41,1.31,1.44,2.34,5.0,7.25,8.06,9.03,11.28,13.62,13.88,13.31,13.16,12.84,10.66,7.25,4.56,3.5,2.25,0.56,0.44,2.81,5.44,6.97,8.78,11.66,14.56,15.56,15.53,15.72,16.47,15.5,13.25,11.88,11.72,10.81,8.88,7.81,9.09,10.41,10.59,11.12,12.84,14.69,14.47,13.53,13.5,14.16,13.22,10.91,9.44,9.06,7.75,5.53,3.59,4.12,4.72,4.12,3.78,5.41,7.47,8.25,8.31,9.09,10.91,11.94,12.34,14.19,17.94,20.5,21.28,21.5,21.69,20.72,17.03,13.38,10.91,8.97,6.22,3.78,2.72,3.25,2.94,1.91,2.12,3.59,4.75,5.0,5.59,8.31,11.06,12.5,13.69,15.59,17.0,16.31,14.72,14.16,14.09,12.91,10.47,8.66,8.03,7.69,7.06,7.25,9.88,12.66,13.41,13.06,13.72,14.56,13.25,11.19,9.91,9.59,8.34,6.5,6.0,7.69,9.09,9.38,10.28,12.53,14.03,13.34,11.72,10.16,8.84,5.62,2.44,1.12,1.81,3.12,4.81,7.94,12.59,16.47,18.16,18.28,18.81,18.69,16.78,14.41,13.66,13.22,11.66,10.19,10.16,11.97,13.38,13.53,13.62,14.06,12.97,9.03,5.09,2.06,-0.69,-3.47,-5.0,-3.34,0.72,4.88,9.0,13.72,18.69,21.47,21.22,20.31,19.81,17.91,14.44,11.34,10.47,9.97,8.81,7.59,8.0,9.0,9.12,8.5,8.62,9.12,7.97,4.56,1.41,-0.62,-2.59,-5.28,-7.16,-6.41,-4.75,20.19,22.34,24.66,27.69,30.19,32.81,35.94,39.59,42.28,43.34,44.25,44.19,43.41,41.78,39.97,38.5,36.97,34.69,32.31,30.19,28.41,26.59,25.34,25.56,27.25,30.31,33.44,37.19:9.38,7.06,5.16,4.81,6.72,8.88,10.0,10.31,11.19,11.16,8.5,4.91,1.44,-1.78,-5.62,-9.47,-11.62,-10.94,-9.47,-8.25,-5.78,-1.88,1.84,4.22,6.75,10.31,14.56,16.66,18.03,19.75,21.5,21.72,20.38,19.31,18.94,17.59,14.38,11.59,10.78,10.78,10.31,10.69,12.75,14.97,15.03,14.0,13.0,12.38,10.69,8.03,6.0,5.31,4.56,3.03,2.19,3.62,5.88,7.41,8.69,11.03,13.31,12.75,11.28,9.53,8.0,5.44,1.78,-1.25,-2.5,-3.97,-6.16,-8.03,-8.03,-7.34,-6.72,-5.81,-3.06,0.28,2.09,3.03,4.12,5.88,6.44,5.34,4.12,4.12,4.25,3.84,4.44,7.28,9.84,10.47,9.62,8.88,7.75,5.22,2.44,0.53,-0.06,-0.78,-2.44,-3.28,-2.75,-2.03,-2.38,-2.53,-1.44,-0.44,-0.81,-1.69,-1.88,-1.84,-2.84,-4.47,-4.84,-4.03,-3.09,-2.94,-2.19,-0.22,1.72,1.88,1.75,2.56,3.16,1.97,-0.41,-1.81,-2.38,-4.0,-5.88,-6.72,-5.66,-5.25,-5.31,-5.19,-3.31,-1.62,-1.12,-1.44,0.12,1.59,2.09,1.84,2.94,4.81,5.31,4.72,4.41,4.84,4.06,2.59,0.81,0.75,1.0,-0.12,-1.47,-1.22,-0.19,-0.72,-1.28,-0.34,1.19,2.0,1.91,1.62,2.53,2.31,1.19,0.28,1.16,2.25,1.97,1.59,2.44,3.44,3.41,2.47,2.66,3.81,4.28,4.16,5.06,7.47,9.56,10.38,10.94,11.69,12.16,10.22,7.22,5.19,4.06,2.28,0.06,-0.81,0.03,0.59,0.19,0.69,2.69,4.59,4.84,4.78,5.59,6.38,5.09,2.75,1.38,-0.38,-3.22,-6.62,-9.34,-10.22,-10.75,-11.44,-11.19,-8.97,-6.66,-5.69,-4.81,-2.91,-0.66,0.16,0.44,1.94,3.84,5.31,5.34,6.06,7.25,7.0,5.41,3.62,3.38,3.09,1.94,0.69,0.59,0.78,-1.22,-3.5,-4.94,-5.28,-5.72,-6.0,-4.56,-1.28,1.88,3.31,4.28,5.94,6.5,4.97,2.47,1.56,1.34,0.62,0.03,1.22,3.06,3.47,2.06,0.97,0.09,-0.84,-3.12,-4.56,-4.72,-4.38,-5.0,-5.88,-5.09,-3.31,-3.09,-3.09,-1.75,0.56,1.69,1.94,3.06,5.41,7.41,8.25,9.31,11.31,12.34,11.78,9.66,9.09,9.12,8.66,7.62,8.19,9.66,10.28,9.59,9.16,9.84,10.5,9.88,8.91,9.66,9.69,7.94,5.38,3.94,3.12,0.88,-2.06,-3.44,-3.12,-2.78,-2.47,-1.16,0.84,2.31,1.88,0.69,1.06,1.84,1.62,1.09,1.5,2.0,0.97,-1.75,-3.88,-4.31,-5.38,-6.56,-6.75,-5.41,-3.97,-3.66,-3.34,-1.31,0.97,1.75,1.47,2.69,4.16,4.66,4.25,4.56,5.59,5.72,4.09,3.22,3.94,5.03,5.62,6.25,8.75,11.16,11.69,10.75,10.59,10.19,8.5,5.94,4.53,3.97,2.84,0.03,-2.44,-3.38,-3.97,-5.12,-5.28,-3.38,-1.0,0.06,-0.19,0.06,0.66,0.22,-1.31,-1.72,-1.0,-1.0,-2.09,-2.72,-1.81,-0.31,0.44,1.72,4.5,7.59,9.16,8.88,8.75,8.62,6.97,3.97,1.53,0.56,-0.62,-3.06,-4.5,-4.47,-3.44,-2.91,-2.0,0.78,4.06,5.94,5.94,6.75,7.91,7.94,6.31,5.78,6.28,6.47,5.44,4.78,5.5,6.53,6.34,5.94,7.34,9.47,10.84,11.31,12.69,14.31,14.72,13.06,11.56,11.25,10.28,7.69,5.28,3.44,1.56,-2.31,-6.12,-8.78,-10.12,-11.16,-11.81,-10.28,-7.41,-4.81,-3.94,-3.28,-2.0,-1.78,-3.19,-4.0,-3.28,-1.38,-0.72,-0.91,-0.06,0.69,0.03,-1.78,-2.34,-1.97,-1.91,-4.09,-5.22,-5.38,-6.19,-8.28,-9.94,-9.94,-8.78,-8.72,-9.03,-7.88,-6.12,-5.41,-5.56,-4.53,-2.31,-0.84,-1.12,-1.69,-1.28,-1.22,-3.16,-4.66,-4.5,-3.56,-4.09,-4.62,-4.06,-2.62,-1.97,-2.62,-2.41,-1.09,-0.22,-0.97,-1.06,0.38,1.91,1.81,1.84,3.31,4.97,5.38,4.88,5.53,6.69,6.81,5.91,5.47,5.59,5.38,3.78,2.75,3.53,4.78,4.5,3.72,4.09,4.41,3.22,1.5,0.97,1.91,2.38,2.38,3.66,6.09,7.97,8.31,8.53,9.88,11.19,10.75,9.91,10.0,9.62,7.16,3.19,-0.09,-2.34,-4.84,-7.41,-8.16,-6.97,-5.38,-5.28,-4.34,-1.59,1.62,3.5,5.62,8.78,12.28,14.03,14.34,15.38,16.59,16.34,14.53,13.56,13.53,13.25,10.94,8.62,7.66,6.5,4.19,2.25,1.94,2.69,2.91,2.97,4.25,6.62,7.97,7.84,8.22,9.41,10.5,9.75,8.94,9.53,10.25,9.47,8.0,8.28,9.16,8.34,6.69,5.75,5.53,4.56,2.38,1.41,2.06,3.12,3.25,4.12,6.44,9.44,10.47,10.44,11.41,12.78,12.75,11.72,11.78,13.28,13.62,12.94,12.88,14.12,15.69,15.19,14.78,14.97,15.19,13.0,9.75,7.78,7.12,6.16,5.34,6.41,9.03,11.56,12.16,12.88,14.03,14.41,12.66,10.69,10.25,10.53,9.56,8.53,8.69,9.72,9.59,8.78,8.81,9.5,9.78,8.25,6.41,5.72,5.06,2.53,0.34,-0.03,0.38,-0.5,-1.47,-1.03,0.59,1.19,1.12,1.78,3.81,5.47,5.75,6.31,8.06,9.5,8.53,7.34,7.25,8.0,7.5,6.59,7.44,8.91,9.34,8.69,8.59,9.97,10.81,10.12,9.75,10.66,11.19,9.84,7.94,7.0,6.5,4.31,1.59,0.62,1.41,1.94,1.88,3.38,6.06,7.81,8.0,8.28,9.66,11.78,11.78,11.75,12.88,14.5,13.91,12.16,11.25,10.44,9.69,7.97,7.81,9.59,11.69,11.88,11.94,13.06,13.72,12.41,10.97,10.22,10.69,9.06,7.56,7.06,8.12,8.84,8.53,8.41,9.22,9.12,7.28,5.62,5.75,6.66,6.69,6.81,8.69,11.0,11.41,10.88,10.72,11.16,11.28,10.88,10.94,12.53,13.16,11.56,8.91,6.91,5.31,2.16,-0.19,-0.28,1.44,2.66,3.75,5.88,8.97,11.06,11.41,11.69,12.16,11.47,8.31,4.97,3.34,2.44,0.59,-0.97,-0.91,-0.16,-0.41,-1.62,-1.72,-0.81,-0.34,-1.0,-0.59,1.78,4.97,6.78,8.94,12.72,16.09,16.78,15.81,14.78,13.66,10.81,6.66,3.72,2.16,0.44,-1.84,-2.81,-1.31,1.06,2.0,3.16,5.25,7.28,7.06,6.0,6.03,6.81,6.72,5.75,5.88,7.0,7.38,6.0,5.06,5.75,6.5,6.47,6.81,9.09,11.66,12.19,11.66,11.69,12.38,11.69,10.06,9.31,9.56,9.5,8.03,6.84,7.38,8.0,7.06,6.22,6.56,7.62,6.91,5.53,5.25,6.06,6.0,5.38,6.22,8.44,10.69,11.88,13.66,17.0,19.97,20.91,20.81,21.56,22.53,22.0,21.34,21.88,23.5,24.06,23.19,22.03,21.5,19.25,15.03,10.75,8.25,6.66,4.78,3.31,4.09,6.22,6.62,6.56,7.69,9.81,11.28,11.97,14.06,18.06,21.56,23.28,24.34,25.47,25.91,23.59,20.56,19.0,17.69,14.38,9.94,6.75,4.38,1.38,-2.31,-5.69,-7.25,-8.41,-10.16,-10.28,-7.69,-3.31,0.12,3.47,7.84,12.25,14.56,15.19,16.19,17.91,18.38,17.53,16.75,17.12,17.12,15.12,13.66,13.25,12.88,10.19,7.03,5.0,3.44,1.44,-0.72,-0.94,0.41,1.31,1.44,2.34,5.0,7.25,8.06,9.03,11.28,13.62,13.88,13.31,13.16,12.84,10.66,7.25,4.56,3.5,2.25,0.56,0.44,2.81,5.44,6.97,8.78,11.66,14.56,15.56,15.53,15.72,16.47,15.5,13.25,11.88,11.72,10.81,8.88,7.81,9.09,10.41,10.59,11.12,12.84,14.69,14.47,13.53,13.5,14.16,13.22,10.91,9.44,9.06,7.75,5.53,3.59,4.12,4.72,4.12,3.78,5.41,7.47,8.25,8.31,9.09,10.91,11.94,12.34,14.19,17.94,20.5,21.28,21.5,21.69,20.72,17.03,13.38,10.91,8.97,6.22,3.78,2.72,3.25,2.94,1.91,2.12,3.59,4.75,5.0,5.59,8.31,11.06,12.5,13.69,15.59,17.0,16.31,14.72,14.16,14.09,12.91,10.47,8.66,8.03,7.69,7.06,7.25,9.88,12.66,13.41,13.06,13.72,14.56,13.25,11.19,9.91,9.59,8.34,6.5,6.0,7.69,9.09,9.38,10.28,12.53,14.03,13.34,11.72,10.16,8.84,5.62,2.44,1.12,1.81,3.12,4.81,7.94,12.59,16.47,18.16,18.28,18.81,18.69,16.78,14.41,13.66,13.22,11.66,10.19,10.16,11.97,13.38,13.53,13.62,14.06,12.97,9.03,5.09,2.06,-0.69,-3.47,-5.0,-3.34,0.72,4.88,9.0,13.72,18.69,21.47,21.22,20.31,19.81,17.91,14.44,11.34,10.47,9.97,8.81,7.59,8.0,9.0,9.12,8.5,8.62,9.12,7.97,4.56,1.41,-0.62,-2.59,-5.28,-7.16,-6.41,-4.75,20.19,22.34,24.66,27.69,30.19,32.81,35.94,39.59,42.28,43.34,44.25,44.19,43.41,41.78,39.97,38.5,36.97,34.69,32.31,30.19,28.41,26.59,25.34,25.56,27.25,30.31,33.44,37.19,41.38,44.44,45.56,45.31,43.78,41.5,38.5:10.31,11.19,11.16,8.5,4.91,1.44,-1.78,-5.62,-9.47,-11.62,-10.94,-9.47,-8.25,-5.78,-1.88,1.84,4.22,6.75,10.31,14.56,16.66,18.03,19.75,21.5,21.72,20.38,19.31,18.94,17.59,14.38,11.59,10.78,10.78,10.31,10.69,12.75,14.97,15.03,14.0,13.0,12.38,10.69,8.03,6.0,5.31,4.56,3.03,2.19,3.62,5.88,7.41,8.69,11.03,13.31,12.75,11.28,9.53,8.0,5.44,1.78,-1.25,-2.5,-3.97,-6.16,-8.03,-8.03,-7.34,-6.72,-5.81,-3.06,0.28,2.09,3.03,4.12,5.88,6.44,5.34,4.12,4.12,4.25,3.84,4.44,7.28,9.84,10.47,9.62,8.88,7.75,5.22,2.44,0.53,-0.06,-0.78,-2.44,-3.28,-2.75,-2.03,-2.38,-2.53,-1.44,-0.44,-0.81,-1.69,-1.88,-1.84,-2.84,-4.47,-4.84,-4.03,-3.09,-2.94,-2.19,-0.22,1.72,1.88,1.75,2.56,3.16,1.97,-0.41,-1.81,-2.38,-4.0,-5.88,-6.72,-5.66,-5.25,-5.31,-5.19,-3.31,-1.62,-1.12,-1.44,0.12,1.59,2.09,1.84,2.94,4.81,5.31,4.72,4.41,4.84,4.06,2.59,0.81,0.75,1.0,-0.12,-1.47,-1.22,-0.19,-0.72,-1.28,-0.34,1.19,2.0,1.91,1.62,2.53,2.31,1.19,0.28,1.16,2.25,1.97,1.59,2.44,3.44,3.41,2.47,2.66,3.81,4.28,4.16,5.06,7.47,9.56,10.38,10.94,11.69,12.16,10.22,7.22,5.19,4.06,2.28,0.06,-0.81,0.03,0.59,0.19,0.69,2.69,4.59,4.84,4.78,5.59,6.38,5.09,2.75,1.38,-0.38,-3.22,-6.62,-9.34,-10.22,-10.75,-11.44,-11.19,-8.97,-6.66,-5.69,-4.81,-2.91,-0.66,0.16,0.44,1.94,3.84,5.31,5.34,6.06,7.25,7.0,5.41,3.62,3.38,3.09,1.94,0.69,0.59,0.78,-1.22,-3.5,-4.94,-5.28,-5.72,-6.0,-4.56,-1.28,1.88,3.31,4.28,5.94,6.5,4.97,2.47,1.56,1.34,0.62,0.03,1.22,3.06,3.47,2.06,0.97,0.09,-0.84,-3.12,-4.56,-4.72,-4.38,-5.0,-5.88,-5.09,-3.31,-3.09,-3.09,-1.75,0.56,1.69,1.94,3.06,5.41,7.41,8.25,9.31,11.31,12.34,11.78,9.66,9.09,9.12,8.66,7.62,8.19,9.66,10.28,9.59,9.16,9.84,10.5,9.88,8.91,9.66,9.69,7.94,5.38,3.94,3.12,0.88,-2.06,-3.44,-3.12,-2.78,-2.47,-1.16,0.84,2.31,1.88,0.69,1.06,1.84,1.62,1.09,1.5,2.0,0.97,-1.75,-3.88,-4.31,-5.38,-6.56,-6.75,-5.41,-3.97,-3.66,-3.34,-1.31,0.97,1.75,1.47,2.69,4.16,4.66,4.25,4.56,5.59,5.72,4.09,3.22,3.94,5.03,5.62,6.25,8.75,11.16,11.69,10.75,10.59,10.19,8.5,5.94,4.53,3.97,2.84,0.03,-2.44,-3.38,-3.97,-5.12,-5.28,-3.38,-1.0,0.06,-0.19,0.06,0.66,0.22,-1.31,-1.72,-1.0,-1.0,-2.09,-2.72,-1.81,-0.31,0.44,1.72,4.5,7.59,9.16,8.88,8.75,8.62,6.97,3.97,1.53,0.56,-0.62,-3.06,-4.5,-4.47,-3.44,-2.91,-2.0,0.78,4.06,5.94,5.94,6.75,7.91,7.94,6.31,5.78,6.28,6.47,5.44,4.78,5.5,6.53,6.34,5.94,7.34,9.47,10.84,11.31,12.69,14.31,14.72,13.06,11.56,11.25,10.28,7.69,5.28,3.44,1.56,-2.31,-6.12,-8.78,-10.12,-11.16,-11.81,-10.28,-7.41,-4.81,-3.94,-3.28,-2.0,-1.78,-3.19,-4.0,-3.28,-1.38,-0.72,-0.91,-0.06,0.69,0.03,-1.78,-2.34,-1.97,-1.91,-4.09,-5.22,-5.38,-6.19,-8.28,-9.94,-9.94,-8.78,-8.72,-9.03,-7.88,-6.12,-5.41,-5.56,-4.53,-2.31,-0.84,-1.12,-1.69,-1.28,-1.22,-3.16,-4.66,-4.5,-3.56,-4.09,-4.62,-4.06,-2.62,-1.97,-2.62,-2.41,-1.09,-0.22,-0.97,-1.06,0.38,1.91,1.81,1.84,3.31,4.97,5.38,4.88,5.53,6.69,6.81,5.91,5.47,5.59,5.38,3.78,2.75,3.53,4.78,4.5,3.72,4.09,4.41,3.22,1.5,0.97,1.91,2.38,2.38,3.66,6.09,7.97,8.31,8.53,9.88,11.19,10.75,9.91,10.0,9.62,7.16,3.19,-0.09,-2.34,-4.84,-7.41,-8.16,-6.97,-5.38,-5.28,-4.34,-1.59,1.62,3.5,5.62,8.78,12.28,14.03,14.34,15.38,16.59,16.34,14.53,13.56,13.53,13.25,10.94,8.62,7.66,6.5,4.19,2.25,1.94,2.69,2.91,2.97,4.25,6.62,7.97,7.84,8.22,9.41,10.5,9.75,8.94,9.53,10.25,9.47,8.0,8.28,9.16,8.34,6.69,5.75,5.53,4.56,2.38,1.41,2.06,3.12,3.25,4.12,6.44,9.44,10.47,10.44,11.41,12.78,12.75,11.72,11.78,13.28,13.62,12.94,12.88,14.12,15.69,15.19,14.78,14.97,15.19,13.0,9.75,7.78,7.12,6.16,5.34,6.41,9.03,11.56,12.16,12.88,14.03,14.41,12.66,10.69,10.25,10.53,9.56,8.53,8.69,9.72,9.59,8.78,8.81,9.5,9.78,8.25,6.41,5.72,5.06,2.53,0.34,-0.03,0.38,-0.5,-1.47,-1.03,0.59,1.19,1.12,1.78,3.81,5.47,5.75,6.31,8.06,9.5,8.53,7.34,7.25,8.0,7.5,6.59,7.44,8.91,9.34,8.69,8.59,9.97,10.81,10.12,9.75,10.66,11.19,9.84,7.94,7.0,6.5,4.31,1.59,0.62,1.41,1.94,1.88,3.38,6.06,7.81,8.0,8.28,9.66,11.78,11.78,11.75,12.88,14.5,13.91,12.16,11.25,10.44,9.69,7.97,7.81,9.59,11.69,11.88,11.94,13.06,13.72,12.41,10.97,10.22,10.69,9.06,7.56,7.06,8.12,8.84,8.53,8.41,9.22,9.12,7.28,5.62,5.75,6.66,6.69,6.81,8.69,11.0,11.41,10.88,10.72,11.16,11.28,10.88,10.94,12.53,13.16,11.56,8.91,6.91,5.31,2.16,-0.19,-0.28,1.44,2.66,3.75,5.88,8.97,11.06,11.41,11.69,12.16,11.47,8.31,4.97,3.34,2.44,0.59,-0.97,-0.91,-0.16,-0.41,-1.62,-1.72,-0.81,-0.34,-1.0,-0.59,1.78,4.97,6.78,8.94,12.72,16.09,16.78,15.81,14.78,13.66,10.81,6.66,3.72,2.16,0.44,-1.84,-2.81,-1.31,1.06,2.0,3.16,5.25,7.28,7.06,6.0,6.03,6.81,6.72,5.75,5.88,7.0,7.38,6.0,5.06,5.75,6.5,6.47,6.81,9.09,11.66,12.19,11.66,11.69,12.38,11.69,10.06,9.31,9.56,9.5,8.03,6.84,7.38,8.0,7.06,6.22,6.56,7.62,6.91,5.53,5.25,6.06,6.0,5.38,6.22,8.44,10.69,11.88,13.66,17.0,19.97,20.91,20.81,21.56,22.53,22.0,21.34,21.88,23.5,24.06,23.19,22.03,21.5,19.25,15.03,10.75,8.25,6.66,4.78,3.31,4.09,6.22,6.62,6.56,7.69,9.81,11.28,11.97,14.06,18.06,21.56,23.28,24.34,25.47,25.91,23.59,20.56,19.0,17.69,14.38,9.94,6.75,4.38,1.38,-2.31,-5.69,-7.25,-8.41,-10.16,-10.28,-7.69,-3.31,0.12,3.47,7.84,12.25,14.56,15.19,16.19,17.91,18.38,17.53,16.75,17.12,17.12,15.12,13.66,13.25,12.88,10.19,7.03,5.0,3.44,1.44,-0.72,-0.94,0.41,1.31,1.44,2.34,5.0,7.25,8.06,9.03,11.28,13.62,13.88,13.31,13.16,12.84,10.66,7.25,4.56,3.5,2.25,0.56,0.44,2.81,5.44,6.97,8.78,11.66,14.56,15.56,15.53,15.72,16.47,15.5,13.25,11.88,11.72,10.81,8.88,7.81,9.09,10.41,10.59,11.12,12.84,14.69,14.47,13.53,13.5,14.16,13.22,10.91,9.44,9.06,7.75,5.53,3.59,4.12,4.72,4.12,3.78,5.41,7.47,8.25,8.31,9.09,10.91,11.94,12.34,14.19,17.94,20.5,21.28,21.5,21.69,20.72,17.03,13.38,10.91,8.97,6.22,3.78,2.72,3.25,2.94,1.91,2.12,3.59,4.75,5.0,5.59,8.31,11.06,12.5,13.69,15.59,17.0,16.31,14.72,14.16,14.09,12.91,10.47,8.66,8.03,7.69,7.06,7.25,9.88,12.66,13.41,13.06,13.72,14.56,13.25,11.19,9.91,9.59,8.34,6.5,6.0,7.69,9.09,9.38,10.28,12.53,14.03,13.34,11.72,10.16,8.84,5.62,2.44,1.12,1.81,3.12,4.81,7.94,12.59,16.47,18.16,18.28,18.81,18.69,16.78,14.41,13.66,13.22,11.66,10.19,10.16,11.97,13.38,13.53,13.62,14.06,12.97,9.03,5.09,2.06,-0.69,-3.47,-5.0,-3.34,0.72,4.88,9.0,13.72,18.69,21.47,21.22,20.31,19.81,17.91,14.44,11.34,10.47,9.97,8.81,7.59,8.0,9.0,9.12,8.5,8.62,9.12,7.97,4.56,1.41,-0.62,-2.59,-5.28,-7.16,-6.41,-4.75,20.19,22.34,24.66,27.69,30.19,32.81,35.94,39.59,42.28,43.34,44.25,44.19,43.41,41.78,39.97,38.5,36.97,34.69,32.31,30.19,28.41,26.59,25.34,25.56,27.25,30.31,33.44,37.19,41.38,44.44,45.56,45.31,43.78,41.5,38.5,35.38,33.44,32.62,32.47,32.69,33.84,35.72:positivity
29.12,31.47,32.56,32.5,33.81,37.62,39.97,39.62,39.38,40.91,42.28,40.03,36.59,34.88,33.84,31.25,28.06,27.19,28.53,28.78,26.97,26.0,27.5,29.69,29.25,29.25,31.56,34.53,34.16,32.59,33.25,35.47,36.06,35.19,35.84,38.19,38.56,35.91,33.25,33.09,33.22,30.72,28.59,29.47,31.47,31.22,30.28,31.94,35.31,38.09,39.41,41.44,45.47,47.78,46.69,45.0,45.25,45.5,43.03,40.28,39.88,40.59,38.97,36.62,36.31,37.78,38.0,36.22,35.25,36.62,36.94,34.53,31.97,31.0,29.84,25.75,21.19,18.78,18.94,18.22,17.56,19.19,23.69,27.34,28.44,29.81,33.38,35.81,35.31,34.78,36.56,39.34,39.78,39.06,39.97,41.78,40.91,38.44,37.16,38.19,38.62,37.28,36.56,38.25,38.91,36.78,32.97,31.25,30.47,28.06,25.16,24.28,25.41,24.91,22.47,21.34,22.88,23.62,22.56,21.66,23.56,25.88,25.78,24.97,26.44,28.19,27.72,25.25,23.81,24.28,23.78,21.53,20.66,22.66,25.12,24.53,23.5,24.16,25.03,23.03,19.69,19.0,20.03,20.41,19.75,20.59,23.72,25.59,24.88,23.81,24.78,25.94,24.81,23.44,25.38,28.97,30.88,31.88,34.16,38.06,39.81,39.06,38.69,40.09,40.31,37.5,34.69,34.5,34.91,32.94,30.31,29.78,30.22,28.72,26.12,25.91,27.97,29.0,27.88,26.88,28.19,28.5,26.19,24.12,25.38,27.81,28.66,28.91,31.53,35.12,36.53,35.81,35.75,37.19,37.59,35.47,33.84,34.25,34.12,31.31,27.38,25.69,25.41,24.06,22.34,23.0,25.91,27.41,27.25,27.81,30.38,32.16,31.97,31.47,33.97,36.34,36.47,34.91,35.12,36.41,35.84,34.12,34.75,37.38,39.41,39.12,39.75,42.69,45.22,44.81,43.59,44.0,44.66,42.38,38.06,35.97,35.28,33.16,29.31,27.34,27.44,27.0,24.66,23.34,24.88,27.16,27.59,27.66,30.31,33.62,35.06,35.28,36.59,38.44,37.97,35.0,32.03,31.53,30.03,27.16,24.81,24.88,25.66,24.19,22.28,22.41,24.25,24.44,23.5,25.06,28.41,30.75,30.59,30.91,33.12,34.88,34.12,32.91,34.03,35.84,34.88,32.56,32.19,32.44,31.28,28.53,27.44,28.59,29.66,28.59,28.16,29.38,30.78,29.25,27.38,27.81,29.25,28.91,27.91,29.53,32.62,35.22,35.81,37.34,40.0,41.31,39.47,36.91,36.16,35.75,33.53,31.16,31.56,33.66,34.31,33.72,34.5,36.81,37.97,36.41,35.22,35.16,34.25,29.88,25.06,22.84,22.31,21.31,21.38,24.34,29.03,32.16,32.56,33.31,34.94,35.5,33.59,32.31,33.56,35.53,35.69,35.72,37.47,39.75,39.25,36.41,34.22,33.06,30.03,25.25,21.69,20.38,19.41,16.91,15.66,17.06,19.41,19.66,18.5,19.22,21.06,21.41,20.69,21.66,24.66,27.09,26.78,27.38,30.12,32.88,33.12,33.12,35.06,37.94,38.19,37.03,37.16,38.56,38.66,36.69,35.78,36.66,36.62,33.69,30.81,29.97,29.84,27.62,25.69,25.25,26.62,26.06,24.59,24.94,27.75,29.88,30.22,31.47,34.69,36.91,35.75,33.28,32.03,30.31,26.28,21.75,19.41,19.31,18.94,17.75,19.0,23.03,26.75,28.59,30.38,33.5,35.59,34.84,33.03,33.0,33.97,33.5,31.56,31.0,32.47,32.25,30.34,29.03,29.38,28.84,25.69,23.03,22.78,23.28,21.56,19.47,18.75,19.25,18.19,16.62,16.59,18.81,20.22,19.66,20.34,23.88,27.84,30.09,32.06,35.78,39.75,40.72,39.16,38.78,38.91,37.56,34.28,31.94,31.94,31.38,29.25,27.53,28.91,31.22,31.78,32.09,34.94,38.81,40.5,40.53,40.88,42.09,40.97,37.28,33.81,32.84,31.84,29.12,27.19,28.56,31.03,31.97,32.62,35.44,39.0,40.56,40.19,40.53,43.12,45.03,44.81,45.19,48.06,50.31,49.94,48.88,49.72,51.41,50.56,48.25,47.12,46.84,44.53,39.5,35.28,34.03,32.88,30.97,29.81,32.06,35.03,35.88,35.41,37.38,39.84,40.72,40.34,41.47,44.25,45.91,44.66,43.47,44.53,44.84,43.44,42.19,43.91,46.31,46.84,46.03,47.22,48.91,48.56,46.59,44.94,45.09,43.94,40.41,36.72,35.97,35.78,33.81,32.16,33.28,35.66,35.78,34.19,33.94,34.47,33.78,31.09,29.56,30.62,31.97,31.53,31.47,34.06,37.59,38.81,38.62,40.56,42.78,43.09,40.81,39.28,39.31,38.41,35.72,34.03,34.97,36.28,35.34,34.12,35.81,38.06,38.5,37.44,37.84,39.25,39.31,38.0,38.38,41.69,44.84,45.28,45.38,47.31,48.72,47.25,44.62,43.91,44.25,42.31,39.69,39.12,40.81,41.91,40.69,40.06,41.5,42.62,41.25,39.81,40.75,41.66,39.53,36.22,34.81,34.5,32.84,29.62,28.09,28.94,29.5,27.66,27.03,28.56,30.28,29.12,27.62,28.25,29.62,29.19,27.44,27.84,29.78,30.12,27.88,26.16,26.12,25.81,22.66,19.97,20.16,21.19,20.56,20.06,22.41,27.0,30.25,31.5,33.56,37.0,38.66,37.28,36.38,37.47,38.5,36.81,34.5,33.75,33.88,31.53,28.41,27.72,29.5,30.62,30.69,31.97,35.66,38.12,37.78,37.47,39.41,41.28,41.03,40.28,41.16,42.62,41.38,37.06,33.81,31.53,28.66,23.81,20.78,21.34,22.94,22.72,23.19,26.41,30.84,32.31,33.06,35.38,38.56,39.5,38.62,38.44,40.34,41.44,39.75,38.28,38.97,39.5,37.38,35.09,35.41,37.16,36.09,33.59,32.38,32.22,30.41,26.91,25.09,26.47,28.22,28.28,29.34,33.12,37.38,38.41,38.06,39.31,41.62,41.53,39.97,39.62,40.69,40.09,36.66,33.47,32.66,32.19,29.56,27.41,28.41,30.88,31.5,30.78,31.66,33.78,34.38,33.06,32.66,34.81,35.97,34.47,32.81,33.31,34.28,32.72,30.25,30.16,31.34,30.5,28.5,28.19,30.25,31.0,30.28,30.28,32.97,34.91,34.09,32.78,33.16,34.59,33.34,32.0,32.91,35.94,37.25,36.91,37.62,39.62,40.34,38.56,36.97,38.5,40.22,39.94,39.53,41.5,45.19,47.06,47.56,49.47,52.19,52.53,50.09,48.19,48.69,49.0,47.34,45.12,45.59,45.69,43.62,40.53,39.69,40.53,39.72,37.06,35.59,36.34,35.44,32.84,30.59,31.28,31.91,30.22,28.38,29.78,32.47,33.62,33.78,35.19,38.16,39.34,38.12,37.66,39.28,40.12,38.31,36.22,37.03,38.53,37.97,37.16,38.59,40.66,40.53,38.41,37.38,38.19,38.0,35.53,34.12,35.31,36.28,35.44,34.19,35.34,36.72,35.53,33.47,33.72,35.34,35.84,34.31,33.59,34.94,35.31,33.03,31.25,31.53,32.34,30.66,28.69,29.31,31.31,31.78,31.44,33.06,36.19,38.34,38.06,38.28,40.62,42.38,41.75,40.94,42.5,44.53,44.56,43.53,43.81,45.06,44.62,42.25,41.91,43.75,45.25,44.06,42.88,43.44,43.25,40.38,37.16,36.75,37.5,37.16,35.91,36.66,38.84,40.03,38.78,38.78,40.53,42.12,41.38,40.72,42.75,45.38,45.75,44.31,44.22,44.31,42.59,39.44,38.38,39.84,40.69,39.56,38.72,39.59,40.69,39.19,37.12,37.44,38.5,37.56,35.97,36.25,38.5,39.69,38.88,39.0,41.41,43.12,42.16,41.09,42.0,43.16,41.97,40.09,40.38,42.0,41.78,39.97,40.03,42.16,43.44,42.47,41.78,42.5,42.91,40.53,38.25,37.94,38.91,38.03,36.28,35.94,36.88,37.28,35.66,35.59,37.5,38.97,37.38,35.38,35.22,35.22,32.78,30.34,30.34,32.5,33.09,32.38,33.03,35.09,35.12,32.72,30.75,30.81,31.16,29.97,28.81,30.81,34.25,35.19,35.19,36.25,38.09,37.78,35.41,33.97,34.25,34.66,33.28,32.78,35.25,39.19,41.12,42.38,45.19,48.03,48.28,46.62,45.44,45.78,44.53,41.06,38.31,37.97,37.94,35.97,34.69,36.16,38.66,39.25,39.31,40.88,44.12,45.78,45.62,45.81,47.44,47.53,44.88,42.16,42.66,43.59,42.91,42.09,43.0,44.59,43.78,40.84,38.53,37.53,35.72,32.28,30.34,31.62,33.28,32.88,32.53,34.5,37.38,37.66,36.88,37.19,38.41,37.38,34.88,33.03,33.88,34.22,32.91,32.06,33.91,35.75,34.81,33.12,33.47,34.84,34.38,33.12,33.09,34.75,34.84,32.88,31.41,32.25,32.69,31.41,30.31,31.75,34.12,35.19,35.88,38.88,43.25,46.44,47.56,49.25,52.31,53.88,52.38,50.19,50.16,49.38,46.25,42.0,40.22,39.25,36.88,33.53,32.47,33.41,33.25,31.09,29.44,30.12,30.44,28.47,26.31,26.69,27.38,26.03,23.84,24.31,26.19,27.16,26.31,26.28,27.62,27.59,24.88,22.28,22.0,22.53,21.78,21.56,24.59,28.81,31.88,33.03,35.81,39.47,42.16,42.69,43.62,46.5,48.62,47.59,45.94,46.0,46.03,43.47,39.88,38.84,39.19,38.66,36.12,35.0,35.62,35.69,33.53,32.19,33.22,34.81,33.84,32.34,33.22,34.62,34.84,33.53,33.91,35.94,36.53,34.97,34.53,36.16,37.56,36.72,36.03,37.34:39.62,39.38,40.91,42.28,40.03,36.59,34.88,33.84,31.25,28.06,27.19,28.53,28.78,26.97,26.0,27.5,29.69,29.25,29.25,31.56,34.53,34.16,32.59,33.25,35.47,36.06,35.19,35.84,38.19,38.56,35.91,33.25,33.09,33.22,30.72,28.59,29.47,31.47,31.22,30.28,31.94,35.31,38.09,39.41,41.44,45.47,47.78,46.69,45.0,45.25,45.5,43.03,40.28,39.88,40.59,38.97,36.62,36.31,37.78,38.0,36.22,35.25,36.62,36.94,34.53,31.97,31.0,29.84,25.75,21.19,18.78,18.94,18.22,17.56,19.19,23.69,27.34,28.44,29.81,33.38,35.81,35.31,34.78,36.56,39.34,39.78,39.06,39.97,41.78,40.91,38.44,37.16,38.19,38.62,37.28,36.56,38.25,38.91,36.78,32.97,31.25,30.47,28.06,25.16,24.28,25.41,24.91,22.47,21.34,22.88,23.62,22.56,21.66,23.56,25.88,25.78,24.97,26.44,28.19,27.72,25.25,23.81,24.28,23.78,21.53,20.66,22.66,25.12,24.53,23.5,24.16,25.03,23.03,19.69,19.0,20.03,20.41,19.75,20.59,23.72,25.59,24.88,23.81,24.78,25.94,24.81,23.44,25.38,28.97,30.88,31.88,34.16,38.06,39.81,39.06,38.69,40.09,40.31,37.5,34.69,34.5,34.91,32.94,30.31,29.78,30.22,28.72,26.12,25.91,27.97,29.0,27.88,26.88,28.19,28.5,26.19,24.12,25.38,27.81,28.66,28.91,31.53,35.12,36.53,35.81,35.75,37.19,37.59,35.47,33.84,34.25,34.12,31.31,27.38,25.69,25.41,24.06,22.34,23.0,25.91,27.41,27.25,27.81,30.38,32.16,31.97,31.47,33.97,36.34,36.47,34.91,35.12,36.41,35.84,34.12,34.75,37.38,39.41,39.12,39.75,42.69,45.22,44.81,43.59,44.0,44.66,42.38,38.06,35.97,35.28,33.16,29.31,27.34,27.44,27.0,24.66,23.34,24.88,27.16,27.59,27.66,30.31,33.62,35.06,35.28,36.59,38.44,37.97,35.0,32.03,31.53,30.03,27.16,24.81,24.88,25.66,24.19,22.28,22.41,24.25,24.44,23.5,25.06,28.41,30.75,30.59,30.91,33.12,34.88,34.12,32.91,34.03,35.84,34.88,32.56,32.19,32.44,31.28,28.53,27.44,28.59,29.66,28.59,28.16,29.38,30.78,29.25,27.38,27.81,29.25,28.91,27.91,29.53,32.62,35.22,35.81,37.34,40.0,41.31,39.47,36.91,36.16,35.75,33.53,31.16,31.56,33.66,34.31,33.72,34.5,36.81,37.97,36.41,35.22,35.16,34.25,29.88,25.06,22.84,22.31,21.31,21.38,24.34,29.03,32.16,32.56,33.31,34.94,35.5,33.59,32.31,33.56,35.53,35.69,35.72,37.47,39.75,39.25,36.41,34.22,33.06,30.03,25.25,21.69,20.38,19.41,16.91,15.66,17.06,19.41,19.66,18.5,19.22,21.06,21.41,20.69,21.66,24.66,27.09,26.78,27.38,30.12,32.88,33.12,33.12,35.06,37.94,38.19,37.03,37.16,38.56,38.66,36.69,35.78,36.66,36.62,33.69,30.81,29.97,29.84,27.62,25.69,25.25,26.62,26.06,24.59,24.94,27.75,29.88,30.22,31.47,34.69,36.91,35.75,33.28,32.03,30.31,26.28,21.75,19.41,19.31,18.94,17.75,19.0,23.03,26.75,28.59,30.38,33.5,35.59,34.84,33.03,33.0,33.97,33.5,31.56,31.0,32.47,32.25,30.34,29.03,29.38,28.84,25.69,23.03,22.78,23.28,21.56,19.47,18.75,19.25,18.19,16.62,16.59,18.81,20.22,19.66,20.34,23.88,27.84,30.09,32.06,35.78,39.75,40.72,39.16,38.78,38.91,37.56,34.28,31.94,31.94,31.38,29.25,27.53,28.91,31.22,31.78,32.09,34.94,38.81,40.5,40.53,40.88,42.09,40.97,37.28,33.81,32.84,31.84,29.12,27.19,28.56,31.03,31.97,32.62,35.44,39.0,40.56,40.19,40.53,43.12,45.03,44.81,45.19,48.06,50.31,49.94,48.88,49.72,51.41,50.56,48.25,47.12,46.84,44.53,39.5,35.28,34.03,32.88,30.97,29.81,32.06,35.03,35.88,35.41,37.38,39.84,40.72,40.34,41.47,44.25,45.91,44.66,43.47,44.53,44.84,43.44,42.19,43.91,46.31,46.84,46.03,47.22,48.91,48.56,46.59,44.94,45.09,43.94,40.41,36.72,35.97,35.78,33.81,32.16,33.28,35.66,35.78,34.19,33.94,34.47,33.78,31.09,29.56,30.62,31.97,31.53,31.47,34.06,37.59,38.81,38.62,40.56,42.78,43.09,40.81,39.28,39.31,38.41,35.72,34.03,34.97,36.28,35.34,34.12,35.81,38.06,38.5,37.44,37.84,39.25,39.31,38.0,38.38,41.69,44.84,45.28,45.38,47.31,48.72,47.25,44.62,43.91,44.25,42.31,39.69,39.12,40.81,41.91,40.69,40.06,41.5,42.62,41.25,39.81,40.75,41.66,39.53,36.22,34.81,34.5,32.84,29.62,28.09,28.94,29.5,27.66,27.03,28.56,30.28,29.12,27.62,28.25,29.62,29.19,27.44,27.84,29.78,30.12,27.88,26.16,26.12,25.81,22.66,19.97,20.16,21.19,20.56,20.06,22.41,27.0,30.25,31.5,33.56,37.0,38.66,37.28,36.38,37.47,38.5,36.81,34.5,33.75,33.88,31.53,28.41,27.72,29.5,30.62,30.69,31.97,35.66,38.12,37.78,37.47,39.41,41.28,41.03,40.28,41.16,42.62,41.38,37.06,33.81,31.53,28.66,23.81,20.78,21.34,22.94,22.72,23.19,26.41,30.84,32.31,33.06,35.38,38.56,39.5,38.62,38.44,40.34,41.44,39.75,38.28,38.97,39.5,37.38,35.09,35.41,37.16,36.09,33.59,32.38,32.22,30.41,26.91,25.09,26.47,28.22,28.28,29.34,33.12,37.38,38.41,38.06,39.31,41.62,41.53,39.97,39.62,40.69,40.09,36.66,33.47,32.66,32.19,29.56,27.41,28.41,30.88,31.5,30.78,31.66,33.78,34.38,33.06,32.66,34.81,35.97,34.47,32.81,33.31,34.28,32.72,30.25,30.16,31.34,30.5,28.5,28.19,30.25,31.0,30.28,30.28,32.97,34.91,34.09,32.78,33.16,34.59,33.34,32.0,32.91,35.94,37.25,36.91,37.62,39.62,40.34,38.56,36.97,38.5,40.22,39.94,39.53,41.5,45.19,47.06,47.56,49.47,52.19,52.53,50.09,48.19,48.69,49.0,47.34,45.12,45.59,45.69,43.62,40.53,39.69,40.53,39.72,37.06,35.59,36.34,35.44,32.84,30.59,31.28,31.91,30.22,28.38,29.78,32.47,33.62,33.78,35.19,38.16,39.34,38.12,37.66,39.28,40.12,38.31,36.22,37.03,38.53,37.97,37.16,38.59,40.66,40.53,38.41,37.38,38.19,38.0,35.53,34.12,35.31,36.28,35.44,34.19,35.34,36.72,35.53,33.47,33.72,35.34,35.84,34.31,33.59,34.94,35.31,33.03,31.25,31.53,32.34,30.66,28.69,29.31,31.31,31.78,31.44,33.06,36.19,38.34,38.06,38.28,40.62,42.38,41.75,40.94,42.5,44.53,44.56,43.53,43.81,45.06,44.62,42.25,41.91,43.75,45.25,44.06,42.88,43.44,43.25,40.38,37.16,36.75,37.5,37.16,35.91,36.66,38.84,40.03,38.78,38.78,40.53,42.12,41.38,40.72,42.75,45.38,45.75,44.31,44.22,44.31,42.59,39.44,38.38,39.84,40.69,39.56,38.72,39.59,40.69,39.19,37.12,37.44,38.5,37.56,35.97,36.25,38.5,39.69,38.88,39.0,41.41,43.12,42.16,41.09,42.0,43.16,41.97,40.09,40.38,42.0,41.78,39.97,40.03,42.16,43.44,42.47,41.78,42.5,42.91,40.53,38.25,37.94,38.91,38.03,36.28,35.94,36.88,37.28,35.66,35.59,37.5,38.97,37.38,35.38,35.22,35.22,32.78,30.34,30.34,32.5,33.09,32.38,33.03,35.09,35.12,32.72,30.75,30.81,31.16,29.97,28.81,30.81,34.25,35.19,35.19,36.25,38.09,37.78,35.41,33.97,34.25,34.66,33.28,32.78,35.25,39.19,41.12,42.38,45.19,48.03,48.28,46.62,45.44,45.78,44.53,41.06,38.31,37.97,37.94,35.97,34.69,36.16,38.66,39.25,39.31,40.88,44.12,45.78,45.62,45.81,47.44,47.53,44.88,42.16,42.66,43.59,42.91,42.09,43.0,44.59,43.78,40.84,38.53,37.53,35.72,32.28,30.34,31.62,33.28,32.88,32.53,34.5,37.38,37.66,36.88,37.19,38.41,37.38,34.88,33.03,33.88,34.22,32.91,32.06,33.91,35.75,34.81,33.12,33.47,34.84,34.38,33.12,33.09,34.75,34.84,32.88,31.41,32.25,32.69,31.41,30.31,31.75,34.12,35.19,35.88,38.88,43.25,46.44,47.56,49.25,52.31,53.88,52.38,50.19,50.16,49.38,46.25,42.0,40.22,39.25,36.88,33.53,32.47,33.41,33.25,31.09,29.44,30.12,30.44,28.47,26.31,26.69,27.38,26.03,23.84,24.31,26.19,27.16,26.31,26.28,27.62,27.59,24.88,22.28,22.0,22.53,21.78,21.56,24.59,28.81,31.88,33.03,35.81,39.47,42.16,42.69,43.62,46.5,48.62,47.59,45.94,46.0,46.03,43.47,39.88,38.84,39.19,38.66,36.12,35.0,35.62,35.69,33.53,32.19,33.22,34.81,33.84,32.34,33.22,34.62,34.84,33.53,33.91,35.94,36.53,34.97,34.53,36.16,37.56,36.72,36.03,37.34,45.22,46.56,47.16,47.09,48.09,50.28,51.44:33.84,31.25,28.06,27.19,28.53,28.78,26.97,26.0,27.5,29.69,29.25,29.25,31.56,34.53,34.16,32.59,33.25,35.47,36.06,35.19,35.84,38.19,38.56,35.91,33.25,33.09,33.22,30.72,28.59,29.47,31.47,31.22,30.28,31.94,35.31,38.09,39.41,41.44,45.47,47.78,46.69,45.0,45.25,45.5,43.03,40.28,39.88,40.59,38.97,36.62,36.31,37.78,38.0,36.22,35.25,36.62,36.94,34.53,31.97,31.0,29.84,25.75,21.19,18.78,18.94,18.22,17.56,19.19,23.69,27.34,28.44,29.81,33.38,35.81,35.31,34.78,36.56,39.34,39.78,39.06,39.97,41.78,40.91,38.44,37.16,38.19,38.62,37.28,36.56,38.25,38.91,36.78,32.97,31.25,30.47,28.06,25.16,24.28,25.41,24.91,22.47,21.34,22.88,23.62,22.56,21.66,23.56,25.88,25.78,24.97,26.44,28.19,27.72,25.25,23.81,24.28,23.78,21.53,20.66,22.66,25.12,24.53,23.5,24.16,25.03,23.03,19.69,19.0,20.03,20.41,19.75,20.59,23.72,25.59,24.88,23.81,24.78,25.94,24.81,23.44,25.38,28.97,30.88,31.88,34.16,38.06,39.81,39.06,38.69,40.09,40.31,37.5,34.69,34.5,34.91,32.94,30.31,29.78,30.22,28.72,26.12,25.91,27.97,29.0,27.88,26.88,28.19,28.5,26.19,24.12,25.38,27.81,28.66,28.91,31.53,35.12,36.53,35.81,35.75,37.19,37.59,35.47,33.84,34.25,34.12,31.31,27.38,25.69,25.41,24.06,22.34,23.0,25.91,27.41,27.25,27.81,30.38,32.16,31.97,31.47,33.97,36.34,36.47,34.91,35.12,36.41,35.84,34.12,34.75,37.38,39.41,39.12,39.75,42.69,45.22,44.81,43.59,44.0,44.66,42.38,38.06,35.97,35.28,33.16,29.31,27.34,27.44,27.0,24.66,23.34,24.88,27.16,27.59,27.66,30.31,33.62,35.06,35.28,36.59,38.44,37.97,35.0,32.03,31.53,30.03,27.16,24.81,24.88,25.66,24.19,22.28,22.41,24.25,24.44,23.5,25.06,28.41,30.75,30.59,30.91,33.12,34.88,34.12,32.91,34.03,35.84,34.88,32.56,32.19,32.44,31.28,28.53,27.44,28.59,29.66,28.59,28.16,29.38,30.78,29.25,27.38,27.81,29.25,28.91,27.91,29.53,32.62,35.22,35.81,37.34,40.0,41.31,39.47,36.91,36.16,35.75,33.53,31.16,31.56,33.66,34.31,33.72,34.5,36.81,37.97,36.41,35.22,35.16,34.25,29.88,25.06,22.84,22.31,21.31,21.38,24.34,29.03,32.16,32.56,33.31,34.94,35.5,33.59,32.31,33.56,35.53,35.69,35.72,37.47,39.75,39.25,36.41,34.22,33.06,30.03,25.25,21.69,20.38,19.41,16.91,15.66,17.06,19.41,19.66,18.5,19.22,21.06,21.41,20.69,21.66,24.66,27.09,26.78,27.38,30.12,32.88,33.12,33.12,35.06,37.94,38.19,37.03,37.16,38.56,38.66,36.69,35.78,36.66,36.62,33.69,30.81,29.97,29.84,27.62,25.69,25.25,26.62,26.06,24.59,24.94,27.75,29.88,30.22,31.47,34.69,36.91,35.75,33.28,32.03,30.31,26.28,21.75,19.41,19.31,18.94,17.75,19.0,23.03,26.75,28.59,30.38,33.5,35.59,34.84,33.03,33.0,33.97,33.5,31.56,31.0,32.47,32.25,30.34,29.03,29.38,28.84,25.69,23.03,22.78,23.28,21.56,19.47,18.75,19.25,18.19,16.62,16.59,18.81,20.22,19.66,20.34,23.88,27.84,30.09,32.06,35.78,39.75,40.72,39.16,38.78,38.91,37.56,34.28,31.94,31.94,31.38,29.25,27.53,28.91,31.22,31.78,32.09,34.94,38.81,40.5,40.53,40.88,42.09,40.97,37.28,33.81,32.84,31.84,29.12,27.19,28.56,31.03,31.97,32.62,35.44,39.0,40.56,40.19,40.53,43.12,45.03,44.81,45.19,48.06,50.31,49.94,48.88,49.72,51.41,50.56,48.25,47.12,46.84,44.53,39.5,35.28,34.03,32.88,30.97,29.81,32.06,35.03,35.88,35.41,37.38,39.84,40.72,40.34,41.47,44.25,45.91,44.66,43.47,44.53,44.84,43.44,42.19,43.91,46.31,46.84,46.03,47.22,48.91,48.56,46.59,44.94,45.09,43.94,40.41,36.72,35.97,35.78,33.81,32.16,33.28,35.66,35.78,34.19,33.94,34.47,33.78,31.09,29.56,30.62,31.97,31.53,31.47,34.06,37.59,38.81,38.62,40.56,42.78,43.09,40.81,39.28,39.31,38.41,35.72,34.03,34.97,36.28,35.34,34.12,35.81,38.06,38.5,37.44,37.84,39.25,39.31,38.0,38.38,41.69,44.84,45.28,45.38,47.31,48.72,47.25,44.62,43.91,44.25,42.31,39.69,39.12,40.81,41.91,40.69,40.06,41.5,42.62,41.25,39.81,40.75,41.66,39.53,36.22,34.81,34.5,32.84,29.62,28.09,28.94,29.5,27.66,27.03,28.56,30.28,29.12,27.62,28.25,29.62,29.19,27.44,27.84,29.78,30.12,27.88,26.16,26.12,25.81,22.66,19.97,20.16,21.19,20.56,20.06,22.41,27.0,30.25,31.5,33.56,37.0,38.66,37.28,36.38,37.47,38.5,36.81,34.5,33.75,33.88,31.53,28.41,27.72,29.5,30.62,30.69,31.97,35.66,38.12,37.78,37.47,39.41,41.28,41.03,40.28,41.16,42.62,41.38,37.06,33.81,31.53,28.66,23.81,20.78,21.34,22.94,22.72,23.19,26.41,30.84,32.31,33.06,35.38,38.56,39.5,38.62,38.44,40.34,41.44,39.75,38.28,38.97,39.5,37.38,35.09,35.41,37.16,36.09,33.59,32.38,32.22,30.41,26.91,25.09,26.47,28.22,28.28,29.34,33.12,37.38,38.41,38.06,39.31,41.62,41.53,39.97,39.62,40.69,40.09,36.66,33.47,32.66,32.19,29.56,27.41,28.41,30.88,31.5,30.78,31.66,33.78,34.38,33.06,32.66,34.81,35.97,34.47,32.81,33.31,34.28,32.72,30.25,30.16,31.34,30.5,28.5,28.19,30.25,31.0,30.28,30.28,32.97,34.91,34.09,32.78,33.16,34.59,33.34,32.0,32.91,35.94,37.25,36.91,37.62,39.62,40.34,38.56,36.97,38.5,40.22,39.94,39.53,41.5,45.19,47.06,47.56,49.47,52.19,52.53,50.09,48.19,48.69,49.0,47.34,45.12,45.59,45.69,43.62,40.53,39.69,40.53,39.72,37.06,35.59,36.34,35.44,32.84,30.59,31.28,31.91,30.22,28.38,29.78,32.47,33.62,33.78,35.19,38.16,39.34,38.12,37.66,39.28,40.12,38.31,36.22,37.03,38.53,37.97,37.16,38.59,40.66,40.53,38.41,37.38,38.19,38.0,35.53,34.12,35.31,36.28,35.44,34.19,35.34,36.72,35.53,33.47,33.72,35.34,35.84,34.31,33.59,34.94,35.31,33.03,31.25,31.53,32.34,30.66,28.69,29.31,31.31,31.78,31.44,33.06,36.19,38.34,38.06,38.28,40.62,42.38,41.75,40.94,42.5,44.53,44.56,43.53,43.81,45.06,44.62,42.25,41.91,43.75,45.25,44.06,42.88,43.44,43.25,40.38,37.16,36.75,37.5,37.16,35.91,36.66,38.84,40.03,38.78,38.78,40.53,42.12,41.38,40.72,42.75,45.38,45.75,44.31,44.22,44.31,42.59,39.44,38.38,39.84,40.69,39.56,38.72,39.59,40.69,39.19,37.12,37.44,38.5,37.56,35.97,36.25,38.5,39.69,38.88,39.0,41.41,43.12,42.16,41.09,42.0,43.16,41.97,40.09,40.38,42.0,41.78,39.97,40.03,42.16,43.44,42.47,41.78,42.5,42.91,40.53,38.25,37.94,38.91,38.03,36.28,35.94,36.88,37.28,35.66,35.59,37.5,38.97,37.38,35.38,35.22,35.22,32.78,30.34,30.34,32.5,33.09,32.38,33.03,35.09,35.12,32.72,30.75,30.81,31.16,29.97,28.81,30.81,34.25,35.19,35.19,36.25,38.09,37.78,35.41,33.97,34.25,34.66,33.28,32.78,35.25,39.19,41.12,42.38,45.19,48.03,48.28,46.62,45.44,45.78,44.53,41.06,38.31,37.97,37.94,35.97,34.69,36.16,38.66,39.25,39.31,40.88,44.12,45.78,45.62,45.81,47.44,47.53,44.88,42.16,42.66,43.59,42.91,42.09,43.0,44.59,43.78,40.84,38.53,37.53,35.72,32.28,30.34,31.62,33.28,32.88,32.53,34.5,37.38,37.66,36.88,37.19,38.41,37.38,34.88,33.03,33.88,34.22,32.91,32.06,33.91,35.75,34.81,33.12,33.47,34.84,34.38,33.12,33.09,34.75,34.84,32.88,31.41,32.25,32.69,31.41,30.31,31.75,34.12,35.19,35.88,38.88,43.25,46.44,47.56,49.25,52.31,53.88,52.38,50.19,50.16,49.38,46.25,42.0,40.22,39.25,36.88,33.53,32.47,33.41,33.25,31.09,29.44,30.12,30.44,28.47,26.31,26.69,27.38,26.03,23.84,24.31,26.19,27.16,26.31,26.28,27.62,27.59,24.88,22.28,22.0,22.53,21.78,21.56,24.59,28.81,31.88,33.03,35.81,39.47,42.16,42.69,43.62,46.5,48.62,47.59,45.94,46.0,46.03,43.47,39.88,38.84,39.19,38.66,36.12,35.0,35.62,35.69,33.53,32.19,33.22,34.81,33.84,32.34,33.22,34.62,34.84,33.53,33.91,35.94,36.53,34.97,34.53,36.16,37.56,36.72,36.03,37.34,45.22,46.56,47.16,47.09,48.09,50.28,51.44,49.72,47.69,46.72,45.03,41.66,38.28,36.62:26.0,27.5,29.69,29.25,29.25,31.56,34.53,34.16,32.59,33.25,35.47,36.06,35.19,35.84,38.19,38.56,35.91,33.25,33.09,33.22,30.72,28.59,29.47,31.47,31.22,30.28,31.94,35.31,38.09,39.41,41.44,45.47,47.78,46.69,45.0,45.25,45.5,43.03,40.28,39.88,40.59,38.97,36.62,36.31,37.78,38.0,36.22,35.25,36.62,36.94,34.53,31.97,31.0,29.84,25.75,21.19,18.78,18.94,18.22,17.56,19.19,23.69,27.34,28.44,29.81,33.38,35.81,35.31,34.78,36.56,39.34,39.78,39.06,39.97,41.78,40.91,38.44,37.16,38.19,38.62,37.28,36.56,38.25,38.91,36.78,32.97,31.25,30.47,28.06,25.16,24.28,25.41,24.91,22.47,21.34,22.88,23.62,22.56,21.66,23.56,25.88,25.78,24.97,26.44,28.19,27.72,25.25,23.81,24.28,23.78,21.53,20.66,22.66,25.12,24.53,23.5,24.16,25.03,23.03,19.69,19.0,20.03,20.41,19.75,20.59,23.72,25.59,24.88,23.81,24.78,25.94,24.81,23.44,25.38,28.97,30.88,31.88,34.16,38.06,39.81,39.06,38.69,40.09,40.31,37.5,34.69,34.5,34.91,32.94,30.31,29.78,30.22,28.72,26.12,25.91,27.97,29.0,27.88,26.88,28.19,28.5,26.19,24.12,25.38,27.81,28.66,28.91,31.53,35.12,36.53,35.81,35.75,37.19,37.59,35.47,33.84,34.25,34.12,31.31,27.38,25.69,25.41,24.06,22.34,23.0,25.91,27.41,27.25,27.81,30.38,32.16,31.97,31.47,33.97,36.34,36.47,34.91,35.12,36.41,35.84,34.12,34.75,37.38,39.41,39.12,39.75,42.69,45.22,44.81,43.59,44.0,44.66,42.38,38.06,35.97,35.28,33.16,29.31,27.34,27.44,27.0,24.66,23.34,24.88,27.16,27.59,27.66,30.31,33.62,35.06,35.28,36.59,38.44,37.97,35.0,32.03,31.53,30.03,27.16,24.81,24.88,25.66,24.19,22.28,22.41,24.25,24.44,23.5,25.06,28.41,30.75,30.59,30.91,33.12,34.88,34.12,32.91,34.03,35.84,34.88,32.56,32.19,32.44,31.28,28.53,27.44,28.59,29.66,28.59,28.16,29.38,30.78,29.25,27.38,27.81,29.25,28.91,27.91,29.53,32.62,35.22,35.81,37.34,40.0,41.31,39.47,36.91,36.16,35.75,33.53,31.16,31.56,33.66,34.31,33.72,34.5,36.81,37.97,36.41,35.22,35.16,34.25,29.88,25.06,22.84,22.31,21.31,21.38,24.34,29.03,32.16,32.56,33.31,34.94,35.5,33.59,32.31,33.56,35.53,35.69,35.72,37.47,39.75,39.25,36.41,34.22,33.06,30.03,25.25,21.69,20.38,19.41,16.91,15.66,17.06,19.41,19.66,18.5,19.22,21.06,21.41,20.69,21.66,24.66,27.09,26.78,27.38,30.12,32.88,33.12,33.12,35.06,37.94,38.19,37.03,37.16,38.56,38.66,36.69,35.78,36.66,36.62,33.69,30.81,29.97,29.84,27.62,25.69,25.25,26.62,26.06,24.59,24.94,27.75,29.88,30.22,31.47,34.69,36.91,35.75,33.28,32.03,30.31,26.28,21.75,19.41,19.31,18.94,17.75,19.0,23.03,26.75,28.59,30.38,33.5,35.59,34.84,33.03,33.0,33.97,33.5,31.56,31.0,32.47,32.25,30.34,29.03,29.38,28.84,25.69,23.03,22.78,23.28,21.56,19.47,18.75,19.25,18.19,16.62,16.59,18.81,20.22,19.66,20.34,23.88,27.84,30.09,32.06,35.78,39.75,40.72,39.16,38.78,38.91,37.56,34.28,31.94,31.94,31.38,29.25,27.53,28.91,31.22,31.78,32.09,34.94,38.81,40.5,40.53,40.88,42.09,40.97,37.28,33.81,32.84,31.84,29.12,27.19,28.56,31.03,31.97,32.62,35.44,39.0,40.56,40.19,40.53,43.12,45.03,44.81,45.19,48.06,50.31,49.94,48.88,49.72,51.41,50.56,48.25,47.12,46.84,44.53,39.5,35.28,34.03,32.88,30.97,29.81,32.06,35.03,35.88,35.41,37.38,39.84,40.72,40.34,41.47,44.25,45.91,44.66,43.47,44.53,44.84,43.44,42.19,43.91,46.31,46.84,46.03,47.22,48.91,48.56,46.59,44.94,45.09,43.94,40.41,36.72,35.97,35.78,33.81,32.16,33.28,35.66,35.78,34.19,33.94,34.47,33.78,31.09,29.56,30.62,31.97,31.53,31.47,34.06,37.59,38.81,38.62,40.56,42.78,43.09,40.81,39.28,39.31,38.41,35.72,34.03,34.97,36.28,35.34,34.12,35.81,38.06,38.5,37.44,37.84,39.25,39.31,38.0,38.38,41.69,44.84,45.28,45.38,47.31,48.72,47.25,44.62,43.91,44.25,42.31,39.69,39.12,40.81,41.91,40.69,40.06,41.5,42.62,41.25,39.81,40.75,41.66,39.53,36.22,34.81,34.5,32.84,29.62,28.09,28.94,29.5,27.66,27.03,28.56,30.28,29.12,27.62,28.25,29.62,29.19,27.44,27.84,29.78,30.12,27.88,26.16,26.12,25.81,22.66,19.97,20.16,21.19,20.56,20.06,22.41,27.0,30.25,31.5,33.56,37.0,38.66,37.28,36.38,37.47,38.5,36.81,34.5,33.75,33.88,31.53,28.41,27.72,29.5,30.62,30.69,31.97,35.66,38.12,37.78,37.47,39.41,41.28,41.03,40.28,41.16,42.62,41.38,37.06,33.81,31.53,28.66,23.81,20.78,21.34,22.94,22.72,23.19,26.41,30.84,32.31,33.06,35.38,38.56,39.5,38.62,38.44,40.34,41.44,39.75,38.28,38.97,39.5,37.38,35.09,35.41,37.16,36.09,33.59,32.38,32.22,30.41,26.91,25.09,26.47,28.22,28.28,29.34,33.12,37.38,38.41,38.06,39.31,41.62,41.53,39.97,39.62,40.69,40.09,36.66,33.47,32.66,32.19,29.56,27.41,28.41,30.88,31.5,30.78,31.66,33.78,34.38,33.06,32.66,34.81,35.97,34.47,32.81,33.31,34.28,32.72,30.25,30.16,31.34,30.5,28.5,28.19,30.25,31.0,30.28,30.28,32.97,34.91,34.09,32.78,33.16,34.59,33.34,32.0,32.91,35.94,37.25,36.91,37.62,39.62,40.34,38.56,36.97,38.5,40.22,39.94,39.53,41.5,45.19,47.06,47.56,49.47,52.19,52.53,50.09,48.19,48.69,49.0,47.34,45.12,45.59,45.69,43.62,40.53,39.69,40.53,39.72,37.06,35.59,36.34,35.44,32.84,30.59,31.28,31.91,30.22,28.38,29.78,32.47,33.62,33.78,35.19,38.16,39.34,38.12,37.66,39.28,40.12,38.31,36.22,37.03,38.53,37.97,37.16,38.59,40.66,40.53,38.41,37.38,38.19,38.0,35.53,34.12,35.31,36.28,35.44,34.19,35.34,36.72,35.53,33.47,33.72,35.34,35.84,34.31,33.59,34.94,35.31,33.03,31.25,31.53,32.34,30.66,28.69,29.31,31.31,31.78,31.44,33.06,36.19,38.34,38.06,38.28,40.62,42.38,41.75,40.94,42.5,44.53,44.56,43.53,43.81,45.06,44.62,42.25,41.91,43.75,45.25,44.06,42.88,43.44,43.25,40.38,37.16,36.75,37.5,37.16,35.91,36.66,38.84,40.03,38.78,38.78,40.53,42.12,41.38,40.72,42.75,45.38,45.75,44.31,44.22,44.31,42.59,39.44,38.38,39.84,40.69,39.56,38.72,39.59,40.69,39.19,37.12,37.44,38.5,37.56,35.97,36.25,38.5,39.69,38.88,39.0,41.41,43.12,42.16,41.09,42.0,43.16,41.97,40.09,40.38,42.0,41.78,39.97,40.03,42.16,43.44,42.47,41.78,42.5,42.91,40.53,38.25,37.94,38.91,38.03,36.28,35.94,36.88,37.28,35.66,35.59,37.5,38.97,37.38,35.38,35.22,35.22,32.78,30.34,30.34,32.5,33.09,32.38,33.03,35.09,35.12,32.72,30.75,30.81,31.16,29.97,28.81,30.81,34.25,35.19,35.19,36.25,38.09,37.78,35.41,33.97,34.25,34.66,33.28,32.78,35.25,39.19,41.12,42.38,45.19,48.03,48.28,46.62,45.44,45.78,44.53,41.06,38.31,37.97,37.94,35.97,34.69,36.16,38.66,39.25,39.31,40.88,44.12,45.78,45.62,45.81,47.44,47.53,44.88,42.16,42.66,43.59,42.91,42.09,43.0,44.59,43.78,40.84,38.53,37.53,35.72,32.28,30.34,31.62,33.28,32.88,32.53,34.5,37.38,37.66,36.88,37.19,38.41,37.38,34.88,33.03,33.88,34.22,32.91,32.06,33.91,35.75,34.81,33.12,33.47,34.84,34.38,33.12,33.09,34.75,34.84,32.88,31.41,32.25,32.69,31.41,30.31,31.75,34.12,35.19,35.88,38.88,43.25,46.44,47.56,49.25,52.31,53.88,52.38,50.19,50.16,49.38,46.25,42.0,40.22,39.25,36.88,33.53,32.47,33.41,33.25,31.09,29.44,30.12,30.44,28.47,26.31,26.69,27.38,26.03,23.84,24.31,26.19,27.16,26.31,26.28,27.62,27.59,24.88,22.28,22.0,22.53,21.78,21.56,24.59,28.81,31.88,33.03,35.81,39.47,42.16,42.69,43.62,46.5,48.62,47.59,45.94,46.0,46.03,43.47,39.88,38.84,39.19,38.66,36.12,35.0,35.62,35.69,33.53,32.19,33.22,34.81,33.84,32.34,33.22,34.62,34.84,33.53,33.91,35.94,36.53,34.97,34.53,36.16,37.56,36.72,36.03,37.34,45.22,46.56,47.16,47.09,48.09,50.28,51.44,49.72,47.69,46.72,45.03,41.66,38.28,36.62,36.59,35.91,35.66,37.28,40.41,42.94,44.09:34.16,32.59,33.25,35.47,36.06,35.19,35.84,38.19,38.56,35.91,33.25,33.09,33.22,30.72,28.59,29.47,31.47,31.22,30.28,31.94,35.31,38.09,39.41,41.44,45.47,47.78,46.69,45.0,45.25,45.5,43.03,40.28,39.88,40.59,38.97,36.62,36.31,37.78,38.0,36.22,35.25,36.62,36.94,34.53,31.97,31.0,29.84,25.75,21.19,18.78,18.94,18.22,17.56,19.19,23.69,27.34,28.44,29.81,33.38,35.81,35.31,34.78,36.56,39.34,39.78,39.06,39.97,41.78,40.91,38.44,37.16,38.19,38.62,37.28,36.56,38.25,38.91,36.78,32.97,31.25,30.47,28.06,25.16,24.28,25.41,24.91,22.47,21.34,22.88,23.62,22.56,21.66,23.56,25.88,25.78,24.97,26.44,28.19,27.72,25.25,23.81,24.28,23.78,21.53,20.66,22.66,25.12,24.53,23.5,24.16,25.03,23.03,19.69,19.0,20.03,20.41,19.75,20.59,23.72,25.59,24.88,23.81,24.78,25.94,24.81,23.44,25.38,28.97,30.88,31.88,34.16,38.06,39.81,39.06,38.69,40.09,40.31,37.5,34.69,34.5,34.91,32.94,30.31,29.78,30.22,28.72,26.12,25.91,27.97,29.0,27.88,26.88,28.19,28.5,26.19,24.12,25.38,27.81,28.66,28.91,31.53,35.12,36.53,35.81,35.75,37.19,37.59,35.47,33.84,34.25,34.12,31.31,27.38,25.69,25.41,24.06,22.34,23.0,25.91,27.41,27.25,27.81,30.38,32.16,31.97,31.47,33.97,36.34,36.47,34.91,35.12,36.41,35.84,34.12,34.75,37.38,39.41,39.12,39.75,42.69,45.22,44.81,43.59,44.0,44.66,42.38,38.06,35.97,35.28,33.16,29.31,27.34,27.44,27.0,24.66,23.34,24.88,27.16,27.59,27.66,30.31,33.62,35.06,35.28,36.59,38.44,37.97,35.0,32.03,31.53,30.03,27.16,24.81,24.88,25.66,24.19,22.28,22.41,24.25,24.44,23.5,25.06,28.41,30.75,30.59,30.91,33.12,34.88,34.12,32.91,34.03,35.84,34.88,32.56,32.19,32.44,31.28,28.53,27.44,28.59,29.66,28.59,28.16,29.38,30.78,29.25,27.38,27.81,29.25,28.91,27.91,29.53,32.62,35.22,35.81,37.34,40.0,41.31,39.47,36.91,36.16,35.75,33.53,31.16,31.56,33.66,34.31,33.72,34.5,36.81,37.97,36.41,35.22,35.16,34.25,29.88,25.06,22.84,22.31,21.31,21.38,24.34,29.03,32.16,32.56,33.31,34.94,35.5,33.59,32.31,33.56,35.53,35.69,35.72,37.47,39.75,39.25,36.41,34.22,33.06,30.03,25.25,21.69,20.38,19.41,16.91,15.66,17.06,19.41,19.66,18.5,19.22,21.06,21.41,20.69,21.66,24.66,27.09,26.78,27.38,30.12,32.88,33.12,33.12,35.06,37.94,38.19,37.03,37.16,38.56,38.66,36.69,35.78,36.66,36.62,33.69,30.81,29.97,29.84,27.62,25.69,25.25,26.62,26.06,24.59,24.94,27.75,29.88,30.22,31.47,34.69,36.91,35.75,33.28,32.03,30.31,26.28,21.75,19.41,19.31,18.94,17.75,19.0,23.03,26.75,28.59,30.38,33.5,35.59,34.84,33.03,33.0,33.97,33.5,31.56,31.0,32.47,32.25,30.34,29.03,29.38,28.84,25.69,23.03,22.78,23.28,21.56,19.47,18.75,19.25,18.19,16.62,16.59,18.81,20.22,19.66,20.34,23.88,27.84,30.09,32.06,35.78,39.75,40.72,39.16,38.78,38.91,37.56,34.28,31.94,31.94,31.38,29.25,27.53,28.91,31.22,31.78,32.09,34.94,38.81,40.5,40.53,40.88,42.09,40.97,37.28,33.81,32.84,31.84,29.12,27.19,28.56,31.03,31.97,32.62,35.44,39.0,40.56,40.19,40.53,43.12,45.03,44.81,45.19,48.06,50.31,49.94,48.88,49.72,51.41,50.56,48.25,47.12,46.84,44.53,39.5,35.28,34.03,32.88,30.97,29.81,32.06,35.03,35.88,35.41,37.38,39.84,40.72,40.34,41.47,44.25,45.91,44.66,43.47,44.53,44.84,43.44,42.19,43.91,46.31,46.84,46.03,47.22,48.91,48.56,46.59,44.94,45.09,43.94,40.41,36.72,35.97,35.78,33.81,32.16,33.28,35.66,35.78,34.19,33.94,34.47,33.78,31.09,29.56,30.62,31.97,31.53,31.47,34.06,37.59,38.81,38.62,40.56,42.78,43.09,40.81,39.28,39.31,38.41,35.72,34.03,34.97,36.28,35.34,34.12,35.81,38.06,38.5,37.44,37.84,39.25,39.31,38.0,38.38,41.69,44.84,45.28,45.38,47.31,48.72,47.25,44.62,43.91,44.25,42.31,39.69,39.12,40.81,41.91,40.69,40.06,41.5,42.62,41.25,39.81,40.75,41.66,39.53,36.22,34.81,34.5,32.84,29.62,28.09,28.94,29.5,27.66,27.03,28.56,30.28,29.12,27.62,28.25,29.62,29.19,27.44,27.84,29.78,30.12,27.88,26.16,26.12,25.81,22.66,19.97,20.16,21.19,20.56,20.06,22.41,27.0,30.25,31.5,33.56,37.0,38.66,37.28,36.38,37.47,38.5,36.81,34.5,33.75,33.88,31.53,28.41,27.72,29.5,30.62,30.69,31.97,35.66,38.12,37.78,37.47,39.41,41.28,41.03,40.28,41.16,42.62,41.38,37.06,33.81,31.53,28.66,23.81,20.78,21.34,22.94,22.72,23.19,26.41,30.84,32.31,33.06,35.38,38.56,39.5,38.62,38.44,40.34,41.44,39.75,38.28,38.97,39.5,37.38,35.09,35.41,37.16,36.09,33.59,32.38,32.22,30.41,26.91,25.09,26.47,28.22,28.28,29.34,33.12,37.38,38.41,38.06,39.31,41.62,41.53,39.97,39.62,40.69,40.09,36.66,33.47,32.66,32.19,29.56,27.41,28.41,30.88,31.5,30.78,31.66,33.78,34.38,33.06,32.66,34.81,35.97,34.47,32.81,33.31,34.28,32.72,30.25,30.16,31.34,30.5,28.5,28.19,30.25,31.0,30.28,30.28,32.97,34.91,34.09,32.78,33.16,34.59,33.34,32.0,32.91,35.94,37.25,36.91,37.62,39.62,40.34,38.56,36.97,38.5,40.22,39.94,39.53,41.5,45.19,47.06,47.56,49.47,52.19,52.53,50.09,48.19,48.69,49.0,47.34,45.12,45.59,45.69,43.62,40.53,39.69,40.53,39.72,37.06,35.59,36.34,35.44,32.84,30.59,31.28,31.91,30.22,28.38,29.78,32.47,33.62,33.78,35.19,38.16,39.34,38.12,37.66,39.28,40.12,38.31,36.22,37.03,38.53,37.97,37.16,38.59,40.66,40.53,38.41,37.38,38.19,38.0,35.53,34.12,35.31,36.28,35.44,34.19,35.34,36.72,35.53,33.47,33.72,35.34,35.84,34.31,33.59,34.94,35.31,33.03,31.25,31.53,32.34,30.66,28.69,29.31,31.31,31.78,31.44,33.06,36.19,38.34,38.06,38.28,40.62,42.38,41.75,40.94,42.5,44.53,44.56,43.53,43.81,45.06,44.62,42.25,41.91,43.75,45.25,44.06,42.88,43.44,43.25,40.38,37.16,36.75,37.5,37.16,35.91,36.66,38.84,40.03,38.78,38.78,40.53,42.12,41.38,40.72,42.75,45.38,45.75,44.31,44.22,44.31,42.59,39.44,38.38,39.84,40.69,39.56,38.72,39.59,40.69,39.19,37.12,37.44,38.5,37.56,35.97,36.25,38.5,39.69,38.88,39.0,41.41,43.12,42.16,41.09,42.0,43.16,41.97,40.09,40.38,42.0,41.78,39.97,40.03,42.16,43.44,42.47,41.78,42.5,42.91,40.53,38.25,37.94,38.91,38.03,36.28,35.94,36.88,37.28,35.66,35.59,37.5,38.97,37.38,35.38,35.22,35.22,32.78,30.34,30.34,32.5,33.09,32.38,33.03,35.09,35.12,32.72,30.75,30.81,31.16,29.97,28.81,30.81,34.25,35.19,35.19,36.25,38.09,37.78,35.41,33.97,34.25,34.66,33.28,32.78,35.25,39.19,41.12,42.38,45.19,48.03,48.28,46.62,45.44,45.78,44.53,41.06,38.31,37.97,37.94,35.97,34.69,36.16,38.66,39.25,39.31,40.88,44.12,45.78,45.62,45.81,47.44,47.53,44.88,42.16,42.66,43.59,42.91,42.09,43.0,44.59,43.78,40.84,38.53,37.53,35.72,32.28,30.34,31.62,33.28,32.88,32.53,34.5,37.38,37.66,36.88,37.19,38.41,37.38,34.88,33.03,33.88,34.22,32.91,32.06,33.91,35.75,34.81,33.12,33.47,34.84,34.38,33.12,33.09,34.75,34.84,32.88,31.41,32.25,32.69,31.41,30.31,31.75,34.12,35.19,35.88,38.88,43.25,46.44,47.56,49.25,52.31,53.88,52.38,50.19,50.16,49.38,46.25,42.0,40.22,39.25,36.88,33.53,32.47,33.41,33.25,31.09,29.44,30.12,30.44,28.47,26.31,26.69,27.38,26.03,23.84,24.31,26.19,27.16,26.31,26.28,27.62,27.59,24.88,22.28,22.0,22.53,21.78,21.56,24.59,28.81,31.88,33.03,35.81,39.47,42.16,42.69,43.62,46.5,48.62,47.59,45.94,46.0,46.03,43.47,39.88,38.84,39.19,38.66,36.12,35.0,35.62,35.69,33.53,32.19,33.22,34.81,33.84,32.34,33.22,34.62,34.84,33.53,33.91,35.94,36.53,34.97,34.53,36.16,37.56,36.72,36.03,37.34,45.22,46.56,47.16,47.09,48.09,50.28,51.44,49.72,47.69,46.72,45.03,41.66,38.28,36.62,36.59,35.91,35.66,37.28,40.41,42.94,44.09,45.25,47.69,50.19,50.75,51.09,52.94,54.25:38.19,38.56,35.91,33.25,33.09,33.22,30.72,28.59,29.47,31.47,31.22,30.28,31.94,35.31,38.09,39.41,41.44,45.47,47.78,46.69,45.0,45.25,45.5,43.03,40.28,39.88,40.59,38.97,36.62,36.31,37.78,38.0,36.22,35.25,36.62,36.94,34.53,31.97,31.0,29.84,25.75,21.19,18.78,18.94,18.22,17.56,19.19,23.69,27.34,28.44,29.81,33.38,35.81,35.31,34.78,36.56,39.34,39.78,39.06,39.97,41.78,40.91,38.44,37.16,38.19,38.62,37.28,36.56,38.25,38.91,36.78,32.97,31.25,30.47,28.06,25.16,24.28,25.41,24.91,22.47,21.34,22.88,23.62,22.56,21.66,23.56,25.88,25.78,24.97,26.44,28.19,27.72,25.25,23.81,24.28,23.78,21.53,20.66,22.66,25.12,24.53,23.5,24.16,25.03,23.03,19.69,19.0,20.03,20.41,19.75,20.59,23.72,25.59,24.88,23.81,24.78,25.94,24.81,23.44,25.38,28.97,30.88,31.88,34.16,38.06,39.81,39.06,38.69,40.09,40.31,37.5,34.69,34.5,34.91,32.94,30.31,29.78,30.22,28.72,26.12,25.91,27.97,29.0,27.88,26.88,28.19,28.5,26.19,24.12,25.38,27.81,28.66,28.91,31.53,35.12,36.53,35.81,35.75,37.19,37.59,35.47,33.84,34.25,34.12,31.31,27.38,25.69,25.41,24.06,22.34,23.0,25.91,27.41,27.25,27.81,30.38,32.16,31.97,31.47,33.97,36.34,36.47,34.91,35.12,36.41,35.84,34.12,34.75,37.38,39.41,39.12,39.75,42.69,45.22,44.81,43.59,44.0,44.66,42.38,38.06,35.97,35.28,33.16,29.31,27.34,27.44,27.0,24.66,23.34,24.88,27.16,27.59,27.66,30.31,33.62,35.06,35.28,36.59,38.44,37.97,35.0,32.03,31.53,30.03,27.16,24.81,24.88,25.66,24.19,22.28,22.41,24.25,24.44,23.5,25.06,28.41,30.75,30.59,30.91,33.12,34.88,34.12,32.91,34.03,35.84,34.88,32.56,32.19,32.44,31.28,28.53,27.44,28.59,29.66,28.59,28.16,29.38,30.78,29.25,27.38,27.81,29.25,28.91,27.91,29.53,32.62,35.22,35.81,37.34,40.0,41.31,39.47,36.91,36.16,35.75,33.53,31.16,31.56,33.66,34.31,33.72,34.5,36.81,37.97,36.41,35.22,35.16,34.25,29.88,25.06,22.84,22.31,21.31,21.38,24.34,29.03,32.16,32.56,33.31,34.94,35.5,33.59,32.31,33.56,35.53,35.69,35.72,37.47,39.75,39.25,36.41,34.22,33.06,30.03,25.25,21.69,20.38,19.41,16.91,15.66,17.06,19.41,19.66,18.5,19.22,21.06,21.41,20.69,21.66,24.66,27.09,26.78,27.38,30.12,32.88,33.12,33.12,35.06,37.94,38.19,37.03,37.16,38.56,38.66,36.69,35.78,36.66,36.62,33.69,30.81,29.97,29.84,27.62,25.69,25.25,26.62,26.06,24.59,24.94,27.75,29.88,30.22,31.47,34.69,36.91,35.75,33.28,32.03,30.31,26.28,21.75,19.41,19.31,18.94,17.75,19.0,23.03,26.75,28.59,30.38,33.5,35.59,34.84,33.03,33.0,33.97,33.5,31.56,31.0,32.47,32.25,30.34,29.03,29.38,28.84,25.69,23.03,22.78,23.28,21.56,19.47,18.75,19.25,18.19,16.62,16.59,18.81,20.22,19.66,20.34,23.88,27.84,30.09,32.06,35.78,39.75,40.72,39.16,38.78,38.91,37.56,34.28,31.94,31.94,31.38,29.25,27.53,28.91,31.22,31.78,32.09,34.94,38.81,40.5,40.53,40.88,42.09,40.97,37.28,33.81,32.84,31.84,29.12,27.19,28.56,31.03,31.97,32.62,35.44,39.0,40.56,40.19,40.53,43.12,45.03,44.81,45.19,48.06,50.31,49.94,48.88,49.72,51.41,50.56,48.25,47.12,46.84,44.53,39.5,35.28,34.03,32.88,30.97,29.81,32.06,35.03,35.88,35.41,37.38,39.84,40.72,40.34,41.47,44.25,45.91,44.66,43.47,44.53,44.84,43.44,42.19,43.91,46.31,46.84,46.03,47.22,48.91,48.56,46.59,44.94,45.09,43.94,40.41,36.72,35.97,35.78,33.81,32.16,33.28,35.66,35.78,34.19,33.94,34.47,33.78,31.09,29.56,30.62,31.97,31.53,31.47,34.06,37.59,38.81,38.62,40.56,42.78,43.09,40.81,39.28,39.31,38.41,35.72,34.03,34.97,36.28,35.34,34.12,35.81,38.06,38.5,37.44,37.84,39.25,39.31,38.0,38.38,41.69,44.84,45.28,45.38,47.31,48.72,47.25,44.62,43.91,44.25,42.31,39.69,39.12,40.81,41.91,40.69,40.06,41.5,42.62,41.25,39.81,40.75,41.66,39.53,36.22,34.81,34.5,32.84,29.62,28.09,28.94,29.5,27.66,27.03,28.56,30.28,29.12,27.62,28.25,29.62,29.19,27.44,27.84,29.78,30.12,27.88,26.16,26.12,25.81,22.66,19.97,20.16,21.19,20.56,20.06,22.41,27.0,30.25,31.5,33.56,37.0,38.66,37.28,36.38,37.47,38.5,36.81,34.5,33.75,33.88,31.53,28.41,27.72,29.5,30.62,30.69,31.97,35.66,38.12,37.78,37.47,39.41,41.28,41.03,40.28,41.16,42.62,41.38,37.06,33.81,31.53,28.66,23.81,20.78,21.34,22.94,22.72,23.19,26.41,30.84,32.31,33.06,35.38,38.56,39.5,38.62,38.44,40.34,41.44,39.75,38.28,38.97,39.5,37.38,35.09,35.41,37.16,36.09,33.59,32.38,32.22,30.41,26.91,25.09,26.47,28.22,28.28,29.34,33.12,37.38,38.41,38.06,39.31,41.62,41.53,39.97,39.62,40.69,40.09,36.66,33.47,32.66,32.19,29.56,27.41,28.41,30.88,31.5,30.78,31.66,33.78,34.38,33.06,32.66,34.81,35.97,34.47,32.81,33.31,34.28,32.72,30.25,30.16,31.34,30.5,28.5,28.19,30.25,31.0,30.28,30.28,32.97,34.91,34.09,32.78,33.16,34.59,33.34,32.0,32.91,35.94,37.25,36.91,37.62,39.62,40.34,38.56,36.97,38.5,40.22,39.94,39.53,41.5,45.19,47.06,47.56,49.47,52.19,52.53,50.09,48.19,48.69,49.0,47.34,45.12,45.59,45.69,43.62,40.53,39.69,40.53,39.72,37.06,35.59,36.34,35.44,32.84,30.59,31.28,31.91,30.22,28.38,29.78,32.47,33.62,33.78,35.19,38.16,39.34,38.12,37.66,39.28,40.12,38.31,36.22,37.03,38.53,37.97,37.16,38.59,40.66,40.53,38.41,37.38,38.19,38.0,35.53,34.12,35.31,36.28,35.44,34.19,35.34,36.72,35.53,33.47,33.72,35.34,35.84,34.31,33.59,34.94,35.31,33.03,31.25,31.53,32.34,30.66,28.69,29.31,31.31,31.78,31.44,33.06,36.19,38.34,38.06,38.28,40.62,42.38,41.75,40.94,42.5,44.53,44.56,43.53,43.81,45.06,44.62,42.25,41.91,43.75,45.25,44.06,42.88,43.44,43.25,40.38,37.16,36.75,37.5,37.16,35.91,36.66,38.84,40.03,38.78,38.78,40.53,42.12,41.38,40.72,42.75,45.38,45.75,44.31,44.22,44.31,42.59,39.44,38.38,39.84,40.69,39.56,38.72,39.59,40.69,39.19,37.12,37.44,38.5,37.56,35.97,36.25,38.5,39.69,38.88,39.0,41.41,43.12,42.16,41.09,42.0,43.16,41.97,40.09,40.38,42.0,41.78,39.97,40.03,42.16,43.44,42.47,41.78,42.5,42.91,40.53,38.25,37.94,38.91,38.03,36.28,35.94,36.88,37.28,35.66,35.59,37.5,38.97,37.38,35.38,35.22,35.22,32.78,30.34,30.34,32.5,33.09,32.38,33.03,35.09,35.12,32.72,30.75,30.81,31.16,29.97,28.81,30.81,34.25,35.19,35.19,36.25,38.09,37.78,35.41,33.97,34.25,34.66,33.28,32.78,35.25,39.19,41.12,42.38,45.19,48.03,48.28,46.62,45.44,45.78,44.53,41.06,38.31,37.97,37.94,35.97,34.69,36.16,38.66,39.25,39.31,40.88,44.12,45.78,45.62,45.81,47.44,47.53,44.88,42.16,42.66,43.59,42.91,42.09,43.0,44.59,43.78,40.84,38.53,37.53,35.72,32.28,30.34,31.62,33.28,32.88,32.53,34.5,37.38,37.66,36.88,37.19,38.41,37.38,34.88,33.03,33.88,34.22,32.91,32.06,33.91,35.75,34.81,33.12,33.47,34.84,34.38,33.12,33.09,34.75,34.84,32.88,31.41,32.25,32.69,31.41,30.31,31.75,34.12,35.19,35.88,38.88,43.25,46.44,47.56,49.25,52.31,53.88,52.38,50.19,50.16,49.38,46.25,42.0,40.22,39.25,36.88,33.53,32.47,33.41,33.25,31.09,29.44,30.12,30.44,28.47,26.31,26.69,27.38,26.03,23.84,24.31,26.19,27.16,26.31,26.28,27.62,27.59,24.88,22.28,22.0,22.53,21.78,21.56,24.59,28.81,31.88,33.03,35.81,39.47,42.16,42.69,43.62,46.5,48.62,47.59,45.94,46.0,46.03,43.47,39.88,38.84,39.19,38.66,36.12,35.0,35.62,35.69,33.53,32.19,33.22,34.81,33.84,32.34,33.22,34.62,34.84,33.53,33.91,35.94,36.53,34.97,34.53,36.16,37.56,36.72,36.03,37.34,45.22,46.56,47.16,47.09,48.09,50.28,51.44,49.72,47.69,46.72,45.03,41.66,38.28,36.62,36.59,35.91,35.66,37.28,40.41,42.94,44.09,45.25,47.69,50.19,50.75,51.09,52.94,54.25,53.06,50.5,48.97,48.75,47.31,45.38,45.0:28.59,29.47,31.47,31.22,30.28,31.94,35.31,38.09,39.41,41.44,45.47,47.78,46.69,45.0,45.25,45.5,43.03,40.28,39.88,40.59,38.97,36.62,36.31,37.78,38.0,36.22,35.25,36.62,36.94,34.53,31.97,31.0,29.84,25.75,21.19,18.78,18.94,18.22,17.56,19.19,23.69,27.34,28.44,29.81,33.38,35.81,35.31,34.78,36.56,39.34,39.78,39.06,39.97,41.78,40.91,38.44,37.16,38.19,38.62,37.28,36.56,38.25,38.91,36.78,32.97,31.25,30.47,28.06,25.16,24.28,25.41,24.91,22.47,21.34,22.88,23.62,22.56,21.66,23.56,25.88,25.78,24.97,26.44,28.19,27.72,25.25,23.81,24.28,23.78,21.53,20.66,22.66,25.12,24.53,23.5,24.16,25.03,23.03,19.69,19.0,20.03,20.41,19.75,20.59,23.72,25.59,24.88,23.81,24.78,25.94,24.81,23.44,25.38,28.97,30.88,31.88,34.16,38.06,39.81,39.06,38.69,40.09,40.31,37.5,34.69,34.5,34.91,32.94,30.31,29.78,30.22,28.72,26.12,25.91,27.97,29.0,27.88,26.88,28.19,28.5,26.19,24.12,25.38,27.81,28.66,28.91,31.53,35.12,36.53,35.81,35.75,37.19,37.59,35.47,33.84,34.25,34.12,31.31,27.38,25.69,25.41,24.06,22.34,23.0,25.91,27.41,27.25,27.81,30.38,32.16,31.97,31.47,33.97,36.34,36.47,34.91,35.12,36.41,35.84,34.12,34.75,37.38,39.41,39.12,39.75,42.69,45.22,44.81,43.59,44.0,44.66,42.38,38.06,35.97,35.28,33.16,29.31,27.34,27.44,27.0,24.66,23.34,24.88,27.16,27.59,27.66,30.31,33.62,35.06,35.28,36.59,38.44,37.97,35.0,32.03,31.53,30.03,27.16,24.81,24.88,25.66,24.19,22.28,22.41,24.25,24.44,23.5,25.06,28.41,30.75,30.59,30.91,33.12,34.88,34.12,32.91,34.03,35.84,34.88,32.56,32.19,32.44,31.28,28.53,27.44,28.59,29.66,28.59,28.16,29.38,30.78,29.25,27.38,27.81,29.25,28.91,27.91,29.53,32.62,35.22,35.81,37.34,40.0,41.31,39.47,36.91,36.16,35.75,33.53,31.16,31.56,33.66,34.31,33.72,34.5,36.81,37.97,36.41,35.22,35.16,34.25,29.88,25.06,22.84,22.31,21.31,21.38,24.34,29.03,32.16,32.56,33.31,34.94,35.5,33.59,32.31,33.56,35.53,35.69,35.72,37.47,39.75,39.25,36.41,34.22,33.06,30.03,25.25,21.69,20.38,19.41,16.91,15.66,17.06,19.41,19.66,18.5,19.22,21.06,21.41,20.69,21.66,24.66,27.09,26.78,27.38,30.12,32.88,33.12,33.12,35.06,37.94,38.19,37.03,37.16,38.56,38.66,36.69,35.78,36.66,36.62,33.69,30.81,29.97,29.84,27.62,25.69,25.25,26.62,26.06,24.59,24.94,27.75,29.88,30.22,31.47,34.69,36.91,35.75,33.28,32.03,30.31,26.28,21.75,19.41,19.31,18.94,17.75,19.0,23.03,26.75,28.59,30.38,33.5,35.59,34.84,33.03,33.0,33.97,33.5,31.56,31.0,32.47,32.25,30.34,29.03,29.38,28.84,25.69,23.03,22.78,23.28,21.56,19.47,18.75,19.25,18.19,16.62,16.59,18.81,20.22,19.66,20.34,23.88,27.84,30.09,32.06,35.78,39.75,40.72,39.16,38.78,38.91,37.56,34.28,31.94,31.94,31.38,29.25,27.53,28.91,31.22,31.78,32.09,34.94,38.81,40.5,40.53,40.88,42.09,40.97,37.28,33.81,32.84,31.84,29.12,27.19,28.56,31.03,31.97,32.62,35.44,39.0,40.56,40.19,40.53,43.12,45.03,44.81,45.19,48.06,50.31,49.94,48.88,49.72,51.41,50.56,48.25,47.12,46.84,44.53,39.5,35.28,34.03,32.88,30.97,29.81,32.06,35.03,35.88,35.41,37.38,39.84,40.72,40.34,41.47,44.25,45.91,44.66,43.47,44.53,44.84,43.44,42.19,43.91,46.31,46.84,46.03,47.22,48.91,48.56,46.59,44.94,45.09,43.94,40.41,36.72,35.97,35.78,33.81,32.16,33.28,35.66,35.78,34.19,33.94,34.47,33.78,31.09,29.56,30.62,31.97,31.53,31.47,34.06,37.59,38.81,38.62,40.56,42.78,43.09,40.81,39.28,39.31,38.41,35.72,34.03,34.97,36.28,35.34,34.12,35.81,38.06,38.5,37.44,37.84,39.25,39.31,38.0,38.38,41.69,44.84,45.28,45.38,47.31,48.72,47.25,44.62,43.91,44.25,42.31,39.69,39.12,40.81,41.91,40.69,40.06,41.5,42.62,41.25,39.81,40.75,41.66,39.53,36.22,34.81,34.5,32.84,29.62,28.09,28.94,29.5,27.66,27.03,28.56,30.28,29.12,27.62,28.25,29.62,29.19,27.44,27.84,29.78,30.12,27.88,26.16,26.12,25.81,22.66,19.97,20.16,21.19,20.56,20.06,22.41,27.0,30.25,31.5,33.56,37.0,38.66,37.28,36.38,37.47,38.5,36.81,34.5,33.75,33.88,31.53,28.41,27.72,29.5,30.62,30.69,31.97,35.66,38.12,37.78,37.47,39.41,41.28,41.03,40.28,41.16,42.62,41.38,37.06,33.81,31.53,28.66,23.81,20.78,21.34,22.94,22.72,23.19,26.41,30.84,32.31,33.06,35.38,38.56,39.5,38.62,38.44,40.34,41.44,39.75,38.28,38.97,39.5,37.38,35.09,35.41,37.16,36.09,33.59,32.38,32.22,30.41,26.91,25.09,26.47,28.22,28.28,29.34,33.12,37.38,38.41,38.06,39.31,41.62,41.53,39.97,39.62,40.69,40.09,36.66,33.47,32.66,32.19,29.56,27.41,28.41,30.88,31.5,30.78,31.66,33.78,34.38,33.06,32.66,34.81,35.97,34.47,32.81,33.31,34.28,32.72,30.25,30.16,31.34,30.5,28.5,28.19,30.25,31.0,30.28,30.28,32.97,34.91,34.09,32.78,33.16,34.59,33.34,32.0,32.91,35.94,37.25,36.91,37.62,39.62,40.34,38.56,36.97,38.5,40.22,39.94,39.53,41.5,45.19,47.06,47.56,49.47,52.19,52.53,50.09,48.19,48.69,49.0,47.34,45.12,45.59,45.69,43.62,40.53,39.69,40.53,39.72,37.06,35.59,36.34,35.44,32.84,30.59,31.28,31.91,30.22,28.38,29.78,32.47,33.62,33.78,35.19,38.16,39.34,38.12,37.66,39.28,40.12,38.31,36.22,37.03,38.53,37.97,37.16,38.59,40.66,40.53,38.41,37.38,38.19,38.0,35.53,34.12,35.31,36.28,35.44,34.19,35.34,36.72,35.53,33.47,33.72,35.34,35.84,34.31,33.59,34.94,35.31,33.03,31.25,31.53,32.34,30.66,28.69,29.31,31.31,31.78,31.44,33.06,36.19,38.34,38.06,38.28,40.62,42.38,41.75,40.94,42.5,44.53,44.56,43.53,43.81,45.06,44.62,42.25,41.91,43.75,45.25,44.06,42.88,43.44,43.25,40.38,37.16,36.75,37.5,37.16,35.91,36.66,38.84,40.03,38.78,38.78,40.53,42.12,41.38,40.72,42.75,45.38,45.75,44.31,44.22,44.31,42.59,39.44,38.38,39.84,40.69,39.56,38.72,39.59,40.69,39.19,37.12,37.44,38.5,37.56,35.97,36.25,38.5,39.69,38.88,39.0,41.41,43.12,42.16,41.09,42.0,43.16,41.97,40.09,40.38,42.0,41.78,39.97,40.03,42.16,43.44,42.47,41.78,42.5,42.91,40.53,38.25,37.94,38.91,38.03,36.28,35.94,36.88,37.28,35.66,35.59,37.5,38.97,37.38,35.38,35.22,35.22,32.78,30.34,30.34,32.5,33.09,32.38,33.03,35.09,35.12,32.72,30.75,30.81,31.16,29.97,28.81,30.81,34.25,35.19,35.19,36.25,38.09,37.78,35.41,33.97,34.25,34.66,33.28,32.78,35.25,39.19,41.12,42.38,45.19,48.03,48.28,46.62,45.44,45.78,44.53,41.06,38.31,37.97,37.94,35.97,34.69,36.16,38.66,39.25,39.31,40.88,44.12,45.78,45.62,45.81,47.44,47.53,44.88,42.16,42.66,43.59,42.91,42.09,43.0,44.59,43.78,40.84,38.53,37.53,35.72,32.28,30.34,31.62,33.28,32.88,32.53,34.5,37.38,37.66,36.88,37.19,38.41,37.38,34.88,33.03,33.88,34.22,32.91,32.06,33.91,35.75,34.81,33.12,33.47,34.84,34.38,33.12,33.09,34.75,34.84,32.88,31.41,32.25,32.69,31.41,30.31,31.75,34.12,35.19,35.88,38.88,43.25,46.44,47.56,49.25,52.31,53.88,52.38,50.19,50.16,49.38,46.25,42.0,40.22,39.25,36.88,33.53,32.47,33.41,33.25,31.09,29.44,30.12,30.44,28.47,26.31,26.69,27.38,26.03,23.84,24.31,26.19,27.16,26.31,26.28,27.62,27.59,24.88,22.28,22.0,22.53,21.78,21.56,24.59,28.81,31.88,33.03,35.81,39.47,42.16,42.69,43.62,46.5,48.62,47.59,45.94,46.0,46.03,43.47,39.88,38.84,39.19,38.66,36.12,35.0,35.62,35.69,33.53,32.19,33.22,34.81,33.84,32.34,33.22,34.62,34.84,33.53,33.91,35.94,36.53,34.97,34.53,36.16,37.56,36.72,36.03,37.34,45.22,46.56,47.16,47.09,48.09,50.28,51.44,49.72,47.69,46.72,45.03,41.66,38.28,36.62,36.59,35.91,35.66,37.28,40.41,42.94,44.09,45.25,47.69,50.19,50.75,51.09,52.94,54.25,53.06,50.5,48.97,48.75,47.31,45.38,45.0,45.88,45.84,43.66,41.53,40.81,40.34,38.28:positivity
4.22,5.62,5.44,4.53,3.44,2.41,1.09,-0.34,-1.0,-0.69,-0.16,-0.62,-1.31,-1.03,-0.62,-0.56,-0.22,0.97,2.56,3.31,3.12,3.28,3.59,3.75,3.47,3.03,3.62,4.03,3.84,3.56,4.56,5.72,6.31,6.12,6.09,5.94,4.78,4.03,3.41,4.34,5.16,5.5,5.88,7.06,8.19,8.47,8.91,9.97,10.84,11.34,11.19,11.38,12.09,12.53,12.44,12.12,12.38,12.47,11.66,10.69,11.19,11.72,12.19,11.56,10.94,10.31,8.5,6.22,4.0,3.03,2.28,1.41,1.38,2.69,3.88,4.44,4.19,4.88,5.47,5.69,4.75,4.94,5.38,5.78,5.44,5.78,7.06,7.75,7.94,7.88,8.75,9.69,9.53,8.91,9.34,9.72,9.81,9.38,9.38,9.5,9.47,8.84,8.12,7.88,7.16,5.47,3.84,3.69,4.41,4.59,4.12,4.16,3.81,2.81,0.75,-0.22,-0.47,-0.41,-0.88,-0.75,-0.03,0.12,-1.41,-3.75,-5.25,-6.16,-7.0,-7.41,-6.56,-4.78,-3.44,-2.91,-2.22,-1.53,-1.66,-3.41,-5.12,-6.19,-6.72,-7.59,-8.44,-7.75,-6.22,-5.22,-4.53,-3.16,-1.34,-0.28,-0.72,-2.0,-3.62,-6.59,-11.53,-17.0,-21.38,-24.94,-27.62,-28.72,-27.12,-23.88,-20.41,-17.28,-14.25,-10.81,-7.56,-5.94,-4.25,-2.12,-0.84,-1.22,-1.75,-1.53,-0.88,-0.97,-1.53,-1.38,-0.81,-0.56,-1.09,-1.75,-2.5,-4.06,-7.91,-11.66,-14.62,-16.62,-18.59,-19.41,-18.5,-16.47,-14.31,-12.88,-10.66,-7.97,-5.91,-4.62,-2.91,-0.66,1.53,2.56,3.5,4.88,6.19,6.03,5.53,5.03,3.97,1.28,-2.66,-6.72,-9.78,-12.12,-14.25,-14.88,-13.81,-12.06,-11.44,-10.91,-10.28,-9.31,-9.53,-9.53,-8.69,-6.81,-4.91,-3.59,-1.88,0.06,1.91,2.47,3.28,4.84,6.56,6.72,6.53,6.44,6.34,5.16,3.22,2.03,1.47,0.06,-1.75,-3.28,-4.31,-5.22,-6.69,-8.16,-8.28,-7.91,-8.41,-9.19,-9.41,-9.22,-9.91,-11.19,-11.84,-11.94,-12.0,-13.0,-13.53,-13.28,-12.91,-13.59,-14.62,-14.72,-14.06,-14.5,-14.78,-14.09,-11.97,-10.41,-9.22,-7.72,-5.81,-4.34,-4.41,-3.97,-2.31,-0.31,0.88,1.75,3.03,4.19,3.62,2.66,2.28,2.47,2.12,1.09,0.5,1.19,1.88,1.44,1.19,1.06,-0.03,-2.69,-5.38,-7.25,-8.12,-8.66,-8.84,-8.5,-6.88,-6.22,-6.34,-6.03,-4.66,-3.06,-1.81,-0.56,1.19,3.09,3.25,3.06,3.31,4.03,4.47,4.31,4.41,5.5,5.59,5.06,4.22,4.0,3.06,1.0,-0.88,-1.78,-1.81,-2.47,-2.56,-1.88,-0.97,-1.06,-2.19,-3.66,-4.81,-6.09,-7.47,-8.19,-7.09,-5.38,-4.69,-4.59,-3.88,-2.69,-2.47,-2.94,-3.0,-2.75,-3.19,-4.88,-6.0,-6.31,-7.19,-9.0,-10.19,-10.0,-9.0,-8.31,-7.44,-6.0,-3.69,-3.12,-2.75,-2.5,-2.12,-2.62,-3.62,-3.97,-2.84,-1.53,-0.5,-0.03,0.97,1.47,0.59,-0.44,-1.28,-1.53,-1.69,-1.94,-1.91,-1.56,-1.47,-2.88,-4.84,-5.62,-6.41,-7.41,-8.06,-7.75,-7.22,-7.22,-7.66,-7.5,-6.44,-5.06,-4.09,-2.06,0.62,2.59,3.28,3.34,4.16,4.09,3.16,1.78,1.25,0.69,-0.44,-2.47,-4.19,-5.25,-6.97,-9.06,-10.66,-10.75,-10.56,-10.97,-11.34,-10.75,-10.19,-9.97,-10.09,-9.47,-8.38,-7.56,-7.62,-7.09,-5.72,-4.88,-4.75,-4.59,-3.91,-3.66,-4.16,-4.88,-4.66,-4.53,-4.91,-6.03,-6.53,-6.38,-6.38,-6.62,-5.88,-4.31,-3.28,-3.12,-3.31,-2.75,-2.91,-3.81,-4.69,-4.81,-4.47,-4.72,-5.62,-6.0,-6.0,-6.12,-5.94,-5.09,-2.47,0.06,1.5,2.75,4.78,5.88,5.78,5.25,4.56,3.47,2.41,0.66,-0.19,-0.31,-0.72,-2.09,-3.31,-3.75,-4.47,-5.47,-5.97,-5.25,-4.09,-3.88,-3.91,-3.62,-3.41,-3.25,-3.0,-2.06,-0.19,1.34,1.06,0.62,0.5,0.62,-0.03,-0.69,-1.12,-1.84,-3.88,-6.66,-9.72,-11.69,-13.38,-14.84,-15.03,-13.78,-12.53,-12.06,-12.09,-11.62,-11.59,-12.28,-13.59,-14.31,-14.5,-14.66,-14.62,-13.38,-11.0,-8.5,-6.94,-4.62,-2.03,0.31,1.16,1.72,2.5,2.38,1.06,-1.25,-2.94,-4.72,-6.97,-10.03,-12.72,-14.91,-17.12,-19.47,-20.81,-20.16,-18.69,-17.28,-15.91,-14.25,-12.97,-12.44,-12.5,-11.75,-10.03,-7.78,-5.53,-2.69,0.72,4.34,6.25,7.66,8.94,9.88,9.47,7.84,6.44,4.44,0.78,-3.94,-8.38,-12.19,-16.12,-20.47,-24.06,-26.5,-28.09,-29.25,-28.91,-26.66,-23.38,-20.06,-16.59,-12.28,-7.81,-3.53,-0.06,3.34,6.28,8.56,9.0,9.03,8.72,8.31,6.41,3.72,0.84,-1.69,-4.81,-7.62,-8.38,-7.56,-5.78,-3.69,-0.38,3.72,7.62,9.84,11.38,12.5,13.19,12.66,11.84,11.69,11.53,10.0,7.34,4.38,1.28,-2.06,-6.12,-9.03,-10.94,-12.19,-13.97,-15.25,-15.78,-15.25,-14.81,-14.28,-12.06,-9.59,-7.25,-5.69,-4.09,-2.28,-0.66,-0.06,0.53,1.91,3.28,3.81,3.62,3.72,3.22,2.0,0.03,-1.53,-2.53,-4.12,-6.59,-9.12,-10.84,-12.56,-14.91,-16.28,-16.03,-14.38,-12.5,-9.97,-6.59,-3.31,-0.97,0.88,2.47,4.59,6.38,7.19,7.12,7.59,7.28,5.59,3.22,1.47,0.09,-1.47,-3.0,-3.84,-4.19,-5.34,-7.16,-9.09,-10.38,-11.62,-13.44,-14.72,-14.75,-14.56,-14.44,-13.75,-12.16,-9.75,-7.84,-5.91,-3.91,-1.94,-0.47,0.09,0.06,0.62,0.81,0.0,-0.75,-0.72,-0.66,-0.84,-0.91,-0.5,0.56,1.0,1.0,1.31,2.09,2.56,1.94,1.34,1.31,1.28,1.0,0.66,0.88,1.53,1.38,0.97,0.66,0.97,0.84,0.47,0.31,1.0,1.84,1.81,1.88,2.69,3.38,3.03,2.28,1.94,1.81,0.88,-0.16,-0.75,-0.03,1.03,1.84,3.16,4.75,6.12,5.62,5.03,5.22,5.66,6.06,6.66,7.69,9.38,10.81,11.59,12.09,13.25,13.91,13.41,12.44,12.59,12.12,11.19,9.91,9.59,9.31,8.25,6.31,4.16,2.88,0.88,-1.06,-2.22,-1.59,-0.5,0.5,1.72,3.62,5.53,6.72,7.28,8.56,10.25,11.19,11.0,10.66,10.31,9.5,7.72,6.41,6.22,6.59,6.66,6.44,7.16,7.5,6.94,5.72,5.44,5.22,5.06,4.06,3.0,2.12,0.72,-1.03,-2.72,-2.94,-3.31,-3.94,-4.56,-4.56,-3.94,-3.69,-4.31,-4.41,-4.19,-4.41,-5.12,-5.38,-4.59,-3.66,-3.22,-2.91,-1.44,-0.06,0.62,0.59,1.12,1.44,1.12,-0.16,-0.69,-0.59,-0.25,-0.34,0.31,1.78,3.31,4.06,4.0,4.31,3.53,2.03,-0.19,-1.5,-1.56,-1.03,-0.38,0.88,3.34,5.44,6.62,7.78,10.28,12.72,14.34,15.41,17.09,17.91,16.88,14.78,12.91,11.06,8.81,6.41,4.16,3.34,3.28,3.16,3.94,6.22,8.91,10.59,11.97,13.38,14.09,13.81,12.12,10.69,9.34,8.0,5.75,3.88,2.31,0.88,-1.34,-3.59,-4.5,-5.16,-5.91,-6.88,-6.84,-6.19,-5.38,-5.0,-3.69,-1.59,0.47,1.22,1.84,2.91,3.53,2.72,2.03,1.91,1.97,0.75,-0.84,-2.22,-3.22,-4.47,-6.12,-7.12,-6.81,-6.47,-6.78,-6.5,-5.28,-3.81,-2.94,-2.12,-0.59,0.94,1.91,1.97,2.41,2.84,2.97,1.53,0.34,-0.59,-1.34,-3.31,-5.44,-6.16,-6.0,-5.62,-4.44,-1.72,1.84,4.31,4.91,4.81,4.41,3.5,0.91,-0.84,-1.53,-1.44,-2.19,-2.78,-3.0,-3.19,-4.59,-6.41,-7.53,-7.78,-7.47,-7.38,-6.44,-4.47,-1.75,-0.47,1.09,2.94,4.72,4.94,4.53,4.12,3.5,1.88,0.16,-0.81,-1.53,-1.88,-2.81,-3.66,-3.5,-3.25,-3.97,-4.75,-4.88,-4.56,-4.75,-5.0,-3.91,-1.72,-0.16,0.81,2.03,3.72,4.75,5.06,5.31,6.31,7.0,5.91,4.47,3.28,3.0,1.75,0.56,-0.09,-0.31,-1.28,-3.22,-4.66,-5.41,-6.22,-7.53,-8.09,-7.5,-5.84,-4.94,-4.0,-2.09,-0.25,0.69,1.19,1.91,2.75,3.16,2.91,3.41,4.97,6.75,7.06,7.34,7.5,7.75,6.75,5.88,5.72,5.84,4.81,2.69,0.94,0.09,-0.31,-0.94,-0.78,0.62,2.12,2.56,2.47,3.34,4.31,4.38,4.31,4.66,6.03,6.78,7.09,7.75,8.81,9.16,7.97,6.44,5.59,5.28,4.62,4.47,5.78,7.34,7.41,6.09,4.34,3.12,1.47,0.31,0.53,2.0,3.66,4.38,4.91,6.38,7.72,8.12,8.0,8.31,8.78,7.97,6.38,5.0,4.22,3.28,2.47,2.25,3.25,4.5,5.41,6.5,8.28,9.97,10.78,10.88,11.34,12.22,12.03,11.62,11.75,13.0,13.31,13.19,12.72,12.62,12.22,10.62,8.94,8.25,8.12,7.34,6.62,7.0,8.16,8.44,7.56,6.94,6.97,6.72,5.88,5.31,5.88,6.47,5.78,4.56,4.34,4.78,4.44,3.78,4.12,5.16,5.88,6.09,6.75,8.94,11.03,12.72,14.34,16.47,18.16,18.12,16.88,15.38,13.72,11.56:-0.34,-1.0,-0.69,-0.16,-0.62,-1.31,-1.03,-0.62,-0.56,-0.22,0.97,2.56,3.31,3.12,3.28,3.59,3.75,3.47,3.03,3.62,4.03,3.84,3.56,4.56,5.72,6.31,6.12,6.09,5.94,4.78,4.03,3.41,4.34,5.16,5.5,5.88,7.06,8.19,8.47,8.91,9.97,10.84,11.34,11.19,11.38,12.09,12.53,12.44,12.12,12.38,12.47,11.66,10.69,11.19,11.72,12.19,11.56,10.94,10.31,8.5,6.22,4.0,3.03,2.28,1.41,1.38,2.69,3.88,4.44,4.19,4.88,5.47,5.69,4.75,4.94,5.38,5.78,5.44,5.78,7.06,7.75,7.94,7.88,8.75,9.69,9.53,8.91,9.34,9.72,9.81,9.38,9.38,9.5,9.47,8.84,8.12,7.88,7.16,5.47,3.84,3.69,4.41,4.59,4.12,4.16,3.81,2.81,0.75,-0.22,-0.47,-0.41,-0.88,-0.75,-0.03,0.12,-1.41,-3.75,-5.25,-6.16,-7.0,-7.41,-6.56,-4.78,-3.44,-2.91,-2.22,-1.53,-1.66,-3.41,-5.12,-6.19,-6.72,-7.59,-8.44,-7.75,-6.22,-5.22,-4.53,-3.16,-1.34,-0.28,-0.72,-2.0,-3.62,-6.59,-11.53,-17.0,-21.38,-24.94,-27.62,-28.72,-27.12,-23.88,-20.41,-17.28,-14.25,-10.81,-7.56,-5.94,-4.25,-2.12,-0.84,-1.22,-1.75,-1.53,-0.88,-0.97,-1.53,-1.38,-0.81,-0.56,-1.09,-1.75,-2.5,-4.06,-7.91,-11.66,-14.62,-16.62,-18.59,-19.41,-18.5,-16.47,-14.31,-12.88,-10.66,-7.97,-5.91,-4.62,-2.91,-0.66,1.53,2.56,3.5,4.88,6.19,6.03,5.53,5.03,3.97,1.28,-2.66,-6.72,-9.78,-12.12,-14.25,-14.88,-13.81,-12.06,-11.44,-10.91,-10.28,-9.31,-9.53,-9.53,-8.69,-6.81,-4.91,-3.59,-1.88,0.06,1.91,2.47,3.28,4.84,6.56,6.72,6.53,6.44,6.34,5.16,3.22,2.03,1.47,0.06,-1.75,-3.28,-4.31,-5.22,-6.69,-8.16,-8.28,-7.91,-8.41,-9.19,-9.41,-9.22,-9.91,-11.19,-11.84,-11.94,-12.0,-13.0,-13.53,-13.28,-12.91,-13.59,-14.62,-14.72,-14.06,-14.5,-14.78,-14.09,-11.97,-10.41,-9.22,-7.72,-5.81,-4.34,-4.41,-3.97,-2.31,-0.31,0.88,1.75,3.03,4.19,3.62,2.66,2.28,2.47,2.12,1.09,0.5,1.19,1.88,1.44,1.19,1.06,-0.03,-2.69,-5.38,-7.25,-8.12,-8.66,-8.84,-8.5,-6.88,-6.22,-6.34,-6.03,-4.66,-3.06,-1.81,-0.56,1.19,3.09,3.25,3.06,3.31,4.03,4.47,4.31,4.41,5.5,5.59,5.06,4.22,4.0,3.06,1.0,-0.88,-1.78,-1.81,-2.47,-2.56,-1.88,-0.97,-1.06,-2.19,-3.66,-4.81,-6.09,-7.47,-8.19,-7.09,-5.38,-4.69,-4.59,-3.88,-2.69,-2.47,-2.94,-3.0,-2.75,-3.19,-4.88,-6.0,-6.31,-7.19,-9.0,-10.19,-10.0,-9.0,-8.31,-7.44,-6.0,-3.69,-3.12,-2.75,-2.5,-2.12,-2.62,-3.62,-3.97,-2.84,-1.53,-0.5,-0.03,0.97,1.47,0.59,-0.44,-1.28,-1.53,-1.69,-1.94,-1.91,-1.56,-1.47,-2.88,-4.84,-5.62,-6.41,-7.41,-8.06,-7.75,-7.22,-7.22,-7.66,-7.5,-6.44,-5.06,-4.09,-2.06,0.62,2.59,3.28,3.34,4.16,4.09,3.16,1.78,1.25,0.69,-0.44,-2.47,-4.19,-5.25,-6.97,-9.06,-10.66,-10.75,-10.56,-10.97,-11.34,-10.75,-10.19,-9.97,-10.09,-9.47,-8.38,-7.56,-7.62,-7.09,-5.72,-4.88,-4.75,-4.59,-3.91,-3.66,-4.16,-4.88,-4.66,-4.53,-4.91,-6.03,-6.53,-6.38,-6.38,-6.62,-5.88,-4.31,-3.28,-3.12,-3.31,-2.75,-2.91,-3.81,-4.69,-4.81,-4.47,-4.72,-5.62,-6.0,-6.0,-6.12,-5.94,-5.09,-2.47,0.06,1.5,2.75,4.78,5.88,5.78,5.25,4.56,3.47,2.41,0.66,-0.19,-0.31,-0.72,-2.09,-3.31,-3.75,-4.47,-5.47,-5.97,-5.25,-4.09,-3.88,-3.91,-3.62,-3.41,-3.25,-3.0,-2.06,-0.19,1.34,1.06,0.62,0.5,0.62,-0.03,-0.69,-1.12,-1.84,-3.88,-6.66,-9.72,-11.69,-13.38,-14.84,-15.03,-13.78,-12.53,-12.06,-12.09,-11.62,-11.59,-12.28,-13.59,-14.31,-14.5,-14.66,-14.62,-13.38,-11.0,-8.5,-6.94,-4.62,-2.03,0.31,1.16,1.72,2.5,2.38,1.06,-1.25,-2.94,-4.72,-6.97,-10.03,-12.72,-14.91,-17.12,-19.47,-20.81,-20.16,-18.69,-17.28,-15.91,-14.25,-12.97,-12.44,-12.5,-11.75,-10.03,-7.78,-5.53,-2.69,0.72,4.34,6.25,7.66,8.94,9.88,9.47,7.84,6.44,4.44,0.78,-3.94,-8.38,-12.19,-16.12,-20.47,-24.06,-26.5,-28.09,-29.25,-28.91,-26.66,-23.38,-20.06,-16.59,-12.28,-7.81,-3.53,-0.06,3.34,6.28,8.56,9.0,9.03,8.72,8.31,6.41,3.72,0.84,-1.69,-4.81,-7.62,-8.38,-7.56,-5.78,-3.69,-0.38,3.72,7.62,9.84,11.38,12.5,13.19,12.66,11.84,11.69,11.53,10.0,7.34,4.38,1.28,-2.06,-6.12,-9.03,-10.94,-12.19,-13.97,-15.25,-15.78,-15.25,-14.81,-14.28,-12.06,-9.59,-7.25,-5.69,-4.09,-2.28,-0.66,-0.06,0.53,1.91,3.28,3.81,3.62,3.72,3.22,2.0,0.03,-1.53,-2.53,-4.12,-6.59,-9.12,-10.84,-12.56,-14.91,-16.28,-16.03,-14.38,-12.5,-9.97,-6.59,-3.31,-0.97,0.88,2.47,4.59,6.38,7.19,7.12,7.59,7.28,5.59,3.22,1.47,0.09,-1.47,-3.0,-3.84,-4.19,-5.34,-7.16,-9.09,-10.38,-11.62,-13.44,-14.72,-14.75,-14.56,-14.44,-13.75,-12.16,-9.75,-7.84,-5.91,-3.91,-1.94,-0.47,0.09,0.06,0.62,0.81,0.0,-0.75,-0.72,-0.66,-0.84,-0.91,-0.5,0.56,1.0,1.0,1.31,2.09,2.56,1.94,1.34,1.31,1.28,1.0,0.66,0.88,1.53,1.38,0.97,0.66,0.97,0.84,0.47,0.31,1.0,1.84,1.81,1.88,2.69,3.38,3.03,2.28,1.94,1.81,0.88,-0.16,-0.75,-0.03,1.03,1.84,3.16,4.75,6.12,5.62,5.03,5.22,5.66,6.06,6.66,7.69,9.38,10.81,11.59,12.09,13.25,13.91,13.41,12.44,12.59,12.12,11.19,9.91,9.59,9.31,8.25,6.31,4.16,2.88,0.88,-1.06,-2.22,-1.59,-0.5,0.5,1.72,3.62,5.53,6.72,7.28,8.56,10.25,11.19,11.0,10.66,10.31,9.5,7.72,6.41,6.22,6.59,6.66,6.44,7.16,7.5,6.94,5.72,5.44,5.22,5.06,4.06,3.0,2.12,0.72,-1.03,-2.72,-2.94,-3.31,-3.94,-4.56,-4.56,-3.94,-3.69,-4.31,-4.41,-4.19,-4.41,-5.12,-5.38,-4.59,-3.66,-3.22,-2.91,-1.44,-0.06,0.62,0.59,1.12,1.44,1.12,-0.16,-0.69,-0.59,-0.25,-0.34,0.31,1.78,3.31,4.06,4.0,4.31,3.53,2.03,-0.19,-1.5,-1.56,-1.03,-0.38,0.88,3.34,5.44,6.62,7.78,10.28,12.72,14.34,15.41,17.09,17.91,16.88,14.78,12.91,11.06,8.81,6.41,4.16,3.34,3.28,3.16,3.94,6.22,8.91,10.59,11.97,13.38,14.09,13.81,12.12,10.69,9.34,8.0,5.75,3.88,2.31,0.88,-1.34,-3.59,-4.5,-5.16,-5.91,-6.88,-6.84,-6.19,-5.38,-5.0,-3.69,-1.59,0.47,1.22,1.84,2.91,3.53,2.72,2.03,1.91,1.97,0.75,-0.84,-2.22,-3.22,-4.47,-6.12,-7.12,-6.81,-6.47,-6.78,-6.5,-5.28,-3.81,-2.94,-2.12,-0.59,0.94,1.91,1.97,2.41,2.84,2.97,1.53,0.34,-0.59,-1.34,-3.31,-5.44,-6.16,-6.0,-5.62,-4.44,-1.72,1.84,4.31,4.91,4.81,4.41,3.5,0.91,-0.84,-1.53,-1.44,-2.19,-2.78,-3.0,-3.19,-4.59,-6.41,-7.53,-7.78,-7.47,-7.38,-6.44,-4.47,-1.75,-0.47,1.09,2.94,4.72,4.94,4.53,4.12,3.5,1.88,0.16,-0.81,-1.53,-1.88,-2.81,-3.66,-3.5,-3.25,-3.97,-4.75,-4.88,-4.56,-4.75,-5.0,-3.91,-1.72,-0.16,0.81,2.03,3.72,4.75,5.06,5.31,6.31,7.0,5.91,4.47,3.28,3.0,1.75,0.56,-0.09,-0.31,-1.28,-3.22,-4.66,-5.41,-6.22,-7.53,-8.09,-7.5,-5.84,-4.94,-4.0,-2.09,-0.25,0.69,1.19,1.91,2.75,3.16,2.91,3.41,4.97,6.75,7.06,7.34,7.5,7.75,6.75,5.88,5.72,5.84,4.81,2.69,0.94,0.09,-0.31,-0.94,-0.78,0.62,2.12,2.56,2.47,3.34,4.31,4.38,4.31,4.66,6.03,6.78,7.09,7.75,8.81,9.16,7.97,6.44,5.59,5.28,4.62,4.47,5.78,7.34,7.41,6.09,4.34,3.12,1.47,0.31,0.53,2.0,3.66,4.38,4.91,6.38,7.72,8.12,8.0,8.31,8.78,7.97,6.38,5.0,4.22,3.28,2.47,2.25,3.25,4.5,5.41,6.5,8.28,9.97,10.78,10.88,11.34,12.22,12.03,11.62,11.75,13.0,13.31,13.19,12.72,12.62,12.22,10.62,8.94,8.25,8.12,7.34,6.62,7.0,8.16,8.44,7.56,6.94,6.97,6.72,5.88,5.31,5.88,6.47,5.78,4.56,4.34,4.78,4.44,3.78,4.12,5.16,5.88,6.09,6.75,8.94,11.03,12.72,14.34,16.47,18.16,18.12,16.88,15.38,13.72,11.56,32.56,33.22,33.25,32.91,31.97,31.34,30.31:-0.62,-0.56,-0.22,0.97,2.56,3.31,3.12,3.28,3.59,3.75,3.47,3.03,3.62,4.03,3.84,3.56,4.56,5.72,6.31,6.12,6.09,5.94,4.78,4.03,3.41,4.34,5.16,5.5,5.88,7.06,8.19,8.47,8.91,9.97,10.84,11.34,11.19,11.38,12.09,12.53,12.44,12.12,12.38,12.47,11.66,10.69,11.19,11.72,12.19,11.56,10.94,10.31,8.5,6.22,4.0,3.03,2.28,1.41,1.38,2.69,3.88,4.44,4.19,4.88,5.47,5.69,4.75,4.94,5.38,5.78,5.44,5.78,7.06,7.75,7.94,7.88,8.75,9.69,9.53,8.91,9.34,9.72,9.81,9.38,9.38,9.5,9.47,8.84,8.12,7.88,7.16,5.47,3.84,3.69,4.41,4.59,4.12,4.16,3.81,2.81,0.75,-0.22,-0.47,-0.41,-0.88,-0.75,-0.03,0.12,-1.41,-3.75,-5.25,-6.16,-7.0,-7.41,-6.56,-4.78,-3.44,-2.91,-2.22,-1.53,-1.66,-3.41,-5.12,-6.19,-6.72,-7.59,-8.44,-7.75,-6.22,-5.22,-4.53,-3.16,-1.34,-0.28,-0.72,-2.0,-3.62,-6.59,-11.53,-17.0,-21.38,-24.94,-27.62,-28.72,-27.12,-23.88,-20.41,-17.28,-14.25,-10.81,-7.56,-5.94,-4.25,-2.12,-0.84,-1.22,-1.75,-1.53,-0.88,-0.97,-1.53,-1.38,-0.81,-0.56,-1.09,-1.75,-2.5,-4.06,-7.91,-11.66,-14.62,-16.62,-18.59,-19.41,-18.5,-16.47,-14.31,-12.88,-10.66,-7.97,-5.91,-4.62,-2.91,-0.66,1.53,2.56,3.5,4.88,6.19,6.03,5.53,5.03,3.97,1.28,-2.66,-6.72,-9.78,-12.12,-14.25,-14.88,-13.81,-12.06,-11.44,-10.91,-10.28,-9.31,-9.53,-9.53,-8.69,-6.81,-4.91,-3.59,-1.88,0.06,1.91,2.47,3.28,4.84,6.56,6.72,6.53,6.44,6.34,5.16,3.22,2.03,1.47,0.06,-1.75,-3.28,-4.31,-5.22,-6.69,-8.16,-8.28,-7.91,-8.41,-9.19,-9.41,-9.22,-9.91,-11.19,-11.84,-11.94,-12.0,-13.0,-13.53,-13.28,-12.91,-13.59,-14.62,-14.72,-14.06,-14.5,-14.78,-14.09,-11.97,-10.41,-9.22,-7.72,-5.81,-4.34,-4.41,-3.97,-2.31,-0.31,0.88,1.75,3.03,4.19,3.62,2.66,2.28,2.47,2.12,1.09,0.5,1.19,1.88,1.44,1.19,1.06,-0.03,-2.69,-5.38,-7.25,-8.12,-8.66,-8.84,-8.5,-6.88,-6.22,-6.34,-6.03,-4.66,-3.06,-1.81,-0.56,1.19,3.09,3.25,3.06,3.31,4.03,4.47,4.31,4.41,5.5,5.59,5.06,4.22,4.0,3.06,1.0,-0.88,-1.78,-1.81,-2.47,-2.56,-1.88,-0.97,-1.06,-2.19,-3.66,-4.81,-6.09,-7.47,-8.19,-7.09,-5.38,-4.69,-4.59,-3.88,-2.69,-2.47,-2.94,-3.0,-2.75,-3.19,-4.88,-6.0,-6.31,-7.19,-9.0,-10.19,-10.0,-9.0,-8.31,-7.44,-6.0,-3.69,-3.12,-2.75,-2.5,-2.12,-2.62,-3.62,-3.97,-2.84,-1.53,-0.5,-0.03,0.97,1.47,0.59,-0.44,-1.28,-1.53,-1.69,-1.94,-1.91,-1.56,-1.47,-2.88,-4.84,-5.62,-6.41,-7.41,-8.06,-7.75,-7.22,-7.22,-7.66,-7.5,-6.44,-5.06,-4.09,-2.06,0.62,2.59,3.28,3.34,4.16,4.09,3.16,1.78,1.25,0.69,-0.44,-2.47,-4.19,-5.25,-6.97,-9.06,-10.66,-10.75,-10.56,-10.97,-11.34,-10.75,-10.19,-9.97,-10.09,-9.47,-8.38,-7.56,-7.62,-7.09,-5.72,-4.88,-4.75,-4.59,-3.91,-3.66,-4.16,-4.88,-4.66,-4.53,-4.91,-6.03,-6.53,-6.38,-6.38,-6.62,-5.88,-4.31,-3.28,-3.12,-3.31,-2.75,-2.91,-3.81,-4.69,-4.81,-4.47,-4.72,-5.62,-6.0,-6.0,-6.12,-5.94,-5.09,-2.47,0.06,1.5,2.75,4.78,5.88,5.78,5.25,4.56,3.47,2.41,0.66,-0.19,-0.31,-0.72,-2.09,-3.31,-3.75,-4.47,-5.47,-5.97,-5.25,-4.09,-3.88,-3.91,-3.62,-3.41,-3.25,-3.0,-2.06,-0.19,1.34,1.06,0.62,0.5,0.62,-0.03,-0.69,-1.12,-1.84,-3.88,-6.66,-9.72,-11.69,-13.38,-14.84,-15.03,-13.78,-12.53,-12.06,-12.09,-11.62,-11.59,-12.28,-13.59,-14.31,-14.5,-14.66,-14.62,-13.38,-11.0,-8.5,-6.94,-4.62,-2.03,0.31,1.16,1.72,2.5,2.38,1.06,-1.25,-2.94,-4.72,-6.97,-10.03,-12.72,-14.91,-17.12,-19.47,-20.81,-20.16,-18.69,-17.28,-15.91,-14.25,-12.97,-12.44,-12.5,-11.75,-10.03,-7.78,-5.53,-2.69,0.72,4.34,6.25,7.66,8.94,9.88,9.47,7.84,6.44,4.44,0.78,-3.94,-8.38,-12.19,-16.12,-20.47,-24.06,-26.5,-28.09,-29.25,-28.91,-26.66,-23.38,-20.06,-16.59,-12.28,-7.81,-3.53,-0.06,3.34,6.28,8.56,9.0,9.03,8.72,8.31,6.41,3.72,0.84,-1.69,-4.81,-7.62,-8.38,-7.56,-5.78,-3.69,-0.38,3.72,7.62,9.84,11.38,12.5,13.19,12.66,11.84,11.69,11.53,10.0,7.34,4.38,1.28,-2.06,-6.12,-9.03,-10.94,-12.19,-13.97,-15.25,-15.78,-15.25,-14.81,-14.28,-12.06,-9.59,-7.25,-5.69,-4.09,-2.28,-0.66,-0.06,0.53,1.91,3.28,3.81,3.62,3.72,3.22,2.0,0.03,-1.53,-2.53,-4.12,-6.59,-9.12,-10.84,-12.56,-14.91,-16.28,-16.03,-14.38,-12.5,-9.97,-6.59,-3.31,-0.97,0.88,2.47,4.59,6.38,7.19,7.12,7.59,7.28,5.59,3.22,1.47,0.09,-1.47,-3.0,-3.84,-4.19,-5.34,-7.16,-9.09,-10.38,-11.62,-13.44,-14.72,-14.75,-14.56,-14.44,-13.75,-12.16,-9.75,-7.84,-5.91,-3.91,-1.94,-0.47,0.09,0.06,0.62,0.81,0.0,-0.75,-0.72,-0.66,-0.84,-0.91,-0.5,0.56,1.0,1.0,1.31,2.09,2.56,1.94,1.34,1.31,1.28,1.0,0.66,0.88,1.53,1.38,0.97,0.66,0.97,0.84,0.47,0.31,1.0,1.84,1.81,1.88,2.69,3.38,3.03,2.28,1.94,1.81,0.88,-0.16,-0.75,-0.03,1.03,1.84,3.16,4.75,6.12,5.62,5.03,5.22,5.66,6.06,6.66,7.69,9.38,10.81,11.59,12.09,13.25,13.91,13.41,12.44,12.59,12.12,11.19,9.91,9.59,9.31,8.25,6.31,4.16,2.88,0.88,-1.06,-2.22,-1.59,-0.5,0.5,1.72,3.62,5.53,6.72,7.28,8.56,10.25,11.19,11.0,10.66,10.31,9.5,7.72,6.41,6.22,6.59,6.66,6.44,7.16,7.5,6.94,5.72,5.44,5.22,5.06,4.06,3.0,2.12,0.72,-1.03,-2.72,-2.94,-3.31,-3.94,-4.56,-4.56,-3.94,-3.69,-4.31,-4.41,-4.19,-4.41,-5.12,-5.38,-4.59,-3.66,-3.22,-2.91,-1.44,-0.06,0.62,0.59,1.12,1.44,1.12,-0.16,-0.69,-0.59,-0.25,-0.34,0.31,1.78,3.31,4.06,4.0,4.31,3.53,2.03,-0.19,-1.5,-1.56,-1.03,-0.38,0.88,3.34,5.44,6.62,7.78,10.28,12.72,14.34,15.41,17.09,17.91,16.88,14.78,12.91,11.06,8.81,6.41,4.16,3.34,3.28,3.16,3.94,6.22,8.91,10.59,11.97,13.38,14.09,13.81,12.12,10.69,9.34,8.0,5.75,3.88,2.31,0.88,-1.34,-3.59,-4.5,-5.16,-5.91,-6.88,-6.84,-6.19,-5.38,-5.0,-3.69,-1.59,0.47,1.22,1.84,2.91,3.53,2.72,2.03,1.91,1.97,0.75,-0.84,-2.22,-3.22,-4.47,-6.12,-7.12,-6.81,-6.47,-6.78,-6.5,-5.28,-3.81,-2.94,-2.12,-0.59,0.94,1.91,1.97,2.41,2.84,2.97,1.53,0.34,-0.59,-1.34,-3.31,-5.44,-6.16,-6.0,-5.62,-4.44,-1.72,1.84,4.31,4.91,4.81,4.41,3.5,0.91,-0.84,-1.53,-1.44,-2.19,-2.78,-3.0,-3.19,-4.59,-6.41,-7.53,-7.78,-7.47,-7.38,-6.44,-4.47,-1.75,-0.47,1.09,2.94,4.72,4.94,4.53,4.12,3.5,1.88,0.16,-0.81,-1.53,-1.88,-2.81,-3.66,-3.5,-3.25,-3.97,-4.75,-4.88,-4.56,-4.75,-5.0,-3.91,-1.72,-0.16,0.81,2.03,3.72,4.75,5.06,5.31,6.31,7.0,5.91,4.47,3.28,3.0,1.75,0.56,-0.09,-0.31,-1.28,-3.22,-4.66,-5.41,-6.22,-7.53,-8.09,-7.5,-5.84,-4.94,-4.0,-2.09,-0.25,0.69,1.19,1.91,2.75,3.16,2.91,3.41,4.97,6.75,7.06,7.34,7.5,7.75,6.75,5.88,5.72,5.84,4.81,2.69,0.94,0.09,-0.31,-0.94,-0.78,0.62,2.12,2.56,2.47,3.34,4.31,4.38,4.31,4.66,6.03,6.78,7.09,7.75,8.81,9.16,7.97,6.44,5.59,5.28,4.62,4.47,5.78,7.34,7.41,6.09,4.34,3.12,1.47,0.31,0.53,2.0,3.66,4.38,4.91,6.38,7.72,8.12,8.0,8.31,8.78,7.97,6.38,5.0,4.22,3.28,2.47,2.25,3.25,4.5,5.41,6.5,8.28,9.97,10.78,10.88,11.34,12.22,12.03,11.62,11.75,13.0,13.31,13.19,12.72,12.62,12.22,10.62,8.94,8.25,8.12,7.34,6.62,7.0,8.16,8.44,7.56,6.94,6.97,6.72,5.88,5.31,5.88,6.47,5.78,4.56,4.34,4.78,4.44,3.78,4.12,5.16,5.88,6.09,6.75,8.94,11.03,12.72,14.34,16.47,18.16,18.12,16.88,15.38,13.72,11.56,32.56,33.22,33.25,32.91,31.97,31.34,30.31,29.66,29.16,28.88,28.91,28.84,28.5,28.19:3.28,3.59,3.75,3.47,3.03,3.62,4.03,3.84,3.56,4.56,5.72,6.31,6.12,6.09,5.94,4.78,4.03,3.41,4.34,5.16,5.5,5.88,7.06,8.19,8.47,8.91,9.97,10.84,11.34,11.19,11.38,12.09,12.53,12.44,12.12,12.38,12.47,11.66,10.69,11.19,11.72,12.19,11.56,10.94,10.31,8.5,6.22,4.0,3.03,2.28,1.41,1.38,2.69,3.88,4.44,4.19,4.88,5.47,5.69,4.75,4.94,5.38,5.78,5.44,5.78,7.06,7.75,7.94,7.88,8.75,9.69,9.53,8.91,9.34,9.72,9.81,9.38,9.38,9.5,9.47,8.84,8.12,7.88,7.16,5.47,3.84,3.69,4.41,4.59,4.12,4.16,3.81,2.81,0.75,-0.22,-0.47,-0.41,-0.88,-0.75,-0.03,0.12,-1.41,-3.75,-5.25,-6.16,-7.0,-7.41,-6.56,-4.78,-3.44,-2.91,-2.22,-1.53,-1.66,-3.41,-5.12,-6.19,-6.72,-7.59,-8.44,-7.75,-6.22,-5.22,-4.53,-3.16,-1.34,-0.28,-0.72,-2.0,-3.62,-6.59,-11.53,-17.0,-21.38,-24.94,-27.62,-28.72,-27.12,-23.88,-20.41,-17.28,-14.25,-10.81,-7.56,-5.94,-4.25,-2.12,-0.84,-1.22,-1.75,-1.53,-0.88,-0.97,-1.53,-1.38,-0.81,-0.56,-1.09,-1.75,-2.5,-4.06,-7.91,-11.66,-14.62,-16.62,-18.59,-19.41,-18.5,-16.47,-14.31,-12.88,-10.66,-7.97,-5.91,-4.62,-2.91,-0.66,1.53,2.56,3.5,4.88,6.19,6.03,5.53,5.03,3.97,1.28,-2.66,-6.72,-9.78,-12.12,-14.25,-14.88,-13.81,-12.06,-11.44,-10.91,-10.28,-9.31,-9.53,-9.53,-8.69,-6.81,-4.91,-3.59,-1.88,0.06,1.91,2.47,3.28,4.84,6.56,6.72,6.53,6.44,6.34,5.16,3.22,2.03,1.47,0.06,-1.75,-3.28,-4.31,-5.22,-6.69,-8.16,-8.28,-7.91,-8.41,-9.19,-9.41,-9.22,-9.91,-11.19,-11.84,-11.94,-12.0,-13.0,-13.53,-13.28,-12.91,-13.59,-14.62,-14.72,-14.06,-14.5,-14.78,-14.09,-11.97,-10.41,-9.22,-7.72,-5.81,-4.34,-4.41,-3.97,-2.31,-0.31,0.88,1.75,3.03,4.19,3.62,2.66,2.28,2.47,2.12,1.09,0.5,1.19,1.88,1.44,1.19,1.06,-0.03,-2.69,-5.38,-7.25,-8.12,-8.66,-8.84,-8.5,-6.88,-6.22,-6.34,-6.03,-4.66,-3.06,-1.81,-0.56,1.19,3.09,3.25,3.06,3.31,4.03,4.47,4.31,4.41,5.5,5.59,5.06,4.22,4.0,3.06,1.0,-0.88,-1.78,-1.81,-2.47,-2.56,-1.88,-0.97,-1.06,-2.19,-3.66,-4.81,-6.09,-7.47,-8.19,-7.09,-5.38,-4.69,-4.59,-3.88,-2.69,-2.47,-2.94,-3.0,-2.75,-3.19,-4.88,-6.0,-6.31,-7.19,-9.0,-10.19,-10.0,-9.0,-8.31,-7.44,-6.0,-3.69,-3.12,-2.75,-2.5,-2.12,-2.62,-3.62,-3.97,-2.84,-1.53,-0.5,-0.03,0.97,1.47,0.59,-0.44,-1.28,-1.53,-1.69,-1.94,-1.91,-1.56,-1.47,-2.88,-4.84,-5.62,-6.41,-7.41,-8.06,-7.75,-7.22,-7.22,-7.66,-7.5,-6.44,-5.06,-4.09,-2.06,0.62,2.59,3.28,3.34,4.16,4.09,3.16,1.78,1.25,0.69,-0.44,-2.47,-4.19,-5.25,-6.97,-9.06,-10.66,-10.75,-10.56,-10.97,-11.34,-10.75,-10.19,-9.97,-10.09,-9.47,-8.38,-7.56,-7.62,-7.09,-5.72,-4.88,-4.75,-4.59,-3.91,-3.66,-4.16,-4.88,-4.66,-4.53,-4.91,-6.03,-6.53,-6.38,-6.38,-6.62,-5.88,-4.31,-3.28,-3.12,-3.31,-2.75,-2.91,-3.81,-4.69,-4.81,-4.47,-4.72,-5.62,-6.0,-6.0,-6.12,-5.94,-5.09,-2.47,0.06,1.5,2.75,4.78,5.88,5.78,5.25,4.56,3.47,2.41,0.66,-0.19,-0.31,-0.72,-2.09,-3.31,-3.75,-4.47,-5.47,-5.97,-5.25,-4.09,-3.88,-3.91,-3.62,-3.41,-3.25,-3.0,-2.06,-0.19,1.34,1.06,0.62,0.5,0.62,-0.03,-0.69,-1.12,-1.84,-3.88,-6.66,-9.72,-11.69,-13.38,-14.84,-15.03,-13.78,-12.53,-12.06,-12.09,-11.62,-11.59,-12.28,-13.59,-14.31,-14.5,-14.66,-14.62,-13.38,-11.0,-8.5,-6.94,-4.62,-2.03,0.31,1.16,1.72,2.5,2.38,1.06,-1.25,-2.94,-4.72,-6.97,-10.03,-12.72,-14.91,-17.12,-19.47,-20.81,-20.16,-18.69,-17.28,-15.91,-14.25,-12.97,-12.44,-12.5,-11.75,-10.03,-7.78,-5.53,-2.69,0.72,4.34,6.25,7.66,8.94,9.88,9.47,7.84,6.44,4.44,0.78,-3.94,-8.38,-12.19,-16.12,-20.47,-24.06,-26.5,-28.09,-29.25,-28.91,-26.66,-23.38,-20.06,-16.59,-12.28,-7.81,-3.53,-0.06,3.34,6.28,8.56,9.0,9.03,8.72,8.31,6.41,3.72,0.84,-1.69,-4.81,-7.62,-8.38,-7.56,-5.78,-3.69,-0.38,3.72,7.62,9.84,11.38,12.5,13.19,12.66,11.84,11.69,11.53,10.0,7.34,4.38,1.28,-2.06,-6.12,-9.03,-10.94,-12.19,-13.97,-15.25,-15.78,-15.25,-14.81,-14.28,-12.06,-9.59,-7.25,-5.69,-4.09,-2.28,-0.66,-0.06,0.53,1.91,3.28,3.81,3.62,3.72,3.22,2.0,0.03,-1.53,-2.53,-4.12,-6.59,-9.12,-10.84,-12.56,-14.91,-16.28,-16.03,-14.38,-12.5,-9.97,-6.59,-3.31,-0.97,0.88,2.47,4.59,6.38,7.19,7.12,7.59,7.28,5.59,3.22,1.47,0.09,-1.47,-3.0,-3.84,-4.19,-5.34,-7.16,-9.09,-10.38,-11.62,-13.44,-14.72,-14.75,-14.56,-14.44,-13.75,-12.16,-9.75,-7.84,-5.91,-3.91,-1.94,-0.47,0.09,0.06,0.62,0.81,0.0,-0.75,-0.72,-0.66,-0.84,-0.91,-0.5,0.56,1.0,1.0,1.31,2.09,2.56,1.94,1.34,1.31,1.28,1.0,0.66,0.88,1.53,1.38,0.97,0.66,0.97,0.84,0.47,0.31,1.0,1.84,1.81,1.88,2.69,3.38,3.03,2.28,1.94,1.81,0.88,-0.16,-0.75,-0.03,1.03,1.84,3.16,4.75,6.12,5.62,5.03,5.22,5.66,6.06,6.66,7.69,9.38,10.81,11.59,12.09,13.25,13.91,13.41,12.44,12.59,12.12,11.19,9.91,9.59,9.31,8.25,6.31,4.16,2.88,0.88,-1.06,-2.22,-1.59,-0.5,0.5,1.72,3.62,5.53,6.72,7.28,8.56,10.25,11.19,11.0,10.66,10.31,9.5,7.72,6.41,6.22,6.59,6.66,6.44,7.16,7.5,6.94,5.72,5.44,5.22,5.06,4.06,3.0,2.12,0.72,-1.03,-2.72,-2.94,-3.31,-3.94,-4.56,-4.56,-3.94,-3.69,-4.31,-4.41,-4.19,-4.41,-5.12,-5.38,-4.59,-3.66,-3.22,-2.91,-1.44,-0.06,0.62,0.59,1.12,1.44,1.12,-0.16,-0.69,-0.59,-0.25,-0.34,0.31,1.78,3.31,4.06,4.0,4.31,3.53,2.03,-0.19,-1.5,-1.56,-1.03,-0.38,0.88,3.34,5.44,6.62,7.78,10.28,12.72,14.34,15.41,17.09,17.91,16.88,14.78,12.91,11.06,8.81,6.41,4.16,3.34,3.28,3.16,3.94,6.22,8.91,10.59,11.97,13.38,14.09,13.81,12.12,10.69,9.34,8.0,5.75,3.88,2.31,0.88,-1.34,-3.59,-4.5,-5.16,-5.91,-6.88,-6.84,-6.19,-5.38,-5.0,-3.69,-1.59,0.47,1.22,1.84,2.91,3.53,2.72,2.03,1.91,1.97,0.75,-0.84,-2.22,-3.22,-4.47,-6.12,-7.12,-6.81,-6.47,-6.78,-6.5,-5.28,-3.81,-2.94,-2.12,-0.59,0.94,1.91,1.97,2.41,2.84,2.97,1.53,0.34,-0.59,-1.34,-3.31,-5.44,-6.16,-6.0,-5.62,-4.44,-1.72,1.84,4.31,4.91,4.81,4.41,3.5,0.91,-0.84,-1.53,-1.44,-2.19,-2.78,-3.0,-3.19,-4.59,-6.41,-7.53,-7.78,-7.47,-7.38,-6.44,-4.47,-1.75,-0.47,1.09,2.94,4.72,4.94,4.53,4.12,3.5,1.88,0.16,-0.81,-1.53,-1.88,-2.81,-3.66,-3.5,-3.25,-3.97,-4.75,-4.88,-4.56,-4.75,-5.0,-3.91,-1.72,-0.16,0.81,2.03,3.72,4.75,5.06,5.31,6.31,7.0,5.91,4.47,3.28,3.0,1.75,0.56,-0.09,-0.31,-1.28,-3.22,-4.66,-5.41,-6.22,-7.53,-8.09,-7.5,-5.84,-4.94,-4.0,-2.09,-0.25,0.69,1.19,1.91,2.75,3.16,2.91,3.41,4.97,6.75,7.06,7.34,7.5,7.75,6.75,5.88,5.72,5.84,4.81,2.69,0.94,0.09,-0.31,-0.94,-0.78,0.62,2.12,2.56,2.47,3.34,4.31,4.38,4.31,4.66,6.03,6.78,7.09,7.75,8.81,9.16,7.97,6.44,5.59,5.28,4.62,4.47,5.78,7.34,7.41,6.09,4.34,3.12,1.47,0.31,0.53,2.0,3.66,4.38,4.91,6.38,7.72,8.12,8.0,8.31,8.78,7.97,6.38,5.0,4.22,3.28,2.47,2.25,3.25,4.5,5.41,6.5,8.28,9.97,10.78,10.88,11.34,12.22,12.03,11.62,11.75,13.0,13.31,13.19,12.72,12.62,12.22,10.62,8.94,8.25,8.12,7.34,6.62,7.0,8.16,8.44,7.56,6.94,6.97,6.72,5.88,5.31,5.88,6.47,5.78,4.56,4.34,4.78,4.44,3.78,4.12,5.16,5.88,6.09,6.75,8.94,11.03,12.72,14.34,16.47,18.16,18.12,16.88,15.38,13.72,11.56,32.56,33.22,33.25,32.91,31.97,31.34,30.31,29.66,29.16,28.88,28.91,28.84,28.5,28.19,28.03,28.0,28.09,28.06,28.41,28.72,28.53:3.84,3.56,4.56,5.72,6.31,6.12,6.09,5.94,4.78,4.03,3.41,4.34,5.16,5.5,5.88,7.06,8.19,8.47,8.91,9.97,10.84,11.34,11.19,11.38,12.09,12.53,12.44,12.12,12.38,12.47,11.66,10.69,11.19,11.72,12.19,11.56,10.94,10.31,8.5,6.22,4.0,3.03,2.28,1.41,1.38,2.69,3.88,4.44,4.19,4.88,5.47,5.69,4.75,4.94,5.38,5.78,5.44,5.78,7.06,7.75,7.94,7.88,8.75,9.69,9.53,8.91,9.34,9.72,9.81,9.38,9.38,9.5,9.47,8.84,8.12,7.88,7.16,5.47,3.84,3.69,4.41,4.59,4.12,4.16,3.81,2.81,0.75,-0.22,-0.47,-0.41,-0.88,-0.75,-0.03,0.12,-1.41,-3.75,-5.25,-6.16,-7.0,-7.41,-6.56,-4.78,-3.44,-2.91,-2.22,-1.53,-1.66,-3.41,-5.12,-6.19,-6.72,-7.59,-8.44,-7.75,-6.22,-5.22,-4.53,-3.16,-1.34,-0.28,-0.72,-2.0,-3.62,-6.59,-11.53,-17.0,-21.38,-24.94,-27.62,-28.72,-27.12,-23.88,-20.41,-17.28,-14.25,-10.81,-7.56,-5.94,-4.25,-2.12,-0.84,-1.22,-1.75,-1.53,-0.88,-0.97,-1.53,-1.38,-0.81,-0.56,-1.09,-1.75,-2.5,-4.06,-7.91,-11.66,-14.62,-16.62,-18.59,-19.41,-18.5,-16.47,-14.31,-12.88,-10.66,-7.97,-5.91,-4.62,-2.91,-0.66,1.53,2.56,3.5,4.88,6.19,6.03,5.53,5.03,3.97,1.28,-2.66,-6.72,-9.78,-12.12,-14.25,-14.88,-13.81,-12.06,-11.44,-10.91,-10.28,-9.31,-9.53,-9.53,-8.69,-6.81,-4.91,-3.59,-1.88,0.06,1.91,2.47,3.28,4.84,6.56,6.72,6.53,6.44,6.34,5.16,3.22,2.03,1.47,0.06,-1.75,-3.28,-4.31,-5.22,-6.69,-8.16,-8.28,-7.91,-8.41,-9.19,-9.41,-9.22,-9.91,-11.19,-11.84,-11.94,-12.0,-13.0,-13.53,-13.28,-12.91,-13.59,-14.62,-14.72,-14.06,-14.5,-14.78,-14.09,-11.97,-10.41,-9.22,-7.72,-5.81,-4.34,-4.41,-3.97,-2.31,-0.31,0.88,1.75,3.03,4.19,3.62,2.66,2.28,2.47,2.12,1.09,0.5,1.19,1.88,1.44,1.19,1.06,-0.03,-2.69,-5.38,-7.25,-8.12,-8.66,-8.84,-8.5,-6.88,-6.22,-6.34,-6.03,-4.66,-3.06,-1.81,-0.56,1.19,3.09,3.25,3.06,3.31,4.03,4.47,4.31,4.41,5.5,5.59,5.06,4.22,4.0,3.06,1.0,-0.88,-1.78,-1.81,-2.47,-2.56,-1.88,-0.97,-1.06,-2.19,-3.66,-4.81,-6.09,-7.47,-8.19,-7.09,-5.38,-4.69,-4.59,-3.88,-2.69,-2.47,-2.94,-3.0,-2.75,-3.19,-4.88,-6.0,-6.31,-7.19,-9.0,-10.19,-10.0,-9.0,-8.31,-7.44,-6.0,-3.69,-3.12,-2.75,-2.5,-2.12,-2.62,-3.62,-3.97,-2.84,-1.53,-0.5,-0.03,0.97,1.47,0.59,-0.44,-1.28,-1.53,-1.69,-1.94,-1.91,-1.56,-1.47,-2.88,-4.84,-5.62,-6.41,-7.41,-8.06,-7.75,-7.22,-7.22,-7.66,-7.5,-6.44,-5.06,-4.09,-2.06,0.62,2.59,3.28,3.34,4.16,4.09,3.16,1.78,1.25,0.69,-0.44,-2.47,-4.19,-5.25,-6.97,-9.06,-10.66,-10.75,-10.56,-10.97,-11.34,-10.75,-10.19,-9.97,-10.09,-9.47,-8.38,-7.56,-7.62,-7.09,-5.72,-4.88,-4.75,-4.59,-3.91,-3.66,-4.16,-4.88,-4.66,-4.53,-4.91,-6.03,-6.53,-6.38,-6.38,-6.62,-5.88,-4.31,-3.28,-3.12,-3.31,-2.75,-2.91,-3.81,-4.69,-4.81,-4.47,-4.72,-5.62,-6.0,-6.0,-6.12,-5.94,-5.09,-2.47,0.06,1.5,2.75,4.78,5.88,5.78,5.25,4.56,3.47,2.41,0.66,-0.19,-0.31,-0.72,-2.09,-3.31,-3.75,-4.47,-5.47,-5.97,-5.25,-4.09,-3.88,-3.91,-3.62,-3.41,-3.25,-3.0,-2.06,-0.19,1.34,1.06,0.62,0.5,0.62,-0.03,-0.69,-1.12,-1.84,-3.88,-6.66,-9.72,-11.69,-13.38,-14.84,-15.03,-13.78,-12.53,-12.06,-12.09,-11.62,-11.59,-12.28,-13.59,-14.31,-14.5,-14.66,-14.62,-13.38,-11.0,-8.5,-6.94,-4.62,-2.03,0.31,1.16,1.72,2.5,2.38,1.06,-1.25,-2.94,-4.72,-6.97,-10.03,-12.72,-14.91,-17.12,-19.47,-20.81,-20.16,-18.69,-17.28,-15.91,-14.25,-12.97,-12.44,-12.5,-11.75,-10.03,-7.78,-5.53,-2.69,0.72,4.34,6.25,7.66,8.94,9.88,9.47,7.84,6.44,4.44,0.78,-3.94,-8.38,-12.19,-16.12,-20.47,-24.06,-26.5,-28.09,-29.25,-28.91,-26.66,-23.38,-20.06,-16.59,-12.28,-7.81,-3.53,-0.06,3.34,6.28,8.56,9.0,9.03,8.72,8.31,6.41,3.72,0.84,-1.69,-4.81,-7.62,-8.38,-7.56,-5.78,-3.69,-0.38,3.72,7.62,9.84,11.38,12.5,13.19,12.66,11.84,11.69,11.53,10.0,7.34,4.38,1.28,-2.06,-6.12,-9.03,-10.94,-12.19,-13.97,-15.25,-15.78,-15.25,-14.81,-14.28,-12.06,-9.59,-7.25,-5.69,-4.09,-2.28,-0.66,-0.06,0.53,1.91,3.28,3.81,3.62,3.72,3.22,2.0,0.03,-1.53,-2.53,-4.12,-6.59,-9.12,-10.84,-12.56,-14.91,-16.28,-16.03,-14.38,-12.5,-9.97,-6.59,-3.31,-0.97,0.88,2.47,4.59,6.38,7.19,7.12,7.59,7.28,5.59,3.22,1.47,0.09,-1.47,-3.0,-3.84,-4.19,-5.34,-7.16,-9.09,-10.38,-11.62,-13.44,-14.72,-14.75,-14.56,-14.44,-13.75,-12.16,-9.75,-7.84,-5.91,-3.91,-1.94,-0.47,0.09,0.06,0.62,0.81,0.0,-0.75,-0.72,-0.66,-0.84,-0.91,-0.5,0.56,1.0,1.0,1.31,2.09,2.56,1.94,1.34,1.31,1.28,1.0,0.66,0.88,1.53,1.38,0.97,0.66,0.97,0.84,0.47,0.31,1.0,1.84,1.81,1.88,2.69,3.38,3.03,2.28,1.94,1.81,0.88,-0.16,-0.75,-0.03,1.03,1.84,3.16,4.75,6.12,5.62,5.03,5.22,5.66,6.06,6.66,7.69,9.38,10.81,11.59,12.09,13.25,13.91,13.41,12.44,12.59,12.12,11.19,9.91,9.59,9.31,8.25,6.31,4.16,2.88,0.88,-1.06,-2.22,-1.59,-0.5,0.5,1.72,3.62,5.53,6.72,7.28,8.56,10.25,11.19,11.0,10.66,10.31,9.5,7.72,6.41,6.22,6.59,6.66,6.44,7.16,7.5,6.94,5.72,5.44,5.22,5.06,4.06,3.0,2.12,0.72,-1.03,-2.72,-2.94,-3.31,-3.94,-4.56,-4.56,-3.94,-3.69,-4.31,-4.41,-4.19,-4.41,-5.12,-5.38,-4.59,-3.66,-3.22,-2.91,-1.44,-0.06,0.62,0.59,1.12,1.44,1.12,-0.16,-0.69,-0.59,-0.25,-0.34,0.31,1.78,3.31,4.06,4.0,4.31,3.53,2.03,-0.19,-1.5,-1.56,-1.03,-0.38,0.88,3.34,5.44,6.62,7.78,10.28,12.72,14.34,15.41,17.09,17.91,16.88,14.78,12.91,11.06,8.81,6.41,4.16,3.34,3.28,3.16,3.94,6.22,8.91,10.59,11.97,13.38,14.09,13.81,12.12,10.69,9.34,8.0,5.75,3.88,2.31,0.88,-1.34,-3.59,-4.5,-5.16,-5.91,-6.88,-6.84,-6.19,-5.38,-5.0,-3.69,-1.59,0.47,1.22,1.84,2.91,3.53,2.72,2.03,1.91,1.97,0.75,-0.84,-2.22,-3.22,-4.47,-6.12,-7.12,-6.81,-6.47,-6.78,-6.5,-5.28,-3.81,-2.94,-2.12,-0.59,0.94,1.91,1.97,2.41,2.84,2.97,1.53,0.34,-0.59,-1.34,-3.31,-5.44,-6.16,-6.0,-5.62,-4.44,-1.72,1.84,4.31,4.91,4.81,4.41,3.5,0.91,-0.84,-1.53,-1.44,-2.19,-2.78,-3.0,-3.19,-4.59,-6.41,-7.53,-7.78,-7.47,-7.38,-6.44,-4.47,-1.75,-0.47,1.09,2.94,4.72,4.94,4.53,4.12,3.5,1.88,0.16,-0.81,-1.53,-1.88,-2.81,-3.66,-3.5,-3.25,-3.97,-4.75,-4.88,-4.56,-4.75,-5.0,-3.91,-1.72,-0.16,0.81,2.03,3.72,4.75,5.06,5.31,6.31,7.0,5.91,4.47,3.28,3.0,1.75,0.56,-0.09,-0.31,-1.28,-3.22,-4.66,-5.41,-6.22,-7.53,-8.09,-7.5,-5.84,-4.94,-4.0,-2.09,-0.25,0.69,1.19,1.91,2.75,3.16,2.91,3.41,4.97,6.75,7.06,7.34,7.5,7.75,6.75,5.88,5.72,5.84,4.81,2.69,0.94,0.09,-0.31,-0.94,-0.78,0.62,2.12,2.56,2.47,3.34,4.31,4.38,4.31,4.66,6.03,6.78,7.09,7.75,8.81,9.16,7.97,6.44,5.59,5.28,4.62,4.47,5.78,7.34,7.41,6.09,4.34,3.12,1.47,0.31,0.53,2.0,3.66,4.38,4.91,6.38,7.72,8.12,8.0,8.31,8.78,7.97,6.38,5.0,4.22,3.28,2.47,2.25,3.25,4.5,5.41,6.5,8.28,9.97,10.78,10.88,11.34,12.22,12.03,11.62,11.75,13.0,13.31,13.19,12.72,12.62,12.22,10.62,8.94,8.25,8.12,7.34,6.62,7.0,8.16,8.44,7.56,6.94,6.97,6.72,5.88,5.31,5.88,6.47,5.78,4.56,4.34,4.78,4.44,3.78,4.12,5.16,5.88,6.09,6.75,8.94,11.03,12.72,14.34,16.47,18.16,18.12,16.88,15.38,13.72,11.56,32.56,33.22,33.25,32.91,31.97,31.34,30.31,29.66,29.16,28.88,28.91,28.84,28.5,28.19,28.03,28.0,28.09,28.06,28.41,28.72,28.53,28.22,27.88,27.53,27.31,27.53,28.38,29.38:5.94,4.78,4.03,3.41,4.34,5.16,5.5,5.88,7.06,8.19,8.47,8.91,9.97,10.84,11.34,11.19,11.38,12.09,12.53,12.44,12.12,12.38,12.47,11.66,10.69,11.19,11.72,12.19,11.56,10.94,10.31,8.5,6.22,4.0,3.03,2.28,1.41,1.38,2.69,3.88,4.44,4.19,4.88,5.47,5.69,4.75,4.94,5.38,5.78,5.44,5.78,7.06,7.75,7.94,7.88,8.75,9.69,9.53,8.91,9.34,9.72,9.81,9.38,9.38,9.5,9.47,8.84,8.12,7.88,7.16,5.47,3.84,3.69,4.41,4.59,4.12,4.16,3.81,2.81,0.75,-0.22,-0.47,-0.41,-0.88,-0.75,-0.03,0.12,-1.41,-3.75,-5.25,-6.16,-7.0,-7.41,-6.56,-4.78,-3.44,-2.91,-2.22,-1.53,-1.66,-3.41,-5.12,-6.19,-6.72,-7.59,-8.44,-7.75,-6.22,-5.22,-4.53,-3.16,-1.34,-0.28,-0.72,-2.0,-3.62,-6.59,-11.53,-17.0,-21.38,-24.94,-27.62,-28.72,-27.12,-23.88,-20.41,-17.28,-14.25,-10.81,-7.56,-5.94,-4.25,-2.12,-0.84,-1.22,-1.75,-1.53,-0.88,-0.97,-1.53,-1.38,-0.81,-0.56,-1.09,-1.75,-2.5,-4.06,-7.91,-11.66,-14.62,-16.62,-18.59,-19.41,-18.5,-16.47,-14.31,-12.88,-10.66,-7.97,-5.91,-4.62,-2.91,-0.66,1.53,2.56,3.5,4.88,6.19,6.03,5.53,5.03,3.97,1.28,-2.66,-6.72,-9.78,-12.12,-14.25,-14.88,-13.81,-12.06,-11.44,-10.91,-10.28,-9.31,-9.53,-9.53,-8.69,-6.81,-4.91,-3.59,-1.88,0.06,1.91,2.47,3.28,4.84,6.56,6.72,6.53,6.44,6.34,5.16,3.22,2.03,1.47,0.06,-1.75,-3.28,-4.31,-5.22,-6.69,-8.16,-8.28,-7.91,-8.41,-9.19,-9.41,-9.22,-9.91,-11.19,-11.84,-11.94,-12.0,-13.0,-13.53,-13.28,-12.91,-13.59,-14.62,-14.72,-14.06,-14.5,-14.78,-14.09,-11.97,-10.41,-9.22,-7.72,-5.81,-4.34,-4.41,-3.97,-2.31,-0.31,0.88,1.75,3.03,4.19,3.62,2.66,2.28,2.47,2.12,1.09,0.5,1.19,1.88,1.44,1.19,1.06,-0.03,-2.69,-5.38,-7.25,-8.12,-8.66,-8.84,-8.5,-6.88,-6.22,-6.34,-6.03,-4.66,-3.06,-1.81,-0.56,1.19,3.09,3.25,3.06,3.31,4.03,4.47,4.31,4.41,5.5,5.59,5.06,4.22,4.0,3.06,1.0,-0.88,-1.78,-1.81,-2.47,-2.56,-1.88,-0.97,-1.06,-2.19,-3.66,-4.81,-6.09,-7.47,-8.19,-7.09,-5.38,-4.69,-4.59,-3.88,-2.69,-2.47,-2.94,-3.0,-2.75,-3.19,-4.88,-6.0,-6.31,-7.19,-9.0,-10.19,-10.0,-9.0,-8.31,-7.44,-6.0,-3.69,-3.12,-2.75,-2.5,-2.12,-2.62,-3.62,-3.97,-2.84,-1.53,-0.5,-0.03,0.97,1.47,0.59,-0.44,-1.28,-1.53,-1.69,-1.94,-1.91,-1.56,-1.47,-2.88,-4.84,-5.62,-6.41,-7.41,-8.06,-7.75,-7.22,-7.22,-7.66,-7.5,-6.44,-5.06,-4.09,-2.06,0.62,2.59,3.28,3.34,4.16,4.09,3.16,1.78,1.25,0.69,-0.44,-2.47,-4.19,-5.25,-6.97,-9.06,-10.66,-10.75,-10.56,-10.97,-11.34,-10.75,-10.19,-9.97,-10.09,-9.47,-8.38,-7.56,-7.62,-7.09,-5.72,-4.88,-4.75,-4.59,-3.91,-3.66,-4.16,-4.88,-4.66,-4.53,-4.91,-6.03,-6.53,-6.38,-6.38,-6.62,-5.88,-4.31,-3.28,-3.12,-3.31,-2.75,-2.91,-3.81,-4.69,-4.81,-4.47,-4.72,-5.62,-6.0,-6.0,-6.12,-5.94,-5.09,-2.47,0.06,1.5,2.75,4.78,5.88,5.78,5.25,4.56,3.47,2.41,0.66,-0.19,-0.31,-0.72,-2.09,-3.31,-3.75,-4.47,-5.47,-5.97,-5.25,-4.09,-3.88,-3.91,-3.62,-3.41,-3.25,-3.0,-2.06,-0.19,1.34,1.06,0.62,0.5,0.62,-0.03,-0.69,-1.12,-1.84,-3.88,-6.66,-9.72,-11.69,-13.38,-14.84,-15.03,-13.78,-12.53,-12.06,-12.09,-11.62,-11.59,-12.28,-13.59,-14.31,-14.5,-14.66,-14.62,-13.38,-11.0,-8.5,-6.94,-4.62,-2.03,0.31,1.16,1.72,2.5,2.38,1.06,-1.25,-2.94,-4.72,-6.97,-10.03,-12.72,-14.91,-17.12,-19.47,-20.81,-20.16,-18.69,-17.28,-15.91,-14.25,-12.97,-12.44,-12.5,-11.75,-10.03,-7.78,-5.53,-2.69,0.72,4.34,6.25,7.66,8.94,9.88,9.47,7.84,6.44,4.44,0.78,-3.94,-8.38,-12.19,-16.12,-20.47,-24.06,-26.5,-28.09,-29.25,-28.91,-26.66,-23.38,-20.06,-16.59,-12.28,-7.81,-3.53,-0.06,3.34,6.28,8.56,9.0,9.03,8.72,8.31,6.41,3.72,0.84,-1.69,-4.81,-7.62,-8.38,-7.56,-5.78,-3.69,-0.38,3.72,7.62,9.84,11.38,12.5,13.19,12.66,11.84,11.69,11.53,10.0,7.34,4.38,1.28,-2.06,-6.12,-9.03,-10.94,-12.19,-13.97,-15.25,-15.78,-15.25,-14.81,-14.28,-12.06,-9.59,-7.25,-5.69,-4.09,-2.28,-0.66,-0.06,0.53,1.91,3.28,3.81,3.62,3.72,3.22,2.0,0.03,-1.53,-2.53,-4.12,-6.59,-9.12,-10.84,-12.56,-14.91,-16.28,-16.03,-14.38,-12.5,-9.97,-6.59,-3.31,-0.97,0.88,2.47,4.59,6.38,7.19,7.12,7.59,7.28,5.59,3.22,1.47,0.09,-1.47,-3.0,-3.84,-4.19,-5.34,-7.16,-9.09,-10.38,-11.62,-13.44,-14.72,-14.75,-14.56,-14.44,-13.75,-12.16,-9.75,-7.84,-5.91,-3.91,-1.94,-0.47,0.09,0.06,0.62,0.81,0.0,-0.75,-0.72,-0.66,-0.84,-0.91,-0.5,0.56,1.0,1.0,1.31,2.09,2.56,1.94,1.34,1.31,1.28,1.0,0.66,0.88,1.53,1.38,0.97,0.66,0.97,0.84,0.47,0.31,1.0,1.84,1.81,1.88,2.69,3.38,3.03,2.28,1.94,1.81,0.88,-0.16,-0.75,-0.03,1.03,1.84,3.16,4.75,6.12,5.62,5.03,5.22,5.66,6.06,6.66,7.69,9.38,10.81,11.59,12.09,13.25,13.91,13.41,12.44,12.59,12.12,11.19,9.91,9.59,9.31,8.25,6.31,4.16,2.88,0.88,-1.06,-2.22,-1.59,-0.5,0.5,1.72,3.62,5.53,6.72,7.28,8.56,10.25,11.19,11.0,10.66,10.31,9.5,7.72,6.41,6.22,6.59,6.66,6.44,7.16,7.5,6.94,5.72,5.44,5.22,5.06,4.06,3.0,2.12,0.72,-1.03,-2.72,-2.94,-3.31,-3.94,-4.56,-4.56,-3.94,-3.69,-4.31,-4.41,-4.19,-4.41,-5.12,-5.38,-4.59,-3.66,-3.22,-2.91,-1.44,-0.06,0.62,0.59,1.12,1.44,1.12,-0.16,-0.69,-0.59,-0.25,-0.34,0.31,1.78,3.31,4.06,4.0,4.31,3.53,2.03,-0.19,-1.5,-1.56,-1.03,-0.38,0.88,3.34,5.44,6.62,7.78,10.28,12.72,14.34,15.41,17.09,17.91,16.88,14.78,12.91,11.06,8.81,6.41,4.16,3.34,3.28,3.16,3.94,6.22,8.91,10.59,11.97,13.38,14.09,13.81,12.12,10.69,9.34,8.0,5.75,3.88,2.31,0.88,-1.34,-3.59,-4.5,-5.16,-5.91,-6.88,-6.84,-6.19,-5.38,-5.0,-3.69,-1.59,0.47,1.22,1.84,2.91,3.53,2.72,2.03,1.91,1.97,0.75,-0.84,-2.22,-3.22,-4.47,-6.12,-7.12,-6.81,-6.47,-6.78,-6.5,-5.28,-3.81,-2.94,-2.12,-0.59,0.94,1.91,1.97,2.41,2.84,2.97,1.53,0.34,-0.59,-1.34,-3.31,-5.44,-6.16,-6.0,-5.62,-4.44,-1.72,1.84,4.31,4.91,4.81,4.41,3.5,0.91,-0.84,-1.53,-1.44,-2.19,-2.78,-3.0,-3.19,-4.59,-6.41,-7.53,-7.78,-7.47,-7.38,-6.44,-4.47,-1.75,-0.47,1.09,2.94,4.72,4.94,4.53,4.12,3.5,1.88,0.16,-0.81,-1.53,-1.88,-2.81,-3.66,-3.5,-3.25,-3.97,-4.75,-4.88,-4.56,-4.75,-5.0,-3.91,-1.72,-0.16,0.81,2.03,3.72,4.75,5.06,5.31,6.31,7.0,5.91,4.47,3.28,3.0,1.75,0.56,-0.09,-0.31,-1.28,-3.22,-4.66,-5.41,-6.22,-7.53,-8.09,-7.5,-5.84,-4.94,-4.0,-2.09,-0.25,0.69,1.19,1.91,2.75,3.16,2.91,3.41,4.97,6.75,7.06,7.34,7.5,7.75,6.75,5.88,5.72,5.84,4.81,2.69,0.94,0.09,-0.31,-0.94,-0.78,0.62,2.12,2.56,2.47,3.34,4.31,4.38,4.31,4.66,6.03,6.78,7.09,7.75,8.81,9.16,7.97,6.44,5.59,5.28,4.62,4.47,5.78,7.34,7.41,6.09,4.34,3.12,1.47,0.31,0.53,2.0,3.66,4.38,4.91,6.38,7.72,8.12,8.0,8.31,8.78,7.97,6.38,5.0,4.22,3.28,2.47,2.25,3.25,4.5,5.41,6.5,8.28,9.97,10.78,10.88,11.34,12.22,12.03,11.62,11.75,13.0,13.31,13.19,12.72,12.62,12.22,10.62,8.94,8.25,8.12,7.34,6.62,7.0,8.16,8.44,7.56,6.94,6.97,6.72,5.88,5.31,5.88,6.47,5.78,4.56,4.34,4.78,4.44,3.78,4.12,5.16,5.88,6.09,6.75,8.94,11.03,12.72,14.34,16.47,18.16,18.12,16.88,15.38,13.72,11.56,32.56,33.22,33.25,32.91,31.97,31.34,30.31,29.66,29.16,28.88,28.91,28.84,28.5,28.19,28.03,28.0,28.09,28.06,28.41,28.72,28.53,28.22,27.88,27.53,27.31,27.53,28.38,29.38,31.06,32.88,34.31,35.94,37.47,38.31,38.19:5.88,7.06,8.19,8.47,8.91,9.97,10.84,11.34,11.19,11.38,12.09,12.53,12.44,12.12,12.38,12.47,11.66,10.69,11.19,11.72,12.19,11.56,10.94,10.31,8.5,6.22,4.0,3.03,2.28,1.41,1.38,2.69,3.88,4.44,4.19,4.88,5.47,5.69,4.75,4.94,5.38,5.78,5.44,5.78,7.06,7.75,7.94,7.88,8.75,9.69,9.53,8.91,9.34,9.72,9.81,9.38,9.38,9.5,9.47,8.84,8.12,7.88,7.16,5.47,3.84,3.69,4.41,4.59,4.12,4.16,3.81,2.81,0.75,-0.22,-0.47,-0.41,-0.88,-0.75,-0.03,0.12,-1.41,-3.75,-5.25,-6.16,-7.0,-7.41,-6.56,-4.78,-3.44,-2.91,-2.22,-1.53,-1.66,-3.41,-5.12,-6.19,-6.72,-7.59,-8.44,-7.75,-6.22,-5.22,-4.53,-3.16,-1.34,-0.28,-0.72,-2.0,-3.62,-6.59,-11.53,-17.0,-21.38,-24.94,-27.62,-28.72,-27.12,-23.88,-20.41,-17.28,-14.25,-10.81,-7.56,-5.94,-4.25,-2.12,-0.84,-1.22,-1.75,-1.53,-0.88,-0.97,-1.53,-1.38,-0.81,-0.56,-1.09,-1.75,-2.5,-4.06,-7.91,-11.66,-14.62,-16.62,-18.59,-19.41,-18.5,-16.47,-14.31,-12.88,-10.66,-7.97,-5.91,-4.62,-2.91,-0.66,1.53,2.56,3.5,4.88,6.19,6.03,5.53,5.03,3.97,1.28,-2.66,-6.72,-9.78,-12.12,-14.25,-14.88,-13.81,-12.06,-11.44,-10.91,-10.28,-9.31,-9.53,-9.53,-8.69,-6.81,-4.91,-3.59,-1.88,0.06,1.91,2.47,3.28,4.84,6.56,6.72,6.53,6.44,6.34,5.16,3.22,2.03,1.47,0.06,-1.75,-3.28,-4.31,-5.22,-6.69,-8.16,-8.28,-7.91,-8.41,-9.19,-9.41,-9.22,-9.91,-11.19,-11.84,-11.94,-12.0,-13.0,-13.53,-13.28,-12.91,-13.59,-14.62,-14.72,-14.06,-14.5,-14.78,-14.09,-11.97,-10.41,-9.22,-7.72,-5.81,-4.34,-4.41,-3.97,-2.31,-0.31,0.88,1.75,3.03,4.19,3.62,2.66,2.28,2.47,2.12,1.09,0.5,1.19,1.88,1.44,1.19,1.06,-0.03,-2.69,-5.38,-7.25,-8.12,-8.66,-8.84,-8.5,-6.88,-6.22,-6.34,-6.03,-4.66,-3.06,-1.81,-0.56,1.19,3.09,3.25,3.06,3.31,4.03,4.47,4.31,4.41,5.5,5.59,5.06,4.22,4.0,3.06,1.0,-0.88,-1.78,-1.81,-2.47,-2.56,-1.88,-0.97,-1.06,-2.19,-3.66,-4.81,-6.09,-7.47,-8.19,-7.09,-5.38,-4.69,-4.59,-3.88,-2.69,-2.47,-2.94,-3.0,-2.75,-3.19,-4.88,-6.0,-6.31,-7.19,-9.0,-10.19,-10.0,-9.0,-8.31,-7.44,-6.0,-3.69,-3.12,-2.75,-2.5,-2.12,-2.62,-3.62,-3.97,-2.84,-1.53,-0.5,-0.03,0.97,1.47,0.59,-0.44,-1.28,-1.53,-1.69,-1.94,-1.91,-1.56,-1.47,-2.88,-4.84,-5.62,-6.41,-7.41,-8.06,-7.75,-7.22,-7.22,-7.66,-7.5,-6.44,-5.06,-4.09,-2.06,0.62,2.59,3.28,3.34,4.16,4.09,3.16,1.78,1.25,0.69,-0.44,-2.47,-4.19,-5.25,-6.97,-9.06,-10.66,-10.75,-10.56,-10.97,-11.34,-10.75,-10.19,-9.97,-10.09,-9.47,-8.38,-7.56,-7.62,-7.09,-5.72,-4.88,-4.75,-4.59,-3.91,-3.66,-4.16,-4.88,-4.66,-4.53,-4.91,-6.03,-6.53,-6.38,-6.38,-6.62,-5.88,-4.31,-3.28,-3.12,-3.31,-2.75,-2.91,-3.81,-4.69,-4.81,-4.47,-4.72,-5.62,-6.0,-6.0,-6.12,-5.94,-5.09,-2.47,0.06,1.5,2.75,4.78,5.88,5.78,5.25,4.56,3.47,2.41,0.66,-0.19,-0.31,-0.72,-2.09,-3.31,-3.75,-4.47,-5.47,-5.97,-5.25,-4.09,-3.88,-3.91,-3.62,-3.41,-3.25,-3.0,-2.06,-0.19,1.34,1.06,0.62,0.5,0.62,-0.03,-0.69,-1.12,-1.84,-3.88,-6.66,-9.72,-11.69,-13.38,-14.84,-15.03,-13.78,-12.53,-12.06,-12.09,-11.62,-11.59,-12.28,-13.59,-14.31,-14.5,-14.66,-14.62,-13.38,-11.0,-8.5,-6.94,-4.62,-2.03,0.31,1.16,1.72,2.5,2.38,1.06,-1.25,-2.94,-4.72,-6.97,-10.03,-12.72,-14.91,-17.12,-19.47,-20.81,-20.16,-18.69,-17.28,-15.91,-14.25,-12.97,-12.44,-12.5,-11.75,-10.03,-7.78,-5.53,-2.69,0.72,4.34,6.25,7.66,8.94,9.88,9.47,7.84,6.44,4.44,0.78,-3.94,-8.38,-12.19,-16.12,-20.47,-24.06,-26.5,-28.09,-29.25,-28.91,-26.66,-23.38,-20.06,-16.59,-12.28,-7.81,-3.53,-0.06,3.34,6.28,8.56,9.0,9.03,8.72,8.31,6.41,3.72,0.84,-1.69,-4.81,-7.62,-8.38,-7.56,-5.78,-3.69,-0.38,3.72,7.62,9.84,11.38,12.5,13.19,12.66,11.84,11.69,11.53,10.0,7.34,4.38,1.28,-2.06,-6.12,-9.03,-10.94,-12.19,-13.97,-15.25,-15.78,-15.25,-14.81,-14.28,-12.06,-9.59,-7.25,-5.69,-4.09,-2.28,-0.66,-0.06,0.53,1.91,3.28,3.81,3.62,3.72,3.22,2.0,0.03,-1.53,-2.53,-4.12,-6.59,-9.12,-10.84,-12.56,-14.91,-16.28,-16.03,-14.38,-12.5,-9.97,-6.59,-3.31,-0.97,0.88,2.47,4.59,6.38,7.19,7.12,7.59,7.28,5.59,3.22,1.47,0.09,-1.47,-3.0,-3.84,-4.19,-5.34,-7.16,-9.09,-10.38,-11.62,-13.44,-14.72,-14.75,-14.56,-14.44,-13.75,-12.16,-9.75,-7.84,-5.91,-3.91,-1.94,-0.47,0.09,0.06,0.62,0.81,0.0,-0.75,-0.72,-0.66,-0.84,-0.91,-0.5,0.56,1.0,1.0,1.31,2.09,2.56,1.94,1.34,1.31,1.28,1.0,0.66,0.88,1.53,1.38,0.97,0.66,0.97,0.84,0.47,0.31,1.0,1.84,1.81,1.88,2.69,3.38,3.03,2.28,1.94,1.81,0.88,-0.16,-0.75,-0.03,1.03,1.84,3.16,4.75,6.12,5.62,5.03,5.22,5.66,6.06,6.66,7.69,9.38,10.81,11.59,12.09,13.25,13.91,13.41,12.44,12.59,12.12,11.19,9.91,9.59,9.31,8.25,6.31,4.16,2.88,0.88,-1.06,-2.22,-1.59,-0.5,0.5,1.72,3.62,5.53,6.72,7.28,8.56,10.25,11.19,11.0,10.66,10.31,9.5,7.72,6.41,6.22,6.59,6.66,6.44,7.16,7.5,6.94,5.72,5.44,5.22,5.06,4.06,3.0,2.12,0.72,-1.03,-2.72,-2.94,-3.31,-3.94,-4.56,-4.56,-3.94,-3.69,-4.31,-4.41,-4.19,-4.41,-5.12,-5.38,-4.59,-3.66,-3.22,-2.91,-1.44,-0.06,0.62,0.59,1.12,1.44,1.12,-0.16,-0.69,-0.59,-0.25,-0.34,0.31,1.78,3.31,4.06,4.0,4.31,3.53,2.03,-0.19,-1.5,-1.56,-1.03,-0.38,0.88,3.34,5.44,6.62,7.78,10.28,12.72,14.34,15.41,17.09,17.91,16.88,14.78,12.91,11.06,8.81,6.41,4.16,3.34,3.28,3.16,3.94,6.22,8.91,10.59,11.97,13.38,14.09,13.81,12.12,10.69,9.34,8.0,5.75,3.88,2.31,0.88,-1.34,-3.59,-4.5,-5.16,-5.91,-6.88,-6.84,-6.19,-5.38,-5.0,-3.69,-1.59,0.47,1.22,1.84,2.91,3.53,2.72,2.03,1.91,1.97,0.75,-0.84,-2.22,-3.22,-4.47,-6.12,-7.12,-6.81,-6.47,-6.78,-6.5,-5.28,-3.81,-2.94,-2.12,-0.59,0.94,1.91,1.97,2.41,2.84,2.97,1.53,0.34,-0.59,-1.34,-3.31,-5.44,-6.16,-6.0,-5.62,-4.44,-1.72,1.84,4.31,4.91,4.81,4.41,3.5,0.91,-0.84,-1.53,-1.44,-2.19,-2.78,-3.0,-3.19,-4.59,-6.41,-7.53,-7.78,-7.47,-7.38,-6.44,-4.47,-1.75,-0.47,1.09,2.94,4.72,4.94,4.53,4.12,3.5,1.88,0.16,-0.81,-1.53,-1.88,-2.81,-3.66,-3.5,-3.25,-3.97,-4.75,-4.88,-4.56,-4.75,-5.0,-3.91,-1.72,-0.16,0.81,2.03,3.72,4.75,5.06,5.31,6.31,7.0,5.91,4.47,3.28,3.0,1.75,0.56,-0.09,-0.31,-1.28,-3.22,-4.66,-5.41,-6.22,-7.53,-8.09,-7.5,-5.84,-4.94,-4.0,-2.09,-0.25,0.69,1.19,1.91,2.75,3.16,2.91,3.41,4.97,6.75,7.06,7.34,7.5,7.75,6.75,5.88,5.72,5.84,4.81,2.69,0.94,0.09,-0.31,-0.94,-0.78,0.62,2.12,2.56,2.47,3.34,4.31,4.38,4.31,4.66,6.03,6.78,7.09,7.75,8.81,9.16,7.97,6.44,5.59,5.28,4.62,4.47,5.78,7.34,7.41,6.09,4.34,3.12,1.47,0.31,0.53,2.0,3.66,4.38,4.91,6.38,7.72,8.12,8.0,8.31,8.78,7.97,6.38,5.0,4.22,3.28,2.47,2.25,3.25,4.5,5.41,6.5,8.28,9.97,10.78,10.88,11.34,12.22,12.03,11.62,11.75,13.0,13.31,13.19,12.72,12.62,12.22,10.62,8.94,8.25,8.12,7.34,6.62,7.0,8.16,8.44,7.56,6.94,6.97,6.72,5.88,5.31,5.88,6.47,5.78,4.56,4.34,4.78,4.44,3.78,4.12,5.16,5.88,6.09,6.75,8.94,11.03,12.72,14.34,16.47,18.16,18.12,16.88,15.38,13.72,11.56,32.56,33.22,33.25,32.91,31.97,31.34,30.31,29.66,29.16,28.88,28.91,28.84,28.5,28.19,28.03,28.0,28.09,28.06,28.41,28.72,28.53,28.22,27.88,27.53,27.31,27.53,28.38,29.38,31.06,32.88,34.31,35.94,37.47,38.31,38.19,37.78,36.75,35.66,34.5,34.06,34.03,34.12:positivity
7.72,9.22,8.94,8.56,10.31,12.84,12.72,10.69,9.62,9.66,8.84,5.94,4.12,4.38,4.56,2.31,0.12,-0.19,0.53,-0.78,-2.34,-1.44,1.38,3.38,4.03,6.25,10.22,12.75,12.97,13.56,16.16,17.66,16.22,13.81,12.66,12.28,10.16,7.47,7.22,8.62,8.91,7.41,7.72,9.72,10.91,9.62,8.88,10.03,11.12,9.72,7.81,7.81,8.62,7.53,5.47,5.5,7.47,8.72,8.59,10.28,13.53,16.53,16.19,15.94,17.28,19.09,18.44,17.47,18.16,19.5,18.41,16.38,15.5,15.91,15.31,12.56,11.09,11.91,12.53,11.06,9.66,10.94,12.72,12.25,12.0,14.38,18.5,20.56,21.41,23.0,25.34,25.91,23.44,21.66,21.34,20.75,17.47,14.75,14.72,15.62,14.91,14.03,15.59,18.22,18.81,17.72,17.59,19.03,19.47,18.12,17.41,18.72,19.41,17.47,15.72,15.56,15.53,13.12,10.41,10.12,11.38,11.75,10.5,10.28,11.06,10.41,7.72,6.09,6.94,8.41,7.81,7.31,9.5,11.84,12.19,11.31,12.5,14.94,15.69,15.03,14.91,16.53,16.69,14.19,12.0,11.59,11.62,8.94,6.38,5.81,6.59,5.66,3.94,4.53,6.56,7.28,6.28,6.06,7.66,8.06,5.78,4.09,4.81,6.28,6.06,6.09,8.53,11.78,12.84,12.31,12.81,14.84,14.66,13.09,12.72,14.16,14.84,13.0,11.31,11.81,12.41,11.22,10.69,12.47,16.25,18.41,19.66,21.69,24.62,25.53,24.12,23.0,24.12,24.78,23.09,21.34,21.66,22.06,19.59,16.25,14.81,15.06,13.41,11.62,11.66,13.97,15.25,14.16,13.72,15.5,16.62,15.69,15.34,17.09,19.62,19.59,18.84,19.59,21.34,21.16,19.47,19.09,20.53,20.75,19.31,18.12,18.91,19.16,16.47,13.38,12.31,11.75,9.09,6.34,5.59,6.53,5.84,3.94,3.47,4.75,4.94,3.0,1.88,3.06,4.59,4.5,4.5,7.12,10.66,11.38,10.81,11.56,13.25,12.88,11.09,10.78,12.81,13.88,12.72,11.5,12.25,12.81,11.03,9.38,10.38,12.69,12.72,11.41,11.94,13.28,12.75,10.44,9.09,10.16,10.5,8.84,7.84,9.03,9.66,7.84,5.41,5.5,6.81,6.53,5.81,7.34,10.75,13.03,13.62,14.22,15.91,15.75,11.94,7.78,5.69,3.78,0.38,-3.06,-3.28,-1.28,-0.03,1.03,4.03,9.41,13.56,15.34,17.59,21.81,24.28,24.03,23.56,24.94,27.0,26.66,25.56,26.66,28.03,27.06,24.38,22.59,22.31,20.69,17.34,14.66,15.03,14.53,12.22,10.12,10.84,12.06,11.5,10.59,12.03,15.03,16.5,17.0,18.53,21.31,22.12,20.69,18.91,18.94,18.12,14.91,10.94,9.53,9.03,7.38,5.62,6.25,8.53,8.97,7.94,7.59,9.09,9.22,7.03,5.0,4.97,4.09,1.28,-1.75,-1.72,-0.06,0.25,0.25,2.25,5.69,6.97,6.53,6.34,7.88,8.59,7.31,7.38,10.12,13.44,14.25,14.5,16.09,17.81,16.34,13.81,12.66,13.19,12.84,11.31,11.22,13.66,14.78,13.28,11.47,11.28,10.59,7.62,4.62,4.41,5.62,5.69,5.28,6.34,8.94,9.28,7.78,6.81,7.88,8.62,7.03,6.16,7.81,9.38,8.72,7.56,8.41,10.38,10.53,10.03,11.09,13.81,14.94,13.66,12.62,13.22,12.69,9.69,7.34,7.41,8.12,6.72,4.56,4.5,5.25,4.62,3.72,5.19,8.84,12.19,13.69,16.19,20.34,23.5,23.38,22.38,22.91,23.06,20.75,17.06,15.69,15.28,13.25,9.78,8.0,8.0,7.44,5.22,4.59,6.88,9.69,10.88,12.19,15.56,19.31,19.91,19.03,19.03,19.41,18.19,15.66,14.28,14.75,14.78,12.16,10.09,10.34,10.66,9.19,7.97,10.0,12.53,13.53,13.0,13.78,14.97,14.19,11.28,9.62,10.19,9.91,8.06,7.38,9.59,11.59,11.56,10.78,11.97,13.09,12.81,10.88,10.78,11.56,10.81,8.69,7.47,9.44,11.22,11.19,11.44,13.72,14.91,13.31,10.19,9.47,8.81,6.72,4.16,3.84,5.34,6.38,6.03,6.22,8.28,9.31,7.38,5.41,5.56,6.09,5.19,4.5,6.34,9.25,10.5,10.12,11.28,13.66,14.72,13.78,13.78,15.84,17.22,16.41,15.03,15.69,16.31,14.75,12.59,12.31,12.69,11.53,8.72,7.44,7.84,7.53,5.5,4.12,5.19,6.0,4.91,4.16,5.97,9.03,10.0,10.44,12.59,15.94,17.66,17.5,18.44,20.25,20.47,18.06,16.16,16.84,17.41,16.06,14.84,16.09,17.94,18.34,17.72,18.88,20.72,20.81,18.34,16.34,15.56,13.66,9.19,5.78,5.25,5.25,3.47,2.22,3.44,5.25,5.5,5.0,6.34,8.88,10.25,10.0,10.31,11.91,12.09,8.97,6.03,5.28,5.09,3.72,2.69,4.72,7.28,7.88,7.12,7.72,8.81,9.41,7.59,7.22,9.0,10.34,9.5,8.69,9.81,10.81,9.16,6.94,6.72,7.59,7.16,5.53,5.97,7.62,8.97,8.09,8.31,10.41,12.09,11.88,11.38,12.97,14.88,14.94,13.78,14.66,15.88,15.78,13.66,12.38,12.28,10.66,6.78,4.09,3.38,3.28,1.28,-0.34,-0.03,0.25,-1.97,-4.38,-4.75,-3.44,-2.44,-2.16,-0.25,3.56,6.12,6.34,7.22,9.88,12.34,12.19,11.56,12.66,13.44,12.16,9.72,8.84,9.12,8.59,7.09,6.81,8.56,9.28,7.78,6.28,7.03,7.97,6.59,5.41,6.69,8.34,8.06,6.69,6.47,7.25,6.78,4.84,4.41,6.12,6.88,5.59,4.19,4.59,5.25,3.94,2.56,3.06,4.75,4.44,3.25,3.41,5.09,5.78,4.88,4.94,6.66,7.56,5.56,3.72,3.62,4.03,2.59,1.53,2.81,5.75,7.22,7.59,8.78,11.03,11.44,10.03,8.88,9.28,9.38,6.88,4.94,5.06,6.22,5.91,5.69,7.03,9.31,9.69,8.38,7.97,8.84,8.84,6.59,5.44,5.78,7.03,5.59,5.41,7.56,10.75,11.91,11.53,12.5,13.69,13.16,10.97,10.44,11.78,12.53,11.16,10.12,10.75,11.16,9.16,6.94,6.97,7.91,7.31,5.53,6.0,7.97,8.97,8.19,8.75,10.69,11.69,10.25,9.16,9.94,11.03,9.81,8.5,9.5,11.38,11.97,11.5,12.22,14.09,14.31,12.94,12.31,14.12,15.19,13.97,12.38,12.19,11.75,8.41,4.88,3.62,4.12,3.5,2.28,3.12,5.69,7.09,6.34,5.91,7.28,7.53,5.53,3.5,3.88,4.25,2.5,-0.19,-0.84,0.16,-0.41,-1.66,-1.06,1.28,3.47,4.09,6.16,10.59,14.97,16.5,17.84,20.09,22.31,21.41,19.62,19.59,20.59,19.91,18.03,16.97,17.25,16.34,14.25,12.97,13.69,14.94,14.19,12.88,13.31,14.28,13.03,11.5,11.66,13.12,13.19,12.38,12.47,14.72,16.62,16.62,17.03,19.53,21.5,21.0,20.16,20.56,21.28,19.53,16.44,14.25,13.25,11.03,7.5,6.06,7.5,9.06,9.34,10.31,13.28,16.44,16.88,16.81,17.59,18.84,17.28,14.69,13.59,14.56,15.03,14.31,15.06,17.69,20.16,19.91,19.72,21.41,22.72,21.25,19.22,18.06,17.5,14.97,11.88,10.56,11.25,11.88,11.03,11.72,14.16,16.31,15.94,15.12,15.78,17.0,16.59,16.0,17.31,20.0,21.25,20.94,21.53,23.72,24.88,23.41,22.72,23.94,24.78,23.69,22.34,22.84,24.19,23.75,22.69,23.91,26.53,27.53,26.44,25.41,25.41,24.12,20.41,17.84,17.94,19.41,19.34,19.09,20.56,21.56,19.75,16.66,14.94,15.44,15.0,13.56,13.28,15.19,16.03,14.72,13.25,14.0,15.31,14.94,14.94,17.56,21.0,22.69,22.5,23.19,24.75,23.84,20.94,18.38,17.47,16.03,12.75,9.75,9.56,10.53,9.81,9.28,10.56,12.72,12.28,10.75,10.44,12.19,12.78,12.22,12.0,14.16,15.69,15.12,14.53,15.78,16.91,15.72,13.62,13.47,14.28,13.81,12.09,11.53,12.94,13.28,12.16,11.06,12.94,14.69,14.94,15.31,17.91,20.88,21.03,19.53,19.06,19.41,18.22,15.72,14.88,16.38,17.25,16.78,16.5,17.78,18.41,16.28,13.06,12.12,12.0,10.38,8.47,8.38,9.84,10.22,9.41,10.0,13.16,15.88,16.84,17.84,21.09,23.38,23.16,21.88,21.44,21.12,18.44,14.41,11.75,10.69,8.91,5.81,3.72,4.31,4.91,4.12,3.56,6.19,8.75,9.62,10.12,12.31,15.31,16.28,15.66,16.38,18.84,20.25,19.91,20.34,22.59,24.53,23.94,23.03,24.12,25.44,24.16,21.88,21.25,21.78,20.56,18.0,16.84,17.0,16.09,13.0,11.25,11.78,12.72,11.91,11.12,12.72,14.84,15.28,14.97,17.03,19.97,20.75,19.34,18.03,17.84,16.5,13.25,10.84,11.25,12.0,11.0,9.84,11.12,13.06,13.28,12.78,13.75,16.25,17.75,17.31,17.88,19.53,20.31,18.56,16.84,17.28,18.38,17.5,16.41,18.22,20.62,21.56,21.44,22.09,23.47,22.69,19.59,17.66,18.12,19.09,18.34,18.06,20.22,21.88,20.94,18.62,17.97,17.72,16.25,13.66,13.47,15.59:10.69,9.62,9.66,8.84,5.94,4.12,4.38,4.56,2.31,0.12,-0.19,0.53,-0.78,-2.34,-1.44,1.38,3.38,4.03,6.25,10.22,12.75,12.97,13.56,16.16,17.66,16.22,13.81,12.66,12.28,10.16,7.47,7.22,8.62,8.91,7.41,7.72,9.72,10.91,9.62,8.88,10.03,11.12,9.72,7.81,7.81,8.62,7.53,5.47,5.5,7.47,8.72,8.59,10.28,13.53,16.53,16.19,15.94,17.28,19.09,18.44,17.47,18.16,19.5,18.41,16.38,15.5,15.91,15.31,12.56,11.09,11.91,12.53,11.06,9.66,10.94,12.72,12.25,12.0,14.38,18.5,20.56,21.41,23.0,25.34,25.91,23.44,21.66,21.34,20.75,17.47,14.75,14.72,15.62,14.91,14.03,15.59,18.22,18.81,17.72,17.59,19.03,19.47,18.12,17.41,18.72,19.41,17.47,15.72,15.56,15.53,13.12,10.41,10.12,11.38,11.75,10.5,10.28,11.06,10.41,7.72,6.09,6.94,8.41,7.81,7.31,9.5,11.84,12.19,11.31,12.5,14.94,15.69,15.03,14.91,16.53,16.69,14.19,12.0,11.59,11.62,8.94,6.38,5.81,6.59,5.66,3.94,4.53,6.56,7.28,6.28,6.06,7.66,8.06,5.78,4.09,4.81,6.28,6.06,6.09,8.53,11.78,12.84,12.31,12.81,14.84,14.66,13.09,12.72,14.16,14.84,13.0,11.31,11.81,12.41,11.22,10.69,12.47,16.25,18.41,19.66,21.69,24.62,25.53,24.12,23.0,24.12,24.78,23.09,21.34,21.66,22.06,19.59,16.25,14.81,15.06,13.41,11.62,11.66,13.97,15.25,14.16,13.72,15.5,16.62,15.69,15.34,17.09,19.62,19.59,18.84,19.59,21.34,21.16,19.47,19.09,20.53,20.75,19.31,18.12,18.91,19.16,16.47,13.38,12.31,11.75,9.09,6.34,5.59,6.53,5.84,3.94,3.47,4.75,4.94,3.0,1.88,3.06,4.59,4.5,4.5,7.12,10.66,11.38,10.81,11.56,13.25,12.88,11.09,10.78,12.81,13.88,12.72,11.5,12.25,12.81,11.03,9.38,10.38,12.69,12.72,11.41,11.94,13.28,12.75,10.44,9.09,10.16,10.5,8.84,7.84,9.03,9.66,7.84,5.41,5.5,6.81,6.53,5.81,7.34,10.75,13.03,13.62,14.22,15.91,15.75,11.94,7.78,5.69,3.78,0.38,-3.06,-3.28,-1.28,-0.03,1.03,4.03,9.41,13.56,15.34,17.59,21.81,24.28,24.03,23.56,24.94,27.0,26.66,25.56,26.66,28.03,27.06,24.38,22.59,22.31,20.69,17.34,14.66,15.03,14.53,12.22,10.12,10.84,12.06,11.5,10.59,12.03,15.03,16.5,17.0,18.53,21.31,22.12,20.69,18.91,18.94,18.12,14.91,10.94,9.53,9.03,7.38,5.62,6.25,8.53,8.97,7.94,7.59,9.09,9.22,7.03,5.0,4.97,4.09,1.28,-1.75,-1.72,-0.06,0.25,0.25,2.25,5.69,6.97,6.53,6.34,7.88,8.59,7.31,7.38,10.12,13.44,14.25,14.5,16.09,17.81,16.34,13.81,12.66,13.19,12.84,11.31,11.22,13.66,14.78,13.28,11.47,11.28,10.59,7.62,4.62,4.41,5.62,5.69,5.28,6.34,8.94,9.28,7.78,6.81,7.88,8.62,7.03,6.16,7.81,9.38,8.72,7.56,8.41,10.38,10.53,10.03,11.09,13.81,14.94,13.66,12.62,13.22,12.69,9.69,7.34,7.41,8.12,6.72,4.56,4.5,5.25,4.62,3.72,5.19,8.84,12.19,13.69,16.19,20.34,23.5,23.38,22.38,22.91,23.06,20.75,17.06,15.69,15.28,13.25,9.78,8.0,8.0,7.44,5.22,4.59,6.88,9.69,10.88,12.19,15.56,19.31,19.91,19.03,19.03,19.41,18.19,15.66,14.28,14.75,14.78,12.16,10.09,10.34,10.66,9.19,7.97,10.0,12.53,13.53,13.0,13.78,14.97,14.19,11.28,9.62,10.19,9.91,8.06,7.38,9.59,11.59,11.56,10.78,11.97,13.09,12.81,10.88,10.78,11.56,10.81,8.69,7.47,9.44,11.22,11.19,11.44,13.72,14.91,13.31,10.19,9.47,8.81,6.72,4.16,3.84,5.34,6.38,6.03,6.22,8.28,9.31,7.38,5.41,5.56,6.09,5.19,4.5,6.34,9.25,10.5,10.12,11.28,13.66,14.72,13.78,13.78,15.84,17.22,16.41,15.03,15.69,16.31,14.75,12.59,12.31,12.69,11.53,8.72,7.44,7.84,7.53,5.5,4.12,5.19,6.0,4.91,4.16,5.97,9.03,10.0,10.44,12.59,15.94,17.66,17.5,18.44,20.25,20.47,18.06,16.16,16.84,17.41,16.06,14.84,16.09,17.94,18.34,17.72,18.88,20.72,20.81,18.34,16.34,15.56,13.66,9.19,5.78,5.25,5.25,3.47,2.22,3.44,5.25,5.5,5.0,6.34,8.88,10.25,10.0,10.31,11.91,12.09,8.97,6.03,5.28,5.09,3.72,2.69,4.72,7.28,7.88,7.12,7.72,8.81,9.41,7.59,7.22,9.0,10.34,9.5,8.69,9.81,10.81,9.16,6.94,6.72,7.59,7.16,5.53,5.97,7.62,8.97,8.09,8.31,10.41,12.09,11.88,11.38,12.97,14.88,14.94,13.78,14.66,15.88,15.78,13.66,12.38,12.28,10.66,6.78,4.09,3.38,3.28,1.28,-0.34,-0.03,0.25,-1.97,-4.38,-4.75,-3.44,-2.44,-2.16,-0.25,3.56,6.12,6.34,7.22,9.88,12.34,12.19,11.56,12.66,13.44,12.16,9.72,8.84,9.12,8.59,7.09,6.81,8.56,9.28,7.78,6.28,7.03,7.97,6.59,5.41,6.69,8.34,8.06,6.69,6.47,7.25,6.78,4.84,4.41,6.12,6.88,5.59,4.19,4.59,5.25,3.94,2.56,3.06,4.75,4.44,3.25,3.41,5.09,5.78,4.88,4.94,6.66,7.56,5.56,3.72,3.62,4.03,2.59,1.53,2.81,5.75,7.22,7.59,8.78,11.03,11.44,10.03,8.88,9.28,9.38,6.88,4.94,5.06,6.22,5.91,5.69,7.03,9.31,9.69,8.38,7.97,8.84,8.84,6.59,5.44,5.78,7.03,5.59,5.41,7.56,10.75,11.91,11.53,12.5,13.69,13.16,10.97,10.44,11.78,12.53,11.16,10.12,10.75,11.16,9.16,6.94,6.97,7.91,7.31,5.53,6.0,7.97,8.97,8.19,8.75,10.69,11.69,10.25,9.16,9.94,11.03,9.81,8.5,9.5,11.38,11.97,11.5,12.22,14.09,14.31,12.94,12.31,14.12,15.19,13.97,12.38,12.19,11.75,8.41,4.88,3.62,4.12,3.5,2.28,3.12,5.69,7.09,6.34,5.91,7.28,7.53,5.53,3.5,3.88,4.25,2.5,-0.19,-0.84,0.16,-0.41,-1.66,-1.06,1.28,3.47,4.09,6.16,10.59,14.97,16.5,17.84,20.09,22.31,21.41,19.62,19.59,20.59,19.91,18.03,16.97,17.25,16.34,14.25,12.97,13.69,14.94,14.19,12.88,13.31,14.28,13.03,11.5,11.66,13.12,13.19,12.38,12.47,14.72,16.62,16.62,17.03,19.53,21.5,21.0,20.16,20.56,21.28,19.53,16.44,14.25,13.25,11.03,7.5,6.06,7.5,9.06,9.34,10.31,13.28,16.44,16.88,16.81,17.59,18.84,17.28,14.69,13.59,14.56,15.03,14.31,15.06,17.69,20.16,19.91,19.72,21.41,22.72,21.25,19.22,18.06,17.5,14.97,11.88,10.56,11.25,11.88,11.03,11.72,14.16,16.31,15.94,15.12,15.78,17.0,16.59,16.0,17.31,20.0,21.25,20.94,21.53,23.72,24.88,23.41,22.72,23.94,24.78,23.69,22.34,22.84,24.19,23.75,22.69,23.91,26.53,27.53,26.44,25.41,25.41,24.12,20.41,17.84,17.94,19.41,19.34,19.09,20.56,21.56,19.75,16.66,14.94,15.44,15.0,13.56,13.28,15.19,16.03,14.72,13.25,14.0,15.31,14.94,14.94,17.56,21.0,22.69,22.5,23.19,24.75,23.84,20.94,18.38,17.47,16.03,12.75,9.75,9.56,10.53,9.81,9.28,10.56,12.72,12.28,10.75,10.44,12.19,12.78,12.22,12.0,14.16,15.69,15.12,14.53,15.78,16.91,15.72,13.62,13.47,14.28,13.81,12.09,11.53,12.94,13.28,12.16,11.06,12.94,14.69,14.94,15.31,17.91,20.88,21.03,19.53,19.06,19.41,18.22,15.72,14.88,16.38,17.25,16.78,16.5,17.78,18.41,16.28,13.06,12.12,12.0,10.38,8.47,8.38,9.84,10.22,9.41,10.0,13.16,15.88,16.84,17.84,21.09,23.38,23.16,21.88,21.44,21.12,18.44,14.41,11.75,10.69,8.91,5.81,3.72,4.31,4.91,4.12,3.56,6.19,8.75,9.62,10.12,12.31,15.31,16.28,15.66,16.38,18.84,20.25,19.91,20.34,22.59,24.53,23.94,23.03,24.12,25.44,24.16,21.88,21.25,21.78,20.56,18.0,16.84,17.0,16.09,13.0,11.25,11.78,12.72,11.91,11.12,12.72,14.84,15.28,14.97,17.03,19.97,20.75,19.34,18.03,17.84,16.5,13.25,10.84,11.25,12.0,11.0,9.84,11.12,13.06,13.28,12.78,13.75,16.25,17.75,17.31,17.88,19.53,20.31,18.56,16.84,17.28,18.38,17.5,16.41,18.22,20.62,21.56,21.44,22.09,23.47,22.69,19.59,17.66,18.12,19.09,18.34,18.06,20.22,21.88,20.94,18.62,17.97,17.72,16.25,13.66,13.47,15.59,14.25,14.59,14.47,14.28,15.12,16.5,15.78:4.56,2.31,0.12,-0.19,0.53,-0.78,-2.34,-1.44,1.38,3.38,4.03,6.25,10.22,12.75,12.97,13.56,16.16,17.66,16.22,13.81,12.66,12.28,10.16,7.47,7.22,8.62,8.91,7.41,7.72,9.72,10.91,9.62,8.88,10.03,11.12,9.72,7.81,7.81,8.62,7.53,5.47,5.5,7.47,8.72,8.59,10.28,13.53,16.53,16.19,15.94,17.28,19.09,18.44,17.47,18.16,19.5,18.41,16.38,15.5,15.91,15.31,12.56,11.09,11.91,12.53,11.06,9.66,10.94,12.72,12.25,12.0,14.38,18.5,20.56,21.41,23.0,25.34,25.91,23.44,21.66,21.34,20.75,17.47,14.75,14.72,15.62,14.91,14.03,15.59,18.22,18.81,17.72,17.59,19.03,19.47,18.12,17.41,18.72,19.41,17.47,15.72,15.56,15.53,13.12,10.41,10.12,11.38,11.75,10.5,10.28,11.06,10.41,7.72,6.09,6.94,8.41,7.81,7.31,9.5,11.84,12.19,11.31,12.5,14.94,15.69,15.03,14.91,16.53,16.69,14.19,12.0,11.59,11.62,8.94,6.38,5.81,6.59,5.66,3.94,4.53,6.56,7.28,6.28,6.06,7.66,8.06,5.78,4.09,4.81,6.28,6.06,6.09,8.53,11.78,12.84,12.31,12.81,14.84,14.66,13.09,12.72,14.16,14.84,13.0,11.31,11.81,12.41,11.22,10.69,12.47,16.25,18.41,19.66,21.69,24.62,25.53,24.12,23.0,24.12,24.78,23.09,21.34,21.66,22.06,19.59,16.25,14.81,15.06,13.41,11.62,11.66,13.97,15.25,14.16,13.72,15.5,16.62,15.69,15.34,17.09,19.62,19.59,18.84,19.59,21.34,21.16,19.47,19.09,20.53,20.75,19.31,18.12,18.91,19.16,16.47,13.38,12.31,11.75,9.09,6.34,5.59,6.53,5.84,3.94,3.47,4.75,4.94,3.0,1.88,3.06,4.59,4.5,4.5,7.12,10.66,11.38,10.81,11.56,13.25,12.88,11.09,10.78,12.81,13.88,12.72,11.5,12.25,12.81,11.03,9.38,10.38,12.69,12.72,11.41,11.94,13.28,12.75,10.44,9.09,10.16,10.5,8.84,7.84,9.03,9.66,7.84,5.41,5.5,6.81,6.53,5.81,7.34,10.75,13.03,13.62,14.22,15.91,15.75,11.94,7.78,5.69,3.78,0.38,-3.06,-3.28,-1.28,-0.03,1.03,4.03,9.41,13.56,15.34,17.59,21.81,24.28,24.03,23.56,24.94,27.0,26.66,25.56,26.66,28.03,27.06,24.38,22.59,22.31,20.69,17.34,14.66,15.03,14.53,12.22,10.12,10.84,12.06,11.5,10.59,12.03,15.03,16.5,17.0,18.53,21.31,22.12,20.69,18.91,18.94,18.12,14.91,10.94,9.53,9.03,7.38,5.62,6.25,8.53,8.97,7.94,7.59,9.09,9.22,7.03,5.0,4.97,4.09,1.28,-1.75,-1.72,-0.06,0.25,0.25,2.25,5.69,6.97,6.53,6.34,7.88,8.59,7.31,7.38,10.12,13.44,14.25,14.5,16.09,17.81,16.34,13.81,12.66,13.19,12.84,11.31,11.22,13.66,14.78,13.28,11.47,11.28,10.59,7.62,4.62,4.41,5.62,5.69,5.28,6.34,8.94,9.28,7.78,6.81,7.88,8.62,7.03,6.16,7.81,9.38,8.72,7.56,8.41,10.38,10.53,10.03,11.09,13.81,14.94,13.66,12.62,13.22,12.69,9.69,7.34,7.41,8.12,6.72,4.56,4.5,5.25,4.62,3.72,5.19,8.84,12.19,13.69,16.19,20.34,23.5,23.38,22.38,22.91,23.06,20.75,17.06,15.69,15.28,13.25,9.78,8.0,8.0,7.44,5.22,4.59,6.88,9.69,10.88,12.19,15.56,19.31,19.91,19.03,19.03,19.41,18.19,15.66,14.28,14.75,14.78,12.16,10.09,10.34,10.66,9.19,7.97,10.0,12.53,13.53,13.0,13.78,14.97,14.19,11.28,9.62,10.19,9.91,8.06,7.38,9.59,11.59,11.56,10.78,11.97,13.09,12.81,10.88,10.78,11.56,10.81,8.69,7.47,9.44,11.22,11.19,11.44,13.72,14.91,13.31,10.19,9.47,8.81,6.72,4.16,3.84,5.34,6.38,6.03,6.22,8.28,9.31,7.38,5.41,5.56,6.09,5.19,4.5,6.34,9.25,10.5,10.12,11.28,13.66,14.72,13.78,13.78,15.84,17.22,16.41,15.03,15.69,16.31,14.75,12.59,12.31,12.69,11.53,8.72,7.44,7.84,7.53,5.5,4.12,5.19,6.0,4.91,4.16,5.97,9.03,10.0,10.44,12.59,15.94,17.66,17.5,18.44,20.25,20.47,18.06,16.16,16.84,17.41,16.06,14.84,16.09,17.94,18.34,17.72,18.88,20.72,20.81,18.34,16.34,15.56,13.66,9.19,5.78,5.25,5.25,3.47,2.22,3.44,5.25,5.5,5.0,6.34,8.88,10.25,10.0,10.31,11.91,12.09,8.97,6.03,5.28,5.09,3.72,2.69,4.72,7.28,7.88,7.12,7.72,8.81,9.41,7.59,7.22,9.0,10.34,9.5,8.69,9.81,10.81,9.16,6.94,6.72,7.59,7.16,5.53,5.97,7.62,8.97,8.09,8.31,10.41,12.09,11.88,11.38,12.97,14.88,14.94,13.78,14.66,15.88,15.78,13.66,12.38,12.28,10.66,6.78,4.09,3.38,3.28,1.28,-0.34,-0.03,0.25,-1.97,-4.38,-4.75,-3.44,-2.44,-2.16,-0.25,3.56,6.12,6.34,7.22,9.88,12.34,12.19,11.56,12.66,13.44,12.16,9.72,8.84,9.12,8.59,7.09,6.81,8.56,9.28,7.78,6.28,7.03,7.97,6.59,5.41,6.69,8.34,8.06,6.69,6.47,7.25,6.78,4.84,4.41,6.12,6.88,5.59,4.19,4.59,5.25,3.94,2.56,3.06,4.75,4.44,3.25,3.41,5.09,5.78,4.88,4.94,6.66,7.56,5.56,3.72,3.62,4.03,2.59,1.53,2.81,5.75,7.22,7.59,8.78,11.03,11.44,10.03,8.88,9.28,9.38,6.88,4.94,5.06,6.22,5.91,5.69,7.03,9.31,9.69,8.38,7.97,8.84,8.84,6.59,5.44,5.78,7.03,5.59,5.41,7.56,10.75,11.91,11.53,12.5,13.69,13.16,10.97,10.44,11.78,12.53,11.16,10.12,10.75,11.16,9.16,6.94,6.97,7.91,7.31,5.53,6.0,7.97,8.97,8.19,8.75,10.69,11.69,10.25,9.16,9.94,11.03,9.81,8.5,9.5,11.38,11.97,11.5,12.22,14.09,14.31,12.94,12.31,14.12,15.19,13.97,12.38,12.19,11.75,8.41,4.88,3.62,4.12,3.5,2.28,3.12,5.69,7.09,6.34,5.91,7.28,7.53,5.53,3.5,3.88,4.25,2.5,-0.19,-0.84,0.16,-0.41,-1.66,-1.06,1.28,3.47,4.09,6.16,10.59,14.97,16.5,17.84,20.09,22.31,21.41,19.62,19.59,20.59,19.91,18.03,16.97,17.25,16.34,14.25,12.97,13.69,14.94,14.19,12.88,13.31,14.28,13.03,11.5,11.66,13.12,13.19,12.38,12.47,14.72,16.62,16.62,17.03,19.53,21.5,21.0,20.16,20.56,21.28,19.53,16.44,14.25,13.25,11.03,7.5,6.06,7.5,9.06,9.34,10.31,13.28,16.44,16.88,16.81,17.59,18.84,17.28,14.69,13.59,14.56,15.03,14.31,15.06,17.69,20.16,19.91,19.72,21.41,22.72,21.25,19.22,18.06,17.5,14.97,11.88,10.56,11.25,11.88,11.03,11.72,14.16,16.31,15.94,15.12,15.78,17.0,16.59,16.0,17.31,20.0,21.25,20.94,21.53,23.72,24.88,23.41,22.72,23.94,24.78,23.69,22.34,22.84,24.19,23.75,22.69,23.91,26.53,27.53,26.44,25.41,25.41,24.12,20.41,17.84,17.94,19.41,19.34,19.09,20.56,21.56,19.75,16.66,14.94,15.44,15.0,13.56,13.28,15.19,16.03,14.72,13.25,14.0,15.31,14.94,14.94,17.56,21.0,22.69,22.5,23.19,24.75,23.84,20.94,18.38,17.47,16.03,12.75,9.75,9.56,10.53,9.81,9.28,10.56,12.72,12.28,10.75,10.44,12.19,12.78,12.22,12.0,14.16,15.69,15.12,14.53,15.78,16.91,15.72,13.62,13.47,14.28,13.81,12.09,11.53,12.94,13.28,12.16,11.06,12.94,14.69,14.94,15.31,17.91,20.88,21.03,19.53,19.06,19.41,18.22,15.72,14.88,16.38,17.25,16.78,16.5,17.78,18.41,16.28,13.06,12.12,12.0,10.38,8.47,8.38,9.84,10.22,9.41,10.0,13.16,15.88,16.84,17.84,21.09,23.38,23.16,21.88,21.44,21.12,18.44,14.41,11.75,10.69,8.91,5.81,3.72,4.31,4.91,4.12,3.56,6.19,8.75,9.62,10.12,12.31,15.31,16.28,15.66,16.38,18.84,20.25,19.91,20.34,22.59,24.53,23.94,23.03,24.12,25.44,24.16,21.88,21.25,21.78,20.56,18.0,16.84,17.0,16.09,13.0,11.25,11.78,12.72,11.91,11.12,12.72,14.84,15.28,14.97,17.03,19.97,20.75,19.34,18.03,17.84,16.5,13.25,10.84,11.25,12.0,11.0,9.84,11.12,13.06,13.28,12.78,13.75,16.25,17.75,17.31,17.88,19.53,20.31,18.56,16.84,17.28,18.38,17.5,16.41,18.22,20.62,21.56,21.44,22.09,23.47,22.69,19.59,17.66,18.12,19.09,18.34,18.06,20.22,21.88,20.94,18.62,17.97,17.72,16.25,13.66,13.47,15.59,14.25,14.59,14.47,14.28,15.12,16.5,15.78,13.5,11.69,10.53,8.88,6.47,4.94,5.22:-1.44,1.38,3.38,4.03,6.25,10.22,12.75,12.97,13.56,16.16,17.66,16.22,13.81,12.66,12.28,10.16,7.47,7.22,8.62,8.91,7.41,7.72,9.72,10.91,9.62,8.88,10.03,11.12,9.72,7.81,7.81,8.62,7.53,5.47,5.5,7.47,8.72,8.59,10.28,13.53,16.53,16.19,15.94,17.28,19.09,18.44,17.47,18.16,19.5,18.41,16.38,15.5,15.91,15.31,12.56,11.09,11.91,12.53,11.06,9.66,10.94,12.72,12.25,12.0,14.38,18.5,20.56,21.41,23.0,25.34,25.91,23.44,21.66,21.34,20.75,17.47,14.75,14.72,15.62,14.91,14.03,15.59,18.22,18.81,17.72,17.59,19.03,19.47,18.12,17.41,18.72,19.41,17.47,15.72,15.56,15.53,13.12,10.41,10.12,11.38,11.75,10.5,10.28,11.06,10.41,7.72,6.09,6.94,8.41,7.81,7.31,9.5,11.84,12.19,11.31,12.5,14.94,15.69,15.03,14.91,16.53,16.69,14.19,12.0,11.59,11.62,8.94,6.38,5.81,6.59,5.66,3.94,4.53,6.56,7.28,6.28,6.06,7.66,8.06,5.78,4.09,4.81,6.28,6.06,6.09,8.53,11.78,12.84,12.31,12.81,14.84,14.66,13.09,12.72,14.16,14.84,13.0,11.31,11.81,12.41,11.22,10.69,12.47,16.25,18.41,19.66,21.69,24.62,25.53,24.12,23.0,24.12,24.78,23.09,21.34,21.66,22.06,19.59,16.25,14.81,15.06,13.41,11.62,11.66,13.97,15.25,14.16,13.72,15.5,16.62,15.69,15.34,17.09,19.62,19.59,18.84,19.59,21.34,21.16,19.47,19.09,20.53,20.75,19.31,18.12,18.91,19.16,16.47,13.38,12.31,11.75,9.09,6.34,5.59,6.53,5.84,3.94,3.47,4.75,4.94,3.0,1.88,3.06,4.59,4.5,4.5,7.12,10.66,11.38,10.81,11.56,13.25,12.88,11.09,10.78,12.81,13.88,12.72,11.5,12.25,12.81,11.03,9.38,10.38,12.69,12.72,11.41,11.94,13.28,12.75,10.44,9.09,10.16,10.5,8.84,7.84,9.03,9.66,7.84,5.41,5.5,6.81,6.53,5.81,7.34,10.75,13.03,13.62,14.22,15.91,15.75,11.94,7.78,5.69,3.78,0.38,-3.06,-3.28,-1.28,-0.03,1.03,4.03,9.41,13.56,15.34,17.59,21.81,24.28,24.03,23.56,24.94,27.0,26.66,25.56,26.66,28.03,27.06,24.38,22.59,22.31,20.69,17.34,14.66,15.03,14.53,12.22,10.12,10.84,12.06,11.5,10.59,12.03,15.03,16.5,17.0,18.53,21.31,22.12,20.69,18.91,18.94,18.12,14.91,10.94,9.53,9.03,7.38,5.62,6.25,8.53,8.97,7.94,7.59,9.09,9.22,7.03,5.0,4.97,4.09,1.28,-1.75,-1.72,-0.06,0.25,0.25,2.25,5.69,6.97,6.53,6.34,7.88,8.59,7.31,7.38,10.12,13.44,14.25,14.5,16.09,17.81,16.34,13.81,12.66,13.19,12.84,11.31,11.22,13.66,14.78,13.28,11.47,11.28,10.59,7.62,4.62,4.41,5.62,5.69,5.28,6.34,8.94,9.28,7.78,6.81,7.88,8.62,7.03,6.16,7.81,9.38,8.72,7.56,8.41,10.38,10.53,10.03,11.09,13.81,14.94,13.66,12.62,13.22,12.69,9.69,7.34,7.41,8.12,6.72,4.56,4.5,5.25,4.62,3.72,5.19,8.84,12.19,13.69,16.19,20.34,23.5,23.38,22.38,22.91,23.06,20.75,17.06,15.69,15.28,13.25,9.78,8.0,8.0,7.44,5.22,4.59,6.88,9.69,10.88,12.19,15.56,19.31,19.91,19.03,19.03,19.41,18.19,15.66,14.28,14.75,14.78,12.16,10.09,10.34,10.66,9.19,7.97,10.0,12.53,13.53,13.0,13.78,14.97,14.19,11.28,9.62,10.19,9.91,8.06,7.38,9.59,11.59,11.56,10.78,11.97,13.09,12.81,10.88,10.78,11.56,10.81,8.69,7.47,9.44,11.22,11.19,11.44,13.72,14.91,13.31,10.19,9.47,8.81,6.72,4.16,3.84,5.34,6.38,6.03,6.22,8.28,9.31,7.38,5.41,5.56,6.09,5.19,4.5,6.34,9.25,10.5,10.12,11.28,13.66,14.72,13.78,13.78,15.84,17.22,16.41,15.03,15.69,16.31,14.75,12.59,12.31,12.69,11.53,8.72,7.44,7.84,7.53,5.5,4.12,5.19,6.0,4.91,4.16,5.97,9.03,10.0,10.44,12.59,15.94,17.66,17.5,18.44,20.25,20.47,18.06,16.16,16.84,17.41,16.06,14.84,16.09,17.94,18.34,17.72,18.88,20.72,20.81,18.34,16.34,15.56,13.66,9.19,5.78,5.25,5.25,3.47,2.22,3.44,5.25,5.5,5.0,6.34,8.88,10.25,10.0,10.31,11.91,12.09,8.97,6.03,5.28,5.09,3.72,2.69,4.72,7.28,7.88,7.12,7.72,8.81,9.41,7.59,7.22,9.0,10.34,9.5,8.69,9.81,10.81,9.16,6.94,6.72,7.59,7.16,5.53,5.97,7.62,8.97,8.09,8.31,10.41,12.09,11.88,11.38,12.97,14.88,14.94,13.78,14.66,15.88,15.78,13.66,12.38,12.28,10.66,6.78,4.09,3.38,3.28,1.28,-0.34,-0.03,0.25,-1.97,-4.38,-4.75,-3.44,-2.44,-2.16,-0.25,3.56,6.12,6.34,7.22,9.88,12.34,12.19,11.56,12.66,13.44,12.16,9.72,8.84,9.12,8.59,7.09,6.81,8.56,9.28,7.78,6.28,7.03,7.97,6.59,5.41,6.69,8.34,8.06,6.69,6.47,7.25,6.78,4.84,4.41,6.12,6.88,5.59,4.19,4.59,5.25,3.94,2.56,3.06,4.75,4.44,3.25,3.41,5.09,5.78,4.88,4.94,6.66,7.56,5.56,3.72,3.62,4.03,2.59,1.53,2.81,5.75,7.22,7.59,8.78,11.03,11.44,10.03,8.88,9.28,9.38,6.88,4.94,5.06,6.22,5.91,5.69,7.03,9.31,9.69,8.38,7.97,8.84,8.84,6.59,5.44,5.78,7.03,5.59,5.41,7.56,10.75,11.91,11.53,12.5,13.69,13.16,10.97,10.44,11.78,12.53,11.16,10.12,10.75,11.16,9.16,6.94,6.97,7.91,7.31,5.53,6.0,7.97,8.97,8.19,8.75,10.69,11.69,10.25,9.16,9.94,11.03,9.81,8.5,9.5,11.38,11.97,11.5,12.22,14.09,14.31,12.94,12.31,14.12,15.19,13.97,12.38,12.19,11.75,8.41,4.88,3.62,4.12,3.5,2.28,3.12,5.69,7.09,6.34,5.91,7.28,7.53,5.53,3.5,3.88,4.25,2.5,-0.19,-0.84,0.16,-0.41,-1.66,-1.06,1.28,3.47,4.09,6.16,10.59,14.97,16.5,17.84,20.09,22.31,21.41,19.62,19.59,20.59,19.91,18.03,16.97,17.25,16.34,14.25,12.97,13.69,14.94,14.19,12.88,13.31,14.28,13.03,11.5,11.66,13.12,13.19,12.38,12.47,14.72,16.62,16.62,17.03,19.53,21.5,21.0,20.16,20.56,21.28,19.53,16.44,14.25,13.25,11.03,7.5,6.06,7.5,9.06,9.34,10.31,13.28,16.44,16.88,16.81,17.59,18.84,17.28,14.69,13.59,14.56,15.03,14.31,15.06,17.69,20.16,19.91,19.72,21.41,22.72,21.25,19.22,18.06,17.5,14.97,11.88,10.56,11.25,11.88,11.03,11.72,14.16,16.31,15.94,15.12,15.78,17.0,16.59,16.0,17.31,20.0,21.25,20.94,21.53,23.72,24.88,23.41,22.72,23.94,24.78,23.69,22.34,22.84,24.19,23.75,22.69,23.91,26.53,27.53,26.44,25.41,25.41,24.12,20.41,17.84,17.94,19.41,19.34,19.09,20.56,21.56,19.75,16.66,14.94,15.44,15.0,13.56,13.28,15.19,16.03,14.72,13.25,14.0,15.31,14.94,14.94,17.56,21.0,22.69,22.5,23.19,24.75,23.84,20.94,18.38,17.47,16.03,12.75,9.75,9.56,10.53,9.81,9.28,10.56,12.72,12.28,10.75,10.44,12.19,12.78,12.22,12.0,14.16,15.69,15.12,14.53,15.78,16.91,15.72,13.62,13.47,14.28,13.81,12.09,11.53,12.94,13.28,12.16,11.06,12.94,14.69,14.94,15.31,17.91,20.88,21.03,19.53,19.06,19.41,18.22,15.72,14.88,16.38,17.25,16.78,16.5,17.78,18.41,16.28,13.06,12.12,12.0,10.38,8.47,8.38,9.84,10.22,9.41,10.0,13.16,15.88,16.84,17.84,21.09,23.38,23.16,21.88,21.44,21.12,18.44,14.41,11.75,10.69,8.91,5.81,3.72,4.31,4.91,4.12,3.56,6.19,8.75,9.62,10.12,12.31,15.31,16.28,15.66,16.38,18.84,20.25,19.91,20.34,22.59,24.53,23.94,23.03,24.12,25.44,24.16,21.88,21.25,21.78,20.56,18.0,16.84,17.0,16.09,13.0,11.25,11.78,12.72,11.91,11.12,12.72,14.84,15.28,14.97,17.03,19.97,20.75,19.34,18.03,17.84,16.5,13.25,10.84,11.25,12.0,11.0,9.84,11.12,13.06,13.28,12.78,13.75,16.25,17.75,17.31,17.88,19.53,20.31,18.56,16.84,17.28,18.38,17.5,16.41,18.22,20.62,21.56,21.44,22.09,23.47,22.69,19.59,17.66,18.12,19.09,18.34,18.06,20.22,21.88,20.94,18.62,17.97,17.72,16.25,13.66,13.47,15.59,14.25,14.59,14.47,14.28,15.12,16.5,15.78,13.5,11.69,10.53,8.88,6.47,4.94,5.22,5.91,5.16,4.66,5.44,6.78,6.78,6.66:12.97,13.56,16.16,17.66,16.22,13.81,12.66,12.28,10.16,7.47,7.22,8.62,8.91,7.41,7.72,9.72,10.91,9.62,8.88,10.03,11.12,9.72,7.81,7.81,8.62,7.53,5.47,5.5,7.47,8.72,8.59,10.28,13.53,16.53,16.19,15.94,17.28,19.09,18.44,17.47,18.16,19.5,18.41,16.38,15.5,15.91,15.31,12.56,11.09,11.91,12.53,11.06,9.66,10.94,12.72,12.25,12.0,14.38,18.5,20.56,21.41,23.0,25.34,25.91,23.44,21.66,21.34,20.75,17.47,14.75,14.72,15.62,14.91,14.03,15.59,18.22,18.81,17.72,17.59,19.03,19.47,18.12,17.41,18.72,19.41,17.47,15.72,15.56,15.53,13.12,10.41,10.12,11.38,11.75,10.5,10.28,11.06,10.41,7.72,6.09,6.94,8.41,7.81,7.31,9.5,11.84,12.19,11.31,12.5,14.94,15.69,15.03,14.91,16.53,16.69,14.19,12.0,11.59,11.62,8.94,6.38,5.81,6.59,5.66,3.94,4.53,6.56,7.28,6.28,6.06,7.66,8.06,5.78,4.09,4.81,6.28,6.06,6.09,8.53,11.78,12.84,12.31,12.81,14.84,14.66,13.09,12.72,14.16,14.84,13.0,11.31,11.81,12.41,11.22,10.69,12.47,16.25,18.41,19.66,21.69,24.62,25.53,24.12,23.0,24.12,24.78,23.09,21.34,21.66,22.06,19.59,16.25,14.81,15.06,13.41,11.62,11.66,13.97,15.25,14.16,13.72,15.5,16.62,15.69,15.34,17.09,19.62,19.59,18.84,19.59,21.34,21.16,19.47,19.09,20.53,20.75,19.31,18.12,18.91,19.16,16.47,13.38,12.31,11.75,9.09,6.34,5.59,6.53,5.84,3.94,3.47,4.75,4.94,3.0,1.88,3.06,4.59,4.5,4.5,7.12,10.66,11.38,10.81,11.56,13.25,12.88,11.09,10.78,12.81,13.88,12.72,11.5,12.25,12.81,11.03,9.38,10.38,12.69,12.72,11.41,11.94,13.28,12.75,10.44,9.09,10.16,10.5,8.84,7.84,9.03,9.66,7.84,5.41,5.5,6.81,6.53,5.81,7.34,10.75,13.03,13.62,14.22,15.91,15.75,11.94,7.78,5.69,3.78,0.38,-3.06,-3.28,-1.28,-0.03,1.03,4.03,9.41,13.56,15.34,17.59,21.81,24.28,24.03,23.56,24.94,27.0,26.66,25.56,26.66,28.03,27.06,24.38,22.59,22.31,20.69,17.34,14.66,15.03,14.53,12.22,10.12,10.84,12.06,11.5,10.59,12.03,15.03,16.5,17.0,18.53,21.31,22.12,20.69,18.91,18.94,18.12,14.91,10.94,9.53,9.03,7.38,5.62,6.25,8.53,8.97,7.94,7.59,9.09,9.22,7.03,5.0,4.97,4.09,1.28,-1.75,-1.72,-0.06,0.25,0.25,2.25,5.69,6.97,6.53,6.34,7.88,8.59,7.31,7.38,10.12,13.44,14.25,14.5,16.09,17.81,16.34,13.81,12.66,13.19,12.84,11.31,11.22,13.66,14.78,13.28,11.47,11.28,10.59,7.62,4.62,4.41,5.62,5.69,5.28,6.34,8.94,9.28,7.78,6.81,7.88,8.62,7.03,6.16,7.81,9.38,8.72,7.56,8.41,10.38,10.53,10.03,11.09,13.81,14.94,13.66,12.62,13.22,12.69,9.69,7.34,7.41,8.12,6.72,4.56,4.5,5.25,4.62,3.72,5.19,8.84,12.19,13.69,16.19,20.34,23.5,23.38,22.38,22.91,23.06,20.75,17.06,15.69,15.28,13.25,9.78,8.0,8.0,7.44,5.22,4.59,6.88,9.69,10.88,12.19,15.56,19.31,19.91,19.03,19.03,19.41,18.19,15.66,14.28,14.75,14.78,12.16,10.09,10.34,10.66,9.19,7.97,10.0,12.53,13.53,13.0,13.78,14.97,14.19,11.28,9.62,10.19,9.91,8.06,7.38,9.59,11.59,11.56,10.78,11.97,13.09,12.81,10.88,10.78,11.56,10.81,8.69,7.47,9.44,11.22,11.19,11.44,13.72,14.91,13.31,10.19,9.47,8.81,6.72,4.16,3.84,5.34,6.38,6.03,6.22,8.28,9.31,7.38,5.41,5.56,6.09,5.19,4.5,6.34,9.25,10.5,10.12,11.28,13.66,14.72,13.78,13.78,15.84,17.22,16.41,15.03,15.69,16.31,14.75,12.59,12.31,12.69,11.53,8.72,7.44,7.84,7.53,5.5,4.12,5.19,6.0,4.91,4.16,5.97,9.03,10.0,10.44,12.59,15.94,17.66,17.5,18.44,20.25,20.47,18.06,16.16,16.84,17.41,16.06,14.84,16.09,17.94,18.34,17.72,18.88,20.72,20.81,18.34,16.34,15.56,13.66,9.19,5.78,5.25,5.25,3.47,2.22,3.44,5.25,5.5,5.0,6.34,8.88,10.25,10.0,10.31,11.91,12.09,8.97,6.03,5.28,5.09,3.72,2.69,4.72,7.28,7.88,7.12,7.72,8.81,9.41,7.59,7.22,9.0,10.34,9.5,8.69,9.81,10.81,9.16,6.94,6.72,7.59,7.16,5.53,5.97,7.62,8.97,8.09,8.31,10.41,12.09,11.88,11.38,12.97,14.88,14.94,13.78,14.66,15.88,15.78,13.66,12.38,12.28,10.66,6.78,4.09,3.38,3.28,1.28,-0.34,-0.03,0.25,-1.97,-4.38,-4.75,-3.44,-2.44,-2.16,-0.25,3.56,6.12,6.34,7.22,9.88,12.34,12.19,11.56,12.66,13.44,12.16,9.72,8.84,9.12,8.59,7.09,6.81,8.56,9.28,7.78,6.28,7.03,7.97,6.59,5.41,6.69,8.34,8.06,6.69,6.47,7.25,6.78,4.84,4.41,6.12,6.88,5.59,4.19,4.59,5.25,3.94,2.56,3.06,4.75,4.44,3.25,3.41,5.09,5.78,4.88,4.94,6.66,7.56,5.56,3.72,3.62,4.03,2.59,1.53,2.81,5.75,7.22,7.59,8.78,11.03,11.44,10.03,8.88,9.28,9.38,6.88,4.94,5.06,6.22,5.91,5.69,7.03,9.31,9.69,8.38,7.97,8.84,8.84,6.59,5.44,5.78,7.03,5.59,5.41,7.56,10.75,11.91,11.53,12.5,13.69,13.16,10.97,10.44,11.78,12.53,11.16,10.12,10.75,11.16,9.16,6.94,6.97,7.91,7.31,5.53,6.0,7.97,8.97,8.19,8.75,10.69,11.69,10.25,9.16,9.94,11.03,9.81,8.5,9.5,11.38,11.97,11.5,12.22,14.09,14.31,12.94,12.31,14.12,15.19,13.97,12.38,12.19,11.75,8.41,4.88,3.62,4.12,3.5,2.28,3.12,5.69,7.09,6.34,5.91,7.28,7.53,5.53,3.5,3.88,4.25,2.5,-0.19,-0.84,0.16,-0.41,-1.66,-1.06,1.28,3.47,4.09,6.16,10.59,14.97,16.5,17.84,20.09,22.31,21.41,19.62,19.59,20.59,19.91,18.03,16.97,17.25,16.34,14.25,12.97,13.69,14.94,14.19,12.88,13.31,14.28,13.03,11.5,11.66,13.12,13.19,12.38,12.47,14.72,16.62,16.62,17.03,19.53,21.5,21.0,20.16,20.56,21.28,19.53,16.44,14.25,13.25,11.03,7.5,6.06,7.5,9.06,9.34,10.31,13.28,16.44,16.88,16.81,17.59,18.84,17.28,14.69,13.59,14.56,15.03,14.31,15.06,17.69,20.16,19.91,19.72,21.41,22.72,21.25,19.22,18.06,17.5,14.97,11.88,10.56,11.25,11.88,11.03,11.72,14.16,16.31,15.94,15.12,15.78,17.0,16.59,16.0,17.31,20.0,21.25,20.94,21.53,23.72,24.88,23.41,22.72,23.94,24.78,23.69,22.34,22.84,24.19,23.75,22.69,23.91,26.53,27.53,26.44,25.41,25.41,24.12,20.41,17.84,17.94,19.41,19.34,19.09,20.56,21.56,19.75,16.66,14.94,15.44,15.0,13.56,13.28,15.19,16.03,14.72,13.25,14.0,15.31,14.94,14.94,17.56,21.0,22.69,22.5,23.19,24.75,23.84,20.94,18.38,17.47,16.03,12.75,9.75,9.56,10.53,9.81,9.28,10.56,12.72,12.28,10.75,10.44,12.19,12.78,12.22,12.0,14.16,15.69,15.12,14.53,15.78,16.91,15.72,13.62,13.47,14.28,13.81,12.09,11.53,12.94,13.28,12.16,11.06,12.94,14.69,14.94,15.31,17.91,20.88,21.03,19.53,19.06,19.41,18.22,15.72,14.88,16.38,17.25,16.78,16.5,17.78,18.41,16.28,13.06,12.12,12.0,10.38,8.47,8.38,9.84,10.22,9.41,10.0,13.16,15.88,16.84,17.84,21.09,23.38,23.16,21.88,21.44,21.12,18.44,14.41,11.75,10.69,8.91,5.81,3.72,4.31,4.91,4.12,3.56,6.19,8.75,9.62,10.12,12.31,15.31,16.28,15.66,16.38,18.84,20.25,19.91,20.34,22.59,24.53,23.94,23.03,24.12,25.44,24.16,21.88,21.25,21.78,20.56,18.0,16.84,17.0,16.09,13.0,11.25,11.78,12.72,11.91,11.12,12.72,14.84,15.28,14.97,17.03,19.97,20.75,19.34,18.03,17.84,16.5,13.25,10.84,11.25,12.0,11.0,9.84,11.12,13.06,13.28,12.78,13.75,16.25,17.75,17.31,17.88,19.53,20.31,18.56,16.84,17.28,18.38,17.5,16.41,18.22,20.62,21.56,21.44,22.09,23.47,22.69,19.59,17.66,18.12,19.09,18.34,18.06,20.22,21.88,20.94,18.62,17.97,17.72,16.25,13.66,13.47,15.59,14.25,14.59,14.47,14.28,15.12,16.5,15.78,13.5,11.69,10.53,8.88,6.47,4.94,5.22,5.91,5.16,4.66,5.44,6.78,6.78,6.66,7.66,10.16,11.91,12.66,14.28,17.09,18.97:12.28,10.16,7.47,7.22,8.62,8.91,7.41,7.72,9.72,10.91,9.62,8.88,10.03,11.12,9.72,7.81,7.81,8.62,7.53,5.47,5.5,7.47,8.72,8.59,10.28,13.53,16.53,16.19,15.94,17.28,19.09,18.44,17.47,18.16,19.5,18.41,16.38,15.5,15.91,15.31,12.56,11.09,11.91,12.53,11.06,9.66,10.94,12.72,12.25,12.0,14.38,18.5,20.56,21.41,23.0,25.34,25.91,23.44,21.66,21.34,20.75,17.47,14.75,14.72,15.62,14.91,14.03,15.59,18.22,18.81,17.72,17.59,19.03,19.47,18.12,17.41,18.72,19.41,17.47,15.72,15.56,15.53,13.12,10.41,10.12,11.38,11.75,10.5,10.28,11.06,10.41,7.72,6.09,6.94,8.41,7.81,7.31,9.5,11.84,12.19,11.31,12.5,14.94,15.69,15.03,14.91,16.53,16.69,14.19,12.0,11.59,11.62,8.94,6.38,5.81,6.59,5.66,3.94,4.53,6.56,7.28,6.28,6.06,7.66,8.06,5.78,4.09,4.81,6.28,6.06,6.09,8.53,11.78,12.84,12.31,12.81,14.84,14.66,13.09,12.72,14.16,14.84,13.0,11.31,11.81,12.41,11.22,10.69,12.47,16.25,18.41,19.66,21.69,24.62,25.53,24.12,23.0,24.12,24.78,23.09,21.34,21.66,22.06,19.59,16.25,14.81,15.06,13.41,11.62,11.66,13.97,15.25,14.16,13.72,15.5,16.62,15.69,15.34,17.09,19.62,19.59,18.84,19.59,21.34,21.16,19.47,19.09,20.53,20.75,19.31,18.12,18.91,19.16,16.47,13.38,12.31,11.75,9.09,6.34,5.59,6.53,5.84,3.94,3.47,4.75,4.94,3.0,1.88,3.06,4.59,4.5,4.5,7.12,10.66,11.38,10.81,11.56,13.25,12.88,11.09,10.78,12.81,13.88,12.72,11.5,12.25,12.81,11.03,9.38,10.38,12.69,12.72,11.41,11.94,13.28,12.75,10.44,9.09,10.16,10.5,8.84,7.84,9.03,9.66,7.84,5.41,5.5,6.81,6.53,5.81,7.34,10.75,13.03,13.62,14.22,15.91,15.75,11.94,7.78,5.69,3.78,0.38,-3.06,-3.28,-1.28,-0.03,1.03,4.03,9.41,13.56,15.34,17.59,21.81,24.28,24.03,23.56,24.94,27.0,26.66,25.56,26.66,28.03,27.06,24.38,22.59,22.31,20.69,17.34,14.66,15.03,14.53,12.22,10.12,10.84,12.06,11.5,10.59,12.03,15.03,16.5,17.0,18.53,21.31,22.12,20.69,18.91,18.94,18.12,14.91,10.94,9.53,9.03,7.38,5.62,6.25,8.53,8.97,7.94,7.59,9.09,9.22,7.03,5.0,4.97,4.09,1.28,-1.75,-1.72,-0.06,0.25,0.25,2.25,5.69,6.97,6.53,6.34,7.88,8.59,7.31,7.38,10.12,13.44,14.25,14.5,16.09,17.81,16.34,13.81,12.66,13.19,12.84,11.31,11.22,13.66,14.78,13.28,11.47,11.28,10.59,7.62,4.62,4.41,5.62,5.69,5.28,6.34,8.94,9.28,7.78,6.81,7.88,8.62,7.03,6.16,7.81,9.38,8.72,7.56,8.41,10.38,10.53,10.03,11.09,13.81,14.94,13.66,12.62,13.22,12.69,9.69,7.34,7.41,8.12,6.72,4.56,4.5,5.25,4.62,3.72,5.19,8.84,12.19,13.69,16.19,20.34,23.5,23.38,22.38,22.91,23.06,20.75,17.06,15.69,15.28,13.25,9.78,8.0,8.0,7.44,5.22,4.59,6.88,9.69,10.88,12.19,15.56,19.31,19.91,19.03,19.03,19.41,18.19,15.66,14.28,14.75,14.78,12.16,10.09,10.34,10.66,9.19,7.97,10.0,12.53,13.53,13.0,13.78,14.97,14.19,11.28,9.62,10.19,9.91,8.06,7.38,9.59,11.59,11.56,10.78,11.97,13.09,12.81,10.88,10.78,11.56,10.81,8.69,7.47,9.44,11.22,11.19,11.44,13.72,14.91,13.31,10.19,9.47,8.81,6.72,4.16,3.84,5.34,6.38,6.03,6.22,8.28,9.31,7.38,5.41,5.56,6.09,5.19,4.5,6.34,9.25,10.5,10.12,11.28,13.66,14.72,13.78,13.78,15.84,17.22,16.41,15.03,15.69,16.31,14.75,12.59,12.31,12.69,11.53,8.72,7.44,7.84,7.53,5.5,4.12,5.19,6.0,4.91,4.16,5.97,9.03,10.0,10.44,12.59,15.94,17.66,17.5,18.44,20.25,20.47,18.06,16.16,16.84,17.41,16.06,14.84,16.09,17.94,18.34,17.72,18.88,20.72,20.81,18.34,16.34,15.56,13.66,9.19,5.78,5.25,5.25,3.47,2.22,3.44,5.25,5.5,5.0,6.34,8.88,10.25,10.0,10.31,11.91,12.09,8.97,6.03,5.28,5.09,3.72,2.69,4.72,7.28,7.88,7.12,7.72,8.81,9.41,7.59,7.22,9.0,10.34,9.5,8.69,9.81,10.81,9.16,6.94,6.72,7.59,7.16,5.53,5.97,7.62,8.97,8.09,8.31,10.41,12.09,11.88,11.38,12.97,14.88,14.94,13.78,14.66,15.88,15.78,13.66,12.38,12.28,10.66,6.78,4.09,3.38,3.28,1.28,-0.34,-0.03,0.25,-1.97,-4.38,-4.75,-3.44,-2.44,-2.16,-0.25,3.56,6.12,6.34,7.22,9.88,12.34,12.19,11.56,12.66,13.44,12.16,9.72,8.84,9.12,8.59,7.09,6.81,8.56,9.28,7.78,6.28,7.03,7.97,6.59,5.41,6.69,8.34,8.06,6.69,6.47,7.25,6.78,4.84,4.41,6.12,6.88,5.59,4.19,4.59,5.25,3.94,2.56,3.06,4.75,4.44,3.25,3.41,5.09,5.78,4.88,4.94,6.66,7.56,5.56,3.72,3.62,4.03,2.59,1.53,2.81,5.75,7.22,7.59,8.78,11.03,11.44,10.03,8.88,9.28,9.38,6.88,4.94,5.06,6.22,5.91,5.69,7.03,9.31,9.69,8.38,7.97,8.84,8.84,6.59,5.44,5.78,7.03,5.59,5.41,7.56,10.75,11.91,11.53,12.5,13.69,13.16,10.97,10.44,11.78,12.53,11.16,10.12,10.75,11.16,9.16,6.94,6.97,7.91,7.31,5.53,6.0,7.97,8.97,8.19,8.75,10.69,11.69,10.25,9.16,9.94,11.03,9.81,8.5,9.5,11.38,11.97,11.5,12.22,14.09,14.31,12.94,12.31,14.12,15.19,13.97,12.38,12.19,11.75,8.41,4.88,3.62,4.12,3.5,2.28,3.12,5.69,7.09,6.34,5.91,7.28,7.53,5.53,3.5,3.88,4.25,2.5,-0.19,-0.84,0.16,-0.41,-1.66,-1.06,1.28,3.47,4.09,6.16,10.59,14.97,16.5,17.84,20.09,22.31,21.41,19.62,19.59,20.59,19.91,18.03,16.97,17.25,16.34,14.25,12.97,13.69,14.94,14.19,12.88,13.31,14.28,13.03,11.5,11.66,13.12,13.19,12.38,12.47,14.72,16.62,16.62,17.03,19.53,21.5,21.0,20.16,20.56,21.28,19.53,16.44,14.25,13.25,11.03,7.5,6.06,7.5,9.06,9.34,10.31,13.28,16.44,16.88,16.81,17.59,18.84,17.28,14.69,13.59,14.56,15.03,14.31,15.06,17.69,20.16,19.91,19.72,21.41,22.72,21.25,19.22,18.06,17.5,14.97,11.88,10.56,11.25,11.88,11.03,11.72,14.16,16.31,15.94,15.12,15.78,17.0,16.59,16.0,17.31,20.0,21.25,20.94,21.53,23.72,24.88,23.41,22.72,23.94,24.78,23.69,22.34,22.84,24.19,23.75,22.69,23.91,26.53,27.53,26.44,25.41,25.41,24.12,20.41,17.84,17.94,19.41,19.34,19.09,20.56,21.56,19.75,16.66,14.94,15.44,15.0,13.56,13.28,15.19,16.03,14.72,13.25,14.0,15.31,14.94,14.94,17.56,21.0,22.69,22.5,23.19,24.75,23.84,20.94,18.38,17.47,16.03,12.75,9.75,9.56,10.53,9.81,9.28,10.56,12.72,12.28,10.75,10.44,12.19,12.78,12.22,12.0,14.16,15.69,15.12,14.53,15.78,16.91,15.72,13.62,13.47,14.28,13.81,12.09,11.53,12.94,13.28,12.16,11.06,12.94,14.69,14.94,15.31,17.91,20.88,21.03,19.53,19.06,19.41,18.22,15.72,14.88,16.38,17.25,16.78,16.5,17.78,18.41,16.28,13.06,12.12,12.0,10.38,8.47,8.38,9.84,10.22,9.41,10.0,13.16,15.88,16.84,17.84,21.09,23.38,23.16,21.88,21.44,21.12,18.44,14.41,11.75,10.69,8.91,5.81,3.72,4.31,4.91,4.12,3.56,6.19,8.75,9.62,10.12,12.31,15.31,16.28,15.66,16.38,18.84,20.25,19.91,20.34,22.59,24.53,23.94,23.03,24.12,25.44,24.16,21.88,21.25,21.78,20.56,18.0,16.84,17.0,16.09,13.0,11.25,11.78,12.72,11.91,11.12,12.72,14.84,15.28,14.97,17.03,19.97,20.75,19.34,18.03,17.84,16.5,13.25,10.84,11.25,12.0,11.0,9.84,11.12,13.06,13.28,12.78,13.75,16.25,17.75,17.31,17.88,19.53,20.31,18.56,16.84,17.28,18.38,17.5,16.41,18.22,20.62,21.56,21.44,22.09,23.47,22.69,19.59,17.66,18.12,19.09,18.34,18.06,20.22,21.88,20.94,18.62,17.97,17.72,16.25,13.66,13.47,15.59,14.25,14.59,14.47,14.28,15.12,16.5,15.78,13.5,11.69,10.53,8.88,6.47,4.94,5.22,5.91,5.16,4.66,5.44,6.78,6.78,6.66,7.66,10.16,11.91,12.66,14.28,17.09,18.97,19.09,19.47,21.03,21.56,19.5,16.59,14.22:7.72,9.72,10.91,9.62,8.88,10.03,11.12,9.72,7.81,7.81,8.62,7.53,5.47,5.5,7.47,8.72,8.59,10.28,13.53,16.53,16.19,15.94,17.28,19.09,18.44,17.47,18.16,19.5,18.41,16.38,15.5,15.91,15.31,12.56,11.09,11.91,12.53,11.06,9.66,10.94,12.72,12.25,12.0,14.38,18.5,20.56,21.41,23.0,25.34,25.91,23.44,21.66,21.34,20.75,17.47,14.75,14.72,15.62,14.91,14.03,15.59,18.22,18.81,17.72,17.59,19.03,19.47,18.12,17.41,18.72,19.41,17.47,15.72,15.56,15.53,13.12,10.41,10.12,11.38,11.75,10.5,10.28,11.06,10.41,7.72,6.09,6.94,8.41,7.81,7.31,9.5,11.84,12.19,11.31,12.5,14.94,15.69,15.03,14.91,16.53,16.69,14.19,12.0,11.59,11.62,8.94,6.38,5.81,6.59,5.66,3.94,4.53,6.56,7.28,6.28,6.06,7.66,8.06,5.78,4.09,4.81,6.28,6.06,6.09,8.53,11.78,12.84,12.31,12.81,14.84,14.66,13.09,12.72,14.16,14.84,13.0,11.31,11.81,12.41,11.22,10.69,12.47,16.25,18.41,19.66,21.69,24.62,25.53,24.12,23.0,24.12,24.78,23.09,21.34,21.66,22.06,19.59,16.25,14.81,15.06,13.41,11.62,11.66,13.97,15.25,14.16,13.72,15.5,16.62,15.69,15.34,17.09,19.62,19.59,18.84,19.59,21.34,21.16,19.47,19.09,20.53,20.75,19.31,18.12,18.91,19.16,16.47,13.38,12.31,11.75,9.09,6.34,5.59,6.53,5.84,3.94,3.47,4.75,4.94,3.0,1.88,3.06,4.59,4.5,4.5,7.12,10.66,11.38,10.81,11.56,13.25,12.88,11.09,10.78,12.81,13.88,12.72,11.5,12.25,12.81,11.03,9.38,10.38,12.69,12.72,11.41,11.94,13.28,12.75,10.44,9.09,10.16,10.5,8.84,7.84,9.03,9.66,7.84,5.41,5.5,6.81,6.53,5.81,7.34,10.75,13.03,13.62,14.22,15.91,15.75,11.94,7.78,5.69,3.78,0.38,-3.06,-3.28,-1.28,-0.03,1.03,4.03,9.41,13.56,15.34,17.59,21.81,24.28,24.03,23.56,24.94,27.0,26.66,25.56,26.66,28.03,27.06,24.38,22.59,22.31,20.69,17.34,14.66,15.03,14.53,12.22,10.12,10.84,12.06,11.5,10.59,12.03,15.03,16.5,17.0,18.53,21.31,22.12,20.69,18.91,18.94,18.12,14.91,10.94,9.53,9.03,7.38,5.62,6.25,8.53,8.97,7.94,7.59,9.09,9.22,7.03,5.0,4.97,4.09,1.28,-1.75,-1.72,-0.06,0.25,0.25,2.25,5.69,6.97,6.53,6.34,7.88,8.59,7.31,7.38,10.12,13.44,14.25,14.5,16.09,17.81,16.34,13.81,12.66,13.19,12.84,11.31,11.22,13.66,14.78,13.28,11.47,11.28,10.59,7.62,4.62,4.41,5.62,5.69,5.28,6.34,8.94,9.28,7.78,6.81,7.88,8.62,7.03,6.16,7.81,9.38,8.72,7.56,8.41,10.38,10.53,10.03,11.09,13.81,14.94,13.66,12.62,13.22,12.69,9.69,7.34,7.41,8.12,6.72,4.56,4.5,5.25,4.62,3.72,5.19,8.84,12.19,13.69,16.19,20.34,23.5,23.38,22.38,22.91,23.06,20.75,17.06,15.69,15.28,13.25,9.78,8.0,8.0,7.44,5.22,4.59,6.88,9.69,10.88,12.19,15.56,19.31,19.91,19.03,19.03,19.41,18.19,15.66,14.28,14.75,14.78,12.16,10.09,10.34,10.66,9.19,7.97,10.0,12.53,13.53,13.0,13.78,14.97,14.19,11.28,9.62,10.19,9.91,8.06,7.38,9.59,11.59,11.56,10.78,11.97,13.09,12.81,10.88,10.78,11.56,10.81,8.69,7.47,9.44,11.22,11.19,11.44,13.72,14.91,13.31,10.19,9.47,8.81,6.72,4.16,3.84,5.34,6.38,6.03,6.22,8.28,9.31,7.38,5.41,5.56,6.09,5.19,4.5,6.34,9.25,10.5,10.12,11.28,13.66,14.72,13.78,13.78,15.84,17.22,16.41,15.03,15.69,16.31,14.75,12.59,12.31,12.69,11.53,8.72,7.44,7.84,7.53,5.5,4.12,5.19,6.0,4.91,4.16,5.97,9.03,10.0,10.44,12.59,15.94,17.66,17.5,18.44,20.25,20.47,18.06,16.16,16.84,17.41,16.06,14.84,16.09,17.94,18.34,17.72,18.88,20.72,20.81,18.34,16.34,15.56,13.66,9.19,5.78,5.25,5.25,3.47,2.22,3.44,5.25,5.5,5.0,6.34,8.88,10.25,10.0,10.31,11.91,12.09,8.97,6.03,5.28,5.09,3.72,2.69,4.72,7.28,7.88,7.12,7.72,8.81,9.41,7.59,7.22,9.0,10.34,9.5,8.69,9.81,10.81,9.16,6.94,6.72,7.59,7.16,5.53,5.97,7.62,8.97,8.09,8.31,10.41,12.09,11.88,11.38,12.97,14.88,14.94,13.78,14.66,15.88,15.78,13.66,12.38,12.28,10.66,6.78,4.09,3.38,3.28,1.28,-0.34,-0.03,0.25,-1.97,-4.38,-4.75,-3.44,-2.44,-2.16,-0.25,3.56,6.12,6.34,7.22,9.88,12.34,12.19,11.56,12.66,13.44,12.16,9.72,8.84,9.12,8.59,7.09,6.81,8.56,9.28,7.78,6.28,7.03,7.97,6.59,5.41,6.69,8.34,8.06,6.69,6.47,7.25,6.78,4.84,4.41,6.12,6.88,5.59,4.19,4.59,5.25,3.94,2.56,3.06,4.75,4.44,3.25,3.41,5.09,5.78,4.88,4.94,6.66,7.56,5.56,3.72,3.62,4.03,2.59,1.53,2.81,5.75,7.22,7.59,8.78,11.03,11.44,10.03,8.88,9.28,9.38,6.88,4.94,5.06,6.22,5.91,5.69,7.03,9.31,9.69,8.38,7.97,8.84,8.84,6.59,5.44,5.78,7.03,5.59,5.41,7.56,10.75,11.91,11.53,12.5,13.69,13.16,10.97,10.44,11.78,12.53,11.16,10.12,10.75,11.16,9.16,6.94,6.97,7.91,7.31,5.53,6.0,7.97,8.97,8.19,8.75,10.69,11.69,10.25,9.16,9.94,11.03,9.81,8.5,9.5,11.38,11.97,11.5,12.22,14.09,14.31,12.94,12.31,14.12,15.19,13.97,12.38,12.19,11.75,8.41,4.88,3.62,4.12,3.5,2.28,3.12,5.69,7.09,6.34,5.91,7.28,7.53,5.53,3.5,3.88,4.25,2.5,-0.19,-0.84,0.16,-0.41,-1.66,-1.06,1.28,3.47,4.09,6.16,10.59,14.97,16.5,17.84,20.09,22.31,21.41,19.62,19.59,20.59,19.91,18.03,16.97,17.25,16.34,14.25,12.97,13.69,14.94,14.19,12.88,13.31,14.28,13.03,11.5,11.66,13.12,13.19,12.38,12.47,14.72,16.62,16.62,17.03,19.53,21.5,21.0,20.16,20.56,21.28,19.53,16.44,14.25,13.25,11.03,7.5,6.06,7.5,9.06,9.34,10.31,13.28,16.44,16.88,16.81,17.59,18.84,17.28,14.69,13.59,14.56,15.03,14.31,15.06,17.69,20.16,19.91,19.72,21.41,22.72,21.25,19.22,18.06,17.5,14.97,11.88,10.56,11.25,11.88,11.03,11.72,14.16,16.31,15.94,15.12,15.78,17.0,16.59,16.0,17.31,20.0,21.25,20.94,21.53,23.72,24.88,23.41,22.72,23.94,24.78,23.69,22.34,22.84,24.19,23.75,22.69,23.91,26.53,27.53,26.44,25.41,25.41,24.12,20.41,17.84,17.94,19.41,19.34,19.09,20.56,21.56,19.75,16.66,14.94,15.44,15.0,13.56,13.28,15.19,16.03,14.72,13.25,14.0,15.31,14.94,14.94,17.56,21.0,22.69,22.5,23.19,24.75,23.84,20.94,18.38,17.47,16.03,12.75,9.75,9.56,10.53,9.81,9.28,10.56,12.72,12.28,10.75,10.44,12.19,12.78,12.22,12.0,14.16,15.69,15.12,14.53,15.78,16.91,15.72,13.62,13.47,14.28,13.81,12.09,11.53,12.94,13.28,12.16,11.06,12.94,14.69,14.94,15.31,17.91,20.88,21.03,19.53,19.06,19.41,18.22,15.72,14.88,16.38,17.25,16.78,16.5,17.78,18.41,16.28,13.06,12.12,12.0,10.38,8.47,8.38,9.84,10.22,9.41,10.0,13.16,15.88,16.84,17.84,21.09,23.38,23.16,21.88,21.44,21.12,18.44,14.41,11.75,10.69,8.91,5.81,3.72,4.31,4.91,4.12,3.56,6.19,8.75,9.62,10.12,12.31,15.31,16.28,15.66,16.38,18.84,20.25,19.91,20.34,22.59,24.53,23.94,23.03,24.12,25.44,24.16,21.88,21.25,21.78,20.56,18.0,16.84,17.0,16.09,13.0,11.25,11.78,12.72,11.91,11.12,12.72,14.84,15.28,14.97,17.03,19.97,20.75,19.34,18.03,17.84,16.5,13.25,10.84,11.25,12.0,11.0,9.84,11.12,13.06,13.28,12.78,13.75,16.25,17.75,17.31,17.88,19.53,20.31,18.56,16.84,17.28,18.38,17.5,16.41,18.22,20.62,21.56,21.44,22.09,23.47,22.69,19.59,17.66,18.12,19.09,18.34,18.06,20.22,21.88,20.94,18.62,17.97,17.72,16.25,13.66,13.47,15.59,14.25,14.59,14.47,14.28,15.12,16.5,15.78,13.5,11.69,10.53,8.88,6.47,4.94,5.22,5.91,5.16,4.66,5.44,6.78,6.78,6.66,7.66,10.16,11.91,12.66,14.28,17.09,18.97,19.09,19.47,21.03,21.56,19.5,16.59,14.22,12.06,9.06,6.0,5.06,6.16,6.78,6.78:positivity
15.81,18.91,21.03,21.59,21.69,22.81,23.94,24.69,25.59,27.62,30.16,31.5,32.25,32.84,33.25,32.25,30.53,29.16,28.72,28.28,26.94,25.88,25.5,25.28,24.44,23.59,24.0,25.0,25.41,25.44,25.88,26.16,25.22,23.22,21.25,20.59,19.91,19.5,19.62,21.06,22.12,22.91,23.31,23.97,24.88,25.53,25.56,26.25,27.56,28.44,28.69,28.41,28.38,28.12,26.66,25.28,25.22,24.94,24.69,23.88,23.78,24.22,24.31,23.53,23.03,22.59,22.03,21.16,20.78,21.56,22.62,22.66,22.31,21.84,21.72,21.06,19.91,19.78,20.16,20.09,19.84,19.88,21.59,23.25,24.19,25.06,26.22,26.53,25.38,24.12,23.53,23.38,23.19,22.56,22.5,22.97,23.19,23.0,22.53,23.12,23.34,22.75,21.94,22.09,22.06,21.44,20.62,20.97,21.47,22.34,22.81,23.72,25.12,25.81,25.12,24.22,23.88,23.22,22.44,21.34,21.56,22.25,22.16,21.41,20.69,19.69,18.12,15.19,13.09,11.94,11.56,11.41,11.97,14.25,16.62,18.09,18.66,19.53,20.06,20.34,20.12,21.19,23.0,25.5,27.19,29.16,31.5,32.91,32.94,32.72,32.97,33.16,32.62,30.78,29.06,27.56,25.34,23.03,21.44,20.75,20.31,18.91,17.66,17.41,17.25,16.69,16.09,16.41,16.88,16.53,15.38,14.97,15.0,14.88,14.28,14.47,15.19,15.94,15.53,15.38,16.22,17.75,19.44,21.53,24.09,26.34,27.5,27.0,26.44,25.81,24.72,22.53,20.25,18.5,16.94,14.75,12.97,11.66,11.28,10.47,10.12,10.44,11.66,13.03,14.22,16.53,19.66,22.22,23.0,22.94,22.03,20.94,19.12,17.56,16.75,17.03,17.0,16.88,17.09,17.72,17.91,17.34,17.34,18.09,19.0,19.12,19.34,19.75,20.25,19.84,19.19,18.81,18.72,18.25,17.19,16.03,15.16,14.38,12.75,12.16,12.88,14.03,14.75,15.84,17.22,18.78,19.19,19.25,18.94,18.59,17.5,15.53,14.16,13.31,12.5,10.97,10.19,10.0,10.28,10.47,10.53,10.97,12.44,13.69,14.19,15.03,16.34,17.06,16.53,16.16,16.91,17.75,18.12,18.34,19.16,19.91,19.94,19.44,19.25,19.69,19.81,19.56,19.03,19.28,18.62,17.41,16.12,15.44,15.12,14.16,13.44,12.88,13.0,12.78,12.19,11.81,11.88,11.47,10.22,8.88,8.5,8.28,7.72,7.22,7.62,7.84,7.31,6.34,6.0,6.06,5.78,5.06,4.5,4.78,5.09,4.72,4.5,5.22,5.66,5.03,4.31,4.38,4.66,4.91,5.62,6.44,8.09,9.5,10.28,11.22,13.31,15.62,17.34,18.94,21.31,23.12,23.34,23.38,23.25,23.06,22.19,21.81,21.5,21.81,22.25,22.03,22.06,23.16,24.72,25.47,25.91,26.75,26.72,25.56,23.69,23.0,22.97,23.44,23.97,24.0,24.78,24.91,24.09,24.03,25.66,27.91,29.5,30.72,32.31,33.41,33.0,31.91,31.22,30.5,29.38,27.66,25.66,24.0,22.09,18.72,15.75,14.06,13.0,11.88,11.66,12.62,14.28,16.0,17.31,18.72,20.31,21.12,21.5,21.53,22.81,23.84,24.03,23.25,22.75,22.22,21.25,20.38,20.75,21.75,22.31,21.84,21.41,21.47,21.38,20.47,19.72,19.72,19.91,19.31,18.25,18.34,18.91,18.56,17.19,16.41,14.97,13.03,10.31,8.0,7.41,7.19,6.5,5.78,5.88,5.69,4.69,3.59,4.44,6.28,8.41,10.62,13.09,16.16,18.56,20.41,22.0,24.19,25.56,25.88,25.31,25.31,25.78,25.41,24.03,22.72,21.16,18.41,14.72,11.69,9.91,8.84,8.19,8.41,10.34,12.91,14.78,16.03,18.03,19.59,20.16,19.38,18.78,18.44,17.78,16.38,15.84,16.28,16.56,15.41,13.62,12.5,11.12,9.72,8.5,9.16,10.94,13.22,15.41,17.88,20.22,21.72,21.41,20.69,20.41,20.56,19.84,19.53,20.5,21.72,22.25,22.22,22.91,24.41,24.91,25.31,26.09,27.03,27.66,26.75,25.56,24.84,24.0,21.94,19.44,18.34,17.09,15.25,13.31,12.38,12.28,12.84,12.44,13.03,14.41,15.84,16.28,16.44,17.06,17.81,17.31,16.22,15.56,15.53,15.41,14.44,14.44,15.25,16.34,16.72,17.66,19.25,21.22,21.88,22.25,22.53,22.78,22.0,20.31,18.97,17.75,15.91,13.19,11.0,9.59,8.25,6.47,5.62,6.69,8.91,11.5,14.72,18.94,23.88,27.06,29.09,30.84,32.09,31.81,29.97,28.47,27.62,27.09,25.97,25.19,25.41,25.84,25.38,24.56,24.09,23.94,23.19,21.66,20.69,20.5,20.59,19.75,19.38,19.69,20.28,20.16,20.38,21.84,24.41,25.62,26.47,27.41,28.16,28.09,26.91,26.12,26.94,27.72,27.59,28.12,28.91,29.66,28.69,27.25,26.28,25.94,24.19,22.25,21.16,21.03,20.81,20.28,20.56,22.0,23.28,22.94,22.44,22.41,22.09,20.84,19.97,20.59,21.91,22.72,22.94,23.44,23.84,23.88,23.06,22.97,23.91,25.5,26.09,26.97,28.5,30.03,30.0,29.28,28.47,28.19,27.53,26.69,26.59,27.53,28.38,28.47,28.53,29.44,30.72,31.19,31.62,32.91,34.78,35.28,34.94,34.66,34.62,33.69,31.78,30.66,30.5,30.5,29.94,29.0,28.44,28.44,27.31,26.53,26.78,27.25,27.22,26.31,25.53,25.81,25.41,24.44,23.88,24.06,24.38,23.66,23.06,23.06,23.09,22.16,21.34,20.75,21.16,20.84,20.09,19.34,19.56,19.47,19.22,19.53,21.19,23.34,24.72,25.34,26.25,27.28,27.28,27.22,28.12,30.25,32.0,32.81,33.25,33.94,33.5,31.28,28.47,26.34,24.56,22.56,21.19,21.25,22.41,23.25,24.06,25.12,27.0,28.19,28.78,29.5,30.56,31.22,30.47,29.22,28.97,28.78,28.25,27.59,27.72,28.25,28.22,28.12,28.0,28.59,28.75,27.97,27.31,27.62,27.62,27.09,25.84,24.94,23.75,21.91,19.56,18.31,18.44,18.53,18.81,19.66,21.44,22.81,23.66,23.88,24.81,25.5,25.56,24.41,23.88,23.25,21.53,19.12,17.12,15.69,13.97,11.34,9.53,9.09,8.91,9.19,10.16,12.94,16.06,18.81,21.03,23.19,25.09,25.62,24.81,24.34,24.62,24.34,23.91,23.44,24.22,25.47,25.94,26.44,27.31,27.88,26.91,24.69,22.5,20.91,18.78,16.5,14.75,14.84,15.38,16.0,16.91,19.25,21.66,23.5,25.44,28.59,31.62,33.66,34.47,35.03,35.38,35.41,34.88,34.78,35.72,36.34,35.59,34.25,33.31,31.84,30.47,29.28,29.78,31.19,33.28,34.84,36.72,38.62,39.44,39.0,37.44,36.03,34.25,31.59,28.75,27.22,26.34,25.09,23.84,23.81,24.19,24.41,23.56,22.81,22.19,20.91,18.59,16.66,16.03,16.31,16.31,16.69,17.72,18.16,17.5,15.69,14.12,13.31,12.94,12.62,13.62,16.06,18.81,20.5,21.81,23.69,25.28,26.28,27.12,28.53,29.81,30.56,29.97,29.25,28.75,27.91,26.0,23.56,21.88,20.03,17.94,16.62,17.06,18.53,20.28,21.78,23.81,25.97,27.91,28.59,29.94,31.31,32.31,32.22,31.25,31.28,30.91,29.97,28.62,27.44,25.94,23.12,19.28,15.59,13.03,11.31,10.25,10.62,12.69,15.41,17.28,18.94,20.88,23.06,25.0,26.5,28.25,29.81,30.12,28.84,27.44,26.62,26.28,25.56,25.62,26.22,27.38,27.97,28.53,29.34,30.66,30.97,30.28,29.62,29.44,29.31,28.34,27.66,27.41,26.97,25.0,23.38,22.28,22.22,21.88,21.62,21.91,22.62,22.31,21.53,21.25,21.91,22.56,22.69,23.16,23.72,23.56,22.34,20.59,18.28,16.22,13.34,10.34,7.88,6.69,5.72,5.12,5.28,6.62,8.5,9.91,11.34,13.16,14.75,15.81,16.28,17.25,18.38,18.91,18.81,18.72,18.75,18.28,16.91,15.75,15.41,15.56,15.72,16.16,16.97,17.56,17.03,15.91,14.97,15.16,15.06,14.97,15.38,15.94,16.41,15.94,15.0,15.0,15.19,15.34,15.78,16.97,18.44,18.91,18.5,17.56,17.31,16.62,15.75,14.78,14.44,14.16,12.62,11.06,10.5,10.12,9.5,8.88,8.19,8.12,7.62,6.69,5.75,5.28,4.69,3.94,3.25,4.62,6.62,8.16,10.12,12.56,15.41,17.91,19.91,21.81,24.12,25.44,25.41,25.19,25.97,26.0,25.34,24.5,23.75,23.03,21.31,18.88,17.19,16.0,14.41,13.28,13.03,14.16,15.88,17.72,20.28,23.75,26.66,28.94,30.5,31.75,33.69,34.56,35.59,37.03,38.47,38.94,38.47,37.0,35.88,34.19,31.72,28.88,26.91,25.38,23.56,21.91,21.44,22.03,22.53,22.72,23.16,23.59,23.0,21.25,19.28,18.22,17.38,16.53,15.94,16.5,17.28,17.91,18.41,19.94,21.78,23.5,24.69,25.5,26.97,28.09,28.97,29.34,30.84,31.72,31.44,30.0,28.78,27.88,26.53,24.88,23.84,23.38,22.19,20.44,19.22,19.22,19.81,20.0,20.53,21.97,23.66,24.22,23.69,23.41,23.19,22.38,20.91,20.59,21.53,22.56,22.94,22.84,24.06,24.44,22.78,20.41,18.88,17.28,14.94,13.0,12.41,13.03:24.69,25.59,27.62,30.16,31.5,32.25,32.84,33.25,32.25,30.53,29.16,28.72,28.28,26.94,25.88,25.5,25.28,24.44,23.59,24.0,25.0,25.41,25.44,25.88,26.16,25.22,23.22,21.25,20.59,19.91,19.5,19.62,21.06,22.12,22.91,23.31,23.97,24.88,25.53,25.56,26.25,27.56,28.44,28.69,28.41,28.38,28.12,26.66,25.28,25.22,24.94,24.69,23.88,23.78,24.22,24.31,23.53,23.03,22.59,22.03,21.16,20.78,21.56,22.62,22.66,22.31,21.84,21.72,21.06,19.91,19.78,20.16,20.09,19.84,19.88,21.59,23.25,24.19,25.06,26.22,26.53,25.38,24.12,23.53,23.38,23.19,22.56,22.5,22.97,23.19,23.0,22.53,23.12,23.34,22.75,21.94,22.09,22.06,21.44,20.62,20.97,21.47,22.34,22.81,23.72,25.12,25.81,25.12,24.22,23.88,23.22,22.44,21.34,21.56,22.25,22.16,21.41,20.69,19.69,18.12,15.19,13.09,11.94,11.56,11.41,11.97,14.25,16.62,18.09,18.66,19.53,20.06,20.34,20.12,21.19,23.0,25.5,27.19,29.16,31.5,32.91,32.94,32.72,32.97,33.16,32.62,30.78,29.06,27.56,25.34,23.03,21.44,20.75,20.31,18.91,17.66,17.41,17.25,16.69,16.09,16.41,16.88,16.53,15.38,14.97,15.0,14.88,14.28,14.47,15.19,15.94,15.53,15.38,16.22,17.75,19.44,21.53,24.09,26.34,27.5,27.0,26.44,25.81,24.72,22.53,20.25,18.5,16.94,14.75,12.97,11.66,11.28,10.47,10.12,10.44,11.66,13.03,14.22,16.53,19.66,22.22,23.0,22.94,22.03,20.94,19.12,17.56,16.75,17.03,17.0,16.88,17.09,17.72,17.91,17.34,17.34,18.09,19.0,19.12,19.34,19.75,20.25,19.84,19.19,18.81,18.72,18.25,17.19,16.03,15.16,14.38,12.75,12.16,12.88,14.03,14.75,15.84,17.22,18.78,19.19,19.25,18.94,18.59,17.5,15.53,14.16,13.31,12.5,10.97,10.19,10.0,10.28,10.47,10.53,10.97,12.44,13.69,14.19,15.03,16.34,17.06,16.53,16.16,16.91,17.75,18.12,18.34,19.16,19.91,19.94,19.44,19.25,19.69,19.81,19.56,19.03,19.28,18.62,17.41,16.12,15.44,15.12,14.16,13.44,12.88,13.0,12.78,12.19,11.81,11.88,11.47,10.22,8.88,8.5,8.28,7.72,7.22,7.62,7.84,7.31,6.34,6.0,6.06,5.78,5.06,4.5,4.78,5.09,4.72,4.5,5.22,5.66,5.03,4.31,4.38,4.66,4.91,5.62,6.44,8.09,9.5,10.28,11.22,13.31,15.62,17.34,18.94,21.31,23.12,23.34,23.38,23.25,23.06,22.19,21.81,21.5,21.81,22.25,22.03,22.06,23.16,24.72,25.47,25.91,26.75,26.72,25.56,23.69,23.0,22.97,23.44,23.97,24.0,24.78,24.91,24.09,24.03,25.66,27.91,29.5,30.72,32.31,33.41,33.0,31.91,31.22,30.5,29.38,27.66,25.66,24.0,22.09,18.72,15.75,14.06,13.0,11.88,11.66,12.62,14.28,16.0,17.31,18.72,20.31,21.12,21.5,21.53,22.81,23.84,24.03,23.25,22.75,22.22,21.25,20.38,20.75,21.75,22.31,21.84,21.41,21.47,21.38,20.47,19.72,19.72,19.91,19.31,18.25,18.34,18.91,18.56,17.19,16.41,14.97,13.03,10.31,8.0,7.41,7.19,6.5,5.78,5.88,5.69,4.69,3.59,4.44,6.28,8.41,10.62,13.09,16.16,18.56,20.41,22.0,24.19,25.56,25.88,25.31,25.31,25.78,25.41,24.03,22.72,21.16,18.41,14.72,11.69,9.91,8.84,8.19,8.41,10.34,12.91,14.78,16.03,18.03,19.59,20.16,19.38,18.78,18.44,17.78,16.38,15.84,16.28,16.56,15.41,13.62,12.5,11.12,9.72,8.5,9.16,10.94,13.22,15.41,17.88,20.22,21.72,21.41,20.69,20.41,20.56,19.84,19.53,20.5,21.72,22.25,22.22,22.91,24.41,24.91,25.31,26.09,27.03,27.66,26.75,25.56,24.84,24.0,21.94,19.44,18.34,17.09,15.25,13.31,12.38,12.28,12.84,12.44,13.03,14.41,15.84,16.28,16.44,17.06,17.81,17.31,16.22,15.56,15.53,15.41,14.44,14.44,15.25,16.34,16.72,17.66,19.25,21.22,21.88,22.25,22.53,22.78,22.0,20.31,18.97,17.75,15.91,13.19,11.0,9.59,8.25,6.47,5.62,6.69,8.91,11.5,14.72,18.94,23.88,27.06,29.09,30.84,32.09,31.81,29.97,28.47,27.62,27.09,25.97,25.19,25.41,25.84,25.38,24.56,24.09,23.94,23.19,21.66,20.69,20.5,20.59,19.75,19.38,19.69,20.28,20.16,20.38,21.84,24.41,25.62,26.47,27.41,28.16,28.09,26.91,26.12,26.94,27.72,27.59,28.12,28.91,29.66,28.69,27.25,26.28,25.94,24.19,22.25,21.16,21.03,20.81,20.28,20.56,22.0,23.28,22.94,22.44,22.41,22.09,20.84,19.97,20.59,21.91,22.72,22.94,23.44,23.84,23.88,23.06,22.97,23.91,25.5,26.09,26.97,28.5,30.03,30.0,29.28,28.47,28.19,27.53,26.69,26.59,27.53,28.38,28.47,28.53,29.44,30.72,31.19,31.62,32.91,34.78,35.28,34.94,34.66,34.62,33.69,31.78,30.66,30.5,30.5,29.94,29.0,28.44,28.44,27.31,26.53,26.78,27.25,27.22,26.31,25.53,25.81,25.41,24.44,23.88,24.06,24.38,23.66,23.06,23.06,23.09,22.16,21.34,20.75,21.16,20.84,20.09,19.34,19.56,19.47,19.22,19.53,21.19,23.34,24.72,25.34,26.25,27.28,27.28,27.22,28.12,30.25,32.0,32.81,33.25,33.94,33.5,31.28,28.47,26.34,24.56,22.56,21.19,21.25,22.41,23.25,24.06,25.12,27.0,28.19,28.78,29.5,30.56,31.22,30.47,29.22,28.97,28.78,28.25,27.59,27.72,28.25,28.22,28.12,28.0,28.59,28.75,27.97,27.31,27.62,27.62,27.09,25.84,24.94,23.75,21.91,19.56,18.31,18.44,18.53,18.81,19.66,21.44,22.81,23.66,23.88,24.81,25.5,25.56,24.41,23.88,23.25,21.53,19.12,17.12,15.69,13.97,11.34,9.53,9.09,8.91,9.19,10.16,12.94,16.06,18.81,21.03,23.19,25.09,25.62,24.81,24.34,24.62,24.34,23.91,23.44,24.22,25.47,25.94,26.44,27.31,27.88,26.91,24.69,22.5,20.91,18.78,16.5,14.75,14.84,15.38,16.0,16.91,19.25,21.66,23.5,25.44,28.59,31.62,33.66,34.47,35.03,35.38,35.41,34.88,34.78,35.72,36.34,35.59,34.25,33.31,31.84,30.47,29.28,29.78,31.19,33.28,34.84,36.72,38.62,39.44,39.0,37.44,36.03,34.25,31.59,28.75,27.22,26.34,25.09,23.84,23.81,24.19,24.41,23.56,22.81,22.19,20.91,18.59,16.66,16.03,16.31,16.31,16.69,17.72,18.16,17.5,15.69,14.12,13.31,12.94,12.62,13.62,16.06,18.81,20.5,21.81,23.69,25.28,26.28,27.12,28.53,29.81,30.56,29.97,29.25,28.75,27.91,26.0,23.56,21.88,20.03,17.94,16.62,17.06,18.53,20.28,21.78,23.81,25.97,27.91,28.59,29.94,31.31,32.31,32.22,31.25,31.28,30.91,29.97,28.62,27.44,25.94,23.12,19.28,15.59,13.03,11.31,10.25,10.62,12.69,15.41,17.28,18.94,20.88,23.06,25.0,26.5,28.25,29.81,30.12,28.84,27.44,26.62,26.28,25.56,25.62,26.22,27.38,27.97,28.53,29.34,30.66,30.97,30.28,29.62,29.44,29.31,28.34,27.66,27.41,26.97,25.0,23.38,22.28,22.22,21.88,21.62,21.91,22.62,22.31,21.53,21.25,21.91,22.56,22.69,23.16,23.72,23.56,22.34,20.59,18.28,16.22,13.34,10.34,7.88,6.69,5.72,5.12,5.28,6.62,8.5,9.91,11.34,13.16,14.75,15.81,16.28,17.25,18.38,18.91,18.81,18.72,18.75,18.28,16.91,15.75,15.41,15.56,15.72,16.16,16.97,17.56,17.03,15.91,14.97,15.16,15.06,14.97,15.38,15.94,16.41,15.94,15.0,15.0,15.19,15.34,15.78,16.97,18.44,18.91,18.5,17.56,17.31,16.62,15.75,14.78,14.44,14.16,12.62,11.06,10.5,10.12,9.5,8.88,8.19,8.12,7.62,6.69,5.75,5.28,4.69,3.94,3.25,4.62,6.62,8.16,10.12,12.56,15.41,17.91,19.91,21.81,24.12,25.44,25.41,25.19,25.97,26.0,25.34,24.5,23.75,23.03,21.31,18.88,17.19,16.0,14.41,13.28,13.03,14.16,15.88,17.72,20.28,23.75,26.66,28.94,30.5,31.75,33.69,34.56,35.59,37.03,38.47,38.94,38.47,37.0,35.88,34.19,31.72,28.88,26.91,25.38,23.56,21.91,21.44,22.03,22.53,22.72,23.16,23.59,23.0,21.25,19.28,18.22,17.38,16.53,15.94,16.5,17.28,17.91,18.41,19.94,21.78,23.5,24.69,25.5,26.97,28.09,28.97,29.34,30.84,31.72,31.44,30.0,28.78,27.88,26.53,24.88,23.84,23.38,22.19,20.44,19.22,19.22,19.81,20.0,20.53,21.97,23.66,24.22,23.69,23.41,23.19,22.38,20.91,20.59,21.53,22.56,22.94,22.84,24.06,24.44,22.78,20.41,18.88,17.28,14.94,13.0,12.41,13.03,47.88,49.47,50.31,50.69,50.56,50.56,50.72:33.25,32.25,30.53,29.16,28.72,28.28,26.94,25.88,25.5,25.28,24.44,23.59,24.0,25.0,25.41,25.44,25.88,26.16,25.22,23.22,21.25,20.59,19.91,19.5,19.62,21.06,22.12,22.91,23.31,23.97,24.88,25.53,25.56,26.25,27.56,28.44,28.69,28.41,28.38,28.12,26.66,25.28,25.22,24.94,24.69,23.88,23.78,24.22,24.31,23.53,23.03,22.59,22.03,21.16,20.78,21.56,22.62,22.66,22.31,21.84,21.72,21.06,19.91,19.78,20.16,20.09,19.84,19.88,21.59,23.25,24.19,25.06,26.22,26.53,25.38,24.12,23.53,23.38,23.19,22.56,22.5,22.97,23.19,23.0,22.53,23.12,23.34,22.75,21.94,22.09,22.06,21.44,20.62,20.97,21.47,22.34,22.81,23.72,25.12,25.81,25.12,24.22,23.88,23.22,22.44,21.34,21.56,22.25,22.16,21.41,20.69,19.69,18.12,15.19,13.09,11.94,11.56,11.41,11.97,14.25,16.62,18.09,18.66,19.53,20.06,20.34,20.12,21.19,23.0,25.5,27.19,29.16,31.5,32.91,32.94,32.72,32.97,33.16,32.62,30.78,29.06,27.56,25.34,23.03,21.44,20.75,20.31,18.91,17.66,17.41,17.25,16.69,16.09,16.41,16.88,16.53,15.38,14.97,15.0,14.88,14.28,14.47,15.19,15.94,15.53,15.38,16.22,17.75,19.44,21.53,24.09,26.34,27.5,27.0,26.44,25.81,24.72,22.53,20.25,18.5,16.94,14.75,12.97,11.66,11.28,10.47,10.12,10.44,11.66,13.03,14.22,16.53,19.66,22.22,23.0,22.94,22.03,20.94,19.12,17.56,16.75,17.03,17.0,16.88,17.09,17.72,17.91,17.34,17.34,18.09,19.0,19.12,19.34,19.75,20.25,19.84,19.19,18.81,18.72,18.25,17.19,16.03,15.16,14.38,12.75,12.16,12.88,14.03,14.75,15.84,17.22,18.78,19.19,19.25,18.94,18.59,17.5,15.53,14.16,13.31,12.5,10.97,10.19,10.0,10.28,10.47,10.53,10.97,12.44,13.69,14.19,15.03,16.34,17.06,16.53,16.16,16.91,17.75,18.12,18.34,19.16,19.91,19.94,19.44,19.25,19.69,19.81,19.56,19.03,19.28,18.62,17.41,16.12,15.44,15.12,14.16,13.44,12.88,13.0,12.78,12.19,11.81,11.88,11.47,10.22,8.88,8.5,8.28,7.72,7.22,7.62,7.84,7.31,6.34,6.0,6.06,5.78,5.06,4.5,4.78,5.09,4.72,4.5,5.22,5.66,5.03,4.31,4.38,4.66,4.91,5.62,6.44,8.09,9.5,10.28,11.22,13.31,15.62,17.34,18.94,21.31,23.12,23.34,23.38,23.25,23.06,22.19,21.81,21.5,21.81,22.25,22.03,22.06,23.16,24.72,25.47,25.91,26.75,26.72,25.56,23.69,23.0,22.97,23.44,23.97,24.0,24.78,24.91,24.09,24.03,25.66,27.91,29.5,30.72,32.31,33.41,33.0,31.91,31.22,30.5,29.38,27.66,25.66,24.0,22.09,18.72,15.75,14.06,13.0,11.88,11.66,12.62,14.28,16.0,17.31,18.72,20.31,21.12,21.5,21.53,22.81,23.84,24.03,23.25,22.75,22.22,21.25,20.38,20.75,21.75,22.31,21.84,21.41,21.47,21.38,20.47,19.72,19.72,19.91,19.31,18.25,18.34,18.91,18.56,17.19,16.41,14.97,13.03,10.31,8.0,7.41,7.19,6.5,5.78,5.88,5.69,4.69,3.59,4.44,6.28,8.41,10.62,13.09,16.16,18.56,20.41,22.0,24.19,25.56,25.88,25.31,25.31,25.78,25.41,24.03,22.72,21.16,18.41,14.72,11.69,9.91,8.84,8.19,8.41,10.34,12.91,14.78,16.03,18.03,19.59,20.16,19.38,18.78,18.44,17.78,16.38,15.84,16.28,16.56,15.41,13.62,12.5,11.12,9.72,8.5,9.16,10.94,13.22,15.41,17.88,20.22,21.72,21.41,20.69,20.41,20.56,19.84,19.53,20.5,21.72,22.25,22.22,22.91,24.41,24.91,25.31,26.09,27.03,27.66,26.75,25.56,24.84,24.0,21.94,19.44,18.34,17.09,15.25,13.31,12.38,12.28,12.84,12.44,13.03,14.41,15.84,16.28,16.44,17.06,17.81,17.31,16.22,15.56,15.53,15.41,14.44,14.44,15.25,16.34,16.72,17.66,19.25,21.22,21.88,22.25,22.53,22.78,22.0,20.31,18.97,17.75,15.91,13.19,11.0,9.59,8.25,6.47,5.62,6.69,8.91,11.5,14.72,18.94,23.88,27.06,29.09,30.84,32.09,31.81,29.97,28.47,27.62,27.09,25.97,25.19,25.41,25.84,25.38,24.56,24.09,23.94,23.19,21.66,20.69,20.5,20.59,19.75,19.38,19.69,20.28,20.16,20.38,21.84,24.41,25.62,26.47,27.41,28.16,28.09,26.91,26.12,26.94,27.72,27.59,28.12,28.91,29.66,28.69,27.25,26.28,25.94,24.19,22.25,21.16,21.03,20.81,20.28,20.56,22.0,23.28,22.94,22.44,22.41,22.09,20.84,19.97,20.59,21.91,22.72,22.94,23.44,23.84,23.88,23.06,22.97,23.91,25.5,26.09,26.97,28.5,30.03,30.0,29.28,28.47,28.19,27.53,26.69,26.59,27.53,28.38,28.47,28.53,29.44,30.72,31.19,31.62,32.91,34.78,35.28,34.94,34.66,34.62,33.69,31.78,30.66,30.5,30.5,29.94,29.0,28.44,28.44,27.31,26.53,26.78,27.25,27.22,26.31,25.53,25.81,25.41,24.44,23.88,24.06,24.38,23.66,23.06,23.06,23.09,22.16,21.34,20.75,21.16,20.84,20.09,19.34,19.56,19.47,19.22,19.53,21.19,23.34,24.72,25.34,26.25,27.28,27.28,27.22,28.12,30.25,32.0,32.81,33.25,33.94,33.5,31.28,28.47,26.34,24.56,22.56,21.19,21.25,22.41,23.25,24.06,25.12,27.0,28.19,28.78,29.5,30.56,31.22,30.47,29.22,28.97,28.78,28.25,27.59,27.72,28.25,28.22,28.12,28.0,28.59,28.75,27.97,27.31,27.62,27.62,27.09,25.84,24.94,23.75,21.91,19.56,18.31,18.44,18.53,18.81,19.66,21.44,22.81,23.66,23.88,24.81,25.5,25.56,24.41,23.88,23.25,21.53,19.12,17.12,15.69,13.97,11.34,9.53,9.09,8.91,9.19,10.16,12.94,16.06,18.81,21.03,23.19,25.09,25.62,24.81,24.34,24.62,24.34,23.91,23.44,24.22,25.47,25.94,26.44,27.31,27.88,26.91,24.69,22.5,20.91,18.78,16.5,14.75,14.84,15.38,16.0,16.91,19.25,21.66,23.5,25.44,28.59,31.62,33.66,34.47,35.03,35.38,35.41,34.88,34.78,35.72,36.34,35.59,34.25,33.31,31.84,30.47,29.28,29.78,31.19,33.28,34.84,36.72,38.62,39.44,39.0,37.44,36.03,34.25,31.59,28.75,27.22,26.34,25.09,23.84,23.81,24.19,24.41,23.56,22.81,22.19,20.91,18.59,16.66,16.03,16.31,16.31,16.69,17.72,18.16,17.5,15.69,14.12,13.31,12.94,12.62,13.62,16.06,18.81,20.5,21.81,23.69,25.28,26.28,27.12,28.53,29.81,30.56,29.97,29.25,28.75,27.91,26.0,23.56,21.88,20.03,17.94,16.62,17.06,18.53,20.28,21.78,23.81,25.97,27.91,28.59,29.94,31.31,32.31,32.22,31.25,31.28,30.91,29.97,28.62,27.44,25.94,23.12,19.28,15.59,13.03,11.31,10.25,10.62,12.69,15.41,17.28,18.94,20.88,23.06,25.0,26.5,28.25,29.81,30.12,28.84,27.44,26.62,26.28,25.56,25.62,26.22,27.38,27.97,28.53,29.34,30.66,30.97,30.28,29.62,29.44,29.31,28.34,27.66,27.41,26.97,25.0,23.38,22.28,22.22,21.88,21.62,21.91,22.62,22.31,21.53,21.25,21.91,22.56,22.69,23.16,23.72,23.56,22.34,20.59,18.28,16.22,13.34,10.34,7.88,6.69,5.72,5.12,5.28,6.62,8.5,9.91,11.34,13.16,14.75,15.81,16.28,17.25,18.38,18.91,18.81,18.72,18.75,18.28,16.91,15.75,15.41,15.56,15.72,16.16,16.97,17.56,17.03,15.91,14.97,15.16,15.06,14.97,15.38,15.94,16.41,15.94,15.0,15.0,15.19,15.34,15.78,16.97,18.44,18.91,18.5,17.56,17.31,16.62,15.75,14.78,14.44,14.16,12.62,11.06,10.5,10.12,9.5,8.88,8.19,8.12,7.62,6.69,5.75,5.28,4.69,3.94,3.25,4.62,6.62,8.16,10.12,12.56,15.41,17.91,19.91,21.81,24.12,25.44,25.41,25.19,25.97,26.0,25.34,24.5,23.75,23.03,21.31,18.88,17.19,16.0,14.41,13.28,13.03,14.16,15.88,17.72,20.28,23.75,26.66,28.94,30.5,31.75,33.69,34.56,35.59,37.03,38.47,38.94,38.47,37.0,35.88,34.19,31.72,28.88,26.91,25.38,23.56,21.91,21.44,22.03,22.53,22.72,23.16,23.59,23.0,21.25,19.28,18.22,17.38,16.53,15.94,16.5,17.28,17.91,18.41,19.94,21.78,23.5,24.69,25.5,26.97,28.09,28.97,29.34,30.84,31.72,31.44,30.0,28.78,27.88,26.53,24.88,23.84,23.38,22.19,20.44,19.22,19.22,19.81,20.0,20.53,21.97,23.66,24.22,23.69,23.41,23.19,22.38,20.91,20.59,21.53,22.56,22.94,22.84,24.06,24.44,22.78,20.41,18.88,17.28,14.94,13.0,12.41,13.03,47.88,49.47,50.31,50.69,50.56,50.56,50.72,51.34,52.38,53.81,55.75,57.88,59.72,61.28:25.88,25.5,25.28,24.44,23.59,24.0,25.0,25.41,25.44,25.88,26.16,25.22,23.22,21.25,20.59,19.91,19.5,19.62,21.06,22.12,22.91,23.31,23.97,24.88,25.53,25.56,26.25,27.56,28.44,28.69,28.41,28.38,28.12,26.66,25.28,25.22,24.94,24.69,23.88,23.78,24.22,24.31,23.53,23.03,22.59,22.03,21.16,20.78,21.56,22.62,22.66,22.31,21.84,21.72,21.06,19.91,19.78,20.16,20.09,19.84,19.88,21.59,23.25,24.19,25.06,26.22,26.53,25.38,24.12,23.53,23.38,23.19,22.56,22.5,22.97,23.19,23.0,22.53,23.12,23.34,22.75,21.94,22.09,22.06,21.44,20.62,20.97,21.47,22.34,22.81,23.72,25.12,25.81,25.12,24.22,23.88,23.22,22.44,21.34,21.56,22.25,22.16,21.41,20.69,19.69,18.12,15.19,13.09,11.94,11.56,11.41,11.97,14.25,16.62,18.09,18.66,19.53,20.06,20.34,20.12,21.19,23.0,25.5,27.19,29.16,31.5,32.91,32.94,32.72,32.97,33.16,32.62,30.78,29.06,27.56,25.34,23.03,21.44,20.75,20.31,18.91,17.66,17.41,17.25,16.69,16.09,16.41,16.88,16.53,15.38,14.97,15.0,14.88,14.28,14.47,15.19,15.94,15.53,15.38,16.22,17.75,19.44,21.53,24.09,26.34,27.5,27.0,26.44,25.81,24.72,22.53,20.25,18.5,16.94,14.75,12.97,11.66,11.28,10.47,10.12,10.44,11.66,13.03,14.22,16.53,19.66,22.22,23.0,22.94,22.03,20.94,19.12,17.56,16.75,17.03,17.0,16.88,17.09,17.72,17.91,17.34,17.34,18.09,19.0,19.12,19.34,19.75,20.25,19.84,19.19,18.81,18.72,18.25,17.19,16.03,15.16,14.38,12.75,12.16,12.88,14.03,14.75,15.84,17.22,18.78,19.19,19.25,18.94,18.59,17.5,15.53,14.16,13.31,12.5,10.97,10.19,10.0,10.28,10.47,10.53,10.97,12.44,13.69,14.19,15.03,16.34,17.06,16.53,16.16,16.91,17.75,18.12,18.34,19.16,19.91,19.94,19.44,19.25,19.69,19.81,19.56,19.03,19.28,18.62,17.41,16.12,15.44,15.12,14.16,13.44,12.88,13.0,12.78,12.19,11.81,11.88,11.47,10.22,8.88,8.5,8.28,7.72,7.22,7.62,7.84,7.31,6.34,6.0,6.06,5.78,5.06,4.5,4.78,5.09,4.72,4.5,5.22,5.66,5.03,4.31,4.38,4.66,4.91,5.62,6.44,8.09,9.5,10.28,11.22,13.31,15.62,17.34,18.94,21.31,23.12,23.34,23.38,23.25,23.06,22.19,21.81,21.5,21.81,22.25,22.03,22.06,23.16,24.72,25.47,25.91,26.75,26.72,25.56,23.69,23.0,22.97,23.44,23.97,24.0,24.78,24.91,24.09,24.03,25.66,27.91,29.5,30.72,32.31,33.41,33.0,31.91,31.22,30.5,29.38,27.66,25.66,24.0,22.09,18.72,15.75,14.06,13.0,11.88,11.66,12.62,14.28,16.0,17.31,18.72,20.31,21.12,21.5,21.53,22.81,23.84,24.03,23.25,22.75,22.22,21.25,20.38,20.75,21.75,22.31,21.84,21.41,21.47,21.38,20.47,19.72,19.72,19.91,19.31,18.25,18.34,18.91,18.56,17.19,16.41,14.97,13.03,10.31,8.0,7.41,7.19,6.5,5.78,5.88,5.69,4.69,3.59,4.44,6.28,8.41,10.62,13.09,16.16,18.56,20.41,22.0,24.19,25.56,25.88,25.31,25.31,25.78,25.41,24.03,22.72,21.16,18.41,14.72,11.69,9.91,8.84,8.19,8.41,10.34,12.91,14.78,16.03,18.03,19.59,20.16,19.38,18.78,18.44,17.78,16.38,15.84,16.28,16.56,15.41,13.62,12.5,11.12,9.72,8.5,9.16,10.94,13.22,15.41,17.88,20.22,21.72,21.41,20.69,20.41,20.56,19.84,19.53,20.5,21.72,22.25,22.22,22.91,24.41,24.91,25.31,26.09,27.03,27.66,26.75,25.56,24.84,24.0,21.94,19.44,18.34,17.09,15.25,13.31,12.38,12.28,12.84,12.44,13.03,14.41,15.84,16.28,16.44,17.06,17.81,17.31,16.22,15.56,15.53,15.41,14.44,14.44,15.25,16.34,16.72,17.66,19.25,21.22,21.88,22.25,22.53,22.78,22.0,20.31,18.97,17.75,15.91,13.19,11.0,9.59,8.25,6.47,5.62,6.69,8.91,11.5,14.72,18.94,23.88,27.06,29.09,30.84,32.09,31.81,29.97,28.47,27.62,27.09,25.97,25.19,25.41,25.84,25.38,24.56,24.09,23.94,23.19,21.66,20.69,20.5,20.59,19.75,19.38,19.69,20.28,20.16,20.38,21.84,24.41,25.62,26.47,27.41,28.16,28.09,26.91,26.12,26.94,27.72,27.59,28.12,28.91,29.66,28.69,27.25,26.28,25.94,24.19,22.25,21.16,21.03,20.81,20.28,20.56,22.0,23.28,22.94,22.44,22.41,22.09,20.84,19.97,20.59,21.91,22.72,22.94,23.44,23.84,23.88,23.06,22.97,23.91,25.5,26.09,26.97,28.5,30.03,30.0,29.28,28.47,28.19,27.53,26.69,26.59,27.53,28.38,28.47,28.53,29.44,30.72,31.19,31.62,32.91,34.78,35.28,34.94,34.66,34.62,33.69,31.78,30.66,30.5,30.5,29.94,29.0,28.44,28.44,27.31,26.53,26.78,27.25,27.22,26.31,25.53,25.81,25.41,24.44,23.88,24.06,24.38,23.66,23.06,23.06,23.09,22.16,21.34,20.75,21.16,20.84,20.09,19.34,19.56,19.47,19.22,19.53,21.19,23.34,24.72,25.34,26.25,27.28,27.28,27.22,28.12,30.25,32.0,32.81,33.25,33.94,33.5,31.28,28.47,26.34,24.56,22.56,21.19,21.25,22.41,23.25,24.06,25.12,27.0,28.19,28.78,29.5,30.56,31.22,30.47,29.22,28.97,28.78,28.25,27.59,27.72,28.25,28.22,28.12,28.0,28.59,28.75,27.97,27.31,27.62,27.62,27.09,25.84,24.94,23.75,21.91,19.56,18.31,18.44,18.53,18.81,19.66,21.44,22.81,23.66,23.88,24.81,25.5,25.56,24.41,23.88,23.25,21.53,19.12,17.12,15.69,13.97,11.34,9.53,9.09,8.91,9.19,10.16,12.94,16.06,18.81,21.03,23.19,25.09,25.62,24.81,24.34,24.62,24.34,23.91,23.44,24.22,25.47,25.94,26.44,27.31,27.88,26.91,24.69,22.5,20.91,18.78,16.5,14.75,14.84,15.38,16.0,16.91,19.25,21.66,23.5,25.44,28.59,31.62,33.66,34.47,35.03,35.38,35.41,34.88,34.78,35.72,36.34,35.59,34.25,33.31,31.84,30.47,29.28,29.78,31.19,33.28,34.84,36.72,38.62,39.44,39.0,37.44,36.03,34.25,31.59,28.75,27.22,26.34,25.09,23.84,23.81,24.19,24.41,23.56,22.81,22.19,20.91,18.59,16.66,16.03,16.31,16.31,16.69,17.72,18.16,17.5,15.69,14.12,13.31,12.94,12.62,13.62,16.06,18.81,20.5,21.81,23.69,25.28,26.28,27.12,28.53,29.81,30.56,29.97,29.25,28.75,27.91,26.0,23.56,21.88,20.03,17.94,16.62,17.06,18.53,20.28,21.78,23.81,25.97,27.91,28.59,29.94,31.31,32.31,32.22,31.25,31.28,30.91,29.97,28.62,27.44,25.94,23.12,19.28,15.59,13.03,11.31,10.25,10.62,12.69,15.41,17.28,18.94,20.88,23.06,25.0,26.5,28.25,29.81,30.12,28.84,27.44,26.62,26.28,25.56,25.62,26.22,27.38,27.97,28.53,29.34,30.66,30.97,30.28,29.62,29.44,29.31,28.34,27.66,27.41,26.97,25.0,23.38,22.28,22.22,21.88,21.62,21.91,22.62,22.31,21.53,21.25,21.91,22.56,22.69,23.16,23.72,23.56,22.34,20.59,18.28,16.22,13.34,10.34,7.88,6.69,5.72,5.12,5.28,6.62,8.5,9.91,11.34,13.16,14.75,15.81,16.28,17.25,18.38,18.91,18.81,18.72,18.75,18.28,16.91,15.75,15.41,15.56,15.72,16.16,16.97,17.56,17.03,15.91,14.97,15.16,15.06,14.97,15.38,15.94,16.41,15.94,15.0,15.0,15.19,15.34,15.78,16.97,18.44,18.91,18.5,17.56,17.31,16.62,15.75,14.78,14.44,14.16,12.62,11.06,10.5,10.12,9.5,8.88,8.19,8.12,7.62,6.69,5.75,5.28,4.69,3.94,3.25,4.62,6.62,8.16,10.12,12.56,15.41,17.91,19.91,21.81,24.12,25.44,25.41,25.19,25.97,26.0,25.34,24.5,23.75,23.03,21.31,18.88,17.19,16.0,14.41,13.28,13.03,14.16,15.88,17.72,20.28,23.75,26.66,28.94,30.5,31.75,33.69,34.56,35.59,37.03,38.47,38.94,38.47,37.0,35.88,34.19,31.72,28.88,26.91,25.38,23.56,21.91,21.44,22.03,22.53,22.72,23.16,23.59,23.0,21.25,19.28,18.22,17.38,16.53,15.94,16.5,17.28,17.91,18.41,19.94,21.78,23.5,24.69,25.5,26.97,28.09,28.97,29.34,30.84,31.72,31.44,30.0,28.78,27.88,26.53,24.88,23.84,23.38,22.19,20.44,19.22,19.22,19.81,20.0,20.53,21.97,23.66,24.22,23.69,23.41,23.19,22.38,20.91,20.59,21.53,22.56,22.94,22.84,24.06,24.44,22.78,20.41,18.88,17.28,14.94,13.0,12.41,13.03,47.88,49.47,50.31,50.69,50.56,50.56,50.72,51.34,52.38,53.81,55.75,57.88,59.72,61.28,62.69,63.19,63.44,63.19,63.03,62.31,61.38:25.41,25.44,25.88,26.16,25.22,23.22,21.25,20.59,19.91,19.5,19.62,21.06,22.12,22.91,23.31,23.97,24.88,25.53,25.56,26.25,27.56,28.44,28.69,28.41,28.38,28.12,26.66,25.28,25.22,24.94,24.69,23.88,23.78,24.22,24.31,23.53,23.03,22.59,22.03,21.16,20.78,21.56,22.62,22.66,22.31,21.84,21.72,21.06,19.91,19.78,20.16,20.09,19.84,19.88,21.59,23.25,24.19,25.06,26.22,26.53,25.38,24.12,23.53,23.38,23.19,22.56,22.5,22.97,23.19,23.0,22.53,23.12,23.34,22.75,21.94,22.09,22.06,21.44,20.62,20.97,21.47,22.34,22.81,23.72,25.12,25.81,25.12,24.22,23.88,23.22,22.44,21.34,21.56,22.25,22.16,21.41,20.69,19.69,18.12,15.19,13.09,11.94,11.56,11.41,11.97,14.25,16.62,18.09,18.66,19.53,20.06,20.34,20.12,21.19,23.0,25.5,27.19,29.16,31.5,32.91,32.94,32.72,32.97,33.16,32.62,30.78,29.06,27.56,25.34,23.03,21.44,20.75,20.31,18.91,17.66,17.41,17.25,16.69,16.09,16.41,16.88,16.53,15.38,14.97,15.0,14.88,14.28,14.47,15.19,15.94,15.53,15.38,16.22,17.75,19.44,21.53,24.09,26.34,27.5,27.0,26.44,25.81,24.72,22.53,20.25,18.5,16.94,14.75,12.97,11.66,11.28,10.47,10.12,10.44,11.66,13.03,14.22,16.53,19.66,22.22,23.0,22.94,22.03,20.94,19.12,17.56,16.75,17.03,17.0,16.88,17.09,17.72,17.91,17.34,17.34,18.09,19.0,19.12,19.34,19.75,20.25,19.84,19.19,18.81,18.72,18.25,17.19,16.03,15.16,14.38,12.75,12.16,12.88,14.03,14.75,15.84,17.22,18.78,19.19,19.25,18.94,18.59,17.5,15.53,14.16,13.31,12.5,10.97,10.19,10.0,10.28,10.47,10.53,10.97,12.44,13.69,14.19,15.03,16.34,17.06,16.53,16.16,16.91,17.75,18.12,18.34,19.16,19.91,19.94,19.44,19.25,19.69,19.81,19.56,19.03,19.28,18.62,17.41,16.12,15.44,15.12,14.16,13.44,12.88,13.0,12.78,12.19,11.81,11.88,11.47,10.22,8.88,8.5,8.28,7.72,7.22,7.62,7.84,7.31,6.34,6.0,6.06,5.78,5.06,4.5,4.78,5.09,4.72,4.5,5.22,5.66,5.03,4.31,4.38,4.66,4.91,5.62,6.44,8.09,9.5,10.28,11.22,13.31,15.62,17.34,18.94,21.31,23.12,23.34,23.38,23.25,23.06,22.19,21.81,21.5,21.81,22.25,22.03,22.06,23.16,24.72,25.47,25.91,26.75,26.72,25.56,23.69,23.0,22.97,23.44,23.97,24.0,24.78,24.91,24.09,24.03,25.66,27.91,29.5,30.72,32.31,33.41,33.0,31.91,31.22,30.5,29.38,27.66,25.66,24.0,22.09,18.72,15.75,14.06,13.0,11.88,11.66,12.62,14.28,16.0,17.31,18.72,20.31,21.12,21.5,21.53,22.81,23.84,24.03,23.25,22.75,22.22,21.25,20.38,20.75,21.75,22.31,21.84,21.41,21.47,21.38,20.47,19.72,19.72,19.91,19.31,18.25,18.34,18.91,18.56,17.19,16.41,14.97,13.03,10.31,8.0,7.41,7.19,6.5,5.78,5.88,5.69,4.69,3.59,4.44,6.28,8.41,10.62,13.09,16.16,18.56,20.41,22.0,24.19,25.56,25.88,25.31,25.31,25.78,25.41,24.03,22.72,21.16,18.41,14.72,11.69,9.91,8.84,8.19,8.41,10.34,12.91,14.78,16.03,18.03,19.59,20.16,19.38,18.78,18.44,17.78,16.38,15.84,16.28,16.56,15.41,13.62,12.5,11.12,9.72,8.5,9.16,10.94,13.22,15.41,17.88,20.22,21.72,21.41,20.69,20.41,20.56,19.84,19.53,20.5,21.72,22.25,22.22,22.91,24.41,24.91,25.31,26.09,27.03,27.66,26.75,25.56,24.84,24.0,21.94,19.44,18.34,17.09,15.25,13.31,12.38,12.28,12.84,12.44,13.03,14.41,15.84,16.28,16.44,17.06,17.81,17.31,16.22,15.56,15.53,15.41,14.44,14.44,15.25,16.34,16.72,17.66,19.25,21.22,21.88,22.25,22.53,22.78,22.0,20.31,18.97,17.75,15.91,13.19,11.0,9.59,8.25,6.47,5.62,6.69,8.91,11.5,14.72,18.94,23.88,27.06,29.09,30.84,32.09,31.81,29.97,28.47,27.62,27.09,25.97,25.19,25.41,25.84,25.38,24.56,24.09,23.94,23.19,21.66,20.69,20.5,20.59,19.75,19.38,19.69,20.28,20.16,20.38,21.84,24.41,25.62,26.47,27.41,28.16,28.09,26.91,26.12,26.94,27.72,27.59,28.12,28.91,29.66,28.69,27.25,26.28,25.94,24.19,22.25,21.16,21.03,20.81,20.28,20.56,22.0,23.28,22.94,22.44,22.41,22.09,20.84,19.97,20.59,21.91,22.72,22.94,23.44,23.84,23.88,23.06,22.97,23.91,25.5,26.09,26.97,28.5,30.03,30.0,29.28,28.47,28.19,27.53,26.69,26.59,27.53,28.38,28.47,28.53,29.44,30.72,31.19,31.62,32.91,34.78,35.28,34.94,34.66,34.62,33.69,31.78,30.66,30.5,30.5,29.94,29.0,28.44,28.44,27.31,26.53,26.78,27.25,27.22,26.31,25.53,25.81,25.41,24.44,23.88,24.06,24.38,23.66,23.06,23.06,23.09,22.16,21.34,20.75,21.16,20.84,20.09,19.34,19.56,19.47,19.22,19.53,21.19,23.34,24.72,25.34,26.25,27.28,27.28,27.22,28.12,30.25,32.0,32.81,33.25,33.94,33.5,31.28,28.47,26.34,24.56,22.56,21.19,21.25,22.41,23.25,24.06,25.12,27.0,28.19,28.78,29.5,30.56,31.22,30.47,29.22,28.97,28.78,28.25,27.59,27.72,28.25,28.22,28.12,28.0,28.59,28.75,27.97,27.31,27.62,27.62,27.09,25.84,24.94,23.75,21.91,19.56,18.31,18.44,18.53,18.81,19.66,21.44,22.81,23.66,23.88,24.81,25.5,25.56,24.41,23.88,23.25,21.53,19.12,17.12,15.69,13.97,11.34,9.53,9.09,8.91,9.19,10.16,12.94,16.06,18.81,21.03,23.19,25.09,25.62,24.81,24.34,24.62,24.34,23.91,23.44,24.22,25.47,25.94,26.44,27.31,27.88,26.91,24.69,22.5,20.91,18.78,16.5,14.75,14.84,15.38,16.0,16.91,19.25,21.66,23.5,25.44,28.59,31.62,33.66,34.47,35.03,35.38,35.41,34.88,34.78,35.72,36.34,35.59,34.25,33.31,31.84,30.47,29.28,29.78,31.19,33.28,34.84,36.72,38.62,39.44,39.0,37.44,36.03,34.25,31.59,28.75,27.22,26.34,25.09,23.84,23.81,24.19,24.41,23.56,22.81,22.19,20.91,18.59,16.66,16.03,16.31,16.31,16.69,17.72,18.16,17.5,15.69,14.12,13.31,12.94,12.62,13.62,16.06,18.81,20.5,21.81,23.69,25.28,26.28,27.12,28.53,29.81,30.56,29.97,29.25,28.75,27.91,26.0,23.56,21.88,20.03,17.94,16.62,17.06,18.53,20.28,21.78,23.81,25.97,27.91,28.59,29.94,31.31,32.31,32.22,31.25,31.28,30.91,29.97,28.62,27.44,25.94,23.12,19.28,15.59,13.03,11.31,10.25,10.62,12.69,15.41,17.28,18.94,20.88,23.06,25.0,26.5,28.25,29.81,30.12,28.84,27.44,26.62,26.28,25.56,25.62,26.22,27.38,27.97,28.53,29.34,30.66,30.97,30.28,29.62,29.44,29.31,28.34,27.66,27.41,26.97,25.0,23.38,22.28,22.22,21.88,21.62,21.91,22.62,22.31,21.53,21.25,21.91,22.56,22.69,23.16,23.72,23.56,22.34,20.59,18.28,16.22,13.34,10.34,7.88,6.69,5.72,5.12,5.28,6.62,8.5,9.91,11.34,13.16,14.75,15.81,16.28,17.25,18.38,18.91,18.81,18.72,18.75,18.28,16.91,15.75,15.41,15.56,15.72,16.16,16.97,17.56,17.03,15.91,14.97,15.16,15.06,14.97,15.38,15.94,16.41,15.94,15.0,15.0,15.19,15.34,15.78,16.97,18.44,18.91,18.5,17.56,17.31,16.62,15.75,14.78,14.44,14.16,12.62,11.06,10.5,10.12,9.5,8.88,8.19,8.12,7.62,6.69,5.75,5.28,4.69,3.94,3.25,4.62,6.62,8.16,10.12,12.56,15.41,17.91,19.91,21.81,24.12,25.44,25.41,25.19,25.97,26.0,25.34,24.5,23.75,23.03,21.31,18.88,17.19,16.0,14.41,13.28,13.03,14.16,15.88,17.72,20.28,23.75,26.66,28.94,30.5,31.75,33.69,34.56,35.59,37.03,38.47,38.94,38.47,37.0,35.88,34.19,31.72,28.88,26.91,25.38,23.56,21.91,21.44,22.03,22.53,22.72,23.16,23.59,23.0,21.25,19.28,18.22,17.38,16.53,15.94,16.5,17.28,17.91,18.41,19.94,21.78,23.5,24.69,25.5,26.97,28.09,28.97,29.34,30.84,31.72,31.44,30.0,28.78,27.88,26.53,24.88,23.84,23.38,22.19,20.44,19.22,19.22,19.81,20.0,20.53,21.97,23.66,24.22,23.69,23.41,23.19,22.38,20.91,20.59,21.53,22.56,22.94,22.84,24.06,24.44,22.78,20.41,18.88,17.28,14.94,13.0,12.41,13.03,47.88,49.47,50.31,50.69,50.56,50.56,50.72,51.34,52.38,53.81,55.75,57.88,59.72,61.28,62.69,63.19,63.44,63.19,63.03,62.31,61.38,60.12,58.59,57.66,56.78,56.5,56.44,57.44:20.59,19.91,19.5,19.62,21.06,22.12,22.91,23.31,23.97,24.88,25.53,25.56,26.25,27.56,28.44,28.69,28.41,28.38,28.12,26.66,25.28,25.22,24.94,24.69,23.88,23.78,24.22,24.31,23.53,23.03,22.59,22.03,21.16,20.78,21.56,22.62,22.66,22.31,21.84,21.72,21.06,19.91,19.78,20.16,20.09,19.84,19.88,21.59,23.25,24.19,25.06,26.22,26.53,25.38,24.12,23.53,23.38,23.19,22.56,22.5,22.97,23.19,23.0,22.53,23.12,23.34,22.75,21.94,22.09,22.06,21.44,20.62,20.97,21.47,22.34,22.81,23.72,25.12,25.81,25.12,24.22,23.88,23.22,22.44,21.34,21.56,22.25,22.16,21.41,20.69,19.69,18.12,15.19,13.09,11.94,11.56,11.41,11.97,14.25,16.62,18.09,18.66,19.53,20.06,20.34,20.12,21.19,23.0,25.5,27.19,29.16,31.5,32.91,32.94,32.72,32.97,33.16,32.62,30.78,29.06,27.56,25.34,23.03,21.44,20.75,20.31,18.91,17.66,17.41,17.25,16.69,16.09,16.41,16.88,16.53,15.38,14.97,15.0,14.88,14.28,14.47,15.19,15.94,15.53,15.38,16.22,17.75,19.44,21.53,24.09,26.34,27.5,27.0,26.44,25.81,24.72,22.53,20.25,18.5,16.94,14.75,12.97,11.66,11.28,10.47,10.12,10.44,11.66,13.03,14.22,16.53,19.66,22.22,23.0,22.94,22.03,20.94,19.12,17.56,16.75,17.03,17.0,16.88,17.09,17.72,17.91,17.34,17.34,18.09,19.0,19.12,19.34,19.75,20.25,19.84,19.19,18.81,18.72,18.25,17.19,16.03,15.16,14.38,12.75,12.16,12.88,14.03,14.75,15.84,17.22,18.78,19.19,19.25,18.94,18.59,17.5,15.53,14.16,13.31,12.5,10.97,10.19,10.0,10.28,10.47,10.53,10.97,12.44,13.69,14.19,15.03,16.34,17.06,16.53,16.16,16.91,17.75,18.12,18.34,19.16,19.91,19.94,19.44,19.25,19.69,19.81,19.56,19.03,19.28,18.62,17.41,16.12,15.44,15.12,14.16,13.44,12.88,13.0,12.78,12.19,11.81,11.88,11.47,10.22,8.88,8.5,8.28,7.72,7.22,7.62,7.84,7.31,6.34,6.0,6.06,5.78,5.06,4.5,4.78,5.09,4.72,4.5,5.22,5.66,5.03,4.31,4.38,4.66,4.91,5.62,6.44,8.09,9.5,10.28,11.22,13.31,15.62,17.34,18.94,21.31,23.12,23.34,23.38,23.25,23.06,22.19,21.81,21.5,21.81,22.25,22.03,22.06,23.16,24.72,25.47,25.91,26.75,26.72,25.56,23.69,23.0,22.97,23.44,23.97,24.0,24.78,24.91,24.09,24.03,25.66,27.91,29.5,30.72,32.31,33.41,33.0,31.91,31.22,30.5,29.38,27.66,25.66,24.0,22.09,18.72,15.75,14.06,13.0,11.88,11.66,12.62,14.28,16.0,17.31,18.72,20.31,21.12,21.5,21.53,22.81,23.84,24.03,23.25,22.75,22.22,21.25,20.38,20.75,21.75,22.31,21.84,21.41,21.47,21.38,20.47,19.72,19.72,19.91,19.31,18.25,18.34,18.91,18.56,17.19,16.41,14.97,13.03,10.31,8.0,7.41,7.19,6.5,5.78,5.88,5.69,4.69,3.59,4.44,6.28,8.41,10.62,13.09,16.16,18.56,20.41,22.0,24.19,25.56,25.88,25.31,25.31,25.78,25.41,24.03,22.72,21.16,18.41,14.72,11.69,9.91,8.84,8.19,8.41,10.34,12.91,14.78,16.03,18.03,19.59,20.16,19.38,18.78,18.44,17.78,16.38,15.84,16.28,16.56,15.41,13.62,12.5,11.12,9.72,8.5,9.16,10.94,13.22,15.41,17.88,20.22,21.72,21.41,20.69,20.41,20.56,19.84,19.53,20.5,21.72,22.25,22.22,22.91,24.41,24.91,25.31,26.09,27.03,27.66,26.75,25.56,24.84,24.0,21.94,19.44,18.34,17.09,15.25,13.31,12.38,12.28,12.84,12.44,13.03,14.41,15.84,16.28,16.44,17.06,17.81,17.31,16.22,15.56,15.53,15.41,14.44,14.44,15.25,16.34,16.72,17.66,19.25,21.22,21.88,22.25,22.53,22.78,22.0,20.31,18.97,17.75,15.91,13.19,11.0,9.59,8.25,6.47,5.62,6.69,8.91,11.5,14.72,18.94,23.88,27.06,29.09,30.84,32.09,31.81,29.97,28.47,27.62,27.09,25.97,25.19,25.41,25.84,25.38,24.56,24.09,23.94,23.19,21.66,20.69,20.5,20.59,19.75,19.38,19.69,20.28,20.16,20.38,21.84,24.41,25.62,26.47,27.41,28.16,28.09,26.91,26.12,26.94,27.72,27.59,28.12,28.91,29.66,28.69,27.25,26.28,25.94,24.19,22.25,21.16,21.03,20.81,20.28,20.56,22.0,23.28,22.94,22.44,22.41,22.09,20.84,19.97,20.59,21.91,22.72,22.94,23.44,23.84,23.88,23.06,22.97,23.91,25.5,26.09,26.97,28.5,30.03,30.0,29.28,28.47,28.19,27.53,26.69,26.59,27.53,28.38,28.47,28.53,29.44,30.72,31.19,31.62,32.91,34.78,35.28,34.94,34.66,34.62,33.69,31.78,30.66,30.5,30.5,29.94,29.0,28.44,28.44,27.31,26.53,26.78,27.25,27.22,26.31,25.53,25.81,25.41,24.44,23.88,24.06,24.38,23.66,23.06,23.06,23.09,22.16,21.34,20.75,21.16,20.84,20.09,19.34,19.56,19.47,19.22,19.53,21.19,23.34,24.72,25.34,26.25,27.28,27.28,27.22,28.12,30.25,32.0,32.81,33.25,33.94,33.5,31.28,28.47,26.34,24.56,22.56,21.19,21.25,22.41,23.25,24.06,25.12,27.0,28.19,28.78,29.5,30.56,31.22,30.47,29.22,28.97,28.78,28.25,27.59,27.72,28.25,28.22,28.12,28.0,28.59,28.75,27.97,27.31,27.62,27.62,27.09,25.84,24.94,23.75,21.91,19.56,18.31,18.44,18.53,18.81,19.66,21.44,22.81,23.66,23.88,24.81,25.5,25.56,24.41,23.88,23.25,21.53,19.12,17.12,15.69,13.97,11.34,9.53,9.09,8.91,9.19,10.16,12.94,16.06,18.81,21.03,23.19,25.09,25.62,24.81,24.34,24.62,24.34,23.91,23.44,24.22,25.47,25.94,26.44,27.31,27.88,26.91,24.69,22.5,20.91,18.78,16.5,14.75,14.84,15.38,16.0,16.91,19.25,21.66,23.5,25.44,28.59,31.62,33.66,34.47,35.03,35.38,35.41,34.88,34.78,35.72,36.34,35.59,34.25,33.31,31.84,30.47,29.28,29.78,31.19,33.28,34.84,36.72,38.62,39.44,39.0,37.44,36.03,34.25,31.59,28.75,27.22,26.34,25.09,23.84,23.81,24.19,24.41,23.56,22.81,22.19,20.91,18.59,16.66,16.03,16.31,16.31,16.69,17.72,18.16,17.5,15.69,14.12,13.31,12.94,12.62,13.62,16.06,18.81,20.5,21.81,23.69,25.28,26.28,27.12,28.53,29.81,30.56,29.97,29.25,28.75,27.91,26.0,23.56,21.88,20.03,17.94,16.62,17.06,18.53,20.28,21.78,23.81,25.97,27.91,28.59,29.94,31.31,32.31,32.22,31.25,31.28,30.91,29.97,28.62,27.44,25.94,23.12,19.28,15.59,13.03,11.31,10.25,10.62,12.69,15.41,17.28,18.94,20.88,23.06,25.0,26.5,28.25,29.81,30.12,28.84,27.44,26.62,26.28,25.56,25.62,26.22,27.38,27.97,28.53,29.34,30.66,30.97,30.28,29.62,29.44,29.31,28.34,27.66,27.41,26.97,25.0,23.38,22.28,22.22,21.88,21.62,21.91,22.62,22.31,21.53,21.25,21.91,22.56,22.69,23.16,23.72,23.56,22.34,20.59,18.28,16.22,13.34,10.34,7.88,6.69,5.72,5.12,5.28,6.62,8.5,9.91,11.34,13.16,14.75,15.81,16.28,17.25,18.38,18.91,18.81,18.72,18.75,18.28,16.91,15.75,15.41,15.56,15.72,16.16,16.97,17.56,17.03,15.91,14.97,15.16,15.06,14.97,15.38,15.94,16.41,15.94,15.0,15.0,15.19,15.34,15.78,16.97,18.44,18.91,18.5,17.56,17.31,16.62,15.75,14.78,14.44,14.16,12.62,11.06,10.5,10.12,9.5,8.88,8.19,8.12,7.62,6.69,5.75,5.28,4.69,3.94,3.25,4.62,6.62,8.16,10.12,12.56,15.41,17.91,19.91,21.81,24.12,25.44,25.41,25.19,25.97,26.0,25.34,24.5,23.75,23.03,21.31,18.88,17.19,16.0,14.41,13.28,13.03,14.16,15.88,17.72,20.28,23.75,26.66,28.94,30.5,31.75,33.69,34.56,35.59,37.03,38.47,38.94,38.47,37.0,35.88,34.19,31.72,28.88,26.91,25.38,23.56,21.91,21.44,22.03,22.53,22.72,23.16,23.59,23.0,21.25,19.28,18.22,17.38,16.53,15.94,16.5,17.28,17.91,18.41,19.94,21.78,23.5,24.69,25.5,26.97,28.09,28.97,29.34,30.84,31.72,31.44,30.0,28.78,27.88,26.53,24.88,23.84,23.38,22.19,20.44,19.22,19.22,19.81,20.0,20.53,21.97,23.66,24.22,23.69,23.41,23.19,22.38,20.91,20.59,21.53,22.56,22.94,22.84,24.06,24.44,22.78,20.41,18.88,17.28,14.94,13.0,12.41,13.03,47.88,49.47,50.31,50.69,50.56,50.56,50.72,51.34,52.38,53.81,55.75,57.88,59.72,61.28,62.69,63.19,63.44,63.19,63.03,62.31,61.38,60.12,58.59,57.66,56.78,56.5,56.44,57.44,58.06,58.62,59.16,59.41,59.16,58.09,56.97:23.31,23.97,24.88,25.53,25.56,26.25,27.56,28.44,28.69,28.41,28.38,28.12,26.66,25.28,25.22,24.94,24.69,23.88,23.78,24.22,24.31,23.53,23.03,22.59,22.03,21.16,20.78,21.56,22.62,22.66,22.31,21.84,21.72,21.06,19.91,19.78,20.16,20.09,19.84,19.88,21.59,23.25,24.19,25.06,26.22,26.53,25.38,24.12,23.53,23.38,23.19,22.56,22.5,22.97,23.19,23.0,22.53,23.12,23.34,22.75,21.94,22.09,22.06,21.44,20.62,20.97,21.47,22.34,22.81,23.72,25.12,25.81,25.12,24.22,23.88,23.22,22.44,21.34,21.56,22.25,22.16,21.41,20.69,19.69,18.12,15.19,13.09,11.94,11.56,11.41,11.97,14.25,16.62,18.09,18.66,19.53,20.06,20.34,20.12,21.19,23.0,25.5,27.19,29.16,31.5,32.91,32.94,32.72,32.97,33.16,32.62,30.78,29.06,27.56,25.34,23.03,21.44,20.75,20.31,18.91,17.66,17.41,17.25,16.69,16.09,16.41,16.88,16.53,15.38,14.97,15.0,14.88,14.28,14.47,15.19,15.94,15.53,15.38,16.22,17.75,19.44,21.53,24.09,26.34,27.5,27.0,26.44,25.81,24.72,22.53,20.25,18.5,16.94,14.75,12.97,11.66,11.28,10.47,10.12,10.44,11.66,13.03,14.22,16.53,19.66,22.22,23.0,22.94,22.03,20.94,19.12,17.56,16.75,17.03,17.0,16.88,17.09,17.72,17.91,17.34,17.34,18.09,19.0,19.12,19.34,19.75,20.25,19.84,19.19,18.81,18.72,18.25,17.19,16.03,15.16,14.38,12.75,12.16,12.88,14.03,14.75,15.84,17.22,18.78,19.19,19.25,18.94,18.59,17.5,15.53,14.16,13.31,12.5,10.97,10.19,10.0,10.28,10.47,10.53,10.97,12.44,13.69,14.19,15.03,16.34,17.06,16.53,16.16,16.91,17.75,18.12,18.34,19.16,19.91,19.94,19.44,19.25,19.69,19.81,19.56,19.03,19.28,18.62,17.41,16.12,15.44,15.12,14.16,13.44,12.88,13.0,12.78,12.19,11.81,11.88,11.47,10.22,8.88,8.5,8.28,7.72,7.22,7.62,7.84,7.31,6.34,6.0,6.06,5.78,5.06,4.5,4.78,5.09,4.72,4.5,5.22,5.66,5.03,4.31,4.38,4.66,4.91,5.62,6.44,8.09,9.5,10.28,11.22,13.31,15.62,17.34,18.94,21.31,23.12,23.34,23.38,23.25,23.06,22.19,21.81,21.5,21.81,22.25,22.03,22.06,23.16,24.72,25.47,25.91,26.75,26.72,25.56,23.69,23.0,22.97,23.44,23.97,24.0,24.78,24.91,24.09,24.03,25.66,27.91,29.5,30.72,32.31,33.41,33.0,31.91,31.22,30.5,29.38,27.66,25.66,24.0,22.09,18.72,15.75,14.06,13.0,11.88,11.66,12.62,14.28,16.0,17.31,18.72,20.31,21.12,21.5,21.53,22.81,23.84,24.03,23.25,22.75,22.22,21.25,20.38,20.75,21.75,22.31,21.84,21.41,21.47,21.38,20.47,19.72,19.72,19.91,19.31,18.25,18.34,18.91,18.56,17.19,16.41,14.97,13.03,10.31,8.0,7.41,7.19,6.5,5.78,5.88,5.69,4.69,3.59,4.44,6.28,8.41,10.62,13.09,16.16,18.56,20.41,22.0,24.19,25.56,25.88,25.31,25.31,25.78,25.41,24.03,22.72,21.16,18.41,14.72,11.69,9.91,8.84,8.19,8.41,10.34,12.91,14.78,16.03,18.03,19.59,20.16,19.38,18.78,18.44,17.78,16.38,15.84,16.28,16.56,15.41,13.62,12.5,11.12,9.72,8.5,9.16,10.94,13.22,15.41,17.88,20.22,21.72,21.41,20.69,20.41,20.56,19.84,19.53,20.5,21.72,22.25,22.22,22.91,24.41,24.91,25.31,26.09,27.03,27.66,26.75,25.56,24.84,24.0,21.94,19.44,18.34,17.09,15.25,13.31,12.38,12.28,12.84,12.44,13.03,14.41,15.84,16.28,16.44,17.06,17.81,17.31,16.22,15.56,15.53,15.41,14.44,14.44,15.25,16.34,16.72,17.66,19.25,21.22,21.88,22.25,22.53,22.78,22.0,20.31,18.97,17.75,15.91,13.19,11.0,9.59,8.25,6.47,5.62,6.69,8.91,11.5,14.72,18.94,23.88,27.06,29.09,30.84,32.09,31.81,29.97,28.47,27.62,27.09,25.97,25.19,25.41,25.84,25.38,24.56,24.09,23.94,23.19,21.66,20.69,20.5,20.59,19.75,19.38,19.69,20.28,20.16,20.38,21.84,24.41,25.62,26.47,27.41,28.16,28.09,26.91,26.12,26.94,27.72,27.59,28.12,28.91,29.66,28.69,27.25,26.28,25.94,24.19,22.25,21.16,21.03,20.81,20.28,20.56,22.0,23.28,22.94,22.44,22.41,22.09,20.84,19.97,20.59,21.91,22.72,22.94,23.44,23.84,23.88,23.06,22.97,23.91,25.5,26.09,26.97,28.5,30.03,30.0,29.28,28.47,28.19,27.53,26.69,26.59,27.53,28.38,28.47,28.53,29.44,30.72,31.19,31.62,32.91,34.78,35.28,34.94,34.66,34.62,33.69,31.78,30.66,30.5,30.5,29.94,29.0,28.44,28.44,27.31,26.53,26.78,27.25,27.22,26.31,25.53,25.81,25.41,24.44,23.88,24.06,24.38,23.66,23.06,23.06,23.09,22.16,21.34,20.75,21.16,20.84,20.09,19.34,19.56,19.47,19.22,19.53,21.19,23.34,24.72,25.34,26.25,27.28,27.28,27.22,28.12,30.25,32.0,32.81,33.25,33.94,33.5,31.28,28.47,26.34,24.56,22.56,21.19,21.25,22.41,23.25,24.06,25.12,27.0,28.19,28.78,29.5,30.56,31.22,30.47,29.22,28.97,28.78,28.25,27.59,27.72,28.25,28.22,28.12,28.0,28.59,28.75,27.97,27.31,27.62,27.62,27.09,25.84,24.94,23.75,21.91,19.56,18.31,18.44,18.53,18.81,19.66,21.44,22.81,23.66,23.88,24.81,25.5,25.56,24.41,23.88,23.25,21.53,19.12,17.12,15.69,13.97,11.34,9.53,9.09,8.91,9.19,10.16,12.94,16.06,18.81,21.03,23.19,25.09,25.62,24.81,24.34,24.62,24.34,23.91,23.44,24.22,25.47,25.94,26.44,27.31,27.88,26.91,24.69,22.5,20.91,18.78,16.5,14.75,14.84,15.38,16.0,16.91,19.25,21.66,23.5,25.44,28.59,31.62,33.66,34.47,35.03,35.38,35.41,34.88,34.78,35.72,36.34,35.59,34.25,33.31,31.84,30.47,29.28,29.78,31.19,33.28,34.84,36.72,38.62,39.44,39.0,37.44,36.03,34.25,31.59,28.75,27.22,26.34,25.09,23.84,23.81,24.19,24.41,23.56,22.81,22.19,20.91,18.59,16.66,16.03,16.31,16.31,16.69,17.72,18.16,17.5,15.69,14.12,13.31,12.94,12.62,13.62,16.06,18.81,20.5,21.81,23.69,25.28,26.28,27.12,28.53,29.81,30.56,29.97,29.25,28.75,27.91,26.0,23.56,21.88,20.03,17.94,16.62,17.06,18.53,20.28,21.78,23.81,25.97,27.91,28.59,29.94,31.31,32.31,32.22,31.25,31.28,30.91,29.97,28.62,27.44,25.94,23.12,19.28,15.59,13.03,11.31,10.25,10.62,12.69,15.41,17.28,18.94,20.88,23.06,25.0,26.5,28.25,29.81,30.12,28.84,27.44,26.62,26.28,25.56,25.62,26.22,27.38,27.97,28.53,29.34,30.66,30.97,30.28,29.62,29.44,29.31,28.34,27.66,27.41,26.97,25.0,23.38,22.28,22.22,21.88,21.62,21.91,22.62,22.31,21.53,21.25,21.91,22.56,22.69,23.16,23.72,23.56,22.34,20.59,18.28,16.22,13.34,10.34,7.88,6.69,5.72,5.12,5.28,6.62,8.5,9.91,11.34,13.16,14.75,15.81,16.28,17.25,18.38,18.91,18.81,18.72,18.75,18.28,16.91,15.75,15.41,15.56,15.72,16.16,16.97,17.56,17.03,15.91,14.97,15.16,15.06,14.97,15.38,15.94,16.41,15.94,15.0,15.0,15.19,15.34,15.78,16.97,18.44,18.91,18.5,17.56,17.31,16.62,15.75,14.78,14.44,14.16,12.62,11.06,10.5,10.12,9.5,8.88,8.19,8.12,7.62,6.69,5.75,5.28,4.69,3.94,3.25,4.62,6.62,8.16,10.12,12.56,15.41,17.91,19.91,21.81,24.12,25.44,25.41,25.19,25.97,26.0,25.34,24.5,23.75,23.03,21.31,18.88,17.19,16.0,14.41,13.28,13.03,14.16,15.88,17.72,20.28,23.75,26.66,28.94,30.5,31.75,33.69,34.56,35.59,37.03,38.47,38.94,38.47,37.0,35.88,34.19,31.72,28.88,26.91,25.38,23.56,21.91,21.44,22.03,22.53,22.72,23.16,23.59,23.0,21.25,19.28,18.22,17.38,16.53,15.94,16.5,17.28,17.91,18.41,19.94,21.78,23.5,24.69,25.5,26.97,28.09,28.97,29.34,30.84,31.72,31.44,30.0,28.78,27.88,26.53,24.88,23.84,23.38,22.19,20.44,19.22,19.22,19.81,20.0,20.53,21.97,23.66,24.22,23.69,23.41,23.19,22.38,20.91,20.59,21.53,22.56,22.94,22.84,24.06,24.44,22.78,20.41,18.88,17.28,14.94,13.0,12.41,13.03,47.88,49.47,50.31,50.69,50.56,50.56,50.72,51.34,52.38,53.81,55.75,57.88,59.72,61.28,62.69,63.19,63.44,63.19,63.03,62.31,61.38,60.12,58.59,57.66,56.78,56.5,56.44,57.44,58.06,58.62,59.16,59.41,59.16,58.09,56.97,55.84,54.66,53.88,53.5,53.5,53.31,53.34:positivity
22.5,21.84,20.53,17.06,14.56,15.0,15.53,14.91,14.53,16.91,20.06,21.12,21.06,22.12,25.03,26.09,25.72,26.03,28.94,31.03,30.91,30.47,31.75,32.19,29.47,25.44,23.84,23.56,22.06,20.97,22.31,26.0,29.31,30.34,31.34,33.56,34.25,31.72,28.78,28.22,28.38,26.56,24.16,24.0,24.91,24.47,22.12,21.22,22.03,21.75,19.72,18.38,19.66,21.12,20.88,20.75,23.12,26.56,27.84,28.09,29.94,32.41,32.94,31.25,30.31,31.72,32.12,30.34,29.09,29.75,29.28,26.16,22.56,21.0,20.88,20.06,19.41,21.53,25.75,29.28,30.84,32.28,35.03,36.38,34.94,33.06,33.66,35.03,34.0,31.69,31.41,31.28,29.25,25.88,24.5,25.19,25.44,23.84,23.16,24.22,24.56,23.16,21.66,22.5,24.19,24.03,22.88,23.34,24.28,23.47,20.22,18.03,17.28,16.34,13.75,11.78,13.0,14.62,13.88,13.31,15.16,17.97,19.09,19.69,21.62,24.81,26.38,25.41,25.12,26.47,27.31,26.06,25.34,27.12,29.0,28.44,26.91,26.94,27.28,25.28,22.31,21.06,21.38,21.88,20.47,19.66,21.06,22.0,19.84,18.38,19.53,20.81,20.03,18.44,18.78,20.16,20.75,20.22,21.84,25.22,27.75,27.59,27.88,30.0,32.12,31.97,31.75,33.12,34.78,33.88,31.38,30.31,30.38,29.0,26.25,25.25,26.34,27.31,26.22,25.47,27.06,29.38,29.41,29.28,31.5,34.06,33.94,32.28,31.31,31.53,30.62,27.72,25.66,26.16,26.41,24.5,23.31,24.0,25.06,23.91,21.56,21.38,22.0,21.09,19.53,19.0,20.5,20.72,19.06,18.47,19.81,21.5,21.31,21.5,24.38,28.38,30.72,32.53,35.97,39.91,42.09,42.0,42.12,43.44,43.31,40.09,37.31,36.34,35.84,33.22,30.59,29.69,29.5,27.16,23.38,21.28,20.25,18.44,15.25,13.28,13.53,13.75,12.09,11.12,13.16,16.03,17.19,17.91,19.94,22.69,23.34,22.19,22.38,24.5,25.44,24.53,24.72,26.72,28.28,27.31,25.94,25.94,25.88,23.41,20.09,18.25,18.28,16.72,14.38,13.56,14.22,14.59,13.19,12.59,14.69,17.62,18.47,19.28,21.88,25.44,26.62,26.22,26.34,27.19,25.91,22.66,20.91,21.53,22.25,21.12,20.22,21.34,22.31,21.25,19.22,19.53,21.31,21.5,20.69,21.31,23.12,23.31,21.53,20.19,21.28,22.53,21.78,21.28,23.72,26.59,27.06,26.41,26.56,27.81,26.72,24.34,23.22,24.62,25.0,23.56,22.44,23.16,23.47,21.09,18.81,18.72,19.91,19.0,17.09,16.59,17.5,16.97,15.62,15.72,18.62,21.59,22.62,24.06,27.41,29.81,29.25,27.56,27.47,28.03,27.12,25.16,24.75,26.22,26.72,25.88,25.91,28.44,30.41,30.81,30.81,32.81,35.31,34.97,33.66,34.44,36.19,36.19,35.03,34.59,35.28,34.72,31.5,28.72,28.62,28.5,27.03,25.5,26.53,28.47,28.25,27.19,28.56,31.94,34.03,34.25,35.28,37.12,37.0,34.0,30.88,30.22,29.53,27.34,24.66,24.53,25.19,24.09,21.5,20.41,21.31,21.16,19.62,19.12,20.94,21.84,20.31,18.44,19.12,19.66,18.84,17.0,17.47,18.91,18.72,17.69,17.75,19.84,21.34,21.44,21.88,24.31,27.19,27.62,27.53,29.78,32.5,32.03,29.78,28.38,27.81,25.72,22.28,20.28,21.25,21.94,20.81,21.03,23.91,27.03,28.06,28.56,31.0,33.72,34.19,32.78,32.94,34.28,34.47,32.97,32.0,32.94,33.06,31.34,29.72,30.69,32.03,31.28,29.34,29.78,30.97,30.53,28.69,28.12,29.03,28.91,26.75,25.94,28.19,30.66,30.75,30.78,32.38,34.28,33.62,31.31,30.47,31.0,29.69,27.12,26.31,27.59,28.56,27.41,26.66,28.38,30.0,28.53,26.66,26.81,27.5,26.75,25.31,25.81,27.34,27.72,25.66,24.62,25.72,26.91,26.19,26.53,29.47,32.69,33.53,33.28,35.38,37.97,38.28,36.41,35.25,34.59,32.03,27.38,23.56,22.78,22.53,20.5,19.03,20.31,21.78,21.09,19.19,19.25,20.5,20.31,18.91,19.72,22.84,25.5,26.22,27.28,30.19,32.38,32.41,32.0,34.12,36.97,37.78,36.91,37.47,38.47,37.88,35.28,33.97,34.72,35.28,33.59,32.34,32.88,33.31,31.06,28.31,27.84,28.56,28.16,26.5,26.53,28.0,28.19,26.09,25.38,26.84,27.91,26.81,26.0,27.62,29.88,29.84,28.62,29.0,30.0,28.91,26.16,25.31,26.53,27.56,26.12,25.56,26.69,27.38,24.91,22.06,20.75,20.12,17.22,13.72,12.62,13.5,13.84,13.06,14.38,17.47,20.5,21.34,22.75,26.66,30.59,31.44,31.81,33.75,36.06,36.5,35.66,36.5,38.38,38.75,36.09,33.66,32.44,30.19,25.5,21.28,20.0,19.47,17.25,15.03,15.25,17.19,17.88,17.25,18.25,20.97,22.31,21.69,22.28,25.09,28.03,28.38,28.84,30.72,32.53,31.03,27.47,25.03,23.81,20.91,17.38,16.34,18.03,19.53,18.81,19.16,21.25,23.66,23.31,22.22,22.88,24.28,23.19,20.47,19.53,20.06,19.12,16.56,15.16,16.12,16.81,15.25,14.19,15.97,18.44,17.62,16.94,18.0,20.09,20.91,20.53,21.81,24.81,26.53,25.66,25.16,26.59,26.72,24.03,21.59,22.0,23.78,23.97,24.34,27.03,30.62,31.59,30.59,30.47,31.59,31.38,28.53,26.28,26.06,25.81,23.06,20.44,20.22,21.72,21.22,20.41,21.72,24.78,26.44,25.91,26.03,28.03,28.16,25.72,22.94,22.16,22.0,19.62,17.22,17.16,18.25,16.88,14.34,13.53,14.72,15.38,14.53,14.69,17.34,19.5,19.09,18.56,20.53,22.59,22.03,20.38,20.5,22.12,22.0,20.88,21.41,23.78,24.88,23.25,21.84,22.44,22.53,19.97,17.03,16.28,16.66,14.91,12.66,12.47,14.09,14.06,13.03,13.38,16.44,18.88,18.72,18.19,19.66,20.22,18.88,18.09,20.22,23.88,25.53,25.41,25.69,27.12,26.31,23.75,22.38,23.31,23.62,22.34,20.69,21.12,21.56,19.59,17.41,17.62,20.22,21.5,21.59,23.03,25.81,26.22,24.38,22.94,23.66,24.47,23.56,22.69,24.16,25.94,24.88,22.12,21.0,21.16,19.59,17.16,16.19,17.62,18.31,17.06,16.06,17.66,19.16,18.03,16.22,17.06,19.0,19.25,18.59,19.69,22.84,24.34,24.16,24.62,26.94,27.59,25.41,23.0,22.59,22.72,21.12,19.31,20.12,22.72,24.0,23.84,25.31,28.12,29.28,27.81,26.88,27.97,28.09,26.03,23.88,23.72,24.06,22.59,20.53,20.47,21.78,21.34,19.5,19.03,20.69,21.97,21.31,21.0,23.28,24.94,24.28,23.56,25.25,28.03,28.81,28.53,30.12,32.38,32.75,31.03,29.75,30.59,30.66,28.91,27.59,28.78,29.78,29.03,27.41,28.25,30.25,30.91,30.28,31.62,34.81,36.5,36.31,36.97,39.22,40.06,37.44,33.91,32.44,31.03,27.41,24.06,23.28,24.03,24.16,23.19,23.72,25.72,26.94,25.53,24.72,26.38,28.06,27.25,26.12,27.06,28.41,27.62,25.53,25.84,27.41,28.0,27.22,27.28,28.88,28.97,26.53,23.97,23.72,23.97,22.28,20.5,21.0,21.88,20.69,17.78,16.47,16.69,16.16,14.25,13.94,16.06,17.75,17.31,16.47,17.47,18.94,18.22,16.91,17.41,18.75,18.53,16.84,16.88,18.47,20.0,19.38,20.06,23.09,26.16,26.28,25.66,26.44,26.81,24.69,21.0,18.94,18.25,16.72,14.22,13.75,15.44,16.66,16.25,15.81,17.66,19.72,19.81,19.0,20.16,22.06,21.41,19.38,18.91,19.56,19.38,17.56,16.66,17.88,18.5,16.97,15.41,16.31,18.09,18.06,18.25,19.91,22.78,23.38,21.59,20.69,20.59,19.22,15.53,13.12,12.62,12.66,10.72,9.19,10.25,12.5,12.94,12.97,15.09,19.16,21.84,23.22,25.69,29.62,31.62,30.88,30.19,31.09,31.69,29.59,26.78,25.47,24.66,21.69,18.03,16.31,16.56,16.59,15.41,15.62,18.0,20.06,19.06,17.84,18.41,18.69,16.62,14.38,14.16,15.44,15.16,13.88,13.78,15.5,16.06,14.62,14.22,16.09,17.84,17.34,17.47,19.34,21.91,21.78,20.19,19.53,19.53,17.66,14.56,13.44,14.81,15.81,15.41,15.78,18.28,20.81,20.94,20.41,21.41,23.03,22.75,21.09,21.06,22.62,22.88,21.41,21.09,22.34,22.28,19.66,16.75,15.81,15.5,13.44,12.38,13.44,15.88,16.84,16.12,16.25,17.44,17.56,15.59,14.09,14.94,15.72,14.34,13.56,14.53,15.97,15.41,14.22,14.56,17.16,18.44,19.06,20.41,22.97,24.19,22.34,20.12,19.69,19.38,16.97,14.41,13.91,14.59,13.97,12.5,13.0,15.75,17.31,17.38,17.59,19.34,20.16,18.28,16.69,17.69,19.44,19.81,19.69,21.0,22.78,22.12,19.12,17.16,16.78,15.84,13.59,11.88,12.97,13.72,12.62,11.97,13.84,16.03,16.44,15.69,15.62,16.59,15.56,12.62,11.0,11.03,11.09,9.81,9.53,12.25,15.44,16.31,16.03,17.0,17.31,15.22,12.09,10.97,11.56,11.97:14.91,14.53,16.91,20.06,21.12,21.06,22.12,25.03,26.09,25.72,26.03,28.94,31.03,30.91,30.47,31.75,32.19,29.47,25.44,23.84,23.56,22.06,20.97,22.31,26.0,29.31,30.34,31.34,33.56,34.25,31.72,28.78,28.22,28.38,26.56,24.16,24.0,24.91,24.47,22.12,21.22,22.03,21.75,19.72,18.38,19.66,21.12,20.88,20.75,23.12,26.56,27.84,28.09,29.94,32.41,32.94,31.25,30.31,31.72,32.12,30.34,29.09,29.75,29.28,26.16,22.56,21.0,20.88,20.06,19.41,21.53,25.75,29.28,30.84,32.28,35.03,36.38,34.94,33.06,33.66,35.03,34.0,31.69,31.41,31.28,29.25,25.88,24.5,25.19,25.44,23.84,23.16,24.22,24.56,23.16,21.66,22.5,24.19,24.03,22.88,23.34,24.28,23.47,20.22,18.03,17.28,16.34,13.75,11.78,13.0,14.62,13.88,13.31,15.16,17.97,19.09,19.69,21.62,24.81,26.38,25.41,25.12,26.47,27.31,26.06,25.34,27.12,29.0,28.44,26.91,26.94,27.28,25.28,22.31,21.06,21.38,21.88,20.47,19.66,21.06,22.0,19.84,18.38,19.53,20.81,20.03,18.44,18.78,20.16,20.75,20.22,21.84,25.22,27.75,27.59,27.88,30.0,32.12,31.97,31.75,33.12,34.78,33.88,31.38,30.31,30.38,29.0,26.25,25.25,26.34,27.31,26.22,25.47,27.06,29.38,29.41,29.28,31.5,34.06,33.94,32.28,31.31,31.53,30.62,27.72,25.66,26.16,26.41,24.5,23.31,24.0,25.06,23.91,21.56,21.38,22.0,21.09,19.53,19.0,20.5,20.72,19.06,18.47,19.81,21.5,21.31,21.5,24.38,28.38,30.72,32.53,35.97,39.91,42.09,42.0,42.12,43.44,43.31,40.09,37.31,36.34,35.84,33.22,30.59,29.69,29.5,27.16,23.38,21.28,20.25,18.44,15.25,13.28,13.53,13.75,12.09,11.12,13.16,16.03,17.19,17.91,19.94,22.69,23.34,22.19,22.38,24.5,25.44,24.53,24.72,26.72,28.28,27.31,25.94,25.94,25.88,23.41,20.09,18.25,18.28,16.72,14.38,13.56,14.22,14.59,13.19,12.59,14.69,17.62,18.47,19.28,21.88,25.44,26.62,26.22,26.34,27.19,25.91,22.66,20.91,21.53,22.25,21.12,20.22,21.34,22.31,21.25,19.22,19.53,21.31,21.5,20.69,21.31,23.12,23.31,21.53,20.19,21.28,22.53,21.78,21.28,23.72,26.59,27.06,26.41,26.56,27.81,26.72,24.34,23.22,24.62,25.0,23.56,22.44,23.16,23.47,21.09,18.81,18.72,19.91,19.0,17.09,16.59,17.5,16.97,15.62,15.72,18.62,21.59,22.62,24.06,27.41,29.81,29.25,27.56,27.47,28.03,27.12,25.16,24.75,26.22,26.72,25.88,25.91,28.44,30.41,30.81,30.81,32.81,35.31,34.97,33.66,34.44,36.19,36.19,35.03,34.59,35.28,34.72,31.5,28.72,28.62,28.5,27.03,25.5,26.53,28.47,28.25,27.19,28.56,31.94,34.03,34.25,35.28,37.12,37.0,34.0,30.88,30.22,29.53,27.34,24.66,24.53,25.19,24.09,21.5,20.41,21.31,21.16,19.62,19.12,20.94,21.84,20.31,18.44,19.12,19.66,18.84,17.0,17.47,18.91,18.72,17.69,17.75,19.84,21.34,21.44,21.88,24.31,27.19,27.62,27.53,29.78,32.5,32.03,29.78,28.38,27.81,25.72,22.28,20.28,21.25,21.94,20.81,21.03,23.91,27.03,28.06,28.56,31.0,33.72,34.19,32.78,32.94,34.28,34.47,32.97,32.0,32.94,33.06,31.34,29.72,30.69,32.03,31.28,29.34,29.78,30.97,30.53,28.69,28.12,29.03,28.91,26.75,25.94,28.19,30.66,30.75,30.78,32.38,34.28,33.62,31.31,30.47,31.0,29.69,27.12,26.31,27.59,28.56,27.41,26.66,28.38,30.0,28.53,26.66,26.81,27.5,26.75,25.31,25.81,27.34,27.72,25.66,24.62,25.72,26.91,26.19,26.53,29.47,32.69,33.53,33.28,35.38,37.97,38.28,36.41,35.25,34.59,32.03,27.38,23.56,22.78,22.53,20.5,19.03,20.31,21.78,21.09,19.19,19.25,20.5,20.31,18.91,19.72,22.84,25.5,26.22,27.28,30.19,32.38,32.41,32.0,34.12,36.97,37.78,36.91,37.47,38.47,37.88,35.28,33.97,34.72,35.28,33.59,32.34,32.88,33.31,31.06,28.31,27.84,28.56,28.16,26.5,26.53,28.0,28.19,26.09,25.38,26.84,27.91,26.81,26.0,27.62,29.88,29.84,28.62,29.0,30.0,28.91,26.16,25.31,26.53,27.56,26.12,25.56,26.69,27.38,24.91,22.06,20.75,20.12,17.22,13.72,12.62,13.5,13.84,13.06,14.38,17.47,20.5,21.34,22.75,26.66,30.59,31.44,31.81,33.75,36.06,36.5,35.66,36.5,38.38,38.75,36.09,33.66,32.44,30.19,25.5,21.28,20.0,19.47,17.25,15.03,15.25,17.19,17.88,17.25,18.25,20.97,22.31,21.69,22.28,25.09,28.03,28.38,28.84,30.72,32.53,31.03,27.47,25.03,23.81,20.91,17.38,16.34,18.03,19.53,18.81,19.16,21.25,23.66,23.31,22.22,22.88,24.28,23.19,20.47,19.53,20.06,19.12,16.56,15.16,16.12,16.81,15.25,14.19,15.97,18.44,17.62,16.94,18.0,20.09,20.91,20.53,21.81,24.81,26.53,25.66,25.16,26.59,26.72,24.03,21.59,22.0,23.78,23.97,24.34,27.03,30.62,31.59,30.59,30.47,31.59,31.38,28.53,26.28,26.06,25.81,23.06,20.44,20.22,21.72,21.22,20.41,21.72,24.78,26.44,25.91,26.03,28.03,28.16,25.72,22.94,22.16,22.0,19.62,17.22,17.16,18.25,16.88,14.34,13.53,14.72,15.38,14.53,14.69,17.34,19.5,19.09,18.56,20.53,22.59,22.03,20.38,20.5,22.12,22.0,20.88,21.41,23.78,24.88,23.25,21.84,22.44,22.53,19.97,17.03,16.28,16.66,14.91,12.66,12.47,14.09,14.06,13.03,13.38,16.44,18.88,18.72,18.19,19.66,20.22,18.88,18.09,20.22,23.88,25.53,25.41,25.69,27.12,26.31,23.75,22.38,23.31,23.62,22.34,20.69,21.12,21.56,19.59,17.41,17.62,20.22,21.5,21.59,23.03,25.81,26.22,24.38,22.94,23.66,24.47,23.56,22.69,24.16,25.94,24.88,22.12,21.0,21.16,19.59,17.16,16.19,17.62,18.31,17.06,16.06,17.66,19.16,18.03,16.22,17.06,19.0,19.25,18.59,19.69,22.84,24.34,24.16,24.62,26.94,27.59,25.41,23.0,22.59,22.72,21.12,19.31,20.12,22.72,24.0,23.84,25.31,28.12,29.28,27.81,26.88,27.97,28.09,26.03,23.88,23.72,24.06,22.59,20.53,20.47,21.78,21.34,19.5,19.03,20.69,21.97,21.31,21.0,23.28,24.94,24.28,23.56,25.25,28.03,28.81,28.53,30.12,32.38,32.75,31.03,29.75,30.59,30.66,28.91,27.59,28.78,29.78,29.03,27.41,28.25,30.25,30.91,30.28,31.62,34.81,36.5,36.31,36.97,39.22,40.06,37.44,33.91,32.44,31.03,27.41,24.06,23.28,24.03,24.16,23.19,23.72,25.72,26.94,25.53,24.72,26.38,28.06,27.25,26.12,27.06,28.41,27.62,25.53,25.84,27.41,28.0,27.22,27.28,28.88,28.97,26.53,23.97,23.72,23.97,22.28,20.5,21.0,21.88,20.69,17.78,16.47,16.69,16.16,14.25,13.94,16.06,17.75,17.31,16.47,17.47,18.94,18.22,16.91,17.41,18.75,18.53,16.84,16.88,18.47,20.0,19.38,20.06,23.09,26.16,26.28,25.66,26.44,26.81,24.69,21.0,18.94,18.25,16.72,14.22,13.75,15.44,16.66,16.25,15.81,17.66,19.72,19.81,19.0,20.16,22.06,21.41,19.38,18.91,19.56,19.38,17.56,16.66,17.88,18.5,16.97,15.41,16.31,18.09,18.06,18.25,19.91,22.78,23.38,21.59,20.69,20.59,19.22,15.53,13.12,12.62,12.66,10.72,9.19,10.25,12.5,12.94,12.97,15.09,19.16,21.84,23.22,25.69,29.62,31.62,30.88,30.19,31.09,31.69,29.59,26.78,25.47,24.66,21.69,18.03,16.31,16.56,16.59,15.41,15.62,18.0,20.06,19.06,17.84,18.41,18.69,16.62,14.38,14.16,15.44,15.16,13.88,13.78,15.5,16.06,14.62,14.22,16.09,17.84,17.34,17.47,19.34,21.91,21.78,20.19,19.53,19.53,17.66,14.56,13.44,14.81,15.81,15.41,15.78,18.28,20.81,20.94,20.41,21.41,23.03,22.75,21.09,21.06,22.62,22.88,21.41,21.09,22.34,22.28,19.66,16.75,15.81,15.5,13.44,12.38,13.44,15.88,16.84,16.12,16.25,17.44,17.56,15.59,14.09,14.94,15.72,14.34,13.56,14.53,15.97,15.41,14.22,14.56,17.16,18.44,19.06,20.41,22.97,24.19,22.34,20.12,19.69,19.38,16.97,14.41,13.91,14.59,13.97,12.5,13.0,15.75,17.31,17.38,17.59,19.34,20.16,18.28,16.69,17.69,19.44,19.81,19.69,21.0,22.78,22.12,19.12,17.16,16.78,15.84,13.59,11.88,12.97,13.72,12.62,11.97,13.84,16.03,16.44,15.69,15.62,16.59,15.56,12.62,11.0,11.03,11.09,9.81,9.53,12.25,15.44,16.31,16.03,17.0,17.31,15.22,12.09,10.97,11.56,11.97,19.72,21.12,22.38,22.44,22.41,24.0,25.16:25.03,26.09,25.72,26.03,28.94,31.03,30.91,30.47,31.75,32.19,29.47,25.44,23.84,23.56,22.06,20.97,22.31,26.0,29.31,30.34,31.34,33.56,34.25,31.72,28.78,28.22,28.38,26.56,24.16,24.0,24.91,24.47,22.12,21.22,22.03,21.75,19.72,18.38,19.66,21.12,20.88,20.75,23.12,26.56,27.84,28.09,29.94,32.41,32.94,31.25,30.31,31.72,32.12,30.34,29.09,29.75,29.28,26.16,22.56,21.0,20.88,20.06,19.41,21.53,25.75,29.28,30.84,32.28,35.03,36.38,34.94,33.06,33.66,35.03,34.0,31.69,31.41,31.28,29.25,25.88,24.5,25.19,25.44,23.84,23.16,24.22,24.56,23.16,21.66,22.5,24.19,24.03,22.88,23.34,24.28,23.47,20.22,18.03,17.28,16.34,13.75,11.78,13.0,14.62,13.88,13.31,15.16,17.97,19.09,19.69,21.62,24.81,26.38,25.41,25.12,26.47,27.31,26.06,25.34,27.12,29.0,28.44,26.91,26.94,27.28,25.28,22.31,21.06,21.38,21.88,20.47,19.66,21.06,22.0,19.84,18.38,19.53,20.81,20.03,18.44,18.78,20.16,20.75,20.22,21.84,25.22,27.75,27.59,27.88,30.0,32.12,31.97,31.75,33.12,34.78,33.88,31.38,30.31,30.38,29.0,26.25,25.25,26.34,27.31,26.22,25.47,27.06,29.38,29.41,29.28,31.5,34.06,33.94,32.28,31.31,31.53,30.62,27.72,25.66,26.16,26.41,24.5,23.31,24.0,25.06,23.91,21.56,21.38,22.0,21.09,19.53,19.0,20.5,20.72,19.06,18.47,19.81,21.5,21.31,21.5,24.38,28.38,30.72,32.53,35.97,39.91,42.09,42.0,42.12,43.44,43.31,40.09,37.31,36.34,35.84,33.22,30.59,29.69,29.5,27.16,23.38,21.28,20.25,18.44,15.25,13.28,13.53,13.75,12.09,11.12,13.16,16.03,17.19,17.91,19.94,22.69,23.34,22.19,22.38,24.5,25.44,24.53,24.72,26.72,28.28,27.31,25.94,25.94,25.88,23.41,20.09,18.25,18.28,16.72,14.38,13.56,14.22,14.59,13.19,12.59,14.69,17.62,18.47,19.28,21.88,25.44,26.62,26.22,26.34,27.19,25.91,22.66,20.91,21.53,22.25,21.12,20.22,21.34,22.31,21.25,19.22,19.53,21.31,21.5,20.69,21.31,23.12,23.31,21.53,20.19,21.28,22.53,21.78,21.28,23.72,26.59,27.06,26.41,26.56,27.81,26.72,24.34,23.22,24.62,25.0,23.56,22.44,23.16,23.47,21.09,18.81,18.72,19.91,19.0,17.09,16.59,17.5,16.97,15.62,15.72,18.62,21.59,22.62,24.06,27.41,29.81,29.25,27.56,27.47,28.03,27.12,25.16,24.75,26.22,26.72,25.88,25.91,28.44,30.41,30.81,30.81,32.81,35.31,34.97,33.66,34.44,36.19,36.19,35.03,34.59,35.28,34.72,31.5,28.72,28.62,28.5,27.03,25.5,26.53,28.47,28.25,27.19,28.56,31.94,34.03,34.25,35.28,37.12,37.0,34.0,30.88,30.22,29.53,27.34,24.66,24.53,25.19,24.09,21.5,20.41,21.31,21.16,19.62,19.12,20.94,21.84,20.31,18.44,19.12,19.66,18.84,17.0,17.47,18.91,18.72,17.69,17.75,19.84,21.34,21.44,21.88,24.31,27.19,27.62,27.53,29.78,32.5,32.03,29.78,28.38,27.81,25.72,22.28,20.28,21.25,21.94,20.81,21.03,23.91,27.03,28.06,28.56,31.0,33.72,34.19,32.78,32.94,34.28,34.47,32.97,32.0,32.94,33.06,31.34,29.72,30.69,32.03,31.28,29.34,29.78,30.97,30.53,28.69,28.12,29.03,28.91,26.75,25.94,28.19,30.66,30.75,30.78,32.38,34.28,33.62,31.31,30.47,31.0,29.69,27.12,26.31,27.59,28.56,27.41,26.66,28.38,30.0,28.53,26.66,26.81,27.5,26.75,25.31,25.81,27.34,27.72,25.66,24.62,25.72,26.91,26.19,26.53,29.47,32.69,33.53,33.28,35.38,37.97,38.28,36.41,35.25,34.59,32.03,27.38,23.56,22.78,22.53,20.5,19.03,20.31,21.78,21.09,19.19,19.25,20.5,20.31,18.91,19.72,22.84,25.5,26.22,27.28,30.19,32.38,32.41,32.0,34.12,36.97,37.78,36.91,37.47,38.47,37.88,35.28,33.97,34.72,35.28,33.59,32.34,32.88,33.31,31.06,28.31,27.84,28.56,28.16,26.5,26.53,28.0,28.19,26.09,25.38,26.84,27.91,26.81,26.0,27.62,29.88,29.84,28.62,29.0,30.0,28.91,26.16,25.31,26.53,27.56,26.12,25.56,26.69,27.38,24.91,22.06,20.75,20.12,17.22,13.72,12.62,13.5,13.84,13.06,14.38,17.47,20.5,21.34,22.75,26.66,30.59,31.44,31.81,33.75,36.06,36.5,35.66,36.5,38.38,38.75,36.09,33.66,32.44,30.19,25.5,21.28,20.0,19.47,17.25,15.03,15.25,17.19,17.88,17.25,18.25,20.97,22.31,21.69,22.28,25.09,28.03,28.38,28.84,30.72,32.53,31.03,27.47,25.03,23.81,20.91,17.38,16.34,18.03,19.53,18.81,19.16,21.25,23.66,23.31,22.22,22.88,24.28,23.19,20.47,19.53,20.06,19.12,16.56,15.16,16.12,16.81,15.25,14.19,15.97,18.44,17.62,16.94,18.0,20.09,20.91,20.53,21.81,24.81,26.53,25.66,25.16,26.59,26.72,24.03,21.59,22.0,23.78,23.97,24.34,27.03,30.62,31.59,30.59,30.47,31.59,31.38,28.53,26.28,26.06,25.81,23.06,20.44,20.22,21.72,21.22,20.41,21.72,24.78,26.44,25.91,26.03,28.03,28.16,25.72,22.94,22.16,22.0,19.62,17.22,17.16,18.25,16.88,14.34,13.53,14.72,15.38,14.53,14.69,17.34,19.5,19.09,18.56,20.53,22.59,22.03,20.38,20.5,22.12,22.0,20.88,21.41,23.78,24.88,23.25,21.84,22.44,22.53,19.97,17.03,16.28,16.66,14.91,12.66,12.47,14.09,14.06,13.03,13.38,16.44,18.88,18.72,18.19,19.66,20.22,18.88,18.09,20.22,23.88,25.53,25.41,25.69,27.12,26.31,23.75,22.38,23.31,23.62,22.34,20.69,21.12,21.56,19.59,17.41,17.62,20.22,21.5,21.59,23.03,25.81,26.22,24.38,22.94,23.66,24.47,23.56,22.69,24.16,25.94,24.88,22.12,21.0,21.16,19.59,17.16,16.19,17.62,18.31,17.06,16.06,17.66,19.16,18.03,16.22,17.06,19.0,19.25,18.59,19.69,22.84,24.34,24.16,24.62,26.94,27.59,25.41,23.0,22.59,22.72,21.12,19.31,20.12,22.72,24.0,23.84,25.31,28.12,29.28,27.81,26.88,27.97,28.09,26.03,23.88,23.72,24.06,22.59,20.53,20.47,21.78,21.34,19.5,19.03,20.69,21.97,21.31,21.0,23.28,24.94,24.28,23.56,25.25,28.03,28.81,28.53,30.12,32.38,32.75,31.03,29.75,30.59,30.66,28.91,27.59,28.78,29.78,29.03,27.41,28.25,30.25,30.91,30.28,31.62,34.81,36.5,36.31,36.97,39.22,40.06,37.44,33.91,32.44,31.03,27.41,24.06,23.28,24.03,24.16,23.19,23.72,25.72,26.94,25.53,24.72,26.38,28.06,27.25,26.12,27.06,28.41,27.62,25.53,25.84,27.41,28.0,27.22,27.28,28.88,28.97,26.53,23.97,23.72,23.97,22.28,20.5,21.0,21.88,20.69,17.78,16.47,16.69,16.16,14.25,13.94,16.06,17.75,17.31,16.47,17.47,18.94,18.22,16.91,17.41,18.75,18.53,16.84,16.88,18.47,20.0,19.38,20.06,23.09,26.16,26.28,25.66,26.44,26.81,24.69,21.0,18.94,18.25,16.72,14.22,13.75,15.44,16.66,16.25,15.81,17.66,19.72,19.81,19.0,20.16,22.06,21.41,19.38,18.91,19.56,19.38,17.56,16.66,17.88,18.5,16.97,15.41,16.31,18.09,18.06,18.25,19.91,22.78,23.38,21.59,20.69,20.59,19.22,15.53,13.12,12.62,12.66,10.72,9.19,10.25,12.5,12.94,12.97,15.09,19.16,21.84,23.22,25.69,29.62,31.62,30.88,30.19,31.09,31.69,29.59,26.78,25.47,24.66,21.69,18.03,16.31,16.56,16.59,15.41,15.62,18.0,20.06,19.06,17.84,18.41,18.69,16.62,14.38,14.16,15.44,15.16,13.88,13.78,15.5,16.06,14.62,14.22,16.09,17.84,17.34,17.47,19.34,21.91,21.78,20.19,19.53,19.53,17.66,14.56,13.44,14.81,15.81,15.41,15.78,18.28,20.81,20.94,20.41,21.41,23.03,22.75,21.09,21.06,22.62,22.88,21.41,21.09,22.34,22.28,19.66,16.75,15.81,15.5,13.44,12.38,13.44,15.88,16.84,16.12,16.25,17.44,17.56,15.59,14.09,14.94,15.72,14.34,13.56,14.53,15.97,15.41,14.22,14.56,17.16,18.44,19.06,20.41,22.97,24.19,22.34,20.12,19.69,19.38,16.97,14.41,13.91,14.59,13.97,12.5,13.0,15.75,17.31,17.38,17.59,19.34,20.16,18.28,16.69,17.69,19.44,19.81,19.69,21.0,22.78,22.12,19.12,17.16,16.78,15.84,13.59,11.88,12.97,13.72,12.62,11.97,13.84,16.03,16.44,15.69,15.62,16.59,15.56,12.62,11.0,11.03,11.09,9.81,9.53,12.25,15.44,16.31,16.03,17.0,17.31,15.22,12.09,10.97,11.56,11.97,19.72,21.12,22.38,22.44,22.41,24.0,25.16,24.59,24.69,26.09,28.41,29.59,29.97,31.44:30.47,31.75,32.19,29.47,25.44,23.84,23.56,22.06,20.97,22.31,26.0,29.31,30.34,31.34,33.56,34.25,31.72,28.78,28.22,28.38,26.56,24.16,24.0,24.91,24.47,22.12,21.22,22.03,21.75,19.72,18.38,19.66,21.12,20.88,20.75,23.12,26.56,27.84,28.09,29.94,32.41,32.94,31.25,30.31,31.72,32.12,30.34,29.09,29.75,29.28,26.16,22.56,21.0,20.88,20.06,19.41,21.53,25.75,29.28,30.84,32.28,35.03,36.38,34.94,33.06,33.66,35.03,34.0,31.69,31.41,31.28,29.25,25.88,24.5,25.19,25.44,23.84,23.16,24.22,24.56,23.16,21.66,22.5,24.19,24.03,22.88,23.34,24.28,23.47,20.22,18.03,17.28,16.34,13.75,11.78,13.0,14.62,13.88,13.31,15.16,17.97,19.09,19.69,21.62,24.81,26.38,25.41,25.12,26.47,27.31,26.06,25.34,27.12,29.0,28.44,26.91,26.94,27.28,25.28,22.31,21.06,21.38,21.88,20.47,19.66,21.06,22.0,19.84,18.38,19.53,20.81,20.03,18.44,18.78,20.16,20.75,20.22,21.84,25.22,27.75,27.59,27.88,30.0,32.12,31.97,31.75,33.12,34.78,33.88,31.38,30.31,30.38,29.0,26.25,25.25,26.34,27.31,26.22,25.47,27.06,29.38,29.41,29.28,31.5,34.06,33.94,32.28,31.31,31.53,30.62,27.72,25.66,26.16,26.41,24.5,23.31,24.0,25.06,23.91,21.56,21.38,22.0,21.09,19.53,19.0,20.5,20.72,19.06,18.47,19.81,21.5,21.31,21.5,24.38,28.38,30.72,32.53,35.97,39.91,42.09,42.0,42.12,43.44,43.31,40.09,37.31,36.34,35.84,33.22,30.59,29.69,29.5,27.16,23.38,21.28,20.25,18.44,15.25,13.28,13.53,13.75,12.09,11.12,13.16,16.03,17.19,17.91,19.94,22.69,23.34,22.19,22.38,24.5,25.44,24.53,24.72,26.72,28.28,27.31,25.94,25.94,25.88,23.41,20.09,18.25,18.28,16.72,14.38,13.56,14.22,14.59,13.19,12.59,14.69,17.62,18.47,19.28,21.88,25.44,26.62,26.22,26.34,27.19,25.91,22.66,20.91,21.53,22.25,21.12,20.22,21.34,22.31,21.25,19.22,19.53,21.31,21.5,20.69,21.31,23.12,23.31,21.53,20.19,21.28,22.53,21.78,21.28,23.72,26.59,27.06,26.41,26.56,27.81,26.72,24.34,23.22,24.62,25.0,23.56,22.44,23.16,23.47,21.09,18.81,18.72,19.91,19.0,17.09,16.59,17.5,16.97,15.62,15.72,18.62,21.59,22.62,24.06,27.41,29.81,29.25,27.56,27.47,28.03,27.12,25.16,24.75,26.22,26.72,25.88,25.91,28.44,30.41,30.81,30.81,32.81,35.31,34.97,33.66,34.44,36.19,36.19,35.03,34.59,35.28,34.72,31.5,28.72,28.62,28.5,27.03,25.5,26.53,28.47,28.25,27.19,28.56,31.94,34.03,34.25,35.28,37.12,37.0,34.0,30.88,30.22,29.53,27.34,24.66,24.53,25.19,24.09,21.5,20.41,21.31,21.16,19.62,19.12,20.94,21.84,20.31,18.44,19.12,19.66,18.84,17.0,17.47,18.91,18.72,17.69,17.75,19.84,21.34,21.44,21.88,24.31,27.19,27.62,27.53,29.78,32.5,32.03,29.78,28.38,27.81,25.72,22.28,20.28,21.25,21.94,20.81,21.03,23.91,27.03,28.06,28.56,31.0,33.72,34.19,32.78,32.94,34.28,34.47,32.97,32.0,32.94,33.06,31.34,29.72,30.69,32.03,31.28,29.34,29.78,30.97,30.53,28.69,28.12,29.03,28.91,26.75,25.94,28.19,30.66,30.75,30.78,32.38,34.28,33.62,31.31,30.47,31.0,29.69,27.12,26.31,27.59,28.56,27.41,26.66,28.38,30.0,28.53,26.66,26.81,27.5,26.75,25.31,25.81,27.34,27.72,25.66,24.62,25.72,26.91,26.19,26.53,29.47,32.69,33.53,33.28,35.38,37.97,38.28,36.41,35.25,34.59,32.03,27.38,23.56,22.78,22.53,20.5,19.03,20.31,21.78,21.09,19.19,19.25,20.5,20.31,18.91,19.72,22.84,25.5,26.22,27.28,30.19,32.38,32.41,32.0,34.12,36.97,37.78,36.91,37.47,38.47,37.88,35.28,33.97,34.72,35.28,33.59,32.34,32.88,33.31,31.06,28.31,27.84,28.56,28.16,26.5,26.53,28.0,28.19,26.09,25.38,26.84,27.91,26.81,26.0,27.62,29.88,29.84,28.62,29.0,30.0,28.91,26.16,25.31,26.53,27.56,26.12,25.56,26.69,27.38,24.91,22.06,20.75,20.12,17.22,13.72,12.62,13.5,13.84,13.06,14.38,17.47,20.5,21.34,22.75,26.66,30.59,31.44,31.81,33.75,36.06,36.5,35.66,36.5,38.38,38.75,36.09,33.66,32.44,30.19,25.5,21.28,20.0,19.47,17.25,15.03,15.25,17.19,17.88,17.25,18.25,20.97,22.31,21.69,22.28,25.09,28.03,28.38,28.84,30.72,32.53,31.03,27.47,25.03,23.81,20.91,17.38,16.34,18.03,19.53,18.81,19.16,21.25,23.66,23.31,22.22,22.88,24.28,23.19,20.47,19.53,20.06,19.12,16.56,15.16,16.12,16.81,15.25,14.19,15.97,18.44,17.62,16.94,18.0,20.09,20.91,20.53,21.81,24.81,26.53,25.66,25.16,26.59,26.72,24.03,21.59,22.0,23.78,23.97,24.34,27.03,30.62,31.59,30.59,30.47,31.59,31.38,28.53,26.28,26.06,25.81,23.06,20.44,20.22,21.72,21.22,20.41,21.72,24.78,26.44,25.91,26.03,28.03,28.16,25.72,22.94,22.16,22.0,19.62,17.22,17.16,18.25,16.88,14.34,13.53,14.72,15.38,14.53,14.69,17.34,19.5,19.09,18.56,20.53,22.59,22.03,20.38,20.5,22.12,22.0,20.88,21.41,23.78,24.88,23.25,21.84,22.44,22.53,19.97,17.03,16.28,16.66,14.91,12.66,12.47,14.09,14.06,13.03,13.38,16.44,18.88,18.72,18.19,19.66,20.22,18.88,18.09,20.22,23.88,25.53,25.41,25.69,27.12,26.31,23.75,22.38,23.31,23.62,22.34,20.69,21.12,21.56,19.59,17.41,17.62,20.22,21.5,21.59,23.03,25.81,26.22,24.38,22.94,23.66,24.47,23.56,22.69,24.16,25.94,24.88,22.12,21.0,21.16,19.59,17.16,16.19,17.62,18.31,17.06,16.06,17.66,19.16,18.03,16.22,17.06,19.0,19.25,18.59,19.69,22.84,24.34,24.16,24.62,26.94,27.59,25.41,23.0,22.59,22.72,21.12,19.31,20.12,22.72,24.0,23.84,25.31,28.12,29.28,27.81,26.88,27.97,28.09,26.03,23.88,23.72,24.06,22.59,20.53,20.47,21.78,21.34,19.5,19.03,20.69,21.97,21.31,21.0,23.28,24.94,24.28,23.56,25.25,28.03,28.81,28.53,30.12,32.38,32.75,31.03,29.75,30.59,30.66,28.91,27.59,28.78,29.78,29.03,27.41,28.25,30.25,30.91,30.28,31.62,34.81,36.5,36.31,36.97,39.22,40.06,37.44,33.91,32.44,31.03,27.41,24.06,23.28,24.03,24.16,23.19,23.72,25.72,26.94,25.53,24.72,26.38,28.06,27.25,26.12,27.06,28.41,27.62,25.53,25.84,27.41,28.0,27.22,27.28,28.88,28.97,26.53,23.97,23.72,23.97,22.28,20.5,21.0,21.88,20.69,17.78,16.47,16.69,16.16,14.25,13.94,16.06,17.75,17.31,16.47,17.47,18.94,18.22,16.91,17.41,18.75,18.53,16.84,16.88,18.47,20.0,19.38,20.06,23.09,26.16,26.28,25.66,26.44,26.81,24.69,21.0,18.94,18.25,16.72,14.22,13.75,15.44,16.66,16.25,15.81,17.66,19.72,19.81,19.0,20.16,22.06,21.41,19.38,18.91,19.56,19.38,17.56,16.66,17.88,18.5,16.97,15.41,16.31,18.09,18.06,18.25,19.91,22.78,23.38,21.59,20.69,20.59,19.22,15.53,13.12,12.62,12.66,10.72,9.19,10.25,12.5,12.94,12.97,15.09,19.16,21.84,23.22,25.69,29.62,31.62,30.88,30.19,31.09,31.69,29.59,26.78,25.47,24.66,21.69,18.03,16.31,16.56,16.59,15.41,15.62,18.0,20.06,19.06,17.84,18.41,18.69,16.62,14.38,14.16,15.44,15.16,13.88,13.78,15.5,16.06,14.62,14.22,16.09,17.84,17.34,17.47,19.34,21.91,21.78,20.19,19.53,19.53,17.66,14.56,13.44,14.81,15.81,15.41,15.78,18.28,20.81,20.94,20.41,21.41,23.03,22.75,21.09,21.06,22.62,22.88,21.41,21.09,22.34,22.28,19.66,16.75,15.81,15.5,13.44,12.38,13.44,15.88,16.84,16.12,16.25,17.44,17.56,15.59,14.09,14.94,15.72,14.34,13.56,14.53,15.97,15.41,14.22,14.56,17.16,18.44,19.06,20.41,22.97,24.19,22.34,20.12,19.69,19.38,16.97,14.41,13.91,14.59,13.97,12.5,13.0,15.75,17.31,17.38,17.59,19.34,20.16,18.28,16.69,17.69,19.44,19.81,19.69,21.0,22.78,22.12,19.12,17.16,16.78,15.84,13.59,11.88,12.97,13.72,12.62,11.97,13.84,16.03,16.44,15.69,15.62,16.59,15.56,12.62,11.0,11.03,11.09,9.81,9.53,12.25,15.44,16.31,16.03,17.0,17.31,15.22,12.09,10.97,11.56,11.97,19.72,21.12,22.38,22.44,22.41,24.0,25.16,24.59,24.69,26.09,28.41,29.59,29.97,31.44,33.56,34.69,34.59,35.0,37.22,38.72,38.94:22.06,20.97,22.31,26.0,29.31,30.34,31.34,33.56,34.25,31.72,28.78,28.22,28.38,26.56,24.16,24.0,24.91,24.47,22.12,21.22,22.03,21.75,19.72,18.38,19.66,21.12,20.88,20.75,23.12,26.56,27.84,28.09,29.94,32.41,32.94,31.25,30.31,31.72,32.12,30.34,29.09,29.75,29.28,26.16,22.56,21.0,20.88,20.06,19.41,21.53,25.75,29.28,30.84,32.28,35.03,36.38,34.94,33.06,33.66,35.03,34.0,31.69,31.41,31.28,29.25,25.88,24.5,25.19,25.44,23.84,23.16,24.22,24.56,23.16,21.66,22.5,24.19,24.03,22.88,23.34,24.28,23.47,20.22,18.03,17.28,16.34,13.75,11.78,13.0,14.62,13.88,13.31,15.16,17.97,19.09,19.69,21.62,24.81,26.38,25.41,25.12,26.47,27.31,26.06,25.34,27.12,29.0,28.44,26.91,26.94,27.28,25.28,22.31,21.06,21.38,21.88,20.47,19.66,21.06,22.0,19.84,18.38,19.53,20.81,20.03,18.44,18.78,20.16,20.75,20.22,21.84,25.22,27.75,27.59,27.88,30.0,32.12,31.97,31.75,33.12,34.78,33.88,31.38,30.31,30.38,29.0,26.25,25.25,26.34,27.31,26.22,25.47,27.06,29.38,29.41,29.28,31.5,34.06,33.94,32.28,31.31,31.53,30.62,27.72,25.66,26.16,26.41,24.5,23.31,24.0,25.06,23.91,21.56,21.38,22.0,21.09,19.53,19.0,20.5,20.72,19.06,18.47,19.81,21.5,21.31,21.5,24.38,28.38,30.72,32.53,35.97,39.91,42.09,42.0,42.12,43.44,43.31,40.09,37.31,36.34,35.84,33.22,30.59,29.69,29.5,27.16,23.38,21.28,20.25,18.44,15.25,13.28,13.53,13.75,12.09,11.12,13.16,16.03,17.19,17.91,19.94,22.69,23.34,22.19,22.38,24.5,25.44,24.53,24.72,26.72,28.28,27.31,25.94,25.94,25.88,23.41,20.09,18.25,18.28,16.72,14.38,13.56,14.22,14.59,13.19,12.59,14.69,17.62,18.47,19.28,21.88,25.44,26.62,26.22,26.34,27.19,25.91,22.66,20.91,21.53,22.25,21.12,20.22,21.34,22.31,21.25,19.22,19.53,21.31,21.5,20.69,21.31,23.12,23.31,21.53,20.19,21.28,22.53,21.78,21.28,23.72,26.59,27.06,26.41,26.56,27.81,26.72,24.34,23.22,24.62,25.0,23.56,22.44,23.16,23.47,21.09,18.81,18.72,19.91,19.0,17.09,16.59,17.5,16.97,15.62,15.72,18.62,21.59,22.62,24.06,27.41,29.81,29.25,27.56,27.47,28.03,27.12,25.16,24.75,26.22,26.72,25.88,25.91,28.44,30.41,30.81,30.81,32.81,35.31,34.97,33.66,34.44,36.19,36.19,35.03,34.59,35.28,34.72,31.5,28.72,28.62,28.5,27.03,25.5,26.53,28.47,28.25,27.19,28.56,31.94,34.03,34.25,35.28,37.12,37.0,34.0,30.88,30.22,29.53,27.34,24.66,24.53,25.19,24.09,21.5,20.41,21.31,21.16,19.62,19.12,20.94,21.84,20.31,18.44,19.12,19.66,18.84,17.0,17.47,18.91,18.72,17.69,17.75,19.84,21.34,21.44,21.88,24.31,27.19,27.62,27.53,29.78,32.5,32.03,29.78,28.38,27.81,25.72,22.28,20.28,21.25,21.94,20.81,21.03,23.91,27.03,28.06,28.56,31.0,33.72,34.19,32.78,32.94,34.28,34.47,32.97,32.0,32.94,33.06,31.34,29.72,30.69,32.03,31.28,29.34,29.78,30.97,30.53,28.69,28.12,29.03,28.91,26.75,25.94,28.19,30.66,30.75,30.78,32.38,34.28,33.62,31.31,30.47,31.0,29.69,27.12,26.31,27.59,28.56,27.41,26.66,28.38,30.0,28.53,26.66,26.81,27.5,26.75,25.31,25.81,27.34,27.72,25.66,24.62,25.72,26.91,26.19,26.53,29.47,32.69,33.53,33.28,35.38,37.97,38.28,36.41,35.25,34.59,32.03,27.38,23.56,22.78,22.53,20.5,19.03,20.31,21.78,21.09,19.19,19.25,20.5,20.31,18.91,19.72,22.84,25.5,26.22,27.28,30.19,32.38,32.41,32.0,34.12,36.97,37.78,36.91,37.47,38.47,37.88,35.28,33.97,34.72,35.28,33.59,32.34,32.88,33.31,31.06,28.31,27.84,28.56,28.16,26.5,26.53,28.0,28.19,26.09,25.38,26.84,27.91,26.81,26.0,27.62,29.88,29.84,28.62,29.0,30.0,28.91,26.16,25.31,26.53,27.56,26.12,25.56,26.69,27.38,24.91,22.06,20.75,20.12,17.22,13.72,12.62,13.5,13.84,13.06,14.38,17.47,20.5,21.34,22.75,26.66,30.59,31.44,31.81,33.75,36.06,36.5,35.66,36.5,38.38,38.75,36.09,33.66,32.44,30.19,25.5,21.28,20.0,19.47,17.25,15.03,15.25,17.19,17.88,17.25,18.25,20.97,22.31,21.69,22.28,25.09,28.03,28.38,28.84,30.72,32.53,31.03,27.47,25.03,23.81,20.91,17.38,16.34,18.03,19.53,18.81,19.16,21.25,23.66,23.31,22.22,22.88,24.28,23.19,20.47,19.53,20.06,19.12,16.56,15.16,16.12,16.81,15.25,14.19,15.97,18.44,17.62,16.94,18.0,20.09,20.91,20.53,21.81,24.81,26.53,25.66,25.16,26.59,26.72,24.03,21.59,22.0,23.78,23.97,24.34,27.03,30.62,31.59,30.59,30.47,31.59,31.38,28.53,26.28,26.06,25.81,23.06,20.44,20.22,21.72,21.22,20.41,21.72,24.78,26.44,25.91,26.03,28.03,28.16,25.72,22.94,22.16,22.0,19.62,17.22,17.16,18.25,16.88,14.34,13.53,14.72,15.38,14.53,14.69,17.34,19.5,19.09,18.56,20.53,22.59,22.03,20.38,20.5,22.12,22.0,20.88,21.41,23.78,24.88,23.25,21.84,22.44,22.53,19.97,17.03,16.28,16.66,14.91,12.66,12.47,14.09,14.06,13.03,13.38,16.44,18.88,18.72,18.19,19.66,20.22,18.88,18.09,20.22,23.88,25.53,25.41,25.69,27.12,26.31,23.75,22.38,23.31,23.62,22.34,20.69,21.12,21.56,19.59,17.41,17.62,20.22,21.5,21.59,23.03,25.81,26.22,24.38,22.94,23.66,24.47,23.56,22.69,24.16,25.94,24.88,22.12,21.0,21.16,19.59,17.16,16.19,17.62,18.31,17.06,16.06,17.66,19.16,18.03,16.22,17.06,19.0,19.25,18.59,19.69,22.84,24.34,24.16,24.62,26.94,27.59,25.41,23.0,22.59,22.72,21.12,19.31,20.12,22.72,24.0,23.84,25.31,28.12,29.28,27.81,26.88,27.97,28.09,26.03,23.88,23.72,24.06,22.59,20.53,20.47,21.78,21.34,19.5,19.03,20.69,21.97,21.31,21.0,23.28,24.94,24.28,23.56,25.25,28.03,28.81,28.53,30.12,32.38,32.75,31.03,29.75,30.59,30.66,28.91,27.59,28.78,29.78,29.03,27.41,28.25,30.25,30.91,30.28,31.62,34.81,36.5,36.31,36.97,39.22,40.06,37.44,33.91,32.44,31.03,27.41,24.06,23.28,24.03,24.16,23.19,23.72,25.72,26.94,25.53,24.72,26.38,28.06,27.25,26.12,27.06,28.41,27.62,25.53,25.84,27.41,28.0,27.22,27.28,28.88,28.97,26.53,23.97,23.72,23.97,22.28,20.5,21.0,21.88,20.69,17.78,16.47,16.69,16.16,14.25,13.94,16.06,17.75,17.31,16.47,17.47,18.94,18.22,16.91,17.41,18.75,18.53,16.84,16.88,18.47,20.0,19.38,20.06,23.09,26.16,26.28,25.66,26.44,26.81,24.69,21.0,18.94,18.25,16.72,14.22,13.75,15.44,16.66,16.25,15.81,17.66,19.72,19.81,19.0,20.16,22.06,21.41,19.38,18.91,19.56,19.38,17.56,16.66,17.88,18.5,16.97,15.41,16.31,18.09,18.06,18.25,19.91,22.78,23.38,21.59,20.69,20.59,19.22,15.53,13.12,12.62,12.66,10.72,9.19,10.25,12.5,12.94,12.97,15.09,19.16,21.84,23.22,25.69,29.62,31.62,30.88,30.19,31.09,31.69,29.59,26.78,25.47,24.66,21.69,18.03,16.31,16.56,16.59,15.41,15.62,18.0,20.06,19.06,17.84,18.41,18.69,16.62,14.38,14.16,15.44,15.16,13.88,13.78,15.5,16.06,14.62,14.22,16.09,17.84,17.34,17.47,19.34,21.91,21.78,20.19,19.53,19.53,17.66,14.56,13.44,14.81,15.81,15.41,15.78,18.28,20.81,20.94,20.41,21.41,23.03,22.75,21.09,21.06,22.62,22.88,21.41,21.09,22.34,22.28,19.66,16.75,15.81,15.5,13.44,12.38,13.44,15.88,16.84,16.12,16.25,17.44,17.56,15.59,14.09,14.94,15.72,14.34,13.56,14.53,15.97,15.41,14.22,14.56,17.16,18.44,19.06,20.41,22.97,24.19,22.34,20.12,19.69,19.38,16.97,14.41,13.91,14.59,13.97,12.5,13.0,15.75,17.31,17.38,17.59,19.34,20.16,18.28,16.69,17.69,19.44,19.81,19.69,21.0,22.78,22.12,19.12,17.16,16.78,15.84,13.59,11.88,12.97,13.72,12.62,11.97,13.84,16.03,16.44,15.69,15.62,16.59,15.56,12.62,11.0,11.03,11.09,9.81,9.53,12.25,15.44,16.31,16.03,17.0,17.31,15.22,12.09,10.97,11.56,11.97,19.72,21.12,22.38,22.44,22.41,24.0,25.16,24.59,24.69,26.09,28.41,29.59,29.97,31.44,33.56,34.69,34.59,35.0,37.22,38.72,38.94,39.38,41.25,42.28,41.09,38.75,37.69,37.5:33.56,34.25,31.72,28.78,28.22,28.38,26.56,24.16,24.0,24.91,24.47,22.12,21.22,22.03,21.75,19.72,18.38,19.66,21.12,20.88,20.75,23.12,26.56,27.84,28.09,29.94,32.41,32.94,31.25,30.31,31.72,32.12,30.34,29.09,29.75,29.28,26.16,22.56,21.0,20.88,20.06,19.41,21.53,25.75,29.28,30.84,32.28,35.03,36.38,34.94,33.06,33.66,35.03,34.0,31.69,31.41,31.28,29.25,25.88,24.5,25.19,25.44,23.84,23.16,24.22,24.56,23.16,21.66,22.5,24.19,24.03,22.88,23.34,24.28,23.47,20.22,18.03,17.28,16.34,13.75,11.78,13.0,14.62,13.88,13.31,15.16,17.97,19.09,19.69,21.62,24.81,26.38,25.41,25.12,26.47,27.31,26.06,25.34,27.12,29.0,28.44,26.91,26.94,27.28,25.28,22.31,21.06,21.38,21.88,20.47,19.66,21.06,22.0,19.84,18.38,19.53,20.81,20.03,18.44,18.78,20.16,20.75,20.22,21.84,25.22,27.75,27.59,27.88,30.0,32.12,31.97,31.75,33.12,34.78,33.88,31.38,30.31,30.38,29.0,26.25,25.25,26.34,27.31,26.22,25.47,27.06,29.38,29.41,29.28,31.5,34.06,33.94,32.28,31.31,31.53,30.62,27.72,25.66,26.16,26.41,24.5,23.31,24.0,25.06,23.91,21.56,21.38,22.0,21.09,19.53,19.0,20.5,20.72,19.06,18.47,19.81,21.5,21.31,21.5,24.38,28.38,30.72,32.53,35.97,39.91,42.09,42.0,42.12,43.44,43.31,40.09,37.31,36.34,35.84,33.22,30.59,29.69,29.5,27.16,23.38,21.28,20.25,18.44,15.25,13.28,13.53,13.75,12.09,11.12,13.16,16.03,17.19,17.91,19.94,22.69,23.34,22.19,22.38,24.5,25.44,24.53,24.72,26.72,28.28,27.31,25.94,25.94,25.88,23.41,20.09,18.25,18.28,16.72,14.38,13.56,14.22,14.59,13.19,12.59,14.69,17.62,18.47,19.28,21.88,25.44,26.62,26.22,26.34,27.19,25.91,22.66,20.91,21.53,22.25,21.12,20.22,21.34,22.31,21.25,19.22,19.53,21.31,21.5,20.69,21.31,23.12,23.31,21.53,20.19,21.28,22.53,21.78,21.28,23.72,26.59,27.06,26.41,26.56,27.81,26.72,24.34,23.22,24.62,25.0,23.56,22.44,23.16,23.47,21.09,18.81,18.72,19.91,19.0,17.09,16.59,17.5,16.97,15.62,15.72,18.62,21.59,22.62,24.06,27.41,29.81,29.25,27.56,27.47,28.03,27.12,25.16,24.75,26.22,26.72,25.88,25.91,28.44,30.41,30.81,30.81,32.81,35.31,34.97,33.66,34.44,36.19,36.19,35.03,34.59,35.28,34.72,31.5,28.72,28.62,28.5,27.03,25.5,26.53,28.47,28.25,27.19,28.56,31.94,34.03,34.25,35.28,37.12,37.0,34.0,30.88,30.22,29.53,27.34,24.66,24.53,25.19,24.09,21.5,20.41,21.31,21.16,19.62,19.12,20.94,21.84,20.31,18.44,19.12,19.66,18.84,17.0,17.47,18.91,18.72,17.69,17.75,19.84,21.34,21.44,21.88,24.31,27.19,27.62,27.53,29.78,32.5,32.03,29.78,28.38,27.81,25.72,22.28,20.28,21.25,21.94,20.81,21.03,23.91,27.03,28.06,28.56,31.0,33.72,34.19,32.78,32.94,34.28,34.47,32.97,32.0,32.94,33.06,31.34,29.72,30.69,32.03,31.28,29.34,29.78,30.97,30.53,28.69,28.12,29.03,28.91,26.75,25.94,28.19,30.66,30.75,30.78,32.38,34.28,33.62,31.31,30.47,31.0,29.69,27.12,26.31,27.59,28.56,27.41,26.66,28.38,30.0,28.53,26.66,26.81,27.5,26.75,25.31,25.81,27.34,27.72,25.66,24.62,25.72,26.91,26.19,26.53,29.47,32.69,33.53,33.28,35.38,37.97,38.28,36.41,35.25,34.59,32.03,27.38,23.56,22.78,22.53,20.5,19.03,20.31,21.78,21.09,19.19,19.25,20.5,20.31,18.91,19.72,22.84,25.5,26.22,27.28,30.19,32.38,32.41,32.0,34.12,36.97,37.78,36.91,37.47,38.47,37.88,35.28,33.97,34.72,35.28,33.59,32.34,32.88,33.31,31.06,28.31,27.84,28.56,28.16,26.5,26.53,28.0,28.19,26.09,25.38,26.84,27.91,26.81,26.0,27.62,29.88,29.84,28.62,29.0,30.0,28.91,26.16,25.31,26.53,27.56,26.12,25.56,26.69,27.38,24.91,22.06,20.75,20.12,17.22,13.72,12.62,13.5,13.84,13.06,14.38,17.47,20.5,21.34,22.75,26.66,30.59,31.44,31.81,33.75,36.06,36.5,35.66,36.5,38.38,38.75,36.09,33.66,32.44,30.19,25.5,21.28,20.0,19.47,17.25,15.03,15.25,17.19,17.88,17.25,18.25,20.97,22.31,21.69,22.28,25.09,28.03,28.38,28.84,30.72,32.53,31.03,27.47,25.03,23.81,20.91,17.38,16.34,18.03,19.53,18.81,19.16,21.25,23.66,23.31,22.22,22.88,24.28,23.19,20.47,19.53,20.06,19.12,16.56,15.16,16.12,16.81,15.25,14.19,15.97,18.44,17.62,16.94,18.0,20.09,20.91,20.53,21.81,24.81,26.53,25.66,25.16,26.59,26.72,24.03,21.59,22.0,23.78,23.97,24.34,27.03,30.62,31.59,30.59,30.47,31.59,31.38,28.53,26.28,26.06,25.81,23.06,20.44,20.22,21.72,21.22,20.41,21.72,24.78,26.44,25.91,26.03,28.03,28.16,25.72,22.94,22.16,22.0,19.62,17.22,17.16,18.25,16.88,14.34,13.53,14.72,15.38,14.53,14.69,17.34,19.5,19.09,18.56,20.53,22.59,22.03,20.38,20.5,22.12,22.0,20.88,21.41,23.78,24.88,23.25,21.84,22.44,22.53,19.97,17.03,16.28,16.66,14.91,12.66,12.47,14.09,14.06,13.03,13.38,16.44,18.88,18.72,18.19,19.66,20.22,18.88,18.09,20.22,23.88,25.53,25.41,25.69,27.12,26.31,23.75,22.38,23.31,23.62,22.34,20.69,21.12,21.56,19.59,17.41,17.62,20.22,21.5,21.59,23.03,25.81,26.22,24.38,22.94,23.66,24.47,23.56,22.69,24.16,25.94,24.88,22.12,21.0,21.16,19.59,17.16,16.19,17.62,18.31,17.06,16.06,17.66,19.16,18.03,16.22,17.06,19.0,19.25,18.59,19.69,22.84,24.34,24.16,24.62,26.94,27.59,25.41,23.0,22.59,22.72,21.12,19.31,20.12,22.72,24.0,23.84,25.31,28.12,29.28,27.81,26.88,27.97,28.09,26.03,23.88,23.72,24.06,22.59,20.53,20.47,21.78,21.34,19.5,19.03,20.69,21.97,21.31,21.0,23.28,24.94,24.28,23.56,25.25,28.03,28.81,28.53,30.12,32.38,32.75,31.03,29.75,30.59,30.66,28.91,27.59,28.78,29.78,29.03,27.41,28.25,30.25,30.91,30.28,31.62,34.81,36.5,36.31,36.97,39.22,40.06,37.44,33.91,32.44,31.03,27.41,24.06,23.28,24.03,24.16,23.19,23.72,25.72,26.94,25.53,24.72,26.38,28.06,27.25,26.12,27.06,28.41,27.62,25.53,25.84,27.41,28.0,27.22,27.28,28.88,28.97,26.53,23.97,23.72,23.97,22.28,20.5,21.0,21.88,20.69,17.78,16.47,16.69,16.16,14.25,13.94,16.06,17.75,17.31,16.47,17.47,18.94,18.22,16.91,17.41,18.75,18.53,16.84,16.88,18.47,20.0,19.38,20.06,23.09,26.16,26.28,25.66,26.44,26.81,24.69,21.0,18.94,18.25,16.72,14.22,13.75,15.44,16.66,16.25,15.81,17.66,19.72,19.81,19.0,20.16,22.06,21.41,19.38,18.91,19.56,19.38,17.56,16.66,17.88,18.5,16.97,15.41,16.31,18.09,18.06,18.25,19.91,22.78,23.38,21.59,20.69,20.59,19.22,15.53,13.12,12.62,12.66,10.72,9.19,10.25,12.5,12.94,12.97,15.09,19.16,21.84,23.22,25.69,29.62,31.62,30.88,30.19,31.09,31.69,29.59,26.78,25.47,24.66,21.69,18.03,16.31,16.56,16.59,15.41,15.62,18.0,20.06,19.06,17.84,18.41,18.69,16.62,14.38,14.16,15.44,15.16,13.88,13.78,15.5,16.06,14.62,14.22,16.09,17.84,17.34,17.47,19.34,21.91,21.78,20.19,19.53,19.53,17.66,14.56,13.44,14.81,15.81,15.41,15.78,18.28,20.81,20.94,20.41,21.41,23.03,22.75,21.09,21.06,22.62,22.88,21.41,21.09,22.34,22.28,19.66,16.75,15.81,15.5,13.44,12.38,13.44,15.88,16.84,16.12,16.25,17.44,17.56,15.59,14.09,14.94,15.72,14.34,13.56,14.53,15.97,15.41,14.22,14.56,17.16,18.44,19.06,20.41,22.97,24.19,22.34,20.12,19.69,19.38,16.97,14.41,13.91,14.59,13.97,12.5,13.0,15.75,17.31,17.38,17.59,19.34,20.16,18.28,16.69,17.69,19.44,19.81,19.69,21.0,22.78,22.12,19.12,17.16,16.78,15.84,13.59,11.88,12.97,13.72,12.62,11.97,13.84,16.03,16.44,15.69,15.62,16.59,15.56,12.62,11.0,11.03,11.09,9.81,9.53,12.25,15.44,16.31,16.03,17.0,17.31,15.22,12.09,10.97,11.56,11.97,19.72,21.12,22.38,22.44,22.41,24.0,25.16,24.59,24.69,26.09,28.41,29.59,29.97,31.44,33.56,34.69,34.59,35.0,37.22,38.72,38.94,39.38,41.25,42.28,41.09,38.75,37.69,37.5,36.38,35.88,37.41,40.19,42.5,42.94,43.09:24.16,24.0,24.91,24.47,22.12,21.22,22.03,21.75,19.72,18.38,19.66,21.12,20.88,20.75,23.12,26.56,27.84,28.09,29.94,32.41,32.94,31.25,30.31,31.72,32.12,30.34,29.09,29.75,29.28,26.16,22.56,21.0,20.88,20.06,19.41,21.53,25.75,29.28,30.84,32.28,35.03,36.38,34.94,33.06,33.66,35.03,34.0,31.69,31.41,31.28,29.25,25.88,24.5,25.19,25.44,23.84,23.16,24.22,24.56,23.16,21.66,22.5,24.19,24.03,22.88,23.34,24.28,23.47,20.22,18.03,17.28,16.34,13.75,11.78,13.0,14.62,13.88,13.31,15.16,17.97,19.09,19.69,21.62,24.81,26.38,25.41,25.12,26.47,27.31,26.06,25.34,27.12,29.0,28.44,26.91,26.94,27.28,25.28,22.31,21.06,21.38,21.88,20.47,19.66,21.06,22.0,19.84,18.38,19.53,20.81,20.03,18.44,18.78,20.16,20.75,20.22,21.84,25.22,27.75,27.59,27.88,30.0,32.12,31.97,31.75,33.12,34.78,33.88,31.38,30.31,30.38,29.0,26.25,25.25,26.34,27.31,26.22,25.47,27.06,29.38,29.41,29.28,31.5,34.06,33.94,32.28,31.31,31.53,30.62,27.72,25.66,26.16,26.41,24.5,23.31,24.0,25.06,23.91,21.56,21.38,22.0,21.09,19.53,19.0,20.5,20.72,19.06,18.47,19.81,21.5,21.31,21.5,24.38,28.38,30.72,32.53,35.97,39.91,42.09,42.0,42.12,43.44,43.31,40.09,37.31,36.34,35.84,33.22,30.59,29.69,29.5,27.16,23.38,21.28,20.25,18.44,15.25,13.28,13.53,13.75,12.09,11.12,13.16,16.03,17.19,17.91,19.94,22.69,23.34,22.19,22.38,24.5,25.44,24.53,24.72,26.72,28.28,27.31,25.94,25.94,25.88,23.41,20.09,18.25,18.28,16.72,14.38,13.56,14.22,14.59,13.19,12.59,14.69,17.62,18.47,19.28,21.88,25.44,26.62,26.22,26.34,27.19,25.91,22.66,20.91,21.53,22.25,21.12,20.22,21.34,22.31,21.25,19.22,19.53,21.31,21.5,20.69,21.31,23.12,23.31,21.53,20.19,21.28,22.53,21.78,21.28,23.72,26.59,27.06,26.41,26.56,27.81,26.72,24.34,23.22,24.62,25.0,23.56,22.44,23.16,23.47,21.09,18.81,18.72,19.91,19.0,17.09,16.59,17.5,16.97,15.62,15.72,18.62,21.59,22.62,24.06,27.41,29.81,29.25,27.56,27.47,28.03,27.12,25.16,24.75,26.22,26.72,25.88,25.91,28.44,30.41,30.81,30.81,32.81,35.31,34.97,33.66,34.44,36.19,36.19,35.03,34.59,35.28,34.72,31.5,28.72,28.62,28.5,27.03,25.5,26.53,28.47,28.25,27.19,28.56,31.94,34.03,34.25,35.28,37.12,37.0,34.0,30.88,30.22,29.53,27.34,24.66,24.53,25.19,24.09,21.5,20.41,21.31,21.16,19.62,19.12,20.94,21.84,20.31,18.44,19.12,19.66,18.84,17.0,17.47,18.91,18.72,17.69,17.75,19.84,21.34,21.44,21.88,24.31,27.19,27.62,27.53,29.78,32.5,32.03,29.78,28.38,27.81,25.72,22.28,20.28,21.25,21.94,20.81,21.03,23.91,27.03,28.06,28.56,31.0,33.72,34.19,32.78,32.94,34.28,34.47,32.97,32.0,32.94,33.06,31.34,29.72,30.69,32.03,31.28,29.34,29.78,30.97,30.53,28.69,28.12,29.03,28.91,26.75,25.94,28.19,30.66,30.75,30.78,32.38,34.28,33.62,31.31,30.47,31.0,29.69,27.12,26.31,27.59,28.56,27.41,26.66,28.38,30.0,28.53,26.66,26.81,27.5,26.75,25.31,25.81,27.34,27.72,25.66,24.62,25.72,26.91,26.19,26.53,29.47,32.69,33.53,33.28,35.38,37.97,38.28,36.41,35.25,34.59,32.03,27.38,23.56,22.78,22.53,20.5,19.03,20.31,21.78,21.09,19.19,19.25,20.5,20.31,18.91,19.72,22.84,25.5,26.22,27.28,30.19,32.38,32.41,32.0,34.12,36.97,37.78,36.91,37.47,38.47,37.88,35.28,33.97,34.72,35.28,33.59,32.34,32.88,33.31,31.06,28.31,27.84,28.56,28.16,26.5,26.53,28.0,28.19,26.09,25.38,26.84,27.91,26.81,26.0,27.62,29.88,29.84,28.62,29.0,30.0,28.91,26.16,25.31,26.53,27.56,26.12,25.56,26.69,27.38,24.91,22.06,20.75,20.12,17.22,13.72,12.62,13.5,13.84,13.06,14.38,17.47,20.5,21.34,22.75,26.66,30.59,31.44,31.81,33.75,36.06,36.5,35.66,36.5,38.38,38.75,36.09,33.66,32.44,30.19,25.5,21.28,20.0,19.47,17.25,15.03,15.25,17.19,17.88,17.25,18.25,20.97,22.31,21.69,22.28,25.09,28.03,28.38,28.84,30.72,32.53,31.03,27.47,25.03,23.81,20.91,17.38,16.34,18.03,19.53,18.81,19.16,21.25,23.66,23.31,22.22,22.88,24.28,23.19,20.47,19.53,20.06,19.12,16.56,15.16,16.12,16.81,15.25,14.19,15.97,18.44,17.62,16.94,18.0,20.09,20.91,20.53,21.81,24.81,26.53,25.66,25.16,26.59,26.72,24.03,21.59,22.0,23.78,23.97,24.34,27.03,30.62,31.59,30.59,30.47,31.59,31.38,28.53,26.28,26.06,25.81,23.06,20.44,20.22,21.72,21.22,20.41,21.72,24.78,26.44,25.91,26.03,28.03,28.16,25.72,22.94,22.16,22.0,19.62,17.22,17.16,18.25,16.88,14.34,13.53,14.72,15.38,14.53,14.69,17.34,19.5,19.09,18.56,20.53,22.59,22.03,20.38,20.5,22.12,22.0,20.88,21.41,23.78,24.88,23.25,21.84,22.44,22.53,19.97,17.03,16.28,16.66,14.91,12.66,12.47,14.09,14.06,13.03,13.38,16.44,18.88,18.72,18.19,19.66,20.22,18.88,18.09,20.22,23.88,25.53,25.41,25.69,27.12,26.31,23.75,22.38,23.31,23.62,22.34,20.69,21.12,21.56,19.59,17.41,17.62,20.22,21.5,21.59,23.03,25.81,26.22,24.38,22.94,23.66,24.47,23.56,22.69,24.16,25.94,24.88,22.12,21.0,21.16,19.59,17.16,16.19,17.62,18.31,17.06,16.06,17.66,19.16,18.03,16.22,17.06,19.0,19.25,18.59,19.69,22.84,24.34,24.16,24.62,26.94,27.59,25.41,23.0,22.59,22.72,21.12,19.31,20.12,22.72,24.0,23.84,25.31,28.12,29.28,27.81,26.88,27.97,28.09,26.03,23.88,23.72,24.06,22.59,20.53,20.47,21.78,21.34,19.5,19.03,20.69,21.97,21.31,21.0,23.28,24.94,24.28,23.56,25.25,28.03,28.81,28.53,30.12,32.38,32.75,31.03,29.75,30.59,30.66,28.91,27.59,28.78,29.78,29.03,27.41,28.25,30.25,30.91,30.28,31.62,34.81,36.5,36.31,36.97,39.22,40.06,37.44,33.91,32.44,31.03,27.41,24.06,23.28,24.03,24.16,23.19,23.72,25.72,26.94,25.53,24.72,26.38,28.06,27.25,26.12,27.06,28.41,27.62,25.53,25.84,27.41,28.0,27.22,27.28,28.88,28.97,26.53,23.97,23.72,23.97,22.28,20.5,21.0,21.88,20.69,17.78,16.47,16.69,16.16,14.25,13.94,16.06,17.75,17.31,16.47,17.47,18.94,18.22,16.91,17.41,18.75,18.53,16.84,16.88,18.47,20.0,19.38,20.06,23.09,26.16,26.28,25.66,26.44,26.81,24.69,21.0,18.94,18.25,16.72,14.22,13.75,15.44,16.66,16.25,15.81,17.66,19.72,19.81,19.0,20.16,22.06,21.41,19.38,18.91,19.56,19.38,17.56,16.66,17.88,18.5,16.97,15.41,16.31,18.09,18.06,18.25,19.91,22.78,23.38,21.59,20.69,20.59,19.22,15.53,13.12,12.62,12.66,10.72,9.19,10.25,12.5,12.94,12.97,15.09,19.16,21.84,23.22,25.69,29.62,31.62,30.88,30.19,31.09,31.69,29.59,26.78,25.47,24.66,21.69,18.03,16.31,16.56,16.59,15.41,15.62,18.0,20.06,19.06,17.84,18.41,18.69,16.62,14.38,14.16,15.44,15.16,13.88,13.78,15.5,16.06,14.62,14.22,16.09,17.84,17.34,17.47,19.34,21.91,21.78,20.19,19.53,19.53,17.66,14.56,13.44,14.81,15.81,15.41,15.78,18.28,20.81,20.94,20.41,21.41,23.03,22.75,21.09,21.06,22.62,22.88,21.41,21.09,22.34,22.28,19.66,16.75,15.81,15.5,13.44,12.38,13.44,15.88,16.84,16.12,16.25,17.44,17.56,15.59,14.09,14.94,15.72,14.34,13.56,14.53,15.97,15.41,14.22,14.56,17.16,18.44,19.06,20.41,22.97,24.19,22.34,20.12,19.69,19.38,16.97,14.41,13.91,14.59,13.97,12.5,13.0,15.75,17.31,17.38,17.59,19.34,20.16,18.28,16.69,17.69,19.44,19.81,19.69,21.0,22.78,22.12,19.12,17.16,16.78,15.84,13.59,11.88,12.97,13.72,12.62,11.97,13.84,16.03,16.44,15.69,15.62,16.59,15.56,12.62,11.0,11.03,11.09,9.81,9.53,12.25,15.44,16.31,16.03,17.0,17.31,15.22,12.09,10.97,11.56,11.97,19.72,21.12,22.38,22.44,22.41,24.0,25.16,24.59,24.69,26.09,28.41,29.59,29.97,31.44,33.56,34.69,34.59,35.0,37.22,38.72,38.94,39.38,41.25,42.28,41.09,38.75,37.69,37.5,36.38,35.88,37.41,40.19,42.5,42.94,43.09,44.38,44.41,42.75,40.88,40.41,39.97,37.69:positivity
-4.69,-3.5,-4.22,-4.28,-2.94,-1.28,-0.88,-1.34,-0.44,1.34,2.34,2.47,3.69,6.09,7.81,7.16,6.5,6.53,6.06,3.84,1.28,0.75,1.31,0.53,-0.53,0.25,1.81,2.91,2.16,1.81,2.12,1.31,-1.47,-4.03,-4.34,-4.38,-5.53,-6.78,-6.53,-5.94,-6.56,-8.03,-7.47,-5.5,-3.53,-3.12,-2.0,0.38,1.66,0.66,0.19,1.31,2.25,1.03,-0.69,-1.72,-2.19,-4.25,-6.28,-6.81,-5.41,-3.66,-2.75,-0.72,2.75,6.09,7.16,8.06,9.38,10.41,8.81,6.09,4.0,2.34,-0.34,-3.81,-6.12,-6.03,-5.91,-6.56,-6.03,-3.66,-1.03,-0.38,0.5,2.88,5.53,6.56,6.97,8.56,10.53,10.41,8.56,6.84,5.56,3.44,0.56,-1.78,-2.16,-1.56,-2.56,-2.84,-1.91,-0.84,-1.56,-3.81,-4.88,-4.88,-5.59,-6.62,-6.19,-4.0,-1.84,-1.28,-0.41,1.19,2.78,2.53,1.84,2.97,4.38,4.03,2.94,2.91,3.88,4.62,4.03,4.31,5.66,6.25,4.97,3.72,3.72,3.47,1.16,-0.84,-1.97,-2.41,-3.75,-6.19,-7.44,-7.38,-8.03,-9.09,-9.12,-7.44,-5.03,-3.97,-2.62,-0.06,2.31,2.44,1.78,2.44,3.91,4.16,3.97,4.66,6.25,6.84,6.0,5.03,5.66,5.94,4.16,2.47,1.81,1.03,-1.78,-5.09,-6.97,-7.41,-8.41,-9.12,-8.22,-5.66,-3.12,-2.0,-0.75,1.94,4.0,4.28,4.0,4.81,6.12,5.25,3.88,3.66,3.97,3.06,1.38,0.53,0.97,0.81,-1.03,-2.69,-3.12,-3.56,-6.5,-8.25,-8.69,-7.59,-7.5,-7.12,-5.34,-2.75,-1.75,-2.72,-3.44,-3.16,-3.53,-5.38,-6.66,-6.0,-5.66,-6.94,-8.53,-8.62,-8.22,-8.84,-9.31,-8.38,-5.59,-3.72,-3.34,-2.28,-1.0,-0.28,-1.78,-3.22,-3.16,-3.09,-4.81,-6.72,-7.28,-6.97,-7.72,-8.56,-7.47,-5.28,-4.03,-4.47,-4.53,-3.81,-3.53,-4.47,-5.19,-4.0,-3.25,-4.12,-5.5,-5.5,-4.91,-5.69,-7.12,-8.03,-7.81,-8.19,-9.94,-10.41,-8.94,-7.59,-7.31,-6.91,-4.88,-2.28,-1.53,-1.34,0.09,1.88,1.56,0.47,-0.09,0.31,0.0,-1.72,-3.03,-2.5,-2.72,-4.59,-6.53,-6.62,-6.12,-6.28,-6.47,-4.78,-2.28,-1.28,-1.72,-0.81,1.53,3.47,4.47,5.56,7.59,9.06,7.91,6.09,5.72,5.44,3.31,1.41,1.19,2.12,2.19,1.66,1.66,2.75,3.03,1.91,1.06,1.56,1.97,0.94,-0.12,0.28,1.59,1.25,-0.09,-0.38,0.12,-0.66,-2.06,-2.5,-1.31,-0.59,-1.56,-2.62,-1.84,-1.31,-2.09,-3.0,-2.78,-2.0,-2.38,-3.31,-2.91,-1.31,-0.09,-0.59,-0.09,2.06,4.0,4.97,6.78,9.72,12.03,12.0,10.59,9.75,9.16,7.03,4.47,3.56,4.41,4.31,3.22,2.19,2.62,2.44,0.78,-0.19,0.94,2.91,3.19,3.38,4.91,6.59,6.66,5.88,6.25,8.22,9.84,10.53,10.78,12.44,13.19,12.06,10.53,11.09,11.62,10.31,8.66,8.0,8.0,7.0,5.16,4.59,6.0,6.72,6.28,6.12,7.94,9.19,8.88,8.56,9.41,10.38,9.47,8.06,7.62,8.28,7.56,5.78,4.91,5.56,5.31,3.72,2.19,2.16,2.0,0.25,-1.25,-0.72,0.78,1.09,0.62,1.53,3.12,3.28,2.16,1.5,2.0,2.06,0.41,-0.78,-0.25,0.53,-0.28,-1.72,-1.66,-0.81,-1.88,-3.47,-3.59,-1.97,-1.09,-1.78,-1.62,-0.28,0.53,-0.16,-0.88,0.53,2.03,2.53,2.59,4.16,6.25,6.5,5.47,4.97,5.19,4.94,3.59,3.31,5.22,6.84,7.31,7.88,9.56,10.72,10.75,9.56,9.75,10.72,10.16,8.41,7.12,6.59,4.59,1.25,-1.31,-2.28,-3.0,-4.88,-6.78,-6.88,-6.91,-8.22,-10.16,-10.44,-9.19,-8.75,-8.5,-7.59,-5.22,-4.0,-4.41,-4.47,-3.38,-2.12,-2.47,-3.38,-3.09,-3.0,-4.94,-8.41,-10.41,-11.38,-12.88,-14.72,-15.34,-14.28,-13.62,-13.78,-13.81,-12.25,-10.41,-9.94,-9.66,-7.19,-4.78,-3.09,-2.97,-2.38,-1.19,-0.91,-1.91,-1.53,0.28,1.75,1.56,1.31,1.94,2.16,0.72,-0.88,-0.78,-0.03,-0.12,-0.5,-0.12,1.53,2.16,1.59,1.34,2.47,2.97,2.19,1.22,1.94,3.03,2.25,1.25,1.72,3.22,3.28,2.56,2.69,3.47,2.84,0.28,-2.34,-3.09,-3.97,-5.5,-5.97,-4.44,-2.56,-2.06,-2.5,-2.22,-1.75,-2.22,-3.66,-3.91,-2.31,-0.75,-0.38,0.28,2.31,3.59,3.06,2.78,4.56,6.81,8.03,8.75,10.66,12.56,12.91,11.81,11.5,11.5,11.25,9.81,8.81,9.69,10.56,9.91,9.0,9.12,9.06,7.41,4.88,3.22,2.69,1.38,-0.59,-1.16,0.06,0.94,0.28,-0.16,1.34,2.97,3.34,4.03,6.47,9.28,10.75,11.25,12.53,13.44,12.69,9.88,7.09,5.59,3.84,1.34,0.16,1.59,3.75,5.06,5.59,6.75,7.59,6.44,4.06,3.12,3.69,4.19,4.28,5.5,8.31,10.38,10.5,10.34,11.12,12.0,11.16,10.44,11.16,12.03,11.84,10.62,10.66,11.53,12.16,11.5,11.22,11.31,10.69,8.41,5.88,5.47,5.62,4.66,3.16,2.78,2.75,1.81,0.34,0.12,1.16,2.22,2.0,2.16,3.56,4.69,4.03,3.31,4.16,5.5,5.88,6.09,7.66,8.88,8.22,5.41,2.75,0.34,-2.22,-5.47,-7.31,-7.28,-6.53,-7.03,-7.31,-6.25,-4.44,-3.56,-2.56,0.38,4.41,7.69,9.0,10.19,11.25,11.28,9.31,7.94,8.19,9.31,9.34,9.28,10.97,12.88,13.53,12.75,12.69,13.62,13.59,12.34,12.28,13.53,14.0,13.03,12.03,12.62,13.5,13.28,12.59,13.22,13.75,12.78,10.94,10.16,10.84,10.84,9.75,9.38,9.91,9.97,8.09,6.16,5.34,5.09,3.47,2.06,2.0,2.22,1.16,-1.44,-2.94,-3.28,-3.56,-4.34,-4.41,-2.62,-0.44,0.06,0.88,3.25,5.84,6.81,7.34,8.38,10.31,11.12,11.03,12.31,14.59,16.25,16.12,15.94,16.25,16.28,14.62,12.66,12.38,12.84,12.19,11.38,11.41,11.78,11.12,8.88,7.22,7.28,7.03,5.56,4.56,5.16,5.78,4.97,4.09,4.88,6.5,6.91,6.59,7.28,8.69,9.16,7.72,7.44,7.78,7.88,6.22,5.06,5.44,6.88,7.38,8.22,10.5,13.31,13.91,13.56,13.53,13.97,13.34,11.75,11.41,12.31,13.28,12.78,12.12,12.19,11.66,9.91,8.12,7.91,9.12,10.09,10.12,11.28,12.66,13.19,12.06,11.19,11.62,12.19,10.88,9.19,8.91,8.72,7.38,5.84,6.0,7.88,9.06,9.78,11.53,14.0,15.88,16.16,16.22,17.09,17.75,16.06,14.19,13.28,12.5,10.72,9.16,9.16,10.78,11.94,12.16,13.09,14.69,15.5,14.56,14.03,14.69,15.31,14.16,12.47,11.5,11.62,10.69,9.81,10.41,12.91,14.78,15.81,17.56,20.62,22.94,23.06,23.09,23.53,23.47,21.44,18.66,16.75,15.34,12.44,9.28,7.41,7.41,6.84,6.31,6.97,9.09,11.62,12.09,12.31,12.72,13.16,11.25,9.16,8.38,8.22,7.19,5.75,5.53,6.81,7.97,8.72,10.03,12.44,14.97,15.12,15.25,16.0,16.38,14.53,12.0,9.94,8.44,6.12,3.22,1.47,1.75,2.03,1.62,1.91,3.41,4.72,4.09,3.53,4.16,5.34,5.56,5.16,6.41,8.66,10.09,10.84,11.94,13.38,13.62,11.62,9.19,8.09,7.22,5.16,3.31,3.0,3.84,3.84,3.62,4.81,7.53,9.34,9.91,10.22,12.09,13.06,12.03,11.16,11.56,11.56,10.16,8.72,8.38,8.62,7.88,6.53,6.06,6.97,7.62,8.31,9.34,11.66,13.06,12.69,11.78,12.44,13.28,12.88,12.81,13.91,15.25,15.38,14.53,14.28,15.12,15.19,14.06,13.56,14.56,15.66,14.69,13.5,13.75,13.78,12.16,10.69,10.31,10.38,9.28,7.25,5.78,5.69,5.34,3.81,3.09,4.66,5.97,6.0,6.09,7.81,9.84,10.69,11.56,13.38,16.0,17.19,17.66,18.38,20.47,21.69,21.44,21.25,22.25,22.56,21.0,18.59,16.38,14.22,10.72,6.59,4.28,4.09,3.88,3.5,3.81,5.41,6.06,5.0,3.47,3.97,5.22,5.84,7.38,10.19,13.69,15.44,15.62,15.88,16.59,15.84,13.94,12.34,12.47,12.22,10.81,9.69,10.12,11.03,10.72,10.28,11.06,12.22,12.34,11.69,12.31,14.44,16.44,17.0,17.72,19.28,20.03,18.88,17.56,17.44,17.78,15.91,13.69,13.0,13.16,12.94,12.38,13.34,16.25,18.19,18.94,19.03,19.5,19.06,16.47,13.66,12.81,12.53,11.5,10.09,10.38,11.69,12.59,12.62,13.5,15.56,17.06,17.16,17.62,19.75,22.19,23.16,24.0,26.06,27.97,28.22,27.0,26.66,26.41,25.44,23.69,22.88,23.34,23.69,23.03,22.16,23.0,23.69,22.56,21.09,20.94,21.41,21.34,20.38,20.59,21.84,22.25,21.09,20.03,20.66,20.59,19.66,18.25,18.44,18.53,17.41,15.28,14.69,14.88,14.38,12.91,12.44,13.06:-1.34,-0.44,1.34,2.34,2.47,3.69,6.09,7.81,7.16,6.5,6.53,6.06,3.84,1.28,0.75,1.31,0.53,-0.53,0.25,1.81,2.91,2.16,1.81,2.12,1.31,-1.47,-4.03,-4.34,-4.38,-5.53,-6.78,-6.53,-5.94,-6.56,-8.03,-7.47,-5.5,-3.53,-3.12,-2.0,0.38,1.66,0.66,0.19,1.31,2.25,1.03,-0.69,-1.72,-2.19,-4.25,-6.28,-6.81,-5.41,-3.66,-2.75,-0.72,2.75,6.09,7.16,8.06,9.38,10.41,8.81,6.09,4.0,2.34,-0.34,-3.81,-6.12,-6.03,-5.91,-6.56,-6.03,-3.66,-1.03,-0.38,0.5,2.88,5.53,6.56,6.97,8.56,10.53,10.41,8.56,6.84,5.56,3.44,0.56,-1.78,-2.16,-1.56,-2.56,-2.84,-1.91,-0.84,-1.56,-3.81,-4.88,-4.88,-5.59,-6.62,-6.19,-4.0,-1.84,-1.28,-0.41,1.19,2.78,2.53,1.84,2.97,4.38,4.03,2.94,2.91,3.88,4.62,4.03,4.31,5.66,6.25,4.97,3.72,3.72,3.47,1.16,-0.84,-1.97,-2.41,-3.75,-6.19,-7.44,-7.38,-8.03,-9.09,-9.12,-7.44,-5.03,-3.97,-2.62,-0.06,2.31,2.44,1.78,2.44,3.91,4.16,3.97,4.66,6.25,6.84,6.0,5.03,5.66,5.94,4.16,2.47,1.81,1.03,-1.78,-5.09,-6.97,-7.41,-8.41,-9.12,-8.22,-5.66,-3.12,-2.0,-0.75,1.94,4.0,4.28,4.0,4.81,6.12,5.25,3.88,3.66,3.97,3.06,1.38,0.53,0.97,0.81,-1.03,-2.69,-3.12,-3.56,-6.5,-8.25,-8.69,-7.59,-7.5,-7.12,-5.34,-2.75,-1.75,-2.72,-3.44,-3.16,-3.53,-5.38,-6.66,-6.0,-5.66,-6.94,-8.53,-8.62,-8.22,-8.84,-9.31,-8.38,-5.59,-3.72,-3.34,-2.28,-1.0,-0.28,-1.78,-3.22,-3.16,-3.09,-4.81,-6.72,-7.28,-6.97,-7.72,-8.56,-7.47,-5.28,-4.03,-4.47,-4.53,-3.81,-3.53,-4.47,-5.19,-4.0,-3.25,-4.12,-5.5,-5.5,-4.91,-5.69,-7.12,-8.03,-7.81,-8.19,-9.94,-10.41,-8.94,-7.59,-7.31,-6.91,-4.88,-2.28,-1.53,-1.34,0.09,1.88,1.56,0.47,-0.09,0.31,0.0,-1.72,-3.03,-2.5,-2.72,-4.59,-6.53,-6.62,-6.12,-6.28,-6.47,-4.78,-2.28,-1.28,-1.72,-0.81,1.53,3.47,4.47,5.56,7.59,9.06,7.91,6.09,5.72,5.44,3.31,1.41,1.19,2.12,2.19,1.66,1.66,2.75,3.03,1.91,1.06,1.56,1.97,0.94,-0.12,0.28,1.59,1.25,-0.09,-0.38,0.12,-0.66,-2.06,-2.5,-1.31,-0.59,-1.56,-2.62,-1.84,-1.31,-2.09,-3.0,-2.78,-2.0,-2.38,-3.31,-2.91,-1.31,-0.09,-0.59,-0.09,2.06,4.0,4.97,6.78,9.72,12.03,12.0,10.59,9.75,9.16,7.03,4.47,3.56,4.41,4.31,3.22,2.19,2.62,2.44,0.78,-0.19,0.94,2.91,3.19,3.38,4.91,6.59,6.66,5.88,6.25,8.22,9.84,10.53,10.78,12.44,13.19,12.06,10.53,11.09,11.62,10.31,8.66,8.0,8.0,7.0,5.16,4.59,6.0,6.72,6.28,6.12,7.94,9.19,8.88,8.56,9.41,10.38,9.47,8.06,7.62,8.28,7.56,5.78,4.91,5.56,5.31,3.72,2.19,2.16,2.0,0.25,-1.25,-0.72,0.78,1.09,0.62,1.53,3.12,3.28,2.16,1.5,2.0,2.06,0.41,-0.78,-0.25,0.53,-0.28,-1.72,-1.66,-0.81,-1.88,-3.47,-3.59,-1.97,-1.09,-1.78,-1.62,-0.28,0.53,-0.16,-0.88,0.53,2.03,2.53,2.59,4.16,6.25,6.5,5.47,4.97,5.19,4.94,3.59,3.31,5.22,6.84,7.31,7.88,9.56,10.72,10.75,9.56,9.75,10.72,10.16,8.41,7.12,6.59,4.59,1.25,-1.31,-2.28,-3.0,-4.88,-6.78,-6.88,-6.91,-8.22,-10.16,-10.44,-9.19,-8.75,-8.5,-7.59,-5.22,-4.0,-4.41,-4.47,-3.38,-2.12,-2.47,-3.38,-3.09,-3.0,-4.94,-8.41,-10.41,-11.38,-12.88,-14.72,-15.34,-14.28,-13.62,-13.78,-13.81,-12.25,-10.41,-9.94,-9.66,-7.19,-4.78,-3.09,-2.97,-2.38,-1.19,-0.91,-1.91,-1.53,0.28,1.75,1.56,1.31,1.94,2.16,0.72,-0.88,-0.78,-0.03,-0.12,-0.5,-0.12,1.53,2.16,1.59,1.34,2.47,2.97,2.19,1.22,1.94,3.03,2.25,1.25,1.72,3.22,3.28,2.56,2.69,3.47,2.84,0.28,-2.34,-3.09,-3.97,-5.5,-5.97,-4.44,-2.56,-2.06,-2.5,-2.22,-1.75,-2.22,-3.66,-3.91,-2.31,-0.75,-0.38,0.28,2.31,3.59,3.06,2.78,4.56,6.81,8.03,8.75,10.66,12.56,12.91,11.81,11.5,11.5,11.25,9.81,8.81,9.69,10.56,9.91,9.0,9.12,9.06,7.41,4.88,3.22,2.69,1.38,-0.59,-1.16,0.06,0.94,0.28,-0.16,1.34,2.97,3.34,4.03,6.47,9.28,10.75,11.25,12.53,13.44,12.69,9.88,7.09,5.59,3.84,1.34,0.16,1.59,3.75,5.06,5.59,6.75,7.59,6.44,4.06,3.12,3.69,4.19,4.28,5.5,8.31,10.38,10.5,10.34,11.12,12.0,11.16,10.44,11.16,12.03,11.84,10.62,10.66,11.53,12.16,11.5,11.22,11.31,10.69,8.41,5.88,5.47,5.62,4.66,3.16,2.78,2.75,1.81,0.34,0.12,1.16,2.22,2.0,2.16,3.56,4.69,4.03,3.31,4.16,5.5,5.88,6.09,7.66,8.88,8.22,5.41,2.75,0.34,-2.22,-5.47,-7.31,-7.28,-6.53,-7.03,-7.31,-6.25,-4.44,-3.56,-2.56,0.38,4.41,7.69,9.0,10.19,11.25,11.28,9.31,7.94,8.19,9.31,9.34,9.28,10.97,12.88,13.53,12.75,12.69,13.62,13.59,12.34,12.28,13.53,14.0,13.03,12.03,12.62,13.5,13.28,12.59,13.22,13.75,12.78,10.94,10.16,10.84,10.84,9.75,9.38,9.91,9.97,8.09,6.16,5.34,5.09,3.47,2.06,2.0,2.22,1.16,-1.44,-2.94,-3.28,-3.56,-4.34,-4.41,-2.62,-0.44,0.06,0.88,3.25,5.84,6.81,7.34,8.38,10.31,11.12,11.03,12.31,14.59,16.25,16.12,15.94,16.25,16.28,14.62,12.66,12.38,12.84,12.19,11.38,11.41,11.78,11.12,8.88,7.22,7.28,7.03,5.56,4.56,5.16,5.78,4.97,4.09,4.88,6.5,6.91,6.59,7.28,8.69,9.16,7.72,7.44,7.78,7.88,6.22,5.06,5.44,6.88,7.38,8.22,10.5,13.31,13.91,13.56,13.53,13.97,13.34,11.75,11.41,12.31,13.28,12.78,12.12,12.19,11.66,9.91,8.12,7.91,9.12,10.09,10.12,11.28,12.66,13.19,12.06,11.19,11.62,12.19,10.88,9.19,8.91,8.72,7.38,5.84,6.0,7.88,9.06,9.78,11.53,14.0,15.88,16.16,16.22,17.09,17.75,16.06,14.19,13.28,12.5,10.72,9.16,9.16,10.78,11.94,12.16,13.09,14.69,15.5,14.56,14.03,14.69,15.31,14.16,12.47,11.5,11.62,10.69,9.81,10.41,12.91,14.78,15.81,17.56,20.62,22.94,23.06,23.09,23.53,23.47,21.44,18.66,16.75,15.34,12.44,9.28,7.41,7.41,6.84,6.31,6.97,9.09,11.62,12.09,12.31,12.72,13.16,11.25,9.16,8.38,8.22,7.19,5.75,5.53,6.81,7.97,8.72,10.03,12.44,14.97,15.12,15.25,16.0,16.38,14.53,12.0,9.94,8.44,6.12,3.22,1.47,1.75,2.03,1.62,1.91,3.41,4.72,4.09,3.53,4.16,5.34,5.56,5.16,6.41,8.66,10.09,10.84,11.94,13.38,13.62,11.62,9.19,8.09,7.22,5.16,3.31,3.0,3.84,3.84,3.62,4.81,7.53,9.34,9.91,10.22,12.09,13.06,12.03,11.16,11.56,11.56,10.16,8.72,8.38,8.62,7.88,6.53,6.06,6.97,7.62,8.31,9.34,11.66,13.06,12.69,11.78,12.44,13.28,12.88,12.81,13.91,15.25,15.38,14.53,14.28,15.12,15.19,14.06,13.56,14.56,15.66,14.69,13.5,13.75,13.78,12.16,10.69,10.31,10.38,9.28,7.25,5.78,5.69,5.34,3.81,3.09,4.66,5.97,6.0,6.09,7.81,9.84,10.69,11.56,13.38,16.0,17.19,17.66,18.38,20.47,21.69,21.44,21.25,22.25,22.56,21.0,18.59,16.38,14.22,10.72,6.59,4.28,4.09,3.88,3.5,3.81,5.41,6.06,5.0,3.47,3.97,5.22,5.84,7.38,10.19,13.69,15.44,15.62,15.88,16.59,15.84,13.94,12.34,12.47,12.22,10.81,9.69,10.12,11.03,10.72,10.28,11.06,12.22,12.34,11.69,12.31,14.44,16.44,17.0,17.72,19.28,20.03,18.88,17.56,17.44,17.78,15.91,13.69,13.0,13.16,12.94,12.38,13.34,16.25,18.19,18.94,19.03,19.5,19.06,16.47,13.66,12.81,12.53,11.5,10.09,10.38,11.69,12.59,12.62,13.5,15.56,17.06,17.16,17.62,19.75,22.19,23.16,24.0,26.06,27.97,28.22,27.0,26.66,26.41,25.44,23.69,22.88,23.34,23.69,23.03,22.16,23.0,23.69,22.56,21.09,20.94,21.41,21.34,20.38,20.59,21.84,22.25,21.09,20.03,20.66,20.59,19.66,18.25,18.44,18.53,17.41,15.28,14.69,14.88,14.38,12.91,12.44,13.06,8.47,9.22,10.19,11.22,11.88,13.38,15.31:7.81,7.16,6.5,6.53,6.06,3.84,1.28,0.75,1.31,0.53,-0.53,0.25,1.81,2.91,2.16,1.81,2.12,1.31,-1.47,-4.03,-4.34,-4.38,-5.53,-6.78,-6.53,-5.94,-6.56,-8.03,-7.47,-5.5,-3.53,-3.12,-2.0,0.38,1.66,0.66,0.19,1.31,2.25,1.03,-0.69,-1.72,-2.19,-4.25,-6.28,-6.81,-5.41,-3.66,-2.75,-0.72,2.75,6.09,7.16,8.06,9.38,10.41,8.81,6.09,4.0,2.34,-0.34,-3.81,-6.12,-6.03,-5.91,-6.56,-6.03,-3.66,-1.03,-0.38,0.5,2.88,5.53,6.56,6.97,8.56,10.53,10.41,8.56,6.84,5.56,3.44,0.56,-1.78,-2.16,-1.56,-2.56,-2.84,-1.91,-0.84,-1.56,-3.81,-4.88,-4.88,-5.59,-6.62,-6.19,-4.0,-1.84,-1.28,-0.41,1.19,2.78,2.53,1.84,2.97,4.38,4.03,2.94,2.91,3.88,4.62,4.03,4.31,5.66,6.25,4.97,3.72,3.72,3.47,1.16,-0.84,-1.97,-2.41,-3.75,-6.19,-7.44,-7.38,-8.03,-9.09,-9.12,-7.44,-5.03,-3.97,-2.62,-0.06,2.31,2.44,1.78,2.44,3.91,4.16,3.97,4.66,6.25,6.84,6.0,5.03,5.66,5.94,4.16,2.47,1.81,1.03,-1.78,-5.09,-6.97,-7.41,-8.41,-9.12,-8.22,-5.66,-3.12,-2.0,-0.75,1.94,4.0,4.28,4.0,4.81,6.12,5.25,3.88,3.66,3.97,3.06,1.38,0.53,0.97,0.81,-1.03,-2.69,-3.12,-3.56,-6.5,-8.25,-8.69,-7.59,-7.5,-7.12,-5.34,-2.75,-1.75,-2.72,-3.44,-3.16,-3.53,-5.38,-6.66,-6.0,-5.66,-6.94,-8.53,-8.62,-8.22,-8.84,-9.31,-8.38,-5.59,-3.72,-3.34,-2.28,-1.0,-0.28,-1.78,-3.22,-3.16,-3.09,-4.81,-6.72,-7.28,-6.97,-7.72,-8.56,-7.47,-5.28,-4.03,-4.47,-4.53,-3.81,-3.53,-4.47,-5.19,-4.0,-3.25,-4.12,-5.5,-5.5,-4.91,-5.69,-7.12,-8.03,-7.81,-8.19,-9.94,-10.41,-8.94,-7.59,-7.31,-6.91,-4.88,-2.28,-1.53,-1.34,0.09,1.88,1.56,0.47,-0.09,0.31,0.0,-1.72,-3.03,-2.5,-2.72,-4.59,-6.53,-6.62,-6.12,-6.28,-6.47,-4.78,-2.28,-1.28,-1.72,-0.81,1.53,3.47,4.47,5.56,7.59,9.06,7.91,6.09,5.72,5.44,3.31,1.41,1.19,2.12,2.19,1.66,1.66,2.75,3.03,1.91,1.06,1.56,1.97,0.94,-0.12,0.28,1.59,1.25,-0.09,-0.38,0.12,-0.66,-2.06,-2.5,-1.31,-0.59,-1.56,-2.62,-1.84,-1.31,-2.09,-3.0,-2.78,-2.0,-2.38,-3.31,-2.91,-1.31,-0.09,-0.59,-0.09,2.06,4.0,4.97,6.78,9.72,12.03,12.0,10.59,9.75,9.16,7.03,4.47,3.56,4.41,4.31,3.22,2.19,2.62,2.44,0.78,-0.19,0.94,2.91,3.19,3.38,4.91,6.59,6.66,5.88,6.25,8.22,9.84,10.53,10.78,12.44,13.19,12.06,10.53,11.09,11.62,10.31,8.66,8.0,8.0,7.0,5.16,4.59,6.0,6.72,6.28,6.12,7.94,9.19,8.88,8.56,9.41,10.38,9.47,8.06,7.62,8.28,7.56,5.78,4.91,5.56,5.31,3.72,2.19,2.16,2.0,0.25,-1.25,-0.72,0.78,1.09,0.62,1.53,3.12,3.28,2.16,1.5,2.0,2.06,0.41,-0.78,-0.25,0.53,-0.28,-1.72,-1.66,-0.81,-1.88,-3.47,-3.59,-1.97,-1.09,-1.78,-1.62,-0.28,0.53,-0.16,-0.88,0.53,2.03,2.53,2.59,4.16,6.25,6.5,5.47,4.97,5.19,4.94,3.59,3.31,5.22,6.84,7.31,7.88,9.56,10.72,10.75,9.56,9.75,10.72,10.16,8.41,7.12,6.59,4.59,1.25,-1.31,-2.28,-3.0,-4.88,-6.78,-6.88,-6.91,-8.22,-10.16,-10.44,-9.19,-8.75,-8.5,-7.59,-5.22,-4.0,-4.41,-4.47,-3.38,-2.12,-2.47,-3.38,-3.09,-3.0,-4.94,-8.41,-10.41,-11.38,-12.88,-14.72,-15.34,-14.28,-13.62,-13.78,-13.81,-12.25,-10.41,-9.94,-9.66,-7.19,-4.78,-3.09,-2.97,-2.38,-1.19,-0.91,-1.91,-1.53,0.28,1.75,1.56,1.31,1.94,2.16,0.72,-0.88,-0.78,-0.03,-0.12,-0.5,-0.12,1.53,2.16,1.59,1.34,2.47,2.97,2.19,1.22,1.94,3.03,2.25,1.25,1.72,3.22,3.28,2.56,2.69,3.47,2.84,0.28,-2.34,-3.09,-3.97,-5.5,-5.97,-4.44,-2.56,-2.06,-2.5,-2.22,-1.75,-2.22,-3.66,-3.91,-2.31,-0.75,-0.38,0.28,2.31,3.59,3.06,2.78,4.56,6.81,8.03,8.75,10.66,12.56,12.91,11.81,11.5,11.5,11.25,9.81,8.81,9.69,10.56,9.91,9.0,9.12,9.06,7.41,4.88,3.22,2.69,1.38,-0.59,-1.16,0.06,0.94,0.28,-0.16,1.34,2.97,3.34,4.03,6.47,9.28,10.75,11.25,12.53,13.44,12.69,9.88,7.09,5.59,3.84,1.34,0.16,1.59,3.75,5.06,5.59,6.75,7.59,6.44,4.06,3.12,3.69,4.19,4.28,5.5,8.31,10.38,10.5,10.34,11.12,12.0,11.16,10.44,11.16,12.03,11.84,10.62,10.66,11.53,12.16,11.5,11.22,11.31,10.69,8.41,5.88,5.47,5.62,4.66,3.16,2.78,2.75,1.81,0.34,0.12,1.16,2.22,2.0,2.16,3.56,4.69,4.03,3.31,4.16,5.5,5.88,6.09,7.66,8.88,8.22,5.41,2.75,0.34,-2.22,-5.47,-7.31,-7.28,-6.53,-7.03,-7.31,-6.25,-4.44,-3.56,-2.56,0.38,4.41,7.69,9.0,10.19,11.25,11.28,9.31,7.94,8.19,9.31,9.34,9.28,10.97,12.88,13.53,12.75,12.69,13.62,13.59,12.34,12.28,13.53,14.0,13.03,12.03,12.62,13.5,13.28,12.59,13.22,13.75,12.78,10.94,10.16,10.84,10.84,9.75,9.38,9.91,9.97,8.09,6.16,5.34,5.09,3.47,2.06,2.0,2.22,1.16,-1.44,-2.94,-3.28,-3.56,-4.34,-4.41,-2.62,-0.44,0.06,0.88,3.25,5.84,6.81,7.34,8.38,10.31,11.12,11.03,12.31,14.59,16.25,16.12,15.94,16.25,16.28,14.62,12.66,12.38,12.84,12.19,11.38,11.41,11.78,11.12,8.88,7.22,7.28,7.03,5.56,4.56,5.16,5.78,4.97,4.09,4.88,6.5,6.91,6.59,7.28,8.69,9.16,7.72,7.44,7.78,7.88,6.22,5.06,5.44,6.88,7.38,8.22,10.5,13.31,13.91,13.56,13.53,13.97,13.34,11.75,11.41,12.31,13.28,12.78,12.12,12.19,11.66,9.91,8.12,7.91,9.12,10.09,10.12,11.28,12.66,13.19,12.06,11.19,11.62,12.19,10.88,9.19,8.91,8.72,7.38,5.84,6.0,7.88,9.06,9.78,11.53,14.0,15.88,16.16,16.22,17.09,17.75,16.06,14.19,13.28,12.5,10.72,9.16,9.16,10.78,11.94,12.16,13.09,14.69,15.5,14.56,14.03,14.69,15.31,14.16,12.47,11.5,11.62,10.69,9.81,10.41,12.91,14.78,15.81,17.56,20.62,22.94,23.06,23.09,23.53,23.47,21.44,18.66,16.75,15.34,12.44,9.28,7.41,7.41,6.84,6.31,6.97,9.09,11.62,12.09,12.31,12.72,13.16,11.25,9.16,8.38,8.22,7.19,5.75,5.53,6.81,7.97,8.72,10.03,12.44,14.97,15.12,15.25,16.0,16.38,14.53,12.0,9.94,8.44,6.12,3.22,1.47,1.75,2.03,1.62,1.91,3.41,4.72,4.09,3.53,4.16,5.34,5.56,5.16,6.41,8.66,10.09,10.84,11.94,13.38,13.62,11.62,9.19,8.09,7.22,5.16,3.31,3.0,3.84,3.84,3.62,4.81,7.53,9.34,9.91,10.22,12.09,13.06,12.03,11.16,11.56,11.56,10.16,8.72,8.38,8.62,7.88,6.53,6.06,6.97,7.62,8.31,9.34,11.66,13.06,12.69,11.78,12.44,13.28,12.88,12.81,13.91,15.25,15.38,14.53,14.28,15.12,15.19,14.06,13.56,14.56,15.66,14.69,13.5,13.75,13.78,12.16,10.69,10.31,10.38,9.28,7.25,5.78,5.69,5.34,3.81,3.09,4.66,5.97,6.0,6.09,7.81,9.84,10.69,11.56,13.38,16.0,17.19,17.66,18.38,20.47,21.69,21.44,21.25,22.25,22.56,21.0,18.59,16.38,14.22,10.72,6.59,4.28,4.09,3.88,3.5,3.81,5.41,6.06,5.0,3.47,3.97,5.22,5.84,7.38,10.19,13.69,15.44,15.62,15.88,16.59,15.84,13.94,12.34,12.47,12.22,10.81,9.69,10.12,11.03,10.72,10.28,11.06,12.22,12.34,11.69,12.31,14.44,16.44,17.0,17.72,19.28,20.03,18.88,17.56,17.44,17.78,15.91,13.69,13.0,13.16,12.94,12.38,13.34,16.25,18.19,18.94,19.03,19.5,19.06,16.47,13.66,12.81,12.53,11.5,10.09,10.38,11.69,12.59,12.62,13.5,15.56,17.06,17.16,17.62,19.75,22.19,23.16,24.0,26.06,27.97,28.22,27.0,26.66,26.41,25.44,23.69,22.88,23.34,23.69,23.03,22.16,23.0,23.69,22.56,21.09,20.94,21.41,21.34,20.38,20.59,21.84,22.25,21.09,20.03,20.66,20.59,19.66,18.25,18.44,18.53,17.41,15.28,14.69,14.88,14.38,12.91,12.44,13.06,8.47,9.22,10.19,11.22,11.88,13.38,15.31,16.84,18.0,19.12,20.44,21.28,21.47,22.0:0.75,1.31,0.53,-0.53,0.25,1.81,2.91,2.16,1.81,2.12,1.31,-1.47,-4.03,-4.34,-4.38,-5.53,-6.78,-6.53,-5.94,-6.56,-8.03,-7.47,-5.5,-3.53,-3.12,-2.0,0.38,1.66,0.66,0.19,1.31,2.25,1.03,-0.69,-1.72,-2.19,-4.25,-6.28,-6.81,-5.41,-3.66,-2.75,-0.72,2.75,6.09,7.16,8.06,9.38,10.41,8.81,6.09,4.0,2.34,-0.34,-3.81,-6.12,-6.03,-5.91,-6.56,-6.03,-3.66,-1.03,-0.38,0.5,2.88,5.53,6.56,6.97,8.56,10.53,10.41,8.56,6.84,5.56,3.44,0.56,-1.78,-2.16,-1.56,-2.56,-2.84,-1.91,-0.84,-1.56,-3.81,-4.88,-4.88,-5.59,-6.62,-6.19,-4.0,-1.84,-1.28,-0.41,1.19,2.78,2.53,1.84,2.97,4.38,4.03,2.94,2.91,3.88,4.62,4.03,4.31,5.66,6.25,4.97,3.72,3.72,3.47,1.16,-0.84,-1.97,-2.41,-3.75,-6.19,-7.44,-7.38,-8.03,-9.09,-9.12,-7.44,-5.03,-3.97,-2.62,-0.06,2.31,2.44,1.78,2.44,3.91,4.16,3.97,4.66,6.25,6.84,6.0,5.03,5.66,5.94,4.16,2.47,1.81,1.03,-1.78,-5.09,-6.97,-7.41,-8.41,-9.12,-8.22,-5.66,-3.12,-2.0,-0.75,1.94,4.0,4.28,4.0,4.81,6.12,5.25,3.88,3.66,3.97,3.06,1.38,0.53,0.97,0.81,-1.03,-2.69,-3.12,-3.56,-6.5,-8.25,-8.69,-7.59,-7.5,-7.12,-5.34,-2.75,-1.75,-2.72,-3.44,-3.16,-3.53,-5.38,-6.66,-6.0,-5.66,-6.94,-8.53,-8.62,-8.22,-8.84,-9.31,-8.38,-5.59,-3.72,-3.34,-2.28,-1.0,-0.28,-1.78,-3.22,-3.16,-3.09,-4.81,-6.72,-7.28,-6.97,-7.72,-8.56,-7.47,-5.28,-4.03,-4.47,-4.53,-3.81,-3.53,-4.47,-5.19,-4.0,-3.25,-4.12,-5.5,-5.5,-4.91,-5.69,-7.12,-8.03,-7.81,-8.19,-9.94,-10.41,-8.94,-7.59,-7.31,-6.91,-4.88,-2.28,-1.53,-1.34,0.09,1.88,1.56,0.47,-0.09,0.31,0.0,-1.72,-3.03,-2.5,-2.72,-4.59,-6.53,-6.62,-6.12,-6.28,-6.47,-4.78,-2.28,-1.28,-1.72,-0.81,1.53,3.47,4.47,5.56,7.59,9.06,7.91,6.09,5.72,5.44,3.31,1.41,1.19,2.12,2.19,1.66,1.66,2.75,3.03,1.91,1.06,1.56,1.97,0.94,-0.12,0.28,1.59,1.25,-0.09,-0.38,0.12,-0.66,-2.06,-2.5,-1.31,-0.59,-1.56,-2.62,-1.84,-1.31,-2.09,-3.0,-2.78,-2.0,-2.38,-3.31,-2.91,-1.31,-0.09,-0.59,-0.09,2.06,4.0,4.97,6.78,9.72,12.03,12.0,10.59,9.75,9.16,7.03,4.47,3.56,4.41,4.31,3.22,2.19,2.62,2.44,0.78,-0.19,0.94,2.91,3.19,3.38,4.91,6.59,6.66,5.88,6.25,8.22,9.84,10.53,10.78,12.44,13.19,12.06,10.53,11.09,11.62,10.31,8.66,8.0,8.0,7.0,5.16,4.59,6.0,6.72,6.28,6.12,7.94,9.19,8.88,8.56,9.41,10.38,9.47,8.06,7.62,8.28,7.56,5.78,4.91,5.56,5.31,3.72,2.19,2.16,2.0,0.25,-1.25,-0.72,0.78,1.09,0.62,1.53,3.12,3.28,2.16,1.5,2.0,2.06,0.41,-0.78,-0.25,0.53,-0.28,-1.72,-1.66,-0.81,-1.88,-3.47,-3.59,-1.97,-1.09,-1.78,-1.62,-0.28,0.53,-0.16,-0.88,0.53,2.03,2.53,2.59,4.16,6.25,6.5,5.47,4.97,5.19,4.94,3.59,3.31,5.22,6.84,7.31,7.88,9.56,10.72,10.75,9.56,9.75,10.72,10.16,8.41,7.12,6.59,4.59,1.25,-1.31,-2.28,-3.0,-4.88,-6.78,-6.88,-6.91,-8.22,-10.16,-10.44,-9.19,-8.75,-8.5,-7.59,-5.22,-4.0,-4.41,-4.47,-3.38,-2.12,-2.47,-3.38,-3.09,-3.0,-4.94,-8.41,-10.41,-11.38,-12.88,-14.72,-15.34,-14.28,-13.62,-13.78,-13.81,-12.25,-10.41,-9.94,-9.66,-7.19,-4.78,-3.09,-2.97,-2.38,-1.19,-0.91,-1.91,-1.53,0.28,1.75,1.56,1.31,1.94,2.16,0.72,-0.88,-0.78,-0.03,-0.12,-0.5,-0.12,1.53,2.16,1.59,1.34,2.47,2.97,2.19,1.22,1.94,3.03,2.25,1.25,1.72,3.22,3.28,2.56,2.69,3.47,2.84,0.28,-2.34,-3.09,-3.97,-5.5,-5.97,-4.44,-2.56,-2.06,-2.5,-2.22,-1.75,-2.22,-3.66,-3.91,-2.31,-0.75,-0.38,0.28,2.31,3.59,3.06,2.78,4.56,6.81,8.03,8.75,10.66,12.56,12.91,11.81,11.5,11.5,11.25,9.81,8.81,9.69,10.56,9.91,9.0,9.12,9.06,7.41,4.88,3.22,2.69,1.38,-0.59,-1.16,0.06,0.94,0.28,-0.16,1.34,2.97,3.34,4.03,6.47,9.28,10.75,11.25,12.53,13.44,12.69,9.88,7.09,5.59,3.84,1.34,0.16,1.59,3.75,5.06,5.59,6.75,7.59,6.44,4.06,3.12,3.69,4.19,4.28,5.5,8.31,10.38,10.5,10.34,11.12,12.0,11.16,10.44,11.16,12.03,11.84,10.62,10.66,11.53,12.16,11.5,11.22,11.31,10.69,8.41,5.88,5.47,5.62,4.66,3.16,2.78,2.75,1.81,0.34,0.12,1.16,2.22,2.0,2.16,3.56,4.69,4.03,3.31,4.16,5.5,5.88,6.09,7.66,8.88,8.22,5.41,2.75,0.34,-2.22,-5.47,-7.31,-7.28,-6.53,-7.03,-7.31,-6.25,-4.44,-3.56,-2.56,0.38,4.41,7.69,9.0,10.19,11.25,11.28,9.31,7.94,8.19,9.31,9.34,9.28,10.97,12.88,13.53,12.75,12.69,13.62,13.59,12.34,12.28,13.53,14.0,13.03,12.03,12.62,13.5,13.28,12.59,13.22,13.75,12.78,10.94,10.16,10.84,10.84,9.75,9.38,9.91,9.97,8.09,6.16,5.34,5.09,3.47,2.06,2.0,2.22,1.16,-1.44,-2.94,-3.28,-3.56,-4.34,-4.41,-2.62,-0.44,0.06,0.88,3.25,5.84,6.81,7.34,8.38,10.31,11.12,11.03,12.31,14.59,16.25,16.12,15.94,16.25,16.28,14.62,12.66,12.38,12.84,12.19,11.38,11.41,11.78,11.12,8.88,7.22,7.28,7.03,5.56,4.56,5.16,5.78,4.97,4.09,4.88,6.5,6.91,6.59,7.28,8.69,9.16,7.72,7.44,7.78,7.88,6.22,5.06,5.44,6.88,7.38,8.22,10.5,13.31,13.91,13.56,13.53,13.97,13.34,11.75,11.41,12.31,13.28,12.78,12.12,12.19,11.66,9.91,8.12,7.91,9.12,10.09,10.12,11.28,12.66,13.19,12.06,11.19,11.62,12.19,10.88,9.19,8.91,8.72,7.38,5.84,6.0,7.88,9.06,9.78,11.53,14.0,15.88,16.16,16.22,17.09,17.75,16.06,14.19,13.28,12.5,10.72,9.16,9.16,10.78,11.94,12.16,13.09,14.69,15.5,14.56,14.03,14.69,15.31,14.16,12.47,11.5,11.62,10.69,9.81,10.41,12.91,14.78,15.81,17.56,20.62,22.94,23.06,23.09,23.53,23.47,21.44,18.66,16.75,15.34,12.44,9.28,7.41,7.41,6.84,6.31,6.97,9.09,11.62,12.09,12.31,12.72,13.16,11.25,9.16,8.38,8.22,7.19,5.75,5.53,6.81,7.97,8.72,10.03,12.44,14.97,15.12,15.25,16.0,16.38,14.53,12.0,9.94,8.44,6.12,3.22,1.47,1.75,2.03,1.62,1.91,3.41,4.72,4.09,3.53,4.16,5.34,5.56,5.16,6.41,8.66,10.09,10.84,11.94,13.38,13.62,11.62,9.19,8.09,7.22,5.16,3.31,3.0,3.84,3.84,3.62,4.81,7.53,9.34,9.91,10.22,12.09,13.06,12.03,11.16,11.56,11.56,10.16,8.72,8.38,8.62,7.88,6.53,6.06,6.97,7.62,8.31,9.34,11.66,13.06,12.69,11.78,12.44,13.28,12.88,12.81,13.91,15.25,15.38,14.53,14.28,15.12,15.19,14.06,13.56,14.56,15.66,14.69,13.5,13.75,13.78,12.16,10.69,10.31,10.38,9.28,7.25,5.78,5.69,5.34,3.81,3.09,4.66,5.97,6.0,6.09,7.81,9.84,10.69,11.56,13.38,16.0,17.19,17.66,18.38,20.47,21.69,21.44,21.25,22.25,22.56,21.0,18.59,16.38,14.22,10.72,6.59,4.28,4.09,3.88,3.5,3.81,5.41,6.06,5.0,3.47,3.97,5.22,5.84,7.38,10.19,13.69,15.44,15.62,15.88,16.59,15.84,13.94,12.34,12.47,12.22,10.81,9.69,10.12,11.03,10.72,10.28,11.06,12.22,12.34,11.69,12.31,14.44,16.44,17.0,17.72,19.28,20.03,18.88,17.56,17.44,17.78,15.91,13.69,13.0,13.16,12.94,12.38,13.34,16.25,18.19,18.94,19.03,19.5,19.06,16.47,13.66,12.81,12.53,11.5,10.09,10.38,11.69,12.59,12.62,13.5,15.56,17.06,17.16,17.62,19.75,22.19,23.16,24.0,26.06,27.97,28.22,27.0,26.66,26.41,25.44,23.69,22.88,23.34,23.69,23.03,22.16,23.0,23.69,22.56,21.09,20.94,21.41,21.34,20.38,20.59,21.84,22.25,21.09,20.03,20.66,20.59,19.66,18.25,18.44,18.53,17.41,15.28,14.69,14.88,14.38,12.91,12.44,13.06,8.47,9.22,10.19,11.22,11.88,13.38,15.31,16.84,18.0,19.12,20.44,21.28,21.47,22.0,22.5,22.59,22.28,20.53,18.84,17.12,14.78:2.16,1.81,2.12,1.31,-1.47,-4.03,-4.34,-4.38,-5.53,-6.78,-6.53,-5.94,-6.56,-8.03,-7.47,-5.5,-3.53,-3.12,-2.0,0.38,1.66,0.66,0.19,1.31,2.25,1.03,-0.69,-1.72,-2.19,-4.25,-6.28,-6.81,-5.41,-3.66,-2.75,-0.72,2.75,6.09,7.16,8.06,9.38,10.41,8.81,6.09,4.0,2.34,-0.34,-3.81,-6.12,-6.03,-5.91,-6.56,-6.03,-3.66,-1.03,-0.38,0.5,2.88,5.53,6.56,6.97,8.56,10.53,10.41,8.56,6.84,5.56,3.44,0.56,-1.78,-2.16,-1.56,-2.56,-2.84,-1.91,-0.84,-1.56,-3.81,-4.88,-4.88,-5.59,-6.62,-6.19,-4.0,-1.84,-1.28,-0.41,1.19,2.78,2.53,1.84,2.97,4.38,4.03,2.94,2.91,3.88,4.62,4.03,4.31,5.66,6.25,4.97,3.72,3.72,3.47,1.16,-0.84,-1.97,-2.41,-3.75,-6.19,-7.44,-7.38,-8.03,-9.09,-9.12,-7.44,-5.03,-3.97,-2.62,-0.06,2.31,2.44,1.78,2.44,3.91,4.16,3.97,4.66,6.25,6.84,6.0,5.03,5.66,5.94,4.16,2.47,1.81,1.03,-1.78,-5.09,-6.97,-7.41,-8.41,-9.12,-8.22,-5.66,-3.12,-2.0,-0.75,1.94,4.0,4.28,4.0,4.81,6.12,5.25,3.88,3.66,3.97,3.06,1.38,0.53,0.97,0.81,-1.03,-2.69,-3.12,-3.56,-6.5,-8.25,-8.69,-7.59,-7.5,-7.12,-5.34,-2.75,-1.75,-2.72,-3.44,-3.16,-3.53,-5.38,-6.66,-6.0,-5.66,-6.94,-8.53,-8.62,-8.22,-8.84,-9.31,-8.38,-5.59,-3.72,-3.34,-2.28,-1.0,-0.28,-1.78,-3.22,-3.16,-3.09,-4.81,-6.72,-7.28,-6.97,-7.72,-8.56,-7.47,-5.28,-4.03,-4.47,-4.53,-3.81,-3.53,-4.47,-5.19,-4.0,-3.25,-4.12,-5.5,-5.5,-4.91,-5.69,-7.12,-8.03,-7.81,-8.19,-9.94,-10.41,-8.94,-7.59,-7.31,-6.91,-4.88,-2.28,-1.53,-1.34,0.09,1.88,1.56,0.47,-0.09,0.31,0.0,-1.72,-3.03,-2.5,-2.72,-4.59,-6.53,-6.62,-6.12,-6.28,-6.47,-4.78,-2.28,-1.28,-1.72,-0.81,1.53,3.47,4.47,5.56,7.59,9.06,7.91,6.09,5.72,5.44,3.31,1.41,1.19,2.12,2.19,1.66,1.66,2.75,3.03,1.91,1.06,1.56,1.97,0.94,-0.12,0.28,1.59,1.25,-0.09,-0.38,0.12,-0.66,-2.06,-2.5,-1.31,-0.59,-1.56,-2.62,-1.84,-1.31,-2.09,-3.0,-2.78,-2.0,-2.38,-3.31,-2.91,-1.31,-0.09,-0.59,-0.09,2.06,4.0,4.97,6.78,9.72,12.03,12.0,10.59,9.75,9.16,7.03,4.47,3.56,4.41,4.31,3.22,2.19,2.62,2.44,0.78,-0.19,0.94,2.91,3.19,3.38,4.91,6.59,6.66,5.88,6.25,8.22,9.84,10.53,10.78,12.44,13.19,12.06,10.53,11.09,11.62,10.31,8.66,8.0,8.0,7.0,5.16,4.59,6.0,6.72,6.28,6.12,7.94,9.19,8.88,8.56,9.41,10.38,9.47,8.06,7.62,8.28,7.56,5.78,4.91,5.56,5.31,3.72,2.19,2.16,2.0,0.25,-1.25,-0.72,0.78,1.09,0.62,1.53,3.12,3.28,2.16,1.5,2.0,2.06,0.41,-0.78,-0.25,0.53,-0.28,-1.72,-1.66,-0.81,-1.88,-3.47,-3.59,-1.97,-1.09,-1.78,-1.62,-0.28,0.53,-0.16,-0.88,0.53,2.03,2.53,2.59,4.16,6.25,6.5,5.47,4.97,5.19,4.94,3.59,3.31,5.22,6.84,7.31,7.88,9.56,10.72,10.75,9.56,9.75,10.72,10.16,8.41,7.12,6.59,4.59,1.25,-1.31,-2.28,-3.0,-4.88,-6.78,-6.88,-6.91,-8.22,-10.16,-10.44,-9.19,-8.75,-8.5,-7.59,-5.22,-4.0,-4.41,-4.47,-3.38,-2.12,-2.47,-3.38,-3.09,-3.0,-4.94,-8.41,-10.41,-11.38,-12.88,-14.72,-15.34,-14.28,-13.62,-13.78,-13.81,-12.25,-10.41,-9.94,-9.66,-7.19,-4.78,-3.09,-2.97,-2.38,-1.19,-0.91,-1.91,-1.53,0.28,1.75,1.56,1.31,1.94,2.16,0.72,-0.88,-0.78,-0.03,-0.12,-0.5,-0.12,1.53,2.16,1.59,1.34,2.47,2.97,2.19,1.22,1.94,3.03,2.25,1.25,1.72,3.22,3.28,2.56,2.69,3.47,2.84,0.28,-2.34,-3.09,-3.97,-5.5,-5.97,-4.44,-2.56,-2.06,-2.5,-2.22,-1.75,-2.22,-3.66,-3.91,-2.31,-0.75,-0.38,0.28,2.31,3.59,3.06,2.78,4.56,6.81,8.03,8.75,10.66,12.56,12.91,11.81,11.5,11.5,11.25,9.81,8.81,9.69,10.56,9.91,9.0,9.12,9.06,7.41,4.88,3.22,2.69,1.38,-0.59,-1.16,0.06,0.94,0.28,-0.16,1.34,2.97,3.34,4.03,6.47,9.28,10.75,11.25,12.53,13.44,12.69,9.88,7.09,5.59,3.84,1.34,0.16,1.59,3.75,5.06,5.59,6.75,7.59,6.44,4.06,3.12,3.69,4.19,4.28,5.5,8.31,10.38,10.5,10.34,11.12,12.0,11.16,10.44,11.16,12.03,11.84,10.62,10.66,11.53,12.16,11.5,11.22,11.31,10.69,8.41,5.88,5.47,5.62,4.66,3.16,2.78,2.75,1.81,0.34,0.12,1.16,2.22,2.0,2.16,3.56,4.69,4.03,3.31,4.16,5.5,5.88,6.09,7.66,8.88,8.22,5.41,2.75,0.34,-2.22,-5.47,-7.31,-7.28,-6.53,-7.03,-7.31,-6.25,-4.44,-3.56,-2.56,0.38,4.41,7.69,9.0,10.19,11.25,11.28,9.31,7.94,8.19,9.31,9.34,9.28,10.97,12.88,13.53,12.75,12.69,13.62,13.59,12.34,12.28,13.53,14.0,13.03,12.03,12.62,13.5,13.28,12.59,13.22,13.75,12.78,10.94,10.16,10.84,10.84,9.75,9.38,9.91,9.97,8.09,6.16,5.34,5.09,3.47,2.06,2.0,2.22,1.16,-1.44,-2.94,-3.28,-3.56,-4.34,-4.41,-2.62,-0.44,0.06,0.88,3.25,5.84,6.81,7.34,8.38,10.31,11.12,11.03,12.31,14.59,16.25,16.12,15.94,16.25,16.28,14.62,12.66,12.38,12.84,12.19,11.38,11.41,11.78,11.12,8.88,7.22,7.28,7.03,5.56,4.56,5.16,5.78,4.97,4.09,4.88,6.5,6.91,6.59,7.28,8.69,9.16,7.72,7.44,7.78,7.88,6.22,5.06,5.44,6.88,7.38,8.22,10.5,13.31,13.91,13.56,13.53,13.97,13.34,11.75,11.41,12.31,13.28,12.78,12.12,12.19,11.66,9.91,8.12,7.91,9.12,10.09,10.12,11.28,12.66,13.19,12.06,11.19,11.62,12.19,10.88,9.19,8.91,8.72,7.38,5.84,6.0,7.88,9.06,9.78,11.53,14.0,15.88,16.16,16.22,17.09,17.75,16.06,14.19,13.28,12.5,10.72,9.16,9.16,10.78,11.94,12.16,13.09,14.69,15.5,14.56,14.03,14.69,15.31,14.16,12.47,11.5,11.62,10.69,9.81,10.41,12.91,14.78,15.81,17.56,20.62,22.94,23.06,23.09,23.53,23.47,21.44,18.66,16.75,15.34,12.44,9.28,7.41,7.41,6.84,6.31,6.97,9.09,11.62,12.09,12.31,12.72,13.16,11.25,9.16,8.38,8.22,7.19,5.75,5.53,6.81,7.97,8.72,10.03,12.44,14.97,15.12,15.25,16.0,16.38,14.53,12.0,9.94,8.44,6.12,3.22,1.47,1.75,2.03,1.62,1.91,3.41,4.72,4.09,3.53,4.16,5.34,5.56,5.16,6.41,8.66,10.09,10.84,11.94,13.38,13.62,11.62,9.19,8.09,7.22,5.16,3.31,3.0,3.84,3.84,3.62,4.81,7.53,9.34,9.91,10.22,12.09,13.06,12.03,11.16,11.56,11.56,10.16,8.72,8.38,8.62,7.88,6.53,6.06,6.97,7.62,8.31,9.34,11.66,13.06,12.69,11.78,12.44,13.28,12.88,12.81,13.91,15.25,15.38,14.53,14.28,15.12,15.19,14.06,13.56,14.56,15.66,14.69,13.5,13.75,13.78,12.16,10.69,10.31,10.38,9.28,7.25,5.78,5.69,5.34,3.81,3.09,4.66,5.97,6.0,6.09,7.81,9.84,10.69,11.56,13.38,16.0,17.19,17.66,18.38,20.47,21.69,21.44,21.25,22.25,22.56,21.0,18.59,16.38,14.22,10.72,6.59,4.28,4.09,3.88,3.5,3.81,5.41,6.06,5.0,3.47,3.97,5.22,5.84,7.38,10.19,13.69,15.44,15.62,15.88,16.59,15.84,13.94,12.34,12.47,12.22,10.81,9.69,10.12,11.03,10.72,10.28,11.06,12.22,12.34,11.69,12.31,14.44,16.44,17.0,17.72,19.28,20.03,18.88,17.56,17.44,17.78,15.91,13.69,13.0,13.16,12.94,12.38,13.34,16.25,18.19,18.94,19.03,19.5,19.06,16.47,13.66,12.81,12.53,11.5,10.09,10.38,11.69,12.59,12.62,13.5,15.56,17.06,17.16,17.62,19.75,22.19,23.16,24.0,26.06,27.97,28.22,27.0,26.66,26.41,25.44,23.69,22.88,23.34,23.69,23.03,22.16,23.0,23.69,22.56,21.09,20.94,21.41,21.34,20.38,20.59,21.84,22.25,21.09,20.03,20.66,20.59,19.66,18.25,18.44,18.53,17.41,15.28,14.69,14.88,14.38,12.91,12.44,13.06,8.47,9.22,10.19,11.22,11.88,13.38,15.31,16.84,18.0,19.12,20.44,21.28,21.47,22.0,22.5,22.59,22.28,20.53,18.84,17.12,14.78,12.88,12.06,12.28,13.0,14.03,15.09,16.59:-4.38,-5.53,-6.78,-6.53,-5.94,-6.56,-8.03,-7.47,-5.5,-3.53,-3.12,-2.0,0.38,1.66,0.66,0.19,1.31,2.25,1.03,-0.69,-1.72,-2.19,-4.25,-6.28,-6.81,-5.41,-3.66,-2.75,-0.72,2.75,6.09,7.16,8.06,9.38,10.41,8.81,6.09,4.0,2.34,-0.34,-3.81,-6.12,-6.03,-5.91,-6.56,-6.03,-3.66,-1.03,-0.38,0.5,2.88,5.53,6.56,6.97,8.56,10.53,10.41,8.56,6.84,5.56,3.44,0.56,-1.78,-2.16,-1.56,-2.56,-2.84,-1.91,-0.84,-1.56,-3.81,-4.88,-4.88,-5.59,-6.62,-6.19,-4.0,-1.84,-1.28,-0.41,1.19,2.78,2.53,1.84,2.97,4.38,4.03,2.94,2.91,3.88,4.62,4.03,4.31,5.66,6.25,4.97,3.72,3.72,3.47,1.16,-0.84,-1.97,-2.41,-3.75,-6.19,-7.44,-7.38,-8.03,-9.09,-9.12,-7.44,-5.03,-3.97,-2.62,-0.06,2.31,2.44,1.78,2.44,3.91,4.16,3.97,4.66,6.25,6.84,6.0,5.03,5.66,5.94,4.16,2.47,1.81,1.03,-1.78,-5.09,-6.97,-7.41,-8.41,-9.12,-8.22,-5.66,-3.12,-2.0,-0.75,1.94,4.0,4.28,4.0,4.81,6.12,5.25,3.88,3.66,3.97,3.06,1.38,0.53,0.97,0.81,-1.03,-2.69,-3.12,-3.56,-6.5,-8.25,-8.69,-7.59,-7.5,-7.12,-5.34,-2.75,-1.75,-2.72,-3.44,-3.16,-3.53,-5.38,-6.66,-6.0,-5.66,-6.94,-8.53,-8.62,-8.22,-8.84,-9.31,-8.38,-5.59,-3.72,-3.34,-2.28,-1.0,-0.28,-1.78,-3.22,-3.16,-3.09,-4.81,-6.72,-7.28,-6.97,-7.72,-8.56,-7.47,-5.28,-4.03,-4.47,-4.53,-3.81,-3.53,-4.47,-5.19,-4.0,-3.25,-4.12,-5.5,-5.5,-4.91,-5.69,-7.12,-8.03,-7.81,-8.19,-9.94,-10.41,-8.94,-7.59,-7.31,-6.91,-4.88,-2.28,-1.53,-1.34,0.09,1.88,1.56,0.47,-0.09,0.31,0.0,-1.72,-3.03,-2.5,-2.72,-4.59,-6.53,-6.62,-6.12,-6.28,-6.47,-4.78,-2.28,-1.28,-1.72,-0.81,1.53,3.47,4.47,5.56,7.59,9.06,7.91,6.09,5.72,5.44,3.31,1.41,1.19,2.12,2.19,1.66,1.66,2.75,3.03,1.91,1.06,1.56,1.97,0.94,-0.12,0.28,1.59,1.25,-0.09,-0.38,0.12,-0.66,-2.06,-2.5,-1.31,-0.59,-1.56,-2.62,-1.84,-1.31,-2.09,-3.0,-2.78,-2.0,-2.38,-3.31,-2.91,-1.31,-0.09,-0.59,-0.09,2.06,4.0,4.97,6.78,9.72,12.03,12.0,10.59,9.75,9.16,7.03,4.47,3.56,4.41,4.31,3.22,2.19,2.62,2.44,0.78,-0.19,0.94,2.91,3.19,3.38,4.91,6.59,6.66,5.88,6.25,8.22,9.84,10.53,10.78,12.44,13.19,12.06,10.53,11.09,11.62,10.31,8.66,8.0,8.0,7.0,5.16,4.59,6.0,6.72,6.28,6.12,7.94,9.19,8.88,8.56,9.41,10.38,9.47,8.06,7.62,8.28,7.56,5.78,4.91,5.56,5.31,3.72,2.19,2.16,2.0,0.25,-1.25,-0.72,0.78,1.09,0.62,1.53,3.12,3.28,2.16,1.5,2.0,2.06,0.41,-0.78,-0.25,0.53,-0.28,-1.72,-1.66,-0.81,-1.88,-3.47,-3.59,-1.97,-1.09,-1.78,-1.62,-0.28,0.53,-0.16,-0.88,0.53,2.03,2.53,2.59,4.16,6.25,6.5,5.47,4.97,5.19,4.94,3.59,3.31,5.22,6.84,7.31,7.88,9.56,10.72,10.75,9.56,9.75,10.72,10.16,8.41,7.12,6.59,4.59,1.25,-1.31,-2.28,-3.0,-4.88,-6.78,-6.88,-6.91,-8.22,-10.16,-10.44,-9.19,-8.75,-8.5,-7.59,-5.22,-4.0,-4.41,-4.47,-3.38,-2.12,-2.47,-3.38,-3.09,-3.0,-4.94,-8.41,-10.41,-11.38,-12.88,-14.72,-15.34,-14.28,-13.62,-13.78,-13.81,-12.25,-10.41,-9.94,-9.66,-7.19,-4.78,-3.09,-2.97,-2.38,-1.19,-0.91,-1.91,-1.53,0.28,1.75,1.56,1.31,1.94,2.16,0.72,-0.88,-0.78,-0.03,-0.12,-0.5,-0.12,1.53,2.16,1.59,1.34,2.47,2.97,2.19,1.22,1.94,3.03,2.25,1.25,1.72,3.22,3.28,2.56,2.69,3.47,2.84,0.28,-2.34,-3.09,-3.97,-5.5,-5.97,-4.44,-2.56,-2.06,-2.5,-2.22,-1.75,-2.22,-3.66,-3.91,-2.31,-0.75,-0.38,0.28,2.31,3.59,3.06,2.78,4.56,6.81,8.03,8.75,10.66,12.56,12.91,11.81,11.5,11.5,11.25,9.81,8.81,9.69,10.56,9.91,9.0,9.12,9.06,7.41,4.88,3.22,2.69,1.38,-0.59,-1.16,0.06,0.94,0.28,-0.16,1.34,2.97,3.34,4.03,6.47,9.28,10.75,11.25,12.53,13.44,12.69,9.88,7.09,5.59,3.84,1.34,0.16,1.59,3.75,5.06,5.59,6.75,7.59,6.44,4.06,3.12,3.69,4.19,4.28,5.5,8.31,10.38,10.5,10.34,11.12,12.0,11.16,10.44,11.16,12.03,11.84,10.62,10.66,11.53,12.16,11.5,11.22,11.31,10.69,8.41,5.88,5.47,5.62,4.66,3.16,2.78,2.75,1.81,0.34,0.12,1.16,2.22,2.0,2.16,3.56,4.69,4.03,3.31,4.16,5.5,5.88,6.09,7.66,8.88,8.22,5.41,2.75,0.34,-2.22,-5.47,-7.31,-7.28,-6.53,-7.03,-7.31,-6.25,-4.44,-3.56,-2.56,0.38,4.41,7.69,9.0,10.19,11.25,11.28,9.31,7.94,8.19,9.31,9.34,9.28,10.97,12.88,13.53,12.75,12.69,13.62,13.59,12.34,12.28,13.53,14.0,13.03,12.03,12.62,13.5,13.28,12.59,13.22,13.75,12.78,10.94,10.16,10.84,10.84,9.75,9.38,9.91,9.97,8.09,6.16,5.34,5.09,3.47,2.06,2.0,2.22,1.16,-1.44,-2.94,-3.28,-3.56,-4.34,-4.41,-2.62,-0.44,0.06,0.88,3.25,5.84,6.81,7.34,8.38,10.31,11.12,11.03,12.31,14.59,16.25,16.12,15.94,16.25,16.28,14.62,12.66,12.38,12.84,12.19,11.38,11.41,11.78,11.12,8.88,7.22,7.28,7.03,5.56,4.56,5.16,5.78,4.97,4.09,4.88,6.5,6.91,6.59,7.28,8.69,9.16,7.72,7.44,7.78,7.88,6.22,5.06,5.44,6.88,7.38,8.22,10.5,13.31,13.91,13.56,13.53,13.97,13.34,11.75,11.41,12.31,13.28,12.78,12.12,12.19,11.66,9.91,8.12,7.91,9.12,10.09,10.12,11.28,12.66,13.19,12.06,11.19,11.62,12.19,10.88,9.19,8.91,8.72,7.38,5.84,6.0,7.88,9.06,9.78,11.53,14.0,15.88,16.16,16.22,17.09,17.75,16.06,14.19,13.28,12.5,10.72,9.16,9.16,10.78,11.94,12.16,13.09,14.69,15.5,14.56,14.03,14.69,15.31,14.16,12.47,11.5,11.62,10.69,9.81,10.41,12.91,14.78,15.81,17.56,20.62,22.94,23.06,23.09,23.53,23.47,21.44,18.66,16.75,15.34,12.44,9.28,7.41,7.41,6.84,6.31,6.97,9.09,11.62,12.09,12.31,12.72,13.16,11.25,9.16,8.38,8.22,7.19,5.75,5.53,6.81,7.97,8.72,10.03,12.44,14.97,15.12,15.25,16.0,16.38,14.53,12.0,9.94,8.44,6.12,3.22,1.47,1.75,2.03,1.62,1.91,3.41,4.72,4.09,3.53,4.16,5.34,5.56,5.16,6.41,8.66,10.09,10.84,11.94,13.38,13.62,11.62,9.19,8.09,7.22,5.16,3.31,3.0,3.84,3.84,3.62,4.81,7.53,9.34,9.91,10.22,12.09,13.06,12.03,11.16,11.56,11.56,10.16,8.72,8.38,8.62,7.88,6.53,6.06,6.97,7.62,8.31,9.34,11.66,13.06,12.69,11.78,12.44,13.28,12.88,12.81,13.91,15.25,15.38,14.53,14.28,15.12,15.19,14.06,13.56,14.56,15.66,14.69,13.5,13.75,13.78,12.16,10.69,10.31,10.38,9.28,7.25,5.78,5.69,5.34,3.81,3.09,4.66,5.97,6.0,6.09,7.81,9.84,10.69,11.56,13.38,16.0,17.19,17.66,18.38,20.47,21.69,21.44,21.25,22.25,22.56,21.0,18.59,16.38,14.22,10.72,6.59,4.28,4.09,3.88,3.5,3.81,5.41,6.06,5.0,3.47,3.97,5.22,5.84,7.38,10.19,13.69,15.44,15.62,15.88,16.59,15.84,13.94,12.34,12.47,12.22,10.81,9.69,10.12,11.03,10.72,10.28,11.06,12.22,12.34,11.69,12.31,14.44,16.44,17.0,17.72,19.28,20.03,18.88,17.56,17.44,17.78,15.91,13.69,13.0,13.16,12.94,12.38,13.34,16.25,18.19,18.94,19.03,19.5,19.06,16.47,13.66,12.81,12.53,11.5,10.09,10.38,11.69,12.59,12.62,13.5,15.56,17.06,17.16,17.62,19.75,22.19,23.16,24.0,26.06,27.97,28.22,27.0,26.66,26.41,25.44,23.69,22.88,23.34,23.69,23.03,22.16,23.0,23.69,22.56,21.09,20.94,21.41,21.34,20.38,20.59,21.84,22.25,21.09,20.03,20.66,20.59,19.66,18.25,18.44,18.53,17.41,15.28,14.69,14.88,14.38,12.91,12.44,13.06,8.47,9.22,10.19,11.22,11.88,13.38,15.31,16.84,18.0,19.12,20.44,21.28,21.47,22.0,22.5,22.59,22.28,20.53,18.84,17.12,14.78,12.88,12.06,12.28,13.0,14.03,15.09,16.59,17.72,17.5,16.69,15.75,14.56,13.25,12.19:-7.47,-5.5,-3.53,-3.12,-2.0,0.38,1.66,0.66,0.19,1.31,2.25,1.03,-0.69,-1.72,-2.19,-4.25,-6.28,-6.81,-5.41,-3.66,-2.75,-0.72,2.75,6.09,7.16,8.06,9.38,10.41,8.81,6.09,4.0,2.34,-0.34,-3.81,-6.12,-6.03,-5.91,-6.56,-6.03,-3.66,-1.03,-0.38,0.5,2.88,5.53,6.56,6.97,8.56,10.53,10.41,8.56,6.84,5.56,3.44,0.56,-1.78,-2.16,-1.56,-2.56,-2.84,-1.91,-0.84,-1.56,-3.81,-4.88,-4.88,-5.59,-6.62,-6.19,-4.0,-1.84,-1.28,-0.41,1.19,2.78,2.53,1.84,2.97,4.38,4.03,2.94,2.91,3.88,4.62,4.03,4.31,5.66,6.25,4.97,3.72,3.72,3.47,1.16,-0.84,-1.97,-2.41,-3.75,-6.19,-7.44,-7.38,-8.03,-9.09,-9.12,-7.44,-5.03,-3.97,-2.62,-0.06,2.31,2.44,1.78,2.44,3.91,4.16,3.97,4.66,6.25,6.84,6.0,5.03,5.66,5.94,4.16,2.47,1.81,1.03,-1.78,-5.09,-6.97,-7.41,-8.41,-9.12,-8.22,-5.66,-3.12,-2.0,-0.75,1.94,4.0,4.28,4.0,4.81,6.12,5.25,3.88,3.66,3.97,3.06,1.38,0.53,0.97,0.81,-1.03,-2.69,-3.12,-3.56,-6.5,-8.25,-8.69,-7.59,-7.5,-7.12,-5.34,-2.75,-1.75,-2.72,-3.44,-3.16,-3.53,-5.38,-6.66,-6.0,-5.66,-6.94,-8.53,-8.62,-8.22,-8.84,-9.31,-8.38,-5.59,-3.72,-3.34,-2.28,-1.0,-0.28,-1.78,-3.22,-3.16,-3.09,-4.81,-6.72,-7.28,-6.97,-7.72,-8.56,-7.47,-5.28,-4.03,-4.47,-4.53,-3.81,-3.53,-4.47,-5.19,-4.0,-3.25,-4.12,-5.5,-5.5,-4.91,-5.69,-7.12,-8.03,-7.81,-8.19,-9.94,-10.41,-8.94,-7.59,-7.31,-6.91,-4.88,-2.28,-1.53,-1.34,0.09,1.88,1.56,0.47,-0.09,0.31,0.0,-1.72,-3.03,-2.5,-2.72,-4.59,-6.53,-6.62,-6.12,-6.28,-6.47,-4.78,-2.28,-1.28,-1.72,-0.81,1.53,3.47,4.47,5.56,7.59,9.06,7.91,6.09,5.72,5.44,3.31,1.41,1.19,2.12,2.19,1.66,1.66,2.75,3.03,1.91,1.06,1.56,1.97,0.94,-0.12,0.28,1.59,1.25,-0.09,-0.38,0.12,-0.66,-2.06,-2.5,-1.31,-0.59,-1.56,-2.62,-1.84,-1.31,-2.09,-3.0,-2.78,-2.0,-2.38,-3.31,-2.91,-1.31,-0.09,-0.59,-0.09,2.06,4.0,4.97,6.78,9.72,12.03,12.0,10.59,9.75,9.16,7.03,4.47,3.56,4.41,4.31,3.22,2.19,2.62,2.44,0.78,-0.19,0.94,2.91,3.19,3.38,4.91,6.59,6.66,5.88,6.25,8.22,9.84,10.53,10.78,12.44,13.19,12.06,10.53,11.09,11.62,10.31,8.66,8.0,8.0,7.0,5.16,4.59,6.0,6.72,6.28,6.12,7.94,9.19,8.88,8.56,9.41,10.38,9.47,8.06,7.62,8.28,7.56,5.78,4.91,5.56,5.31,3.72,2.19,2.16,2.0,0.25,-1.25,-0.72,0.78,1.09,0.62,1.53,3.12,3.28,2.16,1.5,2.0,2.06,0.41,-0.78,-0.25,0.53,-0.28,-1.72,-1.66,-0.81,-1.88,-3.47,-3.59,-1.97,-1.09,-1.78,-1.62,-0.28,0.53,-0.16,-0.88,0.53,2.03,2.53,2.59,4.16,6.25,6.5,5.47,4.97,5.19,4.94,3.59,3.31,5.22,6.84,7.31,7.88,9.56,10.72,10.75,9.56,9.75,10.72,10.16,8.41,7.12,6.59,4.59,1.25,-1.31,-2.28,-3.0,-4.88,-6.78,-6.88,-6.91,-8.22,-10.16,-10.44,-9.19,-8.75,-8.5,-7.59,-5.22,-4.0,-4.41,-4.47,-3.38,-2.12,-2.47,-3.38,-3.09,-3.0,-4.94,-8.41,-10.41,-11.38,-12.88,-14.72,-15.34,-14.28,-13.62,-13.78,-13.81,-12.25,-10.41,-9.94,-9.66,-7.19,-4.78,-3.09,-2.97,-2.38,-1.19,-0.91,-1.91,-1.53,0.28,1.75,1.56,1.31,1.94,2.16,0.72,-0.88,-0.78,-0.03,-0.12,-0.5,-0.12,1.53,2.16,1.59,1.34,2.47,2.97,2.19,1.22,1.94,3.03,2.25,1.25,1.72,3.22,3.28,2.56,2.69,3.47,2.84,0.28,-2.34,-3.09,-3.97,-5.5,-5.97,-4.44,-2.56,-2.06,-2.5,-2.22,-1.75,-2.22,-3.66,-3.91,-2.31,-0.75,-0.38,0.28,2.31,3.59,3.06,2.78,4.56,6.81,8.03,8.75,10.66,12.56,12.91,11.81,11.5,11.5,11.25,9.81,8.81,9.69,10.56,9.91,9.0,9.12,9.06,7.41,4.88,3.22,2.69,1.38,-0.59,-1.16,0.06,0.94,0.28,-0.16,1.34,2.97,3.34,4.03,6.47,9.28,10.75,11.25,12.53,13.44,12.69,9.88,7.09,5.59,3.84,1.34,0.16,1.59,3.75,5.06,5.59,6.75,7.59,6.44,4.06,3.12,3.69,4.19,4.28,5.5,8.31,10.38,10.5,10.34,11.12,12.0,11.16,10.44,11.16,12.03,11.84,10.62,10.66,11.53,12.16,11.5,11.22,11.31,10.69,8.41,5.88,5.47,5.62,4.66,3.16,2.78,2.75,1.81,0.34,0.12,1.16,2.22,2.0,2.16,3.56,4.69,4.03,3.31,4.16,5.5,5.88,6.09,7.66,8.88,8.22,5.41,2.75,0.34,-2.22,-5.47,-7.31,-7.28,-6.53,-7.03,-7.31,-6.25,-4.44,-3.56,-2.56,0.38,4.41,7.69,9.0,10.19,11.25,11.28,9.31,7.94,8.19,9.31,9.34,9.28,10.97,12.88,13.53,12.75,12.69,13.62,13.59,12.34,12.28,13.53,14.0,13.03,12.03,12.62,13.5,13.28,12.59,13.22,13.75,12.78,10.94,10.16,10.84,10.84,9.75,9.38,9.91,9.97,8.09,6.16,5.34,5.09,3.47,2.06,2.0,2.22,1.16,-1.44,-2.94,-3.28,-3.56,-4.34,-4.41,-2.62,-0.44,0.06,0.88,3.25,5.84,6.81,7.34,8.38,10.31,11.12,11.03,12.31,14.59,16.25,16.12,15.94,16.25,16.28,14.62,12.66,12.38,12.84,12.19,11.38,11.41,11.78,11.12,8.88,7.22,7.28,7.03,5.56,4.56,5.16,5.78,4.97,4.09,4.88,6.5,6.91,6.59,7.28,8.69,9.16,7.72,7.44,7.78,7.88,6.22,5.06,5.44,6.88,7.38,8.22,10.5,13.31,13.91,13.56,13.53,13.97,13.34,11.75,11.41,12.31,13.28,12.78,12.12,12.19,11.66,9.91,8.12,7.91,9.12,10.09,10.12,11.28,12.66,13.19,12.06,11.19,11.62,12.19,10.88,9.19,8.91,8.72,7.38,5.84,6.0,7.88,9.06,9.78,11.53,14.0,15.88,16.16,16.22,17.09,17.75,16.06,14.19,13.28,12.5,10.72,9.16,9.16,10.78,11.94,12.16,13.09,14.69,15.5,14.56,14.03,14.69,15.31,14.16,12.47,11.5,11.62,10.69,9.81,10.41,12.91,14.78,15.81,17.56,20.62,22.94,23.06,23.09,23.53,23.47,21.44,18.66,16.75,15.34,12.44,9.28,7.41,7.41,6.84,6.31,6.97,9.09,11.62,12.09,12.31,12.72,13.16,11.25,9.16,8.38,8.22,7.19,5.75,5.53,6.81,7.97,8.72,10.03,12.44,14.97,15.12,15.25,16.0,16.38,14.53,12.0,9.94,8.44,6.12,3.22,1.47,1.75,2.03,1.62,1.91,3.41,4.72,4.09,3.53,4.16,5.34,5.56,5.16,6.41,8.66,10.09,10.84,11.94,13.38,13.62,11.62,9.19,8.09,7.22,5.16,3.31,3.0,3.84,3.84,3.62,4.81,7.53,9.34,9.91,10.22,12.09,13.06,12.03,11.16,11.56,11.56,10.16,8.72,8.38,8.62,7.88,6.53,6.06,6.97,7.62,8.31,9.34,11.66,13.06,12.69,11.78,12.44,13.28,12.88,12.81,13.91,15.25,15.38,14.53,14.28,15.12,15.19,14.06,13.56,14.56,15.66,14.69,13.5,13.75,13.78,12.16,10.69,10.31,10.38,9.28,7.25,5.78,5.69,5.34,3.81,3.09,4.66,5.97,6.0,6.09,7.81,9.84,10.69,11.56,13.38,16.0,17.19,17.66,18.38,20.47,21.69,21.44,21.25,22.25,22.56,21.0,18.59,16.38,14.22,10.72,6.59,4.28,4.09,3.88,3.5,3.81,5.41,6.06,5.0,3.47,3.97,5.22,5.84,7.38,10.19,13.69,15.44,15.62,15.88,16.59,15.84,13.94,12.34,12.47,12.22,10.81,9.69,10.12,11.03,10.72,10.28,11.06,12.22,12.34,11.69,12.31,14.44,16.44,17.0,17.72,19.28,20.03,18.88,17.56,17.44,17.78,15.91,13.69,13.0,13.16,12.94,12.38,13.34,16.25,18.19,18.94,19.03,19.5,19.06,16.47,13.66,12.81,12.53,11.5,10.09,10.38,11.69,12.59,12.62,13.5,15.56,17.06,17.16,17.62,19.75,22.19,23.16,24.0,26.06,27.97,28.22,27.0,26.66,26.41,25.44,23.69,22.88,23.34,23.69,23.03,22.16,23.0,23.69,22.56,21.09,20.94,21.41,21.34,20.38,20.59,21.84,22.25,21.09,20.03,20.66,20.59,19.66,18.25,18.44,18.53,17.41,15.28,14.69,14.88,14.38,12.91,12.44,13.06,8.47,9.22,10.19,11.22,11.88,13.38,15.31,16.84,18.0,19.12,20.44,21.28,21.47,22.0,22.5,22.59,22.28,20.53,18.84,17.12,14.78,12.88,12.06,12.28,13.0,14.03,15.09,16.59,17.72,17.5,16.69,15.75,14.56,13.25,12.19,11.59,11.5,11.12,10.62,10.56,11.72,12.31:positivity
35.06,31.0,28.5,24.31,19.34,16.62,17.44,17.84,17.06,16.59,19.22,22.0,22.81,23.28,25.88,28.91,29.0,27.28,26.44,26.19,24.25,20.66,18.59,19.56,20.72,19.62,19.03,20.78,22.62,22.09,21.47,23.69,27.5,29.88,31.0,33.34,35.94,36.28,33.47,30.53,29.41,27.66,23.53,20.06,19.62,20.56,20.25,19.88,21.56,24.62,25.88,25.81,27.41,30.97,33.91,34.84,36.47,39.97,42.25,41.53,39.94,39.38,38.72,35.09,30.12,26.09,23.12,18.97,14.25,11.56,12.0,12.5,11.0,10.41,12.0,13.88,13.66,13.59,15.25,17.69,17.88,17.12,17.81,20.84,22.25,22.41,23.19,25.94,27.47,26.44,25.03,25.62,25.84,23.78,21.66,21.91,23.34,23.03,21.84,22.0,23.69,23.41,21.31,19.47,20.22,19.91,17.12,14.41,13.91,13.94,11.81,9.66,9.69,11.25,11.31,10.22,10.91,13.88,15.5,15.31,15.12,17.09,18.0,16.53,14.69,15.75,17.78,18.03,17.81,19.31,21.84,22.66,21.81,22.12,24.44,25.69,24.97,24.22,25.72,26.59,24.88,22.25,21.56,21.5,19.94,17.28,17.28,18.97,19.34,17.81,17.06,18.0,17.47,14.81,12.41,12.75,13.25,11.94,10.62,11.41,12.84,12.38,10.66,10.84,13.03,14.28,14.31,15.22,18.47,20.31,19.34,17.88,18.31,18.25,15.53,11.91,10.44,9.94,8.47,6.25,6.44,8.69,10.44,10.25,10.88,13.84,16.31,16.56,16.88,18.94,20.81,19.69,17.5,16.81,17.34,17.09,16.0,17.12,20.12,22.56,22.34,21.47,21.78,21.12,18.38,15.44,15.41,16.72,17.09,17.56,19.94,24.19,26.66,26.62,25.84,25.09,21.94,16.09,10.72,8.94,8.12,6.62,5.94,8.12,11.72,13.44,13.69,15.28,17.28,17.72,16.38,16.19,18.38,19.94,19.03,17.31,17.34,16.66,13.66,10.47,10.16,11.78,12.72,12.62,13.88,15.84,15.69,12.81,10.06,9.53,8.81,7.19,5.84,7.62,10.25,11.06,11.22,13.31,16.25,17.62,17.28,17.91,20.22,20.94,19.47,18.53,19.59,20.72,19.88,18.88,19.94,21.78,21.56,20.0,20.5,21.97,22.34,21.12,20.97,22.44,23.22,21.66,20.12,20.81,21.28,19.47,16.91,16.75,17.25,16.94,15.5,16.19,18.16,18.62,16.5,15.06,15.22,14.28,11.5,9.44,10.03,11.84,12.0,11.84,13.97,16.88,17.84,16.91,17.19,17.97,17.31,14.59,12.62,13.03,13.25,11.34,9.34,9.53,11.03,10.59,10.09,11.84,14.81,16.78,16.94,18.97,21.5,22.78,20.94,18.88,18.19,16.94,13.47,10.09,9.44,9.78,8.88,7.47,8.56,10.31,10.78,9.0,7.84,7.78,6.66,3.41,1.38,1.69,2.69,1.53,0.12,0.38,1.34,0.38,-0.94,0.12,3.19,5.59,6.41,7.94,10.53,11.56,9.69,7.84,8.0,8.72,7.81,7.12,8.66,11.31,12.16,11.47,11.91,13.34,13.47,11.62,11.09,11.88,12.81,10.69,9.03,9.28,9.62,8.09,6.06,6.03,7.31,7.19,6.06,6.53,8.34,9.16,8.09,7.22,7.72,7.56,4.66,1.38,0.16,-0.22,-2.19,-4.38,-4.81,-3.75,-4.03,-5.34,-5.38,-3.25,-1.12,-0.53,0.81,3.91,7.12,7.69,7.16,8.22,9.88,9.22,7.34,6.72,7.22,6.09,3.75,2.25,2.38,2.22,-0.62,-3.38,-3.91,-3.56,-4.97,-6.38,-4.94,-2.56,-1.91,-2.38,-1.78,0.06,0.25,-1.44,-2.72,-1.88,-1.31,-2.59,-3.59,-2.72,-1.09,-2.16,-4.19,-4.59,-3.78,-4.22,-5.81,-5.59,-3.38,-1.59,-1.56,-0.88,2.06,4.84,5.53,6.38,9.0,12.0,12.69,11.75,11.41,11.69,10.53,7.75,6.28,6.91,7.47,6.28,5.66,7.16,8.38,7.22,5.22,5.38,6.31,5.56,4.19,4.69,6.72,8.03,7.41,7.59,9.56,10.84,10.03,9.22,10.66,12.25,11.28,9.91,10.5,12.19,12.34,11.59,11.91,13.72,13.88,12.06,10.75,11.41,12.06,10.69,10.06,11.12,12.38,11.78,10.38,10.41,11.44,10.62,8.09,6.72,6.88,6.25,3.97,3.19,4.88,6.81,7.03,7.66,9.44,11.56,11.44,10.06,9.5,10.44,10.03,8.25,7.78,9.47,10.16,8.62,7.06,7.25,7.5,5.84,3.91,4.03,5.22,4.88,3.62,3.78,5.66,5.66,3.84,2.25,2.62,3.06,1.69,1.31,3.16,5.47,5.41,4.78,5.91,7.34,6.94,5.25,4.75,5.66,5.19,3.28,1.78,2.06,2.12,0.28,-1.16,-0.28,1.75,1.69,0.59,0.94,1.88,0.5,-1.75,-3.0,-1.88,-1.06,-1.59,-1.34,1.06,3.47,3.5,2.94,4.25,6.41,6.47,5.88,6.5,8.59,8.53,7.44,6.91,8.38,9.12,7.66,6.22,6.75,7.06,4.72,1.66,-0.19,-1.66,-5.44,-10.31,-12.75,-13.12,-13.22,-13.38,-11.78,-7.12,-2.28,0.66,2.88,7.09,10.47,11.12,10.59,11.91,14.38,14.5,13.25,12.34,12.56,11.12,8.66,7.03,8.28,9.88,10.47,10.94,13.59,16.12,16.31,14.5,14.12,14.41,13.25,10.97,10.41,12.38,13.66,13.0,12.91,14.25,14.75,12.53,9.84,9.66,10.16,9.72,8.91,9.47,11.34,11.03,8.47,6.66,6.75,6.38,3.78,1.88,2.47,2.78,2.25,1.25,2.94,5.66,6.38,5.88,6.97,9.53,11.19,11.62,12.94,16.53,19.34,19.81,20.25,23.16,25.44,25.72,24.47,24.19,23.59,20.91,16.44,13.5,12.12,10.03,6.88,4.66,5.47,6.91,6.62,6.94,9.75,12.69,13.62,13.19,15.25,17.91,19.03,18.31,18.91,20.19,20.16,17.97,15.84,16.19,15.94,13.47,10.75,10.69,11.34,10.78,9.44,10.34,12.28,13.06,11.56,11.03,12.28,12.62,10.84,9.59,10.88,11.53,10.28,8.16,8.28,9.16,8.25,6.62,7.16,9.0,10.41,9.59,9.41,10.94,11.03,8.69,6.69,7.28,8.69,8.34,7.66,8.69,10.25,9.38,6.84,5.94,6.0,5.97,4.38,4.47,6.81,9.22,9.12,8.78,9.81,10.88,8.91,6.16,5.59,6.47,5.81,4.34,4.34,5.94,6.53,5.38,5.19,7.12,8.88,8.53,8.0,9.41,11.25,11.16,10.28,11.19,12.78,12.75,11.19,10.75,12.25,13.16,12.22,12.28,14.84,17.31,17.19,16.06,16.75,17.66,16.25,14.22,14.44,15.88,16.28,14.69,14.38,15.94,17.03,16.16,15.84,18.0,20.38,20.38,19.72,21.03,23.09,23.09,21.41,20.94,22.0,21.78,19.31,17.62,17.47,17.16,14.06,11.34,11.0,10.69,7.66,4.0,2.88,3.03,2.62,2.06,3.62,7.19,9.25,9.03,9.25,11.06,12.19,10.91,10.12,12.16,14.88,15.66,15.69,17.62,20.25,21.0,20.0,20.28,22.44,23.5,22.69,22.06,24.06,25.28,23.69,21.31,21.03,20.88,18.94,16.06,15.34,16.28,16.16,14.47,14.34,16.06,17.19,16.12,15.25,16.78,17.66,16.28,14.53,15.0,16.66,16.28,14.59,14.5,15.56,14.84,12.12,10.78,11.5,11.97,10.31,9.62,11.69,13.97,14.31,14.12,15.66,17.88,18.28,17.75,18.66,20.94,22.25,21.03,20.38,21.62,22.19,20.94,19.56,20.34,21.62,21.03,19.81,20.69,22.84,23.31,22.22,22.34,23.75,23.72,21.34,19.84,20.62,21.09,19.03,16.97,17.12,17.66,15.78,13.44,13.31,14.69,14.97,13.84,14.34,16.47,17.53,15.97,15.34,16.81,18.25,17.47,16.59,17.78,19.38,19.03,17.75,18.16,19.91,20.19,18.72,18.44,19.5,19.81,17.28,14.69,14.28,13.72,11.47,9.94,11.5,14.5,15.88,15.84,16.56,18.44,18.31,16.41,16.0,18.06,20.0,19.38,19.22,20.59,21.66,20.0,17.66,17.62,19.0,18.62,17.53,17.34,18.38,17.53,14.88,12.97,13.75,14.81,13.78,13.12,14.91,16.97,16.16,14.66,14.5,14.94,13.28,10.66,10.03,11.84,13.25,12.91,13.34,14.91,16.09,14.28,11.84,12.38,13.88,13.81,13.34,14.88,17.12,16.59,13.81,11.5,10.53,9.25,6.25,4.62,5.91,7.78,7.41,7.5,9.59,12.75,14.19,14.47,16.62,20.28,22.44,22.25,23.19,25.88,27.69,27.06,26.59,28.28,29.81,28.47,26.56,26.66,27.53,26.22,23.47,22.25,22.66,21.59,19.22,18.19,19.75,20.41,19.25,18.28,19.03,19.97,18.44,16.56,16.81,18.31,18.34,17.56,18.25,20.91,21.94,21.19,20.88,22.0,22.41,19.97,17.69,18.0,19.06,17.62,15.66,15.25,15.69,13.84,11.59,11.25,13.66,15.53,15.75,16.03,18.03,18.16,15.59,12.84,12.34,13.12,12.25,10.91,11.91,14.59,16.12,16.56,18.16,21.28,23.03,22.19,21.59,23.38,24.34,22.72,20.62,19.66,18.59,15.16,10.53,8.31,8.53,7.91,7.44,8.81,12.41,15.53,16.28,16.94,19.34,21.34,20.81,19.66,20.22,22.0,21.41,19.62,19.41,20.81,20.66,19.06,18.06,18.91,18.94,16.72,14.03,13.62,13.88,12.19,9.62,9.72,11.12,10.47,9.19,9.41,11.03,11.94,11.47,11.66,13.94,15.88,15.91:17.84,17.06,16.59,19.22,22.0,22.81,23.28,25.88,28.91,29.0,27.28,26.44,26.19,24.25,20.66,18.59,19.56,20.72,19.62,19.03,20.78,22.62,22.09,21.47,23.69,27.5,29.88,31.0,33.34,35.94,36.28,33.47,30.53,29.41,27.66,23.53,20.06,19.62,20.56,20.25,19.88,21.56,24.62,25.88,25.81,27.41,30.97,33.91,34.84,36.47,39.97,42.25,41.53,39.94,39.38,38.72,35.09,30.12,26.09,23.12,18.97,14.25,11.56,12.0,12.5,11.0,10.41,12.0,13.88,13.66,13.59,15.25,17.69,17.88,17.12,17.81,20.84,22.25,22.41,23.19,25.94,27.47,26.44,25.03,25.62,25.84,23.78,21.66,21.91,23.34,23.03,21.84,22.0,23.69,23.41,21.31,19.47,20.22,19.91,17.12,14.41,13.91,13.94,11.81,9.66,9.69,11.25,11.31,10.22,10.91,13.88,15.5,15.31,15.12,17.09,18.0,16.53,14.69,15.75,17.78,18.03,17.81,19.31,21.84,22.66,21.81,22.12,24.44,25.69,24.97,24.22,25.72,26.59,24.88,22.25,21.56,21.5,19.94,17.28,17.28,18.97,19.34,17.81,17.06,18.0,17.47,14.81,12.41,12.75,13.25,11.94,10.62,11.41,12.84,12.38,10.66,10.84,13.03,14.28,14.31,15.22,18.47,20.31,19.34,17.88,18.31,18.25,15.53,11.91,10.44,9.94,8.47,6.25,6.44,8.69,10.44,10.25,10.88,13.84,16.31,16.56,16.88,18.94,20.81,19.69,17.5,16.81,17.34,17.09,16.0,17.12,20.12,22.56,22.34,21.47,21.78,21.12,18.38,15.44,15.41,16.72,17.09,17.56,19.94,24.19,26.66,26.62,25.84,25.09,21.94,16.09,10.72,8.94,8.12,6.62,5.94,8.12,11.72,13.44,13.69,15.28,17.28,17.72,16.38,16.19,18.38,19.94,19.03,17.31,17.34,16.66,13.66,10.47,10.16,11.78,12.72,12.62,13.88,15.84,15.69,12.81,10.06,9.53,8.81,7.19,5.84,7.62,10.25,11.06,11.22,13.31,16.25,17.62,17.28,17.91,20.22,20.94,19.47,18.53,19.59,20.72,19.88,18.88,19.94,21.78,21.56,20.0,20.5,21.97,22.34,21.12,20.97,22.44,23.22,21.66,20.12,20.81,21.28,19.47,16.91,16.75,17.25,16.94,15.5,16.19,18.16,18.62,16.5,15.06,15.22,14.28,11.5,9.44,10.03,11.84,12.0,11.84,13.97,16.88,17.84,16.91,17.19,17.97,17.31,14.59,12.62,13.03,13.25,11.34,9.34,9.53,11.03,10.59,10.09,11.84,14.81,16.78,16.94,18.97,21.5,22.78,20.94,18.88,18.19,16.94,13.47,10.09,9.44,9.78,8.88,7.47,8.56,10.31,10.78,9.0,7.84,7.78,6.66,3.41,1.38,1.69,2.69,1.53,0.12,0.38,1.34,0.38,-0.94,0.12,3.19,5.59,6.41,7.94,10.53,11.56,9.69,7.84,8.0,8.72,7.81,7.12,8.66,11.31,12.16,11.47,11.91,13.34,13.47,11.62,11.09,11.88,12.81,10.69,9.03,9.28,9.62,8.09,6.06,6.03,7.31,7.19,6.06,6.53,8.34,9.16,8.09,7.22,7.72,7.56,4.66,1.38,0.16,-0.22,-2.19,-4.38,-4.81,-3.75,-4.03,-5.34,-5.38,-3.25,-1.12,-0.53,0.81,3.91,7.12,7.69,7.16,8.22,9.88,9.22,7.34,6.72,7.22,6.09,3.75,2.25,2.38,2.22,-0.62,-3.38,-3.91,-3.56,-4.97,-6.38,-4.94,-2.56,-1.91,-2.38,-1.78,0.06,0.25,-1.44,-2.72,-1.88,-1.31,-2.59,-3.59,-2.72,-1.09,-2.16,-4.19,-4.59,-3.78,-4.22,-5.81,-5.59,-3.38,-1.59,-1.56,-0.88,2.06,4.84,5.53,6.38,9.0,12.0,12.69,11.75,11.41,11.69,10.53,7.75,6.28,6.91,7.47,6.28,5.66,7.16,8.38,7.22,5.22,5.38,6.31,5.56,4.19,4.69,6.72,8.03,7.41,7.59,9.56,10.84,10.03,9.22,10.66,12.25,11.28,9.91,10.5,12.19,12.34,11.59,11.91,13.72,13.88,12.06,10.75,11.41,12.06,10.69,10.06,11.12,12.38,11.78,10.38,10.41,11.44,10.62,8.09,6.72,6.88,6.25,3.97,3.19,4.88,6.81,7.03,7.66,9.44,11.56,11.44,10.06,9.5,10.44,10.03,8.25,7.78,9.47,10.16,8.62,7.06,7.25,7.5,5.84,3.91,4.03,5.22,4.88,3.62,3.78,5.66,5.66,3.84,2.25,2.62,3.06,1.69,1.31,3.16,5.47,5.41,4.78,5.91,7.34,6.94,5.25,4.75,5.66,5.19,3.28,1.78,2.06,2.12,0.28,-1.16,-0.28,1.75,1.69,0.59,0.94,1.88,0.5,-1.75,-3.0,-1.88,-1.06,-1.59,-1.34,1.06,3.47,3.5,2.94,4.25,6.41,6.47,5.88,6.5,8.59,8.53,7.44,6.91,8.38,9.12,7.66,6.22,6.75,7.06,4.72,1.66,-0.19,-1.66,-5.44,-10.31,-12.75,-13.12,-13.22,-13.38,-11.78,-7.12,-2.28,0.66,2.88,7.09,10.47,11.12,10.59,11.91,14.38,14.5,13.25,12.34,12.56,11.12,8.66,7.03,8.28,9.88,10.47,10.94,13.59,16.12,16.31,14.5,14.12,14.41,13.25,10.97,10.41,12.38,13.66,13.0,12.91,14.25,14.75,12.53,9.84,9.66,10.16,9.72,8.91,9.47,11.34,11.03,8.47,6.66,6.75,6.38,3.78,1.88,2.47,2.78,2.25,1.25,2.94,5.66,6.38,5.88,6.97,9.53,11.19,11.62,12.94,16.53,19.34,19.81,20.25,23.16,25.44,25.72,24.47,24.19,23.59,20.91,16.44,13.5,12.12,10.03,6.88,4.66,5.47,6.91,6.62,6.94,9.75,12.69,13.62,13.19,15.25,17.91,19.03,18.31,18.91,20.19,20.16,17.97,15.84,16.19,15.94,13.47,10.75,10.69,11.34,10.78,9.44,10.34,12.28,13.06,11.56,11.03,12.28,12.62,10.84,9.59,10.88,11.53,10.28,8.16,8.28,9.16,8.25,6.62,7.16,9.0,10.41,9.59,9.41,10.94,11.03,8.69,6.69,7.28,8.69,8.34,7.66,8.69,10.25,9.38,6.84,5.94,6.0,5.97,4.38,4.47,6.81,9.22,9.12,8.78,9.81,10.88,8.91,6.16,5.59,6.47,5.81,4.34,4.34,5.94,6.53,5.38,5.19,7.12,8.88,8.53,8.0,9.41,11.25,11.16,10.28,11.19,12.78,12.75,11.19,10.75,12.25,13.16,12.22,12.28,14.84,17.31,17.19,16.06,16.75,17.66,16.25,14.22,14.44,15.88,16.28,14.69,14.38,15.94,17.03,16.16,15.84,18.0,20.38,20.38,19.72,21.03,23.09,23.09,21.41,20.94,22.0,21.78,19.31,17.62,17.47,17.16,14.06,11.34,11.0,10.69,7.66,4.0,2.88,3.03,2.62,2.06,3.62,7.19,9.25,9.03,9.25,11.06,12.19,10.91,10.12,12.16,14.88,15.66,15.69,17.62,20.25,21.0,20.0,20.28,22.44,23.5,22.69,22.06,24.06,25.28,23.69,21.31,21.03,20.88,18.94,16.06,15.34,16.28,16.16,14.47,14.34,16.06,17.19,16.12,15.25,16.78,17.66,16.28,14.53,15.0,16.66,16.28,14.59,14.5,15.56,14.84,12.12,10.78,11.5,11.97,10.31,9.62,11.69,13.97,14.31,14.12,15.66,17.88,18.28,17.75,18.66,20.94,22.25,21.03,20.38,21.62,22.19,20.94,19.56,20.34,21.62,21.03,19.81,20.69,22.84,23.31,22.22,22.34,23.75,23.72,21.34,19.84,20.62,21.09,19.03,16.97,17.12,17.66,15.78,13.44,13.31,14.69,14.97,13.84,14.34,16.47,17.53,15.97,15.34,16.81,18.25,17.47,16.59,17.78,19.38,19.03,17.75,18.16,19.91,20.19,18.72,18.44,19.5,19.81,17.28,14.69,14.28,13.72,11.47,9.94,11.5,14.5,15.88,15.84,16.56,18.44,18.31,16.41,16.0,18.06,20.0,19.38,19.22,20.59,21.66,20.0,17.66,17.62,19.0,18.62,17.53,17.34,18.38,17.53,14.88,12.97,13.75,14.81,13.78,13.12,14.91,16.97,16.16,14.66,14.5,14.94,13.28,10.66,10.03,11.84,13.25,12.91,13.34,14.91,16.09,14.28,11.84,12.38,13.88,13.81,13.34,14.88,17.12,16.59,13.81,11.5,10.53,9.25,6.25,4.62,5.91,7.78,7.41,7.5,9.59,12.75,14.19,14.47,16.62,20.28,22.44,22.25,23.19,25.88,27.69,27.06,26.59,28.28,29.81,28.47,26.56,26.66,27.53,26.22,23.47,22.25,22.66,21.59,19.22,18.19,19.75,20.41,19.25,18.28,19.03,19.97,18.44,16.56,16.81,18.31,18.34,17.56,18.25,20.91,21.94,21.19,20.88,22.0,22.41,19.97,17.69,18.0,19.06,17.62,15.66,15.25,15.69,13.84,11.59,11.25,13.66,15.53,15.75,16.03,18.03,18.16,15.59,12.84,12.34,13.12,12.25,10.91,11.91,14.59,16.12,16.56,18.16,21.28,23.03,22.19,21.59,23.38,24.34,22.72,20.62,19.66,18.59,15.16,10.53,8.31,8.53,7.91,7.44,8.81,12.41,15.53,16.28,16.94,19.34,21.34,20.81,19.66,20.22,22.0,21.41,19.62,19.41,20.81,20.66,19.06,18.06,18.91,18.94,16.72,14.03,13.62,13.88,12.19,9.62,9.72,11.12,10.47,9.19,9.41,11.03,11.94,11.47,11.66,13.94,15.88,15.91,11.84,6.91,3.16,-0.88,-5.34,-7.47,-7.0:25.88,28.91,29.0,27.28,26.44,26.19,24.25,20.66,18.59,19.56,20.72,19.62,19.03,20.78,22.62,22.09,21.47,23.69,27.5,29.88,31.0,33.34,35.94,36.28,33.47,30.53,29.41,27.66,23.53,20.06,19.62,20.56,20.25,19.88,21.56,24.62,25.88,25.81,27.41,30.97,33.91,34.84,36.47,39.97,42.25,41.53,39.94,39.38,38.72,35.09,30.12,26.09,23.12,18.97,14.25,11.56,12.0,12.5,11.0,10.41,12.0,13.88,13.66,13.59,15.25,17.69,17.88,17.12,17.81,20.84,22.25,22.41,23.19,25.94,27.47,26.44,25.03,25.62,25.84,23.78,21.66,21.91,23.34,23.03,21.84,22.0,23.69,23.41,21.31,19.47,20.22,19.91,17.12,14.41,13.91,13.94,11.81,9.66,9.69,11.25,11.31,10.22,10.91,13.88,15.5,15.31,15.12,17.09,18.0,16.53,14.69,15.75,17.78,18.03,17.81,19.31,21.84,22.66,21.81,22.12,24.44,25.69,24.97,24.22,25.72,26.59,24.88,22.25,21.56,21.5,19.94,17.28,17.28,18.97,19.34,17.81,17.06,18.0,17.47,14.81,12.41,12.75,13.25,11.94,10.62,11.41,12.84,12.38,10.66,10.84,13.03,14.28,14.31,15.22,18.47,20.31,19.34,17.88,18.31,18.25,15.53,11.91,10.44,9.94,8.47,6.25,6.44,8.69,10.44,10.25,10.88,13.84,16.31,16.56,16.88,18.94,20.81,19.69,17.5,16.81,17.34,17.09,16.0,17.12,20.12,22.56,22.34,21.47,21.78,21.12,18.38,15.44,15.41,16.72,17.09,17.56,19.94,24.19,26.66,26.62,25.84,25.09,21.94,16.09,10.72,8.94,8.12,6.62,5.94,8.12,11.72,13.44,13.69,15.28,17.28,17.72,16.38,16.19,18.38,19.94,19.03,17.31,17.34,16.66,13.66,10.47,10.16,11.78,12.72,12.62,13.88,15.84,15.69,12.81,10.06,9.53,8.81,7.19,5.84,7.62,10.25,11.06,11.22,13.31,16.25,17.62,17.28,17.91,20.22,20.94,19.47,18.53,19.59,20.72,19.88,18.88,19.94,21.78,21.56,20.0,20.5,21.97,22.34,21.12,20.97,22.44,23.22,21.66,20.12,20.81,21.28,19.47,16.91,16.75,17.25,16.94,15.5,16.19,18.16,18.62,16.5,15.06,15.22,14.28,11.5,9.44,10.03,11.84,12.0,11.84,13.97,16.88,17.84,16.91,17.19,17.97,17.31,14.59,12.62,13.03,13.25,11.34,9.34,9.53,11.03,10.59,10.09,11.84,14.81,16.78,16.94,18.97,21.5,22.78,20.94,18.88,18.19,16.94,13.47,10.09,9.44,9.78,8.88,7.47,8.56,10.31,10.78,9.0,7.84,7.78,6.66,3.41,1.38,1.69,2.69,1.53,0.12,0.38,1.34,0.38,-0.94,0.12,3.19,5.59,6.41,7.94,10.53,11.56,9.69,7.84,8.0,8.72,7.81,7.12,8.66,11.31,12.16,11.47,11.91,13.34,13.47,11.62,11.09,11.88,12.81,10.69,9.03,9.28,9.62,8.09,6.06,6.03,7.31,7.19,6.06,6.53,8.34,9.16,8.09,7.22,7.72,7.56,4.66,1.38,0.16,-0.22,-2.19,-4.38,-4.81,-3.75,-4.03,-5.34,-5.38,-3.25,-1.12,-0.53,0.81,3.91,7.12,7.69,7.16,8.22,9.88,9.22,7.34,6.72,7.22,6.09,3.75,2.25,2.38,2.22,-0.62,-3.38,-3.91,-3.56,-4.97,-6.38,-4.94,-2.56,-1.91,-2.38,-1.78,0.06,0.25,-1.44,-2.72,-1.88,-1.31,-2.59,-3.59,-2.72,-1.09,-2.16,-4.19,-4.59,-3.78,-4.22,-5.81,-5.59,-3.38,-1.59,-1.56,-0.88,2.06,4.84,5.53,6.38,9.0,12.0,12.69,11.75,11.41,11.69,10.53,7.75,6.28,6.91,7.47,6.28,5.66,7.16,8.38,7.22,5.22,5.38,6.31,5.56,4.19,4.69,6.72,8.03,7.41,7.59,9.56,10.84,10.03,9.22,10.66,12.25,11.28,9.91,10.5,12.19,12.34,11.59,11.91,13.72,13.88,12.06,10.75,11.41,12.06,10.69,10.06,11.12,12.38,11.78,10.38,10.41,11.44,10.62,8.09,6.72,6.88,6.25,3.97,3.19,4.88,6.81,7.03,7.66,9.44,11.56,11.44,10.06,9.5,10.44,10.03,8.25,7.78,9.47,10.16,8.62,7.06,7.25,7.5,5.84,3.91,4.03,5.22,4.88,3.62,3.78,5.66,5.66,3.84,2.25,2.62,3.06,1.69,1.31,3.16,5.47,5.41,4.78,5.91,7.34,6.94,5.25,4.75,5.66,5.19,3.28,1.78,2.06,2.12,0.28,-1.16,-0.28,1.75,1.69,0.59,0.94,1.88,0.5,-1.75,-3.0,-1.88,-1.06,-1.59,-1.34,1.06,3.47,3.5,2.94,4.25,6.41,6.47,5.88,6.5,8.59,8.53,7.44,6.91,8.38,9.12,7.66,6.22,6.75,7.06,4.72,1.66,-0.19,-1.66,-5.44,-10.31,-12.75,-13.12,-13.22,-13.38,-11.78,-7.12,-2.28,0.66,2.88,7.09,10.47,11.12,10.59,11.91,14.38,14.5,13.25,12.34,12.56,11.12,8.66,7.03,8.28,9.88,10.47,10.94,13.59,16.12,16.31,14.5,14.12,14.41,13.25,10.97,10.41,12.38,13.66,13.0,12.91,14.25,14.75,12.53,9.84,9.66,10.16,9.72,8.91,9.47,11.34,11.03,8.47,6.66,6.75,6.38,3.78,1.88,2.47,2.78,2.25,1.25,2.94,5.66,6.38,5.88,6.97,9.53,11.19,11.62,12.94,16.53,19.34,19.81,20.25,23.16,25.44,25.72,24.47,24.19,23.59,20.91,16.44,13.5,12.12,10.03,6.88,4.66,5.47,6.91,6.62,6.94,9.75,12.69,13.62,13.19,15.25,17.91,19.03,18.31,18.91,20.19,20.16,17.97,15.84,16.19,15.94,13.47,10.75,10.69,11.34,10.78,9.44,10.34,12.28,13.06,11.56,11.03,12.28,12.62,10.84,9.59,10.88,11.53,10.28,8.16,8.28,9.16,8.25,6.62,7.16,9.0,10.41,9.59,9.41,10.94,11.03,8.69,6.69,7.28,8.69,8.34,7.66,8.69,10.25,9.38,6.84,5.94,6.0,5.97,4.38,4.47,6.81,9.22,9.12,8.78,9.81,10.88,8.91,6.16,5.59,6.47,5.81,4.34,4.34,5.94,6.53,5.38,5.19,7.12,8.88,8.53,8.0,9.41,11.25,11.16,10.28,11.19,12.78,12.75,11.19,10.75,12.25,13.16,12.22,12.28,14.84,17.31,17.19,16.06,16.75,17.66,16.25,14.22,14.44,15.88,16.28,14.69,14.38,15.94,17.03,16.16,15.84,18.0,20.38,20.38,19.72,21.03,23.09,23.09,21.41,20.94,22.0,21.78,19.31,17.62,17.47,17.16,14.06,11.34,11.0,10.69,7.66,4.0,2.88,3.03,2.62,2.06,3.62,7.19,9.25,9.03,9.25,11.06,12.19,10.91,10.12,12.16,14.88,15.66,15.69,17.62,20.25,21.0,20.0,20.28,22.44,23.5,22.69,22.06,24.06,25.28,23.69,21.31,21.03,20.88,18.94,16.06,15.34,16.28,16.16,14.47,14.34,16.06,17.19,16.12,15.25,16.78,17.66,16.28,14.53,15.0,16.66,16.28,14.59,14.5,15.56,14.84,12.12,10.78,11.5,11.97,10.31,9.62,11.69,13.97,14.31,14.12,15.66,17.88,18.28,17.75,18.66,20.94,22.25,21.03,20.38,21.62,22.19,20.94,19.56,20.34,21.62,21.03,19.81,20.69,22.84,23.31,22.22,22.34,23.75,23.72,21.34,19.84,20.62,21.09,19.03,16.97,17.12,17.66,15.78,13.44,13.31,14.69,14.97,13.84,14.34,16.47,17.53,15.97,15.34,16.81,18.25,17.47,16.59,17.78,19.38,19.03,17.75,18.16,19.91,20.19,18.72,18.44,19.5,19.81,17.28,14.69,14.28,13.72,11.47,9.94,11.5,14.5,15.88,15.84,16.56,18.44,18.31,16.41,16.0,18.06,20.0,19.38,19.22,20.59,21.66,20.0,17.66,17.62,19.0,18.62,17.53,17.34,18.38,17.53,14.88,12.97,13.75,14.81,13.78,13.12,14.91,16.97,16.16,14.66,14.5,14.94,13.28,10.66,10.03,11.84,13.25,12.91,13.34,14.91,16.09,14.28,11.84,12.38,13.88,13.81,13.34,14.88,17.12,16.59,13.81,11.5,10.53,9.25,6.25,4.62,5.91,7.78,7.41,7.5,9.59,12.75,14.19,14.47,16.62,20.28,22.44,22.25,23.19,25.88,27.69,27.06,26.59,28.28,29.81,28.47,26.56,26.66,27.53,26.22,23.47,22.25,22.66,21.59,19.22,18.19,19.75,20.41,19.25,18.28,19.03,19.97,18.44,16.56,16.81,18.31,18.34,17.56,18.25,20.91,21.94,21.19,20.88,22.0,22.41,19.97,17.69,18.0,19.06,17.62,15.66,15.25,15.69,13.84,11.59,11.25,13.66,15.53,15.75,16.03,18.03,18.16,15.59,12.84,12.34,13.12,12.25,10.91,11.91,14.59,16.12,16.56,18.16,21.28,23.03,22.19,21.59,23.38,24.34,22.72,20.62,19.66,18.59,15.16,10.53,8.31,8.53,7.91,7.44,8.81,12.41,15.53,16.28,16.94,19.34,21.34,20.81,19.66,20.22,22.0,21.41,19.62,19.41,20.81,20.66,19.06,18.06,18.91,18.94,16.72,14.03,13.62,13.88,12.19,9.62,9.72,11.12,10.47,9.19,9.41,11.03,11.94,11.47,11.66,13.94,15.88,15.91,11.84,6.91,3.16,-0.88,-5.34,-7.47,-7.0,-6.16,-6.19,-5.44,-3.22,-0.53,0.16,0.94:20.66,18.59,19.56,20.72,19.62,19.03,20.78,22.62,22.09,21.47,23.69,27.5,29.88,31.0,33.34,35.94,36.28,33.47,30.53,29.41,27.66,23.53,20.06,19.62,20.56,20.25,19.88,21.56,24.62,25.88,25.81,27.41,30.97,33.91,34.84,36.47,39.97,42.25,41.53,39.94,39.38,38.72,35.09,30.12,26.09,23.12,18.97,14.25,11.56,12.0,12.5,11.0,10.41,12.0,13.88,13.66,13.59,15.25,17.69,17.88,17.12,17.81,20.84,22.25,22.41,23.19,25.94,27.47,26.44,25.03,25.62,25.84,23.78,21.66,21.91,23.34,23.03,21.84,22.0,23.69,23.41,21.31,19.47,20.22,19.91,17.12,14.41,13.91,13.94,11.81,9.66,9.69,11.25,11.31,10.22,10.91,13.88,15.5,15.31,15.12,17.09,18.0,16.53,14.69,15.75,17.78,18.03,17.81,19.31,21.84,22.66,21.81,22.12,24.44,25.69,24.97,24.22,25.72,26.59,24.88,22.25,21.56,21.5,19.94,17.28,17.28,18.97,19.34,17.81,17.06,18.0,17.47,14.81,12.41,12.75,13.25,11.94,10.62,11.41,12.84,12.38,10.66,10.84,13.03,14.28,14.31,15.22,18.47,20.31,19.34,17.88,18.31,18.25,15.53,11.91,10.44,9.94,8.47,6.25,6.44,8.69,10.44,10.25,10.88,13.84,16.31,16.56,16.88,18.94,20.81,19.69,17.5,16.81,17.34,17.09,16.0,17.12,20.12,22.56,22.34,21.47,21.78,21.12,18.38,15.44,15.41,16.72,17.09,17.56,19.94,24.19,26.66,26.62,25.84,25.09,21.94,16.09,10.72,8.94,8.12,6.62,5.94,8.12,11.72,13.44,13.69,15.28,17.28,17.72,16.38,16.19,18.38,19.94,19.03,17.31,17.34,16.66,13.66,10.47,10.16,11.78,12.72,12.62,13.88,15.84,15.69,12.81,10.06,9.53,8.81,7.19,5.84,7.62,10.25,11.06,11.22,13.31,16.25,17.62,17.28,17.91,20.22,20.94,19.47,18.53,19.59,20.72,19.88,18.88,19.94,21.78,21.56,20.0,20.5,21.97,22.34,21.12,20.97,22.44,23.22,21.66,20.12,20.81,21.28,19.47,16.91,16.75,17.25,16.94,15.5,16.19,18.16,18.62,16.5,15.06,15.22,14.28,11.5,9.44,10.03,11.84,12.0,11.84,13.97,16.88,17.84,16.91,17.19,17.97,17.31,14.59,12.62,13.03,13.25,11.34,9.34,9.53,11.03,10.59,10.09,11.84,14.81,16.78,16.94,18.97,21.5,22.78,20.94,18.88,18.19,16.94,13.47,10.09,9.44,9.78,8.88,7.47,8.56,10.31,10.78,9.0,7.84,7.78,6.66,3.41,1.38,1.69,2.69,1.53,0.12,0.38,1.34,0.38,-0.94,0.12,3.19,5.59,6.41,7.94,10.53,11.56,9.69,7.84,8.0,8.72,7.81,7.12,8.66,11.31,12.16,11.47,11.91,13.34,13.47,11.62,11.09,11.88,12.81,10.69,9.03,9.28,9.62,8.09,6.06,6.03,7.31,7.19,6.06,6.53,8.34,9.16,8.09,7.22,7.72,7.56,4.66,1.38,0.16,-0.22,-2.19,-4.38,-4.81,-3.75,-4.03,-5.34,-5.38,-3.25,-1.12,-0.53,0.81,3.91,7.12,7.69,7.16,8.22,9.88,9.22,7.34,6.72,7.22,6.09,3.75,2.25,2.38,2.22,-0.62,-3.38,-3.91,-3.56,-4.97,-6.38,-4.94,-2.56,-1.91,-2.38,-1.78,0.06,0.25,-1.44,-2.72,-1.88,-1.31,-2.59,-3.59,-2.72,-1.09,-2.16,-4.19,-4.59,-3.78,-4.22,-5.81,-5.59,-3.38,-1.59,-1.56,-0.88,2.06,4.84,5.53,6.38,9.0,12.0,12.69,11.75,11.41,11.69,10.53,7.75,6.28,6.91,7.47,6.28,5.66,7.16,8.38,7.22,5.22,5.38,6.31,5.56,4.19,4.69,6.72,8.03,7.41,7.59,9.56,10.84,10.03,9.22,10.66,12.25,11.28,9.91,10.5,12.19,12.34,11.59,11.91,13.72,13.88,12.06,10.75,11.41,12.06,10.69,10.06,11.12,12.38,11.78,10.38,10.41,11.44,10.62,8.09,6.72,6.88,6.25,3.97,3.19,4.88,6.81,7.03,7.66,9.44,11.56,11.44,10.06,9.5,10.44,10.03,8.25,7.78,9.47,10.16,8.62,7.06,7.25,7.5,5.84,3.91,4.03,5.22,4.88,3.62,3.78,5.66,5.66,3.84,2.25,2.62,3.06,1.69,1.31,3.16,5.47,5.41,4.78,5.91,7.34,6.94,5.25,4.75,5.66,5.19,3.28,1.78,2.06,2.12,0.28,-1.16,-0.28,1.75,1.69,0.59,0.94,1.88,0.5,-1.75,-3.0,-1.88,-1.06,-1.59,-1.34,1.06,3.47,3.5,2.94,4.25,6.41,6.47,5.88,6.5,8.59,8.53,7.44,6.91,8.38,9.12,7.66,6.22,6.75,7.06,4.72,1.66,-0.19,-1.66,-5.44,-10.31,-12.75,-13.12,-13.22,-13.38,-11.78,-7.12,-2.28,0.66,2.88,7.09,10.47,11.12,10.59,11.91,14.38,14.5,13.25,12.34,12.56,11.12,8.66,7.03,8.28,9.88,10.47,10.94,13.59,16.12,16.31,14.5,14.12,14.41,13.25,10.97,10.41,12.38,13.66,13.0,12.91,14.25,14.75,12.53,9.84,9.66,10.16,9.72,8.91,9.47,11.34,11.03,8.47,6.66,6.75,6.38,3.78,1.88,2.47,2.78,2.25,1.25,2.94,5.66,6.38,5.88,6.97,9.53,11.19,11.62,12.94,16.53,19.34,19.81,20.25,23.16,25.44,25.72,24.47,24.19,23.59,20.91,16.44,13.5,12.12,10.03,6.88,4.66,5.47,6.91,6.62,6.94,9.75,12.69,13.62,13.19,15.25,17.91,19.03,18.31,18.91,20.19,20.16,17.97,15.84,16.19,15.94,13.47,10.75,10.69,11.34,10.78,9.44,10.34,12.28,13.06,11.56,11.03,12.28,12.62,10.84,9.59,10.88,11.53,10.28,8.16,8.28,9.16,8.25,6.62,7.16,9.0,10.41,9.59,9.41,10.94,11.03,8.69,6.69,7.28,8.69,8.34,7.66,8.69,10.25,9.38,6.84,5.94,6.0,5.97,4.38,4.47,6.81,9.22,9.12,8.78,9.81,10.88,8.91,6.16,5.59,6.47,5.81,4.34,4.34,5.94,6.53,5.38,5.19,7.12,8.88,8.53,8.0,9.41,11.25,11.16,10.28,11.19,12.78,12.75,11.19,10.75,12.25,13.16,12.22,12.28,14.84,17.31,17.19,16.06,16.75,17.66,16.25,14.22,14.44,15.88,16.28,14.69,14.38,15.94,17.03,16.16,15.84,18.0,20.38,20.38,19.72,21.03,23.09,23.09,21.41,20.94,22.0,21.78,19.31,17.62,17.47,17.16,14.06,11.34,11.0,10.69,7.66,4.0,2.88,3.03,2.62,2.06,3.62,7.19,9.25,9.03,9.25,11.06,12.19,10.91,10.12,12.16,14.88,15.66,15.69,17.62,20.25,21.0,20.0,20.28,22.44,23.5,22.69,22.06,24.06,25.28,23.69,21.31,21.03,20.88,18.94,16.06,15.34,16.28,16.16,14.47,14.34,16.06,17.19,16.12,15.25,16.78,17.66,16.28,14.53,15.0,16.66,16.28,14.59,14.5,15.56,14.84,12.12,10.78,11.5,11.97,10.31,9.62,11.69,13.97,14.31,14.12,15.66,17.88,18.28,17.75,18.66,20.94,22.25,21.03,20.38,21.62,22.19,20.94,19.56,20.34,21.62,21.03,19.81,20.69,22.84,23.31,22.22,22.34,23.75,23.72,21.34,19.84,20.62,21.09,19.03,16.97,17.12,17.66,15.78,13.44,13.31,14.69,14.97,13.84,14.34,16.47,17.53,15.97,15.34,16.81,18.25,17.47,16.59,17.78,19.38,19.03,17.75,18.16,19.91,20.19,18.72,18.44,19.5,19.81,17.28,14.69,14.28,13.72,11.47,9.94,11.5,14.5,15.88,15.84,16.56,18.44,18.31,16.41,16.0,18.06,20.0,19.38,19.22,20.59,21.66,20.0,17.66,17.62,19.0,18.62,17.53,17.34,18.38,17.53,14.88,12.97,13.75,14.81,13.78,13.12,14.91,16.97,16.16,14.66,14.5,14.94,13.28,10.66,10.03,11.84,13.25,12.91,13.34,14.91,16.09,14.28,11.84,12.38,13.88,13.81,13.34,14.88,17.12,16.59,13.81,11.5,10.53,9.25,6.25,4.62,5.91,7.78,7.41,7.5,9.59,12.75,14.19,14.47,16.62,20.28,22.44,22.25,23.19,25.88,27.69,27.06,26.59,28.28,29.81,28.47,26.56,26.66,27.53,26.22,23.47,22.25,22.66,21.59,19.22,18.19,19.75,20.41,19.25,18.28,19.03,19.97,18.44,16.56,16.81,18.31,18.34,17.56,18.25,20.91,21.94,21.19,20.88,22.0,22.41,19.97,17.69,18.0,19.06,17.62,15.66,15.25,15.69,13.84,11.59,11.25,13.66,15.53,15.75,16.03,18.03,18.16,15.59,12.84,12.34,13.12,12.25,10.91,11.91,14.59,16.12,16.56,18.16,21.28,23.03,22.19,21.59,23.38,24.34,22.72,20.62,19.66,18.59,15.16,10.53,8.31,8.53,7.91,7.44,8.81,12.41,15.53,16.28,16.94,19.34,21.34,20.81,19.66,20.22,22.0,21.41,19.62,19.41,20.81,20.66,19.06,18.06,18.91,18.94,16.72,14.03,13.62,13.88,12.19,9.62,9.72,11.12,10.47,9.19,9.41,11.03,11.94,11.47,11.66,13.94,15.88,15.91,11.84,6.91,3.16,-0.88,-5.34,-7.47,-7.0,-6.16,-6.19,-5.44,-3.22,-0.53,0.16,0.94,3.28,6.06,6.84,6.22,5.88,6.12,4.38:22.62,22.09,21.47,23.69,27.5,29.88,31.0,33.34,35.94,36.28,33.47,30.53,29.41,27.66,23.53,20.06,19.62,20.56,20.25,19.88,21.56,24.62,25.88,25.81,27.41,30.97,33.91,34.84,36.47,39.97,42.25,41.53,39.94,39.38,38.72,35.09,30.12,26.09,23.12,18.97,14.25,11.56,12.0,12.5,11.0,10.41,12.0,13.88,13.66,13.59,15.25,17.69,17.88,17.12,17.81,20.84,22.25,22.41,23.19,25.94,27.47,26.44,25.03,25.62,25.84,23.78,21.66,21.91,23.34,23.03,21.84,22.0,23.69,23.41,21.31,19.47,20.22,19.91,17.12,14.41,13.91,13.94,11.81,9.66,9.69,11.25,11.31,10.22,10.91,13.88,15.5,15.31,15.12,17.09,18.0,16.53,14.69,15.75,17.78,18.03,17.81,19.31,21.84,22.66,21.81,22.12,24.44,25.69,24.97,24.22,25.72,26.59,24.88,22.25,21.56,21.5,19.94,17.28,17.28,18.97,19.34,17.81,17.06,18.0,17.47,14.81,12.41,12.75,13.25,11.94,10.62,11.41,12.84,12.38,10.66,10.84,13.03,14.28,14.31,15.22,18.47,20.31,19.34,17.88,18.31,18.25,15.53,11.91,10.44,9.94,8.47,6.25,6.44,8.69,10.44,10.25,10.88,13.84,16.31,16.56,16.88,18.94,20.81,19.69,17.5,16.81,17.34,17.09,16.0,17.12,20.12,22.56,22.34,21.47,21.78,21.12,18.38,15.44,15.41,16.72,17.09,17.56,19.94,24.19,26.66,26.62,25.84,25.09,21.94,16.09,10.72,8.94,8.12,6.62,5.94,8.12,11.72,13.44,13.69,15.28,17.28,17.72,16.38,16.19,18.38,19.94,19.03,17.31,17.34,16.66,13.66,10.47,10.16,11.78,12.72,12.62,13.88,15.84,15.69,12.81,10.06,9.53,8.81,7.19,5.84,7.62,10.25,11.06,11.22,13.31,16.25,17.62,17.28,17.91,20.22,20.94,19.47,18.53,19.59,20.72,19.88,18.88,19.94,21.78,21.56,20.0,20.5,21.97,22.34,21.12,20.97,22.44,23.22,21.66,20.12,20.81,21.28,19.47,16.91,16.75,17.25,16.94,15.5,16.19,18.16,18.62,16.5,15.06,15.22,14.28,11.5,9.44,10.03,11.84,12.0,11.84,13.97,16.88,17.84,16.91,17.19,17.97,17.31,14.59,12.62,13.03,13.25,11.34,9.34,9.53,11.03,10.59,10.09,11.84,14.81,16.78,16.94,18.97,21.5,22.78,20.94,18.88,18.19,16.94,13.47,10.09,9.44,9.78,8.88,7.47,8.56,10.31,10.78,9.0,7.84,7.78,6.66,3.41,1.38,1.69,2.69,1.53,0.12,0.38,1.34,0.38,-0.94,0.12,3.19,5.59,6.41,7.94,10.53,11.56,9.69,7.84,8.0,8.72,7.81,7.12,8.66,11.31,12.16,11.47,11.91,13.34,13.47,11.62,11.09,11.88,12.81,10.69,9.03,9.28,9.62,8.09,6.06,6.03,7.31,7.19,6.06,6.53,8.34,9.16,8.09,7.22,7.72,7.56,4.66,1.38,0.16,-0.22,-2.19,-4.38,-4.81,-3.75,-4.03,-5.34,-5.38,-3.25,-1.12,-0.53,0.81,3.91,7.12,7.69,7.16,8.22,9.88,9.22,7.34,6.72,7.22,6.09,3.75,2.25,2.38,2.22,-0.62,-3.38,-3.91,-3.56,-4.97,-6.38,-4.94,-2.56,-1.91,-2.38,-1.78,0.06,0.25,-1.44,-2.72,-1.88,-1.31,-2.59,-3.59,-2.72,-1.09,-2.16,-4.19,-4.59,-3.78,-4.22,-5.81,-5.59,-3.38,-1.59,-1.56,-0.88,2.06,4.84,5.53,6.38,9.0,12.0,12.69,11.75,11.41,11.69,10.53,7.75,6.28,6.91,7.47,6.28,5.66,7.16,8.38,7.22,5.22,5.38,6.31,5.56,4.19,4.69,6.72,8.03,7.41,7.59,9.56,10.84,10.03,9.22,10.66,12.25,11.28,9.91,10.5,12.19,12.34,11.59,11.91,13.72,13.88,12.06,10.75,11.41,12.06,10.69,10.06,11.12,12.38,11.78,10.38,10.41,11.44,10.62,8.09,6.72,6.88,6.25,3.97,3.19,4.88,6.81,7.03,7.66,9.44,11.56,11.44,10.06,9.5,10.44,10.03,8.25,7.78,9.47,10.16,8.62,7.06,7.25,7.5,5.84,3.91,4.03,5.22,4.88,3.62,3.78,5.66,5.66,3.84,2.25,2.62,3.06,1.69,1.31,3.16,5.47,5.41,4.78,5.91,7.34,6.94,5.25,4.75,5.66,5.19,3.28,1.78,2.06,2.12,0.28,-1.16,-0.28,1.75,1.69,0.59,0.94,1.88,0.5,-1.75,-3.0,-1.88,-1.06,-1.59,-1.34,1.06,3.47,3.5,2.94,4.25,6.41,6.47,5.88,6.5,8.59,8.53,7.44,6.91,8.38,9.12,7.66,6.22,6.75,7.06,4.72,1.66,-0.19,-1.66,-5.44,-10.31,-12.75,-13.12,-13.22,-13.38,-11.78,-7.12,-2.28,0.66,2.88,7.09,10.47,11.12,10.59,11.91,14.38,14.5,13.25,12.34,12.56,11.12,8.66,7.03,8.28,9.88,10.47,10.94,13.59,16.12,16.31,14.5,14.12,14.41,13.25,10.97,10.41,12.38,13.66,13.0,12.91,14.25,14.75,12.53,9.84,9.66,10.16,9.72,8.91,9.47,11.34,11.03,8.47,6.66,6.75,6.38,3.78,1.88,2.47,2.78,2.25,1.25,2.94,5.66,6.38,5.88,6.97,9.53,11.19,11.62,12.94,16.53,19.34,19.81,20.25,23.16,25.44,25.72,24.47,24.19,23.59,20.91,16.44,13.5,12.12,10.03,6.88,4.66,5.47,6.91,6.62,6.94,9.75,12.69,13.62,13.19,15.25,17.91,19.03,18.31,18.91,20.19,20.16,17.97,15.84,16.19,15.94,13.47,10.75,10.69,11.34,10.78,9.44,10.34,12.28,13.06,11.56,11.03,12.28,12.62,10.84,9.59,10.88,11.53,10.28,8.16,8.28,9.16,8.25,6.62,7.16,9.0,10.41,9.59,9.41,10.94,11.03,8.69,6.69,7.28,8.69,8.34,7.66,8.69,10.25,9.38,6.84,5.94,6.0,5.97,4.38,4.47,6.81,9.22,9.12,8.78,9.81,10.88,8.91,6.16,5.59,6.47,5.81,4.34,4.34,5.94,6.53,5.38,5.19,7.12,8.88,8.53,8.0,9.41,11.25,11.16,10.28,11.19,12.78,12.75,11.19,10.75,12.25,13.16,12.22,12.28,14.84,17.31,17.19,16.06,16.75,17.66,16.25,14.22,14.44,15.88,16.28,14.69,14.38,15.94,17.03,16.16,15.84,18.0,20.38,20.38,19.72,21.03,23.09,23.09,21.41,20.94,22.0,21.78,19.31,17.62,17.47,17.16,14.06,11.34,11.0,10.69,7.66,4.0,2.88,3.03,2.62,2.06,3.62,7.19,9.25,9.03,9.25,11.06,12.19,10.91,10.12,12.16,14.88,15.66,15.69,17.62,20.25,21.0,20.0,20.28,22.44,23.5,22.69,22.06,24.06,25.28,23.69,21.31,21.03,20.88,18.94,16.06,15.34,16.28,16.16,14.47,14.34,16.06,17.19,16.12,15.25,16.78,17.66,16.28,14.53,15.0,16.66,16.28,14.59,14.5,15.56,14.84,12.12,10.78,11.5,11.97,10.31,9.62,11.69,13.97,14.31,14.12,15.66,17.88,18.28,17.75,18.66,20.94,22.25,21.03,20.38,21.62,22.19,20.94,19.56,20.34,21.62,21.03,19.81,20.69,22.84,23.31,22.22,22.34,23.75,23.72,21.34,19.84,20.62,21.09,19.03,16.97,17.12,17.66,15.78,13.44,13.31,14.69,14.97,13.84,14.34,16.47,17.53,15.97,15.34,16.81,18.25,17.47,16.59,17.78,19.38,19.03,17.75,18.16,19.91,20.19,18.72,18.44,19.5,19.81,17.28,14.69,14.28,13.72,11.47,9.94,11.5,14.5,15.88,15.84,16.56,18.44,18.31,16.41,16.0,18.06,20.0,19.38,19.22,20.59,21.66,20.0,17.66,17.62,19.0,18.62,17.53,17.34,18.38,17.53,14.88,12.97,13.75,14.81,13.78,13.12,14.91,16.97,16.16,14.66,14.5,14.94,13.28,10.66,10.03,11.84,13.25,12.91,13.34,14.91,16.09,14.28,11.84,12.38,13.88,13.81,13.34,14.88,17.12,16.59,13.81,11.5,10.53,9.25,6.25,4.62,5.91,7.78,7.41,7.5,9.59,12.75,14.19,14.47,16.62,20.28,22.44,22.25,23.19,25.88,27.69,27.06,26.59,28.28,29.81,28.47,26.56,26.66,27.53,26.22,23.47,22.25,22.66,21.59,19.22,18.19,19.75,20.41,19.25,18.28,19.03,19.97,18.44,16.56,16.81,18.31,18.34,17.56,18.25,20.91,21.94,21.19,20.88,22.0,22.41,19.97,17.69,18.0,19.06,17.62,15.66,15.25,15.69,13.84,11.59,11.25,13.66,15.53,15.75,16.03,18.03,18.16,15.59,12.84,12.34,13.12,12.25,10.91,11.91,14.59,16.12,16.56,18.16,21.28,23.03,22.19,21.59,23.38,24.34,22.72,20.62,19.66,18.59,15.16,10.53,8.31,8.53,7.91,7.44,8.81,12.41,15.53,16.28,16.94,19.34,21.34,20.81,19.66,20.22,22.0,21.41,19.62,19.41,20.81,20.66,19.06,18.06,18.91,18.94,16.72,14.03,13.62,13.88,12.19,9.62,9.72,11.12,10.47,9.19,9.41,11.03,11.94,11.47,11.66,13.94,15.88,15.91,11.84,6.91,3.16,-0.88,-5.34,-7.47,-7.0,-6.16,-6.19,-5.44,-3.22,-0.53,0.16,0.94,3.28,6.06,6.84,6.22,5.88,6.12,4.38,1.31,-0.56,-0.78,-0.75,-2.25,-3.12,-2.22:33.34,35.94,36.28,33.47,30.53,29.41,27.66,23.53,20.06,19.62,20.56,20.25,19.88,21.56,24.62,25.88,25.81,27.41,30.97,33.91,34.84,36.47,39.97,42.25,41.53,39.94,39.38,38.72,35.09,30.12,26.09,23.12,18.97,14.25,11.56,12.0,12.5,11.0,10.41,12.0,13.88,13.66,13.59,15.25,17.69,17.88,17.12,17.81,20.84,22.25,22.41,23.19,25.94,27.47,26.44,25.03,25.62,25.84,23.78,21.66,21.91,23.34,23.03,21.84,22.0,23.69,23.41,21.31,19.47,20.22,19.91,17.12,14.41,13.91,13.94,11.81,9.66,9.69,11.25,11.31,10.22,10.91,13.88,15.5,15.31,15.12,17.09,18.0,16.53,14.69,15.75,17.78,18.03,17.81,19.31,21.84,22.66,21.81,22.12,24.44,25.69,24.97,24.22,25.72,26.59,24.88,22.25,21.56,21.5,19.94,17.28,17.28,18.97,19.34,17.81,17.06,18.0,17.47,14.81,12.41,12.75,13.25,11.94,10.62,11.41,12.84,12.38,10.66,10.84,13.03,14.28,14.31,15.22,18.47,20.31,19.34,17.88,18.31,18.25,15.53,11.91,10.44,9.94,8.47,6.25,6.44,8.69,10.44,10.25,10.88,13.84,16.31,16.56,16.88,18.94,20.81,19.69,17.5,16.81,17.34,17.09,16.0,17.12,20.12,22.56,22.34,21.47,21.78,21.12,18.38,15.44,15.41,16.72,17.09,17.56,19.94,24.19,26.66,26.62,25.84,25.09,21.94,16.09,10.72,8.94,8.12,6.62,5.94,8.12,11.72,13.44,13.69,15.28,17.28,17.72,16.38,16.19,18.38,19.94,19.03,17.31,17.34,16.66,13.66,10.47,10.16,11.78,12.72,12.62,13.88,15.84,15.69,12.81,10.06,9.53,8.81,7.19,5.84,7.62,10.25,11.06,11.22,13.31,16.25,17.62,17.28,17.91,20.22,20.94,19.47,18.53,19.59,20.72,19.88,18.88,19.94,21.78,21.56,20.0,20.5,21.97,22.34,21.12,20.97,22.44,23.22,21.66,20.12,20.81,21.28,19.47,16.91,16.75,17.25,16.94,15.5,16.19,18.16,18.62,16.5,15.06,15.22,14.28,11.5,9.44,10.03,11.84,12.0,11.84,13.97,16.88,17.84,16.91,17.19,17.97,17.31,14.59,12.62,13.03,13.25,11.34,9.34,9.53,11.03,10.59,10.09,11.84,14.81,16.78,16.94,18.97,21.5,22.78,20.94,18.88,18.19,16.94,13.47,10.09,9.44,9.78,8.88,7.47,8.56,10.31,10.78,9.0,7.84,7.78,6.66,3.41,1.38,1.69,2.69,1.53,0.12,0.38,1.34,0.38,-0.94,0.12,3.19,5.59,6.41,7.94,10.53,11.56,9.69,7.84,8.0,8.72,7.81,7.12,8.66,11.31,12.16,11.47,11.91,13.34,13.47,11.62,11.09,11.88,12.81,10.69,9.03,9.28,9.62,8.09,6.06,6.03,7.31,7.19,6.06,6.53,8.34,9.16,8.09,7.22,7.72,7.56,4.66,1.38,0.16,-0.22,-2.19,-4.38,-4.81,-3.75,-4.03,-5.34,-5.38,-3.25,-1.12,-0.53,0.81,3.91,7.12,7.69,7.16,8.22,9.88,9.22,7.34,6.72,7.22,6.09,3.75,2.25,2.38,2.22,-0.62,-3.38,-3.91,-3.56,-4.97,-6.38,-4.94,-2.56,-1.91,-2.38,-1.78,0.06,0.25,-1.44,-2.72,-1.88,-1.31,-2.59,-3.59,-2.72,-1.09,-2.16,-4.19,-4.59,-3.78,-4.22,-5.81,-5.59,-3.38,-1.59,-1.56,-0.88,2.06,4.84,5.53,6.38,9.0,12.0,12.69,11.75,11.41,11.69,10.53,7.75,6.28,6.91,7.47,6.28,5.66,7.16,8.38,7.22,5.22,5.38,6.31,5.56,4.19,4.69,6.72,8.03,7.41,7.59,9.56,10.84,10.03,9.22,10.66,12.25,11.28,9.91,10.5,12.19,12.34,11.59,11.91,13.72,13.88,12.06,10.75,11.41,12.06,10.69,10.06,11.12,12.38,11.78,10.38,10.41,11.44,10.62,8.09,6.72,6.88,6.25,3.97,3.19,4.88,6.81,7.03,7.66,9.44,11.56,11.44,10.06,9.5,10.44,10.03,8.25,7.78,9.47,10.16,8.62,7.06,7.25,7.5,5.84,3.91,4.03,5.22,4.88,3.62,3.78,5.66,5.66,3.84,2.25,2.62,3.06,1.69,1.31,3.16,5.47,5.41,4.78,5.91,7.34,6.94,5.25,4.75,5.66,5.19,3.28,1.78,2.06,2.12,0.28,-1.16,-0.28,1.75,1.69,0.59,0.94,1.88,0.5,-1.75,-3.0,-1.88,-1.06,-1.59,-1.34,1.06,3.47,3.5,2.94,4.25,6.41,6.47,5.88,6.5,8.59,8.53,7.44,6.91,8.38,9.12,7.66,6.22,6.75,7.06,4.72,1.66,-0.19,-1.66,-5.44,-10.31,-12.75,-13.12,-13.22,-13.38,-11.78,-7.12,-2.28,0.66,2.88,7.09,10.47,11.12,10.59,11.91,14.38,14.5,13.25,12.34,12.56,11.12,8.66,7.03,8.28,9.88,10.47,10.94,13.59,16.12,16.31,14.5,14.12,14.41,13.25,10.97,10.41,12.38,13.66,13.0,12.91,14.25,14.75,12.53,9.84,9.66,10.16,9.72,8.91,9.47,11.34,11.03,8.47,6.66,6.75,6.38,3.78,1.88,2.47,2.78,2.25,1.25,2.94,5.66,6.38,5.88,6.97,9.53,11.19,11.62,12.94,16.53,19.34,19.81,20.25,23.16,25.44,25.72,24.47,24.19,23.59,20.91,16.44,13.5,12.12,10.03,6.88,4.66,5.47,6.91,6.62,6.94,9.75,12.69,13.62,13.19,15.25,17.91,19.03,18.31,18.91,20.19,20.16,17.97,15.84,16.19,15.94,13.47,10.75,10.69,11.34,10.78,9.44,10.34,12.28,13.06,11.56,11.03,12.28,12.62,10.84,9.59,10.88,11.53,10.28,8.16,8.28,9.16,8.25,6.62,7.16,9.0,10.41,9.59,9.41,10.94,11.03,8.69,6.69,7.28,8.69,8.34,7.66,8.69,10.25,9.38,6.84,5.94,6.0,5.97,4.38,4.47,6.81,9.22,9.12,8.78,9.81,10.88,8.91,6.16,5.59,6.47,5.81,4.34,4.34,5.94,6.53,5.38,5.19,7.12,8.88,8.53,8.0,9.41,11.25,11.16,10.28,11.19,12.78,12.75,11.19,10.75,12.25,13.16,12.22,12.28,14.84,17.31,17.19,16.06,16.75,17.66,16.25,14.22,14.44,15.88,16.28,14.69,14.38,15.94,17.03,16.16,15.84,18.0,20.38,20.38,19.72,21.03,23.09,23.09,21.41,20.94,22.0,21.78,19.31,17.62,17.47,17.16,14.06,11.34,11.0,10.69,7.66,4.0,2.88,3.03,2.62,2.06,3.62,7.19,9.25,9.03,9.25,11.06,12.19,10.91,10.12,12.16,14.88,15.66,15.69,17.62,20.25,21.0,20.0,20.28,22.44,23.5,22.69,22.06,24.06,25.28,23.69,21.31,21.03,20.88,18.94,16.06,15.34,16.28,16.16,14.47,14.34,16.06,17.19,16.12,15.25,16.78,17.66,16.28,14.53,15.0,16.66,16.28,14.59,14.5,15.56,14.84,12.12,10.78,11.5,11.97,10.31,9.62,11.69,13.97,14.31,14.12,15.66,17.88,18.28,17.75,18.66,20.94,22.25,21.03,20.38,21.62,22.19,20.94,19.56,20.34,21.62,21.03,19.81,20.69,22.84,23.31,22.22,22.34,23.75,23.72,21.34,19.84,20.62,21.09,19.03,16.97,17.12,17.66,15.78,13.44,13.31,14.69,14.97,13.84,14.34,16.47,17.53,15.97,15.34,16.81,18.25,17.47,16.59,17.78,19.38,19.03,17.75,18.16,19.91,20.19,18.72,18.44,19.5,19.81,17.28,14.69,14.28,13.72,11.47,9.94,11.5,14.5,15.88,15.84,16.56,18.44,18.31,16.41,16.0,18.06,20.0,19.38,19.22,20.59,21.66,20.0,17.66,17.62,19.0,18.62,17.53,17.34,18.38,17.53,14.88,12.97,13.75,14.81,13.78,13.12,14.91,16.97,16.16,14.66,14.5,14.94,13.28,10.66,10.03,11.84,13.25,12.91,13.34,14.91,16.09,14.28,11.84,12.38,13.88,13.81,13.34,14.88,17.12,16.59,13.81,11.5,10.53,9.25,6.25,4.62,5.91,7.78,7.41,7.5,9.59,12.75,14.19,14.47,16.62,20.28,22.44,22.25,23.19,25.88,27.69,27.06,26.59,28.28,29.81,28.47,26.56,26.66,27.53,26.22,23.47,22.25,22.66,21.59,19.22,18.19,19.75,20.41,19.25,18.28,19.03,19.97,18.44,16.56,16.81,18.31,18.34,17.56,18.25,20.91,21.94,21.19,20.88,22.0,22.41,19.97,17.69,18.0,19.06,17.62,15.66,15.25,15.69,13.84,11.59,11.25,13.66,15.53,15.75,16.03,18.03,18.16,15.59,12.84,12.34,13.12,12.25,10.91,11.91,14.59,16.12,16.56,18.16,21.28,23.03,22.19,21.59,23.38,24.34,22.72,20.62,19.66,18.59,15.16,10.53,8.31,8.53,7.91,7.44,8.81,12.41,15.53,16.28,16.94,19.34,21.34,20.81,19.66,20.22,22.0,21.41,19.62,19.41,20.81,20.66,19.06,18.06,18.91,18.94,16.72,14.03,13.62,13.88,12.19,9.62,9.72,11.12,10.47,9.19,9.41,11.03,11.94,11.47,11.66,13.94,15.88,15.91,11.84,6.91,3.16,-0.88,-5.34,-7.47,-7.0,-6.16,-6.19,-5.44,-3.22,-0.53,0.16,0.94,3.28,6.06,6.84,6.22,5.88,6.12,4.38,1.31,-0.56,-0.78,-0.75,-2.25,-3.12,-2.22,-1.16,-1.66,-2.06,-0.19,3.06,5.16,6.31:23.53,20.06,19.62,20.56,20.25,19.88,21.56,24.62,25.88,25.81,27.41,30.97,33.91,34.84,36.47,39.97,42.25,41.53,39.94,39.38,38.72,35.09,30.12,26.09,23.12,18.97,14.25,11.56,12.0,12.5,11.0,10.41,12.0,13.88,13.66,13.59,15.25,17.69,17.88,17.12,17.81,20.84,22.25,22.41,23.19,25.94,27.47,26.44,25.03,25.62,25.84,23.78,21.66,21.91,23.34,23.03,21.84,22.0,23.69,23.41,21.31,19.47,20.22,19.91,17.12,14.41,13.91,13.94,11.81,9.66,9.69,11.25,11.31,10.22,10.91,13.88,15.5,15.31,15.12,17.09,18.0,16.53,14.69,15.75,17.78,18.03,17.81,19.31,21.84,22.66,21.81,22.12,24.44,25.69,24.97,24.22,25.72,26.59,24.88,22.25,21.56,21.5,19.94,17.28,17.28,18.97,19.34,17.81,17.06,18.0,17.47,14.81,12.41,12.75,13.25,11.94,10.62,11.41,12.84,12.38,10.66,10.84,13.03,14.28,14.31,15.22,18.47,20.31,19.34,17.88,18.31,18.25,15.53,11.91,10.44,9.94,8.47,6.25,6.44,8.69,10.44,10.25,10.88,13.84,16.31,16.56,16.88,18.94,20.81,19.69,17.5,16.81,17.34,17.09,16.0,17.12,20.12,22.56,22.34,21.47,21.78,21.12,18.38,15.44,15.41,16.72,17.09,17.56,19.94,24.19,26.66,26.62,25.84,25.09,21.94,16.09,10.72,8.94,8.12,6.62,5.94,8.12,11.72,13.44,13.69,15.28,17.28,17.72,16.38,16.19,18.38,19.94,19.03,17.31,17.34,16.66,13.66,10.47,10.16,11.78,12.72,12.62,13.88,15.84,15.69,12.81,10.06,9.53,8.81,7.19,5.84,7.62,10.25,11.06,11.22,13.31,16.25,17.62,17.28,17.91,20.22,20.94,19.47,18.53,19.59,20.72,19.88,18.88,19.94,21.78,21.56,20.0,20.5,21.97,22.34,21.12,20.97,22.44,23.22,21.66,20.12,20.81,21.28,19.47,16.91,16.75,17.25,16.94,15.5,16.19,18.16,18.62,16.5,15.06,15.22,14.28,11.5,9.44,10.03,11.84,12.0,11.84,13.97,16.88,17.84,16.91,17.19,17.97,17.31,14.59,12.62,13.03,13.25,11.34,9.34,9.53,11.03,10.59,10.09,11.84,14.81,16.78,16.94,18.97,21.5,22.78,20.94,18.88,18.19,16.94,13.47,10.09,9.44,9.78,8.88,7.47,8.56,10.31,10.78,9.0,7.84,7.78,6.66,3.41,1.38,1.69,2.69,1.53,0.12,0.38,1.34,0.38,-0.94,0.12,3.19,5.59,6.41,7.94,10.53,11.56,9.69,7.84,8.0,8.72,7.81,7.12,8.66,11.31,12.16,11.47,11.91,13.34,13.47,11.62,11.09,11.88,12.81,10.69,9.03,9.28,9.62,8.09,6.06,6.03,7.31,7.19,6.06,6.53,8.34,9.16,8.09,7.22,7.72,7.56,4.66,1.38,0.16,-0.22,-2.19,-4.38,-4.81,-3.75,-4.03,-5.34,-5.38,-3.25,-1.12,-0.53,0.81,3.91,7.12,7.69,7.16,8.22,9.88,9.22,7.34,6.72,7.22,6.09,3.75,2.25,2.38,2.22,-0.62,-3.38,-3.91,-3.56,-4.97,-6.38,-4.94,-2.56,-1.91,-2.38,-1.78,0.06,0.25,-1.44,-2.72,-1.88,-1.31,-2.59,-3.59,-2.72,-1.09,-2.16,-4.19,-4.59,-3.78,-4.22,-5.81,-5.59,-3.38,-1.59,-1.56,-0.88,2.06,4.84,5.53,6.38,9.0,12.0,12.69,11.75,11.41,11.69,10.53,7.75,6.28,6.91,7.47,6.28,5.66,7.16,8.38,7.22,5.22,5.38,6.31,5.56,4.19,4.69,6.72,8.03,7.41,7.59,9.56,10.84,10.03,9.22,10.66,12.25,11.28,9.91,10.5,12.19,12.34,11.59,11.91,13.72,13.88,12.06,10.75,11.41,12.06,10.69,10.06,11.12,12.38,11.78,10.38,10.41,11.44,10.62,8.09,6.72,6.88,6.25,3.97,3.19,4.88,6.81,7.03,7.66,9.44,11.56,11.44,10.06,9.5,10.44,10.03,8.25,7.78,9.47,10.16,8.62,7.06,7.25,7.5,5.84,3.91,4.03,5.22,4.88,3.62,3.78,5.66,5.66,3.84,2.25,2.62,3.06,1.69,1.31,3.16,5.47,5.41,4.78,5.91,7.34,6.94,5.25,4.75,5.66,5.19,3.28,1.78,2.06,2.12,0.28,-1.16,-0.28,1.75,1.69,0.59,0.94,1.88,0.5,-1.75,-3.0,-1.88,-1.06,-1.59,-1.34,1.06,3.47,3.5,2.94,4.25,6.41,6.47,5.88,6.5,8.59,8.53,7.44,6.91,8.38,9.12,7.66,6.22,6.75,7.06,4.72,1.66,-0.19,-1.66,-5.44,-10.31,-12.75,-13.12,-13.22,-13.38,-11.78,-7.12,-2.28,0.66,2.88,7.09,10.47,11.12,10.59,11.91,14.38,14.5,13.25,12.34,12.56,11.12,8.66,7.03,8.28,9.88,10.47,10.94,13.59,16.12,16.31,14.5,14.12,14.41,13.25,10.97,10.41,12.38,13.66,13.0,12.91,14.25,14.75,12.53,9.84,9.66,10.16,9.72,8.91,9.47,11.34,11.03,8.47,6.66,6.75,6.38,3.78,1.88,2.47,2.78,2.25,1.25,2.94,5.66,6.38,5.88,6.97,9.53,11.19,11.62,12.94,16.53,19.34,19.81,20.25,23.16,25.44,25.72,24.47,24.19,23.59,20.91,16.44,13.5,12.12,10.03,6.88,4.66,5.47,6.91,6.62,6.94,9.75,12.69,13.62,13.19,15.25,17.91,19.03,18.31,18.91,20.19,20.16,17.97,15.84,16.19,15.94,13.47,10.75,10.69,11.34,10.78,9.44,10.34,12.28,13.06,11.56,11.03,12.28,12.62,10.84,9.59,10.88,11.53,10.28,8.16,8.28,9.16,8.25,6.62,7.16,9.0,10.41,9.59,9.41,10.94,11.03,8.69,6.69,7.28,8.69,8.34,7.66,8.69,10.25,9.38,6.84,5.94,6.0,5.97,4.38,4.47,6.81,9.22,9.12,8.78,9.81,10.88,8.91,6.16,5.59,6.47,5.81,4.34,4.34,5.94,6.53,5.38,5.19,7.12,8.88,8.53,8.0,9.41,11.25,11.16,10.28,11.19,12.78,12.75,11.19,10.75,12.25,13.16,12.22,12.28,14.84,17.31,17.19,16.06,16.75,17.66,16.25,14.22,14.44,15.88,16.28,14.69,14.38,15.94,17.03,16.16,15.84,18.0,20.38,20.38,19.72,21.03,23.09,23.09,21.41,20.94,22.0,21.78,19.31,17.62,17.47,17.16,14.06,11.34,11.0,10.69,7.66,4.0,2.88,3.03,2.62,2.06,3.62,7.19,9.25,9.03,9.25,11.06,12.19,10.91,10.12,12.16,14.88,15.66,15.69,17.62,20.25,21.0,20.0,20.28,22.44,23.5,22.69,22.06,24.06,25.28,23.69,21.31,21.03,20.88,18.94,16.06,15.34,16.28,16.16,14.47,14.34,16.06,17.19,16.12,15.25,16.78,17.66,16.28,14.53,15.0,16.66,16.28,14.59,14.5,15.56,14.84,12.12,10.78,11.5,11.97,10.31,9.62,11.69,13.97,14.31,14.12,15.66,17.88,18.28,17.75,18.66,20.94,22.25,21.03,20.38,21.62,22.19,20.94,19.56,20.34,21.62,21.03,19.81,20.69,22.84,23.31,22.22,22.34,23.75,23.72,21.34,19.84,20.62,21.09,19.03,16.97,17.12,17.66,15.78,13.44,13.31,14.69,14.97,13.84,14.34,16.47,17.53,15.97,15.34,16.81,18.25,17.47,16.59,17.78,19.38,19.03,17.75,18.16,19.91,20.19,18.72,18.44,19.5,19.81,17.28,14.69,14.28,13.72,11.47,9.94,11.5,14.5,15.88,15.84,16.56,18.44,18.31,16.41,16.0,18.06,20.0,19.38,19.22,20.59,21.66,20.0,17.66,17.62,19.0,18.62,17.53,17.34,18.38,17.53,14.88,12.97,13.75,14.81,13.78,13.12,14.91,16.97,16.16,14.66,14.5,14.94,13.28,10.66,10.03,11.84,13.25,12.91,13.34,14.91,16.09,14.28,11.84,12.38,13.88,13.81,13.34,14.88,17.12,16.59,13.81,11.5,10.53,9.25,6.25,4.62,5.91,7.78,7.41,7.5,9.59,12.75,14.19,14.47,16.62,20.28,22.44,22.25,23.19,25.88,27.69,27.06,26.59,28.28,29.81,28.47,26.56,26.66,27.53,26.22,23.47,22.25,22.66,21.59,19.22,18.19,19.75,20.41,19.25,18.28,19.03,19.97,18.44,16.56,16.81,18.31,18.34,17.56,18.25,20.91,21.94,21.19,20.88,22.0,22.41,19.97,17.69,18.0,19.06,17.62,15.66,15.25,15.69,13.84,11.59,11.25,13.66,15.53,15.75,16.03,18.03,18.16,15.59,12.84,12.34,13.12,12.25,10.91,11.91,14.59,16.12,16.56,18.16,21.28,23.03,22.19,21.59,23.38,24.34,22.72,20.62,19.66,18.59,15.16,10.53,8.31,8.53,7.91,7.44,8.81,12.41,15.53,16.28,16.94,19.34,21.34,20.81,19.66,20.22,22.0,21.41,19.62,19.41,20.81,20.66,19.06,18.06,18.91,18.94,16.72,14.03,13.62,13.88,12.19,9.62,9.72,11.12,10.47,9.19,9.41,11.03,11.94,11.47,11.66,13.94,15.88,15.91,11.84,6.91,3.16,-0.88,-5.34,-7.47,-7.0,-6.16,-6.19,-5.44,-3.22,-0.53,0.16,0.94,3.28,6.06,6.84,6.22,5.88,6.12,4.38,1.31,-0.56,-0.78,-0.75,-2.25,-3.12,-2.22,-1.16,-1.66,-2.06,-0.19,3.06,5.16,6.31,8.09,9.78,9.34,6.53,3.22,0.84,-2.03:positivity
